function ArrayMax(array){ //{{{
	return Math.max.apply(null,array);
} //}}}
function ArrayMax2D(array){ //{{{
	
	var max=0;

	for (var i=0;i<array.length;i++){
		var subarray=array[i];
		max=Math.max(max,ArrayMax(subarray));
	}

	return max;
} //}}}
function ArrayMin(array){ //{{{
	return Math.min.apply(null,array);
} //}}}
function ArraySum(array){ //{{{
	var sum=0;
	for(var i=0;i<array.length;i++)sum+=array[i];
	return sum;
} //}}}
function ArrayXPY(){ //{{{
    if (arguments.length<2)throw Error("ArrayXPY error message: sum has to be for at least two arrays!");

	//check internal consistency of arrays provided!: 
	var firstarray=arguments[0];
	var firstsize=firstarray.length;
	
	for(var a=1;a<arguments.length;a++){
		var array=arguments[a];
		if(array.length!=firstsize)throw Error("ArrayXPY error message: arrays provided as arguments are not of the same length!");
	}

	//do the sum:
	var sum=NewArrayFill(firstsize,0);
	for(var a=0;a<arguments.length;a++){
		var array=arguments[a];
		for(var i=0;i<array.length;i++){
			sum[i]+=array[i];
		}
	}
	return sum;

} //}}}
function ArrayOr(){ //{{{
    if (arguments.length<2)throw Error("ArrayOr error message: sum has to be for at least two arrays!");

	//check internal consistency of arrays provided!: 
	var firstarray=arguments[0];
	var firstsize=firstarray.length;
	
	for(var a=1;a<arguments.length;a++){
		var array=arguments[a];
		if(array.length!=firstsize)throw Error("ArrayOr error message: arrays provided as arguments are not of the same length!");
	}

	//do the or:
	var or=NewArrayFill(firstsize,0);
	for(var a=0;a<arguments.length;a++){
		var array=arguments[a];
		for(var i=0;i<array.length;i++){
			or[i] = or[i] | array[i];
		}
	}
	return or;

} //}}}
function ArrayMin2D(array){ //{{{
	
	var min=ArrayMax2D(array);

	for (var i=0;i<array.length;i++){
		var subarray=array[i];
		min=Math.min(min,ArrayMin(subarray));
	}

	return min;
} //}}}
function ListToMatrix(list, elementsPerSubArray) { //{{{
	var matrix = [], i, k;

	for (i = 0, k = -1; i < list.length; i++) {
		if (i % elementsPerSubArray === 0) {
			k++;
			matrix[k] = [];
		}

		matrix[k].push(list[i]);
	}

	return matrix;
} //}}}
function MatrixToList(matrixin) { //{{{

	var matrix=matrixin;

	if (!IsArray(matrix[0])) return matrix;
	else{
		var width = matrix[0].length;
		var length = matrix.length;
		var list= new Array(width*length);

		for(var i=0;i<length;i++){
			for(var j=0;j<width;j++){
				list[i*width+j]=matrix[i][j];
			}
		}
		return list;
	}
} //}}}
function IsArray(object) { //{{{

	var type=Object.prototype.toString.call( object );
	if( type === '[object Array]' ) return 1;
	if( type === '[object Float64Array]' ) return 1;
	if( type === '[object Float32Array]' ) return 1;
	if( type === '[object Int32Array]' ) return 1;
	if( type === '[object Int16Array]' ) return 1;
	if( type === '[object Uint32Array]' ) return 1;
	if( type === '[object Uint16Array]' ) return 1;
	if( type === '[object Uint8Array]' ) return 1;
	return 0;

} //}}}
function ArrayNot(array) { //{{{

	var notarray=array;
	for (var i=0;i<array.length;i++)notarray[i]=-array[i];
	return notarray;
} //}}}
function ArrayCopy(array) { //{{{

	var copy=[];
	for(var i=0;i<array.length;i++)copy[i]=array[i];
	return copy;
} //}}}
function ArrayPow(array,coefficient) { //{{{

	var powarray=array;
	for (var i=0;i<array.length;i++)powarray[i]=Math.pow(array[i],coefficient);
	return powarray;
} //}}}
function ArraySqrt(array) { //{{{

	var sqrtarray=array;
	for (var i=0;i<array.length;i++)sqrtarray[i]=Math.sqrt(array[i]);
	return sqrtarray;
} //}}}
function ArrayScale(array,alpha) { //{{{

	for (var i=0;i<array.length;i++)array[i]=array[i]*alpha;

} //}}}
function ArrayMag(array1,array2) { //{{{

	var arraymag=NewArrayFill(array1.length,0);
	for (var i=0;i<array1.length;i++)arraymag[i]=Math.sqrt(Math.pow(array1[i],2)+Math.pow(array2[i],2));
	return arraymag;
} //}}}
function ArrayAnyNaN(array) { //{{{

    if(IsArray(array[0])){
        for(var i=0;i<array.length;i++){
            for(var j=0;j<array[0].length;j++){
                if (isNaN(array[i][j])) return 1;
            }
        }
    }
    else{
        for(var i=0;i<array.length;i++){
            if (isNaN(array[i])) return 1;
        }
    }
    return 0;
} //}}}
function ArrayUnique(arr) { //{{{

	return arr.reverse().filter(function (e, i, arr) {
		    return arr.indexOf(e, i+1) === -1;
	}).reverse();
} //}}}
function ArraySort(array) { //{{{

	return array.sort(function(a, b) {
		return a - b;
	});

} //}}}
function ArrayAnyEqual(array,value) { //{{{
	
	if(!isNaN(value)){
		for(var i=0;i<array.length;i++){
			if (array[i]==value)return 1;
		}
	}
	else{
		for(var i=0;i<array.length;i++){
			if (isNaN(array[i]))return 1;
		}
	}
	return 0;
} //}}}
function ArrayAnyBelowOrEqual(array,value) { //{{{

	for(var i=0;i<array.length;i++){
		if (array[i]<=value)return 1;
	}
	return 0;
} //}}}
function ArrayAnyBelowStrict(array,value) { //{{{

	for(var i=0;i<array.length;i++){
		if (array[i]<value)return 1;
	}
	return 0;
} //}}}
function ArrayAnyAboveOrEqual(array,value) { //{{{

	for(var i=0;i<array.length;i++){
		if (array[i]>=value)return 1;
	}
	return 0;
} //}}}
function ArrayAnyAboveStrict(array,value) { //{{{

	for(var i=0;i<array.length;i++){
		if (array[i]>value)return 1;
	}
	return 0;
} //}}}
function ArrayAnd(array1,array2) { //{{{

	var array=array1;
	for (var i=0;i<array1.length;i++)array[i]=array1[i] & array2[i];
	return array;
} //}}}
function ArrayIsMember(array1,array2) { //{{{

	var array=NewArrayFill(array1.length,0);
	for (var i=0;i<array1.length;i++){
		for(var j=0;j<array2.length;j++){
			if (array1[i] == array2[j]){
				array[i]=1;
				break;
			}
		}
	}
	return array;
} //}}}
function NewArrayFill(size,value) { //{{{

	return new Array(size).fill(value);
} //}}}
function NewArrayFillIncrement(size,start,increment) { //{{{

	var array=new Array(size); 

	for(var i=0;i<size;i++){
		array[i]=start+i*increment;
	}

	return array;
} //}}}
function ArrayFind(array,value) { //{{{
	
	//find number of indices
	var count=0;
	for (var i=0;i<array.length;i++)if(array[i]==value)count++;

	//allocate:
	var indices= NewArrayFill(count,0);

	//fill in:
	count=0;
	for (var i=0;i<array.length;i++){
		if(array[i]==value){
			indices[count]=i;
			count++;
		}
	}
	return indices;
} //}}}
function ArrayFindNot(array,value) { //{{{
	
	//find number of indices
	var count=0;
	for (var i=0;i<array.length;i++)if(array[i]!=value)count++;

	//allocate:
	var indices= NewArrayFill(count,0);

	//fill in:
	count=0;
	for (var i=0;i<array.length;i++){
		if(array[i]!=value){
			indices[count]=i;
			count++;
		}
	}
	return indices;
} //}}}
function Create2DArray(rows,cols) { //{{{
	var arr = [];

	for (var i=0;i<rows;i++) {
		arr[i] = new Array(cols);
	}

	return arr;
} //}}}
function MapIsEmpty(map) { //{{{
	for (var key in map){
		if(map.hasOwnProperty(key)){
			return false;
		}
	}
	return true;
} //}}}
function clone(obj) {//{{{
	
	var copy;

	// Handle the 3 simple types, and null or undefined
	if (null == obj || "object" != typeof obj) return obj;

	// Handle Date
	if (obj instanceof Date) {
		copy = new Date();
		copy.setTime(obj.getTime());
		return copy;
	}

	// Handle Array
	if (obj instanceof Array) {
		copy = [];
		for (var i = 0, len = obj.length; i < len; i++) {
			copy[i] = clone(obj[i]);
		}
		return copy;
	}

	// Handle Object
	if (obj instanceof Object) {
		copy = {};
		for (var attr in obj) {
			if (obj.hasOwnProperty(attr)) copy[attr] = clone(obj[attr]);
		}
		return copy;
	}

	throw new Error("Unable to copy obj! Its type isn't supported.");
} //}}}
function FloatFix(pointer,size) {//{{{

	var buffer=new Float64Array(size);
	for(var i=0;i<size;i++)buffer[i]=pointer[i];
	return buffer;


} //}}}
function NullFix(pointer,value) {//{{{

	if(pointer==null)return value;
	else{
		//check that the pointer values are not null: 
		if(IsArray(pointer)){
			if(IsArray(pointer[0])){
				for(var i=0;i<pointer.length;i++){
					for(var j=0;j<pointer[0].length;j++){
						if(pointer[i][j]==null)pointer[i][j]=value;
					}
				}	
			}
			else{
				for(var i=0;i<pointer.length;i++){
					if(pointer[i]==null)pointer[i]=value;
				}
			}
		}
		return pointer;
	}

} //}}}
function SetIceShelfBC(md) { 
//SETICESHELFBC - Create the boundary conditions for stressbalance and thermal models for a  Ice Shelf with Ice Front
//
//   Neumann BC are used on the ice front (an ANRGUS contour around the ice front
//   must be given in input)
//   Dirichlet BC are used elsewhere for stressbalance
//
//   Usage:
//      md=SetIceShelfBC(md,varargin)
//
//   Example:
//      SetIceShelfBC(md);
//      SetIceShelfBC(md,'Front.exp');
//
//   See also: SETICESHEETBC, SETMARINEICESHEETBC

	//node on Dirichlet (boundary and ~icefront)
	if (arguments.length==2){
		icefront=arguments[1];
		nodeinsideicefront=ContourToMesh(md.mesh.elements,md.mesh.x,md.mesh.y,icefront,'node',2);
		nodeonicefront=ArrayAnd(md.mesh.vertexonboundary,nodeinsideicefront);
	}
	else if(arguments.length==1){
		nodeonicefront=NewArrayFill(md.mesh.numberofvertices,0);
	}
	else{
		throw Error('SetIceShelfBC usage error');
	}

	md.stressbalance.spcvx=NewArrayFill(md.mesh.numberofvertices,NaN); 
	md.stressbalance.spcvy=NewArrayFill(md.mesh.numberofvertices,NaN);
	md.stressbalance.spcvz=NewArrayFill(md.mesh.numberofvertices,NaN);
	md.stressbalance.referential=Create2DArray(md.mesh.numberofvertices,6);
	for(var i=0;i<md.mesh.numberofvertices;i++)for(var j=0;j<6;j++)md.stressbalance.referential[i][j]=NaN;
	md.stressbalance.loadingforce=NewArrayFill(md.mesh.numberofvertices,0);

	//Ice front position: 
	pos=ArrayFind(nodeonicefront,1);
	for(var i=0;i<pos.length;i++)md.mask.ice_levelset[pos[i]]=0;

	//First find segments that are not completely on the front
	if (md.mesh.elementtype() === 'Penta'){
		numbernodesfront=4;
	}
	else if (md.mesh.elementtype() === 'Tria'){
		numbernodesfront=2;
	}
	else{
		throw Error('mesh type not supported yet');
	}
	var obs=false;
	if((md.inversion.vx_obs.length == md.mesh.numberofvertices) & (md.inversion.vy_obs.length==md.mesh.numberofvertices))obs=true;

	if(obs==true){
		console.log('      boundary conditions for stressbalance model: setting spc as observed velocities');
	}
	else{
		console.log('      boundary conditions for stressbalance model: setting spc as zero');
	}
	for(var i=0;i<md.mesh.segments.length;i++){
		var sum=0;
		for (var j=0;j<numbernodesfront;j++) sum+=md.mask.ice_levelset[md.mesh.segments[i][j]-1];
		if(sum!=0){
			for (var j=0;j<numbernodesfront;j++){
				if(obs==false){
					md.stressbalance.spcvx[md.mesh.segments[i][j]-1]=0;
					md.stressbalance.spcvy[md.mesh.segments[i][j]-1]=0;
				}
				else{
					md.stressbalance.spcvx[md.mesh.segments[i][j]-1]=md.inversion.vx_obs[md.mesh.segments[i][j]-1];
					md.stressbalance.spcvy[md.mesh.segments[i][j]-1]=md.inversion.vy_obs[md.mesh.segments[i][j]-1];
				}
				md.stressbalance.spcvz[md.mesh.segments[i][j]-1]=0;

			}
		}
	}

	//Initialize surface and basal forcings
	md.smb.initialize(md);
	md.basalforcings.initialize(md);

	//Deal with other boundary conditions
	if (isNaN(md.balancethickness.thickening_rate)){
		md.balancethickness.thickening_rate=NewArrayFill(md.mesh.numberofvertices,0);
		console.log('      no balancethickness.thickening_rate specified: values set as zero');
	}
		
	md.masstransport.spcthickness=NewArrayFill(md.mesh.numberofvertices,NaN);
	md.balancethickness.spcthickness=NewArrayFill(md.mesh.numberofvertices,NaN);
	md.damage.spcdamage=NewArrayFill(md.mesh.numberofvertices,NaN);

	if (md.initialization.temperature.length==md.mesh.numberofvertices){
		md.thermal.spctemperature=NewArrayFill(md.mesh.numberofvertices,NaN);
		if ('vertexonsurface' in md.mesh){
			pos=ArrayFind(md.mesh.vertexonsurface,1);
			for(var i=0;i<pos.length;i++)md.thermal.spctemperature[i]=md.initialization.temperature[i]; //impose observed temperature on surface
		}
		if (md.basalforcings.geothermalflux.length != md.mesh.numberofvertices){
			md.basalforcings.geothermalflux=NewArrayFill(md.mesh.numberofvertices,0);
		}
	}
	else{
		console.log('      no thermal boundary conditions created: no observed temperature found');
	}
}
//AUTODIFF class definition
//
//   Usage:
//      autodiff=new autodiff();

function autodiff (){
	//methods
	this.setdefaultparameters = function(){// {{{

		this.obufsize     = 524288;
		this.lbufsize     = 524288;
		this.cbufsize     = 524288;
		this.tbufsize     = 524288;
		this.gcTriggerRatio=2.0;
		this.gcTriggerMaxSize=65536;

	}// }}}
	this.disp= function(){// {{{

		console.log(sprintf('   automatic differentiation parameters:'));
		fielddisplay(this,'isautodiff','indicates if the automatic differentiation is activated');
		fielddisplay(this,'dependents','list of dependent variables');
		fielddisplay(this,'independents','list of independent variables');
		fielddisplay(this,'driver',"ADOLC driver ('fos_forward' or 'fov_forward')");
		fielddisplay(this,'obufsize','Number of operations per buffer (==OBUFSIZE in usrparms.h)');
		fielddisplay(this,'lbufsize','Number of locations per buffer (==LBUFSIZE in usrparms.h)');
		fielddisplay(this,'cbufsize','Number of values per buffer (==CBUFSIZE in usrparms.h)');
		fielddisplay(this,'tbufsize','Number of taylors per buffer (<=TBUFSIZE in usrparms.h)');
		fielddisplay(this,'gcTriggerRatio','free location block sorting/consolidation triggered if the ratio between allocated and used locations exceeds gcTriggerRatio');
		fielddisplay(this,'gcTriggerMaxSize','free location block sorting/consolidation triggered if the allocated locations exceed gcTriggerMaxSize');

	}// }}}
	this.classname= function(){// {{{
		return "autodiff";
	}// }}}
		this.checkconsistency = function(md,solution,analyses){ //{{{

			//Early return 
			if (!this.isautodiff) return; 

			//Driver value:
			checkfield(md,'fieldname','autodiff.driver','values',['fos_forward','fov_forward','fov_forward_all','fos_reverse','fov_reverse','fov_reverse_all']);
			
			//buffer values: 
			checkfield(md,'fieldname','autodiff.obufsize','>=',16);
			checkfield(md,'fieldname','autodiff.lbufsize','>=',16);
			checkfield(md,'fieldname','autodiff.cbufsize','>=',16);
			checkfield(md,'fieldname','autodiff.tbufsize','>=',16);
			checkfield(md,'fieldname','autodiff.gcTriggerRatio','>=',0);
			checkfield(md,'fieldname','autodiff.gcTriggerMaxSize','>=',65536);

			//go through our dependents and independents and check consistency: 
			for (var i=0;i<this.dependents.length;i++){
				dep=this.dependents[i];
				dep.checkconsistency(md,solution,analyses);
			}
			for (var i=0;i<this.independents.length;i++){
				indep=this.independents[i];
				indep.checkconsistency(md,i,solution,analyses,this.driver);
			}
		} // }}}
		this.marshall=function(md,prefix,fid) { //{{{

			WriteData(fid,prefix,'object',this,'fieldname','isautodiff','format','Boolean');
			WriteData(fid,prefix,'object',this,'fieldname','driver','format','String');

			//early return
			if (!this.isautodiff){
				WriteData(fid,prefix,'data',false,'name','md.autodiff.mass_flux_segments_present','format','Boolean');
				WriteData(fid,prefix,'data',false,'name','md.autodiff.keep','format','Boolean');
				return;
			}

			//buffer sizes {{{
			WriteData(fid,prefix,'object',this,'fieldname','obufsize','format','Double');
			WriteData(fid,prefix,'object',this,'fieldname','lbufsize','format','Double');
			WriteData(fid,prefix,'object',this,'fieldname','cbufsize','format','Double');
			WriteData(fid,prefix,'object',this,'fieldname','tbufsize','format','Double');
			WriteData(fid,prefix,'object',this,'fieldname','gcTriggerRatio','format','Double');
			WriteData(fid,prefix,'object',this,'fieldname','gcTriggerMaxSize','format','Double');
			//}}}
			//process dependent variables {{{
			num_dependent_objects=this.dependents.length;
			WriteData(fid,prefix,'data',num_dependent_objects,'name','md.autodiff.num_dependent_objects','format','Integer');

			if(num_dependent_objects){
				var names=[];
				types=NewArrayFill(num_dependent_objects,0);
				indices=NewArrayFill(num_dependent_objects,0);

				for (var i=0;i<num_dependent_objects;i++){
					dep=this.dependents[i];

					names.push(dep.name);
					types[i]=dep.typetoscalar();
					indices[i]=dep.index;
				}
				WriteData(fid,prefix,'data',names,'name','md.autodiff.dependent_object_names','format','StringArray');
				WriteData(fid,prefix,'data',types,'name','md.autodiff.dependent_object_types','format','IntMat','mattype',3);
				WriteData(fid,prefix,'data',indices,'name','md.autodiff.dependent_object_indices','format','IntMat','mattype',3);
			}
			//}}}
			//process independent variables {{{
			num_independent_objects=this.independents.length;
			WriteData(fid,prefix,'data',num_independent_objects,'name','md.autodiff.num_independent_objects','format','Integer');

			if(num_independent_objects){
				names=NewArrayFill(num_independent_objects,0);
				types=NewArrayFill(num_independent_objects,0);

				for (var i=0;i<num_independent_objects;i++){
					indep=this.independents[i];

					names[i]=StringToEnum(indep.name);
					types[i]=indep.typetoscalar();
				}
				WriteData(fid,prefix,'data',names,'name','md.autodiff.independent_object_names','format','IntMat','mattype',3);
				WriteData(fid,prefix,'data',types,'name','md.autodiff.independent_object_types','format','IntMat','mattype',3);
			}
			//}}}
			//if driver is fos_forward, build index:  {{{
			if (this.driver == 'fos_forward'){
				var index=0;

				for (var i=0;i<num_independent_objects;i++){
					indep=this.independents[i];
					if (!(isNaN(indep.fos_forward_index))){
						index=index+indep.fos_forward_index;
						break;
					}
					else{
						if (indep.type=='scalar') index=index+1;
						else index=index+indep.nods;
					}
				}
				index=index-1; //get c-index numbering going
				WriteData(fid,prefix,'data',index,'name','md.autodiff.fos_forward_index','format','Integer');
			}
			//}}}
			//if driver is fos_reverse, build index:  {{{
			if (this.driver  == 'fos_reverse'){
				var index=0;

				for (var i=0;i<num_dependent_objects;i++){
					dep=this.dependents[i];
					if (!(isNaN(dep.fos_reverse_index))){
						index=index+dep.fos_reverse_index;
						break;
					}
					else{
						if (dep.type =='scalar') index=index+1;
						else index=index+dep.nods;
					}
				}
				index=index-1; //get c-index numbering going
				WriteData(fid,prefix,'data',index,'name','md.autodiff.fos_reverse_index','format','Integer');
			}
			//}}}
			//if driver is fov_forward, build indices:  {{{
			if (this.driver == 'fov_forward'){
				var indices=0;

				for (var i=0;i<num_independent_objects;i++){
					indep=this.independents[i];
					if (!indep.fos_forward_index.length){
						indices=indices+indep.fov_forward_indices;
						break;
					}
					else{
						if (indep.type =='scalar') indices=indices+1;
						else indices=indices+indep.nods;
					}
				}
				indices=indices-1; //get c-indices numbering going
				WriteData(fid,prefix,'data',indices,'name','md.autodiff.fov_forward_indices','format','IntMat','mattype',3);
			}
			//}}}
			//deal with mass fluxes:  {{{
			mass_flux_segments=[];
			for (var i=0;i<num_dependent_objects;i++){
				dep=this.dependents[i];
				if (dep.name =='MassFlux'){
					mass_flux_segments.push(dep.segments);
				}
			}
			if (mass_flux_segments.length){
				WriteData(fid,prefix,'data',mass_flux_segments,'name','md.autodiff.mass_flux_segments','format','MatArray');
				flag=true;
			}
			else flag=false;
			WriteData(fid,prefix,'data',flag,'name','md.autodiff.mass_flux_segments_present','format','Boolean');
			//}}}
			//deal with trace keep on: {{{
			keep=false;

			//From ADOLC userdoc: 
			// The optional integer argument keep of trace on determines whether the numerical values of all active variables are 
			// recorded in a buffered temporary array or file called the taylor stack. This option takes effect if keep = 1 and 
			// prepares the scene for an immediately following gradient evaluation by a call to a routine implementing the reverse 
			// mode as described in the Section 4 and Section 5. 
			//

			if (this.driver.length<=3) keep=false; //there is no "_reverse" string within the driver string: 
			else{
				if (this.driver.splice(4) == '_reverse') keep=true;
				else keep=false;
			}
			WriteData(fid,prefix,'data',keep,'name','md.autodiff.keep','format','Boolean');
			//}}}
		}//}}}
		this.fix=function() { //{{{
			this.obufsize=NullFix(this.obufsize,NaN);
			this.lbufsize=NullFix(this.lbufsize,NaN);
			this.cbufsize=NullFix(this.cbufsize,NaN);
			this.tbufsize=NullFix(this.tbufsize,NaN);
			this.gcTriggerRatio=NullFix(this.gcTriggerRatio,NaN);
			this.gcTriggerMaxSize=NullFix(this.gcTriggerMaxSize,NaN);
		}//}}}
	//properties 
	// {{{
	this.isautodiff   = false;
	this.dependents   = [];
	this.independents = [];
	this.driver       = 'fos_forward';
	this.obufsize     = NaN;
	this.lbufsize     = NaN;
	this.cbufsize     = NaN;
	this.tbufsize     = NaN;
	this.gcTriggerRatio = NaN;
	this.gcTriggerMaxSize = NaN;

	this.setdefaultparameters();
	//}}}
}
//BALANCETHICKNESS class definition
//
//   Usage:
//      balancethickness=new balancethickness();

function balancethickness (){
	//methods
	this.setdefaultparameters = function(){// {{{

		//Type of stabilization used
		this.stabilization=1;

	}// }}}
	this.disp= function(){// {{{
		console.log(sprintf('   balance thickness solution parameters:'));

		fielddisplay(this,'spcthickness','thickness constraints (NaN means no constraint) [m]');
		fielddisplay(this,'thickening_rate','ice thickening rate used in the mass conservation (dh/dt) [m/yr]');
		fielddisplay(this,'stabilization',"0: None, 1: SU, 2: SSA's artificial diffusivity, 3:DG");

	}// }}}
	this.classname= function(){// {{{
		return "balancethickness";

	}// }}}
		this.checkconsistency = function(md,solution,analyses){ // {{{
			//Early return
			if (solution!=BalancethicknessSolutionEnum())return;

			checkfield(md,'fieldname','balancethickness.spcthickness');
			checkfield(md,'fieldname','balancethickness.thickening_rate','size',[md.mesh.numberofvertices ,1],'NaN',1,'Inf',1);
			checkfield(md,'fieldname','balancethickness.stabilization','size',[1, 1],'values',[0, 1, 2 ,3]);
			//checkfield(md,'fieldname','balancethickness.omega','size',[md.mesh.numberofvertices ,1],'NaN',1,'Inf',1,'>=',0);
		} //}}}
		this.marshall=function(md,prefix,fid) { //{{{

			var yts=365.0*24.0*3600.0;

			WriteData(fid,prefix,'object',this,'fieldname','spcthickness','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'fieldname','thickening_rate','format','DoubleMat','mattype',1,'scale',1/yts);
			WriteData(fid,prefix,'object',this,'fieldname','stabilization','format','Integer');
			WriteData(fid,prefix,'object',this,'fieldname','omega','format','DoubleMat','mattype',1);

		}//}}}
		this.fix=function() { //{{{
			this.spcthickness=NullFix(this.spcthickness,NaN);
			this.thicknening_rate=NullFix(this.thicknening_rate,NaN);
			this.omega=NullFix(this.omega,NaN);
		}//}}}
	//properties 
	// {{{
	this.spcthickness      = NaN;
	this.thickening_rate   = NaN;
	this.stabilization     = 0;
	this.omega             = NaN;
	this.setdefaultparameters();
	//}}}
}
//BASAL FORCINGS class definition
//
//   Usage:
//      basalforcings=basalforcings();

function basalforcings(){
	//methods
	this.setdefaultparameters = function() {//{{{

	} // }}}
	this.disp = function(){ // {{{
		console.log(sprintf('   basal forcings parameters:'));

		fielddisplay(this,'groundedice_melting_rate','basal melting rate (positive if melting) [m/yr]');
		fielddisplay(this,'floatingice_melting_rate','basal melting rate (positive if melting) [m/yr]');
		fielddisplay(this,'geothermalflux','geothermal heat flux [W/m^2]');

	} // }}}
	this.classname = function(){ // {{{
		return "basalforcings";
	} // }}}
		this.initialize = function (md){ // {{{

			if (isNaN(this.groundedice_melting_rate)){
				this.groundedice_melting_rate=NewArrayFill(md.mesh.numberofvertices,0);
				console.log('      no basalforcings.groundedice_melting_rate specified: values set as zero');
			}

			if (isNaN(this.floatingice_melting_rate)){
				this.floatingice_melting_rate=NewArrayFill(md.mesh.numberofvertices,0);
				console.log('      no basalforcings.floatingice_melting_rate specified: values set as zero');
			}

		} // }}}
		this.checkconsistency = function(md,solution,analyses) { //{{{

			if(ArrayAnyEqual(ArrayIsMember(MasstransportAnalysisEnum(),analyses),1)){
				if (!(solution==TransientSolutionEnum() & md.trans.ismasstransport==0)){
					checkfield(md,'fieldname','basalforcings.groundedice_melting_rate','NaN',1,'Inf',1,'timeseries',1);
					checkfield(md,'fieldname','basalforcings.floatingice_melting_rate','NaN',1,'Inf',1,'timeseries',1);
				}
			}

			if(ArrayAnyEqual(ArrayIsMember(BalancethicknessAnalysisEnum(),analyses),1)){
				checkfield(md,'fieldname','basalforcings.groundedice_melting_rate','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices, 1]);
				checkfield(md,'fieldname','basalforcings.floatingice_melting_rate','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices, 1]);
			}
			if(ArrayAnyEqual(ArrayIsMember(ThermalAnalysisEnum(),analyses),1)){
				if (!(solution==TransientSolutionEnum() & md.trans.isthermal==0)){
					checkfield(md,'fieldname','basalforcings.groundedice_melting_rate','NaN',1,'Inf',1,'timeseries',1);
					checkfield(md,'fieldname','basalforcings.floatingice_melting_rate','NaN',1,'Inf',1,'timeseries',1);
					checkfield(md,'fieldname','basalforcings.geothermalflux','NaN',1,'Inf',1,'timeseries',1,'>=',0);
				}
			}
		} // }}}
		this.marshall=function(md,prefix,fid) { //{{{

			var yts=365.0*24.0*3600.0;

			WriteData(fid,prefix,'name','md.basalforcings.model','data',FloatingMeltRateEnum(),'format','Integer');
			WriteData(fid,prefix,'object',this,'fieldname','groundedice_melting_rate','format','DoubleMat','mattype',1,'scale',1./yts,'timeserieslength',md.mesh.numberofvertices+1)
			WriteData(fid,prefix,'object',this,'fieldname','floatingice_melting_rate','format','DoubleMat','mattype',1,'scale',1./yts,'timeserieslength',md.mesh.numberofvertices+1)
			WriteData(fid,prefix,'object',this,'fieldname','geothermalflux','format','DoubleMat','mattype',1,'timeserieslength',md.mesh.numberofvertices+1);
		}//}}}
		this.fix=function() { //{{{
		}//}}}
	//properties
	//{{{
	this.groundedice_melting_rate  = NaN;
	this.floatingice_melting_rate  = NaN;
	this.geothermalflux            = NaN;
	this.setdefaultparameters();
	//}}}
}
//CALVING class definition
//
//   Usage:
//      calving=new calving();

function calving (){
	//methods
	this.setdefaultparameters = function(){// {{{

	}// }}}
	this.disp= function(){// {{{

		console.log(sprintf('   Calving parameters:'));
		fielddisplay(this,'calvingrate','calving rate at given location [m/a]');
		fielddisplay(this,'meltingrate','melting rate at given location [m/a]');

	}// }}}
	this.classname= function(){// {{{
		return "calving";
	}// }}}
	this.checkconsistency = function(md,solution,analyses) { // {{{
		//Early return
		if (solution!=TransientSolutionEnum() | md.trans.ismovingfront==0) return;

		checkfield(md,'fieldname','calving.calvingrate(1:md.mesh.numberofvertices,:)','>=',0,'timeseries',1,'NaN',1,'Inf',1);
		checkfield(md,'fieldname','calving.meltingrate(1:md.mesh.numberofvertices,:)','>=',0,'timeseries',1,'NaN',1,'Inf',1);
	} //}}}
		this.marshall=function(md,prefix,fid) { //{{{
			var yts=365.0*24.0*3600.0;
			WriteData(fid,prefix,'name','md.calving.law','data',DefaultCalvingEnum(),'format','Integer');
			WriteData(fid,prefix,'object',this,'fieldname','calvingrate','format','DoubleMat','mattype',1,'timeserieslength',md.mesh.numberofvertices+1,'scale',1./yts);
			WriteData(fid,prefix,'object',this,'fieldname','meltingrate','format','DoubleMat','mattype',1,'timeserieslength',md.mesh.numberofvertices+1,'scale',1./yts);
		}//}}}
		this.fix=function() { //{{{
			this.calvingrate=NullFix(this.calvingrate,NaN);
			this.meltingrate=NullFix(this.meltingrate,NaN);
		}//}}}
	//properties 
	// {{{

	this.calvingrate   = NaN;
	this.meltingrate   = NaN;

	this.setdefaultparameters();
	//}}}
}
//GENERIC class definition
//
//   Usage:
//      generic=new generic();

function generic (){
	//properties 
	// {{{
	var args = Array.prototype.slice.call(arguments);
	var options = new pairoptions(args.slice(0,args.length));

	this.url=options.getfieldvalue('url','');
	this.np=options.getfieldvalue('np',3);
	this.codeversion=options.getfieldvalue('codeversion',20486);
	this.codepath=options.getfieldvalue('codepath','issmdir/bin');
	this.executionpath=options.getfieldvalue('executionpath','issmdir/execution');
	//}}}
	//methods
	this.disp= function(){// {{{
		console.log(sprintf('   generic class echo:'));
		console.log(sprintf('    url: "%s"',this.url));
		console.log(sprintf('    np: %i',this.np));
		console.log(sprintf('    codepath: "%s"',this.codepath));
		console.log(sprintf('    executionpath: "%s"',this.executionpath));
	}// }}}
	this.classname= function(){// {{{
		return "generic";
	}// }}}
	this.checkconsistency = function (md,solution,analyses) { //{{{
		if (cluster.np<1){
			md.checkmessage('number of processors should be at least 1');
		}
		if (isNaN(cluster.np)){
			md.checkmessage('number of processors should not be NaN!');
		}
	} //}}}
	this.BuildQueueScript = function (cluster,dirname,modelname,solution,io_gather,isvalgrind,isgprof,isdakota) { // {{{

			//write queuing script 
			//what is the executable being called? 
			executable='issm.exe';

			fid=fopen(modelname+'.queue','w');
			fprintf(fid,'#!%s\n',cluster.shell);
			fprintf(fid,'mpiexec -np %i %s/%s %s %s %s 2> %s.errlog >%s.outlog ',cluster.np,cluster.codepath,executable,EnumToString(solution),cluster.executionpath+'/'+dirname,modelname,modelname,modelname);					
			fclose(fid);
	} //}}}
	this.UploadAndRun = function (md,callbackfunction,fid,toolkitsstring,solutionstring,name,runtimename) { //{{{

		var request = new XMLHttpRequest();
		$(".run-button").html(sprintf("%-16s", "CONNECTING...")).prop("disabled", true);
		request.position = 0; //Keep track of current parsing position in repsonseText
		request.timeout = 30000;
		request.ontimeout = function (event) { //{{{
			$(".run-button").html(sprintf("%-16s", "RUN")).prop("disabled", false);
		} //}}}
		request.upload.onprogress = function(event) { //{{{
			var progress = (event.loaded / event.total * 100).toFixed(0);
			$(".run-button").html(sprintf("%-20s", "UPLOADING: " + progress + "%"));
        } //}}}
		request.onprogress = function (event) { //{{{
			//Receive updates by parsing message length as a 32-bit hex string of form 0x*09ABCDEF))
			var startIndex = request.position;
			var endIndex = request.position + 10;
			if (request.responseText.length >= endIndex) { //Ensure entire hex string is loaded
				var chunkSize = parseInt(request.responseText.slice(startIndex, endIndex));
				startIndex = endIndex;
				endIndex = startIndex + chunkSize;
				if (chunkSize >= 1024) { //Arbitrary maximium size of message (Must be below minimium size of model results)
					$(".run-button").html(sprintf("%-20s", "DOWNLOADING: " + ((request.responseText.length - request.position) / chunkSize * 100).toFixed(0) + "%")).prop("disabled", true);
				}
				else if (request.responseText.length >= endIndex) { //Ensure entire chunk is loaded
					var responseChunk = request.responseText.slice(startIndex, endIndex);
					$(".run-button").html(responseChunk);
					request.position = endIndex;
				}
			}
		}; //}}}
		request.onload = function (event) { //{{{
			//get context to this.str2ab to avoid duplciation
			function str2ab(str) {
				var buf = new Uint8Array(str.length);
				for (var i=0, strLen=str.length; i < strLen; i++) {
					buf[i] = str.charCodeAt(i);
				}
				return buf;
			}
			var responseText = request.responseText.slice(request.position + 10).replace(/\s/g, '');
            var buffer = str2ab(window.atob(responseText));
			var returnBuffer = new Uint8Array(buffer);
			var returnBuffer_size = returnBuffer.byteLength;
			try {
				md.results = parseresultsfrombuffer(returnBuffer,returnBuffer_size);
			}
			catch (e) {
				console.log(e);
			}
			$(".run-button").html(sprintf("%-16s", "RUN")).prop("disabled", false);
			callbackfunction();
		}; //}}}
		
		var npbuffer = this.str2ab(md.cluster.np.toString());
		var nplength = new Uint32Array(1);
		nplength[0] = npbuffer.byteLength;
		
		var codeversionbuffer = this.str2ab(md.cluster.codeversion.toString());
		var codeversionlength = new Uint32Array(1);
		codeversionlength[0] = codeversionbuffer.byteLength;
		
		var runtimenamebuffer = this.str2ab(runtimename);
		var runtimenamelength = new Uint32Array(1);
		runtimenamelength[0] = runtimenamebuffer.byteLength;
		
		var namebuffer = this.str2ab(name);
		var namelength = new Uint32Array(1);
		namelength[0] = namebuffer.byteLength;
		
		var toolkitsbuffer = this.str2ab(toolkitsstring);
		var toolkitslength = new Uint32Array(1);
		toolkitslength[0] = toolkitsbuffer.byteLength;
		
		var solutionbuffer = this.str2ab(solutionstring);
		var solutionlength = new Uint32Array(1);
		solutionlength[0] = solutionbuffer.byteLength;
		
		var binbuffer = new Uint8Array(fid.rawbuffer()); //seems that 16 array bytes length could be incompatible.
		var binlength = new Uint32Array(1);
		binlength[0] = binbuffer.byteLength;
		
		var data = new Blob([nplength,npbuffer,codeversionlength,codeversionbuffer,runtimenamelength,runtimenamebuffer,namelength,namebuffer,toolkitslength,toolkitsbuffer,solutionlength,solutionbuffer,binlength,binbuffer]);
	
		request.open("POST", this.url, true);
		request.responseType = 'application/octet-stream';
		request.send(data);
		
	} //}}}
	this.ab2str = function(buf) { //{{{
		return String.fromCharCode.apply(null, new Uint16Array(buf));
	} //}}}
	this.str2ab = function(str) { //{{{
		var buf = new Uint8Array(str.length);
		for (var i=0, strLen=str.length; i < strLen; i++) {
			buf[i] = str.charCodeAt(i);
		}
		return buf;
	} //}}}
}
//LOCAL cluster class definition
//
//   Usage:
//      local=new local();

function local (){
	//methods
	this.setdefaultparameters = function(){// {{{
	}// }}}
	this.disp= function(){// {{{
		console.log(sprintf('   local cluster class echo: []'));
	}// }}}
	this.classname= function(){// {{{
		return "local";
	}// }}}
		this.checkconsistency = function (md,solution,analyses) { //{{{
		} //}}}
	//properties 
	// {{{
	this.setdefaultparameters();
	//}}}
}
//CONSTANTS class definition
//
//   Usage:
//      constants=constants();

function constants() {
	//methods 
		this.setdefaultparameters = function (){ //{{{

			//acceleration due to gravity (m/s^2)
			this.g=9.81;

			//Earth's rotation speed 
			this.omega = 7.292*1e-5;

			//converstion from year to seconds
			this.yts=365*24*3600;

			//the reference temperature for enthalpy model (cf Aschwanden)
			this.referencetemperature=223.15;
		}// }}}
		this.disp = function () { //{{{
			console.log(sprintf("   Constants parameters:")); 
			
			fielddisplay(this,'g','gravitational acceleration [m/s^2]');
			fielddisplay(this,'omega','angular velocity of Earth [rad/s]');
			fielddisplay(this,'yts','number of seconds in a year [s/yr]');
			fielddisplay(this,'referencetemperature','reference temperature used in the enthalpy model [K]');

		} //}}}
		this.classname = function () { //{{{
			return "constants";

		} //}}}
		this.checkconsistency = function(md,solution,analyses) {//% {{{

			checkfield(md,'fieldname','constants.g','>=',0,'size',[1,1]); //We allow 0 for validation tests
			checkfield(md,'fieldname','constants.omega','>=',0,'size',[1,1]);
			checkfield(md,'fieldname','constants.yts','>',0,'size',[1,1]);
			checkfield(md,'fieldname','constants.referencetemperature','size',[1,1]);

		} // }}}
		this.marshall=function(md,prefix,fid) { //{{{
			WriteData(fid,prefix,'object',this,'fieldname','g','format','Double');
			WriteData(fid,prefix,'object',this,'fieldname','yts','format','Double');
			WriteData(fid,prefix,'object',this,'fieldname','referencetemperature','format','Double');
		}//}}}
		this.fix=function() { //{{{
		}//}}}
	//properties 
	// {{{
		this.g                    = 0.;
		this.omega                = 0.;
		this.yts                  = 0.;
		this.referencetemperature = 0.;
		this.setdefaultparameters();
		//}}}
}
//DAMAGE class definition
//
//   Usage:
//      damage=new damage();

function damage (){
	//methods
	this.setdefaultparameters = function(){// {{{
		
		//damage parameters: 
		this.isdamage=0;
		this.D=0;
		this.law=0;

		this.max_damage=1-1e-5; //if damage reaches 1, solve becomes singular, as viscosity becomes nil

		//Type of stabilization used
		this.stabilization=4;

		//Maximum number of iterations
		this.maxiter=100;

		//finite element interpolation
		this.elementinterp='P1';

		//damage evolution parameters 
		this.stress_threshold=1.3e5;
		this.kappa=2.8;
		this.healing=0;
		this.c1=0;
		this.c2=0;
		this.c3=0;
		this.c4=0;
		this.equiv_stress=0;

		//output default:
		this.requested_outputs=['default'];

	}// }}}
	this.disp= function(){// {{{
		console.log(sprintf('   Damage:\n'));

		fielddisplay(this,'isdamage','is damage mechanics being used? {true,false}');
		if (this.isdamage){
			fielddisplay(this,'law',"damage law ['0: analytical','1: pralong']");
			fielddisplay(this,'D','damage tensor (scalar)');
			fielddisplay(this,'spcdamage','damage constraints (NaN means no constraint)');
			fielddisplay(this,'max_damage','maximum possible damage (0<=max_damage<1)');

			fielddisplay(this,'stabilization','0: no, 1: artificial_diffusivity, 2: SUPG (not working), 4: flux corrected transport');
			fielddisplay(this,'maxiter','maximum number of non linear iterations');
			fielddisplay(this,'elementinterp',"interpolation scheme for finite elements {'P1','P2'}");
			fielddisplay(this,'stress_threshold','stress threshold for damage initiation [Pa]');
			fielddisplay(this,'kappa','ductility parameter for stress softening and damage');
			fielddisplay(this,'c1','damage parameter 1');
			fielddisplay(this,'c2','damage parameter 2');
			fielddisplay(this,'c3','damage parameter 3');
			fielddisplay(this,'c4','damage parameter 4');
			fielddisplay(this,'healing','damage healing parameter');
			fielddisplay(this,'equiv_stress','0: von Mises, 1: max principal');
			fielddisplay(this,'requested_outputs','additional outputs requested');
		}
	}// }}}
	this.classname= function(){// {{{
		return "damage";
	}// }}}
		this.checkconsistency = function(md,solution,analyses) { //{{{
			
			checkfield(md,'fieldname','damage.isdamage','values',[1,0]);
			if (this.isdamage){
				checkfield(md,'fieldname','damage.law','numel',[1],'values',[0,1,2]);
				checkfield(md,'fieldname','damage.D','>=',0,'<=',this.max_damage,'size',[md.mesh.numberofvertices ,1]);
				checkfield(md,'fieldname','damage.spcdamage','Inf',1,'timeseries',1);
				checkfield(md,'fieldname','damage.max_damage','<',1,'>=',0);
				checkfield(md,'fieldname','damage.stabilization','numel',[1],'values',[0, 1, 2, 4]);
				checkfield(md,'fieldname','damage.maxiter','>=0',0);
				checkfield(md,'fieldname','damage.elementinterp','values',['P1','P2']);
				checkfield(md,'fieldname','damage.stress_threshold','>=',0);
				checkfield(md,'fieldname','damage.kappa','>',1);
				checkfield(md,'fieldname','damage.healing','>=',0);
				checkfield(md,'fieldname','damage.c1','>=',0);
				checkfield(md,'fieldname','damage.c2','>=',0);
				checkfield(md,'fieldname','damage.c3','>=',0);
				checkfield(md,'fieldname','damage.c4','>=',0);
				checkfield(md,'fieldname','damage.equiv_stress','numel',[1],'values',[0, 1]);
				checkfield(md,'fieldname','damage.requested_outputs','stringrow',1);
			}
			else if (this.law!=0){
				if (solution==DamageEvolutionSolutionEnum()){
					throw Error('Invalid evolution law (md.damage.law) for a damage solution');
				}
			}
		} //}}}
		this.marshall=function(md,prefix,fid) { //{{{
		
			WriteData(fid,prefix,'object',this,'fieldname','isdamage','format','Boolean');
			if (this.isdamage){
				WriteData(fid,prefix,'object',this,'fieldname','law','format','Integer');
				WriteData(fid,prefix,'object',this,'fieldname','D','format','DoubleMat','mattype',1);
				WriteData(fid,prefix,'object',this,'fieldname','spcdamage','format','DoubleMat','mattype',1,'timeserieslength',md.mesh.numberofvertices+1);
				WriteData(fid,prefix,'object',this,'fieldname','max_damage','format','Double');

				WriteData(fid,prefix,'object',this,'fieldname','stabilization','format','Integer');
				WriteData(fid,prefix,'object',this,'fieldname','maxiter','format','Integer');
				WriteData(fid,prefix,'name','md.damage.elementinterp','data',StringToEnum(this.elementinterp),'format','Integer');
				WriteData(fid,prefix,'object',this,'fieldname','stress_threshold','format','Double');
				WriteData(fid,prefix,'object',this,'fieldname','kappa','format','Double');
				WriteData(fid,prefix,'object',this,'fieldname','c1','format','Double');
				WriteData(fid,prefix,'object',this,'fieldname','c2','format','Double');
				WriteData(fid,prefix,'object',this,'fieldname','c3','format','Double');
				WriteData(fid,prefix,'object',this,'fieldname','c4','format','Double');
				WriteData(fid,prefix,'object',this,'fieldname','healing','format','Double');
				WriteData(fid,prefix,'object',this,'fieldname','equiv_stress','format','Integer');
			}

			//process requested outputs
			var outputs = this.requested_outputs;
			for (var i=0;i<outputs.length;i++){
				if (outputs[i] == 'default') {
					outputs.splice(i,1);
					outputs.push(this.defaultoutputs(md));
				}
			}
			if (this.isdamage){
				WriteData(fid,prefix,'data',outputs,'name','md.damage.requested_outputs','format','StringArray');
			}

		}//}}}
		this.fix=function() { //{{{
		}//}}}
		this.defaultoutputs = function(md){ //{{{

			if (md.mesh.domaintype() == '2Dhorizontal') return 'DamageDbar';
			else return 'DamageD';

		}//}}}
	//properties 
	// {{{
	this.isdamage            = 0;
	this.D                   = NaN;
	this.law                 = 0;
	this.spcdamage           = NaN; 
	this.max_damage          = 0;

	//numerical
	this.stabilization       = 0;
	this.maxiter             = 0;
	this.elementinterp       = '';

	//general parameters for evolution law: 
	this.stress_threshold    = 0;
	this.kappa               = 0;
	this.c1                  = 0;
	this.c2                  = 0;
	this.c3                  = 0;
	this.c4                  = 0;
	this.healing             = 0;
	this.equiv_stress		  = 0;
	this.requested_outputs   = [];

	this.setdefaultparameters();
	//}}}
}
//DEBUG class definition
//
//   Usage:
//      debug=new debug();

function debug (){
	//methods
	this.setdefaultparameters = function(){// {{{
	}// }}}
	this.classname= function(){// {{{
		return "debug";
	}// }}}
	this.disp= function(){// {{{
		console.log(sprintf('   debug parameters:'));
		console.log(sprintf('   debug parameters:'));

		fielddisplay(this,'valgrind','use Valgrind to debug (0 or 1)');
		fielddisplay(this,'gprof','use gnu-profiler to find out where the time is spent');
		fielddisplay(this,'profiling','enables profiling (memory, flops, time)');

	}// }}}
		this.marshall=function(md,prefix,fid) { //{{{
			WriteData(fid,prefix,'object',this,'fieldname','profiling','format','Boolean');
		}//}}}
		this.fix=function() { //{{{
		}//}}}

	//properties 
	// {{{
	this.valgrind = false;
	this.gprof    = false;
	this.profiling = false;
	this.setdefaultparameters();
	//}}}
}
//FLAIM class definition
//
//   Usage:
//      flaim=new flaim();

function flaim (){
	//methods
	this.setdefaultparameters = function(){// {{{
	}// }}}
	this.disp= function(){// {{{

		console.log(sprintf('   FLAIM - Flight Line Adaptation using Ice sheet Modeling:')); 

		console.log(sprintf('\n      Input:'));
		fielddisplay(this,'targets'            ,'name of kml output targets file ');
		fielddisplay(this,'tracks'             ,'name of kml input tracks file ');
		fielddisplay(this,'flightreqs'         ,'structure of kml flight requirements (not used yet)');
		fielddisplay(this,'criterion'          ,'element or nodal criterion for flight path evaluation (metric)');

		console.log(sprintf('\n      Arguments:'));
		fielddisplay(this,'gridsatequator'     ,'number of grids at equator (determines resolution)');
		fielddisplay(this,'usevalueordering'   ,'flag to consider target values for flight path evaluation');
		fielddisplay(this,'split_antimeridian' ,'flag to split polygons on the antimeridian');

		console.log(sprintf('\n      Optimization:'));
		fielddisplay(this,'path_optimize'     ,'optimize? (default false)');
		fielddisplay(this,'opt_ndir'     ,['number of directions to test when moving a point.  If this value = 1, a random direction is tested.', 'A value > 1 results in directions equally spaced from [0, 2*PI] being tested.', 'For example, 4 would result in directions [0, PI/2, PI, 3PI/2].']);
		fielddisplay(this,'opt_dist'     ,'specifies the distance in km (default 25) to move a randomly selected path point on each iteration');
		fielddisplay(this,'opt_niter'     ,['number of iterations (default 30,000) to run for flightplan optimization', 'i.e. the number of times to randomly select a point and move it.']);

		console.log(sprintf('\n      Output:'));
		fielddisplay(this,'solution'           ,'name of kml solution file');
		fielddisplay(this,'quality'            ,'quality of kml solution');

	}// }}}
	this.checkconsistency = function(md,solution,analyses) { // {{{

		//Early return
		if (solution!=FlaimSolutionEnum()) return;

		checkfield(md,'fieldname','flaim.tracks','file',1);
		if (isNaN(md.flaim.criterion) | md.flaim.criterion.length==0){
			checkfield(md,'fieldname','flaim.targets','file',1);
		}
		else{
			checkfield(md,'fieldname','flaim.criterion','numel',[md.mesh.numberofvertices, md.mesh.numberofelements]);
		}
	} //}}}
	//properties 
	// {{{

	this.targets            = '';
	this.tracks             = '';
	this.flightreqs         = {};
	this.criterion          = NaN;
	this.gridsatequator     = 200000;
	this.usevalueordering   = true;
	this.split_antimeridian = true;
	this.solution           = '';
	this.quality            = 0;
	this.path_optimize      = false;
	this.opt_ndir           = 1;
	this.opt_dist           = 25;
	this.opt_niter          = 30000;

	this.setdefaultparameters();
	//}}}
}
//FLOWEQUATION class definition
//
//   Usage:
//      flowequation=new flowequation();

function flowequation (){
	//methods
	this.setdefaultparameters = function(){// {{{
		//P1 for SSA
		this.fe_SSA= 'P1';

		//P1 for HO
		this.fe_HO= 'P1';

		//MINI condensed element for FS by default
		this.fe_FS = 'MINIcondensed';
	}// }}}
	this.disp= function(){// {{{
		console.log(sprintf('   flow equation parameters:'));

		fielddisplay(this,'isSIA','is the Shallow Ice Approximation (SIA) used ?');
		fielddisplay(this,'isSSA','is the Shelfy-Stream Approximation (SSA) used ?');
		fielddisplay(this,'isL1L2','is the L1L2 approximation used ?');
		fielddisplay(this,'isHO','is the Higher-Order (HO) approximation used ?');
		fielddisplay(this,'isFS','are the Full-FS (FS) equations used ?');
		fielddisplay(this,'fe_SSA',"Finite Element for SSA  'P1', 'P1bubble' 'P1bubblecondensed' 'P2'");
		fielddisplay(this,'fe_HO', "Finite Element for HO   'P1' 'P1bubble' 'P1bubblecondensed' 'P1xP2' 'P2xP1' 'P2'");
		fielddisplay(this,'fe_FS', "Finite Element for FS   'P1P1' (debugging only) 'P1P1GLS' 'MINIcondensed' 'MINI' 'TaylorHood' 'XTaylorHood'");
		fielddisplay(this,'vertex_equation','flow equation for each vertex');
		fielddisplay(this,'element_equation','flow equation for each element');
		fielddisplay(this,'borderSSA',"vertices on SSA's border (for tiling)");
		fielddisplay(this,'borderHO',"vertices on HO's border (for tiling)");
		fielddisplay(this,'borderFS',"vertices on FS' border (for tiling)");

	}// }}}
	this.classname= function(){// {{{
		return "flowequation";

	}// }}}
		this.checkconsistency = function(md,solution,analyses) {//{{{

			//Early return
			if ( ((!ArrayAnyEqual(ArrayIsMember(StressbalanceAnalysisEnum(),analyses),1)) & (!ArrayAnyEqual(ArrayIsMember(StressbalanceSIAAnalysisEnum(),analyses),1))) | 
					(solution==TransientSolutionEnum() & md.trans.isstressbalance==0)
			   ) return ;

			checkfield(md,'fieldname','flowequation.isSIA','numel',[1],'values',[0, 1]);
			checkfield(md,'fieldname','flowequation.isSSA','numel',[1],'values',[0, 1]);
			checkfield(md,'fieldname','flowequation.isL1L2','numel',[1],'values',[0, 1]);
			checkfield(md,'fieldname','flowequation.isHO','numel',[1],'values',[0, 1]);
			checkfield(md,'fieldname','flowequation.isFS','numel',[1],'values',[0, 1]);
			checkfield(md,'fieldname','flowequation.fe_SSA','values',['P1','P1bubble','P1bubblecondensed','P2','P2bubble']);
			checkfield(md,'fieldname','flowequation.fe_HO' ,'values',['P1','P1bubble','P1bubblecondensed','P1xP2','P2xP1','P2','P2bubble','P1xP3','P2xP4']);
			checkfield(md,'fieldname','flowequation.fe_FS' ,'values',['P1P1','P1P1GLS','MINIcondensed','MINI','TaylorHood','LATaylorHood','XTaylorHood','OneLayerP4z','CrouzeixRaviart','LACrouzeixRaviart']);
			checkfield(md,'fieldname','flowequation.augmented_lagrangian_r','numel',[1],'>=',0.);
			checkfield(md,'fieldname','flowequation.augmented_lagrangian_rlambda','numel',[1],'>=',0.);
			checkfield(md,'fieldname','flowequation.augmented_lagrangian_rhop','numel',[1],'>=',0.);
			checkfield(md,'fieldname','flowequation.augmented_lagrangian_rholambda','numel',[1],'>=',0.);
			checkfield(md,'fieldname','flowequation.XTH_theta','numel',[1],'>=',0.,'<',0.5);
			checkfield(md,'fieldname','flowequation.borderSSA','size',[md.mesh.numberofvertices, 1],'values',[0, 1]);
			checkfield(md,'fieldname','flowequation.borderHO','size',[md.mesh.numberofvertices, 1],'values',[0, 1]);
			checkfield(md,'fieldname','flowequation.borderFS','size',[md.mesh.numberofvertices, 1],'values',[0, 1]);
			if (md.mesh.domaintype() == '2Dhorizontal'){
				checkfield(md,'fieldname','flowequation.vertex_equation','size',[md.mesh.numberofvertices, 1],'values',[1,2]);
				checkfield(md,'fieldname','flowequation.element_equation','size',[md.mesh.numberofelements, 1],'values',[1,2]);
			}
			else if (md.mesh.domaintype() == '3Dsurface'){
				checkfield(md,'fieldname','flowequation.vertex_equation','size',[md.mesh.numberofvertices, 1],'values',[1,2]);
				checkfield(md,'fieldname','flowequation.element_equation','size',[md.mesh.numberofelements, 1],'values',[1,2]);
			}
			else if (md.mesh.domaintype() =='2Dvertical'){
				checkfield(md,'fieldname','flowequation.vertex_equation','size',[md.mesh.numberofvertices, 1],'values',[2,4,5]);
				checkfield(md,'fieldname','flowequation.element_equation','size',[md.mesh.numberofelements, 1],'values',[2,4,5]);
			}
			else if (md.mesh.domaintype() =='3D'){
				checkfield(md,'fieldname','flowequation.vertex_equation','size',[md.mesh.numberofvertices, 1],'values',[0,1,2,3,4,5,6,7,8]);
				checkfield(md,'fieldname','flowequation.element_equation','size',[md.mesh.numberofelements, 1],'values',[0,1,2,3,4,5,6,7,8]);
			}
			else throw Error('Case not supported yet');
			
			if (!(this.isSIA | this.isSSA | this.isL1L2 | this.isHO | this.isFS)){
				md = checkmessage(md,['no element types set for this model']);
			}
			if(ArrayAnyEqual(ArrayIsMember(StressbalanceSIAAnalysisEnum(), analyses),1)){
				if (ArrayAnyEqual(this.element_equation,1)){
					if(this.vertex_equation & ArrayAnyBelowStrict(md.mask.groundedice_levelset)){
						console.log(sprintf("\n !!! Warning: SIA's model is not consistent on ice shelves !!!\n"));
					}
				}
			}
		} // }}}
		this.marshall=function(md,prefix,fid) { //{{{
			WriteData(fid,prefix,'object',this,'fieldname','isSIA','format','Boolean');
			WriteData(fid,prefix,'object',this,'fieldname','isSSA','format','Boolean');
			WriteData(fid,prefix,'object',this,'fieldname','isL1L2','format','Boolean');
			WriteData(fid,prefix,'object',this,'fieldname','isHO','format','Boolean');
			WriteData(fid,prefix,'object',this,'fieldname','isFS','format','Boolean');
			WriteData(fid,prefix,'object',this,'fieldname','fe_SSA','data',StringToEnum(this.fe_SSA),'format','Integer');
			WriteData(fid,prefix,'object',this,'fieldname','fe_HO','data',StringToEnum(this.fe_HO) ,'format','Integer');
			WriteData(fid,prefix,'object',this,'fieldname','fe_FS','data',StringToEnum(this.fe_FS) ,'format','Integer');

			WriteData(fid,prefix,'object',this,'fieldname','augmented_lagrangian_r','format','Double');
			WriteData(fid,prefix,'object',this,'fieldname','augmented_lagrangian_rhop','format','Double');
			WriteData(fid,prefix,'object',this,'fieldname','augmented_lagrangian_rlambda','format','Double');
			WriteData(fid,prefix,'object',this,'fieldname','augmented_lagrangian_rholambda','format','Double');
			WriteData(fid,prefix,'object',this,'fieldname','XTH_theta','data',this.XTH_theta ,'format','Double');
			WriteData(fid,prefix,'object',this,'fieldname','borderSSA','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'fieldname','borderHO','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'fieldname','borderFS','format','DoubleMat','mattype',1);

			//convert approximations to enums
			data=this.vertex_equation;
			
			//some optimization: 
			var noneap=NoneApproximationEnum();
			var siaap=SIAApproximationEnum();
			var ssaap=SSAApproximationEnum();
			var l1l2ap=L1L2ApproximationEnum();
			var hoap=HOApproximationEnum();
			var fsap=FSApproximationEnum();
			var ssahoap=SSAHOApproximationEnum();
			var hofsaap=HOFSApproximationEnum();
			var ssafsap=SSAFSApproximationEnum();

			for(var i=0;i<data.length;i++){
				if(data[i]==0)data[i]=nonap;
				if(data[i]==1) data[i]=siaap;
				if(data[i]==2) data[i]=ssaap;
				if(data[i]==3) data[i]=l1l2ap;
				if(data[i]==4) data[i]=hoap;
				if(data[i]==5) data[i]=fsap;
				if(data[i]==6) data[i]=ssahoap;
				if(data[i]==7) data[i]=hofsaap;
				if(data[i]==8) data[i]=ssafsap;
			}
			WriteData(fid,prefix,'data',data,'name','md.flowequation.vertex_equation','format','DoubleMat','mattype',1);

			data=this.element_equation;
			for(var i=0;i<data.length;i++){
				if(data[i]==0) data[i]=nonap;
				if(data[i]==1) data[i]=siaap;
				if(data[i]==2) data[i]=ssaap;
				if(data[i]==3) data[i]=l1l2ap;
				if(data[i]==4) data[i]=hoap;
				if(data[i]==5) data[i]=fsap;
				if(data[i]==6) data[i]=ssahoap;
				if(data[i]==7) data[i]=ssafsap;
				if(data[i]==8) data[i]=hofsaap;
			}
			WriteData(fid,prefix,'data',data,'name','md.flowequation.element_equation','format','DoubleMat','mattype',2);

		}//}}}
		this.fix=function() { //{{{
		}//}}}
	//properties 
	// {{{
	this.isSIA                          = 0;
	this.isSSA                          = 0;
	this.isL1L2                         = 0;
	this.isHO                           = 0;
	this.isFS                           = 0;
	this.fe_SSA                         = '';
	this.fe_HO                          = '';
	this.fe_FS                          = '';
	this.augmented_lagrangian_r         = 1.;
	this.augmented_lagrangian_rhop      = 1.;
	this.augmented_lagrangian_rlambda   = 1.;
	this.augmented_lagrangian_rholambda = 1.;
	this.XTH_theta                      = 0.;
	this.vertex_equation                = NaN;
	this.element_equation               = NaN;
	this.borderSSA                      = NaN;
	this.borderHO                       = NaN;
	this.borderFS                       = NaN;
	this.setdefaultparameters();
	//}}}
}
//FRICTION class definition
//
//   Usage:
//      friction=friction();

function friction (){
	//methods
	this.setdefaultparameters = function(){ // {{{

	} // }}}
	this.disp= function (){// {{{
		console.log(sprintf('Basal shear stress parameters: Sigma_b = coefficient^2 * Neff ^r * |u_b|^(s-1) * u_b\n(effective stress Neff=rho_ice*g*thickness+rho_water*g*bed, r=q/p and s=1/p)'));
		fielddisplay(this,'coefficient','friction coefficient [SI]');
		fielddisplay(this,'p','p exponent');
		fielddisplay(this,'q','q exponent');
	} // }}}
    this.extrude = function(md) {//{{{

        console.log("coefficient");
        console.log(self.coefficient);
        console.log("p");
        console.log(self.p);
        console.log("q");
        console.log(self.q);
        self.coefficient = project3d(md, 'vector', self.coefficient, 'type', 'node', 'layer', 1);
        self.p = project3d(md, 'vector', self.p, 'type', 'element');
        self.q = project3d(md, 'vector', self.q, 'type', 'element');
    }//}}}
	this.classname= function (){// {{{
		return "friction";
	} // }}}
		this.checkconsistency = function(md,solution,analyses){ //{{{

			//Early return
			if ((!ArrayAnyEqual(ArrayIsMember(StressbalanceAnalysisEnum(),analyses),1)) & (!ArrayAnyEqual(ArrayIsMember(StressbalanceAnalysisEnum(),analyses),1))){
				return; 
			}
			md = checkfield(md,'fieldname','friction.coefficient','timeseries',1,'NaN',1,'Inf',1);
			md = checkfield(md,'fieldname','friction.q','NaN',1,'Inf',1,'size',[md.mesh.numberofelements ,1]);
			md = checkfield(md,'fieldname','friction.p','NaN',1,'Inf',1,'size',[md.mesh.numberofelements ,1]);

		} // }}}
		this.marshall=function(md,prefix,fid) { //{{{
			var yts=365.0*24.0*3600.0;

			WriteData(fid,prefix,'name','md.friction.law','data',1,'format','Integer');
			WriteData(fid,prefix,'object',this,'fieldname','coefficient','format','DoubleMat','mattype',1,'timeserieslength',md.mesh.numberofvertices+1);
			//WriteData(fid,prefix,'object',this,'fieldname','coefficient','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'fieldname','p','format','DoubleMat','mattype',2);
			WriteData(fid,prefix,'object',this,'fieldname','q','format','DoubleMat','mattype',2);
			

		}//}}}
		this.fix=function() { //{{{
		}//}}}
	//properties 
	//{{{
	this.coefficient = NaN;
	this.p           = NaN;
	this.q           = NaN;
	this.setdefaultparameters();
	//}}}
}
//GEOMETRY class definition
//
//   Usage:
//      geometry=geometry();

function geometry(){
	//methods 
		this.setdefaultparameters = function (){ //{{{
		}// }}}
		this.disp = function () { //{{{
			console.log(sprintf("   Geometry parameters:"));

			fielddisplay(this,'surface','ice upper surface elevation [m]');
			fielddisplay(this,'thickness','ice thickness [m]');
			fielddisplay(this,'base','ice base elevation [m]');
			fielddisplay(this,'bed','bed elevation [m]');
		} //}}}
        this.extrude = function(md) {//{{{
            this.surface=project3d(md,'vector',this.surface,'type','node');
            this.thickness=project3d(md,'vector',this.thickness,'type','node');
            this.hydrostatic_ratio=project3d(md,'vector',this.hydrostatic_ratio,'type','node');
            this.base=project3d(md,'vector',this.base,'type','node');
            this.bed=project3d(md,'vector',this.bed,'type','node');
        }//}}}
		this.classname = function () { //{{{
			return 'geometry';
		} //}}}
		this.checkconsistency = function(md,solution,analyses) { //{{{

			if ((solution==TransientSolutionEnum() & md.trans.isgia) | (solution==GiaSolutionEnum())){
				checkfield(md,'fieldname','geometry.thickness','timeseries',1,'NaN',1,'Inf',1,'>=',0);
			}
			else{
				checkfield(md,'fieldname','geometry.surface'  ,'NaN',1,'Inf',1,'size',[md.mesh.numberofvertices, 1]);
				checkfield(md,'fieldname','geometry.base'      ,'NaN',1,'Inf',1,'size',[md.mesh.numberofvertices, 1]);
				checkfield(md,'fieldname','geometry.thickness','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices, 1],'>',0);
				for(var i=0;i<md.mesh.numberofvertices;i++){
					if (Math.abs(md.geometry.thickness.thickness-md.geometry.surface+md.geometry.base)>Math.pow(10,9)){
						md = checkmessage(md,'equality thickness=surface-base violated');
						break;
					}
				}
				if (solution==TransientSolutionEnum() & md.trans.isgroundingline){
					checkfield(md,'fieldname','geometry.bed','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices, 1]);
				}
			}
		} // }}}
		this.marshall=function(md,prefix,fid) { //{{{
			WriteData(fid,prefix,'object',this,'fieldname','surface','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'fieldname','thickness','format','DoubleMat','mattype',1,'timeserieslength',md.mesh.numberofvertices+1);
			WriteData(fid,prefix,'object',this,'fieldname','base','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'fieldname','bed','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'fieldname','hydrostatic_ratio','format','DoubleMat','mattype',1);
		}//}}}
		this.fix=function() { //{{{
			this.hydrostatic_ratio=NullFix(this.hydrostatic_ratio,NaN);
		}//}}}
	//properties 
	// {{{
		this.surface           = NaN;
		this.thickness         = NaN;
		this.base              = NaN;
		this.bed               = NaN;
		this.hydrostatic_ratio = NaN;
		this.setdefaultparameters();
		//}}}
}
//GIA class definition
//
//   Usage:
//      gia=new gia();

function gia (){
	//methods
	this.setdefaultparameters = function(){// {{{

		this.cross_section_shape=1; //square as default (see iedge in GiaDeflectionCorex)
	
	}// }}}
	this.disp= function(){// {{{

		console.log(sprintf('   gia parameters:'));

		fielddisplay(this,'mantle_viscosity','mantle viscosity[Pa s]');
		fielddisplay(this,'lithosphere_thickness','lithosphere thickness (km)');
		fielddisplay(this,'cross_section_shape','1: square-edged (default). 2: elliptical.  See iedge in GiaDeflectionCore');

	}// }}}
	this.classname= function(){// {{{
		return "gia";
	}// }}}
	this.checkconsistency = function(md,solution,analyses) { // {{{

		if(!ArrayAnyEqual(ArrayIsMember(GiaAnalysisEnum(),analyses),1))return;

		checkfield(md,'fieldname','gia.mantle_viscosity','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices,1],'>',0);
		checkfield(md,'fieldname','gia.lithosphere_thickness','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices,1],'>',0);
		checkfield(md,'fieldname','gia.cross_section_shape','numel',[1],'values',[1,2]);

		//be sure that if we are running a masstransport ice flow model coupled with gia, that thickness forcings 
		//are not provided into the future.
		if (solution==TransientSolutionEnum() & md.trans.ismasstransport & md.trans.isgia){
			//figure out if thickness is a transient forcing: 
			if (md.geometry.thickness.length == (md.mesh.numberofvertices+1)){
				//recover the furthest time "in time": 
				t=md.geometry.thickness[0].length;
				if(md.geometry.thickness[md.geometry.thickness.length-1][t-1]!=md.timestepping.start_time){
					md.checkmessage('if ismasstransport is on, transient thickness forcing for the gia model should not be provided in the future. Synchronize your start_time to correspond to the most recent transient thickness forcing timestep');
				}
			}
		}
	} // }}}
		this.marshall=function(md,prefix,fid) { //{{{
			WriteData(fid,prefix,'object',this,'fieldname','mantle_viscosity','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'fieldname','lithosphere_thickness','format','DoubleMat','mattype',1,'scale',Math.pow(10,3)); //from km to m
			WriteData(fid,prefix,'object',this,'fieldname','cross_section_shape','format','Integer');
		}//}}}
		this.fix=function() { //{{{
			this.mantle_viscosity=NullFix(this.mantle_viscosity,NaN);
			this.lithosphere_thickness=NullFix(this.lithosphere_thickness,NaN);
		}//}}}
	//properties 
	// {{{

	this.mantle_viscosity              = NaN;
	this.lithosphere_thickness         = NaN;
	this.cross_section_shape           = 0;

	this.setdefaultparameters();
	//}}}
}
//GROUNDINGLINE class definition
//
//   Usage:
//      groundingline=new groundingline();

function groundingline (){
	//methods
	this.setdefaultparameters = function(){// {{{
		//Type of migration
		this.migration='None';

	}// }}}
	this.disp= function(){// {{{
		console.log(sprintf('   grounding line migration parameters:'));
		fielddisplay(this,'migration',"type of grounding line migration: 'SoftMigration','AggressiveMigration','SubelementMigration','SubelementMigration2' or 'None'");


	}// }}}
	this.classname= function(){// {{{
		return "groundingline";
	}// }}}
		this.checkconsistency = function(md,solution,analyses) {// {{{

			checkfield(md,'fieldname','groundingline.migration','values',['None', 'AggressiveMigration', 'SoftMigration', 'SubelementMigration', 'SubelementMigration2', 'Contact', 'None', 'GroundingOnly']);

			if (this.migration !='None'){
				if (isNaN(md.geometry.bed)){
					md.checkmessage('requesting grounding line migration, but bathymetry is absent!');
				}
				for (var i=0;i<md.mesh.numberofvertices;i++){
					if(md.mask.groundedice_levelset[i]>0){
						md.checkmessage('base not equal to bed on grounded ice!');
						break;
					}
					if(md.geometry.bed[i] - md.geometry.base[i] > Math.pow(10,-9)){
						md = checkmessage(md,'bed superior to base on floating ice!');
						break;
					}
				}
			}
		} // }}}
		this.marshall=function(md,prefix,fid) { //{{{
			WriteData(fid,prefix,'data',StringToEnum(this.migration),'name','md.groundingline.migration','format','Integer');
		}//}}}
		this.fix=function() { //{{{
		}//}}}
	//properties 
	// {{{
	this.migration    = '';
	this.setdefaultparameters();
	//}}}
}
//HYDROLOGYSHREVE class definition
//
//   Usage:
//      hydrologyshreve=new hydrologyshreve();

function hydrologyshreve (){
	//methods
	this.setdefaultparameters = function(){// {{{

		//Type of stabilization to use 0:nothing 1:artificial_diffusivity
		this.stabilization=1;

	}// }}}
		this.disp= function(){// {{{

		console.log(sprintf('   hydrologyshreve solution parameters:'));
		fielddisplay(this,'spcwatercolumn','water thickness constraints (NaN means no constraint) [m]');
		fielddisplay(this,'stabilization','artificial diffusivity (default is 1). can be more than 1 to increase diffusivity.');

	}// }}}
		this.classname= function(){// {{{
			return "hydrologyshreve";

		}// }}}
	this.type= function(){// {{{

		return "hydrologyshreve";
	}// }}}
		this.checkconsistency = function(md,solution,analyses) { //{{{

			//Early return
			if(!ArrayAnyEqual(ArrayIsMember(HydrologyShreveAnalysisEnum(),analyses),1)) return;

			checkfield(md,'fieldname','hydrology.spcwatercolumn','Inf',1,'timeseries',1);
			checkfield(md,'fieldname','hydrology.stabilization','>=',0);

		} // }}}
		this.marshall=function(md,prefix,fid) { //{{{
			WriteData(fid,prefix,'name','md.hydrology.model','data',HydrologyshreveEnum(),'format','Integer');
			WriteData(fid,prefix,'object',this,'fieldname','spcwatercolumn','format','DoubleMat','mattype',1,'timeserieslength',md.mesh.numberofvertices+1);
			WriteData(fid,prefix,'object',this,'fieldname','stabilization','format','Double');
		}//}}}
		this.fix=function() { //{{{
			this.spcwatercolumn=NullFix(this.spcwatercolumn,NaN);
		}//}}}
	//properties 
	// {{{
	this.spcwatercolumn = NaN;
	this.stabilization  = 0;
	this.setdefaultparameters();
	//}}}
}
//INITIALIZATION class definition
//
//   Usage:
//      initialization=new initialization();

function initialization (){
	//methods
	this.setdefaultparameters = function(){// {{{
	}// }}}
	this.disp= function(){// {{{
		console.log(sprintf('   initial field values:'));

		fielddisplay(this,'vx','x component of velocity [m/yr]');
		fielddisplay(this,'vy','y component of velocity [m/yr]');
		fielddisplay(this,'vz','z component of velocity [m/yr]');
		fielddisplay(this,'vel','velocity norm [m/yr]');
		fielddisplay(this,'pressure','pressure field [Pa]');
		fielddisplay(this,'temperature','temperature [K]');
		fielddisplay(this,'waterfraction','fraction of water in the ice');
		fielddisplay(this,'sediment_head','sediment water head of subglacial system [m]');
		fielddisplay(this,'epl_head','epl water head of subglacial system [m]');
		fielddisplay(this,'epl_thickness','epl layer thickness [m]');
		fielddisplay(this,'watercolumn','thickness of subglacial water [m]');

	}// }}}
		this.checkconsistency = function(md,solution,analyses) { //{{{
			if(ArrayAnyEqual(ArrayIsMember(StressbalanceAnalysisEnum(),analyses),1)){
				if (!(isNaN(md.initialization.vx) | isNaN(md.initialization.vy))){
					checkfield(md,'fieldname','initialization.vx','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices, 1]);
					checkfield(md,'fieldname','initialization.vy','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices, 1]);
				}
			}
			if(ArrayAnyEqual(ArrayIsMember(MasstransportAnalysisEnum(),analyses),1)){
				checkfield(md,'fieldname','initialization.vx','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices, 1]);
				checkfield(md,'fieldname','initialization.vy','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices, 1]);
			}
			if(ArrayAnyEqual(ArrayIsMember(BalancethicknessSolutionEnum(),analyses),1) & (solution==BalancethicknessSolutionEnum())){
				checkfield(md,'fieldname','initialization.vx','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices, 1]);
				checkfield(md,'fieldname','initialization.vy','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices, 1]);
				//Triangle with zero velocity
				for(var i=0;i<md.mesh.numberofelements;i++){
					var sum=0;
					for(var j=0;j<md.mesh.elements[0].length;j++){
						if  ((md.initialization.vx[md.mesh.elements[i][j]-1]==0) & (md.initialization.vy[md.mesh.elements[i][j]-1]==0)) sum+=1;
					}
					if (sum==md.mesh.elements[0].length){
						md.checkmessage('at least one triangle has all its vertices with a zero velocity');
					}
				}
			}
			if(ArrayAnyEqual(ArrayIsMember(ThermalAnalysisEnum(),analyses),1)){
				checkfield(md,'fieldname','initialization.vx','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices, 1]);
				checkfield(md,'fieldname','initialization.vy','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices, 1]);
				if (md.mesh.dimension() == 3){
					checkfield(md,'fieldname','initialization.vz','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices ,1]);
				}
				checkfield(md,'fieldname','initialization.pressure','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices ,1]);
				checkfield(md,'fieldname','initialization.temperature','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices ,1]);
			}
			if( ArrayAnyEqual(ArrayIsMember(EnthalpyAnalysisEnum(),analyses),1) & md.thermal.isenthalpy){
				checkfield(md,'fieldname','initialization.waterfraction','>=',0,'size',[md.mesh.numberofvertices, 1]);
				checkfield(md,'fieldname','initialization.watercolumn'  ,'>=',0,'size',[md.mesh.numberofvertices, 1]);
			}
			if(ArrayAnyEqual(ArrayIsMember(HydrologyShreveAnalysisEnum(),analyses),1)){
				if (md.hydrology.type() == 'hydrologyshreve'){
					checkfield(md,'fieldname','initialization.watercolumn','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices ,1]);
				}
			}
			if(ArrayAnyEqual(ArrayIsMember(HydrologyDCInefficientAnalysisEnum(),analyses),1)){
				if (md.hydrology.type() == 'hydrologydc'){
					checkfield(md,'fieldname','initialization.sediment_head','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices, 1]);
				}
			}
			if(ArrayAnyEqual(ArrayIsMember(HydrologyDCEfficientAnalysisEnum(),analyses),1)){
				if (md.hydrology.type() == 'hydrologydc'){
					if (md.hydrology.isefficientlayer==1){
						checkfield(md,'fieldname','initialization.epl_head','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices ,1]);
						checkfield(md,'fieldname','initialization.epl_thickness','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices ,1]);
					}
				}
			}
		} //}}}
		this.marshall=function(md,prefix,fid) { //{{{

			var yts=365.0*24.0*3600.0;

			WriteData(fid,prefix,'object',this,'fieldname','vx','format','DoubleMat','mattype',1,'scale',1./yts);
			WriteData(fid,prefix,'object',this,'fieldname','vy','format','DoubleMat','mattype',1,'scale',1./yts);
			WriteData(fid,prefix,'object',this,'fieldname','vz','format','DoubleMat','mattype',1,'scale',1./yts);
			WriteData(fid,prefix,'object',this,'fieldname','pressure','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'fieldname','temperature','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'fieldname','waterfraction','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'fieldname','sediment_head','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'fieldname','epl_head','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'fieldname','epl_thickness','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'fieldname','watercolumn','format','DoubleMat','mattype',1);

			if (md.thermal.isenthalpy){
				tpmp=NewArrayFill(md.mesh.numberofvertices,0);
				for (var i=0;i<md.mesh.numberofvertices;i++) tpmp[i]= md.materials.meltingpoint - md.materials.beta*md.initialization.pressure[i];
				enthalpy=NewArrayFill(md.mesh.numberofvertices,0); 
				for (var i=0;i<md.mesh.numberofvertices;i++)enthalpy[i] = md.materials.heatcapacity*(md.initialization.temperature[i]-md.constants.referencetemperature);
				
				for (var i=0;i<md.mesh.numberofvertices;i++)if(md.initialization.temperature[i]>=tpmp[i]){
					enthalpy[i] = md.materials.heatcapacity*(tpmp[i] - md.constants.referencetemperature) + md.materials.latentheat*md.initialization.waterfraction[i];
				}
				WriteData(fid,prefix,'data',enthalpy,'format','DoubleMat','mattype',1,'name','md.initialization.enthalpy');
			}
		}//}}}
		this.fix=function(md) { //{{{
			this.vx=FloatFix(this.vx,md.mesh.numberofvertices); 
			this.vy=FloatFix(this.vx,md.mesh.numberofvertices); 
			this.vy=FloatFix(this.vx,md.mesh.numberofvertices); 
			this.waterfraction=NullFix(this.waterfraction,NaN);
			this.sediment_head=NullFix(this.sediment_head,NaN);
			this.epl_head=NullFix(this.epl_head,NaN);
			this.epl_thickness=NullFix(this.epl_thickness,NaN);
			this.watercolumn=NullFix(this.watercolumn,NaN);
		}//}}}
	//properties 
	// {{{
	this.vx            = NaN;
	this.vy            = NaN;
	this.vz            = NaN;
	this.vel           = NaN;
	this.pressure      = NaN;
	this.temperature   = NaN;
	this.waterfraction = NaN;
	this.sediment_head = NaN;
	this.epl_head      = NaN;
	this.epl_thickness = NaN;
	this.watercolumn   = NaN;
	this.setdefaultparameters();

	//}}}
}
//INVERSION class definition
//
//   Usage:
//      inversion=new inversion();

function inversion (){
	//methods
	this.setdefaultparameters = function(){// {{{

		//default is incomplete adjoint for now
		this.incomplete_adjoint=1;

		//parameter to be inferred by control methods (only
		//drag and B are supported yet)
		this.control_parameters=['FrictionCoefficient'];

		//number of steps in the control methods
		this.nsteps=20;

		//maximum number of iteration in the optimization algorithm for
		//each step
		this.maxiter_per_step=20*NewArrayFill(this.nsteps,1);

		//the inversed parameter is updated as follows:
		//new_par=old_par + gradient_scaling(n)*C*gradient with C in [0 1];
		//usually the gradient_scaling must be of the order of magnitude of the 
		//inversed parameter (10^8 for B, 50 for drag) and can be decreased
		//after the first iterations
		this.gradient_scaling=NewArrayFill(this.nsteps,50);

		//several responses can be used:
		this.cost_functions=101;

		//step_threshold is used to speed up control method. When
		//misfit(1)/misfit(0) < this.step_threshold, we go directly to
		//the next step
		this.step_threshold=NewArrayFill(this.nsteps,.7); //30 per cent decrement.

		//cost_function_threshold is a criteria to stop the control methods.
		//if J[n]-J[n-1]/J[n] < criteria, the control run stops
		//NaN if not applied
		this.cost_function_threshold=NaN; //not activated

	}// }}}
	this.disp= function(){// {{{

		console.log(sprintf('   inversion parameters:'));
		fielddisplay(this,'iscontrol','is inversion activated?');
		fielddisplay(this,'incomplete_adjoint','1: linear viscosity, 0: non-linear viscosity');
		fielddisplay(this,'control_parameters',"ex: {'FrictionCoefficient'}, or {'MaterialsRheologyBbar'}");
		fielddisplay(this,'nsteps','number of optimization searches');
		fielddisplay(this,'cost_functions','indicate the type of response for each optimization step');
		fielddisplay(this,'cost_functions_coefficients','cost_functions_coefficients applied to the misfit of each vertex and for each control_parameter');
		fielddisplay(this,'cost_function_threshold','misfit convergence criterion. Default is 1%, NaN if not applied');
		fielddisplay(this,'maxiter_per_step','maximum iterations during each optimization step');
		fielddisplay(this,'gradient_scaling','scaling factor on gradient direction during optimization, for each optimization step');
		fielddisplay(this,'step_threshold','decrease threshold for misfit, default is 30%');
		fielddisplay(this,'min_parameters','absolute minimum acceptable value of the inversed parameter on each vertex');
		fielddisplay(this,'max_parameters','absolute maximum acceptable value of the inversed parameter on each vertex');
		fielddisplay(this,'vx_obs','observed velocity x component [m/yr]');
		fielddisplay(this,'vy_obs','observed velocity y component [m/yr]');
		fielddisplay(this,'vel_obs','observed velocity magnitude [m/yr]');
		fielddisplay(this,'thickness_obs','observed thickness [m]');
		fielddisplay(this,'surface_obs','observed surface elevation [m]');
		console.log('Available cost functions:');
		console.log('   101: SurfaceAbsVelMisfit');
		console.log('   102: SurfaceRelVelMisfit');
		console.log('   103: SurfaceLogVelMisfit');
		console.log('   104: SurfaceLogVxVyMisfit');
		console.log('   105: SurfaceAverageVelMisfit');
		console.log('   201: ThicknessAbsMisfit');
		console.log('   501: DragCoefficientAbsGradient');
		console.log('   502: RheologyBbarAbsGradient');
		console.log('   503: ThicknessAbsGradient');

	}// }}}
    this.extrude = function(md) {//{{{
        this.vx_obs=project3d(md, 'vector', this.vx_obs, 'type', 'node');
        this.vy_obs=project3d(md,'vector',this.vy_obs,'type','node');
        this.vel_obs=project3d(md,'vector',this.vel_obs,'type','node');
        this.thickness_obs=project3d(md,'vector',this.thickness_obs,'type','node');

        if (numel(this.cost_functions_coefficients)>1) {
            this.cost_functions_coefficients=project3d(md,'vector',this.cost_functions_coefficients,'type','node');
        }			
        if (numel(this.min_parameters)>1) {
            this.min_parameters=project3d(md,'vector',this.min_parameters,'type','node');
        }
        if (numel(this.max_parameters)>1) {
            this.max_parameters=project3d(md,'vector',this.max_parameters,'type','node');
        }
    }//}}}
	this.classname= function(){// {{{
		return "inversion";
	}// }}}
		this.checkconsistency = function(md,solution,analyses) { //{{{

			//Early return
			if (!this.iscontrol) return;

			num_controls=md.inversion.control_parameters.length;
			num_costfunc=md.inversion.control_parameters[0].length;

			checkfield(md,'fieldname','inversion.iscontrol','values',[0, 1]);
			checkfield(md,'fieldname','inversion.incomplete_adjoint','values',[0 ,1]);
			checkfield(md,'fieldname','inversion.control_parameters','cell',1,'values',supportedcontrols());
			checkfield(md,'fieldname','inversion.nsteps','numel',1,'>=',0);
			checkfield(md,'fieldname','inversion.maxiter_per_step','size',[md.inversion.nsteps, 1],'>=',0);
			checkfield(md,'fieldname','inversion.step_threshold','size',[md.inversion.nsteps, 1]);
			checkfield(md,'fieldname','inversion.cost_functions','size',[1, num_costfunc],'values',supportedcostfunctions());
			checkfield(md,'fieldname','inversion.cost_functions_coefficients','size',[md.mesh.numberofvertices, num_costfunc],'>=',0);
			checkfield(md,'fieldname','inversion.gradient_scaling','size',[md.inversion.nsteps, num_controls]);
			checkfield(md,'fieldname','inversion.min_parameters','size',[md.mesh.numberofvertices , num_controls]);
			checkfield(md,'fieldname','inversion.max_parameters','size',[md.mesh.numberofvertices ,num_controls]);

			//Only SSA, HO and FS are supported right now
			if (solution==StressbalanceSolutionEnum()){
				if (!(md.flowequation.isSSA | md.flowequation.isHO | md.flowequation.isFS | md.flowequation.isL1L2)){
					md.checkmessage('inversion can only be performed for SSA, HO or FS ice flow models');
				}
			}

			if (solution==BalancethicknessSolutionEnum()){
				checkfield(md,'fieldname','inversion.thickness_obs','size',[md.mesh.numberofvertices ,1],'NaN',1,'Inf',1);
			}
			else if (solution==BalancethicknessSoftSolutionEnum()){
				checkfield(md,'fieldname','inversion.thickness_obs','size',[md.mesh.numberofvertices, 1],'NaN',1,'Inf',1);
			}
			else{
				checkfield(md,'fieldname','inversion.vx_obs','size',[md.mesh.numberofvertices ,1],'NaN',1,'Inf',1);
				checkfield(md,'fieldname','inversion.vy_obs','size',[md.mesh.numberofvertices ,1],'NaN',1,'Inf',1);
			}
		} // }}}
		this.marshall=function(md,prefix,fid) { //{{{

			var yts=365.0*24.0*3600.0;

			WriteData(fid,prefix,'name','md.inversion.type','data',0,'format','Integer');
			WriteData(fid,prefix,'object',this,'fieldname','iscontrol','format','Boolean');
			WriteData(fid,prefix,'object',this,'fieldname','incomplete_adjoint','format','Boolean');
			if (!this.iscontrol) return;
			WriteData(fid,prefix,'object',this,'fieldname','nsteps','format','Integer');
			WriteData(fid,prefix,'object',this,'fieldname','maxiter_per_step','format','IntMat','mattype',3);
			WriteData(fid,prefix,'object',this,'fieldname','cost_functions_coefficients','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'fieldname','gradient_scaling','format','DoubleMat','mattype',3);
			WriteData(fid,prefix,'object',this,'fieldname','cost_function_threshold','format','Double');
			WriteData(fid,prefix,'object',this,'fieldname','min_parameters','format','DoubleMat','mattype',3);
			WriteData(fid,prefix,'object',this,'fieldname','max_parameters','format','DoubleMat','mattype',3);
			WriteData(fid,prefix,'object',this,'fieldname','step_threshold','format','DoubleMat','mattype',3);
			WriteData(fid,prefix,'object',this,'fieldname','vx_obs','format','DoubleMat','mattype',1,'scale',1./yts);
			WriteData(fid,prefix,'object',this,'fieldname','vy_obs','format','DoubleMat','mattype',1,'scale',1./yts);
			WriteData(fid,prefix,'object',this,'fieldname','vz_obs','format','DoubleMat','mattype',1,'scale',1./yts);
			if(this.thickness_obs.length==md.mesh.numberofelements) mattype=2;
			else mattype=1;
			WriteData(fid,prefix,'object',this,'class','inversion','fieldname','thickness_obs','format','DoubleMat','mattype',mattype);
			WriteData(fid,prefix,'object',this,'class','inversion','fieldname','surface_obs','format','DoubleMat','mattype',mattype);

			//process control parameters
			num_control_parameters=this.control_parameters.length;
			WriteData(fid,prefix,'object',this,'fieldname','control_parameters','format','StringArray');
			WriteData(fid,prefix,'data',num_control_parameters,'name','md.inversion.num_control_parameters','format','Integer');

			//process cost functions
			num_cost_functions=this.cost_functions[0].length;
			data=marshallcostfunctions(this.cost_functions);
			WriteData(fid,prefix,'data',data,'name','md.inversion.cost_functions','format','DoubleMat','mattype',3);
			WriteData(fid,prefix,'data',num_cost_functions,'name','md.inversion.num_cost_functions','format','Integer');
		}//}}}
		this.fix=function() { //{{{
			this.control_parameters=NullFix(this.control_parameters,NaN);
			this.maxiter_per_step=NullFix(this.maxiter_per_step,NaN);
			this.cost_functions=NullFix(this.cost_functions,NaN);
			this.cost_functions_coefficients=NullFix(this.cost_functions_coefficients,NaN);
			this.cost_function_threshold=NullFix(this.cost_function_threshold,NaN);
			this.gradient_scaling=NullFix(this.gradient_scaling,NaN);
			this.min_parameters=NullFix(this.min_parameters,NaN);
			this.max_parameters=NullFix(this.max_parameters,NaN);
			this.step_threshold=NullFix(this.step_threshold,NaN);
			this.vx_obs=NullFix(this.vx_obs,NaN);
			this.vy_obs=NullFix(this.vy_obs,NaN);
			this.vz_obs=NullFix(this.vz_obs,NaN);
			this.vel_obs=NullFix(this.vel_obs,NaN);
			this.thickness_obs=NullFix(this.thickness_obs,NaN);
			this.surface_obs=NullFix(this.surface_obs,NaN);
		}//}}}
	//properties 
	// {{{

	this.iscontrol                   = 0;
	this.incomplete_adjoint          = 0;
	this.control_parameters          = NaN;
	this.nsteps                      = 0;
	this.maxiter_per_step            = NaN;
	this.cost_functions              = NaN;
	this.cost_functions_coefficients = NaN;
	this.gradient_scaling            = NaN;
	this.cost_function_threshold     = 0;
	this.min_parameters              = NaN;
	this.max_parameters              = NaN;
	this.step_threshold              = NaN;
	this.vx_obs                      = NaN;
	this.vy_obs                      = NaN;
	this.vz_obs                      = NaN;
	this.vel_obs                     = NaN;
	this.thickness_obs               = NaN;
	this.surface_obs                 = NaN;

	this.setdefaultparameters();
	//}}}
}
//MASK class definition
//
//   Usage:
//      mask= new mask();

function mask () {
	//properties 
	// {{{
		this.groundedice_levelset                           = NaN;
		this.ice_levelset                           = NaN;
		//}}}
	//methods 
		this.setdefaultparameters = function (){ //{{{
		} // }}}
		this.disp = function () { //{{{
			console.log(sprintf("   mask:")); 

			fielddisplay(this,"groundedice_levelset","is ice grounded ? grounded ice if > 0, grounding line position if = 0, floating ice if < 0");
			fielddisplay(this,"ice_levelset","presence of ice if < 0, icefront position if = 0, no ice if > 0");
		} //}}}
		this.classname = function () { //{{{
			return "mask";
		} //}}}
		this.checkconsistency = function(md,solution,analyses){ //{{{

			checkfield(md,'fieldname','mask.groundedice_levelset','size',[md.mesh.numberofvertices, 1]);
			checkfield(md,'fieldname','mask.ice_levelset'        ,'size',[md.mesh.numberofvertices, 1]);
			var isice=NewArrayFill(md.mesh.numberofvertices,0); 
			for(var i=0;i<md.mesh.numberofvertices;i++)if(md.mask.ice_levelset[i]<=0)isice[i]=1;
			if (ArraySum(isice)==0){
				console.log('no ice present in the domain');
			}
			if (ArrayMax(md.mask.ice_levelset)<0){
				console.log('no ice front provided');
			}
				
			var icefront=NewArrayFill(md.mesh.numberofelements,0);
			for(var i=0;i<md.mesh.numberofelements;i++){
				for(var j=0;j<md.mesh.elements[0].length;j++){
					icefront[i]+=(md.mask.ice_levelset[md.mesh.elements[i][j]-1]==0);
				}
			}
			if ((ArrayMax(icefront)==3 & (md.mesh.elementtype() == 'Tria')) | (ArrayMax(icefront)==6 & md.mesh.elementtype() == 'Penta')){
				if (md.mesh.elementtype()=='Tria'){
					var pos=ArrayFindEqual(icefront,3); numberemptyelements=pos.length;
				}
				else if (md.mesh.elementtype() == 'Penta'){
					var pos=ArrayFindEqual(icefront,6); numberemptyelements=pos.length;
				}
				throw Error(sprintf(" %i have all nodes on ice front, change md.mask.ice_levelset to fix it",numberemptyelements));
			}
		} // }}}
		this.marshall=function(md,prefix,fid) { //{{{
			WriteData(fid,prefix,'object',this,'fieldname','groundedice_levelset','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'fieldname','ice_levelset','format','DoubleMat','mattype',1);
		}//}}}
		this.fix=function() { //{{{
		}//}}}

}
//MASKPSL class definition
//
//   Usage:
//      maskpsl= new maskpsl();

function maskpsl () {
	//properties 
	// {{{
		this.groundedice_levelset                           = NaN;
		this.ice_levelset                           = NaN;
		this.land_levelset                           = NaN;
		this.ocean_levelset                           = NaN;
		//}}}
	//methods 
		this.setdefaultparameters = function (){ //{{{
		} // }}}
		this.disp = function () { //{{{
			console.log(sprintf("   mask:")); 

			fielddisplay(this,"groundedice_levelset","is ice grounded ? grounded ice if > 0, grounding line position if = 0, floating ice if < 0");
			fielddisplay(this,"ice_levelset","presence of ice if < 0, icefront position if = 0, no ice if > 0");
			fielddisplay(this,"ocean_levelset","is the vertex on the ocean? yes if = 1, no if = 0");
			fielddisplay(this,"land_levelset","is the vertex on land? yes if = 1, no if = 0");
		} //}}}
		this.classname = function () { //{{{
			return "maskpsl";
		} //}}}
		this.checkconsistency = function(md,solution,analyses){ //{{{

			checkfield(md,'fieldname','mask.groundedice_levelset','size',[md.mesh.numberofvertices, 1]);
			checkfield(md,'fieldname','mask.ice_levelset'        ,'size',[md.mesh.numberofvertices, 1]);
			checkfield(md,'fieldname','mask.ocean_levelset'        ,'size',[md.mesh.numberofvertices, 1]);
			checkfield(md,'fieldname','mask.land_levelset'        ,'size',[md.mesh.numberofvertices, 1]);
			
			var isice=NewArrayFill(md.mesh.numberofvertices,0); 
			for(var i=0;i<md.mesh.numberofvertices;i++)if(md.mask.ice_levelset[i]<=0)isice[i]=1;
			if (ArraySum(isice)==0){
				console.log('no ice present in the domain');
			}
			if (ArrayMax(md.mask.ice_levelset)<0){
				console.log('no ice front provided');
			}
				
			var icefront=NewArrayFill(md.mesh.numberofelements,0);
			for(var i=0;i<md.mesh.numberofelements;i++){
				for(var j=0;j<md.mesh.elements[0].length;j++){
					icefront[i]+=(md.mask.ice_levelset[md.mesh.elements[i][j]-1]==0);
				}
			}
			if ((ArrayMax(icefront)==3 & (md.mesh.elementtype() == 'Tria')) | (ArrayMax(icefront)==6 & md.mesh.elementtype() == 'Penta')){
				if (md.mesh.elementtype()=='Tria'){
					var pos=ArrayFindEqual(icefront,3); numberemptyelements=pos.length;
				}
				else if (md.mesh.elementtype() == 'Penta'){
					var pos=ArrayFindEqual(icefront,6); numberemptyelements=pos.length;
				}
				throw Error(sprintf(" %i have all nodes on ice front, change md.mask.ice_levelset to fix it",numberemptyelements));
			}
		} // }}}
		this.marshall=function(md,prefix,fid) { //{{{
			WriteData(fid,prefix,'object',this,'class','mask','fieldname','groundedice_levelset','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'class','mask','fieldname','ice_levelset','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'class','mask','fieldname','ocean_levelset','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'class','mask','fieldname','land_levelset','format','DoubleMat','mattype',1);
		}//}}}
		this.fix=function() { //{{{
		}//}}}

}
//MASSTRANSPORT class definition
//
//   Usage:
//      masstransport=new masstransport();

function masstransport (){
	//methods
	this.setdefaultparameters = function(){// {{{

		//Type of stabilization to use 0:nothing 1:artificial_diffusivity 3:Discontinuous Galerkin
		this.stabilization=1;

		//Factor applied to compute the penalties kappa=max(stiffness matrix)*10^penalty_factor
		this.penalty_factor=3;

		//Minimum ice thickness that can be used
		this.min_thickness=1;

		//Hydrostatic adjustment
		this.hydrostatic_adjustment='Absolute';

		//default output
		this.requested_outputs=['default'];

	}// }}}
	this.disp= function(){// {{{
		console.log(sprintf('   Masstransport solution parameters:'));
		fielddisplay(this,'spcthickness','thickness constraints (NaN means no constraint) [m]');
		fielddisplay(this,'isfreesurface','do we use free surfaces (FS only) are mass conservation');
		fielddisplay(this,'min_thickness','minimum ice thickness allowed [m]');
		fielddisplay(this,'hydrostatic_adjustment',"adjustment of ice shelves surface and bed elevations: 'Incremental' or 'Absolute' ");
		fielddisplay(this,'stabilization','0: no, 1: artificial_diffusivity, 2: streamline upwinding, 3: discontinuous Galerkin, 4: Flux Correction Transport');

		console.log(sprintf('\n      %s','Penalty options:'));
		fielddisplay(this,'penalty_factor','offset used by penalties: penalty = Kmax*10^offset');
		fielddisplay(this,'vertex_pairing','pairs of vertices that are penalized');
		fielddisplay(this,'requested_outputs','additional outputs requested');

	}// }}}
	this.classname= function(){// {{{
		return "masstransport";
	}// }}}
		this.checkconsistency = function (md,solution,analyses){  // {{{

			//Early return
			if(!ArrayAnyEqual(ArrayIsMember(HydrologyShreveAnalysisEnum(),analyses),1) | (solution==TransientSolutionEnum() & md.trans.ismasstransport==0)) return; 

			checkfield(md,'fieldname','masstransport.spcthickness','Inf',1,'timeseries',1);
			checkfield(md,'fieldname','masstransport.isfreesurface','values',[0 ,1]);
			checkfield(md,'fieldname','masstransport.hydrostatic_adjustment','values',['Absolute', 'Incremental']);
			checkfield(md,'fieldname','masstransport.stabilization','values',[0,1,2,3,4]);
			checkfield(md,'fieldname','masstransport.min_thickness','>',0);
			checkfield(md,'fieldname','masstransport.requested_outputs','stringrow',1);

		} // }}}
		this.marshall=function(md,prefix,fid) { //{{{

			var yts=365.*24.*3600.;

			WriteData(fid,prefix,'object',this,'fieldname','spcthickness','format','DoubleMat','mattype',1,'timeserieslength',md.mesh.numberofvertices+1);
			WriteData(fid,prefix,'object',this,'fieldname','isfreesurface','format','Boolean');
			WriteData(fid,prefix,'object',this,'fieldname','min_thickness','format','Double');
			WriteData(fid,prefix,'data',StringToEnum(this.hydrostatic_adjustment),'format','Integer','name','md.masstransport.hydrostatic_adjustment');
			WriteData(fid,prefix,'object',this,'fieldname','stabilization','format','Integer');
			WriteData(fid,prefix,'object',this,'fieldname','vertex_pairing','format','DoubleMat','mattype',3);
			WriteData(fid,prefix,'object',this,'fieldname','penalty_factor','format','Double');

			//process requested outputs
			var outputs = this.requested_outputs;
			for (var i=0;i<outputs.length;i++){
				if (outputs[i] == 'default') {
					outputs.splice(i,1);
					var newoutputs=this.defaultoutputs(md);
					for (var j=0;j<newoutputs.length;j++) outputs.push(newoutputs[j]);
				}
			}
			WriteData(fid,prefix,'data',outputs,'name','md.masstransport.requested_outputs','format','StringArray');
		}//}}}
		this.defaultoutputs = function(md) { //{{{
			return ['Thickness','Surface','Base'];
		}//}}}
		this.fix=function() { //{{{
			this.spcthickness=NullFix(this.spcthickness,NaN);
			this.vertex_pairing=NullFix(this.vertex_pairing,NaN);
		}//}}}
	//properties 
	// {{{

	this.spcthickness           = NaN;
	this.isfreesurface          = 0;
	this.min_thickness          = 0;
	this.hydrostatic_adjustment = 0;
	this.stabilization          = 0;
	this.vertex_pairing         = NaN;
	this.penalty_factor         = 0;
	this.requested_outputs      = [];

	this.setdefaultparameters();
	//}}}
}
//MATICE class definition
//
//   Usage:
//      matice=matice();

function matice(){
	//methods
		this.setdefaultparameters = function(){ // {{{

			//ice density (kg/m^3)
			this.rho_ice=917.;

			//ocean water density (kg/m^3)
			this.rho_water=1023.;

			//fresh water density (kg/m^3)
			this.rho_freshwater=1000.;

			//water viscosity (N.s/m^2)
			this.mu_water=0.001787;  

			//ice heat capacity cp (J/kg/K)
			this.heatcapacity=2093.;

			//ice latent heat of fusion L (J/kg)
			this.latentheat=3.34*10^5;

			//ice thermal conductivity (W/m/K)
			this.thermalconductivity=2.4;
			
			//wet ice thermal conductivity (W/m/K)
			this.temperateiceconductivity=.24;

			//the melting point of ice at 1 atmosphere of pressure in K
			this.meltingpoint=273.15;

			//rate of change of melting point with pressure (K/Pa)
			this.beta=9.8*10^-8;

			//mixed layer (ice-water interface) heat capacity (J/kg/K)
			this.mixed_layer_capacity=3974.;

			//thermal exchange velocity (ice-water interface) (m/s)
			this.thermal_exchange_velocity=1.00*10^-4;

			//Rheology law: what is the temperature dependence of B with T
			//available: none, paterson and arrhenius
			this.rheology_law='Paterson';

			// GIA:
			this.lithosphere_shear_modulus  = 6.7*Math.pow(10,10);  // (Pa)
			this.lithosphere_density        = 3.32;       // (g/cm^-3)
			this.mantle_shear_modulus       = 1.45*Math.pow(10,11); // (Pa)
			this.mantle_density             = 3.34;       // (g/cm^-3)
			
			//SLR
			this.earth_density= 5512;  // average density of the Earth, (kg/m^3)


		} //}}}
		this.disp = function() {// {{{
			console.log(sprintf('   Materials:'));

			fielddisplay(this,'rho_ice','ice density [kg/m^3]');
			fielddisplay(this,'rho_water','ocean water density [kg/m^3]');
			fielddisplay(this,'rho_freshwater','fresh water density [kg/m^3]');
			fielddisplay(this,'mu_water','water viscosity [N s/m^2]');
			fielddisplay(this,'heatcapacity','heat capacity [J/kg/K]');
			fielddisplay(this,'thermalconductivity','ice thermal conductivity [W/m/K]');
			fielddisplay(this,'temperateiceconductivity','temperate ice thermal conductivity [W/m/K]');
			fielddisplay(this,'meltingpoint','melting point of ice at 1atm in K');
			fielddisplay(this,'latentheat','latent heat of fusion [J/kg]');
			fielddisplay(this,'beta','rate of change of melting point with pressure [K/Pa]');
			fielddisplay(this,'mixed_layer_capacity','mixed layer capacity [W/kg/K]');
			fielddisplay(this,'thermal_exchange_velocity','thermal exchange velocity [m/s]');
			fielddisplay(this,'rheology_B','flow law parameter [Pa/s^(1/n)]');
			fielddisplay(this,'rheology_n',"Glen's flow law exponent");
			fielddisplay(this,'rheology_law',"law for the temperature dependance of the rheology: 'None', 'Cuffey', 'CuffeyTemperate', 'Paterson', 'Arrhenius' or 'LliboutryDuval'");
			fielddisplay(this,'lithosphere_shear_modulus','Lithosphere shear modulus [Pa]');
			fielddisplay(this,'lithosphere_density','Lithosphere density [g/cm^-3]');
			fielddisplay(this,'mantle_shear_modulus','Mantle shear modulus [Pa]');
			fielddisplay(this,'mantle_density','Mantle density [g/cm^-3]');
			fielddisplay(this,'earth_density','Mantle density [kg/m^-3]');

		} // }}}
		this.classname = function() {// {{{
			return "matice";
		} // }}}
		this.checkconsistency = function(md,solution,analyses) { // {{{
			checkfield(md,'fieldname','materials.rho_ice','>',0);
			checkfield(md,'fieldname','materials.rho_water','>',0);
			checkfield(md,'fieldname','materials.rho_freshwater','>',0);
			checkfield(md,'fieldname','materials.mu_water','>',0);
			checkfield(md,'fieldname','materials.rheology_B','>',0,'timeseries',1,'NaN',1,'Inf',1);
			checkfield(md,'fieldname','materials.rheology_n','>',0,'size',[md.mesh.numberofelements,1]);
			checkfield(md,'fieldname','materials.rheology_law','values',['None','Cuffey','CuffeyTemperate','Paterson','Arrhenius','LliboutryDuval']);

			if(ArrayAnyEqual(ArrayIsMember(GiaAnalysisEnum(),analyses),1)){
				checkfield(md,'fieldname','materials.lithosphere_shear_modulus','>',0,'numel',1);
				checkfield(md,'fieldname','materials.lithosphere_density','>',0,'numel',1);
				checkfield(md,'fieldname','materials.mantle_shear_modulus','>',0,'numel',1);
				checkfield(md,'fieldname','materials.mantle_density','>',0,'numel',1);
			}
			if (ArrayAnyEqual(ArrayIsMember(SealevelriseAnalysisEnum(),analyses),1)){
				checkfield(md,'fieldname','materials.earth_density','>',0,'numel',1);
			}


		} // }}}
		this.marshall=function(md,prefix,fid) { //{{{
			WriteData(fid,prefix,'name','md.materials.type','data',MaticeEnum(),'format','Integer');
			WriteData(fid,prefix,'object',this,'class','materials','fieldname','rho_ice','format','Double');
			WriteData(fid,prefix,'object',this,'class','materials','fieldname','rho_water','format','Double');
			WriteData(fid,prefix,'object',this,'class','materials','fieldname','rho_freshwater','format','Double');
			WriteData(fid,prefix,'object',this,'class','materials','fieldname','mu_water','format','Double');
			WriteData(fid,prefix,'object',this,'class','materials','fieldname','heatcapacity','format','Double');
			WriteData(fid,prefix,'object',this,'class','materials','fieldname','latentheat','format','Double');
			WriteData(fid,prefix,'object',this,'class','materials','fieldname','thermalconductivity','format','Double');
			WriteData(fid,prefix,'object',this,'class','materials','fieldname','temperateiceconductivity','format','Double');
			WriteData(fid,prefix,'object',this,'class','materials','fieldname','meltingpoint','format','Double');
			WriteData(fid,prefix,'object',this,'class','materials','fieldname','beta','format','Double');
			WriteData(fid,prefix,'object',this,'class','materials','fieldname','mixed_layer_capacity','format','Double');
			WriteData(fid,prefix,'object',this,'class','materials','fieldname','thermal_exchange_velocity','format','Double');
			WriteData(fid,prefix,'object',this,'class','materials','fieldname','rheology_B','format','DoubleMat','mattype',1,'timeserieslength',md.mesh.numberofvertices+1);
			WriteData(fid,prefix,'object',this,'class','materials','fieldname','rheology_n','format','DoubleMat','mattype',2);
			WriteData(fid,prefix,'data',StringToEnum(this.rheology_law),'name','md.materials.rheology_law','format','Integer');
			WriteData(fid,prefix,'object',this,'class','materials','fieldname','lithosphere_shear_modulus','format','Double');
			WriteData(fid,prefix,'object',this,'class','materials','fieldname','lithosphere_density','format','Double','scale',10^3);
			WriteData(fid,prefix,'object',this,'class','materials','fieldname','mantle_shear_modulus','format','Double');
			WriteData(fid,prefix,'object',this,'class','materials','fieldname','mantle_density','format','Double','scale',10^3);
			WriteData(fid,prefix,'object',this,'class','materials','fieldname','earth_density','format','Double');

		}//}}}
		this.fix=function() { //{{{
		}//}}}
	//properties 
	// {{{
		this.rho_ice                    = 0.;
		this.rho_water                  = 0.;
		this.rho_freshwater             = 0.;
		this.mu_water                   = 0.;
		this.heatcapacity               = 0.;
		this.latentheat                 = 0.;
		this.thermalconductivity        = 0.;
		this.temperateiceconductivity   = 0.;
		this.meltingpoint               = 0.;
		this.beta                       = 0.;
		this.mixed_layer_capacity       = 0.;
		this.thermal_exchange_velocity  = 0.;
		this.rheology_B   = NaN;
		this.rheology_n   = NaN;
		this.rheology_law = '';

		//gia: 
		this.lithosphere_shear_modulus  = 0.;
		this.lithosphere_density        = 0.;
		this.mantle_shear_modulus       = 0.;
		this.mantle_density             = 0.;

		//SLR
		this.earth_density= 5512;  // average density of the Earth, (kg/m^3)

		this.setdefaultparameters();
		//}}}
}
//MESH2D class definition
//
//   Usage:
//      mesh2d= new mesh2d();

function mesh2d () {
	//methods 
		this.setdefaultparameters = function (){ //{{{

			//the connectivity is the averaged number of nodes linked to a
			//given node through an edge. This connectivity is used to initially
			//allocate memory to the stiffness matrix. A value of 16 seems to
			//give a good memory/time ration. This value can be checked in
			//trunk/test/Miscellaneous/runme.m
			this.average_vertex_connectivity=25;
		}
		// }}}
		this.disp = function () { //{{{
			console.log(sprintf("   2D tria Mesh (horizontal):")); 

			console.log(sprintf("\n      Elements and vertices:"));
			fielddisplay(this,"numberofelements","number of elements");
			fielddisplay(this,"numberofvertices","number of vertices");
			fielddisplay(this,"elements","vertex indices of the mesh elements");
			fielddisplay(this,"x","vertices x coordinate [m]");
			fielddisplay(this,"y","vertices y coordinate [m]");
			fielddisplay(this,"edges","edges of the 2d mesh (vertex1 vertex2 element1 element2)");
			fielddisplay(this,"numberofedges","number of edges of the 2d mesh");

			console.log(sprintf("\n      Properties:"));
			fielddisplay(this,"vertexonboundary","vertices on the boundary of the domain flag list");
			fielddisplay(this,"segments","edges on domain boundary (vertex1 vertex2 element)");
			fielddisplay(this,"segmentmarkers","number associated to each segment");
			fielddisplay(this,"vertexconnectivity","list of vertices connected to vertex_i");
			fielddisplay(this,"elementconnectivity","list of vertices connected to element_i");
			fielddisplay(this,"average_vertex_connectivity","average number of vertices connected to one vertex");

			console.log(sprintf("\n      Extracted model:"));
			fielddisplay(this,"extractedvertices","vertices extracted from the model");
			fielddisplay(this,"extractedelements","elements extracted from the model");

			console.log(sprintf("\n      Projection:"));
			fielddisplay(this,"lat","vertices latitude [degrees]");
			fielddisplay(this,"long","vertices longitude [degrees]");
			fielddisplay(this,"epsg","EPSG code (ex: 3413 for UPS Greenland, 3031 for UPS Antarctica)");
		} //}}}
		this.classname = function () { //{{{
			return "mesh2d";
		} //}}}
		this.domaintype=function (){ // {{{
			return '2Dhorizontal';
		} // }}}
		this.dimension = function () { //{{{
			return 2;
		} //}}}
		this.elementtype = function() {//{{{
			return 'Tria';
		} // }}}
		this.checkconsistency = function(md,solution,analyses){ //{{{

			checkfield(md,'fieldname','mesh.x','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices, 1]);
			checkfield(md,'fieldname','mesh.y','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices, 1]);
			checkfield(md,'fieldname','mesh.elements','NaN',1,'Inf',1,'>',0,'values',NewArrayFillIncrement(md.mesh.numberofvertices,1,1));
			checkfield(md,'fieldname','mesh.elements','size',[md.mesh.numberofelements, 3]);
			if(ArrayAnyEqual(ArrayIsMember(NewArrayFillIncrement(md.mesh.numberofvertices,1,1),ArraySort(ArrayUnique(MatrixToList(md.mesh.elements)))),0)){
				md.checkmessage('orphan nodes have been found. Check the mesh outline');
			}
			checkfield(md,'fieldname','mesh.numberofelements','>',0);
			checkfield(md,'fieldname','mesh.numberofvertices','>',0);
			checkfield(md,'fieldname','mesh.average_vertex_connectivity','>=',9,'message',"'mesh.average_vertex_connectivity' should be at least 9 in 2d");
			checkfield(md,'fieldname','mesh.segments','NaN',1,'Inf',1,'>',0,'size',[NaN, 3]);

			switch(solution){
			case ThermalSolutionEnum():
				checkmessage(md,'thermal not supported for 2d mesh');
				break;
			default:
				break
			}
		} // }}}
		this.marshall=function(md,prefix,fid) { //{{{
			WriteData(fid,prefix,'name','md.mesh.domain_type','data',StringToEnum('Domain' + this.domaintype()),'format','Integer');
			WriteData(fid,prefix,'name','md.mesh.domain_dimension','data',this.dimension(),'format','Integer');
			WriteData(fid,prefix,'name','md.mesh.elementtype','data',StringToEnum(this.elementtype()),'format','Integer');
			WriteData(fid,prefix,'object',this,'class','mesh','fieldname','x','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'class','mesh','fieldname','y','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'name','md.mesh.z','data',NewArrayFill(this.numberofvertices,0),'format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'class','mesh','fieldname','elements','format','DoubleMat','mattype',2);
			WriteData(fid,prefix,'object',this,'class','mesh','fieldname','numberofelements','format','Integer');
			WriteData(fid,prefix,'object',this,'class','mesh','fieldname','numberofvertices','format','Integer');
			WriteData(fid,prefix,'object',this,'class','mesh','fieldname','average_vertex_connectivity','format','Integer');
			WriteData(fid,prefix,'object',this,'class','mesh','fieldname','vertexonboundary','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'class','mesh','fieldname','segments','format','DoubleMat','mattype',3);
		}//}}}
		this.fix=function() { //{{{
			//Transform objects into Float64Arrays:
			this.x=FloatFix(this.x,this.numberofvertices); 
			this.y=FloatFix(this.y,this.numberofvertices); 
			this.edges=NullFix(this.edges,NaN);
			this.vertexonboundary=FloatFix(this.vertexonboundary,this.numberofvertices); 
			this.segmentmarkers=FloatFix(this.segmentmarkers,this.segments.length);
			this.extractedvertices=NullFix(this.extractedvertices,NaN);
			this.extractedelements=NullFix(this.extractedelements,NaN);
			this.lat=NullFix(this.lat,NaN);
			this.long=NullFix(this.long,NaN);
		}//}}}

	//properties 
	// {{{
		this.x                           = NaN;
		this.y                           = NaN;
		this.elements                    = NaN;
		this.numberofelements            = 0;
		this.numberofvertices            = 0;
		this.numberofedges               = 0;

		this.lat                         = NaN;
		this.long                        = NaN;
		this.epsg                        = 0;

		this.vertexonboundary            = NaN;

		this.edges                       = NaN;
		this.segments                    = NaN;
		this.segmentmarkers              = NaN;
		this.vertexconnectivity          = NaN;
		this.elementconnectivity         = NaN;
		this.average_vertex_connectivity = 0;

		this.extractedvertices           = NaN;
		this.extractedelements           = NaN;

		this.setdefaultparameters();
		//}}}
}
//MESH3DSURFACE class definition
//
//   Usage:
//      mesh3dsurface= new mesh3dsurface();

function mesh3dsurface () {
	//methods 
		this.setdefaultparameters = function (){ //{{{

			//the connectivity is the averaged number of nodes linked to a
			//given node through an edge. This connectivity is used to initially
			//allocate memory to the stiffness matrix. A value of 16 seems to
			//give a good memory/time ration. This value can be checked in
			//trunk/test/Miscellaneous/runme.m
			this.average_vertex_connectivity=25;
		}
		// }}}
		this.disp = function () { //{{{
			console.log(sprintf("   2D tria Mesh (3D surface):")); 

			console.log(sprintf("\n      Elements and vertices:"));
			fielddisplay(this,"numberofelements","number of elements");
			fielddisplay(this,"numberofvertices","number of vertices");
			fielddisplay(this,"elements","vertex indices of the mesh elements");
			fielddisplay(this,"x","vertices x coordinate [m]");
			fielddisplay(this,"y","vertices y coordinate [m]");
			fielddisplay(this,"z","vertices z coordinate [m]");
			fielddisplay(this,"edges","edges of the 2d mesh (vertex1 vertex2 element1 element2)");
			fielddisplay(this,"numberofedges","number of edges of the 2d mesh");

			console.log(sprintf("\n      Properties:"));
			fielddisplay(this,"vertexonboundary","vertices on the boundary of the domain flag list");
			fielddisplay(this,"segments","edges on domain boundary (vertex1 vertex2 element)");
			fielddisplay(this,"segmentmarkers","number associated to each segment");
			fielddisplay(this,"vertexconnectivity","list of vertices connected to vertex_i");
			fielddisplay(this,"elementconnectivity","list of vertices connected to element_i");
			fielddisplay(this,"average_vertex_connectivity","average number of vertices connected to one vertex");

			console.log(sprintf("\n      Extracted model:"));
			fielddisplay(this,"extractedvertices","vertices extracted from the model");
			fielddisplay(this,"extractedelements","elements extracted from the model");

			console.log(sprintf("\n      Projection:"));
			fielddisplay(this,"lat","vertices latitude [degrees]");
			fielddisplay(this,"long","vertices longitude [degrees]");
			fielddisplay(this,"r","vertices radius [m]");
		} //}}}
		this.classname = function () { //{{{
			return "mesh3dsurface";
		} //}}}
		this.domaintype=function (){ // {{{
			return '3Dsurface';
		} // }}}
		this.dimension = function () { //{{{
			return 2;
		} //}}}
		this.elementtype = function() {//{{{
			return 'Tria';
		} // }}}
		this.checkconsistency = function(md,solution,analyses){ //{{{

			checkfield(md,'fieldname','mesh.x','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices, 1]);
			checkfield(md,'fieldname','mesh.y','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices, 1]);
			checkfield(md,'fieldname','mesh.z','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices, 1]);
			checkfield(md,'fieldname','mesh.lat','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices, 1]);
			checkfield(md,'fieldname','mesh.long','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices, 1]);
			checkfield(md,'fieldname','mesh.r','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices, 1]);
			checkfield(md,'fieldname','mesh.elements','NaN',1,'Inf',1,'>',0,'values',NewArrayFillIncrement(md.mesh.numberofvertices,1,1));
			checkfield(md,'fieldname','mesh.elements','size',[md.mesh.numberofelements, 3]);
			if(ArrayAnyEqual(ArrayIsMember(NewArrayFillIncrement(md.mesh.numberofvertices,1,1),ArraySort(ArrayUnique(MatrixToList(md.mesh.elements)))),0)){
				md.checkmessage('orphan nodes have been found. Check the mesh outline');
			}
			checkfield(md,'fieldname','mesh.numberofelements','>',0);
			checkfield(md,'fieldname','mesh.numberofvertices','>',0);
			checkfield(md,'fieldname','mesh.average_vertex_connectivity','>=',9,'message',"'mesh.average_vertex_connectivity' should be at least 9 in 2d");
			checkfield(md,'fieldname','mesh.segments','NaN',1,'Inf',1,'>',0,'size',[NaN, 3]);

		} // }}}
		this.marshall=function(md,prefix,fid) { //{{{
			WriteData(fid,prefix,'name','md.mesh.domain_type','data',StringToEnum('Domain' + this.domaintype()),'format','Integer');
			WriteData(fid,prefix,'name','md.mesh.domain_dimension','data',this.dimension(),'format','Integer');
			WriteData(fid,prefix,'name','md.mesh.elementtype','data',StringToEnum(this.elementtype()),'format','Integer');
			WriteData(fid,prefix,'object',this,'fieldname','x','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'fieldname','y','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'fieldname','z','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'fieldname','lat','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'fieldname','long','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'fieldname','r','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'fieldname','elements','format','DoubleMat','mattype',2);
			WriteData(fid,prefix,'object',this,'fieldname','numberofelements','format','Integer');
			WriteData(fid,prefix,'object',this,'fieldname','numberofvertices','format','Integer');
			WriteData(fid,prefix,'object',this,'fieldname','average_vertex_connectivity','format','Integer');
			WriteData(fid,prefix,'object',this,'fieldname','vertexonboundary','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'fieldname','segments','format','DoubleMat','mattype',3);
		}//}}}
		this.fix=function() { //{{{
			//Transform objects into Float64Arrays:
			this.x=FloatFix(this.x,this.numberofvertices); 
			this.y=FloatFix(this.y,this.numberofvertices); 
			this.z=FloatFix(this.y,this.numberofvertices); 
			this.r=FloatFix(this.y,this.numberofvertices); 
			this.edges=NullFix(this.edges,NaN);
			this.vertexonboundary=FloatFix(this.vertexonboundary,this.numberofvertices); 
			this.segmentmarkers=FloatFix(this.segmentmarkers,this.segments.length);
			this.extractedvertices=NullFix(this.extractedvertices,NaN);
			this.extractedelements=NullFix(this.extractedelements,NaN);
			this.lat=NullFix(this.lat,NaN);
			this.long=NullFix(this.long,NaN);
		}//}}}

	//properties 
	// {{{
		this.x                           = NaN;
		this.y                           = NaN;
		this.z                           = NaN;
		this.elements                    = NaN;
		this.numberofelements            = 0;
		this.numberofvertices            = 0;
		this.numberofedges               = 0;

		this.lat                         = NaN;
		this.long                        = NaN;
		this.r                           = NaN;

		this.vertexonboundary            = NaN;
		this.edges                       = NaN;
		this.segments                    = NaN;
		this.segmentmarkers              = NaN;
		this.vertexconnectivity          = NaN;
		this.elementconnectivity         = NaN;
		this.average_vertex_connectivity = 0;

		this.extractedvertices           = NaN;
		this.extractedelements           = NaN;

		this.setdefaultparameters();
		//}}}
}
//MISCELLANEOUS class definition
//
//   Usage:
//      miscellaneous=new miscellaneous();

function miscellaneous (){
	//methods
	this.setdefaultparameters = function(){// {{{
	}// }}}
	this.disp= function(){// {{{

		console.log(sprintf('   miscellaneous parameters:'));

		fielddisplay(this,'notes','notes in a cell of strings');
		fielddisplay(this,'name','model name');
		fielddisplay(this,'dummy','empty field to store some data');

	}// }}}
	this.classname= function(){// {{{
		return "miscellaneous";
	}// }}}
		this.checkconsistency= function(md,solution,analyses) {// {{{

			checkfield(md,'fieldname','miscellaneous.name','empty',1);
		}// }}}
		this.marshall=function(md,prefix,fid) { //{{{
			WriteData(fid,prefix,'object',this,'fieldname','name','format','String');
		}//}}}
		this.fix=function() { //{{{
		}//}}}
	//properties 
	// {{{
	this.notes = '';
	this.name  = '';
	this.dummy = [];

	this.setdefaultparameters();
	//}}}
}
//MODEL class definition
//
//   Usage:
//      md = new model()

function model () {
	//methods
		this.disp = function() { //{{{
			console.log(sprintf("class model echo: "));
			console.log(sprintf("%19s: %-22s -- %s","mesh"            ,"[1x1 " + typeof(this.mesh) + "]","mesh properties"));
			console.log(sprintf("%19s: %-22s -- %s","mask"            ,"[1x1 " + typeof(this.mask) + "]","defines grounded and floating elements"));
			console.log(sprintf("%19s: %-22s -- %s","geometry"        ,"[1x1 " + typeof(this.geometry) + "]","surface elevation, bedrock topography, ice thickness,..."));
			console.log(sprintf("%19s: %-22s -- %s","constants"       ,"[1x1 " + typeof(this.constants) + "]","physical constants"));
			console.log(sprintf("%19s: %-22s -- %s","smb"             ,"[1x1 " + typeof(this.smb) + "]","surface mass balance"));
			console.log(sprintf("%19s: %-22s -- %s","basalforcings"   ,"[1x1 " + typeof(this.basalforcings) + "]","bed forcings"));
			console.log(sprintf("%19s: %-22s -- %s","materials"       ,"[1x1 " + typeof(this.materials) + "]","material properties"));
			console.log(sprintf("%19s: %-22s -- %s","damage"          ,"[1x1 " + typeof(this.damage) + "]","parameters for damage evolution solution"));
			console.log(sprintf("%19s: %-22s -- %s","friction"        ,"[1x1 " + typeof(this.friction) + "]","basal friction/drag properties"));
			console.log(sprintf("%19s: %-22s -- %s","flowequation"    ,"[1x1 " + typeof(this.flowequation) + "]","flow equations"));
			console.log(sprintf("%19s: %-22s -- %s","timestepping"    ,"[1x1 " + typeof(this.timestepping) + "]","time stepping for trans models"));
			console.log(sprintf("%19s: %-22s -- %s","initialization"  ,"[1x1 " + typeof(this.initialization) + "]","initial guess/state"));
			console.log(sprintf("%19s: %-22s -- %s","rifts"           ,"[1x1 " + typeof(this.rifts) + "]","rifts properties"));
			console.log(sprintf("%19s: %-22s -- %s","slr"             ,"[1x1 " + typeof(this.slr) + "]","slr forcings"));
			console.log(sprintf("%19s: %-22s -- %s","debug"           ,"[1x1 " + typeof(this.debug) + "]","debugging tools (valgrind, gprof)"));
			console.log(sprintf("%19s: %-22s -- %s","verbose"         ,"[1x1 " + typeof(this.verbose) + "]","verbosity level in solve"));
			console.log(sprintf("%19s: %-22s -- %s","settings"        ,"[1x1 " + typeof(this.settings) + "]","settings properties"));
			console.log(sprintf("%19s: %-22s -- %s","toolkits"        ,"[1x1 " + typeof(this.toolkits) + "]","PETSc options for each solution"));
			console.log(sprintf("%19s: %-22s -- %s","cluster"         ,"[1x1 " + typeof(this.cluster) + "]","cluster parameters (number of cpus...)"));
			console.log(sprintf("%19s: %-22s -- %s","balancethickness","[1x1 " + typeof(this.balancethickness) + "]","parameters for balancethickness solution"));
			console.log(sprintf("%19s: %-22s -- %s","stressbalance"   ,"[1x1 " + typeof(this.stressbalance) + "]","parameters for stressbalance solution"));
			console.log(sprintf("%19s: %-22s -- %s","groundingline"   ,"[1x1 " + typeof(this.groundingline) + "]","parameters for groundingline solution"));
			console.log(sprintf("%19s: %-22s -- %s","hydrology"       ,"[1x1 " + typeof(this.hydrology) + "]","parameters for hydrology solution"));
			console.log(sprintf("%19s: %-22s -- %s","masstransport"   ,"[1x1 " + typeof(this.masstransport) + "]","parameters for masstransport solution"));
			console.log(sprintf("%19s: %-22s -- %s","thermal"         ,"[1x1 " + typeof(this.thermal) + "]","parameters for thermal solution"));
			console.log(sprintf("%19s: %-22s -- %s","steadystate"     ,"[1x1 " + typeof(this.steadystate) + "]","parameters for steadystate solution"));
			console.log(sprintf("%19s: %-22s -- %s","trans"       ,"[1x1 " + typeof(this.trans) + "]","parameters for trans solution"));
			console.log(sprintf("%19s: %-22s -- %s","levelset"        ,"[1x1 " + typeof(this.levelset) + "]","parameters for moving boundaries (level-set method)"));
			console.log(sprintf("%19s: %-22s -- %s","calving"         ,"[1x1 " + typeof(this.calving) + "]","parameters for calving"));
			console.log(sprintf("%19s: %-22s -- %s","gia"             ,"[1x1 " + typeof(this.gia) + "]","parameters for gia solution"));
			console.log(sprintf("%19s: %-22s -- %s","autodiff"        ,"[1x1 " + typeof(this.autodiff) + "]","automatic differentiation parameters"));
			console.log(sprintf("%19s: %-22s -- %s","flaim"           ,"[1x1 " + typeof(this.flaim) + "]","flaim parameters"));
			console.log(sprintf("%19s: %-22s -- %s","inversion"       ,"[1x1 " + typeof(this.inversion) + "]","parameters for inverse methods"));
			console.log(sprintf("%19s: %-22s -- %s","qmu"             ,"[1x1 " + typeof(this.qmu) + "]","dakota properties"));
			console.log(sprintf("%19s: %-22s -- %s","outputdefinition","[1x1 " + typeof(this.outputdefinition) + "]","output definition"));
			console.log(sprintf("%19s: %-22s -- %s","results"         ,"[1x1 " + typeof(this.results) + "]","model results"));
			console.log(sprintf("%19s: %-22s -- %s","radaroverlay"    ,"[1x1 " + typeof(this.radaroverlay) + "]","radar image for plot overlay"));
			console.log(sprintf("%19s: %-22s -- %s","miscellaneous"   ,"[1x1 " + typeof(this.miscellaneous) + "]","miscellaneous fields"));
		} //}}}
		this.setdefaultparameters = function () { // {{{

			//initialize subclasses
			this.mesh             = new mesh2d();
			this.mask             = new mask();
			this.constants        = new constants();
			this.geometry         = new geometry();
			this.initialization   = new initialization();
			this.smb              = new SMBforcing();
			this.basalforcings    = new basalforcings();
			this.friction         = new friction();
			this.rifts            = new rifts();
			this.slr              = new slr();
			this.timestepping     = new timestepping();
			this.groundingline    = new groundingline();
			this.materials        = new matice();
			this.damage           = new damage();
			this.flowequation     = new flowequation();
			this.debug            = new debug();
			this.verbose          = new verbose();
			this.settings         = new settings();
			this.toolkits         = new toolkits();
			this.cluster          = new local();
			this.balancethickness = new balancethickness();
			this.stressbalance    = new stressbalance();
			this.hydrology        = new hydrologyshreve();
			this.masstransport    = new masstransport();
			this.thermal          = new thermal();
			this.steadystate      = new steadystate();
			this.trans            = new trans();
			this.levelset		  = new levelset();
			this.calving          = new calving();
			this.gia              = new gia();
			this.autodiff         = new autodiff();
			this.flaim            = new flaim();
			this.inversion        = new inversion();
			this.qmu              = new qmu();
			this.radaroverlay     = new radaroverlay();
			this.results          = {};
			this.outputdefinition = new outputdefinition();
			this.miscellaneous    = new miscellaneous();
			this.priv             = new priv();
		} //}}}
		this.checkmessage = function(string){ //{{{
			console.log('model not consistent: ' + string);
			md.private.isconsistent=false;
		} //}}}
		this.fix = function(){ //{{{

			for (var field in this){

				//Some properties do not need to be fixed
				if (field == 'results' | field =='radaroverlay' | field == 'toolkits' | field =='cluster' | field == 'flaim' | field == 'priv') continue;

				//Check that current field is a class
				if(typeof this[field] == 'function'){
					continue;
				}

				//Fix current object
				this[field].fix(this);
			}

		} //}}}
	//properties
	// {{{
		//Careful here: no other class should be used as default value this is a bug of matlab
		this.mesh             = 0;
		this.mask             = 0;

		this.geometry         = 0;
		this.constants        = 0;
		this.smb              = 0;
		this.basalforcings    = 0;
		this.materials        = 0;
		this.damage           = 0;
		this.friction         = 0;
		this.flowequation     = 0;
		this.timestepping     = 0;
		this.initialization   = 0;
		this.rifts            = 0;
		this.slr              = 0;

		this.debug            = 0;
		this.verbose          = 0;
		this.settings         = 0;
		this.toolkits         = 0;
		this.cluster          = 0;

		this.balancethickness = 0;
		this.stressbalance    = 0;
		this.groundingline    = 0;
		this.hydrology        = 0;
		this.masstransport    = 0;
		this.thermal          = 0;
		this.steadystate      = 0;
		this.trans            = 0;
		this.levelset         = 0;
		this.calving          = 0;
		this.gia              = 0;

		this.autodiff         = 0;
		this.flaim            = 0;
		this.inversion        = 0;
		this.qmu              = 0;

		this.results          = 0;
		this.outputdefinition = 0;
		this.radaroverlay     = 0;
		this.miscellaneous    = 0;
		this.priv             = 0;

		//set default values for fields
		this.setdefaultparameters();

		//}}}
}
//OUTPUTDEFINITION class definition
//
//   Usage:
//      outputdefinition=new outputdefinition();

function outputdefinition (){
	//methods
	this.setdefaultparameters = function(){// {{{
		this.definitions=[];
	}// }}}
	this.disp= function(){// {{{
		console.log(sprintf('   outputdefinition:'));
		fielddisplay(this,'definitions','list of potential outputs that can be requested, but which need additional data to be defined');


	}// }}}
	this.classname= function(){// {{{
		return "outputdefinition";
	}// }}}
		this.checkconsistency = function(md,solution,analyses) { //{{{

			checkfield(md,'fieldname','outputdefinition.definitions','cell',1);

			for (var i=0;i<this.definitions.length;i++){
				this.definitions[i].checkconsistency(md,solution,analyses);
			}

		} // }}}
		this.marshall=function(md,prefix,fid) { //{{{

		var enums=NewArrayFill(this.definitions.length,0);
		for (var i=0;i<this.definitions.length;i++){
			this.definitions[i].marshall(md,fid,prefix);
			classdefinition=this.definitions[i].classname();
			classdefinition=classdefinition.charAt(0).tuUpperCase() + classdefinition.slice(1); //so it matches our enums definitions.
			enums[i]=StringToEnum(classdefinition);
		}
		enums=ArrayUnique(enums);
		if (enums.length==0){ enums=NaN; }
		WriteData(fid,prefix,'data',enums,'name','md.outputdefinition.list','format','DoubleMat','mattype',1);
		}//}}}
		this.fix=function() { //{{{
		}//}}}
	//properties 
	// {{{
	this.definitions                 = [];
	this.setdefaultparameters();
	//}}}
}
//PAIROPTIONS class definition
//
//   Usage:
//      pairoptions=pairoptions();
//      pairoptions=pairoptions('module',true,'solver',false);

function pairoptions(args) { 


	//methods
	this.constructor = function (args) {// {{{

		//initialize list
		if (args.length==0){
			this.list=[];
		}
		else{

			//check length of input
			if (args.length % 2){
				throw Error('pairoptions error message: invalid parameter/value pair arguments') 
			}
			numoptions = args.length/2;

			//Allocate memory
			this.list= Create2DArray(numoptions,3);

			//go through args and build list of obj
			for (var i=0;i<numoptions;i++){
				if (typeof args[2*i] === 'string'){
					this.list[i][0]=args[2*i];
					this.list[i][1]=args[2*i+1];
					this.list[i][2]=false;  //used?
				}
				else{
					//option is not a string, ignore it
					console.log(sprintf('%s%i%s\n','WARNING: option number ',i,' is not a string, it will be ignored'));
					this.list[i][0]=[];
					this.list[i][1]=[];
					this.list[i][2]=[];
					continue
				}
			}
		}
	}// }}}
	this.addfield = function (field, value){ // {{{
		if (typeof field === 'string'){
			this.list.push([field,value,false]);
		}
	}// }}}
	this.numoptions = function (){ // {{{
		return this.list.length;
	}// }}}
	this.addfielddefault = function (field,value){ // {{{
		//ADDFIELDDEFAULT - add a field to an options list if it does not exist
		if (typeof field === 'string'){
			if (!this.exist(field)){
				this.list.push([field,value,true]); //true is a default so user will not be notified if not used
			}
		}
	} // }}}
	this.AssignObjectFields = function(object){ // {{{
		//ASSIGNOBJECTFIELDS - assign object fields from options
		for (var i=0;i<list.length;i++){
			fieldname=list[i][0];
			fieldvalue=list[i][1];
			if (fieldname in object){
				obj2[fieldname]=fieldvalue;
			}
			else{
				console.log(sprintf("%s'%s'%s%s\n",'WARNING: ',fieldname, 'is not a property of ',typeof object));
			}
		}
	} // }}}
	this.changefieldvalue = function(field,newvalue){ // {{{
		//CHANGEOPTIONVALUE - change the value of an option in an option list

		var found=0;
		for (var i=0;i<this.list.length;i++){
			if (this.list[i][0] === field){
				found=1;
			}
		}

		if (found==0){
			this.list.push([field,newvalue,true]); // do not notify user if unused
		}
		else{
			for (var i=0;i<this.list.length;i++){
				if (this.list[i][0] === field){
					this.list[i][1] = newvalue;
				}
			}
		}
	} // }}}
	this.deleteduplicates = function(warn){ // {{{
		//DELETEDUPLICATES - delete duplicates in an option list

		//track the first occurrence of each option
		var indices=NewArrayFill(this.list.length,0);
		for (var i=0;i<this.list.length;i++){
			if(indices[i]==0){
				for(var j=i+1;j<this.list.length;j++){
					if (this.list[i][0] === this.list[j][0])indices[j]=1;
				}
			}
		}
		sumindices=ArraySum(indices);

		//remove duplicates from the options list
		newlist=Create2DArray(sumindices,3);
		var count=0;
		for (var i=0;i<this.list.length;i++){
			if (indices[i]==1) if (warn) console.log(sprintf("%s%s%s\n",'WARNING: option ', this.list[i,0],' appeared more than once. Only its first occurrence will be kept'));
			else{
				newlist[count]=this.list[i];
				count++;
			}
		}
	} // }}}
	this.displayunused = function (){ // {{{
		//DISPLAYUNUSED - display unused options

		for (var i=0;i<this.list.length;i++){
			if (!(this.list[i][2])){
				console.log(sprintf("%s%s%s\n",'WARNING: option ',this.list[i][0],' was not used'));
			}
		}
	}// }}}
	this.disp = function (){ //{{{
		if (this.list.length){
			console.log(sprintf('   pairoptions: (%i)\n',this.list.length));
			for (var i=0;i<this.list.length;i++){
				if (typeof this.list[i][1] === 'string'){
					console.log(sprintf("     field: '%s' value(string): ''%s''",this.list[i][0],this.list[i][1]));
				}
				else if( typeof this.list[i][1] === 'number'){
					console.log(sprintf("     field: '%s' value(number): %g",this.list[i][0],this.list[i][1]));
				}
				else if( IsArray(this.list[i][1])){
					console.log(sprintf("     field: '%s' value(array): [%i]",this.list[i][0],this.list[i][1].length));
				}
			}
		}
		else{
			console.log(sprintf('   list: empty'));
		}
	}// }}}
	this.exist = function (field) { //{{{

		//EXIST - check if the option exists
		//some argument checking: 
		if (!(typeof field === 'string')){
			throw Error('exist error message: field should be a string');
		}

		//Recover option
		var bool=0;
		for (var i=0;i<this.list.length;i++){
			if (this.list[i][0] === field){
				bool=1;
				this.list[i][2]=1; //It is a default so user will not be notified if not used
				break;
			}
		}
		return bool;
	} // }}}
	this.fieldoccurrences = function(field){ // {{{

		//FIELDOCCURRENCES - get number of occurrence of a field
		var num=0;

		//check input 
		if (!(typeof field === 'string')){
			throw Error('exist error message: field should be a string');
		}

		//count number of occurrences:
		for (var i=0;i<this.list.length;i++) if (this.list[i][0] === field)num++;

		return num;

	} // }}}
	this.getfieldvalue = function(field){ // {{{
		//GETOPTION - get the value of an option
		//
		//   Usage:
		//      value=pairoptions.getfieldvalue(field,varargin)
		//
		//   Find an option value from a field. A default option
		//   can be given in input if the field does not exist
		//
		//   Examples:
		//      value=pairoptions.getfieldvalue('caxis');
		//      value=pairoptions.getfieldvalue('caxis',[0 2]);

		//some argument checking: 
		if(!(arguments.length==1 | arguments.length==2)){
			error('pairoptions usage error: getfieldvalue bad usage');
		}

		if (!(typeof field === 'string')){
			throw Error('pairoptions error message: field should be a string');
		}

		//Recover option
		for(var i=0;i<this.list.length;i++){
			if (this.list[i][0] === field){
				this.list[i][2]=1; //option used
				return value=this.list[i][1];
			}
		}

		//The option has not been found, output default if provided
		if (arguments.length==2){
			return arguments[1];
		}
		else{
            console.log(arguments);
			throw Error(sprintf("%s%s%s\n",'error message: field ',field,' has not been provided by user (and no default value has been specified)'));
		}
	} // }}}
	this.removefield = function(field,warn){// {{{

		//REMOVEFIELD - delete a field in an option list
		//
		//   Usage:
		//      options.removefield(field,warn)
		//
		//   if warn==1 display an info message to warn user that
		//   some of his options have been removed.

		//check if field exists
		if (this.exist(field)){

			var indices;
			var count;

			//find where the field is located
			indices=NewArrayFill(this.list.length,1);
			for (var i=0;i<this.list.length;i++)if(this.list[i][1] === field)indices[i]=0;
			sumindices=ArraySum(indices);

			//remove duplicates from the options list
			newlist=Create2DArray(sumindices,3);

			count=0;
			for (var i=0;i<this.list.length;i++){
				if(!(this.list[i][1] === field)){
					newlist[count]=this.list[i];
					count++;
				}
			}
			this.list=newlist;

			//warn user if requested
			if (warn){
				console.log(sprintf("%s%s%s\n",'removefield info: option ',field,' has been removed from the list of options.'));
			}
		}
	} // }}}
	this.marshall = function(fid,firstindex){// {{{

		throw Error('pairoptions marshall error: not implemented yet!');
	} // }}}

	//properties 
	this.list         = [];
	this.constructor(args);
}
//PLOTOPTIONS class definition
//
//   Usage:
//      plotoptions = plotoptions(varargin)

function plotoptions(args) {
	//methods
	this.disp = function (){ // {{{
		console.log(sprintf('\nplotoptions = \n'));
		console.log(sprintf('   figurenumber: %i',this.figurenumber));
		console.log(sprintf('   numberofplots: %i',this.numberofplots));
		if (this.list.length){
			for (var i=0;i<this.list.length;i++){
				console.log(sprintf('\n   options of plot number %i',i+1));
				this.list[i].disp();
			}
		}
		else{
			console.log(sprintf('   list: empty'));
		}
	}
	//}}}
	this.constructor = function (args){ // {{{

		//check length of input
		if (args.length % 2){
			for (i=0;i<args.length;i+=2){
				if (!(typeof args[i] === 'string')){
					console.log('Last valid option: ' + args[i-2]);
					break;
				}
			}
			throw Error('plotoptions error message: invalid parameter/value pair arguments');
		}

		//go through varargin and build list (like pairoptions)
		var rawoptions=new pairoptions(args);
		numoptions=rawoptions.numoptions();

		var counter=0;
		for (i=0;i<numoptions;i++){
			if(typeof args[2*i] === 'string')counter++;
		}
		rawlist=Create2DArray(counter,2);
		var counter=0;
		for (i=0;i<numoptions;i++){
			optionname=args[2*i];
			optionval=args[2*i+1];
			if(typeof optionname === 'string'){
				rawlist[counter][0]=optionname;
				rawlist[counter][1]=optionval;
				counter++;
			}
			else{
				//option is not a string, ignore it
				console.log(sprintf("%s%i%s\n",'WARNING: option number ',i,' is not a string, it will be ignored'));
				rawlist[counter]=[];
				continue
			}
		}
		
			
		//get number of data to be plotted
		numberofplots=rawoptions.fieldoccurrences('data');
		this.numberofplots=numberofplots;

		//figure out wether alloptions flog is on
		if (rawoptions.getfieldvalue('alloptions','off') === 'on') allflag=1;
		else allflag=0;

		//initialize list
		var list=new Array(numberofplots);
		for (i=0;i<numberofplots;i++){
			list[i]=new pairoptions([]);
		}
				
		//process plot options
		for(var i=0;i<rawlist.length;i++){

			//If alloptions flag has is on, apply to all plots
			if (allflag & !(rawlist[i][0] === 'data') & (rawlist[i][0].indexOf('#') == -1)){
				for(var j=0;j<numberofplots;j++){
					list[j].addfield(rawlist[i][0],rawlist[i][1]);
				}
			}
			else if (rawlist[i][0].indexOf('#') != -1){ //option contains '#'

				//get suplot(s) associated
				string=rawlist[i][0].split('#');
				plotnums=string[1];
				field=string[0];

				//divide plotnums if there is a comma ','
				plotnums=plotnums.split(',');

				//loop over plotnums
				for (k=0;k<plotnums.length;k++){
					plotnum=plotnums[k];

					//Empty
					if (plotnum === '') continue;

					else if (plotnum === 'all'){ //pound all
						for(var j=0;j<numberofplots;j++){
							list[j].addfield(field,rawlist[i][1]);
						}
					}
					else if (plotnum.indexOf('-')!=-1){  //pound i-j
						nums=plotnum.split('-');
						if (nums.length!=2) continue;
						if ((nums[0] == '') | (nums[1] === '')){
							throw Error(sprintf("%s%s\n",'the option #i-j is not set properly for ',field));
						}
						for (j=(Number(nums[0])-1);j<(Number(nums[1])); j++){
							list[j].addfield(field,rawlist[i][1]);
						}
					}
					else{ //pound i
						//assign to subplot
						if (Number(plotnum)>numberofplots){
							throw Error(sprintf("%s%s%s%i%s\n",'plotoptions error message: ',field,' cannot be assigned (',plotnum,' exceeds maximum number of plot)'));
						}
						list[Number(plotnum)-1].addfield(field,rawlist[i][1]);
					}
				}
			}
			else{ //assign option field to corresponding subplot

				
				//go through all subplot and assign to the first one free
				var inc=0;
				
				while (inc<numberofplots){
					
					if (!list[inc].exist(rawlist[i][0])){
						list[inc].addfield(rawlist[i][0],rawlist[i][1]);
						break
					}
					else inc++;
				}

				if (inc>numberofplots-1){
					console.log(sprintf("%s%s%s\n",'plot info message: too many ',rawlist[i][0],' options'));
				}
			}
		}

		//check that there is no duplicates
		for (var i=0;i<numberofplots;i++) list[i].deleteduplicates();

		//allocate canvasid automatically
		for (var i=0;i<numberofplots;i++) {
			if (!list[i].exist('canvasid')) {
				list[i].addfield('canvasid',i);
			}
		}

		//Get figure number (should be in options for subplot 1)
		this.figurenumber=list[0].getfieldvalue('figure',1);
		list[0].removefield('figure',0);

		//asign output
		this.list=list;

	} //}}}
	//properties
	// {{{
	this.numberofplots = 0;
	this.figurenumber  = 1;
	this.list          = [];
	this.constructor(args);
	//}}}
}
//PRIV class definition
//
//   Usage:
//      priv =new priv();

function priv (){
	//methods
	this.setdefaultparameters = function(){// {{{
	}// }}}
	this.disp= function(){// {{{
		console.log(sprintf('   private parameters: do not change'));

		fielddisplay(this,'isconsistent','is model this consistent');
		fielddisplay(this,'runtimename','name of the run launched');
		fielddisplay(this,'bamg','structure with mesh properties constructed if bamg is used to mesh the domain');
		fielddisplay(this,'solution','type of solution launched');
	}// }}}
	this.checkconsistency = function(md,solution,analyses){ // {{{

	}// % }}}
	//properties 
	// {{{
	this.isconsistent = true;
	this.runtimename  = '';
	this.bamg         = {};
	this.solution     = '';

	this.setdefaultparameters();
	//}}}
}
//QMU class definition
//
//   Usage:
//      qmu=new qmu();

function qmu (){
	//methods
	this.setdefaultparameters = function(){// {{{
	}// }}}
	this.disp= function(){// {{{

		console.log(sprintf('   qmu parameters:'));

		/*fielddisplay(this,'isdakota','is qmu analysis activated?');
		for (var i=0;i<this.variables.length;i++){
			console.log(sprintf('         variables%s:  (arrays of each variable class)',...
						string_dim(this.variables,i)));
		}
		fnames=fieldnames(this.variables(i));
		maxlen=0;
		for j=1:numel(fnames)
			maxlen=max(maxlen,length(fnames{j}));
		end

			for j=1:numel(fnames)
				console.log(sprintf(['            %-' num2str(maxlen+1) 's:    [%ix%i]    ''%s'''],...
							fnames{j},size(this.variables.(fnames{j})),class(this.variables.(fnames{j}))));
		end
			end
			for i=1:numel(this.responses)
				console.log(sprintf('         responses%s:  (arrays of each response class)',...
							string_dim(this.responses,i)));
		fnames=fieldnames(this.responses(i));
		maxlen=0;
		for j=1:numel(fnames)
			maxlen=max(maxlen,length(fnames{j}));
		end

			for j=1:numel(fnames)
				console.log(sprintf(['            %-' num2str(maxlen+1) 's:    [%ix%i]    ''%s'''],...
							fnames{j},size(this.responses.(fnames{j})),class(this.responses.(fnames{j}))));
		end
			end
			fielddisplay(this,'numberofresponses','number of responses') 
			for i=1:numel(this.method);
		if strcmp(class(this.method(i)),'dakota_method')
			console.log(sprintf('            method%s :    ''%s''',...
						string_dim(this.method,i),this.method(i).method));
		end
			end
			for i=1:numel(this.params)
				console.log(sprintf('         params%s:  (array of method-independent parameters)',...
							string_dim(this.params,i)));
		fnames=fieldnames(this.params(i));
		maxlen=0;
		for j=1:numel(fnames)
			maxlen=max(maxlen,length(fnames{j}));
		end

			for j=1:numel(fnames)
				console.log(sprintf(['            %-' num2str(maxlen+1) 's: %s'],...
							fnames{j},any2str(this.params(i).(fnames{j}))));
		end
			end
			for i=1:numel(this.results)
				console.log(sprintf('         results%s:  (information from dakota files)',...
							string_dim(this.results,i)));
		fnames=fieldnames(this.results(i));
		maxlen=0;
		for j=1:numel(fnames)
			maxlen=max(maxlen,length(fnames{j}));
		end

			for j=1:numel(fnames)
				console.log(sprintf(['            %-' num2str(maxlen+1) 's:    [%ix%i]    ''%s'''],...
							fnames{j},size(this.results.(fnames{j})),class(this.results.(fnames{j}))));
		end
			end
			fielddisplay(this,'partition','user provided mesh partitioning, defaults to metis if not specified') 
			fielddisplay(this,'numberofpartitions','number of partitions for semi-discrete qmu') 
			fielddisplay(this,'variabledescriptors','');
		fielddisplay(this,'responsedescriptors','');
		fielddisplay(this,'method','array of dakota_method class');
		fielddisplay(this,'mass_flux_profile_directory','directory for mass flux profiles');
		fielddisplay(this,'mass_flux_profiles','list of mass_flux profiles');
		fielddisplay(this,'mass_flux_segments','');
		fielddisplay(this,'adjacency','');
		fielddisplay(this,'vertex_weight','weight applied to each mesh vertex');
		*/

	}// }}}
	this.classname= function(){// {{{
		return "qmu";
	}// }}}
		this.checkconsistency = function(md,solution,analyses) { //{{{

			///Early return
			if (!md.qmu.isdakota) return;
			else md.checkmessage('qmu runs not supported yet!');

		} // }}}
		this.marshall=function(md,prefix,fid) { //{{{
			WriteData(fid,prefix,'object',this,'fieldname','isdakota','format','Boolean');
			if (!this.isdakota){
				WriteData(fid,prefix,'data',0,'name','md.qmu.mass_flux_segments_present','format','Boolean');
			}
			else{
				WriteData(fid,prefix,'object',this,'fieldname','partition','format','DoubleMat','mattype',2);
				WriteData(fid,prefix,'object',this,'fieldname','numberofpartitions','format','Integer');
				WriteData(fid,prefix,'object',this,'fieldname','numberofresponses','format','Integer');
				WriteData(fid,prefix,'object',this,'fieldname','variabledescriptors','format','StringArray');
				WriteData(fid,prefix,'object',this,'fieldname','responsedescriptors','format','StringArray');
				if (this.mass_flux_segments.length){
					WriteData(fid,prefix,'data',this.mass_flux_segments,'name','md.qmu.mass_flux_segments','format','MatArray');
					flag=true; 
				}
				else flag=false; 
				WriteData(fid,prefix,'data',flag,'name','md.qmu.mass_flux_segments_present','format','Boolean');
			}
		}//}}}
		this.fix=function() { //{{{
		}//}}}
	//properties 
	// {{{

	this.isdakota                    = 0;
	this.variables                   = []
	this.responses                   = [];
	this.method                      = []
	this.params                      = []
	this.results                     = []
	this.partition                   = NaN;
	this.numberofpartitions          = 0;
	this.numberofresponses           = 0;
	this.variabledescriptors         = []
	this.responsedescriptors         = []
	this.mass_flux_profile_directory = NaN;
	this.mass_flux_profiles          = NaN;
	this.mass_flux_segments          = []
	this.adjacency                   = NaN;
	this.vertex_weight               = NaN;

	this.setdefaultparameters();
	//}}}
}
//RADAROVERLAY class definition
//
//   Usage:
//      radaroverlay=new radaroverlay();

function radaroverlay (){
	//methods
	this.setdefaultparameters = function(){// {{{
	}// }}}
	this.disp= function(){// {{{
		console.log(sprintf('   radaroverlay parameters:'));

		fielddisplay(this,'xlim','corresponding x boundaries[m]');
		fielddisplay(this,'ylim','corresponding y boundaries [m]');
		fielddisplay(this,'outerindex','outer triangulation between mesh and bounding box');
		fielddisplay(this,'outerx','outer triangulation x coordinate between mesh and bounding box');
		fielddisplay(this,'outery','outer triangulation y coordinate between mesh and bounding box');

	}// }}}
	//properties 
	// {{{
	this.xlim   = NaN;
	this.ylim   = NaN;
	this.outerindex   = NaN;
	this.outerx   = NaN;
	this.outery   = NaN;
	this.setdefaultparameters();
	//}}}
}
//RIFTS class definition
//
//   Usage:
//      rifts=new rifts();

function rifts (){
	//methods
	this.setdefaultparameters = function(){// {{{
	}// }}}
	this.classname= function(){// {{{
		return "rifts";
	}// }}}
	this.disp= function(){// {{{
		console.log(sprintf('   rifts class echo:'));
		fielddisplay(this,'riftstruct','structure containing all rift information (vertices coordinates, segments, type of melange, ...)');
		fielddisplay(this,'riftproperties','');
	}// }}}
		this.checkconsistency = function(md,solution,analyses) { //{{{
			var numrifts;
			if (isNaN(this.riftstruct) | this.riftstruct.length==0){
				numrifts=0;
			}
			else{
				numrifts=this.riftstruct.length;
			}
			if (numrifts){
				if (!(md.mesh.domaintype() == '2Dhorizontal')){
					md.checkmessage('models with rifts are only supported in 2d for now!');
				}
				if (!IsArray(this.riftstruct)){
					md.checkmessage('rifts.riftstruct should be a structure!');
				}
				for(var i=0;i<md.mesh.segmentmarkers.length;i++){
					if (md.mesh.segmentmarkers[i]>=2){
						//We have segments with rift markers, but no rift structure!
						md.checkmessage(['model should be processed for rifts (run meshprocessrifts)!']);
						break;
					}
				}
				for (var i=0;i<numrifts;i++){
					md = checkfield(md,'fieldname',sprintf('rifts.riftstruct[%i].fill',i),'values',[WaterEnum(), AirEnum(), IceEnum(), MelangeEnum()]);
				}
			}
			else{
				if (!isNaN(this.riftstruct)) md.checkmessage('riftstruct should be NaN since numrifts is 0!');
			}
		} //}}}
		this.marshall=function(md,prefix,fid) { //{{{

			var numrifts;
			//Process rift info
			if ((this.riftstruct.length==0) | isNaN(this.riftstruct)){
				numrifts=0;
			}
			else{
				numrifts=this.riftstruct.length;
			}
			var numpairs=0;
			for (var i=0;i<numrifts;i++){
				numpairs=numpairs+this.riftstruct[i].penaltypairs.length;
			}

			// 2 for nodes + 2 for elements+ 2 for  normals + 1 for length + 1 for fill + 1 for friction + 1 for fraction + 1 for fractionincrement + 1 for state.
			data=Create2DArray(numpairs,12);
			var count=0;
			for (var i=0;i<numrifts;i++){
				numpairsforthisrift=this.riftstruct[i].penaltypairs.length;
				for(var j=0;j<numpairsforthisrift;j++){
					for(var k=0;k<7;k++)data[count+j][k]=this.riftstruct[i].penaltypairs;
					data[count+j][7]=this.riftstruct[i].fill;
					data[count+j][8]=this.riftstruct[i].friction;
					data[count+j][9]=this.riftstruct[i].fraction;
					data[count+j][10]=this.riftstruct[i].fractionincrement;
					data[count+j][11]=this.riftstruct[i].state;
					count+=numpairsforthisrift;
				}
			}
			WriteData(fid,prefix,'data',numrifts,'name','md.rifts.numrifts','format','Integer');
			WriteData(fid,prefix,'data',data,'name','md.rifts.riftstruct','format','DoubleMat','mattype',3);
		}//}}}
		this.fix=function() { //{{{
			this.riftstruct=NullFix(this.riftstruct,NaN);
			this.riftproperties=NullFix(this.riftproperties,NaN);
		}//}}}
	//properties 
	// {{{
	this.riftstruct     = NaN;
	this.riftproperties = NaN;
	this.setdefaultparameters();
	//}}}
}
//SLR class definition
//
//   Usage:
//      slr=slr();

function slr(){
	//methods
		this.setdefaultparameters = function (){ //{{{
		
		//Convergence criterion: absolute, relative and residual
		this.reltol=NaN; //default
		this.abstol=0.001; //1 mm of sea level rise

		//maximum of non-linear iterations.
		this.maxiter=10;

		//computational flags: 
		this.rigid=1;
		this.elastic=1;
		this.rotation=1;
		
		//tidal love numbers: 
		this.tide_love_h=0.6149; //degree 2
		this.tide_love_k=0.3055; //degree 2

		//numerical discretization accuracy
		this.degacc=.01;
		
		//output default:
		this.requested_outputs=['default'];

		//transitions should be a cell array of vectors: 
		this.transitions=[];
		
		}// }}}
		this.checkconsistency = function(md,solution,analyses) { //{{{

			//Early return
			if(ArrayAnyEqual(ArrayIsMember(SealevelriseAnalysisEnum(),analyses),0))return;
			
			md = checkfield(md,'fieldname','slr.deltathickness','NaN',1,'Inf',1,'size',[md.mesh.numberofelements, 1]);
			md = checkfield(md,'fieldname','slr.sealevel','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices, 1]);
			md = checkfield(md,'fieldname','slr.love_h','NaN',1,'Inf',1);
			md = checkfield(md,'fieldname','slr.love_k','NaN',1,'Inf',1);
			md = checkfield(md,'fieldname','slr.tide_love_h','NaN',1,'Inf',1);
			md = checkfield(md,'fieldname','slr.tide_love_k','NaN',1,'Inf',1);
			md = checkfield(md,'fieldname','slr.reltol','size',[1, 1]);
			md = checkfield(md,'fieldname','slr.abstol','size',[1, 1]);
			md = checkfield(md,'fieldname','slr.maxiter','size',[1, 1],'>=',1);
			md = checkfield(md,'fieldname','slr.degacc','size',[1, 1],'>=',1e-10);
			md = checkfield(md,'fieldname','slr.requested_outputs','stringrow',1);
			
			//check that love numbers are provided at the same level of accuracy: 
			if (this.love_h.length != this.love_k.length){
				throw Error('slr error message: love numbers should be provided at the same level of accuracy');
			}

		} // }}}
		this.defaultoutputs = function(md){ // {{{
			return ['Sealevel'];
		}//}}}
	this.classname= function(){// {{{
		return "slr";
	}// }}}
		this.disp= function(){// {{{
			
		console.log(sprintf('   Sealevelrise solution parameters:'));

		fielddisplay(this,'deltathickness','thickness change (main loading of the slr solution core [m]');
		fielddisplay(this,'sealevel','current sea level (prior to computation) [m]');
		fielddisplay(this,'reltol','sea level rise relative convergence criterion, (default, NaN: not applied)');
		fielddisplay(this,'abstol','sea level rise absolute convergence criterion, NaN: not applied');
		fielddisplay(this,'maxiter','maximum number of nonlinear iterations');
		fielddisplay(this,'love_h','love load number for radial displacement');
		fielddisplay(this,'love_k','love load number for gravitational potential perturbation');
		fielddisplay(this,'tide_love_h','tidal love number (degree 2)');
		fielddisplay(this,'tide_love_k','tidal love number (degree 2)');
		fielddisplay(this,'rigid','rigid earth graviational potential perturbation');
		fielddisplay(this,'elastic','elastic earth graviational potential perturbation');
		fielddisplay(this,'rotation','rotational earth potential perturbation');
		fielddisplay(this,'degacc',"accuracy (default .01 deg) for numerical discretization of the Green's functions");
		fielddisplay(this,'transitions','indices into parts of the mesh that will be icecaps');
		fielddisplay(this,'requested_outputs','additional outputs requested');
		} //}}}
			this.marshall=function(md,prefix,fid) { //{{{

			WriteData(fid,prefix,'object',this,'fieldname','deltathickness','format','DoubleMat','mattype',2);
			WriteData(fid,prefix,'object',this,'fieldname','sealevel','mattype',1,'format','DoubleMat','enum',SealevelEnum(),'timeserieslength',md.mesh.numberofvertices+1);
			WriteData(fid,prefix,'object',this,'fieldname','reltol','format','Double');
			WriteData(fid,prefix,'object',this,'fieldname','abstol','format','Double');
			WriteData(fid,prefix,'object',this,'fieldname','maxiter','format','Integer');
			WriteData(fid,prefix,'object',this,'fieldname','love_h','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'fieldname','love_k','format','DoubleMat','mattype',1);
			WriteData(fid,prefix,'object',this,'fieldname','tide_love_h','format','Double');
			WriteData(fid,prefix,'object',this,'fieldname','tide_love_k','format','Double');
			WriteData(fid,prefix,'object',this,'fieldname','rigid','format','Boolean');
			WriteData(fid,prefix,'object',this,'fieldname','elastic','format','Boolean');
			WriteData(fid,prefix,'object',this,'fieldname','rotation','format','Boolean');
			WriteData(fid,prefix,'object',this,'fieldname','degacc','format','Double');
			WriteData(fid,prefix,'object',this,'fieldname','transitions','format','MatArray');
			
			//process requested outputs
			var outputs = this.requested_outputs;
			for (var i=0;i<outputs.length;i++){
				if (outputs[i] == 'default') {
					outputs.splice(i,1);
					var newoutputs=this.defaultoutputs(md);
					for (var j=0;j<newoutputs.length;j++) outputs.push(newoutputs[j]);
				}
			}
			WriteData(fid,prefix,'data',outputs,'name','md.slr.requested_outputs','format','StringArray');
		}//}}}
		this.fix=function() { //{{{
			this.deltathickness=NullFix(this.deltathickness,NaN);
			this.sealevel=NullFix(this.sealevel,NaN);
			this.maxiter=NullFix(this.maxiter,NaN);
			this.reltol=NullFix(this.reltol,NaN);
			this.abstol=NullFix(this.abstol,NaN);
			this.love_h=NullFix(this.love_h,NaN);
			this.love_k=NullFix(this.love_k,NaN);
			this.tide_love_h=NullFix(this.tide_love_h,NaN);
			this.tide_love_k=NullFix(this.tide_love_k,NaN);
			this.rigid=NullFix(this.rigid,NaN);
			this.elastic=NullFix(this.elastic,NaN);
			this.rotation=NullFix(this.rotation,NaN);
			this.degacc=NullFix(this.degacc,NaN);
		}//}}}
	//properties
	//{{{
	this.deltathickness = NaN;
	this.sealevel       = NaN; 
	this.maxiter        = 0;
	this.reltol         = 0;
	this.abstol         = 0;
	this.love_h         = 0; //provided by PREM model
	this.love_k         = 0; //idam
	this.tide_love_h    = 0; 
	this.tide_love_k    = 0; 
	this.rigid          = 0;
	this.elastic        = 0;
	this.rotation       = 0;
	this.degacc         = 0;
	this.requested_outputs = [];
	this.transitions    = [];
	this.setdefaultparameters();
	//}}}
}
//SETTINGS class definition
//
//   Usage:
//      settings=new settings();

function settings (){
	//methods
	this.setdefaultparameters = function(){// {{{
		//are we short in memory ? (0 faster but requires more memory)
		this.lowmem=0;

		//i/o:
		this.io_gather=1;

		//results frequency by default every step
		this.output_frequency=1;

		//checkpoints frequency, by default never: 
		this.recording_frequency=0;

		//this option can be activated to load automatically the results
		//onto the model after a parallel run by waiting for the lock file
		//N minutes that is generated once the solution has converged
		//0 to deactivate
		this.waitonlock=Infinity;

		//upload options: 
		upload_port         = 0;

	}// }}}
	this.disp= function(){// {{{
		console.log(sprintf('   settings class echo:'));
		
		fielddisplay(this,'results_on_nodes','results are output for all the nodes of each element');
		fielddisplay(this,'io_gather','I/O gathering strategy for result outputs (default 1)');
		fielddisplay(this,'lowmem','is the memory limited ? (0 or 1)');
		fielddisplay(this,'output_frequency','frequency at which results are saved in all solutions with multiple time_steps');
		fielddisplay(this,'recording_frequency','frequency at which the runs are being recorded, allowing for a restart');
		fielddisplay(this,'waitonlock','maximum number of minutes to wait for batch results (NaN to deactivate)');
		fielddisplay(this,'upload_server','server hostname where model should be uploaded');
		fielddisplay(this,'upload_path','path on server where model should be uploaded');
		fielddisplay(this,'upload_login','server login');
		fielddisplay(this,'upload_port','port login (default is 0)');
		fielddisplay(this,'upload_filename','unique id generated when uploading the file to server');


	}// }}}
	this.classname= function(){// {{{
		return "settings";

	}// }}}
		this.checkconsistency = function(md,solution,analyses) { // {{{

			checkfield(md,'fieldname','settings.results_on_nodes','numel',[1],'values',[0, 1]);
			checkfield(md,'fieldname','settings.io_gather','numel',[1],'values',[0, 1]);
			checkfield(md,'fieldname','settings.lowmem','numel',[1],'values',[0, 1]);
			checkfield(md,'fieldname','settings.output_frequency','numel',[1],'>=',1);
			checkfield(md,'fieldname','settings.recording_frequency','numel',[1],'>=',0);
			checkfield(md,'fieldname','settings.waitonlock','numel',[1]);
		} // }}}
		this.marshall=function(md,prefix,fid) { //{{{
			WriteData(fid,prefix,'object',this,'fieldname','results_on_nodes','format','Boolean');
			WriteData(fid,prefix,'object',this,'fieldname','io_gather','format','Boolean');
			WriteData(fid,prefix,'object',this,'fieldname','lowmem','format','Boolean');
			WriteData(fid,prefix,'object',this,'fieldname','output_frequency','format','Integer');
			WriteData(fid,prefix,'object',this,'fieldname','recording_frequency','format','Integer');
			if (this.waitonlock>0) WriteData(fid,prefix,'name','md.settings.waitonlock','data',true,'format','Boolean');
			else WriteData(fid,prefix,'name','md.settings.waitonlock','data',false,'format','Boolean');
		}//}}}
		this.fix=function() { //{{{
		}//}}}
	//properties 
	// {{{
	this.results_on_nodes    = 0;
	this.io_gather           = 0;
	this.lowmem              = 0;
	this.output_frequency    = 0;
	this.recording_frequency   = 0;
	this.waitonlock          = 0;
	this.upload_server       = '';
	this.upload_path         = '';
	this.upload_login        = '';
	this.upload_port         = 0;
	this.upload_filename     = '';
	this.setdefaultparameters();
	//}}}
}
//SMBforcing Class definition
//
//   Usage:
//      SMB=SMBforcing();

function SMBforcing(){
	//methods
	this.setdefaultparameters = function(){// {{{
		this.requested_outputs=['default'];
	} // }}}
	this.disp = function(){ // {{{
		console.log(sprintf('   surface forcings parameters:'));
		fielddisplay(this,'mass_balance','surface mass balance [m/yr ice eq]');
		fielddisplay(this,'requested_outputs','additional outputs requested');
	} // }}}
	this.defaultoutputs = function(){ // {{{
		return '';
	}//}}}
    this.classname = function(){ // {{{
        return "SMBforcing";
    } // }}}
    this.extrude = function(md) {//{{{
        this.mass_balance=project3d(md,'vector',this.mass_balance,'type','node');
    }//}}}
    this.initialize = function(md) {// {{{

        if (isNaN(this.mass_balance)){
            this.mass_balance=NewArrayFill(md.mesh.numberofvertices,0);
            console.log('      no smb.mass_balance specified: values set as zero');
        }

    } // }}}
    this.checkconsistency = function(md,solution,analyses) { //{{{

        if(ArrayAnyEqual(ArrayIsMember(MasstransportAnalysisEnum(),analyses),1)){
            checkfield(md,'fieldname','smb.mass_balance','timeseries',1,'NaN',1,'Inf',1);
        }
        if(ArrayAnyEqual(ArrayIsMember(BalancethicknessAnalysisEnum(),analyses),1)){
            checkfield(md,'fieldname','smb.mass_balance','size',[md.mesh.numberofvertices,1],'NaN',1,'Inf',1);
        }
        checkfield(md,'fieldname','smb.requested_outputs','stringrow',1);

    } // }}}
    this.marshall=function(md,prefix,fid) { //{{{

        var yts=365.0*24.0*3600.0;

        WriteData(fid,prefix,'name','md.smb.model','data',SMBforcingEnum(),'format','Integer');
        WriteData(fid,prefix,'object',this,'class','smb','fieldname','mass_balance','format','DoubleMat','mattype',1,'scale',1./yts,'timeserieslength',md.mesh.numberofvertices+1);

        //process requested outputs
        var outputs = this.requested_outputs.slice();
        for (var i=0;i<outputs.length;i++){
            if (outputs[i] == 'default') {
                outputs.splice(i,1);
                var newoutputs=this.defaultoutputs(md);
                for (var j=0;j<newoutputs.length;j++) outputs.push(newoutputs[j]);
            }
        }
        WriteData(fid,prefix,'data',outputs,'name','md.smb.requested_outputs','format','StringArray');

    }//}}}
    this.fix=function() { //{{{
    }//}}}
	//properties 
	this.mass_balance = NaN;
	this.requested_outputs      = [];
	this.setdefaultparameters();
}
//STEADYSTATE class definition
//
//   Usage:
//      steadystate=new steadystate();

function steadystate (){
	//methods
	this.setdefaultparameters = function(){// {{{

		//maximum of steady state iterations
		this.maxiter=100;

		//Relative tolerance for the steadystate convertgence
		this.reltol=0.01;

		//default output
		this.requested_outputs=['default'];


	}// }}}
	this.disp= function(){// {{{

		console.log(sprintf('   steadystate solution parameters:'));

		fielddisplay(this,'reltol','relative tolerance criterion');
		fielddisplay(this,'maxiter','maximum number of iterations');
		fielddisplay(this,'requested_outputs','additional requested outputs');

	}// }}}
	this.classname= function(){// {{{
		return "steadystate";

	}// }}}
	this.checkconsistency = function(md,solution,analyses) {// {{{

		//Early return
		if (solution!=SteadystateSolutionEnum()) return;

		if (md.timestepping.time_step!=0){
			md.checkmessage('for a steadystate computation, timestepping.time_step must be zero.');
		}
		checkfield(md,'fieldname','steadystate.requested_outputs','stringrow',1);

		if (isNaN(md.stressbalance.reltol)){
			md.checkmessage('for a steadystate computation, stressbalance.reltol (relative convergence criterion) must be defined!');
		}
	} // }}}
		this.marshall=function(md,prefix,fid) { //{{{
			WriteData(fid,prefix,'object',this,'fieldname','reltol','format','Double');
			WriteData(fid,prefix,'object',this,'fieldname','maxiter','format','Integer');

			//process requested outputs
			var outputs = this.requested_outputs;
			for (var i=0;i<outputs.length;i++){
				if (outputs[i] == 'default') {
					outputs.splice(i,1);
					var newoutputs=this.defaultoutputs(md);
					for (var j=0;j<newoutputs.length;j++) outputs.push(newoutputs[j]);
				}
			}
			WriteData(fid,prefix,'data',outputs,'name','md.steadystate.requested_outputs','format','StringArray');
		}//}}}
		this.defaultoutputs = function(md) { //{{{

			var list=[];

			for (var i=0;i<md.stressbalance.defaultoutputs(md).length;i++)list.push(md.stressbalance.defaultoutputs(md)[i]);
			for (var i=0;i<md.thermal.defaultoutputs(md).length;i++)list.push(md.thermal.defaultoutputs(md)[i]);

			return list;

		}//}}}
		this.fix=function() { //{{{
		}//}}}
	//properties 
	// {{{

	this.reltol            = 0;
	this.maxiter           = 0;
	this.requested_outputs = [];

	this.setdefaultparameters();
	//}}}
}
//STRESSBALANCE class definition
//
//   Usage:
//      stressbalance=new stressbalance();

function stressbalance (){
	//methods
	this.setdefaultparameters = function(){// {{{

		//maximum of non-linear iterations.
		this.maxiter=100;

		//Convergence criterion: absolute, relative and residual
		this.restol=Math.pow(10,-4); 
		this.reltol=0.01;
		this.abstol=10;

		this.FSreconditioning=Math.pow(10,13);
		this.shelf_dampening=0;

		//Penalty factor applied kappa=max(stiffness matrix)*10^penalty_factor
		this.penalty_factor=3;

		//coefficient to update the viscosity between each iteration of
		//a stressbalance according to the following formula
		//viscosity(n)=viscosity(n)+viscosity_overshoot(viscosity(n)-viscosity(n-1))
		this.viscosity_overshoot=0;

		//Stop the iterations of rift if below a threshold
		this.rift_penalty_threshold=0;

		//in some solutions, it might be needed to stop a run when only
		//a few constraints remain unstable. For thermal computation, this
		//parameter is often used.
		this.rift_penalty_lock=10;

		//output default:
		this.requested_outputs=['default'];

	}// }}}
	this.disp= function(){// {{{
		console.log(sprintf('   StressBalance solution parameters:'));

		console.log(sprintf('\n      %s','Convergence criteria:'));
		fielddisplay(this,'restol','mechanical equilibrium residual convergence criterion');
		fielddisplay(this,'reltol','velocity relative convergence criterion, NaN: not applied');
		fielddisplay(this,'abstol','velocity absolute convergence criterion, NaN: not applied');
		fielddisplay(this,'isnewton',"0: Picard's fixed point, 1: Newton's method, 2: hybrid");
		fielddisplay(this,'maxiter','maximum number of nonlinear iterations');
		fielddisplay(this,'viscosity_overshoot','over-shooting constant new=new+C*(new-old)');

		console.log(sprintf('\n      %s','boundary conditions:'));
		fielddisplay(this,'spcvx','x-axis velocity constraint (NaN means no constraint) [m/yr]');
		fielddisplay(this,'spcvy','y-axis velocity constraint (NaN means no constraint) [m/yr]');
		fielddisplay(this,'spcvz','z-axis velocity constraint (NaN means no constraint) [m/yr]');

		console.log(sprintf('\n      %s','Rift options:'));
		fielddisplay(this,'rift_penalty_threshold','threshold for instability of mechanical constraints');
		fielddisplay(this,'rift_penalty_lock','number of iterations before rift penalties are locked');

		console.log(sprintf('\n      %s','Penalty options:'));
		fielddisplay(this,'penalty_factor','offset used by penalties: penalty = Kmax*10^offset');
		fielddisplay(this,'vertex_pairing','pairs of vertices that are penalized');

		console.log(sprintf('\n      %s','Other:'));
		fielddisplay(this,'shelf_dampening','use dampening for floating ice ? Only for FS model');
		fielddisplay(this,'FSreconditioning','multiplier for incompressibility equation. Only for FS model');
		fielddisplay(this,'referential','local referential');
		fielddisplay(this,'loadingforce','loading force applied on each point [N/m^3]');
		fielddisplay(this,'requested_outputs','additional outputs requested');



	}// }}}
	this.classname= function(){// {{{
		return "stressbalance";
	}// }}}
		this.checkconsistency = function(md,solution,analyses) { //{{{

			//Early return
			if(ArrayAnyEqual(ArrayIsMember(StressbalanceAnalysisEnum(),analyses),0))return;

			checkfield(md,'fieldname','stressbalance.spcvx','Inf',1,'timeseries',1);
			checkfield(md,'fieldname','stressbalance.spcvy','Inf',1,'timeseries',1);
			checkfield(md,'fieldname','stressbalance.spcvz','Inf',1,'timeseries',1);
			checkfield(md,'fieldname','stressbalance.restol','size',[1, 1],'>',0,'NaN',1,'Inf',1);
			checkfield(md,'fieldname','stressbalance.reltol','size',[1, 1]);
			checkfield(md,'fieldname','stressbalance.abstol','size',[1, 1]);
			checkfield(md,'fieldname','stressbalance.isnewton','numel',[1],'values',[0, 1, 2]);
			checkfield(md,'fieldname','stressbalance.FSreconditioning','size',[1, 1],'NaN',1,'Inf',1);
			checkfield(md,'fieldname','stressbalance.viscosity_overshoot','size',[1, 1],'NaN',1,'Inf',1);
			checkfield(md,'fieldname','stressbalance.maxiter','size',[1, 1],'>=',1);
			checkfield(md,'fieldname','stressbalance.referential','size',[md.mesh.numberofvertices, 6]);
			checkfield(md,'fieldname','stressbalance.loadingforce','size',[md.mesh.numberofvertices, 3]);
			checkfield(md,'fieldname','stressbalance.requested_outputs','stringrow',1);

			//singular solution
			if(!ArrayAnyNaN(md.stressbalance.spcvx) | !ArrayAnyNaN(md.stressbalance.spcvy) |  !ArrayAnyAboveStrict(md.mask.groundedice_levelset,0)){
				md = checkmessage(md,'model is not well posed (singular). You need at least one node with fixed velocity!');
				console.log(sprintf('\n !!! Warning: no spc applied, model might not be well posed if no basal friction is applied, check for solution crash\n'));
			}
			//CHECK THAT EACH LINES CONTAINS ONLY NAN VALUES OR NO NAN VALUES
			for(var i=0;i<md.stressbalance.referential.length;i++){
				var sum=0;
				for(j=0;j<md.stressbalance.referential[0].length;j++)sum+=md.stressbalance.referential[i][j];
				if (sum!=0 & sum!=6){
					md = checkmessage(md,'Each line of stressbalance.referential should contain either only NaN values or no NaN values');
					break;
				}
			}
			//CHECK THAT THE TWO VECTORS PROVIDED ARE ORTHOGONAL
			for(var i=0;i<md.stressbalance.referential.length;i++){
				var sum=0;
				for(j=0;j<md.stressbalance.referential[0].length;j++)sum+=md.stressbalance.referential[i][j];
				if(sum==0){
					var dot=0;
					for(j=0;j<3;j++)dot+=md.stressbalance.referential[i][j]*md.stressbalance.referential[i][j+3];
					dot=Math.abs(dot);
					if(dot>Math.pow(10,-18)){
						md.checkmessage('Vectors in stressbalance.referential (columns 1 to 3 and 4 to 6) must be orthogonal');
						break;
					}
				}
			}
			//CHECK THAT NO rotation specified for FS Grounded ice at base
			if (md.mesh.domaintype() == '3D' & md.flowequation.isFS){
				for(var i=0;i<md.mask.groundedice_levelset.length;i++){
					if(md.mask.groundedice_levelset[i]>0 & md.mesh.vertexonbase[i]){
						if(!ArrayIsNan(md.stressbalance.referential[i])){
							md.checkmessage('no referential should be specified for basal vertices of grounded ice');
							break;
						}
					}
				}
				checkfield(md,'fieldname','stressbalance.FSreconditioning','>',0);
			}
		} // }}}
		this.marshall=function(md,prefix,fid) { //{{{

			WriteData(fid,prefix,'object',this,'class','stressbalance','fieldname','vertex_pairing','format','DoubleMat','mattype',3);

			var yts=365.0*24.0*3600.0;

			WriteData(fid,prefix,'object',this,'class','stressbalance','fieldname','spcvx','format','DoubleMat','mattype',1,'scale',1./yts,'timeserieslength',md.mesh.numberofvertices+1);
			WriteData(fid,prefix,'object',this,'class','stressbalance','fieldname','spcvy','format','DoubleMat','mattype',1,'scale',1./yts,'timeserieslength',md.mesh.numberofvertices+1);
			WriteData(fid,prefix,'object',this,'class','stressbalance','fieldname','spcvz','format','DoubleMat','mattype',1,'scale',1./yts,'timeserieslength',md.mesh.numberofvertices+1);
			WriteData(fid,prefix,'object',this,'class','stressbalance','fieldname','restol','format','Double');
			WriteData(fid,prefix,'object',this,'class','stressbalance','fieldname','reltol','format','Double');
			WriteData(fid,prefix,'object',this,'class','stressbalance','fieldname','abstol','format','Double','scale',1./yts);
			WriteData(fid,prefix,'object',this,'class','stressbalance','fieldname','isnewton','format','Integer');
			WriteData(fid,prefix,'object',this,'class','stressbalance','fieldname','FSreconditioning','format','Double');
			WriteData(fid,prefix,'object',this,'class','stressbalance','fieldname','viscosity_overshoot','format','Double');
			WriteData(fid,prefix,'object',this,'class','stressbalance','fieldname','maxiter','format','Integer');
			WriteData(fid,prefix,'object',this,'class','stressbalance','fieldname','shelf_dampening','format','Integer');
			WriteData(fid,prefix,'object',this,'class','stressbalance','fieldname','penalty_factor','format','Double');
			WriteData(fid,prefix,'object',this,'class','stressbalance','fieldname','rift_penalty_lock','format','Integer');
			WriteData(fid,prefix,'object',this,'class','stressbalance','fieldname','rift_penalty_threshold','format','Integer');
			WriteData(fid,prefix,'object',this,'class','stressbalance','fieldname','referential','format','DoubleMat','mattype',1);

			var lx=NewArrayFill(this.loadingforce.length,0); for(var i=0;i<lx.length;i++)lx[i]=this.loadingforce[i][0];
			var ly=NewArrayFill(this.loadingforce.length,0); for(var i=0;i<lx.length;i++)ly[i]=this.loadingforce[i][1];
			var lz=NewArrayFill(this.loadingforce.length,0); for(var i=0;i<lx.length;i++)lz[i]=this.loadingforce[i][2];

			WriteData(fid,prefix,'data',lx,'format','DoubleMat','mattype',1,'name','md.stressbalance.loadingforcex');
			WriteData(fid,prefix,'data',ly,'format','DoubleMat','mattype',1,'name','md.stressbalance.loadingforcey');
			WriteData(fid,prefix,'data',lz,'format','DoubleMat','mattype',1,'name','md.stressbalance.loadingforcez');

			//process requested outputs
			var outputs = this.requested_outputs;
			for (var i=0;i<outputs.length;i++){
				if (outputs[i] == 'default') {
					outputs.splice(i,1);
					var newoutputs=this.defaultoutputs(md);
					for (var j=0;j<newoutputs.length;j++) outputs.push(newoutputs[j]);
				}
			}
			WriteData(fid,prefix,'data',outputs,'name','md.stressbalance.requested_outputs','format','StringArray');
		}//}}}
		this.defaultoutputs = function(md){ // {{{

			var list;
			if (md.mesh.dimension() == 3) list = ['Vx','Vy','Vz','Vel','Pressure'];
			else if (md.mesh.dimension()==2) list = ['Vx','Vy','Vel','Pressure'];
			else throw Error('mesh type not supported yet');
			return list;

		}//}}}
		this.fix=function() { //{{{
			this.abstol=NullFix(this.abstol,NaN);
			this.rift_penalty_lock=NullFix(this.rift_penalty_lock,NaN);
			this.referential=NullFix(this.referential,NaN);
			this.loadingforce=NullFix(this.loadingforce,NaN);
			this.spcvx=NullFix(this.spcvx,NaN);
			this.spcvy=NullFix(this.spcvy,NaN);
			this.spcvz=NullFix(this.spcvz,NaN);
			if(this.vertex_pairing=[])this.vertex_pairing=NaN;
		}//}}}
	//properties 
	// {{{
	this.spcvx                  = NaN;
	this.spcvy                  = NaN;
	this.spcvz                  = NaN;
	this.restol                 = 0;
	this.reltol                 = 0;
	this.abstol                 = 0;
	this.isnewton               = 0;
	this.FSreconditioning       = 0;
	this.viscosity_overshoot    = 0;
	this.maxiter                = 0;
	this.shelf_dampening        = 0;
	this.vertex_pairing         = NaN;
	this.penalty_factor         = NaN;
	this.rift_penalty_lock      = NaN;
	this.rift_penalty_threshold = 0;
	this.referential            = NaN;
	this.loadingforce           = NaN;
	this.requested_outputs      = []

	this.setdefaultparameters();
	//}}}
}
//TEMPLATE class definition
//
//   Usage:
//      template=new template();

function template (){
	//methods
	this.setdefaultparameters = function(){// {{{
	}// }}}
	this.disp= function(){// {{{
		console.log(sprintf('   template class echo:'));

	}// }}}
	//properties 
	// {{{
	this.setdefaultparameters();
	//}}}
}
//THERMAL class definition
//
//   Usage:
//      thermal=new thermal();

function thermal (){
	//methods
	this.setdefaultparameters = function(){// {{{

		//Number of unstable constraints acceptable
		this.penalty_threshold=0;

		//Type of stabilization used
		this.stabilization=1;

		//Relative tolerance for the enthalpy convergence
		this.reltol=0.01;

		//Maximum number of iterations
		this.maxiter=100;

		//factor used to compute the values of the penalties: kappa=max(stiffness matrix)*10^penalty_factor
		this.penalty_factor=3;

		//Should we use cold ice (default) or enthalpy formulation
		this.isenthalpy=0;

		//will basal boundary conditions be set dynamically
		this.isdynamicbasalspc=0;

		//default output
		this.requested_outputs=['default'];

	}// }}}
	this.disp= function(){// {{{

		console.log(sprintf('   Thermal solution parameters:'));

		fielddisplay(this,'spctemperature','temperature constraints (NaN means no constraint) [K]');
		fielddisplay(this,'stabilization','0: no, 1: artificial_diffusivity, 2: SUPG');
		fielddisplay(this,'reltol','relative tolerance convergence criterion for enthalpy');
		fielddisplay(this,'maxiter','maximum number of non linear iterations');
		fielddisplay(this,'penalty_lock','stabilize unstable thermal constraints that keep zigzagging after n iteration (default is 0, no stabilization)');
		fielddisplay(this,'penalty_threshold','threshold to declare convergence of thermal solution (default is 0)');
		fielddisplay(this,'penalty_factor','scaling exponent (default is 3)');
		fielddisplay(this,'isenthalpy','use an enthalpy formulation to include temperate ice (default is 0)');
		fielddisplay(this,'isdynamicbasalspc','enable dynamic setting of basal forcing. required for enthalpy formulation (default is 0)');
		fielddisplay(this,'requested_outputs','additional outputs requested');

	}// }}}
	this.classname= function(){// {{{
		return "thermal";
	}// }}}
	this.checkconsistency = function(md,solution,analyses){ // {{{

		//Early return
		if(!ArrayAnyEqual(ArrayIsMember(ThermalAnalysisEnum(),analyses),1) & !ArrayAnyEqual(ArrayIsMember(EnthalpyAnalysisEnum(),analyses),1)  | (solution == TransientSolutionEnum() & md.trans.isthermal==0)) return;

		checkfield(md,'fieldname','thermal.stabilization','numel',[1],'values',[0 ,1, 2]);
		checkfield(md,'fieldname','thermal.spctemperature','Inf',1,'timeseries',1);
		if(ArrayAnyEqual(ArrayIsMember(EnthalpyAnalysisEnum(),analyses),1) & md.thermal.isenthalpy & md.mesh.dimension() == 3){
			
			for(var i=0;i<md.mesh.numberofvertices;i++){
				for(var j=0;j<md.thermal.spctemperature[0].length;j++){
					if (!isNaN(md.thermal.spctemperature[i][j])){
						var rep=md.geometry.surface[i]-md.mesh.z[i];
						if (md.thermal.spctemperature[i][j] <= md.materials.melting-md.materials.beta*md.materials.rho_ice*md.constants.g*rep+Math.pow(10,-5)){

							md.checkmessage('spctemperature should be less or equal than the adjusted melting point');
							break;
						}
					}
				}
			}
			checkfield(md,'fieldname','thermal.isenthalpy','numel',[1],'values',[0, 1]);
			checkfield(md,'fieldname','thermal.isdynamicbasalspc','numel', [1],'values',[0, 1]);
			if(md.thermal.isenthalpy){
				if (isNan(md.stressbalance.reltol)){
					md.checkmessage('for a steadystate computation, thermal.reltol (relative convergence criterion) must be defined!');
				}
			}
			checkfield(md,'fieldname','thermal.reltol','>',0.,'message','reltol must be larger than zero');
		}
		checkfield(md,'fieldname','thermal.requested_outputs','stringrow',1);
	} // }}} 
		this.marshall=function(md,prefix,fid) { //{{{
			WriteData(fid,prefix,'object',this,'fieldname','spctemperature','format','DoubleMat','mattype',1,'timeserieslength',md.mesh.numberofvertices+1);
			WriteData(fid,prefix,'object',this,'fieldname','penalty_threshold','format','Integer');
			WriteData(fid,prefix,'object',this,'fieldname','stabilization','format','Integer');
			WriteData(fid,prefix,'object',this,'fieldname','reltol','format','Double');
			WriteData(fid,prefix,'object',this,'fieldname','maxiter','format','Integer');
			WriteData(fid,prefix,'object',this,'fieldname','penalty_lock','format','Integer');
			WriteData(fid,prefix,'object',this,'fieldname','penalty_factor','format','Double');
			WriteData(fid,prefix,'object',this,'fieldname','isenthalpy','format','Boolean');
			WriteData(fid,prefix,'object',this,'fieldname','isdynamicbasalspc','format','Boolean');

			//process requested outputs
			var outputs = this.requested_outputs;
			for (var i=0;i<outputs.length;i++){
				if (outputs[i] == 'default') {
					outputs.splice(i,1);
					var newoutputs=this.defaultoutputs(md);
					for (var j=0;j<newoutputs.length;j++) outputs.push(newoutputs[j]);
				}
			}
			WriteData(fid,prefix,'data',outputs,'name','md.thermal.requested_outputs','format','StringArray');
        	}//}}}
		this.defaultoutputs = function(md) { //{{{

			if (this.isenthalpy) return ['Enthalpy','Temperature','Waterfraction','Watercolumn','BasalforcingsGroundediceMeltingRate'];
			else return ['Temperature','BasalforcingsGroundediceMeltingRate'];
		}//}}}
		this.fix=function() { //{{{
			this.spctemperature=NullFix(this.spctemperature,NaN);
		}//}}}
	//properties 
	// {{{

	this.spctemperature    = NaN;
	this.penalty_threshold = 0;
	this.stabilization     = 0;
	this.reltol				= 0;
	this.maxiter           = 0;
	this.penalty_lock      = 0;
	this.penalty_factor    = 0;
	this.isenthalpy        = 0;
	this.isdynamicbasalspc = 0;
	this.requested_outputs = [];

	this.setdefaultparameters();
	//}}}
}
//TIMESTEPPING class definition
//
//   Usage:
//      timestepping=new timestepping();

function timestepping (){
	//methods
	this.setdefaultparameters = function(){// {{{
		//time between 2 time steps
		this.time_step=1./2.;

		//final time
		this.final_time=10.*this.time_step;

		//time adaptation? 
		this.time_adapt=0;
		this.cfl_coefficient=0.5;

		//should we interpolate forcings between timesteps?
		this.interp_forcings=1;
	}// }}}
	this.disp= function(){// {{{

		var unit;
		console.log(sprintf('   timestepping parameters:'));
		unit = 'yr';
		fielddisplay(this,'start_time','simulation starting time ['+ unit + ']');
		fielddisplay(this,'final_time','final time to stop the simulation ['+ unit + ']');
		fielddisplay(this,'time_step','length of time steps [' +unit+ ']');
		fielddisplay(this,'time_adapt','use cfl condition to define time step ? (0 or 1) ');
		fielddisplay(this,'cfl_coefficient','coefficient applied to cfl condition');
		fielddisplay(this,'interp_forcings','interpolate in time between requested forcing values ? (0 or 1)');

	}// }}}
	this.classname= function(){// {{{
		return "timestepping";

	}// }}}
		this.checkconsistency = function(md,solution,analyses) { //{{{
			
			checkfield(md,'fieldname','timestepping.start_time','numel',[1],'NaN',1,'Inf',1);
			checkfield(md,'fieldname','timestepping.final_time','numel',[1],'NaN',1,'Inf',1);
			checkfield(md,'fieldname','timestepping.time_step','numel',[1],'>=',0,'NaN',1,'Inf',1);
			checkfield(md,'fieldname','timestepping.time_adapt','numel',[1],'values',[0,1]);
			checkfield(md,'fieldname','timestepping.cfl_coefficient','numel',[1],'>',0,'<=',1);
			checkfield(md,'fieldname','timestepping.interp_forcings','numel',[1],'values',[0,1]);
			if (this.final_time-this.start_time<0){
				md.checkmessage('timestepping.final_time should be larger than timestepping.start_time');
			}
		} // }}}
		this.marshall=function(md,prefix,fid) { //{{{

			var scale;
			scale = 365.0*24.0*3600.0;
			
			WriteData(fid,prefix,'object',this,'fieldname','start_time','format','Double','scale',scale);
			WriteData(fid,prefix,'object',this,'fieldname','final_time','format','Double','scale',scale);
			WriteData(fid,prefix,'object',this,'fieldname','time_step','format','Double','scale',scale);
			WriteData(fid,prefix,'object',this,'fieldname','time_adapt','format','Boolean');
			WriteData(fid,prefix,'object',this,'fieldname','cfl_coefficient','format','Double');
			WriteData(fid,prefix,'object',this,'fieldname','interp_forcings','format','Boolean');

		}//}}}
		this.fix=function() { //{{{
		}//}}}
	//properties 
	// {{{
	this.start_time      = 0.;
	this.final_time      = 0.;
	this.time_step       = 0.;
	this.time_adapt      = 0;
	this.cfl_coefficient = 0.;
	this.interp_forcings = 1;

	this.setdefaultparameters();
	//}}}
}
//TOOLKITS class definition
//
//   Usage:
//      toolkits=new toolkits();

function toolkits (){
	//methods
	this.setdefaultparameters = function(){// {{{

		//default toolkits: 
		if (IssmConfig('_HAVE_PETSC_')){
			//MUMPS is the default toolkits
			if (IssmConfig('_HAVE_MUMPS_')){
				this.DefaultAnalysis           = mumpsoptions();
			}
			else{
				this.DefaultAnalysis           = iluasmoptions(); 
			}
		}
		else{
			if (IssmConfig('_HAVE_MUMPS_')){
				this.DefaultAnalysis           = issmmumpssolver(); 
			}
			else if (IssmConfig('_HAVE_GSL_')){
				this.DefaultAnalysis           = issmgslsolver(); 
			}
			else{
				console.warn('toolkits setdefaultparameters message: need at least Mumps or Gsl to define an issm solver type, no default solver assigned');
			}
		}
	}// }}}
	this.disp = function(){// {{{
		console.log(sprintf('List of toolkits options per analysis:\n'));
		for(var prop in this){
			if(typeof this[prop] == 'object'){
				console.log(prop+ ':',this[prop]);
			}
		}
	}// }}}
	this.checkconsistency = function (md,solution,analyses) { // {{{
		for(var prop in this){
			if(typeof this[prop] == 'object'){
				if (this[prop] == ''){
					md.checkmessage(sprintf("md.toolkits.%s is empty",prop));
				}
			}
		}
	} // }}}
		 this.ToolkitsFile = function(filename) { //{{{
		 //TOOLKITSFILE - build toolkits file (in string format)
		 //
		 //   Build a Petsc compatible options string, from the toolkits model field  + return options string. 
		 //   This file string will also be used when the toolkit used is 'issm' instead of 'petsc'
		 //
		 //   Usage:     var toolkitsstring = toolkits.ToolkitsFile();

			 var string = '';

			 //write header
			 string += sprintf('%s%s%s\n','\%Toolkits options file: ',filename,' written from Javascript toolkits array');

			 //start writing options
			 for (var analysis in this){
				 var options;
				 
				 if(typeof this[analysis] == 'object') options=this[analysis]; else continue;

				 //first write analysis:
				 string += sprintf('\n+%s\n',analysis); //append a + to recognize it's an analysis enum

				 //now, write options
			
				 for(var optionname in options){
					 var optionvalue=options[optionname];

					 if (optionvalue.length==0){
						 //this option has only one argument
						 string+=sprintf('-%s\n',optionname);
					 }
					 else{
						 //option with value. value can be string or scalar
						 if (typeof optionvalue == 'number'){
							 string+=sprintf('-%s %g\n',optionname,optionvalue);
						 }
						 else if (typeof optionvalue == 'string'){
							 string+=sprintf('-%s %s\n',optionname,optionvalue);
						 }
						 else throw Error(sprintf("ToolkitsFile error: option '%s' is not well formatted",optionname));
					 }
				 }
			 }
			 return string;
		 } //}}}
	//properties 
	// {{{
	this.DefaultAnalysis           = [];
	//The other properties are dynamic
	this.setdefaultparameters();
	//}}}
}
//LEVELSET class definition
//
//   Usage:
//      levelset=new levelset();

function levelset (){
	//methods
	this.setdefaultparameters = function(){// {{{

		//stabilization = 2 by default
		this.stabilization		= 2;
		this.reinit_frequency	= NaN;
	
	}// }}}
	this.disp= function(){// {{{

		console.log(sprintf('   Level-set parameters:'));
		fielddisplay(this,'stabilization','0: no, 1: artificial_diffusivity, 2: streamline upwinding');
		fielddisplay(this,'spclevelset','Levelset constraints (NaN means no constraint)');
		fielddisplay(this,'reinit_frequency','Amount of time steps after which the levelset function in re-initialized (NaN: no re-initialization).');

	}// }}}
	this.classname= function(){// {{{
		return "levelset";
	}// }}}
	this.checkconsistency = function(md,solution,analyses) { // {{{
		//Early return
		if (solution!=TransientSolutionEnum() | md.trans.ismovingfront==0) return;

		checkfield(md,'fieldname','levelset.spclevelset','Inf',1,'timeseries',1);
		checkfield(md,'fieldname','levelset.stabilization','values',[0,1,2]);
	} //}}}
	this.marshall=function(md,prefix,fid) { //{{{
		WriteData(fid,prefix,'object',this,'fieldname','stabilization','format','Integer');
		WriteData(fid,prefix,'object',this,'fieldname','spclevelset','format','DoubleMat','mattype',1,'timeserieslength',md.mesh.numberofvertices+1);
		WriteData(fid,prefix,'object',this,'fieldname','reinit_frequency','format','Integer');

	}//}}}
		this.fix=function() { //{{{
			this.spclevelset=NullFix(this.spclevelset,NaN);
		}//}}}
	//properties 
	// {{{

	this.stabilization		= 0;
	this.spclevelset			= NaN;
	this.reinit_frequency	= NaN;

	this.setdefaultparameters();
	//}}}
}
//TRANS class definition
//
//   Usage:
//      trans =new trans();

function trans (){
	//methods
	this.setdefaultparameters = function(){// {{{

		//full analysis: Stressbalance, Masstransport and Thermal but no groundingline migration for now
		this.issmb           = 1;
		this.ismasstransport = 1;
		this.isstressbalance = 1;
		this.isthermal       = 1;
		this.isgroundingline = 0;
		this.isgia           = 0;
		this.isdamageevolution = 0;
		this.ismovingfront   = 0;
		this.ishydrology     = 0;
		this.isslr           = 0;
		this.iscoupler       = 0;

		//default output
		this.requested_outputs=['default'];

	}// }}}
	this.disp= function(){// {{{

		console.log(sprintf('   transient solution parameters:'));

		fielddisplay(this,'issmb','indicates whether a surface mass balance solution is used in the transient');
		fielddisplay(this,'ismasstransport','indicates whether a masstransport solution is used in the transient');
		fielddisplay(this,'isstressbalance','indicates whether a stressbalance solution is used in the transient');
		fielddisplay(this,'isthermal','indicates whether a thermal solution is used in the transient');
		fielddisplay(this,'isgroundingline','indicates whether a groundingline migration is used in the transient');
		fielddisplay(this,'isgia','indicates whether a postglacial rebound model is used in the transient');
		fielddisplay(this,'isdamageevolution','indicates whether damage evolution is used in the transient');
		fielddisplay(this,'ismovingfront','indicates whether a moving front capability is used in the transient');
		fielddisplay(this,'ishydrology','indicates whether an hydrology model is used');
		fielddisplay(this,'isslr','indicates whether a sea-level rise model is used');
		fielddisplay(this,'iscoupler','indicates whether different models are being run with need for coupling');
		fielddisplay(this,'requested_outputs','list of additional outputs requested');


	}// }}}
	this.classname= function(){// {{{
		return "transient";
	}// }}}
		this.checkconsistency = function(md,solution,analyses) { // {{{

			//Early return
			if (solution!=TransientSolutionEnum()) return;

			checkfield(md,'fieldname','trans.issmb','numel',[1],'values',[0 ,1]);
			checkfield(md,'fieldname','trans.ismasstransport','numel',[1],'values',[0 ,1]);
			checkfield(md,'fieldname','trans.isstressbalance','numel',[1],'values',[0 ,1]);
			checkfield(md,'fieldname','trans.isthermal','numel',[1],'values',[0 ,1]);
			checkfield(md,'fieldname','trans.isgroundingline','numel',[1],'values',[0, 1]);
			checkfield(md,'fieldname','trans.isgia','numel',[1],'values',[0, 1]);
			checkfield(md,'fieldname','trans.isdamageevolution','numel',[1],'values',[0, 1]);
			checkfield(md,'fieldname','trans.ismovingfront','numel',[1],'values',[0, 1]);
			checkfield(md,'fieldname','trans.ishydrology','numel',[1],'values',[0 ,1]);
			checkfield(md,'fieldname','trans.iscoupler','numel',[1],'values',[0 ,1]);
			checkfield(md,'fieldname','trans.isslr','numel',[1],'values',[0 ,1]);
			checkfield(md,'fieldname','trans.requested_outputs','stringrow',1);
		} // }}}
		this.marshall=function(md,prefix,fid) { //{{{

			prefix='md.transient';
			WriteData(fid,prefix,'object',this,'fieldname','issmb','format','Boolean');
			WriteData(fid,prefix,'object',this,'fieldname','ismasstransport','format','Boolean');
			WriteData(fid,prefix,'object',this,'fieldname','isstressbalance','format','Boolean');
			WriteData(fid,prefix,'object',this,'fieldname','isthermal','format','Boolean');
			WriteData(fid,prefix,'object',this,'fieldname','isgroundingline','format','Boolean');
			WriteData(fid,prefix,'object',this,'fieldname','isgia','format','Boolean');
			WriteData(fid,prefix,'object',this,'fieldname','isdamageevolution','format','Boolean');
			WriteData(fid,prefix,'object',this,'fieldname','ishydrology','format','Boolean');
			WriteData(fid,prefix,'object',this,'fieldname','ismovingfront','format','Boolean');
			WriteData(fid,prefix,'object',this,'fieldname','isslr','format','Boolean');
			WriteData(fid,prefix,'object',this,'fieldname','iscoupler','format','Boolean');

			//process requested outputs
			var outputs = this.requested_outputs;
			for (var i=0;i<outputs.length;i++){
				if (outputs[i] == 'default') {
					outputs.splice(i,1);
					var newoutputs=this.defaultoutputs(md);
					for (var j=0;j<newoutputs.length;j++) outputs.push(newoutputs[j]);
				}
			}			
			WriteData(fid,prefix,'data',outputs,'name','md.transient.requested_outputs','format','StringArray');
		}//}}}
		this.defaultoutputs = function(md) { //{{{
			if(this.issmb)return ['SmbMassBalance'];
			else return [];
		}//}}}
		this.fix=function() { //{{{
		}//}}}
	//properties 
	// {{{

	this.issmb             = 0;
	this.ismasstransport   = 0;
	this.isstressbalance   = 0;
	this.isthermal         = 0;
	this.isgroundingline   = 0;
	this.isgia             = 0;
	this.isdamageevolution = 0;
	this.ismovingfront     = 0;
	this.ishydrology       = 0;
	this.isslr             = 0;
	this.iscoupler         = 0;
	this.requested_outputs = [];

	this.setdefaultparameters();
	//}}}
}
//VERBOSE class definition
//
//   Available verbosity levels:
//      mprocessor  : model processing 
//      module      : modules
//      solution    : solution sequence
//      solver      : solver info (extensive)
//      convergence : convergence criteria
//      control     : control method
//      qmu         : sensitivity analysis
//      autodiff    : AD analysis
//      smb         : smb analysis
//
//   Usage:
//      verbose=verbose();
//      verbose=verbose(3);
//      verbose=verbose('all');
//      verbose=verbose('001100');
//      verbose=verbose('module',true,'solver',false);

//WARNING: some parts of this file are Synchronized with src/c/shared/Numerics/Verbosity.h
//         Do not modify these sections. See src/c/shared/Numerics/README for more info

function verbose (){
	//methods
	this.setdefaultparameters = function(){// {{{
	}// }}}
	this.disp= function(){// {{{
		//BEGINDISP
		console.log(sprintf('verbose class echo:'));
		console.log(sprintf('   %s : %i','mprocessor',this.mprocessor));
		console.log(sprintf('   %s : %i','module',this.module));
		console.log(sprintf('   %s : %i','solution',this.solution));
		console.log(sprintf('   %s : %i','solver',this.solver));
		console.log(sprintf('   %s : %i','convergence',this.convergence));
		console.log(sprintf('   %s : %i','control',this.control));
		console.log(sprintf('   %s : %i','qmu',this.qmu));
		console.log(sprintf('   %s : %i','autodiff',this.autodiff));
		console.log(sprintf('   %s : %i','smb',this.smb));
		//ENDDISP
	}// }}}
		this.checkconsistency = function(md,solution,analyses){ // {{{

		} // }}}
		this.marshall=function(md,prefix,fid) { //{{{
			WriteData(fid,prefix,'data',this.VerboseToBinary(),'name','md.verbose','format','Integer');
		}//}}}
		this.VerboseToBinary = function () { //{{{

			//BEGINVERB2BIN
			var binary=0;
			if (this.mprocessor) binary=binary|1; 
			if (this.module) binary=binary|2; 
			if (this.solution) binary=binary|4; 
			if (this.solver) binary=binary|8; 
			if (this.convergence) binary=binary|16; 
			if (this.control) binary=binary|32; 
			if (this.qmu) binary=binary|64; 
			if (this.autodiff) binary=binary|128; 
			if (this.smb) binary=binary|256; 
			//ENDVERB2BIN
			return binary;

		} //}}}
		this.fix=function() { //{{{
		}//}}}
	//properties 
	// {{{
	//BEGINFIELDS
	this.mprocessor=false;
	this.module=false;
	this.solution=false;
	this.solver=false;
	this.convergence=false;
	this.control=false;
	this.qmu=false;
	this.autodiff=false;
	this.smb=false;
	//ENDFIELDS
	// }}}
	this.setdefaultparameters();
	//}}}
}
function checkfield(md){
//CHECKFIELD - check field consistency
//
//   Used to check model consistency.
//   Requires: 
//     'field' or 'fieldname' option. If 'fieldname' is provided, it will retrieve it from the model md. (md.(fieldname)) 
//             If 'field' is provided, it will assume the argument following 'field' is a numeric array.
//   Available options:
//      - NaN: 1 if check that there is no NaN
//      - Inf: 1 if check that there is no Inf
//      - size: [lines cols], NaN for non checked dimensions
//      - >:  greater than provided value
//      - >=: greater or equal to provided value
//      - <:  smallerthan provided value
//      - <=: smaller or equal to provided value
//      - < vec:  smallerthan provided values on each vertex
//      - timeseries: 1 if check time series consistency (size and time)
//      - values: array of strings or vector of acceptable values
//      - numel: list of acceptable number of elements
//      - array: 1 if check that is array
//      - empty: 1 if check that non empty
//      - message: overloaded error message
//
//   Usage:
//      checkfield(md,fieldname,options);

	//get options
	var args = Array.prototype.slice.call(arguments);
	var  options = new pairoptions(args.slice(1,args.length));
	
	//get field: 
	if (options.exist('field')){
		field=options.getfieldvalue('field'); 
		fieldname=options.getfieldvalue('fieldname','no fieldname'); 
	}
	else{
		fieldname=options.getfieldvalue('fieldname'); 
		eval("field=md." + fieldname + ";");
	}

	//check empty
	if (options.exist('empty')){
		if (field.length == 0){
			md.checkmessage(options.getfieldvalue('message','field ' + "'" + fieldname + "'" + 'is empty'));
		}
	}

	//Check size
	if (options.exist('size')){
		fieldsize=options.getfieldvalue('size');
		if (isNaN(fieldsize[0])){
			if (field[0].length !=fieldsize[1]){
				md.checkmessage(options.getfieldvalue('message', sprintf("field '%s' should have %i columns",fieldname,fieldsize[1])));
			}
		}
		else if (isNaN(fieldsize[1])){
			if (field.length!= fieldsize[0]){
				md.checkmessage(options.getfieldvalue('message',sprintf("field '%s' should have %i lines",fieldname,fieldsize[0])));
			}
		}
		else{
			if (IsArray(field)){
				if ((field.length!=fieldsize[0])){
					md.checkmessage(options.getfieldvalue('message', sprintf("field '%s' should be %ix%i",fieldname,fieldsize[0],fieldsize[1])));
				}
			}
			if (IsArray(field[0])){
				if(field[0].length!=fieldsize[1]){
					md.checkmessage(options.getfieldvalue('message', sprintf("field '%s' should be %ix%i",fieldname,fieldsize[0],fieldsize[1])));
				}
			}
		}
	}

	//Check numel
	if (options.exist('numel')){
		fieldnumel=options.getfieldvalue('numel');
		if (!ArrayIsMember(fieldnumel,[field.length])){
			if (fieldnumel.length==1){
				md.checkmessage(options.getfieldvalue('message',sprintf("field '%s' size should be %i",fieldname,fieldnumel[0])));
			}
			else if (fieldnumel.length==2){
				md.checkmessage(options.getfieldvalue('message',sprintf("field '%s' size should be %i or %i",fieldname,fieldnumel[0],fieldnumel[1])));
			}
			else{
				var string=''; 
				for (var i=0;i<fieldnumel.length;i++)string=sprintf("%s or %i",string,fieldnumel[i]);
				md.checkmessage(options.getfieldvalue('message',sprintf("field '%s' size should be %s",fieldname,string)));
			}
		}
	}

	//check NaN
	if (options.getfieldvalue('NaN',0)){
		field2=MatrixToList(field);
		if (ArrayAnyEqual(field2,NaN)){
			md.checkmessage(options.getfieldvalue('message',sprintf("NaN values found in field %s",field)));
		}
	}

	//check Inf
	if (options.getfieldvalue('Inf',0)){
		field2=MatrixToList(field);
		if (ArrayAnyEqual(field2,Infinity)){
			md.checkmessage(options.getfieldvalue('message',sprintf("Inf values found in field %s",field)));
		}
	}

	//check arry
	if (options.getfieldvalue('array',0)){
		if (!IsArray(field)){
			md.checkmessage(options.getfieldvalue('message',sprintf("field '%s' should be an array!",fieldname)));
		}
	}

	//check values
	if (options.exist('values')){
		fieldvalues=options.getfieldvalue('values');
		if (typeof fieldvalues[0]== 'string'){
			if (typeof field == 'string'){
				if(ArrayAnyEqual(ArrayIsMember([field],fieldvalues),0)){
					if (fieldvalues.length==1){
						md.checkmessage(options.getfieldvalue('message',sprintf("field '%s' value should be %s",fieldname,fieldvalues[0])));
					}
					else if (fieldvalues.length==2){
						md.checkmessage(options.getfieldvalue('message',sprintf("field '%s' values should be %s or %s",fieldname,fieldvalues[0],fieldvalues[1])));
					}
					else{
						var string=''; 
						for (var i=0;i<fieldvalues.length;i++)string=sprintf("%s or %s",string,fieldvalues[i]);
						md.checkmessage(options.getfieldvalue('message',sprintf("field '%s' should have values in %s",fieldname,string)));
					}
				}
			}
			else{
				var string=''; for (var i=0;i<fieldvalues.length;i++)string=sprintf("%s or %s",string,fieldvalues[i]);
				md.checkmessage(options.getfieldvalue('message',sprintf("field '%s' should have values in %s",fieldname,string)));
			}
		}
		else{
			if (typeof field == 'number') field2=MatrixToList([field]);
			else field2=MatrixToList(field);
			if (typeof field2[0] == 'number'){
				if(ArrayAnyEqual(ArrayIsMember(field2,fieldvalues),0)){
					var string=''; for (var i=0;i<fieldvalues.length;i++)string=sprintf("%s or %g",string,fieldvalues[i]);
					md.checkmessage(options.getfieldvalue('message',sprintf("field '%s' should have values in %s",fieldname,string)));
				}
			}
			else{
				var string=''; for (var i=0;i<fieldvalues.length;i++)string=sprintf("%s or %g",string,fieldvalues[i]);
				md.checkmessage(options.getfieldvalue('message',sprintf("field '%s' should be a number in %s",fieldname,string)));
			}
		}
	}
	
	//check greater
	if (options.exist('>=')){
		lowerbound=options.getfieldvalue('>=');
		field2=MatrixToList(field);
		if (options.getfieldvalue('timeseries',0)) field2=MatrixToList(ArrayCopy(field).splice(-1,1));

		if (ArrayAnyBelowStrict(field2,lowerbound)){
			md.checkmessage(options.getfieldvalue('message',sprintf("field '%s' should have values above %g",fieldname,lowerbound)));
		}
	}
	if (options.exist('>')){
		lowerbound=options.getfieldvalue('>');
		field2=MatrixToList(field);
		if (options.getfieldvalue('timeseries',0)) field2=MatrixToList(ArrayCopy(field).splice(-1,1));

		if (ArrayAnyBelowOrEqual(field2,lowerbound)){
			md.checkmessage(options.getfieldvalue('message',sprintf("field '%s' should have values above %g",fieldname,lowerbound)));
		}
	}
	
	//check smaller
	if (options.exist('<=')){
		upperbound=options.getfieldvalue('<=');
		field2=MatrixToList(field);
		if (options.getfieldvalue('timeseries',0)) field2=MatrixToList(ArrayCopy(field).splice(-1,1));

		if (ArrayAnyAboveOrEqual(field2,upperbound)){
			md.checkmessage(options.getfieldvalue('message',sprintf("field '%s' should have values below %g",fieldname,upperbound)));
		}
	}
	
	
	if (options.exist('<')){
		upperbound=options.getfieldvalue('<');
		field2=MatrixToList(field);
		if (options.getfieldvalue('timeseries',0)) field2=MatrixToList(ArrayCopy(field).splice(-1,1));
		if (ArrayAnyAboveStrict(field2,upperbound)){
			md.checkmessage(options.getfieldvalue('message',sprintf("field '%s' should have values below %g",fieldname,upperbound)));
		}
	}

	//Check row of stringrow
	if (options.getfieldvalue('stringrow',0)){
		if (IsArray(field[0])){
			md.checkmessage(options.getfieldvalue('message',sprintf("field '%s' should have only one row",field)));
		}
		if (!IsArray(field)){
			md.checkmessage(options.getfieldvalue('message',sprintf("field '%s' should be an array of string",fieldname)));
		}
		else{
			for(var i=0;i<field.length;i++){
				if (!(typeof field[i] == 'string')){
					md.checkmessage(options.getfieldvalue('message',sprintf("field '%s' values should be a cell of strings",fieldname)));
				}
			}
		}
	}

	//check file
	if (options.getfieldvalue('file',0)){
		/*if ~exist(field,'file')
			md.checkmessage(['file provided in ''' fieldname ''': ''' field ''' does not exist']);
		end*/
		throw Error("checkfield error message: file checking on javascript not supported yet!");
	}

	//Check forcings (size and times)
	if (options.getfieldvalue('timeseries',0)){
		if (field.length==md.mesh.numberofvertices | field.length==md.mesh.numberofelements){
			if (IsArray(field[0])){
				md.checkmessage(options.getfieldvalue('message',sprintf("field '%s' should have only one column as there are md.mesh.numberofvertices lines",fieldname)));
			}
		}
		else if ((field.length==md.mesh.numberofvertices+1) | (field.length==md.mesh.numberofelements+1)){
			var times=field[field.length-1]; var sorted_times=ArraySort(times);
			for(var i=0;i<times.length;i++){
				if(times[i] !=sorted_times[i]){
					md.checkmessage(options.getfieldvalue('message',sprintf("field '%s' columns should be sorted chronologically",fieldname)));
					break;
				}
			}
			var timesm=ArrayCopy(times).splice(0,-1); var timesp=ArrayCopy(times).shift();
			for(var i=0;i<timesm.length;i++){
				if(timesm[i]==timesp[i]){
					md.checkmessage(options.getfieldvalue('message',sprintf("field '%s' columns must not contain duplicate timesteps",fieldname)));
					break;
				}
			}
		}
		else{
			md.checkmessage(options.getfieldvalue('message',sprintf("field '%s' should have md.mesh.numberofvertices or md.mesh.numberofvertices+1 lines",fieldname)));
		}
	}

	//Check single value forcings (size and times)
	if (options.getfieldvalue('singletimeseries',0)){
		if (field.length==2){
			var times=field[1]; var sorted_times=ArraySort(times);
			for(var i=0;i<times.length;i++){
				if(times[i] !=sorted_times[i]){
					md.checkmessage(options.getfieldvalue('message',sprintf("field '%s' columns should be sorted chronologically",fieldname)));
					break;
				}
			}
			var timesm=ArrayCopy(times).splice(0,-1); var timesp=ArrayCopy(times).shift();
			for(var i=0;i<timesm.length;i++){
				if(timesm[i]==timesp[i]){
					md.checkmessage(options.getfieldvalue('message',sprintf("field '%s' columns must not contain duplicate timesteps",fieldname)));
					break;
				}
			}
		}
		else{
			md.checkmessage(options.getfieldvalue('message',sprintf("field '%s' should have 2 lines",fieldname)));
		}
	}
}
function ismodelselfconsistent(md){
//ISMODELSELFCONSISTENT - check that model forms a closed form solvable problem.
//
//   Usage:
//      ismodelselfconsistent(md),

	//initialize consistency as true
	md.priv.isconsistent=true;

	//Get solution and associated analyses
	solution=md.priv.solution;
	if(typeof solution != 'number')throw Error('ismodelselfconsistent: did not provide solution type in the private class!');
	
	var analyses = AnalysisConfiguration(solution);

	//Go through a model field, check that it is a class, and call checkconsistency
	for(field in md){

		//Some properties do not need to be checked
		if (field == 'results' | field == 'debug' | field == 'radaroverlay'){
			continue;
		}

		//Check that current field is a class
		if(typeof md[field] == 'function'){
			continue;
		}

		//Check consistency of the class
		md[field].checkconsistency(md,solution,analyses);
	}

	//error message if mode is not consistent
	if (md.priv.isconsistent==false){
		throw Error('Model not consistent, see messages above');
	}
}

function AnalysisConfiguration(solutiontype){ // {{{
	//ANALYSISCONFIGURATION - return type of analyses, number of analyses 
	//
	//   Usage:
	//      [analyses]=AnalysisConfiguration(solutiontype);

	var analyses=[];
	switch (solutiontype){

		case StressbalanceSolutionEnum():
			analyses=[StressbalanceAnalysisEnum(),StressbalanceVerticalAnalysisEnum(),StressbalanceSIAAnalysisEnum(),L2ProjectionBaseAnalysisEnum()];
			break;

		case SteadystateSolutionEnum():
			analyses=[StressbalanceAnalysisEnum(),StressbalanceVerticalAnalysisEnum(),StressbalanceSIAAnalysisEnum(),L2ProjectionBaseAnalysisEnum(),ThermalAnalysisEnum(),MeltingAnalysisEnum()];
			break;

		case ThermalSolutionEnum():
			analyses=[EnthalpyAnalysisEnum(),ThermalAnalysisEnum(),MeltingAnalysisEnum()];
			break;

		case MasstransportSolutionEnum():
			analyses=[MasstransportAnalysisEnum()];
			break;

		case BalancethicknessSolutionEnum():
			analyses=[BalancethicknessAnalysisEnum()];
			break;

		case Balancethickness2SolutionEnum():
			analyses=[Balancethickness2AnalysisEnum()];
			break;

		case BalancethicknessSoftSolutionEnum():
			analyses=[BalancethicknessAnalysisEnum()];
			break;

		case BalancevelocitySolutionEnum():
			analyses=[BalancevelocityAnalysisEnum()];
			break;

		case SurfaceSlopeSolutionEnum():
			analyses=[L2ProjectionBaseAnalysisEnum()];
			break;

		case BedSlopeSolutionEnum():
			analyses=[L2ProjectionBaseAnalysisEnum()];
			break;

		case GiaSolutionEnum():
			analyses=[GiaAnalysisEnum()];
			break;

		case TransientSolutionEnum():
			analyses=[StressbalanceAnalysisEnum(),StressbalanceVerticalAnalysisEnum(),StressbalanceSIAAnalysisEnum(),L2ProjectionBaseAnalysisEnum(),ThermalAnalysisEnum(),MeltingAnalysisEnum(),EnthalpyAnalysisEnum(),MasstransportAnalysisEnum(),HydrologySommersAnalysisEnum];
			break;

		case FlaimSolutionEnum():
			analyses=[FlaimAnalysisEnum()];
			break;
	
		case SealevelriseSolutionEnum():
			analyses=[SealevelriseAnalysisEnum()];
			break;

		case HydrologySolutionEnum():
			analyses=[L2ProjectionBaseAnalysisEnum(),HydrologyShreveAnalysisEnum(),HydrologyDCInefficientAnalysisEnum(),HydrologyDCEfficientAnalysisEnum()];
			break;

		case DamageEvolutionSolutionEnum():
			analyses=[DamageEvolutionAnalysisEnum()];
			break;

		default:
			throw Error(sprintf("%s%s%s\n",' solution type: ',EnumToString(solutiontype),' not supported yet!'));
	}
	return analyses;
} // }}}
//WARNING: DO NOT MODIFY THIS FILE
//this file has been automatically generated by src/c/shared/Enum/Synchronize.sh
//Please read src/c/shared/Enum/README for more information
function ParametersSTARTEnum(){ return 0;}
function FemModelEnum(){ return 1;}
function FemModelCommEnum(){ return 2;}
function WorldCommEnum(){ return 3;}
function IcecapToEarthCommEnum(){ return 4;}
function NumModelsEnum(){ return 5;}
function ModelIdEnum(){ return 6;}
function EarthIdEnum(){ return 7;}
function AutodiffIsautodiffEnum(){ return 8;}
function AutodiffNumDependentsEnum(){ return 9;}
function AutodiffNumDependentObjectsEnum(){ return 10;}
function AutodiffDependentObjectNamesEnum(){ return 11;}
function AutodiffDependentObjectTypesEnum(){ return 12;}
function AutodiffDependentObjectIndicesEnum(){ return 13;}
function AutodiffDependentObjectsEnum(){ return 14;}
function AutodiffNumIndependentsEnum(){ return 15;}
function AutodiffNumIndependentObjectsEnum(){ return 16;}
function AutodiffIndependentObjectNamesEnum(){ return 17;}
function AutodiffIndependentObjectTypesEnum(){ return 18;}
function AutodiffIndependentObjectsEnum(){ return 19;}
function AutodiffJacobianEnum(){ return 20;}
function AutodiffXpEnum(){ return 21;}
function AutodiffDriverEnum(){ return 22;}
function AutodiffFosForwardIndexEnum(){ return 23;}
function AutodiffFovForwardIndicesEnum(){ return 24;}
function AutodiffFosReverseIndexEnum(){ return 25;}
function AutodiffMassFluxSegmentsPresentEnum(){ return 26;}
function AutodiffKeepEnum(){ return 27;}
function AutodiffObufsizeEnum(){ return 28;}
function AutodiffLbufsizeEnum(){ return 29;}
function AutodiffCbufsizeEnum(){ return 30;}
function AutodiffTbufsizeEnum(){ return 31;}
function AutodiffGcTriggerRatioEnum(){ return 32;}
function AutodiffGcTriggerMaxSizeEnum(){ return 33;}
function BalancethicknessSpcthicknessEnum(){ return 34;}
function BalancethicknessStabilizationEnum(){ return 35;}
function BalancethicknessThickeningRateEnum(){ return 36;}
function BasalforcingsEnum(){ return 37;}
function BasalforcingsGeothermalfluxEnum(){ return 38;}
function BasalforcingsGroundediceMeltingRateEnum(){ return 39;}
function BasalforcingsFloatingiceMeltingRateEnum(){ return 40;}
function BasalforcingsDeepwaterMeltingRateEnum(){ return 41;}
function BasalforcingsDeepwaterElevationEnum(){ return 42;}
function BasalforcingsUpperwaterElevationEnum(){ return 43;}
function BasalforcingsMeltrateFactorEnum(){ return 44;}
function BasalforcingsThresholdThicknessEnum(){ return 45;}
function BasalforcingsUpperdepthMeltEnum(){ return 46;}
function BasalforcingsMantleconductivityEnum(){ return 47;}
function BasalforcingsNusseltEnum(){ return 48;}
function BasalforcingsDtbgEnum(){ return 49;}
function BasalforcingsPlumeradiusEnum(){ return 50;}
function BasalforcingsTopplumedepthEnum(){ return 51;}
function BasalforcingsBottomplumedepthEnum(){ return 52;}
function BasalforcingsPlumexEnum(){ return 53;}
function BasalforcingsPlumeyEnum(){ return 54;}
function BasalforcingsCrustthicknessEnum(){ return 55;}
function BasalforcingsUppercrustthicknessEnum(){ return 56;}
function BasalforcingsUppercrustheatEnum(){ return 57;}
function BasalforcingsLowercrustheatEnum(){ return 58;}
function FloatingMeltRateEnum(){ return 59;}
function LinearFloatingMeltRateEnum(){ return 60;}
function MismipFloatingMeltRateEnum(){ return 61;}
function MantlePlumeGeothermalFluxEnum(){ return 62;}
function BedEnum(){ return 63;}
function BaseEnum(){ return 64;}
function ConstantsGEnum(){ return 65;}
function ConstantsReferencetemperatureEnum(){ return 66;}
function ConstantsYtsEnum(){ return 67;}
function DependentObjectEnum(){ return 68;}
function StressbalanceAbstolEnum(){ return 69;}
function StressbalanceConvergenceNumStepsEnum(){ return 70;}
function StressbalanceIsnewtonEnum(){ return 71;}
function StressbalanceMaxiterEnum(){ return 72;}
function StressbalancePenaltyFactorEnum(){ return 73;}
function StressbalanceReferentialEnum(){ return 74;}
function StressbalanceReltolEnum(){ return 75;}
function StressbalanceNumRequestedOutputsEnum(){ return 76;}
function StressbalanceRequestedOutputsEnum(){ return 77;}
function StressbalanceRestolEnum(){ return 78;}
function StressbalanceRiftPenaltyLockEnum(){ return 79;}
function StressbalanceRiftPenaltyThresholdEnum(){ return 80;}
function StressbalanceShelfDampeningEnum(){ return 81;}
function StressbalanceSpcvxEnum(){ return 82;}
function StressbalanceSpcvyEnum(){ return 83;}
function StressbalanceSpcvzEnum(){ return 84;}
function StressbalanceFSreconditioningEnum(){ return 85;}
function StressbalanceVertexPairingEnum(){ return 86;}
function StressbalanceViscosityOvershootEnum(){ return 87;}
function LoadingforceXEnum(){ return 88;}
function LoadingforceYEnum(){ return 89;}
function LoadingforceZEnum(){ return 90;}
function FlowequationBorderSSAEnum(){ return 91;}
function FlowequationBorderHOEnum(){ return 92;}
function FlowequationBorderFSEnum(){ return 93;}
function FlowequationElementEquationEnum(){ return 94;}
function FlowequationIsSIAEnum(){ return 95;}
function FlowequationIsSSAEnum(){ return 96;}
function FlowequationIsL1L2Enum(){ return 97;}
function FlowequationIsHOEnum(){ return 98;}
function FlowequationIsFSEnum(){ return 99;}
function FlowequationFeSSAEnum(){ return 100;}
function FlowequationFeHOEnum(){ return 101;}
function FlowequationFeFSEnum(){ return 102;}
function FlowequationVertexEquationEnum(){ return 103;}
function FrictionAsEnum(){ return 104;}
function FrictionCoefficientEnum(){ return 105;}
function FrictionCoefficientcoulombEnum(){ return 106;}
function FrictionPEnum(){ return 107;}
function FrictionQEnum(){ return 108;}
function FrictionMEnum(){ return 109;}
function FrictionCEnum(){ return 110;}
function FrictionLawEnum(){ return 111;}
function FrictionGammaEnum(){ return 112;}
function FrictionFEnum(){ return 113;}
function FrictionWaterLayerEnum(){ return 114;}
function FrictionEffectivePressureEnum(){ return 115;}
function FrictionCouplingEnum(){ return 116;}
function GeometryHydrostaticRatioEnum(){ return 117;}
function HydrologyModelEnum(){ return 118;}
function HydrologyshreveEnum(){ return 119;}
function HydrologyshreveSpcwatercolumnEnum(){ return 120;}
function HydrologyshreveStabilizationEnum(){ return 121;}
function HydrologydcEnum(){ return 122;}
function SedimentHeadEnum(){ return 123;}
function SedimentHeadOldEnum(){ return 124;}
function SedimentHeadResidualEnum(){ return 125;}
function EffectivePressureEnum(){ return 126;}
function EplHeadEnum(){ return 127;}
function EplHeadOldEnum(){ return 128;}
function EplHeadSlopeXEnum(){ return 129;}
function EplHeadSlopeYEnum(){ return 130;}
function EplZigZagCounterEnum(){ return 131;}
function HydrologydcMaxIterEnum(){ return 132;}
function HydrologydcRelTolEnum(){ return 133;}
function HydrologydcSpcsedimentHeadEnum(){ return 134;}
function HydrologydcSedimentCompressibilityEnum(){ return 135;}
function HydrologydcSedimentPorosityEnum(){ return 136;}
function HydrologydcSedimentThicknessEnum(){ return 137;}
function HydrologydcSedimentTransmitivityEnum(){ return 138;}
function HydrologydcWaterCompressibilityEnum(){ return 139;}
function HydrologydcSpceplHeadEnum(){ return 140;}
function HydrologydcMaskEplactiveNodeEnum(){ return 141;}
function HydrologydcMaskEplactiveEltEnum(){ return 142;}
function HydrologydcEplCompressibilityEnum(){ return 143;}
function HydrologydcEplPorosityEnum(){ return 144;}
function HydrologydcEplInitialThicknessEnum(){ return 145;}
function HydrologydcEplColapseThicknessEnum(){ return 146;}
function HydrologydcEplMaxThicknessEnum(){ return 147;}
function HydrologydcEplThicknessEnum(){ return 148;}
function HydrologydcEplThicknessOldEnum(){ return 149;}
function HydrologydcEplThickCompEnum(){ return 150;}
function HydrologydcEplConductivityEnum(){ return 151;}
function HydrologydcIsefficientlayerEnum(){ return 152;}
function HydrologydcSedimentlimitFlagEnum(){ return 153;}
function HydrologydcSedimentlimitEnum(){ return 154;}
function HydrologydcTransferFlagEnum(){ return 155;}
function HydrologydcLeakageFactorEnum(){ return 156;}
function HydrologydcPenaltyFactorEnum(){ return 157;}
function HydrologydcPenaltyLockEnum(){ return 158;}
function HydrologydcEplflipLockEnum(){ return 159;}
function HydrologydcBasalMoulinInputEnum(){ return 160;}
function HydrologyLayerEnum(){ return 161;}
function HydrologySedimentEnum(){ return 162;}
function HydrologyEfficientEnum(){ return 163;}
function HydrologySedimentKmaxEnum(){ return 164;}
function HydrologysommersEnum(){ return 165;}
function HydrologyHeadEnum(){ return 166;}
function HydrologyGapHeightEnum(){ return 167;}
function HydrologyBumpSpacingEnum(){ return 168;}
function HydrologyBumpHeightEnum(){ return 169;}
function HydrologyEnglacialInputEnum(){ return 170;}
function HydrologyMoulinInputEnum(){ return 171;}
function HydrologyReynoldsEnum(){ return 172;}
function HydrologyNeumannfluxEnum(){ return 173;}
function HydrologySpcheadEnum(){ return 174;}
function HydrologyConductivityEnum(){ return 175;}
function InversionControlParametersEnum(){ return 176;}
function InversionControlScalingFactorsEnum(){ return 177;}
function InversionCostFunctionThresholdEnum(){ return 178;}
function InversionCostFunctionsCoefficientsEnum(){ return 179;}
function InversionCostFunctionsEnum(){ return 180;}
function InversionGradientScalingEnum(){ return 181;}
function InversionIscontrolEnum(){ return 182;}
function InversionTypeEnum(){ return 183;}
function InversionIncompleteAdjointEnum(){ return 184;}
function InversionMaxParametersEnum(){ return 185;}
function InversionMaxiterPerStepEnum(){ return 186;}
function InversionMaxiterEnum(){ return 187;}
function InversionMaxstepsEnum(){ return 188;}
function InversionFatolEnum(){ return 189;}
function InversionFrtolEnum(){ return 190;}
function InversionGatolEnum(){ return 191;}
function InversionGrtolEnum(){ return 192;}
function InversionGttolEnum(){ return 193;}
function InversionAlgorithmEnum(){ return 194;}
function InversionMinParametersEnum(){ return 195;}
function InversionNstepsEnum(){ return 196;}
function InversionDxminEnum(){ return 197;}
function InversionNumControlParametersEnum(){ return 198;}
function InversionNumCostFunctionsEnum(){ return 199;}
function InversionStepThresholdEnum(){ return 200;}
function InversionThicknessObsEnum(){ return 201;}
function InversionSurfaceObsEnum(){ return 202;}
function InversionVxObsEnum(){ return 203;}
function InversionVyObsEnum(){ return 204;}
function InversionVzObsEnum(){ return 205;}
function MaskIceLevelsetEnum(){ return 206;}
function MaskOceanLevelsetEnum(){ return 207;}
function MaskLandLevelsetEnum(){ return 208;}
function MaterialsBetaEnum(){ return 209;}
function MaterialsHeatcapacityEnum(){ return 210;}
function MaterialsLatentheatEnum(){ return 211;}
function MaterialsMeltingpointEnum(){ return 212;}
function MaterialsMixedLayerCapacityEnum(){ return 213;}
function MaterialsRheologyBEnum(){ return 214;}
function MaterialsRheologyBbarEnum(){ return 215;}
function MaterialsRheologyLawEnum(){ return 216;}
function MaterialsRheologyNEnum(){ return 217;}
function MaterialsRheologyKoEnum(){ return 218;}
function MaterialsRheologyKobarEnum(){ return 219;}
function MaterialsRheologyEcEnum(){ return 220;}
function MaterialsRheologyEcbarEnum(){ return 221;}
function MaterialsRheologyEsEnum(){ return 222;}
function MaterialsRheologyEsbarEnum(){ return 223;}
function DamageIsdamageEnum(){ return 224;}
function DamageDEnum(){ return 225;}
function DamageFEnum(){ return 226;}
function DamageDbarEnum(){ return 227;}
function DamageLawEnum(){ return 228;}
function DamageC1Enum(){ return 229;}
function DamageC2Enum(){ return 230;}
function DamageC3Enum(){ return 231;}
function DamageC4Enum(){ return 232;}
function DamageElementinterpEnum(){ return 233;}
function DamageHealingEnum(){ return 234;}
function DamageStressThresholdEnum(){ return 235;}
function DamageKappaEnum(){ return 236;}
function DamageStabilizationEnum(){ return 237;}
function DamageMaxiterEnum(){ return 238;}
function DamageSpcdamageEnum(){ return 239;}
function DamageMaxDamageEnum(){ return 240;}
function DamageEquivStressEnum(){ return 241;}
function DamageEvolutionNumRequestedOutputsEnum(){ return 242;}
function DamageEvolutionRequestedOutputsEnum(){ return 243;}
function DamageEnum(){ return 244;}
function NewDamageEnum(){ return 245;}
function StressIntensityFactorEnum(){ return 246;}
function CalvingLawEnum(){ return 247;}
function CalvingCalvingrateEnum(){ return 248;}
function CalvingMeltingrateEnum(){ return 249;}
function CalvingLevermannEnum(){ return 250;}
function CalvingDevEnum(){ return 251;}
function CalvingMinthicknessEnum(){ return 252;}
function DefaultCalvingEnum(){ return 253;}
function CalvingRequestedOutputsEnum(){ return 254;}
function CalvinglevermannCoeffEnum(){ return 255;}
function CalvinglevermannMeltingrateEnum(){ return 256;}
function CalvingdevCoeffEnum(){ return 257;}
function CalvingratexEnum(){ return 258;}
function CalvingrateyEnum(){ return 259;}
function CalvingratexAverageEnum(){ return 260;}
function CalvingrateyAverageEnum(){ return 261;}
function StrainRateparallelEnum(){ return 262;}
function StrainRateperpendicularEnum(){ return 263;}
function StrainRateeffectiveEnum(){ return 264;}
function MaterialsRhoIceEnum(){ return 265;}
function MaterialsRhoSeawaterEnum(){ return 266;}
function MaterialsRhoFreshwaterEnum(){ return 267;}
function MaterialsMuWaterEnum(){ return 268;}
function MaterialsThermalExchangeVelocityEnum(){ return 269;}
function MaterialsThermalconductivityEnum(){ return 270;}
function MaterialsTemperateiceconductivityEnum(){ return 271;}
function MaterialsLithosphereShearModulusEnum(){ return 272;}
function MaterialsLithosphereDensityEnum(){ return 273;}
function MaterialsMantleShearModulusEnum(){ return 274;}
function MaterialsMantleDensityEnum(){ return 275;}
function MaterialsEarthDensityEnum(){ return 276;}
function MeshAverageVertexConnectivityEnum(){ return 277;}
function MeshElements2dEnum(){ return 278;}
function MeshElementsEnum(){ return 279;}
function MeshLowerelementsEnum(){ return 280;}
function MeshNumberofelements2dEnum(){ return 281;}
function MeshNumberofelementsEnum(){ return 282;}
function MeshNumberoflayersEnum(){ return 283;}
function MeshNumberofvertices2dEnum(){ return 284;}
function MeshNumberofverticesEnum(){ return 285;}
function MeshUpperelementsEnum(){ return 286;}
function MeshVertexonbaseEnum(){ return 287;}
function MeshVertexonsurfaceEnum(){ return 288;}
function MeshVertexonboundaryEnum(){ return 289;}
function MeshXEnum(){ return 290;}
function MeshYEnum(){ return 291;}
function MeshZEnum(){ return 292;}
function MeshLatEnum(){ return 293;}
function MeshLongEnum(){ return 294;}
function MeshREnum(){ return 295;}
function MeshElementtypeEnum(){ return 296;}
function MeshSegmentsEnum(){ return 297;}
function DomainTypeEnum(){ return 298;}
function DomainDimensionEnum(){ return 299;}
function Domain2DhorizontalEnum(){ return 300;}
function Domain2DverticalEnum(){ return 301;}
function Domain3DEnum(){ return 302;}
function Domain3DsurfaceEnum(){ return 303;}
function MiscellaneousNameEnum(){ return 304;}
function MasstransportHydrostaticAdjustmentEnum(){ return 305;}
function MasstransportIsfreesurfaceEnum(){ return 306;}
function MasstransportMinThicknessEnum(){ return 307;}
function MasstransportPenaltyFactorEnum(){ return 308;}
function MasstransportSpcthicknessEnum(){ return 309;}
function MasstransportStabilizationEnum(){ return 310;}
function MasstransportVertexPairingEnum(){ return 311;}
function MasstransportNumRequestedOutputsEnum(){ return 312;}
function MasstransportRequestedOutputsEnum(){ return 313;}
function QmuIsdakotaEnum(){ return 314;}
function MassFluxSegmentsEnum(){ return 315;}
function MassFluxSegmentsPresentEnum(){ return 316;}
function QmuMassFluxSegmentsPresentEnum(){ return 317;}
function QmuNumberofpartitionsEnum(){ return 318;}
function QmuNumberofresponsesEnum(){ return 319;}
function QmuPartitionEnum(){ return 320;}
function QmuResponsedescriptorsEnum(){ return 321;}
function QmuVariabledescriptorsEnum(){ return 322;}
function RiftsNumriftsEnum(){ return 323;}
function RiftsRiftstructEnum(){ return 324;}
function SettingsResultsOnNodesEnum(){ return 325;}
function SettingsIoGatherEnum(){ return 326;}
function SettingsLowmemEnum(){ return 327;}
function SettingsOutputFrequencyEnum(){ return 328;}
function SettingsRecordingFrequencyEnum(){ return 329;}
function SettingsWaitonlockEnum(){ return 330;}
function DebugProfilingEnum(){ return 331;}
function ProfilingCurrentMemEnum(){ return 332;}
function ProfilingCurrentFlopsEnum(){ return 333;}
function ProfilingSolutionTimeEnum(){ return 334;}
function SteadystateMaxiterEnum(){ return 335;}
function SteadystateNumRequestedOutputsEnum(){ return 336;}
function SteadystateReltolEnum(){ return 337;}
function SteadystateRequestedOutputsEnum(){ return 338;}
function SurfaceEnum(){ return 339;}
function ThermalIsenthalpyEnum(){ return 340;}
function ThermalIsdynamicbasalspcEnum(){ return 341;}
function ThermalReltolEnum(){ return 342;}
function ThermalMaxiterEnum(){ return 343;}
function ThermalPenaltyFactorEnum(){ return 344;}
function ThermalPenaltyLockEnum(){ return 345;}
function ThermalPenaltyThresholdEnum(){ return 346;}
function ThermalSpctemperatureEnum(){ return 347;}
function ThermalStabilizationEnum(){ return 348;}
function ThermalNumRequestedOutputsEnum(){ return 349;}
function ThermalRequestedOutputsEnum(){ return 350;}
function GiaMantleViscosityEnum(){ return 351;}
function GiaLithosphereThicknessEnum(){ return 352;}
function ThicknessEnum(){ return 353;}
function TimesteppingStartTimeEnum(){ return 354;}
function TimesteppingFinalTimeEnum(){ return 355;}
function TimesteppingCflCoefficientEnum(){ return 356;}
function TimesteppingTimeAdaptEnum(){ return 357;}
function TimesteppingTimeStepEnum(){ return 358;}
function TimesteppingInterpForcingsEnum(){ return 359;}
function TransientIssmbEnum(){ return 360;}
function TransientIscouplerEnum(){ return 361;}
function TransientIsstressbalanceEnum(){ return 362;}
function TransientIsgroundinglineEnum(){ return 363;}
function TransientIsmasstransportEnum(){ return 364;}
function TransientIsthermalEnum(){ return 365;}
function TransientIsgiaEnum(){ return 366;}
function TransientIsdamageevolutionEnum(){ return 367;}
function TransientIshydrologyEnum(){ return 368;}
function TransientIsmovingfrontEnum(){ return 369;}
function TransientIsslrEnum(){ return 370;}
function TransientNumRequestedOutputsEnum(){ return 371;}
function TransientRequestedOutputsEnum(){ return 372;}
function PotentialEnum(){ return 373;}
function BalancethicknessSpcpotentialEnum(){ return 374;}
function BalancethicknessApparentMassbalanceEnum(){ return 375;}
function Balancethickness2MisfitEnum(){ return 376;}
function BalancethicknessDiffusionCoefficientEnum(){ return 377;}
function BalancethicknessCmuEnum(){ return 378;}
function BalancethicknessOmegaEnum(){ return 379;}
function BalancethicknessD0Enum(){ return 380;}
function SmbEnum(){ return 381;}
function SmbAnalysisEnum(){ return 382;}
function SmbSolutionEnum(){ return 383;}
function SmbNumRequestedOutputsEnum(){ return 384;}
function SmbRequestedOutputsEnum(){ return 385;}
function SmbIsInitializedEnum(){ return 386;}
function SMBforcingEnum(){ return 387;}
function SmbMassBalanceEnum(){ return 388;}
function SMBgembEnum(){ return 389;}
function SmbInitDensityScalingEnum(){ return 390;}
function SmbTaEnum(){ return 391;}
function SmbVEnum(){ return 392;}
function SmbDswrfEnum(){ return 393;}
function SmbDlwrfEnum(){ return 394;}
function SmbPEnum(){ return 395;}
function SmbSwfEnum(){ return 396;}
function SmbEAirEnum(){ return 397;}
function SmbPAirEnum(){ return 398;}
function SmbTmeanEnum(){ return 399;}
function SmbCEnum(){ return 400;}
function SmbTzEnum(){ return 401;}
function SmbVzEnum(){ return 402;}
function SmbDtEnum(){ return 403;}
function SmbDzEnum(){ return 404;}
function SmbAIdxEnum(){ return 405;}
function SmbSwIdxEnum(){ return 406;}
function SmbDenIdxEnum(){ return 407;}
function SmbZTopEnum(){ return 408;}
function SmbDzTopEnum(){ return 409;}
function SmbDzMinEnum(){ return 410;}
function SmbZYEnum(){ return 411;}
function SmbZMaxEnum(){ return 412;}
function SmbZMinEnum(){ return 413;}
function SmbOutputFreqEnum(){ return 414;}
function SmbASnowEnum(){ return 415;}
function SmbAIceEnum(){ return 416;}
function SmbCldFracEnum(){ return 417;}
function SmbT0wetEnum(){ return 418;}
function SmbT0dryEnum(){ return 419;}
function SmbKEnum(){ return 420;}
function SmbDEnum(){ return 421;}
function SmbReEnum(){ return 422;}
function SmbGdnEnum(){ return 423;}
function SmbGspEnum(){ return 424;}
function SmbECEnum(){ return 425;}
function SmbCondensationEnum(){ return 426;}
function SmbWEnum(){ return 427;}
function SmbAEnum(){ return 428;}
function SmbTEnum(){ return 429;}
function SmbIsgraingrowthEnum(){ return 430;}
function SmbIsalbedoEnum(){ return 431;}
function SmbIsshortwaveEnum(){ return 432;}
function SmbIsthermalEnum(){ return 433;}
function SmbIsaccumulationEnum(){ return 434;}
function SmbIsmeltEnum(){ return 435;}
function SmbIsdensificationEnum(){ return 436;}
function SmbIsturbulentfluxEnum(){ return 437;}
function SMBpddEnum(){ return 438;}
function SmbDelta18oEnum(){ return 439;}
function SmbDelta18oSurfaceEnum(){ return 440;}
function SmbIsdelta18oEnum(){ return 441;}
function SmbIsmungsmEnum(){ return 442;}
function SmbIsd18opdEnum(){ return 443;}
function SmbPrecipitationsPresentdayEnum(){ return 444;}
function SmbPrecipitationsLgmEnum(){ return 445;}
function SmbTemperaturesPresentdayEnum(){ return 446;}
function SmbTemperaturesLgmEnum(){ return 447;}
function SmbPrecipitationEnum(){ return 448;}
function SmbDesfacEnum(){ return 449;}
function SmbS0pEnum(){ return 450;}
function SmbS0tEnum(){ return 451;}
function SmbRlapsEnum(){ return 452;}
function SmbRlapslgmEnum(){ return 453;}
function SmbPfacEnum(){ return 454;}
function SmbTdiffEnum(){ return 455;}
function SmbSealevEnum(){ return 456;}
function SMBd18opddEnum(){ return 457;}
function SmbDpermilEnum(){ return 458;}
function SMBgradientsEnum(){ return 459;}
function SmbMonthlytemperaturesEnum(){ return 460;}
function SmbHrefEnum(){ return 461;}
function SmbSmbrefEnum(){ return 462;}
function SmbBPosEnum(){ return 463;}
function SmbBNegEnum(){ return 464;}
function SMBhenningEnum(){ return 465;}
function SMBcomponentsEnum(){ return 466;}
function SmbAccumulationEnum(){ return 467;}
function SmbEvaporationEnum(){ return 468;}
function SmbRunoffEnum(){ return 469;}
function SMBmeltcomponentsEnum(){ return 470;}
function SmbMeltEnum(){ return 471;}
function SmbRefreezeEnum(){ return 472;}
function SMBgcmEnum(){ return 473;}
function SmbIspddEnum(){ return 474;}
function SmbIssmbgradientsEnum(){ return 475;}
function SolutionTypeEnum(){ return 476;}
function AnalysisTypeEnum(){ return 477;}
function ConfigurationTypeEnum(){ return 478;}
function AdjointBalancethicknessAnalysisEnum(){ return 479;}
function AdjointBalancethickness2AnalysisEnum(){ return 480;}
function AdjointHorizAnalysisEnum(){ return 481;}
function AnalysisCounterEnum(){ return 482;}
function DefaultAnalysisEnum(){ return 483;}
function BalancethicknessAnalysisEnum(){ return 484;}
function BalancethicknessSolutionEnum(){ return 485;}
function Balancethickness2AnalysisEnum(){ return 486;}
function Balancethickness2SolutionEnum(){ return 487;}
function BalancethicknessSoftAnalysisEnum(){ return 488;}
function BalancethicknessSoftSolutionEnum(){ return 489;}
function BalancevelocityAnalysisEnum(){ return 490;}
function BalancevelocitySolutionEnum(){ return 491;}
function L2ProjectionEPLAnalysisEnum(){ return 492;}
function L2ProjectionBaseAnalysisEnum(){ return 493;}
function BedSlopeSolutionEnum(){ return 494;}
function DamageEvolutionSolutionEnum(){ return 495;}
function DamageEvolutionAnalysisEnum(){ return 496;}
function StressbalanceAnalysisEnum(){ return 497;}
function StressbalanceSIAAnalysisEnum(){ return 498;}
function StressbalanceSolutionEnum(){ return 499;}
function StressbalanceVerticalAnalysisEnum(){ return 500;}
function EnthalpyAnalysisEnum(){ return 501;}
function FlaimAnalysisEnum(){ return 502;}
function FlaimSolutionEnum(){ return 503;}
function HydrologyShreveAnalysisEnum(){ return 504;}
function HydrologyDCInefficientAnalysisEnum(){ return 505;}
function HydrologyDCEfficientAnalysisEnum(){ return 506;}
function HydrologySommersAnalysisEnum(){ return 507;}
function HydrologySolutionEnum(){ return 508;}
function MeltingAnalysisEnum(){ return 509;}
function MasstransportAnalysisEnum(){ return 510;}
function MasstransportSolutionEnum(){ return 511;}
function FreeSurfaceBaseAnalysisEnum(){ return 512;}
function FreeSurfaceTopAnalysisEnum(){ return 513;}
function SurfaceNormalVelocityEnum(){ return 514;}
function ExtrudeFromBaseAnalysisEnum(){ return 515;}
function ExtrudeFromTopAnalysisEnum(){ return 516;}
function DepthAverageAnalysisEnum(){ return 517;}
function SteadystateSolutionEnum(){ return 518;}
function SurfaceSlopeSolutionEnum(){ return 519;}
function SmoothAnalysisEnum(){ return 520;}
function ThermalAnalysisEnum(){ return 521;}
function ThermalSolutionEnum(){ return 522;}
function TransientSolutionEnum(){ return 523;}
function UzawaPressureAnalysisEnum(){ return 524;}
function GiaSolutionEnum(){ return 525;}
function GiaAnalysisEnum(){ return 526;}
function MeshdeformationSolutionEnum(){ return 527;}
function MeshdeformationAnalysisEnum(){ return 528;}
function LevelsetAnalysisEnum(){ return 529;}
function LevelsetStabilizationEnum(){ return 530;}
function ExtrapolationAnalysisEnum(){ return 531;}
function LsfReinitializationAnalysisEnum(){ return 532;}
function ApproximationEnum(){ return 533;}
function NoneApproximationEnum(){ return 534;}
function SIAApproximationEnum(){ return 535;}
function SSAApproximationEnum(){ return 536;}
function SSAHOApproximationEnum(){ return 537;}
function SSAFSApproximationEnum(){ return 538;}
function L1L2ApproximationEnum(){ return 539;}
function HOApproximationEnum(){ return 540;}
function HOFSApproximationEnum(){ return 541;}
function FSApproximationEnum(){ return 542;}
function FSvelocityEnum(){ return 543;}
function FSpressureEnum(){ return 544;}
function DataSetEnum(){ return 545;}
function ConstraintsEnum(){ return 546;}
function LoadsEnum(){ return 547;}
function MaterialsEnum(){ return 548;}
function NodesEnum(){ return 549;}
function ContoursEnum(){ return 550;}
function ParametersEnum(){ return 551;}
function VerticesEnum(){ return 552;}
function ResultsEnum(){ return 553;}
function GenericParamEnum(){ return 554;}
function AdolcParamEnum(){ return 555;}
function BoolInputEnum(){ return 556;}
function BoolParamEnum(){ return 557;}
function ContourEnum(){ return 558;}
function ControlInputEnum(){ return 559;}
function DatasetInputEnum(){ return 560;}
function DoubleInputEnum(){ return 561;}
function DoubleArrayInputEnum(){ return 562;}
function DataSetParamEnum(){ return 563;}
function DoubleMatArrayParamEnum(){ return 564;}
function DoubleMatParamEnum(){ return 565;}
function DoubleParamEnum(){ return 566;}
function DoubleVecParamEnum(){ return 567;}
function ElementEnum(){ return 568;}
function ElementHookEnum(){ return 569;}
function HookEnum(){ return 570;}
function ExternalResultEnum(){ return 571;}
function FileParamEnum(){ return 572;}
function InputEnum(){ return 573;}
function IntInputEnum(){ return 574;}
function InputToExtrudeEnum(){ return 575;}
function InputToL2ProjectEnum(){ return 576;}
function InputToDepthaverageEnum(){ return 577;}
function InputToSmoothEnum(){ return 578;}
function SmoothThicknessMultiplierEnum(){ return 579;}
function IntParamEnum(){ return 580;}
function IntVecParamEnum(){ return 581;}
function TransientParamEnum(){ return 582;}
function MaticeEnum(){ return 583;}
function MatdamageiceEnum(){ return 584;}
function MatestarEnum(){ return 585;}
function MatparEnum(){ return 586;}
function NodeEnum(){ return 587;}
function NumericalfluxEnum(){ return 588;}
function NumericalfluxTypeEnum(){ return 589;}
function NeumannfluxEnum(){ return 590;}
function ParamEnum(){ return 591;}
function MoulinEnum(){ return 592;}
function PengridEnum(){ return 593;}
function PenpairEnum(){ return 594;}
function ProfilerEnum(){ return 595;}
function MatrixParamEnum(){ return 596;}
function MassconEnum(){ return 597;}
function MassconNameEnum(){ return 598;}
function MassconDefinitionenumEnum(){ return 599;}
function MassconLevelsetEnum(){ return 600;}
function MassconaxpbyEnum(){ return 601;}
function MassconaxpbyNameEnum(){ return 602;}
function MassconaxpbyDefinitionenumEnum(){ return 603;}
function MassconaxpbyNamexEnum(){ return 604;}
function MassconaxpbyNameyEnum(){ return 605;}
function MassconaxpbyAlphaEnum(){ return 606;}
function MassconaxpbyBetaEnum(){ return 607;}
function NodeSIdEnum(){ return 608;}
function VectorParamEnum(){ return 609;}
function RiftfrontEnum(){ return 610;}
function RiftfrontTypeEnum(){ return 611;}
function SegmentEnum(){ return 612;}
function SegmentRiftfrontEnum(){ return 613;}
function SpcDynamicEnum(){ return 614;}
function SpcStaticEnum(){ return 615;}
function SpcTransientEnum(){ return 616;}
function StringArrayParamEnum(){ return 617;}
function StringParamEnum(){ return 618;}
function SegEnum(){ return 619;}
function SegInputEnum(){ return 620;}
function TriaEnum(){ return 621;}
function TriaInputEnum(){ return 622;}
function TetraEnum(){ return 623;}
function TetraInputEnum(){ return 624;}
function PentaEnum(){ return 625;}
function PentaInputEnum(){ return 626;}
function VertexEnum(){ return 627;}
function VertexPIdEnum(){ return 628;}
function VertexSIdEnum(){ return 629;}
function AirEnum(){ return 630;}
function IceEnum(){ return 631;}
function MelangeEnum(){ return 632;}
function WaterEnum(){ return 633;}
function ClosedEnum(){ return 634;}
function FreeEnum(){ return 635;}
function OpenEnum(){ return 636;}
function AdjointpEnum(){ return 637;}
function AdjointxEnum(){ return 638;}
function AdjointyEnum(){ return 639;}
function AdjointzEnum(){ return 640;}
function BalancethicknessMisfitEnum(){ return 641;}
function BedSlopeXEnum(){ return 642;}
function BedSlopeYEnum(){ return 643;}
function BoundaryEnum(){ return 644;}
function ConvergedEnum(){ return 645;}
function FillEnum(){ return 646;}
function FractionIncrementEnum(){ return 647;}
function FrictionEnum(){ return 648;}
function InternalEnum(){ return 649;}
function MassFluxEnum(){ return 650;}
function MeltingOffsetEnum(){ return 651;}
function MisfitEnum(){ return 652;}
function PressureEnum(){ return 653;}
function PressurePicardEnum(){ return 654;}
function AndroidFrictionCoefficientEnum(){ return 655;}
function ResetPenaltiesEnum(){ return 656;}
function SegmentOnIceShelfEnum(){ return 657;}
function SurfaceAbsVelMisfitEnum(){ return 658;}
function SurfaceAreaEnum(){ return 659;}
function SurfaceAverageVelMisfitEnum(){ return 660;}
function SurfaceLogVelMisfitEnum(){ return 661;}
function SurfaceLogVxVyMisfitEnum(){ return 662;}
function SurfaceRelVelMisfitEnum(){ return 663;}
function SurfaceSlopeXEnum(){ return 664;}
function SurfaceSlopeYEnum(){ return 665;}
function TemperatureEnum(){ return 666;}
function TemperaturePicardEnum(){ return 667;}
function TemperaturePDDEnum(){ return 668;}
function ThicknessAbsMisfitEnum(){ return 669;}
function SurfaceAbsMisfitEnum(){ return 670;}
function VelEnum(){ return 671;}
function VelocityEnum(){ return 672;}
function VxAverageEnum(){ return 673;}
function VxEnum(){ return 674;}
function VxPicardEnum(){ return 675;}
function VyAverageEnum(){ return 676;}
function VyEnum(){ return 677;}
function VyPicardEnum(){ return 678;}
function VzEnum(){ return 679;}
function VzSSAEnum(){ return 680;}
function VzHOEnum(){ return 681;}
function VzPicardEnum(){ return 682;}
function VzFSEnum(){ return 683;}
function VxMeshEnum(){ return 684;}
function VyMeshEnum(){ return 685;}
function VzMeshEnum(){ return 686;}
function EnthalpyEnum(){ return 687;}
function EnthalpyPicardEnum(){ return 688;}
function ThicknessAbsGradientEnum(){ return 689;}
function ThicknessAlongGradientEnum(){ return 690;}
function ThicknessAcrossGradientEnum(){ return 691;}
function ThicknessPositiveEnum(){ return 692;}
function IntMatParamEnum(){ return 693;}
function RheologyBbarAbsGradientEnum(){ return 694;}
function RheologyBAbsGradientEnum(){ return 695;}
function DragCoefficientAbsGradientEnum(){ return 696;}
function TransientInputEnum(){ return 697;}
function WaterfractionEnum(){ return 698;}
function WatercolumnEnum(){ return 699;}
function BasalFrictionEnum(){ return 700;}
function ViscousHeatingEnum(){ return 701;}
function HydrologyWaterVxEnum(){ return 702;}
function HydrologyWaterVyEnum(){ return 703;}
function DrivingStressXEnum(){ return 704;}
function DrivingStressYEnum(){ return 705;}
function SigmaNNEnum(){ return 706;}
function StressTensorEnum(){ return 707;}
function StressTensorxxEnum(){ return 708;}
function StressTensorxyEnum(){ return 709;}
function StressTensorxzEnum(){ return 710;}
function StressTensoryyEnum(){ return 711;}
function StressTensoryzEnum(){ return 712;}
function StressTensorzzEnum(){ return 713;}
function StressMaxPrincipalEnum(){ return 714;}
function DeviatoricStressEnum(){ return 715;}
function DeviatoricStressxxEnum(){ return 716;}
function DeviatoricStressxyEnum(){ return 717;}
function DeviatoricStressxzEnum(){ return 718;}
function DeviatoricStressyyEnum(){ return 719;}
function DeviatoricStressyzEnum(){ return 720;}
function DeviatoricStresszzEnum(){ return 721;}
function DeviatoricStresseffectiveEnum(){ return 722;}
function LambdaSEnum(){ return 723;}
function StrainRateEnum(){ return 724;}
function StrainRatexxEnum(){ return 725;}
function StrainRatexyEnum(){ return 726;}
function StrainRatexzEnum(){ return 727;}
function StrainRateyyEnum(){ return 728;}
function StrainRateyzEnum(){ return 729;}
function StrainRatezzEnum(){ return 730;}
function DivergenceEnum(){ return 731;}
function MaxDivergenceEnum(){ return 732;}
function GiaCrossSectionShapeEnum(){ return 733;}
function GiadWdtEnum(){ return 734;}
function GiaWEnum(){ return 735;}
function P0Enum(){ return 736;}
function P0ArrayEnum(){ return 737;}
function P1Enum(){ return 738;}
function P1DGEnum(){ return 739;}
function P1bubbleEnum(){ return 740;}
function P1bubblecondensedEnum(){ return 741;}
function P2Enum(){ return 742;}
function P2bubbleEnum(){ return 743;}
function P2bubblecondensedEnum(){ return 744;}
function P2xP1Enum(){ return 745;}
function P1xP2Enum(){ return 746;}
function P1xP3Enum(){ return 747;}
function P2xP4Enum(){ return 748;}
function P1P1Enum(){ return 749;}
function P1P1GLSEnum(){ return 750;}
function MINIEnum(){ return 751;}
function MINIcondensedEnum(){ return 752;}
function TaylorHoodEnum(){ return 753;}
function LATaylorHoodEnum(){ return 754;}
function XTaylorHoodEnum(){ return 755;}
function OneLayerP4zEnum(){ return 756;}
function CrouzeixRaviartEnum(){ return 757;}
function LACrouzeixRaviartEnum(){ return 758;}
function SaveResultsEnum(){ return 759;}
function BoolExternalResultEnum(){ return 760;}
function DoubleExternalResultEnum(){ return 761;}
function DoubleMatExternalResultEnum(){ return 762;}
function IntExternalResultEnum(){ return 763;}
function JEnum(){ return 764;}
function StringExternalResultEnum(){ return 765;}
function StepEnum(){ return 766;}
function TimeEnum(){ return 767;}
function WaterColumnOldEnum(){ return 768;}
function OutputdefinitionEnum(){ return 769;}
function Outputdefinition1Enum(){ return 770;}
function Outputdefinition2Enum(){ return 771;}
function Outputdefinition3Enum(){ return 772;}
function Outputdefinition4Enum(){ return 773;}
function Outputdefinition5Enum(){ return 774;}
function Outputdefinition6Enum(){ return 775;}
function Outputdefinition7Enum(){ return 776;}
function Outputdefinition8Enum(){ return 777;}
function Outputdefinition9Enum(){ return 778;}
function Outputdefinition10Enum(){ return 779;}
function Outputdefinition11Enum(){ return 780;}
function Outputdefinition12Enum(){ return 781;}
function Outputdefinition13Enum(){ return 782;}
function Outputdefinition14Enum(){ return 783;}
function Outputdefinition15Enum(){ return 784;}
function Outputdefinition16Enum(){ return 785;}
function Outputdefinition17Enum(){ return 786;}
function Outputdefinition18Enum(){ return 787;}
function Outputdefinition19Enum(){ return 788;}
function Outputdefinition20Enum(){ return 789;}
function Outputdefinition21Enum(){ return 790;}
function Outputdefinition22Enum(){ return 791;}
function Outputdefinition23Enum(){ return 792;}
function Outputdefinition24Enum(){ return 793;}
function Outputdefinition25Enum(){ return 794;}
function Outputdefinition26Enum(){ return 795;}
function Outputdefinition27Enum(){ return 796;}
function Outputdefinition28Enum(){ return 797;}
function Outputdefinition29Enum(){ return 798;}
function Outputdefinition30Enum(){ return 799;}
function Outputdefinition31Enum(){ return 800;}
function Outputdefinition32Enum(){ return 801;}
function Outputdefinition33Enum(){ return 802;}
function Outputdefinition34Enum(){ return 803;}
function Outputdefinition35Enum(){ return 804;}
function Outputdefinition36Enum(){ return 805;}
function Outputdefinition37Enum(){ return 806;}
function Outputdefinition38Enum(){ return 807;}
function Outputdefinition39Enum(){ return 808;}
function Outputdefinition40Enum(){ return 809;}
function Outputdefinition41Enum(){ return 810;}
function Outputdefinition42Enum(){ return 811;}
function Outputdefinition43Enum(){ return 812;}
function Outputdefinition44Enum(){ return 813;}
function Outputdefinition45Enum(){ return 814;}
function Outputdefinition46Enum(){ return 815;}
function Outputdefinition47Enum(){ return 816;}
function Outputdefinition48Enum(){ return 817;}
function Outputdefinition49Enum(){ return 818;}
function Outputdefinition50Enum(){ return 819;}
function Outputdefinition51Enum(){ return 820;}
function Outputdefinition52Enum(){ return 821;}
function Outputdefinition53Enum(){ return 822;}
function Outputdefinition54Enum(){ return 823;}
function Outputdefinition55Enum(){ return 824;}
function Outputdefinition56Enum(){ return 825;}
function Outputdefinition57Enum(){ return 826;}
function Outputdefinition58Enum(){ return 827;}
function Outputdefinition59Enum(){ return 828;}
function Outputdefinition60Enum(){ return 829;}
function Outputdefinition61Enum(){ return 830;}
function Outputdefinition62Enum(){ return 831;}
function Outputdefinition63Enum(){ return 832;}
function Outputdefinition64Enum(){ return 833;}
function Outputdefinition65Enum(){ return 834;}
function Outputdefinition66Enum(){ return 835;}
function Outputdefinition67Enum(){ return 836;}
function Outputdefinition68Enum(){ return 837;}
function Outputdefinition69Enum(){ return 838;}
function Outputdefinition70Enum(){ return 839;}
function Outputdefinition71Enum(){ return 840;}
function Outputdefinition72Enum(){ return 841;}
function Outputdefinition73Enum(){ return 842;}
function Outputdefinition74Enum(){ return 843;}
function Outputdefinition75Enum(){ return 844;}
function Outputdefinition76Enum(){ return 845;}
function Outputdefinition77Enum(){ return 846;}
function Outputdefinition78Enum(){ return 847;}
function Outputdefinition79Enum(){ return 848;}
function Outputdefinition80Enum(){ return 849;}
function Outputdefinition81Enum(){ return 850;}
function Outputdefinition82Enum(){ return 851;}
function Outputdefinition83Enum(){ return 852;}
function Outputdefinition84Enum(){ return 853;}
function Outputdefinition85Enum(){ return 854;}
function Outputdefinition86Enum(){ return 855;}
function Outputdefinition87Enum(){ return 856;}
function Outputdefinition88Enum(){ return 857;}
function Outputdefinition89Enum(){ return 858;}
function Outputdefinition90Enum(){ return 859;}
function Outputdefinition91Enum(){ return 860;}
function Outputdefinition92Enum(){ return 861;}
function Outputdefinition93Enum(){ return 862;}
function Outputdefinition94Enum(){ return 863;}
function Outputdefinition95Enum(){ return 864;}
function Outputdefinition96Enum(){ return 865;}
function Outputdefinition97Enum(){ return 866;}
function Outputdefinition98Enum(){ return 867;}
function Outputdefinition99Enum(){ return 868;}
function Outputdefinition100Enum(){ return 869;}
function OutputdefinitionListEnum(){ return 870;}
function MassfluxatgateEnum(){ return 871;}
function MassfluxatgateNameEnum(){ return 872;}
function MassfluxatgateDefinitionenumEnum(){ return 873;}
function MassfluxatgateSegmentsEnum(){ return 874;}
function NodalvalueEnum(){ return 875;}
function NodalvalueNameEnum(){ return 876;}
function NodalvalueDefinitionenumEnum(){ return 877;}
function NodalvalueModelEnum(){ return 878;}
function NodalvalueNodeEnum(){ return 879;}
function MisfitNameEnum(){ return 880;}
function MisfitDefinitionenumEnum(){ return 881;}
function MisfitModelEnum(){ return 882;}
function MisfitObservationEnum(){ return 883;}
function MisfitObservationEnum(){ return 884;}
function MisfitLocalEnum(){ return 885;}
function MisfitTimeinterpolationEnum(){ return 886;}
function MisfitWeightsEnum(){ return 887;}
function MisfitWeightsEnum(){ return 888;}
function SurfaceObservationEnum(){ return 889;}
function WeightsSurfaceObservationEnum(){ return 890;}
function VxObsEnum(){ return 891;}
function WeightsVxObsEnum(){ return 892;}
function VyObsEnum(){ return 893;}
function WeightsVyObsEnum(){ return 894;}
function MinVelEnum(){ return 895;}
function MaxVelEnum(){ return 896;}
function MinVxEnum(){ return 897;}
function MaxVxEnum(){ return 898;}
function MaxAbsVxEnum(){ return 899;}
function MinVyEnum(){ return 900;}
function MaxVyEnum(){ return 901;}
function MaxAbsVyEnum(){ return 902;}
function MinVzEnum(){ return 903;}
function MaxVzEnum(){ return 904;}
function MaxAbsVzEnum(){ return 905;}
function FloatingAreaEnum(){ return 906;}
function GroundedAreaEnum(){ return 907;}
function IceMassEnum(){ return 908;}
function IceVolumeEnum(){ return 909;}
function IceVolumeAboveFloatationEnum(){ return 910;}
function TotalFloatingBmbEnum(){ return 911;}
function TotalGroundedBmbEnum(){ return 912;}
function TotalSmbEnum(){ return 913;}
function AbsoluteEnum(){ return 914;}
function IncrementalEnum(){ return 915;}
function AugmentedLagrangianREnum(){ return 916;}
function AugmentedLagrangianRhopEnum(){ return 917;}
function AugmentedLagrangianRlambdaEnum(){ return 918;}
function AugmentedLagrangianRholambdaEnum(){ return 919;}
function AugmentedLagrangianThetaEnum(){ return 920;}
function NoneEnum(){ return 921;}
function AggressiveMigrationEnum(){ return 922;}
function SoftMigrationEnum(){ return 923;}
function SubelementMigrationEnum(){ return 924;}
function SubelementMigration2Enum(){ return 925;}
function ContactEnum(){ return 926;}
function GroundingOnlyEnum(){ return 927;}
function MaskGroundediceLevelsetEnum(){ return 928;}
function GaussSegEnum(){ return 929;}
function GaussTriaEnum(){ return 930;}
function GaussTetraEnum(){ return 931;}
function GaussPentaEnum(){ return 932;}
function FSSolverEnum(){ return 933;}
function AdjointEnum(){ return 934;}
function ColinearEnum(){ return 935;}
function ControlSteadyEnum(){ return 936;}
function FsetEnum(){ return 937;}
function Gradient1Enum(){ return 938;}
function Gradient2Enum(){ return 939;}
function Gradient3Enum(){ return 940;}
function GradientEnum(){ return 941;}
function GroundinglineMigrationEnum(){ return 942;}
function GsetEnum(){ return 943;}
function IndexEnum(){ return 944;}
function IndexedEnum(){ return 945;}
function IntersectEnum(){ return 946;}
function NodalEnum(){ return 947;}
function OldGradientEnum(){ return 948;}
function OutputBufferPointerEnum(){ return 949;}
function OutputBufferSizePointerEnum(){ return 950;}
function OutputFilePointerEnum(){ return 951;}
function ToolkitsFileNameEnum(){ return 952;}
function RootPathEnum(){ return 953;}
function OutputFileNameEnum(){ return 954;}
function InputFileNameEnum(){ return 955;}
function LockFileNameEnum(){ return 956;}
function RestartFileNameEnum(){ return 957;}
function ToolkitsOptionsAnalysesEnum(){ return 958;}
function ToolkitsOptionsStringsEnum(){ return 959;}
function QmuErrNameEnum(){ return 960;}
function QmuInNameEnum(){ return 961;}
function QmuOutNameEnum(){ return 962;}
function RegularEnum(){ return 963;}
function ScaledEnum(){ return 964;}
function SeparateEnum(){ return 965;}
function SsetEnum(){ return 966;}
function VerboseEnum(){ return 967;}
function TriangleInterpEnum(){ return 968;}
function BilinearInterpEnum(){ return 969;}
function NearestInterpEnum(){ return 970;}
function XYEnum(){ return 971;}
function XYZEnum(){ return 972;}
function DenseEnum(){ return 973;}
function MpiDenseEnum(){ return 974;}
function MpiSparseEnum(){ return 975;}
function SeqEnum(){ return 976;}
function MpiEnum(){ return 977;}
function MumpsEnum(){ return 978;}
function GslEnum(){ return 979;}
function OptionEnum(){ return 980;}
function GenericOptionEnum(){ return 981;}
function OptionCellEnum(){ return 982;}
function OptionStructEnum(){ return 983;}
function CuffeyEnum(){ return 984;}
function BuddJackaEnum(){ return 985;}
function CuffeyTemperateEnum(){ return 986;}
function PatersonEnum(){ return 987;}
function ArrheniusEnum(){ return 988;}
function LliboutryDuvalEnum(){ return 989;}
function SpclevelsetEnum(){ return 990;}
function ExtrapolationVariableEnum(){ return 991;}
function IceMaskNodeActivationEnum(){ return 992;}
function LevelsetfunctionSlopeXEnum(){ return 993;}
function LevelsetfunctionSlopeYEnum(){ return 994;}
function LevelsetfunctionPicardEnum(){ return 995;}
function LevelsetReinitFrequencyEnum(){ return 996;}
function SealevelriseSolutionEnum(){ return 997;}
function SealevelriseAnalysisEnum(){ return 998;}
function SealevelEnum(){ return 999;}
function SealevelEustaticEnum(){ return 1000;}
function SealevelriseDeltathicknessEnum(){ return 1001;}
function SealevelriseMaxiterEnum(){ return 1002;}
function SealevelriseReltolEnum(){ return 1003;}
function SealevelriseAbstolEnum(){ return 1004;}
function SealevelriseLoveHEnum(){ return 1005;}
function SealevelriseLoveKEnum(){ return 1006;}
function SealevelriseTideLoveHEnum(){ return 1007;}
function SealevelriseTideLoveKEnum(){ return 1008;}
function SealevelriseRigidEnum(){ return 1009;}
function SealevelriseElasticEnum(){ return 1010;}
function SealevelriseRotationEnum(){ return 1011;}
function SealevelriseGElasticEnum(){ return 1012;}
function SealevelriseDegaccEnum(){ return 1013;}
function SealevelriseTransitionsEnum(){ return 1014;}
function SealevelriseRequestedOutputsEnum(){ return 1015;}
function SealevelriseNumRequestedOutputsEnum(){ return 1016;}
function ParametersENDEnum(){ return 1017;}
function MaximumNumberOfDefinitionsEnum(){ return 1018;}
function FlagElements(md,region){
//FLAGELEMENTS - flag the elements in an region
//
//   The region can be given as a string, or as a javascript array
//
//   Usage: 
//      flag=FlagElements(md,region);
//
//   Example:
//      flag=FlagElements(md,'all');
//      flag=FlagElements(md,'');
//      flag=FlagElements(md,domain);

	//variables
	var flag;
	
	if (typeof region == 'string'){
		if (region === ''){
			flag=NewArrayFill(md.mesh.numberofelements,0);
		}
		else if (region === 'all'){
			flag=NewArrayFill(md.mesh.numberofelements,1);
		}
		else{
			flag=ContourToMesh(md.mesh.elements,md.mesh.x,md.mesh.y,region,'element',1);
		}
	}
	else if(IsArray(region)){
		if (region.length==md.mesh.numberofelements){
			flag=region;
		}
		else if (region.length==md.mesh.numberofvertices){
			var flag=NewArrayFill(md.mesh.numberofelements,0);
			for (var i=0;i<md.mesh.numberofelements;i++)
				var sum=0;
				for(var j=0;j<md.mesh.elements[0].length;j++){
					sum += region[md.mesh.element[i][j]-1];
				}
				if (sum==md.mesh.elements[0].length)flag[i]=1;
		}
		else{
			throw Error('Flaglist for region must be of same size as number of elements in model');
		}
	}
	else{
		throw Error('Invalid region option');
	}
	return flag;
}
function  marshallcostfunctions(cost_functions){
	for(var i=0;i<cost_functions.length;i++){
		if(cost_functions[i]==101) data[i]=SurfaceAbsVelMisfitEnum();
		if(cost_functions[i]==102) data[i]=SurfaceRelVelMisfitEnum();
		if(cost_functions[i]==103) data[i]=SurfaceLogVelMisfitEnum();
		if(cost_functions[i]==104) data[i]=SurfaceLogVxVyMisfitEnum();
		if(cost_functions[i]==105) data[i]=SurfaceAverageVelMisfitEnum();
		if(cost_functions[i]==201) data[i]=ThicknessAbsMisfitEnum();
		if(cost_functions[i]==501) data[i]=DragCoefficientAbsGradientEnum();
		if(cost_functions[i]==502) data[i]=RheologyBbarAbsGradientEnum();
		if(cost_functions[i]==503) data[i]=ThicknessAbsGradientEnum();
		if(cost_functions[i]==504) data[i]=ThicknessAlongGradientEnum();
		if(cost_functions[i]==505) data[i]=ThicknessAcrossGradientEnum();
		if(cost_functions[i]==506) data[i]=BalancethicknessMisfitEnum();
		if(cost_functions[i]==507) data[i]=RheologyBAbsGradientEnum();
		if(cost_functions[i]==601) data[i]=SurfaceAbsMisfitEnum();
	}
	return data;
}
//FILEPTR class definition
////
//// Usage: 
//// var fid = new fileptr(); 
//
//

function fileptr() {
	//properties
	this.increment=NaN;
	this.buffer =NaN;
	this.view =NaN;
	this.ptr =NaN;
	this.buffersize =NaN;
	this.mode ='';
	this.options = new pairoptions(Array.prototype.slice.call(arguments));
	
	//methods
		this.disp = function () { //{{{
			console.log(sprintf("   fileptr:")); 

			console.log(sprintf("       buffer: ArrayBuffer{ byteLength: %i }\n",this.buffer.byteLength));
			console.log(sprintf("       ptr: %i\n",this.ptr));
			console.log(sprintf("       increment: %i\n",this.increment));
			console.log(sprintf("       mode: %s\n",this.mode));

		} //}}}
		this.setdefaultparameters = function (options) { //{{{
	
			this.mode=options.getfieldvalue('mode');
			this.ptr=0;
			this.increment=0;
			this.buffersize=0;
			if (this.mode=='w'){
				this.increment=options.getfieldvalue('increment',800000); //80000 bytes,  10000 doubles.
				this.buffer=new ArrayBuffer(this.increment);
				this.view=new DataView(this.buffer);
			}
			else if(this.mode == 'r'){
				
				/*recover buffer and its size: */
				var bufferin= options.getfieldvalue('buffer');
				this.buffersize= options.getfieldvalue('buffersize');
				
				/*crete a typed array buffer: */
				this.buffer=new ArrayBuffer(this.buffersize);
				this.view=new DataView(this.buffer); 
				for(var i=0;i<this.buffersize;i++) this.view.setUint8(i,bufferin[i]);
			}

		} //}}}
		this.fwrite = function (value,format) { //{{{

			
			if(format == 'int'){
				if(this.ptr+4>=this.buffer.byteLength)this.resize();
				this.view.setUint32(this.ptr,value,true); this.ptr+=4;
			}
			else if(format == 'char'){
				if(this.ptr+value.length>=this.buffer.byteLength)this.resize();
				for(var i=0;i<value.length;i++){
					this.view.setUint8(this.ptr,value.charCodeAt(i),true); 
					this.ptr+=1;
				}
			}
			else if(format == 'double'){
				if(this.ptr+8>=this.buffer.byteLength)this.resize();
				if (!IsArray(value)){
					this.view.setFloat64(this.ptr,value,true);
					this.ptr+=8;
				}
				else{
					if (!IsArray(value[0])){
						if(this.ptr+value.length*8>=this.buffer.byteLength){
							this.resize();
							if(this.ptr+value.length*8>=this.buffer.byteLength)throw Error('fileptr.fwrite error: need to increase increment size!');
						}
						for(var i=0;i<value.length;i++){
							this.view.setFloat64(this.ptr,value[i],true);
							this.ptr+=8;
						}
					}
					else{
						if(this.ptr+value.length*value[0].length*8>=this.buffer.byteLength)this.resize();
						for(var i=0;i<value.length;i++){
							for(var j=0;j<value[0].length;j++){
								this.view.setFloat64(this.ptr,value[i][j],true);
								this.ptr+=8;
							}
						}
					}
				}
			}
			else throw Error('fileptr.fwrite error message: wrong type of format');
		} //}}}
		this.fread = function (size,format) { //{{{
			
			var value;

			if(this.ptr==this.buffersize)return -1;
			if(format == 'int'){
				if(size==1){
					value=this.view.getInt32(this.ptr,true); 
					this.ptr+=4;
				}
				else{
					value = new Int32Array(size);
					for(var i=0;i<size;i++){
						value[i]=this.view.getInt32(this.ptr,true); 
						this.ptr+=4;
					}
				}
			}
			else if(format == 'char'){
				value = ''; 
				for(var i=0;i<(size-1);i++){
					value+= String.fromCharCode(this.view.getUint8(this.ptr,true));
					this.ptr+=1;
				}
				this.ptr+=1; //pass over the '\0';

			}
			else if(format == 'double'){
				if(size==1){
					value=this.view.getFloat64(this.ptr,true);
					this.ptr+=8;
				}
				else{ 
					value = new Float64Array(size);
					for(var i=0;i<size;i++){
						value[i]=this.view.getFloat64(this.ptr,true);
						this.ptr+=8;
					}
				}
			}
			else throw Error('fileptr.fwrite error message: wrong type of format');
			
			return value;
		} //}}}
		this.rawbuffer = function () { //{{{
			return this.buffer.slice(0,this.ptr);
		} //}}}
		this.resize = function () { //{{{
			var  newbuffer = new ArrayBuffer(this.buffer.byteLength+this.increment);
			new Uint8Array(newbuffer).set(new Uint8Array(this.buffer));
			this.buffer=newbuffer;
			this.view=new DataView(this.buffer);
		} //}}}
	//set defaults
	this.setdefaultparameters(this.options);
}
function savemodel(md) {

	var string=encodeURI(JSONfn.stringify(md));

	var url='data:text/json:charset=utf8,' + encodeURIComponent(string);
	window.open(url, '_blank');
	window.focus();
}
function loadmodel(modelstring) {

	var md=JSONfn.parse(decodeURI(modelstring));
	md.fix();
	return md;
}
function saveAsFile(content) {

	var url='data:text/json:charset=utf8,' + encodeURIComponent(content);
	window.open(url, '_blank');
	window.focus();
}
function download() {
	//DOWNLOAD - save model/variable data to file
	//
	//   Usage:
	//      download=download('id','slr-download');
	//      download=download('id','slr-download','data',md.geometry.thickness,'data',md.results.Stressbalance.Vel);

	//Convert arguments to options
	var args = Array.prototype.slice.call(arguments);
	var options = new pairoptions(args.slice());
	
	//Recover option values:
	var id = options.getfieldvalue('id','');
	
	document.getElementById(id).addEventListener('click', function() {
		var data = {'elements':md.mesh.elements,'x':md.mesh.x,'y':md.mesh.y,'z':md.mesh.z};
		for (var i=2; i < args.length; i+=2) {
			try { 
				data[args[i]] = args[i+1];
			}
			catch (e) { 
				console.log(e); 
			}
		}
		string = JSONfn.stringify(data);
		
		var url='data:text/json:charset=utf8,' + encodeURIComponent(string);
		window.open(url, '_blank');
		window.focus();
	});
}
function paterson(temperature){
//PATERSON - figure out the rigidity of ice for a given temperature
//
//   rigidity (in s^(1/3)Pa) is the flow law paramter in the flow law sigma=B*e(1/3) (Paterson, p97). 
//   temperature is in Kelvin degrees
//
//   Usage:
//      var rigidity=paterson(temperature)

	//variables:
	var T=[];

	if (ArrayAnyBelowStrict(temperature,0)){
		throw Error('input temperature should be in Kelvin (positive)');
	}
	
	T=temperature;
	for(var i=0;i<temperature.length;i++)T[i]=temperature[i]-273.15;

	//The routine below is equivalent to:

	// n=3; T=temperature-273;
	// //From paterson,
	// Temp=[0;-2;-5;-10;-15;-20;-25;-30;-35;-40;-45;-50];
	// A=[6.8*10^-15;2.4*10^-15;1.6*10^-15;4.9*10^-16;2.9*10^-16;1.7*10^-16;9.4*
	// 10^-17;5.1*10^-17;2.7*10^-17;1.4*10^-17;7.3*10^-18;3.6*10^-18];;//s-1(kPa-3)
	// //Convert into rigidity B
	// B=A.^(-1/n)*10^3; //s^(1/3)Pa
	// //Now, do a cubic fit between Temp and B: 
	// fittedmodel=fit(Temp,B,'cubicspline');
	// rigidity=fittedmodel(temperature);

	var rigidity=NewArrayFill(T.length,0);
	
	for (var i=0;i<T.length;i++){
		
		if(T[i]<=-45)              rigidity[i]=Math.pow(10,8)*(-0.000292866376675*Math.pow(T[i]+50,3)+ 0.011672640664130*Math.pow(T[i]+50,2)  -0.325004442485481*(T[i]+50)+  6.524779401948101);
		if(-45<=T[i] & T[i]<-40)   rigidity[i]=Math.pow(10,8)*(-0.000292866376675*Math.pow(T[i]+45,3)+ 0.007279645014004*Math.pow(T[i]+45,2)  -0.230243014094813*(T[i]+45)+  5.154964909039554);
		if(-40<=T[i] & T[i]<-35)   rigidity[i]=Math.pow(10,8)*(0.000072737147457*Math.pow(T[i]+40,3)+  0.002886649363879*Math.pow(T[i]+40,2)  -0.179411542205399*(T[i]+40)+  4.149132666831214);
		if(-35<=T[i] & T[i]<-30)   rigidity[i]=Math.pow(10,8)*(-0.000086144770023*Math.pow(T[i]+35,3)+ 0.003977706575736*Math.pow(T[i]+35,2)  -0.145089762507325*(T[i]+35)+  3.333333333333331);
		if(-30<=T[i] & T[i]<-25)   rigidity[i]=Math.pow(10,8)*(-0.000043984685769*Math.pow(T[i]+30,3)+ 0.002685535025386*Math.pow(T[i]+30,2)  -0.111773554501713*(T[i]+30)+  2.696559088937191);
		if(-25<=T[i] & T[i]<-20)   rigidity[i]=Math.pow(10,8)*(-0.000029799523463*Math.pow(T[i]+25,3)+ 0.002025764738854*Math.pow(T[i]+25,2)  -0.088217055680511*(T[i]+25)+  2.199331606342181);
		if(-20<=T[i] & T[i]<-15)   rigidity[i]=Math.pow(10,8)*(0.000136920904777*Math.pow(T[i]+20,3)+  0.001578771886910*Math.pow(T[i]+20,2)  -0.070194372551690*(T[i]+20)+  1.805165505978111);
		if(-15<=T[i] & T[i]<-10)   rigidity[i]=Math.pow(10,8)*(-0.000899763781026*Math.pow(T[i]+15,3)+ 0.003632585458564*Math.pow(T[i]+15,2)  -0.044137585824322*(T[i]+15)+  1.510778053489523);
		if(-10<=T[i] & T[i]<-5)    rigidity[i]=Math.pow(10,8)*(0.001676964325070*Math.pow(T[i]+10,3)-  0.009863871256831*Math.pow(T[i]+10,2)  -0.075294014815659*(T[i]+10)+  1.268434288203714);
		if(-5<=T[i] & T[i]<-2)     rigidity[i]=Math.pow(10,8)*(-0.003748937622487*Math.pow(T[i]+5,3)+0.015290593619213*Math.pow(T[i]+5,2)  -0.048160403003748*(T[i]+5)+  0.854987973338348);
		if(-2<=T[i])              rigidity[i]=Math.pow(10,8)*(-0.003748937622488*Math.pow(T[i]+2,3)-0.018449844983174*Math.pow(T[i]+2,2)  -0.057638157095631*(T[i]+2)+  0.746900791092860);

		//Now make sure that rigidity is positive
		if(rigidity[i]<0)          rigidity[i]=Math.pow(10,6);
	}
	return rigidity;
}
function triangle(md){
//TRIANGLE - create model mesh using the triangle package
//
//   This routine creates a model mesh using TriMesh and a domain outline, to within a certain resolution
//   where md is a @model object, domainname is the name of an Argus domain outline file, 
//   and resolution is a characteristic length for the mesh (same unit as the domain outline
//   unit). Riftname is an optional argument (Argus domain outline) describing rifts.
//
//   Usage:
//      triangle(md,domain,resolution)
//   or triangle(md,domain,riftname, resolution)
//
//   Examples:
//      triangle(md,domain,1000);
//      triangle(md,domain, rifts, 1500);

	if (!(arguments.length==3 | arguments.length==4)){
		console.log('triangle usage error.');
	}
	
	var md=arguments[0];
	var domain=arguments[1];

	if (arguments.length==3){
		var resolution=arguments[2];
		var rifts=[];
	}
	if (arguments.length==4){
		var rifts=arguments[2];
		var resolution=arguments[3];
	}

	//Figure out a characteristic area. Resolution is a node oriented concept (ex a 1000m  resolution node would 
	//be made of 1000*1000 area squares). 
	var area=Math.pow(resolution,2);

	//Call mesher: 
	var return_array=TriMesh(md, domain, rifts, area); 

	//Plug into md:
	md.mesh.elements=return_array[0];
	md.mesh.x=return_array[1];
	md.mesh.y=return_array[2];
	md.mesh.segments=return_array[3];
	md.mesh.segmentmarkers=return_array[4];
	
	//Fill in rest of fields:
	md.mesh.numberofelements=md.mesh.elements.length;
	md.mesh.numberofvertices=md.mesh.x.length;
	md.mesh.vertexonboundary=new Float64Array(md.mesh.numberofvertices); 

	for (i=0;i<md.mesh.segments.length;i++) for(var j=0;j<2;j++) md.mesh.vertexonboundary[md.mesh.segments[i][j]-1]=1;

	//Now, build the connectivity tables for this mesh.
	md.mesh.vertexconnectivity=NodeConnectivity(md.mesh.elements,md.mesh.numberofvertices);
	md.mesh.elementconnectivity=ElementConnectivity(md.mesh.elements,md.mesh.vertexconnectivity);	

}
var colorbars={};
colorbars["jet"]=[[0.000000,0.000000,0.750000],
[0.000000,0.000000,1.000000],
[0.000000,0.250000,1.000000],
[0.000000,0.500000,1.000000],
[0.000000,0.750000,1.000000],
[0.000000,1.000000,1.000000],
[0.250000,1.000000,0.750000],
[0.500000,1.000000,0.500000],
[0.750000,1.000000,0.250000],
[1.000000,1.000000,0.000000],
[1.000000,0.750000,0.000000],
[1.000000,0.500000,0.000000],
[1.000000,0.250000,0.000000],
[1.000000,0.000000,0.000000],
[0.750000,0.000000,0.000000],
[0.500000,0.000000,0.000000]];
colorbars["hsv"]=[[1.000000,0.000000,0.000000],
[1.000000,0.375000,0.000000],
[1.000000,0.750000,0.000000],
[0.875000,1.000000,0.000000],
[0.500000,1.000000,0.000000],
[0.125000,1.000000,0.000000],
[0.000000,1.000000,0.250000],
[0.000000,1.000000,0.625000],
[0.000000,1.000000,1.000000],
[0.000000,0.625000,1.000000],
[0.000000,0.250000,1.000000],
[0.125000,0.000000,1.000000],
[0.500000,0.000000,1.000000],
[0.875000,0.000000,1.000000],
[1.000000,0.000000,0.750000],
[1.000000,0.000000,0.375000]];
colorbars["hot"]=[[0.166667,0.000000,0.000000],
[0.333333,0.000000,0.000000],
[0.500000,0.000000,0.000000],
[0.666667,0.000000,0.000000],
[0.833333,0.000000,0.000000],
[1.000000,0.000000,0.000000],
[1.000000,0.166667,0.000000],
[1.000000,0.333333,0.000000],
[1.000000,0.500000,0.000000],
[1.000000,0.666667,0.000000],
[1.000000,0.833333,0.000000],
[1.000000,1.000000,0.000000],
[1.000000,1.000000,0.250000],
[1.000000,1.000000,0.500000],
[1.000000,1.000000,0.750000],
[1.000000,1.000000,1.000000]];
colorbars["gray"]=[[0.000000,0.000000,0.000000],
[0.066667,0.066667,0.066667],
[0.133333,0.133333,0.133333],
[0.200000,0.200000,0.200000],
[0.266667,0.266667,0.266667],
[0.333333,0.333333,0.333333],
[0.400000,0.400000,0.400000],
[0.466667,0.466667,0.466667],
[0.533333,0.533333,0.533333],
[0.600000,0.600000,0.600000],
[0.666667,0.666667,0.666667],
[0.733333,0.733333,0.733333],
[0.800000,0.800000,0.800000],
[0.866667,0.866667,0.866667],
[0.933333,0.933333,0.933333],
[1.000000,1.000000,1.000000]];
colorbars["bone"]=[[0.000000,0.000000,0.020833],
[0.058333,0.058333,0.100000],
[0.116667,0.116667,0.179167],
[0.175000,0.175000,0.258333],
[0.233333,0.233333,0.337500],
[0.291667,0.291667,0.416667],
[0.350000,0.370833,0.475000],
[0.408333,0.450000,0.533333],
[0.466667,0.529167,0.591667],
[0.525000,0.608333,0.650000],
[0.583333,0.687500,0.708333],
[0.641667,0.766667,0.766667],
[0.731250,0.825000,0.825000],
[0.820833,0.883333,0.883333],
[0.910417,0.941667,0.941667],
[1.000000,1.000000,1.000000]];
colorbars["copper"]=[[0.000000,0.000000,0.000000],
[0.083333,0.052080,0.033167],
[0.166667,0.104160,0.066333],
[0.250000,0.156240,0.099500],
[0.333333,0.208320,0.132667],
[0.416667,0.260400,0.165833],
[0.500000,0.312480,0.199000],
[0.583333,0.364560,0.232167],
[0.666667,0.416640,0.265333],
[0.750000,0.468720,0.298500],
[0.833333,0.520800,0.331667],
[0.916667,0.572880,0.364833],
[1.000000,0.624960,0.398000],
[1.000000,0.677040,0.431167],
[1.000000,0.729120,0.464333],
[1.000000,0.781200,0.497500]];
colorbars["pink"]=[[0.235702,0.000000,0.000000],
[0.394405,0.210819,0.210819],
[0.505525,0.298142,0.298142],
[0.596285,0.365148,0.365148],
[0.674949,0.421637,0.421637],
[0.745356,0.471405,0.471405],
[0.774597,0.567646,0.516398],
[0.802773,0.649786,0.557773],
[0.829993,0.722649,0.596285],
[0.856349,0.788811,0.632456],
[0.881917,0.849837,0.666667],
[0.906765,0.906765,0.699206],
[0.930949,0.930949,0.785281],
[0.954521,0.954521,0.862812],
[0.977525,0.977525,0.933928],
[1.000000,1.000000,1.000000]];
colorbars["white"]=[[1.000000,1.000000,1.000000],
[1.000000,1.000000,1.000000],
[1.000000,1.000000,1.000000],
[1.000000,1.000000,1.000000],
[1.000000,1.000000,1.000000],
[1.000000,1.000000,1.000000],
[1.000000,1.000000,1.000000],
[1.000000,1.000000,1.000000],
[1.000000,1.000000,1.000000],
[1.000000,1.000000,1.000000],
[1.000000,1.000000,1.000000],
[1.000000,1.000000,1.000000],
[1.000000,1.000000,1.000000],
[1.000000,1.000000,1.000000],
[1.000000,1.000000,1.000000],
[1.000000,1.000000,1.000000]];
colorbars["flag"]=[[1.000000,0.000000,0.000000],
[1.000000,1.000000,1.000000],
[0.000000,0.000000,1.000000],
[0.000000,0.000000,0.000000],
[1.000000,0.000000,0.000000],
[1.000000,1.000000,1.000000],
[0.000000,0.000000,1.000000],
[0.000000,0.000000,0.000000],
[1.000000,0.000000,0.000000],
[1.000000,1.000000,1.000000],
[0.000000,0.000000,1.000000],
[0.000000,0.000000,0.000000],
[1.000000,0.000000,0.000000],
[1.000000,1.000000,1.000000],
[0.000000,0.000000,1.000000],
[0.000000,0.000000,0.000000]];
colorbars["lines"]=[[0.000000,0.000000,1.000000],
[0.000000,0.500000,0.000000],
[1.000000,0.000000,0.000000],
[0.000000,0.750000,0.750000],
[0.750000,0.000000,0.750000],
[0.750000,0.750000,0.000000],
[0.250000,0.250000,0.250000],
[0.000000,0.000000,1.000000],
[0.000000,0.500000,0.000000],
[1.000000,0.000000,0.000000],
[0.000000,0.750000,0.750000],
[0.750000,0.000000,0.750000],
[0.750000,0.750000,0.000000],
[0.250000,0.250000,0.250000],
[0.000000,0.000000,1.000000],
[0.000000,0.500000,0.000000]];
colorbars["colorcube"]=[[1.000000,1.000000,0.000000],
[0.000000,1.000000,1.000000],
[1.000000,0.000000,1.000000],
[0.333333,0.000000,0.000000],
[0.666667,0.000000,0.000000],
[1.000000,0.000000,0.000000],
[0.000000,0.333333,0.000000],
[0.000000,0.666667,0.000000],
[0.000000,1.000000,0.000000],
[0.000000,0.000000,0.333333],
[0.000000,0.000000,0.666667],
[0.000000,0.000000,1.000000],
[0.000000,0.000000,0.000000],
[0.333333,0.333333,0.333333],
[0.666667,0.666667,0.666667],
[1.000000,1.000000,1.000000]];
colorbars["vga"]=[[1.000000,1.000000,1.000000],
[0.750000,0.750000,0.750000],
[1.000000,0.000000,0.000000],
[1.000000,1.000000,0.000000],
[0.000000,1.000000,0.000000],
[0.000000,1.000000,1.000000],
[0.000000,0.000000,1.000000],
[1.000000,0.000000,1.000000],
[0.000000,0.000000,0.000000],
[0.500000,0.500000,0.500000],
[0.500000,0.000000,0.000000],
[0.500000,0.500000,0.000000],
[0.000000,0.500000,0.000000],
[0.000000,0.500000,0.500000],
[0.000000,0.000000,0.500000],
[0.500000,0.000000,0.500000]];
colorbars["prism"]=[[1.000000,0.000000,0.000000],
[1.000000,0.500000,0.000000],
[1.000000,1.000000,0.000000],
[0.000000,1.000000,0.000000],
[0.000000,0.000000,1.000000],
[0.666667,0.000000,1.000000],
[1.000000,0.000000,0.000000],
[1.000000,0.500000,0.000000],
[1.000000,1.000000,0.000000],
[0.000000,1.000000,0.000000],
[0.000000,0.000000,1.000000],
[0.666667,0.000000,1.000000],
[1.000000,0.000000,0.000000],
[1.000000,0.500000,0.000000],
[1.000000,1.000000,0.000000],
[0.000000,1.000000,0.000000]];
colorbars["cool"]=[[0.000000,1.000000,1.000000],
[0.066667,0.933333,1.000000],
[0.133333,0.866667,1.000000],
[0.200000,0.800000,1.000000],
[0.266667,0.733333,1.000000],
[0.333333,0.666667,1.000000],
[0.400000,0.600000,1.000000],
[0.466667,0.533333,1.000000],
[0.533333,0.466667,1.000000],
[0.600000,0.400000,1.000000],
[0.666667,0.333333,1.000000],
[0.733333,0.266667,1.000000],
[0.800000,0.200000,1.000000],
[0.866667,0.133333,1.000000],
[0.933333,0.066667,1.000000],
[1.000000,0.000000,1.000000]];
colorbars["autumn"]=[[1.000000,0.000000,0.000000],
[1.000000,0.066667,0.000000],
[1.000000,0.133333,0.000000],
[1.000000,0.200000,0.000000],
[1.000000,0.266667,0.000000],
[1.000000,0.333333,0.000000],
[1.000000,0.400000,0.000000],
[1.000000,0.466667,0.000000],
[1.000000,0.533333,0.000000],
[1.000000,0.600000,0.000000],
[1.000000,0.666667,0.000000],
[1.000000,0.733333,0.000000],
[1.000000,0.800000,0.000000],
[1.000000,0.866667,0.000000],
[1.000000,0.933333,0.000000],
[1.000000,1.000000,0.000000]];
colorbars["spring"]=[[1.000000,0.000000,1.000000],
[1.000000,0.066667,0.933333],
[1.000000,0.133333,0.866667],
[1.000000,0.200000,0.800000],
[1.000000,0.266667,0.733333],
[1.000000,0.333333,0.666667],
[1.000000,0.400000,0.600000],
[1.000000,0.466667,0.533333],
[1.000000,0.533333,0.466667],
[1.000000,0.600000,0.400000],
[1.000000,0.666667,0.333333],
[1.000000,0.733333,0.266667],
[1.000000,0.800000,0.200000],
[1.000000,0.866667,0.133333],
[1.000000,0.933333,0.066667],
[1.000000,1.000000,0.000000]];
colorbars["winter"]=[[0.000000,0.000000,1.000000],
[0.000000,0.066667,0.966667],
[0.000000,0.133333,0.933333],
[0.000000,0.200000,0.900000],
[0.000000,0.266667,0.866667],
[0.000000,0.333333,0.833333],
[0.000000,0.400000,0.800000],
[0.000000,0.466667,0.766667],
[0.000000,0.533333,0.733333],
[0.000000,0.600000,0.700000],
[0.000000,0.666667,0.666667],
[0.000000,0.733333,0.633333],
[0.000000,0.800000,0.600000],
[0.000000,0.866667,0.566667],
[0.000000,0.933333,0.533333],
[0.000000,1.000000,0.500000]];
colorbars["summer"]=[[0.000000,0.500000,0.400000],
[0.066667,0.533333,0.400000],
[0.133333,0.566667,0.400000],
[0.200000,0.600000,0.400000],
[0.266667,0.633333,0.400000],
[0.333333,0.666667,0.400000],
[0.400000,0.700000,0.400000],
[0.466667,0.733333,0.400000],
[0.533333,0.766667,0.400000],
[0.600000,0.800000,0.400000],
[0.666667,0.833333,0.400000],
[0.733333,0.866667,0.400000],
[0.800000,0.900000,0.400000],
[0.866667,0.933333,0.400000],
[0.933333,0.966667,0.400000],
[1.000000,1.000000,0.400000]];
function fielddisplay(md,name,comment){
//FIELDDISPLAY - display model field
//
//   Usage:
//      fielddisplay(md,name,comment)

	//get field
	field=md[name];

	//disp corresponding line as a function of field type (offset set as 9 spaces)
	parsedisplay('         ',name,field,comment);
}

function parsedisplay(offset,name,field,comment) { //{{{

	//string
	if (typeof(field) == "string"){

		if (field.length > 30){
			displayunit(offset,name,"not displayed",comment);
		}
		else{
			displayunit(offset,name,"'"+field+"'",comment);
		}
	}
	//numeric
	else if (typeof(field) == "number"){
		
		displayunit(offset,name,sprintf("%g",field),comment);

	}
	//logical
	else if (typeof(field) == "boolean") {

		if (field){
			displayunit(offset,name,"true",comment);
		}
		else{
			displayunit(offset,name,"false",comment);
		}

	}
	//object
	else if (typeof(field) == "object"){

		if(field.length == 0) displayunit(offset,name,sprintf("(%i)",field.length),comment);
		else if ((field[0].length==0) | (typeof field[0].length =='undefined')){
			displayunit(offset,name,sprintf("(%i)",field.length),comment);
		}
		else{
			displayunit(offset,name,sprintf("(%i,%i)",field.length,field[0].length),comment);
		}

	}
	else{
		displayunit(offset,name,"not displayed",comment);
	}
} //}}}

function displayunit(offset,name,characterization,comment){ // {{{

	//take care of name
	if (name.length>23){
		name=name.slice(0,21) + "...";
	}

	//take care of characterization
	if ( characterization == "\" \"" || characterization == "NaN" ){
	
		characterization="N/A";
	}
	if (characterization.length>15){
		characterization=characterization.slice(0,13) + "...";
	}

	//print
	if (comment.length==0){
		console.log(sprintf("%s%-23s: %-15s",offset,name,characterization));
	}
	else{
		if (typeof(comment) == "string"){
			//console.log(sprintf("%s%-23s: %-15s -- %s",offset,name,characterization,comment));
			console.log(sprintf("%s%s: %-15s -- %s",offset,name,characterization,comment));
		}
		else{
			throw Error("fielddisplay error message: format for comment not supported yet");
		}
	}
} //}}}
/**
 * A class to parse color values
 * @author Stoyan Stefanov <sstoo@gmail.com>
 * @link   http://www.phpied.com/rgb-color-parser-in-javascript/
 * @license Use it if you like it
 */
function RGBColor(color_string)
{
    this.ok = false;

    // strip any leading #
    if (color_string.charAt(0) == '#') { // remove # if any
        color_string = color_string.substr(1,6);
    }

    color_string = color_string.replace(/ /g,'');
    color_string = color_string.toLowerCase();

    // before getting into regexps, try simple matches
    // and overwrite the input
    var simple_colors = {
        aliceblue: 'f0f8ff',
        antiquewhite: 'faebd7',
        aqua: '00ffff',
        aquamarine: '7fffd4',
        azure: 'f0ffff',
        beige: 'f5f5dc',
        bisque: 'ffe4c4',
        black: '000000',
        blanchedalmond: 'ffebcd',
        blue: '0000ff',
        blueviolet: '8a2be2',
        brown: 'a52a2a',
        burlywood: 'deb887',
        cadetblue: '5f9ea0',
        chartreuse: '7fff00',
        chocolate: 'd2691e',
        coral: 'ff7f50',
        cornflowerblue: '6495ed',
        cornsilk: 'fff8dc',
        crimson: 'dc143c',
        cyan: '00ffff',
        darkblue: '00008b',
        darkcyan: '008b8b',
        darkgoldenrod: 'b8860b',
        darkgray: 'a9a9a9',
        darkgreen: '006400',
        darkkhaki: 'bdb76b',
        darkmagenta: '8b008b',
        darkolivegreen: '556b2f',
        darkorange: 'ff8c00',
        darkorchid: '9932cc',
        darkred: '8b0000',
        darksalmon: 'e9967a',
        darkseagreen: '8fbc8f',
        darkslateblue: '483d8b',
        darkslategray: '2f4f4f',
        darkturquoise: '00ced1',
        darkviolet: '9400d3',
        deeppink: 'ff1493',
        deepskyblue: '00bfff',
        dimgray: '696969',
        dodgerblue: '1e90ff',
        feldspar: 'd19275',
        firebrick: 'b22222',
        floralwhite: 'fffaf0',
        forestgreen: '228b22',
        fuchsia: 'ff00ff',
        gainsboro: 'dcdcdc',
        ghostwhite: 'f8f8ff',
        gold: 'ffd700',
        goldenrod: 'daa520',
        gray: '808080',
        green: '008000',
        greenyellow: 'adff2f',
        honeydew: 'f0fff0',
        hotpink: 'ff69b4',
        indianred : 'cd5c5c',
        indigo : '4b0082',
        ivory: 'fffff0',
        khaki: 'f0e68c',
        lavender: 'e6e6fa',
        lavenderblush: 'fff0f5',
        lawngreen: '7cfc00',
        lemonchiffon: 'fffacd',
        lightblue: 'add8e6',
        lightcoral: 'f08080',
        lightcyan: 'e0ffff',
        lightgoldenrodyellow: 'fafad2',
        lightgrey: 'd3d3d3',
        lightgreen: '90ee90',
        lightpink: 'ffb6c1',
        lightsalmon: 'ffa07a',
        lightseagreen: '20b2aa',
        lightskyblue: '87cefa',
        lightslateblue: '8470ff',
        lightslategray: '778899',
        lightsteelblue: 'b0c4de',
        lightyellow: 'ffffe0',
        lime: '00ff00',
        limegreen: '32cd32',
        linen: 'faf0e6',
        magenta: 'ff00ff',
        maroon: '800000',
        mediumaquamarine: '66cdaa',
        mediumblue: '0000cd',
        mediumorchid: 'ba55d3',
        mediumpurple: '9370d8',
        mediumseagreen: '3cb371',
        mediumslateblue: '7b68ee',
        mediumspringgreen: '00fa9a',
        mediumturquoise: '48d1cc',
        mediumvioletred: 'c71585',
        midnightblue: '191970',
        mintcream: 'f5fffa',
        mistyrose: 'ffe4e1',
        moccasin: 'ffe4b5',
        navajowhite: 'ffdead',
        navy: '000080',
        oldlace: 'fdf5e6',
        olive: '808000',
        olivedrab: '6b8e23',
        orange: 'ffa500',
        orangered: 'ff4500',
        orchid: 'da70d6',
        palegoldenrod: 'eee8aa',
        palegreen: '98fb98',
        paleturquoise: 'afeeee',
        palevioletred: 'd87093',
        papayawhip: 'ffefd5',
        peachpuff: 'ffdab9',
        peru: 'cd853f',
        pink: 'ffc0cb',
        plum: 'dda0dd',
        powderblue: 'b0e0e6',
        purple: '800080',
        red: 'ff0000',
        rosybrown: 'bc8f8f',
        royalblue: '4169e1',
        saddlebrown: '8b4513',
        salmon: 'fa8072',
        sandybrown: 'f4a460',
        seagreen: '2e8b57',
        seashell: 'fff5ee',
        sienna: 'a0522d',
        silver: 'c0c0c0',
        skyblue: '87ceeb',
        slateblue: '6a5acd',
        slategray: '708090',
        snow: 'fffafa',
        springgreen: '00ff7f',
        steelblue: '4682b4',
        tan: 'd2b48c',
        teal: '008080',
        thistle: 'd8bfd8',
        tomato: 'ff6347',
        turquoise: '40e0d0',
        violet: 'ee82ee',
        violetred: 'd02090',
        wheat: 'f5deb3',
        white: 'ffffff',
        whitesmoke: 'f5f5f5',
        yellow: 'ffff00',
        yellowgreen: '9acd32'
    };
    for (var key in simple_colors) {
        if (color_string == key) {
            color_string = simple_colors[key];
        }
    }
    // emd of simple type-in colors

    // array of color definition objects
    var color_defs = [
        {
            re: /^rgb\((\d{1,3}),\s*(\d{1,3}),\s*(\d{1,3})\)$/,
            example: ['rgb(123, 234, 45)', 'rgb(255,234,245)'],
            process: function (bits){
                return [
                    parseInt(bits[1]),
                    parseInt(bits[2]),
                    parseInt(bits[3])
                ];
            }
        },
        {
            re: /^(\w{2})(\w{2})(\w{2})$/,
            example: ['#00ff00', '336699'],
            process: function (bits){
                return [
                    parseInt(bits[1], 16),
                    parseInt(bits[2], 16),
                    parseInt(bits[3], 16)
                ];
            }
        },
        {
            re: /^(\w{1})(\w{1})(\w{1})$/,
            example: ['#fb0', 'f0f'],
            process: function (bits){
                return [
                    parseInt(bits[1] + bits[1], 16),
                    parseInt(bits[2] + bits[2], 16),
                    parseInt(bits[3] + bits[3], 16)
                ];
            }
        }
    ];

    // search through the definitions to find a match
    for (var i = 0; i < color_defs.length; i++) {
        var re = color_defs[i].re;
        var processor = color_defs[i].process;
        var bits = re.exec(color_string);
        if (bits) {
            channels = processor(bits);
            this.r = channels[0];
            this.g = channels[1];
            this.b = channels[2];
            this.ok = true;
        }

    }

    // validate/cleanup values
    this.r = (this.r < 0 || isNaN(this.r)) ? 0 : ((this.r > 255) ? 255 : this.r);
    this.g = (this.g < 0 || isNaN(this.g)) ? 0 : ((this.g > 255) ? 255 : this.g);
    this.b = (this.b < 0 || isNaN(this.b)) ? 0 : ((this.b > 255) ? 255 : this.b);

    // some getters
    this.toRGB = function () {
        return 'rgb(' + this.r + ', ' + this.g + ', ' + this.b + ')';
    }
    this.toHex = function () {
        var r = this.r.toString(16);
        var g = this.g.toString(16);
        var b = this.b.toString(16);
        if (r.length == 1) r = '0' + r;
        if (g.length == 1) g = '0' + g;
        if (b.length == 1) b = '0' + b;
        return '#' + r + g + b;
    }

    // help
    this.getHelpXML = function () {

        var examples = new Array();
        // add regexps
        for (var i = 0; i < color_defs.length; i++) {
            var example = color_defs[i].example;
            for (var j = 0; j < example.length; j++) {
                examples[examples.length] = example[j];
            }
        }
        // add type-in colors
        for (var sc in simple_colors) {
            examples[examples.length] = sc;
        }

        var xml = document.createElement('ul');
        xml.setAttribute('id', 'rgbcolor-examples');
        for (var i = 0; i < examples.length; i++) {
            try {
                var list_item = document.createElement('li');
                var list_color = new RGBColor(examples[i]);
                var example_div = document.createElement('div');
                example_div.style.cssText =
                        'margin: 3px; '
                        + 'border: 1px solid black; '
                        + 'background:' + list_color.toHex() + '; '
                        + 'color:' + list_color.toHex()
                ;
                example_div.appendChild(document.createTextNode('test'));
                var list_item_value = document.createTextNode(
                    ' ' + examples[i] + ' -> ' + list_color.toRGB() + ' -> ' + list_color.toHex()
                );
                list_item.appendChild(example_div);
                list_item.appendChild(list_item_value);
                xml.appendChild(list_item);

            } catch(e){}
        }
        return xml;

    }

}

function setflowequation(md){
//SETFLOWEQUATION - associate a solution type to each element
//
//   This routine works like plotmodel: it works with an even number of inputs
//   'SIA','SSA','L1L2','HO','FS' and 'fill' are the possible options
//   that must be followed by the corresponding exp file or flags list
//   It can either be a domain file (argus type, .exp extension), or an array of element flags. 
//   If user wants every element outside the domain to be 
//   setflowequationd, add '~' to the name of the domain file (ex: '~HO.exp');
//   an empty string '' will be considered as an empty domain
//   a string 'all' will be considered as the entire domain
//   You can specify the type of coupling, 'penalties' or 'tiling', to use with the input 'coupling'
//   NB: L1L2 cannot currently be coupled to any other ice flow model
//
//   Usage:
//      setflowequation(md,varargin)
//
//   Example:
//      setflowequation(md,'HO',HO,'fill','SIA','coupling','tiling');

	//some checks on list of arguments
	if(arguments.length<3) throw Error('setflowequation error message');

	//Process options
	var args = Array.prototype.slice.call(arguments);
	var options = new pairoptions(args.slice(1,args.length));
	options.deleteduplicates(1);

	//Find_out what kind of coupling to use
	coupling_method=options.getfieldvalue('coupling','tiling');
	if ((coupling_method != 'tiling') & !(coupling_method != 'penalties')){
		throw error('coupling type can only be: tiling or penalties');
	}

	//recover elements distribution
	SIAflag  = FlagElements(md,options.getfieldvalue('SIA',''));
	SSAflag  = FlagElements(md,options.getfieldvalue('SSA',''));
	HOflag   = FlagElements(md,options.getfieldvalue('HO',''));
	L1L2flag = FlagElements(md,options.getfieldvalue('L1L2',''));
	FSflag   = FlagElements(md,options.getfieldvalue('FS',''));
	filltype = options.getfieldvalue('fill','none');
	options.displayunused();

	//Flag the elements that have not been flagged as filltype
	if (filltype === 'SIA'){
		for(var i=0;i<md.mesh.numberofelements;i++)if(!(SSAflag[i] | HOflag[i]))SIAflag[i]=1;
	}
	else if (filltype === 'SSA'){
		for(var i=0;i<md.mesh.numberofelements;i++)if(!(SIAflag[i] | HOflag[i] | FSflag[i]))SSAflag[i]=1;
	}
	else if (filltype === 'HO'){
		for(var i=0;i<md.mesh.numberofelements;i++)if(!(SIAflag[i] | SSAflag[i] | FSflag[i]))HOflag[i]=1;
	}

	//check that each element has at least one flag
	for(var i=0;i<md.mesh.numberofelements;i++)if((SIAflag[i] + SSAflag[i] + HOflag[i] + L1L2flag[i] + FSflag[i])==0)
	throw Error("elements type not assigned, supported models are 'SIA','SSA','HO' and 'FS'");

	//check that each element has only one flag
	if (ArrayAnyAboveStrict(ArrayXPY(SIAflag,SSAflag,HOflag,L1L2flag),1)){
		console.log('setflowequation warning message: some elements have several types, higher order type is used for them')

		for(var i=0;i<md.mesh.numberofelements;i++){
			if(SIAflag[i] & SSAflag[i])SIAflag[i]=0;
			if(SIAflag[i] & HOflag[i])SIAflag[i]=0;
			if(SSAflag[i] & HOflag[i])SSAflag[i]=0;
		}
	}

	//check that L1L2 is not coupled to any other model for now
	if (ArrayAnyEqual(L1L2flag,1) & ArrayAnyEqual(ArrayOr(SIAflag,SSAflag,HOflag,FSflag),1)) throw Error('L1L2 cannot be coupled to any other model');

	//Check that no HO or FS for 2d mesh
	if (md.mesh.domaintype() == '2Dhorizontal'){
		for(var i=0;i<FSflag.length;i++){
			if(FSflag[i] | HOflag[i]) throw Error('FS and HO elements not allowed in 2d mesh, extrude it first')
		}
	}

	//FS can only be used alone for now:
	if (ArrayAnyEqual(FSflag,1) & ArrayAnyEqual(SIAflag,1)) throw Error('FS cannot be used with any other model for now, put FS everywhere')

	//Initialize node fields
	nodeonSIA=NewArrayFill(md.mesh.numberofvertices,0);
	pos=ArrayFind(SIAflag,1);
	for(var i=0;i<pos.length;i++) for(var j=0;j<md.mesh.elements[0].length;j++) nodeonSIA[md.mesh.elements[pos[i]][j]-1]=1;
	
	nodeonSSA=NewArrayFill(md.mesh.numberofvertices,0);
	pos=ArrayFind(SSAflag,1);
	for(var i=0;i<pos.length;i++) for(var j=0;j<md.mesh.elements[0].length;j++) nodeonSSA[md.mesh.elements[pos[i]][j]-1]=1;
	
	nodeonHO=NewArrayFill(md.mesh.numberofvertices,0);
	pos=ArrayFind(HOflag,1);
	for(var i=0;i<pos.length;i++) for(var j=0;j<md.mesh.elements[0].length;j++) nodeonHO[md.mesh.elements[pos[i]][j]-1]=1;
	
	nodeonL1L2=NewArrayFill(md.mesh.numberofvertices,0);
	pos=ArrayFind(L1L2flag,1);
	for(var i=0;i<pos.length;i++) for(var j=0;j<md.mesh.elements[0].length;j++) nodeonL1L2[md.mesh.elements[pos[i]][j]-1]=1;

	nodeonFS=NewArrayFill(md.mesh.numberofvertices,0);
	noneflag=NewArrayFill(md.mesh.numberofvertices,0);
	
	
	//First modify FSflag to get rid of elements contrained everywhere (spc + border with HO or SSA)
	if (ArrayAnyEqual(FSflag,1)){
		throw Error("FS elements not supported yet!");
		/*fullspcnodes=double((~isnan(md.stressbalance.spcvx)+~isnan(md.stressbalance.spcvy)+~isnan(md.stressbalance.spcvz))==3 | (nodeonHO & nodeonFS));         //find all the nodes on the boundary of the domain without icefront
		fullspcelems=double(sum(fullspcnodes(md.mesh.elements),2)==6);         //find all the nodes on the boundary of the domain without icefront
		FSflag(find(fullspcelems))=0;
		nodeonFS(md.mesh.elements(find(FSflag),:))=1;*/
	}

	//Then complete with NoneApproximation or the other model used if there is no FS
	if (ArrayAnyEqual(FSflag,1)){
		throw Error("FS elements not supported yet!");
		/*if any(HOflag), //fill with HO
			HOflag(~FSflag)=1;
			nodeonHO(md.mesh.elements(find(HOflag),:))=1;
		elseif any(SSAflag), //fill with SSA
			SSAflag(~FSflag)=1;
			nodeonSSA(md.mesh.elements(find(SSAflag),:))=1;
		else //fill with none 
			noneflag(find(~FSflag))=1;
		end*/
	}

	//Now take care of the coupling between SSA and HO
	md.stressbalance.vertex_pairing=[];
	nodeonSSAHO=NewArrayFill(md.mesh.numberofvertices,0);
	nodeonHOFS=NewArrayFill(md.mesh.numberofvertices,0);
	nodeonSSAFS=NewArrayFill(md.mesh.numberofvertices,0);
	SSAHOflag=NewArrayFill(md.mesh.numberofelements,0);
	SSAFSflag=NewArrayFill(md.mesh.numberofelements,0);
	HOFSflag=NewArrayFill(md.mesh.numberofelements,0);

	/*if strcmpi(coupling_method,'penalties'),
		//Create the border nodes between HO and SSA and extrude them
		numnodes2d=md.mesh.numberofvertices2d;
		numlayers=md.mesh.numberoflayers;
		bordernodes2d=find(nodeonHO(1:numnodes2d) & nodeonSSA(1:numnodes2d)); //Nodes connected to two different types of elements

		//initialize and fill in penalties structure
		if ~isnan(bordernodes2d),
			penalties=[];
			for	i=1:numlayers-1,
				penalties=[penalties; [bordernodes2d bordernodes2d+md.mesh.numberofvertices2d*(i)]];
			end
			md.stressbalance.vertex_pairing=penalties;
		end
	elseif strcmpi(coupling_method,'tiling'),
		if any(SSAflag) & any(HOflag), //coupling SSA HO
			//Find node at the border
			nodeonSSAHO(find(nodeonSSA & nodeonHO))=1;
			//SSA elements in contact with this layer become SSAHO elements
			matrixelements=ismember(md.mesh.elements,find(nodeonSSAHO));
			commonelements=sum(matrixelements,2)~=0;
			commonelements(find(HOflag))=0; //only one layer: the elements previously in SSA
			SSAflag(find(commonelements))=0; //these elements are now SSAHOelements
			SSAHOflag(find(commonelements))=1;
			nodeonSSA(:)=0;
			nodeonSSA(md.mesh.elements(find(SSAflag),:))=1;

			//rule out elements that don't touch the 2 boundaries
			pos=find(SSAHOflag);
			elist=zeros(length(pos),1);
			elist = elist + any(sum(nodeonSSA(md.mesh.elements(pos,:)),2),2);
			elist = elist - any(sum(nodeonHO(md.mesh.elements(pos,:))  ,2),2);
			pos1=find(elist==1);
			SSAflag(pos(pos1))=1;
			SSAHOflag(pos(pos1))=0;
			pos2=find(elist==-1);
			HOflag(pos(pos2))=1;
			SSAHOflag(pos(pos2))=0;

			//Recompute nodes associated to these elements
			nodeonSSA(:)=0;
			nodeonSSA(md.mesh.elements(find(SSAflag),:))=1;
			nodeonHO(:)=0;
			nodeonHO(md.mesh.elements(find(HOflag),:))=1;
			nodeonSSAHO(:)=0;
			nodeonSSAHO(md.mesh.elements(find(SSAHOflag),:))=1;

		elseif any(HOflag) & any(FSflag), //coupling HO FS
			//Find node at the border
			nodeonHOFS(find(nodeonHO & nodeonFS))=1;
			//FS elements in contact with this layer become HOFS elements
			matrixelements=ismember(md.mesh.elements,find(nodeonHOFS));
			commonelements=sum(matrixelements,2)~=0;
			commonelements(find(HOflag))=0; //only one layer: the elements previously in SSA
			FSflag(find(commonelements))=0; //these elements are now SSAHOelements
			HOFSflag(find(commonelements))=1;
			nodeonFS=zeros(md.mesh.numberofvertices,1);
			nodeonFS(md.mesh.elements(find(FSflag),:))=1;

			//rule out elements that don't touch the 2 boundaries
			pos=find(HOFSflag);
			elist=zeros(length(pos),1);
			elist = elist + any(sum(nodeonFS(md.mesh.elements(pos,:)),2),2);
			elist = elist - any(sum(nodeonHO(md.mesh.elements(pos,:)),2),2);
			pos1=find(elist==1);
			FSflag(pos(pos1))=1;
			HOFSflag(pos(pos1))=0;
			pos2=find(elist==-1);
			HOflag(pos(pos2))=1;
			HOFSflag(pos(pos2))=0;

			//Recompute nodes associated to these elements
			nodeonFS(:)=0;
			nodeonFS(md.mesh.elements(find(FSflag),:))=1;
			nodeonHO(:)=0;
			nodeonHO(md.mesh.elements(find(HOflag),:))=1;
			nodeonHOFS(:)=0;
			nodeonHOFS(md.mesh.elements(find(HOFSflag),:))=1;

		elseif any(FSflag) & any(SSAflag),
			//Find node at the border
			nodeonSSAFS(find(nodeonSSA & nodeonFS))=1;
			//FS elements in contact with this layer become SSAFS elements
			matrixelements=ismember(md.mesh.elements,find(nodeonSSAFS));
			commonelements=sum(matrixelements,2)~=0;
			commonelements(find(SSAflag))=0; //only one layer: the elements previously in SSA
			FSflag(find(commonelements))=0; //these elements are now SSASSAelements
			SSAFSflag(find(commonelements))=1;
			nodeonFS=zeros(md.mesh.numberofvertices,1);
			nodeonFS(md.mesh.elements(find(FSflag),:))=1;

			//rule out elements that don't touch the 2 boundaries
			pos=find(SSAFSflag);
			elist=zeros(length(pos),1);
			elist = elist + any(sum(nodeonSSA(md.mesh.elements(pos,:)),2),2);
			elist = elist - any(sum(nodeonFS(md.mesh.elements(pos,:))  ,2),2);
			pos1=find(elist==1);
			SSAflag(pos(pos1))=1;
			SSAFSflag(pos(pos1))=0;
			pos2=find(elist==-1);
			FSflag(pos(pos2))=1;
			SSAFSflag(pos(pos2))=0;

			//Recompute nodes associated to these elements
			nodeonSSA(:)=0;
			nodeonSSA(md.mesh.elements(find(SSAflag),:))=1;
			nodeonFS(:)=0;
			nodeonFS(md.mesh.elements(find(FSflag),:))=1;
			nodeonSSAFS(:)=0;
			nodeonSSAFS(md.mesh.elements(find(SSAFSflag),:))=1;

		elseif any(FSflag) & any(SIAflag),
			error('type of coupling not supported yet');
		end
	end*/

	//Create element equations
	md.flowequation.element_equation=NewArrayFill(md.mesh.numberofelements,0);
	pos=ArrayFind(noneflag,1);for(var i=0;i<pos.length;i++)md.flowequation.element_equation[pos[i]]=0;
	pos=ArrayFind(SIAflag,1);for(var i=0;i<pos.length;i++)md.flowequation.element_equation[pos[i]]=1;
	pos=ArrayFind(SSAflag,1);for(var i=0;i<pos.length;i++)md.flowequation.element_equation[pos[i]]=2;
	pos=ArrayFind(L1L2flag,1);for(var i=0;i<pos.length;i++)md.flowequation.element_equation[pos[i]]=3;
	pos=ArrayFind(HOflag,1);for(var i=0;i<pos.length;i++)md.flowequation.element_equation[pos[i]]=4;
	pos=ArrayFind(FSflag,1);for(var i=0;i<pos.length;i++)md.flowequation.element_equation[pos[i]]=5;
	pos=ArrayFind(SSAHOflag,1);for(var i=0;i<pos.length;i++)md.flowequation.element_equation[pos[i]]=6;
	pos=ArrayFind(SSAFSflag,1);for(var i=0;i<pos.length;i++)md.flowequation.element_equation[pos[i]]=7;
	pos=ArrayFind(HOFSflag,1);for(var i=0;i<pos.length;i++)md.flowequation.element_equation[pos[i]]=8;


	//border
	md.flowequation.borderHO=nodeonHO;
	md.flowequation.borderSSA=nodeonSSA;
	md.flowequation.borderFS=nodeonFS;
	

	//Create vertices_type
	md.flowequation.vertex_equation=NewArrayFill(md.mesh.numberofvertices,0);

	pos=ArrayFind(nodeonSSA,1);for(var i=0;i<pos.length;i++)md.flowequation.vertex_equation[pos[i]]=2;
	pos=ArrayFind(nodeonL1L2,1);for(var i=0;i<pos.length;i++)md.flowequation.vertex_equation[pos[i]]=3;
	pos=ArrayFind(nodeonHO,1);for(var i=0;i<pos.length;i++)md.flowequation.vertex_equation[pos[i]]=4;
	pos=ArrayFind(nodeonFS,1);for(var i=0;i<pos.length;i++)md.flowequation.vertex_equation[pos[i]]=5;
	//DO SIA LAST! Otherwise spcs might not be set up correctly (SIA should have priority)
	pos=ArrayFind(nodeonSIA,1);for(var i=0;i<pos.length;i++)md.flowequation.vertex_equation[pos[i]]=1;
	if (ArrayAnyEqual(FSflag,1)){
		pos=ArrayFind(nodeonFS==0);
		if(ArrayAnyEqual(HOflag,0) & ArrayAnyEqual(SSA,0)){
			for(var i=0;i<pos.length;i++)md.flowequation.vertex_equation[pos[i]]=0;
		}
	}

	pos=ArrayFind(nodeonSSAHO,1);for(var i=0;i<pos.length;i++)md.flowequation.vertex_equation[pos[i]]=6;
	pos=ArrayFind(nodeonHOFS,1);for(var i=0;i<pos.length;i++)md.flowequation.vertex_equation[pos[i]]=7;
	pos=ArrayFind(nodeonSSAFS,1);for(var i=0;i<pos.length;i++)md.flowequation.vertex_equation[pos[i]]=8;

	//figure out solution types
	md.flowequation.isSIA  = ArrayAnyEqual(md.flowequation.element_equation,1);
	md.flowequation.isSSA  = ArrayAnyEqual(md.flowequation.element_equation,2);
	md.flowequation.isL1L2 = ArrayAnyEqual(md.flowequation.element_equation,3);
	md.flowequation.isHO   = ArrayAnyEqual(md.flowequation.element_equation,4);
	md.flowequation.isFS   = ArrayAnyEqual(md.flowequation.element_equation,5);
	return

	//Check that tiling can work:
	/*if any(md.flowequation.borderSSA) & any(md.flowequation.borderHO) & any(md.flowequation.borderHO + md.flowequation.borderSSA ~=1),
		error('error coupling domain too irregular');
	end
	if any(md.flowequation.borderSSA) & any(md.flowequation.borderFS) & any(md.flowequation.borderFS + md.flowequation.borderSSA ~=1),
		error('error coupling domain too irregular');
	end
	if any(md.flowequation.borderFS) & any(md.flowequation.borderHO) & any(md.flowequation.borderHO + md.flowequation.borderFS~=1),
		error('error coupling domain too irregular');
	end*/
}
function setmask(md,floatingice,groundedice){
//SETMASK - establish boundaries between grounded and floating ice.
//
//   By default, ice is considered grounded. The contour floatingice defines nodes 
//   for which ice is floating. The contour groundedice defines nodes inside a floatingice, 
//   that are grounded (ie: ice rises, islands, etc ...)
//   All inputs are either strings or actually javascript arrays (included in the html file)
//   For example: 
//
//	   floatingice[0]['x']=[0,0,0,1];
//	   floatingice[0]['y']=[0,1,1,1];
//	   floatingice[1]['x']=[0,0.5,0.5,.5];
//	   floatingice[1]['y']=[0,.5,.5,.5];
//
//
//   Usage:
//      md=setmask(md,floatingice,groundedice)
//
//   Examples:
//      md=setmask(md,'all','');
//      md=setmask(md,iceshelves,islands);

	//variables: 
	var  icedomain=[];
	
	//some checks on list of arguments
	if (!((arguments.length==3) | (arguments.length==5))){
		throw Error('mask error message: wrong usage.');
	}

	if(arguments.length>3){
		if (arguments[3]=='icedomain'){
			icedomain=arguments[4];
		}
		else{
			throw Error('mask error message: wrong field specified. Only icedomain allowed for now.');
		}
		if (IsArray(icedomain)){
			throw Error('setmask error message: icedomain should be an array!');
		}
	}
	
	//Get assigned fields
	var x=md.mesh.x;
	var y=md.mesh.y;
	var elements=md.mesh.elements;

	//Assign elementonfloatingice, elementongroundedice, vertexongroundedice and vertexonfloatingice. 
	//Only change at your own peril! This is synchronized heavily with the GroundingLineMigration module. 
	elementonfloatingice=FlagElements(md,floatingice);
	elementongroundedice=FlagElements(md,groundedice);

	//Because groundedice nodes and elements can be included into an floatingice, we need to update. Remember, all the previous 
	//arrays come from domain outlines that can intersect one another: 
	elementonfloatingice=ArrayAnd(elementonfloatingice,ArrayNot(elementongroundedice));
	elementongroundedice=ArrayNot(elementonfloatingice);

	//the order here is important. we choose vertexongroundedice as default on the grounding line.
	vertexonfloatingice=NewArrayFill(md.mesh.numberofvertices,0);
	vertexongroundedice=NewArrayFill(md.mesh.numberofvertices,0);
	pos=ArrayFind(elementongroundedice,1); for (var i=0;i<pos.length;i++)for(var j=0;j<3;j++) vertexongroundedice[md.mesh.elements[i,j]-1]=1;
	pos=ArrayFind(vertexongroundedice,0); for (var i=0;i<pos.length;i++)vertexonfloatingice[i]=1;

	//level sets
	groundedice_levelset=vertexongroundedice;
	pos=ArrayFind(vertexongroundedice,0);for(var i=0;i<pos.length;i++) groundedice_levelset[i]=-1;
	md.mask.groundedice_levelset=groundedice_levelset;

	if(arguments.length>3){
		md.mask.ice_levelset = NewArrayFill(md.mesh.numberofvertices,1.0);
		//use contourtomesh to set ice values inside ice domain
		//[vertexinsideicedomain,elementinsideicedomain]=ContourToMesh(elements,x,y,icedomain,'node',1);
		pos=ArrayFind(vertexinsideicedomain,1.0);for(var i=0;i<pos.length;i++) md.mask.ice_levelset[pos]=-1;
	}
	else{
		md.mask.ice_levelset = NewArrayFill(md.mesh.numberofvertices,-1);
	}
}
/*
	Name:
		sliderInit
	
	Description:
		Initialize slider corresponding to passed selector with passed value,
		minimum and maximum values, step (which is the increment for the 
		slider), and callback function (which is called when slider is changed). 
	
		Options are passed as pairs to the function according to the usage 
		example below.
	
	Usage:
		sliderInit(
			'selector', #some-element, 
			'value', 0,
			'min', -1,
			'max', 1,
			'step', 0.1,
			'callback', function(value){someEngineFunction(value)}
		);
	
	NOTE:	jQuery Mobile will reflect changes to slider in its input "label" 
			based on the width of the slider. For example, step might be set to
			0.1, but if the width of the slider is too narrow, changes to the 
			slider will only be reflected in whole numeral increments in the
			slider' label. That said, *all* sliders can be adjusted via the
			"up" and "down" keys by whatever increment step is set to.
*/
function sliderInit(){
	
	// Convert arguments to options
	var args 		= Array.prototype.slice.call(arguments);
	var options 	= new pairoptions(args.slice());

	// Recover option values
	var selector	= options.getfieldvalue('selector', '');
	var value 		= options.getfieldvalue('value', 0);
	var callback 	= options.getfieldvalue('callback', function(event, ui){});
	var min 		= options.getfieldvalue('min', 0.6 * value);
	var max 		= options.getfieldvalue('max', 1.4 * value);
	var step 		= options.getfieldvalue('step', 1);

	/*
		Update slider attributes.
		
		NOTE:	Although slider has already been created, need to call slider() 
				in order to avoid:
				
					Error: cannot call methods on slider prior to 
					initialization; attempted to call method 'refresh'
					
				Attempted all other methods for intialization of slider widget
				from jQuery Mobile, and this is the only one that seemed to work
				(see index.php for related markup).
	*/
	$(selector).slider();
	$(selector).val(value);
	$(selector).attr('min', min);
	$(selector).attr('max', max);
	$(selector).attr('step', step);
	$(selector).on('slidestop', function(event, ui){
		callback(parseFloat($(selector).val()));
	});

	/*
		NOTE:	Slider must be "refreshed" after any JavaScript change to it, as
				it is an AJAX object.
	*/
	$(selector).slider('refresh');
}
/* exported sliderInit, refreshErrorMessages */


/*
	Name:
		sliderMoveInput
	
	Description:
		Appends a jQuery Mobile slider input to an element whose selector 
		adheres to the following protocol,
		
			destination = sliderSelector + '-value'
			
	Usage:
		sliderMoveInput('#someSliderSelector');
		
	NOTE:	Destination element must, obviously, be hardcoded into markup for a
			call to this function to work as expected.
*/
function sliderMoveInput(selector){
	
	$(selector).appendTo(selector + '-value');
	$(selector).slider('refresh');
}

/*
	value/label updated by node transient runs in plot_unit.	
*/
function progressInit(){
	
	// Convert arguments to options.
	var args 			= Array.prototype.slice.call(arguments);
	var options 		= new pairoptions(args.slice());
	
	// Recover option values
	var sim 			= options.getfieldvalue('sim', '');
	
	var canvas 			= $(sim + '-canvas')[0];
	var progressBar 	= $(sim + '-controls-slider-progress');
	var playButton 		= $(sim + '-controls-button-play');
	var reverseButton 	= $(sim + '-controls-button-reverse');
	var timeText 		= $(sim + '-controls-text-time');
	
	/*
		Update progress bar slider attributes.
		
		NOTE:	Although slider has already been created, need to call slider() 
				in order to avoid:
				
					Error: cannot call methods on slider prior to 
					initialization; attempted to call method 'refresh'
					
				Attempted all other methods for intialization of slider widget
				from jQuery Mobile, and this is the only one that seemed to work
				(see index.php for related markup).
	*/
	$(progressBar).slider();
	$(progressBar).val(value);
	$(progressBar).attr('min', 0);
	$(progressBar).attr('max', 1);
	$(progressBar).attr('step', 1);
	$(progressBar).on('slidestop', function(event, ui){
		canvas.movieIncrement = true;
		canvas.movieFrame = parseInt($(progressBar).val());
	});
	$(progressBar).on('change', function(event, ui){
		canvas.movieFrame = parseInt($(progressBar).val());
	});
	$(progressBar).on('slidestart', function(event, ui){
		canvas.movieIncrement = false;	
		canvas.movieFrame = parseInt($(progressBar).val());
	});

	/*
		NOTE:	Slider must be "refreshed" after any JavaScript change to it, as
				it is an AJAX object.
	*/
	$(progressBar).slider('refresh');
	
	// Attach progress bar slider to simulation.
	canvas.progressBar = progressBar;

	playButton.click(function(){
		canvas.moviePlay = !canvas.moviePlay;
		if (canvas.moviePlay){
			playButton.find("span").removeClass("fa-play");
			playButton.find("span").addClass("fa-pause");
		}
		else{
			playButton.find("span").removeClass("fa-pause");
			playButton.find("span").addClass("fa-play");
		}
	});
	
	reverseButton.click(function(){
		canvas.movieReverse = !canvas.movieReverse;
		if (canvas.movieReverse) {
			reverseButton.find("span").removeClass("fa-backward");
			reverseButton.find("span").addClass("fa-forward");
		}
		else {
			reverseButton.find("span").removeClass("fa-forward");
			reverseButton.find("span").addClass("fa-backward");
		}
	});
	
	canvas.timeLabel = timeText;
}function tooltip() {
	//TOOLTIP - create a hidden toolip with value text that shows html formatted info on hover over the tooltipdiv.
	//
	//   Usage:
	//      tooltip('value','<h4>HAIG Glacier (Canadian Rocky Mountains) 30 year transient simulation</h4>','tooltipdiv','info-tooltipdiv');

	//Convert arguments to options
	var args = Array.prototype.slice.call(arguments);
	var options = new pairoptions(args.slice());

	//Recover option values:
	var value = options.getfieldvalue('value','');
	var tooltipdiv = options.getfieldvalue('tooltipdiv','tooltipdiv');

	$('<div class="bordered">' + value + '</div>').appendTo('#'+tooltipdiv);	
	$("#"+tooltipdiv).hover(function() {
		var tooltip = $("> div", this).show();
		var pos = tooltip.offset();
		tooltip.hide();
		var right = pos.left + tooltip.width();
		var pageWidth = $(document).width();
		if (pos.left < 0) {
			tooltip.css("marginLeft", "+=" + (-pos.left) + "px");
		}
		else if (right > pageWidth) {
			tooltip.css("marginLeft", "-=" + (right - pageWidth));
		}
		tooltip.fadeIn();
		}, function() {
			$("> div", this).fadeOut(function() {$(this).css("marginLeft", "");
		});
	});
}
function applyoptions(md,data,datatype,options,canvas,gl,node){
	//APPLYOPTIONS - apply colobar, text, cloud, and expdisp options to current plot
	//
	//   Usage:
	//      applyoptions(md,data,options)
	//
	//   See also: PLOTMODEL, PARSE_OPTIONS
	
	//colorbar {{{
	if (options.exist('colorbar')) {
		if (options.getfieldvalue('colorbar')==1) {
			//Handle movie data {{{
			if (datatype == 5) {
				data = data[0];
			} //}}}
			//Variable options initialization {{{
			var caxis = options.getfieldvalue('caxis',[ArrayMin(data),ArrayMax(data)]);
			var colorbarorientiation = options.getfieldvalue('colorbarorientation','vertical');
			var colorbarinnerlabels = options.getfieldvalue('colorbarinnerlabels','off');
			var cheightoffset = options.getfieldvalue('colorbarfontsize',18);
			var cwidthoffset = options.getfieldvalue('colorbarfontsize',18)*3;
			var cwidthscale = 0.5; //Default size of actual colorbar width, relative to canvas width (range [0,1])
			var cheightscale = 0.875; //Default size of actual colorbar height, relative to canvas height (range [0,1])
			var ccontext,ccanvas,ccanvasid,ccanvashtml,cheight,cwidth,color,y,x,cgradient,cmap,colorbar,textAlign,a,b,c,d,e,f,g,h;
			//}}}
			//Set colorbar lables {{{
			var labels = [];
			var cdivisions = options.getfieldvalue('colorbarnticks',6);
			var caxisdelta = caxis[1] - caxis[0];
			var clabelitem;
			var precision = options.getfieldvalue('colorbarprecision',3);
			if (options.getfieldvalue('log','off')!='off') {
				for (var i=cdivisions; i >= 0; i--) {
					var scale = (Math.log10(caxis[1])-Math.log10(caxis[0]))/Math.log10(options.getfieldvalue('log',10));
					labels[i] = (Math.pow(options.getfieldvalue('log',10),Math.log10(caxis[0])/Math.log10(options.getfieldvalue('log',10))+scale*(cdivisions-i)/cdivisions)).toPrecision(precision);
				}
			} else {
				for (var i=cdivisions; i >= 0; i--) {
					labels[i] = (caxisdelta*(cdivisions-i)/cdivisions+caxis[0]).toPrecision(precision);
				}
			} //}}}
			ccanvasid = options.getfieldvalue('colorbarid',options.getfieldvalue('canvasid')+'_colorbar');
			ccanvashtml = document.getElementById(ccanvasid);
			ccanvas = $('#'+ccanvasid);
			ccontext = ccanvas[0].getContext('2d');
			ccontext.clearRect(0,0, ccanvashtml.width, ccanvashtml.height);
			ccontext.beginPath();
			cmap = options.getfieldvalue('colormap','jet');
			colorbar = colorbars[cmap];
			//Handle orientation {{{
			if (colorbarorientiation=='vertical') {
				cwidth = ccanvashtml.width*cwidthscale*options.getfieldvalue('colorbarwidth',1);
				cheight = ccanvashtml.height*cheightscale*options.getfieldvalue('colorbarheight',1);
				cgradient = ccontext.createLinearGradient(0,cheightoffset/2,0,cheight);
				textAlign = 'left';
				a = 0;
				b = cheightoffset*3/2;
				c = 0;
			}
			else {
				cwidth = ccanvashtml.width*0.7*options.getfieldvalue('colorbarwidth',1);
				cheight = ccanvashtml.height*0.4*options.getfieldvalue('colorbarheight',1);
				cgradient = ccontext.createLinearGradient(cwidth+cwidthoffset,0,cwidthoffset,0);		
				textAlign = 'center';
				a = cwidthoffset;
				b = cheightoffset;
				c = cwidth/2+cwidthoffset;
			} //}}}
			//Handle internal labels {{{
			if (colorbarinnerlabels=='on') {
				textAlign = 'center';
				d = (cdivisions/(cdivisions+1.0));
				e = (1.0/(cdivisions+1.0));
				f = 2;
				g = 1;
				h = cwidth/2;
			}
			else {
				d = 1;
				e = 0;
				f = 1;
				g = 0;
				h = cwidth+0.2*cwidth;
			} //}}}

			for (var i=0; i < colorbar.length; i++) {
				color = colorbar[colorbar.length-i-1];
				color = [Math.round(color[0]*255),Math.round(color[1]*255),Math.round(color[2]*255)];	
				cgradient.addColorStop(i/colorbar.length*d+e,'rgba('+color.toString()+',1.0)');
			}
			ccontext.fillStyle=cgradient;
			ccontext.fillRect(a,b,cwidth,cheight);
			
			//Draw colorbar border
			ccontext.beginPath();
			ccontext.lineWidth='1';
			ccontext.strokeStyle=options.getfieldvalue('colorbarfontcolor','black');
			ccontext.rect(a,b,cwidth,cheight);
			ccontext.stroke();
			
			if (colorbarorientiation=='vertical') { //{{{
				for (var i=0; i <= cdivisions; i++) {
					y = i/(cdivisions+g)*cheight+cheightoffset/2;
					x = 0.2*cwidth;
					ccontext.font=String(options.getfieldvalue('colorbarfontsize',18))+'px "Lato",Helvetica,Arial,sans-serif';
					ccontext.fillStyle=options.getfieldvalue('colorbarfontcolor','black');
					ccontext.textAlign=textAlign;
					ccontext.textBaseline='top';
					ccontext.fillText(labels[i],h,y+cheightoffset*(g+0.5));					
					ccontext.beginPath();
					ccontext.moveTo(0,y+cheightoffset*f);
					ccontext.lineTo(x,y+cheightoffset*f);
					ccontext.moveTo(cwidth-x,y+cheightoffset*f);
					ccontext.lineTo(cwidth,y+cheightoffset*f);
					ccontext.stroke();
				}
			}
			else {
				for (var i=0; i <= cdivisions; i++) {
					y = 0.2*cheight;
					x = i/cdivisions*cwidth;
					ccontext.font=String(options.getfieldvalue('colorbarfontsize',18))+'px "Lato",Helvetica,Arial,sans-serif';
					ccontext.fillStyle=options.getfieldvalue('colorbarfontcolor','black');
					ccontext.textAlign=textAlign;
					ccontext.fillText(labels[cdivisions-i],x+cwidthoffset,cheight+cheightoffset*2);
					ccontext.beginPath();
					ccontext.moveTo(x+cwidthoffset,cheightoffset);
					ccontext.lineTo(x+cwidthoffset,y+cheightoffset);
					ccontext.moveTo(x+cwidthoffset,cheight-y+cheightoffset);
					ccontext.lineTo(x+cwidthoffset,cheight+cheightoffset);
					ccontext.stroke();
				}
			}
			if (options.exist('colorbartitle')) {
				ccontext.font=String(options.getfieldvalue('colorbarfontsize',18))+'px "Lato",Helvetica,Arial,sans-serif';
				ccontext.fillStyle=options.getfieldvalue('colorbarfontcolor','black');
				ccontext.textAlign='left';
				ccontext.textBaseline='bottom';
				ccontext.fillText(options.getfieldvalue('colorbartitle'),c,cheightoffset);
			} //}}}
			//}}}
		} 
	}
	//}}}
	//texture canvas //{{{
	var tcontext,tcanvas,tcanvasid,tcanvashtml,tURL,tgradient;
	tcanvasid = 'texturecanvas';
	var tcanvashtml = document.getElementById(tcanvasid);
	if (tcanvashtml == null) {
		tcanvas = $('<canvas id="texturecanvas" width="256" height="256"></canvas>').insertAfter('#'+String(options.getfieldvalue('canvasid')));
		tcanvas.css({'display':'none'});
		tcanvashtml = document.getElementById(tcanvasid);
	}
	else {
		tcanvas = $('#' + tcanvasid);
	}
	tcontext = tcanvashtml.getContext('2d');
	tgradient = tcontext.createLinearGradient(0,0,0,256);
		
	var cmap = options.getfieldvalue('colormap','jet');
	var colorbar = colorbars[cmap];
	for (var i=0; i < colorbar.length; i++) {
		color = colorbar[colorbar.length-i-1];
		color = [Math.round(color[0]*255),Math.round(color[1]*255),Math.round(color[2]*255)];	
		tgradient.addColorStop(i/colorbar.length,'rgba('+color.toString()+',1.0)');
	}
	
	tcontext.fillStyle = tgradient;
	tcontext.fillRect(0,0,256,256);
	tURL = tcanvashtml.toDataURL();
	node['texture'] = initTexture(gl,tURL);
	//}}}
	//expdisp contours {{{
	if (options.exist('expdisp')) {
		canvas.nodes['expdisp'] = Node(gl,options);
		var node = canvas.nodes['expdisp'];
		
		//declare variables:  {{{
		var vertices = [];
		var indices = [];
		var colors = [];
		var rgbcolor = [];
		var xmin,xmax;
		var ymin,ymax;
		var zmin,zmax;
		var scale;
		
		//Process data and model
		var x = options.getfieldvalue('expdisp')['x'];
		var y = options.getfieldvalue('expdisp')['y'];
		var z = Array.apply(null, Array(x.length)).map(Number.prototype.valueOf,0);
		
		if (options.getfieldvalue('expdisp')['z']) {
			z = options.getfieldvalue('expdisp')['z'];
		}
		//}}}

		//Compute coordinates and data range: //{{{
		var modelxlim = [ArrayMin(x),ArrayMax(x)];
		var modelylim = [ArrayMin(y),ArrayMax(y)];
		var modelzlim = [ArrayMin(z),ArrayMax(z)];
		var xlim = options.getfieldvalue('xlim',modelxlim);
		var ylim = options.getfieldvalue('ylim',modelylim);
		var zlim = options.getfieldvalue('zlim',modelzlim);
		xmin = xlim[0];
		xmax = xlim[1];
		ymin = ylim[0];
		ymax = ylim[1];
		zmin = zlim[0];
		zmax = zlim[1];
		//}}}

		//Compute scaling: //{{{
		var scale = 1 / (xmax - xmin);
		node['shaderName'] = 'colored';
		node['shader'] = gl['shaders'][node['shaderName']]['program'];
		node['scale'] = [scale, scale, scale*options.getfieldvalue('heightscale',1)];
		node['translation'] = [(xmin + xmax) / (-2 / scale), (ymin + ymax) / (-2 / scale), (zmin + zmax) / (-2 / scale)];
		node['modelMatrix'] = recalculateModelMatrix(node);
		node['drawMode'] = gl.LINE_LOOP;
		node['drawOrder'] = 0;
		node['useIndexBuffer'] = false;
		node['disableDepthTest'] = true;
		//}}}

		//some defaults:
		colors.itemSize = 4;

		//retrieve some options
		var linewidth=options.getfieldvalue('linewidth',1);
		var edgecolor=options.getfieldvalue('edgecolor','black'); //RGBCOLOR?

		vertices.itemSize = 3;
		for(var i=0; i < x.length; i++){
			vertices[vertices.length] = x[i];
			vertices[vertices.length] = y[i];
			vertices[vertices.length] = z[i];

			//edgecolor
			rgbcolor = [0.0, 0.0, 0.0];
			colors[colors.length] = rgbcolor[0];
			colors[colors.length] = rgbcolor[1];
			colors[colors.length] = rgbcolor[2];
			colors[colors.length] = 1.0;
		}

		//Initalize buffers:
		node['arrays'] = [vertices, colors];
		node['buffers'] = initBuffers(gl, node['arrays']);
	} //}}}
	//cloud of points {{{
	if (options.exist('cloud')) {
		canvas.nodes['cloud'] = Node(gl,options);
		var node = canvas.nodes['cloud'];

		//declare variables:  {{{
		var vertices = [];
		var indices = [];
		var colors = [];
		var rgbcolor = [];
		var xmin,xmax;
		var ymin,ymax;
		var zmin,zmax;
		var scale;
		
		//Process data and model
		var x = options.getfieldvalue('cloud')['x'];
		var y = options.getfieldvalue('cloud')['y'];
		var z = Array.apply(null, Array(x.length)).map(Number.prototype.valueOf,0);
		
		if (options.getfieldvalue('cloud')['z']) {
			z = options.getfieldvalue('cloud')['z'];
		}
		//}}}

		//Compute coordinates and data range: //{{{
		var modelxlim = [ArrayMin(x),ArrayMax(x)];
		var modelylim = [ArrayMin(y),ArrayMax(y)];
		var modelzlim = [ArrayMin(z),ArrayMax(z)];
		var xlim = options.getfieldvalue('xlim',modelxlim);
		var ylim = options.getfieldvalue('ylim',modelylim);
		var zlim = options.getfieldvalue('zlim',modelzlim);
		xmin = xlim[0];
		xmax = xlim[1];
		ymin = ylim[0];
		ymax = ylim[1];
		zmin = zlim[0];
		zmax = zlim[1];
		//}}}

		//Compute scaling: //{{{
		var scale = 1 / (xmax - xmin);
		node['shaderName'] = 'colored';
		node['shader'] = gl['shaders'][node['shaderName']]['program'];
		node['scale'] = [scale, scale, scale*options.getfieldvalue('heightscale',1)];
		node['translation'] = [(xmin + xmax) / (-2 / scale), (ymin + ymax) / (-2 / scale), (zmin + zmax) / (-2 / scale)];
		node['modelMatrix'] = recalculateModelMatrix(node);
		node['drawMode'] = gl.POINTS;
		node['drawOrder'] = 0;
		node['useIndexBuffer'] = false;
		node['disableDepthTest'] = true;
		//}}}

		//some defaults:
		colors.itemSize = 4;

		//retrieve some options
		var linewidth=options.getfieldvalue('linewidth',1);
		var edgecolor=options.getfieldvalue('edgecolor','black'); //RGBCOLOR?

		vertices.itemSize = 3;
		for(var i=0; i < x.length; i++){
			vertices[vertices.length] = x[i];
			vertices[vertices.length] = y[i];
			vertices[vertices.length] = z[i];

			//edgecolor
			rgbcolor = [0.0, 0.0, 0.0];
			colors[colors.length] = rgbcolor[0];
			colors[colors.length] = rgbcolor[1];
			colors[colors.length] = rgbcolor[2];
			colors[colors.length] = 1.0;
		}

		//Initalize buffers:
		node['arrays'] = [vertices, colors];
		node['buffers'] = initBuffers(gl, node['arrays']);
	} //}}}
	
	//text display //{{{
	if (options.exist('textlabels')) {
		var textcanvas,textcanvasid;	
		textcanvasid = options.getfieldvalue('textcanvasid',options.getfieldvalue('canvasid')+'-text');
		textcanvas = $('#'+textcanvasid);
		textcanvas.textlabels = options.getfieldvalue('textlabels',[]);
		
		//setup drawing function for text canvas draw calls
		textcanvas.draw = function(canvas) {
			var textcontext,textlabels,textlabel,textcanvaswidth,textcanvasheight,textcoordinates;	
			var textposition = vec3.create();
			var mvpMatrix = mat4.create();
			
			//ensure correct canvas coordinate scaling
			textcanvaswidth = this[0].clientWidth;
			textcanvasheight = this[0].clientHeight;
			this[0].width  = textcanvaswidth;
			this[0].height = textcanvasheight;
			
			textcontext = this[0].getContext('2d');
			textlabels = options.getfieldvalue('textlabels',[]);
			textcontext.clearRect(0, 0, textcanvaswidth, textcanvasheight);
			
			//worldspace to screenspace transformation for text
			for (text in textlabels) {
				textlabel = textlabels[text];
				mat4.multiply(mvpMatrix, canvas.cameraMatrix, canvas.nodes['overlay']['modelMatrix']);
				textposition = vec3.transformMat4(textposition, textlabel['pos'], mvpMatrix);
				if (textposition[2] > 1) { //clip coordinates with z > 1
					continue;
				}
				textcoordinates = [(textposition[0]+1.0)/2.0*textcanvaswidth, (-textposition[1]+1.0)/2.0*textcanvasheight]; //NDC to screenspace
				textcontext.font = String(options.getfieldvalue('colorbarfontsize',18))+'px "Lato",Helvetica,Arial,sans-serif';
				textcontext.fillStyle = options.getfieldvalue('colorbarfontcolor','black');
				textcontext.strokeStyle = options.getfieldvalue('colorbarfontcolor','black');
				textcontext.textAlign = 'center';
				textcontext.textBaseline = 'middle';
				textcontext.fillText(textlabel['text'], textcoordinates[0], textcoordinates[1]);
				textcontext.strokeText(textlabel['text'], textcoordinates[0], textcoordinates[1]);
			}
		}
		canvas.textcanvas = textcanvas;
	} //}}}
}
function checkplotoptions(md,options){
	//PARSE_OPTIONS - build a structure that holds all plot options
	//
	//   Usage:
	//      checkplotoptions(md,options);
	//
	//   See also: PLOTMODEL

	//units
	if (options.exist('unit')){
		if (options.getfieldvalue('unit') === 'km'){
			options.changefieldvalue('unit',10^-3);
		}
		if (options.getfieldvalue('unit') === '100km'){
			options.changefieldvalue('unit',10^-5);
		}
	}

	//density
	if (options.exist('density')){
		density=options.getfieldvalue('density');
		options.changefieldvalue('density',Math.abs(Math.ceil(density)));
	}

	//Show section
	if (options.exist('showsection')){
		if (options.getfieldvalue('showsection') === 'on'){
			options.changefieldvalue('showsection',4);
		}
	}

	//smooth values
	if (options.exist('smooth')){
		if (options.getfieldvalue('smooth') === 'on'){
			options.changefieldvalue('smooth',0);
		}
	}

	//contouronly values
	if (options.exist('contouronly')){
		if (options.getfieldvalue('contouronly') === 'on'){
			options.changefieldvalue('contouronly',1);
		}
	}

	//Colorbar;
	if (options.exist('colorbar')){
		if (options.getfieldvalue('colorbar') === 'on'){
			options.changefieldvalue('colorbar',1);
		}
		else if (options.getfieldvalue('colorbar') === 'off'){
			options.changefieldvalue('colorbar',0);
		}
	}

	//text
	if (options.exist('text')){

		//1: textvalue
		textvalues=options.getfieldvalue('text');

		//ischar if only one expstyle -> create a cell
		if (typeof textvalues === 'string'){
			textvalues=[textvalues];
			numtext=1;
		}
		else if (IsArray(textvalues)){
			numtext=textvalues.length;
		}
		else throw Error("plot error message: ''text'' option should be either a string or a cell");

		//2: textweight
		if (options.exist('textweight')){

			textweightvalues=options.getfieldvalue('textweight');

			//ischar if only one textweight -> create a cell
			if (typeof textweightvalues === 'string'){
				textweightvalues=[textweightvalues];
			}
			else if (!IsArray(textweightvalues)){
				throw Error("plot error message: ''textweight'' option should be either a string or a cell");
			}
		}
		else{
			textweightvalues=['n'];
		}
		if (textweightvalues.length==1){
			var value=textweightvalues[0];
			for (var i=0;i<numtext-1;i++)textweightvalues.push(value);
		}

		//3: textsize
		if (options.exist('textsize')){
			textsizevalues=options.getfieldvalue('textsize');
		}
		//ischar if only one textsize -> create a cell
		if (typeof textsizevalues === 'number'){
			textsizevalues=[textsizevalues];
		}
		else if (!IsArray(textsizevalues)){
			throw Error("plot error message: ''textsize'' option should be either a number or a cell");
		}
		else{
			textsizevalues=[14];
		}
		if (textsizevalues.length==1){
			var value=textsizevalues[0];
			for (var i=0;i<numtext-1;i++)textsizevalues.push(value);
		}
			
		//4: textcolor
		if (options.exist('textcolor')){
			textcolorvalues=options.getfieldvalue('textcolor');
		}
		if (typeof textcolorvalues === 'string'){ //ischar if only one textcolor -> create a cell
			textcolorvalues=[textcolorvalues];
		}
		else if (!IsArray(textcolorvalues)){
			throw Error("plot error message: ''textcolor'' option should be either a string or a cell");
		}
		else textcolorvalues=['k'];

		if (textcolorvalues.length==1){
			var value=textcolorvalues[0];
			for (var i=0;i<numtext-1;i++)textcolorvalues.push(value);
		}
		
		//5: textposition
		if (options.exist('textposition')){
			textpositionvalues=options.getfieldvalue('textposition');
		}
		//ischar if only one textposition -> create a cell
		if (typeof textpositionvalues === 'number'){
			textpositionvalues=[textpositionvalues];
		}
		else if(!IsArray(textpositionvalues)){
			throw Error("plot error message: ''textposition'' option should be either a string or a cell");
		}
		else throw Error("plot error message: ''textposition'' option is missing");
			
		//6: textrotation
		if (options.exist('textrotation')){
			textrotationvalues=options.getfieldvalue('textrotation');
		}
		//ischar if only one textsize -> create a cell
		if (typeof textrotationvalues === 'number'){
			textrotationvalues=[textrotationvalues];
		}
		else if (!IsArray(textrotationvalues)){
			throw Error("plot error message: ''textrotation'' option should be either a number or a cell");
		}
		else textrotationvalues=[0];
		
		if (textrotationvalues.length==1){
			var value=textrotationvalues[0];
			for (var i=0;i<numtext-1;i++)textrotationvalues.push(value);
		}
			
		options.changefieldvalue('text',textvalues);
		options.changefieldvalue('textsize',textsizevalues);
		options.changefieldvalue('textweight',textweightvalues);
		options.changefieldvalue('textcolor',textcolorvalues);
		options.changefieldvalue('textposition',textpositionvalues);
		options.changefieldvalue('textrotation',textrotationvalues);
	}

	//expdisp
	expdispvaluesarray=[];
	expstylevaluesarray=[];
	expstylevalues=[];
	if (options.exist('expstyle')){
		expstylevalues=options.getfieldvalue('expstyle');
		//ischar if only one expstyle -> create a cell
		if (typeof expstylevalues === 'string'){
			expstylevalues=[expstylevalues];
		}
		options.changefieldvalue('expdisp',expdispvaluesarray);
	}
		
	if (options.exist('expdisp')){
		expdispvalues=options.getfieldvalue('expdisp');
	
		//ischar if only one expstyle -> create a cell
		if (typeof expdispvalues === 'string'){
			expdispvalues=[expdispvalues];
		}
		for (var i=0; i< expdispvalues.length;i++){
			expdispvaluesarray.push(expdispvalues[i]);
			if (expstylevalues.length>i){
				expstylevaluesarray.push(expstylevalues[i]);
			}
			else{
				expstylevaluesarray.push('g-');
			}
		}
		options.changefieldvalue('expstyle',expstylevaluesarray);
	}

	//latlonnumbering
	if (options.exist('latlonclick')){
		if (options.getfieldvalue('latlonclick') === 'on'){
			options.changefieldvalue('latlonclick',1);
		}
	}

	//north arrow
	if (options.exist('northarrow')){
	   if (options.getfieldvalue('northarrow') === 'on'){
		   
		   //default values
		   Lx=ArrayMax(md.mesh.y)-ArrayMin(md.mesh.y);
		   Ly=ArrayMax(md.mesh.y)-ArrayMin(md.mesh.y);
		  
		   //default values
		   options.changefieldvalue('northarrow',[ArrayMin(md.mesh.x)+1/6*Lx,ArrayMin(md.mesh.y)+5/6*Ly,1/15*Ly,0.25,1/250*Ly]);
	   }
	}

	//scale ruler
	if (options.exist('scaleruler')){
	   if (options.getfieldvalue('scaleruler') === 'on'){
		   //default values
		   Lx=ArrayMax(md.mesh.x)-ArrayMin(md.mesh.x);
		   Ly=ArrayMax(md.mesh.y)-ArrayMin(md.mesh.y);
		   
		   //default values
		   options.changefieldvalue('scaleruler',[ArrayMin(md.mesh.x)+6/8*Lx, ArrayMin(md.mesh.y)+1/10*Ly, 10^(Mat.ceil(Mat.log10(Lx)))/5, Math.floor(Lx/100), 5]);
	   }
	}
}
function plot_manager(md,options,subplotwidth,nlines,ncols,i){
	//PLOT__MANAGER - distribute the plots, called by plotmodel
	//
	//   Usage:
	//      plot_manager(md,options,subplotwidth,i);
	//
	//   See also: PLOTMODEL, PLOT_UNIT
			
	//parse options and get a structure of options. 
	checkplotoptions(md,options);
	
	//get data to be displayed
	var data = options.getfieldvalue('data');
	var canvas = initCanvas(options);
	var gl = canvas.gl;
	//TODO: each plot_ should add their node to the canvas.node array

	//figure out if this is a special plot
	if (typeof data === 'string'){

		switch(data){

			case 'boundaries':
				plot_boundaries(md,options,subplotwidth,i);
				return;
			case 'BC':
				plot_BC(md,options,subplotwidth,i,data);
				return;
			case 'edges':
				plot_edges(md,options,subplotwidth,i,data);
				return;
			case 'elementnumbering':
				plot_elementnumbering(md,options,subplotwidth,i);
				return;
			case 'highlightelements':
				plot_highlightelements(md,options,subplotwidth,i);
				return;
			case 'qmumean':
				plot_qmumean(md,options,nlines,ncols,i);
				return;
			case 'qmustddev':
				plot_qmustddev(md,options,nlines,ncols,i);
				return;
			case 'qmuhistnorm':
				plot_qmuhistnorm(md,options,nlines,ncols,i);
				return;
			case 'qmu_mass_flux_segments':
				plot_qmu_mass_flux_segments(md,options,nlines,ncols,i);
				return;
			case 'part_hist':
				plot_parthist(md,options,nlines,ncols,i);
				return;
			case 'part_hist_n':
				plot_parthistn(md,options,nlines,ncols,i);
				return;
			case 'part_hist_w':
				plot_parthistw(md,options,nlines,ncols,i);
				return;
			case 'elements_type':
				plot_elementstype(md,options,subplotwidth,i);
				return;
			case 'vertexnumbering':
				plot_vertexnumbering(md,options,subplotwidth,i);
				return;
			case 'highlightvertices':
				plot_highlightvertices(md,options,subplotwidth,i);
				return;
			case 'basal_drag':
				plot_basaldrag(md,options,subplotwidth,i,data);
				return;
			case 'basal_dragx':
				plot_basaldrag(md,options,subplotwidth,i,data);
				return;
			case 'basal_dragy':
				plot_basaldrag(md,options,subplotwidth,i,data);
				return;
			case 'driving_stress':
				plot_drivingstress(md,options,subplotwidth,i);
				return;
			case 'mesh':
				plot_mesh(md,options,canvas);
				return;
			case 'none':
				if (!(options.exist('overlay'))){
					plot_none(md,options,nlines,ncols,i);
				}
				return;
			case 'penalties':
				plot_penalties(md,options,subplotwidth,i);
				return;
			case 'partition':
				plot_partition(md,options,nlines,ncols,i);
				return;
			case 'referential':
				plot_referential(md,options,nlines,ncols,i);
				return;
			case 'riftvel':
				plot_riftvel(md,options,nlines,ncols,i);
				return;
			case 'riftnumbering':
				plot_riftnumbering(md,options,nlines,ncols,i);
				return;
			case 'rifts':
				plot_rifts(md,options,nlines,ncols,i);
				return;
			case 'riftrelvel':
				plot_riftrelvel(md,options,nlines,ncols,i);
				return;
			case 'riftpenetration':
				plot_riftpenetration(md,options,nlines,ncols,i);
				return;
			case 'riftfraction':
				plot_riftfraction(md,options,nlines,ncols,i);
				return;
			case 'sarpwr':
				plot_sarpwr(md,options,subplotwidth,i);
				return;
			case 'time_dependant':
				plot_vstime(md,options,nlines,ncols,i);
				return;
			case 'icefront':
				plot_icefront(md,options,subplotwidth,i,data);
				return;
			case 'segments':
				plot_segments(md,options,subplotwidth,i,data);
				return;
			case 'quiver':
				plot_quiver(md,options,canvas);
				return;
			case 'strainrate_tensor':
			case 'strainrate':
			case 'strainrate_principal':
			case 'strainrate_principalaxis1':
			case 'strainrate_principalaxis2':
			case 'strainrate_principalaxis3':
			case 'stress_tensor':
			case 'stress':
			case 'stress_principal':
			case 'stress_principalaxis1':
			case 'stress_principalaxis2':
			case 'stress_principalaxis3':
			case 'deviatoricstress_tensor':
			case 'deviatoricstress':
			case 'deviatoricstress_principal':
			case 'deviatoricstress_principalaxis1':
			case 'deviatoricstress_principalaxis2':
			case 'deviatoricstress_principalaxis3':
				plot_tensor(md,options,subplotwidth,i,data);
				return;
			case 'thermaltransient_results':
				plot_thermaltransient_results(md,options,subplotwidth,i);
				return;
			case 'transient_movie':
				plot_transient_movie(md,options,subplotwidth,i);
				return;
			case 'transient_results':
				plot_transient_results(md,options,subplotwidth,i);
				return;
			case 'transient_field':
				plot_transient_field(md,options,subplotwidth,i);
				return;
			default:
				if (data in md){
					data=md[data];
				}
				else{
					error('plot error message: data provided not supported yet. Type plotdoc for help');
				}
		}
	}

	//Figure out if this is a semi-transparent plot.
	if (options.getfieldvalue('overlay','off')=='on'){
		plot_overlay(md,data,options,canvas);
	}

	//Figure out if this is a semi-transparent plot.
	if (options.exist('googlemaps')){
		plot_googlemaps(md,data,options,nlines,ncols,i);
		return;
	}

	//Figure out if this is a semi-transparent plot.
	if (options.exist('gridded')){
		plot_gridded(md,data,options,nlines,ncols,i);
		return;
	}

	//Figure out if this is a Section plot
	if (options.exist('sectionvalue')){
		plot_section(md,data,options,nlines,ncols,i);
		return;
	}

	//Figure out if this is a Profile plot
	if (options.exist('profile')){
		plot_profile(md,data,options,nlines,ncols,i);
		return;
	}
	
	var	dataresults = processdata(md,data,options);
	var	data2 = dataresults[0]; 
	var	datatype = dataresults[1];
	
	//plot unit
	plot_unit(md,data2,datatype,options,canvas);

	applyoptions(md,data2,datatype,options,canvas,gl,canvas.nodes[canvas.nodes.length-1]);
}
function plot_mesh(md,options,canvas) {
	//PLOT_MESH - Function for plotting wireframe mesh.
	//
	//   Usage:
	//      plot_mesh(md,options,canvas);
	//
	//   See also: PLOTMODEL, PLOT_MANAGER

	//declare variables:  {{{
	var vertices = [];
	var indices = [];
	var colors = [];
	var nanindices = {};
	var xmin,xmax;
	var ymin,ymax;
	var zmin,zmax;
	var scale,matrixscale,vertexscale;
	
	//Process data and model
	var meshresults = processmesh(md,[],options);
	var x = meshresults[0]; 
	var y = meshresults[1]; 
	var z = meshresults[2]; 
	var elements = meshresults[3]; 
	var is2d = meshresults[4]; 
	var isplanet = meshresults[5];
		
	//Compue scaling through matrices for 2d meshes and vertices for 3d meshes
	if (!md.geometry.surface) {
		md.geometry.surface=NewArrayFill(md.mesh.x.length,0);
	}
	if (md.mesh.classname() == 'mesh3dsurface') {
		matrixscale = 1;
		vertexscale = options.getfieldvalue('heightscale',1);
	}
	else {
		if (md.geometry.surface) {
			z=md.geometry.surface;
		}	
		matrixscale = options.getfieldvalue('heightscale',1);
		vertexscale = 0;
	}
	//}}}

	//Compute coordinates and data range:
	var modelxlim = [ArrayMin(x),ArrayMax(x)];
	var modelylim = [ArrayMin(y),ArrayMax(y)];
	var modelzlim = [ArrayMin(z),ArrayMax(z)];
	var xlim = options.getfieldvalue('xlim',modelxlim);
	var ylim = options.getfieldvalue('ylim',modelylim);
	var zlim = options.getfieldvalue('zlim',modelzlim);
	xmin = xlim[0];
	xmax = xlim[1];
	ymin = ylim[0];
	ymax = ylim[1];
	zmin = zlim[0];
	zmax = zlim[1];

	//Compute gl variables:
	var gl = canvas.gl;
	var node = Node(gl,options);
	canvas.nodes[canvas.nodes.length] = node;
	scale = 1 / (xmax - xmin);
	node["shaderName"] = "colored";
	node["shader"] = gl["shaders"][node["shaderName"]]["program"];
	node["lineWidth"] = options.getfieldvalue('linewidth',1);
	node["scale"] = [scale, scale, scale * matrixscale];
	node["translation"] = [(xmin + xmax) / (-2 / scale), (ymin + ymax) / (-2 / scale), (zmin + zmax) / (2 / scale)];
	node["modelMatrix"] = recalculateModelMatrix(node);
	node["drawMode"] = gl.LINES;
	node["drawOrder"] = 0;
	node["maskEnabled"] = options.getfieldvalue('innermask','off') == 'on';
	node["maskHeight"] = options.getfieldvalue('innermaskheight',150.0)*options.getfieldvalue('heightscale',1);
	node["maskColor"] = options.getfieldvalue('innermaskcolor',[0.0,0.0,1.0,1.0]);
				
	//some defaults:
	colors.itemSize = 4;

	//retrieve some options
	var edgecolor = new RGBColor(options.getfieldvalue('edgecolor','black'));
	if (edgecolor.ok) edgecolor = [edgecolor.r/255.0, edgecolor.g/255.0, edgecolor.b/255.0, 1.0];
	else throw Error(sprintf("s%s%s\n","initWebGL error message: cound not find out edgecolor color for curent canvas ",canvas));

	//node plot {{{
	if (elements[0].length==6){ //prisms
	}
	else if (elements[0].length==4){ //tetras
	}
	else{ //2D triangular elements
		vertices.itemSize = 3;
		var xyz = vec3.create();
		var direction = vec3.create();
		var vertex = vec3.create();
		var magnitude;
		var color = edgecolor;
		for(var i = 0; i < x.length; i++){
			//Check for NaN values and remove from indices array as necessary, but preserve vertex array spacing
			if (isNaN(x[i]) || isNaN(y[i]) || isNaN(z[i])) {
				nanindices[i] = i;
				vertices[vertices.length] = vertex[0];
				vertices[vertices.length] = vertex[1];
				vertices[vertices.length] = vertex[2];
				
				colors[colors.length] = color[0];
				colors[colors.length] = color[1];
				colors[colors.length] = color[2];
				colors[colors.length] = color[3];
				continue;
			}
			//Scale vertices
			xyz = vec3.fromValues(x[i], y[i], z[i]);
			magnitude = vec3.length(xyz) + md.geometry.surface[i] * vertexscale;
			vec3.normalize(direction, xyz);
			vec3.scale(vertex, direction, magnitude);
			vertices[vertices.length] = vertex[0];
			vertices[vertices.length] = vertex[1];
			vertices[vertices.length] = vertex[2];

			colors[colors.length] = color[0];
			colors[colors.length] = color[1];
			colors[colors.length] = color[2];
			colors[colors.length] = color[3];
		}
		
		//linearize the elements array: 
		var element;
		for(var i = 0; i < elements.length; i++){
			element = [elements[i][0] - 1, elements[i][1] - 1, elements[i][2] - 1];
			if (element[0] in nanindices || element[1] in nanindices || element[2] in nanindices) continue;
			indices[indices.length] = element[0];
			indices[indices.length] = element[1];
			indices[indices.length] = element[1];
			indices[indices.length] = element[2];
			indices[indices.length] = element[2];
			indices[indices.length] = element[0];
		}
		indices.itemSize = 1;
	}
	//}}}

	/*Initalize buffers: */
	node["arrays"] = [vertices, colors, indices];
	node["buffers"] = initBuffers(gl, node["arrays"]);
}
function plot_overlay(md,data,options,canvas){
	//PLOT_OVERLAY - Function for plotting a georeferenced image.  
	//
	//   Usage:
	//      plot_overlay(md,data,options,canvas);
	//
	//   See also: PLOTMODEL, PLOT_MANAGER

	//declare variables:  {{{
	var vertices = [];
	var indices = [];
	var texcoords = [];
	var nanindices = {};
	var xmin,xmax;
	var ymin,ymax;
	var zmin,zmax;
	var scale,matrixscale,vertexscale;

	//Process data and model
	var meshresults = processmesh(md,data,options);
	var x = meshresults[0]; 
	var y = meshresults[1]; 
	var z = meshresults[2]; 
	var elements = meshresults[3]; 
	var is2d = meshresults[4]; 
	var isplanet = meshresults[5];

	//Compue scaling through matrices for 2d meshes and vertices for 3d meshes
	if (!md.geometry.surface) {
		md.geometry.surface=NewArrayFill(md.mesh.x.length,0);
	}
	if (md.mesh.classname() == 'mesh3dsurface') {
		matrixscale = 1;
		vertexscale = options.getfieldvalue('heightscale',1);
	}
	else {
		if (md.geometry.surface) {
			z=md.geometry.surface;
		}	
		matrixscale = options.getfieldvalue('heightscale',1);
		vertexscale = 0;
	}
	//}}}
	
	//Compute coordinates and data range:
	var modelxlim = [ArrayMin(x),ArrayMax(x)];
	var modelylim = [ArrayMin(y),ArrayMax(y)];
	var modelzlim = [ArrayMin(z),ArrayMax(z)];
	var xlim = options.getfieldvalue('xlim',modelxlim);
	var ylim = options.getfieldvalue('ylim',modelylim);
	var zlim = options.getfieldvalue('zlim',modelzlim);
	xmin = xlim[0];
	xmax = xlim[1];
	ymin = ylim[0];
	ymax = ylim[1];
	zmin = zlim[0];
	zmax = zlim[1];
		
	//Compute gl variables:
	var gl = canvas.gl;
	var node = Node(gl,options);
	canvas.nodes[canvas.nodes.length] = node;
	scale = 1 / (xmax - xmin);
	node["shaderName"] = "unlit_textured";
	node["shader"] = gl["shaders"][node["shaderName"]]["program"];
	node["scale"] = [scale, scale, scale * matrixscale];
	node["translation"] = [(xmin + xmax) / (-2 / scale), (ymin + ymax) / (-2 / scale), (zmin + zmax) / (2 / scale)];
	node["modelMatrix"] = recalculateModelMatrix(node);
	node["texture"] = initTexture(gl,options.getfieldvalue('overlay_image'));
	node["alpha"] = options.getfieldvalue('outeralpha',1.0);
	node["drawOrder"] = 1;
	node["maskEnabled"] = options.getfieldvalue('outermask','off') == 'on';
	node["maskHeight"] = options.getfieldvalue('outermaskheight',150.0);
	node["maskColor"] = options.getfieldvalue('outermaskcolor',[0.0,0.0,1.0,1.0]);
				
	//some defaults:
	texcoords.itemSize = 2;
	vertices.itemSize = 3;
	
	//Handle outer radaroverlay
	if (md.radaroverlay.outerx) {
		var newelements = [];
		for (var i = 0; i < md.radaroverlay.outerindex.length; i++) {
			newelements[newelements.length] = [md.radaroverlay.outerindex[i][0] + x.length, md.radaroverlay.outerindex[i][1] + y.length, md.radaroverlay.outerindex[i][2] + z.length];
		}
		x = [].concat(x, md.radaroverlay.outerx);
		y = [].concat(y, md.radaroverlay.outery);
		z = [].concat(z, md.radaroverlay.outerheight);
		elements = [].concat(elements, newelements);
		
		//Reclaculate bounds based on otuer radaroverlay
		modelxlim = [ArrayMin(x),ArrayMax(x)];
		modelylim = [ArrayMin(y),ArrayMax(y)];
		modelzlim = [ArrayMin(z),ArrayMax(z)];
		xmin = xlim[0];
		xmax = xlim[1];
		ymin = ylim[0];
		ymax = ylim[1];
		zmin = zlim[0];
		zmax = zlim[1];
		
		node["translation"] = [node["translation"][0], node["translation"][1], (zmax) / (-1 / scale)];
	}
	
	var xrange = modelxlim[1] - modelxlim[0];
	var yrange = modelylim[1] - modelylim[0];
	
	var xyz = vec3.create();
	var direction = vec3.create();
	var vertex = vec3.create();
	var magnitude;

	//generate mesh:
	for(var i = 0; i < x.length; i++){
		//Check for NaN values and remove from indices array as necessary, but preserve vertex array spacing
		if (isNaN(x[i]) || isNaN(y[i]) || isNaN(z[i])) {
			nanindices[i] = i;
			vertices[vertices.length] = vertex[0];
			vertices[vertices.length] = vertex[1];
			vertices[vertices.length] = vertex[2];
			
			texcoords[texcoords.length] = 0.0;
			texcoords[texcoords.length] = 0.0;
			continue;
		}

		if (md.mesh.classname() == 'mesh3dsurface') {
			//Scale vertices
			xyz = vec3.fromValues(x[i], y[i], z[i]);
			magnitude = vec3.length(xyz) + md.geometry.surface[i] * vertexscale;
			vec3.normalize(direction, xyz);
			vec3.scale(vertex, direction, magnitude);
			vertices[vertices.length] = vertex[0];
			vertices[vertices.length] = vertex[1];
			vertices[vertices.length] = vertex[2];
			
			texcoords[texcoords.length] = degrees(Math.atan2(vertex[1], vertex[0])) / 360 + 0.5;
			texcoords[texcoords.length] = degrees(Math.asin(vertex[2] / magnitude)) / 180 + 0.5;
		}
		else {
			//Scale vertices
			xyz = vec3.fromValues(x[i], y[i], z[i]);
			magnitude = vec3.length(xyz);
			vec3.normalize(direction, xyz);
			vec3.scale(vertex, direction, magnitude);
			vertices[vertices.length] = vertex[0];
			vertices[vertices.length] = vertex[1];
			vertices[vertices.length] = vertex[2];
			
			texcoords[texcoords.length] = (x[i] - modelxlim[0]) / xrange;
			texcoords[texcoords.length] = (y[i] - modelylim[0]) / yrange;
		}
	}

	//linearize the elements array:
	var element;
	for(var i = 0; i < elements.length; i++){
		element = [elements[i][0] - 1, elements[i][1] - 1, elements[i][2] - 1];
		if (element[0] in nanindices || element[1] in nanindices || element[2] in nanindices) continue;
		indices[indices.length] = element[0];
		indices[indices.length] = element[1];
		indices[indices.length] = element[2];
	}
	indices.itemSize = 1;
	
	/*Initalize buffers: */
	node["arrays"] = [vertices, texcoords, indices];
	node["buffers"] = initBuffers(gl,node["arrays"]);	
}
function plot_unit(md,data,datatype,options,canvas) {
	//PLOT_UNIT - unit plot, display data
	//
	//   Usage:
	//      plot_unit(md,data,options,canvas);
	//
	//   See also: PLOTMODEL, PLOT_MANAGER

	//declare variables:  {{{
	var vertices = [];
	var indices = [];
	var texcoords = [];
	var nanindices = {};
	var xmin,xmax;
	var ymin,ymax;
	var zmin,zmax;
	var datamin,datamax,datadelta;
	var scale,matrixscale,vertexscale;

	//Process data and model
	var meshresults = processmesh(md,data,options);
	var x = meshresults[0]; 
	var y = meshresults[1]; 
	var z = meshresults[2]; 
	var elements = meshresults[3];
	var is2d = meshresults[4]; 
	var isplanet = meshresults[5];

	//Compue scaling through matrices for 2d meshes and vertices for 3d meshes
	if (!md.geometry.surface) {
		md.geometry.surface=NewArrayFill(md.mesh.x.length,0);
	}
	if (md.mesh.classname() == 'mesh3dsurface') {
		matrixscale = 1;
		vertexscale = options.getfieldvalue('heightscale',1);
	}
	else {
		if (md.geometry.surface) {
			z=md.geometry.surface;
		}	
		matrixscale = options.getfieldvalue('heightscale',1);
		vertexscale = 0;
	}
	//}}}

	//Compute coordinates and data range:
	var modelxlim = [ArrayMin(x),ArrayMax(x)];
	var modelylim = [ArrayMin(y),ArrayMax(y)];
	var modelzlim = [ArrayMin(z),ArrayMax(z)];
	var xlim = options.getfieldvalue('xlim',modelxlim);
	var ylim = options.getfieldvalue('ylim',modelylim);
	var zlim = options.getfieldvalue('zlim',modelzlim);
	xmin = xlim[0];
	xmax = xlim[1];
	ymin = ylim[0];
	ymax = ylim[1];
	zmin = zlim[0];
	zmax = zlim[1];
	var caxis;
	
	//Compute gl variables:
	var gl = canvas.gl;
	var node = Node(gl,options);
	canvas.nodes[canvas.nodes.length] = node;
	scale = 1 / (xmax - xmin);
	node["shaderName"] = "unlit_textured";
	node["shader"] = gl["shaders"][node["shaderName"]]["program"];
	node["scale"] = [scale, scale, scale * matrixscale];
	node["translation"] = [(xmin + xmax) / (-2 / scale), (ymin + ymax) / (-2 / scale), (zmin + zmax) / (2 / scale)];
	node["modelMatrix"] = recalculateModelMatrix(node);
	node["alpha"] = options.getfieldvalue('alpha',1.0);
	node["drawOrder"] = 0;
	node["maskEnabled"] = options.getfieldvalue('innermask','off') == 'on';
	node["maskHeight"] = options.getfieldvalue('innermaskheight',150.0);
	node["maskColor"] = options.getfieldvalue('innermaskcolor',[0.0,0.0,1.0,1.0]);
	node["enabled"] = options.getfieldvalue('nodata','off') == 'off';
	
	switch(datatype){
		//element plot {{{
		case 1:
			pos=ArrayFindNot(data,NaN); //needed for element on water
			if (elements[0].length==6){ //prisms
			}
			else if (elements[0].length==4){ //tetras
			}
			else{ //2D triangular elements
			}
			break;
		//}}}
		//node plot {{{
		case 2:
			if (elements[0].length==6){ //prisms
			}
			else if (elements[0].length==4){ //tetras
			}
			else{ //triangular elements	
				caxis = options.getfieldvalue('caxis',[ArrayMin(data),ArrayMax(data)]);
				if (options.getfieldvalue('log','off')!='off') caxis = [Math.log10(caxis[0])/Math.log10(options.getfieldvalue('log',10)),Math.log10(caxis[1])/Math.log10(options.getfieldvalue('log',10))];
				datamin = caxis[0];
				datamax = caxis[1];
				datadelta = datamax - datamin;

				vertices.itemSize = 3;
				texcoords.itemSize = 2;
				
				var xyz = vec3.create();
				var direction = vec3.create();
				var vertex = vec3.create();
				var magnitude;

				for(var i = 0; i < x.length; i++){
					//Check for NaN values and remove from indices array as necessary, but preserve vertex array spacing
					if (isNaN(x[i]) || isNaN(y[i]) || isNaN(z[i]) || isNaN(data[i])) {
						nanindices[i] = i;
						vertices[vertices.length] = vertex[0];
						vertices[vertices.length] = vertex[1];
						vertices[vertices.length] = vertex[2];
						
						texcoords[texcoords.length] = 0.0;
						texcoords[texcoords.length] = 0.0;
						continue;
					}
					//Scale vertices
					xyz = vec3.fromValues(x[i], y[i], z[i]);
					magnitude = vec3.length(xyz) + md.geometry.surface[i] * vertexscale;
					vec3.normalize(direction, xyz);
					vec3.scale(vertex, direction, magnitude);
					vertices[vertices.length] = vertex[0];
					vertices[vertices.length] = vertex[1];
					vertices[vertices.length] = vertex[2];

					texcoords[texcoords.length] = 0.5;
					texcoords[texcoords.length] = (data[i] - datamin) / datadelta;
				}

				//linearize the elements array: 
				var element;
				for(var i = 0; i < elements.length; i++){
					element = [elements[i][0] - 1, elements[i][1] - 1, elements[i][2] - 1];
					if (element[0] in nanindices || element[1] in nanindices || element[2] in nanindices) continue;
					indices[indices.length] = element[0];
					indices[indices.length] = element[1];
					indices[indices.length] = element[2];
				}
				indices.itemSize = 1;

			}
		
			//Initalize buffers
			node["arrays"] = [vertices, texcoords, indices];
			node["buffers"] = initBuffers(gl,node["arrays"]);
			break;
		//}}}
		//quiver plot {{{
		case 3:
			if (is2d){
				//plot_quiver(x,y,data(:,1),data(:,2),options);
			}
			else{
				//plot_quiver3(x,y,z,data(:,1),data(:,2),data(:,3),options);
			}
			break;
		//}}}
		//node transient plot {{{
		case 5:
			if (elements[0].length==6){ //prisms
			}
			else if (elements[0].length==4){//tetras
			}
			else{ //triangular elements
				vertices.itemSize = 3;
				
				var xyz = vec3.create();
				var direction = vec3.create();
				var vertex = vec3.create();
				var magnitude;
				var timestamps = data[data.length-1];
				for(var i = 0; i < x.length; i++){
					//Check for NaN values and remove from indices array as necessary, but preserve vertex array spacing
					if (isNaN(x[i]) || isNaN(y[i]) || isNaN(z[i]) || isNaN(data[i][0])) {
						nanindices[i] = i;
						vertices[vertices.length] = vertex[0];
						vertices[vertices.length] = vertex[1];
						vertices[vertices.length] = vertex[2];
						
						texcoords[texcoords.length] = 0.0;
						texcoords[texcoords.length] = 0.0;
						continue;
					}
					//Scale vertices
					xyz = vec3.fromValues(x[i], y[i], z[i]);
					magnitude = vec3.length(xyz) + md.geometry.surface[i] * vertexscale;
					vec3.normalize(direction, xyz);
					vec3.scale(vertex, direction, magnitude);
					vertices[vertices.length] = vertex[0];
					vertices[vertices.length] = vertex[1];
					vertices[vertices.length] = vertex[2];
				}	
				//Transpose data to obtain column addressable data matrix
				data = data[0].map(function(col, i) { 
					return data.map(function(row) { 
						return row[i]
					})
				});
				//Prevent evaluation of datasubarray min/max if caxis exists
				if (options.exist('caxis')) {
					caxis = options.getfieldvalue('caxis');
				}
				else {
					caxis = [ArrayMin(data[0]),ArrayMax(data[0].slice(0,-1))];
				}
				if (options.getfieldvalue('log','off')!='off') caxis = [Math.log10(caxis[0])/Math.log10(options.getfieldvalue('log',10)),Math.log10(caxis[1])/Math.log10(options.getfieldvalue('log',10))];
				
				for(var i = 0; i < data.length; i++){					
					datamin = caxis[0];
					datamax = caxis[1];
					datadelta = datamax - datamin;

					//Precalculate arrays for each datasubarray, trimming off timestamp value by using x.length instead of data[i].length
					texcoords[i] = [];
					texcoords[i].itemSize = 2;
					for(var j = 0; j < x.length; j++){
						texcoords[i][texcoords[i].length] = 0.5;
						texcoords[i][texcoords[i].length] = (data[i][j] - datamin) / datadelta;
					}
				}
				
				//linearize the elements array:
				var element;
				for(var i = 0; i < elements.length; i++){
					element = [elements[i][0] - 1, elements[i][1] - 1, elements[i][2] - 1];
					if (element[0] in nanindices || element[1] in nanindices || element[2] in nanindices) continue;
					indices[indices.length] = element[0];
					indices[indices.length] = element[1];
					indices[indices.length] = element[2];
				}
				indices.itemSize = 1;
				
				//Initialize movie loop
				node["movieInterval"] = 1000 / canvas.moviefps;
				node["movieTimestamps"] = timestamps;
				node["movieLength"] = timestamps.length;
				node["movieFrame"] = 0;
			
				if (canvas["movieHandler"])	clearInterval(canvas["movieHandler"]);
				canvas["movieHandler"] = setInterval(function () {
						node["movieFrame"] = canvas["movieFrame"];
						if (canvas["moviePlay"] && canvas["movieIncrement"]) {
							if (canvas["movieReverse"]) {
								node["movieFrame"] = (((node["movieFrame"] - 1) % node["movieLength"]) + node["movieLength"]) % node["movieLength"]; //Handle negative modulus
							}
							else {
								node["movieFrame"] = (((node["movieFrame"] + 1) % node["movieLength"]) + node["movieLength"]) % node["movieLength"]; //Handle negative modulus
							}
						}
						if (canvas["timeLabel"]) {
							canvas["timeLabel"].html(node["movieTimestamps"][node["movieFrame"]].toFixed(0) + " " + options.getfieldvalue("movietimeunit","yr"));
						}
						if (canvas["progressBar"]) {
							canvas["progressBar"].val(node["movieFrame"]);
							canvas["progressBar"].slider('refresh');
						}
						node["buffers"] = initBuffers(gl,[node["arrays"][0],node["arrays"][1][node["movieFrame"]],node["arrays"][2]]);
						canvas["movieFrame"] = node["movieFrame"];
					}, node["movieInterval"]);
				if (canvas["progressBar"]) {
					canvas["movieFrame"] = 0;
					canvas["progressBar"].val(0);
					canvas["progressBar"].attr('max', node["movieLength"]-1);
					canvas["progressBar"].slider('refresh');
				}
			}
			
			//Initalize buffers
			node["arrays"] = [vertices, texcoords, indices];
			node["buffers"] = initBuffers(gl,[node["arrays"][0],node["arrays"][1][0],node["arrays"][2]]);
			break;
		//}}}
		default:
			throw Error(sprintf("%s%i%s\n",'case ',datatype,' not supported'));
	}
}
function plot_quiver(md,options,canvas) {
	//PLOT_QUIVER - quiver plot with colors
	//
	//   Usage:
	//      plot_quiver(md,options,canvas)
	//
	//   See also: PLOTMODEL, PLOT_MANAGER

	//declare variables:  {{{
	var vertices = [];
	var indices = [];
	var colors = [];
	var rgbcolor = [];
	var xmin,xmax;
	var ymin,ymax;
	var zmin,zmax;
	var scale,matrixscale,vertexscale;
	
	//Process data and model
	var meshresults = processmesh(md,[],options);
	var x = meshresults[0]; 
	var y = meshresults[1]; 
	var z = meshresults[2]; 
	var elements = meshresults[3]; 
	var is2d = meshresults[4]; 
	var isplanet = meshresults[5];
	var v = md.initialization.vel;
	var vx = md.initialization.vx;
	var vy = md.initialization.vy;
		
	//Compue scaling through matrices for 2d meshes and vertices for 3d meshes
	if (!md.geometry.surface) {
		md.geometry.surface=NewArrayFill(md.mesh.x.length,0);
	}
	if (md.mesh.classname() == 'mesh3dsurface') {
		matrixscale = 1;
		vertexscale = options.getfieldvalue('heightscale',1);
	}
	else {
		if (md.geometry.surface) {
			z=md.geometry.surface;
		}	
		matrixscale = options.getfieldvalue('heightscale',1);
		vertexscale = 0;
	}
	//}}}

	//Compute coordinates and data range:
	var modelxlim = [ArrayMin(x),ArrayMax(x)];
	var modelylim = [ArrayMin(y),ArrayMax(y)];
	var modelzlim = [ArrayMin(z),ArrayMax(z)];
	var xlim = options.getfieldvalue('xlim',modelxlim);
	var ylim = options.getfieldvalue('ylim',modelylim);
	var zlim = options.getfieldvalue('zlim',modelzlim);
	xmin = xlim[0];
	xmax = xlim[1];
	ymin = ylim[0];
	ymax = ylim[1];
	zmin = zlim[0];
	zmax = zlim[1];

	//Compute gl variables:
	var gl = canvas.gl;
	var node = Node(gl,options);
	canvas.nodes[canvas.nodes.length] = node;
	scale = 1 / (xmax - xmin);
	node["shaderName"] = "colored";
	node["shader"] = gl["shaders"][node["shaderName"]]["program"];
	node["lineWidth"] = options.getfieldvalue('linewidth',1);
	node["scale"] = [scale, scale, scale * matrixscale];
	node["translation"] = [(xmin + xmax) / (-2 / scale), (ymin + ymax) / (-2 / scale), (zmin + zmax) / (2 / scale)];
	node["modelMatrix"] = recalculateModelMatrix(node);
	node["drawMode"] = gl.LINES;
	node["useIndexBuffer"] = false;
	node["drawOrder"] = 0;
	node["maskEnabled"] = options.getfieldvalue('innermask','off') == 'on';
	node["maskHeight"] = options.getfieldvalue('innermaskheight',150.0)*options.getfieldvalue('heightscale',1);
	node["maskColor"] = options.getfieldvalue('innermaskcolor',[0.0,0.0,1.0,1.0]);
				
	//some defaults:
	colors.itemSize = 4;

	//retrieve some options
	var edgecolor=new RGBColor(options.getfieldvalue('edgecolor','black'));
	if (edgecolor.ok) edgecolor = [edgecolor.r/255.0, edgecolor.g/255.0, edgecolor.b/255.0, 1.0];
	else throw Error(sprintf("s%s%s\n","initWebGL error message: cound not find out edgecolor color for curent canvas ",canvas));

	//node plot {{{
	if (elements[0].length==6){ //prisms
	}
	else if (elements[0].length==4){ //tetras
	}
	else{ //2D triangular elements
		vertices.itemSize = 3;
		var xyz = vec3.create();
		var xyz = vec3.create();
		var direction = vec3.create();
		var vertex = vec3.create();
		var vertexBase = vec3.create();
		var verticesArrow = [vec3.fromValues(0.0, 0.0, 0.0), vec3.fromValues(1.0, 0.0, 0.0), vec3.fromValues(0.667, -0.167, 0.0), vec3.fromValues(1.0, 0.0, 0.0), vec3.fromValues(0.667, 0.166, 0.0), vec3.fromValues(1.0, 0.0, 0.0)];
		var magnitude;
		var color = edgecolor;
		var scaling = options.getfieldvalue('scaling',1);
		var scale;
		for(var i = 0; i < x.length; i++){
			//Check for NaN values and remove from indices array as necessary, but preserve vertex array spacing
			if (isNaN(x[i]) || isNaN(y[i]) || isNaN(z[i])) continue;
			//Scale vertices
			xyz = vec3.fromValues(x[i], y[i], z[i]);
			magnitude = vec3.length(xyz) + md.geometry.surface[i] * vertexscale;
			vec3.normalize(direction, xyz);
			vec3.scale(vertex, direction, magnitude);
			vec3.copy(vertexBase, vertex);
			
			scale = scaling*v[i];
			var modelMatrix = mat4.create();
			var scaleMatrix = mat4.create();
			var rotationMatrix = mat4.create();
			mat4.scale(scaleMatrix, scaleMatrix, vec3.fromValues(scale, scale, scale));
			mat4.rotate(rotationMatrix, rotationMatrix, Math.atan2(vy[i], vx[i]), [0.0, 0.0, 1.0]);
			mat4.multiply(modelMatrix, rotationMatrix, scaleMatrix);

			var temp = vec3.fromValues(0.0, 0.0, 0.0);
			for (var j = 0; j < 6; j++){
				vec3.transformMat4(vertex, verticesArrow[j], modelMatrix);
				vec3.add(vertex, vertex, vertexBase);
				vertices[vertices.length] = vertex[0];
				vertices[vertices.length] = vertex[1];
				vertices[vertices.length] = vertex[2];
				
				colors[colors.length] = color[0];
				colors[colors.length] = color[1];
				colors[colors.length] = color[2];
				colors[colors.length] = color[3];
			}
		}
	}
	//}}}

	/*Initalize buffers: */
	node["arrays"] = [vertices, colors];
	node["buffers"] = initBuffers(gl, node["arrays"]);
}
function plotdoc() {
	//PLOTDOC - plot documentation
	//
	//   Usage:
	//      plotdoc()
	
	//TODO: Standardize image to overlay_image, heightscale to scaling, colorbarfontsize/color, clarify innermask/outermask, edgecolor implementation, check colormap, 

	console.log(' WARNING: starred methods (*) are experimental and not guarenteed to be stable');
	console.log('   Plot usage: plotmodel(model,varargin)');
	console.log('   Options: ');
	console.log('       "canvasid": canvas id');
	console.log('       "data" : what we want to plot');
	console.log('                Available values for "data" are: ');
	console.log('                  - any field of the model structure. ex: plot(md,"data","vel"), or plot(md,"data",md.initialization.vel)');
	console.log('                  - "mesh": draw mesh using trisurf');
	console.log('                  - "quiver": quiver plot');
	console.log('       "caxis": modify  colorbar range. (array of type [a, b] where b>=a)');
	console.log('       "backgroundcolor": plot background color. (default "lightcyan", ex: "green","blue")');
	console.log('       "colorbar": add colorbar (default "off", ex: "on", "off")');
	console.log('       "colorbarid": colorbar canvas id (string)');
	console.log('       "colorbartitle": colorbar title (string)');	
	console.log('       "colorbarnticks": number of colorbar ticks (default 6, ex: 2, 10)');	
	console.log('       "colorbarprecision": colorbar label digit precision (default 3, ex: 1, 4)');	
	console.log('       "colorbarorientation": oreintation of colorbar (default "vertical", ex: "horizontal")');
	console.log('       "colorbarinnerlabels": choose whether labels are inside colorbar (default "off", ex: "on", "off")');
	console.log('       "colorbarfontsize": specify colorbar font size (default 1, ex: 14, 22)');
	console.log('       "colorbarfontcolor": specify colorbar font color (default "black", ex: "green","blue")');
	console.log('       "colorbarwidth": multiplier (default 1) to the default width colorbar');
	console.log('       "colorbarheight": multiplier (default 1) to the default height colorbar');
	console.log('       "colormap": same as standard matlab option (default "jet", ex: "hsv","cool","spring","gray","Ala","Rignot",...)');
	console.log('       "edgecolor": same as standard matlab option EdgeColor (default "black", ex: color name: "blue" or RGB array: [0.5, 0.2, 0.8])');
	console.log('       "view": initial azimuth and elevation angles for camera (default [0,90], ex: [90, 180]');
	console.log('       "zoom": initial camera zoom as a percentage of default (default 1, ex: 1.5, 0.01)');
	console.log('       "centeroffset": initial camera offset from model center (default [0,0,0.0], ex: [-2, 1.5, 0.01])');
	console.log('       "xlim": x coordinates to fit inside camera (ex: [0, 500])');
	console.log('       "ylim": y coordinates to fit inside camera (ex: [0, 500])');
	console.log('       "zlim": z coordinates to fit inside camera (ex: [0, 500])');
	console.log('       "azlim": azimuth view limits (ex: [0, 180])');
	console.log('       "ellim": elevation view limits (ex: [-90, 90])');
	console.log('       "zoomlim": zoom view limits (ex: [0.05, 10])');
	console.log('       "displayview": print view value to console');
	console.log('       "displayzoom": print zoom value to console');
	console.log('       "controlsensitivity": sensitivty of view/zoom changes as a percentage of default (default 1, ex: 0.5, 2.75)');
	console.log('       "2d": renders orthographic camera with view set to [0, 90] (default "off", ex: "on", "off")');
	console.log('       "moviefps": frames per second when displaying transient runs (default 5, ex: 1, 10)');
	console.log('       "overlay": overlay a radar amplitude image behind (default "off", ex: "on", "off")');
	console.log('       "overlay_image": path to overlay image (default "off", ex: "on", "off")');
	console.log('       "alpha": transparency coefficient 0.0 to 1.0, the lower, the more transparent. (default 1.0, ex: 0.5, 0.25)');
	console.log('       "heightscale": scaling factor to accentuate height. (default 1, ex: 0.5, 100)');
	console.log('       "scaling*": scaling factor used by quiver plots. Default is 0.4');
	console.log('       "linewidth*": line width for mesh, quiver, and contour plots, currently limited by WebGL to 1. (default 1, ex: 2, 5)');
	console.log('       "cloud*": plot a cloud of points, given a flat array of 3d coordinates (ex: [0.0, 0.0, 0.0, 1.0, 1.0, 1.0])');
	console.log('       "expdisp*": plot exp file on top of a data plot. provide exp file as an argument (use a cell of strings if more than one)');
	console.log('       "textlabels*": plot text labels rendered in 3d space, using an array of text/coordinate pairs (ex: [{"pos":[0.0,0.0,0.0],"text":"origin"}])');
	console.log('       "outermask*": Special mask that colors all parts of a overlay mesh below a height a certain color. provide outermaskheight and outermaskcolor options also (default "off", ex: "on", "off")');
	console.log('       "innermask*": Special mask that colors all parts of a data mesh below a height a certain color. provide innermaskheight and innermaskcolor options also (default "off", ex: "on", "off")');
	console.log('       "mask": list of flags of size numberofnodes or numberofelements. Only "true" values are plotted ');
	console.log('       "log": value of log');
	console.log('  ');
	console.log('   Examples:');
	console.log('       plotmodel(md,"data","vel","data","mesh","view#2",3,"colorbar#all","on")');
	console.log('       plotmodel(md,"data",md.geomtery.surface)');
}function plotmodel(md){

	//Convert arguments to array: 
	var args = Array.prototype.slice.call(arguments);

	//First process options
	var  options = new plotoptions(args.slice(1,args.length));

	
	//get number of subplots
	subplotwidth=Math.ceil(Math.sqrt(options.numberofplots)); 
	
	//Get figure number and number of plots
	numberofplots=options.numberofplots;

	//if nlines and ncols specified, then bypass.
	var nlines,ncols;
	if (options.list[0].exist('nlines')){
		nlines=options.list[0].getfieldvalue('nlines');
	}
	else {
		nlines=Math.ceil(numberofplots/subplotwidth);
	}
	if (options.list[0].exist('ncols')){
		ncols=options.list[0].getfieldvalue('ncols');
	}
	else {
		ncols=subplotwidth;
	}
	
	//check that nlines and ncols were given at the same time!
	if ((options.list[0].exist('ncols') & !options.list[0].exist('nlines')) | (options.list[0].exist('nlines') & !options.list[0].exist('ncols'))) throw Error('plotmodel error message: nlines and ncols  need to be specified together, or not at all');

	//go through subplots
	if (numberofplots){
		//Reinitialize all canvases
		for (var i=0;i<numberofplots;i++){
			document.getElementById(options.list[i].getfieldvalue('canvasid')).initialized = false;
		}
		//Go through all data plottable and close window if an error occurs
		for (var i=0;i<numberofplots;i++){
			plot_manager(options.list[i].getfieldvalue('model',md),options.list[i],subplotwidth,nlines,ncols,i);

			//List all unused options
			options.list[i].displayunused();
		}
	}
}
function processdata(md,data,options){
	//PROCESSDATA - process data to be plotted
	//
	//   datatype = 1 -> elements
	//   datatype = 2 -> nodes
	//   datatype = 3 -> node quivers
	//   datatype = 4 -> patch
	//   datatype = 5 -> nodes transient
	//
	//   Usage:
	//      var array = processdata(md,data,options);
	//      var data = array[0]; 
	//      var datatype = array[1];
	//
	//   See also: PLOTMODEL, PROCESSMESH

	//variables: 
	var datatype;
	
	//check format
	if ( data.length ==0 | data === [] | typeof data === 'number' | ArrayAnyNaN(data) ){
		throw Error('plotmodel error message: data provided is empty');
	}

	//Process NaN if any (do not know before mask is applied)
	if (options.exist('nan')){
		var valuefornan=options.getfieldvalue('nan',0);
		for (var i=0;i<data.length;i++)if(IsNaN(data[i]))data[i]=valuefornan;
	}

	//special case for mesh 2dvertical
	if (md.mesh.domaintype() === '2Dvertical'){
		return processdata(md.mesh,md,data,options);
	}

	//needed later on
	if ('numberofvertices2d' in md.mesh){
		numberofvertices2d=md.mesh.numberofvertices2d; 
		numberofelements2d=md.mesh.numberofelements2d; 
	}
	else {
		numberofvertices2d=NaN;
		numberofelements2d=NaN;
	}

	//initialize datatype
	datatype=0;

	//get datasize
	datasize=data.length;

	//transpose data if necessary
	if (data[0].length > data.length){
		throw Error('processdata error message: you need to tranpose your data!');
	}


	//check length
	if (datasize != md.mesh.numberofvertices & datasize !=md.mesh.numberofelements & datasize!=md.mesh.numberofvertices*6 & 
			((md.mesh.domaintype() === '3D') & !(datasize==numberofelements2d | datasize==numberofvertices2d))){
		throw Error('plotmodel error message: data not supported yet');
	}


	//quiver?
	if (data[0].length>1){
		datatype=3;

		//check number of columns, add zeros if necessary,
		if (md.mesh.dimension()==3){
			if (data[0].length==2){
				data=[data, NewArrayFill(data.length,1)];
			}
			else if (data[0].length!=3){
				throw Error('plotmodel error message: data provided should have 2 or 3 columns for quiver plot, and 1 for regular plot');
			}
		}
	}

	//treat the case datasize(1)=6*nodes
	if (datasize==6*md.mesh.numberofvertices){
		//keep the only norm of data
		data1=new Array(md.mesh.numberofvertices);
		data2=new Array(md.mesh.numberofvertices);
		data=new Array(md.mesh.numberofvertices);
		for(var i=0;i<md.mesh.numberofvertices;i++){
			data1[i]=data[6*i+0];
			data2[i]=data[6*i+1];
			data[i]=Math.sqrt(pow(data1[i],2),pow(data2[i],2));
		}
		datasize=md.mesh.numberofvertices;
		//---> go to node data
	}

	//treat the case datasize(1)=nodes2d
	if (md.mesh.dimension()==3 & datasize==numberofvertices2d){
		data=project3d(md,'vector',data,'type','node');
		datasize=md.mesh.numberofvertices;
		//---> go to node data
	}

	//treat the case datasize=nodes2d
	if (md.mesh.dimension()==3 & datasize==numberofelements2d){
		data=project3d(md,'vector',data,'type','element');
		datasize=md.mesh.numberofelements;
		//---> go to node data
	}

	//smoothing?
	if (options.exist('smooth')){
		data=averaging(md,data,options.getfieldvalue('smooth'));
		datasize=md.mesh.numberofvertices;
		//---> go to node data
	}

	//element data
	if (datasize==md.mesh.numberofelements & data[0].length==1){

		//Initialize datatype if non patch
		if(datatype!=4 & datatype!=5){
			datatype=1;
		}

		//Mask?
		if(options.exist('mask')){
			flags=options.getfieldvalue('mask');
			if(flags.length==md.mesh.numberofvertices){
				for(var i=0;i<md.mesh.numberofelements;i++){
					var nanify=0;
					for(var j=0;j<md.mesh.elements[0].length;j++){
						if (flags[md.mesh.elements[i][j]-1]==0)nanify=1;
					}
					if(nanify) for(var j=0;j<md.mesh.elements[0].length;j++)data[md.mesh.elements[i][j]-1]=NaN;
				}
			}
			else if (flags.length==md.mesh.numberofelements){
				for(var i=0;i<md.mesh.numberofelements;i++)if (flags[i]==0)data[i]=NaN;
			}
			else{
				console.log('plotmodel warning: mask length not supported yet (supported length are md.mesh.numberofvertices and md.mesh.numberofelements)');
			}
		}

		//log?
		if (options.getfieldvalue('log','off')!='off'){
			var bounds=options.getfieldvalue('caxis',[ArrayMin(data),ArrayMax(data)]);
			for(var i=0;i<md.mesh.numberofelements;i++)if(data[i]<bounds[0])data[i]=bounds[0];
			for(var i=0;i<md.mesh.numberofelements;i++)if(data[i]<=0){
				throw Error("Log option cannot be applied on negative values. Use caxis option (Rignot''s settings: [1.5 max(data)])");
			}
			for(var i=0;i<md.mesh.numberofelements;i++){
				if(!IsNaN(data[i])){
					data[i]=Math.log10(data[i])/Math.log10(options.getfieldvalue('log',10));
				}
			}
		}
	}

	//node data
	if (datasize==md.mesh.numberofvertices){
		datatype=2;

		//Mask?
		if (options.exist('mask')){
			flags=options.getfieldvalue('mask');
			if (flags.length==md.mesh.numberofvertices){
				for(var i=0;i<md.mesh.numberofvertices;i++){
					if(flags[i]==0)data[i]=NaN;
				}
			}
			else if( length(flags)==md.mesh.numberofelements){
				for(var i=0;i<md.mesh.numberofelements;i++){
					if(flags[i]==0){
						for(var j=0;j<md.mesh.elements[0].length;j++){
							data[md.mesh.elements[i][j]-1]=NaN;
						}
					}
				}
			}
			else{
				console.log("plotmodel warning: mask length not supported yet (supported length are md.mesh.numberofvertices and md.mesh.numberofelements");
			}
		}

		//log?
		if (options.getfieldvalue('log','off')!='off'){
			var bounds=options.getfieldvalue('caxis',[ArrayMin(data),ArrayMax(data)]);
			for(var i=0;i<md.mesh.numberofvertices;i++)if(data[i]<bounds[0])data[i]=bounds[0];
			for(var i=0;i<md.mesh.numberofvertices;i++)if(data[i]>bounds[1])data[i]=bounds[1];
			for(var i=0;i<md.mesh.numberofvertices;i++)if(data[i]<=0){
				throw Error("Log option cannot be applied on negative values. Use caxis option (Rignot''s settings: [1.5 max(data)])");
			}
			for(var i=0;i<md.mesh.numberofvertices;i++){
			   data[i]=Math.log10(data[i])/Math.log10(options.getfieldvalue('log',10));
			}
		}
	}
	
	//node transient data
    if (datasize==md.mesh.numberofvertices+1){
        datatype=5;
		
		//log?	
		if (options.getfieldvalue('log','off')!='off'){
			var bounds=options.getfieldvalue('caxis',[ArrayMin(data),ArrayMax(data)]);
			for(var i=0;i<md.mesh.numberofvertices;i++) {
				for(var j=0;j<data[i].length;j++) {
					if(data[i][j]<bounds[0])data[i][j]=bounds[0];
				}
			}
			for(var i=0;i<md.mesh.numberofvertices;i++) {
				for(var j=0;j<data[i].length;j++) {
					if(data[i][j]>bounds[1])data[i][j]=bounds[1];
				}
			}
			for(var i=0;i<md.mesh.numberofvertices;i++) {
				for(var j=0;j<data[i].length;j++) {
					if(data[i][j]<=0) {
						throw Error("Log option cannot be applied on negative values. Use caxis option (Rignot''s settings: [1.5 max(data)])");
					}
				}
			}
			for(var i=0;i<md.mesh.numberofvertices;i++){
				for(var j=0;j<data[i].length;j++) {
					data[i][j]=Math.log10(data[i][j])/Math.log10(options.getfieldvalue('log',10));
				}
			}
		}
    }
	

	//layer projection? 
	if (options.getfieldvalue('layer',0)>=1){
		data=project2d(md,data,options.getfieldvalue('layer')); //project onto 2d mesh
	}

	//control arrow density if quiverplot: not done yet since conversion of matlab to javascript.
	/*if (datatype==3 & options.exist('density')){
		databak=data;
		data=NewArrayFill(datasize,NaN);

		density=options.getfieldvalue('density');
		data(1:density:end,:)=databak(1:density:end,:);
		clear databak
	}*/

	/*if (datatype==3){ //not done yet
		//Mask?
		if (options.exist('mask')){
			flags=options.getfieldvalue('mask');
			pos=find(~flags);
			if (flags.length==md.mesh.numberofvertices){
			   data(pos,:)=NaN;
			}
			else if (flags.length==md.mesh.numberofelements){
				data(md.mesh.elements(pos,:),:)=NaN;
			}
			else{
				console.log("plotmodel warning: mask length not supported yet (supported length are md.mesh.numberofvertices and md.mesh.numberofelements");
			}
		}
	}*/

	//OK, if datatype=0 error out
	if (datatype==0){
	   throw Error('data provided not recognized or not supported');
	}

	return [data,datatype];
}
function processmesh(md,data,options){
//PROCESSMESH - process mesh to be plotted
//
//   Usage:
//      var meshresults=processmesh(md,data,options)
//      var x=meshresults[0]; 
//      var y=meshresults[1]; 
//      var z=meshresults[2]; 
//      var elements=meshresults[3]; 
//      var is2d=meshresults[4]; 
//      var isplanet=meshresults[5]; 
//
//   See also: PLOTMODEL, PROCESSDATA

	var x,y,z,elements,is2d,isplanet;

	if (md.mesh.numberofvertices==0){
		throw Error('plot error message: mesh is empty');
	}


	if (md.mesh.numberofvertices==md.mesh.numberofelements){
		throw Error(['plot error message: the number of elements is the same as the number of nodes...']);
	}

	if (options.getfieldvalue('coord','xy') !== 'latlon'){
		x=md.mesh.x.slice();
		if ('x2d' in md.mesh) x2d=md.mesh.x2d.slice();
		y=md.mesh.y.slice();
		if ('y2d' in md.mesh) y2d=md.mesh.y2d.slice();
	}
	else{
		x=md.mesh.long.slice();
		y=md.mesh.lat.slice();
	}

	if ('z' in md.mesh){
		z=md.mesh.z.slice();
	}
	else{
		z=NewArrayFill(x.length,0);
	}
	z=options.getfieldvalue('z',z);
	if (typeof z === 'string'){
		z=md[z];
	}
	
	//TODO: Make deep copy of elements array to prevent unwanted modification of model (slice creates deep copies for primitive types, shallow copies for obejcts)
	if ('elements2d' in md.mesh) elements2d=md.mesh.elements2d.slice();
	elements=md.mesh.elements.slice();

	//is it a 2d plot?
	if (md.mesh.dimension()==2){
		is2d=1;
	}
	else{
		if (options.getfieldvalue('layer',0)>=1){
			is2d=1;
		}
		else{
			is2d=0;
		}
	}

	//layer projection? 
	if (options.getfieldvalue('layer',0)>=1){
		if (options.getfieldvalue('coord','xy') === 'latlon'){
			throw Error('processmesh error message: cannot work with 3D meshes for now');
		}
		
		//we modify the mesh temporarily to a 2d mesh from which the 3d mesh was extruded. 
		x=x2d;
		y=y2d;
		z=NewArrayFill(x2d.length,0);
		elements=elements2d;
	}

	//units
	if (options.exist('unit')){
		unit=options.getfieldvalue('unit');
		x=x*unit;
		y=y*unit;
		z=z*unit;
	}

	//for now, always isplanet = 0, as we don't have the isa capability: 
	//if isa(md,'planet'),
	//	isplanet=1;
	//else
	isplanet=0;
	//end

	return  [x,y,z,elements,is2d,isplanet];
}
function gauge() {
	//GAGUE - create a gague and label that display a value with unit label
	//
	//   Usage:
	//      gaugeslr = gauge('gaugediv','slr-controldiv','label','m');
	
	//Convert arguments to options
	var args = Array.prototype.slice.call(arguments);
	var options = new pairoptions(args);

	gaugecanvas = options.getfieldvalue('gaugecanvas','gauge');
	gaugetext = options.getfieldvalue('gaugetext','gauge-text');
	gaugediv = options.getfieldvalue('gaugediv','slr-controldiv');
	gaugevalue = options.getfieldvalue('value',0);
	min = options.getfieldvalue('min',0);
	max = options.getfieldvalue('max',22);
	colors = options.getfieldvalue('colors',[[0.0, "#000000" ], [0.50, "#880000"], [1.0, "#ff0000"]]);
	label = options.getfieldvalue('label','');
	
	$('<div class="bordered margin-8 padding-8"><canvas id="'+gaugecanvas+'" width="100px" height="50%" class="gauge-canvas"></canvas><div id="'+gaugetext+'" class="gauge-text"></div></div>').appendTo('#'+gaugediv);
	
	var opts = {
		lines: 12, // The number of lines to draw
		angle: 0, // The length of each line
		lineWidth: 0.38, // The line thickness
		pointer: {
			length: 0, // The radius of the inner circle
			strokeWidth: 0, // The rotation offset
			color: '#000000' // Fill color
		},
		limitMax: 'false',   // If true, the pointer will not go past the end of the gauge
		colorStart: '#6F6EA0',   // Colors
		colorStop: '#C0C0DB',    // just experiment with them
		strokeColor: '#EEEEEE',   // to see which ones work best for you
		percentColors: colors,
		generateGradient: true
	};
	var target = document.getElementById(gaugecanvas)
	var gauge = new Gauge(target).setOptions(opts);
	gauge.setTextField(document.getElementById(gaugetext));
	gauge.label = label;
	gauge.textField.render = function(gauge) {
      return this.el.innerHTML = gauge.displayedValue.toFixed(0) + ' ' + gauge.label;
    };
	gauge.minValue = min;
	gauge.maxValue = max;
	gauge.animationSpeed = 1;
	gauge.set(1); // set once to initialize?
	gauge.set(gaugevalue); // set actual value
	
	return gauge;
}
/*This is where we have all our webgl relevant functionality for the plotting routines: */
//{{{ Canvas Initialization
function initCanvas(options) {
	//Initialize open Gl for each canvas, if needed: 
	var canvas=document.getElementById(options.getfieldvalue('canvasid'));
	if (!canvas.initialized) {
		canvas.gl = initWebGL(canvas,options);
		canvas.nodes = [];
		if (canvas.drawHandler)	window.cancelAnimationFrame(canvas.drawHandler);
		draw(canvas,options);
		canvas.initialized = true;
	}
	return canvas;
}
function initWebGL(canvas,options) { //{{{
	var gl;

	try {
		// Try to grab the standard context. If it fails, fallback to experimental.
		gl = canvas.getContext("webgl") || canvas.getContext("experimental-webgl");
	}
	catch(e) {}

	// If we don't have a GL context, give up now
	if (!gl) {
		alert("Unable to initialize WebGL. Your browser may not support it.");
	}
		
	// Enable depth testing
	gl.enable(gl.DEPTH_TEST);
	// Near things obscure far things
	gl.depthFunc(gl.LEQUAL);
	// Clear the color as well as the depth buffer.
	gl.clear(gl.COLOR_BUFFER_BIT | gl.DEPTH_BUFFER_BIT);
	// Enable color blending/overlay
	gl.enable(gl.BLEND);

	// Allocate arrays equal to maximium number of attributes used by any one shader
	gl.enableVertexAttribArray(0);
	gl.enableVertexAttribArray(1);

	// Load shaders and store them in gl object
	gl.shaders = loadShaders(gl);
	
	// Add context state variables
	//TODO:Group variables in objects for organization and naming
	canvas.gl = gl;
	canvas.zoomBounds = options.getfieldvalue('zoomlim',[0.001,100.0]);
	canvas.zoom = clamp(options.getfieldvalue('zoom',1.0), canvas.zoomBounds[0], canvas.zoomBounds[1]);
	canvas.zoomLast = canvas.zoom;
	canvas.cameraMatrix = mat4.create();
	canvas.translation = options.getfieldvalue('origin',[0,0,0.0]);
	canvas.rotationAzimuthBounds = options.getfieldvalue('azlim',[0,360]);
	canvas.rotationElevationBounds = options.getfieldvalue('ellim',[-180,180]);
	canvas.view = options.getfieldvalue('view',[0,90]); //0 azimuth - up is north, 90 elevation - looking straight down
	canvas.rotation = canvas.view;
	canvas.controlsensitivity = options.getfieldvalue('controlsensitivity',1);
	canvas.twod = options.getfieldvalue('2d','off') == 'on';
	canvas.moviePlay = true;
	canvas.movieReverse = false;
	canvas.movieIncrement = true;
	canvas.moviefps = options.getfieldvalue('moviefps',5);
	
	// Add event listeners for canvas
	var displayview = options.getfieldvalue('displayview','off') == 'on';
	var displayzoom = options.getfieldvalue('displayzoom','off') == 'on';
	var mc = new Hammer.Manager(canvas);
	
    mc.add(new Hammer.Pan({threshold:0, pointers:0}));
    mc.add(new Hammer.Pinch({threshold:0})).recognizeWith(mc.get('pan'));
    mc.on("panstart panmove", function (ev) {onPan(ev,canvas,displayview);});
    mc.on("pinchstart pinchmove", function (ev) {onPinch(ev,canvas,displayview);});
	//mc.on("mousewheel DOMMouseScroll", function (ev) {onZoom(ev,canvas,options);});
	
	canvas.addEventListener("mousewheel", function (ev) {onZoom(ev,canvas,displayzoom)}, false);
	canvas.addEventListener("DOMMouseScroll", function (ev) {onZoom(ev,canvas,displayzoom)}, false);
	
	return gl;
} //}}}
function initBuffers(gl,arrays) { //{{{	
	var bufferArray = [];
	for (var i = 0; i < arrays.length; i++) {
		bufferArray[i] = gl.createBuffer();	
		bufferArray[i].itemSize = arrays[i].itemSize;
		bufferArray[i].numItems = arrays[i].length/bufferArray[i].itemSize;
		
		if (bufferArray[i].itemSize > 1) {
			gl.bindBuffer(gl.ARRAY_BUFFER, bufferArray[i]);
			gl.bufferData(gl.ARRAY_BUFFER, new Float32Array(arrays[i]), gl.STATIC_DRAW);
		}
		else {
			//TODO: identify index buffers uniquely (by name)
			gl.bindBuffer(gl.ELEMENT_ARRAY_BUFFER, bufferArray[i]);
			gl.bufferData(gl.ELEMENT_ARRAY_BUFFER, new Uint16Array(arrays[i]), gl.STATIC_DRAW);
		}
	}	
	return bufferArray;
} //}}}
function initTexture(gl,imageSource) { //{{{
	var texture = gl.createTexture();
	texture.image = new Image();
	texture.isLoaded = false;
	texture.image.onload = function () {
		handleLoadedTexture(gl,texture);
	}
	texture.image.src = imageSource;
	return texture;
} //}}}
function handleLoadedTexture(gl,texture) { //{{{
	gl.activeTexture(gl.TEXTURE0);
	gl.bindTexture(gl.TEXTURE_2D, texture);
	gl.pixelStorei(gl.UNPACK_FLIP_Y_WEBGL, true);
	gl.texImage2D(gl.TEXTURE_2D, 0, gl.RGBA, gl.RGBA, gl.UNSIGNED_BYTE, texture.image);
	gl.generateMipmap(gl.TEXTURE_2D);
	gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_MIN_FILTER, gl.NEAREST_MIPMAP_LINEAR);
	gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_MAG_FILTER, gl.LINEAR);
	gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_WRAP_S, gl.CLAMP_TO_EDGE);
	gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_WRAP_T, gl.CLAMP_TO_EDGE);
	gl.bindTexture(gl.TEXTURE_2D, null);
	texture.isLoaded = true;
} //}}}
function Node(gl,options) { //{{{
	//Returns a Node object that contains default display states for webgl object
	return {buffers:[],
		shader:gl.shaders["colored"]["program"],
		draw:null,
		hideOcean:false,
		level:0,
		useIndexBuffer:true,
		alpha:1.0,
		lineWidth:1.0,
		disableDepthTest:false, 
		enableCullFace:false,
		cullFace:gl.FRONT,
		drawMode:gl.TRIANGLES,
		texture:null,
		translation:vec3.create(),
		rotation:vec3.fromValues(-90, 0, 0),
		scale:vec3.fromValues(1, 1, 1),
		modelMatrix:mat4.create(),
		shaderName:"colored",
		drawOrder:0,
		maskEnabled:false,
		maskHeight:150.0,
		maskColor:vec4.fromValues(0.0, 0.0, 1.0, 1.0),
		enabled:true,
	};
} //}}}
function recalculateModelMatrix(node) { //{{{
	//TODO: move to 0,0,0, rotate,move back to normal space, then apply transform
	var modelMatrix = mat4.create();

	var scaleMatrix = mat4.create();
	mat4.scale(scaleMatrix, scaleMatrix, node["scale"]);
	mat4.multiply(modelMatrix, scaleMatrix, modelMatrix);

	var translationMatrix = mat4.create();
	mat4.translate(translationMatrix, translationMatrix, node["translation"]); //relative translation
	mat4.multiply(modelMatrix, translationMatrix, modelMatrix);
	
	var zRotationMatrix = mat4.create();	
	mat4.rotate(zRotationMatrix, zRotationMatrix, radians(node["rotation"][2]), [0.0, 0.0, 1.0]);
	mat4.multiply(modelMatrix, zRotationMatrix, modelMatrix);
	var yRotationMatrix = mat4.create();	
	mat4.rotate(yRotationMatrix, yRotationMatrix, radians(node["rotation"][1]), [0.0, 1.0, 0.0]);
	mat4.multiply(modelMatrix, yRotationMatrix, modelMatrix);
	var xRotationMatrix = mat4.create();	
	mat4.rotate(xRotationMatrix, xRotationMatrix, radians(node["rotation"][0]), [1.0, 0.0, 0.0]);
	mat4.multiply(modelMatrix, xRotationMatrix, modelMatrix);

	return modelMatrix;
} //}}}
function radians (degrees) { //{{{
  return degrees * Math.PI / 180;
} //}}}
function degrees (radians) { //{{{
  return radians * 180 / Math.PI;
} //}}}
function clamp(value, min, max) { //{{{
	return Math.max(min, Math.min(value, max));
} //}}}
function recover(canvasid,name,defaultvalue) { //{{{
	var canvas  = document.getElementById(canvasid);
	if (canvas && canvas.hasOwnProperty(name)) {
		return canvas[name];
	}
	return defaultvalue;
} //}}}
//}}}
//{{{ Shader Loading
function loadShaders(gl) { //{{{
	var shaderNames = ["colored", "unlit_textured"];
	shaders = {};
	shaders["colored"] = {loaded:false, vsh:{}, fsh:{}};
	shaders["colored"]["vsh"]["string"] = 
		['attribute vec3 aVertexPosition;',
		'attribute vec4 aVertexColor;',
		'',
		'uniform mat4 uMVPMatrix;',
		'uniform float uAlpha;',
		'',
		'varying vec4 vColor;',
		'',
		'void main(void) {',
		'	gl_PointSize = 3.0;',
		'	gl_Position = uMVPMatrix * vec4(aVertexPosition.xyz, 1.0);',
		'	vColor = vec4(aVertexColor.xyz, uAlpha);',
		'}'].join('\n');
	shaders["colored"]["fsh"]["string"] =
		['precision mediump float;',
		'',
		'varying vec4 vColor;',
		'',
		'void main(void) {',
		'	gl_FragColor = vColor;',
		'}'].join('\n');
	shaders["unlit_textured"] = {loaded:false, vsh:{}, fsh:{}};
	shaders["unlit_textured"]["vsh"]["string"] = 
		['attribute vec3 aVertexPosition;',
		'attribute vec2 aTextureCoord;',
		'',
		'uniform mat4 uMVPMatrix;',
		'',
		'varying vec2 vTextureCoord;',
		'varying float vZCoord;',
		'',
		'void main(void) {',
		'	gl_PointSize = 3.0;',
		'	gl_Position = uMVPMatrix * vec4(aVertexPosition.xyz, 1.0);',
		'	vTextureCoord = aTextureCoord;',
		'	vZCoord = aVertexPosition.z;',
		'}'].join('\n');
	shaders["unlit_textured"]["fsh"]["string"] =
		['precision mediump float;',
		'',
		'varying vec2 vTextureCoord;',
		'varying float vZCoord;',
		'',
		'uniform sampler2D uColorSampler;',
		'uniform float uAlpha;',
		'uniform bool uMaskEnabled;',
		'uniform float uMaskHeight;',
		'uniform vec4 uMaskColor;',
		'',
		'void main(void) {',
		'	if (uMaskEnabled && (vZCoord < uMaskHeight)) {',
		'		gl_FragColor = vec4(uMaskColor.xyz, uAlpha);',
		'	}',
		'	else {',
		'		gl_FragColor = vec4(texture2D(uColorSampler, vec2(vTextureCoord.s, vTextureCoord.t)).rgb, uAlpha);',
		'	}',
		'}'].join('\n');
	shaderNames.forEach(function(shaderName){
		shaders[shaderName]["vsh"]["shader"] = getShaderByString(gl, shaders[shaderName]["vsh"]["string"], "vsh");
		shaders[shaderName]["fsh"]["shader"] = getShaderByString(gl, shaders[shaderName]["fsh"]["string"], "fsh");

		shaders[shaderName]["program"] = gl.createProgram();
		gl.attachShader(shaders[shaderName]["program"], shaders[shaderName]["vsh"]["shader"]);
		gl.attachShader(shaders[shaderName]["program"], shaders[shaderName]["fsh"]["shader"]);
		gl.linkProgram(shaders[shaderName]["program"]);

		if (!gl.getProgramParameter(shaders[shaderName]["program"], gl.LINK_STATUS)) {
			alert("Could not initialise shaders");
		}

		var vshStringArray = shaders[shaderName]["vsh"]["string"].split("\n");
		var fshStringArray = shaders[shaderName]["fsh"]["string"].split("\n");
		var line = "";
		var property = "";
		for (var i = 0; i < vshStringArray.length; i++) {
			line = vshStringArray[i];
			if (line.search("attribute") != -1) {
				property = nameFromLine(line);
				shaders[shaderName]["program"][property] = gl.getAttribLocation(shaders[shaderName]["program"], property);
			}
			else if (line.search("uniform") != -1) {
				property = nameFromLine(line);
				shaders[shaderName]["program"][property] = gl.getUniformLocation(shaders[shaderName]["program"], property);
			}
			else if (line.search("void main") != -1) {
				break;
			}
		}
		for (var i = 0; i < fshStringArray.length; i++) {
			line = fshStringArray[i];
			if (line.search("uniform") != -1) {
				property = nameFromLine(line);
				shaders[shaderName]["program"][property] = gl.getUniformLocation(shaders[shaderName]["program"], property);
			}
			else if (line.search("void main") != -1) {
				break;
			}
		}
		shaders[shaderName]["loaded"] = true;
	});
	return shaders;
} //}}}
function getShaderByString(gl,str,type) { //{{{
	var shader;
	if (type == "fsh") {
		shader = gl.createShader(gl.FRAGMENT_SHADER);
	}
	else if (type == "vsh") {
		shader = gl.createShader(gl.VERTEX_SHADER);
	}
	else {
		return null;
	}
	
	gl.shaderSource(shader, str);
	gl.compileShader(shader);

	if (!gl.getShaderParameter(shader, gl.COMPILE_STATUS)) {	
		alert(gl.getShaderInfoLog(shader));
		return null;
	}

	return shader;
} //}}}
function nameFromLine(line) { //{{{
	//returns lowerCamelCase property name from shader line
	var fullName = line.split(" ")[2];
	return fullName.slice(0, fullName.search(";"));
} //}}}
//}}}
//{{{ Interface Functions
function onPan(ev,canvas,displaylog) { //{{{
	ev.preventDefault();
	if (ev.type == 'panstart') {
		canvas.lastDeltaX = 0;
		canvas.lastDeltaY = 0;
	}
	if (ev.srcEvent.shiftKey || ev.pointers.length == 2) {
		var deltaX = (canvas.lastDeltaX - ev.deltaX) / canvas.clientWidth / canvas.zoom * -2 * canvas.controlsensitivity;
		var deltaY = (canvas.lastDeltaY - ev.deltaY) / canvas.clientHeight / canvas.zoom * -2 * canvas.controlsensitivity;
		
		if (canvas.twod) {
			canvas.translation[0] += Math.cos(radians(canvas.rotation[0])) * deltaX - Math.sin(radians(0)) * deltaY;
			canvas.translation[1] += Math.sin(radians(canvas.rotation[0])) * deltaX + Math.cos(radians(0)) * deltaY;
		}
		else {
			canvas.translation[0] += Math.cos(radians(canvas.rotation[0])) * deltaX - Math.sin(radians(canvas.rotation[0])) * deltaY;
			canvas.translation[1] += Math.sin(radians(canvas.rotation[0])) * deltaX + Math.cos(radians(canvas.rotation[0])) * deltaY;
		}
	}
	else {
		canvas.rotation[0] += degrees((canvas.lastDeltaX - ev.deltaX) / canvas.clientWidth / canvas.zoom * -2 * canvas.controlsensitivity);
		canvas.rotation[1] += degrees((canvas.lastDeltaY - ev.deltaY) / canvas.clientHeight / canvas.zoom * -2 * canvas.controlsensitivity);
		
		if (canvas.rotation[0] > 360) {canvas.rotation[0] -= 360};
		if (canvas.rotation[0] < -360) {canvas.rotation[0] += 360};
		if (canvas.rotation[1] > 180) {canvas.rotation[1] -= 360};
		if (canvas.rotation[1] < -180) {canvas.rotation[1] += 360};
		
		canvas.rotation[0] = clamp(canvas.rotation[0], canvas.rotationAzimuthBounds[0], canvas.rotationAzimuthBounds[1]);
		canvas.rotation[1] = clamp(canvas.rotation[1], canvas.rotationElevationBounds[0], canvas.rotationElevationBounds[1])
	}
	canvas.lastDeltaX = ev.deltaX;
	canvas.lastDeltaY = ev.deltaY;
	
	if (displaylog) console.log(canvas.rotation);
} //}}}
function onPinch(ev,canvas,displaylog) { //{{{
	ev.preventDefault();
	if (ev.type == 'pinchstart') {
		canvas.zoomLast = canvas.zoom;
	}
	else {
		canvas.zoom = clamp(ev.scale * canvas.zoomLast, canvas.zoomBounds[0], canvas.zoomBounds[1]);
		if (displaylog) console.log(canvas.zoom);
	}
} //}}}
function onZoom(ev,canvas,displaylog) { //{{{
	ev.preventDefault();
	var delta = clamp(clamp(ev.scale || ev.wheelDelta || -ev.detail, -1, 1) * canvas.controlsensitivity * canvas.zoom / 20, -1.0, 1.0);
	canvas.zoom = clamp(canvas.zoom + delta, canvas.zoomBounds[0], canvas.zoomBounds[1]);
	
	if (displaylog) console.log(canvas.zoom);
} //}}}
//}}}
//{{{ Drawing Functions
function updateCameraMatrix(canvas) { //{{{
    //Update view matrix and multiply with projection matrix to get the view-projection (camera) matrix.
	var vMatrix = mat4.create();
	var pMatrix = mat4.create();
	var translateMatrix = mat4.create();
	var rotationMatrix = mat4.create();
	var azimuthRotationMatrix = mat4.create();
	var elevationRotationMatrix = mat4.create();
	var aspectRatio = canvas.clientWidth / canvas.clientHeight;

	if (canvas.twod) {
		mat4.ortho(pMatrix, -aspectRatio/canvas.zoom, aspectRatio/canvas.zoom, -1/canvas.zoom, 1/canvas.zoom, -1.0, 10000.0);
	}
	else {
		mat4.perspective(pMatrix, 60 * Math.PI / 180, aspectRatio, 0.001, 10000.0);
	}
	
	//Apply worldspace translation
	mat4.translate(translateMatrix, translateMatrix, [canvas.translation[0], canvas.translation[2], canvas.translation[1]]);
	mat4.multiply(vMatrix, translateMatrix, vMatrix);
	
	//Calculate rotation around camera focal point about worldspace origin
	if (canvas.twod) {
		mat4.rotate(azimuthRotationMatrix, azimuthRotationMatrix, radians(0), [0, 1, 0]);
		mat4.rotate(elevationRotationMatrix, elevationRotationMatrix, radians(90), [1, 0, 0]);
		mat4.multiply(rotationMatrix, elevationRotationMatrix, azimuthRotationMatrix);
	}
	else {
		mat4.rotate(azimuthRotationMatrix, azimuthRotationMatrix, radians(canvas.rotation[0]), [0, 1, 0]);
		mat4.rotate(elevationRotationMatrix, elevationRotationMatrix, radians(canvas.rotation[1]), [1, 0, 0]);
		mat4.multiply(rotationMatrix, elevationRotationMatrix, azimuthRotationMatrix);
	}
	
	//Apply rotation and scaling transform
	mat4.multiply(vMatrix, rotationMatrix, vMatrix);
	
	//Apply screenspace translation
	mat4.identity(translateMatrix);
	mat4.translate(translateMatrix, translateMatrix, [0.0, 0.0, -1/canvas.zoom]);
	mat4.multiply(vMatrix, translateMatrix, vMatrix);

	//Apply projection matrix to get camera matrix
	mat4.multiply(canvas.cameraMatrix, pMatrix, vMatrix);
}//}}}
function drawSceneGraphNode(canvas,node) { //{{{
	if (!node["enabled"]) {
		return;
	}
	if (node["texture"]) {
		if (!node["texture"]["isLoaded"]) {
			return;
		}
	}
	var gl = canvas.gl;
	bindAttributes(gl, node["shader"], node["buffers"]);
	var mvpMatrix = mat4.create();
	mat4.multiply(mvpMatrix, canvas.cameraMatrix, node["modelMatrix"]);
	gl.uniformMatrix4fv(node["shader"]["uMVPMatrix"], false, mvpMatrix);
	gl.uniform1f(node["shader"]["uAlpha"], node["alpha"]);
	gl.uniform1i(node["shader"]["uMaskEnabled"], node["maskEnabled"]);
	gl.uniform1f(node["shader"]["uMaskHeight"], node["maskHeight"]);
	gl.uniform4fv(node["shader"]["uMaskColor"], node["maskColor"]);
	if (node["texture"]) {
		gl.activeTexture(gl.TEXTURE0);
		gl.bindTexture(gl.TEXTURE_2D, node["texture"]);
		gl.uniform1i(node["shader"]["uColorSampler"], 0);	
	}
	if (node["disableDepthTest"]) {
		gl.disable(gl.DEPTH_TEST);
	}
	gl.lineWidth(node["lineWidth"]);
	gl.blendFunc (gl.SRC_ALPHA, gl.ONE_MINUS_SRC_ALPHA);
	if  (node["useIndexBuffer"] == true) {
		gl.bindBuffer(gl.ELEMENT_ARRAY_BUFFER, node["buffers"][node["buffers"].length - 1]);
		gl.drawElements(node["drawMode"], node["buffers"][node["buffers"].length - 1].numItems, gl.UNSIGNED_SHORT, 0);
	}
	else {
		gl.drawArrays(node["drawMode"], 0, node["buffers"][0].numItems);
	}	
	gl.enable(gl.DEPTH_TEST);
} //}}}
function bindAttributes(gl,shaderProgram,bufferArray) { //{{{
	gl.useProgram(shaderProgram);
	var arrayNumber = 0;
	for (var propertyName in shaderProgram) {
		if (propertyName[0] == "a") {
			if (bufferArray[arrayNumber].itemSize > 1) {
				gl.bindBuffer(gl.ARRAY_BUFFER, bufferArray[arrayNumber]);
				gl.vertexAttribPointer(shaderProgram[propertyName], bufferArray[arrayNumber].itemSize, gl.FLOAT, false, 0, 0);
				arrayNumber++;
			}
		}
	}
} //}}}
function draw(canvas,options) { //{{{
	if (!canvas.nodes) {
		canvas.drawHandler = window.requestAnimationFrame(function(time) {draw(canvas,options)});
		return;
	}
	// Ensure canvas and gl viewport sizes are the same
	var displayWidth  = canvas.clientWidth;
	var displayHeight = canvas.clientHeight;
	if (canvas.width  != displayWidth || canvas.height != displayHeight) {
		canvas.width  = displayWidth;
		canvas.height = displayHeight;
		canvas.gl.viewport(0, 0, canvas.width, canvas.height);
	}
	
	if (canvas.textcanvas) {
		canvas.textcanvas.draw(canvas);
	}

	// Set clear color to black, fully opaque
	var gl = canvas.gl;
	var backgroundcolor = new RGBColor(options.getfieldvalue('backgroundcolor','lightcyan'));
	if (backgroundcolor.ok) gl.clearColor(backgroundcolor.r/255.0, backgroundcolor.g/255.0, backgroundcolor.b/255.0, 1.0);
	else throw Error(sprintf("s%s%s\n","initWebGL error message: cound not find out background color for curent canvas ",canvas));
		
	// Skip drawing of new frame if any texture is not yet loaded
	var nodes = canvas.nodes;
	for (var node in nodes) {
		if (nodes[node]["texture"] && !nodes[node]["texture"]["isLoaded"]) {
			canvas.drawHandler = window.requestAnimationFrame(function(time) {draw(canvas,options)});
			return;
		}
	}
	// Else, clear the color as well as the depth buffer for new frame
	gl.clear(gl.COLOR_BUFFER_BIT | gl.DEPTH_BUFFER_BIT);
	
	updateCameraMatrix(canvas);
	
	var drawPassNumber = 2;
	for (var i = drawPassNumber - 1; i >= 0; i--) {
		for (var node in nodes) {
			if (nodes[node]["drawOrder"] == i) {
				drawSceneGraphNode(canvas,nodes[node]);
			}
		}
	}
	canvas.drawHandler = window.requestAnimationFrame(function(time) {draw(canvas,options)});
} //}}}
//}}}
function sprintf() {
  //  discuss at: http://phpjs.org/functions/sprintf/
  // original by: Ash Searle (http://hexmen.com/blog/)
  // improved by: Michael White (http://getsprink.com)
  // improved by: Jack
  // improved by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
  // improved by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
  // improved by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
  // improved by: Dj
  // improved by: Allidylls
  //    input by: Paulo Freitas
  //    input by: Brett Zamir (http://brett-zamir.me)
  //   example 1: sprintf("%01.2f", 123.1);
  //   returns 1: 123.10
  //   example 2: sprintf("[%10s]", 'monkey');
  //   returns 2: '[    monkey]'
  //   example 3: sprintf("[%'#10s]", 'monkey');
  //   returns 3: '[####monkey]'
  //   example 4: sprintf("%d", 123456789012345);
  //   returns 4: '123456789012345'
  //   example 5: sprintf('%-03s', 'E');
  //   returns 5: 'E00'

  var regex = /%%|%(\d+\$)?([\-+\'#0 ]*)(\*\d+\$|\*|\d+)?(?:\.(\*\d+\$|\*|\d+))?([scboxXuideEfFgG])/g;
  var a = arguments;
  var i = 0;
  var format = a[i++];

  // pad()
  var pad = function(str, len, chr, leftJustify) {
    if (!chr) {
      chr = ' ';
    }
    var padding = (str.length >= len) ? '' : new Array(1 + len - str.length >>> 0)
      .join(chr);
    return leftJustify ? str + padding : padding + str;
  };

  // justify()
  var justify = function(value, prefix, leftJustify, minWidth, zeroPad, customPadChar) {
    var diff = minWidth - value.length;
    if (diff > 0) {
      if (leftJustify || !zeroPad) {
        value = pad(value, minWidth, customPadChar, leftJustify);
      } else {
        value = value.slice(0, prefix.length) + pad('', diff, '0', true) + value.slice(prefix.length);
      }
    }
    return value;
  };

  // formatBaseX()
  var formatBaseX = function(value, base, prefix, leftJustify, minWidth, precision, zeroPad) {
    // Note: casts negative numbers to positive ones
    var number = value >>> 0;
    prefix = (prefix && number && {
      '2'  : '0b',
      '8'  : '0',
      '16' : '0x'
    }[base]) || '';
    value = prefix + pad(number.toString(base), precision || 0, '0', false);
    return justify(value, prefix, leftJustify, minWidth, zeroPad);
  };

  // formatString()
  var formatString = function(value, leftJustify, minWidth, precision, zeroPad, customPadChar) {
    if (precision !== null && precision !== undefined) {
      value = value.slice(0, precision);
    }
    return justify(value, '', leftJustify, minWidth, zeroPad, customPadChar);
  };

  // doFormat()
  var doFormat = function(substring, valueIndex, flags, minWidth, precision, type) {
    var number, prefix, method, textTransform, value;

    if (substring === '%%') {
      return '%';
    }

    // parse flags
    var leftJustify = false;
    var positivePrefix = '';
    var zeroPad = false;
    var prefixBaseX = false;
    var customPadChar = ' ';
    var flagsl = flags.length;
    var j;
    for (j = 0; flags && j < flagsl; j++) {
      switch (flags.charAt(j)) {
      case ' ':
        positivePrefix = ' ';
        break;
      case '+':
        positivePrefix = '+';
        break;
      case '-':
        leftJustify = true;
        break;
      case "'":
        customPadChar = flags.charAt(j + 1);
        break;
      case '0':
        zeroPad = true;
        customPadChar = '0';
        break;
      case '#':
        prefixBaseX = true;
        break;
      }
    }

    // parameters may be null, undefined, empty-string or real valued
    // we want to ignore null, undefined and empty-string values
    if (!minWidth) {
      minWidth = 0;
    } else if (minWidth === '*') {
      minWidth = +a[i++];
    } else if (minWidth.charAt(0) === '*') {
      minWidth = +a[minWidth.slice(1, -1)];
    } else {
      minWidth = +minWidth;
    }

    // Note: undocumented perl feature:
    if (minWidth < 0) {
      minWidth = -minWidth;
      leftJustify = true;
    }

    if (!isFinite(minWidth)) {
      throw new Error('sprintf: (minimum-)width must be finite');
    }

    if (!precision) {
      precision = 'fFeE'.indexOf(type) > -1 ? 6 : (type === 'd') ? 0 : undefined;
    } else if (precision === '*') {
      precision = +a[i++];
    } else if (precision.charAt(0) === '*') {
      precision = +a[precision.slice(1, -1)];
    } else {
      precision = +precision;
    }

    // grab value using valueIndex if required?
    value = valueIndex ? a[valueIndex.slice(0, -1)] : a[i++];

    switch (type) {
    case 's':
      return formatString(String(value), leftJustify, minWidth, precision, zeroPad, customPadChar);
    case 'c':
      return formatString(String.fromCharCode(+value), leftJustify, minWidth, precision, zeroPad);
    case 'b':
      return formatBaseX(value, 2, prefixBaseX, leftJustify, minWidth, precision, zeroPad);
    case 'o':
      return formatBaseX(value, 8, prefixBaseX, leftJustify, minWidth, precision, zeroPad);
    case 'x':
      return formatBaseX(value, 16, prefixBaseX, leftJustify, minWidth, precision, zeroPad);
    case 'X':
      return formatBaseX(value, 16, prefixBaseX, leftJustify, minWidth, precision, zeroPad)
        .toUpperCase();
    case 'u':
      return formatBaseX(value, 10, prefixBaseX, leftJustify, minWidth, precision, zeroPad);
    case 'i':
    case 'd':
      number = +value || 0;
      // Plain Math.round doesn't just truncate
      number = Math.round(number - number % 1);
      prefix = number < 0 ? '-' : positivePrefix;
      value = prefix + pad(String(Math.abs(number)), precision, '0', false);
      return justify(value, prefix, leftJustify, minWidth, zeroPad);
    case 'e':
    case 'E':
    case 'f': // Should handle locales (as per setlocale)
    case 'F':
    case 'g':
    case 'G':
      number = +value;
      prefix = number < 0 ? '-' : positivePrefix;
      method = ['toExponential', 'toFixed', 'toPrecision']['efg'.indexOf(type.toLowerCase())];
      textTransform = ['toString', 'toUpperCase']['eEfFgG'.indexOf(type) % 2];
      value = prefix + Math.abs(number)[method](precision);
      return justify(value, prefix, leftJustify, minWidth, zeroPad)[textTransform]();
    default:
      return substring;
    }
  };

  return format.replace(regex, doFormat);
}
function loadresultsfrombuffer(md,buffer,buffersize){
//LOADRESULTSFROMBUFFER - load results of solution sequence from memory buffer 
//
//   Usage:
//      loadresultsfrombuffer(md,buffer,buffersize);

	//check number of inputs/outputs
	if (arguments.length!=3) throw Error('loadresultsfrombuffer error message: wrong usage!');

	if (!md.qmu.isdakota){

		//initialize md.results if not a structure yet
		if (MapIsEmpty(md.results)) md.results={};

		//load results: 
		structure=parseresultsfrombuffer(buffer,buffersize);

		//load structure onto results: 
		solutiontype=structure[0].SolutionType;
		md.results[solutiontype]=structure;

		return md;

	}
	else throw Error('loadresultsfrombuffer error message: qmu results not supported yet!');
}
function marshall(md){
//MARSHALL - outputs a typed array buffer to be send to the issm module.
//
//   The routine creates a compatible binary stream from @model md
//   This binary stream will be used for single cpu runs using the issm module.
//
//   Usage:
//      fid=marshall(md)

	if (md.verbose.solution){
		console.log('marshalling file ' + md.miscellaneous.name + '.bin');
	}

	//open file for binary writing
	var fid=new fileptr('mode','w');

	//Go through all model fields: check that it is a class and call checkconsistency
	for (field in md){

		//Some properties do not need to be marshalled
		if (field == 'results' | field =='radaroverlay' | field == 'toolkits' | field =='cluster' | field == 'flaim' | field == 'priv') continue;
		
		//Check that current field is a class
		if(typeof md[field] == 'function'){
			continue;
		}

		//Marshall current object
		md[field].marshall(md,['md.'+field],fid);
	}

	//Last, write "md.EOF" to make sure that the binary file is not corrupt
	WriteData(fid,'XXX','name','md.EOF','data',true,'format','Boolean');
	return fid;
}
function parseresultsfrombuffer(buffer,buffersize){ //{{{
//PARSERESULTSFROMDISK - ...
//
//   Usage:
//      results=parseresultsfrombuffer(buffer,buffersize);

	//Open file
	results=[];
	
	var fid = new fileptr('mode','r','buffer',buffer,'buffersize',buffersize);

	//Read fields until the end of the file.
	result  = ReadData(fid);

	if (MapIsEmpty(result))throw Error('no results found in binary memory buffer');
	
	var counter = 0;
	var check_nomoresteps=0;
	var step    = result['step'];
	var index;

	while (!MapIsEmpty(result)){

		if (check_nomoresteps){
			//check that the new result does not add a step, which would be an error: 
			if (result['step']>=1)throw Error('parsing results for a steady-state core, which incorporates transient results!');
		}

		//Check step, increase counter if this is a new step
		if(step!=result['step'] & result['step']>1){
			counter = counter + 1;
			step    = result['step'];
		}

		//Add result
		if(result['step']==0){
			//if we have a step = 0, this is a steady state solutoin, don't expect more steps. 
			index = 0;
			check_nomoresteps=1;
		}
		else if(result['step']==1){
			index = 0;
		}
		else index = counter;

		if(index>results.length-1)results.push({});
		for(var i=results.length-1;i<index-1;i++)results[i]={};
		results[index][result['fieldname']]=result['field'];
		
		//Get time and step
		if(result['time']!=-9999){
			results[index]['step']=result['step'];
		}
		if(result['time']!=-9999){
			results[index]['time']=result['time'];
		}

		//read next result
		result  = ReadData(fid);
	}
	return results;
} // }}}
function ReadData(fid){ //{{{
//READDATA - ...
//
//   Usage:
//      field=ReadData(fid)

	//read field
	var length=fid.fread(1,'int');
	
	var result={};

	if (length!==-1){
		fieldname=fid.fread(length,'char');
		time=fid.fread(1,'double');
		step=fid.fread(1,'int');
		type=fid.fread(1,'int');
		M=fid.fread(1,'int');

		if (type==1) field=fid.fread(M,'double');
		else if (type==2) field=fid.fread(M,'char');
		else if (type==3) {
			N=fid.fread(1,'int');
			field=fid.fread(N*M,'double');
		}
		else throw Error(sprintf("%s%i",'ReadData error message: cannot read data of type ',type));

		//Process units here FIXME: this should not be done here!
		var yts=365.0*24.0*3600.0;
		if (fieldname == 'BalancethicknessThickeningRate') for (var i=0;i<field.length;i++)field[i]= field[i]*yts;
		else if (fieldname == 'HydrologyWaterVx') for (var i=0;i<field.length;i++)field[i]= field[i]*yts;
		else if (fieldname == 'HydrologyWaterVy') for (var i=0;i<field.length;i++)field[i]= field[i]*yts;
		else if (fieldname == 'Vx') for (var i=0;i<field.length;i++)field[i]= field[i]*yts;
		else if (fieldname == 'Vy') for (var i=0;i<field.length;i++)field[i]= field[i]*yts;
		else if (fieldname == 'Vz') for (var i=0;i<field.length;i++)field[i]= field[i]*yts;
		else if (fieldname == 'Vel') for (var i=0;i<field.length;i++)field[i]= field[i]*yts;
		else if (fieldname == 'BasalforcingsGroundediceMeltingRate') for (var i=0;i<field.length;i++)field[i]= field[i]*yts;
		else if (fieldname == 'BasalforcingsFloatingiceMeltingRate') for (var i=0;i<field.length;i++)field[i]= field[i]*yts;
		else if (fieldname == 'TotalSmb') for (var i=0;i<field.length;i++)field[i]= field[i]/Math.pow(10,12)*yts; //(GigaTon/year)
		else if (fieldname == 'SmbMassBalance') for (var i=0;i<field.length;i++)field[i]= field[i]*yts;
		else if (fieldname == 'SmbPrecipitation') for (var i=0;i<field.length;i++)field[i]= field[i]*yts;
		else if (fieldname == 'SmbRunoff') for (var i=0;i<field.length;i++)field[i]= field[i]*yts;
		else if (fieldname == 'SmbCondensation') for (var i=0;i<field.length;i++)field[i]= field[i]*yts;
		else if (fieldname == 'SmbAccumulation') for (var i=0;i<field.length;i++)field[i]= field[i]*yts;
		else if (fieldname == 'SmbMelt') for (var i=0;i<field.length;i++)field[i]= field[i]*yts;
		else if (fieldname == 'CalvingCalvingrate') for (var i=0;i<field.length;i++)field[i]= field[i]*yts;

		result['fieldname']=fieldname;
		result['time']=time;
		if (result['time']!=-9999) result['time']=time/yts;
		result['step']=step;
		result['field']=field;
	}
	return result;

} // }}}
function solve(md,solutionenum){
//SOLVE - apply solution sequence for this model
//
//   Usage:
//      solve(md,solutionenum,varargin)
//      where varargin is a lit of paired arguments of string OR enums
//
//   solution types available comprise:
//		 - StressbalanceSolutionEnum
//		 - MasstransportSolutionEnum
//		 - ThermalSolutionEnum
//		 - SteadystateSolutionEnum
//		 - TransientSolutionEnum
//		 - BalancethicknessSolutionEnum
//		 - BedSlopeSolutionEnum
//		 - SurfaceSlopeSolutionEnum
//		 - HydrologySolutionEnum
//		 - FlaimSolutionEnum
//
//  extra options:
//      - loadonly    : does not solve. only load results
//      - runtimename : true or false (default is true), makes name unique
//      - checkconsistency : 'yes' or 'no' (default is 'yes'), ensures checks on consistency of model
//      - restart: 'directory name (relative to the execution directory) where the restart file is located.
//      - callback: callback function to be called upon receiving the results from the server, or local computations. 
//
//   Examples:
//      md=solve(md,StressbalanceSolutionEnum);

	solutionstring=EnumToString(solutionenum);
	
	//recover and process solve options
	if (solutionstring.slice(-8) !== 'Solution'){
		throw Error(sprintf("%s%s%s\n",'solutionenum ',solutionstring,' not supported!'));
	}
	
	//Process options
	var args = Array.prototype.slice.call(arguments);
	var options = new pairoptions(args.slice(2,args.length));
	options.addfield('solutionenum',solutionenum);

	//recover some fields
	md.priv.solution=solutionenum;
	cluster=md.cluster;

	//check model consistency
	if (options.getfieldvalue('checkconsistency','yes') == 'yes'){
		if (md.verbose.solution){
			console.log('checking model consistency');
		}
		if (solutionenum == FlaimSolutionEnum()){
			md.priv.isconsistent=true;
			md.mesh.checkconsistency(md,solutionenum);
			md.flaim.checkconsistency(md,solutionenum);
			if (md.priv.isconsistent==false){
				throw error('solve error message: model not consistent, see messages above');
			}
		}
		else{
			ismodelselfconsistent(md);
		}
	}

	//If we are restarting, actually use the provided runtime name:
	restart=options.getfieldvalue('restart','');

	//First, build a runtime name that is unique
	if (restart==1 ){
		//Leave the runtimename as is
		}
	else{
		if (!(restart == '')){
			md.priv.runtimename=restart;
		}
		else if (options.getfieldvalue('runtimename',true)){
			c=new Date().getTime();
			md.priv.runtimename=sprintf('%s-%g',md.miscellaneous.name,c);
		}
		else{
			md.priv.runtimename=md.miscellaneous.name;
		}
	}

	//if running qmu analysis, some preprocessing of dakota files using models
	//fields needs to be carried out. 
	if (md.qmu.isdakota){
		throw Error("solve error message: qmu runs not supported yet!");
		//md.preqmu(options);
	}


	//Do we load results only?
	if (options.getfieldvalue('loadonly',false)){
		loadresultsfromcluster(md);
		return;
	}

	//Marshall into a binary array (fid) all the fields of model.
	var fid = marshall(md);                                          // bin file
	//deal with toolkits options: 
	toolkitsstring= md.toolkits.ToolkitsFile(md.miscellaneous.name + '.toolkits'); // toolkits file

	//callback function: 
	function callbackfunction(){}; //default, do nothing if no callback requested.
	if (options.getfieldvalue('callback',false)){
		callbackfunction=options.getfieldvalue('callback');
	}

	if (cluster.classname() == 'local'){  //{{{

		/*We are running locally on the machine, using the issm module:*/
		console.log('running issm locally');
		
		//Call issm:
		var outputs = issm(fid, toolkitsstring, solutionstring, md.miscellaneous.name); 
		
		//Recover output arguments: 
		var outputbuffer = outputs[0]; var outputbuffersize = outputs[1];
			
		//Load results: 
		md = loadresultsfrombuffer(md,outputbuffer,outputbuffersize); 
		
		//Call back? 
		callbackfunction();

		return md;

	} //}}}
	else { //{{{

		/*We are running somewhere else on a computational server. Send the buffer to that server and retrieve output: */
		cluster.UploadAndRun(md,callbackfunction,fid,toolkitsstring,solutionstring,md.miscellaneous.name,md.priv.runtimename);

		return md;

	} //}}}
}
function WriteData(fid,prefix){
//WRITEDATA - write model field into binary buffer 
//
//   Usage:
//      WriteData(fid,varargin);

	//process options
	var args = Array.prototype.slice.call(arguments);
	var options = new pairoptions(args.slice(2,args.length));
	var enumm;
	var dataini;
	var data;

	//Get data properties
	if (options.exist('object')){
		//This is a object field, construct enum and data
		obj       = options.getfieldvalue('object');
		fieldname = options.getfieldvalue('fieldname');
		name      = options.getfieldvalue('name',[prefix+'.'+fieldname ]);
		if (options.exist('data')){
			dataini = options.getfieldvalue('data');
		}
		else{
			dataini  = obj[fieldname];
		}
	}
	else{
		//No processing required
		dataini = options.getfieldvalue('data');
		name = options.getfieldvalue('name');
	}
	if (IsArray(dataini)){
	   data=dataini.slice(0);
	}
	else{
		data=dataini;
	}

	format  = options.getfieldvalue('format');
	mattype = options.getfieldvalue('mattype',0);    //only required for matrices
	timeserieslength = options.getfieldvalue('timeserieslength',-1);

	//Scale data if necesarry
	if (options.exist('scale')){
		scale = options.getfieldvalue('scale');
		if (data.length==timeserieslength){
			if (IsArray(data[0])){
				for(var i=0;i<data.length-1;i++){
					for(var j=0;j<data[0].length;j++){
						data[i][j]=scale*data[i][j];
					}
				}
			}
			else{
				for(var i=0;i<data.length-1;i++){
					data[i]=scale*data[i];
				}
			}
		}
		else{
			if (!IsArray(data)) data=data*scale;
			else ArrayScale(data,scale);
		}
	}

	if(IsArray(data)){
		if(data.length == timeserieslength){
			var yts=365.0*24.0*3600.0;
			if (IsArray(data[0])){
				for(var j=0;j<data[0].length;j++)data[timeserieslength-1][j]=data[timeserieslength-1][j]*yts;
			}
			else data[timeserieslength-1]=data[timeserieslength-1]*yts;
		}
	}

	//Step 1: write the name to identify this record uniquely
	fid.fwrite(name.length,'int'); 
	fid.fwrite(name,'char'); 

	//Step 2: write the data itself.
	if (format == 'Boolean'){// {{{
		if(IsArray(data)) throw  Error(sprintf("field '%s' cannot be marshalled as it has more than one element!",EnumToString(enumm)));

		//first write length of record
		fid.fwrite(4+4,'int');  //1 bool (disguised as an int)+code

		//write data code: 
		fid.fwrite(FormatToCode(format),'int'); 

		//now write integer
		fid.fwrite(data,'int');  //send an int, not easy to send a bool
	} // }}}
	else if (format == 'Integer'){ // {{{
		if(IsArray(data)) throw  Error(sprintf("field '%s' cannot be marshalled as it has more than one element!",EnumToString(enumm)));

		//first write length of record
		fid.fwrite(4+4,'int');  //1 integer + code

		//write data code: 
		fid.fwrite(FormatToCode(format),'int'); 

		//now write integer
		fid.fwrite(data,'int'); 
	} // }}}
	else if (format == 'Double'){ // {{{
		if(IsArray(data)) throw  Error(sprintf("field '%s' cannot be marshalled as it has more than one element!",EnumToString(enumm)));

		//first write length of record
		fid.fwrite(8+4,'int');  //1 double+code

		//write data code: 
		fid.fwrite(FormatToCode(format),'int'); 

		//now write double
		fid.fwrite(data,'double'); 
	} // }}}
	else if (format == 'String'){ // {{{
		//first write length of record
		fid.fwrite(data.length+4+4,'int');  //string + string size + code

		//write data code: 
		fid.fwrite(FormatToCode(format),'int'); 

		//now write string
		fid.fwrite(data.length,'int'); 
		fid.fwrite(data,'char'); 
	} // }}}
	else if (format == 'BooleanMat'){ // {{{

		//Get size
		var s=[data.length,1];
		if(IsArray(data[0]))s[1]=data[0].length;

		//if matrix = NaN, then do not write anything
		if (s[0]==1 & s[1]==1 & isNaN(data)){
			s[0]=0; s[1]=0;
		}
		if (s[0]==1 & s[1]==1 & isNaN(data[0])){
			s[0]=0; s[1]=0;
		}

		//first write length of record
		fid.fwrite(4+4+8*s[0]*s[1]+4+4,'int');  //2 integers (32 bits) + the double matrix + code + matrix type

		//write data code and matrix type: 
		fid.fwrite(FormatToCode(format),'int'); 
		fid.fwrite(mattype,'int');

		//now write matrix
		fid.fwrite(s[0],'int'); 
		fid.fwrite(s[1],'int'); 
		if (s[0]*s[1]) fid.fwrite(MatrixToList(data),'double'); //get to the "c" convention, hence the transpose
	} // }}}
	else if (format == 'IntMat'){ // {{{

		//Get size
		var s=[data.length,1];
		if(IsArray(data[0]))s[1]=data[0].length;

		//if matrix = NaN, then do not write anything
		if (s[0]==1 & s[1]==1 & isNaN(data)){
			s[0]=0; s[1]=0;
		}
		if (s[0]==1 & s[1]==1 & isNaN(data[0])){
			s[0]=0; s[1]=0;
		}

		//first write length of record
		fid.fwrite(4+4+8*s[0]*s[1]+4+4,'int');  //2 integers (32 bits) + the double matrix + code + matrix type

		//write data code and matrix type: 
		fid.fwrite(FormatToCode(format),'int'); 
		fid.fwrite(mattype,'int');

		//now write matrix
		fid.fwrite(s[0],'int'); 
		fid.fwrite(s[1],'int'); 
		if (s[0]*s[1]) fid.fwrite(MatrixToList(data),'double'); //get to the "c" convention, hence the transpose

	} // }}}
	else if (format == 'DoubleMat'){ // {{{

		//Get size
		var s=[data.length,1];
		if(IsArray(data[0]))s[1]=data[0].length;
		if(typeof data == 'number'){s[0]=1; s[1]=1}

		//if matrix = NaN, then do not write anything
		if (s[0]==1 & s[1]==1 & isNaN(data)){
			s[0]=0; s[1]=0;
		}
		if (s[0]==1 & s[1]==1 & isNaN(data[0])){
			s[0]=0; s[1]=0;
		}

		//first write length of record
		var recordlength=4+4+8*s[0]*s[1]+4+4; //2 integers (32 bits) + the double matrix + code + matrix type
		if (recordlength>Math.pow(2,31)) throw Error(sprintf("field '%s' cannot be marshalled because it is larger than 2^31 bytes!",EnumToString(enumm)));
		fid.fwrite(recordlength,'int');

		//write data code and matrix type: 
		fid.fwrite(FormatToCode(format),'int'); 
		fid.fwrite(mattype,'int');

		//now write matrix
		fid.fwrite(s[0],'int'); 
		fid.fwrite(s[1],'int'); 
		if (s[0]*s[1]) fid.fwrite(MatrixToList(data),'double'); //get to the "c" convention, hence the transpose
	} // }}}
	else if (format == 'MatArray'){ // {{{

		numrecords=data.length;

		//first get length of record
		recordlength=4+4; //number of records + code
		for (var i=0;i<numrecords;i++){
			matrix=data[i];
			var s=[matrix.length,1];
			if(IsArray(matrix[0]))s[1]=matrix[0].length;

			recordlength=recordlength+4*2+ //row and col of matrix
				s[0]*s[1]*8; //matrix of doubles
		}

		//write length of record
		fid.fwrite(recordlength,'int'); 

		//write data code: 
		fid.fwrite(FormatToCode(format),'int'); 

		//write data, first number of records
		fid.fwrite(numrecords,'int'); 

		//write each matrix: 
		for (var i=0;i<numrecords;i++){
			matrix=data[i];
			var s=[matrix.length,1];
			if(IsArray(matrix[0]))s[1]=matrix[0].length;

			fid.fwrite(s[0],'int'); 
			fid.fwrite(s[1],'int'); 
			fid.fwrite(MatrixToList(matrix),'double');
		}
	} // }}}
	else if (format == 'StringArray'){ // {{{

		//first get length of string array: 
		num=data.length;
		if ((typeof data[0] == 'numeric') & num==1 & isNaN(data[0])){
			num = 0;
		}

		//now get length of record: 
		recordlength=4+4; //for length of array + code
		for (var i=0;i<num;i++){
			string=data[i];
			recordlength=recordlength+4+string.length; //for each string
		}

		//write length of record
		fid.fwrite(recordlength,'int'); 

		//write data code: 
		fid.fwrite(FormatToCode(format),'int'); 

		//now write length of string array
		fid.fwrite(num,'int'); 

		//now write the strings
		for (var i=0;i<num;i++){
			string=data[i];
			fid.fwrite(string.length,'int'); 
			fid.fwrite(string,'char'); 
		}
	} // }}}
	else { 
		throw Error(sprintf("WriteData error message: data type: %s not supported yet! ('%s')",
					format.toString(),EnumToString(enumm)));
	}
}

function FormatToCode(format){ // {{{
	//This routine takes the format string, and hardcodes it into an integer, which 
	//is passed along the record, in order to identify the nature of the dataset being 
	//sent.
	if  (format == 'Boolean') code=1;
	else if (format == 'Integer') code=2;
	else if (format == 'Double') code=3;
	else if (format == 'String') code=4;
	else if (format == 'BooleanMat') code=5;
	else if (format == 'IntMat') code=6;
	else if (format == 'DoubleMat') code=7;
	else if (format == 'MatArray') code=8;
	else if (format == 'StringArray') code=9;
	else throw Error('FormatToCode error message: data type not supported yet!');
	return code;
}// }}}
function issmgslsolver(){
//ISSMSOLVER - 
//
//   Usage:
//      options=issmsolver(varargin);

	//Retrieve options provided in varargin. First convert arguments to array:
	var args = Array.prototype.slice.call(arguments);

	//Then process options
	var  options = new pairoptions(args.slice(1,args.length));

	//default issmoptions options
	var issmoptions={};
	issmoptions['toolkit']='issm';
	issmoptions['mat_type']=options.getfieldvalue('mat_type','dense');
	issmoptions['vec_type']=options.getfieldvalue('vec_type','seq');
	issmoptions['solver_type']=options.getfieldvalue('solver_type','gsl');

	return issmoptions;
}
function TriMesh(md,domain,rifts, area){
/*TriMesh 
	   usage: var array = TriMesh(domain,rifts,area);
	      where: array is made of [index,x,y,segments,segmentmarkers]
		  and index,x,y defines a triangulation, segments is an array made 
	      of exterior segments to the mesh domain outline, segmentmarkers is an array 
		  flagging each segment, domain a js array defining the domain outline  (sames for 
		  rifts) and area is the maximum area desired for any element of the resulting mesh.

		  Ok, for now, we are not dealing with rifts. Also, the domain is made of only one 
		  profile, this to avoid passing a double** pointer to js. 
*/

	//Dynamic allocations: {{{
	//Retrieve domain arrays, and allocate on Module heap: 
	
	//input
	var dx=new Float64Array(domain['x']); var nx=dx.length * dx.BYTES_PER_ELEMENT;
	var dxPtr= Module._malloc(nx); var domainxHeap = new Uint8Array(Module.HEAPU8.buffer,dxPtr,nx);
	domainxHeap.set(new Uint8Array(dx.buffer)); var domainx=domainxHeap.byteOffset;

	var dy=new Float64Array(domain['y']); var ny=dy.length * dy.BYTES_PER_ELEMENT;
	var dyPtr = Module._malloc(ny); var domainyHeap = new Uint8Array(Module.HEAPU8.buffer,dyPtr,ny);
	domainyHeap.set(new Uint8Array(dy.buffer)); var domainy=domainyHeap.byteOffset;
	
	//output
	var nel,indexlinear,index,nods,x,y;
	var pnel= Module._malloc(4); 
	var pindex= Module._malloc(4); 
	var pnods= Module._malloc(4); 
	var px= Module._malloc(4); 
	var py= Module._malloc(4); 
	var psegments= Module._malloc(4); 
	var psegmentmarkers= Module._malloc(4); 
	var pnsegs= Module._malloc(4); 
	//}}}

	//Declare TriMesh module: 
	TriMeshModule = Module.cwrap('TriMeshModule','number',['number','number','number','number','number','number','number','number','number','number','number','number']);
	
	//Call TriMesh module: 
	TriMeshModule(pindex,px,py,pnel,pnods,psegments,psegmentmarkers,pnsegs, domainx,domainy,dx.length,area);
	
	/*Dynamic copying from heap: {{{*/
	//recover mesh: 
	nel = Module.getValue(pnel, 'i32');
	var indexptr = Module.getValue(pindex,'i32');
	indexlinear = Module.HEAPF64.slice(indexptr /8, indexptr/8 + nel*3);
	index = ListToMatrix(indexlinear,3);

	nods = Module.getValue(pnods, 'i32');
	var xptr = Module.getValue(px,'i32');
	var yptr = Module.getValue(py,'i32');
	x = Module.HEAPF64.slice(xptr /8, xptr/8 + nods);
	y = Module.HEAPF64.slice(yptr /8, yptr/8 + nods);
	
	nsegs = Module.getValue(pnsegs, 'i32');
	var segmentsptr = Module.getValue(psegments,'i32');
	segmentslinear = Module.HEAPF64.slice(segmentsptr /8, segmentsptr/8 + nsegs*3);
	segments = ListToMatrix(segmentslinear,3);
	
	var segmentmarkersptr = Module.getValue(psegmentmarkers,'i32');
	segmentmarkers = Module.HEAPF64.slice(segmentmarkersptr /8, segmentmarkersptr/8 + nsegs);
	/*}}}*/

	var return_array=[index,x,y,segments,segmentmarkers];

	/*Free ressources: */
	Module._free(pindex); 
	Module._free(indexlinear); 
	Module._free(px); 
	Module._free(x); 
	Module._free(py); 
	Module._free(y); 
	Module._free(pnel); 
	Module._free(pnods); 
	Module._free(psegments); 
	Module._free(psegmentmarkers); 
	Module._free(pnsegs); 

	return return_array;
}
function NodeConnectivity(elementsin,nods){
/*NodeConnectivity 
	   usage: var md.mesh.vertexconnectivity = NodeConnectivity(md.mesh.elements,md.mesh.numberofvertices);
*/

	//Dynamic allocations: {{{
	//Retrieve elements and allocate on Module heap: 
	
	//input
	var delements=new Int32Array(MatrixToList(elementsin)); var nelements=delements.length * delements.BYTES_PER_ELEMENT;
	var delementsPtr= Module._malloc(nelements); var elementsHeap = new Uint8Array(Module.HEAPU8.buffer,delementsPtr,nelements);
	elementsHeap.set(new Uint8Array(delements.buffer)); var elements=elementsHeap.byteOffset;

	//output
	var width,connectivitylinear,connectivity;
	var pwidth= Module._malloc(4); 
	var pnods= Module._malloc(4); 
	var pconnectivity= Module._malloc(4); 
	var nels=elementsin.length;
	//}}}

	//Declare NodeConnectivity module: 
	NodeConnectivityModule = Module.cwrap('NodeConnectivityModule','number',['number','number','number','number']);
	
	//Call NodeConnectivity module: 
	NodeConnectivityModule(pconnectivity,pnods,pwidth,elements,nels,nods);
	
	/*Dynamic copying from heap: {{{*/
	//recover mesh: 
	width = Module.getValue(pwidth, 'i32');
	var connectivityptr = Module.getValue(pconnectivity,'i32');
	connectivitylinear = Module.HEAPF64.slice(connectivityptr /8, connectivityptr/8 + nods*width);
	connectivity = ListToMatrix(connectivitylinear,width);
	/*}}}*/

	/*Free ressources: */
	Module._free(pconnectivity); 
	Module._free(connectivitylinear); 
	Module._free(pwidth); 
	Module._free(pnods); 

	return connectivity;
}
function ContourToMesh(indexin,xin,yin,contour,interptype,edgevalue){
/* CONTOURTOMESH - Flag the elements or nodes inside a contour;
	
	      Usage: ;
	         [in_nod,in_elem]=ContourToMesh(index,x,y,contourname,interptype,edgevalue);
	
	         index,x,y: mesh triangulation
	         contourname: name of .exp file containing the contours
	         interptype: string definining type of interpolation ('element', or 'node')
	         edgevalue: integer (0, 1 or 2) defining the value associated to the nodes on the edges of the polygons.
	         in_nod: vector of flags (0 or 1), of size nods if interptype is set to 'node' or 'element and node',
	            or of size 0 otherwise.
	         in_elem: vector of flags (0 or 1), of size nel if interptype is set to 'element' or 'element and node', 
	            or of size 0 otherwise.
	
	      Example: 
	         in_nod=ContourToMesh(md.elements,md.x,md.y,'Contour.exp','node',1)
	         in_elements=ContourToMesh(md.elements,md.x,md.y,'Contour.exp','element',0)
	         return_values=ContourToMesh(md.elements,md.x,md.y,'Contour.exp','element and node',0); in_nodes=return_values[0]; in_elements=return_values[1];
*/

	//Dynamic allocations: {{{
	//Retrieve elements and allocate on Module heap: 
	
	//input
	
	var dindex=new Int32Array(MatrixToList(indexin)); var nindex=dindex.length * dindex.BYTES_PER_ELEMENT;
	var dindexPtr= Module._malloc(nindex); var indexHeap = new Uint8Array(Module.HEAPU8.buffer,dindexPtr,nindex);
	indexHeap.set(new Uint8Array(dindex.buffer)); var index=indexHeap.byteOffset;

	var dx=new Float64Array(xin); var nx=dx.length * dx.BYTES_PER_ELEMENT;
	var dxPtr= Module._malloc(nx); var dxHeap = new Uint8Array(Module.HEAPU8.buffer,dxPtr,nx);
	dxHeap.set(new Uint8Array(dx.buffer)); var x=dxHeap.byteOffset;
	
	var dy=new Float64Array(yin); var ny=dy.length * dy.BYTES_PER_ELEMENT;
	var dyPtr= Module._malloc(nx); var dyHeap = new Uint8Array(Module.HEAPU8.buffer,dyPtr,ny);
	dyHeap.set(new Uint8Array(dy.buffer)); var y=dyHeap.byteOffset;
	
	var dcontourx=new Float64Array(contour['x']); var nx=dcontourx.length * dcontourx.BYTES_PER_ELEMENT;
	var dcontourxPtr= Module._malloc(nx); var contourxHeap = new Uint8Array(Module.HEAPU8.buffer,dcontourxPtr,nx);
	contourxHeap.set(new Uint8Array(dcontourx.buffer)); var contourx=contourxHeap.byteOffset;

	var dcontoury=new Float64Array(contour['y']); var ny=dcontoury.length * dcontoury.BYTES_PER_ELEMENT;
	var dcontouryPtr = Module._malloc(ny); var contouryHeap = new Uint8Array(Module.HEAPU8.buffer,dcontouryPtr,ny);
	contouryHeap.set(new Uint8Array(dcontoury.buffer)); var contoury=contouryHeap.byteOffset;
	
	nel=indexin.length;
	nods=xin.length;
	contour_nods=dcontourx.length;

	//output
	var in_nod;
	var pin_nod= Module._malloc(4); 
	var in_nel;
	var pin_nel= Module._malloc(4); 
	//}}}

	//Declare ContourToMesh module: 
	ContourToMeshModule = Module.cwrap('ContourToMeshModule','number',['number','number','number','number','number','number','number','string','number','number','number']);
	
	//Call ContourToMesh module: 
	ContourToMeshModule(pin_nod,pin_nel,index,x,y,contourx,contoury,interptype,nel, nods, contour_nods, edgevalue);

	/*Dynamic copying from heap: {{{*/
	if(interptype == 'node'){
		var in_nodptr = Module.getValue(pin_nod,'i32');
		in_nod = Module.HEAPF64.slice(in_nodptr /8, in_nodptr/8 + nods);
	}
	else if (interptype == 'element'){
		var in_nelptr = Module.getValue(pin_nel,'i32');
		in_nel = Module.HEAPF64.slice(in_nelptr /8, in_nelptr/8 + nel);
	}
	else if (interptype == 'element and node'){
		var in_nodptr = Module.getValue(pin_nod,'i32');
		in_nod = Module.HEAPF64.slice(in_nodptr /8, in_nodptr/8 + nods);
		var in_nelptr = Module.getValue(pin_nel,'i32');
		in_nel = Module.HEAPF64.slice(in_nelptr /8, in_nelptr/8 + nel);
	}
	else throw Error('ContourToMeshModule error message: wrong interpolation type!');
	/*}}}*/

	/*Free ressources: */
	Module._free(pin_nod); 
	Module._free(pin_nel); 
	
	if(interptype == 'node'){
		return in_nod;
	}
	else if (interptype == 'element'){
		return in_nel;
	}
	else if (interptype == 'element and node'){
		return [in_nod,in_nel];
	}
}
function ElementConnectivity(elementsin,nodeconnectivityin){
/*ElementConnectivity 
	   usage: var md.mesh.elementconnectivity= ElementConnectivity(md.mesh.elements,md.mesh.vertexconnectivity);
*/

	//Dynamic allocations: {{{
	//Retrieve elements and allocate on Module heap: 
	
	//input
	nel=elementsin.length;
	nods=nodeconnectivityin.length;
	width=nodeconnectivityin[0].length;
	
	var delements=new Int32Array(MatrixToList(elementsin)); var nelements=delements.length * delements.BYTES_PER_ELEMENT;
	var delementsPtr= Module._malloc(nelements); var elementsHeap = new Uint8Array(Module.HEAPU8.buffer,delementsPtr,nelements);
	elementsHeap.set(new Uint8Array(delements.buffer)); var elements=elementsHeap.byteOffset;
	
	var dnodeconnectivity=new Int32Array(MatrixToList(nodeconnectivityin)); var nnodeconnectivity=dnodeconnectivity.length * dnodeconnectivity.BYTES_PER_ELEMENT;
	var dnodeconnectivityPtr= Module._malloc(nnodeconnectivity); var nodeconnectivityHeap = new Uint8Array(Module.HEAPU8.buffer,dnodeconnectivityPtr,nnodeconnectivity);
	nodeconnectivityHeap.set(new Uint8Array(dnodeconnectivity.buffer)); var nodeconnectivity=nodeconnectivityHeap.byteOffset;

	//output
	var connectivitylinear,connectivity;
	var pconnectivity= Module._malloc(4); 
	//}}}

	//Declare ElementConnectivity module: 
	ElementConnectivityModule = Module.cwrap('ElementConnectivityModule','number',['number','number','number','number','number','number']);
	
	//Call ElementConnectivity module: 
	ElementConnectivityModule(pconnectivity,elements, nodeconnectivity, nel, nods, width);
	
	/*Dynamic copying from heap: {{{*/
	//recover mesh: 
	var connectivityptr = Module.getValue(pconnectivity,'i32');
	connectivitylinear = Module.HEAPF64.slice(connectivityptr /8, connectivityptr/8 + nel*3);
	connectivity = ListToMatrix(connectivitylinear,3);
	/*}}}*/

	/*Free ressources: */
	Module._free(pconnectivity); 
	Module._free(connectivitylinear); 

	return connectivity;
}
function InterpFromMeshToMesh2d(indexin,xin,yin,datain,x_interpin,y_interpin){

/* INTERFROMMESHTOMESH2D - interpolation from a 2d triangular mesh onto a list of point
  
  This function interpolates a field defined on a Delaunay triangulation onto a list of points.

  Usage:
	  var data_interp=InterpFromMeshToMesh2d(index,x,y,data,x_interp,y_interp); or
	  var data_interp=InterpFromMeshToMesh2d(index,x,y,data,x_interp,y_interp,default_value);

	  index             : index of the mesh where data is defined
	  x,y               : coordinates of the nodes where data is defined
	  data              : matrix holding the data to be interpolated onto the mesh. (one column per field)
	  x_interp,y_interp : coordinates of the points onto which we interpolate.
	  default_value     : default value if point is outsite of triangulation (instead of linear interpolation)
	  data_interp       : vector of mesh interpolated data.

*/

	/*Figure out default_value: */
	if (arguments.length==7)default_value=arguments[6];
	else default_value=0;
	
	//Dynamic allocations: {{{
	//Retrieve elements and allocate on Module heap: 
	
	//input
	
	var dindex=new Int32Array(MatrixToList(indexin)); var nindex=dindex.length * dindex.BYTES_PER_ELEMENT;
	var dindexPtr= Module._malloc(nindex); var indexHeap = new Uint8Array(Module.HEAPU8.buffer,dindexPtr,nindex);
	indexHeap.set(new Uint8Array(dindex.buffer)); var index=indexHeap.byteOffset;

	var dx=new Float64Array(xin); var nx=dx.length * dx.BYTES_PER_ELEMENT;
	var dxPtr= Module._malloc(nx); var dxHeap = new Uint8Array(Module.HEAPU8.buffer,dxPtr,nx);
	dxHeap.set(new Uint8Array(dx.buffer)); var x=dxHeap.byteOffset;
	
	var dy=new Float64Array(yin); var ny=dy.length * dy.BYTES_PER_ELEMENT;
	var dyPtr= Module._malloc(nx); var dyHeap = new Uint8Array(Module.HEAPU8.buffer,dyPtr,ny);
	dyHeap.set(new Uint8Array(dy.buffer)); var y=dyHeap.byteOffset;
	
	var ddata=new Float64Array(datain); var ndata=ddata.length * ddata.BYTES_PER_ELEMENT;
	var ddataPtr= Module._malloc(ndata); var ddataHeap = new Uint8Array(Module.HEAPU8.buffer,ddataPtr,ndata);
	ddataHeap.set(new Uint8Array(ddata.buffer)); var data=ddataHeap.byteOffset;
	
	var dx_interp=new Float64Array(x_interpin); var nx_interp=dx_interp.length * dx_interp.BYTES_PER_ELEMENT;
	var dx_interpPtr= Module._malloc(nx_interp); var dx_interpHeap = new Uint8Array(Module.HEAPU8.buffer,dx_interpPtr,nx_interp);
	dx_interpHeap.set(new Uint8Array(dx_interp.buffer)); var x_interp=dx_interpHeap.byteOffset;
	
	var dy_interp=new Float64Array(y_interpin); var ny_interp=dy_interp.length * dy_interp.BYTES_PER_ELEMENT;
	var dy_interpPtr= Module._malloc(ny_interp); var dy_interpHeap = new Uint8Array(Module.HEAPU8.buffer,dy_interpPtr,ny_interp);
	dy_interpHeap.set(new Uint8Array(dy_interp.buffer)); var y_interp=dy_interpHeap.byteOffset;
	
	nel=indexin.length;
	nods=xin.length;
	nods_interp=x_interpin.length;

	//output
	var data_interp;
	var pdata_interp= Module._malloc(4); 
	//}}}

	//Declare InterpFromMeshToMesh2d module: 
	InterpFromMeshToMesh2dModule = Module.cwrap('InterpFromMeshToMesh2dModule','number',['number','number','number','number','number','number','number','number','number','number','number']);
	
	//Call InterpFromMeshToMesh2d module: 
	InterpFromMeshToMesh2dModule(pdata_interp,index,x,y,data,x_interp,y_interp,nel,nods,nods_interp,default_value);
	
	/*Dynamic copying from heap: {{{*/
	//recover mesh: 
	var data_interpptr = Module.getValue(pdata_interp,'i32');
	data_interp = Module.HEAPF64.slice(data_interpptr /8, data_interpptr/8 + nods_interp);
	/*}}}*/

	/*Free ressources: */
	Module._free(pdata_interp); 

	return data_interp;
}
function IssmConfig(string){
/*IssmConfig 
	   usage: var config = IssmConfig('_HAVE_PETSC_');
*/

	//output
	var pvalue= Module._malloc(4); 
	var psvalue= Module._malloc(4); 

	//Declare IssmConfig module: 
	IssmConfigModule = Module.cwrap('IssmConfigModule','number',['number','string','string']);
	
	//Call IssmConfig module: 
	IssmConfigModule(pvalue, psvalue, string);
	
	/*Dynamic copying from heap: {{{*/
	var value = Module.getValue(pvalue, 'double');
	/*}}}*/

	/*Free ressources: */
	Module._free(pvalue); 

	return value;
}
function EnumToString(enumin){
/*EnumToString 
	   usage: var string = EnumToString(enumin);
*/

	var pstring= Module._malloc(4); 

	//Declare EnumToString module: 
	EnumToStringModule = Module.cwrap('EnumToStringModule','number',['number','number']);
	
	//Call EnumToString module: 
	EnumToStringModule(pstring, enumin);
	
	string_ptr= Module.getValue(pstring,'i32');

	/*Free ressources: */
	Module._free(pstring); 
	
	return UTF8ToString(string_ptr);
}
function StringToEnum(string){
/*StringToEnum 
	   usage: var enum = StringToEnum(string);
*/

	var penum= Module._malloc(4); 

	//Declare StringToEnum module: 
	StringToEnumModule = Module.cwrap('StringToEnumModule','number',['number','string']);
	
	//Call StringToEnum module: 
	StringToEnumModule(penum, string);
	
	enumout= Module.getValue(penum,'double');

	/*Free ressources: */
	Module._free(penum); 
	
	return enumout;
}
function issm(fid,toolkitstring,solutionstring,modelname){
/*issm 
	   usage: var output = issm(fid,toolkitstring);
	      where: fid is a pointer to a memory buffer created by marshall, toolkitstring is a toolkits 
		  string created by ToolkitsToFile and 
		  output is a binary buffer to be read by loadresultsfromcluster.
*/
	
	/*variables: */
	var poutput,output,poutputsize,outputsize;
	var dbinaryPtr,binHeap,binary,binarybuffer,nb

	/*recover input buffer: */
	binarybuffer=fid.rawbuffer(); //binarybuffer is now an arraybuffer
	nb = fid.ptr; //size of array buffer in bytes.

	/*dyanmically allocate the raw buffer onto the Module heap: */
	dbinaryPtr= Module._malloc(nb); binHeap = new Uint8Array(Module.HEAPU8.buffer,dbinaryPtr,nb);
	binHeap.set(new Uint8Array(binarybuffer)); binary=binHeap.byteOffset;

	/*allocate output pointers: */
	poutputsize = Module._malloc(4); 
	poutput = Module._malloc(4); 

	//Declare TriMesh module: 
	issmmodule= Module.cwrap('IssmModule','number',['number','number','number','number','string','string','string']);
	
	//Call issm:
	issmmodule(poutput, poutputsize,binary, nb, toolkitstring,solutionstring,modelname);

	//recover outputs from pointers: 
	var outputsize = Module.getValue(poutputsize,'i32');
	
	var outputptr = Module.getValue(poutput,'i32');
	output = Module.HEAP8.slice(outputptr, outputptr + outputsize);
	
	return [output,outputsize];
}
var Module;if(!Module)Module=(typeof Module!=="undefined"?Module:null)||{};var moduleOverrides={};for(var key in Module){if(Module.hasOwnProperty(key)){moduleOverrides[key]=Module[key]}}var ENVIRONMENT_IS_WEB=typeof window==="object";var ENVIRONMENT_IS_WORKER=typeof importScripts==="function";var ENVIRONMENT_IS_NODE=typeof process==="object"&&typeof require==="function"&&!ENVIRONMENT_IS_WEB&&!ENVIRONMENT_IS_WORKER;var ENVIRONMENT_IS_SHELL=!ENVIRONMENT_IS_WEB&&!ENVIRONMENT_IS_NODE&&!ENVIRONMENT_IS_WORKER;if(ENVIRONMENT_IS_NODE){if(!Module["print"])Module["print"]=function print(x){process["stdout"].write(x+"\n")};if(!Module["printErr"])Module["printErr"]=function printErr(x){process["stderr"].write(x+"\n")};var nodeFS=require("fs");var nodePath=require("path");Module["read"]=function read(filename,binary){filename=nodePath["normalize"](filename);var ret=nodeFS["readFileSync"](filename);if(!ret&&filename!=nodePath["resolve"](filename)){filename=path.join(__dirname,"..","src",filename);ret=nodeFS["readFileSync"](filename)}if(ret&&!binary)ret=ret.toString();return ret};Module["readBinary"]=function readBinary(filename){var ret=Module["read"](filename,true);if(!ret.buffer){ret=new Uint8Array(ret)}assert(ret.buffer);return ret};Module["load"]=function load(f){globalEval(read(f))};if(!Module["thisProgram"]){if(process["argv"].length>1){Module["thisProgram"]=process["argv"][1].replace(/\\/g,"/")}else{Module["thisProgram"]="unknown-program"}}Module["arguments"]=process["argv"].slice(2);if(typeof module!=="undefined"){module["exports"]=Module}process["on"]("uncaughtException",(function(ex){if(!(ex instanceof ExitStatus)){throw ex}}));Module["inspect"]=(function(){return"[Emscripten Module object]"})}else if(ENVIRONMENT_IS_SHELL){if(!Module["print"])Module["print"]=print;if(typeof printErr!="undefined")Module["printErr"]=printErr;if(typeof read!="undefined"){Module["read"]=read}else{Module["read"]=function read(){throw"no read() available (jsc?)"}}Module["readBinary"]=function readBinary(f){if(typeof readbuffer==="function"){return new Uint8Array(readbuffer(f))}var data=read(f,"binary");assert(typeof data==="object");return data};if(typeof scriptArgs!="undefined"){Module["arguments"]=scriptArgs}else if(typeof arguments!="undefined"){Module["arguments"]=arguments}}else if(ENVIRONMENT_IS_WEB||ENVIRONMENT_IS_WORKER){Module["read"]=function read(url){var xhr=new XMLHttpRequest;xhr.open("GET",url,false);xhr.send(null);return xhr.responseText};if(typeof arguments!="undefined"){Module["arguments"]=arguments}if(typeof console!=="undefined"){if(!Module["print"])Module["print"]=function print(x){console.log(x)};if(!Module["printErr"])Module["printErr"]=function printErr(x){console.log(x)}}else{var TRY_USE_DUMP=false;if(!Module["print"])Module["print"]=TRY_USE_DUMP&&typeof dump!=="undefined"?(function(x){dump(x)}):(function(x){})}if(ENVIRONMENT_IS_WORKER){Module["load"]=importScripts}if(typeof Module["setWindowTitle"]==="undefined"){Module["setWindowTitle"]=(function(title){document.title=title})}}else{throw"Unknown runtime environment. Where are we?"}function globalEval(x){eval.call(null,x)}if(!Module["load"]&&Module["read"]){Module["load"]=function load(f){globalEval(Module["read"](f))}}if(!Module["print"]){Module["print"]=(function(){})}if(!Module["printErr"]){Module["printErr"]=Module["print"]}if(!Module["arguments"]){Module["arguments"]=[]}if(!Module["thisProgram"]){Module["thisProgram"]="./this.program"}Module.print=Module["print"];Module.printErr=Module["printErr"];Module["preRun"]=[];Module["postRun"]=[];for(var key in moduleOverrides){if(moduleOverrides.hasOwnProperty(key)){Module[key]=moduleOverrides[key]}}var Runtime={setTempRet0:(function(value){tempRet0=value}),getTempRet0:(function(){return tempRet0}),stackSave:(function(){return STACKTOP}),stackRestore:(function(stackTop){STACKTOP=stackTop}),getNativeTypeSize:(function(type){switch(type){case"i1":case"i8":return 1;case"i16":return 2;case"i32":return 4;case"i64":return 8;case"float":return 4;case"double":return 8;default:{if(type[type.length-1]==="*"){return Runtime.QUANTUM_SIZE}else if(type[0]==="i"){var bits=parseInt(type.substr(1));assert(bits%8===0);return bits/8}else{return 0}}}}),getNativeFieldSize:(function(type){return Math.max(Runtime.getNativeTypeSize(type),Runtime.QUANTUM_SIZE)}),STACK_ALIGN:16,prepVararg:(function(ptr,type){if(type==="double"||type==="i64"){if(ptr&7){assert((ptr&7)===4);ptr+=4}}else{assert((ptr&3)===0)}return ptr}),getAlignSize:(function(type,size,vararg){if(!vararg&&(type=="i64"||type=="double"))return 8;if(!type)return Math.min(size,8);return Math.min(size||(type?Runtime.getNativeFieldSize(type):0),Runtime.QUANTUM_SIZE)}),dynCall:(function(sig,ptr,args){if(args&&args.length){if(!args.splice)args=Array.prototype.slice.call(args);args.splice(0,0,ptr);return Module["dynCall_"+sig].apply(null,args)}else{return Module["dynCall_"+sig].call(null,ptr)}}),functionPointers:[],addFunction:(function(func){for(var i=0;i<Runtime.functionPointers.length;i++){if(!Runtime.functionPointers[i]){Runtime.functionPointers[i]=func;return 2*(1+i)}}throw"Finished up all reserved function pointers. Use a higher value for RESERVED_FUNCTION_POINTERS."}),removeFunction:(function(index){Runtime.functionPointers[(index-2)/2]=null}),warnOnce:(function(text){if(!Runtime.warnOnce.shown)Runtime.warnOnce.shown={};if(!Runtime.warnOnce.shown[text]){Runtime.warnOnce.shown[text]=1;Module.printErr(text)}}),funcWrappers:{},getFuncWrapper:(function(func,sig){assert(sig);if(!Runtime.funcWrappers[sig]){Runtime.funcWrappers[sig]={}}var sigCache=Runtime.funcWrappers[sig];if(!sigCache[func]){sigCache[func]=function dynCall_wrapper(){return Runtime.dynCall(sig,func,arguments)}}return sigCache[func]}),getCompilerSetting:(function(name){throw"You must build with -s RETAIN_COMPILER_SETTINGS=1 for Runtime.getCompilerSetting or emscripten_get_compiler_setting to work"}),stackAlloc:(function(size){var ret=STACKTOP;STACKTOP=STACKTOP+size|0;STACKTOP=STACKTOP+15&-16;return ret}),staticAlloc:(function(size){var ret=STATICTOP;STATICTOP=STATICTOP+size|0;STATICTOP=STATICTOP+15&-16;return ret}),dynamicAlloc:(function(size){var ret=DYNAMICTOP;DYNAMICTOP=DYNAMICTOP+size|0;DYNAMICTOP=DYNAMICTOP+15&-16;if(DYNAMICTOP>=TOTAL_MEMORY){var success=enlargeMemory();if(!success){DYNAMICTOP=ret;return 0}}return ret}),alignMemory:(function(size,quantum){var ret=size=Math.ceil(size/(quantum?quantum:16))*(quantum?quantum:16);return ret}),makeBigInt:(function(low,high,unsigned){var ret=unsigned?+(low>>>0)+ +(high>>>0)*+4294967296:+(low>>>0)+ +(high|0)*+4294967296;return ret}),GLOBAL_BASE:8,QUANTUM_SIZE:4,__dummy__:0};Module["Runtime"]=Runtime;var __THREW__=0;var ABORT=false;var EXITSTATUS=0;var undef=0;var tempValue,tempInt,tempBigInt,tempInt2,tempBigInt2,tempPair,tempBigIntI,tempBigIntR,tempBigIntS,tempBigIntP,tempBigIntD,tempDouble,tempFloat;var tempI64,tempI64b;var tempRet0,tempRet1,tempRet2,tempRet3,tempRet4,tempRet5,tempRet6,tempRet7,tempRet8,tempRet9;function assert(condition,text){if(!condition){abort("Assertion failed: "+text)}}var globalScope=this;function getCFunc(ident){var func=Module["_"+ident];if(!func){try{func=eval("_"+ident)}catch(e){}}assert(func,"Cannot call unknown function "+ident+" (perhaps LLVM optimizations or closure removed it?)");return func}var cwrap,ccall;((function(){var JSfuncs={"stackSave":(function(){Runtime.stackSave()}),"stackRestore":(function(){Runtime.stackRestore()}),"arrayToC":(function(arr){var ret=Runtime.stackAlloc(arr.length);writeArrayToMemory(arr,ret);return ret}),"stringToC":(function(str){var ret=0;if(str!==null&&str!==undefined&&str!==0){ret=Runtime.stackAlloc((str.length<<2)+1);writeStringToMemory(str,ret)}return ret})};var toC={"string":JSfuncs["stringToC"],"array":JSfuncs["arrayToC"]};ccall=function ccallFunc(ident,returnType,argTypes,args,opts){var func=getCFunc(ident);var cArgs=[];var stack=0;if(args){for(var i=0;i<args.length;i++){var converter=toC[argTypes[i]];if(converter){if(stack===0)stack=Runtime.stackSave();cArgs[i]=converter(args[i])}else{cArgs[i]=args[i]}}}var ret=func.apply(null,cArgs);if(returnType==="string")ret=Pointer_stringify(ret);if(stack!==0){if(opts&&opts.async){EmterpreterAsync.asyncFinalizers.push((function(){Runtime.stackRestore(stack)}));return}Runtime.stackRestore(stack)}return ret};var sourceRegex=/^function\s*\(([^)]*)\)\s*{\s*([^*]*?)[\s;]*(?:return\s*(.*?)[;\s]*)?}$/;function parseJSFunc(jsfunc){var parsed=jsfunc.toString().match(sourceRegex).slice(1);return{arguments:parsed[0],body:parsed[1],returnValue:parsed[2]}}var JSsource={};for(var fun in JSfuncs){if(JSfuncs.hasOwnProperty(fun)){JSsource[fun]=parseJSFunc(JSfuncs[fun])}}cwrap=function cwrap(ident,returnType,argTypes){argTypes=argTypes||[];var cfunc=getCFunc(ident);var numericArgs=argTypes.every((function(type){return type==="number"}));var numericRet=returnType!=="string";if(numericRet&&numericArgs){return cfunc}var argNames=argTypes.map((function(x,i){return"$"+i}));var funcstr="(function("+argNames.join(",")+") {";var nargs=argTypes.length;if(!numericArgs){funcstr+="var stack = "+JSsource["stackSave"].body+";";for(var i=0;i<nargs;i++){var arg=argNames[i],type=argTypes[i];if(type==="number")continue;var convertCode=JSsource[type+"ToC"];funcstr+="var "+convertCode.arguments+" = "+arg+";";funcstr+=convertCode.body+";";funcstr+=arg+"="+convertCode.returnValue+";"}}var cfuncname=parseJSFunc((function(){return cfunc})).returnValue;funcstr+="var ret = "+cfuncname+"("+argNames.join(",")+");";if(!numericRet){var strgfy=parseJSFunc((function(){return Pointer_stringify})).returnValue;funcstr+="ret = "+strgfy+"(ret);"}if(!numericArgs){funcstr+=JSsource["stackRestore"].body.replace("()","(stack)")+";"}funcstr+="return ret})";return eval(funcstr)}}))();Module["ccall"]=ccall;Module["cwrap"]=cwrap;function setValue(ptr,value,type,noSafe){type=type||"i8";if(type.charAt(type.length-1)==="*")type="i32";switch(type){case"i1":HEAP8[ptr>>0]=value;break;case"i8":HEAP8[ptr>>0]=value;break;case"i16":HEAP16[ptr>>1]=value;break;case"i32":HEAP32[ptr>>2]=value;break;case"i64":tempI64=[value>>>0,(tempDouble=value,+Math_abs(tempDouble)>=+1?tempDouble>+0?(Math_min(+Math_floor(tempDouble/+4294967296),+4294967295)|0)>>>0:~~+Math_ceil((tempDouble- +(~~tempDouble>>>0))/+4294967296)>>>0:0)],HEAP32[ptr>>2]=tempI64[0],HEAP32[ptr+4>>2]=tempI64[1];break;case"float":HEAPF32[ptr>>2]=value;break;case"double":HEAPF64[ptr>>3]=value;break;default:abort("invalid type for setValue: "+type)}}Module["setValue"]=setValue;function getValue(ptr,type,noSafe){type=type||"i8";if(type.charAt(type.length-1)==="*")type="i32";switch(type){case"i1":return HEAP8[ptr>>0];case"i8":return HEAP8[ptr>>0];case"i16":return HEAP16[ptr>>1];case"i32":return HEAP32[ptr>>2];case"i64":return HEAP32[ptr>>2];case"float":return HEAPF32[ptr>>2];case"double":return HEAPF64[ptr>>3];default:abort("invalid type for setValue: "+type)}return null}Module["getValue"]=getValue;var ALLOC_NORMAL=0;var ALLOC_STACK=1;var ALLOC_STATIC=2;var ALLOC_DYNAMIC=3;var ALLOC_NONE=4;Module["ALLOC_NORMAL"]=ALLOC_NORMAL;Module["ALLOC_STACK"]=ALLOC_STACK;Module["ALLOC_STATIC"]=ALLOC_STATIC;Module["ALLOC_DYNAMIC"]=ALLOC_DYNAMIC;Module["ALLOC_NONE"]=ALLOC_NONE;function allocate(slab,types,allocator,ptr){var zeroinit,size;if(typeof slab==="number"){zeroinit=true;size=slab}else{zeroinit=false;size=slab.length}var singleType=typeof types==="string"?types:null;var ret;if(allocator==ALLOC_NONE){ret=ptr}else{ret=[_malloc,Runtime.stackAlloc,Runtime.staticAlloc,Runtime.dynamicAlloc][allocator===undefined?ALLOC_STATIC:allocator](Math.max(size,singleType?1:types.length))}if(zeroinit){var ptr=ret,stop;assert((ret&3)==0);stop=ret+(size&~3);for(;ptr<stop;ptr+=4){HEAP32[ptr>>2]=0}stop=ret+size;while(ptr<stop){HEAP8[ptr++>>0]=0}return ret}if(singleType==="i8"){if(slab.subarray||slab.slice){HEAPU8.set(slab,ret)}else{HEAPU8.set(new Uint8Array(slab),ret)}return ret}var i=0,type,typeSize,previousType;while(i<size){var curr=slab[i];if(typeof curr==="function"){curr=Runtime.getFunctionIndex(curr)}type=singleType||types[i];if(type===0){i++;continue}if(type=="i64")type="i32";setValue(ret+i,curr,type);if(previousType!==type){typeSize=Runtime.getNativeTypeSize(type);previousType=type}i+=typeSize}return ret}Module["allocate"]=allocate;function getMemory(size){if(!staticSealed)return Runtime.staticAlloc(size);if(typeof _sbrk!=="undefined"&&!_sbrk.called||!runtimeInitialized)return Runtime.dynamicAlloc(size);return _malloc(size)}Module["getMemory"]=getMemory;function Pointer_stringify(ptr,length){if(length===0||!ptr)return"";var hasUtf=0;var t;var i=0;while(1){t=HEAPU8[ptr+i>>0];hasUtf|=t;if(t==0&&!length)break;i++;if(length&&i==length)break}if(!length)length=i;var ret="";if(hasUtf<128){var MAX_CHUNK=1024;var curr;while(length>0){curr=String.fromCharCode.apply(String,HEAPU8.subarray(ptr,ptr+Math.min(length,MAX_CHUNK)));ret=ret?ret+curr:curr;ptr+=MAX_CHUNK;length-=MAX_CHUNK}return ret}return Module["UTF8ToString"](ptr)}Module["Pointer_stringify"]=Pointer_stringify;function AsciiToString(ptr){var str="";while(1){var ch=HEAP8[ptr++>>0];if(!ch)return str;str+=String.fromCharCode(ch)}}Module["AsciiToString"]=AsciiToString;function stringToAscii(str,outPtr){return writeAsciiToMemory(str,outPtr,false)}Module["stringToAscii"]=stringToAscii;function UTF8ArrayToString(u8Array,idx){var u0,u1,u2,u3,u4,u5;var str="";while(1){u0=u8Array[idx++];if(!u0)return str;if(!(u0&128)){str+=String.fromCharCode(u0);continue}u1=u8Array[idx++]&63;if((u0&224)==192){str+=String.fromCharCode((u0&31)<<6|u1);continue}u2=u8Array[idx++]&63;if((u0&240)==224){u0=(u0&15)<<12|u1<<6|u2}else{u3=u8Array[idx++]&63;if((u0&248)==240){u0=(u0&7)<<18|u1<<12|u2<<6|u3}else{u4=u8Array[idx++]&63;if((u0&252)==248){u0=(u0&3)<<24|u1<<18|u2<<12|u3<<6|u4}else{u5=u8Array[idx++]&63;u0=(u0&1)<<30|u1<<24|u2<<18|u3<<12|u4<<6|u5}}}if(u0<65536){str+=String.fromCharCode(u0)}else{var ch=u0-65536;str+=String.fromCharCode(55296|ch>>10,56320|ch&1023)}}}Module["UTF8ArrayToString"]=UTF8ArrayToString;function UTF8ToString(ptr){return UTF8ArrayToString(HEAPU8,ptr)}Module["UTF8ToString"]=UTF8ToString;function stringToUTF8Array(str,outU8Array,outIdx,maxBytesToWrite){if(!(maxBytesToWrite>0))return 0;var startIdx=outIdx;var endIdx=outIdx+maxBytesToWrite-1;for(var i=0;i<str.length;++i){var u=str.charCodeAt(i);if(u>=55296&&u<=57343)u=65536+((u&1023)<<10)|str.charCodeAt(++i)&1023;if(u<=127){if(outIdx>=endIdx)break;outU8Array[outIdx++]=u}else if(u<=2047){if(outIdx+1>=endIdx)break;outU8Array[outIdx++]=192|u>>6;outU8Array[outIdx++]=128|u&63}else if(u<=65535){if(outIdx+2>=endIdx)break;outU8Array[outIdx++]=224|u>>12;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}else if(u<=2097151){if(outIdx+3>=endIdx)break;outU8Array[outIdx++]=240|u>>18;outU8Array[outIdx++]=128|u>>12&63;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}else if(u<=67108863){if(outIdx+4>=endIdx)break;outU8Array[outIdx++]=248|u>>24;outU8Array[outIdx++]=128|u>>18&63;outU8Array[outIdx++]=128|u>>12&63;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}else{if(outIdx+5>=endIdx)break;outU8Array[outIdx++]=252|u>>30;outU8Array[outIdx++]=128|u>>24&63;outU8Array[outIdx++]=128|u>>18&63;outU8Array[outIdx++]=128|u>>12&63;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}}outU8Array[outIdx]=0;return outIdx-startIdx}Module["stringToUTF8Array"]=stringToUTF8Array;function stringToUTF8(str,outPtr,maxBytesToWrite){return stringToUTF8Array(str,HEAPU8,outPtr,maxBytesToWrite)}Module["stringToUTF8"]=stringToUTF8;function lengthBytesUTF8(str){var len=0;for(var i=0;i<str.length;++i){var u=str.charCodeAt(i);if(u>=55296&&u<=57343)u=65536+((u&1023)<<10)|str.charCodeAt(++i)&1023;if(u<=127){++len}else if(u<=2047){len+=2}else if(u<=65535){len+=3}else if(u<=2097151){len+=4}else if(u<=67108863){len+=5}else{len+=6}}return len}Module["lengthBytesUTF8"]=lengthBytesUTF8;function UTF16ToString(ptr){var i=0;var str="";while(1){var codeUnit=HEAP16[ptr+i*2>>1];if(codeUnit==0)return str;++i;str+=String.fromCharCode(codeUnit)}}Module["UTF16ToString"]=UTF16ToString;function stringToUTF16(str,outPtr,maxBytesToWrite){if(maxBytesToWrite===undefined){maxBytesToWrite=2147483647}if(maxBytesToWrite<2)return 0;maxBytesToWrite-=2;var startPtr=outPtr;var numCharsToWrite=maxBytesToWrite<str.length*2?maxBytesToWrite/2:str.length;for(var i=0;i<numCharsToWrite;++i){var codeUnit=str.charCodeAt(i);HEAP16[outPtr>>1]=codeUnit;outPtr+=2}HEAP16[outPtr>>1]=0;return outPtr-startPtr}Module["stringToUTF16"]=stringToUTF16;function lengthBytesUTF16(str){return str.length*2}Module["lengthBytesUTF16"]=lengthBytesUTF16;function UTF32ToString(ptr){var i=0;var str="";while(1){var utf32=HEAP32[ptr+i*4>>2];if(utf32==0)return str;++i;if(utf32>=65536){var ch=utf32-65536;str+=String.fromCharCode(55296|ch>>10,56320|ch&1023)}else{str+=String.fromCharCode(utf32)}}}Module["UTF32ToString"]=UTF32ToString;function stringToUTF32(str,outPtr,maxBytesToWrite){if(maxBytesToWrite===undefined){maxBytesToWrite=2147483647}if(maxBytesToWrite<4)return 0;var startPtr=outPtr;var endPtr=startPtr+maxBytesToWrite-4;for(var i=0;i<str.length;++i){var codeUnit=str.charCodeAt(i);if(codeUnit>=55296&&codeUnit<=57343){var trailSurrogate=str.charCodeAt(++i);codeUnit=65536+((codeUnit&1023)<<10)|trailSurrogate&1023}HEAP32[outPtr>>2]=codeUnit;outPtr+=4;if(outPtr+4>endPtr)break}HEAP32[outPtr>>2]=0;return outPtr-startPtr}Module["stringToUTF32"]=stringToUTF32;function lengthBytesUTF32(str){var len=0;for(var i=0;i<str.length;++i){var codeUnit=str.charCodeAt(i);if(codeUnit>=55296&&codeUnit<=57343)++i;len+=4}return len}Module["lengthBytesUTF32"]=lengthBytesUTF32;function demangle(func){var hasLibcxxabi=!!Module["___cxa_demangle"];if(hasLibcxxabi){try{var buf=_malloc(func.length);writeStringToMemory(func.substr(1),buf);var status=_malloc(4);var ret=Module["___cxa_demangle"](buf,0,0,status);if(getValue(status,"i32")===0&&ret){return Pointer_stringify(ret)}}catch(e){}finally{if(buf)_free(buf);if(status)_free(status);if(ret)_free(ret)}}var i=3;var basicTypes={"v":"void","b":"bool","c":"char","s":"short","i":"int","l":"long","f":"float","d":"double","w":"wchar_t","a":"signed char","h":"unsigned char","t":"unsigned short","j":"unsigned int","m":"unsigned long","x":"long long","y":"unsigned long long","z":"..."};var subs=[];var first=true;function dump(x){if(x)Module.print(x);Module.print(func);var pre="";for(var a=0;a<i;a++)pre+=" ";Module.print(pre+"^")}function parseNested(){i++;if(func[i]==="K")i++;var parts=[];while(func[i]!=="E"){if(func[i]==="S"){i++;var next=func.indexOf("_",i);var num=func.substring(i,next)||0;parts.push(subs[num]||"?");i=next+1;continue}if(func[i]==="C"){parts.push(parts[parts.length-1]);i+=2;continue}var size=parseInt(func.substr(i));var pre=size.toString().length;if(!size||!pre){i--;break}var curr=func.substr(i+pre,size);parts.push(curr);subs.push(curr);i+=pre+size}i++;return parts}function parse(rawList,limit,allowVoid){limit=limit||Infinity;var ret="",list=[];function flushList(){return"("+list.join(", ")+")"}var name;if(func[i]==="N"){name=parseNested().join("::");limit--;if(limit===0)return rawList?[name]:name}else{if(func[i]==="K"||first&&func[i]==="L")i++;var size=parseInt(func.substr(i));if(size){var pre=size.toString().length;name=func.substr(i+pre,size);i+=pre+size}}first=false;if(func[i]==="I"){i++;var iList=parse(true);var iRet=parse(true,1,true);ret+=iRet[0]+" "+name+"<"+iList.join(", ")+">"}else{ret=name}paramLoop:while(i<func.length&&limit-->0){var c=func[i++];if(c in basicTypes){list.push(basicTypes[c])}else{switch(c){case"P":list.push(parse(true,1,true)[0]+"*");break;case"R":list.push(parse(true,1,true)[0]+"&");break;case"L":{i++;var end=func.indexOf("E",i);var size=end-i;list.push(func.substr(i,size));i+=size+2;break};case"A":{var size=parseInt(func.substr(i));i+=size.toString().length;if(func[i]!=="_")throw"?";i++;list.push(parse(true,1,true)[0]+" ["+size+"]");break};case"E":break paramLoop;default:ret+="?"+c;break paramLoop}}}if(!allowVoid&&list.length===1&&list[0]==="void")list=[];if(rawList){if(ret){list.push(ret+"?")}return list}else{return ret+flushList()}}var parsed=func;try{if(func=="Object._main"||func=="_main"){return"main()"}if(typeof func==="number")func=Pointer_stringify(func);if(func[0]!=="_")return func;if(func[1]!=="_")return func;if(func[2]!=="Z")return func;switch(func[3]){case"n":return"operator new()";case"d":return"operator delete()"}parsed=parse()}catch(e){parsed+="?"}if(parsed.indexOf("?")>=0&&!hasLibcxxabi){Runtime.warnOnce("warning: a problem occurred in builtin C++ name demangling; build with  -s DEMANGLE_SUPPORT=1  to link in libcxxabi demangling")}return parsed}function demangleAll(text){return text.replace(/__Z[\w\d_]+/g,(function(x){var y=demangle(x);return x===y?x:x+" ["+y+"]"}))}function jsStackTrace(){var err=new Error;if(!err.stack){try{throw new Error(0)}catch(e){err=e}if(!err.stack){return"(no stack trace available)"}}return err.stack.toString()}function stackTrace(){return demangleAll(jsStackTrace())}Module["stackTrace"]=stackTrace;var PAGE_SIZE=4096;function alignMemoryPage(x){if(x%4096>0){x+=4096-x%4096}return x}var HEAP;var HEAP8,HEAPU8,HEAP16,HEAPU16,HEAP32,HEAPU32,HEAPF32,HEAPF64;var STATIC_BASE=0,STATICTOP=0,staticSealed=false;var STACK_BASE=0,STACKTOP=0,STACK_MAX=0;var DYNAMIC_BASE=0,DYNAMICTOP=0;function enlargeMemory(){var OLD_TOTAL_MEMORY=TOTAL_MEMORY;var LIMIT=Math.pow(2,31);if(DYNAMICTOP>=LIMIT)return false;while(TOTAL_MEMORY<=DYNAMICTOP){if(TOTAL_MEMORY<LIMIT/2){TOTAL_MEMORY=alignMemoryPage(2*TOTAL_MEMORY)}else{var last=TOTAL_MEMORY;TOTAL_MEMORY=alignMemoryPage((3*TOTAL_MEMORY+LIMIT)/4);if(TOTAL_MEMORY<=last)return false}}TOTAL_MEMORY=Math.max(TOTAL_MEMORY,16*1024*1024);if(TOTAL_MEMORY>=LIMIT)return false;try{if(ArrayBuffer.transfer){buffer=ArrayBuffer.transfer(buffer,TOTAL_MEMORY)}else{var oldHEAP8=HEAP8;buffer=new ArrayBuffer(TOTAL_MEMORY)}}catch(e){return false}var success=_emscripten_replace_memory(buffer);if(!success)return false;Module["buffer"]=buffer;Module["HEAP8"]=HEAP8=new Int8Array(buffer);Module["HEAP16"]=HEAP16=new Int16Array(buffer);Module["HEAP32"]=HEAP32=new Int32Array(buffer);Module["HEAPU8"]=HEAPU8=new Uint8Array(buffer);Module["HEAPU16"]=HEAPU16=new Uint16Array(buffer);Module["HEAPU32"]=HEAPU32=new Uint32Array(buffer);Module["HEAPF32"]=HEAPF32=new Float32Array(buffer);Module["HEAPF64"]=HEAPF64=new Float64Array(buffer);if(!ArrayBuffer.transfer){HEAP8.set(oldHEAP8)}return true}var byteLength;try{byteLength=Function.prototype.call.bind(Object.getOwnPropertyDescriptor(ArrayBuffer.prototype,"byteLength").get);byteLength(new ArrayBuffer(4))}catch(e){byteLength=(function(buffer){return buffer.byteLength})}var TOTAL_STACK=Module["TOTAL_STACK"]||5242880;var TOTAL_MEMORY=Module["TOTAL_MEMORY"]||16777216;var totalMemory=64*1024;while(totalMemory<TOTAL_MEMORY||totalMemory<2*TOTAL_STACK){if(totalMemory<16*1024*1024){totalMemory*=2}else{totalMemory+=16*1024*1024}}totalMemory=Math.max(totalMemory,16*1024*1024);if(totalMemory!==TOTAL_MEMORY){TOTAL_MEMORY=totalMemory}assert(typeof Int32Array!=="undefined"&&typeof Float64Array!=="undefined"&&!!(new Int32Array(1))["subarray"]&&!!(new Int32Array(1))["set"],"JS engine does not provide full typed array support");var buffer;if(Module["buffer"]){buffer=Module["buffer"];assert(buffer.byteLength===TOTAL_MEMORY,"provided buffer should be "+TOTAL_MEMORY+" bytes, but it is "+buffer.byteLength)}else{buffer=new ArrayBuffer(TOTAL_MEMORY)}HEAP8=new Int8Array(buffer);HEAP16=new Int16Array(buffer);HEAP32=new Int32Array(buffer);HEAPU8=new Uint8Array(buffer);HEAPU16=new Uint16Array(buffer);HEAPU32=new Uint32Array(buffer);HEAPF32=new Float32Array(buffer);HEAPF64=new Float64Array(buffer);HEAP32[0]=255;assert(HEAPU8[0]===255&&HEAPU8[3]===0,"Typed arrays 2 must be run on a little-endian system");Module["HEAP"]=HEAP;Module["buffer"]=buffer;Module["HEAP8"]=HEAP8;Module["HEAP16"]=HEAP16;Module["HEAP32"]=HEAP32;Module["HEAPU8"]=HEAPU8;Module["HEAPU16"]=HEAPU16;Module["HEAPU32"]=HEAPU32;Module["HEAPF32"]=HEAPF32;Module["HEAPF64"]=HEAPF64;function callRuntimeCallbacks(callbacks){while(callbacks.length>0){var callback=callbacks.shift();if(typeof callback=="function"){callback();continue}var func=callback.func;if(typeof func==="number"){if(callback.arg===undefined){Runtime.dynCall("v",func)}else{Runtime.dynCall("vi",func,[callback.arg])}}else{func(callback.arg===undefined?null:callback.arg)}}}var __ATPRERUN__=[];var __ATINIT__=[];var __ATMAIN__=[];var __ATEXIT__=[];var __ATPOSTRUN__=[];var runtimeInitialized=false;var runtimeExited=false;function preRun(){if(Module["preRun"]){if(typeof Module["preRun"]=="function")Module["preRun"]=[Module["preRun"]];while(Module["preRun"].length){addOnPreRun(Module["preRun"].shift())}}callRuntimeCallbacks(__ATPRERUN__)}function ensureInitRuntime(){if(runtimeInitialized)return;runtimeInitialized=true;callRuntimeCallbacks(__ATINIT__)}function preMain(){callRuntimeCallbacks(__ATMAIN__)}function exitRuntime(){callRuntimeCallbacks(__ATEXIT__);runtimeExited=true}function postRun(){if(Module["postRun"]){if(typeof Module["postRun"]=="function")Module["postRun"]=[Module["postRun"]];while(Module["postRun"].length){addOnPostRun(Module["postRun"].shift())}}callRuntimeCallbacks(__ATPOSTRUN__)}function addOnPreRun(cb){__ATPRERUN__.unshift(cb)}Module["addOnPreRun"]=addOnPreRun;function addOnInit(cb){__ATINIT__.unshift(cb)}Module["addOnInit"]=addOnInit;function addOnPreMain(cb){__ATMAIN__.unshift(cb)}Module["addOnPreMain"]=addOnPreMain;function addOnExit(cb){__ATEXIT__.unshift(cb)}Module["addOnExit"]=addOnExit;function addOnPostRun(cb){__ATPOSTRUN__.unshift(cb)}Module["addOnPostRun"]=addOnPostRun;function intArrayFromString(stringy,dontAddNull,length){var len=length>0?length:lengthBytesUTF8(stringy)+1;var u8array=new Array(len);var numBytesWritten=stringToUTF8Array(stringy,u8array,0,u8array.length);if(dontAddNull)u8array.length=numBytesWritten;return u8array}Module["intArrayFromString"]=intArrayFromString;function intArrayToString(array){var ret=[];for(var i=0;i<array.length;i++){var chr=array[i];if(chr>255){chr&=255}ret.push(String.fromCharCode(chr))}return ret.join("")}Module["intArrayToString"]=intArrayToString;function writeStringToMemory(string,buffer,dontAddNull){var array=intArrayFromString(string,dontAddNull);var i=0;while(i<array.length){var chr=array[i];HEAP8[buffer+i>>0]=chr;i=i+1}}Module["writeStringToMemory"]=writeStringToMemory;function writeArrayToMemory(array,buffer){for(var i=0;i<array.length;i++){HEAP8[buffer++>>0]=array[i]}}Module["writeArrayToMemory"]=writeArrayToMemory;function writeAsciiToMemory(str,buffer,dontAddNull){for(var i=0;i<str.length;++i){HEAP8[buffer++>>0]=str.charCodeAt(i)}if(!dontAddNull)HEAP8[buffer>>0]=0}Module["writeAsciiToMemory"]=writeAsciiToMemory;function unSign(value,bits,ignore){if(value>=0){return value}return bits<=32?2*Math.abs(1<<bits-1)+value:Math.pow(2,bits)+value}function reSign(value,bits,ignore){if(value<=0){return value}var half=bits<=32?Math.abs(1<<bits-1):Math.pow(2,bits-1);if(value>=half&&(bits<=32||value>half)){value=-2*half+value}return value}if(!Math["imul"]||Math["imul"](4294967295,5)!==-5)Math["imul"]=function imul(a,b){var ah=a>>>16;var al=a&65535;var bh=b>>>16;var bl=b&65535;return al*bl+(ah*bl+al*bh<<16)|0};Math.imul=Math["imul"];if(!Math["clz32"])Math["clz32"]=(function(x){x=x>>>0;for(var i=0;i<32;i++){if(x&1<<31-i)return i}return 32});Math.clz32=Math["clz32"];var Math_abs=Math.abs;var Math_cos=Math.cos;var Math_sin=Math.sin;var Math_tan=Math.tan;var Math_acos=Math.acos;var Math_asin=Math.asin;var Math_atan=Math.atan;var Math_atan2=Math.atan2;var Math_exp=Math.exp;var Math_log=Math.log;var Math_sqrt=Math.sqrt;var Math_ceil=Math.ceil;var Math_floor=Math.floor;var Math_pow=Math.pow;var Math_imul=Math.imul;var Math_fround=Math.fround;var Math_min=Math.min;var Math_clz32=Math.clz32;var runDependencies=0;var runDependencyWatcher=null;var dependenciesFulfilled=null;function getUniqueRunDependency(id){return id}function addRunDependency(id){runDependencies++;if(Module["monitorRunDependencies"]){Module["monitorRunDependencies"](runDependencies)}}Module["addRunDependency"]=addRunDependency;function removeRunDependency(id){runDependencies--;if(Module["monitorRunDependencies"]){Module["monitorRunDependencies"](runDependencies)}if(runDependencies==0){if(runDependencyWatcher!==null){clearInterval(runDependencyWatcher);runDependencyWatcher=null}if(dependenciesFulfilled){var callback=dependenciesFulfilled;dependenciesFulfilled=null;callback()}}}Module["removeRunDependency"]=removeRunDependency;Module["preloadedImages"]={};Module["preloadedAudios"]={};var memoryInitializer=null;var ASM_CONSTS=[];STATIC_BASE=8;STATICTOP=STATIC_BASE+160064;__ATINIT__.push({func:(function(){__GLOBAL__I_000101()})},{func:(function(){__GLOBAL__sub_I_Mesh_cpp()})},{func:(function(){__GLOBAL__sub_I_Geometry_cpp()})},{func:(function(){__GLOBAL__sub_I_iostream_cpp()})});allocate([156,164,0,0,227,209,0,0,208,99,0,0,0,0,0,0,156,164,0,0,41,210,0,0,144,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,164,0,0,248,250,0,0,152,0,0,0,0,0,0,0,156,164,0,0,11,251,0,0,168,0,0,0,0,0,0,0,116,164,0,0,19,251,0,0,156,164,0,0,170,251,0,0,168,0,0,0,0,0,0,0,156,164,0,0,163,4,1,0,208,0,0,0,0,0,0,0,116,164,0,0,182,4,1,0,156,164,0,0,189,4,1,0,208,0,0,0,0,0,0,0,156,164,0,0,178,5,1,0,248,0,0,0,0,0,0,0,156,164,0,0,215,5,1,0,168,0,0,0,0,0,0,0,156,164,0,0,24,6,1,0,248,0,0,0,0,0,0,0,156,164,0,0,13,7,1,0,40,1,0,0,0,0,0,0,116,164,0,0,29,7,1,0,156,164,0,0,232,7,1,0,248,0,0,0,0,0,0,0,156,164,0,0,3,8,1,0,208,0,0,0,0,0,0,0,156,164,0,0,21,8,1,0,96,1,0,0,0,0,0,0,156,164,0,0,236,8,1,0,168,0,0,0,0,0,0,0,156,164,0,0,78,9,1,0,128,1,0,0,0,0,0,0,156,164,0,0,181,10,1,0,168,0,0,0,0,0,0,0,156,164,0,0,53,12,1,0,160,1,0,0,0,0,0,0,116,164,0,0,71,12,1,0,156,164,0,0,31,13,1,0,168,0,0,0,0,0,0,0,156,164,0,0,198,14,1,0,168,0,0,0,0,0,0,0,196,164,0,0,110,15,1,0,0,0,0,0,2,0,0,0,168,0,0,0,2,0,0,0,232,1,0,0,2,4,0,0,116,164,0,0,224,20,1,0,196,164,0,0,209,21,1,0,0,0,0,0,3,0,0,0,200,1,0,0,2,0,0,0,24,2,0,0,2,48,0,0,32,2,0,0,2,0,0,0,116,164,0,0,75,22,1,0,116,164,0,0,67,22,1,0,196,164,0,0,139,24,1,0,0,0,0,0,3,0,0,0,200,1,0,0,2,0,0,0,24,2,0,0,2,48,0,0,80,2,0,0,2,0,0,0,116,164,0,0,137,28,1,0,196,164,0,0,141,29,1,0,0,0,0,0,3,0,0,0,200,1,0,0,2,0,0,0,24,2,0,0,2,48,0,0,128,2,0,0,2,0,0,0,116,164,0,0,57,30,1,0,196,164,0,0,116,33,1,0,0,0,0,0,3,0,0,0,200,1,0,0,2,0,0,0,24,2,0,0,2,48,0,0,176,2,0,0,2,0,0,0,116,164,0,0,29,37,1,0,196,164,0,0,95,40,1,0,0,0,0,0,2,0,0,0,96,1,0,0,2,0,0,0,32,2,0,0,2,0,0,0,196,164,0,0,113,41,1,0,0,0,0,0,2,0,0,0,96,1,0,0,2,0,0,0,80,2,0,0,2,0,0,0,156,164,0,0,75,42,1,0,96,1,0,0,0,0,0,0,156,164,0,0,153,43,1,0,96,1,0,0,0,0,0,0,156,164,0,0,236,44,1,0,96,1,0,0,0,0,0,0,156,164,0,0,241,45,1,0,96,1,0,0,0,0,0,0,156,164,0,0,224,46,1,0,96,1,0,0,0,0,0,0,156,164,0,0,164,48,1,0,88,3,0,0,0,0,0,0,196,164,0,0,63,49,1,0,0,0,0,0,2,0,0,0,168,0,0,0,2,0,0,0,232,1,0,0,2,4,0,0,156,164,0,0,149,49,1,0,88,3,0,0,0,0,0,0,156,164,0,0,247,54,1,0,128,1,0,0,0,0,0,0,156,164,0,0,191,55,1,0,128,1,0,0,0,0,0,0,156,164,0,0,200,56,1,0,184,3,0,0,0,0,0,0,196,164,0,0,36,57,1,0,0,0,0,0,2,0,0,0,168,0,0,0,2,0,0,0,232,1,0,0,2,4,0,0,156,164,0,0,124,57,1,0,184,3,0,0,0,0,0,0,156,164,0,0,102,58,1,0,184,3,0,0,0,0,0,0,156,164,0,0,62,63,1,0,208,0,0,0,0,0,0,0,156,164,0,0,41,64,1,0,208,0,0,0,0,0,0,0,156,164,0,0,41,65,1,0,208,0,0,0,0,0,0,0,156,164,0,0,73,66,1,0,208,0,0,0,0,0,0,0,156,164,0,0,11,67,1,0,208,0,0,0,0,0,0,0,156,164,0,0,100,68,1,0,208,0,0,0,0,0,0,0,156,164,0,0,51,69,1,0,208,0,0,0,0,0,0,0,156,164,0,0,41,70,1,0,208,0,0,0,0,0,0,0,156,164,0,0,29,71,1,0,208,0,0,0,0,0,0,0,156,164,0,0,73,74,1,0,208,0,0,0,0,0,0,0,156,164,0,0,126,75,1,0,208,0,0,0,0,0,0,0,156,164,0,0,109,76,1,0,208,0,0,0,0,0,0,0,156,164,0,0,62,79,1,0,208,0,0,0,0,0,0,0,156,164,0,0,71,82,1,0,168,0,0,0,0,0,0,0,156,164,0,0,191,153,1,0,128,98,0,0,0,0,0,0,156,164,0,0,64,170,1,0,248,0,0,0,0,0,0,0,156,164,0,0,180,191,1,0,96,1,0,0,0,0,0,0,156,164,0,0,208,203,1,0,184,3,0,0,0,0,0,0,196,164,0,0,87,211,1,0,0,0,0,0,2,0,0,0,168,0,0,0,2,0,0,0,56,5,0,0,2,4,0,0,116,164,0,0,102,211,1,0,196,164,0,0,246,211,1,0,0,0,0,0,2,0,0,0,168,0,0,0,2,0,0,0,56,5,0,0,2,4,0,0,196,164,0,0,141,212,1,0,0,0,0,0,2,0,0,0,168,0,0,0,2,0,0,0,56,5,0,0,2,4,0,0,196,164,0,0,82,213,1,0,0,0,0,0,2,0,0,0,168,0,0,0,2,0,0,0,56,5,0,0,2,4,0,0,196,164,0,0,3,214,1,0,0,0,0,0,2,0,0,0,168,0,0,0,2,0,0,0,56,5,0,0,2,4,0,0,196,164,0,0,5,215,1,0,0,0,0,0,2,0,0,0,96,1,0,0,2,0,0,0,176,2,0,0,2,0,0,0,196,164,0,0,102,216,1,0,0,0,0,0,2,0,0,0,96,1,0,0,2,0,0,0,128,2,0,0,2,0,0,0,156,164,0,0,74,231,1,0,16,6,0,0,0,0,0,0,116,164,0,0,200,231,1,0,156,164,0,0,210,231,1,0,16,6,0,0,0,0,0,0,156,164,0,0,82,232,1,0,16,6,0,0,0,0,0,0,156,164,0,0,252,233,1,0,16,6,0,0,0,0,0,0,156,164,0,0,161,234,1,0,16,6,0,0,0,0,0,0,156,164,0,0,109,235,1,0,16,6,0,0,0,0,0,0,156,164,0,0,229,235,1,0,16,6,0,0,0,0,0,0,156,164,0,0,119,236,1,0,16,6,0,0,0,0,0,0,156,164,0,0,231,236,1,0,16,6,0,0,0,0,0,0,156,164,0,0,202,239,1,0,16,6,0,0,0,0,0,0,156,164,0,0,228,246,1,0,16,6,0,0,0,0,0,0,156,164,0,0,249,247,1,0,16,6,0,0,0,0,0,0,156,164,0,0,12,249,1,0,16,6,0,0,0,0,0,0,156,164,0,0,16,251,1,0,16,6,0,0,0,0,0,0,156,164,0,0,116,252,1,0,16,6,0,0,0,0,0,0,156,164,0,0,61,253,1,0,16,6,0,0,0,0,0,0,156,164,0,0,150,254,1,0,16,6,0,0,0,0,0,0,156,164,0,0,104,0,2,0,16,6,0,0,0,0,0,0,156,164,0,0,152,2,2,0,16,6,0,0,0,0,0,0,156,164,0,0,82,3,2,0,16,6,0,0,0,0,0,0,156,164,0,0,176,3,2,0,16,6,0,0,0,0,0,0,156,164,0,0,164,5,2,0,16,6,0,0,0,0,0,0,156,164,0,0,113,11,2,0,16,6,0,0,0,0,0,0,156,164,0,0,51,12,2,0,16,6,0,0,0,0,0,0,156,164,0,0,211,12,2,0,16,6,0,0,0,0,0,0,156,164,0,0,65,13,2,0,16,6,0,0,0,0,0,0,156,164,0,0,173,13,2,0,16,6,0,0,0,0,0,0,156,164,0,0,21,14,2,0,16,6,0,0,0,0,0,0,156,164,0,0,212,17,2,0,16,6,0,0,0,0,0,0,156,164,0,0,48,18,2,0,16,6,0,0,0,0,0,0,156,164,0,0,200,18,2,0,16,6,0,0,0,0,0,0,156,164,0,0,241,20,2,0,16,6,0,0,0,0,0,0,156,164,0,0,137,21,2,0,16,6,0,0,0,0,0,0,156,164,0,0,78,23,2,0,16,6,0,0,0,0,0,0,156,164,0,0,164,25,2,0,208,0,0,0,0,0,0,0,156,164,0,0,116,26,2,0,16,6,0,0,0,0,0,0,156,164,0,0,22,28,2,0,88,8,0,0,0,0,0,0,116,164,0,0,179,28,2,0,156,164,0,0,186,28,2,0,88,8,0,0,0,0,0,0,156,164,0,0,72,30,2,0,88,8,0,0,0,0,0,0,156,164,0,0,91,31,2,0,88,8,0,0,0,0,0,0,156,164,0,0,113,47,2,0,88,3,0,0,0,0,0,0,156,164,0,0,118,49,2,0,184,3,0,0,0,0,0,0,156,164,0,0,65,50,2,0,184,3,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,154,153,153,153,153,153,233,191,205,204,204,204,204,204,220,63,205,204,204,204,204,204,220,63,205,204,204,204,204,204,220,63,205,204,204,204,204,204,220,63,238,126,249,198,76,241,138,191,29,54,173,178,122,56,127,63,29,54,173,178,122,56,127,63,29,54,173,178,122,56,127,63,29,54,173,178,122,56,127,63,139,8,63,15,121,124,153,63,139,8,63,15,121,124,153,63,139,8,63,15,121,124,153,63,139,8,63,15,121,124,153,63,139,8,63,15,121,124,153,63,139,8,63,15,121,124,153,63,133,76,30,60,175,2,159,63,66,140,175,248,138,175,120,63,66,140,175,248,138,175,120,63,66,140,175,248,138,175,120,63,66,140,175,248,138,175,120,63,104,126,211,223,118,217,135,63,104,126,211,223,118,217,135,63,104,126,211,223,118,217,135,63,104,126,211,223,118,217,135,63,102,70,103,231,128,108,134,63,102,70,103,231,128,108,134,63,102,70,103,231,128,108,134,63,102,70,103,231,128,108,134,63,102,70,103,231,128,108,134,63,102,70,103,231,128,108,134,63,76,191,153,156,1,65,123,63,76,191,153,156,1,65,123,63,76,191,153,156,1,65,123,63,76,191,153,156,1,65,123,63,86,97,201,41,123,132,91,63,86,97,201,41,123,132,91,63,86,97,201,41,123,132,91,63,86,97,201,41,123,132,91,63,1,52,112,48,47,229,130,63,1,52,112,48,47,229,130,63,1,52,112,48,47,229,130,63,1,52,112,48,47,229,130,63,172,6,117,80,7,117,128,63,172,6,117,80,7,117,128,63,172,6,117,80,7,117,128,63,172,6,117,80,7,117,128,63,172,6,117,80,7,117,128,63,172,6,117,80,7,117,128,63,172,6,117,80,7,117,128,63,172,6,117,80,7,117,128,63,172,6,117,80,7,117,128,63,172,6,117,80,7,117,128,63,172,6,117,80,7,117,128,63,172,6,117,80,7,117,128,63,0,0,0,0,0,0,208,63,37,9,32,29,109,176,193,63,37,9,32,29,109,176,193,63,37,9,32,29,109,176,193,63,54,249,39,42,174,187,226,63,0,0,0,0,0,0,208,63,97,85,85,85,85,85,197,63,97,85,85,85,85,85,197,63,97,85,85,85,85,85,197,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,208,63,115,36,73,146,36,73,178,63,115,36,73,146,36,73,178,63,115,36,73,146,36,73,178,63,76,146,36,73,146,36,233,63,136,73,117,238,175,192,185,63,136,73,117,238,175,192,185,63,158,173,98,4,212,143,217,63,136,73,117,238,175,192,185,63,158,173,98,4,212,143,217,63,158,173,98,4,212,143,217,63,0,0,0,0,0,0,208,63,79,85,85,85,85,85,213,63,79,85,85,85,85,85,213,63,79,85,85,85,85,85,213,63,0,0,0,0,0,0,0,0,76,23,93,116,209,69,183,63,76,23,93,116,209,69,183,63,76,23,93,116,209,69,183,63,67,23,93,116,209,69,231,63,150,222,182,108,164,189,219,63,150,222,182,108,164,189,219,63,168,133,36,77,110,9,177,63,150,222,182,108,164,189,219,63,168,133,36,77,110,9,177,63,168,133,36,77,110,9,177,63,220,198,215,92,27,120,203,63,220,198,215,92,27,120,203,63,220,198,215,92,27,120,203,63,200,85,188,244,214,203,214,63,163,247,104,147,55,211,164,63,163,247,104,147,55,211,164,63,163,247,104,147,55,211,164,63,136,81,92,148,101,24,236,63,200,13,27,26,47,161,212,63,200,13,27,26,47,161,212,63,200,13,27,26,47,161,212,63,201,181,118,141,149,227,160,63,225,166,50,137,210,75,227,63,115,248,15,189,79,66,209,63,225,166,50,137,210,75,227,63,115,248,15,189,79,66,209,63,184,115,21,97,22,76,176,63,184,115,21,97,22,76,176,63,225,166,50,137,210,75,227,63,115,248,15,189,79,66,209,63,184,115,21,97,22,76,176,63,184,115,21,97,22,76,176,63,184,115,21,97,22,76,176,63,184,115,21,97,22,76,176,63,0,0,0,0,0,0,208,63,37,9,32,29,109,176,193,63,37,9,32,29,109,176,193,63,54,249,39,42,174,187,226,63,37,9,32,29,109,176,193,63,0,0,0,0,0,0,208,63,97,85,85,85,85,85,197,63,97,85,85,85,85,85,197,63,0,0,0,0,0,0,224,63,97,85,85,85,85,85,197,63,0,0,0,0,0,0,208,63,115,36,73,146,36,73,178,63,115,36,73,146,36,73,178,63,76,146,36,73,146,36,233,63,115,36,73,146,36,73,178,63,136,73,117,238,175,192,185,63,158,173,98,4,212,143,217,63,136,73,117,238,175,192,185,63,158,173,98,4,212,143,217,63,136,73,117,238,175,192,185,63,158,173,98,4,212,143,217,63,0,0,0,0,0,0,208,63,79,85,85,85,85,85,213,63,79,85,85,85,85,85,213,63,0,0,0,0,0,0,0,0,79,85,85,85,85,85,213,63,76,23,93,116,209,69,183,63,76,23,93,116,209,69,183,63,67,23,93,116,209,69,231,63,76,23,93,116,209,69,183,63,150,222,182,108,164,189,219,63,168,133,36,77,110,9,177,63,150,222,182,108,164,189,219,63,168,133,36,77,110,9,177,63,150,222,182,108,164,189,219,63,168,133,36,77,110,9,177,63,220,198,215,92,27,120,203,63,220,198,215,92,27,120,203,63,200,85,188,244,214,203,214,63,220,198,215,92,27,120,203,63,163,247,104,147,55,211,164,63,163,247,104,147,55,211,164,63,136,81,92,148,101,24,236,63,163,247,104,147,55,211,164,63,200,13,27,26,47,161,212,63,200,13,27,26,47,161,212,63,201,181,118,141,149,227,160,63,200,13,27,26,47,161,212,63,115,248,15,189,79,66,209,63,225,166,50,137,210,75,227,63,184,115,21,97,22,76,176,63,184,115,21,97,22,76,176,63,225,166,50,137,210,75,227,63,115,248,15,189,79,66,209,63,184,115,21,97,22,76,176,63,184,115,21,97,22,76,176,63,225,166,50,137,210,75,227,63,115,248,15,189,79,66,209,63,184,115,21,97,22,76,176,63,184,115,21,97,22,76,176,63,0,0,0,0,0,0,208,63,37,9,32,29,109,176,193,63,54,249,39,42,174,187,226,63,37,9,32,29,109,176,193,63,37,9,32,29,109,176,193,63,0,0,0,0,0,0,208,63,97,85,85,85,85,85,197,63,0,0,0,0,0,0,224,63,97,85,85,85,85,85,197,63,97,85,85,85,85,85,197,63,0,0,0,0,0,0,208,63,115,36,73,146,36,73,178,63,76,146,36,73,146,36,233,63,115,36,73,146,36,73,178,63,115,36,73,146,36,73,178,63,158,173,98,4,212,143,217,63,136,73,117,238,175,192,185,63,136,73,117,238,175,192,185,63,158,173,98,4,212,143,217,63,158,173,98,4,212,143,217,63,136,73,117,238,175,192,185,63,0,0,0,0,0,0,208,63,79,85,85,85,85,85,213,63,0,0,0,0,0,0,0,0,79,85,85,85,85,85,213,63,79,85,85,85,85,85,213,63,76,23,93,116,209,69,183,63,67,23,93,116,209,69,231,63,76,23,93,116,209,69,183,63,76,23,93,116,209,69,183,63,168,133,36,77,110,9,177,63,150,222,182,108,164,189,219,63,150,222,182,108,164,189,219,63,168,133,36,77,110,9,177,63,168,133,36,77,110,9,177,63,150,222,182,108,164,189,219,63,220,198,215,92,27,120,203,63,200,85,188,244,214,203,214,63,220,198,215,92,27,120,203,63,220,198,215,92,27,120,203,63,163,247,104,147,55,211,164,63,136,81,92,148,101,24,236,63,163,247,104,147,55,211,164,63,163,247,104,147,55,211,164,63,200,13,27,26,47,161,212,63,201,181,118,141,149,227,160,63,200,13,27,26,47,161,212,63,200,13,27,26,47,161,212,63,184,115,21,97,22,76,176,63,184,115,21,97,22,76,176,63,115,248,15,189,79,66,209,63,225,166,50,137,210,75,227,63,115,248,15,189,79,66,209,63,225,166,50,137,210,75,227,63,184,115,21,97,22,76,176,63,184,115,21,97,22,76,176,63,184,115,21,97,22,76,176,63,184,115,21,97,22,76,176,63,225,166,50,137,210,75,227,63,115,248,15,189,79,66,209,63,0,0,0,0,0,0,208,63,54,249,39,42,174,187,226,63,37,9,32,29,109,176,193,63,37,9,32,29,109,176,193,63,37,9,32,29,109,176,193,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,224,63,97,85,85,85,85,85,197,63,97,85,85,85,85,85,197,63,97,85,85,85,85,85,197,63,0,0,0,0,0,0,208,63,76,146,36,73,146,36,233,63,115,36,73,146,36,73,178,63,115,36,73,146,36,73,178,63,115,36,73,146,36,73,178,63,158,173,98,4,212,143,217,63,158,173,98,4,212,143,217,63,158,173,98,4,212,143,217,63,136,73,117,238,175,192,185,63,136,73,117,238,175,192,185,63,136,73,117,238,175,192,185,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,0,0,79,85,85,85,85,85,213,63,79,85,85,85,85,85,213,63,79,85,85,85,85,85,213,63,67,23,93,116,209,69,231,63,76,23,93,116,209,69,183,63,76,23,93,116,209,69,183,63,76,23,93,116,209,69,183,63,168,133,36,77,110,9,177,63,168,133,36,77,110,9,177,63,168,133,36,77,110,9,177,63,150,222,182,108,164,189,219,63,150,222,182,108,164,189,219,63,150,222,182,108,164,189,219,63,200,85,188,244,214,203,214,63,220,198,215,92,27,120,203,63,220,198,215,92,27,120,203,63,220,198,215,92,27,120,203,63,136,81,92,148,101,24,236,63,163,247,104,147,55,211,164,63,163,247,104,147,55,211,164,63,163,247,104,147,55,211,164,63,201,181,118,141,149,227,160,63,200,13,27,26,47,161,212,63,200,13,27,26,47,161,212,63,200,13,27,26,47,161,212,63,184,115,21,97,22,76,176,63,184,115,21,97,22,76,176,63,184,115,21,97,22,76,176,63,184,115,21,97,22,76,176,63,184,115,21,97,22,76,176,63,184,115,21,97,22,76,176,63,115,248,15,189,79,66,209,63,225,166,50,137,210,75,227,63,115,248,15,189,79,66,209,63,225,166,50,137,210,75,227,63,115,248,15,189,79,66,209,63,225,166,50,137,210,75,227,63,169,76,88,232,122,182,251,63,21,51,144,69,167,121,226,63,21,51,144,69,167,121,226,63,21,51,144,69,167,121,226,63,59,86,99,69,74,45,239,191,218,79,177,92,21,222,236,63,218,79,177,92,21,222,236,63,218,79,177,92,21,222,236,63,30,52,209,223,26,195,216,63,30,52,209,223,26,195,216,63,30,52,209,223,26,195,216,63,61,100,158,86,103,96,200,63,61,100,158,86,103,96,200,63,61,100,158,86,103,96,200,63,95,171,130,55,8,241,216,63,26,181,42,55,36,90,205,63,26,181,42,55,36,90,205,63,26,181,42,55,36,90,205,63,154,79,20,186,200,235,203,63,154,79,20,186,200,235,203,63,154,79,20,186,200,235,203,63,93,192,194,163,77,228,201,63,93,192,194,163,77,228,201,63,93,192,194,163,77,228,201,63,168,232,251,166,125,139,182,63,168,232,251,166,125,139,182,63,168,232,251,166,125,139,182,63,247,11,128,79,72,94,194,63,247,11,128,79,72,94,194,63,247,11,128,79,72,94,194,63,247,11,128,79,72,94,194,63,247,11,128,79,72,94,194,63,247,11,128,79,72,94,194,63,180,166,73,160,124,148,208,191,247,239,121,134,152,119,211,63,247,239,121,134,152,119,211,63,247,239,121,134,152,119,211,63,255,78,92,208,136,167,183,63,255,78,92,208,136,167,183,63,255,78,92,208,136,167,183,63,164,68,253,5,168,24,193,63,164,68,253,5,168,24,193,63,164,68,253,5,168,24,193,63,164,68,253,5,168,24,193,63,164,68,253,5,168,24,193,63,164,68,253,5,168,24,193,63,130,94,20,240,192,254,207,63,199,152,13,115,1,21,197,63,199,152,13,115,1,21,197,63,199,152,13,115,1,21,197,63,155,150,199,75,48,226,198,63,155,150,199,75,48,226,198,63,155,150,199,75,48,226,198,63,168,78,124,89,214,200,172,63,168,78,124,89,214,200,172,63,168,78,124,89,214,200,172,63,37,126,11,226,234,37,168,63,37,126,11,226,234,37,168,63,37,126,11,226,234,37,168,63,37,126,11,226,234,37,168,63,37,126,11,226,234,37,168,63,37,126,11,226,234,37,168,63,107,118,124,23,6,137,197,63,203,232,135,131,181,201,171,63,203,232,135,131,181,201,171,63,203,232,135,131,181,201,171,63,247,55,96,227,42,65,193,63,247,55,96,227,42,65,193,63,247,55,96,227,42,65,193,63,204,132,253,113,121,168,193,63,204,132,253,113,121,168,193,63,204,132,253,113,121,168,193,63,81,169,122,222,186,174,166,63,81,169,122,222,186,174,166,63,81,169,122,222,186,174,166,63,220,152,227,245,47,49,179,63,220,152,227,245,47,49,179,63,220,152,227,245,47,49,179,63,220,152,227,245,47,49,179,63,220,152,227,245,47,49,179,63,220,152,227,245,47,49,179,63,243,127,148,143,115,34,196,63,229,150,34,66,211,72,176,63,229,150,34,66,211,72,176,63,229,150,34,66,211,72,176,63,106,116,143,60,120,24,180,63,106,116,143,60,120,24,180,63,106,116,143,60,120,24,180,63,32,105,216,206,111,33,192,63,32,105,216,206,111,33,192,63,32,105,216,206,111,33,192,63,32,105,216,206,111,33,192,63,32,105,216,206,111,33,192,63,32,105,216,206,111,33,192,63,158,243,248,36,242,30,169,63,158,243,248,36,242,30,169,63,158,243,248,36,242,30,169,63,158,243,248,36,242,30,169,63,158,243,248,36,242,30,169,63,158,243,248,36,242,30,169,63,26,235,35,134,224,181,144,63,26,235,35,134,224,181,144,63,26,235,35,134,224,181,144,63,26,235,35,134,224,181,144,63,26,235,35,134,224,181,144,63,26,235,35,134,224,181,144,63,113,69,99,143,119,78,90,63,113,69,99,143,119,78,90,63,113,69,99,143,119,78,90,63,237,94,74,205,175,26,193,63,237,94,74,205,175,26,193,63,237,94,74,205,175,26,193,63,200,14,97,214,217,77,186,63,200,14,97,214,217,77,186,63,200,14,97,214,217,77,186,63,246,46,50,56,94,11,176,63,246,46,50,56,94,11,176,63,246,46,50,56,94,11,176,63,99,93,149,249,39,58,152,63,99,93,149,249,39,58,152,63,99,93,149,249,39,58,152,63,163,146,243,163,223,52,183,63,163,146,243,163,223,52,183,63,163,146,243,163,223,52,183,63,163,146,243,163,223,52,183,63,163,146,243,163,223,52,183,63,163,146,243,163,223,52,183,63,238,147,207,94,31,93,162,63,238,147,207,94,31,93,162,63,238,147,207,94,31,93,162,63,238,147,207,94,31,93,162,63,238,147,207,94,31,93,162,63,238,147,207,94,31,93,162,63,25,230,176,161,141,209,166,63,25,230,176,161,141,209,166,63,25,230,176,161,141,209,166,63,195,238,210,60,157,95,179,63,195,238,210,60,157,95,179,63,195,238,210,60,157,95,179,63,143,23,176,138,36,223,187,63,143,23,176,138,36,223,187,63,143,23,176,138,36,223,187,63,34,12,233,212,135,219,174,63,34,12,233,212,135,219,174,63,34,12,233,212,135,219,174,63,69,190,84,146,138,223,133,63,69,190,84,146,138,223,133,63,69,190,84,146,138,223,133,63,237,192,231,182,164,230,177,63,237,192,231,182,164,230,177,63,237,192,231,182,164,230,177,63,237,192,231,182,164,230,177,63,237,192,231,182,164,230,177,63,237,192,231,182,164,230,177,63,227,133,106,133,130,211,163,63,227,133,106,133,130,211,163,63,227,133,106,133,130,211,163,63,227,133,106,133,130,211,163,63,227,133,106,133,130,211,163,63,227,133,106,133,130,211,163,63,75,242,89,200,96,182,158,63,75,242,89,200,96,182,158,63,75,242,89,200,96,182,158,63,75,242,89,200,96,182,158,63,75,242,89,200,96,182,158,63,75,242,89,200,96,182,158,63,36,223,233,3,189,73,183,63,226,172,231,135,182,1,148,63,226,172,231,135,182,1,148,63,226,172,231,135,182,1,148,63,136,143,202,113,223,221,171,63,136,143,202,113,223,221,171,63,136,143,202,113,223,221,171,63,40,203,114,103,71,223,180,63,40,203,114,103,71,223,180,63,40,203,114,103,71,223,180,63,116,77,33,3,82,0,181,63,116,77,33,3,82,0,181,63,116,77,33,3,82,0,181,63,19,9,188,220,193,163,171,63,19,9,188,220,193,163,171,63,19,9,188,220,193,163,171,63,254,100,114,240,190,74,140,63,254,100,114,240,190,74,140,63,254,100,114,240,190,74,140,63,206,144,184,98,185,86,176,63,206,144,184,98,185,86,176,63,206,144,184,98,185,86,176,63,206,144,184,98,185,86,176,63,206,144,184,98,185,86,176,63,206,144,184,98,185,86,176,63,228,17,46,212,19,221,158,63,228,17,46,212,19,221,158,63,228,17,46,212,19,221,158,63,228,17,46,212,19,221,158,63,228,17,46,212,19,221,158,63,228,17,46,212,19,221,158,63,224,183,151,211,157,135,155,63,224,183,151,211,157,135,155,63,224,183,151,211,157,135,155,63,224,183,151,211,157,135,155,63,224,183,151,211,157,135,155,63,224,183,151,211,157,135,155,63,154,247,50,145,21,104,163,63,154,247,50,145,21,104,163,63,154,247,50,145,21,104,163,63,210,233,226,232,184,19,173,63,210,233,226,232,184,19,173,63,210,233,226,232,184,19,173,63,194,198,78,54,247,244,182,63,194,198,78,54,247,244,182,63,194,198,78,54,247,244,182,63,108,140,55,68,242,177,178,63,108,140,55,68,242,177,178,63,108,140,55,68,242,177,178,63,160,86,179,247,146,153,153,63,160,86,179,247,146,153,153,63,160,86,179,247,146,153,153,63,6,172,226,27,233,118,129,63,6,172,226,27,233,118,129,63,6,172,226,27,233,118,129,63,79,59,18,199,179,223,165,63,79,59,18,199,179,223,165,63,79,59,18,199,179,223,165,63,79,59,18,199,179,223,165,63,79,59,18,199,179,223,165,63,79,59,18,199,179,223,165,63,22,202,150,42,81,26,177,63,22,202,150,42,81,26,177,63,22,202,150,42,81,26,177,63,22,202,150,42,81,26,177,63,22,202,150,42,81,26,177,63,22,202,150,42,81,26,177,63,166,222,156,41,194,154,153,63,166,222,156,41,194,154,153,63,166,222,156,41,194,154,153,63,166,222,156,41,194,154,153,63,166,222,156,41,194,154,153,63,166,222,156,41,194,154,153,63,64,180,227,137,193,197,129,63,64,180,227,137,193,197,129,63,64,180,227,137,193,197,129,63,64,180,227,137,193,197,129,63,64,180,227,137,193,197,129,63,64,180,227,137,193,197,129,63,172,249,140,19,207,50,107,63,172,249,140,19,207,50,107,63,172,249,140,19,207,50,107,63,49,66,102,16,200,158,179,63,49,66,102,16,200,158,179,63,49,66,102,16,200,158,179,63,34,14,30,111,69,178,182,63,34,14,30,111,69,178,182,63,34,14,30,111,69,178,182,63,25,161,96,98,171,1,165,63,25,161,96,98,171,1,165,63,25,161,96,98,171,1,165,63,40,72,253,220,45,146,151,63,40,72,253,220,45,146,151,63,40,72,253,220,45,146,151,63,133,158,25,200,117,216,128,63,133,158,25,200,117,216,128,63,133,158,25,200,117,216,128,63,251,33,188,49,226,23,177,63,251,33,188,49,226,23,177,63,251,33,188,49,226,23,177,63,251,33,188,49,226,23,177,63,251,33,188,49,226,23,177,63,251,33,188,49,226,23,177,63,238,55,70,46,160,34,168,63,238,55,70,46,160,34,168,63,238,55,70,46,160,34,168,63,238,55,70,46,160,34,168,63,238,55,70,46,160,34,168,63,238,55,70,46,160,34,168,63,57,62,136,229,30,246,110,63,57,62,136,229,30,246,110,63,57,62,136,229,30,246,110,63,57,62,136,229,30,246,110,63,57,62,136,229,30,246,110,63,57,62,136,229,30,246,110,63,254,193,111,197,53,18,163,63,254,193,111,197,53,18,163,63,254,193,111,197,53,18,163,63,254,193,111,197,53,18,163,63,254,193,111,197,53,18,163,63,254,193,111,197,53,18,163,63,220,36,157,53,168,56,139,63,220,36,157,53,168,56,139,63,220,36,157,53,168,56,139,63,220,36,157,53,168,56,139,63,220,36,157,53,168,56,139,63,220,36,157,53,168,56,139,63,19,103,126,114,240,200,180,63,129,76,79,235,34,185,134,63,129,76,79,235,34,185,134,63,129,76,79,235,34,185,134,63,193,28,27,30,155,126,178,63,193,28,27,30,155,126,178,63,193,28,27,30,155,126,178,63,2,10,153,197,254,216,167,63,2,10,153,197,254,216,167,63,2,10,153,197,254,216,167,63,104,92,95,148,136,174,178,63,104,92,95,148,136,174,178,63,104,92,95,148,136,174,178,63,19,87,141,240,194,154,170,63,19,87,141,240,194,154,170,63,19,87,141,240,194,154,170,63,100,113,7,41,130,47,153,63,100,113,7,41,130,47,153,63,100,113,7,41,130,47,153,63,224,225,7,213,107,106,121,63,224,225,7,213,107,106,121,63,224,225,7,213,107,106,121,63,197,224,175,41,69,16,173,63,197,224,175,41,69,16,173,63,197,224,175,41,69,16,173,63,197,224,175,41,69,16,173,63,197,224,175,41,69,16,173,63,197,224,175,41,69,16,173,63,133,252,86,88,37,34,155,63,133,252,86,88,37,34,155,63,133,252,86,88,37,34,155,63,133,252,86,88,37,34,155,63,133,252,86,88,37,34,155,63,133,252,86,88,37,34,155,63,119,62,224,142,221,237,112,63,119,62,224,142,221,237,112,63,119,62,224,142,221,237,112,63,119,62,224,142,221,237,112,63,119,62,224,142,221,237,112,63,119,62,224,142,221,237,112,63,87,49,164,159,177,236,160,63,87,49,164,159,177,236,160,63,87,49,164,159,177,236,160,63,87,49,164,159,177,236,160,63,87,49,164,159,177,236,160,63,87,49,164,159,177,236,160,63,239,107,114,92,125,76,136,63,239,107,114,92,125,76,136,63,239,107,114,92,125,76,136,63,239,107,114,92,125,76,136,63,239,107,114,92,125,76,136,63,239,107,114,92,125,76,136,63,119,111,183,131,6,167,173,63,67,99,139,22,76,17,130,63,67,99,139,22,76,17,130,63,67,99,139,22,76,17,130,63,165,217,145,13,66,5,154,63,165,217,145,13,66,5,154,63,165,217,145,13,66,5,154,63,10,105,244,226,55,152,165,63,10,105,244,226,55,152,165,63,10,105,244,226,55,152,165,63,55,62,60,13,36,150,171,63,55,62,60,13,36,150,171,63,55,62,60,13,36,150,171,63,58,11,128,50,24,184,171,63,58,11,128,50,24,184,171,63,58,11,128,50,24,184,171,63,177,0,126,186,187,1,166,63,177,0,126,186,187,1,166,63,177,0,126,186,187,1,166,63,7,203,47,45,29,238,152,63,7,203,47,45,29,238,152,63,7,203,47,45,29,238,152,63,101,227,209,8,33,170,118,63,101,227,209,8,33,170,118,63,101,227,209,8,33,170,118,63,167,148,71,229,103,205,140,63,167,148,71,229,103,205,140,63,167,148,71,229,103,205,140,63,167,148,71,229,103,205,140,63,167,148,71,229,103,205,140,63,167,148,71,229,103,205,140,63,55,47,50,159,135,197,167,63,55,47,50,159,135,197,167,63,55,47,50,159,135,197,167,63,55,47,50,159,135,197,167,63,55,47,50,159,135,197,167,63,55,47,50,159,135,197,167,63,217,98,21,137,217,94,160,63,217,98,21,137,217,94,160,63,217,98,21,137,217,94,160,63,217,98,21,137,217,94,160,63,217,98,21,137,217,94,160,63,217,98,21,137,217,94,160,63,231,247,106,240,201,17,142,63,231,247,106,240,201,17,142,63,231,247,106,240,201,17,142,63,231,247,106,240,201,17,142,63,231,247,106,240,201,17,142,63,231,247,106,240,201,17,142,63,127,206,120,106,228,56,160,63,127,206,120,106,228,56,160,63,127,206,120,106,228,56,160,63,127,206,120,106,228,56,160,63,127,206,120,106,228,56,160,63,127,206,120,106,228,56,160,63,150,213,62,76,4,165,135,63,150,213,62,76,4,165,135,63,150,213,62,76,4,165,135,63,150,213,62,76,4,165,135,63,150,213,62,76,4,165,135,63,150,213,62,76,4,165,135,63,19,32,87,129,147,82,171,63,42,220,232,103,79,23,144,63,42,220,232,103,79,23,144,63,42,220,232,103,79,23,144,63,252,180,187,220,65,163,160,63,252,180,187,220,65,163,160,63,252,180,187,220,65,163,160,63,12,185,58,93,149,61,161,63,12,185,58,93,149,61,161,63,12,185,58,93,149,61,161,63,9,103,144,117,203,156,168,63,9,103,144,117,203,156,168,63,9,103,144,117,203,156,168,63,244,28,137,177,234,154,172,63,244,28,137,177,234,154,172,63,244,28,137,177,234,154,172,63,28,113,253,38,100,60,166,63,28,113,253,38,100,60,166,63,28,113,253,38,100,60,166,63,24,169,159,61,43,22,155,63,24,169,159,61,43,22,155,63,24,169,159,61,43,22,155,63,61,82,23,32,132,25,136,63,61,82,23,32,132,25,136,63,61,82,23,32,132,25,136,63,168,143,80,40,32,139,111,191,168,143,80,40,32,139,111,191,168,143,80,40,32,139,111,191,134,224,192,63,248,117,134,63,134,224,192,63,248,117,134,63,134,224,192,63,248,117,134,63,134,224,192,63,248,117,134,63,134,224,192,63,248,117,134,63,134,224,192,63,248,117,134,63,0,24,98,20,25,44,168,63,0,24,98,20,25,44,168,63,0,24,98,20,25,44,168,63,0,24,98,20,25,44,168,63,0,24,98,20,25,44,168,63,0,24,98,20,25,44,168,63,216,61,194,47,22,90,159,63,216,61,194,47,22,90,159,63,216,61,194,47,22,90,159,63,216,61,194,47,22,90,159,63,216,61,194,47,22,90,159,63,216,61,194,47,22,90,159,63,5,221,46,138,146,76,160,63,5,221,46,138,146,76,160,63,5,221,46,138,146,76,160,63,5,221,46,138,146,76,160,63,5,221,46,138,146,76,160,63,5,221,46,138,146,76,160,63,218,226,176,212,218,191,140,63,218,226,176,212,218,191,140,63,218,226,176,212,218,191,140,63,218,226,176,212,218,191,140,63,218,226,176,212,218,191,140,63,218,226,176,212,218,191,140,63,51,232,168,172,128,20,139,63,51,232,168,172,128,20,139,63,51,232,168,172,128,20,139,63,51,232,168,172,128,20,139,63,51,232,168,172,128,20,139,63,51,232,168,172,128,20,139,63,218,96,228,204,170,248,20,63,218,96,228,204,170,248,20,63,218,96,228,204,170,248,20,63,218,96,228,204,170,248,20,63,218,96,228,204,170,248,20,63,218,96,228,204,170,248,20,63,191,98,58,139,129,46,173,63,168,202,120,143,162,82,146,63,168,202,120,143,162,82,146,63,168,202,120,143,162,82,146,63,192,158,174,156,109,218,163,63,192,158,174,156,109,218,163,63,192,158,174,156,109,218,163,63,46,229,40,33,30,215,170,63,46,229,40,33,30,215,170,63,46,229,40,33,30,215,170,63,197,98,28,125,41,10,171,63,197,98,28,125,41,10,171,63,197,98,28,125,41,10,171,63,6,234,10,171,180,108,165,63,6,234,10,171,180,108,165,63,6,234,10,171,180,108,165,63,236,15,224,152,208,119,156,63,236,15,224,152,208,119,156,63,236,15,224,152,208,119,156,63,66,48,249,237,141,173,140,63,66,48,249,237,141,173,140,63,66,48,249,237,141,173,140,63,199,21,148,42,5,129,109,63,199,21,148,42,5,129,109,63,199,21,148,42,5,129,109,63,30,44,89,158,169,143,123,63,30,44,89,158,169,143,123,63,30,44,89,158,169,143,123,63,30,44,89,158,169,143,123,63,30,44,89,158,169,143,123,63,30,44,89,158,169,143,123,63,135,143,230,148,238,173,166,63,135,143,230,148,238,173,166,63,135,143,230,148,238,173,166,63,135,143,230,148,238,173,166,63,135,143,230,148,238,173,166,63,135,143,230,148,238,173,166,63,245,53,249,189,176,128,143,63,245,53,249,189,176,128,143,63,245,53,249,189,176,128,143,63,245,53,249,189,176,128,143,63,245,53,249,189,176,128,143,63,245,53,249,189,176,128,143,63,151,247,191,52,76,153,156,63,151,247,191,52,76,153,156,63,151,247,191,52,76,153,156,63,151,247,191,52,76,153,156,63,151,247,191,52,76,153,156,63,151,247,191,52,76,153,156,63,106,214,186,4,213,173,113,63,106,214,186,4,213,173,113,63,106,214,186,4,213,173,113,63,106,214,186,4,213,173,113,63,106,214,186,4,213,173,113,63,106,214,186,4,213,173,113,63,14,200,68,9,141,45,160,63,14,200,68,9,141,45,160,63,14,200,68,9,141,45,160,63,14,200,68,9,141,45,160,63,14,200,68,9,141,45,160,63,14,200,68,9,141,45,160,63,180,42,135,6,222,49,146,63,180,42,135,6,222,49,146,63,180,42,135,6,222,49,146,63,180,42,135,6,222,49,146,63,180,42,135,6,222,49,146,63,180,42,135,6,222,49,146,63,189,181,160,139,97,245,122,63,189,181,160,139,97,245,122,63,189,181,160,139,97,245,122,63,189,181,160,139,97,245,122,63,189,181,160,139,97,245,122,63,189,181,160,139,97,245,122,63,211,138,202,83,185,80,173,63,135,21,116,242,172,154,88,63,135,21,116,242,172,154,88,63,135,21,116,242,172,154,88,63,187,123,10,114,53,174,148,63,187,123,10,114,53,174,148,63,187,123,10,114,53,174,148,63,66,32,126,90,153,73,164,63,66,32,126,90,153,73,164,63,66,32,126,90,153,73,164,63,202,237,215,101,161,0,171,63,202,237,215,101,161,0,171,63,202,237,215,101,161,0,171,63,247,35,114,224,144,40,171,63,247,35,114,224,144,40,171,63,247,35,114,224,144,40,171,63,219,5,106,80,30,156,165,63,219,5,106,80,30,156,165,63,219,5,106,80,30,156,165,63,97,237,52,231,148,95,156,63,97,237,52,231,148,95,156,63,97,237,52,231,148,95,156,63,125,236,50,9,199,78,139,63,125,236,50,9,199,78,139,63,125,236,50,9,199,78,139,63,176,108,115,143,194,239,81,191,176,108,115,143,194,239,81,191,176,108,115,143,194,239,81,191,104,48,239,61,198,216,104,63,104,48,239,61,198,216,104,63,104,48,239,61,198,216,104,63,234,221,229,168,66,52,157,63,234,221,229,168,66,52,157,63,234,221,229,168,66,52,157,63,234,221,229,168,66,52,157,63,234,221,229,168,66,52,157,63,234,221,229,168,66,52,157,63,84,225,51,112,75,42,129,63,84,225,51,112,75,42,129,63,84,225,51,112,75,42,129,63,84,225,51,112,75,42,129,63,84,225,51,112,75,42,129,63,84,225,51,112,75,42,129,63,228,226,156,17,81,226,166,63,228,226,156,17,81,226,166,63,228,226,156,17,81,226,166,63,228,226,156,17,81,226,166,63,228,226,156,17,81,226,166,63,228,226,156,17,81,226,166,63,171,16,87,214,138,12,142,63,171,16,87,214,138,12,142,63,171,16,87,214,138,12,142,63,171,16,87,214,138,12,142,63,171,16,87,214,138,12,142,63,171,16,87,214,138,12,142,63,59,213,209,140,254,70,160,63,59,213,209,140,254,70,160,63,59,213,209,140,254,70,160,63,59,213,209,140,254,70,160,63,59,213,209,140,254,70,160,63,59,213,209,140,254,70,160,63,64,21,169,124,82,253,83,63,64,21,169,124,82,253,83,63,64,21,169,124,82,253,83,63,64,21,169,124,82,253,83,63,64,21,169,124,82,253,83,63,64,21,169,124,82,253,83,63,26,239,108,169,161,239,145,63,26,239,108,169,161,239,145,63,26,239,108,169,161,239,145,63,26,239,108,169,161,239,145,63,26,239,108,169,161,239,145,63,26,239,108,169,161,239,145,63,75,117,252,46,227,90,121,63,75,117,252,46,227,90,121,63,75,117,252,46,227,90,121,63,75,117,252,46,227,90,121,63,75,117,252,46,227,90,121,63,75,117,252,46,227,90,121,63,79,85,85,85,85,85,213,63,97,85,85,85,85,85,197,63,97,85,85,85,85,85,197,63,88,85,85,85,85,85,229,63,79,85,85,85,85,85,213,63,154,153,153,153,153,153,201,63,154,153,153,153,153,153,201,63,51,51,51,51,51,51,227,63,220,208,11,138,107,138,220,63,220,208,11,138,107,138,220,63,32,121,161,175,163,172,187,63,219,176,29,234,137,113,183,63,219,176,29,234,137,113,183,63,210,147,120,133,157,35,234,63,79,85,85,85,85,85,213,63,191,139,115,189,206,22,222,63,191,139,115,189,206,22,222,63,16,68,199,40,20,147,174,63,119,245,122,156,233,237,185,63,119,245,122,156,233,237,185,63,153,66,225,152,133,132,233,63,145,236,234,200,160,232,207,63,145,236,234,200,160,232,207,63,175,137,138,155,175,11,224,63,196,85,250,5,154,38,176,63,196,85,250,5,154,38,176,63,143,106,129,126,89,246,235,63,196,142,49,125,58,94,228,63,87,27,219,134,208,220,211,63,196,142,49,125,58,94,228,63,87,27,219,134,208,220,211,63,9,57,14,246,211,53,171,63,9,57,14,246,211,53,171,63,79,85,85,85,85,85,213,63,193,30,125,32,130,169,208,63,193,30,125,32,130,169,208,63,125,194,5,191,251,172,222,63,225,59,243,205,93,172,176,63,225,59,243,205,93,172,176,63,8,49,131,140,232,212,235,63,158,80,199,129,34,110,228,63,240,208,88,0,253,5,212,63,158,80,199,129,34,110,228,63,240,208,88,0,253,5,212,63,162,110,196,224,239,237,168,63,162,110,196,224,239,237,168,63,79,85,85,85,85,85,213,63,200,203,128,189,12,101,221,63,200,203,128,189,12,101,221,63,194,161,249,19,154,215,180,63,174,97,63,15,55,213,197,63,174,97,63,15,55,213,197,63,41,79,96,120,100,21,229,63,6,217,12,137,83,225,169,63,6,217,12,137,83,225,169,63,223,100,222,142,213,195,236,63,141,26,100,71,207,79,231,63,34,21,156,49,215,214,208,63,141,26,100,71,207,79,231,63,34,21,156,49,215,214,208,63,142,184,118,243,71,49,129,63,142,184,118,243,71,49,129,63,79,85,85,85,85,85,213,63,9,106,88,89,245,86,223,63,9,106,88,89,245,86,223,63,5,192,242,212,84,33,149,63,38,150,56,159,70,249,219,63,38,150,56,159,70,249,219,63,142,167,29,131,229,26,192,63,55,215,60,175,13,23,200,63,55,215,60,175,13,23,200,63,109,148,97,40,121,244,227,63,68,237,99,106,201,230,166,63],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE);allocate([68,237,99,106,201,230,166,63,96,130,179,210,38,35,237,63,174,218,179,31,230,183,231,63,26,23,175,129,72,105,204,63,174,218,179,31,230,183,231,63,26,23,175,129,72,105,204,63,187,248,5,254,123,220,162,63,187,248,5,254,123,220,162,63,79,85,85,85,85,85,213,63,20,82,195,53,180,19,223,63,20,82,195,53,180,19,223,63,98,188,149,71,121,137,157,63,183,8,57,10,252,6,188,63,183,8,57,10,252,6,188,63,210,189,113,253,64,254,232,63,87,29,204,197,125,156,225,63,136,39,40,76,73,181,211,63,87,29,204,197,125,156,225,63,136,39,40,76,73,181,211,63,149,59,127,80,118,35,194,63,149,59,127,80,118,35,194,63,74,130,228,238,109,78,231,63,74,109,98,106,247,146,207,63,74,130,228,238,109,78,231,63,74,109,98,106,247,146,207,63,122,76,92,208,134,154,153,63,122,76,92,208,134,154,153,63,25,120,112,227,150,142,237,63,26,39,93,146,4,26,177,63,25,120,112,227,150,142,237,63,26,39,93,146,4,26,177,63,162,190,248,144,34,138,131,63,162,190,248,144,34,138,131,63,224,230,12,161,136,27,225,63,224,230,12,161,136,27,225,63,71,110,206,16,138,184,177,191,44,41,22,139,182,136,217,63,44,41,22,139,182,136,217,63,78,91,167,211,37,221,201,63,114,22,167,14,15,6,202,63,114,22,167,14,15,6,202,63,190,116,172,120,248,252,226,63,9,95,0,9,200,141,190,63,9,95,0,9,200,141,190,63,53,232,191,253,141,92,232,63,1,110,89,115,35,146,160,63,1,110,89,115,35,146,160,63,64,210,148,145,187,237,237,63,228,228,115,28,129,251,226,63,160,19,87,105,223,210,214,63,228,228,115,28,129,251,226,63,160,19,87,105,223,210,214,63,80,21,9,238,242,176,169,63,80,21,9,238,242,176,169,63,41,110,142,45,243,214,233,63,47,223,3,213,89,243,197,63,41,110,142,45,243,214,233,63,47,223,3,213,89,243,197,63,103,65,19,166,203,134,149,63,103,65,19,166,203,134,149,63,194,175,154,38,244,62,223,63,194,175,154,38,244,62,223,63,204,7,170,44,123,33,152,63,159,31,10,199,113,36,220,63,159,31,10,199,113,36,220,63,188,2,175,199,113,220,190,63,89,155,125,205,130,91,209,63,89,155,125,205,130,91,209,63,77,201,4,101,250,72,221,63,151,232,108,70,106,84,192,63,151,232,108,70,106,84,192,63,181,139,201,220,202,213,231,63,181,184,34,44,55,212,149,63,181,184,34,44,55,212,149,63,108,212,61,141,188,162,238,63,107,109,89,134,118,124,227,63,56,215,23,69,73,165,209,63,107,109,89,134,118,124,227,63,56,215,23,69,73,165,209,63,204,55,213,184,38,135,189,63,204,55,213,184,38,135,189,63,219,42,132,10,74,68,230,63,200,81,120,2,61,1,210,63,219,42,132,10,74,68,230,63,200,81,120,2,61,1,210,63,14,136,245,135,238,98,151,63,14,136,245,135,238,98,151,63,63,150,178,216,217,116,235,63,1,164,235,128,175,194,189,63,63,150,178,216,217,116,235,63,1,164,235,128,175,194,189,63,32,168,254,229,6,90,154,63,32,168,254,229,6,90,154,63,79,85,85,85,85,85,213,63,255,166,16,149,222,174,223,63,255,166,16,149,222,174,223,63,109,66,214,187,90,72,132,63,25,193,184,14,116,255,221,63,25,193,184,14,116,255,221,63,57,247,57,138,95,4,176,63,92,144,67,128,132,135,218,63,92,144,67,128,132,135,218,63,181,190,241,254,237,225,197,63,40,247,209,21,247,92,205,63,40,247,209,21,247,92,205,63,99,4,23,117,132,81,225,63,142,195,186,120,236,74,189,63,142,195,186,120,236,74,189,63,28,79,209,225,68,173,232,63,96,178,229,73,40,104,153,63,96,178,229,73,40,104,153,63,218,164,97,123,125,105,238,63,187,110,112,35,253,92,228,63,230,135,108,238,239,51,209,63,187,110,112,35,253,92,228,63,230,135,108,238,239,51,209,63,143,106,202,42,87,72,184,63,143,106,202,42,87,72,184,63,227,63,91,162,221,21,230,63,245,141,248,149,180,171,210,63,227,63,91,162,221,21,230,63,245,141,248,149,180,171,210,63,66,36,15,85,2,137,146,63,66,36,15,85,2,137,146,63,108,4,16,55,191,62,235,63,117,187,37,147,122,44,192,63,108,4,16,55,191,62,235,63,117,187,37,147,122,44,192,63,217,150,209,132,68,196,150,63,217,150,209,132,68,196,150,63,104,130,251,72,47,75,223,63,104,130,251,72,47,75,223,63,38,180,143,224,22,154,150,63,176,132,186,234,176,186,218,63,176,132,186,234,176,186,218,63,64,237,21,85,60,21,197,63,142,192,17,228,167,128,209,63,142,192,17,228,167,128,209,63,245,126,220,55,176,254,220,63,248,233,48,191,171,174,198,63,248,233,48,191,171,174,198,63,251,138,103,32,170,168,228,63,124,57,139,249,59,164,175,63,124,57,139,249,59,164,175,63,218,152,206,128,120,11,236,63,99,205,154,97,57,219,147,63,99,205,154,97,57,219,147,63,42,83,230,105,76,194,238,63,137,216,152,69,211,168,232,63,4,5,49,183,213,12,198,63,137,216,152,69,211,168,232,63,4,5,49,183,213,12,198,63,100,99,174,201,116,63,173,63,100,99,174,201,116,63,173,63,224,95,84,209,66,63,226,63,115,235,70,94,35,143,213,63,224,95,84,209,66,63,226,63,115,235,70,94,35,143,213,63,51,83,65,252,91,201,183,63,51,83,65,252,91,201,183,63,4,144,55,213,189,251,229,63,162,118,178,146,138,24,211,63,4,144,55,213,189,251,229,63,162,118,178,146,138,24,211,63,207,42,205,91,56,255,141,63,207,42,205,91,56,255,141,63,111,154,238,130,248,38,236,63,248,156,170,216,28,117,190,63,111,154,238,130,248,38,236,63,248,156,170,216,28,117,190,63,64,227,35,248,195,199,84,63,64,227,35,248,195,199,84,63,233,164,59,68,31,57,224,63,233,164,59,68,31,57,224,63,160,116,210,29,162,143,140,191,186,168,187,101,41,156,219,63,186,168,187,101,41,156,219,63,59,93,17,105,90,143,193,63,194,59,187,144,187,197,209,63,194,59,187,144,187,197,209,63,105,136,137,222,136,116,220,63,79,164,142,101,0,48,192,63,79,164,142,101,0,48,192,63,216,173,56,205,255,231,231,63,226,55,11,150,127,32,178,63,226,55,11,150,127,32,178,63,8,50,125,26,224,119,235,63,152,62,203,7,155,107,147,63,152,62,203,7,155,107,147,63,13,76,131,79,70,201,238,63,141,6,92,120,201,91,227,63,101,167,71,84,83,185,208,63,141,6,92,120,201,91,227,63,101,167,71,84,83,185,208,63,223,150,0,118,51,30,193,63,223,150,0,118,51,30,193,63,1,60,254,126,52,107,226,63,180,40,126,27,194,213,216,63,1,60,254,126,52,107,226,63,180,40,126,27,194,213,216,63,78,250,42,52,167,158,162,63,78,250,42,52,167,158,162,63,41,203,162,82,204,46,231,63,251,164,75,232,27,73,210,63,41,203,162,82,204,46,231,63,251,164,75,232,27,73,210,63,192,105,39,178,145,214,132,191,192,105,39,178,145,214,132,191,45,100,179,137,251,235,231,63,179,9,28,17,197,152,203,63,45,100,179,137,251,235,231,63,179,9,28,17,197,152,203,63,103,150,89,32,51,221,162,63,103,150,89,32,51,221,162,63,120,149,17,19,112,73,236,63,22,206,219,125,238,131,186,63,120,149,17,19,112,73,236,63,22,206,219,125,238,131,186,63,159,51,188,76,135,132,137,63,159,51,188,76,135,132,137,63,79,85,85,85,85,85,213,63,131,117,85,50,21,213,223,63,131,117,85,50,21,213,223,63,9,58,69,213,102,117,117,63,183,193,29,133,72,118,218,63,183,193,29,133,72,118,218,63,254,248,136,235,221,38,198,63,73,87,71,98,254,27,222,63,73,87,71,98,254,27,222,63,224,138,138,219,25,64,174,63,242,77,134,28,119,202,206,63,242,77,134,28,119,202,206,63,7,217,188,113,196,154,224,63,58,106,142,11,139,240,194,63,58,106,142,11,139,240,194,63,227,202,56,122,186,135,230,63,199,176,249,192,175,81,179,63,199,176,249,192,175,81,179,63,206,147,193,15,148,43,235,63,135,18,253,185,165,254,144,63,135,18,253,185,165,254,144,63,216,46,96,164,21,240,238,63,103,120,12,222,31,50,227,63,153,104,48,83,196,250,210,63,103,120,12,222,31,50,227,63,153,104,48,83,196,250,210,63,97,154,218,194,239,131,186,63,97,154,218,194,239,131,186,63,134,116,106,111,217,140,228,63,68,244,26,50,65,157,213,63,134,116,106,111,217,140,228,63,68,244,26,50,65,157,213,63,242,42,2,241,190,144,148,63,242,42,2,241,190,144,148,63,203,32,86,121,67,150,233,63,172,182,200,18,49,53,202,63,203,32,86,121,67,150,233,63,172,182,200,18,49,53,202,63,192,58,39,4,223,199,113,191,192,58,39,4,223,199,113,191,58,159,123,40,48,153,232,63,6,224,117,41,230,60,200,63,58,159,123,40,48,153,232,63,6,224,117,41,230,60,200,63,216,140,110,210,100,121,165,63,216,140,110,210,100,121,165,63,44,61,179,178,17,208,236,63,106,220,61,164,37,213,181,63,44,61,179,178,17,208,236,63,106,220,61,164,37,213,181,63,130,207,65,49,102,82,141,63,130,207,65,49,102,82,141,63,79,85,85,85,85,85,213,63,142,118,14,99,164,209,223,63,142,118,14,99,164,209,223,63,23,185,196,120,206,45,119,63,5,3,37,20,250,219,222,63,5,3,37,20,250,219,222,63,67,208,175,189,94,64,162,63,198,246,146,77,187,208,220,63,198,246,146,77,187,208,220,63,25,74,104,147,37,122,185,63,172,103,244,73,246,157,217,63,172,103,244,73,246,157,217,63,82,97,46,216,38,136,201,63,209,15,250,32,21,35,208,63,209,15,250,32,21,35,208,63,112,224,11,190,213,185,223,63,240,31,182,204,244,189,196,63,240,31,182,204,244,189,196,63,255,239,164,153,5,161,229,63,245,115,221,16,154,108,179,63,245,115,221,16,154,108,179,63,3,163,200,123,217,36,235,63,129,29,107,241,202,7,144,63,129,29,107,241,202,7,144,63,40,78,233,80,131,255,238,63,84,147,35,226,204,249,228,63,207,183,46,40,127,101,213,63,84,147,35,226,204,249,228,63,207,183,46,40,127,101,213,63,22,49,68,113,226,220,132,63,22,49,68,113,226,220,132,63,42,104,51,236,150,80,226,63,185,148,1,247,193,179,210,63,42,104,51,236,150,80,226,63,185,148,1,247,193,179,210,63,231,53,47,97,32,86,193,63,231,53,47,97,32,86,193,63,95,42,241,165,51,8,228,63,190,254,96,56,234,115,212,63,95,42,241,165,51,8,228,63,190,254,96,56,234,115,212,63,182,100,229,221,115,221,171,63,182,100,229,221,115,221,171,63,232,167,62,237,84,124,233,63,142,182,14,251,254,104,200,63,232,167,62,237,84,124,233,63,142,182,14,251,254,104,200,63,20,157,106,255,212,90,138,63,20,157,106,255,212,90,138,63,28,176,179,106,66,19,232,63,151,19,193,233,18,26,199,63,28,176,179,106,66,19,232,63,151,19,193,233,18,26,199,63,168,87,224,214,198,49,177,63,168,87,224,214,198,49,177,63,23,251,102,47,177,242,236,63,186,193,171,36,127,169,180,63,23,251,102,47,177,242,236,63,186,193,171,36,127,169,180,63,136,44,227,0,187,7,142,63,136,44,227,0,187,7,142,63,79,85,85,85,85,85,213,63,226,39,174,26,246,146,223,63,226,39,174,26,246,146,223,63,70,5,118,84,121,66,139,63,250,45,77,223,139,7,222,63,250,45,77,223,139,7,222,63,93,32,45,11,66,135,175,63,224,6,204,205,8,236,219,63,224,6,204,205,8,236,219,63,163,228,207,200,220,79,192,63,222,143,127,223,40,69,217,63,222,143,127,223,40,69,217,63,135,192,1,130,92,235,202,63,125,46,221,183,68,249,207,63,125,46,221,183,68,249,207,63,194,104,17,164,93,3,224,63,40,95,83,100,207,169,196,63,40,95,83,100,207,169,196,63,117,80,214,77,24,171,229,63,85,50,251,1,241,155,179,63,85,50,251,1,241,155,179,63,98,51,129,191,3,25,235,63,190,51,124,167,161,213,152,63,190,51,124,167,161,213,152,63,196,60,136,229,165,114,238,63,69,177,70,216,71,23,166,63,69,177,70,216,71,23,166,63,224,41,247,4,23,61,237,63,146,96,185,236,187,62,228,63,60,130,59,235,103,248,214,63,146,96,185,236,187,62,228,63,60,130,59,235,103,248,214,63,24,148,55,106,7,68,129,63,24,148,55,106,7,68,129,63,102,73,35,30,147,97,226,63,35,181,96,124,125,215,210,63,102,73,35,30,147,97,226,63,35,181,96,124,125,215,210,63,33,112,177,142,184,202,192,63,33,112,177,142,184,202,192,63,133,101,166,160,48,254,227,63,141,215,42,119,23,205,212,63,133,101,166,160,48,254,227,63,141,215,42,119,23,205,212,63,207,235,66,60,58,180,169,63,207,235,66,60,58,180,169,63,111,201,129,181,66,247,231,63,220,227,141,248,122,165,199,63,111,201,129,181,66,247,231,63,220,227,141,248,122,165,199,63,138,236,213,98,244,250,176,63,138,236,213,98,244,250,176,63,20,81,132,2,88,157,232,63,203,105,67,150,136,1,204,63,20,81,132,2,88,157,232,63,203,105,67,150,136,1,204,63,54,30,181,250,117,145,136,63,54,30,181,250,117,145,136,63,63,42,101,79,107,73,236,63,0,44,185,244,231,230,185,63,63,42,101,79,107,73,236,63,0,44,185,244,231,230,185,63,38,16,236,128,236,109,142,63,38,16,236,128,236,109,142,63,244,41,72,49,196,58,240,63,39,186,0,29,49,96,149,63,244,41,72,49,196,58,240,63,39,186,0,29,49,96,149,63,161,155,133,183,158,8,162,191,161,155,133,183,158,8,162,191,79,85,85,85,85,85,213,63,189,129,145,32,197,85,223,63,189,129,145,32,197,85,223,63,72,199,207,237,91,71,149,63,88,160,61,232,33,23,221,63,88,160,61,232,33,23,221,63,135,253,18,190,240,70,183,63,219,82,221,150,207,176,217,63,219,82,221,150,207,176,217,63,146,180,138,164,193,60,201,63,104,102,134,83,245,90,208,63,104,102,134,83,245,90,208,63,67,51,243,88,21,74,223,63,215,116,49,113,125,170,198,63,215,116,49,113,125,170,198,63,157,69,103,71,193,170,228,63,15,104,45,16,246,44,188,63,15,104,45,16,246,44,188,63,252,165,244,123,194,244,232,63,221,154,78,114,63,110,172,63,221,154,78,114,63,110,172,63,173,44,182,17,56,114,236,63,216,36,26,225,125,217,137,63,216,36,26,225,125,217,137,63,226,46,247,16,52,49,239,63,244,125,48,93,100,56,227,63,138,190,59,227,11,84,217,63,244,125,48,93,100,56,227,63,138,190,59,227,11,84,217,63,226,198,162,49,177,149,109,63,226,198,162,49,177,149,109,63,26,86,149,203,226,215,225,63,154,90,142,246,31,181,211,63,26,86,149,203,226,215,225,63,154,90,142,246,31,181,211,63,102,242,141,228,52,54,193,63,102,242,141,228,52,54,193,63,126,58,23,98,83,18,231,63,163,139,192,53,170,238,208,63,126,58,23,98,83,18,231,63,163,139,192,53,170,238,208,63,12,236,31,194,224,149,141,63,12,236,31,194,224,149,141,63,12,18,184,161,93,6,227,63,240,109,3,10,79,242,214,63,12,18,184,161,93,6,227,63,240,109,3,10,79,242,214,63,200,111,99,148,173,7,168,63,200,111,99,148,173,7,168,63,88,206,190,173,205,219,234,63,168,209,217,119,8,51,196,63,88,206,190,173,205,219,234,63,168,209,217,119,8,51,196,63,94,71,189,74,52,112,103,63,94,71,189,74,52,112,103,63,174,105,163,14,80,111,230,63,97,139,142,19,132,54,179,63,174,105,163,14,80,111,230,63,97,139,142,19,132,54,179,63,153,19,171,187,125,167,204,63,153,19,171,187,125,167,204,63,10,125,119,18,116,85,234,63,233,81,131,251,222,58,194,63,10,125,119,18,116,85,234,63,233,81,131,251,222,58,194,63,193,231,122,234,66,189,161,63,193,231,122,234,66,189,161,63,253,14,232,101,58,148,237,63,13,14,174,133,65,196,176,63,253,14,232,101,58,148,237,63,13,14,174,133,65,196,176,63,97,208,139,88,90,207,132,63,97,208,139,88,90,207,132,63,79,85,85,85,85,85,213,63,250,224,169,68,201,7,224,63,250,224,169,68,201,7,224,63,225,230,131,167,18,37,95,191,149,9,244,143,225,62,223,63,149,9,244,143,225,62,223,63,139,206,126,1,206,35,152,63,74,238,11,155,245,32,221,63,74,238,11,155,245,32,221,63,249,141,160,39,83,248,182,63,142,186,184,132,78,186,217,63,142,186,184,132,78,186,217,63,162,21,29,237,197,22,201,63,193,122,172,167,140,96,208,63,193,122,172,167,140,96,208,63,107,10,167,176,230,62,223,63,97,67,208,203,42,151,198,63,97,67,208,203,42,151,198,63,80,222,23,154,106,180,228,63,19,35,222,240,240,170,186,63,19,35,222,240,240,170,186,63,50,119,200,195,67,85,233,63,214,64,66,240,218,43,171,63,214,64,66,240,218,43,171,63,229,183,247,161,132,154,236,63,96,67,86,89,12,79,165,63,96,67,86,89,12,79,165,63,148,55,213,116,30,86,237,63,247,78,86,45,67,184,135,63,247,78,86,45,67,184,135,63,136,77,149,230,61,66,239,63,114,123,167,133,166,103,227,63,217,27,190,239,29,18,214,63,114,123,167,133,166,103,227,63,217,27,190,239,29,18,214,63,25,106,151,39,168,244,168,63,25,106,151,39,168,244,168,63,12,94,18,146,251,180,227,63,105,28,123,137,149,46,216,63,12,94,18,146,251,180,227,63,105,28,123,137,149,46,216,63,149,223,9,152,212,220,121,63,149,223,9,152,212,220,121,63,163,65,210,161,184,227,225,63,114,110,151,106,234,159,211,63,163,65,210,161,184,227,225,63,114,110,151,106,234,159,211,63,144,28,136,163,72,49,193,63,144,28,136,163,72,49,193,63,108,119,10,78,72,146,231,63,149,167,13,67,249,236,207,63,108,119,10,78,72,146,231,63,149,167,13,67,249,236,207,63,184,171,135,76,88,158,140,63,184,171,135,76,88,158,140,63,137,5,176,242,10,198,230,63,210,146,180,37,60,60,203,63,137,5,176,242,10,198,230,63,210,146,180,37,60,60,203,63,20,174,22,31,48,87,179,63,20,174,22,31,48,87,179,63,248,183,91,110,156,144,235,63,109,218,190,110,195,207,194,63,248,183,91,110,156,144,235,63,109,218,190,110,195,207,194,63,43,167,219,130,82,35,129,191,43,167,219,130,82,35,129,191,201,83,38,220,32,189,234,63,15,110,236,162,9,161,193,63,201,83,38,220,32,189,234,63,15,110,236,162,9,161,193,63,119,22,210,99,151,83,155,63,119,22,210,99,151,83,155,63,60,232,194,3,144,192,237,63,12,163,252,8,125,144,174,63,60,232,194,3,144,192,237,63,12,163,252,8,125,144,174,63,0,103,83,235,10,154,133,63,0,103,83,235,10,154,133,63,79,85,85,85,85,85,213,63,97,85,85,85,85,85,197,63,88,85,85,85,85,85,229,63,97,85,85,85,85,85,197,63,79,85,85,85,85,85,213,63,154,153,153,153,153,153,201,63,51,51,51,51,51,51,227,63,154,153,153,153,153,153,201,63,220,208,11,138,107,138,220,63,32,121,161,175,163,172,187,63,220,208,11,138,107,138,220,63,219,176,29,234,137,113,183,63,210,147,120,133,157,35,234,63,219,176,29,234,137,113,183,63,79,85,85,85,85,85,213,63,191,139,115,189,206,22,222,63,16,68,199,40,20,147,174,63,191,139,115,189,206,22,222,63,119,245,122,156,233,237,185,63,153,66,225,152,133,132,233,63,119,245,122,156,233,237,185,63,145,236,234,200,160,232,207,63,175,137,138,155,175,11,224,63,145,236,234,200,160,232,207,63,196,85,250,5,154,38,176,63,143,106,129,126,89,246,235,63,196,85,250,5,154,38,176,63,87,27,219,134,208,220,211,63,196,142,49,125,58,94,228,63,9,57,14,246,211,53,171,63,9,57,14,246,211,53,171,63,196,142,49,125,58,94,228,63,87,27,219,134,208,220,211,63,79,85,85,85,85,85,213,63,193,30,125,32,130,169,208,63,125,194,5,191,251,172,222,63,193,30,125,32,130,169,208,63,225,59,243,205,93,172,176,63,8,49,131,140,232,212,235,63,225,59,243,205,93,172,176,63,240,208,88,0,253,5,212,63,158,80,199,129,34,110,228,63,162,110,196,224,239,237,168,63,162,110,196,224,239,237,168,63,158,80,199,129,34,110,228,63,240,208,88,0,253,5,212,63,79,85,85,85,85,85,213,63,200,203,128,189,12,101,221,63,194,161,249,19,154,215,180,63,200,203,128,189,12,101,221,63,174,97,63,15,55,213,197,63,41,79,96,120,100,21,229,63,174,97,63,15,55,213,197,63,6,217,12,137,83,225,169,63,223,100,222,142,213,195,236,63,6,217,12,137,83,225,169,63,34,21,156,49,215,214,208,63,141,26,100,71,207,79,231,63,142,184,118,243,71,49,129,63,142,184,118,243,71,49,129,63,141,26,100,71,207,79,231,63,34,21,156,49,215,214,208,63,79,85,85,85,85,85,213,63,9,106,88,89,245,86,223,63,5,192,242,212,84,33,149,63,9,106,88,89,245,86,223,63,38,150,56,159,70,249,219,63,142,167,29,131,229,26,192,63,38,150,56,159,70,249,219,63,55,215,60,175,13,23,200,63,109,148,97,40,121,244,227,63,55,215,60,175,13,23,200,63,68,237,99,106,201,230,166,63,96,130,179,210,38,35,237,63,68,237,99,106,201,230,166,63,26,23,175,129,72,105,204,63,174,218,179,31,230,183,231,63,187,248,5,254,123,220,162,63,187,248,5,254,123,220,162,63,174,218,179,31,230,183,231,63,26,23,175,129,72,105,204,63,79,85,85,85,85,85,213,63,20,82,195,53,180,19,223,63,98,188,149,71,121,137,157,63,20,82,195,53,180,19,223,63,183,8,57,10,252,6,188,63,210,189,113,253,64,254,232,63,183,8,57,10,252,6,188,63,136,39,40,76,73,181,211,63,87,29,204,197,125,156,225,63,149,59,127,80,118,35,194,63,149,59,127,80,118,35,194,63,87,29,204,197,125,156,225,63,136,39,40,76,73,181,211,63,74,109,98,106,247,146,207,63,74,130,228,238,109,78,231,63,122,76,92,208,134,154,153,63,122,76,92,208,134,154,153,63,74,130,228,238,109,78,231,63,74,109,98,106,247,146,207,63,26,39,93,146,4,26,177,63,25,120,112,227,150,142,237,63,162,190,248,144,34,138,131,63,162,190,248,144,34,138,131,63,25,120,112,227,150,142,237,63,26,39,93,146,4,26,177,63,224,230,12,161,136,27,225,63,71,110,206,16,138,184,177,191,224,230,12,161,136,27,225,63,44,41,22,139,182,136,217,63,78,91,167,211,37,221,201,63,44,41,22,139,182,136,217,63,114,22,167,14,15,6,202,63,190,116,172,120,248,252,226,63,114,22,167,14,15,6,202,63,9,95,0,9,200,141,190,63,53,232,191,253,141,92,232,63,9,95,0,9,200,141,190,63,1,110,89,115,35,146,160,63,64,210,148,145,187,237,237,63,1,110,89,115,35,146,160,63,160,19,87,105,223,210,214,63,228,228,115,28,129,251,226,63,80,21,9,238,242,176,169,63,80,21,9,238,242,176,169,63,228,228,115,28,129,251,226,63,160,19,87,105,223,210,214,63,47,223,3,213,89,243,197,63,41,110,142,45,243,214,233,63,103,65,19,166,203,134,149,63,103,65,19,166,203,134,149,63,41,110,142,45,243,214,233,63,47,223,3,213,89,243,197,63,194,175,154,38,244,62,223,63,204,7,170,44,123,33,152,63,194,175,154,38,244,62,223,63,159,31,10,199,113,36,220,63,188,2,175,199,113,220,190,63,159,31,10,199,113,36,220,63,89,155,125,205,130,91,209,63,77,201,4,101,250,72,221,63,89,155,125,205,130,91,209,63,151,232,108,70,106,84,192,63,181,139,201,220,202,213,231,63,151,232,108,70,106,84,192,63,181,184,34,44,55,212,149,63,108,212,61,141,188,162,238,63,181,184,34,44,55,212,149,63,56,215,23,69,73,165,209,63,107,109,89,134,118,124,227,63,204,55,213,184,38,135,189,63,204,55,213,184,38,135,189,63,107,109,89,134,118,124,227,63,56,215,23,69,73,165,209,63,200,81,120,2,61,1,210,63,219,42,132,10,74,68,230,63,14,136,245,135,238,98,151,63,14,136,245,135,238,98,151,63,219,42,132,10,74,68,230,63,200,81,120,2,61,1,210,63,1,164,235,128,175,194,189,63,63,150,178,216,217,116,235,63,32,168,254,229,6,90,154,63,32,168,254,229,6,90,154,63,63,150,178,216,217,116,235,63,1,164,235,128,175,194,189,63,79,85,85,85,85,85,213,63,255,166,16,149,222,174,223,63,109,66,214,187,90,72,132,63,255,166,16,149,222,174,223,63,25,193,184,14,116,255,221,63,57,247,57,138,95,4,176,63,25,193,184,14,116,255,221,63,92,144,67,128,132,135,218,63,181,190,241,254,237,225,197,63,92,144,67,128,132,135,218,63,40,247,209,21,247,92,205,63,99,4,23,117,132,81,225,63,40,247,209,21,247,92,205,63,142,195,186,120,236,74,189,63,28,79,209,225,68,173,232,63,142,195,186,120,236,74,189,63,96,178,229,73,40,104,153,63,218,164,97,123,125,105,238,63,96,178,229,73,40,104,153,63,230,135,108,238,239,51,209,63,187,110,112,35,253,92,228,63,143,106,202,42,87,72,184,63,143,106,202,42,87,72,184,63,187,110,112,35,253,92,228,63,230,135,108,238,239,51,209,63,245,141,248,149,180,171,210,63,227,63,91,162,221,21,230,63,66,36,15,85,2,137,146,63,66,36,15,85,2,137,146,63,227,63,91,162,221,21,230,63,245,141,248,149,180,171,210,63,117,187,37,147,122,44,192,63,108,4,16,55,191,62,235,63,217,150,209,132,68,196,150,63,217,150,209,132,68,196,150,63,108,4,16,55,191,62,235,63,117,187,37,147,122,44,192,63,104,130,251,72,47,75,223,63,38,180,143,224,22,154,150,63,104,130,251,72,47,75,223,63,176,132,186,234,176,186,218,63,64,237,21,85,60,21,197,63,176,132,186,234,176,186,218,63,142,192,17,228,167,128,209,63,245,126,220,55,176,254,220,63,142,192,17,228,167,128,209,63,248,233,48,191,171,174,198,63,251,138,103,32,170,168,228,63,248,233,48,191,171,174,198,63,124,57,139,249,59,164,175,63,218,152,206,128,120,11,236,63,124,57,139,249,59,164,175,63,99,205,154,97,57,219,147,63,42,83,230,105,76,194,238,63,99,205,154,97,57,219,147,63,4,5,49,183,213,12,198,63,137,216,152,69,211,168,232,63,100,99,174,201,116,63,173,63,100,99,174,201,116,63,173,63,137,216,152,69,211,168,232,63,4,5,49,183,213,12,198,63,115,235,70,94,35,143,213,63,224,95,84,209,66,63,226,63,51,83,65,252,91,201,183,63,51,83,65,252,91,201,183,63,224,95,84,209,66,63,226,63,115,235,70,94,35,143,213,63,162,118,178,146,138,24,211,63,4,144,55,213,189,251,229,63,207,42,205,91,56,255,141,63,207,42,205,91,56,255,141,63,4,144,55,213,189,251,229,63,162,118,178,146,138,24,211,63,248,156,170,216,28,117,190,63,111,154,238,130,248,38,236,63,64,227,35,248,195,199,84,63,64,227,35,248,195,199,84,63,111,154,238,130,248,38,236,63,248,156,170,216,28,117,190,63,233,164,59,68,31,57,224,63,160,116,210,29,162,143,140,191,233,164,59,68,31,57,224,63,186,168,187,101,41,156,219,63,59,93,17,105,90,143,193,63,186,168,187,101,41,156,219,63,194,59,187,144,187,197,209,63,105,136,137,222,136,116,220,63,194,59,187,144,187,197,209,63,79,164,142,101,0,48,192,63,216,173,56,205,255,231,231,63,79,164,142,101,0,48,192,63,226,55,11,150,127,32,178,63,8,50,125,26,224,119,235,63,226,55,11,150,127,32,178,63,152,62,203,7,155,107,147,63,13,76,131,79,70,201,238,63,152,62,203,7,155,107,147,63,101,167,71,84,83,185,208,63,141,6,92,120,201,91,227,63,223,150,0,118,51,30,193,63,223,150,0,118,51,30,193,63,141,6,92,120,201,91,227,63,101,167,71,84,83,185,208,63,180,40,126,27,194,213,216,63,1,60,254,126,52,107,226,63,78,250,42,52,167,158,162,63,78,250,42,52,167,158,162,63,1,60,254,126,52,107,226,63,180,40,126,27,194,213,216,63,251,164,75,232,27,73,210,63,41,203,162,82,204,46,231,63,192,105,39,178,145,214,132,191,192,105,39,178,145,214,132,191,41,203,162,82,204,46,231,63,251,164,75,232,27,73,210,63,179,9,28,17,197,152,203,63,45,100,179,137,251,235,231,63,103,150,89,32,51,221,162,63,103,150,89,32,51,221,162,63,45,100,179,137,251,235,231,63,179,9,28,17,197,152,203,63,22,206,219,125,238,131,186,63,120,149,17,19,112,73,236,63,159,51,188,76,135,132,137,63,159,51,188,76,135,132,137,63,120,149,17,19,112,73,236,63,22,206,219,125,238,131,186,63,79,85,85,85,85,85,213,63,131,117,85,50,21,213,223,63,9,58,69,213,102,117,117,63,131,117,85,50,21,213,223,63,183,193,29,133,72,118,218,63,254,248,136,235,221,38,198,63,183,193,29,133,72,118,218,63,73,87,71,98,254,27,222,63,224,138,138,219,25,64,174,63,73,87,71,98,254,27,222,63,242,77,134,28,119,202,206,63,7,217,188,113,196,154,224,63,242,77,134,28,119,202,206,63,58,106,142,11,139,240,194,63,227,202,56,122,186,135,230,63,58,106,142,11,139,240,194,63,199,176,249,192,175,81,179,63,206,147,193,15,148,43,235,63,199,176,249,192,175,81,179,63,135,18,253,185,165,254,144,63,216,46,96,164,21,240,238,63,135,18,253,185,165,254,144,63,153,104,48,83,196,250,210,63,103,120,12,222,31,50,227,63,97,154,218,194,239,131,186,63,97,154,218,194,239,131,186,63,103,120,12,222,31,50,227,63,153,104,48,83,196,250,210,63,68,244,26,50,65,157,213,63,134,116,106,111,217,140,228,63,242,42,2,241,190,144,148,63,242,42,2,241,190,144,148,63,134,116,106,111,217,140,228,63,68,244,26,50,65,157,213,63,172,182,200,18,49,53,202,63,203,32,86,121,67,150,233,63,192,58,39,4,223,199,113,191,192,58,39,4,223,199,113,191,203,32,86,121,67,150,233,63,172,182,200,18,49,53,202,63,6,224,117,41,230,60,200,63,58,159,123,40,48,153,232,63,216,140,110,210,100,121,165,63,216,140,110,210,100,121,165,63,58,159,123,40,48,153,232,63,6,224,117,41,230,60,200,63,106,220,61,164,37,213,181,63,44,61,179,178,17,208,236,63,130,207,65,49,102,82,141,63,130,207,65,49,102,82,141,63,44,61,179,178,17,208,236,63,106,220,61,164,37,213,181,63,79,85,85,85,85,85,213,63,142,118,14,99,164,209,223,63,23,185,196,120,206,45,119,63,142,118,14,99,164,209,223,63,5,3,37,20,250,219,222,63,67,208,175,189,94,64,162,63,5,3,37,20,250,219,222,63,198,246,146,77,187,208,220,63,25,74,104,147,37,122,185,63,198,246,146,77,187,208,220,63,172,103,244,73,246,157,217,63,82,97,46,216,38,136,201,63,172,103,244,73,246,157,217,63,209,15,250,32,21,35,208,63,112,224,11,190,213,185,223,63,209,15,250,32,21,35,208,63,240,31,182,204,244,189,196,63,255,239,164,153,5,161,229,63,240,31,182,204,244,189,196,63,245,115,221,16,154,108,179,63,3,163,200,123,217,36,235,63,245,115,221,16,154,108,179,63,129,29,107,241,202,7,144,63,40,78,233,80,131,255,238,63,129,29,107,241,202,7,144,63,207,183,46,40,127,101,213,63,84,147,35,226,204,249,228,63,22,49,68,113,226,220,132,63,22,49,68,113,226,220,132,63,84,147,35,226,204,249,228,63,207,183,46,40,127,101,213,63,185,148,1,247,193,179,210,63,42,104,51,236,150,80,226,63,231,53,47,97,32,86,193,63,231,53,47,97,32,86,193,63,42,104,51,236,150,80,226,63,185,148,1,247,193,179,210,63,190,254,96,56,234,115,212,63,95,42,241,165,51,8,228,63,182,100,229,221,115,221,171,63,182,100,229,221,115,221,171,63,95,42,241,165,51,8,228,63,190,254,96,56,234,115,212,63,142,182,14,251,254,104,200,63,232,167,62,237,84,124,233,63,20,157,106,255,212,90,138,63,20,157,106,255,212,90,138,63,232,167,62,237,84,124,233,63,142,182,14,251,254,104,200,63,151,19,193,233,18,26,199,63,28,176,179,106,66,19,232,63,168,87,224,214,198,49,177,63,168,87,224,214,198,49,177,63,28,176,179,106,66,19,232,63,151,19,193,233,18,26,199,63,186,193,171,36,127,169,180,63,23,251,102,47,177,242,236,63,136,44,227,0,187,7,142,63,136,44,227,0,187,7,142,63,23,251,102,47,177,242,236,63,186,193,171,36,127,169,180,63,79,85,85,85,85,85,213,63,226,39,174,26,246,146,223,63,70,5,118,84,121,66,139,63,226,39,174,26,246,146,223,63,250,45,77,223,139,7,222,63,93,32,45,11,66,135,175,63,250,45,77,223,139,7,222,63,224,6,204,205,8,236,219,63,163,228,207,200,220,79,192,63,224,6,204,205,8,236,219,63,222,143,127,223,40,69,217,63,135,192,1,130,92,235,202,63,222,143,127,223,40,69,217,63,125,46,221,183,68,249,207,63,194,104,17,164,93,3,224,63,125,46,221,183,68,249,207,63,40,95,83,100,207,169,196,63,117,80,214,77,24,171,229,63,40,95,83,100,207,169,196,63,85,50,251,1,241,155,179,63,98,51,129,191,3,25,235,63,85,50,251,1,241,155,179,63,190,51,124,167,161,213,152,63,196,60,136,229,165,114,238,63,190,51,124,167,161,213,152,63,69,177,70,216,71,23,166,63,224,41,247,4,23,61,237,63,69,177,70,216,71,23,166,63,60,130,59,235,103,248,214,63,146,96,185,236,187,62,228,63,24,148,55,106,7,68,129,63,24,148,55,106,7,68,129,63,146,96,185,236,187,62,228,63,60,130,59,235,103,248,214,63,35,181,96,124,125,215,210,63,102,73,35,30,147,97,226,63,33,112,177,142,184,202,192,63,33,112,177,142,184,202,192,63,102,73,35,30,147,97,226,63,35,181,96,124,125,215,210,63,141,215,42,119,23,205,212,63,133,101,166,160,48,254,227,63,207,235,66,60,58,180,169,63,207,235,66,60,58,180,169,63,133,101,166,160,48,254,227,63,141,215,42,119,23,205,212,63,220,227,141,248,122,165,199,63,111,201,129,181,66,247,231,63,138,236,213,98,244,250,176,63,138,236,213,98,244,250,176,63,111,201,129,181,66,247,231,63,220,227,141,248,122,165,199,63,203,105,67,150,136,1,204,63,20,81,132,2,88,157,232,63,54,30,181,250,117,145,136,63,54,30,181,250,117,145,136,63,20,81,132,2,88,157,232,63,203,105,67,150,136,1,204,63,0,44,185,244,231,230,185,63,63,42,101,79,107,73,236,63,38,16,236,128,236,109,142,63,38,16,236,128,236,109,142,63,63,42,101,79,107,73,236,63,0,44,185,244,231,230,185,63,39,186,0,29,49,96,149,63,244,41,72,49,196,58,240,63,161,155,133,183,158,8,162,191,161,155,133,183,158,8,162,191,244,41,72,49,196,58,240,63,39,186,0,29,49,96,149,63,79,85,85,85,85,85,213,63,189,129,145,32,197,85,223,63,72,199,207,237,91,71,149,63,189,129,145,32,197,85,223,63,88,160,61,232,33,23,221,63,135,253,18,190,240,70,183,63,88,160,61,232,33,23,221,63,219,82,221,150,207,176,217,63,146,180,138,164,193,60,201,63,219,82,221,150,207,176,217,63,104,102,134,83,245,90,208,63,67,51,243,88,21,74,223,63,104,102,134,83,245,90,208,63,215,116,49,113,125,170,198,63,157,69,103,71,193,170,228,63,215,116,49,113,125,170,198,63,15,104,45,16,246,44,188,63,252,165,244,123,194,244,232,63,15,104,45,16,246,44,188,63,221,154,78,114,63,110,172,63,173,44,182,17,56,114,236,63,221,154,78,114,63,110,172,63,216,36,26,225,125,217,137,63,226,46,247,16,52,49,239,63,216,36,26,225,125,217,137,63,138,190,59,227,11,84,217,63,244,125,48,93,100,56,227,63,226,198,162,49,177,149,109,63,226,198,162,49,177,149,109,63,244,125,48,93,100,56,227,63,138,190,59,227,11,84,217,63,154,90,142,246,31,181,211,63,26,86,149,203,226,215,225,63,102,242,141,228,52,54,193,63,102,242,141,228,52,54,193,63,26,86,149,203,226,215,225,63,154,90,142,246,31,181,211,63,163,139,192,53,170,238,208,63,126,58,23,98,83,18,231,63,12,236,31,194,224,149,141,63,12,236,31,194,224,149,141,63,126,58,23,98,83,18,231,63,163,139,192,53,170,238,208,63,240,109,3,10,79,242,214,63,12,18,184,161,93,6,227,63,200,111,99,148,173,7,168,63,200,111,99,148,173,7,168,63,12,18,184,161,93,6,227,63,240,109,3,10,79,242,214,63,168,209,217,119,8,51,196,63,88,206,190,173,205,219,234,63,94,71,189,74,52,112,103,63,94,71,189,74,52,112,103,63,88,206,190,173,205,219,234,63,168,209,217,119,8,51,196,63,97,139,142,19,132,54,179,63,174,105,163,14,80,111,230,63,153,19,171,187,125,167,204,63,153,19,171,187,125,167,204,63,174,105,163,14,80,111,230,63,97,139,142,19,132,54,179,63,233,81,131,251,222,58,194,63,10,125,119,18,116,85,234,63,193,231,122,234,66,189,161,63,193,231,122,234,66,189,161,63,10,125,119,18,116,85,234,63,233,81,131,251,222,58,194,63,13,14,174,133,65,196,176,63,253,14,232,101,58,148,237,63,97,208,139,88,90,207,132,63,97,208,139,88,90,207,132,63,253,14,232,101,58,148,237,63,13,14,174,133,65,196,176,63,79,85,85,85,85,85,213,63,250,224,169,68,201,7,224,63,225,230,131,167,18,37,95,191,250,224,169,68,201,7,224,63,149,9,244,143,225,62,223,63,139,206,126,1,206,35,152,63,149,9,244,143,225,62,223,63,74,238,11,155,245,32,221,63,249,141,160,39,83,248,182,63,74,238,11,155,245,32,221,63,142,186,184,132,78,186,217,63,162,21,29,237,197,22,201,63,142,186,184,132,78,186,217,63,193,122,172,167,140,96,208,63,107,10,167,176,230,62,223,63,193,122,172,167,140,96,208,63,97,67,208,203,42,151,198,63,80,222,23,154,106,180,228,63,97,67,208,203,42,151,198,63,19,35,222,240,240,170,186,63,50,119,200,195,67,85,233,63,19,35,222,240,240,170,186,63,214,64,66,240,218,43,171,63,229,183,247,161,132,154,236,63,214,64,66,240,218,43,171,63,96,67,86,89,12,79,165,63,148,55,213,116,30,86,237,63,96,67,86,89,12,79,165,63,247,78,86,45,67,184,135,63,136,77,149,230,61,66,239,63,247,78,86,45,67,184,135,63,217,27,190,239,29,18,214,63,114,123,167,133,166,103,227,63,25,106,151,39,168,244,168,63,25,106,151,39,168,244,168,63,114,123,167,133,166,103,227,63,217,27,190,239,29,18,214,63,105,28,123,137,149,46,216,63,12,94,18,146,251,180,227,63,149,223,9,152,212,220,121,63,149,223,9,152,212,220,121,63,12,94,18,146,251,180,227,63,105,28,123,137,149,46,216,63,114,110,151,106,234,159,211,63,163,65,210,161,184,227,225,63,144,28,136,163,72,49,193,63,144,28,136,163,72,49,193,63,163,65,210,161,184,227,225,63,114,110,151,106,234,159,211,63,149,167,13,67,249,236,207,63,108,119,10,78,72,146,231,63,184,171,135,76,88,158,140,63,184,171,135,76,88,158,140,63,108,119,10,78,72,146,231,63,149,167,13,67,249,236,207,63,210,146,180,37,60,60,203,63,137,5,176,242,10,198,230,63,20,174,22,31,48,87,179,63,20,174,22,31,48,87,179,63,137,5,176,242,10,198,230,63,210,146,180,37,60,60,203,63,109,218,190,110,195,207,194,63,248,183,91,110,156,144,235,63,43,167,219,130,82,35,129,191,43,167,219,130,82,35,129,191,248,183,91,110,156,144,235,63,109,218,190,110,195,207,194,63,15,110,236,162,9,161,193,63,201,83,38,220,32,189,234,63,119,22,210,99,151,83,155,63,119,22,210,99,151,83,155,63,201,83,38,220,32,189,234,63,15,110,236,162,9,161,193,63,12,163,252,8,125,144,174,63,60,232,194,3,144,192,237,63,0,103,83,235,10,154,133,63,0,103,83,235,10,154,133,63,60,232,194,3,144,192,237,63,12,163,252,8,125,144,174,63,79,85,85,85,85,85,213,63,88,85,85,85,85,85,229,63,97,85,85,85,85,85,197,63,97,85,85,85,85,85,197,63,79,85,85,85,85,85,213,63,51,51,51,51,51,51,227,63,154,153,153,153,153,153,201,63,154,153,153,153,153,153,201,63,32,121,161,175,163,172,187,63,220,208,11,138,107,138,220,63,220,208,11,138,107,138,220,63,210,147,120,133,157,35,234,63,219,176,29,234,137,113,183,63,219,176,29,234,137,113,183,63,79,85,85,85,85,85,213,63,16,68,199,40,20,147,174,63,191,139,115,189,206,22,222,63,191,139,115,189,206,22,222,63,153,66,225,152,133,132,233,63,119,245,122,156,233,237,185,63,119,245,122,156,233,237,185,63,175,137,138,155,175,11,224,63,145,236,234,200,160,232,207,63,145,236,234,200,160,232,207,63,143,106,129,126,89,246,235,63,196,85,250,5,154,38,176,63,196,85,250,5,154,38,176,63,9,57,14,246,211,53,171,63,9,57,14,246,211,53,171,63,87,27,219,134,208,220,211,63,196,142,49,125,58,94,228,63,87,27,219,134,208,220,211,63,196,142,49,125,58,94,228,63,79,85,85,85,85,85,213,63,125,194,5,191,251,172,222,63,193,30,125,32,130,169,208,63,193,30,125,32,130,169,208,63,8,49,131,140,232,212,235,63,225,59,243,205,93,172,176,63,225,59,243,205,93,172,176,63,162,110,196,224,239,237,168,63,162,110,196,224,239,237,168,63,240,208,88,0,253,5,212,63,158,80,199,129,34,110,228,63,240,208,88,0,253,5,212,63,158,80,199,129,34,110,228,63,79,85,85,85,85,85,213,63,194,161,249,19,154,215,180,63,200,203,128,189,12,101,221,63,200,203,128,189,12,101,221,63,41,79,96,120,100,21,229,63,174,97,63,15,55,213,197,63,174,97,63,15,55,213,197,63,223,100,222,142,213,195,236,63,6,217,12,137,83,225,169,63,6,217,12,137,83,225,169,63,142,184,118,243,71,49,129,63,142,184,118,243,71,49,129,63,34,21,156,49,215,214,208,63,141,26,100,71,207,79,231,63,34,21,156,49,215,214,208,63,141,26,100,71,207,79,231,63,79,85,85,85,85,85,213,63,5,192,242,212,84,33,149,63,9,106,88,89,245,86,223,63,9,106,88,89,245,86,223,63,142,167,29,131,229,26,192,63,38,150,56,159,70,249,219,63,38,150,56,159,70,249,219,63,109,148,97,40,121,244,227,63,55,215,60,175,13,23,200,63,55,215,60,175,13,23,200,63,96,130,179,210,38,35,237,63,68,237,99,106,201,230,166,63,68,237,99,106,201,230,166,63,187,248,5,254,123,220,162,63,187,248,5,254,123,220,162,63,26,23,175,129,72,105,204,63,174,218,179,31,230,183,231,63,26,23,175,129,72,105,204,63,174,218,179,31,230,183,231,63,79,85,85,85,85,85,213,63,98,188,149,71,121,137,157,63,20,82,195,53,180,19,223,63,20,82,195,53,180,19,223,63,210,189,113,253,64,254,232,63,183,8,57,10,252,6,188,63,183,8,57,10,252,6,188,63,149,59,127,80,118,35,194,63,149,59,127,80,118,35,194,63,136,39,40,76,73,181,211,63,87,29,204,197,125,156,225,63,136,39,40,76,73,181,211,63,87,29,204,197,125,156,225,63,122,76,92,208,134,154,153,63,122,76,92,208,134,154,153,63,74,109,98,106,247,146,207,63],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+10240);allocate([74,130,228,238,109,78,231,63,74,109,98,106,247,146,207,63,74,130,228,238,109,78,231,63,162,190,248,144,34,138,131,63,162,190,248,144,34,138,131,63,26,39,93,146,4,26,177,63,25,120,112,227,150,142,237,63,26,39,93,146,4,26,177,63,25,120,112,227,150,142,237,63,71,110,206,16,138,184,177,191,224,230,12,161,136,27,225,63,224,230,12,161,136,27,225,63,78,91,167,211,37,221,201,63,44,41,22,139,182,136,217,63,44,41,22,139,182,136,217,63,190,116,172,120,248,252,226,63,114,22,167,14,15,6,202,63,114,22,167,14,15,6,202,63,53,232,191,253,141,92,232,63,9,95,0,9,200,141,190,63,9,95,0,9,200,141,190,63,64,210,148,145,187,237,237,63,1,110,89,115,35,146,160,63,1,110,89,115,35,146,160,63,80,21,9,238,242,176,169,63,80,21,9,238,242,176,169,63,160,19,87,105,223,210,214,63,228,228,115,28,129,251,226,63,160,19,87,105,223,210,214,63,228,228,115,28,129,251,226,63,103,65,19,166,203,134,149,63,103,65,19,166,203,134,149,63,47,223,3,213,89,243,197,63,41,110,142,45,243,214,233,63,47,223,3,213,89,243,197,63,41,110,142,45,243,214,233,63,204,7,170,44,123,33,152,63,194,175,154,38,244,62,223,63,194,175,154,38,244,62,223,63,188,2,175,199,113,220,190,63,159,31,10,199,113,36,220,63,159,31,10,199,113,36,220,63,77,201,4,101,250,72,221,63,89,155,125,205,130,91,209,63,89,155,125,205,130,91,209,63,181,139,201,220,202,213,231,63,151,232,108,70,106,84,192,63,151,232,108,70,106,84,192,63,108,212,61,141,188,162,238,63,181,184,34,44,55,212,149,63,181,184,34,44,55,212,149,63,204,55,213,184,38,135,189,63,204,55,213,184,38,135,189,63,56,215,23,69,73,165,209,63,107,109,89,134,118,124,227,63,56,215,23,69,73,165,209,63,107,109,89,134,118,124,227,63,14,136,245,135,238,98,151,63,14,136,245,135,238,98,151,63,200,81,120,2,61,1,210,63,219,42,132,10,74,68,230,63,200,81,120,2,61,1,210,63,219,42,132,10,74,68,230,63,32,168,254,229,6,90,154,63,32,168,254,229,6,90,154,63,1,164,235,128,175,194,189,63,63,150,178,216,217,116,235,63,1,164,235,128,175,194,189,63,63,150,178,216,217,116,235,63,79,85,85,85,85,85,213,63,109,66,214,187,90,72,132,63,255,166,16,149,222,174,223,63,255,166,16,149,222,174,223,63,57,247,57,138,95,4,176,63,25,193,184,14,116,255,221,63,25,193,184,14,116,255,221,63,181,190,241,254,237,225,197,63,92,144,67,128,132,135,218,63,92,144,67,128,132,135,218,63,99,4,23,117,132,81,225,63,40,247,209,21,247,92,205,63,40,247,209,21,247,92,205,63,28,79,209,225,68,173,232,63,142,195,186,120,236,74,189,63,142,195,186,120,236,74,189,63,218,164,97,123,125,105,238,63,96,178,229,73,40,104,153,63,96,178,229,73,40,104,153,63,143,106,202,42,87,72,184,63,143,106,202,42,87,72,184,63,230,135,108,238,239,51,209,63,187,110,112,35,253,92,228,63,230,135,108,238,239,51,209,63,187,110,112,35,253,92,228,63,66,36,15,85,2,137,146,63,66,36,15,85,2,137,146,63,245,141,248,149,180,171,210,63,227,63,91,162,221,21,230,63,245,141,248,149,180,171,210,63,227,63,91,162,221,21,230,63,217,150,209,132,68,196,150,63,217,150,209,132,68,196,150,63,117,187,37,147,122,44,192,63,108,4,16,55,191,62,235,63,117,187,37,147,122,44,192,63,108,4,16,55,191,62,235,63,38,180,143,224,22,154,150,63,104,130,251,72,47,75,223,63,104,130,251,72,47,75,223,63,64,237,21,85,60,21,197,63,176,132,186,234,176,186,218,63,176,132,186,234,176,186,218,63,245,126,220,55,176,254,220,63,142,192,17,228,167,128,209,63,142,192,17,228,167,128,209,63,251,138,103,32,170,168,228,63,248,233,48,191,171,174,198,63,248,233,48,191,171,174,198,63,218,152,206,128,120,11,236,63,124,57,139,249,59,164,175,63,124,57,139,249,59,164,175,63,42,83,230,105,76,194,238,63,99,205,154,97,57,219,147,63,99,205,154,97,57,219,147,63,100,99,174,201,116,63,173,63,100,99,174,201,116,63,173,63,4,5,49,183,213,12,198,63,137,216,152,69,211,168,232,63,4,5,49,183,213,12,198,63,137,216,152,69,211,168,232,63,51,83,65,252,91,201,183,63,51,83,65,252,91,201,183,63,115,235,70,94,35,143,213,63,224,95,84,209,66,63,226,63,115,235,70,94,35,143,213,63,224,95,84,209,66,63,226,63,207,42,205,91,56,255,141,63,207,42,205,91,56,255,141,63,162,118,178,146,138,24,211,63,4,144,55,213,189,251,229,63,162,118,178,146,138,24,211,63,4,144,55,213,189,251,229,63,64,227,35,248,195,199,84,63,64,227,35,248,195,199,84,63,248,156,170,216,28,117,190,63,111,154,238,130,248,38,236,63,248,156,170,216,28,117,190,63,111,154,238,130,248,38,236,63,160,116,210,29,162,143,140,191,233,164,59,68,31,57,224,63,233,164,59,68,31,57,224,63,59,93,17,105,90,143,193,63,186,168,187,101,41,156,219,63,186,168,187,101,41,156,219,63,105,136,137,222,136,116,220,63,194,59,187,144,187,197,209,63,194,59,187,144,187,197,209,63,216,173,56,205,255,231,231,63,79,164,142,101,0,48,192,63,79,164,142,101,0,48,192,63,8,50,125,26,224,119,235,63,226,55,11,150,127,32,178,63,226,55,11,150,127,32,178,63,13,76,131,79,70,201,238,63,152,62,203,7,155,107,147,63,152,62,203,7,155,107,147,63,223,150,0,118,51,30,193,63,223,150,0,118,51,30,193,63,101,167,71,84,83,185,208,63,141,6,92,120,201,91,227,63,101,167,71,84,83,185,208,63,141,6,92,120,201,91,227,63,78,250,42,52,167,158,162,63,78,250,42,52,167,158,162,63,180,40,126,27,194,213,216,63,1,60,254,126,52,107,226,63,180,40,126,27,194,213,216,63,1,60,254,126,52,107,226,63,192,105,39,178,145,214,132,191,192,105,39,178,145,214,132,191,251,164,75,232,27,73,210,63,41,203,162,82,204,46,231,63,251,164,75,232,27,73,210,63,41,203,162,82,204,46,231,63,103,150,89,32,51,221,162,63,103,150,89,32,51,221,162,63,179,9,28,17,197,152,203,63,45,100,179,137,251,235,231,63,179,9,28,17,197,152,203,63,45,100,179,137,251,235,231,63,159,51,188,76,135,132,137,63,159,51,188,76,135,132,137,63,22,206,219,125,238,131,186,63,120,149,17,19,112,73,236,63,22,206,219,125,238,131,186,63,120,149,17,19,112,73,236,63,79,85,85,85,85,85,213,63,9,58,69,213,102,117,117,63,131,117,85,50,21,213,223,63,131,117,85,50,21,213,223,63,254,248,136,235,221,38,198,63,183,193,29,133,72,118,218,63,183,193,29,133,72,118,218,63,224,138,138,219,25,64,174,63,73,87,71,98,254,27,222,63,73,87,71,98,254,27,222,63,7,217,188,113,196,154,224,63,242,77,134,28,119,202,206,63,242,77,134,28,119,202,206,63,227,202,56,122,186,135,230,63,58,106,142,11,139,240,194,63,58,106,142,11,139,240,194,63,206,147,193,15,148,43,235,63,199,176,249,192,175,81,179,63,199,176,249,192,175,81,179,63,216,46,96,164,21,240,238,63,135,18,253,185,165,254,144,63,135,18,253,185,165,254,144,63,97,154,218,194,239,131,186,63,97,154,218,194,239,131,186,63,153,104,48,83,196,250,210,63,103,120,12,222,31,50,227,63,153,104,48,83,196,250,210,63,103,120,12,222,31,50,227,63,242,42,2,241,190,144,148,63,242,42,2,241,190,144,148,63,68,244,26,50,65,157,213,63,134,116,106,111,217,140,228,63,68,244,26,50,65,157,213,63,134,116,106,111,217,140,228,63,192,58,39,4,223,199,113,191,192,58,39,4,223,199,113,191,172,182,200,18,49,53,202,63,203,32,86,121,67,150,233,63,172,182,200,18,49,53,202,63,203,32,86,121,67,150,233,63,216,140,110,210,100,121,165,63,216,140,110,210,100,121,165,63,6,224,117,41,230,60,200,63,58,159,123,40,48,153,232,63,6,224,117,41,230,60,200,63,58,159,123,40,48,153,232,63,130,207,65,49,102,82,141,63,130,207,65,49,102,82,141,63,106,220,61,164,37,213,181,63,44,61,179,178,17,208,236,63,106,220,61,164,37,213,181,63,44,61,179,178,17,208,236,63,79,85,85,85,85,85,213,63,23,185,196,120,206,45,119,63,142,118,14,99,164,209,223,63,142,118,14,99,164,209,223,63,67,208,175,189,94,64,162,63,5,3,37,20,250,219,222,63,5,3,37,20,250,219,222,63,25,74,104,147,37,122,185,63,198,246,146,77,187,208,220,63,198,246,146,77,187,208,220,63,82,97,46,216,38,136,201,63,172,103,244,73,246,157,217,63,172,103,244,73,246,157,217,63,112,224,11,190,213,185,223,63,209,15,250,32,21,35,208,63,209,15,250,32,21,35,208,63,255,239,164,153,5,161,229,63,240,31,182,204,244,189,196,63,240,31,182,204,244,189,196,63,3,163,200,123,217,36,235,63,245,115,221,16,154,108,179,63,245,115,221,16,154,108,179,63,40,78,233,80,131,255,238,63,129,29,107,241,202,7,144,63,129,29,107,241,202,7,144,63,22,49,68,113,226,220,132,63,22,49,68,113,226,220,132,63,207,183,46,40,127,101,213,63,84,147,35,226,204,249,228,63,207,183,46,40,127,101,213,63,84,147,35,226,204,249,228,63,231,53,47,97,32,86,193,63,231,53,47,97,32,86,193,63,185,148,1,247,193,179,210,63,42,104,51,236,150,80,226,63,185,148,1,247,193,179,210,63,42,104,51,236,150,80,226,63,182,100,229,221,115,221,171,63,182,100,229,221,115,221,171,63,190,254,96,56,234,115,212,63,95,42,241,165,51,8,228,63,190,254,96,56,234,115,212,63,95,42,241,165,51,8,228,63,20,157,106,255,212,90,138,63,20,157,106,255,212,90,138,63,142,182,14,251,254,104,200,63,232,167,62,237,84,124,233,63,142,182,14,251,254,104,200,63,232,167,62,237,84,124,233,63,168,87,224,214,198,49,177,63,168,87,224,214,198,49,177,63,151,19,193,233,18,26,199,63,28,176,179,106,66,19,232,63,151,19,193,233,18,26,199,63,28,176,179,106,66,19,232,63,136,44,227,0,187,7,142,63,136,44,227,0,187,7,142,63,186,193,171,36,127,169,180,63,23,251,102,47,177,242,236,63,186,193,171,36,127,169,180,63,23,251,102,47,177,242,236,63,79,85,85,85,85,85,213,63,70,5,118,84,121,66,139,63,226,39,174,26,246,146,223,63,226,39,174,26,246,146,223,63,93,32,45,11,66,135,175,63,250,45,77,223,139,7,222,63,250,45,77,223,139,7,222,63,163,228,207,200,220,79,192,63,224,6,204,205,8,236,219,63,224,6,204,205,8,236,219,63,135,192,1,130,92,235,202,63,222,143,127,223,40,69,217,63,222,143,127,223,40,69,217,63,194,104,17,164,93,3,224,63,125,46,221,183,68,249,207,63,125,46,221,183,68,249,207,63,117,80,214,77,24,171,229,63,40,95,83,100,207,169,196,63,40,95,83,100,207,169,196,63,98,51,129,191,3,25,235,63,85,50,251,1,241,155,179,63,85,50,251,1,241,155,179,63,196,60,136,229,165,114,238,63,190,51,124,167,161,213,152,63,190,51,124,167,161,213,152,63,224,41,247,4,23,61,237,63,69,177,70,216,71,23,166,63,69,177,70,216,71,23,166,63,24,148,55,106,7,68,129,63,24,148,55,106,7,68,129,63,60,130,59,235,103,248,214,63,146,96,185,236,187,62,228,63,60,130,59,235,103,248,214,63,146,96,185,236,187,62,228,63,33,112,177,142,184,202,192,63,33,112,177,142,184,202,192,63,35,181,96,124,125,215,210,63,102,73,35,30,147,97,226,63,35,181,96,124,125,215,210,63,102,73,35,30,147,97,226,63,207,235,66,60,58,180,169,63,207,235,66,60,58,180,169,63,141,215,42,119,23,205,212,63,133,101,166,160,48,254,227,63,141,215,42,119,23,205,212,63,133,101,166,160,48,254,227,63,138,236,213,98,244,250,176,63,138,236,213,98,244,250,176,63,220,227,141,248,122,165,199,63,111,201,129,181,66,247,231,63,220,227,141,248,122,165,199,63,111,201,129,181,66,247,231,63,54,30,181,250,117,145,136,63,54,30,181,250,117,145,136,63,203,105,67,150,136,1,204,63,20,81,132,2,88,157,232,63,203,105,67,150,136,1,204,63,20,81,132,2,88,157,232,63,38,16,236,128,236,109,142,63,38,16,236,128,236,109,142,63,0,44,185,244,231,230,185,63,63,42,101,79,107,73,236,63,0,44,185,244,231,230,185,63,63,42,101,79,107,73,236,63,161,155,133,183,158,8,162,191,161,155,133,183,158,8,162,191,39,186,0,29,49,96,149,63,244,41,72,49,196,58,240,63,39,186,0,29,49,96,149,63,244,41,72,49,196,58,240,63,79,85,85,85,85,85,213,63,72,199,207,237,91,71,149,63,189,129,145,32,197,85,223,63,189,129,145,32,197,85,223,63,135,253,18,190,240,70,183,63,88,160,61,232,33,23,221,63,88,160,61,232,33,23,221,63,146,180,138,164,193,60,201,63,219,82,221,150,207,176,217,63,219,82,221,150,207,176,217,63,67,51,243,88,21,74,223,63,104,102,134,83,245,90,208,63,104,102,134,83,245,90,208,63,157,69,103,71,193,170,228,63,215,116,49,113,125,170,198,63,215,116,49,113,125,170,198,63,252,165,244,123,194,244,232,63,15,104,45,16,246,44,188,63,15,104,45,16,246,44,188,63,173,44,182,17,56,114,236,63,221,154,78,114,63,110,172,63,221,154,78,114,63,110,172,63,226,46,247,16,52,49,239,63,216,36,26,225,125,217,137,63,216,36,26,225,125,217,137,63,226,198,162,49,177,149,109,63,226,198,162,49,177,149,109,63,138,190,59,227,11,84,217,63,244,125,48,93,100,56,227,63,138,190,59,227,11,84,217,63,244,125,48,93,100,56,227,63,102,242,141,228,52,54,193,63,102,242,141,228,52,54,193,63,154,90,142,246,31,181,211,63,26,86,149,203,226,215,225,63,154,90,142,246,31,181,211,63,26,86,149,203,226,215,225,63,12,236,31,194,224,149,141,63,12,236,31,194,224,149,141,63,163,139,192,53,170,238,208,63,126,58,23,98,83,18,231,63,163,139,192,53,170,238,208,63,126,58,23,98,83,18,231,63,200,111,99,148,173,7,168,63,200,111,99,148,173,7,168,63,240,109,3,10,79,242,214,63,12,18,184,161,93,6,227,63,240,109,3,10,79,242,214,63,12,18,184,161,93,6,227,63,94,71,189,74,52,112,103,63,94,71,189,74,52,112,103,63,168,209,217,119,8,51,196,63,88,206,190,173,205,219,234,63,168,209,217,119,8,51,196,63,88,206,190,173,205,219,234,63,153,19,171,187,125,167,204,63,153,19,171,187,125,167,204,63,97,139,142,19,132,54,179,63,174,105,163,14,80,111,230,63,97,139,142,19,132,54,179,63,174,105,163,14,80,111,230,63,193,231,122,234,66,189,161,63,193,231,122,234,66,189,161,63,233,81,131,251,222,58,194,63,10,125,119,18,116,85,234,63,233,81,131,251,222,58,194,63,10,125,119,18,116,85,234,63,97,208,139,88,90,207,132,63,97,208,139,88,90,207,132,63,13,14,174,133,65,196,176,63,253,14,232,101,58,148,237,63,13,14,174,133,65,196,176,63,253,14,232,101,58,148,237,63,79,85,85,85,85,85,213,63,225,230,131,167,18,37,95,191,250,224,169,68,201,7,224,63,250,224,169,68,201,7,224,63,139,206,126,1,206,35,152,63,149,9,244,143,225,62,223,63,149,9,244,143,225,62,223,63,249,141,160,39,83,248,182,63,74,238,11,155,245,32,221,63,74,238,11,155,245,32,221,63,162,21,29,237,197,22,201,63,142,186,184,132,78,186,217,63,142,186,184,132,78,186,217,63,107,10,167,176,230,62,223,63,193,122,172,167,140,96,208,63,193,122,172,167,140,96,208,63,80,222,23,154,106,180,228,63,97,67,208,203,42,151,198,63,97,67,208,203,42,151,198,63,50,119,200,195,67,85,233,63,19,35,222,240,240,170,186,63,19,35,222,240,240,170,186,63,229,183,247,161,132,154,236,63,214,64,66,240,218,43,171,63,214,64,66,240,218,43,171,63,148,55,213,116,30,86,237,63,96,67,86,89,12,79,165,63,96,67,86,89,12,79,165,63,136,77,149,230,61,66,239,63,247,78,86,45,67,184,135,63,247,78,86,45,67,184,135,63,25,106,151,39,168,244,168,63,25,106,151,39,168,244,168,63,217,27,190,239,29,18,214,63,114,123,167,133,166,103,227,63,217,27,190,239,29,18,214,63,114,123,167,133,166,103,227,63,149,223,9,152,212,220,121,63,149,223,9,152,212,220,121,63,105,28,123,137,149,46,216,63,12,94,18,146,251,180,227,63,105,28,123,137,149,46,216,63,12,94,18,146,251,180,227,63,144,28,136,163,72,49,193,63,144,28,136,163,72,49,193,63,114,110,151,106,234,159,211,63,163,65,210,161,184,227,225,63,114,110,151,106,234,159,211,63,163,65,210,161,184,227,225,63,184,171,135,76,88,158,140,63,184,171,135,76,88,158,140,63,149,167,13,67,249,236,207,63,108,119,10,78,72,146,231,63,149,167,13,67,249,236,207,63,108,119,10,78,72,146,231,63,20,174,22,31,48,87,179,63,20,174,22,31,48,87,179,63,210,146,180,37,60,60,203,63,137,5,176,242,10,198,230,63,210,146,180,37,60,60,203,63,137,5,176,242,10,198,230,63,43,167,219,130,82,35,129,191,43,167,219,130,82,35,129,191,109,218,190,110,195,207,194,63,248,183,91,110,156,144,235,63,109,218,190,110,195,207,194,63,248,183,91,110,156,144,235,63,119,22,210,99,151,83,155,63,119,22,210,99,151,83,155,63,15,110,236,162,9,161,193,63,201,83,38,220,32,189,234,63,15,110,236,162,9,161,193,63,201,83,38,220,32,189,234,63,0,103,83,235,10,154,133,63,0,103,83,235,10,154,133,63,12,163,252,8,125,144,174,63,60,232,194,3,144,192,237,63,12,163,252,8,125,144,174,63,60,232,194,3,144,192,237,63,0,0,0,0,0,0,0,64,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,118,28,199,113,28,199,225,63,29,199,113,28,199,113,236,63,118,28,199,113,28,199,225,63,110,182,231,247,64,67,214,63,201,36,12,132,95,222,228,63,201,36,12,132,95,222,228,63,110,182,231,247,64,67,214,63,223,188,154,120,86,52,226,63,92,65,174,37,218,161,222,63,92,65,174,37,218,161,222,63,141,3,110,195,158,83,206,63,141,3,110,195,158,83,206,63,28,76,121,181,183,22,215,63,28,76,121,181,183,22,215,63,231,69,149,73,77,242,221,63,231,69,149,73,77,242,221,63,250,219,226,1,246,237,197,63,250,219,226,1,246,237,197,63,166,47,60,224,215,191,218,63,61,43,227,78,231,111,216,63,61,43,227,78,231,111,216,63,67,134,61,113,177,230,209,63,67,134,61,113,177,230,209,63,87,109,130,159,246,146,192,63,87,109,130,159,246,146,192,63,0,0,0,0,0,0,0,0,30,51,144,69,167,121,226,191,30,51,144,69,167,121,226,63,68,114,63,244,126,201,232,191,0,0,0,0,0,0,0,0,68,114,63,244,126,201,232,63,137,57,246,188,109,142,235,191,247,61,221,217,63,194,213,191,247,61,221,217,63,194,213,63,137,57,246,188,109,142,235,63,0,0,0,0,0,0,0,0,5,183,153,253,35,59,225,191,5,183,153,253,35,59,225,63,105,58,83,224,108,255,236,191,105,58,83,224,108,255,236,63,94,201,85,150,160,40,229,191,94,201,85,150,160,40,229,63,197,117,54,208,18,139,206,191,197,117,54,208,18,139,206,63,30,160,128,78,202,214,237,191,30,160,128,78,202,214,237,63,0,0,0,0,0,0,0,0,98,253,25,241,93,249,217,191,98,253,25,241,93,249,217,63,214,161,227,155,159,186,231,191,214,161,227,155,159,186,231,63,41,98,124,142,23,95,238,191,41,98,124,142,23,95,238,63,156,164,0,0,63,72,2,0,168,0,0,0,0,0,0,0,156,164,0,0,14,79,2,0,128,98,0,0,0,0,0,0,116,164,0,0,27,79,2,0,156,164,0,0,40,79,2,0,128,98,0,0,0,0,0,0,116,164,0,0,58,79,2,0,156,164,0,0,71,79,2,0,128,98,0,0,0,0,0,0,156,164,0,0,83,79,2,0,152,98,0,0,0,0,0,0,156,164,0,0,116,79,2,0,176,98,0,0,0,0,0,0,156,164,0,0,186,79,2,0,176,98,0,0,0,0,0,0,156,164,0,0,150,79,2,0,208,98,0,0,0,0,0,0,156,164,0,0,220,79,2,0,192,98,0,0,0,0,0,0,156,164,0,0,1,80,2,0,192,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,164,0,0,152,101,2,0,152,99,0,0,0,0,0,0,156,164,0,0,215,101,2,0,152,99,0,0,0,0,0,0,156,164,0,0,239,101,2,0,144,99,0,0,0,0,0,0,156,164,0,0,8,102,2,0,144,99,0,0,0,0,0,0,156,164,0,0,32,102,2,0,16,107,0,0,0,0,0,0,116,164,0,0,58,102,2,0,156,164,0,0,76,102,2,0,104,99,0,0,0,0,0,0,156,164,0,0,118,102,2,0,104,99,0,0,0,0,0,0,116,164,0,0,160,102,2,0,116,164,0,0,209,102,2,0,196,164,0,0,2,103,2,0,0,0,0,0,1,0,0,0,112,99,0,0,3,244,255,255,196,164,0,0,49,103,2,0,0,0,0,0,1,0,0,0,128,99,0,0,3,244,255,255,196,164,0,0,96,103,2,0,0,0,0,0,1,0,0,0,112,99,0,0,3,244,255,255,196,164,0,0,143,103,2,0,0,0,0,0,1,0,0,0,128,99,0,0,3,244,255,255,156,164,0,0,190,103,2,0,40,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,164,0,0,58,104,2,0,8,107,0,0,0,0,0,0,196,164,0,0,80,104,2,0,0,0,0,0,2,0,0,0,24,100,0,0,2,0,0,0,56,106,0,0,2,0,0,0,196,164,0,0,98,104,2,0,0,0,0,0,2,0,0,0,24,100,0,0,2,0,0,0,64,106,0,0,2,0,0,0,196,164,0,0,132,104,2,0,0,0,0,0,2,0,0,0,24,100,0,0,2,0,0,0,64,106,0,0,2,0,0,0,196,164,0,0,167,104,2,0,0,0,0,0,2,0,0,0,24,100,0,0,2,0,0,0,64,106,0,0,2,0,0,0,156,164,0,0,202,104,2,0,136,100,0,0,0,0,0,0,156,164,0,0,236,104,2,0,136,100,0,0,0,0,0,0,196,164,0,0,15,105,2,0,0,0,0,0,2,0,0,0,24,100,0,0,2,0,0,0,64,106,0,0,2,0,0,0,156,164,0,0,49,105,2,0,24,100,0,0,0,0,0,0,156,164,0,0,71,105,2,0,24,100,0,0,0,0,0,0,156,164,0,0,91,105,2,0,24,100,0,0,0,0,0,0,196,164,0,0,111,105,2,0,0,0,0,0,2,0,0,0,24,100,0,0,2,0,0,0,56,106,0,0,2,0,0,0,156,164,0,0,129,105,2,0,24,100,0,0,0,0,0,0,156,164,0,0,150,105,2,0,24,100,0,0,0,0,0,0,196,164,0,0,171,105,2,0,0,0,0,0,2,0,0,0,24,100,0,0,2,0,0,0,72,106,0,0,0,0,0,0,196,164,0,0,239,105,2,0,0,0,0,0,2,0,0,0,24,100,0,0,2,0,0,0,96,106,0,0,0,0,0,0,196,164,0,0,51,106,2,0,0,0,0,0,2,0,0,0,24,100,0,0,2,0,0,0,120,106,0,0,0,0,0,0,196,164,0,0,119,106,2,0,0,0,0,0,2,0,0,0,24,100,0,0,2,0,0,0,144,106,0,0,0,0,0,0,196,164,0,0,187,106,2,0,0,0,0,0,3,0,0,0,24,100,0,0,2,0,0,0,168,106,0,0,2,0,0,0,176,106,0,0,0,8,0,0,196,164,0,0,0,107,2,0,0,0,0,0,3,0,0,0,24,100,0,0,2,0,0,0,168,106,0,0,2,0,0,0,184,106,0,0,0,8,0,0,196,164,0,0,69,107,2,0,0,0,0,0,2,0,0,0,24,100,0,0,2,0,0,0,192,106,0,0,0,8,0,0,196,164,0,0,138,107,2,0,0,0,0,0,2,0,0,0,24,100,0,0,2,0,0,0,192,106,0,0,0,8,0,0,196,164,0,0,207,107,2,0,0,0,0,0,2,0,0,0,24,100,0,0,2,0,0,0,200,106,0,0,2,0,0,0,196,164,0,0,235,107,2,0,0,0,0,0,2,0,0,0,24,100,0,0,2,0,0,0,200,106,0,0,2,0,0,0,196,164,0,0,7,108,2,0,0,0,0,0,2,0,0,0,24,100,0,0,2,0,0,0,200,106,0,0,2,0,0,0,196,164,0,0,35,108,2,0,0,0,0,0,2,0,0,0,24,100,0,0,2,0,0,0,200,106,0,0,2,0,0,0,196,164,0,0,63,108,2,0,0,0,0,0,2,0,0,0,24,100,0,0,2,0,0,0,208,106,0,0,0,0,0,0,196,164,0,0,133,108,2,0,0,0,0,0,2,0,0,0,24,100,0,0,2,0,0,0,216,106,0,0,0,0,0,0,196,164,0,0,203,108,2,0,0,0,0,0,2,0,0,0,24,100,0,0,2,0,0,0,224,106,0,0,0,0,0,0,196,164,0,0,17,109,2,0,0,0,0,0,2,0,0,0,24,100,0,0,2,0,0,0,232,106,0,0,0,0,0,0,196,164,0,0,87,109,2,0,0,0,0,0,2,0,0,0,24,100,0,0,2,0,0,0,240,106,0,0,2,0,0,0,196,164,0,0,108,109,2,0,0,0,0,0,2,0,0,0,24,100,0,0,2,0,0,0,240,106,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,164,0,0,200,112,2,0,116,164,0,0,177,112,2,0,196,164,0,0,155,112,2,0,0,0,0,0,1,0,0,0,0,107,0,0,0,0,0,0,196,164,0,0,108,112,2,0,0,0,0,0,1,0,0,0,0,107,0,0,0,0,0,0,196,164,0,0,86,112,2,0,0,0,0,0,1,0,0,0,248,106,0,0,0,0,0,0,196,164,0,0,39,112,2,0,0,0,0,0,1,0,0,0,248,106,0,0,0,0,0,0,116,164,0,0,20,112,2,0,116,164,0,0,242,111,2,0,116,164,0,0,208,111,2,0,116,164,0,0,187,111,2,0,116,164,0,0,166,111,2,0,116,164,0,0,141,111,2,0,116,164,0,0,116,111,2,0,116,164,0,0,91,111,2,0,116,164,0,0,66,111,2,0,116,164,0,0,42,111,2,0,116,164,0,0,61,112,2,0,116,164,0,0,130,112,2,0,116,164,0,0,221,112,2,0,156,164,0,0,246,112,2,0,136,98,0,0,0,0,0,0,116,164,0,0,13,113,2,0,156,164,0,0,38,113,2,0,32,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,8,0,0,0,1,0,0,0,2,0,0,0,200,255,255,255,200,255,255,255,8,0,0,0,3,0,0,0,4,0,0,0,76,107,0,0,132,107,0,0,152,107,0,0,96,107,0,0,56,0,0,0,0,0,0,0,208,99,0,0,5,0,0,0,6,0,0,0,200,255,255,255,200,255,255,255,208,99,0,0,7,0,0,0,8,0,0,0,0,0,0,0,24,0,0,0,9,0,0,0,10,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,1,0,0,0,3,0,0,0,2,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,176,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,2,0,0,0,0,0,0,0,136,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,3,0,0,0,2,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,0,0,0,0,64,1,0,0,19,0,0,0,20,0,0,0,21,0,0,0,15,0,0,0,16,0,0,0,4,0,0,0,17,0,0,0,3,0,0,0,4,0,0,0,1,0,0,0,5,0,0,0,5,0,0,0,1,0,0,0,6,0,0,0,2,0,0,0,3,0,0,0,6,0,0,0,1,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,1,0,0,0,13,0,0,0,4,0,0,0,5,0,0,0,7,0,0,0,6,0,0,0,8,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,2,0,0,0,17,0,0,0,0,0,0,0,48,1,0,0,22,0,0,0,23,0,0,0,24,0,0,0,25,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,9,0,0,0,7,0,0,0,21,0,0,0,22,0,0,0,1,0,0,0,23,0,0,0,0,0,0,0,8,1,0,0,26,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,24,0,0,0,25,0,0,0,26,0,0,0,10,0,0,0,8,0,0,0,27,0,0,0,28,0,0,0,2,0,0,0,29,0,0,0,0,0,0,0,232,0,0,0,30,0,0,0,31,0,0,0,32,0,0,0,33,0,0,0,30,0,0,0,31,0,0,0,32,0,0,0,11,0,0,0,9,0,0,0,33,0,0,0,34,0,0,0,3,0,0,0,35,0,0,0,0,0,0,0,216,0,0,0,19,0,0,0,34,0,0,0,35,0,0,0,36,0,0,0,37,0,0,0,12,0,0,0,38,0,0,0,18,0,0,0,19,0,0,0,10,0,0,0,13,0,0,0,20,0,0,0,2,0,0,0,21,0,0,0,11,0,0,0,12,0,0,0,14,0,0,0,3,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,25,0,0,0,26,0,0,0,27,0,0,0,2,0,0,0,28,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,15,0,0,0,16,0,0,0,29,0,0,0,30,0,0,0,31,0,0,0,4,0,0,0,32,0,0,0,0,0,0,0,192,0,0,0,19,0,0,0,36,0,0,0,37,0,0,0,39,0,0,0,40,0,0,0,17,0,0,0,41,0,0,0,33,0,0,0,34,0,0,0,16,0,0,0,18,0,0,0,35,0,0,0,3,0,0,0,36,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,5,0,0,0,37,0,0,0,38,0,0,0,39,0,0,0,40,0,0,0,41,0,0,0,42,0,0,0,3,0,0,0,43,0,0,0,19,0,0,0,20,0,0,0,20,0,0,0,21,0,0,0,21,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,6,0,0,0,47,0,0,0,0,0,0,0,24,1,0,0,38,0,0,0,39,0,0,0,40,0,0,0,41,0,0,0,7,0,0,0,1,0,0,0,22,0,0,0,48,0,0,0,49,0,0,0,42,0,0,0,4,0,0,0,4,0,0,0,5,0,0,0,43,0,0,0,5,0,0,0,50,0,0,0,1,0,0,0,6,0,0,0,2,0,0,0,23,0,0,0,0,0,0,0,80,1,0,0,42,0,0,0,43,0,0,0,44,0,0,0,45,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,22,0,0,0,47,0,0,0,51,0,0,0,52,0,0,0,53,0,0,0,24,0,0,0,1,0,0,0,23,0,0,0,24,0,0,0,54,0,0,0,25,0,0,0,25,0,0,0,1,0,0,0,55,0,0,0,56,0,0,0,26,0,0,0,7,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,8,0,0,0,9,0,0,0,6,0,0,0,1,0,0,0,57,0,0,0,58,0,0,0,27,0,0,0,1,0,0,0,4,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,48,0,0,0,49,0,0,0,50,0,0,0,26,0,0,0,27,0,0,0,0,0,0,0,112,1,0,0,46,0,0,0,47,0,0,0,48,0,0,0,49,0,0,0,51,0,0,0,52,0,0,0,53,0,0,0,28,0,0,0,50,0,0,0,28,0,0,0,6,0,0,0,8,0,0,0,0,0,0,0,144,1,0,0,51,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,3,0,0,0,29,0,0,0,30,0,0,0,31,0,0,0,54,0,0,0,55,0,0,0,1,0,0,0,59,0,0,0,5,0,0,0,0,0,0,0,168,1,0,0,55,0,0,0,56,0,0,0,57,0,0,0,58,0,0,0,56,0,0,0,57,0,0,0,58,0,0,0,29,0,0,0,0,0,0,0,184,1,0,0,59,0,0,0,60,0,0,0,61,0,0,0,62,0,0,0,59,0,0,0,60,0,0,0,61,0,0,0,30,0,0,0,0,0,0,0,200,1,0,0,63,0,0,0,64,0,0,0,65,0,0,0,66,0,0,0,62,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,32,0,0,0,33,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,67,0,0,0,60,0,0,0,34,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,252,255,255,255,200,1,0,0,1,0,0,0,2,0,0,0,35,0,0,0,36,0,0,0,1,0,0,0,0,0,0,0,240,1,0,0,68,0,0,0,69,0,0,0,65,0,0,0,66,0,0,0,62,0,0,0,63,0,0,0,64,0,0,0,31,0,0,0,1,0,0,0,32,0,0,0,33,0,0,0,32,0,0,0,33,0,0,0,9,0,0,0,70,0,0,0,67,0,0,0,60,0,0,0,34,0,0,0,9,0,0,0,61,0,0,0,71,0,0,0,72,0,0,0,73,0,0,0,2,0,0,0,34,0,0,0,35,0,0,0,37,0,0,0,36,0,0,0,65,0,0,0,10,0,0,0,38,0,0,0,66,0,0,0,67,0,0,0,10,0,0,0,4,0,0,0,37,0,0,0,38,0,0,0,2,0,0,0,2,0,0,0,7,0,0,0,8,0,0,0,68,0,0,0,9,0,0,0,69,0,0,0,39,0,0,0,70,0,0,0,3,0,0,0,62,0,0,0,63,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,3,0,0,0,40,0,0,0,41,0,0,0,7,0,0,0,42,0,0,0,43,0,0,0,71,0,0,0,72,0,0,0,10,0,0,0,73,0,0,0,74,0,0,0,11,0,0,0,39,0,0,0,40,0,0,0,41,0,0,0,42,0,0,0,43,0,0,0,5,0,0,0,6,0,0,0,1,0,0,0,7,0,0,0,1,0,0,0,8,0,0,0,75,0,0,0,12,0,0,0,2,0,0,0,1,0,0,0,1,0,0,0,13,0,0,0,3,0,0,0,14,0,0,0,44,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,45,0,0,0,46,0,0,0,47,0,0,0,47,0,0,0,48,0,0,0,49,0,0,0,4,0,0,0,50,0,0,0,51,0,0,0,52,0,0,0,76,0,0,0,77,0,0,0,64,0,0,0,78,0,0,0,53,0,0,0,74,0,0,0,75,0,0,0,48,0,0,0,4,0,0,0,65,0,0,0,79,0,0,0,80,0,0,0,1,0,0,0,76,0,0,0,77,0,0,0,78,0,0,0,15,0,0,0,81,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,5,0,0,0,79,0,0,0,80,0,0,0,5,0,0,0,11,0,0,0,49,0,0,0,82,0,0,0,15,0,0,0,54,0,0,0,3,0,0,0,50,0,0,0,12,0,0,0,1,0,0,0,2,0,0,0,9,0,0,0,20,0,0,0,21,0,0,0,55,0,0,0,51,0,0,0,252,255,255,255,240,1,0,0,52,0,0,0,2,0,0,0,35,0,0,0,36,0,0,0,56,0,0,0,0,0,0,0,40,2,0,0,81,0,0,0,82,0,0,0,65,0,0,0,66,0,0,0,62,0,0,0,83,0,0,0,84,0,0,0,53,0,0,0,1,0,0,0,32,0,0,0,33,0,0,0,54,0,0,0,55,0,0,0,13,0,0,0,83,0,0,0,84,0,0,0,66,0,0,0,57,0,0,0,22,0,0,0,67,0,0,0,85,0,0,0,86,0,0,0,87,0,0,0,4,0,0,0,56,0,0,0,57,0,0,0,58,0,0,0,58,0,0,0,85,0,0,0,23,0,0,0,59,0,0,0,86,0,0,0,87,0,0,0,14,0,0,0,10,0,0,0,59,0,0,0,60,0,0,0,3,0,0,0,6,0,0,0,16,0,0,0,17,0,0,0,88,0,0,0,18,0,0,0,89,0,0,0,60,0,0,0,90,0,0,0,7,0,0,0,68,0,0,0,69,0,0,0,24,0,0,0,25,0,0,0,26,0,0,0,27,0,0,0,4,0,0,0,61,0,0,0,62,0,0,0,8,0,0,0,63,0,0,0,64,0,0,0,91,0,0,0,92,0,0,0,19,0,0,0,93,0,0,0,94,0,0,0,20,0,0,0,61,0,0,0,62,0,0,0,63,0,0,0,64,0,0,0,65,0,0,0,11,0,0,0,12,0,0,0,2,0,0,0,13,0,0,0,2,0,0,0,14,0,0,0,95,0,0,0,21,0,0,0,6,0,0,0,2,0,0,0,2,0,0,0,22,0,0,0,7,0,0,0,23,0,0,0,65,0,0,0,66,0,0,0,67,0,0,0,68,0,0,0,66,0,0,0,67,0,0,0,69,0,0,0,68,0,0,0,69,0,0,0,70,0,0,0,8,0,0,0,71,0,0,0,72,0,0,0,73,0,0,0,96,0,0,0,97,0,0,0,70,0,0,0,98,0,0,0,74,0,0,0,88,0,0,0,89,0,0,0,70,0,0,0,8,0,0,0,71,0,0,0,99,0,0,0,100,0,0,0,2,0,0,0,90,0,0,0,91,0,0,0,92,0,0,0,28,0,0,0,101,0,0,0,29,0,0,0,30,0,0,0,31,0,0,0,32,0,0,0,9,0,0,0,93,0,0,0,94,0,0,0,9,0,0,0,15,0,0,0,71,0,0,0,102,0,0,0,24,0,0,0,75,0,0,0,5,0,0,0,72,0,0,0,16,0,0,0,3,0,0,0,4,0,0,0,15,0,0,0,33,0,0,0,34,0,0,0,76,0,0,0,73,0,0,0,252,255,255,255,40,2,0,0,74,0,0,0,2,0,0,0,35,0,0,0,36,0,0,0,77,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,88,2,0,0,95,0,0,0,96,0,0,0,65,0,0,0,66,0,0,0,62,0,0,0,103,0,0,0,104,0,0,0,75,0,0,0,1,0,0,0,32,0,0,0,33,0,0,0,76,0,0,0,77,0,0,0,17,0,0,0,97,0,0,0,67,0,0,0,60,0,0,0,34],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+20480);allocate([35,0,0,0,72,0,0,0,98,0,0,0,99,0,0,0,100,0,0,0,6,0,0,0,78,0,0,0,79,0,0,0,78,0,0,0,80,0,0,0,105,0,0,0,36,0,0,0,79,0,0,0,106,0,0,0,107,0,0,0,18,0,0,0,16,0,0,0,81,0,0,0,82,0,0,0,4,0,0,0,10,0,0,0,25,0,0,0,26,0,0,0,108,0,0,0,27,0,0,0,109,0,0,0,80,0,0,0,110,0,0,0,11,0,0,0,73,0,0,0,74,0,0,0,37,0,0,0,38,0,0,0,39,0,0,0,40,0,0,0,5,0,0,0,81,0,0,0,82,0,0,0,9,0,0,0,83,0,0,0,84,0,0,0,111,0,0,0,112,0,0,0,28,0,0,0,113,0,0,0,114,0,0,0,29,0,0,0,83,0,0,0,84,0,0,0,85,0,0,0,86,0,0,0,87,0,0,0,17,0,0,0,18,0,0,0,3,0,0,0,19,0,0,0,3,0,0,0,20,0,0,0,115,0,0,0,30,0,0,0,10,0,0,0,3,0,0,0,3,0,0,0,31,0,0,0,11,0,0,0,32,0,0,0,85,0,0,0,88,0,0,0,89,0,0,0,90,0,0,0,86,0,0,0,87,0,0,0,91,0,0,0,88,0,0,0,89,0,0,0,90,0,0,0,12,0,0,0,91,0,0,0,92,0,0,0,93,0,0,0,116,0,0,0,117,0,0,0,75,0,0,0,118,0,0,0,94,0,0,0,101,0,0,0,102,0,0,0,92,0,0,0,12,0,0,0,76,0,0,0,119,0,0,0,120,0,0,0,3,0,0,0,103,0,0,0,104,0,0,0,105,0,0,0,41,0,0,0,121,0,0,0,42,0,0,0,43,0,0,0,44,0,0,0,45,0,0,0,13,0,0,0,106,0,0,0,107,0,0,0,13,0,0,0,19,0,0,0,93,0,0,0,122,0,0,0,33,0,0,0,95,0,0,0,7,0,0,0,94,0,0,0,20,0,0,0,5,0,0,0,6,0,0,0,21,0,0,0,46,0,0,0,47,0,0,0,96,0,0,0,95,0,0,0,252,255,255,255,88,2,0,0,96,0,0,0,2,0,0,0,35,0,0,0,36,0,0,0,97,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,0,0,0,0,3,0,0,0,1,0,0,0,1,0,0,0,3,0,0,0,2,0,0,0,0,0,0,0,2,0,0,0,3,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,0,0,0,0,136,2,0,0,108,0,0,0,109,0,0,0,65,0,0,0,66,0,0,0,62,0,0,0,123,0,0,0,124,0,0,0,97,0,0,0,1,0,0,0,32,0,0,0,33,0,0,0,98,0,0,0,99,0,0,0,21,0,0,0,110,0,0,0,67,0,0,0,60,0,0,0,34,0,0,0,48,0,0,0,77,0,0,0,111,0,0,0,112,0,0,0,113,0,0,0,8,0,0,0,100,0,0,0,101,0,0,0,98,0,0,0,102,0,0,0,125,0,0,0,49,0,0,0,99,0,0,0,126,0,0,0,127,0,0,0,22,0,0,0,22,0,0,0,103,0,0,0,104,0,0,0,5,0,0,0,14,0,0,0,34,0,0,0,35,0,0,0,128,0,0,0,36,0,0,0,129,0,0,0,100,0,0,0,130,0,0,0,15,0,0,0,78,0,0,0,79,0,0,0,50,0,0,0,51,0,0,0,52,0,0,0,53,0,0,0,6,0,0,0,101,0,0,0,102,0,0,0,10,0,0,0,103,0,0,0,104,0,0,0,131,0,0,0,132,0,0,0,37,0,0,0,133,0,0,0,134,0,0,0,38,0,0,0,105,0,0,0,106,0,0,0,107,0,0,0,108,0,0,0,109,0,0,0,23,0,0,0,24,0,0,0,4,0,0,0,25,0,0,0,4,0,0,0,26,0,0,0,135,0,0,0,39,0,0,0,14,0,0,0,4,0,0,0,4,0,0,0,40,0,0,0,15,0,0,0,41,0,0,0,105,0,0,0,110,0,0,0,111,0,0,0,112,0,0,0,106,0,0,0,107,0,0,0,113,0,0,0,108,0,0,0,109,0,0,0,110,0,0,0,16,0,0,0,111,0,0,0,112,0,0,0,113,0,0,0,136,0,0,0,137,0,0,0,80,0,0,0,138,0,0,0,114,0,0,0,114,0,0,0,115,0,0,0,114,0,0,0,16,0,0,0,81,0,0,0,139,0,0,0,140,0,0,0,4,0,0,0,116,0,0,0,117,0,0,0,118,0,0,0,54,0,0,0,141,0,0,0,55,0,0,0,56,0,0,0,57,0,0,0,58,0,0,0,17,0,0,0,119,0,0,0,120,0,0,0,17,0,0,0,23,0,0,0,115,0,0,0,142,0,0,0,42,0,0,0,115,0,0,0,9,0,0,0,116,0,0,0,24,0,0,0,7,0,0,0,8,0,0,0,27,0,0,0,59,0,0,0,60,0,0,0,116,0,0,0,117,0,0,0,252,255,255,255,136,2,0,0,118,0,0,0,2,0,0,0,35,0,0,0,36,0,0,0,117,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,3,0,0,0,5,0,0,0,4,0,0,0,5,0,0,0,0,0,0,0,3,0,0,0,1,0,0,0,4,0,0,0,2,0,0,0,5,0,0,0,0,0,0,0,184,2,0,0,121,0,0,0,122,0,0,0,123,0,0,0,124,0,0,0,143,0,0,0,144,0,0,0,145,0,0,0,119,0,0,0,146,0,0,0,82,0,0,0,83,0,0,0,84,0,0,0,118,0,0,0,2,0,0,0,120,0,0,0,121,0,0,0,85,0,0,0,119,0,0,0,122,0,0,0,6,0,0,0,86,0,0,0,87,0,0,0,120,0,0,0,10,0,0,0,61,0,0,0,62,0,0,0,63,0,0,0,64,0,0,0,65,0,0,0,11,0,0,0,12,0,0,0,11,0,0,0,2,0,0,0,88,0,0,0,89,0,0,0,121,0,0,0,18,0,0,0,6,0,0,0,43,0,0,0,44,0,0,0,45,0,0,0,147,0,0,0,148,0,0,0,149,0,0,0,123,0,0,0,27,0,0,0,0,0,0,0,96,1,0,0,125,0,0,0,126,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,124,0,0,0,27,0,0,0,0,0,0,0,216,2,0,0,127,0,0,0,128,0,0,0,129,0,0,0,130,0,0,0,150,0,0,0,151,0,0,0,152,0,0,0,125,0,0,0,153,0,0,0,90,0,0,0,91,0,0,0,92,0,0,0,122,0,0,0,3,0,0,0,126,0,0,0,127,0,0,0,93,0,0,0,123,0,0,0,128,0,0,0,7,0,0,0,94,0,0,0,95,0,0,0,124,0,0,0,13,0,0,0,66,0,0,0,67,0,0,0,68,0,0,0,69,0,0,0,70,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,3,0,0,0,96,0,0,0,97,0,0,0,125,0,0,0,19,0,0,0,7,0,0,0,46,0,0,0,47,0,0,0,48,0,0,0,154,0,0,0,155,0,0,0,156,0,0,0,129,0,0,0,27,0,0,0,0,0,0,0,248,2,0,0,131,0,0,0,132,0,0,0,133,0,0,0,134,0,0,0,157,0,0,0,158,0,0,0,159,0,0,0,130,0,0,0,160,0,0,0,98,0,0,0,99,0,0,0,100,0,0,0,126,0,0,0,4,0,0,0,131,0,0,0,132,0,0,0,101,0,0,0,127,0,0,0,133,0,0,0,8,0,0,0,102,0,0,0,103,0,0,0,128,0,0,0,16,0,0,0,71,0,0,0,72,0,0,0,73,0,0,0,74,0,0,0,75,0,0,0,17,0,0,0,18,0,0,0,13,0,0,0,4,0,0,0,104,0,0,0,105,0,0,0,129,0,0,0,20,0,0,0,8,0,0,0,49,0,0,0,50,0,0,0,51,0,0,0,161,0,0,0,162,0,0,0,163,0,0,0,134,0,0,0,27,0,0,0,0,0,0,0,8,3,0,0,135,0,0,0,136,0,0,0,137,0,0,0,138,0,0,0,164,0,0,0,165,0,0,0,166,0,0,0,135,0,0,0,167,0,0,0,106,0,0,0,107,0,0,0,108,0,0,0,130,0,0,0,5,0,0,0,136,0,0,0,137,0,0,0,109,0,0,0,131,0,0,0,138,0,0,0,9,0,0,0,110,0,0,0,111,0,0,0,132,0,0,0,19,0,0,0,76,0,0,0,77,0,0,0,78,0,0,0,79,0,0,0,80,0,0,0,20,0,0,0,21,0,0,0,14,0,0,0,5,0,0,0,112,0,0,0,113,0,0,0,133,0,0,0,21,0,0,0,9,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,168,0,0,0,169,0,0,0,170,0,0,0,139,0,0,0,27,0,0,0,0,0,0,0,24,3,0,0,139,0,0,0,140,0,0,0,141,0,0,0,142,0,0,0,171,0,0,0,172,0,0,0,173,0,0,0,140,0,0,0,174,0,0,0,114,0,0,0,115,0,0,0,116,0,0,0,134,0,0,0,6,0,0,0,141,0,0,0,142,0,0,0,117,0,0,0,135,0,0,0,143,0,0,0,10,0,0,0,118,0,0,0,119,0,0,0,136,0,0,0,22,0,0,0,81,0,0,0,82,0,0,0,83,0,0,0,84,0,0,0,85,0,0,0,23,0,0,0,24,0,0,0,15,0,0,0,6,0,0,0,120,0,0,0,121,0,0,0,137,0,0,0,22,0,0,0,10,0,0,0,55,0,0,0,56,0,0,0,57,0,0,0,175,0,0,0,176,0,0,0,177,0,0,0,144,0,0,0,27,0,0,0,0,0,0,0,40,3,0,0,143,0,0,0,144,0,0,0,145,0,0,0,146,0,0,0,178,0,0,0,179,0,0,0,180,0,0,0,145,0,0,0,181,0,0,0,122,0,0,0,123,0,0,0,124,0,0,0,138,0,0,0,7,0,0,0,146,0,0,0,147,0,0,0,125,0,0,0,139,0,0,0,148,0,0,0,11,0,0,0,126,0,0,0,127,0,0,0,140,0,0,0,25,0,0,0,86,0,0,0,87,0,0,0,88,0,0,0,89,0,0,0,90,0,0,0,26,0,0,0,27,0,0,0,16,0,0,0,7,0,0,0,128,0,0,0,129,0,0,0,141,0,0,0,23,0,0,0,11,0,0,0,58,0,0,0,59,0,0,0,60,0,0,0,182,0,0,0,183,0,0,0,184,0,0,0,124,0,0,0,149,0,0,0,0,0,0,0,56,3,0,0,147,0,0,0,148,0,0,0,149,0,0,0,150,0,0,0,185,0,0,0,186,0,0,0,187,0,0,0,150,0,0,0,188,0,0,0,130,0,0,0,131,0,0,0,132,0,0,0,142,0,0,0,8,0,0,0,151,0,0,0,152,0,0,0,133,0,0,0,143,0,0,0,153,0,0,0,12,0,0,0,134,0,0,0,135,0,0,0,144,0,0,0,28,0,0,0,91,0,0,0,92,0,0,0,93,0,0,0,94,0,0,0,95,0,0,0,29,0,0,0,30,0,0,0,17,0,0,0,8,0,0,0,136,0,0,0,137,0,0,0,145,0,0,0,24,0,0,0,12,0,0,0,61,0,0,0,62,0,0,0,63,0,0,0,189,0,0,0,190,0,0,0,191,0,0,0,154,0,0,0,27,0,0,0,0,0,0,0,72,3,0,0,151,0,0,0,152,0,0,0,153,0,0,0,154,0,0,0,192,0,0,0,193,0,0,0,194,0,0,0,155,0,0,0,64,0,0,0,138,0,0,0,96,0,0,0,97,0,0,0,98,0,0,0,99,0,0,0,100,0,0,0,101,0,0,0,102,0,0,0,18,0,0,0,19,0,0,0,146,0,0,0,147,0,0,0,148,0,0,0,20,0,0,0,21,0,0,0,149,0,0,0,195,0,0,0,155,0,0,0,1,0,0,0,150,0,0,0,10,0,0,0,151,0,0,0,11,0,0,0,12,0,0,0,152,0,0,0,156,0,0,0,7,0,0,0,153,0,0,0,154,0,0,0,155,0,0,0,252,255,255,255,72,3,0,0,157,0,0,0,8,0,0,0,156,0,0,0,157,0,0,0,158,0,0,0,0,0,0,0,120,3,0,0,156,0,0,0,157,0,0,0,158,0,0,0,159,0,0,0,196,0,0,0,197,0,0,0,198,0,0,0,158,0,0,0,65,0,0,0,139,0,0,0,103,0,0,0,104,0,0,0,105,0,0,0,106,0,0,0,107,0,0,0,108,0,0,0,109,0,0,0,22,0,0,0,23,0,0,0,159,0,0,0,160,0,0,0,161,0,0,0,24,0,0,0,25,0,0,0,162,0,0,0,199,0,0,0,160,0,0,0,2,0,0,0,163,0,0,0,13,0,0,0,164,0,0,0,14,0,0,0,15,0,0,0,165,0,0,0,159,0,0,0,9,0,0,0,166,0,0,0,167,0,0,0,168,0,0,0,252,255,255,255,120,3,0,0,160,0,0,0,10,0,0,0,169,0,0,0,170,0,0,0,171,0,0,0,0,0,0,0,136,3,0,0,161,0,0,0,162,0,0,0,163,0,0,0,164,0,0,0,200,0,0,0,201,0,0,0,202,0,0,0,161,0,0,0,165,0,0,0,172,0,0,0,66,0,0,0,25,0,0,0,0,0,0,0,152,3,0,0,166,0,0,0,167,0,0,0,168,0,0,0,169,0,0,0,203,0,0,0,204,0,0,0,205,0,0,0,162,0,0,0,170,0,0,0,173,0,0,0,67,0,0,0,26,0,0,0,0,0,0,0,168,3,0,0,171,0,0,0,172,0,0,0,173,0,0,0,174,0,0,0,206,0,0,0,207,0,0,0,208,0,0,0,163,0,0,0,16,0,0,0,140,0,0,0,174,0,0,0,141,0,0,0,142,0,0,0,143,0,0,0,209,0,0,0,68,0,0,0,210,0,0,0,26,0,0,0,9,0,0,0,27,0,0,0,175,0,0,0,17,0,0,0,3,0,0,0,11,0,0,0,175,0,0,0,176,0,0,0,177,0,0,0,164,0,0,0,252,255,255,255,168,3,0,0,165,0,0,0,12,0,0,0,178,0,0,0,179,0,0,0,180,0,0,0,0,0,0,0,216,3,0,0,176,0,0,0,177,0,0,0,178,0,0,0,179,0,0,0,211,0,0,0,212,0,0,0,213,0,0,0,166,0,0,0,18,0,0,0,144,0,0,0,181,0,0,0,145,0,0,0,146,0,0,0,147,0,0,0,214,0,0,0,69,0,0,0,215,0,0,0,28,0,0,0,10,0,0,0,29,0,0,0,180,0,0,0,19,0,0,0,4,0,0,0,167,0,0,0,13,0,0,0,182,0,0,0,183,0,0,0,184,0,0,0,252,255,255,255,216,3,0,0,168,0,0,0,14,0,0,0,185,0,0,0,186,0,0,0,187,0,0,0,0,0,0,0,232,3,0,0,181,0,0,0,182,0,0,0,183,0,0,0,184,0,0,0,216,0,0,0,217,0,0,0,218,0,0,0,169,0,0,0,20,0,0,0,148,0,0,0,188,0,0,0,149,0,0,0,150,0,0,0,151,0,0,0,219,0,0,0,70,0,0,0,220,0,0,0,30,0,0,0,11,0,0,0,31,0,0,0,185,0,0,0,21,0,0,0,5,0,0,0,15,0,0,0,189,0,0,0,190,0,0,0,191,0,0,0,170,0,0,0,252,255,255,255,232,3,0,0,171,0,0,0,16,0,0,0,192,0,0,0,193,0,0,0,194,0,0,0,0,0,0,0,248,3,0,0,186,0,0,0,187,0,0,0,188,0,0,0,221,0,0,0,222,0,0,0,172,0,0,0,223,0,0,0,152,0,0,0,153,0,0,0,195,0,0,0,173,0,0,0,154,0,0,0,32,0,0,0,155,0,0,0,196,0,0,0,197,0,0,0,174,0,0,0,27,0,0,0,156,0,0,0,157,0,0,0,158,0,0,0,159,0,0,0,160,0,0,0,161,0,0,0,31,0,0,0,162,0,0,0,198,0,0,0,199,0,0,0,175,0,0,0,200,0,0,0,176,0,0,0,163,0,0,0,164,0,0,0,165,0,0,0,28,0,0,0,166,0,0,0,0,0,0,0,8,4,0,0,189,0,0,0,190,0,0,0,191,0,0,0,224,0,0,0,225,0,0,0,177,0,0,0,226,0,0,0,167,0,0,0,168,0,0,0,201,0,0,0,178,0,0,0,169,0,0,0,33,0,0,0,170,0,0,0,202,0,0,0,203,0,0,0,179,0,0,0,29,0,0,0,171,0,0,0,172,0,0,0,173,0,0,0,174,0,0,0,175,0,0,0,176,0,0,0,32,0,0,0,177,0,0,0,204,0,0,0,205,0,0,0,180,0,0,0,206,0,0,0,181,0,0,0,178,0,0,0,179,0,0,0,180,0,0,0,30,0,0,0,181,0,0,0,0,0,0,0,24,4,0,0,192,0,0,0,193,0,0,0,194,0,0,0,227,0,0,0,228,0,0,0,182,0,0,0,229,0,0,0,182,0,0,0,183,0,0,0,207,0,0,0,183,0,0,0,184,0,0,0,34,0,0,0,185,0,0,0,208,0,0,0,209,0,0,0,184,0,0,0,31,0,0,0,186,0,0,0,187,0,0,0,188,0,0,0,189,0,0,0,190,0,0,0,191,0,0,0,33,0,0,0,192,0,0,0,210,0,0,0,211,0,0,0,185,0,0,0,212,0,0,0,186,0,0,0,193,0,0,0,194,0,0,0,195,0,0,0,32,0,0,0,196,0,0,0,0,0,0,0,40,4,0,0,195,0,0,0,196,0,0,0,197,0,0,0,230,0,0,0,231,0,0,0,187,0,0,0,232,0,0,0,197,0,0,0,198,0,0,0,213,0,0,0,188,0,0,0,199,0,0,0,35,0,0,0,200,0,0,0,214,0,0,0,215,0,0,0,189,0,0,0,33,0,0,0,201,0,0,0,202,0,0,0,203,0,0,0,204,0,0,0,205,0,0,0,206,0,0,0,34,0,0,0,207,0,0,0,216,0,0,0,217,0,0,0,190,0,0,0,218,0,0,0,191,0,0,0,208,0,0,0,209,0,0,0,210,0,0,0,34,0,0,0,211,0,0,0,0,0,0,0,56,4,0,0,198,0,0,0,199,0,0,0,200,0,0,0,233,0,0,0,234,0,0,0,192,0,0,0,235,0,0,0,212,0,0,0,213,0,0,0,219,0,0,0,193,0,0,0,214,0,0,0,36,0,0,0,215,0,0,0,220,0,0,0,221,0,0,0,194,0,0,0,35,0,0,0,216,0,0,0,217,0,0,0,218,0,0,0,219,0,0,0,220,0,0,0,221,0,0,0,35,0,0,0,222,0,0,0,222,0,0,0,223,0,0,0,195,0,0,0,224,0,0,0,196,0,0,0,223,0,0,0,224,0,0,0,225,0,0,0,36,0,0,0,226,0,0,0,0,0,0,0,72,4,0,0,201,0,0,0,202,0,0,0,203,0,0,0,236,0,0,0,237,0,0,0,197,0,0,0,238,0,0,0,227,0,0,0,228,0,0,0,225,0,0,0,198,0,0,0,229,0,0,0,37,0,0,0,230,0,0,0,226,0,0,0,227,0,0,0,199,0,0,0,37,0,0,0,231,0,0,0,232,0,0,0,233,0,0,0,234,0,0,0,235,0,0,0,236,0,0,0,36,0,0,0,237,0,0,0,228,0,0,0,229,0,0,0,200,0,0,0,230,0,0,0,201,0,0,0,238,0,0,0,239,0,0,0,240,0,0,0,38,0,0,0,241,0,0,0,0,0,0,0,88,4,0,0,204,0,0,0,205,0,0,0,206,0,0,0,239,0,0,0,240,0,0,0,202,0,0,0,241,0,0,0,242,0,0,0,243,0,0,0,231,0,0,0,203,0,0,0,244,0,0,0,38,0,0,0,245,0,0,0,232,0,0,0,233,0,0,0,204,0,0,0,39,0,0,0,246,0,0,0,247,0,0,0,248,0,0,0,249,0,0,0,250,0,0,0,251,0,0,0,37,0,0,0,252,0,0,0,234,0,0,0,235,0,0,0,205,0,0,0,236,0,0,0,206,0,0,0,253,0,0,0,254,0,0,0,255,0,0,0,40,0,0,0,0,1,0,0,0,0,0,0,104,4,0,0,207,0,0,0,208,0,0,0,209,0,0,0,242,0,0,0,243,0,0,0,207,0,0,0,244,0,0,0,1,1,0,0,2,1,0,0,237,0,0,0,208,0,0,0,3,1,0,0,39,0,0,0,4,1,0,0,238,0,0,0,239,0,0,0,209,0,0,0,41,0,0,0,5,1,0,0,6,1,0,0,7,1,0,0,8,1,0,0,9,1,0,0,10,1,0,0,38,0,0,0,11,1,0,0,240,0,0,0,241,0,0,0,210,0,0,0,242,0,0,0,211,0,0,0,12,1,0,0,13,1,0,0,14,1,0,0,42,0,0,0,15,1,0,0,0,0,0,0,120,4,0,0,210,0,0,0,211,0,0,0,212,0,0,0,245,0,0,0,246,0,0,0,212,0,0,0,247,0,0,0,16,1,0,0,17,1,0,0,243,0,0,0,213,0,0,0,18,1,0,0,40,0,0,0,19,1,0,0,244,0,0,0,245,0,0,0,214,0,0,0,43,0,0,0,20,1,0,0,21,1,0,0,22,1,0,0,23,1,0,0,24,1,0,0,25,1,0,0,39,0,0,0,26,1,0,0,246,0,0,0,247,0,0,0,215,0,0,0,248,0,0,0,216,0,0,0,27,1,0,0,28,1,0,0,29,1,0,0,44,0,0,0,30,1,0,0,0,0,0,0,136,4,0,0,213,0,0,0,214,0,0,0,215,0,0,0,248,0,0,0,249,0,0,0,217,0,0,0,250,0,0,0,31,1,0,0,32,1,0,0,249,0,0,0,218,0,0,0,33,1,0,0,41,0,0,0,34,1,0,0,250,0,0,0,251,0,0,0,219,0,0,0,45,0,0,0,35,1,0,0,36,1,0,0,37,1,0,0,38,1,0,0,39,1,0,0,40,1,0,0,40,0,0,0,41,1,0,0,252,0,0,0,253,0,0,0,220,0,0,0,254,0,0,0,221,0,0,0,42,1,0,0,43,1,0,0,44,1,0,0,46,0,0,0,45,1,0,0,0,0,0,0,152,4,0,0,216,0,0,0,217,0,0,0,218,0,0,0,251,0,0,0,252,0,0,0,222,0,0,0,253,0,0,0,46,1,0,0,47,1,0,0,255,0,0,0,223,0,0,0,48,1,0,0,42,0,0,0,49,1,0,0,0,1,0,0,1,1,0,0,224,0,0,0,47,0,0,0,50,1,0,0,51,1,0,0,52,1,0,0,53,1,0,0,54,1,0,0,55,1,0,0,41,0,0,0,56,1,0,0,2,1,0,0,3,1,0,0,225,0,0,0,4,1,0,0,226,0,0,0,57,1,0,0,58,1,0,0,59,1,0,0,48,0,0,0,60,1,0,0,0,0,0,0,168,4,0,0,219,0,0,0,220,0,0,0,221,0,0,0,254,0,0,0,255,0,0,0,227,0,0,0,0,1,0,0,61,1,0,0,62,1,0,0,5,1,0,0,228,0,0,0,63,1,0,0,43,0,0,0,64,1,0,0,6,1,0,0,7,1,0,0,229,0,0,0,49,0,0,0,65,1,0,0,66,1,0,0,67,1,0,0,68,1,0,0,69,1,0,0,70,1,0,0,42,0,0,0,71,1,0,0,8,1,0,0,9,1,0,0,230,0,0,0,10,1,0,0,231,0,0,0,72,1,0,0,73,1,0,0,74,1,0,0,50,0,0,0,75,1,0,0,0,0,0,0,184,4,0,0,222,0,0,0,223,0,0,0,224,0,0,0,1,1,0,0,2,1,0,0,232,0,0,0,3,1,0,0,76,1,0,0,77,1,0,0,11,1,0,0,233,0,0,0,78,1,0,0,44,0,0,0,79,1,0,0,12,1,0,0,13,1,0,0,234,0,0,0,51,0,0,0,80,1,0,0,81,1,0,0,82,1,0,0,83,1,0,0,84,1,0,0,85,1,0,0,43,0,0,0,86,1,0,0,14,1,0,0,15,1,0,0,235,0,0,0,16,1,0,0,236,0,0,0,87,1,0,0,88,1,0,0,89,1,0,0,52,0,0,0,90,1,0,0,0,0,0,0,200,4,0,0,225,0,0,0,226,0,0,0,227,0,0,0,228,0,0,0,4,1,0,0,5,1,0,0,6,1,0,0,237,0,0,0,255,255,255,255,0,0,0,0,216,4,0,0,229,0,0,0,230,0,0,0,7,1,0,0,11,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,0,0,0,0,232,4,0,0,231,0,0,0,232,0,0,0,233,0,0,0,234,0,0,0,8,1,0,0,9,1,0,0,10,1,0,0,238,0,0,0,17,1,0,0,11,1,0,0,12,1,0,0,110,0,0,0,13,1,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,12,0,0,0,15,0,0,0,16,0,0,0,18,0,0,0,20,0,0,0,24,0,0,0,25,0,0,0,30,0,0,0,36,0,0,0,40,0,0,0,45,0,0,0,48,0,0,0,50,0,0,0,60,0,0,0,72,0,0,0,75,0,0,0,80,0,0,0,90,0,0,0,100,0,0,0,120,0,0,0,144,0,0,0,150,0,0,0,180,0,0,0,200,0,0,0,225,0,0,0,240,0,0,0,44,1,0,0,104,1,0,0,144,1,0,0,194,1,0,0,88,2,0,0,208,2,0,0,132,3,0,0,176,4,0,0,8,7,0,0,16,14,0,0,83,1,0,0,64,0,0,0,160,3,0,0,0,0,0,0,248,4,0,0,235,0,0,0,236,0,0,0,237,0,0,0,238,0,0,0,14,1,0,0,15,1,0,0,16,1,0,0,239,0,0,0,17,1,0,0,91,1,0,0,92,1,0,0,93,1,0,0,18,1,0,0,12,0,0,0,240,0,0,0,241,0,0,0,94,1,0,0,19,1,0,0,242,0,0,0,13,0,0,0,95,1,0,0,96,1,0,0,20,1,0,0,44,0,0,0,111,0,0,0,112,0,0,0,113,0,0,0,114,0,0,0,115,0,0,0,45,0,0,0,46,0,0,0,45,0,0,0,9,0,0,0,97,1,0,0,98,1,0,0,21,1,0,0,25,0,0,0,13,0,0,0,71,0,0,0,72,0,0,0,73,0,0,0,18,1,0,0,19,1,0,0,20,1,0,0,243,0,0,0,27,0,0,0,187,2,0,0,190,2,0,0,191,2,0,0,123,0,0,0,125,0,0,0,127,0,0,0,141,0,0,0,142,0,0,0,129,0,0,0,130,0,0,0,148,0,0,0,126,0,0,0,123,0,0,0,125,0,0,0,126,0,0,0,83,1,0,0,152,2,0,0,153,2,0,0,162,2,0,0,165,2,0,0,159,2,0,0,192,2,0,0,193,2,0,0,159,2,0,0,0,0,0,0,8,5,0,0,239,0,0,0,240,0,0,0,241,0,0,0,242,0,0,0,21,1,0,0,22,1,0,0,23,1,0,0,244,0,0,0,22,0,0,0,99,1,0,0,22,1,0,0,100,1,0,0,101,1,0,0,102,1,0,0,24,1,0,0,74,0,0,0,25,1,0,0,46,0,0,0,13,0,0,0,47,0,0,0,243,0,0,0,23,0,0,0,6,0,0,0,17,0,0,0,23,1,0,0,24,1,0,0,25,1,0,0,245,0,0,0,252,255,255,255,8,5,0,0,246,0,0,0,18,0,0,0,26,1,0,0,27,1,0,0,28,1,0,0,0,0,0,0,96,5,0,0,244,0,0,0,245,0,0,0,246,0,0,0,247,0,0,0,26,1,0,0,27,1,0,0,28,1,0,0,247,0,0,0,29,1,0,0,30,1,0,0,28,0,0,0,252,255,255,255,96,5,0,0,248,0,0,0,249,0,0,0,31,1,0,0,32,1,0,0,29,0,0,0,0,0,0,0,24,5,0,0,250,0,0,0,251,0,0,0,252,0,0,0,253,0,0,0,33,1,0,0,34,1,0,0,35,1,0,0,248,0,0,0,36,1,0,0,37,1,0,0,30,0,0,0,252,255,255,255,24,5,0,0,254,0,0,0,255,0,0,0,38,1,0,0,39,1,0,0,31,0,0,0,0,0,0,0,64,5,0,0,0,1,0,0,1,1,0,0,2,1,0,0,3,1,0,0,40,1,0,0,41,1,0,0,42,1,0,0,249,0,0,0,43,1,0,0,44,1,0,0,32,0,0,0,252,255,255,255,64,5,0,0,4,1,0,0,5,1,0,0,45,1,0,0,46,1,0,0,33,0,0,0,0,0,0,0,128,5,0,0,6,1,0,0,7,1,0,0,8,1,0,0,9,1,0,0,47,1,0,0,48,1,0,0,49,1,0,0,250,0,0,0,50,1,0,0,51,1,0,0,34,0,0,0,252,255,255,255,128,5,0,0,10,1,0,0,11,1,0,0,52,1,0,0,53,1,0,0,35,0,0,0,0,0,0,0,160,5,0,0,12,1,0,0,13,1,0,0,14,1,0,0,15,1,0,0,54,1,0,0,55,1,0,0,56,1,0,0,251,0,0,0,57,1,0,0,58,1,0,0,36,0,0,0,252,255,255,255,160,5,0,0,16,1,0,0,17,1,0,0,59,1,0,0,60,1,0,0,37,0,0,0,0,0,0,0,192,5,0,0,18,1,0,0,19,1,0,0,20,1,0,0,21,1,0,0,61,1,0,0,62,1,0,0,63,1,0,0,252,0,0,0,64,1,0,0,103,1,0,0,104,1,0,0,105,1,0,0,29,1,0,0,14,0,0,0,253,0,0,0,254,0,0,0,106,1,0,0,30,1,0,0,255,0,0,0,14,0,0,0,107,1,0,0,108,1,0,0,31,1,0,0,47,0,0,0,116,0,0,0,117,0,0,0,118,0,0,0,119,0,0,0,120,0,0,0,48,0,0,0,49,0,0,0,48,0,0,0,10,0,0,0,109,1,0,0,110,1,0,0,32,1,0,0,26,0,0,0,14,0,0,0,75,0,0,0,76,0,0,0,77,0,0,0,65,1,0,0,66,1,0,0,67,1,0,0,0,1,0,0,27,0,0,0,0,0,0,0,224,5,0,0,22,1,0,0,23,1,0,0,24,1,0,0,25,1,0,0,68,1,0,0,69,1,0,0,70,1,0,0,1,1,0,0,71,1,0,0,111,1,0,0,112,1,0,0,113,1,0,0,33,1,0,0,15,0,0,0,2,1,0,0,3,1,0,0,114,1,0,0,34,1,0,0,4,1,0,0,15,0,0,0,115,1,0,0,116,1,0,0,35,1,0,0,50,0,0,0,121,0,0,0,122,0,0,0,123,0,0,0,124,0,0,0,125,0,0,0,51,0,0,0,52,0,0,0,49,0,0,0,11,0,0,0,117,1,0,0,118,1,0,0,36,1,0,0,27,0,0,0,15,0,0,0,78,0,0,0,79,0,0,0,80,0,0,0,72,1,0,0,73,1,0,0,74,1,0,0,5,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,26,1,0,0,27,1,0,0,37,1,0,0,38,1,0,0,39,1,0,0,28,0,0,0,53,0,0,0,54,0,0,0,119,1,0,0,81,0,0,0,82,0,0,0,83,0,0,0,84,0,0,0,40,1,0,0,55,0,0,0,41,1,0,0,120,1,0,0,0,0,0,0,24,6,0,0,26,1,0,0,28,1,0,0,42,1,0,0,43,1,0,0,44,1,0,0,29,0,0,0,56,0,0,0,57,0,0,0,121,1,0,0,85,0,0,0,86,0,0,0,87,0,0,0,88,0,0,0,45,1,0,0,58,0,0,0,46,1,0,0,122,1,0,0,0,0,0,0,40,6,0,0,26,1,0,0,29,1,0,0,47,1,0,0,48,1,0,0,49,1,0,0,30,0,0,0,59,0,0,0,60,0,0,0,123,1,0,0,89,0,0,0,90,0,0,0,91,0,0,0,92,0,0,0,50,1,0,0,61,0,0,0,51,1,0,0,124,1,0,0,0,0,0,0,56,6,0,0,26,1,0,0,30,1,0,0,52,1,0,0,53,1,0,0,54,1,0,0,31,0,0,0,62,0,0,0,63,0,0,0,125,1,0,0,93,0,0,0,94,0,0,0,95,0,0,0,96,0,0,0,55,1,0,0,64,0,0,0,56,1,0,0,126,1,0,0,0,0,0,0,72,6,0,0,26,1,0,0,31,1,0,0,57,1,0,0,58,1,0,0,59,1,0,0,32,0,0,0,65,0,0,0,66,0,0,0,127,1,0,0,97,0,0,0,98,0,0,0,99,0,0,0,100,0,0,0,60,1,0,0,67,0,0,0,61,1,0,0,128,1,0,0,0,0,0,0,88,6,0,0,26,1,0,0,32,1,0,0,62,1,0,0,63,1,0,0,64,1,0,0,33,0,0,0,68,0,0,0,69,0,0,0,129,1,0,0,101,0,0,0,102,0,0,0,103,0,0,0,104,0,0,0,65,1,0,0,70,0,0,0,66,1,0,0,130,1,0,0,0,0,0,0,104,6,0,0,26,1,0,0,33,1,0,0,67,1,0,0,68,1,0,0,69,1,0,0,34,0,0,0,71,0,0,0,72,0,0,0,131,1,0,0,105,0,0,0,106,0,0,0,107,0,0,0,108,0,0,0,70,1,0,0,73,0,0,0,71,1,0,0,132,1,0,0,0,0,0,0,120,6,0,0,26,1,0,0,34,1,0,0,72,1,0,0,73,1,0,0,74,1,0,0,35,0,0,0,74,0,0,0,75,0,0,0,133,1,0,0,109,0,0,0,110,0,0,0,111,0,0,0,112,0,0,0,75,1,0,0,76,0,0,0,76,1,0,0,134,1,0,0,0,0,0,0,136,6,0,0,26,1,0,0,35,1,0,0,77,1,0,0,78,1,0,0,79,1,0,0,36,0,0,0,77,0,0,0,78,0,0,0,135,1,0,0,113,0,0,0,114,0,0,0,115,0,0,0,116,0,0,0,80,1,0,0,79,0,0,0,81,1,0,0,136,1,0,0,0,0,0,0,152,6,0,0,26,1,0,0,36,1,0,0,82,1,0,0,83,1,0,0,84,1,0,0,37,0,0,0,80,0,0,0,81,0,0,0,137,1,0,0,117,0,0,0,118,0,0,0,119,0,0,0,120,0,0,0,85,1,0,0,82,0,0,0,86,1,0,0,138,1,0,0,18,0,0,0,19,0,0,0,20,0,0,0,0,0,0,0,168,6,0,0,26,1,0,0,37,1,0,0,87,1,0,0,88,1,0,0,89,1,0,0,38,0,0,0,83,0,0,0,84,0,0,0,139,1,0,0,121,0,0,0,122,0,0,0,123,0,0,0,124,0,0,0,90,1,0,0,85,0,0,0,91,1,0,0,140,1,0,0,0,0,0,0,184,6,0,0,26,1,0,0,38,1,0,0,92,1,0,0,93,1,0,0,94,1,0,0,39,0,0,0,86,0,0,0,87,0,0,0,141,1,0,0,125,0,0,0,126,0,0,0,127,0,0,0,128,0,0,0,95,1,0,0,88,0,0,0,96,1,0,0,142,1,0,0,0,0,0,0,200,6,0,0,26,1,0,0,39,1,0,0,97,1,0,0,98,1,0,0,99,1,0,0,40,0,0,0,89,0,0,0,90,0,0,0,143,1,0,0,129,0,0,0,130,0,0,0,131,0,0,0,132,0,0,0,100,1,0,0,91,0,0,0,101,1,0,0,144,1,0,0,0,0,0,0,216,6,0,0,26,1,0,0,40,1,0,0,102,1,0,0,103,1,0,0,104,1,0,0,41,0,0,0,92,0,0,0,93,0,0,0,145,1,0,0,133,0,0,0,134,0,0,0,135,0,0,0,136,0,0,0,105,1,0,0,94,0,0,0,106,1,0,0,146,1,0,0,0,0,0,0,232,6,0,0,26,1,0,0,41,1,0,0,107,1,0,0,108,1,0,0,109,1,0,0,42,0,0,0,95,0,0,0,96,0,0,0,147,1,0,0,137,0,0,0,138,0,0,0,139,0,0,0,140,0,0,0,110,1,0,0,97,0,0,0,111,1,0,0,148,1,0,0,0,0,0,0,248,6,0,0,26,1,0,0,42,1,0,0,112,1,0,0,113,1,0,0,114,1,0,0,43,0,0,0,98,0,0,0,99,0,0,0,149,1,0,0,141,0,0,0,142,0,0,0,143,0,0,0,144,0,0,0,115,1,0,0,100,0,0,0,116,1,0,0,150,1,0,0,0,0,0,0,8,7,0,0,26,1,0,0,43,1,0,0,117,1,0,0,118,1,0,0,119,1,0,0,44,0,0,0,101,0,0,0,102,0,0,0,151,1,0,0,145,0,0,0,146,0,0,0,147,0,0,0,148,0,0,0,120,1,0,0,103,0,0,0,121,1,0,0,152,1,0,0,0,0,0,0,24,7,0,0,26,1,0,0,44,1,0,0,122,1,0,0,123,1,0,0,124,1,0,0,45,0,0,0,104,0,0,0,105,0,0,0,153,1,0,0,149,0,0,0,150,0,0,0,151,0,0,0,152,0,0,0,125,1,0,0,106,0,0,0,126,1,0,0,154,1,0,0,0,0,0,0,40,7,0,0,26,1,0,0,45,1,0,0,127,1,0,0,128,1,0,0,129,1,0,0,46,0,0,0,107,0,0,0,108,0,0,0,155,1,0,0,153,0,0,0,154,0,0,0,155,0,0,0,156,0,0,0,130,1,0,0,109,0,0,0,131,1,0,0,156,1,0,0,0,0,0,0,56,7,0,0,26,1,0,0,46,1,0,0,132,1,0,0,133,1,0,0,134,1,0,0,47,0,0,0,110,0,0,0,111,0,0,0,157,1,0,0,157,0,0,0,158,0,0,0,159,0,0,0,160,0,0,0,135,1,0,0,112,0,0,0,136,1,0,0,158,1,0,0,0,0,0,0,72,7,0,0,26,1,0,0,47,1,0,0,137,1,0,0,138,1,0,0,139,1,0,0,48,0,0,0,113,0,0,0,114,0,0,0,159,1,0,0,161,0,0,0,162,0,0,0,163,0,0,0,164,0,0,0,140,1,0,0,115,0,0,0,141,1,0,0,160,1,0,0,0,0,0,0,88,7,0,0,26,1,0,0,48,1,0,0,142,1,0,0,143,1,0,0,144,1,0,0,49,0,0,0,116,0,0,0,117,0,0,0,161,1,0,0,165,0,0,0,166,0,0,0,167,0,0,0,168,0,0,0,145,1,0,0,118,0,0,0,146,1,0,0,162,1,0,0,0,0,0,0,104,7,0,0,26,1,0,0,49,1,0,0,147,1,0,0,148,1,0,0,149,1,0,0,50,0,0,0,119,0,0,0,120,0,0,0,163,1,0,0,169,0,0,0,170,0,0,0,171,0,0,0,172,0,0,0,150,1,0,0,121,0,0,0,151,1,0,0,164,1,0,0,0,0,0,0,120,7,0,0,26,1,0,0,50,1,0,0,152,1,0,0,153,1,0,0,154,1,0,0,51,0,0,0,122,0,0,0,123,0,0,0,165,1,0,0,173,0,0,0,174,0,0,0,175,0,0,0,176,0,0,0,155,1,0,0,124,0,0,0,156,1,0,0,166,1,0,0,0,0,0,0,136,7,0,0,26,1,0,0,51,1,0,0,157,1,0,0,158,1,0,0,159,1,0,0,52,0,0,0,125,0,0,0,126,0,0,0,167,1,0,0,177,0,0,0,178,0,0,0,179,0,0,0,180,0,0,0,160,1,0,0,127,0,0,0,161,1,0,0,168,1,0,0,0,0,0,0,152,7,0,0,26,1,0,0,52,1,0,0,162,1,0,0,163,1,0,0,164,1,0,0,53,0,0,0,128,0,0,0,129,0,0,0,169,1,0,0,181,0,0,0,182,0,0,0,183,0,0,0,184,0,0,0,165,1,0,0,130,0,0,0,166,1,0,0,170,1,0,0,0,0,0,0,168,7,0,0,26,1,0,0,53,1,0,0,167,1,0,0,168,1,0,0,169,1,0,0,54,0,0,0,131,0,0,0,132,0,0,0,171,1,0,0,185,0,0,0,186,0,0,0,187,0,0,0,188,0,0,0,170,1,0,0,133,0,0,0,171,1,0,0,172,1,0,0,0,0,0,0,184,7,0,0,26,1,0,0,54,1,0,0,172,1,0,0,173,1,0,0,174,1,0,0,55,0,0,0,134,0,0,0,135,0,0,0,173,1,0,0,189,0,0,0,190,0,0,0,191,0,0,0,192,0,0,0,175,1,0,0,136,0,0,0,176,1,0,0,174,1,0,0,0,0,0,0,200,7,0,0,26,1,0,0,55,1,0,0,177,1,0,0,178,1,0,0,179,1,0,0,56,0,0,0,137,0,0,0,138,0,0,0,175,1,0,0,193,0,0,0,194,0,0,0,195,0,0,0,196,0,0,0,180,1,0,0,139,0,0,0,181,1,0,0,176,1,0,0,0,0,0,0,216,7,0,0,26,1,0,0,56,1,0,0,182,1,0,0,183,1,0,0,184,1,0,0,57,0,0,0,140,0,0,0,141,0,0,0,177,1,0,0,197,0,0,0,198,0,0,0,199,0,0,0,200,0,0,0,185,1,0,0,142,0,0,0,186,1,0,0,178,1,0,0,0,0,0,0,232,7,0,0,26,1,0,0,57,1,0,0,187,1,0,0,188,1,0,0,189,1,0,0,58,0,0,0,143,0,0,0,144,0,0,0,179,1,0,0,201,0,0,0,202,0,0,0,203,0,0,0,204,0,0,0,190,1,0,0,145,0,0,0,191,1,0,0,180,1,0,0,0,0,0,0,248,7,0,0,26,1,0,0,58,1,0,0,192,1,0,0,193,1,0,0,194,1,0,0,59,0,0,0,146,0,0,0,147,0,0,0,181,1,0,0,205,0,0,0,206,0,0,0,207,0,0,0,208,0,0,0,195,1,0,0,148,0,0,0,196,1,0,0,182,1,0,0,0,0,0,0,8,8,0,0,26,1,0,0,59,1,0,0,197,1,0,0,198,1,0,0,199,1,0,0,60,0,0,0,149,0,0,0,150,0,0,0,183,1,0,0,209,0,0,0,210,0,0,0,211,0,0,0,212,0,0,0,200,1,0,0,151,0,0,0,201,1,0,0,184,1,0,0,0,0,0,0,24,8,0,0,26,1,0,0,60,1,0,0,202,1,0,0,203,1,0,0,204,1,0,0,61,0,0,0,152,0,0,0,153,0,0,0,185,1,0,0,213,0,0,0,214,0,0,0,215,0,0,0,216,0,0,0,205,1,0,0,154,0,0,0,206,1,0,0,186,1,0,0,0,0,0,0,56,8,0,0,26,1,0,0,61,1,0,0,207,1,0,0,208,1,0,0,209,1,0,0,62,0,0,0,155,0,0,0,156,0,0,0,187,1,0,0,217,0,0,0,218,0,0,0,219,0,0,0,220,0,0,0,210,1,0,0,157,0,0,0,211,1,0,0,188,1,0,0,0,0,0,0,72,8,0,0,62,1,0,0,63,1,0,0,75,1,0,0,76,1,0,0,64,1,0,0,77,1,0,0,189,1,0,0,190,1,0,0,212,1,0,0,191,1,0,0,0,0,0,0,96,8,0,0,65,1,0,0,66,1,0,0,78,1,0,0,79,1,0,0,67,1,0,0,80,1,0,0,192,1,0,0,193,1,0,0,213,1,0,0,194,1,0,0,0,0,0,0,112,8,0,0,68,1,0,0,69,1,0,0,81,1,0,0,82,1,0,0,70,1,0,0,83,1,0,0,195,1,0,0,196,1,0,0,214,1,0,0,197,1,0,0,0,0,0,0,128,8,0,0,71,1,0,0,72,1,0,0,84,1,0,0,85,1,0,0,73,1,0,0,86,1,0,0,198,1,0,0,199,1,0,0,215,1,0,0,200,1,0,0,0,0,0,0,144,8,0,0,74,1,0,0,75,1,0,0,76,1,0,0,77,1,0,0,87,1,0,0,88,1,0,0,89,1,0,0,6,1,0,0,221,0,0,0,201,1,0,0,126,0,0,0,127,0,0,0,128,0,0,0,129,0,0,0,130,0,0,0,131,0,0,0,132,0,0,0,50,0,0,0,51,0,0,0,216,1,0,0,217,1,0,0,218,1,0,0,52],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+30720);allocate([53,0,0,0,219,1,0,0,90,1,0,0,78,1,0,0,7,0,0,0,220,1,0,0,24,0,0,0,221,1,0,0,25,0,0,0,26,0,0,0,222,1,0,0,7,1,0,0,19,0,0,0,223,1,0,0,224,1,0,0,225,1,0,0,252,255,255,255,144,8,0,0,8,1,0,0,20,0,0,0,226,1,0,0,227,1,0,0,228,1,0,0,0,0,0,0,160,8,0,0,79,1,0,0,80,1,0,0,81,1,0,0,82,1,0,0,91,1,0,0,92,1,0,0,93,1,0,0,9,1,0,0,27,0,0,0,202,1,0,0,229,1,0,0,203,1,0,0,204,1,0,0,205,1,0,0,94,1,0,0,222,0,0,0,95,1,0,0,54,0,0,0,16,0,0,0,55,0,0,0,83,1,0,0,28,0,0,0,8,0,0,0,10,1,0,0,21,0,0,0,230,1,0,0,231,1,0,0,232,1,0,0,252,255,255,255,160,8,0,0,11,1,0,0,22,0,0,0,233,1,0,0,234,1,0,0,235,1,0,0,0,0,0,0,176,8,0,0,84,1,0,0,85,1,0,0,86,1,0,0,87,1,0,0,96,1,0,0,97,1,0,0,98,1,0,0,12,1,0,0,29,0,0,0,206,1,0,0,236,1,0,0,207,1,0,0,208,1,0,0,209,1,0,0,99,1,0,0,223,0,0,0,100,1,0,0,56,0,0,0,17,0,0,0,57,0,0,0,88,1,0,0,30,0,0,0,9,0,0,0,23,0,0,0,237,1,0,0,238,1,0,0,239,1,0,0,13,1,0,0,252,255,255,255,176,8,0,0,14,1,0,0,24,0,0,0,240,1,0,0,241,1,0,0,242,1,0,0,128,97,0,0,136,97,0,0,152,97,0,0,176,97,0,0,208,97,0,0,248,97,0,0,40,98,0,0,160,96,0,0,168,96,0,0,184,96,0,0,208,96,0,0,240,96,0,0,24,97,0,0,72,97,0,0,1,0,0,0,3,0,0,0,4,0,0,0,6,0,0,0,7,0,0,0,12,0,0,0,13,0,0,0,16,0,0,0,19,0,0,0,25,0,0,0,27,0,0,0,33,0,0,0,37,0,0,0,42,0,0,0,48,0,0,0,52,0,0,0,61,0,0,0,70,0,0,0,73,0,0,0,79,0,0,0,0,77,0,0,8,77,0,0,32,77,0,0,64,77,0,0,112,77,0,0,168,77,0,0,8,78,0,0,112,78,0,0,240,78,0,0,136,79,0,0,80,80,0,0,40,81,0,0,48,82,0,0,88,83,0,0,168,84,0,0,40,86,0,0,200,87,0,0,176,89,0,0,224,91,0,0,40,94,0,0,96,57,0,0,104,57,0,0,128,57,0,0,160,57,0,0,208,57,0,0,8,58,0,0,104,58,0,0,208,58,0,0,80,59,0,0,232,59,0,0,176,60,0,0,136,61,0,0,144,62,0,0,184,63,0,0,8,65,0,0,136,66,0,0,40,68,0,0,16,70,0,0,64,72,0,0,136,74,0,0,192,37,0,0,200,37,0,0,224,37,0,0,0,38,0,0,48,38,0,0,104,38,0,0,200,38,0,0,48,39,0,0,176,39,0,0,72,40,0,0,16,41,0,0,232,41,0,0,240,42,0,0,24,44,0,0,104,45,0,0,232,46,0,0,136,48,0,0,112,50,0,0,160,52,0,0,232,54,0,0,32,18,0,0,40,18,0,0,64,18,0,0,96,18,0,0,144,18,0,0,200,18,0,0,40,19,0,0,144,19,0,0,16,20,0,0,168,20,0,0,112,21,0,0,72,22,0,0,80,23,0,0,120,24,0,0,200,25,0,0,72,27,0,0,232,28,0,0,208,30,0,0,0,33,0,0,72,35,0,0,1,0,0,0,4,0,0,0,5,0,0,0,11,0,0,0,15,0,0,0,24,0,0,0,64,16,0,0,72,16,0,0,104,16,0,0,144,16,0,0,232,16,0,0,96,17,0,0,96,14,0,0,104,14,0,0,136,14,0,0,176,14,0,0,8,15,0,0,128,15,0,0,128,12,0,0,136,12,0,0,168,12,0,0,208,12,0,0,40,13,0,0,160,13,0,0,160,10,0,0,168,10,0,0,200,10,0,0,240,10,0,0,72,11,0,0,192,11,0,0,192,8,0,0,200,8,0,0,232,8,0,0,16,9,0,0,104,9,0,0,224,9,0,0,126,2,0,0,127,2,0,0,125,2,0,0,0,0,0,0,0,0,0,0,96,98,0,0,125,0,0,0,89,1,0,0,90,1,0,0,91,1,0,0,101,1,0,0,102,1,0,0,103,1,0,0,15,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,112,98,0,0,92,1,0,0,93,1,0,0,104,1,0,0,0,0,0,0,0,0,0,0,136,98,0,0,94,1,0,0,95,1,0,0,105,1,0,0,0,0,0,0,160,98,0,0,96,1,0,0,97,1,0,0,106,1,0,0,0,0,0,0,192,98,0,0,98,1,0,0,99,1,0,0,100,1,0,0,101,1,0,0,16,0,0,0,18,0,0,0,158,0,0,0,16,1,0,0,0,0,0,0,240,98,0,0,98,1,0,0,102,1,0,0,100,1,0,0,101,1,0,0,16,0,0,0,19,0,0,0,159,0,0,0,17,1,0,0,0,0,0,0,0,99,0,0,98,1,0,0,103,1,0,0,100,1,0,0,101,1,0,0,16,0,0,0,20,0,0,0,160,0,0,0,18,1,0,0,0,0,0,0,0,0,0,0,223,82,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,192,3,0,0,192,4,0,0,192,5,0,0,192,6,0,0,192,7,0,0,192,8,0,0,192,9,0,0,192,10,0,0,192,11,0,0,192,12,0,0,192,13,0,0,192,14,0,0,192,15,0,0,192,16,0,0,192,17,0,0,192,18,0,0,192,19,0,0,192,20,0,0,192,21,0,0,192,22,0,0,192,23,0,0,192,24,0,0,192,25,0,0,192,26,0,0,192,27,0,0,192,28,0,0,192,29,0,0,192,30,0,0,192,31,0,0,192,0,0,0,179,1,0,0,195,2,0,0,195,3,0,0,195,4,0,0,195,5,0,0,195,6,0,0,195,7,0,0,195,8,0,0,195,9,0,0,195,10,0,0,195,11,0,0,195,12,0,0,195,13,0,0,211,14,0,0,195,15,0,0,195,0,0,12,187,1,0,12,195,2,0,12,195,3,0,12,195,4,0,12,211,164,166,0,0,20,167,0,0,132,167,0,0,132,167,0,0,226,207,0,0,244,175,0,0,244,169,0,0,0,0,0,0,10,0,0,0,100,0,0,0,232,3,0,0,16,39,0,0,160,134,1,0,64,66,15,0,128,150,152,0,0,225,245,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,107,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,19,0,0,0,129,99,2,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,107,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,19,0,0,0,121,95,2,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,107,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,0,0,0,19,0,0,0,113,91,2,0,0,4,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,25,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,30,0,0,0,31,0,0,0,32,0,0,0,33,0,0,0,34,0,0,0,35,0,0,0,36,0,0,0,37,0,0,0,38,0,0,0,39,0,0,0,40,0,0,0,41,0,0,0,42,0,0,0,43,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,47,0,0,0,48,0,0,0,49,0,0,0,50,0,0,0,51,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,55,0,0,0,56,0,0,0,57,0,0,0,58,0,0,0,59,0,0,0,60,0,0,0,61,0,0,0,62,0,0,0,63,0,0,0,64,0,0,0,65,0,0,0,66,0,0,0,67,0,0,0,68,0,0,0,69,0,0,0,70,0,0,0,71,0,0,0,72,0,0,0,73,0,0,0,74,0,0,0,75,0,0,0,76,0,0,0,77,0,0,0,78,0,0,0,79,0,0,0,80,0,0,0,81,0,0,0,82,0,0,0,83,0,0,0,84,0,0,0,85,0,0,0,86,0,0,0,87,0,0,0,88,0,0,0,89,0,0,0,90,0,0,0,91,0,0,0,92,0,0,0,93,0,0,0,94,0,0,0,95,0,0,0,96,0,0,0,65,0,0,0,66,0,0,0,67,0,0,0,68,0,0,0,69,0,0,0,70,0,0,0,71,0,0,0,72,0,0,0,73,0,0,0,74,0,0,0,75,0,0,0,76,0,0,0,77,0,0,0,78,0,0,0,79,0,0,0,80,0,0,0,81,0,0,0,82,0,0,0,83,0,0,0,84,0,0,0,85,0,0,0,86,0,0,0,87,0,0,0,88,0,0,0,89,0,0,0,90,0,0,0,123,0,0,0,124,0,0,0,125,0,0,0,126,0,0,0,127],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+40960);allocate([1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,25,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,30,0,0,0,31,0,0,0,32,0,0,0,33,0,0,0,34,0,0,0,35,0,0,0,36,0,0,0,37,0,0,0,38,0,0,0,39,0,0,0,40,0,0,0,41,0,0,0,42,0,0,0,43,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,47,0,0,0,48,0,0,0,49,0,0,0,50,0,0,0,51,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,55,0,0,0,56,0,0,0,57,0,0,0,58,0,0,0,59,0,0,0,60,0,0,0,61,0,0,0,62,0,0,0,63,0,0,0,64,0,0,0,97,0,0,0,98,0,0,0,99,0,0,0,100,0,0,0,101,0,0,0,102,0,0,0,103,0,0,0,104,0,0,0,105,0,0,0,106,0,0,0,107,0,0,0,108,0,0,0,109,0,0,0,110,0,0,0,111,0,0,0,112,0,0,0,113,0,0,0,114,0,0,0,115,0,0,0,116,0,0,0,117,0,0,0,118,0,0,0,119,0,0,0,120,0,0,0,121,0,0,0,122,0,0,0,91,0,0,0,92,0,0,0,93,0,0,0,94,0,0,0,95,0,0,0,96,0,0,0,97,0,0,0,98,0,0,0,99,0,0,0,100,0,0,0,101,0,0,0,102,0,0,0,103,0,0,0,104,0,0,0,105,0,0,0,106,0,0,0,107,0,0,0,108,0,0,0,109,0,0,0,110,0,0,0,111,0,0,0,112,0,0,0,113,0,0,0,114,0,0,0,115,0,0,0,116,0,0,0,117,0,0,0,118,0,0,0,119,0,0,0,120,0,0,0,121,0,0,0,122,0,0,0,123,0,0,0,124,0,0,0,125,0,0,0,126,0,0,0,127],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+45040);allocate([24,99,0,0,104,1,0,0,105,1,0,0,210,1,0,0,22,0,0,0,21,0,0,0,19,1,0,0,108,1,0,0,109,1,0,0,23,0,0,0,110,1,0,0,111,1,0,0,224,0,0,0,24,0,0,0,225,0,0,0,0,0,0,0,40,99,0,0,104,1,0,0,106,1,0,0,211,1,0,0,22,0,0,0,21,0,0,0,19,1,0,0,112,1,0,0,109,1,0,0,23,0,0,0,113,1,0,0,114,1,0,0,226,0,0,0,25,0,0,0,227,0,0,0,0,0,0,0,56,99,0,0,107,1,0,0,108,1,0,0,212,1,0,0,1,0,0,0,22,0,0,0,20,1,0,0,115,1,0,0,2,0,0,0,2,0,0,0,116,1,0,0,4,0,0,0,228,0,0,0,26,0,0,0,229,0,0,0,0,0,0,0,72,99,0,0,107,1,0,0,109,1,0,0,213,1,0,0,1,0,0,0,22,0,0,0,20,1,0,0,1,0,0,0,2,0,0,0,2,0,0,0,117,1,0,0,118,1,0,0,230,0,0,0,3,0,0,0,231,0,0,0,0,0,0,0,144,99,0,0,107,1,0,0,110,1,0,0,1,0,0,0,1,0,0,0,22,0,0,0,20,1,0,0,1,0,0,0,2,0,0,0,2,0,0,0,116,1,0,0,4,0,0,0,228,0,0,0,3,0,0,0,231,0,0,0,0,0,0,0,152,99,0,0,104,1,0,0,111,1,0,0,214,1,0,0,22,0,0,0,21,0,0,0,19,1,0,0,112,1,0,0,109,1,0,0,23,0,0,0,110,1,0,0,111,1,0,0,224,0,0,0,25,0,0,0,227,0,0,0,8,0,0,0,0,0,0,0,160,99,0,0,112,1,0,0,113,1,0,0,248,255,255,255,248,255,255,255,160,99,0,0,114,1,0,0,115,1,0,0,8,0,0,0,0,0,0,0,184,99,0,0,116,1,0,0,117,1,0,0,248,255,255,255,248,255,255,255,184,99,0,0,118,1,0,0,119,1,0,0,4,0,0,0,0,0,0,0,208,99,0,0,5,0,0,0,6,0,0,0,252,255,255,255,252,255,255,255,208,99,0,0,7,0,0,0,8,0,0,0,4,0,0,0,0,0,0,0,232,99,0,0,120,1,0,0,121,1,0,0,252,255,255,255,252,255,255,255,232,99,0,0,122,1,0,0,123,1,0,0,0,0,0,0,88,99,0,0,124,1,0,0,125,1,0,0,105,1,0,0,0,0,0,0,104,99,0,0,126,1,0,0,127,1,0,0,0,0,0,0,0,100,0,0,128,1,0,0,129,1,0,0,119,1,0,0,243,1,0,0,27,0,0,0,28,0,0,0,244,1,0,0,0,0,0,0,0,0,0,0,248,100,0,0,130,1,0,0,131,1,0,0,132,1,0,0,5,0,0,0,21,1,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,101,0,0,133,1,0,0,134,1,0,0,132,1,0,0,6,0,0,0,22,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,101,0,0,135,1,0,0,136,1,0,0,132,1,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,101,0,0,137,1,0,0,138,1,0,0,132,1,0,0,12,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,101,0,0,139,1,0,0,140,1,0,0,132,1,0,0,7,0,0,0,8,0,0,0,23,0,0,0,9,0,0,0,24,0,0,0,1,0,0,0,2,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,101,0,0,141,1,0,0,142,1,0,0,132,1,0,0,11,0,0,0,12,0,0,0,25,0,0,0,13,0,0,0,26,0,0,0,3,0,0,0,4,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,101,0,0,143,1,0,0,144,1,0,0,132,1,0,0,120,1,0,0,27,0,0,0,28,0,0,0,29,0,0,0,30,0,0,0,31,0,0,0,1,0,0,0,248,255,255,255,216,101,0,0,121,1,0,0,122,1,0,0,123,1,0,0,124,1,0,0,125,1,0,0,126,1,0,0,127,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,0,0,145,1,0,0,146,1,0,0,132,1,0,0,128,1,0,0,32,0,0,0,33,0,0,0,34,0,0,0,35,0,0,0,36,0,0,0,2,0,0,0,248,255,255,255,0,102,0,0,129,1,0,0,130,1,0,0,131,1,0,0,132,1,0,0,133,1,0,0,134,1,0,0,135,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,102,0,0,147,1,0,0,148,1,0,0,132,1,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,102,0,0,149,1,0,0,150,1,0,0,132,1,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,102,0,0,151,1,0,0,152,1,0,0,132,1,0,0,136,1,0,0,137,1,0,0,215,1,0,0,216,1,0,0,217,1,0,0,218,1,0,0,138,1,0,0,219,1,0,0,220,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,102,0,0,153,1,0,0,154,1,0,0,132,1,0,0,139,1,0,0,140,1,0,0,221,1,0,0,222,1,0,0,223,1,0,0,224,1,0,0,141,1,0,0,225,1,0,0,226,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,102,0,0,155,1,0,0,156,1,0,0,132,1,0,0,142,1,0,0,143,1,0,0,227,1,0,0,228,1,0,0,229,1,0,0,230,1,0,0,144,1,0,0,231,1,0,0,232,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,102,0,0,157,1,0,0,158,1,0,0,132,1,0,0,145,1,0,0,146,1,0,0,233,1,0,0,234,1,0,0,235,1,0,0,236,1,0,0,147,1,0,0,237,1,0,0,238,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,102,0,0,159,1,0,0,160,1,0,0,132,1,0,0,3,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,103,0,0,161,1,0,0,162,1,0,0,132,1,0,0,5,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,103,0,0,163,1,0,0,164,1,0,0,132,1,0,0,1,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,103,0,0,165,1,0,0,166,1,0,0,132,1,0,0,2,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,103,0,0,167,1,0,0,168,1,0,0,132,1,0,0,31,0,0,0,23,0,0,0,239,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,103,0,0,169,1,0,0,170,1,0,0,132,1,0,0,32,0,0,0,24,0,0,0,240,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,100,0,0,171,1,0,0,172,1,0,0,132,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,101,0,0,173,1,0,0,174,1,0,0,132,1,0,0,232,0,0,0,33,0,0,0,233,0,0,0,34,0,0,0,234,0,0,0,63,0,0,0,35,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,100,0,0,175,1,0,0,176,1,0,0,132,1,0,0,3,0,0,0,4,0,0,0,16,0,0,0,148,1,0,0,149,1,0,0,17,0,0,0,150,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,101,0,0,177,1,0,0,178,1,0,0,132,1,0,0,151,1,0,0,152,1,0,0,241,1,0,0,242,1,0,0,243,1,0,0,0,0,0,0,72,101,0,0,179,1,0,0,180,1,0,0,132,1,0,0,153,1,0,0,154,1,0,0,244,1,0,0,245,1,0,0,246,1,0,0,0,0,0,0,24,100,0,0,181,1,0,0,182,1,0,0,132,1,0,0,0,0,0,0,40,100,0,0,181,1,0,0,183,1,0,0,132,1,0,0,36,0,0,0,64,0,0,0,65,0,0,0,66,0,0,0,235,0,0,0,37,0,0,0,236,0,0,0,38,0,0,0,237,0,0,0,67,0,0,0,39,0,0,0,18,0,0,0,0,0,0,0,72,100,0,0,181,1,0,0,184,1,0,0,132,1,0,0,5,0,0,0,6,0,0,0,19,0,0,0,155,1,0,0,156,1,0,0,20,0,0,0,157,1,0,0,0,0,0,0,104,100,0,0,181,1,0,0,185,1,0,0,132,1,0,0,7,0,0,0,8,0,0,0,21,0,0,0,158,1,0,0,159,1,0,0,22,0,0,0,160,1,0,0,0,0,0,0,136,100,0,0,181,1,0,0,186,1,0,0,132,1,0,0,9,0,0,0,10,0,0,0,23,0,0,0,161,1,0,0,162,1,0,0,24,0,0,0,163,1,0,0,0,0,0,0,168,100,0,0,181,1,0,0,187,1,0,0,132,1,0,0,9,0,0,0,10,0,0,0,23,0,0,0,161,1,0,0,162,1,0,0,24,0,0,0,163,1,0,0,0,0,0,0,184,100,0,0,181,1,0,0,188,1,0,0,132,1,0,0,9,0,0,0,10,0,0,0,23,0,0,0,161,1,0,0,162,1,0,0,24,0,0,0,163,1,0,0,0,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,37,0,0,0,109,0,0,0,47,0,0,0,37,0,0,0,100,0,0,0,47,0,0,0,37,0,0,0,121,0,0,0,37,0,0,0,89,0,0,0,45,0,0,0,37,0,0,0,109,0,0,0,45,0,0,0,37,0,0,0,100,0,0,0,37,0,0,0,73,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,112,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,114,0,0,0,117,0,0,0,101,0,0,0,0,0,0,0,102,0,0,0,97,0,0,0,108,0,0,0,115,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,0,0,0,117,0,0,0,110,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,77,0,0,0,111,0,0,0,110,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,84,0,0,0,117,0,0,0,101,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,87,0,0,0,101,0,0,0,100,0,0,0,110,0,0,0,101,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,84,0,0,0,104,0,0,0,117,0,0,0,114,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,70,0,0,0,114,0,0,0,105,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,83,0,0,0,97,0,0,0,116,0,0,0,117,0,0,0,114,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,83,0,0,0,117,0,0,0,110,0,0,0,0,0,0,0,77,0,0,0,111,0,0,0,110,0,0,0,0,0,0,0,84,0,0,0,117,0,0,0,101,0,0,0,0,0,0,0,87,0,0,0,101,0,0,0,100,0,0,0,0,0,0,0,84,0,0,0,104,0,0,0,117,0,0,0,0,0,0,0,70,0,0,0,114,0,0,0,105,0,0,0,0,0,0,0,83,0,0,0,97,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,0,0,0,97,0,0,0,110,0,0,0,117,0,0,0,97,0,0,0,114,0,0,0,121,0,0,0,0,0,0,0,70,0,0,0,101,0,0,0,98,0,0,0,114,0,0,0,117,0,0,0,97,0,0,0,114,0,0,0,121,0,0,0,0,0,0,0,77,0,0,0,97,0,0,0,114,0,0,0,99,0,0,0,104,0,0,0,0,0,0,0,65,0,0,0,112,0,0,0,114,0,0,0,105,0,0,0,108,0,0,0,0,0,0,0,77,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,74,0,0,0,117,0,0,0,110,0,0,0,101,0,0,0,0,0,0,0,74,0,0,0,117,0,0,0,108,0,0,0,121,0,0,0,0,0,0,0,65,0,0,0,117,0,0,0,103,0,0,0,117,0,0,0,115,0,0,0,116,0,0,0,0,0,0,0,83,0,0,0,101,0,0,0,112,0,0,0,116,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,79,0,0,0,99,0,0,0,116,0,0,0,111,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,78,0,0,0,111,0,0,0,118,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,68,0,0,0,101,0,0,0,99,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,74,0,0,0,97,0,0,0,110,0,0,0,0,0,0,0,70,0,0,0,101,0,0,0,98,0,0,0,0,0,0,0,77,0,0,0,97,0,0,0,114,0,0,0,0,0,0,0,65,0,0,0,112,0,0,0,114,0,0,0,0,0,0,0,74,0,0,0,117,0,0,0,110,0,0,0,0,0,0,0,74,0,0,0,117,0,0,0,108,0,0,0,0,0,0,0,65,0,0,0,117,0,0,0,103,0,0,0,0,0,0,0,83,0,0,0,101,0,0,0,112,0,0,0,0,0,0,0,79,0,0,0,99,0,0,0,116,0,0,0,0,0,0,0,78,0,0,0,111,0,0,0,118,0,0,0,0,0,0,0,68,0,0,0,101,0,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,0,0,0,77,0,0,0,0,0,0,0,80,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,0,0,0,109,0,0,0,47,0,0,0,37,0,0,0,100,0,0,0,47,0,0,0,37,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,0,0,0,97,0,0,0,32,0,0,0,37,0,0,0,98,0,0,0,32,0,0,0,37,0,0,0,100,0,0,0,32,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,0,0,0,73,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,107,0,0,189,1,0,0,190,1,0,0,105,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,2,0,2,0,0,0,0,0,1,0,0,0,1,0,2,0,1,0,2,0,0,0,2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,3,32,2,32,2,32,2,32,2,32,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,1,96,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,8,216,8,216,8,216,8,216,8,216,8,216,8,216,8,216,8,216,8,216,4,192,4,192,4,192,4,192,4,192,4,192,4,192,8,213,8,213,8,213,8,213,8,213,8,213,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,4,192,4,192,4,192,4,192,4,192,4,192,8,214,8,214,8,214,8,214,8,214,8,214,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,4,192,4,192,4,192,4,192,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,57,98,97,115,105,99,95,111,115,116,114,105,110,103,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,78,83,116,51,95,95,49,49,53,98,97,115,105,99,95,115,116,114,105,110,103,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,110,111,100,101,0,119,114,111,110,103,32,105,110,116,101,114,112,111,108,97,116,105,111,110,32,116,121,112,101,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,119,114,97,112,112,101,114,115,47,106,97,118,97,115,99,114,105,112,116,47,46,46,47,67,111,110,116,111,117,114,84,111,77,101,115,104,47,67,111,110,116,111,117,114,84,111,77,101,115,104,46,99,112,112,0,67,111,110,116,111,117,114,84,111,77,101,115,104,77,111,100,117,108,101,0,105,110,100,101,120,32,115,104,111,117,108,100,32,104,97,118,101,32,51,32,99,111,108,117,109,110,115,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,119,114,97,112,112,101,114,115,47,106,97,118,97,115,99,114,105,112,116,47,46,46,47,73,110,116,101,114,112,70,114,111,109,77,101,115,104,84,111,77,101,115,104,50,100,47,73,110,116,101,114,112,70,114,111,109,77,101,115,104,84,111,77,101,115,104,50,100,46,99,112,112,0,73,110,116,101,114,112,70,114,111,109,77,101,115,104,84,111,77,101,115,104,50,100,77,111,100,117,108,101,0,116,104,101,114,101,32,115,104,111,117,108,100,32,98,101,32,97,116,32,108,101,97,115,116,32,116,104,114,101,101,32,112,111,105,110,116,115,0,118,101,99,116,111,114,115,32,120,32,97,110,100,32,121,32,115,104,111,117,108,100,32,104,97,118,101,32,116,104,101,32,115,97,109,101,32,108,101,110,103,116,104,0,100,97,116,97,32,105,115,32,101,109,112,116,121,0,110,111,32,105,110,116,101,114,112,111,108,97,116,105,111,110,32,114,101,113,117,101,115,116,101,100,0,118,101,99,116,111,114,115,32,120,95,105,110,116,101,114,112,32,97,110,100,32,121,95,105,110,116,101,114,112,32,115,104,111,117,108,100,32,104,97,118,101,32,116,104,101,32,115,97,109,101,32,108,101,110,103,116,104,0,100,101,102,97,117,108,116,95,118,97,108,117,101,0,95,72,65,86,69,95,77,80,73,95,0,95,72,65,86,69,95,80,69,84,83,67,95,77,80,73,95,0,95,72,65,86,69,95,68,65,75,79,84,65,95,0,95,72,65,86,69,95,77,85,77,80,83,95,0,95,72,65,86,69,95,71,83,76,95,0,95,72,65,86,69,95,84,65,79,95,0,95,72,65,86,69,95,77,49,81,78,51,95,0,95,72,65,86,69,95,80,69,84,83,67,95,0,95,80,69,84,83,67,95,77,65,74,79,82,95,0,95,80,69,84,83,67,95,77,65,74,79,82,95,32,110,111,116,32,102,111,117,110,100,32,105,110,32,99,111,110,102,105,103,46,104,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,119,114,97,112,112,101,114,115,47,106,97,118,97,115,99,114,105,112,116,47,46,46,47,73,115,115,109,67,111,110,102,105,103,47,73,115,115,109,67,111,110,102,105,103,46,99,112,112,0,73,115,115,109,67,111,110,102,105,103,77,111,100,117,108,101,0,95,80,69,84,83,67,95,77,73,78,79,82,95,0,95,80,69,84,83,67,95,77,73,78,79,82,95,32,110,111,116,32,102,111,117,110,100,32,105,110,32,99,111,110,102,105,103,46,104,0,95,68,65,75,79,84,65,95,86,69,82,83,73,79,78,95,0,95,68,65,75,79,84,65,95,86,69,82,83,73,79,78,95,32,110,111,116,32,102,111,117,110,100,32,105,110,32,99,111,110,102,105,103,46,104,0,73,83,83,77,95,80,82,69,70,73,88,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,98,117,105,108,100,45,106,115,0,80,65,67,75,65,71,69,95,78,65,77,69,0,80,65,67,75,65,71,69,95,86,69,82,83,73,79,78,0,80,65,67,75,65,71,69,95,85,82,76,0,80,65,67,75,65,71,69,95,66,85,71,82,69,80,79,82,84,0,80,65,67,75,65,71,69,95,66,85,73,76,68,95,68,65,84,69,0,77,111,110,32,65,112,114,32,50,53,32,49,53,58,51,51,58,50,55,32,80,68,84,32,50,48,49,54,0,72,79,83,84,95,79,83,0,100,97,114,119,105,110,49,52,46,53,46,48,0,85,83,69,82,95,78,65,77,69,0,108,97,114,111,117,114,0,72,79,83,84,95,86,69,78,68,79,82,0,97,112,112,108,101,0,72,79,83,84,95,65,82,67,72,0,120,56,54,95,54,52,0,118,97,114,105,97,98,108,101,32,0,65,110,32,117,110,101,120,112,101,99,116,101,100,32,101,114,114,111,114,32,111,99,99,117,114,114,101,100,0,83,116,97,110,100,97,114,100,32,101,120,99,101,112,116,105,111,110,58,32,0,65,110,32,117,110,101,120,112,101,99,116,101,100,32,101,114,114,111,114,32,111,99,99,117,114,114,101,100,32,10,10,0,69,114,114,111,114,58,32,32,79,117,116,32,111,102,32,109,101,109,111,114,121,46,10,0,32,32,80,108,101,97,115,101,32,114,101,112,111,114,116,32,116,104,105,115,32,98,117,103,32,116,111,32,106,114,115,64,99,115,46,98,101,114,107,101,108,101,121,46,101,100,117,10,0,32,32,73,110,99,108,117,100,101,32,116,104,101,32,109,101,115,115,97,103,101,32,97,98,111,118,101,44,32,121,111,117,114,32,105,110,112,117,116,32,100,97,116,97,32,115,101,116,44,32,97,110,100,32,116,104,101,32,101,120,97,99,116,10,0,32,32,32,32,99,111,109,109,97,110,100,32,108,105,110,101,32,121,111,117,32,117,115,101,100,32,116,111,32,114,117,110,32,84,114,105,97,110,103,108,101,46,10,0,69,114,114,111,114,58,32,32,77,97,120,105,109,117,109,32,97,114,101,97,32,109,117,115,116,32,98,101,32,103,114,101,97,116,101,114,32,116,104,97,110,32,122,101,114,111,46,10,0,69,114,114,111,114,58,32,32,89,111,117,32,99,97,110,110,111,116,32,117,115,101,32,116,104,101,32,45,73,32,115,119,105,116,99,104,32,119,104,101,110,32,114,101,102,105,110,105,110,103,32,97,32,116,114,105,97,110,103,117,108,97,116,105,111,110,46,10,0,87,97,114,110,105,110,103,58,32,32,119,101,105,103,104,116,101,100,32,116,114,105,97,110,103,117,108,97,116,105,111,110,115,32,40,45,119,44,32,45,87,41,32,97,114,101,32,105,110,99,111,109,112,97,116,105,98,108,101,10,0,32,32,119,105,116,104,32,80,83,76,71,115,32,40,45,112,41,32,97,110,100,32,109,101,115,104,105,110,103,32,40,45,113,44,32,45,97,44,32,45,117,41,46,32,32,87,101,105,103,104,116,115,32,105,103,110,111,114,101,100,46,10,0,87,97,114,110,105,110,103,58,32,32,45,106,32,97,110,100,32,45,78,32,115,119,105,116,99,104,101,115,32,97,114,101,32,115,111,109,101,119,104,97,116,32,105,110,99,111,109,112,97,116,105,98,108,101,46,10,0,32,32,73,102,32,97,110,121,32,118,101,114,116,105,99,101,115,32,97,114,101,32,106,101,116,116,105,115,111,110,101,100,44,32,121,111,117,32,119,105,108,108,32,110,101,101,100,32,116,104,101,32,111,117,116,112,117,116,10,0,32,32,46,110,111,100,101,32,102,105,108,101,32,116,111,32,114,101,99,111,110,115,116,114,117,99,116,32,116,104,101,32,110,101,119,32,110,111,100,101,32,105,110,100,105,99,101,115,46,0,116,114,105,97,110,103,108,101,32,120,37,108,120,32,119,105,116,104,32,111,114,105,101,110,116,97,116,105,111,110,32,37,100,58,10,0,32,32,32,32,91,48,93,32,61,32,79,117,116,101,114,32,115,112,97,99,101,10,0,32,32,32,32,91,48,93,32,61,32,120,37,108,120,32,32,37,100,10,0,32,32,32,32,91,49,93,32,61,32,79,117,116,101,114,32,115,112,97,99,101,10,0,32,32,32,32,91,49,93,32,61,32,120,37,108,120,32,32,37,100,10,0,32,32,32,32,91,50,93,32,61,32,79,117,116,101,114,32,115,112,97,99,101,10,0,32,32,32,32,91,50,93,32,61,32,120,37,108,120,32,32,37,100,10,0,32,32,32,32,79,114,105,103,105,110,91,37,100,93,32,61,32,78,85,76,76,10,0,32,32,32,32,79,114,105,103,105,110,91,37,100,93,32,61,32,120,37,108,120,32,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,10,0,32,32,32,32,68,101,115,116,32,32,91,37,100,93,32,61,32,78,85,76,76,10,0,32,32,32,32,68,101,115,116,32,32,91,37,100,93,32,61,32,120,37,108,120,32,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,10,0,32,32,32,32,65,112,101,120,32,32,91,37,100,93,32,61,32,78,85,76,76,10,0,32,32,32,32,65,112,101,120,32,32,91,37,100,93,32,61,32,120,37,108,120,32,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,10,0,32,32,32,32,91,54,93,32,61,32,120,37,108,120,32,32,37,100,10,0,32,32,32,32,91,55,93,32,61,32,120,37,108,120,32,32,37,100,10,0,32,32,32,32,91,56,93,32,61,32,120,37,108,120,32,32,37,100,10,0,32,32,32,32,65,114,101,97,32,99,111,110,115,116,114,97,105,110,116,58,32,32,37,46,52,103,10,0,115,117,98,115,101,103,109,101,110,116,32,120,37,108,120,32,119,105,116,104,32,111,114,105,101,110,116,97,116,105,111,110,32,37,100,32,97,110,100,32,109,97,114,107,32,37,100,58,10,0,32,32,32,32,91,48,93,32,61,32,78,111,32,115,117,98,115,101,103,109,101,110,116,10,0,32,32,32,32,91,49,93,32,61,32,78,111,32,115,117,98,115,101,103,109,101,110,116,10,0,32,32,32,32,91,54,93,32,61,32,79,117,116,101,114,32,115,112,97,99,101,10,0,32,32,32,32,91,55,93,32,61,32,79,117,116,101,114,32,115,112,97,99,101,10,0,32,32,32,32,83,101,103,109,101,110,116,32,111,114,105,103,105,110,91,37,100,93,32,61,32,78,85,76,76,10,0,32,32,32,32,83,101,103,109,101,110,116,32,111,114,105,103,105,110,91,37,100,93,32,61,32,120,37,108,120,32,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,10,0,32,32,32,32,83,101,103,109,101,110,116,32,100,101,115,116,32,32,91,37,100,93,32,61,32,78,85,76,76,10,0,32,32,32,32,83,101,103,109,101,110,116,32,100,101,115,116,32,32,91,37,100,93,32,61,32,120,37,108,120,32,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,10,0,32,32,67,104,101,99,107,105,110,103,32,99,111,110,115,105,115,116,101,110,99,121,32,111,102,32,109,101,115,104,46,46,46,10,0,32,32,33,33,32,33,33,32,73,110,118,101,114,116,101,100,32,0,32,32,33,33,32,33,33,32,65,115,121,109,109,101,116,114,105,99,32,116,114,105,97,110,103,108,101,45,116,114,105,97,110,103,108,101,32,98,111,110,100,58,10,0,32,32,32,40,82,105,103,104,116,32,116,114,105,97,110,103,108,101,44,32,119,114,111,110,103,32,111,114,105,101,110,116,97,116,105,111,110,41,10,0,32,32,32,32,70,105,114,115,116,32,0,32,32,32,32,83,101,99,111,110,100,32,40,110,111,110,114,101,99,105,112,114,111,99,97,116,105,110,103,41,32,0,32,32,33,33,32,33,33,32,77,105,115,109,97,116,99,104,101,100,32,101,100,103,101,32,99,111,111,114,100,105,110,97,116,101,115,32,98,101,116,119,101,101,110,32,116,119,111,32,116,114,105,97,110,103,108,101,115,58,10,0,32,32,32,32,70,105,114,115,116,32,109,105,115,109,97,116,99,104,101,100,32,0,32,32,32,32,83,101,99,111,110,100,32,109,105,115,109,97,116,99,104,101,100,32,0,32,32,73,110,32,109,121,32,115,116,117,100,105,101,100,32,111,112,105,110,105,111,110,44,32,116,104,101,32,109,101,115,104,32,97,112,112,101,97,114,115,32,116,111,32,98,101,32,99,111,110,115,105,115,116,101,110,116,46,10,0,32,32,33,33,32,33,33,32,33,33,32,33,33,32,80,114,101,99,105,115,101,108,121,32,111,110,101,32,102,101,115,116,101,114,105,110,103,32,119,111,117,110,100,32,100,105,115,99,111,118,101,114,101,100,46,10,0,32,32,33,33,32,33,33,32,33,33,32,33,33,32,37,100,32,97,98,111,109,105,110,97,116,105,111,110,115,32,119,105,116,110,101,115,115,101,100,46,10,0,32,32,67,104,101,99,107,105,110,103,32,68,101,108,97,117,110,97,121,32,112,114,111,112,101,114,116,121,32,111,102,32,109,101,115,104,46,46,46,10,0,32,32,33,33,32,33,33,32,78,111,110,45,68,101,108,97,117,110,97,121,32,112,97,105,114,32,111,102,32,116,114,105,97,110,103,108,101,115,58,10,0,32,32,32,32,70,105,114,115,116,32,110,111,110,45,68,101,108,97,117,110,97,121,32,0,32,32,32,32,83,101,99,111,110,100,32,110,111,110,45,68,101,108,97,117,110,97,121,32,0,32,32,33,33,32,33,33,32,78,111,110,45,114,101,103,117,108,97,114,32,112,97,105,114,32,111,102,32,116,114,105,97,110,103,108,101,115,58,10,0,32,32,32,32,70,105,114,115,116,32,110,111,110,45,114,101,103,117,108,97,114,32,0,32,32,32,32,83,101,99,111,110,100,32,110,111,110,45,114,101,103,117,108,97,114,32,0,32,32,66,121,32,118,105,114,116,117,101,32,111,102,32,109,121,32,112,101,114,99,101,112,116,105,118,101,32,105,110,116,101,108,108,105,103,101,110,99,101,44,32,73,32,100,101,99,108,97,114,101,32,116,104,101,32,109,101,115,104,32,68,101,108,97,117,110,97,121,46,10,0,32,32,33,33,32,33,33,32,33,33,32,33,33,32,80,114,101,99,105,115,101,108,121,32,111,110,101,32,116,101,114,114,105,102,121,105,110,103,32,116,114,97,110,115,103,114,101,115,115,105,111,110,32,105,100,101,110,116,105,102,105,101,100,46,10,0,32,32,33,33,32,33,33,32,33,33,32,33,33,32,37,100,32,111,98,115,99,101,110,105,116,105,101,115,32,118,105,101,119,101,100,32,119,105,116,104,32,104,111,114,114,111,114,46,10,0,32,32,81,117,101,117,101,105,110,103,32,98,97,100,32,116,114,105,97,110,103,108,101,58,10,0,32,32,32,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,10,0,32,32,81,117,101,117,101,105,110,103,32,101,110,99,114,111,97,99,104,101,100,32,115,117,98,115,101,103,109,101,110,116,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,46,10,0,32,32,32,32,67,111,110,115,116,114,117,99,116,105,110,103,32,109,97,112,112,105,110,103,32,102,114,111,109,32,118,101,114,116,105,99,101,115,32,116,111,32,116,114,105,97,110,103,108,101,115,46,10,0,32,32,83,101,97,114,99,104,105,110,103,32,102,111,114,32,112,111,105,110,116,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,46,10,0,32,32,32,32,65,116,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,10,0,32,32,82,97,110,100,111,109,108,121,32,115,97,109,112,108,105,110,103,32,102,111,114,32,97,32,116,114,105,97,110,103,108,101,32,110,101,97,114,32,112,111,105,110,116,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,46,10,0,32,32,32,32,66,111,117,110,100,97,114,121,32,116,114,105,97,110,103,108,101,32,104,97,115,32,111,114,105,103,105,110,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,46,10,0,32,32,32,32,67,104,111,111,115,105,110,103,32,114,101,99,101,110,116,32,116,114,105,97,110,103,108,101,32,119,105,116,104,32,111,114,105,103,105,110,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,46,10,0,32,32,32,32,67,104,111,111,115,105,110,103,32,116,114,105,97,110,103,108,101,32,119,105,116,104,32,111,114,105,103,105,110,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,46,10,0,32,32,73,110,115,101,114,116,105,110,103,32,110,101,119,32,0,32,32,69,100,103,101,32,102,108,105,112,32,114,101,115,117,108,116,115,32,105,110,32,108,101,102,116,32,0,32,32,97,110,100,32,114,105,103,104,116,32,0,32,32,69,100,103,101],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+47592);allocate([32,117,110,102,108,105,112,32,114,101,115,117,108,116,115,32,105,110,32,108,101,102,116,32,0,32,32,73,110,115,101,114,116,105,110,103,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,46,10,0,32,32,85,112,100,97,116,105,110,103,32,98,111,116,116,111,109,32,108,101,102,116,32,0,32,32,85,112,100,97,116,105,110,103,32,116,111,112,32,108,101,102,116,32,0,32,32,67,114,101,97,116,105,110,103,32,116,111,112,32,114,105,103,104,116,32,0,32,32,67,114,101,97,116,105,110,103,32,98,111,116,116,111,109,32,114,105,103,104,116,32,0,32,32,85,112,100,97,116,105,110,103,32,116,111,112,32,0,32,32,67,114,101,97,116,105,110,103,32,108,101,102,116,32,0,32,32,67,114,101,97,116,105,110,103,32,114,105,103,104,116,32,0,32,32,84,114,105,97,110,103,117,108,97,116,105,110,103,32,105,110,116,101,114,105,111,114,32,112,111,108,121,103,111,110,32,97,116,32,101,100,103,101,10,0,32,32,32,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,10,0,32,32,32,32,67,111,110,110,101,99,116,105,110,103,32,101,100,103,101,32,116,111,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,10,0,32,32,68,101,108,101,116,105,110,103,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,46,10,0,32,32,67,114,101,97,116,105,110,103,32,98,97,115,101,32,98,111,117,110,100,105,110,103,32,0,32,32,67,114,101,97,116,105,110,103,32,116,111,112,32,98,111,117,110,100,105,110,103,32,0,32,32,67,111,110,110,101,99,116,105,110,103,32,0,32,32,84,114,105,97,110,103,117,108,97,116,105,110,103,32,37,100,32,118,101,114,116,105,99,101,115,46,10,0,32,32,67,114,101,97,116,105,110,103,32,0,32,32,74,111,105,110,105,110,103,32,116,114,105,97,110,103,117,108,97,116,105,111,110,115,32,119,105,116,104,32,37,100,32,97,110,100,32,37,100,32,118,101,114,116,105,99,101,115,46,10,0,32,32,82,101,109,111,118,105,110,103,32,103,104,111,115,116,32,116,114,105,97,110,103,108,101,115,46,10,0,32,32,83,111,114,116,105,110,103,32,118,101,114,116,105,99,101,115,46,10,0,87,97,114,110,105,110,103,58,32,32,65,32,100,117,112,108,105,99,97,116,101,32,118,101,114,116,101,120,32,97,116,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,32,97,112,112,101,97,114,101,100,32,97,110,100,32,119,97,115,32,105,103,110,111,114,101,100,46,10,0,32,32,70,111,114,109,105,110,103,32,116,114,105,97,110,103,117,108,97,116,105,111,110,46,10,0,32,32,67,114,101,97,116,105,110,103,32,116,114,105,97,110,103,117,108,97,114,32,98,111,117,110,100,105,110,103,32,98,111,120,46,10,0,32,32,82,101,109,111,118,105,110,103,32,116,114,105,97,110,103,117,108,97,114,32,98,111,117,110,100,105,110,103,32,98,111,120,46,10,0,32,32,73,110,99,114,101,109,101,110,116,97,108,108,121,32,105,110,115,101,114,116,105,110,103,32,118,101,114,116,105,99,101,115,46,10,0,32,32,80,108,97,99,105,110,103,32,118,101,114,116,105,99,101,115,32,105,110,32,101,118,101,110,116,32,104,101,97,112,46,10,0,69,114,114,111,114,58,32,32,73,110,112,117,116,32,118,101,114,116,105,99,101,115,32,97,114,101,32,97,108,108,32,105,100,101,110,116,105,99,97,108,46,10,0,67,111,110,115,116,114,117,99,116,105,110,103,32,68,101,108,97,117,110,97,121,32,116,114,105,97,110,103,117,108,97,116,105,111,110,32,0,98,121,32,105,110,99,114,101,109,101,110,116,97,108,32,109,101,116,104,111,100,46,10,0,98,121,32,115,119,101,101,112,108,105,110,101,32,109,101,116,104,111,100,46,10,0,98,121,32,100,105,118,105,100,101,45,97,110,100,45,99,111,110,113,117,101,114,32,109,101,116,104,111,100,46,10,0,69,114,114,111,114,58,32,32,84,114,105,97,110,103,108,101,115,32,109,117,115,116,32,104,97,118,101,32,97,116,32,108,101,97,115,116,32,51,32,118,101,114,116,105,99,101,115,46,10,0,82,101,99,111,110,115,116,114,117,99,116,105,110,103,32,109,101,115,104,46,10,0,32,32,65,115,115,101,109,98,108,105,110,103,32,116,114,105,97,110,103,108,101,115,46,10,0,69,114,114,111,114,58,32,32,84,114,105,97,110,103,108,101,32,37,108,100,32,104,97,115,32,97,110,32,105,110,118,97,108,105,100,32,118,101,114,116,101,120,32,105,110,100,101,120,46,10,0,32,32,77,97,114,107,105,110,103,32,115,101,103,109,101,110,116,115,32,105,110,32,116,114,105,97,110,103,117,108,97,116,105,111,110,46,10,0,69,114,114,111,114,58,32,32,83,101,103,109,101,110,116,32,37,108,100,32,104,97,115,32,97,110,32,105,110,118,97,108,105,100,32,118,101,114,116,101,120,32,105,110,100,101,120,46,10,0,73,110,116,101,114,110,97,108,32,101,114,114,111,114,32,105,110,32,102,105,110,100,100,105,114,101,99,116,105,111,110,40,41,58,32,32,85,110,97,98,108,101,32,116,111,32,102,105,110,100,32,97,10,0,32,32,116,114,105,97,110,103,108,101,32,108,101,97,100,105,110,103,32,102,114,111,109,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,32,116,111,0,32,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,46,10,0,73,110,116,101,114,110,97,108,32,101,114,114,111,114,32,105,110,32,115,101,103,109,101,110,116,105,110,116,101,114,115,101,99,116,105,111,110,40,41,58,0,32,32,65,116,116,101,109,112,116,32,116,111,32,102,105,110,100,32,105,110,116,101,114,115,101,99,116,105,111,110,32,111,102,32,112,97,114,97,108,108,101,108,32,115,101,103,109,101,110,116,115,46,10,0,32,32,83,112,108,105,116,116,105,110,103,32,115,117,98,115,101,103,109,101,110,116,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,32,97,116,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,46,10,0,73,110,116,101,114,110,97,108,32,101,114,114,111,114,32,105,110,32,115,101,103,109,101,110,116,105,110,116,101,114,115,101,99,116,105,111,110,40,41,58,10,0,32,32,70,97,105,108,117,114,101,32,116,111,32,115,112,108,105,116,32,97,32,115,101,103,109,101,110,116,46,10,0,32,32,84,111,112,111,108,111,103,105,99,97,108,32,105,110,99,111,110,115,105,115,116,101,110,99,121,32,97,102,116,101,114,32,115,112,108,105,116,116,105,110,103,32,97,32,115,101,103,109,101,110,116,46,10,0,70,111,114,99,105,110,103,32,115,101,103,109,101,110,116,32,105,110,116,111,32,116,114,105,97,110,103,117,108,97,116,105,111,110,32,98,121,32,114,101,99,117,114,115,105,118,101,32,115,112,108,105,116,116,105,110,103,58,10,0,32,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,10,0,32,32,83,101,103,109,101,110,116,32,105,110,116,101,114,115,101,99,116,115,32,101,120,105,115,116,105,110,103,32,118,101,114,116,101,120,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,46,10,0,32,32,84,119,111,32,115,101,103,109,101,110,116,115,32,105,110,116,101,114,115,101,99,116,32,97,116,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,46,10,0,73,110,116,101,114,110,97,108,32,101,114,114,111,114,32,105,110,32,99,111,110,102,111,114,109,105,110,103,101,100,103,101,40,41,58,10,0,32,32,67,111,110,110,101,99,116,105,110,103,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,32,116,111,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,46,10,0,73,110,116,101,114,110,97,108,32,101,114,114,111,114,32,105,110,32,105,110,115,101,114,116,115,101,103,109,101,110,116,40,41,58,32,32,85,110,97,98,108,101,32,116,111,32,108,111,99,97,116,101,32,80,83,76,71,32,118,101,114,116,101,120,10,0,32,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,32,105,110,32,116,114,105,97,110,103,117,108,97,116,105,111,110,46,10,0,82,101,99,111,118,101,114,105,110,103,32,115,101,103,109,101,110,116,115,32,105,110,32,68,101,108,97,117,110,97,121,32,116,114,105,97,110,103,117,108,97,116,105,111,110,46,10,0,105,110,112,117,116,0,32,32,82,101,99,111,118,101,114,105,110,103,32,80,83,76,71,32,115,101,103,109,101,110,116,115,46,10,0,87,97,114,110,105,110,103,58,32,32,73,110,118,97,108,105,100,32,102,105,114,115,116,32,101,110,100,112,111,105,110,116,32,111,102,32,115,101,103,109,101,110,116,32,37,100,32,105,110,32,37,115,46,10,0,87,97,114,110,105,110,103,58,32,32,73,110,118,97,108,105,100,32,115,101,99,111,110,100,32,101,110,100,112,111,105,110,116,32,111,102,32,115,101,103,109,101,110,116,32,37,100,32,105,110,32,37,115,46,10,0,87,97,114,110,105,110,103,58,32,32,69,110,100,112,111,105,110,116,115,32,111,102,32,115,101,103,109,101,110,116,32,37,100,32,97,114,101,32,99,111,105,110,99,105,100,101,110,116,32,105,110,32,37,115,46,10,0,32,32,69,110,99,108,111,115,105,110,103,32,99,111,110,118,101,120,32,104,117,108,108,32,119,105,116,104,32,115,101,103,109,101,110,116,115,46,10,0,32,32,77,97,114,107,105,110,103,32,99,111,110,99,97,118,105,116,105,101,115,32,40,101,120,116,101,114,110,97,108,32,116,114,105,97,110,103,108,101,115,41,32,102,111,114,32,101,108,105,109,105,110,97,116,105,111,110,46,10,0,32,32,77,97,114,107,105,110,103,32,110,101,105,103,104,98,111,114,115,32,111,102,32,109,97,114,107,101,100,32,116,114,105,97,110,103,108,101,115,46,10,0,32,32,32,32,67,104,101,99,107,105,110,103,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,10,0,32,32,32,32,77,97,114,107,105,110,103,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,10,0,32,32,68,101,108,101,116,105,110,103,32,109,97,114,107,101,100,32,116,114,105,97,110,103,108,101,115,46,10,0,32,32,32,32,68,101,108,101,116,105,110,103,32,118,101,114,116,101,120,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,10,0,32,32,85,110,109,97,114,107,105,110,103,32,109,97,114,107,101,100,32,116,114,105,97,110,103,108,101,115,46,10,0,82,101,109,111,118,105,110,103,32,117,110,119,97,110,116,101,100,32,116,114,105,97,110,103,108,101,115,46,10,0,32,32,77,97,114,107,105,110,103,32,104,111,108,101,115,32,102,111,114,32,101,108,105,109,105,110,97,116,105,111,110,46,10,0,83,112,114,101,97,100,105,110,103,32,114,101,103,105,111,110,97,108,32,97,116,116,114,105,98,117,116,101,115,32,97,110,100,32,97,114,101,97,32,99,111,110,115,116,114,97,105,110,116,115,46,10,0,83,112,114,101,97,100,105,110,103,32,114,101,103,105,111,110,97,108,32,97,116,116,114,105,98,117,116,101,115,46,10,0,83,112,114,101,97,100,105,110,103,32,114,101,103,105,111,110,97,108,32,97,114,101,97,32,99,111,110,115,116,114,97,105,110,116,115,46,10,0,84,114,121,32,105,110,99,114,101,97,115,105,110,103,32,116,104,101,32,97,114,101,97,32,99,114,105,116,101,114,105,111,110,32,97,110,100,47,111,114,32,114,101,100,117,99,105,110,103,32,116,104,101,32,109,105,110,105,109,117,109,10,0,32,32,97,108,108,111,119,97,98,108,101,32,97,110,103,108,101,32,115,111,32,116,104,97,116,32,116,105,110,121,32,116,114,105,97,110,103,108,101,115,32,97,114,101,32,110,111,116,32,99,114,101,97,116,101,100,46,10,0,69,114,114,111,114,58,32,32,82,97,110,32,111,117,116,32,111,102,32,112,114,101,99,105,115,105,111,110,32,97,116,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,46,10,0,73,32,97,116,116,101,109,112,116,101,100,32,116,111,32,115,112,108,105,116,32,97,32,115,101,103,109,101,110,116,32,116,111,32,97,32,115,109,97,108,108,101,114,32,115,105,122,101,32,116,104,97,110,10,0,32,32,99,97,110,32,98,101,32,97,99,99,111,109,109,111,100,97,116,101,100,32,98,121,32,116,104,101,32,102,105,110,105,116,101,32,112,114,101,99,105,115,105,111,110,32,111,102,10,0,32,32,102,108,111,97,116,105,110,103,32,112,111,105,110,116,32,97,114,105,116,104,109,101,116,105,99,46,10,0,73,110,116,101,114,110,97,108,32,101,114,114,111,114,32,105,110,32,115,112,108,105,116,101,110,99,115,101,103,115,40,41,58,10,0,32,32,77,97,107,105,110,103,32,97,32,108,105,115,116,32,111,102,32,98,97,100,32,116,114,105,97,110,103,108,101,115,46,10,0,32,32,83,112,108,105,116,116,105,110,103,32,116,104,105,115,32,116,114,105,97,110,103,108,101,32,97,116,32,105,116,115,32,99,105,114,99,117,109,99,101,110,116,101,114,58,10,0,87,97,114,110,105,110,103,58,32,32,78,101,119,32,118,101,114,116,101,120,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,32,102,97,108,108,115,32,111,110,32,101,120,105,115,116,105,110,103,32,118,101,114,116,101,120,46,10,0,32,32,82,101,106,101,99,116,105,110,103,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,46,10,0,32,32,84,104,101,32,110,101,119,32,118,101,114,116,101,120,32,105,115,32,97,116,32,116,104,101,32,99,105,114,99,117,109,99,101,110,116,101,114,32,111,102,32,116,114,105,97,110,103,108,101,10,0,84,104,105,115,32,112,114,111,98,97,98,108,121,32,109,101,97,110,115,32,116,104,97,116,32,73,32,97,109,32,116,114,121,105,110,103,32,116,111,32,114,101,102,105,110,101,32,116,114,105,97,110,103,108,101,115,10,0,32,32,116,111,32,97,32,115,109,97,108,108,101,114,32,115,105,122,101,32,116,104,97,110,32,99,97,110,32,98,101,32,97,99,99,111,109,109,111,100,97,116,101,100,32,98,121,32,116,104,101,32,102,105,110,105,116,101,10,0,32,32,112,114,101,99,105,115,105,111,110,32,111,102,32,102,108,111,97,116,105,110,103,32,112,111,105,110,116,32,97,114,105,116,104,109,101,116,105,99,46,32,32,40,89,111,117,32,99,97,110,32,98,101,10,0,32,32,115,117,114,101,32,111,102,32,116,104,105,115,32,105,102,32,73,32,102,97,105,108,32,116,111,32,116,101,114,109,105,110,97,116,101,46,41,10,0,65,100,100,105,110,103,32,83,116,101,105,110,101,114,32,112,111,105,110,116,115,32,116,111,32,101,110,102,111,114,99,101,32,113,117,97,108,105,116,121,46,10,0,32,32,76,111,111,107,105,110,103,32,102,111,114,32,101,110,99,114,111,97,99,104,101,100,32,115,117,98,115,101,103,109,101,110,116,115,46,10,0,32,32,83,112,108,105,116,116,105,110,103,32,101,110,99,114,111,97,99,104,101,100,32,115,117,98,115,101,103,109,101,110,116,115,46,10,0,32,32,83,112,108,105,116,116,105,110,103,32,98,97,100,32,116,114,105,97,110,103,108,101,115,46,10,0,10,87,97,114,110,105,110,103,58,32,32,73,32,114,97,110,32,111,117,116,32,111,102,32,83,116,101,105,110,101,114,32,112,111,105,110,116,115,44,32,98,117,116,32,116,104,101,32,109,101,115,104,32,104,97,115,10,0,32,32,111,110,101,32,101,110,99,114,111,97,99,104,101,100,32,115,117,98,115,101,103,109,101,110,116,44,32,97,110,100,32,116,104,101,114,101,102,111,114,101,32,109,105,103,104,116,32,110,111,116,32,98,101,32,116,114,117,108,121,10,0,32,32,37,108,100,32,101,110,99,114,111,97,99,104,101,100,32,115,117,98,115,101,103,109,101,110,116,115,44,32,97,110,100,32,116,104,101,114,101,102,111,114,101,32,109,105,103,104,116,32,110,111,116,32,98,101,32,116,114,117,108,121,10,0,32,32,68,101,108,97,117,110,97,121,46,32,32,73,102,32,116,104,101,32,68,101,108,97,117,110,97,121,32,112,114,111,112,101,114,116,121,32,105,115,32,105,109,112,111,114,116,97,110,116,32,116,111,32,121,111,117,44,10,0,32,32,116,114,121,32,105,110,99,114,101,97,115,105,110,103,32,116,104,101,32,110,117,109,98,101,114,32,111,102,32,83,116,101,105,110,101,114,32,112,111,105,110,116,115,32,40,99,111,110,116,114,111,108,108,101,100,32,98,121,10,0,32,32,116,104,101,32,45,83,32,115,119,105,116,99,104,41,32,115,108,105,103,104,116,108,121,32,97,110,100,32,116,114,121,32,97,103,97,105,110,46,10,10,0,65,100,100,105,110,103,32,118,101,114,116,105,99,101,115,32,102,111,114,32,115,101,99,111,110,100,45,111,114,100,101,114,32,116,114,105,97,110,103,108,101,115,46,10,0,32,32,67,114,101,97,116,105,110,103,32,40,37,46,49,50,103,44,32,37,46,49,50,103,41,46,10,0,69,114,114,111,114,58,32,32,73,110,112,117,116,32,109,117,115,116,32,104,97,118,101,32,97,116,32,108,101,97,115,116,32,116,104,114,101,101,32,105,110,112,117,116,32,118,101,114,116,105,99,101,115,46,10,0,87,114,105,116,105,110,103,32,118,101,114,116,105,99,101,115,46,10,0,87,114,105,116,105,110,103,32,116,114,105,97,110,103,108,101,115,46,10,0,87,114,105,116,105,110,103,32,115,101,103,109,101,110,116,115,46,10,0,87,114,105,116,105,110,103,32,101,100,103,101,115,46,10,0,87,114,105,116,105,110,103,32,86,111,114,111,110,111,105,32,118,101,114,116,105,99,101,115,46,10,0,87,114,105,116,105,110,103,32,86,111,114,111,110,111,105,32,101,100,103,101,115,46,10,0,87,114,105,116,105,110,103,32,110,101,105,103,104,98,111,114,115,46,10,0,77,101,115,104,32,113,117,97,108,105,116,121,32,115,116,97,116,105,115,116,105,99,115,58,10,10,0,32,32,83,109,97,108,108,101,115,116,32,97,114,101,97,58,32,37,49,54,46,53,103,32,32,32,124,32,32,76,97,114,103,101,115,116,32,97,114,101,97,58,32,37,49,54,46,53,103,10,0,32,32,83,104,111,114,116,101,115,116,32,101,100,103,101,58,32,37,49,54,46,53,103,32,32,32,124,32,32,76,111,110,103,101,115,116,32,101,100,103,101,58,32,37,49,54,46,53,103,10,0,32,32,83,104,111,114,116,101,115,116,32,97,108,116,105,116,117,100,101,58,32,37,49,50,46,53,103,32,32,32,124,32,32,76,97,114,103,101,115,116,32,97,115,112,101,99,116,32,114,97,116,105,111,58,32,37,56,46,53,103,10,10,0,32,32,84,114,105,97,110,103,108,101,32,97,115,112,101,99,116,32,114,97,116,105,111,32,104,105,115,116,111,103,114,97,109,58,10,0,32,32,49,46,49,53,52,55,32,45,32,37,45,54,46,54,103,32,32,32,32,58,32,32,37,56,100,32,32,32,32,124,32,37,54,46,54,103,32,45,32,37,45,54,46,54,103,32,32,32,32,32,58,32,32,37,56,100,10,0,32,32,37,54,46,54,103,32,45,32,37,45,54,46,54,103,32,32,32,32,58,32,32,37,56,100,32,32,32,32,124,32,37,54,46,54,103,32,45,32,37,45,54,46,54,103,32,32,32,32,32,58,32,32,37,56,100,10,0,32,32,37,54,46,54,103,32,45,32,37,45,54,46,54,103,32,32,32,32,58,32,32,37,56,100,32,32,32,32,124,32,37,54,46,54,103,32,45,32,32,32,32,32,32,32,32,32,32,32,32,58,32,32,37,56,100,10,0,32,32,40,65,115,112,101,99,116,32,114,97,116,105,111,32,105,115,32,108,111,110,103,101,115,116,32,101,100,103,101,32,100,105,118,105,100,101,100,32,98,121,32,115,104,111,114,116,101,115,116,32,97,108,116,105,116,117,100,101,41,10,10,0,32,32,83,109,97,108,108,101,115,116,32,97,110,103,108,101,58,32,37,49,53,46,53,103,32,32,32,124,32,32,76,97,114,103,101,115,116,32,97,110,103,108,101,58,32,37,49,53,46,53,103,10,10,0,32,32,65,110,103,108,101,32,104,105,115,116,111,103,114,97,109,58,10,0,32,32,32,32,37,51,100,32,45,32,37,51,100,32,100,101,103,114,101,101,115,58,32,32,37,56,100,32,32,32,32,124,32,32,32,32,37,51,100,32,45,32,37,51,100,32,100,101,103,114,101,101,115,58,32,32,37,56,100,10,0,10,83,116,97,116,105,115,116,105,99,115,58,10,10,0,32,32,73,110,112,117,116,32,118,101,114,116,105,99,101,115,58,32,37,100,10,0,32,32,73,110,112,117,116,32,116,114,105,97,110,103,108,101,115,58,32,37,100,10,0,32,32,73,110,112,117,116,32,115,101,103,109,101,110,116,115,58,32,37,100,10,0,32,32,73,110,112,117,116,32,104,111,108,101,115,58,32,37,100,10,0,10,32,32,77,101,115,104,32,118,101,114,116,105,99,101,115,58,32,37,108,100,10,0,32,32,77,101,115,104,32,116,114,105,97,110,103,108,101,115,58,32,37,108,100,10,0,32,32,77,101,115,104,32,101,100,103,101,115,58,32,37,108,100,10,0,32,32,77,101,115,104,32,101,120,116,101,114,105,111,114,32,98,111,117,110,100,97,114,121,32,101,100,103,101,115,58,32,37,108,100,10,0,32,32,77,101,115,104,32,105,110,116,101,114,105,111,114,32,98,111,117,110,100,97,114,121,32,101,100,103,101,115,58,32,37,108,100,10,0,32,32,77,101,115,104,32,115,117,98,115,101,103,109,101,110,116,115,32,40,99,111,110,115,116,114,97,105,110,101,100,32,101,100,103,101,115,41,58,32,37,108,100,10,0,77,101,109,111,114,121,32,97,108,108,111,99,97,116,105,111,110,32,115,116,97,116,105,115,116,105,99,115,58,10,10,0,32,32,77,97,120,105,109,117,109,32,110,117,109,98,101,114,32,111,102,32,118,101,114,116,105,99,101,115,58,32,37,108,100,10,0,32,32,77,97,120,105,109,117,109,32,110,117,109,98,101,114,32,111,102,32,116,114,105,97,110,103,108,101,115,58,32,37,108,100,10,0,32,32,77,97,120,105,109,117,109,32,110,117,109,98,101,114,32,111,102,32,115,117,98,115,101,103,109,101,110,116,115,58,32,37,108,100,10,0,32,32,77,97,120,105,109,117,109,32,110,117,109,98,101,114,32,111,102,32,118,105,114,105,58,32,37,108,100,10,0,32,32,77,97,120,105,109,117,109,32,110,117,109,98,101,114,32,111,102,32,101,110,99,114,111,97,99,104,101,100,32,115,117,98,115,101,103,109,101,110,116,115,58,32,37,108,100,10,0,32,32,77,97,120,105,109,117,109,32,110,117,109,98,101,114,32,111,102,32,98,97,100,32,116,114,105,97,110,103,108,101,115,58,32,37,108,100,10,0,32,32,77,97,120,105,109,117,109,32,110,117,109,98,101,114,32,111,102,32,115,116,97,99,107,101,100,32,116,114,105,97,110,103,108,101,32,102,108,105,112,115,58,32,37,108,100,10,0,32,32,77,97,120,105,109,117,109,32,110,117,109,98,101,114,32,111,102,32,115,112,108,97,121,32,116,114,101,101,32,110,111,100,101,115,58,32,37,108,100,10,0,32,32,65,112,112,114,111,120,105,109,97,116,101,32,104,101,97,112,32,109,101,109,111,114,121,32,117,115,101,32,40,98,121,116,101,115,41,58,32,37,108,100,10,10,0,65,108,103,111,114,105,116,104,109,105,99,32,115,116,97,116,105,115,116,105,99,115,58,10,10,0,32,32,78,117,109,98,101,114,32,111,102,32,105,110,99,105,114,99,108,101,32,116,101,115,116,115,58,32,37,108,100,10,0,32,32,78,117,109,98,101,114,32,111,102,32,51,68,32,111,114,105,101,110,116,97,116,105,111,110,32,116,101,115,116,115,58,32,37,108,100,10,0,32,32,78,117,109,98,101,114,32,111,102,32,50,68,32,111,114,105,101,110,116,97,116,105,111,110,32,116,101,115,116,115,58,32,37,108,100,10,0,32,32,78,117,109,98,101,114,32,111,102,32,114,105,103,104,116,45,111,102,45,104,121,112,101,114,98,111,108,97,32,116,101,115,116,115,58,32,37,108,100,10,0,32,32,78,117,109,98,101,114,32,111,102,32,99,105,114,99,108,101,32,116,111,112,32,99,111,109,112,117,116,97,116,105,111,110,115,58,32,37,108,100,10,0,32,32,78,117,109,98,101,114,32,111,102,32,116,114,105,97,110,103,108,101,32,99,105,114,99,117,109,99,101,110,116,101,114,32,99,111,109,112,117,116,97,116,105,111,110,115,58,32,37,108,100,10,0,78,79,84,32,119,114,105,116,105,110,103,32,118,101,114,116,105,99,101,115,46,10,0,78,79,84,32,119,114,105,116,105,110,103,32,116,114,105,97,110,103,108,101,115,46,10,0,78,79,84,32,119,114,105,116,105,110,103,32,115,101,103,109,101,110,116,115,46,10,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,119,114,97,112,112,101,114,115,47,106,97,118,97,115,99,114,105,112,116,47,46,47,105,111,47,46,46,47,46,46,47,46,46,47,99,47,98,97,109,103,47,46,46,47,115,104,97,114,101,100,47,46,47,77,101,109,79,112,115,47,77,101,109,79,112,115,46,104,0,32,32,32,32,32,32,32,32,32,110,97,109,101,58,32,34,0,34,10,0,32,32,32,32,32,32,32,32,32,110,117,109,101,108,58,32,0,32,32,32,32,32,32,32,32,32,110,100,105,109,115,58,32,0,32,32,32,32,32,32,32,32,32,32,115,105,122,101,58,32,0,32,32,32,32,32,32,32,32,32,32,115,105,122,101,58,32,91,101,109,112,116,121,93,10,0,32,32,32,32,32,32,32,32,32,118,97,108,117,101,58,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,119,114,97,112,112,101,114,115,47,106,97,118,97,115,99,114,105,112,116,47,46,47,105,111,47,46,46,47,46,46,47,46,46,47,99,47,99,108,97,115,115,101,115,47,46,47,79,112,116,105,111,110,115,47,79,112,116,105,111,110,46,104,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,119,114,97,112,112,101,114,115,47,106,97,118,97,115,99,114,105,112,116,47,46,47,105,111,47,46,46,47,46,46,47,46,46,47,99,47,99,108,97,115,115,101,115,47,46,47,79,112,116,105,111,110,115,47,46,47,71,101,110,101,114,105,99,79,112,116,105,111,110,46,104,0,49,51,71,101,110,101,114,105,99,79,112,116,105,111,110,73,100,69,0,54,79,112,116,105,111,110,0,54,79,98,106,101,99,116,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,119,114,97,112,112,101,114,115,47,106,97,118,97,115,99,114,105,112,116,47,46,47,105,111,47,46,46,47,46,46,47,46,46,47,99,47,99,108,97,115,115,101,115,47,46,47,67,111,110,116,111,117,114,46,104,0,32,67,111,110,116,111,117,114,58,32,0,32,32,32,32,110,111,100,115,58,32,0,32,32,99,108,111,115,101,100,58,32,0,32,32,32,120,32,44,32,121,58,10,0,55,67,111,110,116,111,117,114,73,100,69,0,37,115,37,108,102,0,112,81,122,68,113,51,48,105,97,0,100,97,116,97,32,112,114,111,118,105,100,101,100,32,115,104,111,117,108,100,32,104,97,118,101,32,101,105,116,104,101,114,32,0,32,111,114,32,0,32,108,105,110,101,115,32,40,110,111,116,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,73,110,116,101,114,112,70,114,111,109,77,101,115,104,84,111,77,101,115,104,50,100,120,47,73,110,116,101,114,112,70,114,111,109,77,101,115,104,84,111,77,101,115,104,50,100,120,46,99,112,112,0,73,110,116,101,114,112,70,114,111,109,77,101,115,104,84,111,77,101,115,104,50,100,120,0,100,101,102,97,117,108,116,0,84,114,105,97,110,103,108,101,32,110,117,109,98,101,114,32,0,32,110,111,116,32,105,110,32,91,48,32,0,93,44,32,114,101,112,111,114,116,32,98,117,103,32,116,111,32,100,101,118,101,108,111,112,101,114,115,32,40,105,110,116,101,114,112,111,108,97,116,105,111,110,32,112,111,105,110,116,58,32,0,111,112,116,105,111,110,32,111,102,32,110,97,109,101,32,34,0,34,32,110,111,116,32,102,111,117,110,100,44,32,97,110,100,32,110,111,32,100,101,102,97,117,108,116,32,118,97,108,117,101,32,104,97,115,32,98,101,101,110,32,112,114,111,118,105,100,101,100,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,73,110,116,101,114,112,70,114,111,109,77,101,115,104,84,111,77,101,115,104,50,100,120,47,46,46,47,46,46,47,99,108,97,115,115,101,115,47,46,47,79,112,116,105,111,110,115,47,79,112,116,105,111,110,115,46,104,0,71,101,116,0,101,108,101,109,101,110,116,0,101,108,101,109,101,110,116,32,97,110,100,32,110,111,100,101,0,109,97,120,32,99,111,110,110,101,99,116,105,118,105,116,121,32,119,105,100,116,104,32,114,101,97,99,104,101,100,32,40,0,41,33,32,105,110,99,114,101,97,115,101,32,119,105,100,116,104,32,111,102,32,99,111,110,110,101,99,116,105,118,105,116,121,32,116,97,98,108,101,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,78,111,100,101,67,111,110,110,101,99,116,105,118,105,116,121,120,47,78,111,100,101,67,111,110,110,101,99,116,105,118,105,116,121,120,46,99,112,112,0,78,111,100,101,67,111,110,110,101,99,116,105,118,105,116,121,120,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,100,97,116,97,115,116,114,117,99,116,117,114,101,115,47,68,97,116,97,83,101,116,46,99,112,112,0,99,111,117,108,100,32,110,111,116,32,114,101,99,111,103,110,105,122,101,32,101,110,117,109,32,116,121,112,101,58,32,0,68,97,116,97,83,101,116,32,101,99,104,111,58,32,0,32,111,98,106,101,99,116,115,10,0,116,114,121,105,110,103,32,116,111,32,98,105,110,97,114,121,32,115,101,97,114,99,104,32,111,110,32,97,32,110,111,110,45,115,111,114,116,101,100,32,100,97,116,97,115,101,116,33,0,71,101,116,79,98,106,101,99,116,66,121,73,100,0,99,111,117,108,100,32,110,111,116,32,102,105,110,100,32,111,98,106,101,99,116,32,119,105,116,104,32,105,100,32,0,32,105,110,32,68,97,116,97,83,101,116,32,0,114,98,0,114,0,32,32,32,80,114,111,99,101,115,115,105,110,103,32,102,105,110,105,116,101,32,101,108,101,109,101,110,116,32,109,111,100,101,108,32,111,102,32,97,110,97,108,121,115,105,115,32,0,32,32,32,32,32,32,99,111,110,102,105,103,117,114,105,110,103,32,101,108,101,109,101,110,116,32,97,110,100,32,108,111,97,100,115,10,0,32,32,32,32,32,32,99,114,101,97,116,105,110,103,32,118,101,114,116,101,120,32,80,73,68,115,10,0,32,32,32,32,32,32,114,101,115,111,108,118,105,110,103,32,110,111,100,101,32,99,111,110,115,116,114,97,105,110,116,115,10,0,32,32,32,32,32,32,99,114,101,97,116,105,110,103,32,110,111,100,97,108,32,100,101,103,114,101,101,115,32,111,102,32,102,114,101,101,100,111,109,10,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,70,101,109,77,111,100,101,108,46,99,112,112,0,83,111,108,117,116,105,111,110,65,110,97,108,121,115,101,115,76,105,115,116,0,32,32,32,0,70,101,109,77,111,100,101,108,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,101,108,97,112,115,101,100,32,116,105,109,101,58,0,67,111,114,101,32,115,111,108,117,116,105,111,110,32,101,108,97,112,115,101,100,32,116,105,109,101,58,0,32,32,32,84,111,116,97,108,32,101,108,97,112,115,101,100,32,116,105,109,101,58,32,0,32,104,114,115,32,0,32,109,105,110,32,0,32,115,101,99,0,67,111,117,108,100,32,110,111,116,32,102,105,110,100,32,97,108,105,97,115,32,102,111,114,32,97,110,97,108,121,115,105,115,95,116,121,112,101,32,0,32,105,110,32,108,105,115,116,32,111,102,32,70,101,109,77,111,100,101,108,32,97,110,97,108,121,115,101,115,0,32,32,32,32,32,32,116,111,111,108,107,105,116,115,32,79,112,116,105,111,110,115,32,115,101,116,32,102,111,114,32,97,110,97,108,121,115,105,115,32,116,121,112,101,58,32,0,67,111,114,101,32,115,111,108,117,116,105,111,110,32,101,108,97,112,115,101,100,32,116,105,109,101,32,32,32,32,58,32,0,32,83,101,99,111,110,100,115,10,0,67,111,114,101,32,115,111,108,117,116,105,111,110,32,110,117,109,98,101,114,32,111,102,32,102,108,111,112,115,32,58,32,0,32,70,108,111,112,115,10,0,67,111,114,101,32,115,111,108,117,116,105,111,110,32,109,101,109,111,114,121,32,117,115,101,100,32,32,32,32,32,58,32,0,32,66,121,116,101,115,10,0,101,114,114,111,114,32,114,101,97,100,105,110,103,32,116,104,101,32,98,117,102,102,101,114,32,102,114,111,109,32,109,97,114,115,104,97,108,108,101,100,32,102,105,108,101,33,0,82,101,115,116,97,114,116,0,32,32,32,117,112,100,97,116,105,110,103,32,118,101,114,116,105,99,101,115,32,112,111,115,105,116,105,111,110,115,10,0,32,32,32,85,112,100,97,116,105,110,103,32,99,111,110,115,116,114,97,105,110,116,115,32,97,110,100,32,97,99,116,105,118,101,32,100,111,109,97,105,110,32,111,102,32,97,110,97,108,121,115,105,115,32,0,32,102,111,114,32,116,105,109,101,58,32,0,110,111,32,109,97,115,115,32,102,108,117,120,32,115,101,103,109,101,110,116,115,32,97,118,97,105,108,97,98,108,101,33,0,77,97,115,115,70,108,117,120,120,0,73,110,116,101,114,112,111,108,97,116,105,111,110,32,0,82,101,113,117,101,115,116,101,100,79,117,116,112,117,116,115,120,0,83,104,111,117,108,100,32,110,111,116,32,98,101,32,114,101,113,117,101,115,116,105,110,103,32,100,101,112,101,110,100,101,110,116,115,32,119,104,101,110,32,97,110,32,65,68,32,108,105,98,114,97,114,121,32,105,115,32,110,111,116,32,97,118,97,105,108,97,98,108,101,33,0,82,101,113,117,101,115,116,101,100,68,101,112,101,110,100,101,110,116,115,120,0,109,111,114,101,32,116,104,97,110,32,51,32,99,111,110,116,114,111,108,115,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,32,121,101,116,0,79,117,116,112,117,116,67,111,110,116,114,111,108,115,120,0,13,0,32,32,32,32,32,32,99,111,110,118,111,108,117,116,105,111,110,32,112,114,111,103,114,101,115,115,58,32,0,37,32,32,0,37,32,32,32,0,32,32,32,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,110,111,100,101,115,32,105,110,32,69,80,76,32,108,97,121,101,114,58,32,0,32,32,32,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,110,111,100,101,115,32,76,50,32,80,114,111,106,101,99,116,105,111,110,58,32,0,99,111,117,108,100,32,110,111,116,32,105,110,105,116,105,97,108,105,122,101,32,111,117,116,112,117,116,32,115,116,114,101,97,109,0,73,110,105,116,70,114,111,109,66,117,102,102,101,114,115,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,46,47,80,97,114,97,109,115,47,71,101,110,101,114,105,99,80,97,114,97,109,46,104,0,32,32,32,87,65,82,78,73,78,71,58,32,112,97,114,97,109,101,116,101,114,32,0,32,105,115,32,97,32,71,101,110,101,114,105,99,80,97,114,97,109,32,97,110,100,32,99,97,110,110,111,116,32,98,101,32,109,97,114,115,104,97,108,108,101,100,10,0,71,101,110,101,114,105,99,80,97,114,97,109,58,10,0,32,32,32,101,110,117,109,58,32,32,0,49,50,71,101,110,101,114,105,99,80,97,114,97,109,73,80,106,69,0,53,80,97,114,97,109,0,49,50,71,101,110,101,114,105,99,80,97,114,97,109,73,80,80,99,69,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,46,47,69,120,116,101,114,110,97,108,82,101,115,117,108,116,115,47,71,101,110,101,114,105,99,69,120,116,101,114,110,97,108,82,101,115,117,108,116,46,104,0,87,114,105,116,101,68,97,116,97,0,71,101,110,101,114,105,99,69,120,116,101,114,110,97,108,82,101,115,117,108,116,32,105,110,115,116,97,110,116,105,97,116,101,100,32,102,111,114,32,116,121,112,101,32,86,101,99,116,111,114,60,73,115,115,109,68,111,117,98,108,101,62,42,32,99,97,108,108,101,100,32,0,71,101,110,101,114,105,99,69,120,116,101,114,110,97,108,82,101,115,117,108,116,60,86,101,99,116,111,114,60,73,115,115,109,80,68,111,117,98,108,101,62,42,62,58,10,0,50,49,71,101,110,101,114,105,99,69,120,116,101,114,110,97,108,82,101,115,117,108,116,73,80,54,86,101,99,116,111,114,73,100,69,69,0,49,52,69,120,116,101,114,110,97,108,82,101,115,117,108,116,0,71,101,110,101,114,105,99,69,120,116,101,114,110,97,108,82,101,115,117,108,116,60,73,115,115,109,80,68,111,117,98,108,101,42,62,58,10,0,32,32,32,91,32,0,32,93,10,0,50,49,71,101,110,101,114,105,99,69,120,116,101,114,110,97,108,82,101,115,117,108,116,73,80,100,69,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,46,46,47,116,111,111,108,107,105,116,115,47,46,47,111,98,106,101,99,116,115,47,46,46,47,105,115,115,109,47,46,47,73,115,115,109,86,101,99,46,104,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,46,46,47,116,111,111,108,107,105,116,115,47,46,47,111,98,106,101,99,116,115,47,46,46,47,105,115,115,109,47,46,47,73,115,115,109,83,101,113,86,101,99,46,104,0,73,115,115,109,83,101,113,86,101,99,32,115,105,122,101,32,0,10,32,0,49,48,73,115,115,109,83,101,113,86,101,99,73,100,69,0,49,48,73,115,115,109,65,98,115,86,101,99,73,100,69,0,99,97,110,110,111,116,32,99,114,101,97,116,101,32,112,101,116,115,99,32,118,101,99,116,111,114,32,119,105,116,104,111,117,116,32,80,69,84,83,67,32,99,111,109,112,105,108,101,100,33,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,46,46,47,116,111,111,108,107,105,116,115,47,46,47,111,98,106,101,99,116,115,47,46,47,86,101,99,116,111,114,46,104,0,71,101,110,101,114,105,99,77,97,114,115,104,97,108,108,0,71,101,110,101,114,105,99,69,120,116,101,114,110,97,108,82,101,115,117,108,116,60,100,111,117,98,108,101,62,58,10,0,50,49,71,101,110,101,114,105,99,69,120,116,101,114,110,97,108,82,101,115,117,108,116,73,100,69,0,49,50,71,101,110,101,114,105,99,80,97,114,97,109,73,105,69,0,49,52,84,114,97,110,115,105,101,110,116,73,110,112,117,116,0,84,114,97,110,115,105,101,110,116,73,110,112,117,116,58,10,0,32,32,32,110,117,109,116,105,109,101,115,116,101,112,115,58,32,0,45,45,45,105,110,112,117,116,115,58,32,10,0,32,32,32,116,105,109,101,58,32,0,32,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,73,110,112,117,116,115,47,84,114,97,110,115,105,101,110,116,73,110,112,117,116,46,99,112,112,0,116,105,109,101,115,116,101,112,32,118,97,108,117,101,115,32,109,117,115,116,32,105,110,99,114,101,97,115,101,32,115,101,113,117,101,110,116,105,97,108,108,121,0,65,100,100,84,105,109,101,73,110,112,117,116,0,53,73,110,112,117,116,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,73,110,112,117,116,115,47,46,46,47,46,47,73,110,112,117,116,115,47,84,114,97,110,115,105,101,110,116,73,110,112,117,116,46,104,0,49,50,83,112,99,84,114,97,110,115,105,101,110,116,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,67,111,110,115,116,114,97,105,110,116,115,47,46,46,47,46,46,47,115,104,97,114,101,100,47,46,47,77,101,109,79,112,115,47,77,101,109,79,112,115,46,104,0,83,112,99,84,114,97,110,115,105,101,110,116,58,10,0,32,32,32,110,115,116,101,112,115,58,32,0,32,32,32,115,116,101,112,115,124,116,105,109,101,115,124,118,97,108,117,101,115,10],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+57832);allocate([0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,67,111,110,115,116,114,97,105,110,116,115,47,83,112,99,84,114,97,110,115,105,101,110,116,46,99,112,112,0,99,111,117,108,100,32,110,111,116,32,102,105,110,100,32,116,105,109,101,32,115,101,103,109,101,110,116,32,102,111,114,32,99,111,110,115,116,114,97,105,110,116,0,67,111,110,115,116,114,97,105,110,78,111,100,101,0,99,97,110,110,111,116,32,114,101,116,117,114,110,32,100,111,102,32,97,110,100,32,118,97,108,117,101,32,102,111,114,32,110,111,110,32,112,101,110,97,108,116,121,32,99,111,110,115,116,114,97,105,110,116,0,49,48,67,111,110,115,116,114,97,105,110,116,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,46,46,47,115,104,97,114,101,100,47,46,47,77,101,109,79,112,115,47,77,101,109,79,112,115,46,104,0,117,110,107,110,111,119,110,32,105,110,115,101,114,116,32,109,111,100,101,33,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,46,47,69,108,101,109,101,110,116,115,47,46,46,47,46,46,47,116,111,111,108,107,105,116,115,47,46,47,111,98,106,101,99,116,115,47,46,46,47,105,115,115,109,47,46,47,73,115,115,109,68,101,110,115,101,77,97,116,46,104,0,83,101,116,86,97,108,117,101,115,0,65,32,97,110,100,32,65,88,32,115,104,111,117,108,100,32,104,97,118,101,32,116,104,101,32,115,97,109,101,32,110,117,109,98,101,114,32,111,102,32,114,111,119,115,33,0,77,97,116,77,117,108,116,0,65,32,97,110,100,32,88,32,115,104,111,117,108,100,32,104,97,118,101,32,116,104,101,32,115,97,109,101,32,110,117,109,98,101,114,32,111,102,32,99,111,108,117,109,110,115,33,0,117,110,107,110,111,119,110,32,110,111,114,109,32,33,0,78,111,114,109,0,73,115,115,109,68,101,110,115,101,77,97,116,32,115,105,122,101,32,0,49,50,73,115,115,109,68,101,110,115,101,77,97,116,73,100,69,0,49,48,73,115,115,109,65,98,115,77,97,116,73,100,69,0,112,101,116,115,99,0,99,97,110,110,111,116,32,99,114,101,97,116,101,32,112,101,116,115,99,32,109,97,116,114,105,120,32,119,105,116,104,111,117,116,32,80,69,84,83,67,32,99,111,109,112,105,108,101,100,33,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,46,47,69,108,101,109,101,110,116,115,47,46,46,47,46,46,47,116,111,111,108,107,105,116,115,47,46,47,111,98,106,101,99,116,115,47,46,47,77,97,116,114,105,120,46,104,0,73,110,105,116,67,104,101,99,107,65,110,100,83,101,116,84,121,112,101,0,117,110,107,110,111,119,32,116,111,111,108,107,105,116,32,116,121,112,101,32,0,52,78,111,100,101,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,78,111,100,101,46,99,112,112,0,78,111,100,101,58,10,0,32,32,32,97,110,97,108,121,115,105,115,95,101,110,117,109,58,32,0,32,32,32,97,112,112,114,111,120,105,109,97,116,105,111,110,58,32,0,32,32,32,105,110,100,101,120,105,110,103,117,112,100,97,116,101,58,32,0,71,101,116,68,111,102,0,71,101,116,68,111,102,76,105,115,116,0,71,101,116,76,111,99,97,108,68,111,102,76,105,115,116,0,67,97,110,110,111,116,32,99,104,97,110,103,101,32,100,111,102,32,111,102,32,102,114,111,122,101,110,32,110,111,100,101,0,68,111,102,73,110,70,83,101,116,0,71,101,116,78,117,109,98,101,114,79,102,68,111,102,115,0,86,101,99,77,101,114,103,101,32,99,97,110,32,111,110,108,121,32,109,101,114,103,101,32,102,114,111,109,32,116,104,101,32,115,32,111,114,32,102,45,115,101,116,32,111,110,116,111,32,116,104,101,32,103,45,115,101,116,33,0,86,101,99,77,101,114,103,101,0,86,101,99,82,101,100,117,99,101,32,99,97,110,32,111,110,108,121,32,109,101,114,103,101,32,102,114,111,109,32,116,104,101,32,115,32,111,114,32,102,45,115,101,116,32,111,110,116,111,32,116,104,101,32,103,45,115,101,116,33,0,86,101,99,82,101,100,117,99,101,0,68,105,115,116,114,105,98,117,116,101,68,111,102,115,0,79,102,102,115,101,116,68,111,102,115,0,83,104,111,119,84,114,117,101,68,111,102,115,0,85,112,100,97,116,101,67,108,111,110,101,68,111,102,115,0,54,86,101,114,116,101,120,0,86,101,114,116,101,120,58,10,0,32,32,32,112,105,100,58,32,0,32,32,32,120,58,32,0,32,32,32,121,58,32,0,32,32,32,122,58,32,0,32,32,32,115,105,103,109,97,58,32,0,32,32,32,99,111,110,110,101,99,116,105,118,105,116,121,58,32,0,32,32,32,99,108,111,110,101,58,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,86,101,114,116,101,120,46,99,112,112,0,85,112,100,97,116,101,80,111,115,105,116,105,111,110,0,55,69,108,101,109,101,110,116,0,73,110,112,117,116,32,109,105,115,115,105,110,103,46,32,72,101,114,101,32,97,114,101,32,116,104,101,32,105,110,112,117,116,32,112,111,105,110,116,101,114,115,32,119,101,32,104,97,118,101,32,102,111,114,32,118,120,58,32,0,44,32,118,121,58,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,69,108,101,109,101,110,116,115,47,69,108,101,109,101,110,116,46,99,112,112,0,83,116,114,97,105,110,82,97,116,101,83,83,65,0,44,32,118,122,58,32,0,83,116,114,97,105,110,82,97,116,101,70,83,0,67,111,111,114,100,105,110,97,116,101,32,115,121,115,116,101,109,32,0,67,111,111,114,100,105,110,97,116,101,83,121,115,116,101,109,84,114,97,110,115,102,111,114,109,0,32,101,108,101,109,101,110,116,58,10,0,32,32,32,105,100,32,58,32,0,118,101,114,116,105,99,101,115,32,61,32,78,85,76,76,10,0,110,111,100,101,115,32,61,32,78,85,76,76,10,0,109,97,116,101,114,105,97,108,32,61,32,78,85,76,76,10,0,109,97,116,112,97,114,32,61,32,78,85,76,76,10,0,112,97,114,97,109,101,116,101,114,115,32,61,32,78,85,76,76,10,0,32,32,32,105,110,112,117,116,115,10,0,105,110,112,117,116,115,61,78,85,76,76,10,0,83,116,114,97,105,110,82,97,116,101,72,79,0,83,116,114,97,105,110,82,97,116,101,72,79,50,100,118,101,114,116,105,99,97,108,0,83,116,114,97,105,110,82,97,116,101,83,83,65,49,100,0,68,101,108,116,97,49,56,111,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,0,77,117,110,103,115,109,116,112,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,0,68,101,108,116,97,49,56,111,112,100,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,0,110,111,100,101,115,91,0,93,32,61,32,0,71,101,116,73,110,112,117,116,76,105,115,116,79,110,78,111,100,101,115,0,71,101,116,73,110,112,117,116,76,105,115,116,79,110,78,111,100,101,115,86,101,108,111,99,105,116,121,0,71,101,116,73,110,112,117,116,76,105,115,116,79,110,86,101,114,116,105,99,101,115,0,73,110,112,117,116,67,114,101,97,116,101,0,110,111,100,97,108,32,118,101,99,116,111,114,32,105,115,32,101,105,116,104,101,114,32,110,117,109,98,101,114,111,102,118,101,114,116,105,99,101,115,32,111,114,32,110,117,109,98,101,114,111,102,118,101,114,116,105,99,101,115,43,49,32,108,111,110,103,46,32,70,105,101,108,100,32,112,114,111,118,105,100,101,100,32,40,0,41,32,105,115,32,0,32,108,111,110,103,0,99,111,117,108,100,32,110,111,116,32,114,101,99,111,103,110,105,122,101,32,110,97,116,117,114,101,32,111,102,32,118,101,99,116,111,114,32,102,114,111,109,32,99,111,100,101,32,0,101,108,101,109,101,110,116,32,118,101,99,116,111,114,32,105,115,32,101,105,116,104,101,114,32,110,117,109,98,101,114,111,102,101,108,101,109,101,110,116,115,32,111,114,32,110,117,109,98,101,114,111,102,101,108,101,109,101,110,116,115,43,49,32,108,111,110,103,46,32,70,105,101,108,100,32,112,114,111,118,105,100,101,100,32,40,0,67,97,110,110,111,116,32,97,100,100,32,105,110,112,117,116,32,102,111,114,32,118,101,99,116,111,114,32,116,121,112,101,32,0,32,40,110,111,116,32,115,117,112,112,111,114,116,101,100,41,0,109,105,103,114,97,116,105,111,110,95,115,116,121,108,101,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,32,121,101,116,0,73,115,70,108,111,97,116,105,110,103,0,77,97,114,115,104,97,108,108,69,108,101,109,101,110,116,0,69,114,114,111,114,58,32,109,105,103,114,97,116,105,111,110,32,115,104,111,117,108,100,32,98,101,32,65,103,103,114,101,115,115,105,118,101,44,32,83,111,102,116,44,32,83,117,98,101,108,101,109,101,110,116,44,32,67,111,110,116,97,99,116,32,111,114,32,71,114,111,117,110,100,105,110,103,79,110,108,121,0,77,105,103,114,97,116,101,71,114,111,117,110,100,105,110,103,76,105,110,101,0,80,111,115,105,116,105,118,101,68,101,103,114,101,101,68,97,121,0,82,101,115,117,108,116,73,110,116,101,114,112,111,108,97,116,105,111,110,0,78,111,32,101,105,103,101,110,32,118,97,108,117,101,32,102,111,117,110,100,0,83,116,114,101,115,115,77,97,120,80,114,105,110,99,105,112,97,108,67,114,101,97,116,101,73,110,112,117,116,0,82,101,115,117,108,116,84,111,77,97,116,114,105,120,0,82,101,115,117,108,116,84,111,86,101,99,116,111,114,0,105,110,116,101,114,112,111,108,97,116,105,111,110,32,0,115,109,98,32,99,111,114,101,58,32,73,110,105,116,105,97,108,105,122,105,110,103,32,103,114,105,100,10,0,84,105,109,101,58,32,116,61,0,32,121,114,47,0,32,121,114,0,32,83,116,101,112,58,32,0,116,111,116,97,108,32,115,121,115,116,101,109,32,109,97,115,115,32,110,111,116,32,99,111,110,115,101,114,118,101,100,32,105,110,32,77,66,32,102,117,110,99,116,105,111,110,0,84,40,101,110,100,41,126,61,84,95,98,111,116,116,111,109,0,84,114,97,110,115,102,111,114,109,73,110,118,83,116,105,102,102,110,101,115,115,77,97,116,114,105,120,67,111,111,114,100,0,84,114,97,110,115,102,111,114,109,76,111,97,100,86,101,99,116,111,114,67,111,111,114,100,0,84,114,97,110,115,102,111,114,109,83,111,108,117,116,105,111,110,67,111,111,114,100,0,84,114,97,110,115,102,111,114,109,83,116,105,102,102,110,101,115,115,77,97,116,114,105,120,67,111,111,114,100,0,54,85,112,100,97,116,101,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,69,108,101,109,101,110,116,115,47,46,46,47,46,47,69,108,101,109,101,110,116,115,47,69,108,101,109,101,110,116,46,104,0,82,101,115,101,116,76,101,118,101,108,115,101,116,70,114,111,109,83,101,103,109,101,110,116,108,105,115,116,0,87,114,105,116,101,76,101,118,101,108,115,101,116,83,101,103,109,101,110,116,0,67,97,108,118,105,110,103,82,97,116,101,68,101,118,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,69,108,101,109,101,110,116,115,47,69,108,101,109,101,110,116,72,111,111,107,46,99,112,112,0,51,83,101,103,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,69,108,101,109,101,110,116,115,47,83,101,103,46,99,112,112,0,102,114,111,110,116,32,105,115,32,110,111,116,32,108,111,99,97,116,101,100,32,111,110,32,101,108,101,109,101,110,116,32,101,100,103,101,0,54,83,101,103,82,101,102,0,49,49,69,108,101,109,101,110,116,72,111,111,107,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,69,108,101,109,101,110,116,115,47,46,46,47,46,47,69,108,101,109,101,110,116,115,47,83,101,103,46,104,0,86,97,108,117,101,80,49,79,110,71,97,117,115,115,0,83,101,116,67,117,114,114,101,110,116,67,111,110,102,105,103,117,114,97,116,105,111,110,0,82,101,115,101,116,72,111,111,107,115,0,82,101,100,117,99,101,77,97,116,114,105,99,101,115,0,78,117,109,98,101,114,111,102,78,111,100,101,115,86,101,108,111,99,105,116,121,0,78,117,109,98,101,114,111,102,78,111,100,101,115,80,114,101,115,115,117,114,101,0,78,111,114,109,97,108,84,111,112,0,78,111,114,109,97,108,66,97,115,101,0,78,111,100,97,108,70,117,110,99,116,105,111,110,115,84,101,110,115,111,114,0,78,111,100,97,108,70,117,110,99,116,105,111,110,115,86,101,108,111,99,105,116,121,0,78,111,100,97,108,70,117,110,99,116,105,111,110,115,80,114,101,115,115,117,114,101,0,78,111,100,97,108,70,117,110,99,116,105,111,110,115,68,101,114,105,118,97,116,105,118,101,115,86,101,108,111,99,105,116,121,0,78,101,119,71,97,117,115,115,84,111,112,0,78,101,119,71,97,117,115,115,66,97,115,101,0,74,97,99,111,98,105,97,110,68,101,116,101,114,109,105,110,97,110,116,84,111,112,0,74,97,99,111,98,105,97,110,68,101,116,101,114,109,105,110,97,110,116,66,97,115,101,0,71,101,116,86,101,114,116,105,99,101,115,67,111,111,114,100,105,110,97,116,101,115,84,111,112,0,71,101,116,86,101,114,116,105,99,101,115,67,111,111,114,100,105,110,97,116,101,115,66,97,115,101,0,71,101,116,69,108,101,109,101,110,116,84,121,112,101,0,69,108,101,109,101,110,116,83,105,122,101,115,0,67,111,110,102,105,103,117,114,101,0,65,100,100,73,110,112,117,116,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,69,108,101,109,101,110,116,115,47,83,101,103,82,101,102,46,99,112,112,0,52,84,114,105,97,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,69,108,101,109,101,110,116,115,47,84,114,105,97,46,99,112,112,0,108,105,115,116,32,111,102,32,118,101,114,116,105,99,101,115,32,111,110,32,98,101,100,58,32,0,67,111,117,108,100,32,110,111,116,32,102,105,110,100,32,50,32,118,101,114,116,105,99,101,115,32,111,110,32,98,101,100,0,69,100,103,101,79,110,66,97,115,101,73,110,100,101,120,0,78,111,116,32,73,109,112,108,101,109,101,110,116,101,100,32,121,101,116,0,115,116,114,101,115,115,32,116,101,110,115,111,114,32,99,97,108,99,117,108,97,116,105,111,110,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,102,111,114,32,109,101,115,104,32,111,102,32,116,121,112,101,32,0,44,32,101,120,116,114,117,100,101,32,109,101,115,104,32,111,114,32,99,97,108,108,32,67,111,109,112,117,116,101,68,101,118,105,97,116,111,114,105,99,83,116,114,101,115,115,84,101,110,115,111,114,0,69,100,103,101,79,110,66,97,115,101,73,110,100,105,99,101,115,0,108,105,115,116,32,111,102,32,118,101,114,116,105,99,101,115,32,111,110,32,115,117,114,102,97,99,101,58,32,0,67,111,117,108,100,32,110,111,116,32,102,105,110,100,32,50,32,118,101,114,116,105,99,101,115,32,111,110,32,115,117,114,102,97,99,101,0,69,100,103,101,79,110,83,117,114,102,97,99,101,73,110,100,105,99,101,115,0,87,114,111,110,103,32,110,117,109,98,101,114,32,111,102,32,105,99,101,32,118,101,114,116,105,99,101,115,32,105,110,32,84,114,105,97,58,58,71,101,116,76,101,118,101,108,115,101,116,73,110,116,101,114,115,101,99,116,105,111,110,33,0,71,101,116,76,101,118,101,108,115,101,116,73,110,116,101,114,115,101,99,116,105,111,110,0,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,32,0,84,119,111,32,101,100,103,101,115,32,111,110,32,98,101,100,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,46,46,46,0,72,97,115,69,100,103,101,79,110,66,97,115,101,0,84,119,111,32,101,100,103,101,115,32,111,110,32,115,117,114,102,97,99,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,46,46,46,0,72,97,115,69,100,103,101,79,110,83,117,114,102,97,99,101,0,78,97,78,32,102,111,117,110,100,32,105,110,32,118,101,99,116,111,114,0,73,110,102,32,102,111,117,110,100,32,105,110,32,118,101,99,116,111,114,0,84,119,111,32,101,100,103,101,115,32,111,110,32,98,111,117,110,100,97,114,121,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,46,46,46,0,73,115,79,110,66,97,115,101,0,73,115,79,110,83,117,114,102,97,99,101,0,101,114,114,111,114,32,109,101,115,115,97,103,101,58,32,115,101,103,109,101,110,116,32,119,105,116,104,32,105,100,32,0,32,100,111,101,115,32,110,111,116,32,98,101,108,111,110,103,32,116,111,32,101,108,101,109,101,110,116,32,119,105,116,104,32,105,100,58,0,83,112,97,119,110,84,111,112,69,108,101,109,101,110,116,0,116,104,105,99,107,110,101,115,115,32,105,110,112,117,116,32,110,101,101,100,101,100,32,116,111,32,99,111,109,112,117,116,101,32,103,105,97,32,100,101,102,108,101,99,116,105,111,110,33,0,109,97,110,116,108,101,32,118,105,115,99,111,115,105,116,121,32,105,110,112,117,116,32,110,101,101,100,101,100,32,116,111,32,99,111,109,112,117,116,101,32,103,105,97,32,100,101,102,108,101,99,116,105,111,110,33,0,108,105,116,104,111,115,112,104,101,114,101,32,116,104,105,99,107,110,101,115,115,32,105,110,112,117,116,32,110,101,101,100,101,100,32,116,111,32,99,111,109,112,117,116,101,32,103,105,97,32,100,101,102,108,101,99,116,105,111,110,33,0,100,101,108,116,97,32,116,104,105,99,107,110,101,115,115,32,105,110,112,117,116,32,110,101,101,100,101,100,32,116,111,32,99,111,109,112,117,116,101,32,115,101,97,32,108,101,118,101,108,32,114,105,115,101,33,0,55,84,114,105,97,82,101,102,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,69,108,101,109,101,110,116,115,47,46,46,47,46,47,69,108,101,109,101,110,116,115,47,84,114,105,97,46,104,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,69,108,101,109,101,110,116,115,47,84,114,105,97,82,101,102,46,99,112,112,0,71,101,116,83,101,103,109,101,110,116,78,111,100,97,108,70,117,110,99,116,105,111,110,115,0,69,100,103,101,32,105,110,100,101,120,32,112,114,111,118,105,100,101,100,32,40,0,41,32,105,115,32,110,111,116,32,98,101,116,119,101,101,110,32,48,32,97,110,100,32,50,0,78,111,100,101,79,110,69,100,103,101,73,110,100,105,99,101,115,0,53,84,101,116,114,97,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,69,108,101,109,101,110,116,115,47,84,101,116,114,97,46,99,112,112,0,67,111,117,108,100,32,110,111,116,32,102,105,110,100,32,51,32,118,101,114,116,105,99,101,115,32,111,110,32,98,101,100,0,70,97,99,101,79,110,66,97,115,101,73,110,100,105,99,101,115,0,70,97,99,101,79,110,70,114,111,110,116,73,110,100,105,99,101,115,0,70,97,99,101,79,110,83,117,114,102,97,99,101,73,110,100,105,99,101,115,0,56,84,101,116,114,97,82,101,102,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,69,108,101,109,101,110,116,115,47,46,46,47,46,47,69,108,101,109,101,110,116,115,47,84,101,116,114,97,46,104,0,86,101,114,116,105,99,97,108,83,101,103,109,101,110,116,73,110,100,105,99,101,115,0,86,101,114,116,101,120,67,111,110,110,101,99,116,105,118,105,116,121,0,86,97,108,117,101,80,49,68,101,114,105,118,97,116,105,118,101,115,79,110,71,97,117,115,115,0,85,112,100,97,116,101,80,111,116,101,110,116,105,97,108,85,110,103,114,111,117,110,100,105,110,103,0,85,112,100,97,116,101,67,111,110,115,116,114,97,105,110,116,115,69,120,116,114,117,100,101,70,114,111,109,84,111,112,0,85,112,100,97,116,101,67,111,110,115,116,114,97,105,110,116,115,69,120,116,114,117,100,101,70,114,111,109,66,97,115,101,0,84,105,109,101,65,100,97,112,116,0,83,116,97,98,105,108,105,122,97,116,105,111,110,80,97,114,97,109,101,116,101,114,0,83,101,116,84,101,109,112,111,114,97,114,121,69,108,101,109,101,110,116,84,121,112,101,0,80,111,116,101,110,116,105,97,108,85,110,103,114,111,117,110,100,105,110,103,0,78,111,100,97,108,86,97,108,117,101,0,78,111,100,97,108,70,117,110,99,116,105,111,110,115,80,50,0,78,111,100,97,108,70,117,110,99,116,105,111,110,115,80,49,68,101,114,105,118,97,116,105,118,101,115,0,78,111,100,97,108,70,117,110,99,116,105,111,110,115,80,49,0,78,111,100,97,108,70,117,110,99,116,105,111,110,115,77,73,78,73,68,101,114,105,118,97,116,105,118,101,115,0,78,101,119,71,97,117,115,115,76,105,110,101,0,77,105,110,69,100,103,101,76,101,110,103,116,104,0,74,97,99,111,98,105,97,110,68,101,116,101,114,109,105,110,97,110,116,76,105,110,101,0,73,115,90,101,114,111,76,101,118,101,108,115,101,116,0,73,115,78,111,100,101,79,110,83,104,101,108,102,70,114,111,109,70,108,97,103,115,0,71,101,116,85,112,112,101,114,69,108,101,109,101,110,116,0,71,101,116,83,111,108,117,116,105,111,110,70,114,111,109,73,110,112,117,116,115,79,110,101,68,111,102,0,71,101,116,78,111,100,101,0,71,101,116,73,99,101,102,114,111,110,116,67,111,111,114,100,105,110,97,116,101,115,0,71,101,116,71,114,111,117,110,100,101,100,80,97,114,116,0,71,101,116,66,97,115,97,108,69,108,101,109,101,110,116,0,70,83,67,111,110,116,97,99,116,77,105,103,114,97,116,105,111,110,0,67,111,109,112,117,116,101,83,116,114,101,115,115,84,101,110,115,111,114,0,67,111,109,112,117,116,101,68,101,118,105,97,116,111,114,105,99,83,116,114,101,115,115,84,101,110,115,111,114,0,67,97,108,118,105,110,103,82,97,116,101,76,101,118,101,114,109,97,110,110,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,69,108,101,109,101,110,116,115,47,84,101,116,114,97,82,101,102,46,99,112,112,0,71,101,116,74,97,99,111,98,105,97,110,68,101,116,101,114,109,105,110,97,110,116,70,97,99,101,0,53,80,101,110,116,97,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,69,108,101,109,101,110,116,115,47,80,101,110,116,97,46,99,112,112,0,65,100,100,66,97,115,97,108,73,110,112,117,116,0,78,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,33,0,65,118,101,114,97,103,101,79,110,116,111,80,97,114,116,105,116,105,111,110,0,67,111,109,112,117,116,101,66,97,115,97,108,83,116,114,101,115,115,0,67,111,110,116,114,111,108,73,110,112,117,116,83,101,116,71,114,97,100,105,101,110,116,0,32,105,115,32,110,111,116,32,97,32,67,111,110,116,114,111,108,73,110,112,117,116,0,67,111,110,116,114,111,108,84,111,86,101,99,116,111,114,115,0,82,101,115,112,111,110,115,101,32,116,121,112,101,32,0,69,108,101,109,101,110,116,82,101,115,112,111,110,115,101,0,69,114,114,111,114,46,32,80,114,111,98,108,101,109,32,119,105,116,104,32,112,111,114,116,105,111,110,32,111,102,32,103,114,111,117,110,100,101,100,32,101,108,101,109,101,110,116,58,32,118,97,108,117,101,32,115,104,111,117,108,100,32,98,101,32,98,101,116,119,101,101,110,32,48,32,97,110,100,32,49,0,71,101,116,71,114,111,117,110,100,101,100,80,111,114,116,105,111,110,0,78,111,32,105,110,112,117,116,32,111,102,32,116,121,112,101,32,0,32,102,111,117,110,100,32,105,110,32,116,114,105,97,0,78,111,100,101,32,112,114,111,118,105,100,101,100,32,110,111,116,32,102,111,117,110,100,32,97,109,111,110,103,32,101,108,101,109,101,110,116,32,110,111,100,101,115,0,71,101,116,78,111,100,101,73,110,100,101,120,0,71,101,116,86,101,99,116,111,114,70,114,111,109,67,111,110,116,114,111,108,73,110,112,117,116,115,0,105,110,112,117,116,32,0,73,110,112,117,116,67,111,110,116,114,111,108,85,112,100,97,116,101,0,99,111,117,108,100,32,110,111,116,32,102,105,110,100,32,105,110,112,117,116,32,119,105,116,104,32,101,110,117,109,32,0,73,110,112,117,116,68,101,112,116,104,65,118,101,114,97,103,101,65,116,66,97,115,101,0,111,98,106,101,99,116,32,0,73,110,112,117,116,69,120,116,114,117,100,101,0,99,111,117,108,100,32,110,111,116,32,102,105,110,100,32,111,108,100,32,105,110,112,117,116,32,119,105,116,104,32,101,110,117,109,58,32,0,73,110,112,117,116,83,99,97,108,101,0,73,110,112,117,116,85,112,100,97,116,101,70,114,111,109,83,111,108,117,116,105,111,110,79,110,101,68,111,102,0,73,110,112,117,116,85,112,100,97,116,101,70,114,111,109,83,111,108,117,116,105,111,110,79,110,101,68,111,102,67,111,108,108,97,112,115,101,100,0,73,110,112,117,116,85,112,100,97,116,101,70,114,111,109,86,101,99,116,111,114,0,116,121,112,101,32,0,41,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,32,121,101,116,0,70,108,111,119,32,101,113,117,97,116,105,111,110,32,97,112,112,114,111,120,105,109,97,116,105,111,110,0,82,101,115,101,116,70,83,66,97,115,97,108,66,111,117,110,100,97,114,121,67,111,110,100,105,116,105,111,110,0,83,101,116,67,111,110,116,114,111,108,73,110,112,117,116,115,70,114,111,109,86,101,99,116,111,114,0,83,112,97,119,110,66,97,115,97,108,69,108,101,109,101,110,116,0,85,112,100,97,116,101,0,67,97,115,101,32,110,111,116,32,99,111,118,101,114,101,100,0,90,101,114,111,76,101,118,101,108,115,101,116,67,111,111,114,100,105,110,97,116,101,115,0,71,73,65,32,100,101,102,108,101,99,116,105,111,110,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,32,121,101,116,33,0,71,105,97,68,101,102,108,101,99,116,105,111,110,0,56,80,101,110,116,97,82,101,102,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,69,108,101,109,101,110,116,115,47,46,46,47,46,47,69,108,101,109,101,110,116,115,47,80,101,110,116,97,46,104,0,71,101,116,65,114,101,97,51,68,0,79,99,101,97,110,65,114,101,97,0,79,99,101,97,110,65,118,101,114,97,103,101,0,83,101,97,108,101,118,101,108,114,105,115,101,78,111,110,69,117,115,116,97,116,105,99,0,83,101,97,108,101,118,101,108,114,105,115,101,69,117,115,116,97,116,105,99,0,84,101,110,115,111,114,73,110,116,101,114,112,111,108,97,116,105,111,110,0,78,101,119,71,97,117,115,115,0,77,105,115,102,105,116,65,114,101,97,0,73,115,70,97,99,101,79,110,66,111,117,110,100,97,114,121,0,71,101,116,76,101,118,101,108,115,101,116,80,111,115,105,116,105,118,101,80,97,114,116,0,71,101,116,76,101,118,101,108,67,111,111,114,100,105,110,97,116,101,115,0,67,111,109,112,117,116,101,83,105,103,109,97,78,78,0,67,104,97,114,97,99,116,101,114,105,115,116,105,99,76,101,110,103,116,104,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,69,108,101,109,101,110,116,115,47,80,101,110,116,97,82,101,102,46,99,112,112,0,66,97,115,97,108,78,111,100,101,73,110,100,105,99,101,115,0,78,117,109,98,101,114,111,102,78,111,100,101,115,0,71,101,116,78,111,100,97,108,70,117,110,99,116,105,111,110,115,0,110,101,103,97,116,105,118,101,32,106,97,99,111,98,105,97,110,32,100,101,116,101,114,109,105,110,97,110,116,33,0,71,101,116,74,97,99,111,98,105,97,110,68,101,116,101,114,109,105,110,97,110,116,0,71,101,116,78,111,100,97,108,70,117,110,99,116,105,111,110,115,68,101,114,105,118,97,116,105,118,101,115,82,101,102,101,114,101,110,99,101,0,71,101,116,81,117,97,100,74,97,99,111,98,105,97,110,68,101,116,101,114,109,105,110,97,110,116,0,71,101,116,83,101,103,109,101,110,116,74,97,99,111,98,105,97,110,68,101,116,101,114,109,105,110,97,110,116,0,71,101,116,84,114,105,97,74,97,99,111,98,105,97,110,68,101,116,101,114,109,105,110,97,110,116,0,80,114,101,115,115,117,114,101,73,110,116,101,114,112,111,108,97,116,105,111,110,0,83,117,114,102,97,99,101,78,111,100,101,73,110,100,105,99,101,115,0,86,101,108,111,99,105,116,121,73,110,116,101,114,112,111,108,97,116,105,111,110,0,99,111,117,108,100,32,110,111,116,32,102,105,110,100,32,105,110,112,117,116,32,119,105,116,104,32,101,110,117,109,32,116,121,112,101,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,73,110,112,117,116,115,47,73,110,112,117,116,115,46,99,112,112,0,99,111,117,108,100,32,110,111,116,32,102,105,110,100,32,105,110,112,117,116,32,119,105,116,104,32,101,110,117,109,58,32,0,68,117,112,108,105,99,97,116,101,73,110,112,117,116,0,56,83,101,103,73,110,112,117,116,0,32,32,32,83,101,103,73,110,112,117,116,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,73,110,112,117,116,115,47,83,101,103,73,110,112,117,116,46,99,112,112,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,73,110,112,117,116,115,47,46,46,47,46,47,73,110,112,117,116,115,47,83,101,103,73,110,112,117,116,46,104,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,73,110,112,117,116,115,47,46,46,47,46,46,47,99,108,97,115,115,101,115,47,73,110,112,117,116,115,47,73,110,112,117,116,46,104,0,57,84,114,105,97,73,110,112,117,116,0,32,32,32,84,114,105,97,73,110,112,117,116,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,73,110,112,117,116,115,47,84,114,105,97,73,110,112,117,116,46,99,112,112,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,73,110,112,117,116,115,47,46,46,47,46,47,73,110,112,117,116,115,47,84,114,105,97,73,110,112,117,116,46,104,0,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,32,121,101,116,32,40,73,110,112,117,116,32,105,115,32,0,57,66,111,111,108,73,110,112,117,116,0,32,32,32,66,111,111,108,73,110,112,117,116,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,73,110,112,117,116,115,47,66,111,111,108,73,110,112,117,116,46,99,112,112,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,73,110,112,117,116,115,47,46,46,47,46,47,73,110,112,117,116,115,47,66,111,111,108,73,110,112,117,116,46,104,0,67,111,110,115,116,114,97,105,110,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,32,102,111,114,32,98,111,111,108,101,97,110,115,0,77,105,110,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,32,102,111,114,32,98,111,111,108,101,97,110,115,0,77,97,120,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,32,102,111,114,32,98,111,111,108,101,97,110,115,0,73,110,102,105,110,105,116,121,78,111,114,109,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,32,102,111,114,32,98,111,111,108,101,97,110,115,0,56,73,110,116,73,110,112,117,116,0,32,32,32,73,110,116,73,110,112,117,116,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,73,110,112,117,116,115,47,73,110,116,73,110,112,117,116,46,99,112,112,0,73,110,116,73,110,112,117,116,32,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,32,73,115,115,109,68,111,117,98,108,101,32,105,110,32,112,97,114,97,108,108,101,108,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,73,110,112,117,116,115,47,46,46,47,46,47,73,110,112,117,116,115,47,73,110,116,73,110,112,117,116,46,104,0,77,105,110,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,32,102,111,114,32,105,110,116,101,103,101,114,115,0,77,97,120,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,32,102,111,114,32,105,110,116,101,103,101,114,115,0,73,110,102,105,110,105,116,121,78,111,114,109,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,32,102,111,114,32,105,110,116,101,103,101,114,115,0,49,49,68,111,117,98,108,101,73,110,112,117,116,0,32,32,32,68,111,117,98,108,101,73,110,112,117,116,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,73,110,112,117,116,115,47,68,111,117,98,108,101,73,110,112,117,116,46,99,112,112,0,68,111,117,98,108,101,32,105,110,112,117,116,32,111,102,32,101,110,117,109,32,0,32,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,32,98,111,111,108,101,97,110,0,110,111,116,32,115,117,112,112,111,114,116,101,32,121,101,116,33,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,73,110,112,117,116,115,47,46,46,47,46,47,73,110,112,117,116,115,47,68,111,117,98,108,101,73,110,112,117,116,46,104,0,49,54,68,111,117,98,108,101,65,114,114,97,121,73,110,112,117,116,0,32,32,32,68,111,117,98,108,101,65,114,114,97,121,73,110,112,117,116,32,0,32,83,105,122,101,58,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,73,110,112,117,116,115,47,68,111,117,98,108,101,65,114,114,97,121,73,110,112,117,116,46,99,112,112,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,73,110,112,117,116,115,47,46,46,47,46,47,73,110,112,117,116,115,47,68,111,117,98,108,101,65,114,114,97,121,73,110,112,117,116,46,104,0,83,112,97,119,110,84,114,105,97,73,110,112,117,116,0,49,50,68,97,116,97,115,101,116,73,110,112,117,116,0,68,97,116,97,115,101,116,73,110,112,117,116,58,10,0,32,32,32,110,117,109,105,100,115,58,0,32,32,32,105,110,112,117,116,115,58,32,10,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,73,110,112,117,116,115,47,46,46,47,46,46,47,115,104,97,114,101,100,47,46,47,77,101,109,79,112,115,47,77,101,109,79,112,115,46,104,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,73,110,112,117,116,115,47,68,97,116,97,115,101,116,73,110,112,117,116,46,99,112,112,0,67,111,117,108,100,32,110,111,116,32,102,105,110,100,32,105,110,112,117,116,32,111,102,32,105,100,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,73,110,112,117,116,115,47,46,46,47,46,47,73,110,112,117,116,115,47,68,97,116,97,115,101,116,73,110,112,117,116,46,104,0,71,101,116,82,101,115,117,108,116,65,114,114,97,121,83,105,122,101,0,71,101,116,82,101,115,117,108,116,78,117,109,98,101,114,79,102,78,111,100,101,115,0,71,101,116,82,101,115,117,108,116,73,110,116,101,114,112,111,108,97,116,105,111,110,0,77,105,110,0,71,101,116,73,110,112,117,116,65,118,101,114,97,103,101,0,71,101,116,73,110,112,117,116,68,101,114,105,118,97,116,105,118,101,86,97,108,117,101,0,54,77,97,116,105,99,101,0,77,97,116,101,114,105,97,108,32,116,121,112,101,32,110,111,116,32,114,101,99,111,103,110,105,122,101,100,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,77,97,116,101,114,105,97,108,115,47,77,97,116,105,99,101,46,99,112,112,0,77,97,116,105,99,101,58,10,0,78,101,103,97,116,105,118,101,32,118,105,115,99,111,115,105,116,121,0,73,110,112,117,116,32,109,105,115,115,105,110,103,0,56,77,97,116,101,114,105,97,108,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,77,97,116,101,114,105,97,108,115,47,46,47,77,97,116,105,99,101,46,104,0,54,77,97,116,112,97,114,0,109,100,46,109,97,116,101,114,105,97,108,115,46,114,104,111,95,119,97,116,101,114,0,109,100,46,109,97,116,101,114,105,97,108,115,46,114,104,111,95,102,114,101,115,104,119,97,116,101,114,0,109,100,46,109,97,116,101,114,105,97,108,115,46,109,117,95,119,97,116,101,114,0,109,100,46,109,97,116,101,114,105,97],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+68072);allocate([108,115,46,116,104,101,114,109,97,108,99,111,110,100,117,99,116,105,118,105,116,121,0,109,100,46,109,97,116,101,114,105,97,108,115,46,116,101,109,112,101,114,97,116,101,105,99,101,99,111,110,100,117,99,116,105,118,105,116,121,0,109,100,46,109,97,116,101,114,105,97,108,115,46,108,97,116,101,110,116,104,101,97,116,0,109,100,46,109,97,116,101,114,105,97,108,115,46,98,101,116,97,0,109,100,46,109,97,116,101,114,105,97,108,115,46,109,101,108,116,105,110,103,112,111,105,110,116,0,109,100,46,109,97,116,101,114,105,97,108,115,46,109,105,120,101,100,95,108,97,121,101,114,95,99,97,112,97,99,105,116,121,0,109,100,46,109,97,116,101,114,105,97,108,115,46,116,104,101,114,109,97,108,95,101,120,99,104,97,110,103,101,95,118,101,108,111,99,105,116,121,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,77,97,116,101,114,105,97,108,115,47,77,97,116,112,97,114,46,99,112,112,0,109,100,46,104,121,100,114,111,108,111,103,121,46,115,101,100,105,109,101,110,116,95,99,111,109,112,114,101,115,115,105,98,105,108,105,116,121,0,109,100,46,104,121,100,114,111,108,111,103,121,46,115,101,100,105,109,101,110,116,95,112,111,114,111,115,105,116,121,0,109,100,46,104,121,100,114,111,108,111,103,121,46,115,101,100,105,109,101,110,116,95,116,104,105,99,107,110,101,115,115,0,109,100,46,104,121,100,114,111,108,111,103,121,46,119,97,116,101,114,95,99,111,109,112,114,101,115,115,105,98,105,108,105,116,121,0,109,100,46,104,121,100,114,111,108,111,103,121,46,101,112,108,95,99,111,109,112,114,101,115,115,105,98,105,108,105,116,121,0,109,100,46,104,121,100,114,111,108,111,103,121,46,101,112,108,95,112,111,114,111,115,105,116,121,0,109,100,46,104,121,100,114,111,108,111,103,121,46,101,112,108,95,105,110,105,116,105,97,108,95,116,104,105,99,107,110,101,115,115,0,109,100,46,104,121,100,114,111,108,111,103,121,46,101,112,108,95,99,111,108,97,112,115,101,95,116,104,105,99,107,110,101,115,115,0,109,100,46,104,121,100,114,111,108,111,103,121,46,101,112,108,95,109,97,120,95,116,104,105,99,107,110,101,115,115,0,109,100,46,104,121,100,114,111,108,111,103,121,46,101,112,108,95,99,111,110,100,117,99,116,105,118,105,116,121,0,109,100,46,109,97,116,101,114,105,97,108,115,46,108,105,116,104,111,115,112,104,101,114,101,95,115,104,101,97,114,95,109,111,100,117,108,117,115,0,109,100,46,109,97,116,101,114,105,97,108,115,46,108,105,116,104,111,115,112,104,101,114,101,95,100,101,110,115,105,116,121,0,109,100,46,109,97,116,101,114,105,97,108,115,46,109,97,110,116,108,101,95,115,104,101,97,114,95,109,111,100,117,108,117,115,0,109,100,46,109,97,116,101,114,105,97,108,115,46,109,97,110,116,108,101,95,100,101,110,115,105,116,121,0,109,100,46,109,97,116,101,114,105,97,108,115,46,101,97,114,116,104,95,100,101,110,115,105,116,121,0,77,97,116,101,114,105,97,108,32,0,77,97,116,112,97,114,58,10,0,32,32,32,114,104,111,95,105,99,101,58,32,0,32,32,32,114,104,111,95,119,97,116,101,114,58,32,0,32,32,32,114,104,111,95,102,114,101,115,104,119,97,116,101,114,58,32,0,32,32,32,109,117,95,119,97,116,101,114,58,32,0,32,32,32,104,101,97,116,99,97,112,97,99,105,116,121,58,32,0,32,32,32,116,104,101,114,109,97,108,99,111,110,100,117,99,116,105,118,105,116,121,58,32,0,32,32,32,116,101,109,112,101,114,97,116,101,105,99,101,99,111,110,100,117,99,116,105,118,105,116,121,58,32,0,32,32,32,108,97,116,101,110,116,104,101,97,116,58,32,0,32,32,32,98,101,116,97,58,32,0,32,32,32,109,101,108,116,105,110,103,112,111,105,110,116,58,32,0,32,32,32,114,101,102,101,114,101,110,99,101,116,101,109,112,101,114,97,116,117,114,101,58,32,0,32,32,32,109,105,120,101,100,95,108,97,121,101,114,95,99,97,112,97,99,105,116,121,58,32,0,32,32,32,116,104,101,114,109,97,108,95,101,120,99,104,97,110,103,101,95,118,101,108,111,99,105,116,121,58,32,0,32,32,32,103,58,32,0,32,32,32,100,101,115,102,97,99,58,32,0,32,32,32,114,108,97,112,115,58,32,0,32,32,32,114,108,97,112,115,108,103,109,58,32,0,32,32,32,100,112,101,114,109,105,108,58,32,0,71,101,116,77,97,116,101,114,105,97,108,80,97,114,97,109,101,116,101,114,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,77,97,116,101,114,105,97,108,115,47,46,46,47,46,47,77,97,116,101,114,105,97,108,115,47,77,97,116,112,97,114,46,104,0,86,105,115,99,111,115,105,116,121,83,83,65,0,86,105,115,99,111,115,105,116,121,72,79,0,86,105,115,99,111,115,105,116,121,70,83,68,101,114,105,118,97,116,105,118,101,69,112,115,83,113,117,97,114,101,0,86,105,115,99,111,115,105,116,121,70,83,0,99,111,112,121,50,0,57,83,112,99,83,116,97,116,105,99,0,83,112,99,83,116,97,116,105,99,58,10,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,67,111,110,115,116,114,97,105,110,116,115,47,83,112,99,83,116,97,116,105,99,46,99,112,112,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,67,111,110,115,116,114,97,105,110,116,115,47,46,46,47,46,47,67,111,110,115,116,114,97,105,110,116,115,47,83,112,99,83,116,97,116,105,99,46,104,0,49,48,83,112,99,68,121,110,97,109,105,99,0,83,112,99,68,121,110,97,109,105,99,58,10,0,32,32,32,115,105,100,58,32,0,32,32,32,110,111,100,101,105,100,58,32,0,32,32,32,100,111,102,58,32,0,32,32,32,105,115,115,101,116,58,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,67,111,110,115,116,114,97,105,110,116,115,47,83,112,99,68,121,110,97,109,105,99,46,99,112,112,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,67,111,110,115,116,114,97,105,110,116,115,47,46,46,47,46,47,67,111,110,115,116,114,97,105,110,116,115,47,83,112,99,68,121,110,97,109,105,99,46,104,0,80,101,110,97,108,116,121,68,111,102,65,110,100,86,97,108,117,101,0,55,80,101,110,112,97,105,114,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,76,111,97,100,115,47,80,101,110,112,97,105,114,46,99,112,112,0,80,101,110,112,97,105,114,58,10,0,52,76,111,97,100,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,76,111,97,100,115,47,46,46,47,46,47,76,111,97,100,115,47,80,101,110,112,97,105,114,46,104,0,55,80,101,110,103,114,105,100,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,76,111,97,100,115,47,80,101,110,103,114,105,100,46,99,112,112,0,80,101,110,103,114,105,100,58,10,0,32,32,32,97,99,116,105,118,101,32,0,32,32,32,122,105,103,122,97,103,95,99,111,117,110,116,101,114,32,0,97,110,97,108,121,115,105,115,58,32,0,67,111,110,115,116,114,97,105,110,116,65,99,116,105,118,97,116,101,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,76,111,97,100,115,47,46,46,47,46,47,76,111,97,100,115,47,80,101,110,103,114,105,100,46,104,0,49,51,78,117,109,101,114,105,99,97,108,102,108,117,120,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,76,111,97,100,115,47,78,117,109,101,114,105,99,97,108,102,108,117,120,46,99,112,112,0,78,117,109,101,114,105,99,97,108,102,108,117,120,58,10,0,32,32,32,102,108,117,120,95,116,121,112,101,58,32,0,116,121,112,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,0,67,114,101,97,116,101,75,77,97,116,114,105,120,77,97,115,115,116,114,97,110,115,112,111,114,116,0,67,114,101,97,116,101,75,77,97,116,114,105,120,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,0,67,114,101,97,116,101,75,77,97,116,114,105,120,65,100,106,111,105,110,116,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,0,67,114,101,97,116,101,80,86,101,99,116,111,114,77,97,115,115,116,114,97,110,115,112,111,114,116,0,67,114,101,97,116,101,80,86,101,99,116,111,114,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,0,78,117,109,101,114,105,99,97,108,102,108,117,120,32,116,121,112,101,32,0,71,101,116,78,111,100,101,115,76,105,100,76,105,115,116,0,71,101,116,78,111,100,101,115,83,105,100,76,105,115,116,0,71,101,116,78,117,109,98,101,114,79,102,78,111,100,101,115,0,67,97,110,110,111,116,32,119,101,97,107,108,121,32,97,112,112,108,121,32,99,111,110,115,116,114,97,105,110,116,32,98,101,99,97,117,115,101,32,78,97,78,32,119,97,115,32,112,114,111,118,105,100,101,100,0,67,114,101,97,116,101,80,86,101,99,116,111,114,77,97,115,115,116,114,97,110,115,112,111,114,116,66,111,117,110,100,97,114,121,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,76,111,97,100,115,47,46,46,47,46,47,76,111,97,100,115,47,78,117,109,101,114,105,99,97,108,102,108,117,120,46,104,0,73,110,112,117,116,32,69,108,101,109,101,110,116,32,77,97,116,114,105,120,32,105,115,32,97,32,78,85,76,76,32,112,111,105,110,116,101,114,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,109,97,116,114,105,120,47,69,108,101,109,101,110,116,77,97,116,114,105,120,46,99,112,112,0,69,108,101,109,101,110,116,77,97,116,114,105,120,0,109,101,114,103,105,110,103,32,50,32,110,111,110,32,100,111,102,115,121,109,109,101,116,114,105,99,97,108,32,109,97,116,114,105,99,101,115,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,32,121,101,116,0,110,111,110,32,100,111,102,115,121,109,109,101,116,114,105,99,97,108,32,109,97,116,114,105,120,32,65,100,100,84,111,71,108,111,98,97,108,32,114,111,117,116,105,110,101,32,110,111,116,32,115,117,112,112,111,114,116,32,121,101,116,33,0,65,100,100,84,111,71,108,111,98,97,108,0,65,100,100,68,105,97,103,111,110,97,108,84,111,71,108,111,98,97,108,0,76,117,109,112,0,84,114,97,110,115,112,111,115,101,0,84,119,111,32,105,110,112,117,116,32,101,108,101,109,101,110,116,32,109,97,116,114,105,99,101,115,32,97,114,101,32,78,85,76,76,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,109,97,116,114,105,120,47,69,108,101,109,101,110,116,86,101,99,116,111,114,46,99,112,112,0,69,108,101,109,101,110,116,86,101,99,116,111,114,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,109,97,116,114,105,120,47,46,46,47,46,46,47,115,104,97,114,101,100,47,46,47,77,101,109,79,112,115,47,77,101,109,79,112,115,46,104,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,80,97,114,97,109,115,47,80,97,114,97,109,101,116,101,114,115,46,99,112,112,0,32,110,111,116,32,115,101,116,0,70,105,110,100,80,97,114,97,109,0,99,111,117,108,100,32,102,105,110,100,32,110,101,105,116,104,101,114,32,97,32,100,101,102,97,117,108,116,32,97,110,97,108,121,115,105,115,32,110,111,114,32,97,110,97,108,121,115,105,115,32,0,79,112,116,105,111,110,115,70,114,111,109,65,110,97,108,121,115,105,115,0,57,66,111,111,108,80,97,114,97,109,0,32,32,32,66,111,111,108,80,97,114,97,109,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,80,97,114,97,109,115,47,66,111,111,108,80,97,114,97,109,46,99,112,112,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,80,97,114,97,109,115,47,46,46,47,46,47,80,97,114,97,109,115,47,66,111,111,108,80,97,114,97,109,46,104,0,32,99,97,110,110,111,116,32,104,111,108,100,32,97,110,32,73,115,115,109,80,68,111,117,98,108,101,0,32,99,97,110,110,111,116,32,104,111,108,100,32,97,110,32,105,110,116,0,56,73,110,116,80,97,114,97,109,0,32,32,32,73,110,116,80,97,114,97,109,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,80,97,114,97,109,115,47,73,110,116,80,97,114,97,109,46,99,112,112,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,80,97,114,97,109,115,47,46,46,47,46,47,80,97,114,97,109,115,47,73,110,116,80,97,114,97,109,46,104,0,32,99,97,110,110,111,116,32,104,111,108,100,32,97,110,32,105,110,116,32,97,114,114,97,121,0,32,99,97,110,110,111,116,32,104,111,108,100,32,97,110,32,73,115,115,109,68,111,117,98,108,101,0,32,99,97,110,110,111,116,32,104,111,108,100,32,97,32,98,111,111,108,0,49,49,73,110,116,86,101,99,80,97,114,97,109,0,73,110,116,86,101,99,80,97,114,97,109,58,10,0,32,32,32,118,101,99,116,111,114,32,115,105,122,101,58,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,80,97,114,97,109,115,47,73,110,116,86,101,99,80,97,114,97,109,46,99,112,112,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,80,97,114,97,109,115,47,46,46,47,46,47,80,97,114,97,109,115,47,73,110,116,86,101,99,80,97,114,97,109,46,104,0,32,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,32,73,115,115,109,68,111,117,98,108,101,32,97,114,114,97,121,32,40,109,97,121,98,101,32,105,110,32,115,101,114,105,97,108,63,41,0,32,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,32,109,97,116,114,105,120,0,49,49,73,110,116,77,97,116,80,97,114,97,109,0,73,110,116,77,97,116,80,97,114,97,109,58,10,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,80,97,114,97,109,115,47,73,110,116,77,97,116,80,97,114,97,109,46,99,112,112,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,80,97,114,97,109,115,47,46,46,47,46,47,80,97,114,97,109,115,47,73,110,116,77,97,116,80,97,114,97,109,46,104,0,49,49,68,111,117,98,108,101,80,97,114,97,109,0,32,32,32,68,111,117,98,108,101,80,97,114,97,109,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,80,97,114,97,109,115,47,68,111,117,98,108,101,80,97,114,97,109,46,99,112,112,0,68,111,117,98,108,101,32,112,97,114,97,109,32,111,102,32,101,110,117,109,32,0,41,32,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,110,32,105,110,116,101,103,101,114,0,41,32,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,110,32,98,111,111,108,0,41,32,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,110,32,97,114,114,97,121,32,111,102,32,105,110,116,101,103,101,114,115,0,41,32,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,110,32,97,114,114,97,121,32,111,102,32,73,115,115,109,68,111,117,98,108,101,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,80,97,114,97,109,115,47,46,46,47,46,47,80,97,114,97,109,115,47,68,111,117,98,108,101,80,97,114,97,109,46,104,0,57,70,105,108,101,80,97,114,97,109,0,32,32,32,70,105,108,101,80,97,114,97,109,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,80,97,114,97,109,115,47,70,105,108,101,80,97,114,97,109,46,99,112,112,0,70,105,108,101,32,112,97,114,97,109,32,111,102,32,101,110,117,109,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,80,97,114,97,109,115,47,46,46,47,46,47,80,97,114,97,109,115,47,70,105,108,101,80,97,114,97,109,46,104,0,49,54,83,116,114,105,110,103,65,114,114,97,121,80,97,114,97,109,0,32,32,32,83,116,114,105,110,103,65,114,114,97,121,80,97,114,97,109,32,0,32,123,0,125,10,0,32,39,0,39,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,80,97,114,97,109,115,47,83,116,114,105,110,103,65,114,114,97,121,80,97,114,97,109,46,99,112,112,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,80,97,114,97,109,115,47,46,46,47,46,47,80,97,114,97,109,115,47,83,116,114,105,110,103,65,114,114,97,121,80,97,114,97,109,46,104,0,86,101,99,32,112,97,114,97,109,32,111,102,32,101,110,117,109,32,0,49,52,68,111,117,98,108,101,77,97,116,80,97,114,97,109,0,68,111,117,98,108,101,77,97,116,80,97,114,97,109,58,10,0,32,32,32,109,97,116,114,105,120,32,115,105,122,101,58,32,0,120,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,80,97,114,97,109,115,47,68,111,117,98,108,101,77,97,116,80,97,114,97,109,46,99,112,112,0,68,111,117,98,108,101,77,97,116,32,111,102,32,101,110,117,109,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,80,97,114,97,109,115,47,46,46,47,46,47,80,97,114,97,109,115,47,68,111,117,98,108,101,77,97,116,80,97,114,97,109,46,104,0,49,57,68,111,117,98,108,101,77,97,116,65,114,114,97,121,80,97,114,97,109,0,68,111,117,98,108,101,77,97,116,65,114,114,97,121,80,97,114,97,109,58,10,0,32,32,32,97,114,114,97,121,32,115,105,122,101,58,32,0,32,32,32,97,114,114,97,121,32,112,111,105,110,116,101,114,58,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,80,97,114,97,109,115,47,68,111,117,98,108,101,77,97,116,65,114,114,97,121,80,97,114,97,109,46,99,112,112,0,41,32,99,97,110,110,111,116,32,104,111,108,100,32,97,32,70,73,76,69,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,80,97,114,97,109,115,47,46,46,47,46,47,80,97,114,97,109,115,47,68,111,117,98,108,101,77,97,116,65,114,114,97,121,80,97,114,97,109,46,104,0,99,97,110,110,111,116,32,104,111,108,100,32,97,32,77,97,116,0,99,97,110,110,111,116,32,104,111,108,100,32,97,32,86,101,99,0,99,97,110,110,111,116,32,104,111,108,100,32,97,32,105,110,116,32,109,97,116,32,97,114,114,97,121,0,99,97,110,110,111,116,32,104,111,108,100,32,97,32,105,110,116,32,118,101,99,32,97,114,114,97,121,0,99,97,110,110,111,116,32,104,111,108,100,32,97,32,73,115,115,109,68,111,117,98,108,101,32,109,97,116,32,97,114,114,97,121,0,99,97,110,110,111,116,32,104,111,108,100,32,97,32,73,115,115,109,68,111,117,98,108,101,32,118,101,99,32,97,114,114,97,121,0,99,97,110,110,111,116,32,104,111,108,100,32,97,32,115,116,114,105,110,103,32,97,114,114,97,121,0,99,97,110,110,111,116,32,104,111,108,100,32,97,32,115,116,114,105,110,103,0,99,97,110,110,111,116,32,104,111,108,100,32,97,32,115,99,97,108,97,114,0,99,97,110,110,111,116,32,104,111,108,100,32,97,110,32,105,110,116,101,103,101,114,0,99,97,110,110,111,116,32,104,111,108,100,32,97,32,98,111,111,108,101,97,110,0,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,32,70,73,76,69,0,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,32,77,97,116,0,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,32,86,101,99,0,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,32,73,115,115,109,68,111,117,98,108,101,32,97,114,114,97,121,0,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,32,115,116,114,105,110,103,32,97,114,114,97,121,0,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,32,115,116,114,105,110,103,0,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,32,73,115,115,109,68,111,117,98,108,101,0,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,110,32,97,114,114,97,121,32,111,102,32,105,110,116,101,103,101,114,115,0,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,110,32,105,110,116,101,103,101,114,0,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,32,98,111,111,108,0,49,52,68,111,117,98,108,101,86,101,99,80,97,114,97,109,0,32,32,32,68,111,117,98,108,101,86,101,99,80,97,114,97,109,32,0,32,115,105,122,101,58,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,80,97,114,97,109,115,47,68,111,117,98,108,101,86,101,99,80,97,114,97,109,46,99,112,112,0,68,111,117,98,108,101,86,101,99,32,112,97,114,97,109,32,111,102,32,101,110,117,109,32,0,41,32,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,110,32,97,114,114,97,121,32,111,102,32,105,110,116,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,80,97,114,97,109,115,47,46,46,47,46,47,80,97,114,97,109,115,47,68,111,117,98,108,101,86,101,99,80,97,114,97,109,46,104,0,32,99,97,110,110,111,116,32,104,111,108,100,32,97,32,73,115,115,109,68,111,117,98,108,101,32,109,97,116,32,97,114,114,97,121,0,49,49,83,116,114,105,110,103,80,97,114,97,109,0,32,32,32,83,116,114,105,110,103,80,97,114,97,109,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,80,97,114,97,109,115,47,83,116,114,105,110,103,80,97,114,97,109,46,99,112,112,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,80,97,114,97,109,115,47,46,46,47,46,47,80,97,114,97,109,115,47,83,116,114,105,110,103,80,97,114,97,109,46,104,0,66,111,111,108,32,112,97,114,97,109,32,111,102,32,101,110,117,109,32,0,41,32,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,32,70,73,76,69,0,49,52,84,114,97,110,115,105,101,110,116,80,97,114,97,109,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,80,97,114,97,109,115,47,46,46,47,46,46,47,115,104,97,114,101,100,47,46,47,77,101,109,79,112,115,47,77,101,109,79,112,115,46,104,0,84,114,97,110,115,105,101,110,116,80,97,114,97,109,58,10,0,32,32,32,101,110,117,109,58,32,0,32,32,32,115,105,122,101,58,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,80,97,114,97,109,115,47,84,114,97,110,115,105,101,110,116,80,97,114,97,109,46,99,112,112,0,80,97,114,97,109,101,116,101,114,32,0,32,99,97,110,110,111,116,32,104,111,108,100,32,97,110,32,97,114,114,97,121,32,111,102,32,109,97,116,114,105,99,101,115,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,80,97,114,97,109,115,47,46,46,47,46,47,80,97,114,97,109,115,47,84,114,97,110,115,105,101,110,116,80,97,114,97,109,46,104,0,32,99,97,110,110,111,116,32,104,111,108,100,32,97,32,70,73,76,69,0,32,99,97,110,110,111,116,32,104,111,108,100,32,97,32,105,110,116,32,109,97,116,32,97,114,114,97,121,0,32,99,97,110,110,111,116,32,104,111,108,100,32,97,32,105,110,116,32,118,101,99,32,97,114,114,97,121,0,32,99,97,110,110,111,116,32,104,111,108,100,32,97,32,73,115,115,109,68,111,117,98,108,101,32,118,101,99,32,97,114,114,97,121,0,32,99,97,110,110,111,116,32,104,111,108,100,32,97,32,115,99,97,108,97,114,0,32,99,97,110,110,111,116,32,104,111,108,100,32,97,110,32,105,110,116,101,103,101,114,0,32,99,97,110,110,111,116,32,104,111,108,100,32,97,32,98,111,111,108,101,97,110,0,32,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,32,68,97,116,97,83,101,116,0,32,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,32,70,73,76,69,0,32,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,32,109,97,116,114,105,120,32,97,114,114,97,121,0,32,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,32,97,114,114,97,121,32,111,102,32,105,110,116,101,103,101,114,115,0,32,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,110,32,97,114,114,97,121,32,111,102,32,105,110,116,101,103,101,114,115,0,32,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,110,32,105,110,116,101,103,101,114,0,49,50,68,97,116,97,83,101,116,80,97,114,97,109,0,32,32,32,68,97,116,97,83,101,116,80,97,114,97,109,32,0,32,45,45,45,45,45,32,98,101,103,105,110,10,0,32,45,45,45,45,45,32,101,110,100,10,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,80,97,114,97,109,115,47,68,97,116,97,83,101,116,80,97,114,97,109,46,99,112,112,0,68,97,116,97,83,101,116,32,112,97,114,97,109,32,111,102,32,101,110,117,109,32,0,41,32,99,97,110,110,111,116,32,104,111,108,100,32,97,110,32,97,114,114,97,121,32,111,102,32,109,97,116,114,105,99,101,115,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,80,97,114,97,109,115,47,46,46,47,46,47,80,97,114,97,109,115,47,68,97,116,97,83,101,116,80,97,114,97,109,46,104,0,83,101,116,86,97,108,117,101,0,80,97,114,97,109,32,0,32,99,97,110,110,111,116,32,104,111,108,100,32,97,32,102,105,108,101,32,112,111,105,110,116,101,114,0,32,99,97,110,110,111,116,32,104,111,108,100,32,97,32,77,97,116,0,32,99,97,110,110,111,116,32,104,111,108,100,32,97,32,86,101,99,0,32,99,97,110,110,111,116,32,104,111,108,100,32,97,32,105,110,116,32,97,114,114,97,121,0,32,99,97,110,110,111,116,32,104,111,108,100,32,97,32,73,115,115,109,68,111,117,98,108,101,32,97,114,114,97,121,0,32,99,97,110,110,111,116,32,104,111,108,100,32,97,32,115,116,114,105,110,103,32,97,114,114,97,121,0,32,99,97,110,110,111,116,32,104,111,108,100,32,97,32,115,116,114,105,110,103,0,32,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,32,102,105,108,101,32,112,111,105,110,116,101,114,0,71,101,116,80,97,114,97,109,101,116,101,114,86,97,108,117,101,0,32,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,32,77,97,116,0,32,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,32,86,101,99,0,41,32,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,32,109,97,116,114,105,120,32,97,114,114,97,121,0,32,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,32,73,115,115,109,68,111,117,98,108,101,32,97,114,114,97,121,0,32,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,32,115,116,114,105,110,103,32,97,114,114,97,121,0,32,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,32,115,116,114,105,110,103,0,32,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,32,73,115,115,109,68,111,117,98,108,101,32,102,111,114,32,97,32,103,105,118,101,110,32,116,105,109,101,0,32,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,32,73,115,115,109,68,111,117,98,108,101,0,32,99,97,110,110,111,116,32,114,101,116,117,114,110,32,97,32,98,111,111,108,0,56,80,114,111,102,105,108,101,114,0,80,114,111,102,105,108,101,114,58,10,0,32,32,32,116,105,109,101,32,116,97,103,115,58,32,10,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,80,114,111,102,105,108,101,114,46,99,112,112,0,84,97,103,32,97,108,114,101,97,100,121,32,101,120,105,115,116,115,0,84,97,103,0,84,97,103,32,110,111,116,32,115,101,116,0,68,101,108,116,97,84,105,109,101,0,68,101,108,116,97,70,108,111,112,115,0,77,101,109,111,114,121,0,77,97,116,114,105,120,32,65,32,97,110,100,32,66,32,105,110,110,101,114,32,118,101,99,116,111,114,115,32,110,111,116,32,101,113,117,97,108,32,115,105,122,101,46,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,115,104,97,114,101,100,47,77,97,116,114,105,120,47,77,97,116,114,105,120,85,116,105,108,115,46,99,112,112,0,84,114,105,112,108,101,77,117,108,116,105,112,108,121,0,77,97,116,114,105,120,32,66,32,97,110,100,32,67,32,105,110,110,101,114,32,118,101,99,116,111,114,115,32,110,111,116,32,101,113,117,97,108,32,115,105,122,101,46,0,77,97,116,114,105,120,32,65,32,97,110,100,32,66,32,105,110,110,101,114,32,118,101,99,116,111,114,115,32,110,111,116,32,101,113,117,97,108,32,115,105,122,101,0,77,97,116,114,105,120,77,117,108,116,105,112,108,121,0,78,111,32,114,105,103,104,116,45,104,97,110,100,32,115,105,100,101,32,102,111,114,32,110,118,101,99,61,0,77,97,116,114,105,120,73,110,118,101,114,115,101,0,80,105,118,111,116,32,0,32,108,101,115,115,32,116,104,97,110,32,109,97,99,104,105,110,101,32,101,112,115,105,108,111,110,0,68,101,116,101,114,109,105,110,97,110,116,32,115,109,97,108,108,101,114,32,116,104,97,110,32,109,97,99,104,105,110,101,32,101,112,115,105,108,111,110,0,77,97,116,114,105,120,50,120,50,73,110,118,101,114,116,0,77,97,116,114,105,120,51,120,51,73,110,118,101,114,116,0,77,97,116,114,105,120,52,120,52,73,110,118,101,114,116,0,84,104,105,115,32,102,117,110,99,116,105,111,110,32,115,104,111,117,108,100,32,111,110,108,121,32,98,101,32,99,97,108,108,101,100,32,98,121,32,99,112,117,32,48,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,115,104,97,114,101,100,47,105,111,47,68,105,115,107,47,112,102,111,112,101,110,46,99,112,112,0,112,102,111,112,101,110,48,0,99,111,117,108,100,32,110,111,116,32,111,112,101,110,32,102,105,108,101,32,0,32,102,111,114,32,98,105,110,97,114,121,32,114,101,97,100,105,110,103,32,111,114,32,119,114,105,116,105,110,103,0,112,102,111,112,101,110,0,99,111,117,108,100,32,110,111,116,32,99,108,111,115,101,32,102,105,108,101,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,115,104,97,114,101,100,47,105,111,47,68,105,115,107,47,112,102,99,108,111,115,101,46,99,112,112,0,112,102,99,108,111,115,101,0,67,97,110,110,111,116,32,114,101,116,117,114,110,32,99,111,109,109,32,105,110,32,115,101,114,105,97,108,32,109,111,100,101,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,115,104,97,114,101,100,47,105,111,47,67,111,109,109,47,73,115,115,109,67,111,109,109,46,99,112,112,0,71,101,116,67,111,109,109,0,117,110,107,110,111,119,110,0,80,97,114,97,109,101,116,101,114,115,83,84,65,82,84,0,70,101,109,77,111,100,101,108,0,70,101,109,77,111,100,101,108,67,111,109,109,0,87,111,114,108,100,67,111,109,109,0,73,99,101,99,97,112,84,111,69,97,114,116,104,67,111,109,109,0,78,117,109,77,111,100,101,108,115,0,77,111,100,101,108,73,100,0,69,97,114,116,104,73,100,0,65,117,116,111,100,105,102,102,73,115,97,117,116,111,100,105,102,102,0,65,117,116,111,100,105,102,102,78,117,109,68,101,112,101,110,100,101,110,116,115,0,65,117,116,111,100,105,102,102,78,117,109,68,101,112,101,110,100,101,110,116,79,98,106,101,99,116,115,0,65,117,116,111,100,105,102,102,68,101,112,101,110,100,101,110,116,79,98,106,101,99,116,78,97,109,101,115,0,65,117,116,111,100,105,102,102,68,101,112,101,110,100,101,110,116,79,98,106,101,99,116,84,121,112,101,115,0,65,117,116,111,100,105,102,102,68,101,112,101,110,100,101,110,116,79,98,106,101,99,116,73,110,100,105,99,101,115,0,65,117,116,111,100,105,102,102,68,101,112,101,110,100,101,110,116,79,98,106,101,99,116,115,0,65,117,116,111,100,105,102,102,78,117,109,73,110,100,101,112,101,110,100,101,110,116,115,0,65,117,116,111,100,105,102,102,78,117,109,73,110,100,101,112,101,110,100,101,110,116,79,98,106,101,99,116,115,0,65,117,116,111,100,105,102,102,73,110,100,101,112,101,110,100,101,110,116,79,98,106,101,99,116,78,97,109,101,115,0,65,117,116,111,100,105,102,102,73,110,100,101,112,101,110,100,101,110,116,79,98,106,101,99,116,84,121,112,101,115,0,65,117,116,111,100,105,102,102,73,110,100,101,112,101,110,100,101,110,116,79,98,106,101,99,116,115,0,65,117,116,111,100,105,102,102,74,97,99,111,98,105,97,110,0,65,117,116,111,100,105,102,102,88,112,0,65,117,116,111,100,105,102,102,68,114,105,118,101,114,0,65,117,116,111,100,105,102,102,70,111,115,70,111,114,119,97,114,100,73,110,100,101,120,0,65,117,116,111,100,105,102,102,70,111,118,70,111,114,119,97,114,100,73,110,100,105,99,101,115,0,65,117,116,111,100,105,102,102,70,111,115,82,101,118,101,114,115,101,73,110,100,101,120,0,65,117,116,111,100,105,102,102,77,97,115,115,70,108,117,120,83,101,103,109,101,110,116,115,80,114,101,115,101,110,116,0,65,117,116,111,100,105,102,102,75,101,101,112,0,65,117,116,111,100,105,102,102,79,98,117,102,115,105,122,101,0,65,117,116,111,100,105,102,102,76,98,117,102,115,105,122,101,0,65,117,116,111,100,105,102,102,67,98,117,102,115,105,122,101,0,65,117,116,111,100,105,102,102,84,98,117,102,115,105,122,101,0,65,117,116,111,100,105,102,102,71,99,84,114,105,103,103,101,114,82,97,116,105,111,0,65,117,116,111,100,105,102,102,71,99,84,114,105,103,103,101,114,77,97,120,83,105,122,101,0,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,83,112,99,116,104,105,99,107,110,101,115,115,0,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,83,116,97,98,105,108,105,122,97,116,105,111,110,0,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,84,104,105,99,107,101,110,105,110,103,82,97,116,101,0,66,97,115,97,108,102,111,114,99,105,110,103,115,0,66,97,115,97,108,102,111,114,99,105,110,103,115,71,101,111,116,104,101,114,109,97,108,102,108,117,120,0,66,97,115,97,108,102,111,114,99,105,110,103,115,71,114,111,117,110,100,101,100,105,99,101,77,101,108,116,105,110,103,82,97,116,101,0,66,97,115,97,108,102,111,114,99,105,110,103,115,70,108,111,97,116,105,110,103,105,99,101,77,101,108,116,105,110,103,82,97,116,101,0,66,97,115,97,108,102,111,114,99,105,110,103,115,68,101,101,112,119,97,116,101,114,77,101,108,116,105,110,103,82,97,116,101,0,66,97,115,97,108,102,111,114,99,105,110,103,115,68,101,101,112,119,97,116,101,114,69,108,101,118,97,116,105,111,110,0,66,97,115,97,108,102],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+78312);allocate([111,114,99,105,110,103,115,85,112,112,101,114,119,97,116,101,114,69,108,101,118,97,116,105,111,110,0,66,97,115,97,108,102,111,114,99,105,110,103,115,77,101,108,116,114,97,116,101,70,97,99,116,111,114,0,66,97,115,97,108,102,111,114,99,105,110,103,115,84,104,114,101,115,104,111,108,100,84,104,105,99,107,110,101,115,115,0,66,97,115,97,108,102,111,114,99,105,110,103,115,85,112,112,101,114,100,101,112,116,104,77,101,108,116,0,66,97,115,97,108,102,111,114,99,105,110,103,115,77,97,110,116,108,101,99,111,110,100,117,99,116,105,118,105,116,121,0,66,97,115,97,108,102,111,114,99,105,110,103,115,78,117,115,115,101,108,116,0,66,97,115,97,108,102,111,114,99,105,110,103,115,68,116,98,103,0,66,97,115,97,108,102,111,114,99,105,110,103,115,80,108,117,109,101,114,97,100,105,117,115,0,66,97,115,97,108,102,111,114,99,105,110,103,115,84,111,112,112,108,117,109,101,100,101,112,116,104,0,66,97,115,97,108,102,111,114,99,105,110,103,115,66,111,116,116,111,109,112,108,117,109,101,100,101,112,116,104,0,66,97,115,97,108,102,111,114,99,105,110,103,115,80,108,117,109,101,120,0,66,97,115,97,108,102,111,114,99,105,110,103,115,80,108,117,109,101,121,0,66,97,115,97,108,102,111,114,99,105,110,103,115,67,114,117,115,116,116,104,105,99,107,110,101,115,115,0,66,97,115,97,108,102,111,114,99,105,110,103,115,85,112,112,101,114,99,114,117,115,116,116,104,105,99,107,110,101,115,115,0,66,97,115,97,108,102,111,114,99,105,110,103,115,85,112,112,101,114,99,114,117,115,116,104,101,97,116,0,66,97,115,97,108,102,111,114,99,105,110,103,115,76,111,119,101,114,99,114,117,115,116,104,101,97,116,0,70,108,111,97,116,105,110,103,77,101,108,116,82,97,116,101,0,76,105,110,101,97,114,70,108,111,97,116,105,110,103,77,101,108,116,82,97,116,101,0,77,105,115,109,105,112,70,108,111,97,116,105,110,103,77,101,108,116,82,97,116,101,0,77,97,110,116,108,101,80,108,117,109,101,71,101,111,116,104,101,114,109,97,108,70,108,117,120,0,66,101,100,0,66,97,115,101,0,67,111,110,115,116,97,110,116,115,71,0,67,111,110,115,116,97,110,116,115,82,101,102,101,114,101,110,99,101,116,101,109,112,101,114,97,116,117,114,101,0,67,111,110,115,116,97,110,116,115,89,116,115,0,68,101,112,101,110,100,101,110,116,79,98,106,101,99,116,0,83,116,114,101,115,115,98,97,108,97,110,99,101,65,98,115,116,111,108,0,83,116,114,101,115,115,98,97,108,97,110,99,101,67,111,110,118,101,114,103,101,110,99,101,78,117,109,83,116,101,112,115,0,83,116,114,101,115,115,98,97,108,97,110,99,101,73,115,110,101,119,116,111,110,0,83,116,114,101,115,115,98,97,108,97,110,99,101,77,97,120,105,116,101,114,0,83,116,114,101,115,115,98,97,108,97,110,99,101,80,101,110,97,108,116,121,70,97,99,116,111,114,0,83,116,114,101,115,115,98,97,108,97,110,99,101,82,101,102,101,114,101,110,116,105,97,108,0,83,116,114,101,115,115,98,97,108,97,110,99,101,82,101,108,116,111,108,0,83,116,114,101,115,115,98,97,108,97,110,99,101,78,117,109,82,101,113,117,101,115,116,101,100,79,117,116,112,117,116,115,0,83,116,114,101,115,115,98,97,108,97,110,99,101,82,101,113,117,101,115,116,101,100,79,117,116,112,117,116,115,0,83,116,114,101,115,115,98,97,108,97,110,99,101,82,101,115,116,111,108,0,83,116,114,101,115,115,98,97,108,97,110,99,101,82,105,102,116,80,101,110,97,108,116,121,76,111,99,107,0,83,116,114,101,115,115,98,97,108,97,110,99,101,82,105,102,116,80,101,110,97,108,116,121,84,104,114,101,115,104,111,108,100,0,83,116,114,101,115,115,98,97,108,97,110,99,101,83,104,101,108,102,68,97,109,112,101,110,105,110,103,0,83,116,114,101,115,115,98,97,108,97,110,99,101,83,112,99,118,120,0,83,116,114,101,115,115,98,97,108,97,110,99,101,83,112,99,118,121,0,83,116,114,101,115,115,98,97,108,97,110,99,101,83,112,99,118,122,0,83,116,114,101,115,115,98,97,108,97,110,99,101,70,83,114,101,99,111,110,100,105,116,105,111,110,105,110,103,0,83,116,114,101,115,115,98,97,108,97,110,99,101,86,101,114,116,101,120,80,97,105,114,105,110,103,0,83,116,114,101,115,115,98,97,108,97,110,99,101,86,105,115,99,111,115,105,116,121,79,118,101,114,115,104,111,111,116,0,76,111,97,100,105,110,103,102,111,114,99,101,88,0,76,111,97,100,105,110,103,102,111,114,99,101,89,0,76,111,97,100,105,110,103,102,111,114,99,101,90,0,70,108,111,119,101,113,117,97,116,105,111,110,66,111,114,100,101,114,83,83,65,0,70,108,111,119,101,113,117,97,116,105,111,110,66,111,114,100,101,114,72,79,0,70,108,111,119,101,113,117,97,116,105,111,110,66,111,114,100,101,114,70,83,0,70,108,111,119,101,113,117,97,116,105,111,110,69,108,101,109,101,110,116,69,113,117,97,116,105,111,110,0,70,108,111,119,101,113,117,97,116,105,111,110,73,115,83,73,65,0,70,108,111,119,101,113,117,97,116,105,111,110,73,115,83,83,65,0,70,108,111,119,101,113,117,97,116,105,111,110,73,115,76,49,76,50,0,70,108,111,119,101,113,117,97,116,105,111,110,73,115,72,79,0,70,108,111,119,101,113,117,97,116,105,111,110,73,115,70,83,0,70,108,111,119,101,113,117,97,116,105,111,110,70,101,83,83,65,0,70,108,111,119,101,113,117,97,116,105,111,110,70,101,72,79,0,70,108,111,119,101,113,117,97,116,105,111,110,70,101,70,83,0,70,108,111,119,101,113,117,97,116,105,111,110,86,101,114,116,101,120,69,113,117,97,116,105,111,110,0,70,114,105,99,116,105,111,110,65,115,0,70,114,105,99,116,105,111,110,67,111,101,102,102,105,99,105,101,110,116,0,70,114,105,99,116,105,111,110,67,111,101,102,102,105,99,105,101,110,116,99,111,117,108,111,109,98,0,70,114,105,99,116,105,111,110,80,0,70,114,105,99,116,105,111,110,81,0,70,114,105,99,116,105,111,110,77,0,70,114,105,99,116,105,111,110,67,0,70,114,105,99,116,105,111,110,76,97,119,0,70,114,105,99,116,105,111,110,71,97,109,109,97,0,70,114,105,99,116,105,111,110,70,0,70,114,105,99,116,105,111,110,87,97,116,101,114,76,97,121,101,114,0,70,114,105,99,116,105,111,110,69,102,102,101,99,116,105,118,101,80,114,101,115,115,117,114,101,0,70,114,105,99,116,105,111,110,67,111,117,112,108,105,110,103,0,71,101,111,109,101,116,114,121,72,121,100,114,111,115,116,97,116,105,99,82,97,116,105,111,0,72,121,100,114,111,108,111,103,121,77,111,100,101,108,0,72,121,100,114,111,108,111,103,121,115,104,114,101,118,101,0,72,121,100,114,111,108,111,103,121,115,104,114,101,118,101,83,112,99,119,97,116,101,114,99,111,108,117,109,110,0,72,121,100,114,111,108,111,103,121,115,104,114,101,118,101,83,116,97,98,105,108,105,122,97,116,105,111,110,0,72,121,100,114,111,108,111,103,121,100,99,0,83,101,100,105,109,101,110,116,72,101,97,100,0,83,101,100,105,109,101,110,116,72,101,97,100,79,108,100,0,83,101,100,105,109,101,110,116,72,101,97,100,82,101,115,105,100,117,97,108,0,69,102,102,101,99,116,105,118,101,80,114,101,115,115,117,114,101,0,69,112,108,72,101,97,100,0,69,112,108,72,101,97,100,79,108,100,0,69,112,108,72,101,97,100,83,108,111,112,101,88,0,69,112,108,72,101,97,100,83,108,111,112,101,89,0,69,112,108,90,105,103,90,97,103,67,111,117,110,116,101,114,0,72,121,100,114,111,108,111,103,121,100,99,77,97,120,73,116,101,114,0,72,121,100,114,111,108,111,103,121,100,99,82,101,108,84,111,108,0,72,121,100,114,111,108,111,103,121,100,99,83,112,99,115,101,100,105,109,101,110,116,72,101,97,100,0,72,121,100,114,111,108,111,103,121,100,99,83,101,100,105,109,101,110,116,67,111,109,112,114,101,115,115,105,98,105,108,105,116,121,0,72,121,100,114,111,108,111,103,121,100,99,83,101,100,105,109,101,110,116,80,111,114,111,115,105,116,121,0,72,121,100,114,111,108,111,103,121,100,99,83,101,100,105,109,101,110,116,84,104,105,99,107,110,101,115,115,0,72,121,100,114,111,108,111,103,121,100,99,83,101,100,105,109,101,110,116,84,114,97,110,115,109,105,116,105,118,105,116,121,0,72,121,100,114,111,108,111,103,121,100,99,87,97,116,101,114,67,111,109,112,114,101,115,115,105,98,105,108,105,116,121,0,72,121,100,114,111,108,111,103,121,100,99,83,112,99,101,112,108,72,101,97,100,0,72,121,100,114,111,108,111,103,121,100,99,77,97,115,107,69,112,108,97,99,116,105,118,101,78,111,100,101,0,72,121,100,114,111,108,111,103,121,100,99,77,97,115,107,69,112,108,97,99,116,105,118,101,69,108,116,0,72,121,100,114,111,108,111,103,121,100,99,69,112,108,67,111,109,112,114,101,115,115,105,98,105,108,105,116,121,0,72,121,100,114,111,108,111,103,121,100,99,69,112,108,80,111,114,111,115,105,116,121,0,72,121,100,114,111,108,111,103,121,100,99,69,112,108,73,110,105,116,105,97,108,84,104,105,99,107,110,101,115,115,0,72,121,100,114,111,108,111,103,121,100,99,69,112,108,67,111,108,97,112,115,101,84,104,105,99,107,110,101,115,115,0,72,121,100,114,111,108,111,103,121,100,99,69,112,108,77,97,120,84,104,105,99,107,110,101,115,115,0,72,121,100,114,111,108,111,103,121,100,99,69,112,108,84,104,105,99,107,110,101,115,115,0,72,121,100,114,111,108,111,103,121,100,99,69,112,108,84,104,105,99,107,110,101,115,115,79,108,100,0,72,121,100,114,111,108,111,103,121,100,99,69,112,108,84,104,105,99,107,67,111,109,112,0,72,121,100,114,111,108,111,103,121,100,99,69,112,108,67,111,110,100,117,99,116,105,118,105,116,121,0,72,121,100,114,111,108,111,103,121,100,99,73,115,101,102,102,105,99,105,101,110,116,108,97,121,101,114,0,72,121,100,114,111,108,111,103,121,100,99,83,101,100,105,109,101,110,116,108,105,109,105,116,70,108,97,103,0,72,121,100,114,111,108,111,103,121,100,99,83,101,100,105,109,101,110,116,108,105,109,105,116,0,72,121,100,114,111,108,111,103,121,100,99,84,114,97,110,115,102,101,114,70,108,97,103,0,72,121,100,114,111,108,111,103,121,100,99,76,101,97,107,97,103,101,70,97,99,116,111,114,0,72,121,100,114,111,108,111,103,121,100,99,80,101,110,97,108,116,121,70,97,99,116,111,114,0,72,121,100,114,111,108,111,103,121,100,99,80,101,110,97,108,116,121,76,111,99,107,0,72,121,100,114,111,108,111,103,121,100,99,69,112,108,102,108,105,112,76,111,99,107,0,72,121,100,114,111,108,111,103,121,100,99,66,97,115,97,108,77,111,117,108,105,110,73,110,112,117,116,0,72,121,100,114,111,108,111,103,121,76,97,121,101,114,0,72,121,100,114,111,108,111,103,121,83,101,100,105,109,101,110,116,0,72,121,100,114,111,108,111,103,121,69,102,102,105,99,105,101,110,116,0,72,121,100,114,111,108,111,103,121,83,101,100,105,109,101,110,116,75,109,97,120,0,72,121,100,114,111,108,111,103,121,115,111,109,109,101,114,115,0,72,121,100,114,111,108,111,103,121,72,101,97,100,0,72,121,100,114,111,108,111,103,121,71,97,112,72,101,105,103,104,116,0,72,121,100,114,111,108,111,103,121,66,117,109,112,83,112,97,99,105,110,103,0,72,121,100,114,111,108,111,103,121,66,117,109,112,72,101,105,103,104,116,0,72,121,100,114,111,108,111,103,121,69,110,103,108,97,99,105,97,108,73,110,112,117,116,0,72,121,100,114,111,108,111,103,121,77,111,117,108,105,110,73,110,112,117,116,0,72,121,100,114,111,108,111,103,121,82,101,121,110,111,108,100,115,0,72,121,100,114,111,108,111,103,121,78,101,117,109,97,110,110,102,108,117,120,0,72,121,100,114,111,108,111,103,121,83,112,99,104,101,97,100,0,72,121,100,114,111,108,111,103,121,67,111,110,100,117,99,116,105,118,105,116,121,0,73,110,118,101,114,115,105,111,110,67,111,110,116,114,111,108,80,97,114,97,109,101,116,101,114,115,0,73,110,118,101,114,115,105,111,110,67,111,110,116,114,111,108,83,99,97,108,105,110,103,70,97,99,116,111,114,115,0,73,110,118,101,114,115,105,111,110,67,111,115,116,70,117,110,99,116,105,111,110,84,104,114,101,115,104,111,108,100,0,73,110,118,101,114,115,105,111,110,67,111,115,116,70,117,110,99,116,105,111,110,115,67,111,101,102,102,105,99,105,101,110,116,115,0,73,110,118,101,114,115,105,111,110,67,111,115,116,70,117,110,99,116,105,111,110,115,0,73,110,118,101,114,115,105,111,110,71,114,97,100,105,101,110,116,83,99,97,108,105,110,103,0,73,110,118,101,114,115,105,111,110,73,115,99,111,110,116,114,111,108,0,73,110,118,101,114,115,105,111,110,84,121,112,101,0,73,110,118,101,114,115,105,111,110,73,110,99,111,109,112,108,101,116,101,65,100,106,111,105,110,116,0,73,110,118,101,114,115,105,111,110,77,97,120,80,97,114,97,109,101,116,101,114,115,0,73,110,118,101,114,115,105,111,110,77,97,120,105,116,101,114,80,101,114,83,116,101,112,0,73,110,118,101,114,115,105,111,110,77,97,120,105,116,101,114,0,73,110,118,101,114,115,105,111,110,77,97,120,115,116,101,112,115,0,73,110,118,101,114,115,105,111,110,70,97,116,111,108,0,73,110,118,101,114,115,105,111,110,70,114,116,111,108,0,73,110,118,101,114,115,105,111,110,71,97,116,111,108,0,73,110,118,101,114,115,105,111,110,71,114,116,111,108,0,73,110,118,101,114,115,105,111,110,71,116,116,111,108,0,73,110,118,101,114,115,105,111,110,65,108,103,111,114,105,116,104,109,0,73,110,118,101,114,115,105,111,110,77,105,110,80,97,114,97,109,101,116,101,114,115,0,73,110,118,101,114,115,105,111,110,78,115,116,101,112,115,0,73,110,118,101,114,115,105,111,110,68,120,109,105,110,0,73,110,118,101,114,115,105,111,110,78,117,109,67,111,110,116,114,111,108,80,97,114,97,109,101,116,101,114,115,0,73,110,118,101,114,115,105,111,110,78,117,109,67,111,115,116,70,117,110,99,116,105,111,110,115,0,73,110,118,101,114,115,105,111,110,83,116,101,112,84,104,114,101,115,104,111,108,100,0,73,110,118,101,114,115,105,111,110,84,104,105,99,107,110,101,115,115,79,98,115,0,73,110,118,101,114,115,105,111,110,83,117,114,102,97,99,101,79,98,115,0,73,110,118,101,114,115,105,111,110,86,120,79,98,115,0,73,110,118,101,114,115,105,111,110,86,121,79,98,115,0,73,110,118,101,114,115,105,111,110,86,122,79,98,115,0,77,97,115,107,73,99,101,76,101,118,101,108,115,101,116,0,77,97,115,107,79,99,101,97,110,76,101,118,101,108,115,101,116,0,77,97,115,107,76,97,110,100,76,101,118,101,108,115,101,116,0,77,97,116,101,114,105,97,108,115,66,101,116,97,0,77,97,116,101,114,105,97,108,115,72,101,97,116,99,97,112,97,99,105,116,121,0,77,97,116,101,114,105,97,108,115,76,97,116,101,110,116,104,101,97,116,0,77,97,116,101,114,105,97,108,115,77,101,108,116,105,110,103,112,111,105,110,116,0,77,97,116,101,114,105,97,108,115,77,105,120,101,100,76,97,121,101,114,67,97,112,97,99,105,116,121,0,77,97,116,101,114,105,97,108,115,82,104,101,111,108,111,103,121,66,0,77,97,116,101,114,105,97,108,115,82,104,101,111,108,111,103,121,66,98,97,114,0,77,97,116,101,114,105,97,108,115,82,104,101,111,108,111,103,121,76,97,119,0,77,97,116,101,114,105,97,108,115,82,104,101,111,108,111,103,121,78,0,77,97,116,101,114,105,97,108,115,82,104,101,111,108,111,103,121,75,111,0,77,97,116,101,114,105,97,108,115,82,104,101,111,108,111,103,121,75,111,98,97,114,0,77,97,116,101,114,105,97,108,115,82,104,101,111,108,111,103,121,69,99,0,77,97,116,101,114,105,97,108,115,82,104,101,111,108,111,103,121,69,99,98,97,114,0,77,97,116,101,114,105,97,108,115,82,104,101,111,108,111,103,121,69,115,0,77,97,116,101,114,105,97,108,115,82,104,101,111,108,111,103,121,69,115,98,97,114,0,68,97,109,97,103,101,73,115,100,97,109,97,103,101,0,68,97,109,97,103,101,68,0,68,97,109,97,103,101,70,0,68,97,109,97,103,101,68,98,97,114,0,68,97,109,97,103,101,76,97,119,0,68,97,109,97,103,101,67,49,0,68,97,109,97,103,101,67,50,0,68,97,109,97,103,101,67,51,0,68,97,109,97,103,101,67,52,0,68,97,109,97,103,101,69,108,101,109,101,110,116,105,110,116,101,114,112,0,68,97,109,97,103,101,72,101,97,108,105,110,103,0,68,97,109,97,103,101,83,116,114,101,115,115,84,104,114,101,115,104,111,108,100,0,68,97,109,97,103,101,75,97,112,112,97,0,68,97,109,97,103,101,83,116,97,98,105,108,105,122,97,116,105,111,110,0,68,97,109,97,103,101,77,97,120,105,116,101,114,0,68,97,109,97,103,101,83,112,99,100,97,109,97,103,101,0,68,97,109,97,103,101,77,97,120,68,97,109,97,103,101,0,68,97,109,97,103,101,69,113,117,105,118,83,116,114,101,115,115,0,68,97,109,97,103,101,69,118,111,108,117,116,105,111,110,78,117,109,82,101,113,117,101,115,116,101,100,79,117,116,112,117,116,115,0,68,97,109,97,103,101,69,118,111,108,117,116,105,111,110,82,101,113,117,101,115,116,101,100,79,117,116,112,117,116,115,0,68,97,109,97,103,101,0,78,101,119,68,97,109,97,103,101,0,83,116,114,101,115,115,73,110,116,101,110,115,105,116,121,70,97,99,116,111,114,0,67,97,108,118,105,110,103,76,97,119,0,67,97,108,118,105,110,103,67,97,108,118,105,110,103,114,97,116,101,0,67,97,108,118,105,110,103,77,101,108,116,105,110,103,114,97,116,101,0,67,97,108,118,105,110,103,76,101,118,101,114,109,97,110,110,0,67,97,108,118,105,110,103,68,101,118,0,67,97,108,118,105,110,103,77,105,110,116,104,105,99,107,110,101,115,115,0,68,101,102,97,117,108,116,67,97,108,118,105,110,103,0,67,97,108,118,105,110,103,82,101,113,117,101,115,116,101,100,79,117,116,112,117,116,115,0,67,97,108,118,105,110,103,108,101,118,101,114,109,97,110,110,67,111,101,102,102,0,67,97,108,118,105,110,103,108,101,118,101,114,109,97,110,110,77,101,108,116,105,110,103,114,97,116,101,0,67,97,108,118,105,110,103,100,101,118,67,111,101,102,102,0,67,97,108,118,105,110,103,114,97,116,101,120,0,67,97,108,118,105,110,103,114,97,116,101,121,0,67,97,108,118,105,110,103,114,97,116,101,120,65,118,101,114,97,103,101,0,67,97,108,118,105,110,103,114,97,116,101,121,65,118,101,114,97,103,101,0,83,116,114,97,105,110,82,97,116,101,112,97,114,97,108,108,101,108,0,83,116,114,97,105,110,82,97,116,101,112,101,114,112,101,110,100,105,99,117,108,97,114,0,83,116,114,97,105,110,82,97,116,101,101,102,102,101,99,116,105,118,101,0,77,97,116,101,114,105,97,108,115,82,104,111,73,99,101,0,77,97,116,101,114,105,97,108,115,82,104,111,83,101,97,119,97,116,101,114,0,77,97,116,101,114,105,97,108,115,82,104,111,70,114,101,115,104,119,97,116,101,114,0,77,97,116,101,114,105,97,108,115,77,117,87,97,116,101,114,0,77,97,116,101,114,105,97,108,115,84,104,101,114,109,97,108,69,120,99,104,97,110,103,101,86,101,108,111,99,105,116,121,0,77,97,116,101,114,105,97,108,115,84,104,101,114,109,97,108,99,111,110,100,117,99,116,105,118,105,116,121,0,77,97,116,101,114,105,97,108,115,84,101,109,112,101,114,97,116,101,105,99,101,99,111,110,100,117,99,116,105,118,105,116,121,0,77,97,116,101,114,105,97,108,115,76,105,116,104,111,115,112,104,101,114,101,83,104,101,97,114,77,111,100,117,108,117,115,0,77,97,116,101,114,105,97,108,115,76,105,116,104,111,115,112,104,101,114,101,68,101,110,115,105,116,121,0,77,97,116,101,114,105,97,108,115,77,97,110,116,108,101,83,104,101,97,114,77,111,100,117,108,117,115,0,77,97,116,101,114,105,97,108,115,77,97,110,116,108,101,68,101,110,115,105,116,121,0,77,97,116,101,114,105,97,108,115,69,97,114,116,104,68,101,110,115,105,116,121,0,77,101,115,104,65,118,101,114,97,103,101,86,101,114,116,101,120,67,111,110,110,101,99,116,105,118,105,116,121,0,77,101,115,104,69,108,101,109,101,110,116,115,50,100,0,77,101,115,104,69,108,101,109,101,110,116,115,0,77,101,115,104,76,111,119,101,114,101,108,101,109,101,110,116,115,0,77,101,115,104,78,117,109,98,101,114,111,102,101,108,101,109,101,110,116,115,50,100,0,77,101,115,104,78,117,109,98,101,114,111,102,101,108,101,109,101,110,116,115,0,77,101,115,104,78,117,109,98,101,114,111,102,108,97,121,101,114,115,0,77,101,115,104,78,117,109,98,101,114,111,102,118,101,114,116,105,99,101,115,50,100,0,77,101,115,104,78,117,109,98,101,114,111,102,118,101,114,116,105,99,101,115,0,77,101,115,104,85,112,112,101,114,101,108,101,109,101,110,116,115,0,77,101,115,104,86,101,114,116,101,120,111,110,98,97,115,101,0,77,101,115,104,86,101,114,116,101,120,111,110,115,117,114,102,97,99,101,0,77,101,115,104,86,101,114,116,101,120,111,110,98,111,117,110,100,97,114,121,0,77,101,115,104,88,0,77,101,115,104,89,0,77,101,115,104,90,0,77,101,115,104,76,97,116,0,77,101,115,104,76,111,110,103,0,77,101,115,104,82,0,77,101,115,104,69,108,101,109,101,110,116,116,121,112,101,0,77,101,115,104,83,101,103,109,101,110,116,115,0,68,111,109,97,105,110,84,121,112,101,0,68,111,109,97,105,110,68,105,109,101,110,115,105,111,110,0,68,111,109,97,105,110,50,68,104,111,114,105,122,111,110,116,97,108,0,68,111,109,97,105,110,50,68,118,101,114,116,105,99,97,108,0,68,111,109,97,105,110,51,68,0,68,111,109,97,105,110,51,68,115,117,114,102,97,99,101,0,77,105,115,99,101,108,108,97,110,101,111,117,115,78,97,109,101,0,77,97,115,115,116,114,97,110,115,112,111,114,116,72,121,100,114,111,115,116,97,116,105,99,65,100,106,117,115,116,109,101,110,116,0,77,97,115,115,116,114,97,110,115,112,111,114,116,73,115,102,114,101,101,115,117,114,102,97,99,101,0,77,97,115,115,116,114,97,110,115,112,111,114,116,77,105,110,84,104,105,99,107,110,101,115,115,0,77,97,115,115,116,114,97,110,115,112,111,114,116,80,101,110,97,108,116,121,70,97,99,116,111,114,0,77,97,115,115,116,114,97,110,115,112,111,114,116,83,112,99,116,104,105,99,107,110,101,115,115,0,77,97,115,115,116,114,97,110,115,112,111,114,116,83,116,97,98,105,108,105,122,97,116,105,111,110,0,77,97,115,115,116,114,97,110,115,112,111,114,116,86,101,114,116,101,120,80,97,105,114,105,110,103,0,77,97,115,115,116,114,97,110,115,112,111,114,116,78,117,109,82,101,113,117,101,115,116,101,100,79,117,116,112,117,116,115,0,77,97,115,115,116,114,97,110,115,112,111,114,116,82,101,113,117,101,115,116,101,100,79,117,116,112,117,116,115,0,81,109,117,73,115,100,97,107,111,116,97,0,77,97,115,115,70,108,117,120,83,101,103,109,101,110,116,115,0,77,97,115,115,70,108,117,120,83,101,103,109,101,110,116,115,80,114,101,115,101,110,116,0,81,109,117,77,97,115,115,70,108,117,120,83,101,103,109,101,110,116,115,80,114,101,115,101,110,116,0,81,109,117,78,117,109,98,101,114,111,102,112,97,114,116,105,116,105,111,110,115,0,81,109,117,78,117,109,98,101,114,111,102,114,101,115,112,111,110,115,101,115,0,81,109,117,80,97,114,116,105,116,105,111,110,0,81,109,117,82,101,115,112,111,110,115,101,100,101,115,99,114,105,112,116,111,114,115,0,81,109,117,86,97,114,105,97,98,108,101,100,101,115,99,114,105,112,116,111,114,115,0,82,105,102,116,115,78,117,109,114,105,102,116,115,0,82,105,102,116,115,82,105,102,116,115,116,114,117,99,116,0,83,101,116,116,105,110,103,115,82,101,115,117,108,116,115,79,110,78,111,100,101,115,0,83,101,116,116,105,110,103,115,73,111,71,97,116,104,101,114,0,83,101,116,116,105,110,103,115,76,111,119,109,101,109,0,83,101,116,116,105,110,103,115,79,117,116,112,117,116,70,114,101,113,117,101,110,99,121,0,83,101,116,116,105,110,103,115,82,101,99,111,114,100,105,110,103,70,114,101,113,117,101,110,99,121,0,83,101,116,116,105,110,103,115,87,97,105,116,111,110,108,111,99,107,0,68,101,98,117,103,80,114,111,102,105,108,105,110,103,0,80,114,111,102,105,108,105,110,103,67,117,114,114,101,110,116,77,101,109,0,80,114,111,102,105,108,105,110,103,67,117,114,114,101,110,116,70,108,111,112,115,0,80,114,111,102,105,108,105,110,103,83,111,108,117,116,105,111,110,84,105,109,101,0,83,116,101,97,100,121,115,116,97,116,101,77,97,120,105,116,101,114,0,83,116,101,97,100,121,115,116,97,116,101,78,117,109,82,101,113,117,101,115,116,101,100,79,117,116,112,117,116,115,0,83,116,101,97,100,121,115,116,97,116,101,82,101,108,116,111,108,0,83,116,101,97,100,121,115,116,97,116,101,82,101,113,117,101,115,116,101,100,79,117,116,112,117,116,115,0,83,117,114,102,97,99,101,0,84,104,101,114,109,97,108,73,115,101,110,116,104,97,108,112,121,0,84,104,101,114,109,97,108,73,115,100,121,110,97,109,105,99,98,97,115,97,108,115,112,99,0,84,104,101,114,109,97,108,82,101,108,116,111,108,0,84,104,101,114,109,97,108,77,97,120,105,116,101,114,0,84,104,101,114,109,97,108,80,101,110,97,108,116,121,70,97,99,116,111,114,0,84,104,101,114,109,97,108,80,101,110,97,108,116,121,76,111,99,107,0,84,104,101,114,109,97,108,80,101,110,97,108,116,121,84,104,114,101,115,104,111,108,100,0,84,104,101,114,109,97,108,83,112,99,116,101,109,112,101,114,97,116,117,114,101,0,84,104,101,114,109,97,108,83,116,97,98,105,108,105,122,97,116,105,111,110,0,84,104,101,114,109,97,108,78,117,109,82,101,113,117,101,115,116,101,100,79,117,116,112,117,116,115,0,84,104,101,114,109,97,108,82,101,113,117,101,115,116,101,100,79,117,116,112,117,116,115,0,71,105,97,77,97,110,116,108,101,86,105,115,99,111,115,105,116,121,0,71,105,97,76,105,116,104,111,115,112,104,101,114,101,84,104,105,99,107,110,101,115,115,0,84,104,105,99,107,110,101,115,115,0,84,105,109,101,115,116,101,112,112,105,110,103,83,116,97,114,116,84,105,109,101,0,84,105,109,101,115,116,101,112,112,105,110,103,70,105,110,97,108,84,105,109,101,0,84,105,109,101,115,116,101,112,112,105,110,103,67,102,108,67,111,101,102,102,105,99,105,101,110,116,0,84,105,109,101,115,116,101,112,112,105,110,103,84,105,109,101,65,100,97,112,116,0,84,105,109,101,115,116,101,112,112,105,110,103,84,105,109,101,83,116,101,112,0,84,105,109,101,115,116,101,112,112,105,110,103,73,110,116,101,114,112,70,111,114,99,105,110,103,115,0,84,114,97,110,115,105,101,110,116,73,115,115,109,98,0,84,114,97,110,115,105,101,110,116,73,115,99,111,117,112,108,101,114,0,84,114,97,110,115,105,101,110,116,73,115,115,116,114,101,115,115,98,97,108,97,110,99,101,0,84,114,97,110,115,105,101,110,116,73,115,103,114,111,117,110,100,105,110,103,108,105,110,101,0,84,114,97,110,115,105,101,110,116,73,115,109,97,115,115,116,114,97,110,115,112,111,114,116,0,84,114,97,110,115,105,101,110,116,73,115,116,104,101,114,109,97,108,0,84,114,97,110,115,105,101,110,116,73,115,103,105,97,0,84,114,97,110,115,105,101,110,116,73,115,100,97,109,97,103,101,101,118,111,108,117,116,105,111,110,0,84,114,97,110,115,105,101,110,116,73,115,104,121,100,114,111,108,111,103,121,0,84,114,97,110,115,105,101,110,116,73,115,109,111,118,105,110,103,102,114,111,110,116,0,84,114,97,110,115,105,101,110,116,73,115,115,108,114,0,84,114,97,110,115,105,101,110,116,78,117,109,82,101,113,117,101,115,116,101,100,79,117,116,112,117,116,115,0,84,114,97,110,115,105,101,110,116,82,101,113,117,101,115,116,101,100,79,117,116,112,117,116,115,0,80,111,116,101,110,116,105,97,108,0,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,83,112,99,112,111,116,101,110,116,105,97,108,0,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,65,112,112,97,114,101,110,116,77,97,115,115,98,97,108,97,110,99,101,0,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,50,77,105,115,102,105,116,0,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,68,105,102,102,117,115,105,111,110,67,111,101,102,102,105,99,105,101,110,116,0,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,67,109,117,0,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,79,109,101,103,97,0,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,68,48,0,83,109,98,0,83,109,98,65,110,97,108,121,115,105,115,0,83,109,98,83,111,108,117,116,105,111,110,0,83,109,98,78,117,109,82,101,113,117,101,115,116,101,100,79,117,116,112,117,116,115,0,83,109,98,82,101,113,117,101,115,116,101,100,79,117,116,112,117,116,115,0,83,109,98,73,115,73,110,105,116,105,97,108,105,122,101,100,0,83,77,66,102,111,114,99,105,110,103,0,83,109,98,77,97,115,115,66,97,108,97,110,99,101,0,83,77,66,103,101,109,98,0,83,109,98,73,110,105,116,68,101,110,115,105,116,121,83,99,97,108,105,110,103,0,83,109,98,84,97,0,83,109,98,86,0,83,109,98,68,115,119,114,102,0,83,109,98,68,108,119,114,102,0,83,109,98,80,0,83,109,98,83,119,102,0,83,109,98,69,65,105,114,0,83,109,98,80,65,105,114,0,83,109,98,84,109,101,97,110,0,83,109,98,67,0,83,109,98,84,122,0,83,109,98,86,122,0,83,109,98,68,116,0,83,109,98,68,122,0,83,109,98,65,73,100,120,0,83,109,98,83,119,73,100,120,0,83,109,98,68,101,110,73,100,120,0,83,109,98,90,84,111,112,0,83,109,98,68,122,84,111,112,0,83,109,98,68,122,77,105,110,0,83,109,98,90,89,0,83,109,98,90,77,97,120,0,83,109,98,90,77,105,110,0,83,109,98,79,117,116,112,117,116,70,114,101,113,0,83,109,98,65,83,110,111,119,0,83,109,98,65,73,99,101,0,83,109,98,67,108,100,70,114,97,99,0,83,109,98,84,48,119,101,116,0,83,109,98,84,48,100,114,121,0,83,109,98,75,0,83,109,98,68,0,83,109,98,82,101,0,83,109,98,71,100,110,0,83,109,98,71,115,112,0,83,109,98,69,67,0,83,109,98,67,111,110,100,101,110,115,97,116,105,111,110,0,83,109,98,87,0,83,109,98,65,0,83,109,98,84,0,83,109,98,73,115,103,114,97,105,110,103,114,111,119,116,104,0,83,109,98,73,115,97,108,98,101,100,111,0,83,109,98,73,115,115,104,111,114,116,119,97,118,101,0,83,109,98,73,115,116,104,101,114,109,97,108,0,83,109,98,73,115,97,99,99,117,109,117,108,97,116,105,111,110,0,83,109,98,73,115,109,101,108,116,0,83,109,98,73,115,100,101,110,115,105,102,105,99,97,116,105,111,110,0,83,109,98,73,115,116,117,114,98,117,108,101,110,116,102,108,117,120,0,83,77,66,112,100,100,0,83,109,98,68,101,108,116,97,49,56,111,0,83,109,98,68,101,108,116,97,49,56,111,83,117,114,102,97,99,101,0,83,109,98,73,115,100,101,108,116,97,49,56,111,0,83,109,98,73,115,109,117,110,103,115,109,0,83,109,98,73,115,100,49,56,111,112,100,0,83,109,98,80,114,101,99,105,112,105,116,97,116,105,111,110,115,80,114,101,115,101,110,116,100,97,121,0,83,109,98,80,114,101,99,105,112,105,116,97,116,105,111,110,115,76,103,109,0,83,109,98,84,101,109,112,101,114,97,116,117,114,101,115,80,114,101,115,101,110,116,100,97,121,0,83,109,98,84,101,109,112,101,114,97,116,117,114,101,115,76,103,109,0,83,109,98,80,114,101,99,105,112,105,116,97,116,105,111,110,0,83,109,98,68,101,115,102,97,99,0,83,109,98,83,48,112,0,83,109,98,83,48,116,0,83,109,98,82,108,97,112,115,0,83,109,98,82,108,97,112,115,108,103,109,0,83,109,98,80,102,97,99,0,83,109,98,84,100,105,102,102,0,83,109,98,83,101,97,108,101,118,0,83,77,66,100,49,56,111,112,100,100,0,83,109,98,68,112,101,114,109,105,108,0,83,77,66,103,114,97,100,105,101,110,116,115,0,83,109,98,77,111,110,116,104,108,121,116,101,109,112,101,114,97,116,117,114,101,115,0,83,109,98,72,114,101,102,0,83,109,98,83,109,98,114,101,102,0,83,109,98,66,80,111,115,0,83,109,98,66,78,101,103,0,83,77,66,104,101,110,110,105,110,103,0,83,77,66,99,111,109,112,111,110,101,110,116,115,0,83,109,98,65,99,99,117,109,117,108,97,116,105,111,110,0,83,109,98,69,118,97,112,111,114,97,116,105,111,110,0,83,109,98,82,117,110,111,102,102,0,83,77,66,109,101,108,116,99,111,109,112,111,110,101,110,116,115,0,83,109,98,77,101,108,116,0,83,109,98,82,101,102,114,101,101,122,101,0,83,77,66,103,99,109,0,83,109,98,73,115,112,100,100,0,83,109,98,73,115,115,109,98,103,114,97,100,105,101,110,116,115,0,83,111,108,117,116,105,111,110,84,121,112,101,0,65,110,97,108,121,115,105,115,84,121,112,101,0,67,111,110,102,105,103,117,114,97,116,105,111,110,84,121,112,101,0,65,100,106,111,105,110,116,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,65,110,97,108,121,115,105,115,0,65,100,106,111,105,110,116,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,50,65,110,97,108,121,115,105,115,0,65,100,106,111,105,110,116,72,111,114,105,122,65,110,97,108,121,115,105,115,0,65,110,97,108,121,115,105,115,67,111,117,110,116,101,114,0,68,101,102,97,117,108,116,65,110,97,108,121,115,105,115,0,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,65,110,97,108,121,115,105,115,0,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,83,111,108,117,116,105,111,110,0,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,50,65,110,97,108,121,115,105,115,0,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,50,83,111,108,117,116,105,111,110,0,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,83,111,102,116,65,110,97,108,121,115,105,115,0,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,83,111,102,116,83,111,108,117,116,105,111,110,0,66,97,108,97,110,99,101,118,101,108,111,99,105,116,121,65,110,97,108,121,115,105,115,0,66,97,108,97,110,99,101,118,101,108,111,99,105,116,121,83,111,108,117,116,105,111,110,0,76,50,80,114,111,106,101,99,116,105,111,110,69,80,76,65,110,97,108,121,115,105,115,0,76,50,80,114,111,106,101,99,116,105,111,110,66,97,115,101,65,110,97,108,121,115,105,115,0,66,101,100,83,108,111,112,101,83,111,108,117,116,105,111,110,0,68,97,109,97,103,101,69,118,111,108,117,116,105,111,110,83,111,108,117,116,105,111,110,0,68,97,109,97,103,101,69,118,111,108,117,116,105,111,110,65,110,97,108,121,115,105,115,0,83,116,114,101,115,115,98,97,108,97,110,99,101,65,110,97,108,121,115,105,115,0,83,116,114,101,115,115,98,97,108,97,110,99,101,83,73,65,65,110,97,108,121,115,105,115,0,83,116,114,101,115,115,98,97,108,97,110,99,101,83,111,108,117,116,105,111,110,0,83,116,114,101,115,115,98,97,108,97,110,99,101,86,101,114,116,105,99,97,108,65,110,97,108,121,115,105,115,0,69,110,116,104,97,108,112,121,65,110,97,108,121,115,105,115,0,70,108,97,105,109,65,110,97,108,121,115,105,115,0,70,108,97,105,109,83,111,108,117,116,105,111,110,0,72,121,100,114,111,108,111,103,121,83,104,114,101,118,101,65,110,97,108,121,115,105,115,0,72,121,100,114,111,108,111,103,121,68,67,73,110,101,102,102,105,99,105,101,110,116,65,110,97,108,121,115,105,115,0,72,121,100,114,111,108,111,103,121,68,67,69,102,102,105,99,105,101,110,116,65,110,97,108,121,115,105,115,0,72,121,100,114,111,108,111,103,121,83,111,109,109,101,114,115,65,110,97,108,121,115,105,115,0,72,121,100,114,111,108,111,103,121,83,111,108,117,116,105,111,110,0,77,101,108,116,105,110,103,65,110,97,108,121,115,105,115,0,77,97,115,115,116,114,97,110,115,112,111,114,116,65,110,97,108,121,115,105,115,0,77,97,115,115,116,114,97,110,115,112,111,114,116,83,111,108,117,116,105,111,110,0,70,114,101,101,83,117,114,102,97,99,101,66,97,115,101,65,110,97,108,121,115,105,115,0,70,114,101,101,83,117,114,102,97,99,101,84,111,112,65,110,97,108,121,115,105,115,0,83,117,114,102,97,99,101,78,111,114,109,97,108,86,101,108,111,99,105,116,121,0,69,120,116,114,117,100,101,70,114,111,109,66,97,115,101,65,110,97,108,121,115,105,115,0,69,120,116,114,117,100,101,70,114,111,109,84,111,112,65,110,97,108,121,115,105,115,0,68,101,112,116,104,65,118,101,114,97,103,101,65,110,97,108,121,115,105,115,0,83,116,101,97,100,121,115,116,97,116,101,83,111,108,117,116,105,111,110,0,83,117,114,102,97,99,101,83,108,111,112,101,83,111,108,117,116,105,111,110,0,83,109,111,111,116,104,65,110,97,108,121,115,105,115,0,84,104,101,114,109,97,108,65,110,97,108,121,115,105,115,0,84,104,101,114,109,97,108,83,111,108,117,116,105,111,110,0,84,114,97,110,115,105,101,110,116,83,111,108,117,116,105,111,110,0,85,122,97,119,97,80,114,101,115,115,117,114,101,65,110,97,108,121,115,105,115,0,71,105,97,83,111,108,117,116,105,111,110,0,71,105,97,65,110,97,108,121,115,105,115,0,77,101,115,104,100,101,102,111,114,109,97,116,105,111,110,83,111,108,117,116,105,111,110,0,77,101,115,104,100,101,102,111,114,109,97,116,105,111,110,65,110,97,108,121,115,105,115,0,76,101,118,101,108,115,101,116,65,110,97,108,121,115,105,115,0,76,101,118,101,108,115,101,116,83,116,97,98,105,108,105,122,97,116,105,111,110,0,69,120,116,114,97,112,111,108,97,116,105,111,110,65,110,97,108,121,115,105,115,0,76,115,102,82,101,105,110,105,116,105,97,108,105,122,97,116,105,111,110,65,110,97,108,121,115,105,115,0,65,112,112,114,111,120,105,109,97,116,105,111,110,0,78,111,110,101,65,112,112,114,111,120,105,109,97,116,105,111,110,0,83,73,65,65,112,112,114,111,120,105,109,97,116,105,111,110,0,83,83,65,65,112,112,114,111,120,105,109,97,116,105,111,110,0,83,83,65,72,79,65,112,112,114,111,120,105,109,97,116,105,111,110,0,83,83,65,70,83,65,112,112,114,111,120,105,109,97,116,105,111,110,0,76,49,76,50,65,112,112,114,111,120,105,109,97,116,105,111,110,0,72,79,65,112,112,114,111,120,105,109,97,116,105,111,110,0,72,79,70,83,65,112,112,114,111,120,105,109,97,116,105,111,110,0,70,83,65,112,112,114,111,120,105,109,97,116,105,111,110,0,70,83,118,101,108,111,99,105,116,121,0,70,83,112,114,101,115,115,117,114,101,0,68,97,116,97,83,101,116,0,67,111,110,115,116,114,97,105,110,116,115,0,76,111,97,100,115,0,77,97,116,101,114,105,97,108,115,0,78,111,100,101,115,0,67,111,110,116,111,117,114,115,0,80,97,114,97,109,101,116,101,114,115,0,86,101,114,116,105,99,101,115,0,82,101,115,117,108,116,115,0,71,101,110,101,114,105,99,80,97,114,97,109,0,65,100,111,108,99,80,97,114,97,109,0,66,111,111,108,73,110,112,117,116,0,66,111,111,108,80,97,114,97,109,0,67,111,110,116,111,117,114,0,68,97,116,97,115,101,116,73,110,112,117,116,0,68,111,117,98,108,101,73,110,112,117,116,0,68,111,117,98,108,101,65,114,114,97,121,73,110,112,117,116,0,68,97,116,97,83,101,116,80,97,114,97,109,0,68,111,117,98,108,101,77,97,116,65,114,114,97,121,80,97,114,97,109,0,68,111,117,98,108,101,77,97,116,80,97,114,97,109,0,68,111,117,98,108,101,80,97,114,97,109,0,68,111,117,98,108,101,86,101,99,80,97,114,97,109,0,69,108,101,109,101,110,116,0,69,108,101,109,101,110,116,72,111,111,107,0,72,111,111,107,0,69,120,116,101,114,110,97,108,82,101,115,117,108,116,0,70,105,108,101,80,97,114,97,109,0,73,110,112,117,116,0,73,110,116,73,110,112,117,116,0,73,110,112,117,116,84,111,69,120,116,114,117,100,101,0,73,110,112,117,116,84,111,76,50,80,114,111,106,101,99,116,0,73,110,112,117,116,84,111,68,101,112,116,104,97,118,101,114,97,103,101,0,73,110,112,117,116,84,111,83,109,111,111,116,104,0,83,109,111,111,116,104,84,104,105,99,107,110,101,115,115,77,117,108,116,105,112,108,105,101,114,0,73,110,116,80,97,114,97,109,0,73,110,116,86,101,99,80,97,114,97,109,0,84,114,97,110,115,105,101,110,116,80,97,114,97,109,0,77,97,116,105,99,101,0,77,97,116,100,97,109,97,103,101,105,99,101,0,77,97,116,101,115,116,97,114,0,77,97,116,112,97,114,0,78,111,100,101,0,78,117,109,101,114,105,99,97,108,102,108,117,120,0,78,117,109,101,114,105,99,97,108,102,108,117,120,84,121,112,101,0,78,101,117,109,97,110,110,102,108,117,120,0,80,97,114,97,109,0,77,111,117,108,105,110,0,80,101,110,103,114,105,100,0,80,101,110,112,97,105,114,0,80,114,111,102,105,108,101,114,0,77,97,116,114,105,120,80,97,114,97,109,0,77,97,115,115,99,111,110,0,77,97,115,115,99,111,110,78,97,109,101,0,77,97,115,115,99,111,110,68,101,102,105,110,105,116,105,111,110,101,110,117,109,0,77,97,115,115,99,111,110,76,101,118,101,108,115,101,116,0,77,97,115,115,99,111,110,97,120,112,98,121,0,77,97,115,115,99,111,110,97,120,112,98,121,78,97,109,101,0,77,97,115,115,99,111,110,97,120,112,98,121,68,101,102,105,110,105,116,105,111,110,101,110,117,109,0,77,97,115,115,99,111,110,97,120,112,98,121,78,97,109,101,120,0,77,97,115,115,99,111,110,97,120,112,98,121,78,97,109,101,121,0,77,97,115,115,99,111,110,97,120,112,98,121,65,108,112,104,97,0,77,97,115,115,99,111,110,97,120,112],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+88552);allocate([98,121,66,101,116,97,0,78,111,100,101,83,73,100,0,86,101,99,116,111,114,80,97,114,97,109,0,82,105,102,116,102,114,111,110,116,0,82,105,102,116,102,114,111,110,116,84,121,112,101,0,83,101,103,109,101,110,116,0,83,101,103,109,101,110,116,82,105,102,116,102,114,111,110,116,0,83,112,99,68,121,110,97,109,105,99,0,83,112,99,83,116,97,116,105,99,0,83,112,99,84,114,97,110,115,105,101,110,116,0,83,116,114,105,110,103,65,114,114,97,121,80,97,114,97,109,0,83,116,114,105,110,103,80,97,114,97,109,0,83,101,103,0,83,101,103,73,110,112,117,116,0,84,114,105,97,0,84,114,105,97,73,110,112,117,116,0,84,101,116,114,97,0,84,101,116,114,97,73,110,112,117,116,0,80,101,110,116,97,0,80,101,110,116,97,73,110,112,117,116,0,86,101,114,116,101,120,0,86,101,114,116,101,120,80,73,100,0,86,101,114,116,101,120,83,73,100,0,65,105,114,0,73,99,101,0,77,101,108,97,110,103,101,0,87,97,116,101,114,0,67,108,111,115,101,100,0,70,114,101,101,0,79,112,101,110,0,65,100,106,111,105,110,116,112,0,65,100,106,111,105,110,116,120,0,65,100,106,111,105,110,116,121,0,65,100,106,111,105,110,116,122,0,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,77,105,115,102,105,116,0,66,101,100,83,108,111,112,101,88,0,66,101,100,83,108,111,112,101,89,0,66,111,117,110,100,97,114,121,0,67,111,110,118,101,114,103,101,100,0,70,105,108,108,0,70,114,97,99,116,105,111,110,73,110,99,114,101,109,101,110,116,0,70,114,105,99,116,105,111,110,0,73,110,116,101,114,110,97,108,0,77,97,115,115,70,108,117,120,0,77,101,108,116,105,110,103,79,102,102,115,101,116,0,77,105,115,102,105,116,0,80,114,101,115,115,117,114,101,0,80,114,101,115,115,117,114,101,80,105,99,97,114,100,0,65,110,100,114,111,105,100,70,114,105,99,116,105,111,110,67,111,101,102,102,105,99,105,101,110,116,0,82,101,115,101,116,80,101,110,97,108,116,105,101,115,0,83,101,103,109,101,110,116,79,110,73,99,101,83,104,101,108,102,0,83,117,114,102,97,99,101,65,114,101,97,0,83,117,114,102,97,99,101,83,108,111,112,101,88,0,83,117,114,102,97,99,101,83,108,111,112,101,89,0,84,101,109,112,101,114,97,116,117,114,101,0,84,101,109,112,101,114,97,116,117,114,101,80,105,99,97,114,100,0,84,101,109,112,101,114,97,116,117,114,101,80,68,68,0,84,104,105,99,107,110,101,115,115,65,98,115,77,105,115,102,105,116,0,83,117,114,102,97,99,101,65,98,115,77,105,115,102,105,116,0,86,101,108,0,86,101,108,111,99,105,116,121,0,86,120,65,118,101,114,97,103,101,0,86,120,0,86,120,80,105,99,97,114,100,0,86,121,65,118,101,114,97,103,101,0,86,121,0,86,121,80,105,99,97,114,100,0,86,122,0,86,122,83,83,65,0,86,122,72,79,0,86,122,80,105,99,97,114,100,0,86,122,70,83,0,86,120,77,101,115,104,0,86,121,77,101,115,104,0,86,122,77,101,115,104,0,69,110,116,104,97,108,112,121,0,69,110,116,104,97,108,112,121,80,105,99,97,114,100,0,84,104,105,99,107,110,101,115,115,65,98,115,71,114,97,100,105,101,110,116,0,84,104,105,99,107,110,101,115,115,65,108,111,110,103,71,114,97,100,105,101,110,116,0,84,104,105,99,107,110,101,115,115,65,99,114,111,115,115,71,114,97,100,105,101,110,116,0,84,104,105,99,107,110,101,115,115,80,111,115,105,116,105,118,101,0,73,110,116,77,97,116,80,97,114,97,109,0,84,114,97,110,115,105,101,110,116,73,110,112,117,116,0,87,97,116,101,114,102,114,97,99,116,105,111,110,0,87,97,116,101,114,99,111,108,117,109,110,0,66,97,115,97,108,70,114,105,99,116,105,111,110,0,86,105,115,99,111,117,115,72,101,97,116,105,110,103,0,72,121,100,114,111,108,111,103,121,87,97,116,101,114,86,120,0,72,121,100,114,111,108,111,103,121,87,97,116,101,114,86,121,0,68,114,105,118,105,110,103,83,116,114,101,115,115,88,0,68,114,105,118,105,110,103,83,116,114,101,115,115,89,0,83,105,103,109,97,78,78,0,83,116,114,101,115,115,84,101,110,115,111,114,0,83,116,114,101,115,115,84,101,110,115,111,114,120,120,0,83,116,114,101,115,115,84,101,110,115,111,114,120,121,0,83,116,114,101,115,115,84,101,110,115,111,114,120,122,0,83,116,114,101,115,115,84,101,110,115,111,114,121,121,0,83,116,114,101,115,115,84,101,110,115,111,114,121,122,0,83,116,114,101,115,115,84,101,110,115,111,114,122,122,0,83,116,114,101,115,115,77,97,120,80,114,105,110,99,105,112,97,108,0,68,101,118,105,97,116,111,114,105,99,83,116,114,101,115,115,0,68,101,118,105,97,116,111,114,105,99,83,116,114,101,115,115,120,120,0,68,101,118,105,97,116,111,114,105,99,83,116,114,101,115,115,120,121,0,68,101,118,105,97,116,111,114,105,99,83,116,114,101,115,115,120,122,0,68,101,118,105,97,116,111,114,105,99,83,116,114,101,115,115,121,121,0,68,101,118,105,97,116,111,114,105,99,83,116,114,101,115,115,121,122,0,68,101,118,105,97,116,111,114,105,99,83,116,114,101,115,115,122,122,0,68,101,118,105,97,116,111,114,105,99,83,116,114,101,115,115,101,102,102,101,99,116,105,118,101,0,76,97,109,98,100,97,83,0,83,116,114,97,105,110,82,97,116,101,0,83,116,114,97,105,110,82,97,116,101,120,120,0,83,116,114,97,105,110,82,97,116,101,120,121,0,83,116,114,97,105,110,82,97,116,101,120,122,0,83,116,114,97,105,110,82,97,116,101,121,121,0,83,116,114,97,105,110,82,97,116,101,121,122,0,83,116,114,97,105,110,82,97,116,101,122,122,0,68,105,118,101,114,103,101,110,99,101,0,77,97,120,68,105,118,101,114,103,101,110,99,101,0,71,105,97,67,114,111,115,115,83,101,99,116,105,111,110,83,104,97,112,101,0,71,105,97,100,87,100,116,0,71,105,97,87,0,80,48,0,80,48,65,114,114,97,121,0,80,49,0,80,49,68,71,0,80,49,98,117,98,98,108,101,0,80,49,98,117,98,98,108,101,99,111,110,100,101,110,115,101,100,0,80,50,0,80,50,98,117,98,98,108,101,0,80,50,98,117,98,98,108,101,99,111,110,100,101,110,115,101,100,0,80,50,120,80,49,0,80,49,120,80,50,0,80,49,120,80,51,0,80,50,120,80,52,0,80,49,80,49,0,80,49,80,49,71,76,83,0,77,73,78,73,0,77,73,78,73,99,111,110,100,101,110,115,101,100,0,84,97,121,108,111,114,72,111,111,100,0,76,65,84,97,121,108,111,114,72,111,111,100,0,88,84,97,121,108,111,114,72,111,111,100,0,79,110,101,76,97,121,101,114,80,52,122,0,67,114,111,117,122,101,105,120,82,97,118,105,97,114,116,0,76,65,67,114,111,117,122,101,105,120,82,97,118,105,97,114,116,0,83,97,118,101,82,101,115,117,108,116,115,0,66,111,111,108,69,120,116,101,114,110,97,108,82,101,115,117,108,116,0,68,111,117,98,108,101,69,120,116,101,114,110,97,108,82,101,115,117,108,116,0,68,111,117,98,108,101,77,97,116,69,120,116,101,114,110,97,108,82,101,115,117,108,116,0,73,110,116,69,120,116,101,114,110,97,108,82,101,115,117,108,116,0,74,0,83,116,114,105,110,103,69,120,116,101,114,110,97,108,82,101,115,117,108,116,0,83,116,101,112,0,84,105,109,101,0,87,97,116,101,114,67,111,108,117,109,110,79,108,100,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,49,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,50,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,51,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,52,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,53,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,54,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,55,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,56,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,57,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,49,48,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,49,49,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,49,50,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,49,51,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,49,52,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,49,53,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,49,54,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,49,55,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,49,56,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,49,57,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,50,48,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,50,49,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,50,50,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,50,51,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,50,52,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,50,53,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,50,54,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,50,55,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,50,56,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,50,57,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,51,48,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,51,49,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,51,50,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,51,51,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,51,52,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,51,53,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,51,54,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,51,55,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,51,56,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,51,57,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,52,48,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,52,49,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,52,50,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,52,51,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,52,52,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,52,53,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,52,54,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,52,55,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,52,56,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,52,57,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,53,48,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,53,49,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,53,50,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,53,51,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,53,52,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,53,53,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,53,54,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,53,55,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,53,56,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,53,57,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,54,48,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,54,49,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,54,50,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,54,51,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,54,52,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,54,53,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,54,54,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,54,55,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,54,56,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,54,57,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,55,48,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,55,49,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,55,50,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,55,51,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,55,52,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,55,53,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,55,54,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,55,55,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,55,56,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,55,57,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,56,48,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,56,49,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,56,50,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,56,51,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,56,52,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,56,53,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,56,54,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,56,55,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,56,56,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,56,57,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,57,48,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,57,49,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,57,50,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,57,51,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,57,52,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,57,53,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,57,54,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,57,55,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,57,56,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,57,57,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,49,48,48,0,79,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,76,105,115,116,0,77,97,115,115,102,108,117,120,97,116,103,97,116,101,0,77,97,115,115,102,108,117,120,97,116,103,97,116,101,78,97,109,101,0,77,97,115,115,102,108,117,120,97,116,103,97,116,101,68,101,102,105,110,105,116,105,111,110,101,110,117,109,0,77,97,115,115,102,108,117,120,97,116,103,97,116,101,83,101,103,109,101,110,116,115,0,78,111,100,97,108,118,97,108,117,101,0,78,111,100,97,108,118,97,108,117,101,78,97,109,101,0,78,111,100,97,108,118,97,108,117,101,68,101,102,105,110,105,116,105,111,110,101,110,117,109,0,78,111,100,97,108,118,97,108,117,101,77,111,100,101,108,69,110,117,109,0,78,111,100,97,108,118,97,108,117,101,78,111,100,101,0,77,105,115,102,105,116,78,97,109,101,0,77,105,115,102,105,116,68,101,102,105,110,105,116,105,111,110,101,110,117,109,0,77,105,115,102,105,116,77,111,100,101,108,69,110,117,109,0,77,105,115,102,105,116,79,98,115,101,114,118,97,116,105,111,110,0,77,105,115,102,105,116,79,98,115,101,114,118,97,116,105,111,110,69,110,117,109,0,77,105,115,102,105,116,76,111,99,97,108,0,77,105,115,102,105,116,84,105,109,101,105,110,116,101,114,112,111,108,97,116,105,111,110,0,77,105,115,102,105,116,87,101,105,103,104,116,115,0,77,105,115,102,105,116,87,101,105,103,104,116,115,69,110,117,109,0,83,117,114,102,97,99,101,79,98,115,101,114,118,97,116,105,111,110,0,87,101,105,103,104,116,115,83,117,114,102,97,99,101,79,98,115,101,114,118,97,116,105,111,110,0,86,120,79,98,115,0,87,101,105,103,104,116,115,86,120,79,98,115,0,86,121,79,98,115,0,87,101,105,103,104,116,115,86,121,79,98,115,0,77,105,110,86,101,108,0,77,97,120,86,101,108,0,77,105,110,86,120,0,77,97,120,86,120,0,77,97,120,65,98,115,86,120,0,77,105,110,86,121,0,77,97,120,86,121,0,77,97,120,65,98,115,86,121,0,77,105,110,86,122,0,77,97,120,86,122,0,77,97,120,65,98,115,86,122,0,70,108,111,97,116,105,110,103,65,114,101,97,0,71,114,111,117,110,100,101,100,65,114,101,97,0,73,99,101,77,97,115,115,0,73,99,101,86,111,108,117,109,101,0,73,99,101,86,111,108,117,109,101,65,98,111,118,101,70,108,111,97,116,97,116,105,111,110,0,84,111,116,97,108,70,108,111,97,116,105,110,103,66,109,98,0,84,111,116,97,108,71,114,111,117,110,100,101,100,66,109,98,0,84,111,116,97,108,83,109,98,0,65,98,115,111,108,117,116,101,0,73,110,99,114,101,109,101,110,116,97,108,0,65,117,103,109,101,110,116,101,100,76,97,103,114,97,110,103,105,97,110,82,0,65,117,103,109,101,110,116,101,100,76,97,103,114,97,110,103,105,97,110,82,104,111,112,0,65,117,103,109,101,110,116,101,100,76,97,103,114,97,110,103,105,97,110,82,108,97,109,98,100,97,0,65,117,103,109,101,110,116,101,100,76,97,103,114,97,110,103,105,97,110,82,104,111,108,97,109,98,100,97,0,65,117,103,109,101,110,116,101,100,76,97,103,114,97,110,103,105,97,110,84,104,101,116,97,0,78,111,110,101,0,65,103,103,114,101,115,115,105,118,101,77,105,103,114,97,116,105,111,110,0,83,111,102,116,77,105,103,114,97,116,105,111,110,0,83,117,98,101,108,101,109,101,110,116,77,105,103,114,97,116,105,111,110,0,83,117,98,101,108,101,109,101,110,116,77,105,103,114,97,116,105,111,110,50,0,67,111,110,116,97,99,116,0,71,114,111,117,110,100,105,110,103,79,110,108,121,0,77,97,115,107,71,114,111,117,110,100,101,100,105,99,101,76,101,118,101,108,115,101,116,0,71,97,117,115,115,83,101,103,0,70,83,83,111,108,118,101,114,0,65,100,106,111,105,110,116,0,67,111,108,105,110,101,97,114,0,67,111,110,116,114,111,108,83,116,101,97,100,121,0,70,115,101,116,0,71,114,97,100,105,101,110,116,49,0,71,114,97,100,105,101,110,116,50,0,71,114,97,100,105,101,110,116,51,0,71,114,97,100,105,101,110,116,0,71,114,111,117,110,100,105,110,103,108,105,110,101,77,105,103,114,97,116,105,111,110,0,71,115,101,116,0,73,110,100,101,120,0,73,110,100,101,120,101,100,0,73,110,116,101,114,115,101,99,116,0,78,111,100,97,108,0,79,108,100,71,114,97,100,105,101,110,116,0,79,117,116,112,117,116,66,117,102,102,101,114,80,111,105,110,116,101,114,0,79,117,116,112,117,116,66,117,102,102,101,114,83,105,122,101,80,111,105,110,116,101,114,0,79,117,116,112,117,116,70,105,108,101,80,111,105,110,116,101,114,0,84,111,111,108,107,105,116,115,70,105,108,101,78,97,109,101,0,82,111,111,116,80,97,116,104,0,79,117,116,112,117,116,70,105,108,101,78,97,109,101,0,73,110,112,117,116,70,105,108,101,78,97,109,101,0,76,111,99,107,70,105,108,101,78,97,109,101,0,82,101,115,116,97,114,116,70,105,108,101,78,97,109,101,0,84,111,111,108,107,105,116,115,79,112,116,105,111,110,115,65,110,97,108,121,115,101,115,0,84,111,111,108,107,105,116,115,79,112,116,105,111,110,115,83,116,114,105,110,103,115,0,81,109,117,69,114,114,78,97,109,101,0,81,109,117,73,110,78,97,109,101,0,81,109,117,79,117,116,78,97,109,101,0,82,101,103,117,108,97,114,0,83,99,97,108,101,100,0,83,101,112,97,114,97,116,101,0,83,115,101,116,0,86,101,114,98,111,115,101,0,84,114,105,97,110,103,108,101,73,110,116,101,114,112,0,66,105,108,105,110,101,97,114,73,110,116,101,114,112,0,78,101,97,114,101,115,116,73,110,116,101,114,112,0,88,89,0,88,89,90,0,68,101,110,115,101,0,77,112,105,68,101,110,115,101,0,77,112,105,83,112,97,114,115,101,0,83,101,113,0,77,112,105,0,77,117,109,112,115,0,71,115,108,0,79,112,116,105,111,110,0,71,101,110,101,114,105,99,79,112,116,105,111,110,0,79,112,116,105,111,110,67,101,108,108,0,79,112,116,105,111,110,83,116,114,117,99,116,0,67,117,102,102,101,121,0,66,117,100,100,74,97,99,107,97,0,67,117,102,102,101,121,84,101,109,112,101,114,97,116,101,0,80,97,116,101,114,115,111,110,0,65,114,114,104,101,110,105,117,115,0,76,108,105,98,111,117,116,114,121,68,117,118,97,108,0,83,112,99,108,101,118,101,108,115,101,116,0,69,120,116,114,97,112,111,108,97,116,105,111,110,86,97,114,105,97,98,108,101,0,73,99,101,77,97,115,107,78,111,100,101,65,99,116,105,118,97,116,105,111,110,0,76,101,118,101,108,115,101,116,102,117,110,99,116,105,111,110,83,108,111,112,101,88,0,76,101,118,101,108,115,101,116,102,117,110,99,116,105,111,110,83,108,111,112,101,89,0,76,101,118,101,108,115,101,116,102,117,110,99,116,105,111,110,80,105,99,97,114,100,0,76,101,118,101,108,115,101,116,82,101,105,110,105,116,70,114,101,113,117,101,110,99,121,0,83,101,97,108,101,118,101,108,114,105,115,101,83,111,108,117,116,105,111,110,0,83,101,97,108,101,118,101,108,114,105,115,101,65,110,97,108,121,115,105,115,0,83,101,97,108,101,118,101,108,0,83,101,97,108,101,118,101,108,69,117,115,116,97,116,105,99,0,83,101,97,108,101,118,101,108,114,105,115,101,68,101,108,116,97,116,104,105,99,107,110,101,115,115,0,83,101,97,108,101,118,101,108,114,105,115,101,77,97,120,105,116,101,114,0,83,101,97,108,101,118,101,108,114,105,115,101,82,101,108,116,111,108,0,83,101,97,108,101,118,101,108,114,105,115,101,65,98,115,116,111,108,0,83,101,97,108,101,118,101,108,114,105,115,101,76,111,118,101,72,0,83,101,97,108,101,118,101,108,114,105,115,101,76,111,118,101,75,0,83,101,97,108,101,118,101,108,114,105,115,101,84,105,100,101,76,111,118,101,72,0,83,101,97,108,101,118,101,108,114,105,115,101,84,105,100,101,76,111,118,101,75,0,83,101,97,108,101,118,101,108,114,105,115,101,82,105,103,105,100,0,83,101,97,108,101,118,101,108,114,105,115,101,69,108,97,115,116,105,99,0,83,101,97,108,101,118,101,108,114,105,115,101,82,111,116,97,116,105,111,110,0,83,101,97,108,101,118,101,108,114,105,115,101,71,69,108,97,115,116,105,99,0,83,101,97,108,101,118,101,108,114,105,115,101,68,101,103,97,99,99,0,83,101,97,108,101,118,101,108,114,105,115,101,84,114,97,110,115,105,116,105,111,110,115,0,83,101,97,108,101,118,101,108,114,105,115,101,82,101,113,117,101,115,116,101,100,79,117,116,112,117,116,115,0,83,101,97,108,101,118,101,108,114,105,115,101,78,117,109,82,101,113,117,101,115,116,101,100,79,117,116,112,117,116,115,0,80,97,114,97,109,101,116,101,114,115,69,78,68,0,77,97,120,105,109,117,109,78,117,109,98,101,114,79,102,68,101,102,105,110,105,116,105,111,110,115,0,69,110,117,109,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,115,104,97,114,101,100,47,69,110,117,109,47,83,116,114,105,110,103,84,111,69,110,117,109,120,46,99,112,112,0,83,116,114,105,110,103,84,111,69,110,117,109,120,0,118,101,98,111,115,105,116,121,32,108,101,118,101,108,32,115,104,111,117,108,100,32,98,101,32,97,32,112,111,115,105,116,105,118,101,32,105,110,116,101,103,101,114,32,40,117,115,101,114,32,112,114,111,118,105,100,101,100,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,115,104,97,114,101,100,47,78,117,109,101,114,105,99,115,47,86,101,114,98,111,115,105,116,121,46,99,112,112,0,83,101,116,86,101,114,98,111,115,105,116,121,76,101,118,101,108,0,49,52,69,114,114,111,114,69,120,99,101,112,116,105,111,110,0,69,114,114,111,114,32,109,101,115,115,97,103,101,58,32,0,10,63,63,63,32,69,114,114,111,114,32,105,110,32,61,61,62,32,0,58,0,32,101,114,114,111,114,32,109,101,115,115,97,103,101,58,32,0,10,10,0,10,91,0,93,32,63,63,63,32,69,114,114,111,114,32,117,115,105,110,103,32,61,61,62,32,0,91,0,93,32,0,10,69,114,114,111,114,32,105,110,32,61,61,62,32,0,109,97,116,95,116,121,112,101,0,109,112,105,100,101,110,115,101,0,109,112,105,115,112,97,114,115,101,0,100,101,110,115,101,0,68,101,110,115,101,32,109,97,116,114,105,120,32,116,121,112,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,102,111,114,32,112,97,114,97,108,108,101,108,32,114,117,110,115,32,119,105,116,104,32,110,117,109,95,112,114,111,99,115,62,49,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,116,111,111,108,107,105,116,115,47,105,115,115,109,47,73,115,115,109,84,111,111,108,107,105,116,85,116,105,108,115,46,99,112,112,0,73,115,115,109,77,97,116,84,121,112,101,70,114,111,109,84,111,111,108,107,105,116,79,112,116,105,111,110,115,0,118,101,99,95,116,121,112,101,0,109,112,105,0,115,101,113,0,68,101,110,115,101,32,118,101,99,116,111,114,32,116,121,112,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,102,111,114,32,112,97,114,97,108,108,101,108,32,114,117,110,115,32,119,105,116,104,32,110,117,109,95,112,114,111,99,115,62,49,0,73,115,115,109,86,101,99,84,121,112,101,70,114,111,109,84,111,111,108,107,105,116,79,112,116,105,111,110,115,0,48,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,116,111,111,108,107,105,116,115,47,109,112,105,47,105,115,115,109,109,112,105,46,99,112,112,0,115,105,122,101,72,101,108,112,101,114,0,115,101,110,100,99,111,117,110,116,61,61,114,101,99,118,99,111,117,110,116,32,124,124,32,115,101,110,100,116,121,112,101,61,61,114,101,99,118,116,121,112,101,0,73,83,83,77,95,77,80,73,95,65,108,108,103,97,116,104,101,114,0,115,101,110,100,116,121,112,101,61,61,114,101,99,118,116,121,112,101,0,73,83,83,77,95,77,80,73,95,65,108,108,103,97,116,104,101,114,118,0,115,101,110,100,99,111,117,110,116,61,61,114,101,99,118,99,111,117,110,116,115,91,48,93,0,115,101,110,100,116,121,112,101,61,61,114,101,99,118,116,121,112,101,32,38,38,32,115,101,110,100,99,110,116,61,61,114,101,99,118,99,110,116,0,73,83,83,77,95,77,80,73,95,71,97,116,104,101,114,0,116,111,111,108,107,105,116,0,116,111,107,101,110,32,108,105,115,116,32,115,104,111,117,108,100,32,115,116,97,114,116,32,119,105,116,104,32,97,110,32,111,112,116,105,111,110,44,32,110,111,116,32,97,32,118,97,108,117,101,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,116,111,111,108,107,105,116,115,47,84,111,111,108,107,105,116,79,112,116,105,111,110,115,46,99,112,112,0,84,111,107,101,110,86,97,108,117,101,0,109,100,46,118,101,114,98,111,115,101,0,32,32,32,115,116,97,114,116,105,110,103,32,109,111,100,101,108,32,112,114,111,99,101,115,115,111,114,32,10,0,32,32,32,99,114,101,97,116,105,110,103,32,100,97,116,97,115,101,116,115,32,102,111,114,32,97,110,97,108,121,115,105,115,32,0,32,32,32,100,111,110,101,32,119,105,116,104,32,109,111,100,101,108,32,112,114,111,99,101,115,115,111,114,32,10,0,109,100,46,109,101,115,104,46,101,108,101,109,101,110,116,115,50,100,0,109,100,46,109,101,115,104,46,110,117,109,98,101,114,111,102,101,108,101,109,101,110,116,115,50,100,0,109,100,46,109,101,115,104,46,110,117,109,98,101,114,111,102,118,101,114,116,105,99,101,115,50,100,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,77,111,100,101,108,80,114,111,99,101,115,115,111,114,120,47,69,108,101,109,101,110,116,115,65,110,100,86,101,114,116,105,99,101,115,80,97,114,116,105,116,105,111,110,105,110,103,46,99,112,112,0,69,108,101,109,101,110,116,115,65,110,100,86,101,114,116,105,99,101,115,80,97,114,116,105,116,105,111,110,105,110,103,0,109,101,116,105,115,32,104,97,115,32,110,111,116,32,98,101,101,100,32,105,110,115,116,97,108,108,101,100,46,32,67,97,110,110,111,116,32,114,117,110,32,119,105,116,104,32,109,111,114,101,32,116,104,97,110,32,49,32,99,112,117,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,77,111,100,101,108,80,114,111,99,101,115,115,111,114,120,47,46,46,47,77,101,115,104,80,97,114,116,105,116,105,111,110,120,47,77,101,115,104,80,97,114,116,105,116,105,111,110,120,46,104,0,77,101,115,104,80,97,114,116,105,116,105,111,110,120,0,65,116,32,108,101,97,115,116,32,111,110,101,32,112,114,111,99,101,115,115,111,114,32,105,115,32,114,101,113,117,105,114,101,100,0,109,100,46,115,101,116,116,105,110,103,115,46,111,117,116,112,117,116,95,102,114,101,113,117,101,110,99,121,0,109,100,46,115,101,116,116,105,110,103,115,46,114,101,99,111,114,100,105,110,103,95,102,114,101,113,117,101,110,99,121,0,109,100,46,99,111,110,115,116,97,110,116,115,46,121,116,115,0,109,100,46,116,105,109,101,115,116,101,112,112,105,110,103,46,115,116,97,114,116,95,116,105,109,101,0,109,100,46,116,105,109,101,115,116,101,112,112,105,110,103,46,102,105,110,97,108,95,116,105,109,101,0,109,100,46,116,105,109,101,115,116,101,112,112,105,110,103,46,116,105,109,101,95,97,100,97,112,116,0,109,100,46,116,105,109,101,115,116,101,112,112,105,110,103,46,116,105,109,101,95,115,116,101,112,0,109,100,46,116,105,109,101,115,116,101,112,112,105,110,103,46,99,102,108,95,99,111,101,102,102,105,99,105,101,110,116,0,109,100,46,115,101,116,116,105,110,103,115,46,108,111,119,109,101,109,0,109,100,46,100,101,98,117,103,46,112,114,111,102,105,108,105,110,103,0,109,100,46,109,101,115,104,46,97,118,101,114,97,103,101,95,118,101,114,116,101,120,95,99,111,110,110,101,99,116,105,118,105,116,121,0,109,100,46,115,101,116,116,105,110,103,115,46,119,97,105,116,111,110,108,111,99,107,0,109,100,46,115,101,116,116,105,110,103,115,46,114,101,115,117,108,116,115,95,111,110,95,110,111,100,101,115,0,109,100,46,115,101,116,116,105,110,103,115,46,105,111,95,103,97,116,104,101,114,0,109,100,46,115,116,101,97,100,121,115,116,97,116,101,46,114,101,108,116,111,108,0,109,100,46,115,116,101,97,100,121,115,116,97,116,101,46,109,97,120,105,116,101,114,0,109,100,46,103,114,111,117,110,100,105,110,103,108,105,110,101,46,109,105,103,114,97,116,105,111,110,0,109,100,46,116,114,97,110,115,105,101,110,116,46,105,115,115,116,114,101,115,115,98,97,108,97,110,99,101,0,109,100,46,116,114,97,110,115,105,101,110,116,46,105,115,109,97,115,115,116,114,97,110,115,112,111,114,116,0,109,100,46,116,114,97,110,115,105,101,110,116,46,105,115,116,104,101,114,109,97,108,0,109,100,46,116,114,97,110,115,105,101,110,116,46,105,115,103,105,97,0,109,100,46,116,114,97,110,115,105,101,110,116,46,105,115,100,97,109,97,103,101,101,118,111,108,117,116,105,111,110,0,109,100,46,116,114,97,110,115,105,101,110,116,46,105,115,104,121,100,114,111,108,111,103,121,0,109,100,46,116,114,97,110,115,105,101,110,116,46,105,115,115,108,114,0,109,100,46,116,114,97,110,115,105,101,110,116,46,105,115,99,111,117,112,108,101,114,0,109,100,46,109,97,116,101,114,105,97,108,115,46,114,104,101,111,108,111,103,121,95,108,97,119,0,109,100,46,103,105,97,46,99,114,111,115,115,95,115,101,99,116,105,111,110,95,115,104,97,112,101,0,109,100,46,109,101,115,104,46,110,117,109,98,101,114,111,102,108,97,121,101,114,115,0,109,100,46,98,97,115,97,108,102,111,114,99,105,110,103,115,46,100,101,101,112,119,97,116,101,114,95,109,101,108,116,105,110,103,95,114,97,116,101,0,109,100,46,98,97,115,97,108,102,111,114,99,105,110,103,115,46,100,101,101,112,119,97,116,101,114,95,101,108,101,118,97,116,105,111,110,0,109,100,46,98,97,115,97,108,102,111,114,99,105,110,103,115,46,117,112,112,101,114,119,97,116,101,114,95,101,108,101,118,97,116,105,111,110,0,109,100,46,98,97,115,97,108,102,111,114,99,105,110,103,115,46,109,101,108,116,114,97,116,101,95,102,97,99,116,111,114,0,109,100,46,98,97,115,97,108,102,111,114,99,105,110,103,115,46,116,104,114,101,115,104,111,108,100,95,116,104,105,99,107,110,101,115,115,0,109,100,46,98,97,115,97,108,102,111,114,99,105,110,103,115,46,117,112,112,101,114,100,101,112,116,104,95,109,101,108,116,0,109,100,46,98,97,115,97,108,102,111,114,99,105,110,103,115,46,109,97,110,116,108,101,99,111,110,100,117,99,116,105,118,105,116,121,0,109,100,46,98,97,115,97,108,102,111,114,99,105,110,103,115,46,110,117,115,115,101,108,116,0,109,100,46,98,97,115,97,108,102,111,114,99,105,110,103,115,46,100,116,98,103,0,109,100,46,98,97,115,97,108,102,111,114,99,105,110,103,115,46,112,108,117,109,101,114,97,100,105,117,115,0,109,100,46,98,97,115,97,108,102,111,114,99,105,110,103,115,46,116,111,112,112,108,117,109,101,100,101,112,116,104,0,109,100,46,98,97,115,97,108,102,111,114,99,105,110,103,115,46,98,111,116,116,111,109,112,108,117,109,101,100,101,112,116,104,0,109,100,46,98,97,115,97,108,102,111,114,99,105,110,103,115,46,112,108,117,109,101,120,0,109,100,46,98,97,115,97,108,102,111,114,99,105,110,103,115,46,112,108,117,109,101,121,0,109,100,46,98,97,115,97,108,102,111,114,99,105,110,103,115,46,99,114,117,115,116,116,104,105,99,107,110,101,115,115,0,109,100,46,98,97,115,97,108,102,111,114,99,105,110,103,115,46,117,112,112,101,114,99,114,117,115,116,116,104,105,99,107,110,101,115,115,0,109,100,46,98,97,115,97,108,102,111,114,99,105,110,103,115,46,117,112,112,101,114,99,114,117,115,116,104,101,97,116,0,109,100,46,98,97,115,97,108,102,111,114,99,105,110,103,115,46,108,111,119,101,114,99,114,117,115,116,104,101,97,116,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,77,111,100,101,108,80,114,111,99,101,115,115,111,114,120,47,67,114,101,97,116,101,80,97,114,97,109,101,116,101,114,115,46,99,112,112,0,67,114,101,97,116,101,80,97,114,97,109,101,116,101,114,115,0,109,100,46,116,114,97,110,115,105,101,110,116,46,114,101,113,117,101,115,116,101,100,95,111,117,116,112,117,116,115,0,109,100,46,115,116,101,97,100,121,115,116,97,116,101,46,114,101,113,117,101,115,116,101,100,95,111,117,116,112,117,116,115,0,109,100,46,113,109,117,46,109,97,115,115,95,102,108,117,120,95,115,101,103,109,101,110,116,115,95,112,114,101,115,101,110,116,0,109,100,46,97,117,116,111,100,105,102,102,46,109,97,115,115,95,102,108,117,120,95,115,101,103,109,101,110,116,115,95,112,114,101,115,101,110,116,0,109,100,46,113,109,117,46,109,97,115,115,95,102,108,117,120,95,115,101,103,109,101,110,116,115,0,109,97,115,115,95,102,108,117,120,95,110,117,109,95,112,114,111,102,105,108,101,115,32,105,115,32,48,44,32,119,104,101,110,32,77,97,115,115,70,108,117,120,32,99,111,109,112,117,116,97,116,105,111,110,115,32,119,101,114,101,32,114,101,113,117,101,115,116,101,100,33,0,109,100,46,109,101,115,104,46,117,112,112,101,114,101,108,101,109,101,110,116,115,0,109,100,46,109,101,115,104,46,108,111,119,101,114,101,108,101,109,101,110,116,115,0,77,101,115,104,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,77,111,100,101,108,80,114,111,99,101,115,115,111,114,120,47,67,114,101,97,116,101,69,108,101,109,101,110,116,115,86,101,114,116,105,99,101,115,65,110,100,77,97,116,101,114,105,97,108,115,46,99,112,112,0,67,114,101,97,116,101,69,108,101,109,101,110,116,115,86,101,114,116,105,99,101,115,65,110,100,77,97,116,101,114,105,97,108,115,0,109,100,46,109,97,116,101,114,105,97,108,115,46,114,104,101,111,108,111,103,121,95,107,111,0,109,100,46,109,97,116,101,114,105,97,108,115,46,114,104,101,111,108,111,103,121,95,69,99,0,109,100,46,109,97,116,101,114,105,97,108,115,46,114,104,101,111,108,111,103,121,95,69,115,0,77,97,116,101,114,105,97,108,115,32,0,109,100,46,109,97,116,101,114,105,97,108,46,114,104,101,111,108,111,103,121,95,66,0,109,100,46,109,97,116,101,114,105,97,108,46,114,104,101,111,108,111,103,121,95,110,0,109,100,46,109,101,115,104,46,120,0,109,100,46,109,101,115,104,46,121,0,109,100,46,109,101,115,104,46,108,97,116,0,109,100,46,109,101,115,104,46,108,111,110,103,0,109,100,46,109,101,115,104,46,114,0,80,69,84,83,99,32,111,112,116,105,111,110,115,32,102,111,114,32,97,110,97,108,121,115,105,115,32,0,32,104,97,118,101,32,98,101,101,110,32,100,101,99,108,97,114,101,100,32,98,117,116,32,119,101,114,101,32,110,111,116,32,102,111,117,110,100,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,80,97,114,115,101,84,111,111,108,107,105,116,115,79,112,116,105,111,110,115,120,47,80,97,114,115,101,84,111,111,108,107,105,116,115,79,112,116,105,111,110,115,120,46,99,112,112,0,80,97,114,115,101,84,111,111,108,107,105,116,115,79,112,116,105,111,110,115,120,0,32,32,32,82,101,110,117,109,98,101,114,105,110,103,32,100,101,103,114,101,101,115,32,111,102,32,102,114,101,101,100,111,109,10,0,99,111,117,108,100,32,110,111,116,32,102,105,110,100,32,101,108,101,109,101,110,116,32,119,105,116,104,32,118,101,114,116,101,120,32,119,105,116,104,32,105,100,32,0,32,116,111,32,99,111,109,112,117,116,101,32,110,111,100,97,108,32,118,97,108,117,101,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,78,111,100,97,108,86,97,108,117,101,120,47,78,111,100,97,108,86,97,108,117,101,120,46,99,112,112,0,78,111,100,97,108,86,97,108,117,101,120,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,79,117,116,112,117,116,82,101,115,117,108,116,115,120,47,46,46,47,46,46,47,99,108,97,115,115,101,115,47,46,46,47,115,104,97,114,101,100,47,46,47,77,101,109,79,112,115,47,77,101,109,79,112,115,46,104,0,119,98,0,37,115,46,37,105,0,110,111,116,32,115,117,112,112,111,114,116,101,100,32,102,111,114,32,116,104,105,115,32,116,121,112,101,32,111,102,32,114,101,115,117,108,116,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,79,117,116,112,117,116,82,101,115,117,108,116,115,120,47,46,46,47,46,46,47,99,108,97,115,115,101,115,47,46,47,69,120,116,101,114,110,97,108,82,101,115,117,108,116,115,47,71,101,110,101,114,105,99,69,120,116,101,114,110,97,108,82,101,115,117,108,116,46,104,0,71,101,116,86,97,108,117,101,0,71,101,110,101,114,105,99,69,120,116,101,114,110,97,108,82,101,115,117,108,116,60,99,104,97,114,42,62,58,10,0,32,32,32],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+98792);allocate([118,97,108,117,101,58,32,0,32,32,32,105,100,32,32,32,32,32,32,32,32,32,32,58,32,0,32,32,32,114,101,115,117,108,116,95,110,97,109,101,32,58,32,0,32,32,32,115,116,101,112,32,32,32,32,32,32,32,32,58,32,0,32,32,32,116,105,109,101,32,32,32,32,32,32,32,32,58,32,0,50,49,71,101,110,101,114,105,99,69,120,116,101,114,110,97,108,82,101,115,117,108,116,73,80,99,69,0,73,110,112,117,116,32,0,32,110,111,116,32,102,111,117,110,100,32,105,110,32,101,108,101,109,101,110,116,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,83,101,116,65,99,116,105,118,101,78,111,100,101,115,76,83,77,120,47,83,101,116,65,99,116,105,118,101,78,111,100,101,115,76,83,77,120,46,99,112,112,0,83,101,116,65,99,116,105,118,101,78,111,100,101,115,76,83,77,120,0,118,101,99,116,111,114,32,116,121,112,101,58,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,71,101,116,86,101,99,116,111,114,70,114,111,109,73,110,112,117,116,115,120,47,71,101,116,86,101,99,116,111,114,70,114,111,109,73,110,112,117,116,115,120,46,99,112,112,0,71,101,116,86,101,99,116,111,114,70,114,111,109,73,110,112,117,116,115,120,0,32,32,32,32,32,32,67,111,110,102,105,103,117,114,105,110,103,32,101,108,101,109,101,110,116,115,46,46,46,10,0,32,32,32,32,32,32,67,111,110,102,105,103,117,114,105,110,103,32,108,111,97,100,115,46,46,46,10,0,32,32,32,32,32,32,67,111,110,102,105,103,117,114,105,110,103,32,109,97,116,101,114,105,97,108,115,46,46,46,10,0,116,111,112,32,103,114,105,100,32,99,101,108,108,32,115,116,114,117,99,116,117,114,101,32,108,101,110,103,116,104,32,100,111,101,115,32,110,111,116,32,103,111,32,101,118,101,110,108,121,32,105,110,116,111,32,115,112,101,99,105,102,105,101,100,32,116,111,112,32,115,116,114,117,99,116,117,114,101,32,100,101,112,116,104,44,32,97,100,106,117,115,116,32,100,122,84,111,112,32,111,114,32,122,84,111,112,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,83,117,114,102,97,99,101,77,97,115,115,66,97,108,97,110,99,101,120,47,71,101,109,98,120,46,99,112,112,0,71,101,109,98,103,114,105,100,73,110,105,116,105,97,108,105,122,101,0,105,110,105,116,105,97,108,32,116,111,112,32,103,114,105,100,32,99,101,108,108,32,108,101,110,103,116,104,32,40,100,122,84,111,112,41,32,105,115,32,60,32,48,46,48,53,32,109,0,32,32,32,103,114,97,105,110,32,103,114,111,119,116,104,32,109,111,100,117,108,101,10,0,32,32,32,97,108,98,101,100,111,32,109,111,100,117,108,101,10,0,97,108,98,101,100,111,32,109,101,116,104,111,100,32,115,119,105,116,99,104,32,115,104,111,117,108,100,32,114,97,110,103,101,32,102,114,111,109,32,49,32,116,111,32,52,33,0,97,108,98,101,100,111,0,97,108,98,101,100,111,32,62,32,49,46,48,10,0,97,108,98,101,100,111,32,105,115,32,110,101,103,97,116,105,118,101,10,0,97,108,98,101,100,111,32,61,61,32,78,65,78,10,0,32,32,32,116,104,101,114,109,97,108,32,109,111,100,117,108,101,10,0,32,32,32,115,104,111,114,116,119,97,118,101,32,109,111,100,117,108,101,10,0,32,32,32,97,99,99,117,109,117,108,97,116,105,111,110,32,109,111,100,117,108,101,10,0,109,97,115,115,32,110,111,116,32,99,111,110,115,101,114,118,101,100,32,105,110,32,97,99,99,117,109,117,108,97,116,105,111,110,32,102,117,110,99,116,105,111,110,0,97,99,99,117,109,117,108,97,116,105,111,110,0,32,32,32,109,101,108,116,32,109,111,100,117,108,101,10,0,32,32,32,32,32,32,112,111,114,101,32,119,97,116,101,114,32,114,101,102,114,101,101,122,101,10,0,110,101,103,97,116,105,118,101,32,112,111,114,101,32,119,97,116,101,114,32,103,101,110,101,114,97,116,101,100,32,105,110,32,109,101,108,116,32,101,113,117,97,116,105,111,110,115,0,109,101,108,116,0,110,101,103,97,116,105,118,101,32,112,111,114,101,32,119,97,116,101,114,32,103,101,110,101,114,97,116,101,100,32,105,110,32,109,101,108,116,32,101,113,117,97,116,105,111,110,115,10,0,109,97,115,115,32,111,114,32,101,110,101,114,103,121,32,97,114,101,32,110,111,116,32,99,111,110,115,101,114,118,101,100,32,105,110,32,109,101,108,116,32,101,113,117,97,116,105,111,110,115,10,0,100,109,58,32,0,32,100,69,58,32,0,32,32,32,100,101,110,115,105,102,105,99,97,116,105,111,110,32,109,111,100,117,108,101,10,0,32,32,32,116,117,114,98,117,108,101,110,116,70,108,117,120,32,109,111,100,117,108,101,10,0,73,83,83,77,32,119,97,115,32,110,111,116,32,99,111,109,112,105,108,101,100,32,119,105,116,104,32,100,97,107,111,116,97,32,115,117,112,112,111,114,116,44,32,99,97,110,110,111,116,32,99,97,114,114,121,32,111,117,116,32,100,97,107,111,116,97,32,97,110,97,108,121,115,105,115,33,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,111,114,101,115,47,87,114,97,112,112,101,114,67,111,114,101,80,111,105,110,116,101,114,70,114,111,109,83,111,108,117,116,105,111,110,69,110,117,109,46,99,112,112,0,87,114,97,112,112,101,114,67,111,114,101,80,111,105,110,116,101,114,70,114,111,109,83,111,108,117,116,105,111,110,69,110,117,109,0,99,111,110,116,114,111,108,32,116,121,112,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,115,111,108,117,116,105,111,110,32,116,121,112,101,58,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,111,114,101,115,47,67,111,114,101,80,111,105,110,116,101,114,70,114,111,109,83,111,108,117,116,105,111,110,69,110,117,109,46,99,112,112,0,67,111,114,101,80,111,105,110,116,101,114,70,114,111,109,83,111,108,117,116,105,111,110,69,110,117,109,0,83,104,111,117,108,100,32,110,111,116,32,98,101,32,114,101,113,117,101,115,116,105,110,103,32,65,68,32,100,114,105,118,101,114,115,32,119,104,101,110,32,97,110,32,65,68,32,108,105,98,114,97,114,121,32,105,115,32,110,111,116,32,97,118,97,105,108,97,98,108,101,33,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,111,114,101,115,47,97,100,95,99,111,114,101,46,99,112,112,0,97,100,95,99,111,114,101,0,37,115,32,118,101,114,115,105,111,110,32,32,37,115,10,0,73,99,101,32,83,104,101,101,116,32,83,121,115,116,101,109,32,77,111,100,101,108,32,40,73,83,83,77,41,0,52,46,57,0,40,119,101,98,115,105,116,101,58,32,37,115,32,99,111,110,116,97,99,116,58,32,37,115,41,10,0,104,116,116,112,58,47,47,105,115,115,109,46,106,112,108,46,110,97,115,97,46,103,111,118,0,105,115,115,109,64,106,112,108,46,110,97,115,97,46,103,111,118,0,99,108,111,115,105,110,103,32,77,80,73,0,101,110,117,109,32,112,114,111,118,105,100,101,100,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,40,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,69,110,117,109,84,111,65,110,97,108,121,115,105,115,46,99,112,112,0,69,110,117,109,84,111,65,110,97,108,121,115,105,115,0,105,110,112,117,116,32,111,112,116,105,111,110,32,104,97,115,32,97,110,32,101,109,112,116,121,32,110,97,109,101,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,79,112,116,105,111,110,115,47,79,112,116,105,111,110,115,46,99,112,112,0,65,100,100,79,112,116,105,111,110,0,79,112,116,105,111,110,32,34,0,34,32,104,97,115,32,97,32,112,114,111,116,101,99,116,101,100,32,99,104,97,114,97,99,116,101,114,32,34,46,34,0,34,32,104,97,115,32,97,32,112,114,111,116,101,99,116,101,100,32,99,104,97,114,97,99,116,101,114,32,34,91,34,0,34,32,104,97,115,32,97,32,112,114,111,116,101,99,116,101,100,32,99,104,97,114,97,99,116,101,114,32,34,93,34,0,79,112,116,105,111,110,115,32,34,0,34,32,102,111,117,110,100,32,109,117,108,116,105,112,108,101,32,116,105,109,101,115,0,84,104,101,32,100,121,110,97,109,105,99,95,99,97,115,116,32,102,114,111,109,32,79,98,106,101,99,116,42,32,116,111,32,79,112,116,105,111,110,42,32,105,115,32,102,97,105,108,105,110,103,46,10,0,65,32,113,117,105,99,107,32,113,111,114,107,97,114,111,117,110,100,32,99,111,110,115,105,115,116,115,32,111,102,32,117,115,105,110,103,32,97,32,67,45,108,105,107,101,32,99,97,115,116,10,0,79,112,101,110,32,79,112,116,105,111,110,115,46,99,112,112,32,97,110,100,32,99,104,97,110,103,101,32,116,104,101,32,100,121,110,97,109,105,99,95,99,97,115,116,32,105,110,32,79,112,116,105,111,110,115,58,58,71,101,116,79,112,116,105,111,110,32,98,121,32,97,32,67,45,108,105,107,101,32,99,97,115,116,10,0,77,97,107,101,32,116,104,101,32,102,105,120,32,97,98,111,118,101,32,97,110,100,32,114,101,99,111,109,112,105,108,101,32,73,83,83,77,0,71,101,116,79,112,116,105,111,110,0,67,97,110,110,111,116,32,114,101,99,111,118,101,114,32,102,105,101,108,100,32,34,0,34,32,102,111,114,32,97,110,32,111,112,116,105,111,110,32,111,102,32,116,121,112,101,32,0,37,100,93,0,37,100,120,0,109,100,46,103,101,111,109,101,116,114,121,46,98,101,100,0,105,116,101,114,97,116,105,111,110,32,0,32,32,116,105,109,101,32,91,121,114,93,58,32,0,32,40,116,105,109,101,32,115,116,101,112,58,32,0,32,32,32,99,111,109,112,117,116,105,110,103,32,116,104,101,114,109,97,108,32,114,101,103,105,109,101,10,0,32,32,32,99,111,109,112,117,116,105,110,103,32,110,101,119,32,103,114,111,117,110,100,105,110,103,32,108,105,110,101,32,112,111,115,105,116,105,111,110,10,0,32,32,32,99,111,109,112,117,116,105,110,103,32,103,108,97,99,105,97,108,32,105,115,111,115,116,97,116,105,99,32,97,100,106,117,115,116,109,101,110,116,10,0,32,32,32,99,111,109,112,117,116,105,110,103,32,114,101,113,117,101,115,116,101,100,32,111,117,116,112,117,116,115,10,0,32,32,32,99,104,101,99,107,112,111,105,110,116,105,110,103,32,109,111,100,101,108,32,10,0,10,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,10,0,32,32,32,99,111,109,112,117,116,105,110,103,32,118,101,108,111,99,105,116,121,32,97,110,100,32,116,101,109,112,101,114,97,116,117,114,101,32,102,111,114,32,115,116,101,112,58,32,0,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,10,0,10,32,32,32,45,45,32,99,111,109,112,117,116,105,110,103,32,110,101,119,32,118,101,108,111,99,105,116,121,32,45,45,32,10,10,0,10,32,32,32,45,45,32,99,111,109,112,117,116,105,110,103,32,110,101,119,32,116,101,109,112,101,114,97,116,117,114,101,32,45,45,10,10,0,32,32,32,99,104,101,99,107,105,110,103,32,115,116,101,97,100,121,115,116,97,116,101,32,99,111,110,118,101,114,103,101,110,99,101,10,0,32,32,32,109,97,120,105,109,117,109,32,110,117,109,98,101,114,32,115,116,101,97,100,121,115,116,97,116,101,32,105,116,101,114,97,116,105,111,110,115,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,111,114,101,115,47,115,116,101,97,100,121,115,116,97,116,101,95,99,111,114,101,46,99,112,112,0,115,116,101,97,100,121,115,116,97,116,101,99,111,110,118,101,114,103,101,110,99,101,0,32,32,32,84,101,109,112,101,114,97,116,117,114,101,32,99,111,110,118,101,114,103,101,110,99,101,58,32,110,111,114,109,40,100,116,41,47,110,111,114,109,40,116,41,0,32,32,32,99,111,109,112,117,116,105,110,103,32,109,97,115,115,32,116,114,97,110,115,112,111,114,116,10,0,32,32,32,99,97,108,108,32,102,114,101,101,32,115,117,114,102,97,99,101,32,99,111,109,112,117,116,97,116,105,111,110,97,108,32,99,111,114,101,10,0,32,32,32,99,97,108,108,32,99,111,109,112,117,116,97,116,105,111,110,97,108,32,99,111,114,101,10,0,101,120,116,114,117,100,105,110,103,32,115,111,108,117,116,105,111,110,32,102,114,111,109,32,98,97,115,101,46,46,46,10,0,101,120,116,114,117,100,105,110,103,32,115,111,108,117,116,105,111,110,32,102,114,111,109,32,116,111,112,46,46,46,10,0,32,32,32,99,111,109,112,117,116,105,110,103,32,116,101,109,112,101,114,97,116,117,114,101,115,10,0,32,32,32,99,111,109,112,117,116,105,110,103,32,109,101,108,116,105,110,103,10,0,32,32,32,99,111,109,112,117,116,105,110,103,32,115,109,98,32,10,0,109,100,46,105,110,118,101,114,115,105,111,110,46,116,121,112,101,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,77,111,100,101,108,80,114,111,99,101,115,115,111,114,120,47,67,111,110,116,114,111,108,47,67,114,101,97,116,101,80,97,114,97,109,101,116,101,114,115,67,111,110,116,114,111,108,46,99,112,112,0,67,114,101,97,116,101,80,97,114,97,109,101,116,101,114,115,67,111,110,116,114,111,108,0,109,100,46,105,110,118,101,114,115,105,111,110,46,105,110,99,111,109,112,108,101,116,101,95,97,100,106,111,105,110,116,0,109,100,46,105,110,118,101,114,115,105,111,110,46,110,115,116,101,112,115,0,109,100,46,105,110,118,101,114,115,105,111,110,46,99,111,115,116,95,102,117,110,99,116,105,111,110,95,116,104,114,101,115,104,111,108,100,0,109,100,46,105,110,118,101,114,115,105,111,110,46,115,116,101,112,95,116,104,114,101,115,104,111,108,100,0,109,100,46,105,110,118,101,114,115,105,111,110,46,103,114,97,100,105,101,110,116,95,115,99,97,108,105,110,103,0,109,100,46,105,110,118,101,114,115,105,111,110,46,109,97,120,105,116,101,114,95,112,101,114,95,115,116,101,112,0,109,100,46,105,110,118,101,114,115,105,111,110,46,102,97,116,111,108,0,109,100,46,105,110,118,101,114,115,105,111,110,46,102,114,116,111,108,0,109,100,46,105,110,118,101,114,115,105,111,110,46,103,97,116,111,108,0,109,100,46,105,110,118,101,114,115,105,111,110,46,103,114,116,111,108,0,109,100,46,105,110,118,101,114,115,105,111,110,46,103,116,116,111,108,0,109,100,46,105,110,118,101,114,115,105,111,110,46,109,97,120,115,116,101,112,115,0,109,100,46,105,110,118,101,114,115,105,111,110,46,109,97,120,105,116,101,114,0,109,100,46,105,110,118,101,114,115,105,111,110,46,97,108,103,111,114,105,116,104,109,0,109,100,46,105,110,118,101,114,115,105,111,110,46,100,120,109,105,110,0,109,100,46,105,110,118,101,114,115,105,111,110,46,99,111,110,116,114,111,108,95,115,99,97,108,105,110,103,95,102,97,99,116,111,114,115,0,109,100,46,105,110,118,101,114,115,105,111,110,46,110,117,109,95,99,111,110,116,114,111,108,95,112,97,114,97,109,101,116,101,114,115,0,109,100,46,105,110,118,101,114,115,105,111,110,46,99,111,110,116,114,111,108,95,112,97,114,97,109,101,116,101,114,115,0,110,111,32,99,111,110,116,114,111,108,115,32,102,111,117,110,100,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,77,111,100,101,108,80,114,111,99,101,115,115,111,114,120,47,67,111,110,116,114,111,108,47,85,112,100,97,116,101,69,108,101,109,101,110,116,115,65,110,100,77,97,116,101,114,105,97,108,115,67,111,110,116,114,111,108,46,99,112,112,0,85,112,100,97,116,101,69,108,101,109,101,110,116,115,65,110,100,77,97,116,101,114,105,97,108,115,67,111,110,116,114,111,108,0,109,100,46,105,110,118,101,114,115,105,111,110,46,99,111,115,116,95,102,117,110,99,116,105,111,110,115,0,109,100,46,105,110,118,101,114,115,105,111,110,46,99,111,115,116,95,102,117,110,99,116,105,111,110,115,95,99,111,101,102,102,105,99,105,101,110,116,115,0,109,100,46,105,110,118,101,114,115,105,111,110,46,109,105,110,95,112,97,114,97,109,101,116,101,114,115,0,109,100,46,105,110,118,101,114,115,105,111,110,46,109,97,120,95,112,97,114,97,109,101,116,101,114,115,0,109,100,46,105,110,118,101,114,115,105,111,110,46,110,117,109,95,99,111,115,116,95,102,117,110,99,116,105,111,110,115,0,109,100,46,105,110,118,101,114,115,105,111,110,46,116,104,105,99,107,110,101,115,115,95,111,98,115,0,109,100,46,105,110,118,101,114,115,105,111,110,46,115,117,114,102,97,99,101,95,111,98,115,0,109,100,46,105,110,118,101,114,115,105,111,110,46,118,120,95,111,98,115,0,109,100,46,105,110,118,101,114,115,105,111,110,46,118,121,95,111,98,115,0,109,100,46,98,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,46,97,112,112,97,114,101,110,116,95,109,97,115,115,98,97,108,97,110,99,101,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,83,117,114,102,97,99,101,65,98,115,86,101,108,77,105,115,102,105,116,120,47,83,117,114,102,97,99,101,65,98,115,86,101,108,77,105,115,102,105,116,120,46,99,112,112,0,83,117,114,102,97,99,101,65,98,115,86,101,108,77,105,115,102,105,116,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,83,117,114,102,97,99,101,82,101,108,86,101,108,77,105,115,102,105,116,120,47,83,117,114,102,97,99,101,82,101,108,86,101,108,77,105,115,102,105,116,120,46,99,112,112,0,83,117,114,102,97,99,101,82,101,108,86,101,108,77,105,115,102,105,116,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,83,117,114,102,97,99,101,76,111,103,86,101,108,77,105,115,102,105,116,120,47,83,117,114,102,97,99,101,76,111,103,86,101,108,77,105,115,102,105,116,120,46,99,112,112,0,83,117,114,102,97,99,101,76,111,103,86,101,108,77,105,115,102,105,116,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,83,117,114,102,97,99,101,76,111,103,86,120,86,121,77,105,115,102,105,116,120,47,83,117,114,102,97,99,101,76,111,103,86,120,86,121,77,105,115,102,105,116,120,46,99,112,112,0,83,117,114,102,97,99,101,76,111,103,86,120,86,121,77,105,115,102,105,116,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,83,117,114,102,97,99,101,65,118,101,114,97,103,101,86,101,108,77,105,115,102,105,116,120,47,83,117,114,102,97,99,101,65,118,101,114,97,103,101,86,101,108,77,105,115,102,105,116,120,46,99,112,112,0,83,117,114,102,97,99,101,65,118,101,114,97,103,101,86,101,108,77,105,115,102,105,116,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,68,114,97,103,67,111,101,102,102,105,99,105,101,110,116,65,98,115,71,114,97,100,105,101,110,116,120,47,68,114,97,103,67,111,101,102,102,105,99,105,101,110,116,65,98,115,71,114,97,100,105,101,110,116,120,46,99,112,112,0,68,114,97,103,67,111,101,102,102,105,99,105,101,110,116,65,98,115,71,114,97,100,105,101,110,116,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,82,104,101,111,108,111,103,121,66,98,97,114,65,98,115,71,114,97,100,105,101,110,116,120,47,82,104,101,111,108,111,103,121,66,98,97,114,65,98,115,71,114,97,100,105,101,110,116,120,46,99,112,112,0,82,104,101,111,108,111,103,121,66,98,97,114,65,98,115,71,114,97,100,105,101,110,116,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,82,104,101,111,108,111,103,121,66,65,98,115,71,114,97,100,105,101,110,116,120,47,82,104,101,111,108,111,103,121,66,65,98,115,71,114,97,100,105,101,110,116,120,46,99,112,112,0,82,104,101,111,108,111,103,121,66,65,98,115,71,114,97,100,105,101,110,116,0,49,50,67,111,110,116,114,111,108,73,110,112,117,116,0,73,110,112,117,116,32,111,102,32,69,110,117,109,32,0,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,32,98,121,32,67,111,110,116,114,111,108,73,110,112,117,116,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,73,110,112,117,116,115,47,67,111,110,116,114,111,108,73,110,112,117,116,46,99,112,112,0,67,111,110,116,114,111,108,73,110,112,117,116,0,67,111,110,116,114,111,108,73,110,112,117,116,58,10,0,32,32,32,67,111,110,116,114,111,108,73,110,112,117,116,32,0,45,45,45,118,97,108,117,101,115,58,32,10,0,45,45,45,115,97,118,101,100,118,97,108,117,101,115,58,32,10,0,45,45,45,109,105,110,118,97,108,117,101,115,58,32,10,0,45,45,45,109,97,120,118,97,108,117,101,115,58,32,10,0,45,45,45,103,114,97,100,105,101,110,116,58,32,10,0,32,110,111,116,32,102,111,117,110,100,0,109,111,114,101,32,116,104,97,110,32,51,32,99,111,110,116,114,111,108,115,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,32,121,101,116,32,40,71,114,97,100,105,101,110,116,32,0,32,119,97,115,32,114,101,113,117,101,115,116,101,100,41,46,32,69,110,117,109,68,101,102,105,110,105,116,105,111,110,115,46,104,32,110,101,101,100,115,32,116,111,32,98,101,32,117,112,100,97,116,101,100,46,0,83,101,116,71,114,97,100,105,101,110,116,0,86,97,108,117,101,115,32,111,102,32,0,83,97,118,101,86,97,108,117,101,0,103,114,97,100,105,101,110,116,0,68,97,116,97,32,0,71,101,116,86,101,99,116,111,114,70,114,111,109,73,110,112,117,116,115,0,71,114,97,100,105,101,110,116,32,111,102,32,0,85,112,100,97,116,101,86,97,108,117,101,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,73,110,112,117,116,115,47,46,46,47,46,47,73,110,112,117,116,115,47,67,111,110,116,114,111,108,73,110,112,117,116,46,104,0,82,101,115,117,108,116,84,111,80,97,116,99,104,0,83,99,97,108,101,0,77,97,120,0,77,105,110,65,98,115,0,77,97,120,65,98,115,0,73,110,102,105,110,105,116,121,78,111,114,109,0,67,111,110,115,116,114,97,105,110,77,105,110,0,83,113,117,97,114,101,77,105,110,0,67,104,97,110,103,101,69,110,117,109,0,32,32,32,112,114,101,112,97,114,105,110,103,32,105,110,105,116,105,97,108,32,115,111,108,117,116,105,111,110,10,0,32,32,32,112,114,101,112,97,114,105,110,103,32,102,105,110,97,108,32,115,111,108,117,116,105,111,110,10,0,108,111,119,101,114,98,111,117,110,100,0,117,112,112,101,114,98,111,117,110,100,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,111,114,101,115,47,46,46,47,116,111,111,108,107,105,116,115,47,46,47,111,98,106,101,99,116,115,47,46,46,47,105,115,115,109,47,46,46,47,46,46,47,115,104,97,114,101,100,47,46,47,77,101,109,79,112,115,47,77,101,109,79,112,115,46,104,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,111,114,101,115,47,99,111,110,116,114,111,108,95,99,111,114,101,46,99,112,112,0,70,111,114,109,70,117,110,99,116,105,111,110,0,102,40,120,41,32,61,32,0,32,32,124,32,32,0,84,65,79,32,110,111,116,32,105,110,115,116,97,108,108,101,100,32,111,114,32,80,69,84,83,99,32,118,101,114,115,105,111,110,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,111,114,101,115,47,99,111,110,116,114,111,108,116,97,111,95,99,111,114,101,46,99,112,112,0,99,111,110,116,114,111,108,116,97,111,95,99,111,114,101,0,65,68,32,97,110,100,47,111,114,32,77,49,81,78,51,32,110,111,116,32,105,110,115,116,97,108,108,101,100,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,111,114,101,115,47,99,111,110,116,114,111,108,97,100,95,99,111,114,101,46,99,112,112,0,99,111,110,116,114,111,108,97,100,95,99,111,114,101,0,77,49,81,78,51,32,110,111,116,32,105,110,115,116,97,108,108,101,100,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,111,114,101,115,47,99,111,110,116,114,111,108,109,49,113,110,51,95,99,111,114,101,46,99,112,112,0,99,111,110,116,114,111,108,109,49,113,110,51,95,99,111,114,101,0,118,97,108,117,101,0,32,32,32,67,111,109,112,117,116,101,32,73,110,105,116,105,97,108,32,115,111,108,117,116,105,111,110,10,0,32,32,32,67,111,109,112,117,116,101,32,65,100,106,111,105,110,116,10,0,32,32,32,67,111,109,112,117,116,101,32,73,110,105,116,105,97,108,32,99,111,115,116,32,102,117,110,99,116,105,111,110,10,0,73,110,105,116,105,97,108,32,99,111,115,116,32,102,117,110,99,116,105,111,110,32,74,40,120,41,32,61,32,0,32,32,32,67,111,109,112,117,116,101,32,71,114,97,100,105,101,110,116,10,0,32,32,32,32,32,32,32,97,108,112,104,97,32,32,32,32,32,32,73,97,108,112,104,97,32,10,0,95,95,95,95,95,95,95,95,95,95,95,95,95,95,95,95,95,95,95,95,95,95,95,95,95,10,0,78,111,32,97,100,106,111,105,110,116,32,104,97,115,32,98,101,101,110,32,105,109,112,108,101,109,101,110,116,101,100,32,102,111,114,32,115,111,108,117,116,105,111,110,32,0,32,121,101,116,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,111,114,101,115,47,65,100,106,111,105,110,116,67,111,114,101,80,111,105,110,116,101,114,70,114,111,109,83,111,108,117,116,105,111,110,69,110,117,109,46,99,112,112,0,65,100,106,111,105,110,116,67,111,114,101,80,111,105,110,116,101,114,70,114,111,109,83,111,108,117,116,105,111,110,69,110,117,109,0,32,32,32,99,111,109,112,117,116,105,110,103,32,119,97,116,101,114,32,104,101,97,100,115,10,0,32,32,32,99,111,109,112,117,116,105,110,103,32,119,97,116,101,114,32,99,111,108,117,109,110,10,0,32,32,32,115,97,118,105,110,103,32,114,101,115,117,108,116,115,32,10,0,32,32,32,115,97,118,105,110,103,32,116,101,109,112,111,114,97,114,121,32,114,101,115,117,108,116,115,10,0,32,32,32,117,112,100,97,116,105,110,103,32,103,97,112,32,104,101,105,103,104,116,10,0,72,121,100,114,111,108,111,103,121,32,109,111,100,101,108,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,111,114,101,115,47,104,121,100,114,111,108,111,103,121,95,99,111,114,101,46,99,112,112,0,104,121,100,114,111,108,111,103,121,95,99,111,114,101,0,66,117,105,108,100,105,110,103,32,83,101,100,105,109,101,110,116,32,77,97,116,114,105,120,46,46,46,10,0,32,32,32,35,32,83,101,100,105,109,101,110,116,32,117,110,115,116,97,98,108,101,32,99,111,110,115,116,114,97,105,110,116,115,32,61,32,0,32,32,32,109,97,120,105,109,117,109,32,110,117,109,98,101,114,32,111,102,32,83,101,100,105,109,101,110,116,32,105,116,101,114,97,116,105,111,110,115,32,40,0,41,32,101,120,99,101,101,100,101,100,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,115,111,108,117,116,105,111,110,115,101,113,117,101,110,99,101,115,47,115,111,108,117,116,105,111,110,115,101,113,117,101,110,99,101,95,104,121,100,114,111,95,110,111,110,108,105,110,101,97,114,46,99,112,112,0,115,111,108,117,116,105,111,110,115,101,113,117,101,110,99,101,95,104,121,100,114,111,95,110,111,110,108,105,110,101,97,114,0,32,32,32,73,110,110,101,114,32,83,101,100,105,109,101,110,116,32,67,111,110,118,101,114,103,101,110,99,101,32,99,114,105,116,101,114,105,111,110,58,0,37,44,32,97,105,109,105,110,103,32,108,111,119,101,114,32,116,104,97,110,32,0,32,32,32,35,32,73,110,110,101,114,32,115,101,100,105,109,101,110,116,32,99,111,110,118,101,114,103,101,110,99,101,32,97,99,104,105,101,118,101,32,10,0,99,111,109,112,117,116,105,110,103,32,69,80,76,32,72,101,97,100,32,115,108,111,112,101,46,46,46,10,0,66,117,105,108,100,105,110,103,32,69,80,76,32,77,97,116,114,105,120,46,46,46,10,0,32,32,32,73,110,110,101,114,32,69,80,76,32,67,111,110,118,101,114,103,101,110,99,101,32,99,114,105,116,101,114,105,111,110,58,0,32,32,32,109,97,120,105,109,117,109,32,110,117,109,98,101,114,32,111,102,32,69,80,76,32,105,116,101,114,97,116,105,111,110,115,32,40,0,101,112,108,99,111,110,118,101,114,103,101,100,46,46,46,10,0,83,101,100,32,99,111,110,118,101,114,103,101,110,99,101,32,99,114,105,116,101,114,105,111,110,32,105,115,32,78,97,78,33,0,69,80,76,32,99,111,110,118,101,114,103,101,110,99,101,32,99,114,105,116,101,114,105,111,110,32,105,115,32,78,97,78,33,0,32,32,32,67,111,110,118,101,114,103,101,100,32,97,102,116,101,114,44,32,0,32,105,116,101,114,97,116,105,111,110,115,32,10,0,32,32,32,83,101,100,105,109,101,110,116,32,67,111,110,118,101,114,103,101,110,99,101,32,99,114,105,116,101,114,105,111,110,58,0,32,32,32,69,80,76,32,67,111,110,118,101,114,103,101,110,99,101,32,99,114,105,116,101,114,105,111,110,58,0,32,32,32,67,111,110,118,101,114,103,101,110,99,101,32,99,114,105,116,101,114,105,111,110,58,0,32,32,32,109,97,120,105,109,117,109,32,110,117,109,98,101,114,32,102,111,114,32,104,121,100,114,111,108,111,103,105,99,97,108,32,103,108,111,98,97,108,32,105,116,101,114,97,116,105,111,110,115,32,40,0,32,32,32,99,111,109,112,117,116,105,110,103,32,110,101,119,32,118,101,108,111,99,105,116,121,10,0,99,111,109,112,117,116,105,110,103,32,115,109,111,111,116,104,32,115,117,114,102,97,99,101,32,115,108,111,112,101,115,58,10,0,99,111,109,112,117,116,105,110,103,32,115,109,111,111,116,104,32,100,114,105,118,105,110,103,32,115,116,114,101,115,115,58,10,0,99,111,109,112,117,116,105,110,103,32,115,108,111,112,101,46,46,46,10,0,32,32,32,99,111,109,112,117,116,105,110,103,32,115,108,111,112,101,10,0,32,32,32,99,111,109,112,117,116,105,110,103,32,100,97,109,97,103,101,10,0,32,32,32,99,111,109,112,117,116,105,110,103,32,108,101,118,101,108,115,101,116,32,116,114,97,110,115,112,111,114,116,10,0,32,32,32,77,105,103,114,97,116,105,110,103,32,103,114,111,117,110,100,105,110,103,32,108,105,110,101,10,0,71,114,111,117,110,100,105,110,103,32,108,105,110,101,32,109,105,103,114,97,116,105,111,110,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,71,114,111,117,110,100,105,110,103,108,105,110,101,77,105,103,114,97,116,105,111,110,120,47,71,114,111,117,110,100,105,110,103,108,105,110,101,77,105,103,114,97,116,105,111,110,120,46,99,112,112,0,71,114,111,117,110,100,105,110,103,108,105,110,101,77,105,103,114,97,116,105,111,110,120,0,32,32,32,65,100,100,105,116,105,111,110,97,108,32,110,117,109,98,101,114,32,111,102,32,118,101,114,116,105,99,101,115,32,97,108,108,111,119,101,100,32,116,111,32,117,110,103,114,111,117,110,100,58,32,0,57,82,105,102,116,102,114,111,110,116,0,109,100,46,115,116,114,101,115,115,98,97,108,97,110,99,101,46,114,105,102,116,95,112,101,110,97,108,116,121,95,108,111,99,107,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,76,111,97,100,115,47,82,105,102,116,102,114,111,110,116,46,99,112,112,0,82,105,102,116,102,114,111,110,116,58,10,0,32,32,32,104,110,111,100,101,115,58,32,0,32,32,32,104,101,108,101,109,101,110,116,115,58,32,0,32,32,32,104,109,97,116,112,97,114,58,32,0,32,32,32,105,110,116,101,114,110,97,108,32,112,97,114,97,109,101,116,101,114,115,58,32,10,0,32,32,32,110,111,114,109,97,108,58,32,0,124,0,32,32,32,108,101,110,103,116,104,58,32,0,32,32,32,112,101,110,97,108,116,121,95,108,111,99,107,58,32,0,32,32,32,99,111,117,110,116,101,114,58,32,0,32,32,32,112,114,101,115,116,97,98,108,101,58,32,0,32,32,32,109,97,116,101,114,105,97,108,95,99,111,110,118,101,114,103,101,100,58,32,0,32,32,32,102,105,108,108,58,32,0,32,32,32,102,114,105,99,116,105,111,110,58,32,0,32,32,32,102,114,97,99,116,105,111,110,58,32,0,32,32,32,102,114,97,99,116,105,111,110,105,110,99,114,101,109,101,110,116,58,32,0,32,32,32,115,116,97,116,101,58,32,0,32,32,32,102,114,111,122,101,110,58,32,0,80,101,110,97,108,116,121,67,114,101,97,116,101,75,77,97,116,114,105,120,0,111,110,108,121,32,84,114,105,97,32,101,108,101,109,101,110,116,32,97,108,108,111,119,101,100,32,102,111,114,32,82,105,102,116,102,114,111,110,116,32,108,111,97,100,33,0,80,101,110,97,108,116,121,67,114,101,97,116,101,75,77,97,116,114,105,120,83,116,114,101,115,115,98,97,108,97,110,99,101,72,111,114,105,122,0,100,105,102,102,101,114,101,110,116,32,116,104,105,99,107,110,101,115,115,101,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,102,111,114,32,114,105,102,116,32,102,114,111,110,116,115,0,80,101,110,97,108,116,121,67,114,101,97,116,101,80,86,101,99,116,111,114,0,80,101,110,97,108,116,121,67,114,101,97,116,101,80,86,101,99,116,111,114,83,116,114,101,115,115,98,97,108,97,110,99,101,72,111,114,105,122,0,100,105,102,102,101,114,101,110,116,32,98,101,100,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,102,111,114,32,114,105,102,116,32,102,114,111,110,116,115,0,102,105,108,108,32,116,121,112,101,32,0,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,111,110,32,105,99,101,32,115,104,101,101,116,115,32,121,101,116,46,0,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,46,0,67,111,110,115,116,114,97,105,110,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,109,111,100,117,108,101,115,47,77,111,100,101,108,80,114,111,99,101,115,115,111,114,120,47,46,46,47,46,46,47,99,108,97,115,115,101,115,47,46,47,76,111,97,100,115,47,82,105,102,116,102,114,111,110,116,46,104,0,78,111,116,32,105,109,112,108,101,109,101,110,116,101,100,32,121,101,116,33,0,73,110,112,117,116,85,112,100,97,116,101,70,114,111,109,67,111,110,115,116,97,110,116,0,109,100,46,111,117,116,112,117,116,100,101,102,105,110,105,116,105,111,110,46,108,105,115,116,0,109,100,46,109,97,115,115,102,108,117,120,97,116,103,97,116,101,46,110,97,109,101,0,109,100,46,109,97,115,115,102,108,117,120,97,116,103,97,116,101,46,100,101,102,105,110,105,116,105,111,110,101,110,117,109,0,109,100,46,109,97,115,115,102,108,117,120,97,116,103,97,116,101,46,115,101,103,109,101,110,116,115,0,109,100,46,109,105,115,102,105,116,46,110,97,109,101,0,109,100,46,109,105,115,102,105,116,46,100,101,102,105,110,105,116,105,111,110,101,110,117,109,0,109,100,46,109,105,115,102,105,116,46,109,111,100,101,108,95,101,110,117,109,0,109,100,46,109,105,115,102,105,116,46,111,98,115,101,114,118,97,116,105,111,110,0,109,100,46,109,105,115,102,105,116,46,111,98,115,101,114,118,97,116,105,111,110,95,101,110,117,109,0,109,100,46,109,105,115,102,105,116,46,116,105,109,101,105,110,116,101,114,112,111,108,97,116,105,111,110,0,109,100,46,109,105,115,102,105,116,46,108,111,99,97,108,0,109,100,46,109,105,115,102,105,116,46,119,101,105,103,104,116,115,0,109,100,46,109,105,115,102,105,116,46,119,101,105,103,104,116,115,95,101,110,117,109,0,109,100,46,110,111,100,97,108,118,97,108,117,101,46,110,97,109,101,0,109,100,46,110,111,100,97,108,118,97,108,117,101,46,100,101,102,105,110,105,116,105,111,110,101,110,117,109,0,109,100,46,110,111,100,97,108,118,97,108,117,101,46,109,111,100,101,108,95,101,110,117,109,0,109,100,46,110,111,100,97,108,118,97,108,117,101,46,110,111,100,101,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,77,111,100,101,108,80,114,111,99,101,115,115,111,114,120,47,46,46,47,46,46,47,116,111,111,108,107,105,116,115,47,46,47,111,98,106,101,99,116,115,47,46,46,47,105,115,115,109,47,46,46,47,46,46,47,115,104,97,114,101,100,47,46,47,77,101,109,79,112,115,47,77,101,109,79,112,115,46,104,0,109,100,46,109,97,115,115,99,111,110,46,110,97,109,101,0,109,100,46,109,97,115,115,99,111,110,46,100,101,102,105,110,105,116,105,111,110,101,110,117,109,0,109,100,46,109,97,115,115,99,111,110,46,108,101,118,101,108,115,101,116,0,109,100,46,109,97,115,115,99,111,110,97,120,112,98,121,46,110,97,109,101,0,109,100,46,109,97,115,115,99,111,110,97,120,112,98,121,46,100,101,102,105,110,105,116,105,111,110,101,110,117,109,0,109,100,46,109,97,115,115,99,111,110,97,120,112,98,121,46,110,97,109,101,120,0,109,100,46,109,97,115,115,99,111,110,97,120,112,98,121,46,110,97,109,101,121,0,109,100,46,109,97,115,115,99,111,110,97,120,112,98,121],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+109032);allocate([46,97,108,112,104,97,0,109,100,46,109,97,115,115,99,111,110,97,120,112,98,121,46,98,101,116,97,0,111,117,116,112,117,116,32,100,101,102,105,110,105,116,105,111,110,32,101,110,117,109,32,0,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,33,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,77,111,100,101,108,80,114,111,99,101,115,115,111,114,120,47,67,114,101,97,116,101,79,117,116,112,117,116,68,101,102,105,110,105,116,105,111,110,115,46,99,112,112,0,67,114,101,97,116,101,79,117,116,112,117,116,68,101,102,105,110,105,116,105,111,110,115,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,77,111,100,101,108,80,114,111,99,101,115,115,111,114,120,47,46,46,47,46,46,47,99,108,97,115,115,101,115,47,46,47,77,97,115,115,99,111,110,97,120,112,98,121,46,104,0,32,77,97,115,115,99,111,110,97,120,112,98,121,58,32,0,32,32,32,32,110,97,109,101,120,58,32,0,32,32,32,32,110,97,109,101,121,58,32,0,32,32,32,32,97,108,112,104,97,58,32,0,32,32,32,32,98,101,116,97,58,32,0,49,50,77,97,115,115,99,111,110,97,120,112,98,121,0,49,48,68,101,102,105,110,105,116,105,111,110,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,77,111,100,101,108,80,114,111,99,101,115,115,111,114,120,47,46,46,47,46,46,47,99,108,97,115,115,101,115,47,46,47,77,97,115,115,99,111,110,46,104,0,32,77,97,115,115,99,111,110,58,32,0,32,32,32,32,108,101,118,101,108,115,101,116,58,32,0,32,32,32,32,77,58,32,0,55,77,97,115,115,99,111,110,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,77,111,100,101,108,80,114,111,99,101,115,115,111,114,120,47,46,46,47,46,46,47,99,108,97,115,115,101,115,47,46,47,78,111,100,97,108,118,97,108,117,101,46,104,0,32,78,111,100,97,108,118,97,108,117,101,58,32,0,32,32,32,32,109,111,100,101,108,95,101,110,117,109,58,32,0,32,32,32,32,110,111,100,101,58,32,0,49,48,78,111,100,97,108,118,97,108,117,101,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,77,111,100,101,108,80,114,111,99,101,115,115,111,114,120,47,46,46,47,46,46,47,99,108,97,115,115,101,115,47,46,47,77,105,115,102,105,116,46,104,0,32,77,105,115,102,105,116,58,32,0,32,32,32,32,111,98,115,101,114,118,97,116,105,111,110,95,101,110,117,109,58,32,0,32,32,32,32,119,101,105,103,104,116,115,95,101,110,117,109,58,32,0,32,32,32,32,116,105,109,101,105,110,116,101,114,112,111,108,97,116,105,111,110,58,32,0,32,32,32,32,108,111,99,97,108,58,32,0,54,77,105,115,102,105,116,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,77,111,100,101,108,80,114,111,99,101,115,115,111,114,120,47,46,46,47,46,46,47,99,108,97,115,115,101,115,47,46,47,77,97,115,115,102,108,117,120,97,116,103,97,116,101,46,104,0,32,77,97,115,115,102,108,117,120,97,116,103,97,116,101,58,32,0,32,32,32,32,110,117,109,115,101,103,109,101,110,116,115,58,32,0,32,32,32,101,108,101,109,101,110,116,58,32,120,49,44,32,121,49,44,32,120,50,44,32,121,50,58,10,0,49,52,77,97,115,115,102,108,117,120,97,116,103,97,116,101,73,100,69,0,67,111,117,108,100,32,110,111,116,32,102,105,110,100,32,116,104,101,32,114,101,115,112,111,110,115,101,32,102,111,114,32,111,117,116,112,117,116,32,100,101,102,105,110,105,116,105,111,110,32,0,32,98,101,99,97,117,115,101,32,99,111,117,108,100,32,110,111,116,32,102,105,110,100,32,116,104,101,32,100,101,102,105,110,105,116,105,111,110,32,105,116,115,101,108,102,33,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,79,117,116,112,117,116,68,101,102,105,110,105,116,105,111,110,115,82,101,115,112,111,110,115,101,120,47,79,117,116,112,117,116,68,101,102,105,110,105,116,105,111,110,115,82,101,115,112,111,110,115,101,120,46,99,112,112,0,79,117,116,112,117,116,68,101,102,105,110,105,116,105,111,110,115,82,101,115,112,111,110,115,101,120,0,49,48,80,101,110,116,97,73,110,112,117,116,0,32,32,32,80,101,110,116,97,73,110,112,117,116,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,73,110,112,117,116,115,47,80,101,110,116,97,73,110,112,117,116,46,99,112,112,0,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,32,102,111,114,32,116,121,112,101,32,0,73,110,112,117,116,32,112,114,111,118,105,100,101,100,32,105,115,32,110,111,116,32,97,32,84,104,105,99,107,110,101,115,115,32,40,101,110,117,109,95,116,121,112,101,32,105,115,32,0,83,101,116,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,32,121,101,116,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,73,110,112,117,116,115,47,46,46,47,46,47,73,110,112,117,116,115,47,80,101,110,116,97,73,110,112,117,116,46,104,0,83,101,116,0,71,101,116,73,110,112,117,116,85,112,84,111,67,117,114,114,101,110,116,84,105,109,101,65,118,101,114,97,103,101,115,0,71,101,116,73,110,112,117,116,65,108,108,84,105,109,101,65,118,101,114,97,103,101,115,0,49,48,84,101,116,114,97,73,110,112,117,116,0,32,32,32,84,101,116,114,97,73,110,112,117,116,32,0,32,91,0,93,32,40,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,73,110,112,117,116,115,47,84,101,116,114,97,73,110,112,117,116,46,99,112,112,0,79,112,101,114,97,116,105,111,110,32,110,111,116,32,112,101,114,109,105,116,116,101,100,32,98,101,99,97,117,115,101,32,120,105,110,112,117,116,32,105,115,32,111,102,32,116,121,112,101,32,0,65,88,80,89,0,79,112,101,114,97,116,105,111,110,32,110,111,116,32,112,101,114,109,105,116,116,101,100,32,98,101,99,97,117,115,101,32,105,110,112,117,116,66,32,105,115,32,111,102,32,116,121,112,101,32,0,80,111,105,110,116,119,105,115,101,77,105,110,0,80,111,105,110,116,119,105,115,101,77,97,120,0,80,111,105,110,116,119,105,115,101,68,105,118,105,100,101,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,73,110,112,117,116,115,47,46,46,47,46,47,73,110,112,117,116,115,47,84,101,116,114,97,73,110,112,117,116,46,104,0,83,112,97,119,110,83,101,103,73,110,112,117,116,0,69,120,116,114,117,100,101,0,86,101,114,116,105,99,97,108,108,121,73,110,116,101,103,114,97,116,101,0,71,101,116,73,110,112,117,116,68,101,114,105,118,97,116,105,118,101,65,118,101,114,97,103,101,86,97,108,117,101,0,71,101,116,73,110,112,117,116,86,97,108,117,101,0,105,60,48,32,124,124,32,106,60,48,32,124,124,32,107,60,48,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,98,97,109,103,47,84,114,105,97,110,103,108,101,46,99,112,112,0,84,114,105,97,110,103,108,101,0,105,62,61,110,98,118,32,124,124,32,106,62,61,110,98,118,32,124,124,32,107,62,61,110,98,118,0,107,62,61,50,48,48,48,48,0,79,112,116,105,109,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,98,97,109,103,47,77,101,115,104,46,99,112,112,0,82,101,97,100,77,101,115,104,0,58,32,91,0,32,32,32,99,111,110,115,116,114,117,99,116,105,111,110,32,111,102,32,116,104,101,32,103,101,111,109,101,116,114,121,32,102,114,111,109,32,116,104,101,32,50,100,32,109,101,115,104,10,0,110,98,116,32,111,114,32,110,98,118,32,105,115,32,110,101,103,97,116,105,118,101,32,40,77,101,115,104,32,101,109,112,116,121,63,41,0,66,117,105,108,100,71,101,111,109,101,116,114,121,70,114,111,109,77,101,115,104,0,83,111,109,101,32,68,111,117,98,108,101,32,101,100,103,101,32,105,110,32,116,104,101,32,109,101,115,104,44,32,116,104,101,32,110,117,109,98,101,114,32,105,115,32,0,44,32,110,98,101,52,61,0,112,114,111,98,108,101,109,32,105,110,32,71,101,111,109,101,116,114,121,32,114,101,99,111,110,115,116,114,117,99,116,105,111,110,58,32,97,110,32,101,100,103,101,32,111,110,32,98,111,117,110,100,97,114,121,32,105,115,32,100,117,112,108,105,99,97,116,101,100,32,40,100,111,117,98,108,101,32,101,108,101,109,101,110,116,63,41,0,84,104,101,32,101,100,103,101,32,40,0,44,0,41,32,98,101,108,111,110,103,115,32,116,111,32,109,111,114,101,32,116,104,97,110,32,50,32,116,114,105,97,110,103,108,101,115,32,40,0,69,100,103,101,32,0,32,111,102,32,116,114,105,97,110,103,108,101,32,0,65,110,32,101,100,103,101,32,98,101,108,111,110,103,115,32,116,111,32,109,111,114,101,32,116,104,97,110,32,50,32,116,114,105,97,110,103,108,101,115,0,32,32,32,32,32,32,32,32,32,105,110,102,111,32,111,110,32,77,101,115,104,58,10,0,32,32,32,32,32,32,32,32,32,32,32,32,45,32,110,117,109,98,101,114,32,111,102,32,118,101,114,116,105,99,101,115,32,32,32,32,61,32,0,32,32,32,32,32,32,32,32,32,32,32,32,45,32,110,117,109,98,101,114,32,111,102,32,116,114,105,97,110,103,108,101,115,32,32,32,61,32,0,32,32,32,32,32,32,32,32,32,32,32,32,45,32,110,117,109,98,101,114,32,111,102,32,103,105,118,101,110,32,101,100,103,101,115,32,61,32,0,32,32,32,32,32,32,32,32,32,32,32,32,45,32,110,117,109,98,101,114,32,111,102,32,97,108,108,32,101,100,103,101,115,32,32,32,61,32,0,32,32,32,32,32,32,32,32,32,32,32,32,45,32,69,117,108,101,114,32,110,117,109,98,101,114,32,49,32,45,32,110,98,32,111,102,32,104,111,108,101,115,32,61,32,0,32,32,32,67,111,110,115,116,114,117,99,116,105,111,110,32,111,102,32,116,104,101,32,101,100,103,101,115,32,0,111,104,32,110,111,46,46,46,10,0,112,114,111,98,108,101,109,32,105,110,32,101,100,103,101,32,99,111,110,115,116,114,117,99,116,105,111,110,32,112,114,111,99,101,115,115,58,32,107,33,61,110,98,101,32,40,115,104,111,117,108,100,32,110,111,116,32,104,97,112,112,101,110,41,0,118,33,61,101,100,103,101,115,91,105,48,32,93,46,118,91,106,48,93,58,32,116,104,105,115,32,115,104,111,117,108,100,32,110,111,116,32,104,97,112,112,101,110,32,97,115,32,116,104,101,32,118,101,114,116,101,120,32,98,101,108,111,110,103,115,32,116,111,32,116,104,105,115,32,101,100,103,101,0,110,98,115,117,98,100,111,109,97,105,110,115,32,115,104,111,117,108,100,32,98,101,32,48,0,32,32,32,32,32,32,84,104,101,32,78,117,109,98,101,114,32,111,102,32,115,117,98,32,100,111,109,97,105,110,32,61,32,0,107,33,61,32,110,98,115,117,98,100,111,109,97,105,110,115,0,32,32,32,110,117,109,98,101,114,32,111,102,32,118,101,114,116,105,99,101,115,32,61,32,0,10,32,32,32,110,117,109,98,101,114,32,111,102,32,101,100,103,101,115,32,61,32,0,71,104,46,99,111,101,102,73,99,111,111,114,60,61,48,32,105,110,32,105,110,102,101,114,101,100,32,71,101,111,109,101,116,114,121,32,40,116,104,105,115,32,115,104,111,117,108,100,32,110,111,116,32,104,97,112,112,101,110,41,0,112,114,111,98,108,101,109,32,105,110,32,69,100,103,101,52,32,99,111,110,115,116,114,117,99,116,105,111,110,58,32,107,32,33,61,32,105,0,99,111,101,102,73,99,111,111,114,32,115,104,111,117,108,100,32,98,101,32,112,111,115,105,116,105,118,101,44,32,97,32,112,114,111,98,108,101,109,32,105,110,32,116,104,101,32,103,101,111,109,101,116,114,121,32,105,115,32,108,105,107,101,108,121,0,83,101,116,73,110,116,67,111,111,114,0,65,114,101,97,32,111,102,32,84,114,105,97,110,103,108,101,32,0,32,60,32,48,32,40,100,101,116,61,0,70,97,116,97,108,32,101,114,114,111,114,58,32,115,111,109,101,32,116,114,105,97,110,103,108,101,115,32,104,97,118,101,32,110,101,103,97,116,105,118,101,32,97,114,101,97,115,44,32,115,101,101,32,97,98,111,118,101,0,84,104,101,114,101,32,97,114,101,32,0,32,100,111,117,98,108,101,32,101,100,103,101,115,32,105,110,32,116,104,101,32,109,101,115,104,0,82,101,99,111,110,115,116,114,117,99,116,69,120,105,115,116,105,110,103,77,101,115,104,0,32,44,32,0,41,32,98,101,108,111,110,103,115,32,116,111,32,109,111,114,101,32,116,104,97,110,32,50,32,116,114,105,97,110,103,108,101,115,0,76,111,115,116,32,98,111,117,110,100,97,114,121,32,101,100,103,101,115,32,0,32,58,32,0,79,116,104,101,114,32,108,111,115,116,32,98,111,117,110,100,97,114,121,32,101,100,103,101,115,32,110,111,116,32,115,104,111,119,110,46,46,46,10,0,32,98,111,117,110,100,97,114,121,32,101,100,103,101,115,32,40,102,114,111,109,32,116,104,101,32,103,101,111,109,101,116,114,121,41,32,97,114,101,32,110,111,116,32,100,101,102,105,110,101,100,32,97,115,32,109,101,115,104,32,101,100,103,101,115,0,82,101,99,111,110,115,116,114,117,99,116,69,120,105,115,116,105,110,103,77,101,115,104,58,32,65,108,108,32,116,104,101,32,118,101,114,116,105,99,101,115,32,97,114,101,32,97,108,105,103,110,101,100,0,119,101,32,108,111,115,116,32,0,32,101,120,105,115,116,105,110,103,32,101,100,103,101,115,32,111,116,104,101,114,32,0,110,117,109,98,101,114,32,111,102,32,116,114,105,97,110,103,108,101,115,32,101,100,103,101,115,32,97,108,111,110,101,32,61,32,0,82,101,99,111,110,115,116,114,117,99,116,69,120,105,115,116,105,110,103,77,101,115,104,32,101,114,114,111,114,32,109,101,115,115,97,103,101,58,32,112,114,111,98,108,101,109,32,119,105,116,104,32,116,104,101,32,101,100,103,101,32,110,117,109,98,101,114,32,0,84,104,105,115,32,101,100,103,101,32,105,115,32,111,110,32,103,101,111,109,101,116,114,105,99,97,108,32,101,100,103,101,32,110,117,109,98,101,114,32,0,116,104,101,32,118,101,114,116,101,120,32,110,117,109,98,101,114,32,0,32,111,102,32,116,104,105,115,32,101,100,103,101,32,105,115,32,97,32,103,101,111,109,101,116,114,105,99,32,66,97,109,103,86,101,114,116,101,120,32,110,117,109,98,101,114,32,0,32,111,102,32,116,104,105,115,32,101,100,103,101,32,105,115,32,97,32,103,101,111,109,101,116,114,105,99,32,69,100,103,101,32,110,117,109,98,101,114,32,0,73,116,115,32,112,111,105,110,116,101,114,32,105,115,32,0,84,104,105,115,32,101,100,103,101,32,105,115,32,111,110,32,103,101,111,109,101,116,114,121,32,97,110,100,32,104,97,115,32,110,111,32,97,100,106,97,99,101,110,116,32,101,100,103,101,32,40,111,112,101,110,32,99,117,114,118,101,41,32,97,110,100,32,111,110,101,32,111,102,32,116,104,101,32,116,105,112,32,105,115,32,110,111,116,32,114,101,113,117,105,114,101,100,10,0,83,101,101,32,97,98,111,118,101,32,40,109,105,103,104,116,32,98,101,32,99,114,121,112,116,105,99,46,46,46,41,0,86,101,114,116,101,120,32,0,32,100,111,101,115,32,110,111,116,32,98,101,108,111,110,103,32,116,111,32,97,110,121,32,101,108,101,109,101,110,116,10,0,79,114,112,104,97,110,32,102,111,117,110,100,32,105,110,32,109,101,115,104,44,32,115,101,101,32,105,100,115,32,97,98,111,118,101,0,65,116,32,108,101,97,115,116,32,111,110,101,32,115,117,98,100,111,109,97,105,110,32,105,115,32,101,109,112,116,121,0,84,114,105,97,110,103,108,101,82,101,102,101,114,101,110,99,101,76,105,115,116,0,105,110,99,111,110,115,105,115,116,101,110,116,32,99,111,110,102,105,103,117,114,97,116,105,111,110,32,40,67,111,110,116,97,99,116,32,73,83,83,77,32,100,101,118,101,108,111,112,101,114,115,41,0,65,100,100,86,101,114,116,101,120,0,67,97,110,110,111,116,32,97,100,100,32,97,32,118,101,114,116,101,120,32,109,111,114,101,32,116,104,97,110,32,111,110,99,101,46,32,67,104,101,99,107,32,100,117,112,108,105,99,97,116,101,115,0,78,111,116,32,101,110,111,117,103,104,32,116,114,105,97,110,103,108,101,115,0,115,119,97,112,32,116,104,101,32,112,111,105,110,116,32,115,32,105,115,32,111,110,32,97,32,101,100,103,101,0,33,97,46,116,32,124,124,32,33,98,46,116,0,70,111,114,99,101,69,100,103,101,0,33,118,50,0,33,118,49,32,124,124,32,33,118,50,0,76,111,111,112,32,105,110,32,102,111,114,99,105,110,103,32,69,103,100,101,44,32,110,98,32,100,101,32,115,119,97,112,61,0,44,32,110,98,32,111,102,32,116,114,121,32,115,119,97,112,32,40,0,41,32,116,111,111,32,98,105,103,0,107,62,61,50,48,48,48,0,84,104,101,32,98,111,117,110,100,97,114,121,32,105,115,32,110,111,116,32,99,108,111,115,101,58,32,97,108,108,32,116,114,105,97,110,103,108,101,115,32,97,114,101,32,111,117,116,115,105,100,101,0,70,105,110,100,83,117,98,68,111,109,97,105,110,0,107,33,61,110,98,115,117,98,100,111,109,97,105,110,115,0,98,97,100,32,100,101,102,105,110,105,116,105,111,110,32,111,102,32,83,117,98,83,111,109,97,105,110,32,0,109,97,114,107,91,71,101,116,73,100,40,116,116,41,93,62,61,48,0,33,71,104,46,110,98,101,0,77,97,107,101,71,101,111,109,69,100,103,101,84,111,69,100,103,101,0,66,85,71,58,32,116,104,101,32,103,101,111,109,101,116,114,105,99,97,108,32,101,100,103,101,32,0,32,105,115,32,111,110,32,110,111,32,101,100,103,101,32,99,117,114,118,101,10,0,83,101,101,32,97,98,111,118,101,0,110,111,32,115,116,97,114,116,105,110,103,32,116,114,105,97,110,103,108,101,32,112,114,111,118,105,100,101,100,32,97,110,100,32,110,111,32,113,117,97,100,116,114,101,101,32,97,118,97,105,108,97,98,108,101,0,84,114,105,97,110,103,108,101,70,105,110,100,70,114,111,109,67,111,111,114,100,0,112,114,111,98,108,101,109,32,119,104,105,108,101,32,116,114,121,105,110,103,32,116,111,32,102,105,110,100,32,110,101,97,114,101,115,116,32,118,101,114,116,101,120,32,102,114,111,109,32,97,32,103,105,118,101,110,32,112,111,105,110,116,46,32,78,111,32,111,117,116,112,117,116,32,102,111,117,110,100,0,110,111,32,116,114,105,97,110,103,108,101,32,105,115,32,97,115,115,111,99,105,97,116,101,100,32,116,111,32,118,101,114,116,101,120,32,110,117,109,98,101,114,32,0,32,40,111,114,112,104,97,110,63,41,0,77,97,120,105,109,117,109,32,110,117,109,98,101,114,32,111,102,32,105,116,101,114,97,116,105,111,110,32,114,101,97,99,104,101,100,32,40,116,104,114,101,115,104,111,108,100,32,61,32,0,41,46,0,107,60,48,0,67,108,111,115,101,66,111,117,110,100,97,114,121,69,100,103,101,0,107,107,107,62,61,49,48,48,48,0,73,74,50,61,61,48,0,97,49,60,48,32,124,124,32,97,49,62,61,51,0,83,119,97,112,70,111,114,70,111,114,99,105,110,103,69,100,103,101,0,40,100,101,116,49,60,61,48,32,41,32,124,124,32,40,100,101,116,50,60,61,48,41,0,40,100,101,116,115,97,62,61,48,41,32,124,124,32,40,100,101,116,115,98,60,61,48,41,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,116,111,111,108,107,105,116,115,47,103,115,108,47,46,46,47,46,46,47,115,104,97,114,101,100,47,46,47,77,101,109,79,112,115,47,77,101,109,79,112,115,46,104,0,82,105,103,104,116,32,104,97,110,100,32,115,105,100,101,32,118,101,99,116,111,114,32,111,102,32,115,105,122,101,32,0,44,32,119,104,101,110,32,109,97,116,114,105,120,32,105,115,32,111,102,32,115,105,122,101,32,0,45,0,32,33,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,116,111,111,108,107,105,116,115,47,103,115,108,47,68,101,110,115,101,71,115,108,83,111,108,118,101,46,99,112,112,0,68,101,110,115,101,71,115,108,83,111,108,118,101,0,83,116,105,102,102,110,101,115,115,32,109,97,116,114,105,120,32,115,104,111,117,108,100,32,98,101,32,115,113,117,97,114,101,33,0,51,49,65,100,106,111,105,110,116,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,65,110,97,108,121,115,105,115,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,65,100,106,111,105,110,116,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,65,110,97,108,121,115,105,115,46,99,112,112,0,56,65,110,97,108,121,115,105,115,0,51,50,65,100,106,111,105,110,116,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,50,65,110,97,108,121,115,105,115,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,65,100,106,111,105,110,116,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,50,65,110,97,108,121,115,105,115,46,99,112,112,0,50,48,65,100,106,111,105,110,116,72,111,114,105,122,65,110,97,108,121,115,105,115,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,65,100,106,111,105,110,116,72,111,114,105,122,65,110,97,108,121,115,105,115,46,99,112,112,0,69,120,97,99,116,32,97,100,106,111,105,110,116,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,32,102,111,114,32,76,49,76,50,32,109,111,100,101,108,0,67,114,101,97,116,101,75,77,97,116,114,105,120,76,49,76,50,0,67,114,101,97,116,101,75,77,97,116,114,105,120,70,83,0,67,114,101,97,116,101,80,86,101,99,116,111,114,72,79,0,67,114,101,97,116,101,80,86,101,99,116,111,114,70,83,0,99,111,110,116,114,111,108,32,116,121,112,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,58,32,0,71,114,97,100,105,101,110,116,74,68,114,97,103,71,114,97,100,105,101,110,116,0,71,114,97,100,105,101,110,116,74,66,98,97,114,71,114,97,100,105,101,110,116,0,71,114,97,100,105,101,110,116,74,66,71,114,97,100,105,101,110,116,0,71,114,97,100,105,101,110,116,74,68,114,97,103,83,83,65,0,71,114,97,100,105,101,110,116,74,68,114,97,103,72,121,100,114,111,83,83,65,0,71,114,97,100,105,101,110,116,74,66,98,97,114,83,83,65,0,71,114,97,100,105,101,110,116,74,66,83,83,65,0,71,114,97,100,105,101,110,116,74,68,83,83,65,0,73,110,112,117,116,85,112,100,97,116,101,70,114,111,109,83,111,108,117,116,105,111,110,72,111,114,105,122,0,50,52,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,65,110,97,108,121,115,105,115,0,109,100,46,98,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,46,115,116,97,98,105,108,105,122,97,116,105,111,110,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,65,110,97,108,121,115,105,115,46,99,112,112,0,67,111,110,116,114,111,108,32,0,114,101,115,112,111,110,115,101,32,0,50,53,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,50,65,110,97,108,121,115,105,115,0,109,100,46,98,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,46,115,112,99,116,104,105,99,107,110,101,115,115,0,109,100,46,98,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,46,111,109,101,103,97,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,50,65,110,97,108,121,115,105,115,46,99,112,112,0,115,117,114,102,97,99,101,32,115,108,111,112,101,32,105,115,32,122,101,114,111,0,67,114,101,97,116,101,68,48,0,50,56,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,83,111,102,116,65,110,97,108,121,115,105,115,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,66,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,83,111,102,116,65,110,97,108,121,115,105,115,46,99,112,112,0,50,51,66,97,108,97,110,99,101,118,101,108,111,99,105,116,121,65,110,97,108,121,115,105,115,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,66,97,108,97,110,99,101,118,101,108,111,99,105,116,121,65,110,97,108,121,115,105,115,46,99,112,112,0,109,100,46,98,97,108,97,110,99,101,116,104,105,99,107,110,101,115,115,46,116,104,105,99,107,101,110,105,110,103,95,114,97,116,101,0,50,52,76,50,80,114,111,106,101,99,116,105,111,110,66,97,115,101,65,110,97,108,121,115,105,115,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,76,50,80,114,111,106,101,99,116,105,111,110,66,97,115,101,65,110,97,108,121,115,105,115,46,99,112,112,0,50,51,68,97,109,97,103,101,69,118,111,108,117,116,105,111,110,65,110,97,108,121,115,105,115,0,109,100,46,100,97,109,97,103,101,46,101,108,101,109,101,110,116,105,110,116,101,114,112,0,109,100,46,100,97,109,97,103,101,46,115,116,97,98,105,108,105,122,97,116,105,111,110,0,109,100,46,100,97,109,97,103,101,46,115,112,99,100,97,109,97,103,101,0,109,100,46,100,97,109,97,103,101,46,68,0,109,100,46,100,97,109,97,103,101,46,109,97,120,105,116,101,114,0,109,100,46,100,97,109,97,103,101,46,109,97,120,95,100,97,109,97,103,101,0,109,100,46,100,97,109,97,103,101,46,114,101,113,117,101,115,116,101,100,95,111,117,116,112,117,116,115,0,109,100,46,100,97,109,97,103,101,46,99,49,0,109,100,46,100,97,109,97,103,101,46,99,50,0,109,100,46,100,97,109,97,103,101,46,99,51,0,109,100,46,100,97,109,97,103,101,46,99,52,0,109,100,46,100,97,109,97,103,101,46,104,101,97,108,105,110,103,0,109,100,46,100,97,109,97,103,101,46,101,113,117,105,118,95,115,116,114,101,115,115,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,68,97,109,97,103,101,69,118,111,108,117,116,105,111,110,65,110,97,108,121,115,105,115,46,99,112,112,0,67,114,101,97,116,101,68,97,109,97,103,101,70,73,110,112,117,116,80,114,97,108,111,110,103,0,77,112,105,32,118,101,99,116,111,114,32,114,101,113,117,105,114,101,115,32,99,111,109,112,105,108,97,116,105,111,110,32,111,102,32,77,80,73,33,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,46,46,47,116,111,111,108,107,105,116,115,47,111,98,106,101,99,116,115,47,46,46,47,105,115,115,109,47,46,47,73,115,115,109,86,101,99,46,104,0,73,115,115,109,86,101,99,0,118,101,99,116,111,114,32,116,121,112,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,33,0,32,32,32,99,111,109,112,117,116,105,110,103,32,100,97,109,97,103,101,32,97,110,97,108,121,116,105,99,97,108,108,121,10,0,32,32,32,99,111,109,112,117,116,105,110,103,32,100,97,109,97,103,101,32,117,115,105,110,103,32,115,111,117,114,99,101,32,116,101,114,109,32,105,110,32,97,100,118,101,99,116,105,111,110,32,115,99,104,101,109,101,10,0,68,97,109,97,103,101,32,108,97,119,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,68,97,109,97,103,101,120,47,68,97,109,97,103,101,120,46,99,112,112,0,68,97,109,97,103,101,120,0,50,49,83,116,114,101,115,115,98,97,108,97,110,99,101,65,110,97,108,121,115,105,115,0,109,100,46,99,111,110,115,116,97,110,116,115,46,103,0,109,100,46,109,97,116,101,114,105,97,108,115,46,114,104,111,95,105,99,101,0,109,100,46,115,116,114,101,115,115,98,97,108,97,110,99,101,46,70,83,114,101,99,111,110,100,105,116,105,111,110,105,110,103,0,109,100,46,102,108,111,119,101,113,117,97,116,105,111,110,46,102,101,95,83,83,65,0,109,100,46,102,108,111,119,101,113,117,97,116,105,111,110,46,102,101,95,72,79,0,102,105,110,105,116,101,32,101,108,101,109,101,110,116,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,83,116,114,101,115,115,98,97,108,97,110,99,101,65,110,97,108,121,115,105,115,46,99,112,112,0,109,111,100,101,108,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,0,109,100,46,109,101,115,104,46,122,0,109,100,46,102,108,111,119,101,113,117,97,116,105,111,110,46,98,111,114,100,101,114,72,79,0,105,102,32,118,101,114,116,105,99,101,115,95,116,121,112,101,32,105,115,32,83,83,65,72,79,44,32,121,111,117,32,115,104,111,117,100,32,104,97,118,101,32,110,111,100,101,111,110,72,79,32,111,114,32,110,111,100,101,111,110,83,83,65,0,105,102,32,118,101,114,116,105,99,101,115,95,116,121,112,101,32,105,115,32,72,79,70,83,44,32,121,111,117,32,115,104,111,117,100,32,104,97,118,101,32,110,111,100,101,111,110,72,79,32,111,114,32,110,111,100,101,111,110,70,83,0,105,102,32,118,101,114,116,105,99,101,115,95,116,121,112,101,32,105,115,32,83,83,65,70,83,44,32,121,111,117,32,115,104,111,117,100,32,104,97,118,101,32,110,111,100,101,111,110,83,83,65,32,111,114,32,110,111,100,101,111,110,70,83,0,109,100,46,114,105,102,116,115,46,110,117,109,114,105,102,116,115,0,109,100,46,115,116,114,101,115,115,98,97,108,97,110,99,101,46,118,101,114,116,101,120,95,112,97,105,114,105,110,103,0,109,100,46,114,105,102,116,115,46,114,105,102,116,115,116,114,117,99,116,0,65,112,112,114,111,120,105,109,97,116,105,111,110,32,0,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,32,121,101,116,0,109,100,46,109,97,116,101,114,105,97,108,115,46,116,121,112,101,0,109,100,46,115,116,114,101,115,115,98,97,108,97,110,99,101,46,108,111,97,100,105,110,103,102,111,114,99,101,120,0,109,100,46,115,116,114,101,115,115,98,97,108,97,110,99,101,46,108,111,97,100,105,110,103,102,111,114,99,101,121,0,109,100,46,115,116,114,101,115,115,98,97,108,97,110,99,101,46,108,111,97,100,105,110,103,102,111,114,99,101,122,0,109,100,46,102,114,105,99,116,105,111,110,46,99,111,101,102,102,105,99,105,101,110,116,99,111,117,108,111,109,98,0,109,100,46,115,116,114,101,115,115,98,97,108,97,110,99,101,46,114,101,115,116,111,108,0,109,100,46,115,116,114,101,115,115,98,97,108,97,110,99,101,46,114,101,108,116,111,108,0,109,100,46,115,116,114,101,115,115,98,97,108,97,110,99,101,46,97,98,115,116,111,108,0,109,100,46,115,116,114,101,115,115,98,97,108,97,110,99,101,46,105,115,110,101,119,116,111,110,0,109,100,46,115,116,114,101,115,115,98,97,108,97,110,99,101,46,109,97,120,105,116,101,114,0,109,100,46,115,116,114,101,115,115,98,97,108,97,110,99,101,46,112,101,110,97,108,116,121,95,102,97,99,116,111,114,0,109,100,46,115,116,114,101,115,115,98,97,108,97,110,99,101,46,114,105,102,116,95,112,101,110,97,108,116,121,95,116,104,114,101,115,104,111,108,100,0,109,100,46,115,116,114,101,115,115,98,97,108,97,110,99,101,46,115,104,101,108,102,95,100,97,109,112,101,110,105,110,103,0,109,100,46,115,116,114,101,115,115,98,97,108,97,110,99,101,46,118,105,115,99,111,115,105,116,121,95,111,118,101,114,115,104,111,111,116,0,109,100,46,102,108,111,119,101,113,117,97,116,105,111,110,46,97,117,103,109,101,110,116,101,100,95,108,97,103,114,97,110,103,105,97,110,95,114,0,109,100,46,102,108,111,119,101,113,117,97,116,105,111,110,46,97,117,103,109,101,110,116,101,100,95,108,97,103,114,97,110,103,105,97,110,95,114,108,97,109,98,100,97,0,109,100,46,102,108,111,119,101,113,117,97,116,105,111,110,46,88,84,72,95,116,104,101,116,97,0,109,100,46,100,97,109,97,103,101,46,108,97,119,0,109,100,46,100,97,109,97,103,101,46,107,97,112,112,97,0,109,100,46,100,97,109,97,103,101,46,115,116,114,101,115,115,95,116,104,114,101,115,104,111,108,100,0,109,100,46,115,116,114,101,115,115,98,97,108,97,110,99,101,46,114,101,113,117,101,115,116,101,100,95,111,117,116,112,117,116,115,0,109,100,46,102,114,105,99,116,105,111,110,46,102,0,32,32,32,99,111,109,112,117,116,105,110,103,32,99,111,117,112,108,105,110,103,32,98,101,116,119,101,101,110,32,108,111,119,101,114,32,111,114,100,101,114,32,109,111,100,101,108,115,32,97,110,100,32,70,83,10,0,67,114,101,97,116,101,74,97,99,111,98,105,97,110,77,97,116,114,105,120,83,83,65,0,67,114,101,97,116,101,75,77,97,116,114,105,120,83,83,65,0,67,114,101,97,116,101,80,86,101,99,116,111,114,83,83,65,0,67,114,101,97,116,101,80,86,101,99,116,111,114,76,49,76,50,0,71,101,116,83,111,108,117,116,105,111,110,70,114,111,109,73,110,112,117,116,115,72,111,114,105,122,0,73,110,112,117,116,85,112,100,97,116,101,70,114,111,109,83,111,108,117,116,105,111,110,70,83,0,73,110,112,117,116,85,112,100,97,116,101,70,114,111,109,83,111,108,117,116,105,111,110,83,83,65,0,73,110,112,117,116,85,112,100,97,116,101,70,114,111,109,83,111,108,117,116,105,111,110,72,79,0,73,110,112,117,116,85,112,100,97,116,101,70,114,111,109,83,111,108,117,116,105,111,110,76,49,76,50,0,67,111,117,112,108,105,110,103,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,102,111,114,32,0,73,110,112,117,116,85,112,100,97,116,101,70,114,111,109,83,111,108,117,116,105,111,110,83,83,65,72,79,0,73,110,112,117,116,85,112,100,97,116,101,70,114,111,109,83,111,108,117,116,105,111,110,72,79,70,83,0,73,110,112,117,116,85,112,100,97,116,101,70,114,111,109,83,111,108,117,116,105,111,110,83,83,65,70,83,0,67,114,101,97,116,101,75,77,97,116,114,105,120,83,83,65,86,105,115,99,111,117,115,0,67,114,101,97,116,101,75,77,97,116,114,105,120,83,83,65,70,114,105,99,116,105,111,110,0,67,114,101,97,116,101,80,86,101,99,116,111,114,83,83,65,68,114,105,118,105,110,103,83,116,114,101,115,115,0,67,114,101,97,116,101,80,86,101,99,116,111,114,83,83,65,70,114,111,110,116,0,83,117,98,101,108,101,109,101,110,116,32,77,105,103,114,97,116,105,111,110,32,50,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,32,121,101,116,32,102,111,114,32,70,108,111,119,108,105,110,101,0,67,114,101,97,116,101,75,77,97,116,114,105,120,70,83,70,114,105,99,116,105,111,110,0,97,112,112,114,111,120,105,109,97,116,105,111,110,32,0,67,114,101,97,116,101,75,77,97,116,114,105,120,83,83,65,51,100,86,105,115,99,111,117,115,0,50,49,85,122,97,119,97,80,114,101,115,115,117,114,101,65,110,97,108,121,115,105,115,0,109,100,46,102,108,111,119,101,113,117,97,116,105,111,110,46,102,101,95,70,83,0,115,111,108,117,116,105,111,110,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,85,122,97,119,97,80,114,101,115,115,117,114,101,65,110,97,108,121,115,105,115,46,99,112,112,0,109,100,46,102,108,111,119,101,113,117,97,116,105,111,110,46,97,117,103,109,101,110,116,101,100,95,108,97,103,114,97,110,103,105,97,110,95,114,104,111,112,0,109,100,46,102,108,111,119,101,113,117,97,116,105,111,110,46,97,117,103,109,101,110,116,101,100,95,108,97,103,114,97,110,103,105,97,110,95,114,104,111,108,97,109,98,100,97,0,102,105,110,105,116,101,32,101,108,101,109,101,110,116,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,0,50,52,83,116,114,101,115,115,98,97,108,97,110,99,101,83,73,65,65,110,97,108,121,115,105,115,0,109,100,46,115,116,114,101,115,115,98,97,108,97,110,99,101,46,115,112,99,118,120,0,109,100,46,115,116,114,101,115,115,98,97,108,97,110,99,101,46,115,112,99,118,121,0,109,100,46,102,108,111,119,101,113,117,97,116,105,111,110,46,98,111,114,100,101,114,83,83,65,0,109,100,46,115,116,114,101,115,115,98,97,108,97,110,99,101,46,114,101,102,101,114,101,110,116,105,97,108,0,109,100,46,102,108,111,119,101,113,117,97,116,105,111,110,46,101,108,101,109,101,110,116,95,101,113,117,97,116,105,111,110,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,83,116,114,101,115,115,98,97,108,97,110,99,101,83,73,65,65,110,97,108,121,115,105,115,46,99,112,112,0,32,32,32,99,111,109,112,117,116,105,110,103,32,83,73,65,32,118,101,108,111,99,105,116,105,101,115,10,0,50,57,83,116,114,101,115,115,98,97,108,97,110,99,101,86,101,114,116,105,99,97,108,65,110,97,108,121,115,105,115,0,109,100,46,102,108,111,119,101,113,117,97,116,105,111,110,46,105,115,83,73,65,0,109,100,46,102,108,111,119,101,113,117,97,116,105,111,110,46,105,115,83,83,65,0,109,100,46,102,108,111,119,101,113,117,97,116,105,111,110,46,105,115,76,49,76,50,0,109,100,46,102,108,111,119,101,113,117,97,116,105,111,110,46,105,115,72,79,0,109,100,46,115,116,114,101,115,115,98,97,108,97,110,99,101,46,115,112,99,118,122,0,109,100,46,102,108,111,119,101,113,117,97,116,105,111,110,46,98,111,114,100,101,114,70,83,0,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,32,40,110,101,101,100,115,32,116,111,32,98,101,32,99,111,100,101,100,41,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+119272);allocate([110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,83,116,114,101,115,115,98,97,108,97,110,99,101,86,101,114,116,105,99,97,108,65,110,97,108,121,115,105,115,46,99,112,112,0,109,100,46,102,108,111,119,101,113,117,97,116,105,111,110,46,118,101,114,116,101,120,95,101,113,117,97,116,105,111,110,0,32,32,32,99,111,109,112,117,116,105,110,103,32,118,101,114,116,105,99,97,108,32,118,101,108,111,99,105,116,105,101,115,10,0,67,97,110,110,111,116,32,99,111,109,112,117,116,101,32,86,101,108,32,97,115,32,86,122,70,83,32,105,115,32,111,102,32,116,121,112,101,32,0,67,97,110,110,111,116,32,99,111,109,112,117,116,101,32,86,122,32,97,115,32,86,122,70,83,32,105,110,32,110,111,116,32,112,114,101,115,101,110,116,32,105,110,32,72,79,70,83,32,101,108,101,109,101,110,116,0,67,97,110,110,111,116,32,99,111,109,112,117,116,101,32,86,122,32,97,115,32,86,122,70,83,32,105,110,32,110,111,116,32,112,114,101,115,101,110,116,32,105,110,32,83,83,65,70,83,32,101,108,101,109,101,110,116,0,49,54,69,110,116,104,97,108,112,121,65,110,97,108,121,115,105,115,0,109,100,46,109,97,116,101,114,105,97,108,115,46,104,101,97,116,99,97,112,97,99,105,116,121,0,109,100,46,99,111,110,115,116,97,110,116,115,46,114,101,102,101,114,101,110,99,101,116,101,109,112,101,114,97,116,117,114,101,0,83,105,122,101,32,111,102,32,102,105,101,108,100,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,69,110,116,104,97,108,112,121,65,110,97,108,121,115,105,115,46,99,112,112,0,109,100,46,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,119,97,116,101,114,102,114,97,99,116,105,111,110,0,109,100,46,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,101,110,116,104,97,108,112,121,0,109,100,46,116,104,101,114,109,97,108,46,114,101,108,116,111,108,0,9,117,110,107,110,111,119,110,32,116,104,101,114,109,97,108,32,98,97,115,97,108,32,115,116,97,116,101,32,102,111,117,110,100,33,0,32,32,32,99,111,109,112,117,116,105,110,103,32,101,110,116,104,97,108,112,121,10,0,78,101,103,97,116,105,118,101,32,119,97,116,101,114,32,102,114,97,99,116,105,111,110,32,102,111,117,110,100,32,105,110,32,115,111,108,117,116,105,111,110,32,118,101,99,116,111,114,0,50,51,72,121,100,114,111,108,111,103,121,83,104,114,101,118,101,65,110,97,108,121,115,105,115,0,109,100,46,104,121,100,114,111,108,111,103,121,115,104,114,101,118,101,46,115,112,99,119,97,116,101,114,99,111,108,117,109,110,0,109,100,46,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,119,97,116,101,114,99,111,108,117,109,110,0,109,100,46,104,121,100,114,111,108,111,103,121,46,115,116,97,98,105,108,105,122,97,116,105,111,110,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,72,121,100,114,111,108,111,103,121,83,104,114,101,118,101,65,110,97,108,121,115,105,115,46,99,112,112,0,50,52,72,121,100,114,111,108,111,103,121,83,111,109,109,101,114,115,65,110,97,108,121,115,105,115,0,109,100,46,104,121,100,114,111,108,111,103,121,46,115,112,99,104,101,97,100,0,109,100,46,109,101,115,104,46,115,101,103,109,101,110,116,115,0,109,100,46,104,121,100,114,111,108,111,103,121,46,104,101,97,100,0,109,100,46,104,121,100,114,111,108,111,103,121,46,103,97,112,95,104,101,105,103,104,116,0,109,100,46,104,121,100,114,111,108,111,103,121,46,101,110,103,108,97,99,105,97,108,95,105,110,112,117,116,0,109,100,46,104,121,100,114,111,108,111,103,121,46,109,111,117,108,105,110,95,105,110,112,117,116,0,109,100,46,104,121,100,114,111,108,111,103,121,46,98,117,109,112,95,115,112,97,99,105,110,103,0,109,100,46,104,121,100,114,111,108,111,103,121,46,98,117,109,112,95,104,101,105,103,104,116,0,109,100,46,104,121,100,114,111,108,111,103,121,46,114,101,121,110,111,108,100,115,0,109,100,46,104,121,100,114,111,108,111,103,121,46,110,101,117,109,97,110,110,102,108,117,120,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,72,121,100,114,111,108,111,103,121,83,111,109,109,101,114,115,65,110,97,108,121,115,105,115,46,99,112,112,0,51,48,72,121,100,114,111,108,111,103,121,68,67,73,110,101,102,102,105,99,105,101,110,116,65,110,97,108,121,115,105,115,0,109,100,46,104,121,100,114,111,108,111,103,121,46,115,101,100,105,109,101,110,116,108,105,109,105,116,95,102,108,97,103,0,109,100,46,104,121,100,114,111,108,111,103,121,46,116,114,97,110,115,102,101,114,95,102,108,97,103,0,109,100,46,104,121,100,114,111,108,111,103,121,46,112,101,110,97,108,116,121,95,102,97,99,116,111,114,0,109,100,46,104,121,100,114,111,108,111,103,121,46,114,101,108,95,116,111,108,0,109,100,46,104,121,100,114,111,108,111,103,121,46,112,101,110,97,108,116,121,95,108,111,99,107,0,109,100,46,104,121,100,114,111,108,111,103,121,46,109,97,120,95,105,116,101,114,0,109,100,46,104,121,100,114,111,108,111,103,121,46,115,101,100,105,109,101,110,116,108,105,109,105,116,0,109,100,46,104,121,100,114,111,108,111,103,121,46,108,101,97,107,97,103,101,95,102,97,99,116,111,114,0,109,100,46,104,121,100,114,111,108,111,103,121,46,98,97,115,97,108,95,109,111,117,108,105,110,95,105,110,112,117,116,0,109,100,46,104,121,100,114,111,108,111,103,121,46,115,101,100,105,109,101,110,116,95,116,114,97,110,115,109,105,116,105,118,105,116,121,0,109,100,46,104,121,100,114,111,108,111,103,121,46,109,97,115,107,95,101,112,108,97,99,116,105,118,101,95,110,111,100,101,0,109,100,46,104,121,100,114,111,108,111,103,121,46,115,112,99,115,101,100,105,109,101,110,116,95,104,101,97,100,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,72,121,100,114,111,108,111,103,121,68,67,73,110,101,102,102,105,99,105,101,110,116,65,110,97,108,121,115,105,115,46,99,112,112,0,50,56,72,121,100,114,111,108,111,103,121,68,67,69,102,102,105,99,105,101,110,116,65,110,97,108,121,115,105,115,0,109,100,46,104,121,100,114,111,108,111,103,121,46,101,112,108,102,108,105,112,95,108,111,99,107,0,109,100,46,104,121,100,114,111,108,111,103,121,46,101,112,108,95,116,104,105,99,107,95,99,111,109,112,0,109,100,46,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,115,101,100,105,109,101,110,116,95,104,101,97,100,0,109,100,46,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,101,112,108,95,116,104,105,99,107,110,101,115,115,0,109,100,46,104,121,100,114,111,108,111,103,121,46,115,112,99,101,112,108,95,104,101,97,100,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,72,121,100,114,111,108,111,103,121,68,67,69,102,102,105,99,105,101,110,116,65,110,97,108,121,115,105,115,46,99,112,112,0,110,111,32,99,97,115,101,32,104,105,103,104,101,114,32,116,104,97,110,32,49,32,102,111,114,32,116,104,101,32,84,114,97,110,115,102,101,114,32,109,101,116,104,111,100,0,71,101,116,72,121,100,114,111,108,111,103,121,75,77,97,116,114,105,120,84,114,97,110,115,102,101,114,0,71,101,116,72,121,100,114,111,108,111,103,121,80,86,101,99,116,111,114,84,114,97,110,115,102,101,114,0,110,111,116,32,73,109,112,108,101,109,101,110,116,101,100,32,89,101,116,0,67,111,109,112,117,116,101,69,80,76,84,104,105,99,107,110,101,115,115,0,72,121,100,114,111,108,111,103,121,69,80,76,71,101,116,77,97,115,107,0,85,115,105,110,103,32,110,111,114,109,97,108,32,115,116,114,101,115,115,32,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,0,71,101,116,72,121,100,114,111,108,111,103,121,68,67,73,110,101,102,102,105,99,105,101,110,116,72,109,97,120,0,110,111,32,99,97,115,101,32,104,105,103,104,101,114,32,116,104,97,110,32,51,32,102,111,114,32,83,101,100,105,109,101,110,116,108,105,109,105,116,70,108,97,103,0,72,121,100,114,111,108,111,103,121,69,80,76,71,101,116,65,99,116,105,118,101,0,50,51,76,50,80,114,111,106,101,99,116,105,111,110,69,80,76,65,110,97,108,121,115,105,115,0,109,100,46,104,121,100,114,111,108,111,103,121,46,109,111,100,101,108,0,109,100,46,104,121,100,114,111,108,111,103,121,46,105,115,101,102,102,105,99,105,101,110,116,108,97,121,101,114,0,109,100,46,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,101,112,108,95,104,101,97,100,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,76,50,80,114,111,106,101,99,116,105,111,110,69,80,76,65,110,97,108,121,115,105,115,46,99,112,112,0,49,53,77,101,108,116,105,110,103,65,110,97,108,121,115,105,115,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,77,101,108,116,105,110,103,65,110,97,108,121,115,105,115,46,99,112,112,0,50,49,77,97,115,115,116,114,97,110,115,112,111,114,116,65,110,97,108,121,115,105,115,0,109,100,46,109,97,115,115,116,114,97,110,115,112,111,114,116,46,115,116,97,98,105,108,105,122,97,116,105,111,110,0,109,100,46,109,97,115,115,116,114,97,110,115,112,111,114,116,46,115,112,99,116,104,105,99,107,110,101,115,115,0,68,71,32,51,100,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,32,121,101,116,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,77,97,115,115,116,114,97,110,115,112,111,114,116,65,110,97,108,121,115,105,115,46,99,112,112,0,109,100,46,116,114,97,110,115,105,101,110,116,46,105,115,103,114,111,117,110,100,105,110,103,108,105,110,101,0,109,100,46,116,114,97,110,115,105,101,110,116,46,105,115,115,109,98,0,109,100,46,102,108,111,119,101,113,117,97,116,105,111,110,46,105,115,70,83,0,109,100,46,109,97,115,115,116,114,97,110,115,112,111,114,116,46,105,115,102,114,101,101,115,117,114,102,97,99,101,0,109,100,46,109,97,115,115,116,114,97,110,115,112,111,114,116,46,104,121,100,114,111,115,116,97,116,105,99,95,97,100,106,117,115,116,109,101,110,116,0,109,100,46,109,97,115,115,116,114,97,110,115,112,111,114,116,46,109,105,110,95,116,104,105,99,107,110,101,115,115,0,109,100,46,109,97,115,115,116,114,97,110,115,112,111,114,116,46,112,101,110,97,108,116,121,95,102,97,99,116,111,114,0,109,100,46,109,97,115,115,116,114,97,110,115,112,111,114,116,46,114,101,113,117,101,115,116,101,100,95,111,117,116,112,117,116,115,0,69,108,101,109,101,110,116,32,116,121,112,101,32,0,67,114,101,97,116,101,75,77,97,116,114,105,120,67,71,0,83,116,97,98,105,108,105,122,97,116,105,111,110,32,0,72,121,100,114,111,115,116,97,116,105,99,32,97,100,106,117,115,116,109,101,110,116,32,0,49,49,83,109,98,65,110,97,108,121,115,105,115,0,109,100,46,115,109,98,46,84,97,0,109,100,46,115,109,98,46,86,0,109,100,46,115,109,98,46,100,115,119,114,102,0,109,100,46,115,109,98,46,100,108,119,114,102,0,109,100,46,115,109,98,46,80,0,109,100,46,115,109,98,46,101,65,105,114,0,109,100,46,115,109,98,46,112,65,105,114,0,109,100,46,115,109,98,46,122,84,111,112,0,109,100,46,115,109,98,46,100,122,84,111,112,0,109,100,46,115,109,98,46,100,122,77,105,110,0,109,100,46,115,109,98,46,122,89,0,109,100,46,115,109,98,46,122,77,97,120,0,109,100,46,115,109,98,46,122,77,105,110,0,109,100,46,115,109,98,46,84,109,101,97,110,0,109,100,46,115,109,98,46,67,0,109,100,46,115,109,98,46,84,122,0,109,100,46,115,109,98,46,86,122,0,109,100,46,115,109,98,46,105,115,100,101,108,116,97,49,56,111,0,109,100,46,115,109,98,46,105,115,109,117,110,103,115,109,0,109,100,46,115,109,98,46,115,48,112,0,109,100,46,115,109,98,46,115,48,116,0,109,100,46,115,109,98,46,116,101,109,112,101,114,97,116,117,114,101,115,95,108,103,109,0,109,100,46,115,109,98,46,116,101,109,112,101,114,97,116,117,114,101,115,95,112,114,101,115,101,110,116,100,97,121,0,109,100,46,115,109,98,46,112,114,101,99,105,112,105,116,97,116,105,111,110,115,95,112,114,101,115,101,110,116,100,97,121,0,109,100,46,115,109,98,46,112,114,101,99,105,112,105,116,97,116,105,111,110,115,95,108,103,109,0,109,100,46,115,109,98,46,112,114,101,99,105,112,105,116,97,116,105,111,110,0,109,100,46,115,109,98,46,109,111,110,116,104,108,121,116,101,109,112,101,114,97,116,117,114,101,115,0,109,100,46,115,109,98,46,105,115,100,49,56,111,112,100,0,109,100,46,115,109,98,46,104,114,101,102,0,109,100,46,115,109,98,46,115,109,98,114,101,102,0,109,100,46,115,109,98,46,98,95,112,111,115,0,109,100,46,115,109,98,46,98,95,110,101,103,0,109,100,46,115,109,98,46,97,99,99,117,109,117,108,97,116,105,111,110,0,109,100,46,115,109,98,46,101,118,97,112,111,114,97,116,105,111,110,0,109,100,46,115,109,98,46,114,117,110,111,102,102,0,109,100,46,115,109,98,46,109,101,108,116,0,109,100,46,115,109,98,46,114,101,102,114,101,101,122,101,0,83,117,114,102,97,99,101,32,109,97,115,115,32,98,97,108,97,110,99,101,32,109,111,100,101,108,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,83,109,98,65,110,97,108,121,115,105,115,46,99,112,112,0,109,100,46,116,105,109,101,115,116,101,112,112,105,110,103,46,105,110,116,101,114,112,95,102,111,114,99,105,110,103,115,0,109,100,46,115,109,98,46,97,73,100,120,0,109,100,46,115,109,98,46,115,119,73,100,120,0,109,100,46,115,109,98,46,100,101,110,73,100,120,0,109,100,46,115,109,98,46,111,117,116,112,117,116,70,114,101,113,0,109,100,46,115,109,98,46,99,108,100,70,114,97,99,0,109,100,46,115,109,98,46,116,48,119,101,116,0,109,100,46,115,109,98,46,116,48,100,114,121,0,109,100,46,115,109,98,46,75,0,109,100,46,115,109,98,46,97,83,110,111,119,0,109,100,46,115,109,98,46,97,73,99,101,0,109,100,46,115,109,98,46,100,116,0,109,100,46,115,109,98,46,105,115,103,114,97,105,110,103,114,111,119,116,104,0,109,100,46,115,109,98,46,105,115,97,108,98,101,100,111,0,109,100,46,115,109,98,46,105,115,115,104,111,114,116,119,97,118,101,0,109,100,46,115,109,98,46,105,115,116,104,101,114,109,97,108,0,109,100,46,115,109,98,46,105,115,97,99,99,117,109,117,108,97,116,105,111,110,0,109,100,46,115,109,98,46,105,115,109,101,108,116,0,109,100,46,115,109,98,46,105,115,100,101,110,115,105,102,105,99,97,116,105,111,110,0,109,100,46,115,109,98,46,105,115,116,117,114,98,117,108,101,110,116,102,108,117,120,0,109,100,46,115,109,98,46,73,110,105,116,68,101,110,115,105,116,121,83,99,97,108,105,110,103,0,109,100,46,115,109,98,46,100,101,115,102,97,99,0,109,100,46,115,109,98,46,114,108,97,112,115,0,109,100,46,115,109,98,46,114,108,97,112,115,108,103,109,0,109,100,46,115,109,98,46,80,102,97,99,0,109,100,46,115,109,98,46,84,100,105,102,102,0,109,100,46,115,109,98,46,115,101,97,108,101,118,0,109,100,46,115,109,98,46,100,101,108,116,97,49,56,111,0,109,100,46,115,109,98,46,100,101,108,116,97,49,56,111,95,115,117,114,102,97,99,101,0,109,100,46,115,109,98,46,100,112,101,114,109,105,108,0,109,100,46,115,109,98,46,114,101,113,117,101,115,116,101,100,95,111,117,116,112,117,116,115,0,32,32,32,99,97,108,108,32,68,101,108,116,97,49,56,111,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,32,109,111,100,117,108,101,10,0,32,32,32,99,97,108,108,32,77,117,110,103,115,109,116,112,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,32,109,111,100,117,108,101,10,0,32,32,32,99,97,108,108,32,112,111,115,105,116,105,118,101,32,100,101,103,114,101,101,32,100,97,121,32,109,111,100,117,108,101,10,0,32,32,32,99,97,108,108,32,68,101,108,116,97,49,56,111,112,100,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,32,109,111,100,117,108,101,10,0,9,99,97,108,108,32,115,109,98,32,103,114,97,100,105,101,110,116,115,32,109,111,100,117,108,101,10,0,32,32,99,97,108,108,32,115,109,98,32,72,101,110,110,105,110,103,32,109,111,100,117,108,101,10,0,32,32,99,97,108,108,32,115,109,98,32,67,111,109,112,111,110,101,110,116,115,32,109,111,100,117,108,101,10,0,32,32,99,97,108,108,32,115,109,98,32,77,101,108,116,32,67,111,109,112,111,110,101,110,116,115,32,109,111,100,117,108,101,10,0,67,114,101,97,116,101,68,86,101,99,116,111,114,0,50,51,70,114,101,101,83,117,114,102,97,99,101,66,97,115,101,65,110,97,108,121,115,105,115,0,109,100,46,98,97,115,97,108,102,111,114,99,105,110,103,115,46,103,114,111,117,110,100,101,100,105,99,101,95,109,101,108,116,105,110,103,95,114,97,116,101,0,109,100,46,98,97,115,97,108,102,111,114,99,105,110,103,115,46,102,108,111,97,116,105,110,103,105,99,101,95,109,101,108,116,105,110,103,95,114,97,116,101,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,70,114,101,101,83,117,114,102,97,99,101,66,97,115,101,65,110,97,108,121,115,105,115,46,99,112,112,0,50,50,70,114,101,101,83,117,114,102,97,99,101,84,111,112,65,110,97,108,121,115,105,115,0,109,100,46,109,97,115,115,116,114,97,110,115,112,111,114,116,46,118,101,114,116,101,120,95,112,97,105,114,105,110,103,0,109,100,46,115,109,98,46,109,97,115,115,95,98,97,108,97,110,99,101,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,70,114,101,101,83,117,114,102,97,99,101,84,111,112,65,110,97,108,121,115,105,115,46,99,112,112,0,50,51,69,120,116,114,117,100,101,70,114,111,109,66,97,115,101,65,110,97,108,121,115,105,115,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,69,120,116,114,117,100,101,70,114,111,109,66,97,115,101,65,110,97,108,121,115,105,115,46,99,112,112,0,50,50,69,120,116,114,117,100,101,70,114,111,109,84,111,112,65,110,97,108,121,115,105,115,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,69,120,116,114,117,100,101,70,114,111,109,84,111,112,65,110,97,108,121,115,105,115,46,99,112,112,0,50,48,68,101,112,116,104,65,118,101,114,97,103,101,65,110,97,108,121,115,105,115,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,68,101,112,116,104,65,118,101,114,97,103,101,65,110,97,108,121,115,105,115,46,99,112,112,0,49,53,84,104,101,114,109,97,108,65,110,97,108,121,115,105,115,0,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,84,104,101,114,109,97,108,65,110,97,108,121,115,105,115,46,99,112,112,0,109,100,46,115,109,98,46,109,111,100,101,108,0,83,111,108,117,116,105,111,110,32,0,109,100,46,116,104,101,114,109,97,108,46,115,112,99,116,101,109,112,101,114,97,116,117,114,101,0,50,100,32,109,101,115,104,101,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,0,109,100,46,113,109,117,46,105,115,100,97,107,111,116,97,0,109,100,46,116,114,97,110,115,105,101,110,116,46,105,115,109,111,118,105,110,103,102,114,111,110,116,0,109,100,46,102,114,105,99,116,105,111,110,46,108,97,119,0,109,100,46,103,101,111,109,101,116,114,121,46,115,117,114,102,97,99,101,0,109,100,46,103,101,111,109,101,116,114,121,46,98,97,115,101,0,109,100,46,109,97,115,107,46,103,114,111,117,110,100,101,100,105,99,101,95,108,101,118,101,108,115,101,116,0,109,100,46,109,97,116,101,114,105,97,108,115,46,114,104,101,111,108,111,103,121,95,66,0,109,100,46,109,97,116,101,114,105,97,108,115,46,114,104,101,111,108,111,103,121,95,110,0,109,100,46,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,112,114,101,115,115,117,114,101,0,109,100,46,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,116,101,109,112,101,114,97,116,117,114,101,0,109,100,46,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,118,122,0,109,100,46,98,97,115,97,108,102,111,114,99,105,110,103,115,46,109,111,100,101,108,0,109,100,46,98,97,115,97,108,102,111,114,99,105,110,103,115,46,103,101,111,116,104,101,114,109,97,108,102,108,117,120,0,109,100,46,102,114,105,99,116,105,111,110,46,99,111,101,102,102,105,99,105,101,110,116,0,109,100,46,102,114,105,99,116,105,111,110,46,112,0,109,100,46,102,114,105,99,116,105,111,110,46,113,0,109,100,46,102,114,105,99,116,105,111,110,46,67,0,109,100,46,102,114,105,99,116,105,111,110,46,109,0,109,100,46,102,114,105,99,116,105,111,110,46,99,111,117,112,108,105,110,103,0,109,100,46,102,114,105,99,116,105,111,110,46,65,115,0,109,100,46,102,114,105,99,116,105,111,110,46,101,102,102,101,99,116,105,118,101,95,112,114,101,115,115,117,114,101,0,109,100,46,102,114,105,99,116,105,111,110,46,119,97,116,101,114,95,108,97,121,101,114,0,109,100,46,116,104,101,114,109,97,108,46,109,97,120,105,116,101,114,0,109,100,46,116,104,101,114,109,97,108,46,115,116,97,98,105,108,105,122,97,116,105,111,110,0,109,100,46,116,104,101,114,109,97,108,46,112,101,110,97,108,116,121,95,102,97,99,116,111,114,0,109,100,46,116,104,101,114,109,97,108,46,112,101,110,97,108,116,121,95,116,104,114,101,115,104,111,108,100,0,109,100,46,116,104,101,114,109,97,108,46,112,101,110,97,108,116,121,95,108,111,99,107,0,109,100,46,116,104,101,114,109,97,108,46,105,115,101,110,116,104,97,108,112,121,0,109,100,46,116,104,101,114,109,97,108,46,105,115,100,121,110,97,109,105,99,98,97,115,97,108,115,112,99,0,109,100,46,116,104,101,114,109,97,108,46,114,101,113,117,101,115,116,101,100,95,111,117,116,112,117,116,115,0,109,100,46,102,114,105,99,116,105,111,110,46,103,97,109,109,97,0,78,97,78,32,102,111,117,110,100,32,105,110,32,115,111,108,117,116,105,111,110,32,118,101,99,116,111,114,0,73,110,102,32,102,111,117,110,100,32,105,110,32,115,111,108,117,116,105,111,110,32,118,101,99,116,111,114,0,82,104,101,111,108,111,103,121,32,108,97,119,32,0,49,52,83,109,111,111,116,104,65,110,97,108,121,115,105,115,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,83,109,111,111,116,104,65,110,97,108,121,115,105,115,46,99,112,112,0,50,51,77,101,115,104,100,101,102,111,114,109,97,116,105,111,110,65,110,97,108,121,115,105,115,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,77,101,115,104,100,101,102,111,114,109,97,116,105,111,110,65,110,97,108,121,115,105,115,46,99,112,112,0,67,114,101,97,116,101,67,111,110,115,116,114,97,105,110,116,115,0,67,114,101,97,116,101,76,111,97,100,115,0,68,111,102,115,80,101,114,78,111,100,101,0,49,54,76,101,118,101,108,115,101,116,65,110,97,108,121,115,105,115,0,109,100,46,108,101,118,101,108,115,101,116,46,115,112,99,108,101,118,101,108,115,101,116,0,109,100,46,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,118,120,0,109,100,46,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,118,121,0,109,100,46,99,97,108,118,105,110,103,46,108,97,119,0,109,100,46,99,97,108,118,105,110,103,46,99,97,108,118,105,110,103,114,97,116,101,0,109,100,46,99,97,108,118,105,110,103,46,109,101,108,116,105,110,103,114,97,116,101,0,109,100,46,99,97,108,118,105,110,103,46,99,111,101,102,102,0,67,97,108,118,105,110,103,32,108,97,119,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,76,101,118,101,108,115,101,116,65,110,97,108,121,115,105,115,46,99,112,112,0,85,112,100,97,116,101,69,108,101,109,101,110,116,115,0,109,100,46,108,101,118,101,108,115,101,116,46,115,116,97,98,105,108,105,122,97,116,105,111,110,0,109,100,46,99,97,108,118,105,110,103,46,109,105,110,95,116,104,105,99,107,110,101,115,115,0,85,112,100,97,116,101,80,97,114,97,109,101,116,101,114,115,0,99,97,108,108,32,99,111,109,112,117,116,97,116,105,111,110,97,108,32,99,111,114,101,58,10,0,117,110,107,110,111,119,110,32,116,121,112,101,32,111,102,32,115,116,97,98,105,108,105,122,97,116,105,111,110,32,105,110,32,76,101,118,101,108,115,101,116,65,110,97,108,121,115,105,115,46,99,112,112,0,32,32,32,99,111,109,112,117,116,105,110,103,32,76,101,118,101,114,109,97,110,110,39,115,32,99,97,108,118,105,110,103,32,114,97,116,101,10,0,67,97,118,105,110,103,32,108,97,119,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,67,97,108,118,105,110,103,120,47,67,97,108,118,105,110,103,120,46,99,112,112,0,67,97,108,118,105,110,103,120,0,50,49,69,120,116,114,97,112,111,108,97,116,105,111,110,65,110,97,108,121,115,105,115,0,101,120,116,114,97,112,111,108,97,116,105,111,110,32,111,102,32,0,58,32,99,97,108,108,32,99,111,109,112,117,116,97,116,105,111,110,97,108,32,99,111,114,101,58,10,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,69,120,116,114,97,112,111,108,97,116,105,111,110,65,110,97,108,121,115,105,115,46,99,112,112,0,50,55,76,115,102,82,101,105,110,105,116,105,97,108,105,122,97,116,105,111,110,65,110,97,108,121,115,105,115,0,109,100,46,109,101,115,104,46,118,101,114,116,101,120,111,110,98,97,115,101,0,109,100,46,109,101,115,104,46,118,101,114,116,101,120,111,110,115,117,114,102,97,99,101,0,85,112,100,97,116,101,32,115,112,99,115,32,102,111,114,32,114,101,105,110,105,116,105,97,108,105,122,97,116,105,111,110,58,10,0,115,109,111,111,116,104,105,110,103,32,108,115,102,32,115,108,111,112,101,10,0,99,97,108,108,32,99,111,109,112,117,116,97,116,105,111,110,97,108,32,99,111,114,101,32,102,111,114,32,114,101,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,105,110,32,115,116,101,112,32,0,58,10,0,32,32,32,99,104,101,99,107,105,110,103,32,114,101,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,99,111,110,118,101,114,103,101,110,99,101,10,0,32,32,32,109,97,120,105,109,117,109,32,110,117,109,98,101,114,32,114,101,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,105,116,101,114,97,116,105,111,110,115,32,0,32,114,101,97,99,104,101,100,10,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,76,115,102,82,101,105,110,105,116,105,97,108,105,122,97,116,105,111,110,65,110,97,108,121,115,105,115,46,99,112,112,0,82,101,105,110,105,116,67,111,110,118,101,114,103,101,110,99,101,0,32,32,32,86,101,108,111,99,105,116,121,32,99,111,110,118,101,114,103,101,110,99,101,58,32,110,111,114,109,40,100,117,41,47,110,111,114,109,40,117,41,0,32,32,32,99,111,109,112,117,116,105,110,103,32,71,73,65,10,0,49,49,71,105,97,65,110,97,108,121,115,105,115,0,109,100,46,103,101,111,109,101,116,114,121,46,116,104,105,99,107,110,101,115,115,0,109,100,46,103,105,97,46,109,97,110,116,108,101,95,118,105,115,99,111,115,105,116,121,0,109,100,46,103,105,97,46,108,105,116,104,111,115,112,104,101,114,101,95,116,104,105,99,107,110,101,115,115,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,71,105,97,65,110,97,108,121,115,105,115,46,99,112,112,0,73,110,112,117,116,85,112,100,97,116,101,70,114,111,109,83,111,108,117,116,105,111,110,0,32,32,32,99,111,109,112,117,116,105,110,103,32,115,101,97,32,108,101,118,101,108,32,114,105,115,101,10,0,84,114,97,110,115,102,101,114,70,111,114,99,105,110,103,32,101,114,114,111,114,32,109,101,115,115,97,103,101,58,32,99,111,117,108,100,32,110,111,116,32,102,105,110,100,32,73,99,101,99,97,112,84,111,69,97,114,116,104,67,111,109,109,32,99,111,109,109,117,110,105,99,97,116,111,114,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,111,114,101,115,47,115,101,97,108,101,118,101,108,114,105,115,101,95,99,111,114,101,46,99,112,112,0,84,114,97,110,115,102,101,114,70,111,114,99,105,110,103,0,84,114,97,110,115,102,101,114,70,111,114,99,105,110,103,32,101,114,114,111,114,32,109,101,115,115,97,103,101,58,32,110,117,109,98,101,114,32,111,102,32,116,114,97,110,115,105,116,105,111,110,32,118,101,99,116,111,114,115,32,105,115,32,110,111,116,32,101,113,117,97,108,32,116,111,32,116,104,101,32,110,117,109,98,101,114,32,111,102,32,105,99,101,99,97,112,115,33,0,84,114,97,110,115,102,101,114,83,101,97,76,101,118,101,108,32,101,114,114,111,114,32,109,101,115,115,97,103,101,58,32,110,117,109,98,101,114,32,111,102,32,116,114,97,110,115,105,116,105,111,110,32,118,101,99,116,111,114,115,32,105,115,32,110,111,116,32,101,113,117,97,108,32,116,111,32,116,104,101,32,110,117,109,98,101,114,32,111,102,32,105,99,101,99,97,112,115,33,0,84,114,97,110,115,102,101,114,83,101,97,108,101,118,101,108,0,49,50,71,101,110,101,114,105,99,80,97,114,97,109,73,80,105,69,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,111,114,101,115,47,115,101,97,108,101,118,101,108,114,105,115,101,95,99,111,114,101,95,110,111,110,101,117,115,116,97,116,105,99,46,99,112,112,0,115,108,114,99,111,110,118,101,114,103,101,110,99,101,0,32,32,32,32,32,32,99,111,110,118,101,114,103,101,110,99,101,32,99,114,105,116,101,114,105,111,110,58,32,110,111,114,109,40,100,83,41,47,110,111,114,109,40,83,41,0,32,32,32,32,32,32,99,111,110,118,101,114,103,101,110,99,101,32,99,114,105,116,101,114,105,111,110,58,32,110,111,114,109,40,100,83,41,0,32,10,0,50,48,83,101,97,108,101,118,101,108,114,105,115,101,65,110,97,108,121,115,105,115,0,109,100,46,109,97,115,107,46,105,99,101,95,108,101,118,101,108,115,101,116,0,109,100,46,109,97,115,107,46,111,99,101,97,110,95,108,101,118,101,108,115,101,116,0,109,100,46,109,97,115,107,46,108,97,110,100,95,108,101,118,101,108,115,101,116,0,109,100,46,115,108,114,46,100,101,108,116,97,116,104,105,99,107,110,101,115,115,0,109,100,46,115,108,114,46,115,101,97,108,101,118,101,108,0,109,100,46,115,108,114,46,114,101,108,116,111,108,0,109,100,46,115,108,114,46,97,98,115,116,111,108,0,109,100,46,115,108,114,46,109,97,120,105,116,101,114,0,109,100,46,115,108,114,46,114,105,103,105,100,0,109,100,46,115,108,114,46,101,108,97,115,116,105,99,0,109,100,46,115,108,114,46,108,111,118,101,95,104,0,109,100,46,115,108,114,46,108,111,118,101,95,107,0,109,100,46,115,108,114,46,100,101,103,97,99,99,0,109,100,46,115,108,114,46,116,114,97,110,115,105,116,105,111,110,115,0,109,100,46,115,108,114,46,114,101,113,117,101,115,116,101,100,95,111,117,116,112,117,116,115,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,97,110,97,108,121,115,101,115,47,83,101,97,108,101,118,101,108,114,105,115,101,65,110,97,108,121,115,105,115,46,99,112,112,0,67,111,114,101,0,78,111,116,32,105,109,112,108,101,109,101,110,116,101,100,0,71,101,116,83,111,108,117,116,105,111,110,70,114,111,109,73,110,112,117,116,115,0,71,114,97,100,105,101,110,116,74,0,56,71,97,117,115,115,83,101,103,0,71,97,117,115,115,83,101,103,58,10,0,118,101,114,116,101,120,32,105,110,100,101,120,32,115,104,111,117,108,100,32,98,101,32,105,110,32,91,48,32,49,93,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,103,97,117,115,115,47,71,97,117,115,115,83,101,103,46,99,112,112,0,110,111,100,101,32,105,110,100,101,120,32,115,104,111,117,108,100,32,98,101,32,105,110,32,91,48,32,49,93,0,53,71,97,117,115,115,0,57,71,97,117,115,115,84,114,105,97,0,70,105,114,115,116,32,105,110,100,105,99,101,32,112,114,111,118,105,100,101,100,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,32,40,117,115,101,114,32,112,114,111,118,105,100,101,100,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,103,97,117,115,115,47,71,97,117,115,115,84,114,105,97,46,99,112,112,0,71,97,117,115,115,84,114,105,97,0,83,101,99,111,110,100,32,105,110,100,105,99,101,32,112,114,111,118,105,100,101,100,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,32,40,117,115,101,114,32,112,114,111,118,105,100,101,100,32,0,32,41,0,71,97,117,115,115,84,114,105,97,58,10,0,84,104,101,32,50,32,105,110,100,105,99,101,115,32,112,114,111,118,105,100,101,100,32,97,114,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,32,40,117,115,101,114,32,112,114,111,118,105,100,101,100,32,0,32,97,110,100,32,0,71,97,117,115,115,69,100,103,101,67,101,110,116,101,114,0,118,101,114,116,101,120,32,105,110,100,101,120,32,115,104,111,117,108,100,32,98,101,32,105,110,32,91,48,32,50,93,0,110,111,100,101,32,105,110,100,101,120,32,115,104,111,117,108,100,32,98,101,32,48,0,110,111,100,101,32,105,110,100,101,120,32,115,104,111,117,108,100,32,98,101,32,105,110,32,91,48,32,50,93,0,49,48,71,97,117,115,115,84,101,116,114,97,0,32,78,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,103,97,117,115,115,47,71,97,117,115,115,84,101,116,114,97,46,99,112,112,0,71,97,117,115,115,84,101,116,114,97,0,71,97,117,115,115,84,101,116,114,97,58,10,0,118,101,114,116,101,120,32,105,110,100,101,120,32,115,104,111,117,108,100,32,98,101,32,105,110,32,91,48,32,51,93,0,110,111,100,101,32,105,110,100,101,120,32,115,104,111,117,108,100,32,98,101,32,105,110,32,91,48,32,51,93,0,110,111,100,101,32,105,110,100,101,120,32,115,104,111,117,108,100,32,98,101,32,105,110,32,91,48,32,52,93,0,110,111,100,101,32,105,110,100,101,120,32,115,104,111,117,108,100,32,98,101,32,105,110,32,91,48,32,57,93,0,83,121,110,99,104,114,111,110,105,122,101,71,97,117,115,115,66,97,115,101,0,49,48,71,97,117,115,115,80,101,110,116,97,0,80,101,110,116,97,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,103,97,117,115,115,47,71,97,117,115,115,80,101,110,116,97,46,99,112,112,0,71,97,117,115,115,80,101,110,116,97,0,84,114,105,97,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,0,105,110,100,101,120,32,0,71,97,117,115,115,80,101,110,116,97,58,10,0,32,32,32,110,117,109,103,97,117,115,115,58,32,0,32,32,32,119,101,105,103,104,116,115,32,61,32,91,0,119,101,105,103,104,116,115,32,61,32,78,85,76,76,10,0,32,32,32,99,111,111,114,100,115,49,32,61,32,91,0,99,111,111,114,100,115,49,32,61,32,78,85,76,76,10,0,32,32,32,99,111,111,114,100,115,50,32,61,32,91,0,99,111,111,114,100,115,50,32,61,32,78,85,76,76,10,0,32,32,32,99,111,111,114,100,115,51,32,61,32,91,0,99,111,111,114,100,115,51,32,61,32,78,85,76,76,10,0,32,32,32,99,111,111,114,100,115,52,32,61,32,91,0,99,111,111,114,100,115,52,32,61,32,78,85,76,76,10,0,32,32,32,119,101,105,103,104,116,32,61,32,0,32,32,32,99,111,111,114,100,49,32,61,32,0,32,32,32,99,111,111,114,100,50,32,61,32,0,32,32,32,99,111,111,114,100,51,32,61,32,0,32,32,32,99,111,111,114,100,52,32,61,32,0,118,101,114,116,101,120,32,105,110,100,101,120,32,115,104,111,117,108,100,32,98,101,32,105,110,32,91,48,32,53,93,0,71,97,117,115,115,86,101,114,116,101,120,0,110,111,100,101,32,105,110,100,101,120,32,115,104,111,117,108,100,32,98,101,32,105,110,32,91,48,32,53,93,0,71,97,117,115,115,78,111,100,101,0,110,111,100,101,32,105,110,100,101,120,32,115,104,111,117,108,100,32,98,101,32,105,110,32,91,48,32,56,93,0,110,111,100,101,32,105,110,100,101,120,32,115,104,111,117,108,100,32,98,101,32,105,110,32,91,48,32,49,49,93,0,110,111,100,101,32,105,110,100,101,120,32,115,104,111,117,108,100,32,98,101,32,105,110,32,91,48,32,54,93,0,110,111,100,101,32,105,110,100,101,120,32,115,104,111,117,108,100,32,98,101,32,105,110,32,91,48,32,49,55,93,0,110,111,100,101,32,105,110,100,101,120,32,115,104,111,117,108,100,32,98,101,32,105,110,32,91,48,32,49,56,93,0,110,111,100,101,32,105,110,100,101,120,32,115,104,111,117,108,100,32,98,101,32,105,110],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+129512);allocate([32,91,48,32,50,57,93,0,109,100,46,97,117,116,111,100,105,102,102,46,105,115,97,117,116,111,100,105,102,102,0,109,100,46,105,110,118,101,114,115,105,111,110,46,105,115,99,111,110,116,114,111,108,0,109,100,46,109,101,115,104,46,100,111,109,97,105,110,95,116,121,112,101,0,109,100,46,109,101,115,104,46,100,111,109,97,105,110,95,100,105,109,101,110,115,105,111,110,0,109,100,46,109,101,115,104,46,101,108,101,109,101,110,116,116,121,112,101,0,109,100,46,109,101,115,104,46,110,117,109,98,101,114,111,102,118,101,114,116,105,99,101,115,0,109,100,46,109,101,115,104,46,110,117,109,98,101,114,111,102,101,108,101,109,101,110,116,115,0,109,100,46,109,101,115,104,46,101,108,101,109,101,110,116,115,0,101,114,114,111,114,32,119,104,105,108,101,32,108,111,111,107,105,110,103,32,105,110,32,98,105,110,97,114,121,32,102,105,108,101,46,32,70,111,117,110,100,32,97,32,115,116,114,105,110,103,32,111,102,32,115,105,122,101,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,73,111,77,111,100,101,108,46,99,112,112,0,67,104,101,99,107,70,105,108,101,0,109,100,46,0,101,114,114,111,114,32,119,104,105,108,101,32,114,101,97,100,105,110,103,32,98,105,110,97,114,121,32,102,105,108,101,58,32,114,101,99,111,114,100,32,100,111,101,115,32,110,111,116,32,115,116,97,114,116,32,119,105,116,104,32,34,109,100,46,34,58,32,0,109,100,46,69,79,70,0,67,111,117,108,100,32,110,111,116,32,114,101,97,100,32,114,101,99,111,114,100,95,108,101,110,103,116,104,0,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,10,0,32,77,97,114,115,104,97,108,108,101,100,32,102,105,108,101,32,105,115,32,99,111,114,114,117,112,116,101,100,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,10,0,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,10,0,32,32,32,42,32,76,97,115,116,32,114,101,99,111,114,100,32,102,111,117,110,100,32,105,115,32,58,32,10,0,32,32,32,32,32,116,104,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,109,111,100,101,108,32,102,105,101,108,100,32,104,97,115,32,112,114,111,98,97,98,108,121,32,98,101,101,110,32,109,97,114,115,104,97,108,108,101,100,32,32,32,32,32,32,32,32,32,32,10,0,32,32,32,32,32,105,110,99,111,114,114,101,99,116,108,121,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,10,0,66,105,110,97,114,121,32,102,105,108,101,32,99,111,114,114,117,112,116,101,100,32,40,83,101,101,32,101,114,114,111,114,32,109,101,115,115,97,103,101,32,97,98,111,118,101,41,0,67,97,110,110,111,116,32,99,97,114,114,121,32,111,117,116,32,65,68,32,109,111,100,101,32,99,111,109,112,117,116,97,116,105,111,110,115,32,119,105,116,104,111,117,116,32,115,117,112,112,111,114,116,32,111,102,32,65,68,79,76,67,32,99,111,109,112,105,108,101,100,32,105,110,33,0,68,101,99,108,97,114,101,73,110,100,101,112,101,110,100,101,110,116,115,0,70,101,116,99,104,67,111,110,115,116,97,110,116,115,0,67,111,117,108,100,32,110,111,116,32,114,101,97,100,32,114,101,99,111,114,100,32,110,97,109,101,0,67,111,117,110,100,32,110,111,116,32,114,101,97,100,32,114,101,99,111,114,100,95,108,101,110,103,116,104,0,67,111,117,110,100,32,110,111,116,32,114,101,97,100,32,114,101,99,111,114,100,95,99,111,100,101,0,99,111,117,108,100,32,110,111,116,32,114,101,97,100,32,98,111,111,108,101,97,110,32,0,99,111,117,108,100,32,110,111,116,32,114,101,97,100,32,105,110,116,101,103,101,114,32,0,99,111,117,108,100,32,110,111,116,32,114,101,97,100,32,115,99,97,108,97,114,32,0,99,111,117,108,100,32,110,111,116,32,114,101,97,100,32,108,101,110,103,116,104,32,111,102,32,115,116,114,105,110,103,32,0,32,99,111,117,108,100,32,110,111,116,32,114,101,97,100,32,115,116,114,105,110,103,32,0,99,111,117,108,100,32,110,111,116,32,114,101,97,100,32,108,101,110,103,116,104,32,111,102,32,115,116,114,105,110,103,32,97,114,114,97,121,0,117,110,107,110,111,119,110,32,114,101,99,111,114,100,32,116,121,112,101,58,0,67,111,117,108,100,32,110,111,116,32,102,105,110,100,32,99,111,110,115,116,97,110,116,32,34,0,34,0,70,105,110,100,67,111,110,115,116,97,110,116,0,101,120,112,101,99,116,105,110,103,32,97,110,32,105,110,116,101,103,101,114,32,102,111,114,32,34,0,70,101,116,99,104,68,97,116,97,0,101,120,112,101,99,116,105,110,103,32,97,32,73,115,115,109,68,111,117,98,108,101,44,32,105,110,116,101,103,101,114,32,111,114,32,98,111,111,108,101,97,110,32,109,97,116,114,105,120,32,102,111,114,32,34,0,32,40,67,111,100,101,32,105,115,32,0,41,0,99,111,117,108,100,32,110,111,116,32,114,101,97,100,32,110,117,109,98,101,114,32,111,102,32,114,111,119,115,32,102,111,114,32,109,97,116,114,105,120,32,0,99,111,117,108,100,32,110,111,116,32,114,101,97,100,32,110,117,109,98,101,114,32,111,102,32,99,111,108,117,109,110,115,32,102,111,114,32,109,97,116,114,105,120,32,0,99,111,117,108,100,32,110,111,116,32,114,101,97,100,32,109,97,116,114,105,120,32,0,67,111,110,115,116,97,110,116,32,34,0,34,32,110,111,116,32,102,111,117,110,100,32,105,110,32,105,111,109,111,100,101,108,0,67,111,112,121,67,111,110,115,116,97,110,116,79,98,106,101,99,116,0,101,120,112,101,99,116,105,110,103,32,97,32,98,111,111,108,101,97,110,32,102,111,114,32,34,0,83,116,114,105,110,103,32,112,114,111,118,105,100,101,100,32,100,111,101,115,32,110,111,116,32,115,116,97,114,116,32,119,105,116,104,32,34,109,100,46,34,32,40,0,68,101,108,101,116,101,68,97,116,97,0,83,101,116,70,105,108,101,80,111,105,110,116,101,114,84,111,68,97,116,97,0,67,111,117,108,100,32,110,111,116,32,114,101,97,100,32,114,101,99,111,114,100,95,99,111,100,101,0,67,111,117,108,100,32,110,111,116,32,114,101,97,100,32,118,101,99,116,111,114,95,116,121,112,101,0,99,111,117,108,100,32,110,111,116,32,102,105,110,100,32,100,97,116,97,32,119,105,116,104,32,110,97,109,101,32,34,0,34,32,105,110,32,98,105,110,97,114,121,32,102,105,108,101,0,101,120,112,101,99,116,105,110,103,32,97,32,73,115,115,109,68,111,117,98,108,101,32,102,111,114,32,34,0,101,120,112,101,99,116,105,110,103,32,97,32,115,116,114,105,110,103,32,102,111,114,32,34,0,101,120,112,101,99,116,105,110,103,32,97,32,73,115,115,109,68,111,117,98,108,101,32,109,97,116,32,97,114,114,97,121,32,102,111,114,32,34,0,99,111,117,108,100,32,110,111,116,32,114,101,97,100,32,110,117,109,98,101,114,32,111,102,32,114,101,99,111,114,100,115,32,105,110,32,109,97,116,114,105,120,32,97,114,114,97,121,32,0,99,111,117,108,100,32,110,111,116,32,114,101,97,100,32,110,117,109,98,101,114,32,111,102,32,114,111,119,115,32,105,110,32,0,116,104,32,109,97,116,114,105,120,32,111,102,32,109,97,116,114,105,120,32,97,114,114,97,121,0,99,111,117,108,100,32,110,111,116,32,114,101,97,100,32,110,117,109,98,101,114,32,111,102,32,99,111,108,117,109,110,115,32,105,110,32,0,70,101,116,99,104,77,117,108,116,105,112,108,101,68,97,116,97,0,83,101,116,70,105,108,101,80,111,105,110,116,101,114,115,84,111,68,97,116,97,0,101,120,112,101,99,116,105,110,103,32,97,32,100,111,117,98,108,101,32,102,111,114,32,34,0,32,105,115,32,110,111,116,32,97,32,100,111,117,98,108,101,32,97,114,114,97,121,0,70,101,116,99,104,68,97,116,97,84,111,73,110,112,117,116,0,34,32,110,111,116,32,102,111,117,110,100,32,105,110,32,98,105,110,97,114,121,32,102,105,108,101,0,100,97,116,97,32,99,111,100,101,32,0,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,32,40,100,101,116,101,99,116,101,100,32,119,104,105,108,101,32,112,114,111,99,101,115,115,105,110,103,32,34,0,34,41,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,76,111,97,100,115,47,70,114,105,99,116,105,111,110,46,99,112,112,0,71,101,116,65,108,112,104,97,67,111,109,112,108,101,109,101,110,116,0,71,101,116,65,108,112,104,97,86,105,115,99,111,117,115,67,111,109,112,108,101,109,101,110,116,0,71,101,116,65,108,112,104,97,72,121,100,114,111,67,111,109,112,108,101,109,101,110,116,0,70,114,105,99,116,105,111,110,32,108,97,119,32,0,71,101,116,65,108,112,104,97,50,0,71,101,116,65,108,112,104,97,50,86,105,115,99,111,117,115,0,71,101,116,65,108,112,104,97,50,87,101,101,114,116,109,97,110,0,71,101,116,65,108,112,104,97,50,72,121,100,114,111,0,110,101,103,97,116,105,118,101,32,119,97,116,101,114,32,108,97,121,101,114,32,116,104,105,99,107,110,101,115,115,0,71,101,116,65,108,112,104,97,50,87,97,116,101,114,76,97,121,101,114,0,71,101,116,65,108,112,104,97,50,67,111,117,108,111,109,98,0,100,101,115,116,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,46,46,47,115,104,97,114,101,100,47,77,101,109,79,112,115,47,77,101,109,79,112,115,46,104,0,120,77,101,109,67,112,121,0,115,114,99,0,115,101,116,32,111,102,32,101,110,117,109,32,116,121,112,101,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,68,111,102,73,110,100,101,120,105,110,103,46,99,112,112,0,73,110,105,116,83,101,116,0,68,111,102,73,110,100,101,120,105,110,103,58,10,0,32,32,32,103,115,105,122,101,58,32,32,0,32,32,32,102,115,105,122,101,58,32,32,0,32,32,32,115,115,105,122,101,58,32,32,0,32,32,32,99,108,111,110,101,58,32,32,0,32,32,32,97,99,116,105,118,101,58,32,0,32,32,32,102,114,101,101,122,101,58,32,0,32,32,32,115,101,116,32,109,101,109,98,101,114,115,104,105,112,58,32,102,44,115,32,115,101,116,115,32,10,0,32,32,32,32,32,32,100,111,102,32,0,32,32,32,115,118,97,108,117,101,115,32,40,0,41,58,32,124,0,32,124,0,32,32,32,100,111,102,116,121,112,101,58,32,124,0,32,32,32,100,111,102,116,121,112,101,58,32,78,85,76,76,10,0,32,32,32,103,95,100,111,102,108,105,115,116,32,40,0,32,32,32,102,95,100,111,102,108,105,115,116,32,40,0,32,32,32,115,95,100,111,102,108,105,115,116,32,40,0,32,32,32,72,111,111,107,58,32,10,0,32,32,32,32,32,32,110,117,109,61,0,32,32,32,32,32,32,105,100,115,58,32,0,32,32,32,32,32,32,111,102,102,115,101,116,115,58,32,0,32,32,32,72,111,111,107,58,32,110,117,109,61,48,32,10,0,32,32,32,32,32,32,119,97,114,110,105,110,103,58,32,111,98,106,101,99,116,32,110,111,116,32,104,111,111,107,101,100,32,121,101,116,10,0,32,32,32,32,32,32,111,98,106,101,99,116,115,58,10,32,32,32,0,32,32,32,32,32,32,32,32,32,111,98,106,101,99,116,32,0,32,32,32,32,32,32,32,32,32,32,32,32,110,111,32,111,98,106,101,99,116,32,104,111,111,107,101,100,32,121,101,116,32,40,110,111,116,32,99,111,110,102,105,103,117,114,101,100,41,10,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,72,111,111,107,46,99,112,112,0,119,114,111,110,103,32,105,100,58,32,0,32,118,115,32,0,32,32,105,110,32,114,101,115,111,108,118,101,100,32,112,111,105,110,116,101,114,33,0,99,111,110,102,105,103,117,114,101,0,116,114,121,105,110,103,32,116,111,32,100,101,108,105,118,101,114,32,97,32,115,105,110,103,108,101,32,104,111,111,107,32,111,98,106,101,99,116,32,119,104,101,110,32,104,111,111,107,32,104,111,108,100,115,32,0,32,111,98,106,101,99,116,115,0,100,101,108,105,118,101,114,115,0,104,111,111,107,32,105,115,32,110,111,116,32,112,111,105,110,116,105,110,103,32,116,111,32,97,110,121,32,111,98,106,101,99,116,44,32,111,98,106,101,99,116,115,32,112,111,105,110,116,101,114,32,105,115,32,78,85,76,76,0,67,97,110,110,111,116,32,115,112,97,119,110,32,104,111,111,107,32,119,105,116,104,32,0,32,111,98,106,101,99,116,115,32,102,114,111,109,32,97,32,72,111,111,107,32,111,102,32,0,83,112,97,119,110,0,84,114,121,105,110,103,32,116,111,32,115,112,97,119,110,32,97,110,32,101,109,112,116,121,32,69,108,101,109,101,110,116,80,114,111,112,101,114,116,105,101,115,33,0,56,77,97,116,101,115,116,97,114,0,77,97,116,101,115,116,97,114,58,10,0,32,32,32,109,105,100,58,32,0,32,32,32,101,108,101,109,101,110,116,58,10,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,77,97,116,101,114,105,97,108,115,47,77,97,116,101,115,116,97,114,46,99,112,112,0,71,101,116,65,0,71,101,116,65,98,97,114,0,71,101,116,66,0,71,101,116,66,98,97,114,0,71,101,116,78,0,71,101,116,68,0,71,101,116,68,98,97,114,0,73,115,68,97,109,97,103,101,0,71,101,116,86,105,115,99,111,115,105,116,121,0,71,101,116,86,105,115,99,111,115,105,116,121,95,66,0,71,101,116,86,105,115,99,111,115,105,116,121,95,68,0,71,101,116,86,105,115,99,111,115,105,116,121,66,97,114,0,71,101,116,86,105,115,99,111,115,105,116,121,67,111,109,112,108,101,109,101,110,116,0,71,101,116,86,105,115,99,111,115,105,116,121,68,67,111,109,112,108,101,109,101,110,116,0,71,101,116,86,105,115,99,111,115,105,116,121,68,101,114,105,118,97,116,105,118,101,69,112,115,83,113,117,97,114,101,0,71,101,116,86,105,115,99,111,115,105,116,121,50,100,68,101,114,105,118,97,116,105,118,101,69,112,115,83,113,117,97,114,101,0,86,105,115,99,111,115,105,116,121,72,79,68,101,114,105,118,97,116,105,118,101,69,112,115,83,113,117,97,114,101,0,86,105,115,99,111,115,105,116,121,76,49,76,50,0,86,105,115,99,111,115,105,116,121,83,83,65,68,101,114,105,118,97,116,105,118,101,69,112,115,83,113,117,97,114,101,0,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,77,97,116,101,114,105,97,108,115,47,46,47,77,97,116,101,115,116,97,114,46,104,0,54,77,111,117,108,105,110,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,76,111,97,100,115,47,77,111,117,108,105,110,46,99,112,112,0,77,111,117,108,105,110,58,10,0,68,111,110,39,116,32,107,110,111,119,32,119,104,121,32,119,101,32,115,104,111,117,108,100,32,98,101,32,104,101,114,101,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,76,111,97,100,115,47,46,46,47,46,47,76,111,97,100,115,47,77,111,117,108,105,110,46,104,0,49,49,78,101,117,109,97,110,110,102,108,117,120,0,87,114,111,110,103,32,100,105,114,101,99,116,105,111,110,32,100,117,114,105,110,103,32,116,104,101,32,77,97,114,115,104,97,108,108,32,112,114,111,99,101,115,115,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,76,111,97,100,115,47,78,101,117,109,97,110,110,102,108,117,120,46,99,112,112,0,78,101,117,109,97,110,110,102,108,117,120,58,10,0,32,32,32,105,100,58,32,0,32,32,32,97,110,97,108,121,115,105,115,95,116,121,112,101,58,32,0,32,32,32,112,97,114,97,109,101,116,101,114,115,10,0,32,32,32,32,32,32,78,85,76,76,10,0,32,32,32,112,97,114,97,109,101,116,101,114,115,58,32,0,97,110,97,108,121,115,105,115,32,0,32,40,0,41,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,0,67,114,101,97,116,101,75,77,97,116,114,105,120,0,67,114,101,97,116,101,80,86,101,99,116,111,114,0,83,101,116,119,105,115,101,78,111,100,101,67,111,110,110,101,99,116,105,118,105,116,121,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,99,108,97,115,115,101,115,47,76,111,97,100,115,47,46,46,47,46,47,76,111,97,100,115,47,78,101,117,109,97,110,110,102,108,117,120,46,104,0,73,110,112,117,116,85,112,100,97,116,101,70,114,111,109,73,111,77,111,100,101,108,0,78,111,116,32,105,109,112,108,101,109,101,110,116,101,100,32,121,101,116,0,80,101,110,97,108,116,121,67,114,101,97,116,101,74,97,99,111,98,105,97,110,77,97,116,114,105,120,0,67,114,101,97,116,101,74,97,99,111,98,105,97,110,77,97,116,114,105,120,0,77,97,120,32,105,116,101,114,97,116,105,111,110,115,32,101,120,99,101,101,100,101,100,32,102,111,114,32,108,61,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,115,104,97,114,101,100,47,78,117,109,101,114,105,99,115,47,71,97,117,115,115,80,111,105,110,116,115,46,99,112,112,0,71,97,117,115,115,82,101,99,117,114,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,77,111,100,101,108,80,114,111,99,101,115,115,111,114,120,47,67,114,101,97,116,101,70,97,99,101,115,46,99,112,112,0,67,114,101,97,116,101,70,97,99,101,115,0,109,101,115,104,32,0,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,67,114,101,97,116,101,70,97,99,101,115,51,100,0,109,101,115,104,32,116,121,112,101,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,77,111,100,101,108,80,114,111,99,101,115,115,111,114,120,47,67,114,101,97,116,101,83,105,110,103,108,101,78,111,100,101,84,111,69,108,101,109,101,110,116,67,111,110,110,101,99,116,105,118,105,116,121,46,99,112,112,0,67,114,101,97,116,101,83,105,110,103,108,101,78,111,100,101,84,111,69,108,101,109,101,110,116,67,111,110,110,101,99,116,105,118,105,116,121,0,109,101,115,104,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,77,111,100,101,108,80,114,111,99,101,115,115,111,114,120,47,67,114,101,97,116,101,78,117,109,98,101,114,78,111,100,101,84,111,69,108,101,109,101,110,116,67,111,110,110,101,99,116,105,118,105,116,121,46,99,112,112,0,67,114,101,97,116,101,78,117,109,98,101,114,78,111,100,101,84,111,69,108,101,109,101,110,116,67,111,110,110,101,99,116,105,118,105,116,121,0,110,111,116,32,115,117,112,112,111,114,116,101,100,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,77,111,100,101,108,80,114,111,99,101,115,115,111,114,120,47,67,114,101,97,116,101,78,111,100,101,115,46,99,112,112,0,67,114,101,97,116,101,78,111,100,101,115,0,105,115,115,109,0,83,84,79,80,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,65,108,108,111,99,97,116,101,83,121,115,116,101,109,77,97,116,114,105,99,101,115,120,47,65,108,108,111,99,97,116,101,83,121,115,116,101,109,77,97,116,114,105,99,101,115,120,46,99,112,112,0,77,97,116,114,105,120,78,111,110,122,101,114,111,115,0,77,112,105,68,101,110,115,101,32,109,97,116,114,105,120,32,114,101,113,117,105,114,101,115,32,99,111,109,112,105,108,97,116,105,111,110,32,111,102,32,77,80,73,33,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,65,108,108,111,99,97,116,101,83,121,115,116,101,109,77,97,116,114,105,99,101,115,120,47,46,46,47,46,46,47,99,108,97,115,115,101,115,47,46,46,47,116,111,111,108,107,105,116,115,47,46,47,111,98,106,101,99,116,115,47,46,46,47,105,115,115,109,47,46,47,73,115,115,109,77,97,116,46,104,0,73,115,115,109,77,97,116,0,77,112,105,83,112,97,114,115,101,32,109,97,116,114,105,120,32,114,101,113,117,105,114,101,115,32,99,111,109,112,105,108,97,116,105,111,110,32,111,102,32,77,80,73,33,0,109,97,116,114,105,120,32,116,121,112,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,33,0,32,32,32,71,101,110,101,114,97,116,105,110,103,32,109,97,116,114,105,99,101,115,0,32,40,75,102,102,32,115,116,105,102,102,110,101,115,115,32,109,97,116,114,105,120,32,115,105,122,101,58,32,0,32,120,32,0,41,10,0,32,32,32,67,114,101,97,116,101,32,110,111,100,97,108,32,99,111,110,115,116,114,97,105,110,116,115,10,0,101,120,112,101,99,116,105,110,103,32,97,32,73,115,115,109,68,111,117,98,108,101,32,118,101,99,116,111,114,32,102,111,114,32,99,111,110,115,116,114,97,105,110,116,115,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,73,111,77,111,100,101,108,84,111,67,111,110,115,116,114,97,105,110,116,115,120,47,73,111,77,111,100,101,108,84,111,67,111,110,115,116,114,97,105,110,116,115,120,46,99,112,112,0,73,111,77,111,100,101,108,84,111,67,111,110,115,116,114,97,105,110,116,115,120,0,101,120,112,101,99,116,105,110,103,32,97,32,110,111,100,97,108,32,118,101,99,116,111,114,32,102,111,114,32,99,111,110,115,116,114,97,105,110,116,115,32,0,109,101,115,104,32,116,121,112,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,0,70,105,110,105,116,101,32,101,108,101,109,101,110,116,32,0,83,105,122,101,32,111,102,32,115,112,99,32,102,105,101,108,100,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,73,111,77,111,100,101,108,84,111,68,121,110,97,109,105,99,67,111,110,115,116,114,97,105,110,116,115,120,0,32,32,32,73,110,112,117,116,32,117,112,100,97,116,101,115,32,102,114,111,109,32,99,111,110,115,116,97,110,116,10,0,32,32,32,85,112,100,97,116,105,110,103,32,105,110,112,117,116,115,32,102,114,111,109,32,115,111,108,117,116,105,111,110,10,0,9,99,97,108,108,32,77,97,110,116,108,101,32,80,108,117,109,101,32,71,101,111,116,104,101,114,109,97,108,32,70,108,117,120,32,109,111,100,117,108,101,10,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,71,101,111,116,104,101,114,109,97,108,70,108,117,120,120,47,71,101,111,116,104,101,114,109,97,108,70,108,117,120,120,46,99,112,112,0,71,101,111,116,104,101,114,109,97,108,70,108,117,120,120,0,32,32,32,71,101,116,32,115,111,108,117,116,105,111,110,32,102,114,111,109,32,105,110,112,117,116,115,10,0,65,108,108,111,99,97,116,105,110,103,32,97,32,86,101,99,32,111,102,32,115,105,122,101,32,48,32,97,115,32,103,115,105,122,101,61,48,32,102,111,114,32,99,111,110,102,105,103,117,114,97,116,105,111,110,32,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,71,101,116,83,111,108,117,116,105,111,110,70,114,111,109,73,110,112,117,116,115,120,47,71,101,116,83,111,108,117,116,105,111,110,70,114,111,109,73,110,112,117,116,115,120,46,99,112,112,0,71,101,116,83,111,108,117,116,105,111,110,70,114,111,109,73,110,112,117,116,115,120,0,9,99,97,108,108,32,76,105,110,101,97,114,32,70,108,111,97,116,105,110,103,32,109,101,108,116,105,110,103,32,114,97,116,101,32,109,111,100,117,108,101,10,0,9,99,97,108,108,32,77,105,115,109,105,112,32,70,108,111,97,116,105,110,103,32,109,101,108,116,105,110,103,32,114,97,116,101,32,109,111,100,117,108,101,10,0,66,97,115,97,108,32,102,111,114,99,105,110,103,32,109,111,100,101,108,32,0,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,70,108,111,97,116,105,110,103,105,99,101,77,101,108,116,105,110,103,82,97,116,101,120,47,70,108,111,97,116,105,110,103,105,99,101,77,101,108,116,105,110,103,82,97,116,101,120,46,99,112,112,0,70,108,111,97,116,105,110,103,105,99,101,77,101,108,116,105,110,103,82,97,116,101,120,0,32,32,32,82,101,100,117,99,101,32,118,101,99,116,111,114,32,102,114,111,109,32,103,32,116,111,32,102,32,115,101,116,10,0,32,32,32,68,105,114,105,99,104,108,101,116,32,108,105,102,116,105,110,103,32,97,112,112,108,105,101,100,32,116,111,32,108,111,97,100,32,118,101,99,116,111,114,10,0,32,32,32,67,111,110,115,116,114,97,105,110,105,110,103,32,112,101,110,97,108,116,105,101,115,10,0,32,32,32,82,101,115,101,116,116,105,110,103,32,112,101,110,97,108,116,105,101,115,10,0,114,105,102,116,32,99,111,110,115,116,114,97,105,110,116,115,32,114,101,115,101,116,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,33,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,82,101,115,101,116,67,111,110,115,116,114,97,105,110,116,115,120,47,82,101,115,101,116,67,111,110,115,116,114,97,105,110,116,115,120,46,99,112,112,0,82,101,115,101,116,67,111,110,115,116,114,97,105,110,116,115,120,0,32,32,32,83,111,108,118,105,110,103,32,109,97,116,114,105,120,32,115,121,115,116,101,109,10,0,77,97,116,114,105,120,32,116,121,112,101,58,32,0,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,33,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,83,111,108,118,101,114,120,47,46,46,47,46,46,47,116,111,111,108,107,105,116,115,47,46,47,111,98,106,101,99,116,115,47,46,47,83,111,108,118,101,114,46,104,0,83,111,108,118,101,0,32,32,32,77,101,114,103,105,110,103,32,115,111,108,117,116,105,111,110,32,118,101,99,116,111,114,32,102,114,111,109,32,102,115,101,116,32,116,111,32,103,115,101,116,10,0,32,32,32,117,112,100,97,116,105,110,103,32,98,111,117,110,100,97,114,121,32,99,111,110,100,105,116,105,111,110,115,46,46,46,10,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,115,111,108,117,116,105,111,110,115,101,113,117,101,110,99,101,115,47,115,111,108,117,116,105,111,110,115,101,113,117,101,110,99,101,95,108,97,46,99,112,112,0,115,111,108,117,116,105,111,110,115,101,113,117,101,110,99,101,95,108,97,0,32,32,32,67,111,110,118,101,114,103,101,110,99,101,32,99,114,105,116,101,114,105,111,110,58,32,110,111,114,109,40,100,112,41,47,110,111,114,109,40,112,41,0,32,32,32,67,111,110,118,101,114,103,101,110,99,101,32,99,114,105,116,101,114,105,111,110,58,32,110,111,114,109,40,100,112,47,41,47,110,111,114,109,40,112,41,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,115,111,108,117,116,105,111,110,115,101,113,117,101,110,99,101,115,47,115,111,108,117,116,105,111,110,115,101,113,117,101,110,99,101,95,108,97,95,116,104,101,116,97,46,99,112,112,0,115,111,108,117,116,105,111,110,115,101,113,117,101,110,99,101,95,108,97,95,116,104,101,116,97,0,32,32,32,115,111,108,118,101,114,32,114,101,115,105,100,117,101,32,116,111,111,32,104,105,103,104,33,58,32,110,111,114,109,40,75,85,45,70,41,47,110,111,114,109,40,70,41,61,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,115,111,108,117,116,105,111,110,115,101,113,117,101,110,99,101,115,47,115,111,108,117,116,105,111,110,115,101,113,117,101,110,99,101,95,108,105,110,101,97,114,46,99,112,112,0,115,111,108,117,116,105,111,110,115,101,113,117,101,110,99,101,95,108,105,110,101,97,114,0,32,32,32,110,117,109,98,101,114,32,111,102,32,117,110,115,116,97,98,108,101,32,99,111,110,115,116,114,97,105,110,116,115,58,32,0,32,32,32,109,97,120,105,109,117,109,32,110,117,109,98,101,114,32,111,102,32,110,111,110,108,105,110,101,97,114,32,105,116,101,114,97,116,105,111,110,115,32,40,0,32,32,32,109,97,120,105,109,117,109,32,110,117,109,98,101,114,32,111,102,32,78,101,119,116,111,110,32,105,116,101,114,97,116,105,111,110,115,32,40,0,10,32,32,32,116,111,116,97,108,32,110,117,109,98,101,114,32,111,102,32,105,116,101,114,97,116,105,111,110,115,58,32,0,97,110,97,108,121,115,105,115,32,116,121,112,101,32,0,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,102,111,114,32,70,67,84,10,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,115,111,108,117,116,105,111,110,115,101,113,117,101,110,99,101,115,47,115,111,108,117,116,105,111,110,115,101,113,117,101,110,99,101,95,102,99,116,46,99,112,112,0,115,111,108,117,116,105,111,110,115,101,113,117,101,110,99,101,95,102,99,116,0,80,69,84,83,99,32,110,101,101,100,115,32,116,111,32,98,101,32,105,110,115,116,97,108,108,101,100,0,32,32,32,99,104,101,99,107,105,110,103,32,99,111,110,118,101,114,103,101,110,99,101,10,0,32,32,32,115,111,108,118,101,114,32,114,101,115,105,100,117,101,58,32,110,111,114,109,40,75,85,45,70,41,47,110,111,114,109,40,70,41,61,0,110,111,114,109,32,110,102,32,61,32,0,102,32,97,110,100,32,110,111,114,109,32,107,117,111,108,100,32,61,32,0,102,10,0,109,101,99,104,97,110,105,99,97,108,32,101,113,117,105,108,105,98,114,105,117,109,32,99,111,110,118,101,114,103,101,110,99,101,32,99,114,105,116,101,114,105,111,110,32,105,115,32,78,97,78,33,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,115,111,108,117,116,105,111,110,115,101,113,117,101,110,99,101,115,47,99,111,110,118,101,114,103,101,110,99,101,46,99,112,112,0,99,111,110,118,101,114,103,101,110,99,101,0,32,32,32,109,101,99,104,97,110,105,99,97,108,32,101,113,117,105,108,105,98,114,105,117,109,32,99,111,110,118,101,114,103,101,110,99,101,32,99,114,105,116,101,114,105,111,110,0,32,60,32,0,32,37,10,0,32,62,32,0,99,111,110,118,101,114,103,101,110,99,101,32,99,114,105,116,101,114,105,111,110,32,105,115,32,78,97,78,33,0,32,32,32,67,111,110,118,101,114,103,101,110,99,101,32,99,114,105,116,101,114,105,111,110,58,32,110,111,114,109,40,100,117,41,47,110,111,114,109,40,117,41,0,32,32,32,67,111,110,118,101,114,103,101,110,99,101,32,99,114,105,116,101,114,105,111,110,58,32,109,97,120,40,100,117,41,0,32,32,32,67,111,109,112,117,116,105,110,103,32,99,111,115,116,32,102,117,110,99,116,105,111,110,32,103,114,97,100,105,101,110,116,10,0,124,124,100,74,47,100,107,124,124,32,61,32,48,32,32,32,32,103,114,97,100,105,101,110,116,32,110,111,114,109,32,105,115,32,122,101,114,111,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,71,114,97,100,106,120,47,71,114,97,100,106,120,46,99,112,112,0,71,114,97,100,106,120,0,124,124,100,74,47,100,107,124,124,32,61,32,78,97,78,32,32,103,114,97,100,105,101,110,116,32,110,111,114,109,32,105,115,32,78,97,78,0,32,32,32,32,32,32,32,120,32,32,32,32,32,32,32,124,32,32,67,111,115,116,32,102,117,110,99,116,105,111,110,32,102,40,120,41,32,32,124,32,32,76,105,115,116,32,111,102,32,99,111,110,116,114,105,98,117,116,105,111,110,115,10,0,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,32,115,116,101,112,32,0,47,0,32,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,10,0,32,120,32,61,32,0,32,124,32,0,70,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,32,114,101,116,117,114,110,101,100,32,78,97,78,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,115,104,97,114,101,100,47,78,117,109,101,114,105,99,115,47,66,114,101,110,116,83,101,97,114,99,104,46,99,112,112,0,66,114,101,110,116,83,101,97,114,99,104,0,32,32,32,99,111,109,112,117,116,105,110,103,32,118,101,108,111,99,105,116,105,101,115,10,0,32,32,32,99,111,109,112,117,116,105,110,103,32,116,104,105,99,107,110,101,115,115,10,0,32,32,32,99,111,109,112,117,116,105,110,103,32,116,104,105,99,107,110,101,115,115,50,10,0,32,32,32,99,111,109,112,117,116,105,110,103,32,97,100,106,111,105,110,116,10,0,32,32,32,115,97,118,105,110,103,32,114,101,115,117,108,116,115,10,0,32,32,32,109,97,120,105,109,117,109,32,110,117,109,98,101,114,32,111,102,32,105,116,101,114,97,116,105,111,110,115,32,40,0,41,32,101,120,99,101,101,100,101,100,10,0,99,111,109,112,117,116,105,110,103,32,115,108,111,112,101,32,111,102,32,108,101,118,101,108,115,101,116,32,102,117,110,99,116,105,111,110,46,46,46,10,0,115,97,118,105,110,103,32,114,101,115,117,108,116,115,58,10,0,32,32,32,102,114,101,101,122,105,110,103,32,99,111,110,115,116,114,97,105,110,116,115,10,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,98,97,109,103,47,71,101,111,109,101,116,114,121,46,99,112,112,0,114,101,102,101,114,101,110,99,101,32,110,117,109,98,101,114,115,58,32,0,32,0,10,0,73,100,58,32,0,67,111,111,114,100,115,58,32,91,0,93,32,91,0,93,10,0,116,119,111,32,112,111,105,110,116,115,32,111,102,32,116,104,101,32,103,101,111,109,101,116,114,121,32,97,114,101,32,118,101,114,121,32,99,108,111,115,101,100,32,116,111,32,101,97,99,104,32,111,116,104,101,114,32,40,115,101,101,32,114,101,102,101,114,101,110,99,101,32,110,117,109,98,101,114,115,32,97,98,111,118,101,41,0,80,111,115,116,82,101,97,100,0,76,101,110,103,116,104,32,111,102,32,101,100,103,101,32,0,32,105,115,32,48,0,80,114,111,98,108,101,109,32,119,104,105,108,101,32,112,114,111,99,101,115,115,105,110,103,32,101,100,103,101,115,58,32,99,104,101,99,107,32,116,104,101,32,101,100,103,101,32,108,105,115,116,0,84,114,121,105,110,103,32,116,111,32,100,101,108,101,116,101,32,103,101,111,109,101,116,114,121,32,97,110,100,32,78,98,82,101,102,62,48,44,32,112,114,111,98,97,98,108,121,32,100,117,101,32,116,111,32,97,110,32,101,114,114,111,114,0,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,32,121,101,116,33,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,98,97,109,103,47,46,47,66,97,109,103,81,117,97,100,116,114,101,101,46,104,0,77,97,114,115,104,97,108,108,0,99,111,112,121,0,79,98,106,101,99,116,69,110,117,109,0,73,100,0,68,101,101,112,69,99,104,111,0,69,99,104,111,0,78,52,98,97,109,103,49,50,66,97,109,103,81,117,97,100,116,114,101,101,49,53,66,97,109,103,81,117,97,100,116,114,101,101,66,111,120,69,0,83,101,116,79,102,69,100,103,101,115,52,58,58,97,100,100,32,111,118,101,114,102,108,111,119,58,32,78,98,79,102,69,100,103,101,115,61,0,32,62,32,110,98,97,120,61,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,98,97,109,103,47,83,101,116,79,102,69,52,46,99,112,112,0,97,100,100,0,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,32,121,101,116,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,77,111,100,101,108,80,114,111,99,101,115,115,111,114,120,47,78,111,100,101,115,80,97,114,116,105,116,105,111,110,105,110,103,46,99,112,112,0,68,105,115,99,111,110,116,105,110,117,111,117,115,71,97,108,101,114,107,105,110,78,111,100,101,115,80,97,114,116,105,116,105,111,110,105,110,103,0,80,114,111,98,108,101,109,32,105,110,32,102,97,99,101,115,32,99,114,101,97,116,105,111,110,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,77,111,100,101,108,80,114,111,99,101,115,115,111,114,120,47,69,100,103,101,115,80,97,114,116,105,116,105,111,110,105,110,103,46,99,112,112,0,69,100,103,101,115,80,97,114],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+139752);allocate([116,105,116,105,111,110,105,110,103,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,77,111,100,101,108,80,114,111,99,101,115,115,111,114,120,47,70,97,99,101,115,80,97,114,116,105,116,105,111,110,105,110,103,46,99,112,112,0,70,97,99,101,115,80,97,114,116,105,116,105,111,110,105,110,103,0,110,111,116,32,101,110,111,117,103,104,32,101,108,101,109,101,110,116,115,32,105,110,32,109,101,115,104,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,105,115,115,109,45,116,114,117,110,107,115,47,116,114,117,110,107,45,106,112,108,45,106,115,47,115,114,99,47,99,47,46,47,109,111,100,117,108,101,115,47,77,111,100,101,108,80,114,111,99,101,115,115,111,114,120,47,67,114,101,97,116,101,69,100,103,101,115,46,99,112,112,0,67,114,101,97,116,101,69,100,103,101,115,0,109,101,115,104,32,100,105,109,101,110,115,105,111,110,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,0,69,100,103,101,79,110,66,111,117,110,100,97,114,121,70,108,97,103,115,0,100,105,109,101,110,115,105,111,110,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,105,110,118,97,108,105,100,32,108,101,110,103,116,104,0,98,108,97,115,46,99,0,109,97,116,114,105,120,32,109,117,115,116,32,98,101,32,115,113,117,97,114,101,0,69,82,82,79,82,0,68,101,102,97,117,108,116,32,71,83,76,32,101,114,114,111,114,32,104,97,110,100,108,101,114,32,105,110,118,111,107,101,100,46,10,0,103,115,108,58,32,37,115,58,37,100,58,32,37,115,58,32,37,115,10,0,76,85,32,100,101,99,111,109,112,111,115,105,116,105,111,110,32,114,101,113,117,105,114,101,115,32,115,113,117,97,114,101,32,109,97,116,114,105,120,0,108,117,46,99,0,112,101,114,109,117,116,97,116,105,111,110,32,108,101,110,103,116,104,32,109,117,115,116,32,109,97,116,99,104,32,109,97,116,114,105,120,32,115,105,122,101,0,76,85,32,109,97,116,114,105,120,32,109,117,115,116,32,98,101,32,115,113,117,97,114,101,0,109,97,116,114,105,120,32,115,105,122,101,32,109,117,115,116,32,109,97,116,99,104,32,98,32,115,105,122,101,0,109,97,116,114,105,120,32,115,105,122,101,32,109,117,115,116,32,109,97,116,99,104,32,115,111,108,117,116,105,111,110,32,115,105,122,101,0,109,97,116,114,105,120,32,105,115,32,115,105,110,103,117,108,97,114,0,109,97,116,114,105,120,32,115,105,122,101,32,109,117,115,116,32,109,97,116,99,104,32,115,111,108,117,116,105,111,110,47,114,104,115,32,115,105,122,101,0,102,105,114,115,116,32,114,111,119,32,105,110,100,101,120,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,0,46,47,115,119,97,112,95,115,111,117,114,99,101,46,99,0,115,101,99,111,110,100,32,114,111,119,32,105,110,100,101,120,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,0,109,97,116,114,105,120,32,100,105,109,101,110,115,105,111,110,32,110,49,32,109,117,115,116,32,98,101,32,112,111,115,105,116,105,118,101,32,105,110,116,101,103,101,114,0,109,97,116,114,105,120,32,100,105,109,101,110,115,105,111,110,32,110,50,32,109,117,115,116,32,98,101,32,112,111,115,105,116,105,118,101,32,105,110,116,101,103,101,114,0,112,101,114,109,117,116,97,116,105,111,110,32,108,101,110,103,116,104,32,110,32,109,117,115,116,32,98,101,32,112,111,115,105,116,105,118,101,32,105,110,116,101,103,101,114,0,105,110,105,116,46,99,0,102,97,105,108,101,100,32,116,111,32,97,108,108,111,99,97,116,101,32,115,112,97,99,101,32,102,111,114,32,112,101,114,109,117,116,97,116,105,111,110,32,115,116,114,117,99,116,0,102,97,105,108,101,100,32,116,111,32,97,108,108,111,99,97,116,101,32,115,112,97,99,101,32,102,111,114,32,112,101,114,109,117,116,97,116,105,111,110,32,100,97,116,97,0,102,105,114,115,116,32,105,110,100,101,120,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,0,112,101,114,109,117,116,97,116,105,111,110,46,99,0,115,101,99,111,110,100,32,105,110,100,101,120,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,0,118,101,99,116,111,114,32,97,110,100,32,112,101,114,109,117,116,97,116,105,111,110,32,109,117,115,116,32,98,101,32,116,104,101,32,115,97,109,101,32,108,101,110,103,116,104,0,46,47,112,101,114,109,117,116,101,95,115,111,117,114,99,101,46,99,0,118,101,99,116,111,114,32,108,101,110,103,116,104,115,32,97,114,101,32,110,111,116,32,101,113,117,97,108,0,46,47,99,111,112,121,95,115,111,117,114,99,101,46,99,0,118,101,99,116,111,114,32,108,101,110,103,116,104,32,110,32,109,117,115,116,32,98,101,32,112,111,115,105,116,105,118,101,32,105,110,116,101,103,101,114,0,46,47,118,105,101,119,95,115,111,117,114,99,101,46,99,0,46,47,115,111,117,114,99,101,95,116,114,115,118,95,114,46,104,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,101,114,97,116,105,111,110,0,80,97,114,97,109,101,116,101,114,32,37,100,32,116,111,32,114,111,117,116,105,110,101,32,37,115,32,119,97,115,32,105,110,99,111,114,114,101,99,116,10,0,83,116,57,98,97,100,95,97,108,108,111,99,0,83,116,57,101,120,99,101,112,116,105,111,110,0,83,116,49,51,114,117,110,116,105,109,101,95,101,114,114,111,114,0,83,116,57,116,121,112,101,95,105,110,102,111,0,83,116,56,98,97,100,95,99,97,115,116,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,54,95,95,115,104,105,109,95,116,121,112,101,95,105,110,102,111,69,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,55,95,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,57,95,95,112,111,105,110,116,101,114,95,116,121,112,101,95,105,110,102,111,69,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,55,95,95,112,98,97,115,101,95,116,121,112,101,95,105,110,102,111,69,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,48,95,95,115,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,49,95,95,118,109,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,33,34,98,97,115,105,99,95,115,116,114,105,110,103,32,108,101,110,103,116,104,95,101,114,114,111,114,34,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,101,120,116,101,114,110,97,108,112,97,99,107,97,103,101,115,47,101,109,115,99,114,105,112,116,101,110,47,101,109,115,100,107,95,112,111,114,116,97,98,108,101,47,101,109,115,99,114,105,112,116,101,110,47,116,97,103,45,49,46,51,53,46,56,47,115,121,115,116,101,109,47,105,110,99,108,117,100,101,47,108,105,98,99,120,120,47,115,116,114,105,110,103,0,95,95,116,104,114,111,119,95,108,101,110,103,116,104,95,101,114,114,111,114,0,33,34,118,101,99,116,111,114,32,108,101,110,103,116,104,95,101,114,114,111,114,34,0,47,85,115,101,114,115,47,108,97,114,111,117,114,47,101,120,116,101,114,110,97,108,112,97,99,107,97,103,101,115,47,101,109,115,99,114,105,112,116,101,110,47,101,109,115,100,107,95,112,111,114,116,97,98,108,101,47,101,109,115,99,114,105,112,116,101,110,47,116,97,103,45,49,46,51,53,46,56,47,115,121,115,116,101,109,47,105,110,99,108,117,100,101,47,108,105,98,99,120,120,47,118,101,99,116,111,114,0,112,116,104,114,101,97,100,95,111,110,99,101,32,102,97,105,108,117,114,101,32,105,110,32,95,95,99,120,97,95,103,101,116,95,103,108,111,98,97,108,115,95,102,97,115,116,40,41,0,115,116,100,58,58,98,97,100,95,97,108,108,111,99,0,116,101,114,109,105,110,97,116,101,95,104,97,110,100,108,101,114,32,117,110,101,120,112,101,99,116,101,100,108,121,32,114,101,116,117,114,110,101,100,0,116,101,114,109,105,110,97,116,101,95,104,97,110,100,108,101,114,32,117,110,101,120,112,101,99,116,101,100,108,121,32,116,104,114,101,119,32,97,110,32,101,120,99,101,112,116,105,111,110,0,115,116,100,58,58,98,97,100,95,99,97,115,116,0,99,97,110,110,111,116,32,99,114,101,97,116,101,32,112,116,104,114,101,97,100,32,107,101,121,32,102,111,114,32,95,95,99,120,97,95,103,101,116,95,103,108,111,98,97,108,115,40,41,0,99,97,110,110,111,116,32,122,101,114,111,32,111,117,116,32,116,104,114,101,97,100,32,118,97,108,117,101,32,102,111,114,32,95,95,99,120,97,95,103,101,116,95,103,108,111,98,97,108,115,40,41,0,116,101,114,109,105,110,97,116,105,110,103,32,119,105,116,104,32,37,115,32,101,120,99,101,112,116,105,111,110,32,111,102,32,116,121,112,101,32,37,115,58,32,37,115,0,116,101,114,109,105,110,97,116,105,110,103,32,119,105,116,104,32,37,115,32,101,120,99,101,112,116,105,111,110,32,111,102,32,116,121,112,101,32,37,115,0,116,101,114,109,105,110,97,116,105,110,103,32,119,105,116,104,32,37,115,32,102,111,114,101,105,103,110,32,101,120,99,101,112,116,105,111,110,0,116,101,114,109,105,110,97,116,105,110,103,0,117,110,99,97,117,103,104,116,0,84,33,34,25,13,1,2,3,17,75,28,12,16,4,11,29,18,30,39,104,110,111,112,113,98,32,5,6,15,19,20,21,26,8,22,7,40,36,23,24,9,10,14,27,31,37,35,131,130,125,38,42,43,60,61,62,63,67,71,74,77,88,89,90,91,92,93,94,95,96,97,99,100,101,102,103,105,106,107,108,114,115,116,121,122,123,124,0,73,108,108,101,103,97,108,32,98,121,116,101,32,115,101,113,117,101,110,99,101,0,68,111,109,97,105,110,32,101,114,114,111,114,0,82,101,115,117,108,116,32,110,111,116,32,114,101,112,114,101,115,101,110,116,97,98,108,101,0,78,111,116,32,97,32,116,116,121,0,80,101,114,109,105,115,115,105,111,110,32,100,101,110,105,101,100,0,79,112,101,114,97,116,105,111,110,32,110,111,116,32,112,101,114,109,105,116,116,101,100,0,78,111,32,115,117,99,104,32,102,105,108,101,32,111,114,32,100,105,114,101,99,116,111,114,121,0,78,111,32,115,117,99,104,32,112,114,111,99,101,115,115,0,70,105,108,101,32,101,120,105,115,116,115,0,86,97,108,117,101,32,116,111,111,32,108,97,114,103,101,32,102,111,114,32,100,97,116,97,32,116,121,112,101,0,78,111,32,115,112,97,99,101,32,108,101,102,116,32,111,110,32,100,101,118,105,99,101,0,79,117,116,32,111,102,32,109,101,109,111,114,121,0,82,101,115,111,117,114,99,101,32,98,117,115,121,0,73,110,116,101,114,114,117,112,116,101,100,32,115,121,115,116,101,109,32,99,97,108,108,0,82,101,115,111,117,114,99,101,32,116,101,109,112,111,114,97,114,105,108,121,32,117,110,97,118,97,105,108,97,98,108,101,0,73,110,118,97,108,105,100,32,115,101,101,107,0,67,114,111,115,115,45,100,101,118,105,99,101,32,108,105,110,107,0,82,101,97,100,45,111,110,108,121,32,102,105,108,101,32,115,121,115,116,101,109,0,68,105,114,101,99,116,111,114,121,32,110,111,116,32,101,109,112,116,121,0,67,111,110,110,101,99,116,105,111,110,32,114,101,115,101,116,32,98,121,32,112,101,101,114,0,79,112,101,114,97,116,105,111,110,32,116,105,109,101,100,32,111,117,116,0,67,111,110,110,101,99,116,105,111,110,32,114,101,102,117,115,101,100,0,72,111,115,116,32,105,115,32,100,111,119,110,0,72,111,115,116,32,105,115,32,117,110,114,101,97,99,104,97,98,108,101,0,65,100,100,114,101,115,115,32,105,110,32,117,115,101,0,66,114,111,107,101,110,32,112,105,112,101,0,73,47,79,32,101,114,114,111,114,0,78,111,32,115,117,99,104,32,100,101,118,105,99,101,32,111,114,32,97,100,100,114,101,115,115,0,66,108,111,99,107,32,100,101,118,105,99,101,32,114,101,113,117,105,114,101,100,0,78,111,32,115,117,99,104,32,100,101,118,105,99,101,0,78,111,116,32,97,32,100,105,114,101,99,116,111,114,121,0,73,115,32,97,32,100,105,114,101,99,116,111,114,121,0,84,101,120,116,32,102,105,108,101,32,98,117,115,121,0,69,120,101,99,32,102,111,114,109,97,116,32,101,114,114,111,114,0,73,110,118,97,108,105,100,32,97,114,103,117,109,101,110,116,0,65,114,103,117,109,101,110,116,32,108,105,115,116,32,116,111,111,32,108,111,110,103,0,83,121,109,98,111,108,105,99,32,108,105,110,107,32,108,111,111,112,0,70,105,108,101,110,97,109,101,32,116,111,111,32,108,111,110,103,0,84,111,111,32,109,97,110,121,32,111,112,101,110,32,102,105,108,101,115,32,105,110,32,115,121,115,116,101,109,0,78,111,32,102,105,108,101,32,100,101,115,99,114,105,112,116,111,114,115,32,97,118,97,105,108,97,98,108,101,0,66,97,100,32,102,105,108,101,32,100,101,115,99,114,105,112,116,111,114,0,78,111,32,99,104,105,108,100,32,112,114,111,99,101,115,115,0,66,97,100,32,97,100,100,114,101,115,115,0,70,105,108,101,32,116,111,111,32,108,97,114,103,101,0,84,111,111,32,109,97,110,121,32,108,105,110,107,115,0,78,111,32,108,111,99,107,115,32,97,118,97,105,108,97,98,108,101,0,82,101,115,111,117,114,99,101,32,100,101,97,100,108,111,99,107,32,119,111,117,108,100,32,111,99,99,117,114,0,83,116,97,116,101,32,110,111,116,32,114,101,99,111,118,101,114,97,98,108,101,0,80,114,101,118,105,111,117,115,32,111,119,110,101,114,32,100,105,101,100,0,79,112,101,114,97,116,105,111,110,32,99,97,110,99,101,108,101,100,0,70,117,110,99,116,105,111,110,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,0,78,111,32,109,101,115,115,97,103,101,32,111,102,32,100,101,115,105,114,101,100,32,116,121,112,101,0,73,100,101,110,116,105,102,105,101,114,32,114,101,109,111,118,101,100,0,68,101,118,105,99,101,32,110,111,116,32,97,32,115,116,114,101,97,109,0,78,111,32,100,97,116,97,32,97,118,97,105,108,97,98,108,101,0,68,101,118,105,99,101,32,116,105,109,101,111,117,116,0,79,117,116,32,111,102,32,115,116,114,101,97,109,115,32,114,101,115,111,117,114,99,101,115,0,76,105,110,107,32,104,97,115,32,98,101,101,110,32,115,101,118,101,114,101,100,0,80,114,111,116,111,99,111,108,32,101,114,114,111,114,0,66,97,100,32,109,101,115,115,97,103,101,0,70,105,108,101,32,100,101,115,99,114,105,112,116,111,114,32,105,110,32,98,97,100,32,115,116,97,116,101,0,78,111,116,32,97,32,115,111,99,107,101,116,0,68,101,115,116,105,110,97,116,105,111,110,32,97,100,100,114,101,115,115,32,114,101,113,117,105,114,101,100,0,77,101,115,115,97,103,101,32,116,111,111,32,108,97,114,103,101,0,80,114,111,116,111,99,111,108,32,119,114,111,110,103,32,116,121,112,101,32,102,111,114,32,115,111,99,107,101,116,0,80,114,111,116,111,99,111,108,32,110,111,116,32,97,118,97,105,108,97,98,108,101,0,80,114,111,116,111,99,111,108,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,83,111,99,107,101,116,32,116,121,112,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,78,111,116,32,115,117,112,112,111,114,116,101,100,0,80,114,111,116,111,99,111,108,32,102,97,109,105,108,121,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,65,100,100,114,101,115,115,32,102,97,109,105,108,121,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,98,121,32,112,114,111,116,111,99,111,108,0,65,100,100,114,101,115,115,32,110,111,116,32,97,118,97,105,108,97,98,108,101,0,78,101,116,119,111,114,107,32,105,115,32,100,111,119,110,0,78,101,116,119,111,114,107,32,117,110,114,101,97,99,104,97,98,108,101,0,67,111,110,110,101,99,116,105,111,110,32,114,101,115,101,116,32,98,121,32,110,101,116,119,111,114,107,0,67,111,110,110,101,99,116,105,111,110,32,97,98,111,114,116,101,100,0,78,111,32,98,117,102,102,101,114,32,115,112,97,99,101,32,97,118,97,105,108,97,98,108,101,0,83,111,99,107,101,116,32,105,115,32,99,111,110,110,101,99,116,101,100,0,83,111,99,107,101,116,32,110,111,116,32,99,111,110,110,101,99,116,101,100,0,67,97,110,110,111,116,32,115,101,110,100,32,97,102,116,101,114,32,115,111,99,107,101,116,32,115,104,117,116,100,111,119,110,0,79,112,101,114,97,116,105,111,110,32,97,108,114,101,97,100,121,32,105,110,32,112,114,111,103,114,101,115,115,0,79,112,101,114,97,116,105,111,110,32,105,110,32,112,114,111,103,114,101,115,115,0,83,116,97,108,101,32,102,105,108,101,32,104,97,110,100,108,101,0,82,101,109,111,116,101,32,73,47,79,32,101,114,114,111,114,0,81,117,111,116,97,32,101,120,99,101,101,100,101,100,0,78,111,32,109,101,100,105,117,109,32,102,111,117,110,100,0,87,114,111,110,103,32,109,101,100,105,117,109,32,116,121,112,101,0,78,111,32,101,114,114,111,114,32,105,110,102,111,114,109,97,116,105,111,110,0,0,105,110,102,105,110,105,116,121,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,1,2,3,4,5,6,7,8,9,255,255,255,255,255,255,255,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,255,255,255,255,255,255,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,1,2,4,7,3,6,5,0,80,79,83,73,88,0,114,119,97],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+149992);allocate([17,0,10,0,17,17,17,0,0,0,0,5,0,0,0,0,0,0,9,0,0,0,0,11,0,0,0,0,0,0,0,0,17,0,15,10,17,17,17,3,10,7,0,1,19,9,11,11,0,0,9,6,11,0,0,11,0,6,17,0,0,0,17,17,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,17,0,10,10,17,17,17,0,10,0,0,2,0,9,11,0,0,0,9,0,11,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,12,0,0,0,0,9,12,0,0,0,0,0,12,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,13,0,0,0,4,13,0,0,0,0,9,14,0,0,0,0,0,14,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,15,0,0,0,0,9,16,0,0,0,0,0,16,0,0,16,0,0,18,0,0,0,18,18,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,18,18,18,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,0,10,0,0,0,0,9,11,0,0,0,0,0,11,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,12,0,0,0,0,9,12,0,0,0,0,0,12,0,0,12,0,0,48,49,50,51,52,53,54,55,56,57,65,66,67,68,69,70,45,43,32,32,32,48,88,48,120,0,40,110,117,108,108,41,0,45,48,88,43,48,88,32,48,88,45,48,120,43,48,120,32,48,120,0,105,110,102,0,73,78,70,0,110,97,110,0,78,65,78,0,46,0,0,78,83,116,51,95,95,49,49,49,95,95,115,116,100,111,117,116,98,117,102,73,119,69,69,0,117,110,115,117,112,112,111,114,116,101,100,32,108,111,99,97,108,101,32,102,111,114,32,115,116,97,110,100,97,114,100,32,105,110,112,117,116,0,78,83,116,51,95,95,49,49,48,95,95,115,116,100,105,110,98,117,102,73,119,69,69,0,78,83,116,51,95,95,49,49,49,95,95,115,116,100,111,117,116,98,117,102,73,99,69,69,0,78,83,116,51,95,95,49,49,48,95,95,115,116,100,105,110,98,117,102,73,99,69,69,0,78,83,116,51,95,95,49,56,105,111,115,95,98,97,115,101,55,102,97,105,108,117,114,101,69,0,78,83,116,51,95,95,49,56,105,111,115,95,98,97,115,101,69,0,78,83,116,51,95,95,49,57,98,97,115,105,99,95,105,111,115,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,49,57,98,97,115,105,99,95,105,111,115,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,78,83,116,51,95,95,49,49,53,98,97,115,105,99,95,115,116,114,101,97,109,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,49,49,53,98,97,115,105,99,95,115,116,114,101,97,109,98,117,102,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,105,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,105,115,116,114,101,97,109,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,111,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,111,115,116,114,101,97,109,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,78,83,116,51,95,95,49,49,57,95,95,105,111,115,116,114,101,97,109,95,99,97,116,101,103,111,114,121,69,0,105,111,115,95,98,97,115,101,58,58,99,108,101,97,114,0,105,111,115,116,114,101,97,109,0,117,110,115,112,101,99,105,102,105,101,100,32,105,111,115,116,114,101,97,109,95,99,97,116,101,103,111,114,121,32,101,114,114,111,114,0,48,49,50,51,52,53,54,55,56,57,97,98,99,100,101,102,65,66,67,68,69,70,120,88,43,45,112,80,105,73,110,78,0,78,83,116,51,95,95,49,54,108,111,99,97,108,101,53,102,97,99,101,116,69,0,78,83,116,51,95,95,49,53,99,116,121,112,101,73,119,69,69,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,99,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,68,115,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,68,105,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,78,83,116,51,95,95,49,49,54,95,95,110,97,114,114,111,119,95,116,111,95,117,116,102,56,73,76,106,51,50,69,69,69,0,78,83,116,51,95,95,49,49,55,95,95,119,105,100,101,110,95,102,114,111,109,95,117,116,102,56,73,76,106,51,50,69,69,69,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,119,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,78,83,116,51,95,95,49,54,108,111,99,97,108,101,53,95,95,105,109,112,69,0,78,83,116,51,95,95,49,55,99,111,108,108,97,116,101,73,99,69,69,0,78,83,116,51,95,95,49,55,99,111,108,108,97,116,101,73,119,69,69,0,78,83,116,51,95,95,49,53,99,116,121,112,101,73,99,69,69,0,78,83,116,51,95,95,49,56,110,117,109,112,117,110,99,116,73,99,69,69,0,78,83,116,51,95,95,49,56,110,117,109,112,117,110,99,116,73,119,69,69,0,78,83,116,51,95,95,49,55,110,117,109,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,78,83,116,51,95,95,49,55,110,117,109,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,78,83,116,51,95,95,49,55,110,117,109,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,78,83,116,51,95,95,49,55,110,117,109,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,78,83,116,51,95,95,49,56,116,105,109,101,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,78,83,116,51,95,95,49,56,116,105,109,101,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,78,83,116,51,95,95,49,56,116,105,109,101,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,78,83,116,51,95,95,49,56,116,105,109,101,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,99,76,98,48,69,69,69,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,99,76,98,49,69,69,69,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,119,76,98,48,69,69,69,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,119,76,98,49,69,69,69,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,78,83,116,51,95,95,49,56,109,101,115,115,97,103,101,115,73,99,69,69,0,78,83,116,51,95,95,49,56,109,101,115,115,97,103,101,115,73,119,69,69,0,37,112,0,67,0,37,0,0,0,0,0,108,0,108,108,0,0,76,0,37,112,0,0,0,0,37,72,58,37,77,58,37,83,37,109,47,37,100,47,37,121,37,89,45,37,109,45,37,100,37,73,58,37,77,58,37,83,32,37,112,37,72,58,37,77,37,72,58,37,77,58,37,83,108,111,99,97,108,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,48,49,50,51,52,53,54,55,56,57,0,37,76,102,0,109,111,110,101,121,95,103,101,116,32,101,114,114,111,114,0,48,49,50,51,52,53,54,55,56,57,0,37,46,48,76,102,0,116,114,117,101,0,102,97,108,115,101,0,83,117,110,100,97,121,0,77,111,110,100,97,121,0,84,117,101,115,100,97,121,0,87,101,100,110,101,115,100,97,121,0,84,104,117,114,115,100,97,121,0,70,114,105,100,97,121,0,83,97,116,117,114,100,97,121,0,83,117,110,0,77,111,110,0,84,117,101,0,87,101,100,0,84,104,117,0,70,114,105,0,83,97,116,0,74,97,110,117,97,114,121,0,70,101,98,114,117,97,114,121,0,77,97,114,99,104,0,65,112,114,105,108,0,77,97,121,0,74,117,110,101,0,74,117,108,121,0,65,117,103,117,115,116,0,83,101,112,116,101,109,98,101,114,0,79,99,116,111,98,101,114,0,78,111,118,101,109,98,101,114,0,68,101,99,101,109,98,101,114,0,74,97,110,0,70,101,98,0,77,97,114,0,65,112,114,0,74,117,110,0,74,117,108,0,65,117,103,0,83,101,112,0,79,99,116,0,78,111,118,0,68,101,99,0,65,77,0,80,77,0,37,109,47,37,100,47,37,121,0,37,72,58,37,77,58,37,83,0,37,97,32,37,98,32,37,100,32,37,72,58,37,77,58,37,83,32,37,89,0,37,73,58,37,77,58,37,83,32,37,112,0,78,83,116,51,95,95,49,49,51,109,101,115,115,97,103,101,115,95,98,97,115,101,69,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,112,117,116,73,119,69,69,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,112,117,116,73,99,69,69,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,103,101,116,73,119,69,69,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,103,101,116,73,99,69,69,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,95,98,97,115,101,69,0,78,83,116,51,95,95,49,49,48,95,95,116,105,109,101,95,112,117,116,69,0,78,83,116,51,95,95,49,50,48,95,95,116,105,109,101,95,103,101,116,95,99,95,115,116,111,114,97,103,101,73,119,69,69,0,78,83,116,51,95,95,49,50,48,95,95,116,105,109,101,95,103,101,116,95,99,95,115,116,111,114,97,103,101,73,99,69,69,0,78,83,116,51,95,95,49,57,116,105,109,101,95,98,97,115,101,69,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,112,117,116,73,119,69,69,0,78,83,116,51,95,95,49,49,52,95,95,110,117,109,95,112,117,116,95,98,97,115,101,69,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,112,117,116,73,99,69,69,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,103,101,116,73,119,69,69,0,78,83,116,51,95,95,49,49,52,95,95,110,117,109,95,103,101,116,95,98,97,115,101,69,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,103,101,116,73,99,69,69,0,78,83,116,51,95,95,49,49,50,99,111,100,101,99,118,116,95,98,97,115,101,69,0,78,83,116,51,95,95,49,49,48,99,116,121,112,101,95,98,97,115,101,69,0,78,83,116,51,95,95,49,49,52,95,95,115,104,97,114,101,100,95,99,111,117,110,116,69,0,78,83,116,51,95,95,49,49,50,115,121,115,116,101,109,95,101,114,114,111,114,69,0,78,83,116,51,95,95,49,49,52,101,114,114,111,114,95,99,97,116,101,103,111,114,121,69,0,78,83,116,51,95,95,49,49,50,95,95,100,111,95,109,101,115,115,97,103,101,69,0,58,32,0],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+156537);var tempDoublePtr=Runtime.alignMemory(allocate(12,"i8",ALLOC_STATIC),8);assert(tempDoublePtr%8==0);function copyTempFloat(ptr){HEAP8[tempDoublePtr]=HEAP8[ptr];HEAP8[tempDoublePtr+1]=HEAP8[ptr+1];HEAP8[tempDoublePtr+2]=HEAP8[ptr+2];HEAP8[tempDoublePtr+3]=HEAP8[ptr+3]}function copyTempDouble(ptr){HEAP8[tempDoublePtr]=HEAP8[ptr];HEAP8[tempDoublePtr+1]=HEAP8[ptr+1];HEAP8[tempDoublePtr+2]=HEAP8[ptr+2];HEAP8[tempDoublePtr+3]=HEAP8[ptr+3];HEAP8[tempDoublePtr+4]=HEAP8[ptr+4];HEAP8[tempDoublePtr+5]=HEAP8[ptr+5];HEAP8[tempDoublePtr+6]=HEAP8[ptr+6];HEAP8[tempDoublePtr+7]=HEAP8[ptr+7]}function _atexit(func,arg){__ATEXIT__.unshift({func:func,arg:arg})}function ___cxa_atexit(){return _atexit.apply(null,arguments)}Module["_i64Add"]=_i64Add;Module["_i64Subtract"]=_i64Subtract;function ___setErrNo(value){if(Module["___errno_location"])HEAP32[Module["___errno_location"]()>>2]=value;return value}var ERRNO_CODES={EPERM:1,ENOENT:2,ESRCH:3,EINTR:4,EIO:5,ENXIO:6,E2BIG:7,ENOEXEC:8,EBADF:9,ECHILD:10,EAGAIN:11,EWOULDBLOCK:11,ENOMEM:12,EACCES:13,EFAULT:14,ENOTBLK:15,EBUSY:16,EEXIST:17,EXDEV:18,ENODEV:19,ENOTDIR:20,EISDIR:21,EINVAL:22,ENFILE:23,EMFILE:24,ENOTTY:25,ETXTBSY:26,EFBIG:27,ENOSPC:28,ESPIPE:29,EROFS:30,EMLINK:31,EPIPE:32,EDOM:33,ERANGE:34,ENOMSG:42,EIDRM:43,ECHRNG:44,EL2NSYNC:45,EL3HLT:46,EL3RST:47,ELNRNG:48,EUNATCH:49,ENOCSI:50,EL2HLT:51,EDEADLK:35,ENOLCK:37,EBADE:52,EBADR:53,EXFULL:54,ENOANO:55,EBADRQC:56,EBADSLT:57,EDEADLOCK:35,EBFONT:59,ENOSTR:60,ENODATA:61,ETIME:62,ENOSR:63,ENONET:64,ENOPKG:65,EREMOTE:66,ENOLINK:67,EADV:68,ESRMNT:69,ECOMM:70,EPROTO:71,EMULTIHOP:72,EDOTDOT:73,EBADMSG:74,ENOTUNIQ:76,EBADFD:77,EREMCHG:78,ELIBACC:79,ELIBBAD:80,ELIBSCN:81,ELIBMAX:82,ELIBEXEC:83,ENOSYS:38,ENOTEMPTY:39,ENAMETOOLONG:36,ELOOP:40,EOPNOTSUPP:95,EPFNOSUPPORT:96,ECONNRESET:104,ENOBUFS:105,EAFNOSUPPORT:97,EPROTOTYPE:91,ENOTSOCK:88,ENOPROTOOPT:92,ESHUTDOWN:108,ECONNREFUSED:111,EADDRINUSE:98,ECONNABORTED:103,ENETUNREACH:101,ENETDOWN:100,ETIMEDOUT:110,EHOSTDOWN:112,EHOSTUNREACH:113,EINPROGRESS:115,EALREADY:114,EDESTADDRREQ:89,EMSGSIZE:90,EPROTONOSUPPORT:93,ESOCKTNOSUPPORT:94,EADDRNOTAVAIL:99,ENETRESET:102,EISCONN:106,ENOTCONN:107,ETOOMANYREFS:109,EUSERS:87,EDQUOT:122,ESTALE:116,ENOTSUP:95,ENOMEDIUM:123,EILSEQ:84,EOVERFLOW:75,ECANCELED:125,ENOTRECOVERABLE:131,EOWNERDEAD:130,ESTRPIPE:86};function _sysconf(name){switch(name){case 30:return PAGE_SIZE;case 85:return totalMemory/PAGE_SIZE;case 132:case 133:case 12:case 137:case 138:case 15:case 235:case 16:case 17:case 18:case 19:case 20:case 149:case 13:case 10:case 236:case 153:case 9:case 21:case 22:case 159:case 154:case 14:case 77:case 78:case 139:case 80:case 81:case 82:case 68:case 67:case 164:case 11:case 29:case 47:case 48:case 95:case 52:case 51:case 46:return 200809;case 79:return 0;case 27:case 246:case 127:case 128:case 23:case 24:case 160:case 161:case 181:case 182:case 242:case 183:case 184:case 243:case 244:case 245:case 165:case 178:case 179:case 49:case 50:case 168:case 169:case 175:case 170:case 171:case 172:case 97:case 76:case 32:case 173:case 35:return-1;case 176:case 177:case 7:case 155:case 8:case 157:case 125:case 126:case 92:case 93:case 129:case 130:case 131:case 94:case 91:return 1;case 74:case 60:case 69:case 70:case 4:return 1024;case 31:case 42:case 72:return 32;case 87:case 26:case 33:return 2147483647;case 34:case 1:return 47839;case 38:case 36:return 99;case 43:case 37:return 2048;case 0:return 2097152;case 3:return 65536;case 28:return 32768;case 44:return 32767;case 75:return 16384;case 39:return 1e3;case 89:return 700;case 71:return 256;case 40:return 255;case 2:return 100;case 180:return 64;case 25:return 20;case 5:return 16;case 6:return 6;case 73:return 4;case 84:{if(typeof navigator==="object")return navigator["hardwareConcurrency"]||1;return 1}}___setErrNo(ERRNO_CODES.EINVAL);return-1}function __ZSt18uncaught_exceptionv(){return!!__ZSt18uncaught_exceptionv.uncaught_exception}var EXCEPTIONS={last:0,caught:[],infos:{},deAdjust:(function(adjusted){if(!adjusted||EXCEPTIONS.infos[adjusted])return adjusted;for(var ptr in EXCEPTIONS.infos){var info=EXCEPTIONS.infos[ptr];if(info.adjusted===adjusted){return ptr}}return adjusted}),addRef:(function(ptr){if(!ptr)return;var info=EXCEPTIONS.infos[ptr];info.refcount++}),decRef:(function(ptr){if(!ptr)return;var info=EXCEPTIONS.infos[ptr];assert(info.refcount>0);info.refcount--;if(info.refcount===0){if(info.destructor){Runtime.dynCall("vi",info.destructor,[ptr])}delete EXCEPTIONS.infos[ptr];___cxa_free_exception(ptr)}}),clearRef:(function(ptr){if(!ptr)return;var info=EXCEPTIONS.infos[ptr];info.refcount=0})};function ___resumeException(ptr){if(!EXCEPTIONS.last){EXCEPTIONS.last=ptr}EXCEPTIONS.clearRef(EXCEPTIONS.deAdjust(ptr));throw ptr}function ___cxa_find_matching_catch(){var thrown=EXCEPTIONS.last;if(!thrown){return(asm["setTempRet0"](0),0)|0}var info=EXCEPTIONS.infos[thrown];var throwntype=info.type;if(!throwntype){return(asm["setTempRet0"](0),thrown)|0}var typeArray=Array.prototype.slice.call(arguments);var pointer=Module["___cxa_is_pointer_type"](throwntype);if(!___cxa_find_matching_catch.buffer)___cxa_find_matching_catch.buffer=_malloc(4);HEAP32[___cxa_find_matching_catch.buffer>>2]=thrown;thrown=___cxa_find_matching_catch.buffer;for(var i=0;i<typeArray.length;i++){if(typeArray[i]&&Module["___cxa_can_catch"](typeArray[i],throwntype,thrown)){thrown=HEAP32[thrown>>2];info.adjusted=thrown;return(asm["setTempRet0"](typeArray[i]),thrown)|0}}thrown=HEAP32[thrown>>2];return(asm["setTempRet0"](throwntype),thrown)|0}function ___cxa_throw(ptr,type,destructor){EXCEPTIONS.infos[ptr]={ptr:ptr,adjusted:ptr,type:type,destructor:destructor,refcount:0};EXCEPTIONS.last=ptr;if(!("uncaught_exception"in __ZSt18uncaught_exceptionv)){__ZSt18uncaught_exceptionv.uncaught_exception=1}else{__ZSt18uncaught_exceptionv.uncaught_exception++}throw ptr}var _emscripten_resume=true;var _emscripten_landingpad=true;function _free(){}Module["_free"]=_free;function ___cxa_free_exception(ptr){try{return _free(ptr)}catch(e){}}function ___cxa_end_catch(){if(___cxa_end_catch.rethrown){___cxa_end_catch.rethrown=false;return}asm["setThrew"](0);var ptr=EXCEPTIONS.caught.pop();if(ptr){EXCEPTIONS.decRef(EXCEPTIONS.deAdjust(ptr));EXCEPTIONS.last=0}}function _what0_(){Module["printErr"]("missing function: what0_");abort(-1)}var _log=Math_log;var _emscripten_postinvoke=true;var PTHREAD_SPECIFIC={};var PTHREAD_SPECIFIC_NEXT_KEY=1;function _pthread_key_create(key,destructor){if(key==0){return ERRNO_CODES.EINVAL}HEAP32[key>>2]=PTHREAD_SPECIFIC_NEXT_KEY;PTHREAD_SPECIFIC[PTHREAD_SPECIFIC_NEXT_KEY]=0;PTHREAD_SPECIFIC_NEXT_KEY++;return 0}var ERRNO_MESSAGES={0:"Success",1:"Not super-user",2:"No such file or directory",3:"No such process",4:"Interrupted system call",5:"I/O error",6:"No such device or address",7:"Arg list too long",8:"Exec format error",9:"Bad file number",10:"No children",11:"No more processes",12:"Not enough core",13:"Permission denied",14:"Bad address",15:"Block device required",16:"Mount device busy",17:"File exists",18:"Cross-device link",19:"No such device",20:"Not a directory",21:"Is a directory",22:"Invalid argument",23:"Too many open files in system",24:"Too many open files",25:"Not a typewriter",26:"Text file busy",27:"File too large",28:"No space left on device",29:"Illegal seek",30:"Read only file system",31:"Too many links",32:"Broken pipe",33:"Math arg out of domain of func",34:"Math result not representable",35:"File locking deadlock error",36:"File or path name too long",37:"No record locks available",38:"Function not implemented",39:"Directory not empty",40:"Too many symbolic links",42:"No message of desired type",43:"Identifier removed",44:"Channel number out of range",45:"Level 2 not synchronized",46:"Level 3 halted",47:"Level 3 reset",48:"Link number out of range",49:"Protocol driver not attached",50:"No CSI structure available",51:"Level 2 halted",52:"Invalid exchange",53:"Invalid request descriptor",54:"Exchange full",55:"No anode",56:"Invalid request code",57:"Invalid slot",59:"Bad font file fmt",60:"Device not a stream",61:"No data (for no delay io)",62:"Timer expired",63:"Out of streams resources",64:"Machine is not on the network",65:"Package not installed",66:"The object is remote",67:"The link has been severed",68:"Advertise error",69:"Srmount error",70:"Communication error on send",71:"Protocol error",72:"Multihop attempted",73:"Cross mount point (not really error)",74:"Trying to read unreadable message",75:"Value too large for defined data type",76:"Given log. name not unique",77:"f.d. invalid for this operation",78:"Remote address changed",79:"Can   access a needed shared lib",80:"Accessing a corrupted shared lib",81:".lib section in a.out corrupted",82:"Attempting to link in too many libs",83:"Attempting to exec a shared library",84:"Illegal byte sequence",86:"Streams pipe error",87:"Too many users",88:"Socket operation on non-socket",89:"Destination address required",90:"Message too long",91:"Protocol wrong type for socket",92:"Protocol not available",93:"Unknown protocol",94:"Socket type not supported",95:"Not supported",96:"Protocol family not supported",97:"Address family not supported by protocol family",98:"Address already in use",99:"Address not available",100:"Network interface is not configured",101:"Network is unreachable",102:"Connection reset by network",103:"Connection aborted",104:"Connection reset by peer",105:"No buffer space available",106:"Socket is already connected",107:"Socket is not connected",108:"Can't send after socket shutdown",109:"Too many references",110:"Connection timed out",111:"Connection refused",112:"Host is down",113:"Host is unreachable",114:"Socket already connected",115:"Connection already in progress",116:"Stale file handle",122:"Quota exceeded",123:"No medium (in tape drive)",125:"Operation canceled",130:"Previous owner died",131:"State not recoverable"};var TTY={ttys:[],init:(function(){}),shutdown:(function(){}),register:(function(dev,ops){TTY.ttys[dev]={input:[],output:[],ops:ops};FS.registerDevice(dev,TTY.stream_ops)}),stream_ops:{open:(function(stream){var tty=TTY.ttys[stream.node.rdev];if(!tty){throw new FS.ErrnoError(ERRNO_CODES.ENODEV)}stream.tty=tty;stream.seekable=false}),close:(function(stream){stream.tty.ops.flush(stream.tty)}),flush:(function(stream){stream.tty.ops.flush(stream.tty)}),read:(function(stream,buffer,offset,length,pos){if(!stream.tty||!stream.tty.ops.get_char){throw new FS.ErrnoError(ERRNO_CODES.ENXIO)}var bytesRead=0;for(var i=0;i<length;i++){var result;try{result=stream.tty.ops.get_char(stream.tty)}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EIO)}if(result===undefined&&bytesRead===0){throw new FS.ErrnoError(ERRNO_CODES.EAGAIN)}if(result===null||result===undefined)break;bytesRead++;buffer[offset+i]=result}if(bytesRead){stream.node.timestamp=Date.now()}return bytesRead}),write:(function(stream,buffer,offset,length,pos){if(!stream.tty||!stream.tty.ops.put_char){throw new FS.ErrnoError(ERRNO_CODES.ENXIO)}for(var i=0;i<length;i++){try{stream.tty.ops.put_char(stream.tty,buffer[offset+i])}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EIO)}}if(length){stream.node.timestamp=Date.now()}return i})},default_tty_ops:{get_char:(function(tty){if(!tty.input.length){var result=null;if(ENVIRONMENT_IS_NODE){var BUFSIZE=256;var buf=new Buffer(BUFSIZE);var bytesRead=0;var fd=process.stdin.fd;var usingDevice=false;try{fd=fs.openSync("/dev/stdin","r");usingDevice=true}catch(e){}bytesRead=fs.readSync(fd,buf,0,BUFSIZE,null);if(usingDevice){fs.closeSync(fd)}if(bytesRead>0){result=buf.slice(0,bytesRead).toString("utf-8")}else{result=null}}else if(typeof window!="undefined"&&typeof window.prompt=="function"){result=window.prompt("Input: ");if(result!==null){result+="\n"}}else if(typeof readline=="function"){result=readline();if(result!==null){result+="\n"}}if(!result){return null}tty.input=intArrayFromString(result,true)}return tty.input.shift()}),put_char:(function(tty,val){if(val===null||val===10){Module["print"](UTF8ArrayToString(tty.output,0));tty.output=[]}else{if(val!=0)tty.output.push(val)}}),flush:(function(tty){if(tty.output&&tty.output.length>0){Module["print"](UTF8ArrayToString(tty.output,0));tty.output=[]}})},default_tty1_ops:{put_char:(function(tty,val){if(val===null||val===10){Module["printErr"](UTF8ArrayToString(tty.output,0));tty.output=[]}else{if(val!=0)tty.output.push(val)}}),flush:(function(tty){if(tty.output&&tty.output.length>0){Module["printErr"](UTF8ArrayToString(tty.output,0));tty.output=[]}})}};var MEMFS={ops_table:null,mount:(function(mount){return MEMFS.createNode(null,"/",16384|511,0)}),createNode:(function(parent,name,mode,dev){if(FS.isBlkdev(mode)||FS.isFIFO(mode)){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}if(!MEMFS.ops_table){MEMFS.ops_table={dir:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr,lookup:MEMFS.node_ops.lookup,mknod:MEMFS.node_ops.mknod,rename:MEMFS.node_ops.rename,unlink:MEMFS.node_ops.unlink,rmdir:MEMFS.node_ops.rmdir,readdir:MEMFS.node_ops.readdir,symlink:MEMFS.node_ops.symlink},stream:{llseek:MEMFS.stream_ops.llseek}},file:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr},stream:{llseek:MEMFS.stream_ops.llseek,read:MEMFS.stream_ops.read,write:MEMFS.stream_ops.write,allocate:MEMFS.stream_ops.allocate,mmap:MEMFS.stream_ops.mmap,msync:MEMFS.stream_ops.msync}},link:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr,readlink:MEMFS.node_ops.readlink},stream:{}},chrdev:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr},stream:FS.chrdev_stream_ops}}}var node=FS.createNode(parent,name,mode,dev);if(FS.isDir(node.mode)){node.node_ops=MEMFS.ops_table.dir.node;node.stream_ops=MEMFS.ops_table.dir.stream;node.contents={}}else if(FS.isFile(node.mode)){node.node_ops=MEMFS.ops_table.file.node;node.stream_ops=MEMFS.ops_table.file.stream;node.usedBytes=0;node.contents=null}else if(FS.isLink(node.mode)){node.node_ops=MEMFS.ops_table.link.node;node.stream_ops=MEMFS.ops_table.link.stream}else if(FS.isChrdev(node.mode)){node.node_ops=MEMFS.ops_table.chrdev.node;node.stream_ops=MEMFS.ops_table.chrdev.stream}node.timestamp=Date.now();if(parent){parent.contents[name]=node}return node}),getFileDataAsRegularArray:(function(node){if(node.contents&&node.contents.subarray){var arr=[];for(var i=0;i<node.usedBytes;++i)arr.push(node.contents[i]);return arr}return node.contents}),getFileDataAsTypedArray:(function(node){if(!node.contents)return new Uint8Array;if(node.contents.subarray)return node.contents.subarray(0,node.usedBytes);return new Uint8Array(node.contents)}),expandFileStorage:(function(node,newCapacity){if(node.contents&&node.contents.subarray&&newCapacity>node.contents.length){node.contents=MEMFS.getFileDataAsRegularArray(node);node.usedBytes=node.contents.length}if(!node.contents||node.contents.subarray){var prevCapacity=node.contents?node.contents.buffer.byteLength:0;if(prevCapacity>=newCapacity)return;var CAPACITY_DOUBLING_MAX=1024*1024;newCapacity=Math.max(newCapacity,prevCapacity*(prevCapacity<CAPACITY_DOUBLING_MAX?2:1.125)|0);if(prevCapacity!=0)newCapacity=Math.max(newCapacity,256);var oldContents=node.contents;node.contents=new Uint8Array(newCapacity);if(node.usedBytes>0)node.contents.set(oldContents.subarray(0,node.usedBytes),0);return}if(!node.contents&&newCapacity>0)node.contents=[];while(node.contents.length<newCapacity)node.contents.push(0)}),resizeFileStorage:(function(node,newSize){if(node.usedBytes==newSize)return;if(newSize==0){node.contents=null;node.usedBytes=0;return}if(!node.contents||node.contents.subarray){var oldContents=node.contents;node.contents=new Uint8Array(new ArrayBuffer(newSize));if(oldContents){node.contents.set(oldContents.subarray(0,Math.min(newSize,node.usedBytes)))}node.usedBytes=newSize;return}if(!node.contents)node.contents=[];if(node.contents.length>newSize)node.contents.length=newSize;else while(node.contents.length<newSize)node.contents.push(0);node.usedBytes=newSize}),node_ops:{getattr:(function(node){var attr={};attr.dev=FS.isChrdev(node.mode)?node.id:1;attr.ino=node.id;attr.mode=node.mode;attr.nlink=1;attr.uid=0;attr.gid=0;attr.rdev=node.rdev;if(FS.isDir(node.mode)){attr.size=4096}else if(FS.isFile(node.mode)){attr.size=node.usedBytes}else if(FS.isLink(node.mode)){attr.size=node.link.length}else{attr.size=0}attr.atime=new Date(node.timestamp);attr.mtime=new Date(node.timestamp);attr.ctime=new Date(node.timestamp);attr.blksize=4096;attr.blocks=Math.ceil(attr.size/attr.blksize);return attr}),setattr:(function(node,attr){if(attr.mode!==undefined){node.mode=attr.mode}if(attr.timestamp!==undefined){node.timestamp=attr.timestamp}if(attr.size!==undefined){MEMFS.resizeFileStorage(node,attr.size)}}),lookup:(function(parent,name){throw FS.genericErrors[ERRNO_CODES.ENOENT]}),mknod:(function(parent,name,mode,dev){return MEMFS.createNode(parent,name,mode,dev)}),rename:(function(old_node,new_dir,new_name){if(FS.isDir(old_node.mode)){var new_node;try{new_node=FS.lookupNode(new_dir,new_name)}catch(e){}if(new_node){for(var i in new_node.contents){throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY)}}}delete old_node.parent.contents[old_node.name];old_node.name=new_name;new_dir.contents[new_name]=old_node;old_node.parent=new_dir}),unlink:(function(parent,name){delete parent.contents[name]}),rmdir:(function(parent,name){var node=FS.lookupNode(parent,name);for(var i in node.contents){throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY)}delete parent.contents[name]}),readdir:(function(node){var entries=[".",".."];for(var key in node.contents){if(!node.contents.hasOwnProperty(key)){continue}entries.push(key)}return entries}),symlink:(function(parent,newname,oldpath){var node=MEMFS.createNode(parent,newname,511|40960,0);node.link=oldpath;return node}),readlink:(function(node){if(!FS.isLink(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}return node.link})},stream_ops:{read:(function(stream,buffer,offset,length,position){var contents=stream.node.contents;if(position>=stream.node.usedBytes)return 0;var size=Math.min(stream.node.usedBytes-position,length);assert(size>=0);if(size>8&&contents.subarray){buffer.set(contents.subarray(position,position+size),offset)}else{for(var i=0;i<size;i++)buffer[offset+i]=contents[position+i]}return size}),write:(function(stream,buffer,offset,length,position,canOwn){if(!length)return 0;var node=stream.node;node.timestamp=Date.now();if(buffer.subarray&&(!node.contents||node.contents.subarray)){if(canOwn){node.contents=buffer.subarray(offset,offset+length);node.usedBytes=length;return length}else if(node.usedBytes===0&&position===0){node.contents=new Uint8Array(buffer.subarray(offset,offset+length));node.usedBytes=length;return length}else if(position+length<=node.usedBytes){node.contents.set(buffer.subarray(offset,offset+length),position);return length}}MEMFS.expandFileStorage(node,position+length);if(node.contents.subarray&&buffer.subarray)node.contents.set(buffer.subarray(offset,offset+length),position);else{for(var i=0;i<length;i++){node.contents[position+i]=buffer[offset+i]}}node.usedBytes=Math.max(node.usedBytes,position+length);return length}),llseek:(function(stream,offset,whence){var position=offset;if(whence===1){position+=stream.position}else if(whence===2){if(FS.isFile(stream.node.mode)){position+=stream.node.usedBytes}}if(position<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}return position}),allocate:(function(stream,offset,length){MEMFS.expandFileStorage(stream.node,offset+length);stream.node.usedBytes=Math.max(stream.node.usedBytes,offset+length)}),mmap:(function(stream,buffer,offset,length,position,prot,flags){if(!FS.isFile(stream.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENODEV)}var ptr;var allocated;var contents=stream.node.contents;if(!(flags&2)&&(contents.buffer===buffer||contents.buffer===buffer.buffer)){allocated=false;ptr=contents.byteOffset}else{if(position>0||position+length<stream.node.usedBytes){if(contents.subarray){contents=contents.subarray(position,position+length)}else{contents=Array.prototype.slice.call(contents,position,position+length)}}allocated=true;ptr=_malloc(length);if(!ptr){throw new FS.ErrnoError(ERRNO_CODES.ENOMEM)}buffer.set(contents,ptr)}return{ptr:ptr,allocated:allocated}}),msync:(function(stream,buffer,offset,length,mmapFlags){if(!FS.isFile(stream.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENODEV)}if(mmapFlags&2){return 0}var bytesWritten=MEMFS.stream_ops.write(stream,buffer,0,length,offset,false);return 0})}};var IDBFS={dbs:{},indexedDB:(function(){if(typeof indexedDB!=="undefined")return indexedDB;var ret=null;if(typeof window==="object")ret=window.indexedDB||window.mozIndexedDB||window.webkitIndexedDB||window.msIndexedDB;assert(ret,"IDBFS used, but indexedDB not supported");return ret}),DB_VERSION:21,DB_STORE_NAME:"FILE_DATA",mount:(function(mount){return MEMFS.mount.apply(null,arguments)}),syncfs:(function(mount,populate,callback){IDBFS.getLocalSet(mount,(function(err,local){if(err)return callback(err);IDBFS.getRemoteSet(mount,(function(err,remote){if(err)return callback(err);var src=populate?remote:local;var dst=populate?local:remote;IDBFS.reconcile(src,dst,callback)}))}))}),getDB:(function(name,callback){var db=IDBFS.dbs[name];if(db){return callback(null,db)}var req;try{req=IDBFS.indexedDB().open(name,IDBFS.DB_VERSION)}catch(e){return callback(e)}req.onupgradeneeded=(function(e){var db=e.target.result;var transaction=e.target.transaction;var fileStore;if(db.objectStoreNames.contains(IDBFS.DB_STORE_NAME)){fileStore=transaction.objectStore(IDBFS.DB_STORE_NAME)}else{fileStore=db.createObjectStore(IDBFS.DB_STORE_NAME)}if(!fileStore.indexNames.contains("timestamp")){fileStore.createIndex("timestamp","timestamp",{unique:false})}});req.onsuccess=(function(){db=req.result;IDBFS.dbs[name]=db;callback(null,db)});req.onerror=(function(e){callback(this.error);e.preventDefault()})}),getLocalSet:(function(mount,callback){var entries={};function isRealDir(p){return p!=="."&&p!==".."}function toAbsolute(root){return(function(p){return PATH.join2(root,p)})}var check=FS.readdir(mount.mountpoint).filter(isRealDir).map(toAbsolute(mount.mountpoint));while(check.length){var path=check.pop();var stat;try{stat=FS.stat(path)}catch(e){return callback(e)}if(FS.isDir(stat.mode)){check.push.apply(check,FS.readdir(path).filter(isRealDir).map(toAbsolute(path)))}entries[path]={timestamp:stat.mtime}}return callback(null,{type:"local",entries:entries})}),getRemoteSet:(function(mount,callback){var entries={};IDBFS.getDB(mount.mountpoint,(function(err,db){if(err)return callback(err);var transaction=db.transaction([IDBFS.DB_STORE_NAME],"readonly");transaction.onerror=(function(e){callback(this.error);e.preventDefault()});var store=transaction.objectStore(IDBFS.DB_STORE_NAME);var index=store.index("timestamp");index.openKeyCursor().onsuccess=(function(event){var cursor=event.target.result;if(!cursor){return callback(null,{type:"remote",db:db,entries:entries})}entries[cursor.primaryKey]={timestamp:cursor.key};cursor.continue()})}))}),loadLocalEntry:(function(path,callback){var stat,node;try{var lookup=FS.lookupPath(path);node=lookup.node;stat=FS.stat(path)}catch(e){return callback(e)}if(FS.isDir(stat.mode)){return callback(null,{timestamp:stat.mtime,mode:stat.mode})}else if(FS.isFile(stat.mode)){node.contents=MEMFS.getFileDataAsTypedArray(node);return callback(null,{timestamp:stat.mtime,mode:stat.mode,contents:node.contents})}else{return callback(new Error("node type not supported"))}}),storeLocalEntry:(function(path,entry,callback){try{if(FS.isDir(entry.mode)){FS.mkdir(path,entry.mode)}else if(FS.isFile(entry.mode)){FS.writeFile(path,entry.contents,{encoding:"binary",canOwn:true})}else{return callback(new Error("node type not supported"))}FS.chmod(path,entry.mode);FS.utime(path,entry.timestamp,entry.timestamp)}catch(e){return callback(e)}callback(null)}),removeLocalEntry:(function(path,callback){try{var lookup=FS.lookupPath(path);var stat=FS.stat(path);if(FS.isDir(stat.mode)){FS.rmdir(path)}else if(FS.isFile(stat.mode)){FS.unlink(path)}}catch(e){return callback(e)}callback(null)}),loadRemoteEntry:(function(store,path,callback){var req=store.get(path);req.onsuccess=(function(event){callback(null,event.target.result)});req.onerror=(function(e){callback(this.error);e.preventDefault()})}),storeRemoteEntry:(function(store,path,entry,callback){var req=store.put(entry,path);req.onsuccess=(function(){callback(null)});req.onerror=(function(e){callback(this.error);e.preventDefault()})}),removeRemoteEntry:(function(store,path,callback){var req=store.delete(path);req.onsuccess=(function(){callback(null)});req.onerror=(function(e){callback(this.error);e.preventDefault()})}),reconcile:(function(src,dst,callback){var total=0;var create=[];Object.keys(src.entries).forEach((function(key){var e=src.entries[key];var e2=dst.entries[key];if(!e2||e.timestamp>e2.timestamp){create.push(key);total++}}));var remove=[];Object.keys(dst.entries).forEach((function(key){var e=dst.entries[key];var e2=src.entries[key];if(!e2){remove.push(key);total++}}));if(!total){return callback(null)}var errored=false;var completed=0;var db=src.type==="remote"?src.db:dst.db;var transaction=db.transaction([IDBFS.DB_STORE_NAME],"readwrite");var store=transaction.objectStore(IDBFS.DB_STORE_NAME);function done(err){if(err){if(!done.errored){done.errored=true;return callback(err)}return}if(++completed>=total){return callback(null)}}transaction.onerror=(function(e){done(this.error);e.preventDefault()});create.sort().forEach((function(path){if(dst.type==="local"){IDBFS.loadRemoteEntry(store,path,(function(err,entry){if(err)return done(err);IDBFS.storeLocalEntry(path,entry,done)}))}else{IDBFS.loadLocalEntry(path,(function(err,entry){if(err)return done(err);IDBFS.storeRemoteEntry(store,path,entry,done)}))}}));remove.sort().reverse().forEach((function(path){if(dst.type==="local"){IDBFS.removeLocalEntry(path,done)}else{IDBFS.removeRemoteEntry(store,path,done)}}))})};var NODEFS={isWindows:false,staticInit:(function(){NODEFS.isWindows=!!process.platform.match(/^win/)}),mount:(function(mount){assert(ENVIRONMENT_IS_NODE);return NODEFS.createNode(null,"/",NODEFS.getMode(mount.opts.root),0)}),createNode:(function(parent,name,mode,dev){if(!FS.isDir(mode)&&!FS.isFile(mode)&&!FS.isLink(mode)){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var node=FS.createNode(parent,name,mode);node.node_ops=NODEFS.node_ops;node.stream_ops=NODEFS.stream_ops;return node}),getMode:(function(path){var stat;try{stat=fs.lstatSync(path);if(NODEFS.isWindows){stat.mode=stat.mode|(stat.mode&146)>>1}}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}return stat.mode}),realPath:(function(node){var parts=[];while(node.parent!==node){parts.push(node.name);node=node.parent}parts.push(node.mount.opts.root);parts.reverse();return PATH.join.apply(null,parts)}),flagsToPermissionStringMap:{0:"r",1:"r+",2:"r+",64:"r",65:"r+",66:"r+",129:"rx+",193:"rx+",514:"w+",577:"w",578:"w+",705:"wx",706:"wx+",1024:"a",1025:"a",1026:"a+",1089:"a",1090:"a+",1153:"ax",1154:"ax+",1217:"ax",1218:"ax+",4096:"rs",4098:"rs+"},flagsToPermissionString:(function(flags){flags&=~32768;flags&=~524288;if(flags in NODEFS.flagsToPermissionStringMap){return NODEFS.flagsToPermissionStringMap[flags]}else{throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}}),node_ops:{getattr:(function(node){var path=NODEFS.realPath(node);var stat;try{stat=fs.lstatSync(path)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}if(NODEFS.isWindows&&!stat.blksize){stat.blksize=4096}if(NODEFS.isWindows&&!stat.blocks){stat.blocks=(stat.size+stat.blksize-1)/stat.blksize|0}return{dev:stat.dev,ino:stat.ino,mode:stat.mode,nlink:stat.nlink,uid:stat.uid,gid:stat.gid,rdev:stat.rdev,size:stat.size,atime:stat.atime,mtime:stat.mtime,ctime:stat.ctime,blksize:stat.blksize,blocks:stat.blocks}}),setattr:(function(node,attr){var path=NODEFS.realPath(node);try{if(attr.mode!==undefined){fs.chmodSync(path,attr.mode);node.mode=attr.mode}if(attr.timestamp!==undefined){var date=new Date(attr.timestamp);fs.utimesSync(path,date,date)}if(attr.size!==undefined){fs.truncateSync(path,attr.size)}}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),lookup:(function(parent,name){var path=PATH.join2(NODEFS.realPath(parent),name);var mode=NODEFS.getMode(path);return NODEFS.createNode(parent,name,mode)}),mknod:(function(parent,name,mode,dev){var node=NODEFS.createNode(parent,name,mode,dev);var path=NODEFS.realPath(node);try{if(FS.isDir(node.mode)){fs.mkdirSync(path,node.mode)}else{fs.writeFileSync(path,"",{mode:node.mode})}}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}return node}),rename:(function(oldNode,newDir,newName){var oldPath=NODEFS.realPath(oldNode);var newPath=PATH.join2(NODEFS.realPath(newDir),newName);try{fs.renameSync(oldPath,newPath)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),unlink:(function(parent,name){var path=PATH.join2(NODEFS.realPath(parent),name);try{fs.unlinkSync(path)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),rmdir:(function(parent,name){var path=PATH.join2(NODEFS.realPath(parent),name);try{fs.rmdirSync(path)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),readdir:(function(node){var path=NODEFS.realPath(node);try{return fs.readdirSync(path)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),symlink:(function(parent,newName,oldPath){var newPath=PATH.join2(NODEFS.realPath(parent),newName);try{fs.symlinkSync(oldPath,newPath)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),readlink:(function(node){var path=NODEFS.realPath(node);try{path=fs.readlinkSync(path);path=NODEJS_PATH.relative(NODEJS_PATH.resolve(node.mount.opts.root),path);return path}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}})},stream_ops:{open:(function(stream){var path=NODEFS.realPath(stream.node);try{if(FS.isFile(stream.node.mode)){stream.nfd=fs.openSync(path,NODEFS.flagsToPermissionString(stream.flags))}}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),close:(function(stream){try{if(FS.isFile(stream.node.mode)&&stream.nfd){fs.closeSync(stream.nfd)}}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),read:(function(stream,buffer,offset,length,position){if(length===0)return 0;var nbuffer=new Buffer(length);var res;try{res=fs.readSync(stream.nfd,nbuffer,0,length,position)}catch(e){throw new FS.ErrnoError(ERRNO_CODES[e.code])}if(res>0){for(var i=0;i<res;i++){buffer[offset+i]=nbuffer[i]}}return res}),write:(function(stream,buffer,offset,length,position){var nbuffer=new Buffer(buffer.subarray(offset,offset+length));var res;try{res=fs.writeSync(stream.nfd,nbuffer,0,length,position)}catch(e){throw new FS.ErrnoError(ERRNO_CODES[e.code])}return res}),llseek:(function(stream,offset,whence){var position=offset;if(whence===1){position+=stream.position}else if(whence===2){if(FS.isFile(stream.node.mode)){try{var stat=fs.fstatSync(stream.nfd);position+=stat.size}catch(e){throw new FS.ErrnoError(ERRNO_CODES[e.code])}}}if(position<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}return position})}};var WORKERFS={DIR_MODE:16895,FILE_MODE:33279,reader:null,mount:(function(mount){assert(ENVIRONMENT_IS_WORKER);if(!WORKERFS.reader)WORKERFS.reader=new FileReaderSync;var root=WORKERFS.createNode(null,"/",WORKERFS.DIR_MODE,0);var createdParents={};function ensureParent(path){var parts=path.split("/");var parent=root;for(var i=0;i<parts.length-1;i++){var curr=parts.slice(0,i+1).join("/");if(!createdParents[curr]){createdParents[curr]=WORKERFS.createNode(parent,curr,WORKERFS.DIR_MODE,0)}parent=createdParents[curr]}return parent}function base(path){var parts=path.split("/");return parts[parts.length-1]}Array.prototype.forEach.call(mount.opts["files"]||[],(function(file){WORKERFS.createNode(ensureParent(file.name),base(file.name),WORKERFS.FILE_MODE,0,file,file.lastModifiedDate)}));(mount.opts["blobs"]||[]).forEach((function(obj){WORKERFS.createNode(ensureParent(obj["name"]),base(obj["name"]),WORKERFS.FILE_MODE,0,obj["data"])}));(mount.opts["packages"]||[]).forEach((function(pack){pack["metadata"].files.forEach((function(file){var name=file.filename.substr(1);WORKERFS.createNode(ensureParent(name),base(name),WORKERFS.FILE_MODE,0,pack["blob"].slice(file.start,file.end))}))}));return root}),createNode:(function(parent,name,mode,dev,contents,mtime){var node=FS.createNode(parent,name,mode);node.mode=mode;node.node_ops=WORKERFS.node_ops;node.stream_ops=WORKERFS.stream_ops;node.timestamp=(mtime||new Date).getTime();assert(WORKERFS.FILE_MODE!==WORKERFS.DIR_MODE);if(mode===WORKERFS.FILE_MODE){node.size=contents.size;node.contents=contents}else{node.size=4096;node.contents={}}if(parent){parent.contents[name]=node}return node}),node_ops:{getattr:(function(node){return{dev:1,ino:undefined,mode:node.mode,nlink:1,uid:0,gid:0,rdev:undefined,size:node.size,atime:new Date(node.timestamp),mtime:new Date(node.timestamp),ctime:new Date(node.timestamp),blksize:4096,blocks:Math.ceil(node.size/4096)}}),setattr:(function(node,attr){if(attr.mode!==undefined){node.mode=attr.mode}if(attr.timestamp!==undefined){node.timestamp=attr.timestamp}}),lookup:(function(parent,name){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}),mknod:(function(parent,name,mode,dev){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),rename:(function(oldNode,newDir,newName){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),unlink:(function(parent,name){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),rmdir:(function(parent,name){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),readdir:(function(node){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),symlink:(function(parent,newName,oldPath){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),readlink:(function(node){throw new FS.ErrnoError(ERRNO_CODES.EPERM)})},stream_ops:{read:(function(stream,buffer,offset,length,position){if(position>=stream.node.size)return 0;var chunk=stream.node.contents.slice(position,position+length);var ab=WORKERFS.reader.readAsArrayBuffer(chunk);buffer.set(new Uint8Array(ab),offset);return chunk.size}),write:(function(stream,buffer,offset,length,position){throw new FS.ErrnoError(ERRNO_CODES.EIO)}),llseek:(function(stream,offset,whence){var position=offset;if(whence===1){position+=stream.position}else if(whence===2){if(FS.isFile(stream.node.mode)){position+=stream.node.size}}if(position<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}return position})}};var _stdin=allocate(1,"i32*",ALLOC_STATIC);var _stdout=allocate(1,"i32*",ALLOC_STATIC);var _stderr=allocate(1,"i32*",ALLOC_STATIC);var FS={root:null,mounts:[],devices:[null],streams:[],nextInode:1,nameTable:null,currentPath:"/",initialized:false,ignorePermissions:true,trackingDelegate:{},tracking:{openFlags:{READ:1,WRITE:2}},ErrnoError:null,genericErrors:{},filesystems:null,handleFSError:(function(e){if(!(e instanceof FS.ErrnoError))throw e+" : "+stackTrace();return ___setErrNo(e.errno)}),lookupPath:(function(path,opts){path=PATH.resolve(FS.cwd(),path);opts=opts||{};if(!path)return{path:"",node:null};var defaults={follow_mount:true,recurse_count:0};for(var key in defaults){if(opts[key]===undefined){opts[key]=defaults[key]}}if(opts.recurse_count>8){throw new FS.ErrnoError(ERRNO_CODES.ELOOP)}var parts=PATH.normalizeArray(path.split("/").filter((function(p){return!!p})),false);var current=FS.root;var current_path="/";for(var i=0;i<parts.length;i++){var islast=i===parts.length-1;if(islast&&opts.parent){break}current=FS.lookupNode(current,parts[i]);current_path=PATH.join2(current_path,parts[i]);if(FS.isMountpoint(current)){if(!islast||islast&&opts.follow_mount){current=current.mounted.root}}if(!islast||opts.follow){var count=0;while(FS.isLink(current.mode)){var link=FS.readlink(current_path);current_path=PATH.resolve(PATH.dirname(current_path),link);var lookup=FS.lookupPath(current_path,{recurse_count:opts.recurse_count});current=lookup.node;if(count++>40){throw new FS.ErrnoError(ERRNO_CODES.ELOOP)}}}}return{path:current_path,node:current}}),getPath:(function(node){var path;while(true){if(FS.isRoot(node)){var mount=node.mount.mountpoint;if(!path)return mount;return mount[mount.length-1]!=="/"?mount+"/"+path:mount+path}path=path?node.name+"/"+path:node.name;node=node.parent}}),hashName:(function(parentid,name){var hash=0;for(var i=0;i<name.length;i++){hash=(hash<<5)-hash+name.charCodeAt(i)|0}return(parentid+hash>>>0)%FS.nameTable.length}),hashAddNode:(function(node){var hash=FS.hashName(node.parent.id,node.name);node.name_next=FS.nameTable[hash];FS.nameTable[hash]=node}),hashRemoveNode:(function(node){var hash=FS.hashName(node.parent.id,node.name);if(FS.nameTable[hash]===node){FS.nameTable[hash]=node.name_next}else{var current=FS.nameTable[hash];while(current){if(current.name_next===node){current.name_next=node.name_next;break}current=current.name_next}}}),lookupNode:(function(parent,name){var err=FS.mayLookup(parent);if(err){throw new FS.ErrnoError(err,parent)}var hash=FS.hashName(parent.id,name);for(var node=FS.nameTable[hash];node;node=node.name_next){var nodeName=node.name;if(node.parent.id===parent.id&&nodeName===name){return node}}return FS.lookup(parent,name)}),createNode:(function(parent,name,mode,rdev){if(!FS.FSNode){FS.FSNode=(function(parent,name,mode,rdev){if(!parent){parent=this}this.parent=parent;this.mount=parent.mount;this.mounted=null;this.id=FS.nextInode++;this.name=name;this.mode=mode;this.node_ops={};this.stream_ops={};this.rdev=rdev});FS.FSNode.prototype={};var readMode=292|73;var writeMode=146;Object.defineProperties(FS.FSNode.prototype,{read:{get:(function(){return(this.mode&readMode)===readMode}),set:(function(val){val?this.mode|=readMode:this.mode&=~readMode})},write:{get:(function(){return(this.mode&writeMode)===writeMode}),set:(function(val){val?this.mode|=writeMode:this.mode&=~writeMode})},isFolder:{get:(function(){return FS.isDir(this.mode)})},isDevice:{get:(function(){return FS.isChrdev(this.mode)})}})}var node=new FS.FSNode(parent,name,mode,rdev);FS.hashAddNode(node);return node}),destroyNode:(function(node){FS.hashRemoveNode(node)}),isRoot:(function(node){return node===node.parent}),isMountpoint:(function(node){return!!node.mounted}),isFile:(function(mode){return(mode&61440)===32768}),isDir:(function(mode){return(mode&61440)===16384}),isLink:(function(mode){return(mode&61440)===40960}),isChrdev:(function(mode){return(mode&61440)===8192}),isBlkdev:(function(mode){return(mode&61440)===24576}),isFIFO:(function(mode){return(mode&61440)===4096}),isSocket:(function(mode){return(mode&49152)===49152}),flagModes:{"r":0,"rs":1052672,"r+":2,"w":577,"wx":705,"xw":705,"w+":578,"wx+":706,"xw+":706,"a":1089,"ax":1217,"xa":1217,"a+":1090,"ax+":1218,"xa+":1218},modeStringToFlags:(function(str){var flags=FS.flagModes[str];if(typeof flags==="undefined"){throw new Error("Unknown file open mode: "+str)}return flags}),flagsToPermissionString:(function(flag){var perms=["r","w","rw"][flag&3];if(flag&512){perms+="w"}return perms}),nodePermissions:(function(node,perms){if(FS.ignorePermissions){return 0}if(perms.indexOf("r")!==-1&&!(node.mode&292)){return ERRNO_CODES.EACCES}else if(perms.indexOf("w")!==-1&&!(node.mode&146)){return ERRNO_CODES.EACCES}else if(perms.indexOf("x")!==-1&&!(node.mode&73)){return ERRNO_CODES.EACCES}return 0}),mayLookup:(function(dir){var err=FS.nodePermissions(dir,"x");if(err)return err;if(!dir.node_ops.lookup)return ERRNO_CODES.EACCES;return 0}),mayCreate:(function(dir,name){try{var node=FS.lookupNode(dir,name);return ERRNO_CODES.EEXIST}catch(e){}return FS.nodePermissions(dir,"wx")}),mayDelete:(function(dir,name,isdir){var node;try{node=FS.lookupNode(dir,name)}catch(e){return e.errno}var err=FS.nodePermissions(dir,"wx");if(err){return err}if(isdir){if(!FS.isDir(node.mode)){return ERRNO_CODES.ENOTDIR}if(FS.isRoot(node)||FS.getPath(node)===FS.cwd()){return ERRNO_CODES.EBUSY}}else{if(FS.isDir(node.mode)){return ERRNO_CODES.EISDIR}}return 0}),mayOpen:(function(node,flags){if(!node){return ERRNO_CODES.ENOENT}if(FS.isLink(node.mode)){return ERRNO_CODES.ELOOP}else if(FS.isDir(node.mode)){if(FS.flagsToPermissionString(flags)!=="r"||flags&512){return ERRNO_CODES.EISDIR}}return FS.nodePermissions(node,FS.flagsToPermissionString(flags))}),MAX_OPEN_FDS:4096,nextfd:(function(fd_start,fd_end){fd_start=fd_start||0;fd_end=fd_end||FS.MAX_OPEN_FDS;for(var fd=fd_start;fd<=fd_end;fd++){if(!FS.streams[fd]){return fd}}throw new FS.ErrnoError(ERRNO_CODES.EMFILE)}),getStream:(function(fd){return FS.streams[fd]}),createStream:(function(stream,fd_start,fd_end){if(!FS.FSStream){FS.FSStream=(function(){});FS.FSStream.prototype={};Object.defineProperties(FS.FSStream.prototype,{object:{get:(function(){return this.node}),set:(function(val){this.node=val})},isRead:{get:(function(){return(this.flags&2097155)!==1})},isWrite:{get:(function(){return(this.flags&2097155)!==0})},isAppend:{get:(function(){return this.flags&1024})}})}var newStream=new FS.FSStream;for(var p in stream){newStream[p]=stream[p]}stream=newStream;var fd=FS.nextfd(fd_start,fd_end);stream.fd=fd;FS.streams[fd]=stream;return stream}),closeStream:(function(fd){FS.streams[fd]=null}),chrdev_stream_ops:{open:(function(stream){var device=FS.getDevice(stream.node.rdev);stream.stream_ops=device.stream_ops;if(stream.stream_ops.open){stream.stream_ops.open(stream)}}),llseek:(function(){throw new FS.ErrnoError(ERRNO_CODES.ESPIPE)})},major:(function(dev){return dev>>8}),minor:(function(dev){return dev&255}),makedev:(function(ma,mi){return ma<<8|mi}),registerDevice:(function(dev,ops){FS.devices[dev]={stream_ops:ops}}),getDevice:(function(dev){return FS.devices[dev]}),getMounts:(function(mount){var mounts=[];var check=[mount];while(check.length){var m=check.pop();mounts.push(m);check.push.apply(check,m.mounts)}return mounts}),syncfs:(function(populate,callback){if(typeof populate==="function"){callback=populate;populate=false}var mounts=FS.getMounts(FS.root.mount);var completed=0;function done(err){if(err){if(!done.errored){done.errored=true;return callback(err)}return}if(++completed>=mounts.length){callback(null)}}mounts.forEach((function(mount){if(!mount.type.syncfs){return done(null)}mount.type.syncfs(mount,populate,done)}))}),mount:(function(type,opts,mountpoint){var root=mountpoint==="/";var pseudo=!mountpoint;var node;if(root&&FS.root){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}else if(!root&&!pseudo){var lookup=FS.lookupPath(mountpoint,{follow_mount:false});mountpoint=lookup.path;node=lookup.node;if(FS.isMountpoint(node)){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}if(!FS.isDir(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR)}}var mount={type:type,opts:opts,mountpoint:mountpoint,mounts:[]};var mountRoot=type.mount(mount);mountRoot.mount=mount;mount.root=mountRoot;if(root){FS.root=mountRoot}else if(node){node.mounted=mount;if(node.mount){node.mount.mounts.push(mount)}}return mountRoot}),unmount:(function(mountpoint){var lookup=FS.lookupPath(mountpoint,{follow_mount:false});if(!FS.isMountpoint(lookup.node)){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var node=lookup.node;var mount=node.mounted;var mounts=FS.getMounts(mount);Object.keys(FS.nameTable).forEach((function(hash){var current=FS.nameTable[hash];while(current){var next=current.name_next;if(mounts.indexOf(current.mount)!==-1){FS.destroyNode(current)}current=next}}));node.mounted=null;var idx=node.mount.mounts.indexOf(mount);assert(idx!==-1);node.mount.mounts.splice(idx,1)}),lookup:(function(parent,name){return parent.node_ops.lookup(parent,name)}),mknod:(function(path,mode,dev){var lookup=FS.lookupPath(path,{parent:true});var parent=lookup.node;var name=PATH.basename(path);if(!name||name==="."||name===".."){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var err=FS.mayCreate(parent,name);if(err){throw new FS.ErrnoError(err)}if(!parent.node_ops.mknod){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}return parent.node_ops.mknod(parent,name,mode,dev)}),create:(function(path,mode){mode=mode!==undefined?mode:438;mode&=4095;mode|=32768;return FS.mknod(path,mode,0)}),mkdir:(function(path,mode){mode=mode!==undefined?mode:511;mode&=511|512;mode|=16384;return FS.mknod(path,mode,0)}),mkdev:(function(path,mode,dev){if(typeof dev==="undefined"){dev=mode;mode=438}mode|=8192;return FS.mknod(path,mode,dev)}),symlink:(function(oldpath,newpath){if(!PATH.resolve(oldpath)){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}var lookup=FS.lookupPath(newpath,{parent:true});var parent=lookup.node;if(!parent){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}var newname=PATH.basename(newpath);var err=FS.mayCreate(parent,newname);if(err){throw new FS.ErrnoError(err)}if(!parent.node_ops.symlink){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}return parent.node_ops.symlink(parent,newname,oldpath)}),rename:(function(old_path,new_path){var old_dirname=PATH.dirname(old_path);var new_dirname=PATH.dirname(new_path);var old_name=PATH.basename(old_path);var new_name=PATH.basename(new_path);var lookup,old_dir,new_dir;try{lookup=FS.lookupPath(old_path,{parent:true});old_dir=lookup.node;lookup=FS.lookupPath(new_path,{parent:true});new_dir=lookup.node}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}if(!old_dir||!new_dir)throw new FS.ErrnoError(ERRNO_CODES.ENOENT);if(old_dir.mount!==new_dir.mount){throw new FS.ErrnoError(ERRNO_CODES.EXDEV)}var old_node=FS.lookupNode(old_dir,old_name);var relative=PATH.relative(old_path,new_dirname);if(relative.charAt(0)!=="."){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}relative=PATH.relative(new_path,old_dirname);if(relative.charAt(0)!=="."){throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY)}var new_node;try{new_node=FS.lookupNode(new_dir,new_name)}catch(e){}if(old_node===new_node){return}var isdir=FS.isDir(old_node.mode);var err=FS.mayDelete(old_dir,old_name,isdir);if(err){throw new FS.ErrnoError(err)}err=new_node?FS.mayDelete(new_dir,new_name,isdir):FS.mayCreate(new_dir,new_name);if(err){throw new FS.ErrnoError(err)}if(!old_dir.node_ops.rename){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}if(FS.isMountpoint(old_node)||new_node&&FS.isMountpoint(new_node)){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}if(new_dir!==old_dir){err=FS.nodePermissions(old_dir,"w");if(err){throw new FS.ErrnoError(err)}}try{if(FS.trackingDelegate["willMovePath"]){FS.trackingDelegate["willMovePath"](old_path,new_path)}}catch(e){console.log("FS.trackingDelegate['willMovePath']('"+old_path+"', '"+new_path+"') threw an exception: "+e.message)}FS.hashRemoveNode(old_node);try{old_dir.node_ops.rename(old_node,new_dir,new_name)}catch(e){throw e}finally{FS.hashAddNode(old_node)}try{if(FS.trackingDelegate["onMovePath"])FS.trackingDelegate["onMovePath"](old_path,new_path)}catch(e){console.log("FS.trackingDelegate['onMovePath']('"+old_path+"', '"+new_path+"') threw an exception: "+e.message)}}),rmdir:(function(path){var lookup=FS.lookupPath(path,{parent:true});var parent=lookup.node;var name=PATH.basename(path);var node=FS.lookupNode(parent,name);var err=FS.mayDelete(parent,name,true);if(err){throw new FS.ErrnoError(err)}if(!parent.node_ops.rmdir){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}if(FS.isMountpoint(node)){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}try{if(FS.trackingDelegate["willDeletePath"]){FS.trackingDelegate["willDeletePath"](path)}}catch(e){console.log("FS.trackingDelegate['willDeletePath']('"+path+"') threw an exception: "+e.message)}parent.node_ops.rmdir(parent,name);FS.destroyNode(node);try{if(FS.trackingDelegate["onDeletePath"])FS.trackingDelegate["onDeletePath"](path)}catch(e){console.log("FS.trackingDelegate['onDeletePath']('"+path+"') threw an exception: "+e.message)}}),readdir:(function(path){var lookup=FS.lookupPath(path,{follow:true});var node=lookup.node;if(!node.node_ops.readdir){throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR)}return node.node_ops.readdir(node)}),unlink:(function(path){var lookup=FS.lookupPath(path,{parent:true});var parent=lookup.node;var name=PATH.basename(path);var node=FS.lookupNode(parent,name);var err=FS.mayDelete(parent,name,false);if(err){if(err===ERRNO_CODES.EISDIR)err=ERRNO_CODES.EPERM;throw new FS.ErrnoError(err)}if(!parent.node_ops.unlink){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}if(FS.isMountpoint(node)){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}try{if(FS.trackingDelegate["willDeletePath"]){FS.trackingDelegate["willDeletePath"](path)}}catch(e){console.log("FS.trackingDelegate['willDeletePath']('"+path+"') threw an exception: "+e.message)}parent.node_ops.unlink(parent,name);FS.destroyNode(node);try{if(FS.trackingDelegate["onDeletePath"])FS.trackingDelegate["onDeletePath"](path)}catch(e){console.log("FS.trackingDelegate['onDeletePath']('"+path+"') threw an exception: "+e.message)}}),readlink:(function(path){var lookup=FS.lookupPath(path);var link=lookup.node;if(!link){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}if(!link.node_ops.readlink){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}return PATH.resolve(FS.getPath(link.parent),link.node_ops.readlink(link))}),stat:(function(path,dontFollow){var lookup=FS.lookupPath(path,{follow:!dontFollow});var node=lookup.node;if(!node){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}if(!node.node_ops.getattr){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}return node.node_ops.getattr(node)}),lstat:(function(path){return FS.stat(path,true)}),chmod:(function(path,mode,dontFollow){var node;if(typeof path==="string"){var lookup=FS.lookupPath(path,{follow:!dontFollow});node=lookup.node}else{node=path}if(!node.node_ops.setattr){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}node.node_ops.setattr(node,{mode:mode&4095|node.mode&~4095,timestamp:Date.now()})}),lchmod:(function(path,mode){FS.chmod(path,mode,true)}),fchmod:(function(fd,mode){var stream=FS.getStream(fd);if(!stream){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}FS.chmod(stream.node,mode)}),chown:(function(path,uid,gid,dontFollow){var node;if(typeof path==="string"){var lookup=FS.lookupPath(path,{follow:!dontFollow});node=lookup.node}else{node=path}if(!node.node_ops.setattr){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}node.node_ops.setattr(node,{timestamp:Date.now()})}),lchown:(function(path,uid,gid){FS.chown(path,uid,gid,true)}),fchown:(function(fd,uid,gid){var stream=FS.getStream(fd);if(!stream){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}FS.chown(stream.node,uid,gid)}),truncate:(function(path,len){if(len<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var node;if(typeof path==="string"){var lookup=FS.lookupPath(path,{follow:true});node=lookup.node}else{node=path}if(!node.node_ops.setattr){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}if(FS.isDir(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.EISDIR)}if(!FS.isFile(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var err=FS.nodePermissions(node,"w");if(err){throw new FS.ErrnoError(err)}node.node_ops.setattr(node,{size:len,timestamp:Date.now()})}),ftruncate:(function(fd,len){var stream=FS.getStream(fd);if(!stream){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}if((stream.flags&2097155)===0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}FS.truncate(stream.node,len)}),utime:(function(path,atime,mtime){var lookup=FS.lookupPath(path,{follow:true});var node=lookup.node;node.node_ops.setattr(node,{timestamp:Math.max(atime,mtime)})}),open:(function(path,flags,mode,fd_start,fd_end){if(path===""){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}flags=typeof flags==="string"?FS.modeStringToFlags(flags):flags;mode=typeof mode==="undefined"?438:mode;if(flags&64){mode=mode&4095|32768}else{mode=0}var node;if(typeof path==="object"){node=path}else{path=PATH.normalize(path);try{var lookup=FS.lookupPath(path,{follow:!(flags&131072)});node=lookup.node}catch(e){}}var created=false;if(flags&64){if(node){if(flags&128){throw new FS.ErrnoError(ERRNO_CODES.EEXIST)}}else{node=FS.mknod(path,mode,0);created=true}}if(!node){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}if(FS.isChrdev(node.mode)){flags&=~512}if(flags&65536&&!FS.isDir(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR)}if(!created){var err=FS.mayOpen(node,flags);if(err){throw new FS.ErrnoError(err)}}if(flags&512){FS.truncate(node,0)}flags&=~(128|512);var stream=FS.createStream({node:node,path:FS.getPath(node),flags:flags,seekable:true,position:0,stream_ops:node.stream_ops,ungotten:[],error:false},fd_start,fd_end);if(stream.stream_ops.open){stream.stream_ops.open(stream)}if(Module["logReadFiles"]&&!(flags&1)){if(!FS.readFiles)FS.readFiles={};if(!(path in FS.readFiles)){FS.readFiles[path]=1;Module["printErr"]("read file: "+path)}}try{if(FS.trackingDelegate["onOpenFile"]){var trackingFlags=0;if((flags&2097155)!==1){trackingFlags|=FS.tracking.openFlags.READ}if((flags&2097155)!==0){trackingFlags|=FS.tracking.openFlags.WRITE}FS.trackingDelegate["onOpenFile"](path,trackingFlags)}}catch(e){console.log("FS.trackingDelegate['onOpenFile']('"+path+"', flags) threw an exception: "+e.message)}return stream}),close:(function(stream){if(stream.getdents)stream.getdents=null;try{if(stream.stream_ops.close){stream.stream_ops.close(stream)}}catch(e){throw e}finally{FS.closeStream(stream.fd)}}),llseek:(function(stream,offset,whence){if(!stream.seekable||!stream.stream_ops.llseek){throw new FS.ErrnoError(ERRNO_CODES.ESPIPE)}stream.position=stream.stream_ops.llseek(stream,offset,whence);stream.ungotten=[];return stream.position}),read:(function(stream,buffer,offset,length,position){if(length<0||position<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}if((stream.flags&2097155)===1){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}if(FS.isDir(stream.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.EISDIR)}if(!stream.stream_ops.read){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var seeking=true;if(typeof position==="undefined"){position=stream.position;seeking=false}else if(!stream.seekable){throw new FS.ErrnoError(ERRNO_CODES.ESPIPE)}var bytesRead=stream.stream_ops.read(stream,buffer,offset,length,position);if(!seeking)stream.position+=bytesRead;return bytesRead}),write:(function(stream,buffer,offset,length,position,canOwn){if(length<0||position<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}if((stream.flags&2097155)===0){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}if(FS.isDir(stream.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.EISDIR)}if(!stream.stream_ops.write){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}if(stream.flags&1024){FS.llseek(stream,0,2)}var seeking=true;if(typeof position==="undefined"){position=stream.position;seeking=false}else if(!stream.seekable){throw new FS.ErrnoError(ERRNO_CODES.ESPIPE)}var bytesWritten=stream.stream_ops.write(stream,buffer,offset,length,position,canOwn);if(!seeking)stream.position+=bytesWritten;try{if(stream.path&&FS.trackingDelegate["onWriteToFile"])FS.trackingDelegate["onWriteToFile"](stream.path)}catch(e){console.log("FS.trackingDelegate['onWriteToFile']('"+path+"') threw an exception: "+e.message)}return bytesWritten}),allocate:(function(stream,offset,length){if(offset<0||length<=0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}if((stream.flags&2097155)===0){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}if(!FS.isFile(stream.node.mode)&&!FS.isDir(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENODEV)}if(!stream.stream_ops.allocate){throw new FS.ErrnoError(ERRNO_CODES.EOPNOTSUPP)}stream.stream_ops.allocate(stream,offset,length)}),mmap:(function(stream,buffer,offset,length,position,prot,flags){if((stream.flags&2097155)===1){throw new FS.ErrnoError(ERRNO_CODES.EACCES)}if(!stream.stream_ops.mmap){throw new FS.ErrnoError(ERRNO_CODES.ENODEV)}return stream.stream_ops.mmap(stream,buffer,offset,length,position,prot,flags)}),msync:(function(stream,buffer,offset,length,mmapFlags){if(!stream||!stream.stream_ops.msync){return 0}return stream.stream_ops.msync(stream,buffer,offset,length,mmapFlags)}),munmap:(function(stream){return 0}),ioctl:(function(stream,cmd,arg){if(!stream.stream_ops.ioctl){throw new FS.ErrnoError(ERRNO_CODES.ENOTTY)}return stream.stream_ops.ioctl(stream,cmd,arg)}),readFile:(function(path,opts){opts=opts||{};opts.flags=opts.flags||"r";opts.encoding=opts.encoding||"binary";if(opts.encoding!=="utf8"&&opts.encoding!=="binary"){throw new Error('Invalid encoding type "'+opts.encoding+'"')}var ret;var stream=FS.open(path,opts.flags);var stat=FS.stat(path);var length=stat.size;var buf=new Uint8Array(length);FS.read(stream,buf,0,length,0);if(opts.encoding==="utf8"){ret=UTF8ArrayToString(buf,0)}else if(opts.encoding==="binary"){ret=buf}FS.close(stream);return ret}),writeFile:(function(path,data,opts){opts=opts||{};opts.flags=opts.flags||"w";opts.encoding=opts.encoding||"utf8";if(opts.encoding!=="utf8"&&opts.encoding!=="binary"){throw new Error('Invalid encoding type "'+opts.encoding+'"')}var stream=FS.open(path,opts.flags,opts.mode);if(opts.encoding==="utf8"){var buf=new Uint8Array(lengthBytesUTF8(data)+1);var actualNumBytes=stringToUTF8Array(data,buf,0,buf.length);FS.write(stream,buf,0,actualNumBytes,0,opts.canOwn)}else if(opts.encoding==="binary"){FS.write(stream,data,0,data.length,0,opts.canOwn)}FS.close(stream)}),cwd:(function(){return FS.currentPath}),chdir:(function(path){var lookup=FS.lookupPath(path,{follow:true});if(!FS.isDir(lookup.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR)}var err=FS.nodePermissions(lookup.node,"x");if(err){throw new FS.ErrnoError(err)}FS.currentPath=lookup.path}),createDefaultDirectories:(function(){FS.mkdir("/tmp");FS.mkdir("/home");FS.mkdir("/home/web_user")}),createDefaultDevices:(function(){FS.mkdir("/dev");FS.registerDevice(FS.makedev(1,3),{read:(function(){return 0}),write:(function(stream,buffer,offset,length,pos){return length})});FS.mkdev("/dev/null",FS.makedev(1,3));TTY.register(FS.makedev(5,0),TTY.default_tty_ops);TTY.register(FS.makedev(6,0),TTY.default_tty1_ops);FS.mkdev("/dev/tty",FS.makedev(5,0));FS.mkdev("/dev/tty1",FS.makedev(6,0));var random_device;if(typeof crypto!=="undefined"){var randomBuffer=new Uint8Array(1);random_device=(function(){crypto.getRandomValues(randomBuffer);return randomBuffer[0]})}else if(ENVIRONMENT_IS_NODE){random_device=(function(){return require("crypto").randomBytes(1)[0]})}else{random_device=(function(){return Math.random()*256|0})}FS.createDevice("/dev","random",random_device);FS.createDevice("/dev","urandom",random_device);FS.mkdir("/dev/shm");FS.mkdir("/dev/shm/tmp")}),createSpecialDirectories:(function(){FS.mkdir("/proc");FS.mkdir("/proc/self");FS.mkdir("/proc/self/fd");FS.mount({mount:(function(){var node=FS.createNode("/proc/self","fd",16384|511,73);node.node_ops={lookup:(function(parent,name){var fd=+name;var stream=FS.getStream(fd);if(!stream)throw new FS.ErrnoError(ERRNO_CODES.EBADF);var ret={parent:null,mount:{mountpoint:"fake"},node_ops:{readlink:(function(){return stream.path})}};ret.parent=ret;return ret})};return node})},{},"/proc/self/fd")}),createStandardStreams:(function(){if(Module["stdin"]){FS.createDevice("/dev","stdin",Module["stdin"])}else{FS.symlink("/dev/tty","/dev/stdin")}if(Module["stdout"]){FS.createDevice("/dev","stdout",null,Module["stdout"])}else{FS.symlink("/dev/tty","/dev/stdout")}if(Module["stderr"]){FS.createDevice("/dev","stderr",null,Module["stderr"])}else{FS.symlink("/dev/tty1","/dev/stderr")}var stdin=FS.open("/dev/stdin","r");assert(stdin.fd===0,"invalid handle for stdin ("+stdin.fd+")");var stdout=FS.open("/dev/stdout","w");assert(stdout.fd===1,"invalid handle for stdout ("+stdout.fd+")");var stderr=FS.open("/dev/stderr","w");assert(stderr.fd===2,"invalid handle for stderr ("+stderr.fd+")")}),ensureErrnoError:(function(){if(FS.ErrnoError)return;FS.ErrnoError=function ErrnoError(errno,node){this.node=node;this.setErrno=(function(errno){this.errno=errno;for(var key in ERRNO_CODES){if(ERRNO_CODES[key]===errno){this.code=key;break}}});this.setErrno(errno);this.message=ERRNO_MESSAGES[errno]};FS.ErrnoError.prototype=new Error;FS.ErrnoError.prototype.constructor=FS.ErrnoError;[ERRNO_CODES.ENOENT].forEach((function(code){FS.genericErrors[code]=new FS.ErrnoError(code);FS.genericErrors[code].stack="<generic error, no stack>"}))}),staticInit:(function(){FS.ensureErrnoError();FS.nameTable=new Array(4096);FS.mount(MEMFS,{},"/");FS.createDefaultDirectories();FS.createDefaultDevices();FS.createSpecialDirectories();FS.filesystems={"MEMFS":MEMFS,"IDBFS":IDBFS,"NODEFS":NODEFS,"WORKERFS":WORKERFS}}),init:(function(input,output,error){assert(!FS.init.initialized,"FS.init was previously called. If you want to initialize later with custom parameters, remove any earlier calls (note that one is automatically added to the generated code)");FS.init.initialized=true;FS.ensureErrnoError();Module["stdin"]=input||Module["stdin"];Module["stdout"]=output||Module["stdout"];Module["stderr"]=error||Module["stderr"];FS.createStandardStreams()}),quit:(function(){FS.init.initialized=false;var fflush=Module["_fflush"];if(fflush)fflush(0);for(var i=0;i<FS.streams.length;i++){var stream=FS.streams[i];if(!stream){continue}FS.close(stream)}}),getMode:(function(canRead,canWrite){var mode=0;if(canRead)mode|=292|73;if(canWrite)mode|=146;return mode}),joinPath:(function(parts,forceRelative){var path=PATH.join.apply(null,parts);if(forceRelative&&path[0]=="/")path=path.substr(1);return path}),absolutePath:(function(relative,base){return PATH.resolve(base,relative)}),standardizePath:(function(path){return PATH.normalize(path)}),findObject:(function(path,dontResolveLastLink){var ret=FS.analyzePath(path,dontResolveLastLink);if(ret.exists){return ret.object}else{___setErrNo(ret.error);return null}}),analyzePath:(function(path,dontResolveLastLink){try{var lookup=FS.lookupPath(path,{follow:!dontResolveLastLink});path=lookup.path}catch(e){}var ret={isRoot:false,exists:false,error:0,name:null,path:null,object:null,parentExists:false,parentPath:null,parentObject:null};try{var lookup=FS.lookupPath(path,{parent:true});ret.parentExists=true;ret.parentPath=lookup.path;ret.parentObject=lookup.node;ret.name=PATH.basename(path);lookup=FS.lookupPath(path,{follow:!dontResolveLastLink});ret.exists=true;ret.path=lookup.path;ret.object=lookup.node;ret.name=lookup.node.name;ret.isRoot=lookup.path==="/"}catch(e){ret.error=e.errno}return ret}),createFolder:(function(parent,name,canRead,canWrite){var path=PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name);var mode=FS.getMode(canRead,canWrite);return FS.mkdir(path,mode)}),createPath:(function(parent,path,canRead,canWrite){parent=typeof parent==="string"?parent:FS.getPath(parent);var parts=path.split("/").reverse();while(parts.length){var part=parts.pop();if(!part)continue;var current=PATH.join2(parent,part);try{FS.mkdir(current)}catch(e){}parent=current}return current}),createFile:(function(parent,name,properties,canRead,canWrite){var path=PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name);var mode=FS.getMode(canRead,canWrite);return FS.create(path,mode)}),createDataFile:(function(parent,name,data,canRead,canWrite,canOwn){var path=name?PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name):parent;var mode=FS.getMode(canRead,canWrite);var node=FS.create(path,mode);if(data){if(typeof data==="string"){var arr=new Array(data.length);for(var i=0,len=data.length;i<len;++i)arr[i]=data.charCodeAt(i);data=arr}FS.chmod(node,mode|146);var stream=FS.open(node,"w");FS.write(stream,data,0,data.length,0,canOwn);FS.close(stream);FS.chmod(node,mode)}return node}),createDevice:(function(parent,name,input,output){var path=PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name);var mode=FS.getMode(!!input,!!output);if(!FS.createDevice.major)FS.createDevice.major=64;var dev=FS.makedev(FS.createDevice.major++,0);FS.registerDevice(dev,{open:(function(stream){stream.seekable=false}),close:(function(stream){if(output&&output.buffer&&output.buffer.length){output(10)}}),read:(function(stream,buffer,offset,length,pos){var bytesRead=0;for(var i=0;i<length;i++){var result;try{result=input()}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EIO)}if(result===undefined&&bytesRead===0){throw new FS.ErrnoError(ERRNO_CODES.EAGAIN)}if(result===null||result===undefined)break;bytesRead++;buffer[offset+i]=result}if(bytesRead){stream.node.timestamp=Date.now()}return bytesRead}),write:(function(stream,buffer,offset,length,pos){for(var i=0;i<length;i++){try{output(buffer[offset+i])}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EIO)}}if(length){stream.node.timestamp=Date.now()}return i})});return FS.mkdev(path,mode,dev)}),createLink:(function(parent,name,target,canRead,canWrite){var path=PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name);return FS.symlink(target,path)}),forceLoadFile:(function(obj){if(obj.isDevice||obj.isFolder||obj.link||obj.contents)return true;var success=true;if(typeof XMLHttpRequest!=="undefined"){throw new Error("Lazy loading should have been performed (contents set) in createLazyFile, but it was not. Lazy loading only works in web workers. Use --embed-file or --preload-file in emcc on the main thread.")}else if(Module["read"]){try{obj.contents=intArrayFromString(Module["read"](obj.url),true);obj.usedBytes=obj.contents.length}catch(e){success=false}}else{throw new Error("Cannot load without read() or XMLHttpRequest.")}if(!success)___setErrNo(ERRNO_CODES.EIO);return success}),createLazyFile:(function(parent,name,url,canRead,canWrite){function LazyUint8Array(){this.lengthKnown=false;this.chunks=[]}LazyUint8Array.prototype.get=function LazyUint8Array_get(idx){if(idx>this.length-1||idx<0){return undefined}var chunkOffset=idx%this.chunkSize;var chunkNum=idx/this.chunkSize|0;return this.getter(chunkNum)[chunkOffset]};LazyUint8Array.prototype.setDataGetter=function LazyUint8Array_setDataGetter(getter){this.getter=getter};LazyUint8Array.prototype.cacheLength=function LazyUint8Array_cacheLength(){var xhr=new XMLHttpRequest;xhr.open("HEAD",url,false);xhr.send(null);if(!(xhr.status>=200&&xhr.status<300||xhr.status===304))throw new Error("Couldn't load "+url+". Status: "+xhr.status);var datalength=Number(xhr.getResponseHeader("Content-length"));var header;var hasByteServing=(header=xhr.getResponseHeader("Accept-Ranges"))&&header==="bytes";var usesGzip=(header=xhr.getResponseHeader("Content-Encoding"))&&header==="gzip";var chunkSize=1024*1024;if(!hasByteServing)chunkSize=datalength;var doXHR=(function(from,to){if(from>to)throw new Error("invalid range ("+from+", "+to+") or no bytes requested!");if(to>datalength-1)throw new Error("only "+datalength+" bytes available! programmer error!");var xhr=new XMLHttpRequest;xhr.open("GET",url,false);if(datalength!==chunkSize)xhr.setRequestHeader("Range","bytes="+from+"-"+to);if(typeof Uint8Array!="undefined")xhr.responseType="arraybuffer";if(xhr.overrideMimeType){xhr.overrideMimeType("text/plain; charset=x-user-defined")}xhr.send(null);if(!(xhr.status>=200&&xhr.status<300||xhr.status===304))throw new Error("Couldn't load "+url+". Status: "+xhr.status);if(xhr.response!==undefined){return new Uint8Array(xhr.response||[])}else{return intArrayFromString(xhr.responseText||"",true)}});var lazyArray=this;lazyArray.setDataGetter((function(chunkNum){var start=chunkNum*chunkSize;var end=(chunkNum+1)*chunkSize-1;end=Math.min(end,datalength-1);if(typeof lazyArray.chunks[chunkNum]==="undefined"){lazyArray.chunks[chunkNum]=doXHR(start,end)}if(typeof lazyArray.chunks[chunkNum]==="undefined")throw new Error("doXHR failed!");return lazyArray.chunks[chunkNum]}));if(usesGzip||!datalength){chunkSize=datalength=1;datalength=this.getter(0).length;chunkSize=datalength;console.log("LazyFiles on gzip forces download of the whole file when length is accessed")}this._length=datalength;this._chunkSize=chunkSize;this.lengthKnown=true};if(typeof XMLHttpRequest!=="undefined"){if(!ENVIRONMENT_IS_WORKER)throw"Cannot do synchronous binary XHRs outside webworkers in modern browsers. Use --embed-file or --preload-file in emcc";var lazyArray=new LazyUint8Array;Object.defineProperties(lazyArray,{length:{get:(function(){if(!this.lengthKnown){this.cacheLength()}return this._length})},chunkSize:{get:(function(){if(!this.lengthKnown){this.cacheLength()}return this._chunkSize})}});var properties={isDevice:false,contents:lazyArray}}else{var properties={isDevice:false,url:url}}var node=FS.createFile(parent,name,properties,canRead,canWrite);if(properties.contents){node.contents=properties.contents}else if(properties.url){node.contents=null;node.url=properties.url}Object.defineProperties(node,{usedBytes:{get:(function(){return this.contents.length})}});var stream_ops={};var keys=Object.keys(node.stream_ops);keys.forEach((function(key){var fn=node.stream_ops[key];stream_ops[key]=function forceLoadLazyFile(){if(!FS.forceLoadFile(node)){throw new FS.ErrnoError(ERRNO_CODES.EIO)}return fn.apply(null,arguments)}}));stream_ops.read=function stream_ops_read(stream,buffer,offset,length,position){if(!FS.forceLoadFile(node)){throw new FS.ErrnoError(ERRNO_CODES.EIO)}var contents=stream.node.contents;if(position>=contents.length)return 0;var size=Math.min(contents.length-position,length);assert(size>=0);if(contents.slice){for(var i=0;i<size;i++){buffer[offset+i]=contents[position+i]}}else{for(var i=0;i<size;i++){buffer[offset+i]=contents.get(position+i)}}return size};node.stream_ops=stream_ops;return node}),createPreloadedFile:(function(parent,name,url,canRead,canWrite,onload,onerror,dontCreateFile,canOwn,preFinish){Browser.init();var fullname=name?PATH.resolve(PATH.join2(parent,name)):parent;var dep=getUniqueRunDependency("cp "+fullname);function processData(byteArray){function finish(byteArray){if(preFinish)preFinish();if(!dontCreateFile){FS.createDataFile(parent,name,byteArray,canRead,canWrite,canOwn)}if(onload)onload();removeRunDependency(dep)}var handled=false;Module["preloadPlugins"].forEach((function(plugin){if(handled)return;if(plugin["canHandle"](fullname)){plugin["handle"](byteArray,fullname,finish,(function(){if(onerror)onerror();removeRunDependency(dep)}));handled=true}}));if(!handled)finish(byteArray)}addRunDependency(dep);if(typeof url=="string"){Browser.asyncLoad(url,(function(byteArray){processData(byteArray)}),onerror)}else{processData(url)}}),indexedDB:(function(){return window.indexedDB||window.mozIndexedDB||window.webkitIndexedDB||window.msIndexedDB}),DB_NAME:(function(){return"EM_FS_"+window.location.pathname}),DB_VERSION:20,DB_STORE_NAME:"FILE_DATA",saveFilesToDB:(function(paths,onload,onerror){onload=onload||(function(){});onerror=onerror||(function(){});var indexedDB=FS.indexedDB();try{var openRequest=indexedDB.open(FS.DB_NAME(),FS.DB_VERSION)}catch(e){return onerror(e)}openRequest.onupgradeneeded=function openRequest_onupgradeneeded(){console.log("creating db");var db=openRequest.result;db.createObjectStore(FS.DB_STORE_NAME)};openRequest.onsuccess=function openRequest_onsuccess(){var db=openRequest.result;var transaction=db.transaction([FS.DB_STORE_NAME],"readwrite");var files=transaction.objectStore(FS.DB_STORE_NAME);var ok=0,fail=0,total=paths.length;function finish(){if(fail==0)onload();else onerror()}paths.forEach((function(path){var putRequest=files.put(FS.analyzePath(path).object.contents,path);putRequest.onsuccess=function putRequest_onsuccess(){ok++;if(ok+fail==total)finish()};putRequest.onerror=function putRequest_onerror(){fail++;if(ok+fail==total)finish()}}));transaction.onerror=onerror};openRequest.onerror=onerror}),loadFilesFromDB:(function(paths,onload,onerror){onload=onload||(function(){});onerror=onerror||(function(){});var indexedDB=FS.indexedDB();try{var openRequest=indexedDB.open(FS.DB_NAME(),FS.DB_VERSION)}catch(e){return onerror(e)}openRequest.onupgradeneeded=onerror;openRequest.onsuccess=function openRequest_onsuccess(){var db=openRequest.result;try{var transaction=db.transaction([FS.DB_STORE_NAME],"readonly")}catch(e){onerror(e);return}var files=transaction.objectStore(FS.DB_STORE_NAME);var ok=0,fail=0,total=paths.length;function finish(){if(fail==0)onload();else onerror()}paths.forEach((function(path){var getRequest=files.get(path);getRequest.onsuccess=function getRequest_onsuccess(){if(FS.analyzePath(path).exists){FS.unlink(path)}FS.createDataFile(PATH.dirname(path),PATH.basename(path),getRequest.result,true,true,true);ok++;if(ok+fail==total)finish()};getRequest.onerror=function getRequest_onerror(){fail++;if(ok+fail==total)finish()}}));transaction.onerror=onerror};openRequest.onerror=onerror})};var PATH={splitPath:(function(filename){var splitPathRe=/^(\/?|)([\s\S]*?)((?:\.{1,2}|[^\/]+?|)(\.[^.\/]*|))(?:[\/]*)$/;return splitPathRe.exec(filename).slice(1)}),normalizeArray:(function(parts,allowAboveRoot){var up=0;for(var i=parts.length-1;i>=0;i--){var last=parts[i];if(last==="."){parts.splice(i,1)}else if(last===".."){parts.splice(i,1);up++}else if(up){parts.splice(i,1);up--}}if(allowAboveRoot){for(;up--;up){parts.unshift("..")}}return parts}),normalize:(function(path){var isAbsolute=path.charAt(0)==="/",trailingSlash=path.substr(-1)==="/";path=PATH.normalizeArray(path.split("/").filter((function(p){return!!p})),!isAbsolute).join("/");if(!path&&!isAbsolute){path="."}if(path&&trailingSlash){path+="/"}return(isAbsolute?"/":"")+path}),dirname:(function(path){var result=PATH.splitPath(path),root=result[0],dir=result[1];if(!root&&!dir){return"."}if(dir){dir=dir.substr(0,dir.length-1)}return root+dir}),basename:(function(path){if(path==="/")return"/";var lastSlash=path.lastIndexOf("/");if(lastSlash===-1)return path;return path.substr(lastSlash+1)}),extname:(function(path){return PATH.splitPath(path)[3]}),join:(function(){var paths=Array.prototype.slice.call(arguments,0);return PATH.normalize(paths.join("/"))}),join2:(function(l,r){return PATH.normalize(l+"/"+r)}),resolve:(function(){var resolvedPath="",resolvedAbsolute=false;for(var i=arguments.length-1;i>=-1&&!resolvedAbsolute;i--){var path=i>=0?arguments[i]:FS.cwd();if(typeof path!=="string"){throw new TypeError("Arguments to path.resolve must be strings")}else if(!path){return""}resolvedPath=path+"/"+resolvedPath;resolvedAbsolute=path.charAt(0)==="/"}resolvedPath=PATH.normalizeArray(resolvedPath.split("/").filter((function(p){return!!p})),!resolvedAbsolute).join("/");return(resolvedAbsolute?"/":"")+resolvedPath||"."}),relative:(function(from,to){from=PATH.resolve(from).substr(1);to=PATH.resolve(to).substr(1);function trim(arr){var start=0;for(;start<arr.length;start++){if(arr[start]!=="")break}var end=arr.length-1;for(;end>=0;end--){if(arr[end]!=="")break}if(start>end)return[];return arr.slice(start,end-start+1)}var fromParts=trim(from.split("/"));var toParts=trim(to.split("/"));var length=Math.min(fromParts.length,toParts.length);var samePartsLength=length;for(var i=0;i<length;i++){if(fromParts[i]!==toParts[i]){samePartsLength=i;break}}var outputParts=[];for(var i=samePartsLength;i<fromParts.length;i++){outputParts.push("..")}outputParts=outputParts.concat(toParts.slice(samePartsLength));return outputParts.join("/")})};function _emscripten_set_main_loop_timing(mode,value){Browser.mainLoop.timingMode=mode;Browser.mainLoop.timingValue=value;if(!Browser.mainLoop.func){return 1}if(mode==0){Browser.mainLoop.scheduler=function Browser_mainLoop_scheduler_setTimeout(){setTimeout(Browser.mainLoop.runner,value)};Browser.mainLoop.method="timeout"}else if(mode==1){Browser.mainLoop.scheduler=function Browser_mainLoop_scheduler_rAF(){Browser.requestAnimationFrame(Browser.mainLoop.runner)};Browser.mainLoop.method="rAF"}else if(mode==2){if(!window["setImmediate"]){var setImmediates=[];var emscriptenMainLoopMessageId="__emcc";function Browser_setImmediate_messageHandler(event){if(event.source===window&&event.data===emscriptenMainLoopMessageId){event.stopPropagation();setImmediates.shift()()}}window.addEventListener("message",Browser_setImmediate_messageHandler,true);window["setImmediate"]=function Browser_emulated_setImmediate(func){setImmediates.push(func);window.postMessage(emscriptenMainLoopMessageId,"*")}}Browser.mainLoop.scheduler=function Browser_mainLoop_scheduler_setImmediate(){window["setImmediate"](Browser.mainLoop.runner)};Browser.mainLoop.method="immediate"}return 0}function _emscripten_set_main_loop(func,fps,simulateInfiniteLoop,arg,noSetTiming){Module["noExitRuntime"]=true;assert(!Browser.mainLoop.func,"emscripten_set_main_loop: there can only be one main loop function at once: call emscripten_cancel_main_loop to cancel the previous one before setting a new one with different parameters.");Browser.mainLoop.func=func;Browser.mainLoop.arg=arg;var thisMainLoopId=Browser.mainLoop.currentlyRunningMainloop;Browser.mainLoop.runner=function Browser_mainLoop_runner(){if(ABORT)return;if(Browser.mainLoop.queue.length>0){var start=Date.now();var blocker=Browser.mainLoop.queue.shift();blocker.func(blocker.arg);if(Browser.mainLoop.remainingBlockers){var remaining=Browser.mainLoop.remainingBlockers;var next=remaining%1==0?remaining-1:Math.floor(remaining);if(blocker.counted){Browser.mainLoop.remainingBlockers=next}else{next=next+.5;Browser.mainLoop.remainingBlockers=(8*remaining+next)/9}}console.log('main loop blocker "'+blocker.name+'" took '+(Date.now()-start)+" ms");Browser.mainLoop.updateStatus();setTimeout(Browser.mainLoop.runner,0);return}if(thisMainLoopId<Browser.mainLoop.currentlyRunningMainloop)return;Browser.mainLoop.currentFrameNumber=Browser.mainLoop.currentFrameNumber+1|0;if(Browser.mainLoop.timingMode==1&&Browser.mainLoop.timingValue>1&&Browser.mainLoop.currentFrameNumber%Browser.mainLoop.timingValue!=0){Browser.mainLoop.scheduler();return}if(Browser.mainLoop.method==="timeout"&&Module.ctx){Module.printErr("Looks like you are rendering without using requestAnimationFrame for the main loop. You should use 0 for the frame rate in emscripten_set_main_loop in order to use requestAnimationFrame, as that can greatly improve your frame rates!");Browser.mainLoop.method=""}Browser.mainLoop.runIter((function(){if(typeof arg!=="undefined"){Runtime.dynCall("vi",func,[arg])}else{Runtime.dynCall("v",func)}}));if(thisMainLoopId<Browser.mainLoop.currentlyRunningMainloop)return;if(typeof SDL==="object"&&SDL.audio&&SDL.audio.queueNewAudioData)SDL.audio.queueNewAudioData();Browser.mainLoop.scheduler()};if(!noSetTiming){if(fps&&fps>0)_emscripten_set_main_loop_timing(0,1e3/fps);else _emscripten_set_main_loop_timing(1,1);Browser.mainLoop.scheduler()}if(simulateInfiniteLoop){throw"SimulateInfiniteLoop"}}var Browser={mainLoop:{scheduler:null,method:"",currentlyRunningMainloop:0,func:null,arg:0,timingMode:0,timingValue:0,currentFrameNumber:0,queue:[],pause:(function(){Browser.mainLoop.scheduler=null;Browser.mainLoop.currentlyRunningMainloop++}),resume:(function(){Browser.mainLoop.currentlyRunningMainloop++;var timingMode=Browser.mainLoop.timingMode;var timingValue=Browser.mainLoop.timingValue;var func=Browser.mainLoop.func;Browser.mainLoop.func=null;_emscripten_set_main_loop(func,0,false,Browser.mainLoop.arg,true);_emscripten_set_main_loop_timing(timingMode,timingValue);Browser.mainLoop.scheduler()}),updateStatus:(function(){if(Module["setStatus"]){var message=Module["statusMessage"]||"Please wait...";var remaining=Browser.mainLoop.remainingBlockers;var expected=Browser.mainLoop.expectedBlockers;if(remaining){if(remaining<expected){Module["setStatus"](message+" ("+(expected-remaining)+"/"+expected+")")}else{Module["setStatus"](message)}}else{Module["setStatus"]("")}}}),runIter:(function(func){if(ABORT)return;if(Module["preMainLoop"]){var preRet=Module["preMainLoop"]();if(preRet===false){return}}try{func()}catch(e){if(e instanceof ExitStatus){return}else{if(e&&typeof e==="object"&&e.stack)Module.printErr("exception thrown: "+[e,e.stack]);throw e}}if(Module["postMainLoop"])Module["postMainLoop"]()})},isFullScreen:false,pointerLock:false,moduleContextCreatedCallbacks:[],workers:[],init:(function(){if(!Module["preloadPlugins"])Module["preloadPlugins"]=[];if(Browser.initted)return;Browser.initted=true;try{new Blob;Browser.hasBlobConstructor=true}catch(e){Browser.hasBlobConstructor=false;console.log("warning: no blob constructor, cannot create blobs with mimetypes")}Browser.BlobBuilder=typeof MozBlobBuilder!="undefined"?MozBlobBuilder:typeof WebKitBlobBuilder!="undefined"?WebKitBlobBuilder:!Browser.hasBlobConstructor?console.log("warning: no BlobBuilder"):null;Browser.URLObject=typeof window!="undefined"?window.URL?window.URL:window.webkitURL:undefined;if(!Module.noImageDecoding&&typeof Browser.URLObject==="undefined"){console.log("warning: Browser does not support creating object URLs. Built-in browser image decoding will not be available.");Module.noImageDecoding=true}var imagePlugin={};imagePlugin["canHandle"]=function imagePlugin_canHandle(name){return!Module.noImageDecoding&&/\.(jpg|jpeg|png|bmp)$/i.test(name)};imagePlugin["handle"]=function imagePlugin_handle(byteArray,name,onload,onerror){var b=null;if(Browser.hasBlobConstructor){try{b=new Blob([byteArray],{type:Browser.getMimetype(name)});if(b.size!==byteArray.length){b=new Blob([(new Uint8Array(byteArray)).buffer],{type:Browser.getMimetype(name)})}}catch(e){Runtime.warnOnce("Blob constructor present but fails: "+e+"; falling back to blob builder")}}if(!b){var bb=new Browser.BlobBuilder;bb.append((new Uint8Array(byteArray)).buffer);b=bb.getBlob()}var url=Browser.URLObject.createObjectURL(b);var img=new Image;img.onload=function img_onload(){assert(img.complete,"Image "+name+" could not be decoded");var canvas=document.createElement("canvas");canvas.width=img.width;canvas.height=img.height;var ctx=canvas.getContext("2d");ctx.drawImage(img,0,0);Module["preloadedImages"][name]=canvas;Browser.URLObject.revokeObjectURL(url);if(onload)onload(byteArray)};img.onerror=function img_onerror(event){console.log("Image "+url+" could not be decoded");if(onerror)onerror()};img.src=url};Module["preloadPlugins"].push(imagePlugin);var audioPlugin={};audioPlugin["canHandle"]=function audioPlugin_canHandle(name){return!Module.noAudioDecoding&&name.substr(-4)in{".ogg":1,".wav":1,".mp3":1}};audioPlugin["handle"]=function audioPlugin_handle(byteArray,name,onload,onerror){var done=false;function finish(audio){if(done)return;done=true;Module["preloadedAudios"][name]=audio;if(onload)onload(byteArray)}function fail(){if(done)return;done=true;Module["preloadedAudios"][name]=new Audio;if(onerror)onerror()}if(Browser.hasBlobConstructor){try{var b=new Blob([byteArray],{type:Browser.getMimetype(name)})}catch(e){return fail()}var url=Browser.URLObject.createObjectURL(b);var audio=new Audio;audio.addEventListener("canplaythrough",(function(){finish(audio)}),false);audio.onerror=function audio_onerror(event){if(done)return;console.log("warning: browser could not fully decode audio "+name+", trying slower base64 approach");function encode64(data){var BASE="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";var PAD="=";var ret="";var leftchar=0;var leftbits=0;for(var i=0;i<data.length;i++){leftchar=leftchar<<8|data[i];leftbits+=8;while(leftbits>=6){var curr=leftchar>>leftbits-6&63;leftbits-=6;ret+=BASE[curr]}}if(leftbits==2){ret+=BASE[(leftchar&3)<<4];ret+=PAD+PAD}else if(leftbits==4){ret+=BASE[(leftchar&15)<<2];ret+=PAD}return ret}audio.src="data:audio/x-"+name.substr(-3)+";base64,"+encode64(byteArray);finish(audio)};audio.src=url;Browser.safeSetTimeout((function(){finish(audio)}),1e4)}else{return fail()}};Module["preloadPlugins"].push(audioPlugin);var canvas=Module["canvas"];function pointerLockChange(){Browser.pointerLock=document["pointerLockElement"]===canvas||document["mozPointerLockElement"]===canvas||document["webkitPointerLockElement"]===canvas||document["msPointerLockElement"]===canvas}if(canvas){canvas.requestPointerLock=canvas["requestPointerLock"]||canvas["mozRequestPointerLock"]||canvas["webkitRequestPointerLock"]||canvas["msRequestPointerLock"]||(function(){});canvas.exitPointerLock=document["exitPointerLock"]||document["mozExitPointerLock"]||document["webkitExitPointerLock"]||document["msExitPointerLock"]||(function(){});canvas.exitPointerLock=canvas.exitPointerLock.bind(document);document.addEventListener("pointerlockchange",pointerLockChange,false);document.addEventListener("mozpointerlockchange",pointerLockChange,false);document.addEventListener("webkitpointerlockchange",pointerLockChange,false);document.addEventListener("mspointerlockchange",pointerLockChange,false);if(Module["elementPointerLock"]){canvas.addEventListener("click",(function(ev){if(!Browser.pointerLock&&canvas.requestPointerLock){canvas.requestPointerLock();ev.preventDefault()}}),false)}}}),createContext:(function(canvas,useWebGL,setInModule,webGLContextAttributes){if(useWebGL&&Module.ctx&&canvas==Module.canvas)return Module.ctx;var ctx;var contextHandle;if(useWebGL){var contextAttributes={antialias:false,alpha:false};if(webGLContextAttributes){for(var attribute in webGLContextAttributes){contextAttributes[attribute]=webGLContextAttributes[attribute]}}contextHandle=GL.createContext(canvas,contextAttributes);if(contextHandle){ctx=GL.getContext(contextHandle).GLctx}canvas.style.backgroundColor="black"}else{ctx=canvas.getContext("2d")}if(!ctx)return null;if(setInModule){if(!useWebGL)assert(typeof GLctx==="undefined","cannot set in module if GLctx is used, but we are a non-GL context that would replace it");Module.ctx=ctx;if(useWebGL)GL.makeContextCurrent(contextHandle);Module.useWebGL=useWebGL;Browser.moduleContextCreatedCallbacks.forEach((function(callback){callback()}));Browser.init()}return ctx}),destroyContext:(function(canvas,useWebGL,setInModule){}),fullScreenHandlersInstalled:false,lockPointer:undefined,resizeCanvas:undefined,requestFullScreen:(function(lockPointer,resizeCanvas,vrDevice){Browser.lockPointer=lockPointer;Browser.resizeCanvas=resizeCanvas;Browser.vrDevice=vrDevice;if(typeof Browser.lockPointer==="undefined")Browser.lockPointer=true;if(typeof Browser.resizeCanvas==="undefined")Browser.resizeCanvas=false;if(typeof Browser.vrDevice==="undefined")Browser.vrDevice=null;var canvas=Module["canvas"];function fullScreenChange(){Browser.isFullScreen=false;var canvasContainer=canvas.parentNode;if((document["webkitFullScreenElement"]||document["webkitFullscreenElement"]||document["mozFullScreenElement"]||document["mozFullscreenElement"]||document["fullScreenElement"]||document["fullscreenElement"]||document["msFullScreenElement"]||document["msFullscreenElement"]||document["webkitCurrentFullScreenElement"])===canvasContainer){canvas.cancelFullScreen=document["cancelFullScreen"]||document["mozCancelFullScreen"]||document["webkitCancelFullScreen"]||document["msExitFullscreen"]||document["exitFullscreen"]||(function(){});canvas.cancelFullScreen=canvas.cancelFullScreen.bind(document);if(Browser.lockPointer)canvas.requestPointerLock();Browser.isFullScreen=true;if(Browser.resizeCanvas)Browser.setFullScreenCanvasSize()}else{canvasContainer.parentNode.insertBefore(canvas,canvasContainer);canvasContainer.parentNode.removeChild(canvasContainer);if(Browser.resizeCanvas)Browser.setWindowedCanvasSize()}if(Module["onFullScreen"])Module["onFullScreen"](Browser.isFullScreen);Browser.updateCanvasDimensions(canvas)}if(!Browser.fullScreenHandlersInstalled){Browser.fullScreenHandlersInstalled=true;document.addEventListener("fullscreenchange",fullScreenChange,false);document.addEventListener("mozfullscreenchange",fullScreenChange,false);document.addEventListener("webkitfullscreenchange",fullScreenChange,false);document.addEventListener("MSFullscreenChange",fullScreenChange,false)}var canvasContainer=document.createElement("div");canvas.parentNode.insertBefore(canvasContainer,canvas);canvasContainer.appendChild(canvas);canvasContainer.requestFullScreen=canvasContainer["requestFullScreen"]||canvasContainer["mozRequestFullScreen"]||canvasContainer["msRequestFullscreen"]||(canvasContainer["webkitRequestFullScreen"]?(function(){canvasContainer["webkitRequestFullScreen"](Element["ALLOW_KEYBOARD_INPUT"])}):null);if(vrDevice){canvasContainer.requestFullScreen({vrDisplay:vrDevice})}else{canvasContainer.requestFullScreen()}}),nextRAF:0,fakeRequestAnimationFrame:(function(func){var now=Date.now();if(Browser.nextRAF===0){Browser.nextRAF=now+1e3/60}else{while(now+2>=Browser.nextRAF){Browser.nextRAF+=1e3/60}}var delay=Math.max(Browser.nextRAF-now,0);setTimeout(func,delay)}),requestAnimationFrame:function requestAnimationFrame(func){if(typeof window==="undefined"){Browser.fakeRequestAnimationFrame(func)}else{if(!window.requestAnimationFrame){window.requestAnimationFrame=window["requestAnimationFrame"]||window["mozRequestAnimationFrame"]||window["webkitRequestAnimationFrame"]||window["msRequestAnimationFrame"]||window["oRequestAnimationFrame"]||Browser.fakeRequestAnimationFrame}window.requestAnimationFrame(func)}},safeCallback:(function(func){return(function(){if(!ABORT)return func.apply(null,arguments)})}),allowAsyncCallbacks:true,queuedAsyncCallbacks:[],pauseAsyncCallbacks:(function(){Browser.allowAsyncCallbacks=false}),resumeAsyncCallbacks:(function(){Browser.allowAsyncCallbacks=true;if(Browser.queuedAsyncCallbacks.length>0){var callbacks=Browser.queuedAsyncCallbacks;Browser.queuedAsyncCallbacks=[];callbacks.forEach((function(func){func()}))}}),safeRequestAnimationFrame:(function(func){return Browser.requestAnimationFrame((function(){if(ABORT)return;if(Browser.allowAsyncCallbacks){func()}else{Browser.queuedAsyncCallbacks.push(func)}}))}),safeSetTimeout:(function(func,timeout){Module["noExitRuntime"]=true;return setTimeout((function(){if(ABORT)return;if(Browser.allowAsyncCallbacks){func()}else{Browser.queuedAsyncCallbacks.push(func)}}),timeout)}),safeSetInterval:(function(func,timeout){Module["noExitRuntime"]=true;return setInterval((function(){if(ABORT)return;if(Browser.allowAsyncCallbacks){func()}}),timeout)}),getMimetype:(function(name){return{"jpg":"image/jpeg","jpeg":"image/jpeg","png":"image/png","bmp":"image/bmp","ogg":"audio/ogg","wav":"audio/wav","mp3":"audio/mpeg"}[name.substr(name.lastIndexOf(".")+1)]}),getUserMedia:(function(func){if(!window.getUserMedia){window.getUserMedia=navigator["getUserMedia"]||navigator["mozGetUserMedia"]}window.getUserMedia(func)}),getMovementX:(function(event){return event["movementX"]||event["mozMovementX"]||event["webkitMovementX"]||0}),getMovementY:(function(event){return event["movementY"]||event["mozMovementY"]||event["webkitMovementY"]||0}),getMouseWheelDelta:(function(event){var delta=0;switch(event.type){case"DOMMouseScroll":delta=event.detail;break;case"mousewheel":delta=event.wheelDelta;break;case"wheel":delta=event["deltaY"];break;default:throw"unrecognized mouse wheel event: "+event.type}return delta}),mouseX:0,mouseY:0,mouseMovementX:0,mouseMovementY:0,touches:{},lastTouches:{},calculateMouseEvent:(function(event){if(Browser.pointerLock){if(event.type!="mousemove"&&"mozMovementX"in event){Browser.mouseMovementX=Browser.mouseMovementY=0}else{Browser.mouseMovementX=Browser.getMovementX(event);Browser.mouseMovementY=Browser.getMovementY(event)}if(typeof SDL!="undefined"){Browser.mouseX=SDL.mouseX+Browser.mouseMovementX;Browser.mouseY=SDL.mouseY+Browser.mouseMovementY}else{Browser.mouseX+=Browser.mouseMovementX;Browser.mouseY+=Browser.mouseMovementY}}else{var rect=Module["canvas"].getBoundingClientRect();var cw=Module["canvas"].width;var ch=Module["canvas"].height;var scrollX=typeof window.scrollX!=="undefined"?window.scrollX:window.pageXOffset;var scrollY=typeof window.scrollY!=="undefined"?window.scrollY:window.pageYOffset;if(event.type==="touchstart"||event.type==="touchend"||event.type==="touchmove"){var touch=event.touch;if(touch===undefined){return}var adjustedX=touch.pageX-(scrollX+rect.left);var adjustedY=touch.pageY-(scrollY+rect.top);adjustedX=adjustedX*(cw/rect.width);adjustedY=adjustedY*(ch/rect.height);var coords={x:adjustedX,y:adjustedY};if(event.type==="touchstart"){Browser.lastTouches[touch.identifier]=coords;Browser.touches[touch.identifier]=coords}else if(event.type==="touchend"||event.type==="touchmove"){var last=Browser.touches[touch.identifier];if(!last)last=coords;Browser.lastTouches[touch.identifier]=last;Browser.touches[touch.identifier]=coords}return}var x=event.pageX-(scrollX+rect.left);var y=event.pageY-(scrollY+rect.top);x=x*(cw/rect.width);y=y*(ch/rect.height);Browser.mouseMovementX=x-Browser.mouseX;Browser.mouseMovementY=y-Browser.mouseY;Browser.mouseX=x;Browser.mouseY=y}}),xhrLoad:(function(url,onload,onerror){var xhr=new XMLHttpRequest;xhr.open("GET",url,true);xhr.responseType="arraybuffer";xhr.onload=function xhr_onload(){if(xhr.status==200||xhr.status==0&&xhr.response){onload(xhr.response)}else{onerror()}};xhr.onerror=onerror;xhr.send(null)}),asyncLoad:(function(url,onload,onerror,noRunDep){Browser.xhrLoad(url,(function(arrayBuffer){assert(arrayBuffer,'Loading data file "'+url+'" failed (no arrayBuffer).');onload(new Uint8Array(arrayBuffer));if(!noRunDep)removeRunDependency("al "+url)}),(function(event){if(onerror){onerror()}else{throw'Loading data file "'+url+'" failed.'}}));if(!noRunDep)addRunDependency("al "+url)}),resizeListeners:[],updateResizeListeners:(function(){var canvas=Module["canvas"];Browser.resizeListeners.forEach((function(listener){listener(canvas.width,canvas.height)}))}),setCanvasSize:(function(width,height,noUpdates){var canvas=Module["canvas"];Browser.updateCanvasDimensions(canvas,width,height);if(!noUpdates)Browser.updateResizeListeners()}),windowedWidth:0,windowedHeight:0,setFullScreenCanvasSize:(function(){if(typeof SDL!="undefined"){var flags=HEAPU32[SDL.screen+Runtime.QUANTUM_SIZE*0>>2];flags=flags|8388608;HEAP32[SDL.screen+Runtime.QUANTUM_SIZE*0>>2]=flags}Browser.updateResizeListeners()}),setWindowedCanvasSize:(function(){if(typeof SDL!="undefined"){var flags=HEAPU32[SDL.screen+Runtime.QUANTUM_SIZE*0>>2];flags=flags&~8388608;HEAP32[SDL.screen+Runtime.QUANTUM_SIZE*0>>2]=flags}Browser.updateResizeListeners()}),updateCanvasDimensions:(function(canvas,wNative,hNative){if(wNative&&hNative){canvas.widthNative=wNative;canvas.heightNative=hNative}else{wNative=canvas.widthNative;hNative=canvas.heightNative}var w=wNative;var h=hNative;if(Module["forcedAspectRatio"]&&Module["forcedAspectRatio"]>0){if(w/h<Module["forcedAspectRatio"]){w=Math.round(h*Module["forcedAspectRatio"])}else{h=Math.round(w/Module["forcedAspectRatio"])}}if((document["webkitFullScreenElement"]||document["webkitFullscreenElement"]||document["mozFullScreenElement"]||document["mozFullscreenElement"]||document["fullScreenElement"]||document["fullscreenElement"]||document["msFullScreenElement"]||document["msFullscreenElement"]||document["webkitCurrentFullScreenElement"])===canvas.parentNode&&typeof screen!="undefined"){var factor=Math.min(screen.width/w,screen.height/h);w=Math.round(w*factor);h=Math.round(h*factor)}if(Browser.resizeCanvas){if(canvas.width!=w)canvas.width=w;if(canvas.height!=h)canvas.height=h;if(typeof canvas.style!="undefined"){canvas.style.removeProperty("width");canvas.style.removeProperty("height")}}else{if(canvas.width!=wNative)canvas.width=wNative;if(canvas.height!=hNative)canvas.height=hNative;if(typeof canvas.style!="undefined"){if(w!=wNative||h!=hNative){canvas.style.setProperty("width",w+"px","important");canvas.style.setProperty("height",h+"px","important")}else{canvas.style.removeProperty("width");canvas.style.removeProperty("height")}}}}),wgetRequests:{},nextWgetRequestHandle:0,getNextWgetRequestHandle:(function(){var handle=Browser.nextWgetRequestHandle;Browser.nextWgetRequestHandle++;return handle})};var SYSCALLS={DEFAULT_POLLMASK:5,mappings:{},umask:511,calculateAt:(function(dirfd,path){if(path[0]!=="/"){var dir;if(dirfd===-100){dir=FS.cwd()}else{var dirstream=FS.getStream(dirfd);if(!dirstream)throw new FS.ErrnoError(ERRNO_CODES.EBADF);dir=dirstream.path}path=PATH.join2(dir,path)}return path}),doStat:(function(func,path,buf){try{var stat=func(path)}catch(e){if(e&&e.node&&PATH.normalize(path)!==PATH.normalize(FS.getPath(e.node))){return-ERRNO_CODES.ENOTDIR}throw e}HEAP32[buf>>2]=stat.dev;HEAP32[buf+4>>2]=0;HEAP32[buf+8>>2]=stat.ino;HEAP32[buf+12>>2]=stat.mode;HEAP32[buf+16>>2]=stat.nlink;HEAP32[buf+20>>2]=stat.uid;HEAP32[buf+24>>2]=stat.gid;HEAP32[buf+28>>2]=stat.rdev;HEAP32[buf+32>>2]=0;HEAP32[buf+36>>2]=stat.size;HEAP32[buf+40>>2]=4096;HEAP32[buf+44>>2]=stat.blocks;HEAP32[buf+48>>2]=stat.atime.getTime()/1e3|0;HEAP32[buf+52>>2]=0;HEAP32[buf+56>>2]=stat.mtime.getTime()/1e3|0;HEAP32[buf+60>>2]=0;HEAP32[buf+64>>2]=stat.ctime.getTime()/1e3|0;HEAP32[buf+68>>2]=0;HEAP32[buf+72>>2]=stat.ino;return 0}),doMsync:(function(addr,stream,len,flags){var buffer=new Uint8Array(HEAPU8.subarray(addr,addr+len));FS.msync(stream,buffer,0,len,flags)}),doMkdir:(function(path,mode){path=PATH.normalize(path);if(path[path.length-1]==="/")path=path.substr(0,path.length-1);FS.mkdir(path,mode,0);return 0}),doMknod:(function(path,mode,dev){switch(mode&61440){case 32768:case 8192:case 24576:case 4096:case 49152:break;default:return-ERRNO_CODES.EINVAL}FS.mknod(path,mode,dev);return 0}),doReadlink:(function(path,buf,bufsize){if(bufsize<=0)return-ERRNO_CODES.EINVAL;var ret=FS.readlink(path);ret=ret.slice(0,Math.max(0,bufsize));writeStringToMemory(ret,buf,true);return ret.length}),doAccess:(function(path,amode){if(amode&~7){return-ERRNO_CODES.EINVAL}var node;var lookup=FS.lookupPath(path,{follow:true});node=lookup.node;var perms="";if(amode&4)perms+="r";if(amode&2)perms+="w";if(amode&1)perms+="x";if(perms&&FS.nodePermissions(node,perms)){return-ERRNO_CODES.EACCES}return 0}),doDup:(function(path,flags,suggestFD){var suggest=FS.getStream(suggestFD);if(suggest)FS.close(suggest);return FS.open(path,flags,0,suggestFD,suggestFD).fd}),doReadv:(function(stream,iov,iovcnt,offset){var ret=0;for(var i=0;i<iovcnt;i++){var ptr=HEAP32[iov+i*8>>2];var len=HEAP32[iov+(i*8+4)>>2];var curr=FS.read(stream,HEAP8,ptr,len,offset);if(curr<0)return-1;ret+=curr;if(curr<len)break}return ret}),doWritev:(function(stream,iov,iovcnt,offset){var ret=0;for(var i=0;i<iovcnt;i++){var ptr=HEAP32[iov+i*8>>2];var len=HEAP32[iov+(i*8+4)>>2];var curr=FS.write(stream,HEAP8,ptr,len,offset);if(curr<0)return-1;ret+=curr}return ret}),varargs:0,get:(function(varargs){SYSCALLS.varargs+=4;var ret=HEAP32[SYSCALLS.varargs-4>>2];return ret}),getStr:(function(){var ret=Pointer_stringify(SYSCALLS.get());return ret}),getStreamFromFD:(function(){var stream=FS.getStream(SYSCALLS.get());if(!stream)throw new FS.ErrnoError(ERRNO_CODES.EBADF);return stream}),getSocketFromFD:(function(){var socket=SOCKFS.getSocket(SYSCALLS.get());if(!socket)throw new FS.ErrnoError(ERRNO_CODES.EBADF);return socket}),getSocketAddress:(function(allowNull){var addrp=SYSCALLS.get(),addrlen=SYSCALLS.get();if(allowNull&&addrp===0)return null;var info=__read_sockaddr(addrp,addrlen);if(info.errno)throw new FS.ErrnoError(info.errno);info.addr=DNS.lookup_addr(info.addr)||info.addr;return info}),get64:(function(){var low=SYSCALLS.get(),high=SYSCALLS.get();if(low>=0)assert(high===0);else assert(high===-1);return low}),getZero:(function(){assert(SYSCALLS.get()===0)})};function ___syscall54(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),op=SYSCALLS.get();switch(op){case 21505:{if(!stream.tty)return-ERRNO_CODES.ENOTTY;return 0};case 21506:{if(!stream.tty)return-ERRNO_CODES.ENOTTY;return 0};case 21519:{if(!stream.tty)return-ERRNO_CODES.ENOTTY;var argp=SYSCALLS.get();HEAP32[argp>>2]=0;return 0};case 21520:{if(!stream.tty)return-ERRNO_CODES.ENOTTY;return-ERRNO_CODES.EINVAL};case 21531:{var argp=SYSCALLS.get();return FS.ioctl(stream,op,argp)};default:abort("bad ioctl syscall "+op)}}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}Module["_bitshift64Lshr"]=_bitshift64Lshr;var _BDtoIHigh=true;function _pthread_cleanup_push(routine,arg){__ATEXIT__.push((function(){Runtime.dynCall("vi",routine,[arg])}));_pthread_cleanup_push.level=__ATEXIT__.length}function _pthread_cond_broadcast(){return 0}function _pthread_cleanup_pop(){assert(_pthread_cleanup_push.level==__ATEXIT__.length,"cannot pop if something else added meanwhile!");__ATEXIT__.pop();_pthread_cleanup_push.level=__ATEXIT__.length}function _pthread_mutex_unlock(){}function _emscripten_memcpy_big(dest,src,num){HEAPU8.set(HEAPU8.subarray(src,src+num),dest);return dest}Module["_memcpy"]=_memcpy;function _pthread_mutex_lock(){}var _llvm_pow_f64=Math_pow;function _sbrk(bytes){var self=_sbrk;if(!self.called){DYNAMICTOP=alignMemoryPage(DYNAMICTOP);self.called=true;assert(Runtime.dynamicAlloc);self.alloc=Runtime.dynamicAlloc;Runtime.dynamicAlloc=(function(){abort("cannot dynamically allocate, sbrk now has control")})}var ret=DYNAMICTOP;if(bytes!=0){var success=self.alloc(bytes);if(!success)return-1>>>0}return ret}Module["_memmove"]=_memmove;function ___cxa_guard_abort(){}var _emscripten_preinvoke=true;var _BItoD=true;function _pthread_cond_wait(){return 0}function ___cxa_rethrow(){___cxa_end_catch.rethrown=true;var ptr=EXCEPTIONS.caught.pop();EXCEPTIONS.last=ptr;throw ptr}function ___cxa_guard_release(){}Module["_round"]=_round;function _distme_(){Module["printErr"]("missing function: distme_");abort(-1)}function ___assert_fail(condition,filename,line,func){ABORT=true;throw"Assertion failed: "+Pointer_stringify(condition)+", at: "+[filename?Pointer_stringify(filename):"unknown filename",line,func?Pointer_stringify(func):"unknown function"]+" at "+stackTrace()}var _SItoD=true;Module["_memset"]=_memset;var _BDtoILow=true;function ___gxx_personality_v0(){}function __isLeapYear(year){return year%4===0&&(year%100!==0||year%400===0)}function __arraySum(array,index){var sum=0;for(var i=0;i<=index;sum+=array[i++]);return sum}var __MONTH_DAYS_LEAP=[31,29,31,30,31,30,31,31,30,31,30,31];var __MONTH_DAYS_REGULAR=[31,28,31,30,31,30,31,31,30,31,30,31];function __addDays(date,days){var newDate=new Date(date.getTime());while(days>0){var leap=__isLeapYear(newDate.getFullYear());var currentMonth=newDate.getMonth();var daysInCurrentMonth=(leap?__MONTH_DAYS_LEAP:__MONTH_DAYS_REGULAR)[currentMonth];if(days>daysInCurrentMonth-newDate.getDate()){days-=daysInCurrentMonth-newDate.getDate()+1;newDate.setDate(1);if(currentMonth<11){newDate.setMonth(currentMonth+1)}else{newDate.setMonth(0);newDate.setFullYear(newDate.getFullYear()+1)}}else{newDate.setDate(newDate.getDate()+days);return newDate}}return newDate}function _strftime(s,maxsize,format,tm){var tm_zone=HEAP32[tm+40>>2];var date={tm_sec:HEAP32[tm>>2],tm_min:HEAP32[tm+4>>2],tm_hour:HEAP32[tm+8>>2],tm_mday:HEAP32[tm+12>>2],tm_mon:HEAP32[tm+16>>2],tm_year:HEAP32[tm+20>>2],tm_wday:HEAP32[tm+24>>2],tm_yday:HEAP32[tm+28>>2],tm_isdst:HEAP32[tm+32>>2],tm_gmtoff:HEAP32[tm+36>>2],tm_zone:tm_zone?Pointer_stringify(tm_zone):""};var pattern=Pointer_stringify(format);var EXPANSION_RULES_1={"%c":"%a %b %d %H:%M:%S %Y","%D":"%m/%d/%y","%F":"%Y-%m-%d","%h":"%b","%r":"%I:%M:%S %p","%R":"%H:%M","%T":"%H:%M:%S","%x":"%m/%d/%y","%X":"%H:%M:%S"};for(var rule in EXPANSION_RULES_1){pattern=pattern.replace(new RegExp(rule,"g"),EXPANSION_RULES_1[rule])}var WEEKDAYS=["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"];var MONTHS=["January","February","March","April","May","June","July","August","September","October","November","December"];function leadingSomething(value,digits,character){var str=typeof value==="number"?value.toString():value||"";while(str.length<digits){str=character[0]+str}return str}function leadingNulls(value,digits){return leadingSomething(value,digits,"0")}function compareByDay(date1,date2){function sgn(value){return value<0?-1:value>0?1:0}var compare;if((compare=sgn(date1.getFullYear()-date2.getFullYear()))===0){if((compare=sgn(date1.getMonth()-date2.getMonth()))===0){compare=sgn(date1.getDate()-date2.getDate())}}return compare}function getFirstWeekStartDate(janFourth){switch(janFourth.getDay()){case 0:return new Date(janFourth.getFullYear()-1,11,29);case 1:return janFourth;case 2:return new Date(janFourth.getFullYear(),0,3);case 3:return new Date(janFourth.getFullYear(),0,2);case 4:return new Date(janFourth.getFullYear(),0,1);case 5:return new Date(janFourth.getFullYear()-1,11,31);case 6:return new Date(janFourth.getFullYear()-1,11,30)}}function getWeekBasedYear(date){var thisDate=__addDays(new Date(date.tm_year+1900,0,1),date.tm_yday);var janFourthThisYear=new Date(thisDate.getFullYear(),0,4);var janFourthNextYear=new Date(thisDate.getFullYear()+1,0,4);var firstWeekStartThisYear=getFirstWeekStartDate(janFourthThisYear);var firstWeekStartNextYear=getFirstWeekStartDate(janFourthNextYear);if(compareByDay(firstWeekStartThisYear,thisDate)<=0){if(compareByDay(firstWeekStartNextYear,thisDate)<=0){return thisDate.getFullYear()+1}else{return thisDate.getFullYear()}}else{return thisDate.getFullYear()-1}}var EXPANSION_RULES_2={"%a":(function(date){return WEEKDAYS[date.tm_wday].substring(0,3)}),"%A":(function(date){return WEEKDAYS[date.tm_wday]}),"%b":(function(date){return MONTHS[date.tm_mon].substring(0,3)}),"%B":(function(date){return MONTHS[date.tm_mon]}),"%C":(function(date){var year=date.tm_year+1900;return leadingNulls(year/100|0,2)}),"%d":(function(date){return leadingNulls(date.tm_mday,2)}),"%e":(function(date){return leadingSomething(date.tm_mday,2," ")}),"%g":(function(date){return getWeekBasedYear(date).toString().substring(2)}),"%G":(function(date){return getWeekBasedYear(date)}),"%H":(function(date){return leadingNulls(date.tm_hour,2)}),"%I":(function(date){return leadingNulls(date.tm_hour<13?date.tm_hour:date.tm_hour-12,2)}),"%j":(function(date){return leadingNulls(date.tm_mday+__arraySum(__isLeapYear(date.tm_year+1900)?__MONTH_DAYS_LEAP:__MONTH_DAYS_REGULAR,date.tm_mon-1),3)}),"%m":(function(date){return leadingNulls(date.tm_mon+1,2)}),"%M":(function(date){return leadingNulls(date.tm_min,2)}),"%n":(function(){return"\n"}),"%p":(function(date){if(date.tm_hour>0&&date.tm_hour<13){return"AM"}else{return"PM"}}),"%S":(function(date){return leadingNulls(date.tm_sec,2)}),"%t":(function(){return"\t"}),"%u":(function(date){var day=new Date(date.tm_year+1900,date.tm_mon+1,date.tm_mday,0,0,0,0);return day.getDay()||7}),"%U":(function(date){var janFirst=new Date(date.tm_year+1900,0,1);var firstSunday=janFirst.getDay()===0?janFirst:__addDays(janFirst,7-janFirst.getDay());var endDate=new Date(date.tm_year+1900,date.tm_mon,date.tm_mday);if(compareByDay(firstSunday,endDate)<0){var februaryFirstUntilEndMonth=__arraySum(__isLeapYear(endDate.getFullYear())?__MONTH_DAYS_LEAP:__MONTH_DAYS_REGULAR,endDate.getMonth()-1)-31;var firstSundayUntilEndJanuary=31-firstSunday.getDate();var days=firstSundayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();return leadingNulls(Math.ceil(days/7),2)}return compareByDay(firstSunday,janFirst)===0?"01":"00"}),"%V":(function(date){var janFourthThisYear=new Date(date.tm_year+1900,0,4);var janFourthNextYear=new Date(date.tm_year+1901,0,4);var firstWeekStartThisYear=getFirstWeekStartDate(janFourthThisYear);var firstWeekStartNextYear=getFirstWeekStartDate(janFourthNextYear);var endDate=__addDays(new Date(date.tm_year+1900,0,1),date.tm_yday);if(compareByDay(endDate,firstWeekStartThisYear)<0){return"53"}if(compareByDay(firstWeekStartNextYear,endDate)<=0){return"01"}var daysDifference;if(firstWeekStartThisYear.getFullYear()<date.tm_year+1900){daysDifference=date.tm_yday+32-firstWeekStartThisYear.getDate()}else{daysDifference=date.tm_yday+1-firstWeekStartThisYear.getDate()}return leadingNulls(Math.ceil(daysDifference/7),2)}),"%w":(function(date){var day=new Date(date.tm_year+1900,date.tm_mon+1,date.tm_mday,0,0,0,0);return day.getDay()}),"%W":(function(date){var janFirst=new Date(date.tm_year,0,1);var firstMonday=janFirst.getDay()===1?janFirst:__addDays(janFirst,janFirst.getDay()===0?1:7-janFirst.getDay()+1);var endDate=new Date(date.tm_year+1900,date.tm_mon,date.tm_mday);if(compareByDay(firstMonday,endDate)<0){var februaryFirstUntilEndMonth=__arraySum(__isLeapYear(endDate.getFullYear())?__MONTH_DAYS_LEAP:__MONTH_DAYS_REGULAR,endDate.getMonth()-1)-31;var firstMondayUntilEndJanuary=31-firstMonday.getDate();var days=firstMondayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();return leadingNulls(Math.ceil(days/7),2)}return compareByDay(firstMonday,janFirst)===0?"01":"00"}),"%y":(function(date){return(date.tm_year+1900).toString().substring(2)}),"%Y":(function(date){return date.tm_year+1900}),"%z":(function(date){var off=date.tm_gmtoff;var ahead=off>=0;off=Math.abs(off)/60;off=off/60*100+off%60;return(ahead?"+":"-")+String("0000"+off).slice(-4)}),"%Z":(function(date){return date.tm_zone}),"%%":(function(){return"%"})};for(var rule in EXPANSION_RULES_2){if(pattern.indexOf(rule)>=0){pattern=pattern.replace(new RegExp(rule,"g"),EXPANSION_RULES_2[rule](date))}}var bytes=intArrayFromString(pattern,false);if(bytes.length>maxsize){return 0}writeArrayToMemory(bytes,s);return bytes.length-1}function _strftime_l(s,maxsize,format,tm){return _strftime(s,maxsize,format,tm)}function _abort(){Module["abort"]()}function _pthread_once(ptr,func){if(!_pthread_once.seen)_pthread_once.seen={};if(ptr in _pthread_once.seen)return;Runtime.dynCall("v",func);_pthread_once.seen[ptr]=1}function ___lock(){}function ___unlock(){}var _asin=Math_asin;function _pthread_getspecific(key){return PTHREAD_SPECIFIC[key]||0}var _llvm_fabs_f64=Math_abs;var _fabs=Math_abs;var _floor=Math_floor;var _sqrt=Math_sqrt;function __exit(status){Module["exit"](status)}function _exit(status){__exit(status)}function _pthread_setspecific(key,value){if(!(key in PTHREAD_SPECIFIC)){return ERRNO_CODES.EINVAL}PTHREAD_SPECIFIC[key]=value;return 0}function _malloc(bytes){var ptr=Runtime.dynamicAlloc(bytes+8);return ptr+8&4294967288}Module["_malloc"]=_malloc;function ___cxa_allocate_exception(size){return _malloc(size)}var _sin=Math_sin;function ___cxa_pure_virtual(){ABORT=true;throw"Pure virtual function called!"}var _atan=Math_atan;function ___cxa_guard_acquire(variable){if(!HEAP8[variable>>0]){HEAP8[variable>>0]=1;return 1}return 0}function ___cxa_begin_catch(ptr){__ZSt18uncaught_exceptionv.uncaught_exception--;EXCEPTIONS.caught.push(ptr);EXCEPTIONS.addRef(EXCEPTIONS.deAdjust(ptr));return ptr}Module["_bitshift64Shl"]=_bitshift64Shl;function _llvm_eh_typeid_for(type){return type}function ___syscall5(which,varargs){SYSCALLS.varargs=varargs;try{var pathname=SYSCALLS.getStr(),flags=SYSCALLS.get(),mode=SYSCALLS.get();var stream=FS.open(pathname,flags,mode);return stream.fd}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}var _acos=Math_acos;function ___syscall6(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD();FS.close(stream);return 0}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}var _cos=Math_cos;function _clock(){if(_clock.start===undefined)_clock.start=Date.now();return(Date.now()-_clock.start)*(1e6/1e3)|0}var _atan2=Math_atan2;var _exp=Math_exp;function _time(ptr){var ret=Date.now()/1e3|0;if(ptr){HEAP32[ptr>>2]=ret}return ret}function _pthread_self(){return 0}function ___syscall140(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),offset_high=SYSCALLS.get(),offset_low=SYSCALLS.get(),result=SYSCALLS.get(),whence=SYSCALLS.get();var offset=offset_low;assert(offset_high===0);FS.llseek(stream,offset,whence);HEAP32[result>>2]=stream.position;if(stream.getdents&&offset===0&&whence===0)stream.getdents=null;return 0}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall146(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),iov=SYSCALLS.get(),iovcnt=SYSCALLS.get();return SYSCALLS.doWritev(stream,iov,iovcnt)}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall221(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),cmd=SYSCALLS.get();switch(cmd){case 0:{var arg=SYSCALLS.get();if(arg<0){return-ERRNO_CODES.EINVAL}var newStream;newStream=FS.open(stream.path,stream.flags,0,arg);return newStream.fd};case 1:case 2:return 0;case 3:return stream.flags;case 4:{var arg=SYSCALLS.get();stream.flags|=arg;return 0};case 12:case 12:{var arg=SYSCALLS.get();var offset=0;HEAP16[arg+offset>>1]=2;return 0};case 13:case 14:case 13:case 14:return 0;case 16:case 8:return-ERRNO_CODES.EINVAL;case 9:___setErrNo(ERRNO_CODES.EINVAL);return-1;default:{return-ERRNO_CODES.EINVAL}}}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall145(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),iov=SYSCALLS.get(),iovcnt=SYSCALLS.get();return SYSCALLS.doReadv(stream,iov,iovcnt)}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}var ___dso_handle=allocate(1,"i32*",ALLOC_STATIC);function _blocko_(){Module["printErr"]("missing function: blocko_");abort(-1)}function _blockp_(){Module["printErr"]("missing function: blockp_");abort(-1)}function _blockrad_(){Module["printErr"]("missing function: blockrad_");abort(-1)}function _blocks_(){Module["printErr"]("missing function: blocks_");abort(-1)}Module["requestFullScreen"]=function Module_requestFullScreen(lockPointer,resizeCanvas,vrDevice){Browser.requestFullScreen(lockPointer,resizeCanvas,vrDevice)};Module["requestAnimationFrame"]=function Module_requestAnimationFrame(func){Browser.requestAnimationFrame(func)};Module["setCanvasSize"]=function Module_setCanvasSize(width,height,noUpdates){Browser.setCanvasSize(width,height,noUpdates)};Module["pauseMainLoop"]=function Module_pauseMainLoop(){Browser.mainLoop.pause()};Module["resumeMainLoop"]=function Module_resumeMainLoop(){Browser.mainLoop.resume()};Module["getUserMedia"]=function Module_getUserMedia(){Browser.getUserMedia()};Module["createContext"]=function Module_createContext(canvas,useWebGL,setInModule,webGLContextAttributes){return Browser.createContext(canvas,useWebGL,setInModule,webGLContextAttributes)};FS.staticInit();__ATINIT__.unshift((function(){if(!Module["noFSInit"]&&!FS.init.initialized)FS.init()}));__ATMAIN__.push((function(){FS.ignorePermissions=false}));__ATEXIT__.push((function(){FS.quit()}));Module["FS_createFolder"]=FS.createFolder;Module["FS_createPath"]=FS.createPath;Module["FS_createDataFile"]=FS.createDataFile;Module["FS_createPreloadedFile"]=FS.createPreloadedFile;Module["FS_createLazyFile"]=FS.createLazyFile;Module["FS_createLink"]=FS.createLink;Module["FS_createDevice"]=FS.createDevice;Module["FS_unlink"]=FS.unlink;__ATINIT__.unshift((function(){TTY.init()}));__ATEXIT__.push((function(){TTY.shutdown()}));if(ENVIRONMENT_IS_NODE){var fs=require("fs");var NODEJS_PATH=require("path");NODEFS.staticInit()}STACK_BASE=STACKTOP=Runtime.alignMemory(STATICTOP);staticSealed=true;STACK_MAX=STACK_BASE+TOTAL_STACK;DYNAMIC_BASE=DYNAMICTOP=Runtime.alignMemory(STACK_MAX);assert(DYNAMIC_BASE<TOTAL_MEMORY,"TOTAL_MEMORY not big enough for stack");var cttz_i8=allocate([8,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,7,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0],"i8",ALLOC_DYNAMIC);function invoke_iiiiiiii(index,a1,a2,a3,a4,a5,a6,a7){try{return Module["dynCall_iiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iiiiiid(index,a1,a2,a3,a4,a5,a6){try{return Module["dynCall_iiiiiid"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_vid(index,a1,a2){try{Module["dynCall_vid"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viiiii(index,a1,a2,a3,a4,a5){try{Module["dynCall_viiiii"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_vi(index,a1){try{Module["dynCall_vi"](index,a1)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_vii(index,a1,a2){try{Module["dynCall_vii"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iiiiiii(index,a1,a2,a3,a4,a5,a6){try{return Module["dynCall_iiiiiii"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_ii(index,a1){try{return Module["dynCall_ii"](index,a1)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viiiiiiiiiid(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11){try{Module["dynCall_viiiiiiiiiid"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viidi(index,a1,a2,a3,a4){try{Module["dynCall_viidi"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iiiiiiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13){try{return Module["dynCall_iiiiiiiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viiiiiidd(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiiiidd"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_diddddi(index,a1,a2,a3,a4,a5,a6){try{return Module["dynCall_diddddi"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_vidi(index,a1,a2,a3){try{Module["dynCall_vidi"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viiddii(index,a1,a2,a3,a4,a5,a6){try{Module["dynCall_viiddii"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_diddddd(index,a1,a2,a3,a4,a5,a6){try{return Module["dynCall_diddddd"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_vidd(index,a1,a2,a3){try{Module["dynCall_vidd"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iiii(index,a1,a2,a3){try{return Module["dynCall_iiii"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viiiiiiiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13,a14,a15){try{Module["dynCall_viiiiiiiiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13,a14,a15)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viiiiii(index,a1,a2,a3,a4,a5,a6){try{Module["dynCall_viiiiii"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_diiii(index,a1,a2,a3,a4){try{return Module["dynCall_diiii"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viiiiidd(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiiiidd"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viid(index,a1,a2,a3){try{Module["dynCall_viid"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viiiidi(index,a1,a2,a3,a4,a5,a6){try{Module["dynCall_viiiidi"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_di(index,a1){try{return Module["dynCall_di"](index,a1)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iiiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{return Module["dynCall_iiiiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iid(index,a1,a2){try{return Module["dynCall_iid"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viiiiiii(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiiiiii"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iiiiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11){try{return Module["dynCall_iiiiiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iii(index,a1,a2){try{return Module["dynCall_iii"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iiiiii(index,a1,a2,a3,a4,a5){try{return Module["dynCall_iiiiii"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_diii(index,a1,a2,a3){try{return Module["dynCall_diii"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iiiddii(index,a1,a2,a3,a4,a5,a6){try{return Module["dynCall_iiiddii"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_dii(index,a1,a2){try{return Module["dynCall_dii"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viiiid(index,a1,a2,a3,a4,a5){try{Module["dynCall_viiiid"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_i(index){try{return Module["dynCall_i"](index)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iiiii(index,a1,a2,a3,a4){try{return Module["dynCall_iiiii"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viiid(index,a1,a2,a3,a4){try{Module["dynCall_viiid"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viii(index,a1,a2,a3){try{Module["dynCall_viii"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_v(index){try{Module["dynCall_v"](index)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{return Module["dynCall_iiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iiiiid(index,a1,a2,a3,a4,a5){try{return Module["dynCall_iiiiid"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viiii(index,a1,a2,a3,a4){try{Module["dynCall_viiii"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}Module.asmGlobalArg={"Math":Math,"Int8Array":Int8Array,"Int16Array":Int16Array,"Int32Array":Int32Array,"Uint8Array":Uint8Array,"Uint16Array":Uint16Array,"Uint32Array":Uint32Array,"Float32Array":Float32Array,"Float64Array":Float64Array,"NaN":NaN,"Infinity":Infinity,"byteLength":byteLength};Module.asmLibraryArg={"abort":abort,"assert":assert,"invoke_iiiiiiii":invoke_iiiiiiii,"invoke_iiiiiid":invoke_iiiiiid,"invoke_vid":invoke_vid,"invoke_viiiii":invoke_viiiii,"invoke_vi":invoke_vi,"invoke_vii":invoke_vii,"invoke_iiiiiii":invoke_iiiiiii,"invoke_ii":invoke_ii,"invoke_viiiiiiiiiid":invoke_viiiiiiiiiid,"invoke_viidi":invoke_viidi,"invoke_iiiiiiiiiiiiii":invoke_iiiiiiiiiiiiii,"invoke_viiiiiidd":invoke_viiiiiidd,"invoke_diddddi":invoke_diddddi,"invoke_vidi":invoke_vidi,"invoke_viiddii":invoke_viiddii,"invoke_diddddd":invoke_diddddd,"invoke_vidd":invoke_vidd,"invoke_iiii":invoke_iiii,"invoke_viiiiiiiiiiiiiii":invoke_viiiiiiiiiiiiiii,"invoke_viiiiiiii":invoke_viiiiiiii,"invoke_viiiiii":invoke_viiiiii,"invoke_diiii":invoke_diiii,"invoke_viiiiidd":invoke_viiiiidd,"invoke_viid":invoke_viid,"invoke_viiiidi":invoke_viiiidi,"invoke_di":invoke_di,"invoke_iiiiiiiiiii":invoke_iiiiiiiiiii,"invoke_iid":invoke_iid,"invoke_viiiiiii":invoke_viiiiiii,"invoke_iiiiiiiiiiii":invoke_iiiiiiiiiiii,"invoke_viiiiiiiii":invoke_viiiiiiiii,"invoke_viiiiiiiiii":invoke_viiiiiiiiii,"invoke_iii":invoke_iii,"invoke_iiiiii":invoke_iiiiii,"invoke_diii":invoke_diii,"invoke_iiiddii":invoke_iiiddii,"invoke_dii":invoke_dii,"invoke_viiiid":invoke_viiiid,"invoke_i":invoke_i,"invoke_iiiii":invoke_iiiii,"invoke_viiid":invoke_viiid,"invoke_viii":invoke_viii,"invoke_v":invoke_v,"invoke_iiiiiiiii":invoke_iiiiiiiii,"invoke_iiiiid":invoke_iiiiid,"invoke_viiii":invoke_viiii,"_pthread_cleanup_pop":_pthread_cleanup_pop,"_strftime":_strftime,"_pthread_cond_wait":_pthread_cond_wait,"_sin":_sin,"_exp":_exp,"_llvm_pow_f64":_llvm_pow_f64,"_acos":_acos,"___syscall54":___syscall54,"_pthread_cleanup_push":_pthread_cleanup_push,"___syscall6":___syscall6,"_llvm_fabs_f64":_llvm_fabs_f64,"_atan2":_atan2,"_emscripten_set_main_loop_timing":_emscripten_set_main_loop_timing,"___gxx_personality_v0":___gxx_personality_v0,"_asin":_asin,"___assert_fail":___assert_fail,"___cxa_free_exception":___cxa_free_exception,"___cxa_allocate_exception":___cxa_allocate_exception,"__ZSt18uncaught_exceptionv":__ZSt18uncaught_exceptionv,"_floor":_floor,"_pthread_cond_broadcast":_pthread_cond_broadcast,"___cxa_guard_release":___cxa_guard_release,"__addDays":__addDays,"___cxa_guard_acquire":___cxa_guard_acquire,"_strftime_l":_strftime_l,"_what0_":_what0_,"___setErrNo":___setErrNo,"_llvm_eh_typeid_for":_llvm_eh_typeid_for,"_sbrk":_sbrk,"_atan":_atan,"___cxa_begin_catch":___cxa_begin_catch,"_emscripten_memcpy_big":_emscripten_memcpy_big,"___cxa_end_catch":___cxa_end_catch,"___resumeException":___resumeException,"___cxa_find_matching_catch":___cxa_find_matching_catch,"_sysconf":_sysconf,"_pthread_getspecific":_pthread_getspecific,"_clock":_clock,"__arraySum":__arraySum,"___syscall221":___syscall221,"_cos":_cos,"_pthread_self":_pthread_self,"_pthread_mutex_unlock":_pthread_mutex_unlock,"_pthread_once":_pthread_once,"_fabs":_fabs,"___cxa_rethrow":___cxa_rethrow,"_sqrt":_sqrt,"_pthread_key_create":_pthread_key_create,"___unlock":___unlock,"__isLeapYear":__isLeapYear,"_emscripten_set_main_loop":_emscripten_set_main_loop,"_log":_log,"_pthread_setspecific":_pthread_setspecific,"___cxa_atexit":___cxa_atexit,"___cxa_throw":___cxa_throw,"__exit":__exit,"___lock":___lock,"_abort":_abort,"___syscall5":___syscall5,"___cxa_pure_virtual":___cxa_pure_virtual,"_time":_time,"_pthread_mutex_lock":_pthread_mutex_lock,"_distme_":_distme_,"___cxa_guard_abort":___cxa_guard_abort,"_atexit":_atexit,"___syscall140":___syscall140,"_exit":_exit,"___syscall145":___syscall145,"___syscall146":___syscall146,"STACKTOP":STACKTOP,"STACK_MAX":STACK_MAX,"tempDoublePtr":tempDoublePtr,"ABORT":ABORT,"cttz_i8":cttz_i8,"___dso_handle":___dso_handle,"_blocko_":_blocko_,"_blockp_":_blockp_,"_blockrad_":_blockrad_,"_blocks_":_blocks_};// EMSCRIPTEN_START_ASM
var asm=(function(global,env,buffer) {
"use asm";var a=global.Int8Array;var b=global.Int16Array;var c=global.Int32Array;var d=global.Uint8Array;var e=global.Uint16Array;var f=global.Uint32Array;var g=global.Float32Array;var h=global.Float64Array;var i=new a(buffer);var j=new b(buffer);var k=new c(buffer);var l=new d(buffer);var m=new e(buffer);var n=new f(buffer);var o=new g(buffer);var p=new h(buffer);var q=global.byteLength;var r=env.STACKTOP|0;var s=env.STACK_MAX|0;var t=env.tempDoublePtr|0;var u=env.ABORT|0;var v=env.cttz_i8|0;var w=env.___dso_handle|0;var x=env._blocko_|0;var y=env._blockp_|0;var z=env._blockrad_|0;var A=env._blocks_|0;var B=0;var C=0;var D=0;var E=0;var F=global.NaN,G=global.Infinity;var H=0,I=0,J=0,K=0,L=0.0,M=0,N=0,O=0,P=0.0;var Q=0;var R=0;var S=0;var T=0;var U=0;var V=0;var W=0;var X=0;var Y=0;var Z=0;var _=global.Math.floor;var $=global.Math.abs;var aa=global.Math.sqrt;var ba=global.Math.pow;var ca=global.Math.cos;var da=global.Math.sin;var ea=global.Math.tan;var fa=global.Math.acos;var ga=global.Math.asin;var ha=global.Math.atan;var ia=global.Math.atan2;var ja=global.Math.exp;var ka=global.Math.log;var la=global.Math.ceil;var ma=global.Math.imul;var na=global.Math.min;var oa=global.Math.clz32;var pa=env.abort;var qa=env.assert;var ra=env.invoke_iiiiiiii;var sa=env.invoke_iiiiiid;var ta=env.invoke_vid;var ua=env.invoke_viiiii;var va=env.invoke_vi;var wa=env.invoke_vii;var xa=env.invoke_iiiiiii;var ya=env.invoke_ii;var za=env.invoke_viiiiiiiiiid;var Aa=env.invoke_viidi;var Ba=env.invoke_iiiiiiiiiiiiii;var Ca=env.invoke_viiiiiidd;var Da=env.invoke_diddddi;var Ea=env.invoke_vidi;var Fa=env.invoke_viiddii;var Ga=env.invoke_diddddd;var Ha=env.invoke_vidd;var Ia=env.invoke_iiii;var Ja=env.invoke_viiiiiiiiiiiiiii;var Ka=env.invoke_viiiiiiii;var La=env.invoke_viiiiii;var Ma=env.invoke_diiii;var Na=env.invoke_viiiiidd;var Oa=env.invoke_viid;var Pa=env.invoke_viiiidi;var Qa=env.invoke_di;var Ra=env.invoke_iiiiiiiiiii;var Sa=env.invoke_iid;var Ta=env.invoke_viiiiiii;var Ua=env.invoke_iiiiiiiiiiii;var Va=env.invoke_viiiiiiiii;var Wa=env.invoke_viiiiiiiiii;var Xa=env.invoke_iii;var Ya=env.invoke_iiiiii;var Za=env.invoke_diii;var _a=env.invoke_iiiddii;var $a=env.invoke_dii;var ab=env.invoke_viiiid;var bb=env.invoke_i;var cb=env.invoke_iiiii;var db=env.invoke_viiid;var eb=env.invoke_viii;var fb=env.invoke_v;var gb=env.invoke_iiiiiiiii;var hb=env.invoke_iiiiid;var ib=env.invoke_viiii;var jb=env._pthread_cleanup_pop;var kb=env._strftime;var lb=env._pthread_cond_wait;var mb=env._sin;var nb=env._exp;var ob=env._llvm_pow_f64;var pb=env._acos;var qb=env.___syscall54;var rb=env._pthread_cleanup_push;var sb=env.___syscall6;var tb=env._llvm_fabs_f64;var ub=env._atan2;var vb=env._emscripten_set_main_loop_timing;var wb=env.___gxx_personality_v0;var xb=env._asin;var yb=env.___assert_fail;var zb=env.___cxa_free_exception;var Ab=env.___cxa_allocate_exception;var Bb=env.__ZSt18uncaught_exceptionv;var Cb=env._floor;var Db=env._pthread_cond_broadcast;var Eb=env.___cxa_guard_release;var Fb=env.__addDays;var Gb=env.___cxa_guard_acquire;var Hb=env._strftime_l;var Ib=env._what0_;var Jb=env.___setErrNo;var Kb=env._llvm_eh_typeid_for;var Lb=env._sbrk;var Mb=env._atan;var Nb=env.___cxa_begin_catch;var Ob=env._emscripten_memcpy_big;var Pb=env.___cxa_end_catch;var Qb=env.___resumeException;var Rb=env.___cxa_find_matching_catch;var Sb=env._sysconf;var Tb=env._pthread_getspecific;var Ub=env._clock;var Vb=env.__arraySum;var Wb=env.___syscall221;var Xb=env._cos;var Yb=env._pthread_self;var Zb=env._pthread_mutex_unlock;var _b=env._pthread_once;var $b=env._fabs;var ac=env.___cxa_rethrow;var bc=env._sqrt;var cc=env._pthread_key_create;var dc=env.___unlock;var ec=env.__isLeapYear;var fc=env._emscripten_set_main_loop;var gc=env._log;var hc=env._pthread_setspecific;var ic=env.___cxa_atexit;var jc=env.___cxa_throw;var kc=env.__exit;var lc=env.___lock;var mc=env._abort;var nc=env.___syscall5;var oc=env.___cxa_pure_virtual;var pc=env._time;var qc=env._pthread_mutex_lock;var rc=env._distme_;var sc=env.___cxa_guard_abort;var tc=env._atexit;var uc=env.___syscall140;var vc=env._exit;var wc=env.___syscall145;var xc=env.___syscall146;var yc=0.0;function zc(newBuffer){if(q(newBuffer)&16777215||q(newBuffer)<=16777215||q(newBuffer)>2147483648)return false;i=new a(newBuffer);j=new b(newBuffer);k=new c(newBuffer);l=new d(newBuffer);m=new e(newBuffer);n=new f(newBuffer);o=new g(newBuffer);p=new h(newBuffer);buffer=newBuffer;return true}
// EMSCRIPTEN_START_FUNCS
function vta(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,m=0,n=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0.0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0;d=r;r=r+304|0;e=d+16|0;f=d+8|0;g=d+33|0;h=d;m=d+32|0;if((k[a+76>>2]|0)>-1)n=Hsa(a)|0;else n=0;q=i[b>>0]|0;a:do if(q<<24>>24){s=a+4|0;t=a+100|0;u=a+108|0;v=a+8|0;w=g+10|0;x=g+33|0;y=f+4|0;z=g+46|0;A=g+94|0;B=q;C=0;D=b;E=0;F=0;G=0;b:while(1){c:do if(!(Qra(B&255)|0)){H=(i[D>>0]|0)==37;d:do if(H){I=D+1|0;J=i[I>>0]|0;e:do switch(J<<24>>24){case 37:{break d;break}case 42:{K=0;L=D+2|0;break}default:{M=(J&255)+-48|0;if(M>>>0<10?(i[D+2>>0]|0)==36:0){k[e>>2]=k[c>>2];N=M;while(1){M=(k[e>>2]|0)+(4-1)&~(4-1);O=k[M>>2]|0;k[e>>2]=M+4;if(N>>>0>1)N=N+-1|0;else{P=O;break}}K=P;L=D+3|0;break e}N=(k[c>>2]|0)+(4-1)&~(4-1);O=k[N>>2]|0;k[c>>2]=N+4;K=O;L=I}}while(0);I=i[L>>0]|0;J=I&255;if((J+-48|0)>>>0<10){O=J;J=L;N=0;while(1){M=(N*10|0)+-48+O|0;R=J+1|0;S=i[R>>0]|0;O=S&255;if((O+-48|0)>>>0>=10){T=S;U=R;V=M;break}else{J=R;N=M}}}else{T=I;U=L;V=0}if(T<<24>>24==109){N=U+1|0;W=i[N>>0]|0;X=(K|0)!=0&1;Y=N;Z=0;_=0}else{W=T;X=0;Y=U;Z=F;_=G}N=Y+1|0;switch(W&255|0){case 104:{J=(i[N>>0]|0)==104;$=J?Y+2|0:N;aa=J?-2:-1;break}case 108:{J=(i[N>>0]|0)==108;$=J?Y+2|0:N;aa=J?3:1;break}case 106:{$=N;aa=3;break}case 116:case 122:{$=N;aa=1;break}case 76:{$=N;aa=2;break}case 110:case 112:case 67:case 83:case 91:case 99:case 115:case 88:case 71:case 70:case 69:case 65:case 103:case 102:case 101:case 97:case 120:case 117:case 111:case 105:case 100:{$=Y;aa=0;break}default:{ba=X;ca=C;da=Z;ea=_;fa=154;break b}}N=l[$>>0]|0;J=(N&47|0)==3;O=J?N|32:N;N=J?1:aa;switch(O|0){case 99:{ga=E;ha=(V|0)<1?1:V;break}case 91:{ga=E;ha=V;break}case 110:{if(!K){ia=C;ja=$;ka=E;la=Z;ma=_;break c}switch(N|0){case -2:{i[K>>0]=E;ia=C;ja=$;ka=E;la=Z;ma=_;break c;break}case -1:{j[K>>1]=E;ia=C;ja=$;ka=E;la=Z;ma=_;break c;break}case 0:{k[K>>2]=E;ia=C;ja=$;ka=E;la=Z;ma=_;break c;break}case 1:{k[K>>2]=E;ia=C;ja=$;ka=E;la=Z;ma=_;break c;break}case 3:{J=K;k[J>>2]=E;k[J+4>>2]=((E|0)<0)<<31>>31;ia=C;ja=$;ka=E;la=Z;ma=_;break c;break}default:{ia=C;ja=$;ka=E;la=Z;ma=_;break c}}break}default:{Wra(a,0);do{J=k[s>>2]|0;if(J>>>0<(k[t>>2]|0)>>>0){k[s>>2]=J+1;na=l[J>>0]|0}else na=Xra(a)|0}while((Qra(na)|0)!=0);if(!(k[t>>2]|0))oa=k[s>>2]|0;else{I=(k[s>>2]|0)+-1|0;k[s>>2]=I;oa=I}ga=(k[u>>2]|0)+E+oa-(k[v>>2]|0)|0;ha=V}}Wra(a,ha);I=k[s>>2]|0;J=k[t>>2]|0;if(I>>>0<J>>>0){k[s>>2]=I+1;pa=J}else{if((Xra(a)|0)<0){ba=X;ca=C;da=Z;ea=_;fa=154;break b}pa=k[t>>2]|0}if(pa)k[s>>2]=(k[s>>2]|0)+-1;f:do switch(O|0){case 91:case 99:case 115:{J=(O|0)==99;g:do if((O&239|0)==99){WEa(g|0,-1,257)|0;i[g>>0]=0;if((O|0)==115){i[x>>0]=0;i[w>>0]=0;i[w+1>>0]=0;i[w+2>>0]=0;i[w+3>>0]=0;i[w+4>>0]=0;qa=$}else qa=$}else{I=$+1|0;M=(i[I>>0]|0)==94;R=M&1;S=M?$+2|0:I;WEa(g|0,M&1|0,257)|0;i[g>>0]=0;switch(i[S>>0]|0){case 45:{M=(R^1)&255;i[z>>0]=M;ra=M;sa=S+1|0;break}case 93:{M=(R^1)&255;i[A>>0]=M;ra=M;sa=S+1|0;break}default:{ra=(R^1)&255;sa=S}}S=sa;while(1){R=i[S>>0]|0;h:do switch(R<<24>>24){case 0:{ba=X;ca=C;da=Z;ea=_;fa=154;break b;break}case 93:{qa=S;break g;break}case 45:{M=S+1|0;I=i[M>>0]|0;switch(I<<24>>24){case 93:case 0:{ta=45;ua=S;break h;break}default:{}}va=i[S+-1>>0]|0;if((va&255)<(I&255)){wa=va&255;do{wa=wa+1|0;i[g+wa>>0]=ra;va=i[M>>0]|0}while((wa|0)<(va&255|0));ta=va;ua=M}else{ta=I;ua=M}break}default:{ta=R;ua=S}}while(0);i[g+((ta&255)+1)>>0]=ra;S=ua+1|0}}while(0);S=J?ha+1|0:31;R=(N|0)==1;wa=(X|0)!=0;i:do if(R){if(wa){va=lua(S<<2)|0;if(!va){ba=X;ca=C;da=0;ea=va;fa=154;break b}else xa=va}else xa=K;k[f>>2]=0;k[y>>2]=0;va=0;ya=S;za=xa;j:while(1){Aa=(za|0)==0;Ba=va;while(1){k:while(1){Ca=k[s>>2]|0;if(Ca>>>0<(k[t>>2]|0)>>>0){k[s>>2]=Ca+1;Da=l[Ca>>0]|0}else Da=Xra(a)|0;if(!(i[g+(Da+1)>>0]|0)){Ea=Ba;Fa=za;break j}i[m>>0]=Da;switch(usa(h,m,1,f)|0){case -1:{ba=X;ca=C;da=0;ea=za;fa=154;break b;break}case -2:break;default:break k}}if(Aa)Ga=Ba;else{k[za+(Ba<<2)>>2]=k[h>>2];Ga=Ba+1|0}if(wa&(Ga|0)==(ya|0))break;else Ba=Ga}Ba=ya<<1|1;Aa=oua(za,Ba<<2)|0;if(!Aa){ba=X;ca=C;da=0;ea=za;fa=154;break b}else{M=ya;ya=Ba;za=Aa;va=M}}if(!(vsa(f)|0)){ba=X;ca=C;da=0;ea=Fa;fa=154;break b}else{Ha=Ea;Ia=0;Ja=Fa}}else{if(wa){va=lua(S)|0;if(!va){ba=X;ca=C;da=0;ea=0;fa=154;break b}else{Ka=0;La=S;Ma=va}while(1){va=Ka;do{za=k[s>>2]|0;if(za>>>0<(k[t>>2]|0)>>>0){k[s>>2]=za+1;Na=l[za>>0]|0}else Na=Xra(a)|0;if(!(i[g+(Na+1)>>0]|0)){Ha=va;Ia=Ma;Ja=0;break i}i[Ma+va>>0]=Na;va=va+1|0}while((va|0)!=(La|0));va=La<<1|1;za=oua(Ma,va)|0;if(!za){ba=X;ca=C;da=Ma;ea=0;fa=154;break b}else{ya=La;La=va;Ma=za;Ka=ya}}}if(!K){ya=pa;while(1){za=k[s>>2]|0;if(za>>>0<ya>>>0){k[s>>2]=za+1;Oa=l[za>>0]|0}else Oa=Xra(a)|0;if(!(i[g+(Oa+1)>>0]|0)){Ha=0;Ia=0;Ja=0;break i}ya=k[t>>2]|0}}else{ya=pa;za=0;while(1){va=k[s>>2]|0;if(va>>>0<ya>>>0){k[s>>2]=va+1;Pa=l[va>>0]|0}else Pa=Xra(a)|0;if(!(i[g+(Pa+1)>>0]|0)){Ha=za;Ia=K;Ja=0;break i}i[K+za>>0]=Pa;ya=k[t>>2]|0;za=za+1|0}}}while(0);if(!(k[t>>2]|0))Qa=k[s>>2]|0;else{S=(k[s>>2]|0)+-1|0;k[s>>2]=S;Qa=S}S=Qa-(k[v>>2]|0)+(k[u>>2]|0)|0;if(!S){Ra=X;Sa=C;Ta=Ia;Ua=Ja;break b}if(!((S|0)==(ha|0)|J^1)){Ra=X;Sa=C;Ta=Ia;Ua=Ja;break b}do if(wa)if(R){k[K>>2]=Ja;break}else{k[K>>2]=Ia;break}while(0);if(J){Va=qa;Wa=Ia;Xa=Ja}else{if(Ja)k[Ja+(Ha<<2)>>2]=0;if(!Ia){Va=qa;Wa=0;Xa=Ja;break f}i[Ia+Ha>>0]=0;Va=qa;Wa=Ia;Xa=Ja}break}case 120:case 88:case 112:{Ya=16;fa=136;break}case 111:{Ya=8;fa=136;break}case 117:case 100:{Ya=10;fa=136;break}case 105:{Ya=0;fa=136;break}case 71:case 103:case 70:case 102:case 69:case 101:case 65:case 97:{Za=+Ura(a,N,0);if((k[u>>2]|0)==((k[v>>2]|0)-(k[s>>2]|0)|0)){Ra=X;Sa=C;Ta=Z;Ua=_;break b}if(!K){Va=$;Wa=Z;Xa=_}else switch(N|0){case 0:{o[K>>2]=Za;Va=$;Wa=Z;Xa=_;break f;break}case 1:{p[K>>3]=Za;Va=$;Wa=Z;Xa=_;break f;break}case 2:{p[K>>3]=Za;Va=$;Wa=Z;Xa=_;break f;break}default:{Va=$;Wa=Z;Xa=_;break f}}break}default:{Va=$;Wa=Z;Xa=_}}while(0);l:do if((fa|0)==136){fa=0;R=Vra(a,Ya,0,-1,-1)|0;if((k[u>>2]|0)==((k[v>>2]|0)-(k[s>>2]|0)|0)){Ra=X;Sa=C;Ta=Z;Ua=_;break b}if((K|0)!=0&(O|0)==112){k[K>>2]=R;Va=$;Wa=Z;Xa=_;break}if(!K){Va=$;Wa=Z;Xa=_}else switch(N|0){case -2:{i[K>>0]=R;Va=$;Wa=Z;Xa=_;break l;break}case -1:{j[K>>1]=R;Va=$;Wa=Z;Xa=_;break l;break}case 0:{k[K>>2]=R;Va=$;Wa=Z;Xa=_;break l;break}case 1:{k[K>>2]=R;Va=$;Wa=Z;Xa=_;break l;break}case 3:{wa=K;k[wa>>2]=R;k[wa+4>>2]=Q;Va=$;Wa=Z;Xa=_;break l;break}default:{Va=$;Wa=Z;Xa=_;break l}}}while(0);ia=((K|0)!=0&1)+C|0;ja=Va;ka=(k[u>>2]|0)+ga+(k[s>>2]|0)-(k[v>>2]|0)|0;la=Wa;ma=Xa;break c}while(0);N=D+(H&1)|0;Wra(a,0);O=k[s>>2]|0;if(O>>>0<(k[t>>2]|0)>>>0){k[s>>2]=O+1;_a=l[O>>0]|0}else _a=Xra(a)|0;if((_a|0)!=(l[N>>0]|0)){$a=_a;ab=C;bb=F;cb=G;fa=22;break b}ia=C;ja=N;ka=E+1|0;la=F;ma=G}else{N=D;while(1){O=N+1|0;if(!(Qra(l[O>>0]|0)|0)){db=N;break}else N=O}Wra(a,0);do{N=k[s>>2]|0;if(N>>>0<(k[t>>2]|0)>>>0){k[s>>2]=N+1;eb=l[N>>0]|0}else eb=Xra(a)|0}while((Qra(eb)|0)!=0);if(!(k[t>>2]|0))fb=k[s>>2]|0;else{N=(k[s>>2]|0)+-1|0;k[s>>2]=N;fb=N}ia=C;ja=db;ka=(k[u>>2]|0)+E+fb-(k[v>>2]|0)|0;la=F;ma=G}while(0);D=ja+1|0;B=i[D>>0]|0;if(!(B<<24>>24)){gb=ia;break a}else{C=ia;E=ka;F=la;G=ma}}if((fa|0)==22){if(k[t>>2]|0)k[s>>2]=(k[s>>2]|0)+-1;if((ab|0)!=0|($a|0)>-1){gb=ab;break}else{hb=0;ib=bb;jb=cb;fa=155}}else if((fa|0)==154)if(!ca){hb=ba;ib=da;jb=ea;fa=155}else{Ra=ba;Sa=ca;Ta=da;Ua=ea}if((fa|0)==155){Ra=hb;Sa=-1;Ta=ib;Ua=jb}if(!Ra)gb=Sa;else{mua(Ta);mua(Ua);gb=Sa}}else gb=0;while(0);if(n)Isa(a);r=d;return gb|0}function wta(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;e=r;r=r+128|0;f=e+112|0;g=e;h=g;j=42544;l=h+112|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));if((b+-1|0)>>>0>2147483646)if(!b){m=f;n=1;o=4}else{f=Sra()|0;k[f>>2]=75;p=-1}else{m=a;n=b;o=4}if((o|0)==4){o=-2-m|0;b=n>>>0>o>>>0?o:n;k[g+48>>2]=b;n=g+20|0;k[n>>2]=m;k[g+44>>2]=m;o=m+b|0;m=g+16|0;k[m>>2]=o;k[g+28>>2]=o;o=uta(g,c,d)|0;if(!b)p=o;else{b=k[n>>2]|0;i[b+(((b|0)==(k[m>>2]|0))<<31>>31)>>0]=0;p=o}}r=e;return p|0}function xta(a,b,c){a=a|0;b=b|0;c=c|0;return wta(a,2147483647,b,c)|0}function yta(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;d=r;r=r+112|0;e=d;f=e;g=f+112|0;do{k[f>>2]=0;f=f+4|0}while((f|0)<(g|0));k[e+32>>2]=51;k[e+44>>2]=a;k[e+76>>2]=-1;k[e+84>>2]=a;a=vta(e,b,c)|0;r=d;return a|0}function zta(a,b){a=a|0;b=b|0;return +(+fua(a,b,1))}function Ata(a,b,c){a=a|0;b=b|0;c=c|0;return +(+fua(a,b,2))}function Bta(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=gua(a,b,c,-1,-1)|0;return d|0}function Cta(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=gua(a,b,c,0,-2147483648)|0;return d|0}function Dta(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;d=b&255;e=(c|0)!=0;a:do if(e&(a&3|0)!=0){f=b&255;g=c;h=a;while(1){if((i[h>>0]|0)==f<<24>>24){j=g;l=h;m=6;break a}n=h+1|0;o=g+-1|0;p=(o|0)!=0;if(p&(n&3|0)!=0){g=o;h=n}else{q=o;r=p;s=n;m=5;break}}}else{q=c;r=e;s=a;m=5}while(0);if((m|0)==5)if(r){j=q;l=s;m=6}else{t=0;u=s}b:do if((m|0)==6){s=b&255;if((i[l>>0]|0)==s<<24>>24){t=j;u=l}else{q=ma(d,16843009)|0;c:do if(j>>>0>3){r=j;a=l;while(1){e=k[a>>2]^q;if((e&-2139062144^-2139062144)&e+-16843009){v=r;w=a;break}e=a+4|0;c=r+-4|0;if(c>>>0>3){r=c;a=e}else{x=c;y=e;m=11;break c}}z=v;A=w}else{x=j;y=l;m=11}while(0);if((m|0)==11)if(!x){t=0;u=y;break}else{z=x;A=y}while(1){if((i[A>>0]|0)==s<<24>>24){t=z;u=A;break b}q=A+1|0;z=z+-1|0;if(!z){t=0;u=q;break}else A=q}}}while(0);return ((t|0)!=0?u:0)|0}function Eta(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=b;a:do if(!((c^a)&3)){if(!(c&3)){d=b;e=a}else{f=a;g=b;while(1){h=i[g>>0]|0;i[f>>0]=h;if(!(h<<24>>24)){j=f;break a}h=g+1|0;l=f+1|0;if(!(h&3)){d=h;e=l;break}else{f=l;g=h}}}g=k[d>>2]|0;if(!((g&-2139062144^-2139062144)&g+-16843009)){f=g;g=e;h=d;while(1){l=h+4|0;m=g+4|0;k[g>>2]=f;f=k[l>>2]|0;if((f&-2139062144^-2139062144)&f+-16843009){n=m;o=l;break}else{g=m;h=l}}}else{n=e;o=d}p=o;q=n;r=8}else{p=b;q=a;r=8}while(0);if((r|0)==8){r=i[p>>0]|0;i[q>>0]=r;if(!(r<<24>>24))j=q;else{r=q;q=p;while(1){q=q+1|0;p=r+1|0;a=i[q>>0]|0;i[p>>0]=a;if(!(a<<24>>24)){j=p;break}else r=p}}}return j|0}function Fta(a,b){a=a|0;b=b|0;Jta(a+(Lta(a)|0)|0,b)|0;return a|0}function Gta(a,b){a=a|0;b=b|0;var c=0;c=Hta(a,b)|0;return ((i[c>>0]|0)==(b&255)<<24>>24?c:0)|0}function Hta(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;c=b&255;a:do if(!c)d=a+(Lta(a)|0)|0;else{if(!(a&3))e=a;else{f=b&255;g=a;while(1){h=i[g>>0]|0;if(h<<24>>24==0?1:h<<24>>24==f<<24>>24){d=g;break a}h=g+1|0;if(!(h&3)){e=h;break}else g=h}}g=ma(c,16843009)|0;f=k[e>>2]|0;b:do if(!((f&-2139062144^-2139062144)&f+-16843009)){h=f;j=e;while(1){l=h^g;if((l&-2139062144^-2139062144)&l+-16843009){m=j;break b}l=j+4|0;h=k[l>>2]|0;if((h&-2139062144^-2139062144)&h+-16843009){m=l;break}else j=l}}else m=e;while(0);g=b&255;f=m;while(1){j=i[f>>0]|0;if(j<<24>>24==0?1:j<<24>>24==g<<24>>24){d=f;break}else f=f+1|0}}while(0);return d|0}function Ita(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i[a>>0]|0;d=i[b>>0]|0;if(c<<24>>24==0?1:c<<24>>24!=d<<24>>24){e=c;f=d}else{d=a;a=b;do{d=d+1|0;a=a+1|0;b=i[d>>0]|0;c=i[a>>0]|0}while(!(b<<24>>24==0?1:b<<24>>24!=c<<24>>24));e=b;f=c}return (e&255)-(f&255)|0}function Jta(a,b){a=a|0;b=b|0;Eta(a,b)|0;return a|0}function Kta(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;c=r;r=r+32|0;d=c;e=i[b>>0]|0;if(e<<24>>24!=0?(i[b+1>>0]|0)!=0:0){k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[d+16>>2]=0;k[d+20>>2]=0;k[d+24>>2]=0;k[d+28>>2]=0;f=b;b=e;do{g=d+(((b&255)>>>5&255)<<2)|0;k[g>>2]=k[g>>2]|1<<(b&31);f=f+1|0;b=i[f>>0]|0}while(b<<24>>24!=0);b=i[a>>0]|0;a:do if(!(b<<24>>24))h=a;else{f=a;g=b;while(1){if(k[d+(((g&255)>>>5&255)<<2)>>2]&1<<(g&31)){h=f;break a}j=f+1|0;g=i[j>>0]|0;if(!(g<<24>>24)){h=j;break}else f=j}}while(0);l=h-a|0}else l=(Hta(a,e<<24>>24)|0)-a|0;r=c;return l|0}function Lta(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;b=a;a:do if(!(b&3)){c=a;d=4}else{e=a;f=b;while(1){if(!(i[e>>0]|0)){g=f;break a}h=e+1|0;f=h;if(!(f&3)){c=h;d=4;break}else e=h}}while(0);if((d|0)==4){d=c;while(1){c=k[d>>2]|0;if(!((c&-2139062144^-2139062144)&c+-16843009))d=d+4|0;else{j=c;l=d;break}}if(!((j&255)<<24>>24))m=l;else{j=l;while(1){l=j+1|0;if(!(i[l>>0]|0)){m=l;break}else j=l}}g=m}return g-b|0}function Mta(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,m=0,n=0;if(!c)d=0;else{e=i[a>>0]|0;a:do if(!(e<<24>>24)){f=0;g=b}else{h=c;j=e;k=a;m=b;while(1){h=h+-1|0;n=i[m>>0]|0;if(!(j<<24>>24==n<<24>>24&((h|0)!=0&n<<24>>24!=0))){f=j;g=m;break a}k=k+1|0;n=m+1|0;j=i[k>>0]|0;if(!(j<<24>>24)){f=0;g=n;break}else m=n}}while(0);d=(f&255)-(l[g>>0]|0)|0}return d|0}function Nta(a,b){a=a|0;b=b|0;var c=0;c=Dta(a,0,b)|0;return ((c|0)==0?b:c-a|0)|0}function Ota(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;c=r;r=r+32|0;d=c;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[d+16>>2]=0;k[d+20>>2]=0;k[d+24>>2]=0;k[d+28>>2]=0;e=i[b>>0]|0;do if(!(e<<24>>24))f=0;else{if(!(i[b+1>>0]|0)){g=a;while(1)if((i[g>>0]|0)==e<<24>>24)g=g+1|0;else{h=g;break}f=h-a|0;break}else{j=b;l=e}do{g=d+(((l&255)>>>5&255)<<2)|0;k[g>>2]=k[g>>2]|1<<(l&31);j=j+1|0;l=i[j>>0]|0}while(l<<24>>24!=0);g=i[a>>0]|0;a:do if(!(g<<24>>24))m=a;else{n=a;o=g;while(1){if(!(k[d+(((o&255)>>>5&255)<<2)>>2]&1<<(o&31))){m=n;break a}p=n+1|0;o=i[p>>0]|0;if(!(o<<24>>24)){m=p;break}else n=p}}while(0);f=m-a|0}while(0);r=c;return f|0}function Pta(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;if(!a){c=k[10664]|0;if(!c)d=0;else{e=c;f=3}}else{e=a;f=3}do if((f|0)==3){a=e+(Ota(e,b)|0)|0;if(!(i[a>>0]|0)){k[10664]=0;d=0;break}c=a+(Kta(a,b)|0)|0;k[10664]=c;if(!(i[c>>0]|0)){k[10664]=0;d=a;break}else{k[10664]=c+1;i[c>>0]=0;d=a;break}}while(0);return d|0}function Qta(a){a=a|0;var b=0,c=0;b=a;while(1)if(!(k[b>>2]|0)){c=b;break}else b=b+4|0;return c-a>>2|0}function Rta(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(c){d=c;c=b;b=a;while(1){d=d+-1|0;k[b>>2]=k[c>>2];if(!d)break;else{c=c+4|0;b=b+4|0}}}return a|0}function Sta(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=(c|0)==0;if(a-b>>2>>>0<c>>>0){if(!d){e=c;do{e=e+-1|0;k[a+(e<<2)>>2]=k[b+(e<<2)>>2]}while((e|0)!=0)}}else if(!d){d=b;b=a;e=c;while(1){e=e+-1|0;k[b>>2]=k[d>>2];if(!e)break;else{d=d+4|0;b=b+4|0}}}return a|0}function Tta(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(c){d=c;c=a;while(1){d=d+-1|0;k[c>>2]=b;if(!d)break;else c=c+4|0}}return a|0}function Uta(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;c=a+4|0;d=k[c>>2]|0;e=a+100|0;if(d>>>0<(k[e>>2]|0)>>>0){k[c>>2]=d+1;f=l[d>>0]|0}else f=Xra(a)|0;switch(f|0){case 43:case 45:{d=(f|0)==45&1;g=k[c>>2]|0;if(g>>>0<(k[e>>2]|0)>>>0){k[c>>2]=g+1;h=l[g>>0]|0}else h=Xra(a)|0;if((b|0)!=0&(h+-48|0)>>>0>9?(k[e>>2]|0)!=0:0){k[c>>2]=(k[c>>2]|0)+-1;i=h;j=d}else{i=h;j=d}break}default:{i=f;j=0}}if((i+-48|0)>>>0>9)if(!(k[e>>2]|0)){m=-2147483648;n=0}else{k[c>>2]=(k[c>>2]|0)+-1;m=-2147483648;n=0}else{f=i;i=0;while(1){d=f+-48+(i*10|0)|0;h=k[c>>2]|0;if(h>>>0<(k[e>>2]|0)>>>0){k[c>>2]=h+1;o=l[h>>0]|0}else o=Xra(a)|0;if((o+-48|0)>>>0<10&(d|0)<214748364){f=o;i=d}else{p=d;q=o;break}}o=((p|0)<0)<<31>>31;if((q+-48|0)>>>0<10){i=p;f=o;d=q;while(1){h=bFa(i|0,f|0,10,0)|0;b=Q;g=QEa(d|0,((d|0)<0)<<31>>31|0,-48,-1)|0;r=QEa(g|0,Q|0,h|0,b|0)|0;b=Q;h=k[c>>2]|0;if(h>>>0<(k[e>>2]|0)>>>0){k[c>>2]=h+1;s=l[h>>0]|0}else s=Xra(a)|0;if((s+-48|0)>>>0<10&((b|0)<21474836|(b|0)==21474836&r>>>0<2061584302)){i=r;f=b;d=s}else{t=r;u=b;v=s;break}}}else{t=p;u=o;v=q}if((v+-48|0)>>>0<10)do{v=k[c>>2]|0;if(v>>>0<(k[e>>2]|0)>>>0){k[c>>2]=v+1;w=l[v>>0]|0}else w=Xra(a)|0}while((w+-48|0)>>>0<10);if(k[e>>2]|0)k[c>>2]=(k[c>>2]|0)+-1;c=(j|0)!=0;j=REa(0,0,t|0,u|0)|0;m=c?Q:u;n=c?j:t}Q=m;return n|0}function Vta(a){a=a|0;if(!(k[a+68>>2]|0))Isa(a);return}function Wta(a){a=a|0;if(!(k[a+68>>2]|0))Isa(a);return}function Xta(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=a+20|0;c=a+28|0;if((k[b>>2]|0)>>>0>(k[c>>2]|0)>>>0?(Rc[k[a+36>>2]&63](a,0,0)|0,(k[b>>2]|0)==0):0)d=-1;else{e=a+4|0;f=k[e>>2]|0;g=a+8|0;h=k[g>>2]|0;if(f>>>0<h>>>0)Rc[k[a+40>>2]&63](a,f-h|0,1)|0;k[a+16>>2]=0;k[c>>2]=0;k[b>>2]=0;k[g>>2]=0;k[e>>2]=0;d=0}return d|0}function Yta(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=k[a+84>>2]|0;e=k[d+4>>2]|0;f=k[d>>2]|0;g=e>>>0<f>>>0?0:e-f|0;if(g>>>0<c>>>0){k[a>>2]=k[a>>2]|16;h=g}else h=c;c=d+12|0;TEa(b|0,(k[c>>2]|0)+f|0,h|0)|0;f=(k[d>>2]|0)+h|0;k[d>>2]=f;b=g-h|0;g=k[a+48>>2]|0;e=b>>>0>g>>>0?g:b;b=k[a+44>>2]|0;k[a+4>>2]=b;g=b;k[a+8>>2]=g+e;TEa(g|0,(k[c>>2]|0)+f|0,e|0)|0;k[d>>2]=(k[d>>2]|0)+e;return h|0}function Zta(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;d=k[a+84>>2]|0;e=a+20|0;f=k[e>>2]|0;g=k[a+28>>2]|0;h=g;j=f-h|0;if((f|0)!=(h|0)?(k[e>>2]=g,(Zta(a,g,j)|0)>>>0<j>>>0):0)l=0;else m=3;do if((m|0)==3){if((k[d+16>>2]|0)==97){j=d+4|0;g=k[j>>2]|0;k[d>>2]=g;n=j;o=d;p=g}else{n=d+4|0;o=d;p=k[d>>2]|0}g=d+8|0;j=(k[g>>2]|0)-p|0;e=j>>>0<c>>>0?j:c;j=d+12|0;TEa((k[j>>2]|0)+p|0,b|0,e|0)|0;h=(k[o>>2]|0)+e|0;k[o>>2]=h;if(h>>>0>(k[n>>2]|0)>>>0){k[n>>2]=h;f=k[g>>2]|0;if(h>>>0<f>>>0){i[(k[j>>2]|0)+h>>0]=0;l=e;break}if(!((f|0)==0|(k[a>>2]&4|0)==0)){i[(k[j>>2]|0)+(f+-1)>>0]=0;l=e}else l=e}else l=e}while(0);return l|0}function _ta(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;d=r;r=r+16|0;e=d;f=k[a+84>>2]|0;if((c>>>0<=2?(k[e>>2]=0,k[e+4>>2]=k[f>>2],k[e+8>>2]=k[f+4>>2],a=k[e+(c<<2)>>2]|0,(b|0)>=(0-a|0)):0)?((k[f+8>>2]|0)-a|0)>=(b|0):0){c=a+b|0;k[f>>2]=c;g=c}else{c=Sra()|0;k[c>>2]=22;g=-1}r=d;return g|0}function $ta(a){a=a|0;return 0}function aua(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;d=k[a+84>>2]|0;e=a+20|0;f=k[e>>2]|0;g=k[a+28>>2]|0;h=g;i=f-h|0;if((f|0)!=(h|0)?(k[e>>2]=g,(aua(a,g,i)|0)>>>0<i>>>0):0)j=0;else l=3;do if((l|0)==3){i=d+8|0;g=k[i>>2]|0;a=g+c|0;e=d+20|0;h=k[e>>2]|0;if(a>>>0<h>>>0){m=d+12|0;n=g}else{g=a+1|h<<1|1;h=d+12|0;a=oua(k[h>>2]|0,g)|0;if(!a){j=0;break}k[h>>2]=a;k[k[d>>2]>>2]=a;a=k[e>>2]|0;WEa((k[h>>2]|0)+a|0,0,g-a|0)|0;k[e>>2]=g;m=h;n=k[i>>2]|0}TEa((k[m>>2]|0)+n|0,b|0,c|0)|0;h=(k[i>>2]|0)+c|0;k[i>>2]=h;i=d+16|0;if(h>>>0>=(k[i>>2]|0)>>>0)k[i>>2]=h;k[k[d+4>>2]>>2]=h;j=c}while(0);return j|0}function bua(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;d=r;r=r+16|0;e=d;f=k[a+84>>2]|0;if(c>>>0<=2?(k[e>>2]=0,a=f+8|0,k[e+4>>2]=k[a>>2],k[e+8>>2]=k[f+16>>2],f=k[e+(c<<2)>>2]|0,!((b|0)<(0-f|0)|(2147483647-f|0)<(b|0))):0){c=f+b|0;k[a>>2]=c;g=c}else{c=Sra()|0;k[c>>2]=22;g=-1}r=d;return g|0}function cua(a){a=a|0;return 0}function dua(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0.0,db=0.0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0.0,kb=0.0,lb=0.0,mb=0.0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0.0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0.0,Yb=0.0,Zb=0.0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0;f=r;r=r+624|0;g=f+24|0;h=f+16|0;m=f+588|0;n=f+576|0;o=f;q=f+536|0;s=f+8|0;u=f+528|0;v=(a|0)!=0;w=q+40|0;x=w;y=q+39|0;q=s+4|0;z=m;A=0-z|0;B=n+12|0;C=n+11|0;n=B;D=n-z|0;E=-2-z|0;F=n+2|0;G=g+288|0;H=m+9|0;I=H;J=m+8|0;K=0;L=0;M=0;N=b;a:while(1){do if((K|0)>-1)if((L|0)>(2147483647-K|0)){b=Sra()|0;k[b>>2]=75;O=-1;break}else{O=L+K|0;break}else O=K;while(0);b=i[N>>0]|0;if(!(b<<24>>24)){P=O;R=M;S=244;break}else{T=b;U=N}b:while(1){switch(T<<24>>24){case 37:{V=U;W=U;S=9;break b;break}case 0:{X=U;Y=U;break b;break}default:{}}b=U+1|0;T=i[b>>0]|0;U=b}c:do if((S|0)==9)while(1){S=0;if((i[V+1>>0]|0)!=37){X=V;Y=W;break c}b=W+1|0;Z=V+2|0;if((i[Z>>0]|0)==37){V=Z;W=b;S=9}else{X=Z;Y=b;break}}while(0);b=Y-N|0;if(v?(k[a>>2]&32|0)==0:0)ita(N,b,a)|0;if((Y|0)!=(N|0)){K=O;L=b;N=X;continue}Z=X+1|0;_=i[Z>>0]|0;$=(_<<24>>24)+-48|0;if($>>>0<10){aa=(i[X+2>>0]|0)==36;ba=aa?X+3|0:Z;ca=i[ba>>0]|0;da=aa?$:-1;ea=aa?1:M;fa=ba}else{ca=_;da=-1;ea=M;fa=Z}Z=ca<<24>>24;d:do if((Z&-32|0)==32){_=Z;ba=ca;aa=0;$=fa;while(1){if(!(1<<_+-32&75913)){ga=ba;ha=aa;ia=$;break d}ja=1<<(ba<<24>>24)+-32|aa;ka=$+1|0;la=i[ka>>0]|0;_=la<<24>>24;if((_&-32|0)!=32){ga=la;ha=ja;ia=ka;break}else{ba=la;aa=ja;$=ka}}}else{ga=ca;ha=0;ia=fa}while(0);do if(ga<<24>>24==42){Z=ia+1|0;$=(i[Z>>0]|0)+-48|0;if($>>>0<10?(i[ia+2>>0]|0)==36:0){k[e+($<<2)>>2]=10;na=1;oa=ia+3|0;pa=k[d+((i[Z>>0]|0)+-48<<3)>>2]|0}else{if(ea){qa=-1;break a}if(!v){ra=ha;sa=0;ta=Z;ua=0;break}$=(k[c>>2]|0)+(4-1)&~(4-1);aa=k[$>>2]|0;k[c>>2]=$+4;na=0;oa=Z;pa=aa}if((pa|0)<0){ra=ha|8192;sa=na;ta=oa;ua=0-pa|0}else{ra=ha;sa=na;ta=oa;ua=pa}}else{aa=(ga<<24>>24)+-48|0;if(aa>>>0<10){Z=ia;$=0;ba=aa;while(1){aa=($*10|0)+ba|0;_=Z+1|0;ba=(i[_>>0]|0)+-48|0;if(ba>>>0>=10){va=aa;wa=_;break}else{Z=_;$=aa}}if((va|0)<0){qa=-1;break a}else{ra=ha;sa=ea;ta=wa;ua=va}}else{ra=ha;sa=ea;ta=ia;ua=0}}while(0);e:do if((i[ta>>0]|0)==46){$=ta+1|0;Z=i[$>>0]|0;if(Z<<24>>24!=42){ba=(Z<<24>>24)+-48|0;if(ba>>>0<10){xa=$;ya=0;za=ba}else{Aa=0;Ba=$;break}while(1){$=(ya*10|0)+za|0;ba=xa+1|0;za=(i[ba>>0]|0)+-48|0;if(za>>>0>=10){Aa=$;Ba=ba;break e}else{xa=ba;ya=$}}}$=ta+2|0;ba=(i[$>>0]|0)+-48|0;if(ba>>>0<10?(i[ta+3>>0]|0)==36:0){k[e+(ba<<2)>>2]=10;Aa=k[d+((i[$>>0]|0)+-48<<3)>>2]|0;Ba=ta+4|0;break}if(sa){qa=-1;break a}if(v){ba=(k[c>>2]|0)+(4-1)&~(4-1);Z=k[ba>>2]|0;k[c>>2]=ba+4;Aa=Z;Ba=$}else{Aa=0;Ba=$}}else{Aa=-1;Ba=ta}while(0);$=Ba;Z=0;while(1){ba=(i[$>>0]|0)+-65|0;if(ba>>>0>57){qa=-1;break a}aa=$+1|0;_=i[156545+(Z*58|0)+ba>>0]|0;ba=_&255;if((ba+-1|0)>>>0<8){$=aa;Z=ba}else{Ca=aa;Da=_;Ea=ba;Fa=$;Ga=Z;break}}if(!(Da<<24>>24)){qa=-1;break}Z=(da|0)>-1;do if(Da<<24>>24==19)if(Z){qa=-1;break a}else S=52;else{if(Z){k[e+(da<<2)>>2]=Ea;$=d+(da<<3)|0;ba=k[$+4>>2]|0;_=o;k[_>>2]=k[$>>2];k[_+4>>2]=ba;S=52;break}if(!v){qa=0;break a}iua(o,Ea,c)}while(0);if((S|0)==52?(S=0,!v):0){K=O;L=b;M=sa;N=Ca;continue}Z=i[Fa>>0]|0;ba=(Ga|0)!=0&(Z&15|0)==3?Z&-33:Z;Z=ra&-65537;_=(ra&8192|0)==0?ra:Z;f:do switch(ba|0){case 110:{switch(Ga|0){case 0:{k[k[o>>2]>>2]=O;K=O;L=b;M=sa;N=Ca;continue a;break}case 1:{k[k[o>>2]>>2]=O;K=O;L=b;M=sa;N=Ca;continue a;break}case 2:{$=k[o>>2]|0;k[$>>2]=O;k[$+4>>2]=((O|0)<0)<<31>>31;K=O;L=b;M=sa;N=Ca;continue a;break}case 3:{j[k[o>>2]>>1]=O;K=O;L=b;M=sa;N=Ca;continue a;break}case 4:{i[k[o>>2]>>0]=O;K=O;L=b;M=sa;N=Ca;continue a;break}case 6:{k[k[o>>2]>>2]=O;K=O;L=b;M=sa;N=Ca;continue a;break}case 7:{$=k[o>>2]|0;k[$>>2]=O;k[$+4>>2]=((O|0)<0)<<31>>31;K=O;L=b;M=sa;N=Ca;continue a;break}default:{K=O;L=b;M=sa;N=Ca;continue a}}break}case 112:{Ha=_|8;Ia=Aa>>>0>8?Aa:8;Ja=120;S=64;break}case 88:case 120:{Ha=_;Ia=Aa;Ja=ba;S=64;break}case 111:{$=o;aa=k[$>>2]|0;ka=k[$+4>>2]|0;if((aa|0)==0&(ka|0)==0)Ka=w;else{$=w;ja=aa;aa=ka;while(1){ka=$+-1|0;i[ka>>0]=ja&7|48;ja=SEa(ja|0,aa|0,3)|0;aa=Q;if((ja|0)==0&(aa|0)==0){Ka=ka;break}else $=ka}}if(!(_&8)){La=Ka;Ma=_;Na=Aa;Oa=0;Pa=157025;S=77}else{$=x-Ka|0;La=Ka;Ma=_;Na=(Aa|0)>($|0)?Aa:$+1|0;Oa=0;Pa=157025;S=77}break}case 105:case 100:{$=o;aa=k[$>>2]|0;ja=k[$+4>>2]|0;if((ja|0)<0){$=REa(0,0,aa|0,ja|0)|0;ka=Q;la=o;k[la>>2]=$;k[la+4>>2]=ka;Qa=$;Ra=ka;Sa=1;Ta=157025;S=76;break f}if(!(_&2048)){ka=_&1;Qa=aa;Ra=ja;Sa=ka;Ta=(ka|0)==0?157025:157027;S=76}else{Qa=aa;Ra=ja;Sa=1;Ta=157026;S=76}break}case 117:{ja=o;Qa=k[ja>>2]|0;Ra=k[ja+4>>2]|0;Sa=0;Ta=157025;S=76;break}case 99:{i[y>>0]=k[o>>2];Ua=y;Va=Z;Wa=1;Xa=0;Ya=157025;Za=w;break}case 109:{ja=Sra()|0;_a=Tra(k[ja>>2]|0)|0;S=82;break}case 115:{ja=k[o>>2]|0;_a=(ja|0)!=0?ja:157035;S=82;break}case 67:{k[s>>2]=k[o>>2];k[q>>2]=0;k[o>>2]=s;$a=s;ab=-1;S=86;break}case 83:{ja=k[o>>2]|0;if(!Aa){kua(a,32,ua,0,_);bb=0;S=97}else{$a=ja;ab=Aa;S=86}break}case 65:case 71:case 70:case 69:case 97:case 103:case 102:case 101:{cb=+p[o>>3];k[h>>2]=0;p[t>>3]=cb;if((k[t+4>>2]|0)>=0)if(!(_&2048)){ja=_&1;db=cb;eb=ja;fb=(ja|0)==0?157043:157048}else{db=cb;eb=1;fb=157045}else{db=-cb;eb=1;fb=157042}p[t>>3]=db;ja=k[t+4>>2]&2146435072;do if(ja>>>0<2146435072|(ja|0)==2146435072&0<0){cb=+nsa(db,h)*2.0;aa=cb!=0.0;if(aa)k[h>>2]=(k[h>>2]|0)+-1;ka=ba|32;if((ka|0)==97){$=ba&32;la=($|0)==0?fb:fb+9|0;gb=eb|2;hb=12-Aa|0;do if(!(Aa>>>0>11|(hb|0)==0)){ib=hb;jb=8.0;while(1){ib=ib+-1|0;kb=jb*16.0;if(!ib){lb=kb;break}else jb=kb}if((i[la>>0]|0)==45){mb=-(lb+(-cb-lb));break}else{mb=cb+lb-lb;break}}else mb=cb;while(0);hb=k[h>>2]|0;ib=(hb|0)<0?0-hb|0:hb;nb=jua(ib,((ib|0)<0)<<31>>31,B)|0;if((nb|0)==(B|0)){i[C>>0]=48;ob=C}else ob=nb;i[ob+-1>>0]=(hb>>31&2)+43;hb=ob+-2|0;i[hb>>0]=ba+15;nb=(Aa|0)<1;ib=(_&8|0)==0;jb=mb;pb=m;while(1){qb=~~jb;rb=pb+1|0;i[pb>>0]=l[157009+qb>>0]|$;jb=(jb-+(qb|0))*16.0;do if((rb-z|0)==1){if(ib&(nb&jb==0.0)){sb=rb;break}i[rb>>0]=46;sb=pb+2|0}else sb=rb;while(0);if(!(jb!=0.0)){tb=sb;break}else pb=sb}pb=tb;nb=hb;ib=(Aa|0)!=0&(E+pb|0)<(Aa|0)?F+Aa-nb|0:D-nb+pb|0;$=ib+gb|0;kua(a,32,ua,$,_);if(!(k[a>>2]&32))ita(la,gb,a)|0;kua(a,48,ua,$,_^65536);rb=pb-z|0;if(!(k[a>>2]&32))ita(m,rb,a)|0;pb=n-nb|0;kua(a,48,ib-(rb+pb)|0,0,0);if(!(k[a>>2]&32))ita(hb,pb,a)|0;kua(a,32,ua,$,_^8192);ub=($|0)<(ua|0)?ua:$;break}$=(Aa|0)<0?6:Aa;if(aa){pb=(k[h>>2]|0)+-28|0;k[h>>2]=pb;vb=cb*268435456.0;wb=pb}else{vb=cb;wb=k[h>>2]|0}pb=(wb|0)<0?g:G;rb=pb;jb=vb;ib=pb;while(1){nb=~~jb>>>0;k[ib>>2]=nb;qb=ib+4|0;jb=(jb-+(nb>>>0))*1.0e9;if(!(jb!=0.0)){xb=qb;break}else ib=qb}ib=k[h>>2]|0;if((ib|0)>0){aa=ib;hb=pb;gb=xb;while(1){la=(aa|0)>29?29:aa;qb=gb+-4|0;do if(qb>>>0<hb>>>0)yb=hb;else{nb=0;zb=qb;while(1){Ab=XEa(k[zb>>2]|0,0,la|0)|0;Bb=QEa(Ab|0,Q|0,nb|0,0)|0;Ab=Q;Cb=dFa(Bb|0,Ab|0,1e9,0)|0;k[zb>>2]=Cb;Cb=cFa(Bb|0,Ab|0,1e9,0)|0;zb=zb+-4|0;if(zb>>>0<hb>>>0){Db=Cb;break}else nb=Cb}if(!Db){yb=hb;break}nb=hb+-4|0;k[nb>>2]=Db;yb=nb}while(0);qb=gb;while(1){if(qb>>>0<=yb>>>0){Eb=qb;break}nb=qb+-4|0;if(!(k[nb>>2]|0))qb=nb;else{Eb=qb;break}}qb=(k[h>>2]|0)-la|0;k[h>>2]=qb;if((qb|0)>0){aa=qb;hb=yb;gb=Eb}else{Fb=qb;Gb=yb;Hb=Eb;break}}}else{Fb=ib;Gb=pb;Hb=xb}if((Fb|0)<0){gb=(($+25|0)/9|0)+1|0;hb=(ka|0)==102;aa=Fb;qb=Gb;nb=Hb;while(1){zb=0-aa|0;Cb=(zb|0)>9?9:zb;do if(qb>>>0<nb>>>0){zb=(1<<Cb)+-1|0;Ab=1e9>>>Cb;Bb=0;Ib=qb;while(1){Jb=k[Ib>>2]|0;k[Ib>>2]=(Jb>>>Cb)+Bb;Kb=ma(Jb&zb,Ab)|0;Ib=Ib+4|0;if(Ib>>>0>=nb>>>0){Lb=Kb;break}else Bb=Kb}Bb=(k[qb>>2]|0)==0?qb+4|0:qb;if(!Lb){Mb=Bb;Nb=nb;break}k[nb>>2]=Lb;Mb=Bb;Nb=nb+4|0}else{Mb=(k[qb>>2]|0)==0?qb+4|0:qb;Nb=nb}while(0);la=hb?pb:Mb;Bb=(Nb-la>>2|0)>(gb|0)?la+(gb<<2)|0:Nb;aa=(k[h>>2]|0)+Cb|0;k[h>>2]=aa;if((aa|0)>=0){Ob=Mb;Pb=Bb;break}else{qb=Mb;nb=Bb}}}else{Ob=Gb;Pb=Hb}do if(Ob>>>0<Pb>>>0){nb=(rb-Ob>>2)*9|0;qb=k[Ob>>2]|0;if(qb>>>0<10){Qb=nb;break}else{Rb=nb;Sb=10}while(1){Sb=Sb*10|0;nb=Rb+1|0;if(qb>>>0<Sb>>>0){Qb=nb;break}else Rb=nb}}else Qb=0;while(0);qb=(ka|0)==103;Cb=($|0)!=0;nb=$-((ka|0)!=102?Qb:0)+((Cb&qb)<<31>>31)|0;if((nb|0)<(((Pb-rb>>2)*9|0)+-9|0)){aa=nb+9216|0;nb=pb+4+(((aa|0)/9|0)+-1024<<2)|0;gb=((aa|0)%9|0)+1|0;if((gb|0)<9){aa=10;hb=gb;while(1){gb=aa*10|0;hb=hb+1|0;if((hb|0)==9){Tb=gb;break}else aa=gb}}else Tb=10;aa=k[nb>>2]|0;hb=(aa>>>0)%(Tb>>>0)|0;ka=(nb+4|0)==(Pb|0);do if(ka&(hb|0)==0){Ub=Ob;Vb=nb;Wb=Qb}else{jb=(((aa>>>0)/(Tb>>>0)|0)&1|0)==0?9007199254740992.0:9007199254740994.0;gb=(Tb|0)/2|0;if(hb>>>0<gb>>>0)Xb=.5;else Xb=ka&(hb|0)==(gb|0)?1.0:1.5;do if(!eb){Yb=jb;Zb=Xb}else{if((i[fb>>0]|0)!=45){Yb=jb;Zb=Xb;break}Yb=-jb;Zb=-Xb}while(0);gb=aa-hb|0;k[nb>>2]=gb;if(!(Yb+Zb!=Yb)){Ub=Ob;Vb=nb;Wb=Qb;break}ib=gb+Tb|0;k[nb>>2]=ib;if(ib>>>0>999999999){ib=Ob;gb=nb;while(1){Bb=gb+-4|0;k[gb>>2]=0;if(Bb>>>0<ib>>>0){la=ib+-4|0;k[la>>2]=0;_b=la}else _b=ib;la=(k[Bb>>2]|0)+1|0;k[Bb>>2]=la;if(la>>>0>999999999){ib=_b;gb=Bb}else{$b=_b;ac=Bb;break}}}else{$b=Ob;ac=nb}gb=(rb-$b>>2)*9|0;ib=k[$b>>2]|0;if(ib>>>0<10){Ub=$b;Vb=ac;Wb=gb;break}else{bc=gb;cc=10}while(1){cc=cc*10|0;gb=bc+1|0;if(ib>>>0<cc>>>0){Ub=$b;Vb=ac;Wb=gb;break}else bc=gb}}while(0);nb=Vb+4|0;dc=Ub;ec=Wb;fc=Pb>>>0>nb>>>0?nb:Pb}else{dc=Ob;ec=Qb;fc=Pb}nb=0-ec|0;hb=fc;while(1){if(hb>>>0<=dc>>>0){gc=0;hc=hb;break}aa=hb+-4|0;if(!(k[aa>>2]|0))hb=aa;else{gc=1;hc=hb;break}}do if(qb){hb=(Cb&1^1)+$|0;if((hb|0)>(ec|0)&(ec|0)>-5){ic=ba+-1|0;jc=hb+-1-ec|0}else{ic=ba+-2|0;jc=hb+-1|0}hb=_&8;if(hb){kc=ic;lc=jc;mc=hb;break}do if(gc){hb=k[hc+-4>>2]|0;if(!hb){nc=9;break}if(!((hb>>>0)%10|0)){oc=10;pc=0}else{nc=0;break}while(1){oc=oc*10|0;aa=pc+1|0;if((hb>>>0)%(oc>>>0)|0){nc=aa;break}else pc=aa}}else nc=9;while(0);hb=((hc-rb>>2)*9|0)+-9|0;if((ic|32|0)==102){aa=hb-nc|0;ka=(aa|0)<0?0:aa;kc=ic;lc=(jc|0)<(ka|0)?jc:ka;mc=0;break}else{ka=hb+ec-nc|0;hb=(ka|0)<0?0:ka;kc=ic;lc=(jc|0)<(hb|0)?jc:hb;mc=0;break}}else{kc=ba;lc=$;mc=_&8}while(0);$=lc|mc;rb=($|0)!=0&1;Cb=(kc|32|0)==102;if(Cb){qc=(ec|0)>0?ec:0;rc=0}else{qb=(ec|0)<0?nb:ec;hb=jua(qb,((qb|0)<0)<<31>>31,B)|0;if((n-hb|0)<2){qb=hb;while(1){ka=qb+-1|0;i[ka>>0]=48;if((n-ka|0)<2)qb=ka;else{sc=ka;break}}}else sc=hb;i[sc+-1>>0]=(ec>>31&2)+43;qb=sc+-2|0;i[qb>>0]=kc;qc=n-qb|0;rc=qb}qb=eb+1+lc+rb+qc|0;kua(a,32,ua,qb,_);if(!(k[a>>2]&32))ita(fb,eb,a)|0;kua(a,48,ua,qb,_^65536);do if(Cb){nb=dc>>>0>pb>>>0?pb:dc;ka=nb;while(1){aa=jua(k[ka>>2]|0,0,H)|0;do if((ka|0)==(nb|0)){if((aa|0)!=(H|0)){tc=aa;break}i[J>>0]=48;tc=J}else{if(aa>>>0<=m>>>0){tc=aa;break}WEa(m|0,48,aa-z|0)|0;ib=aa;while(1){gb=ib+-1|0;if(gb>>>0>m>>>0)ib=gb;else{tc=gb;break}}}while(0);if(!(k[a>>2]&32))ita(tc,I-tc|0,a)|0;aa=ka+4|0;if(aa>>>0>pb>>>0){uc=aa;break}else ka=aa}do if($){if(k[a>>2]&32)break;ita(157077,1,a)|0}while(0);if((lc|0)>0&uc>>>0<hc>>>0){ka=lc;nb=uc;while(1){aa=jua(k[nb>>2]|0,0,H)|0;if(aa>>>0>m>>>0){WEa(m|0,48,aa-z|0)|0;ib=aa;while(1){gb=ib+-1|0;if(gb>>>0>m>>>0)ib=gb;else{vc=gb;break}}}else vc=aa;if(!(k[a>>2]&32))ita(vc,(ka|0)>9?9:ka,a)|0;nb=nb+4|0;ib=ka+-9|0;if(!((ka|0)>9&nb>>>0<hc>>>0)){wc=ib;break}else ka=ib}}else wc=lc;kua(a,48,wc+9|0,9,0)}else{ka=gc?hc:dc+4|0;if((lc|0)>-1){nb=(mc|0)==0;ib=lc;gb=dc;while(1){Bb=jua(k[gb>>2]|0,0,H)|0;if((Bb|0)==(H|0)){i[J>>0]=48;xc=J}else xc=Bb;do if((gb|0)==(dc|0)){Bb=xc+1|0;if(!(k[a>>2]&32))ita(xc,1,a)|0;if(nb&(ib|0)<1){yc=Bb;break}if(k[a>>2]&32){yc=Bb;break}ita(157077,1,a)|0;yc=Bb}else{if(xc>>>0<=m>>>0){yc=xc;break}WEa(m|0,48,xc+A|0)|0;Bb=xc;while(1){la=Bb+-1|0;if(la>>>0>m>>>0)Bb=la;else{yc=la;break}}}while(0);aa=I-yc|0;if(!(k[a>>2]&32))ita(yc,(ib|0)>(aa|0)?aa:ib,a)|0;Bb=ib-aa|0;gb=gb+4|0;if(!(gb>>>0<ka>>>0&(Bb|0)>-1)){zc=Bb;break}else ib=Bb}}else zc=lc;kua(a,48,zc+18|0,18,0);if(k[a>>2]&32)break;ita(rc,n-rc|0,a)|0}while(0);kua(a,32,ua,qb,_^8192);ub=(qb|0)<(ua|0)?ua:qb}else{$=(ba&32|0)!=0;pb=db!=db|0.0!=0.0;Cb=pb?0:eb;rb=Cb+3|0;kua(a,32,ua,rb,Z);hb=k[a>>2]|0;if(!(hb&32)){ita(fb,Cb,a)|0;Ac=k[a>>2]|0}else Ac=hb;if(!(Ac&32))ita(pb?($?157069:157073):$?157061:157065,3,a)|0;kua(a,32,ua,rb,_^8192);ub=(rb|0)<(ua|0)?ua:rb}while(0);K=O;L=ub;M=sa;N=Ca;continue a;break}default:{Ua=N;Va=_;Wa=Aa;Xa=0;Ya=157025;Za=w}}while(0);g:do if((S|0)==64){S=0;ba=o;b=k[ba>>2]|0;ja=k[ba+4>>2]|0;ba=Ja&32;if(!((b|0)==0&(ja|0)==0)){rb=w;$=b;b=ja;while(1){ja=rb+-1|0;i[ja>>0]=l[157009+($&15)>>0]|ba;$=SEa($|0,b|0,4)|0;b=Q;if(($|0)==0&(b|0)==0){Bc=ja;break}else rb=ja}rb=o;if((Ha&8|0)==0|(k[rb>>2]|0)==0&(k[rb+4>>2]|0)==0){La=Bc;Ma=Ha;Na=Ia;Oa=0;Pa=157025;S=77}else{La=Bc;Ma=Ha;Na=Ia;Oa=2;Pa=157025+(Ja>>4)|0;S=77}}else{La=w;Ma=Ha;Na=Ia;Oa=0;Pa=157025;S=77}}else if((S|0)==76){S=0;La=jua(Qa,Ra,w)|0;Ma=_;Na=Aa;Oa=Sa;Pa=Ta;S=77}else if((S|0)==82){S=0;rb=Dta(_a,0,Aa)|0;b=(rb|0)==0;Ua=_a;Va=Z;Wa=b?Aa:rb-_a|0;Xa=0;Ya=157025;Za=b?_a+Aa|0:rb}else if((S|0)==86){S=0;rb=0;b=0;$=$a;while(1){ba=k[$>>2]|0;if(!ba){Cc=rb;Dc=b;break}ja=Csa(u,ba)|0;if((ja|0)<0|ja>>>0>(ab-rb|0)>>>0){Cc=rb;Dc=ja;break}ba=ja+rb|0;if(ab>>>0>ba>>>0){rb=ba;b=ja;$=$+4|0}else{Cc=ba;Dc=ja;break}}if((Dc|0)<0){qa=-1;break a}kua(a,32,ua,Cc,_);if(!Cc){bb=0;S=97}else{$=0;b=$a;while(1){rb=k[b>>2]|0;if(!rb){bb=Cc;S=97;break g}ja=Csa(u,rb)|0;$=ja+$|0;if(($|0)>(Cc|0)){bb=Cc;S=97;break g}if(!(k[a>>2]&32))ita(u,ja,a)|0;if($>>>0>=Cc>>>0){bb=Cc;S=97;break}else b=b+4|0}}}while(0);if((S|0)==97){S=0;kua(a,32,ua,bb,_^8192);K=O;L=(ua|0)>(bb|0)?ua:bb;M=sa;N=Ca;continue}if((S|0)==77){S=0;Z=(Na|0)>-1?Ma&-65537:Ma;b=o;$=(k[b>>2]|0)!=0|(k[b+4>>2]|0)!=0;if((Na|0)!=0|$){b=($&1^1)+(x-La)|0;Ua=La;Va=Z;Wa=(Na|0)>(b|0)?Na:b;Xa=Oa;Ya=Pa;Za=w}else{Ua=w;Va=Z;Wa=0;Xa=Oa;Ya=Pa;Za=w}}Z=Za-Ua|0;b=(Wa|0)<(Z|0)?Z:Wa;$=Xa+b|0;ja=(ua|0)<($|0)?$:ua;kua(a,32,ja,$,Va);if(!(k[a>>2]&32))ita(Ya,Xa,a)|0;kua(a,48,ja,$,Va^65536);kua(a,48,b,Z,0);if(!(k[a>>2]&32))ita(Ua,Z,a)|0;kua(a,32,ja,$,Va^8192);K=O;L=ja;M=sa;N=Ca}h:do if((S|0)==244)if(!a)if(R){Ca=1;while(1){N=k[e+(Ca<<2)>>2]|0;if(!N){Ec=Ca;break}iua(d+(Ca<<3)|0,N,c);Ca=Ca+1|0;if((Ca|0)>=10){qa=1;break h}}if((Ec|0)<10){Ca=Ec;while(1){if(k[e+(Ca<<2)>>2]|0){qa=-1;break h}Ca=Ca+1|0;if((Ca|0)>=10){qa=1;break}}}else qa=1}else qa=0;else qa=P;while(0);r=f;return qa|0}function eua(a,b,c){a=a|0;b=b|0;c=c|0;return Psa(a,b,c)|0}function fua(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0.0;d=r;r=r+112|0;e=d;f=e;g=f+112|0;do{k[f>>2]=0;f=f+4|0}while((f|0)<(g|0));f=e+4|0;k[f>>2]=a;g=e+8|0;k[g>>2]=-1;k[e+44>>2]=a;k[e+76>>2]=-1;Wra(e,0);h=+Ura(e,c,1);c=(k[f>>2]|0)-(k[g>>2]|0)+(k[e+108>>2]|0)|0;if(b)k[b>>2]=(c|0)!=0?a+c|0:a;r=d;return +h}function gua(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;f=r;r=r+112|0;g=f;k[g>>2]=0;h=g+4|0;k[h>>2]=a;k[g+44>>2]=a;i=g+8|0;k[i>>2]=(a|0)<0?-1:a+2147483647|0;k[g+76>>2]=-1;Wra(g,0);j=Vra(g,c,1,d,e)|0;if(b)k[b>>2]=a+((k[h>>2]|0)+(k[g+108>>2]|0)-(k[i>>2]|0));r=f;return j|0}function hua(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=a+20|0;e=k[d>>2]|0;f=(k[a+16>>2]|0)-e|0;a=f>>>0>c>>>0?c:f;TEa(e|0,b|0,a|0)|0;k[d>>2]=(k[d>>2]|0)+a;return c|0}function iua(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0.0;a:do if(b>>>0<=20)do switch(b|0){case 9:{d=(k[c>>2]|0)+(4-1)&~(4-1);e=k[d>>2]|0;k[c>>2]=d+4;k[a>>2]=e;break a;break}case 10:{e=(k[c>>2]|0)+(4-1)&~(4-1);d=k[e>>2]|0;k[c>>2]=e+4;e=a;k[e>>2]=d;k[e+4>>2]=((d|0)<0)<<31>>31;break a;break}case 11:{d=(k[c>>2]|0)+(4-1)&~(4-1);e=k[d>>2]|0;k[c>>2]=d+4;d=a;k[d>>2]=e;k[d+4>>2]=0;break a;break}case 12:{d=(k[c>>2]|0)+(8-1)&~(8-1);e=d;f=k[e>>2]|0;g=k[e+4>>2]|0;k[c>>2]=d+8;d=a;k[d>>2]=f;k[d+4>>2]=g;break a;break}case 13:{g=(k[c>>2]|0)+(4-1)&~(4-1);d=k[g>>2]|0;k[c>>2]=g+4;g=(d&65535)<<16>>16;d=a;k[d>>2]=g;k[d+4>>2]=((g|0)<0)<<31>>31;break a;break}case 14:{g=(k[c>>2]|0)+(4-1)&~(4-1);d=k[g>>2]|0;k[c>>2]=g+4;g=a;k[g>>2]=d&65535;k[g+4>>2]=0;break a;break}case 15:{g=(k[c>>2]|0)+(4-1)&~(4-1);d=k[g>>2]|0;k[c>>2]=g+4;g=(d&255)<<24>>24;d=a;k[d>>2]=g;k[d+4>>2]=((g|0)<0)<<31>>31;break a;break}case 16:{g=(k[c>>2]|0)+(4-1)&~(4-1);d=k[g>>2]|0;k[c>>2]=g+4;g=a;k[g>>2]=d&255;k[g+4>>2]=0;break a;break}case 17:{g=(k[c>>2]|0)+(8-1)&~(8-1);h=+p[g>>3];k[c>>2]=g+8;p[a>>3]=h;break a;break}case 18:{g=(k[c>>2]|0)+(8-1)&~(8-1);h=+p[g>>3];k[c>>2]=g+8;p[a>>3]=h;break a;break}default:break a}while(0);while(0);return}function jua(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;if(b>>>0>0|(b|0)==0&a>>>0>4294967295){d=c;e=a;f=b;while(1){b=dFa(e|0,f|0,10,0)|0;g=d+-1|0;i[g>>0]=b|48;b=cFa(e|0,f|0,10,0)|0;if(f>>>0>9|(f|0)==9&e>>>0>4294967295){d=g;e=b;f=Q}else{h=g;j=b;break}}k=h;l=j}else{k=c;l=a}if(!l)m=k;else{a=k;k=l;while(1){l=a+-1|0;i[l>>0]=(k>>>0)%10|0|48;if(k>>>0<10){m=l;break}else{a=l;k=(k>>>0)/10|0}}}return m|0}function kua(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;f=r;r=r+256|0;g=f;do if((c|0)>(d|0)&(e&73728|0)==0){h=c-d|0;WEa(g|0,b|0,(h>>>0>256?256:h)|0)|0;i=k[a>>2]|0;j=(i&32|0)==0;if(h>>>0>255){l=c-d|0;m=h;n=i;i=j;while(1){if(i){ita(g,256,a)|0;o=k[a>>2]|0}else o=n;m=m+-256|0;i=(o&32|0)==0;if(m>>>0<=255)break;else n=o}if(i)p=l&255;else break}else if(j)p=h;else break;ita(g,p,a)|0}while(0);r=f;return}function lua(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0;do if(a>>>0<245){b=a>>>0<11?16:a+11&-8;c=b>>>3;d=k[11517]|0;e=d>>>c;if(e&3){f=(e&1^1)+c|0;g=46108+(f<<1<<2)|0;h=g+8|0;i=k[h>>2]|0;j=i+8|0;l=k[j>>2]|0;do if((g|0)!=(l|0)){if(l>>>0<(k[11521]|0)>>>0)mc();m=l+12|0;if((k[m>>2]|0)==(i|0)){k[m>>2]=g;k[h>>2]=l;break}else mc()}else k[11517]=d&~(1<<f);while(0);l=f<<3;k[i+4>>2]=l|3;h=i+l+4|0;k[h>>2]=k[h>>2]|1;n=j;return n|0}h=k[11519]|0;if(b>>>0>h>>>0){if(e){l=2<<c;g=e<<c&(l|0-l);l=(g&0-g)+-1|0;g=l>>>12&16;m=l>>>g;l=m>>>5&8;o=m>>>l;m=o>>>2&4;p=o>>>m;o=p>>>1&2;q=p>>>o;p=q>>>1&1;r=(l|g|m|o|p)+(q>>>p)|0;p=46108+(r<<1<<2)|0;q=p+8|0;o=k[q>>2]|0;m=o+8|0;g=k[m>>2]|0;do if((p|0)!=(g|0)){if(g>>>0<(k[11521]|0)>>>0)mc();l=g+12|0;if((k[l>>2]|0)==(o|0)){k[l>>2]=p;k[q>>2]=g;s=k[11519]|0;break}else mc()}else{k[11517]=d&~(1<<r);s=h}while(0);h=(r<<3)-b|0;k[o+4>>2]=b|3;d=o+b|0;k[d+4>>2]=h|1;k[d+h>>2]=h;if(s){g=k[11522]|0;q=s>>>3;p=46108+(q<<1<<2)|0;c=k[11517]|0;e=1<<q;if(c&e){q=p+8|0;j=k[q>>2]|0;if(j>>>0<(k[11521]|0)>>>0)mc();else{t=q;u=j}}else{k[11517]=c|e;t=p+8|0;u=p}k[t>>2]=g;k[u+12>>2]=g;k[g+8>>2]=u;k[g+12>>2]=p}k[11519]=h;k[11522]=d;n=m;return n|0}d=k[11518]|0;if(d){h=(d&0-d)+-1|0;d=h>>>12&16;p=h>>>d;h=p>>>5&8;g=p>>>h;p=g>>>2&4;e=g>>>p;g=e>>>1&2;c=e>>>g;e=c>>>1&1;j=k[46372+((h|d|p|g|e)+(c>>>e)<<2)>>2]|0;e=(k[j+4>>2]&-8)-b|0;c=j;g=j;while(1){j=k[c+16>>2]|0;if(!j){p=k[c+20>>2]|0;if(!p){v=e;w=g;break}else x=p}else x=j;j=(k[x+4>>2]&-8)-b|0;p=j>>>0<e>>>0;e=p?j:e;c=x;g=p?x:g}g=k[11521]|0;if(w>>>0<g>>>0)mc();c=w+b|0;if(w>>>0>=c>>>0)mc();e=k[w+24>>2]|0;m=k[w+12>>2]|0;do if((m|0)==(w|0)){o=w+20|0;r=k[o>>2]|0;if(!r){p=w+16|0;j=k[p>>2]|0;if(!j){y=0;break}else{z=j;A=p}}else{z=r;A=o}while(1){o=z+20|0;r=k[o>>2]|0;if(r){z=r;A=o;continue}o=z+16|0;r=k[o>>2]|0;if(!r){B=z;C=A;break}else{z=r;A=o}}if(C>>>0<g>>>0)mc();else{k[C>>2]=0;y=B;break}}else{o=k[w+8>>2]|0;if(o>>>0<g>>>0)mc();r=o+12|0;if((k[r>>2]|0)!=(w|0))mc();p=m+8|0;if((k[p>>2]|0)==(w|0)){k[r>>2]=m;k[p>>2]=o;y=m;break}else mc()}while(0);do if(e){m=k[w+28>>2]|0;g=46372+(m<<2)|0;if((w|0)==(k[g>>2]|0)){k[g>>2]=y;if(!y){k[11518]=k[11518]&~(1<<m);break}}else{if(e>>>0<(k[11521]|0)>>>0)mc();m=e+16|0;if((k[m>>2]|0)==(w|0))k[m>>2]=y;else k[e+20>>2]=y;if(!y)break}m=k[11521]|0;if(y>>>0<m>>>0)mc();k[y+24>>2]=e;g=k[w+16>>2]|0;do if(g)if(g>>>0<m>>>0)mc();else{k[y+16>>2]=g;k[g+24>>2]=y;break}while(0);g=k[w+20>>2]|0;if(g)if(g>>>0<(k[11521]|0)>>>0)mc();else{k[y+20>>2]=g;k[g+24>>2]=y;break}}while(0);if(v>>>0<16){e=v+b|0;k[w+4>>2]=e|3;g=w+e+4|0;k[g>>2]=k[g>>2]|1}else{k[w+4>>2]=b|3;k[c+4>>2]=v|1;k[c+v>>2]=v;g=k[11519]|0;if(g){e=k[11522]|0;m=g>>>3;g=46108+(m<<1<<2)|0;o=k[11517]|0;p=1<<m;if(o&p){m=g+8|0;r=k[m>>2]|0;if(r>>>0<(k[11521]|0)>>>0)mc();else{D=m;E=r}}else{k[11517]=o|p;D=g+8|0;E=g}k[D>>2]=e;k[E+12>>2]=e;k[e+8>>2]=E;k[e+12>>2]=g}k[11519]=v;k[11522]=c}n=w+8|0;return n|0}else F=b}else F=b}else if(a>>>0<=4294967231){g=a+11|0;e=g&-8;p=k[11518]|0;if(p){o=0-e|0;r=g>>>8;if(r)if(e>>>0>16777215)G=31;else{g=(r+1048320|0)>>>16&8;m=r<<g;r=(m+520192|0)>>>16&4;j=m<<r;m=(j+245760|0)>>>16&2;d=14-(r|g|m)+(j<<m>>>15)|0;G=e>>>(d+7|0)&1|d<<1}else G=0;d=k[46372+(G<<2)>>2]|0;a:do if(!d){H=o;I=0;J=0;K=86}else{m=o;j=0;g=e<<((G|0)==31?0:25-(G>>>1)|0);r=d;h=0;while(1){q=k[r+4>>2]&-8;i=q-e|0;if(i>>>0<m>>>0)if((q|0)==(e|0)){L=i;M=r;N=r;K=90;break a}else{O=i;P=r}else{O=m;P=h}i=k[r+20>>2]|0;r=k[r+16+(g>>>31<<2)>>2]|0;q=(i|0)==0|(i|0)==(r|0)?j:i;i=(r|0)==0;if(i){H=O;I=q;J=P;K=86;break}else{m=O;j=q;g=g<<(i&1^1);h=P}}}while(0);if((K|0)==86){if((I|0)==0&(J|0)==0){d=2<<G;o=p&(d|0-d);if(!o){F=e;break}d=(o&0-o)+-1|0;o=d>>>12&16;b=d>>>o;d=b>>>5&8;c=b>>>d;b=c>>>2&4;h=c>>>b;c=h>>>1&2;g=h>>>c;h=g>>>1&1;Q=k[46372+((d|o|b|c|h)+(g>>>h)<<2)>>2]|0}else Q=I;if(!Q){R=H;S=J}else{L=H;M=Q;N=J;K=90}}if((K|0)==90)while(1){K=0;h=(k[M+4>>2]&-8)-e|0;g=h>>>0<L>>>0;c=g?h:L;h=g?M:N;g=k[M+16>>2]|0;if(g){L=c;M=g;N=h;K=90;continue}M=k[M+20>>2]|0;if(!M){R=c;S=h;break}else{L=c;N=h;K=90}}if((S|0)!=0?R>>>0<((k[11519]|0)-e|0)>>>0:0){p=k[11521]|0;if(S>>>0<p>>>0)mc();h=S+e|0;if(S>>>0>=h>>>0)mc();c=k[S+24>>2]|0;g=k[S+12>>2]|0;do if((g|0)==(S|0)){b=S+20|0;o=k[b>>2]|0;if(!o){d=S+16|0;j=k[d>>2]|0;if(!j){T=0;break}else{U=j;V=d}}else{U=o;V=b}while(1){b=U+20|0;o=k[b>>2]|0;if(o){U=o;V=b;continue}b=U+16|0;o=k[b>>2]|0;if(!o){W=U;X=V;break}else{U=o;V=b}}if(X>>>0<p>>>0)mc();else{k[X>>2]=0;T=W;break}}else{b=k[S+8>>2]|0;if(b>>>0<p>>>0)mc();o=b+12|0;if((k[o>>2]|0)!=(S|0))mc();d=g+8|0;if((k[d>>2]|0)==(S|0)){k[o>>2]=g;k[d>>2]=b;T=g;break}else mc()}while(0);do if(c){g=k[S+28>>2]|0;p=46372+(g<<2)|0;if((S|0)==(k[p>>2]|0)){k[p>>2]=T;if(!T){k[11518]=k[11518]&~(1<<g);break}}else{if(c>>>0<(k[11521]|0)>>>0)mc();g=c+16|0;if((k[g>>2]|0)==(S|0))k[g>>2]=T;else k[c+20>>2]=T;if(!T)break}g=k[11521]|0;if(T>>>0<g>>>0)mc();k[T+24>>2]=c;p=k[S+16>>2]|0;do if(p)if(p>>>0<g>>>0)mc();else{k[T+16>>2]=p;k[p+24>>2]=T;break}while(0);p=k[S+20>>2]|0;if(p)if(p>>>0<(k[11521]|0)>>>0)mc();else{k[T+20>>2]=p;k[p+24>>2]=T;break}}while(0);do if(R>>>0>=16){k[S+4>>2]=e|3;k[h+4>>2]=R|1;k[h+R>>2]=R;c=R>>>3;if(R>>>0<256){p=46108+(c<<1<<2)|0;g=k[11517]|0;b=1<<c;if(g&b){c=p+8|0;d=k[c>>2]|0;if(d>>>0<(k[11521]|0)>>>0)mc();else{Y=c;Z=d}}else{k[11517]=g|b;Y=p+8|0;Z=p}k[Y>>2]=h;k[Z+12>>2]=h;k[h+8>>2]=Z;k[h+12>>2]=p;break}p=R>>>8;if(p)if(R>>>0>16777215)_=31;else{b=(p+1048320|0)>>>16&8;g=p<<b;p=(g+520192|0)>>>16&4;d=g<<p;g=(d+245760|0)>>>16&2;c=14-(p|b|g)+(d<<g>>>15)|0;_=R>>>(c+7|0)&1|c<<1}else _=0;c=46372+(_<<2)|0;k[h+28>>2]=_;g=h+16|0;k[g+4>>2]=0;k[g>>2]=0;g=k[11518]|0;d=1<<_;if(!(g&d)){k[11518]=g|d;k[c>>2]=h;k[h+24>>2]=c;k[h+12>>2]=h;k[h+8>>2]=h;break}d=R<<((_|0)==31?0:25-(_>>>1)|0);g=k[c>>2]|0;while(1){if((k[g+4>>2]&-8|0)==(R|0)){$=g;K=148;break}c=g+16+(d>>>31<<2)|0;b=k[c>>2]|0;if(!b){aa=c;ba=g;K=145;break}else{d=d<<1;g=b}}if((K|0)==145)if(aa>>>0<(k[11521]|0)>>>0)mc();else{k[aa>>2]=h;k[h+24>>2]=ba;k[h+12>>2]=h;k[h+8>>2]=h;break}else if((K|0)==148){g=$+8|0;d=k[g>>2]|0;b=k[11521]|0;if(d>>>0>=b>>>0&$>>>0>=b>>>0){k[d+12>>2]=h;k[g>>2]=h;k[h+8>>2]=d;k[h+12>>2]=$;k[h+24>>2]=0;break}else mc()}}else{d=R+e|0;k[S+4>>2]=d|3;g=S+d+4|0;k[g>>2]=k[g>>2]|1}while(0);n=S+8|0;return n|0}else F=e}else F=e}else F=-1;while(0);S=k[11519]|0;if(S>>>0>=F>>>0){R=S-F|0;$=k[11522]|0;if(R>>>0>15){ba=$+F|0;k[11522]=ba;k[11519]=R;k[ba+4>>2]=R|1;k[ba+R>>2]=R;k[$+4>>2]=F|3}else{k[11519]=0;k[11522]=0;k[$+4>>2]=S|3;R=$+S+4|0;k[R>>2]=k[R>>2]|1}n=$+8|0;return n|0}$=k[11520]|0;if($>>>0>F>>>0){R=$-F|0;k[11520]=R;$=k[11523]|0;S=$+F|0;k[11523]=S;k[S+4>>2]=R|1;k[$+4>>2]=F|3;n=$+8|0;return n|0}do if(!(k[11635]|0)){$=Sb(30)|0;if(!($+-1&$)){k[11637]=$;k[11636]=$;k[11638]=-1;k[11639]=-1;k[11640]=0;k[11628]=0;$=(pc(0)|0)&-16^1431655768;k[11635]=$;break}else mc()}while(0);$=F+48|0;R=k[11637]|0;S=F+47|0;ba=R+S|0;aa=0-R|0;R=ba&aa;if(R>>>0<=F>>>0){n=0;return n|0}_=k[11627]|0;if((_|0)!=0?(Z=k[11625]|0,Y=Z+R|0,Y>>>0<=Z>>>0|Y>>>0>_>>>0):0){n=0;return n|0}b:do if(!(k[11628]&4)){_=k[11523]|0;c:do if(_){Y=46516;while(1){Z=k[Y>>2]|0;if(Z>>>0<=_>>>0?(T=Y+4|0,(Z+(k[T>>2]|0)|0)>>>0>_>>>0):0){ca=Y;da=T;break}Y=k[Y+8>>2]|0;if(!Y){K=173;break c}}Y=ba-(k[11520]|0)&aa;if(Y>>>0<2147483647){T=Lb(Y|0)|0;if((T|0)==((k[ca>>2]|0)+(k[da>>2]|0)|0)){if((T|0)!=(-1|0)){ea=T;fa=Y;K=193;break b}}else{ga=T;ha=Y;K=183}}}else K=173;while(0);do if((K|0)==173?(_=Lb(0)|0,(_|0)!=(-1|0)):0){e=_;Y=k[11636]|0;T=Y+-1|0;if(!(T&e))ia=R;else ia=R-e+(T+e&0-Y)|0;Y=k[11625]|0;e=Y+ia|0;if(ia>>>0>F>>>0&ia>>>0<2147483647){T=k[11627]|0;if((T|0)!=0?e>>>0<=Y>>>0|e>>>0>T>>>0:0)break;T=Lb(ia|0)|0;if((T|0)==(_|0)){ea=_;fa=ia;K=193;break b}else{ga=T;ha=ia;K=183}}}while(0);d:do if((K|0)==183){T=0-ha|0;do if($>>>0>ha>>>0&(ha>>>0<2147483647&(ga|0)!=(-1|0))?(_=k[11637]|0,e=S-ha+_&0-_,e>>>0<2147483647):0)if((Lb(e|0)|0)==(-1|0)){Lb(T|0)|0;break d}else{ja=e+ha|0;break}else ja=ha;while(0);if((ga|0)!=(-1|0)){ea=ga;fa=ja;K=193;break b}}while(0);k[11628]=k[11628]|4;K=190}else K=190;while(0);if((((K|0)==190?R>>>0<2147483647:0)?(ja=Lb(R|0)|0,R=Lb(0)|0,ja>>>0<R>>>0&((ja|0)!=(-1|0)&(R|0)!=(-1|0))):0)?(ga=R-ja|0,ga>>>0>(F+40|0)>>>0):0){ea=ja;fa=ga;K=193}if((K|0)==193){ga=(k[11625]|0)+fa|0;k[11625]=ga;if(ga>>>0>(k[11626]|0)>>>0)k[11626]=ga;ga=k[11523]|0;do if(ga){ja=46516;do{R=k[ja>>2]|0;ha=ja+4|0;S=k[ha>>2]|0;if((ea|0)==(R+S|0)){ka=R;la=ha;ma=S;na=ja;K=203;break}ja=k[ja+8>>2]|0}while((ja|0)!=0);if(((K|0)==203?(k[na+12>>2]&8|0)==0:0)?ga>>>0<ea>>>0&ga>>>0>=ka>>>0:0){k[la>>2]=ma+fa;ja=ga+8|0;S=(ja&7|0)==0?0:0-ja&7;ja=ga+S|0;ha=fa-S+(k[11520]|0)|0;k[11523]=ja;k[11520]=ha;k[ja+4>>2]=ha|1;k[ja+ha+4>>2]=40;k[11524]=k[11639];break}ha=k[11521]|0;if(ea>>>0<ha>>>0){k[11521]=ea;oa=ea}else oa=ha;ha=ea+fa|0;ja=46516;while(1){if((k[ja>>2]|0)==(ha|0)){pa=ja;qa=ja;K=211;break}ja=k[ja+8>>2]|0;if(!ja){ra=46516;break}}if((K|0)==211)if(!(k[qa+12>>2]&8)){k[pa>>2]=ea;ja=qa+4|0;k[ja>>2]=(k[ja>>2]|0)+fa;ja=ea+8|0;S=ea+((ja&7|0)==0?0:0-ja&7)|0;ja=ha+8|0;R=ha+((ja&7|0)==0?0:0-ja&7)|0;ja=S+F|0;$=R-S-F|0;k[S+4>>2]=F|3;do if((R|0)!=(ga|0)){if((R|0)==(k[11522]|0)){ia=(k[11519]|0)+$|0;k[11519]=ia;k[11522]=ja;k[ja+4>>2]=ia|1;k[ja+ia>>2]=ia;break}ia=k[R+4>>2]|0;if((ia&3|0)==1){da=ia&-8;ca=ia>>>3;e:do if(ia>>>0>=256){aa=k[R+24>>2]|0;ba=k[R+12>>2]|0;do if((ba|0)==(R|0)){T=R+16|0;e=T+4|0;_=k[e>>2]|0;if(!_){Y=k[T>>2]|0;if(!Y){sa=0;break}else{ta=Y;ua=T}}else{ta=_;ua=e}while(1){e=ta+20|0;_=k[e>>2]|0;if(_){ta=_;ua=e;continue}e=ta+16|0;_=k[e>>2]|0;if(!_){va=ta;wa=ua;break}else{ta=_;ua=e}}if(wa>>>0<oa>>>0)mc();else{k[wa>>2]=0;sa=va;break}}else{e=k[R+8>>2]|0;if(e>>>0<oa>>>0)mc();_=e+12|0;if((k[_>>2]|0)!=(R|0))mc();T=ba+8|0;if((k[T>>2]|0)==(R|0)){k[_>>2]=ba;k[T>>2]=e;sa=ba;break}else mc()}while(0);if(!aa)break;ba=k[R+28>>2]|0;e=46372+(ba<<2)|0;do if((R|0)!=(k[e>>2]|0)){if(aa>>>0<(k[11521]|0)>>>0)mc();T=aa+16|0;if((k[T>>2]|0)==(R|0))k[T>>2]=sa;else k[aa+20>>2]=sa;if(!sa)break e}else{k[e>>2]=sa;if(sa)break;k[11518]=k[11518]&~(1<<ba);break e}while(0);ba=k[11521]|0;if(sa>>>0<ba>>>0)mc();k[sa+24>>2]=aa;e=R+16|0;T=k[e>>2]|0;do if(T)if(T>>>0<ba>>>0)mc();else{k[sa+16>>2]=T;k[T+24>>2]=sa;break}while(0);T=k[e+4>>2]|0;if(!T)break;if(T>>>0<(k[11521]|0)>>>0)mc();else{k[sa+20>>2]=T;k[T+24>>2]=sa;break}}else{T=k[R+8>>2]|0;ba=k[R+12>>2]|0;aa=46108+(ca<<1<<2)|0;do if((T|0)!=(aa|0)){if(T>>>0<oa>>>0)mc();if((k[T+12>>2]|0)==(R|0))break;mc()}while(0);if((ba|0)==(T|0)){k[11517]=k[11517]&~(1<<ca);break}do if((ba|0)==(aa|0))xa=ba+8|0;else{if(ba>>>0<oa>>>0)mc();e=ba+8|0;if((k[e>>2]|0)==(R|0)){xa=e;break}mc()}while(0);k[T+12>>2]=ba;k[xa>>2]=T}while(0);ya=R+da|0;za=da+$|0}else{ya=R;za=$}ca=ya+4|0;k[ca>>2]=k[ca>>2]&-2;k[ja+4>>2]=za|1;k[ja+za>>2]=za;ca=za>>>3;if(za>>>0<256){ia=46108+(ca<<1<<2)|0;aa=k[11517]|0;e=1<<ca;do if(!(aa&e)){k[11517]=aa|e;Aa=ia+8|0;Ba=ia}else{ca=ia+8|0;_=k[ca>>2]|0;if(_>>>0>=(k[11521]|0)>>>0){Aa=ca;Ba=_;break}mc()}while(0);k[Aa>>2]=ja;k[Ba+12>>2]=ja;k[ja+8>>2]=Ba;k[ja+12>>2]=ia;break}e=za>>>8;do if(!e)Ca=0;else{if(za>>>0>16777215){Ca=31;break}aa=(e+1048320|0)>>>16&8;da=e<<aa;_=(da+520192|0)>>>16&4;ca=da<<_;da=(ca+245760|0)>>>16&2;Y=14-(_|aa|da)+(ca<<da>>>15)|0;Ca=za>>>(Y+7|0)&1|Y<<1}while(0);e=46372+(Ca<<2)|0;k[ja+28>>2]=Ca;ia=ja+16|0;k[ia+4>>2]=0;k[ia>>2]=0;ia=k[11518]|0;Y=1<<Ca;if(!(ia&Y)){k[11518]=ia|Y;k[e>>2]=ja;k[ja+24>>2]=e;k[ja+12>>2]=ja;k[ja+8>>2]=ja;break}Y=za<<((Ca|0)==31?0:25-(Ca>>>1)|0);ia=k[e>>2]|0;while(1){if((k[ia+4>>2]&-8|0)==(za|0)){Da=ia;K=281;break}e=ia+16+(Y>>>31<<2)|0;da=k[e>>2]|0;if(!da){Ea=e;Fa=ia;K=278;break}else{Y=Y<<1;ia=da}}if((K|0)==278)if(Ea>>>0<(k[11521]|0)>>>0)mc();else{k[Ea>>2]=ja;k[ja+24>>2]=Fa;k[ja+12>>2]=ja;k[ja+8>>2]=ja;break}else if((K|0)==281){ia=Da+8|0;Y=k[ia>>2]|0;da=k[11521]|0;if(Y>>>0>=da>>>0&Da>>>0>=da>>>0){k[Y+12>>2]=ja;k[ia>>2]=ja;k[ja+8>>2]=Y;k[ja+12>>2]=Da;k[ja+24>>2]=0;break}else mc()}}else{Y=(k[11520]|0)+$|0;k[11520]=Y;k[11523]=ja;k[ja+4>>2]=Y|1}while(0);n=S+8|0;return n|0}else ra=46516;while(1){ja=k[ra>>2]|0;if(ja>>>0<=ga>>>0?($=ja+(k[ra+4>>2]|0)|0,$>>>0>ga>>>0):0){Ga=$;break}ra=k[ra+8>>2]|0}S=Ga+-47|0;$=S+8|0;ja=S+(($&7|0)==0?0:0-$&7)|0;$=ga+16|0;S=ja>>>0<$>>>0?ga:ja;ja=S+8|0;R=ea+8|0;ha=(R&7|0)==0?0:0-R&7;R=ea+ha|0;Y=fa+-40-ha|0;k[11523]=R;k[11520]=Y;k[R+4>>2]=Y|1;k[R+Y+4>>2]=40;k[11524]=k[11639];Y=S+4|0;k[Y>>2]=27;k[ja>>2]=k[11629];k[ja+4>>2]=k[11630];k[ja+8>>2]=k[11631];k[ja+12>>2]=k[11632];k[11629]=ea;k[11630]=fa;k[11632]=0;k[11631]=ja;ja=S+24|0;do{ja=ja+4|0;k[ja>>2]=7}while((ja+4|0)>>>0<Ga>>>0);if((S|0)!=(ga|0)){ja=S-ga|0;k[Y>>2]=k[Y>>2]&-2;k[ga+4>>2]=ja|1;k[S>>2]=ja;R=ja>>>3;if(ja>>>0<256){ha=46108+(R<<1<<2)|0;ia=k[11517]|0;da=1<<R;if(ia&da){R=ha+8|0;e=k[R>>2]|0;if(e>>>0<(k[11521]|0)>>>0)mc();else{Ha=R;Ia=e}}else{k[11517]=ia|da;Ha=ha+8|0;Ia=ha}k[Ha>>2]=ga;k[Ia+12>>2]=ga;k[ga+8>>2]=Ia;k[ga+12>>2]=ha;break}ha=ja>>>8;if(ha)if(ja>>>0>16777215)Ja=31;else{da=(ha+1048320|0)>>>16&8;ia=ha<<da;ha=(ia+520192|0)>>>16&4;e=ia<<ha;ia=(e+245760|0)>>>16&2;R=14-(ha|da|ia)+(e<<ia>>>15)|0;Ja=ja>>>(R+7|0)&1|R<<1}else Ja=0;R=46372+(Ja<<2)|0;k[ga+28>>2]=Ja;k[ga+20>>2]=0;k[$>>2]=0;ia=k[11518]|0;e=1<<Ja;if(!(ia&e)){k[11518]=ia|e;k[R>>2]=ga;k[ga+24>>2]=R;k[ga+12>>2]=ga;k[ga+8>>2]=ga;break}e=ja<<((Ja|0)==31?0:25-(Ja>>>1)|0);ia=k[R>>2]|0;while(1){if((k[ia+4>>2]&-8|0)==(ja|0)){Ka=ia;K=307;break}R=ia+16+(e>>>31<<2)|0;da=k[R>>2]|0;if(!da){La=R;Ma=ia;K=304;break}else{e=e<<1;ia=da}}if((K|0)==304)if(La>>>0<(k[11521]|0)>>>0)mc();else{k[La>>2]=ga;k[ga+24>>2]=Ma;k[ga+12>>2]=ga;k[ga+8>>2]=ga;break}else if((K|0)==307){ia=Ka+8|0;e=k[ia>>2]|0;ja=k[11521]|0;if(e>>>0>=ja>>>0&Ka>>>0>=ja>>>0){k[e+12>>2]=ga;k[ia>>2]=ga;k[ga+8>>2]=e;k[ga+12>>2]=Ka;k[ga+24>>2]=0;break}else mc()}}}else{e=k[11521]|0;if((e|0)==0|ea>>>0<e>>>0)k[11521]=ea;k[11629]=ea;k[11630]=fa;k[11632]=0;k[11526]=k[11635];k[11525]=-1;e=0;do{ia=46108+(e<<1<<2)|0;k[ia+12>>2]=ia;k[ia+8>>2]=ia;e=e+1|0}while((e|0)!=32);e=ea+8|0;ia=(e&7|0)==0?0:0-e&7;e=ea+ia|0;ja=fa+-40-ia|0;k[11523]=e;k[11520]=ja;k[e+4>>2]=ja|1;k[e+ja+4>>2]=40;k[11524]=k[11639]}while(0);fa=k[11520]|0;if(fa>>>0>F>>>0){ea=fa-F|0;k[11520]=ea;fa=k[11523]|0;ga=fa+F|0;k[11523]=ga;k[ga+4>>2]=ea|1;k[fa+4>>2]=F|3;n=fa+8|0;return n|0}}fa=Sra()|0;k[fa>>2]=12;n=0;return n|0}function mua(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;if(!a)return;b=a+-8|0;c=k[11521]|0;if(b>>>0<c>>>0)mc();d=k[a+-4>>2]|0;a=d&3;if((a|0)==1)mc();e=d&-8;f=b+e|0;do if(!(d&1)){g=k[b>>2]|0;if(!a)return;h=b+(0-g)|0;i=g+e|0;if(h>>>0<c>>>0)mc();if((h|0)==(k[11522]|0)){j=f+4|0;l=k[j>>2]|0;if((l&3|0)!=3){m=h;n=i;break}k[11519]=i;k[j>>2]=l&-2;k[h+4>>2]=i|1;k[h+i>>2]=i;return}l=g>>>3;if(g>>>0<256){g=k[h+8>>2]|0;j=k[h+12>>2]|0;o=46108+(l<<1<<2)|0;if((g|0)!=(o|0)){if(g>>>0<c>>>0)mc();if((k[g+12>>2]|0)!=(h|0))mc()}if((j|0)==(g|0)){k[11517]=k[11517]&~(1<<l);m=h;n=i;break}if((j|0)!=(o|0)){if(j>>>0<c>>>0)mc();o=j+8|0;if((k[o>>2]|0)==(h|0))p=o;else mc()}else p=j+8|0;k[g+12>>2]=j;k[p>>2]=g;m=h;n=i;break}g=k[h+24>>2]|0;j=k[h+12>>2]|0;do if((j|0)==(h|0)){o=h+16|0;l=o+4|0;q=k[l>>2]|0;if(!q){r=k[o>>2]|0;if(!r){s=0;break}else{t=r;u=o}}else{t=q;u=l}while(1){l=t+20|0;q=k[l>>2]|0;if(q){t=q;u=l;continue}l=t+16|0;q=k[l>>2]|0;if(!q){v=t;w=u;break}else{t=q;u=l}}if(w>>>0<c>>>0)mc();else{k[w>>2]=0;s=v;break}}else{l=k[h+8>>2]|0;if(l>>>0<c>>>0)mc();q=l+12|0;if((k[q>>2]|0)!=(h|0))mc();o=j+8|0;if((k[o>>2]|0)==(h|0)){k[q>>2]=j;k[o>>2]=l;s=j;break}else mc()}while(0);if(g){j=k[h+28>>2]|0;l=46372+(j<<2)|0;if((h|0)==(k[l>>2]|0)){k[l>>2]=s;if(!s){k[11518]=k[11518]&~(1<<j);m=h;n=i;break}}else{if(g>>>0<(k[11521]|0)>>>0)mc();j=g+16|0;if((k[j>>2]|0)==(h|0))k[j>>2]=s;else k[g+20>>2]=s;if(!s){m=h;n=i;break}}j=k[11521]|0;if(s>>>0<j>>>0)mc();k[s+24>>2]=g;l=h+16|0;o=k[l>>2]|0;do if(o)if(o>>>0<j>>>0)mc();else{k[s+16>>2]=o;k[o+24>>2]=s;break}while(0);o=k[l+4>>2]|0;if(o)if(o>>>0<(k[11521]|0)>>>0)mc();else{k[s+20>>2]=o;k[o+24>>2]=s;m=h;n=i;break}else{m=h;n=i}}else{m=h;n=i}}else{m=b;n=e}while(0);if(m>>>0>=f>>>0)mc();e=f+4|0;b=k[e>>2]|0;if(!(b&1))mc();if(!(b&2)){if((f|0)==(k[11523]|0)){s=(k[11520]|0)+n|0;k[11520]=s;k[11523]=m;k[m+4>>2]=s|1;if((m|0)!=(k[11522]|0))return;k[11522]=0;k[11519]=0;return}if((f|0)==(k[11522]|0)){s=(k[11519]|0)+n|0;k[11519]=s;k[11522]=m;k[m+4>>2]=s|1;k[m+s>>2]=s;return}s=(b&-8)+n|0;c=b>>>3;do if(b>>>0>=256){v=k[f+24>>2]|0;w=k[f+12>>2]|0;do if((w|0)==(f|0)){u=f+16|0;t=u+4|0;p=k[t>>2]|0;if(!p){a=k[u>>2]|0;if(!a){x=0;break}else{y=a;z=u}}else{y=p;z=t}while(1){t=y+20|0;p=k[t>>2]|0;if(p){y=p;z=t;continue}t=y+16|0;p=k[t>>2]|0;if(!p){A=y;B=z;break}else{y=p;z=t}}if(B>>>0<(k[11521]|0)>>>0)mc();else{k[B>>2]=0;x=A;break}}else{t=k[f+8>>2]|0;if(t>>>0<(k[11521]|0)>>>0)mc();p=t+12|0;if((k[p>>2]|0)!=(f|0))mc();u=w+8|0;if((k[u>>2]|0)==(f|0)){k[p>>2]=w;k[u>>2]=t;x=w;break}else mc()}while(0);if(v){w=k[f+28>>2]|0;i=46372+(w<<2)|0;if((f|0)==(k[i>>2]|0)){k[i>>2]=x;if(!x){k[11518]=k[11518]&~(1<<w);break}}else{if(v>>>0<(k[11521]|0)>>>0)mc();w=v+16|0;if((k[w>>2]|0)==(f|0))k[w>>2]=x;else k[v+20>>2]=x;if(!x)break}w=k[11521]|0;if(x>>>0<w>>>0)mc();k[x+24>>2]=v;i=f+16|0;h=k[i>>2]|0;do if(h)if(h>>>0<w>>>0)mc();else{k[x+16>>2]=h;k[h+24>>2]=x;break}while(0);h=k[i+4>>2]|0;if(h)if(h>>>0<(k[11521]|0)>>>0)mc();else{k[x+20>>2]=h;k[h+24>>2]=x;break}}}else{h=k[f+8>>2]|0;w=k[f+12>>2]|0;v=46108+(c<<1<<2)|0;if((h|0)!=(v|0)){if(h>>>0<(k[11521]|0)>>>0)mc();if((k[h+12>>2]|0)!=(f|0))mc()}if((w|0)==(h|0)){k[11517]=k[11517]&~(1<<c);break}if((w|0)!=(v|0)){if(w>>>0<(k[11521]|0)>>>0)mc();v=w+8|0;if((k[v>>2]|0)==(f|0))C=v;else mc()}else C=w+8|0;k[h+12>>2]=w;k[C>>2]=h}while(0);k[m+4>>2]=s|1;k[m+s>>2]=s;if((m|0)==(k[11522]|0)){k[11519]=s;return}else D=s}else{k[e>>2]=b&-2;k[m+4>>2]=n|1;k[m+n>>2]=n;D=n}n=D>>>3;if(D>>>0<256){b=46108+(n<<1<<2)|0;e=k[11517]|0;s=1<<n;if(e&s){n=b+8|0;C=k[n>>2]|0;if(C>>>0<(k[11521]|0)>>>0)mc();else{E=n;F=C}}else{k[11517]=e|s;E=b+8|0;F=b}k[E>>2]=m;k[F+12>>2]=m;k[m+8>>2]=F;k[m+12>>2]=b;return}b=D>>>8;if(b)if(D>>>0>16777215)G=31;else{F=(b+1048320|0)>>>16&8;E=b<<F;b=(E+520192|0)>>>16&4;s=E<<b;E=(s+245760|0)>>>16&2;e=14-(b|F|E)+(s<<E>>>15)|0;G=D>>>(e+7|0)&1|e<<1}else G=0;e=46372+(G<<2)|0;k[m+28>>2]=G;k[m+20>>2]=0;k[m+16>>2]=0;E=k[11518]|0;s=1<<G;do if(E&s){F=D<<((G|0)==31?0:25-(G>>>1)|0);b=k[e>>2]|0;while(1){if((k[b+4>>2]&-8|0)==(D|0)){H=b;I=130;break}C=b+16+(F>>>31<<2)|0;n=k[C>>2]|0;if(!n){J=C;K=b;I=127;break}else{F=F<<1;b=n}}if((I|0)==127)if(J>>>0<(k[11521]|0)>>>0)mc();else{k[J>>2]=m;k[m+24>>2]=K;k[m+12>>2]=m;k[m+8>>2]=m;break}else if((I|0)==130){b=H+8|0;F=k[b>>2]|0;i=k[11521]|0;if(F>>>0>=i>>>0&H>>>0>=i>>>0){k[F+12>>2]=m;k[b>>2]=m;k[m+8>>2]=F;k[m+12>>2]=H;k[m+24>>2]=0;break}else mc()}}else{k[11518]=E|s;k[e>>2]=m;k[m+24>>2]=e;k[m+12>>2]=m;k[m+8>>2]=m}while(0);m=(k[11525]|0)+-1|0;k[11525]=m;if(!m)L=46524;else return;while(1){m=k[L>>2]|0;if(!m)break;else L=m+8|0}k[11525]=-1;return}function nua(a,b){a=a|0;b=b|0;var c=0,d=0;if(a){c=ma(b,a)|0;if((b|a)>>>0>65535)d=((c>>>0)/(a>>>0)|0|0)==(b|0)?c:-1;else d=c}else d=0;c=lua(d)|0;if(!c)return c|0;if(!(k[c+-4>>2]&3))return c|0;WEa(c|0,0,d|0)|0;return c|0}function oua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;if(!a){c=lua(b)|0;return c|0}if(b>>>0>4294967231){d=Sra()|0;k[d>>2]=12;c=0;return c|0}d=pua(a+-8|0,b>>>0<11?16:b+11&-8)|0;if(d){c=d+8|0;return c|0}d=lua(b)|0;if(!d){c=0;return c|0}e=k[a+-4>>2]|0;f=(e&-8)-((e&3|0)==0?8:4)|0;TEa(d|0,a|0,(f>>>0<b>>>0?f:b)|0)|0;mua(a);c=d;return c|0}function pua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;c=a+4|0;d=k[c>>2]|0;e=d&-8;f=a+e|0;g=k[11521]|0;h=d&3;if(!((h|0)!=1&a>>>0>=g>>>0&a>>>0<f>>>0))mc();i=k[f+4>>2]|0;if(!(i&1))mc();if(!h){if(b>>>0<256){j=0;return j|0}if(e>>>0>=(b+4|0)>>>0?(e-b|0)>>>0<=k[11637]<<1>>>0:0){j=a;return j|0}j=0;return j|0}if(e>>>0>=b>>>0){h=e-b|0;if(h>>>0<=15){j=a;return j|0}l=a+b|0;k[c>>2]=d&1|b|2;k[l+4>>2]=h|3;m=l+h+4|0;k[m>>2]=k[m>>2]|1;qua(l,h);j=a;return j|0}if((f|0)==(k[11523]|0)){h=(k[11520]|0)+e|0;if(h>>>0<=b>>>0){j=0;return j|0}l=h-b|0;h=a+b|0;k[c>>2]=d&1|b|2;k[h+4>>2]=l|1;k[11523]=h;k[11520]=l;j=a;return j|0}if((f|0)==(k[11522]|0)){l=(k[11519]|0)+e|0;if(l>>>0<b>>>0){j=0;return j|0}h=l-b|0;if(h>>>0>15){m=a+b|0;n=m+h|0;k[c>>2]=d&1|b|2;k[m+4>>2]=h|1;k[n>>2]=h;o=n+4|0;k[o>>2]=k[o>>2]&-2;p=m;q=h}else{k[c>>2]=d&1|l|2;h=a+l+4|0;k[h>>2]=k[h>>2]|1;p=0;q=0}k[11519]=q;k[11522]=p;j=a;return j|0}if(i&2){j=0;return j|0}p=(i&-8)+e|0;if(p>>>0<b>>>0){j=0;return j|0}e=p-b|0;q=i>>>3;do if(i>>>0>=256){h=k[f+24>>2]|0;l=k[f+12>>2]|0;do if((l|0)==(f|0)){m=f+16|0;o=m+4|0;n=k[o>>2]|0;if(!n){r=k[m>>2]|0;if(!r){s=0;break}else{t=r;u=m}}else{t=n;u=o}while(1){o=t+20|0;n=k[o>>2]|0;if(n){t=n;u=o;continue}o=t+16|0;n=k[o>>2]|0;if(!n){v=t;w=u;break}else{t=n;u=o}}if(w>>>0<g>>>0)mc();else{k[w>>2]=0;s=v;break}}else{o=k[f+8>>2]|0;if(o>>>0<g>>>0)mc();n=o+12|0;if((k[n>>2]|0)!=(f|0))mc();m=l+8|0;if((k[m>>2]|0)==(f|0)){k[n>>2]=l;k[m>>2]=o;s=l;break}else mc()}while(0);if(h){l=k[f+28>>2]|0;o=46372+(l<<2)|0;if((f|0)==(k[o>>2]|0)){k[o>>2]=s;if(!s){k[11518]=k[11518]&~(1<<l);break}}else{if(h>>>0<(k[11521]|0)>>>0)mc();l=h+16|0;if((k[l>>2]|0)==(f|0))k[l>>2]=s;else k[h+20>>2]=s;if(!s)break}l=k[11521]|0;if(s>>>0<l>>>0)mc();k[s+24>>2]=h;o=f+16|0;m=k[o>>2]|0;do if(m)if(m>>>0<l>>>0)mc();else{k[s+16>>2]=m;k[m+24>>2]=s;break}while(0);m=k[o+4>>2]|0;if(m)if(m>>>0<(k[11521]|0)>>>0)mc();else{k[s+20>>2]=m;k[m+24>>2]=s;break}}}else{m=k[f+8>>2]|0;l=k[f+12>>2]|0;h=46108+(q<<1<<2)|0;if((m|0)!=(h|0)){if(m>>>0<g>>>0)mc();if((k[m+12>>2]|0)!=(f|0))mc()}if((l|0)==(m|0)){k[11517]=k[11517]&~(1<<q);break}if((l|0)!=(h|0)){if(l>>>0<g>>>0)mc();h=l+8|0;if((k[h>>2]|0)==(f|0))x=h;else mc()}else x=l+8|0;k[m+12>>2]=l;k[x>>2]=m}while(0);if(e>>>0<16){k[c>>2]=p|d&1|2;x=a+p+4|0;k[x>>2]=k[x>>2]|1;j=a;return j|0}else{x=a+b|0;k[c>>2]=d&1|b|2;k[x+4>>2]=e|3;b=x+e+4|0;k[b>>2]=k[b>>2]|1;qua(x,e);j=a;return j|0}return 0}function qua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;c=a+b|0;d=k[a+4>>2]|0;do if(!(d&1)){e=k[a>>2]|0;if(!(d&3))return;f=a+(0-e)|0;g=e+b|0;h=k[11521]|0;if(f>>>0<h>>>0)mc();if((f|0)==(k[11522]|0)){i=c+4|0;j=k[i>>2]|0;if((j&3|0)!=3){l=f;m=g;break}k[11519]=g;k[i>>2]=j&-2;k[f+4>>2]=g|1;k[f+g>>2]=g;return}j=e>>>3;if(e>>>0<256){e=k[f+8>>2]|0;i=k[f+12>>2]|0;n=46108+(j<<1<<2)|0;if((e|0)!=(n|0)){if(e>>>0<h>>>0)mc();if((k[e+12>>2]|0)!=(f|0))mc()}if((i|0)==(e|0)){k[11517]=k[11517]&~(1<<j);l=f;m=g;break}if((i|0)!=(n|0)){if(i>>>0<h>>>0)mc();n=i+8|0;if((k[n>>2]|0)==(f|0))o=n;else mc()}else o=i+8|0;k[e+12>>2]=i;k[o>>2]=e;l=f;m=g;break}e=k[f+24>>2]|0;i=k[f+12>>2]|0;do if((i|0)==(f|0)){n=f+16|0;j=n+4|0;p=k[j>>2]|0;if(!p){q=k[n>>2]|0;if(!q){r=0;break}else{s=q;t=n}}else{s=p;t=j}while(1){j=s+20|0;p=k[j>>2]|0;if(p){s=p;t=j;continue}j=s+16|0;p=k[j>>2]|0;if(!p){u=s;v=t;break}else{s=p;t=j}}if(v>>>0<h>>>0)mc();else{k[v>>2]=0;r=u;break}}else{j=k[f+8>>2]|0;if(j>>>0<h>>>0)mc();p=j+12|0;if((k[p>>2]|0)!=(f|0))mc();n=i+8|0;if((k[n>>2]|0)==(f|0)){k[p>>2]=i;k[n>>2]=j;r=i;break}else mc()}while(0);if(e){i=k[f+28>>2]|0;h=46372+(i<<2)|0;if((f|0)==(k[h>>2]|0)){k[h>>2]=r;if(!r){k[11518]=k[11518]&~(1<<i);l=f;m=g;break}}else{if(e>>>0<(k[11521]|0)>>>0)mc();i=e+16|0;if((k[i>>2]|0)==(f|0))k[i>>2]=r;else k[e+20>>2]=r;if(!r){l=f;m=g;break}}i=k[11521]|0;if(r>>>0<i>>>0)mc();k[r+24>>2]=e;h=f+16|0;j=k[h>>2]|0;do if(j)if(j>>>0<i>>>0)mc();else{k[r+16>>2]=j;k[j+24>>2]=r;break}while(0);j=k[h+4>>2]|0;if(j)if(j>>>0<(k[11521]|0)>>>0)mc();else{k[r+20>>2]=j;k[j+24>>2]=r;l=f;m=g;break}else{l=f;m=g}}else{l=f;m=g}}else{l=a;m=b}while(0);b=k[11521]|0;if(c>>>0<b>>>0)mc();a=c+4|0;r=k[a>>2]|0;if(!(r&2)){if((c|0)==(k[11523]|0)){u=(k[11520]|0)+m|0;k[11520]=u;k[11523]=l;k[l+4>>2]=u|1;if((l|0)!=(k[11522]|0))return;k[11522]=0;k[11519]=0;return}if((c|0)==(k[11522]|0)){u=(k[11519]|0)+m|0;k[11519]=u;k[11522]=l;k[l+4>>2]=u|1;k[l+u>>2]=u;return}u=(r&-8)+m|0;v=r>>>3;do if(r>>>0>=256){t=k[c+24>>2]|0;s=k[c+12>>2]|0;do if((s|0)==(c|0)){o=c+16|0;d=o+4|0;j=k[d>>2]|0;if(!j){i=k[o>>2]|0;if(!i){w=0;break}else{x=i;y=o}}else{x=j;y=d}while(1){d=x+20|0;j=k[d>>2]|0;if(j){x=j;y=d;continue}d=x+16|0;j=k[d>>2]|0;if(!j){z=x;A=y;break}else{x=j;y=d}}if(A>>>0<b>>>0)mc();else{k[A>>2]=0;w=z;break}}else{d=k[c+8>>2]|0;if(d>>>0<b>>>0)mc();j=d+12|0;if((k[j>>2]|0)!=(c|0))mc();o=s+8|0;if((k[o>>2]|0)==(c|0)){k[j>>2]=s;k[o>>2]=d;w=s;break}else mc()}while(0);if(t){s=k[c+28>>2]|0;g=46372+(s<<2)|0;if((c|0)==(k[g>>2]|0)){k[g>>2]=w;if(!w){k[11518]=k[11518]&~(1<<s);break}}else{if(t>>>0<(k[11521]|0)>>>0)mc();s=t+16|0;if((k[s>>2]|0)==(c|0))k[s>>2]=w;else k[t+20>>2]=w;if(!w)break}s=k[11521]|0;if(w>>>0<s>>>0)mc();k[w+24>>2]=t;g=c+16|0;f=k[g>>2]|0;do if(f)if(f>>>0<s>>>0)mc();else{k[w+16>>2]=f;k[f+24>>2]=w;break}while(0);f=k[g+4>>2]|0;if(f)if(f>>>0<(k[11521]|0)>>>0)mc();else{k[w+20>>2]=f;k[f+24>>2]=w;break}}}else{f=k[c+8>>2]|0;s=k[c+12>>2]|0;t=46108+(v<<1<<2)|0;if((f|0)!=(t|0)){if(f>>>0<b>>>0)mc();if((k[f+12>>2]|0)!=(c|0))mc()}if((s|0)==(f|0)){k[11517]=k[11517]&~(1<<v);break}if((s|0)!=(t|0)){if(s>>>0<b>>>0)mc();t=s+8|0;if((k[t>>2]|0)==(c|0))B=t;else mc()}else B=s+8|0;k[f+12>>2]=s;k[B>>2]=f}while(0);k[l+4>>2]=u|1;k[l+u>>2]=u;if((l|0)==(k[11522]|0)){k[11519]=u;return}else C=u}else{k[a>>2]=r&-2;k[l+4>>2]=m|1;k[l+m>>2]=m;C=m}m=C>>>3;if(C>>>0<256){r=46108+(m<<1<<2)|0;a=k[11517]|0;u=1<<m;if(a&u){m=r+8|0;B=k[m>>2]|0;if(B>>>0<(k[11521]|0)>>>0)mc();else{D=m;E=B}}else{k[11517]=a|u;D=r+8|0;E=r}k[D>>2]=l;k[E+12>>2]=l;k[l+8>>2]=E;k[l+12>>2]=r;return}r=C>>>8;if(r)if(C>>>0>16777215)F=31;else{E=(r+1048320|0)>>>16&8;D=r<<E;r=(D+520192|0)>>>16&4;u=D<<r;D=(u+245760|0)>>>16&2;a=14-(r|E|D)+(u<<D>>>15)|0;F=C>>>(a+7|0)&1|a<<1}else F=0;a=46372+(F<<2)|0;k[l+28>>2]=F;k[l+20>>2]=0;k[l+16>>2]=0;D=k[11518]|0;u=1<<F;if(!(D&u)){k[11518]=D|u;k[a>>2]=l;k[l+24>>2]=a;k[l+12>>2]=l;k[l+8>>2]=l;return}u=C<<((F|0)==31?0:25-(F>>>1)|0);F=k[a>>2]|0;while(1){if((k[F+4>>2]&-8|0)==(C|0)){G=F;H=127;break}a=F+16+(u>>>31<<2)|0;D=k[a>>2]|0;if(!D){I=a;J=F;H=124;break}else{u=u<<1;F=D}}if((H|0)==124){if(I>>>0<(k[11521]|0)>>>0)mc();k[I>>2]=l;k[l+24>>2]=J;k[l+12>>2]=l;k[l+8>>2]=l;return}else if((H|0)==127){H=G+8|0;J=k[H>>2]|0;I=k[11521]|0;if(!(J>>>0>=I>>>0&G>>>0>=I>>>0))mc();k[J+12>>2]=l;k[H>>2]=l;k[l+8>>2]=J;k[l+12>>2]=G;k[l+24>>2]=0;return}}function rua(a){a=a|0;var b=0,c=0,d=0;a=k[10619]|0;vua(47244,a,47300);k[11641]=47992;k[11643]=48012;k[11642]=0;B=0;wa(508,46572,47244);b=B;B=0;if(b&1){b=Rb()|0;vva(46572);Qb(b|0)}k[11661]=0;k[11662]=-1;b=k[10620]|0;wua(47348,b,47308);k[11663]=48072;k[11664]=48092;B=0;wa(508,46656,47348);c=B;B=0;if(c&1){c=Rb()|0;vva(46656);Qb(c|0)}k[11682]=0;k[11683]=-1;c=k[10618]|0;wua(47396,c,47316);k[11684]=48072;k[11685]=48092;B=0;wa(508,46740,47396);d=B;B=0;if(d&1){d=Rb()|0;vva(46740);Qb(d|0)}k[11703]=0;k[11704]=-1;d=k[46736+(k[(k[11684]|0)+-12>>2]|0)+24>>2]|0;k[11705]=48072;k[11706]=48092;B=0;wa(508,46824,d|0);d=B;B=0;if(d&1){d=Rb()|0;vva(46824);Qb(d|0)}k[11724]=0;k[11725]=-1;k[46564+(k[(k[11641]|0)+-12>>2]|0)+72>>2]=46652;d=46736+(k[(k[11684]|0)+-12>>2]|0)+4|0;k[d>>2]=k[d>>2]|8192;k[46736+(k[(k[11684]|0)+-12>>2]|0)+72>>2]=46652;xua(47444,a,47324);k[11726]=48032;k[11728]=48052;k[11727]=0;B=0;wa(508,46912,47444);a=B;B=0;if(a&1){a=Rb()|0;zva(46912);Qb(a|0)}k[11746]=0;k[11747]=-1;yua(47500,b,47332);k[11748]=48112;k[11749]=48132;B=0;wa(508,46996,47500);b=B;B=0;if(b&1){b=Rb()|0;zva(46996);Qb(b|0)}k[11767]=0;k[11768]=-1;yua(47548,c,47340);k[11769]=48112;k[11770]=48132;B=0;wa(508,47080,47548);c=B;B=0;if(c&1){c=Rb()|0;zva(47080);Qb(c|0)}k[11788]=0;k[11789]=-1;c=k[47076+(k[(k[11769]|0)+-12>>2]|0)+24>>2]|0;k[11790]=48112;k[11791]=48132;B=0;wa(508,47164,c|0);c=B;B=0;if(c&1){c=Rb()|0;zva(47164);Qb(c|0)}else{k[11809]=0;k[11810]=-1;k[46904+(k[(k[11726]|0)+-12>>2]|0)+72>>2]=46992;c=47076+(k[(k[11769]|0)+-12>>2]|0)+4|0;k[c>>2]=k[c>>2]|8192;k[47076+(k[(k[11769]|0)+-12>>2]|0)+72>>2]=46992;return}}function sua(a){a=a|0;B=0;ya(442,46652)|0;a=B;B=0;if(((!(a&1)?(B=0,ya(442,46820)|0,a=B,B=0,!(a&1)):0)?(B=0,ya(443,46992)|0,a=B,B=0,!(a&1)):0)?(B=0,ya(443,47160)|0,a=B,B=0,!(a&1)):0)return;a=Rb(0)|0;Dd(a)}function tua(){rua(0);ic(550,157079,w|0)|0;return}function uua(){return}function vua(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=r;r=r+16|0;e=d+4|0;f=d;Cva(a);k[a>>2]=47796;k[a+32>>2]=b;k[a+40>>2]=c;k[a+48>>2]=-1;i[a+52>>0]=0;YAa(e,a+4|0);k[f>>2]=k[e>>2];B=0;wa(469,a|0,f|0);e=B;B=0;if(e&1){e=Rb()|0;ZAa(f);Ava(a);Qb(e|0)}else{ZAa(f);r=d;return}}function wua(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=r;r=r+16|0;e=d+4|0;f=d;Cva(a);k[a>>2]=47732;k[a+32>>2]=b;YAa(e,a+4|0);k[f>>2]=k[e>>2];B=0;e=Xa(238,f|0,49380)|0;b=B;B=0;if(b&1){b=Rb()|0;ZAa(f);Ava(a);Qb(b|0)}else{ZAa(f);k[a+36>>2]=e;k[a+40>>2]=c;c=(Hc[k[(k[e>>2]|0)+28>>2]&511](e)|0)&1;i[a+44>>0]=c;r=d;return}}function xua(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=r;r=r+16|0;e=d+4|0;f=d;Rva(a);k[a>>2]=47668;k[a+32>>2]=b;k[a+40>>2]=c;k[a+48>>2]=-1;i[a+52>>0]=0;YAa(e,a+4|0);k[f>>2]=k[e>>2];B=0;wa(467,a|0,f|0);e=B;B=0;if(e&1){e=Rb()|0;ZAa(f);Pva(a);Qb(e|0)}else{ZAa(f);r=d;return}}function yua(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=r;r=r+16|0;e=d+4|0;f=d;Rva(a);k[a>>2]=47604;k[a+32>>2]=b;YAa(e,a+4|0);k[f>>2]=k[e>>2];B=0;e=Xa(238,f|0,49388)|0;b=B;B=0;if(b&1){b=Rb()|0;ZAa(f);Pva(a);Qb(b|0)}else{ZAa(f);k[a+36>>2]=e;k[a+40>>2]=c;c=(Hc[k[(k[e>>2]|0)+28>>2]&511](e)|0)&1;i[a+44>>0]=c;r=d;return}}function zua(a){a=a|0;Pva(a);Sqa(a);return}function Aua(a,b){a=a|0;b=b|0;var c=0;Hc[k[(k[a>>2]|0)+24>>2]&511](a)|0;c=$Aa(b,49388)|0;k[a+36>>2]=c;b=(Hc[k[(k[c>>2]|0)+28>>2]&511](c)|0)&1;i[a+44>>0]=b;return}function Bua(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;b=r;r=r+16|0;c=b+8|0;d=b;e=a+36|0;f=a+40|0;g=c+8|0;h=c;i=a+32|0;a:while(1){a=k[e>>2]|0;j=fd[k[(k[a>>2]|0)+20>>2]&31](a,k[f>>2]|0,c,g,d)|0;a=(k[d>>2]|0)-h|0;if((jta(c,1,a,k[i>>2]|0)|0)!=(a|0)){l=-1;break}switch(j|0){case 1:break;case 2:{l=-1;break a;break}default:{m=4;break a}}}if((m|0)==4)l=((Usa(k[i>>2]|0)|0)!=0)<<31>>31;r=b;return l|0}function Cua(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;a:do if(!(i[a+44>>0]|0)){d=b;e=0;while(1){if((e|0)>=(c|0)){f=e;break a}if((ed[k[(k[a>>2]|0)+52>>2]&511](a,k[d>>2]|0)|0)==-1){f=e;break a}d=d+4|0;e=e+1|0}}else f=jta(b,4,c,k[a+32>>2]|0)|0;while(0);return f|0}function Dua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;c=r;r=r+32|0;d=c+16|0;e=c+8|0;f=c+4|0;g=c;h=(b|0)==-1;do if(!h){k[e>>2]=b;if(i[a+44>>0]|0)if((jta(e,4,1,k[a+32>>2]|0)|0)==1){j=14;break}else{l=-1;break}k[f>>2]=d;m=e+4|0;n=a+36|0;o=a+40|0;p=d+8|0;q=d;s=a+32|0;t=e;while(1){u=k[n>>2]|0;v=pd[k[(k[u>>2]|0)+12>>2]&15](u,k[o>>2]|0,t,m,g,d,p,f)|0;if((k[g>>2]|0)==(t|0)){j=13;break}if((v|0)==3){w=t;j=7;break}if(v>>>0>=2){j=13;break}u=(k[f>>2]|0)-q|0;if((jta(d,1,u,k[s>>2]|0)|0)!=(u|0)){j=13;break}if((v|0)==1)t=k[g>>2]|0;else{j=12;break}}if((j|0)==7)if((jta(w,1,1,k[s>>2]|0)|0)==1)j=12;else j=13;if((j|0)==12){j=14;break}else if((j|0)==13){l=-1;break}}else j=14;while(0);if((j|0)==14)l=h?0:b;r=c;return l|0}function Eua(a,b){a=a|0;b=b|0;var c=0,d=0;c=$Aa(b,49388)|0;b=a+36|0;k[b>>2]=c;d=Hc[k[(k[c>>2]|0)+24>>2]&511](c)|0;c=a+44|0;k[c>>2]=d;d=k[b>>2]|0;b=(Hc[k[(k[d>>2]|0)+28>>2]&511](d)|0)&1;i[a+53>>0]=b;if((k[c>>2]|0)>8)iAa(157105);return}function Fua(a){a=a|0;Pva(a);Sqa(a);return}function Gua(a){a=a|0;return Jua(a,0)|0}function Hua(a){a=a|0;return Jua(a,1)|0}function Iua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;c=r;r=r+32|0;d=c+16|0;e=c+8|0;f=c+4|0;g=c;h=a+52|0;j=(i[h>>0]|0)!=0;a:do if((b|0)==-1)if(j)l=-1;else{m=k[a+48>>2]|0;i[h>>0]=(m|0)!=-1&1;l=m}else{do if(j){m=a+48|0;k[f>>2]=k[m>>2];n=k[a+36>>2]|0;switch(pd[k[(k[n>>2]|0)+12>>2]&15](n,k[a+40>>2]|0,f,f+4|0,g,d,d+8|0,e)|0){case 1:case 2:{l=-1;break a;break}case 3:{i[d>>0]=k[m>>2];k[e>>2]=d+1;break}default:{}}n=a+32|0;while(1){o=k[e>>2]|0;if(o>>>0<=d>>>0){p=13;break}q=o+-1|0;k[e>>2]=q;if((sta(i[q>>0]|0,k[n>>2]|0)|0)==-1){p=12;break}}if((p|0)==12){l=-1;break a}else if((p|0)==13){s=m;break}}else s=a+48|0;while(0);k[s>>2]=b;i[h>>0]=1;l=b}while(0);r=c;return l|0}function Jua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;c=r;r=r+32|0;d=c+16|0;e=c+8|0;f=c+4|0;g=c;h=a+52|0;if(i[h>>0]|0){j=a+48|0;l=k[j>>2]|0;if(b){k[j>>2]=-1;i[h>>0]=0;m=l}else m=l}else{l=k[a+44>>2]|0;h=(l|0)>1?l:1;l=a+32|0;j=0;while(1){if((j|0)>=(h|0)){n=8;break}o=kta(k[l>>2]|0)|0;if((o|0)==-1){p=-1;break}i[d+j>>0]=o;j=j+1|0}if((n|0)==8){do if(!(i[a+53>>0]|0)){j=a+40|0;o=a+36|0;q=e+4|0;s=h;a:while(1){t=k[j>>2]|0;u=t;v=k[u>>2]|0;w=k[u+4>>2]|0;u=k[o>>2]|0;x=d+s|0;switch(pd[k[(k[u>>2]|0)+16>>2]&15](u,t,d,x,f,e,q,g)|0){case 3:{y=s;n=15;break a;break}case 2:{n=17;break a;break}case 1:break;default:{z=s;break a}}t=k[j>>2]|0;k[t>>2]=v;k[t+4>>2]=w;if((s|0)==8){n=17;break}w=kta(k[l>>2]|0)|0;if((w|0)==-1){n=17;break}i[x>>0]=w;s=s+1|0}if((n|0)==15){k[e>>2]=i[d>>0];z=y}else if((n|0)==17){A=-1;break}B=z;n=18}else{k[e>>2]=i[d>>0];B=h;n=18}while(0);b:do if((n|0)==18){if(b){h=k[e>>2]|0;k[a+48>>2]=h;A=h;break}else C=B;while(1){if((C|0)<=0)break;C=C+-1|0;if((sta(i[d+C>>0]|0,k[l>>2]|0)|0)==-1){A=-1;break b}}A=k[e>>2]|0}while(0);p=A}m=p}r=c;return m|0}function Kua(a){a=a|0;Ava(a);Sqa(a);return}function Lua(a,b){a=a|0;b=b|0;var c=0;Hc[k[(k[a>>2]|0)+24>>2]&511](a)|0;c=$Aa(b,49380)|0;k[a+36>>2]=c;b=(Hc[k[(k[c>>2]|0)+28>>2]&511](c)|0)&1;i[a+44>>0]=b;return}function Mua(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;b=r;r=r+16|0;c=b+8|0;d=b;e=a+36|0;f=a+40|0;g=c+8|0;h=c;i=a+32|0;a:while(1){a=k[e>>2]|0;j=fd[k[(k[a>>2]|0)+20>>2]&31](a,k[f>>2]|0,c,g,d)|0;a=(k[d>>2]|0)-h|0;if((jta(c,1,a,k[i>>2]|0)|0)!=(a|0)){l=-1;break}switch(j|0){case 1:break;case 2:{l=-1;break a;break}default:{m=4;break a}}}if((m|0)==4)l=((Usa(k[i>>2]|0)|0)!=0)<<31>>31;r=b;return l|0}function Nua(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;a:do if(!(i[a+44>>0]|0)){d=b;e=0;while(1){if((e|0)>=(c|0)){f=e;break a}if((ed[k[(k[a>>2]|0)+52>>2]&511](a,l[d>>0]|0)|0)==-1){f=e;break a}d=d+1|0;e=e+1|0}}else f=jta(b,1,c,k[a+32>>2]|0)|0;while(0);return f|0}function Oua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;c=r;r=r+32|0;d=c+16|0;e=c+8|0;f=c+4|0;g=c;h=(b|0)==-1;do if(!h){i[e>>0]=b;if(i[a+44>>0]|0)if((jta(e,1,1,k[a+32>>2]|0)|0)==1){j=14;break}else{l=-1;break}k[f>>2]=d;m=e+1|0;n=a+36|0;o=a+40|0;p=d+8|0;q=d;s=a+32|0;t=e;while(1){u=k[n>>2]|0;v=pd[k[(k[u>>2]|0)+12>>2]&15](u,k[o>>2]|0,t,m,g,d,p,f)|0;if((k[g>>2]|0)==(t|0)){j=13;break}if((v|0)==3){w=t;j=7;break}if(v>>>0>=2){j=13;break}u=(k[f>>2]|0)-q|0;if((jta(d,1,u,k[s>>2]|0)|0)!=(u|0)){j=13;break}if((v|0)==1)t=k[g>>2]|0;else{j=12;break}}if((j|0)==7)if((jta(w,1,1,k[s>>2]|0)|0)==1)j=12;else j=13;if((j|0)==12){j=14;break}else if((j|0)==13){l=-1;break}}else j=14;while(0);if((j|0)==14)l=h?0:b;r=c;return l|0}function Pua(a,b){a=a|0;b=b|0;var c=0,d=0;c=$Aa(b,49380)|0;b=a+36|0;k[b>>2]=c;d=Hc[k[(k[c>>2]|0)+24>>2]&511](c)|0;c=a+44|0;k[c>>2]=d;d=k[b>>2]|0;b=(Hc[k[(k[d>>2]|0)+28>>2]&511](d)|0)&1;i[a+53>>0]=b;if((k[c>>2]|0)>8)iAa(157105);return}function Qua(a){a=a|0;Ava(a);Sqa(a);return}function Rua(a){a=a|0;return Uua(a,0)|0}function Sua(a){a=a|0;return Uua(a,1)|0}function Tua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;c=r;r=r+32|0;d=c+16|0;e=c+4|0;f=c+8|0;g=c;h=a+52|0;j=(i[h>>0]|0)!=0;a:do if((b|0)==-1)if(j)l=-1;else{m=k[a+48>>2]|0;i[h>>0]=(m|0)!=-1&1;l=m}else{do if(j){m=a+48|0;i[f>>0]=k[m>>2];n=k[a+36>>2]|0;switch(pd[k[(k[n>>2]|0)+12>>2]&15](n,k[a+40>>2]|0,f,f+1|0,g,d,d+8|0,e)|0){case 1:case 2:{l=-1;break a;break}case 3:{i[d>>0]=k[m>>2];k[e>>2]=d+1;break}default:{}}n=a+32|0;while(1){o=k[e>>2]|0;if(o>>>0<=d>>>0){p=13;break}q=o+-1|0;k[e>>2]=q;if((sta(i[q>>0]|0,k[n>>2]|0)|0)==-1){p=12;break}}if((p|0)==12){l=-1;break a}else if((p|0)==13){s=m;break}}else s=a+48|0;while(0);k[s>>2]=b;i[h>>0]=1;l=b}while(0);r=c;return l|0}function Uua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;c=r;r=r+32|0;d=c+16|0;e=c+8|0;f=c+4|0;g=c;h=a+52|0;if(i[h>>0]|0){j=a+48|0;m=k[j>>2]|0;if(b){k[j>>2]=-1;i[h>>0]=0;n=m}else n=m}else{m=k[a+44>>2]|0;h=(m|0)>1?m:1;m=a+32|0;j=0;while(1){if((j|0)>=(h|0)){o=8;break}p=kta(k[m>>2]|0)|0;if((p|0)==-1){q=-1;break}i[d+j>>0]=p;j=j+1|0}if((o|0)==8){do if(!(i[a+53>>0]|0)){j=a+40|0;p=a+36|0;s=e+1|0;t=h;a:while(1){u=k[j>>2]|0;v=u;w=k[v>>2]|0;x=k[v+4>>2]|0;v=k[p>>2]|0;y=d+t|0;switch(pd[k[(k[v>>2]|0)+16>>2]&15](v,u,d,y,f,e,s,g)|0){case 3:{z=t;o=15;break a;break}case 2:{o=17;break a;break}case 1:break;default:{A=t;break a}}u=k[j>>2]|0;k[u>>2]=w;k[u+4>>2]=x;if((t|0)==8){o=17;break}x=kta(k[m>>2]|0)|0;if((x|0)==-1){o=17;break}i[y>>0]=x;t=t+1|0}if((o|0)==15){i[e>>0]=i[d>>0]|0;A=z}else if((o|0)==17){B=-1;break}C=A;o=18}else{i[e>>0]=i[d>>0]|0;C=h;o=18}while(0);b:do if((o|0)==18){if(b){h=i[e>>0]|0;k[a+48>>2]=h&255;D=h}else{h=C;while(1){if((h|0)<=0)break;h=h+-1|0;if((sta(l[d+h>>0]|0,k[m>>2]|0)|0)==-1){B=-1;break b}}D=i[e>>0]|0}B=D&255}while(0);q=B}n=q}r=c;return n|0}function Vua(a,b){a=a|0;b=b|0;if(!(i[b>>0]&1)){k[a>>2]=k[b>>2];k[a+4>>2]=k[b+4>>2];k[a+8>>2]=k[b+8>>2]}else Wua(a,k[b+8>>2]|0,k[b+4>>2]|0);return}function Wua(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;if(c>>>0>4294967279)Nqa(a);if(c>>>0<11){i[a>>0]=c<<1;d=a+1|0}else{e=c+16&-16;f=Qqa(e)|0;k[a+8>>2]=f;k[a>>2]=e|1;k[a+4>>2]=c;d=f}TEa(d|0,b|0,c|0)|0;i[d+c>>0]=0;return}function Xua(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;if(b>>>0>4294967279)Nqa(a);if(b>>>0<11){i[a>>0]=b<<1;d=a+1|0}else{e=b+16&-16;f=Qqa(e)|0;k[a+8>>2]=f;k[a>>2]=e|1;k[a+4>>2]=b;d=f}WEa(d|0,c|0,b|0)|0;i[d+b>>0]=0;return}function Yua(a){a=a|0;if(i[a>>0]&1)Sqa(k[a+8>>2]|0);return}function Zua(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)!=(b|0)){c=i[b>>0]|0;d=(c&1)==0;$ua(a,d?b+1|0:k[b+8>>2]|0,d?(c&255)>>>1:k[b+4>>2]|0)|0}return a|0}function _ua(a,b){a=a|0;b=b|0;return $ua(a,b,Lta(b)|0)|0}function $ua(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=i[a>>0]|0;if(!(d&1)){e=10;f=d}else{d=k[a>>2]|0;e=(d&-2)+-1|0;f=d&255}d=(f&1)==0;do if(e>>>0>=c>>>0){if(d)g=a+1|0;else g=k[a+8>>2]|0;UEa(g|0,b|0,c|0)|0;i[g+c>>0]=0;if(!(i[a>>0]&1)){i[a>>0]=c<<1;break}else{k[a+4>>2]=c;break}}else{if(d)h=(f&255)>>>1;else h=k[a+4>>2]|0;gva(a,e,c-e|0,h,0,h,c,b)}while(0);return a|0}function ava(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=i[a>>0]|0;e=(d&1)==0;if(e)f=(d&255)>>>1;else f=k[a+4>>2]|0;do if(f>>>0>=b>>>0)if(e){i[a+1+b>>0]=0;i[a>>0]=b<<1;break}else{i[(k[a+8>>2]|0)+b>>0]=0;k[a+4>>2]=b;break}else bva(a,b-f|0,c)|0;while(0);return}function bva(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0;if(b){d=i[a>>0]|0;if(!(d&1)){e=10;f=d}else{d=k[a>>2]|0;e=(d&-2)+-1|0;f=d&255}if(!(f&1))g=(f&255)>>>1;else g=k[a+4>>2]|0;if((e-g|0)>>>0<b>>>0){hva(a,e,b-e+g|0,g,g,0,0);h=i[a>>0]|0}else h=f;if(!(h&1))j=a+1|0;else j=k[a+8>>2]|0;WEa(j+g|0,c|0,b|0)|0;c=g+b|0;if(!(i[a>>0]&1))i[a>>0]=c<<1;else k[a+4>>2]=c;i[j+c>>0]=0}return a|0}function cva(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;if(b>>>0>4294967279)Nqa(a);c=i[a>>0]|0;if(!(c&1)){d=10;e=c}else{c=k[a>>2]|0;d=(c&-2)+-1|0;e=c&255}if(!(e&1))f=(e&255)>>>1;else f=k[a+4>>2]|0;c=f>>>0>b>>>0?f:b;if(c>>>0<11)g=10;else g=(c+16&-16)+-1|0;a:do if((g|0)!=(d|0)){do if((g|0)!=10){c=g+1|0;if(g>>>0<=d>>>0){B=0;b=ya(423,c|0)|0;h=B;B=0;if(h&1){h=Rb(0)|0;Nb(h|0)|0;Pb();break a}else j=b}else j=Qqa(c)|0;if(!(e&1)){l=j;m=1;n=a+1|0;o=0;break}else{l=j;m=1;n=k[a+8>>2]|0;o=1;break}}else{l=a+1|0;m=0;n=k[a+8>>2]|0;o=1}while(0);if(!(e&1))p=(e&255)>>>1;else p=k[a+4>>2]|0;TEa(l|0,n|0,p+1|0)|0;if(o)Sqa(n);if(m){k[a>>2]=g+1|1;k[a+4>>2]=f;k[a+8>>2]=l;break}else{i[a>>0]=f<<1;break}}while(0);return}function dva(a,b){a=a|0;b=b|0;return fva(a,b,Lta(b)|0)|0}function eva(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;c=i[a>>0]|0;d=(c&1)!=0;if(d){e=(k[a>>2]&-2)+-1|0;f=k[a+4>>2]|0}else{e=10;f=(c&255)>>>1}if((f|0)==(e|0)){hva(a,e,1,e,e,0,0);if(!(i[a>>0]&1))g=7;else g=8}else if(d)g=8;else g=7;if((g|0)==7){i[a>>0]=(f<<1)+2;h=a+1|0}else if((g|0)==8){g=k[a+8>>2]|0;k[a+4>>2]=f+1;h=g}g=h+f|0;i[g>>0]=b;i[g+1>>0]=0;return}function fva(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=i[a>>0]|0;if(!(d&1)){e=10;f=d}else{d=k[a>>2]|0;e=(d&-2)+-1|0;f=d&255}if(!(f&1))g=(f&255)>>>1;else g=k[a+4>>2]|0;if((e-g|0)>>>0>=c>>>0){if(c){if(!(f&1))h=a+1|0;else h=k[a+8>>2]|0;TEa(h+g|0,b|0,c|0)|0;f=g+c|0;if(!(i[a>>0]&1))i[a>>0]=f<<1;else k[a+4>>2]=f;i[h+f>>0]=0}}else gva(a,e,c-e+g|0,g,g,0,c,b);return a|0}function gva(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0,n=0;if((-18-b|0)>>>0<c>>>0)Nqa(a);if(!(i[a>>0]&1))j=a+1|0;else j=k[a+8>>2]|0;if(b>>>0<2147483623){l=c+b|0;c=b<<1;m=l>>>0<c>>>0?c:l;n=m>>>0<11?11:m+16&-16}else n=-17;m=Qqa(n)|0;if(e)TEa(m|0,j|0,e|0)|0;if(g)TEa(m+e|0,h|0,g|0)|0;h=d-f|0;if((h|0)!=(e|0))TEa(m+e+g|0,j+e+f|0,h-e|0)|0;if((b|0)!=10)Sqa(j);k[a+8>>2]=m;k[a>>2]=n|1;n=h+g|0;k[a+4>>2]=n;i[m+n>>0]=0;return}function hva(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0;if((-17-b|0)>>>0<c>>>0)Nqa(a);if(!(i[a>>0]&1))h=a+1|0;else h=k[a+8>>2]|0;if(b>>>0<2147483623){j=c+b|0;c=b<<1;l=j>>>0<c>>>0?c:j;m=l>>>0<11?11:l+16&-16}else m=-17;l=Qqa(m)|0;if(e)TEa(l|0,h|0,e|0)|0;j=d-f|0;if((j|0)!=(e|0))TEa(l+e+g|0,h+e+f|0,j-e|0)|0;if((b|0)!=10)Sqa(h);k[a+8>>2]=l;k[a>>2]=m|1;return}function iva(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;if(c>>>0>1073741807)Nqa(a);if(c>>>0<2){i[a>>0]=c<<1;d=a+4|0}else{e=c+4&-4;f=Qqa(e<<2)|0;k[a+8>>2]=f;k[a>>2]=e|1;k[a+4>>2]=c;d=f}Rta(d,b,c)|0;k[d+(c<<2)>>2]=0;return}function jva(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;if(b>>>0>1073741807)Nqa(a);if(b>>>0<2){i[a>>0]=b<<1;d=a+4|0}else{e=b+4&-4;f=Qqa(e<<2)|0;k[a+8>>2]=f;k[a>>2]=e|1;k[a+4>>2]=b;d=f}Tta(d,c,b)|0;k[d+(b<<2)>>2]=0;return}function kva(a){a=a|0;if(i[a>>0]&1)Sqa(k[a+8>>2]|0);return}function lva(a,b){a=a|0;b=b|0;return mva(a,b,Qta(b)|0)|0}function mva(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=i[a>>0]|0;if(!(d&1)){e=1;f=d}else{d=k[a>>2]|0;e=(d&-2)+-1|0;f=d&255}d=(f&1)==0;do if(e>>>0>=c>>>0){if(d)g=a+4|0;else g=k[a+8>>2]|0;Sta(g,b,c)|0;k[g+(c<<2)>>2]=0;if(!(i[a>>0]&1)){i[a>>0]=c<<1;break}else{k[a+4>>2]=c;break}}else{if(d)h=(f&255)>>>1;else h=k[a+4>>2]|0;pva(a,e,c-e|0,h,0,h,c,b)}while(0);return a|0}function nva(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;if(b>>>0>1073741807)Nqa(a);c=i[a>>0]|0;if(!(c&1)){d=1;e=c}else{c=k[a>>2]|0;d=(c&-2)+-1|0;e=c&255}if(!(e&1))f=(e&255)>>>1;else f=k[a+4>>2]|0;c=f>>>0>b>>>0?f:b;if(c>>>0<2)g=1;else g=(c+4&-4)+-1|0;a:do if((g|0)!=(d|0)){do if((g|0)!=1){c=(g<<2)+4|0;if(g>>>0<=d>>>0){B=0;b=ya(423,c|0)|0;h=B;B=0;if(h&1){h=Rb(0)|0;Nb(h|0)|0;Pb();break a}else j=b}else j=Qqa(c)|0;if(!(e&1)){l=j;m=1;n=a+4|0;o=0;break}else{l=j;m=1;n=k[a+8>>2]|0;o=1;break}}else{l=a+4|0;m=0;n=k[a+8>>2]|0;o=1}while(0);if(!(e&1))p=(e&255)>>>1;else p=k[a+4>>2]|0;Rta(l,n,p+1|0)|0;if(o)Sqa(n);if(m){k[a>>2]=g+1|1;k[a+4>>2]=f;k[a+8>>2]=l;break}else{i[a>>0]=f<<1;break}}while(0);return}function ova(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;c=i[a>>0]|0;d=(c&1)!=0;if(d){e=(k[a>>2]&-2)+-1|0;f=k[a+4>>2]|0}else{e=1;f=(c&255)>>>1}if((f|0)==(e|0)){qva(a,e,1,e,e,0,0);if(!(i[a>>0]&1))g=7;else g=8}else if(d)g=8;else g=7;if((g|0)==7){i[a>>0]=(f<<1)+2;h=a+4|0}else if((g|0)==8){g=k[a+8>>2]|0;k[a+4>>2]=f+1;h=g}g=h+(f<<2)|0;k[g>>2]=b;k[g+4>>2]=0;return}function pva(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0,n=0;if((1073741806-b|0)>>>0<c>>>0)Nqa(a);if(!(i[a>>0]&1))j=a+4|0;else j=k[a+8>>2]|0;if(b>>>0<536870887){l=c+b|0;c=b<<1;m=l>>>0<c>>>0?c:l;n=m>>>0<2?2:m+4&-4}else n=1073741807;m=Qqa(n<<2)|0;if(e)Rta(m,j,e)|0;if(g)Rta(m+(e<<2)|0,h,g)|0;h=d-f|0;if((h|0)!=(e|0))Rta(m+(e<<2)+(g<<2)|0,j+(e<<2)+(f<<2)|0,h-e|0)|0;if((b|0)!=1)Sqa(j);k[a+8>>2]=m;k[a>>2]=n|1;n=h+g|0;k[a+4>>2]=n;k[m+(n<<2)>>2]=0;return}function qva(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0;if((1073741807-b|0)>>>0<c>>>0)Nqa(a);if(!(i[a>>0]&1))h=a+4|0;else h=k[a+8>>2]|0;if(b>>>0<536870887){j=c+b|0;c=b<<1;l=j>>>0<c>>>0?c:j;m=l>>>0<2?2:l+4&-4}else m=1073741807;l=Qqa(m<<2)|0;if(e)Rta(l,h,e)|0;j=d-f|0;if((j|0)!=(e|0))Rta(l+(e<<2)+(g<<2)|0,h+(e<<2)+(f<<2)|0,j-e|0)|0;if((b|0)!=1)Sqa(h);k[a+8>>2]=l;k[a>>2]=m|1;return}function rva(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=b;e=c-d|0;if(e>>>0>4294967279)Nqa(a);if(e>>>0<11){i[a>>0]=e<<1;f=a+1|0}else{g=e+16&-16;h=Qqa(g)|0;k[a+8>>2]=h;k[a>>2]=g|1;k[a+4>>2]=e;f=h}h=c-d|0;d=b;b=f;while(1){if((d|0)==(c|0))break;i[b>>0]=i[d>>0]|0;d=d+1|0;b=b+1|0}i[f+h>>0]=0;return}function sva(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=b;e=c-d|0;f=e>>2;if(f>>>0>1073741807)Nqa(a);if(f>>>0<2){i[a>>0]=e>>>1;g=a+4|0}else{e=f+4&-4;h=Qqa(e<<2)|0;k[a+8>>2]=h;k[a>>2]=e|1;k[a+4>>2]=f;g=h}h=(c-d|0)>>>2;d=b;b=g;while(1){if((d|0)==(c|0))break;k[b>>2]=k[d>>2];d=d+4|0;b=b+4|0}k[g+(h<<2)>>2]=0;return}function tva(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=r;r=r+16|0;d=c;e=(k[a+24>>2]|0)==0;k[a+16>>2]=e&1|b;if(!((e&1|b)&k[a+20>>2])){r=c;return}c=Ab(16)|0;Lwa()|0;k[d>>2]=1;k[d+4>>2]=48212;B=0;eb(531,c|0,157660,d|0);d=B;B=0;if(d&1){d=Rb()|0;zb(c|0);Qb(d|0)}else jc(c|0,25432,380)}function uva(a){a=a|0;var b=0;k[a>>2]=48168;B=0;wa(525,a|0,0);b=B;B=0;if(b&1){b=Rb(0)|0;Dd(b)}else{ZAa(a+28|0);mua(k[a+32>>2]|0);mua(k[a+36>>2]|0);mua(k[a+48>>2]|0);mua(k[a+60>>2]|0);return}}function vva(a){a=a|0;uva(a);return}function wva(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=a+32|0;d=a+36|0;e=k[a+40>>2]|0;while(1){if(!e)break;f=e+-1|0;nd[k[(k[c>>2]|0)+(f<<2)>>2]&1023](b,a,k[(k[d>>2]|0)+(f<<2)>>2]|0);e=f}return}function xva(a){a=a|0;var b=0,c=0;b=r;r=r+16|0;c=b;YAa(c,a+28|0);r=b;return k[c>>2]|0}function yva(a,b){a=a|0;b=b|0;var c=0;k[a+24>>2]=b;k[a+16>>2]=(b|0)==0&1;k[a+20>>2]=0;k[a+4>>2]=4098;k[a+12>>2]=0;k[a+8>>2]=6;b=a+28|0;c=a+32|0;a=c+40|0;do{k[c>>2]=0;c=c+4|0}while((c|0)<(a|0));XAa(b);return}function zva(a){a=a|0;uva(a);return}function Ava(a){a=a|0;k[a>>2]=47860;ZAa(a+4|0);return}function Bva(a){a=a|0;k[a>>2]=47860;ZAa(a+4|0);Sqa(a);return}function Cva(a){a=a|0;var b=0;k[a>>2]=47860;XAa(a+4|0);b=a+8|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[b+16>>2]=0;k[b+20>>2]=0;return}function Dva(a,b){a=a|0;b=b|0;return}function Eva(a,b,c){a=a|0;b=b|0;c=c|0;return a|0}function Fva(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;f=a;k[f>>2]=0;k[f+4>>2]=0;f=a+8|0;k[f>>2]=-1;k[f+4>>2]=-1;return}function Gva(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;d=a;k[d>>2]=0;k[d+4>>2]=0;d=a+8|0;k[d>>2]=-1;k[d+4>>2]=-1;return}function Hva(a){a=a|0;return 0}function Iva(a){a=a|0;return 0}function Jva(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=a+12|0;e=a+16|0;f=b;b=0;while(1){if((b|0)>=(c|0)){g=b;break}h=k[d>>2]|0;if(h>>>0<(k[e>>2]|0)>>>0){k[d>>2]=h+1;j=i[h>>0]|0}else{h=Hc[k[(k[a>>2]|0)+40>>2]&511](a)|0;if((h|0)==-1){g=b;break}j=h&255}i[f>>0]=j;f=f+1|0;b=b+1|0}return g|0}function Kva(a){a=a|0;return -1}function Lva(a){a=a|0;var b=0,c=0;if((Hc[k[(k[a>>2]|0)+36>>2]&511](a)|0)==-1)b=-1;else{c=a+12|0;a=k[c>>2]|0;k[c>>2]=a+1;b=l[a>>0]|0}return b|0}function Mva(a,b){a=a|0;b=b|0;return -1}function Nva(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=a+24|0;e=a+28|0;f=b;b=0;while(1){if((b|0)>=(c|0)){g=b;break}h=k[d>>2]|0;if(h>>>0>=(k[e>>2]|0)>>>0){if((ed[k[(k[a>>2]|0)+52>>2]&511](a,l[f>>0]|0)|0)==-1){g=b;break}}else{j=i[f>>0]|0;k[d>>2]=h+1;i[h>>0]=j}f=f+1|0;b=b+1|0}return g|0}function Ova(a,b){a=a|0;b=b|0;return -1}function Pva(a){a=a|0;k[a>>2]=47924;ZAa(a+4|0);return}function Qva(a){a=a|0;k[a>>2]=47924;ZAa(a+4|0);Sqa(a);return}function Rva(a){a=a|0;var b=0;k[a>>2]=47924;XAa(a+4|0);b=a+8|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[b+16>>2]=0;k[b+20>>2]=0;return}function Sva(a,b){a=a|0;b=b|0;return}function Tva(a,b,c){a=a|0;b=b|0;c=c|0;return a|0}function Uva(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;f=a;k[f>>2]=0;k[f+4>>2]=0;f=a+8|0;k[f>>2]=-1;k[f+4>>2]=-1;return}function Vva(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;d=a;k[d>>2]=0;k[d+4>>2]=0;d=a+8|0;k[d>>2]=-1;k[d+4>>2]=-1;return}function Wva(a){a=a|0;return 0}function Xva(a){a=a|0;return 0}function Yva(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;d=a+12|0;e=a+16|0;f=b;b=0;while(1){if((b|0)>=(c|0)){g=b;break}h=k[d>>2]|0;if(h>>>0>=(k[e>>2]|0)>>>0){i=Hc[k[(k[a>>2]|0)+40>>2]&511](a)|0;if((i|0)==-1){g=b;break}else j=i}else{k[d>>2]=h+4;j=k[h>>2]|0}k[f>>2]=j;f=f+4|0;b=b+1|0}return g|0}function Zva(a){a=a|0;return -1}function _va(a){a=a|0;var b=0,c=0;if((Hc[k[(k[a>>2]|0)+36>>2]&511](a)|0)==-1)b=-1;else{c=a+12|0;a=k[c>>2]|0;k[c>>2]=a+4;b=k[a>>2]|0}return b|0}function $va(a,b){a=a|0;b=b|0;return -1}function awa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=a+24|0;e=a+28|0;f=b;b=0;while(1){if((b|0)>=(c|0)){g=b;break}h=k[d>>2]|0;if(h>>>0>=(k[e>>2]|0)>>>0){if((ed[k[(k[a>>2]|0)+52>>2]&511](a,k[f>>2]|0)|0)==-1){g=b;break}}else{i=k[f>>2]|0;k[d>>2]=h+4;k[h>>2]=i}f=f+4|0;b=b+1|0}return g|0}function bwa(a,b){a=a|0;b=b|0;return -1}function cwa(a){a=a|0;uva(a+8|0);return}function dwa(a){a=a|0;uva(a+(k[(k[a>>2]|0)+-12>>2]|0)+8|0);return}function ewa(a){a=a|0;uva(a+8|0);Sqa(a);return}function fwa(a){a=a|0;ewa(a+(k[(k[a>>2]|0)+-12>>2]|0)|0);return}function gwa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;b=r;r=r+16|0;c=b;a:do if(k[a+(k[(k[a>>2]|0)+-12>>2]|0)+24>>2]|0){B=0;wa(504,c|0,a|0);d=B;B=0;b:do if(d&1){e=Rb(0)|0;f=e}else{do if(i[c>>0]|0){e=k[a+(k[(k[a>>2]|0)+-12>>2]|0)+24>>2]|0;B=0;g=ya(k[(k[e>>2]|0)+24>>2]|0,e|0)|0;e=B;B=0;if(!(e&1)){if((g|0)!=-1)break;g=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;B=0;wa(505,g|0,k[g+16>>2]|1|0);g=B;B=0;if(!(g&1))break}g=Rb(0)|0;twa(c);f=g;break b}while(0);twa(c);break a}while(0);Nb(f|0)|0;B=0;va(447,a+(k[(k[a>>2]|0)+-12>>2]|0)|0);d=B;B=0;if(!(d&1)){Pb();break}d=Rb()|0;B=0;fb(4);g=B;B=0;if(g&1){g=Rb(0)|0;Dd(g)}else Qb(d|0)}while(0);r=b;return a|0}function hwa(a){a=a|0;var b=0;b=a+16|0;k[b>>2]=k[b>>2]|1;if(!(k[a+20>>2]&1))return;else ac()}function iwa(a){a=a|0;uva(a+8|0);return}function jwa(a){a=a|0;uva(a+(k[(k[a>>2]|0)+-12>>2]|0)+8|0);return}function kwa(a){a=a|0;uva(a+8|0);Sqa(a);return}function lwa(a){a=a|0;kwa(a+(k[(k[a>>2]|0)+-12>>2]|0)|0);return}function mwa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;b=r;r=r+16|0;c=b;a:do if(k[a+(k[(k[a>>2]|0)+-12>>2]|0)+24>>2]|0){B=0;wa(526,c|0,a|0);d=B;B=0;b:do if(d&1){e=Rb(0)|0;f=e}else{do if(i[c>>0]|0){e=k[a+(k[(k[a>>2]|0)+-12>>2]|0)+24>>2]|0;B=0;g=ya(k[(k[e>>2]|0)+24>>2]|0,e|0)|0;e=B;B=0;if(!(e&1)){if((g|0)!=-1)break;g=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;B=0;wa(505,g|0,k[g+16>>2]|1|0);g=B;B=0;if(!(g&1))break}g=Rb(0)|0;Iwa(c);f=g;break b}while(0);Iwa(c);break a}while(0);Nb(f|0)|0;B=0;va(447,a+(k[(k[a>>2]|0)+-12>>2]|0)|0);d=B;B=0;if(!(d&1)){Pb();break}d=Rb()|0;B=0;fb(4);g=B;B=0;if(g&1){g=Rb(0)|0;Dd(g)}else Qb(d|0)}while(0);r=b;return a|0}function nwa(a,b){a=a|0;b=b|0;return}function owa(a){a=a|0;uva(a+4|0);return}function pwa(a){a=a|0;uva(a+(k[(k[a>>2]|0)+-12>>2]|0)+4|0);return}function qwa(a){a=a|0;uva(a+4|0);Sqa(a);return}function rwa(a){a=a|0;qwa(a+(k[(k[a>>2]|0)+-12>>2]|0)|0);return}function swa(a,b){a=a|0;b=b|0;var c=0;i[a>>0]=0;k[a+4>>2]=b;c=b+(k[(k[b>>2]|0)+-12>>2]|0)|0;if(!(k[c+16>>2]|0)){b=k[c+72>>2]|0;if(b)gwa(b)|0;i[a>>0]=1}return}function twa(a){a=a|0;var b=0,c=0,d=0;b=a+4|0;a=k[b>>2]|0;c=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;do if((((k[c+24>>2]|0)!=0?(k[c+16>>2]|0)==0:0)?(k[c+4>>2]&8192|0)!=0:0)?!(Bb()|0):0){a=k[b>>2]|0;d=k[a+(k[(k[a>>2]|0)+-12>>2]|0)+24>>2]|0;B=0;a=ya(k[(k[d>>2]|0)+24>>2]|0,d|0)|0;d=B;B=0;if(!(d&1)){if((a|0)!=-1)break;a=k[b>>2]|0;d=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;B=0;wa(505,d|0,k[d+16>>2]|1|0);d=B;B=0;if(!(d&1))break}d=Rb(0)|0;Nb(d|0)|0;B=0;fb(4);d=B;B=0;if(d&1){d=Rb(0)|0;Dd(d)}}while(0);return}function uwa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;c=r;r=r+32|0;d=c+16|0;e=c+12|0;f=c;g=c+8|0;B=0;wa(504,f|0,a|0);h=B;B=0;a:do if(h&1){j=Rb(0)|0;l=j;m=a;n=a;o=19}else{do if(i[f>>0]|0){j=xva(a+(k[(k[a>>2]|0)+-12>>2]|0)|0)|0;k[g>>2]=j;B=0;j=Xa(238,g|0,48492)|0;p=B;B=0;if(p&1){p=Rb(0)|0;ZAa(g);q=p}else{ZAa(g);p=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;s=k[p+24>>2]|0;t=p+76|0;u=k[t>>2]|0;do if((u|0)==-1){v=xva(p)|0;k[d>>2]=v;B=0;v=Xa(238,d|0,49320)|0;w=B;B=0;if(!(w&1)?(B=0,w=Xa(k[(k[v>>2]|0)+28>>2]|0,v|0,32)|0,v=B,B=0,!(v&1)):0){ZAa(d);v=w<<24>>24;k[t>>2]=v;x=p;y=v;o=10;break}v=Rb(0)|0;ZAa(d);z=v}else{x=p;y=u;o=10}while(0);if((o|0)==10){u=k[(k[j>>2]|0)+12>>2]|0;k[e>>2]=s;B=0;k[d>>2]=k[e>>2];p=Ya(u|0,j|0,d|0,x|0,y&255|0,b|0)|0;u=B;B=0;if(!(u&1)){if(p)break;p=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;B=0;wa(505,p|0,k[p+16>>2]|5|0);p=B;B=0;if(!(p&1))break}p=Rb(0)|0;z=p}q=z}twa(f);l=q;m=a;n=a;o=19;break a}while(0);twa(f)}while(0);do if((o|0)==19){Nb(l|0)|0;B=0;va(447,m+(k[(k[n>>2]|0)+-12>>2]|0)|0);f=B;B=0;if(!(f&1)){Pb();break}f=Rb()|0;B=0;fb(4);q=B;B=0;if(q&1){q=Rb(0)|0;Dd(q)}else Qb(f|0)}while(0);r=c;return a|0}function vwa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;c=r;r=r+32|0;d=c+16|0;e=c+12|0;f=c;g=c+8|0;B=0;wa(504,f|0,a|0);h=B;B=0;a:do if(h&1){j=Rb(0)|0;l=j;m=a;n=a;o=19}else{do if(i[f>>0]|0){j=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;p=k[j+4>>2]&74;q=xva(j)|0;k[g>>2]=q;B=0;q=Xa(238,g|0,48492)|0;j=B;B=0;if(j&1){j=Rb(0)|0;ZAa(g);s=j}else{ZAa(g);j=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;t=k[j+24>>2]|0;u=j+76|0;v=k[u>>2]|0;do if((v|0)==-1){w=xva(j)|0;k[d>>2]=w;B=0;w=Xa(238,d|0,49320)|0;x=B;B=0;if(!(x&1)?(B=0,x=Xa(k[(k[w>>2]|0)+28>>2]|0,w|0,32)|0,w=B,B=0,!(w&1)):0){ZAa(d);w=x<<24>>24;k[u>>2]=w;y=j;z=w;o=10;break}w=Rb(0)|0;ZAa(d);A=w}else{y=j;z=v;o=10}while(0);if((o|0)==10){v=k[(k[q>>2]|0)+16>>2]|0;k[e>>2]=t;B=0;k[d>>2]=k[e>>2];j=Ya(v|0,q|0,d|0,y|0,z&255|0,((p|0)==64|(p|0)==8?b&65535:b<<16>>16)|0)|0;v=B;B=0;if(!(v&1)){if(j)break;j=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;B=0;wa(505,j|0,k[j+16>>2]|5|0);j=B;B=0;if(!(j&1))break}j=Rb(0)|0;A=j}s=A}twa(f);l=s;m=a;n=a;o=19;break a}while(0);twa(f)}while(0);do if((o|0)==19){Nb(l|0)|0;B=0;va(447,m+(k[(k[n>>2]|0)+-12>>2]|0)|0);f=B;B=0;if(!(f&1)){Pb();break}f=Rb()|0;B=0;fb(4);s=B;B=0;if(s&1){s=Rb(0)|0;Dd(s)}else Qb(f|0)}while(0);r=c;return a|0}function wwa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;c=r;r=r+32|0;d=c+16|0;e=c+12|0;f=c;g=c+8|0;B=0;wa(504,f|0,a|0);h=B;B=0;a:do if(h&1){j=Rb(0)|0;l=j;m=a;n=a;o=19}else{do if(i[f>>0]|0){j=xva(a+(k[(k[a>>2]|0)+-12>>2]|0)|0)|0;k[g>>2]=j;B=0;j=Xa(238,g|0,48492)|0;p=B;B=0;if(p&1){p=Rb(0)|0;ZAa(g);q=p}else{ZAa(g);p=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;s=k[p+24>>2]|0;t=p+76|0;u=k[t>>2]|0;do if((u|0)==-1){v=xva(p)|0;k[d>>2]=v;B=0;v=Xa(238,d|0,49320)|0;w=B;B=0;if(!(w&1)?(B=0,w=Xa(k[(k[v>>2]|0)+28>>2]|0,v|0,32)|0,v=B,B=0,!(v&1)):0){ZAa(d);v=w<<24>>24;k[t>>2]=v;x=p;y=v;o=10;break}v=Rb(0)|0;ZAa(d);z=v}else{x=p;y=u;o=10}while(0);if((o|0)==10){u=k[(k[j>>2]|0)+16>>2]|0;k[e>>2]=s;B=0;k[d>>2]=k[e>>2];p=Ya(u|0,j|0,d|0,x|0,y&255|0,b|0)|0;u=B;B=0;if(!(u&1)){if(p)break;p=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;B=0;wa(505,p|0,k[p+16>>2]|5|0);p=B;B=0;if(!(p&1))break}p=Rb(0)|0;z=p}q=z}twa(f);l=q;m=a;n=a;o=19;break a}while(0);twa(f)}while(0);do if((o|0)==19){Nb(l|0)|0;B=0;va(447,m+(k[(k[n>>2]|0)+-12>>2]|0)|0);f=B;B=0;if(!(f&1)){Pb();break}f=Rb()|0;B=0;fb(4);q=B;B=0;if(q&1){q=Rb(0)|0;Dd(q)}else Qb(f|0)}while(0);r=c;return a|0}function xwa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;c=r;r=r+32|0;d=c+16|0;e=c+12|0;f=c;g=c+8|0;B=0;wa(504,f|0,a|0);h=B;B=0;a:do if(h&1){j=Rb(0)|0;l=j;m=a;n=a;o=19}else{do if(i[f>>0]|0){j=xva(a+(k[(k[a>>2]|0)+-12>>2]|0)|0)|0;k[g>>2]=j;B=0;j=Xa(238,g|0,48492)|0;p=B;B=0;if(p&1){p=Rb(0)|0;ZAa(g);q=p}else{ZAa(g);p=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;s=k[p+24>>2]|0;t=p+76|0;u=k[t>>2]|0;do if((u|0)==-1){v=xva(p)|0;k[d>>2]=v;B=0;v=Xa(238,d|0,49320)|0;w=B;B=0;if(!(w&1)?(B=0,w=Xa(k[(k[v>>2]|0)+28>>2]|0,v|0,32)|0,v=B,B=0,!(v&1)):0){ZAa(d);v=w<<24>>24;k[t>>2]=v;x=p;y=v;o=10;break}v=Rb(0)|0;ZAa(d);z=v}else{x=p;y=u;o=10}while(0);if((o|0)==10){u=k[(k[j>>2]|0)+24>>2]|0;k[e>>2]=s;B=0;k[d>>2]=k[e>>2];p=Ya(u|0,j|0,d|0,x|0,y&255|0,b|0)|0;u=B;B=0;if(!(u&1)){if(p)break;p=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;B=0;wa(505,p|0,k[p+16>>2]|5|0);p=B;B=0;if(!(p&1))break}p=Rb(0)|0;z=p}q=z}twa(f);l=q;m=a;n=a;o=19;break a}while(0);twa(f)}while(0);do if((o|0)==19){Nb(l|0)|0;B=0;va(447,m+(k[(k[n>>2]|0)+-12>>2]|0)|0);f=B;B=0;if(!(f&1)){Pb();break}f=Rb()|0;B=0;fb(4);q=B;B=0;if(q&1){q=Rb(0)|0;Dd(q)}else Qb(f|0)}while(0);r=c;return a|0}function ywa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;c=r;r=r+32|0;d=c+16|0;e=c+12|0;f=c;g=c+8|0;B=0;wa(504,f|0,a|0);h=B;B=0;a:do if(h&1){j=Rb(0)|0;l=j;m=a;n=a;o=19}else{do if(i[f>>0]|0){j=xva(a+(k[(k[a>>2]|0)+-12>>2]|0)|0)|0;k[g>>2]=j;B=0;j=Xa(238,g|0,48492)|0;p=B;B=0;if(p&1){p=Rb(0)|0;ZAa(g);q=p}else{ZAa(g);p=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;s=k[p+24>>2]|0;t=p+76|0;u=k[t>>2]|0;do if((u|0)==-1){v=xva(p)|0;k[d>>2]=v;B=0;v=Xa(238,d|0,49320)|0;w=B;B=0;if(!(w&1)?(B=0,w=Xa(k[(k[v>>2]|0)+28>>2]|0,v|0,32)|0,v=B,B=0,!(v&1)):0){ZAa(d);v=w<<24>>24;k[t>>2]=v;x=p;y=v;o=10;break}v=Rb(0)|0;ZAa(d);z=v}else{x=p;y=u;o=10}while(0);if((o|0)==10){u=k[(k[j>>2]|0)+16>>2]|0;k[e>>2]=s;B=0;k[d>>2]=k[e>>2];p=Ya(u|0,j|0,d|0,x|0,y&255|0,b|0)|0;u=B;B=0;if(!(u&1)){if(p)break;p=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;B=0;wa(505,p|0,k[p+16>>2]|5|0);p=B;B=0;if(!(p&1))break}p=Rb(0)|0;z=p}q=z}twa(f);l=q;m=a;n=a;o=19;break a}while(0);twa(f)}while(0);do if((o|0)==19){Nb(l|0)|0;B=0;va(447,m+(k[(k[n>>2]|0)+-12>>2]|0)|0);f=B;B=0;if(!(f&1)){Pb();break}f=Rb()|0;B=0;fb(4);q=B;B=0;if(q&1){q=Rb(0)|0;Dd(q)}else Qb(f|0)}while(0);r=c;return a|0}function zwa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;d=r;r=r+32|0;e=d+16|0;f=d+12|0;g=d;h=d+8|0;B=0;wa(504,g|0,a|0);j=B;B=0;a:do if(j&1){l=Rb(0)|0;m=l;n=a;o=a;p=19}else{do if(i[g>>0]|0){l=xva(a+(k[(k[a>>2]|0)+-12>>2]|0)|0)|0;k[h>>2]=l;B=0;l=Xa(238,h|0,48492)|0;q=B;B=0;if(q&1){q=Rb(0)|0;ZAa(h);s=q}else{ZAa(h);q=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;t=k[q+24>>2]|0;u=q+76|0;v=k[u>>2]|0;do if((v|0)==-1){w=xva(q)|0;k[e>>2]=w;B=0;w=Xa(238,e|0,49320)|0;x=B;B=0;if(!(x&1)?(B=0,x=Xa(k[(k[w>>2]|0)+28>>2]|0,w|0,32)|0,w=B,B=0,!(w&1)):0){ZAa(e);w=x<<24>>24;k[u>>2]=w;y=q;z=w;p=10;break}w=Rb(0)|0;ZAa(e);A=w}else{y=q;z=v;p=10}while(0);if((p|0)==10){v=k[(k[l>>2]|0)+20>>2]|0;k[f>>2]=t;B=0;k[e>>2]=k[f>>2];q=xa(v|0,l|0,e|0,y|0,z&255|0,b|0,c|0)|0;v=B;B=0;if(!(v&1)){if(q)break;q=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;B=0;wa(505,q|0,k[q+16>>2]|5|0);q=B;B=0;if(!(q&1))break}q=Rb(0)|0;A=q}s=A}twa(g);m=s;n=a;o=a;p=19;break a}while(0);twa(g)}while(0);do if((p|0)==19){Nb(m|0)|0;B=0;va(447,n+(k[(k[o>>2]|0)+-12>>2]|0)|0);g=B;B=0;if(!(g&1)){Pb();break}g=Rb()|0;B=0;fb(4);s=B;B=0;if(s&1){s=Rb(0)|0;Dd(s)}else Qb(g|0)}while(0);r=d;return a|0}function Awa(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;c=r;r=r+32|0;d=c+16|0;e=c+12|0;f=c;g=c+8|0;B=0;wa(504,f|0,a|0);h=B;B=0;a:do if(h&1){j=Rb(0)|0;l=j;m=a;n=a;o=19}else{do if(i[f>>0]|0){j=xva(a+(k[(k[a>>2]|0)+-12>>2]|0)|0)|0;k[g>>2]=j;B=0;j=Xa(238,g|0,48492)|0;p=B;B=0;if(p&1){p=Rb(0)|0;ZAa(g);q=p}else{ZAa(g);p=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;s=k[p+24>>2]|0;t=p+76|0;u=k[t>>2]|0;do if((u|0)==-1){v=xva(p)|0;k[d>>2]=v;B=0;v=Xa(238,d|0,49320)|0;w=B;B=0;if(!(w&1)?(B=0,w=Xa(k[(k[v>>2]|0)+28>>2]|0,v|0,32)|0,v=B,B=0,!(v&1)):0){ZAa(d);v=w<<24>>24;k[t>>2]=v;x=p;y=v;o=10;break}v=Rb(0)|0;ZAa(d);z=v}else{x=p;y=u;o=10}while(0);if((o|0)==10){u=k[(k[j>>2]|0)+32>>2]|0;k[e>>2]=s;B=0;k[d>>2]=k[e>>2];p=hb(u|0,j|0,d|0,x|0,y&255|0,+b)|0;u=B;B=0;if(!(u&1)){if(p)break;p=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;B=0;wa(505,p|0,k[p+16>>2]|5|0);p=B;B=0;if(!(p&1))break}p=Rb(0)|0;z=p}q=z}twa(f);l=q;m=a;n=a;o=19;break a}while(0);twa(f)}while(0);do if((o|0)==19){Nb(l|0)|0;B=0;va(447,m+(k[(k[n>>2]|0)+-12>>2]|0)|0);f=B;B=0;if(!(f&1)){Pb();break}f=Rb()|0;B=0;fb(4);q=B;B=0;if(q&1){q=Rb(0)|0;Dd(q)}else Qb(f|0)}while(0);r=c;return a|0}function Bwa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;c=r;r=r+32|0;d=c+16|0;e=c+12|0;f=c;g=c+8|0;B=0;wa(504,f|0,a|0);h=B;B=0;a:do if(h&1){j=Rb(0)|0;l=j;m=a;n=a;o=19}else{do if(i[f>>0]|0){j=xva(a+(k[(k[a>>2]|0)+-12>>2]|0)|0)|0;k[g>>2]=j;B=0;j=Xa(238,g|0,48492)|0;p=B;B=0;if(p&1){p=Rb(0)|0;ZAa(g);q=p}else{ZAa(g);p=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;s=k[p+24>>2]|0;t=p+76|0;u=k[t>>2]|0;do if((u|0)==-1){v=xva(p)|0;k[d>>2]=v;B=0;v=Xa(238,d|0,49320)|0;w=B;B=0;if(!(w&1)?(B=0,w=Xa(k[(k[v>>2]|0)+28>>2]|0,v|0,32)|0,v=B,B=0,!(v&1)):0){ZAa(d);v=w<<24>>24;k[t>>2]=v;x=p;y=v;o=10;break}v=Rb(0)|0;ZAa(d);z=v}else{x=p;y=u;o=10}while(0);if((o|0)==10){u=k[(k[j>>2]|0)+40>>2]|0;k[e>>2]=s;B=0;k[d>>2]=k[e>>2];p=Ya(u|0,j|0,d|0,x|0,y&255|0,b|0)|0;u=B;B=0;if(!(u&1)){if(p)break;p=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;B=0;wa(505,p|0,k[p+16>>2]|5|0);p=B;B=0;if(!(p&1))break}p=Rb(0)|0;z=p}q=z}twa(f);l=q;m=a;n=a;o=19;break a}while(0);twa(f)}while(0);do if((o|0)==19){Nb(l|0)|0;B=0;va(447,m+(k[(k[n>>2]|0)+-12>>2]|0)|0);f=B;B=0;if(!(f&1)){Pb();break}f=Rb()|0;B=0;fb(4);q=B;B=0;if(q&1){q=Rb(0)|0;Dd(q)}else Qb(f|0)}while(0);r=c;return a|0}function Cwa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;c=r;r=r+16|0;d=c;B=0;wa(504,d|0,a|0);e=B;B=0;a:do if(e&1){f=Rb(0)|0;g=f;h=a;j=a;l=11}else{do if(i[d>>0]|0){f=k[a+(k[(k[a>>2]|0)+-12>>2]|0)+24>>2]|0;m=f;if(f){n=m+24|0;o=k[n>>2]|0;if((o|0)!=(k[m+28>>2]|0)){k[n>>2]=o+1;i[o>>0]=b;break}B=0;o=Xa(k[(k[f>>2]|0)+52>>2]|0,m|0,b&255|0)|0;m=B;B=0;if(!(m&1))if((o|0)==-1)l=8;else break}else l=8;if((l|0)==8?(o=a+(k[(k[a>>2]|0)+-12>>2]|0)|0,B=0,wa(505,o|0,k[o+16>>2]|1|0),o=B,B=0,!(o&1)):0)break;o=Rb(0)|0;twa(d);g=o;h=a;j=a;l=11;break a}while(0);twa(d)}while(0);do if((l|0)==11){Nb(g|0)|0;B=0;va(447,h+(k[(k[j>>2]|0)+-12>>2]|0)|0);d=B;B=0;if(!(d&1)){Pb();break}d=Rb()|0;B=0;fb(4);b=B;B=0;if(b&1){b=Rb(0)|0;Dd(b)}else Qb(d|0)}while(0);r=c;return a|0}function Dwa(a){a=a|0;uva(a+4|0);return}function Ewa(a){a=a|0;uva(a+(k[(k[a>>2]|0)+-12>>2]|0)+4|0);return}function Fwa(a){a=a|0;uva(a+4|0);Sqa(a);return}function Gwa(a){a=a|0;Fwa(a+(k[(k[a>>2]|0)+-12>>2]|0)|0);return}function Hwa(a,b){a=a|0;b=b|0;var c=0;i[a>>0]=0;k[a+4>>2]=b;c=b+(k[(k[b>>2]|0)+-12>>2]|0)|0;if(!(k[c+16>>2]|0)){b=k[c+72>>2]|0;if(b)mwa(b)|0;i[a>>0]=1}return}function Iwa(a){a=a|0;var b=0,c=0,d=0;b=a+4|0;a=k[b>>2]|0;c=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;do if((((k[c+24>>2]|0)!=0?(k[c+16>>2]|0)==0:0)?(k[c+4>>2]&8192|0)!=0:0)?!(Bb()|0):0){a=k[b>>2]|0;d=k[a+(k[(k[a>>2]|0)+-12>>2]|0)+24>>2]|0;B=0;a=ya(k[(k[d>>2]|0)+24>>2]|0,d|0)|0;d=B;B=0;if(!(d&1)){if((a|0)!=-1)break;a=k[b>>2]|0;d=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;B=0;wa(505,d|0,k[d+16>>2]|1|0);d=B;B=0;if(!(d&1))break}d=Rb(0)|0;Nb(d|0)|0;B=0;fb(4);d=B;B=0;if(d&1){d=Rb(0)|0;Dd(d)}}while(0);return}function Jwa(a){a=a|0;return 157676}function Kwa(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)!=1&(c|0)<257)IEa(a,b,c);else Wua(a,157685,35);return}function Lwa(){if((i[25616]|0)==0?(Gb(25616)|0)!=0:0){k[12053]=48184;ic(384,48212,w|0)|0;Eb(25616)}return 48212}function Mwa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=r;r=r+16|0;e=d+8|0;f=d;g=c;c=k[g+4>>2]|0;h=f;k[h>>2]=k[g>>2];k[h+4>>2]=c;k[e>>2]=k[f>>2];k[e+4>>2]=k[f+4>>2];KEa(a,e,b);k[a>>2]=48148;r=d;return}function Nwa(a){a=a|0;LEa(a);return}function Owa(a){a=a|0;LEa(a);Sqa(a);return}function Pwa(a){a=a|0;uva(a);Sqa(a);return}function Qwa(a){a=a|0;Sqa(a);return}function Rwa(a){a=a|0;return}function Swa(a){a=a|0;return}function Twa(a){a=a|0;Sqa(a);return}function Uwa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;a=d;d=b;while(1){if((a|0)==(e|0)){f=d;g=7;break}if((d|0)==(c|0)){h=-1;break}b=i[d>>0]|0;j=i[a>>0]|0;if(b<<24>>24<j<<24>>24){h=-1;break}if(j<<24>>24<b<<24>>24){h=1;break}a=a+1|0;d=d+1|0}if((g|0)==7)h=(f|0)!=(c|0)&1;return h|0}function Vwa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;rva(a,c,d);return}function Wwa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;a=0;d=b;while(1){if((d|0)==(c|0)){e=a;break}b=(i[d>>0]|0)+(a<<4)|0;f=b&-268435456;a=(f>>>24|f)^b;d=d+1|0}return e|0}function Xwa(a){a=a|0;return}function Ywa(a){a=a|0;Sqa(a);return}function Zwa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;a=d;d=b;while(1){if((a|0)==(e|0)){f=d;g=7;break}if((d|0)==(c|0)){h=-1;break}b=k[d>>2]|0;i=k[a>>2]|0;if((b|0)<(i|0)){h=-1;break}if((i|0)<(b|0)){h=1;break}a=a+4|0;d=d+4|0}if((g|0)==7)h=(f|0)!=(c|0)&1;return h|0}function _wa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;sva(a,c,d);return}function $wa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;a=0;d=b;while(1){if((d|0)==(c|0)){e=a;break}b=(k[d>>2]|0)+(a<<4)|0;f=b&-268435456;a=(f>>>24|f)^b;d=d+4|0}return e|0}function axa(a){a=a|0;return}function bxa(a){a=a|0;Sqa(a);return}function cxa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;g=r;r=r+64|0;h=g+48|0;j=g+24|0;l=g+20|0;m=g+16|0;n=g+12|0;o=g+8|0;p=g+4|0;q=g;a:do if(!(k[d+4>>2]&1)){k[l>>2]=-1;s=k[(k[a>>2]|0)+16>>2]|0;k[m>>2]=k[b>>2];k[n>>2]=k[c>>2];k[j>>2]=k[m>>2];k[h>>2]=k[n>>2];t=Gc[s&63](a,j,h,d,e,l)|0;k[b>>2]=t;switch(k[l>>2]|0){case 0:{i[f>>0]=0;break}case 1:{i[f>>0]=1;break}default:{i[f>>0]=1;k[e>>2]=4}}u=t}else{t=xva(d)|0;k[o>>2]=t;B=0;s=Xa(238,o|0,49320)|0;v=B;B=0;do if(!(v&1)){BEa(t)|0;w=xva(d)|0;k[p>>2]=w;B=0;x=Xa(238,p|0,49460)|0;y=B;B=0;if(y&1){y=Rb()|0;z=Q;BEa(w)|0;A=y;C=z;break}BEa(w)|0;B=0;wa(k[(k[x>>2]|0)+24>>2]|0,j|0,x|0);w=B;B=0;if(!(w&1)){w=j+12|0;B=0;wa(k[(k[x>>2]|0)+28>>2]|0,w|0,x|0);x=B;B=0;if(!(x&1)){k[q>>2]=k[c>>2];B=0;k[h>>2]=k[q>>2];x=ra(8,b|0,h|0,j|0,j+24|0,s|0,e|0,1)|0;z=B;B=0;if(z&1){z=Rb()|0;y=Q;Yua(j+12|0);Yua(j);A=z;C=y;break}else{i[f>>0]=(x|0)==(j|0)&1;x=k[b>>2]|0;Yua(j+12|0);Yua(j);u=x;break a}}else D=w}else D=j;w=Rb()|0;x=Q;if((j|0)==(D|0)){A=w;C=x}else{y=D;do{y=y+-12|0;Yua(y)}while((y|0)!=(j|0));A=w;C=x}}else{x=Rb()|0;w=Q;BEa(t)|0;A=x;C=w}while(0);Qb(A|0)}while(0);r=g;return u|0}function dxa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;j=g+4|0;l=g;k[j>>2]=k[b>>2];k[l>>2]=k[c>>2];k[i>>2]=k[j>>2];k[h>>2]=k[l>>2];l=RCa(a,i,h,d,e,f)|0;r=g;return l|0}function exa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;j=g+4|0;l=g;k[j>>2]=k[b>>2];k[l>>2]=k[c>>2];k[i>>2]=k[j>>2];k[h>>2]=k[l>>2];l=SCa(a,i,h,d,e,f)|0;r=g;return l|0}function fxa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;j=g+4|0;l=g;k[j>>2]=k[b>>2];k[l>>2]=k[c>>2];k[i>>2]=k[j>>2];k[h>>2]=k[l>>2];l=TCa(a,i,h,d,e,f)|0;r=g;return l|0}function gxa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;j=g+4|0;l=g;k[j>>2]=k[b>>2];k[l>>2]=k[c>>2];k[i>>2]=k[j>>2];k[h>>2]=k[l>>2];l=UCa(a,i,h,d,e,f)|0;r=g;return l|0}function hxa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;j=g+4|0;l=g;k[j>>2]=k[b>>2];k[l>>2]=k[c>>2];k[i>>2]=k[j>>2];k[h>>2]=k[l>>2];l=VCa(a,i,h,d,e,f)|0;r=g;return l|0}function ixa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;j=g+4|0;l=g;k[j>>2]=k[b>>2];k[l>>2]=k[c>>2];k[i>>2]=k[j>>2];k[h>>2]=k[l>>2];l=WCa(a,i,h,d,e,f)|0;r=g;return l|0}function jxa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;j=g+4|0;l=g;k[j>>2]=k[b>>2];k[l>>2]=k[c>>2];k[i>>2]=k[j>>2];k[h>>2]=k[l>>2];l=XCa(a,i,h,d,e,f)|0;r=g;return l|0}function kxa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;j=g+4|0;l=g;k[j>>2]=k[b>>2];k[l>>2]=k[c>>2];k[i>>2]=k[j>>2];k[h>>2]=k[l>>2];l=YCa(a,i,h,d,e,f)|0;r=g;return l|0}function lxa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;j=g+4|0;l=g;k[j>>2]=k[b>>2];k[l>>2]=k[c>>2];k[i>>2]=k[j>>2];k[h>>2]=k[l>>2];l=ZCa(a,i,h,d,e,f)|0;r=g;return l|0}function mxa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0;a=r;r=r+240|0;g=a;h=a+208|0;j=a+196|0;m=a+192|0;n=a+180|0;o=a+176|0;p=a+16|0;q=a+8|0;s=a+4|0;t=0;while(1){if((t|0)==3)break;k[j+(t<<2)>>2]=0;t=t+1|0}B=0;t=ya(421,d|0)|0;d=B;B=0;do if(d&1){u=Rb()|0;v=u;w=Q}else{k[m>>2]=t;B=0;u=Xa(238,m|0,49320)|0;x=B;B=0;if(!(x&1)?(B=0,cb(k[(k[u>>2]|0)+32>>2]|0,u|0,157721,157747,h|0)|0,u=B,B=0,!(u&1)):0){BEa(t)|0;u=0;while(1){if((u|0)==3)break;k[n+(u<<2)>>2]=0;u=u+1|0}if(!(i[n>>0]&1))y=10;else y=(k[n>>2]&-2)+-1|0;B=0;eb(501,n|0,y|0,0);u=B;B=0;a:do if(!(u&1)){x=n+8|0;z=n+1|0;A=(i[n>>0]&1)==0?z:k[x>>2]|0;k[o>>2]=A;k[q>>2]=p;k[s>>2]=0;C=n+4|0;D=k[b>>2]|0;E=A;b:while(1){if(D)if((k[D+12>>2]|0)==(k[D+16>>2]|0)){B=0;A=ya(k[(k[D>>2]|0)+36>>2]|0,D|0)|0;F=B;B=0;if(F&1){G=35;break}if((A|0)==-1){k[b>>2]=0;H=0}else H=D}else H=D;else H=0;A=(H|0)==0;F=k[c>>2]|0;do if(F){if((k[F+12>>2]|0)!=(k[F+16>>2]|0))if(A){I=F;break}else{J=F;K=H;L=E;break b}B=0;M=ya(k[(k[F>>2]|0)+36>>2]|0,F|0)|0;N=B;B=0;if(N&1){G=35;break b}if((M|0)!=-1)if(A){I=F;break}else{J=F;K=H;L=E;break b}else{k[c>>2]=0;G=25;break}}else G=25;while(0);if((G|0)==25){G=0;if(A){J=0;K=H;L=E;break}else I=0}F=i[n>>0]|0;M=(F&1)==0?(F&255)>>>1:k[C>>2]|0;if((k[o>>2]|0)==(E+M|0)){B=0;eb(501,n|0,M<<1|0,0);F=B;B=0;if(F&1){G=35;break}if(!(i[n>>0]&1))O=10;else O=(k[n>>2]&-2)+-1|0;B=0;eb(501,n|0,O|0,0);F=B;B=0;if(F&1){G=35;break}F=(i[n>>0]&1)==0?z:k[x>>2]|0;k[o>>2]=F+M;P=F}else P=E;F=H+12|0;M=k[F>>2]|0;N=H+16|0;if((M|0)==(k[N>>2]|0)){B=0;R=ya(k[(k[H>>2]|0)+36>>2]|0,H|0)|0;S=B;B=0;if(S&1){G=35;break}else T=R}else T=l[M>>0]|0;if(nxa(T&255,16,P,o,s,0,j,p,q,h)|0){J=I;K=H;L=P;break}M=k[F>>2]|0;if((M|0)==(k[N>>2]|0)){B=0;ya(k[(k[H>>2]|0)+40>>2]|0,H|0)|0;N=B;B=0;if(N&1){G=35;break}else{D=H;E=P;continue}}else{k[F>>2]=M+1;D=H;E=P;continue}}if((G|0)==35){E=Rb()|0;U=E;V=Q;break}B=0;eb(501,n|0,(k[o>>2]|0)-L|0,0);E=B;B=0;if((!(E&1)?(E=i[n>>0]|0,D=k[x>>2]|0,B=0,C=bb(3)|0,M=B,B=0,!(M&1)):0)?(B=0,k[g>>2]=f,M=cb(68,((E&1)==0?z:D)|0,C|0,159105,g|0)|0,C=B,B=0,!(C&1)):0){if((M|0)!=1)k[e>>2]=4;if(K)if((k[K+12>>2]|0)==(k[K+16>>2]|0)){B=0;M=ya(k[(k[K>>2]|0)+36>>2]|0,K|0)|0;C=B;B=0;if(C&1){G=36;break}if((M|0)==-1){k[b>>2]=0;W=0}else W=K}else W=K;else W=0;M=(W|0)==0;do if(J){if((k[J+12>>2]|0)==(k[J+16>>2]|0)){B=0;C=ya(k[(k[J>>2]|0)+36>>2]|0,J|0)|0;D=B;B=0;if(D&1){G=36;break a}if((C|0)==-1){k[c>>2]=0;G=61;break}}if(!M)G=62}else G=61;while(0);if((G|0)==61?M:0)G=62;if((G|0)==62)k[e>>2]=k[e>>2]|2;z=k[b>>2]|0;Yua(n);Yua(j);r=a;return z|0}else G=36}else G=36;while(0);if((G|0)==36){u=Rb()|0;U=u;V=Q}Yua(n);v=U;w=V;break}u=Rb()|0;z=Q;BEa(t)|0;v=u;w=z}while(0);Yua(j);Qb(v|0);return 0}function nxa(a,b,c,d,e,f,g,h,j,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0;m=k[d>>2]|0;n=(m|0)==(c|0);do if(n){o=(i[l+24>>0]|0)==a<<24>>24;if(!o?(i[l+25>>0]|0)!=a<<24>>24:0){p=5;break}k[d>>2]=c+1;i[c>>0]=o?43:45;k[e>>2]=0;q=0}else p=5;while(0);a:do if((p|0)==5){o=i[g>>0]|0;if(a<<24>>24==f<<24>>24?(((o&1)==0?(o&255)>>>1:k[g+4>>2]|0)|0)!=0:0){o=k[j>>2]|0;if((o-h|0)>=160){q=0;break}r=k[e>>2]|0;k[j>>2]=o+4;k[o>>2]=r;k[e>>2]=0;q=0;break}r=l+26|0;o=l;while(1){if((o|0)==(r|0)){s=r;break}if((i[o>>0]|0)==a<<24>>24){s=o;break}o=o+1|0}o=s-l|0;if((o|0)>23)q=-1;else{switch(b|0){case 10:case 8:{if((o|0)>=(b|0)){q=-1;break a}break}case 16:{if((o|0)>=22){if(n){q=-1;break a}if((m-c|0)>=3){q=-1;break a}if((i[m+-1>>0]|0)!=48){q=-1;break a}k[e>>2]=0;r=i[157721+o>>0]|0;k[d>>2]=m+1;i[m>>0]=r;q=0;break a}break}default:{}}r=i[157721+o>>0]|0;k[d>>2]=m+1;i[m>>0]=r;k[e>>2]=(k[e>>2]|0)+1;q=0}}while(0);return q|0}function oxa(){var a=0,b=0;do if((i[26536]|0)==0?(Gb(26536)|0)!=0:0){B=0;a=Ia(52,2147483647,159108,0)|0;b=B;B=0;if(b&1){b=Rb()|0;sc(26536);Qb(b|0)}else{k[12471]=a;Eb(26536);break}}while(0);return k[12471]|0}function pxa(a){a=a|0;return}function qxa(a){a=a|0;Sqa(a);return}function rxa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;g=r;r=r+64|0;h=g+48|0;j=g+24|0;l=g+20|0;m=g+16|0;n=g+12|0;o=g+8|0;p=g+4|0;q=g;a:do if(!(k[d+4>>2]&1)){k[l>>2]=-1;s=k[(k[a>>2]|0)+16>>2]|0;k[m>>2]=k[b>>2];k[n>>2]=k[c>>2];k[j>>2]=k[m>>2];k[h>>2]=k[n>>2];t=Gc[s&63](a,j,h,d,e,l)|0;k[b>>2]=t;switch(k[l>>2]|0){case 0:{i[f>>0]=0;break}case 1:{i[f>>0]=1;break}default:{i[f>>0]=1;k[e>>2]=4}}u=t}else{t=xva(d)|0;k[o>>2]=t;B=0;s=Xa(238,o|0,49312)|0;v=B;B=0;do if(!(v&1)){BEa(t)|0;w=xva(d)|0;k[p>>2]=w;B=0;x=Xa(238,p|0,49468)|0;y=B;B=0;if(y&1){y=Rb()|0;z=Q;BEa(w)|0;A=y;C=z;break}BEa(w)|0;B=0;wa(k[(k[x>>2]|0)+24>>2]|0,j|0,x|0);w=B;B=0;if(!(w&1)){w=j+12|0;B=0;wa(k[(k[x>>2]|0)+28>>2]|0,w|0,x|0);x=B;B=0;if(!(x&1)){k[q>>2]=k[c>>2];B=0;k[h>>2]=k[q>>2];x=ra(9,b|0,h|0,j|0,j+24|0,s|0,e|0,1)|0;z=B;B=0;if(z&1){z=Rb()|0;y=Q;kva(j+12|0);kva(j);A=z;C=y;break}else{i[f>>0]=(x|0)==(j|0)&1;x=k[b>>2]|0;kva(j+12|0);kva(j);u=x;break a}}else D=w}else D=j;w=Rb()|0;x=Q;if((j|0)==(D|0)){A=w;C=x}else{y=D;do{y=y+-12|0;kva(y)}while((y|0)!=(j|0));A=w;C=x}}else{x=Rb()|0;w=Q;BEa(t)|0;A=x;C=w}while(0);Qb(A|0)}while(0);r=g;return u|0}function sxa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;j=g+4|0;l=g;k[j>>2]=k[b>>2];k[l>>2]=k[c>>2];k[i>>2]=k[j>>2];k[h>>2]=k[l>>2];l=aDa(a,i,h,d,e,f)|0;r=g;return l|0}function txa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;j=g+4|0;l=g;k[j>>2]=k[b>>2];k[l>>2]=k[c>>2];k[i>>2]=k[j>>2];k[h>>2]=k[l>>2];l=bDa(a,i,h,d,e,f)|0;r=g;return l|0}function uxa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;j=g+4|0;l=g;k[j>>2]=k[b>>2];k[l>>2]=k[c>>2];k[i>>2]=k[j>>2];k[h>>2]=k[l>>2];l=cDa(a,i,h,d,e,f)|0;r=g;return l|0}function vxa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;j=g+4|0;l=g;k[j>>2]=k[b>>2];k[l>>2]=k[c>>2];k[i>>2]=k[j>>2];k[h>>2]=k[l>>2];l=dDa(a,i,h,d,e,f)|0;r=g;return l|0}function wxa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;j=g+4|0;l=g;k[j>>2]=k[b>>2];k[l>>2]=k[c>>2];k[i>>2]=k[j>>2];k[h>>2]=k[l>>2];l=eDa(a,i,h,d,e,f)|0;r=g;return l|0}function xxa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;j=g+4|0;l=g;k[j>>2]=k[b>>2];k[l>>2]=k[c>>2];k[i>>2]=k[j>>2];k[h>>2]=k[l>>2];l=fDa(a,i,h,d,e,f)|0;r=g;return l|0}function yxa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;j=g+4|0;l=g;k[j>>2]=k[b>>2];k[l>>2]=k[c>>2];k[i>>2]=k[j>>2];k[h>>2]=k[l>>2];l=gDa(a,i,h,d,e,f)|0;r=g;return l|0}function zxa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;j=g+4|0;l=g;k[j>>2]=k[b>>2];k[l>>2]=k[c>>2];k[i>>2]=k[j>>2];k[h>>2]=k[l>>2];l=hDa(a,i,h,d,e,f)|0;r=g;return l|0}function Axa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;j=g+4|0;l=g;k[j>>2]=k[b>>2];k[l>>2]=k[c>>2];k[i>>2]=k[j>>2];k[h>>2]=k[l>>2];l=iDa(a,i,h,d,e,f)|0;r=g;return l|0}function Bxa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;a=r;r=r+320|0;g=a;h=a+208|0;j=a+196|0;l=a+192|0;m=a+180|0;n=a+176|0;o=a+16|0;p=a+8|0;q=a+4|0;s=0;while(1){if((s|0)==3)break;k[j+(s<<2)>>2]=0;s=s+1|0}B=0;s=ya(421,d|0)|0;d=B;B=0;do if(d&1){t=Rb()|0;u=t;v=Q}else{k[l>>2]=s;B=0;t=Xa(238,l|0,49312)|0;w=B;B=0;if(!(w&1)?(B=0,cb(k[(k[t>>2]|0)+48>>2]|0,t|0,157721,157747,h|0)|0,t=B,B=0,!(t&1)):0){BEa(s)|0;t=0;while(1){if((t|0)==3)break;k[m+(t<<2)>>2]=0;t=t+1|0}if(!(i[m>>0]&1))x=10;else x=(k[m>>2]&-2)+-1|0;B=0;eb(501,m|0,x|0,0);t=B;B=0;a:do if(!(t&1)){w=m+8|0;y=m+1|0;z=(i[m>>0]&1)==0?y:k[w>>2]|0;k[n>>2]=z;k[p>>2]=o;k[q>>2]=0;A=m+4|0;C=k[b>>2]|0;D=z;b:while(1){if(C){z=k[C+12>>2]|0;if((z|0)==(k[C+16>>2]|0)){B=0;E=ya(k[(k[C>>2]|0)+36>>2]|0,C|0)|0;F=B;B=0;if(F&1){G=36;break}else H=E}else H=k[z>>2]|0;if((H|0)==-1){k[b>>2]=0;I=0;J=1}else{I=C;J=0}}else{I=0;J=1}z=k[c>>2]|0;do if(z){E=k[z+12>>2]|0;if((E|0)==(k[z+16>>2]|0)){B=0;F=ya(k[(k[z>>2]|0)+36>>2]|0,z|0)|0;K=B;B=0;if(K&1){G=36;break b}else L=F}else L=k[E>>2]|0;if((L|0)!=-1)if(J){M=z;break}else{N=z;O=I;P=D;break b}else{k[c>>2]=0;G=26;break}}else G=26;while(0);if((G|0)==26){G=0;if(J){N=0;O=I;P=D;break}else M=0}z=i[m>>0]|0;E=(z&1)==0?(z&255)>>>1:k[A>>2]|0;if((k[n>>2]|0)==(D+E|0)){B=0;eb(501,m|0,E<<1|0,0);z=B;B=0;if(z&1){G=36;break}if(!(i[m>>0]&1))R=10;else R=(k[m>>2]&-2)+-1|0;B=0;eb(501,m|0,R|0,0);z=B;B=0;if(z&1){G=36;break}z=(i[m>>0]&1)==0?y:k[w>>2]|0;k[n>>2]=z+E;S=z}else S=D;z=I+12|0;E=k[z>>2]|0;F=I+16|0;if((E|0)==(k[F>>2]|0)){B=0;K=ya(k[(k[I>>2]|0)+36>>2]|0,I|0)|0;T=B;B=0;if(T&1){G=36;break}else U=K}else U=k[E>>2]|0;if(Cxa(U,16,S,n,q,0,j,o,p,h)|0){N=M;O=I;P=S;break}E=k[z>>2]|0;if((E|0)==(k[F>>2]|0)){B=0;ya(k[(k[I>>2]|0)+40>>2]|0,I|0)|0;F=B;B=0;if(F&1){G=36;break}else{C=I;D=S;continue}}else{k[z>>2]=E+4;C=I;D=S;continue}}if((G|0)==36){D=Rb()|0;V=D;W=Q;break}B=0;eb(501,m|0,(k[n>>2]|0)-P|0,0);D=B;B=0;if((!(D&1)?(D=i[m>>0]|0,C=k[w>>2]|0,B=0,A=bb(3)|0,E=B,B=0,!(E&1)):0)?(B=0,k[g>>2]=f,E=cb(68,((D&1)==0?y:C)|0,A|0,159105,g|0)|0,A=B,B=0,!(A&1)):0){if((E|0)!=1)k[e>>2]=4;if(O){E=k[O+12>>2]|0;if((E|0)==(k[O+16>>2]|0)){B=0;A=ya(k[(k[O>>2]|0)+36>>2]|0,O|0)|0;C=B;B=0;if(C&1){G=37;break}else X=A}else X=k[E>>2]|0;if((X|0)==-1){k[b>>2]=0;Y=1}else Y=0}else Y=1;do if(N){E=k[N+12>>2]|0;if((E|0)==(k[N+16>>2]|0)){B=0;A=ya(k[(k[N>>2]|0)+36>>2]|0,N|0)|0;C=B;B=0;if(C&1){G=37;break a}else Z=A}else Z=k[E>>2]|0;if((Z|0)!=-1)if(Y)break;else{G=65;break}else{k[c>>2]=0;G=63;break}}else G=63;while(0);if((G|0)==63?Y:0)G=65;if((G|0)==65)k[e>>2]=k[e>>2]|2;y=k[b>>2]|0;Yua(m);Yua(j);r=a;return y|0}else G=37}else G=37;while(0);if((G|0)==37){t=Rb()|0;V=t;W=Q}Yua(m);u=V;v=W;break}t=Rb()|0;y=Q;BEa(s)|0;u=t;v=y}while(0);Yua(j);Qb(u|0);return 0}function Cxa(a,b,c,d,e,f,g,h,j,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0;m=k[d>>2]|0;n=(m|0)==(c|0);do if(n){o=(k[l+96>>2]|0)==(a|0);if(!o?(k[l+100>>2]|0)!=(a|0):0){p=5;break}k[d>>2]=c+1;i[c>>0]=o?43:45;k[e>>2]=0;q=0}else p=5;while(0);a:do if((p|0)==5){o=i[g>>0]|0;if((a|0)==(f|0)?(((o&1)==0?(o&255)>>>1:k[g+4>>2]|0)|0)!=0:0){o=k[j>>2]|0;if((o-h|0)>=160){q=0;break}r=k[e>>2]|0;k[j>>2]=o+4;k[o>>2]=r;k[e>>2]=0;q=0;break}r=l+104|0;o=l;while(1){if((o|0)==(r|0)){s=r;break}if((k[o>>2]|0)==(a|0)){s=o;break}o=o+4|0}o=s-l|0;r=o>>2;if((o|0)>92)q=-1;else{switch(b|0){case 10:case 8:{if((r|0)>=(b|0)){q=-1;break a}break}case 16:{if((o|0)>=88){if(n){q=-1;break a}if((m-c|0)>=3){q=-1;break a}if((i[m+-1>>0]|0)!=48){q=-1;break a}k[e>>2]=0;o=i[157721+r>>0]|0;k[d>>2]=m+1;i[m>>0]=o;q=0;break a}break}default:{}}o=i[157721+r>>0]|0;k[d>>2]=m+1;i[m>>0]=o;k[e>>2]=(k[e>>2]|0)+1;q=0}}while(0);return q|0}function Dxa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;e=r;r=r+16|0;f=e;g=xva(b)|0;k[f>>2]=g;B=0;b=Xa(238,f|0,49320)|0;h=B;B=0;if((((!(h&1)?(B=0,cb(k[(k[b>>2]|0)+32>>2]|0,b|0,157721,157747,c|0)|0,c=B,B=0,!(c&1)):0)?(B=0,c=Xa(238,f|0,49460)|0,f=B,B=0,!(f&1)):0)?(B=0,f=ya(k[(k[c>>2]|0)+16>>2]|0,c|0)|0,b=B,B=0,!(b&1)):0)?(i[d>>0]=f,B=0,wa(k[(k[c>>2]|0)+20>>2]|0,a|0,c|0),c=B,B=0,!(c&1)):0){BEa(g)|0;r=e;return}e=Rb()|0;BEa(g)|0;Qb(e|0)}function Exa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=r;r=r+16|0;g=f;h=xva(b)|0;k[g>>2]=h;B=0;b=Xa(238,g|0,49320)|0;j=B;B=0;if(((((!(j&1)?(B=0,cb(k[(k[b>>2]|0)+32>>2]|0,b|0,157721,157753,c|0)|0,c=B,B=0,!(c&1)):0)?(B=0,c=Xa(238,g|0,49460)|0,g=B,B=0,!(g&1)):0)?(B=0,g=ya(k[(k[c>>2]|0)+12>>2]|0,c|0)|0,b=B,B=0,!(b&1)):0)?(i[d>>0]=g,B=0,g=ya(k[(k[c>>2]|0)+16>>2]|0,c|0)|0,d=B,B=0,!(d&1)):0)?(i[e>>0]=g,B=0,wa(k[(k[c>>2]|0)+20>>2]|0,a|0,c|0),c=B,B=0,!(c&1)):0){BEa(h)|0;r=f;return}f=Rb()|0;BEa(h)|0;Qb(f|0)}function Fxa(a,b,c,d,e,f,g,h,j,m,n,o){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;m=m|0;n=n|0;o=o|0;var p=0,q=0,r=0,s=0,t=0,u=0;a:do if(a<<24>>24==f<<24>>24)if(i[b>>0]|0){i[b>>0]=0;p=k[e>>2]|0;k[e>>2]=p+1;i[p>>0]=46;p=i[h>>0]|0;if((((p&1)==0?(p&255)>>>1:k[h+4>>2]|0)|0)!=0?(p=k[m>>2]|0,(p-j|0)<160):0){q=k[n>>2]|0;k[m>>2]=p+4;k[p>>2]=q;r=0}else r=0}else r=-1;else{if(a<<24>>24==g<<24>>24?(q=i[h>>0]|0,(((q&1)==0?(q&255)>>>1:k[h+4>>2]|0)|0)!=0):0){if(!(i[b>>0]|0)){r=-1;break}q=k[m>>2]|0;if((q-j|0)>=160){r=0;break}p=k[n>>2]|0;k[m>>2]=q+4;k[q>>2]=p;k[n>>2]=0;r=0;break}p=o+32|0;q=o;while(1){if((q|0)==(p|0)){s=p;break}if((i[q>>0]|0)==a<<24>>24){s=q;break}q=q+1|0}q=s-o|0;if((q|0)>31)r=-1;else{p=i[157721+q>>0]|0;switch(q|0){case 24:case 25:{t=k[e>>2]|0;if((t|0)!=(d|0)?(l[t+-1>>0]&95|0)!=(l[c>>0]&127|0):0){r=-1;break a}k[e>>2]=t+1;i[t>>0]=p;r=0;break a;break}case 23:case 22:{i[c>>0]=80;t=k[e>>2]|0;k[e>>2]=t+1;i[t>>0]=p;r=0;break a;break}default:{t=p&95;if((((t|0)==(i[c>>0]|0)?(i[c>>0]=t|128,(i[b>>0]|0)!=0):0)?(i[b>>0]=0,t=i[h>>0]|0,(((t&1)==0?(t&255)>>>1:k[h+4>>2]|0)|0)!=0):0)?(t=k[m>>2]|0,(t-j|0)<160):0){u=k[n>>2]|0;k[m>>2]=t+4;k[t>>2]=u}u=k[e>>2]|0;k[e>>2]=u+1;i[u>>0]=p;if((q|0)>21){r=0;break a}k[n>>2]=(k[n>>2]|0)+1;r=0;break a}}}}while(0);return r|0}function Gxa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;e=r;r=r+16|0;f=e;g=xva(b)|0;k[f>>2]=g;B=0;b=Xa(238,f|0,49312)|0;h=B;B=0;if((((!(h&1)?(B=0,cb(k[(k[b>>2]|0)+48>>2]|0,b|0,157721,157747,c|0)|0,c=B,B=0,!(c&1)):0)?(B=0,c=Xa(238,f|0,49468)|0,f=B,B=0,!(f&1)):0)?(B=0,f=ya(k[(k[c>>2]|0)+16>>2]|0,c|0)|0,b=B,B=0,!(b&1)):0)?(k[d>>2]=f,B=0,wa(k[(k[c>>2]|0)+20>>2]|0,a|0,c|0),c=B,B=0,!(c&1)):0){BEa(g)|0;r=e;return}e=Rb()|0;BEa(g)|0;Qb(e|0)}function Hxa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;f=r;r=r+16|0;g=f;h=xva(b)|0;k[g>>2]=h;B=0;b=Xa(238,g|0,49312)|0;i=B;B=0;if(((((!(i&1)?(B=0,cb(k[(k[b>>2]|0)+48>>2]|0,b|0,157721,157753,c|0)|0,c=B,B=0,!(c&1)):0)?(B=0,c=Xa(238,g|0,49468)|0,g=B,B=0,!(g&1)):0)?(B=0,g=ya(k[(k[c>>2]|0)+12>>2]|0,c|0)|0,b=B,B=0,!(b&1)):0)?(k[d>>2]=g,B=0,g=ya(k[(k[c>>2]|0)+16>>2]|0,c|0)|0,d=B,B=0,!(d&1)):0)?(k[e>>2]=g,B=0,wa(k[(k[c>>2]|0)+20>>2]|0,a|0,c|0),c=B,B=0,!(c&1)):0){BEa(h)|0;r=f;return}f=Rb()|0;BEa(h)|0;Qb(f|0)}function Ixa(a,b,c,d,e,f,g,h,j,m,n,o){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;m=m|0;n=n|0;o=o|0;var p=0,q=0,r=0,s=0,t=0,u=0;a:do if((a|0)==(f|0))if(i[b>>0]|0){i[b>>0]=0;p=k[e>>2]|0;k[e>>2]=p+1;i[p>>0]=46;p=i[h>>0]|0;if((((p&1)==0?(p&255)>>>1:k[h+4>>2]|0)|0)!=0?(p=k[m>>2]|0,(p-j|0)<160):0){q=k[n>>2]|0;k[m>>2]=p+4;k[p>>2]=q;r=0}else r=0}else r=-1;else{if((a|0)==(g|0)?(q=i[h>>0]|0,(((q&1)==0?(q&255)>>>1:k[h+4>>2]|0)|0)!=0):0){if(!(i[b>>0]|0)){r=-1;break}q=k[m>>2]|0;if((q-j|0)>=160){r=0;break}p=k[n>>2]|0;k[m>>2]=q+4;k[q>>2]=p;k[n>>2]=0;r=0;break}p=o+128|0;q=o;while(1){if((q|0)==(p|0)){s=p;break}if((k[q>>2]|0)==(a|0)){s=q;break}q=q+4|0}q=s-o|0;p=q>>2;if((q|0)<=124){t=i[157721+p>>0]|0;switch(p|0){case 24:case 25:{p=k[e>>2]|0;if((p|0)!=(d|0)?(l[p+-1>>0]&95|0)!=(l[c>>0]&127|0):0){r=-1;break a}k[e>>2]=p+1;i[p>>0]=t;r=0;break a;break}case 23:case 22:{i[c>>0]=80;break}default:{p=t&95;if((((p|0)==(i[c>>0]|0)?(i[c>>0]=p|128,(i[b>>0]|0)!=0):0)?(i[b>>0]=0,p=i[h>>0]|0,(((p&1)==0?(p&255)>>>1:k[h+4>>2]|0)|0)!=0):0)?(p=k[m>>2]|0,(p-j|0)<160):0){u=k[n>>2]|0;k[m>>2]=p+4;k[p>>2]=u}}}u=k[e>>2]|0;k[e>>2]=u+1;i[u>>0]=t;if((q|0)>84)r=0;else{k[n>>2]=(k[n>>2]|0)+1;r=0}}else r=-1}while(0);return r|0}function Jxa(a){a=a|0;return}function Kxa(a){a=a|0;Sqa(a);return}function Lxa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;f=r;r=r+32|0;g=f+8|0;h=f+4|0;j=f;a:do if(!(k[c+4>>2]&1)){l=k[(k[a>>2]|0)+24>>2]|0;k[h>>2]=k[b>>2];k[g>>2]=k[h>>2];m=fd[l&31](a,g,c,d,e&1)|0}else{l=xva(c)|0;k[j>>2]=l;B=0;n=Xa(238,j|0,49460)|0;o=B;B=0;do if(!(o&1)){BEa(l)|0;p=k[n>>2]|0;if(e)Fc[k[p+24>>2]&1023](g,n);else Fc[k[p+28>>2]&1023](g,n);p=i[g>>0]|0;q=g+1|0;s=g+8|0;t=k[s>>2]|0;u=g+4|0;v=p;w=t;x=(p&1)==0?q:t;b:while(1){t=(v&1)==0;if((x|0)==((t?q:w)+(t?(v&255)>>>1:k[u>>2]|0)|0)){y=9;break}t=i[x>>0]|0;p=k[b>>2]|0;do if(p){z=p+24|0;A=k[z>>2]|0;if((A|0)!=(k[p+28>>2]|0)){k[z>>2]=A+1;i[A>>0]=t;break}B=0;A=Xa(k[(k[p>>2]|0)+52>>2]|0,p|0,t&255|0)|0;z=B;B=0;if(z&1){y=18;break b}if((A|0)==-1)k[b>>2]=0}while(0);v=i[g>>0]|0;w=k[s>>2]|0;x=x+1|0}if((y|0)==9){x=k[b>>2]|0;Yua(g);m=x;break a}else if((y|0)==18){x=Rb()|0;s=Q;Yua(g);C=s;D=x;break}}else{x=Rb()|0;s=Q;BEa(l)|0;C=s;D=x}while(0);Qb(D|0)}while(0);r=f;return m|0}function Mxa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;a=r;r=r+64|0;f=a;g=a+56|0;h=a+44|0;j=a+20|0;l=a+16|0;m=a+8|0;n=a+12|0;o=a+4|0;i[g>>0]=i[159110]|0;i[g+1>>0]=i[159111]|0;i[g+2>>0]=i[159112]|0;i[g+3>>0]=i[159113]|0;i[g+4>>0]=i[159114]|0;i[g+5>>0]=i[159115]|0;Nxa(g+1|0,159116,1,k[c+4>>2]|0);p=oxa()|0;k[f>>2]=e;e=h+(jDa(h,12,p,g,f)|0)|0;g=Oxa(h,e,c)|0;p=xva(c)|0;k[n>>2]=p;B=0;Ta(33,h|0,g|0,e|0,j|0,l|0,m|0,n|0);n=B;B=0;if(n&1){n=Rb()|0;BEa(p)|0;Qb(n|0)}else{BEa(p)|0;k[o>>2]=k[b>>2];b=k[l>>2]|0;l=k[m>>2]|0;k[f>>2]=k[o>>2];o=Qd(f,j,b,l,c,d)|0;r=a;return o|0}return 0}function Nxa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;if(!(d&2048))e=a;else{i[a>>0]=43;e=a+1|0}if(!(d&512)){f=b;g=e}else{i[e>>0]=35;f=b;g=e+1|0}while(1){e=i[f>>0]|0;if(!(e<<24>>24)){h=g;break}i[g>>0]=e;f=f+1|0;g=g+1|0}a:do switch(d&74|0){case 64:{i[h>>0]=111;break}case 8:{if(!(d&16384)){i[h>>0]=120;break a}else{i[h>>0]=88;break a}break}default:if(c){i[h>>0]=100;break a}else{i[h>>0]=117;break a}}while(0);return}function Oxa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;a:do switch(k[c+4>>2]&176|0){case 16:{d=i[a>>0]|0;switch(d<<24>>24){case 43:case 45:{e=a+1|0;break a;break}default:{}}if((b-a|0)>1&d<<24>>24==48){switch(i[a+1>>0]|0){case 88:case 120:break;default:{f=7;break a}}e=a+2|0}else f=7;break}case 32:{e=b;break}default:f=7}while(0);if((f|0)==7)e=a;return e|0}function Pxa(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;h=r;r=r+16|0;j=h;l=$Aa(g,49320)|0;m=$Aa(g,49460)|0;Fc[k[(k[m>>2]|0)+20>>2]&1023](j,m);g=i[j>>0]|0;n=j+4|0;a:do if(!(((g&1)==0?(g&255)>>>1:k[n>>2]|0)|0)){B=0;cb(k[(k[l>>2]|0)+32>>2]|0,l|0,a|0,c|0,d|0)|0;o=B;B=0;if(o&1)p=5;else{o=a;q=d+(c-o)|0;k[f>>2]=q;s=o;t=q;p=30}}else{k[f>>2]=d;q=i[a>>0]|0;switch(q<<24>>24){case 43:case 45:{B=0;o=Xa(k[(k[l>>2]|0)+28>>2]|0,l|0,q|0)|0;q=B;B=0;if(q&1){p=5;break a}q=k[f>>2]|0;k[f>>2]=q+1;i[q>>0]=o;u=a+1|0;break}default:u=a}b:do if((c-u|0)>1?(i[u>>0]|0)==48:0){o=u+1|0;switch(i[o>>0]|0){case 88:case 120:break;default:{v=u;break b}}B=0;q=Xa(k[(k[l>>2]|0)+28>>2]|0,l|0,48)|0;w=B;B=0;if(w&1){p=5;break a}w=k[f>>2]|0;k[f>>2]=w+1;i[w>>0]=q;B=0;q=Xa(k[(k[l>>2]|0)+28>>2]|0,l|0,i[o>>0]|0)|0;o=B;B=0;if(o&1){p=5;break a}o=k[f>>2]|0;k[f>>2]=o+1;i[o>>0]=q;v=u+2|0}else v=u;while(0);c:do if((v|0)!=(c|0)){q=c;o=v;while(1){w=q+-1|0;if(o>>>0>=w>>>0)break c;x=i[o>>0]|0;i[o>>0]=i[w>>0]|0;i[w>>0]=x;q=w;o=o+1|0}}while(0);B=0;o=ya(k[(k[m>>2]|0)+16>>2]|0,m|0)|0;q=B;B=0;if(!(q&1)){q=j+8|0;w=j+1|0;x=0;y=0;z=v;while(1){if(z>>>0>=c>>>0)break;A=i[((i[j>>0]&1)==0?w:k[q>>2]|0)+y>>0]|0;if(A<<24>>24!=0&(x|0)==(A<<24>>24|0)){A=k[f>>2]|0;k[f>>2]=A+1;i[A>>0]=o;A=i[j>>0]|0;C=0;D=(y>>>0<(((A&1)==0?(A&255)>>>1:k[n>>2]|0)+-1|0)>>>0&1)+y|0}else{C=x;D=y}B=0;A=Xa(k[(k[l>>2]|0)+28>>2]|0,l|0,i[z>>0]|0)|0;E=B;B=0;if(E&1){p=4;break}E=k[f>>2]|0;k[f>>2]=E+1;i[E>>0]=A;x=C+1|0;y=D;z=z+1|0}if((p|0)==4){z=Rb()|0;F=z;G=Q;break}z=a;y=d+(v-z)|0;x=k[f>>2]|0;if((y|0)==(x|0)){s=z;t=y;p=30}else{o=x;x=y;while(1){y=o+-1|0;if(x>>>0>=y>>>0)break;q=i[x>>0]|0;i[x>>0]=i[y>>0]|0;i[y>>0]=q;o=y;x=x+1|0}s=z;t=k[f>>2]|0;p=30}}else p=5}while(0);if((p|0)==5){f=Rb()|0;F=f;G=Q}else if((p|0)==30){k[e>>2]=(b|0)==(c|0)?t:d+(b-s)|0;Yua(j);r=h;return}Yua(j);Qb(F|0)}function Qxa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;a=r;r=r+96|0;g=a+8|0;h=a;i=a+74|0;j=a+32|0;l=a+28|0;m=a+20|0;n=a+24|0;o=a+16|0;p=h;k[p>>2]=37;k[p+4>>2]=0;Nxa(h+1|0,159118,1,k[c+4>>2]|0);p=oxa()|0;q=g;k[q>>2]=e;k[q+4>>2]=f;f=i+(jDa(i,22,p,h,g)|0)|0;h=Oxa(i,f,c)|0;p=xva(c)|0;k[n>>2]=p;B=0;Ta(33,i|0,h|0,f|0,j|0,l|0,m|0,n|0);n=B;B=0;if(n&1){n=Rb()|0;BEa(p)|0;Qb(n|0)}else{BEa(p)|0;k[o>>2]=k[b>>2];b=k[l>>2]|0;l=k[m>>2]|0;k[g>>2]=k[o>>2];o=Qd(g,j,b,l,c,d)|0;r=a;return o|0}return 0}function Rxa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;a=r;r=r+64|0;f=a;g=a+56|0;h=a+44|0;j=a+20|0;l=a+16|0;m=a+8|0;n=a+12|0;o=a+4|0;i[g>>0]=i[159110]|0;i[g+1>>0]=i[159111]|0;i[g+2>>0]=i[159112]|0;i[g+3>>0]=i[159113]|0;i[g+4>>0]=i[159114]|0;i[g+5>>0]=i[159115]|0;Nxa(g+1|0,159116,0,k[c+4>>2]|0);p=oxa()|0;k[f>>2]=e;e=h+(jDa(h,12,p,g,f)|0)|0;g=Oxa(h,e,c)|0;p=xva(c)|0;k[n>>2]=p;B=0;Ta(33,h|0,g|0,e|0,j|0,l|0,m|0,n|0);n=B;B=0;if(n&1){n=Rb()|0;BEa(p)|0;Qb(n|0)}else{BEa(p)|0;k[o>>2]=k[b>>2];b=k[l>>2]|0;l=k[m>>2]|0;k[f>>2]=k[o>>2];o=Qd(f,j,b,l,c,d)|0;r=a;return o|0}return 0}function Sxa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;a=r;r=r+112|0;g=a+8|0;h=a;i=a+75|0;j=a+32|0;l=a+28|0;m=a+20|0;n=a+24|0;o=a+16|0;p=h;k[p>>2]=37;k[p+4>>2]=0;Nxa(h+1|0,159118,0,k[c+4>>2]|0);p=oxa()|0;q=g;k[q>>2]=e;k[q+4>>2]=f;f=i+(jDa(i,23,p,h,g)|0)|0;h=Oxa(i,f,c)|0;p=xva(c)|0;k[n>>2]=p;B=0;Ta(33,i|0,h|0,f|0,j|0,l|0,m|0,n|0);n=B;B=0;if(n&1){n=Rb()|0;BEa(p)|0;Qb(n|0)}else{BEa(p)|0;k[o>>2]=k[b>>2];b=k[l>>2]|0;l=k[m>>2]|0;k[g>>2]=k[o>>2];o=Qd(g,j,b,l,c,d)|0;r=a;return o|0}return 0}function Txa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;a=r;r=r+176|0;f=a+84|0;g=a+48|0;h=a+32|0;i=a+24|0;j=a+8|0;l=a;m=a+146|0;n=a+80|0;o=a+88|0;q=a+76|0;s=a+72|0;t=a+68|0;u=a+64|0;v=l;k[v>>2]=37;k[v+4>>2]=0;v=Uxa(l+1|0,159121,k[c+4>>2]|0)|0;k[n>>2]=m;w=oxa()|0;if(v){k[j>>2]=k[c+8>>2];p[j+8>>3]=e;x=jDa(m,30,w,l,j)|0}else{p[i>>3]=e;x=jDa(m,30,w,l,i)|0}do if((x|0)>29){B=0;i=bb(3)|0;w=B;B=0;j=w&1;if(v){if(!j?(B=0,k[h>>2]=k[c+8>>2],p[h+8>>3]=e,w=cb(69,n|0,i|0,l|0,h|0)|0,y=B,B=0,!(y&1)):0){z=w;A=12}}else if(!j?(B=0,k[g>>2]=k[c+8>>2],p[g+8>>3]=e,j=cb(69,n|0,i|0,l|0,g|0)|0,i=B,B=0,!(i&1)):0){z=j;A=12}if((A|0)==12){j=k[n>>2]|0;if(j){C=j;D=j;E=z;A=16;break}B=0;fb(7);j=B;B=0;if(!(j&1)){j=k[n>>2]|0;C=j;D=j;E=z;A=16;break}}j=Rb()|0;F=j;G=Q}else{C=k[n>>2]|0;D=0;E=x;A=16}while(0);if((A|0)==16){x=C+E|0;z=Oxa(C,x,c)|0;do if((C|0)==(m|0)){H=m;I=o;J=0;A=22}else{g=lua(E<<1)|0;if(!g){B=0;fb(7);l=B;B=0;if(l&1){K=0;A=20;break}L=k[n>>2]|0}else L=C;H=L;I=g;J=g;A=22}while(0);do if((A|0)==22){B=0;L=ya(421,c|0)|0;C=B;B=0;if(!(C&1)){k[t>>2]=L;B=0;Ta(34,H|0,z|0,x|0,I|0,q|0,s|0,t|0);C=B;B=0;if(C&1){C=Rb()|0;n=Q;BEa(L)|0;M=C;N=n;O=J;break}BEa(L)|0;k[u>>2]=k[b>>2];L=k[q>>2]|0;n=k[s>>2]|0;B=0;k[f>>2]=k[u>>2];C=xa(39,f|0,I|0,L|0,n|0,c|0,d|0)|0;n=B;B=0;if(!(n&1)){k[b>>2]=C;if(J)mua(J);if(D)mua(D);r=a;return C|0}else{K=J;A=20}}else{K=J;A=20}}while(0);if((A|0)==20){A=Rb()|0;M=A;N=Q;O=K}if(O)mua(O);if(!D){F=M;G=N}else{mua(D);F=M;G=N}}Qb(F|0);return 0}function Uxa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;if(!(c&2048))d=a;else{i[a>>0]=43;d=a+1|0}if(!(c&1024))e=d;else{i[d>>0]=35;e=d+1|0}d=c&260;a=c>>>14;c=(d|0)==260;if(c){f=e;g=0}else{i[e>>0]=46;i[e+1>>0]=42;f=e+2|0;g=1}e=b;b=f;while(1){f=i[e>>0]|0;if(!(f<<24>>24)){h=b;break}i[b>>0]=f;e=e+1|0;b=b+1|0}a:do switch(d|0){case 4:{if(!(a&1)){i[h>>0]=102;break a}else{i[h>>0]=70;break a}break}case 256:{if(!(a&1)){i[h>>0]=101;break a}else{i[h>>0]=69;break a}break}default:{b=(a&1|0)!=0;if(c)if(b){i[h>>0]=65;break a}else{i[h>>0]=97;break a}else if(b){i[h>>0]=71;break a}else{i[h>>0]=103;break a}}}while(0);return g|0}function Vxa(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;h=r;r=r+16|0;j=h;l=$Aa(g,49320)|0;m=$Aa(g,49460)|0;Fc[k[(k[m>>2]|0)+20>>2]&1023](j,m);k[f>>2]=d;g=i[a>>0]|0;switch(g<<24>>24){case 43:case 45:{B=0;n=Xa(k[(k[l>>2]|0)+28>>2]|0,l|0,g|0)|0;g=B;B=0;if(g&1)o=8;else{g=k[f>>2]|0;k[f>>2]=g+1;i[g>>0]=n;p=a+1|0;o=10}break}default:{p=a;o=10}}a:do if((o|0)==10){n=c;b:do if((n-p|0)>1?(i[p>>0]|0)==48:0){g=p+1|0;switch(i[g>>0]|0){case 88:case 120:break;default:{q=p;o=21;break b}}B=0;s=Xa(k[(k[l>>2]|0)+28>>2]|0,l|0,48)|0;t=B;B=0;if(t&1){o=8;break a}t=k[f>>2]|0;k[f>>2]=t+1;i[t>>0]=s;s=p+2|0;B=0;t=Xa(k[(k[l>>2]|0)+28>>2]|0,l|0,i[g>>0]|0)|0;g=B;B=0;if(g&1){o=8;break a}g=k[f>>2]|0;k[f>>2]=g+1;i[g>>0]=t;t=s;while(1){if(t>>>0>=c>>>0){u=s;v=t;break b}g=i[t>>0]|0;B=0;w=bb(3)|0;x=B;B=0;if(x&1)break;B=0;x=Xa(261,g<<24>>24|0,w|0)|0;w=B;B=0;if(w&1)break;if(!x){u=s;v=t;break b}t=t+1|0}t=Rb()|0;y=t;z=Q;break a}else{q=p;o=21}while(0);c:do if((o|0)==21){while(1){o=0;if(q>>>0>=c>>>0){u=p;v=q;break c}t=i[q>>0]|0;B=0;s=bb(3)|0;x=B;B=0;if(x&1)break;B=0;x=Xa(262,t<<24>>24|0,s|0)|0;s=B;B=0;if(s&1)break;if(!x){u=p;v=q;break c}q=q+1|0;o=21}x=Rb()|0;y=x;z=Q;break a}while(0);x=i[j>>0]|0;s=j+4|0;d:do if(((x&1)==0?(x&255)>>>1:k[s>>2]|0)|0){e:do if((u|0)!=(v|0)){t=v;w=u;while(1){g=t+-1|0;if(w>>>0>=g>>>0)break e;A=i[w>>0]|0;i[w>>0]=i[g>>0]|0;i[g>>0]=A;t=g;w=w+1|0}}while(0);B=0;w=ya(k[(k[m>>2]|0)+16>>2]|0,m|0)|0;t=B;B=0;if(t&1){o=8;break a}t=j+8|0;g=j+1|0;A=0;C=0;D=u;while(1){if(D>>>0>=v>>>0)break;E=i[((i[j>>0]&1)==0?g:k[t>>2]|0)+C>>0]|0;if(E<<24>>24>0&(A|0)==(E<<24>>24|0)){E=k[f>>2]|0;k[f>>2]=E+1;i[E>>0]=w;E=i[j>>0]|0;F=0;G=(C>>>0<(((E&1)==0?(E&255)>>>1:k[s>>2]|0)+-1|0)>>>0&1)+C|0}else{F=A;G=C}B=0;E=Xa(k[(k[l>>2]|0)+28>>2]|0,l|0,i[D>>0]|0)|0;H=B;B=0;if(H&1){o=5;break}H=k[f>>2]|0;k[f>>2]=H+1;i[H>>0]=E;A=F+1|0;C=G;D=D+1|0}if((o|0)==5){D=Rb()|0;y=D;z=Q;break a}D=d+(u-a)|0;C=k[f>>2]|0;if((D|0)==(C|0))I=l;else{A=C;C=D;while(1){D=A+-1|0;if(C>>>0>=D>>>0){I=l;break d}w=i[C>>0]|0;i[C>>0]=i[D>>0]|0;i[D>>0]=w;A=D;C=C+1|0}}}else{B=0;cb(k[(k[l>>2]|0)+32>>2]|0,l|0,u|0,v|0,k[f>>2]|0)|0;C=B;B=0;if(C&1){o=8;break a}k[f>>2]=(k[f>>2]|0)+(v-u);I=l}while(0);s=v;while(1){if(s>>>0>=c>>>0){J=s;break}x=i[s>>0]|0;if(x<<24>>24==46){K=s;o=45;break}B=0;C=Xa(k[(k[I>>2]|0)+28>>2]|0,l|0,x|0)|0;x=B;B=0;if(x&1){o=4;break}x=k[f>>2]|0;k[f>>2]=x+1;i[x>>0]=C;s=s+1|0}if((o|0)==4){s=Rb()|0;y=s;z=Q;break}if((o|0)==45){B=0;s=ya(k[(k[m>>2]|0)+12>>2]|0,m|0)|0;C=B;B=0;if(C&1){o=8;break}C=k[f>>2]|0;k[f>>2]=C+1;i[C>>0]=s;J=K+1|0}B=0;cb(k[(k[l>>2]|0)+32>>2]|0,l|0,J|0,c|0,k[f>>2]|0)|0;s=B;B=0;if(s&1)o=8;else{s=(k[f>>2]|0)+(n-J)|0;k[f>>2]=s;k[e>>2]=(b|0)==(c|0)?s:d+(b-a)|0;Yua(j);r=h;return}}while(0);if((o|0)==8){o=Rb()|0;y=o;z=Q}Yua(j);Qb(y|0)}function Wxa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;a=r;r=r+176|0;f=a+76|0;g=a+48|0;h=a+32|0;i=a+24|0;j=a+8|0;l=a;m=a+138|0;n=a+72|0;o=a+80|0;q=a+68|0;s=a+64|0;t=a+60|0;u=a+56|0;v=l;k[v>>2]=37;k[v+4>>2]=0;v=Uxa(l+1|0,159122,k[c+4>>2]|0)|0;k[n>>2]=m;w=oxa()|0;if(v){k[j>>2]=k[c+8>>2];p[j+8>>3]=e;x=jDa(m,30,w,l,j)|0}else{p[i>>3]=e;x=jDa(m,30,w,l,i)|0}do if((x|0)>29){B=0;i=bb(3)|0;w=B;B=0;j=w&1;if(v){if(!j?(B=0,k[h>>2]=k[c+8>>2],p[h+8>>3]=e,w=cb(69,n|0,i|0,l|0,h|0)|0,y=B,B=0,!(y&1)):0){z=w;A=12}}else if(!j?(B=0,p[g>>3]=e,j=cb(69,n|0,i|0,l|0,g|0)|0,i=B,B=0,!(i&1)):0){z=j;A=12}if((A|0)==12){j=k[n>>2]|0;if(j){C=j;D=j;E=z;A=16;break}B=0;fb(7);j=B;B=0;if(!(j&1)){j=k[n>>2]|0;C=j;D=j;E=z;A=16;break}}j=Rb()|0;F=j;G=Q}else{C=k[n>>2]|0;D=0;E=x;A=16}while(0);if((A|0)==16){x=C+E|0;z=Oxa(C,x,c)|0;do if((C|0)==(m|0)){H=m;I=o;J=0;A=22}else{g=lua(E<<1)|0;if(!g){B=0;fb(7);l=B;B=0;if(l&1){K=0;A=20;break}L=k[n>>2]|0}else L=C;H=L;I=g;J=g;A=22}while(0);do if((A|0)==22){B=0;L=ya(421,c|0)|0;C=B;B=0;if(!(C&1)){k[t>>2]=L;B=0;Ta(34,H|0,z|0,x|0,I|0,q|0,s|0,t|0);C=B;B=0;if(C&1){C=Rb()|0;n=Q;BEa(L)|0;M=C;N=n;O=J;break}BEa(L)|0;k[u>>2]=k[b>>2];L=k[q>>2]|0;n=k[s>>2]|0;B=0;k[f>>2]=k[u>>2];C=xa(39,f|0,I|0,L|0,n|0,c|0,d|0)|0;n=B;B=0;if(!(n&1)){k[b>>2]=C;if(J)mua(J);if(D)mua(D);r=a;return C|0}else{K=J;A=20}}else{K=J;A=20}}while(0);if((A|0)==20){A=Rb()|0;M=A;N=Q;O=K}if(O)mua(O);if(!D){F=M;G=N}else{mua(D);F=M;G=N}}Qb(F|0);return 0}function Xxa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;a=r;r=r+80|0;f=a;g=a+72|0;h=a+52|0;j=a+12|0;l=a+8|0;m=a+4|0;i[g>>0]=i[159124]|0;i[g+1>>0]=i[159125]|0;i[g+2>>0]=i[159126]|0;i[g+3>>0]=i[159127]|0;i[g+4>>0]=i[159128]|0;i[g+5>>0]=i[159129]|0;n=oxa()|0;k[f>>2]=e;e=jDa(h,20,n,g,f)|0;g=h+e|0;n=Oxa(h,g,c)|0;o=xva(c)|0;k[l>>2]=o;B=0;p=Xa(238,l|0,49320)|0;l=B;B=0;if(l&1){l=Rb()|0;BEa(o)|0;Qb(l|0)}else{BEa(o)|0;ld[k[(k[p>>2]|0)+32>>2]&127](p,h,g,j)|0;p=j+e|0;k[m>>2]=k[b>>2];k[f>>2]=k[m>>2];m=Qd(f,j,(n|0)==(g|0)?p:j+(n-h)|0,p,c,d)|0;r=a;return m|0}return 0}function Yxa(a){a=a|0;return}function Zxa(a){a=a|0;Sqa(a);return}function _xa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;f=r;r=r+32|0;g=f+8|0;h=f+4|0;j=f;a:do if(!(k[c+4>>2]&1)){l=k[(k[a>>2]|0)+24>>2]|0;k[h>>2]=k[b>>2];k[g>>2]=k[h>>2];m=fd[l&31](a,g,c,d,e&1)|0}else{l=xva(c)|0;k[j>>2]=l;B=0;n=Xa(238,j|0,49468)|0;o=B;B=0;do if(!(o&1)){BEa(l)|0;p=k[n>>2]|0;if(e)Fc[k[p+24>>2]&1023](g,n);else Fc[k[p+28>>2]&1023](g,n);p=i[g>>0]|0;q=g+4|0;s=g+8|0;t=k[s>>2]|0;u=p;v=t;w=(p&1)==0?q:t;while(1){t=(u&1)==0;if((w|0)==((t?q:v)+((t?(u&255)>>>1:k[q>>2]|0)<<2)|0)){x=9;break}t=k[w>>2]|0;p=k[b>>2]|0;if(p){y=p+24|0;z=k[y>>2]|0;if((z|0)==(k[p+28>>2]|0)){B=0;A=Xa(k[(k[p>>2]|0)+52>>2]|0,p|0,t|0)|0;p=B;B=0;if(p&1){x=18;break}else C=A}else{k[y>>2]=z+4;k[z>>2]=t;C=t}if((C|0)==-1)k[b>>2]=0}u=i[g>>0]|0;v=k[s>>2]|0;w=w+4|0}if((x|0)==9){w=k[b>>2]|0;kva(g);m=w;break a}else if((x|0)==18){w=Rb()|0;s=Q;kva(g);D=s;E=w;break}}else{w=Rb()|0;s=Q;BEa(l)|0;D=s;E=w}while(0);Qb(E|0)}while(0);r=f;return m|0}function $xa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;a=r;r=r+128|0;f=a;g=a+116|0;h=a+104|0;j=a+20|0;l=a+16|0;m=a+8|0;n=a+12|0;o=a+4|0;i[g>>0]=i[159110]|0;i[g+1>>0]=i[159111]|0;i[g+2>>0]=i[159112]|0;i[g+3>>0]=i[159113]|0;i[g+4>>0]=i[159114]|0;i[g+5>>0]=i[159115]|0;Nxa(g+1|0,159116,1,k[c+4>>2]|0);p=oxa()|0;k[f>>2]=e;e=h+(jDa(h,12,p,g,f)|0)|0;g=Oxa(h,e,c)|0;p=xva(c)|0;k[n>>2]=p;B=0;Ta(35,h|0,g|0,e|0,j|0,l|0,m|0,n|0);n=B;B=0;if(n&1){n=Rb()|0;BEa(p)|0;Qb(n|0)}else{BEa(p)|0;k[o>>2]=k[b>>2];b=k[l>>2]|0;l=k[m>>2]|0;k[f>>2]=k[o>>2];o=lDa(f,j,b,l,c,d)|0;r=a;return o|0}return 0}function aya(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;h=r;r=r+16|0;j=h;l=$Aa(g,49312)|0;m=$Aa(g,49468)|0;Fc[k[(k[m>>2]|0)+20>>2]&1023](j,m);g=i[j>>0]|0;n=j+4|0;a:do if(!(((g&1)==0?(g&255)>>>1:k[n>>2]|0)|0)){B=0;cb(k[(k[l>>2]|0)+48>>2]|0,l|0,a|0,c|0,d|0)|0;o=B;B=0;if(o&1)p=5;else{o=a;q=d+(c-o<<2)|0;k[f>>2]=q;s=o;t=q;p=29}}else{k[f>>2]=d;q=i[a>>0]|0;switch(q<<24>>24){case 43:case 45:{B=0;o=Xa(k[(k[l>>2]|0)+44>>2]|0,l|0,q|0)|0;q=B;B=0;if(q&1){p=5;break a}q=k[f>>2]|0;k[f>>2]=q+4;k[q>>2]=o;u=a+1|0;break}default:u=a}b:do if((c-u|0)>1?(i[u>>0]|0)==48:0){o=u+1|0;switch(i[o>>0]|0){case 88:case 120:break;default:{v=u;break b}}B=0;q=Xa(k[(k[l>>2]|0)+44>>2]|0,l|0,48)|0;w=B;B=0;if(w&1){p=5;break a}w=k[f>>2]|0;k[f>>2]=w+4;k[w>>2]=q;B=0;q=Xa(k[(k[l>>2]|0)+44>>2]|0,l|0,i[o>>0]|0)|0;o=B;B=0;if(o&1){p=5;break a}o=k[f>>2]|0;k[f>>2]=o+4;k[o>>2]=q;v=u+2|0}else v=u;while(0);c:do if((v|0)!=(c|0)){q=c;o=v;while(1){w=q+-1|0;if(o>>>0>=w>>>0)break c;x=i[o>>0]|0;i[o>>0]=i[w>>0]|0;i[w>>0]=x;q=w;o=o+1|0}}while(0);B=0;o=ya(k[(k[m>>2]|0)+16>>2]|0,m|0)|0;q=B;B=0;if(!(q&1)){q=j+8|0;w=j+1|0;x=0;y=0;z=v;while(1){if(z>>>0>=c>>>0)break;A=i[((i[j>>0]&1)==0?w:k[q>>2]|0)+y>>0]|0;if(A<<24>>24!=0&(x|0)==(A<<24>>24|0)){A=k[f>>2]|0;k[f>>2]=A+4;k[A>>2]=o;A=i[j>>0]|0;C=0;D=(y>>>0<(((A&1)==0?(A&255)>>>1:k[n>>2]|0)+-1|0)>>>0&1)+y|0}else{C=x;D=y}B=0;A=Xa(k[(k[l>>2]|0)+44>>2]|0,l|0,i[z>>0]|0)|0;E=B;B=0;if(E&1){p=4;break}E=k[f>>2]|0;k[f>>2]=E+4;k[E>>2]=A;x=C+1|0;y=D;z=z+1|0}if((p|0)==4){z=Rb()|0;F=z;G=Q;break}z=a;y=d+(v-z<<2)|0;x=k[f>>2]|0;if((y|0)==(x|0)){s=z;t=y;p=29}else{o=x;q=y;while(1){y=o+-4|0;if(q>>>0>=y>>>0){s=z;t=x;p=29;break a}w=k[q>>2]|0;k[q>>2]=k[y>>2];k[y>>2]=w;o=y;q=q+4|0}}}else p=5}while(0);if((p|0)==5){f=Rb()|0;F=f;G=Q}else if((p|0)==29){k[e>>2]=(b|0)==(c|0)?t:d+(b-s<<2)|0;Yua(j);r=h;return}Yua(j);Qb(F|0)}function bya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;a=r;r=r+224|0;g=a+8|0;h=a;i=a+196|0;j=a+32|0;l=a+28|0;m=a+20|0;n=a+24|0;o=a+16|0;p=h;k[p>>2]=37;k[p+4>>2]=0;Nxa(h+1|0,159118,1,k[c+4>>2]|0);p=oxa()|0;q=g;k[q>>2]=e;k[q+4>>2]=f;f=i+(jDa(i,22,p,h,g)|0)|0;h=Oxa(i,f,c)|0;p=xva(c)|0;k[n>>2]=p;B=0;Ta(35,i|0,h|0,f|0,j|0,l|0,m|0,n|0);n=B;B=0;if(n&1){n=Rb()|0;BEa(p)|0;Qb(n|0)}else{BEa(p)|0;k[o>>2]=k[b>>2];b=k[l>>2]|0;l=k[m>>2]|0;k[g>>2]=k[o>>2];o=lDa(g,j,b,l,c,d)|0;r=a;return o|0}return 0}function cya(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;a=r;r=r+128|0;f=a;g=a+116|0;h=a+104|0;j=a+20|0;l=a+16|0;m=a+8|0;n=a+12|0;o=a+4|0;i[g>>0]=i[159110]|0;i[g+1>>0]=i[159111]|0;i[g+2>>0]=i[159112]|0;i[g+3>>0]=i[159113]|0;i[g+4>>0]=i[159114]|0;i[g+5>>0]=i[159115]|0;Nxa(g+1|0,159116,0,k[c+4>>2]|0);p=oxa()|0;k[f>>2]=e;e=h+(jDa(h,12,p,g,f)|0)|0;g=Oxa(h,e,c)|0;p=xva(c)|0;k[n>>2]=p;B=0;Ta(35,h|0,g|0,e|0,j|0,l|0,m|0,n|0);n=B;B=0;if(n&1){n=Rb()|0;BEa(p)|0;Qb(n|0)}else{BEa(p)|0;k[o>>2]=k[b>>2];b=k[l>>2]|0;l=k[m>>2]|0;k[f>>2]=k[o>>2];o=lDa(f,j,b,l,c,d)|0;r=a;return o|0}return 0}function dya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;a=r;r=r+240|0;g=a+8|0;h=a;i=a+204|0;j=a+32|0;l=a+28|0;m=a+20|0;n=a+24|0;o=a+16|0;p=h;k[p>>2]=37;k[p+4>>2]=0;Nxa(h+1|0,159118,0,k[c+4>>2]|0);p=oxa()|0;q=g;k[q>>2]=e;k[q+4>>2]=f;f=i+(jDa(i,23,p,h,g)|0)|0;h=Oxa(i,f,c)|0;p=xva(c)|0;k[n>>2]=p;B=0;Ta(35,i|0,h|0,f|0,j|0,l|0,m|0,n|0);n=B;B=0;if(n&1){n=Rb()|0;BEa(p)|0;Qb(n|0)}else{BEa(p)|0;k[o>>2]=k[b>>2];b=k[l>>2]|0;l=k[m>>2]|0;k[g>>2]=k[o>>2];o=lDa(g,j,b,l,c,d)|0;r=a;return o|0}return 0}function eya(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;a=r;r=r+352|0;f=a+312|0;g=a+48|0;h=a+32|0;i=a+24|0;j=a+8|0;l=a;m=a+316|0;n=a+308|0;o=a+80|0;q=a+76|0;s=a+72|0;t=a+68|0;u=a+64|0;v=l;k[v>>2]=37;k[v+4>>2]=0;v=Uxa(l+1|0,159121,k[c+4>>2]|0)|0;k[n>>2]=m;w=oxa()|0;if(v){k[j>>2]=k[c+8>>2];p[j+8>>3]=e;x=jDa(m,30,w,l,j)|0}else{p[i>>3]=e;x=jDa(m,30,w,l,i)|0}do if((x|0)>29){B=0;i=bb(3)|0;w=B;B=0;j=w&1;if(v){if(!j?(B=0,k[h>>2]=k[c+8>>2],p[h+8>>3]=e,w=cb(69,n|0,i|0,l|0,h|0)|0,y=B,B=0,!(y&1)):0){z=w;A=12}}else if(!j?(B=0,k[g>>2]=k[c+8>>2],p[g+8>>3]=e,j=cb(69,n|0,i|0,l|0,g|0)|0,i=B,B=0,!(i&1)):0){z=j;A=12}if((A|0)==12){j=k[n>>2]|0;if(j){C=j;D=j;E=z;A=16;break}B=0;fb(7);j=B;B=0;if(!(j&1)){j=k[n>>2]|0;C=j;D=j;E=z;A=16;break}}j=Rb()|0;F=j;G=Q}else{C=k[n>>2]|0;D=0;E=x;A=16}while(0);if((A|0)==16){x=C+E|0;z=Oxa(C,x,c)|0;do if((C|0)==(m|0)){H=m;I=o;J=0;A=22}else{g=lua(E<<3)|0;if(!g){B=0;fb(7);l=B;B=0;if(l&1){K=0;A=20;break}L=k[n>>2]|0}else L=C;H=L;I=g;J=g;A=22}while(0);do if((A|0)==22){B=0;L=ya(421,c|0)|0;C=B;B=0;if(!(C&1)){k[t>>2]=L;B=0;Ta(36,H|0,z|0,x|0,I|0,q|0,s|0,t|0);C=B;B=0;if(C&1){C=Rb()|0;n=Q;BEa(L)|0;M=C;N=n;O=J;break}BEa(L)|0;k[u>>2]=k[b>>2];L=k[q>>2]|0;n=k[s>>2]|0;B=0;k[f>>2]=k[u>>2];C=xa(40,f|0,I|0,L|0,n|0,c|0,d|0)|0;n=B;B=0;if(!(n&1)){k[b>>2]=C;if(J)mua(J);if(D)mua(D);r=a;return C|0}else{K=J;A=20}}else{K=J;A=20}}while(0);if((A|0)==20){A=Rb()|0;M=A;N=Q;O=K}if(O)mua(O);if(!D){F=M;G=N}else{mua(D);F=M;G=N}}Qb(F|0);return 0}function fya(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;h=r;r=r+16|0;j=h;l=$Aa(g,49312)|0;m=$Aa(g,49468)|0;Fc[k[(k[m>>2]|0)+20>>2]&1023](j,m);k[f>>2]=d;g=i[a>>0]|0;switch(g<<24>>24){case 43:case 45:{B=0;n=Xa(k[(k[l>>2]|0)+44>>2]|0,l|0,g|0)|0;g=B;B=0;if(g&1)o=8;else{g=k[f>>2]|0;k[f>>2]=g+4;k[g>>2]=n;p=a+1|0;o=10}break}default:{p=a;o=10}}a:do if((o|0)==10){n=c;b:do if((n-p|0)>1?(i[p>>0]|0)==48:0){g=p+1|0;switch(i[g>>0]|0){case 88:case 120:break;default:{q=p;o=21;break b}}B=0;s=Xa(k[(k[l>>2]|0)+44>>2]|0,l|0,48)|0;t=B;B=0;if(t&1){o=8;break a}t=k[f>>2]|0;k[f>>2]=t+4;k[t>>2]=s;s=p+2|0;B=0;t=Xa(k[(k[l>>2]|0)+44>>2]|0,l|0,i[g>>0]|0)|0;g=B;B=0;if(g&1){o=8;break a}g=k[f>>2]|0;k[f>>2]=g+4;k[g>>2]=t;t=s;while(1){if(t>>>0>=c>>>0){u=s;v=t;break b}g=i[t>>0]|0;B=0;w=bb(3)|0;x=B;B=0;if(x&1)break;B=0;x=Xa(261,g<<24>>24|0,w|0)|0;w=B;B=0;if(w&1)break;if(!x){u=s;v=t;break b}t=t+1|0}t=Rb()|0;y=t;z=Q;break a}else{q=p;o=21}while(0);c:do if((o|0)==21){while(1){o=0;if(q>>>0>=c>>>0){u=p;v=q;break c}t=i[q>>0]|0;B=0;s=bb(3)|0;x=B;B=0;if(x&1)break;B=0;x=Xa(262,t<<24>>24|0,s|0)|0;s=B;B=0;if(s&1)break;if(!x){u=p;v=q;break c}q=q+1|0;o=21}x=Rb()|0;y=x;z=Q;break a}while(0);x=i[j>>0]|0;s=j+4|0;d:do if(((x&1)==0?(x&255)>>>1:k[s>>2]|0)|0){e:do if((u|0)!=(v|0)){t=v;w=u;while(1){g=t+-1|0;if(w>>>0>=g>>>0)break e;A=i[w>>0]|0;i[w>>0]=i[g>>0]|0;i[g>>0]=A;t=g;w=w+1|0}}while(0);B=0;w=ya(k[(k[m>>2]|0)+16>>2]|0,m|0)|0;t=B;B=0;if(t&1){o=8;break a}t=j+8|0;g=j+1|0;A=0;C=0;D=u;while(1){if(D>>>0>=v>>>0)break;E=i[((i[j>>0]&1)==0?g:k[t>>2]|0)+C>>0]|0;if(E<<24>>24>0&(A|0)==(E<<24>>24|0)){E=k[f>>2]|0;k[f>>2]=E+4;k[E>>2]=w;E=i[j>>0]|0;F=0;G=(C>>>0<(((E&1)==0?(E&255)>>>1:k[s>>2]|0)+-1|0)>>>0&1)+C|0}else{F=A;G=C}B=0;E=Xa(k[(k[l>>2]|0)+44>>2]|0,l|0,i[D>>0]|0)|0;H=B;B=0;if(H&1){o=5;break}H=k[f>>2]|0;k[f>>2]=H+4;k[H>>2]=E;A=F+1|0;C=G;D=D+1|0}if((o|0)==5){D=Rb()|0;y=D;z=Q;break a}D=d+(u-a<<2)|0;C=k[f>>2]|0;if((D|0)==(C|0)){I=l;J=D}else{A=C;w=D;while(1){D=A+-4|0;if(w>>>0>=D>>>0){I=l;J=C;break d}t=k[w>>2]|0;k[w>>2]=k[D>>2];k[D>>2]=t;A=D;w=w+4|0}}}else{B=0;cb(k[(k[l>>2]|0)+48>>2]|0,l|0,u|0,v|0,k[f>>2]|0)|0;w=B;B=0;if(w&1){o=8;break a}w=(k[f>>2]|0)+(v-u<<2)|0;k[f>>2]=w;I=l;J=w}while(0);s=J;x=v;while(1){if(x>>>0>=c>>>0){K=s;L=x;break}w=i[x>>0]|0;if(w<<24>>24==46){M=x;o=45;break}B=0;A=Xa(k[(k[I>>2]|0)+44>>2]|0,l|0,w|0)|0;w=B;B=0;if(w&1){o=4;break}w=k[f>>2]|0;C=w+4|0;k[f>>2]=C;k[w>>2]=A;s=C;x=x+1|0}if((o|0)==4){x=Rb()|0;y=x;z=Q;break}if((o|0)==45){B=0;x=ya(k[(k[m>>2]|0)+12>>2]|0,m|0)|0;s=B;B=0;if(s&1){o=8;break}s=k[f>>2]|0;C=s+4|0;k[f>>2]=C;k[s>>2]=x;K=C;L=M+1|0}B=0;cb(k[(k[l>>2]|0)+48>>2]|0,l|0,L|0,c|0,K|0)|0;C=B;B=0;if(C&1)o=8;else{C=(k[f>>2]|0)+(n-L<<2)|0;k[f>>2]=C;k[e>>2]=(b|0)==(c|0)?C:d+(b-a<<2)|0;Yua(j);r=h;return}}while(0);if((o|0)==8){o=Rb()|0;y=o;z=Q}Yua(j);Qb(y|0)}function gya(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;a=r;r=r+352|0;f=a+304|0;g=a+48|0;h=a+32|0;i=a+24|0;j=a+8|0;l=a;m=a+308|0;n=a+300|0;o=a+72|0;q=a+68|0;s=a+64|0;t=a+60|0;u=a+56|0;v=l;k[v>>2]=37;k[v+4>>2]=0;v=Uxa(l+1|0,159122,k[c+4>>2]|0)|0;k[n>>2]=m;w=oxa()|0;if(v){k[j>>2]=k[c+8>>2];p[j+8>>3]=e;x=jDa(m,30,w,l,j)|0}else{p[i>>3]=e;x=jDa(m,30,w,l,i)|0}do if((x|0)>29){B=0;i=bb(3)|0;w=B;B=0;j=w&1;if(v){if(!j?(B=0,k[h>>2]=k[c+8>>2],p[h+8>>3]=e,w=cb(69,n|0,i|0,l|0,h|0)|0,y=B,B=0,!(y&1)):0){z=w;A=12}}else if(!j?(B=0,p[g>>3]=e,j=cb(69,n|0,i|0,l|0,g|0)|0,i=B,B=0,!(i&1)):0){z=j;A=12}if((A|0)==12){j=k[n>>2]|0;if(j){C=j;D=j;E=z;A=16;break}B=0;fb(7);j=B;B=0;if(!(j&1)){j=k[n>>2]|0;C=j;D=j;E=z;A=16;break}}j=Rb()|0;F=j;G=Q}else{C=k[n>>2]|0;D=0;E=x;A=16}while(0);if((A|0)==16){x=C+E|0;z=Oxa(C,x,c)|0;do if((C|0)==(m|0)){H=m;I=o;J=0;A=22}else{g=lua(E<<3)|0;if(!g){B=0;fb(7);l=B;B=0;if(l&1){K=0;A=20;break}L=k[n>>2]|0}else L=C;H=L;I=g;J=g;A=22}while(0);do if((A|0)==22){B=0;L=ya(421,c|0)|0;C=B;B=0;if(!(C&1)){k[t>>2]=L;B=0;Ta(36,H|0,z|0,x|0,I|0,q|0,s|0,t|0);C=B;B=0;if(C&1){C=Rb()|0;n=Q;BEa(L)|0;M=C;N=n;O=J;break}BEa(L)|0;k[u>>2]=k[b>>2];L=k[q>>2]|0;n=k[s>>2]|0;B=0;k[f>>2]=k[u>>2];C=xa(40,f|0,I|0,L|0,n|0,c|0,d|0)|0;n=B;B=0;if(!(n&1)){k[b>>2]=C;if(J)mua(J);if(D)mua(D);r=a;return C|0}else{K=J;A=20}}else{K=J;A=20}}while(0);if((A|0)==20){A=Rb()|0;M=A;N=Q;O=K}if(O)mua(O);if(!D){F=M;G=N}else{mua(D);F=M;G=N}}Qb(F|0);return 0}function hya(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;a=r;r=r+192|0;f=a;g=a+180|0;h=a+160|0;j=a+8|0;l=a+156|0;m=a+4|0;i[g>>0]=i[159124]|0;i[g+1>>0]=i[159125]|0;i[g+2>>0]=i[159126]|0;i[g+3>>0]=i[159127]|0;i[g+4>>0]=i[159128]|0;i[g+5>>0]=i[159129]|0;n=oxa()|0;k[f>>2]=e;e=jDa(h,20,n,g,f)|0;g=h+e|0;n=Oxa(h,g,c)|0;o=xva(c)|0;k[l>>2]=o;B=0;p=Xa(238,l|0,49312)|0;l=B;B=0;if(l&1){l=Rb()|0;BEa(o)|0;Qb(l|0)}else{BEa(o)|0;ld[k[(k[p>>2]|0)+48>>2]&127](p,h,g,j)|0;p=j+(e<<2)|0;k[m>>2]=k[b>>2];k[f>>2]=k[m>>2];m=lDa(f,j,(n|0)==(g|0)?p:j+(n-h<<2)|0,p,c,d)|0;r=a;return m|0}return 0}function iya(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;m=r;r=r+32|0;n=m+16|0;o=m+12|0;p=m+8|0;q=m+4|0;s=m;t=xva(d)|0;k[p>>2]=t;B=0;u=Xa(238,p|0,49320)|0;p=B;B=0;if(p&1){p=Rb()|0;BEa(t)|0;Qb(p|0)}BEa(t)|0;k[e>>2]=0;t=u+8|0;p=g;g=0;a:while(1){v=(p|0)!=(h|0);w=g;while(1){x=k[b>>2]|0;if(!(v&(w|0)==0)){y=x;break a}z=x;if(x)if((k[x+12>>2]|0)==(k[x+16>>2]|0)?(Hc[k[(k[x>>2]|0)+36>>2]&511](x)|0)==-1:0){k[b>>2]=0;A=0;C=0}else{A=z;C=x}else{A=z;C=0}z=(C|0)==0;x=k[c>>2]|0;D=x;do if(x){if((k[x+12>>2]|0)==(k[x+16>>2]|0)?(Hc[k[(k[x>>2]|0)+36>>2]&511](x)|0)==-1:0){k[c>>2]=0;E=0;F=14;break}if(z){G=x;H=D}else{I=C;F=15;break a}}else{E=D;F=14}while(0);if((F|0)==14){F=0;if(z){I=C;F=15;break a}else{G=0;H=E}}if((Rc[k[(k[u>>2]|0)+36>>2]&63](u,i[p>>0]|0,0)|0)<<24>>24==37){J=A;K=C;L=H;F=18;break}D=i[p>>0]|0;if(D<<24>>24>-1?(x=k[t>>2]|0,(j[x+(D<<24>>24<<1)>>1]&8192)!=0):0){M=C;N=G;O=x;F=27;break}x=C+12|0;D=k[x>>2]|0;P=C+16|0;if((D|0)==(k[P>>2]|0))Q=Hc[k[(k[C>>2]|0)+36>>2]&511](C)|0;else Q=l[D>>0]|0;D=ed[k[(k[u>>2]|0)+12>>2]&511](u,Q&255)|0;if(D<<24>>24==(ed[k[(k[u>>2]|0)+12>>2]&511](u,i[p>>0]|0)|0)<<24>>24){R=C;S=x;T=P;F=55;break}k[e>>2]=4;w=4}b:do if((F|0)==18){F=0;w=p+1|0;if((w|0)==(h|0)){U=K;F=19;break a}v=Rc[k[(k[u>>2]|0)+36>>2]&63](u,i[w>>0]|0,0)|0;switch(v<<24>>24){case 48:case 69:{P=p+2|0;if((P|0)==(h|0)){V=K;F=24;break a}W=w;X=Rc[k[(k[u>>2]|0)+36>>2]&63](u,i[P>>0]|0,0)|0;Y=v;break}default:{W=p;X=v;Y=0}}v=k[(k[a>>2]|0)+36>>2]|0;k[q>>2]=J;k[s>>2]=L;k[o>>2]=k[q>>2];k[n>>2]=k[s>>2];P=pd[v&15](a,o,n,d,e,f,X,Y)|0;k[b>>2]=P;Z=W+2|0}else if((F|0)==27){F=0;P=p;while(1){v=P+1|0;if((v|0)==(h|0)){_=h;break}w=i[v>>0]|0;if(w<<24>>24<=-1){_=v;break}if(!(j[O+(w<<24>>24<<1)>>1]&8192)){_=v;break}else P=v}P=N;z=M;v=N;while(1){if(z)if((k[z+12>>2]|0)==(k[z+16>>2]|0)?(Hc[k[(k[z>>2]|0)+36>>2]&511](z)|0)==-1:0){k[b>>2]=0;$=0}else $=z;else $=0;w=($|0)==0;do if(v){if((k[v+12>>2]|0)!=(k[v+16>>2]|0))if(w){aa=P;ba=v;break}else{Z=_;break b}if((Hc[k[(k[v>>2]|0)+36>>2]&511](v)|0)!=-1)if(w^(P|0)==0){aa=P;ba=P;break}else{Z=_;break b}else{k[c>>2]=0;ca=0;F=41;break}}else{ca=P;F=41}while(0);if((F|0)==41){F=0;if(w){Z=_;break b}else{aa=ca;ba=0}}x=$+12|0;D=k[x>>2]|0;da=$+16|0;if((D|0)==(k[da>>2]|0))ea=Hc[k[(k[$>>2]|0)+36>>2]&511]($)|0;else ea=l[D>>0]|0;if((ea&255)<<24>>24<=-1){Z=_;break b}if(!(j[(k[t>>2]|0)+(ea<<24>>24<<1)>>1]&8192)){Z=_;break b}D=k[x>>2]|0;if((D|0)==(k[da>>2]|0)){Hc[k[(k[$>>2]|0)+40>>2]&511]($)|0;P=aa;z=$;v=ba;continue}else{k[x>>2]=D+1;P=aa;z=$;v=ba;continue}}}else if((F|0)==55){F=0;v=k[S>>2]|0;if((v|0)==(k[T>>2]|0))Hc[k[(k[R>>2]|0)+40>>2]&511](R)|0;else k[S>>2]=v+1;Z=p+1|0}while(0);p=Z;g=k[e>>2]|0}if((F|0)==15){k[e>>2]=4;y=I}else if((F|0)==19){k[e>>2]=4;y=U}else if((F|0)==24){k[e>>2]=4;y=V}if(y)if((k[y+12>>2]|0)==(k[y+16>>2]|0)?(Hc[k[(k[y>>2]|0)+36>>2]&511](y)|0)==-1:0){k[b>>2]=0;fa=0}else fa=y;else fa=0;y=(fa|0)==0;b=k[c>>2]|0;do if(b){if((k[b+12>>2]|0)==(k[b+16>>2]|0)?(Hc[k[(k[b>>2]|0)+36>>2]&511](b)|0)==-1:0){k[c>>2]=0;F=70;break}if(!y)F=71}else F=70;while(0);if((F|0)==70?y:0)F=71;if((F|0)==71)k[e>>2]=k[e>>2]|2;r=m;return fa|0}function jya(a){a=a|0;return}function kya(a){a=a|0;Sqa(a);return}function lya(a){a=a|0;return 2}function mya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;j=g+4|0;l=g;k[j>>2]=k[b>>2];k[l>>2]=k[c>>2];k[i>>2]=k[j>>2];k[h>>2]=k[l>>2];l=iya(a,i,h,d,e,f,159130,159138)|0;r=g;return l|0}function nya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;g=r;r=r+16|0;h=g+12|0;j=g+8|0;l=g+4|0;m=g;n=a+8|0;o=Hc[k[(k[n>>2]|0)+20>>2]&511](n)|0;k[l>>2]=k[b>>2];k[m>>2]=k[c>>2];c=i[o>>0]|0;b=(c&1)==0;n=b?o+1|0:k[o+8>>2]|0;p=n+(b?(c&255)>>>1:k[o+4>>2]|0)|0;k[j>>2]=k[l>>2];k[h>>2]=k[m>>2];m=iya(a,j,h,d,e,f,n,p)|0;r=g;return m|0}function oya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+8|0;i=g+4|0;j=g;l=xva(d)|0;k[i>>2]=l;B=0;d=Xa(238,i|0,49320)|0;i=B;B=0;if(i&1){i=Rb()|0;BEa(l)|0;Qb(i|0)}else{BEa(l)|0;k[j>>2]=k[c>>2];k[h>>2]=k[j>>2];pya(a,f+24|0,b,h,e,d);r=g;return k[b>>2]|0}return 0}function pya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;g=r;r=r+16|0;h=g+4|0;i=g;j=a+8|0;a=Hc[k[k[j>>2]>>2]&511](j)|0;k[i>>2]=k[d>>2];k[h>>2]=k[i>>2];i=(QCa(c,h,a,a+168|0,f,e,0)|0)-a|0;if((i|0)<168)k[b>>2]=((i|0)/12|0|0)%7|0;r=g;return}function qya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+8|0;i=g+4|0;j=g;l=xva(d)|0;k[i>>2]=l;B=0;d=Xa(238,i|0,49320)|0;i=B;B=0;if(i&1){i=Rb()|0;BEa(l)|0;Qb(i|0)}else{BEa(l)|0;k[j>>2]=k[c>>2];k[h>>2]=k[j>>2];rya(a,f+16|0,b,h,e,d);r=g;return k[b>>2]|0}return 0}function rya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;g=r;r=r+16|0;h=g+4|0;i=g;j=a+8|0;a=Hc[k[(k[j>>2]|0)+4>>2]&511](j)|0;k[i>>2]=k[d>>2];k[h>>2]=k[i>>2];i=(QCa(c,h,a,a+288|0,f,e,0)|0)-a|0;if((i|0)<288)k[b>>2]=((i|0)/12|0|0)%12|0;r=g;return}function sya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+8|0;i=g+4|0;j=g;l=xva(d)|0;k[i>>2]=l;B=0;d=Xa(238,i|0,49320)|0;i=B;B=0;if(i&1){i=Rb()|0;BEa(l)|0;Qb(i|0)}else{BEa(l)|0;k[j>>2]=k[c>>2];k[h>>2]=k[j>>2];tya(a,f+20|0,b,h,e,d);r=g;return k[b>>2]|0}return 0}function tya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;a=r;r=r+16|0;g=a+4|0;h=a;k[h>>2]=k[d>>2];k[g>>2]=k[h>>2];h=mDa(c,g,e,f,4)|0;if(!(k[e>>2]&4)){if((h|0)<69)i=h+2e3|0;else i=(h+-69|0)>>>0<31?h+1900|0:h;k[b>>2]=i+-1900}r=a;return}function uya(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;h=r;r=r+144|0;j=h+132|0;l=h+116|0;m=h+128|0;n=h+124|0;o=h+120|0;p=h+112|0;q=h+108|0;s=h+104|0;t=h+100|0;u=h+96|0;v=h+92|0;w=h+88|0;x=h+84|0;y=h+80|0;z=h+76|0;A=h+72|0;C=h+68|0;D=h+64|0;E=h+60|0;F=h+56|0;G=h+52|0;H=h+48|0;I=h+44|0;J=h+40|0;K=h+36|0;L=h+32|0;M=h+28|0;N=h+24|0;O=h+20|0;P=h+16|0;Q=h+12|0;R=h+8|0;S=h+4|0;T=h;k[e>>2]=0;U=xva(d)|0;k[m>>2]=U;B=0;V=Xa(238,m|0,49320)|0;m=B;B=0;if(m&1){m=Rb()|0;BEa(U)|0;Qb(m|0)}BEa(U)|0;do switch(g<<24>>24|0){case 65:case 97:{k[n>>2]=k[c>>2];k[j>>2]=k[n>>2];pya(a,f+24|0,b,j,e,V);W=28;break}case 104:case 66:case 98:{k[o>>2]=k[c>>2];k[j>>2]=k[o>>2];rya(a,f+16|0,b,j,e,V);W=28;break}case 99:{U=a+8|0;m=Hc[k[(k[U>>2]|0)+12>>2]&511](U)|0;k[p>>2]=k[b>>2];k[q>>2]=k[c>>2];U=i[m>>0]|0;X=(U&1)==0;Y=X?m+1|0:k[m+8>>2]|0;Z=Y+(X?(U&255)>>>1:k[m+4>>2]|0)|0;k[l>>2]=k[p>>2];k[j>>2]=k[q>>2];m=iya(a,l,j,d,e,f,Y,Z)|0;k[b>>2]=m;W=28;break}case 101:case 100:{k[s>>2]=k[c>>2];k[j>>2]=k[s>>2];vya(a,f+12|0,b,j,e,V);W=28;break}case 68:{k[t>>2]=k[b>>2];k[u>>2]=k[c>>2];k[l>>2]=k[t>>2];k[j>>2]=k[u>>2];m=iya(a,l,j,d,e,f,159138,159146)|0;k[b>>2]=m;W=28;break}case 70:{k[v>>2]=k[b>>2];k[w>>2]=k[c>>2];k[l>>2]=k[v>>2];k[j>>2]=k[w>>2];m=iya(a,l,j,d,e,f,159146,159154)|0;k[b>>2]=m;W=28;break}case 72:{k[x>>2]=k[c>>2];k[j>>2]=k[x>>2];wya(a,f+8|0,b,j,e,V);W=28;break}case 73:{k[y>>2]=k[c>>2];k[j>>2]=k[y>>2];xya(a,f+8|0,b,j,e,V);W=28;break}case 106:{k[z>>2]=k[c>>2];k[j>>2]=k[z>>2];yya(a,f+28|0,b,j,e,V);W=28;break}case 109:{k[A>>2]=k[c>>2];k[j>>2]=k[A>>2];zya(a,f+16|0,b,j,e,V);W=28;break}case 77:{k[C>>2]=k[c>>2];k[j>>2]=k[C>>2];Aya(a,f+4|0,b,j,e,V);W=28;break}case 116:case 110:{k[D>>2]=k[c>>2];k[j>>2]=k[D>>2];Bya(a,b,j,e,V);W=28;break}case 112:{k[E>>2]=k[c>>2];k[j>>2]=k[E>>2];Cya(a,f+8|0,b,j,e,V);W=28;break}case 114:{k[F>>2]=k[b>>2];k[G>>2]=k[c>>2];k[l>>2]=k[F>>2];k[j>>2]=k[G>>2];m=iya(a,l,j,d,e,f,159154,159165)|0;k[b>>2]=m;W=28;break}case 82:{k[H>>2]=k[b>>2];k[I>>2]=k[c>>2];k[l>>2]=k[H>>2];k[j>>2]=k[I>>2];m=iya(a,l,j,d,e,f,159165,159170)|0;k[b>>2]=m;W=28;break}case 83:{k[J>>2]=k[c>>2];k[j>>2]=k[J>>2];Dya(a,f,b,j,e,V);W=28;break}case 84:{k[K>>2]=k[b>>2];k[L>>2]=k[c>>2];k[l>>2]=k[K>>2];k[j>>2]=k[L>>2];m=iya(a,l,j,d,e,f,159170,159178)|0;k[b>>2]=m;W=28;break}case 119:{k[M>>2]=k[c>>2];k[j>>2]=k[M>>2];Eya(a,f+24|0,b,j,e,V);W=28;break}case 120:{m=k[(k[a>>2]|0)+20>>2]|0;k[N>>2]=k[b>>2];k[O>>2]=k[c>>2];k[l>>2]=k[N>>2];k[j>>2]=k[O>>2];_=Gc[m&63](a,l,j,d,e,f)|0;break}case 88:{m=a+8|0;Z=Hc[k[(k[m>>2]|0)+24>>2]&511](m)|0;k[P>>2]=k[b>>2];k[Q>>2]=k[c>>2];m=i[Z>>0]|0;Y=(m&1)==0;U=Y?Z+1|0:k[Z+8>>2]|0;X=U+(Y?(m&255)>>>1:k[Z+4>>2]|0)|0;k[l>>2]=k[P>>2];k[j>>2]=k[Q>>2];Z=iya(a,l,j,d,e,f,U,X)|0;k[b>>2]=Z;W=28;break}case 121:{k[R>>2]=k[c>>2];k[j>>2]=k[R>>2];tya(a,f+20|0,b,j,e,V);W=28;break}case 89:{k[S>>2]=k[c>>2];k[j>>2]=k[S>>2];Fya(a,f+20|0,b,j,e,V);W=28;break}case 37:{k[T>>2]=k[c>>2];k[j>>2]=k[T>>2];Gya(a,b,j,e,V);W=28;break}default:{k[e>>2]=k[e>>2]|4;W=28}}while(0);if((W|0)==28)_=k[b>>2]|0;r=h;return _|0}function vya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;a=r;r=r+16|0;g=a+4|0;h=a;k[h>>2]=k[d>>2];k[g>>2]=k[h>>2];h=mDa(c,g,e,f,2)|0;f=k[e>>2]|0;if((h+-1|0)>>>0<31&(f&4|0)==0)k[b>>2]=h;else k[e>>2]=f|4;r=a;return}function wya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;a=r;r=r+16|0;g=a+4|0;h=a;k[h>>2]=k[d>>2];k[g>>2]=k[h>>2];h=mDa(c,g,e,f,2)|0;f=k[e>>2]|0;if((h|0)<24&(f&4|0)==0)k[b>>2]=h;else k[e>>2]=f|4;r=a;return}function xya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;a=r;r=r+16|0;g=a+4|0;h=a;k[h>>2]=k[d>>2];k[g>>2]=k[h>>2];h=mDa(c,g,e,f,2)|0;f=k[e>>2]|0;if((h+-1|0)>>>0<12&(f&4|0)==0)k[b>>2]=h;else k[e>>2]=f|4;r=a;return}function yya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;a=r;r=r+16|0;g=a+4|0;h=a;k[h>>2]=k[d>>2];k[g>>2]=k[h>>2];h=mDa(c,g,e,f,3)|0;f=k[e>>2]|0;if((h|0)<366&(f&4|0)==0)k[b>>2]=h;else k[e>>2]=f|4;r=a;return}function zya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;a=r;r=r+16|0;g=a+4|0;h=a;k[h>>2]=k[d>>2];k[g>>2]=k[h>>2];h=mDa(c,g,e,f,2)|0;f=k[e>>2]|0;if((h|0)<13&(f&4|0)==0)k[b>>2]=h+-1;else k[e>>2]=f|4;r=a;return}function Aya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;a=r;r=r+16|0;g=a+4|0;h=a;k[h>>2]=k[d>>2];k[g>>2]=k[h>>2];h=mDa(c,g,e,f,2)|0;f=k[e>>2]|0;if((h|0)<60&(f&4|0)==0)k[b>>2]=h;else k[e>>2]=f|4;r=a;return}function Bya(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,m=0,n=0,o=0,p=0,q=0;a=e+8|0;a:while(1){e=k[b>>2]|0;do if(e)if((k[e+12>>2]|0)==(k[e+16>>2]|0))if((Hc[k[(k[e>>2]|0)+36>>2]&511](e)|0)==-1){k[b>>2]=0;f=0;break}else{f=k[b>>2]|0;break}else f=e;else f=0;while(0);e=(f|0)==0;g=k[c>>2]|0;do if(g){if((k[g+12>>2]|0)!=(k[g+16>>2]|0))if(e){h=g;break}else{i=g;break a}if((Hc[k[(k[g>>2]|0)+36>>2]&511](g)|0)!=-1)if(e){h=g;break}else{i=g;break a}else{k[c>>2]=0;m=12;break}}else m=12;while(0);if((m|0)==12){m=0;if(e){i=0;break}else h=0}g=k[b>>2]|0;n=k[g+12>>2]|0;if((n|0)==(k[g+16>>2]|0))o=Hc[k[(k[g>>2]|0)+36>>2]&511](g)|0;else o=l[n>>0]|0;if((o&255)<<24>>24<=-1){i=h;break}if(!(j[(k[a>>2]|0)+(o<<24>>24<<1)>>1]&8192)){i=h;break}n=k[b>>2]|0;g=n+12|0;p=k[g>>2]|0;if((p|0)==(k[n+16>>2]|0)){Hc[k[(k[n>>2]|0)+40>>2]&511](n)|0;continue}else{k[g>>2]=p+1;continue}}h=k[b>>2]|0;do if(h)if((k[h+12>>2]|0)==(k[h+16>>2]|0))if((Hc[k[(k[h>>2]|0)+36>>2]&511](h)|0)==-1){k[b>>2]=0;q=0;break}else{q=k[b>>2]|0;break}else q=h;else q=0;while(0);h=(q|0)==0;do if(i){if((k[i+12>>2]|0)==(k[i+16>>2]|0)?(Hc[k[(k[i>>2]|0)+36>>2]&511](i)|0)==-1:0){k[c>>2]=0;m=32;break}if(!h)m=33}else m=32;while(0);if((m|0)==32?h:0)m=33;if((m|0)==33)k[d>>2]=k[d>>2]|2;return}function Cya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0;g=r;r=r+16|0;h=g+4|0;j=g;l=a+8|0;a=Hc[k[(k[l>>2]|0)+8>>2]&511](l)|0;l=i[a>>0]|0;if(!(l&1))m=(l&255)>>>1;else m=k[a+4>>2]|0;l=i[a+12>>0]|0;if(!(l&1))n=(l&255)>>>1;else n=k[a+16>>2]|0;do if((m|0)!=(0-n|0)){k[j>>2]=k[d>>2];k[h>>2]=k[j>>2];l=QCa(c,h,a,a+24|0,f,e,0)|0;o=k[b>>2]|0;if((l|0)==(a|0)&(o|0)==12){k[b>>2]=0;break}if((o|0)<12&(l-a|0)==12)k[b>>2]=o+12}else k[e>>2]=k[e>>2]|4;while(0);r=g;return}function Dya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;a=r;r=r+16|0;g=a+4|0;h=a;k[h>>2]=k[d>>2];k[g>>2]=k[h>>2];h=mDa(c,g,e,f,2)|0;f=k[e>>2]|0;if((h|0)<61&(f&4|0)==0)k[b>>2]=h;else k[e>>2]=f|4;r=a;return}function Eya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;a=r;r=r+16|0;g=a+4|0;h=a;k[h>>2]=k[d>>2];k[g>>2]=k[h>>2];h=mDa(c,g,e,f,1)|0;f=k[e>>2]|0;if((h|0)<7&(f&4|0)==0)k[b>>2]=h;else k[e>>2]=f|4;r=a;return}function Fya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;a=r;r=r+16|0;g=a+4|0;h=a;k[h>>2]=k[d>>2];k[g>>2]=k[h>>2];h=mDa(c,g,e,f,4)|0;if(!(k[e>>2]&4))k[b>>2]=h+-1900;r=a;return}function Gya(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,m=0,n=0,o=0;a=k[b>>2]|0;do if(a)if((k[a+12>>2]|0)==(k[a+16>>2]|0))if((Hc[k[(k[a>>2]|0)+36>>2]&511](a)|0)==-1){k[b>>2]=0;f=0;break}else{f=k[b>>2]|0;break}else f=a;else f=0;while(0);a=(f|0)==0;f=k[c>>2]|0;do if(f){if((k[f+12>>2]|0)==(k[f+16>>2]|0)?(Hc[k[(k[f>>2]|0)+36>>2]&511](f)|0)==-1:0){k[c>>2]=0;g=11;break}if(a){h=f;g=13}else g=12}else g=11;while(0);if((g|0)==11)if(a)g=12;else{h=0;g=13}a:do if((g|0)==12)k[d>>2]=k[d>>2]|6;else if((g|0)==13){a=k[b>>2]|0;f=k[a+12>>2]|0;if((f|0)==(k[a+16>>2]|0))i=Hc[k[(k[a>>2]|0)+36>>2]&511](a)|0;else i=l[f>>0]|0;if((Rc[k[(k[e>>2]|0)+36>>2]&63](e,i&255,0)|0)<<24>>24!=37){k[d>>2]=k[d>>2]|4;break}f=k[b>>2]|0;a=f+12|0;j=k[a>>2]|0;if((j|0)==(k[f+16>>2]|0)){Hc[k[(k[f>>2]|0)+40>>2]&511](f)|0;m=k[b>>2]|0;if(!m)n=0;else{o=m;g=21}}else{k[a>>2]=j+1;o=f;g=21}do if((g|0)==21)if((k[o+12>>2]|0)==(k[o+16>>2]|0))if((Hc[k[(k[o>>2]|0)+36>>2]&511](o)|0)==-1){k[b>>2]=0;n=0;break}else{n=k[b>>2]|0;break}else n=o;while(0);f=(n|0)==0;do if(h){if((k[h+12>>2]|0)==(k[h+16>>2]|0)?(Hc[k[(k[h>>2]|0)+36>>2]&511](h)|0)==-1:0){k[c>>2]=0;g=30;break}if(f)break a}else g=30;while(0);if((g|0)==30?!f:0)break;k[d>>2]=k[d>>2]|2}while(0);return}function Hya(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0;i=r;r=r+32|0;j=i+16|0;l=i+12|0;m=i+8|0;n=i+4|0;o=i;p=xva(d)|0;k[m>>2]=p;B=0;q=Xa(238,m|0,49312)|0;m=B;B=0;if(m&1){m=Rb()|0;BEa(p)|0;Qb(m|0)}BEa(p)|0;k[e>>2]=0;p=g;g=0;a:while(1){m=(p|0)!=(h|0);s=g;while(1){t=k[b>>2]|0;if(!(m&(s|0)==0)){u=t;break a}v=t;if(t){w=k[t+12>>2]|0;if((w|0)==(k[t+16>>2]|0))x=Hc[k[(k[t>>2]|0)+36>>2]&511](t)|0;else x=k[w>>2]|0;if((x|0)==-1){k[b>>2]=0;y=0;z=0;A=1}else{y=t;z=v;A=0}}else{y=0;z=v;A=1}v=k[c>>2]|0;t=v;do if(v){w=k[v+12>>2]|0;if((w|0)==(k[v+16>>2]|0))C=Hc[k[(k[v>>2]|0)+36>>2]&511](v)|0;else C=k[w>>2]|0;if((C|0)!=-1)if(A){D=v;E=t;break}else{F=y;G=19;break a}else{k[c>>2]=0;H=0;G=17;break}}else{H=t;G=17}while(0);if((G|0)==17){G=0;if(A){F=y;G=19;break a}else{D=0;E=H}}if((Rc[k[(k[q>>2]|0)+52>>2]&63](q,k[p>>2]|0,0)|0)<<24>>24==37){I=z;J=y;K=E;G=22;break}if(Rc[k[(k[q>>2]|0)+12>>2]&63](q,8192,k[p>>2]|0)|0){L=y;M=D;G=30;break}t=y+12|0;v=k[t>>2]|0;w=y+16|0;if((v|0)==(k[w>>2]|0))N=Hc[k[(k[y>>2]|0)+36>>2]&511](y)|0;else N=k[v>>2]|0;v=ed[k[(k[q>>2]|0)+28>>2]&511](q,N)|0;if((v|0)==(ed[k[(k[q>>2]|0)+28>>2]&511](q,k[p>>2]|0)|0)){O=y;P=t;Q=w;G=59;break}k[e>>2]=4;s=4}b:do if((G|0)==22){G=0;s=p+4|0;if((s|0)==(h|0)){R=J;G=23;break a}m=Rc[k[(k[q>>2]|0)+52>>2]&63](q,k[s>>2]|0,0)|0;switch(m<<24>>24){case 48:case 69:{w=p+8|0;if((w|0)==(h|0)){S=J;G=28;break a}T=s;U=Rc[k[(k[q>>2]|0)+52>>2]&63](q,k[w>>2]|0,0)|0;V=m;break}default:{T=p;U=m;V=0}}m=k[(k[a>>2]|0)+36>>2]|0;k[n>>2]=I;k[o>>2]=K;k[l>>2]=k[n>>2];k[j>>2]=k[o>>2];w=pd[m&15](a,l,j,d,e,f,U,V)|0;k[b>>2]=w;W=T+8|0}else if((G|0)==30){G=0;w=p;while(1){m=w+4|0;if((m|0)==(h|0)){X=h;break}if(Rc[k[(k[q>>2]|0)+12>>2]&63](q,8192,k[m>>2]|0)|0)w=m;else{X=m;break}}w=M;m=L;s=M;while(1){if(m){t=k[m+12>>2]|0;if((t|0)==(k[m+16>>2]|0))Y=Hc[k[(k[m>>2]|0)+36>>2]&511](m)|0;else Y=k[t>>2]|0;if((Y|0)==-1){k[b>>2]=0;Z=1;_=0}else{Z=0;_=m}}else{Z=1;_=0}do if(s){t=k[s+12>>2]|0;if((t|0)==(k[s+16>>2]|0))$=Hc[k[(k[s>>2]|0)+36>>2]&511](s)|0;else $=k[t>>2]|0;if(($|0)!=-1)if(Z^(w|0)==0){aa=w;ba=w;break}else{W=X;break b}else{k[c>>2]=0;ca=0;G=46;break}}else{ca=w;G=46}while(0);if((G|0)==46){G=0;if(Z){W=X;break b}else{aa=ca;ba=0}}t=_+12|0;v=k[t>>2]|0;da=_+16|0;if((v|0)==(k[da>>2]|0))ea=Hc[k[(k[_>>2]|0)+36>>2]&511](_)|0;else ea=k[v>>2]|0;if(!(Rc[k[(k[q>>2]|0)+12>>2]&63](q,8192,ea)|0)){W=X;break b}v=k[t>>2]|0;if((v|0)==(k[da>>2]|0)){Hc[k[(k[_>>2]|0)+40>>2]&511](_)|0;w=aa;m=_;s=ba;continue}else{k[t>>2]=v+4;w=aa;m=_;s=ba;continue}}}else if((G|0)==59){G=0;s=k[P>>2]|0;if((s|0)==(k[Q>>2]|0))Hc[k[(k[O>>2]|0)+40>>2]&511](O)|0;else k[P>>2]=s+4;W=p+4|0}while(0);p=W;g=k[e>>2]|0}if((G|0)==19){k[e>>2]=4;u=F}else if((G|0)==23){k[e>>2]=4;u=R}else if((G|0)==28){k[e>>2]=4;u=S}if(u){S=k[u+12>>2]|0;if((S|0)==(k[u+16>>2]|0))fa=Hc[k[(k[u>>2]|0)+36>>2]&511](u)|0;else fa=k[S>>2]|0;if((fa|0)==-1){k[b>>2]=0;ga=0;ha=1}else{ga=u;ha=0}}else{ga=0;ha=1}u=k[c>>2]|0;do if(u){b=k[u+12>>2]|0;if((b|0)==(k[u+16>>2]|0))ia=Hc[k[(k[u>>2]|0)+36>>2]&511](u)|0;else ia=k[b>>2]|0;if((ia|0)!=-1)if(ha)break;else{G=79;break}else{k[c>>2]=0;G=77;break}}else G=77;while(0);if((G|0)==77?ha:0)G=79;if((G|0)==79)k[e>>2]=k[e>>2]|2;r=i;return ga|0}function Iya(a){a=a|0;return}function Jya(a){a=a|0;Sqa(a);return}function Kya(a){a=a|0;return 2}function Lya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;j=g+4|0;l=g;k[j>>2]=k[b>>2];k[l>>2]=k[c>>2];k[i>>2]=k[j>>2];k[h>>2]=k[l>>2];l=Hya(a,i,h,d,e,f,49888,49920)|0;r=g;return l|0}function Mya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;g=r;r=r+16|0;h=g+12|0;j=g+8|0;l=g+4|0;m=g;n=a+8|0;o=Hc[k[(k[n>>2]|0)+20>>2]&511](n)|0;k[l>>2]=k[b>>2];k[m>>2]=k[c>>2];c=i[o>>0]|0;b=(c&1)==0;n=o+4|0;p=b?n:k[o+8>>2]|0;o=p+((b?(c&255)>>>1:k[n>>2]|0)<<2)|0;k[j>>2]=k[l>>2];k[h>>2]=k[m>>2];m=Hya(a,j,h,d,e,f,p,o)|0;r=g;return m|0}function Nya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+8|0;i=g+4|0;j=g;l=xva(d)|0;k[i>>2]=l;B=0;d=Xa(238,i|0,49312)|0;i=B;B=0;if(i&1){i=Rb()|0;BEa(l)|0;Qb(i|0)}else{BEa(l)|0;k[j>>2]=k[c>>2];k[h>>2]=k[j>>2];Oya(a,f+24|0,b,h,e,d);r=g;return k[b>>2]|0}return 0}function Oya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;g=r;r=r+16|0;h=g+4|0;i=g;j=a+8|0;a=Hc[k[k[j>>2]>>2]&511](j)|0;k[i>>2]=k[d>>2];k[h>>2]=k[i>>2];i=($Ca(c,h,a,a+168|0,f,e,0)|0)-a|0;if((i|0)<168)k[b>>2]=((i|0)/12|0|0)%7|0;r=g;return}function Pya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+8|0;i=g+4|0;j=g;l=xva(d)|0;k[i>>2]=l;B=0;d=Xa(238,i|0,49312)|0;i=B;B=0;if(i&1){i=Rb()|0;BEa(l)|0;Qb(i|0)}else{BEa(l)|0;k[j>>2]=k[c>>2];k[h>>2]=k[j>>2];Qya(a,f+16|0,b,h,e,d);r=g;return k[b>>2]|0}return 0}function Qya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;g=r;r=r+16|0;h=g+4|0;i=g;j=a+8|0;a=Hc[k[(k[j>>2]|0)+4>>2]&511](j)|0;k[i>>2]=k[d>>2];k[h>>2]=k[i>>2];i=($Ca(c,h,a,a+288|0,f,e,0)|0)-a|0;if((i|0)<288)k[b>>2]=((i|0)/12|0|0)%12|0;r=g;return}function Rya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+8|0;i=g+4|0;j=g;l=xva(d)|0;k[i>>2]=l;B=0;d=Xa(238,i|0,49312)|0;i=B;B=0;if(i&1){i=Rb()|0;BEa(l)|0;Qb(i|0)}else{BEa(l)|0;k[j>>2]=k[c>>2];k[h>>2]=k[j>>2];Sya(a,f+20|0,b,h,e,d);r=g;return k[b>>2]|0}return 0}function Sya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;a=r;r=r+16|0;g=a+4|0;h=a;k[h>>2]=k[d>>2];k[g>>2]=k[h>>2];h=nDa(c,g,e,f,4)|0;if(!(k[e>>2]&4)){if((h|0)<69)i=h+2e3|0;else i=(h+-69|0)>>>0<31?h+1900|0:h;k[b>>2]=i+-1900}r=a;return}function Tya(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;h=r;r=r+144|0;j=h+132|0;l=h+116|0;m=h+128|0;n=h+124|0;o=h+120|0;p=h+112|0;q=h+108|0;s=h+104|0;t=h+100|0;u=h+96|0;v=h+92|0;w=h+88|0;x=h+84|0;y=h+80|0;z=h+76|0;A=h+72|0;C=h+68|0;D=h+64|0;E=h+60|0;F=h+56|0;G=h+52|0;H=h+48|0;I=h+44|0;J=h+40|0;K=h+36|0;L=h+32|0;M=h+28|0;N=h+24|0;O=h+20|0;P=h+16|0;Q=h+12|0;R=h+8|0;S=h+4|0;T=h;k[e>>2]=0;U=xva(d)|0;k[m>>2]=U;B=0;V=Xa(238,m|0,49312)|0;m=B;B=0;if(m&1){m=Rb()|0;BEa(U)|0;Qb(m|0)}BEa(U)|0;do switch(g<<24>>24|0){case 65:case 97:{k[n>>2]=k[c>>2];k[j>>2]=k[n>>2];Oya(a,f+24|0,b,j,e,V);W=28;break}case 104:case 66:case 98:{k[o>>2]=k[c>>2];k[j>>2]=k[o>>2];Qya(a,f+16|0,b,j,e,V);W=28;break}case 99:{U=a+8|0;m=Hc[k[(k[U>>2]|0)+12>>2]&511](U)|0;k[p>>2]=k[b>>2];k[q>>2]=k[c>>2];U=i[m>>0]|0;X=(U&1)==0;Y=m+4|0;Z=X?Y:k[m+8>>2]|0;m=Z+((X?(U&255)>>>1:k[Y>>2]|0)<<2)|0;k[l>>2]=k[p>>2];k[j>>2]=k[q>>2];Y=Hya(a,l,j,d,e,f,Z,m)|0;k[b>>2]=Y;W=28;break}case 101:case 100:{k[s>>2]=k[c>>2];k[j>>2]=k[s>>2];Uya(a,f+12|0,b,j,e,V);W=28;break}case 68:{k[t>>2]=k[b>>2];k[u>>2]=k[c>>2];k[l>>2]=k[t>>2];k[j>>2]=k[u>>2];Y=Hya(a,l,j,d,e,f,49920,49952)|0;k[b>>2]=Y;W=28;break}case 70:{k[v>>2]=k[b>>2];k[w>>2]=k[c>>2];k[l>>2]=k[v>>2];k[j>>2]=k[w>>2];Y=Hya(a,l,j,d,e,f,49952,49984)|0;k[b>>2]=Y;W=28;break}case 72:{k[x>>2]=k[c>>2];k[j>>2]=k[x>>2];Vya(a,f+8|0,b,j,e,V);W=28;break}case 73:{k[y>>2]=k[c>>2];k[j>>2]=k[y>>2];Wya(a,f+8|0,b,j,e,V);W=28;break}case 106:{k[z>>2]=k[c>>2];k[j>>2]=k[z>>2];Xya(a,f+28|0,b,j,e,V);W=28;break}case 109:{k[A>>2]=k[c>>2];k[j>>2]=k[A>>2];Yya(a,f+16|0,b,j,e,V);W=28;break}case 77:{k[C>>2]=k[c>>2];k[j>>2]=k[C>>2];Zya(a,f+4|0,b,j,e,V);W=28;break}case 116:case 110:{k[D>>2]=k[c>>2];k[j>>2]=k[D>>2];_ya(a,b,j,e,V);W=28;break}case 112:{k[E>>2]=k[c>>2];k[j>>2]=k[E>>2];$ya(a,f+8|0,b,j,e,V);W=28;break}case 114:{k[F>>2]=k[b>>2];k[G>>2]=k[c>>2];k[l>>2]=k[F>>2];k[j>>2]=k[G>>2];Y=Hya(a,l,j,d,e,f,49984,50028)|0;k[b>>2]=Y;W=28;break}case 82:{k[H>>2]=k[b>>2];k[I>>2]=k[c>>2];k[l>>2]=k[H>>2];k[j>>2]=k[I>>2];Y=Hya(a,l,j,d,e,f,50028,50048)|0;k[b>>2]=Y;W=28;break}case 83:{k[J>>2]=k[c>>2];k[j>>2]=k[J>>2];aza(a,f,b,j,e,V);W=28;break}case 84:{k[K>>2]=k[b>>2];k[L>>2]=k[c>>2];k[l>>2]=k[K>>2];k[j>>2]=k[L>>2];Y=Hya(a,l,j,d,e,f,50048,50080)|0;k[b>>2]=Y;W=28;break}case 119:{k[M>>2]=k[c>>2];k[j>>2]=k[M>>2];bza(a,f+24|0,b,j,e,V);W=28;break}case 120:{Y=k[(k[a>>2]|0)+20>>2]|0;k[N>>2]=k[b>>2];k[O>>2]=k[c>>2];k[l>>2]=k[N>>2];k[j>>2]=k[O>>2];_=Gc[Y&63](a,l,j,d,e,f)|0;break}case 88:{Y=a+8|0;m=Hc[k[(k[Y>>2]|0)+24>>2]&511](Y)|0;k[P>>2]=k[b>>2];k[Q>>2]=k[c>>2];Y=i[m>>0]|0;Z=(Y&1)==0;U=m+4|0;X=Z?U:k[m+8>>2]|0;m=X+((Z?(Y&255)>>>1:k[U>>2]|0)<<2)|0;k[l>>2]=k[P>>2];k[j>>2]=k[Q>>2];U=Hya(a,l,j,d,e,f,X,m)|0;k[b>>2]=U;W=28;break}case 121:{k[R>>2]=k[c>>2];k[j>>2]=k[R>>2];Sya(a,f+20|0,b,j,e,V);W=28;break}case 89:{k[S>>2]=k[c>>2];k[j>>2]=k[S>>2];cza(a,f+20|0,b,j,e,V);W=28;break}case 37:{k[T>>2]=k[c>>2];k[j>>2]=k[T>>2];dza(a,b,j,e,V);W=28;break}default:{k[e>>2]=k[e>>2]|4;W=28}}while(0);if((W|0)==28)_=k[b>>2]|0;r=h;return _|0}function Uya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;a=r;r=r+16|0;g=a+4|0;h=a;k[h>>2]=k[d>>2];k[g>>2]=k[h>>2];h=nDa(c,g,e,f,2)|0;f=k[e>>2]|0;if((h+-1|0)>>>0<31&(f&4|0)==0)k[b>>2]=h;else k[e>>2]=f|4;r=a;return}function Vya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;a=r;r=r+16|0;g=a+4|0;h=a;k[h>>2]=k[d>>2];k[g>>2]=k[h>>2];h=nDa(c,g,e,f,2)|0;f=k[e>>2]|0;if((h|0)<24&(f&4|0)==0)k[b>>2]=h;else k[e>>2]=f|4;r=a;return}function Wya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;a=r;r=r+16|0;g=a+4|0;h=a;k[h>>2]=k[d>>2];k[g>>2]=k[h>>2];h=nDa(c,g,e,f,2)|0;f=k[e>>2]|0;if((h+-1|0)>>>0<12&(f&4|0)==0)k[b>>2]=h;else k[e>>2]=f|4;r=a;return}function Xya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;a=r;r=r+16|0;g=a+4|0;h=a;k[h>>2]=k[d>>2];k[g>>2]=k[h>>2];h=nDa(c,g,e,f,3)|0;f=k[e>>2]|0;if((h|0)<366&(f&4|0)==0)k[b>>2]=h;else k[e>>2]=f|4;r=a;return}function Yya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;a=r;r=r+16|0;g=a+4|0;h=a;k[h>>2]=k[d>>2];k[g>>2]=k[h>>2];h=nDa(c,g,e,f,2)|0;f=k[e>>2]|0;if((h|0)<13&(f&4|0)==0)k[b>>2]=h+-1;else k[e>>2]=f|4;r=a;return}function Zya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;a=r;r=r+16|0;g=a+4|0;h=a;k[h>>2]=k[d>>2];k[g>>2]=k[h>>2];h=nDa(c,g,e,f,2)|0;f=k[e>>2]|0;if((h|0)<60&(f&4|0)==0)k[b>>2]=h;else k[e>>2]=f|4;r=a;return}function _ya(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;a:while(1){a=k[b>>2]|0;do if(a){f=k[a+12>>2]|0;if((f|0)==(k[a+16>>2]|0))g=Hc[k[(k[a>>2]|0)+36>>2]&511](a)|0;else g=k[f>>2]|0;if((g|0)==-1){k[b>>2]=0;h=1;break}else{h=(k[b>>2]|0)==0;break}}else h=1;while(0);a=k[c>>2]|0;do if(a){f=k[a+12>>2]|0;if((f|0)==(k[a+16>>2]|0))i=Hc[k[(k[a>>2]|0)+36>>2]&511](a)|0;else i=k[f>>2]|0;if((i|0)!=-1)if(h){j=a;break}else{l=a;break a}else{k[c>>2]=0;m=15;break}}else m=15;while(0);if((m|0)==15){m=0;if(h){l=0;break}else j=0}a=k[b>>2]|0;f=k[a+12>>2]|0;if((f|0)==(k[a+16>>2]|0))n=Hc[k[(k[a>>2]|0)+36>>2]&511](a)|0;else n=k[f>>2]|0;if(!(Rc[k[(k[e>>2]|0)+12>>2]&63](e,8192,n)|0)){l=j;break}f=k[b>>2]|0;a=f+12|0;o=k[a>>2]|0;if((o|0)==(k[f+16>>2]|0)){Hc[k[(k[f>>2]|0)+40>>2]&511](f)|0;continue}else{k[a>>2]=o+4;continue}}j=k[b>>2]|0;do if(j){n=k[j+12>>2]|0;if((n|0)==(k[j+16>>2]|0))p=Hc[k[(k[j>>2]|0)+36>>2]&511](j)|0;else p=k[n>>2]|0;if((p|0)==-1){k[b>>2]=0;q=1;break}else{q=(k[b>>2]|0)==0;break}}else q=1;while(0);do if(l){b=k[l+12>>2]|0;if((b|0)==(k[l+16>>2]|0))r=Hc[k[(k[l>>2]|0)+36>>2]&511](l)|0;else r=k[b>>2]|0;if((r|0)!=-1)if(q)break;else{m=39;break}else{k[c>>2]=0;m=37;break}}else m=37;while(0);if((m|0)==37?q:0)m=39;if((m|0)==39)k[d>>2]=k[d>>2]|2;return}function $ya(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0;g=r;r=r+16|0;h=g+4|0;j=g;l=a+8|0;a=Hc[k[(k[l>>2]|0)+8>>2]&511](l)|0;l=i[a>>0]|0;if(!(l&1))m=(l&255)>>>1;else m=k[a+4>>2]|0;l=i[a+12>>0]|0;if(!(l&1))n=(l&255)>>>1;else n=k[a+16>>2]|0;do if((m|0)!=(0-n|0)){k[j>>2]=k[d>>2];k[h>>2]=k[j>>2];l=$Ca(c,h,a,a+24|0,f,e,0)|0;o=k[b>>2]|0;if((l|0)==(a|0)&(o|0)==12){k[b>>2]=0;break}if((o|0)<12&(l-a|0)==12)k[b>>2]=o+12}else k[e>>2]=k[e>>2]|4;while(0);r=g;return}function aza(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;a=r;r=r+16|0;g=a+4|0;h=a;k[h>>2]=k[d>>2];k[g>>2]=k[h>>2];h=nDa(c,g,e,f,2)|0;f=k[e>>2]|0;if((h|0)<61&(f&4|0)==0)k[b>>2]=h;else k[e>>2]=f|4;r=a;return}function bza(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;a=r;r=r+16|0;g=a+4|0;h=a;k[h>>2]=k[d>>2];k[g>>2]=k[h>>2];h=nDa(c,g,e,f,1)|0;f=k[e>>2]|0;if((h|0)<7&(f&4|0)==0)k[b>>2]=h;else k[e>>2]=f|4;r=a;return}function cza(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;a=r;r=r+16|0;g=a+4|0;h=a;k[h>>2]=k[d>>2];k[g>>2]=k[h>>2];h=nDa(c,g,e,f,4)|0;if(!(k[e>>2]&4))k[b>>2]=h+-1900;r=a;return}function dza(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;a=k[b>>2]|0;do if(a){f=k[a+12>>2]|0;if((f|0)==(k[a+16>>2]|0))g=Hc[k[(k[a>>2]|0)+36>>2]&511](a)|0;else g=k[f>>2]|0;if((g|0)==-1){k[b>>2]=0;h=1;break}else{h=(k[b>>2]|0)==0;break}}else h=1;while(0);g=k[c>>2]|0;do if(g){a=k[g+12>>2]|0;if((a|0)==(k[g+16>>2]|0))i=Hc[k[(k[g>>2]|0)+36>>2]&511](g)|0;else i=k[a>>2]|0;if((i|0)!=-1)if(h){j=g;l=17;break}else{l=16;break}else{k[c>>2]=0;l=14;break}}else l=14;while(0);if((l|0)==14)if(h)l=16;else{j=0;l=17}a:do if((l|0)==16)k[d>>2]=k[d>>2]|6;else if((l|0)==17){h=k[b>>2]|0;g=k[h+12>>2]|0;if((g|0)==(k[h+16>>2]|0))m=Hc[k[(k[h>>2]|0)+36>>2]&511](h)|0;else m=k[g>>2]|0;if((Rc[k[(k[e>>2]|0)+52>>2]&63](e,m,0)|0)<<24>>24!=37){k[d>>2]=k[d>>2]|4;break}g=k[b>>2]|0;h=g+12|0;i=k[h>>2]|0;if((i|0)==(k[g+16>>2]|0)){Hc[k[(k[g>>2]|0)+40>>2]&511](g)|0;a=k[b>>2]|0;if(!a)n=1;else{o=a;l=25}}else{k[h>>2]=i+4;o=g;l=25}do if((l|0)==25){g=k[o+12>>2]|0;if((g|0)==(k[o+16>>2]|0))p=Hc[k[(k[o>>2]|0)+36>>2]&511](o)|0;else p=k[g>>2]|0;if((p|0)==-1){k[b>>2]=0;n=1;break}else{n=(k[b>>2]|0)==0;break}}while(0);do if(j){g=k[j+12>>2]|0;if((g|0)==(k[j+16>>2]|0))q=Hc[k[(k[j>>2]|0)+36>>2]&511](j)|0;else q=k[g>>2]|0;if((q|0)!=-1)if(n)break a;else break;else{k[c>>2]=0;l=37;break}}else l=37;while(0);if((l|0)==37?!n:0)break;k[d>>2]=k[d>>2]|2}while(0);return}function eza(a){a=a|0;fza(a+8|0);return}function fza(a){a=a|0;var b=0,c=0,d=0,e=0;b=k[a>>2]|0;B=0;c=bb(3)|0;d=B;B=0;do if(!(d&1)){if((b|0)!=(c|0)?(B=0,va(551,k[a>>2]|0),e=B,B=0,e&1):0)break;return}while(0);a=Rb(0)|0;Dd(a)}function gza(a){a=a|0;fza(a+8|0);Sqa(a);return}function hza(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0;d=r;r=r+112|0;c=d+4|0;h=d;k[h>>2]=c+100;iza(a+8|0,c,h,e,f,g);g=k[h>>2]|0;h=c;c=k[b>>2]|0;while(1){if((h|0)==(g|0)){j=c;break}b=i[h>>0]|0;do if(c){f=c+24|0;e=k[f>>2]|0;if((e|0)==(k[c+28>>2]|0)){a=(ed[k[(k[c>>2]|0)+52>>2]&511](c,b&255)|0)==-1;l=a?0:c;break}else{k[f>>2]=e+1;i[e>>0]=b;l=c;break}}else l=0;while(0);h=h+1|0;c=l}r=d;return j|0}function iza(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0;g=r;r=r+16|0;h=g;i[h>>0]=37;j=h+1|0;i[j>>0]=e;l=h+2|0;i[l>>0]=f;i[h+3>>0]=0;if(f<<24>>24){i[j>>0]=f;i[l>>0]=e}e=b+(Hb(b|0,(k[c>>2]|0)-b|0,h|0,d|0,k[a>>2]|0)|0)|0;k[c>>2]=e;r=g;return}function jza(a){a=a|0;fza(a+8|0);return}function kza(a){a=a|0;fza(a+8|0);Sqa(a);return}function lza(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0;d=r;r=r+416|0;c=d+8|0;h=d;k[h>>2]=c+400;mza(a+8|0,c,h,e,f,g);g=k[h>>2]|0;h=c;c=k[b>>2]|0;while(1){if((h|0)==(g|0)){i=c;break}b=k[h>>2]|0;if(!c)j=0;else{f=c+24|0;e=k[f>>2]|0;if((e|0)==(k[c+28>>2]|0))l=ed[k[(k[c>>2]|0)+52>>2]&511](c,b)|0;else{k[f>>2]=e+4;k[e>>2]=b;l=b}j=(l|0)==-1?0:c}h=h+4|0;c=j}r=d;return i|0}function mza(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+128|0;h=g+16|0;i=g+12|0;j=g;l=g+8|0;k[i>>2]=h+100;iza(a,h,i,d,e,f);f=j;k[f>>2]=0;k[f+4>>2]=0;k[l>>2]=h;h=(k[c>>2]|0)-b>>2;f=esa(k[a>>2]|0)|0;B=0;a=cb(70,b|0,l|0,h|0,j|0)|0;j=B;B=0;if(j&1){j=Rb()|0;if((f|0)!=0?(B=0,ya(444,f|0)|0,h=B,B=0,h&1):0){h=Rb(0)|0;Dd(h)}Qb(j|0)}if((f|0)!=0?(B=0,ya(444,f|0)|0,f=B,B=0,f&1):0){f=Rb(0)|0;Dd(f)}if((a|0)==-1)iAa(159178);else{k[c>>2]=b+(a<<2);r=g;return}}function nza(a){a=a|0;return}function oza(a){a=a|0;Sqa(a);return}function pza(a){a=a|0;return 127}function qza(a){a=a|0;return 127}function rza(a,b){a=a|0;b=b|0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function sza(a,b){a=a|0;b=b|0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function tza(a,b){a=a|0;b=b|0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function uza(a,b){a=a|0;b=b|0;Xua(a,1,45);return}function vza(a){a=a|0;return 0}function wza(a,b){a=a|0;b=b|0;i[a>>0]=2;i[a+1>>0]=3;i[a+2>>0]=0;i[a+3>>0]=4;return}function xza(a,b){a=a|0;b=b|0;i[a>>0]=2;i[a+1>>0]=3;i[a+2>>0]=0;i[a+3>>0]=4;return}function yza(a){a=a|0;return}function zza(a){a=a|0;Sqa(a);return}function Aza(a){a=a|0;return 127}function Bza(a){a=a|0;return 127}function Cza(a,b){a=a|0;b=b|0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function Dza(a,b){a=a|0;b=b|0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function Eza(a,b){a=a|0;b=b|0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function Fza(a,b){a=a|0;b=b|0;Xua(a,1,45);return}function Gza(a){a=a|0;return 0}function Hza(a,b){a=a|0;b=b|0;i[a>>0]=2;i[a+1>>0]=3;i[a+2>>0]=0;i[a+3>>0]=4;return}function Iza(a,b){a=a|0;b=b|0;i[a>>0]=2;i[a+1>>0]=3;i[a+2>>0]=0;i[a+3>>0]=4;return}function Jza(a){a=a|0;return}function Kza(a){a=a|0;Sqa(a);return}function Lza(a){a=a|0;return 2147483647}function Mza(a){a=a|0;return 2147483647}function Nza(a,b){a=a|0;b=b|0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function Oza(a,b){a=a|0;b=b|0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function Pza(a,b){a=a|0;b=b|0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function Qza(a,b){a=a|0;b=b|0;jva(a,1,45);return}function Rza(a){a=a|0;return 0}function Sza(a,b){a=a|0;b=b|0;i[a>>0]=2;i[a+1>>0]=3;i[a+2>>0]=0;i[a+3>>0]=4;return}function Tza(a,b){a=a|0;b=b|0;i[a>>0]=2;i[a+1>>0]=3;i[a+2>>0]=0;i[a+3>>0]=4;return}function Uza(a){a=a|0;return}function Vza(a){a=a|0;Sqa(a);return}function Wza(a){a=a|0;return 2147483647}function Xza(a){a=a|0;return 2147483647}function Yza(a,b){a=a|0;b=b|0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function Zza(a,b){a=a|0;b=b|0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function _za(a,b){a=a|0;b=b|0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function $za(a,b){a=a|0;b=b|0;jva(a,1,45);return}function aAa(a){a=a|0;return 0}function bAa(a,b){a=a|0;b=b|0;i[a>>0]=2;i[a+1>>0]=3;i[a+2>>0]=0;i[a+3>>0]=4;return}function cAa(a,b){a=a|0;b=b|0;i[a>>0]=2;i[a+1>>0]=3;i[a+2>>0]=0;i[a+3>>0]=4;return}function dAa(a){a=a|0;return}function eAa(a){a=a|0;Sqa(a);return}function fAa(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;a=r;r=r+240|0;h=a+24|0;j=a;l=a+140|0;m=a+16|0;n=a+12|0;o=a+8|0;p=a+136|0;q=a+4|0;s=a+36|0;k[m>>2]=l;t=m+4|0;k[t>>2]=552;u=l+100|0;B=0;v=ya(421,e|0)|0;w=B;B=0;if(!(w&1)){k[o>>2]=v;B=0;v=Xa(238,o|0,49320)|0;w=B;B=0;a:do if(!(w&1)?(i[p>>0]=0,k[q>>2]=k[c>>2],x=k[e+4>>2]|0,B=0,k[h>>2]=k[q>>2],y=Ua(1,b|0,h|0,d|0,o|0,x|0,f|0,p|0,v|0,m|0,n|0,u|0)|0,x=B,B=0,!(x&1)):0){b:do if(y){B=0;cb(k[(k[v>>2]|0)+32>>2]|0,v|0,159199,159209,h|0)|0;x=B;B=0;if(x&1){z=10;break a}x=k[n>>2]|0;A=k[m>>2]|0;C=x-A|0;D=A;A=x;if((C|0)>98){x=lua(C+2|0)|0;C=x;if(!x){B=0;fb(7);E=B;B=0;if(E&1)F=C;else{G=C;H=0;z=13}}else{G=C;H=x;z=13}}else{G=0;H=s;z=13}do if((z|0)==13){if(!(i[p>>0]|0))I=H;else{i[H>>0]=45;I=H+1|0}x=h+10|0;C=h;E=A;J=I;K=D;while(1){if(K>>>0>=E>>>0){L=J;break}M=i[K>>0]|0;N=h;while(1){if((N|0)==(x|0)){O=x;break}if((i[N>>0]|0)==M<<24>>24){O=N;break}N=N+1|0}i[J>>0]=i[159199+(O-C)>>0]|0;E=k[n>>2]|0;J=J+1|0;K=K+1|0}i[L>>0]=0;k[j>>2]=g;if((rta(s,159210,j)|0)!=1?(B=0,va(553,159214),K=B,B=0,K&1):0){F=G;break}if(G)mua(G);break b}while(0);D=Rb()|0;A=Q;if(!F){P=D;R=A;S=m;break a}mua(F);P=D;R=A;S=m;break a}while(0);y=k[b>>2]|0;do if(y)if((k[y+12>>2]|0)==(k[y+16>>2]|0)){B=0;A=ya(k[(k[y>>2]|0)+36>>2]|0,y|0)|0;D=B;B=0;if(D&1){z=10;break a}if((A|0)==-1){k[b>>2]=0;T=0;break}else{T=k[b>>2]|0;break}}else T=y;else T=0;while(0);y=(T|0)==0;A=k[c>>2]|0;do if(A){if((k[A+12>>2]|0)==(k[A+16>>2]|0)){B=0;D=ya(k[(k[A>>2]|0)+36>>2]|0,A|0)|0;K=B;B=0;if(K&1){z=10;break a}if((D|0)==-1){k[c>>2]=0;z=39;break}}if(!y)z=40}else z=39;while(0);if((z|0)==39?y:0)z=40;if((z|0)==40)k[f>>2]=k[f>>2]|2;A=k[b>>2]|0;BEa(k[o>>2]|0)|0;D=k[m>>2]|0;k[m>>2]=0;if((D|0)!=0?(B=0,va(k[t>>2]|0,D|0),D=B,B=0,D&1):0){D=Rb(0)|0;Dd(D)}r=a;return A|0}else z=10;while(0);if((z|0)==10){a=Rb()|0;P=a;R=Q;S=m}BEa(k[o>>2]|0)|0;o=k[S>>2]|0;k[S>>2]=0;if(!o){U=P;V=R}else{W=P;X=R;Y=k[t>>2]|0;Z=o;z=47}}else{o=Rb()|0;k[m>>2]=0;W=o;X=Q;Y=552;Z=l;z=47}if((z|0)==47){B=0;va(Y|0,Z|0);Z=B;B=0;if(Z&1){Z=Rb(0)|0;Dd(Z)}else{U=W;V=X}}Qb(U|0);return 0}function gAa(a){a=a|0;return}function hAa(a,b,c,d,e,f,g,h,m,n,o){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;m=m|0;n=n|0;o=o|0;var p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0;p=r;r=r+512|0;q=p+88|0;s=p+96|0;t=p+80|0;u=p+72|0;v=p+68|0;w=p+500|0;x=p+497|0;y=p+496|0;z=p+56|0;A=p+44|0;C=p+32|0;D=p+20|0;E=p+8|0;F=p+4|0;G=p;k[q>>2]=o;k[t>>2]=s;o=t+4|0;k[o>>2]=552;k[u>>2]=s;k[v>>2]=s+400;H=0;while(1){if((H|0)==3)break;k[z+(H<<2)>>2]=0;H=H+1|0}H=0;while(1){if((H|0)==3)break;k[A+(H<<2)>>2]=0;H=H+1|0}H=0;while(1){if((H|0)==3)break;k[C+(H<<2)>>2]=0;H=H+1|0}H=0;while(1){if((H|0)==3)break;k[D+(H<<2)>>2]=0;H=H+1|0}H=0;while(1){if((H|0)==3)break;k[E+(H<<2)>>2]=0;H=H+1|0}B=0;Wa(1,c|0,d|0,w|0,x|0,y|0,z|0,A|0,C|0,D|0,F|0);d=B;B=0;a:do if(d&1){c=Rb()|0;I=c;J=Q}else{k[n>>2]=k[m>>2];c=h+8|0;H=C+4|0;K=D+4|0;L=D+8|0;M=D+1|0;N=C+8|0;O=C+1|0;P=(e&512|0)!=0;R=A+8|0;S=A+1|0;T=A+4|0;U=E+4|0;V=E+8|0;W=E+1|0;X=w+3|0;Y=z+4|0;Z=s;_=0;$=0;b:while(1){if(_>>>0>=4){aa=Z;ba=$;ca=251;break}da=k[a>>2]|0;do if(da)if((k[da+12>>2]|0)==(k[da+16>>2]|0)){B=0;ea=ya(k[(k[da>>2]|0)+36>>2]|0,da|0)|0;fa=B;B=0;if(fa&1){ca=38;break b}if((ea|0)==-1){k[a>>2]=0;ga=0;break}else{ga=k[a>>2]|0;break}}else ga=da;else ga=0;while(0);da=(ga|0)==0;ea=k[b>>2]|0;do if(ea){if((k[ea+12>>2]|0)!=(k[ea+16>>2]|0))if(da){ha=ea;break}else{aa=Z;ba=$;ca=251;break b}B=0;fa=ya(k[(k[ea>>2]|0)+36>>2]|0,ea|0)|0;ia=B;B=0;if(ia&1){ca=38;break b}if((fa|0)!=-1)if(da){ha=ea;break}else{aa=Z;ba=$;ca=251;break b}else{k[b>>2]=0;ca=31;break}}else ca=31;while(0);if((ca|0)==31){ca=0;if(da){aa=Z;ba=$;ca=251;break}else ha=0}c:do switch(i[w+_>>0]|0){case 1:{if((_|0)!=3){ea=k[a>>2]|0;fa=k[ea+12>>2]|0;if((fa|0)==(k[ea+16>>2]|0)){B=0;ia=ya(k[(k[ea>>2]|0)+36>>2]|0,ea|0)|0;ea=B;B=0;if(ea&1){ca=38;break b}else ja=ia}else ja=l[fa>>0]|0;if((ja&255)<<24>>24<=-1){ca=56;break b}if(!(j[(k[c>>2]|0)+(ja<<24>>24<<1)>>1]&8192)){ca=56;break b}fa=k[a>>2]|0;ia=fa+12|0;ea=k[ia>>2]|0;if((ea|0)==(k[fa+16>>2]|0)){B=0;ka=ya(k[(k[fa>>2]|0)+40>>2]|0,fa|0)|0;fa=B;B=0;if(fa&1){ca=38;break b}else la=ka}else{k[ia>>2]=ea+1;la=l[ea>>0]|0}B=0;wa(503,E|0,la&255|0);ea=B;B=0;if(ea&1){ca=38;break b}else{ma=ha;na=ha;ca=58}}else{oa=Z;pa=$}break}case 0:{if((_|0)==3){oa=Z;pa=$}else{ma=ha;na=ha;ca=58}break}case 3:{ea=i[C>>0]|0;ia=(ea&1)==0?(ea&255)>>>1:k[H>>2]|0;ka=i[D>>0]|0;fa=(ka&1)==0?(ka&255)>>>1:k[K>>2]|0;if((ia|0)==(0-fa|0)){oa=Z;pa=$}else{if(!ia){ia=k[a>>2]|0;qa=k[ia+12>>2]|0;if((qa|0)==(k[ia+16>>2]|0)){B=0;ra=ya(k[(k[ia>>2]|0)+36>>2]|0,ia|0)|0;ia=B;B=0;if(ia&1){ca=38;break b}sa=ra;ta=i[D>>0]|0}else{sa=l[qa>>0]|0;ta=ka}if((sa&255)<<24>>24!=(i[((ta&1)==0?M:k[L>>2]|0)>>0]|0)){oa=Z;pa=$;break c}ka=k[a>>2]|0;qa=ka+12|0;ra=k[qa>>2]|0;if((ra|0)==(k[ka+16>>2]|0)){B=0;ya(k[(k[ka>>2]|0)+40>>2]|0,ka|0)|0;ka=B;B=0;if(ka&1){ca=38;break b}}else k[qa>>2]=ra+1;i[g>>0]=1;ra=i[D>>0]|0;oa=Z;pa=((ra&1)==0?(ra&255)>>>1:k[K>>2]|0)>>>0>1?D:$;break c}ra=k[a>>2]|0;qa=k[ra+12>>2]|0;ka=k[ra+16>>2]|0;ia=(qa|0)==(ka|0);if(!fa){if(ia){B=0;fa=ya(k[(k[ra>>2]|0)+36>>2]|0,ra|0)|0;ua=B;B=0;if(ua&1){ca=38;break b}xa=fa;za=i[C>>0]|0}else{xa=l[qa>>0]|0;za=ea}if((xa&255)<<24>>24!=(i[((za&1)==0?O:k[N>>2]|0)>>0]|0)){i[g>>0]=1;oa=Z;pa=$;break c}fa=k[a>>2]|0;ua=fa+12|0;Aa=k[ua>>2]|0;if((Aa|0)==(k[fa+16>>2]|0)){B=0;ya(k[(k[fa>>2]|0)+40>>2]|0,fa|0)|0;fa=B;B=0;if(fa&1){ca=38;break b}}else k[ua>>2]=Aa+1;Aa=i[C>>0]|0;oa=Z;pa=((Aa&1)==0?(Aa&255)>>>1:k[H>>2]|0)>>>0>1?C:$;break c}if(ia){B=0;ia=ya(k[(k[ra>>2]|0)+36>>2]|0,ra|0)|0;Aa=B;B=0;if(Aa&1){ca=38;break b}Aa=k[a>>2]|0;Ba=ia;Ca=i[C>>0]|0;Da=Aa;Ea=k[Aa+12>>2]|0;Fa=k[Aa+16>>2]|0}else{Ba=l[qa>>0]|0;Ca=ea;Da=ra;Ea=qa;Fa=ka}ka=Da+12|0;qa=(Ea|0)==(Fa|0);if((Ba&255)<<24>>24==(i[((Ca&1)==0?O:k[N>>2]|0)>>0]|0)){if(qa){B=0;ya(k[(k[Da>>2]|0)+40>>2]|0,Da|0)|0;ra=B;B=0;if(ra&1){ca=38;break b}}else k[ka>>2]=Ea+1;ka=i[C>>0]|0;oa=Z;pa=((ka&1)==0?(ka&255)>>>1:k[H>>2]|0)>>>0>1?C:$;break c}if(qa){B=0;qa=ya(k[(k[Da>>2]|0)+36>>2]|0,Da|0)|0;ka=B;B=0;if(ka&1){ca=38;break b}else Ga=qa}else Ga=l[Ea>>0]|0;if((Ga&255)<<24>>24!=(i[((i[D>>0]&1)==0?M:k[L>>2]|0)>>0]|0)){ca=120;break b}qa=k[a>>2]|0;ka=qa+12|0;ra=k[ka>>2]|0;if((ra|0)==(k[qa+16>>2]|0)){B=0;ya(k[(k[qa>>2]|0)+40>>2]|0,qa|0)|0;qa=B;B=0;if(qa&1){ca=38;break b}}else k[ka>>2]=ra+1;i[g>>0]=1;ra=i[D>>0]|0;oa=Z;pa=((ra&1)==0?(ra&255)>>>1:k[K>>2]|0)>>>0>1?D:$}break}case 2:{if(!(_>>>0<2|($|0)!=0)?!(P|(_|0)==2&(i[X>>0]|0)!=0):0){oa=Z;pa=0;break c}ra=i[A>>0]|0;ka=(ra&1)==0;qa=k[R>>2]|0;ea=ka?S:qa;Aa=ea;d:do if((_|0)!=0?(l[w+(_+-1)>>0]|0)<2:0){ia=ea+(ka?(ra&255)>>>1:k[T>>2]|0)|0;ua=Aa;while(1){fa=ua;if((fa|0)==(ia|0)){Ha=ua;break}Ia=i[fa>>0]|0;if(Ia<<24>>24<=-1){Ha=ua;break}if(!(j[(k[c>>2]|0)+(Ia<<24>>24<<1)>>1]&8192)){Ha=ua;break}ua=fa+1|0}ua=Ha-Aa|0;ia=i[E>>0]|0;fa=(ia&1)==0;Ia=fa?(ia&255)>>>1:k[U>>2]|0;if(ua>>>0<=Ia>>>0){ia=(fa?W:k[V>>2]|0)+Ia|0;Ia=ea;fa=ia+(0-ua)|0;while(1){if((fa|0)==(ia|0)){Ja=ha;Ka=ra;La=qa;Ma=ha;Na=Ha;break d}if((i[fa>>0]|0)!=(i[Ia>>0]|0)){Ja=ha;Ka=ra;La=qa;Ma=ha;Na=Aa;break d}Ia=Ia+1|0;fa=fa+1|0}}else{Ja=ha;Ka=ra;La=qa;Ma=ha;Na=Aa}}else{Ja=ha;Ka=ra;La=qa;Ma=ha;Na=Aa}while(0);e:while(1){Aa=(Ka&1)==0;qa=(Aa?S:La)+(Aa?(Ka&255)>>>1:k[T>>2]|0)|0;Aa=Na;if((Aa|0)==(qa|0)){Oa=qa;break}qa=k[a>>2]|0;do if(qa)if((k[qa+12>>2]|0)==(k[qa+16>>2]|0)){B=0;ra=ya(k[(k[qa>>2]|0)+36>>2]|0,qa|0)|0;ea=B;B=0;if(ea&1){ca=35;break b}if((ra|0)==-1){k[a>>2]=0;Pa=0;break}else{Pa=k[a>>2]|0;break}}else Pa=qa;else Pa=0;while(0);qa=(Pa|0)==0;do if(Ma){if((k[Ma+12>>2]|0)!=(k[Ma+16>>2]|0))if(qa){Qa=Ja;Ra=Ma;break}else{Oa=Aa;break e}B=0;ra=ya(k[(k[Ma>>2]|0)+36>>2]|0,Ma|0)|0;ea=B;B=0;if(ea&1){ca=35;break b}if((ra|0)!=-1)if(qa^(Ja|0)==0){Qa=Ja;Ra=Ja;break}else{Oa=Aa;break e}else{k[b>>2]=0;Sa=0;ca=148;break}}else{Sa=Ja;ca=148}while(0);if((ca|0)==148){ca=0;if(qa){Oa=Aa;break}else{Qa=Sa;Ra=0}}ra=k[a>>2]|0;ea=k[ra+12>>2]|0;if((ea|0)==(k[ra+16>>2]|0)){B=0;ka=ya(k[(k[ra>>2]|0)+36>>2]|0,ra|0)|0;ra=B;B=0;if(ra&1){ca=35;break b}else Ta=ka}else Ta=l[ea>>0]|0;if((Ta&255)<<24>>24!=(i[Aa>>0]|0)){Oa=Aa;break}ea=k[a>>2]|0;ka=ea+12|0;ra=k[ka>>2]|0;if((ra|0)==(k[ea+16>>2]|0)){B=0;ya(k[(k[ea>>2]|0)+40>>2]|0,ea|0)|0;ea=B;B=0;if(ea&1){ca=35;break b}}else k[ka>>2]=ra+1;Ja=Qa;Ka=i[A>>0]|0;La=k[R>>2]|0;Ma=Ra;Na=Aa+1|0}if(P?(ra=i[A>>0]|0,ka=(ra&1)==0,(Oa|0)!=((ka?S:k[R>>2]|0)+(ka?(ra&255)>>>1:k[T>>2]|0)|0)):0){ca=160;break b}else{oa=Z;pa=$}break}case 4:{ra=i[y>>0]|0;ka=ha;ea=ha;fa=Z;Ia=0;f:while(1){ia=k[a>>2]|0;do if(ia)if((k[ia+12>>2]|0)==(k[ia+16>>2]|0)){B=0;ua=ya(k[(k[ia>>2]|0)+36>>2]|0,ia|0)|0;Ua=B;B=0;if(Ua&1){ca=37;break b}if((ua|0)==-1){k[a>>2]=0;Va=0;break}else{Va=k[a>>2]|0;break}}else Va=ia;else Va=0;while(0);ia=(Va|0)==0;do if(ea){if((k[ea+12>>2]|0)!=(k[ea+16>>2]|0))if(ia){Xa=ka;Ya=ea;break}else{Za=fa;_a=ka;$a=Ia;break f}B=0;Aa=ya(k[(k[ea>>2]|0)+36>>2]|0,ea|0)|0;qa=B;B=0;if(qa&1){ca=37;break b}if((Aa|0)!=-1)if(ia^(ka|0)==0){Xa=ka;Ya=ka;break}else{Za=fa;_a=ka;$a=Ia;break f}else{k[b>>2]=0;ab=0;ca=173;break}}else{ab=ka;ca=173}while(0);if((ca|0)==173){ca=0;if(ia){Za=fa;_a=ab;$a=Ia;break}else{Xa=ab;Ya=0}}Aa=k[a>>2]|0;qa=k[Aa+12>>2]|0;if((qa|0)==(k[Aa+16>>2]|0)){B=0;ua=ya(k[(k[Aa>>2]|0)+36>>2]|0,Aa|0)|0;Aa=B;B=0;if(Aa&1){ca=37;break b}else bb=ua}else bb=l[qa>>0]|0;qa=bb&255;if(qa<<24>>24>-1?(j[(k[c>>2]|0)+(bb<<24>>24<<1)>>1]&2048)!=0:0){ua=k[n>>2]|0;if((ua|0)==(k[q>>2]|0)){B=0;eb(532,m|0,n|0,q|0);Aa=B;B=0;if(Aa&1){ca=37;break b}cb=k[n>>2]|0}else cb=ua;k[n>>2]=cb+1;i[cb>>0]=qa;db=fa;fb=Ia+1|0}else{ua=i[z>>0]|0;if(!(qa<<24>>24==ra<<24>>24&((Ia|0)!=0?(((ua&1)==0?(ua&255)>>>1:k[Y>>2]|0)|0)!=0:0))){Za=fa;_a=Xa;$a=Ia;break}if((fa|0)==(k[v>>2]|0)){B=0;eb(533,t|0,u|0,v|0);ua=B;B=0;if(ua&1){ca=37;break b}gb=k[u>>2]|0}else gb=fa;ua=gb+4|0;k[u>>2]=ua;k[gb>>2]=Ia;db=ua;fb=0}ua=k[a>>2]|0;qa=ua+12|0;Aa=k[qa>>2]|0;if((Aa|0)==(k[ua+16>>2]|0)){B=0;ya(k[(k[ua>>2]|0)+40>>2]|0,ua|0)|0;ua=B;B=0;if(ua&1){ca=37;break b}else{ka=Xa;ea=Ya;fa=db;Ia=fb;continue}}else{k[qa>>2]=Aa+1;ka=Xa;ea=Ya;fa=db;Ia=fb;continue}}if(($a|0)!=0?(k[t>>2]|0)!=(Za|0):0){if((Za|0)==(k[v>>2]|0)){B=0;eb(533,t|0,u|0,v|0);Ia=B;B=0;if(Ia&1){ca=38;break b}hb=k[u>>2]|0}else hb=Za;Ia=hb+4|0;k[u>>2]=Ia;k[hb>>2]=$a;ib=Ia}else ib=Za;Ia=k[F>>2]|0;g:do if((Ia|0)>0){fa=k[a>>2]|0;do if(fa)if((k[fa+12>>2]|0)==(k[fa+16>>2]|0)){B=0;ea=ya(k[(k[fa>>2]|0)+36>>2]|0,fa|0)|0;ka=B;B=0;if(ka&1){ca=38;break b}if((ea|0)==-1){k[a>>2]=0;jb=0;break}else{jb=k[a>>2]|0;break}}else jb=fa;else jb=0;while(0);fa=(jb|0)==0;do if(_a){if((k[_a+12>>2]|0)==(k[_a+16>>2]|0)){B=0;ia=ya(k[(k[_a>>2]|0)+36>>2]|0,_a|0)|0;ea=B;B=0;if(ea&1){ca=38;break b}if((ia|0)==-1){k[b>>2]=0;ca=210;break}}if(fa)kb=_a;else{ca=215;break b}}else ca=210;while(0);if((ca|0)==210){ca=0;if(fa){ca=215;break b}else kb=0}ia=k[a>>2]|0;ea=k[ia+12>>2]|0;if((ea|0)==(k[ia+16>>2]|0)){B=0;ka=ya(k[(k[ia>>2]|0)+36>>2]|0,ia|0)|0;ia=B;B=0;if(ia&1){ca=38;break b}else lb=ka}else lb=l[ea>>0]|0;if((lb&255)<<24>>24!=(i[x>>0]|0)){ca=215;break b}ea=k[a>>2]|0;ka=ea+12|0;ia=k[ka>>2]|0;if((ia|0)==(k[ea+16>>2]|0)){B=0;ya(k[(k[ea>>2]|0)+40>>2]|0,ea|0)|0;ea=B;B=0;if(ea&1){ca=38;break b}else{mb=kb;nb=Ia;ob=kb}}else{k[ka>>2]=ia+1;mb=kb;nb=Ia;ob=kb}while(1){if((nb|0)<=0)break g;ia=k[a>>2]|0;do if(ia)if((k[ia+12>>2]|0)==(k[ia+16>>2]|0)){B=0;ka=ya(k[(k[ia>>2]|0)+36>>2]|0,ia|0)|0;ea=B;B=0;if(ea&1){ca=36;break b}if((ka|0)==-1){k[a>>2]=0;pb=0;break}else{pb=k[a>>2]|0;break}}else pb=ia;else pb=0;while(0);ia=(pb|0)==0;do if(ob){if((k[ob+12>>2]|0)!=(k[ob+16>>2]|0))if(ia){qb=mb;rb=ob;break}else{ca=239;break b}B=0;ka=ya(k[(k[ob>>2]|0)+36>>2]|0,ob|0)|0;ea=B;B=0;if(ea&1){ca=36;break b}if((ka|0)!=-1)if(ia^(mb|0)==0){qb=mb;rb=mb;break}else{ca=239;break b}else{k[b>>2]=0;sb=0;ca=232;break}}else{sb=mb;ca=232}while(0);if((ca|0)==232){ca=0;if(ia){ca=239;break b}else{qb=sb;rb=0}}ka=k[a>>2]|0;ea=k[ka+12>>2]|0;if((ea|0)==(k[ka+16>>2]|0)){B=0;ra=ya(k[(k[ka>>2]|0)+36>>2]|0,ka|0)|0;ka=B;B=0;if(ka&1){ca=36;break b}else tb=ra}else tb=l[ea>>0]|0;if((tb&255)<<24>>24<=-1){ca=239;break b}if(!(j[(k[c>>2]|0)+(tb<<24>>24<<1)>>1]&2048)){ca=239;break b}if((k[n>>2]|0)==(k[q>>2]|0)?(B=0,eb(532,m|0,n|0,q|0),ea=B,B=0,ea&1):0){ca=36;break b}ea=k[a>>2]|0;ra=k[ea+12>>2]|0;if((ra|0)==(k[ea+16>>2]|0)){B=0;ka=ya(k[(k[ea>>2]|0)+36>>2]|0,ea|0)|0;ea=B;B=0;if(ea&1){ca=36;break b}else ub=ka}else ub=l[ra>>0]|0;ra=k[n>>2]|0;k[n>>2]=ra+1;i[ra>>0]=ub;ra=nb+-1|0;k[F>>2]=ra;ka=k[a>>2]|0;ea=ka+12|0;Aa=k[ea>>2]|0;if((Aa|0)==(k[ka+16>>2]|0)){B=0;ya(k[(k[ka>>2]|0)+40>>2]|0,ka|0)|0;ka=B;B=0;if(ka&1){ca=36;break b}else{mb=qb;nb=ra;ob=rb;continue}}else{k[ea>>2]=Aa+1;mb=qb;nb=ra;ob=rb;continue}}}while(0);if((k[n>>2]|0)==(k[m>>2]|0)){ca=249;break b}else{oa=ib;pa=$}break}default:{oa=Z;pa=$}}while(0);h:do if((ca|0)==58)while(1){ca=0;da=k[a>>2]|0;do if(da)if((k[da+12>>2]|0)==(k[da+16>>2]|0)){B=0;Ia=ya(k[(k[da>>2]|0)+36>>2]|0,da|0)|0;fa=B;B=0;if(fa&1){ca=34;break b}if((Ia|0)==-1){k[a>>2]=0;vb=0;break}else{vb=k[a>>2]|0;break}}else vb=da;else vb=0;while(0);da=(vb|0)==0;do if(na){if((k[na+12>>2]|0)!=(k[na+16>>2]|0))if(da){wb=ma;xb=na;break}else{oa=Z;pa=$;break h}B=0;Ia=ya(k[(k[na>>2]|0)+36>>2]|0,na|0)|0;fa=B;B=0;if(fa&1){ca=34;break b}if((Ia|0)!=-1)if(da^(ma|0)==0){wb=ma;xb=ma;break}else{oa=Z;pa=$;break h}else{k[b>>2]=0;yb=0;ca=70;break}}else{yb=ma;ca=70}while(0);if((ca|0)==70){ca=0;if(da){oa=Z;pa=$;break h}else{wb=yb;xb=0}}Ia=k[a>>2]|0;fa=k[Ia+12>>2]|0;if((fa|0)==(k[Ia+16>>2]|0)){B=0;ra=ya(k[(k[Ia>>2]|0)+36>>2]|0,Ia|0)|0;Ia=B;B=0;if(Ia&1){ca=34;break b}else zb=ra}else zb=l[fa>>0]|0;if((zb&255)<<24>>24<=-1){oa=Z;pa=$;break h}if(!(j[(k[c>>2]|0)+(zb<<24>>24<<1)>>1]&8192)){oa=Z;pa=$;break h}fa=k[a>>2]|0;ra=fa+12|0;Ia=k[ra>>2]|0;if((Ia|0)==(k[fa+16>>2]|0)){B=0;Aa=ya(k[(k[fa>>2]|0)+40>>2]|0,fa|0)|0;fa=B;B=0;if(fa&1){ca=34;break b}else Ab=Aa}else{k[ra>>2]=Ia+1;Ab=l[Ia>>0]|0}B=0;wa(503,E|0,Ab&255|0);Ia=B;B=0;if(Ia&1){ca=34;break b}else{ma=wb;na=xb;ca=58}}while(0);Z=oa;_=_+1|0;$=pa}i:switch(ca|0){case 34:{I=Rb()|0;J=Q;break a;break}case 35:{I=Rb()|0;J=Q;break a;break}case 36:{I=Rb()|0;J=Q;break a;break}case 37:{I=Rb()|0;J=Q;break a;break}case 38:{I=Rb()|0;J=Q;break a;break}case 56:{k[f>>2]=k[f>>2]|4;Bb=0;break}case 120:{k[f>>2]=k[f>>2]|4;Bb=0;break}case 160:{k[f>>2]=k[f>>2]|4;Bb=0;break}case 215:{k[f>>2]=k[f>>2]|4;Bb=0;break}case 239:{k[f>>2]=k[f>>2]|4;Bb=0;break}case 249:{k[f>>2]=k[f>>2]|4;Bb=0;break}case 251:{j:do if(ba){$=ba+1|0;_=ba+8|0;Z=ba+4|0;c=1;k:while(1){Y=i[ba>>0]|0;if(!(Y&1))Cb=(Y&255)>>>1;else Cb=k[Z>>2]|0;if(c>>>0>=Cb>>>0)break j;Y=k[a>>2]|0;do if(Y)if((k[Y+12>>2]|0)==(k[Y+16>>2]|0)){B=0;T=ya(k[(k[Y>>2]|0)+36>>2]|0,Y|0)|0;R=B;B=0;if(R&1){ca=33;break k}if((T|0)==-1){k[a>>2]=0;Db=0;break}else{Db=k[a>>2]|0;break}}else Db=Y;else Db=0;while(0);Y=(Db|0)==0;T=k[b>>2]|0;do if(T){if((k[T+12>>2]|0)==(k[T+16>>2]|0)){B=0;R=ya(k[(k[T>>2]|0)+36>>2]|0,T|0)|0;S=B;B=0;if(S&1){ca=33;break k}if((R|0)==-1){k[b>>2]=0;ca=269;break}}if(!Y){ca=276;break k}}else ca=269;while(0);if((ca|0)==269?(ca=0,Y):0){ca=276;break}T=k[a>>2]|0;R=k[T+12>>2]|0;if((R|0)==(k[T+16>>2]|0)){B=0;S=ya(k[(k[T>>2]|0)+36>>2]|0,T|0)|0;T=B;B=0;if(T&1){ca=33;break}else Eb=S}else Eb=l[R>>0]|0;if(!(i[ba>>0]&1))Fb=$;else Fb=k[_>>2]|0;if((Eb&255)<<24>>24!=(i[Fb+c>>0]|0)){ca=276;break}R=c+1|0;S=k[a>>2]|0;T=S+12|0;P=k[T>>2]|0;if((P|0)==(k[S+16>>2]|0)){B=0;ya(k[(k[S>>2]|0)+40>>2]|0,S|0)|0;S=B;B=0;if(S&1){ca=33;break}else{c=R;continue}}else{k[T>>2]=P+1;c=R;continue}}if((ca|0)==33){c=Rb()|0;I=c;J=Q;break a}else if((ca|0)==276){k[f>>2]=k[f>>2]|4;Bb=0;break i}}while(0);c=k[t>>2]|0;if((c|0)!=(aa|0)){k[G>>2]=0;lAa(z,c,aa,G);if(!(k[G>>2]|0)){Bb=1;break}else{k[f>>2]=k[f>>2]|4;Bb=0;break}}else Bb=1;break}}Yua(E);Yua(D);Yua(C);Yua(A);Yua(z);c=k[t>>2]|0;k[t>>2]=0;if((c|0)!=0?(B=0,va(k[o>>2]|0,c|0),c=B,B=0,c&1):0){c=Rb(0)|0;Dd(c)}r=p;return Bb|0}while(0);Yua(E);Yua(D);Yua(C);Yua(A);Yua(z);z=k[t>>2]|0;k[t>>2]=0;if((z|0)!=0?(B=0,va(k[o>>2]|0,z|0),z=B,B=0,z&1):0){z=Rb(0)|0;Dd(z)}Qb(I|0);return 0}function iAa(a){a=a|0;var b=0;b=Ab(8)|0;B=0;wa(527,b|0,a|0);a=B;B=0;if(a&1){a=Rb()|0;zb(b|0);Qb(a|0)}else jc(b|0,25224,350)}function jAa(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;a=r;r=r+144|0;h=a+24|0;j=a+32|0;l=a+16|0;m=a+8|0;n=a+4|0;o=a+28|0;p=a;k[l>>2]=j;q=l+4|0;k[q>>2]=552;s=j+100|0;B=0;t=ya(421,e|0)|0;u=B;B=0;if(!(u&1)){k[n>>2]=t;B=0;u=Xa(238,n|0,49320)|0;v=B;B=0;a:do if(!(v&1)?(i[o>>0]=0,w=k[c>>2]|0,k[p>>2]=w,x=k[e+4>>2]|0,y=w,B=0,k[h>>2]=k[p>>2],z=Ua(1,b|0,h|0,d|0,n|0,x|0,f|0,o|0,u|0,l|0,m|0,s|0)|0,x=B,B=0,!(x&1)):0){if(z){if(!(i[g>>0]&1)){i[g+1>>0]=0;i[g>>0]=0}else{i[k[g+8>>2]>>0]=0;k[g+4>>2]=0}if(i[o>>0]|0){B=0;z=Xa(k[(k[u>>2]|0)+28>>2]|0,u|0,45)|0;x=B;B=0;if(x&1)break;B=0;wa(503,g|0,z|0);z=B;B=0;if(z&1)break}B=0;z=Xa(k[(k[u>>2]|0)+28>>2]|0,u|0,48)|0;x=B;B=0;if(x&1)break;x=k[m>>2]|0;A=x+-1|0;C=k[l>>2]|0;while(1){if(C>>>0>=A>>>0){D=C;break}if((i[C>>0]|0)!=z<<24>>24){D=C;break}C=C+1|0}B=0;Ia(53,g|0,D|0,x|0)|0;C=B;B=0;if(C&1)break}C=k[b>>2]|0;do if(C)if((k[C+12>>2]|0)==(k[C+16>>2]|0)){B=0;z=ya(k[(k[C>>2]|0)+36>>2]|0,C|0)|0;A=B;B=0;if(A&1)break a;if((z|0)==-1){k[b>>2]=0;E=0;break}else{E=k[b>>2]|0;break}}else E=C;else E=0;while(0);C=(E|0)==0;do if(w){if((k[y+12>>2]|0)==(k[y+16>>2]|0)){B=0;x=ya(k[(k[w>>2]|0)+36>>2]|0,y|0)|0;z=B;B=0;if(z&1)break a;if((x|0)==-1){k[c>>2]=0;F=30;break}}if(!C)F=31}else F=30;while(0);if((F|0)==30?C:0)F=31;if((F|0)==31)k[f>>2]=k[f>>2]|2;y=k[b>>2]|0;BEa(t)|0;w=k[l>>2]|0;k[l>>2]=0;if((w|0)!=0?(B=0,va(k[q>>2]|0,w|0),w=B,B=0,w&1):0){w=Rb(0)|0;Dd(w)}r=a;return y|0}while(0);a=Rb()|0;b=Q;BEa(t)|0;t=k[l>>2]|0;k[l>>2]=0;if(!t){G=b;H=a}else{I=a;J=b;K=t;F=37}}else{t=Rb()|0;k[l>>2]=0;I=t;J=Q;K=j;F=37}if((F|0)==37){B=0;va(k[q>>2]|0,K|0);K=B;B=0;if(K&1){K=Rb(0)|0;Dd(K)}else{G=J;H=I}}Qb(H|0);return 0}function kAa(a,b,c,d,e,f,g,h,j,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;m=r;r=r+112|0;n=m+100|0;o=m+88|0;p=m+76|0;q=m+64|0;s=m+52|0;t=m+48|0;u=m+36|0;v=m+24|0;w=m+12|0;x=m;if(a){a=$Aa(b,48928)|0;Fc[k[(k[a>>2]|0)+44>>2]&1023](n,a);y=k[n>>2]|0;i[c>>0]=y;i[c+1>>0]=y>>8;i[c+2>>0]=y>>16;i[c+3>>0]=y>>24;Fc[k[(k[a>>2]|0)+32>>2]&1023](o,a);if(!(i[j>>0]&1)){i[j+1>>0]=0;i[j>>0]=0}else{i[k[j+8>>2]>>0]=0;k[j+4>>2]=0}B=0;wa(528,j|0,0);y=B;B=0;if(y&1){y=Rb(0)|0;Dd(y)};k[j>>2]=k[o>>2];k[j+4>>2]=k[o+4>>2];k[j+8>>2]=k[o+8>>2];y=0;while(1){if((y|0)==3)break;k[o+(y<<2)>>2]=0;y=y+1|0}Yua(o);Fc[k[(k[a>>2]|0)+28>>2]&1023](p,a);if(!(i[h>>0]&1)){i[h+1>>0]=0;i[h>>0]=0}else{i[k[h+8>>2]>>0]=0;k[h+4>>2]=0}B=0;wa(528,h|0,0);o=B;B=0;if(o&1){o=Rb(0)|0;Dd(o)};k[h>>2]=k[p>>2];k[h+4>>2]=k[p+4>>2];k[h+8>>2]=k[p+8>>2];o=0;while(1){if((o|0)==3)break;k[p+(o<<2)>>2]=0;o=o+1|0}Yua(p);p=Hc[k[(k[a>>2]|0)+12>>2]&511](a)|0;i[d>>0]=p;p=Hc[k[(k[a>>2]|0)+16>>2]&511](a)|0;i[e>>0]=p;Fc[k[(k[a>>2]|0)+20>>2]&1023](q,a);if(!(i[f>>0]&1)){i[f+1>>0]=0;i[f>>0]=0}else{i[k[f+8>>2]>>0]=0;k[f+4>>2]=0}B=0;wa(528,f|0,0);p=B;B=0;if(p&1){p=Rb(0)|0;Dd(p)};k[f>>2]=k[q>>2];k[f+4>>2]=k[q+4>>2];k[f+8>>2]=k[q+8>>2];p=0;while(1){if((p|0)==3)break;k[q+(p<<2)>>2]=0;p=p+1|0}Yua(q);Fc[k[(k[a>>2]|0)+24>>2]&1023](s,a);if(!(i[g>>0]&1)){i[g+1>>0]=0;i[g>>0]=0}else{i[k[g+8>>2]>>0]=0;k[g+4>>2]=0}B=0;wa(528,g|0,0);q=B;B=0;if(q&1){q=Rb(0)|0;Dd(q)};k[g>>2]=k[s>>2];k[g+4>>2]=k[s+4>>2];k[g+8>>2]=k[s+8>>2];q=0;while(1){if((q|0)==3)break;k[s+(q<<2)>>2]=0;q=q+1|0}Yua(s);z=Hc[k[(k[a>>2]|0)+36>>2]&511](a)|0}else{a=$Aa(b,48864)|0;Fc[k[(k[a>>2]|0)+44>>2]&1023](t,a);b=k[t>>2]|0;i[c>>0]=b;i[c+1>>0]=b>>8;i[c+2>>0]=b>>16;i[c+3>>0]=b>>24;Fc[k[(k[a>>2]|0)+32>>2]&1023](u,a);if(!(i[j>>0]&1)){i[j+1>>0]=0;i[j>>0]=0}else{i[k[j+8>>2]>>0]=0;k[j+4>>2]=0}B=0;wa(528,j|0,0);b=B;B=0;if(b&1){b=Rb(0)|0;Dd(b)};k[j>>2]=k[u>>2];k[j+4>>2]=k[u+4>>2];k[j+8>>2]=k[u+8>>2];j=0;while(1){if((j|0)==3)break;k[u+(j<<2)>>2]=0;j=j+1|0}Yua(u);Fc[k[(k[a>>2]|0)+28>>2]&1023](v,a);if(!(i[h>>0]&1)){i[h+1>>0]=0;i[h>>0]=0}else{i[k[h+8>>2]>>0]=0;k[h+4>>2]=0}B=0;wa(528,h|0,0);u=B;B=0;if(u&1){u=Rb(0)|0;Dd(u)};k[h>>2]=k[v>>2];k[h+4>>2]=k[v+4>>2];k[h+8>>2]=k[v+8>>2];h=0;while(1){if((h|0)==3)break;k[v+(h<<2)>>2]=0;h=h+1|0}Yua(v);v=Hc[k[(k[a>>2]|0)+12>>2]&511](a)|0;i[d>>0]=v;v=Hc[k[(k[a>>2]|0)+16>>2]&511](a)|0;i[e>>0]=v;Fc[k[(k[a>>2]|0)+20>>2]&1023](w,a);if(!(i[f>>0]&1)){i[f+1>>0]=0;i[f>>0]=0}else{i[k[f+8>>2]>>0]=0;k[f+4>>2]=0}B=0;wa(528,f|0,0);v=B;B=0;if(v&1){v=Rb(0)|0;Dd(v)};k[f>>2]=k[w>>2];k[f+4>>2]=k[w+4>>2];k[f+8>>2]=k[w+8>>2];f=0;while(1){if((f|0)==3)break;k[w+(f<<2)>>2]=0;f=f+1|0}Yua(w);Fc[k[(k[a>>2]|0)+24>>2]&1023](x,a);if(!(i[g>>0]&1)){i[g+1>>0]=0;i[g>>0]=0}else{i[k[g+8>>2]>>0]=0;k[g+4>>2]=0}B=0;wa(528,g|0,0);w=B;B=0;if(w&1){w=Rb(0)|0;Dd(w)};k[g>>2]=k[x>>2];k[g+4>>2]=k[x+4>>2];k[g+8>>2]=k[x+8>>2];g=0;while(1){if((g|0)==3)break;k[x+(g<<2)>>2]=0;g=g+1|0}Yua(x);z=Hc[k[(k[a>>2]|0)+36>>2]&511](a)|0}k[l>>2]=z;r=m;return}function lAa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i[a>>0]|0;f=a+4|0;g=k[f>>2]|0;do if(((e&1)==0?(e&255)>>>1:g)|0){if((b|0)==(c|0)){h=e;j=g}else{l=c;m=b;while(1){n=l+-4|0;if(m>>>0>=n>>>0)break;o=k[m>>2]|0;k[m>>2]=k[n>>2];k[n>>2]=o;l=n;m=m+4|0}h=i[a>>0]|0;j=k[f>>2]|0}m=(h&1)==0;l=m?a+1|0:k[a+8>>2]|0;n=c+-4|0;o=l+(m?(h&255)>>>1:j)|0;m=l;l=b;while(1){p=i[m>>0]|0;q=p<<24>>24<1|p<<24>>24==127;if(l>>>0>=n>>>0)break;if(!q?(p<<24>>24|0)!=(k[l>>2]|0):0){r=10;break}m=(o-m|0)>1?m+1|0:m;l=l+4|0}if((r|0)==10){k[d>>2]=4;break}if(!q?((k[n>>2]|0)+-1|0)>>>0>=p<<24>>24>>>0:0)k[d>>2]=4}while(0);return}function mAa(a){a=a|0;return}function nAa(a){a=a|0;Sqa(a);return}function oAa(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;a=r;r=r+576|0;h=a+424|0;j=a;l=a+24|0;m=a+16|0;n=a+12|0;o=a+8|0;p=a+564|0;q=a+4|0;s=a+464|0;k[m>>2]=l;t=m+4|0;k[t>>2]=552;u=l+400|0;B=0;v=ya(421,e|0)|0;w=B;B=0;if(!(w&1)){k[o>>2]=v;B=0;v=Xa(238,o|0,49312)|0;w=B;B=0;a:do if(!(w&1)?(i[p>>0]=0,k[q>>2]=k[c>>2],x=k[e+4>>2]|0,B=0,k[h>>2]=k[q>>2],y=Ua(2,b|0,h|0,d|0,o|0,x|0,f|0,p|0,v|0,m|0,n|0,u|0)|0,x=B,B=0,!(x&1)):0){b:do if(y){B=0;cb(k[(k[v>>2]|0)+48>>2]|0,v|0,159230,159240,h|0)|0;x=B;B=0;if(x&1){z=10;break a}x=k[n>>2]|0;A=k[m>>2]|0;C=x-A|0;D=A;A=x;if((C|0)>392){x=lua((C>>2)+2|0)|0;C=x;if(!x){B=0;fb(7);E=B;B=0;if(E&1)F=C;else{G=C;H=0;z=13}}else{G=C;H=x;z=13}}else{G=0;H=s;z=13}do if((z|0)==13){if(!(i[p>>0]|0))I=H;else{i[H>>0]=45;I=H+1|0}x=h+40|0;C=h;E=A;J=I;K=D;while(1){if(K>>>0>=E>>>0){L=J;break}M=k[K>>2]|0;N=h;while(1){if((N|0)==(x|0)){O=x;break}if((k[N>>2]|0)==(M|0)){O=N;break}N=N+4|0}i[J>>0]=i[159230+(O-C>>2)>>0]|0;E=k[n>>2]|0;J=J+1|0;K=K+4|0}i[L>>0]=0;k[j>>2]=g;if((rta(s,159210,j)|0)!=1?(B=0,va(553,159214),K=B,B=0,K&1):0){F=G;break}if(G)mua(G);break b}while(0);D=Rb()|0;A=Q;if(!F){P=D;R=A;S=m;break a}mua(F);P=D;R=A;S=m;break a}while(0);y=k[b>>2]|0;do if(y){A=k[y+12>>2]|0;if((A|0)==(k[y+16>>2]|0)){B=0;D=ya(k[(k[y>>2]|0)+36>>2]|0,y|0)|0;K=B;B=0;if(K&1){z=10;break a}else T=D}else T=k[A>>2]|0;if((T|0)==-1){k[b>>2]=0;U=1;break}else{U=(k[b>>2]|0)==0;break}}else U=1;while(0);y=k[c>>2]|0;do if(y){A=k[y+12>>2]|0;if((A|0)==(k[y+16>>2]|0)){B=0;D=ya(k[(k[y>>2]|0)+36>>2]|0,y|0)|0;K=B;B=0;if(K&1){z=10;break a}else V=D}else V=k[A>>2]|0;if((V|0)!=-1)if(U)break;else{z=42;break}else{k[c>>2]=0;z=40;break}}else z=40;while(0);if((z|0)==40?U:0)z=42;if((z|0)==42)k[f>>2]=k[f>>2]|2;y=k[b>>2]|0;BEa(k[o>>2]|0)|0;A=k[m>>2]|0;k[m>>2]=0;if((A|0)!=0?(B=0,va(k[t>>2]|0,A|0),A=B,B=0,A&1):0){A=Rb(0)|0;Dd(A)}r=a;return y|0}else z=10;while(0);if((z|0)==10){a=Rb()|0;P=a;R=Q;S=m}BEa(k[o>>2]|0)|0;o=k[S>>2]|0;k[S>>2]=0;if(!o){W=P;X=R}else{Y=P;Z=R;_=k[t>>2]|0;$=o;z=49}}else{o=Rb()|0;k[m>>2]=0;Y=o;Z=Q;_=552;$=l;z=49}if((z|0)==49){B=0;va(_|0,$|0);$=B;B=0;if($&1){$=Rb(0)|0;Dd($)}else{W=Y;X=Z}}Qb(W|0);return 0}function pAa(a,b,c,d,e,f,g,h,j,m,n){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;m=m|0;n=n|0;var o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0;o=r;r=r+512|0;p=o+96|0;q=o+104|0;s=o+88|0;t=o+80|0;u=o+76|0;v=o+504|0;w=o+72|0;x=o+68|0;y=o+56|0;z=o+44|0;A=o+32|0;C=o+20|0;D=o+8|0;E=o+4|0;F=o;k[p>>2]=n;k[s>>2]=q;n=s+4|0;k[n>>2]=552;k[t>>2]=q;k[u>>2]=q+400;G=0;while(1){if((G|0)==3)break;k[y+(G<<2)>>2]=0;G=G+1|0}G=0;while(1){if((G|0)==3)break;k[z+(G<<2)>>2]=0;G=G+1|0}G=0;while(1){if((G|0)==3)break;k[A+(G<<2)>>2]=0;G=G+1|0}G=0;while(1){if((G|0)==3)break;k[C+(G<<2)>>2]=0;G=G+1|0}G=0;while(1){if((G|0)==3)break;k[D+(G<<2)>>2]=0;G=G+1|0}B=0;Wa(2,c|0,d|0,v|0,w|0,x|0,y|0,z|0,A|0,C|0,E|0);d=B;B=0;a:do if(d&1){c=Rb()|0;H=c;I=Q}else{k[m>>2]=k[j>>2];c=A+4|0;G=C+4|0;J=C+8|0;K=A+8|0;L=(e&512|0)!=0;M=z+8|0;N=z+4|0;O=D+4|0;P=D+8|0;R=v+3|0;S=y+4|0;T=q;U=0;V=0;b:while(1){if(U>>>0>=4){W=T;X=V;Y=259;break}Z=k[a>>2]|0;do if(Z){_=k[Z+12>>2]|0;if((_|0)==(k[Z+16>>2]|0)){B=0;$=ya(k[(k[Z>>2]|0)+36>>2]|0,Z|0)|0;aa=B;B=0;if(aa&1){Y=40;break b}else ba=$}else ba=k[_>>2]|0;if((ba|0)==-1){k[a>>2]=0;ca=1;break}else{ca=(k[a>>2]|0)==0;break}}else ca=1;while(0);Z=k[b>>2]|0;do if(Z){_=k[Z+12>>2]|0;if((_|0)==(k[Z+16>>2]|0)){B=0;$=ya(k[(k[Z>>2]|0)+36>>2]|0,Z|0)|0;aa=B;B=0;if(aa&1){Y=40;break b}else da=$}else da=k[_>>2]|0;if((da|0)!=-1)if(ca){ea=Z;break}else{W=T;X=V;Y=259;break b}else{k[b>>2]=0;Y=32;break}}else Y=32;while(0);if((Y|0)==32){Y=0;if(ca){W=T;X=V;Y=259;break}else ea=0}c:do switch(i[v+U>>0]|0){case 1:{if((U|0)!=3){Z=k[a>>2]|0;_=k[Z+12>>2]|0;if((_|0)==(k[Z+16>>2]|0)){B=0;$=ya(k[(k[Z>>2]|0)+36>>2]|0,Z|0)|0;Z=B;B=0;if(Z&1){Y=40;break b}else fa=$}else fa=k[_>>2]|0;B=0;_=Ia(k[(k[h>>2]|0)+12>>2]|0,h|0,8192,fa|0)|0;$=B;B=0;if($&1){Y=40;break b}if(!_){Y=58;break b}_=k[a>>2]|0;$=_+12|0;Z=k[$>>2]|0;if((Z|0)==(k[_+16>>2]|0)){B=0;aa=ya(k[(k[_>>2]|0)+40>>2]|0,_|0)|0;_=B;B=0;if(_&1){Y=40;break b}else ga=aa}else{k[$>>2]=Z+4;ga=k[Z>>2]|0}B=0;wa(529,D|0,ga|0);Z=B;B=0;if(Z&1){Y=40;break b}else{ha=ea;ia=ea;Y=60}}else{ja=T;ka=V}break}case 0:{if((U|0)==3){ja=T;ka=V}else{ha=ea;ia=ea;Y=60}break}case 3:{Z=i[A>>0]|0;$=(Z&1)==0?(Z&255)>>>1:k[c>>2]|0;aa=i[C>>0]|0;_=(aa&1)==0?(aa&255)>>>1:k[G>>2]|0;if(($|0)==(0-_|0)){ja=T;ka=V}else{if(!$){$=k[a>>2]|0;la=k[$+12>>2]|0;if((la|0)==(k[$+16>>2]|0)){B=0;ma=ya(k[(k[$>>2]|0)+36>>2]|0,$|0)|0;$=B;B=0;if($&1){Y=40;break b}na=ma;oa=i[C>>0]|0}else{na=k[la>>2]|0;oa=aa}if((na|0)!=(k[((oa&1)==0?G:k[J>>2]|0)>>2]|0)){ja=T;ka=V;break c}aa=k[a>>2]|0;la=aa+12|0;ma=k[la>>2]|0;if((ma|0)==(k[aa+16>>2]|0)){B=0;ya(k[(k[aa>>2]|0)+40>>2]|0,aa|0)|0;aa=B;B=0;if(aa&1){Y=40;break b}}else k[la>>2]=ma+4;i[g>>0]=1;ma=i[C>>0]|0;ja=T;ka=((ma&1)==0?(ma&255)>>>1:k[G>>2]|0)>>>0>1?C:V;break c}ma=k[a>>2]|0;la=k[ma+12>>2]|0;aa=k[ma+16>>2]|0;$=(la|0)==(aa|0);if(!_){if($){B=0;_=ya(k[(k[ma>>2]|0)+36>>2]|0,ma|0)|0;pa=B;B=0;if(pa&1){Y=40;break b}qa=_;ra=i[A>>0]|0}else{qa=k[la>>2]|0;ra=Z}if((qa|0)!=(k[((ra&1)==0?c:k[K>>2]|0)>>2]|0)){i[g>>0]=1;ja=T;ka=V;break c}_=k[a>>2]|0;pa=_+12|0;sa=k[pa>>2]|0;if((sa|0)==(k[_+16>>2]|0)){B=0;ya(k[(k[_>>2]|0)+40>>2]|0,_|0)|0;_=B;B=0;if(_&1){Y=40;break b}}else k[pa>>2]=sa+4;sa=i[A>>0]|0;ja=T;ka=((sa&1)==0?(sa&255)>>>1:k[c>>2]|0)>>>0>1?A:V;break c}if($){B=0;$=ya(k[(k[ma>>2]|0)+36>>2]|0,ma|0)|0;sa=B;B=0;if(sa&1){Y=40;break b}sa=k[a>>2]|0;ta=$;ua=i[A>>0]|0;xa=sa;za=k[sa+12>>2]|0;Aa=k[sa+16>>2]|0}else{ta=k[la>>2]|0;ua=Z;xa=ma;za=la;Aa=aa}aa=xa+12|0;la=(za|0)==(Aa|0);if((ta|0)==(k[((ua&1)==0?c:k[K>>2]|0)>>2]|0)){if(la){B=0;ya(k[(k[xa>>2]|0)+40>>2]|0,xa|0)|0;ma=B;B=0;if(ma&1){Y=40;break b}}else k[aa>>2]=za+4;aa=i[A>>0]|0;ja=T;ka=((aa&1)==0?(aa&255)>>>1:k[c>>2]|0)>>>0>1?A:V;break c}if(la){B=0;la=ya(k[(k[xa>>2]|0)+36>>2]|0,xa|0)|0;aa=B;B=0;if(aa&1){Y=40;break b}else Ba=la}else Ba=k[za>>2]|0;if((Ba|0)!=(k[((i[C>>0]&1)==0?G:k[J>>2]|0)>>2]|0)){Y=123;break b}la=k[a>>2]|0;aa=la+12|0;ma=k[aa>>2]|0;if((ma|0)==(k[la+16>>2]|0)){B=0;ya(k[(k[la>>2]|0)+40>>2]|0,la|0)|0;la=B;B=0;if(la&1){Y=40;break b}}else k[aa>>2]=ma+4;i[g>>0]=1;ma=i[C>>0]|0;ja=T;ka=((ma&1)==0?(ma&255)>>>1:k[G>>2]|0)>>>0>1?C:V}break}case 2:{if(!(U>>>0<2|(V|0)!=0)?!(L|(U|0)==2&(i[R>>0]|0)!=0):0){ja=T;ka=0;break c}ma=i[z>>0]|0;aa=k[M>>2]|0;la=(ma&1)==0?N:aa;d:do if((U|0)!=0?(l[v+(U+-1)>>0]|0)<2:0){Z=ma;sa=aa;$=la;while(1){pa=(Z&1)==0;_=$;if((_|0)==((pa?N:sa)+((pa?(Z&255)>>>1:k[N>>2]|0)<<2)|0)){Ca=Z;Da=sa;Ea=$;break}B=0;pa=Ia(k[(k[h>>2]|0)+12>>2]|0,h|0,8192,k[_>>2]|0)|0;Fa=B;B=0;if(Fa&1){Y=37;break b}if(!pa){Ga=$;Y=131;break}Z=i[z>>0]|0;sa=k[M>>2]|0;$=_+4|0}if((Y|0)==131){Y=0;Ca=i[z>>0]|0;Da=k[M>>2]|0;Ea=Ga}$=(Ca&1)==0?N:Da;sa=$;Z=Ea-sa>>2;_=i[D>>0]|0;pa=(_&1)==0;Fa=pa?(_&255)>>>1:k[O>>2]|0;if(Z>>>0>Fa>>>0){Ha=ea;Ja=Ca;Ka=Da;La=ea;Ma=sa}else{_=(pa?O:k[P>>2]|0)+(Fa<<2)|0;Fa=$;$=_+(0-Z<<2)|0;while(1){if(($|0)==(_|0)){Ha=ea;Ja=Ca;Ka=Da;La=ea;Ma=Ea;break d}if((k[$>>2]|0)!=(k[Fa>>2]|0)){Ha=ea;Ja=Ca;Ka=Da;La=ea;Ma=sa;break d}Fa=Fa+4|0;$=$+4|0}}}else{Ha=ea;Ja=ma;Ka=aa;La=ea;Ma=la}while(0);e:while(1){la=(Ja&1)==0;aa=(la?N:Ka)+((la?(Ja&255)>>>1:k[N>>2]|0)<<2)|0;la=Ma;if((la|0)==(aa|0)){Na=aa;break}aa=k[a>>2]|0;do if(aa){ma=k[aa+12>>2]|0;if((ma|0)==(k[aa+16>>2]|0)){B=0;$=ya(k[(k[aa>>2]|0)+36>>2]|0,aa|0)|0;Fa=B;B=0;if(Fa&1){Y=36;break b}else Oa=$}else Oa=k[ma>>2]|0;if((Oa|0)==-1){k[a>>2]=0;Pa=1;break}else{Pa=(k[a>>2]|0)==0;break}}else Pa=1;while(0);do if(La){aa=k[La+12>>2]|0;if((aa|0)==(k[La+16>>2]|0)){B=0;ma=ya(k[(k[La>>2]|0)+36>>2]|0,La|0)|0;$=B;B=0;if($&1){Y=36;break b}else Qa=ma}else Qa=k[aa>>2]|0;if((Qa|0)!=-1)if(Pa^(Ha|0)==0){Ra=Ha;Sa=Ha;break}else{Na=la;break e}else{k[b>>2]=0;Ta=0;Y=152;break}}else{Ta=Ha;Y=152}while(0);if((Y|0)==152){Y=0;if(Pa){Na=la;break}else{Ra=Ta;Sa=0}}aa=k[a>>2]|0;ma=k[aa+12>>2]|0;if((ma|0)==(k[aa+16>>2]|0)){B=0;$=ya(k[(k[aa>>2]|0)+36>>2]|0,aa|0)|0;aa=B;B=0;if(aa&1){Y=36;break b}else Ua=$}else Ua=k[ma>>2]|0;if((Ua|0)!=(k[la>>2]|0)){Na=la;break}ma=k[a>>2]|0;$=ma+12|0;aa=k[$>>2]|0;if((aa|0)==(k[ma+16>>2]|0)){B=0;ya(k[(k[ma>>2]|0)+40>>2]|0,ma|0)|0;ma=B;B=0;if(ma&1){Y=36;break b}}else k[$>>2]=aa+4;Ha=Ra;Ja=i[z>>0]|0;Ka=k[M>>2]|0;La=Sa;Ma=la+4|0}if(L?(aa=i[z>>0]|0,$=(aa&1)==0,(Na|0)!=(($?N:k[M>>2]|0)+(($?(aa&255)>>>1:k[N>>2]|0)<<2)|0)):0){Y=164;break b}else{ja=T;ka=V}break}case 4:{aa=k[x>>2]|0;$=ea;ma=ea;Fa=T;sa=0;f:while(1){_=k[a>>2]|0;do if(_){Z=k[_+12>>2]|0;if((Z|0)==(k[_+16>>2]|0)){B=0;pa=ya(k[(k[_>>2]|0)+36>>2]|0,_|0)|0;Va=B;B=0;if(Va&1){Y=39;break b}else Xa=pa}else Xa=k[Z>>2]|0;if((Xa|0)==-1){k[a>>2]=0;Ya=1;break}else{Ya=(k[a>>2]|0)==0;break}}else Ya=1;while(0);do if(ma){_=k[ma+12>>2]|0;if((_|0)==(k[ma+16>>2]|0)){B=0;la=ya(k[(k[ma>>2]|0)+36>>2]|0,ma|0)|0;Z=B;B=0;if(Z&1){Y=39;break b}else Za=la}else Za=k[_>>2]|0;if((Za|0)!=-1)if(Ya^($|0)==0){_a=$;$a=$;break}else{ab=Fa;bb=$;cb=sa;break f}else{k[b>>2]=0;db=0;Y=178;break}}else{db=$;Y=178}while(0);if((Y|0)==178){Y=0;if(Ya){ab=Fa;bb=db;cb=sa;break}else{_a=db;$a=0}}_=k[a>>2]|0;la=k[_+12>>2]|0;if((la|0)==(k[_+16>>2]|0)){B=0;Z=ya(k[(k[_>>2]|0)+36>>2]|0,_|0)|0;_=B;B=0;if(_&1){Y=39;break b}else fb=Z}else fb=k[la>>2]|0;B=0;la=Ia(k[(k[h>>2]|0)+12>>2]|0,h|0,2048,fb|0)|0;Z=B;B=0;if(Z&1){Y=39;break b}if(la){la=k[m>>2]|0;if((la|0)==(k[p>>2]|0)){B=0;eb(534,j|0,m|0,p|0);Z=B;B=0;if(Z&1){Y=39;break b}gb=k[m>>2]|0}else gb=la;k[m>>2]=gb+4;k[gb>>2]=fb;hb=Fa;ib=sa+1|0}else{la=i[y>>0]|0;if(!((fb|0)==(aa|0)&((sa|0)!=0?(((la&1)==0?(la&255)>>>1:k[S>>2]|0)|0)!=0:0))){ab=Fa;bb=_a;cb=sa;break}if((Fa|0)==(k[u>>2]|0)){B=0;eb(533,s|0,t|0,u|0);la=B;B=0;if(la&1){Y=39;break b}jb=k[t>>2]|0}else jb=Fa;la=jb+4|0;k[t>>2]=la;k[jb>>2]=sa;hb=la;ib=0}la=k[a>>2]|0;Z=la+12|0;_=k[Z>>2]|0;if((_|0)==(k[la+16>>2]|0)){B=0;ya(k[(k[la>>2]|0)+40>>2]|0,la|0)|0;la=B;B=0;if(la&1){Y=39;break b}else{$=_a;ma=$a;Fa=hb;sa=ib;continue}}else{k[Z>>2]=_+4;$=_a;ma=$a;Fa=hb;sa=ib;continue}}if((cb|0)!=0?(k[s>>2]|0)!=(ab|0):0){if((ab|0)==(k[u>>2]|0)){B=0;eb(533,s|0,t|0,u|0);sa=B;B=0;if(sa&1){Y=40;break b}kb=k[t>>2]|0}else kb=ab;sa=kb+4|0;k[t>>2]=sa;k[kb>>2]=cb;lb=sa}else lb=ab;sa=k[E>>2]|0;g:do if((sa|0)>0){Fa=k[a>>2]|0;do if(Fa){ma=k[Fa+12>>2]|0;if((ma|0)==(k[Fa+16>>2]|0)){B=0;$=ya(k[(k[Fa>>2]|0)+36>>2]|0,Fa|0)|0;aa=B;B=0;if(aa&1){Y=40;break b}else mb=$}else mb=k[ma>>2]|0;if((mb|0)==-1){k[a>>2]=0;nb=1;break}else{nb=(k[a>>2]|0)==0;break}}else nb=1;while(0);do if(bb){Fa=k[bb+12>>2]|0;if((Fa|0)==(k[bb+16>>2]|0)){B=0;ma=ya(k[(k[bb>>2]|0)+36>>2]|0,bb|0)|0;$=B;B=0;if($&1){Y=40;break b}else ob=ma}else ob=k[Fa>>2]|0;if((ob|0)!=-1)if(nb){pb=bb;break}else{Y=222;break b}else{k[b>>2]=0;Y=216;break}}else Y=216;while(0);if((Y|0)==216){Y=0;if(nb){Y=222;break b}else pb=0}Fa=k[a>>2]|0;ma=k[Fa+12>>2]|0;if((ma|0)==(k[Fa+16>>2]|0)){B=0;$=ya(k[(k[Fa>>2]|0)+36>>2]|0,Fa|0)|0;Fa=B;B=0;if(Fa&1){Y=40;break b}else qb=$}else qb=k[ma>>2]|0;if((qb|0)!=(k[w>>2]|0)){Y=222;break b}ma=k[a>>2]|0;$=ma+12|0;Fa=k[$>>2]|0;if((Fa|0)==(k[ma+16>>2]|0)){B=0;ya(k[(k[ma>>2]|0)+40>>2]|0,ma|0)|0;ma=B;B=0;if(ma&1){Y=40;break b}else{rb=pb;sb=sa;tb=pb}}else{k[$>>2]=Fa+4;rb=pb;sb=sa;tb=pb}while(1){if((sb|0)<=0)break g;Fa=k[a>>2]|0;do if(Fa){$=k[Fa+12>>2]|0;if(($|0)==(k[Fa+16>>2]|0)){B=0;ma=ya(k[(k[Fa>>2]|0)+36>>2]|0,Fa|0)|0;aa=B;B=0;if(aa&1){Y=38;break b}else ub=ma}else ub=k[$>>2]|0;if((ub|0)==-1){k[a>>2]=0;vb=1;break}else{vb=(k[a>>2]|0)==0;break}}else vb=1;while(0);do if(tb){Fa=k[tb+12>>2]|0;if((Fa|0)==(k[tb+16>>2]|0)){B=0;$=ya(k[(k[tb>>2]|0)+36>>2]|0,tb|0)|0;ma=B;B=0;if(ma&1){Y=38;break b}else wb=$}else wb=k[Fa>>2]|0;if((wb|0)!=-1)if(vb^(rb|0)==0){xb=rb;yb=rb;break}else{Y=247;break b}else{k[b>>2]=0;zb=0;Y=240;break}}else{zb=rb;Y=240}while(0);if((Y|0)==240){Y=0;if(vb){Y=247;break b}else{xb=zb;yb=0}}Fa=k[a>>2]|0;$=k[Fa+12>>2]|0;if(($|0)==(k[Fa+16>>2]|0)){B=0;ma=ya(k[(k[Fa>>2]|0)+36>>2]|0,Fa|0)|0;Fa=B;B=0;if(Fa&1){Y=38;break b}else Ab=ma}else Ab=k[$>>2]|0;B=0;$=Ia(k[(k[h>>2]|0)+12>>2]|0,h|0,2048,Ab|0)|0;ma=B;B=0;if(ma&1){Y=38;break b}if(!$){Y=247;break b}if((k[m>>2]|0)==(k[p>>2]|0)?(B=0,eb(534,j|0,m|0,p|0),$=B,B=0,$&1):0){Y=38;break b}$=k[a>>2]|0;ma=k[$+12>>2]|0;if((ma|0)==(k[$+16>>2]|0)){B=0;Fa=ya(k[(k[$>>2]|0)+36>>2]|0,$|0)|0;$=B;B=0;if($&1){Y=38;break b}else Bb=Fa}else Bb=k[ma>>2]|0;ma=k[m>>2]|0;k[m>>2]=ma+4;k[ma>>2]=Bb;ma=sb+-1|0;k[E>>2]=ma;Fa=k[a>>2]|0;$=Fa+12|0;aa=k[$>>2]|0;if((aa|0)==(k[Fa+16>>2]|0)){B=0;ya(k[(k[Fa>>2]|0)+40>>2]|0,Fa|0)|0;Fa=B;B=0;if(Fa&1){Y=38;break b}else{rb=xb;sb=ma;tb=yb;continue}}else{k[$>>2]=aa+4;rb=xb;sb=ma;tb=yb;continue}}}while(0);if((k[m>>2]|0)==(k[j>>2]|0)){Y=257;break b}else{ja=lb;ka=V}break}default:{ja=T;ka=V}}while(0);h:do if((Y|0)==60)while(1){Y=0;sa=k[a>>2]|0;do if(sa){ma=k[sa+12>>2]|0;if((ma|0)==(k[sa+16>>2]|0)){B=0;aa=ya(k[(k[sa>>2]|0)+36>>2]|0,sa|0)|0;$=B;B=0;if($&1){Y=35;break b}else Cb=aa}else Cb=k[ma>>2]|0;if((Cb|0)==-1){k[a>>2]=0;Db=1;break}else{Db=(k[a>>2]|0)==0;break}}else Db=1;while(0);do if(ia){sa=k[ia+12>>2]|0;if((sa|0)==(k[ia+16>>2]|0)){B=0;ma=ya(k[(k[ia>>2]|0)+36>>2]|0,ia|0)|0;aa=B;B=0;if(aa&1){Y=35;break b}else Eb=ma}else Eb=k[sa>>2]|0;if((Eb|0)!=-1)if(Db^(ha|0)==0){Fb=ha;Gb=ha;break}else{ja=T;ka=V;break h}else{k[b>>2]=0;Hb=0;Y=73;break}}else{Hb=ha;Y=73}while(0);if((Y|0)==73){Y=0;if(Db){ja=T;ka=V;break h}else{Fb=Hb;Gb=0}}sa=k[a>>2]|0;ma=k[sa+12>>2]|0;if((ma|0)==(k[sa+16>>2]|0)){B=0;aa=ya(k[(k[sa>>2]|0)+36>>2]|0,sa|0)|0;sa=B;B=0;if(sa&1){Y=35;break b}else Ib=aa}else Ib=k[ma>>2]|0;B=0;ma=Ia(k[(k[h>>2]|0)+12>>2]|0,h|0,8192,Ib|0)|0;aa=B;B=0;if(aa&1){Y=35;break b}if(!ma){ja=T;ka=V;break h}ma=k[a>>2]|0;aa=ma+12|0;sa=k[aa>>2]|0;if((sa|0)==(k[ma+16>>2]|0)){B=0;$=ya(k[(k[ma>>2]|0)+40>>2]|0,ma|0)|0;ma=B;B=0;if(ma&1){Y=35;break b}else Jb=$}else{k[aa>>2]=sa+4;Jb=k[sa>>2]|0}B=0;wa(529,D|0,Jb|0);sa=B;B=0;if(sa&1){Y=35;break b}else{ha=Fb;ia=Gb;Y=60}}while(0);T=ja;U=U+1|0;V=ka}i:switch(Y|0){case 35:{H=Rb()|0;I=Q;break a;break}case 36:{H=Rb()|0;I=Q;break a;break}case 37:{H=Rb()|0;I=Q;break a;break}case 38:{H=Rb()|0;I=Q;break a;break}case 39:{H=Rb()|0;I=Q;break a;break}case 40:{H=Rb()|0;I=Q;break a;break}case 58:{k[f>>2]=k[f>>2]|4;Kb=0;break}case 123:{k[f>>2]=k[f>>2]|4;Kb=0;break}case 164:{k[f>>2]=k[f>>2]|4;Kb=0;break}case 222:{k[f>>2]=k[f>>2]|4;Kb=0;break}case 247:{k[f>>2]=k[f>>2]|4;Kb=0;break}case 257:{k[f>>2]=k[f>>2]|4;Kb=0;break}case 259:{j:do if(X){V=X+4|0;U=X+8|0;T=1;k:while(1){S=i[X>>0]|0;if(!(S&1))Lb=(S&255)>>>1;else Lb=k[V>>2]|0;if(T>>>0>=Lb>>>0)break j;S=k[a>>2]|0;do if(S){N=k[S+12>>2]|0;if((N|0)==(k[S+16>>2]|0)){B=0;M=ya(k[(k[S>>2]|0)+36>>2]|0,S|0)|0;L=B;B=0;if(L&1){Y=34;break k}else Mb=M}else Mb=k[N>>2]|0;if((Mb|0)==-1){k[a>>2]=0;Nb=1;break}else{Nb=(k[a>>2]|0)==0;break}}else Nb=1;while(0);S=k[b>>2]|0;do if(S){N=k[S+12>>2]|0;if((N|0)==(k[S+16>>2]|0)){B=0;M=ya(k[(k[S>>2]|0)+36>>2]|0,S|0)|0;L=B;B=0;if(L&1){Y=34;break k}else Ob=M}else Ob=k[N>>2]|0;if((Ob|0)!=-1)if(Nb)break;else{Y=286;break k}else{k[b>>2]=0;Y=278;break}}else Y=278;while(0);if((Y|0)==278?(Y=0,Nb):0){Y=286;break}S=k[a>>2]|0;N=k[S+12>>2]|0;if((N|0)==(k[S+16>>2]|0)){B=0;M=ya(k[(k[S>>2]|0)+36>>2]|0,S|0)|0;S=B;B=0;if(S&1){Y=34;break}else Pb=M}else Pb=k[N>>2]|0;if(!(i[X>>0]&1))Sb=V;else Sb=k[U>>2]|0;if((Pb|0)!=(k[Sb+(T<<2)>>2]|0)){Y=286;break}N=T+1|0;M=k[a>>2]|0;S=M+12|0;L=k[S>>2]|0;if((L|0)==(k[M+16>>2]|0)){B=0;ya(k[(k[M>>2]|0)+40>>2]|0,M|0)|0;M=B;B=0;if(M&1){Y=34;break}else{T=N;continue}}else{k[S>>2]=L+4;T=N;continue}}if((Y|0)==34){T=Rb()|0;H=T;I=Q;break a}else if((Y|0)==286){k[f>>2]=k[f>>2]|4;Kb=0;break i}}while(0);T=k[s>>2]|0;if((T|0)!=(W|0)){k[F>>2]=0;lAa(y,T,W,F);if(!(k[F>>2]|0)){Kb=1;break}else{k[f>>2]=k[f>>2]|4;Kb=0;break}}else Kb=1;break}}kva(D);kva(C);kva(A);kva(z);Yua(y);T=k[s>>2]|0;k[s>>2]=0;if((T|0)!=0?(B=0,va(k[n>>2]|0,T|0),T=B,B=0,T&1):0){T=Rb(0)|0;Dd(T)}r=o;return Kb|0}while(0);kva(D);kva(C);kva(A);kva(z);Yua(y);y=k[s>>2]|0;k[s>>2]=0;if((y|0)!=0?(B=0,va(k[n>>2]|0,y|0),y=B,B=0,y&1):0){y=Rb(0)|0;Dd(y)}Qb(H|0);return 0}function qAa(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;a=r;r=r+432|0;h=a+424|0;j=a+24|0;l=a+16|0;m=a+8|0;n=a+4|0;o=a+428|0;p=a;k[l>>2]=j;q=l+4|0;k[q>>2]=552;s=j+400|0;B=0;t=ya(421,e|0)|0;u=B;B=0;if(!(u&1)){k[n>>2]=t;B=0;u=Xa(238,n|0,49312)|0;v=B;B=0;a:do if(!(v&1)?(i[o>>0]=0,w=k[c>>2]|0,k[p>>2]=w,x=k[e+4>>2]|0,y=w,B=0,k[h>>2]=k[p>>2],z=Ua(2,b|0,h|0,d|0,n|0,x|0,f|0,o|0,u|0,l|0,m|0,s|0)|0,x=B,B=0,!(x&1)):0){if(z){if(!(i[g>>0]&1))i[g>>0]=0;else k[k[g+8>>2]>>2]=0;k[g+4>>2]=0;if(i[o>>0]|0){B=0;z=Xa(k[(k[u>>2]|0)+44>>2]|0,u|0,45)|0;x=B;B=0;if(x&1)break;B=0;wa(529,g|0,z|0);z=B;B=0;if(z&1)break}B=0;z=Xa(k[(k[u>>2]|0)+44>>2]|0,u|0,48)|0;x=B;B=0;if(x&1)break;x=k[m>>2]|0;A=x+-4|0;C=k[l>>2]|0;while(1){if(C>>>0>=A>>>0){D=C;break}if((k[C>>2]|0)!=(z|0)){D=C;break}C=C+4|0}B=0;Ia(54,g|0,D|0,x|0)|0;C=B;B=0;if(C&1)break}C=k[b>>2]|0;do if(C){z=k[C+12>>2]|0;if((z|0)==(k[C+16>>2]|0)){B=0;A=ya(k[(k[C>>2]|0)+36>>2]|0,C|0)|0;E=B;B=0;if(E&1)break a;else F=A}else F=k[z>>2]|0;if((F|0)==-1){k[b>>2]=0;G=1;break}else{G=(k[b>>2]|0)==0;break}}else G=1;while(0);do if(w){C=k[y+12>>2]|0;if((C|0)==(k[y+16>>2]|0)){B=0;x=ya(k[(k[w>>2]|0)+36>>2]|0,y|0)|0;z=B;B=0;if(z&1)break a;else H=x}else H=k[C>>2]|0;if((H|0)!=-1)if(G)break;else{I=33;break}else{k[c>>2]=0;I=31;break}}else I=31;while(0);if((I|0)==31?G:0)I=33;if((I|0)==33)k[f>>2]=k[f>>2]|2;y=k[b>>2]|0;BEa(t)|0;w=k[l>>2]|0;k[l>>2]=0;if((w|0)!=0?(B=0,va(k[q>>2]|0,w|0),w=B,B=0,w&1):0){w=Rb(0)|0;Dd(w)}r=a;return y|0}while(0);a=Rb()|0;b=Q;BEa(t)|0;t=k[l>>2]|0;k[l>>2]=0;if(!t){J=b;K=a}else{L=a;M=b;N=t;I=39}}else{t=Rb()|0;k[l>>2]=0;L=t;M=Q;N=j;I=39}if((I|0)==39){B=0;va(k[q>>2]|0,N|0);N=B;B=0;if(N&1){N=Rb(0)|0;Dd(N)}else{J=M;K=L}}Qb(K|0);return 0}function rAa(a,b,c,d,e,f,g,h,j,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;m=r;r=r+112|0;n=m+100|0;o=m+88|0;p=m+76|0;q=m+64|0;s=m+52|0;t=m+48|0;u=m+36|0;v=m+24|0;w=m+12|0;x=m;if(a){a=$Aa(b,49056)|0;Fc[k[(k[a>>2]|0)+44>>2]&1023](n,a);y=k[n>>2]|0;i[c>>0]=y;i[c+1>>0]=y>>8;i[c+2>>0]=y>>16;i[c+3>>0]=y>>24;Fc[k[(k[a>>2]|0)+32>>2]&1023](o,a);if(!(i[j>>0]&1))i[j>>0]=0;else k[k[j+8>>2]>>2]=0;k[j+4>>2]=0;B=0;wa(530,j|0,0);y=B;B=0;if(y&1){y=Rb(0)|0;Dd(y)};k[j>>2]=k[o>>2];k[j+4>>2]=k[o+4>>2];k[j+8>>2]=k[o+8>>2];y=0;while(1){if((y|0)==3)break;k[o+(y<<2)>>2]=0;y=y+1|0}kva(o);Fc[k[(k[a>>2]|0)+28>>2]&1023](p,a);if(!(i[h>>0]&1))i[h>>0]=0;else k[k[h+8>>2]>>2]=0;k[h+4>>2]=0;B=0;wa(530,h|0,0);o=B;B=0;if(o&1){o=Rb(0)|0;Dd(o)};k[h>>2]=k[p>>2];k[h+4>>2]=k[p+4>>2];k[h+8>>2]=k[p+8>>2];o=0;while(1){if((o|0)==3)break;k[p+(o<<2)>>2]=0;o=o+1|0}kva(p);p=Hc[k[(k[a>>2]|0)+12>>2]&511](a)|0;k[d>>2]=p;p=Hc[k[(k[a>>2]|0)+16>>2]&511](a)|0;k[e>>2]=p;Fc[k[(k[a>>2]|0)+20>>2]&1023](q,a);if(!(i[f>>0]&1)){i[f+1>>0]=0;i[f>>0]=0}else{i[k[f+8>>2]>>0]=0;k[f+4>>2]=0}B=0;wa(528,f|0,0);p=B;B=0;if(p&1){p=Rb(0)|0;Dd(p)};k[f>>2]=k[q>>2];k[f+4>>2]=k[q+4>>2];k[f+8>>2]=k[q+8>>2];p=0;while(1){if((p|0)==3)break;k[q+(p<<2)>>2]=0;p=p+1|0}Yua(q);Fc[k[(k[a>>2]|0)+24>>2]&1023](s,a);if(!(i[g>>0]&1))i[g>>0]=0;else k[k[g+8>>2]>>2]=0;k[g+4>>2]=0;B=0;wa(530,g|0,0);q=B;B=0;if(q&1){q=Rb(0)|0;Dd(q)};k[g>>2]=k[s>>2];k[g+4>>2]=k[s+4>>2];k[g+8>>2]=k[s+8>>2];q=0;while(1){if((q|0)==3)break;k[s+(q<<2)>>2]=0;q=q+1|0}kva(s);z=Hc[k[(k[a>>2]|0)+36>>2]&511](a)|0}else{a=$Aa(b,48992)|0;Fc[k[(k[a>>2]|0)+44>>2]&1023](t,a);b=k[t>>2]|0;i[c>>0]=b;i[c+1>>0]=b>>8;i[c+2>>0]=b>>16;i[c+3>>0]=b>>24;Fc[k[(k[a>>2]|0)+32>>2]&1023](u,a);if(!(i[j>>0]&1))i[j>>0]=0;else k[k[j+8>>2]>>2]=0;k[j+4>>2]=0;B=0;wa(530,j|0,0);b=B;B=0;if(b&1){b=Rb(0)|0;Dd(b)};k[j>>2]=k[u>>2];k[j+4>>2]=k[u+4>>2];k[j+8>>2]=k[u+8>>2];j=0;while(1){if((j|0)==3)break;k[u+(j<<2)>>2]=0;j=j+1|0}kva(u);Fc[k[(k[a>>2]|0)+28>>2]&1023](v,a);if(!(i[h>>0]&1))i[h>>0]=0;else k[k[h+8>>2]>>2]=0;k[h+4>>2]=0;B=0;wa(530,h|0,0);u=B;B=0;if(u&1){u=Rb(0)|0;Dd(u)};k[h>>2]=k[v>>2];k[h+4>>2]=k[v+4>>2];k[h+8>>2]=k[v+8>>2];h=0;while(1){if((h|0)==3)break;k[v+(h<<2)>>2]=0;h=h+1|0}kva(v);v=Hc[k[(k[a>>2]|0)+12>>2]&511](a)|0;k[d>>2]=v;v=Hc[k[(k[a>>2]|0)+16>>2]&511](a)|0;k[e>>2]=v;Fc[k[(k[a>>2]|0)+20>>2]&1023](w,a);if(!(i[f>>0]&1)){i[f+1>>0]=0;i[f>>0]=0}else{i[k[f+8>>2]>>0]=0;k[f+4>>2]=0}B=0;wa(528,f|0,0);v=B;B=0;if(v&1){v=Rb(0)|0;Dd(v)};k[f>>2]=k[w>>2];k[f+4>>2]=k[w+4>>2];k[f+8>>2]=k[w+8>>2];f=0;while(1){if((f|0)==3)break;k[w+(f<<2)>>2]=0;f=f+1|0}Yua(w);Fc[k[(k[a>>2]|0)+24>>2]&1023](x,a);if(!(i[g>>0]&1))i[g>>0]=0;else k[k[g+8>>2]>>2]=0;k[g+4>>2]=0;B=0;wa(530,g|0,0);w=B;B=0;if(w&1){w=Rb(0)|0;Dd(w)};k[g>>2]=k[x>>2];k[g+4>>2]=k[x+4>>2];k[g+8>>2]=k[x+8>>2];g=0;while(1){if((g|0)==3)break;k[x+(g<<2)>>2]=0;g=g+1|0}kva(x);z=Hc[k[(k[a>>2]|0)+36>>2]&511](a)|0}k[l>>2]=z;r=m;return}function sAa(a){a=a|0;return}function tAa(a){a=a|0;Sqa(a);return}function uAa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;a=r;r=r+384|0;g=a+8|0;h=a;j=a+284|0;l=a+72|0;m=a+184|0;n=a+68|0;o=a+180|0;q=a+177|0;s=a+176|0;t=a+56|0;u=a+44|0;v=a+32|0;w=a+28|0;x=a+76|0;y=a+24|0;z=a+20|0;A=a+16|0;k[l>>2]=j;p[g>>3]=f;C=pta(j,100,159241,g)|0;do if(C>>>0>99){B=0;j=bb(3)|0;D=B;B=0;if(!(D&1)?(B=0,p[h>>3]=f,D=cb(69,l|0,j|0,159241,h|0)|0,j=B,B=0,!(j&1)):0){j=k[l>>2]|0;if(!j){B=0;fb(7);E=B;B=0;if(E&1){F=0;G=0;H=8;break}I=k[l>>2]|0}else I=j;j=lua(D)|0;E=j;if(!j){B=0;fb(7);J=B;B=0;if(J&1){F=E;G=I;H=8}else{K=0;L=E;M=I;N=D;H=11}}else{K=j;L=E;M=I;N=D;H=11}}else{F=0;G=0;H=8}}else{K=m;L=0;M=0;N=C;H=11}while(0);if((H|0)==11){B=0;C=ya(421,d|0)|0;m=B;B=0;if(m&1){F=L;G=M;H=8}else{k[n>>2]=C;B=0;m=Xa(238,n|0,49320)|0;I=B;B=0;if(!(I&1)?(I=k[l>>2]|0,B=0,cb(k[(k[m>>2]|0)+32>>2]|0,m|0,I|0,I+N|0,K|0)|0,I=B,B=0,!(I&1)):0){if(!N)O=0;else O=(i[k[l>>2]>>0]|0)==45;l=0;while(1){if((l|0)==3)break;k[t+(l<<2)>>2]=0;l=l+1|0}l=0;while(1){if((l|0)==3)break;k[u+(l<<2)>>2]=0;l=l+1|0}l=0;while(1){if((l|0)==3)break;k[v+(l<<2)>>2]=0;l=l+1|0}B=0;Wa(3,c|0,O|0,n|0,o|0,q|0,s|0,t|0,u|0,v|0,w|0);c=B;B=0;if(!(c&1)){c=k[w>>2]|0;if((N|0)>(c|0)){w=i[v>>0]|0;l=i[u>>0]|0;P=(N-c<<1|1)+c+((w&1)==0?(w&255)>>>1:k[v+4>>2]|0)+((l&1)==0?(l&255)>>>1:k[u+4>>2]|0)|0}else{l=i[v>>0]|0;w=i[u>>0]|0;P=c+2+((l&1)==0?(l&255)>>>1:k[v+4>>2]|0)+((w&1)==0?(w&255)>>>1:k[u+4>>2]|0)|0}if(P>>>0>100){w=lua(P)|0;P=w;if(!w){B=0;fb(7);l=B;B=0;if(l&1)R=P;else{S=P;T=0;H=36}}else{S=P;T=w;H=36}}else{S=0;T=x;H=36}if((H|0)==36){B=0;Ja(1,T|0,y|0,z|0,k[d+4>>2]|0,K|0,K+N|0,m|0,O|0,o|0,i[q>>0]|0,i[s>>0]|0,t|0,u|0,v|0,c|0);c=B;B=0;if(!(c&1)?(k[A>>2]=k[b>>2],b=k[y>>2]|0,y=k[z>>2]|0,B=0,k[g>>2]=k[A>>2],A=xa(39,g|0,T|0,b|0,y|0,d|0,e|0)|0,e=B,B=0,!(e&1)):0){if(!S)U=C;else{mua(S);U=k[n>>2]|0}Yua(v);Yua(u);Yua(t);BEa(U)|0;if(L)mua(L);if(M)mua(M);r=a;return A|0}else R=S}S=Rb()|0;A=Q;if(!R){V=S;W=A;X=C}else{mua(R);V=S;W=A;X=k[n>>2]|0}}else{n=Rb()|0;V=n;W=Q;X=C}Yua(v);Yua(u);Yua(t);Y=V;Z=W;_=X}else{X=Rb()|0;Y=X;Z=Q;_=C}BEa(_)|0;$=Y;aa=Z;ba=L;ca=M}}if((H|0)==8){H=Rb()|0;$=H;aa=Q;ba=F;ca=G}if(ba)mua(ba);if(ca)mua(ca);Qb($|0);return 0}function vAa(a,b,c,d,e,f,g,h,j,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;m=r;r=r+112|0;n=m+108|0;o=m+96|0;p=m+92|0;q=m+80|0;s=m+68|0;t=m+56|0;u=m+52|0;v=m+40|0;w=m+36|0;x=m+24|0;y=m+12|0;z=m;if(a){a=$Aa(c,48928)|0;A=k[a>>2]|0;if(b){Fc[k[A+44>>2]&1023](n,a);C=k[n>>2]|0;i[d>>0]=C;i[d+1>>0]=C>>8;i[d+2>>0]=C>>16;i[d+3>>0]=C>>24;Fc[k[(k[a>>2]|0)+32>>2]&1023](o,a);if(!(i[j>>0]&1)){i[j+1>>0]=0;i[j>>0]=0}else{i[k[j+8>>2]>>0]=0;k[j+4>>2]=0}B=0;wa(528,j|0,0);C=B;B=0;if(C&1){C=Rb(0)|0;Dd(C)};k[j>>2]=k[o>>2];k[j+4>>2]=k[o+4>>2];k[j+8>>2]=k[o+8>>2];C=0;while(1){if((C|0)==3)break;k[o+(C<<2)>>2]=0;C=C+1|0}Yua(o);D=a}else{Fc[k[A+40>>2]&1023](p,a);A=k[p>>2]|0;i[d>>0]=A;i[d+1>>0]=A>>8;i[d+2>>0]=A>>16;i[d+3>>0]=A>>24;Fc[k[(k[a>>2]|0)+28>>2]&1023](q,a);if(!(i[j>>0]&1)){i[j+1>>0]=0;i[j>>0]=0}else{i[k[j+8>>2]>>0]=0;k[j+4>>2]=0}B=0;wa(528,j|0,0);A=B;B=0;if(A&1){A=Rb(0)|0;Dd(A)};k[j>>2]=k[q>>2];k[j+4>>2]=k[q+4>>2];k[j+8>>2]=k[q+8>>2];A=0;while(1){if((A|0)==3)break;k[q+(A<<2)>>2]=0;A=A+1|0}Yua(q);D=a}q=Hc[k[(k[a>>2]|0)+12>>2]&511](a)|0;i[e>>0]=q;q=Hc[k[(k[a>>2]|0)+16>>2]&511](a)|0;i[f>>0]=q;Fc[k[(k[D>>2]|0)+20>>2]&1023](s,a);if(!(i[g>>0]&1)){i[g+1>>0]=0;i[g>>0]=0}else{i[k[g+8>>2]>>0]=0;k[g+4>>2]=0}B=0;wa(528,g|0,0);q=B;B=0;if(q&1){q=Rb(0)|0;Dd(q)};k[g>>2]=k[s>>2];k[g+4>>2]=k[s+4>>2];k[g+8>>2]=k[s+8>>2];q=0;while(1){if((q|0)==3)break;k[s+(q<<2)>>2]=0;q=q+1|0}Yua(s);Fc[k[(k[D>>2]|0)+24>>2]&1023](t,a);if(!(i[h>>0]&1)){i[h+1>>0]=0;i[h>>0]=0}else{i[k[h+8>>2]>>0]=0;k[h+4>>2]=0}B=0;wa(528,h|0,0);D=B;B=0;if(D&1){D=Rb(0)|0;Dd(D)};k[h>>2]=k[t>>2];k[h+4>>2]=k[t+4>>2];k[h+8>>2]=k[t+8>>2];D=0;while(1){if((D|0)==3)break;k[t+(D<<2)>>2]=0;D=D+1|0}Yua(t);E=Hc[k[(k[a>>2]|0)+36>>2]&511](a)|0}else{a=$Aa(c,48864)|0;c=k[a>>2]|0;if(b){Fc[k[c+44>>2]&1023](u,a);b=k[u>>2]|0;i[d>>0]=b;i[d+1>>0]=b>>8;i[d+2>>0]=b>>16;i[d+3>>0]=b>>24;Fc[k[(k[a>>2]|0)+32>>2]&1023](v,a);if(!(i[j>>0]&1)){i[j+1>>0]=0;i[j>>0]=0}else{i[k[j+8>>2]>>0]=0;k[j+4>>2]=0}B=0;wa(528,j|0,0);b=B;B=0;if(b&1){b=Rb(0)|0;Dd(b)};k[j>>2]=k[v>>2];k[j+4>>2]=k[v+4>>2];k[j+8>>2]=k[v+8>>2];b=0;while(1){if((b|0)==3)break;k[v+(b<<2)>>2]=0;b=b+1|0}Yua(v);F=a}else{Fc[k[c+40>>2]&1023](w,a);c=k[w>>2]|0;i[d>>0]=c;i[d+1>>0]=c>>8;i[d+2>>0]=c>>16;i[d+3>>0]=c>>24;Fc[k[(k[a>>2]|0)+28>>2]&1023](x,a);if(!(i[j>>0]&1)){i[j+1>>0]=0;i[j>>0]=0}else{i[k[j+8>>2]>>0]=0;k[j+4>>2]=0}B=0;wa(528,j|0,0);c=B;B=0;if(c&1){c=Rb(0)|0;Dd(c)};k[j>>2]=k[x>>2];k[j+4>>2]=k[x+4>>2];k[j+8>>2]=k[x+8>>2];j=0;while(1){if((j|0)==3)break;k[x+(j<<2)>>2]=0;j=j+1|0}Yua(x);F=a}x=Hc[k[(k[a>>2]|0)+12>>2]&511](a)|0;i[e>>0]=x;x=Hc[k[(k[a>>2]|0)+16>>2]&511](a)|0;i[f>>0]=x;Fc[k[(k[F>>2]|0)+20>>2]&1023](y,a);if(!(i[g>>0]&1)){i[g+1>>0]=0;i[g>>0]=0}else{i[k[g+8>>2]>>0]=0;k[g+4>>2]=0}B=0;wa(528,g|0,0);x=B;B=0;if(x&1){x=Rb(0)|0;Dd(x)};k[g>>2]=k[y>>2];k[g+4>>2]=k[y+4>>2];k[g+8>>2]=k[y+8>>2];g=0;while(1){if((g|0)==3)break;k[y+(g<<2)>>2]=0;g=g+1|0}Yua(y);Fc[k[(k[F>>2]|0)+24>>2]&1023](z,a);if(!(i[h>>0]&1)){i[h+1>>0]=0;i[h>>0]=0}else{i[k[h+8>>2]>>0]=0;k[h+4>>2]=0}B=0;wa(528,h|0,0);F=B;B=0;if(F&1){F=Rb(0)|0;Dd(F)};k[h>>2]=k[z>>2];k[h+4>>2]=k[z+4>>2];k[h+8>>2]=k[z+8>>2];h=0;while(1){if((h|0)==3)break;k[z+(h<<2)>>2]=0;h=h+1|0}Yua(z);E=Hc[k[(k[a>>2]|0)+36>>2]&511](a)|0}k[l>>2]=E;r=m;return}function wAa(a,b,c,d,e,f,g,h,l,m,n,o,p,q,r){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;var s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;k[c>>2]=a;s=q+4|0;t=q+8|0;u=q+1|0;v=p+4|0;w=(d&512|0)==0;x=p+8|0;y=p+1|0;z=g+8|0;A=(r|0)>0;B=o+4|0;C=o+8|0;D=o+1|0;E=e;e=0;while(1){if((e|0)==4)break;a:do switch(i[l+e>>0]|0){case 0:{k[b>>2]=k[c>>2];F=E;break}case 1:{k[b>>2]=k[c>>2];G=ed[k[(k[g>>2]|0)+28>>2]&511](g,32)|0;H=k[c>>2]|0;k[c>>2]=H+1;i[H>>0]=G;F=E;break}case 3:{G=i[q>>0]|0;H=(G&1)==0;if(!((H?(G&255)>>>1:k[s>>2]|0)|0))F=E;else{G=i[(H?u:k[t>>2]|0)>>0]|0;H=k[c>>2]|0;k[c>>2]=H+1;i[H>>0]=G;F=E}break}case 2:{G=i[p>>0]|0;H=(G&1)==0;I=H?(G&255)>>>1:k[v>>2]|0;if(w|(I|0)==0)F=E;else{G=H?y:k[x>>2]|0;H=G+I|0;I=k[c>>2]|0;J=G;while(1){if((J|0)==(H|0)){K=I;break}i[I>>0]=i[J>>0]|0;I=I+1|0;J=J+1|0}k[c>>2]=K;F=E}break}case 4:{J=k[c>>2]|0;I=h?E+1|0:E;H=I;while(1){if(H>>>0>=f>>>0){L=H;break}G=i[H>>0]|0;if(G<<24>>24<=-1){L=H;break}if(!(j[(k[z>>2]|0)+(G<<24>>24<<1)>>1]&2048)){L=H;break}H=H+1|0}if(A){H=L;G=r;while(1){M=(G|0)>0;if(!(H>>>0>I>>>0&M))break;N=H+-1|0;O=i[N>>0]|0;P=k[c>>2]|0;k[c>>2]=P+1;i[P>>0]=O;H=N;G=G+-1|0}if(M)Q=ed[k[(k[g>>2]|0)+28>>2]&511](g,48)|0;else Q=0;N=G;while(1){O=k[c>>2]|0;k[c>>2]=O+1;if((N|0)<=0){R=O;break}i[O>>0]=Q;N=N+-1|0}i[R>>0]=m;S=H}else S=L;b:do if((S|0)==(I|0)){N=ed[k[(k[g>>2]|0)+28>>2]&511](g,48)|0;G=k[c>>2]|0;k[c>>2]=G+1;i[G>>0]=N}else{N=i[o>>0]|0;G=(N&1)==0;if(!((G?(N&255)>>>1:k[B>>2]|0)|0)){T=S;U=-1;V=0;W=0}else{T=S;U=i[(G?D:k[C>>2]|0)>>0]|0;V=0;W=0}while(1){if((T|0)==(I|0))break b;if((W|0)==(U|0)){G=k[c>>2]|0;k[c>>2]=G+1;i[G>>0]=n;G=V+1|0;N=i[o>>0]|0;O=(N&1)==0;if(G>>>0<(O?(N&255)>>>1:k[B>>2]|0)>>>0){N=i[(O?D:k[C>>2]|0)+G>>0]|0;X=N<<24>>24==127?-1:N<<24>>24;Y=G;Z=0}else{X=W;Y=G;Z=0}}else{X=U;Y=V;Z=W}G=T+-1|0;N=i[G>>0]|0;O=k[c>>2]|0;k[c>>2]=O+1;i[O>>0]=N;T=G;U=X;V=Y;W=Z+1|0}}while(0);H=k[c>>2]|0;if((J|0)==(H|0))F=I;else{G=H;H=J;while(1){N=G+-1|0;if(H>>>0>=N>>>0){F=I;break a}O=i[H>>0]|0;i[H>>0]=i[N>>0]|0;i[N>>0]=O;G=N;H=H+1|0}}break}default:F=E}while(0);E=F;e=e+1|0}e=i[q>>0]|0;q=(e&1)==0;F=q?(e&255)>>>1:k[s>>2]|0;if(F>>>0>1){s=q?u:k[t>>2]|0;t=s+F|0;F=k[c>>2]|0;u=s;while(1){s=u+1|0;if((s|0)==(t|0)){_=F;break}i[F>>0]=i[s>>0]|0;F=F+1|0;u=s}k[c>>2]=_}switch(d&176|0){case 32:{k[b>>2]=k[c>>2];break}case 16:break;default:k[b>>2]=a}return}function xAa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0;a=r;r=r+176|0;g=a+56|0;h=a+52|0;j=a+164|0;l=a+161|0;m=a+160|0;n=a+40|0;o=a+28|0;p=a+16|0;q=a+12|0;s=a+60|0;t=a+8|0;u=a+4|0;v=a;w=xva(d)|0;k[h>>2]=w;B=0;x=Xa(238,h|0,49320)|0;y=B;B=0;do if(y&1)z=22;else{A=i[f>>0]|0;C=(A&1)==0;D=f+4|0;if(!((C?(A&255)>>>1:k[D>>2]|0)|0))E=0;else{A=i[(C?f+1|0:k[f+8>>2]|0)>>0]|0;B=0;C=Xa(k[(k[x>>2]|0)+28>>2]|0,x|0,45)|0;F=B;B=0;if(F&1){z=22;break}E=A<<24>>24==C<<24>>24}C=0;while(1){if((C|0)==3)break;k[n+(C<<2)>>2]=0;C=C+1|0}C=0;while(1){if((C|0)==3)break;k[o+(C<<2)>>2]=0;C=C+1|0}C=0;while(1){if((C|0)==3)break;k[p+(C<<2)>>2]=0;C=C+1|0}B=0;Wa(3,c|0,E|0,h|0,j|0,l|0,m|0,n|0,o|0,p|0,q|0);C=B;B=0;if(!(C&1)){C=i[f>>0]|0;A=k[D>>2]|0;F=(C&1)==0?(C&255)>>>1:A;G=k[q>>2]|0;if((F|0)>(G|0)){H=i[p>>0]|0;I=i[o>>0]|0;J=(F-G<<1|1)+G+((H&1)==0?(H&255)>>>1:k[p+4>>2]|0)+((I&1)==0?(I&255)>>>1:k[o+4>>2]|0)|0}else{I=i[p>>0]|0;H=i[o>>0]|0;J=G+2+((I&1)==0?(I&255)>>>1:k[p+4>>2]|0)+((H&1)==0?(H&255)>>>1:k[o+4>>2]|0)|0}if(J>>>0>100){H=lua(J)|0;I=H;if(!H){B=0;fb(7);F=B;B=0;if(F&1)K=I;else{L=i[f>>0]|0;M=k[D>>2]|0;N=I;O=0;z=26}}else{L=C;M=A;N=I;O=H;z=26}}else{L=C;M=A;N=0;O=s;z=26}if((z|0)==26){A=(L&1)==0;C=A?f+1|0:k[f+8>>2]|0;B=0;Ja(1,O|0,t|0,u|0,k[d+4>>2]|0,C|0,C+(A?(L&255)>>>1:M)|0,x|0,E|0,j|0,i[l>>0]|0,i[m>>0]|0,n|0,o|0,p|0,G|0);G=B;B=0;if(!(G&1)?(k[v>>2]=k[b>>2],G=k[t>>2]|0,A=k[u>>2]|0,B=0,k[g>>2]=k[v>>2],C=xa(39,g|0,O|0,G|0,A|0,d|0,e|0)|0,A=B,B=0,!(A&1)):0){if(!N)P=w;else{mua(N);P=k[h>>2]|0}Yua(p);Yua(o);Yua(n);BEa(P)|0;r=a;return C|0}else K=N}C=Rb()|0;A=Q;if(!K){R=C;S=A;T=w}else{mua(K);R=C;S=A;T=k[h>>2]|0}}else{A=Rb()|0;R=A;S=Q;T=w}Yua(p);Yua(o);Yua(n);U=R;V=S;W=T}while(0);if((z|0)==22){z=Rb()|0;U=z;V=Q;W=w}BEa(W)|0;Qb(U|0);return 0}function yAa(a){a=a|0;return}function zAa(a){a=a|0;Sqa(a);return}function AAa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;a=r;r=r+1008|0;g=a+8|0;h=a;j=a+896|0;l=a+888|0;m=a+488|0;n=a+480|0;o=a+892|0;q=a+476|0;s=a+472|0;t=a+460|0;u=a+448|0;v=a+436|0;w=a+432|0;x=a+32|0;y=a+24|0;z=a+20|0;A=a+16|0;k[l>>2]=j;p[g>>3]=f;C=pta(j,100,159241,g)|0;do if(C>>>0>99){B=0;j=bb(3)|0;D=B;B=0;if(!(D&1)?(B=0,p[h>>3]=f,D=cb(69,l|0,j|0,159241,h|0)|0,j=B,B=0,!(j&1)):0){j=k[l>>2]|0;if(!j){B=0;fb(7);E=B;B=0;if(E&1){F=0;G=0;H=8;break}I=k[l>>2]|0}else I=j;j=lua(D<<2)|0;E=j;if(!j){B=0;fb(7);J=B;B=0;if(J&1){F=E;G=I;H=8}else{K=0;L=E;M=I;N=D;H=11}}else{K=j;L=E;M=I;N=D;H=11}}else{F=0;G=0;H=8}}else{K=m;L=0;M=0;N=C;H=11}while(0);if((H|0)==11){B=0;C=ya(421,d|0)|0;m=B;B=0;if(m&1){F=L;G=M;H=8}else{k[n>>2]=C;B=0;m=Xa(238,n|0,49312)|0;I=B;B=0;if(!(I&1)?(I=k[l>>2]|0,B=0,cb(k[(k[m>>2]|0)+48>>2]|0,m|0,I|0,I+N|0,K|0)|0,I=B,B=0,!(I&1)):0){if(!N)O=0;else O=(i[k[l>>2]>>0]|0)==45;l=0;while(1){if((l|0)==3)break;k[t+(l<<2)>>2]=0;l=l+1|0}l=0;while(1){if((l|0)==3)break;k[u+(l<<2)>>2]=0;l=l+1|0}l=0;while(1){if((l|0)==3)break;k[v+(l<<2)>>2]=0;l=l+1|0}B=0;Wa(4,c|0,O|0,n|0,o|0,q|0,s|0,t|0,u|0,v|0,w|0);c=B;B=0;if(!(c&1)){c=k[w>>2]|0;if((N|0)>(c|0)){w=i[v>>0]|0;l=i[u>>0]|0;P=(N-c<<1|1)+c+((w&1)==0?(w&255)>>>1:k[v+4>>2]|0)+((l&1)==0?(l&255)>>>1:k[u+4>>2]|0)|0}else{l=i[v>>0]|0;w=i[u>>0]|0;P=c+2+((l&1)==0?(l&255)>>>1:k[v+4>>2]|0)+((w&1)==0?(w&255)>>>1:k[u+4>>2]|0)|0}if(P>>>0>100){w=lua(P<<2)|0;P=w;if(!w){B=0;fb(7);l=B;B=0;if(l&1)R=P;else{S=P;T=0;H=36}}else{S=P;T=w;H=36}}else{S=0;T=x;H=36}if((H|0)==36){B=0;Ja(2,T|0,y|0,z|0,k[d+4>>2]|0,K|0,K+(N<<2)|0,m|0,O|0,o|0,k[q>>2]|0,k[s>>2]|0,t|0,u|0,v|0,c|0);c=B;B=0;if(!(c&1)?(k[A>>2]=k[b>>2],b=k[y>>2]|0,y=k[z>>2]|0,B=0,k[g>>2]=k[A>>2],A=xa(40,g|0,T|0,b|0,y|0,d|0,e|0)|0,e=B,B=0,!(e&1)):0){if(!S)U=C;else{mua(S);U=k[n>>2]|0}kva(v);kva(u);Yua(t);BEa(U)|0;if(L)mua(L);if(M)mua(M);r=a;return A|0}else R=S}S=Rb()|0;A=Q;if(!R){V=S;W=A;X=C}else{mua(R);V=S;W=A;X=k[n>>2]|0}}else{n=Rb()|0;V=n;W=Q;X=C}kva(v);kva(u);Yua(t);Y=V;Z=W;_=X}else{X=Rb()|0;Y=X;Z=Q;_=C}BEa(_)|0;$=Y;aa=Z;ba=L;ca=M}}if((H|0)==8){H=Rb()|0;$=H;aa=Q;ba=F;ca=G}if(ba)mua(ba);if(ca)mua(ca);Qb($|0);return 0}function BAa(a,b,c,d,e,f,g,h,j,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;m=r;r=r+112|0;n=m+108|0;o=m+96|0;p=m+92|0;q=m+80|0;s=m+68|0;t=m+56|0;u=m+52|0;v=m+40|0;w=m+36|0;x=m+24|0;y=m+12|0;z=m;if(a){a=$Aa(c,49056)|0;A=k[a>>2]|0;if(b){Fc[k[A+44>>2]&1023](n,a);C=k[n>>2]|0;i[d>>0]=C;i[d+1>>0]=C>>8;i[d+2>>0]=C>>16;i[d+3>>0]=C>>24;Fc[k[(k[a>>2]|0)+32>>2]&1023](o,a);if(!(i[j>>0]&1))i[j>>0]=0;else k[k[j+8>>2]>>2]=0;k[j+4>>2]=0;B=0;wa(530,j|0,0);C=B;B=0;if(C&1){C=Rb(0)|0;Dd(C)};k[j>>2]=k[o>>2];k[j+4>>2]=k[o+4>>2];k[j+8>>2]=k[o+8>>2];C=0;while(1){if((C|0)==3)break;k[o+(C<<2)>>2]=0;C=C+1|0}kva(o)}else{Fc[k[A+40>>2]&1023](p,a);A=k[p>>2]|0;i[d>>0]=A;i[d+1>>0]=A>>8;i[d+2>>0]=A>>16;i[d+3>>0]=A>>24;Fc[k[(k[a>>2]|0)+28>>2]&1023](q,a);if(!(i[j>>0]&1))i[j>>0]=0;else k[k[j+8>>2]>>2]=0;k[j+4>>2]=0;B=0;wa(530,j|0,0);A=B;B=0;if(A&1){A=Rb(0)|0;Dd(A)};k[j>>2]=k[q>>2];k[j+4>>2]=k[q+4>>2];k[j+8>>2]=k[q+8>>2];A=0;while(1){if((A|0)==3)break;k[q+(A<<2)>>2]=0;A=A+1|0}kva(q)}q=Hc[k[(k[a>>2]|0)+12>>2]&511](a)|0;k[e>>2]=q;q=Hc[k[(k[a>>2]|0)+16>>2]&511](a)|0;k[f>>2]=q;Fc[k[(k[a>>2]|0)+20>>2]&1023](s,a);if(!(i[g>>0]&1)){i[g+1>>0]=0;i[g>>0]=0}else{i[k[g+8>>2]>>0]=0;k[g+4>>2]=0}B=0;wa(528,g|0,0);q=B;B=0;if(q&1){q=Rb(0)|0;Dd(q)};k[g>>2]=k[s>>2];k[g+4>>2]=k[s+4>>2];k[g+8>>2]=k[s+8>>2];q=0;while(1){if((q|0)==3)break;k[s+(q<<2)>>2]=0;q=q+1|0}Yua(s);Fc[k[(k[a>>2]|0)+24>>2]&1023](t,a);if(!(i[h>>0]&1))i[h>>0]=0;else k[k[h+8>>2]>>2]=0;k[h+4>>2]=0;B=0;wa(530,h|0,0);s=B;B=0;if(s&1){s=Rb(0)|0;Dd(s)};k[h>>2]=k[t>>2];k[h+4>>2]=k[t+4>>2];k[h+8>>2]=k[t+8>>2];s=0;while(1){if((s|0)==3)break;k[t+(s<<2)>>2]=0;s=s+1|0}kva(t);D=Hc[k[(k[a>>2]|0)+36>>2]&511](a)|0}else{a=$Aa(c,48992)|0;c=k[a>>2]|0;if(b){Fc[k[c+44>>2]&1023](u,a);b=k[u>>2]|0;i[d>>0]=b;i[d+1>>0]=b>>8;i[d+2>>0]=b>>16;i[d+3>>0]=b>>24;Fc[k[(k[a>>2]|0)+32>>2]&1023](v,a);if(!(i[j>>0]&1))i[j>>0]=0;else k[k[j+8>>2]>>2]=0;k[j+4>>2]=0;B=0;wa(530,j|0,0);b=B;B=0;if(b&1){b=Rb(0)|0;Dd(b)};k[j>>2]=k[v>>2];k[j+4>>2]=k[v+4>>2];k[j+8>>2]=k[v+8>>2];b=0;while(1){if((b|0)==3)break;k[v+(b<<2)>>2]=0;b=b+1|0}kva(v)}else{Fc[k[c+40>>2]&1023](w,a);c=k[w>>2]|0;i[d>>0]=c;i[d+1>>0]=c>>8;i[d+2>>0]=c>>16;i[d+3>>0]=c>>24;Fc[k[(k[a>>2]|0)+28>>2]&1023](x,a);if(!(i[j>>0]&1))i[j>>0]=0;else k[k[j+8>>2]>>2]=0;k[j+4>>2]=0;B=0;wa(530,j|0,0);c=B;B=0;if(c&1){c=Rb(0)|0;Dd(c)};k[j>>2]=k[x>>2];k[j+4>>2]=k[x+4>>2];k[j+8>>2]=k[x+8>>2];j=0;while(1){if((j|0)==3)break;k[x+(j<<2)>>2]=0;j=j+1|0}kva(x)}x=Hc[k[(k[a>>2]|0)+12>>2]&511](a)|0;k[e>>2]=x;x=Hc[k[(k[a>>2]|0)+16>>2]&511](a)|0;k[f>>2]=x;Fc[k[(k[a>>2]|0)+20>>2]&1023](y,a);if(!(i[g>>0]&1)){i[g+1>>0]=0;i[g>>0]=0}else{i[k[g+8>>2]>>0]=0;k[g+4>>2]=0}B=0;wa(528,g|0,0);x=B;B=0;if(x&1){x=Rb(0)|0;Dd(x)};k[g>>2]=k[y>>2];k[g+4>>2]=k[y+4>>2];k[g+8>>2]=k[y+8>>2];g=0;while(1){if((g|0)==3)break;k[y+(g<<2)>>2]=0;g=g+1|0}Yua(y);Fc[k[(k[a>>2]|0)+24>>2]&1023](z,a);if(!(i[h>>0]&1))i[h>>0]=0;else k[k[h+8>>2]>>2]=0;k[h+4>>2]=0;B=0;wa(530,h|0,0);y=B;B=0;if(y&1){y=Rb(0)|0;Dd(y)};k[h>>2]=k[z>>2];k[h+4>>2]=k[z+4>>2];k[h+8>>2]=k[z+8>>2];h=0;while(1){if((h|0)==3)break;k[z+(h<<2)>>2]=0;h=h+1|0}kva(z);D=Hc[k[(k[a>>2]|0)+36>>2]&511](a)|0}k[l>>2]=D;r=m;return}function CAa(a,b,c,d,e,f,g,h,j,l,m,n,o,p,q){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;k[c>>2]=a;r=p+4|0;s=p+8|0;t=o+4|0;u=(d&512|0)==0;v=o+8|0;w=(q|0)>0;x=n+4|0;y=n+8|0;z=n+1|0;A=e;e=0;while(1){if((e|0)==4)break;a:do switch(i[j+e>>0]|0){case 0:{k[b>>2]=k[c>>2];B=A;break}case 1:{k[b>>2]=k[c>>2];C=ed[k[(k[g>>2]|0)+44>>2]&511](g,32)|0;D=k[c>>2]|0;k[c>>2]=D+4;k[D>>2]=C;B=A;break}case 3:{C=i[p>>0]|0;D=(C&1)==0;if(!((D?(C&255)>>>1:k[r>>2]|0)|0))B=A;else{C=k[(D?r:k[s>>2]|0)>>2]|0;D=k[c>>2]|0;k[c>>2]=D+4;k[D>>2]=C;B=A}break}case 2:{C=i[o>>0]|0;D=(C&1)==0;E=D?(C&255)>>>1:k[t>>2]|0;if(u|(E|0)==0)B=A;else{C=D?t:k[v>>2]|0;D=C+(E<<2)|0;F=k[c>>2]|0;G=F;H=C;while(1){if((H|0)==(D|0))break;k[G>>2]=k[H>>2];G=G+4|0;H=H+4|0}k[c>>2]=F+(E<<2);B=A}break}case 4:{H=k[c>>2]|0;G=h?A+4|0:A;D=G;while(1){if(D>>>0>=f>>>0){I=D;break}if(!(Rc[k[(k[g>>2]|0)+12>>2]&63](g,2048,k[D>>2]|0)|0)){I=D;break}D=D+4|0}if(w){D=I;E=q;while(1){J=(E|0)>0;if(!(D>>>0>G>>>0&J))break;F=D+-4|0;C=k[F>>2]|0;K=k[c>>2]|0;k[c>>2]=K+4;k[K>>2]=C;D=F;E=E+-1|0}if(J)L=ed[k[(k[g>>2]|0)+44>>2]&511](g,48)|0;else L=0;F=k[c>>2]|0;C=E;while(1){K=F+4|0;if((C|0)<=0){M=F;N=K;break}k[F>>2]=L;F=K;C=C+-1|0}k[c>>2]=N;k[M>>2]=l;O=D}else O=I;if((O|0)==(G|0)){C=ed[k[(k[g>>2]|0)+44>>2]&511](g,48)|0;F=k[c>>2]|0;E=F+4|0;k[c>>2]=E;k[F>>2]=C;P=E}else{E=i[n>>0]|0;C=(E&1)==0;F=k[x>>2]|0;if(!((C?(E&255)>>>1:F)|0)){Q=O;R=-1;S=0;T=0}else{Q=O;R=i[(C?z:k[y>>2]|0)>>0]|0;S=0;T=0}while(1){if((Q|0)==(G|0))break;C=k[c>>2]|0;if((T|0)==(R|0)){E=C+4|0;k[c>>2]=E;k[C>>2]=m;K=S+1|0;U=i[n>>0]|0;V=(U&1)==0;if(K>>>0<(V?(U&255)>>>1:F)>>>0){U=i[(V?z:k[y>>2]|0)+K>>0]|0;W=E;X=U<<24>>24==127?-1:U<<24>>24;Y=K;Z=0}else{W=E;X=T;Y=K;Z=0}}else{W=C;X=R;Y=S;Z=T}C=Q+-4|0;K=k[C>>2]|0;k[c>>2]=W+4;k[W>>2]=K;Q=C;R=X;S=Y;T=Z+1|0}P=k[c>>2]|0}if((H|0)==(P|0))B=G;else{F=P;D=H;while(1){C=F+-4|0;if(D>>>0>=C>>>0){B=G;break a}K=k[D>>2]|0;k[D>>2]=k[C>>2];k[C>>2]=K;F=C;D=D+4|0}}break}default:B=A}while(0);A=B;e=e+1|0}e=i[p>>0]|0;p=(e&1)==0;B=p?(e&255)>>>1:k[r>>2]|0;if(B>>>0>1){e=p?r:k[s>>2]|0;s=e+4|0;r=e+(B<<2)|0;B=k[c>>2]|0;e=r-s|0;p=B;A=s;while(1){if((A|0)==(r|0))break;k[p>>2]=k[A>>2];p=p+4|0;A=A+4|0}k[c>>2]=B+(e>>>2<<2)}switch(d&176|0){case 32:{k[b>>2]=k[c>>2];break}case 16:break;default:k[b>>2]=a}return}function DAa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0;a=r;r=r+480|0;g=a+468|0;h=a+464|0;j=a+472|0;l=a+460|0;m=a+456|0;n=a+444|0;o=a+432|0;p=a+420|0;q=a+416|0;s=a+16|0;t=a+8|0;u=a+4|0;v=a;w=xva(d)|0;k[h>>2]=w;B=0;x=Xa(238,h|0,49312)|0;y=B;B=0;do if(y&1)z=22;else{A=i[f>>0]|0;C=(A&1)==0;D=f+4|0;if(!((C?(A&255)>>>1:k[D>>2]|0)|0))E=0;else{A=k[(C?D:k[f+8>>2]|0)>>2]|0;B=0;C=Xa(k[(k[x>>2]|0)+44>>2]|0,x|0,45)|0;F=B;B=0;if(F&1){z=22;break}E=(A|0)==(C|0)}C=0;while(1){if((C|0)==3)break;k[n+(C<<2)>>2]=0;C=C+1|0}C=0;while(1){if((C|0)==3)break;k[o+(C<<2)>>2]=0;C=C+1|0}C=0;while(1){if((C|0)==3)break;k[p+(C<<2)>>2]=0;C=C+1|0}B=0;Wa(4,c|0,E|0,h|0,j|0,l|0,m|0,n|0,o|0,p|0,q|0);C=B;B=0;if(!(C&1)){C=i[f>>0]|0;A=k[D>>2]|0;F=(C&1)==0?(C&255)>>>1:A;G=k[q>>2]|0;if((F|0)>(G|0)){H=i[p>>0]|0;I=i[o>>0]|0;J=(F-G<<1|1)+G+((H&1)==0?(H&255)>>>1:k[p+4>>2]|0)+((I&1)==0?(I&255)>>>1:k[o+4>>2]|0)|0}else{I=i[p>>0]|0;H=i[o>>0]|0;J=G+2+((I&1)==0?(I&255)>>>1:k[p+4>>2]|0)+((H&1)==0?(H&255)>>>1:k[o+4>>2]|0)|0}if(J>>>0>100){H=lua(J<<2)|0;I=H;if(!H){B=0;fb(7);F=B;B=0;if(F&1)K=I;else{L=i[f>>0]|0;M=k[D>>2]|0;N=I;O=0;z=26}}else{L=C;M=A;N=I;O=H;z=26}}else{L=C;M=A;N=0;O=s;z=26}if((z|0)==26){A=(L&1)==0;C=A?D:k[f+8>>2]|0;B=0;Ja(2,O|0,t|0,u|0,k[d+4>>2]|0,C|0,C+((A?(L&255)>>>1:M)<<2)|0,x|0,E|0,j|0,k[l>>2]|0,k[m>>2]|0,n|0,o|0,p|0,G|0);G=B;B=0;if(!(G&1)?(k[v>>2]=k[b>>2],G=k[t>>2]|0,A=k[u>>2]|0,B=0,k[g>>2]=k[v>>2],C=xa(40,g|0,O|0,G|0,A|0,d|0,e|0)|0,A=B,B=0,!(A&1)):0){if(!N)P=w;else{mua(N);P=k[h>>2]|0}kva(p);kva(o);Yua(n);BEa(P)|0;r=a;return C|0}else K=N}C=Rb()|0;A=Q;if(!K){R=C;S=A;T=w}else{mua(K);R=C;S=A;T=k[h>>2]|0}}else{A=Rb()|0;R=A;S=Q;T=w}kva(p);kva(o);Yua(n);U=R;V=S;W=T}while(0);if((z|0)==22){z=Rb()|0;U=z;V=Q;W=w}BEa(W)|0;Qb(U|0);return 0}function EAa(a){a=a|0;return}function FAa(a){a=a|0;Sqa(a);return}function GAa(a,b,c){a=a|0;b=b|0;c=c|0;c=$ra((i[b>>0]&1)==0?b+1|0:k[b+8>>2]|0,1)|0;return c>>>((c|0)!=(-1|0)&1)|0}function HAa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;b=r;r=r+16|0;g=b;h=0;while(1){if((h|0)==3)break;k[g+(h<<2)>>2]=0;h=h+1|0}h=i[f>>0]|0;j=(h&1)==0;l=j?f+1|0:k[f+8>>2]|0;m=l+(j?(h&255)>>>1:k[f+4>>2]|0)|0;f=l;while(1){if(f>>>0>=m>>>0){n=8;break}B=0;wa(503,g|0,i[f>>0]|0);l=B;B=0;if(l&1){n=9;break}f=f+1|0}do if((n|0)==8){B=0;f=cb(71,((c|0)==-1?-1:c<<1)|0,d|0,e|0,((i[g>>0]&1)==0?g+1|0:k[g+8>>2]|0)|0)|0;m=B;B=0;if(m&1){m=Rb()|0;o=m;p=Q;n=11;break}m=0;while(1){if((m|0)==3)break;k[a+(m<<2)>>2]=0;m=m+1|0}m=f+(Lta(f)|0)|0;l=f;while(1){if(l>>>0>=m>>>0){n=20;break}B=0;wa(503,a|0,i[l>>0]|0);h=B;B=0;if(h&1){n=19;break}l=l+1|0}if((n|0)==19){l=Rb()|0;m=Q;Yua(a);q=l;s=m;break}else if((n|0)==20){Yua(g);r=b;return}}else if((n|0)==9){m=Rb()|0;o=m;p=Q;n=11}while(0);if((n|0)==11){q=o;s=p}Yua(g);Qb(q|0)}function IAa(a,b){a=a|0;b=b|0;return}function JAa(a){a=a|0;return}function KAa(a){a=a|0;Sqa(a);return}function LAa(a,b,c){a=a|0;b=b|0;c=c|0;c=$ra((i[b>>0]&1)==0?b+1|0:k[b+8>>2]|0,1)|0;return c>>>((c|0)!=(-1|0)&1)|0}function MAa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;b=r;r=r+224|0;g=b+184|0;h=b+192|0;j=b+180|0;l=b+176|0;m=b+168|0;n=b+40|0;o=b+32|0;p=b+28|0;q=b+16|0;s=b+8|0;t=b;u=0;while(1){if((u|0)==3)break;k[q+(u<<2)>>2]=0;u=u+1|0}k[s+4>>2]=0;k[s>>2]=49796;u=i[f>>0]|0;v=(u&1)==0;w=f+4|0;x=v?w:k[f+8>>2]|0;f=x+((v?(u&255)>>>1:k[w>>2]|0)<<2)|0;w=h+32|0;u=x;x=0;a:while(1){if(!((x|0)!=2&u>>>0<f>>>0)){y=13;break}k[l>>2]=u;B=0;v=gb(k[(k[s>>2]|0)+12>>2]|0,s|0,g|0,u|0,f|0,l|0,h|0,w|0,j|0)|0;z=B;B=0;if(z&1){y=16;break}if((v|0)==2?1:(k[l>>2]|0)==(u|0)){y=8;break}else A=h;while(1){if(A>>>0>=(k[j>>2]|0)>>>0)break;B=0;wa(503,q|0,i[A>>0]|0);z=B;B=0;if(z&1){y=15;break a}A=A+1|0}u=k[l>>2]|0;x=v}do if((y|0)==8){B=0;va(553,159178);B=0;x=Rb()|0;C=x;D=Q;y=17}else if((y|0)==13){B=0;x=cb(71,((c|0)==-1?-1:c<<1)|0,d|0,e|0,((i[q>>0]&1)==0?q+1|0:k[q+8>>2]|0)|0)|0;l=B;B=0;if(l&1){l=Rb()|0;E=l;F=Q;break}l=0;while(1){if((l|0)==3)break;k[a+(l<<2)>>2]=0;l=l+1|0}k[t+4>>2]=0;k[t>>2]=49844;l=x+(Lta(x)|0)|0;v=l;u=n+128|0;A=x;j=0;b:while(1){if(!((j|0)!=2&A>>>0<l>>>0)){y=30;break}k[p>>2]=A;B=0;h=gb(k[(k[t>>2]|0)+16>>2]|0,t|0,m|0,A|0,((v-A|0)>32?A+32|0:l)|0,p|0,n|0,u|0,o|0)|0;w=B;B=0;if(w&1){y=32;break}if((h|0)==2?1:(k[p>>2]|0)==(A|0)){y=25;break}else G=n;while(1){if(G>>>0>=(k[o>>2]|0)>>>0)break;B=0;wa(529,a|0,k[G>>2]|0);w=B;B=0;if(w&1){y=31;break b}G=G+4|0}A=k[p>>2]|0;j=h}if((y|0)==25){B=0;va(553,159178);B=0;j=Rb()|0;H=j;I=Q}else if((y|0)==30){Yua(q);r=b;return}else if((y|0)==31){j=Rb()|0;H=j;I=Q}else if((y|0)==32){j=Rb()|0;H=j;I=Q}kva(a);E=H;F=I}else if((y|0)==15){j=Rb()|0;C=j;D=Q;y=17}else if((y|0)==16){j=Rb()|0;C=j;D=Q;y=17}while(0);if((y|0)==17){E=C;F=D}Yua(q);Qb(E|0)}function NAa(a,b){a=a|0;b=b|0;return}function OAa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;k[a+4>>2]=b+-1;k[a>>2]=49296;b=a+8|0;B=0;wa(531,b|0,28);c=B;B=0;if(c&1){c=Rb()|0;d=Q;e=c}else{c=a+144|0;B=0;eb(502,c|0,159108,1);f=B;B=0;if(f&1){f=Rb()|0;g=Q;h=f}else{f=k[b>>2]|0;j=a+12|0;l=k[j>>2]|0;while(1){if((l|0)==(f|0))break;m=l+-4|0;k[j>>2]=m;l=m}k[6637]=0;k[6636]=48224;B=0;wa(532,a|0,26544);l=B;B=0;do if((((((((((((((!(l&1)?(k[6639]=0,k[6638]=48264,B=0,wa(533,a|0,26552),j=B,B=0,!(j&1)):0)?(k[6641]=0,k[6640]=49336,k[6642]=0,i[26572]=0,j=fBa()|0,k[6642]=j,B=0,wa(534,a|0,26560),j=B,B=0,!(j&1)):0)?(k[6645]=0,k[6644]=49584,B=0,wa(535,a|0,26576),j=B,B=0,!(j&1)):0)?(k[6647]=0,k[6646]=49652,B=0,wa(536,a|0,26584),j=B,B=0,!(j&1)):0)?(B=0,wa(537,26592,1),j=B,B=0,!(j&1)):0)?(B=0,wa(538,a|0,26592),j=B,B=0,!(j&1)):0)?(k[6653]=0,k[6652]=49700,B=0,wa(539,a|0,26608),j=B,B=0,!(j&1)):0)?(k[6655]=0,k[6654]=49748,B=0,wa(540,a|0,26616),j=B,B=0,!(j&1)):0)?(kCa(26624,1),B=0,wa(541,a|0,26624),j=B,B=0,!(j&1)):0)?(lCa(26648,1),B=0,wa(542,a|0,26648),j=B,B=0,!(j&1)):0)?(k[6671]=0,k[6670]=48304,B=0,wa(543,a|0,26680),j=B,B=0,!(j&1)):0)?(k[6673]=0,k[6672]=48376,B=0,wa(544,a|0,26688),j=B,B=0,!(j&1)):0)?(k[6675]=0,k[6674]=48448,B=0,wa(545,a|0,26696),j=B,B=0,!(j&1)):0)?(k[6677]=0,k[6676]=48508,B=0,wa(546,a|0,26704),j=B,B=0,!(j&1)):0){k[6679]=0;k[6678]=48816;B=0;wa(547,a|0,26712);j=B;B=0;if(j&1){n=42;break}k[6681]=0;k[6680]=48880;B=0;wa(548,a|0,26720);j=B;B=0;if(j&1){n=42;break}k[6683]=0;k[6682]=48944;B=0;wa(549,a|0,26728);j=B;B=0;if(j&1){n=42;break}k[6685]=0;k[6684]=49008;B=0;wa(550,a|0,26736);j=B;B=0;if(j&1){n=42;break}k[6687]=0;k[6686]=49072;B=0;wa(551,a|0,26744);j=B;B=0;if(j&1){n=42;break}k[6689]=0;k[6688]=49108;B=0;wa(552,a|0,26752);j=B;B=0;if(j&1){n=42;break}k[6691]=0;k[6690]=49144;B=0;wa(553,a|0,26760);j=B;B=0;if(j&1){n=42;break}k[6693]=0;k[6692]=49180;B=0;wa(554,a|0,26768);j=B;B=0;if(j&1){n=42;break}k[6695]=0;k[6694]=48568;k[6696]=48616;B=0;wa(555,a|0,26776);j=B;B=0;if(j&1){n=42;break}k[6699]=0;k[6698]=48660;k[6700]=48708;B=0;wa(556,a|0,26792);j=B;B=0;if(j&1){n=42;break}k[6703]=0;k[6702]=49564;B=0;j=bb(3)|0;f=B;B=0;if(f&1){f=Rb()|0;o=Q;p=f;break}k[6704]=j;k[6702]=48752;B=0;wa(557,a|0,26808);j=B;B=0;if(j&1){n=42;break}k[6707]=0;k[6706]=49564;B=0;j=bb(3)|0;f=B;B=0;if(f&1){f=Rb()|0;o=Q;p=f;break}k[6708]=j;k[6706]=48784;B=0;wa(558,a|0,26824);j=B;B=0;if(j&1){n=42;break}k[6711]=0;k[6710]=49216;B=0;wa(559,a|0,26840);j=B;B=0;if(j&1){n=42;break}k[6713]=0;k[6712]=49256;B=0;wa(560,a|0,26848);j=B;B=0;if(j&1){n=42;break}return}else n=42;while(0);if((n|0)==42){n=Rb()|0;o=Q;p=n}Yua(c);g=o;h=p}WDa(b);d=g;e=h}Qb(e|0)}function PAa(){var a=0;do if((i[26856]|0)==0?(Gb(26856)|0)!=0:0){B=0;bb(4)|0;a=B;B=0;if(a&1){a=Rb()|0;sc(26856);Qb(a|0)}else{k[12521]=50080;Eb(26856);break}}while(0);return k[12521]|0}function QAa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;AEa(b);d=a+8|0;e=k[d>>2]|0;do if((k[a+12>>2]|0)-e>>2>>>0>c>>>0){f=d;g=e}else{B=0;wa(561,d|0,c+1|0);h=B;B=0;if(!(h&1)){f=d;g=k[d>>2]|0;break}h=Rb()|0;if(b)BEa(b)|0;Qb(h|0)}while(0);d=k[g+(c<<2)>>2]|0;if(!d)i=g;else{BEa(d)|0;i=k[f>>2]|0}k[i+(c<<2)>>2]=b;return}function RAa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a>>2]=49296;b=a+8|0;c=a+12|0;d=0;while(1){e=k[b>>2]|0;if(d>>>0>=(k[c>>2]|0)-e>>2>>>0)break;f=k[e+(d<<2)>>2]|0;if(f)BEa(f)|0;d=d+1|0}Yua(a+144|0);WDa(b);return}function SAa(a){a=a|0;RAa(a);Sqa(a);return}function TAa(a,b){a=a|0;b=b|0;if(YDa(a,b)|0)return k[(k[a+8>>2]|0)+(b<<2)>>2]|0;else{b=Ab(4)|0;era(b);jc(b|0,25248,352)}return 0}function UAa(){OAa(26864,1);k[12520]=26864;return 50080}function VAa(){var a=0,b=0;a=PAa()|0;b=k[a>>2]|0;k[12522]=b;AEa(b);return 50088}function WAa(){var a=0;do if((i[27024]|0)==0?(Gb(27024)|0)!=0:0){B=0;bb(5)|0;a=B;B=0;if(a&1){a=Rb()|0;sc(27024);Qb(a|0)}else{k[12523]=50088;Eb(27024);break}}while(0);return k[12523]|0}function XAa(a){a=a|0;var b=0,c=0;B=0;b=bb(6)|0;c=B;B=0;if(c&1){c=Rb(0)|0;Dd(c)}else{c=k[b>>2]|0;k[a>>2]=c;AEa(c);return}}function YAa(a,b){a=a|0;b=b|0;var c=0;c=k[b>>2]|0;k[a>>2]=c;AEa(c);return}function ZAa(a){a=a|0;BEa(k[a>>2]|0)|0;return}function _Aa(a){a=a|0;var b=0,c=0;b=r;r=r+16|0;c=b;if((k[a>>2]|0)!=-1){k[c>>2]=a;k[c+4>>2]=554;k[c+8>>2]=0;OEa(a,c,555)}r=b;return (k[a+4>>2]|0)+-1|0}function $Aa(a,b){a=a|0;b=b|0;var c=0;c=k[a>>2]|0;return TAa(c,_Aa(b)|0)|0}function aBa(a){a=a|0;Sqa(a);return}function bBa(a){a=a|0;if(a)Ec[k[(k[a>>2]|0)+4>>2]&1023](a);return}function cBa(a){a=a|0;var b=0;b=k[12327]|0;k[12327]=b+1;k[a+4>>2]=b+1;return}function dBa(a){a=a|0;Sqa(a);return}function eBa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(c>>>0<128){a=(fBa()|0)+(c<<1)|0;d=(j[a>>1]&b)<<16>>16!=0}else d=0;return d|0}function fBa(){var a=0,b=0;B=0;a=bb(7)|0;b=B;B=0;if(b&1){b=Rb(0)|0;Dd(b)}else return k[a>>2]|0;return 0}function gBa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;a=(c-b|0)>>>2;e=d;d=b;while(1){if((d|0)==(c|0))break;f=k[d>>2]|0;if(f>>>0<128){g=(fBa()|0)+(f<<1)|0;h=m[g>>1]|0}else h=0;j[e>>1]=h;e=e+2|0;d=d+4|0}return b+(a<<2)|0}function hBa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;a=c;while(1){if((a|0)==(d|0)){e=d;break}c=k[a>>2]|0;if(c>>>0<128?(f=(fBa()|0)+(c<<1)|0,(j[f>>1]&b)<<16>>16!=0):0){e=a;break}a=a+4|0}return e|0}function iBa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;a=c;while(1){if((a|0)==(d|0)){e=d;break}c=k[a>>2]|0;if(c>>>0>=128){e=a;break}f=(fBa()|0)+(c<<1)|0;if(!((j[f>>1]&b)<<16>>16)){e=a;break}a=a+4|0}return e|0}function jBa(a,b){a=a|0;b=b|0;var c=0;if(b>>>0<128){a=(kBa()|0)+(b<<2)|0;c=k[a>>2]|0}else c=b;return c|0}function kBa(){var a=0,b=0;B=0;a=bb(8)|0;b=B;B=0;if(b&1){b=Rb(0)|0;Dd(b)}else return k[a>>2]|0;return 0}function lBa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;a=(c-b|0)>>>2;d=b;while(1){if((d|0)==(c|0))break;e=k[d>>2]|0;if(e>>>0<128){f=(kBa()|0)+(e<<2)|0;g=k[f>>2]|0}else g=e;k[d>>2]=g;d=d+4|0}return b+(a<<2)|0}function mBa(a,b){a=a|0;b=b|0;var c=0;if(b>>>0<128){a=(nBa()|0)+(b<<2)|0;c=k[a>>2]|0}else c=b;return c|0}function nBa(){var a=0,b=0;B=0;a=bb(9)|0;b=B;B=0;if(b&1){b=Rb(0)|0;Dd(b)}else return k[a>>2]|0;return 0}function oBa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;a=(c-b|0)>>>2;d=b;while(1){if((d|0)==(c|0))break;e=k[d>>2]|0;if(e>>>0<128){f=(nBa()|0)+(e<<2)|0;g=k[f>>2]|0}else g=e;k[d>>2]=g;d=d+4|0}return b+(a<<2)|0}function pBa(a,b){a=a|0;b=b|0;return b<<24>>24|0}function qBa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;a=d;d=b;while(1){if((d|0)==(c|0))break;k[a>>2]=i[d>>0];a=a+4|0;d=d+1|0}return c|0}function rBa(a,b,c){a=a|0;b=b|0;c=c|0;return (b>>>0<128?b&255:c)|0}function sBa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;a=(c-b|0)>>>2;f=e;e=b;while(1){if((e|0)==(c|0))break;g=k[e>>2]|0;i[f>>0]=g>>>0<128?g&255:d;f=f+1|0;e=e+4|0}return b+(a<<2)|0}function tBa(a){a=a|0;var b=0;k[a>>2]=49336;b=k[a+8>>2]|0;if((b|0)!=0?(i[a+12>>0]|0)!=0:0)Tqa(b);return}function uBa(a){a=a|0;tBa(a);Sqa(a);return}function vBa(a,b){a=a|0;b=b|0;var c=0;if(b<<24>>24>-1){a=(kBa()|0)+((b&255)<<2)|0;c=k[a>>2]&255}else c=b;return c|0}function wBa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;a=b;while(1){if((a|0)==(c|0))break;b=i[a>>0]|0;if(b<<24>>24>-1){d=(kBa()|0)+(b<<24>>24<<2)|0;e=k[d>>2]&255}else e=b;i[a>>0]=e;a=a+1|0}return c|0}function xBa(a,b){a=a|0;b=b|0;var c=0;if(b<<24>>24>-1){a=(nBa()|0)+(b<<24>>24<<2)|0;c=k[a>>2]&255}else c=b;return c|0}function yBa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;a=b;while(1){if((a|0)==(c|0))break;b=i[a>>0]|0;if(b<<24>>24>-1){d=(nBa()|0)+(b<<24>>24<<2)|0;e=k[d>>2]&255}else e=b;i[a>>0]=e;a=a+1|0}return c|0}function zBa(a,b){a=a|0;b=b|0;return b|0}function ABa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;a=d;d=b;while(1){if((d|0)==(c|0))break;i[a>>0]=i[d>>0]|0;a=a+1|0;d=d+1|0}return c|0}function BBa(a,b,c){a=a|0;b=b|0;c=c|0;return (b<<24>>24>-1?b:c)|0}function CBa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;a=e;e=b;while(1){if((e|0)==(c|0))break;b=i[e>>0]|0;i[a>>0]=b<<24>>24>-1?b:d;a=a+1|0;e=e+1|0}return c|0}function DBa(a){a=a|0;Sqa(a);return}function EBa(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;k[e>>2]=c;k[h>>2]=f;return 3}function FBa(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;k[e>>2]=c;k[h>>2]=f;return 3}function GBa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;k[e>>2]=c;return 3}function HBa(a){a=a|0;return 1}function IBa(a){a=a|0;return 1}function JBa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;b=d-c|0;return (b>>>0<e>>>0?b:e)|0}function KBa(a){a=a|0;return 1}function LBa(a,b){a=a|0;b=b|0;var c=0;k[a+4>>2]=b+-1;k[a>>2]=49404;B=0;b=bb(3)|0;c=B;B=0;if(c&1){c=Rb()|0;Qb(c|0)}else{k[a+8>>2]=b;return}}function MBa(a){a=a|0;PCa(a);Sqa(a);return}function NBa(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;j=r;r=r+16|0;l=j;m=j+8|0;n=c;while(1){if((n|0)==(d|0)){o=d;break}if(!(k[n>>2]|0)){o=n;break}n=n+4|0}k[h>>2]=f;k[e>>2]=c;n=g;p=a+8|0;a=c;c=f;f=o;a:while(1){if((c|0)==(g|0)|(a|0)==(d|0)){q=a;s=53;break}o=b;t=k[o+4>>2]|0;u=l;k[u>>2]=k[o>>2];k[u+4>>2]=t;t=esa(k[p>>2]|0)|0;B=0;u=Ya(25,c|0,e|0,f-a>>2|0,n-c|0,b|0)|0;o=B;B=0;if(o&1){v=t;s=11;break}if((t|0)!=0?(B=0,ya(444,t|0)|0,t=B,B=0,t&1):0){s=10;break}switch(u|0){case -1:{w=a;x=c;s=16;break a;break}case 0:{y=1;s=50;break a;break}default:{}}t=(k[h>>2]|0)+u|0;k[h>>2]=t;if((t|0)==(g|0)){s=51;break}if((f|0)==(d|0)){z=t;A=k[e>>2]|0;C=d}else{t=esa(k[p>>2]|0)|0;B=0;u=Ia(55,m|0,0,b|0)|0;o=B;B=0;if(o&1){D=t;s=36;break}if((t|0)!=0?(B=0,ya(444,t|0)|0,t=B,B=0,t&1):0){s=35;break}if((u|0)==-1){E=2;s=49;break}if(u>>>0>(n-(k[h>>2]|0)|0)>>>0){E=1;s=49;break}else{F=u;G=m}while(1){if(!F)break;u=i[G>>0]|0;t=k[h>>2]|0;k[h>>2]=t+1;i[t>>0]=u;F=F+-1|0;G=G+1|0}u=(k[e>>2]|0)+4|0;k[e>>2]=u;t=u;while(1){if((t|0)==(d|0)){H=d;break}if(!(k[t>>2]|0)){H=t;break}t=t+4|0}z=k[h>>2]|0;A=u;C=H}a=A;c=z;f=C}do if((s|0)==10){C=Rb(0)|0;Dd(C)}else if((s|0)==11){C=Rb()|0;if((v|0)!=0?(B=0,ya(444,v|0)|0,f=B,B=0,f&1):0){f=Rb(0)|0;Dd(f)}Qb(C|0)}else if((s|0)==16){k[h>>2]=x;C=w;f=x;while(1){if((C|0)==(k[e>>2]|0)){I=C;s=28;break}z=k[C>>2]|0;c=esa(k[p>>2]|0)|0;B=0;A=Ia(55,f|0,z|0,l|0)|0;z=B;B=0;if(z&1){J=c;s=22;break}if((c|0)!=0?(B=0,ya(444,c|0)|0,c=B,B=0,c&1):0){s=21;break}if((A|0)==-1){I=C;s=28;break}c=(k[h>>2]|0)+A|0;k[h>>2]=c;C=C+4|0;f=c}if((s|0)==21){f=Rb(0)|0;Dd(f)}else if((s|0)==22){f=Rb()|0;if((J|0)!=0?(B=0,ya(444,J|0)|0,C=B,B=0,C&1):0){C=Rb(0)|0;Dd(C)}Qb(f|0)}else if((s|0)==28){k[e>>2]=I;y=2;s=50;break}}else if((s|0)==35){f=Rb(0)|0;Dd(f)}else if((s|0)==36){f=Rb()|0;if((D|0)!=0?(B=0,ya(444,D|0)|0,C=B,B=0,C&1):0){C=Rb(0)|0;Dd(C)}Qb(f|0)}else if((s|0)==49){y=E;s=50}else if((s|0)==51){q=k[e>>2]|0;s=53}while(0);if((s|0)==50)K=y;else if((s|0)==53)K=(q|0)!=(d|0)&1;r=j;return K|0}function OBa(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;j=r;r=r+16|0;l=j;m=c;while(1){if((m|0)==(d|0)){n=d;break}if(!(i[m>>0]|0)){n=m;break}m=m+1|0}k[h>>2]=f;k[e>>2]=c;m=g;o=a+8|0;a=c;c=f;f=n;a:while(1){if((c|0)==(g|0)|(a|0)==(d|0)){p=a;q=52;break}n=b;s=k[n+4>>2]|0;t=l;k[t>>2]=k[n>>2];k[t+4>>2]=s;s=f;t=esa(k[o>>2]|0)|0;B=0;n=Ya(26,c|0,e|0,s-a|0,m-c>>2|0,b|0)|0;u=B;B=0;if(u&1){v=t;q=11;break}if((t|0)!=0?(B=0,ya(444,t|0)|0,t=B,B=0,t&1):0){q=10;break}switch(n|0){case -1:{w=a;x=c;y=s;q=16;break a;break}case 0:{z=2;q=48;break a;break}default:{}}s=(k[h>>2]|0)+(n<<2)|0;k[h>>2]=s;if((s|0)==(g|0)){q=49;break}n=k[e>>2]|0;if((f|0)==(d|0)){A=n;C=s;D=d}else{t=esa(k[o>>2]|0)|0;B=0;u=cb(72,s|0,n|0,1,b|0)|0;n=B;B=0;if(n&1){E=t;q=39;break}if((t|0)!=0?(B=0,ya(444,t|0)|0,t=B,B=0,t&1):0){q=38;break}if(u){z=2;q=48;break}k[h>>2]=(k[h>>2]|0)+4;u=(k[e>>2]|0)+1|0;k[e>>2]=u;t=u;while(1){if((t|0)==(d|0)){F=d;break}if(!(i[t>>0]|0)){F=t;break}t=t+1|0}A=u;C=k[h>>2]|0;D=F}a=A;c=C;f=D}do if((q|0)==10){D=Rb(0)|0;Dd(D)}else if((q|0)==11){D=Rb()|0;if((v|0)!=0?(B=0,ya(444,v|0)|0,f=B,B=0,f&1):0){f=Rb(0)|0;Dd(f)}Qb(D|0)}else if((q|0)==16){D=w;f=x;b:while(1){k[h>>2]=f;if((D|0)==(k[e>>2]|0)){G=D;q=32;break}C=esa(k[o>>2]|0)|0;B=0;c=cb(72,f|0,D|0,y-D|0,l|0)|0;A=B;B=0;if(A&1){H=C;q=22;break}if((C|0)!=0?(B=0,ya(444,C|0)|0,C=B,B=0,C&1):0){q=21;break}switch(c|0){case -1:{I=D;q=28;break b;break}case -2:{J=D;q=29;break b;break}case 0:{K=D+1|0;break}default:K=D+c|0}D=K;f=(k[h>>2]|0)+4|0}if((q|0)==21){f=Rb(0)|0;Dd(f)}else if((q|0)==22){f=Rb()|0;if((H|0)!=0?(B=0,ya(444,H|0)|0,D=B,B=0,D&1):0){D=Rb(0)|0;Dd(D)}Qb(f|0)}else if((q|0)==28){k[e>>2]=I;z=2;q=48;break}else if((q|0)==29){k[e>>2]=J;z=1;q=48;break}else if((q|0)==32){k[e>>2]=G;z=(G|0)!=(d|0)&1;q=48;break}}else if((q|0)==38){f=Rb(0)|0;Dd(f)}else if((q|0)==39){f=Rb()|0;if((E|0)!=0?(B=0,ya(444,E|0)|0,D=B,B=0,D&1):0){D=Rb(0)|0;Dd(D)}Qb(f|0)}else if((q|0)==49){p=k[e>>2]|0;q=52}while(0);if((q|0)==48)L=z;else if((q|0)==52)L=(p|0)!=(d|0)&1;r=j;return L|0}function PBa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0;f=r;r=r+16|0;g=f;k[e>>2]=c;c=esa(k[a+8>>2]|0)|0;B=0;a=Ia(55,g|0,0,b|0)|0;b=B;B=0;if(b&1){b=Rb()|0;if((c|0)!=0?(B=0,ya(444,c|0)|0,h=B,B=0,h&1):0){h=Rb(0)|0;Dd(h)}Qb(b|0)}if((c|0)!=0?(B=0,ya(444,c|0)|0,c=B,B=0,c&1):0){c=Rb(0)|0;Dd(c)}a:do switch(a|0){case 0:case -1:{j=2;break}default:{c=a+-1|0;if(c>>>0>(d-(k[e>>2]|0)|0)>>>0)j=1;else{b=c;c=g;while(1){if(!b){j=0;break a}h=i[c>>0]|0;l=k[e>>2]|0;k[e>>2]=l+1;i[l>>0]=h;b=b+-1|0;c=c+1|0}}}}while(0);r=f;return j|0}function QBa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0;b=a+8|0;B=0;a=ya(444,k[b>>2]|0)|0;c=B;B=0;do if(c&1)d=16;else{B=0;e=Ia(56,0,0,4)|0;f=B;B=0;if(f&1){f=Rb(0)|0;if(!a){g=f;break}B=0;ya(444,a|0)|0;h=B;B=0;if(!(h&1)){g=f;break}f=Rb(0)|0;Dd(f)}if((a|0)!=0?(B=0,ya(444,a|0)|0,f=B,B=0,f&1):0){f=Rb(0)|0;Dd(f)}if(!e){e=k[b>>2]|0;if(e){B=0;f=ya(444,e|0)|0;e=B;B=0;if(e&1){d=16;break}if((f|0)!=0?(B=0,ya(444,f|0)|0,f=B,B=0,f&1):0){f=Rb(0)|0;Dd(f)}else i=0}else i=1}else i=-1;return i|0}while(0);if((d|0)==16){d=Rb(0)|0;g=d}Dd(g);return 0}function RBa(a){a=a|0;return 0}function SBa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;f=d;g=a+8|0;a=c;c=0;h=0;a:while(1){if((a|0)==(d|0)|h>>>0>=e>>>0){i=c;j=15;break}l=esa(k[g>>2]|0)|0;B=0;m=Ia(57,a|0,f-a|0,b|0)|0;n=B;B=0;if(n&1){o=l;j=7;break}if((l|0)!=0?(B=0,ya(444,l|0)|0,l=B,B=0,l&1):0){j=6;break}switch(m|0){case -2:case -1:{i=c;j=15;break a;break}case 0:{p=a+1|0;q=1;break}default:{p=a+m|0;q=m}}a=p;c=q+c|0;h=h+1|0}if((j|0)==6){h=Rb(0)|0;Dd(h)}else if((j|0)==7){h=Rb()|0;if((o|0)!=0?(B=0,ya(444,o|0)|0,o=B,B=0,o&1):0){o=Rb(0)|0;Dd(o)}Qb(h|0)}else if((j|0)==15)return i|0;return 0}function TBa(a){a=a|0;var b=0,c=0;b=k[a+8>>2]|0;if(b){B=0;a=ya(444,b|0)|0;b=B;B=0;if(b&1){b=Rb(0)|0;Dd(b)}if((a|0)!=0?(B=0,ya(444,a|0)|0,a=B,B=0,a&1):0){a=Rb(0)|0;Dd(a)}else c=4}else c=1;return c|0}function UBa(a){a=a|0;Sqa(a);return}function VBa(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0;b=r;r=r+16|0;a=b+4|0;i=b;k[a>>2]=c;k[i>>2]=f;j=_Da(c,d,a,f,g,i,1114111,0)|0;k[e>>2]=k[a>>2];k[h>>2]=k[i>>2];r=b;return j|0}function WBa(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0;b=r;r=r+16|0;a=b+4|0;i=b;k[a>>2]=c;k[i>>2]=f;j=$Da(c,d,a,f,g,i,1114111,0)|0;k[e>>2]=k[a>>2];k[h>>2]=k[i>>2];r=b;return j|0}function XBa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;k[e>>2]=c;return 3}function YBa(a){a=a|0;return 0}function ZBa(a){a=a|0;return 0}function _Ba(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return aEa(c,d,e,1114111,0)|0}function $Ba(a){a=a|0;return 4}function aCa(a){a=a|0;Sqa(a);return}function bCa(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0;b=r;r=r+16|0;a=b+4|0;i=b;k[a>>2]=c;k[i>>2]=f;j=bEa(c,d,a,f,g,i,1114111,0)|0;k[e>>2]=k[a>>2];k[h>>2]=k[i>>2];r=b;return j|0}function cCa(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0;b=r;r=r+16|0;a=b+4|0;i=b;k[a>>2]=c;k[i>>2]=f;j=cEa(c,d,a,f,g,i,1114111,0)|0;k[e>>2]=k[a>>2];k[h>>2]=k[i>>2];r=b;return j|0}function dCa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;k[e>>2]=c;return 3}function eCa(a){a=a|0;return 0}function fCa(a){a=a|0;return 0}function gCa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return dEa(c,d,e,1114111,0)|0}function hCa(a){a=a|0;return 4}function iCa(a){a=a|0;Sqa(a);return}function jCa(a){a=a|0;Sqa(a);return}function kCa(a,b){a=a|0;b=b|0;k[a+4>>2]=b+-1;k[a>>2]=49484;i[a+8>>0]=46;i[a+9>>0]=44;b=a+12|0;a=0;while(1){if((a|0)==3)break;k[b+(a<<2)>>2]=0;a=a+1|0}return}function lCa(a,b){a=a|0;b=b|0;k[a+4>>2]=b+-1;k[a>>2]=49524;k[a+8>>2]=46;k[a+12>>2]=44;b=a+16|0;a=0;while(1){if((a|0)==3)break;k[b+(a<<2)>>2]=0;a=a+1|0}return}function mCa(a){a=a|0;k[a>>2]=49484;Yua(a+12|0);return}function nCa(a){a=a|0;mCa(a);Sqa(a);return}function oCa(a){a=a|0;k[a>>2]=49524;Yua(a+16|0);return}function pCa(a){a=a|0;oCa(a);Sqa(a);return}function qCa(a){a=a|0;return i[a+8>>0]|0}function rCa(a){a=a|0;return k[a+8>>2]|0}function sCa(a){a=a|0;return i[a+9>>0]|0}function tCa(a){a=a|0;return k[a+12>>2]|0}function uCa(a,b){a=a|0;b=b|0;Vua(a,b+12|0);return}function vCa(a,b){a=a|0;b=b|0;Vua(a,b+16|0);return}function wCa(a,b){a=a|0;b=b|0;Wua(a,159247,4);return}function xCa(a,b){a=a|0;b=b|0;iva(a,50096,Qta(50096)|0);return}function yCa(a,b){a=a|0;b=b|0;Wua(a,159252,5);return}function zCa(a,b){a=a|0;b=b|0;iva(a,50116,Qta(50116)|0);return}function ACa(a){a=a|0;var b=0;switch(k[a+4>>2]&74|0){case 64:{b=8;break}case 8:{b=16;break}case 0:{b=0;break}default:b=10}return b|0}function BCa(a){a=a|0;var b=0;do if((i[27032]|0)==0?(Gb(27032)|0)!=0:0){if((i[27040]|0)==0?(Gb(27040)|0)!=0:0){a=50140;do{b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}a=a+12|0}while((a|0)!=50308);ic(556,0,w|0)|0;Eb(27040)}B=0;Xa(263,50140,159258)|0;a=B;B=0;if(((((((((((((!(a&1)?(B=0,Xa(263,50152,159265)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(263,50164,159272)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(263,50176,159280)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(263,50188,159290)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(263,50200,159299)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(263,50212,159306)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(263,50224,159315)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(263,50236,159319)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(263,50248,159323)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(263,50260,159327)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(263,50272,159331)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(263,50284,159335)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(263,50296,159339)|0,a=B,B=0,!(a&1)):0){k[12577]=50140;Eb(27032);break}a=Rb()|0;sc(27032);Qb(a|0)}while(0);return k[12577]|0}function CCa(a){a=a|0;var b=0;do if((i[27048]|0)==0?(Gb(27048)|0)!=0:0){if((i[27056]|0)==0?(Gb(27056)|0)!=0:0){a=50312;do{b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}a=a+12|0}while((a|0)!=50480);ic(557,0,w|0)|0;Eb(27056)}B=0;Xa(264,50312,50480)|0;a=B;B=0;if(((((((((((((!(a&1)?(B=0,Xa(264,50324,50508)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(264,50336,50536)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(264,50348,50568)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(264,50360,50608)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(264,50372,50644)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(264,50384,50672)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(264,50396,50708)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(264,50408,50724)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(264,50420,50740)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(264,50432,50756)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(264,50444,50772)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(264,50456,50788)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(264,50468,50804)|0,a=B,B=0,!(a&1)):0){k[12705]=50312;Eb(27048);break}a=Rb()|0;sc(27048);Qb(a|0)}while(0);return k[12705]|0}function DCa(a){a=a|0;var b=0;a:do if((i[27064]|0)==0?(Gb(27064)|0)!=0:0){if((i[27072]|0)==0?(Gb(27072)|0)!=0:0){a=50824;do{b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}a=a+12|0}while((a|0)!=51112);ic(558,0,w|0)|0;Eb(27072)}B=0;Xa(263,50824,159343)|0;a=B;B=0;do if((((((((((((((!(a&1)?(B=0,Xa(263,50836,159351)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(263,50848,159360)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(263,50860,159366)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(263,50872,159372)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(263,50884,159376)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(263,50896,159381)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(263,50908,159386)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(263,50920,159393)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(263,50932,159403)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(263,50944,159411)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(263,50956,159420)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(263,50968,159429)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(263,50980,159433)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(263,50992,159437)|0,b=B,B=0,!(b&1)):0){B=0;Xa(263,51004,159441)|0;b=B;B=0;if(b&1)break;B=0;Xa(263,51016,159372)|0;b=B;B=0;if(b&1)break;B=0;Xa(263,51028,159445)|0;b=B;B=0;if(b&1)break;B=0;Xa(263,51040,159449)|0;b=B;B=0;if(b&1)break;B=0;Xa(263,51052,159453)|0;b=B;B=0;if(b&1)break;B=0;Xa(263,51064,159457)|0;b=B;B=0;if(b&1)break;B=0;Xa(263,51076,159461)|0;b=B;B=0;if(b&1)break;B=0;Xa(263,51088,159465)|0;b=B;B=0;if(b&1)break;B=0;Xa(263,51100,159469)|0;b=B;B=0;if(b&1)break;k[12778]=50824;Eb(27064);break a}while(0);a=Rb()|0;sc(27064);Qb(a|0)}while(0);return k[12778]|0}function ECa(a){a=a|0;var b=0;a:do if((i[27080]|0)==0?(Gb(27080)|0)!=0:0){if((i[27088]|0)==0?(Gb(27088)|0)!=0:0){a=51116;do{b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}a=a+12|0}while((a|0)!=51404);ic(559,0,w|0)|0;Eb(27088)}B=0;Xa(264,51116,51404)|0;a=B;B=0;do if((((((((((((((!(a&1)?(B=0,Xa(264,51128,51436)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(264,51140,51472)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(264,51152,51496)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(264,51164,51520)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(264,51176,51536)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(264,51188,51556)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(264,51200,51576)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(264,51212,51604)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(264,51224,51644)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(264,51236,51676)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(264,51248,51712)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(264,51260,51748)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(264,51272,51764)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(264,51284,51780)|0,b=B,B=0,!(b&1)):0){B=0;Xa(264,51296,51796)|0;b=B;B=0;if(b&1)break;B=0;Xa(264,51308,51520)|0;b=B;B=0;if(b&1)break;B=0;Xa(264,51320,51812)|0;b=B;B=0;if(b&1)break;B=0;Xa(264,51332,51828)|0;b=B;B=0;if(b&1)break;B=0;Xa(264,51344,51844)|0;b=B;B=0;if(b&1)break;B=0;Xa(264,51356,51860)|0;b=B;B=0;if(b&1)break;B=0;Xa(264,51368,51876)|0;b=B;B=0;if(b&1)break;B=0;Xa(264,51380,51892)|0;b=B;B=0;if(b&1)break;B=0;Xa(264,51392,51908)|0;b=B;B=0;if(b&1)break;k[12981]=51116;Eb(27080);break a}while(0);a=Rb()|0;sc(27080);Qb(a|0)}while(0);return k[12981]|0}function FCa(a){a=a|0;var b=0;do if((i[27096]|0)==0?(Gb(27096)|0)!=0:0){if((i[27104]|0)==0?(Gb(27104)|0)!=0:0){a=51928;do{b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}a=a+12|0}while((a|0)!=52216);ic(560,0,w|0)|0;Eb(27104)}B=0;Xa(263,51928,159473)|0;a=B;B=0;if(!(a&1)?(B=0,Xa(263,51940,159476)|0,a=B,B=0,!(a&1)):0){k[13054]=51928;Eb(27096);break}a=Rb()|0;sc(27096);Qb(a|0)}while(0);return k[13054]|0}function GCa(a){a=a|0;var b=0;do if((i[27112]|0)==0?(Gb(27112)|0)!=0:0){if((i[27120]|0)==0?(Gb(27120)|0)!=0:0){a=52220;do{b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}a=a+12|0}while((a|0)!=52508);ic(561,0,w|0)|0;Eb(27120)}B=0;Xa(264,52220,52508)|0;a=B;B=0;if(!(a&1)?(B=0,Xa(264,52232,52520)|0,a=B,B=0,!(a&1)):0){k[13133]=52220;Eb(27112);break}a=Rb()|0;sc(27112);Qb(a|0)}while(0);return k[13133]|0}function HCa(a){a=a|0;do if((i[27128]|0)==0?(Gb(27128)|0)!=0:0){B=0;eb(502,52536,159479,8);a=B;B=0;if(a&1){a=Rb()|0;sc(27128);Qb(a|0)}else{ic(562,52536,w|0)|0;Eb(27128);break}}while(0);return 52536}function ICa(a){a=a|0;var b=0;do if((i[27136]|0)==0?(Gb(27136)|0)!=0:0){B=0;a=ya(445,52548)|0;b=B;B=0;if(!(b&1)?(B=0,eb(535,52584,52548,a|0),a=B,B=0,!(a&1)):0){ic(563,52584,w|0)|0;Eb(27136);break}a=Rb()|0;sc(27136);Qb(a|0)}while(0);return 52584}function JCa(a){a=a|0;do if((i[27144]|0)==0?(Gb(27144)|0)!=0:0){B=0;eb(502,52596,159488,8);a=B;B=0;if(a&1){a=Rb()|0;sc(27144);Qb(a|0)}else{ic(562,52596,w|0)|0;Eb(27144);break}}while(0);return 52596}function KCa(a){a=a|0;var b=0;do if((i[27152]|0)==0?(Gb(27152)|0)!=0:0){B=0;a=ya(445,52608)|0;b=B;B=0;if(!(b&1)?(B=0,eb(535,52644,52608,a|0),a=B,B=0,!(a&1)):0){ic(563,52644,w|0)|0;Eb(27152);break}a=Rb()|0;sc(27152);Qb(a|0)}while(0);return 52644}function LCa(a){a=a|0;do if((i[27160]|0)==0?(Gb(27160)|0)!=0:0){B=0;eb(502,52656,159497,20);a=B;B=0;if(a&1){a=Rb()|0;sc(27160);Qb(a|0)}else{ic(562,52656,w|0)|0;Eb(27160);break}}while(0);return 52656}function MCa(a){a=a|0;var b=0;do if((i[27168]|0)==0?(Gb(27168)|0)!=0:0){B=0;a=ya(445,52668)|0;b=B;B=0;if(!(b&1)?(B=0,eb(535,52752,52668,a|0),a=B,B=0,!(a&1)):0){ic(563,52752,w|0)|0;Eb(27168);break}a=Rb()|0;sc(27168);Qb(a|0)}while(0);return 52752}function NCa(a){a=a|0;do if((i[27176]|0)==0?(Gb(27176)|0)!=0:0){B=0;eb(502,52764,159518,11);a=B;B=0;if(a&1){a=Rb()|0;sc(27176);Qb(a|0)}else{ic(562,52764,w|0)|0;Eb(27176);break}}while(0);return 52764}function OCa(a){a=a|0;var b=0;do if((i[27184]|0)==0?(Gb(27184)|0)!=0:0){B=0;a=ya(445,52776)|0;b=B;B=0;if(!(b&1)?(B=0,eb(535,52824,52776,a|0),a=B,B=0,!(a&1)):0){ic(563,52824,w|0)|0;Eb(27184);break}a=Rb()|0;sc(27184);Qb(a|0)}while(0);return 52824}function PCa(a){a=a|0;var b=0,c=0,d=0,e=0;k[a>>2]=49404;b=a+8|0;a=k[b>>2]|0;B=0;c=bb(3)|0;d=B;B=0;do if(!(d&1)){if((a|0)!=(c|0)?(B=0,va(551,k[b>>2]|0),e=B,B=0,e&1):0)break;return}while(0);b=Rb(0)|0;Dd(b)}function QCa(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0;h=r;r=r+112|0;j=h;m=(d-c|0)/12|0;do if(m>>>0>100){n=lua(m)|0;if((n|0)==0?(B=0,fb(7),o=B,B=0,o&1):0){p=0;q=6;break}s=n;t=n;q=11}else{s=0;t=j;q=11}while(0);a:do if((q|0)==11){j=c;n=0;o=m;u=t;while(1){if((j|0)==(d|0)){v=n;w=o;break}x=i[j>>0]|0;if(!(x&1))y=(x&255)>>>1;else y=k[j+4>>2]|0;if(!y){i[u>>0]=2;z=n+1|0;A=o+-1|0}else{i[u>>0]=1;z=n;A=o}j=j+12|0;n=z;o=A;u=u+1|0}u=0;o=v;n=w;b:while(1){j=k[a>>2]|0;do if(j)if((k[j+12>>2]|0)==(k[j+16>>2]|0)){B=0;x=ya(k[(k[j>>2]|0)+36>>2]|0,j|0)|0;C=B;B=0;if(C&1){q=5;break b}if((x|0)==-1){k[a>>2]=0;D=0;break}else{D=k[a>>2]|0;break}}else D=j;else D=0;while(0);j=(D|0)==0;x=k[b>>2]|0;if(x)if((k[x+12>>2]|0)==(k[x+16>>2]|0)){B=0;C=ya(k[(k[x>>2]|0)+36>>2]|0,x|0)|0;E=B;B=0;if(E&1){q=5;break}if((C|0)==-1){k[b>>2]=0;F=0}else F=x}else F=x;else F=0;x=(F|0)==0;C=k[a>>2]|0;if(!((n|0)!=0&(j^x))){G=x;H=C;I=F;q=33;break}x=k[C+12>>2]|0;if((x|0)==(k[C+16>>2]|0)){B=0;j=ya(k[(k[C>>2]|0)+36>>2]|0,C|0)|0;C=B;B=0;if(C&1){q=5;break}else J=j}else J=l[x>>0]|0;x=J&255;if(!g){B=0;j=Xa(k[(k[e>>2]|0)+12>>2]|0,e|0,x|0)|0;C=B;B=0;if(C&1){q=5;break}else K=j}else K=x;x=u+1|0;j=0;C=c;E=o;L=n;M=t;while(1){if((C|0)==(d|0))break;do if((i[M>>0]|0)==1){if(!(i[C>>0]&1))N=C+1|0;else N=k[C+8>>2]|0;O=i[N+u>>0]|0;if(!g){B=0;P=Xa(k[(k[e>>2]|0)+12>>2]|0,e|0,O|0)|0;R=B;B=0;if(R&1){q=4;break b}else S=P}else S=O;if(K<<24>>24!=S<<24>>24){i[M>>0]=0;T=j;U=E;V=L+-1|0;break}O=i[C>>0]|0;if(!(O&1))W=(O&255)>>>1;else W=k[C+4>>2]|0;if((W|0)==(x|0)){i[M>>0]=2;T=1;U=E+1|0;V=L+-1|0}else{T=1;U=E;V=L}}else{T=j;U=E;V=L}while(0);j=T;C=C+12|0;E=U;L=V;M=M+1|0}if(!j){u=x;o=E;n=L;continue}M=k[a>>2]|0;C=M+12|0;O=k[C>>2]|0;if((O|0)==(k[M+16>>2]|0)){B=0;ya(k[(k[M>>2]|0)+40>>2]|0,M|0)|0;M=B;B=0;if(M&1){q=5;break}}else k[C>>2]=O+1;if((E+L|0)>>>0>1){X=c;Y=E;Z=t}else{u=x;o=E;n=L;continue}while(1){if((X|0)==(d|0)){u=x;o=Y;n=L;continue b}if((i[Z>>0]|0)==2){O=i[X>>0]|0;if(!(O&1))_=(O&255)>>>1;else _=k[X+4>>2]|0;if((_|0)!=(x|0)){i[Z>>0]=0;$=Y+-1|0}else $=Y}else $=Y;X=X+12|0;Y=$;Z=Z+1|0}}if((q|0)==4){n=Rb()|0;aa=s;ba=n;ca=Q;break}else if((q|0)==5){n=Rb()|0;aa=s;ba=n;ca=Q;break}else if((q|0)==33){do if(H)if((k[H+12>>2]|0)==(k[H+16>>2]|0)){B=0;n=ya(k[(k[H>>2]|0)+36>>2]|0,H|0)|0;o=B;B=0;if(o&1){p=s;q=6;break a}if((n|0)==-1){k[a>>2]=0;da=0;break}else{da=k[a>>2]|0;break}}else da=H;else da=0;while(0);n=(da|0)==0;do if(!G){if((k[I+12>>2]|0)==(k[I+16>>2]|0)){B=0;o=ya(k[(k[I>>2]|0)+36>>2]|0,I|0)|0;u=B;B=0;if(u&1){p=s;q=6;break a}if((o|0)==-1){k[b>>2]=0;q=79;break}}if(n){ea=c;fa=t}else q=80}else q=79;while(0);if((q|0)==79)if(n)q=80;else{ea=c;fa=t}if((q|0)==80){k[f>>2]=k[f>>2]|2;ea=c;fa=t}while(1){if((ea|0)==(d|0)){q=84;break}if((i[fa>>0]|0)==2){ga=ea;break}ea=ea+12|0;fa=fa+1|0}if((q|0)==84){k[f>>2]=k[f>>2]|4;ga=d}if(s)mua(s);r=h;return ga|0}}while(0);if((q|0)==6){q=Rb()|0;aa=p;ba=q;ca=Q}if(aa)mua(aa);Qb(ba|0);return 0}function RCa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0;a=r;r=r+224|0;g=a+198|0;h=a+196|0;j=a+184|0;m=a+172|0;n=a+168|0;o=a+8|0;p=a+4|0;q=a;s=ACa(d)|0;Dxa(j,d,g,h);d=0;while(1){if((d|0)==3)break;k[m+(d<<2)>>2]=0;d=d+1|0}if(!(i[m>>0]&1))t=10;else t=(k[m>>2]&-2)+-1|0;B=0;eb(501,m|0,t|0,0);t=B;B=0;a:do if(!(t&1)){d=m+8|0;u=m+1|0;v=(i[m>>0]&1)==0?u:k[d>>2]|0;k[n>>2]=v;k[p>>2]=o;k[q>>2]=0;w=m+4|0;x=i[h>>0]|0;y=k[b>>2]|0;z=v;b:while(1){if(y)if((k[y+12>>2]|0)==(k[y+16>>2]|0)){B=0;v=ya(k[(k[y>>2]|0)+36>>2]|0,y|0)|0;A=B;B=0;if(A&1){C=27;break}if((v|0)==-1){k[b>>2]=0;D=0}else D=y}else D=y;else D=0;v=(D|0)==0;A=k[c>>2]|0;do if(A){if((k[A+12>>2]|0)!=(k[A+16>>2]|0))if(v){E=A;break}else{F=A;G=D;H=z;break b}B=0;I=ya(k[(k[A>>2]|0)+36>>2]|0,A|0)|0;J=B;B=0;if(J&1){C=27;break b}if((I|0)!=-1)if(v){E=A;break}else{F=A;G=D;H=z;break b}else{k[c>>2]=0;C=19;break}}else C=19;while(0);if((C|0)==19){C=0;if(v){F=0;G=D;H=z;break}else E=0}A=i[m>>0]|0;I=(A&1)==0?(A&255)>>>1:k[w>>2]|0;if((k[n>>2]|0)==(z+I|0)){B=0;eb(501,m|0,I<<1|0,0);A=B;B=0;if(A&1){C=27;break}if(!(i[m>>0]&1))K=10;else K=(k[m>>2]&-2)+-1|0;B=0;eb(501,m|0,K|0,0);A=B;B=0;if(A&1){C=27;break}A=(i[m>>0]&1)==0?u:k[d>>2]|0;k[n>>2]=A+I;L=A}else L=z;A=D+12|0;I=k[A>>2]|0;J=D+16|0;if((I|0)==(k[J>>2]|0)){B=0;M=ya(k[(k[D>>2]|0)+36>>2]|0,D|0)|0;N=B;B=0;if(N&1){C=27;break}else O=M}else O=l[I>>0]|0;if(nxa(O&255,s,L,n,q,x,j,o,p,g)|0){F=E;G=D;H=L;break}I=k[A>>2]|0;if((I|0)==(k[J>>2]|0)){B=0;ya(k[(k[D>>2]|0)+40>>2]|0,D|0)|0;J=B;B=0;if(J&1){C=27;break}else{y=D;z=L;continue}}else{k[A>>2]=I+1;y=D;z=L;continue}}if((C|0)==27){z=Rb()|0;P=z;R=Q;break}z=i[j>>0]|0;if((((z&1)==0?(z&255)>>>1:k[j+4>>2]|0)|0)!=0?(z=k[p>>2]|0,(z-o|0)<160):0){y=k[q>>2]|0;k[p>>2]=z+4;k[z>>2]=y}B=0;y=cb(73,H|0,k[n>>2]|0,e|0,s|0)|0;z=B;B=0;if(!(z&1)){k[f>>2]=y;lAa(j,o,k[p>>2]|0,e);if(G)if((k[G+12>>2]|0)==(k[G+16>>2]|0)){B=0;y=ya(k[(k[G>>2]|0)+36>>2]|0,G|0)|0;z=B;B=0;if(z&1){C=28;break}if((y|0)==-1){k[b>>2]=0;S=0}else S=G}else S=G;else S=0;y=(S|0)==0;do if(F){if((k[F+12>>2]|0)==(k[F+16>>2]|0)){B=0;z=ya(k[(k[F>>2]|0)+36>>2]|0,F|0)|0;x=B;B=0;if(x&1){C=28;break a}if((z|0)==-1){k[c>>2]=0;C=52;break}}if(!y)C=53}else C=52;while(0);if((C|0)==52?y:0)C=53;if((C|0)==53)k[e>>2]=k[e>>2]|2;z=k[b>>2]|0;Yua(m);Yua(j);r=a;return z|0}else C=28}else C=28;while(0);if((C|0)==28){C=Rb()|0;P=C;R=Q}Yua(m);Yua(j);Qb(P|0);return 0}function SCa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0;a=r;r=r+224|0;g=a+198|0;h=a+196|0;j=a+184|0;m=a+172|0;n=a+168|0;o=a+8|0;p=a+4|0;q=a;s=ACa(d)|0;Dxa(j,d,g,h);d=0;while(1){if((d|0)==3)break;k[m+(d<<2)>>2]=0;d=d+1|0}if(!(i[m>>0]&1))t=10;else t=(k[m>>2]&-2)+-1|0;B=0;eb(501,m|0,t|0,0);t=B;B=0;a:do if(!(t&1)){d=m+8|0;u=m+1|0;v=(i[m>>0]&1)==0?u:k[d>>2]|0;k[n>>2]=v;k[p>>2]=o;k[q>>2]=0;w=m+4|0;x=i[h>>0]|0;y=k[b>>2]|0;z=v;b:while(1){if(y)if((k[y+12>>2]|0)==(k[y+16>>2]|0)){B=0;v=ya(k[(k[y>>2]|0)+36>>2]|0,y|0)|0;A=B;B=0;if(A&1){C=27;break}if((v|0)==-1){k[b>>2]=0;D=0}else D=y}else D=y;else D=0;v=(D|0)==0;A=k[c>>2]|0;do if(A){if((k[A+12>>2]|0)!=(k[A+16>>2]|0))if(v){E=A;break}else{F=A;G=D;H=z;break b}B=0;I=ya(k[(k[A>>2]|0)+36>>2]|0,A|0)|0;J=B;B=0;if(J&1){C=27;break b}if((I|0)!=-1)if(v){E=A;break}else{F=A;G=D;H=z;break b}else{k[c>>2]=0;C=19;break}}else C=19;while(0);if((C|0)==19){C=0;if(v){F=0;G=D;H=z;break}else E=0}A=i[m>>0]|0;I=(A&1)==0?(A&255)>>>1:k[w>>2]|0;if((k[n>>2]|0)==(z+I|0)){B=0;eb(501,m|0,I<<1|0,0);A=B;B=0;if(A&1){C=27;break}if(!(i[m>>0]&1))K=10;else K=(k[m>>2]&-2)+-1|0;B=0;eb(501,m|0,K|0,0);A=B;B=0;if(A&1){C=27;break}A=(i[m>>0]&1)==0?u:k[d>>2]|0;k[n>>2]=A+I;L=A}else L=z;A=D+12|0;I=k[A>>2]|0;J=D+16|0;if((I|0)==(k[J>>2]|0)){B=0;M=ya(k[(k[D>>2]|0)+36>>2]|0,D|0)|0;N=B;B=0;if(N&1){C=27;break}else O=M}else O=l[I>>0]|0;if(nxa(O&255,s,L,n,q,x,j,o,p,g)|0){F=E;G=D;H=L;break}I=k[A>>2]|0;if((I|0)==(k[J>>2]|0)){B=0;ya(k[(k[D>>2]|0)+40>>2]|0,D|0)|0;J=B;B=0;if(J&1){C=27;break}else{y=D;z=L;continue}}else{k[A>>2]=I+1;y=D;z=L;continue}}if((C|0)==27){z=Rb()|0;P=z;R=Q;break}z=i[j>>0]|0;if((((z&1)==0?(z&255)>>>1:k[j+4>>2]|0)|0)!=0?(z=k[p>>2]|0,(z-o|0)<160):0){y=k[q>>2]|0;k[p>>2]=z+4;k[z>>2]=y}B=0;y=cb(74,H|0,k[n>>2]|0,e|0,s|0)|0;z=Q;x=B;B=0;if(!(x&1)){x=f;k[x>>2]=y;k[x+4>>2]=z;lAa(j,o,k[p>>2]|0,e);if(G)if((k[G+12>>2]|0)==(k[G+16>>2]|0)){B=0;z=ya(k[(k[G>>2]|0)+36>>2]|0,G|0)|0;x=B;B=0;if(x&1){C=28;break}if((z|0)==-1){k[b>>2]=0;S=0}else S=G}else S=G;else S=0;z=(S|0)==0;do if(F){if((k[F+12>>2]|0)==(k[F+16>>2]|0)){B=0;x=ya(k[(k[F>>2]|0)+36>>2]|0,F|0)|0;y=B;B=0;if(y&1){C=28;break a}if((x|0)==-1){k[c>>2]=0;C=52;break}}if(!z)C=53}else C=52;while(0);if((C|0)==52?z:0)C=53;if((C|0)==53)k[e>>2]=k[e>>2]|2;x=k[b>>2]|0;Yua(m);Yua(j);r=a;return x|0}else C=28}else C=28;while(0);if((C|0)==28){C=Rb()|0;P=C;R=Q}Yua(m);Yua(j);Qb(P|0);return 0}function TCa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0;a=r;r=r+224|0;g=a+198|0;h=a+196|0;m=a+184|0;n=a+172|0;o=a+168|0;p=a+8|0;q=a+4|0;s=a;t=ACa(d)|0;Dxa(m,d,g,h);d=0;while(1){if((d|0)==3)break;k[n+(d<<2)>>2]=0;d=d+1|0}if(!(i[n>>0]&1))u=10;else u=(k[n>>2]&-2)+-1|0;B=0;eb(501,n|0,u|0,0);u=B;B=0;a:do if(!(u&1)){d=n+8|0;v=n+1|0;w=(i[n>>0]&1)==0?v:k[d>>2]|0;k[o>>2]=w;k[q>>2]=p;k[s>>2]=0;x=n+4|0;y=i[h>>0]|0;z=k[b>>2]|0;A=w;b:while(1){if(z)if((k[z+12>>2]|0)==(k[z+16>>2]|0)){B=0;w=ya(k[(k[z>>2]|0)+36>>2]|0,z|0)|0;C=B;B=0;if(C&1){D=27;break}if((w|0)==-1){k[b>>2]=0;E=0}else E=z}else E=z;else E=0;w=(E|0)==0;C=k[c>>2]|0;do if(C){if((k[C+12>>2]|0)!=(k[C+16>>2]|0))if(w){F=C;break}else{G=C;H=E;I=A;break b}B=0;J=ya(k[(k[C>>2]|0)+36>>2]|0,C|0)|0;K=B;B=0;if(K&1){D=27;break b}if((J|0)!=-1)if(w){F=C;break}else{G=C;H=E;I=A;break b}else{k[c>>2]=0;D=19;break}}else D=19;while(0);if((D|0)==19){D=0;if(w){G=0;H=E;I=A;break}else F=0}C=i[n>>0]|0;J=(C&1)==0?(C&255)>>>1:k[x>>2]|0;if((k[o>>2]|0)==(A+J|0)){B=0;eb(501,n|0,J<<1|0,0);C=B;B=0;if(C&1){D=27;break}if(!(i[n>>0]&1))L=10;else L=(k[n>>2]&-2)+-1|0;B=0;eb(501,n|0,L|0,0);C=B;B=0;if(C&1){D=27;break}C=(i[n>>0]&1)==0?v:k[d>>2]|0;k[o>>2]=C+J;M=C}else M=A;C=E+12|0;J=k[C>>2]|0;K=E+16|0;if((J|0)==(k[K>>2]|0)){B=0;N=ya(k[(k[E>>2]|0)+36>>2]|0,E|0)|0;O=B;B=0;if(O&1){D=27;break}else P=N}else P=l[J>>0]|0;if(nxa(P&255,t,M,o,s,y,m,p,q,g)|0){G=F;H=E;I=M;break}J=k[C>>2]|0;if((J|0)==(k[K>>2]|0)){B=0;ya(k[(k[E>>2]|0)+40>>2]|0,E|0)|0;K=B;B=0;if(K&1){D=27;break}else{z=E;A=M;continue}}else{k[C>>2]=J+1;z=E;A=M;continue}}if((D|0)==27){A=Rb()|0;R=A;S=Q;break}A=i[m>>0]|0;if((((A&1)==0?(A&255)>>>1:k[m+4>>2]|0)|0)!=0?(A=k[q>>2]|0,(A-p|0)<160):0){z=k[s>>2]|0;k[q>>2]=A+4;k[A>>2]=z}B=0;z=cb(75,I|0,k[o>>2]|0,e|0,t|0)|0;A=B;B=0;if(!(A&1)){j[f>>1]=z;lAa(m,p,k[q>>2]|0,e);if(H)if((k[H+12>>2]|0)==(k[H+16>>2]|0)){B=0;z=ya(k[(k[H>>2]|0)+36>>2]|0,H|0)|0;A=B;B=0;if(A&1){D=28;break}if((z|0)==-1){k[b>>2]=0;T=0}else T=H}else T=H;else T=0;z=(T|0)==0;do if(G){if((k[G+12>>2]|0)==(k[G+16>>2]|0)){B=0;A=ya(k[(k[G>>2]|0)+36>>2]|0,G|0)|0;y=B;B=0;if(y&1){D=28;break a}if((A|0)==-1){k[c>>2]=0;D=52;break}}if(!z)D=53}else D=52;while(0);if((D|0)==52?z:0)D=53;if((D|0)==53)k[e>>2]=k[e>>2]|2;A=k[b>>2]|0;Yua(n);Yua(m);r=a;return A|0}else D=28}else D=28;while(0);if((D|0)==28){D=Rb()|0;R=D;S=Q}Yua(n);Yua(m);Qb(R|0);return 0}function UCa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0;a=r;r=r+224|0;g=a+198|0;h=a+196|0;j=a+184|0;m=a+172|0;n=a+168|0;o=a+8|0;p=a+4|0;q=a;s=ACa(d)|0;Dxa(j,d,g,h);d=0;while(1){if((d|0)==3)break;k[m+(d<<2)>>2]=0;d=d+1|0}if(!(i[m>>0]&1))t=10;else t=(k[m>>2]&-2)+-1|0;B=0;eb(501,m|0,t|0,0);t=B;B=0;a:do if(!(t&1)){d=m+8|0;u=m+1|0;v=(i[m>>0]&1)==0?u:k[d>>2]|0;k[n>>2]=v;k[p>>2]=o;k[q>>2]=0;w=m+4|0;x=i[h>>0]|0;y=k[b>>2]|0;z=v;b:while(1){if(y)if((k[y+12>>2]|0)==(k[y+16>>2]|0)){B=0;v=ya(k[(k[y>>2]|0)+36>>2]|0,y|0)|0;A=B;B=0;if(A&1){C=27;break}if((v|0)==-1){k[b>>2]=0;D=0}else D=y}else D=y;else D=0;v=(D|0)==0;A=k[c>>2]|0;do if(A){if((k[A+12>>2]|0)!=(k[A+16>>2]|0))if(v){E=A;break}else{F=A;G=D;H=z;break b}B=0;I=ya(k[(k[A>>2]|0)+36>>2]|0,A|0)|0;J=B;B=0;if(J&1){C=27;break b}if((I|0)!=-1)if(v){E=A;break}else{F=A;G=D;H=z;break b}else{k[c>>2]=0;C=19;break}}else C=19;while(0);if((C|0)==19){C=0;if(v){F=0;G=D;H=z;break}else E=0}A=i[m>>0]|0;I=(A&1)==0?(A&255)>>>1:k[w>>2]|0;if((k[n>>2]|0)==(z+I|0)){B=0;eb(501,m|0,I<<1|0,0);A=B;B=0;if(A&1){C=27;break}if(!(i[m>>0]&1))K=10;else K=(k[m>>2]&-2)+-1|0;B=0;eb(501,m|0,K|0,0);A=B;B=0;if(A&1){C=27;break}A=(i[m>>0]&1)==0?u:k[d>>2]|0;k[n>>2]=A+I;L=A}else L=z;A=D+12|0;I=k[A>>2]|0;J=D+16|0;if((I|0)==(k[J>>2]|0)){B=0;M=ya(k[(k[D>>2]|0)+36>>2]|0,D|0)|0;N=B;B=0;if(N&1){C=27;break}else O=M}else O=l[I>>0]|0;if(nxa(O&255,s,L,n,q,x,j,o,p,g)|0){F=E;G=D;H=L;break}I=k[A>>2]|0;if((I|0)==(k[J>>2]|0)){B=0;ya(k[(k[D>>2]|0)+40>>2]|0,D|0)|0;J=B;B=0;if(J&1){C=27;break}else{y=D;z=L;continue}}else{k[A>>2]=I+1;y=D;z=L;continue}}if((C|0)==27){z=Rb()|0;P=z;R=Q;break}z=i[j>>0]|0;if((((z&1)==0?(z&255)>>>1:k[j+4>>2]|0)|0)!=0?(z=k[p>>2]|0,(z-o|0)<160):0){y=k[q>>2]|0;k[p>>2]=z+4;k[z>>2]=y}B=0;y=cb(76,H|0,k[n>>2]|0,e|0,s|0)|0;z=B;B=0;if(!(z&1)){k[f>>2]=y;lAa(j,o,k[p>>2]|0,e);if(G)if((k[G+12>>2]|0)==(k[G+16>>2]|0)){B=0;y=ya(k[(k[G>>2]|0)+36>>2]|0,G|0)|0;z=B;B=0;if(z&1){C=28;break}if((y|0)==-1){k[b>>2]=0;S=0}else S=G}else S=G;else S=0;y=(S|0)==0;do if(F){if((k[F+12>>2]|0)==(k[F+16>>2]|0)){B=0;z=ya(k[(k[F>>2]|0)+36>>2]|0,F|0)|0;x=B;B=0;if(x&1){C=28;break a}if((z|0)==-1){k[c>>2]=0;C=52;break}}if(!y)C=53}else C=52;while(0);if((C|0)==52?y:0)C=53;if((C|0)==53)k[e>>2]=k[e>>2]|2;z=k[b>>2]|0;Yua(m);Yua(j);r=a;return z|0}else C=28}else C=28;while(0);if((C|0)==28){C=Rb()|0;P=C;R=Q}Yua(m);Yua(j);Qb(P|0);return 0}function VCa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0;a=r;r=r+224|0;g=a+198|0;h=a+196|0;j=a+184|0;m=a+172|0;n=a+168|0;o=a+8|0;p=a+4|0;q=a;s=ACa(d)|0;Dxa(j,d,g,h);d=0;while(1){if((d|0)==3)break;k[m+(d<<2)>>2]=0;d=d+1|0}if(!(i[m>>0]&1))t=10;else t=(k[m>>2]&-2)+-1|0;B=0;eb(501,m|0,t|0,0);t=B;B=0;a:do if(!(t&1)){d=m+8|0;u=m+1|0;v=(i[m>>0]&1)==0?u:k[d>>2]|0;k[n>>2]=v;k[p>>2]=o;k[q>>2]=0;w=m+4|0;x=i[h>>0]|0;y=k[b>>2]|0;z=v;b:while(1){if(y)if((k[y+12>>2]|0)==(k[y+16>>2]|0)){B=0;v=ya(k[(k[y>>2]|0)+36>>2]|0,y|0)|0;A=B;B=0;if(A&1){C=27;break}if((v|0)==-1){k[b>>2]=0;D=0}else D=y}else D=y;else D=0;v=(D|0)==0;A=k[c>>2]|0;do if(A){if((k[A+12>>2]|0)!=(k[A+16>>2]|0))if(v){E=A;break}else{F=A;G=D;H=z;break b}B=0;I=ya(k[(k[A>>2]|0)+36>>2]|0,A|0)|0;J=B;B=0;if(J&1){C=27;break b}if((I|0)!=-1)if(v){E=A;break}else{F=A;G=D;H=z;break b}else{k[c>>2]=0;C=19;break}}else C=19;while(0);if((C|0)==19){C=0;if(v){F=0;G=D;H=z;break}else E=0}A=i[m>>0]|0;I=(A&1)==0?(A&255)>>>1:k[w>>2]|0;if((k[n>>2]|0)==(z+I|0)){B=0;eb(501,m|0,I<<1|0,0);A=B;B=0;if(A&1){C=27;break}if(!(i[m>>0]&1))K=10;else K=(k[m>>2]&-2)+-1|0;B=0;eb(501,m|0,K|0,0);A=B;B=0;if(A&1){C=27;break}A=(i[m>>0]&1)==0?u:k[d>>2]|0;k[n>>2]=A+I;L=A}else L=z;A=D+12|0;I=k[A>>2]|0;J=D+16|0;if((I|0)==(k[J>>2]|0)){B=0;M=ya(k[(k[D>>2]|0)+36>>2]|0,D|0)|0;N=B;B=0;if(N&1){C=27;break}else O=M}else O=l[I>>0]|0;if(nxa(O&255,s,L,n,q,x,j,o,p,g)|0){F=E;G=D;H=L;break}I=k[A>>2]|0;if((I|0)==(k[J>>2]|0)){B=0;ya(k[(k[D>>2]|0)+40>>2]|0,D|0)|0;J=B;B=0;if(J&1){C=27;break}else{y=D;z=L;continue}}else{k[A>>2]=I+1;y=D;z=L;continue}}if((C|0)==27){z=Rb()|0;P=z;R=Q;break}z=i[j>>0]|0;if((((z&1)==0?(z&255)>>>1:k[j+4>>2]|0)|0)!=0?(z=k[p>>2]|0,(z-o|0)<160):0){y=k[q>>2]|0;k[p>>2]=z+4;k[z>>2]=y}B=0;y=cb(77,H|0,k[n>>2]|0,e|0,s|0)|0;z=B;B=0;if(!(z&1)){k[f>>2]=y;lAa(j,o,k[p>>2]|0,e);if(G)if((k[G+12>>2]|0)==(k[G+16>>2]|0)){B=0;y=ya(k[(k[G>>2]|0)+36>>2]|0,G|0)|0;z=B;B=0;if(z&1){C=28;break}if((y|0)==-1){k[b>>2]=0;S=0}else S=G}else S=G;else S=0;y=(S|0)==0;do if(F){if((k[F+12>>2]|0)==(k[F+16>>2]|0)){B=0;z=ya(k[(k[F>>2]|0)+36>>2]|0,F|0)|0;x=B;B=0;if(x&1){C=28;break a}if((z|0)==-1){k[c>>2]=0;C=52;break}}if(!y)C=53}else C=52;while(0);if((C|0)==52?y:0)C=53;if((C|0)==53)k[e>>2]=k[e>>2]|2;z=k[b>>2]|0;Yua(m);Yua(j);r=a;return z|0}else C=28}else C=28;while(0);if((C|0)==28){C=Rb()|0;P=C;R=Q}Yua(m);Yua(j);Qb(P|0);return 0}
function iaa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0;a=r;r=r+128|0;c=a+116|0;d=a+104|0;e=a+96|0;f=a+88|0;g=a+80|0;h=a+72|0;i=a+64|0;j=a+56|0;l=a+48|0;m=a+40|0;n=a+32|0;o=a+24|0;q=a+16|0;s=a+8|0;t=a;u=a+112|0;k[u>>2]=0;cp(b,c,299);v=(k[c>>2]|0)==2?3:6;w=Hc[k[(k[b>>2]|0)+396>>2]&511](b)|0;x=Hc[k[(k[b>>2]|0)+392>>2]&511](b)|0;y=Hc[k[(k[b>>2]|0)+172>>2]&511](b)|0;z=x+w|0;A=Rqa(z>>>0>1073741823?-1:z<<2)|0;z=(w|0)>0;if((k[c>>2]|0)==2){if(z){B=0;do{k[A+(B<<2)>>2]=971;B=B+1|0}while((B|0)!=(w|0))}}else if(z){B=0;do{k[A+(B<<2)>>2]=972;B=B+1|0}while((B|0)!=(w|0))}if((x|0)>0){B=0;do{k[A+(B+w<<2)>>2]=653;B=B+1|0}while((B|0)!=(x|0))}x=iq(b,543)|0;B=k[c>>2]|0;C=ma(y,v)|0;D=ma(ma(C,w)|0,B)|0;E=Rqa(D>>>0>536870911?-1:D<<3)|0;if(D)WEa(E|0,0,D<<3|0)|0;D=C>>>0>536870911?-1:C<<3;F=Rqa(D)|0;G=Rqa(D)|0;D=ma(B,w)|0;B=Rqa(D>>>0>536870911?-1:D<<3)|0;D=Rqa(y>>>0>536870911?-1:y<<3)|0;H=ma(C,C)|0;I=Rqa(H>>>0>536870911?-1:H<<3)|0;if(H)WEa(I|0,0,H<<3|0)|0;pp(b,e,916);Uo(b,u);H=Wo(b,725)|0;J=Wo(b,728)|0;K=Wo(b,726)|0;L=Wo(b,716)|0;M=Wo(b,719)|0;N=Wo(b,717)|0;if((k[c>>2]|0)==3){O=Wo(b,730)|0;P=Wo(b,727)|0;Q=Wo(b,729)|0;R=Wo(b,721)|0;S=Wo(b,718)|0;T=P;U=Q;V=O;W=S;X=Wo(b,720)|0;Y=R}else{T=0;U=0;V=0;W=0;X=0;Y=0}R=Hc[k[(k[b>>2]|0)+304>>2]&511](b)|0;S=(y|0)>0;if(!S){if(R)Z=21}else{O=0;do{nd[k[(k[R>>2]|0)+32>>2]&1023](R,739,O);nd[k[(k[H>>2]|0)+48>>2]&1023](H,f,R);nd[k[(k[L>>2]|0)+48>>2]&1023](L,m,R);nd[k[(k[J>>2]|0)+48>>2]&1023](J,g,R);nd[k[(k[M>>2]|0)+48>>2]&1023](M,n,R);nd[k[(k[K>>2]|0)+48>>2]&1023](K,i,R);nd[k[(k[N>>2]|0)+48>>2]&1023](N,q,R);if((k[c>>2]|0)==2){Q=ma(O,v)|0;p[G+(Q<<3)>>3]=+p[f>>3];p[F+(Q<<3)>>3]=+p[m>>3];P=Q+1|0;p[G+(P<<3)>>3]=+p[g>>3];p[F+(P<<3)>>3]=+p[n>>3];P=Q+2|0;p[G+(P<<3)>>3]=+p[i>>3];p[F+(P<<3)>>3]=+p[q>>3]}else{nd[k[(k[V>>2]|0)+48>>2]&1023](V,h,R);nd[k[(k[Y>>2]|0)+48>>2]&1023](Y,o,R);nd[k[(k[T>>2]|0)+48>>2]&1023](T,j,R);nd[k[(k[W>>2]|0)+48>>2]&1023](W,s,R);nd[k[(k[U>>2]|0)+48>>2]&1023](U,l,R);nd[k[(k[X>>2]|0)+48>>2]&1023](X,t,R);P=ma(O,v)|0;p[G+(P<<3)>>3]=+p[f>>3];p[F+(P<<3)>>3]=+p[m>>3];Q=P+1|0;p[G+(Q<<3)>>3]=+p[g>>3];p[F+(Q<<3)>>3]=+p[n>>3];Q=P+2|0;p[G+(Q<<3)>>3]=+p[h>>3];p[F+(Q<<3)>>3]=+p[o>>3];Q=P+3|0;p[G+(Q<<3)>>3]=+p[i>>3];p[F+(Q<<3)>>3]=+p[q>>3];Q=P+4|0;p[G+(Q<<3)>>3]=+p[j>>3];p[F+(Q<<3)>>3]=+p[s>>3];Q=P+5|0;p[G+(Q<<3)>>3]=+p[l>>3];p[F+(Q<<3)>>3]=+p[t>>3]}O=O+1|0}while((O|0)!=(y|0));Z=21}if((Z|0)==21)Ec[k[(k[R>>2]|0)+4>>2]&1023](R);R=ed[k[(k[b>>2]|0)+308>>2]&511](b,5)|0;Z=Hc[k[(k[R>>2]|0)+8>>2]&511](R)|0;if((Z|0)<(Hc[k[(k[R>>2]|0)+12>>2]&511](R)|0)){O=R+8|0;t=w<<1;l=z&S;s=Z;do{Fc[k[(k[R>>2]|0)+24>>2]&1023](R,s);rd[k[(k[b>>2]|0)+260>>2]&511](b,d,k[u>>2]|0,R);rd[k[(k[b>>2]|0)+344>>2]&511](b,B,k[u>>2]|0,R);nd[k[(k[b>>2]|0)+372>>2]&1023](b,D,R);Z=k[c>>2]|0;if((Z|0)==2){if(l){_=+p[d>>3];j=0;do{q=(ma(C,j)|0)<<1;i=ma(C,j<<1|1)|0;$=+p[B+(j<<3)>>3];aa=+p[B+(j+w<<3)>>3];o=0;do{ba=+p[D+(o<<3)>>3];h=ma(o,v)|0;n=E+(q+h<<3)|0;p[n>>3]=+p[O>>3]*_*ba*$+ +p[n>>3];n=h+2|0;g=E+(n+q<<3)|0;p[g>>3]=+p[O>>3]*_*ba*aa+ +p[g>>3];g=E+(h+1+i<<3)|0;p[g>>3]=+p[O>>3]*_*ba*aa+ +p[g>>3];g=E+(n+i<<3)|0;p[g>>3]=+p[O>>3]*_*ba*$+ +p[g>>3];o=o+1|0}while((o|0)!=(y|0));j=j+1|0}while((j|0)!=(w|0))}}else if(z){j=0;do{if(S){o=ma(ma(C,j)|0,Z)|0;i=ma(Z,j)|0;q=ma(C,i+1|0)|0;g=ma(C,i+2|0)|0;_=+p[d>>3];$=+p[B+(j<<3)>>3];aa=+p[B+(j+w<<3)>>3];ba=+p[B+(j+t<<3)>>3];i=0;do{ca=+p[D+(i<<3)>>3];n=ma(i,v)|0;h=E+(o+n<<3)|0;p[h>>3]=+p[O>>3]*_*ca*$+ +p[h>>3];h=n+3|0;m=E+(h+o<<3)|0;p[m>>3]=+p[O>>3]*_*ca*aa+ +p[m>>3];m=n+4|0;f=E+(m+o<<3)|0;p[f>>3]=+p[O>>3]*_*ca*ba+ +p[f>>3];f=E+(n+1+q<<3)|0;p[f>>3]=+p[O>>3]*_*ca*aa+ +p[f>>3];f=E+(h+q<<3)|0;p[f>>3]=+p[O>>3]*_*ca*$+ +p[f>>3];f=n+5|0;h=E+(f+q<<3)|0;p[h>>3]=+p[O>>3]*_*ca*ba+ +p[h>>3];h=E+(n+2+g<<3)|0;p[h>>3]=+p[O>>3]*_*ca*ba+ +p[h>>3];h=E+(m+g<<3)|0;p[h>>3]=+p[O>>3]*_*ca*$+ +p[h>>3];h=E+(f+g<<3)|0;p[h>>3]=+p[O>>3]*_*ca*aa+ +p[h>>3];i=i+1|0}while((i|0)!=(y|0))}j=j+1|0}while((j|0)!=(w|0))}s=s+1|0}while((s|0)<(Hc[k[(k[R>>2]|0)+12>>2]&511](R)|0))}s=(C|0)>0;if(s){y=0;do{O=I+((ma(y,C)|0)+y<<3)|0;p[O>>3]=-1.0;y=y+1|0}while((y|0)!=(C|0))}y=ma(k[c>>2]|0,w)|0;O=x+4|0;ZX(E,y,C,0,I,C,C,0,F,C,1,0,k[O>>2]|0,1)|0;if(s){aa=+p[e>>3];e=0;do{s=I+((ma(e,C)|0)+e<<3)|0;p[s>>3]=aa;e=e+1|0}while((e|0)!=(C|0))}e=ma(k[c>>2]|0,w)|0;ZX(E,e,C,0,I,C,C,0,G,C,1,0,k[O>>2]|0,1)|0;zq(b,x,A);if(R)Ec[k[(k[R>>2]|0)+4>>2]&1023](R);Tqa(A);A=k[u>>2]|0;if(!A){k[u>>2]=0;Tqa(E);Tqa(G);Tqa(I);Tqa(F);Tqa(B);Tqa(D);r=a;return x|0}Tqa(A);k[u>>2]=0;Tqa(E);Tqa(G);Tqa(I);Tqa(F);Tqa(B);Tqa(D);r=a;return x|0}function jaa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;a=r;r=r+32|0;c=a+20|0;d=a+8|0;e=a;f=a+16|0;k[f>>2]=0;cp(b,c,299);g=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;h=Rqa(g>>>0>1073741823?-1:g<<2)|0;i=(g|0)>0;if((k[c>>2]|0)==2){if(i){j=0;do{k[h+(j<<2)>>2]=971;j=j+1|0}while((j|0)!=(g|0))}}else if(i){j=0;do{k[h+(j<<2)>>2]=972;j=j+1|0}while((j|0)!=(g|0))}j=iq(b,543)|0;l=g*3|0;m=Rqa(l>>>0>536870911?-1:l<<3)|0;Uo(b,f);l=Wo(b,653)|0;Wo(b,706)|0;n=ed[k[(k[b>>2]|0)+308>>2]&511](b,5)|0;o=Hc[k[(k[n>>2]|0)+8>>2]&511](n)|0;if((o|0)<(Hc[k[(k[n>>2]|0)+12>>2]&511](n)|0)){q=n+8|0;s=j+4|0;t=g<<1;u=o;do{Fc[k[(k[n>>2]|0)+24>>2]&1023](n,u);rd[k[(k[b>>2]|0)+260>>2]&511](b,d,k[f>>2]|0,n);nd[k[(k[l>>2]|0)+48>>2]&1023](l,e,n);rd[k[(k[b>>2]|0)+344>>2]&511](b,m,k[f>>2]|0,n);if(i){o=k[c>>2]|0;v=k[s>>2]|0;if((o|0)==3){w=0;do{x=w*3|0;y=v+(x<<3)|0;p[y>>3]=+p[e>>3]*+p[q>>3]*+p[d>>3]*+p[m+(w<<3)>>3]+ +p[y>>3];y=v+(x+1<<3)|0;p[y>>3]=+p[e>>3]*+p[q>>3]*+p[d>>3]*+p[m+(w+g<<3)>>3]+ +p[y>>3];y=v+(x+2<<3)|0;p[y>>3]=+p[e>>3]*+p[q>>3]*+p[d>>3]*+p[m+(w+t<<3)>>3]+ +p[y>>3];w=w+1|0}while((w|0)!=(g|0))}else{w=0;do{y=ma(o,w)|0;x=v+(y<<3)|0;p[x>>3]=+p[e>>3]*+p[q>>3]*+p[d>>3]*+p[m+(w<<3)>>3]+ +p[x>>3];x=v+(y+1<<3)|0;p[x>>3]=+p[e>>3]*+p[q>>3]*+p[d>>3]*+p[m+(w+g<<3)>>3]+ +p[x>>3];w=w+1|0}while((w|0)!=(g|0))}}u=u+1|0}while((u|0)<(Hc[k[(k[n>>2]|0)+12>>2]&511](n)|0))}Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0;zq(b,j,h);Ec[k[(k[n>>2]|0)+4>>2]&1023](n);Tqa(h);h=k[f>>2]|0;if(!h){k[f>>2]=0;Tqa(m);r=a;return j|0}Tqa(h);k[f>>2]=0;Tqa(m);r=a;return j|0}function kaa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0.0;a=r;r=r+96|0;d=a+84|0;e=a+56|0;f=a+32|0;g=a+8|0;h=a;i=a+80|0;k[i>>2]=0;cO(c,d,299);if((th(b)|0)<=0){r=a;return}c=f+8|0;j=e+8|0;l=g+16|0;m=e+16|0;n=f+16|0;o=g+8|0;q=0;s=0;while(1){t=qh(b,q)|0;Uo(t,i);u=Wo(t,674)|0;v=Wo(t,677)|0;if((k[d>>2]|0)==3)w=Wo(t,679)|0;else w=s;x=Hc[k[(k[t>>2]|0)+172>>2]&511](t)|0;y=x>>>0>536870911?-1:x<<3;z=Rqa(y)|0;A=Rqa(y)|0;B=Rqa(y)|0;C=Rqa(y)|0;D=Rqa(y)|0;E=Rqa(y)|0;if((k[d>>2]|0)==3){F=Rqa(y)|0;G=Rqa(y)|0;H=Rqa(y)|0;I=Rqa(y)|0;J=Rqa(y)|0;K=H;L=J;M=F;N=I;O=Rqa(y)|0;P=G}else{K=0;L=0;M=0;N=0;O=0;P=0}G=Hc[k[(k[t>>2]|0)+304>>2]&511](t)|0;if((x|0)>0){y=t+28|0;I=0;do{nd[k[(k[G>>2]|0)+32>>2]&1023](G,739,I);rd[k[(k[u>>2]|0)+60>>2]&511](u,e,k[i>>2]|0,G);rd[k[(k[v>>2]|0)+60>>2]&511](v,f,k[i>>2]|0,G);F=k[d>>2]|0;if((F|0)==3){rd[k[(k[w>>2]|0)+60>>2]&511](w,g,k[i>>2]|0,G);Q=k[d>>2]|0}else Q=F;F=k[y>>2]|0;Tc[k[(k[F>>2]|0)+108>>2]&15](F,h,Q,k[i>>2]|0,G,u,v,w);R=+p[e>>3];p[z+(I<<3)>>3]=R;S=+p[h>>3]*2.0;p[A+(I<<3)>>3]=R*S;R=+p[c>>3];p[B+(I<<3)>>3]=R;p[C+(I<<3)>>3]=R*S;R=(+p[j>>3]+ +p[f>>3])*.5;p[D+(I<<3)>>3]=R;p[E+(I<<3)>>3]=R*S;if((k[d>>2]|0)==3){R=+p[l>>3];p[M+(I<<3)>>3]=R;p[P+(I<<3)>>3]=R*S;R=(+p[m>>3]+ +p[g>>3])*.5;p[K+(I<<3)>>3]=R;p[N+(I<<3)>>3]=R*S;R=(+p[n>>3]+ +p[o>>3])*.5;p[L+(I<<3)>>3]=R;p[O+(I<<3)>>3]=R*S}I=I+1|0}while((I|0)!=(x|0))}rd[k[(k[t>>2]|0)+48>>2]&511](t,725,z,739);rd[k[(k[t>>2]|0)+48>>2]&511](t,716,A,739);rd[k[(k[t>>2]|0)+48>>2]&511](t,728,B,739);rd[k[(k[t>>2]|0)+48>>2]&511](t,719,C,739);rd[k[(k[t>>2]|0)+48>>2]&511](t,726,D,739);rd[k[(k[t>>2]|0)+48>>2]&511](t,717,E,739);if((k[d>>2]|0)==3){rd[k[(k[t>>2]|0)+48>>2]&511](t,730,M,739);rd[k[(k[t>>2]|0)+48>>2]&511](t,721,P,739);rd[k[(k[t>>2]|0)+48>>2]&511](t,727,K,739);rd[k[(k[t>>2]|0)+48>>2]&511](t,718,N,739);rd[k[(k[t>>2]|0)+48>>2]&511](t,729,L,739);rd[k[(k[t>>2]|0)+48>>2]&511](t,720,O,739)}if(G)Ec[k[(k[G>>2]|0)+4>>2]&1023](G);x=k[i>>2]|0;if(x)Tqa(x);k[i>>2]=0;Tqa(z);Tqa(A);Tqa(B);Tqa(C);if(M)Tqa(M);if(P)Tqa(P);Tqa(D);Tqa(E);if(K)Tqa(K);if(N)Tqa(N);if(L)Tqa(L);if(O)Tqa(O);q=q+1|0;if((q|0)>=(th(b)|0))break;else s=w}r=a;return}function laa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0.0,wa=0.0,xa=0.0,ya=0,za=0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0.0,Ea=0.0,Fa=0.0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0.0,Ka=0.0,La=0.0,Ma=0.0,Na=0.0,Oa=0.0,Pa=0.0,Qa=0.0,Ra=0,Sa=0.0,Ta=0.0,Ua=0.0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0;a=r;r=r+224|0;d=a+220|0;e=a+208|0;f=a+200|0;g=a+192|0;h=a+184|0;i=a+176|0;j=a+168|0;l=a+160|0;m=a+152|0;n=a+144|0;o=a+136|0;q=a+128|0;s=a+120|0;t=a+112|0;u=a+88|0;v=a+64|0;w=a+40|0;x=a+32|0;y=a+24|0;z=a+216|0;A=a+16|0;B=a+8|0;C=a;k[z>>2]=0;dO(c,B,916);cO(c,d,299);if((th(b)|0)<=0){r=a;return}c=v+8|0;D=u+8|0;E=w+16|0;F=u+16|0;G=v+16|0;H=w+8|0;I=0.0;J=0.0;K=0.0;L=0;M=0;while(1){N=qh(b,L)|0;Uo(N,z);O=Wo(N,214)|0;P=Wo(N,217)|0;Q=Wo(N,674)|0;R=Wo(N,677)|0;if((k[d>>2]|0)==3)S=Wo(N,679)|0;else S=M;T=Hc[k[(k[N>>2]|0)+172>>2]&511](N)|0;U=T>>>0>536870911?-1:T<<3;V=Rqa(U)|0;W=ma(T,T)|0;X=Rqa(W>>>0>536870911?-1:W<<3)|0;if(W)WEa(X|0,0,W<<3|0)|0;W=Rqa(U)|0;Y=(T|0)==0;if(Y){Z=Rqa(U)|0;_=Rqa(U)|0;$=Z}else{Z=T<<3;WEa(W|0,0,Z|0)|0;ca=Rqa(U)|0;WEa(ca|0,0,Z|0)|0;da=Rqa(U)|0;WEa(da|0,0,Z|0)|0;_=da;$=ca}do if((k[d>>2]|0)==3){ca=Rqa(U)|0;if(Y){da=Rqa(U)|0;ea=da;fa=Rqa(U)|0;ga=ca;break}else{da=T<<3;WEa(ca|0,0,da|0)|0;Z=Rqa(U)|0;WEa(Z|0,0,da|0)|0;ha=Rqa(U)|0;WEa(ha|0,0,da|0)|0;ea=Z;fa=ha;ga=ca;break}}else{ea=0;fa=0;ga=0}while(0);Y=Wo(N,725)|0;ca=Wo(N,728)|0;ha=Wo(N,726)|0;if((k[d>>2]|0)==3){Z=Wo(N,730)|0;da=Wo(N,727)|0;ia=da;ja=Wo(N,729)|0;ka=Z}else{ia=0;ja=0;ka=0}Z=Wo(N,716)|0;da=Wo(N,719)|0;la=Wo(N,717)|0;if((k[d>>2]|0)==3){na=Wo(N,721)|0;oa=Wo(N,718)|0;pa=oa;qa=Wo(N,720)|0;ra=na}else{pa=0;qa=0;ra=0}na=ed[k[(k[N>>2]|0)+308>>2]&511](N,5)|0;oa=Hc[k[(k[na>>2]|0)+8>>2]&511](na)|0;if((oa|0)<(Hc[k[(k[na>>2]|0)+12>>2]&511](na)|0)){sa=na+8|0;ta=(T|0)>0;ua=ta^1;va=I;wa=J;xa=K;ya=oa;while(1){Fc[k[(k[na>>2]|0)+24>>2]&1023](na,ya);rd[k[(k[N>>2]|0)+260>>2]&511](N,A,k[z>>2]|0,na);nd[k[(k[N>>2]|0)+372>>2]&1023](N,V,na);nd[k[(k[Z>>2]|0)+48>>2]&1023](Z,m,na);nd[k[(k[da>>2]|0)+48>>2]&1023](da,n,na);nd[k[(k[la>>2]|0)+48>>2]&1023](la,q,na);if((k[d>>2]|0)==3){nd[k[(k[ra>>2]|0)+48>>2]&1023](ra,o,na);nd[k[(k[pa>>2]|0)+48>>2]&1023](pa,s,na);nd[k[(k[qa>>2]|0)+48>>2]&1023](qa,t,na)}nd[k[(k[Y>>2]|0)+48>>2]&1023](Y,f,na);nd[k[(k[ca>>2]|0)+48>>2]&1023](ca,g,na);nd[k[(k[ha>>2]|0)+48>>2]&1023](ha,i,na);if((k[d>>2]|0)==3){nd[k[(k[ka>>2]|0)+48>>2]&1023](ka,h,na);nd[k[(k[ia>>2]|0)+48>>2]&1023](ia,j,na);nd[k[(k[ja>>2]|0)+48>>2]&1023](ja,l,na)}rd[k[(k[Q>>2]|0)+60>>2]&511](Q,u,k[z>>2]|0,na);rd[k[(k[R>>2]|0)+60>>2]&511](R,v,k[z>>2]|0,na);oa=k[d>>2]|0;if((oa|0)==3){rd[k[(k[S>>2]|0)+60>>2]&511](S,w,k[z>>2]|0,na);za=k[d>>2]|0}else za=oa;Aa=+p[u>>3];Ba=+p[c>>3];Ca=(+p[D>>3]+ +p[v>>3])*.5;if((za|0)==3){Da=(+p[F>>3]+ +p[w>>3])*.5;Ea=(+p[G>>3]+ +p[H>>3])*.5;Fa=+p[E>>3]}else{Da=va;Ea=wa;Fa=xa}nd[k[(k[O>>2]|0)+48>>2]&1023](O,x,na);nd[k[(k[P>>2]|0)+48>>2]&1023](P,y,na);Ga=+p[y>>3];Ha=+p[x>>3]*+ba(.7071067811865475,+((1.0-Ga)/Ga));Ia=+p[B>>3];oa=(k[d>>2]|0)==2;Ja=Aa*Ia+ +p[m>>3];Ka=Ba*Ia+ +p[n>>3];La=Ja*Ja+Ka*Ka;if(oa){Ka=Ca*Ia+ +p[q>>3];Ma=La+Ka*(Ka*2.0)}else{Ka=Fa*Ia+ +p[o>>3];Ja=Ca*Ia+ +p[q>>3];Na=Da*Ia+ +p[s>>3];Oa=Ea*Ia+ +p[t>>3];Ma=La+Ka*Ka+Ja*(Ja*2.0)+Na*(Na*2.0)+Oa*(Oa*2.0)}Oa=+aa(+Ma);Na=+p[f>>3];Ja=+p[g>>3];Ka=Na*Na+Ja*Ja;if(oa){Ja=+p[i>>3];Pa=Ka+Ja*(Ja*2.0)}else{Ja=+p[h>>3];Na=+p[i>>3];La=+p[j>>3];Qa=+p[l>>3];Pa=Ka+Ja*Ja+(Na*Na+La*La+Qa*Qa)*2.0}Qa=+aa(+Pa);La=Qa==0.0?1.0:Qa;p[C>>3]=La;Wna(C,Ha,Ia,Oa,Ga,La)|0;La=+p[y>>3];Ga=Ha*+ba(+(+p[C>>3]),+((1.0-La)/La));p[e>>3]=(Ga+ +p[B>>3])*+p[sa>>3]*+p[A>>3];ZX(V,T,1,0,e,1,1,0,V,1,T,0,X,1)|0;do if(ta){Ga=+p[A>>3];La=Aa*+p[B>>3]+ +p[m>>3];oa=0;do{Ra=W+(oa<<3)|0;p[Ra>>3]=+p[Ra>>3]+La*+p[V+(oa<<3)>>3]*+p[sa>>3]*Ga;oa=oa+1|0}while((oa|0)!=(T|0));if(ta){Ga=+p[A>>3];La=Ba*+p[B>>3]+ +p[n>>3];oa=0;do{Ra=$+(oa<<3)|0;p[Ra>>3]=+p[Ra>>3]+La*+p[V+(oa<<3)>>3]*+p[sa>>3]*Ga;oa=oa+1|0}while((oa|0)!=(T|0));if(!ta)break;Ga=+p[A>>3];La=Ca*+p[B>>3]+ +p[q>>3];oa=0;do{Ra=_+(oa<<3)|0;p[Ra>>3]=+p[Ra>>3]+La*+p[V+(oa<<3)>>3]*+p[sa>>3]*Ga;oa=oa+1|0}while((oa|0)!=(T|0))}}while(0);do if(!((k[d>>2]|0)!=3|ua)){Ca=+p[A>>3];Ba=Fa*+p[B>>3]+ +p[o>>3];oa=0;do{Ra=ga+(oa<<3)|0;p[Ra>>3]=+p[Ra>>3]+Ba*+p[V+(oa<<3)>>3]*+p[sa>>3]*Ca;oa=oa+1|0}while((oa|0)!=(T|0));if(!ta)break;Ca=+p[A>>3];Ba=Da*+p[B>>3]+ +p[s>>3];oa=0;do{Ra=ea+(oa<<3)|0;p[Ra>>3]=+p[Ra>>3]+Ba*+p[V+(oa<<3)>>3]*+p[sa>>3]*Ca;oa=oa+1|0}while((oa|0)!=(T|0));if(!ta)break;Ca=+p[A>>3];Ba=Ea*+p[B>>3]+ +p[t>>3];oa=0;do{Ra=fa+(oa<<3)|0;p[Ra>>3]=+p[Ra>>3]+Ba*+p[V+(oa<<3)>>3]*+p[sa>>3]*Ca;oa=oa+1|0}while((oa|0)!=(T|0))}while(0);ya=ya+1|0;if((ya|0)>=(Hc[k[(k[na>>2]|0)+12>>2]&511](na)|0)){Sa=Da;Ta=Ea;Ua=Fa;break}else{va=Da;wa=Ea;xa=Fa}}}else{Sa=I;Ta=J;Ua=K}ya=Rqa(U)|0;T=Rqa(U)|0;sa=Rqa(U)|0;if((k[d>>2]|0)==2){fY(ya,X,W);fY(T,X,$);fY(sa,X,_);rd[k[(k[N>>2]|0)+48>>2]&511](N,725,ya,739);rd[k[(k[N>>2]|0)+48>>2]&511](N,728,T,739);rd[k[(k[N>>2]|0)+48>>2]&511](N,726,sa,739);if(!na){Va=0;Wa=0;Xa=0}else{Ya=0;Za=0;_a=0;$a=57}}else{ta=Rqa(U)|0;ua=Rqa(U)|0;P=Rqa(U)|0;iY(ya,X,W);iY(T,X,$);iY(sa,X,_);iY(ta,X,ga);iY(ua,X,ea);iY(P,X,fa);rd[k[(k[N>>2]|0)+48>>2]&511](N,725,ya,739);rd[k[(k[N>>2]|0)+48>>2]&511](N,728,T,739);rd[k[(k[N>>2]|0)+48>>2]&511](N,726,sa,739);rd[k[(k[N>>2]|0)+48>>2]&511](N,730,ta,739);rd[k[(k[N>>2]|0)+48>>2]&511](N,727,ua,739);rd[k[(k[N>>2]|0)+48>>2]&511](N,729,P,739);Ya=ua;Za=P;_a=ta;$a=57}if(($a|0)==57){$a=0;Ec[k[(k[na>>2]|0)+4>>2]&1023](na);Va=Ya;Wa=Za;Xa=_a}ta=k[z>>2]|0;if(ta)Tqa(ta);k[z>>2]=0;Tqa(V);Tqa(X);Tqa(W);Tqa(ya);Tqa($);Tqa(T);if(ga)Tqa(ga);if(Xa)Tqa(Xa);Tqa(_);Tqa(sa);if(ea)Tqa(ea);if(Va)Tqa(Va);if(fa)Tqa(fa);if(Wa)Tqa(Wa);L=L+1|0;if((L|0)>=(th(b)|0))break;else{I=Sa;J=Ta;K=Ua;M=S}}r=a;return}function maa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0.0,ga=0.0,ha=0.0,ia=0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0,qa=0.0,ra=0.0,sa=0.0,ta=0.0;a=r;r=r+192|0;d=a+180|0;e=a+168|0;f=a+160|0;g=a+152|0;h=a+144|0;i=a+136|0;j=a+128|0;l=a+120|0;m=a+112|0;n=a+104|0;o=a+96|0;q=a+88|0;s=a+80|0;t=a+56|0;u=a+32|0;v=a+8|0;w=a+176|0;x=a;k[w>>2]=0;dO(c,x,916);cO(c,d,299);if((th(b)|0)<=0){r=a;return}c=u+8|0;y=t+8|0;z=v+16|0;A=t+16|0;B=u+16|0;C=v+8|0;D=0.0;E=0.0;F=0.0;G=0;while(1){H=qh(b,G)|0;Uo(H,w);I=Wo(H,674)|0;J=Wo(H,677)|0;if((k[d>>2]|0)==3)K=Wo(H,679)|0;else K=0;L=Wo(H,716)|0;M=Wo(H,719)|0;N=Wo(H,717)|0;if((k[d>>2]|0)==3){O=Wo(H,721)|0;P=Wo(H,718)|0;Q=P;R=Wo(H,720)|0;S=O}else{Q=0;R=0;S=0}O=Wo(H,725)|0;P=Wo(H,728)|0;T=Wo(H,726)|0;if((k[d>>2]|0)==3){U=Wo(H,730)|0;V=Wo(H,727)|0;W=V;X=Wo(H,729)|0;Y=U}else{W=0;X=0;Y=0}U=Hc[k[(k[H>>2]|0)+172>>2]&511](H)|0;V=U>>>0>536870911?-1:U<<3;Z=Rqa(V)|0;_=Rqa(V)|0;$=Rqa(V)|0;if((k[d>>2]|0)==3){aa=Rqa(V)|0;ba=Rqa(V)|0;ca=ba;da=Rqa(V)|0;ea=aa}else{ca=0;da=0;ea=0}aa=Hc[k[(k[H>>2]|0)+304>>2]&511](H)|0;if((U|0)>0){fa=D;ga=E;ha=F;V=0;while(1){nd[k[(k[aa>>2]|0)+32>>2]&1023](aa,739,V);rd[k[(k[I>>2]|0)+60>>2]&511](I,t,k[w>>2]|0,aa);rd[k[(k[J>>2]|0)+60>>2]&511](J,u,k[w>>2]|0,aa);ba=k[d>>2]|0;if((ba|0)==3){rd[k[(k[K>>2]|0)+60>>2]&511](K,v,k[w>>2]|0,aa);ia=k[d>>2]|0}else ia=ba;ja=+p[t>>3];ka=+p[c>>3];la=(+p[y>>3]+ +p[u>>3])*.5;if((ia|0)==3){ma=(+p[A>>3]+ +p[v>>3])*.5;na=(+p[B>>3]+ +p[C>>3])*.5;oa=+p[z>>3]}else{ma=fa;na=ga;oa=ha}nd[k[(k[L>>2]|0)+48>>2]&1023](L,l,aa);nd[k[(k[M>>2]|0)+48>>2]&1023](M,m,aa);nd[k[(k[N>>2]|0)+48>>2]&1023](N,o,aa);if((k[d>>2]|0)==3){nd[k[(k[S>>2]|0)+48>>2]&1023](S,n,aa);nd[k[(k[Q>>2]|0)+48>>2]&1023](Q,q,aa);nd[k[(k[R>>2]|0)+48>>2]&1023](R,s,aa)}nd[k[(k[O>>2]|0)+48>>2]&1023](O,e,aa);nd[k[(k[P>>2]|0)+48>>2]&1023](P,f,aa);nd[k[(k[T>>2]|0)+48>>2]&1023](T,h,aa);ba=k[d>>2]|0;if((ba|0)==3){nd[k[(k[Y>>2]|0)+48>>2]&1023](Y,g,aa);nd[k[(k[W>>2]|0)+48>>2]&1023](W,i,aa);nd[k[(k[X>>2]|0)+48>>2]&1023](X,j,aa);pa=k[d>>2]|0}else pa=ba;qa=+p[x>>3];p[Z+(V<<3)>>3]=+p[l>>3]+qa*(ja-+p[e>>3]);p[_+(V<<3)>>3]=+p[m>>3]+qa*(ka-+p[f>>3]);p[$+(V<<3)>>3]=+p[o>>3]+qa*(la-+p[h>>3]);if((pa|0)==3){p[ea+(V<<3)>>3]=+p[n>>3]+qa*(oa-+p[g>>3]);p[ca+(V<<3)>>3]=+p[q>>3]+qa*(ma-+p[i>>3]);p[da+(V<<3)>>3]=+p[s>>3]+qa*(na-+p[j>>3])}V=V+1|0;if((V|0)==(U|0)){ra=ma;sa=na;ta=oa;break}else{fa=ma;ga=na;ha=oa}}}else{ra=D;sa=E;ta=F}rd[k[(k[H>>2]|0)+48>>2]&511](H,716,Z,739);rd[k[(k[H>>2]|0)+48>>2]&511](H,719,_,739);rd[k[(k[H>>2]|0)+48>>2]&511](H,717,$,739);if((k[d>>2]|0)==3){rd[k[(k[H>>2]|0)+48>>2]&511](H,721,ea,739);rd[k[(k[H>>2]|0)+48>>2]&511](H,718,ca,739);rd[k[(k[H>>2]|0)+48>>2]&511](H,720,da,739)}if(aa)Ec[k[(k[aa>>2]|0)+4>>2]&1023](aa);U=k[w>>2]|0;if(U)Tqa(U);k[w>>2]=0;Tqa(Z);Tqa(_);if(ea)Tqa(ea);Tqa($);if(ca)Tqa(ca);if(da)Tqa(da);G=G+1|0;if((G|0)>=(th(b)|0))break;else{D=ra;E=sa;F=ta}}r=a;return}function naa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0;c=r;r=r+16|0;d=c;e=Rqa(76)|0;f=Rqa(52)|0;g=Rqa(76)|0;h=Hc[k[(k[b>>2]|0)+112>>2]&511](b)|0;i=ed[k[(k[b>>2]|0)+156>>2]&511](b,0)|0;k[g+24>>2]=i;k[e+24>>2]=972;k[f>>2]=972;i=ed[k[(k[b>>2]|0)+156>>2]&511](b,1)|0;k[g+28>>2]=i;k[e+28>>2]=972;k[f+4>>2]=972;i=ed[k[(k[b>>2]|0)+156>>2]&511](b,2)|0;k[g+32>>2]=i;k[e+32>>2]=972;k[f+8>>2]=972;i=ed[k[(k[b>>2]|0)+156>>2]&511](b,3)|0;k[g+36>>2]=i;k[e+36>>2]=972;k[f+12>>2]=972;i=ed[k[(k[b>>2]|0)+156>>2]&511](b,4)|0;k[g+40>>2]=i;k[e+40>>2]=972;k[f+16>>2]=972;i=ed[k[(k[b>>2]|0)+156>>2]&511](b,5)|0;k[g+44>>2]=i;k[e+44>>2]=972;k[f+20>>2]=972;i=ed[k[(k[b>>2]|0)+156>>2]&511](b,6)|0;k[g+48>>2]=i;k[e+48>>2]=972;k[f+24>>2]=972;i=ed[k[(k[b>>2]|0)+156>>2]&511](b,0)|0;k[g>>2]=i;i=ed[k[(k[b>>2]|0)+156>>2]&511](b,6)|0;k[g+52>>2]=i;k[e>>2]=971;k[e+52>>2]=653;k[f+28>>2]=653;i=ed[k[(k[b>>2]|0)+156>>2]&511](b,1)|0;k[g+4>>2]=i;i=ed[k[(k[b>>2]|0)+156>>2]&511](b,7)|0;k[g+56>>2]=i;k[e+4>>2]=971;k[e+56>>2]=653;k[f+32>>2]=653;i=ed[k[(k[b>>2]|0)+156>>2]&511](b,2)|0;k[g+8>>2]=i;i=ed[k[(k[b>>2]|0)+156>>2]&511](b,8)|0;k[g+60>>2]=i;k[e+8>>2]=971;k[e+60>>2]=653;k[f+36>>2]=653;i=ed[k[(k[b>>2]|0)+156>>2]&511](b,3)|0;k[g+12>>2]=i;i=ed[k[(k[b>>2]|0)+156>>2]&511](b,9)|0;k[g+64>>2]=i;k[e+12>>2]=971;k[e+64>>2]=653;k[f+40>>2]=653;i=ed[k[(k[b>>2]|0)+156>>2]&511](b,4)|0;k[g+16>>2]=i;i=ed[k[(k[b>>2]|0)+156>>2]&511](b,10)|0;k[g+68>>2]=i;k[e+16>>2]=971;k[e+68>>2]=653;k[f+44>>2]=653;i=ed[k[(k[b>>2]|0)+156>>2]&511](b,5)|0;k[g+20>>2]=i;i=ed[k[(k[b>>2]|0)+156>>2]&511](b,11)|0;k[g+72>>2]=i;k[e+20>>2]=971;k[e+72>>2]=653;k[f+48>>2]=653;i=hq(b,6,540)|0;j=gq(b,543)|0;l=Qqa(68)|0;B=0;eb(515,l|0,i|0,j|0);m=B;B=0;if(m&1){m=Rb()|0;Sqa(l);Qb(m|0)}if(i){HN(i);Sqa(i)}if(j){HN(j);Sqa(j)}j=i9(a,b)|0;wq(b,j,g,13,f);k[d>>2]=k[9691];k[d+4>>2]=k[9692];k[d+8>>2]=k[9693];NN(j,3,d);Fc[k[(k[b>>2]|0)+428>>2]&1023](b,738);d=h9(a,b)|0;vq(b,d,971);Fc[k[(k[b>>2]|0)+428>>2]&1023](b,h);h=k[j+12>>2]|0;a=l+12|0;i=k[a>>2]|0;m=0;do{n=m*27|0;o=m*39|0;q=i+(o+468<<3)|0;p[q>>3]=+p[h+(n<<3)>>3]+ +p[q>>3];q=i+(o+469<<3)|0;p[q>>3]=+p[h+(n+1<<3)>>3]+ +p[q>>3];q=i+(o+470<<3)|0;p[q>>3]=+p[h+(n+3<<3)>>3]+ +p[q>>3];q=i+(o+471<<3)|0;p[q>>3]=+p[h+(n+4<<3)>>3]+ +p[q>>3];q=i+(o+472<<3)|0;p[q>>3]=+p[h+(n+6<<3)>>3]+ +p[q>>3];q=i+(o+473<<3)|0;p[q>>3]=+p[h+(n+7<<3)>>3]+ +p[q>>3];q=i+(o+474<<3)|0;p[q>>3]=+p[h+(n+9<<3)>>3]+ +p[q>>3];q=i+(o+475<<3)|0;p[q>>3]=+p[h+(n+10<<3)>>3]+ +p[q>>3];q=i+(o+476<<3)|0;p[q>>3]=+p[h+(n+12<<3)>>3]+ +p[q>>3];q=i+(o+477<<3)|0;p[q>>3]=+p[h+(n+13<<3)>>3]+ +p[q>>3];q=i+(o+478<<3)|0;p[q>>3]=+p[h+(n+15<<3)>>3]+ +p[q>>3];q=i+(o+479<<3)|0;p[q>>3]=+p[h+(n+16<<3)>>3]+ +p[q>>3];m=m+1|0}while((m|0)!=27);m=k[d+12>>2]|0;h=k[a>>2]|0;a=0;do{i=a*12|0;q=a*39|0;n=h+(q+12<<3)|0;p[n>>3]=+p[m+(i<<3)>>3]+ +p[n>>3];n=h+(q+13<<3)|0;p[n>>3]=+p[m+((i|1)<<3)>>3]+ +p[n>>3];n=h+(q+15<<3)|0;p[n>>3]=+p[m+((i|2)<<3)>>3]+ +p[n>>3];n=h+(q+16<<3)|0;p[n>>3]=+p[m+((i|3)<<3)>>3]+ +p[n>>3];n=i+4|0;o=h+(q+18<<3)|0;p[o>>3]=+p[m+(n<<3)>>3]+ +p[o>>3];o=h+(q+19<<3)|0;p[o>>3]=+p[m+((n|1)<<3)>>3]+ +p[o>>3];o=i+6|0;n=h+(q+21<<3)|0;p[n>>3]=+p[m+(o<<3)>>3]+ +p[n>>3];n=h+(q+22<<3)|0;p[n>>3]=+p[m+((o|1)<<3)>>3]+ +p[n>>3];n=i+8|0;o=h+(q+24<<3)|0;p[o>>3]=+p[m+(n<<3)>>3]+ +p[o>>3];o=h+(q+25<<3)|0;p[o>>3]=+p[m+((n|1)<<3)>>3]+ +p[o>>3];o=i+10|0;i=h+(q+27<<3)|0;p[i>>3]=+p[m+(o<<3)>>3]+ +p[i>>3];i=h+(q+28<<3)|0;p[i>>3]=+p[m+((o|1)<<3)>>3]+ +p[i>>3];a=a+1|0}while((a|0)!=12);Gq(b,l,g,19,e);Tqa(e);Tqa(f);Tqa(g);if(j){HN(j);Sqa(j)}if(!d){r=c;return l|0}HN(d);Sqa(d);r=c;return l|0}function oaa(a,b){a=a|0;b=b|0;var c=0,d=0;c=paa(a,b)|0;d=qaa(a,b)|0;b=Qqa(68)|0;B=0;eb(515,b|0,c|0,d|0);a=B;B=0;if(a&1){a=Rb()|0;Sqa(b);Qb(a|0)}HN(c);Sqa(c);if(!d)return b|0;HN(d);Sqa(d);return b|0}function paa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0.0,T=0,U=0.0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0;a=r;r=r+4848|0;c=a+4664|0;d=a+4656|0;e=a+4648|0;f=a+4640|0;g=a+3776|0;h=a+3584|0;i=a+3440|0;j=a+2792|0;l=a+2664|0;m=a+2592|0;n=a+1296|0;o=a;q=a+4832|0;s=l;t=s+128|0;do{k[s>>2]=0;s=s+4|0}while((s|0)<(t|0));s=m;t=s+72|0;do{k[s>>2]=0;s=s+4|0}while((s|0)<(t|0));WEa(n|0,0,1296)|0;WEa(o|0,0,1296)|0;k[q>>2]=0;u=Hc[k[(k[b>>2]|0)+124>>2]&511](b)|0;v=Hc[k[(k[u>>2]|0)+432>>2]&511](u)|0;w=Hc[k[(k[b>>2]|0)+396>>2]&511](b)|0;x=Hc[k[(k[b>>2]|0)+392>>2]&511](b)|0;y=(w<<1)+-1|0;z=x+y|0;A=z>>>0>1073741823?-1:z<<2;C=Rqa(A)|0;D=Rqa(A)|0;if((w|0)>1){A=w+-1|0;E=0;do{F=ed[k[(k[u>>2]|0)+156>>2]&511](u,E)|0;k[D+(E<<2)>>2]=F;k[C+(E<<2)>>2]=971;E=E+1|0}while((E|0)!=(A|0))}if((w|0)>0){A=w+-1|0;E=0;do{F=ed[k[(k[b>>2]|0)+156>>2]&511](b,E)|0;G=A+E|0;k[D+(G<<2)>>2]=F;k[C+(G<<2)>>2]=972;E=E+1|0}while((E|0)!=(w|0))}if((x|0)>0){E=0;do{A=ed[k[(k[b>>2]|0)+156>>2]&511](b,E+w|0)|0;G=E+y|0;k[D+(G<<2)>>2]=A;k[C+(G<<2)>>2]=653;E=E+1|0}while((E|0)!=(x|0))}x=hq(u,6,536)|0;u=gq(b,543)|0;E=Qqa(68)|0;B=0;eb(515,E|0,x|0,u|0);y=B;B=0;if(y&1){y=Rb()|0;w=Q;Sqa(E);H=y;I=w;Qb(H|0)}if(x){HN(x);Sqa(x)}if(u){HN(u);Sqa(u)}Uo(b,q);pp(b,f,85);u=Wo(b,674)|0;x=Wo(b,677)|0;w=Wo(b,679)|0;y=ed[k[(k[b>>2]|0)+308>>2]&511](b,5)|0;G=Qqa(64)|0;B=0;va(491,G|0);A=B;B=0;if(A&1){A=Rb()|0;F=Q;Sqa(G);H=A;I=F;Qb(H|0)}H=Hc[k[(k[y>>2]|0)+8>>2]&511](y)|0;if((H|0)<(Hc[k[(k[y>>2]|0)+12>>2]&511](y)|0)){F=j+144|0;I=j+360|0;A=j+576|0;J=b+28|0;K=y+8|0;L=l+120|0;M=l+40|0;N=l+80|0;O=m+32|0;P=m+64|0;R=H;do{Fc[k[(k[y>>2]|0)+24>>2]&1023](y,R);Fc[k[(k[y>>2]|0)+36>>2]&1023](y,G);rd[k[(k[b>>2]|0)+260>>2]&511](b,d,k[q>>2]|0,y);taa(0,g,b,k[q>>2]|0,y);uaa(0,h,v,k[q>>2]|0,G);vaa(0,i,v,k[q>>2]|0,G);rd[k[(k[b>>2]|0)+348>>2]&511](b,c,k[q>>2]|0,y);H=0;do{S=+p[c+(H<<3)>>3];T=H*3|0;p[j+(T<<3)>>3]=S*2.0;U=+p[c+56+(H<<3)>>3];p[j+(T+1<<3)>>3]=U;p[j+(T+2<<3)>>3]=0.0;p[j+(T+27<<3)>>3]=S;p[j+(T+28<<3)>>3]=U*2.0;p[j+(T+29<<3)>>3]=0.0;p[j+(T+54<<3)>>3]=U;p[j+(T+55<<3)>>3]=S;p[j+(T+56<<3)>>3]=0.0;H=H+1|0}while((H|0)!=6);s=F;t=s+72|0;do{k[s>>2]=0;s=s+4|0}while((s|0)<(t|0));s=I;t=s+72|0;do{k[s>>2]=0;s=s+4|0}while((s|0)<(t|0));s=A;t=s+72|0;do{k[s>>2]=0;s=s+4|0}while((s|0)<(t|0));H=k[J>>2]|0;Tc[k[(k[H>>2]|0)+108>>2]&15](H,e,3,k[q>>2]|0,y,u,x,w);S=+p[d>>3];U=+p[e>>3]*2.0*+p[K>>3]*S;p[l>>3]=U;p[M>>3]=U;p[N>>3]=U;p[L>>3]=-(+p[K>>3]*S*+p[f>>3]);p[m>>3]=U;p[O>>3]=U;p[P>>3]=U;ZX(g,4,27,1,l,4,4,0,h,4,6,0,n,1)|0;ZX(i,3,6,1,m,3,3,0,j,3,27,0,o,1)|0;R=R+1|0}while((R|0)<(Hc[k[(k[y>>2]|0)+12>>2]&511](y)|0))}R=k[E+12>>2]|0;j=0;do{m=j*39|0;i=R+(m+468<<3)|0;p[i>>3]=+p[n+(j*48|0)>>3]+ +p[i>>3];i=R+(m+469<<3)|0;p[i>>3]=+p[n+(j*48|0)+8>>3]+ +p[i>>3];i=R+(m+470<<3)|0;p[i>>3]=+p[n+(j*48|0)+16>>3]+ +p[i>>3];i=R+(m+471<<3)|0;p[i>>3]=+p[n+(j*48|0)+24>>3]+ +p[i>>3];i=R+(m+472<<3)|0;p[i>>3]=+p[n+(j*48|0)+32>>3]+ +p[i>>3];i=R+(m+473<<3)|0;p[i>>3]=+p[n+(j*48|0)+40>>3]+ +p[i>>3];j=j+1|0}while((j|0)!=27);V=0;do{j=R+(V+12<<3)|0;p[j>>3]=+p[o+(V<<3)>>3]+ +p[j>>3];V=V+1|0}while((V|0)!=27);W=0;do{V=R+(W+51<<3)|0;p[V>>3]=+p[o+216+(W<<3)>>3]+ +p[V>>3];W=W+1|0}while((W|0)!=27);X=0;do{W=R+(X+90<<3)|0;p[W>>3]=+p[o+432+(X<<3)>>3]+ +p[W>>3];X=X+1|0}while((X|0)!=27);Y=0;do{X=R+(Y+129<<3)|0;p[X>>3]=+p[o+648+(Y<<3)>>3]+ +p[X>>3];Y=Y+1|0}while((Y|0)!=27);Z=0;do{Y=R+(Z+168<<3)|0;p[Y>>3]=+p[o+864+(Z<<3)>>3]+ +p[Y>>3];Z=Z+1|0}while((Z|0)!=27);_=0;do{Z=R+(_+207<<3)|0;p[Z>>3]=+p[o+1080+(_<<3)>>3]+ +p[Z>>3];_=_+1|0}while((_|0)!=27);Gq(b,E,D,z,C);Tqa(C);Tqa(D);D=k[q>>2]|0;if(D)Tqa(D);k[q>>2]=0;q=k[v+28>>2]|0;if(q)Ec[k[(k[q>>2]|0)+4>>2]&1023](q);Ec[k[(k[v>>2]|0)+4>>2]&1023](v);if(!y){$=k[G>>2]|0;aa=$+4|0;ba=k[aa>>2]|0;Ec[ba&1023](G);r=a;return E|0}Ec[k[(k[y>>2]|0)+4>>2]&1023](y);$=k[G>>2]|0;aa=$+4|0;ba=k[aa>>2]|0;Ec[ba&1023](G);r=a;return E|0}function qaa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0.0,Wa=0.0,Xa=0.0,Ya=0.0,Za=0.0,_a=0.0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0;a=r;r=r+5040|0;c=a+5024|0;d=a+5008|0;e=a+5e3|0;f=a+4992|0;g=a+4984|0;h=a+4960|0;i=a+4576|0;j=a+2848|0;l=a+2336|0;m=a+2048|0;n=a+1856|0;o=a+1728|0;q=a+432|0;s=a;t=a+5020|0;u=a+5016|0;WEa(l|0,0,512)|0;v=o;w=v+128|0;do{k[v>>2]=0;v=v+4|0}while((v|0)<(w|0));WEa(q|0,0,1296)|0;WEa(s|0,0,432)|0;k[t>>2]=0;k[u>>2]=0;Ap(b,c,533);if(_p(b)|0){x=0;r=a;return x|0}if(!(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0)){x=0;r=a;return x|0}c=Hc[k[(k[b>>2]|0)+396>>2]&511](b)|0;v=Hc[k[(k[b>>2]|0)+392>>2]&511](b)|0;w=(c<<1)+-1|0;y=v+w|0;z=y>>>0>1073741823?-1:y<<2;A=Rqa(z)|0;C=Rqa(z)|0;if((c|0)>1){z=c+-1|0;D=0;do{E=ed[k[(k[b>>2]|0)+156>>2]&511](b,D)|0;k[C+(D<<2)>>2]=E;k[A+(D<<2)>>2]=971;D=D+1|0}while((D|0)!=(z|0))}if((c|0)>0){z=c+-1|0;D=0;do{E=ed[k[(k[b>>2]|0)+156>>2]&511](b,D)|0;F=z+D|0;k[C+(F<<2)>>2]=E;k[A+(F<<2)>>2]=972;D=D+1|0}while((D|0)!=(c|0))}if((v|0)>0){D=0;do{z=ed[k[(k[b>>2]|0)+156>>2]&511](b,D+c|0)|0;F=D+w|0;k[C+(F<<2)>>2]=z;k[A+(F<<2)>>2]=653;D=D+1|0}while((D|0)!=(v|0))}v=hq(b,6,536)|0;D=gq(b,543)|0;w=Qqa(68)|0;B=0;eb(515,w|0,v|0,D|0);c=B;B=0;if(c&1){c=Rb()|0;F=Q;Sqa(w);G=c;H=F;Qb(G|0)}if(v){HN(v);Sqa(v)}if(D){HN(D);Sqa(D)}Uo(b,t);Fc[k[(k[b>>2]|0)+188>>2]&1023](b,u);pp(b,d,85);D=Wo(b,674)|0;v=Wo(b,677)|0;F=Wo(b,679)|0;c=Qqa(16)|0;B=0;eb(524,c|0,b|0,3);z=B;B=0;if(z&1){z=Rb()|0;E=Q;Sqa(c);G=z;H=E;Qb(G|0)}G=ed[k[(k[b>>2]|0)+324>>2]&511](b,2)|0;E=Hc[k[(k[G>>2]|0)+8>>2]&511](G)|0;if((E|0)<(Hc[k[(k[G>>2]|0)+12>>2]&511](G)|0)){H=G+40|0;z=G+64|0;I=G+48|0;J=G+56|0;K=m+8|0;L=m+72|0;M=m+80|0;N=m+88|0;O=m+144|0;P=m+160|0;R=m+216|0;S=m+232|0;T=m+24|0;U=m+32|0;V=m+96|0;W=m+104|0;X=m+112|0;Y=m+168|0;Z=m+184|0;_=m+240|0;$=m+256|0;aa=m+48|0;ba=m+56|0;ca=m+120|0;da=m+128|0;ea=m+136|0;fa=m+192|0;ga=m+208|0;ha=m+264|0;ia=m+280|0;ja=n+8|0;ka=n+48|0;la=n+56|0;ma=n+96|0;na=n+104|0;oa=n+144|0;pa=n+152|0;qa=n+16|0;ra=n+24|0;sa=n+64|0;ta=n+72|0;ua=n+112|0;va=n+120|0;wa=n+160|0;xa=n+168|0;ya=n+32|0;za=n+40|0;Aa=n+80|0;Ba=n+88|0;Ca=n+128|0;Da=n+136|0;Ea=n+176|0;Fa=n+184|0;Ga=b+28|0;Ha=G+8|0;Ia=l+72|0;Ja=h+16|0;Ka=l+144|0;La=h+8|0;Ma=l+216|0;Na=l+288|0;Oa=l+360|0;Pa=l+432|0;Qa=l+504|0;Ra=o+40|0;Sa=o+80|0;Ta=o+120|0;Ua=E;do{Fc[k[(k[G>>2]|0)+24>>2]&1023](G,Ua);rd[k[(k[b>>2]|0)+264>>2]&511](b,g,k[u>>2]|0,G);raa(0,i,0,G);saa(0,j,b,k[t>>2]|0,G);Va=1.0-+p[z>>3];Wa=+p[H>>3]*Va*.5;Xa=+p[I>>3]*Va*.5;Ya=Va*+p[J>>3]*.5;p[m>>3]=Wa;p[L>>3]=0.0;k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;k[K+12>>2]=0;p[M>>3]=Wa;p[N>>3]=0.0;k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;k[O+12>>2]=0;p[P>>3]=Wa;k[R>>2]=0;k[R+4>>2]=0;k[R+8>>2]=0;k[R+12>>2]=0;p[S>>3]=Wa;p[T>>3]=Xa;p[V>>3]=0.0;k[U>>2]=0;k[U+4>>2]=0;k[U+8>>2]=0;k[U+12>>2]=0;p[W>>3]=Xa;p[X>>3]=0.0;k[Y>>2]=0;k[Y+4>>2]=0;k[Y+8>>2]=0;k[Y+12>>2]=0;p[Z>>3]=Xa;k[_>>2]=0;k[_+4>>2]=0;k[_+8>>2]=0;k[_+12>>2]=0;p[$>>3]=Xa;p[aa>>3]=Ya;p[ca>>3]=0.0;k[ba>>2]=0;k[ba+4>>2]=0;k[ba+8>>2]=0;k[ba+12>>2]=0;p[da>>3]=Ya;p[ea>>3]=0.0;k[fa>>2]=0;k[fa+4>>2]=0;k[fa+8>>2]=0;k[fa+12>>2]=0;p[ga>>3]=Ya;k[ha>>2]=0;k[ha+4>>2]=0;k[ha+8>>2]=0;k[ha+12>>2]=0;p[ia>>3]=Ya;Ya=1.0-+p[z>>3];Xa=+p[H>>3]*Ya*.5;Wa=+p[I>>3]*Ya*.5;Va=Ya*+p[J>>3]*.5;p[n>>3]=Xa;p[ja>>3]=0.0;p[ka>>3]=0.0;p[la>>3]=Xa;p[ma>>3]=Xa;p[na>>3]=0.0;p[oa>>3]=0.0;p[pa>>3]=Xa;p[qa>>3]=Wa;p[ra>>3]=0.0;p[sa>>3]=0.0;p[ta>>3]=Wa;p[ua>>3]=Wa;p[va>>3]=0.0;p[wa>>3]=0.0;p[xa>>3]=Wa;p[ya>>3]=Va;p[za>>3]=0.0;p[Aa>>3]=0.0;p[Ba>>3]=Va;p[Ca>>3]=Va;p[Da>>3]=0.0;p[Ea>>3]=0.0;p[Fa>>3]=Va;E=k[Ga>>2]|0;Tc[k[(k[E>>2]|0)+108>>2]&15](E,e,3,k[t>>2]|0,G,D,v,F);nd[k[(k[b>>2]|0)+380>>2]&1023](b,h,k[u>>2]|0);fla(c,f,G);Va=+p[f>>3];Wa=+p[g>>3];p[l>>3]=Va*+p[Ha>>3]*Wa;p[Ia>>3]=Va*+p[Ha>>3]*Wa;Xa=+p[h>>3];Ya=+p[Ja>>3];p[Ka>>3]=-(Va*+p[Ha>>3]*Wa*Xa*Ya);Za=+p[La>>3];p[Ma>>3]=-(Va*+p[Ha>>3]*Wa*Za*Ya);_a=+p[e>>3]*-2.0;p[Na>>3]=_a*+p[Ha>>3]*Wa*Xa;p[Oa>>3]=_a*+p[Ha>>3]*Wa*Za;_a=+p[d>>3];p[Pa>>3]=_a*+p[Ha>>3]*Wa*Xa;p[Qa>>3]=_a*+p[Ha>>3]*Wa*Za;p[o>>3]=Va*+p[Ha>>3]*Wa;p[Ra>>3]=Va*+p[Ha>>3]*Wa;p[Sa>>3]=-(Va*+p[Ha>>3]*Wa*Xa*Ya);p[Ta>>3]=-(Va*+p[Ha>>3]*Wa*Za*Ya);ZX(i,8,6,1,l,8,8,0,j,8,27,0,q,1)|0;ZX(m,4,9,1,o,4,4,0,n,4,6,0,s,1)|0;Ua=Ua+1|0}while((Ua|0)<(Hc[k[(k[G>>2]|0)+12>>2]&511](G)|0))}Ua=k[w+12>>2]|0;n=0;do{o=Ua+(n+12<<3)|0;p[o>>3]=+p[q+(n<<3)>>3]+ +p[o>>3];n=n+1|0}while((n|0)!=27);$a=0;do{n=Ua+($a+51<<3)|0;p[n>>3]=+p[q+216+($a<<3)>>3]+ +p[n>>3];$a=$a+1|0}while(($a|0)!=27);ab=0;do{$a=Ua+(ab+90<<3)|0;p[$a>>3]=+p[q+432+(ab<<3)>>3]+ +p[$a>>3];ab=ab+1|0}while((ab|0)!=27);bb=0;do{ab=Ua+(bb+129<<3)|0;p[ab>>3]=+p[q+648+(bb<<3)>>3]+ +p[ab>>3];bb=bb+1|0}while((bb|0)!=27);cb=0;do{bb=Ua+(cb+168<<3)|0;p[bb>>3]=+p[q+864+(cb<<3)>>3]+ +p[bb>>3];cb=cb+1|0}while((cb|0)!=27);db=0;do{cb=Ua+(db+207<<3)|0;p[cb>>3]=+p[q+1080+(db<<3)>>3]+ +p[cb>>3];db=db+1|0}while((db|0)!=27);fb=0;do{db=fb*39|0;q=Ua+(db+468<<3)|0;p[q>>3]=+p[s+(fb*48|0)>>3]+ +p[q>>3];q=Ua+(db+469<<3)|0;p[q>>3]=+p[s+(fb*48|0)+8>>3]+ +p[q>>3];q=Ua+(db+470<<3)|0;p[q>>3]=+p[s+(fb*48|0)+16>>3]+ +p[q>>3];q=Ua+(db+471<<3)|0;p[q>>3]=+p[s+(fb*48|0)+24>>3]+ +p[q>>3];q=Ua+(db+472<<3)|0;p[q>>3]=+p[s+(fb*48|0)+32>>3]+ +p[q>>3];q=Ua+(db+473<<3)|0;p[q>>3]=+p[s+(fb*48|0)+40>>3]+ +p[q>>3];fb=fb+1|0}while((fb|0)!=9);Gq(b,w,C,y,A);Tqa(A);Tqa(C);C=k[t>>2]|0;if(C)Tqa(C);k[t>>2]=0;t=k[u>>2]|0;if(t)Tqa(t);k[u>>2]=0;if(G)Ec[k[(k[G>>2]|0)+4>>2]&1023](G);bla(c);Sqa(c);x=w;r=a;return x|0}function raa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0.0,f=0.0,g=0;c=r;r=r+32|0;a=c;e=1.0-+p[d+64>>3];f=+p[d+40>>3]*e*.5;p[a>>3]=f;p[a+8>>3]=+p[d+48>>3]*e*.5;p[a+16>>3]=+p[d+56>>3]*e*.5;e=f;d=0;while(1){g=d<<1;p[b+(g<<3)>>3]=e;p[b+((g|1)<<3)>>3]=0.0;p[b+(g+6<<3)>>3]=0.0;p[b+(g+7<<3)>>3]=e;p[b+(g+12<<3)>>3]=e;p[b+(g+13<<3)>>3]=0.0;p[b+(g+18<<3)>>3]=0.0;p[b+(g+19<<3)>>3]=e;p[b+(g+24<<3)>>3]=e;p[b+(g+25<<3)>>3]=0.0;p[b+(g+30<<3)>>3]=0.0;p[b+(g+31<<3)>>3]=e;p[b+(g+36<<3)>>3]=e;p[b+(g+37<<3)>>3]=0.0;p[b+(g+42<<3)>>3]=0.0;p[b+(g+43<<3)>>3]=e;g=d+1|0;if((g|0)==3)break;e=+p[a+(g<<3)>>3];d=g}r=c;return}function saa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,i=0.0,j=0.0,l=0.0,m=0.0,n=0,o=0,q=0;a=r;r=r+176|0;f=a+144|0;g=a;h=1.0-+p[e+64>>3];i=+p[e+40>>3]*h*.5;p[f>>3]=i;j=+p[e+48>>3]*h*.5;p[f+8>>3]=j;l=+p[e+56>>3]*h*.5;p[f+16>>3]=l;rd[k[(k[c>>2]|0)+360>>2]&511](c,g,d,e);h=i;e=0;while(1){d=e*3|0;p[b+(d<<3)>>3]=h;p[b+(d+1<<3)>>3]=0.0;p[b+(d+2<<3)>>3]=0.0;p[b+(d+27<<3)>>3]=0.0;p[b+(d+28<<3)>>3]=h;p[b+(d+29<<3)>>3]=0.0;p[b+(d+54<<3)>>3]=0.0;p[b+(d+55<<3)>>3]=0.0;p[b+(d+56<<3)>>3]=h;p[b+(d+81<<3)>>3]=0.0;p[b+(d+82<<3)>>3]=0.0;p[b+(d+83<<3)>>3]=h;p[b+(d+108<<3)>>3]=0.0;p[b+(d+109<<3)>>3]=0.0;m=+p[g+96+(e<<3)>>3];p[b+(d+110<<3)>>3]=m;p[b+(d+135<<3)>>3]=0.0;p[b+(d+136<<3)>>3]=0.0;p[b+(d+137<<3)>>3]=m;p[b+(d+162<<3)>>3]=0.0;p[b+(d+163<<3)>>3]=0.0;p[b+(d+164<<3)>>3]=0.0;p[b+(d+189<<3)>>3]=0.0;p[b+(d+190<<3)>>3]=0.0;p[b+(d+191<<3)>>3]=0.0;d=e+1|0;if((d|0)==3){n=3;break}h=+p[f+(d<<3)>>3];e=d}do{e=n*3|0;p[b+(e<<3)>>3]=0.0;p[b+(e+1<<3)>>3]=0.0;p[b+(e+2<<3)>>3]=0.0;p[b+(e+27<<3)>>3]=0.0;p[b+(e+28<<3)>>3]=0.0;p[b+(e+29<<3)>>3]=0.0;p[b+(e+54<<3)>>3]=0.0;p[b+(e+55<<3)>>3]=0.0;p[b+(e+56<<3)>>3]=0.0;p[b+(e+81<<3)>>3]=0.0;p[b+(e+82<<3)>>3]=0.0;p[b+(e+83<<3)>>3]=0.0;p[b+(e+108<<3)>>3]=0.0;p[b+(e+109<<3)>>3]=0.0;p[b+(e+110<<3)>>3]=0.0;p[b+(e+135<<3)>>3]=0.0;p[b+(e+136<<3)>>3]=0.0;p[b+(e+137<<3)>>3]=0.0;p[b+(e+162<<3)>>3]=0.0;p[b+(e+163<<3)>>3]=0.0;p[b+(e+164<<3)>>3]=0.0;p[b+(e+189<<3)>>3]=0.0;p[b+(e+190<<3)>>3]=0.0;p[b+(e+191<<3)>>3]=0.0;n=n+1|0}while((n|0)!=7);p[b+168>>3]=0.0;p[b+384>>3]=0.0;p[b+600>>3]=0.0;p[b+816>>3]=0.0;p[b+1032>>3]=0.0;p[b+1248>>3]=0.0;p[b+1464>>3]=i;p[b+1680>>3]=i;p[b+176>>3]=0.0;p[b+392>>3]=0.0;p[b+608>>3]=0.0;p[b+824>>3]=0.0;p[b+1040>>3]=0.0;p[b+1256>>3]=0.0;p[b+1472>>3]=j;p[b+1688>>3]=j;p[b+184>>3]=0.0;p[b+400>>3]=0.0;p[b+616>>3]=0.0;p[b+832>>3]=0.0;p[b+1048>>3]=0.0;p[b+1264>>3]=0.0;p[b+1480>>3]=l;p[b+1696>>3]=l;n=b+192|0;e=b+408|0;f=b+624|0;g=b+840|0;d=b+1056|0;c=b+1272|0;o=b+1488|0;q=b+1704|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[n+16>>2]=0;k[n+20>>2]=0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;k[e+16>>2]=0;k[e+20>>2]=0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;k[f+16>>2]=0;k[f+20>>2]=0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;k[g+16>>2]=0;k[g+20>>2]=0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[d+16>>2]=0;k[d+20>>2]=0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[c+16>>2]=0;k[c+20>>2]=0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[o+12>>2]=0;k[o+16>>2]=0;k[o+20>>2]=0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[q+16>>2]=0;k[q+20>>2]=0;r=a;return}function taa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,i=0.0;a=r;r=r+224|0;f=a+48|0;g=a;rd[k[(k[c>>2]|0)+348>>2]&511](c,f,d,e);nd[k[(k[c>>2]|0)+356>>2]&1023](c,g,e);e=0;do{h=+p[f+(e<<3)>>3];c=e*3|0;p[b+(c<<3)>>3]=h;p[b+(c+1<<3)>>3]=0.0;p[b+(c+2<<3)>>3]=0.0;p[b+(c+27<<3)>>3]=0.0;i=+p[f+56+(e<<3)>>3];p[b+(c+28<<3)>>3]=i;p[b+(c+29<<3)>>3]=0.0;p[b+(c+54<<3)>>3]=i*.5;p[b+(c+55<<3)>>3]=h*.5;p[b+(c+56<<3)>>3]=0.0;p[b+(c+81<<3)>>3]=0.0;p[b+(c+82<<3)>>3]=0.0;p[b+(c+83<<3)>>3]=0.0;e=e+1|0}while((e|0)!=6);e=b+144|0;f=b+360|0;c=b+576|0;d=b+792|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;k[e+16>>2]=0;k[e+20>>2]=0;k[e+24>>2]=0;k[e+28>>2]=0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;k[f+16>>2]=0;k[f+20>>2]=0;k[f+24>>2]=0;k[f+28>>2]=0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[c+16>>2]=0;k[c+20>>2]=0;k[c+24>>2]=0;k[c+28>>2]=0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[d+16>>2]=0;k[d+20>>2]=0;p[b+816>>3]=+p[g>>3];p[b+176>>3]=0.0;p[b+392>>3]=0.0;p[b+608>>3]=0.0;p[b+824>>3]=+p[g+8>>3];p[b+184>>3]=0.0;p[b+400>>3]=0.0;p[b+616>>3]=0.0;p[b+832>>3]=+p[g+16>>3];p[b+192>>3]=0.0;p[b+408>>3]=0.0;p[b+624>>3]=0.0;p[b+840>>3]=+p[g+24>>3];p[b+200>>3]=0.0;p[b+416>>3]=0.0;p[b+632>>3]=0.0;p[b+848>>3]=+p[g+32>>3];p[b+208>>3]=0.0;p[b+424>>3]=0.0;p[b+640>>3]=0.0;p[b+856>>3]=+p[g+40>>3];r=a;return}function uaa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,i=0,j=0,l=0.0;a=Hc[k[(k[c>>2]|0)+164>>2]&511](c)|0;f=a<<1;g=Rqa(f>>>0>536870911?-1:f<<3)|0;rd[k[(k[c>>2]|0)+340>>2]&511](c,g,d,e);if((a|0)<=0){Tqa(g);return}e=a<<2;d=a*6|0;c=0;do{h=+p[g+(c<<3)>>3];i=c<<1;p[b+(i<<3)>>3]=h;p[b+((i|1)<<3)>>3]=0.0;j=i+f|0;p[b+(j<<3)>>3]=0.0;l=+p[g+(c+a<<3)>>3];p[b+((j|1)<<3)>>3]=l;j=i+e|0;p[b+(j<<3)>>3]=l;p[b+((j|1)<<3)>>3]=h;j=i+d|0;p[b+(j<<3)>>3]=h;p[b+((j|1)<<3)>>3]=l;c=c+1|0}while((c|0)!=(a|0));Tqa(g);return}function vaa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,i=0,j=0.0;a=Hc[k[(k[c>>2]|0)+164>>2]&511](c)|0;f=a<<1;g=Rqa(f>>>0>536870911?-1:f<<3)|0;rd[k[(k[c>>2]|0)+340>>2]&511](c,g,d,e);if((a|0)<=0){Tqa(g);return}e=a<<2;d=0;do{h=+p[g+(d<<3)>>3];c=d<<1;p[b+(c<<3)>>3]=h;p[b+((c|1)<<3)>>3]=0.0;i=c+f|0;p[b+(i<<3)>>3]=0.0;j=+p[g+(d+a<<3)>>3];p[b+((i|1)<<3)>>3]=j;i=c+e|0;p[b+(i<<3)>>3]=j*.5;p[b+((i|1)<<3)>>3]=h*.5;d=d+1|0}while((d|0)!=(a|0));Tqa(g);return}function waa(a,b){a=a|0;b=b|0;var c=0,d=0;c=xaa(a,b)|0;a=yaa(0,b)|0;b=Qqa(68)|0;B=0;eb(515,b|0,c|0,a|0);d=B;B=0;if(d&1){d=Rb()|0;Sqa(b);Qb(d|0)}HN(c);Sqa(c);if(!a)return b|0;HN(a);Sqa(a);return b|0}function xaa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0.0;a=r;r=r+112|0;c=a+96|0;d=a+88|0;e=a+80|0;f=a+72|0;g=a+104|0;h=a;i=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;j=i<<1;l=i<<2;k[g>>2]=0;m=i*6|0;n=Rqa(m>>>0>536870911?-1:m<<3)|0;m=i*3|0;o=Rqa(m>>>0>536870911?-1:m<<3)|0;m=h;q=m+72|0;do{k[m>>2]=0;m=m+4|0}while((m|0)<(q|0));m=ma(j,i)|0;q=Rqa(m>>>0>536870911?-1:m<<3)|0;if(m)WEa(q|0,0,m<<3|0)|0;m=j>>>0>1073741823?-1:j<<2;s=Rqa(m)|0;t=Rqa(m)|0;m=Hc[k[(k[b>>2]|0)+124>>2]&511](b)|0;u=Hc[k[(k[m>>2]|0)+432>>2]&511](m)|0;v=(i|0)>0;if(v){w=0;do{x=ed[k[(k[m>>2]|0)+156>>2]&511](m,w)|0;k[s+(w<<2)>>2]=x;x=ed[k[(k[b>>2]|0)+156>>2]&511](b,w)|0;y=w+i|0;k[s+(y<<2)>>2]=x;k[t+(w<<2)>>2]=971;k[t+(y<<2)>>2]=971;w=w+1|0}while((w|0)!=(i|0))}w=gq(m,536)|0;m=gq(b,540)|0;y=Qqa(68)|0;B=0;eb(515,y|0,w|0,m|0);x=B;B=0;if(x&1){x=Rb()|0;z=Q;Sqa(y);A=x;C=z;Qb(A|0)}if(w){HN(w);Sqa(w)}if(m){HN(m);Sqa(m)}Uo(b,g);pp(b,f,87);m=Wo(b,674)|0;w=Wo(b,677)|0;z=Wo(b,675)|0;x=Wo(b,678)|0;D=ed[k[(k[b>>2]|0)+308>>2]&511](b,5)|0;E=Qqa(64)|0;B=0;va(491,E|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Sqa(E);A=F;C=G;Qb(A|0)}A=Hc[k[(k[D>>2]|0)+8>>2]&511](D)|0;if((A|0)<(Hc[k[(k[D>>2]|0)+12>>2]&511](D)|0)){G=b+28|0;C=D+8|0;F=h+32|0;H=h+64|0;I=A;do{Fc[k[(k[D>>2]|0)+24>>2]&1023](D,I);Fc[k[(k[D>>2]|0)+36>>2]&1023](D,E);rd[k[(k[b>>2]|0)+260>>2]&511](b,c,k[g>>2]|0,D);zaa(0,n,b,k[g>>2]|0,D);K9(0,o,u,2,k[g>>2]|0,E);A=k[G>>2]|0;ad[k[(k[A>>2]|0)+116>>2]&63](A,d,3,k[g>>2]|0,D,m,w);A=k[G>>2]|0;ad[k[(k[A>>2]|0)+116>>2]&63](A,e,3,k[g>>2]|0,D,z,x);J=+p[d>>3];K=+p[c>>3]*(+p[C>>3]*((J+ +p[f>>3]*(J-+p[e>>3]))*2.0));p[h>>3]=K;p[F>>3]=K;p[H>>3]=K;ZX(n,3,j,1,h,3,3,0,o,3,i,0,q,1)|0;I=I+1|0}while((I|0)<(Hc[k[(k[D>>2]|0)+12>>2]&511](D)|0))}if(v){I=k[y+12>>2]|0;h=0;do{H=ma(h,i)|0;F=ma(h+j|0,l)|0;e=0;do{f=I+(e+F<<3)|0;p[f>>3]=+p[q+(e+H<<3)>>3]+ +p[f>>3];e=e+1|0}while((e|0)!=(i|0));h=h+1|0}while((h|0)<(j|0));if(v){v=k[y+12>>2]|0;h=0;do{I=(ma(h,l)|0)+j|0;e=0;do{H=q+((ma(e,i)|0)+h<<3)|0;F=v+(I+e<<3)|0;p[F>>3]=+p[H>>3]+ +p[F>>3];e=e+1|0}while((e|0)<(j|0));h=h+1|0}while((h|0)!=(i|0))}}Gq(b,y,s,j,t);ap(u);if(u)Ec[k[(k[u>>2]|0)+4>>2]&1023](u);if(D)Ec[k[(k[D>>2]|0)+4>>2]&1023](D);Ec[k[(k[E>>2]|0)+4>>2]&1023](E);Tqa(n);Tqa(o);Tqa(q);q=k[g>>2]|0;if(!q){k[g>>2]=0;Tqa(s);Tqa(t);r=a;return y|0}Tqa(q);k[g>>2]=0;Tqa(s);Tqa(t);r=a;return y|0}function yaa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0.0,D=0,E=0;a=r;r=r+64|0;c=a+40|0;d=a+32|0;e=a+48|0;f=a;if(_p(b)|0){g=0;r=a;return g|0}if(!(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0)){g=0;r=a;return g|0}h=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;i=h<<1;j=h<<2;k[e>>2]=0;l=Rqa(j>>>0>536870911?-1:j<<3)|0;if(h)WEa(l|0,0,h<<5|0)|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;k[f+16>>2]=0;k[f+20>>2]=0;k[f+24>>2]=0;k[f+28>>2]=0;m=ma(i,i)|0;n=Rqa(m>>>0>536870911?-1:m<<3)|0;if(m)WEa(n|0,0,m<<3|0)|0;m=i>>>0>1073741823?-1:i<<2;o=Rqa(m)|0;q=Rqa(m)|0;m=gq(b,536)|0;s=gq(b,540)|0;t=Qqa(68)|0;B=0;eb(515,t|0,m|0,s|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Sqa(t);w=v;x=u;Qb(x|0)}if(m){HN(m);Sqa(m)}if(s){HN(s);Sqa(s)}s=(h|0)>0;if(s){m=0;do{u=ed[k[(k[b>>2]|0)+156>>2]&511](b,m)|0;k[o+(m<<2)>>2]=u;u=ed[k[(k[b>>2]|0)+156>>2]&511](b,m)|0;v=m+h|0;k[o+(v<<2)>>2]=u;k[q+(m<<2)>>2]=971;k[q+(v<<2)>>2]=971;m=m+1|0}while((m|0)!=(h|0))}Fc[k[(k[b>>2]|0)+188>>2]&1023](b,e);h=Qqa(16)|0;B=0;eb(524,h|0,b|0,2);m=B;B=0;if(m&1){m=Rb()|0;v=Q;Sqa(h);w=v;x=m;Qb(x|0)}x=ed[k[(k[b>>2]|0)+324>>2]&511](b,2)|0;m=Hc[k[(k[x>>2]|0)+8>>2]&511](x)|0;if((m|0)<(Hc[k[(k[x>>2]|0)+12>>2]&511](x)|0)){v=x+8|0;w=f+24|0;u=m;do{Fc[k[(k[x>>2]|0)+24>>2]&1023](x,u);fla(h,d,x);rd[k[(k[b>>2]|0)+264>>2]&511](b,c,k[e>>2]|0,x);m=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;y=Rqa(m>>>0>536870911?-1:m<<3)|0;nd[k[(k[b>>2]|0)+336>>2]&1023](b,y,x);if((m|0)>0){z=m<<1;A=0;do{C=+p[y+(A<<3)>>3];D=A<<1;p[l+(D<<3)>>3]=C;p[l+((D|1)<<3)>>3]=0.0;E=D+z|0;p[l+(E<<3)>>3]=0.0;p[l+((E|1)<<3)>>3]=C;A=A+1|0}while((A|0)!=(m|0))}Tqa(y);C=+p[d>>3]*+p[v>>3]*+p[c>>3];p[f>>3]=C;p[w>>3]=C;ZX(l,2,i,1,f,2,2,0,l,2,i,0,n,1)|0;u=u+1|0}while((u|0)<(Hc[k[(k[x>>2]|0)+12>>2]&511](x)|0))}if(s){u=k[t+12>>2]|0;f=0;do{w=ma(f,i)|0;c=(ma(f,j)|0)+i|0;v=0;do{d=u+(c+v<<3)|0;p[d>>3]=+p[n+(v+w<<3)>>3]+ +p[d>>3];v=v+1|0}while((v|0)<(i|0));f=f+1|0}while((f|0)<(i|0));if(s){s=k[t+12>>2]|0;f=0;do{u=ma(f,i)|0;v=ma(f+i|0,j)|0;w=0;do{c=s+(w+v<<3)|0;p[c>>3]=+p[n+(w+u<<3)>>3]+ +p[c>>3];w=w+1|0}while((w|0)<(i|0));f=f+1|0}while((f|0)<(i|0))}}Gq(b,t,o,i,q);if(x)Ec[k[(k[x>>2]|0)+4>>2]&1023](x);bla(h);Sqa(h);Tqa(q);Tqa(o);o=k[e>>2]|0;if(o)Tqa(o);k[e>>2]=0;Tqa(n);Tqa(l);g=t;r=a;return g|0}function zaa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,i=0,j=0.0;a=Hc[k[(k[c>>2]|0)+164>>2]&511](c)|0;f=a*3|0;g=Rqa(f>>>0>536870911?-1:f<<3)|0;rd[k[(k[c>>2]|0)+340>>2]&511](c,g,d,e);if((a|0)<=0){Tqa(g);return}e=a<<1;d=a<<2;c=0;do{h=+p[g+(c<<3)>>3];f=c<<1;p[b+(f<<3)>>3]=h;p[b+((f|1)<<3)>>3]=0.0;i=f+e|0;p[b+(i<<3)>>3]=0.0;j=+p[g+(c+a<<3)>>3];p[b+((i|1)<<3)>>3]=j;i=f+d|0;p[b+(i<<3)>>3]=j*.5;p[b+((i|1)<<3)>>3]=h*.5;c=c+1|0}while((c|0)!=(a|0));Tqa(g);return}function Aaa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=Baa(0,b)|0;if(!(_p(b)|0)?Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0:0){d=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;b=I9(a,d)|0;ap(d);if(!d)e=b;else{Ec[k[(k[d>>2]|0)+4>>2]&1023](d);e=b}}else e=0;b=Qqa(68)|0;B=0;eb(515,b|0,c|0,e|0);d=B;B=0;if(d&1){d=Rb()|0;Sqa(b);Qb(d|0)}if(c){HN(c);Sqa(c)}if(!e)return b|0;HN(e);Sqa(e);return b|0}function Baa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0.0,P=0.0,R=0.0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0;a=r;r=r+896|0;c=a+872|0;d=a+868|0;e=a+680|0;f=a+672|0;g=a+664|0;h=a+656|0;i=a+648|0;j=a+504|0;l=a+360|0;m=a+288|0;n=a;o=a+864|0;q=a+728|0;s=a+712|0;t=a+700|0;u=a+688|0;v=m;w=v+72|0;do{k[v>>2]=0;v=v+4|0}while((v|0)<(w|0));WEa(n|0,0,288)|0;k[o>>2]=0;v=Hc[k[(k[b>>2]|0)+124>>2]&511](b)|0;w=Hc[k[(k[v>>2]|0)+432>>2]&511](v)|0;v=gq(w,536)|0;Ap(b,d,533);Uo(b,o);pp(b,i,87);x=Wo(b,674)|0;y=Wo(b,677)|0;z=Wo(b,675)|0;A=Wo(b,678)|0;C=Wo(b,679)|0;D=ed[k[(k[b>>2]|0)+308>>2]&511](b,5)|0;E=Qqa(64)|0;B=0;va(491,E|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Sqa(E);H=G;I=F;Qb(I|0)}F=Hc[k[(k[D>>2]|0)+8>>2]&511](D)|0;a:do if((F|0)<(Hc[k[(k[D>>2]|0)+12>>2]&511](D)|0)){G=b+28|0;J=D+8|0;K=m+32|0;L=m+64|0;M=F;b:while(1){Fc[k[(k[D>>2]|0)+24>>2]&1023](D,M);Fc[k[(k[D>>2]|0)+36>>2]&1023](D,E);rd[k[(k[b>>2]|0)+260>>2]&511](b,e,k[o>>2]|0,D);J9(0,j,w,2,k[o>>2]|0,E);K9(0,l,w,2,k[o>>2]|0,E);switch(k[d>>2]|0){case 537:{N=k[G>>2]|0;ad[k[(k[N>>2]|0)+116>>2]&63](N,f,3,k[o>>2]|0,D,x,y);N=k[G>>2]|0;ad[k[(k[N>>2]|0)+116>>2]&63](N,g,3,k[o>>2]|0,D,z,A);O=+p[f>>3];P=O+ +p[i>>3]*(O-+p[g>>3]);p[h>>3]=P;R=P;break}case 538:{N=k[G>>2]|0;Tc[k[(k[N>>2]|0)+108>>2]&15](N,h,3,k[o>>2]|0,D,x,y,C);R=+p[h>>3];break}default:break b}P=R*2.0*+p[J>>3]*+p[e>>3];p[m>>3]=P;p[K>>3]=P;p[L>>3]=P;ZX(j,3,6,1,m,3,3,0,l,3,6,0,n,1)|0;M=M+1|0;if((M|0)>=(Hc[k[(k[D>>2]|0)+12>>2]&511](D)|0))break a}M=q+56|0;L=q+4|0;k[q>>2]=27524;k[M>>2]=27544;B=0;wa(508,q+56|0,L|0);K=B;B=0;if(K&1){K=Rb()|0;S=Q;T=K;vva(M);Qb(T|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[M>>2]=27488;B=0;va(448,L|0);K=B;B=0;do if(K&1){J=Rb()|0;U=Q;V=J}else{k[L>>2]=27560;J=q+36|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;k[J+12>>2]=0;k[q+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,L|0,c|0);G=B;B=0;if(G&1){G=Rb()|0;N=Q;Yua(c);Yua(J);Ava(L);U=N;V=G;break}Yua(c);B=0;G=Ia(40,q|0,128699,14)|0;N=B;B=0;c:do if((((((!(N&1)?(B=0,W=Xa(242,G|0,k[d>>2]|0)|0,X=B,B=0,!(X&1)):0)?(B=0,X=Ia(40,W|0,144166,2)|0,W=B,B=0,!(W&1)):0)?(B=0,W=ya(427,k[d>>2]|0)|0,Y=B,B=0,!(Y&1)):0)?(Y=Lta(W)|0,B=0,Z=Ia(40,X|0,W|0,Y|0)|0,Y=B,B=0,!(Y&1)):0)?(B=0,Y=Ia(40,Z|0,144169,19)|0,Z=B,B=0,!(Z&1)):0)?(B=0,Xa(239,Y|0,0)|0,Y=B,B=0,!(Y&1)):0){Y=Ab(20)|0;B=0;eb(502,s|0,127077,81);Z=B;B=0;do if(!(Z&1)){B=0;eb(502,t|0,128714,25);W=B;B=0;if(W&1){W=Rb()|0;X=Q;Yua(s);_=X;$=W;break}B=0;wa(510,u|0,L|0);W=B;B=0;if(W&1){W=Rb()|0;aa=Q;ba=W;ca=1}else{B=0;ua(163,Y|0,s|0,t|0,5974,u|0);W=B;B=0;if(W&1)da=1;else{B=0;eb(503,Y|0,1240,229);B=0;da=0}W=Rb()|0;X=Q;Yua(u);aa=X;ba=W;ca=da}Yua(t);Yua(s);if(ca){_=aa;$=ba}else{ea=aa;fa=ba;break c}}else{W=Rb()|0;_=Q;$=W}while(0);zb(Y|0);ea=_;fa=$}else ga=29;while(0);if((ga|0)==29){G=Rb()|0;ea=Q;fa=G}k[q>>2]=27468;k[M>>2]=27488;k[L>>2]=27560;Yua(J);Ava(L);vva(M);H=ea;I=fa;Qb(I|0)}while(0);S=U;T=V;vva(M);Qb(T|0)}while(0);T=k[v+12>>2]|0;V=0;do{U=V*6|0;S=T+(U<<3)|0;p[S>>3]=+p[n+(V*48|0)>>3]+ +p[S>>3];S=T+((U|1)<<3)|0;p[S>>3]=+p[n+(V*48|0)+8>>3]+ +p[S>>3];S=T+(U+2<<3)|0;p[S>>3]=+p[n+(V*48|0)+16>>3]+ +p[S>>3];S=T+(U+3<<3)|0;p[S>>3]=+p[n+(V*48|0)+24>>3]+ +p[S>>3];S=T+(U+4<<3)|0;p[S>>3]=+p[n+(V*48|0)+32>>3]+ +p[S>>3];S=T+(U+5<<3)|0;p[S>>3]=+p[n+(V*48|0)+40>>3]+ +p[S>>3];V=V+1|0}while((V|0)!=6);Fq(w,v,971);V=k[o>>2]|0;if(V)Tqa(V);k[o>>2]=0;o=k[w+28>>2]|0;if(o)Ec[k[(k[o>>2]|0)+4>>2]&1023](o);Ec[k[(k[w>>2]|0)+4>>2]&1023](w);Ec[k[(k[E>>2]|0)+4>>2]&1023](E);if(!D){r=a;return v|0}Ec[k[(k[D>>2]|0)+4>>2]&1023](D);r=a;return v|0}function Caa(a,b){a=a|0;b=b|0;var c=0,d=0;a=Daa(0,b)|0;c=Eaa(0,b)|0;b=Qqa(24)|0;B=0;eb(516,b|0,a|0,c|0);d=B;B=0;if(d&1){d=Rb()|0;Sqa(b);Qb(d|0)}if(a){SN(a);Sqa(a)}if(!c)return b|0;SN(c);Sqa(c);return b|0}function Daa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;a=r;r=r+256|0;c=a+244|0;d=a+232|0;e=a+224|0;f=a+216|0;g=a+192|0;h=a+240|0;i=a+144|0;j=a;k[h>>2]=0;Ap(b,c,533);if((k[c>>2]|0)!=541){l=0;r=a;return l|0}c=Hc[k[(k[b>>2]|0)+396>>2]&511](b)|0;m=Hc[k[(k[b>>2]|0)+392>>2]&511](b)|0;n=m+c|0;o=n>>>0>1073741823?-1:n<<2;q=Rqa(o)|0;s=Rqa(o)|0;if((c|0)>0){o=0;do{k[q+(o<<2)>>2]=972;t=ed[k[(k[b>>2]|0)+156>>2]&511](b,o)|0;k[s+(o<<2)>>2]=t;o=o+1|0}while((o|0)!=(c|0))}if((m|0)>0){o=0;do{t=o+c|0;k[q+(t<<2)>>2]=653;u=ed[k[(k[b>>2]|0)+156>>2]&511](b,t)|0;k[s+(t<<2)>>2]=u;o=o+1|0}while((o|0)!=(m|0))}m=iq(b,543)|0;Uo(b,h);pp(b,f,85);o=Wo(b,674)|0;u=Wo(b,677)|0;t=Wo(b,679)|0;v=Wo(b,681)|0;w=ed[k[(k[b>>2]|0)+308>>2]&511](b,5)|0;x=Hc[k[(k[w>>2]|0)+8>>2]&511](w)|0;if((x|0)<(Hc[k[(k[w>>2]|0)+12>>2]&511](w)|0)){y=b+28|0;z=w+8|0;A=m+4|0;B=g+8|0;C=g+16|0;D=c*3|0;c=x;do{Fc[k[(k[w>>2]|0)+24>>2]&1023](w,c);rd[k[(k[b>>2]|0)+260>>2]&511](b,e,k[h>>2]|0,w);nd[k[(k[b>>2]|0)+356>>2]&1023](b,i,w);rd[k[(k[b>>2]|0)+360>>2]&511](b,j,k[h>>2]|0,w);x=k[y>>2]|0;Tc[k[(k[x>>2]|0)+108>>2]&15](x,d,3,k[h>>2]|0,w,o,u,t);rd[k[(k[v>>2]|0)+60>>2]&511](v,g,k[h>>2]|0,w);x=k[A>>2]|0;E=0;do{F=j+96+(E<<3)|0;G=E*3|0;H=x+(G<<3)|0;p[H>>3]=+p[H>>3]-+p[e>>3]*+p[z>>3]*+p[d>>3]*+p[g>>3]*+p[F>>3];H=x+(G+1<<3)|0;p[H>>3]=+p[H>>3]-+p[e>>3]*+p[z>>3]*+p[d>>3]*+p[B>>3]*+p[F>>3];H=x+(G+2<<3)|0;p[H>>3]=+p[H>>3]-+p[e>>3]*+p[z>>3]*+p[d>>3]*(+p[g>>3]*+p[j+(E<<3)>>3]+ +p[B>>3]*+p[j+48+(E<<3)>>3]+ +p[C>>3]*2.0*+p[F>>3]);F=x+(E+D<<3)|0;p[F>>3]=+p[e>>3]*+p[z>>3]*+p[f>>3]*+p[C>>3]*+p[i+(E<<3)>>3]+ +p[F>>3];E=E+1|0}while((E|0)!=6);c=c+1|0}while((c|0)<(Hc[k[(k[w>>2]|0)+12>>2]&511](w)|0))}yq(b,m,s,n,q);Tqa(q);Tqa(s);s=k[h>>2]|0;if(s)Tqa(s);k[h>>2]=0;Ec[k[(k[w>>2]|0)+4>>2]&1023](w);l=m;r=a;return l|0}function Eaa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0,M=0,N=0;a=r;r=r+160|0;c=a+144|0;d=a+128|0;e=a+120|0;f=a+96|0;g=a+88|0;h=a+80|0;i=a+72|0;j=a+48|0;l=a+140|0;m=a+136|0;n=a;k[l>>2]=0;k[m>>2]=0;if(!(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0)){o=0;r=a;return o|0}if(_p(b)|0){o=0;r=a;return o|0}Ap(b,c,533);if((k[c>>2]|0)!=541){o=0;r=a;return o|0}c=Hc[k[(k[b>>2]|0)+396>>2]&511](b)|0;q=Hc[k[(k[b>>2]|0)+392>>2]&511](b)|0;s=q+c|0;t=s>>>0>1073741823?-1:s<<2;u=Rqa(t)|0;v=Rqa(t)|0;if((c|0)>0){t=0;do{k[u+(t<<2)>>2]=972;w=ed[k[(k[b>>2]|0)+156>>2]&511](b,t)|0;k[v+(t<<2)>>2]=w;t=t+1|0}while((t|0)!=(c|0))}if((q|0)>0){t=0;do{w=t+c|0;k[u+(w<<2)>>2]=653;x=ed[k[(k[b>>2]|0)+156>>2]&511](b,w)|0;k[v+(w<<2)>>2]=x;t=t+1|0}while((t|0)!=(q|0))}q=iq(b,543)|0;Uo(b,m);Fc[k[(k[b>>2]|0)+188>>2]&1023](b,l);pp(b,e,85);e=Wo(b,674)|0;t=Wo(b,677)|0;c=Wo(b,679)|0;x=Wo(b,681)|0;w=Qqa(16)|0;B=0;eb(524,w|0,b|0,3);y=B;B=0;if(y&1){y=Rb()|0;Sqa(w);Qb(y|0)}y=ed[k[(k[b>>2]|0)+324>>2]&511](b,2)|0;z=Hc[k[(k[y>>2]|0)+8>>2]&511](y)|0;if((z|0)<(Hc[k[(k[y>>2]|0)+12>>2]&511](y)|0)){A=b+28|0;C=y+8|0;D=f+16|0;E=j+16|0;F=q+4|0;G=f+8|0;H=j+8|0;I=z;do{Fc[k[(k[y>>2]|0)+24>>2]&1023](y,I);rd[k[(k[b>>2]|0)+264>>2]&511](b,d,k[l>>2]|0,y);nd[k[(k[b>>2]|0)+356>>2]&1023](b,n,y);nd[k[(k[x>>2]|0)+48>>2]&1023](x,h,y);rd[k[(k[x>>2]|0)+60>>2]&511](x,j,k[m>>2]|0,y);nd[k[(k[b>>2]|0)+380>>2]&1023](b,f,k[l>>2]|0);z=k[A>>2]|0;Tc[k[(k[z>>2]|0)+108>>2]&15](z,g,3,k[m>>2]|0,y,e,t,c);fla(w,i,y);z=k[F>>2]|0;J=0;do{K=+p[f>>3];L=n+(J<<3)|0;M=J*3|0;N=z+(M<<3)|0;p[N>>3]=+p[N>>3]+ +p[L>>3]*(+p[d>>3]*+p[C>>3]*(+p[i>>3]*+p[h>>3]*K*+p[D>>3]+K*(+p[g>>3]*2.0*+p[E>>3])));K=+p[G>>3];N=z+(M+1<<3)|0;p[N>>3]=+p[N>>3]+ +p[L>>3]*(+p[d>>3]*+p[C>>3]*(+p[i>>3]*+p[h>>3]*K*+p[D>>3]+K*(+p[g>>3]*2.0*+p[E>>3])));N=z+(M+2<<3)|0;p[N>>3]=+p[N>>3]+ +p[L>>3]*(+p[g>>3]*(+p[d>>3]*+p[C>>3]*2.0)*(+p[j>>3]*+p[f>>3]+ +p[H>>3]*+p[G>>3]+ +p[E>>3]*+p[D>>3]));J=J+1|0}while((J|0)!=3);I=I+1|0}while((I|0)<(Hc[k[(k[y>>2]|0)+12>>2]&511](y)|0))}yq(b,q,v,s,u);Tqa(u);Tqa(v);v=k[m>>2]|0;if(v)Tqa(v);k[m>>2]=0;m=k[l>>2]|0;if(m)Tqa(m);k[l>>2]=0;if(y)Ec[k[(k[y>>2]|0)+4>>2]&1023](y);bla(w);Sqa(w);o=q;r=a;return o|0}function Faa(a,b){a=a|0;b=b|0;var c=0,d=0;a=Gaa(0,b)|0;c=Haa(0,b)|0;b=Qqa(24)|0;B=0;eb(516,b|0,a|0,c|0);d=B;B=0;if(d&1){d=Rb()|0;Sqa(b);Qb(d|0)}if(a){SN(a);Sqa(a)}if(!c)return b|0;SN(c);Sqa(c);return b|0}function Gaa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;a=r;r=r+256|0;c=a+244|0;d=a+232|0;e=a+224|0;f=a+216|0;g=a+192|0;h=a+240|0;i=a+144|0;j=a;k[h>>2]=0;Ap(b,c,533);if((k[c>>2]|0)!=538){l=0;r=a;return l|0}c=Hc[k[(k[b>>2]|0)+396>>2]&511](b)|0;m=Hc[k[(k[b>>2]|0)+392>>2]&511](b)|0;n=m+c|0;o=n>>>0>1073741823?-1:n<<2;q=Rqa(o)|0;s=Rqa(o)|0;if((c|0)>0){o=0;do{k[q+(o<<2)>>2]=972;t=ed[k[(k[b>>2]|0)+156>>2]&511](b,o)|0;k[s+(o<<2)>>2]=t;o=o+1|0}while((o|0)!=(c|0))}if((m|0)>0){o=0;do{t=o+c|0;k[q+(t<<2)>>2]=653;u=ed[k[(k[b>>2]|0)+156>>2]&511](b,t)|0;k[s+(t<<2)>>2]=u;o=o+1|0}while((o|0)!=(m|0))}m=iq(b,543)|0;Uo(b,h);pp(b,f,85);o=Wo(b,674)|0;u=Wo(b,677)|0;t=Wo(b,679)|0;v=Wo(b,680)|0;w=ed[k[(k[b>>2]|0)+308>>2]&511](b,5)|0;x=Hc[k[(k[w>>2]|0)+8>>2]&511](w)|0;if((x|0)<(Hc[k[(k[w>>2]|0)+12>>2]&511](w)|0)){y=b+28|0;z=w+8|0;A=m+4|0;B=g+8|0;C=g+16|0;D=c*3|0;c=x;do{Fc[k[(k[w>>2]|0)+24>>2]&1023](w,c);rd[k[(k[b>>2]|0)+260>>2]&511](b,e,k[h>>2]|0,w);nd[k[(k[b>>2]|0)+356>>2]&1023](b,i,w);rd[k[(k[b>>2]|0)+360>>2]&511](b,j,k[h>>2]|0,w);rd[k[(k[v>>2]|0)+60>>2]&511](v,g,k[h>>2]|0,w);x=k[y>>2]|0;Tc[k[(k[x>>2]|0)+108>>2]&15](x,d,3,k[h>>2]|0,w,o,u,t);x=k[A>>2]|0;E=0;do{F=j+96+(E<<3)|0;G=E*3|0;H=x+(G<<3)|0;p[H>>3]=+p[H>>3]-+p[e>>3]*+p[z>>3]*+p[d>>3]*+p[g>>3]*+p[F>>3];H=x+(G+1<<3)|0;p[H>>3]=+p[H>>3]-+p[e>>3]*+p[z>>3]*+p[d>>3]*+p[B>>3]*+p[F>>3];H=x+(G+2<<3)|0;p[H>>3]=+p[H>>3]-+p[e>>3]*+p[z>>3]*+p[d>>3]*(+p[g>>3]*+p[j+(E<<3)>>3]+ +p[B>>3]*+p[j+48+(E<<3)>>3]+ +p[C>>3]*2.0*+p[F>>3]);F=x+(E+D<<3)|0;p[F>>3]=+p[e>>3]*+p[z>>3]*+p[f>>3]*+p[C>>3]*+p[i+(E<<3)>>3]+ +p[F>>3];E=E+1|0}while((E|0)!=6);c=c+1|0}while((c|0)<(Hc[k[(k[w>>2]|0)+12>>2]&511](w)|0))}yq(b,m,s,n,q);Tqa(q);Tqa(s);s=k[h>>2]|0;if(s)Tqa(s);k[h>>2]=0;Ec[k[(k[w>>2]|0)+4>>2]&1023](w);l=m;r=a;return l|0}function Haa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0,M=0,N=0;a=r;r=r+160|0;c=a+144|0;d=a+128|0;e=a+120|0;f=a+96|0;g=a+88|0;h=a+80|0;i=a+72|0;j=a+48|0;l=a;m=a+140|0;n=a+136|0;k[m>>2]=0;k[n>>2]=0;if(!(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0)){o=0;r=a;return o|0}if(_p(b)|0){o=0;r=a;return o|0}Ap(b,c,533);if((k[c>>2]|0)!=538){o=0;r=a;return o|0}c=Hc[k[(k[b>>2]|0)+396>>2]&511](b)|0;q=Hc[k[(k[b>>2]|0)+392>>2]&511](b)|0;s=q+c|0;t=s>>>0>1073741823?-1:s<<2;u=Rqa(t)|0;v=Rqa(t)|0;if((c|0)>0){t=0;do{k[u+(t<<2)>>2]=972;w=ed[k[(k[b>>2]|0)+156>>2]&511](b,t)|0;k[v+(t<<2)>>2]=w;t=t+1|0}while((t|0)!=(c|0))}if((q|0)>0){t=0;do{w=t+c|0;k[u+(w<<2)>>2]=653;x=ed[k[(k[b>>2]|0)+156>>2]&511](b,w)|0;k[v+(w<<2)>>2]=x;t=t+1|0}while((t|0)!=(q|0))}q=iq(b,543)|0;Uo(b,n);Fc[k[(k[b>>2]|0)+188>>2]&1023](b,m);pp(b,e,85);e=Wo(b,674)|0;t=Wo(b,677)|0;c=Wo(b,679)|0;x=Wo(b,680)|0;w=Qqa(16)|0;B=0;eb(524,w|0,b|0,3);y=B;B=0;if(y&1){y=Rb()|0;Sqa(w);Qb(y|0)}y=ed[k[(k[b>>2]|0)+324>>2]&511](b,2)|0;z=Hc[k[(k[y>>2]|0)+8>>2]&511](y)|0;if((z|0)<(Hc[k[(k[y>>2]|0)+12>>2]&511](y)|0)){A=b+28|0;C=y+8|0;D=f+16|0;E=j+16|0;F=q+4|0;G=f+8|0;H=j+8|0;I=z;do{Fc[k[(k[y>>2]|0)+24>>2]&1023](y,I);rd[k[(k[b>>2]|0)+264>>2]&511](b,d,k[m>>2]|0,y);nd[k[(k[b>>2]|0)+356>>2]&1023](b,l,y);nd[k[(k[x>>2]|0)+48>>2]&1023](x,h,y);rd[k[(k[x>>2]|0)+60>>2]&511](x,j,k[n>>2]|0,y);nd[k[(k[b>>2]|0)+380>>2]&1023](b,f,k[m>>2]|0);z=k[A>>2]|0;Tc[k[(k[z>>2]|0)+108>>2]&15](z,g,3,k[n>>2]|0,y,e,t,c);fla(w,i,y);z=k[F>>2]|0;J=0;do{K=+p[f>>3];L=l+(J<<3)|0;M=J*3|0;N=z+(M<<3)|0;p[N>>3]=+p[N>>3]+ +p[L>>3]*(+p[d>>3]*+p[C>>3]*(+p[i>>3]*+p[h>>3]*K*+p[D>>3]+K*(+p[g>>3]*2.0*+p[E>>3])));K=+p[G>>3];N=z+(M+1<<3)|0;p[N>>3]=+p[N>>3]+ +p[L>>3]*(+p[d>>3]*+p[C>>3]*(+p[i>>3]*+p[h>>3]*K*+p[D>>3]+K*(+p[g>>3]*2.0*+p[E>>3])));N=z+(M+2<<3)|0;p[N>>3]=+p[N>>3]+ +p[L>>3]*(+p[g>>3]*(+p[d>>3]*+p[C>>3]*2.0)*(+p[j>>3]*+p[f>>3]+ +p[H>>3]*+p[G>>3]+ +p[E>>3]*+p[D>>3]));J=J+1|0}while((J|0)!=3);I=I+1|0}while((I|0)<(Hc[k[(k[y>>2]|0)+12>>2]&511](y)|0))}yq(b,q,v,s,u);Tqa(u);u=k[n>>2]|0;if(u)Tqa(u);k[n>>2]=0;n=k[m>>2]|0;if(n)Tqa(n);k[m>>2]=0;Tqa(v);if(y)Ec[k[(k[y>>2]|0)+4>>2]&1023](y);bla(w);Sqa(w);o=q;r=a;return o|0}function Iaa(a){a=a|0;Sqa(a);return}function Jaa(a,b,c){a=a|0;b=b|0;c=c|0;return}function Kaa(a,b,c){a=a|0;b=b|0;c=c|0;return}function Laa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;a=r;r=r+192|0;d=a+180|0;e=a+176|0;f=a+40|0;g=a+24|0;h=a+12|0;i=a;Fka(c,e,128764);switch(k[e>>2]|0){case 758:{j=739;hoa(b,c,524,j,534);r=a;return}case 754:{j=738;hoa(b,c,524,j,534);r=a;return}default:{a=f+56|0;j=f+4|0;k[f>>2]=27524;k[a>>2]=27544;B=0;wa(508,f+56|0,j|0);c=B;B=0;if(c&1){c=Rb()|0;l=Q;m=c;vva(a);Qb(m|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[a>>2]=27488;B=0;va(448,j|0);c=B;B=0;do if(c&1){b=Rb()|0;n=Q;o=b}else{k[j>>2]=27560;b=f+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[f+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,j|0,d|0);e=B;B=0;if(e&1){e=Rb()|0;p=Q;Yua(d);Yua(b);Ava(j);n=p;o=e;break}Yua(d);B=0;e=Ia(40,f|0,128786,26)|0;p=B;B=0;if(!(p&1)?(B=0,Xa(239,e|0,0)|0,e=B,B=0,!(e&1)):0){e=Ab(20)|0;B=0;eb(502,g|0,128813,81);p=B;B=0;do if(!(p&1)){B=0;eb(502,h|0,145111,11);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(g);t=s;u=q;break}B=0;wa(510,i|0,j|0);q=B;B=0;if(q&1){q=Rb()|0;v=Q;w=q;x=1}else{B=0;ua(163,e|0,g|0,h|0,22,i|0);q=B;B=0;if(q&1)y=1;else{B=0;eb(503,e|0,1240,229);B=0;y=0}q=Rb()|0;s=Q;Yua(i);v=s;w=q;x=y}Yua(h);Yua(g);if(x){t=v;u=w}else{z=v;A=w;k[f>>2]=27468;k[a>>2]=27488;k[j>>2]=27560;Yua(b);Ava(j);vva(a);Qb(A|0)}}else{q=Rb()|0;t=Q;u=q}while(0);zb(e|0);z=t;A=u;k[f>>2]=27468;k[a>>2]=27488;k[j>>2]=27560;Yua(b);Ava(j);vva(a);Qb(A|0)}p=Rb()|0;z=Q;A=p;k[f>>2]=27468;k[a>>2]=27488;k[j>>2]=27560;Yua(b);Ava(j);vva(a);Qb(A|0)}while(0);l=n;m=o;vva(a);Qb(m|0)}}}function Maa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 1}function Naa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;a=r;r=r+192|0;f=a+180|0;g=a+176|0;h=a+40|0;j=a+24|0;l=a+12|0;m=a;Fka(c,g,128764);switch(k[g>>2]|0){case 754:{n=738;break}case 758:{n=739;break}default:{g=h+56|0;o=h+4|0;k[h>>2]=27524;k[g>>2]=27544;B=0;wa(508,h+56|0,o|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;s=p;vva(g);Qb(s|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[g>>2]=27488;B=0;va(448,o|0);p=B;B=0;do if(p&1){t=Rb()|0;u=Q;v=t}else{k[o>>2]=27560;t=h+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[h+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,o|0,f|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(f);Yua(t);Ava(o);u=x;v=w;break}Yua(f);B=0;w=Ia(40,h|0,128786,26)|0;x=B;B=0;if(!(x&1)?(B=0,Xa(239,w|0,0)|0,w=B,B=0,!(w&1)):0){w=Ab(20)|0;B=0;eb(502,j|0,128813,81);x=B;B=0;do if(!(x&1)){B=0;eb(502,l|0,136133,14);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(j);A=z;C=y;break}B=0;wa(510,m|0,o|0);y=B;B=0;if(y&1){y=Rb()|0;D=Q;E=y;F=1}else{B=0;ua(163,w|0,j|0,l|0,39,m|0);y=B;B=0;if(y&1)G=1;else{B=0;eb(503,w|0,1240,229);B=0;G=0}y=Rb()|0;z=Q;Yua(m);D=z;E=y;F=G}Yua(l);Yua(j);if(F){A=D;C=E}else{H=D;I=E;k[h>>2]=27468;k[g>>2]=27488;k[o>>2]=27560;Yua(t);Ava(o);vva(g);Qb(I|0)}}else{y=Rb()|0;A=Q;C=y}while(0);zb(w|0);H=A;I=C;k[h>>2]=27468;k[g>>2]=27488;k[o>>2]=27560;Yua(t);Ava(o);vva(g);Qb(I|0)}x=Rb()|0;H=Q;I=x;k[h>>2]=27468;k[g>>2]=27488;k[o>>2]=27560;Yua(t);Ava(o);vva(g);Qb(I|0)}while(0);q=u;s=v;vva(g);Qb(s|0)}}s=c+56|0;g=k[s>>2]|0;if((g|0)>0){v=c+32|0;u=g;g=0;q=0;while(1){if(!(i[(k[v>>2]|0)+q>>0]|0)){J=u;K=g}else{I=qh(b,g)|0;Uc[k[(k[I>>2]|0)+480>>2]&63](I,q,c,d,e,n);J=k[s>>2]|0;K=g+1|0}q=q+1|0;if((q|0)>=(J|0))break;else{u=J;g=K}}}Yka(c,b,135923,674,0.0);Yka(c,b,135944,677,0.0);if((k[c+40>>2]|0)!=302){Yka(c,b,135039,653,0.0);woa(b,0.0,706);r=a;return}Yka(c,b,135096,679,0.0);Yka(c,b,135039,653,0.0);woa(b,0.0,706);r=a;return}function Oaa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;YN(b,Ika(c,128895,917)|0);YN(b,Ika(c,128937,919)|0);return}function Paa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,128813,81);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138209,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,63,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function Qaa(a,b){a=a|0;b=b|0;return 0}function Raa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,128813,81);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,70,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function Saa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0.0,i=0;a=r;r=r+16|0;c=a;k[c>>2]=0;Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;d=gq(b,534)|0;Uo(b,c);e=Hc[k[(k[b>>2]|0)+172>>2]&511](b)|0;if((e|0)>0){f=d+12|0;g=0;do{h=1.0/+(ed[k[(k[b>>2]|0)+508>>2]&511](b,g)|0);i=(ma(g,e)|0)+g|0;p[(k[f>>2]|0)+(i<<3)>>3]=h;g=g+1|0}while((g|0)!=(e|0))}e=k[c>>2]|0;if(!e){r=a;return d|0}Tqa(e);r=a;return d|0}function Taa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0.0,C=0,D=0;a=r;r=r+32|0;c=a+20|0;d=a+8|0;e=a;f=a+16|0;k[f>>2]=0;g=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;cp(b,c,299);pp(b,e,917);Uo(b,f);h=iq(b,534)|0;i=Rqa(g>>>0>536870911?-1:g<<3)|0;j=k[c>>2]|0;l=j>>>0>536870911?-1:j<<3;j=Rqa(l)|0;m=Rqa(l)|0;n=Rqa(l)|0;l=Wo(b,674)|0;o=Wo(b,677)|0;if((k[c>>2]|0)==3)q=Wo(b,679)|0;else q=0;s=ed[k[(k[b>>2]|0)+308>>2]&511](b,5)|0;t=Hc[k[(k[s>>2]|0)+8>>2]&511](s)|0;a:do if((t|0)<(Hc[k[(k[s>>2]|0)+12>>2]&511](s)|0)){u=m+8|0;v=n+16|0;w=s+8|0;x=h+4|0;if((g|0)>0)y=t;else{z=t;while(1){Fc[k[(k[s>>2]|0)+24>>2]&1023](s,z);rd[k[(k[b>>2]|0)+260>>2]&511](b,d,k[f>>2]|0,s);nd[k[(k[b>>2]|0)+336>>2]&1023](b,i,s);rd[k[(k[l>>2]|0)+60>>2]&511](l,j,k[f>>2]|0,s);rd[k[(k[o>>2]|0)+60>>2]&511](o,m,k[f>>2]|0,s);if((k[c>>2]|0)==3)rd[k[(k[q>>2]|0)+60>>2]&511](q,n,k[f>>2]|0,s);z=z+1|0;if((z|0)>=(Hc[k[(k[s>>2]|0)+12>>2]&511](s)|0))break a}}do{Fc[k[(k[s>>2]|0)+24>>2]&1023](s,y);rd[k[(k[b>>2]|0)+260>>2]&511](b,d,k[f>>2]|0,s);nd[k[(k[b>>2]|0)+336>>2]&1023](b,i,s);rd[k[(k[l>>2]|0)+60>>2]&511](l,j,k[f>>2]|0,s);rd[k[(k[o>>2]|0)+60>>2]&511](o,m,k[f>>2]|0,s);if((k[c>>2]|0)==3){rd[k[(k[q>>2]|0)+60>>2]&511](q,n,k[f>>2]|0,s);A=+p[j>>3]+ +p[u>>3];if((k[c>>2]|0)==3)B=A+ +p[v>>3];else B=A}else B=+p[j>>3]+ +p[u>>3];z=k[x>>2]|0;C=0;do{D=z+(C<<3)|0;p[D>>3]=+p[D>>3]-B*+p[e>>3]*+p[d>>3]*+p[w>>3]*+p[i+(C<<3)>>3];C=C+1|0}while((C|0)!=(g|0));y=y+1|0}while((y|0)<(Hc[k[(k[s>>2]|0)+12>>2]&511](s)|0))}while(0);Ec[k[(k[s>>2]|0)+4>>2]&1023](s);s=k[f>>2]|0;if(!s){k[f>>2]=0;Tqa(i);Tqa(j);Tqa(m);Tqa(n);r=a;return h|0}Tqa(s);k[f>>2]=0;Tqa(i);Tqa(j);Tqa(m);Tqa(n);r=a;return h|0}function Uaa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,128813,81);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138230,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,185,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function Vaa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,128813,81);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,188,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function Waa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;a=r;r=r+208|0;d=a+184|0;e=a+180|0;f=a+176|0;g=a+40|0;h=a+24|0;i=a+12|0;j=a;k[f>>2]=0;l=Hc[k[(k[c>>2]|0)+164>>2]&511](c)|0;switch(k[c+44>>2]|0){case 738:{ed[k[(k[c>>2]|0)+168>>2]&511](c,742)|0;break}case 739:{ed[k[(k[c>>2]|0)+168>>2]&511](c,742)|0;break}default:{m=g+56|0;n=g+4|0;k[g>>2]=27524;k[m>>2]=27544;B=0;wa(508,g+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;q=Q;s=o;vva(m);Qb(s|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[m>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){t=Rb()|0;u=Q;v=t}else{k[n>>2]=27560;t=g+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[g+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,n|0,d|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(d);Yua(t);Ava(n);u=x;v=w;break}Yua(d);B=0;w=Ia(40,g|0,128984,32)|0;x=B;B=0;if(!(x&1)?(B=0,Xa(239,w|0,0)|0,w=B,B=0,!(w&1)):0){w=Ab(20)|0;B=0;eb(502,h|0,128813,81);x=B;B=0;do if(!(x&1)){B=0;eb(502,i|0,137199,23);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(h);A=y;C=z;break}B=0;wa(510,j|0,n|0);z=B;B=0;if(z&1){z=Rb()|0;D=z;E=Q;F=1}else{B=0;ua(163,w|0,h|0,i|0,202,j|0);z=B;B=0;if(z&1)G=1;else{B=0;eb(503,w|0,1240,229);B=0;G=0}z=Rb()|0;y=Q;Yua(j);D=z;E=y;F=G}Yua(i);Yua(h);if(F){A=D;C=E}else{H=D;I=E;k[g>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(t);Ava(n);vva(m);Qb(H|0)}}else{y=Rb()|0;A=y;C=Q}while(0);zb(w|0);H=A;I=C;k[g>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(t);Ava(n);vva(m);Qb(H|0)}x=Rb()|0;H=x;I=Q;k[g>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(t);Ava(n);vva(m);Qb(H|0)}while(0);q=u;s=v;vva(m);Qb(s|0)}}cp(c,e,299);rp(c,f,534,943);s=l>>>0>536870911?-1:l<<3;m=Rqa(s)|0;v=Rqa(s)|0;Wo(c,674)|0;Wo(c,677)|0;if((k[e>>2]|0)==3)Wo(c,679)|0;vp(c,v,653);if((l|0)>0){e=k[f>>2]|0;s=0;do{p[m+(s<<3)>>3]=+p[v+(s<<3)>>3]+ +p[b+(k[e+(s<<2)>>2]<<3)>>3];s=s+1|0}while((s|0)!=(l|0))}l=k[c>>2]|0;s=k[l+48>>2]|0;e=Hc[k[l+128>>2]&511](c)|0;rd[s&511](c,653,m,e);Hc[k[(k[c>>2]|0)+248>>2]&511](c)|0;Tqa(m);Tqa(v);v=k[f>>2]|0;if(!v){r=a;return}Tqa(v);r=a;return}function Xaa(a,b){a=a|0;b=b|0;return}function Yaa(a){a=a|0;Sqa(a);return}function Zaa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;a=r;r=r+48|0;d=a+16|0;e=a;f=a+32|0;g=a+31|0;h=a+30|0;j=a+29|0;l=a+28|0;zka(c,f,129324);zka(c,g,129346);zka(c,h,129368);zka(c,j,129391);zka(c,l,132257);if(!(i[f>>0]|0)){r=a;return}a:do if(((i[g>>0]|0)!=0?2.0:1.0)+((i[h>>0]|0)!=0?1.0:0.0)+((i[j>>0]|0)!=0?1.0:0.0)+((i[l>>0]|0)!=0?1.0:0.0)>1.0){k[e>>2]=129044;k[e+4>>2]=129067;k[e+8>>2]=129588;Ska(c,3,e);f=c+52|0;if((k[f>>2]|0)>0){m=c+36|0;n=c+108|0;o=c+100|0;q=0;s=0;b:while(1){do if(k[(k[m>>2]|0)+(s<<2)>>2]|0){u=(Jka(c,129588)|0)+(s<<3)|0;if((~~+p[u>>3]|0)!=535){u=Qqa(32)|0;v=s+1|0;B=0;Pa(1,u|0,q+1+(k[n>>2]|0)|0,v+(k[o>>2]|0)|0,0,0.0,498);w=B;B=0;if(w&1){x=u;y=11;break b}ih(b,u)|0;u=Qqa(32)|0;w=q+2|0;B=0;Pa(1,u|0,w+(k[n>>2]|0)|0,v+(k[o>>2]|0)|0,1,0.0,498);v=B;B=0;if(v&1){z=u;y=12;break b}ih(b,u)|0;A=w;break}w=(Jka(c,129044)|0)+(s<<3)|0;C=+$(+(+p[w>>3]));p[t>>3]=C;w=k[t+4>>2]|0;if(w>>>0>2146435072|(w|0)==2146435072&(k[t>>2]|0)>>>0>0)D=q;else{w=Qqa(32)|0;u=k[n>>2]|0;v=k[o>>2]|0;B=0;E=Xa(246,c|0,129044)|0;F=B;B=0;if(F&1){G=w;y=17;break b}F=q+1|0;B=0;Pa(1,w|0,F+u|0,s+1+v|0,0,+(+p[E+(s<<3)>>3]),498);E=B;B=0;if(E&1){G=w;y=17;break b}ih(b,w)|0;D=F}F=(Jka(c,129067)|0)+(s<<3)|0;C=+$(+(+p[F>>3]));p[t>>3]=C;F=k[t+4>>2]|0;if(F>>>0>2146435072|(F|0)==2146435072&(k[t>>2]|0)>>>0>0)A=D;else{F=Qqa(32)|0;w=k[n>>2]|0;E=k[o>>2]|0;B=0;v=Xa(246,c|0,129067)|0;u=B;B=0;if(u&1){H=F;y=22;break b}u=D+1|0;B=0;Pa(1,F|0,u+w|0,s+1+E|0,1,+(+p[v+(s<<3)>>3]),498);v=B;B=0;if(v&1){H=F;y=22;break b}ih(b,F)|0;A=u}}else A=q;while(0);s=s+1|0;if((s|0)>=(k[f>>2]|0))break a;else q=A}if((y|0)==11){q=Rb()|0;f=Q;Sqa(x);I=f;J=q;Qb(J|0)}else if((y|0)==12){q=Rb()|0;f=Q;Sqa(z);I=f;J=q;Qb(J|0)}else if((y|0)==17){q=Rb()|0;f=Q;Sqa(G);I=f;J=q;Qb(J|0)}else if((y|0)==22){q=Rb()|0;f=Q;Sqa(H);I=f;J=q;Qb(J|0)}}}else{qoa(b,c,129044,498,738,0);qoa(b,c,129067,498,738,1)}while(0);k[d>>2]=129044;k[d+4>>2]=129067;k[d+8>>2]=129588;Lka(c,3,d);r=a;return}function _aa(a,b,c){a=a|0;b=b|0;c=c|0;return}function $aa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;a=r;r=r+64|0;d=a+24|0;e=a+16|0;f=a;g=a+48|0;zka(c,g,129324);if(!(i[g>>0]|0)){r=a;return}k[f>>2]=129090;k[f+4>>2]=129435;k[f+8>>2]=129588;k[f+12>>2]=129116;Ska(c,4,f);if((k[c+40>>2]|0)!=300){k[e>>2]=136615;k[e+4>>2]=136636;Ska(c,2,e)}e=c+52|0;f=k[e>>2]|0;a:do if((f|0)>0){g=c+36|0;h=c+100|0;j=f;l=0;m=0;while(1){if(!(k[(k[g>>2]|0)+(l<<2)>>2]|0)){n=l+1|0;o=j;q=m}else{s=Qqa(144)|0;t=k[h>>2]|0;B=0;u=Xa(246,c|0,129588)|0;v=B;B=0;if(v&1){w=s;x=13;break}v=l+1|0;B=0;Ka(13,s|0,v+t|0,l|0,m|0,l|0,c|0,498,~~+p[u+(l<<3)>>3]|0);u=B;B=0;if(u&1){w=s;x=13;break}u=(Jka(c,129588)|0)+(l<<3)|0;if((~~+p[u>>3]|0)!=535)$n(s);ih(b,s)|0;n=v;o=k[e>>2]|0;q=m+1|0}if((n|0)<(o|0)){j=o;l=n;m=q}else break a}if((x|0)==13){m=Rb()|0;Sqa(w);Qb(m|0)}}while(0);k[d>>2]=136615;k[d+4>>2]=136636;k[d+8>>2]=129090;k[d+12>>2]=129435;k[d+16>>2]=129588;k[d+20>>2]=129116;Lka(c,6,d);r=a;return}function aba(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 2}function bba(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;a=r;r=r+208|0;f=a+16|0;g=a;h=a+201|0;j=a+200|0;l=a+196|0;m=a+48|0;n=a+184|0;o=a+32|0;p=a+20|0;zka(c,h,129324);zka(c,j,134882);Fka(c,l,134909);if(!(i[h>>0]|0)){r=a;return}k[g>>2]=129145;Ska(c,1,g);h=c+56|0;q=k[h>>2]|0;if((q|0)>0){s=c+32|0;t=q;q=0;u=0;while(1){if(!(i[(k[s>>2]|0)+u>>0]|0)){v=t;w=q}else{x=qh(b,q)|0;Uc[k[(k[x>>2]|0)+480>>2]&63](x,u,c,d,e,738);v=k[h>>2]|0;w=q+1|0}u=u+1|0;if((u|0)>=(v|0))break;else{t=v;q=w}}}switch(k[l>>2]|0){case 1:{Zka(c,b,135172,105);Zka(c,b,135196,107);Zka(c,b,135210,108);break}case 2:{Zka(c,b,135224,110);Zka(c,b,135238,109);break}case 6:{Zka(c,b,135224,110);Zka(c,b,135238,109);Zka(c,b,135039,653);Zka(c,b,135066,666);break}default:{l=m+56|0;w=m+4|0;k[m>>2]=27524;k[l>>2]=27544;B=0;wa(508,m+56|0,w|0);q=B;B=0;if(q&1){q=Rb()|0;y=Q;z=q;vva(l);Qb(z|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[l>>2]=27488;B=0;va(448,w|0);q=B;B=0;do if(q&1){v=Rb()|0;A=Q;C=v}else{k[w>>2]=27560;v=m+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[m+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,w|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(g);Yua(v);Ava(w);A=u;C=t;break}Yua(g);B=0;t=Ia(40,m|0,145010,13)|0;u=B;B=0;if(!(u&1)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,n|0,129178,84);u=B;B=0;do if(!(u&1)){B=0;eb(502,o|0,136133,14);h=B;B=0;if(h&1){h=Rb()|0;e=Q;Yua(n);D=e;E=h;break}B=0;wa(510,p|0,w|0);h=B;B=0;if(h&1){h=Rb()|0;F=Q;G=h;H=1}else{B=0;ua(163,t|0,n|0,o|0,162,p|0);h=B;B=0;if(h&1)I=1;else{B=0;eb(503,t|0,1240,229);B=0;I=0}h=Rb()|0;e=Q;Yua(p);F=e;G=h;H=I}Yua(o);Yua(n);if(H){D=F;E=G}else{J=F;K=G;k[m>>2]=27468;k[l>>2]=27488;k[w>>2]=27560;Yua(v);Ava(w);vva(l);Qb(K|0)}}else{h=Rb()|0;D=Q;E=h}while(0);zb(t|0);J=D;K=E;k[m>>2]=27468;k[l>>2]=27488;k[w>>2]=27560;Yua(v);Ava(w);vva(l);Qb(K|0)}u=Rb()|0;J=Q;K=u;k[m>>2]=27468;k[l>>2]=27488;k[w>>2]=27560;Yua(v);Ava(w);vva(l);Qb(K|0)}while(0);y=A;z=C;vva(l);Qb(z|0)}}Zka(c,b,137052,353);Zka(c,b,134962,928);if((i[j>>0]|0)!=0?(k[c+40>>2]|0)!=300:0)Zka(c,b,136615,287);k[f>>2]=129145;Lka(c,1,f);r=a;return}function cba(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return}function dba(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;a=r;r=r+176|0;c=a+152|0;d=a+16|0;e=a;if(!(CY()|0)){xh(b,498);Voa(b);r=a;return}f=d+56|0;g=d+4|0;k[d>>2]=27524;k[f>>2]=27544;B=0;wa(508,d+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(f);Qb(j|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[f>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=d+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;Ia(40,d|0,129263,28)|0;o=B;B=0;if(!(o&1)?(B=0,wa(510,e|0,g|0),o=B,B=0,!(o&1)):0){B=0;ya(425,e|0)|0;o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(e);q=p;s=o;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(s|0)}else{Yua(e);k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);xh(b,498);Voa(b);r=a;return}}o=Rb()|0;q=Q;s=o;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(s|0)}while(0);i=m;j=n;vva(f);Qb(j|0)}function eba(a,b){a=a|0;b=b|0;return 0}function fba(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,129178,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,193,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function gba(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;a=r;r=r+192|0;c=a+180|0;d=a+176|0;e=a+40|0;f=a+24|0;g=a+12|0;h=a;if(!($p(b)|0)){i=0;r=a;return i|0}cp(b,d,298);switch(k[d>>2]|0){case 300:{if($p(b)|0){j=Hc[k[(k[b>>2]|0)+172>>2]&511](b)|0;l=gq(b,534)|0;if((j|0)>0){m=j<<2;n=l+12|0;o=j<<1;q=0;do{s=1.0/+(ed[k[(k[b>>2]|0)+508>>2]&511](b,q)|0);t=q<<1;u=(ma(m,q)|0)+t|0;v=k[n>>2]|0;p[v+(u<<3)>>3]=s;u=t|1;t=v+((ma(o,u)|0)+u<<3)|0;p[t>>3]=s;q=q+1|0}while((q|0)!=(j|0));w=l}else w=l}else w=0;break}case 302:{w=hba(0,b)|0;break}default:{b=e+56|0;l=e+4|0;k[e>>2]=27524;k[b>>2]=27544;B=0;wa(508,e+56|0,l|0);j=B;B=0;if(j&1){j=Rb()|0;x=Q;y=j;vva(b);Qb(y|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[b>>2]=27488;B=0;va(448,l|0);j=B;B=0;do if(j&1){q=Rb()|0;z=Q;A=q}else{k[l>>2]=27560;q=e+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,l|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;n=Q;Yua(c);Yua(q);Ava(l);z=n;A=o;break}Yua(c);B=0;o=Ia(40,e|0,144639,5)|0;n=B;B=0;if((((!(n&1)?(B=0,n=ya(427,k[d>>2]|0)|0,m=B,B=0,!(m&1)):0)?(m=Lta(n)|0,B=0,t=Ia(40,o|0,n|0,m|0)|0,m=B,B=0,!(m&1)):0)?(B=0,m=Ia(40,t|0,146481,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,m|0,0)|0,m=B,B=0,!(m&1)):0){m=Ab(20)|0;B=0;eb(502,f|0,129178,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,g|0,144189,13);n=B;B=0;if(n&1){n=Rb()|0;o=Q;Yua(f);C=o;D=n;break}B=0;wa(510,h|0,l|0);n=B;B=0;if(n&1){n=Rb()|0;E=Q;F=n;G=1}else{B=0;ua(163,m|0,f|0,g|0,207,h|0);n=B;B=0;if(n&1)H=1;else{B=0;eb(503,m|0,1240,229);B=0;H=0}n=Rb()|0;o=Q;Yua(h);E=o;F=n;G=H}Yua(g);Yua(f);if(G){C=E;D=F}else{I=E;J=F;k[e>>2]=27468;k[b>>2]=27488;k[l>>2]=27560;Yua(q);Ava(l);vva(b);Qb(J|0)}}else{n=Rb()|0;C=Q;D=n}while(0);zb(m|0);I=C;J=D;k[e>>2]=27468;k[b>>2]=27488;k[l>>2]=27560;Yua(q);Ava(l);vva(b);Qb(J|0)}t=Rb()|0;I=Q;J=t;k[e>>2]=27468;k[b>>2]=27488;k[l>>2]=27560;Yua(q);Ava(l);vva(b);Qb(J|0)}while(0);x=z;y=A;vva(b);Qb(y|0)}}i=w;r=a;return i|0}function hba(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0.0,q=0.0,s=0,t=0,u=0.0,v=0,w=0.0;a=r;r=r+16|0;c=a+4|0;d=a;if(!($p(b)|0)){e=0;r=a;return e|0}k[d>>2]=0;f=(Hc[k[(k[b>>2]|0)+172>>2]&511](b)|0)<<1;g=gq(b,534)|0;nd[k[(k[b>>2]|0)+512>>2]&1023](b,d,c);if((k[c>>2]|0)>0){h=g+12|0;i=0;do{j=i<<1;l=k[d>>2]|0;m=k[l+(j<<2)>>2]|0;n=k[l+((j|1)<<2)>>2]|0;o=+(ed[k[(k[b>>2]|0)+508>>2]&511](b,m)|0);q=1.0/o;o=1.0/+(ed[k[(k[b>>2]|0)+508>>2]&511](b,n)|0);j=m<<1;m=j|1;l=n<<1;n=l|1;if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0?Hc[k[(k[b>>2]|0)+252>>2]&511](b)|0:0){s=(ma(j,f)|0)+j|0;t=k[h>>2]|0;p[t+(s<<3)>>3]=q;s=t+((ma(m,f)|0)+m<<3)|0;p[s>>3]=q;u=-o;s=ma(l,f)|0;p[t+(s+j<<3)>>3]=u;p[t+(s+l<<3)>>3]=o;s=ma(n,f)|0;p[t+(s+m<<3)>>3]=u;p[t+(s+n<<3)>>3]=o}else v=10;do if((v|0)==10){v=0;if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){s=(ma(j,f)|0)+j|0;t=k[h>>2]|0;p[t+(s<<3)>>3]=q;s=t+((ma(m,f)|0)+m<<3)|0;p[s>>3]=q;u=o*-2.0;s=ma(l,f)|0;p[t+(s+j<<3)>>3]=u;w=o*2.0;p[t+(s+l<<3)>>3]=w;s=ma(n,f)|0;p[t+(s+m<<3)>>3]=u;p[t+(s+n<<3)>>3]=w;break}if(Hc[k[(k[b>>2]|0)+252>>2]&511](b)|0){w=-o;s=ma(l,f)|0;t=k[h>>2]|0;p[t+(s+j<<3)>>3]=w;p[t+(s+l<<3)>>3]=o;s=ma(n,f)|0;p[t+(s+m<<3)>>3]=w;p[t+(s+n<<3)>>3]=o;break}else{w=o*-2.0;s=ma(l,f)|0;t=k[h>>2]|0;p[t+(s+j<<3)>>3]=w;u=o*2.0;p[t+(s+l<<3)>>3]=u;s=ma(n,f)|0;p[t+(s+m<<3)>>3]=w;p[t+(s+n<<3)>>3]=u;break}}while(0);i=i+1|0}while((i|0)<(k[c>>2]|0))}c=k[d>>2]|0;if(c)Tqa(c);e=g;r=a;return e|0}function iba(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;a=r;r=r+192|0;c=a+180|0;d=a+176|0;e=a+40|0;f=a+24|0;g=a+12|0;h=a;if(!($p(b)|0)){i=0;r=a;return i|0}cp(b,d,298);switch(k[d>>2]|0){case 300:{j=jba(0,b)|0;break}case 302:{j=kba(0,b)|0;break}default:{b=e+56|0;l=e+4|0;k[e>>2]=27524;k[b>>2]=27544;B=0;wa(508,e+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(b);Qb(o|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[b>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){p=Rb()|0;q=Q;s=p}else{k[l>>2]=27560;p=e+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,l|0,c|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(c);Yua(p);Ava(l);q=u;s=t;break}Yua(c);B=0;t=Ia(40,e|0,144639,5)|0;u=B;B=0;if((((!(u&1)?(B=0,u=ya(427,k[d>>2]|0)|0,v=B,B=0,!(v&1)):0)?(v=Lta(u)|0,B=0,w=Ia(40,t|0,u|0,v|0)|0,v=B,B=0,!(v&1)):0)?(B=0,v=Ia(40,w|0,146481,18)|0,w=B,B=0,!(w&1)):0)?(B=0,Xa(239,v|0,0)|0,v=B,B=0,!(v&1)):0){v=Ab(20)|0;B=0;eb(502,f|0,129178,84);w=B;B=0;do if(!(w&1)){B=0;eb(502,g|0,144203,13);u=B;B=0;if(u&1){u=Rb()|0;t=Q;Yua(f);x=t;y=u;break}B=0;wa(510,h|0,l|0);u=B;B=0;if(u&1){u=Rb()|0;z=Q;A=u;C=1}else{B=0;ua(163,v|0,f|0,g|0,310,h|0);u=B;B=0;if(u&1)D=1;else{B=0;eb(503,v|0,1240,229);B=0;D=0}u=Rb()|0;t=Q;Yua(h);z=t;A=u;C=D}Yua(g);Yua(f);if(C){x=z;y=A}else{E=z;F=A;k[e>>2]=27468;k[b>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(b);Qb(F|0)}}else{u=Rb()|0;x=Q;y=u}while(0);zb(v|0);E=x;F=y;k[e>>2]=27468;k[b>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(b);Qb(F|0)}w=Rb()|0;E=Q;F=w;k[e>>2]=27468;k[b>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(b);Qb(F|0)}while(0);n=q;o=s;vva(b);Qb(o|0)}}i=j;r=a;return i|0}function jba(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0.0,j=0.0,l=0.0,m=0.0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0,A=0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0,K=0;a=r;r=r+32|0;c=a+24|0;d=a+16|0;e=a;if(!($p(b)|0)){f=0;r=a;return f|0}g=Hc[k[(k[b>>2]|0)+172>>2]&511](b)|0;h=iq(b,534)|0;i=+Dp(b,265);j=+Dp(b,65);l=+Dp(b,217);m=+Dp(b,215);n=Wo(b,664)|0;o=Wo(b,665)|0;q=Wo(b,353)|0;s=Wo(b,339)|0;t=Hc[k[(k[b>>2]|0)+304>>2]&511](b)|0;if((g|0)<=0){if(t)u=6}else{v=e+8|0;w=i*-1.5800000000000002e-10*j;x=i*j;j=(l+-1.0)*.5;i=l+1.0;y=l+2.0;z=h+4|0;A=0;do{Fc[k[(k[t>>2]|0)+28>>2]&1023](t,A);B=+(ed[k[(k[b>>2]|0)+508>>2]&511](b,A)|0);nd[k[(k[q>>2]|0)+48>>2]&1023](q,c,t);nd[k[(k[s>>2]|0)+48>>2]&1023](s,d,t);nd[k[(k[n>>2]|0)+48>>2]&1023](n,e,t);nd[k[(k[o>>2]|0)+48>>2]&1023](o,v,t);C=+p[e>>3];D=+p[v>>3];E=+p[c>>3];F=w*E;G=+ba(+x,+l)*2.0*+ba(+(C*C+D*D),+j);H=y*+ba(+m,+l);I=(C*F-C*(G*+ba(+E,+i)/H))/B;J=A<<1;K=k[z>>2]|0;p[K+(J<<3)>>3]=I;I=G*+ba(+(+p[c>>3]),+i)/H;p[K+((J|1)<<3)>>3]=(D*F-+p[v>>3]*I)/B;A=A+1|0}while((A|0)!=(g|0));u=6}if((u|0)==6)Ec[k[(k[t>>2]|0)+4>>2]&1023](t);f=h;r=a;return f|0}function kba(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0.0,o=0.0,q=0.0,s=0.0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0.0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0;a=r;r=r+112|0;c=a+96|0;d=a+80|0;e=a+72|0;f=a+64|0;g=a+48|0;h=a;i=a+92|0;j=a+88|0;if(!($p(b)|0)){l=0;r=a;return l|0}k[i>>2]=0;k[j>>2]=0;Hc[k[(k[b>>2]|0)+172>>2]&511](b)|0;m=iq(b,534)|0;Uo(b,i);n=+Dp(b,265);o=+Dp(b,65);q=+Dp(b,217);s=+Dp(b,214);t=Wo(b,339)|0;u=Wo(b,664)|0;v=Wo(b,665)|0;w=Wo(b,353)|0;nd[k[(k[b>>2]|0)+512>>2]&1023](b,j,c);if((k[c>>2]|0)>0){x=n*-1.5800000000000002e-10*o;y=g+8|0;z=m+4|0;A=n*o;o=(q+-1.0)*.5;B=h+24|0;C=h+8|0;D=h+32|0;E=h+16|0;F=h+40|0;G=0;do{H=G<<1;I=k[j>>2]|0;J=k[I+(H<<2)>>2]|0;K=k[I+((H|1)<<2)>>2]|0;H=ed[k[(k[b>>2]|0)+508>>2]&511](b,J)|0;I=ed[k[(k[b>>2]|0)+508>>2]&511](b,K)|0;L=J*3|0;M=k[i>>2]|0;N=K*3|0;p[h>>3]=+p[M+(L<<3)>>3];p[B>>3]=+p[M+(N<<3)>>3];p[C>>3]=+p[M+(L+1<<3)>>3];p[D>>3]=+p[M+(N+1<<3)>>3];p[E>>3]=+p[M+(L+2<<3)>>3];p[F>>3]=+p[M+(N+2<<3)>>3];n=+(H|0);O=+(I|0);I=ld[k[(k[b>>2]|0)+328>>2]&127](b,J,K,3)|0;H=Hc[k[(k[I>>2]|0)+8>>2]&511](I)|0;if((H|0)<(Hc[k[(k[I>>2]|0)+12>>2]&511](I)|0)){N=I+8|0;M=K<<1;K=M|1;L=H;do{Fc[k[(k[I>>2]|0)+24>>2]&1023](I,L);nd[k[(k[u>>2]|0)+48>>2]&1023](u,g,I);nd[k[(k[v>>2]|0)+48>>2]&1023](v,y,I);nd[k[(k[t>>2]|0)+48>>2]&1023](t,d,I);nd[k[(k[w>>2]|0)+48>>2]&1023](w,e,I);P=+p[g>>3];Q=+p[y>>3];R=+ba(+A,+q)*-2.0*+ba(+(P*P+Q*Q),+o);Q=+Lp(b,k[i>>2]|0,I);rd[k[(k[b>>2]|0)+268>>2]&511](b,f,h,I);H=Hc[k[(k[b>>2]|0)+252>>2]&511](b)|0;P=R*+ba(+((+p[d>>3]-Q)/s),+q);S=P*+p[g>>3]*+p[f>>3]*+p[N>>3];if(H){H=k[z>>2]|0;T=H+(M<<3)|0;p[T>>3]=S/O+ +p[T>>3];P=R*+ba(+((+p[d>>3]-Q)/s),+q);T=H+(K<<3)|0;p[T>>3]=+p[T>>3]+P*+p[y>>3]*+p[f>>3]*+p[N>>3]/O}else{T=k[z>>2]|0;H=T+(M<<3)|0;p[H>>3]=S*2.0/O+ +p[H>>3];S=R*+ba(+((+p[d>>3]-Q)/s),+q);H=T+(K<<3)|0;p[H>>3]=+p[H>>3]+S*+p[y>>3]*+p[f>>3]*+p[N>>3]*2.0/O}L=L+1|0}while((L|0)<(Hc[k[(k[I>>2]|0)+12>>2]&511](I)|0))}if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){O=x*+p[e>>3];S=O*+p[y>>3];L=J<<1;N=k[z>>2]|0;K=N+(L<<3)|0;p[K>>3]=+p[K>>3]+O*+p[g>>3]/n;K=N+((L|1)<<3)|0;p[K>>3]=S/n+ +p[K>>3]}Ec[k[(k[I>>2]|0)+4>>2]&1023](I);G=G+1|0}while((G|0)<(k[c>>2]|0))}c=k[j>>2]|0;if(c)Tqa(c);k[j>>2]=0;j=k[i>>2]|0;if(j)Tqa(j);l=m;r=a;return l|0}function lba(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;a=r;r=r+32|0;d=a+8|0;e=a;f=a+16|0;k[f>>2]=0;g=Hc[k[(k[c>>2]|0)+164>>2]&511](c)|0;h=g<<1;i=Rqa(h>>>0>536870911?-1:h<<3)|0;rp(c,f,534,943);j=Wo(c,674)|0;l=Wo(c,677)|0;m=Hc[k[(k[c>>2]|0)+304>>2]&511](c)|0;if((g|0)>0){c=0;do{Fc[k[(k[m>>2]|0)+28>>2]&1023](m,c);nd[k[(k[j>>2]|0)+48>>2]&1023](j,d,m);nd[k[(k[l>>2]|0)+48>>2]&1023](l,e,m);n=c<<1;p[i+(n<<3)>>3]=+p[d>>3];p[i+((n|1)<<3)>>3]=+p[e>>3];c=c+1|0}while((c|0)!=(g|0))}if(k[b>>2]|0){g=k[k[b+4>>2]>>2]|0;Dc[k[(k[g>>2]|0)+16>>2]&255](g,h,k[f>>2]|0,i,0)}if(m)Ec[k[(k[m>>2]|0)+4>>2]&1023](m);m=k[f>>2]|0;if(!m){k[f>>2]=0;Tqa(i);r=a;return}Tqa(m);k[f>>2]=0;Tqa(i);r=a;return}function mba(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,129178,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,550,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function nba(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0.0,V=0.0,W=0.0,X=0,Y=0,Z=0,_=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0.0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0;a=r;r=r+896|0;d=a+880|0;e=a+864|0;f=a+860|0;g=a+844|0;h=a+696|0;i=a+868|0;j=a+848|0;l=a+832|0;m=a+560|0;n=a+548|0;o=a+536|0;q=a+384|0;s=a+400|0;u=a+96|0;v=a+84|0;w=a+72|0;x=a+248|0;y=a+60|0;z=a+48|0;A=a+36|0;C=a+112|0;D=a+24|0;E=a+12|0;F=a;k[f>>2]=0;k[g>>2]=0;G=Hc[k[(k[c>>2]|0)+164>>2]&511](c)|0;H=G<<1;rp(c,f,534,943);I=H>>>0>536870911?-1:H<<3;J=Rqa(I)|0;K=Rqa(I)|0;L=Rqa(I)|0;M=Rqa(I)|0;N=Rqa(I)|0;O=Rqa(I)|0;P=Rqa(I)|0;I=Rqa(G>>>0>536870911?-1:G<<3)|0;R=(G|0)>0;do if(R){S=k[f>>2]|0;T=0;do{p[J+(T<<3)>>3]=+p[b+(k[S+(T<<2)>>2]<<3)>>3];T=T+1|0}while((T|0)<(H|0));Aq(c,J,971);if(R){T=0;while(1){S=T<<1;U=+p[J+(S<<3)>>3];p[K+(T<<3)>>3]=U;V=+p[J+((S|1)<<3)>>3];p[L+(T<<3)>>3]=V;W=+$(+U);p[t>>3]=W;S=k[t>>2]|0;X=k[t+4>>2]|0;if(X>>>0>2146435072|(X|0)==2146435072&S>>>0>0){Y=8;break}if((S|0)==0&(X|0)==2146435072){Y=32;break}W=+$(+V);p[t>>3]=W;X=k[t>>2]|0;S=k[t+4>>2]|0;if(S>>>0>2146435072|(S|0)==2146435072&X>>>0>0){Y=56;break}T=T+1|0;if((X|0)==0&(S|0)==2146435072){Y=80;break}if((T|0)>=(G|0)){Y=104;break}}if((Y|0)==8){T=h+56|0;S=h+4|0;k[h>>2]=27524;k[T>>2]=27544;B=0;wa(508,h+56|0,S|0);X=B;B=0;if(X&1){X=Rb()|0;Z=Q;_=X;vva(T);Qb(_|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[T>>2]=27488;B=0;va(448,S|0);X=B;B=0;do if(X&1){ba=Rb()|0;ca=Q;da=ba}else{k[S>>2]=27560;ba=h+36|0;k[ba>>2]=0;k[ba+4>>2]=0;k[ba+8>>2]=0;k[ba+12>>2]=0;k[h+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,S|0,d|0);ea=B;B=0;if(ea&1){ea=Rb()|0;fa=Q;Yua(d);Yua(ba);Ava(S);ca=fa;da=ea;break}Yua(d);B=0;ea=Ia(40,h|0,135564,28)|0;fa=B;B=0;a:do if(!(fa&1)?(B=0,Xa(239,ea|0,0)|0,ga=B,B=0,!(ga&1)):0){ga=Ab(20)|0;B=0;eb(502,i|0,129178,84);ha=B;B=0;do if(!(ha&1)){B=0;eb(502,j|0,137199,23);ia=B;B=0;if(ia&1){ia=Rb()|0;ja=Q;Yua(i);ka=ja;la=ia;break}B=0;wa(510,l|0,S|0);ia=B;B=0;if(ia&1){ia=Rb()|0;ma=Q;na=ia;oa=1}else{B=0;ua(163,ga|0,i|0,j|0,586,l|0);ia=B;B=0;if(ia&1)pa=1;else{B=0;eb(503,ga|0,1240,229);B=0;pa=0}ia=Rb()|0;ja=Q;Yua(l);ma=ja;na=ia;oa=pa}Yua(j);Yua(i);if(oa){ka=ma;la=na}else{qa=ma;ra=na;break a}}else{ia=Rb()|0;ka=Q;la=ia}while(0);zb(ga|0);qa=ka;ra=la}else Y=23;while(0);if((Y|0)==23){ea=Rb()|0;qa=Q;ra=ea}k[h>>2]=27468;k[T>>2]=27488;k[S>>2]=27560;Yua(ba);Ava(S);vva(T);sa=qa;ta=ra;Qb(ta|0)}while(0);Z=ca;_=da;vva(T);Qb(_|0)}else if((Y|0)==32){S=m+56|0;X=m+4|0;k[m>>2]=27524;k[S>>2]=27544;B=0;wa(508,m+56|0,X|0);ea=B;B=0;if(ea&1){ea=Rb()|0;xa=Q;za=ea;vva(S);Qb(za|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[S>>2]=27488;B=0;va(448,X|0);ea=B;B=0;do if(ea&1){fa=Rb()|0;Aa=Q;Ba=fa}else{k[X>>2]=27560;fa=m+36|0;k[fa>>2]=0;k[fa+4>>2]=0;k[fa+8>>2]=0;k[fa+12>>2]=0;k[m+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,X|0,d|0);ha=B;B=0;if(ha&1){ha=Rb()|0;ia=Q;Yua(d);Yua(fa);Ava(X);Aa=ia;Ba=ha;break}Yua(d);B=0;ha=Ia(40,m|0,135593,28)|0;ia=B;B=0;b:do if(!(ia&1)?(B=0,Xa(239,ha|0,0)|0,ja=B,B=0,!(ja&1)):0){ja=Ab(20)|0;B=0;eb(502,n|0,129178,84);Ca=B;B=0;do if(!(Ca&1)){B=0;eb(502,o|0,137199,23);Da=B;B=0;if(Da&1){Da=Rb()|0;Ea=Q;Yua(n);Fa=Ea;Ga=Da;break}B=0;wa(510,q|0,X|0);Da=B;B=0;if(Da&1){Da=Rb()|0;Ha=1;Ja=Q;Ka=Da}else{B=0;ua(163,ja|0,n|0,o|0,587,q|0);Da=B;B=0;if(Da&1)La=1;else{B=0;eb(503,ja|0,1240,229);B=0;La=0}Da=Rb()|0;Ea=Q;Yua(q);Ha=La;Ja=Ea;Ka=Da}Yua(o);Yua(n);if(Ha){Fa=Ja;Ga=Ka}else{Ma=Ja;Na=Ka;break b}}else{Da=Rb()|0;Fa=Q;Ga=Da}while(0);zb(ja|0);Ma=Fa;Na=Ga}else Y=47;while(0);if((Y|0)==47){ha=Rb()|0;Ma=Q;Na=ha}k[m>>2]=27468;k[S>>2]=27488;k[X>>2]=27560;Yua(fa);Ava(X);vva(S);sa=Ma;ta=Na;Qb(ta|0)}while(0);xa=Aa;za=Ba;vva(S);Qb(za|0)}else if((Y|0)==56){X=s+56|0;ea=s+4|0;k[s>>2]=27524;k[X>>2]=27544;B=0;wa(508,s+56|0,ea|0);T=B;B=0;if(T&1){T=Rb()|0;Oa=Q;Pa=T;vva(X);Qb(Pa|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[X>>2]=27488;B=0;va(448,ea|0);T=B;B=0;do if(T&1){ha=Rb()|0;Qa=Q;Ra=ha}else{k[ea>>2]=27560;ha=s+36|0;k[ha>>2]=0;k[ha+4>>2]=0;k[ha+8>>2]=0;k[ha+12>>2]=0;k[s+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,ea|0,d|0);ia=B;B=0;if(ia&1){ia=Rb()|0;ba=Q;Yua(d);Yua(ha);Ava(ea);Qa=ba;Ra=ia;break}Yua(d);B=0;ia=Ia(40,s|0,135564,28)|0;ba=B;B=0;c:do if(!(ba&1)?(B=0,Xa(239,ia|0,0)|0,Ca=B,B=0,!(Ca&1)):0){Ca=Ab(20)|0;B=0;eb(502,u|0,129178,84);ga=B;B=0;do if(!(ga&1)){B=0;eb(502,v|0,137199,23);Da=B;B=0;if(Da&1){Da=Rb()|0;Ea=Q;Yua(u);Sa=Ea;Ta=Da;break}B=0;wa(510,w|0,ea|0);Da=B;B=0;if(Da&1){Da=Rb()|0;Ua=1;Va=Q;Wa=Da}else{B=0;ua(163,Ca|0,u|0,v|0,588,w|0);Da=B;B=0;if(Da&1)Ya=1;else{B=0;eb(503,Ca|0,1240,229);B=0;Ya=0}Da=Rb()|0;Ea=Q;Yua(w);Ua=Ya;Va=Ea;Wa=Da}Yua(v);Yua(u);if(Ua){Sa=Va;Ta=Wa}else{Za=Va;_a=Wa;break c}}else{Da=Rb()|0;Sa=Q;Ta=Da}while(0);zb(Ca|0);Za=Sa;_a=Ta}else Y=71;while(0);if((Y|0)==71){ia=Rb()|0;Za=Q;_a=ia}k[s>>2]=27468;k[X>>2]=27488;k[ea>>2]=27560;Yua(ha);Ava(ea);vva(X);sa=Za;ta=_a;Qb(ta|0)}while(0);Oa=Qa;Pa=Ra;vva(X);Qb(Pa|0)}else if((Y|0)==80){ea=x+56|0;T=x+4|0;k[x>>2]=27524;k[ea>>2]=27544;B=0;wa(508,x+56|0,T|0);S=B;B=0;if(S&1){S=Rb()|0;$a=Q;ab=S;vva(ea);Qb(ab|0)}k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[ea>>2]=27488;B=0;va(448,T|0);S=B;B=0;do if(S&1){ia=Rb()|0;bb=Q;cb=ia}else{k[T>>2]=27560;ia=x+36|0;k[ia>>2]=0;k[ia+4>>2]=0;k[ia+8>>2]=0;k[ia+12>>2]=0;k[x+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,T|0,d|0);ba=B;B=0;if(ba&1){ba=Rb()|0;fa=Q;Yua(d);Yua(ia);Ava(T);bb=fa;cb=ba;break}Yua(d);B=0;ba=Ia(40,x|0,135593,28)|0;fa=B;B=0;d:do if(!(fa&1)?(B=0,Xa(239,ba|0,0)|0,ga=B,B=0,!(ga&1)):0){ga=Ab(20)|0;B=0;eb(502,y|0,129178,84);ja=B;B=0;do if(!(ja&1)){B=0;eb(502,z|0,137199,23);Da=B;B=0;if(Da&1){Da=Rb()|0;Ea=Q;Yua(y);db=Ea;fb=Da;break}B=0;wa(510,A|0,T|0);Da=B;B=0;if(Da&1){Da=Rb()|0;gb=1;hb=Q;ib=Da}else{B=0;ua(163,ga|0,y|0,z|0,589,A|0);Da=B;B=0;if(Da&1)jb=1;else{B=0;eb(503,ga|0,1240,229);B=0;jb=0}Da=Rb()|0;Ea=Q;Yua(A);gb=jb;hb=Ea;ib=Da}Yua(z);Yua(y);if(gb){db=hb;fb=ib}else{kb=hb;lb=ib;break d}}else{Da=Rb()|0;db=Q;fb=Da}while(0);zb(ga|0);kb=db;lb=fb}else Y=95;while(0);if((Y|0)==95){ba=Rb()|0;kb=Q;lb=ba}k[x>>2]=27468;k[ea>>2]=27488;k[T>>2]=27560;Yua(ia);Ava(T);vva(ea);sa=kb;ta=lb;Qb(ta|0)}while(0);$a=bb;ab=cb;vva(ea);Qb(ab|0)}else if((Y|0)==104){up(c,M,679,0.0);if(R)mb=0;else break;do{W=+p[K+(mb<<3)>>3];V=+p[L+(mb<<3)>>3];U=+p[M+(mb<<3)>>3];nb=+aa(+(W*W+V*V+U*U));p[N+(mb<<3)>>3]=nb;mb=mb+1|0}while((mb|0)!=(G|0))}}else Y=103}else{Aq(c,J,971);Y=103}while(0);if((Y|0)==103)up(c,M,679,0.0);nb=+Dp(c,265);U=+Dp(c,65);cp(c,e,298);switch(k[e>>2]|0){case 300:{vp(c,P,353);if(R){V=nb*U;mb=0;do{p[O+(mb<<3)>>3]=V*+p[P+(mb<<3)>>3];mb=mb+1|0}while((mb|0)!=(G|0))}break}case 302:{Uo(c,g);vp(c,I,339);if(R){V=nb*U;R=k[g>>2]|0;mb=0;do{p[O+(mb<<3)>>3]=V*(+p[I+(mb<<3)>>3]-+p[R+((mb*3|0)+2<<3)>>3]);mb=mb+1|0}while((mb|0)!=(G|0))}break}default:{G=C+56|0;mb=C+4|0;k[C>>2]=27524;k[G>>2]=27544;B=0;wa(508,C+56|0,mb|0);R=B;B=0;if(R&1){R=Rb()|0;ob=Q;pb=R;vva(G);Qb(pb|0)}k[C+128>>2]=0;k[C+132>>2]=-1;k[C>>2]=27468;k[G>>2]=27488;B=0;va(448,mb|0);R=B;B=0;do if(R&1){ab=Rb()|0;qb=Q;rb=ab}else{k[mb>>2]=27560;ab=C+36|0;k[ab>>2]=0;k[ab+4>>2]=0;k[ab+8>>2]=0;k[ab+12>>2]=0;k[C+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,mb|0,d|0);cb=B;B=0;if(cb&1){cb=Rb()|0;bb=Q;Yua(d);Yua(ab);Ava(mb);qb=bb;rb=cb;break}Yua(d);B=0;cb=Ia(40,C|0,144639,5)|0;bb=B;B=0;e:do if((((!(bb&1)?(B=0,$a=ya(427,k[e>>2]|0)|0,lb=B,B=0,!(lb&1)):0)?(lb=Lta($a)|0,B=0,kb=Ia(40,cb|0,$a|0,lb|0)|0,lb=B,B=0,!(lb&1)):0)?(B=0,lb=Ia(40,kb|0,146481,18)|0,kb=B,B=0,!(kb&1)):0)?(B=0,Xa(239,lb|0,0)|0,lb=B,B=0,!(lb&1)):0){lb=Ab(20)|0;B=0;eb(502,D|0,129178,84);kb=B;B=0;do if(!(kb&1)){B=0;eb(502,E|0,137199,23);$a=B;B=0;if($a&1){$a=Rb()|0;x=Q;Yua(D);sb=x;tb=$a;break}B=0;wa(510,F|0,mb|0);$a=B;B=0;if($a&1){$a=Rb()|0;ub=1;vb=Q;wb=$a}else{B=0;ua(163,lb|0,D|0,E|0,611,F|0);$a=B;B=0;if($a&1)xb=1;else{B=0;eb(503,lb|0,1240,229);B=0;xb=0}$a=Rb()|0;x=Q;Yua(F);ub=xb;vb=x;wb=$a}Yua(E);Yua(D);if(ub){sb=vb;tb=wb}else{yb=vb;Bb=wb;break e}}else{$a=Rb()|0;sb=Q;tb=$a}while(0);zb(lb|0);yb=sb;Bb=tb}else Y=131;while(0);if((Y|0)==131){cb=Rb()|0;yb=Q;Bb=cb}k[C>>2]=27468;k[G>>2]=27488;k[mb>>2]=27560;Yua(ab);Ava(mb);vva(G);sa=yb;ta=Bb;Qb(ta|0)}while(0);ob=qb;pb=rb;vva(G);Qb(pb|0)}}Pp(c,674,675);Pp(c,677,678);Pp(c,653,654);rd[k[(k[c>>2]|0)+48>>2]&511](c,674,K,738);rd[k[(k[c>>2]|0)+48>>2]&511](c,677,L,738);rd[k[(k[c>>2]|0)+48>>2]&511](c,671,N,738);rd[k[(k[c>>2]|0)+48>>2]&511](c,653,O,738);Tqa(P);Tqa(I);Tqa(O);Tqa(N);Tqa(M);Tqa(L);Tqa(K);Tqa(J);J=k[g>>2]|0;if(J)Tqa(J);k[g>>2]=0;g=k[f>>2]|0;if(!g){r=a;return}Tqa(g);r=a;return}function oba(a,b){a=a|0;b=b|0;RZ(b);return}function pba(a){a=a|0;Sqa(a);return}function qba(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0;a=r;r=r+224|0;d=a+16|0;e=a;f=a+208|0;g=a+207|0;h=a+206|0;j=a+205|0;l=a+204|0;m=a+196|0;n=a+192|0;o=a+56|0;q=a+44|0;s=a+32|0;u=a+20|0;k[n>>2]=0;if((k[c+40>>2]|0)!=302){r=a;return}zka(c,f,129324);zka(c,g,129346);zka(c,h,129368);zka(c,j,129391);zka(c,l,132257);if(!(((i[f>>0]|0)!=0?1.0:0.0)+((i[g>>0]|0)!=0?1.0:0.0)+((i[h>>0]|0)!=0?1.0:0.0)+((i[j>>0]|0)!=0?1.0:0.0)+((i[l>>0]|0)!=0?1.0:0.0)>1.0)){qoa(b,c,129412,500,738,0);r=a;return}k[e>>2]=129435;Ska(c,1,e);Qka(c,n,a+200|0,m,129412);if((k[m>>2]|0)<=1){m=c+52|0;a:do if((k[m>>2]|0)>0){l=c+36|0;j=c+108|0;h=c+100|0;g=0;f=0;b:while(1){do if(k[(k[l>>2]|0)+(f<<2)>>2]|0){v=(Jka(c,129435)|0)+(f<<3)|0;if(~~+p[v>>3]){v=Qqa(32)|0;w=g+1|0;B=0;Pa(1,v|0,w+(k[j>>2]|0)|0,f+1+(k[h>>2]|0)|0,0,0.0,500);x=B;B=0;if(x&1){y=v;z=35;break b}ih(b,v)|0;A=w;break}w=(k[n>>2]|0)+(f<<3)|0;C=+$(+(+p[w>>3]));p[t>>3]=C;v=k[t+4>>2]|0;if(!(v>>>0>2146435072|(v|0)==2146435072&(k[t>>2]|0)>>>0>0)){v=Qqa(32)|0;x=g+1|0;B=0;Pa(1,v|0,x+(k[j>>2]|0)|0,f+1+(k[h>>2]|0)|0,0,+(+p[w>>3]),500);w=B;B=0;if(w&1){D=v;z=39;break b}ih(b,v)|0;A=x}else A=g}else A=g;while(0);f=f+1|0;if((f|0)>=(k[m>>2]|0))break a;else g=A}if((z|0)==35){g=Rb()|0;f=Q;Sqa(y);E=f;F=g;Qb(F|0)}else if((z|0)==39){g=Rb()|0;f=Q;Sqa(D);E=f;F=g;Qb(F|0)}}while(0);k[d>>2]=129435;Lka(c,1,d);Mka(c,k[n>>2]|0,129412);r=a;return}a=o+56|0;n=o+4|0;k[o>>2]=27524;k[a>>2]=27544;B=0;wa(508,o+56|0,n|0);c=B;B=0;if(c&1){c=Rb()|0;G=Q;H=c;vva(a);Qb(H|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[a>>2]=27488;B=0;va(448,n|0);c=B;B=0;do if(c&1){d=Rb()|0;I=Q;J=d}else{k[n>>2]=27560;d=o+36|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[o+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,n|0,e|0);D=B;B=0;if(D&1){D=Rb()|0;y=Q;Yua(e);Yua(d);Ava(n);I=y;J=D;break}Yua(e);B=0;D=Ia(40,o|0,129460,37)|0;y=B;B=0;c:do if(!(y&1)?(B=0,Xa(239,D|0,0)|0,A=B,B=0,!(A&1)):0){A=Ab(20)|0;B=0;eb(502,q|0,129498,89);m=B;B=0;do if(!(m&1)){B=0;eb(502,s|0,135838,17);b=B;B=0;if(b&1){b=Rb()|0;g=Q;Yua(q);K=g;L=b;break}B=0;wa(510,u|0,n|0);b=B;B=0;if(b&1){b=Rb()|0;M=Q;N=b;O=1}else{B=0;ua(163,A|0,q|0,s|0,42,u|0);b=B;B=0;if(b&1)P=1;else{B=0;eb(503,A|0,1240,229);B=0;P=0}b=Rb()|0;g=Q;Yua(u);M=g;N=b;O=P}Yua(s);Yua(q);if(O){K=M;L=N}else{R=M;S=N;break c}}else{b=Rb()|0;K=Q;L=b}while(0);zb(A|0);R=K;S=L}else z=22;while(0);if((z|0)==22){D=Rb()|0;R=Q;S=D}k[o>>2]=27468;k[a>>2]=27488;k[n>>2]=27560;Yua(d);Ava(n);vva(a);E=R;F=S;Qb(F|0)}while(0);G=I;H=J;vva(a);Qb(H|0)}function rba(a,b,c){a=a|0;b=b|0;c=c|0;return}function sba(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;a=r;r=r+32|0;d=a+16|0;e=a;if((k[c+40>>2]|0)!=302){r=a;return}k[e>>2]=136615;k[e+4>>2]=136636;k[e+8>>2]=129588;Ska(c,3,e);hoa(b,c,500,738,534);k[d>>2]=136615;k[d+4>>2]=136636;k[d+8>>2]=129588;Lka(c,3,d);r=a;return}function tba(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 1}function uba(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;a=c+40|0;if((k[a>>2]|0)!=302)return;f=c+56|0;g=k[f>>2]|0;if((g|0)>0){h=c+32|0;j=g;g=0;l=0;while(1){if(!(i[(k[h>>2]|0)+l>>0]|0)){m=j;n=g}else{o=qh(b,g)|0;Uc[k[(k[o>>2]|0)+480>>2]&63](o,l,c,d,e,738);m=k[f>>2]|0;n=g+1|0}l=l+1|0;if((l|0)>=(m|0))break;else{j=m;g=n}}}Zka(c,b,137052,353);Zka(c,b,134925,339);Zka(c,b,134945,64);Yka(c,b,137955,999,0.0);Zka(c,b,137867,206);if((k[a>>2]|0)!=300){Zka(c,b,136615,287);Zka(c,b,136636,288)}Zka(c,b,134027,39);Zka(c,b,134069,40);Yka(c,b,135923,674,0.0);Yka(c,b,135944,677,0.0);return}function vba(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return}function wba(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;a=r;r=r+176|0;c=a+152|0;d=a+16|0;e=a;if(!(CY()|0)){xh(b,500);Voa(b);r=a;return}f=d+56|0;g=d+4|0;k[d>>2]=27524;k[f>>2]=27544;B=0;wa(508,d+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(f);Qb(j|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[f>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=d+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;Ia(40,d|0,129620,33)|0;o=B;B=0;if(!(o&1)?(B=0,wa(510,e|0,g|0),o=B,B=0,!(o&1)):0){B=0;ya(425,e|0)|0;o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(e);q=p;s=o;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(s|0)}else{Yua(e);k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);xh(b,500);Voa(b);r=a;return}}o=Rb()|0;q=Q;s=o;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(s|0)}while(0);i=m;j=n;vva(f);Qb(j|0)}function xba(a,b){a=a|0;b=b|0;return 0}function yba(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,129498,89);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,137,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function zba(a,b){a=a|0;b=b|0;var c=0,d=0;c=Aba(a,b)|0;a=Bba(0,b)|0;b=Qqa(68)|0;B=0;eb(515,b|0,c|0,a|0);d=B;B=0;if(d&1){d=Rb()|0;Sqa(b);Qb(d|0)}if(c){HN(c);Sqa(c)}if(!a)return b|0;HN(a);Sqa(a);return b|0}function Aba(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0;a=r;r=r+32|0;c=a+8|0;d=a;e=a+16|0;k[e>>2]=0;f=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;g=gq(b,534)|0;h=f>>>0>536870911?-1:f<<3;i=Rqa(h)|0;j=Rqa(h)|0;Uo(b,e);h=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;l=Hc[k[(k[h>>2]|0)+8>>2]&511](h)|0;if((l|0)<(Hc[k[(k[h>>2]|0)+12>>2]&511](h)|0)){m=h+8|0;n=g+12|0;o=l;do{Fc[k[(k[h>>2]|0)+24>>2]&1023](h,o);rd[k[(k[b>>2]|0)+260>>2]&511](b,d,k[e>>2]|0,h);l=k[e>>2]|0;q=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;s=q*3|0;t=Rqa(s>>>0>536870911?-1:s<<3)|0;rd[k[(k[b>>2]|0)+340>>2]&511](b,t,l,h);if((q|0)>0)TEa(i|0,t+(q<<4)|0,q<<3|0)|0;Tqa(t);nd[k[(k[b>>2]|0)+336>>2]&1023](b,j,h);p[c>>3]=+p[m>>3]*+p[d>>3];ZX(i,1,f,1,c,1,1,0,j,1,f,0,k[n>>2]|0,1)|0;o=o+1|0}while((o|0)<(Hc[k[(k[h>>2]|0)+12>>2]&511](h)|0))}Ec[k[(k[h>>2]|0)+4>>2]&1023](h);h=k[e>>2]|0;if(!h){k[e>>2]=0;Tqa(j);Tqa(i);r=a;return g|0}Tqa(h);k[e>>2]=0;Tqa(j);Tqa(i);r=a;return g|0}function Bba(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0;a=r;r=r+48|0;c=a+32|0;d=a+24|0;e=a;f=a+40|0;if(!(Hc[k[(k[b>>2]|0)+252>>2]&511](b)|0)){g=0;r=a;return g|0}k[f>>2]=0;h=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;i=gq(b,534)|0;j=Rqa(h>>>0>536870911?-1:h<<3)|0;Fc[k[(k[b>>2]|0)+192>>2]&1023](b,f);l=ed[k[(k[b>>2]|0)+332>>2]&511](b,2)|0;nd[k[(k[b>>2]|0)+388>>2]&1023](b,e,k[f>>2]|0);m=Hc[k[(k[l>>2]|0)+8>>2]&511](l)|0;if((m|0)<(Hc[k[(k[l>>2]|0)+12>>2]&511](l)|0)){n=l+8|0;o=e+16|0;e=i+12|0;q=m;do{Fc[k[(k[l>>2]|0)+24>>2]&1023](l,q);rd[k[(k[b>>2]|0)+276>>2]&511](b,d,k[f>>2]|0,l);nd[k[(k[b>>2]|0)+336>>2]&1023](b,j,l);p[c>>3]=-(+p[n>>3]*+p[d>>3]*+p[o>>3]);ZX(j,1,h,1,c,1,1,0,j,1,h,0,k[e>>2]|0,1)|0;q=q+1|0}while((q|0)<(Hc[k[(k[l>>2]|0)+12>>2]&511](l)|0))}Ec[k[(k[l>>2]|0)+4>>2]&1023](l);l=k[f>>2]|0;if(l)Tqa(l);k[f>>2]=0;Tqa(j);g=i;r=a;return g|0}function Cba(a,b){a=a|0;b=b|0;var c=0,d=0;a=Dba(0,b)|0;c=Eba(0,b)|0;b=Qqa(24)|0;B=0;eb(516,b|0,a|0,c|0);d=B;B=0;if(d&1){d=Rb()|0;Sqa(b);Qb(d|0)}if(a){SN(a);Sqa(a)}if(!c)return b|0;SN(c);Sqa(c);return b|0}function Dba(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0.0,B=0,C=0;a=r;r=r+96|0;c=a+84|0;d=a+72|0;e=a+48|0;f=a+24|0;g=a;h=a+80|0;k[h>>2]=0;i=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;j=iq(b,534)|0;l=Rqa(i>>>0>536870911?-1:i<<3)|0;Uo(b,h);Ap(b,c,533);m=Wo(b,674)|0;n=Wo(b,677)|0;switch(k[c>>2]|0){case 538:case 541:{o=Wo(b,683)|0;break}default:o=0}q=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;s=Hc[k[(k[q>>2]|0)+8>>2]&511](q)|0;a:do if((s|0)<(Hc[k[(k[q>>2]|0)+12>>2]&511](q)|0)){t=f+8|0;u=q+8|0;v=j+4|0;w=g+16|0;if((i|0)>0)x=s;else{y=s;while(1){Fc[k[(k[q>>2]|0)+24>>2]&1023](q,y);rd[k[(k[b>>2]|0)+260>>2]&511](b,d,k[h>>2]|0,q);nd[k[(k[b>>2]|0)+336>>2]&1023](b,l,q);rd[k[(k[m>>2]|0)+60>>2]&511](m,e,k[h>>2]|0,q);rd[k[(k[n>>2]|0)+60>>2]&511](n,f,k[h>>2]|0,q);switch(k[c>>2]|0){case 538:case 541:{rd[k[(k[o>>2]|0)+60>>2]&511](o,g,k[h>>2]|0,q);break}default:{}}y=y+1|0;if((y|0)>=(Hc[k[(k[q>>2]|0)+12>>2]&511](q)|0))break a}}while(1){Fc[k[(k[q>>2]|0)+24>>2]&1023](q,x);rd[k[(k[b>>2]|0)+260>>2]&511](b,d,k[h>>2]|0,q);nd[k[(k[b>>2]|0)+336>>2]&1023](b,l,q);rd[k[(k[m>>2]|0)+60>>2]&511](m,e,k[h>>2]|0,q);rd[k[(k[n>>2]|0)+60>>2]&511](n,f,k[h>>2]|0,q);switch(k[c>>2]|0){case 538:case 541:{rd[k[(k[o>>2]|0)+60>>2]&511](o,g,k[h>>2]|0,q);z=+p[w>>3];break}default:z=0.0}A=z+(+p[e>>3]+ +p[t>>3]);y=k[v>>2]|0;B=0;do{C=y+(B<<3)|0;p[C>>3]=A*+p[d>>3]*+p[u>>3]*+p[l+(B<<3)>>3]+ +p[C>>3];B=B+1|0}while((B|0)!=(i|0));x=x+1|0;if((x|0)>=(Hc[k[(k[q>>2]|0)+12>>2]&511](q)|0))break a}}while(0);Ec[k[(k[q>>2]|0)+4>>2]&1023](q);Tqa(l);l=k[h>>2]|0;if(!l){r=a;return j|0}Tqa(l);r=a;return j|0}function Eba(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0,M=0,N=0;a=r;r=r+96|0;c=a+88|0;d=a+84|0;e=a+80|0;f=a+72|0;g=a+48|0;h=a+40|0;i=a+32|0;j=a+24|0;l=a+16|0;m=a+8|0;n=a;k[d>>2]=0;k[e>>2]=0;p[j>>3]=0.0;if(!(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0)){o=0;r=a;return o|0}q=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;s=iq(b,534)|0;t=Rqa(q>>>0>536870911?-1:q<<3)|0;Uo(b,d);Fc[k[(k[b>>2]|0)+188>>2]&1023](b,e);Ap(b,c,533);u=Wo(b,64)|0;v=Wo(b,928)|0;w=Wo(b,39)|0;x=Wo(b,40)|0;y=Wo(b,674)|0;z=Wo(b,677)|0;switch(k[c>>2]|0){case 538:case 541:{A=Wo(b,683)|0;break}default:A=0}B=ed[k[(k[b>>2]|0)+324>>2]&511](b,2)|0;C=Hc[k[(k[B>>2]|0)+8>>2]&511](B)|0;a:do if((C|0)<(Hc[k[(k[B>>2]|0)+12>>2]&511](B)|0)){D=g+8|0;E=(q|0)>0;F=B+8|0;G=s+4|0;H=C;while(1){Fc[k[(k[B>>2]|0)+24>>2]&1023](B,H);nd[k[(k[w>>2]|0)+48>>2]&1023](w,l,B);nd[k[(k[x>>2]|0)+48>>2]&1023](x,m,B);nd[k[(k[v>>2]|0)+48>>2]&1023](v,n,B);rd[k[(k[u>>2]|0)+60>>2]&511](u,g,k[d>>2]|0,B);nd[k[(k[y>>2]|0)+48>>2]&1023](y,h,B);nd[k[(k[z>>2]|0)+48>>2]&1023](z,i,B);switch(k[c>>2]|0){case 538:case 541:{nd[k[(k[A>>2]|0)+48>>2]&1023](A,j,B);break}default:{}}I=+p[g>>3];J=+p[D>>3];K=+p[n>>3]>0.0?+p[l>>3]:+p[m>>3];rd[k[(k[b>>2]|0)+264>>2]&511](b,f,k[e>>2]|0,B);nd[k[(k[b>>2]|0)+336>>2]&1023](b,t,B);if(E){L=k[G>>2]|0;M=0;do{N=L+(M<<3)|0;p[N>>3]=+p[N>>3]-+p[t+(M<<3)>>3]*(+p[f>>3]*+p[F>>3]*(I*+p[h>>3]+J*+p[i>>3]-+p[j>>3]-K));M=M+1|0}while((M|0)!=(q|0))}H=H+1|0;if((H|0)>=(Hc[k[(k[B>>2]|0)+12>>2]&511](B)|0))break a}}while(0);Ec[k[(k[B>>2]|0)+4>>2]&1023](B);Tqa(t);t=k[d>>2]|0;if(t)Tqa(t);k[d>>2]=0;d=k[e>>2]|0;if(d)Tqa(d);k[e>>2]=0;o=s;r=a;return o|0}function Fba(a,b,c){a=a|0;b=b|0;c=c|0;nd[k[(k[c>>2]|0)+176>>2]&1023](c,b,679);return}function Gba(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,129498,89);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,501,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function Hba(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0.0,ba=0.0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0.0,Wb=0.0,Xb=0;a=r;r=r+1088|0;d=a+1064|0;e=a+1036|0;f=a+1020|0;g=a+1016|0;h=a+880|0;i=a+1052|0;j=a+1040|0;l=a+1024|0;m=a+728|0;n=a+864|0;o=a+712|0;q=a+560|0;s=a+576|0;u=a+272|0;v=a+120|0;w=a+108|0;x=a+424|0;y=a+96|0;z=a+84|0;A=a+72|0;C=a+288|0;D=a+60|0;E=a+48|0;F=a+36|0;H=a+136|0;I=a+24|0;J=a+12|0;K=a;L=Hc[k[(k[c>>2]|0)+164>>2]&511](c)|0;k[f>>2]=0;k[g>>2]=0;Ap(c,e,533);if((k[e>>2]&-9|0)==534){r=a;return}Uo(c,g);rp(c,f,534,943);M=L>>>0>536870911?-1:L<<3;N=Rqa(M)|0;O=Rqa(M)|0;P=Rqa(M)|0;R=Rqa(M)|0;S=Rqa(M)|0;T=Rqa(M)|0;U=Rqa(M)|0;V=Rqa(M)|0;W=Rqa(M)|0;X=Rqa(M)|0;M=(L|0)>0;a:do if(M){Y=k[f>>2]|0;Z=0;do{p[N+(Z<<3)>>3]=+p[b+(k[Y+(Z<<2)>>2]<<3)>>3];Z=Z+1|0}while((Z|0)!=(L|0));if(M){Z=0;while(1){_=+p[N+(Z<<3)>>3];p[R+(Z<<3)>>3]=_;ba=+$(+_);p[t>>3]=ba;Y=k[t>>2]|0;ca=k[t+4>>2]|0;if(ca>>>0>2146435072|(ca|0)==2146435072&Y>>>0>0){da=8;break}Z=Z+1|0;if((Y|0)==0&(ca|0)==2146435072){da=32;break}if((Z|0)>=(L|0))break a}if((da|0)==8){Z=h+56|0;ca=h+4|0;k[h>>2]=27524;k[Z>>2]=27544;B=0;wa(508,h+56|0,ca|0);Y=B;B=0;if(Y&1){Y=Rb()|0;ea=Q;fa=Y;vva(Z);Qb(fa|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[Z>>2]=27488;B=0;va(448,ca|0);Y=B;B=0;do if(Y&1){ga=Rb()|0;ha=Q;ia=ga}else{k[ca>>2]=27560;ga=h+36|0;k[ga>>2]=0;k[ga+4>>2]=0;k[ga+8>>2]=0;k[ga+12>>2]=0;k[h+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,ca|0,d|0);ja=B;B=0;if(ja&1){ja=Rb()|0;ka=Q;Yua(d);Yua(ga);Ava(ca);ha=ka;ia=ja;break}Yua(d);B=0;ja=Ia(40,h|0,135564,28)|0;ka=B;B=0;b:do if(!(ka&1)?(B=0,Xa(239,ja|0,0)|0,la=B,B=0,!(la&1)):0){la=Ab(20)|0;B=0;eb(502,i|0,129498,89);ma=B;B=0;do if(!(ma&1)){B=0;eb(502,j|0,137199,23);na=B;B=0;if(na&1){na=Rb()|0;oa=Q;Yua(i);pa=oa;qa=na;break}B=0;wa(510,l|0,ca|0);na=B;B=0;if(na&1){na=Rb()|0;ra=Q;sa=na;ta=1}else{B=0;ua(163,la|0,i|0,j|0,540,l|0);na=B;B=0;if(na&1)xa=1;else{B=0;eb(503,la|0,1240,229);B=0;xa=0}na=Rb()|0;oa=Q;Yua(l);ra=oa;sa=na;ta=xa}Yua(j);Yua(i);if(ta){pa=ra;qa=sa}else{za=ra;Aa=sa;break b}}else{na=Rb()|0;pa=Q;qa=na}while(0);zb(la|0);za=pa;Aa=qa}else da=23;while(0);if((da|0)==23){ja=Rb()|0;za=Q;Aa=ja}k[h>>2]=27468;k[Z>>2]=27488;k[ca>>2]=27560;Yua(ga);Ava(ca);vva(Z);Ba=za;Ca=Aa;Qb(Ca|0)}while(0);ea=ha;fa=ia;vva(Z);Qb(fa|0)}else if((da|0)==32){ca=m+56|0;Y=m+4|0;k[m>>2]=27524;k[ca>>2]=27544;B=0;wa(508,m+56|0,Y|0);ja=B;B=0;if(ja&1){ja=Rb()|0;Da=Q;Ea=ja;vva(ca);Qb(Ea|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[ca>>2]=27488;B=0;va(448,Y|0);ja=B;B=0;do if(ja&1){ka=Rb()|0;Fa=Q;Ga=ka}else{k[Y>>2]=27560;ka=m+36|0;k[ka>>2]=0;k[ka+4>>2]=0;k[ka+8>>2]=0;k[ka+12>>2]=0;k[m+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Y|0,d|0);ma=B;B=0;if(ma&1){ma=Rb()|0;na=Q;Yua(d);Yua(ka);Ava(Y);Fa=na;Ga=ma;break}Yua(d);B=0;ma=Ia(40,m|0,135593,28)|0;na=B;B=0;c:do if(!(na&1)?(B=0,Xa(239,ma|0,0)|0,oa=B,B=0,!(oa&1)):0){oa=Ab(20)|0;B=0;eb(502,n|0,129498,89);Ha=B;B=0;do if(!(Ha&1)){B=0;eb(502,o|0,137199,23);Ja=B;B=0;if(Ja&1){Ja=Rb()|0;Ka=Q;Yua(n);La=Ka;Ma=Ja;break}B=0;wa(510,q|0,Y|0);Ja=B;B=0;if(Ja&1){Ja=Rb()|0;Na=1;Oa=Q;Pa=Ja}else{B=0;ua(163,oa|0,n|0,o|0,541,q|0);Ja=B;B=0;if(Ja&1)Qa=1;else{B=0;eb(503,oa|0,1240,229);B=0;Qa=0}Ja=Rb()|0;Ka=Q;Yua(q);Na=Qa;Oa=Ka;Pa=Ja}Yua(o);Yua(n);if(Na){La=Oa;Ma=Pa}else{Ra=Oa;Sa=Pa;break c}}else{Ja=Rb()|0;La=Q;Ma=Ja}while(0);zb(oa|0);Ra=La;Sa=Ma}else da=47;while(0);if((da|0)==47){ma=Rb()|0;Ra=Q;Sa=ma}k[m>>2]=27468;k[ca>>2]=27488;k[Y>>2]=27560;Yua(ka);Ava(Y);vva(ca);Ba=Ra;Ca=Sa;Qb(Ca|0)}while(0);Da=Fa;Ea=Ga;vva(ca);Qb(Ea|0)}}}while(0);up(c,O,674,0.0);up(c,P,677,0.0);d:do switch(k[e>>2]|0){case 541:{Ea=Wo(c,683)|0;if(!Ea){Ga=x+56|0;Fa=x+4|0;k[x>>2]=27524;k[Ga>>2]=27544;B=0;wa(508,x+56|0,Fa|0);Da=B;B=0;if(Da&1){Da=Rb()|0;Ta=Q;Ua=Da;vva(Ga);Qb(Ua|0)}k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[Ga>>2]=27488;B=0;va(448,Fa|0);Da=B;B=0;do if(Da&1){Sa=Rb()|0;Va=Q;Wa=Sa}else{k[Fa>>2]=27560;Sa=x+36|0;k[Sa>>2]=0;k[Sa+4>>2]=0;k[Sa+8>>2]=0;k[Sa+12>>2]=0;k[x+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Fa|0,d|0);Ra=B;B=0;if(Ra&1){Ra=Rb()|0;m=Q;Yua(d);Yua(Sa);Ava(Fa);Va=m;Wa=Ra;break}Yua(d);B=0;Ra=Ia(40,x|0,129693,56)|0;m=B;B=0;e:do if(!(m&1)?(B=0,Xa(239,Ra|0,0)|0,Ma=B,B=0,!(Ma&1)):0){Ma=Ab(20)|0;B=0;eb(502,y|0,129498,89);La=B;B=0;do if(!(La&1)){B=0;eb(502,z|0,137199,23);Pa=B;B=0;if(Pa&1){Pa=Rb()|0;Oa=Q;Yua(y);Ya=Oa;Za=Pa;break}B=0;wa(510,A|0,Fa|0);Pa=B;B=0;if(Pa&1){Pa=Rb()|0;_a=1;$a=Q;ab=Pa}else{B=0;ua(163,Ma|0,y|0,z|0,555,A|0);Pa=B;B=0;if(Pa&1)bb=1;else{B=0;eb(503,Ma|0,1240,229);B=0;bb=0}Pa=Rb()|0;Oa=Q;Yua(A);_a=bb;$a=Oa;ab=Pa}Yua(z);Yua(y);if(_a){Ya=$a;Za=ab}else{cb=$a;db=ab;break e}}else{Pa=Rb()|0;Ya=Q;Za=Pa}while(0);zb(Ma|0);cb=Ya;db=Za}else da=100;while(0);if((da|0)==100){Ra=Rb()|0;cb=Q;db=Ra}k[x>>2]=27468;k[Ga>>2]=27488;k[Fa>>2]=27560;Yua(Sa);Ava(Fa);vva(Ga);Ba=cb;Ca=db;Qb(Ca|0)}while(0);Ta=Va;Ua=Wa;vva(Ga);Qb(Ua|0)}if((Hc[k[(k[Ea>>2]|0)+20>>2]&511](Ea)|0)==626){up(c,U,683,0.0);if(M)fb=0;else break d;while(1){Fa=R+(fb<<3)|0;ba=+p[Fa>>3];p[T+(fb<<3)>>3]=ba;p[Fa>>3]=ba+ +p[U+(fb<<3)>>3];fb=fb+1|0;if((fb|0)==(L|0)){da=108;break d}}}Ga=s+56|0;Fa=s+4|0;k[s>>2]=27524;k[Ga>>2]=27544;B=0;wa(508,s+56|0,Fa|0);Da=B;B=0;if(Da&1){Da=Rb()|0;gb=Q;hb=Da;vva(Ga);Qb(hb|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[Ga>>2]=27488;B=0;va(448,Fa|0);Da=B;B=0;do if(Da&1){ca=Rb()|0;ib=Q;jb=ca}else{k[Fa>>2]=27560;ca=s+36|0;k[ca>>2]=0;k[ca+4>>2]=0;k[ca+8>>2]=0;k[ca+12>>2]=0;k[s+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Fa|0,d|0);Ra=B;B=0;if(Ra&1){Ra=Rb()|0;m=Q;Yua(d);Yua(ca);Ava(Fa);ib=m;jb=Ra;break}Yua(d);B=0;Ra=Ia(40,s|0,129654,38)|0;m=B;B=0;f:do if((((!(m&1)?(B=0,ka=ya(k[(k[Ea>>2]|0)+20>>2]|0,Ea|0)|0,La=B,B=0,!(La&1)):0)?(B=0,La=ya(427,ka|0)|0,ka=B,B=0,!(ka&1)):0)?(ka=Lta(La)|0,B=0,oa=Ia(40,Ra|0,La|0,ka|0)|0,ka=B,B=0,!(ka&1)):0)?(B=0,Xa(239,oa|0,0)|0,oa=B,B=0,!(oa&1)):0){oa=Ab(20)|0;B=0;eb(502,u|0,129498,89);ka=B;B=0;do if(!(ka&1)){B=0;eb(502,v|0,137199,23);La=B;B=0;if(La&1){La=Rb()|0;Pa=Q;Yua(u);kb=Pa;lb=La;break}B=0;wa(510,w|0,Fa|0);La=B;B=0;if(La&1){La=Rb()|0;mb=1;nb=Q;ob=La}else{B=0;ua(163,oa|0,u|0,v|0,552,w|0);La=B;B=0;if(La&1)pb=1;else{B=0;eb(503,oa|0,1240,229);B=0;pb=0}La=Rb()|0;Pa=Q;Yua(w);mb=pb;nb=Pa;ob=La}Yua(v);Yua(u);if(mb){kb=nb;lb=ob}else{qb=nb;rb=ob;break f}}else{La=Rb()|0;kb=Q;lb=La}while(0);zb(oa|0);qb=kb;rb=lb}else da=76;while(0);if((da|0)==76){Ra=Rb()|0;qb=Q;rb=Ra}k[s>>2]=27468;k[Ga>>2]=27488;k[Fa>>2]=27560;Yua(ca);Ava(Fa);vva(Ga);Ba=qb;Ca=rb;Qb(Ca|0)}while(0);gb=ib;hb=jb;vva(Ga);Qb(hb|0);break}case 538:{Fa=Wo(c,683)|0;if(!Fa){Ea=H+56|0;Da=H+4|0;k[H>>2]=27524;k[Ea>>2]=27544;B=0;wa(508,H+56|0,Da|0);Ra=B;B=0;if(Ra&1){Ra=Rb()|0;sb=Q;tb=Ra;vva(Ea);Qb(tb|0)}k[H+128>>2]=0;k[H+132>>2]=-1;k[H>>2]=27468;k[Ea>>2]=27488;B=0;va(448,Da|0);Ra=B;B=0;do if(Ra&1){m=Rb()|0;ub=Q;vb=m}else{k[Da>>2]=27560;m=H+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[H+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Da|0,d|0);Sa=B;B=0;if(Sa&1){Sa=Rb()|0;ka=Q;Yua(d);Yua(m);Ava(Da);ub=ka;vb=Sa;break}Yua(d);B=0;Sa=Ia(40,H|0,129750,57)|0;ka=B;B=0;g:do if(!(ka&1)?(B=0,Xa(239,Sa|0,0)|0,Ma=B,B=0,!(Ma&1)):0){Ma=Ab(20)|0;B=0;eb(502,I|0,129498,89);La=B;B=0;do if(!(La&1)){B=0;eb(502,J|0,137199,23);Pa=B;B=0;if(Pa&1){Pa=Rb()|0;Oa=Q;Yua(I);wb=Oa;xb=Pa;break}B=0;wa(510,K|0,Da|0);Pa=B;B=0;if(Pa&1){Pa=Rb()|0;yb=1;Bb=Q;Cb=Pa}else{B=0;ua(163,Ma|0,I|0,J|0,567,K|0);Pa=B;B=0;if(Pa&1)Db=1;else{B=0;eb(503,Ma|0,1240,229);B=0;Db=0}Pa=Rb()|0;Oa=Q;Yua(K);yb=Db;Bb=Oa;Cb=Pa}Yua(J);Yua(I);if(yb){wb=Bb;xb=Cb}else{Eb=Bb;Fb=Cb;break g}}else{Pa=Rb()|0;wb=Q;xb=Pa}while(0);zb(Ma|0);Eb=wb;Fb=xb}else da=154;while(0);if((da|0)==154){Sa=Rb()|0;Eb=Q;Fb=Sa}k[H>>2]=27468;k[Ea>>2]=27488;k[Da>>2]=27560;Yua(m);Ava(Da);vva(Ea);Ba=Eb;Ca=Fb;Qb(Ca|0)}while(0);sb=ub;tb=vb;vva(Ea);Qb(tb|0)}if((Hc[k[(k[Fa>>2]|0)+20>>2]&511](Fa)|0)==626){up(c,U,683,0.0);if(M)Gb=0;else break d;while(1){Da=R+(Gb<<3)|0;ba=+p[Da>>3];p[S+(Gb<<3)>>3]=ba;p[Da>>3]=ba+ +p[U+(Gb<<3)>>3];Gb=Gb+1|0;if((Gb|0)==(L|0)){da=108;break d}}}Ea=C+56|0;Da=C+4|0;k[C>>2]=27524;k[Ea>>2]=27544;B=0;wa(508,C+56|0,Da|0);Ra=B;B=0;if(Ra&1){Ra=Rb()|0;Hb=Q;Ib=Ra;vva(Ea);Qb(Ib|0)}k[C+128>>2]=0;k[C+132>>2]=-1;k[C>>2]=27468;k[Ea>>2]=27488;B=0;va(448,Da|0);Ra=B;B=0;do if(Ra&1){Ga=Rb()|0;Jb=Q;Kb=Ga}else{k[Da>>2]=27560;Ga=C+36|0;k[Ga>>2]=0;k[Ga+4>>2]=0;k[Ga+8>>2]=0;k[Ga+12>>2]=0;k[C+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Da|0,d|0);Sa=B;B=0;if(Sa&1){Sa=Rb()|0;ka=Q;Yua(d);Yua(Ga);Ava(Da);Jb=ka;Kb=Sa;break}Yua(d);B=0;Sa=Ia(40,C|0,129654,38)|0;ka=B;B=0;h:do if((((!(ka&1)?(B=0,ca=ya(k[(k[Fa>>2]|0)+20>>2]|0,Fa|0)|0,La=B,B=0,!(La&1)):0)?(B=0,La=ya(427,ca|0)|0,ca=B,B=0,!(ca&1)):0)?(ca=Lta(La)|0,B=0,oa=Ia(40,Sa|0,La|0,ca|0)|0,ca=B,B=0,!(ca&1)):0)?(B=0,Xa(239,oa|0,0)|0,oa=B,B=0,!(oa&1)):0){oa=Ab(20)|0;B=0;eb(502,D|0,129498,89);ca=B;B=0;do if(!(ca&1)){B=0;eb(502,E|0,137199,23);La=B;B=0;if(La&1){La=Rb()|0;Pa=Q;Yua(D);Lb=Pa;Mb=La;break}B=0;wa(510,F|0,Da|0);La=B;B=0;if(La&1){La=Rb()|0;Nb=Q;Ob=La;Pb=1}else{B=0;ua(163,oa|0,D|0,E|0,564,F|0);La=B;B=0;if(La&1)Sb=1;else{B=0;eb(503,oa|0,1240,229);B=0;Sb=0}La=Rb()|0;Pa=Q;Yua(F);Nb=Pa;Ob=La;Pb=Sb}Yua(E);Yua(D);if(Pb){Lb=Nb;Mb=Ob}else{Tb=Nb;Ub=Ob;break h}}else{La=Rb()|0;Lb=Q;Mb=La}while(0);zb(oa|0);Tb=Lb;Ub=Mb}else da=130;while(0);if((da|0)==130){Sa=Rb()|0;Tb=Q;Ub=Sa}k[C>>2]=27468;k[Ea>>2]=27488;k[Da>>2]=27560;Yua(Ga);Ava(Da);vva(Ea);Ba=Tb;Ca=Ub;Qb(Ca|0)}while(0);Hb=Jb;Ib=Kb;vva(Ea);Qb(Ib|0);break}default:da=108}while(0);if((da|0)==108?M:0){da=0;do{ba=+p[O+(da<<3)>>3];_=+p[P+(da<<3)>>3];Vb=+p[R+(da<<3)>>3];Wb=ba*ba+_*_+Vb*Vb;Vb=+$(+(+aa(+Wb)));p[V+(da<<3)>>3]=Wb==-G?G:Vb;da=da+1|0}while((da|0)!=(L|0))}switch(k[e>>2]|0){case 538:case 541:break;default:{Vb=+Dp(c,265);Wb=+Dp(c,65);up(c,X,339,0.0);if(M){_=Vb*Wb;M=k[g>>2]|0;da=0;do{p[W+(da<<3)>>3]=_*(+p[X+(da<<3)>>3]-+p[M+((da*3|0)+2<<3)>>3]);da=da+1|0}while((da|0)!=(L|0))}}}Pp(c,679,682);switch(k[e>>2]|0){case 541:{rd[k[(k[c>>2]|0)+48>>2]&511](c,681,T,738);Xb=c;break}case 538:{rd[k[(k[c>>2]|0)+48>>2]&511](c,680,S,738);Xb=c;break}default:{Pp(c,653,654);e=k[c>>2]|0;L=k[e+48>>2]|0;da=Hc[k[e+128>>2]&511](c)|0;rd[L&511](c,653,W,da);Xb=c}}rd[k[(k[Xb>>2]|0)+48>>2]&511](c,679,R,738);rd[k[(k[Xb>>2]|0)+48>>2]&511](c,671,V,738);Tqa(X);Tqa(W);Tqa(V);Tqa(R);Tqa(S);Tqa(T);Tqa(U);Tqa(P);Tqa(O);Tqa(N);N=k[g>>2]|0;if(N)Tqa(N);k[g>>2]=0;g=k[f>>2]|0;if(g)Tqa(g);k[f>>2]=0;r=a;return}function Iba(a,b){a=a|0;b=b|0;return}function Jba(a){a=a|0;Sqa(a);return}function Kba(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0.0,N=0.0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0;a=r;r=r+224|0;d=a+204|0;e=a+200|0;f=a+196|0;g=a+8|0;h=a;i=a+192|0;j=a+56|0;l=a+40|0;m=a+28|0;n=a+16|0;k[i>>2]=0;Gka(c,g,129827);Gka(c,h,129853);if((k[c+40>>2]|0)==300){r=a;return}Qka(c,i,e,f,134812);o=k[e>>2]|0;e=c+52|0;q=k[e>>2]|0;if((o|0)==(q|0)){a:do if((o|0)>0){s=c+36|0;u=c+108|0;v=c+100|0;w=o;x=0;y=0;while(1){if((k[(k[s>>2]|0)+(y<<2)>>2]|0)!=0?(z=(k[i>>2]|0)+(y<<3)|0,A=+$(+(+p[z>>3])),p[t>>3]=A,C=k[t+4>>2]|0,!(C>>>0>2146435072|(C|0)==2146435072&(k[t>>2]|0)>>>0>0)):0){C=Qqa(32)|0;D=x+1|0;B=0;Pa(1,C|0,D+(k[u>>2]|0)|0,y+1+(k[v>>2]|0)|0,0,+(+p[g>>3]*(+p[z>>3]-+p[h>>3])),501);z=B;B=0;if(z&1){E=C;break}ih(b,C)|0;F=k[e>>2]|0;G=D}else{F=w;G=x}y=y+1|0;if((y|0)>=(F|0))break a;else{w=F;x=G}}x=Rb()|0;w=Q;Sqa(E);H=w;I=x;Qb(I|0)}while(0);Mka(c,k[i>>2]|0,134812);r=a;return}if((o|0)==(q+1|0)){E=k[f>>2]|0;G=Rqa(E>>>0>536870911?-1:E<<3)|0;if((E|0)>0){F=k[i>>2]|0;x=ma(o+-1|0,E)|0;o=0;do{p[G+(o<<3)>>3]=+p[F+(x+o<<3)>>3];o=o+1|0}while((o|0)<(E|0))}b:do if((q|0)>0){E=c+36|0;o=c+108|0;x=c+100|0;F=q;w=0;y=0;while(1){if(!(k[(k[E>>2]|0)+(y<<2)>>2]|0)){J=F;K=w}else{v=k[f>>2]|0;u=Rqa(v>>>0>536870911?-1:v<<3)|0;if((v|0)>0){s=k[i>>2]|0;A=+p[g>>3];L=+p[h>>3];D=ma(v,y)|0;C=0;z=0;do{M=A*(+p[s+(D+C<<3)>>3]-L);p[u+(C<<3)>>3]=M;N=+$(+M);p[t>>3]=N;O=k[t+4>>2]|0;z=z|(O>>>0<2146435072|(O|0)==2146435072&(k[t>>2]|0)>>>0<1);C=C+1|0}while((C|0)<(v|0));if(z){C=Qqa(36)|0;D=w+1|0;B=0;Ka(11,C|0,D+(k[o>>2]|0)|0,y+1+(k[x>>2]|0)|0,0,v|0,G|0,u|0,501);s=B;B=0;if(s&1){P=C;break}ih(b,C)|0;R=D}else R=w}else R=w;Tqa(u);J=k[e>>2]|0;K=R}y=y+1|0;if((y|0)>=(J|0))break b;else{F=J;w=K}}w=Rb()|0;F=Q;Sqa(P);H=F;I=w;Qb(I|0)}while(0);Mka(c,k[i>>2]|0,134812);Tqa(G);r=a;return}a=j+56|0;G=j+4|0;k[j>>2]=27524;k[a>>2]=27544;B=0;wa(508,j+56|0,G|0);i=B;B=0;if(i&1){i=Rb()|0;S=Q;T=i;vva(a);Qb(T|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[a>>2]=27488;B=0;va(448,G|0);i=B;B=0;do if(i&1){c=Rb()|0;U=Q;V=c}else{k[G>>2]=27560;c=j+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[j+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,G|0,d|0);P=B;B=0;if(P&1){P=Rb()|0;K=Q;Yua(d);Yua(c);Ava(G);U=K;V=P;break}Yua(d);B=0;P=Ia(40,j|0,129887,14)|0;K=B;B=0;c:do if((((!(K&1)?(B=0,J=ya(427,347)|0,R=B,B=0,!(R&1)):0)?(R=Lta(J)|0,B=0,e=Ia(40,P|0,J|0,R|0)|0,R=B,B=0,!(R&1)):0)?(B=0,R=Ia(40,e|0,144645,14)|0,e=B,B=0,!(e&1)):0)?(B=0,Xa(239,R|0,0)|0,R=B,B=0,!(R&1)):0){R=Ab(20)|0;B=0;eb(502,l|0,129902,76);e=B;B=0;do if(!(e&1)){B=0;eb(502,m|0,135838,17);J=B;B=0;if(J&1){J=Rb()|0;b=Q;Yua(l);W=b;X=J;break}B=0;wa(510,n|0,G|0);J=B;B=0;if(J&1){J=Rb()|0;Y=Q;Z=J;_=1}else{B=0;ua(163,R|0,l|0,m|0,86,n|0);J=B;B=0;if(J&1)aa=1;else{B=0;eb(503,R|0,1240,229);B=0;aa=0}J=Rb()|0;b=Q;Yua(n);Y=b;Z=J;_=aa}Yua(m);Yua(l);if(_){W=Y;X=Z}else{ba=Y;ca=Z;break c}}else{J=Rb()|0;W=Q;X=J}while(0);zb(R|0);ba=W;ca=X}else da=46;while(0);if((da|0)==46){P=Rb()|0;ba=Q;ca=P}k[j>>2]=27468;k[a>>2]=27488;k[G>>2]=27560;Yua(c);Ava(G);vva(a);H=ba;I=ca;Qb(I|0)}while(0);S=U;T=V;vva(a);Qb(T|0)}function Lba(a,b,c){a=a|0;b=b|0;c=c|0;return}function Mba(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;a=r;r=r+16|0;d=a+8|0;e=a;if((k[c+40>>2]|0)==302){k[e>>2]=136615;k[e+4>>2]=136636;Ska(c,2,e)}hoa(b,c,501,738,534);k[d>>2]=136615;k[d+4>>2]=136636;Lka(c,2,d);r=a;return}function Nba(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 1}function Oba(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;a=r;r=r+224|0;f=a+16|0;g=a;h=a+214|0;j=a+213|0;l=a+212|0;m=a+208|0;n=a+204|0;o=a+200|0;p=a+64|0;q=a+52|0;s=a+40|0;t=a+28|0;u=c+40|0;if((k[u>>2]|0)==300){r=a;return}zka(c,l,135466);if(!(i[l>>0]|0)){r=a;return}k[g>>2]=135066;k[g+4>>2]=129979;k[g+8>>2]=135039;Ska(c,3,g);l=c+56|0;v=k[l>>2]|0;if((v|0)>0){w=c+32|0;x=v;v=0;y=0;while(1){if(!(i[(k[w>>2]|0)+y>>0]|0)){z=x;A=v}else{C=qh(b,v)|0;Uc[k[(k[C>>2]|0)+480>>2]&63](C,y,c,d,e,738);z=k[l>>2]|0;A=v+1|0}y=y+1|0;if((y|0)>=(z|0))break;else{x=z;v=A}}}zka(c,h,134866);zka(c,j,134882);Fka(c,m,134909);Zka(c,b,137052,353);Zka(c,b,134925,339);Yka(c,b,137955,999,0.0);Zka(c,b,134945,64);Zka(c,b,137867,206);Zka(c,b,134962,928);if((k[u>>2]|0)!=300){Zka(c,b,136615,287);Zka(c,b,136636,288)}Zka(c,b,134991,214);Zka(c,b,135015,217);Zka(c,b,135039,653);Zka(c,b,135066,666);Zka(c,b,129979,698);Zka(c,b,130011,687);Zka(c,b,130224,699);Zka(c,b,134027,39);Zka(c,b,135923,674);Zka(c,b,135944,677);Zka(c,b,135096,679);woa(b,0.0,684);woa(b,0.0,685);woa(b,0.0,686);if(i[j>>0]|0)Zka(c,b,136615,287);Fka(c,n,135117);if((k[n>>2]|0)!=62)Zka(c,b,135140,38);switch(k[m>>2]|0){case 1:{Zka(c,b,135172,105);Zka(c,b,135196,107);Zka(c,b,135210,108);break}case 2:{Zka(c,b,135224,110);Zka(c,b,135238,109);break}case 3:{Fka(c,o,135252);Zka(c,b,135224,110);Zka(c,b,135273,104);Zka(c,b,135210,108);if(!(k[o>>2]|0))Zka(c,b,135288,115);break}case 4:{Zka(c,b,135172,105);Zka(c,b,135196,107);Zka(c,b,135210,108);Zka(c,b,135039,653);Zka(c,b,135066,666);break}case 5:{Zka(c,b,135172,105);Zka(c,b,135196,107);Zka(c,b,135210,108);Zka(c,b,135319,114);break}case 6:{Zka(c,b,135224,110);Zka(c,b,135238,109);Zka(c,b,135039,653);Zka(c,b,135066,666);break}default:{b=p+56|0;o=p+4|0;k[p>>2]=27524;k[b>>2]=27544;B=0;wa(508,p+56|0,o|0);m=B;B=0;if(m&1){m=Rb()|0;D=Q;E=m;vva(b);Qb(E|0)}k[p+128>>2]=0;k[p+132>>2]=-1;k[p>>2]=27468;k[b>>2]=27488;B=0;va(448,o|0);m=B;B=0;do if(m&1){n=Rb()|0;F=Q;G=n}else{k[o>>2]=27560;n=p+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[p+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,o|0,g|0);j=B;B=0;if(j&1){j=Rb()|0;u=Q;Yua(g);Yua(n);Ava(o);F=u;G=j;break}Yua(g);B=0;j=Ia(40,p|0,145010,13)|0;u=B;B=0;if(!(u&1)?(B=0,Xa(239,j|0,0)|0,j=B,B=0,!(j&1)):0){j=Ab(20)|0;B=0;eb(502,q|0,129902,76);u=B;B=0;do if(!(u&1)){B=0;eb(502,s|0,136133,14);h=B;B=0;if(h&1){h=Rb()|0;A=Q;Yua(q);H=A;I=h;break}B=0;wa(510,t|0,o|0);h=B;B=0;if(h&1){h=Rb()|0;J=Q;K=h;L=1}else{B=0;ua(163,j|0,q|0,s|0,215,t|0);h=B;B=0;if(h&1)M=1;else{B=0;eb(503,j|0,1240,229);B=0;M=0}h=Rb()|0;A=Q;Yua(t);J=A;K=h;L=M}Yua(s);Yua(q);if(L){H=J;I=K}else{N=J;O=K;k[p>>2]=27468;k[b>>2]=27488;k[o>>2]=27560;Yua(n);Ava(o);vva(b);Qb(O|0)}}else{h=Rb()|0;H=Q;I=h}while(0);zb(j|0);N=H;O=I;k[p>>2]=27468;k[b>>2]=27488;k[o>>2]=27560;Yua(n);Ava(o);vva(b);Qb(O|0)}u=Rb()|0;N=Q;O=u;k[p>>2]=27468;k[b>>2]=27488;k[o>>2]=27560;Yua(n);Ava(o);vva(b);Qb(O|0)}while(0);D=F;E=G;vva(b);Qb(E|0)}}k[f>>2]=135066;k[f+4>>2]=129979;k[f+8>>2]=135039;Lka(c,3,f);r=a;return}function Pba(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;e=r;r=r+16|0;d=e+8|0;a=e+4|0;f=e;k[a>>2]=0;YN(b,Ika(c,135362,348)|0);YN(b,Ika(c,135343,343)|0);YN(b,Ika(c,130038,342)|0);YN(b,Ika(c,135466,340)|0);YN(b,Ika(c,135488,341)|0);YN(b,Ika(c,134909,111)|0);Hka(c,a,d,135517);g=Qqa(12)|0;B=0;eb(518,g|0,349,k[d>>2]|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;Sqa(g);j=i;l=h;Qb(l|0)}YN(b,g);g=k[d>>2]|0;do if(!g)m=0;else{h=Qqa(16)|0;B=0;ib(294,h|0,350,k[a>>2]|0,g|0);i=B;B=0;if(!(i&1)){YN(b,h);m=k[d>>2]|0;break}i=Rb()|0;n=Q;Sqa(h);j=n;l=i;Qb(l|0)}while(0);Nka(c,a,m,135517);Fka(c,f,134909);m=k[f>>2]|0;if((m&-3|0)==4){YN(b,Ika(c,135546,112)|0);o=k[f>>2]|0}else o=m;if((o|0)!=3){r=e;return}YN(b,Ika(c,135252,116)|0);r=e;return}function Qba(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0.0,o=0.0,q=0.0,s=0.0;c=r;r=r+32|0;d=c+16|0;e=c+12|0;f=c+8|0;g=c;if(!($p(b)|0)){r=c;return}if(!(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0)){r=c;return}k[f>>2]=0;op(b,d,341);if(i[d>>0]|0){d=Wo(b,653)|0;VB(b,e,f,Hc[k[(k[b>>2]|0)+128>>2]&511](b)|0);h=Qqa(72)|0;B=0;va(493,h|0);j=B;B=0;if(j&1){j=Rb()|0;Sqa(h);Qb(j|0)}if((k[e>>2]|0)>0){j=0;do{l=k[(k[h>>2]|0)+32>>2]|0;m=Hc[k[(k[b>>2]|0)+128>>2]&511](b)|0;nd[l&1023](h,m,k[(k[f>>2]|0)+(j<<2)>>2]|0);nd[k[(k[d>>2]|0)+48>>2]&1023](d,g,h);m=ed[k[(k[b>>2]|0)+156>>2]&511](b,k[(k[f>>2]|0)+(j<<2)>>2]|0)|0;l=a+((Qn(m)|0)<<3)|0;if(+p[l>>3]==1.0){nd[k[(k[d>>2]|0)+48>>2]&1023](d,g,h);n=+p[g>>3];o=+Dp(b,210);q=+Dp(b,66);s=+Dp(b,212);Un(m,0,o*(s-n*+Dp(b,209)-q))}else Zn(m,0);j=j+1|0}while((j|0)<(k[e>>2]|0))}e=k[f>>2]|0;if(e)Tqa(e);k[f>>2]=0;Ec[k[(k[h>>2]|0)+4>>2]&1023](h)}r=c;return}function Rba(a){a=a|0;var b=0,c=0;b=a+20|0;if((th(k[b>>2]|0)|0)>0)c=0;else return;do{Sba(qh(k[b>>2]|0,c)|0);c=c+1|0}while((c|0)<(th(k[b>>2]|0)|0));return}function Sba(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0.0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0.0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0.0,ha=0.0,ia=0.0,ja=0,ka=0,la=0,ma=0,na=0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0,xa=0.0,za=0.0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0,Ea=0,Fa=0.0,Ga=0.0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0;b=r;r=r+320|0;c=b+264|0;d=b+128|0;e=b+304|0;f=b+300|0;g=b+104|0;h=b+80|0;j=b+56|0;l=b+48|0;m=b+40|0;n=b+32|0;o=b+24|0;q=b+16|0;s=b+8|0;t=b;u=b+296|0;v=b+292|0;w=b+276|0;x=b+280|0;if(!($p(a)|0)){r=b;return}if(!(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0)){r=b;return}if(_p(a)|0){r=b;return}k[u>>2]=0;k[v>>2]=0;k[w>>2]=0;Uo(a,u);Fc[k[(k[a>>2]|0)+188>>2]&1023](a,v);zp(a,e,645);pp(a,n,358);pp(a,o,67);y=+p[n>>3]==0.0&(i[e>>0]|0)==0?688:687;z=+Dp(a,211);A=+Dp(a,265);C=+Dp(a,267);D=+Dp(a,209);E=+Tba(a,y);e=Wo(a,y)|0;F=Wo(a,653)|0;G=Wo(a,38)|0;H=Wo(a,674)|0;I=Wo(a,677)|0;J=Wo(a,679)|0;K=Qqa(16)|0;B=0;eb(524,K|0,a|0,3);L=B;B=0;if(L&1){L=Rb()|0;M=Q;Sqa(K);N=M;O=L;Qb(O|0)}nd[k[(k[a>>2]|0)+380>>2]&1023](a,g,k[v>>2]|0);nd[k[(k[a>>2]|0)+512>>2]&1023](a,w,f);L=k[f>>2]|0;M=Rqa(L>>>0>536870911?-1:L<<3)|0;L=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;P=L>>>0>536870911?-1:L<<3;L=Rqa(P)|0;R=Rqa(P)|0;S=Rqa(P)|0;T=Rqa(P)|0;xp(a,L,y);xp(a,R,653);xp(a,S,699);xp(a,T,39);P=Hc[k[(k[a>>2]|0)+304>>2]&511](a)|0;a:do if((k[f>>2]|0)>0){U=d+56|0;V=d+4|0;W=d+56|0;X=d+128|0;Y=d+132|0;Z=d+36|0;_=d+52|0;$=z*A;aa=g+8|0;ba=g+16|0;ca=h+8|0;da=h+16|0;ea=j+8|0;fa=j+16|0;ga=0.0;ha=0.0;ia=0.0;ja=0;b:while(1){ka=ja<<1;la=k[w>>2]|0;ma=k[la+(ka<<2)>>2]|0;na=k[la+((ka|1)<<2)>>2]|0;Fc[k[(k[P>>2]|0)+28>>2]&1023](P,ma);ka=L+(ma<<3)|0;la=R+(ma<<3)|0;switch(Uba(a,+p[ka>>3],+p[L+(na<<3)>>3],+p[la>>3],+p[R+(na<<3)>>3],+p[S+(ma<<3)>>3],+p[T+(ma<<3)>>3])|0){case 0:{p[M+(ja<<3)>>3]=0.0;oa=0.0;pa=0.0;qa=0.0;break}case 3:case 2:case 1:{rd[k[(k[e>>2]|0)+60>>2]&511](e,h,k[u>>2]|0,P);ra=-(E*+p[h>>3]);sa=-(E*+p[ca>>3]);ta=-(E*+p[da>>3]);ua=30;break}case 4:{xa=+p[ka>>3];za=+p[la>>3];Aa=+Dp(a,270);np(a,c,d,xa,za);za=+p[d>>3];rd[k[(k[F>>2]|0)+60>>2]&511](F,j,k[u>>2]|0,P);xa=D*(za*.6+Aa*(1.0-za));ra=xa*+p[j>>3];sa=xa*+p[ea>>3];ta=xa*+p[fa>>3];ua=30;break}default:{k[d>>2]=27524;k[U>>2]=27544;B=0;wa(508,W|0,V|0);la=B;B=0;if(la&1){ua=22;break b}k[X>>2]=0;k[Y>>2]=-1;k[d>>2]=27468;k[U>>2]=27488;B=0;va(448,V|0);la=B;B=0;if(la&1){ua=23;break b}k[V>>2]=27560;k[Z>>2]=0;k[Z+4>>2]=0;k[Z+8>>2]=0;k[Z+12>>2]=0;k[_>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,V|0,c|0);la=B;B=0;if(la&1){ua=21;break b}Yua(c);B=0;Ia(40,d|0,130056,35)|0;la=B;B=0;if(la&1){ua=32;break b}B=0;wa(510,x|0,V|0);la=B;B=0;if(la&1){ua=32;break b}B=0;ya(425,x|0)|0;la=B;B=0;if(la&1){ua=33;break b}Yua(x);k[d>>2]=27468;k[U>>2]=27488;k[V>>2]=27560;Yua(Z);Ava(V);vva(U);ra=ia;sa=ha;ta=ga;ua=30}}if((ua|0)==30){ua=0;xa=ra*+p[g>>3]+0.0+sa*+p[aa>>3]+ta*+p[ba>>3];fla(K,l,P);nd[k[(k[H>>2]|0)+48>>2]&1023](H,q,P);nd[k[(k[I>>2]|0)+48>>2]&1023](I,s,P);nd[k[(k[J>>2]|0)+48>>2]&1023](J,t,P);za=+p[q>>3];Aa=+p[s>>3];Ba=+p[t>>3];Ca=+p[l>>3]*(za*za+Aa*Aa+Ba*Ba);nd[k[(k[G>>2]|0)+48>>2]&1023](G,m,P);p[M+(ja<<3)>>3]=(xa+Ca+ +p[m>>3])/$;oa=ta;pa=sa;qa=ra}ja=ja+1|0;la=k[f>>2]|0;if((ja|0)>=(la|0)){Da=la;ua=7;break}else{ga=oa;ha=pa;ia=qa}}if((ua|0)==7){if((Da|0)<=0){ua=8;break}ja=k[w>>2]|0;ia=+p[n>>3];ha=+p[o>>3];ga=C/A;if(ia!=0.0)Ea=0;else{ba=0;while(1){aa=k[ja+(ba<<1<<2)>>2]|0;$=+p[M+(ba<<3)>>3];_=T+(aa<<3)|0;p[_>>3]=$;Y=S+(aa<<3)|0;Ca=$+ +p[Y>>3];p[Y>>3]=Ca<0.0?0.0:Ca;p[_>>3]=ga*$;ba=ba+1|0;if((ba|0)>=(Da|0)){Fa=ia;break a}}}while(1){ba=k[ja+(Ea<<1<<2)>>2]|0;_=S+(ba<<3)|0;$=+p[_>>3];Ca=+p[M+(Ea<<3)>>3];xa=ia*Ca;Ba=$+xa;if(Ba<0.0){Aa=-$/xa;p[_>>3]=0.0;Y=L+(ba<<3)|0;p[Y>>3]=+p[Y>>3]+A*(z*((1.0-Aa)*ia/ha*Ca));Ga=Aa*Ca}else{p[_>>3]=Ba;Ga=Ca}p[T+(ba<<3)>>3]=ga*Ga;Ea=Ea+1|0;if((Ea|0)>=(Da|0)){Fa=ia;break a}}}else if((ua|0)==21){ja=Rb()|0;ba=Q;Yua(c);Yua(Z);Ava(V);Ha=ba;Ja=ja;ua=24}else if((ua|0)==22){ja=Rb()|0;Ka=Q;La=ja;vva(U);Qb(La|0)}else if((ua|0)==23){ja=Rb()|0;Ha=Q;Ja=ja;ua=24}else if((ua|0)==32){ja=Rb()|0;Ma=Q;Na=ja;ua=34}else if((ua|0)==33){ja=Rb()|0;ba=Q;Yua(x);Ma=ba;Na=ja;ua=34}if((ua|0)==24){Ka=Ha;La=Ja;vva(U);Qb(La|0)}else if((ua|0)==34){k[d>>2]=27468;k[U>>2]=27488;k[V>>2]=27560;Yua(Z);Ava(V);vva(U);N=Ma;O=Na;Qb(O|0)}}else ua=8;while(0);if((ua|0)==8)Fa=+p[n>>3];if(Fa!=0.0){rd[k[(k[a>>2]|0)+48>>2]&511](a,y,L,738);rd[k[(k[a>>2]|0)+48>>2]&511](a,699,S,738)}rd[k[(k[a>>2]|0)+48>>2]&511](a,39,T,738);if(P)Ec[k[(k[P>>2]|0)+4>>2]&1023](P);bla(K);Sqa(K);K=k[w>>2]|0;if(K)Tqa(K);k[w>>2]=0;Tqa(L);Tqa(R);Tqa(S);Tqa(T);Tqa(M);M=k[u>>2]|0;if(M)Tqa(M);k[u>>2]=0;u=k[v>>2]|0;if(u)Tqa(u);r=b;return}function Tba(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0,A=0.0,B=0.0,C=0.0;c=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;d=c>>>0>536870911?-1:c<<3;e=Rqa(d)|0;f=Rqa(d)|0;g=Rqa(d)|0;h=Rqa(d)|0;xp(a,e,653);xp(a,f,b);b=(c|0)>0;do if(b){d=0;do{i=+p[e+(d<<3)>>3];j=+Dp(a,210);l=+Dp(a,66);m=+Dp(a,212);n=j*(m-i*+Dp(a,209)-l);p[g+(d<<3)>>3]=n;p[h+(d<<3)>>3]=+p[f+(d<<3)>>3]-n;d=d+1|0}while((d|0)!=(c|0));d=(c|0)>1;if(+p[h>>3]<0.0){if(d){o=1;q=1}else break;while(1){if(!(o<<24>>24))r=0;else r=+p[h+(q<<3)>>3]<0.0;q=q+1|0;if((q|0)==(c|0)){s=r;break}else o=r&1}}else{if(d){t=1;u=1}else break;while(1){if(t)v=+p[h+(u<<3)>>3]>=0.0;else v=0;u=u+1|0;if((u|0)==(c|0)){s=v;break}else t=v}}if(!s){n=+Dp(a,210);l=+Dp(a,66);i=+Dp(a,212);m=n*(i-+Dp(a,209)*0.0-l)+-1.0;l=+Dp(a,210);i=+Dp(a,271);n=+Dp(a,270);j=+Dp(a,210);w=+Dp(a,66);x=+Dp(a,212);d=j*(x-+Dp(a,209)*0.0-w)>m;m=(d?n:i)/l;l=+Dp(a,210);i=+Dp(a,66);n=+Dp(a,212);w=l*(n-+Dp(a,209)*0.0-i)+1.0;i=+Dp(a,210);n=+Dp(a,271);l=+Dp(a,270);x=+Dp(a,210);j=+Dp(a,66);y=+Dp(a,212);d=x*(y-+Dp(a,209)*0.0-j)>w;w=(d?l:n)/i;if(b){i=0.0;n=0.0;d=0;while(1){l=+p[f+(d<<3)>>3];j=+p[g+(d<<3)>>3];z=l<j;y=z?i+(j-l):i;x=z?n:n+(l-j);d=d+1|0;if((d|0)==(c|0)){A=y;B=x;break}else{i=y;n=x}}}else{A=0.0;B=0.0}n=A/(A+B);C=m*w/(w*n+m*(1.0-n));Tqa(g);Tqa(h);Tqa(e);Tqa(f);return +C}}while(0);B=+p[f>>3];A=+p[e>>3];n=+Dp(a,210);i=+Dp(a,271);x=+Dp(a,270);y=+Dp(a,210);j=+Dp(a,66);l=+Dp(a,212);c=y*(l-A*+Dp(a,209)-j)>B;C=(c?x:i)/n;Tqa(g);Tqa(h);Tqa(e);Tqa(f);return +C}function Uba(a,b,c,d,e,f,g){a=a|0;b=+b;c=+c;d=+d;e=+e;f=+f;g=+g;var h=0,i=0,j=0,l=0.0,m=0.0,n=0.0,o=0;h=r;r=r+16|0;i=h;if(!($p(a)|0)){j=-1;r=h;return j|0}if(!(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0)){j=-1;r=h;return j|0}pp(a,i,358);l=+Dp(a,210);m=+Dp(a,66);n=+Dp(a,212);if(!(l*(n-+Dp(a,209)*d-m)>b)){b=+Dp(a,210);m=+Dp(a,66);d=+Dp(a,212);if(b*(d-+Dp(a,209)*e-m)>c)o=g<0.0&+p[i>>3]==0.0?2:3;else o=4}else o=!(f<=0.0)&1;j=o;r=h;return j|0}function Vba(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0;a=r;r=r+160|0;c=a;d=a+24|0;e=a+12|0;a:do if(CY()|0){f=d+56|0;g=d+4|0;k[d>>2]=27524;k[f>>2]=27544;B=0;wa(508,d+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(f);Qb(j|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[f>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=d+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;q=Q;Yua(c);Yua(l);Ava(g);m=q;n=o;break}Yua(c);B=0;Ia(40,d|0,130092,22)|0;o=B;B=0;if(!(o&1)?(B=0,wa(510,e|0,g|0),o=B,B=0,!(o&1)):0){B=0;ya(425,e|0)|0;o=B;B=0;if(!(o&1)){Yua(e);k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);break a}o=Rb()|0;q=Q;Yua(e);s=q;t=o;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(t|0)}o=Rb()|0;s=Q;t=o;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(t|0)}while(0);i=m;j=n;vva(f);Qb(j|0)}while(0);xh(b,501);C_(b);joa(b,687,688);dO(k[b+44>>2]|0,c,358);if(!(+p[c>>3]==0.0)){Wba(b);r=a;return}c=b+20|0;if((th(k[c>>2]|0)|0)>0)u=0;else{r=a;return}do{Sba(qh(k[c>>2]|0,u)|0);u=u+1|0}while((u|0)<(th(k[c>>2]|0)|0));r=a;return}function Wba(a){a=a|0;var b=0,c=0,d=0,e=0;b=r;r=r+16|0;c=b+8|0;d=a+44|0;bO(k[d>>2]|0,c,341);dO(k[d>>2]|0,b,358);d=a+20|0;if((th(k[d>>2]|0)|0)>0){e=0;do{eca(qh(k[d>>2]|0,e)|0);e=e+1|0}while((e|0)<(th(k[d>>2]|0)|0))}if((th(k[d>>2]|0)|0)>0){e=0;do{Sba(qh(k[d>>2]|0,e)|0);e=e+1|0}while((e|0)<(th(k[d>>2]|0)|0))}if(!(i[c>>0]|0)){r=b;return}lca(a);r=b;return}function Xba(a,b){a=a|0;b=b|0;return 0}function Yba(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,129902,76);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,480,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function Zba(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if(!($p(b)|0)){c=0;return c|0}d=_ba(a,b)|0;a=$ba(0,b)|0;b=Qqa(68)|0;B=0;eb(515,b|0,d|0,a|0);e=B;B=0;if(e&1){e=Rb()|0;Sqa(b);Qb(e|0)}if(d){HN(d);Sqa(d)}if(!a){c=b;return c|0}HN(a);Sqa(a);c=b;return c|0}function _ba(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0.0,_=0,ba=0,ca=0,da=0.0,ea=0.0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0,wa=0,xa=0;a=r;r=r+256|0;c=a+244|0;d=a+232|0;e=a+224|0;f=a+216|0;g=a+208|0;h=a+200|0;i=a+192|0;j=a+184|0;l=a+176|0;m=a+168|0;n=a+160|0;o=a+152|0;q=a+144|0;s=a+240|0;t=a+72|0;u=a;if(!($p(b)|0)){v=0;r=a;return v|0}k[s>>2]=0;w=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;x=gq(b,534)|0;y=Rqa(w>>>0>536870911?-1:w<<3)|0;z=w*3|0;A=z>>>0>536870911?-1:z<<3;z=Rqa(A)|0;B=Rqa(A)|0;C=Rqa(A)|0;A=t;D=A+72|0;do{k[A>>2]=0;A=A+4|0}while((A|0)<(D|0));Uo(b,s);pp(b,e,358);cp(b,c,348);+Dp(b,266);E=+Dp(b,265);+Dp(b,65);+Dp(b,210);+Dp(b,270);A=Wo(b,674)|0;D=Wo(b,677)|0;F=Wo(b,679)|0;G=Wo(b,684)|0;H=Wo(b,685)|0;I=Wo(b,686)|0;if((k[c>>2]|0)==2)J=+id[k[(k[b>>2]|0)+292>>2]&63](b,k[s>>2]|0);else J=0.0;K=+Tba(b,688);L=ed[k[(k[b>>2]|0)+308>>2]&511](b,4)|0;M=Hc[k[(k[L>>2]|0)+8>>2]&511](L)|0;a:do if((M|0)<(Hc[k[(k[L>>2]|0)+12>>2]&511](L)|0)){N=L+8|0;O=t+32|0;P=t+64|0;Q=x+12|0;R=u+8|0;S=u+16|0;T=u+24|0;U=u+32|0;V=u+40|0;W=u+48|0;X=u+56|0;Y=u+64|0;Z=K/E;_=(w|0)>0;ba=w<<1;ca=M;while(1){Fc[k[(k[L>>2]|0)+24>>2]&1023](L,ca);rd[k[(k[b>>2]|0)+260>>2]&511](b,d,k[s>>2]|0,L);da=+p[N>>3]*+p[d>>3];p[q>>3]=da;ea=+p[e>>3];if(ea!=0.0)p[q>>3]=da*ea;fa=k[s>>2]|0;ga=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;ha=ga*3|0;ia=Rqa(ha>>>0>536870911?-1:ha<<3)|0;rd[k[(k[b>>2]|0)+340>>2]&511](b,ia,fa,L);if((ga|0)>0){fa=ga<<1;ha=0;do{p[B+(ha<<3)>>3]=+p[ia+(ha<<3)>>3];ja=ha+ga|0;p[B+(ja<<3)>>3]=+p[ia+(ja<<3)>>3];ja=ha+fa|0;p[B+(ja<<3)>>3]=+p[ia+(ja<<3)>>3];ha=ha+1|0}while((ha|0)!=(ga|0))}Tqa(ia);ea=K*+p[q>>3]/E;p[t>>3]=ea;p[O>>3]=ea;p[P>>3]=ea;ZX(B,3,w,1,t,3,3,0,B,3,w,0,k[Q>>2]|0,1)|0;ga=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;ha=Rqa(ga>>>0>536870911?-1:ga<<3)|0;nd[k[(k[b>>2]|0)+336>>2]&1023](b,ha,L);if((ga|0)>0){fa=ga<<1;ja=0;do{ea=+p[ha+(ja<<3)>>3];p[B+(ja<<3)>>3]=ea;p[B+(ja+ga<<3)>>3]=ea;p[B+(ja+fa<<3)>>3]=ea;ja=ja+1|0}while((ja|0)!=(ga|0))}Tqa(ha);ga=k[s>>2]|0;ja=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;fa=ja*3|0;ia=Rqa(fa>>>0>536870911?-1:fa<<3)|0;rd[k[(k[b>>2]|0)+340>>2]&511](b,ia,ga,L);if((ja|0)>0){ga=ja<<1;fa=0;do{p[C+(fa<<3)>>3]=+p[ia+(fa<<3)>>3];ka=fa+ja|0;p[C+(ka<<3)>>3]=+p[ia+(ka<<3)>>3];ka=fa+ga|0;p[C+(ka<<3)>>3]=+p[ia+(ka<<3)>>3];fa=fa+1|0}while((fa|0)!=(ja|0))}Tqa(ia);nd[k[(k[A>>2]|0)+48>>2]&1023](A,f,L);nd[k[(k[G>>2]|0)+48>>2]&1023](G,i,L);ea=+p[f>>3]-+p[i>>3];nd[k[(k[D>>2]|0)+48>>2]&1023](D,g,L);nd[k[(k[H>>2]|0)+48>>2]&1023](H,j,L);da=+p[g>>3]-+p[j>>3];nd[k[(k[F>>2]|0)+48>>2]&1023](F,h,L);nd[k[(k[I>>2]|0)+48>>2]&1023](I,l,L);la=+p[h>>3]-+p[l>>3];na=+p[q>>3];p[t>>3]=ea*na;p[O>>3]=da*na;p[P>>3]=na*la;ZX(B,3,w,1,t,3,3,0,C,3,w,0,k[Q>>2]|0,1)|0;if(+p[e>>3]!=0.0){p[q>>3]=+p[N>>3]*+p[d>>3];nd[k[(k[b>>2]|0)+336>>2]&1023](b,y,L);ZX(y,w,1,0,q,1,1,0,y,1,w,0,k[Q>>2]|0,1)|0;p[q>>3]=+p[q>>3]*+p[e>>3]}switch(k[c>>2]|0){case 1:{rd[k[(k[b>>2]|0)+108>>2]&511](b,m,n,o);na=ea*ea;oa=da*da;pa=la*la;qa=+aa(+(na+oa+pa))+1.0e-14;ra=ea*+p[m>>3]/qa;sa=da*+p[n>>3]/qa;ta=la*+p[o>>3]/qa;ua=+aa(+(ra*ra+sa*sa+ta*ta))/(qa*2.0);qa=ua*+$(+(ea*da));ta=ua*+$(+(ea*la));ea=ua*+$(+(da*la));la=+p[q>>3];p[u>>3]=la*(na*ua);na=la*qa;p[R>>3]=na;qa=la*ta;p[S>>3]=qa;p[T>>3]=na;p[U>>3]=la*(oa*ua);oa=la*ea;p[V>>3]=oa;p[W>>3]=qa;p[X>>3]=oa;p[Y>>3]=la*(pa*ua);ja=k[s>>2]|0;fa=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;ga=fa*3|0;ha=Rqa(ga>>>0>536870911?-1:ga<<3)|0;rd[k[(k[b>>2]|0)+340>>2]&511](b,ha,ja,L);if((fa|0)>0){ja=fa<<1;ga=0;do{p[C+(ga<<3)>>3]=+p[ha+(ga<<3)>>3];ka=ga+fa|0;p[C+(ka<<3)>>3]=+p[ha+(ka<<3)>>3];ka=ga+ja|0;p[C+(ka<<3)>>3]=+p[ha+(ka<<3)>>3];ga=ga+1|0}while((ga|0)!=(fa|0))}Tqa(ha);ZX(C,3,w,1,u,3,3,0,C,3,w,0,k[Q>>2]|0,1)|0;break}case 2:{rd[k[(k[b>>2]|0)+340>>2]&511](b,z,k[s>>2]|0,L);ua=+Pc[k[(k[b>>2]|0)+440>>2]&7](b,+p[f>>3]-+p[i>>3],+p[g>>3]-+p[j>>3],+p[h>>3]-+p[l>>3],J,Z);if(_){fa=k[Q>>2]|0;ga=0;do{ja=z+(ga<<3)|0;ia=z+(ga+w<<3)|0;ka=z+(ga+ba<<3)|0;va=ma(ga,w)|0;wa=0;do{pa=+p[f>>3]-+p[i>>3];la=+p[g>>3]-+p[j>>3];oa=+p[h>>3]-+p[l>>3];xa=fa+(wa+va<<3)|0;p[xa>>3]=+p[xa>>3]+ua*+p[q>>3]*(pa*+p[ja>>3]+la*+p[ia>>3]+oa*+p[ka>>3])*(pa*+p[z+(wa<<3)>>3]+la*+p[z+(wa+w<<3)>>3]+oa*+p[z+(wa+ba<<3)>>3]);wa=wa+1|0}while((wa|0)!=(w|0));ga=ga+1|0}while((ga|0)!=(w|0))}if(+p[e>>3]!=0.0?(p[q>>3]=+p[N>>3]*+p[d>>3],_):0){ga=k[Q>>2]|0;fa=0;do{ha=z+(fa<<3)|0;wa=z+(fa+w<<3)|0;ka=z+(fa+ba<<3)|0;ia=ma(fa,w)|0;ja=0;do{va=ga+(ja+ia<<3)|0;p[va>>3]=+p[va>>3]+ua*+p[q>>3]*+p[y+(ja<<3)>>3]*((+p[f>>3]-+p[i>>3])*+p[ha>>3]+(+p[g>>3]-+p[j>>3])*+p[wa>>3]+(+p[h>>3]-+p[l>>3])*+p[ka>>3]);ja=ja+1|0}while((ja|0)!=(w|0));fa=fa+1|0}while((fa|0)!=(w|0))}break}default:{}}ca=ca+1|0;if((ca|0)>=(Hc[k[(k[L>>2]|0)+12>>2]&511](L)|0))break a}}while(0);w=k[s>>2]|0;if(w)Tqa(w);k[s>>2]=0;Tqa(y);Tqa(z);Tqa(B);Tqa(C);Ec[k[(k[L>>2]|0)+4>>2]&1023](L);v=x;r=a;return v|0}function $ba(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,s=0,t=0,u=0,v=0.0,w=0,x=0;a=r;r=r+32|0;c=a+16|0;d=a+8|0;e=a;f=a+24|0;if(!($p(b)|0)){g=0;r=a;return g|0}if(!(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0)){g=0;r=a;return g|0}if(!(_p(b)|0)){g=0;r=a;return g|0}k[f>>2]=0;h=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;i=gq(b,534)|0;j=Rqa(h>>>0>536870911?-1:h<<3)|0;Fc[k[(k[b>>2]|0)+188>>2]&1023](b,f);pp(b,c,358);+Dp(b,65);l=+Dp(b,266);m=+Dp(b,265);n=+Dp(b,210);o=+Dp(b,213);q=+Dp(b,269);s=ed[k[(k[b>>2]|0)+324>>2]&511](b,4)|0;t=Hc[k[(k[s>>2]|0)+8>>2]&511](s)|0;if((t|0)<(Hc[k[(k[s>>2]|0)+12>>2]&511](s)|0)){u=s+8|0;v=m*n;w=i+12|0;x=t;do{Fc[k[(k[s>>2]|0)+24>>2]&1023](s,x);rd[k[(k[b>>2]|0)+264>>2]&511](b,d,k[f>>2]|0,s);nd[k[(k[b>>2]|0)+336>>2]&1023](b,j,s);n=q*(o*(l*(+p[u>>3]*+p[d>>3])))/v;p[e>>3]=n;m=+p[c>>3];if(m!=0.0)p[e>>3]=m*n;ZX(j,h,1,0,e,1,1,0,j,1,h,0,k[w>>2]|0,1)|0;x=x+1|0}while((x|0)<(Hc[k[(k[s>>2]|0)+12>>2]&511](s)|0))}Ec[k[(k[s>>2]|0)+4>>2]&1023](s);Tqa(j);j=k[f>>2]|0;if(j)Tqa(j);g=i;r=a;return g|0}function aca(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;if(!($p(b)|0)){c=0;return c|0}a=bca(0,b)|0;d=cca(0,b)|0;e=dca(0,b)|0;b=Qqa(24)|0;B=0;ib(300,b|0,a|0,d|0,e|0);f=B;B=0;if(f&1){f=Rb()|0;Sqa(b);Qb(f|0)}if(a){SN(a);Sqa(a)}if(d){SN(d);Sqa(d)}if(!e){c=b;return c|0}SN(e);Sqa(e);c=b;return c|0}function bca(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0.0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0.0,Z=0,_=0,$=0.0,aa=0.0,ba=0.0,ca=0,da=0.0,ea=0.0;a=r;r=r+128|0;c=a+124|0;d=a+112|0;e=a+104|0;f=a+96|0;g=a+88|0;h=a+80|0;i=a+56|0;j=a+48|0;l=a+24|0;m=a+16|0;n=a+8|0;o=a;q=a+120|0;if(!($p(b)|0)){s=0;r=a;return s|0}k[q>>2]=0;t=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;Hc[k[(k[b>>2]|0)+172>>2]&511](b)|0;u=iq(b,534)|0;v=Rqa(t>>>0>536870911?-1:t<<3)|0;w=t*3|0;x=Rqa(w>>>0>536870911?-1:w<<3)|0;Uo(b,q);y=+Dp(b,265);z=+Dp(b,210);A=+Dp(b,270);B=+Dp(b,271);C=+Dp(b,209);D=+Dp(b,211);pp(b,f,358);cp(b,c,348);w=Wo(b,674)|0;E=Wo(b,677)|0;F=Wo(b,679)|0;G=Wo(b,688)|0;H=Wo(b,653)|0;if(+p[f>>3]!=0.0)I=Wo(b,687)|0;else I=0;if((k[c>>2]|0)==2){J=+id[k[(k[b>>2]|0)+292>>2]&63](b,k[q>>2]|0);K=J;L=+Tba(b,688)}else{K=0.0;L=0.0}M=ed[k[(k[b>>2]|0)+308>>2]&511](b,4)|0;N=Hc[k[(k[M>>2]|0)+8>>2]&511](M)|0;if((N|0)<(Hc[k[(k[M>>2]|0)+12>>2]&511](M)|0)){O=M+8|0;P=(t|0)>0;Q=u+4|0;J=L/y;R=t<<1;L=(B-A)/D;D=z*C;S=(t|0)<1;T=i+8|0;U=l+8|0;V=i+16|0;W=l+16|0;X=N;z=0.0;while(1){Fc[k[(k[M>>2]|0)+24>>2]&1023](M,X);rd[k[(k[b>>2]|0)+260>>2]&511](b,d,k[q>>2]|0,M);nd[k[(k[b>>2]|0)+336>>2]&1023](b,v,M);ad[k[(k[b>>2]|0)+516>>2]&63](b,e,k[q>>2]|0,M,w,E,F);A=+p[e>>3]/y*+p[d>>3]*+p[O>>3];B=+p[f>>3];Y=B!=0.0?A*B:A;if(P){N=k[Q>>2]|0;Z=0;do{_=N+(Z<<3)|0;p[_>>3]=Y*+p[v+(Z<<3)>>3]+ +p[_>>3];Z=Z+1|0}while((Z|0)!=(t|0))}nd[k[(k[G>>2]|0)+48>>2]&1023](G,h,M);nd[k[(k[H>>2]|0)+48>>2]&1023](H,j,M);A=+p[j>>3];B=+Dp(b,210);$=+Dp(b,66);aa=+Dp(b,212);ba=B*(aa-A*+Dp(b,209)-$);if(+p[h>>3]>=ba){rd[k[(k[G>>2]|0)+60>>2]&511](G,i,k[q>>2]|0,M);rd[k[(k[H>>2]|0)+60>>2]&511](H,l,k[q>>2]|0,M);ba=+p[l>>3];$=+p[U>>3];A=+p[W>>3];aa=-(C*(L*(+p[i>>3]*ba+0.0+ +p[T>>3]*$+ +p[V>>3]*A+D*(ba*ba+0.0+$*$+A*A))))/y;A=+p[f>>3];$=A!=0.0?aa*A:aa;if(P){Z=k[Q>>2]|0;N=0;do{_=Z+(N<<3)|0;p[_>>3]=$*+p[v+(N<<3)>>3]+ +p[_>>3];N=N+1|0}while((N|0)!=(t|0));ca=17}else da=A}else ca=17;if((ca|0)==17){ca=0;da=+p[f>>3]}if(da!=0.0){nd[k[(k[I>>2]|0)+48>>2]&1023](I,g,M);$=+p[g>>3]*+p[d>>3]*+p[O>>3];if(P){N=k[Q>>2]|0;Z=0;do{_=N+(Z<<3)|0;p[_>>3]=$*+p[v+(Z<<3)>>3]+ +p[_>>3];Z=Z+1|0}while((Z|0)!=(t|0));ea=$}else ea=$}else ea=z;if((k[c>>2]|0)==2?(rd[k[(k[b>>2]|0)+340>>2]&511](b,x,k[q>>2]|0,M),nd[k[(k[w>>2]|0)+48>>2]&1023](w,m,M),nd[k[(k[E>>2]|0)+48>>2]&1023](E,n,M),nd[k[(k[F>>2]|0)+48>>2]&1023](F,o,M),A=+Pc[k[(k[b>>2]|0)+440>>2]&7](b,+p[m>>3],+p[n>>3],+p[o>>3],K,J),P):0){aa=Y*A;Z=k[Q>>2]|0;N=0;do{_=Z+(N<<3)|0;p[_>>3]=+p[_>>3]+aa*(+p[m>>3]*+p[x+(N<<3)>>3]+ +p[n>>3]*+p[x+(N+t<<3)>>3]+ +p[o>>3]*+p[x+(N+R<<3)>>3]);N=N+1|0}while((N|0)!=(t|0));if(!(+p[f>>3]==0.0|S)){aa=ea*A;N=k[Q>>2]|0;Z=0;do{_=N+(Z<<3)|0;p[_>>3]=+p[_>>3]+aa*(+p[m>>3]*+p[x+(Z<<3)>>3]+ +p[n>>3]*+p[x+(Z+t<<3)>>3]+ +p[o>>3]*+p[x+(Z+R<<3)>>3]);Z=Z+1|0}while((Z|0)!=(t|0))}}X=X+1|0;if((X|0)>=(Hc[k[(k[M>>2]|0)+12>>2]&511](M)|0))break;else z=ea}}Tqa(v);Tqa(x);x=k[q>>2]|0;if(x)Tqa(x);k[q>>2]=0;Ec[k[(k[M>>2]|0)+4>>2]&1023](M);s=u;r=a;return s|0}function cca(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0,la=0,ma=0,na=0,oa=0,pa=0;a=r;r=r+288|0;c=a+260|0;d=a+273|0;e=a+272|0;f=a+96|0;g=a+88|0;h=a+80|0;j=a+72|0;l=a+64|0;m=a+56|0;n=a+48|0;o=a+40|0;q=a+32|0;s=a+24|0;t=a+16|0;u=a+8|0;v=a;w=a+256|0;x=a+120|0;y=a+104|0;if(!($p(b)|0)){z=0;r=a;return z|0}if(!(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0)){z=0;r=a;return z|0}if(_p(b)|0){z=0;r=a;return z|0}k[w>>2]=0;A=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;C=iq(b,534)|0;D=Rqa(A>>>0>536870911?-1:A<<3)|0;Fc[k[(k[b>>2]|0)+188>>2]&1023](b,w);pp(b,f,358);op(b,e,341);zp(b,d,645);E=+p[f>>3]==0.0&(i[d>>0]|0)==0?688:687;d=Wo(b,674)|0;F=Wo(b,677)|0;G=Wo(b,679)|0;H=Wo(b,E)|0;E=Wo(b,653)|0;I=Wo(b,699)|0;J=Wo(b,39)|0;K=Wo(b,38)|0;L=+Dp(b,265);M=Qqa(16)|0;B=0;eb(524,M|0,b|0,3);N=B;B=0;if(N&1){N=Rb()|0;O=Q;Sqa(M);P=O;R=N;Qb(R|0)}N=ed[k[(k[b>>2]|0)+324>>2]&511](b,4)|0;O=ed[k[(k[b>>2]|0)+332>>2]&511](b,4)|0;S=Hc[k[(k[N>>2]|0)+8>>2]&511](N)|0;a:do if((S|0)<(Hc[k[(k[N>>2]|0)+12>>2]&511](N)|0)){T=N+8|0;U=(A|0)>0;V=C+4|0;W=x+56|0;X=x+4|0;Y=x+56|0;Z=x+128|0;_=x+132|0;$=x+36|0;aa=x+52|0;ba=S;b:while(1){Fc[k[(k[N>>2]|0)+24>>2]&1023](N,ba);Fc[k[(k[O>>2]|0)+24>>2]&1023](O,ba);rd[k[(k[b>>2]|0)+264>>2]&511](b,g,k[w>>2]|0,N);nd[k[(k[b>>2]|0)+336>>2]&1023](b,D,N);c:do if(!(i[e>>0]|0))ca=12;else{nd[k[(k[H>>2]|0)+48>>2]&1023](H,h,N);nd[k[(k[H>>2]|0)+48>>2]&1023](H,j,O);nd[k[(k[E>>2]|0)+48>>2]&1023](E,l,N);nd[k[(k[E>>2]|0)+48>>2]&1023](E,m,O);nd[k[(k[I>>2]|0)+48>>2]&1023](I,n,N);nd[k[(k[J>>2]|0)+48>>2]&1023](J,o,N);switch(Uba(b,+p[h>>3],+p[j>>3],+p[l>>3],+p[m>>3],+p[n>>3],+p[o>>3])|0){case 3:case 2:case 1:case 0:{ca=12;break c;break}case 4:{if(!U)break c;da=k[V>>2]|0;ea=0;while(1){fa=da+(ea<<3)|0;p[fa>>3]=+p[fa>>3]+0.0;ea=ea+1|0;if((ea|0)==(A|0))break c}break}default:{}}k[x>>2]=27524;k[W>>2]=27544;B=0;wa(508,Y|0,X|0);ea=B;B=0;if(ea&1){ca=20;break b}k[Z>>2]=0;k[_>>2]=-1;k[x>>2]=27468;k[W>>2]=27488;B=0;va(448,X|0);ea=B;B=0;if(ea&1){ca=21;break b}k[X>>2]=27560;k[$>>2]=0;k[$+4>>2]=0;k[$+8>>2]=0;k[$+12>>2]=0;k[aa>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,X|0,c|0);ea=B;B=0;if(ea&1){ca=19;break b}Yua(c);B=0;Ia(40,x|0,130056,35)|0;ea=B;B=0;if(ea&1){ca=29;break b}B=0;wa(510,y|0,X|0);ea=B;B=0;if(ea&1){ca=29;break b}B=0;ya(425,y|0)|0;ea=B;B=0;if(ea&1){ca=30;break b}Yua(y);k[x>>2]=27468;k[W>>2]=27488;k[X>>2]=27560;Yua($);Ava(X);vva(W)}while(0);if((ca|0)==12?(ca=0,nd[k[(k[K>>2]|0)+48>>2]&1023](K,v,N),fla(M,u,N),nd[k[(k[d>>2]|0)+48>>2]&1023](d,q,N),nd[k[(k[F>>2]|0)+48>>2]&1023](F,s,N),nd[k[(k[G>>2]|0)+48>>2]&1023](G,t,N),ga=+p[q>>3],ha=+p[s>>3],ia=+p[t>>3],ja=+p[T>>3]*+p[g>>3]*((+p[v>>3]+ +p[u>>3]*(ga*ga+ha*ha+ia*ia))/L),ia=+p[f>>3],ha=ia!=0.0?ia*ja:ja,U):0){ea=k[V>>2]|0;da=0;do{fa=ea+(da<<3)|0;p[fa>>3]=ha*+p[D+(da<<3)>>3]+ +p[fa>>3];da=da+1|0}while((da|0)!=(A|0))}ba=ba+1|0;if((ba|0)>=(Hc[k[(k[N>>2]|0)+12>>2]&511](N)|0))break a}if((ca|0)==19){ba=Rb()|0;V=Q;Yua(c);Yua($);Ava(X);ka=V;la=ba;ca=22}else if((ca|0)==20){ba=Rb()|0;ma=Q;na=ba;vva(W);Qb(na|0)}else if((ca|0)==21){ba=Rb()|0;ka=Q;la=ba;ca=22}else if((ca|0)==29){ba=Rb()|0;oa=Q;pa=ba;ca=31}else if((ca|0)==30){ba=Rb()|0;V=Q;Yua(y);oa=V;pa=ba;ca=31}if((ca|0)==22){ma=ka;na=la;vva(W);Qb(na|0)}else if((ca|0)==31){k[x>>2]=27468;k[W>>2]=27488;k[X>>2]=27560;Yua($);Ava(X);vva(W);P=oa;R=pa;Qb(R|0)}}while(0);Ec[k[(k[N>>2]|0)+4>>2]&1023](N);if(O)Ec[k[(k[O>>2]|0)+4>>2]&1023](O);bla(M);Sqa(M);Tqa(D);D=k[w>>2]|0;if(D)Tqa(D);z=C;r=a;return z|0}function dca(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0.0,n=0.0,o=0.0,q=0.0,s=0.0,t=0,u=0,v=0,w=0.0,x=0,y=0,z=0,A=0.0,B=0.0,C=0.0,D=0,E=0;a=r;r=r+32|0;c=a+16|0;d=a+8|0;e=a;f=a+24|0;if(!($p(b)|0)){g=0;r=a;return g|0}if(!(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0)){g=0;r=a;return g|0}if(!(_p(b)|0)){g=0;r=a;return g|0}k[f>>2]=0;h=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;i=iq(b,534)|0;j=Rqa(h>>>0>536870911?-1:h<<3)|0;Fc[k[(k[b>>2]|0)+188>>2]&1023](b,f);pp(b,c,358);l=Wo(b,653)|0;+Dp(b,65);m=+Dp(b,266);n=+Dp(b,265);o=+Dp(b,210);q=+Dp(b,213);s=+Dp(b,269);t=ed[k[(k[b>>2]|0)+324>>2]&511](b,4)|0;u=Hc[k[(k[t>>2]|0)+8>>2]&511](t)|0;a:do if((u|0)<(Hc[k[(k[t>>2]|0)+12>>2]&511](t)|0)){v=t+8|0;w=n*o;x=i+4|0;if((h|0)>0)y=u;else{z=u;while(1){Fc[k[(k[t>>2]|0)+24>>2]&1023](t,z);rd[k[(k[b>>2]|0)+264>>2]&511](b,d,k[f>>2]|0,t);nd[k[(k[b>>2]|0)+336>>2]&1023](b,j,t);nd[k[(k[l>>2]|0)+48>>2]&1023](l,e,t);+kq(b,+p[e>>3]);z=z+1|0;if((z|0)>=(Hc[k[(k[t>>2]|0)+12>>2]&511](t)|0))break a}}do{Fc[k[(k[t>>2]|0)+24>>2]&1023](t,y);rd[k[(k[b>>2]|0)+264>>2]&511](b,d,k[f>>2]|0,t);nd[k[(k[b>>2]|0)+336>>2]&1023](b,j,t);nd[k[(k[l>>2]|0)+48>>2]&1023](l,e,t);A=+kq(b,+p[e>>3]);B=A*(s*(q*(m*(+p[v>>3]*+p[d>>3]))))/w;A=+p[c>>3];C=A!=0.0?A*B:B;z=k[x>>2]|0;D=0;do{E=z+(D<<3)|0;p[E>>3]=C*+p[j+(D<<3)>>3]+ +p[E>>3];D=D+1|0}while((D|0)!=(h|0));y=y+1|0}while((y|0)<(Hc[k[(k[t>>2]|0)+12>>2]&511](t)|0))}while(0);Ec[k[(k[t>>2]|0)+4>>2]&1023](t);Tqa(j);j=k[f>>2]|0;if(j)Tqa(j);g=i;r=a;return g|0}function eca(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;b=r;r=r+16|0;c=b+4|0;d=b;if(!($p(a)|0)){r=b;return}if(!(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0)){r=b;return}k[d>>2]=0;e=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;nd[k[(k[a>>2]|0)+512>>2]&1023](a,d,c);f=Rqa(e>>>0>536870911?-1:e<<3)|0;e=k[c>>2]|0;g=e>>>0>536870911?-1:e<<3;e=Rqa(g)|0;h=Rqa(g)|0;xp(a,f,699);g=k[c>>2]|0;if((g|0)>0){WEa(e|0,0,((g|0)>1?g:1)<<3|0)|0;i=g;j=a}else{i=g;j=a}while(1){if((i|0)>0)WEa(h|0,0,((i|0)>1?i:1)<<3|0)|0;fca(j,h);g=k[c>>2]|0;if((g|0)>0){l=0;do{m=e+(l<<3)|0;p[m>>3]=+p[h+(l<<3)>>3]+ +p[m>>3];l=l+1|0}while((l|0)<(g|0))}if(Hc[k[(k[j>>2]|0)+252>>2]&511](j)|0)break;g=Hc[k[(k[j>>2]|0)+180>>2]&511](j)|0;i=k[c>>2]|0;j=g}j=k[c>>2]|0;if((j|0)>0){c=0;do{i=f+(c<<3)|0;p[i>>3]=+p[e+(c<<3)>>3]+ +p[i>>3];c=c+1|0}while((c|0)<(j|0))}rd[k[(k[a>>2]|0)+48>>2]&511](a,699,f,738);a=k[d>>2]|0;if(a)Tqa(a);k[d>>2]=0;Tqa(e);Tqa(h);Tqa(f);r=b;return}function fca(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0.0,u=0.0,v=0.0,w=0.0,x=0;c=r;r=r+32|0;d=c+16|0;e=c;f=c+12|0;g=c+8|0;if(!($p(a)|0)){r=c;return}h=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;k[f>>2]=0;i=h>>>0>536870911?-1:h<<3;j=Rqa(i)|0;l=Rqa(i)|0;m=Rqa(i)|0;n=Rqa(i)|0;o=Rqa(i)|0;k[g>>2]=0;+Dp(a,265);+Dp(a,266);Uo(a,f);xp(a,j,687);xp(a,l,653);pp(a,e,358);i=(h|0)>0;if(i){q=0;do{s=n+(q<<3)|0;np(a,m+(q<<3)|0,s,+p[j+(q<<3)>>3],+p[l+(q<<3)>>3]);t=+aoa(+p[s>>3],+p[e>>3]);p[o+(q<<3)>>3]=t;q=q+1|0}while((q|0)!=(h|0));if(i){i=0;do{t=+p[e>>3];u=+p[o+(i<<3)>>3];if(t!=0.0){q=n+(i<<3)|0;v=+p[q>>3]-t*u;p[q>>3]=v;w=v}else{q=n+(i<<3)|0;v=+p[q>>3]-u;p[q>>3]=v;w=v}tq(a,j+(i<<3)|0,+p[m+(i<<3)>>3],w,+p[l+(i<<3)>>3]);i=i+1|0}while((i|0)!=(h|0))}}rd[k[(k[a>>2]|0)+48>>2]&511](a,687,j,738);rd[k[(k[a>>2]|0)+48>>2]&511](a,698,n,738);nd[k[(k[a>>2]|0)+512>>2]&1023](a,g,d);a=k[d>>2]|0;d=k[g>>2]|0;if((a|0)<=0){if(d)x=13}else{h=k[f>>2]|0;i=0;do{e=i<<1;q=k[d+(e<<2)>>2]|0;s=k[d+((e|1)<<2)>>2]|0;w=+$(+(+p[h+((s*3|0)+2<<3)>>3]-+p[h+((q*3|0)+2<<3)>>3]));p[b+(i<<3)>>3]=w*((+p[o+(q<<3)>>3]+ +p[o+(s<<3)>>3])*.5);i=i+1|0}while((i|0)<(a|0));x=13}if((x|0)==13)Tqa(d);k[g>>2]=0;g=k[f>>2]|0;if(g)Tqa(g);k[f>>2]=0;Tqa(j);Tqa(l);Tqa(m);Tqa(n);Tqa(o);r=c;return}function gca(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0;c=r;r=r+240|0;d=c+216|0;e=c+212|0;f=c+204|0;g=c+200|0;h=c+40|0;i=c+32|0;j=c+24|0;l=c+16|0;m=c+8|0;n=c;o=c+64|0;q=c+48|0;if(!($p(b)|0)){r=c;return}if(!(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0)){r=c;return}if(_p(b)|0){r=c;return}k[f>>2]=0;k[g>>2]=0;s=Wo(b,688)|0;t=Wo(b,653)|0;u=Wo(b,699)|0;v=Wo(b,39)|0;VB(b,e,f,Hc[k[(k[b>>2]|0)+128>>2]&511](b)|0);gC(b,c+208|0,g,Hc[k[(k[b>>2]|0)+128>>2]&511](b)|0);w=Qqa(72)|0;B=0;va(493,w|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;Sqa(w);z=x;A=y;Qb(z|0)}y=Qqa(72)|0;B=0;va(493,y|0);x=B;B=0;if(x&1){x=Rb()|0;C=Q;Sqa(y);z=x;A=C;Qb(z|0)}a:do if((k[e>>2]|0)>0){C=o+56|0;x=o+4|0;D=o+56|0;E=o+128|0;F=o+132|0;G=o+36|0;H=o+52|0;I=b+20|0;J=a+4|0;K=0;b:while(1){L=k[(k[w>>2]|0)+32>>2]|0;M=Hc[k[(k[b>>2]|0)+128>>2]&511](b)|0;nd[L&1023](w,M,k[(k[f>>2]|0)+(K<<2)>>2]|0);M=k[(k[y>>2]|0)+32>>2]|0;L=Hc[k[(k[b>>2]|0)+128>>2]&511](b)|0;nd[M&1023](y,L,k[(k[g>>2]|0)+(K<<2)>>2]|0);nd[k[(k[s>>2]|0)+48>>2]&1023](s,h,w);nd[k[(k[s>>2]|0)+48>>2]&1023](s,i,y);nd[k[(k[t>>2]|0)+48>>2]&1023](t,j,w);nd[k[(k[t>>2]|0)+48>>2]&1023](t,l,y);nd[k[(k[u>>2]|0)+48>>2]&1023](u,m,w);nd[k[(k[v>>2]|0)+48>>2]&1023](v,n,w);switch(Uba(b,+p[h>>3],+p[i>>3],+p[j>>3],+p[l>>3],+p[m>>3],+p[n>>3])|0){case 0:{L=Qn(k[(k[I>>2]|0)+(K<<2)>>2]|0)|0;if(k[a>>2]|0){M=k[k[J>>2]>>2]|0;Jc[k[(k[M>>2]|0)+20>>2]&1](M,L,0.0,0)}break}case 1:{L=Qn(k[(k[I>>2]|0)+(K<<2)>>2]|0)|0;if(k[a>>2]|0){M=k[k[J>>2]>>2]|0;Jc[k[(k[M>>2]|0)+20>>2]&1](M,L,1.0,0)}break}case 2:{L=Qn(k[(k[I>>2]|0)+(K<<2)>>2]|0)|0;if(k[a>>2]|0){M=k[k[J>>2]>>2]|0;Jc[k[(k[M>>2]|0)+20>>2]&1](M,L,1.0,0)}break}case 3:{L=Qn(k[(k[I>>2]|0)+(K<<2)>>2]|0)|0;if(k[a>>2]|0){M=k[k[J>>2]>>2]|0;Jc[k[(k[M>>2]|0)+20>>2]&1](M,L,1.0,0)}break}case 4:{L=Qn(k[(k[I>>2]|0)+(K<<2)>>2]|0)|0;if(k[a>>2]|0){M=k[k[J>>2]>>2]|0;Jc[k[(k[M>>2]|0)+20>>2]&1](M,L,1.0,0)}break}default:{k[o>>2]=27524;k[C>>2]=27544;B=0;wa(508,D|0,x|0);L=B;B=0;if(L&1){N=30;break b}k[E>>2]=0;k[F>>2]=-1;k[o>>2]=27468;k[C>>2]=27488;B=0;va(448,x|0);L=B;B=0;if(L&1){N=31;break b}k[x>>2]=27560;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;k[G+12>>2]=0;k[H>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,x|0,d|0);L=B;B=0;if(L&1){N=29;break b}Yua(d);B=0;Ia(40,o|0,130056,35)|0;L=B;B=0;if(L&1){N=39;break b}B=0;wa(510,q|0,x|0);L=B;B=0;if(L&1){N=39;break b}B=0;ya(425,q|0)|0;L=B;B=0;if(L&1){N=40;break b}Yua(q);k[o>>2]=27468;k[C>>2]=27488;k[x>>2]=27560;Yua(G);Ava(x);vva(C)}}K=K+1|0;if((K|0)>=(k[e>>2]|0))break a}if((N|0)==29){K=Rb()|0;H=Q;Yua(d);Yua(G);Ava(x);O=H;P=K;N=32}else if((N|0)==30){K=Rb()|0;R=Q;S=K;vva(C);Qb(S|0)}else if((N|0)==31){K=Rb()|0;O=Q;P=K;N=32}else if((N|0)==39){K=Rb()|0;T=K;U=Q;N=41}else if((N|0)==40){K=Rb()|0;H=Q;Yua(q);T=K;U=H;N=41}if((N|0)==32){R=O;S=P;vva(C);Qb(S|0)}else if((N|0)==41){k[o>>2]=27468;k[C>>2]=27488;k[x>>2]=27560;Yua(G);Ava(x);vva(C);z=T;A=U;Qb(z|0)}}while(0);z=k[f>>2]|0;if(z)Tqa(z);k[f>>2]=0;f=k[g>>2]|0;if(f)Tqa(f);k[g>>2]=0;Ec[k[(k[w>>2]|0)+4>>2]&1023](w);Ec[k[(k[y>>2]|0)+4>>2]&1023](y);r=c;return}function hca(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0;c=r;r=r+240|0;d=c+216|0;e=c+212|0;f=c+204|0;g=c+200|0;h=c+40|0;i=c+32|0;j=c+24|0;l=c+16|0;m=c+8|0;n=c;o=c+64|0;q=c+48|0;if(!($p(b)|0)){r=c;return}if(!(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0)){r=c;return}if(_p(b)|0){r=c;return}k[f>>2]=0;k[g>>2]=0;s=Wo(b,687)|0;t=Wo(b,653)|0;u=Wo(b,699)|0;v=Wo(b,39)|0;VB(b,e,f,Hc[k[(k[b>>2]|0)+128>>2]&511](b)|0);gC(b,c+208|0,g,Hc[k[(k[b>>2]|0)+128>>2]&511](b)|0);w=Qqa(72)|0;B=0;va(493,w|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;Sqa(w);z=x;A=y;Qb(z|0)}y=Qqa(72)|0;B=0;va(493,y|0);x=B;B=0;if(x&1){x=Rb()|0;C=Q;Sqa(y);z=x;A=C;Qb(z|0)}a:do if((k[e>>2]|0)>0){C=o+56|0;x=o+4|0;D=o+56|0;E=o+128|0;F=o+132|0;G=o+36|0;H=o+52|0;I=b+20|0;J=a+4|0;K=0;b:while(1){L=k[(k[w>>2]|0)+32>>2]|0;M=Hc[k[(k[b>>2]|0)+128>>2]&511](b)|0;nd[L&1023](w,M,k[(k[f>>2]|0)+(K<<2)>>2]|0);M=k[(k[y>>2]|0)+32>>2]|0;L=Hc[k[(k[b>>2]|0)+128>>2]&511](b)|0;nd[M&1023](y,L,k[(k[g>>2]|0)+(K<<2)>>2]|0);nd[k[(k[s>>2]|0)+48>>2]&1023](s,h,w);nd[k[(k[s>>2]|0)+48>>2]&1023](s,i,y);nd[k[(k[t>>2]|0)+48>>2]&1023](t,j,w);nd[k[(k[t>>2]|0)+48>>2]&1023](t,l,y);nd[k[(k[u>>2]|0)+48>>2]&1023](u,m,w);nd[k[(k[v>>2]|0)+48>>2]&1023](v,n,w);switch(Uba(b,+p[h>>3],+p[i>>3],+p[j>>3],+p[l>>3],+p[m>>3],+p[n>>3])|0){case 0:{L=Qn(k[(k[I>>2]|0)+(K<<2)>>2]|0)|0;if(k[a>>2]|0){M=k[k[J>>2]>>2]|0;Jc[k[(k[M>>2]|0)+20>>2]&1](M,L,0.0,0)}break}case 1:{L=Qn(k[(k[I>>2]|0)+(K<<2)>>2]|0)|0;if(k[a>>2]|0){M=k[k[J>>2]>>2]|0;Jc[k[(k[M>>2]|0)+20>>2]&1](M,L,1.0,0)}break}case 2:{L=Qn(k[(k[I>>2]|0)+(K<<2)>>2]|0)|0;if(k[a>>2]|0){M=k[k[J>>2]>>2]|0;Jc[k[(k[M>>2]|0)+20>>2]&1](M,L,0.0,0)}break}case 3:{L=Qn(k[(k[I>>2]|0)+(K<<2)>>2]|0)|0;if(k[a>>2]|0){M=k[k[J>>2]>>2]|0;Jc[k[(k[M>>2]|0)+20>>2]&1](M,L,1.0,0)}break}case 4:{L=Qn(k[(k[I>>2]|0)+(K<<2)>>2]|0)|0;if(k[a>>2]|0){M=k[k[J>>2]>>2]|0;Jc[k[(k[M>>2]|0)+20>>2]&1](M,L,0.0,0)}break}default:{k[o>>2]=27524;k[C>>2]=27544;B=0;wa(508,D|0,x|0);L=B;B=0;if(L&1){N=30;break b}k[E>>2]=0;k[F>>2]=-1;k[o>>2]=27468;k[C>>2]=27488;B=0;va(448,x|0);L=B;B=0;if(L&1){N=31;break b}k[x>>2]=27560;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;k[G+12>>2]=0;k[H>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,x|0,d|0);L=B;B=0;if(L&1){N=29;break b}Yua(d);B=0;Ia(40,o|0,130056,35)|0;L=B;B=0;if(L&1){N=39;break b}B=0;wa(510,q|0,x|0);L=B;B=0;if(L&1){N=39;break b}B=0;ya(425,q|0)|0;L=B;B=0;if(L&1){N=40;break b}Yua(q);k[o>>2]=27468;k[C>>2]=27488;k[x>>2]=27560;Yua(G);Ava(x);vva(C)}}K=K+1|0;if((K|0)>=(k[e>>2]|0))break a}if((N|0)==29){K=Rb()|0;H=Q;Yua(d);Yua(G);Ava(x);O=H;P=K;N=32}else if((N|0)==30){K=Rb()|0;R=Q;S=K;vva(C);Qb(S|0)}else if((N|0)==31){K=Rb()|0;O=Q;P=K;N=32}else if((N|0)==39){K=Rb()|0;T=K;U=Q;N=41}else if((N|0)==40){K=Rb()|0;H=Q;Yua(q);T=K;U=H;N=41}if((N|0)==32){R=O;S=P;vva(C);Qb(S|0)}else if((N|0)==41){k[o>>2]=27468;k[C>>2]=27488;k[x>>2]=27560;Yua(G);Ava(x);vva(C);z=T;A=U;Qb(z|0)}}while(0);z=k[f>>2]|0;if(z)Tqa(z);k[f>>2]=0;f=k[g>>2]|0;if(f)Tqa(f);k[g>>2]=0;Ec[k[(k[w>>2]|0)+4>>2]&1023](w);Ec[k[(k[y>>2]|0)+4>>2]&1023](y);r=c;return}function ica(a,b,c){a=a|0;b=b|0;c=c|0;nd[k[(k[c>>2]|0)+176>>2]&1023](c,b,687);return}function jca(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,129902,76);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,1442,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function kca(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0.0,P=0.0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0.0,Ua=0.0,Va=0.0,Wa=0.0,Ya=0.0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0;a=r;r=r+736|0;d=a+708|0;e=a+720|0;f=a+704|0;g=a+688|0;h=a+672|0;j=a+536|0;l=a+692|0;m=a+676|0;n=a+520|0;o=a+384|0;q=a+236|0;s=a+224|0;u=a+72|0;v=a+248|0;w=a+60|0;x=a+48|0;y=a+36|0;z=a+88|0;A=a+24|0;C=a+12|0;D=a;k[g>>2]=0;k[h>>2]=0;E=Hc[k[(k[c>>2]|0)+164>>2]&511](c)|0;rp(c,g,534,943);F=E>>>0>536870911?-1:E<<3;G=Rqa(F)|0;H=Rqa(F)|0;I=Rqa(F)|0;J=Rqa(F)|0;K=Rqa(F)|0;L=Rqa(F)|0;F=(E|0)>0;a:do if(F){M=k[g>>2]|0;N=0;while(1){O=+p[b+(k[M+(N<<2)>>2]<<3)>>3];p[G+(N<<3)>>3]=O;P=+$(+O);p[t>>3]=P;R=k[t>>2]|0;S=k[t+4>>2]|0;if(S>>>0>2146435072|(S|0)==2146435072&R>>>0>0){T=5;break}N=N+1|0;if((R|0)==0&(S|0)==2146435072){T=29;break}if((N|0)>=(E|0))break a}if((T|0)==5){N=j+56|0;M=j+4|0;k[j>>2]=27524;k[N>>2]=27544;B=0;wa(508,j+56|0,M|0);S=B;B=0;if(S&1){S=Rb()|0;U=Q;V=S;vva(N);Qb(V|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[N>>2]=27488;B=0;va(448,M|0);S=B;B=0;do if(S&1){R=Rb()|0;W=Q;X=R}else{k[M>>2]=27560;R=j+36|0;k[R>>2]=0;k[R+4>>2]=0;k[R+8>>2]=0;k[R+12>>2]=0;k[j+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,M|0,d|0);Y=B;B=0;if(Y&1){Y=Rb()|0;Z=Q;Yua(d);Yua(R);Ava(M);W=Z;X=Y;break}Yua(d);B=0;Y=Ia(40,j|0,135564,28)|0;Z=B;B=0;b:do if(!(Z&1)?(B=0,Xa(239,Y|0,0)|0,_=B,B=0,!(_&1)):0){_=Ab(20)|0;B=0;eb(502,l|0,129902,76);aa=B;B=0;do if(!(aa&1)){B=0;eb(502,m|0,137199,23);ba=B;B=0;if(ba&1){ba=Rb()|0;ca=Q;Yua(l);da=ca;ea=ba;break}B=0;wa(510,n|0,M|0);ba=B;B=0;if(ba&1){ba=Rb()|0;fa=Q;ga=ba;ha=1}else{B=0;ua(163,_|0,l|0,m|0,1469,n|0);ba=B;B=0;if(ba&1)ia=1;else{B=0;eb(503,_|0,1240,229);B=0;ia=0}ba=Rb()|0;ca=Q;Yua(n);fa=ca;ga=ba;ha=ia}Yua(m);Yua(l);if(ha){da=fa;ea=ga}else{ja=fa;ka=ga;break b}}else{ba=Rb()|0;da=Q;ea=ba}while(0);zb(_|0);ja=da;ka=ea}else T=20;while(0);if((T|0)==20){Y=Rb()|0;ja=Q;ka=Y}k[j>>2]=27468;k[N>>2]=27488;k[M>>2]=27560;Yua(R);Ava(M);vva(N);la=ja;ma=ka;Qb(ma|0)}while(0);U=W;V=X;vva(N);Qb(V|0)}else if((T|0)==29){M=o+56|0;S=o+4|0;k[o>>2]=27524;k[M>>2]=27544;B=0;wa(508,o+56|0,S|0);Y=B;B=0;if(Y&1){Y=Rb()|0;na=Q;oa=Y;vva(M);Qb(oa|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[M>>2]=27488;B=0;va(448,S|0);Y=B;B=0;do if(Y&1){Z=Rb()|0;pa=Q;qa=Z}else{k[S>>2]=27560;Z=o+36|0;k[Z>>2]=0;k[Z+4>>2]=0;k[Z+8>>2]=0;k[Z+12>>2]=0;k[o+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,S|0,d|0);aa=B;B=0;if(aa&1){aa=Rb()|0;ba=Q;Yua(d);Yua(Z);Ava(S);pa=ba;qa=aa;break}Yua(d);B=0;aa=Ia(40,o|0,135593,28)|0;ba=B;B=0;c:do if(!(ba&1)?(B=0,Xa(239,aa|0,0)|0,ca=B,B=0,!(ca&1)):0){ca=Ab(20)|0;B=0;eb(502,q|0,129902,76);ra=B;B=0;do if(!(ra&1)){B=0;eb(502,s|0,137199,23);sa=B;B=0;if(sa&1){sa=Rb()|0;ta=Q;Yua(q);xa=sa;za=ta;break}B=0;wa(510,u|0,S|0);ta=B;B=0;if(ta&1){ta=Rb()|0;Aa=1;Ba=Q;Ca=ta}else{B=0;ua(163,ca|0,q|0,s|0,1470,u|0);ta=B;B=0;if(ta&1)Da=1;else{B=0;eb(503,ca|0,1240,229);B=0;Da=0}ta=Rb()|0;sa=Q;Yua(u);Aa=Da;Ba=sa;Ca=ta}Yua(s);Yua(q);if(Aa){xa=Ca;za=Ba}else{Ea=Ba;Fa=Ca;break c}}else{ta=Rb()|0;xa=ta;za=Q}while(0);zb(ca|0);Ea=za;Fa=xa}else T=44;while(0);if((T|0)==44){aa=Rb()|0;Ea=Q;Fa=aa}k[o>>2]=27468;k[M>>2]=27488;k[S>>2]=27560;Yua(Z);Ava(S);vva(M);la=Ea;ma=Fa;Qb(ma|0)}while(0);na=pa;oa=qa;vva(M);Qb(oa|0)}}while(0);zp(c,e,645);vp(c,H,653);d:do if(!(i[e>>0]|0)){oa=k[c>>2]|0;qa=k[oa+48>>2]|0;pa=Hc[k[oa+128>>2]&511](c)|0;rd[qa&511](c,688,G,pa)}else{e:do if(F){pa=0;while(1){qa=L+(pa<<3)|0;np(c,K+(pa<<3)|0,qa,+p[G+(pa<<3)>>3],+p[H+(pa<<3)>>3]);pa=pa+1|0;if(+p[qa>>3]<0.0)break;if((pa|0)>=(E|0))break e}pa=v+56|0;Z=v+4|0;k[v>>2]=27524;k[pa>>2]=27544;B=0;wa(508,v+56|0,Z|0);qa=B;B=0;if(qa&1){qa=Rb()|0;Ga=Q;Ha=qa;vva(pa);Qb(Ha|0)}k[v+128>>2]=0;k[v+132>>2]=-1;k[v>>2]=27468;k[pa>>2]=27488;B=0;va(448,Z|0);qa=B;B=0;do if(qa&1){oa=Rb()|0;Ja=Q;Ka=oa}else{k[Z>>2]=27560;oa=v+36|0;k[oa>>2]=0;k[oa+4>>2]=0;k[oa+8>>2]=0;k[oa+12>>2]=0;k[v+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Z|0,d|0);na=B;B=0;if(na&1){na=Rb()|0;Fa=Q;Yua(d);Yua(oa);Ava(Z);Ja=Fa;Ka=na;break}Yua(d);B=0;na=Ia(40,v|0,130115,48)|0;Fa=B;B=0;f:do if(!(Fa&1)?(B=0,Xa(239,na|0,0)|0,Ea=B,B=0,!(Ea&1)):0){Ea=Ab(20)|0;B=0;eb(502,w|0,129902,76);o=B;B=0;do if(!(o&1)){B=0;eb(502,x|0,137199,23);xa=B;B=0;if(xa&1){xa=Rb()|0;za=Q;Yua(w);La=xa;Ma=za;break}B=0;wa(510,y|0,Z|0);za=B;B=0;if(za&1){za=Rb()|0;Na=1;Oa=Q;Pa=za}else{B=0;ua(163,Ea|0,w|0,x|0,1479,y|0);za=B;B=0;if(za&1)Qa=1;else{B=0;eb(503,Ea|0,1240,229);B=0;Qa=0}za=Rb()|0;xa=Q;Yua(y);Na=Qa;Oa=xa;Pa=za}Yua(x);Yua(w);if(Na){La=Pa;Ma=Oa}else{Ra=Oa;Sa=Pa;break f}}else{za=Rb()|0;La=za;Ma=Q}while(0);zb(Ea|0);Ra=Ma;Sa=La}else T=71;while(0);if((T|0)==71){na=Rb()|0;Ra=Q;Sa=na}k[v>>2]=27468;k[pa>>2]=27488;k[Z>>2]=27560;Yua(oa);Ava(Z);vva(pa);la=Ra;ma=Sa;Qb(ma|0)}while(0);Ga=Ja;Ha=Ka;vva(pa);Qb(Ha|0)}while(0);M=k[c>>2]|0;Z=k[M+48>>2]|0;qa=Hc[k[M+128>>2]&511](c)|0;rd[Z&511](c,687,G,qa);qa=k[c>>2]|0;Z=k[qa+48>>2]|0;M=Hc[k[qa+128>>2]&511](c)|0;rd[Z&511](c,698,L,M);M=k[c>>2]|0;Z=k[M+48>>2]|0;qa=Hc[k[M+128>>2]&511](c)|0;rd[Z&511](c,666,K,qa);cp(c,f,216);vp(c,I,339);switch(k[f>>2]|0){case 921:{break d;break}case 984:{if(F){qa=0;do{P=+Xna(+p[K+(qa<<3)>>3]);p[J+(qa<<3)>>3]=P;qa=qa+1|0}while((qa|0)!=(E|0))}qa=k[c>>2]|0;Z=k[qa+48>>2]|0;M=Hc[k[qa+128>>2]&511](c)|0;rd[Z&511](c,214,J,M);break d;break}case 986:{if(F){M=0;do{P=+p[K+(M<<3)>>3];O=+p[L+(M<<3)>>3];Ta=+Yna(P,O,+Dp(c,217));p[J+(M<<3)>>3]=Ta;M=M+1|0}while((M|0)!=(E|0))}M=k[c>>2]|0;Z=k[M+48>>2]|0;qa=Hc[k[M+128>>2]&511](c)|0;rd[Z&511](c,214,J,qa);break d;break}case 987:{if(F){qa=0;do{Ta=+Zna(+p[K+(qa<<3)>>3]);p[J+(qa<<3)>>3]=Ta;qa=qa+1|0}while((qa|0)!=(E|0))}qa=k[c>>2]|0;Z=k[qa+48>>2]|0;M=Hc[k[qa+128>>2]&511](c)|0;rd[Z&511](c,214,J,M);break d;break}case 988:{Uo(c,h);if(F){M=0;do{Ta=+p[K+(M<<3)>>3];O=+p[I+(M<<3)>>3]-+p[(k[h>>2]|0)+((M*3|0)+2<<3)>>3];P=+_na(Ta,O,+Dp(c,217));p[J+(M<<3)>>3]=P;M=M+1|0}while((M|0)!=(E|0))}M=k[c>>2]|0;Z=k[M+48>>2]|0;qa=Hc[k[M+128>>2]&511](c)|0;rd[Z&511](c,214,J,qa);break d;break}case 989:{if(F){qa=0;do{P=+p[G+(qa<<3)>>3];O=+p[H+(qa<<3)>>3];Ta=+Dp(c,217);Ua=+Dp(c,209);Va=+Dp(c,66);Wa=+Dp(c,210);Ya=+$na(P,O,Ta,Ua,Va,Wa,+Dp(c,211));p[J+(qa<<3)>>3]=Ya;qa=qa+1|0}while((qa|0)!=(E|0))}qa=k[c>>2]|0;Z=k[qa+48>>2]|0;M=Hc[k[qa+128>>2]&511](c)|0;rd[Z&511](c,214,J,M);break d;break}default:{M=z+56|0;Z=z+4|0;k[z>>2]=27524;k[M>>2]=27544;B=0;wa(508,z+56|0,Z|0);qa=B;B=0;if(qa&1){qa=Rb()|0;Za=Q;_a=qa;vva(M);Qb(_a|0)}k[z+128>>2]=0;k[z+132>>2]=-1;k[z>>2]=27468;k[M>>2]=27488;B=0;va(448,Z|0);qa=B;B=0;do if(qa&1){na=Rb()|0;$a=Q;ab=na}else{k[Z>>2]=27560;na=z+36|0;k[na>>2]=0;k[na+4>>2]=0;k[na+8>>2]=0;k[na+12>>2]=0;k[z+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Z|0,d|0);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;ca=Q;Yua(d);Yua(na);Ava(Z);$a=ca;ab=Fa;break}Yua(d);B=0;Fa=Ia(40,z|0,135622,13)|0;ca=B;B=0;g:do if((((!(ca&1)?(B=0,o=ya(427,k[f>>2]|0)|0,za=B,B=0,!(za&1)):0)?(za=Lta(o)|0,B=0,xa=Ia(40,Fa|0,o|0,za|0)|0,za=B,B=0,!(za&1)):0)?(B=0,za=Ia(40,xa|0,146481,18)|0,xa=B,B=0,!(xa&1)):0)?(B=0,Xa(239,za|0,0)|0,za=B,B=0,!(za&1)):0){za=Ab(20)|0;B=0;eb(502,A|0,129902,76);xa=B;B=0;do if(!(xa&1)){B=0;eb(502,C|0,137199,23);o=B;B=0;if(o&1){o=Rb()|0;Ca=Q;Yua(A);bb=o;cb=Ca;break}B=0;wa(510,D|0,Z|0);Ca=B;B=0;if(Ca&1){Ca=Rb()|0;db=1;fb=Q;gb=Ca}else{B=0;ua(163,za|0,A|0,C|0,1515,D|0);Ca=B;B=0;if(Ca&1)hb=1;else{B=0;eb(503,za|0,1240,229);B=0;hb=0}Ca=Rb()|0;o=Q;Yua(D);db=hb;fb=o;gb=Ca}Yua(C);Yua(A);if(db){bb=gb;cb=fb}else{ib=fb;jb=gb;break g}}else{Ca=Rb()|0;bb=Ca;cb=Q}while(0);zb(za|0);ib=cb;jb=bb}else T=113;while(0);if((T|0)==113){Fa=Rb()|0;ib=Q;jb=Fa}k[z>>2]=27468;k[M>>2]=27488;k[Z>>2]=27560;Yua(na);Ava(Z);vva(M);la=ib;ma=jb;Qb(ma|0)}while(0);Za=$a;_a=ab;vva(M);Qb(_a|0)}}}while(0);Tqa(G);Tqa(H);Tqa(I);Tqa(J);Tqa(K);Tqa(L);L=k[h>>2]|0;if(L)Tqa(L);k[h>>2]=0;h=k[g>>2]|0;if(!h){r=a;return}Tqa(h);r=a;return}function lca(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0;b=r;r=r+16|0;c=b+8|0;d=b;e=Qqa(8)|0;B=0;f=Xa(244,k[a+24>>2]|0,501)|0;g=B;B=0;a:do if(!(g&1)?(B=0,va(485,e|0),h=B,B=0,!(h&1)):0){do if(k[e>>2]|0){B=0;h=ya(423,4)|0;j=B;B=0;if(j&1)break a;B=0;eb(505,h|0,f|0,0);j=B;B=0;if(!(j&1)){k[e+4>>2]=h;break}j=Rb()|0;l=Q;Sqa(h);m=l;n=j;Sqa(e);Qb(n|0)}while(0);j=a+20|0;if((th(k[j>>2]|0)|0)>0){l=0;do{h=qh(k[j>>2]|0,l)|0;op(h,c,341);do if(i[c>>0]|0){pp(h,d,358);if(+p[d>>3]==0.0){gca(e,h);break}else{hca(e,h);break}}while(0);l=l+1|0}while((l|0)<(th(k[j>>2]|0)|0))}if((k[e>>2]|0)!=0?(l=e+4|0,h=k[k[l>>2]>>2]|0,Ec[k[(k[h>>2]|0)+12>>2]&1023](h),(k[e>>2]|0)!=0):0){h=k[k[l>>2]>>2]|0;o=Hc[k[(k[h>>2]|0)+52>>2]&511](h)|0;if((k[e>>2]|0)!=0?(h=k[l>>2]|0,(h|0)!=0):0){l=k[h>>2]|0;if(l)Ec[k[(k[l>>2]|0)+4>>2]&1023](l);Sqa(h);q=o}else q=o}else q=0;Sqa(e);if((th(k[j>>2]|0)|0)>0){o=0;do{Qba(q,qh(k[j>>2]|0,o)|0);o=o+1|0}while((o|0)<(th(k[j>>2]|0)|0))}Eh(a);if(!q){r=b;return}Tqa(q);r=b;return}while(0);b=Rb()|0;m=Q;n=b;Sqa(e);Qb(n|0)}function mca(a,b){a=a|0;b=b|0;RZ(b);return}function nca(a){a=a|0;Sqa(a);return}function oca(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;a=r;r=r+16|0;d=a;Fka(c,d,131762);if((k[d>>2]|0)!=119){r=a;return}qoa(b,c,130190,504,738,0);r=a;return}function pca(a,b,c){a=a|0;b=b|0;c=c|0;return}function qca(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;a=r;r=r+32|0;d=a+8|0;e=a;f=a+16|0;Fka(c,f,131762);if((k[f>>2]|0)!=119){r=a;return}if((k[c+40>>2]|0)==302){k[e>>2]=136615;k[e+4>>2]=136636;Ska(c,2,e)}hoa(b,c,504,738,534);k[d>>2]=136615;k[d+4>>2]=136636;Lka(c,2,d);r=a;return}function rca(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 1}function sca(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;a=r;r=r+16|0;f=a;Fka(c,f,131762);if((k[f>>2]|0)!=119){r=a;return}f=c+56|0;g=k[f>>2]|0;if((g|0)>0){h=c+32|0;j=g;g=0;l=0;while(1){if(!(i[(k[h>>2]|0)+l>>0]|0)){m=j;n=g}else{o=qh(b,g)|0;Uc[k[(k[o>>2]|0)+480>>2]&63](o,l,c,d,e,738);m=k[f>>2]|0;n=g+1|0}l=l+1|0;if((l|0)>=(m|0))break;else{j=m;g=n}}}Zka(c,b,137052,353);Zka(c,b,134925,339);Zka(c,b,134945,64);Yka(c,b,137955,999,0.0);if((k[c+40>>2]|0)!=300){Zka(c,b,136615,287);Zka(c,b,136636,288)}Zka(c,b,137867,206);Zka(c,b,134962,928);Zka(c,b,134027,39);Zka(c,b,130224,699);Rq(b,699,768);r=a;return}function tca(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;e=r;r=r+16|0;d=e;Fka(c,d,131762);if((k[d>>2]|0)!=119){r=e;return}d=Qqa(12)|0;B=0;eb(518,d|0,118,119);a=B;B=0;if(a&1){a=Rb()|0;Sqa(d);Qb(a|0)}YN(b,d);YN(b,Ika(c,130254,121)|0);r=e;return}function uca(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,130281,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138209,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,88,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function vca(a,b){a=a|0;b=b|0;return 0}function wca(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0.0,i=0.0,j=0.0,l=0.0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0;a=r;r=r+48|0;c=a+32|0;d=a+24|0;e=a+16|0;f=a+8|0;g=a;h=+Dp(b,265);i=+Dp(b,266);j=+Dp(b,65);l=+Dp(b,268);m=Wo(b,664)|0;n=Wo(b,665)|0;o=Wo(b,642)|0;q=Wo(b,643)|0;s=Wo(b,699)|0;t=Hc[k[(k[b>>2]|0)+172>>2]&511](b)|0;u=t>>>0>536870911?-1:t<<3;v=Rqa(u)|0;w=Rqa(u)|0;u=Hc[k[(k[b>>2]|0)+304>>2]&511](b)|0;if((t|0)<=0){if(!u){x=k[b>>2]|0;y=x+48|0;z=k[y>>2]|0;rd[z&511](b,702,v,738);A=k[b>>2]|0;B=A+48|0;C=k[B>>2]|0;rd[C&511](b,703,w,738);Tqa(v);Tqa(w);r=a;return}}else{D=l*12.0;l=h*j;E=(i-h)*j;F=0;do{Fc[k[(k[u>>2]|0)+28>>2]&1023](u,F);nd[k[(k[m>>2]|0)+48>>2]&1023](m,c,u);nd[k[(k[n>>2]|0)+48>>2]&1023](n,d,u);nd[k[(k[o>>2]|0)+48>>2]&1023](o,e,u);nd[k[(k[q>>2]|0)+48>>2]&1023](q,f,u);nd[k[(k[s>>2]|0)+48>>2]&1023](s,g,u);j=+p[g>>3];h=-(j*j)/D;p[v+(F<<3)>>3]=h*(l*+p[c>>3]+E*+p[e>>3]);p[w+(F<<3)>>3]=h*(l*+p[d>>3]+E*+p[f>>3]);F=F+1|0}while((F|0)!=(t|0))}Ec[k[(k[u>>2]|0)+4>>2]&1023](u);x=k[b>>2]|0;y=x+48|0;z=k[y>>2]|0;rd[z&511](b,702,v,738);A=k[b>>2]|0;B=A+48|0;C=k[B>>2]|0;rd[C&511](b,703,w,738);Tqa(v);Tqa(w);r=a;return}function xca(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,130281,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,139,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function yca(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0,K=0,L=0.0,M=0.0,N=0.0,O=0.0,P=0,Q=0,R=0;a=r;r=r+128|0;c=a+104|0;d=a+96|0;e=a+88|0;f=a+80|0;g=a+72|0;h=a+64|0;i=a+48|0;j=a+32|0;l=a+112|0;m=a;k[l>>2]=0;n=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;o=gq(b,534)|0;q=Rqa(n>>>0>536870911?-1:n<<3)|0;s=n<<1;t=s>>>0>536870911?-1:s<<3;s=Rqa(t)|0;u=Rqa(t)|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[m+16>>2]=0;k[m+20>>2]=0;k[m+24>>2]=0;k[m+28>>2]=0;wca(0,b);Uo(b,l);pp(b,f,358);pp(b,c,121);t=Wo(b,702)|0;v=Wo(b,703)|0;w=+Zc[k[(k[b>>2]|0)+72>>2]&255](b);x=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;y=Hc[k[(k[x>>2]|0)+8>>2]&511](x)|0;if((y|0)<(Hc[k[(k[x>>2]|0)+12>>2]&511](x)|0)){z=x+8|0;A=o+12|0;B=j+8|0;C=m+24|0;D=m+16|0;E=m+8|0;F=y;do{Fc[k[(k[x>>2]|0)+24>>2]&1023](x,F);rd[k[(k[b>>2]|0)+260>>2]&511](b,d,k[l>>2]|0,x);nd[k[(k[b>>2]|0)+336>>2]&1023](b,q,x);nd[k[(k[t>>2]|0)+48>>2]&1023](t,g,x);nd[k[(k[v>>2]|0)+48>>2]&1023](v,h,x);rd[k[(k[t>>2]|0)+60>>2]&511](t,i,k[l>>2]|0,x);rd[k[(k[v>>2]|0)+60>>2]&511](v,j,k[l>>2]|0,x);p[e>>3]=+p[z>>3]*+p[d>>3];ZX(q,1,n,1,e,1,1,0,q,1,n,0,k[A>>2]|0,1)|0;y=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;G=Rqa(y>>>0>536870911?-1:y<<3)|0;nd[k[(k[b>>2]|0)+336>>2]&1023](b,G,x);if((y|0)>0){H=0;do{I=+p[G+(H<<3)>>3];p[s+(H<<3)>>3]=I;p[s+(H+y<<3)>>3]=I;H=H+1|0}while((H|0)!=(y|0))}Tqa(G);y=k[l>>2]|0;H=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;J=H<<1;K=Rqa(J>>>0>536870911?-1:J<<3)|0;rd[k[(k[b>>2]|0)+340>>2]&511](b,K,y,x);if((H|0)>0){y=0;do{p[u+(y<<3)>>3]=+p[K+(y<<3)>>3];J=y+H|0;p[u+(J<<3)>>3]=+p[K+(J<<3)>>3];y=y+1|0}while((y|0)!=(H|0))}Tqa(K);I=+p[i>>3];L=+p[B>>3];M=+p[f>>3]*+p[z>>3]*+p[d>>3];p[e>>3]=M;p[m>>3]=I*M;p[C>>3]=L*M;ZX(s,2,n,1,m,2,2,0,s,2,n,0,k[A>>2]|0,1)|0;M=+p[e>>3];p[m>>3]=M*+p[g>>3];p[C>>3]=M*+p[h>>3];ZX(s,2,n,1,m,2,2,0,u,2,n,0,k[A>>2]|0,1)|0;M=+p[g>>3];L=+p[h>>3];I=+aa(+(M*M+L*L));N=w*(+p[e>>3]*+p[c>>3])/(I*2.0);I=M*N;p[m>>3]=M*I;O=L*N;p[D>>3]=M*O;p[E>>3]=L*I;p[C>>3]=L*O;ZX(u,2,n,1,m,2,2,0,u,2,n,0,k[A>>2]|0,1)|0;F=F+1|0}while((F|0)<(Hc[k[(k[x>>2]|0)+12>>2]&511](x)|0))}F=k[l>>2]|0;if(!F){k[l>>2]=0;Tqa(q);Tqa(s);Tqa(u);P=k[x>>2]|0;Q=P+4|0;R=k[Q>>2]|0;Ec[R&1023](x);r=a;return o|0}Tqa(F);k[l>>2]=0;Tqa(q);Tqa(s);Tqa(u);P=k[x>>2]|0;Q=P+4|0;R=k[Q>>2]|0;Ec[R&1023](x);r=a;return o|0}function zca(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0,z=0;a=r;r=r+48|0;c=a+24|0;d=a+16|0;e=a+8|0;f=a;g=a+32|0;if(_p(b)|0){h=0;r=a;return h|0}k[g>>2]=0;i=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;j=iq(b,534)|0;l=Rqa(i>>>0>536870911?-1:i<<3)|0;Uo(b,g);pp(b,d,358);m=Wo(b,39)|0;n=Wo(b,768)|0;o=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;q=Hc[k[(k[o>>2]|0)+8>>2]&511](o)|0;a:do if((q|0)<(Hc[k[(k[o>>2]|0)+12>>2]&511](o)|0)){s=o+8|0;t=j+4|0;if((i|0)>0)u=q;else{v=q;while(1){Fc[k[(k[o>>2]|0)+24>>2]&1023](o,v);rd[k[(k[b>>2]|0)+260>>2]&511](b,c,k[g>>2]|0,o);nd[k[(k[b>>2]|0)+336>>2]&1023](b,l,o);nd[k[(k[m>>2]|0)+48>>2]&1023](m,e,o);nd[k[(k[n>>2]|0)+48>>2]&1023](n,f,o);v=v+1|0;if((v|0)>=(Hc[k[(k[o>>2]|0)+12>>2]&511](o)|0))break a}}do{Fc[k[(k[o>>2]|0)+24>>2]&1023](o,u);rd[k[(k[b>>2]|0)+260>>2]&511](b,c,k[g>>2]|0,o);nd[k[(k[b>>2]|0)+336>>2]&1023](b,l,o);nd[k[(k[m>>2]|0)+48>>2]&1023](m,e,o);nd[k[(k[n>>2]|0)+48>>2]&1023](n,f,o);w=+p[d>>3];v=k[t>>2]|0;b:do if(w!=0.0){x=w;y=0;while(1){z=v+(y<<3)|0;p[z>>3]=+p[z>>3]+ +p[l+(y<<3)>>3]*(+p[c>>3]*+p[s>>3]*(+p[f>>3]+x*+p[e>>3]));z=y+1|0;if((z|0)==(i|0))break b;x=+p[d>>3];y=z}}else{y=0;do{z=v+(y<<3)|0;p[z>>3]=+p[c>>3]*+p[s>>3]*+p[e>>3]*+p[l+(y<<3)>>3]+ +p[z>>3];y=y+1|0}while((y|0)!=(i|0))}while(0);u=u+1|0}while((u|0)<(Hc[k[(k[o>>2]|0)+12>>2]&511](o)|0))}while(0);u=k[g>>2]|0;if(u)Tqa(u);k[g>>2]=0;Tqa(l);Ec[k[(k[o>>2]|0)+4>>2]&1023](o);h=j;r=a;return h|0}function Aca(a,b,c){a=a|0;b=b|0;c=c|0;nd[k[(k[c>>2]|0)+176>>2]&1023](c,b,699);return}function Bca(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,130281,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,340,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function Cca(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0.0,w=0,x=0.0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0;a=r;r=r+368|0;d=a+356|0;e=a+352|0;f=a+216|0;g=a+200|0;h=a+48|0;i=a+36|0;j=a+64|0;l=a+24|0;m=a+12|0;n=a;k[e>>2]=0;o=Hc[k[(k[c>>2]|0)+164>>2]&511](c)|0;rp(c,e,534,943);q=Rqa(o>>>0>536870911?-1:o<<3)|0;a:do if((o|0)>0){s=k[e>>2]|0;u=0;while(1){v=+p[b+(k[s+(u<<2)>>2]<<3)>>3];w=q+(u<<3)|0;p[w>>3]=v;x=+$(+v);p[t>>3]=x;y=k[t>>2]|0;z=k[t+4>>2]|0;if(z>>>0>2146435072|(z|0)==2146435072&y>>>0>0){A=7;break}if((y|0)==0&(z|0)==2146435072){A=31;break}if(v<1.0e-09)p[w>>3]=1.0e-09;u=u+1|0;if((u|0)>=(o|0))break a}if((A|0)==7){u=f+56|0;s=f+4|0;k[f>>2]=27524;k[u>>2]=27544;B=0;wa(508,f+56|0,s|0);w=B;B=0;if(w&1){w=Rb()|0;C=Q;D=w;vva(u);Qb(D|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[u>>2]=27488;B=0;va(448,s|0);w=B;B=0;do if(w&1){z=Rb()|0;E=Q;F=z}else{k[s>>2]=27560;z=f+36|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;k[z+12>>2]=0;k[f+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,s|0,d|0);y=B;B=0;if(y&1){y=Rb()|0;G=Q;Yua(d);Yua(z);Ava(s);E=G;F=y;break}Yua(d);B=0;y=Ia(40,f|0,135564,28)|0;G=B;B=0;b:do if(!(G&1)?(B=0,Xa(239,y|0,0)|0,H=B,B=0,!(H&1)):0){H=Ab(20)|0;B=0;eb(502,g|0,130281,83);I=B;B=0;do if(!(I&1)){B=0;eb(502,h|0,137199,23);J=B;B=0;if(J&1){J=Rb()|0;K=Q;Yua(g);L=J;M=K;break}B=0;wa(510,i|0,s|0);K=B;B=0;if(K&1){K=Rb()|0;N=Q;O=K;P=1}else{B=0;ua(163,H|0,g|0,h|0,357,i|0);K=B;B=0;if(K&1)R=1;else{B=0;eb(503,H|0,1240,229);B=0;R=0}K=Rb()|0;J=Q;Yua(i);N=J;O=K;P=R}Yua(h);Yua(g);if(P){L=O;M=N}else{S=O;T=N;break b}}else{K=Rb()|0;L=K;M=Q}while(0);zb(H|0);S=L;T=M}else A=22;while(0);if((A|0)==22){y=Rb()|0;S=y;T=Q}k[f>>2]=27468;k[u>>2]=27488;k[s>>2]=27560;Yua(z);Ava(s);vva(u);U=T;V=S;Qb(V|0)}while(0);C=E;D=F;vva(u);Qb(D|0)}else if((A|0)==31){s=j+56|0;w=j+4|0;k[j>>2]=27524;k[s>>2]=27544;B=0;wa(508,j+56|0,w|0);y=B;B=0;if(y&1){y=Rb()|0;W=Q;X=y;vva(s);Qb(X|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[s>>2]=27488;B=0;va(448,w|0);y=B;B=0;do if(y&1){G=Rb()|0;Y=Q;Z=G}else{k[w>>2]=27560;G=j+36|0;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;k[G+12>>2]=0;k[j+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,w|0,d|0);I=B;B=0;if(I&1){I=Rb()|0;K=Q;Yua(d);Yua(G);Ava(w);Y=K;Z=I;break}Yua(d);B=0;I=Ia(40,j|0,135593,28)|0;K=B;B=0;c:do if(!(K&1)?(B=0,Xa(239,I|0,0)|0,J=B,B=0,!(J&1)):0){J=Ab(20)|0;B=0;eb(502,l|0,130281,83);_=B;B=0;do if(!(_&1)){B=0;eb(502,m|0,137199,23);aa=B;B=0;if(aa&1){aa=Rb()|0;ba=Q;Yua(l);ca=aa;da=ba;break}B=0;wa(510,n|0,w|0);ba=B;B=0;if(ba&1){ba=Rb()|0;ea=1;fa=Q;ga=ba}else{B=0;ua(163,J|0,l|0,m|0,358,n|0);ba=B;B=0;if(ba&1)ha=1;else{B=0;eb(503,J|0,1240,229);B=0;ha=0}ba=Rb()|0;aa=Q;Yua(n);ea=ha;fa=aa;ga=ba}Yua(m);Yua(l);if(ea){ca=ga;da=fa}else{ia=fa;ja=ga;break c}}else{ba=Rb()|0;ca=ba;da=Q}while(0);zb(J|0);ia=da;ja=ca}else A=46;while(0);if((A|0)==46){I=Rb()|0;ia=Q;ja=I}k[j>>2]=27468;k[s>>2]=27488;k[w>>2]=27560;Yua(G);Ava(w);vva(s);U=ia;V=ja;Qb(V|0)}while(0);W=Y;X=Z;vva(s);Qb(X|0)}}while(0);X=k[c>>2]|0;Z=k[X+48>>2]|0;Y=Hc[k[X+128>>2]&511](c)|0;rd[Z&511](c,699,q,Y);Tqa(q);q=k[e>>2]|0;if(!q){r=a;return}Tqa(q);r=a;return}function Dca(a,b){a=a|0;b=b|0;return}function Eca(a){a=a|0;Sqa(a);return}function Fca(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;a=r;r=r+16|0;d=a;Fka(c,d,131762);if((k[d>>2]|0)!=165){r=a;return}qoa(b,c,130392,507,738,0);r=a;return}function Gca(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;a=r;r=r+32|0;d=a;e=a+16|0;f=a+12|0;g=a+8|0;h=a+4|0;Fka(c,e,131762);if((k[e>>2]|0)!=165){r=a;return}foa(c);e=c+52|0;a:do if((k[e>>2]|0)>0){j=c+40|0;l=c+36|0;m=c+104|0;n=0;while(1){if((k[j>>2]|0)==302){o=(Jka(c,136615)|0)+(n<<3)|0;if((~~+p[o>>3]|0)!=0?(k[(k[l>>2]|0)+(n<<2)>>2]|0)!=0:0){o=Qqa(44)|0;B=0;ua(176,o|0,n+1+(k[m>>2]|0)|0,n|0,c|0,507);q=B;B=0;if(q&1){s=o;t=15;break}ih(b,o)|0}}else if(k[(k[l>>2]|0)+(n<<2)>>2]|0){o=Qqa(44)|0;B=0;ua(176,o|0,n+1+(k[m>>2]|0)|0,n|0,c|0,507);q=B;B=0;if(q&1){u=o;t=10;break}ih(b,o)|0}n=n+1|0;if((n|0)>=(k[e>>2]|0))break a}if((t|0)==10){n=Rb()|0;m=Q;Sqa(u);v=m;w=n;Qb(w|0)}else if((t|0)==15){n=Rb()|0;m=Q;Sqa(s);v=m;w=n;Qb(w|0)}}while(0);k[d>>2]=136615;Lka(c,1,d);k[h>>2]=0;Cka(c,h,f,g,130413);g=k[f>>2]|0;b:do if((g|0)>0){d=c+32|0;s=c+104|0;t=g;u=0;while(1){e=k[h>>2]|0;if(!(i[(k[d>>2]|0)+((k[e+((u*3|0)+2<<2)>>2]|0)+-1)>>0]|0)){x=u+1|0;y=t}else{n=Qqa(44)|0;m=u+1|0;B=0;La(37,n|0,m+(k[s>>2]|0)|0,u|0,c|0,e|0,507);e=B;B=0;if(e&1){z=n;break}ih(b,n)|0;x=m;y=k[f>>2]|0}if((x|0)<(y|0)){t=y;u=x}else break b}u=Rb()|0;t=Q;Sqa(z);v=t;w=u;Qb(w|0)}while(0);w=k[h>>2]|0;if(w)Tqa(w);r=a;return}function Hca(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;a=r;r=r+32|0;d=a+8|0;e=a;f=a+16|0;Fka(c,f,131762);if((k[f>>2]|0)!=165){r=a;return}if((k[c+40>>2]|0)==302){k[e>>2]=136615;k[e+4>>2]=136636;Ska(c,2,e)}hoa(b,c,507,738,534);k[d>>2]=136615;k[d+4>>2]=136636;Lka(c,2,d);r=a;return}function Ica(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 1}function Jca(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;a=r;r=r+208|0;f=a+184|0;g=a+180|0;h=a+176|0;j=a+40|0;l=a+24|0;m=a+12|0;n=a;Fka(c,g,131762);if((k[g>>2]|0)!=165){r=a;return}g=c+56|0;o=k[g>>2]|0;if((o|0)>0){p=c+32|0;q=o;o=0;s=0;while(1){if(!(i[(k[p>>2]|0)+s>>0]|0)){t=q;u=o}else{v=qh(b,o)|0;Uc[k[(k[v>>2]|0)+480>>2]&63](v,s,c,d,e,738);t=k[g>>2]|0;u=o+1|0}s=s+1|0;if((s|0)>=(t|0))break;else{q=t;o=u}}}Zka(c,b,137052,353);Zka(c,b,134945,64);if((k[c+40>>2]|0)!=300){Zka(c,b,136615,287);Zka(c,b,136636,288)}Zka(c,b,137867,206);Zka(c,b,134962,928);Zka(c,b,134027,39);Zka(c,b,135140,38);Zka(c,b,130430,166);Zka(c,b,130448,167);Zka(c,b,130472,170);Zka(c,b,130501,171);Zka(c,b,130527,168);Zka(c,b,130553,169);Zka(c,b,130578,172);Zka(c,b,130600,173);Zka(c,b,135923,674);Zka(c,b,135944,677);Fka(c,h,134909);switch(k[h>>2]|0){case 1:{Zka(c,b,135172,105);Zka(c,b,135196,107);Zka(c,b,135210,108);r=a;return}case 8:{Zka(c,b,135172,105);r=a;return}default:{a=j+56|0;b=j+4|0;k[j>>2]=27524;k[a>>2]=27544;B=0;wa(508,j+56|0,b|0);c=B;B=0;if(c&1){c=Rb()|0;w=Q;x=c;vva(a);Qb(x|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[a>>2]=27488;B=0;va(448,b|0);c=B;B=0;do if(c&1){u=Rb()|0;y=Q;z=u}else{k[b>>2]=27560;u=j+36|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;k[u+12>>2]=0;k[j+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,b|0,f|0);o=B;B=0;if(o&1){o=Rb()|0;t=Q;Yua(f);Yua(u);Ava(b);y=t;z=o;break}Yua(f);B=0;o=Ia(40,j|0,142117,13)|0;t=B;B=0;if(((!(t&1)?(B=0,t=Xa(242,o|0,k[h>>2]|0)|0,o=B,B=0,!(o&1)):0)?(B=0,o=Ia(40,t|0,144645,14)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,o|0,0)|0,o=B,B=0,!(o&1)):0){o=Ab(20)|0;B=0;eb(502,l|0,130625,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,m|0,136133,14);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(l);A=s;C=q;break}B=0;wa(510,n|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;D=Q;E=q;F=1}else{B=0;ua(163,o|0,l|0,m|0,133,n|0);q=B;B=0;if(q&1)G=1;else{B=0;eb(503,o|0,1240,229);B=0;G=0}q=Rb()|0;s=Q;Yua(n);D=s;E=q;F=G}Yua(m);Yua(l);if(F){A=D;C=E}else{H=D;I=E;k[j>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(u);Ava(b);vva(a);Qb(I|0)}}else{q=Rb()|0;A=Q;C=q}while(0);zb(o|0);H=A;I=C;k[j>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(u);Ava(b);vva(a);Qb(I|0)}t=Rb()|0;H=Q;I=t;k[j>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(u);Ava(b);vva(a);Qb(I|0)}while(0);w=y;x=z;vva(a);Qb(x|0)}}}function Kca(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;e=r;r=r+16|0;d=e;Fka(c,d,131762);if((k[d>>2]|0)!=165){r=e;return}d=Qqa(12)|0;B=0;eb(518,d|0,118,165);a=B;B=0;if(a&1){a=Rb()|0;Sqa(d);Qb(a|0)}YN(b,d);YN(b,Ika(c,134909,111)|0);r=e;return}function Lca(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,130625,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138209,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,151,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function Mca(a,b){a=a|0;b=b|0;return 0}function Nca(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,130625,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,158,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function Oca(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0.0,m=0,n=0.0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;a=r;r=r+32|0;c=a+16|0;d=a+8|0;e=a;f=a+24|0;k[f>>2]=0;g=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;h=gq(b,534)|0;i=g<<1;j=Rqa(i>>>0>536870911?-1:i<<3)|0;Uo(b,f);l=+Dp(b,65);i=Wo(b,172)|0;m=Wo(b,167)|0;Fc[k[(k[i>>2]|0)+64>>2]&1023](i,d);Fc[k[(k[m>>2]|0)+64>>2]&1023](m,c);n=l*+ba(+(+p[c>>3]),3.0);l=n/((+p[d>>3]*.001+1.0)*.000021444);d=ed[k[(k[b>>2]|0)+308>>2]&511](b,1)|0;c=Hc[k[(k[d>>2]|0)+8>>2]&511](d)|0;if((c|0)<(Hc[k[(k[d>>2]|0)+12>>2]&511](d)|0)){m=(g|0)>0;i=d+8|0;o=h+12|0;q=c;do{Fc[k[(k[d>>2]|0)+24>>2]&1023](d,q);rd[k[(k[b>>2]|0)+260>>2]&511](b,e,k[f>>2]|0,d);rd[k[(k[b>>2]|0)+340>>2]&511](b,j,k[f>>2]|0,d);if(m){c=k[o>>2]|0;s=0;do{t=j+(s<<3)|0;u=j+(s+g<<3)|0;v=ma(s,g)|0;w=0;do{x=c+(w+v<<3)|0;p[x>>3]=+p[x>>3]+l*+p[i>>3]*+p[e>>3]*(+p[t>>3]*+p[j+(w<<3)>>3]+ +p[u>>3]*+p[j+(w+g<<3)>>3]);w=w+1|0}while((w|0)!=(g|0));s=s+1|0}while((s|0)!=(g|0))}q=q+1|0}while((q|0)<(Hc[k[(k[d>>2]|0)+12>>2]&511](d)|0))}q=k[f>>2]|0;if(!q){k[f>>2]=0;Tqa(j);y=k[d>>2]|0;z=y+4|0;A=k[z>>2]|0;Ec[A&1023](d);r=a;return h|0}Tqa(q);k[f>>2]=0;Tqa(j);y=k[d>>2]|0;z=y+4|0;A=k[z>>2]|0;Ec[A&1023](d);r=a;return h|0}function Pca(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0.0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0.0,T=0,U=0,V=0.0,W=0.0,X=0,Y=0,Z=0,_=0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0,oa=0.0,pa=0.0,qa=0;a=r;r=r+160|0;c=a+136|0;d=a+128|0;e=a+120|0;f=a+112|0;g=a+96|0;h=a+88|0;i=a+80|0;j=a+72|0;l=a+64|0;m=a+56|0;n=a+48|0;o=a+40|0;q=a+32|0;s=a+24|0;t=a+16|0;u=a+8|0;v=a;w=a+144|0;if(_p(b)|0){x=0;r=a;return x|0}k[w>>2]=0;y=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;z=iq(b,534)|0;A=Rqa(y>>>0>536870911?-1:y<<3)|0;Uo(b,w);C=+Dp(b,211);D=+Dp(b,65);E=+Dp(b,265);F=+Dp(b,267);G=Wo(b,38)|0;H=Wo(b,166)|0;I=Wo(b,167)|0;J=Wo(b,353)|0;K=Wo(b,64)|0;L=Wo(b,214)|0;M=Wo(b,217)|0;N=Wo(b,170)|0;O=Wo(b,674)|0;P=Wo(b,677)|0;Q=Wo(b,168)|0;R=Wo(b,169)|0;S=+Dp(b,65);T=Wo(b,172)|0;U=Wo(b,167)|0;Fc[k[(k[T>>2]|0)+64>>2]&1023](T,d);Fc[k[(k[U>>2]|0)+64>>2]&1023](U,c);V=S*+ba(+(+p[c>>3]),3.0);S=V/((+p[d>>3]*.001+1.0)*.000021444);d=Qqa(16)|0;B=0;eb(524,d|0,b|0,2);c=B;B=0;if(c&1){c=Rb()|0;Sqa(d);Qb(c|0)}c=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;U=Hc[k[(k[c>>2]|0)+8>>2]&511](c)|0;if((U|0)<(Hc[k[(k[c>>2]|0)+12>>2]&511](c)|0)){V=D*E;W=D*F;D=1.0/C;C=W*S;T=g+8|0;X=(y|0)>0;Y=c+8|0;S=1.0/F-1.0/E;Z=z+4|0;_=U;do{Fc[k[(k[c>>2]|0)+24>>2]&1023](c,_);rd[k[(k[b>>2]|0)+260>>2]&511](b,e,k[w>>2]|0,c);nd[k[(k[b>>2]|0)+336>>2]&1023](b,A,c);nd[k[(k[G>>2]|0)+48>>2]&1023](G,f,c);nd[k[(k[K>>2]|0)+48>>2]&1023](K,l,c);nd[k[(k[J>>2]|0)+48>>2]&1023](J,m,c);nd[k[(k[I>>2]|0)+48>>2]&1023](I,j,c);nd[k[(k[H>>2]|0)+48>>2]&1023](H,n,c);rd[k[(k[H>>2]|0)+60>>2]&511](H,g,k[w>>2]|0,c);nd[k[(k[N>>2]|0)+48>>2]&1023](N,o,c);nd[k[(k[Q>>2]|0)+48>>2]&1023](Q,q,c);nd[k[(k[R>>2]|0)+48>>2]&1023](R,s,c);nd[k[(k[O>>2]|0)+48>>2]&1023](O,t,c);nd[k[(k[P>>2]|0)+48>>2]&1023](P,u,c);nd[k[(k[L>>2]|0)+48>>2]&1023](L,h,c);nd[k[(k[M>>2]|0)+48>>2]&1023](M,i,c);E=+ba(+(+p[h>>3]),+-+p[i>>3]);F=+p[j>>3];ca=+p[s>>3];if(F<ca)da=(ca-F)/+p[q>>3];else da=0.0;fla(d,v,c);nd[k[(k[O>>2]|0)+48>>2]&1023](O,t,c);nd[k[(k[P>>2]|0)+48>>2]&1023](P,u,c);F=+p[t>>3];ca=+p[u>>3];ea=V*+p[m>>3];fa=W*(+p[n>>3]-+p[l>>3]);ga=+p[g>>3];ha=+p[T>>3];a:do if(X){ia=S*(D*(+p[v>>3]*(F*F+ca*ca)+ +p[f>>3]+C*(ga*ga+ha*ha)));ja=ea-(fa>ea?ea:fa);ka=+$(+ja);U=k[Z>>2]|0;la=F;ma=ca;na=0;while(1){oa=ja*(E*+ba(+ka,+(+p[i>>3]+-1.0)));pa=ia+ +p[j>>3]*oa-da*+aa(+(la*la+ma*ma));qa=U+(na<<3)|0;p[qa>>3]=+p[qa>>3]+ +p[A+(na<<3)>>3]*(+p[e>>3]*+p[Y>>3]*(+p[o>>3]+pa));qa=na+1|0;if((qa|0)==(y|0))break a;la=+p[t>>3];ma=+p[u>>3];na=qa}}while(0);_=_+1|0}while((_|0)<(Hc[k[(k[c>>2]|0)+12>>2]&511](c)|0))}_=k[w>>2]|0;if(_)Tqa(_);k[w>>2]=0;Tqa(A);bla(d);Sqa(d);Ec[k[(k[c>>2]|0)+4>>2]&1023](c);x=z;r=a;return x|0}function Qca(a,b,c){a=a|0;b=b|0;c=c|0;nd[k[(k[c>>2]|0)+176>>2]&1023](c,b,166);return}function Rca(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,130625,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,308,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function Sca(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0,C=0.0,D=0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0;a=r;r=r+400|0;d=a+160|0;e=a+24|0;f=a;g=a+384|0;h=a+356|0;i=a+372|0;j=a+360|0;l=a+344|0;m=a+208|0;n=a+196|0;o=a+184|0;q=a+172|0;k[g>>2]=0;k[h>>2]=0;s=Hc[k[(k[c>>2]|0)+164>>2]&511](c)|0;rp(c,g,534,943);u=s>>>0>536870911?-1:s<<3;v=Rqa(u)|0;w=Rqa(u)|0;x=Rqa(u)|0;y=+Dp(c,265);z=+Dp(c,267);vp(c,w,353);vp(c,x,64);a:do if((s|0)>0){u=k[g>>2]|0;A=0;while(1){C=+p[b+(k[u+(A<<2)>>2]<<3)>>3];D=v+(A<<3)|0;p[D>>3]=C;E=+p[x+(A<<3)>>3];F=E+y*+p[w+(A<<3)>>3]/z;if(C>F){p[D>>3]=F;G=F}else G=C;if(G<E){p[D>>3]=E;H=E}else H=G;E=+$(+H);p[t>>3]=E;D=k[t>>2]|0;I=k[t+4>>2]|0;if(I>>>0>2146435072|(I|0)==2146435072&D>>>0>0){J=14;break}A=A+1|0;if((D|0)==0&(I|0)==2146435072){J=38;break}if((A|0)>=(s|0))break a}if((J|0)==14){A=e+56|0;u=e+4|0;k[e>>2]=27524;k[A>>2]=27544;B=0;wa(508,e+56|0,u|0);I=B;B=0;if(I&1){I=Rb()|0;K=Q;L=I;vva(A);Qb(L|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[A>>2]=27488;B=0;va(448,u|0);I=B;B=0;do if(I&1){D=Rb()|0;M=Q;N=D}else{k[u>>2]=27560;D=e+36|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;k[D+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,u|0,d|0);O=B;B=0;if(O&1){O=Rb()|0;P=Q;Yua(d);Yua(D);Ava(u);M=P;N=O;break}Yua(d);B=0;O=Ia(40,e|0,135564,28)|0;P=B;B=0;b:do if(!(P&1)?(B=0,Xa(239,O|0,0)|0,R=B,B=0,!(R&1)):0){R=Ab(20)|0;B=0;eb(502,i|0,130625,84);S=B;B=0;do if(!(S&1)){B=0;eb(502,j|0,137199,23);T=B;B=0;if(T&1){T=Rb()|0;U=Q;Yua(i);V=U;W=T;break}B=0;wa(510,l|0,u|0);T=B;B=0;if(T&1){T=Rb()|0;X=T;Y=Q;Z=1}else{B=0;ua(163,R|0,i|0,j|0,346,l|0);T=B;B=0;if(T&1)_=1;else{B=0;eb(503,R|0,1240,229);B=0;_=0}T=Rb()|0;U=Q;Yua(l);X=T;Y=U;Z=_}Yua(j);Yua(i);if(Z){V=Y;W=X}else{ca=X;da=Y;break b}}else{U=Rb()|0;V=Q;W=U}while(0);zb(R|0);ca=W;da=V}else J=29;while(0);if((J|0)==29){O=Rb()|0;ca=O;da=Q}k[e>>2]=27468;k[A>>2]=27488;k[u>>2]=27560;Yua(D);Ava(u);vva(A);ea=ca;fa=da;Qb(ea|0)}while(0);K=M;L=N;vva(A);Qb(L|0)}else if((J|0)==38){u=m+56|0;I=m+4|0;k[m>>2]=27524;k[u>>2]=27544;B=0;wa(508,m+56|0,I|0);O=B;B=0;if(O&1){O=Rb()|0;ga=Q;ha=O;vva(u);Qb(ha|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[u>>2]=27488;B=0;va(448,I|0);O=B;B=0;do if(O&1){P=Rb()|0;ia=Q;ja=P}else{k[I>>2]=27560;P=m+36|0;k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;k[P+12>>2]=0;k[m+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,I|0,d|0);S=B;B=0;if(S&1){S=Rb()|0;U=Q;Yua(d);Yua(P);Ava(I);ia=U;ja=S;break}Yua(d);B=0;S=Ia(40,m|0,135593,28)|0;U=B;B=0;c:do if(!(U&1)?(B=0,Xa(239,S|0,0)|0,T=B,B=0,!(T&1)):0){T=Ab(20)|0;B=0;eb(502,n|0,130625,84);ka=B;B=0;do if(!(ka&1)){B=0;eb(502,o|0,137199,23);la=B;B=0;if(la&1){la=Rb()|0;ma=Q;Yua(n);na=ma;oa=la;break}B=0;wa(510,q|0,I|0);la=B;B=0;if(la&1){la=Rb()|0;pa=1;qa=la;ra=Q}else{B=0;ua(163,T|0,n|0,o|0,347,q|0);la=B;B=0;if(la&1)sa=1;else{B=0;eb(503,T|0,1240,229);B=0;sa=0}la=Rb()|0;ma=Q;Yua(q);pa=sa;qa=la;ra=ma}Yua(o);Yua(n);if(pa){na=ra;oa=qa}else{ta=qa;xa=ra;break c}}else{ma=Rb()|0;na=Q;oa=ma}while(0);zb(T|0);ta=oa;xa=na}else J=53;while(0);if((J|0)==53){S=Rb()|0;ta=S;xa=Q}k[m>>2]=27468;k[u>>2]=27488;k[I>>2]=27560;Yua(P);Ava(I);vva(u);ea=ta;fa=xa;Qb(ea|0)}while(0);ga=ia;ha=ja;vva(u);Qb(ha|0)}}while(0);ha=k[c>>2]|0;ja=k[ha+48>>2]|0;ia=Hc[k[ha+128>>2]&511](c)|0;rd[ja&511](c,166,v,ia);Uo(c,h);ia=Wo(c,166)|0;nd[k[(k[ia>>2]|0)+68>>2]&1023](ia,f,k[h>>2]|0);H=+Dp(c,65);ia=Wo(c,172)|0;ja=Wo(c,167)|0;Fc[k[(k[ia>>2]|0)+64>>2]&1023](ia,e);Fc[k[(k[ja>>2]|0)+64>>2]&1023](ja,d);G=H*+ba(+(+p[d>>3]),3.0);H=+p[f>>3];z=+p[f+8>>3];y=G/((+p[e>>3]*.001+1.0)*.000021444)*+aa(+(H*H+z*z))/3.574e-06;p[d>>3]=y;rd[k[(k[c>>2]|0)+48>>2]&511](c,172,d,736);Tqa(v);Tqa(w);Tqa(x);x=k[h>>2]|0;if(x)Tqa(x);k[h>>2]=0;h=k[g>>2]|0;if(!h){r=a;return}Tqa(h);r=a;return}function Tca(a,b){a=a|0;b=b|0;return}function Uca(a,b){a=a|0;b=b|0;var c=0;a=b+20|0;if((th(k[a>>2]|0)|0)>0)c=0;else return;do{Vca(0,qh(k[a>>2]|0,c)|0);c=c+1|0}while((c|0)<(th(k[a>>2]|0)|0));return}function Vca(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0.0,C=0.0,D=0.0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0,S=0,T=0.0,U=0.0,V=0,W=0,X=0.0,Y=0.0,Z=0.0,_=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0;a=r;r=r+176|0;c=a+152|0;d=a+144|0;e=a+136|0;f=a+128|0;g=a+120|0;h=a+104|0;i=a+96|0;j=a+88|0;l=a+80|0;m=a+72|0;n=a+64|0;o=a+56|0;q=a+48|0;s=a+40|0;t=a+32|0;u=a+24|0;v=a+16|0;w=a+8|0;x=a;y=a+160|0;if(_p(b)|0){r=a;return}p[e>>3]=0.0;k[y>>2]=0;Uo(b,y);pp(b,l,358);z=+Dp(b,211);A=+Dp(b,65);C=+Dp(b,265);D=+Dp(b,267);E=Wo(b,38)|0;F=Wo(b,166)|0;G=Wo(b,167)|0;H=Wo(b,353)|0;I=Wo(b,64)|0;J=Wo(b,214)|0;K=Wo(b,217)|0;L=Wo(b,170)|0;M=Wo(b,674)|0;N=Wo(b,677)|0;O=Wo(b,168)|0;P=Wo(b,169)|0;Q=+Dp(b,65);R=Wo(b,172)|0;S=Wo(b,167)|0;Fc[k[(k[R>>2]|0)+64>>2]&1023](R,d);Fc[k[(k[S>>2]|0)+64>>2]&1023](S,c);T=Q*+ba(+(+p[c>>3]),3.0);Q=T/((+p[d>>3]*.001+1.0)*.000021444);d=Qqa(16)|0;B=0;eb(524,d|0,b|0,2);c=B;B=0;if(c&1){c=Rb()|0;Sqa(d);Qb(c|0)}c=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;S=Hc[k[(k[c>>2]|0)+8>>2]&511](c)|0;if((S|0)<(Hc[k[(k[c>>2]|0)+12>>2]&511](c)|0)){T=A*C;U=A*D;D=1.0/z;z=U*Q;R=h+8|0;V=c+8|0;W=S;Q=0.0;while(1){Fc[k[(k[c>>2]|0)+24>>2]&1023](c,W);rd[k[(k[b>>2]|0)+260>>2]&511](b,f,k[y>>2]|0,c);nd[k[(k[E>>2]|0)+48>>2]&1023](E,g,c);nd[k[(k[I>>2]|0)+48>>2]&1023](I,n,c);nd[k[(k[H>>2]|0)+48>>2]&1023](H,o,c);nd[k[(k[G>>2]|0)+48>>2]&1023](G,m,c);nd[k[(k[F>>2]|0)+48>>2]&1023](F,q,c);rd[k[(k[F>>2]|0)+60>>2]&511](F,h,k[y>>2]|0,c);nd[k[(k[L>>2]|0)+48>>2]&1023](L,s,c);nd[k[(k[O>>2]|0)+48>>2]&1023](O,t,c);nd[k[(k[P>>2]|0)+48>>2]&1023](P,u,c);nd[k[(k[M>>2]|0)+48>>2]&1023](M,v,c);nd[k[(k[N>>2]|0)+48>>2]&1023](N,w,c);nd[k[(k[J>>2]|0)+48>>2]&1023](J,i,c);nd[k[(k[K>>2]|0)+48>>2]&1023](K,j,c);A=+ba(+(+p[i>>3]),+-+p[j>>3]);X=+p[m>>3];Y=+p[u>>3];if(X<Y)Z=(Y-X)/+p[t>>3];else Z=0.0;fla(d,x,c);nd[k[(k[M>>2]|0)+48>>2]&1023](M,v,c);nd[k[(k[N>>2]|0)+48>>2]&1023](N,w,c);X=+p[v>>3];Y=+p[w>>3];_=X*X+Y*Y;Y=T*+p[o>>3];X=U*(+p[q>>3]-+p[n>>3]);ca=+p[h>>3];da=+p[R>>3];ea=+p[f>>3];fa=+p[m>>3];ga=Y-(X>Y?Y:X);X=+$(+ga);Y=+p[V>>3]*ea*(fa+ +p[l>>3]*(Z*+aa(+_)+(D*(+p[x>>3]*_+ +p[g>>3]+z*(ca*ca+da*da))/C-fa*(ga*(A*+ba(+X,+(+p[j>>3]+-1.0)))))));p[e>>3]=+p[e>>3]+Y;Y=Q+ +p[V>>3]*ea;W=W+1|0;if((W|0)>=(Hc[k[(k[c>>2]|0)+12>>2]&511](c)|0)){ha=Y;break}else Q=Y}ia=+p[e>>3];ja=+p[o>>3];ka=ha}else{ia=0.0;ja=0.0;ka=0.0}ha=ia/ka;ka=ha<1.0e-05?1.0e-05:ha;p[e>>3]=ka>ja?ja:ka;rd[k[(k[b>>2]|0)+48>>2]&511](b,167,e,736);e=k[y>>2]|0;if(e)Tqa(e);k[y>>2]=0;bla(d);Sqa(d);Ec[k[(k[c>>2]|0)+4>>2]&1023](c);r=a;return}function Wca(a){a=a|0;Sqa(a);return}function Xca(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 1}function Yca(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0;e=r;r=r+64|0;d=e+48|0;a=e+44|0;f=e+40|0;g=e+36|0;h=e+32|0;j=e+52|0;l=e+24|0;m=e+16|0;n=e+8|0;o=e;Fka(c,d,131762);if((k[d>>2]|0)!=122){r=e;return}Kka(c,j,131781);Bka(c,a,130743);Bka(c,f,130775);Pka(c,m,130802);Pka(c,o,130830);Bka(c,g,130851);Bka(c,h,130877);do if((k[a>>2]|0)==1){Pka(c,l,130899);q=Qqa(16)|0;B=0;Oa(59,q|0,154,+(+p[l>>3]));s=B;B=0;if(!(s&1)){YN(b,q);break}s=Rb()|0;t=Q;Sqa(q);u=t;v=s;Qb(v|0)}while(0);do if((k[f>>2]|0)==1){Pka(c,n,130926);l=Qqa(16)|0;B=0;Oa(59,l|0,156,+(+p[n>>3]));s=B;B=0;if(!(s&1)){YN(b,l);break}s=Rb()|0;t=Q;Sqa(l);u=t;v=s;Qb(v|0)}while(0);n=Qqa(16)|0;B=0;Oa(59,n|0,157,+(+p[m>>3]));m=B;B=0;if(m&1){m=Rb()|0;c=Q;Sqa(n);u=c;v=m;Qb(v|0)}YN(b,n);n=Qqa(12)|0;B=0;eb(518,n|0,118,k[d>>2]|0);d=B;B=0;if(d&1){d=Rb()|0;m=Q;Sqa(n);u=m;v=d;Qb(v|0)}YN(b,n);n=Qqa(12)|0;B=0;eb(517,n|0,152,(i[j>>0]|0)!=0|0);j=B;B=0;if(j&1){j=Rb()|0;d=Q;Sqa(n);u=d;v=j;Qb(v|0)}YN(b,n);n=Qqa(12)|0;B=0;eb(518,n|0,153,k[a>>2]|0);a=B;B=0;if(a&1){a=Rb()|0;j=Q;Sqa(n);u=j;v=a;Qb(v|0)}YN(b,n);n=Qqa(12)|0;B=0;eb(518,n|0,155,k[f>>2]|0);f=B;B=0;if(f&1){f=Rb()|0;a=Q;Sqa(n);u=a;v=f;Qb(v|0)}YN(b,n);n=Qqa(16)|0;B=0;Oa(59,n|0,133,+(+p[o>>3]));o=B;B=0;if(o&1){o=Rb()|0;f=Q;Sqa(n);u=f;v=o;Qb(v|0)}YN(b,n);n=Qqa(12)|0;B=0;eb(518,n|0,158,k[g>>2]|0);g=B;B=0;if(g&1){g=Rb()|0;o=Q;Sqa(n);u=o;v=g;Qb(v|0)}YN(b,n);n=Qqa(12)|0;B=0;eb(518,n|0,132,k[h>>2]|0);h=B;B=0;if(h&1){h=Rb()|0;g=Q;Sqa(n);u=g;v=h;Qb(v|0)}else{YN(b,n);r=e;return}}function Zca(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;a=r;r=r+16|0;f=a+4|0;g=a;Fka(c,g,131762);if((k[g>>2]|0)!=122){r=a;return}zka(c,f,131781);g=c+56|0;h=k[g>>2]|0;if((h|0)>0){j=c+32|0;l=h;h=0;m=0;while(1){if(!(i[(k[j>>2]|0)+m>>0]|0)){n=l;o=h}else{p=qh(b,h)|0;Uc[k[(k[p>>2]|0)+480>>2]&63](p,m,c,d,e,738);n=k[g>>2]|0;o=h+1|0}m=m+1|0;if((m|0)>=(n|0))break;else{l=n;h=o}}}Zka(c,b,137052,353);Zka(c,b,134945,64);Zka(c,b,137867,206);Zka(c,b,134027,39);Zka(c,b,130954,160);Zka(c,b,131261,123);Zka(c,b,130986,138);if((k[c+40>>2]|0)!=300){Zka(c,b,136615,287);Zka(c,b,136636,288)}if(!(i[f>>0]|0)){r=a;return}Zka(c,b,131022,141);r=a;return}function _ca(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;a=r;r=r+32|0;d=a+8|0;e=a;f=a+16|0;Fka(c,f,131762);if((k[f>>2]|0)!=122){r=a;return}if((k[c+40>>2]|0)!=300){k[e>>2]=136615;k[e+4>>2]=136636;Ska(c,2,e)}hoa(b,c,505,738,534);k[d>>2]=136615;k[d+4>>2]=136636;Lka(c,2,d);r=a;return}function $ca(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;a=r;r=r+16|0;d=a;Fka(c,d,131762);if((k[d>>2]|0)!=122){r=a;return}qoa(b,c,131055,505,738,0);r=a;return}function ada(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0;a=r;r=r+16|0;d=a+8|0;e=a;f=a+12|0;Fka(c,f,131762);if((k[f>>2]|0)!=122){r=a;return}f=c+40|0;if((k[f>>2]|0)==302){k[e>>2]=136615;Ska(c,1,e)}foa(c);e=c+52|0;a:do if((k[e>>2]|0)>0){g=c+36|0;h=c+104|0;i=0;while(1){if((k[f>>2]|0)==302){j=(Jka(c,136615)|0)+(i<<3)|0;if((~~+p[j>>3]|0)!=0?(k[(k[g>>2]|0)+(i<<2)>>2]|0)!=0:0){j=Qqa(52)|0;B=0;ua(177,j|0,i+1+(k[h>>2]|0)|0,i|0,c|0,505);l=B;B=0;if(l&1){m=j;n=16;break}ih(b,j)|0}}else if(k[(k[g>>2]|0)+(i<<2)>>2]|0){j=Qqa(52)|0;B=0;ua(177,j|0,i+1+(k[h>>2]|0)|0,i|0,c|0,505);l=B;B=0;if(l&1){o=j;n=11;break}ih(b,j)|0}i=i+1|0;if((i|0)>=(k[e>>2]|0))break a}if((n|0)==11){i=Rb()|0;h=Q;Sqa(o);q=h;s=i;Qb(s|0)}else if((n|0)==16){i=Rb()|0;h=Q;Sqa(m);q=h;s=i;Qb(s|0)}}while(0);k[d>>2]=136615;Lka(c,1,d);r=a;return}function bda(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,131085,90);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138209,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,155,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function cda(a,b){a=a|0;b=b|0;return 0}function dda(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,131085,90);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,164,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function eda(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0,Y=0.0;c=r;r=r+256|0;d=c+244|0;e=c+240|0;f=c+104|0;g=c+92|0;h=c+80|0;j=c+68|0;l=c+56|0;m=c+48|0;n=c+40|0;o=c+32|0;q=c+64|0;s=c;cp(b,e,298);a:do switch(k[e>>2]|0){case 300:{t=b;break}case 302:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){t=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;break a}else{u=0;r=c;return u|0}break}default:{v=f+56|0;w=f+4|0;k[f>>2]=27524;k[v>>2]=27544;B=0;wa(508,f+56|0,w|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;z=x;vva(v);Qb(z|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[v>>2]=27488;B=0;va(448,w|0);x=B;B=0;do if(x&1){A=Rb()|0;C=Q;D=A}else{k[w>>2]=27560;A=f+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[f+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,w|0,d|0);E=B;B=0;if(E&1){E=Rb()|0;F=Q;Yua(d);Yua(A);Ava(w);C=F;D=E;break}Yua(d);B=0;E=Ia(40,f|0,144639,5)|0;F=B;B=0;if((((!(F&1)?(B=0,F=ya(427,k[e>>2]|0)|0,G=B,B=0,!(G&1)):0)?(G=Lta(F)|0,B=0,H=Ia(40,E|0,F|0,G|0)|0,G=B,B=0,!(G&1)):0)?(B=0,G=Ia(40,H|0,146481,18)|0,H=B,B=0,!(H&1)):0)?(B=0,Xa(239,G|0,0)|0,G=B,B=0,!(G&1)):0){G=Ab(20)|0;B=0;eb(502,g|0,131085,90);H=B;B=0;do if(!(H&1)){B=0;eb(502,h|0,144189,13);F=B;B=0;if(F&1){F=Rb()|0;E=Q;Yua(g);I=F;J=E;break}B=0;wa(510,j|0,w|0);E=B;B=0;if(E&1){E=Rb()|0;K=E;L=Q;M=1}else{B=0;ua(163,G|0,g|0,h|0,183,j|0);E=B;B=0;if(E&1)N=1;else{B=0;eb(503,G|0,1240,229);B=0;N=0}E=Rb()|0;F=Q;Yua(j);K=E;L=F;M=N}Yua(h);Yua(g);if(M){I=K;J=L}else{O=K;P=L;k[f>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);Qb(O|0)}}else{F=Rb()|0;I=F;J=Q}while(0);zb(G|0);O=I;P=J;k[f>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);Qb(O|0)}H=Rb()|0;O=H;P=Q;k[f>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);Qb(O|0)}while(0);y=C;z=D;vva(v);Qb(z|0)}}while(0);k[q>>2]=0;z=Hc[k[(k[t>>2]|0)+164>>2]&511](t)|0;D=gq(t,534)|0;C=z<<1;y=Rqa(C>>>0>536870911?-1:C<<3)|0;C=Rqa(z>>>0>536870911?-1:z<<3)|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[s+16>>2]=0;k[s+20>>2]=0;k[s+24>>2]=0;k[s+28>>2]=0;Uo(t,q);pp(t,n,358);op(t,f,152);O=Wo(t,138)|0;P=Wo(t,123)|0;J=Wo(t,127)|0;I=Wo(t,353)|0;L=Wo(t,64)|0;R=+Dp(t,267);S=+Dp(t,65);T=+Dp(t,136);U=+Dp(t,137);V=+Dp(t,135);W=R*S*T*U*(+Dp(t,139)+V/T);if(!(i[f>>0]|0))X=0;else X=Wo(t,142)|0;K=ed[k[(k[t>>2]|0)+308>>2]&511](t,2)|0;M=Hc[k[(k[K>>2]|0)+8>>2]&511](K)|0;if((M|0)<(Hc[k[(k[K>>2]|0)+12>>2]&511](K)|0)){g=K+8|0;h=s+24|0;N=D+12|0;j=M;do{Fc[k[(k[K>>2]|0)+24>>2]&1023](K,j);rd[k[(k[t>>2]|0)+260>>2]&511](t,m,k[q>>2]|0,K);nd[k[(k[O>>2]|0)+48>>2]&1023](O,o,K);T=+p[o>>3]*+p[g>>3]*+p[m>>3];p[l>>3]=T;V=+p[n>>3];if(V!=0.0){U=T*V;p[l>>3]=U;Y=U}else Y=T;p[s>>3]=Y;p[h>>3]=Y;M=k[q>>2]|0;b=Hc[k[(k[t>>2]|0)+164>>2]&511](t)|0;w=b<<1;x=Rqa(w>>>0>536870911?-1:w<<3)|0;rd[k[(k[t>>2]|0)+340>>2]&511](t,x,M,K);if((b|0)>0){M=0;do{p[y+(M<<3)>>3]=+p[x+(M<<3)>>3];w=M+b|0;p[y+(w<<3)>>3]=+p[x+(w<<3)>>3];M=M+1|0}while((M|0)!=(b|0))}Tqa(x);ZX(y,2,z,1,s,2,2,0,y,2,z,0,k[N>>2]|0,1)|0;if((+p[n>>3]!=0.0?(nd[k[(k[t>>2]|0)+336>>2]&1023](t,C,K),p[l>>3]=W*+p[g>>3]*+p[m>>3],ZX(C,z,1,0,l,1,1,0,C,1,z,0,k[N>>2]|0,1)|0,(i[f>>0]|0)!=0):0)?(Fc[k[(k[X>>2]|0)+36>>2]&1023](X,d),(i[d>>0]|0)!=0):0){T=+fda(a,t,K,P,J,I,L);nd[k[(k[t>>2]|0)+336>>2]&1023](t,C,K);p[l>>3]=T*+p[n>>3]*+p[g>>3]*+p[m>>3];ZX(C,z,1,0,l,1,1,0,C,1,z,0,k[N>>2]|0,1)|0}j=j+1|0}while((j|0)<(Hc[k[(k[K>>2]|0)+12>>2]&511](K)|0))}j=k[q>>2]|0;if(j)Tqa(j);k[q>>2]=0;Tqa(y);Tqa(C);Ec[k[(k[K>>2]|0)+4>>2]&1023](K);if((k[e>>2]|0)!=300?(ap(t),(t|0)!=0):0)Ec[k[(k[t>>2]|0)+4>>2]&1023](t);u=D;r=c;return u|0}function fda(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0.0,u=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;a=r;r=r+224|0;h=a+204|0;i=a+200|0;j=a+16|0;l=a+8|0;m=a;n=a+64|0;o=a+48|0;q=a+36|0;s=a+24|0;cp(b,i,155);switch(k[i>>2]|0){case 1:{nd[k[(k[d>>2]|0)+48>>2]&1023](d,l,c);nd[k[(k[e>>2]|0)+48>>2]&1023](e,j,c);pp(b,m,156);t=+nda(0,b,c,f,g);u=+p[l>>3];v=+KY(1.0/(+ja(+((u-+p[j>>3])*-20.0))+1.0)+1.0/(+ja(+((t-u)*-20.0))+1.0),1.0)*+p[m>>3];r=a;return +v}case 0:{v=0.0;r=a;return +v}default:{a=n+56|0;m=n+4|0;k[n>>2]=27524;k[a>>2]=27544;B=0;wa(508,n+56|0,m|0);j=B;B=0;if(j&1){j=Rb()|0;w=Q;x=j;vva(a);Qb(x|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[a>>2]=27488;B=0;va(448,m|0);j=B;B=0;do if(j&1){l=Rb()|0;y=Q;z=l}else{k[m>>2]=27560;l=n+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[n+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,m|0,h|0);g=B;B=0;if(g&1){g=Rb()|0;f=Q;Yua(h);Yua(l);Ava(m);y=f;z=g;break}Yua(h);B=0;g=Ia(40,n|0,131439,45)|0;f=B;B=0;if(!(f&1)?(B=0,Xa(239,g|0,0)|0,g=B,B=0,!(g&1)):0){g=Ab(20)|0;B=0;eb(502,o|0,131085,90);f=B;B=0;do if(!(f&1)){B=0;eb(502,q|0,131485,27);c=B;B=0;if(c&1){c=Rb()|0;b=Q;Yua(o);A=b;C=c;break}B=0;wa(510,s|0,m|0);c=B;B=0;if(c&1){c=Rb()|0;D=Q;E=c;F=1}else{B=0;ua(163,g|0,o|0,q|0,622,s|0);c=B;B=0;if(c&1)G=1;else{B=0;eb(503,g|0,1240,229);B=0;G=0}c=Rb()|0;b=Q;Yua(s);D=b;E=c;F=G}Yua(q);Yua(o);if(F){A=D;C=E}else{H=D;I=E;k[n>>2]=27468;k[a>>2]=27488;k[m>>2]=27560;Yua(l);Ava(m);vva(a);Qb(I|0)}}else{c=Rb()|0;A=Q;C=c}while(0);zb(g|0);H=A;I=C;k[n>>2]=27468;k[a>>2]=27488;k[m>>2]=27560;Yua(l);Ava(m);vva(a);Qb(I|0)}f=Rb()|0;H=Q;I=f;k[n>>2]=27468;k[a>>2]=27488;k[m>>2]=27560;Yua(l);Ava(m);vva(a);Qb(I|0)}while(0);w=y;x=z;vva(a);Qb(x|0)}}return +(0.0)}function gda(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0,Y=0.0,Z=0.0;c=r;r=r+224|0;d=c+212|0;e=c+208|0;f=c+72|0;g=c+60|0;h=c+48|0;j=c+36|0;l=c+24|0;m=c+16|0;n=c+8|0;o=c;q=c+32|0;cp(b,e,298);a:do switch(k[e>>2]|0){case 300:{s=b;break}case 302:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){s=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;break a}else{t=0;r=c;return t|0}break}default:{u=f+56|0;v=f+4|0;k[f>>2]=27524;k[u>>2]=27544;B=0;wa(508,f+56|0,v|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;y=w;vva(u);Qb(y|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[u>>2]=27488;B=0;va(448,v|0);w=B;B=0;do if(w&1){z=Rb()|0;A=Q;C=z}else{k[v>>2]=27560;z=f+36|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;k[z+12>>2]=0;k[f+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,v|0,d|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(d);Yua(z);Ava(v);A=E;C=D;break}Yua(d);B=0;D=Ia(40,f|0,144639,5)|0;E=B;B=0;if((((!(E&1)?(B=0,E=ya(427,k[e>>2]|0)|0,F=B,B=0,!(F&1)):0)?(F=Lta(E)|0,B=0,G=Ia(40,D|0,E|0,F|0)|0,F=B,B=0,!(F&1)):0)?(B=0,F=Ia(40,G|0,146481,18)|0,G=B,B=0,!(G&1)):0)?(B=0,Xa(239,F|0,0)|0,F=B,B=0,!(F&1)):0){F=Ab(20)|0;B=0;eb(502,g|0,131085,90);G=B;B=0;do if(!(G&1)){B=0;eb(502,h|0,144203,13);E=B;B=0;if(E&1){E=Rb()|0;D=Q;Yua(g);H=E;I=D;break}B=0;wa(510,j|0,v|0);D=B;B=0;if(D&1){D=Rb()|0;J=D;K=Q;L=1}else{B=0;ua(163,F|0,g|0,h|0,287,j|0);D=B;B=0;if(D&1)M=1;else{B=0;eb(503,F|0,1240,229);B=0;M=0}D=Rb()|0;E=Q;Yua(j);J=D;K=E;L=M}Yua(h);Yua(g);if(L){H=J;I=K}else{N=J;O=K;k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(z);Ava(v);vva(u);Qb(N|0)}}else{E=Rb()|0;H=E;I=Q}while(0);zb(F|0);N=H;O=I;k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(z);Ava(v);vva(u);Qb(N|0)}G=Rb()|0;N=G;O=Q;k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(z);Ava(v);vva(u);Qb(N|0)}while(0);x=A;y=C;vva(u);Qb(y|0)}}while(0);k[q>>2]=0;y=Hc[k[(k[s>>2]|0)+164>>2]&511](s)|0;C=iq(s,534)|0;A=Rqa(y>>>0>536870911?-1:y<<3)|0;Uo(s,q);pp(s,l,358);op(s,f,152);x=Wo(s,123)|0;N=Wo(s,127)|0;O=Wo(s,39)|0;I=Wo(s,353)|0;H=Wo(s,64)|0;if(+p[l>>3]!=0.0)P=Wo(s,124)|0;else P=0;R=+Dp(s,267);S=+Dp(s,65);T=+Dp(s,136);U=+Dp(s,137);V=+Dp(s,135);W=R*S*T*U*(+Dp(s,139)+V/T);if(!(i[f>>0]|0))X=0;else X=Wo(s,142)|0;K=ed[k[(k[s>>2]|0)+308>>2]&511](s,2)|0;J=Hc[k[(k[K>>2]|0)+8>>2]&511](K)|0;if((J|0)<(Hc[k[(k[K>>2]|0)+12>>2]&511](K)|0)){L=K+8|0;g=(y|0)>0;h=C+4|0;M=J;do{Fc[k[(k[K>>2]|0)+24>>2]&1023](K,M);rd[k[(k[s>>2]|0)+260>>2]&511](s,o,k[q>>2]|0,K);nd[k[(k[s>>2]|0)+336>>2]&1023](s,A,K);nd[k[(k[O>>2]|0)+48>>2]&1023](O,n,K);T=+p[o>>3]*+p[L>>3]*+p[n>>3];V=+p[l>>3];U=V!=0.0?T*V:T;if(g){J=k[h>>2]|0;j=0;do{b=J+(j<<3)|0;p[b>>3]=U*+p[A+(j<<3)>>3]+ +p[b>>3];j=j+1|0}while((j|0)!=(y|0));Y=+p[l>>3]}else Y=V;b:do if(Y!=0.0){nd[k[(k[P>>2]|0)+48>>2]&1023](P,m,K);if(!(i[f>>0]|0)){U=+p[o>>3]*+p[L>>3]*(W*+p[m>>3]);if(!g)break;j=k[h>>2]|0;J=0;while(1){u=j+(J<<3)|0;p[u>>3]=U*+p[A+(J<<3)>>3]+ +p[u>>3];J=J+1|0;if((J|0)==(y|0))break b}}Fc[k[(k[X>>2]|0)+36>>2]&1023](X,d);if(!(i[d>>0]|0))Z=0.0;else Z=+hda(a,s,K,x,N,I,H);U=+p[o>>3]*+p[L>>3]*(W*+p[m>>3]+Z*+p[l>>3]);if(g){J=k[h>>2]|0;j=0;do{z=J+(j<<3)|0;p[z>>3]=U*+p[A+(j<<3)>>3]+ +p[z>>3];j=j+1|0}while((j|0)!=(y|0))}}while(0);M=M+1|0}while((M|0)<(Hc[k[(k[K>>2]|0)+12>>2]&511](K)|0))}M=k[q>>2]|0;if(M)Tqa(M);k[q>>2]=0;Tqa(A);Ec[k[(k[K>>2]|0)+4>>2]&1023](K);if((k[e>>2]|0)!=300?(ap(s),(s|0)!=0):0)Ec[k[(k[s>>2]|0)+4>>2]&1023](s);t=C;r=c;return t|0}function hda(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0.0,u=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;a=r;r=r+224|0;h=a+204|0;i=a+200|0;j=a+16|0;l=a+8|0;m=a;n=a+64|0;o=a+48|0;q=a+36|0;s=a+24|0;cp(b,i,155);switch(k[i>>2]|0){case 1:{nd[k[(k[d>>2]|0)+48>>2]&1023](d,l,c);nd[k[(k[e>>2]|0)+48>>2]&1023](e,j,c);pp(b,m,156);t=+nda(0,b,c,f,g);u=+p[l>>3];v=+KY(1.0/(+ja(+((u-+p[j>>3])*-20.0))+1.0)+1.0/(+ja(+((t-u)*-20.0))+1.0),1.0)*(+p[j>>3]*+p[m>>3]);r=a;return +v}case 0:{v=0.0;r=a;return +v}default:{a=n+56|0;m=n+4|0;k[n>>2]=27524;k[a>>2]=27544;B=0;wa(508,n+56|0,m|0);j=B;B=0;if(j&1){j=Rb()|0;w=Q;x=j;vva(a);Qb(x|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[a>>2]=27488;B=0;va(448,m|0);j=B;B=0;do if(j&1){l=Rb()|0;y=Q;z=l}else{k[m>>2]=27560;l=n+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[n+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,m|0,h|0);g=B;B=0;if(g&1){g=Rb()|0;f=Q;Yua(h);Yua(l);Ava(m);y=f;z=g;break}Yua(h);B=0;g=Ia(40,n|0,131439,45)|0;f=B;B=0;if(!(f&1)?(B=0,Xa(239,g|0,0)|0,g=B,B=0,!(g&1)):0){g=Ab(20)|0;B=0;eb(502,o|0,131085,90);f=B;B=0;do if(!(f&1)){B=0;eb(502,q|0,131513,27);c=B;B=0;if(c&1){c=Rb()|0;b=Q;Yua(o);A=b;C=c;break}B=0;wa(510,s|0,m|0);c=B;B=0;if(c&1){c=Rb()|0;D=Q;E=c;F=1}else{B=0;ua(163,g|0,o|0,q|0,660,s|0);c=B;B=0;if(c&1)G=1;else{B=0;eb(503,g|0,1240,229);B=0;G=0}c=Rb()|0;b=Q;Yua(s);D=b;E=c;F=G}Yua(q);Yua(o);if(F){A=D;C=E}else{H=D;I=E;k[n>>2]=27468;k[a>>2]=27488;k[m>>2]=27560;Yua(l);Ava(m);vva(a);Qb(I|0)}}else{c=Rb()|0;A=Q;C=c}while(0);zb(g|0);H=A;I=C;k[n>>2]=27468;k[a>>2]=27488;k[m>>2]=27560;Yua(l);Ava(m);vva(a);Qb(I|0)}f=Rb()|0;H=Q;I=f;k[n>>2]=27468;k[a>>2]=27488;k[m>>2]=27560;Yua(l);Ava(m);vva(a);Qb(I|0)}while(0);w=y;x=z;vva(a);Qb(x|0)}}return +(0.0)}function ida(a,b,c){a=a|0;b=b|0;c=c|0;nd[k[(k[c>>2]|0)+176>>2]&1023](c,b,123);return}function jda(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,131085,90);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,405,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function kda(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0.0;a=r;r=r+368|0;d=a+272|0;e=a+360|0;f=a+364|0;g=a+356|0;h=a+136|0;j=a+344|0;l=a+332|0;m=a+320|0;n=a;o=a+308|0;q=a+296|0;s=a+284|0;k[g>>2]=0;cp(c,e,298);do if((k[e>>2]|0)!=300)if(Hc[k[(k[c>>2]|0)+248>>2]&511](c)|0){u=Hc[k[(k[c>>2]|0)+432>>2]&511](c)|0;break}else{r=a;return}else u=c;while(0);v=Hc[k[(k[u>>2]|0)+164>>2]&511](u)|0;rp(u,g,534,943);w=v>>>0>536870911?-1:v<<3;x=Rqa(w)|0;y=Rqa(w)|0;z=Rqa(w)|0;A=(v|0)>0;a:do if(A){C=k[g>>2]|0;D=0;while(1){E=+p[b+(k[C+(D<<2)>>2]<<3)>>3];p[x+(D<<3)>>3]=E;F=+$(+E);p[t>>3]=F;G=k[t>>2]|0;H=k[t+4>>2]|0;if(H>>>0>2146435072|(H|0)==2146435072&G>>>0>0){I=9;break}D=D+1|0;if((G|0)==0&(H|0)==2146435072){I=33;break}if((D|0)>=(v|0))break a}if((I|0)==9){D=h+56|0;C=h+4|0;k[h>>2]=27524;k[D>>2]=27544;B=0;wa(508,h+56|0,C|0);H=B;B=0;if(H&1){H=Rb()|0;J=Q;K=H;vva(D);Qb(K|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[D>>2]=27488;B=0;va(448,C|0);H=B;B=0;do if(H&1){G=Rb()|0;L=Q;M=G}else{k[C>>2]=27560;G=h+36|0;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;k[G+12>>2]=0;k[h+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,C|0,d|0);N=B;B=0;if(N&1){N=Rb()|0;O=Q;Yua(d);Yua(G);Ava(C);L=O;M=N;break}Yua(d);B=0;N=Ia(40,h|0,135564,28)|0;O=B;B=0;b:do if(!(O&1)?(B=0,Xa(239,N|0,0)|0,P=B,B=0,!(P&1)):0){P=Ab(20)|0;B=0;eb(502,j|0,131085,90);R=B;B=0;do if(!(R&1)){B=0;eb(502,l|0,137199,23);S=B;B=0;if(S&1){S=Rb()|0;T=Q;Yua(j);U=T;V=S;break}B=0;wa(510,m|0,C|0);S=B;B=0;if(S&1){S=Rb()|0;W=S;X=Q;Y=1}else{B=0;ua(163,P|0,j|0,l|0,436,m|0);S=B;B=0;if(S&1)Z=1;else{B=0;eb(503,P|0,1240,229);B=0;Z=0}S=Rb()|0;T=Q;Yua(m);W=S;X=T;Y=Z}Yua(l);Yua(j);if(Y){U=X;V=W}else{_=W;aa=X;break b}}else{T=Rb()|0;U=Q;V=T}while(0);zb(P|0);_=V;aa=U}else I=24;while(0);if((I|0)==24){N=Rb()|0;_=N;aa=Q}k[h>>2]=27468;k[D>>2]=27488;k[C>>2]=27560;Yua(G);Ava(C);vva(D);ca=_;da=aa;Qb(ca|0)}while(0);J=L;K=M;vva(D);Qb(K|0)}else if((I|0)==33){C=n+56|0;H=n+4|0;k[n>>2]=27524;k[C>>2]=27544;B=0;wa(508,n+56|0,H|0);N=B;B=0;if(N&1){N=Rb()|0;ea=Q;fa=N;vva(C);Qb(fa|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[C>>2]=27488;B=0;va(448,H|0);N=B;B=0;do if(N&1){O=Rb()|0;ga=Q;ha=O}else{k[H>>2]=27560;O=n+36|0;k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;k[O+12>>2]=0;k[n+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,H|0,d|0);R=B;B=0;if(R&1){R=Rb()|0;T=Q;Yua(d);Yua(O);Ava(H);ga=T;ha=R;break}Yua(d);B=0;R=Ia(40,n|0,135593,28)|0;T=B;B=0;c:do if(!(T&1)?(B=0,Xa(239,R|0,0)|0,S=B,B=0,!(S&1)):0){S=Ab(20)|0;B=0;eb(502,o|0,131085,90);ia=B;B=0;do if(!(ia&1)){B=0;eb(502,q|0,137199,23);ja=B;B=0;if(ja&1){ja=Rb()|0;ka=Q;Yua(o);la=ka;ma=ja;break}B=0;wa(510,s|0,H|0);ja=B;B=0;if(ja&1){ja=Rb()|0;na=1;oa=ja;pa=Q}else{B=0;ua(163,S|0,o|0,q|0,437,s|0);ja=B;B=0;if(ja&1)qa=1;else{B=0;eb(503,S|0,1240,229);B=0;qa=0}ja=Rb()|0;ka=Q;Yua(s);na=qa;oa=ja;pa=ka}Yua(q);Yua(o);if(na){la=pa;ma=oa}else{ra=oa;sa=pa;break c}}else{ka=Rb()|0;la=Q;ma=ka}while(0);zb(S|0);ra=ma;sa=la}else I=48;while(0);if((I|0)==48){R=Rb()|0;ra=R;sa=Q}k[n>>2]=27468;k[C>>2]=27488;k[H>>2]=27560;Yua(O);Ava(H);vva(C);ca=ra;da=sa;Qb(ca|0)}while(0);ea=ga;fa=ha;vva(C);Qb(fa|0)}}while(0);zp(u,f,645);if(i[f>>0]|0){f=Rqa(w)|0;fa=Rqa(w)|0;pp(u,h,164);pp(u,d,157);F=+Dp(u,267);E=+Dp(u,265);ta=+Dp(u,65);xp(u,f,353);xp(u,fa,64);xa=+p[h>>3]*+ba(10.0,+(+p[d>>3]));if(A){ya=E*ta;E=F*ta;A=0;do{lda(0,n,u,ed[k[(k[u>>2]|0)+156>>2]&511](u,A)|0);ta=+p[x+(A<<3)>>3];F=+p[n>>3];p[z+(A<<3)>>3]=ta>F?xa*(ta-F):0.0;za=ya*+p[f+(A<<3)>>3];Aa=+KY(F,ta);ta=za-E*+LY(Aa-+p[fa+(A<<3)>>3],0.0);p[y+(A<<3)>>3]=ta;A=A+1|0}while((A|0)!=(v|0))}Tqa(f);Tqa(fa)}rd[k[(k[c>>2]|0)+44>>2]&511](c,123,x,738);rd[k[(k[c>>2]|0)+44>>2]&511](c,125,z,738);rd[k[(k[c>>2]|0)+44>>2]&511](c,126,y,738);Tqa(x);Tqa(z);Tqa(y);y=k[g>>2]|0;if(y)Tqa(y);k[g>>2]=0;if((k[e>>2]|0)==300){r=a;return}ap(u);if(!u){r=a;return}Ec[k[(k[u>>2]|0)+4>>2]&1023](u);r=a;return}function lda(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0.0,v=0.0,w=0.0,x=0.0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0;a=r;r=r+400|0;e=a+380|0;f=a+376|0;g=a+16|0;h=a+8|0;i=a;j=a+240|0;l=a+224|0;m=a+72|0;n=a+60|0;o=a+88|0;q=a+48|0;s=a+36|0;t=a+24|0;cp(c,f,153);switch(k[f>>2]|0){case 0:{p[g>>3]=1.0e10;u=1.0e10;p[b>>3]=u;r=a;return}case 1:{pp(c,g,154);u=+p[g>>3];p[b>>3]=u;r=a;return}case 2:{v=+Dp(c,267);w=+Dp(c,265);rd[k[(k[c>>2]|0)+144>>2]&511](c,h,d,353);rd[k[(k[c>>2]|0)+144>>2]&511](c,i,d,64);x=+p[i>>3]+w*+p[h>>3]/v;p[g>>3]=x;u=x;p[b>>3]=u;r=a;return}case 3:{a=j+56|0;b=j+4|0;k[j>>2]=27524;k[a>>2]=27544;B=0;wa(508,j+56|0,b|0);g=B;B=0;if(g&1){g=Rb()|0;y=Q;z=g;vva(a);Qb(z|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[a>>2]=27488;B=0;va(448,b|0);g=B;B=0;do if(g&1){h=Rb()|0;A=Q;C=h}else{k[b>>2]=27560;h=j+36|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;k[j+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,b|0,e|0);i=B;B=0;if(i&1){i=Rb()|0;d=Q;Yua(e);Yua(h);Ava(b);A=d;C=i;break}Yua(e);B=0;i=Ia(40,j|0,131601,38)|0;d=B;B=0;a:do if(!(d&1)?(B=0,Xa(239,i|0,0)|0,c=B,B=0,!(c&1)):0){c=Ab(20)|0;B=0;eb(502,l|0,131085,90);f=B;B=0;do if(!(f&1)){B=0;eb(502,m|0,131640,29);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(l);F=D;G=E;break}B=0;wa(510,n|0,b|0);E=B;B=0;if(E&1){E=Rb()|0;H=Q;I=E;J=1}else{B=0;ua(163,c|0,l|0,m|0,578,n|0);E=B;B=0;if(E&1)K=1;else{B=0;eb(503,c|0,1240,229);B=0;K=0}E=Rb()|0;D=Q;Yua(n);H=D;I=E;J=K}Yua(m);Yua(l);if(J){F=I;G=H}else{L=I;M=H;break a}}else{E=Rb()|0;F=E;G=Q}while(0);zb(c|0);L=F;M=G}else N=20;while(0);if((N|0)==20){i=Rb()|0;L=i;M=Q}k[j>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(h);Ava(b);vva(a);O=M;P=L;Qb(P|0)}while(0);y=A;z=C;vva(a);Qb(z|0);break}default:{z=o+56|0;a=o+4|0;k[o>>2]=27524;k[z>>2]=27544;B=0;wa(508,o+56|0,a|0);C=B;B=0;if(C&1){C=Rb()|0;R=Q;S=C;vva(z);Qb(S|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[z>>2]=27488;B=0;va(448,a|0);C=B;B=0;do if(C&1){A=Rb()|0;T=Q;U=A}else{k[a>>2]=27560;A=o+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[o+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,a|0,e|0);y=B;B=0;if(y&1){y=Rb()|0;L=Q;Yua(e);Yua(A);Ava(a);T=L;U=y;break}Yua(e);B=0;y=Ia(40,o|0,131670,43)|0;L=B;B=0;b:do if(!(L&1)?(B=0,Xa(239,y|0,0)|0,M=B,B=0,!(M&1)):0){M=Ab(20)|0;B=0;eb(502,q|0,131085,90);b=B;B=0;do if(!(b&1)){B=0;eb(502,s|0,131640,29);j=B;B=0;if(j&1){j=Rb()|0;G=Q;Yua(q);V=j;W=G;break}B=0;wa(510,t|0,a|0);G=B;B=0;if(G&1){G=Rb()|0;X=1;Y=Q;Z=G}else{B=0;ua(163,M|0,q|0,s|0,581,t|0);G=B;B=0;if(G&1)_=1;else{B=0;eb(503,M|0,1240,229);B=0;_=0}G=Rb()|0;j=Q;Yua(t);X=_;Y=j;Z=G}Yua(s);Yua(q);if(X){V=Z;W=Y}else{$=Y;aa=Z;break b}}else{G=Rb()|0;V=G;W=Q}while(0);zb(M|0);$=W;aa=V}else N=43;while(0);if((N|0)==43){y=Rb()|0;$=Q;aa=y}k[o>>2]=27468;k[z>>2]=27488;k[a>>2]=27560;Yua(A);Ava(a);vva(z);O=$;P=aa;Qb(P|0)}while(0);R=T;S=U;vva(z);Qb(S|0)}}}function mda(a,b){a=a|0;b=b|0;return}function nda(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0;a=r;r=r+400|0;f=a+380|0;g=a+376|0;h=a+16|0;i=a+8|0;j=a;l=a+240|0;m=a+224|0;n=a+72|0;o=a+60|0;q=a+88|0;s=a+48|0;t=a+36|0;u=a+24|0;cp(b,g,153);switch(k[g>>2]|0){case 0:{p[h>>3]=1.0e10;v=1.0e10;r=a;return +v}case 1:{pp(b,h,154);v=+p[h>>3];r=a;return +v}case 2:{w=+Dp(b,267);x=+Dp(b,265);nd[k[(k[d>>2]|0)+48>>2]&1023](d,i,c);nd[k[(k[e>>2]|0)+48>>2]&1023](e,j,c);y=+p[j>>3]+x*+p[i>>3]/w;p[h>>3]=y;v=y;r=a;return +v}case 3:{a=l+56|0;h=l+4|0;k[l>>2]=27524;k[a>>2]=27544;B=0;wa(508,l+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;z=Q;A=i;vva(a);Qb(A|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[a>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){j=Rb()|0;C=Q;D=j}else{k[h>>2]=27560;j=l+36|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;k[l+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,h|0,f|0);c=B;B=0;if(c&1){c=Rb()|0;e=Q;Yua(f);Yua(j);Ava(h);C=e;D=c;break}Yua(f);B=0;c=Ia(40,l|0,131601,38)|0;e=B;B=0;a:do if(!(e&1)?(B=0,Xa(239,c|0,0)|0,d=B,B=0,!(d&1)):0){d=Ab(20)|0;B=0;eb(502,m|0,131085,90);b=B;B=0;do if(!(b&1)){B=0;eb(502,n|0,131640,29);g=B;B=0;if(g&1){g=Rb()|0;E=Q;Yua(m);F=g;G=E;break}B=0;wa(510,o|0,h|0);E=B;B=0;if(E&1){E=Rb()|0;H=Q;I=E;J=1}else{B=0;ua(163,d|0,m|0,n|0,544,o|0);E=B;B=0;if(E&1)K=1;else{B=0;eb(503,d|0,1240,229);B=0;K=0}E=Rb()|0;g=Q;Yua(o);H=g;I=E;J=K}Yua(n);Yua(m);if(J){F=I;G=H}else{L=I;M=H;break a}}else{E=Rb()|0;F=E;G=Q}while(0);zb(d|0);L=F;M=G}else N=20;while(0);if((N|0)==20){c=Rb()|0;L=c;M=Q}k[l>>2]=27468;k[a>>2]=27488;k[h>>2]=27560;Yua(j);Ava(h);vva(a);O=M;P=L;Qb(P|0)}while(0);z=C;A=D;vva(a);Qb(A|0);break}default:{A=q+56|0;a=q+4|0;k[q>>2]=27524;k[A>>2]=27544;B=0;wa(508,q+56|0,a|0);D=B;B=0;if(D&1){D=Rb()|0;R=Q;S=D;vva(A);Qb(S|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[A>>2]=27488;B=0;va(448,a|0);D=B;B=0;do if(D&1){C=Rb()|0;T=Q;U=C}else{k[a>>2]=27560;C=q+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[q+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,a|0,f|0);z=B;B=0;if(z&1){z=Rb()|0;L=Q;Yua(f);Yua(C);Ava(a);T=L;U=z;break}Yua(f);B=0;z=Ia(40,q|0,131670,43)|0;L=B;B=0;b:do if(!(L&1)?(B=0,Xa(239,z|0,0)|0,M=B,B=0,!(M&1)):0){M=Ab(20)|0;B=0;eb(502,s|0,131085,90);h=B;B=0;do if(!(h&1)){B=0;eb(502,t|0,131640,29);l=B;B=0;if(l&1){l=Rb()|0;G=Q;Yua(s);V=l;W=G;break}B=0;wa(510,u|0,a|0);G=B;B=0;if(G&1){G=Rb()|0;X=1;Y=Q;Z=G}else{B=0;ua(163,M|0,s|0,t|0,547,u|0);G=B;B=0;if(G&1)_=1;else{B=0;eb(503,M|0,1240,229);B=0;_=0}G=Rb()|0;l=Q;Yua(u);X=_;Y=l;Z=G}Yua(t);Yua(s);if(X){V=Z;W=Y}else{$=Y;aa=Z;break b}}else{G=Rb()|0;V=G;W=Q}while(0);zb(M|0);$=W;aa=V}else N=43;while(0);if((N|0)==43){z=Rb()|0;$=Q;aa=z}k[q>>2]=27468;k[A>>2]=27488;k[a>>2]=27560;Yua(C);Ava(a);vva(A);O=$;P=aa;Qb(P|0)}while(0);R=T;S=U;vva(A);Qb(S|0)}}return +(0.0)}function oda(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;a=b+20|0;if((th(k[a>>2]|0)|0)>0)c=0;else return;while(1){b=qh(k[a>>2]|0,c)|0;d=Wo(b,141)|0;e=+Zc[k[(k[d>>2]|0)+108>>2]&255](d)>0.0;d=Qqa(12)|0;B=0;eb(507,d|0,142,e|0);e=B;B=0;if(e&1){f=d;g=5;break}So(b,d);c=c+1|0;if((c|0)>=(th(k[a>>2]|0)|0)){g=2;break}}if((g|0)==2)return;else if((g|0)==5){g=Rb()|0;Sqa(f);Qb(g|0)}}function pda(a){a=a|0;Sqa(a);return}function qda(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 1}function rda(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;e=r;r=r+16|0;d=e+8|0;a=e+4|0;f=e;g=e+12|0;Fka(c,d,131762);if((k[d>>2]|0)!=122){r=e;return}zka(c,g,131781);if(!(i[g>>0]|0)){r=e;return}Bka(c,a,131207);g=Qqa(12)|0;B=0;eb(518,g|0,159,k[a>>2]|0);a=B;B=0;if(a&1){a=Rb()|0;d=Q;Sqa(g);h=d;j=a;Qb(j|0)}YN(b,g);Bka(c,f,131233);c=Qqa(12)|0;B=0;eb(518,c|0,150,k[f>>2]|0);f=B;B=0;if(f&1){f=Rb()|0;g=Q;Sqa(c);h=g;j=f;Qb(j|0)}else{YN(b,c);r=e;return}}function sda(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;a=r;r=r+16|0;f=a+4|0;g=a;Fka(c,g,131762);if((k[g>>2]|0)!=122){r=a;return}zka(c,f,131781);if(!(i[f>>0]|0)){r=a;return}f=c+56|0;g=k[f>>2]|0;if((g|0)>0){h=c+32|0;j=g;g=0;l=0;while(1){if(!(i[(k[h>>2]|0)+l>>0]|0)){m=j;n=g}else{o=qh(b,g)|0;Uc[k[(k[o>>2]|0)+480>>2]&63](o,l,c,d,e,738);m=k[f>>2]|0;n=g+1|0}l=l+1|0;if((l|0)>=(m|0))break;else{j=m;g=n}}}Zka(c,b,137052,353);Zka(c,b,134945,64);Zka(c,b,137867,206);Zka(c,b,131811,127);Zka(c,b,131261,123);Zka(c,b,131293,148);if((k[c+40>>2]|0)==300){r=a;return}Zka(c,b,136615,287);Zka(c,b,136636,288);r=a;return}function tda(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;a=r;r=r+32|0;d=a+8|0;e=a;f=a+16|0;g=a+20|0;Fka(c,f,131762);if((k[f>>2]|0)!=122){r=a;return}zka(c,g,131781);if(i[g>>0]|0){if((k[c+40>>2]|0)!=300){k[e>>2]=136615;k[e+4>>2]=136636;Ska(c,2,e)}hoa(b,c,506,738,534);k[d>>2]=136615;k[d+4>>2]=136636;Lka(c,2,d)}r=a;return}function uda(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;a=r;r=r+16|0;d=a;e=a+4|0;Fka(c,d,131762);if((k[d>>2]|0)!=122){r=a;return}zka(c,e,131781);if(i[e>>0]|0)qoa(b,c,131325,506,738,0);r=a;return}function vda(a,b,c){a=a|0;b=b|0;c=c|0;return}function wda(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;a=b+24|0;c=th(k[a>>2]|0)|0;d=Rqa(c>>>0>1073741823?-1:c<<2)|0;if(c)WEa(d|0,0,c<<2|0)|0;c=k[b+44>>2]|0;b=Qqa(16)|0;B=0;e=ya(428,k[a>>2]|0)|0;a=B;B=0;if(a&1){f=Rb()|0;g=Q;Sqa(b);Qb(f|0)}B=0;ib(293,b|0,131,d|0,e|0);e=B;B=0;if(e&1){f=Rb()|0;g=Q;Sqa(b);Qb(f|0)}else{YN(c,b);Tqa(d);return}}function xda(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;a=r;r=r+16|0;c=a;k[c>>2]=0;d=b+44|0;hO(k[d>>2]|0,c,0,131);e=b+24|0;if((th(k[e>>2]|0)|0)>0){b=0;do{k[(k[c>>2]|0)+(b<<2)>>2]=0;b=b+1|0}while((b|0)<(th(k[e>>2]|0)|0))}b=k[d>>2]|0;d=k[c>>2]|0;qO(b,d,th(k[e>>2]|0)|0,131);e=k[c>>2]|0;if(!e){r=a;return}Tqa(e);r=a;return}function yda(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,131350,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138209,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,132,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function zda(a,b){a=a|0;b=b|0;return 0}function Ada(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,131350,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,141,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function Bda(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0.0,P=0.0,R=0.0,S=0.0,T=0.0,U=0.0;a=r;r=r+256|0;c=a+184|0;d=a+240|0;e=a+236|0;f=a+48|0;g=a+224|0;h=a+212|0;j=a+200|0;l=a+40|0;m=a+32|0;n=a+196|0;o=a;cp(b,e,298);a:do switch(k[e>>2]|0){case 300:{q=b;break}case 302:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){q=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;break a}else{s=0;r=a;return s|0}break}default:{t=f+56|0;u=f+4|0;k[f>>2]=27524;k[t>>2]=27544;B=0;wa(508,f+56|0,u|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;x=v;vva(t);Qb(x|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[t>>2]=27488;B=0;va(448,u|0);v=B;B=0;do if(v&1){y=Rb()|0;z=Q;A=y}else{k[u>>2]=27560;y=f+36|0;k[y>>2]=0;k[y+4>>2]=0;k[y+8>>2]=0;k[y+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,u|0,c|0);C=B;B=0;if(C&1){C=Rb()|0;D=Q;Yua(c);Yua(y);Ava(u);z=D;A=C;break}Yua(c);B=0;C=Ia(40,f|0,144639,5)|0;D=B;B=0;if((((!(D&1)?(B=0,D=ya(427,k[e>>2]|0)|0,E=B,B=0,!(E&1)):0)?(E=Lta(D)|0,B=0,F=Ia(40,C|0,D|0,E|0)|0,E=B,B=0,!(E&1)):0)?(B=0,E=Ia(40,F|0,146481,18)|0,F=B,B=0,!(F&1)):0)?(B=0,Xa(239,E|0,0)|0,E=B,B=0,!(E&1)):0){E=Ab(20)|0;B=0;eb(502,g|0,131350,88);F=B;B=0;do if(!(F&1)){B=0;eb(502,h|0,144189,13);D=B;B=0;if(D&1){D=Rb()|0;C=Q;Yua(g);G=D;H=C;break}B=0;wa(510,j|0,u|0);C=B;B=0;if(C&1){C=Rb()|0;I=C;J=Q;K=1}else{B=0;ua(163,E|0,g|0,h|0,161,j|0);C=B;B=0;if(C&1)L=1;else{B=0;eb(503,E|0,1240,229);B=0;L=0}C=Rb()|0;D=Q;Yua(j);I=C;J=D;K=L}Yua(h);Yua(g);if(K){G=I;H=J}else{M=I;N=J;k[f>>2]=27468;k[t>>2]=27488;k[u>>2]=27560;Yua(y);Ava(u);vva(t);Qb(M|0)}}else{D=Rb()|0;G=D;H=Q}while(0);zb(E|0);M=G;N=H;k[f>>2]=27468;k[t>>2]=27488;k[u>>2]=27560;Yua(y);Ava(u);vva(t);Qb(M|0)}F=Rb()|0;M=F;N=Q;k[f>>2]=27468;k[t>>2]=27488;k[u>>2]=27560;Yua(y);Ava(u);vva(t);Qb(M|0)}while(0);w=z;x=A;vva(t);Qb(x|0)}}while(0);x=Wo(q,142)|0;Fc[k[(k[x>>2]|0)+36>>2]&1023](x,d);if(!(i[d>>0]|0)){if((k[e>>2]|0)==300){s=0;r=a;return s|0}ap(q);if(!q){s=0;r=a;return s|0}Ec[k[(k[q>>2]|0)+4>>2]&1023](q);s=0;r=a;return s|0}k[n>>2]=0;d=Hc[k[(k[q>>2]|0)+164>>2]&511](q)|0;x=gq(q,534)|0;A=d<<1;z=Rqa(A>>>0>536870911?-1:A<<3)|0;A=Rqa(d>>>0>536870911?-1:d<<3)|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[o+12>>2]=0;k[o+16>>2]=0;k[o+20>>2]=0;k[o+24>>2]=0;k[o+28>>2]=0;Uo(q,n);pp(q,l,358);w=Wo(q,148)|0;M=Wo(q,123)|0;N=Wo(q,127)|0;H=Wo(q,353)|0;G=Wo(q,64)|0;O=+Dp(q,267);P=+Dp(q,65);R=+Dp(q,144);S=+Dp(q,143);T=O*P*R*(+Dp(q,139)+S/R);R=+Dp(q,151);J=ed[k[(k[q>>2]|0)+308>>2]&511](q,2)|0;I=Hc[k[(k[J>>2]|0)+8>>2]&511](J)|0;if((I|0)<(Hc[k[(k[J>>2]|0)+12>>2]&511](J)|0)){K=J+8|0;g=o+24|0;h=x+12|0;L=I;do{Fc[k[(k[J>>2]|0)+24>>2]&1023](J,L);rd[k[(k[q>>2]|0)+260>>2]&511](q,f,k[n>>2]|0,J);nd[k[(k[w>>2]|0)+48>>2]&1023](w,m,J);S=R*+p[m>>3]*+p[K>>3]*+p[f>>3];p[c>>3]=S;P=+p[l>>3];if(P!=0.0){O=S*P;p[c>>3]=O;U=O}else U=S;p[o>>3]=U;p[g>>3]=U;I=k[n>>2]|0;j=Hc[k[(k[q>>2]|0)+164>>2]&511](q)|0;b=j<<1;u=Rqa(b>>>0>536870911?-1:b<<3)|0;rd[k[(k[q>>2]|0)+340>>2]&511](q,u,I,J);if((j|0)>0){I=0;do{p[z+(I<<3)>>3]=+p[u+(I<<3)>>3];b=I+j|0;p[z+(b<<3)>>3]=+p[u+(b<<3)>>3];I=I+1|0}while((I|0)!=(j|0))}Tqa(u);ZX(z,2,d,1,o,2,2,0,z,2,d,0,k[h>>2]|0,1)|0;if(+p[l>>3]!=0.0){nd[k[(k[q>>2]|0)+336>>2]&1023](q,A,J);p[c>>3]=T*+p[m>>3]*+p[K>>3]*+p[f>>3];ZX(A,d,1,0,c,1,1,0,A,1,d,0,k[h>>2]|0,1)|0;S=+Cda(0,q,J,M,N,H,G);p[c>>3]=S*+p[l>>3]*+p[K>>3]*+p[f>>3];ZX(A,d,1,0,c,1,1,0,A,1,d,0,k[h>>2]|0,1)|0}L=L+1|0}while((L|0)<(Hc[k[(k[J>>2]|0)+12>>2]&511](J)|0))}L=k[n>>2]|0;if(L)Tqa(L);k[n>>2]=0;Tqa(A);Tqa(z);Ec[k[(k[J>>2]|0)+4>>2]&1023](J);if((k[e>>2]|0)!=300?(ap(q),(q|0)!=0):0)Ec[k[(k[q>>2]|0)+4>>2]&1023](q);s=x;r=a;return s|0}function Cda(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0.0,u=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;a=r;r=r+224|0;h=a+204|0;i=a+200|0;j=a+16|0;l=a+8|0;m=a;n=a+64|0;o=a+48|0;q=a+36|0;s=a+24|0;cp(b,i,155);switch(k[i>>2]|0){case 1:{i=Qqa(4)|0;k[i>>2]=39240;t=+nda(i,b,c,f,g);Ec[k[(k[i>>2]|0)+4>>2]&1023](i);nd[k[(k[d>>2]|0)+48>>2]&1023](d,l,c);nd[k[(k[e>>2]|0)+48>>2]&1023](e,j,c);pp(b,m,156);u=+p[l>>3];v=+KY(1.0/(+ja(+((u-+p[j>>3])*-20.0))+1.0)+1.0/(+ja(+((t-u)*-20.0))+1.0),1.0)*+p[m>>3];r=a;return +v}case 0:{v=0.0;r=a;return +v}default:{a=n+56|0;m=n+4|0;k[n>>2]=27524;k[a>>2]=27544;B=0;wa(508,n+56|0,m|0);j=B;B=0;if(j&1){j=Rb()|0;w=Q;x=j;vva(a);Qb(x|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[a>>2]=27488;B=0;va(448,m|0);j=B;B=0;do if(j&1){l=Rb()|0;y=Q;z=l}else{k[m>>2]=27560;l=n+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[n+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,m|0,h|0);b=B;B=0;if(b&1){b=Rb()|0;c=Q;Yua(h);Yua(l);Ava(m);y=c;z=b;break}Yua(h);B=0;b=Ia(40,n|0,131439,45)|0;c=B;B=0;if(!(c&1)?(B=0,Xa(239,b|0,0)|0,b=B,B=0,!(b&1)):0){b=Ab(20)|0;B=0;eb(502,o|0,131350,88);c=B;B=0;do if(!(c&1)){B=0;eb(502,q|0,131485,27);e=B;B=0;if(e&1){e=Rb()|0;d=Q;Yua(o);A=d;C=e;break}B=0;wa(510,s|0,m|0);e=B;B=0;if(e&1){e=Rb()|0;D=Q;E=e;F=1}else{B=0;ua(163,b|0,o|0,q|0,471,s|0);e=B;B=0;if(e&1)G=1;else{B=0;eb(503,b|0,1240,229);B=0;G=0}e=Rb()|0;d=Q;Yua(s);D=d;E=e;F=G}Yua(q);Yua(o);if(F){A=D;C=E}else{H=D;I=E;k[n>>2]=27468;k[a>>2]=27488;k[m>>2]=27560;Yua(l);Ava(m);vva(a);Qb(I|0)}}else{e=Rb()|0;A=Q;C=e}while(0);zb(b|0);H=A;I=C;k[n>>2]=27468;k[a>>2]=27488;k[m>>2]=27560;Yua(l);Ava(m);vva(a);Qb(I|0)}c=Rb()|0;H=Q;I=c;k[n>>2]=27468;k[a>>2]=27488;k[m>>2]=27560;Yua(l);Ava(m);vva(a);Qb(I|0)}while(0);w=y;x=z;vva(a);Qb(x|0)}}return +(0.0)}function Dda(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0;a=r;r=r+224|0;c=a+160|0;d=a+216|0;e=a+212|0;f=a+24|0;g=a+200|0;h=a+188|0;j=a+176|0;l=a+16|0;m=a+8|0;n=a;o=a+172|0;cp(b,e,298);a:do switch(k[e>>2]|0){case 300:{q=b;break}case 302:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){q=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;break a}else{s=0;r=a;return s|0}break}default:{t=f+56|0;u=f+4|0;k[f>>2]=27524;k[t>>2]=27544;B=0;wa(508,f+56|0,u|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;x=v;vva(t);Qb(x|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[t>>2]=27488;B=0;va(448,u|0);v=B;B=0;do if(v&1){y=Rb()|0;z=Q;A=y}else{k[u>>2]=27560;y=f+36|0;k[y>>2]=0;k[y+4>>2]=0;k[y+8>>2]=0;k[y+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,u|0,c|0);C=B;B=0;if(C&1){C=Rb()|0;D=Q;Yua(c);Yua(y);Ava(u);z=D;A=C;break}Yua(c);B=0;C=Ia(40,f|0,144639,5)|0;D=B;B=0;if((((!(D&1)?(B=0,D=ya(427,k[e>>2]|0)|0,E=B,B=0,!(E&1)):0)?(E=Lta(D)|0,B=0,F=Ia(40,C|0,D|0,E|0)|0,E=B,B=0,!(E&1)):0)?(B=0,E=Ia(40,F|0,146481,18)|0,F=B,B=0,!(F&1)):0)?(B=0,Xa(239,E|0,0)|0,E=B,B=0,!(E&1)):0){E=Ab(20)|0;B=0;eb(502,g|0,131350,88);F=B;B=0;do if(!(F&1)){B=0;eb(502,h|0,144203,13);D=B;B=0;if(D&1){D=Rb()|0;C=Q;Yua(g);G=D;H=C;break}B=0;wa(510,j|0,u|0);C=B;B=0;if(C&1){C=Rb()|0;I=C;J=Q;K=1}else{B=0;ua(163,E|0,g|0,h|0,268,j|0);C=B;B=0;if(C&1)L=1;else{B=0;eb(503,E|0,1240,229);B=0;L=0}C=Rb()|0;D=Q;Yua(j);I=C;J=D;K=L}Yua(h);Yua(g);if(K){G=I;H=J}else{M=I;N=J;k[f>>2]=27468;k[t>>2]=27488;k[u>>2]=27560;Yua(y);Ava(u);vva(t);Qb(M|0)}}else{D=Rb()|0;G=D;H=Q}while(0);zb(E|0);M=G;N=H;k[f>>2]=27468;k[t>>2]=27488;k[u>>2]=27560;Yua(y);Ava(u);vva(t);Qb(M|0)}F=Rb()|0;M=F;N=Q;k[f>>2]=27468;k[t>>2]=27488;k[u>>2]=27560;Yua(y);Ava(u);vva(t);Qb(M|0)}while(0);w=z;x=A;vva(t);Qb(x|0)}}while(0);x=Wo(q,142)|0;Fc[k[(k[x>>2]|0)+36>>2]&1023](x,d);if(!(i[d>>0]|0)){if((k[e>>2]|0)==300){s=0;r=a;return s|0}ap(q);if(!q){s=0;r=a;return s|0}Ec[k[(k[q>>2]|0)+4>>2]&1023](q);s=0;r=a;return s|0}k[o>>2]=0;d=Hc[k[(k[q>>2]|0)+164>>2]&511](q)|0;x=Hc[k[(k[q>>2]|0)+172>>2]&511](q)|0;A=iq(q,534)|0;z=Rqa(d>>>0>536870911?-1:d<<3)|0;Uo(q,o);pp(q,c,358);w=Wo(q,148)|0;M=Wo(q,123)|0;N=Wo(q,127)|0;H=Wo(q,353)|0;G=Wo(q,64)|0;J=Wo(q,125)|0;if(+p[c>>3]!=0.0)O=Wo(q,128)|0;else O=0;P=+Dp(q,267);R=+Dp(q,65);S=+Dp(q,144);T=+Dp(q,143);U=P*R*S*(+Dp(q,139)+T/S);I=ed[k[(k[q>>2]|0)+308>>2]&511](q,2)|0;K=Hc[k[(k[I>>2]|0)+8>>2]&511](I)|0;b:do if((K|0)<(Hc[k[(k[I>>2]|0)+12>>2]&511](I)|0)){g=I+8|0;h=A+4|0;if((d|0)>0)V=K;else{L=K;while(1){Fc[k[(k[I>>2]|0)+24>>2]&1023](I,L);rd[k[(k[q>>2]|0)+260>>2]&511](q,m,k[o>>2]|0,I);nd[k[(k[q>>2]|0)+336>>2]&1023](q,z,I);if(+p[c>>3]!=0.0){nd[k[(k[O>>2]|0)+48>>2]&1023](O,f,I);nd[k[(k[w>>2]|0)+48>>2]&1023](w,l,I);+Eda(0,q,I,M,N,H,G)}L=L+1|0;if((L|0)>=(Hc[k[(k[I>>2]|0)+12>>2]&511](I)|0))break b}}do{Fc[k[(k[I>>2]|0)+24>>2]&1023](I,V);rd[k[(k[q>>2]|0)+260>>2]&511](q,m,k[o>>2]|0,I);nd[k[(k[q>>2]|0)+336>>2]&1023](q,z,I);if(+p[c>>3]!=0.0){nd[k[(k[O>>2]|0)+48>>2]&1023](O,f,I);nd[k[(k[w>>2]|0)+48>>2]&1023](w,l,I);S=+Eda(0,q,I,M,N,H,G);T=+p[m>>3]*+p[g>>3]*(U*+p[f>>3]*+p[l>>3]+S*+p[c>>3]);L=k[h>>2]|0;t=0;do{j=L+(t<<3)|0;p[j>>3]=T*+p[z+(t<<3)>>3]+ +p[j>>3];t=t+1|0}while((t|0)!=(d|0))}V=V+1|0}while((V|0)<(Hc[k[(k[I>>2]|0)+12>>2]&511](I)|0))}while(0);Ec[k[(k[I>>2]|0)+4>>2]&1023](I);I=Hc[k[(k[q>>2]|0)+304>>2]&511](q)|0;if((x|0)>0){V=A+4|0;d=0;do{Fc[k[(k[I>>2]|0)+28>>2]&1023](I,d);U=+(ed[k[(k[q>>2]|0)+508>>2]&511](q,d)|0);nd[k[(k[J>>2]|0)+48>>2]&1023](J,n,I);c=(k[V>>2]|0)+(d<<3)|0;p[c>>3]=+p[n>>3]/U+ +p[c>>3];d=d+1|0}while((d|0)!=(x|0))}x=k[o>>2]|0;if(x)Tqa(x);k[o>>2]=0;Tqa(z);if(I)Ec[k[(k[I>>2]|0)+4>>2]&1023](I);if((k[e>>2]|0)!=300?(ap(q),(q|0)!=0):0)Ec[k[(k[q>>2]|0)+4>>2]&1023](q);s=A;r=a;return s|0}function Eda(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0.0,u=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;a=r;r=r+224|0;h=a+204|0;i=a+200|0;j=a+16|0;l=a+8|0;m=a;n=a+64|0;o=a+48|0;q=a+36|0;s=a+24|0;cp(b,i,155);switch(k[i>>2]|0){case 1:{i=Qqa(4)|0;k[i>>2]=39240;t=+nda(i,b,c,f,g);Ec[k[(k[i>>2]|0)+4>>2]&1023](i);nd[k[(k[d>>2]|0)+48>>2]&1023](d,l,c);nd[k[(k[e>>2]|0)+48>>2]&1023](e,j,c);pp(b,m,156);u=+p[l>>3];v=+KY(1.0/(+ja(+((u-+p[j>>3])*-20.0))+1.0)+1.0/(+ja(+((t-u)*-20.0))+1.0),1.0)*(+p[l>>3]*+p[m>>3]);r=a;return +v}case 0:{v=0.0;r=a;return +v}default:{a=n+56|0;m=n+4|0;k[n>>2]=27524;k[a>>2]=27544;B=0;wa(508,n+56|0,m|0);l=B;B=0;if(l&1){l=Rb()|0;w=Q;x=l;vva(a);Qb(x|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[a>>2]=27488;B=0;va(448,m|0);l=B;B=0;do if(l&1){j=Rb()|0;y=Q;z=j}else{k[m>>2]=27560;j=n+36|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;k[n+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,m|0,h|0);b=B;B=0;if(b&1){b=Rb()|0;c=Q;Yua(h);Yua(j);Ava(m);y=c;z=b;break}Yua(h);B=0;b=Ia(40,n|0,131439,45)|0;c=B;B=0;if(!(c&1)?(B=0,Xa(239,b|0,0)|0,b=B,B=0,!(b&1)):0){b=Ab(20)|0;B=0;eb(502,o|0,131350,88);c=B;B=0;do if(!(c&1)){B=0;eb(502,q|0,131513,27);e=B;B=0;if(e&1){e=Rb()|0;d=Q;Yua(o);A=d;C=e;break}B=0;wa(510,s|0,m|0);e=B;B=0;if(e&1){e=Rb()|0;D=Q;E=e;F=1}else{B=0;ua(163,b|0,o|0,q|0,514,s|0);e=B;B=0;if(e&1)G=1;else{B=0;eb(503,b|0,1240,229);B=0;G=0}e=Rb()|0;d=Q;Yua(s);D=d;E=e;F=G}Yua(q);Yua(o);if(F){A=D;C=E}else{H=D;I=E;k[n>>2]=27468;k[a>>2]=27488;k[m>>2]=27560;Yua(j);Ava(m);vva(a);Qb(I|0)}}else{e=Rb()|0;A=Q;C=e}while(0);zb(b|0);H=A;I=C;k[n>>2]=27468;k[a>>2]=27488;k[m>>2]=27560;Yua(j);Ava(m);vva(a);Qb(I|0)}c=Rb()|0;H=Q;I=c;k[n>>2]=27468;k[a>>2]=27488;k[m>>2]=27560;Yua(j);Ava(m);vva(a);Qb(I|0)}while(0);w=y;x=z;vva(a);Qb(x|0)}}return +(0.0)}function Fda(a,b,c){a=a|0;b=b|0;c=c|0;nd[k[(k[c>>2]|0)+176>>2]&1023](c,b,127);return}function Gda(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,131350,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,359,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function Hda(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0;a=r;r=r+384|0;d=a+356|0;e=a+368|0;f=a+352|0;g=a+348|0;h=a+200|0;i=a+336|0;j=a+48|0;l=a+36|0;m=a+64|0;n=a+24|0;o=a+12|0;q=a;cp(c,f,298);do if((k[f>>2]|0)!=300)if(Hc[k[(k[c>>2]|0)+248>>2]&511](c)|0){s=Hc[k[(k[c>>2]|0)+432>>2]&511](c)|0;break}else{r=a;return}else s=c;while(0);k[g>>2]=0;u=Hc[k[(k[s>>2]|0)+164>>2]&511](s)|0;v=u>>>0>536870911?-1:u<<3;w=Rqa(v)|0;x=Rqa(v)|0;rp(s,g,534,943);xp(s,w,123);v=Wo(s,142)|0;Fc[k[(k[v>>2]|0)+36>>2]&1023](v,e);a:do if((u|0)>0){e=k[g>>2]|0;v=0;while(1){y=+p[b+(k[e+(v<<2)>>2]<<3)>>3];p[x+(v<<3)>>3]=y;z=+$(+y);p[t>>3]=z;A=k[t>>2]|0;C=k[t+4>>2]|0;if(C>>>0>2146435072|(C|0)==2146435072&A>>>0>0){D=8;break}v=v+1|0;if((A|0)==0&(C|0)==2146435072){D=32;break}if((v|0)>=(u|0))break a}if((D|0)==8){v=h+56|0;e=h+4|0;k[h>>2]=27524;k[v>>2]=27544;B=0;wa(508,h+56|0,e|0);C=B;B=0;if(C&1){C=Rb()|0;E=Q;F=C;vva(v);Qb(F|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[v>>2]=27488;B=0;va(448,e|0);C=B;B=0;do if(C&1){A=Rb()|0;G=Q;H=A}else{k[e>>2]=27560;A=h+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[h+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,e|0,d|0);I=B;B=0;if(I&1){I=Rb()|0;J=Q;Yua(d);Yua(A);Ava(e);G=J;H=I;break}Yua(d);B=0;I=Ia(40,h|0,135564,28)|0;J=B;B=0;b:do if(!(J&1)?(B=0,Xa(239,I|0,0)|0,K=B,B=0,!(K&1)):0){K=Ab(20)|0;B=0;eb(502,i|0,131350,88);L=B;B=0;do if(!(L&1)){B=0;eb(502,j|0,137199,23);M=B;B=0;if(M&1){M=Rb()|0;N=Q;Yua(i);O=M;P=N;break}B=0;wa(510,l|0,e|0);N=B;B=0;if(N&1){N=Rb()|0;R=Q;S=N;T=1}else{B=0;ua(163,K|0,i|0,j|0,397,l|0);N=B;B=0;if(N&1)U=1;else{B=0;eb(503,K|0,1240,229);B=0;U=0}N=Rb()|0;M=Q;Yua(l);R=M;S=N;T=U}Yua(j);Yua(i);if(T){O=S;P=R}else{V=S;W=R;break b}}else{N=Rb()|0;O=N;P=Q}while(0);zb(K|0);V=O;W=P}else D=23;while(0);if((D|0)==23){I=Rb()|0;V=I;W=Q}k[h>>2]=27468;k[v>>2]=27488;k[e>>2]=27560;Yua(A);Ava(e);vva(v);X=W;Y=V;Qb(Y|0)}while(0);E=G;F=H;vva(v);Qb(F|0)}else if((D|0)==32){e=m+56|0;C=m+4|0;k[m>>2]=27524;k[e>>2]=27544;B=0;wa(508,m+56|0,C|0);I=B;B=0;if(I&1){I=Rb()|0;Z=Q;_=I;vva(e);Qb(_|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[e>>2]=27488;B=0;va(448,C|0);I=B;B=0;do if(I&1){J=Rb()|0;aa=Q;ba=J}else{k[C>>2]=27560;J=m+36|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;k[J+12>>2]=0;k[m+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,C|0,d|0);L=B;B=0;if(L&1){L=Rb()|0;N=Q;Yua(d);Yua(J);Ava(C);aa=N;ba=L;break}Yua(d);B=0;L=Ia(40,m|0,135593,28)|0;N=B;B=0;c:do if(!(N&1)?(B=0,Xa(239,L|0,0)|0,M=B,B=0,!(M&1)):0){M=Ab(20)|0;B=0;eb(502,n|0,131350,88);ca=B;B=0;do if(!(ca&1)){B=0;eb(502,o|0,137199,23);da=B;B=0;if(da&1){da=Rb()|0;ea=Q;Yua(n);fa=da;ga=ea;break}B=0;wa(510,q|0,C|0);ea=B;B=0;if(ea&1){ea=Rb()|0;ha=1;ia=Q;ja=ea}else{B=0;ua(163,M|0,n|0,o|0,398,q|0);ea=B;B=0;if(ea&1)ka=1;else{B=0;eb(503,M|0,1240,229);B=0;ka=0}ea=Rb()|0;da=Q;Yua(q);ha=ka;ia=da;ja=ea}Yua(o);Yua(n);if(ha){fa=ja;ga=ia}else{la=ia;ma=ja;break c}}else{ea=Rb()|0;fa=ea;ga=Q}while(0);zb(M|0);la=ga;ma=fa}else D=47;while(0);if((D|0)==47){L=Rb()|0;la=Q;ma=L}k[m>>2]=27468;k[e>>2]=27488;k[C>>2]=27560;Yua(J);Ava(C);vva(e);X=la;Y=ma;Qb(Y|0)}while(0);Z=aa;_=ba;vva(e);Qb(_|0)}}while(0);rd[k[(k[c>>2]|0)+44>>2]&511](c,127,x,738);Tqa(x);Tqa(w);w=k[g>>2]|0;if(w)Tqa(w);k[g>>2]=0;if((k[f>>2]|0)!=300?(ap(s),(s|0)!=0):0)Ec[k[(k[s>>2]|0)+4>>2]&1023](s);r=a;return}function Ida(a,b){a=a|0;b=b|0;return}function Jda(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0,N=0.0,O=0.0,P=0.0,R=0.0,S=0.0,T=0.0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ca=0,da=0,ea=0;a=r;r=r+208|0;c=a+192|0;d=a+204|0;e=a+188|0;f=a+184|0;g=a;h=a+48|0;j=a+32|0;l=a+20|0;m=a+8|0;cO(k[b+44>>2]|0,f,298);n=b+20|0;if((th(k[n>>2]|0)|0)>0)o=0;else{r=a;return}a:while(1){b=qh(k[n>>2]|0,o)|0;cO(k[b+36>>2]|0,e,150);if(!(k[e>>2]|0)){q=37;break}switch(k[f>>2]|0){case 300:{if(!(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0)){q=37;break a}s=+Dp(b,215);break}case 302:{s=+Dp(b,214);break}default:{q=7;break a}}t=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;u=t>>>0>536870911?-1:t<<3;v=Rqa(u)|0;w=Rqa(u)|0;x=Rqa(u)|0;y=Rqa(u)|0;z=Rqa(u)|0;A=Rqa(u)|0;C=Rqa(u)|0;u=Wo(b,142)|0;Fc[k[(k[u>>2]|0)+36>>2]&1023](u,d);pp(b,g,358);D=+Dp(b,65);E=+Dp(b,267);F=+Dp(b,265);G=+Dp(b,217);H=+Dp(b,211);I=+Dp(b,151);J=+Dp(b,145);K=+Dp(b,147);L=+ba(+s,+-G);xp(b,w,127);xp(b,x,129);xp(b,y,130);xp(b,z,149);xp(b,A,353);xp(b,C,64);u=(t|0)>0;if(!(i[d>>0]|0)){if(u){M=0;do{p[v+(M<<3)>>3]=J;M=M+1|0}while((M|0)!=(t|0))}}else if(u){J=D*E;N=F*H;M=0;do{O=F*+p[A+(M<<3)>>3];P=D*(O-E*+LY(0.0,+p[w+(M<<3)>>3]-+p[C+(M<<3)>>3]));O=+p[x+(M<<3)>>3];R=+p[y+(M<<3)>>3];S=+p[g>>3];T=+p[z+(M<<3)>>3]*((O*O+R*R)*(I*(J*S/N))+1.0-+ba(+(P<0.0?0.0:P),+G)*(L*S/+ba(+G,+G)*2.0));p[v+(M<<3)>>3]=T>K?K:T;M=M+1|0}while((M|0)!=(t|0))}t=k[b>>2]|0;M=k[t+48>>2]|0;u=Hc[k[t+128>>2]&511](b)|0;rd[M&511](b,148,v,u);Tqa(v);Tqa(w);Tqa(x);Tqa(y);Tqa(z);Tqa(A);Tqa(C);o=o+1|0;if((o|0)>=(th(k[n>>2]|0)|0)){q=37;break}}if((q|0)==7){n=h+56|0;o=h+4|0;k[h>>2]=27524;k[n>>2]=27544;B=0;wa(508,h+56|0,o|0);g=B;B=0;if(g&1){g=Rb()|0;U=Q;V=g;vva(n);Qb(V|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[n>>2]=27488;B=0;va(448,o|0);g=B;B=0;do if(g&1){d=Rb()|0;W=Q;X=d}else{k[o>>2]=27560;d=h+36|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,o|0,c|0);f=B;B=0;if(f&1){f=Rb()|0;e=Q;Yua(c);Yua(d);Ava(o);W=e;X=f;break}Yua(c);B=0;f=Ia(40,h|0,131541,19)|0;e=B;B=0;if(!(e&1)?(B=0,Xa(239,f|0,0)|0,f=B,B=0,!(f&1)):0){f=Ab(20)|0;B=0;eb(502,j|0,131350,88);e=B;B=0;do if(!(e&1)){B=0;eb(502,l|0,131561,19);u=B;B=0;if(u&1){u=Rb()|0;M=Q;Yua(j);Y=u;Z=M;break}B=0;wa(510,m|0,o|0);M=B;B=0;if(M&1){M=Rb()|0;_=M;$=Q;aa=1}else{B=0;ua(163,f|0,j|0,l|0,547,m|0);M=B;B=0;if(M&1)ca=1;else{B=0;eb(503,f|0,1240,229);B=0;ca=0}M=Rb()|0;u=Q;Yua(m);_=M;$=u;aa=ca}Yua(l);Yua(j);if(aa){Y=_;Z=$}else{da=_;ea=$;k[h>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(d);Ava(o);vva(n);Qb(da|0)}}else{u=Rb()|0;Y=u;Z=Q}while(0);zb(f|0);da=Y;ea=Z;k[h>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(d);Ava(o);vva(n);Qb(da|0)}e=Rb()|0;da=e;ea=Q;k[h>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(d);Ava(o);vva(n);Qb(da|0)}while(0);U=W;V=X;vva(n);Qb(V|0)}else if((q|0)==37){r=a;return}}function Kda(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0.0,O=0.0,P=0.0,R=0.0,S=0.0,T=0.0;d=r;r=r+208|0;a=d+188|0;f=d+200|0;g=d+184|0;h=d;j=d+48|0;l=d+32|0;m=d+20|0;n=d+8|0;cp(e,g,298);a:do switch(k[g>>2]|0){case 300:{o=e;break}case 302:{if(Hc[k[(k[e>>2]|0)+248>>2]&511](e)|0){o=Hc[k[(k[e>>2]|0)+432>>2]&511](e)|0;break a}else{r=d;return}break}default:{q=j+56|0;s=j+4|0;k[j>>2]=27524;k[q>>2]=27544;B=0;wa(508,j+56|0,s|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;v=t;vva(q);Qb(v|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[q>>2]=27488;B=0;va(448,s|0);t=B;B=0;do if(t&1){w=Rb()|0;x=Q;y=w}else{k[s>>2]=27560;w=j+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[j+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,s|0,a|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(a);Yua(w);Ava(s);x=A;y=z;break}Yua(a);B=0;z=Ia(40,j|0,144639,5)|0;A=B;B=0;if((((!(A&1)?(B=0,A=ya(427,k[g>>2]|0)|0,C=B,B=0,!(C&1)):0)?(C=Lta(A)|0,B=0,D=Ia(40,z|0,A|0,C|0)|0,C=B,B=0,!(C&1)):0)?(B=0,C=Ia(40,D|0,146481,18)|0,D=B,B=0,!(D&1)):0)?(B=0,Xa(239,C|0,0)|0,C=B,B=0,!(C&1)):0){C=Ab(20)|0;B=0;eb(502,l|0,131350,88);D=B;B=0;do if(!(D&1)){B=0;eb(502,m|0,131581,19);A=B;B=0;if(A&1){A=Rb()|0;z=Q;Yua(l);E=z;F=A;break}B=0;wa(510,n|0,s|0);A=B;B=0;if(A&1){A=Rb()|0;G=Q;H=A;I=1}else{B=0;ua(163,C|0,l|0,m|0,666,n|0);A=B;B=0;if(A&1)J=1;else{B=0;eb(503,C|0,1240,229);B=0;J=0}A=Rb()|0;z=Q;Yua(n);G=z;H=A;I=J}Yua(m);Yua(l);if(I){E=G;F=H}else{K=G;L=H;k[j>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(q);Qb(L|0)}}else{A=Rb()|0;E=Q;F=A}while(0);zb(C|0);K=E;L=F;k[j>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(q);Qb(L|0)}D=Rb()|0;K=Q;L=D;k[j>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(q);Qb(L|0)}while(0);u=x;v=y;vva(q);Qb(v|0)}}while(0);v=Hc[k[(k[o>>2]|0)+164>>2]&511](o)|0;y=v>>>0>536870911?-1:v<<3;x=Rqa(y)|0;u=Rqa(y)|0;L=Rqa(y)|0;j=Rqa(y)|0;K=Rqa(y)|0;M=+Dp(o,145);N=+Dp(o,146);y=Wo(o,142)|0;Fc[k[(k[y>>2]|0)+36>>2]&1023](y,f);xp(o,u,141);xp(o,x,148);xp(o,L,123);xp(o,j,127);xp(o,K,125);O=+p[L>>3];if((v|0)>1){y=1;P=O;while(1){R=+p[L+(y<<3)>>3];S=R<=P?R:P;y=y+1|0;if((y|0)==(v|0)){T=S;break}else P=S}}else T=O;if((v|0)>0){y=o+20|0;F=c+4|0;E=b+4|0;H=(v|0)<1;G=0;do{I=u+(G<<3)|0;O=+p[I>>3];if(O==0.0)p[x+(G<<3)>>3]=M;if(+p[K+(G<<3)>>3]>0.0){l=Qn(k[(k[y>>2]|0)+(G<<2)>>2]|0)|0;if(k[b>>2]|0){m=k[k[E>>2]>>2]|0;Jc[k[(k[m>>2]|0)+20>>2]&1](m,l,1.0,0)}if(+p[I>>3]==0.0?(l=Qn(k[(k[y>>2]|0)+(G<<2)>>2]|0)|0,(k[c>>2]|0)!=0):0){m=k[k[F>>2]>>2]|0;Jc[k[(k[m>>2]|0)+20>>2]&1](m,l,1.0,0)}}else if(O>0.0){l=Qn(k[(k[y>>2]|0)+(G<<2)>>2]|0)|0;if(k[b>>2]|0){m=k[k[E>>2]>>2]|0;Jc[k[(k[m>>2]|0)+20>>2]&1](m,l,1.0,0)}if(+p[x+(G<<3)>>3]<N){l=Qn(k[(k[y>>2]|0)+(G<<2)>>2]|0)|0;if(k[b>>2]|0){m=k[k[E>>2]>>2]|0;Jc[k[(k[m>>2]|0)+20>>2]&1](m,l,0.0,0)}l=Qn(k[(k[y>>2]|0)+(G<<2)>>2]|0)|0;if(k[c>>2]|0){m=k[k[F>>2]>>2]|0;Jc[k[(k[m>>2]|0)+20>>2]&1](m,l,1.0,0)}}}Lda(0,h,o,k[(k[y>>2]|0)+(G<<2)>>2]|0);if(!(((i[f>>0]|0)==0?1:!(+p[j+(G<<3)>>3]>=+p[h>>3]))|H)){l=0;do{if(+p[L+(l<<3)>>3]==T){m=Qn(k[(k[y>>2]|0)+(l<<2)>>2]|0)|0;if(k[b>>2]|0){J=k[k[E>>2]>>2]|0;Jc[k[(k[J>>2]|0)+20>>2]&1](J,m,1.0,0)}if(+p[I>>3]==0.0?(m=Qn(k[(k[y>>2]|0)+(G<<2)>>2]|0)|0,(k[c>>2]|0)!=0):0){J=k[k[F>>2]>>2]|0;Jc[k[(k[J>>2]|0)+20>>2]&1](J,m,1.0,0)}}l=l+1|0}while((l|0)!=(v|0))}G=G+1|0}while((G|0)!=(v|0))}v=k[o>>2]|0;G=k[v+48>>2]|0;F=Hc[k[v+128>>2]&511](o)|0;rd[G&511](o,148,x,F);if((k[g>>2]|0)!=300){ap(o);Ec[k[(k[o>>2]|0)+4>>2]&1023](o)}Tqa(x);Tqa(u);Tqa(L);Tqa(j);Tqa(K);r=d;return}function Lda(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0.0,v=0.0,w=0.0,x=0.0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0;a=r;r=r+400|0;e=a+380|0;f=a+376|0;g=a+16|0;h=a+8|0;i=a;j=a+240|0;l=a+224|0;m=a+72|0;n=a+60|0;o=a+88|0;q=a+48|0;s=a+36|0;t=a+24|0;cp(c,f,153);switch(k[f>>2]|0){case 0:{p[g>>3]=1.0e10;u=1.0e10;p[b>>3]=u;r=a;return}case 1:{pp(c,g,154);u=+p[g>>3];p[b>>3]=u;r=a;return}case 2:{v=+Dp(c,267);w=+Dp(c,265);rd[k[(k[c>>2]|0)+144>>2]&511](c,h,d,353);rd[k[(k[c>>2]|0)+144>>2]&511](c,i,d,64);x=+p[i>>3]+w*+p[h>>3]/v;p[g>>3]=x;u=x;p[b>>3]=u;r=a;return}case 3:{a=j+56|0;b=j+4|0;k[j>>2]=27524;k[a>>2]=27544;B=0;wa(508,j+56|0,b|0);g=B;B=0;if(g&1){g=Rb()|0;y=Q;z=g;vva(a);Qb(z|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[a>>2]=27488;B=0;va(448,b|0);g=B;B=0;do if(g&1){h=Rb()|0;A=Q;C=h}else{k[b>>2]=27560;h=j+36|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;k[j+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,b|0,e|0);i=B;B=0;if(i&1){i=Rb()|0;d=Q;Yua(e);Yua(h);Ava(b);A=d;C=i;break}Yua(e);B=0;i=Ia(40,j|0,131601,38)|0;d=B;B=0;a:do if(!(d&1)?(B=0,Xa(239,i|0,0)|0,c=B,B=0,!(c&1)):0){c=Ab(20)|0;B=0;eb(502,l|0,131350,88);f=B;B=0;do if(!(f&1)){B=0;eb(502,m|0,131640,29);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(l);F=D;G=E;break}B=0;wa(510,n|0,b|0);E=B;B=0;if(E&1){E=Rb()|0;H=Q;I=E;J=1}else{B=0;ua(163,c|0,l|0,m|0,809,n|0);E=B;B=0;if(E&1)K=1;else{B=0;eb(503,c|0,1240,229);B=0;K=0}E=Rb()|0;D=Q;Yua(n);H=D;I=E;J=K}Yua(m);Yua(l);if(J){F=I;G=H}else{L=I;M=H;break a}}else{E=Rb()|0;F=E;G=Q}while(0);zb(c|0);L=F;M=G}else N=20;while(0);if((N|0)==20){i=Rb()|0;L=i;M=Q}k[j>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(h);Ava(b);vva(a);O=M;P=L;Qb(P|0)}while(0);y=A;z=C;vva(a);Qb(z|0);break}default:{z=o+56|0;a=o+4|0;k[o>>2]=27524;k[z>>2]=27544;B=0;wa(508,o+56|0,a|0);C=B;B=0;if(C&1){C=Rb()|0;R=Q;S=C;vva(z);Qb(S|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[z>>2]=27488;B=0;va(448,a|0);C=B;B=0;do if(C&1){A=Rb()|0;T=Q;U=A}else{k[a>>2]=27560;A=o+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[o+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,a|0,e|0);y=B;B=0;if(y&1){y=Rb()|0;L=Q;Yua(e);Yua(A);Ava(a);T=L;U=y;break}Yua(e);B=0;y=Ia(40,o|0,131670,43)|0;L=B;B=0;b:do if(!(L&1)?(B=0,Xa(239,y|0,0)|0,M=B,B=0,!(M&1)):0){M=Ab(20)|0;B=0;eb(502,q|0,131350,88);b=B;B=0;do if(!(b&1)){B=0;eb(502,s|0,131640,29);j=B;B=0;if(j&1){j=Rb()|0;G=Q;Yua(q);V=j;W=G;break}B=0;wa(510,t|0,a|0);G=B;B=0;if(G&1){G=Rb()|0;X=1;Y=Q;Z=G}else{B=0;ua(163,M|0,q|0,s|0,812,t|0);G=B;B=0;if(G&1)_=1;else{B=0;eb(503,M|0,1240,229);B=0;_=0}G=Rb()|0;j=Q;Yua(t);X=_;Y=j;Z=G}Yua(s);Yua(q);if(X){V=Z;W=Y}else{$=Y;aa=Z;break b}}else{G=Rb()|0;V=G;W=Q}while(0);zb(M|0);$=W;aa=V}else N=43;while(0);if((N|0)==43){y=Rb()|0;$=Q;aa=y}k[o>>2]=27468;k[z>>2]=27488;k[a>>2]=27560;Yua(A);Ava(a);vva(z);O=$;P=aa;Qb(P|0)}while(0);R=T;S=U;vva(z);Qb(S|0)}}}function Mda(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0.0;a=r;r=r+192|0;d=a+180|0;e=a+176|0;f=a+40|0;g=a+24|0;h=a+12|0;j=a;cp(c,e,298);a:do switch(k[e>>2]|0){case 300:{l=c;break}case 302:{if(Hc[k[(k[c>>2]|0)+248>>2]&511](c)|0){l=Hc[k[(k[c>>2]|0)+432>>2]&511](c)|0;break a}else{r=a;return}break}default:{m=f+56|0;n=f+4|0;k[f>>2]=27524;k[m>>2]=27544;B=0;wa(508,f+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;q=Q;s=o;vva(m);Qb(s|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[m>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){t=Rb()|0;u=Q;v=t}else{k[n>>2]=27560;t=f+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[f+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,n|0,d|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(d);Yua(t);Ava(n);u=x;v=w;break}Yua(d);B=0;w=Ia(40,f|0,144639,5)|0;x=B;B=0;if((((!(x&1)?(B=0,x=ya(427,k[e>>2]|0)|0,y=B,B=0,!(y&1)):0)?(y=Lta(x)|0,B=0,z=Ia(40,w|0,x|0,y|0)|0,y=B,B=0,!(y&1)):0)?(B=0,y=Ia(40,z|0,146481,18)|0,z=B,B=0,!(z&1)):0)?(B=0,Xa(239,y|0,0)|0,y=B,B=0,!(y&1)):0){y=Ab(20)|0;B=0;eb(502,g|0,131350,88);z=B;B=0;do if(!(z&1)){B=0;eb(502,h|0,131714,21);x=B;B=0;if(x&1){x=Rb()|0;w=Q;Yua(g);A=w;C=x;break}B=0;wa(510,j|0,n|0);x=B;B=0;if(x&1){x=Rb()|0;D=Q;E=x;F=1}else{B=0;ua(163,y|0,g|0,h|0,749,j|0);x=B;B=0;if(x&1)G=1;else{B=0;eb(503,y|0,1240,229);B=0;G=0}x=Rb()|0;w=Q;Yua(j);D=w;E=x;F=G}Yua(h);Yua(g);if(F){A=D;C=E}else{H=D;I=E;k[f>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(t);Ava(n);vva(m);Qb(I|0)}}else{x=Rb()|0;A=Q;C=x}while(0);zb(y|0);H=A;I=C;k[f>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(t);Ava(n);vva(m);Qb(I|0)}z=Rb()|0;H=Q;I=z;k[f>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(t);Ava(n);vva(m);Qb(I|0)}while(0);q=u;s=v;vva(m);Qb(s|0)}}while(0);s=Hc[k[(k[l>>2]|0)+164>>2]&511](l)|0;v=Rqa(s>>>0>536870911?-1:s<<3)|0;xp(l,v,141);u=Wo(l,142)|0;Fc[k[(k[u>>2]|0)+36>>2]&1023](u,d);u=(s|0)>0;do if(u){J=0.0;q=0;while(1){K=J+ +p[v+(q<<3)>>3];q=q+1|0;if((q|0)==(s|0)){L=K;break}else J=K}if(L>0.0){if(!u)break;q=l+20|0;m=b+4|0;I=0;do{f=Qn(k[(k[q>>2]|0)+(I<<2)>>2]|0)|0;if(k[b>>2]|0){H=k[k[m>>2]>>2]|0;Jc[k[(k[H>>2]|0)+20>>2]&1](H,f,1.0,0)}I=I+1|0}while((I|0)!=(s|0))}else{if(!((i[d>>0]|0)!=0&u))break;I=l+20|0;m=b+4|0;q=0;do{f=Qn(k[(k[I>>2]|0)+(q<<2)>>2]|0)|0;if(k[b>>2]|0){H=k[k[m>>2]>>2]|0;Jc[k[(k[H>>2]|0)+20>>2]&1](H,f,1.0,0)}q=q+1|0}while((q|0)!=(s|0))}}while(0);if((k[e>>2]|0)!=300?(ap(l),(l|0)!=0):0)Ec[k[(k[l>>2]|0)+4>>2]&1023](l);Tqa(v);r=a;return}function Nda(a){a=a|0;Sqa(a);return}function Oda(a,b,c){a=a|0;b=b|0;c=c|0;return}function Pda(a,b,c){a=a|0;b=b|0;c=c|0;return}function Qda(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;a=r;r=r+32|0;d=a+16|0;e=a+8|0;f=a;g=a+20|0;h=a+24|0;Fka(c,g,131762);if((k[g>>2]|0)!=122){r=a;return}zka(c,h,131781);if(i[h>>0]|0){switch(k[c+40>>2]|0){case 302:{k[f>>2]=136615;Ska(c,1,f);break}case 301:{k[e>>2]=136615;Ska(c,1,e);break}default:{}}hoa(b,c,492,738,534);k[d>>2]=136615;Lka(c,1,d)}r=a;return}function Rda(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 1}function Sda(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;a=r;r=r+16|0;f=a+4|0;g=a;Fka(c,g,131762);if((k[g>>2]|0)!=122){r=a;return}zka(c,f,131781);if(!(i[f>>0]|0)){r=a;return}f=c+56|0;g=k[f>>2]|0;if((g|0)>0){h=c+32|0;j=g;g=0;l=0;while(1){if(!(i[(k[h>>2]|0)+l>>0]|0)){m=j;n=g}else{o=qh(b,g)|0;Uc[k[(k[o>>2]|0)+480>>2]&63](o,l,c,d,e,738);m=k[f>>2]|0;n=g+1|0}l=l+1|0;if((l|0)>=(m|0))break;else{j=m;g=n}}}Zka(c,b,131811,127);Zka(c,b,137867,206);if((k[c+40>>2]|0)==300){r=a;return}Zka(c,b,136615,287);Zka(c,b,136636,288);r=a;return}function Tda(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return}function Uda(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,131838,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138209,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,74,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function Vda(a,b){a=a|0;b=b|0;return 0}function Wda(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,131838,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,81,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function Xda(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;a=r;r=r+208|0;c=a+136|0;d=a+188|0;e=a+192|0;f=a;g=a+176|0;h=a+164|0;j=a+152|0;l=a+148|0;cp(b,d,298);a:do switch(k[d>>2]|0){case 300:{m=b;break}case 301:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){m=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;break a}else{n=0;r=a;return n|0}break}case 302:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){m=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;break a}else{n=0;r=a;return n|0}break}default:{o=f+56|0;q=f+4|0;k[f>>2]=27524;k[o>>2]=27544;B=0;wa(508,f+56|0,q|0);s=B;B=0;if(s&1){s=Rb()|0;t=Q;u=s;vva(o);Qb(u|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[o>>2]=27488;B=0;va(448,q|0);s=B;B=0;do if(s&1){v=Rb()|0;w=Q;x=v}else{k[q>>2]=27560;v=f+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,q|0,c|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(c);Yua(v);Ava(q);w=z;x=y;break}Yua(c);B=0;y=Ia(40,f|0,144639,5)|0;z=B;B=0;if((((!(z&1)?(B=0,z=ya(427,k[d>>2]|0)|0,A=B,B=0,!(A&1)):0)?(A=Lta(z)|0,B=0,C=Ia(40,y|0,z|0,A|0)|0,A=B,B=0,!(A&1)):0)?(B=0,A=Ia(40,C|0,146481,18)|0,C=B,B=0,!(C&1)):0)?(B=0,Xa(239,A|0,0)|0,A=B,B=0,!(A&1)):0){A=Ab(20)|0;B=0;eb(502,g|0,131838,83);C=B;B=0;do if(!(C&1)){B=0;eb(502,h|0,144189,13);z=B;B=0;if(z&1){z=Rb()|0;y=Q;Yua(g);D=z;E=y;break}B=0;wa(510,j|0,q|0);y=B;B=0;if(y&1){y=Rb()|0;F=y;G=Q;H=1}else{B=0;ua(163,A|0,g|0,h|0,104,j|0);y=B;B=0;if(y&1)I=1;else{B=0;eb(503,A|0,1240,229);B=0;I=0}y=Rb()|0;z=Q;Yua(j);F=y;G=z;H=I}Yua(h);Yua(g);if(H){D=F;E=G}else{J=F;K=G;k[f>>2]=27468;k[o>>2]=27488;k[q>>2]=27560;Yua(v);Ava(q);vva(o);Qb(J|0)}}else{z=Rb()|0;D=z;E=Q}while(0);zb(A|0);J=D;K=E;k[f>>2]=27468;k[o>>2]=27488;k[q>>2]=27560;Yua(v);Ava(q);vva(o);Qb(J|0)}C=Rb()|0;J=C;K=Q;k[f>>2]=27468;k[o>>2]=27488;k[q>>2]=27560;Yua(v);Ava(q);vva(o);Qb(J|0)}while(0);t=w;u=x;vva(o);Qb(u|0)}}while(0);u=Wo(m,142)|0;Fc[k[(k[u>>2]|0)+36>>2]&1023](u,e);if(!(i[e>>0]|0)){if((k[d>>2]|0)==300){n=0;r=a;return n|0}ap(m);if(!m){n=0;r=a;return n|0}Ec[k[(k[m>>2]|0)+4>>2]&1023](m);n=0;r=a;return n|0}k[l>>2]=0;e=Hc[k[(k[m>>2]|0)+164>>2]&511](m)|0;u=gq(m,534)|0;x=Rqa(e>>>0>536870911?-1:e<<3)|0;Uo(m,l);w=ed[k[(k[m>>2]|0)+308>>2]&511](m,2)|0;t=Hc[k[(k[w>>2]|0)+8>>2]&511](w)|0;if((t|0)<(Hc[k[(k[w>>2]|0)+12>>2]&511](w)|0)){J=w+8|0;K=u+12|0;E=t;do{Fc[k[(k[w>>2]|0)+24>>2]&1023](w,E);rd[k[(k[m>>2]|0)+260>>2]&511](m,f,k[l>>2]|0,w);nd[k[(k[m>>2]|0)+336>>2]&1023](m,x,w);p[c>>3]=+p[J>>3]*+p[f>>3];ZX(x,1,e,1,c,1,1,0,x,1,e,0,k[K>>2]|0,1)|0;E=E+1|0}while((E|0)<(Hc[k[(k[w>>2]|0)+12>>2]&511](w)|0))}E=k[l>>2]|0;if(E)Tqa(E);k[l>>2]=0;Tqa(x);Ec[k[(k[w>>2]|0)+4>>2]&1023](w);if((k[d>>2]|0)!=300?(ap(m),(m|0)!=0):0)Ec[k[(k[m>>2]|0)+4>>2]&1023](m);n=u;r=a;return n|0}function Yda(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0;a=r;r=r+416|0;c=a+388|0;d=a+384|0;e=a+400|0;f=a+248|0;g=a+232|0;h=a+220|0;j=a+204|0;l=a+216|0;m=a+16|0;n=a;o=a+200|0;q=a+64|0;s=a+48|0;t=a+36|0;u=a+24|0;cp(b,d,298);a:do switch(k[d>>2]|0){case 300:{v=b;break}case 302:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){v=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;break a}else{w=0;r=a;return w|0}break}default:{x=f+56|0;y=f+4|0;k[f>>2]=27524;k[x>>2]=27544;B=0;wa(508,f+56|0,y|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;C=z;vva(x);Qb(C|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[x>>2]=27488;B=0;va(448,y|0);z=B;B=0;do if(z&1){D=Rb()|0;E=Q;F=D}else{k[y>>2]=27560;D=f+36|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;k[D+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,y|0,c|0);G=B;B=0;if(G&1){G=Rb()|0;H=Q;Yua(c);Yua(D);Ava(y);E=H;F=G;break}Yua(c);B=0;G=Ia(40,f|0,144639,5)|0;H=B;B=0;b:do if((((!(H&1)?(B=0,I=ya(427,k[d>>2]|0)|0,J=B,B=0,!(J&1)):0)?(J=Lta(I)|0,B=0,K=Ia(40,G|0,I|0,J|0)|0,J=B,B=0,!(J&1)):0)?(B=0,J=Ia(40,K|0,146481,18)|0,K=B,B=0,!(K&1)):0)?(B=0,Xa(239,J|0,0)|0,J=B,B=0,!(J&1)):0){J=Ab(20)|0;B=0;eb(502,g|0,131838,83);K=B;B=0;do if(!(K&1)){B=0;eb(502,h|0,144203,13);I=B;B=0;if(I&1){I=Rb()|0;L=Q;Yua(g);M=L;N=I;break}B=0;wa(510,j|0,y|0);I=B;B=0;if(I&1){I=Rb()|0;O=Q;P=I;R=1}else{B=0;ua(163,J|0,g|0,h|0,172,j|0);I=B;B=0;if(I&1)S=1;else{B=0;eb(503,J|0,1240,229);B=0;S=0}I=Rb()|0;L=Q;Yua(j);O=L;P=I;R=S}Yua(h);Yua(g);if(R){M=O;N=P}else{T=O;U=P;break b}}else{I=Rb()|0;M=Q;N=I}while(0);zb(J|0);T=M;U=N}else V=22;while(0);if((V|0)==22){G=Rb()|0;T=Q;U=G}k[f>>2]=27468;k[x>>2]=27488;k[y>>2]=27560;Yua(D);Ava(y);vva(x);W=U;X=T;Qb(W|0)}while(0);A=E;C=F;vva(x);Qb(C|0)}}while(0);C=Wo(v,142)|0;Fc[k[(k[C>>2]|0)+36>>2]&1023](C,e);if(!(i[e>>0]|0)){if((k[d>>2]|0)==300){w=0;r=a;return w|0}ap(v);if(!v){w=0;r=a;return w|0}Ec[k[(k[v>>2]|0)+4>>2]&1023](v);w=0;r=a;return w|0}k[o>>2]=0;e=Hc[k[(k[v>>2]|0)+164>>2]&511](v)|0;C=iq(v,534)|0;F=Rqa(e>>>0>536870911?-1:e<<3)|0;Uo(v,o);cp(v,l,576);switch(k[l>>2]|0){case 129:{Y=0;Z=Wo(v,127)|0;break}case 130:{Y=1;Z=Wo(v,127)|0;break}default:{l=q+56|0;E=q+4|0;k[q>>2]=27524;k[l>>2]=27544;B=0;wa(508,q+56|0,E|0);A=B;B=0;if(A&1){A=Rb()|0;_=Q;$=A;vva(l);Qb($|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[l>>2]=27488;B=0;va(448,E|0);A=B;B=0;do if(A&1){T=Rb()|0;aa=Q;ba=T}else{k[E>>2]=27560;T=q+36|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;k[T+12>>2]=0;k[q+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,E|0,c|0);U=B;B=0;if(U&1){U=Rb()|0;f=Q;Yua(c);Yua(T);Ava(E);aa=f;ba=U;break}Yua(c);B=0;U=Ia(40,q|0,143640,15)|0;f=B;B=0;c:do if(!(f&1)?(B=0,Xa(239,U|0,0)|0,N=B,B=0,!(N&1)):0){N=Ab(20)|0;B=0;eb(502,s|0,131838,83);M=B;B=0;do if(!(M&1)){B=0;eb(502,t|0,144203,13);P=B;B=0;if(P&1){P=Rb()|0;O=Q;Yua(s);ca=O;da=P;break}B=0;wa(510,u|0,E|0);P=B;B=0;if(P&1){P=Rb()|0;ea=1;fa=P;ga=Q}else{B=0;ua(163,N|0,s|0,t|0,206,u|0);P=B;B=0;if(P&1)ha=1;else{B=0;eb(503,N|0,1240,229);B=0;ha=0}P=Rb()|0;O=Q;Yua(u);ea=ha;fa=P;ga=O}Yua(t);Yua(s);if(ea){ca=ga;da=fa}else{ia=fa;ja=ga;break c}}else{O=Rb()|0;ca=Q;da=O}while(0);zb(N|0);ia=da;ja=ca}else V=52;while(0);if((V|0)==52){U=Rb()|0;ia=U;ja=Q}k[q>>2]=27468;k[l>>2]=27488;k[E>>2]=27560;Yua(T);Ava(E);vva(l);W=ia;X=ja;Qb(W|0)}while(0);_=aa;$=ba;vva(l);Qb($|0)}}$=ed[k[(k[v>>2]|0)+308>>2]&511](v,2)|0;l=Hc[k[(k[$>>2]|0)+8>>2]&511]($)|0;d:do if((l|0)<(Hc[k[(k[$>>2]|0)+12>>2]&511]($)|0)){ba=$+8|0;aa=n+(Y<<3)|0;_=C+4|0;if((e|0)>0)ka=l;else{W=l;while(1){Fc[k[(k[$>>2]|0)+24>>2]&1023]($,W);rd[k[(k[v>>2]|0)+260>>2]&511](v,m,k[o>>2]|0,$);nd[k[(k[v>>2]|0)+336>>2]&1023](v,F,$);rd[k[(k[Z>>2]|0)+60>>2]&511](Z,n,k[o>>2]|0,$);W=W+1|0;if((W|0)>=(Hc[k[(k[$>>2]|0)+12>>2]&511]($)|0))break d}}do{Fc[k[(k[$>>2]|0)+24>>2]&1023]($,ka);rd[k[(k[v>>2]|0)+260>>2]&511](v,m,k[o>>2]|0,$);nd[k[(k[v>>2]|0)+336>>2]&1023](v,F,$);rd[k[(k[Z>>2]|0)+60>>2]&511](Z,n,k[o>>2]|0,$);W=k[_>>2]|0;T=0;do{ja=W+(T<<3)|0;p[ja>>3]=+p[m>>3]*+p[ba>>3]*+p[aa>>3]*+p[F+(T<<3)>>3]+ +p[ja>>3];T=T+1|0}while((T|0)!=(e|0));ka=ka+1|0}while((ka|0)<(Hc[k[(k[$>>2]|0)+12>>2]&511]($)|0))}while(0);ka=k[o>>2]|0;if(ka)Tqa(ka);k[o>>2]=0;Tqa(F);Ec[k[(k[$>>2]|0)+4>>2]&1023]($);if((k[d>>2]|0)!=300?(ap(v),(v|0)!=0):0)Ec[k[(k[v>>2]|0)+4>>2]&1023](v);w=C;r=a;return w|0}function Zda(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,131838,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138230,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,229,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function _da(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,131838,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,232,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function $da(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;a=r;r=r+208|0;d=a+184|0;e=a+180|0;f=a+176|0;g=a+40|0;h=a+24|0;i=a+12|0;j=a;cp(c,e,576);cp(c,f,298);switch(k[f>>2]|0){case 300:{nd[k[(k[c>>2]|0)+232>>2]&1023](c,b,k[e>>2]|0);r=a;return}case 301:{nd[k[(k[c>>2]|0)+232>>2]&1023](c,b,k[e>>2]|0);r=a;return}case 302:{nd[k[(k[c>>2]|0)+228>>2]&1023](c,b,k[e>>2]|0);r=a;return}default:{a=g+56|0;e=g+4|0;k[g>>2]=27524;k[a>>2]=27544;B=0;wa(508,g+56|0,e|0);b=B;B=0;if(b&1){b=Rb()|0;l=Q;m=b;vva(a);Qb(m|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[a>>2]=27488;B=0;va(448,e|0);b=B;B=0;do if(b&1){c=Rb()|0;n=Q;o=c}else{k[e>>2]=27560;c=g+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[g+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,e|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(c);Ava(e);n=q;o=p;break}Yua(d);B=0;p=Ia(40,g|0,144639,5)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[f>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,146481,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,h|0,131838,83);t=B;B=0;do if(!(t&1)){B=0;eb(502,i|0,137199,23);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(h);u=p;v=q;break}B=0;wa(510,j|0,e|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,h|0,i|0,249,j|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(j);w=p;x=q;y=z}Yua(i);Yua(h);if(y){u=w;v=x}else{A=w;C=x;k[g>>2]=27468;k[a>>2]=27488;k[e>>2]=27560;Yua(c);Ava(e);vva(a);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[g>>2]=27468;k[a>>2]=27488;k[e>>2]=27560;Yua(c);Ava(e);vva(a);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[g>>2]=27468;k[a>>2]=27488;k[e>>2]=27560;Yua(c);Ava(e);vva(a);Qb(C|0)}while(0);l=n;m=o;vva(a);Qb(m|0)}}}function aea(a,b){a=a|0;b=b|0;return}function bea(a){a=a|0;Sqa(a);return}function cea(a,b,c){a=a|0;b=b|0;c=c|0;return}
function Hu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0;d=r;r=r+304|0;e=d+280|0;f=d+268|0;g=d+56|0;h=d+32|0;j=d+8|0;l=d+292|0;m=d+264|0;n=d+260|0;o=d+256|0;q=d;s=d+120|0;t=d+104|0;u=d+92|0;v=d+80|0;i[l>>0]=0;k[o>>2]=0;Gka(c,q,106352);zka(c,l,139791);if((i[l>>0]|0)!=0?(Fka(c,m,113066),(i[l>>0]|0)!=0):0)Fka(c,n,113428);w=b*3|0;x=k[c+72>>2]|0;y=k[x+(w<<2)>>2]|0;k[f>>2]=y;z=k[x+(w+1<<2)>>2]|0;A=f+4|0;k[A>>2]=z;C=k[x+(w+2<<2)>>2]|0;w=f+8|0;k[w>>2]=C;do if(Jka(c,129145)|0){x=k[a+16>>2]|0;D=Qqa(12)|0;B=0;E=Xa(246,c|0,129145)|0;F=B;B=0;if(!(F&1)?(B=0,eb(508,D|0,533,~~+p[E+(b<<3)>>3]|0),E=B,B=0,!(E&1)):0){mC(x,D)|0;break}x=Rb()|0;E=Q;Sqa(D);G=E;H=x;Qb(H|0)}while(0);if(!(i[l>>0]|0)){r=d;return}Hka(c,o,0,113102);do if((k[m>>2]|0)>0){b=a+16|0;x=g+8|0;E=g+16|0;D=h+8|0;F=h+16|0;I=j+8|0;J=j+16|0;K=k[A>>2]|0;L=K+-1|0;M=g+8|0;N=k[w>>2]|0;O=N+-1|0;P=g+16|0;R=k[f>>2]|0;S=R+-1|0;T=h+8|0;U=h+16|0;V=j+8|0;W=j+16|0;X=(k[A>>2]|0)+-1|0;Y=g+8|0;Z=(k[w>>2]|0)+-1|0;_=g+16|0;$=(k[f>>2]|0)+-1|0;aa=(k[A>>2]|0)+-1|0;ba=h+8|0;ca=(k[w>>2]|0)+-1|0;da=h+16|0;ea=k[f>>2]|0;fa=ea+-1|0;ga=k[A>>2]|0;ha=ga+-1|0;ia=j+8|0;ja=k[w>>2]|0;ka=ja+-1|0;la=j+16|0;na=ga+-1|0;oa=g+8|0;pa=ja+-1|0;qa=g+16|0;ra=(k[f>>2]|0)+-1|0;sa=(k[A>>2]|0)+-1|0;ta=h+8|0;xa=(k[w>>2]|0)+-1|0;za=h+16|0;Aa=k[f>>2]|0;Ba=Aa+-1|0;Ca=k[A>>2]|0;Da=Ca+-1|0;Ea=j+8|0;Fa=k[w>>2]|0;Ga=Fa+-1|0;Ha=j+16|0;Ja=Ca+-1|0;Ka=g+8|0;La=Fa+-1|0;Ma=g+16|0;Na=(k[f>>2]|0)+-1|0;Oa=(k[A>>2]|0)+-1|0;Pa=h+8|0;Qa=(k[w>>2]|0)+-1|0;Ra=h+16|0;Sa=k[f>>2]|0;Ua=Sa+-1|0;Va=k[A>>2]|0;Wa=Va+-1|0;Ya=j+8|0;Za=k[w>>2]|0;_a=Za+-1|0;$a=j+16|0;ab=Va+-1|0;bb=g+8|0;cb=Za+-1|0;db=g+16|0;fb=(k[f>>2]|0)+-1|0;gb=(k[A>>2]|0)+-1|0;hb=h+8|0;jb=(k[w>>2]|0)+-1|0;kb=h+16|0;lb=k[f>>2]|0;mb=lb+-1|0;nb=k[A>>2]|0;ob=nb+-1|0;pb=j+8|0;qb=k[w>>2]|0;rb=qb+-1|0;sb=j+16|0;tb=nb+-1|0;ub=g+8|0;vb=qb+-1|0;wb=g+16|0;xb=(k[f>>2]|0)+-1|0;yb=(k[A>>2]|0)+-1|0;Bb=h+8|0;Cb=(k[w>>2]|0)+-1|0;Db=h+16|0;Eb=k[f>>2]|0;Fb=Eb+-1|0;Gb=k[A>>2]|0;Hb=Gb+-1|0;Ib=j+8|0;Jb=k[w>>2]|0;Kb=Jb+-1|0;Lb=j+16|0;Mb=y;Nb=z;Ob=C;Pb=0;a:while(1){Sb=zY(k[(k[o>>2]|0)+(Pb<<2)>>2]|0,1)|0;switch(Sb|0){case 36:{if(!(Jka(c,126035)|0)){Tb=Ob;Ub=Nb;Vb=Mb}else{Wb=Mb+-1|0;Xb=(Jka(c,126035)|0)+(Wb<<3)|0;p[g>>3]=+p[Xb>>3];Xb=Nb+-1|0;Yb=(Jka(c,126035)|0)+(Xb<<3)|0;p[x>>3]=+p[Yb>>3];Yb=Ob+-1|0;Zb=(Jka(c,126035)|0)+(Yb<<3)|0;p[E>>3]=+p[Zb>>3];Zb=(ma(Wb,k[m>>2]|0)|0)+Pb|0;_b=(Jka(c,113372)|0)+(Zb<<3)|0;p[h>>3]=+p[_b>>3]/+p[q>>3];_b=(ma(Xb,k[m>>2]|0)|0)+Pb|0;Zb=(Jka(c,113372)|0)+(_b<<3)|0;p[D>>3]=+p[Zb>>3]/+p[q>>3];Zb=(ma(Yb,k[m>>2]|0)|0)+Pb|0;_b=(Jka(c,113372)|0)+(Zb<<3)|0;p[F>>3]=+p[_b>>3]/+p[q>>3];_b=(ma(Wb,k[m>>2]|0)|0)+Pb|0;Wb=(Jka(c,113400)|0)+(_b<<3)|0;p[j>>3]=+p[Wb>>3]/+p[q>>3];Wb=(ma(Xb,k[m>>2]|0)|0)+Pb|0;Xb=(Jka(c,113400)|0)+(Wb<<3)|0;p[I>>3]=+p[Xb>>3]/+p[q>>3];Xb=(ma(Yb,k[m>>2]|0)|0)+Pb|0;Yb=(Jka(c,113400)|0)+(Xb<<3)|0;p[J>>3]=+p[Yb>>3]/+p[q>>3];Yb=k[b>>2]|0;Xb=Qqa(32)|0;B=0;Ta(31,Xb|0,36,622,g|0,h|0,j|0,Pb+1|0);Wb=B;B=0;if(Wb&1){$b=Xb;ac=18;break a}mC(Yb,Xb)|0;Tb=Ob;Ub=Nb;Vb=Mb}break}case 674:{if(!(Jka(c,135923)|0)){Tb=Ob;Ub=Nb;Vb=Mb}else{Xb=(Jka(c,135923)|0)+(Mb+-1<<3)|0;p[g>>3]=+p[Xb>>3];Xb=(Jka(c,135923)|0)+(L<<3)|0;p[M>>3]=+p[Xb>>3];Xb=(Jka(c,135923)|0)+(O<<3)|0;p[P>>3]=+p[Xb>>3];Xb=(ma(S,k[m>>2]|0)|0)+Pb|0;Yb=(Jka(c,113372)|0)+(Xb<<3)|0;p[h>>3]=+p[Yb>>3]/+p[q>>3];Yb=(ma(L,k[m>>2]|0)|0)+Pb|0;Xb=(Jka(c,113372)|0)+(Yb<<3)|0;p[T>>3]=+p[Xb>>3]/+p[q>>3];Xb=(ma(O,k[m>>2]|0)|0)+Pb|0;Yb=(Jka(c,113372)|0)+(Xb<<3)|0;p[U>>3]=+p[Yb>>3]/+p[q>>3];Yb=(ma(S,k[m>>2]|0)|0)+Pb|0;Xb=(Jka(c,113400)|0)+(Yb<<3)|0;p[j>>3]=+p[Xb>>3]/+p[q>>3];Xb=(ma(L,k[m>>2]|0)|0)+Pb|0;Yb=(Jka(c,113400)|0)+(Xb<<3)|0;p[V>>3]=+p[Yb>>3]/+p[q>>3];Yb=(ma(O,k[m>>2]|0)|0)+Pb|0;Xb=(Jka(c,113400)|0)+(Yb<<3)|0;p[W>>3]=+p[Xb>>3]/+p[q>>3];Xb=k[b>>2]|0;Yb=Qqa(32)|0;B=0;Ta(31,Yb|0,674,622,g|0,h|0,j|0,Pb+1|0);Wb=B;B=0;if(Wb&1){bc=Yb;ac=22;break a}mC(Xb,Yb)|0;Tb=N;Ub=K;Vb=R}break}case 677:{if(!(Jka(c,135944)|0)){Tb=Ob;Ub=Nb;Vb=Mb}else{Yb=(Jka(c,135944)|0)+(Mb+-1<<3)|0;p[g>>3]=+p[Yb>>3];Yb=(Jka(c,135944)|0)+(X<<3)|0;p[Y>>3]=+p[Yb>>3];Yb=(Jka(c,135944)|0)+(Z<<3)|0;p[_>>3]=+p[Yb>>3];Yb=(ma($,k[m>>2]|0)|0)+Pb|0;Xb=(Jka(c,113372)|0)+(Yb<<3)|0;p[h>>3]=+p[Xb>>3]/+p[q>>3];Xb=(ma(aa,k[m>>2]|0)|0)+Pb|0;Yb=(Jka(c,113372)|0)+(Xb<<3)|0;p[ba>>3]=+p[Yb>>3]/+p[q>>3];Yb=(ma(ca,k[m>>2]|0)|0)+Pb|0;Xb=(Jka(c,113372)|0)+(Yb<<3)|0;p[da>>3]=+p[Xb>>3]/+p[q>>3];Xb=(ma(fa,k[m>>2]|0)|0)+Pb|0;Yb=(Jka(c,113400)|0)+(Xb<<3)|0;p[j>>3]=+p[Yb>>3]/+p[q>>3];Yb=(ma(ha,k[m>>2]|0)|0)+Pb|0;Xb=(Jka(c,113400)|0)+(Yb<<3)|0;p[ia>>3]=+p[Xb>>3]/+p[q>>3];Xb=(ma(ka,k[m>>2]|0)|0)+Pb|0;Yb=(Jka(c,113400)|0)+(Xb<<3)|0;p[la>>3]=+p[Yb>>3]/+p[q>>3];Yb=k[b>>2]|0;Xb=Qqa(32)|0;B=0;Ta(31,Xb|0,677,622,g|0,h|0,j|0,Pb+1|0);Wb=B;B=0;if(Wb&1){cc=Xb;ac=26;break a}mC(Yb,Xb)|0;Tb=ja;Ub=ga;Vb=ea}break}case 353:{if(!(Jka(c,137052)|0)){Tb=Ob;Ub=Nb;Vb=Mb}else{Xb=(Jka(c,137052)|0)+(Mb+-1<<3)|0;p[g>>3]=+p[Xb>>3];Xb=(Jka(c,137052)|0)+(na<<3)|0;p[oa>>3]=+p[Xb>>3];Xb=(Jka(c,137052)|0)+(pa<<3)|0;p[qa>>3]=+p[Xb>>3];Xb=(ma(ra,k[m>>2]|0)|0)+Pb|0;Yb=(Jka(c,113372)|0)+(Xb<<3)|0;p[h>>3]=+p[Yb>>3];Yb=(ma(sa,k[m>>2]|0)|0)+Pb|0;Xb=(Jka(c,113372)|0)+(Yb<<3)|0;p[ta>>3]=+p[Xb>>3];Xb=(ma(xa,k[m>>2]|0)|0)+Pb|0;Yb=(Jka(c,113372)|0)+(Xb<<3)|0;p[za>>3]=+p[Yb>>3];Yb=(ma(Ba,k[m>>2]|0)|0)+Pb|0;Xb=(Jka(c,113400)|0)+(Yb<<3)|0;p[j>>3]=+p[Xb>>3];Xb=(ma(Da,k[m>>2]|0)|0)+Pb|0;Yb=(Jka(c,113400)|0)+(Xb<<3)|0;p[Ea>>3]=+p[Yb>>3];Yb=(ma(Ga,k[m>>2]|0)|0)+Pb|0;Xb=(Jka(c,113400)|0)+(Yb<<3)|0;p[Ha>>3]=+p[Xb>>3];Xb=k[b>>2]|0;Yb=Qqa(32)|0;B=0;Ta(31,Yb|0,353,622,g|0,h|0,j|0,Pb+1|0);Wb=B;B=0;if(Wb&1){dc=Yb;ac=30;break a}mC(Xb,Yb)|0;Tb=Fa;Ub=Ca;Vb=Aa}break}case 105:{if(!(Jka(c,135172)|0)){Tb=Ob;Ub=Nb;Vb=Mb}else{Yb=(Jka(c,135172)|0)+(Mb+-1<<3)|0;p[g>>3]=+p[Yb>>3];Yb=(Jka(c,135172)|0)+(Ja<<3)|0;p[Ka>>3]=+p[Yb>>3];Yb=(Jka(c,135172)|0)+(La<<3)|0;p[Ma>>3]=+p[Yb>>3];Yb=(ma(Na,k[m>>2]|0)|0)+Pb|0;Xb=(Jka(c,113372)|0)+(Yb<<3)|0;p[h>>3]=+p[Xb>>3];Xb=(ma(Oa,k[m>>2]|0)|0)+Pb|0;Yb=(Jka(c,113372)|0)+(Xb<<3)|0;p[Pa>>3]=+p[Yb>>3];Yb=(ma(Qa,k[m>>2]|0)|0)+Pb|0;Xb=(Jka(c,113372)|0)+(Yb<<3)|0;p[Ra>>3]=+p[Xb>>3];Xb=(ma(Ua,k[m>>2]|0)|0)+Pb|0;Yb=(Jka(c,113400)|0)+(Xb<<3)|0;p[j>>3]=+p[Yb>>3];Yb=(ma(Wa,k[m>>2]|0)|0)+Pb|0;Xb=(Jka(c,113400)|0)+(Yb<<3)|0;p[Ya>>3]=+p[Xb>>3];Xb=(ma(_a,k[m>>2]|0)|0)+Pb|0;Yb=(Jka(c,113400)|0)+(Xb<<3)|0;p[$a>>3]=+p[Yb>>3];Yb=k[b>>2]|0;Xb=Qqa(32)|0;B=0;Ta(31,Xb|0,105,622,g|0,h|0,j|0,Pb+1|0);Wb=B;B=0;if(Wb&1){ec=Xb;ac=34;break a}mC(Yb,Xb)|0;Tb=Za;Ub=Va;Vb=Sa}break}case 215:{if(!(Jka(c,134991)|0)){Tb=Ob;Ub=Nb;Vb=Mb}else{Xb=(Jka(c,134991)|0)+(Mb+-1<<3)|0;p[g>>3]=+p[Xb>>3];Xb=(Jka(c,134991)|0)+(ab<<3)|0;p[bb>>3]=+p[Xb>>3];Xb=(Jka(c,134991)|0)+(cb<<3)|0;p[db>>3]=+p[Xb>>3];Xb=(ma(fb,k[m>>2]|0)|0)+Pb|0;Yb=(Jka(c,113372)|0)+(Xb<<3)|0;p[h>>3]=+p[Yb>>3];Yb=(ma(gb,k[m>>2]|0)|0)+Pb|0;Xb=(Jka(c,113372)|0)+(Yb<<3)|0;p[hb>>3]=+p[Xb>>3];Xb=(ma(jb,k[m>>2]|0)|0)+Pb|0;Yb=(Jka(c,113372)|0)+(Xb<<3)|0;p[kb>>3]=+p[Yb>>3];Yb=(ma(mb,k[m>>2]|0)|0)+Pb|0;Xb=(Jka(c,113400)|0)+(Yb<<3)|0;p[j>>3]=+p[Xb>>3];Xb=(ma(ob,k[m>>2]|0)|0)+Pb|0;Yb=(Jka(c,113400)|0)+(Xb<<3)|0;p[pb>>3]=+p[Yb>>3];Yb=(ma(rb,k[m>>2]|0)|0)+Pb|0;Xb=(Jka(c,113400)|0)+(Yb<<3)|0;p[sb>>3]=+p[Xb>>3];Xb=k[b>>2]|0;Yb=Qqa(32)|0;B=0;Ta(31,Yb|0,215,622,g|0,h|0,j|0,Pb+1|0);Wb=B;B=0;if(Wb&1){fc=Yb;ac=38;break a}mC(Xb,Yb)|0;Tb=qb;Ub=nb;Vb=lb}break}case 227:{if(!(Jka(c,126277)|0)){Tb=Ob;Ub=Nb;Vb=Mb}else{Yb=(Jka(c,126277)|0)+(Mb+-1<<3)|0;p[g>>3]=+p[Yb>>3];Yb=(Jka(c,126277)|0)+(tb<<3)|0;p[ub>>3]=+p[Yb>>3];Yb=(Jka(c,126277)|0)+(vb<<3)|0;p[wb>>3]=+p[Yb>>3];Yb=(ma(xb,k[m>>2]|0)|0)+Pb|0;Xb=(Jka(c,113372)|0)+(Yb<<3)|0;p[h>>3]=+p[Xb>>3];Xb=(ma(yb,k[m>>2]|0)|0)+Pb|0;Yb=(Jka(c,113372)|0)+(Xb<<3)|0;p[Bb>>3]=+p[Yb>>3];Yb=(ma(Cb,k[m>>2]|0)|0)+Pb|0;Xb=(Jka(c,113372)|0)+(Yb<<3)|0;p[Db>>3]=+p[Xb>>3];Xb=(ma(Fb,k[m>>2]|0)|0)+Pb|0;Yb=(Jka(c,113400)|0)+(Xb<<3)|0;p[j>>3]=+p[Yb>>3];Yb=(ma(Hb,k[m>>2]|0)|0)+Pb|0;Xb=(Jka(c,113400)|0)+(Yb<<3)|0;p[Ib>>3]=+p[Xb>>3];Xb=(ma(Kb,k[m>>2]|0)|0)+Pb|0;Yb=(Jka(c,113400)|0)+(Xb<<3)|0;p[Lb>>3]=+p[Yb>>3];Yb=k[b>>2]|0;Xb=Qqa(32)|0;B=0;Ta(31,Xb|0,227,622,g|0,h|0,j|0,Pb+1|0);Wb=B;B=0;if(Wb&1){gc=Xb;ac=42;break a}mC(Yb,Xb)|0;Tb=Jb;Ub=Gb;Vb=Eb}break}default:{hc=Sb;ac=43;break a}}Pb=Pb+1|0;Sb=k[m>>2]|0;if((Pb|0)>=(Sb|0)){ic=Tb;jc=Ub;kc=Vb;lc=Sb;ac=13;break}else{Mb=Vb;Nb=Ub;Ob=Tb}}if((ac|0)==13){Ob=k[o>>2]|0;if((lc|0)>0){mc=Ob;nc=lc;oc=0}else{pc=Ob;qc=kc;rc=jc;sc=ic;break}while(1){Ob=mc+(oc<<2)|0;Nb=k[Ob>>2]|0;if(!Nb)tc=nc;else{Tqa(Nb);tc=k[m>>2]|0}k[Ob>>2]=0;oc=oc+1|0;Ob=k[o>>2]|0;if((oc|0)>=(tc|0)){pc=Ob;qc=kc;rc=jc;sc=ic;break}else{mc=Ob;nc=tc}}}else if((ac|0)==18){Ob=Rb()|0;Nb=Q;Sqa($b);G=Nb;H=Ob;Qb(H|0)}else if((ac|0)==22){Ob=Rb()|0;Nb=Q;Sqa(bc);G=Nb;H=Ob;Qb(H|0)}else if((ac|0)==26){Ob=Rb()|0;Nb=Q;Sqa(cc);G=Nb;H=Ob;Qb(H|0)}else if((ac|0)==30){Ob=Rb()|0;Nb=Q;Sqa(dc);G=Nb;H=Ob;Qb(H|0)}else if((ac|0)==34){Ob=Rb()|0;Nb=Q;Sqa(ec);G=Nb;H=Ob;Qb(H|0)}else if((ac|0)==38){Ob=Rb()|0;Nb=Q;Sqa(fc);G=Nb;H=Ob;Qb(H|0)}else if((ac|0)==42){Ob=Rb()|0;Nb=Q;Sqa(gc);G=Nb;H=Ob;Qb(H|0)}else if((ac|0)==43){Ob=s+56|0;Nb=s+4|0;k[s>>2]=27524;k[Ob>>2]=27544;B=0;wa(508,s+56|0,Nb|0);Mb=B;B=0;if(Mb&1){Mb=Rb()|0;uc=Q;vc=Mb;vva(Ob);Qb(vc|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[Ob>>2]=27488;B=0;va(448,Nb|0);Mb=B;B=0;do if(Mb&1){Pb=Rb()|0;wc=Q;xc=Pb}else{k[Nb>>2]=27560;Pb=s+36|0;k[Pb>>2]=0;k[Pb+4>>2]=0;k[Pb+8>>2]=0;k[Pb+12>>2]=0;k[s+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,Nb|0,e|0);Eb=B;B=0;if(Eb&1){Eb=Rb()|0;Gb=Q;Yua(e);Yua(Pb);Ava(Nb);wc=Gb;xc=Eb;break}Yua(e);B=0;Eb=Ia(40,s|0,125582,8)|0;Gb=B;B=0;b:do if((((!(Gb&1)?(B=0,Jb=ya(427,hc|0)|0,b=B,B=0,!(b&1)):0)?(b=Lta(Jb)|0,B=0,Lb=Ia(40,Eb|0,Jb|0,b|0)|0,b=B,B=0,!(b&1)):0)?(B=0,b=Ia(40,Lb|0,127493,20)|0,Lb=B,B=0,!(Lb&1)):0)?(B=0,Xa(239,b|0,0)|0,b=B,B=0,!(b&1)):0){b=Ab(20)|0;B=0;eb(502,t|0,71825,72);Lb=B;B=0;do if(!(Lb&1)){B=0;eb(502,u|0,144327,22);Jb=B;B=0;if(Jb&1){Jb=Rb()|0;Kb=Q;Yua(t);yc=Kb;zc=Jb;break}B=0;wa(510,v|0,Nb|0);Jb=B;B=0;if(Jb&1){Jb=Rb()|0;Ac=Q;Bc=Jb;Cc=1}else{B=0;ua(163,b|0,t|0,u|0,1908,v|0);Jb=B;B=0;if(Jb&1)Dc=1;else{B=0;eb(503,b|0,1240,229);B=0;Dc=0}Jb=Rb()|0;Kb=Q;Yua(v);Ac=Kb;Bc=Jb;Cc=Dc}Yua(u);Yua(t);if(Cc){yc=Ac;zc=Bc}else{Ec=Ac;Fc=Bc;break b}}else{Jb=Rb()|0;yc=Q;zc=Jb}while(0);zb(b|0);Ec=yc;Fc=zc}else ac=61;while(0);if((ac|0)==61){Eb=Rb()|0;Ec=Q;Fc=Eb}k[s>>2]=27468;k[Ob>>2]=27488;k[Nb>>2]=27560;Yua(Pb);Ava(Nb);vva(Ob);G=Ec;H=Fc;Qb(H|0)}while(0);uc=wc;vc=xc;vva(Ob);Qb(vc|0)}}else{pc=k[o>>2]|0;qc=y;rc=z;sc=C}while(0);if(pc)Tqa(pc);k[o>>2]=0;if(!(i[l>>0]|0)){r=d;return}if(!(Jka(c,113331)|0)){r=d;return}l=Qqa(20)|0;B=0;wa(516,l|0,179);o=B;B=0;if(o&1){o=Rb()|0;pc=Q;Sqa(l);G=pc;H=o;Qb(H|0)}o=k[n>>2]|0;c:do if((o|0)>0){pc=qc+-1|0;C=rc+-1|0;z=g+8|0;y=sc+-1|0;vc=g+16|0;xc=o;wc=0;while(1){uc=(ma(pc,xc)|0)+wc|0;Fc=(Jka(c,113331)|0)+(uc<<3)|0;p[g>>3]=+p[Fc>>3];Fc=(ma(C,k[n>>2]|0)|0)+wc|0;uc=(Jka(c,113331)|0)+(Fc<<3)|0;p[z>>3]=+p[uc>>3];uc=(ma(y,k[n>>2]|0)|0)+wc|0;Fc=(Jka(c,113331)|0)+(uc<<3)|0;p[vc>>3]=+p[Fc>>3];Fc=Qqa(16)|0;B=0;ib(284,Fc|0,179,g|0,738);uc=B;B=0;if(uc&1){Gc=Fc;break}uc=(Jka(c,113303)|0)+(wc<<3)|0;XH(l,Fc,~~+p[uc>>3]);wc=wc+1|0;xc=k[n>>2]|0;if((wc|0)>=(xc|0))break c}xc=Rb()|0;wc=Q;Sqa(Gc);G=wc;H=xc;Qb(H|0)}while(0);mC(k[a+16>>2]|0,l)|0;r=d;return}function Iu(a,b,c){a=a|0;b=b|0;c=c|0;Hu(a+-4|0,b,c);return}function Ju(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0.0,x=0.0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0;d=r;r=r+368|0;e=d+356|0;f=d+352|0;g=d+216|0;h=d+200|0;i=d+48|0;j=d+36|0;l=d+64|0;m=d+24|0;n=d+12|0;o=d;k[f>>2]=0;q=qw(a,k[a+44>>2]|0)|0;rp(a,f,534,943);s=Rqa(q>>>0>536870911?-1:q<<3)|0;a:do if((q|0)>0){u=k[f>>2]|0;v=0;while(1){w=+p[b+(k[u+(v<<2)>>2]<<3)>>3];p[s+(v<<3)>>3]=w;x=+$(+w);p[t>>3]=x;y=k[t>>2]|0;z=k[t+4>>2]|0;if(z>>>0>2146435072|(z|0)==2146435072&y>>>0>0){A=6;break}v=v+1|0;if((y|0)==0&(z|0)==2146435072){A=30;break}if((v|0)>=(q|0))break a}if((A|0)==6){v=g+56|0;u=g+4|0;k[g>>2]=27524;k[v>>2]=27544;B=0;wa(508,g+56|0,u|0);z=B;B=0;if(z&1){z=Rb()|0;C=Q;D=z;vva(v);Qb(D|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[v>>2]=27488;B=0;va(448,u|0);z=B;B=0;do if(z&1){y=Rb()|0;E=Q;F=y}else{k[u>>2]=27560;y=g+36|0;k[y>>2]=0;k[y+4>>2]=0;k[y+8>>2]=0;k[y+12>>2]=0;k[g+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,u|0,e|0);G=B;B=0;if(G&1){G=Rb()|0;H=Q;Yua(e);Yua(y);Ava(u);E=H;F=G;break}Yua(e);B=0;G=Ia(40,g|0,135564,28)|0;H=B;B=0;b:do if(!(H&1)?(B=0,Xa(239,G|0,0)|0,I=B,B=0,!(I&1)):0){I=Ab(20)|0;B=0;eb(502,h|0,71825,72);J=B;B=0;do if(!(J&1)){B=0;eb(502,i|0,74717,29);K=B;B=0;if(K&1){K=Rb()|0;L=Q;Yua(h);M=K;N=L;break}B=0;wa(510,j|0,u|0);L=B;B=0;if(L&1){L=Rb()|0;O=Q;P=L;R=1}else{B=0;ua(163,I|0,h|0,i|0,1945,j|0);L=B;B=0;if(L&1)S=1;else{B=0;eb(503,I|0,1240,229);B=0;S=0}L=Rb()|0;K=Q;Yua(j);O=K;P=L;R=S}Yua(i);Yua(h);if(R){M=P;N=O}else{T=P;U=O;break b}}else{L=Rb()|0;M=L;N=Q}while(0);zb(I|0);T=M;U=N}else A=21;while(0);if((A|0)==21){G=Rb()|0;T=G;U=Q}k[g>>2]=27468;k[v>>2]=27488;k[u>>2]=27560;Yua(y);Ava(u);vva(v);V=U;W=T;Qb(W|0)}while(0);C=E;D=F;vva(v);Qb(D|0)}else if((A|0)==30){u=l+56|0;z=l+4|0;k[l>>2]=27524;k[u>>2]=27544;B=0;wa(508,l+56|0,z|0);G=B;B=0;if(G&1){G=Rb()|0;X=Q;Y=G;vva(u);Qb(Y|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[u>>2]=27488;B=0;va(448,z|0);G=B;B=0;do if(G&1){H=Rb()|0;Z=Q;_=H}else{k[z>>2]=27560;H=l+36|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;k[H+12>>2]=0;k[l+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,z|0,e|0);J=B;B=0;if(J&1){J=Rb()|0;L=Q;Yua(e);Yua(H);Ava(z);Z=L;_=J;break}Yua(e);B=0;J=Ia(40,l|0,135593,28)|0;L=B;B=0;c:do if(!(L&1)?(B=0,Xa(239,J|0,0)|0,K=B,B=0,!(K&1)):0){K=Ab(20)|0;B=0;eb(502,m|0,71825,72);aa=B;B=0;do if(!(aa&1)){B=0;eb(502,n|0,74717,29);ba=B;B=0;if(ba&1){ba=Rb()|0;ca=Q;Yua(m);da=ba;ea=ca;break}B=0;wa(510,o|0,z|0);ca=B;B=0;if(ca&1){ca=Rb()|0;fa=1;ga=Q;ha=ca}else{B=0;ua(163,K|0,m|0,n|0,1946,o|0);ca=B;B=0;if(ca&1)ia=1;else{B=0;eb(503,K|0,1240,229);B=0;ia=0}ca=Rb()|0;ba=Q;Yua(o);fa=ia;ga=ba;ha=ca}Yua(n);Yua(m);if(fa){da=ha;ea=ga}else{ja=ga;ka=ha;break c}}else{ca=Rb()|0;da=ca;ea=Q}while(0);zb(K|0);ja=ea;ka=da}else A=45;while(0);if((A|0)==45){J=Rb()|0;ja=Q;ka=J}k[l>>2]=27468;k[u>>2]=27488;k[z>>2]=27560;Yua(H);Ava(z);vva(u);V=ja;W=ka;Qb(W|0)}while(0);X=Z;Y=_;vva(u);Qb(Y|0)}}while(0);Y=k[a+16>>2]|0;a=Qqa(16)|0;B=0;ib(284,a|0,c|0,s|0,738);c=B;B=0;if(c&1){c=Rb()|0;_=Q;Sqa(a);V=_;W=c;Qb(W|0)}mC(Y,a)|0;Tqa(s);s=k[f>>2]|0;if(!s){r=d;return}Tqa(s);r=d;return}function Ku(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0.0,P=0.0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0;e=r;r=r+896|0;f=e+872|0;g=e+844|0;h=e+696|0;i=e+860|0;j=e+848|0;l=e+832|0;m=e+544|0;n=e+680|0;o=e+396|0;q=e+384|0;s=e+408|0;u=e+96|0;v=e+84|0;w=e+72|0;x=e+248|0;y=e+60|0;z=e+48|0;A=e+36|0;C=e+112|0;D=e+24|0;E=e+12|0;F=e;if(!(Tp(a,c)|0)){r=e;return}k[g>>2]=0;a:do switch(d|0){case 628:{G=Rqa(24)|0;H=a+24|0;I=b+((Co(k[k[H>>2]>>2]|0)|0)<<3)|0;p[G>>3]=+p[I>>3];I=b+((Co(k[(k[H>>2]|0)+4>>2]|0)|0)<<3)|0;p[G+8>>3]=+p[I>>3];I=b+((Co(k[(k[H>>2]|0)+8>>2]|0)|0)<<3)|0;p[G+16>>3]=+p[I>>3];I=k[a+16>>2]|0;H=Qqa(16)|0;B=0;ib(284,H|0,c|0,G|0,738);J=B;B=0;if(!(J&1)){mC(I,H)|0;K=G;break a}G=Rb()|0;I=Q;Sqa(H);L=I;M=G;Qb(M|0);break}case 629:{G=Rqa(24)|0;I=a+24|0;H=b+((Bo(k[k[I>>2]>>2]|0)|0)<<3)|0;p[G>>3]=+p[H>>3];H=b+((Bo(k[(k[I>>2]|0)+4>>2]|0)|0)<<3)|0;p[G+8>>3]=+p[H>>3];H=b+((Bo(k[(k[I>>2]|0)+8>>2]|0)|0)<<3)|0;p[G+16>>3]=+p[H>>3];H=k[a+16>>2]|0;I=Qqa(16)|0;B=0;ib(284,I|0,c|0,G|0,738);J=B;B=0;if(!(J&1)){mC(H,I)|0;K=G;break a}G=Rb()|0;H=Q;Sqa(I);L=H;M=G;Qb(M|0);break}case 549:{G=a+44|0;H=qw(a,k[G>>2]|0)|0;I=Rqa(H>>>0>536870911?-1:H<<3)|0;rp(a,g,534,943);b:do if((H|0)>0){J=k[g>>2]|0;N=0;while(1){O=+p[b+(k[J+(N<<2)>>2]<<3)>>3];p[I+(N<<3)>>3]=O;P=+$(+O);p[t>>3]=P;R=k[t>>2]|0;S=k[t+4>>2]|0;if(S>>>0>2146435072|(S|0)==2146435072&R>>>0>0){T=14;break}N=N+1|0;if((R|0)==0&(S|0)==2146435072){T=38;break}if((N|0)>=(H|0))break b}if((T|0)==14){N=h+56|0;J=h+4|0;k[h>>2]=27524;k[N>>2]=27544;B=0;wa(508,h+56|0,J|0);S=B;B=0;if(S&1){S=Rb()|0;U=Q;V=S;vva(N);Qb(V|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[N>>2]=27488;B=0;va(448,J|0);S=B;B=0;do if(S&1){R=Rb()|0;W=Q;X=R}else{k[J>>2]=27560;R=h+36|0;k[R>>2]=0;k[R+4>>2]=0;k[R+8>>2]=0;k[R+12>>2]=0;k[h+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,J|0,f|0);Y=B;B=0;if(Y&1){Y=Rb()|0;Z=Q;Yua(f);Yua(R);Ava(J);W=Z;X=Y;break}Yua(f);B=0;Y=Ia(40,h|0,72427,19)|0;Z=B;B=0;c:do if(!(Z&1)?(B=0,Xa(239,Y|0,0)|0,_=B,B=0,!(_&1)):0){_=Ab(20)|0;B=0;eb(502,i|0,71825,72);aa=B;B=0;do if(!(aa&1)){B=0;eb(502,j|0,74786,21);ba=B;B=0;if(ba&1){ba=Rb()|0;ca=Q;Yua(i);da=ca;ea=ba;break}B=0;wa(510,l|0,J|0);ba=B;B=0;if(ba&1){ba=Rb()|0;fa=Q;ga=ba;ha=1}else{B=0;ua(163,_|0,i|0,j|0,1993,l|0);ba=B;B=0;if(ba&1)ia=1;else{B=0;eb(503,_|0,1240,229);B=0;ia=0}ba=Rb()|0;ca=Q;Yua(l);fa=ca;ga=ba;ha=ia}Yua(j);Yua(i);if(ha){da=fa;ea=ga}else{ja=fa;ka=ga;break c}}else{ba=Rb()|0;da=Q;ea=ba}while(0);zb(_|0);ja=da;ka=ea}else T=29;while(0);if((T|0)==29){Y=Rb()|0;ja=Q;ka=Y}k[h>>2]=27468;k[N>>2]=27488;k[J>>2]=27560;Yua(R);Ava(J);vva(N);L=ja;M=ka;Qb(M|0)}while(0);U=W;V=X;vva(N);Qb(V|0)}else if((T|0)==38){J=m+56|0;S=m+4|0;k[m>>2]=27524;k[J>>2]=27544;B=0;wa(508,m+56|0,S|0);Y=B;B=0;if(Y&1){Y=Rb()|0;la=Q;ma=Y;vva(J);Qb(ma|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[J>>2]=27488;B=0;va(448,S|0);Y=B;B=0;do if(Y&1){Z=Rb()|0;na=Q;oa=Z}else{k[S>>2]=27560;Z=m+36|0;k[Z>>2]=0;k[Z+4>>2]=0;k[Z+8>>2]=0;k[Z+12>>2]=0;k[m+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,S|0,f|0);aa=B;B=0;if(aa&1){aa=Rb()|0;ba=Q;Yua(f);Yua(Z);Ava(S);na=ba;oa=aa;break}Yua(f);B=0;aa=Ia(40,m|0,72447,19)|0;ba=B;B=0;d:do if(!(ba&1)?(B=0,Xa(239,aa|0,0)|0,ca=B,B=0,!(ca&1)):0){ca=Ab(20)|0;B=0;eb(502,n|0,71825,72);pa=B;B=0;do if(!(pa&1)){B=0;eb(502,o|0,74786,21);qa=B;B=0;if(qa&1){qa=Rb()|0;ra=Q;Yua(n);sa=ra;ta=qa;break}B=0;wa(510,q|0,S|0);qa=B;B=0;if(qa&1){qa=Rb()|0;xa=1;za=Q;Aa=qa}else{B=0;ua(163,ca|0,n|0,o|0,1994,q|0);qa=B;B=0;if(qa&1)Ba=1;else{B=0;eb(503,ca|0,1240,229);B=0;Ba=0}qa=Rb()|0;ra=Q;Yua(q);xa=Ba;za=ra;Aa=qa}Yua(o);Yua(n);if(xa){sa=za;ta=Aa}else{Ca=za;Da=Aa;break d}}else{qa=Rb()|0;sa=Q;ta=qa}while(0);zb(ca|0);Ca=sa;Da=ta}else T=53;while(0);if((T|0)==53){aa=Rb()|0;Ca=Q;Da=aa}k[m>>2]=27468;k[J>>2]=27488;k[S>>2]=27560;Yua(Z);Ava(S);vva(J);L=Ca;M=Da;Qb(M|0)}while(0);la=na;ma=oa;vva(J);Qb(ma|0)}}while(0);H=k[a+16>>2]|0;S=Qqa(16)|0;B=0;ib(284,S|0,c|0,I|0,k[G>>2]|0);Y=B;B=0;if(!(Y&1)){mC(H,S)|0;K=I;break a}H=Rb()|0;Y=Q;Sqa(S);L=Y;M=H;Qb(M|0);break}case 608:{H=a+44|0;Y=qw(a,k[H>>2]|0)|0;S=Rqa(Y>>>0>536870911?-1:Y<<3)|0;e:do if((Y|0)>0){N=a+20|0;aa=0;while(1){ba=b+((Qn(k[(k[N>>2]|0)+(aa<<2)>>2]|0)|0)<<3)|0;P=+p[ba>>3];p[S+(aa<<3)>>3]=P;O=+$(+P);p[t>>3]=O;ba=k[t>>2]|0;R=k[t+4>>2]|0;if(R>>>0>2146435072|(R|0)==2146435072&ba>>>0>0){T=68;break}aa=aa+1|0;if((ba|0)==0&(R|0)==2146435072){T=92;break}if((aa|0)>=(Y|0))break e}if((T|0)==68){aa=s+56|0;N=s+4|0;k[s>>2]=27524;k[aa>>2]=27544;B=0;wa(508,s+56|0,N|0);J=B;B=0;if(J&1){J=Rb()|0;Ea=Q;Fa=J;vva(aa);Qb(Fa|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[aa>>2]=27488;B=0;va(448,N|0);J=B;B=0;do if(J&1){R=Rb()|0;Ga=Q;Ha=R}else{k[N>>2]=27560;R=s+36|0;k[R>>2]=0;k[R+4>>2]=0;k[R+8>>2]=0;k[R+12>>2]=0;k[s+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,N|0,f|0);ba=B;B=0;if(ba&1){ba=Rb()|0;pa=Q;Yua(f);Yua(R);Ava(N);Ga=pa;Ha=ba;break}Yua(f);B=0;ba=Ia(40,s|0,72427,19)|0;pa=B;B=0;f:do if(!(pa&1)?(B=0,Xa(239,ba|0,0)|0,_=B,B=0,!(_&1)):0){_=Ab(20)|0;B=0;eb(502,u|0,71825,72);qa=B;B=0;do if(!(qa&1)){B=0;eb(502,v|0,74786,21);ra=B;B=0;if(ra&1){ra=Rb()|0;Ja=Q;Yua(u);Ka=Ja;La=ra;break}B=0;wa(510,w|0,N|0);ra=B;B=0;if(ra&1){ra=Rb()|0;Ma=1;Na=Q;Oa=ra}else{B=0;ua(163,_|0,u|0,v|0,2006,w|0);ra=B;B=0;if(ra&1)Pa=1;else{B=0;eb(503,_|0,1240,229);B=0;Pa=0}ra=Rb()|0;Ja=Q;Yua(w);Ma=Pa;Na=Ja;Oa=ra}Yua(v);Yua(u);if(Ma){Ka=Na;La=Oa}else{Qa=Na;Ra=Oa;break f}}else{ra=Rb()|0;Ka=Q;La=ra}while(0);zb(_|0);Qa=Ka;Ra=La}else T=83;while(0);if((T|0)==83){ba=Rb()|0;Qa=Q;Ra=ba}k[s>>2]=27468;k[aa>>2]=27488;k[N>>2]=27560;Yua(R);Ava(N);vva(aa);L=Qa;M=Ra;Qb(M|0)}while(0);Ea=Ga;Fa=Ha;vva(aa);Qb(Fa|0)}else if((T|0)==92){N=x+56|0;J=x+4|0;k[x>>2]=27524;k[N>>2]=27544;B=0;wa(508,x+56|0,J|0);ba=B;B=0;if(ba&1){ba=Rb()|0;Sa=Q;Ta=ba;vva(N);Qb(Ta|0)}k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[N>>2]=27488;B=0;va(448,J|0);ba=B;B=0;do if(ba&1){pa=Rb()|0;Ua=Q;Va=pa}else{k[J>>2]=27560;pa=x+36|0;k[pa>>2]=0;k[pa+4>>2]=0;k[pa+8>>2]=0;k[pa+12>>2]=0;k[x+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,J|0,f|0);Z=B;B=0;if(Z&1){Z=Rb()|0;qa=Q;Yua(f);Yua(pa);Ava(J);Ua=qa;Va=Z;break}Yua(f);B=0;Z=Ia(40,x|0,72447,19)|0;qa=B;B=0;g:do if(!(qa&1)?(B=0,Xa(239,Z|0,0)|0,ca=B,B=0,!(ca&1)):0){ca=Ab(20)|0;B=0;eb(502,y|0,71825,72);ra=B;B=0;do if(!(ra&1)){B=0;eb(502,z|0,74786,21);Ja=B;B=0;if(Ja&1){Ja=Rb()|0;Wa=Q;Yua(y);Ya=Wa;Za=Ja;break}B=0;wa(510,A|0,J|0);Ja=B;B=0;if(Ja&1){Ja=Rb()|0;_a=1;$a=Q;ab=Ja}else{B=0;ua(163,ca|0,y|0,z|0,2007,A|0);Ja=B;B=0;if(Ja&1)bb=1;else{B=0;eb(503,ca|0,1240,229);B=0;bb=0}Ja=Rb()|0;Wa=Q;Yua(A);_a=bb;$a=Wa;ab=Ja}Yua(z);Yua(y);if(_a){Ya=$a;Za=ab}else{cb=$a;db=ab;break g}}else{Ja=Rb()|0;Ya=Q;Za=Ja}while(0);zb(ca|0);cb=Ya;db=Za}else T=107;while(0);if((T|0)==107){Z=Rb()|0;cb=Q;db=Z}k[x>>2]=27468;k[N>>2]=27488;k[J>>2]=27560;Yua(pa);Ava(J);vva(N);L=cb;M=db;Qb(M|0)}while(0);Sa=Ua;Ta=Va;vva(N);Qb(Ta|0)}}while(0);Y=k[a+16>>2]|0;I=Qqa(16)|0;B=0;ib(284,I|0,c|0,S|0,k[H>>2]|0);G=B;B=0;if(!(G&1)){mC(Y,I)|0;K=S;break a}Y=Rb()|0;G=Q;Sqa(I);L=G;M=Y;Qb(M|0);break}default:{Y=C+56|0;G=C+4|0;k[C>>2]=27524;k[Y>>2]=27544;B=0;wa(508,C+56|0,G|0);I=B;B=0;if(I&1){I=Rb()|0;fb=Q;gb=I;vva(Y);Qb(gb|0)}k[C+128>>2]=0;k[C+132>>2]=-1;k[C>>2]=27468;k[Y>>2]=27488;B=0;va(448,G|0);I=B;B=0;do if(I&1){J=Rb()|0;hb=Q;jb=J}else{k[G>>2]=27560;J=C+36|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;k[J+12>>2]=0;k[C+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,G|0,f|0);ba=B;B=0;if(ba&1){ba=Rb()|0;aa=Q;Yua(f);Yua(J);Ava(G);hb=aa;jb=ba;break}Yua(f);B=0;ba=Ia(40,C|0,74808,5)|0;aa=B;B=0;h:do if((((((!(aa&1)?(B=0,Z=Xa(242,ba|0,d|0)|0,qa=B,B=0,!(qa&1)):0)?(B=0,qa=Ia(40,Z|0,144166,2)|0,Z=B,B=0,!(Z&1)):0)?(B=0,Z=ya(427,d|0)|0,R=B,B=0,!(R&1)):0)?(R=Lta(Z)|0,B=0,ra=Ia(40,qa|0,Z|0,R|0)|0,R=B,B=0,!(R&1)):0)?(B=0,R=Ia(40,ra|0,74814,21)|0,ra=B,B=0,!(ra&1)):0)?(B=0,Xa(239,R|0,0)|0,R=B,B=0,!(R&1)):0){R=Ab(20)|0;B=0;eb(502,D|0,71825,72);ra=B;B=0;do if(!(ra&1)){B=0;eb(502,E|0,74786,21);Z=B;B=0;if(Z&1){Z=Rb()|0;qa=Q;Yua(D);kb=qa;lb=Z;break}B=0;wa(510,F|0,G|0);Z=B;B=0;if(Z&1){Z=Rb()|0;mb=1;nb=Q;ob=Z}else{B=0;ua(163,R|0,D|0,E|0,2013,F|0);Z=B;B=0;if(Z&1)pb=1;else{B=0;eb(503,R|0,1240,229);B=0;pb=0}Z=Rb()|0;qa=Q;Yua(F);mb=pb;nb=qa;ob=Z}Yua(E);Yua(D);if(mb){kb=nb;lb=ob}else{qb=nb;rb=ob;break h}}else{Z=Rb()|0;kb=Q;lb=Z}while(0);zb(R|0);qb=kb;rb=lb}else T=137;while(0);if((T|0)==137){ba=Rb()|0;qb=Q;rb=ba}k[C>>2]=27468;k[Y>>2]=27488;k[G>>2]=27560;Yua(J);Ava(G);vva(Y);L=qb;M=rb;Qb(M|0)}while(0);fb=hb;gb=jb;vva(Y);Qb(gb|0)}}while(0);gb=k[g>>2]|0;if(gb)Tqa(gb);k[g>>2]=0;Tqa(K);r=e;return}function Lu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Ku(a+-4|0,b,c,d);return}function Mu(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0.0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;b=r;r=r+224|0;c=b+200|0;d=b;e=b+64|0;f=b+48|0;g=b+36|0;h=b+24|0;xp(a,d,289);i=+p[d>>3]+ +p[d+8>>3]+ +p[d+16>>3];if(!(i==3.0)){r=b;return i>1.0|0}b=e+56|0;d=e+4|0;k[e>>2]=27524;k[b>>2]=27544;B=0;wa(508,e+56|0,d|0);a=B;B=0;if(a&1){a=Rb()|0;j=Q;l=a;vva(b);Qb(l|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[b>>2]=27488;B=0;va(448,d|0);a=B;B=0;do if(a&1){m=Rb()|0;n=Q;o=m}else{k[d>>2]=27560;m=e+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,d|0,c|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(c);Yua(m);Ava(d);n=s;o=q;break}Yua(c);B=0;q=Ia(40,e|0,72467,42)|0;s=B;B=0;if(!(s&1)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,f|0,71825,72);s=B;B=0;do if(!(s&1)){B=0;eb(502,g|0,75251,16);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(f);v=u;w=t;break}B=0;wa(510,h|0,d|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,f|0,g|0,2033,h|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(h);x=u;y=t;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[b>>2]=27488;k[d>>2]=27560;Yua(m);Ava(d);vva(b);Qb(D|0)}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w;k[e>>2]=27468;k[b>>2]=27488;k[d>>2]=27560;Yua(m);Ava(d);vva(b);Qb(D|0)}s=Rb()|0;C=Q;D=s;k[e>>2]=27468;k[b>>2]=27488;k[d>>2]=27560;Yua(m);Ava(d);vva(b);Qb(D|0)}while(0);j=n;l=o;vva(b);Qb(l|0);return 0}function Nu(a){a=a|0;var b=0,c=0,d=0;b=r;r=r+32|0;c=b;xp(a,c,206);if(!($p(a)|0)){d=0;r=b;return d|0}d=((+p[c+16>>3]<0.0&1)+((+p[c+8>>3]<0.0&1)+(+p[c>>3]<0.0&1))|0)==1;r=b;return d|0}function Ou(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+24|0;a=b+((Co(k[k[c>>2]>>2]|0)|0)<<3)|0;if(+p[a>>3]<0.0){d=1;return d|0}a=b+((Co(k[(k[c>>2]|0)+4>>2]|0)|0)<<3)|0;if(+p[a>>3]<0.0){d=1;return d|0}a=b+((Co(k[(k[c>>2]|0)+8>>2]|0)|0)<<3)|0;if(+p[a>>3]<0.0){d=1;return d|0}d=0;return d|0}function Pu(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+180|0;d=b+176|0;e=b+40|0;f=b+24|0;g=b+12|0;h=b;cO(k[a+36>>2]|0,d,298);switch(k[d>>2]|0){case 301:{i=zu(a)|0;r=b;return i|0}case 300:{i=1;r=b;return i|0}default:{i=e+56|0;b=e+4|0;k[e>>2]=27524;k[i>>2]=27544;B=0;wa(508,e+56|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;j=Q;l=a;vva(i);Qb(l|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[i>>2]=27488;B=0;va(448,b|0);a=B;B=0;do if(a&1){m=Rb()|0;n=Q;o=m}else{k[b>>2]=27560;m=e+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,b|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(b);n=q;o=p;break}Yua(c);B=0;p=Ia(40,e|0,144639,5)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[d>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,146481,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,f|0,71825,72);t=B;B=0;do if(!(t&1)){B=0;eb(502,g|0,72510,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(f);u=p;v=q;break}B=0;wa(510,h|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,f|0,g|0,2084,h|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(h);w=p;x=q;y=z}Yua(g);Yua(f);if(y){u=w;v=x}else{A=w;C=x;k[e>>2]=27468;k[i>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(i);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[e>>2]=27468;k[i>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(i);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[e>>2]=27468;k[i>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(i);Qb(C|0)}while(0);j=n;l=o;vva(i);Qb(l|0)}}return 0}function Qu(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+180|0;d=b+176|0;e=b+40|0;f=b+24|0;g=b+12|0;h=b;cO(k[a+36>>2]|0,d,298);switch(k[d>>2]|0){case 301:{i=Au(a)|0;r=b;return i|0}case 300:{i=1;r=b;return i|0}default:{i=e+56|0;b=e+4|0;k[e>>2]=27524;k[i>>2]=27544;B=0;wa(508,e+56|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;j=Q;l=a;vva(i);Qb(l|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[i>>2]=27488;B=0;va(448,b|0);a=B;B=0;do if(a&1){m=Rb()|0;n=Q;o=m}else{k[b>>2]=27560;m=e+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,b|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(b);n=q;o=p;break}Yua(c);B=0;p=Ia(40,e|0,144639,5)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[d>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,146481,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,f|0,71825,72);t=B;B=0;do if(!(t&1)){B=0;eb(502,g|0,72519,11);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(f);u=p;v=q;break}B=0;wa(510,h|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,f|0,g|0,2097,h|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(h);w=p;x=q;y=z}Yua(g);Yua(f);if(y){u=w;v=x}else{A=w;C=x;k[e>>2]=27468;k[i>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(i);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[e>>2]=27468;k[i>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(i);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[e>>2]=27468;k[i>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(i);Qb(C|0)}while(0);j=n;l=o;vva(i);Qb(l|0)}}return 0}function Ru(a,b){a=a|0;b=b|0;var c=0,d=0,e=0.0,f=0.0,g=0.0,h=0.0,i=0.0,j=0;c=r;r=r+32|0;d=c;xp(a,d,b);do if($p(a)|0){e=+p[d>>3];f=+p[d+8>>3];g=e*f;if(!(g<0.0)?(h=+p[d+16>>3],i=e*h,!(i<0.0)):0){if(!(g*h==0.0)){j=0;break}if(!(f*h+(g+i)<=0.0)){j=0;break}}j=1}else j=0;while(0);r=c;return j|0}function Su(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;uw(a,b,c,d);return}function Tu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;yw(a,b,c,d);return}function Uu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;yw(a,b,c,d);return}function Vu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;yw(a,b,c,d);return}function Wu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0.0,o=0,q=0,s=0,t=0.0,u=0.0,v=0.0,w=0,x=0,y=0,z=0.0;c=r;r=r+48|0;d=c+24|0;e=c+16|0;f=c+36|0;g=c+32|0;h=c+8|0;j=c;l=c+40|0;k[f>>2]=0;i[l>>0]=1;Uo(a,f);m=Wo(a,353)|0;n=+WJ(k[a+32>>2]|0,265);o=Rqa(24)|0;q=a+24|0;s=b+((Bo(k[k[q>>2]>>2]|0)|0)<<3)|0;p[o>>3]=+p[s>>3];s=b+((Bo(k[(k[q>>2]|0)+4>>2]|0)|0)<<3)|0;p[o+8>>3]=+p[s>>3];s=b+((Bo(k[(k[q>>2]|0)+8>>2]|0)|0)<<3)|0;p[o+16>>3]=+p[s>>3];Uc[k[(k[a>>2]|0)+152>>2]&63](a,g,h,j,l,o);s=hd[k[(k[a>>2]|0)+320>>2]&7](a,k[g>>2]|0,+p[h>>3],+p[j>>3],(i[l>>0]|0)!=0,4)|0;l=Hc[k[(k[s>>2]|0)+8>>2]&511](s)|0;if((l|0)<(Hc[k[(k[s>>2]|0)+12>>2]&511](s)|0)){j=s+8|0;h=l;t=0.0;while(1){Fc[k[(k[s>>2]|0)+24>>2]&1023](s,h);rd[k[(k[a>>2]|0)+260>>2]&511](a,e,k[f>>2]|0,s);nd[k[(k[m>>2]|0)+48>>2]&1023](m,d,s);u=t+ +p[d>>3]*+p[j>>3]*+p[e>>3];h=h+1|0;if((h|0)>=(Hc[k[(k[s>>2]|0)+12>>2]&511](s)|0)){v=u;break}else t=u}}else v=0.0;h=k[f>>2]|0;if(!h){k[f>>2]=0;Tqa(o);w=k[s>>2]|0;x=w+4|0;y=k[x>>2]|0;Ec[y&1023](s);z=n*v;r=c;return +z}Tqa(h);k[f>>2]=0;Tqa(o);w=k[s>>2]|0;x=w+4|0;y=k[x>>2]|0;Ec[y&1023](s);z=n*v;r=c;return +z}function Xu(a,b,c,d,e,f){a=a|0;b=+b;c=+c;d=+d;e=+e;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0.0,H=0.0,I=0,J=0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,ba=0;g=r;r=r+320|0;h=g+300|0;i=g+296|0;j=g+48|0;l=g+40|0;m=g+32|0;n=g+24|0;o=g+16|0;q=g+8|0;s=g;t=g+160|0;u=g+144|0;v=g+132|0;w=g+120|0;x=+WJ(k[a+32>>2]|0,265);y=a+8|0;if((k[y>>2]|0)==(f|0)){Ko(j,k[a+24>>2]|0,3,0);z=Qqa(64)|0;B=0;va(491,z|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Sqa(z);D=C;E=A;Qb(E|0)}Oja(z,b,c,j);A=Qqa(64)|0;B=0;va(491,A|0);C=B;B=0;if(C&1){C=Rb()|0;F=Q;Sqa(A);D=F;E=C;Qb(E|0)}Oja(A,d,e,j);G=e-c;c=+ia(+(b-d),+G);e=+ca(+c);H=+da(+c);c=d-b;b=+aa(+(c*c+G*G));j=a+16|0;C=oC(k[j>>2]|0,353)|0;cO(k[a+36>>2]|0,i,298);a=k[j>>2]|0;if((k[i>>2]|0)==300){i=oC(a,674)|0;I=i;J=oC(k[j>>2]|0,677)|0}else{i=oC(a,673)|0;I=i;J=oC(k[j>>2]|0,676)|0}nd[k[(k[C>>2]|0)+48>>2]&1023](C,l,z);nd[k[(k[C>>2]|0)+48>>2]&1023](C,m,A);nd[k[(k[I>>2]|0)+48>>2]&1023](I,n,z);nd[k[(k[I>>2]|0)+48>>2]&1023](I,o,A);nd[k[(k[J>>2]|0)+48>>2]&1023](J,q,z);nd[k[(k[J>>2]|0)+48>>2]&1023](J,s,A);G=+p[m>>3];c=+p[l>>3]-G;d=c*.3333333333333333;K=+p[o>>3];L=+p[n>>3]-K;M=G*.5;N=c*.5;c=+p[s>>3];O=+p[q>>3]-c;Ec[k[(k[z>>2]|0)+4>>2]&1023](z);Ec[k[(k[A>>2]|0)+4>>2]&1023](A);r=g;return +(x*b*(e*(G*K+(N*K+(d*L+M*L)))+H*(G*c+(N*c+(d*O+M*O)))))}g=t+56|0;A=t+4|0;k[t>>2]=27524;k[g>>2]=27544;B=0;wa(508,t+56|0,A|0);z=B;B=0;if(z&1){z=Rb()|0;P=Q;R=z;vva(g);Qb(R|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[g>>2]=27488;B=0;va(448,A|0);z=B;B=0;do if(z&1){q=Rb()|0;S=Q;T=q}else{k[A>>2]=27560;q=t+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[t+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,A|0,h|0);s=B;B=0;if(s&1){s=Rb()|0;n=Q;Yua(h);Yua(q);Ava(A);S=n;T=s;break}Yua(h);B=0;s=Ia(40,t|0,72531,31)|0;n=B;B=0;a:do if((((!(n&1)?(B=0,o=Xa(242,s|0,f|0)|0,l=B,B=0,!(l&1)):0)?(B=0,l=Ia(40,o|0,72563,36)|0,o=B,B=0,!(o&1)):0)?(B=0,o=Xa(242,l|0,k[y>>2]|0)|0,l=B,B=0,!(l&1)):0)?(B=0,Xa(239,o|0,0)|0,o=B,B=0,!(o&1)):0){o=Ab(20)|0;B=0;eb(502,u|0,71825,72);l=B;B=0;do if(!(l&1)){B=0;eb(502,v|0,99206,8);m=B;B=0;if(m&1){m=Rb()|0;J=Q;Yua(u);U=J;V=m;break}B=0;wa(510,w|0,A|0);m=B;B=0;if(m&1){m=Rb()|0;W=Q;X=m;Y=1}else{B=0;ua(163,o|0,u|0,v|0,2220,w|0);m=B;B=0;if(m&1)Z=1;else{B=0;eb(503,o|0,1240,229);B=0;Z=0}m=Rb()|0;J=Q;Yua(w);W=J;X=m;Y=Z}Yua(v);Yua(u);if(Y){U=W;V=X}else{_=W;$=X;break a}}else{m=Rb()|0;U=Q;V=m}while(0);zb(o|0);_=U;$=V}else ba=20;while(0);if((ba|0)==20){s=Rb()|0;_=Q;$=s}k[t>>2]=27468;k[g>>2]=27488;k[A>>2]=27560;Yua(q);Ava(A);vva(g);D=_;E=$;Qb(E|0)}while(0);P=S;R=T;vva(g);Qb(R|0);return +(0.0)}function Yu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0.0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,C=0,D=0,E=0,F=0,G=0.0,H=0.0,I=0,J=0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,ba=0;c=r;r=r+320|0;d=c+300|0;e=c+296|0;f=c+48|0;g=c+40|0;h=c+32|0;i=c+24|0;j=c+16|0;l=c+8|0;m=c;n=c+160|0;o=c+144|0;q=c+132|0;s=c+120|0;t=+WJ(k[a+32>>2]|0,265);u=b+32|0;v=a+8|0;if((~~+p[u>>3]|0)==(k[v>>2]|0)){w=+p[b>>3];x=+p[b+8>>3];y=+p[b+16>>3];z=+p[b+24>>3];Ko(f,k[a+24>>2]|0,3,0);b=Qqa(64)|0;B=0;va(491,b|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Sqa(b);D=C;E=A;Qb(E|0)}Oja(b,w,x,f);A=Qqa(64)|0;B=0;va(491,A|0);C=B;B=0;if(C&1){C=Rb()|0;F=Q;Sqa(A);D=F;E=C;Qb(E|0)}Oja(A,y,z,f);G=z-x;x=+ia(+(w-y),+G);z=+ca(+x);H=+da(+x);x=y-w;w=+aa(+(x*x+G*G));f=a+16|0;C=oC(k[f>>2]|0,353)|0;cO(k[a+36>>2]|0,e,298);a=k[f>>2]|0;if((k[e>>2]|0)==300){e=oC(a,674)|0;I=e;J=oC(k[f>>2]|0,677)|0}else{e=oC(a,673)|0;I=e;J=oC(k[f>>2]|0,676)|0}nd[k[(k[C>>2]|0)+48>>2]&1023](C,g,b);nd[k[(k[C>>2]|0)+48>>2]&1023](C,h,A);nd[k[(k[I>>2]|0)+48>>2]&1023](I,i,b);nd[k[(k[I>>2]|0)+48>>2]&1023](I,j,A);nd[k[(k[J>>2]|0)+48>>2]&1023](J,l,b);nd[k[(k[J>>2]|0)+48>>2]&1023](J,m,A);G=+p[h>>3];x=+p[g>>3]-G;y=x*.3333333333333333;K=+p[j>>3];L=+p[i>>3]-K;M=G*.5;N=x*.5;x=+p[m>>3];O=+p[l>>3]-x;Ec[k[(k[b>>2]|0)+4>>2]&1023](b);Ec[k[(k[A>>2]|0)+4>>2]&1023](A);r=c;return +(t*w*(z*(G*K+(N*K+(y*L+M*L)))+H*(G*x+(N*x+(y*O+M*O)))))}c=n+56|0;A=n+4|0;k[n>>2]=27524;k[c>>2]=27544;B=0;wa(508,n+56|0,A|0);b=B;B=0;if(b&1){b=Rb()|0;P=Q;R=b;vva(c);Qb(R|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[c>>2]=27488;B=0;va(448,A|0);b=B;B=0;do if(b&1){l=Rb()|0;S=Q;T=l}else{k[A>>2]=27560;l=n+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[n+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,A|0,d|0);m=B;B=0;if(m&1){m=Rb()|0;i=Q;Yua(d);Yua(l);Ava(A);S=i;T=m;break}Yua(d);B=0;m=Ia(40,n|0,72531,31)|0;i=B;B=0;a:do if((((!(i&1)?(B=0,j=Xa(242,m|0,~~+p[u>>3]|0)|0,g=B,B=0,!(g&1)):0)?(B=0,g=Ia(40,j|0,72563,36)|0,j=B,B=0,!(j&1)):0)?(B=0,j=Xa(242,g|0,k[v>>2]|0)|0,g=B,B=0,!(g&1)):0)?(B=0,Xa(239,j|0,0)|0,j=B,B=0,!(j&1)):0){j=Ab(20)|0;B=0;eb(502,o|0,71825,72);g=B;B=0;do if(!(g&1)){B=0;eb(502,q|0,99206,8);h=B;B=0;if(h&1){h=Rb()|0;J=Q;Yua(o);U=J;V=h;break}B=0;wa(510,s|0,A|0);h=B;B=0;if(h&1){h=Rb()|0;W=Q;X=h;Y=1}else{B=0;ua(163,j|0,o|0,q|0,2283,s|0);h=B;B=0;if(h&1)Z=1;else{B=0;eb(503,j|0,1240,229);B=0;Z=0}h=Rb()|0;J=Q;Yua(s);W=J;X=h;Y=Z}Yua(q);Yua(o);if(Y){U=W;V=X}else{_=W;$=X;break a}}else{h=Rb()|0;U=Q;V=h}while(0);zb(j|0);_=U;$=V}else ba=20;while(0);if((ba|0)==20){m=Rb()|0;_=Q;$=m}k[n>>2]=27468;k[c>>2]=27488;k[A>>2]=27560;Yua(l);Ava(A);vva(c);D=_;E=$;Qb(E|0)}while(0);P=S;R=T;vva(c);Qb(R|0);return +(0.0)}function Zu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0.0,m=0,n=0,o=0,q=0.0,s=0,t=0.0,u=0.0,v=0.0;e=r;r=r+112|0;f=e+96|0;g=e+88|0;h=e+80|0;i=e+72|0;j=e;if(!($p(a)|0)){l=0.0;r=e;return +l}Ko(j,k[a+24>>2]|0,3,0);m=a+16|0;n=oC(k[m>>2]|0,b)|0;b=oC(k[m>>2]|0,c)|0;c=oC(k[m>>2]|0,d)|0;d=Qqa(64)|0;B=0;wa(517,d|0,2);m=B;B=0;if(m&1){m=Rb()|0;Sqa(d);Qb(m|0)}m=Hc[k[(k[d>>2]|0)+8>>2]&511](d)|0;if((m|0)<(Hc[k[(k[d>>2]|0)+12>>2]&511](d)|0)){o=d+8|0;q=0.0;s=m;while(1){Fc[k[(k[d>>2]|0)+24>>2]&1023](d,s);uw(a,i,j,d);nd[k[(k[n>>2]|0)+48>>2]&1023](n,f,d);nd[k[(k[b>>2]|0)+48>>2]&1023](b,g,d);nd[k[(k[c>>2]|0)+48>>2]&1023](c,h,d);t=+p[f>>3]-+p[g>>3];u=q+ +p[o>>3]*(+p[h>>3]*(+p[i>>3]*(t*(t*.5))));s=s+1|0;if((s|0)>=(Hc[k[(k[d>>2]|0)+12>>2]&511](d)|0)){v=u;break}else q=u}}else v=0.0;Ec[k[(k[d>>2]|0)+4>>2]&1023](d);l=v;r=e;return +l}function _u(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0.0,h=0,i=0,j=0,l=0.0,m=0,n=0.0,o=0.0;c=r;r=r+96|0;d=c+80|0;e=c+72|0;f=c;if(!($p(a)|0)){g=0.0;r=c;return +g}Ko(f,k[a+24>>2]|0,3,0);h=oC(k[a+16>>2]|0,b)|0;b=Qqa(64)|0;B=0;wa(517,b|0,2);i=B;B=0;if(i&1){i=Rb()|0;Sqa(b);Qb(i|0)}i=Hc[k[(k[b>>2]|0)+8>>2]&511](b)|0;if((i|0)<(Hc[k[(k[b>>2]|0)+12>>2]&511](b)|0)){j=b+8|0;l=0.0;m=i;while(1){Fc[k[(k[b>>2]|0)+24>>2]&1023](b,m);uw(a,e,f,b);nd[k[(k[h>>2]|0)+48>>2]&1023](h,d,b);n=l+ +p[e>>3]*+p[d>>3]*+p[j>>3];m=m+1|0;if((m|0)>=(Hc[k[(k[b>>2]|0)+12>>2]&511](b)|0)){o=n;break}else l=n}}else o=0.0;Ec[k[(k[b>>2]|0)+4>>2]&1023](b);g=o;r=c;return +g}function $u(a){a=a|0;var b=0;a=Qqa(64)|0;B=0;va(491,a|0);b=B;B=0;if(b&1){b=Rb()|0;Sqa(a);Qb(b|0)}else return a|0;return 0}function av(a,b){a=a|0;b=b|0;a=Qqa(64)|0;B=0;wa(517,a|0,b|0);b=B;B=0;if(b&1){b=Rb()|0;Sqa(a);Qb(b|0)}else return a|0;return 0}function bv(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=r;r=r+48|0;f=e;hu(a,f,c,b,2);b=Qqa(64)|0;B=0;eb(510,b|0,f|0,d|0);d=B;B=0;if(d&1){d=Rb()|0;Sqa(b);Qb(d|0)}else{r=e;return b|0}return 0}function cv(a,b,c,d,e,f){a=a|0;b=b|0;c=+c;d=+d;e=e|0;f=f|0;a=Qqa(64)|0;B=0;Fa(1,a|0,b|0,+c,+d,e|0,f|0);f=B;B=0;if(f&1){f=Rb()|0;Sqa(a);Qb(f|0)}else return a|0;return 0}function dv(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0;d=r;r=r+48|0;f=d;hu(a,f,c,b,2);b=Qqa(64)|0;B=0;eb(510,b|0,f|0,e|0);e=B;B=0;if(e&1){e=Rb()|0;Sqa(b);Qb(e|0)}else{r=d;return b|0}return 0}function ev(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=r;r=r+16|0;d=c;e=d+4|0;_t(a,d,e);a=Qqa(64)|0;B=0;ib(289,a|0,k[d>>2]|0,k[e>>2]|0,b|0);b=B;B=0;if(b&1){b=Rb()|0;Sqa(a);Qb(b|0)}else{r=c;return a|0}return 0}function fv(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=r;r=r+16|0;d=c;e=d+4|0;$t(a,d,e);a=Qqa(64)|0;B=0;ib(289,a|0,k[d>>2]|0,k[e>>2]|0,b|0);b=B;B=0;if(b&1){b=Rb()|0;Sqa(a);Qb(b|0)}else{r=c;return a|0}return 0}function gv(a,b,c){a=a|0;b=b|0;c=c|0;tw(a,b,c,k[a+44>>2]|0);return}function hv(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;rw(a,b,c,d,k[a+44>>2]|0);return}function iv(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;rw(a,b,c,d,Hc[k[(k[a>>2]|0)+504>>2]&511](a)|0);return}function jv(a,b,c){a=a|0;b=b|0;c=c|0;tw(a,b,c,Hc[k[(k[a>>2]|0)+404>>2]&511](a)|0);return}function kv(a,b,c){a=a|0;b=b|0;c=c|0;tw(a,b,c,738);return}function lv(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;rw(a,b,c,d,738);return}function mv(a,b,c){a=a|0;b=b|0;c=c|0;tw(a,b,c,742);return}function nv(a,b,c){a=a|0;b=b|0;c=c|0;tw(a,b,c,Hc[k[(k[a>>2]|0)+460>>2]&511](a)|0);return}function ov(a,b,c){a=a|0;b=b|0;c=c|0;tw(a,b,c,Hc[k[(k[a>>2]|0)+504>>2]&511](a)|0);return}function pv(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=r;r=r+16|0;f=e;g=oC(k[a+16>>2]|0,d)|0;d=a+24|0;a=Bo(k[k[d>>2]>>2]|0)|0;if(!g){h=0;r=e;return h|0}if((a|0)!=(c|0))if((Bo(k[(k[d>>2]|0)+4>>2]|0)|0)!=(c|0))if((Bo(k[(k[d>>2]|0)+8>>2]|0)|0)==(c|0))i=2;else{h=0;r=e;return h|0}else i=1;else i=0;c=Qqa(64)|0;B=0;va(491,c|0);d=B;B=0;if(d&1){d=Rb()|0;Sqa(c);Qb(d|0)}Fc[k[(k[c>>2]|0)+28>>2]&1023](c,i);nd[k[(k[g>>2]|0)+48>>2]&1023](g,f,c);Ec[k[(k[c>>2]|0)+4>>2]&1023](c);p[b>>3]=+p[f>>3];h=1;r=e;return h|0}function qv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0.0,f=0.0;d=+p[c+24>>3]-+p[c>>3];e=+p[c+32>>3]-+p[c+8>>3];f=+aa(+(d*d+e*e));p[b>>3]=e/f;p[b+8>>3]=-d/f;return}function rv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0.0,f=0.0;d=+p[c+24>>3]-+p[c>>3];e=+p[c+32>>3]-+p[c+8>>3];f=+aa(+(d*d+e*e));p[b>>3]=e/f;p[b+8>>3]=-d/f;return}function sv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0.0,f=0.0,g=0.0;d=r;r=r+16|0;$t(a,d+4|0,d);e=+p[c+24>>3]-+p[c>>3];f=+p[c+32>>3]-+p[c+8>>3];g=+aa(+(e*e+f*f));p[b>>3]=f/g;p[b+8>>3]=-e/g;r=d;return}function tv(a){a=a|0;return 621}function uv(a){a=a|0;return qw(a,Hc[k[(k[a>>2]|0)+404>>2]&511](a)|0)|0}function vv(a){a=a|0;return qw(a,Hc[k[(k[a>>2]|0)+504>>2]&511](a)|0)|0}function wv(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0.0,i=0.0,j=0,l=0;c=r;r=r+80|0;d=c+48|0;e=c+24|0;f=c;g=a+32|0;h=+WJ(k[g>>2]|0,266);i=+WJ(k[g>>2]|0,265)/h;xp(a,d,353);xp(a,e,63);xp(a,f,928);g=a+24|0;a=b+4|0;if((+p[f>>3]>0.0?+p[e>>3]<-(i*+p[d>>3]):0)?(j=Co(k[k[g>>2]>>2]|0)|0,(k[b>>2]|0)!=0):0){l=k[k[a>>2]>>2]|0;Jc[k[(k[l>>2]|0)+20>>2]&1](l,j,1.0,0)}if((+p[f+8>>3]>0.0?+p[e+8>>3]<-(i*+p[d+8>>3]):0)?(j=Co(k[(k[g>>2]|0)+4>>2]|0)|0,(k[b>>2]|0)!=0):0){l=k[k[a>>2]>>2]|0;Jc[k[(k[l>>2]|0)+20>>2]&1](l,j,1.0,0)}if(!(+p[f+16>>3]>0.0)){r=c;return}if(!(+p[e+16>>3]<-(i*+p[d+16>>3]))){r=c;return}d=Co(k[(k[g>>2]|0)+8>>2]|0)|0;if(!(k[b>>2]|0)){r=c;return}b=k[k[a>>2]>>2]|0;Jc[k[(k[b>>2]|0)+20>>2]&1](b,d,1.0,0);r=c;return}function xv(a){a=a|0;return Bw(a,k[a+44>>2]|0)|0}function yv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=r;r=r+16|0;e=d;a:do if(c){switch(k[a+44>>2]|0){case 752:{f=e;k[f>>2]=6;k[f+4>>2]=7;VN(c,b,2,e);break a;break}case 741:break;default:break a}f=a+20|0;g=eo(k[(k[f>>2]|0)+12>>2]|0,534,943)|0;h=eo(k[k[f>>2]>>2]|0,534,943)|0;i=(eo(k[(k[f>>2]|0)+4>>2]|0,534,943)|0)+h|0;h=(eo(k[(k[f>>2]|0)+8>>2]|0,534,943)|0)+i|0;i=Rqa(g>>>0>1073741823?-1:g<<2)|0;if((g|0)>0){f=0;do{k[i+(f<<2)>>2]=f+h;f=f+1|0}while((f|0)!=(g|0))}VN(c,b,g,i);Tqa(i)}while(0);if(!b){r=d;return}switch(k[a+44>>2]|0){case 752:{c=e;k[c>>2]=6;k[c+4>>2]=7;NN(b,2,e);r=d;return}case 741:{e=a+20|0;a=eo(k[(k[e>>2]|0)+12>>2]|0,534,943)|0;c=(eo(k[k[e>>2]>>2]|0,534,943)|0)+(eo(k[(k[e>>2]|0)+4>>2]|0,534,943)|0)+(eo(k[(k[e>>2]|0)+8>>2]|0,534,943)|0)|0;e=Rqa(a>>>0>1073741823?-1:a<<2)|0;if((a|0)>0){f=0;do{k[e+(f<<2)>>2]=f+c;f=f+1|0}while((f|0)!=(a|0))}NN(b,a,e);Tqa(e);r=d;return}default:{r=d;return}}}function zv(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0.0,w=0.0;b=r;r=r+80|0;c=b+64|0;d=b+56|0;e=b+48|0;f=b;g=Hc[k[(k[a>>2]|0)+396>>2]&511](a)|0;h=a+16|0;kC(k[h>>2]|0,c,533);i=(Np(a)|0)^1;if((k[c>>2]|0)!=542|i){r=b;return}i=oC(k[h>>2]|0,642)|0;c=oC(k[h>>2]|0,928)|0;h=Rqa(g>>>0>536870911?-1:g<<3)|0;wp(a,h,287);g=Qqa(64)|0;B=0;va(491,g|0);j=B;B=0;if(j&1){j=Rb()|0;Sqa(g);Qb(j|0)}if((Hc[k[(k[a>>2]|0)+396>>2]&511](a)|0)>0){j=f+24|0;l=f+8|0;m=f+32|0;n=f+16|0;o=f+40|0;q=a+20|0;s=0;do{if(+p[h+(s<<3)>>3]==1.0){t=k[(k[g>>2]|0)+32>>2]|0;u=Hc[k[(k[a>>2]|0)+504>>2]&511](a)|0;nd[t&1023](g,u,s);nd[k[(k[i>>2]|0)+48>>2]&1023](i,d,g);nd[k[(k[c>>2]|0)+48>>2]&1023](c,e,g);v=+ha(+(+p[d>>3]));w=+ca(+v);p[f>>3]=w;p[j>>3]=0.0;w=+da(+v);p[l>>3]=w;p[m>>3]=0.0;p[n>>3]=0.0;p[o>>3]=1.0;u=k[(k[q>>2]|0)+(s<<2)>>2]|0;if(!(+p[e>>3]>=0.0))Zn(u,1);else Vn(u,1);NY((k[(k[q>>2]|0)+(s<<2)>>2]|0)+72|0,f)}s=s+1|0}while((s|0)<(Hc[k[(k[a>>2]|0)+396>>2]&511](a)|0))}Tqa(h);Ec[k[(k[g>>2]|0)+4>>2]&1023](g);r=b;return}function Av(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;b=a+20|0;c=a+48|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[b+16>>2]=0;b=k[c>>2]|0;if((b|0)>0){d=a+52|0;e=b;b=0;while(1){f=k[(k[d>>2]|0)+(b<<2)>>2]|0;if(!f)g=e;else{Dla(f);g=k[c>>2]|0}b=b+1|0;if((b|0)>=(g|0))break;else e=g}}Dla(k[a+56>>2]|0);Dla(k[a+60>>2]|0);Dla(k[a+64>>2]|0);g=k[a+68>>2]|0;if(!g)return;Dla(g);return}function Bv(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;e=r;r=r+240|0;f=e+216|0;g=e;h=e+204|0;i=e+200|0;j=e+64|0;l=e+48|0;m=e+36|0;n=e+24|0;cO(k[a+36>>2]|0,i,298);a:do if((k[i>>2]|0)==301)switch(c|0){case 215:{if(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0){o=214;break a}r=e;return}case 227:{if(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0){o=225;break a}r=e;return}default:{o=c;break a}}else o=c;while(0);if(!(Tp(a,o)|0)){r=e;return}Mp(a,h,d,0);p[g>>3]=+p[b+(k[h>>2]<<3)>>3];p[g+8>>3]=+p[b+(k[h+4>>2]<<3)>>3];p[g+16>>3]=+p[b+(k[h+8>>2]<<3)>>3];h=Qqa(16)|0;B=0;ib(284,h|0,o|0,g|0,738);g=B;B=0;if(g&1){g=Rb()|0;b=Q;Sqa(h);q=b;s=g;Qb(s|0)}g=oC(k[a+16>>2]|0,o)|0;if((Hc[k[(k[g>>2]|0)+20>>2]&511](g)|0)==559){r$(g,h);r=e;return}e=j+56|0;h=j+4|0;k[j>>2]=27524;k[e>>2]=27544;B=0;wa(508,j+56|0,h|0);g=B;B=0;if(g&1){g=Rb()|0;t=Q;u=g;vva(e);Qb(u|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);g=B;B=0;do if(g&1){a=Rb()|0;v=Q;w=a}else{k[h>>2]=27560;a=j+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[j+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,h|0,f|0);b=B;B=0;if(b&1){b=Rb()|0;d=Q;Yua(f);Yua(a);Ava(h);v=d;w=b;break}Yua(f);B=0;b=Ia(40,j|0,74566,6)|0;d=B;B=0;b:do if((((!(d&1)?(B=0,c=ya(427,o|0)|0,i=B,B=0,!(i&1)):0)?(i=Lta(c)|0,B=0,x=Ia(40,b|0,c|0,i|0)|0,i=B,B=0,!(i&1)):0)?(B=0,i=Ia(40,x|0,74278,22)|0,x=B,B=0,!(x&1)):0)?(B=0,Xa(239,i|0,0)|0,i=B,B=0,!(i&1)):0){i=Ab(20)|0;B=0;eb(502,l|0,71825,72);x=B;B=0;do if(!(x&1)){B=0;eb(502,m|0,74894,26);c=B;B=0;if(c&1){c=Rb()|0;y=Q;Yua(l);z=y;A=c;break}B=0;wa(510,n|0,h|0);c=B;B=0;if(c&1){c=Rb()|0;C=Q;D=c;E=1}else{B=0;ua(163,i|0,l|0,m|0,2787,n|0);c=B;B=0;if(c&1)F=1;else{B=0;eb(503,i|0,1240,229);B=0;F=0}c=Rb()|0;y=Q;Yua(n);C=y;D=c;E=F}Yua(m);Yua(l);if(E){z=C;A=D}else{G=D;H=C;break b}}else{c=Rb()|0;z=Q;A=c}while(0);zb(i|0);G=A;H=z}else I=27;while(0);if((I|0)==27){b=Rb()|0;G=b;H=Q}k[j>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(a);Ava(h);vva(e);q=H;s=G;Qb(s|0)}while(0);t=v;u=w;vva(e);Qb(u|0)}function Cv(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;e=r;r=r+16|0;d=e;cO(f,d,482);f=k[a+40>>2]|0;if(f)k[a+44>>2]=k[f+(k[d>>2]<<2)>>2];f=k[a+52>>2]|0;if(!f){r=e;return}c=k[f+(k[d>>2]<<2)>>2]|0;if(!c){r=e;return}d=Gla(c)|0;k[a+20>>2]=d;r=e;return}function Dv(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;b=r;r=r+208|0;c=b+188|0;d=b+184|0;e=b+180|0;f=b+176|0;g=b+40|0;h=b+24|0;i=b+12|0;j=b;cO(k[a+36>>2]|0,f,298);switch(k[f>>2]|0){case 301:{_t(a,d,e);l=Ev(a,k[d>>2]|0,k[e>>2]|0)|0;r=b;return l|0}case 300:{l=a;r=b;return l|0}default:{l=g+56|0;b=g+4|0;k[g>>2]=27524;k[l>>2]=27544;B=0;wa(508,g+56|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;m=Q;n=a;vva(l);Qb(n|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[l>>2]=27488;B=0;va(448,b|0);a=B;B=0;do if(a&1){e=Rb()|0;o=Q;p=e}else{k[b>>2]=27560;e=g+36|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;k[g+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,b|0,c|0);d=B;B=0;if(d&1){d=Rb()|0;f=Q;Yua(c);Yua(e);Ava(b);o=f;p=d;break}Yua(c);B=0;d=Ia(40,g|0,149721,19)|0;f=B;B=0;if(!(f&1)?(B=0,Xa(239,d|0,0)|0,d=B,B=0,!(d&1)):0){d=Ab(20)|0;B=0;eb(502,h|0,71825,72);f=B;B=0;do if(!(f&1)){B=0;eb(502,i|0,74921,17);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(h);t=s;u=q;break}B=0;wa(510,j|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;v=Q;w=q;x=1}else{B=0;ua(163,d|0,h|0,i|0,2823,j|0);q=B;B=0;if(q&1)y=1;else{B=0;eb(503,d|0,1240,229);B=0;y=0}q=Rb()|0;s=Q;Yua(j);v=s;w=q;x=y}Yua(i);Yua(h);if(x){t=v;u=w}else{z=v;A=w;k[g>>2]=27468;k[l>>2]=27488;k[b>>2]=27560;Yua(e);Ava(b);vva(l);Qb(A|0)}}else{q=Rb()|0;t=Q;u=q}while(0);zb(d|0);z=t;A=u;k[g>>2]=27468;k[l>>2]=27488;k[b>>2]=27560;Yua(e);Ava(b);vva(l);Qb(A|0)}f=Rb()|0;z=Q;A=f;k[g>>2]=27468;k[l>>2]=27488;k[b>>2]=27560;Yua(e);Ava(b);vva(l);Qb(A|0)}while(0);m=o;n=p;vva(l);Qb(n|0)}}return 0}function Ev(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;d=r;r=r+16|0;e=d;f=a+36|0;cO(k[f>>2]|0,e,482);g=Qqa(72)|0;B=0;va(461,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;Sqa(g);Qb(j|0)}h=g+48|0;B=0;va(462,h|0);l=B;B=0;do if(!(l&1)){B=0;m=B;B=0;if(m&1){m=Rb()|0;n=Q;Tq(h);o=n;p=m;break}else{k[g>>2]=29448;k[g+4>>2]=30012;k[g+8>>2]=k[a+8>>2];m=vC(k[a+16>>2]|0,b,c)|0;k[g+16>>2]=m;k[g+36>>2]=k[f>>2];k[g+44>>2]=738;Yq(a+48|0,h,b,c);m=k[a+28>>2]|0;n=ed[k[(k[m>>2]|0)+32>>2]&511](m,g)|0;k[g+28>>2]=n;n=Gla(k[(k[g+52>>2]|0)+(k[e>>2]<<2)>>2]|0)|0;k[g+20>>2]=n;n=Gla(k[g+56>>2]|0)|0;k[g+24>>2]=n;n=Fla(k[g+64>>2]|0)|0;k[g+32>>2]=n;r=d;return g|0}}else{n=Rb()|0;o=Q;p=n}while(0);Qo(g);i=o;j=p;Sqa(g);Qb(j|0);return 0}function Fv(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;b=r;r=r+208|0;c=b+188|0;d=b+184|0;e=b+180|0;f=b+176|0;g=b+40|0;h=b+24|0;i=b+12|0;j=b;cO(k[a+36>>2]|0,f,298);switch(k[f>>2]|0){case 301:{$t(a,d,e);l=Ev(a,k[e>>2]|0,k[d>>2]|0)|0;r=b;return l|0}case 300:{l=a;r=b;return l|0}default:{l=g+56|0;b=g+4|0;k[g>>2]=27524;k[l>>2]=27544;B=0;wa(508,g+56|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;m=Q;n=a;vva(l);Qb(n|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[l>>2]=27488;B=0;va(448,b|0);a=B;B=0;do if(a&1){d=Rb()|0;o=Q;p=d}else{k[b>>2]=27560;d=g+36|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[g+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,b|0,c|0);e=B;B=0;if(e&1){e=Rb()|0;f=Q;Yua(c);Yua(d);Ava(b);o=f;p=e;break}Yua(c);B=0;e=Ia(40,g|0,149721,19)|0;f=B;B=0;if(!(f&1)?(B=0,Xa(239,e|0,0)|0,e=B,B=0,!(e&1)):0){e=Ab(20)|0;B=0;eb(502,h|0,71825,72);f=B;B=0;do if(!(f&1)){B=0;eb(502,i|0,72600,15);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(h);t=s;u=q;break}B=0;wa(510,j|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;v=Q;w=q;x=1}else{B=0;ua(163,e|0,h|0,i|0,2868,j|0);q=B;B=0;if(q&1)y=1;else{B=0;eb(503,e|0,1240,229);B=0;y=0}q=Rb()|0;s=Q;Yua(j);v=s;w=q;x=y}Yua(i);Yua(h);if(x){t=v;u=w}else{z=v;A=w;k[g>>2]=27468;k[l>>2]=27488;k[b>>2]=27560;Yua(d);Ava(b);vva(l);Qb(A|0)}}else{q=Rb()|0;t=Q;u=q}while(0);zb(e|0);z=t;A=u;k[g>>2]=27468;k[l>>2]=27488;k[b>>2]=27560;Yua(d);Ava(b);vva(l);Qb(A|0)}f=Rb()|0;z=Q;A=f;k[g>>2]=27468;k[l>>2]=27488;k[b>>2]=27560;Yua(d);Ava(b);vva(l);Qb(A|0)}while(0);m=o;n=p;vva(l);Qb(n|0)}}return 0}function Gv(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0.0,u=0.0,v=0.0,w=0.0;b=r;r=r+80|0;c=b+64|0;d=b+40|0;e=b+32|0;f=b+24|0;g=b;k[c>>2]=0;Uo(a,c);h=a+16|0;i=oC(k[h>>2]|0,674)|0;j=oC(k[h>>2]|0,677)|0;l=Qqa(64)|0;B=0;va(491,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;Sqa(l);o=n;q=m;Qb(q|0)}m=d+8|0;n=d+16|0;s=0;do{Fc[k[(k[l>>2]|0)+28>>2]&1023](l,s);nd[k[(k[i>>2]|0)+48>>2]&1023](i,e,l);nd[k[(k[j>>2]|0)+48>>2]&1023](j,f,l);t=+p[e>>3];u=+p[f>>3];Xo(a,d,k[c>>2]|0,l,i,j);v=+p[e>>3];w=+p[f>>3];p[g+(s<<3)>>3]=(+p[d>>3]*(v*v)+ +p[m>>3]*(w*w)+ +p[n>>3]*(v*(w*2.0)))/(t*t+u*u+1.0e-14);s=s+1|0}while((s|0)!=3);s=k[h>>2]|0;h=Qqa(16)|0;B=0;ib(284,h|0,262,g|0,738);g=B;B=0;if(g&1){g=Rb()|0;n=Q;Sqa(h);o=n;q=g;Qb(q|0)}mC(s,h)|0;Ec[k[(k[l>>2]|0)+4>>2]&1023](l);l=k[c>>2]|0;if(!l){r=b;return}Tqa(l);r=b;return}function Hv(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0.0,u=0.0,v=0.0,w=0.0;b=r;r=r+80|0;c=b+64|0;d=b+40|0;e=b+32|0;f=b+24|0;g=b;k[c>>2]=0;Uo(a,c);h=a+16|0;i=oC(k[h>>2]|0,674)|0;j=oC(k[h>>2]|0,677)|0;l=Qqa(64)|0;B=0;va(491,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;Sqa(l);o=n;q=m;Qb(q|0)}m=d+8|0;n=d+16|0;s=0;do{Fc[k[(k[l>>2]|0)+28>>2]&1023](l,s);nd[k[(k[i>>2]|0)+48>>2]&1023](i,e,l);nd[k[(k[j>>2]|0)+48>>2]&1023](j,f,l);t=+p[e>>3];u=+p[f>>3];Xo(a,d,k[c>>2]|0,l,i,j);v=+p[e>>3];w=+p[f>>3];p[g+(s<<3)>>3]=(+p[m>>3]*(v*v)+ +p[d>>3]*(w*w)-+p[n>>3]*(v*(w*2.0)))/(t*t+u*u+1.0e-14);s=s+1|0}while((s|0)!=3);s=k[h>>2]|0;h=Qqa(16)|0;B=0;ib(284,h|0,263,g|0,738);g=B;B=0;if(g&1){g=Rb()|0;n=Q;Sqa(h);o=n;q=g;Qb(q|0)}mC(s,h)|0;Ec[k[(k[l>>2]|0)+4>>2]&1023](l);l=k[c>>2]|0;if(!l){r=b;return}Tqa(l);r=b;return}function Iv(a){a=a|0;var b=0,c=0,d=0.0,e=0.0,f=0.0,g=0.0,h=0.0,i=0.0,j=0.0,l=0.0,m=0.0;b=r;r=r+80|0;c=b;if(!($p(a)|0)){d=0.0;r=b;return +d}Ko(c,k[a+24>>2]|0,3,0);e=+p[c+48>>3];f=+p[c>>3]-e;g=+p[c+24>>3]-e;e=+p[c+56>>3];h=+p[c+8>>3]-e;i=+p[c+32>>3]-e;e=+p[c+64>>3];j=+p[c+16>>3]-e;l=+p[c+40>>3]-e;e=h*l-j*i;m=j*g-l*f;l=i*f-h*g;d=+aa(+(l*l+(e*e+m*m)))*.5;r=b;return +d}function Jv(a){a=a|0;return Cw(a,k[a+44>>2]|0)|0}function Kv(a){a=a|0;var b=0,c=0,d=0,e=0,f=0.0,g=0.0,h=0.0,i=0.0,j=0.0,l=0.0,m=0.0,n=0.0;b=r;r=r+80|0;c=b+72|0;d=b;dO(k[a+36>>2]|0,c,356);e=a+16|0;f=+qC(k[e>>2]|0,674);g=+qC(k[e>>2]|0,677);Ko(d,k[a+24>>2]|0,3,0);h=+p[d>>3];i=+p[d+8>>3];j=+p[d+24>>3];l=j<h?j:h;m=j>h?j:h;h=+p[d+32>>3];j=h<i?h:i;n=h>i?h:i;i=+p[d+48>>3];h=+p[d+56>>3];r=b;return +(+p[c>>3]/(g/((h>n?h:n)-(h<j?h:j))+f/((i>m?i:m)-(i<l?i:l))))}function Lv(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0.0,m=0.0,n=0,o=0,q=0.0,s=0.0,t=0.0;b=r;r=r+112|0;c=b+104|0;d=b+108|0;e=b+96|0;f=b+88|0;g=b+80|0;h=b+72|0;j=b;if(!($p(a)|0)){l=0.0;r=b;return +l}m=+WJ(k[a+32>>2]|0,265);n=Wo(a,40)|0;Wo(a,928)|0;Ko(j,k[a+24>>2]|0,3,0);Dc[k[(k[a>>2]|0)+132>>2]&255](a,c,e,f,d);o=hd[k[(k[a>>2]|0)+320>>2]&7](a,k[c>>2]|0,+p[e>>3],+p[f>>3],(i[d>>0]|0)!=1,3)|0;d=Hc[k[(k[o>>2]|0)+8>>2]&511](o)|0;if((d|0)<(Hc[k[(k[o>>2]|0)+12>>2]&511](o)|0)){f=o+8|0;q=0.0;e=d;while(1){Fc[k[(k[o>>2]|0)+24>>2]&1023](o,e);rd[k[(k[a>>2]|0)+260>>2]&511](a,h,j,o);nd[k[(k[n>>2]|0)+48>>2]&1023](n,g,o);s=q+ +p[g>>3]*+p[h>>3]*+p[f>>3];e=e+1|0;if((e|0)>=(Hc[k[(k[o>>2]|0)+12>>2]&511](o)|0)){t=s;break}else q=s}}else t=0.0;Ec[k[(k[o>>2]|0)+4>>2]&1023](o);l=m*t;r=b;return +l}function Mv(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0.0,m=0.0,n=0,o=0,q=0.0,s=0.0,t=0.0;b=r;r=r+112|0;c=b+104|0;d=b+108|0;e=b+96|0;f=b+88|0;g=b+80|0;h=b+72|0;j=b;if(!($p(a)|0)){l=0.0;r=b;return +l}m=+WJ(k[a+32>>2]|0,265);n=Wo(a,39)|0;Wo(a,928)|0;Ko(j,k[a+24>>2]|0,3,0);Dc[k[(k[a>>2]|0)+132>>2]&255](a,c,e,f,d);o=hd[k[(k[a>>2]|0)+320>>2]&7](a,k[c>>2]|0,+p[e>>3],+p[f>>3],(i[d>>0]|0)!=0,2)|0;d=Hc[k[(k[o>>2]|0)+8>>2]&511](o)|0;if((d|0)<(Hc[k[(k[o>>2]|0)+12>>2]&511](o)|0)){f=o+8|0;q=0.0;e=d;while(1){Fc[k[(k[o>>2]|0)+24>>2]&1023](o,e);rd[k[(k[a>>2]|0)+260>>2]&511](a,h,j,o);nd[k[(k[n>>2]|0)+48>>2]&1023](n,g,o);s=q+ +p[g>>3]*+p[h>>3]*+p[f>>3];e=e+1|0;if((e|0)>=(Hc[k[(k[o>>2]|0)+12>>2]&511](o)|0)){t=s;break}else q=s}}else t=0.0;Ec[k[(k[o>>2]|0)+4>>2]&1023](o);l=m*t;r=b;return +l}function Nv(a){a=a|0;var b=0,c=0,d=0,e=0.0,f=0.0,g=0.0,h=0.0,i=0.0;b=r;r=r+80|0;c=b+72|0;d=b;e=+WJ(k[a+32>>2]|0,265);if(!($p(a)|0)){f=0.0;r=b;return +f}Ko(d,k[a+24>>2]|0,3,0);g=+p[d>>3];h=+p[d+8>>3];i=+$(+((g-+p[d+48>>3])*(+p[d+32>>3]-h)-(g-+p[d+24>>3])*(+p[d+56>>3]-h)))*.5;d=oC(k[a+16>>2]|0,388)|0;Fc[k[(k[d>>2]|0)+64>>2]&1023](d,c);f=e*i*+p[c>>3];r=b;return +f}function Ov(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;e=r;r=r+192|0;g=e+176|0;h=e+40|0;i=e+24|0;j=e+12|0;l=e;k[(k[a+40>>2]|0)+(d<<2)>>2]=f;do switch(f|0){case 738:{m=Rqa(12)|0;n=k[c+100>>2]|0;o=b*3|0;p=k[c+72>>2]|0;k[m>>2]=(k[p+(o<<2)>>2]|0)+n;k[m+4>>2]=(k[p+(o+1<<2)>>2]|0)+n;k[m+8>>2]=(k[p+(o+2<<2)>>2]|0)+n;q=3;s=m;break}case 739:{m=Rqa(12)|0;n=k[c+100>>2]|0;o=b*3|0;k[m>>2]=o+1+n;k[m+4>>2]=o+2+n;k[m+8>>2]=o+3+n;q=3;s=m;break}case 741:case 740:{m=Rqa(16)|0;n=k[c+100>>2]|0;o=b*3|0;p=k[c+72>>2]|0;k[m>>2]=(k[p+(o<<2)>>2]|0)+n;k[m+4>>2]=(k[p+(o+1<<2)>>2]|0)+n;k[m+8>>2]=(k[p+(o+2<<2)>>2]|0)+n;k[m+12>>2]=b+1+n+(k[c+52>>2]|0);q=4;s=m;break}case 742:{m=Rqa(24)|0;n=k[c+100>>2]|0;o=b*3|0;p=k[c+72>>2]|0;k[m>>2]=(k[p+(o<<2)>>2]|0)+n;t=o+1|0;k[m+4>>2]=(k[p+(t<<2)>>2]|0)+n;u=o+2|0;k[m+8>>2]=(k[p+(u<<2)>>2]|0)+n;p=k[c+84>>2]|0;v=n+1+(k[c+52>>2]|0)|0;k[m+12>>2]=v+(k[p+(o<<2)>>2]|0);k[m+16>>2]=v+(k[p+(t<<2)>>2]|0);k[m+20>>2]=v+(k[p+(u<<2)>>2]|0);q=6;s=m;break}case 744:case 743:{m=Rqa(28)|0;u=k[c+100>>2]|0;p=b*3|0;v=k[c+72>>2]|0;k[m>>2]=(k[v+(p<<2)>>2]|0)+u;t=p+1|0;k[m+4>>2]=(k[v+(t<<2)>>2]|0)+u;o=p+2|0;k[m+8>>2]=(k[v+(o<<2)>>2]|0)+u;v=k[c+52>>2]|0;n=k[c+84>>2]|0;w=u+1+v|0;k[m+12>>2]=w+(k[n+(p<<2)>>2]|0);k[m+16>>2]=w+(k[n+(t<<2)>>2]|0);k[m+20>>2]=w+(k[n+(o<<2)>>2]|0);k[m+24>>2]=b+1+u+v+(k[c+64>>2]|0);q=7;s=m;break}case 750:case 749:{m=Rqa(24)|0;v=k[c+100>>2]|0;u=b*3|0;o=k[c+72>>2]|0;n=o+(u<<2)|0;k[m>>2]=(k[n>>2]|0)+v;w=o+(u+1<<2)|0;k[m+4>>2]=(k[w>>2]|0)+v;t=o+(u+2<<2)|0;k[m+8>>2]=(k[t>>2]|0)+v;u=(k[c+52>>2]|0)+v|0;k[m+12>>2]=u+(k[n>>2]|0);k[m+16>>2]=u+(k[w>>2]|0);k[m+20>>2]=u+(k[t>>2]|0);q=6;s=m;break}case 752:case 751:{m=Rqa(28)|0;t=k[c+100>>2]|0;u=b*3|0;w=k[c+72>>2]|0;n=w+(u<<2)|0;k[m>>2]=(k[n>>2]|0)+t;v=w+(u+1<<2)|0;k[m+4>>2]=(k[v>>2]|0)+t;o=w+(u+2<<2)|0;k[m+8>>2]=(k[o>>2]|0)+t;u=k[c+52>>2]|0;k[m+12>>2]=b+1+t+u;w=u+t+(k[c+56>>2]|0)|0;k[m+16>>2]=w+(k[n>>2]|0);k[m+20>>2]=w+(k[v>>2]|0);k[m+24>>2]=w+(k[o>>2]|0);q=7;s=m;break}case 755:case 753:{m=Rqa(36)|0;o=k[c+100>>2]|0;w=b*3|0;v=k[c+72>>2]|0;n=v+(w<<2)|0;k[m>>2]=(k[n>>2]|0)+o;t=w+1|0;u=v+(t<<2)|0;k[m+4>>2]=(k[u>>2]|0)+o;p=w+2|0;x=v+(p<<2)|0;k[m+8>>2]=(k[x>>2]|0)+o;v=k[c+52>>2]|0;y=k[c+84>>2]|0;z=o+1+v|0;k[m+12>>2]=z+(k[y+(w<<2)>>2]|0);k[m+16>>2]=z+(k[y+(t<<2)>>2]|0);k[m+20>>2]=z+(k[y+(p<<2)>>2]|0);p=v+o+(k[c+64>>2]|0)|0;k[m+24>>2]=p+(k[n>>2]|0);k[m+28>>2]=p+(k[u>>2]|0);k[m+32>>2]=p+(k[x>>2]|0);q=9;s=m;break}case 754:{m=Rqa(24)|0;x=k[c+100>>2]|0;p=b*3|0;u=k[c+72>>2]|0;k[m>>2]=(k[u+(p<<2)>>2]|0)+x;n=p+1|0;k[m+4>>2]=(k[u+(n<<2)>>2]|0)+x;o=p+2|0;k[m+8>>2]=(k[u+(o<<2)>>2]|0)+x;u=k[c+84>>2]|0;v=x+1+(k[c+52>>2]|0)|0;k[m+12>>2]=v+(k[u+(p<<2)>>2]|0);k[m+16>>2]=v+(k[u+(n<<2)>>2]|0);k[m+20>>2]=v+(k[u+(o<<2)>>2]|0);q=6;s=m;break}case 757:{m=Rqa(40)|0;o=k[c+100>>2]|0;u=b*3|0;v=k[c+72>>2]|0;k[m>>2]=(k[v+(u<<2)>>2]|0)+o;n=u+1|0;k[m+4>>2]=(k[v+(n<<2)>>2]|0)+o;p=u+2|0;k[m+8>>2]=(k[v+(p<<2)>>2]|0)+o;v=k[c+52>>2]|0;x=k[c+84>>2]|0;y=o+1+v|0;k[m+12>>2]=y+(k[x+(u<<2)>>2]|0);k[m+16>>2]=y+(k[x+(n<<2)>>2]|0);k[m+20>>2]=y+(k[x+(p<<2)>>2]|0);x=k[c+64>>2]|0;k[m+24>>2]=b+1+o+v+x;y=k[c+56>>2]|0;k[m+28>>2]=n+o+v+x+y;k[m+32>>2]=p+o+v+x+y;k[m+36>>2]=u+3+o+v+x+y;q=10;s=m;break}case 758:{m=Rqa(28)|0;y=k[c+100>>2]|0;x=b*3|0;v=k[c+72>>2]|0;k[m>>2]=(k[v+(x<<2)>>2]|0)+y;o=x+1|0;k[m+4>>2]=(k[v+(o<<2)>>2]|0)+y;u=x+2|0;k[m+8>>2]=(k[v+(u<<2)>>2]|0)+y;v=k[c+52>>2]|0;p=k[c+84>>2]|0;n=y+1+v|0;k[m+12>>2]=n+(k[p+(x<<2)>>2]|0);k[m+16>>2]=n+(k[p+(o<<2)>>2]|0);k[m+20>>2]=n+(k[p+(u<<2)>>2]|0);k[m+24>>2]=b+1+y+v+(k[c+64>>2]|0);q=7;s=m;break}default:{m=h+56|0;v=h+4|0;k[h>>2]=27524;k[m>>2]=27544;B=0;wa(508,h+56|0,v|0);y=B;B=0;if(y&1){y=Rb()|0;A=Q;C=y;vva(m);Qb(C|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[m>>2]=27488;B=0;va(448,v|0);y=B;B=0;do if(y&1){u=Rb()|0;D=Q;E=u}else{k[v>>2]=27560;u=h+36|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;k[u+12>>2]=0;k[h+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,v|0,g|0);p=B;B=0;if(p&1){p=Rb()|0;n=Q;Yua(g);Yua(u);Ava(v);D=n;E=p;break}Yua(g);B=0;p=Ia(40,h|0,145867,15)|0;n=B;B=0;if((((!(n&1)?(B=0,n=ya(427,f|0)|0,o=B,B=0,!(o&1)):0)?(o=Lta(n)|0,B=0,x=Ia(40,p|0,n|0,o|0)|0,o=B,B=0,!(o&1)):0)?(B=0,o=Ia(40,x|0,146481,18)|0,x=B,B=0,!(x&1)):0)?(B=0,Xa(239,o|0,0)|0,o=B,B=0,!(o&1)):0){o=Ab(20)|0;B=0;eb(502,i|0,71825,72);x=B;B=0;do if(!(x&1)){B=0;eb(502,j|0,74939,6);n=B;B=0;if(n&1){n=Rb()|0;p=Q;Yua(i);F=p;G=n;break}B=0;wa(510,l|0,v|0);n=B;B=0;if(n&1){n=Rb()|0;H=Q;I=n;J=1}else{B=0;ua(163,o|0,i|0,j|0,3270,l|0);n=B;B=0;if(n&1)K=1;else{B=0;eb(503,o|0,1240,229);B=0;K=0}n=Rb()|0;p=Q;Yua(l);H=p;I=n;J=K}Yua(j);Yua(i);if(J){F=H;G=I}else{L=H;M=I;k[h>>2]=27468;k[m>>2]=27488;k[v>>2]=27560;Yua(u);Ava(v);vva(m);Qb(M|0)}}else{n=Rb()|0;F=Q;G=n}while(0);zb(o|0);L=F;M=G;k[h>>2]=27468;k[m>>2]=27488;k[v>>2]=27560;Yua(u);Ava(v);vva(m);Qb(M|0)}x=Rb()|0;L=Q;M=x;k[h>>2]=27468;k[m>>2]=27488;k[v>>2]=27560;Yua(u);Ava(v);vva(m);Qb(M|0)}while(0);A=D;C=E;vva(m);Qb(C|0)}}while(0);Xq(a+48|0,s,q,d);k[a+20>>2]=0;Tqa(s);nd[k[(k[a>>2]|0)+548>>2]&1023](a,b,c);r=e;return}function Pv(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;b=r;r=r+32|0;c=b+16|0;d=b+8|0;e=b;if(!(zu(a)|0)){r=b;return}cO(k[a+36>>2]|0,c,575);f=a+16|0;g=oC(k[f>>2]|0,k[c>>2]|0)|0;c=oC(k[f>>2]|0,287)|0;f=Qqa(64)|0;B=0;va(491,f|0);h=B;B=0;if(h&1){h=Rb()|0;Sqa(f);Qb(h|0)}h=a+44|0;if((qw(a,k[h>>2]|0)|0)>0){i=a+20|0;j=0;do{nd[k[(k[f>>2]|0)+32>>2]&1023](f,k[h>>2]|0,j);nd[k[(k[c>>2]|0)+48>>2]&1023](c,e,f);if(+p[e>>3]==1.0){nd[k[(k[g>>2]|0)+48>>2]&1023](g,d,f);Un(k[(k[i>>2]|0)+(j<<2)>>2]|0,0,+p[d>>3])}j=j+1|0}while((j|0)<(qw(a,k[h>>2]|0)|0))}Ec[k[(k[f>>2]|0)+4>>2]&1023](f);r=b;return}function Qv(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+32|0;c=b+16|0;d=b+8|0;e=b;if(!(Au(a)|0)){r=b;return}cO(k[a+36>>2]|0,c,575);f=oC(k[a+16>>2]|0,k[c>>2]|0)|0;c=d+4|0;$t(a,d,c);g=Qqa(64)|0;B=0;va(491,g|0);h=B;B=0;if(h&1){h=Rb()|0;Sqa(g);Qb(h|0)}h=a+20|0;a=k[d>>2]|0;nd[k[(k[g>>2]|0)+32>>2]&1023](g,738,a);nd[k[(k[f>>2]|0)+48>>2]&1023](f,e,g);Un(k[(k[h>>2]|0)+(a<<2)>>2]|0,0,+p[e>>3]);a=k[c>>2]|0;nd[k[(k[g>>2]|0)+32>>2]&1023](g,738,a);nd[k[(k[f>>2]|0)+48>>2]&1023](f,e,g);Un(k[(k[h>>2]|0)+(a<<2)>>2]|0,0,+p[e>>3]);Ec[k[(k[g>>2]|0)+4>>2]&1023](g);r=b;return}function Rv(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=a+24|0;a=c+4|0;f=b+((Co(k[k[e>>2]>>2]|0)|0)<<3)|0;if(+p[f>>3]!=0.0){f=Co(k[k[e>>2]>>2]|0)|0;if(k[c>>2]|0){g=k[k[a>>2]>>2]|0;Jc[k[(k[g>>2]|0)+20>>2]&1](g,f,-1.0,0)}f=d+((Co(k[k[e>>2]>>2]|0)|0)<<3)|0;if(+p[f>>3]>=0.0)h=1;else h=0}else h=0;f=b+((Co(k[(k[e>>2]|0)+4>>2]|0)|0)<<3)|0;if(+p[f>>3]!=0.0){f=Co(k[(k[e>>2]|0)+4>>2]|0)|0;if(k[c>>2]|0){g=k[k[a>>2]>>2]|0;Jc[k[(k[g>>2]|0)+20>>2]&1](g,f,-1.0,0)}f=d+((Co(k[(k[e>>2]|0)+4>>2]|0)|0)<<3)|0;if(+p[f>>3]>=0.0)i=h+1|0;else i=h}else i=h;h=b+((Co(k[(k[e>>2]|0)+8>>2]|0)|0)<<3)|0;if(!(+p[h>>3]!=0.0)){j=i;return j|0}h=Co(k[(k[e>>2]|0)+8>>2]|0)|0;if(k[c>>2]|0){c=k[k[a>>2]>>2]|0;Jc[k[(k[c>>2]|0)+20>>2]&1](c,h,-1.0,0)}h=d+((Co(k[(k[e>>2]|0)+8>>2]|0)|0)<<3)|0;if(!(+p[h>>3]>=0.0)){j=i;return j|0}j=i+1|0;return j|0}function Sv(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;pw(a,b,c,d,e,738);return}function Tv(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;sw(a,b,c,d,738);return}function Uv(a){a=a|0;return Dw(a,k[a+44>>2]|0)|0}function Vv(a,b){a=a|0;b=b|0;return Ao(k[(k[a+24>>2]|0)+(b<<2)>>2]|0)|0}function Wv(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0.0,t=0.0,u=0.0,v=0,w=0.0,x=0;e=r;r=r+48|0;f=e+44|0;g=e+24|0;h=e+40|0;i=e;k[h>>2]=0;gu(a,h,f,g,d,0.0);j=k[f>>2]|0;if((j|0)>0)l=Rqa(48)|0;else l=0;if((j+-1|0)>>>0>=2){if((j|0)==3){xp(a,i,d);d=k[h>>2]|0;a=k[d>>2]|0;if(+p[i+(a<<3)>>3]==0.0){f=c+(a*3<<3)|0;k[l>>2]=k[f>>2];k[l+4>>2]=k[f+4>>2];k[l+8>>2]=k[f+8>>2];k[l+12>>2]=k[f+12>>2];k[l+16>>2]=k[f+16>>2];k[l+20>>2]=k[f+20>>2];m=1}else m=0;f=k[d+4>>2]|0;if(+p[i+(f<<3)>>3]==0.0){a=l+((0-m&3)<<3)|0;n=c+(f*3<<3)|0;k[a>>2]=k[n>>2];k[a+4>>2]=k[n+4>>2];k[a+8>>2]=k[n+8>>2];k[a+12>>2]=k[n+12>>2];k[a+16>>2]=k[n+16>>2];k[a+20>>2]=k[n+20>>2];if((m|0)!=1){o=1;q=19}}else{o=m;q=19}if((q|0)==19?(q=k[d+8>>2]|0,+p[i+(q<<3)>>3]==0.0):0){i=l+(o*3<<3)|0;o=c+(q*3<<3)|0;k[i>>2]=k[o>>2];k[i+4>>2]=k[o+4>>2];k[i+8>>2]=k[o+8>>2];k[i+12>>2]=k[o+12>>2];k[i+16>>2]=k[o+16>>2];k[i+20>>2]=k[o+20>>2]}}}else{o=k[h>>2]|0;i=(j|0)<3;q=0;d=0;while(1){if(i){m=(k[o+(d<<2)>>2]|0)*3|0;n=q+3|0;s=+p[c+(m<<3)>>3];t=+p[c+(m+1<<3)>>3];u=+p[c+(m+2<<3)>>3];m=q;a=j;while(1){f=(k[o+(a<<2)>>2]|0)*3|0;v=m*3|0;w=+p[g+(m<<3)>>3];p[l+(v<<3)>>3]=s+w*(+p[c+(f<<3)>>3]-s);p[l+(v+1<<3)>>3]=t+w*(+p[c+(f+1<<3)>>3]-t);p[l+(v+2<<3)>>3]=u+w*(+p[c+(f+2<<3)>>3]-u);a=a+1|0;if((a|0)==3)break;else m=m+1|0}x=n-j|0}else x=q;d=d+1|0;if((d|0)>=(j|0))break;else q=x}}x=k[h>>2]|0;if(!x){k[b>>2]=l;r=e;return}Tqa(x);k[b>>2]=l;r=e;return}function Xv(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0.0,Ga=0.0,Ha=0.0,Ja=0.0,Ka=0.0,La=0.0,Ma=0.0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0;f=r;r=r+864|0;g=f+240|0;h=f+856|0;i=f+168|0;j=f+852|0;l=f+848|0;m=f+160|0;n=f+844|0;o=f+840|0;q=f+152|0;s=f+144|0;t=f+136|0;u=f+128|0;v=f+120|0;w=f;x=f+680|0;y=f+828|0;z=f+816|0;A=f+664|0;C=f+528|0;D=f+512|0;E=f+360|0;F=f+348|0;G=f+376|0;H=f+336|0;I=f+324|0;J=f+312|0;k[j>>2]=0;k[l>>2]=0;k[o>>2]=0;K=a+36|0;cO(k[K>>2]|0,h,285);dO(k[K>>2]|0,t,67);cO(k[K>>2]|0,o,733);dO(k[K>>2]|0,m,767);K=a+32|0;L=+WJ(k[K>>2]|0,272);M=+WJ(k[K>>2]|0,273);N=+WJ(k[K>>2]|0,274);O=+WJ(k[K>>2]|0,275);P=+WJ(k[K>>2]|0,265);K=a+16|0;R=oC(k[K>>2]|0,353)|0;if(!R){S=x+56|0;T=x+4|0;k[x>>2]=27524;k[S>>2]=27544;B=0;wa(508,x+56|0,T|0);U=B;B=0;if(U&1){U=Rb()|0;V=Q;W=U;vva(S);Qb(W|0)}k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[S>>2]=27488;B=0;va(448,T|0);U=B;B=0;do if(U&1){X=Rb()|0;Y=Q;Z=X}else{k[T>>2]=27560;X=x+36|0;k[X>>2]=0;k[X+4>>2]=0;k[X+8>>2]=0;k[X+12>>2]=0;k[x+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,T|0,g|0);_=B;B=0;if(_&1){_=Rb()|0;$=Q;Yua(g);Yua(X);Ava(T);Y=$;Z=_;break}Yua(g);B=0;_=Ia(40,x|0,72616,49)|0;$=B;B=0;a:do if(!($&1)?(B=0,Xa(239,_|0,0)|0,ba=B,B=0,!(ba&1)):0){ba=Ab(20)|0;B=0;eb(502,y|0,71825,72);ca=B;B=0;do if(!(ca&1)){B=0;eb(502,z|0,75023,13);da=B;B=0;if(da&1){da=Rb()|0;ea=Q;Yua(y);fa=ea;ga=da;break}B=0;wa(510,A|0,T|0);da=B;B=0;if(da&1){da=Rb()|0;ha=da;ia=Q;ja=1}else{B=0;ua(163,ba|0,y|0,z|0,3475,A|0);da=B;B=0;if(da&1)ka=1;else{B=0;eb(503,ba|0,1240,229);B=0;ka=0}da=Rb()|0;ea=Q;Yua(A);ha=da;ia=ea;ja=ka}Yua(z);Yua(y);if(ja){fa=ia;ga=ha}else{la=ia;ma=ha;break a}}else{ea=Rb()|0;fa=Q;ga=ea}while(0);zb(ba|0);la=fa;ma=ga}else na=17;while(0);if((na|0)==17){_=Rb()|0;la=Q;ma=_}k[x>>2]=27468;k[S>>2]=27488;k[T>>2]=27560;Yua(X);Ava(T);vva(S);oa=la;pa=ma;Qb(pa|0)}while(0);V=Y;W=Z;vva(S);Qb(W|0)}jd[k[(k[R>>2]|0)+76>>2]&31](R,j,l,n,+p[m>>3]);R=oC(k[K>>2]|0,351)|0;if(!R){W=C+56|0;S=C+4|0;k[C>>2]=27524;k[W>>2]=27544;B=0;wa(508,C+56|0,S|0);Z=B;B=0;if(Z&1){Z=Rb()|0;qa=Q;ra=Z;vva(W);Qb(ra|0)}k[C+128>>2]=0;k[C+132>>2]=-1;k[C>>2]=27468;k[W>>2]=27488;B=0;va(448,S|0);Z=B;B=0;do if(Z&1){Y=Rb()|0;sa=Q;ta=Y}else{k[S>>2]=27560;Y=C+36|0;k[Y>>2]=0;k[Y+4>>2]=0;k[Y+8>>2]=0;k[Y+12>>2]=0;k[C+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,S|0,g|0);V=B;B=0;if(V&1){V=Rb()|0;ma=Q;Yua(g);Yua(Y);Ava(S);sa=ma;ta=V;break}Yua(g);B=0;V=Ia(40,C|0,72666,56)|0;ma=B;B=0;b:do if(!(ma&1)?(B=0,Xa(239,V|0,0)|0,la=B,B=0,!(la&1)):0){la=Ab(20)|0;B=0;eb(502,D|0,71825,72);T=B;B=0;do if(!(T&1)){B=0;eb(502,E|0,75023,13);x=B;B=0;if(x&1){x=Rb()|0;ga=Q;Yua(D);xa=x;ya=ga;break}B=0;wa(510,F|0,S|0);ga=B;B=0;if(ga&1){ga=Rb()|0;za=1;Aa=Q;Ba=ga}else{B=0;ua(163,la|0,D|0,E|0,3480,F|0);ga=B;B=0;if(ga&1)Ca=1;else{B=0;eb(503,la|0,1240,229);B=0;Ca=0}ga=Rb()|0;x=Q;Yua(F);za=Ca;Aa=x;Ba=ga}Yua(E);Yua(D);if(za){xa=Ba;ya=Aa}else{Da=Aa;Ea=Ba;break b}}else{ga=Rb()|0;xa=ga;ya=Q}while(0);zb(la|0);Da=ya;Ea=xa}else na=41;while(0);if((na|0)==41){V=Rb()|0;Da=Q;Ea=V}k[C>>2]=27468;k[W>>2]=27488;k[S>>2]=27560;Yua(Y);Ava(S);vva(W);oa=Da;pa=Ea;Qb(pa|0)}while(0);qa=sa;ra=ta;vva(W);Qb(ra|0)}Fc[k[(k[R>>2]|0)+64>>2]&1023](R,q);R=oC(k[K>>2]|0,352)|0;if(R){Fc[k[(k[R>>2]|0)+64>>2]&1023](R,s);R=a+24|0;Ko(g,k[R>>2]|0,3,0);Fa=+p[g>>3];Ga=+p[g+8>>3];Ha=+p[g+24>>3];Ja=+p[g+32>>3];Ka=+p[g+48>>3];La=+p[g+56>>3];Ma=+aa(+((Ga*Ka+(Fa*Ja+(Ha*La-Ja*Ka)-Ga*Ha)-Fa*La)*.5/3.141592653589793));Ko(i,k[R>>2]|0,3,0);La=(+p[i>>3]+ +p[i+24>>3]+ +p[i+48>>3])/3.0;Fa=(+p[i+8>>3]+ +p[i+32>>3]+ +p[i+56>>3])/3.0;p[w+8>>3]=Ma;i=k[j>>2]|0;k[w+16>>2]=i;k[w+20>>2]=k[l>>2];k[w+24>>2]=k[n>>2];p[w+32>>3]=+p[m>>3];p[w+40>>3]=L;p[w+48>>3]=M;p[w+56>>3]=N;p[w+64>>3]=+p[q>>3];p[w+72>>3]=O;p[w+80>>3]=+p[s>>3];p[w+96>>3]=P;k[w+112>>2]=k[a+8>>2];k[w+88>>2]=k[o>>2];p[w+104>>3]=+p[t>>3];t=i;if((k[h>>2]|0)>0){i=c+4|0;o=b+4|0;a=0;do{P=+p[d+(a<<3)>>3]-La;O=+p[e+(a<<3)>>3]-Fa;N=+aa(+(P*P+O*O));p[w>>3]=N;Via(u,v,w);if(k[b>>2]|0){s=k[k[o>>2]>>2]|0;Jc[k[(k[s>>2]|0)+20>>2]&1](s,a,+p[u>>3],1)}if(k[c>>2]|0){s=k[k[i>>2]>>2]|0;Jc[k[(k[s>>2]|0)+20>>2]&1](s,a,+p[v>>3],1)}a=a+1|0}while((a|0)<(k[h>>2]|0));Na=k[j>>2]|0}else Na=t;if(Na)Tqa(Na);k[j>>2]=0;j=k[l>>2]|0;if(!j){r=f;return}Tqa(j);r=f;return}f=G+56|0;j=G+4|0;k[G>>2]=27524;k[f>>2]=27544;B=0;wa(508,G+56|0,j|0);l=B;B=0;if(l&1){l=Rb()|0;Oa=Q;Pa=l;vva(f);Qb(Pa|0)}k[G+128>>2]=0;k[G+132>>2]=-1;k[G>>2]=27468;k[f>>2]=27488;B=0;va(448,j|0);l=B;B=0;do if(l&1){Na=Rb()|0;Qa=Q;Ra=Na}else{k[j>>2]=27560;Na=G+36|0;k[Na>>2]=0;k[Na+4>>2]=0;k[Na+8>>2]=0;k[Na+12>>2]=0;k[G+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,j|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;h=Q;Yua(g);Yua(Na);Ava(j);Qa=h;Ra=t;break}Yua(g);B=0;t=Ia(40,G|0,72723,61)|0;h=B;B=0;c:do if(!(h&1)?(B=0,Xa(239,t|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,H|0,71825,72);v=B;B=0;do if(!(v&1)){B=0;eb(502,I|0,75023,13);i=B;B=0;if(i&1){i=Rb()|0;c=Q;Yua(H);Sa=i;Ta=c;break}B=0;wa(510,J|0,j|0);c=B;B=0;if(c&1){c=Rb()|0;Ua=1;Va=Q;Wa=c}else{B=0;ua(163,a|0,H|0,I|0,3485,J|0);c=B;B=0;if(c&1)Ya=1;else{B=0;eb(503,a|0,1240,229);B=0;Ya=0}c=Rb()|0;i=Q;Yua(J);Ua=Ya;Va=i;Wa=c}Yua(I);Yua(H);if(Ua){Sa=Wa;Ta=Va}else{Za=Va;_a=Wa;break c}}else{c=Rb()|0;Sa=c;Ta=Q}while(0);zb(a|0);Za=Ta;_a=Sa}else na=65;while(0);if((na|0)==65){t=Rb()|0;Za=Q;_a=t}k[G>>2]=27468;k[f>>2]=27488;k[j>>2]=27560;Yua(Na);Ava(j);vva(f);oa=Za;pa=_a;Qb(pa|0)}while(0);Oa=Qa;Pa=Ra;vva(f);Qb(Pa|0)}function Yv(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=+h;var j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0,K=0.0,L=0.0,M=0.0,N=0.0,O=0,P=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Y=0.0,Z=0.0,_=0.0,ba=0.0,ea=0.0,fa=0.0,ha=0.0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0;f=r;r=r+288|0;j=f+268|0;l=f+264|0;m=f+8|0;n=f;o=f+260|0;q=f+256|0;s=f+281|0;t=f+280|0;u=f+120|0;v=f+104|0;w=f+92|0;x=f+80|0;k[o>>2]=0;i[s>>0]=1;i[t>>0]=1;y=a+16|0;if(!(+pC(k[y>>2]|0,206)<0.0)){z=0.0;p[c>>3]=z;r=f;return}A=a+32|0;C=+WJ(k[A>>2]|0,265);D=+WJ(k[A>>2]|0,267);E=+WJ(k[A>>2]|0,276);A=a+36|0;bO(k[A>>2]|0,s,1009);bO(k[A>>2]|0,t,1010);if(i[t>>0]|0)aV(nO(k[A>>2]|0,1012)|0,o,q);cO(k[A>>2]|0,l,285);Ko(m,k[a+24>>2]|0,3,1);F=90.0-+p[m>>3];p[m>>3]=F;A=m+8|0;G=+p[A>>3];if(G<0.0){H=G+180.0+180.0;p[A>>3]=H;I=H}else I=G;G=I>-20.0?I:-20.0;H=I<400.0?I:400.0;J=m+24|0;K=90.0-+p[J>>3];p[J>>3]=K;J=m+32|0;L=+p[J>>3];if(L<0.0){M=L+180.0+180.0;p[J>>3]=M;N=M}else N=L;L=N>G?N:G;G=N<H?N:H;O=m+48|0;H=90.0-+p[O>>3];p[O>>3]=H;O=m+56|0;M=+p[O>>3];if(M<0.0){P=M+180.0+180.0;p[O>>3]=P;R=P}else R=M;if((R>L?R:L)>180.0?(R<G?R:G)==0.0:0){if(I==0.0){p[A>>3]=360.0;S=360.0}else S=I;if(N==0.0){p[J>>3]=360.0;T=360.0}else T=N;if(R==0.0){p[O>>3]=360.0;U=S;V=T;W=360.0}else{U=S;V=T;W=R}}else{U=I;V=N;W=R}if(F==0.0){R=(V+W)*.5;p[A>>3]=R;X=R}else X=U;if(K==0.0){U=(X+W)*.5;p[J>>3]=U;Y=U}else Y=V;if(H==0.0){V=(X+Y)*.5;p[O>>3]=V;Z=V}else Z=W;if(F==180.0){W=(Y+Z)*.5;p[A>>3]=W;_=W}else _=X;if(K==180.0){X=(_+Z)*.5;p[J>>3]=X;ba=X}else ba=Y;Y=_+ba;if(H==180.0){ba=Y*.5;p[O>>3]=ba;ea=ba}else ea=Z;Z=(Y+ea)/3.0;ea=(90.0-(F+K+H)/3.0)/180.0*3.141592653589793;H=(Z>180.0?Z+-180.0+-180.0:Z)/180.0*3.141592653589793;Z=+Zc[k[(k[a>>2]|0)+544>>2]&255](a);a=oC(k[y>>2]|0,1001)|0;if(a){Fc[k[(k[a>>2]|0)+64>>2]&1023](a,n);K=+p[n>>3];F=C*Z*K/(D*g)+0.0;n=i[t>>0]|0;t=i[s>>0]|0;if(!((t|n)<<24>>24)){z=F;p[c>>3]=z;r=f;return}s=k[l>>2]|0;l=Rqa(s>>>0>1073741823?-1:s<<2)|0;a=Rqa(s>>>0>536870911?-1:s<<3)|0;if((s|0)>0){g=+ca(+ea);y=n<<24>>24==0;D=+((k[q>>2]|0)+-1|0);q=k[o>>2]|0;Y=C*3.0/E*Z/h*K;if(!(t<<24>>24)){t=0;do{k[l+(t<<2)>>2]=t;K=+p[d+(t<<3)>>3]/180.0*3.141592653589793;h=+da(+(+$(+(K-ea))*.5));Z=+da(+(+$(+(+p[e+(t<<3)>>3]/180.0*3.141592653589793-H))*.5));if(y)fa=0.0;else{o=q+(~~(+ga(+(+aa(+(h*h+ +ca(+K)*g*(Z*Z)))))*2.0/3.141592653589793*D)<<3)|0;fa=+p[o>>3]+0.0}p[a+(t<<3)>>3]=(fa+0.0)*Y;t=t+1|0}while((t|0)<(s|0))}else{t=0;do{k[l+(t<<2)>>2]=t;fa=+p[d+(t<<3)>>3]/180.0*3.141592653589793;Z=+da(+(+$(+(fa-ea))*.5));K=+da(+(+$(+(+p[e+(t<<3)>>3]/180.0*3.141592653589793-H))*.5));h=+ga(+(+aa(+(Z*Z+ +ca(+fa)*g*(K*K)))))*2.0;K=.5/+da(+(h*.5));if(y)ha=0.0;else ha=+p[q+(~~(h/3.141592653589793*D)<<3)>>3]+0.0;p[a+(t<<3)>>3]=(K+ha)*Y;t=t+1|0}while((t|0)<(s|0))}}if(k[b>>2]|0){t=k[k[b+4>>2]>>2]|0;Dc[k[(k[t>>2]|0)+16>>2]&255](t,s,l,a,1)}Tqa(a);Tqa(l);z=F;p[c>>3]=z;r=f;return}f=u+56|0;c=u+4|0;k[u>>2]=27524;k[f>>2]=27544;B=0;wa(508,u+56|0,c|0);l=B;B=0;if(l&1){l=Rb()|0;ia=Q;ja=l;vva(f);Qb(ja|0)}k[u+128>>2]=0;k[u+132>>2]=-1;k[u>>2]=27468;k[f>>2]=27488;B=0;va(448,c|0);l=B;B=0;do if(l&1){a=Rb()|0;ka=Q;la=a}else{k[c>>2]=27560;a=u+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[u+52>>2]=16;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;B=0;wa(509,c|0,j|0);s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(j);Yua(a);Ava(c);ka=t;la=s;break}Yua(j);B=0;s=Ia(40,u|0,72785,55)|0;t=B;B=0;if(!(t&1)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,v|0,71825,72);t=B;B=0;do if(t&1){b=Rb()|0;ma=Q;na=b}else{B=0;eb(502,w|0,75190,20);b=B;B=0;if(b&1){b=Rb()|0;q=Q;Yua(v);ma=q;na=b;break}B=0;wa(510,x|0,c|0);b=B;B=0;if(b&1){b=Rb()|0;oa=Q;pa=b;qa=1}else{B=0;ua(163,s|0,v|0,w|0,3638,x|0);b=B;B=0;if(b&1)ra=1;else{B=0;eb(503,s|0,1240,229);B=0;ra=0}b=Rb()|0;q=Q;Yua(x);oa=q;pa=b;qa=ra}Yua(w);Yua(v);if(qa){ma=oa;na=pa;break}else{sa=oa;ta=pa}k[u>>2]=27468;k[f>>2]=27488;k[c>>2]=27560;Yua(a);Ava(c);vva(f);Qb(ta|0)}while(0);zb(s|0);sa=ma;ta=na;k[u>>2]=27468;k[f>>2]=27488;k[c>>2]=27560;Yua(a);Ava(c);vva(f);Qb(ta|0)}t=Rb()|0;sa=Q;ta=t;k[u>>2]=27468;k[f>>2]=27488;k[c>>2]=27560;Yua(a);Ava(c);vva(f);Qb(ta|0)}while(0);ia=ka;ja=la;vva(f);Qb(ja|0)}function Zv(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=+h;var j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0.0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0,U=0,V=0,W=0;f=r;r=r+96|0;j=f+80|0;l=f;m=f+76|0;n=f+72|0;o=f+85|0;q=f+84|0;k[m>>2]=0;i[o>>0]=1;i[q>>0]=1;if(!(aq(a)|0)){r=f;return}s=a+36|0;bO(k[s>>2]|0,o,1009);bO(k[s>>2]|0,q,1010);if(!((i[q>>0]|i[o>>0])<<24>>24)){r=f;return}t=a+32|0;g=+WJ(k[t>>2]|0,267);u=+WJ(k[t>>2]|0,276);cO(k[s>>2]|0,j,285);t=a+24|0;v=c+((Bo(k[k[t>>2]>>2]|0)|0)<<3)|0;w=+p[v>>3]/3.0+0.0;v=c+((Bo(k[(k[t>>2]|0)+4>>2]|0)|0)<<3)|0;x=w+ +p[v>>3]/3.0;v=c+((Bo(k[(k[t>>2]|0)+8>>2]|0)|0)<<3)|0;w=x+ +p[v>>3]/3.0;x=+Zc[k[(k[a>>2]|0)+544>>2]&255](a);Ko(l,k[t>>2]|0,3,1);y=90.0-+p[l>>3];p[l>>3]=y;t=l+8|0;z=+p[t>>3];if(z<0.0){A=z+180.0+180.0;p[t>>3]=A;B=A}else B=z;z=B>-20.0?B:-20.0;A=B<400.0?B:400.0;a=l+24|0;C=90.0-+p[a>>3];p[a>>3]=C;a=l+32|0;D=+p[a>>3];if(D<0.0){E=D+180.0+180.0;p[a>>3]=E;F=E}else F=D;D=F>z?F:z;z=F<A?F:A;v=l+48|0;A=90.0-+p[v>>3];p[v>>3]=A;v=l+56|0;E=+p[v>>3];if(E<0.0){G=E+180.0+180.0;p[v>>3]=G;H=G}else H=E;if((H>D?H:D)>180.0?(H<z?H:z)==0.0:0){if(B==0.0){p[t>>3]=360.0;I=360.0}else I=B;if(F==0.0){p[a>>3]=360.0;J=360.0}else J=F;if(H==0.0){p[v>>3]=360.0;K=I;L=J;M=360.0}else{K=I;L=J;M=H}}else{K=B;L=F;M=H}if(y==0.0){H=(L+M)*.5;p[t>>3]=H;N=H}else N=K;if(C==0.0){K=(N+M)*.5;p[a>>3]=K;O=K}else O=L;if(A==0.0){L=(N+O)*.5;p[v>>3]=L;P=L}else P=M;if(y==180.0){M=(O+P)*.5;p[t>>3]=M;Q=M}else Q=N;if(C==180.0){N=(Q+P)*.5;p[a>>3]=N;R=N}else R=O;O=Q+R;if(A==180.0){R=O*.5;p[v>>3]=R;S=R}else S=P;P=(O+S)/3.0;S=(90.0-(y+C+A)/3.0)/180.0*3.141592653589793;A=(P>180.0?P+-180.0+-180.0:P)/180.0*3.141592653589793;if(i[q>>0]|0){aV(nO(k[s>>2]|0,1012)|0,m,n);s=k[j>>2]|0;v=Rqa(s>>>0>536870911?-1:s<<3)|0;if(!s)T=v;else{WEa(v|0,0,s<<3|0)|0;T=v}}else T=0;v=i[o>>0]|0;s=v<<24>>24==0;a=k[j>>2]|0;if(!s){j=Rqa(a>>>0>536870911?-1:a<<3)|0;if(!a){U=0;V=j}else{WEa(j|0,0,a<<3|0)|0;U=a;V=j}}else{U=a;V=0}a=Rqa(U>>>0>1073741823?-1:U<<2)|0;j=Rqa(U>>>0>536870911?-1:U<<3)|0;a:do if((U|0)!=0?(WEa(j|0,0,U<<3|0)|0,(U|0)>0):0){t=i[q>>0]|0;l=t<<24>>24==0;P=w*(g*3.0/u*x/h);C=+((k[n>>2]|0)+-1|0);c=k[m>>2]|0;if(!((v|t)<<24>>24)){t=0;while(1){k[a+(t<<2)>>2]=t;if(!s){W=j+(t<<3)|0;p[W>>3]=+p[W>>3]+P*+p[V+(t<<3)>>3]}if(!l){W=j+(t<<3)|0;p[W>>3]=+p[W>>3]+P*+p[T+(t<<3)>>3]}t=t+1|0;if((t|0)>=(U|0))break a}}y=+ca(+S);t=0;do{k[a+(t<<2)>>2]=t;O=+p[d+(t<<3)>>3]/180.0*3.141592653589793;R=+da(+(+$(+(O-S))*.5));Q=+da(+(+$(+(+p[e+(t<<3)>>3]/180.0*3.141592653589793-A))*.5));N=+ga(+(+aa(+(R*R+ +ca(+O)*y*(Q*Q)))))*2.0;if(!s){Q=.5/+da(+(N*.5));p[V+(t<<3)>>3]=Q}if(!l){W=T+(t<<3)|0;p[W>>3]=+p[c+(~~(N/3.141592653589793*C)<<3)>>3]+ +p[W>>3]}if(!s){W=j+(t<<3)|0;p[W>>3]=+p[W>>3]+P*+p[V+(t<<3)>>3]}if(!l){W=j+(t<<3)|0;p[W>>3]=+p[W>>3]+P*+p[T+(t<<3)>>3]}t=t+1|0}while((t|0)<(U|0))}while(0);if(k[b>>2]|0){s=k[k[b+4>>2]>>2]|0;Dc[k[(k[s>>2]|0)+16>>2]&255](s,U,a,j,1)}Tqa(j);Tqa(a);if(!((T|0)==0|(i[q>>0]|0)==0))Tqa(T);if((V|0)==0|(i[o>>0]|0)==0){r=f;return}Tqa(V);r=f;return}function _v(a,b){a=a|0;b=b|0;var c=0.0,d=0.0,e=0,f=0.0,g=0.0;if(!(aq(a)|0)){c=0.0;return +c}d=+Zc[k[(k[a>>2]|0)+544>>2]&255](a);e=a+24|0;a=b+((Bo(k[k[e>>2]>>2]|0)|0)<<3)|0;f=+p[a>>3]/3.0+0.0;a=b+((Bo(k[(k[e>>2]|0)+4>>2]|0)|0)<<3)|0;g=f+ +p[a>>3]/3.0;a=b+((Bo(k[(k[e>>2]|0)+8>>2]|0)|0)<<3)|0;c=d*(g+ +p[a>>3]/3.0);return +c}function $v(a){a=a|0;var b=0.0;if(!(aq(a)|0)){b=0.0;return +b}b=+Zc[k[(k[a>>2]|0)+544>>2]&255](a);return +b}function aw(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,72850,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73890,15);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,76,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function bw(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,72850,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73799,15);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,87,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function cw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,72850,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,74656,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,99,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function dw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,72850,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,74747,38);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,166,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function ew(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,72850,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73737,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,169,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function fw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,72850,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73723,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,172,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return +(0.0)}function gw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,72850,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73710,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,179,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0);return 0}function hw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,72850,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73680,29);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,184,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function iw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,72850,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73562,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,195,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function jw(a,b,c,d,e,f){a=a|0;b=+b;c=+c;d=+d;e=+e;f=+f;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;a=r;r=r+192|0;g=a+176|0;h=a+40|0;i=a+24|0;j=a+12|0;l=a;a=h+56|0;m=h+4|0;k[h>>2]=27524;k[a>>2]=27544;B=0;wa(508,h+56|0,m|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;p=n;vva(a);Qb(p|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[a>>2]=27488;B=0;va(448,m|0);n=B;B=0;do if(n&1){q=Rb()|0;s=Q;t=q}else{k[m>>2]=27560;q=h+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[h+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,m|0,g|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(g);Yua(q);Ava(m);s=v;t=u;break}Yua(g);B=0;u=Ia(40,h|0,149721,19)|0;v=B;B=0;a:do if(!(v&1)?(B=0,Xa(239,u|0,0)|0,w=B,B=0,!(w&1)):0){w=Ab(20)|0;B=0;eb(502,i|0,72850,84);x=B;B=0;do if(!(x&1)){B=0;eb(502,j|0,73539,22);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(i);A=z;C=y;break}B=0;wa(510,l|0,m|0);y=B;B=0;if(y&1){y=Rb()|0;D=Q;E=y;F=1}else{B=0;ua(163,w|0,i|0,j|0,197,l|0);y=B;B=0;if(y&1)G=1;else{B=0;eb(503,w|0,1240,229);B=0;G=0}y=Rb()|0;z=Q;Yua(l);D=z;E=y;F=G}Yua(j);Yua(i);if(F){A=D;C=E}else{H=D;I=E;break a}}else{y=Rb()|0;A=Q;C=y}while(0);zb(w|0);H=A;I=C}else J=16;while(0);if((J|0)==16){u=Rb()|0;H=Q;I=u}k[h>>2]=27468;k[a>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(a);Qb(I|0)}while(0);o=s;p=t;vva(a);Qb(p|0);return +(0.0)}function kw(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,72850,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,92779,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,127,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function lw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,72850,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73369,22);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,140,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function mw(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;g=r;r=r+192|0;f=g+176|0;e=g+40|0;d=g+24|0;c=g+12|0;b=g;g=e+56|0;a=e+4|0;k[e>>2]=27524;k[g>>2]=27544;B=0;wa(508,e+56|0,a|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(g);Qb(j|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[g>>2]=27488;B=0;va(448,a|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[a>>2]=27560;l=e+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[e+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,a|0,f|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(f);Yua(l);Ava(a);m=p;n=o;break}Yua(f);B=0;o=Ia(40,e|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,72850,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,c|0,99724,14);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,b|0,a|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,c|0,200,b|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(b);x=u;y=t;z=A}Yua(c);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[e>>2]=27468;k[g>>2]=27488;k[a>>2]=27560;Yua(l);Ava(a);vva(g);Qb(D|0)}while(0);i=m;j=n;vva(g);Qb(j|0)}function nw(a){a=a|0;return}function ow(a){a=a|0;return}function pw(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0;g=r;r=r+112|0;h=g;i=qw(0,f)|0;rw(a,h,d,e,f);f=(i|0)>0;if(f){j=0.0;e=0;while(1){k=j+ +p[h+(e<<3)>>3]*+p[c+(e<<3)>>3];e=e+1|0;if((e|0)==(i|0)){l=k;break}else j=k}if(f){j=0.0;f=0;while(1){k=j+ +p[h+(f+i<<3)>>3]*+p[c+(f<<3)>>3];f=f+1|0;if((f|0)==(i|0)){m=l;n=k;break}else j=k}}else{m=l;n=0.0}}else{m=0.0;n=0.0}p[b>>3]=m;p[b+8>>3]=n;r=g;return}function qw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;do switch(b|0){case 736:{h=1;r=a;return h|0}case 738:{h=3;r=a;return h|0}case 739:{h=3;r=a;return h|0}case 740:{h=4;r=a;return h|0}case 741:{h=4;r=a;return h|0}case 742:{h=6;r=a;return h|0}case 743:{h=7;r=a;return h|0}case 744:{h=7;r=a;return h|0}case 749:{h=6;r=a;return h|0}case 750:{h=6;r=a;return h|0}case 752:{h=7;r=a;return h|0}case 751:{h=7;r=a;return h|0}case 753:{h=9;r=a;return h|0}case 754:{h=6;r=a;return h|0}case 755:{h=9;r=a;return h|0}case 757:{h=10;r=a;return h|0}case 758:{h=7;r=a;return h|0}case 921:{h=0;r=a;return h|0}default:{i=d+56|0;j=d+4|0;k[d>>2]=27524;k[i>>2]=27544;B=0;wa(508,d+56|0,j|0);l=B;B=0;if(l&1){l=Rb()|0;m=Q;n=l;vva(i);Qb(n|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[i>>2]=27488;B=0;va(448,j|0);l=B;B=0;do if(l&1){o=Rb()|0;p=Q;q=o}else{k[j>>2]=27560;o=d+36|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[o+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,j|0,c|0);s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(c);Yua(o);Ava(j);p=t;q=s;break}Yua(c);B=0;s=Ia(40,d|0,132447,13)|0;t=B;B=0;if((((!(t&1)?(B=0,t=ya(427,b|0)|0,u=B,B=0,!(u&1)):0)?(u=Lta(t)|0,B=0,v=Ia(40,s|0,t|0,u|0)|0,u=B,B=0,!(u&1)):0)?(B=0,u=Ia(40,v|0,146481,18)|0,v=B,B=0,!(v&1)):0)?(B=0,Xa(239,u|0,0)|0,u=B,B=0,!(u&1)):0){u=Ab(20)|0;B=0;eb(502,e|0,72935,75);v=B;B=0;do if(!(v&1)){B=0;eb(502,f|0,75442,13);t=B;B=0;if(t&1){t=Rb()|0;s=Q;Yua(e);w=s;x=t;break}B=0;wa(510,g|0,j|0);t=B;B=0;if(t&1){t=Rb()|0;y=Q;z=t;A=1}else{B=0;ua(163,u|0,e|0,f|0,489,g|0);t=B;B=0;if(t&1)C=1;else{B=0;eb(503,u|0,1240,229);B=0;C=0}t=Rb()|0;s=Q;Yua(g);y=s;z=t;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;k[d>>2]=27468;k[i>>2]=27488;k[j>>2]=27560;Yua(o);Ava(j);vva(i);Qb(E|0)}}else{t=Rb()|0;w=Q;x=t}while(0);zb(u|0);D=w;E=x;k[d>>2]=27468;k[i>>2]=27488;k[j>>2]=27560;Yua(o);Ava(j);vva(i);Qb(E|0)}v=Rb()|0;D=Q;E=v;k[d>>2]=27468;k[i>>2]=27488;k[j>>2]=27560;Yua(o);Ava(j);vva(i);Qb(E|0)}while(0);m=p;n=q;vva(i);Qb(n|0)}}while(0);return 0}function rw(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0;a=r;r=r+176|0;f=a+144|0;g=a+112|0;h=a;i=qw(0,e)|0;vw(0,h,d,e);j=+p[c>>3];k=+p[c+8>>3];l=+p[c+24>>3];m=+p[c+32>>3];n=+p[c+48>>3];o=+p[c+56>>3];p[f>>3]=(l-j)*.5;p[f+16>>3]=(n*2.0-j-l)*.28867513459481287;p[f+8>>3]=(m-k)*.5;p[f+24>>3]=(o*2.0-k-m)*.28867513459481287;bY(g,f);if((i|0)<=0){r=a;return}m=+p[g>>3];k=+p[g+8>>3];o=+p[g+16>>3];l=+p[g+24>>3];g=0;do{j=+p[h+(g<<3)>>3];f=g+i|0;n=+p[h+(f<<3)>>3];p[b+(g<<3)>>3]=m*j+k*n;p[b+(f<<3)>>3]=o*j+l*n;g=g+1|0}while((g|0)!=(i|0));r=a;return}function sw(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0.0,j=0.0,k=0.0;a=r;r=r+64|0;f=a;g=qw(0,e)|0;tw(0,f,d,e);if((g|0)>0){h=0;i=0.0}else{j=0.0;p[b>>3]=j;r=a;return}while(1){k=i+ +p[f+(h<<3)>>3]*+p[c+(h<<3)>>3];h=h+1|0;if((h|0)==(g|0)){j=k;break}else i=k}p[b>>3]=j;r=a;return}function tw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0.0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;e=a+176|0;f=a+40|0;g=a+24|0;h=a+12|0;i=a;switch(d|0){case 736:{p[b>>3]=1.0;r=a;return}case 739:case 738:{p[b>>3]=+p[c+40>>3];p[b+8>>3]=+p[c+48>>3];p[b+16>>3]=+p[c+56>>3];r=a;return}case 741:case 740:{j=c+40|0;p[b>>3]=+p[j>>3];l=c+48|0;p[b+8>>3]=+p[l>>3];m=c+56|0;p[b+16>>3]=+p[m>>3];p[b+24>>3]=+p[j>>3]*27.0*+p[l>>3]*+p[m>>3];r=a;return}case 742:{m=c+40|0;n=+p[m>>3];p[b>>3]=n*(n*2.0+-1.0);l=c+48|0;n=+p[l>>3];p[b+8>>3]=n*(n*2.0+-1.0);j=c+56|0;n=+p[j>>3];p[b+16>>3]=n*(n*2.0+-1.0);p[b+24>>3]=+p[j>>3]*4.0*+p[l>>3];p[b+32>>3]=+p[j>>3]*4.0*+p[m>>3];p[b+40>>3]=+p[m>>3]*4.0*+p[l>>3];r=a;return}case 744:case 743:{l=c+40|0;n=+p[l>>3];p[b>>3]=n*(n*2.0+-1.0);m=c+48|0;n=+p[m>>3];p[b+8>>3]=n*(n*2.0+-1.0);j=c+56|0;n=+p[j>>3];p[b+16>>3]=n*(n*2.0+-1.0);p[b+24>>3]=+p[j>>3]*4.0*+p[m>>3];p[b+32>>3]=+p[j>>3]*4.0*+p[l>>3];p[b+40>>3]=+p[l>>3]*4.0*+p[m>>3];p[b+48>>3]=+p[l>>3]*27.0*+p[m>>3]*+p[j>>3];r=a;return}case 921:{r=a;return}default:{a=f+56|0;j=f+4|0;k[f>>2]=27524;k[a>>2]=27544;B=0;wa(508,f+56|0,j|0);m=B;B=0;if(m&1){m=Rb()|0;o=Q;q=m;vva(a);Qb(q|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[a>>2]=27488;B=0;va(448,j|0);m=B;B=0;do if(m&1){l=Rb()|0;s=Q;t=l}else{k[j>>2]=27560;l=f+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,j|0,e|0);b=B;B=0;if(b&1){b=Rb()|0;c=Q;Yua(e);Yua(l);Ava(j);s=c;t=b;break}Yua(e);B=0;b=Ia(40,f|0,132447,13)|0;c=B;B=0;if((((!(c&1)?(B=0,c=ya(427,d|0)|0,u=B,B=0,!(u&1)):0)?(u=Lta(c)|0,B=0,v=Ia(40,b|0,c|0,u|0)|0,u=B,B=0,!(u&1)):0)?(B=0,u=Ia(40,v|0,146481,18)|0,v=B,B=0,!(v&1)):0)?(B=0,Xa(239,u|0,0)|0,u=B,B=0,!(u&1)):0){u=Ab(20)|0;B=0;eb(502,g|0,72935,75);v=B;B=0;do if(!(v&1)){B=0;eb(502,h|0,75456,17);c=B;B=0;if(c&1){c=Rb()|0;b=Q;Yua(g);w=b;x=c;break}B=0;wa(510,i|0,j|0);c=B;B=0;if(c&1){c=Rb()|0;y=Q;z=c;A=1}else{B=0;ua(163,u|0,g|0,h|0,185,i|0);c=B;B=0;if(c&1)C=1;else{B=0;eb(503,u|0,1240,229);B=0;C=0}c=Rb()|0;b=Q;Yua(i);y=b;z=c;A=C}Yua(h);Yua(g);if(A){w=y;x=z}else{D=y;E=z;k[f>>2]=27468;k[a>>2]=27488;k[j>>2]=27560;Yua(l);Ava(j);vva(a);Qb(E|0)}}else{c=Rb()|0;w=Q;x=c}while(0);zb(u|0);D=w;E=x;k[f>>2]=27468;k[a>>2]=27488;k[j>>2]=27560;Yua(l);Ava(j);vva(a);Qb(E|0)}v=Rb()|0;D=Q;E=v;k[f>>2]=27468;k[a>>2]=27488;k[j>>2]=27560;Yua(l);Ava(j);vva(a);Qb(E|0)}while(0);o=s;q=t;vva(a);Qb(q|0)}}}function uw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;d=r;r=r+224|0;a=d+208|0;e=d;f=d+72|0;g=d+56|0;h=d+44|0;i=d+32|0;j=+p[c>>3];l=+p[c+8>>3];m=+p[c+24>>3];n=+p[c+32>>3];o=+p[c+48>>3];q=+p[c+56>>3];p[e>>3]=(m-j)*.5;p[e+16>>3]=(o*2.0-j-m)*.28867513459481287;p[e+8>>3]=(n-l)*.5;p[e+24>>3]=(q*2.0-l-n)*.28867513459481287;aY(b,e);if(!(+p[b>>3]<0.0)){r=d;return}d=f+56|0;b=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,b|0);e=B;B=0;if(e&1){e=Rb()|0;s=Q;t=e;vva(d);Qb(t|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);e=B;B=0;do if(e&1){c=Rb()|0;u=Q;v=c}else{k[b>>2]=27560;c=f+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[f+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,b|0,a|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(a);Yua(c);Ava(b);u=x;v=w;break}Yua(a);B=0;w=Ia(40,f|0,75474,30)|0;x=B;B=0;if(!(x&1)?(B=0,Xa(239,w|0,0)|0,w=B,B=0,!(w&1)):0){w=Ab(20)|0;B=0;eb(502,g|0,72935,75);x=B;B=0;do if(!(x&1)){B=0;eb(502,h|0,75505,22);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(g);A=z;C=y;break}B=0;wa(510,i|0,b|0);y=B;B=0;if(y&1){y=Rb()|0;D=Q;E=y;F=1}else{B=0;ua(163,w|0,g|0,h|0,117,i|0);y=B;B=0;if(y&1)G=1;else{B=0;eb(503,w|0,1240,229);B=0;G=0}y=Rb()|0;z=Q;Yua(i);D=z;E=y;F=G}Yua(h);Yua(g);if(F){A=D;C=E}else{H=D;I=E;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(c);Ava(b);vva(d);Qb(I|0)}}else{y=Rb()|0;A=Q;C=y}while(0);zb(w|0);H=A;I=C;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(c);Ava(b);vva(d);Qb(I|0)}x=Rb()|0;H=Q;I=x;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(c);Ava(b);vva(d);Qb(I|0)}while(0);s=u;t=v;vva(d);Qb(t|0)}function vw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0.0,n=0,o=0.0,q=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;a=r;r=r+192|0;e=a+176|0;f=a+40|0;g=a+24|0;h=a+12|0;i=a;switch(d|0){case 736:{k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;r=a;return}case 739:case 738:{p[b>>3]=-.5;p[b+24>>3]=-.28867513459481287;p[b+8>>3]=.5;p[b+32>>3]=-.28867513459481287;p[b+16>>3]=0.0;p[b+40>>3]=.5773502691896257;r=a;return}case 741:case 740:{p[b>>3]=-.5;p[b+32>>3]=-.28867513459481287;p[b+8>>3]=.5;p[b+40>>3]=-.28867513459481287;p[b+16>>3]=0.0;p[b+48>>3]=.5773502691896257;j=c+48|0;l=c+56|0;m=+p[l>>3];n=c+40|0;p[b+24>>3]=(+p[j>>3]*-.5*m+m*(+p[n>>3]*.5))*27.0;m=+p[j>>3];o=+p[l>>3];q=+p[n>>3];p[b+56>>3]=(m*(q*.3333333333333333)+(m*-.16666666666666666*o-o*(q*.16666666666666666)))*46.76537180435968;r=a;return}case 742:{n=c+40|0;p[b>>3]=.5-+p[n>>3]*2.0;p[b+48>>3]=.28867513459481287-+p[n>>3]*1.1547005383792515;l=c+48|0;p[b+8>>3]=+p[l>>3]*2.0+-.5;p[b+56>>3]=.28867513459481287-+p[l>>3]*1.1547005383792515;p[b+16>>3]=0.0;j=c+56|0;p[b+64>>3]=+p[j>>3]*2.309401076758503+-.5773502691896257;p[b+24>>3]=+p[j>>3]*2.0;p[b+72>>3]=+p[l>>3]*2.309401076758503-+p[j>>3]*1.1547005383792515;p[b+32>>3]=+p[j>>3]*-2.0;p[b+80>>3]=+p[n>>3]*2.309401076758503-+p[j>>3]*1.1547005383792515;p[b+40>>3]=(+p[n>>3]-+p[l>>3])*2.0;p[b+88>>3]=(+p[n>>3]+ +p[l>>3])*-1.1547005383792515;r=a;return}case 744:case 743:{l=c+40|0;p[b>>3]=.5-+p[l>>3]*2.0;p[b+56>>3]=.28867513459481287-+p[l>>3]*1.1547005383792515;n=c+48|0;p[b+8>>3]=+p[n>>3]*2.0+-.5;p[b+64>>3]=.28867513459481287-+p[n>>3]*1.1547005383792515;p[b+16>>3]=0.0;j=c+56|0;p[b+72>>3]=+p[j>>3]*2.309401076758503+-.5773502691896257;p[b+24>>3]=+p[j>>3]*2.0;p[b+80>>3]=+p[n>>3]*2.309401076758503-+p[j>>3]*1.1547005383792515;p[b+32>>3]=+p[j>>3]*-2.0;p[b+88>>3]=+p[l>>3]*2.309401076758503-+p[j>>3]*1.1547005383792515;p[b+40>>3]=(+p[l>>3]-+p[n>>3])*2.0;p[b+96>>3]=(+p[l>>3]+ +p[n>>3])*-1.1547005383792515;q=+p[j>>3];p[b+48>>3]=(+p[n>>3]*-.5*q+q*(+p[l>>3]*.5))*27.0;q=+p[n>>3];o=+p[j>>3];m=+p[l>>3];p[b+104>>3]=(q*(m*.3333333333333333)+(q*-.16666666666666666*o-o*(m*.16666666666666666)))*46.76537180435968;r=a;return}default:{a=f+56|0;b=f+4|0;k[f>>2]=27524;k[a>>2]=27544;B=0;wa(508,f+56|0,b|0);l=B;B=0;if(l&1){l=Rb()|0;s=Q;t=l;vva(a);Qb(t|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[a>>2]=27488;B=0;va(448,b|0);l=B;B=0;do if(l&1){j=Rb()|0;u=Q;v=j}else{k[b>>2]=27560;j=f+36|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,b|0,e|0);n=B;B=0;if(n&1){n=Rb()|0;c=Q;Yua(e);Yua(j);Ava(b);u=c;v=n;break}Yua(e);B=0;n=Ia(40,f|0,132447,13)|0;c=B;B=0;if((((!(c&1)?(B=0,c=ya(427,d|0)|0,w=B,B=0,!(w&1)):0)?(w=Lta(c)|0,B=0,x=Ia(40,n|0,c|0,w|0)|0,w=B,B=0,!(w&1)):0)?(B=0,w=Ia(40,x|0,146481,18)|0,x=B,B=0,!(x&1)):0)?(B=0,Xa(239,w|0,0)|0,w=B,B=0,!(w&1)):0){w=Ab(20)|0;B=0;eb(502,g|0,72935,75);x=B;B=0;do if(!(x&1)){B=0;eb(502,h|0,75528,37);c=B;B=0;if(c&1){c=Rb()|0;n=Q;Yua(g);y=n;z=c;break}B=0;wa(510,i|0,b|0);c=B;B=0;if(c&1){c=Rb()|0;A=Q;C=c;D=1}else{B=0;ua(163,w|0,g|0,h|0,301,i|0);c=B;B=0;if(c&1)E=1;else{B=0;eb(503,w|0,1240,229);B=0;E=0}c=Rb()|0;n=Q;Yua(i);A=n;C=c;D=E}Yua(h);Yua(g);if(D){y=A;z=C}else{F=A;G=C;k[f>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(j);Ava(b);vva(a);Qb(G|0)}}else{c=Rb()|0;y=Q;z=c}while(0);zb(w|0);F=y;G=z;k[f>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(j);Ava(b);vva(a);Qb(G|0)}x=Rb()|0;F=Q;G=x;k[f>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(j);Ava(b);vva(a);Qb(G|0)}while(0);s=u;t=v;vva(a);Qb(t|0)}}}function ww(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0.0,i=0.0;a=qw(0,f)|0;g=Rqa(a>>>0>536870911?-1:a<<3)|0;tw(0,g,c,f);h=+p[g+(d<<3)>>3];p[b>>3]=h;i=+p[g+(e<<3)>>3];p[b+8>>3]=i;p[b+16>>3]=-h;p[b+24>>3]=-i;Tqa(g);return}function xw(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0.0,i=0.0;a=qw(0,f)|0;g=Rqa(a>>>0>536870911?-1:a<<3)|0;tw(0,g,c,f);h=+p[g+(d<<3)>>3];p[b>>3]=h;i=+p[g+(e<<3)>>3];p[b+8>>3]=i;p[b+16>>3]=h;p[b+24>>3]=i;Tqa(g);return}function yw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0.0,j=0.0,l=0.0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;d=r;r=r+192|0;a=d+176|0;e=d+40|0;f=d+24|0;g=d+12|0;h=d;i=+p[c+24>>3]-+p[c>>3];j=+p[c+32>>3]-+p[c+8>>3];l=+aa(+(i*i+j*j))*.5;p[b>>3]=l;if(!(l<0.0)){r=d;return}d=e+56|0;b=e+4|0;k[e>>2]=27524;k[d>>2]=27544;B=0;wa(508,e+56|0,b|0);c=B;B=0;if(c&1){c=Rb()|0;m=Q;n=c;vva(d);Qb(n|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);c=B;B=0;do if(c&1){o=Rb()|0;q=Q;s=o}else{k[b>>2]=27560;o=e+36|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[o+12>>2]=0;k[e+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,b|0,a|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);Yua(o);Ava(b);q=u;s=t;break}Yua(a);B=0;t=Ia(40,e|0,75474,30)|0;u=B;B=0;if(!(u&1)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,72935,75);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,75593,29);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(f);x=w;y=v;break}B=0;wa(510,h|0,b|0);v=B;B=0;if(v&1){v=Rb()|0;z=Q;A=v;C=1}else{B=0;ua(163,t|0,f|0,g|0,366,h|0);v=B;B=0;if(v&1)D=1;else{B=0;eb(503,t|0,1240,229);B=0;D=0}v=Rb()|0;w=Q;Yua(h);z=w;A=v;C=D}Yua(g);Yua(f);if(C){x=z;y=A}else{E=z;F=A;k[e>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(o);Ava(b);vva(d);Qb(F|0)}}else{v=Rb()|0;x=Q;y=v}while(0);zb(t|0);E=x;F=y;k[e>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(o);Ava(b);vva(d);Qb(F|0)}u=Rb()|0;E=Q;F=u;k[e>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(o);Ava(b);vva(d);Qb(F|0)}while(0);m=q;n=s;vva(d);Qb(n|0)}function zw(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;a=r;r=r+192|0;g=a+176|0;h=a+40|0;i=a+24|0;j=a+12|0;l=a;m=qw(0,f)|0;n=Rqa(m>>>0>536870911?-1:m<<3)|0;tw(0,n,c,f);switch(f|0){case 739:case 738:{p[b>>3]=+p[n+(d<<3)>>3];p[b+8>>3]=+p[n+(e<<3)>>3];Tqa(n);r=a;return}case 741:case 740:{p[b>>3]=+p[n+(d<<3)>>3];p[b+8>>3]=+p[n+(e<<3)>>3];Tqa(n);r=a;return}case 742:{p[b>>3]=+p[n+(d<<3)>>3];p[b+8>>3]=+p[n+(e<<3)>>3];p[b+16>>3]=+p[n+(e+2<<3)>>3];Tqa(n);r=a;return}default:{a=h+56|0;n=h+4|0;k[h>>2]=27524;k[a>>2]=27544;B=0;wa(508,h+56|0,n|0);e=B;B=0;if(e&1){e=Rb()|0;o=Q;q=e;vva(a);Qb(q|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[a>>2]=27488;B=0;va(448,n|0);e=B;B=0;do if(e&1){b=Rb()|0;s=Q;t=b}else{k[n>>2]=27560;b=h+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[h+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,n|0,g|0);d=B;B=0;if(d&1){d=Rb()|0;c=Q;Yua(g);Yua(b);Ava(n);s=c;t=d;break}Yua(g);B=0;d=Ia(40,h|0,132447,13)|0;c=B;B=0;if((((!(c&1)?(B=0,c=ya(427,f|0)|0,m=B,B=0,!(m&1)):0)?(m=Lta(c)|0,B=0,u=Ia(40,d|0,c|0,m|0)|0,m=B,B=0,!(m&1)):0)?(B=0,m=Ia(40,u|0,146481,18)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,m|0,0)|0,m=B,B=0,!(m&1)):0){m=Ab(20)|0;B=0;eb(502,i|0,72935,75);u=B;B=0;do if(!(u&1)){B=0;eb(502,j|0,73011,24);c=B;B=0;if(c&1){c=Rb()|0;d=Q;Yua(i);v=d;w=c;break}B=0;wa(510,l|0,n|0);c=B;B=0;if(c&1){c=Rb()|0;x=Q;y=c;z=1}else{B=0;ua(163,m|0,i|0,j|0,402,l|0);c=B;B=0;if(c&1)A=1;else{B=0;eb(503,m|0,1240,229);B=0;A=0}c=Rb()|0;d=Q;Yua(l);x=d;y=c;z=A}Yua(j);Yua(i);if(z){v=x;w=y}else{C=x;D=y;k[h>>2]=27468;k[a>>2]=27488;k[n>>2]=27560;Yua(b);Ava(n);vva(a);Qb(D|0)}}else{c=Rb()|0;v=Q;w=c}while(0);zb(m|0);C=v;D=w;k[h>>2]=27468;k[a>>2]=27488;k[n>>2]=27560;Yua(b);Ava(n);vva(a);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[h>>2]=27468;k[a>>2]=27488;k[n>>2]=27560;Yua(b);Ava(n);vva(a);Qb(D|0)}while(0);o=s;q=t;vva(a);Qb(q|0)}}}function Aw(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0;a=r;r=r+528|0;f=a+516|0;g=a+368|0;h=a+504|0;i=a+356|0;j=a+344|0;l=a+208|0;m=a+60|0;n=a+48|0;o=a+36|0;p=a+72|0;q=a+24|0;s=a+12|0;t=a;switch(e|0){case 741:case 740:case 739:case 738:{u=Rqa(8)|0;switch(d|0){case 0:{k[u>>2]=1;k[u+4>>2]=2;v=u;w=2;k[b>>2]=w;k[c>>2]=v;r=a;return}case 1:{k[u>>2]=2;k[u+4>>2]=0;v=u;w=2;k[b>>2]=w;k[c>>2]=v;r=a;return}case 2:{k[u>>2]=0;k[u+4>>2]=1;v=u;w=2;k[b>>2]=w;k[c>>2]=v;r=a;return}default:{u=g+56|0;x=g+4|0;k[g>>2]=27524;k[u>>2]=27544;B=0;wa(508,g+56|0,x|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;A=y;vva(u);Qb(A|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[u>>2]=27488;B=0;va(448,x|0);y=B;B=0;do if(y&1){C=Rb()|0;D=Q;E=C}else{k[x>>2]=27560;C=g+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,x|0,f|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(f);Yua(C);Ava(x);D=G;E=F;break}Yua(f);B=0;F=Ia(40,g|0,73036,21)|0;G=B;B=0;a:do if(((!(G&1)?(B=0,H=Xa(242,F|0,d|0)|0,I=B,B=0,!(I&1)):0)?(B=0,I=Ia(40,H|0,73058,24)|0,H=B,B=0,!(H&1)):0)?(B=0,Xa(239,I|0,0)|0,I=B,B=0,!(I&1)):0){I=Ab(20)|0;B=0;eb(502,h|0,72935,75);H=B;B=0;do if(!(H&1)){B=0;eb(502,i|0,73083,17);J=B;B=0;if(J&1){J=Rb()|0;K=Q;Yua(h);L=K;M=J;break}B=0;wa(510,j|0,x|0);J=B;B=0;if(J&1){J=Rb()|0;N=J;O=Q;P=1}else{B=0;ua(163,I|0,h|0,i|0,433,j|0);J=B;B=0;if(J&1)R=1;else{B=0;eb(503,I|0,1240,229);B=0;R=0}J=Rb()|0;K=Q;Yua(j);N=J;O=K;P=R}Yua(i);Yua(h);if(P){L=O;M=N}else{S=O;T=N;break a}}else{K=Rb()|0;L=Q;M=K}while(0);zb(I|0);S=L;T=M}else U=23;while(0);if((U|0)==23){F=Rb()|0;S=Q;T=F}k[g>>2]=27468;k[u>>2]=27488;k[x>>2]=27560;Yua(C);Ava(x);vva(u);V=S;W=T;Qb(W|0)}while(0);z=D;A=E;vva(u);Qb(A|0)}}break}case 742:{A=Rqa(12)|0;switch(d|0){case 0:{k[A>>2]=1;k[A+4>>2]=2;k[A+8>>2]=3;v=A;w=3;k[b>>2]=w;k[c>>2]=v;r=a;return}case 1:{k[A>>2]=2;k[A+4>>2]=0;k[A+8>>2]=4;v=A;w=3;k[b>>2]=w;k[c>>2]=v;r=a;return}case 2:{k[A>>2]=0;k[A+4>>2]=1;k[A+8>>2]=5;v=A;w=3;k[b>>2]=w;k[c>>2]=v;r=a;return}default:{a=l+56|0;v=l+4|0;k[l>>2]=27524;k[a>>2]=27544;B=0;wa(508,l+56|0,v|0);c=B;B=0;if(c&1){c=Rb()|0;X=Q;Y=c;vva(a);Qb(Y|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[a>>2]=27488;B=0;va(448,v|0);c=B;B=0;do if(c&1){w=Rb()|0;Z=Q;_=w}else{k[v>>2]=27560;w=l+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[l+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,v|0,f|0);b=B;B=0;if(b&1){b=Rb()|0;A=Q;Yua(f);Yua(w);Ava(v);Z=A;_=b;break}Yua(f);B=0;b=Ia(40,l|0,73036,21)|0;A=B;B=0;b:do if(((!(A&1)?(B=0,u=Xa(242,b|0,d|0)|0,E=B,B=0,!(E&1)):0)?(B=0,E=Ia(40,u|0,73058,24)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,E|0,0)|0,E=B,B=0,!(E&1)):0){E=Ab(20)|0;B=0;eb(502,m|0,72935,75);u=B;B=0;do if(!(u&1)){B=0;eb(502,n|0,73083,17);D=B;B=0;if(D&1){D=Rb()|0;z=Q;Yua(m);$=D;aa=z;break}B=0;wa(510,o|0,v|0);z=B;B=0;if(z&1){z=Rb()|0;ba=1;ca=Q;da=z}else{B=0;ua(163,E|0,m|0,n|0,456,o|0);z=B;B=0;if(z&1)ea=1;else{B=0;eb(503,E|0,1240,229);B=0;ea=0}z=Rb()|0;D=Q;Yua(o);ba=ea;ca=D;da=z}Yua(n);Yua(m);if(ba){$=da;aa=ca}else{fa=ca;ga=da;break b}}else{z=Rb()|0;$=z;aa=Q}while(0);zb(E|0);fa=aa;ga=$}else U=52;while(0);if((U|0)==52){b=Rb()|0;fa=Q;ga=b}k[l>>2]=27468;k[a>>2]=27488;k[v>>2]=27560;Yua(w);Ava(v);vva(a);V=fa;W=ga;Qb(W|0)}while(0);X=Z;Y=_;vva(a);Qb(Y|0)}}break}default:{Y=p+56|0;a=p+4|0;k[p>>2]=27524;k[Y>>2]=27544;B=0;wa(508,p+56|0,a|0);_=B;B=0;if(_&1){_=Rb()|0;ha=Q;ia=_;vva(Y);Qb(ia|0)}k[p+128>>2]=0;k[p+132>>2]=-1;k[p>>2]=27468;k[Y>>2]=27488;B=0;va(448,a|0);_=B;B=0;do if(_&1){Z=Rb()|0;ja=Q;ka=Z}else{k[a>>2]=27560;Z=p+36|0;k[Z>>2]=0;k[Z+4>>2]=0;k[Z+8>>2]=0;k[Z+12>>2]=0;k[p+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,a|0,f|0);X=B;B=0;if(X&1){X=Rb()|0;ga=Q;Yua(f);Yua(Z);Ava(a);ja=ga;ka=X;break}Yua(f);B=0;X=Ia(40,p|0,132447,13)|0;ga=B;B=0;c:do if((((!(ga&1)?(B=0,fa=ya(427,e|0)|0,v=B,B=0,!(v&1)):0)?(v=Lta(fa)|0,B=0,l=Ia(40,X|0,fa|0,v|0)|0,v=B,B=0,!(v&1)):0)?(B=0,v=Ia(40,l|0,146481,18)|0,l=B,B=0,!(l&1)):0)?(B=0,Xa(239,v|0,0)|0,v=B,B=0,!(v&1)):0){v=Ab(20)|0;B=0;eb(502,q|0,72935,75);l=B;B=0;do if(!(l&1)){B=0;eb(502,s|0,73083,17);fa=B;B=0;if(fa&1){fa=Rb()|0;$=Q;Yua(q);la=fa;ma=$;break}B=0;wa(510,t|0,a|0);$=B;B=0;if($&1){$=Rb()|0;na=1;oa=Q;pa=$}else{B=0;ua(163,v|0,q|0,s|0,460,t|0);$=B;B=0;if($&1)qa=1;else{B=0;eb(503,v|0,1240,229);B=0;qa=0}$=Rb()|0;fa=Q;Yua(t);na=qa;oa=fa;pa=$}Yua(s);Yua(q);if(na){la=pa;ma=oa}else{ra=oa;sa=pa;break c}}else{$=Rb()|0;la=$;ma=Q}while(0);zb(v|0);ra=ma;sa=la}else U=78;while(0);if((U|0)==78){X=Rb()|0;ra=Q;sa=X}k[p>>2]=27468;k[Y>>2]=27488;k[a>>2]=27560;Yua(Z);Ava(a);vva(Y);V=ra;W=sa;Qb(W|0)}while(0);ha=ja;ia=ka;vva(Y);Qb(ia|0)}}}function Bw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;switch(b|0){case 754:{h=921;r=a;return h|0}case 757:{h=739;r=a;return h|0}case 758:{h=921;r=a;return h|0}case 755:case 753:case 751:case 752:case 750:case 749:{h=738;r=a;return h|0}default:{h=d+56|0;a=d+4|0;k[d>>2]=27524;k[h>>2]=27544;B=0;wa(508,d+56|0,a|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(h);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[h>>2]=27488;B=0;va(448,a|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[a>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,a|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(a);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,132447,13)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,b|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,146481,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,72935,75);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,75650,21);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,a|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,507,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[h>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(h);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[h>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(h);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[h>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(h);Qb(C|0)}while(0);j=n;l=o;vva(h);Qb(l|0)}}return 0}function Cw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;if((b|0)==755){r=a;return 739}a=d+56|0;h=d+4|0;k[d>>2]=27524;k[a>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(a);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[a>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,132447,13)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,b|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,146481,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,72935,75);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,75211,19);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,518,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[a>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(a);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[a>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(a);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[a>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(a);Qb(C|0)}while(0);j=n;l=o;vva(a);Qb(l|0);return 0}function Dw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;switch(b|0){case 752:{h=740;r=a;return h|0}case 751:{h=740;r=a;return h|0}case 753:{h=742;r=a;return h|0}case 754:{h=742;r=a;return h|0}case 755:{h=742;r=a;return h|0}case 757:{h=743;r=a;return h|0}case 758:{h=743;r=a;return h|0}case 750:case 749:{h=738;r=a;return h|0}default:{h=d+56|0;a=d+4|0;k[d>>2]=27524;k[h>>2]=27544;B=0;wa(508,d+56|0,a|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(h);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[h>>2]=27488;B=0;va(448,a|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[a>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,a|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(a);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,132447,13)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,b|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,146481,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,72935,75);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,75691,21);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,a|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,534,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[h>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(h);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[h>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(h);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[h>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(h);Qb(C|0)}while(0);j=n;l=o;vva(h);Qb(l|0)}}return 0}function Ew(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;Po(a);g=a+48|0;B=0;ua(167,g|0,f|0,d+1|0,4,e|0);e=B;B=0;if(e&1){e=Rb()|0;h=Q;i=e;Qo(a);Qb(i|0)}B=0;e=B;B=0;if(e&1){e=Rb()|0;j=Q;l=e}else{k[a>>2]=30656;k[a+4>>2]=31220;k[a+8>>2]=b;k[a+12>>2]=c;k[a+36>>2]=0;B=0;c=ya(423,36)|0;b=B;B=0;do if(!(b&1)){B=0;va(486,c|0);e=B;B=0;if(e&1){e=Rb()|0;d=Q;Sqa(c);m=d;n=e;break}k[a+16>>2]=c;e=a+20|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;B=0;e=ya(422,(f>>>0>1073741823?-1:f<<2)|0)|0;d=B;B=0;if(!(d&1)){k[a+40>>2]=e;return}else o=9}else o=9;while(0);if((o|0)==9){o=Rb()|0;m=Q;n=o}j=m;l=n}Tq(g);h=j;i=l;Qo(a);Qb(i|0)}function Fw(a){a=a|0;k[a>>2]=30656;k[a+4>>2]=31220;k[a+36>>2]=0;Tq(a+48|0);Qo(a);return}function Gw(a){a=a|0;k[a>>2]=30656;k[a+4>>2]=31220;k[a+36>>2]=0;Tq(a+48|0);Qo(a);Sqa(a);return}function Hw(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;b=Qqa(72)|0;B=0;va(461,b|0);c=B;B=0;if(c&1){c=Rb()|0;d=Q;e=c}else{c=b+48|0;B=0;va(462,c|0);f=B;B=0;do if(f&1){g=Rb()|0;h=Q;i=g}else{B=0;g=B;B=0;if(g&1){g=Rb()|0;j=Q;Tq(c);h=j;i=g;break}k[b>>2]=30656;k[b+4>>2]=31220;g=k[a+48>>2]|0;j=(g|0)>0;if(j){l=Rqa(g>>>0>1073741823?-1:g<<2)|0;k[b+40>>2]=l;m=k[a+40>>2]|0;n=0;do{k[l+(n<<2)>>2]=k[m+(n<<2)>>2];n=n+1|0}while((n|0)!=(g|0))}else k[b+40>>2]=0;k[b+44>>2]=k[a+44>>2];k[c>>2]=g;n=a+52|0;m=k[n>>2]|0;a:do if(m){l=Rqa(g>>>0>1073741823?-1:g<<2)|0;o=b+52|0;k[o>>2]=l;if(j){l=g;p=m;q=0;while(1){r=k[p+(q<<2)>>2]|0;if(!r){k[(k[o>>2]|0)+(q<<2)>>2]=0;s=l}else{t=Bla(r)|0;k[(k[o>>2]|0)+(q<<2)>>2]=t;s=k[c>>2]|0}t=q+1|0;if((t|0)>=(s|0))break a;l=s;p=k[n>>2]|0;q=t}}}else k[b+52>>2]=0;while(0);n=a+56|0;m=Bla(k[n>>2]|0)|0;k[b+56>>2]=m;m=a+60|0;g=Bla(k[m>>2]|0)|0;k[b+60>>2]=g;g=a+64|0;j=Bla(k[g>>2]|0)|0;k[b+64>>2]=j;k[b+68>>2]=0;k[b+8>>2]=k[a+8>>2];k[b+12>>2]=k[a+12>>2];j=k[a+16>>2]|0;do if(!j){q=Qqa(36)|0;B=0;va(486,q|0);p=B;B=0;if(!(p&1)){k[b+16>>2]=q;break}p=Rb()|0;l=Q;Sqa(q);u=l;v=p;Qb(v|0)}else{p=hh(j)|0;k[b+16>>2]=p}while(0);k[b+36>>2]=k[a+36>>2];j=Rqa(16)|0;k[b+20>>2]=j;p=k[a+20>>2]|0;k[j>>2]=k[p>>2];k[j+4>>2]=k[p+4>>2];k[j+8>>2]=k[p+8>>2];k[j+12>>2]=k[p+12>>2];p=Gla(k[n>>2]|0)|0;k[b+24>>2]=p;p=Fla(k[m>>2]|0)|0;k[b+28>>2]=p;p=Fla(k[g>>2]|0)|0;k[b+32>>2]=p;return b|0}while(0);Qo(b);d=h;e=i}Sqa(b);u=d;v=e;Qb(v|0);return 0}function Iw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;l=e;switch(d|0){case 0:{m=k[b>>2]|0;i[m>>0]=111;i[m+1>>0]=2;i[m+2>>0]=0;i[m+3>>0]=0;k[b>>2]=(k[b>>2]|0)+4;break}case 2:{k[c>>2]=(k[c>>2]|0)+4;break}case 1:{k[b>>2]=(k[b>>2]|0)+4;break}default:{m=g+56|0;n=g+4|0;k[g>>2]=27524;k[m>>2]=27544;B=0;wa(508,g+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;q=o;vva(m);Qb(q|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[m>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){s=Rb()|0;t=Q;u=s}else{k[n>>2]=27560;s=g+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,n|0,f|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(f);Yua(s);Ava(n);t=w;u=v;break}Yua(f);B=0;v=Ia(40,g|0,143951,43)|0;w=B;B=0;if(!(w&1)?(B=0,Xa(239,v|0,0)|0,v=B,B=0,!(v&1)):0){v=Ab(20)|0;B=0;eb(502,h|0,73108,73);w=B;B=0;do if(!(w&1)){B=0;eb(502,j|0,149525,8);x=B;B=0;if(x&1){x=Rb()|0;y=Q;Yua(h);z=y;A=x;break}B=0;wa(510,l|0,n|0);x=B;B=0;if(x&1){x=Rb()|0;C=Q;D=x;E=1}else{B=0;ua(163,v|0,h|0,j|0,107,l|0);x=B;B=0;if(x&1)F=1;else{B=0;eb(503,v|0,1240,229);B=0;F=0}x=Rb()|0;y=Q;Yua(l);C=y;D=x;E=F}Yua(j);Yua(h);if(E){z=C;A=D}else{G=C;H=D;k[g>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);Qb(H|0)}}else{x=Rb()|0;z=Q;A=x}while(0);zb(v|0);G=z;H=A;k[g>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);Qb(H|0)}w=Rb()|0;G=Q;H=w;k[g>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);Qb(H|0)}while(0);p=t;q=u;vva(m);Qb(q|0)}}q=a+48|0;Vq(q,b,c,d);dq(a,b,c,d,k[q>>2]|0);q=Gla(k[a+56>>2]|0)|0;k[a+24>>2]=q;q=Fla(k[a+60>>2]|0)|0;k[a+28>>2]=q;q=Fla(k[a+64>>2]|0)|0;k[a+32>>2]=q;r=e;return}function Jw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=k[a+16>>2]|0;a=Qqa(16)|0;B=0;ib(286,a|0,b|0,c|0,d|0);d=B;B=0;if(d&1){d=Rb()|0;Sqa(a);Qb(d|0)}else{mC(e,a)|0;return}}function Kw(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;c=r;r=r+16|0;b=c;cO(g,b,482);h=k[b>>2]|0;k[a+44>>2]=k[(k[a+40>>2]|0)+(h<<2)>>2];i=a+52|0;j=k[(k[i>>2]|0)+(h<<2)>>2]|0;if(j)Ela(j,d);d=a+56|0;Ela(k[d>>2]|0,e);e=a+60|0;Ela(k[e>>2]|0,f);j=a+64|0;Ela(k[j>>2]|0,f);f=k[(k[i>>2]|0)+(k[b>>2]<<2)>>2]|0;if(!f)k[a+20>>2]=0;else{b=Gla(f)|0;k[a+20>>2]=b}b=Gla(k[d>>2]|0)|0;k[a+24>>2]=b;b=Fla(k[e>>2]|0)|0;k[a+28>>2]=b;b=Fla(k[j>>2]|0)|0;k[a+32>>2]=b;k[a+36>>2]=g;wC(k[a+16>>2]|0,g);r=c;return}function Lw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0.0,h=0.0,i=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0;e=r;r=r+96|0;f=e;Ko(f,k[a+24>>2]|0,4,0);g=+p[f>>3];h=+p[f+8>>3];i=+p[f+16>>3];j=+p[f+24>>3];l=j<g?j:g;m=j>g?j:g;g=+p[f+32>>3];j=g<h?g:h;n=g>h?g:h;h=+p[f+40>>3];g=h<i?h:i;o=h>i?h:i;i=+p[f+48>>3];h=i<l?i:l;l=i>m?i:m;m=+p[f+56>>3];i=m<j?m:j;j=m>n?m:n;n=+p[f+64>>3];m=n<g?n:g;g=n>o?n:o;o=+p[f+72>>3];n=+p[f+80>>3];q=+p[f+88>>3];p[b>>3]=(o>l?o:l)-(o<h?o:h);p[c>>3]=(n>j?n:j)-(n<i?n:i);p[d>>3]=(q>g?q:g)-(q<m?q:m);r=e;return}function Mw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;e=r;r=r+224|0;f=e+208|0;g=e;h=e+72|0;i=e+56|0;j=e+44|0;l=e+32|0;xp(a,g,287);a=+p[g>>3]==1.0;if(a){if(+p[g+8>>3]==1.0?+p[g+16>>3]==1.0:0){m=0;n=31244;o=31248;k[b>>2]=m;q=k[n>>2]|0;k[c>>2]=q;s=k[o>>2]|0;k[d>>2]=s;r=e;return}if(+p[g+24>>3]==1.0?+p[g+8>>3]==1.0:0){m=0;n=31256;o=31260;k[b>>2]=m;q=k[n>>2]|0;k[c>>2]=q;s=k[o>>2]|0;k[d>>2]=s;r=e;return}}if((+p[g+8>>3]==1.0?+p[g+24>>3]==1.0:0)?+p[g+16>>3]==1.0:0){m=1;n=31268;o=31272;k[b>>2]=m;q=k[n>>2]|0;k[c>>2]=q;s=k[o>>2]|0;k[d>>2]=s;r=e;return}if((a?+p[g+16>>3]==1.0:0)?+p[g+24>>3]==1.0:0){m=0;n=31280;o=31284;k[b>>2]=m;q=k[n>>2]|0;k[c>>2]=q;s=k[o>>2]|0;k[d>>2]=s;r=e;return}e=h+56|0;s=h+4|0;k[h>>2]=27524;k[e>>2]=27544;B=0;wa(508,h+56|0,s|0);d=B;B=0;if(d&1){d=Rb()|0;t=Q;u=d;vva(e);Qb(u|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[e>>2]=27488;B=0;va(448,s|0);d=B;B=0;do if(d&1){o=Rb()|0;v=Q;w=o}else{k[s>>2]=27560;o=h+36|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[o+12>>2]=0;k[h+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,s|0,f|0);q=B;B=0;if(q&1){q=Rb()|0;c=Q;Yua(f);Yua(o);Ava(s);v=c;w=q;break}Yua(f);B=0;q=Ia(40,h|0,73182,32)|0;c=B;B=0;if(!(c&1)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,i|0,73108,73);c=B;B=0;do if(!(c&1)){B=0;eb(502,j|0,73215,17);n=B;B=0;if(n&1){n=Rb()|0;m=Q;Yua(i);x=m;y=n;break}B=0;wa(510,l|0,s|0);n=B;B=0;if(n&1){n=Rb()|0;z=Q;A=n;C=1}else{B=0;ua(163,q|0,i|0,j|0,202,l|0);n=B;B=0;if(n&1)D=1;else{B=0;eb(503,q|0,1240,229);B=0;D=0}n=Rb()|0;m=Q;Yua(l);z=m;A=n;C=D}Yua(j);Yua(i);if(C){x=z;y=A}else{E=z;F=A;k[h>>2]=27468;k[e>>2]=27488;k[s>>2]=27560;Yua(o);Ava(s);vva(e);Qb(F|0)}}else{n=Rb()|0;x=Q;y=n}while(0);zb(q|0);E=x;F=y;k[h>>2]=27468;k[e>>2]=27488;k[s>>2]=27560;Yua(o);Ava(s);vva(e);Qb(F|0)}c=Rb()|0;E=Q;F=c;k[h>>2]=27468;k[e>>2]=27488;k[s>>2]=27560;Yua(o);Ava(s);vva(e);Qb(F|0)}while(0);t=v;u=w;vva(e);Qb(u|0)}function Nw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;e=r;r=r+224|0;f=e+208|0;g=e;h=e+72|0;i=e+56|0;j=e+44|0;l=e+32|0;xp(a,g,206);a=+p[g>>3]==0.0;if(a){if(+p[g+8>>3]==0.0?+p[g+16>>3]==0.0:0){m=0;n=31244;o=31248;k[b>>2]=m;q=k[n>>2]|0;k[c>>2]=q;s=k[o>>2]|0;k[d>>2]=s;r=e;return}if(+p[g+24>>3]==0.0?+p[g+8>>3]==0.0:0){m=0;n=31256;o=31260;k[b>>2]=m;q=k[n>>2]|0;k[c>>2]=q;s=k[o>>2]|0;k[d>>2]=s;r=e;return}}if((+p[g+8>>3]==0.0?+p[g+24>>3]==0.0:0)?+p[g+16>>3]==0.0:0){m=1;n=31268;o=31272;k[b>>2]=m;q=k[n>>2]|0;k[c>>2]=q;s=k[o>>2]|0;k[d>>2]=s;r=e;return}if((a?+p[g+16>>3]==0.0:0)?+p[g+24>>3]==0.0:0){m=0;n=31280;o=31284;k[b>>2]=m;q=k[n>>2]|0;k[c>>2]=q;s=k[o>>2]|0;k[d>>2]=s;r=e;return}e=h+56|0;s=h+4|0;k[h>>2]=27524;k[e>>2]=27544;B=0;wa(508,h+56|0,s|0);d=B;B=0;if(d&1){d=Rb()|0;t=Q;u=d;vva(e);Qb(u|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[e>>2]=27488;B=0;va(448,s|0);d=B;B=0;do if(d&1){o=Rb()|0;v=Q;w=o}else{k[s>>2]=27560;o=h+36|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[o+12>>2]=0;k[h+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,s|0,f|0);q=B;B=0;if(q&1){q=Rb()|0;c=Q;Yua(f);Yua(o);Ava(s);v=c;w=q;break}Yua(f);B=0;q=Ia(40,h|0,73182,32)|0;c=B;B=0;if(!(c&1)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,i|0,73108,73);c=B;B=0;do if(!(c&1)){B=0;eb(502,j|0,73233,18);n=B;B=0;if(n&1){n=Rb()|0;m=Q;Yua(i);x=m;y=n;break}B=0;wa(510,l|0,s|0);n=B;B=0;if(n&1){n=Rb()|0;z=Q;A=n;C=1}else{B=0;ua(163,q|0,i|0,j|0,222,l|0);n=B;B=0;if(n&1)D=1;else{B=0;eb(503,q|0,1240,229);B=0;D=0}n=Rb()|0;m=Q;Yua(l);z=m;A=n;C=D}Yua(j);Yua(i);if(C){x=z;y=A}else{E=z;F=A;k[h>>2]=27468;k[e>>2]=27488;k[s>>2]=27560;Yua(o);Ava(s);vva(e);Qb(F|0)}}else{n=Rb()|0;x=Q;y=n}while(0);zb(q|0);E=x;F=y;k[h>>2]=27468;k[e>>2]=27488;k[s>>2]=27560;Yua(o);Ava(s);vva(e);Qb(F|0)}c=Rb()|0;E=Q;F=c;k[h>>2]=27468;k[e>>2]=27488;k[s>>2]=27560;Yua(o);Ava(s);vva(e);Qb(F|0)}while(0);t=v;u=w;vva(e);Qb(u|0)}function Ow(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;e=r;r=r+224|0;f=e+208|0;g=e;h=e+72|0;i=e+56|0;j=e+44|0;l=e+32|0;xp(a,g,288);a=+p[g>>3]==1.0;if(a){if(+p[g+8>>3]==1.0?+p[g+16>>3]==1.0:0){m=0;n=31244;o=31248;k[b>>2]=m;q=k[n>>2]|0;k[c>>2]=q;s=k[o>>2]|0;k[d>>2]=s;r=e;return}if(+p[g+24>>3]==1.0?+p[g+8>>3]==1.0:0){m=0;n=31256;o=31260;k[b>>2]=m;q=k[n>>2]|0;k[c>>2]=q;s=k[o>>2]|0;k[d>>2]=s;r=e;return}}if((+p[g+8>>3]==1.0?+p[g+24>>3]==1.0:0)?+p[g+16>>3]==1.0:0){m=1;n=31268;o=31272;k[b>>2]=m;q=k[n>>2]|0;k[c>>2]=q;s=k[o>>2]|0;k[d>>2]=s;r=e;return}if((a?+p[g+16>>3]==1.0:0)?+p[g+24>>3]==1.0:0){m=0;n=31280;o=31284;k[b>>2]=m;q=k[n>>2]|0;k[c>>2]=q;s=k[o>>2]|0;k[d>>2]=s;r=e;return}e=h+56|0;s=h+4|0;k[h>>2]=27524;k[e>>2]=27544;B=0;wa(508,h+56|0,s|0);d=B;B=0;if(d&1){d=Rb()|0;t=Q;u=d;vva(e);Qb(u|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[e>>2]=27488;B=0;va(448,s|0);d=B;B=0;do if(d&1){o=Rb()|0;v=Q;w=o}else{k[s>>2]=27560;o=h+36|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[o+12>>2]=0;k[h+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,s|0,f|0);q=B;B=0;if(q&1){q=Rb()|0;c=Q;Yua(f);Yua(o);Ava(s);v=c;w=q;break}Yua(f);B=0;q=Ia(40,h|0,73182,32)|0;c=B;B=0;if(!(c&1)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,i|0,73108,73);c=B;B=0;do if(!(c&1)){B=0;eb(502,j|0,73252,20);n=B;B=0;if(n&1){n=Rb()|0;m=Q;Yua(i);x=m;y=n;break}B=0;wa(510,l|0,s|0);n=B;B=0;if(n&1){n=Rb()|0;z=Q;A=n;C=1}else{B=0;ua(163,q|0,i|0,j|0,242,l|0);n=B;B=0;if(n&1)D=1;else{B=0;eb(503,q|0,1240,229);B=0;D=0}n=Rb()|0;m=Q;Yua(l);z=m;A=n;C=D}Yua(j);Yua(i);if(C){x=z;y=A}else{E=z;F=A;k[h>>2]=27468;k[e>>2]=27488;k[s>>2]=27560;Yua(o);Ava(s);vva(e);Qb(F|0)}}else{n=Rb()|0;x=Q;y=n}while(0);zb(q|0);E=x;F=y;k[h>>2]=27468;k[e>>2]=27488;k[s>>2]=27560;Yua(o);Ava(s);vva(e);Qb(F|0)}c=Rb()|0;E=Q;F=c;k[h>>2]=27468;k[e>>2]=27488;k[s>>2]=27560;Yua(o);Ava(s);vva(e);Qb(F|0)}while(0);t=v;u=w;vva(e);Qb(u|0)}function Pw(a){a=a|0;return k[a+44>>2]|0}function Qw(a){a=a|0;return k[a+44>>2]|0}function Rw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;i=e+12|0;j=e;l=oC(k[a+16>>2]|0,d)|0;if(l){m=Qqa(72)|0;B=0;va(492,m|0);n=B;B=0;if(!(n&1)){n=k[(k[m>>2]|0)+28>>2]|0;o=ed[k[(k[a>>2]|0)+160>>2]&511](a,c)|0;Fc[n&1023](m,o);nd[k[(k[l>>2]|0)+48>>2]&1023](l,b,m);Ec[k[(k[m>>2]|0)+4>>2]&1023](m);r=e;return}e=Rb()|0;b=Q;Sqa(m);p=e;q=b;Qb(p|0)}b=g+56|0;e=g+4|0;k[g>>2]=27524;k[b>>2]=27544;B=0;wa(508,g+56|0,e|0);m=B;B=0;if(m&1){m=Rb()|0;s=Q;t=m;vva(b);Qb(t|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[b>>2]=27488;B=0;va(448,e|0);m=B;B=0;do if(m&1){l=Rb()|0;u=Q;v=l}else{k[e>>2]=27560;l=g+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,e|0,f|0);o=B;B=0;if(o&1){o=Rb()|0;n=Q;Yua(f);Yua(l);Ava(e);u=n;v=o;break}Yua(f);B=0;o=Ia(40,g|0,74449,17)|0;n=B;B=0;a:do if((((!(n&1)?(B=0,c=ya(427,d|0)|0,a=B,B=0,!(a&1)):0)?(a=Lta(c)|0,B=0,w=Ia(40,o|0,c|0,a|0)|0,a=B,B=0,!(a&1)):0)?(B=0,a=Ia(40,w|0,74467,14)|0,w=B,B=0,!(w&1)):0)?(B=0,Xa(239,a|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,h|0,73108,73);w=B;B=0;do if(!(w&1)){B=0;eb(502,i|0,121355,13);c=B;B=0;if(c&1){c=Rb()|0;x=Q;Yua(h);y=c;z=x;break}B=0;wa(510,j|0,e|0);x=B;B=0;if(x&1){x=Rb()|0;A=x;C=Q;D=1}else{B=0;ua(163,a|0,h|0,i|0,257,j|0);x=B;B=0;if(x&1)E=1;else{B=0;eb(503,a|0,1240,229);B=0;E=0}x=Rb()|0;c=Q;Yua(j);A=x;C=c;D=E}Yua(i);Yua(h);if(D){y=A;z=C}else{F=A;G=C;break a}}else{c=Rb()|0;y=c;z=Q}while(0);zb(a|0);F=y;G=z}else H=20;while(0);if((H|0)==20){o=Rb()|0;F=o;G=Q}k[g>>2]=27468;k[b>>2]=27488;k[e>>2]=27560;Yua(l);Ava(e);vva(b);p=F;q=G;Qb(p|0)}while(0);s=u;t=v;vva(b);Qb(t|0)}function Sw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;i=iz(a,k[a+44>>2]|0)|0;a:do if((i|0)>0){j=k[a+20>>2]|0;l=0;while(1){if((k[j+(l<<2)>>2]|0)==(b|0)){m=l;break}l=l+1|0;if((l|0)>=(i|0))break a}r=c;return m|0}while(0);m=e+56|0;c=e+4|0;k[e>>2]=27524;k[m>>2]=27544;B=0;wa(508,e+56|0,c|0);i=B;B=0;if(i&1){i=Rb()|0;n=Q;o=i;vva(m);Qb(o|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[m>>2]=27488;B=0;va(448,c|0);i=B;B=0;do if(i&1){b=Rb()|0;p=Q;q=b}else{k[c>>2]=27560;b=e+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,c|0,d|0);a=B;B=0;if(a&1){a=Rb()|0;l=Q;Yua(d);Yua(b);Ava(c);p=l;q=a;break}Yua(d);B=0;a=Ia(40,e|0,74482,43)|0;l=B;B=0;if(!(l&1)?(B=0,Xa(239,a|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,f|0,73108,73);l=B;B=0;do if(!(l&1)){B=0;eb(502,g|0,74526,12);j=B;B=0;if(j&1){j=Rb()|0;s=Q;Yua(f);t=s;u=j;break}B=0;wa(510,h|0,c|0);j=B;B=0;if(j&1){j=Rb()|0;v=Q;w=j;x=1}else{B=0;ua(163,a|0,f|0,g|0,274,h|0);j=B;B=0;if(j&1)y=1;else{B=0;eb(503,a|0,1240,229);B=0;y=0}j=Rb()|0;s=Q;Yua(h);v=s;w=j;x=y}Yua(g);Yua(f);if(x){t=v;u=w}else{z=v;A=w;k[e>>2]=27468;k[m>>2]=27488;k[c>>2]=27560;Yua(b);Ava(c);vva(m);Qb(A|0)}}else{j=Rb()|0;t=Q;u=j}while(0);zb(a|0);z=t;A=u;k[e>>2]=27468;k[m>>2]=27488;k[c>>2]=27560;Yua(b);Ava(c);vva(m);Qb(A|0)}l=Rb()|0;z=Q;A=l;k[e>>2]=27468;k[m>>2]=27488;k[c>>2]=27560;Yua(b);Ava(c);vva(m);Qb(A|0)}while(0);n=p;o=q;vva(m);Qb(o|0);return 0}function Tw(a){a=a|0;return iz(a,k[a+44>>2]|0)|0}function Uw(a){a=a|0;return 4}function Vw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;c=r;r=r+112|0;d=c+96|0;e=c;Ko(e,k[a+24>>2]|0,4,0);f=Rqa(72)|0;g=d+4|0;h=d+8|0;Mw(a,d,g,h);a=e+((k[d>>2]|0)*24|0)|0;k[f>>2]=k[a>>2];k[f+4>>2]=k[a+4>>2];k[f+8>>2]=k[a+8>>2];k[f+12>>2]=k[a+12>>2];k[f+16>>2]=k[a+16>>2];k[f+20>>2]=k[a+20>>2];a=f+24|0;d=e+((k[g>>2]|0)*24|0)|0;k[a>>2]=k[d>>2];k[a+4>>2]=k[d+4>>2];k[a+8>>2]=k[d+8>>2];k[a+12>>2]=k[d+12>>2];k[a+16>>2]=k[d+16>>2];k[a+20>>2]=k[d+20>>2];d=f+48|0;a=e+((k[h>>2]|0)*24|0)|0;k[d>>2]=k[a>>2];k[d+4>>2]=k[a+4>>2];k[d+8>>2]=k[a+8>>2];k[d+12>>2]=k[a+12>>2];k[d+16>>2]=k[a+16>>2];k[d+20>>2]=k[a+20>>2];k[b>>2]=f;r=c;return}function Ww(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;c=r;r=r+112|0;d=c+96|0;e=c;Ko(e,k[a+24>>2]|0,4,0);f=Rqa(72)|0;g=d+4|0;h=d+8|0;Ow(a,d,g,h);a=e+((k[d>>2]|0)*24|0)|0;k[f>>2]=k[a>>2];k[f+4>>2]=k[a+4>>2];k[f+8>>2]=k[a+8>>2];k[f+12>>2]=k[a+12>>2];k[f+16>>2]=k[a+16>>2];k[f+20>>2]=k[a+20>>2];a=f+24|0;d=e+((k[g>>2]|0)*24|0)|0;k[a>>2]=k[d>>2];k[a+4>>2]=k[d+4>>2];k[a+8>>2]=k[d+8>>2];k[a+12>>2]=k[d+12>>2];k[a+16>>2]=k[d+16>>2];k[a+20>>2]=k[d+20>>2];d=f+48|0;a=e+((k[h>>2]|0)*24|0)|0;k[d>>2]=k[a>>2];k[d+4>>2]=k[a+4>>2];k[d+8>>2]=k[a+8>>2];k[d+12>>2]=k[a+12>>2];k[d+16>>2]=k[a+16>>2];k[d+20>>2]=k[a+20>>2];k[b>>2]=f;r=c;return}function Xw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0;d=r;r=r+336|0;e=d+312|0;f=d+296|0;g=d+72|0;h=d+40|0;j=d+8|0;l=d;m=d+324|0;n=d+288|0;o=d+284|0;q=d+280|0;s=d+144|0;t=d+128|0;u=d+116|0;v=d+104|0;k[n>>2]=0;Gka(c,l,106352);zka(c,m,139791);if((i[m>>0]|0)!=0?(Fka(c,o,113066),(i[m>>0]|0)!=0):0){Fka(c,q,113428);w=i[m>>0]|0}else w=0;x=b<<2;y=k[c+72>>2]|0;z=k[y+(x<<2)>>2]|0;k[f>>2]=z;A=k[y+((x|1)<<2)>>2]|0;C=f+4|0;k[C>>2]=A;D=k[y+((x|2)<<2)>>2]|0;E=f+8|0;k[E>>2]=D;F=k[y+((x|3)<<2)>>2]|0;x=f+12|0;k[x>>2]=F;if(w<<24>>24){Hka(c,n,0,113102);do if((k[o>>2]|0)>0){w=a+16|0;y=g+8|0;G=g+16|0;H=g+24|0;I=h+8|0;J=h+16|0;K=h+24|0;L=j+8|0;M=j+16|0;N=j+24|0;O=(k[f>>2]|0)+-1|0;P=(k[C>>2]|0)+-1|0;R=g+8|0;S=(k[E>>2]|0)+-1|0;T=g+16|0;U=(k[x>>2]|0)+-1|0;V=g+24|0;W=(k[f>>2]|0)+-1|0;X=(k[C>>2]|0)+-1|0;Y=h+8|0;Z=(k[E>>2]|0)+-1|0;_=h+16|0;$=(k[x>>2]|0)+-1|0;aa=h+24|0;ba=k[f>>2]|0;ca=ba+-1|0;da=k[C>>2]|0;ea=da+-1|0;fa=j+8|0;ga=k[E>>2]|0;ha=ga+-1|0;ia=j+16|0;ja=k[x>>2]|0;ka=ja+-1|0;la=j+24|0;na=(k[f>>2]|0)+-1|0;oa=(k[C>>2]|0)+-1|0;pa=g+8|0;qa=(k[E>>2]|0)+-1|0;ra=g+16|0;sa=(k[x>>2]|0)+-1|0;ta=g+24|0;xa=(k[f>>2]|0)+-1|0;za=(k[C>>2]|0)+-1|0;Aa=h+8|0;Ba=(k[E>>2]|0)+-1|0;Ca=h+16|0;Da=(k[x>>2]|0)+-1|0;Ea=h+24|0;Fa=k[f>>2]|0;Ga=Fa+-1|0;Ha=k[C>>2]|0;Ja=Ha+-1|0;Ka=j+8|0;La=k[E>>2]|0;Ma=La+-1|0;Na=j+16|0;Oa=k[x>>2]|0;Pa=Oa+-1|0;Qa=j+24|0;Ra=(k[f>>2]|0)+-1|0;Sa=(k[C>>2]|0)+-1|0;Ua=g+8|0;Va=(k[E>>2]|0)+-1|0;Wa=g+16|0;Ya=(k[x>>2]|0)+-1|0;Za=g+24|0;_a=(k[f>>2]|0)+-1|0;$a=(k[C>>2]|0)+-1|0;ab=h+8|0;bb=(k[E>>2]|0)+-1|0;cb=h+16|0;db=(k[x>>2]|0)+-1|0;fb=h+24|0;gb=k[f>>2]|0;hb=gb+-1|0;jb=k[C>>2]|0;kb=jb+-1|0;lb=j+8|0;mb=k[E>>2]|0;nb=mb+-1|0;ob=j+16|0;pb=k[x>>2]|0;qb=pb+-1|0;rb=j+24|0;sb=(k[f>>2]|0)+-1|0;tb=(k[C>>2]|0)+-1|0;ub=g+8|0;vb=(k[E>>2]|0)+-1|0;wb=g+16|0;xb=(k[x>>2]|0)+-1|0;yb=g+24|0;Bb=(k[f>>2]|0)+-1|0;Cb=(k[C>>2]|0)+-1|0;Db=h+8|0;Eb=(k[E>>2]|0)+-1|0;Fb=h+16|0;Gb=(k[x>>2]|0)+-1|0;Hb=h+24|0;Ib=k[f>>2]|0;Jb=Ib+-1|0;Kb=k[C>>2]|0;Lb=Kb+-1|0;Mb=j+8|0;Nb=k[E>>2]|0;Ob=Nb+-1|0;Pb=j+16|0;Sb=k[x>>2]|0;Tb=Sb+-1|0;Ub=j+24|0;Vb=(k[f>>2]|0)+-1|0;Wb=(k[C>>2]|0)+-1|0;Xb=g+8|0;Yb=(k[E>>2]|0)+-1|0;Zb=g+16|0;_b=(k[x>>2]|0)+-1|0;$b=g+24|0;ac=(k[f>>2]|0)+-1|0;bc=(k[C>>2]|0)+-1|0;cc=h+8|0;dc=(k[E>>2]|0)+-1|0;ec=h+16|0;fc=(k[x>>2]|0)+-1|0;gc=h+24|0;hc=k[f>>2]|0;ic=hc+-1|0;jc=k[C>>2]|0;kc=jc+-1|0;lc=j+8|0;mc=k[E>>2]|0;nc=mc+-1|0;oc=j+16|0;pc=k[x>>2]|0;qc=pc+-1|0;rc=j+24|0;sc=z;tc=A;uc=D;vc=F;wc=0;a:while(1){xc=zY(k[(k[n>>2]|0)+(wc<<2)>>2]|0,1)|0;switch(xc|0){case 36:{if(!(Jka(c,126035)|0)){yc=vc;zc=uc;Ac=tc;Bc=sc}else{Cc=sc+-1|0;Dc=(Jka(c,126035)|0)+(Cc<<3)|0;p[g>>3]=+p[Dc>>3];Dc=tc+-1|0;Ec=(Jka(c,126035)|0)+(Dc<<3)|0;p[y>>3]=+p[Ec>>3];Ec=uc+-1|0;Fc=(Jka(c,126035)|0)+(Ec<<3)|0;p[G>>3]=+p[Fc>>3];Fc=vc+-1|0;Gc=(Jka(c,126035)|0)+(Fc<<3)|0;p[H>>3]=+p[Gc>>3];Gc=(ma(Cc,k[o>>2]|0)|0)+wc|0;Hc=(Jka(c,113372)|0)+(Gc<<3)|0;p[h>>3]=+p[Hc>>3]/+p[l>>3];Hc=(ma(Dc,k[o>>2]|0)|0)+wc|0;Gc=(Jka(c,113372)|0)+(Hc<<3)|0;p[I>>3]=+p[Gc>>3]/+p[l>>3];Gc=(ma(Ec,k[o>>2]|0)|0)+wc|0;Hc=(Jka(c,113372)|0)+(Gc<<3)|0;p[J>>3]=+p[Hc>>3]/+p[l>>3];Hc=(ma(Fc,k[o>>2]|0)|0)+wc|0;Gc=(Jka(c,113372)|0)+(Hc<<3)|0;p[K>>3]=+p[Gc>>3]/+p[l>>3];Gc=(ma(Cc,k[o>>2]|0)|0)+wc|0;Cc=(Jka(c,113400)|0)+(Gc<<3)|0;p[j>>3]=+p[Cc>>3]/+p[l>>3];Cc=(ma(Dc,k[o>>2]|0)|0)+wc|0;Dc=(Jka(c,113400)|0)+(Cc<<3)|0;p[L>>3]=+p[Dc>>3]/+p[l>>3];Dc=(ma(Ec,k[o>>2]|0)|0)+wc|0;Ec=(Jka(c,113400)|0)+(Dc<<3)|0;p[M>>3]=+p[Ec>>3]/+p[l>>3];Ec=(ma(Fc,k[o>>2]|0)|0)+wc|0;Fc=(Jka(c,113400)|0)+(Ec<<3)|0;p[N>>3]=+p[Fc>>3]/+p[l>>3];Fc=k[w>>2]|0;Ec=Qqa(32)|0;B=0;Ta(31,Ec|0,36,624,g|0,h|0,j|0,wc+1|0);Dc=B;B=0;if(Dc&1){Ic=Ec;Jc=13;break a}mC(Fc,Ec)|0;yc=vc;zc=uc;Ac=tc;Bc=sc}break}case 674:{if(!(Jka(c,135923)|0)){yc=vc;zc=uc;Ac=tc;Bc=sc}else{Ec=(Jka(c,135923)|0)+(O<<3)|0;p[g>>3]=+p[Ec>>3];Ec=(Jka(c,135923)|0)+(P<<3)|0;p[R>>3]=+p[Ec>>3];Ec=(Jka(c,135923)|0)+(S<<3)|0;p[T>>3]=+p[Ec>>3];Ec=(Jka(c,135923)|0)+(U<<3)|0;p[V>>3]=+p[Ec>>3];Ec=(ma(W,k[o>>2]|0)|0)+wc|0;Fc=(Jka(c,113372)|0)+(Ec<<3)|0;p[h>>3]=+p[Fc>>3]/+p[l>>3];Fc=(ma(X,k[o>>2]|0)|0)+wc|0;Ec=(Jka(c,113372)|0)+(Fc<<3)|0;p[Y>>3]=+p[Ec>>3]/+p[l>>3];Ec=(ma(Z,k[o>>2]|0)|0)+wc|0;Fc=(Jka(c,113372)|0)+(Ec<<3)|0;p[_>>3]=+p[Fc>>3]/+p[l>>3];Fc=(ma($,k[o>>2]|0)|0)+wc|0;Ec=(Jka(c,113372)|0)+(Fc<<3)|0;p[aa>>3]=+p[Ec>>3]/+p[l>>3];Ec=(ma(ca,k[o>>2]|0)|0)+wc|0;Fc=(Jka(c,113400)|0)+(Ec<<3)|0;p[j>>3]=+p[Fc>>3]/+p[l>>3];Fc=(ma(ea,k[o>>2]|0)|0)+wc|0;Ec=(Jka(c,113400)|0)+(Fc<<3)|0;p[fa>>3]=+p[Ec>>3]/+p[l>>3];Ec=(ma(ha,k[o>>2]|0)|0)+wc|0;Fc=(Jka(c,113400)|0)+(Ec<<3)|0;p[ia>>3]=+p[Fc>>3]/+p[l>>3];Fc=(ma(ka,k[o>>2]|0)|0)+wc|0;Ec=(Jka(c,113400)|0)+(Fc<<3)|0;p[la>>3]=+p[Ec>>3]/+p[l>>3];Ec=k[w>>2]|0;Fc=Qqa(32)|0;B=0;Ta(31,Fc|0,674,624,g|0,h|0,j|0,wc+1|0);Dc=B;B=0;if(Dc&1){Kc=Fc;Jc=17;break a}mC(Ec,Fc)|0;yc=ja;zc=ga;Ac=da;Bc=ba}break}case 677:{if(!(Jka(c,135944)|0)){yc=vc;zc=uc;Ac=tc;Bc=sc}else{Fc=(Jka(c,135944)|0)+(na<<3)|0;p[g>>3]=+p[Fc>>3];Fc=(Jka(c,135944)|0)+(oa<<3)|0;p[pa>>3]=+p[Fc>>3];Fc=(Jka(c,135944)|0)+(qa<<3)|0;p[ra>>3]=+p[Fc>>3];Fc=(Jka(c,135944)|0)+(sa<<3)|0;p[ta>>3]=+p[Fc>>3];Fc=(ma(xa,k[o>>2]|0)|0)+wc|0;Ec=(Jka(c,113372)|0)+(Fc<<3)|0;p[h>>3]=+p[Ec>>3]/+p[l>>3];Ec=(ma(za,k[o>>2]|0)|0)+wc|0;Fc=(Jka(c,113372)|0)+(Ec<<3)|0;p[Aa>>3]=+p[Fc>>3]/+p[l>>3];Fc=(ma(Ba,k[o>>2]|0)|0)+wc|0;Ec=(Jka(c,113372)|0)+(Fc<<3)|0;p[Ca>>3]=+p[Ec>>3]/+p[l>>3];Ec=(ma(Da,k[o>>2]|0)|0)+wc|0;Fc=(Jka(c,113372)|0)+(Ec<<3)|0;p[Ea>>3]=+p[Fc>>3]/+p[l>>3];Fc=(ma(Ga,k[o>>2]|0)|0)+wc|0;Ec=(Jka(c,113400)|0)+(Fc<<3)|0;p[j>>3]=+p[Ec>>3]/+p[l>>3];Ec=(ma(Ja,k[o>>2]|0)|0)+wc|0;Fc=(Jka(c,113400)|0)+(Ec<<3)|0;p[Ka>>3]=+p[Fc>>3]/+p[l>>3];Fc=(ma(Ma,k[o>>2]|0)|0)+wc|0;Ec=(Jka(c,113400)|0)+(Fc<<3)|0;p[Na>>3]=+p[Ec>>3]/+p[l>>3];Ec=(ma(Pa,k[o>>2]|0)|0)+wc|0;Fc=(Jka(c,113400)|0)+(Ec<<3)|0;p[Qa>>3]=+p[Fc>>3]/+p[l>>3];Fc=k[w>>2]|0;Ec=Qqa(32)|0;B=0;Ta(31,Ec|0,677,624,g|0,h|0,j|0,wc+1|0);Dc=B;B=0;if(Dc&1){Lc=Ec;Jc=21;break a}mC(Fc,Ec)|0;yc=Oa;zc=La;Ac=Ha;Bc=Fa}break}case 105:{if(!(Jka(c,135172)|0)){yc=vc;zc=uc;Ac=tc;Bc=sc}else{Ec=(Jka(c,135172)|0)+(Ra<<3)|0;p[g>>3]=+p[Ec>>3];Ec=(Jka(c,135172)|0)+(Sa<<3)|0;p[Ua>>3]=+p[Ec>>3];Ec=(Jka(c,135172)|0)+(Va<<3)|0;p[Wa>>3]=+p[Ec>>3];Ec=(Jka(c,135172)|0)+(Ya<<3)|0;p[Za>>3]=+p[Ec>>3];Ec=(ma(_a,k[o>>2]|0)|0)+wc|0;Fc=(Jka(c,113372)|0)+(Ec<<3)|0;p[h>>3]=+p[Fc>>3];Fc=(ma($a,k[o>>2]|0)|0)+wc|0;Ec=(Jka(c,113372)|0)+(Fc<<3)|0;p[ab>>3]=+p[Ec>>3];Ec=(ma(bb,k[o>>2]|0)|0)+wc|0;Fc=(Jka(c,113372)|0)+(Ec<<3)|0;p[cb>>3]=+p[Fc>>3];Fc=(ma(db,k[o>>2]|0)|0)+wc|0;Ec=(Jka(c,113372)|0)+(Fc<<3)|0;p[fb>>3]=+p[Ec>>3];Ec=(ma(hb,k[o>>2]|0)|0)+wc|0;Fc=(Jka(c,113400)|0)+(Ec<<3)|0;p[j>>3]=+p[Fc>>3];Fc=(ma(kb,k[o>>2]|0)|0)+wc|0;Ec=(Jka(c,113400)|0)+(Fc<<3)|0;p[lb>>3]=+p[Ec>>3];Ec=(ma(nb,k[o>>2]|0)|0)+wc|0;Fc=(Jka(c,113400)|0)+(Ec<<3)|0;p[ob>>3]=+p[Fc>>3];Fc=(ma(qb,k[o>>2]|0)|0)+wc|0;Ec=(Jka(c,113400)|0)+(Fc<<3)|0;p[rb>>3]=+p[Ec>>3];Ec=k[w>>2]|0;Fc=Qqa(32)|0;B=0;Ta(31,Fc|0,105,624,g|0,h|0,j|0,wc+1|0);Dc=B;B=0;if(Dc&1){Mc=Fc;Jc=25;break a}mC(Ec,Fc)|0;yc=pb;zc=mb;Ac=jb;Bc=gb}break}case 215:{if(!(Jka(c,134991)|0)){yc=vc;zc=uc;Ac=tc;Bc=sc}else{Fc=(Jka(c,134991)|0)+(sb<<3)|0;p[g>>3]=+p[Fc>>3];Fc=(Jka(c,134991)|0)+(tb<<3)|0;p[ub>>3]=+p[Fc>>3];Fc=(Jka(c,134991)|0)+(vb<<3)|0;p[wb>>3]=+p[Fc>>3];Fc=(Jka(c,134991)|0)+(xb<<3)|0;p[yb>>3]=+p[Fc>>3];Fc=(ma(Bb,k[o>>2]|0)|0)+wc|0;Ec=(Jka(c,113372)|0)+(Fc<<3)|0;p[h>>3]=+p[Ec>>3];Ec=(ma(Cb,k[o>>2]|0)|0)+wc|0;Fc=(Jka(c,113372)|0)+(Ec<<3)|0;p[Db>>3]=+p[Fc>>3];Fc=(ma(Eb,k[o>>2]|0)|0)+wc|0;Ec=(Jka(c,113372)|0)+(Fc<<3)|0;p[Fb>>3]=+p[Ec>>3];Ec=(ma(Gb,k[o>>2]|0)|0)+wc|0;Fc=(Jka(c,113372)|0)+(Ec<<3)|0;p[Hb>>3]=+p[Fc>>3];Fc=(ma(Jb,k[o>>2]|0)|0)+wc|0;Ec=(Jka(c,113400)|0)+(Fc<<3)|0;p[j>>3]=+p[Ec>>3];Ec=(ma(Lb,k[o>>2]|0)|0)+wc|0;Fc=(Jka(c,113400)|0)+(Ec<<3)|0;p[Mb>>3]=+p[Fc>>3];Fc=(ma(Ob,k[o>>2]|0)|0)+wc|0;Ec=(Jka(c,113400)|0)+(Fc<<3)|0;p[Pb>>3]=+p[Ec>>3];Ec=(ma(Tb,k[o>>2]|0)|0)+wc|0;Fc=(Jka(c,113400)|0)+(Ec<<3)|0;p[Ub>>3]=+p[Fc>>3];Fc=k[w>>2]|0;Ec=Qqa(32)|0;B=0;Ta(31,Ec|0,214,624,g|0,h|0,j|0,wc+1|0);Dc=B;B=0;if(Dc&1){Nc=Ec;Jc=29;break a}mC(Fc,Ec)|0;yc=Sb;zc=Nb;Ac=Kb;Bc=Ib}break}case 227:{if(!(Jka(c,126277)|0)){yc=vc;zc=uc;Ac=tc;Bc=sc}else{Ec=(Jka(c,126277)|0)+(Vb<<3)|0;p[g>>3]=+p[Ec>>3];Ec=(Jka(c,126277)|0)+(Wb<<3)|0;p[Xb>>3]=+p[Ec>>3];Ec=(Jka(c,126277)|0)+(Yb<<3)|0;p[Zb>>3]=+p[Ec>>3];Ec=(Jka(c,126277)|0)+(_b<<3)|0;p[$b>>3]=+p[Ec>>3];Ec=(ma(ac,k[o>>2]|0)|0)+wc|0;Fc=(Jka(c,113372)|0)+(Ec<<3)|0;p[h>>3]=+p[Fc>>3];Fc=(ma(bc,k[o>>2]|0)|0)+wc|0;Ec=(Jka(c,113372)|0)+(Fc<<3)|0;p[cc>>3]=+p[Ec>>3];Ec=(ma(dc,k[o>>2]|0)|0)+wc|0;Fc=(Jka(c,113372)|0)+(Ec<<3)|0;p[ec>>3]=+p[Fc>>3];Fc=(ma(fc,k[o>>2]|0)|0)+wc|0;Ec=(Jka(c,113372)|0)+(Fc<<3)|0;p[gc>>3]=+p[Ec>>3];Ec=(ma(ic,k[o>>2]|0)|0)+wc|0;Fc=(Jka(c,113400)|0)+(Ec<<3)|0;p[j>>3]=+p[Fc>>3];Fc=(ma(kc,k[o>>2]|0)|0)+wc|0;Ec=(Jka(c,113400)|0)+(Fc<<3)|0;p[lc>>3]=+p[Ec>>3];Ec=(ma(nc,k[o>>2]|0)|0)+wc|0;Fc=(Jka(c,113400)|0)+(Ec<<3)|0;p[oc>>3]=+p[Fc>>3];Fc=(ma(qc,k[o>>2]|0)|0)+wc|0;Ec=(Jka(c,113400)|0)+(Fc<<3)|0;p[rc>>3]=+p[Ec>>3];Ec=k[w>>2]|0;Fc=Qqa(32)|0;B=0;Ta(31,Fc|0,225,624,g|0,h|0,j|0,wc+1|0);Dc=B;B=0;if(Dc&1){Oc=Fc;Jc=33;break a}mC(Ec,Fc)|0;yc=pc;zc=mc;Ac=jc;Bc=hc}break}default:{Pc=xc;Jc=34;break a}}wc=wc+1|0;xc=k[o>>2]|0;if((wc|0)>=(xc|0)){Qc=xc;Jc=8;break}else{sc=Bc;tc=Ac;uc=zc;vc=yc}}if((Jc|0)==8){vc=k[n>>2]|0;if((Qc|0)>0){Rc=vc;Sc=Qc;Tc=0}else{Uc=vc;break}while(1){vc=Rc+(Tc<<2)|0;uc=k[vc>>2]|0;if(!uc)Vc=Sc;else{Tqa(uc);Vc=k[o>>2]|0}k[vc>>2]=0;Tc=Tc+1|0;vc=k[n>>2]|0;if((Tc|0)>=(Vc|0)){Uc=vc;break}else{Rc=vc;Sc=Vc}}}else if((Jc|0)==13){vc=Rb()|0;uc=Q;Sqa(Ic);Wc=uc;Xc=vc;Qb(Xc|0)}else if((Jc|0)==17){vc=Rb()|0;uc=Q;Sqa(Kc);Wc=uc;Xc=vc;Qb(Xc|0)}else if((Jc|0)==21){vc=Rb()|0;uc=Q;Sqa(Lc);Wc=uc;Xc=vc;Qb(Xc|0)}else if((Jc|0)==25){vc=Rb()|0;uc=Q;Sqa(Mc);Wc=uc;Xc=vc;Qb(Xc|0)}else if((Jc|0)==29){vc=Rb()|0;uc=Q;Sqa(Nc);Wc=uc;Xc=vc;Qb(Xc|0)}else if((Jc|0)==33){vc=Rb()|0;uc=Q;Sqa(Oc);Wc=uc;Xc=vc;Qb(Xc|0)}else if((Jc|0)==34){vc=s+56|0;uc=s+4|0;k[s>>2]=27524;k[vc>>2]=27544;B=0;wa(508,s+56|0,uc|0);tc=B;B=0;if(tc&1){tc=Rb()|0;Yc=Q;Zc=tc;vva(vc);Qb(Zc|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[vc>>2]=27488;B=0;va(448,uc|0);tc=B;B=0;do if(tc&1){sc=Rb()|0;_c=Q;$c=sc}else{k[uc>>2]=27560;sc=s+36|0;k[sc>>2]=0;k[sc+4>>2]=0;k[sc+8>>2]=0;k[sc+12>>2]=0;k[s+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,uc|0,e|0);wc=B;B=0;if(wc&1){wc=Rb()|0;hc=Q;Yua(e);Yua(sc);Ava(uc);_c=hc;$c=wc;break}Yua(e);B=0;wc=Ia(40,s|0,125582,8)|0;hc=B;B=0;b:do if((((!(hc&1)?(B=0,jc=ya(427,Pc|0)|0,mc=B,B=0,!(mc&1)):0)?(mc=Lta(jc)|0,B=0,pc=Ia(40,wc|0,jc|0,mc|0)|0,mc=B,B=0,!(mc&1)):0)?(B=0,mc=Ia(40,pc|0,127493,20)|0,pc=B,B=0,!(pc&1)):0)?(B=0,Xa(239,mc|0,0)|0,mc=B,B=0,!(mc&1)):0){mc=Ab(20)|0;B=0;eb(502,t|0,73108,73);pc=B;B=0;do if(!(pc&1)){B=0;eb(502,u|0,144327,22);jc=B;B=0;if(jc&1){jc=Rb()|0;w=Q;Yua(t);ad=w;bd=jc;break}B=0;wa(510,v|0,uc|0);jc=B;B=0;if(jc&1){jc=Rb()|0;cd=Q;dd=jc;ed=1}else{B=0;ua(163,mc|0,t|0,u|0,440,v|0);jc=B;B=0;if(jc&1)fd=1;else{B=0;eb(503,mc|0,1240,229);B=0;fd=0}jc=Rb()|0;w=Q;Yua(v);cd=w;dd=jc;ed=fd}Yua(u);Yua(t);if(ed){ad=cd;bd=dd}else{gd=cd;hd=dd;break b}}else{jc=Rb()|0;ad=Q;bd=jc}while(0);zb(mc|0);gd=ad;hd=bd}else Jc=52;while(0);if((Jc|0)==52){wc=Rb()|0;gd=Q;hd=wc}k[s>>2]=27468;k[vc>>2]=27488;k[uc>>2]=27560;Yua(sc);Ava(uc);vva(vc);Wc=gd;Xc=hd;Qb(Xc|0)}while(0);Yc=_c;Zc=$c;vva(vc);Qb(Zc|0)}}else Uc=k[n>>2]|0;while(0);if(Uc)Tqa(Uc);k[n>>2]=0}do if(Jka(c,129145)|0){n=k[a+16>>2]|0;Uc=Qqa(12)|0;B=0;Zc=Xa(246,c|0,129145)|0;$c=B;B=0;if(!($c&1)?(B=0,eb(508,Uc|0,533,~~+p[Zc+(b<<3)>>3]|0),Zc=B,B=0,!(Zc&1)):0){mC(n,Uc)|0;break}n=Rb()|0;Zc=Q;Sqa(Uc);Wc=Zc;Xc=n;Qb(Xc|0)}while(0);if(!(i[m>>0]|0)){r=d;return}if(!(Jka(c,113331)|0)){r=d;return}m=Qqa(20)|0;B=0;wa(516,m|0,179);b=B;B=0;if(b&1){b=Rb()|0;n=Q;Sqa(m);Wc=n;Xc=b;Qb(Xc|0)}b=k[q>>2]|0;c:do if((b|0)>0){n=(k[f>>2]|0)+-1|0;Zc=(k[C>>2]|0)+-1|0;Uc=g+8|0;$c=(k[E>>2]|0)+-1|0;_c=g+16|0;Yc=(k[x>>2]|0)+-1|0;hd=g+24|0;gd=b;s=0;while(1){Jc=(ma(n,gd)|0)+s|0;bd=(Jka(c,113331)|0)+(Jc<<3)|0;p[g>>3]=+p[bd>>3];bd=(ma(Zc,k[q>>2]|0)|0)+s|0;Jc=(Jka(c,113331)|0)+(bd<<3)|0;p[Uc>>3]=+p[Jc>>3];Jc=(ma($c,k[q>>2]|0)|0)+s|0;bd=(Jka(c,113331)|0)+(Jc<<3)|0;p[_c>>3]=+p[bd>>3];bd=(ma(Yc,k[q>>2]|0)|0)+s|0;Jc=(Jka(c,113331)|0)+(bd<<3)|0;p[hd>>3]=+p[Jc>>3];Jc=Qqa(16)|0;B=0;ib(286,Jc|0,179,g|0,738);bd=B;B=0;if(bd&1){id=Jc;break}bd=(Jka(c,113303)|0)+(s<<3)|0;XH(m,Jc,~~+p[bd>>3]);s=s+1|0;gd=k[q>>2]|0;if((s|0)>=(gd|0))break c}gd=Rb()|0;s=Q;Sqa(id);Wc=s;Xc=gd;Qb(Xc|0)}while(0);mC(k[a+16>>2]|0,m)|0;r=d;return}function Yw(a,b,c){a=a|0;b=b|0;c=c|0;Xw(a+-4|0,b,c);return}function Zw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0.0,x=0.0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0;d=r;r=r+368|0;e=d+356|0;f=d+352|0;g=d+216|0;h=d+200|0;i=d+48|0;j=d+36|0;l=d+64|0;m=d+24|0;n=d+12|0;o=d;k[f>>2]=0;q=iz(a,k[a+44>>2]|0)|0;rp(a,f,534,943);s=Rqa(q>>>0>536870911?-1:q<<3)|0;a:do if((q|0)>0){u=k[f>>2]|0;v=0;while(1){w=+p[b+(k[u+(v<<2)>>2]<<3)>>3];p[s+(v<<3)>>3]=w;x=+$(+w);p[t>>3]=x;y=k[t>>2]|0;z=k[t+4>>2]|0;if(z>>>0>2146435072|(z|0)==2146435072&y>>>0>0){A=6;break}v=v+1|0;if((y|0)==0&(z|0)==2146435072){A=30;break}if((v|0)>=(q|0))break a}if((A|0)==6){v=g+56|0;u=g+4|0;k[g>>2]=27524;k[v>>2]=27544;B=0;wa(508,g+56|0,u|0);z=B;B=0;if(z&1){z=Rb()|0;C=Q;D=z;vva(v);Qb(D|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[v>>2]=27488;B=0;va(448,u|0);z=B;B=0;do if(z&1){y=Rb()|0;E=Q;F=y}else{k[u>>2]=27560;y=g+36|0;k[y>>2]=0;k[y+4>>2]=0;k[y+8>>2]=0;k[y+12>>2]=0;k[g+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,u|0,e|0);G=B;B=0;if(G&1){G=Rb()|0;H=Q;Yua(e);Yua(y);Ava(u);E=H;F=G;break}Yua(e);B=0;G=Ia(40,g|0,135564,28)|0;H=B;B=0;b:do if(!(H&1)?(B=0,Xa(239,G|0,0)|0,I=B,B=0,!(I&1)):0){I=Ab(20)|0;B=0;eb(502,h|0,73108,73);J=B;B=0;do if(!(J&1)){B=0;eb(502,i|0,74717,29);K=B;B=0;if(K&1){K=Rb()|0;L=Q;Yua(h);M=K;N=L;break}B=0;wa(510,j|0,u|0);L=B;B=0;if(L&1){L=Rb()|0;O=Q;P=L;R=1}else{B=0;ua(163,I|0,h|0,i|0,482,j|0);L=B;B=0;if(L&1)S=1;else{B=0;eb(503,I|0,1240,229);B=0;S=0}L=Rb()|0;K=Q;Yua(j);O=K;P=L;R=S}Yua(i);Yua(h);if(R){M=P;N=O}else{T=P;U=O;break b}}else{L=Rb()|0;M=L;N=Q}while(0);zb(I|0);T=M;U=N}else A=21;while(0);if((A|0)==21){G=Rb()|0;T=G;U=Q}k[g>>2]=27468;k[v>>2]=27488;k[u>>2]=27560;Yua(y);Ava(u);vva(v);V=U;W=T;Qb(W|0)}while(0);C=E;D=F;vva(v);Qb(D|0)}else if((A|0)==30){u=l+56|0;z=l+4|0;k[l>>2]=27524;k[u>>2]=27544;B=0;wa(508,l+56|0,z|0);G=B;B=0;if(G&1){G=Rb()|0;X=Q;Y=G;vva(u);Qb(Y|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[u>>2]=27488;B=0;va(448,z|0);G=B;B=0;do if(G&1){H=Rb()|0;Z=Q;_=H}else{k[z>>2]=27560;H=l+36|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;k[H+12>>2]=0;k[l+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,z|0,e|0);J=B;B=0;if(J&1){J=Rb()|0;L=Q;Yua(e);Yua(H);Ava(z);Z=L;_=J;break}Yua(e);B=0;J=Ia(40,l|0,135593,28)|0;L=B;B=0;c:do if(!(L&1)?(B=0,Xa(239,J|0,0)|0,K=B,B=0,!(K&1)):0){K=Ab(20)|0;B=0;eb(502,m|0,73108,73);aa=B;B=0;do if(!(aa&1)){B=0;eb(502,n|0,74717,29);ba=B;B=0;if(ba&1){ba=Rb()|0;ca=Q;Yua(m);da=ba;ea=ca;break}B=0;wa(510,o|0,z|0);ca=B;B=0;if(ca&1){ca=Rb()|0;fa=1;ga=Q;ha=ca}else{B=0;ua(163,K|0,m|0,n|0,483,o|0);ca=B;B=0;if(ca&1)ia=1;else{B=0;eb(503,K|0,1240,229);B=0;ia=0}ca=Rb()|0;ba=Q;Yua(o);fa=ia;ga=ba;ha=ca}Yua(n);Yua(m);if(fa){da=ha;ea=ga}else{ja=ga;ka=ha;break c}}else{ca=Rb()|0;da=ca;ea=Q}while(0);zb(K|0);ja=ea;ka=da}else A=45;while(0);if((A|0)==45){J=Rb()|0;ja=Q;ka=J}k[l>>2]=27468;k[u>>2]=27488;k[z>>2]=27560;Yua(H);Ava(z);vva(u);V=ja;W=ka;Qb(W|0)}while(0);X=Z;Y=_;vva(u);Qb(Y|0)}}while(0);Y=k[a+16>>2]|0;a=Qqa(16)|0;B=0;ib(286,a|0,c|0,s|0,738);c=B;B=0;if(c&1){c=Rb()|0;_=Q;Sqa(a);V=_;W=c;Qb(W|0)}mC(Y,a)|0;Tqa(s);s=k[f>>2]|0;if(!s){r=d;return}Tqa(s);r=d;return}function _w(a){a=a|0;var b=0,c=0,d=0;b=r;r=r+32|0;c=b;xp(a,c,206);if($p(a)|0?((+p[c+24>>3]<0.0&1)+((+p[c+16>>3]<0.0&1)+((+p[c+8>>3]<0.0&1)+(+p[c>>3]<0.0&1)))|0)==1:0){d=1;r=b;return d|0}d=0;r=b;return d|0}function $w(a){a=a|0;var b=0,c=0;b=r;r=r+32|0;c=b;xp(a,c,287);r=b;return +p[c>>3]+ +p[c+8>>3]+ +p[c+16>>3]+ +p[c+24>>3]==3.0|0}function ax(a){a=a|0;var b=0,c=0;b=r;r=r+32|0;c=b;xp(a,c,288);r=b;return +p[c>>3]+ +p[c+8>>3]+ +p[c+16>>3]+ +p[c+24>>3]==3.0|0}function bx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;mz(a,b,c,d);return}function cx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;nz(a,b,c,d);return}function dx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;nz(a,b,c,d);return}function ex(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;nz(a,b,c,d);return}function fx(a){a=a|0;var b=0;a=Qqa(72)|0;B=0;va(492,a|0);b=B;B=0;if(b&1){b=Rb()|0;Sqa(a);Qb(b|0)}else return a|0;return 0}function gx(a,b){a=a|0;b=b|0;a=Qqa(72)|0;B=0;wa(518,a|0,b|0);b=B;B=0;if(b&1){b=Rb()|0;Sqa(a);Qb(b|0)}else return a|0;return 0}function hx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;c=r;r=r+16|0;b=c;f=b+4|0;g=b+8|0;Nw(a,b,f,g);a=Qqa(72)|0;h=k[b>>2]|0;b=k[f>>2]|0;f=k[g>>2]|0;B=0;g=Xa(248,d|0,e|0)|0;e=B;B=0;if(e&1){i=Rb()|0;j=Q;Sqa(a);Qb(i|0)}B=0;ua(168,a|0,h|0,b|0,f|0,g|0);g=B;B=0;if(g&1){i=Rb()|0;j=Q;Sqa(a);Qb(i|0)}else{r=c;return a|0}return 0}function ix(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=r;r=r+16|0;d=c;e=d+4|0;f=d+8|0;Mw(a,d,e,f);a=Qqa(72)|0;B=0;ua(168,a|0,k[d>>2]|0,k[e>>2]|0,k[f>>2]|0,b|0);b=B;B=0;if(b&1){b=Rb()|0;Sqa(a);Qb(b|0)}else{r=c;return a|0}return 0}function jx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=r;r=r+16|0;d=c;e=d+4|0;f=d+8|0;Ow(a,d,e,f);a=Qqa(72)|0;B=0;ua(168,a|0,k[d>>2]|0,k[e>>2]|0,k[f>>2]|0,b|0);b=B;B=0;if(b&1){b=Rb()|0;Sqa(a);Qb(b|0)}else{r=c;return a|0}return 0}function kx(a,b,c){a=a|0;b=b|0;c=c|0;lz(a,b,c,k[a+44>>2]|0);return}function lx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;jz(a,b,c,d,k[a+44>>2]|0);return}function mx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;jz(a,b,c,d,Hc[k[(k[a>>2]|0)+504>>2]&511](a)|0);return}function nx(a,b,c){a=a|0;b=b|0;c=c|0;lz(a,b,c,Hc[k[(k[a>>2]|0)+404>>2]&511](a)|0);return}function ox(a,b,c){a=a|0;b=b|0;c=c|0;lz(a,b,c,Hc[k[(k[a>>2]|0)+460>>2]&511](a)|0);return}function px(a,b,c){a=a|0;b=b|0;c=c|0;lz(a,b,c,Hc[k[(k[a>>2]|0)+504>>2]&511](a)|0);return}function qx(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0.0,f=0.0,g=0.0,h=0.0,i=0.0,j=0.0,k=0.0;d=+p[c+48>>3];e=+p[c>>3]-d;f=+p[c+24>>3]-d;d=+p[c+56>>3];g=+p[c+8>>3]-d;h=+p[c+32>>3]-d;d=+p[c+64>>3];i=+p[c+16>>3]-d;j=+p[c+40>>3]-d;d=g*j-i*h;k=i*f-j*e;j=h*e-g*f;f=+aa(+(j*j+(d*d+k*k)));p[b>>3]=-d/f;p[b+8>>3]=-k/f;p[b+16>>3]=-j/f;return}function rx(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0.0,g=0.0,h=0.0,i=0.0;a=r;r=r+48|0;d=a+24|0;e=a;f=+p[c>>3];p[d>>3]=+p[c+24>>3]-f;g=+p[c+8>>3];p[d+8>>3]=+p[c+32>>3]-g;h=+p[c+16>>3];p[d+16>>3]=+p[c+40>>3]-h;p[e>>3]=+p[c+48>>3]-f;p[e+8>>3]=+p[c+56>>3]-g;p[e+16>>3]=+p[c+64>>3]-h;IY(b,d,e);h=+p[b>>3];e=b+8|0;g=+p[e>>3];d=b+16|0;f=+p[d>>3];i=+aa(+(h*h+g*g+f*f));p[b>>3]=h/i;p[e>>3]=g/i;p[d>>3]=f/i;r=a;return}function sx(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0.0,f=0.0,g=0.0,h=0.0,i=0.0,j=0.0,k=0.0;d=+p[c+48>>3];e=+p[c>>3]-d;f=+p[c+24>>3]-d;d=+p[c+56>>3];g=+p[c+8>>3]-d;h=+p[c+32>>3]-d;d=+p[c+64>>3];i=+p[c+16>>3]-d;j=+p[c+40>>3]-d;d=g*j-i*h;k=i*f-j*e;j=h*e-g*f;f=+aa(+(j*j+(d*d+k*k)));p[b>>3]=d/f;p[b+8>>3]=k/f;p[b+16>>3]=j/f;return}function tx(a){a=a|0;return iz(a,Hc[k[(k[a>>2]|0)+404>>2]&511](a)|0)|0}function ux(a){a=a|0;return iz(a,Hc[k[(k[a>>2]|0)+504>>2]&511](a)|0)|0}function vx(a){a=a|0;return 623}function wx(a){a=a|0;return pz(a,k[a+44>>2]|0)|0}function xx(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=r;r=r+16|0;e=d;a:do if(c){switch(k[a+44>>2]|0){case 752:{k[e>>2]=k[7822];k[e+4>>2]=k[7823];k[e+8>>2]=k[7824];VN(c,b,3,e);break a;break}case 741:break;default:break a}f=a+20|0;g=eo(k[(k[f>>2]|0)+16>>2]|0,534,943)|0;h=eo(k[k[f>>2]>>2]|0,534,943)|0;i=(eo(k[(k[f>>2]|0)+4>>2]|0,534,943)|0)+h|0;h=(eo(k[(k[f>>2]|0)+8>>2]|0,534,943)|0)+i|0;i=(eo(k[(k[f>>2]|0)+12>>2]|0,534,943)|0)+h|0;h=Rqa(g>>>0>1073741823?-1:g<<2)|0;if((g|0)>0){f=0;do{k[h+(f<<2)>>2]=f+i;f=f+1|0}while((f|0)!=(g|0))}VN(c,b,g,h);Tqa(h)}while(0);if(!b){r=d;return}switch(k[a+44>>2]|0){case 752:{k[e>>2]=k[7822];k[e+4>>2]=k[7823];k[e+8>>2]=k[7824];NN(b,3,e);r=d;return}case 741:{e=a+20|0;a=eo(k[(k[e>>2]|0)+16>>2]|0,534,943)|0;c=(eo(k[k[e>>2]>>2]|0,534,943)|0)+(eo(k[(k[e>>2]|0)+4>>2]|0,534,943)|0)+(eo(k[(k[e>>2]|0)+8>>2]|0,534,943)|0)+(eo(k[(k[e>>2]|0)+12>>2]|0,534,943)|0)|0;e=Rqa(a>>>0>1073741823?-1:a<<2)|0;if((a|0)>0){f=0;do{k[e+(f<<2)>>2]=f+c;f=f+1|0}while((f|0)!=(a|0))}NN(b,a,e);Tqa(e);r=d;return}default:{r=d;return}}}function yx(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0;b=r;r=r+448|0;c=b+428|0;d=b+424|0;e=b+64|0;f=b+56|0;g=b+48|0;h=b;i=b+288|0;j=b+272|0;l=b+120|0;m=b+108|0;n=b+136|0;o=b+96|0;q=b+84|0;s=b+72|0;t=Hc[k[(k[a>>2]|0)+164>>2]&511](a)|0;u=a+16|0;kC(k[u>>2]|0,d,533);v=(Np(a)|0)^1;if((k[d>>2]|0)!=542|v){r=b;return}v=oC(k[u>>2]|0,642)|0;d=oC(k[u>>2]|0,643)|0;w=oC(k[u>>2]|0,928)|0;u=Rqa(t>>>0>536870911?-1:t<<3)|0;wp(a,u,287);t=Qqa(72)|0;B=0;va(492,t|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;Sqa(t);z=y;A=x;Qb(A|0)}a:do if((Hc[k[(k[a>>2]|0)+396>>2]&511](a)|0)>0){x=h+24|0;y=h+8|0;C=h+32|0;D=h+16|0;E=h+40|0;F=a+20|0;G=0;while(1){if(+p[u+(G<<3)>>3]==1.0){H=k[(k[t>>2]|0)+32>>2]|0;I=Hc[k[(k[a>>2]|0)+504>>2]&511](a)|0;nd[H&1023](t,I,G);nd[k[(k[v>>2]|0)+48>>2]&1023](v,e,t);nd[k[(k[d>>2]|0)+48>>2]&1023](d,f,t);nd[k[(k[w>>2]|0)+48>>2]&1023](w,g,t);p[h>>3]=1.0;J=+p[e>>3];p[x>>3]=-J;p[y>>3]=0.0;p[C>>3]=-+p[f>>3];p[D>>3]=J;p[E>>3]=1.0;I=+p[g>>3]>0.0;H=(co(k[(k[F>>2]|0)+(G<<2)>>2]|0)|0)==543;if(I){if(!H){K=G;L=11;break}Vn(k[(k[F>>2]|0)+(G<<2)>>2]|0,2)}else{if(!H){M=G;L=40;break}Zn(k[(k[F>>2]|0)+(G<<2)>>2]|0,2)}NY((k[(k[F>>2]|0)+(G<<2)>>2]|0)+72|0,h)}G=G+1|0;if((G|0)>=(Hc[k[(k[a>>2]|0)+396>>2]&511](a)|0))break a}if((L|0)==11){G=i+56|0;E=i+4|0;k[i>>2]=27524;k[G>>2]=27544;B=0;wa(508,i+56|0,E|0);D=B;B=0;if(D&1){D=Rb()|0;N=Q;O=D;vva(G);Qb(O|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[G>>2]=27488;B=0;va(448,E|0);D=B;B=0;do if(D&1){C=Rb()|0;P=Q;R=C}else{k[E>>2]=27560;C=i+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[i+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,E|0,c|0);y=B;B=0;if(y&1){y=Rb()|0;x=Q;Yua(c);Yua(C);Ava(E);P=x;R=y;break}Yua(c);B=0;y=Ia(40,i|0,74836,27)|0;x=B;B=0;b:do if(((((!(x&1)?(B=0,H=ya(431,k[(k[F>>2]|0)+(K<<2)>>2]|0)|0,I=B,B=0,!(I&1)):0)?(B=0,I=ya(427,H|0)|0,H=B,B=0,!(H&1)):0)?(H=Lta(I)|0,B=0,S=Ia(40,y|0,I|0,H|0)|0,H=B,B=0,!(H&1)):0)?(B=0,H=Ia(40,S|0,146481,18)|0,S=B,B=0,!(S&1)):0)?(B=0,Xa(239,H|0,0)|0,H=B,B=0,!(H&1)):0){H=Ab(20)|0;B=0;eb(502,j|0,73108,73);S=B;B=0;do if(!(S&1)){B=0;eb(502,l|0,74864,29);I=B;B=0;if(I&1){I=Rb()|0;T=Q;Yua(j);U=I;V=T;break}B=0;wa(510,m|0,E|0);T=B;B=0;if(T&1){T=Rb()|0;W=T;X=Q;Y=1}else{B=0;ua(163,H|0,j|0,l|0,774,m|0);T=B;B=0;if(T&1)Z=1;else{B=0;eb(503,H|0,1240,229);B=0;Z=0}T=Rb()|0;I=Q;Yua(m);W=T;X=I;Y=Z}Yua(l);Yua(j);if(Y){U=W;V=X}else{_=W;$=X;break b}}else{I=Rb()|0;U=I;V=Q}while(0);zb(H|0);_=U;$=V}else L=30;while(0);if((L|0)==30){y=Rb()|0;_=y;$=Q}k[i>>2]=27468;k[G>>2]=27488;k[E>>2]=27560;Yua(C);Ava(E);vva(G);z=$;A=_;Qb(A|0)}while(0);N=P;O=R;vva(G);Qb(O|0)}else if((L|0)==40){E=n+56|0;D=n+4|0;k[n>>2]=27524;k[E>>2]=27544;B=0;wa(508,n+56|0,D|0);y=B;B=0;if(y&1){y=Rb()|0;aa=Q;ba=y;vva(E);Qb(ba|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[E>>2]=27488;B=0;va(448,D|0);y=B;B=0;do if(y&1){x=Rb()|0;ca=Q;da=x}else{k[D>>2]=27560;x=n+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[n+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,D|0,c|0);S=B;B=0;if(S&1){S=Rb()|0;I=Q;Yua(c);Yua(x);Ava(D);ca=I;da=S;break}Yua(c);B=0;S=Ia(40,n|0,74836,27)|0;I=B;B=0;c:do if(((((!(I&1)?(B=0,T=ya(431,k[(k[F>>2]|0)+(M<<2)>>2]|0)|0,ea=B,B=0,!(ea&1)):0)?(B=0,ea=ya(427,T|0)|0,T=B,B=0,!(T&1)):0)?(T=Lta(ea)|0,B=0,fa=Ia(40,S|0,ea|0,T|0)|0,T=B,B=0,!(T&1)):0)?(B=0,T=Ia(40,fa|0,146481,18)|0,fa=B,B=0,!(fa&1)):0)?(B=0,Xa(239,T|0,0)|0,T=B,B=0,!(T&1)):0){T=Ab(20)|0;B=0;eb(502,o|0,73108,73);fa=B;B=0;do if(!(fa&1)){B=0;eb(502,q|0,74864,29);ea=B;B=0;if(ea&1){ea=Rb()|0;ga=Q;Yua(o);ha=ea;ia=ga;break}B=0;wa(510,s|0,D|0);ga=B;B=0;if(ga&1){ga=Rb()|0;ja=1;ka=Q;la=ga}else{B=0;ua(163,T|0,o|0,q|0,780,s|0);ga=B;B=0;if(ga&1)ma=1;else{B=0;eb(503,T|0,1240,229);B=0;ma=0}ga=Rb()|0;ea=Q;Yua(s);ja=ma;ka=ea;la=ga}Yua(q);Yua(o);if(ja){ha=la;ia=ka}else{na=ka;oa=la;break c}}else{ga=Rb()|0;ha=ga;ia=Q}while(0);zb(T|0);na=ia;oa=ha}else L=59;while(0);if((L|0)==59){S=Rb()|0;na=Q;oa=S}k[n>>2]=27468;k[E>>2]=27488;k[D>>2]=27560;Yua(x);Ava(D);vva(E);z=na;A=oa;Qb(A|0)}while(0);aa=ca;ba=da;vva(E);Qb(ba|0)}}while(0);Tqa(u);Ec[k[(k[t>>2]|0)+4>>2]&1023](t);r=b;return}function zx(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;b=a+20|0;c=a+48|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[b+16>>2]=0;b=k[c>>2]|0;if((b|0)>0){d=a+52|0;e=b;b=0;while(1){f=k[(k[d>>2]|0)+(b<<2)>>2]|0;if(!f)g=e;else{Dla(f);g=k[c>>2]|0}b=b+1|0;if((b|0)>=(g|0))break;else e=g}}Dla(k[a+56>>2]|0);Dla(k[a+60>>2]|0);Dla(k[a+64>>2]|0);g=k[a+68>>2]|0;if(!g)return;Dla(g);return}function Ax(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;e=r;r=r+16|0;d=e;cO(f,d,482);f=k[d>>2]|0;k[a+44>>2]=k[(k[a+40>>2]|0)+(f<<2)>>2];d=k[(k[a+52>>2]|0)+(f<<2)>>2]|0;if(!d){k[a+20>>2]=0;r=e;return}else{f=Gla(d)|0;k[a+20>>2]=f;r=e;return}}function Bx(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;b=r;r=r+16|0;c=b+8|0;d=b+4|0;e=b;Mw(a,c,d,e);f=Cx(a,k[c>>2]|0,k[d>>2]|0,k[e>>2]|0)|0;r=b;return f|0}function Cx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;e=r;r=r+16|0;f=e;g=a+36|0;cO(k[g>>2]|0,f,482);h=Qqa(72)|0;B=0;va(461,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;Sqa(h);Qb(l|0)}i=h+48|0;B=0;va(462,i|0);m=B;B=0;do if(!(m&1)){B=0;n=B;B=0;if(n&1){n=Rb()|0;o=Q;Tq(i);p=o;q=n;break}else{k[h>>2]=30040;k[h+4>>2]=30604;k[h+8>>2]=k[a+8>>2];n=uC(k[a+16>>2]|0,b,c,d)|0;k[h+16>>2]=n;k[h+36>>2]=k[g>>2];k[h+44>>2]=738;Zq(a+48|0,i,b,c,d);n=k[a+28>>2]|0;o=ed[k[(k[n>>2]|0)+32>>2]&511](n,h)|0;k[h+28>>2]=o;o=Gla(k[(k[h+52>>2]|0)+(k[f>>2]<<2)>>2]|0)|0;k[h+20>>2]=o;o=Gla(k[h+56>>2]|0)|0;k[h+24>>2]=o;o=Fla(k[h+64>>2]|0)|0;k[h+32>>2]=o;r=e;return h|0}}else{o=Rb()|0;p=Q;q=o}while(0);Qo(h);j=p;l=q;Sqa(h);Qb(l|0);return 0}function Dx(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;b=r;r=r+16|0;c=b+8|0;d=b+4|0;e=b;Ow(a,c,d,e);f=Cx(a,k[c>>2]|0,k[d>>2]|0,k[e>>2]|0)|0;r=b;return f|0}function Ex(a){a=a|0;return qz(a,k[a+44>>2]|0)|0}function Fx(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0;e=r;r=r+208|0;g=e+184|0;h=e+48|0;i=e+32|0;j=e+20|0;l=e+8|0;Gka(c,e,106352);zka(c,e+197|0,134866);zka(c,e+196|0,132257);k[(k[a+40>>2]|0)+(d<<2)>>2]=f;switch(f|0){case 738:{m=Rqa(16)|0;n=k[c+100>>2]|0;o=b<<2;p=k[c+72>>2]|0;k[m>>2]=(k[p+(o<<2)>>2]|0)+n;k[m+4>>2]=(k[p+((o|1)<<2)>>2]|0)+n;k[m+8>>2]=(k[p+((o|2)<<2)>>2]|0)+n;k[m+12>>2]=(k[p+((o|3)<<2)>>2]|0)+n;q=4;s=m;t=a+48|0;Xq(t,s,q,d);u=a+20|0;k[u>>2]=0;Tqa(s);v=k[a>>2]|0;w=v+548|0;x=k[w>>2]|0;nd[x&1023](a,b,c);r=e;return}case 741:case 740:{m=Rqa(20)|0;n=k[c+100>>2]|0;o=b<<2;p=k[c+72>>2]|0;k[m>>2]=(k[p+(o<<2)>>2]|0)+n;k[m+4>>2]=(k[p+((o|1)<<2)>>2]|0)+n;k[m+8>>2]=(k[p+((o|2)<<2)>>2]|0)+n;k[m+12>>2]=(k[p+((o|3)<<2)>>2]|0)+n;k[m+16>>2]=b+1+n+(k[c+52>>2]|0);q=5;s=m;t=a+48|0;Xq(t,s,q,d);u=a+20|0;k[u>>2]=0;Tqa(s);v=k[a>>2]|0;w=v+548|0;x=k[w>>2]|0;nd[x&1023](a,b,c);r=e;return}case 742:{m=Rqa(40)|0;n=k[c+100>>2]|0;o=b<<2;p=k[c+72>>2]|0;k[m>>2]=(k[p+(o<<2)>>2]|0)+n;k[m+4>>2]=(k[p+((o|1)<<2)>>2]|0)+n;k[m+8>>2]=(k[p+((o|2)<<2)>>2]|0)+n;k[m+12>>2]=(k[p+((o|3)<<2)>>2]|0)+n;o=b*6|0;p=k[c+84>>2]|0;y=n+1+(k[c+52>>2]|0)|0;k[m+16>>2]=y+(k[p+(o<<2)>>2]|0);k[m+20>>2]=y+(k[p+((o|1)<<2)>>2]|0);k[m+24>>2]=y+(k[p+(o+2<<2)>>2]|0);k[m+28>>2]=y+(k[p+(o+3<<2)>>2]|0);k[m+32>>2]=y+(k[p+(o+4<<2)>>2]|0);k[m+36>>2]=y+(k[p+(o+5<<2)>>2]|0);q=10;s=m;t=a+48|0;Xq(t,s,q,d);u=a+20|0;k[u>>2]=0;Tqa(s);v=k[a>>2]|0;w=v+548|0;x=k[w>>2]|0;nd[x&1023](a,b,c);r=e;return}case 752:case 751:{m=Rqa(36)|0;o=k[c+100>>2]|0;p=b<<2;y=k[c+72>>2]|0;n=y+(p<<2)|0;k[m>>2]=(k[n>>2]|0)+o;z=y+((p|1)<<2)|0;k[m+4>>2]=(k[z>>2]|0)+o;A=y+((p|2)<<2)|0;k[m+8>>2]=(k[A>>2]|0)+o;C=y+((p|3)<<2)|0;k[m+12>>2]=(k[C>>2]|0)+o;p=k[c+52>>2]|0;k[m+16>>2]=b+1+o+p;y=p+o+(k[c+56>>2]|0)|0;k[m+20>>2]=y+(k[n>>2]|0);k[m+24>>2]=y+(k[z>>2]|0);k[m+28>>2]=y+(k[A>>2]|0);k[m+32>>2]=y+(k[C>>2]|0);q=9;s=m;t=a+48|0;Xq(t,s,q,d);u=a+20|0;k[u>>2]=0;Tqa(s);v=k[a>>2]|0;w=v+548|0;x=k[w>>2]|0;nd[x&1023](a,b,c);r=e;return}case 755:case 753:{m=Rqa(56)|0;C=k[c+100>>2]|0;y=b<<2;A=k[c+72>>2]|0;z=A+(y<<2)|0;k[m>>2]=(k[z>>2]|0)+C;n=A+((y|1)<<2)|0;k[m+4>>2]=(k[n>>2]|0)+C;o=A+((y|2)<<2)|0;k[m+8>>2]=(k[o>>2]|0)+C;p=A+((y|3)<<2)|0;k[m+12>>2]=(k[p>>2]|0)+C;y=k[c+52>>2]|0;A=b*6|0;D=k[c+84>>2]|0;E=C+1+y|0;k[m+16>>2]=E+(k[D+(A<<2)>>2]|0);k[m+20>>2]=E+(k[D+((A|1)<<2)>>2]|0);k[m+24>>2]=E+(k[D+(A+2<<2)>>2]|0);k[m+28>>2]=E+(k[D+(A+3<<2)>>2]|0);k[m+32>>2]=E+(k[D+(A+4<<2)>>2]|0);k[m+36>>2]=E+(k[D+(A+5<<2)>>2]|0);A=y+C+(k[c+64>>2]|0)|0;k[m+40>>2]=A+(k[z>>2]|0);k[m+44>>2]=A+(k[n>>2]|0);k[m+48>>2]=A+(k[o>>2]|0);k[m+52>>2]=A+(k[p>>2]|0);q=14;s=m;t=a+48|0;Xq(t,s,q,d);u=a+20|0;k[u>>2]=0;Tqa(s);v=k[a>>2]|0;w=v+548|0;x=k[w>>2]|0;nd[x&1023](a,b,c);r=e;return}case 754:{m=Rqa(40)|0;p=k[c+100>>2]|0;A=b<<2;o=k[c+72>>2]|0;k[m>>2]=(k[o+(A<<2)>>2]|0)+p;k[m+4>>2]=(k[o+((A|1)<<2)>>2]|0)+p;k[m+8>>2]=(k[o+((A|2)<<2)>>2]|0)+p;k[m+12>>2]=(k[o+((A|3)<<2)>>2]|0)+p;A=b*6|0;o=k[c+84>>2]|0;n=p+1+(k[c+52>>2]|0)|0;k[m+16>>2]=n+(k[o+(A<<2)>>2]|0);k[m+20>>2]=n+(k[o+((A|1)<<2)>>2]|0);k[m+24>>2]=n+(k[o+(A+2<<2)>>2]|0);k[m+28>>2]=n+(k[o+(A+3<<2)>>2]|0);k[m+32>>2]=n+(k[o+(A+4<<2)>>2]|0);k[m+36>>2]=n+(k[o+(A+5<<2)>>2]|0);q=10;s=m;t=a+48|0;Xq(t,s,q,d);u=a+20|0;k[u>>2]=0;Tqa(s);v=k[a>>2]|0;w=v+548|0;x=k[w>>2]|0;nd[x&1023](a,b,c);r=e;return}default:{e=h+56|0;c=h+4|0;k[h>>2]=27524;k[e>>2]=27544;B=0;wa(508,h+56|0,c|0);b=B;B=0;if(b&1){b=Rb()|0;F=Q;G=b;vva(e);Qb(G|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[e>>2]=27488;B=0;va(448,c|0);b=B;B=0;do if(b&1){a=Rb()|0;H=Q;I=a}else{k[c>>2]=27560;a=h+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[h+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,c|0,g|0);x=B;B=0;if(x&1){x=Rb()|0;w=Q;Yua(g);Yua(a);Ava(c);H=w;I=x;break}Yua(g);B=0;x=Ia(40,h|0,145867,15)|0;w=B;B=0;if((((!(w&1)?(B=0,w=ya(427,f|0)|0,v=B,B=0,!(v&1)):0)?(v=Lta(w)|0,B=0,s=Ia(40,x|0,w|0,v|0)|0,v=B,B=0,!(v&1)):0)?(B=0,v=Ia(40,s|0,146481,18)|0,s=B,B=0,!(s&1)):0)?(B=0,Xa(239,v|0,0)|0,v=B,B=0,!(v&1)):0){v=Ab(20)|0;B=0;eb(502,i|0,73108,73);s=B;B=0;do if(!(s&1)){B=0;eb(502,j|0,74939,6);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(i);J=x;K=w;break}B=0;wa(510,l|0,c|0);w=B;B=0;if(w&1){w=Rb()|0;L=Q;M=w;N=1}else{B=0;ua(163,v|0,i|0,j|0,978,l|0);w=B;B=0;if(w&1)O=1;else{B=0;eb(503,v|0,1240,229);B=0;O=0}w=Rb()|0;x=Q;Yua(l);L=x;M=w;N=O}Yua(j);Yua(i);if(N){J=L;K=M}else{P=L;R=M;k[h>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(a);Ava(c);vva(e);Qb(R|0)}}else{w=Rb()|0;J=Q;K=w}while(0);zb(v|0);P=J;R=K;k[h>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(a);Ava(c);vva(e);Qb(R|0)}s=Rb()|0;P=Q;R=s;k[h>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(a);Ava(c);vva(e);Qb(R|0)}while(0);F=H;G=I;vva(e);Qb(G|0)}}}function Gx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;kz(a,b,c,d,738);return}function Hx(a){a=a|0;return rz(a,k[a+44>>2]|0)|0}function Ix(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0;h=r;r=r+64|0;i=h+56|0;j=h+48|0;l=h;Yo(a,l,c,d,e,f,g);m=k[a+28>>2]|0;Tc[k[(k[m>>2]|0)+108>>2]&15](m,j,3,c,d,e,f,g);Fp(a,i,l,+p[j>>3]);p[b>>3]=+p[i>>3];r=h;return}function Jx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0.0,o=0.0,q=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;e=r;r=r+224|0;f=e+208|0;g=e;h=e+72|0;i=e+56|0;j=e+44|0;l=e+32|0;m=Rqa(72)|0;xp(a,g,d);d=+p[g>>3]==0.0;n=+p[g+8>>3];if(d){if(n==0.0?+p[g+16>>3]==0.0:0){p[m>>3]=+p[c>>3];p[m+8>>3]=+p[c+8>>3];p[m+16>>3]=+p[c+16>>3];p[m+24>>3]=+p[c+24>>3];p[m+32>>3]=+p[c+32>>3];p[m+40>>3]=+p[c+40>>3];p[m+48>>3]=+p[c+48>>3];p[m+56>>3]=+p[c+56>>3];p[m+64>>3]=+p[c+64>>3];k[b>>2]=m;r=e;return}o=+p[g+8>>3];if(o==0.0?+p[g+24>>3]==0.0:0){p[m>>3]=+p[c>>3];p[m+8>>3]=+p[c+8>>3];p[m+16>>3]=+p[c+16>>3];p[m+24>>3]=+p[c+24>>3];p[m+32>>3]=+p[c+32>>3];p[m+40>>3]=+p[c+40>>3];p[m+48>>3]=+p[c+72>>3];p[m+56>>3]=+p[c+80>>3];p[m+64>>3]=+p[c+88>>3];k[b>>2]=m;r=e;return}else q=o}else q=n;n=+p[g+16>>3];if(q==0.0&n==0.0?+p[g+24>>3]==0.0:0){p[m>>3]=+p[c+24>>3];p[m+8>>3]=+p[c+32>>3];p[m+16>>3]=+p[c+40>>3];p[m+24>>3]=+p[c+48>>3];p[m+32>>3]=+p[c+56>>3];p[m+40>>3]=+p[c+64>>3];p[m+48>>3]=+p[c+72>>3];p[m+56>>3]=+p[c+80>>3];p[m+64>>3]=+p[c+88>>3];k[b>>2]=m;r=e;return}if(n==0.0&d?+p[g+24>>3]==0.0:0){p[m>>3]=+p[c+48>>3];p[m+8>>3]=+p[c+56>>3];p[m+16>>3]=+p[c+64>>3];p[m+24>>3]=+p[c>>3];p[m+32>>3]=+p[c+8>>3];p[m+40>>3]=+p[c+16>>3];p[m+48>>3]=+p[c+72>>3];p[m+56>>3]=+p[c+80>>3];p[m+64>>3]=+p[c+88>>3];k[b>>2]=m;r=e;return}e=h+56|0;m=h+4|0;k[h>>2]=27524;k[e>>2]=27544;B=0;wa(508,h+56|0,m|0);b=B;B=0;if(b&1){b=Rb()|0;s=Q;t=b;vva(e);Qb(t|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[e>>2]=27488;B=0;va(448,m|0);b=B;B=0;do if(b&1){c=Rb()|0;u=Q;v=c}else{k[m>>2]=27560;c=h+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[h+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,m|0,f|0);g=B;B=0;if(g&1){g=Rb()|0;d=Q;Yua(f);Yua(c);Ava(m);u=d;v=g;break}Yua(f);B=0;g=Ia(40,h|0,74946,16)|0;d=B;B=0;if(!(d&1)?(B=0,Xa(239,g|0,0)|0,g=B,B=0,!(g&1)):0){g=Ab(20)|0;B=0;eb(502,i|0,73108,73);d=B;B=0;do if(!(d&1)){B=0;eb(502,j|0,74963,23);a=B;B=0;if(a&1){a=Rb()|0;w=Q;Yua(i);x=w;y=a;break}B=0;wa(510,l|0,m|0);a=B;B=0;if(a&1){a=Rb()|0;z=Q;A=a;C=1}else{B=0;ua(163,g|0,i|0,j|0,1082,l|0);a=B;B=0;if(a&1)D=1;else{B=0;eb(503,g|0,1240,229);B=0;D=0}a=Rb()|0;w=Q;Yua(l);z=w;A=a;C=D}Yua(j);Yua(i);if(C){x=z;y=A}else{E=z;F=A;k[h>>2]=27468;k[e>>2]=27488;k[m>>2]=27560;Yua(c);Ava(m);vva(e);Qb(F|0)}}else{a=Rb()|0;x=Q;y=a}while(0);zb(g|0);E=x;F=y;k[h>>2]=27468;k[e>>2]=27488;k[m>>2]=27560;Yua(c);Ava(m);vva(e);Qb(F|0)}d=Rb()|0;E=Q;F=d;k[h>>2]=27468;k[e>>2]=27488;k[m>>2]=27560;Yua(c);Ava(m);vva(e);Qb(F|0)}while(0);s=u;t=v;vva(e);Qb(t|0)}function Kx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,74181,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,43,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function Lx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,74214,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,45,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function Mx(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73975,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,46,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function Nx(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,75327,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,47,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function Ox(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,74235,18);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,48,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function Px(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73945,29);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,51,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function Qx(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,75312,14);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,49,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function Rx(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73925,19);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,50,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function Sx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,74254,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,53,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function Tx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,74301,16);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,54,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function Ux(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,74333,15);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,56,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function Vx(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,103020,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,62,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function Wx(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73906,18);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,63,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function Xx(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73890,15);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,64,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function Yx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,73874,15);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,66,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function Zx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,74430,18);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,67,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return +(0.0)}function _x(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73851,22);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,68,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function $x(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,a|0,73283,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,75292,19);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(a);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,a|0,f|0,70,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(a);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(E|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function ay(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;f=r;r=r+192|0;e=f+176|0;d=f+40|0;c=f+24|0;b=f+12|0;a=f;f=d+56|0;g=d+4|0;k[d>>2]=27524;k[f>>2]=27544;B=0;wa(508,d+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(f);Qb(j|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[f>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=d+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[d+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,g|0,e|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(e);Yua(l);Ava(g);m=p;n=o;break}Yua(e);B=0;o=Ia(40,d|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,c|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,b|0,75268,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(c);v=u;w=t;break}B=0;wa(510,a|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,c|0,b|0,71,a|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(a);x=u;y=t;z=A}Yua(b);Yua(c);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(D|0)}while(0);i=m;j=n;vva(f);Qb(j|0)}function by(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73843,7);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,72,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function cy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,80838,16);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,75,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function dy(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73815,27);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,77,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function ey(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73799,15);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,78,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function fy(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;f=r;r=r+192|0;e=f+176|0;d=f+40|0;c=f+24|0;b=f+12|0;a=f;f=d+56|0;g=d+4|0;k[d>>2]=27524;k[f>>2]=27544;B=0;wa(508,d+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(f);Qb(j|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[f>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=d+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[d+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,g|0,e|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(e);Yua(l);Ava(g);m=p;n=o;break}Yua(e);B=0;o=Ia(40,d|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,c|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,b|0,74539,26);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(c);v=u;w=t;break}B=0;wa(510,a|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,c|0,b|0,79,a|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(a);x=u;y=t;z=A}Yua(b);Yua(c);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(D|0)}while(0);i=m;j=n;vva(f);Qb(j|0)}function gy(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,103033,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,83,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function hy(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,103046,7);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,86,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function iy(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,103054,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,87,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function jy(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,103064,24);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,88,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function ky(a,b,c){a=a|0;b=+b;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;c=r;r=r+192|0;a=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,h|0,a|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(a);Yua(m);Ava(h);n=q;o=p;break}Yua(a);B=0;p=Ia(40,d|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,73283,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,74573,18);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,95,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(E|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function ly(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,74624,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,96,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function my(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,74656,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,97,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function ny(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;b=r;r=r+192|0;a=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,h|0,a|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(a);Yua(m);Ava(h);n=q;o=p;break}Yua(a);B=0;p=Ia(40,d|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,73283,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,74706,10);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,98,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(E|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function oy(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,74747,38);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,101,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function py(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,75251,16);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,89,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function qy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73776,22);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,91,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function ry(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73761,14);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,94,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function sy(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73737,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,105,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function ty(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,98621,7);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,108,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return +(0.0)}function uy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,99206,8);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,109,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return +(0.0)}function vy(a,b,c,d,e,f){a=a|0;b=+b;c=+c;d=+d;e=+e;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;f=r;r=r+192|0;a=f+176|0;g=f+40|0;h=f+24|0;i=f+12|0;j=f;f=g+56|0;l=g+4|0;k[g>>2]=27524;k[f>>2]=27544;B=0;wa(508,g+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(f);Qb(o|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[f>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){p=Rb()|0;q=Q;s=p}else{k[l>>2]=27560;p=g+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[g+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,l|0,a|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);Yua(p);Ava(l);q=u;s=t;break}Yua(a);B=0;t=Ia(40,g|0,149721,19)|0;u=B;B=0;a:do if(!(u&1)?(B=0,Xa(239,t|0,0)|0,v=B,B=0,!(v&1)):0){v=Ab(20)|0;B=0;eb(502,h|0,73283,85);w=B;B=0;do if(!(w&1)){B=0;eb(502,i|0,99206,8);x=B;B=0;if(x&1){x=Rb()|0;y=Q;Yua(h);z=y;A=x;break}B=0;wa(510,j|0,l|0);x=B;B=0;if(x&1){x=Rb()|0;C=Q;D=x;E=1}else{B=0;ua(163,v|0,h|0,i|0,110,j|0);x=B;B=0;if(x&1)F=1;else{B=0;eb(503,v|0,1240,229);B=0;F=0}x=Rb()|0;y=Q;Yua(j);C=y;D=x;E=F}Yua(i);Yua(h);if(E){z=C;A=D}else{G=C;H=D;break a}}else{x=Rb()|0;z=Q;A=x}while(0);zb(v|0);G=z;H=A}else I=16;while(0);if((I|0)==16){t=Rb()|0;G=Q;H=t}k[g>>2]=27468;k[f>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(f);Qb(H|0)}while(0);n=q;o=s;vva(f);Qb(o|0);return +(0.0)}function wy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73723,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,112,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return +(0.0)}function xy(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,99229,6);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,113,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0);return +(0.0)}function yy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,75240,10);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,114,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return +(0.0)}function zy(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,75231,8);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,117,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0);return 0}function Ay(a,b,c,d,e,f){a=a|0;b=b|0;c=+c;d=+d;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;f=r;r=r+192|0;e=f+176|0;b=f+40|0;a=f+24|0;g=f+12|0;h=f;f=b+56|0;i=b+4|0;k[b>>2]=27524;k[f>>2]=27544;B=0;wa(508,b+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(f);Qb(m|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[f>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=b+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[b+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,i|0,e|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(e);Yua(n);Ava(i);o=s;p=q;break}Yua(e);B=0;q=Ia(40,b|0,149721,19)|0;s=B;B=0;a:do if(!(s&1)?(B=0,Xa(239,q|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,a|0,73283,85);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,75231,8);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(a);x=w;y=v;break}B=0;wa(510,h|0,i|0);v=B;B=0;if(v&1){v=Rb()|0;z=Q;A=v;C=1}else{B=0;ua(163,t|0,a|0,g|0,119,h|0);v=B;B=0;if(v&1)D=1;else{B=0;eb(503,t|0,1240,229);B=0;D=0}v=Rb()|0;w=Q;Yua(h);z=w;A=v;C=D}Yua(g);Yua(a);if(C){x=z;y=A}else{E=z;F=A;break a}}else{v=Rb()|0;x=Q;y=v}while(0);zb(t|0);E=x;F=y}else G=16;while(0);if((G|0)==16){q=Rb()|0;E=Q;F=q}k[b>>2]=27468;k[f>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(f);Qb(F|0)}while(0);l=o;m=p;vva(f);Qb(m|0);return 0}function By(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73710,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,121,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0);return 0}function Cy(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73680,29);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,126,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function Dy(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73663,16);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,128,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function Ey(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73635,27);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,129,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function Fy(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73618,16);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,130,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function Gy(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73607,10);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,133,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0);return 0}function Hy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73586,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,139,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function Iy(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,74894,26);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,144,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function Jy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73562,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,146,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function Ky(a,b,c,d,e,f){a=a|0;b=+b;c=+c;d=+d;e=+e;f=+f;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;a=r;r=r+192|0;g=a+176|0;h=a+40|0;i=a+24|0;j=a+12|0;l=a;a=h+56|0;m=h+4|0;k[h>>2]=27524;k[a>>2]=27544;B=0;wa(508,h+56|0,m|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;p=n;vva(a);Qb(p|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[a>>2]=27488;B=0;va(448,m|0);n=B;B=0;do if(n&1){q=Rb()|0;s=Q;t=q}else{k[m>>2]=27560;q=h+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[h+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,m|0,g|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(g);Yua(q);Ava(m);s=v;t=u;break}Yua(g);B=0;u=Ia(40,h|0,149721,19)|0;v=B;B=0;a:do if(!(v&1)?(B=0,Xa(239,u|0,0)|0,w=B,B=0,!(w&1)):0){w=Ab(20)|0;B=0;eb(502,i|0,73283,85);x=B;B=0;do if(!(x&1)){B=0;eb(502,j|0,73539,22);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(i);A=z;C=y;break}B=0;wa(510,l|0,m|0);y=B;B=0;if(y&1){y=Rb()|0;D=Q;E=y;F=1}else{B=0;ua(163,w|0,i|0,j|0,150,l|0);y=B;B=0;if(y&1)G=1;else{B=0;eb(503,w|0,1240,229);B=0;G=0}y=Rb()|0;z=Q;Yua(l);D=z;E=y;F=G}Yua(j);Yua(i);if(F){A=D;C=E}else{H=D;I=E;break a}}else{y=Rb()|0;A=Q;C=y}while(0);zb(w|0);H=A;I=C}else J=16;while(0);if((J|0)==16){u=Rb()|0;H=Q;I=u}k[h>>2]=27468;k[a>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(a);Qb(I|0)}while(0);o=s;p=t;vva(a);Qb(p|0);return +(0.0)}function Ly(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,93069,18);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,151,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function My(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,93088,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,152,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function Ny(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,92779,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,153,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function Oy(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,99320,11);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,154,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function Py(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73529,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,156,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function Qy(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,103089,16);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,157,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function Ry(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,103106,16);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,158,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function Sy(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,103123,8);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,159,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function Ty(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73496,32);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,161,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function Uy(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73464,31);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,162,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function Vy(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73437,26);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,163,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0);return 0}function Wy(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,73411,25);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,164,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function Xy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73392,18);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,167,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function Yy(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73369,22);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,168,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function Zy(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,75023,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,174,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function _y(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=+h;var i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;f=r;r=r+192|0;e=f+176|0;d=f+40|0;c=f+24|0;b=f+12|0;a=f;f=d+56|0;i=d+4|0;k[d>>2]=27524;k[f>>2]=27544;B=0;wa(508,d+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(f);Qb(m|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[f>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=d+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[d+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,i|0,e|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(e);Yua(n);Ava(i);o=s;p=q;break}Yua(e);B=0;q=Ia(40,d|0,149435,20)|0;s=B;B=0;a:do if(!(s&1)?(B=0,Xa(239,q|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,c|0,73283,85);u=B;B=0;do if(!(u&1)){B=0;eb(502,b|0,75190,20);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(c);x=w;y=v;break}B=0;wa(510,a|0,i|0);v=B;B=0;if(v&1){v=Rb()|0;z=Q;A=v;C=1}else{B=0;ua(163,t|0,c|0,b|0,177,a|0);v=B;B=0;if(v&1)D=1;else{B=0;eb(503,t|0,1240,229);B=0;D=0}v=Rb()|0;w=Q;Yua(a);z=w;A=v;C=D}Yua(b);Yua(c);if(C){x=z;y=A}else{E=z;F=A;break a}}else{v=Rb()|0;x=Q;y=v}while(0);zb(t|0);E=x;F=y}else G=16;while(0);if((G|0)==16){q=Rb()|0;E=Q;F=q}k[d>>2]=27468;k[f>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(f);Qb(F|0)}while(0);l=o;m=p;vva(f);Qb(m|0)}function $y(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=+h;var i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;f=r;r=r+192|0;e=f+176|0;d=f+40|0;c=f+24|0;b=f+12|0;a=f;f=d+56|0;i=d+4|0;k[d>>2]=27524;k[f>>2]=27544;B=0;wa(508,d+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(f);Qb(m|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[f>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=d+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[d+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,i|0,e|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(e);Yua(n);Ava(i);o=s;p=q;break}Yua(e);B=0;q=Ia(40,d|0,149435,20)|0;s=B;B=0;a:do if(!(s&1)?(B=0,Xa(239,q|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,c|0,73283,85);u=B;B=0;do if(!(u&1)){B=0;eb(502,b|0,75166,23);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(c);x=w;y=v;break}B=0;wa(510,a|0,i|0);v=B;B=0;if(v&1){v=Rb()|0;z=Q;A=v;C=1}else{B=0;ua(163,t|0,c|0,b|0,178,a|0);v=B;B=0;if(v&1)D=1;else{B=0;eb(503,t|0,1240,229);B=0;D=0}v=Rb()|0;w=Q;Yua(a);z=w;A=v;C=D}Yua(b);Yua(c);if(C){x=z;y=A}else{E=z;F=A;break a}}else{v=Rb()|0;x=Q;y=v}while(0);zb(t|0);E=x;F=y}else G=16;while(0);if((G|0)==16){q=Rb()|0;E=Q;F=q}k[d>>2]=27468;k[f>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(f);Qb(F|0)}while(0);l=o;m=p;vva(f);Qb(m|0)}function az(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149435,20)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,75153,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,180,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return +(0.0)}function bz(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149435,20)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,75143,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,179,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function cz(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149435,20)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,75133,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,171,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function dz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,73283,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,74786,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,102,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function ez(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;dz(a+-4|0,b,c,d)}function fz(a){a=a|0;return}function gz(a){a=a|0;return}function hz(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0;g=r;r=r+240|0;h=g;i=iz(0,f)|0;jz(a,h,d,e,f);f=(i|0)>0;if(f){j=0.0;e=0;while(1){k=j+ +p[h+(e<<3)>>3]*+p[c+(e<<3)>>3];e=e+1|0;if((e|0)==(i|0)){l=k;break}else j=k}if(f){j=0.0;e=0;while(1){k=j+ +p[h+(e+i<<3)>>3]*+p[c+(e<<3)>>3];e=e+1|0;if((e|0)==(i|0)){m=k;break}else j=k}if(f){f=i<<1;j=0.0;e=0;while(1){k=j+ +p[h+(e+f<<3)>>3]*+p[c+(e<<3)>>3];e=e+1|0;if((e|0)==(i|0)){n=l;o=m;q=k;break}else j=k}}else{n=l;o=m;q=0.0}}else{n=l;o=0.0;q=0.0}}else{n=0.0;o=0.0;q=0.0}p[b>>3]=n;p[b+8>>3]=o;p[b+16>>3]=q;r=g;return}function iz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;do switch(b|0){case 738:{h=4;r=a;return h|0}case 739:{h=4;r=a;return h|0}case 740:{h=5;r=a;return h|0}case 741:{h=5;r=a;return h|0}case 742:{h=10;r=a;return h|0}case 749:{h=8;r=a;return h|0}case 750:{h=8;r=a;return h|0}case 752:{h=9;r=a;return h|0}case 751:{h=9;r=a;return h|0}case 753:{h=14;r=a;return h|0}case 754:{h=10;r=a;return h|0}case 755:{h=14;r=a;return h|0}case 736:{h=1;r=a;return h|0}default:{i=d+56|0;j=d+4|0;k[d>>2]=27524;k[i>>2]=27544;B=0;wa(508,d+56|0,j|0);l=B;B=0;if(l&1){l=Rb()|0;m=Q;n=l;vva(i);Qb(n|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[i>>2]=27488;B=0;va(448,j|0);l=B;B=0;do if(l&1){o=Rb()|0;p=Q;q=o}else{k[j>>2]=27560;o=d+36|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[o+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,j|0,c|0);s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(c);Yua(o);Ava(j);p=t;q=s;break}Yua(c);B=0;s=Ia(40,d|0,132447,13)|0;t=B;B=0;if((((!(t&1)?(B=0,t=ya(427,b|0)|0,u=B,B=0,!(u&1)):0)?(u=Lta(t)|0,B=0,v=Ia(40,s|0,t|0,u|0)|0,u=B,B=0,!(u&1)):0)?(B=0,u=Ia(40,v|0,146481,18)|0,v=B,B=0,!(v&1)):0)?(B=0,Xa(239,u|0,0)|0,u=B,B=0,!(u&1)):0){u=Ab(20)|0;B=0;eb(502,e|0,73996,76);v=B;B=0;do if(!(v&1)){B=0;eb(502,f|0,75442,13);t=B;B=0;if(t&1){t=Rb()|0;s=Q;Yua(e);w=s;x=t;break}B=0;wa(510,g|0,j|0);t=B;B=0;if(t&1){t=Rb()|0;y=Q;z=t;A=1}else{B=0;ua(163,u|0,e|0,f|0,361,g|0);t=B;B=0;if(t&1)C=1;else{B=0;eb(503,u|0,1240,229);B=0;C=0}t=Rb()|0;s=Q;Yua(g);y=s;z=t;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;k[d>>2]=27468;k[i>>2]=27488;k[j>>2]=27560;Yua(o);Ava(j);vva(i);Qb(E|0)}}else{t=Rb()|0;w=Q;x=t}while(0);zb(u|0);D=w;E=x;k[d>>2]=27468;k[i>>2]=27488;k[j>>2]=27560;Yua(o);Ava(j);vva(i);Qb(E|0)}v=Rb()|0;D=Q;E=v;k[d>>2]=27468;k[i>>2]=27488;k[j>>2]=27560;Yua(o);Ava(j);vva(i);Qb(E|0)}while(0);m=p;n=q;vva(i);Qb(n|0)}}while(0);return 0}function jz(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0;a=r;r=r+384|0;f=a+312|0;g=a+240|0;h=a;i=iz(0,e)|0;oz(0,h,d,e);j=+p[c>>3];k=+p[c+48>>3];l=+p[c+72>>3];m=+p[c+8>>3];n=+p[c+32>>3];o=+p[c+56>>3];q=+p[c+80>>3];s=+p[c+16>>3];t=+p[c+40>>3];u=+p[c+64>>3];v=+p[c+88>>3];p[f>>3]=+p[c+24>>3]-j;p[f+8>>3]=n-m;p[f+16>>3]=t-s;p[f+24>>3]=k-j;p[f+32>>3]=o-m;p[f+40>>3]=u-s;p[f+48>>3]=l-j;p[f+56>>3]=q-m;p[f+64>>3]=v-s;eY(g,f);if((i|0)<=0){r=a;return}s=+p[g>>3];v=+p[g+8>>3];m=+p[g+16>>3];f=i<<1;q=+p[g+24>>3];j=+p[g+32>>3];l=+p[g+40>>3];u=+p[g+48>>3];o=+p[g+56>>3];k=+p[g+64>>3];g=0;do{t=+p[h+(g<<3)>>3];c=g+i|0;n=+p[h+(c<<3)>>3];e=g+f|0;w=+p[h+(e<<3)>>3];p[b+(g<<3)>>3]=s*t+v*n+m*w;p[b+(c<<3)>>3]=q*t+j*n+l*w;p[b+(e<<3)>>3]=u*t+o*n+k*w;g=g+1|0}while((g|0)!=(i|0));r=a;return}function kz(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0.0,j=0.0,k=0.0;a=r;r=r+80|0;f=a;g=iz(0,e)|0;lz(0,f,d,e);if((g|0)>0){h=0;i=0.0}else{j=0.0;p[b>>3]=j;r=a;return}while(1){k=i+ +p[f+(h<<3)>>3]*+p[c+(h<<3)>>3];h=h+1|0;if((h|0)==(g|0)){j=k;break}else i=k}p[b>>3]=j;r=a;return}function lz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0.0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;e=a+176|0;f=a+40|0;g=a+24|0;h=a+12|0;i=a;switch(d|0){case 736:{p[b>>3]=1.0;r=a;return}case 739:case 738:{p[b>>3]=+p[c+40>>3];p[b+8>>3]=+p[c+48>>3];p[b+16>>3]=+p[c+56>>3];p[b+24>>3]=+p[c+64>>3];r=a;return}case 741:case 740:{j=c+40|0;p[b>>3]=+p[j>>3];l=c+48|0;p[b+8>>3]=+p[l>>3];m=c+56|0;p[b+16>>3]=+p[m>>3];n=c+64|0;p[b+24>>3]=+p[n>>3];p[b+32>>3]=+p[j>>3]*256.0*+p[l>>3]*+p[m>>3]*+p[n>>3];r=a;return}case 742:{n=c+40|0;o=+p[n>>3];p[b>>3]=o*(o*2.0+-1.0);m=c+48|0;o=+p[m>>3];p[b+8>>3]=o*(o*2.0+-1.0);l=c+56|0;o=+p[l>>3];p[b+16>>3]=o*(o*2.0+-1.0);j=c+64|0;o=+p[j>>3];p[b+24>>3]=o*(o*2.0+-1.0);p[b+32>>3]=+p[m>>3]*4.0*+p[l>>3];p[b+40>>3]=+p[n>>3]*4.0*+p[l>>3];p[b+48>>3]=+p[n>>3]*4.0*+p[m>>3];p[b+56>>3]=+p[m>>3]*4.0*+p[j>>3];p[b+64>>3]=+p[l>>3]*4.0*+p[j>>3];p[b+72>>3]=+p[n>>3]*4.0*+p[j>>3];r=a;return}default:{a=f+56|0;j=f+4|0;k[f>>2]=27524;k[a>>2]=27544;B=0;wa(508,f+56|0,j|0);n=B;B=0;if(n&1){n=Rb()|0;q=Q;s=n;vva(a);Qb(s|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[a>>2]=27488;B=0;va(448,j|0);n=B;B=0;do if(n&1){b=Rb()|0;t=Q;u=b}else{k[j>>2]=27560;b=f+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,j|0,e|0);l=B;B=0;if(l&1){l=Rb()|0;m=Q;Yua(e);Yua(b);Ava(j);t=m;u=l;break}Yua(e);B=0;l=Ia(40,f|0,132447,13)|0;m=B;B=0;if((((!(m&1)?(B=0,m=ya(427,d|0)|0,c=B,B=0,!(c&1)):0)?(c=Lta(m)|0,B=0,v=Ia(40,l|0,m|0,c|0)|0,c=B,B=0,!(c&1)):0)?(B=0,c=Ia(40,v|0,146481,18)|0,v=B,B=0,!(v&1)):0)?(B=0,Xa(239,c|0,0)|0,c=B,B=0,!(c&1)):0){c=Ab(20)|0;B=0;eb(502,g|0,73996,76);v=B;B=0;do if(!(v&1)){B=0;eb(502,h|0,75456,17);m=B;B=0;if(m&1){m=Rb()|0;l=Q;Yua(g);w=l;x=m;break}B=0;wa(510,i|0,j|0);m=B;B=0;if(m&1){m=Rb()|0;y=Q;z=m;A=1}else{B=0;ua(163,c|0,g|0,h|0,213,i|0);m=B;B=0;if(m&1)C=1;else{B=0;eb(503,c|0,1240,229);B=0;C=0}m=Rb()|0;l=Q;Yua(i);y=l;z=m;A=C}Yua(h);Yua(g);if(A){w=y;x=z}else{D=y;E=z;k[f>>2]=27468;k[a>>2]=27488;k[j>>2]=27560;Yua(b);Ava(j);vva(a);Qb(E|0)}}else{m=Rb()|0;w=Q;x=m}while(0);zb(c|0);D=w;E=x;k[f>>2]=27468;k[a>>2]=27488;k[j>>2]=27560;Yua(b);Ava(j);vva(a);Qb(E|0)}v=Rb()|0;D=Q;E=v;k[f>>2]=27468;k[a>>2]=27488;k[j>>2]=27560;Yua(b);Ava(j);vva(a);Qb(E|0)}while(0);q=t;s=u;vva(a);Qb(s|0)}}}function mz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;d=r;r=r+272|0;a=d+248|0;e=d;f=d+112|0;g=d+96|0;h=d+84|0;i=d+72|0;j=+p[c>>3];l=+p[c+48>>3];m=+p[c+72>>3];n=+p[c+8>>3];o=+p[c+32>>3];q=+p[c+56>>3];s=+p[c+80>>3];t=+p[c+16>>3];u=+p[c+40>>3];v=+p[c+64>>3];w=+p[c+88>>3];p[e>>3]=+p[c+24>>3]-j;p[e+8>>3]=o-n;p[e+16>>3]=u-t;p[e+24>>3]=l-j;p[e+32>>3]=q-n;p[e+40>>3]=v-t;p[e+48>>3]=m-j;p[e+56>>3]=s-n;p[e+64>>3]=w-t;dY(b,e);if(!(+p[b>>3]<0.0)){r=d;return}d=f+56|0;b=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,b|0);e=B;B=0;if(e&1){e=Rb()|0;x=Q;y=e;vva(d);Qb(y|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);e=B;B=0;do if(e&1){c=Rb()|0;z=Q;A=c}else{k[b>>2]=27560;c=f+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[f+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,b|0,a|0);C=B;B=0;if(C&1){C=Rb()|0;D=Q;Yua(a);Yua(c);Ava(b);z=D;A=C;break}Yua(a);B=0;C=Ia(40,f|0,75474,30)|0;D=B;B=0;if(!(D&1)?(B=0,Xa(239,C|0,0)|0,C=B,B=0,!(C&1)):0){C=Ab(20)|0;B=0;eb(502,g|0,73996,76);D=B;B=0;do if(!(D&1)){B=0;eb(502,h|0,75505,22);E=B;B=0;if(E&1){E=Rb()|0;F=Q;Yua(g);G=F;H=E;break}B=0;wa(510,i|0,b|0);E=B;B=0;if(E&1){E=Rb()|0;I=Q;J=E;K=1}else{B=0;ua(163,C|0,g|0,h|0,135,i|0);E=B;B=0;if(E&1)L=1;else{B=0;eb(503,C|0,1240,229);B=0;L=0}E=Rb()|0;F=Q;Yua(i);I=F;J=E;K=L}Yua(h);Yua(g);if(K){G=I;H=J}else{M=I;N=J;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(c);Ava(b);vva(d);Qb(N|0)}}else{E=Rb()|0;G=Q;H=E}while(0);zb(C|0);M=G;N=H;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(c);Ava(b);vva(d);Qb(N|0)}D=Rb()|0;M=Q;N=D;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(c);Ava(b);vva(d);Qb(N|0)}while(0);x=z;y=A;vva(d);Qb(y|0)}function nz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,H=0,I=0,J=0,K=0,L=0;d=r;r=r+192|0;a=d+176|0;e=d+40|0;f=d+24|0;g=d+12|0;h=d;i=+p[c>>3];j=+p[c+8>>3];l=+p[c+16>>3];m=+p[c+32>>3]-j;n=+p[c+64>>3]-l;o=+p[c+40>>3]-l;l=+p[c+56>>3]-j;j=m*n-o*l;q=+p[c+48>>3]-i;s=+p[c+24>>3]-i;i=o*q-s*n;n=s*l-m*q;q=n*n+(j*j+i*i);i=+$(+(+aa(+q)));j=q==-G?G:i*.28867513459481287;p[b>>3]=j;if(!(j<0.0)){r=d;return}d=e+56|0;b=e+4|0;k[e>>2]=27524;k[d>>2]=27544;B=0;wa(508,e+56|0,b|0);c=B;B=0;if(c&1){c=Rb()|0;t=Q;u=c;vva(d);Qb(u|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);c=B;B=0;do if(c&1){v=Rb()|0;w=Q;x=v}else{k[b>>2]=27560;v=e+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[e+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,b|0,a|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(a);Yua(v);Ava(b);w=z;x=y;break}Yua(a);B=0;y=Ia(40,e|0,75474,30)|0;z=B;B=0;if(!(z&1)?(B=0,Xa(239,y|0,0)|0,y=B,B=0,!(y&1)):0){y=Ab(20)|0;B=0;eb(502,f|0,73996,76);z=B;B=0;do if(!(z&1)){B=0;eb(502,g|0,74073,26);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(f);D=C;E=A;break}B=0;wa(510,h|0,b|0);A=B;B=0;if(A&1){A=Rb()|0;F=Q;H=A;I=1}else{B=0;ua(163,y|0,f|0,g|0,155,h|0);A=B;B=0;if(A&1)J=1;else{B=0;eb(503,y|0,1240,229);B=0;J=0}A=Rb()|0;C=Q;Yua(h);F=C;H=A;I=J}Yua(g);Yua(f);if(I){D=F;E=H}else{K=F;L=H;k[e>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(v);Ava(b);vva(d);Qb(L|0)}}else{A=Rb()|0;D=Q;E=A}while(0);zb(y|0);K=D;L=E;k[e>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(v);Ava(b);vva(d);Qb(L|0)}z=Rb()|0;K=Q;L=z;k[e>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(v);Ava(b);vva(d);Qb(L|0)}while(0);t=w;u=x;vva(d);Qb(u|0)}
function rq(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;g=r;r=r+192|0;d=g+176|0;j=g+40|0;l=g+28|0;m=g+16|0;n=g;o=g+12|0;p=Hc[k[(k[a>>2]|0)+164>>2]&511](a)|0;a:do if((p|0)>0){q=a+20|0;if((h|0)==937){s=0;t=0;u=0;while(1){v=e+(Rn(k[(k[q>>2]|0)+(t<<2)>>2]|0)|0)|0;do if(!(i[v>>0]|0)){w=e+(Rn(k[(k[q>>2]|0)+(t<<2)>>2]|0)|0)|0;i[w>>0]=1;w=0;while(1){x=f+(w<<2)|0;if((k[x>>2]|0)>-1)w=w+1|0;else{y=x;break}}w=Rn(k[(k[q>>2]|0)+(t<<2)>>2]|0)|0;k[y>>2]=w;w=k[(k[q>>2]|0)+(t<<2)>>2]|0;if(k[w+28>>2]|0)if(!(fo(w)|0)){z=s+1|0;A=u;break}else{z=s;A=u+1|0;break}else{z=s;A=u}}else{z=s;A=u}while(0);t=t+1|0;if((t|0)==(p|0)){C=z;D=A;break a}else{s=z;u=A}}}else{E=0;F=0;G=0}b:while(1){u=e+(Rn(k[(k[q>>2]|0)+(F<<2)>>2]|0)|0)|0;c:do if(!(i[u>>0]|0)){s=e+(Rn(k[(k[q>>2]|0)+(F<<2)>>2]|0)|0)|0;i[s>>0]=1;s=0;while(1){t=f+(s<<2)|0;if((k[t>>2]|0)>-1)s=s+1|0;else{H=t;break}}s=Rn(k[(k[q>>2]|0)+(F<<2)>>2]|0)|0;k[H>>2]=s;switch(h|0){case 966:{s=k[(k[q>>2]|0)+(F<<2)>>2]|0;if(!(k[s+32>>2]|0)){I=E;J=G;break c}if(!(fo(s)|0)){I=E+1|0;J=G;break c}else{I=E;J=G+1|0;break c}break}case 943:{s=k[(k[q>>2]|0)+(F<<2)>>2]|0;if(!(k[s+24>>2]|0)){I=E;J=G;break c}if(!(fo(s)|0)){I=E+1|0;J=G;break c}else{I=E;J=G+1|0;break c}break}default:break b}}else{I=E;J=G}while(0);F=F+1|0;if((F|0)>=(p|0)){C=I;D=J;break a}else{E=I;G=J}}q=j+56|0;u=j+4|0;k[j>>2]=27524;k[q>>2]=27544;B=0;wa(508,j+56|0,u|0);s=B;B=0;if(s&1){s=Rb()|0;K=Q;L=s;vva(q);Qb(L|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[q>>2]=27488;B=0;va(448,u|0);s=B;B=0;do if(s&1){t=Rb()|0;M=Q;N=t}else{k[u>>2]=27560;t=j+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[j+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,u|0,d|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(d);Yua(t);Ava(u);M=w;N=v;break}Yua(d);B=0;v=Ia(40,j|0,145010,13)|0;w=B;B=0;if(!(w&1)?(B=0,Xa(239,v|0,0)|0,v=B,B=0,!(v&1)):0){v=Ab(20)|0;B=0;eb(502,l|0,69562,75);w=B;B=0;do if(!(w&1)){B=0;eb(502,m|0,144217,23);x=B;B=0;if(x&1){x=Rb()|0;O=Q;Yua(l);P=O;R=x;break}B=0;wa(510,n|0,u|0);x=B;B=0;if(x&1){x=Rb()|0;S=Q;T=x;U=1}else{B=0;ua(163,v|0,l|0,m|0,2210,n|0);x=B;B=0;if(x&1)V=1;else{B=0;eb(503,v|0,1240,229);B=0;V=0}x=Rb()|0;O=Q;Yua(n);S=O;T=x;U=V}Yua(m);Yua(l);if(U){P=S;R=T}else{W=S;X=T;k[j>>2]=27468;k[q>>2]=27488;k[u>>2]=27560;Yua(t);Ava(u);vva(q);Qb(X|0)}}else{x=Rb()|0;P=Q;R=x}while(0);zb(v|0);W=P;X=R;k[j>>2]=27468;k[q>>2]=27488;k[u>>2]=27560;Yua(t);Ava(u);vva(q);Qb(X|0)}w=Rb()|0;W=Q;X=w;k[j>>2]=27468;k[q>>2]=27488;k[u>>2]=27560;Yua(t);Ava(u);vva(q);Qb(X|0)}while(0);K=M;L=N;vva(q);Qb(L|0)}else{C=0;D=0}while(0);L=a+36|0;cO(k[L>>2]|0,d,477);if((k[d>>2]|0)!=497){Y=C;Z=D;k[b>>2]=Y;k[c>>2]=Z;r=g;return}kC(k[a+16>>2]|0,j,533);if(((k[j>>2]|0)+-537|0)>>>0>=2){Y=C;Z=D;k[b>>2]=Y;k[c>>2]=Z;r=g;return}cO(k[L>>2]|0,o,283);L=(k[o>>2]|0)*3|0;Y=L+C|0;Z=L+D|0;k[b>>2]=Y;k[c>>2]=Z;r=g;return}function sq(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0.0,ua=0.0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Pa=0,Qa=0,Ra=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0.0,db=0,fb=0,gb=0,hb=0,jb=0,kb=0.0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0.0,vb=0.0,wb=0.0,xb=0.0,yb=0.0,zb=0.0,Ab=0.0,Bb=0.0,Cb=0.0,Db=0.0,Eb=0.0,Fb=0.0,Gb=0.0,Hb=0.0,Ib=0,Jb=0.0,Kb=0.0,Lb=0.0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0.0,gc=0.0,hc=0.0;b=r;r=r+960|0;c=b+928|0;d=b+264|0;e=b+256|0;f=b+248|0;g=b+240|0;h=b+232|0;j=b+224|0;l=b+216|0;m=b+208|0;n=b+200|0;o=b+192|0;q=b+184|0;s=b+176|0;t=b+168|0;u=b+160|0;v=b+152|0;w=b+144|0;x=b+136|0;y=b+128|0;z=b+120|0;A=b+112|0;C=b+104|0;D=b+96|0;E=b+924|0;F=b+920|0;G=b+916|0;H=b+88|0;I=b+80|0;J=b+72|0;K=b+64|0;L=b+56|0;M=b+48|0;N=b+40|0;O=b+947|0;P=b+946|0;R=b+945|0;S=b+944|0;T=b+943|0;U=b+942|0;V=b+941|0;W=b+940|0;X=b+32|0;Y=b+912|0;Z=b+908|0;_=b+904|0;$=b+900|0;aa=b+896|0;ba=b+24|0;ca=b+892|0;da=b+888|0;ea=b+884|0;fa=b+880|0;ga=b+16|0;ha=b+8|0;ia=b;ja=b+864|0;ka=b+728|0;la=b+868|0;ma=b+576|0;na=b+712|0;oa=b+440|0;pa=b+424|0;qa=b+288|0;ra=b+272|0;k[E>>2]=0;k[F>>2]=0;k[G>>2]=0;p[X>>3]=1.0;k[Y>>2]=0;k[Z>>2]=0;k[_>>2]=0;k[$>>2]=0;k[aa>>2]=0;p[ba>>3]=0.0;k[ca>>2]=0;k[da>>2]=0;k[ea>>2]=0;k[fa>>2]=0;if(!(Hc[k[(k[a>>2]|0)+252>>2]&511](a)|0)){r=b;return}sa=a+32|0;ta=+WJ(k[sa>>2]|0,265);ua=+WJ(k[sa>>2]|0,267);sa=a+36|0;dO(k[sa>>2]|0,q,415);dO(k[sa>>2]|0,s,416);dO(k[sa>>2]|0,t,767);dO(k[sa>>2]|0,u,358);dO(k[sa>>2]|0,v,403);cO(k[sa>>2]|0,E,405);cO(k[sa>>2]|0,F,407);cO(k[sa>>2]|0,G,406);dO(k[sa>>2]|0,H,417);dO(k[sa>>2]|0,I,418);dO(k[sa>>2]|0,J,419);dO(k[sa>>2]|0,K,420);bO(k[sa>>2]|0,O,430);bO(k[sa>>2]|0,P,431);bO(k[sa>>2]|0,R,432);bO(k[sa>>2]|0,S,433);bO(k[sa>>2]|0,T,434);bO(k[sa>>2]|0,U,435);bO(k[sa>>2]|0,V,436);bO(k[sa>>2]|0,W,437);dO(k[sa>>2]|0,X,390);sa=a+16|0;xa=oC(k[sa>>2]|0,408)|0;za=oC(k[sa>>2]|0,409)|0;Aa=oC(k[sa>>2]|0,410)|0;Ba=oC(k[sa>>2]|0,412)|0;Ca=oC(k[sa>>2]|0,413)|0;Da=oC(k[sa>>2]|0,411)|0;Ea=oC(k[sa>>2]|0,399)|0;Fa=oC(k[sa>>2]|0,400)|0;Ga=oC(k[sa>>2]|0,401)|0;Ha=oC(k[sa>>2]|0,402)|0;Ja=oC(k[sa>>2]|0,391)|0;Ka=oC(k[sa>>2]|0,392)|0;La=oC(k[sa>>2]|0,394)|0;Ma=oC(k[sa>>2]|0,393)|0;Na=oC(k[sa>>2]|0,395)|0;Pa=oC(k[sa>>2]|0,397)|0;Qa=oC(k[sa>>2]|0,398)|0;Ra=oC(k[sa>>2]|0,386)|0;Ta=ed[k[(k[a>>2]|0)+308>>2]&511](a,1)|0;Fc[k[(k[Ta>>2]|0)+24>>2]&1023](Ta,0);nd[k[(k[xa>>2]|0)+48>>2]&1023](xa,d,Ta);nd[k[(k[za>>2]|0)+48>>2]&1023](za,e,Ta);nd[k[(k[Aa>>2]|0)+48>>2]&1023](Aa,j,Ta);nd[k[(k[Ba>>2]|0)+48>>2]&1023](Ba,f,Ta);nd[k[(k[Ca>>2]|0)+48>>2]&1023](Ca,g,Ta);nd[k[(k[Da>>2]|0)+48>>2]&1023](Da,h,Ta);nd[k[(k[Ea>>2]|0)+48>>2]&1023](Ea,l,Ta);nd[k[(k[Fa>>2]|0)+48>>2]&1023](Fa,m,Ta);nd[k[(k[Ga>>2]|0)+48>>2]&1023](Ga,n,Ta);nd[k[(k[Ha>>2]|0)+48>>2]&1023](Ha,o,Ta);do if(!Ra){a:do if(GY()|0?(k[a+12>>2]|0)==0:0){Ha=ka+56|0;Ga=ka+4|0;k[ka>>2]=27524;k[Ha>>2]=27544;B=0;wa(508,ka+56|0,Ga|0);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;Ua=Q;Va=Fa;vva(Ha);Qb(Va|0)}k[ka+128>>2]=0;k[ka+132>>2]=-1;k[ka>>2]=27468;k[Ha>>2]=27488;B=0;va(448,Ga|0);Fa=B;B=0;do if(Fa&1){Ea=Rb()|0;Wa=Q;Ya=Ea}else{k[Ga>>2]=27560;Ea=ka+36|0;k[Ea>>2]=0;k[Ea+4>>2]=0;k[Ea+8>>2]=0;k[Ea+12>>2]=0;k[ka+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ga|0,c|0);Da=B;B=0;if(Da&1){Da=Rb()|0;Ca=Q;Yua(c);Yua(Ea);Ava(Ga);Wa=Ca;Ya=Da;break}Yua(c);B=0;Ia(40,ka|0,70650,28)|0;Da=B;B=0;do if(!(Da&1)?(B=0,wa(510,la|0,Ga|0),Ca=B,B=0,!(Ca&1)):0){B=0;ya(425,la|0)|0;Ca=B;B=0;if(Ca&1){Ca=Rb()|0;Ba=Q;Yua(la);Za=Ba;_a=Ca;break}else{Yua(la);k[ka>>2]=27468;k[Ha>>2]=27488;k[Ga>>2]=27560;Yua(Ea);Ava(Ga);vva(Ha);break a}}else $a=17;while(0);if(($a|0)==17){Da=Rb()|0;Za=Q;_a=Da}k[ka>>2]=27468;k[Ha>>2]=27488;k[Ga>>2]=27560;Yua(Ea);Ava(Ga);vva(Ha);ab=Za;bb=_a;Qb(bb|0)}while(0);Ua=Wa;Va=Ya;vva(Ha);Qb(Va|0)}while(0);_Z(Y,ja,+p[d>>3],+p[e>>3],+p[f>>3],+p[h>>3]);Ga=k[ja>>2]|0;Fa=Ga>>>0>536870911?-1:Ga<<3;Da=Rqa(Fa)|0;Ca=(Ga|0)==0;b:do if(Ca){k[Z>>2]=Da;Ba=Rqa(Fa)|0;k[_>>2]=Ba;$a=31}else{WEa(Da|0,0,Ga<<3|0)|0;k[Z>>2]=Da;Ba=(Ga|0)>0;do if(Ba){cb=ta*+p[X>>3];Aa=0;do{p[Da+(Aa<<3)>>3]=cb;Aa=Aa+1|0}while((Aa|0)<(Ga|0));Aa=Rqa(Fa)|0;if(Ca){k[_>>2]=Aa;if(!Ba){$a=31;break b}}else{WEa(Aa|0,0,Ga<<3|0)|0;k[_>>2]=Aa;if(!Ba){$a=27;break}}Ea=0;do{p[Aa+(Ea<<3)>>3]=2.5;Ea=Ea+1|0}while((Ea|0)<(Ga|0));Ea=Rqa(Fa)|0;if(Ca)k[$>>2]=Ea;else{WEa(Ea|0,0,Ga<<3|0)|0;k[$>>2]=Ea}WEa(Ea|0,0,((Ga|0)>1?Ga:1)<<3|0)|0;Ea=Rqa(Fa)|0;if(Ca){db=Ea;break b}else fb=Ea}else{Ea=Rqa(Fa)|0;WEa(Ea|0,0,Ga<<3|0)|0;k[_>>2]=Ea;$a=27}while(0);if(($a|0)==27){Ba=Rqa(Fa)|0;WEa(Ba|0,0,Ga<<3|0)|0;k[$>>2]=Ba;fb=Rqa(Fa)|0}WEa(fb|0,0,Ga<<3|0)|0;db=fb}while(0);if(($a|0)==31){Ga=Rqa(Fa)|0;k[$>>2]=Ga;db=Rqa(Fa)|0}k[aa>>2]=db;Ga=k[ja>>2]|0;if((Ga|0)>0){WEa(db|0,0,((Ga|0)>1?Ga:1)<<3|0)|0;gb=k[ja>>2]|0}else gb=Ga;p[ba>>3]=0.0;Ga=gb>>>0>536870911?-1:gb<<3;Ca=Rqa(Ga)|0;if(!gb){k[ca>>2]=Ca;hb=Rqa(Ga)|0}else{WEa(Ca|0,0,gb<<3|0)|0;k[ca>>2]=Ca;if((gb|0)>0)WEa(Ca|0,0,((gb|0)>1?gb:1)<<3|0)|0;Ca=Rqa(Ga)|0;WEa(Ca|0,0,gb<<3|0)|0;hb=Ca}k[da>>2]=hb;Ca=k[ja>>2]|0;Ga=(Ca|0)>0;if(Ga){cb=+p[q>>3];Da=0;do{p[hb+(Da<<3)>>3]=cb;Da=Da+1|0}while((Da|0)<(Ca|0))}Da=Rqa(Ca>>>0>536870911?-1:Ca<<3)|0;if(Ca)WEa(Da|0,0,Ca<<3|0)|0;k[fa>>2]=Da;if(Ga){cb=+p[l>>3];Fa=0;do{p[Da+(Fa<<3)>>3]=cb;Fa=Fa+1|0}while((Fa|0)<(Ca|0))}cb=+p[Da+(Ca+-1<<3)>>3];Fa=Qqa(12)|0;B=0;eb(507,Fa|0,386,1);Ga=B;B=0;if(!(Ga&1)){mC(k[sa>>2]|0,Fa)|0;jb=k[ja>>2]|0;kb=cb;break}Ga=Rb()|0;Ba=Q;Sqa(Fa);ab=Ba;bb=Ga;Qb(bb|0)}else{Ga=oC(k[sa>>2]|0,404)|0;if(!Ga)lb=0;else lb=ura(Ga,352,808,0)|0;Ga=oC(k[sa>>2]|0,421)|0;if(!Ga)mb=0;else mb=ura(Ga,352,808,0)|0;Ga=oC(k[sa>>2]|0,422)|0;if(!Ga)nb=0;else nb=ura(Ga,352,808,0)|0;Ga=oC(k[sa>>2]|0,423)|0;if(!Ga)ob=0;else ob=ura(Ga,352,808,0)|0;Ga=oC(k[sa>>2]|0,424)|0;if(!Ga)pb=0;else pb=ura(Ga,352,808,0)|0;Ga=oC(k[sa>>2]|0,425)|0;if(!Ga)qb=0;else qb=ura(Ga,352,792,0)|0;Ga=oC(k[sa>>2]|0,427)|0;if(!Ga)rb=0;else rb=ura(Ga,352,808,0)|0;Ga=oC(k[sa>>2]|0,428)|0;if(!Ga)sb=0;else sb=ura(Ga,352,808,0)|0;Ga=oC(k[sa>>2]|0,429)|0;if(!Ga)tb=0;else tb=ura(Ga,352,808,0)|0;cH(lb,Y,ja);cH(mb,Z,ja);cH(nb,_,ja);cH(ob,$,ja);cH(pb,aa,ja);Fc[k[(k[qb>>2]|0)+44>>2]&1023](qb,ba);cH(rb,ca,ja);cH(sb,da,ja);cH(tb,fa,ja);Ga=k[ja>>2]|0;jb=Ga;kb=+p[(k[fa>>2]|0)+(Ga+-1<<3)>>3]}while(0);if((jb|0)>0){tb=k[Y>>2]|0;sb=k[Z>>2]|0;rb=k[ca>>2]|0;qb=0;cb=0.0;while(1){ub=cb+(+p[tb+(qb<<3)>>3]*+p[sb+(qb<<3)>>3]+ +p[rb+(qb<<3)>>3]);qb=qb+1|0;if((qb|0)>=(jb|0)){vb=ub;break}else cb=ub}}else vb=0.0;cb=+p[u>>3];ub=+p[t>>3]-cb;p[t>>3]=ub;c:do if(ub<=ub+cb){qb=a+12|0;rb=ma+56|0;sb=ma+4|0;tb=ma+56|0;pb=ma+128|0;ob=ma+132|0;nb=ma+36|0;mb=ma+52|0;lb=oa+56|0;hb=oa+4|0;gb=oa+56|0;db=oa+128|0;fb=oa+132|0;X=oa+36|0;h=oa+52|0;e=qa+56|0;d=qa+4|0;Va=qa+56|0;Ya=qa+128|0;Wa=qa+132|0;Ua=qa+36|0;_a=qa+52|0;Za=1;wb=0.0;xb=0.0;yb=0.0;zb=0.0;Ab=ub;while(1){if((GY()|0?(k[qb>>2]|0)==0:0)?(vY()|0)==0:0){k[ma>>2]=27524;k[rb>>2]=27544;B=0;wa(508,tb|0,sb|0);ka=B;B=0;if(ka&1){$a=87;break}k[pb>>2]=0;k[ob>>2]=-1;k[ma>>2]=27468;k[rb>>2]=27488;B=0;va(448,sb|0);ka=B;B=0;if(ka&1){$a=88;break}k[sb>>2]=27560;k[nb>>2]=0;k[nb+4>>2]=0;k[nb+8>>2]=0;k[nb+12>>2]=0;k[mb>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,sb|0,c|0);ka=B;B=0;if(ka&1){$a=86;break}Yua(c);B=0;ka=Ia(40,ma|0,70679,8)|0;la=B;B=0;if(la&1){$a=102;break}k[ka+(k[(k[ka>>2]|0)+-12>>2]|0)+8>>2]=8;B=0;la=Sa(1,ka|0,+(Ab/365.0/24.0/3600.0))|0;ka=B;B=0;if(ka&1){$a=102;break}B=0;ka=Ia(40,la|0,70688,4)|0;la=B;B=0;if(la&1){$a=102;break}B=0;la=Sa(1,ka|0,+((+p[t>>3]+ +p[u>>3])/365.0/24.0/3600.0))|0;ka=B;B=0;if(ka&1){$a=102;break}B=0;ka=Ia(40,la|0,70693,3)|0;la=B;B=0;if(la&1){$a=102;break}k[ka+(k[(k[ka>>2]|0)+-12>>2]|0)+8>>2]=3;B=0;la=Ia(40,ka|0,70697,7)|0;ka=B;B=0;if(ka&1){$a=102;break}B=0;ka=Xa(242,la|0,Za|0)|0;la=B;B=0;if(la&1){$a=102;break}B=0;Ia(40,ka|0,149177,1)|0;ka=B;B=0;if(ka&1){$a=102;break}B=0;wa(510,na|0,sb|0);ka=B;B=0;if(ka&1){$a=102;break}B=0;ya(425,na|0)|0;ka=B;B=0;if(ka&1){$a=103;break}Yua(na);k[ma>>2]=27468;k[rb>>2]=27488;k[sb>>2]=27560;Yua(nb);Ava(sb);vva(rb)}md[k[(k[Ja>>2]|0)+52>>2]&31](Ja,w,Ta,Ab);md[k[(k[Ka>>2]|0)+52>>2]&31](Ka,x,Ta,Ab);md[k[(k[La>>2]|0)+52>>2]&31](La,y,Ta,Ab);md[k[(k[Ma>>2]|0)+52>>2]&31](Ma,z,Ta,Ab);md[k[(k[Na>>2]|0)+52>>2]&31](Na,A,Ta,Ab);md[k[(k[Pa>>2]|0)+52>>2]&31](Pa,C,Ta,Ab);md[k[(k[Qa>>2]|0)+52>>2]&31](Qa,D,Ta,Ab);if(i[O>>0]|0)a_(k[_>>2]|0,k[$>>2]|0,k[aa>>2]|0,k[fa>>2]|0,k[Y>>2]|0,k[Z>>2]|0,k[ca>>2]|0,+p[v>>3],k[ja>>2]|0,k[E>>2]|0,k[qb>>2]|0);if(i[P>>0]|0)b_(k[da>>2]|0,k[E>>2]|0,k[_>>2]|0,k[Z>>2]|0,+p[H>>3],+p[s>>3],+p[q>>3],k[fa>>2]|0,k[ca>>2]|0,+p[A>>3],+p[ba>>3],+p[I>>3],+p[J>>3],+p[K>>3],+p[v>>3],k[ja>>2]|0,k[qb>>2]|0);if(i[R>>0]|0)d_(ea,k[G>>2]|0,k[E>>2]|0,+p[z>>3],+p[k[da>>2]>>3],k[Z>>2]|0,k[Y>>2]|0,k[_>>2]|0,k[ja>>2]|0,k[qb>>2]|0);if(i[S>>0]|0)c_(ba,k[fa>>2]|0,k[Y>>2]|0,k[Z>>2]|0,k[ea>>2]|0,+p[y>>3],+p[w>>3],+p[x>>3],+p[C>>3],+p[D>>3],+p[k[ca>>2]>>3],+p[v>>3],k[ja>>2]|0,+p[o>>3],+p[n>>3],k[qb>>2]|0);ka=k[Y>>2]|0;p[ka>>3]=+p[ka>>3]+ +p[ba>>3]/+p[k[Z>>2]>>3];if(i[T>>0]|0)e_(fa,Y,Z,ca,da,_,$,aa,ja,+p[w>>3],+p[A>>3],+p[j>>3],+p[q>>3],k[qb>>2]|0);if(i[U>>0]|0)f_(ga,ha,ia,fa,Z,Y,ca,da,_,$,aa,ja,+p[j>>3],+p[f>>3],+p[g>>3],k[qb>>2]|0);if(i[V>>0]|0)g_(k[Z>>2]|0,k[Y>>2]|0,k[fa>>2]|0,k[_>>2]|0,k[F>>2]|0,+p[m>>3],+p[v>>3],+p[l>>3],ta,k[ja>>2]|0,k[qb>>2]|0);if(i[W>>0]|0)h_(M,L,N,+p[w>>3],+p[k[fa>>2]>>3],+p[x>>3],+p[C>>3],+p[D>>3],+p[k[Z>>2]>>3],+p[k[ca>>2]>>3],+p[o>>3],+p[n>>3],k[qb>>2]|0);xb=xb+ +p[ia>>3];Bb=zb+ +p[ha>>3];Cb=+kY(k[ca>>2]|0,k[ja>>2]|0);Db=yb+ +p[A>>3];Eb=wb+ +p[ba>>3];ka=k[ja>>2]|0;if((ka|0)>0){la=k[Y>>2]|0;Ra=k[Z>>2]|0;Ga=0;Fb=0.0;while(1){Gb=Fb+ +p[la+(Ga<<3)>>3]*+p[Ra+(Ga<<3)>>3];Ga=Ga+1|0;if((Ga|0)>=(ka|0)){Hb=Gb;break}else Fb=Gb}}else Hb=0.0;if(+VEa(+((Cb+(Bb+Hb)-Db-Eb-vb-xb)*100.0))/100.0!=0.0){k[oa>>2]=27524;k[lb>>2]=27544;B=0;wa(508,gb|0,hb|0);Ga=B;B=0;if(Ga&1){$a=129;break}k[db>>2]=0;k[fb>>2]=-1;k[oa>>2]=27468;k[lb>>2]=27488;B=0;va(448,hb|0);Ga=B;B=0;if(Ga&1){$a=130;break}k[hb>>2]=27560;k[X>>2]=0;k[X+4>>2]=0;k[X+8>>2]=0;k[X+12>>2]=0;k[h>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,hb|0,c|0);Ga=B;B=0;if(Ga&1){$a=128;break}Yua(c);B=0;Ia(40,oa|0,70705,46)|0;Ga=B;B=0;if(Ga&1){$a=137;break}B=0;wa(510,pa|0,hb|0);Ga=B;B=0;if(Ga&1){$a=137;break}B=0;ya(424,pa|0)|0;Ga=B;B=0;if(Ga&1){$a=138;break}Yua(pa);k[oa>>2]=27468;k[lb>>2]=27488;k[hb>>2]=27560;Yua(X);Ava(hb);vva(lb);Ib=k[ja>>2]|0}else Ib=ka;if(+p[(k[fa>>2]|0)+(Ib+-1<<3)>>3]!=kb){k[qa>>2]=27524;k[e>>2]=27544;B=0;wa(508,Va|0,d|0);Ga=B;B=0;if(Ga&1){$a=145;break}k[Ya>>2]=0;k[Wa>>2]=-1;k[qa>>2]=27468;k[e>>2]=27488;B=0;va(448,d|0);Ga=B;B=0;if(Ga&1){$a=146;break}k[d>>2]=27560;k[Ua>>2]=0;k[Ua+4>>2]=0;k[Ua+8>>2]=0;k[Ua+12>>2]=0;k[_a>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,d|0,c|0);Ga=B;B=0;if(Ga&1){$a=144;break}Yua(c);B=0;Ga=Ia(40,qa|0,70752,16)|0;Ra=B;B=0;if(Ra&1){$a=154;break}B=0;Ia(40,Ga|0,149177,1)|0;Ga=B;B=0;if(Ga&1){$a=154;break}B=0;wa(510,ra|0,d|0);Ga=B;B=0;if(Ga&1){$a=154;break}B=0;ya(424,ra|0)|0;Ga=B;B=0;if(Ga&1){$a=155;break}Yua(ra);k[qa>>2]=27468;k[e>>2]=27488;k[d>>2]=27560;Yua(Ua);Ava(d);vva(e)}Ga=k[ea>>2]|0;if(Ga)Tqa(Ga);k[ea>>2]=0;Ab=Ab+ +p[v>>3];if(!(Ab<=+p[t>>3]+ +p[u>>3])){Jb=Bb;Kb=Db;Lb=Eb;$a=160;break}else{Za=Za+1|0;wb=Eb;yb=Db;zb=Bb}}switch($a|0){case 86:{Za=Rb()|0;_a=Q;Yua(c);Yua(nb);Ava(sb);Mb=_a;Nb=Za;$a=89;break}case 87:{Za=Rb()|0;Ob=Q;Pb=Za;vva(rb);Qb(Pb|0);break}case 88:{Za=Rb()|0;Mb=Q;Nb=Za;$a=89;break}case 102:{Za=Rb()|0;Sb=Q;Tb=Za;$a=104;break}case 103:{Za=Rb()|0;_a=Q;Yua(na);Sb=_a;Tb=Za;$a=104;break}case 128:{Za=Rb()|0;_a=Q;Yua(c);Yua(X);Ava(hb);Ub=_a;Vb=Za;$a=131;break}case 129:{Za=Rb()|0;Wb=Q;Xb=Za;vva(lb);Qb(Xb|0);break}case 130:{Za=Rb()|0;Ub=Q;Vb=Za;$a=131;break}case 137:{Za=Rb()|0;Yb=Q;Zb=Za;$a=139;break}case 138:{Za=Rb()|0;_a=Q;Yua(pa);Yb=_a;Zb=Za;$a=139;break}case 144:{Za=Rb()|0;_a=Q;Yua(c);Yua(Ua);Ava(d);_b=_a;$b=Za;$a=147;break}case 145:{Za=Rb()|0;ac=Q;bc=Za;vva(e);Qb(bc|0);break}case 146:{Za=Rb()|0;_b=Q;$b=Za;$a=147;break}case 154:{Za=Rb()|0;cc=Q;dc=Za;$a=156;break}case 155:{Za=Rb()|0;_a=Q;Yua(ra);cc=_a;dc=Za;$a=156;break}case 160:{ec=k[ja>>2]|0;fc=Lb;gc=Kb;hc=Jb;break c;break}}if(($a|0)==89){Ob=Mb;Pb=Nb;vva(rb);Qb(Pb|0)}else if(($a|0)==104){k[ma>>2]=27468;k[rb>>2]=27488;k[sb>>2]=27560;Yua(nb);Ava(sb);vva(rb);ab=Sb;bb=Tb;Qb(bb|0)}else if(($a|0)==131){Wb=Ub;Xb=Vb;vva(lb);Qb(Xb|0)}else if(($a|0)==139){k[oa>>2]=27468;k[lb>>2]=27488;k[hb>>2]=27560;Yua(X);Ava(hb);vva(lb);ab=Yb;bb=Zb;Qb(bb|0)}else if(($a|0)==147){ac=_b;bc=$b;vva(e);Qb(bc|0)}else if(($a|0)==156){k[qa>>2]=27468;k[e>>2]=27488;k[d>>2]=27560;Yua(Ua);Ava(d);vva(e);ab=cc;bb=dc;Qb(bb|0)}}else{ec=jb;fc=0.0;gc=0.0;hc=0.0}while(0);jb=Qqa(16)|0;B=0;ib(288,jb|0,404,k[Y>>2]|0,ec|0);ec=B;B=0;if(ec&1){ec=Rb()|0;dc=Q;Sqa(jb);ab=dc;bb=ec;Qb(bb|0)}mC(k[sa>>2]|0,jb)|0;jb=Qqa(16)|0;B=0;ib(288,jb|0,421,k[Z>>2]|0,k[ja>>2]|0);ec=B;B=0;if(ec&1){ec=Rb()|0;dc=Q;Sqa(jb);ab=dc;bb=ec;Qb(bb|0)}mC(k[sa>>2]|0,jb)|0;jb=Qqa(16)|0;B=0;ib(288,jb|0,422,k[_>>2]|0,k[ja>>2]|0);ec=B;B=0;if(ec&1){ec=Rb()|0;dc=Q;Sqa(jb);ab=dc;bb=ec;Qb(bb|0)}mC(k[sa>>2]|0,jb)|0;jb=Qqa(16)|0;B=0;ib(288,jb|0,423,k[$>>2]|0,k[ja>>2]|0);ec=B;B=0;if(ec&1){ec=Rb()|0;dc=Q;Sqa(jb);ab=dc;bb=ec;Qb(bb|0)}mC(k[sa>>2]|0,jb)|0;jb=Qqa(16)|0;B=0;ib(288,jb|0,424,k[aa>>2]|0,k[ja>>2]|0);ec=B;B=0;if(ec&1){ec=Rb()|0;dc=Q;Sqa(jb);ab=dc;bb=ec;Qb(bb|0)}mC(k[sa>>2]|0,jb)|0;jb=Qqa(16)|0;B=0;ib(288,jb|0,429,k[fa>>2]|0,k[ja>>2]|0);ec=B;B=0;if(ec&1){ec=Rb()|0;dc=Q;Sqa(jb);ab=dc;bb=ec;Qb(bb|0)}mC(k[sa>>2]|0,jb)|0;jb=Qqa(16)|0;B=0;Oa(58,jb|0,425,+(+p[ba>>3]));ba=B;B=0;if(ba&1){ba=Rb()|0;ec=Q;Sqa(jb);ab=ec;bb=ba;Qb(bb|0)}mC(k[sa>>2]|0,jb)|0;jb=Qqa(16)|0;B=0;ib(288,jb|0,427,k[ca>>2]|0,k[ja>>2]|0);ba=B;B=0;if(ba&1){ba=Rb()|0;ec=Q;Sqa(jb);ab=ec;bb=ba;Qb(bb|0)}mC(k[sa>>2]|0,jb)|0;jb=Qqa(16)|0;B=0;ib(288,jb|0,428,k[da>>2]|0,k[ja>>2]|0);ja=B;B=0;if(ja&1){ja=Rb()|0;ba=Q;Sqa(jb);ab=ba;bb=ja;Qb(bb|0)}mC(k[sa>>2]|0,jb)|0;jb=Qqa(16)|0;B=0;Oa(58,jb|0,388,+((gc+fc-hc)/ua/+p[u>>3]));ja=B;B=0;if(ja&1){ja=Rb()|0;ba=Q;Sqa(jb);ab=ba;bb=ja;Qb(bb|0)}mC(k[sa>>2]|0,jb)|0;jb=Qqa(16)|0;B=0;Oa(58,jb|0,469,+(hc/ua/+p[u>>3]));ja=B;B=0;if(ja&1){ja=Rb()|0;ba=Q;Sqa(jb);ab=ba;bb=ja;Qb(bb|0)}mC(k[sa>>2]|0,jb)|0;jb=Qqa(16)|0;B=0;Oa(58,jb|0,448,+(gc/ua/+p[u>>3]));ja=B;B=0;if(ja&1){ja=Rb()|0;ba=Q;Sqa(jb);ab=ba;bb=ja;Qb(bb|0)}mC(k[sa>>2]|0,jb)|0;jb=Qqa(16)|0;B=0;Oa(58,jb|0,426,+(fc/ua/+p[u>>3]));u=B;B=0;if(u&1){u=Rb()|0;ja=Q;Sqa(jb);ab=ja;bb=u;Qb(bb|0)}mC(k[sa>>2]|0,jb)|0;jb=k[Y>>2]|0;if(jb)Tqa(jb);k[Y>>2]=0;Y=k[Z>>2]|0;if(Y)Tqa(Y);k[Z>>2]=0;Z=k[_>>2]|0;if(Z)Tqa(Z);k[_>>2]=0;_=k[$>>2]|0;if(_)Tqa(_);k[$>>2]=0;$=k[aa>>2]|0;if($)Tqa($);k[aa>>2]=0;aa=k[ca>>2]|0;if(aa)Tqa(aa);k[ca>>2]=0;ca=k[da>>2]|0;if(ca)Tqa(ca);k[da>>2]=0;da=k[fa>>2]|0;if(da)Tqa(da);k[fa>>2]=0;if(!Ta){r=b;return}Ec[k[(k[Ta>>2]|0)+4>>2]&1023](Ta);r=b;return}function tq(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=+d;e=+e;YJ(k[a+32>>2]|0,b,c,d,e);return}function uq(a,b){a=a|0;b=+b;return +(+VJ(k[a+32>>2]|0,b))}function vq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=Hc[k[(k[a>>2]|0)+164>>2]&511](a)|0;e=Rqa(d>>>0>1073741823?-1:d<<2)|0;if((d|0)>0){f=0;do{k[e+(f<<2)>>2]=c;f=f+1|0}while((f|0)!=(d|0))}wq(0,b,k[a+20>>2]|0,d,e);Tqa(e);return}function wq(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;a=r;r=r+192|0;f=a+180|0;g=a+176|0;h=a+40|0;i=a+24|0;j=a+12|0;l=a;k[g>>2]=0;a:do if((d|0)>0){m=0;n=0;b:while(1){o=e+(m<<2)|0;switch(k[o>>2]|0){case 653:{q=n+1|0;break}case 971:{q=n+2|0;break}case 972:{q=n+3|0;break}default:{s=o;break b}}m=m+1|0;if((m|0)>=(d|0)){t=q;break a}else n=q}n=h+56|0;m=h+4|0;k[h>>2]=27524;k[n>>2]=27544;B=0;wa(508,h+56|0,m|0);o=B;B=0;if(o&1){o=Rb()|0;u=Q;v=o;vva(n);Qb(v|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[n>>2]=27488;B=0;va(448,m|0);o=B;B=0;do if(o&1){w=Rb()|0;x=Q;y=w}else{k[m>>2]=27560;w=h+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[h+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,m|0,f|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(f);Yua(w);Ava(m);x=A;y=z;break}Yua(f);B=0;z=Ia(40,h|0,69672,18)|0;A=B;B=0;if((((!(A&1)?(B=0,A=ya(427,k[s>>2]|0)|0,C=B,B=0,!(C&1)):0)?(C=Lta(A)|0,B=0,D=Ia(40,z|0,A|0,C|0)|0,C=B,B=0,!(C&1)):0)?(B=0,C=Ia(40,D|0,146481,18)|0,D=B,B=0,!(D&1)):0)?(B=0,Xa(239,C|0,0)|0,C=B,B=0,!(C&1)):0){C=Ab(20)|0;B=0;eb(502,i|0,69562,75);D=B;B=0;do if(!(D&1)){B=0;eb(502,j|0,70769,32);A=B;B=0;if(A&1){A=Rb()|0;z=Q;Yua(i);E=z;F=A;break}B=0;wa(510,l|0,m|0);A=B;B=0;if(A&1){A=Rb()|0;G=Q;H=A;I=1}else{B=0;ua(163,C|0,i|0,j|0,2780,l|0);A=B;B=0;if(A&1)J=1;else{B=0;eb(503,C|0,1240,229);B=0;J=0}A=Rb()|0;z=Q;Yua(l);G=z;H=A;I=J}Yua(j);Yua(i);if(I){E=G;F=H}else{K=G;L=H;k[h>>2]=27468;k[n>>2]=27488;k[m>>2]=27560;Yua(w);Ava(m);vva(n);Qb(L|0)}}else{A=Rb()|0;E=Q;F=A}while(0);zb(C|0);K=E;L=F;k[h>>2]=27468;k[n>>2]=27488;k[m>>2]=27560;Yua(w);Ava(m);vva(n);Qb(L|0)}D=Rb()|0;K=Q;L=D;k[h>>2]=27468;k[n>>2]=27488;k[m>>2]=27560;Yua(w);Ava(m);vva(n);Qb(L|0)}while(0);u=x;v=y;vva(n);Qb(v|0)}else t=0;while(0);v=k[b>>2]|0;y=b+4|0;x=k[y>>2]|0;u=ma(x,v)|0;L=Rqa(u>>>0>536870911?-1:u<<3)|0;if((v|0)>0){u=b+12|0;if((x|0)>0){h=k[u>>2]|0;K=0;do{F=ma(x,K)|0;E=0;do{H=F+E|0;p[L+(H<<3)>>3]=+p[h+(H<<3)>>3];E=E+1|0}while((E|0)<(x|0));K=K+1|0}while((K|0)<(v|0));M=u}else M=u}else M=b+12|0;_o(0,g,c,d,e);e=k[g>>2]|0;ZX(e,t,t,0,L,k[b>>2]|0,k[y>>2]|0,0,e,t,t,1,k[M>>2]|0,0)|0;if(!e){Tqa(L);r=a;return}Tqa(e);Tqa(L);r=a;return}function xq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=Hc[k[(k[a>>2]|0)+164>>2]&511](a)|0;e=Rqa(d>>>0>1073741823?-1:d<<2)|0;if((d|0)>0){f=0;do{k[e+(f<<2)>>2]=c;f=f+1|0}while((f|0)!=(d|0))}yq(0,b,k[a+20>>2]|0,d,e);Tqa(e);return}function yq(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;a=r;r=r+192|0;f=a+180|0;g=a+176|0;h=a+40|0;i=a+24|0;j=a+12|0;l=a;k[g>>2]=0;a:do if((d|0)>0){m=0;n=0;b:while(1){o=e+(m<<2)|0;switch(k[o>>2]|0){case 653:{q=n+1|0;break}case 971:{q=n+2|0;break}case 972:{q=n+3|0;break}default:{s=o;break b}}m=m+1|0;if((m|0)>=(d|0)){t=q;break a}else n=q}n=h+56|0;m=h+4|0;k[h>>2]=27524;k[n>>2]=27544;B=0;wa(508,h+56|0,m|0);o=B;B=0;if(o&1){o=Rb()|0;u=Q;v=o;vva(n);Qb(v|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[n>>2]=27488;B=0;va(448,m|0);o=B;B=0;do if(o&1){w=Rb()|0;x=Q;y=w}else{k[m>>2]=27560;w=h+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[h+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,m|0,f|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(f);Yua(w);Ava(m);x=A;y=z;break}Yua(f);B=0;z=Ia(40,h|0,69672,18)|0;A=B;B=0;if((((!(A&1)?(B=0,A=ya(427,k[s>>2]|0)|0,C=B,B=0,!(C&1)):0)?(C=Lta(A)|0,B=0,D=Ia(40,z|0,A|0,C|0)|0,C=B,B=0,!(C&1)):0)?(B=0,C=Ia(40,D|0,146481,18)|0,D=B,B=0,!(D&1)):0)?(B=0,Xa(239,C|0,0)|0,C=B,B=0,!(C&1)):0){C=Ab(20)|0;B=0;eb(502,i|0,69562,75);D=B;B=0;do if(!(D&1)){B=0;eb(502,j|0,70802,24);A=B;B=0;if(A&1){A=Rb()|0;z=Q;Yua(i);E=z;F=A;break}B=0;wa(510,l|0,m|0);A=B;B=0;if(A&1){A=Rb()|0;G=Q;H=A;I=1}else{B=0;ua(163,C|0,i|0,j|0,2832,l|0);A=B;B=0;if(A&1)J=1;else{B=0;eb(503,C|0,1240,229);B=0;J=0}A=Rb()|0;z=Q;Yua(l);G=z;H=A;I=J}Yua(j);Yua(i);if(I){E=G;F=H}else{K=G;L=H;k[h>>2]=27468;k[n>>2]=27488;k[m>>2]=27560;Yua(w);Ava(m);vva(n);Qb(L|0)}}else{A=Rb()|0;E=Q;F=A}while(0);zb(C|0);K=E;L=F;k[h>>2]=27468;k[n>>2]=27488;k[m>>2]=27560;Yua(w);Ava(m);vva(n);Qb(L|0)}D=Rb()|0;K=Q;L=D;k[h>>2]=27468;k[n>>2]=27488;k[m>>2]=27560;Yua(w);Ava(m);vva(n);Qb(L|0)}while(0);u=x;v=y;vva(n);Qb(v|0)}else t=0;while(0);v=k[b>>2]|0;y=Rqa(v>>>0>536870911?-1:v<<3)|0;x=b+4|0;if((v|0)>0){u=k[x>>2]|0;L=0;do{p[y+(L<<3)>>3]=+p[u+(L<<3)>>3];L=L+1|0}while((L|0)<(v|0))}_o(0,g,c,d,e);e=k[g>>2]|0;_X(e,t,t,1,y,k[b>>2]|0,1,0,k[x>>2]|0,0)|0;if(!e){Tqa(y);r=a;return}Tqa(e);Tqa(y);r=a;return}function zq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=k[a+20>>2]|0;yq(0,b,d,Hc[k[(k[a>>2]|0)+164>>2]&511](a)|0,c);return}function Aq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=Hc[k[(k[a>>2]|0)+164>>2]&511](a)|0;e=Rqa(d>>>0>1073741823?-1:d<<2)|0;if((d|0)>0){f=0;do{k[e+(f<<2)>>2]=c;f=f+1|0}while((f|0)!=(d|0))}Bq(0,b,k[a+20>>2]|0,d,e);Tqa(e);return}function Bq(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;a=r;r=r+192|0;f=a+180|0;g=a+176|0;h=a+40|0;i=a+24|0;j=a+12|0;l=a;k[g>>2]=0;a:do if((d|0)>0){m=0;n=0;b:while(1){o=e+(m<<2)|0;switch(k[o>>2]|0){case 653:{p=n+1|0;break}case 971:{p=n+2|0;break}case 972:{p=n+3|0;break}default:{q=o;break b}}m=m+1|0;if((m|0)>=(d|0)){s=p;break a}else n=p}n=h+56|0;m=h+4|0;k[h>>2]=27524;k[n>>2]=27544;B=0;wa(508,h+56|0,m|0);o=B;B=0;if(o&1){o=Rb()|0;t=Q;u=o;vva(n);Qb(u|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[n>>2]=27488;B=0;va(448,m|0);o=B;B=0;do if(o&1){v=Rb()|0;w=Q;x=v}else{k[m>>2]=27560;v=h+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[h+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,m|0,f|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(f);Yua(v);Ava(m);w=z;x=y;break}Yua(f);B=0;y=Ia(40,h|0,69672,18)|0;z=B;B=0;if((((!(z&1)?(B=0,z=ya(427,k[q>>2]|0)|0,A=B,B=0,!(A&1)):0)?(A=Lta(z)|0,B=0,C=Ia(40,y|0,z|0,A|0)|0,A=B,B=0,!(A&1)):0)?(B=0,A=Ia(40,C|0,146481,18)|0,C=B,B=0,!(C&1)):0)?(B=0,Xa(239,A|0,0)|0,A=B,B=0,!(A&1)):0){A=Ab(20)|0;B=0;eb(502,i|0,69562,75);C=B;B=0;do if(!(C&1)){B=0;eb(502,j|0,70827,22);z=B;B=0;if(z&1){z=Rb()|0;y=Q;Yua(i);D=y;E=z;break}B=0;wa(510,l|0,m|0);z=B;B=0;if(z&1){z=Rb()|0;F=Q;G=z;H=1}else{B=0;ua(163,A|0,i|0,j|0,2908,l|0);z=B;B=0;if(z&1)I=1;else{B=0;eb(503,A|0,1240,229);B=0;I=0}z=Rb()|0;y=Q;Yua(l);F=y;G=z;H=I}Yua(j);Yua(i);if(H){D=F;E=G}else{J=F;K=G;k[h>>2]=27468;k[n>>2]=27488;k[m>>2]=27560;Yua(v);Ava(m);vva(n);Qb(K|0)}}else{z=Rb()|0;D=Q;E=z}while(0);zb(A|0);J=D;K=E;k[h>>2]=27468;k[n>>2]=27488;k[m>>2]=27560;Yua(v);Ava(m);vva(n);Qb(K|0)}C=Rb()|0;J=Q;K=C;k[h>>2]=27468;k[n>>2]=27488;k[m>>2]=27560;Yua(v);Ava(m);vva(n);Qb(K|0)}while(0);t=w;u=x;vva(n);Qb(u|0)}else s=0;while(0);u=Rqa(s>>>0>536870911?-1:s<<3)|0;if((s|0)>0)TEa(u|0,b|0,s<<3|0)|0;_o(0,g,c,d,e);e=k[g>>2]|0;_X(e,s,s,0,u,s,1,0,b,0)|0;if(!e){Tqa(u);r=a;return}Tqa(e);Tqa(u);r=a;return}function Cq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=k[a+20>>2]|0;Bq(0,b,d,Hc[k[(k[a>>2]|0)+164>>2]&511](a)|0,c);return}function Dq(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=Rqa(c>>>0>1073741823?-1:c<<2)|0;if((c|0)>0){f=0;do{k[e+(f<<2)>>2]=d;f=f+1|0}while((f|0)!=(c|0))}Bq(0,b,k[a+20>>2]|0,c,e);Tqa(e);return}function Eq(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Bq(0,b,k[a+20>>2]|0,c,d);return}function Fq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=Hc[k[(k[a>>2]|0)+164>>2]&511](a)|0;e=Rqa(d>>>0>1073741823?-1:d<<2)|0;if((d|0)>0){f=0;do{k[e+(f<<2)>>2]=c;f=f+1|0}while((f|0)!=(d|0))}Gq(0,b,k[a+20>>2]|0,d,e);Tqa(e);return}function Gq(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;a=r;r=r+192|0;f=a+180|0;g=a+176|0;h=a+40|0;i=a+24|0;j=a+12|0;l=a;k[g>>2]=0;a:do if((d|0)>0){m=0;n=0;b:while(1){o=e+(m<<2)|0;switch(k[o>>2]|0){case 653:{q=n+1|0;break}case 971:{q=n+2|0;break}case 972:{q=n+3|0;break}default:{s=o;break b}}m=m+1|0;if((m|0)>=(d|0)){t=q;break a}else n=q}n=h+56|0;m=h+4|0;k[h>>2]=27524;k[n>>2]=27544;B=0;wa(508,h+56|0,m|0);o=B;B=0;if(o&1){o=Rb()|0;u=Q;v=o;vva(n);Qb(v|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[n>>2]=27488;B=0;va(448,m|0);o=B;B=0;do if(o&1){w=Rb()|0;x=Q;y=w}else{k[m>>2]=27560;w=h+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[h+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,m|0,f|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(f);Yua(w);Ava(m);x=A;y=z;break}Yua(f);B=0;z=Ia(40,h|0,69672,18)|0;A=B;B=0;if((((!(A&1)?(B=0,A=ya(427,k[s>>2]|0)|0,C=B,B=0,!(C&1)):0)?(C=Lta(A)|0,B=0,D=Ia(40,z|0,A|0,C|0)|0,C=B,B=0,!(C&1)):0)?(B=0,C=Ia(40,D|0,146481,18)|0,D=B,B=0,!(D&1)):0)?(B=0,Xa(239,C|0,0)|0,C=B,B=0,!(C&1)):0){C=Ab(20)|0;B=0;eb(502,i|0,69562,75);D=B;B=0;do if(!(D&1)){B=0;eb(502,j|0,70850,29);A=B;B=0;if(A&1){A=Rb()|0;z=Q;Yua(i);E=z;F=A;break}B=0;wa(510,l|0,m|0);A=B;B=0;if(A&1){A=Rb()|0;G=Q;H=A;I=1}else{B=0;ua(163,C|0,i|0,j|0,2956,l|0);A=B;B=0;if(A&1)J=1;else{B=0;eb(503,C|0,1240,229);B=0;J=0}A=Rb()|0;z=Q;Yua(l);G=z;H=A;I=J}Yua(j);Yua(i);if(I){E=G;F=H}else{K=G;L=H;k[h>>2]=27468;k[n>>2]=27488;k[m>>2]=27560;Yua(w);Ava(m);vva(n);Qb(L|0)}}else{A=Rb()|0;E=Q;F=A}while(0);zb(C|0);K=E;L=F;k[h>>2]=27468;k[n>>2]=27488;k[m>>2]=27560;Yua(w);Ava(m);vva(n);Qb(L|0)}D=Rb()|0;K=Q;L=D;k[h>>2]=27468;k[n>>2]=27488;k[m>>2]=27560;Yua(w);Ava(m);vva(n);Qb(L|0)}while(0);u=x;v=y;vva(n);Qb(v|0)}else t=0;while(0);v=b+4|0;y=ma(k[v>>2]|0,k[b>>2]|0)|0;x=Rqa(y>>>0>536870911?-1:y<<3)|0;u=b+12|0;if((y|0)>0){L=k[u>>2]|0;h=0;do{p[x+(h<<3)>>3]=+p[L+(h<<3)>>3];h=h+1|0}while((h|0)<(y|0))}_o(0,g,c,d,e);e=k[g>>2]|0;ZX(e,t,t,1,x,k[b>>2]|0,k[v>>2]|0,0,e,t,t,0,k[u>>2]|0,0)|0;if(!e){Tqa(x);r=a;return}Tqa(e);Tqa(x);r=a;return}function Hq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=k[a+20>>2]|0;Gq(0,b,d,Hc[k[(k[a>>2]|0)+164>>2]&511](a)|0,c);return}function Iq(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,70888,87);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,71026,14);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,177,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function Jq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,70888,87);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,71005,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,178,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function Kq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,70888,87);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,70976,28);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,179,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function Lq(a){a=a|0;gh(a);k[a+12>>2]=279;return}function Mq(a){a=a|0;jh(a);return}function Nq(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0;e=k[a>>2]|0;h=a+4|0;if(e>>>0<(k[h>>2]|0)>>>0)i=e;else return;do{e=k[i>>2]|0;Uc[k[(k[e>>2]|0)+424>>2]&63](e,b,c,d,f,g);i=i+4|0}while(i>>>0<(k[h>>2]|0)>>>0);return}function Oq(a){a=a|0;var b=0,c=0,d=0;b=k[a>>2]|0;c=a+4|0;if(b>>>0<(k[c>>2]|0)>>>0)d=b;else return;do{b=k[d>>2]|0;Ec[k[(k[b>>2]|0)+416>>2]&1023](b);d=d+4|0}while(d>>>0<(k[c>>2]|0)>>>0);return}function Pq(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0;b=r;r=r+16|0;c=b+4|0;d=b;k[c>>2]=0;if((th(a)|0)>0){e=0;f=0;while(1){g=qh(a,f)|0;h=Hc[k[(k[g>>2]|0)+164>>2]&511](g)|0;if((h|0)>(e|0)){k[c>>2]=h;i=h}else i=e;f=f+1|0;if((f|0)>=(th(a)|0))break;else e=i}}fZ(c,d,1,4,1,uY()|0)|0;r=b;return k[d>>2]|0}function Qq(a){a=a|0;var b=0,c=0,d=0,e=0;b=r;r=r+16|0;c=b+4|0;d=b;e=th(a)|0;k[c>>2]=e;fZ(c,d,1,4,4,uY()|0)|0;r=b;return k[d>>2]|0}function Rq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if((th(a)|0)>0)d=0;else return;do{Sp(qh(a,d)|0,b,c);d=d+1|0}while((d|0)<(th(a)|0));return}function Sq(a){a=a|0;var b=0;k[a>>2]=-9999;b=a+4|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[b+16>>2]=0;return}function Tq(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;b=a+4|0;c=k[b>>2]|0;do if(c){d=k[a>>2]|0;if((d|0)>0){e=d;d=c;f=0;while(1){g=k[d+(f<<2)>>2]|0;if(!g){h=d;i=e}else{yla(g);Sqa(g);h=k[b>>2]|0;i=k[a>>2]|0}f=f+1|0;if((f|0)>=(i|0)){j=h;break}else{e=i;d=h}}if(!j)break;else l=j}else l=c;Tqa(l)}while(0);l=k[a+8>>2]|0;if(l){yla(l);Sqa(l)}l=k[a+12>>2]|0;if(l){yla(l);Sqa(l)}l=k[a+16>>2]|0;if(l){yla(l);Sqa(l)}l=k[a+20>>2]|0;if(!l)return;yla(l);Sqa(l);return}function Uq(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;f=r;r=r+16|0;g=f+4|0;h=f;k[g>>2]=(k[e+56>>2]|0)+1;k[h>>2]=c;i=Rqa(d>>>0>1073741823?-1:d<<2)|0;if((d|0)>0){j=ma(c+-1|0,d)|0;c=k[e+72>>2]|0;e=0;do{k[i+(e<<2)>>2]=k[c+(e+j<<2)>>2];e=e+1|0}while((e|0)!=(d|0))}k[a>>2]=b;e=Rqa(b>>>0>1073741823?-1:b<<2)|0;b=a+4|0;k[b>>2]=e;e=Qqa(16)|0;B=0;eb(509,e|0,i|0,d|0);d=B;B=0;if(d&1){d=Rb()|0;j=Q;Sqa(e);l=j;m=d;Qb(m|0)}k[a+8>>2]=e;e=Qqa(16)|0;B=0;eb(509,e|0,h|0,1);h=B;B=0;if(h&1){h=Rb()|0;d=Q;Sqa(e);l=d;m=h;Qb(m|0)}k[a+12>>2]=e;e=Qqa(16)|0;B=0;eb(509,e|0,g|0,1);g=B;B=0;if(g&1){g=Rb()|0;h=Q;Sqa(e);l=h;m=g;Qb(m|0)}k[a+16>>2]=e;k[a+20>>2]=0;e=k[a>>2]|0;if((e|0)>0)n=0;else{Tqa(i);r=f;return}do{k[(k[b>>2]|0)+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(e|0));Tqa(i);r=f;return}function Vq(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;if(!(d&-3)){n=(k[a+20>>2]|0)==0&1;o=k[a+4>>2]|0;if(o){p=k[a>>2]|0;q=Rqa(p)|0;if((p|0)>0){s=0;do{i[q+s>>0]=(k[o+(s<<2)>>2]|0)==0&1;s=s+1|0}while((s|0)<(p|0));t=n;u=0;v=q}else{t=n;u=0;v=q}}else{t=n;u=1;v=0}}else{t=1;u=1;v=0}a:do switch(d|0){case 0:{n=k[b>>2]|0;i[n>>0]=57;i[n+1>>0]=2;i[n+2>>0]=0;i[n+3>>0]=0;n=(k[b>>2]|0)+4|0;k[b>>2]=n;q=l[a>>0]|l[a+1>>0]<<8|l[a+2>>0]<<16|l[a+3>>0]<<24;i[n>>0]=q;i[n+1>>0]=q>>8;i[n+2>>0]=q>>16;i[n+3>>0]=q>>24;q=(k[b>>2]|0)+4|0;k[b>>2]=q;i[q>>0]=t;q=(k[b>>2]|0)+1|0;k[b>>2]=q;i[q>>0]=u;q=(k[b>>2]|0)+1|0;k[b>>2]=q;n=(v|0)==0;i[q>>0]=n&1;q=(k[b>>2]|0)+1|0;k[b>>2]=q;if(n)w=0;else{TEa(q|0,v|0,k[a>>2]|0)|0;k[b>>2]=(k[b>>2]|0)+(k[a>>2]|0);w=v}break}case 2:{q=(k[c>>2]|0)+11|0;k[c>>2]=q;if(!v)w=0;else{k[c>>2]=q+(k[a>>2]|0);w=v}break}case 1:{q=(k[b>>2]|0)+4|0;k[b>>2]=q;n=l[q>>0]|l[q+1>>0]<<8|l[q+2>>0]<<16|l[q+3>>0]<<24;i[a>>0]=n;i[a+1>>0]=n>>8;i[a+2>>0]=n>>16;i[a+3>>0]=n>>24;q=k[b>>2]|0;p=q+4|0;k[b>>2]=p;s=i[p>>0]|0;p=q+5|0;k[b>>2]=p;o=(s&1)==0;s=i[p>>0]|0;p=q+6|0;k[b>>2]=p;x=(s&1)==0;s=i[p>>0]|0;p=q+7|0;k[b>>2]=p;if(!(s&1)){s=Rqa(n)|0;TEa(s|0,p|0,n|0)|0;k[b>>2]=p+n;if(x){y=s;z=36}else{A=s;z=37}}else if(x){y=v;z=36}else{A=v;z=37}if((z|0)==36){x=Rqa(n>>>0>1073741823?-1:n<<2)|0;k[a+4>>2]=x;C=y}else if((z|0)==37){k[a+4>>2]=0;C=A}x=Qqa(16)|0;B=0;va(489,x|0);n=B;B=0;if(n&1){n=Rb()|0;s=Q;Sqa(x);D=s;E=n;Qb(E|0)}k[a+8>>2]=x;x=Qqa(16)|0;B=0;va(489,x|0);n=B;B=0;if(n&1){n=Rb()|0;s=Q;Sqa(x);D=s;E=n;Qb(E|0)}k[a+12>>2]=x;x=Qqa(16)|0;B=0;va(489,x|0);n=B;B=0;if(n&1){n=Rb()|0;s=Q;Sqa(x);D=s;E=n;Qb(E|0)}k[a+16>>2]=x;do if(o){x=Qqa(16)|0;B=0;va(489,x|0);n=B;B=0;if(!(n&1)){k[a+20>>2]=x;break}n=Rb()|0;s=Q;Sqa(x);D=s;E=n;Qb(E|0)}else k[a+20>>2]=0;while(0);o=a+4|0;if((k[o>>2]|0)!=0?(n=k[a>>2]|0,(n|0)>0):0){s=n;n=0;while(1){if(!(i[C+n>>0]|0)){x=Qqa(16)|0;B=0;va(489,x|0);p=B;B=0;if(p&1){F=x;break}k[(k[o>>2]|0)+(n<<2)>>2]=x;G=k[a>>2]|0}else{k[(k[o>>2]|0)+(n<<2)>>2]=0;G=s}n=n+1|0;if((n|0)>=(G|0)){w=C;break a}else s=G}s=Rb()|0;n=Q;Sqa(F);D=n;E=s;Qb(E|0)}else w=C;break}default:{s=g+56|0;n=g+4|0;k[g>>2]=27524;k[s>>2]=27544;B=0;wa(508,g+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;H=Q;I=o;vva(s);Qb(I|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[s>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){x=Rb()|0;J=Q;K=x}else{k[n>>2]=27560;x=g+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,n|0,f|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(f);Yua(x);Ava(n);J=q;K=p;break}Yua(f);B=0;p=Ia(40,g|0,143951,43)|0;q=B;B=0;b:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,L=B,B=0,!(L&1)):0){L=Ab(20)|0;B=0;eb(502,h|0,71041,79);M=B;B=0;do if(!(M&1)){B=0;eb(502,j|0,149525,8);N=B;B=0;if(N&1){N=Rb()|0;O=Q;Yua(h);P=O;R=N;break}B=0;wa(510,m|0,n|0);N=B;B=0;if(N&1){N=Rb()|0;S=Q;T=N;U=1}else{B=0;ua(163,L|0,h|0,j|0,99,m|0);N=B;B=0;if(N&1)V=1;else{B=0;eb(503,L|0,1240,229);B=0;V=0}N=Rb()|0;O=Q;Yua(m);S=O;T=N;U=V}Yua(j);Yua(h);if(U){P=S;R=T}else{W=S;X=T;break b}}else{N=Rb()|0;P=Q;R=N}while(0);zb(L|0);W=P;X=R}else z=21;while(0);if((z|0)==21){p=Rb()|0;W=Q;X=p}k[g>>2]=27468;k[s>>2]=27488;k[n>>2]=27560;Yua(x);Ava(n);vva(s);D=W;E=X;Qb(E|0)}while(0);H=J;I=K;vva(s);Qb(I|0)}}while(0);I=a+4|0;K=k[I>>2]|0;c:do if((K|0)!=0?(J=k[a>>2]|0,(J|0)>0):0){H=K;E=J;J=0;while(1){X=k[H+(J<<2)>>2]|0;if(!X)Y=E;else{Cla(X,b,c,d);Y=k[a>>2]|0}X=J+1|0;if((X|0)>=(Y|0))break c;H=k[I>>2]|0;E=Y;J=X}}while(0);Cla(k[a+8>>2]|0,b,c,d);Cla(k[a+12>>2]|0,b,c,d);Cla(k[a+16>>2]|0,b,c,d);Y=k[a+20>>2]|0;if(Y)Cla(Y,b,c,d);if(!w){r=e;return}Tqa(w);r=e;return}function Wq(a,b){a=a|0;b=b|0;var c=0;c=Qqa(16)|0;B=0;eb(509,c|0,b|0,2);b=B;B=0;if(b&1){b=Rb()|0;Sqa(c);Qb(b|0)}else{k[a+20>>2]=c;return}}function Xq(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=a+4|0;if(!(k[e>>2]|0))return;a=Qqa(16)|0;B=0;eb(509,a|0,b|0,c|0);c=B;B=0;if(c&1){c=Rb()|0;Sqa(a);Qb(c|0)}k[(k[e>>2]|0)+(d<<2)>>2]=a;return}function Yq(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;e=r;r=r+16|0;f=e;k[b>>2]=k[a>>2];k[f>>2]=c;k[f+4>>2]=d;d=k[a>>2]|0;c=Rqa(d>>>0>1073741823?-1:d<<2)|0;g=b+4|0;k[g>>2]=c;if((d|0)>0){d=a+4|0;c=0;do{h=k[(k[d>>2]|0)+(c<<2)>>2]|0;if((h|0)!=0?(Hla(h)|0)!=0:0){h=Ila(k[(k[d>>2]|0)+(c<<2)>>2]|0,f,2)|0;k[(k[g>>2]|0)+(c<<2)>>2]=h}else k[(k[g>>2]|0)+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(k[a>>2]|0))}k[b+12>>2]=0;c=Ila(k[a+8>>2]|0,f,2)|0;k[b+8>>2]=c;c=Bla(k[a+16>>2]|0)|0;k[b+16>>2]=c;r=e;return}function Zq(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=r;r=r+16|0;g=f;k[g>>2]=c;k[g+4>>2]=d;k[g+8>>2]=e;k[b>>2]=k[a>>2];e=k[a>>2]|0;d=Rqa(e>>>0>1073741823?-1:e<<2)|0;c=b+4|0;k[c>>2]=d;if((e|0)>0){e=a+4|0;d=0;do{h=k[(k[e>>2]|0)+(d<<2)>>2]|0;if((h|0)!=0?(Hla(h)|0)!=0:0){h=Ila(k[(k[e>>2]|0)+(d<<2)>>2]|0,g,3)|0;k[(k[c>>2]|0)+(d<<2)>>2]=h}else k[(k[c>>2]|0)+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(k[a>>2]|0))}k[b+12>>2]=0;d=Ila(k[a+8>>2]|0,g,3)|0;k[b+8>>2]=d;d=Bla(k[a+16>>2]|0)|0;k[b+16>>2]=d;r=f;return}function _q(a){a=a|0;k[a>>2]=29448;k[a+4>>2]=30012;k[a+36>>2]=0;Tq(a+48|0);Qo(a);return}function $q(a){a=a|0;k[a>>2]=29448;k[a+4>>2]=30012;k[a+36>>2]=0;Tq(a+48|0);Qo(a);Sqa(a);return}function ar(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;b=Qqa(72)|0;B=0;va(461,b|0);c=B;B=0;if(c&1){c=Rb()|0;d=Q;e=c}else{c=b+48|0;B=0;va(462,c|0);f=B;B=0;do if(!(f&1)){B=0;g=B;B=0;if(g&1){g=Rb()|0;h=Q;Tq(c);i=h;j=g;break}k[b>>2]=29448;k[b+4>>2]=30012;g=k[a+48>>2]|0;h=(g|0)>0;if(h){l=Rqa(g>>>0>1073741823?-1:g<<2)|0;k[b+40>>2]=l;m=k[a+40>>2]|0;n=0;do{k[l+(n<<2)>>2]=k[m+(n<<2)>>2];n=n+1|0}while((n|0)!=(g|0))}else k[b+40>>2]=0;k[b+44>>2]=k[a+44>>2];k[c>>2]=g;n=a+52|0;m=k[n>>2]|0;a:do if(m){l=Rqa(g>>>0>1073741823?-1:g<<2)|0;o=b+52|0;k[o>>2]=l;if(h){l=g;p=m;q=0;while(1){r=k[p+(q<<2)>>2]|0;if(!r){k[(k[o>>2]|0)+(q<<2)>>2]=0;s=l}else{t=Bla(r)|0;k[(k[o>>2]|0)+(q<<2)>>2]=t;s=k[c>>2]|0}t=q+1|0;if((t|0)>=(s|0))break a;l=s;p=k[n>>2]|0;q=t}}}else k[b+52>>2]=0;while(0);n=a+56|0;m=Bla(k[n>>2]|0)|0;k[b+56>>2]=m;m=a+60|0;g=Bla(k[m>>2]|0)|0;k[b+60>>2]=g;g=a+64|0;h=Bla(k[g>>2]|0)|0;k[b+64>>2]=h;k[b+68>>2]=0;k[b+8>>2]=k[a+8>>2];k[b+12>>2]=k[a+12>>2];h=k[a+16>>2]|0;do if(!h){q=Qqa(36)|0;B=0;va(486,q|0);p=B;B=0;if(!(p&1)){k[b+16>>2]=q;break}p=Rb()|0;l=Q;Sqa(q);u=l;v=p;Qb(v|0)}else{p=hh(h)|0;k[b+16>>2]=p}while(0);k[b+36>>2]=k[a+36>>2];h=k[a+20>>2]|0;if(!h){k[b+20>>2]=0;w=k[n>>2]|0;x=Gla(w)|0;y=b+24|0;k[y>>2]=x;z=k[m>>2]|0;A=Fla(z)|0;C=b+28|0;k[C>>2]=A;D=k[g>>2]|0;E=Fla(D)|0;F=b+32|0;k[F>>2]=E;return b|0}else{p=Rqa(12)|0;k[b+20>>2]=p;k[p>>2]=k[h>>2];k[p+4>>2]=k[h+4>>2];k[p+8>>2]=k[h+8>>2];w=k[n>>2]|0;x=Gla(w)|0;y=b+24|0;k[y>>2]=x;z=k[m>>2]|0;A=Fla(z)|0;C=b+28|0;k[C>>2]=A;D=k[g>>2]|0;E=Fla(D)|0;F=b+32|0;k[F>>2]=E;return b|0}}else{h=Rb()|0;i=Q;j=h}while(0);Qo(b);d=i;e=j}Sqa(b);u=d;v=e;Qb(v|0);return 0}function br(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;l=e;switch(d|0){case 0:{m=k[b>>2]|0;i[m>>0]=107;i[m+1>>0]=2;i[m+2>>0]=0;i[m+3>>0]=0;k[b>>2]=(k[b>>2]|0)+4;break}case 2:{k[c>>2]=(k[c>>2]|0)+4;break}case 1:{k[b>>2]=(k[b>>2]|0)+4;break}default:{m=g+56|0;n=g+4|0;k[g>>2]=27524;k[m>>2]=27544;B=0;wa(508,g+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;q=o;vva(m);Qb(q|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[m>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){s=Rb()|0;t=Q;u=s}else{k[n>>2]=27560;s=g+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,n|0,f|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(f);Yua(s);Ava(n);t=w;u=v;break}Yua(f);B=0;v=Ia(40,g|0,143951,43)|0;w=B;B=0;if(!(w&1)?(B=0,Xa(239,v|0,0)|0,v=B,B=0,!(v&1)):0){v=Ab(20)|0;B=0;eb(502,h|0,71126,71);w=B;B=0;do if(!(w&1)){B=0;eb(502,j|0,149525,8);x=B;B=0;if(x&1){x=Rb()|0;y=Q;Yua(h);z=y;A=x;break}B=0;wa(510,l|0,n|0);x=B;B=0;if(x&1){x=Rb()|0;C=Q;D=x;E=1}else{B=0;ua(163,v|0,h|0,j|0,111,l|0);x=B;B=0;if(x&1)F=1;else{B=0;eb(503,v|0,1240,229);B=0;F=0}x=Rb()|0;y=Q;Yua(l);C=y;D=x;E=F}Yua(j);Yua(h);if(E){z=C;A=D}else{G=C;H=D;k[g>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);Qb(H|0)}}else{x=Rb()|0;z=Q;A=x}while(0);zb(v|0);G=z;H=A;k[g>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);Qb(H|0)}w=Rb()|0;G=Q;H=w;k[g>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);Qb(H|0)}while(0);p=t;q=u;vva(m);Qb(q|0)}}q=a+48|0;Vq(q,b,c,d);dq(a,b,c,d,k[q>>2]|0);q=Gla(k[a+56>>2]|0)|0;k[a+24>>2]=q;q=Fla(k[a+60>>2]|0)|0;k[a+28>>2]=q;q=Fla(k[a+64>>2]|0)|0;k[a+32>>2]=q;r=e;return}function cr(a){a=a|0;var b=0,c=0,d=0.0,e=0.0,f=0.0;b=r;r=r+48|0;c=b;Ko(c,k[a+24>>2]|0,2,0);d=+p[c+24>>3]-+p[c>>3];e=+p[c+32>>3]-+p[c+8>>3];f=+aa(+(d*d+e*e));r=b;return +f}function dr(a){a=a|0;return k[a+44>>2]|0}function er(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=r;r=r+16|0;f=e;xp(a,f,d);d=+p[f+8>>3]>=0.0;f=Rqa(24)|0;a=c+((d?3:0)<<3)|0;k[f>>2]=k[a>>2];k[f+4>>2]=k[a+4>>2];k[f+8>>2]=k[a+8>>2];k[f+12>>2]=k[a+12>>2];k[f+16>>2]=k[a+16>>2];k[f+20>>2]=k[a+20>>2];k[b>>2]=f;r=e;return}function fr(a){a=a|0;return zt(a,k[a+44>>2]|0)|0}function gr(a){a=a|0;return 2}function hr(a){a=a|0;var b=0,c=0,d=0;b=r;r=r+16|0;c=b;xp(a,c,206);if(!($p(a)|0)){d=0;r=b;return d|0}d=((+p[c+8>>3]<0.0&1)+(+p[c>>3]<0.0&1)|0)==1;r=b;return d|0}function ir(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Dt(a,b,c,d);return}function jr(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;p[b>>3]=1.0;return}function kr(a){a=a|0;var b=0;a=Qqa(40)|0;B=0;va(490,a|0);b=B;B=0;if(b&1){b=Rb()|0;Sqa(a);Qb(b|0)}else return a|0;return 0}function lr(a,b){a=a|0;b=b|0;a=Qqa(40)|0;B=0;wa(515,a|0,b|0);b=B;B=0;if(b&1){b=Rb()|0;Sqa(a);Qb(b|0)}else return a|0;return 0}function mr(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0.0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;d=r;r=r+192|0;a=d+176|0;e=d+40|0;f=d+24|0;g=d+12|0;h=d;i=+p[c>>3];if(i==+p[b>>3]){c=Qqa(40)|0;B=0;ta(55,c|0,-1.0);j=B;B=0;if(!(j&1)){l=c;r=d;return l|0}j=Rb()|0;m=Q;Sqa(c);n=m;o=j;Qb(o|0)}if(i==+p[b+24>>3]){b=Qqa(40)|0;B=0;ta(55,b|0,1.0);j=B;B=0;if(!(j&1)){l=b;r=d;return l|0}l=Rb()|0;d=Q;Sqa(b);n=d;o=l;Qb(o|0)}l=e+56|0;d=e+4|0;k[e>>2]=27524;k[l>>2]=27544;B=0;wa(508,e+56|0,d|0);b=B;B=0;if(b&1){b=Rb()|0;q=Q;s=b;vva(l);Qb(s|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[l>>2]=27488;B=0;va(448,d|0);b=B;B=0;do if(b&1){j=Rb()|0;t=Q;u=j}else{k[d>>2]=27560;j=e+36|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;k[e+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,d|0,a|0);m=B;B=0;if(m&1){m=Rb()|0;c=Q;Yua(a);Yua(j);Ava(d);t=c;u=m;break}Yua(a);B=0;m=Ia(40,e|0,71198,36)|0;c=B;B=0;a:do if(!(c&1)?(B=0,Xa(239,m|0,0)|0,v=B,B=0,!(v&1)):0){v=Ab(20)|0;B=0;eb(502,f|0,71126,71);w=B;B=0;do if(!(w&1)){B=0;eb(502,g|0,75231,8);x=B;B=0;if(x&1){x=Rb()|0;y=Q;Yua(f);z=y;A=x;break}B=0;wa(510,h|0,d|0);x=B;B=0;if(x&1){x=Rb()|0;C=Q;D=x;E=1}else{B=0;ua(163,v|0,f|0,g|0,239,h|0);x=B;B=0;if(x&1)F=1;else{B=0;eb(503,v|0,1240,229);B=0;F=0}x=Rb()|0;y=Q;Yua(h);C=y;D=x;E=F}Yua(g);Yua(f);if(E){z=C;A=D}else{G=C;H=D;break a}}else{x=Rb()|0;z=Q;A=x}while(0);zb(v|0);G=z;H=A}else I=22;while(0);if((I|0)==22){m=Rb()|0;G=Q;H=m}k[e>>2]=27468;k[l>>2]=27488;k[d>>2]=27560;Yua(j);Ava(d);vva(l);n=G;o=H;Qb(o|0)}while(0);q=t;s=u;vva(l);Qb(s|0);return 0}function nr(a,b,c){a=a|0;b=b|0;c=c|0;Ct(a,b,c,k[a+44>>2]|0);return}function or(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;At(a,b,c,d,k[a+44>>2]|0);return}function pr(a,b,c){a=a|0;b=b|0;c=c|0;Ct(a,b,c,738);return}function qr(a,b,c){a=a|0;b=b|0;c=c|0;Ct(a,b,c,742);return}function rr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=Rqa(48)|0;Ko(d,k[a+24>>2]|0,2,0);p[b>>3]=+p[c>>3]>+p[d>>3]?1.0:-1.0;Tqa(d);return}function sr(a){a=a|0;return 619}function tr(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,74181,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,43,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function ur(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,71735,8);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,44,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function vr(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,74214,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,45,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function wr(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73975,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,46,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function xr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,74235,18);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,48,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function yr(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73945,29);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,49,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function zr(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,75312,14);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,50,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function Ar(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73925,19);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,51,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function Br(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;g=r;r=r+192|0;f=g+176|0;e=g+40|0;d=g+24|0;c=g+12|0;b=g;g=e+56|0;a=e+4|0;k[e>>2]=27524;k[g>>2]=27544;B=0;wa(508,e+56|0,a|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(g);Qb(j|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[g>>2]=27488;B=0;va(448,a|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[a>>2]=27560;l=e+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[e+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,a|0,f|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(f);Yua(l);Ava(a);m=p;n=o;break}Yua(f);B=0;o=Ia(40,e|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,c|0,71725,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,b|0,a|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,c|0,52,b|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(b);x=u;y=t;z=A}Yua(c);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[e>>2]=27468;k[g>>2]=27488;k[a>>2]=27560;Yua(l);Ava(a);vva(g);Qb(D|0)}while(0);i=m;j=n;vva(g);Qb(j|0)}function Cr(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,74254,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,53,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function Dr(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,74301,16);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,54,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function Er(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,74333,15);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,55,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function Fr(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,71712,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,56,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function Gr(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,103020,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,58,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function Hr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73906,18);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,59,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function Ir(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73890,15);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,60,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function Jr(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,71697,14);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,61,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function Kr(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,73874,15);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,62,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function Lr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,74430,18);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,63,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return +(0.0)}function Mr(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,65,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function Nr(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,143640,15)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,a|0,71257,83);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,75292,19);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(a);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,a|0,f|0,66,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(a);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(E|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function Or(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;f=r;r=r+192|0;e=f+176|0;d=f+40|0;c=f+24|0;b=f+12|0;a=f;f=d+56|0;g=d+4|0;k[d>>2]=27524;k[f>>2]=27544;B=0;wa(508,d+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(f);Qb(j|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[f>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=d+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[d+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,g|0,e|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(e);Yua(l);Ava(g);m=p;n=o;break}Yua(e);B=0;o=Ia(40,d|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,c|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,b|0,75268,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(c);v=u;w=t;break}B=0;wa(510,a|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,c|0,b|0,67,a|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(a);x=u;y=t;z=A}Yua(b);Yua(c);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(D|0)}while(0);i=m;j=n;vva(f);Qb(j|0)}function Pr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73843,7);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,68,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function Qr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,74526,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,69,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function Rr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,80838,16);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,71,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function Sr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73815,27);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,73,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function Tr(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73799,15);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,74,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function Ur(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;f=r;r=r+192|0;e=f+176|0;d=f+40|0;c=f+24|0;b=f+12|0;a=f;f=d+56|0;g=d+4|0;k[d>>2]=27524;k[f>>2]=27544;B=0;wa(508,d+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(f);Qb(j|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[f>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=d+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[d+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,g|0,e|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(e);Yua(l);Ava(g);m=p;n=o;break}Yua(e);B=0;o=Ia(40,d|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,c|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,b|0,74539,26);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(c);v=u;w=t;break}B=0;wa(510,a|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,c|0,b|0,75,a|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(a);x=u;y=t;z=A}Yua(b);Yua(c);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(D|0)}while(0);i=m;j=n;vva(f);Qb(j|0)}function Vr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,71670,26);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,77,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function Wr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,71644,25);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,78,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function Xr(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,103033,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,79,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function Yr(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,103046,7);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,80,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function Zr(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,103054,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,81,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function _r(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,103064,24);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,82,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function $r(a,b,c){a=a|0;b=+b;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;c=r;r=r+192|0;a=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,h|0,a|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(a);Yua(m);Ava(h);n=q;o=p;break}Yua(a);B=0;p=Ia(40,d|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,71257,83);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,74573,18);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,83,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(E|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function as(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,74624,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,84,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function bs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,74656,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,85,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function cs(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;b=r;r=r+192|0;a=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,h|0,a|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(a);Yua(m);Ava(h);n=q;o=p;break}Yua(a);B=0;p=Ia(40,d|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,71257,83);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,74706,10);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,86,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(E|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function ds(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,74747,38);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,89,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function es(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,74717,29);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,88,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function fs(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,75251,16);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,91,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function gs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73776,22);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,93,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function hs(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,72510,8);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,94,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function is(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,72519,11);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,95,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function js(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73761,14);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,96,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function ks(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,71620,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,98,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function ls(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73737,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,99,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function ms(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,71597,22);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,101,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function ns(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,98621,7);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,102,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return +(0.0)}function os(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,99206,8);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,103,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return +(0.0)}function ps(a,b,c,d,e,f){a=a|0;b=+b;c=+c;d=+d;e=+e;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;f=r;r=r+192|0;a=f+176|0;g=f+40|0;h=f+24|0;i=f+12|0;j=f;f=g+56|0;l=g+4|0;k[g>>2]=27524;k[f>>2]=27544;B=0;wa(508,g+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(f);Qb(o|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[f>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){p=Rb()|0;q=Q;s=p}else{k[l>>2]=27560;p=g+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[g+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,l|0,a|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);Yua(p);Ava(l);q=u;s=t;break}Yua(a);B=0;t=Ia(40,g|0,149721,19)|0;u=B;B=0;a:do if(!(u&1)?(B=0,Xa(239,t|0,0)|0,v=B,B=0,!(v&1)):0){v=Ab(20)|0;B=0;eb(502,h|0,71257,83);w=B;B=0;do if(!(w&1)){B=0;eb(502,i|0,99206,8);x=B;B=0;if(x&1){x=Rb()|0;y=Q;Yua(h);z=y;A=x;break}B=0;wa(510,j|0,l|0);x=B;B=0;if(x&1){x=Rb()|0;C=Q;D=x;E=1}else{B=0;ua(163,v|0,h|0,i|0,104,j|0);x=B;B=0;if(x&1)F=1;else{B=0;eb(503,v|0,1240,229);B=0;F=0}x=Rb()|0;y=Q;Yua(j);C=y;D=x;E=F}Yua(i);Yua(h);if(E){z=C;A=D}else{G=C;H=D;break a}}else{x=Rb()|0;z=Q;A=x}while(0);zb(v|0);G=z;H=A}else I=16;while(0);if((I|0)==16){t=Rb()|0;G=Q;H=t}k[g>>2]=27468;k[f>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(f);Qb(H|0)}while(0);n=q;o=s;vva(f);Qb(o|0);return +(0.0)}function qs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73723,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,106,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return +(0.0)}function rs(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,99229,6);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,107,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0);return +(0.0)}function ss(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,75240,10);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,108,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return +(0.0)}function ts(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,75231,8);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,112,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0);return 0}function us(a,b,c,d,e,f){a=a|0;b=b|0;c=+c;d=+d;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;f=r;r=r+192|0;e=f+176|0;b=f+40|0;a=f+24|0;g=f+12|0;h=f;f=b+56|0;i=b+4|0;k[b>>2]=27524;k[f>>2]=27544;B=0;wa(508,b+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(f);Qb(m|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[f>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=b+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[b+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,i|0,e|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(e);Yua(n);Ava(i);o=s;p=q;break}Yua(e);B=0;q=Ia(40,b|0,149721,19)|0;s=B;B=0;a:do if(!(s&1)?(B=0,Xa(239,q|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,a|0,71257,83);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,75231,8);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(a);x=w;y=v;break}B=0;wa(510,h|0,i|0);v=B;B=0;if(v&1){v=Rb()|0;z=Q;A=v;C=1}else{B=0;ua(163,t|0,a|0,g|0,113,h|0);v=B;B=0;if(v&1)D=1;else{B=0;eb(503,t|0,1240,229);B=0;D=0}v=Rb()|0;w=Q;Yua(h);z=w;A=v;C=D}Yua(g);Yua(a);if(C){x=z;y=A}else{E=z;F=A;break a}}else{v=Rb()|0;x=Q;y=v}while(0);zb(t|0);E=x;F=y}else G=16;while(0);if((G|0)==16){q=Rb()|0;E=Q;F=q}k[b>>2]=27468;k[f>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(f);Qb(F|0)}while(0);l=o;m=p;vva(f);Qb(m|0);return 0}function vs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,71584,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,114,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function ws(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73710,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,115,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0);return 0}function xs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,71572,11);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,116,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function ys(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,71538,33);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,120,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function zs(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73680,29);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,121,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function As(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,71515,22);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,122,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function Bs(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73635,27);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,124,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function Cs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,71492,22);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,127,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function Ds(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,71471,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,126,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function Es(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73607,10);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,117,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0);return 0}function Fs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,71460,10);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,128,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function Gs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,71450,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,130,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function Hs(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,71428,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,131,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function Is(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,71406,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,132,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function Js(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73586,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,133,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function Ks(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,75650,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,134,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function Ls(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,71391,14);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,135,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function Ms(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,74864,29);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,136,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function Ns(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,71380,10);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,137,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function Os(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,74894,26);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,138,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function Ps(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;f=r;r=r+192|0;e=f+176|0;d=f+40|0;c=f+24|0;b=f+12|0;a=f;f=d+56|0;g=d+4|0;k[d>>2]=27524;k[f>>2]=27544;B=0;wa(508,d+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(f);Qb(j|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[f>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=d+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[d+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,g|0,e|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(e);Yua(l);Ava(g);m=p;n=o;break}Yua(e);B=0;o=Ia(40,d|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,c|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,b|0,71356,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(c);v=u;w=t;break}B=0;wa(510,a|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,c|0,b|0,139,a|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(a);x=u;y=t;z=A}Yua(b);Yua(c);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(D|0)}while(0);i=m;j=n;vva(f);Qb(j|0)}function Qs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73562,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,140,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function Rs(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,74921,17);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,141,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function Ss(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,72600,15);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,142,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function Ts(a,b,c,d,e,f){a=a|0;b=+b;c=+c;d=+d;e=+e;f=+f;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;a=r;r=r+192|0;g=a+176|0;h=a+40|0;i=a+24|0;j=a+12|0;l=a;a=h+56|0;m=h+4|0;k[h>>2]=27524;k[a>>2]=27544;B=0;wa(508,h+56|0,m|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;p=n;vva(a);Qb(p|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[a>>2]=27488;B=0;va(448,m|0);n=B;B=0;do if(n&1){q=Rb()|0;s=Q;t=q}else{k[m>>2]=27560;q=h+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[h+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,m|0,g|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(g);Yua(q);Ava(m);s=v;t=u;break}Yua(g);B=0;u=Ia(40,h|0,149721,19)|0;v=B;B=0;a:do if(!(v&1)?(B=0,Xa(239,u|0,0)|0,w=B,B=0,!(w&1)):0){w=Ab(20)|0;B=0;eb(502,i|0,71257,83);x=B;B=0;do if(!(x&1)){B=0;eb(502,j|0,73539,22);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(i);A=z;C=y;break}B=0;wa(510,l|0,m|0);y=B;B=0;if(y&1){y=Rb()|0;D=Q;E=y;F=1}else{B=0;ua(163,w|0,i|0,j|0,143,l|0);y=B;B=0;if(y&1)G=1;else{B=0;eb(503,w|0,1240,229);B=0;G=0}y=Rb()|0;z=Q;Yua(l);D=z;E=y;F=G}Yua(j);Yua(i);if(F){A=D;C=E}else{H=D;I=E;break a}}else{y=Rb()|0;A=Q;C=y}while(0);zb(w|0);H=A;I=C}else J=16;while(0);if((J|0)==16){u=Rb()|0;H=Q;I=u}k[h>>2]=27468;k[a>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(a);Qb(I|0)}while(0);o=s;p=t;vva(a);Qb(p|0);return +(0.0)}function Us(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,93069,18);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,144,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function Vs(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,93088,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,145,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function Ws(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,92779,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,146,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function Xs(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,99320,11);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,147,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function Ys(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,75211,19);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,148,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function Zs(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73529,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,149,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function _s(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,103089,16);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,150,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function $s(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,103106,16);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,151,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function at(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,103123,8);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,152,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function bt(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;f=r;r=r+192|0;e=f+176|0;d=f+40|0;c=f+24|0;b=f+12|0;a=f;f=d+56|0;g=d+4|0;k[d>>2]=27524;k[f>>2]=27544;B=0;wa(508,d+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(f);Qb(j|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[f>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=d+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[d+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,g|0,e|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(e);Yua(l);Ava(g);m=p;n=o;break}Yua(e);B=0;o=Ia(40,d|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,c|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,b|0,74939,6);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(c);v=u;w=t;break}B=0;wa(510,a|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,c|0,b|0,153,a|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(a);x=u;y=t;z=A}Yua(b);Yua(c);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(D|0)}while(0);i=m;j=n;vva(f);Qb(j|0)}function ct(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73496,32);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,154,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function dt(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73464,31);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,155,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function et(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73437,26);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,156,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0);return 0}function ft(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,73411,25);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,157,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function gt(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,71341,14);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,158,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function ht(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,75691,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,159,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function it(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73392,18);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,160,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function jt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,73369,22);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,161,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function kt(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;g=r;r=r+192|0;f=g+176|0;e=g+40|0;d=g+24|0;c=g+12|0;b=g;g=e+56|0;a=e+4|0;k[e>>2]=27524;k[g>>2]=27544;B=0;wa(508,e+56|0,a|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(g);Qb(j|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[g>>2]=27488;B=0;va(448,a|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[a>>2]=27560;l=e+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[e+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,a|0,f|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(f);Yua(l);Ava(a);m=p;n=o;break}Yua(f);B=0;o=Ia(40,e|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,c|0,99724,14);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,b|0,a|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,c|0,162,b|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(b);x=u;y=t;z=A}Yua(c);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[e>>2]=27468;k[g>>2]=27488;k[a>>2]=27560;Yua(l);Ava(a);vva(g);Qb(D|0)}while(0);i=m;j=n;vva(g);Qb(j|0)}function lt(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,74963,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,163,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function mt(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,75023,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,167,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function nt(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=+h;var i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;f=r;r=r+192|0;e=f+176|0;d=f+40|0;c=f+24|0;b=f+12|0;a=f;f=d+56|0;i=d+4|0;k[d>>2]=27524;k[f>>2]=27544;B=0;wa(508,d+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(f);Qb(m|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[f>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=d+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[d+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,i|0,e|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(e);Yua(n);Ava(i);o=s;p=q;break}Yua(e);B=0;q=Ia(40,d|0,149435,20)|0;s=B;B=0;a:do if(!(s&1)?(B=0,Xa(239,q|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,c|0,71257,83);u=B;B=0;do if(!(u&1)){B=0;eb(502,b|0,75190,20);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(c);x=w;y=v;break}B=0;wa(510,a|0,i|0);v=B;B=0;if(v&1){v=Rb()|0;z=Q;A=v;C=1}else{B=0;ua(163,t|0,c|0,b|0,171,a|0);v=B;B=0;if(v&1)D=1;else{B=0;eb(503,t|0,1240,229);B=0;D=0}v=Rb()|0;w=Q;Yua(a);z=w;A=v;C=D}Yua(b);Yua(c);if(C){x=z;y=A}else{E=z;F=A;break a}}else{v=Rb()|0;x=Q;y=v}while(0);zb(t|0);E=x;F=y}else G=16;while(0);if((G|0)==16){q=Rb()|0;E=Q;F=q}k[d>>2]=27468;k[f>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(f);Qb(F|0)}while(0);l=o;m=p;vva(f);Qb(m|0)}function ot(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=+h;var i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;f=r;r=r+192|0;e=f+176|0;d=f+40|0;c=f+24|0;b=f+12|0;a=f;f=d+56|0;i=d+4|0;k[d>>2]=27524;k[f>>2]=27544;B=0;wa(508,d+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(f);Qb(m|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[f>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=d+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[d+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,i|0,e|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(e);Yua(n);Ava(i);o=s;p=q;break}Yua(e);B=0;q=Ia(40,d|0,149435,20)|0;s=B;B=0;a:do if(!(s&1)?(B=0,Xa(239,q|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,c|0,71257,83);u=B;B=0;do if(!(u&1)){B=0;eb(502,b|0,75166,23);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(c);x=w;y=v;break}B=0;wa(510,a|0,i|0);v=B;B=0;if(v&1){v=Rb()|0;z=Q;A=v;C=1}else{B=0;ua(163,t|0,c|0,b|0,172,a|0);v=B;B=0;if(v&1)D=1;else{B=0;eb(503,t|0,1240,229);B=0;D=0}v=Rb()|0;w=Q;Yua(a);z=w;A=v;C=D}Yua(b);Yua(c);if(C){x=z;y=A}else{E=z;F=A;break a}}else{v=Rb()|0;x=Q;y=v}while(0);zb(t|0);E=x;F=y}else G=16;while(0);if((G|0)==16){q=Rb()|0;E=Q;F=q}k[d>>2]=27468;k[f>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(f);Qb(F|0)}while(0);l=o;m=p;vva(f);Qb(m|0)}function pt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149435,20)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,75153,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,174,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return +(0.0)}function qt(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149435,20)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,75143,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,173,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function rt(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149435,20)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,75133,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,164,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function st(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144327,22);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,87,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function tt(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,71257,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,74786,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,90,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function ut(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;tt(a+-4|0,b,c,d)}function vt(a,b,c){a=a|0;b=b|0;c=c|0;st(a+-4|0,b,c)}function wt(a){a=a|0;return}function xt(a){a=a|0;return}function yt(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0.0,l=0.0,m=0,n=0.0;a=r;r=r+32|0;g=a+16|0;h=a;i=zt(0,f)|0;j=zt(0,f)|0;Et(0,g,e,f);k=1.0/(+$(+(+p[d+24>>3]-+p[d>>3]))*.5);if((j|0)>0){d=0;do{p[h+(d<<3)>>3]=k*+p[g+(d<<3)>>3];d=d+1|0}while((d|0)!=(j|0))}if((i|0)>0){l=0.0;m=0}else{n=0.0;p[b>>3]=n;r=a;return}while(1){k=l+ +p[h+(m<<3)>>3]*+p[c+(m<<3)>>3];m=m+1|0;if((m|0)==(i|0)){n=k;break}else l=k}p[b>>3]=n;r=a;return}function zt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;switch(b|0){case 738:{h=2;r=a;return h|0}case 739:{h=2;r=a;return h|0}case 736:{h=1;r=a;return h|0}default:{h=d+56|0;a=d+4|0;k[d>>2]=27524;k[h>>2]=27544;B=0;wa(508,d+56|0,a|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(h);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[h>>2]=27488;B=0;va(448,a|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[a>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,a|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(a);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,132447,13)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,b|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,146481,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,71744,74);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,75442,13);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,a|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,197,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[h>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(h);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[h>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(h);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[h>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(h);Qb(C|0)}while(0);j=n;l=o;vva(h);Qb(l|0)}}return 0}function At(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,i=0;a=r;r=r+16|0;f=a;g=zt(0,e)|0;Et(0,f,d,e);h=1.0/(+$(+(+p[c+24>>3]-+p[c>>3]))*.5);if((g|0)>0)i=0;else{r=a;return}do{p[b+(i<<3)>>3]=h*+p[f+(i<<3)>>3];i=i+1|0}while((i|0)!=(g|0));r=a;return}function Bt(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0.0,j=0.0,k=0.0;a=r;r=r+16|0;f=a;g=zt(0,e)|0;Ct(0,f,d,e);if((g|0)>0){h=0;i=0.0}else{j=0.0;p[b>>3]=j;r=a;return}while(1){k=i+ +p[f+(h<<3)>>3]*+p[c+(h<<3)>>3];h=h+1|0;if((h|0)==(g|0)){j=k;break}else i=k}p[b>>3]=j;r=a;return}function Ct(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0.0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;e=a+176|0;f=a+40|0;g=a+24|0;h=a+12|0;i=a;switch(d|0){case 736:{p[b>>3]=1.0;r=a;return}case 739:case 738:{j=c+32|0;p[b>>3]=(1.0-+p[j>>3])*.5;p[b+8>>3]=(+p[j>>3]+1.0)*.5;r=a;return}case 742:{j=c+32|0;l=+p[j>>3];p[b>>3]=l*(l+-1.0)*.5;l=+p[j>>3];p[b+8>>3]=l*(l+1.0)*.5;l=+p[j>>3];p[b+16>>3]=(1.0-l)*(l+1.0);r=a;return}default:{a=f+56|0;b=f+4|0;k[f>>2]=27524;k[a>>2]=27544;B=0;wa(508,f+56|0,b|0);j=B;B=0;if(j&1){j=Rb()|0;m=Q;n=j;vva(a);Qb(n|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[a>>2]=27488;B=0;va(448,b|0);j=B;B=0;do if(j&1){c=Rb()|0;o=Q;q=c}else{k[b>>2]=27560;c=f+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,b|0,e|0);s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(e);Yua(c);Ava(b);o=t;q=s;break}Yua(e);B=0;s=Ia(40,f|0,132447,13)|0;t=B;B=0;if((((!(t&1)?(B=0,t=ya(427,d|0)|0,u=B,B=0,!(u&1)):0)?(u=Lta(t)|0,B=0,v=Ia(40,s|0,t|0,u|0)|0,u=B,B=0,!(u&1)):0)?(B=0,u=Ia(40,v|0,146481,18)|0,v=B,B=0,!(v&1)):0)?(B=0,Xa(239,u|0,0)|0,u=B,B=0,!(u&1)):0){u=Ab(20)|0;B=0;eb(502,g|0,71744,74);v=B;B=0;do if(!(v&1)){B=0;eb(502,h|0,75456,17);t=B;B=0;if(t&1){t=Rb()|0;s=Q;Yua(g);w=s;x=t;break}B=0;wa(510,i|0,b|0);t=B;B=0;if(t&1){t=Rb()|0;y=Q;z=t;A=1}else{B=0;ua(163,u|0,g|0,h|0,134,i|0);t=B;B=0;if(t&1)C=1;else{B=0;eb(503,u|0,1240,229);B=0;C=0}t=Rb()|0;s=Q;Yua(i);y=s;z=t;A=C}Yua(h);Yua(g);if(A){w=y;x=z}else{D=y;E=z;k[f>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(c);Ava(b);vva(a);Qb(E|0)}}else{t=Rb()|0;w=Q;x=t}while(0);zb(u|0);D=w;E=x;k[f>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(c);Ava(b);vva(a);Qb(E|0)}v=Rb()|0;D=Q;E=v;k[f>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(c);Ava(b);vva(a);Qb(E|0)}while(0);m=o;n=q;vva(a);Qb(n|0)}}}function Dt(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0.0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;d=r;r=r+192|0;a=d+176|0;e=d+40|0;f=d+24|0;g=d+12|0;h=d;i=+$(+(+p[c+24>>3]-+p[c>>3]))*.5;p[b>>3]=i;if(!(i<0.0)){r=d;return}d=e+56|0;b=e+4|0;k[e>>2]=27524;k[d>>2]=27544;B=0;wa(508,e+56|0,b|0);c=B;B=0;if(c&1){c=Rb()|0;j=Q;l=c;vva(d);Qb(l|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);c=B;B=0;do if(c&1){m=Rb()|0;n=Q;o=m}else{k[b>>2]=27560;m=e+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[e+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,b|0,a|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(a);Yua(m);Ava(b);n=s;o=q;break}Yua(a);B=0;q=Ia(40,e|0,75474,30)|0;s=B;B=0;if(!(s&1)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,f|0,71744,74);s=B;B=0;do if(!(s&1)){B=0;eb(502,g|0,75505,22);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(f);v=u;w=t;break}B=0;wa(510,h|0,b|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,f|0,g|0,99,h|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(h);x=u;y=t;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(d);Qb(D|0)}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w;k[e>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(d);Qb(D|0)}s=Rb()|0;C=Q;D=s;k[e>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(d);Qb(D|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function Et(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0.0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;e=a+176|0;f=a+40|0;g=a+24|0;h=a+12|0;i=a;switch(d|0){case 736:{p[b>>3]=0.0;r=a;return}case 739:case 738:{p[b>>3]=-.5;p[b+8>>3]=.5;r=a;return}case 742:{j=c+32|0;l=+p[j>>3];p[b>>3]=l*.5+(l+-1.0)*.5;l=+p[j>>3];p[b+8>>3]=l*.5+(l+1.0)*.5;p[b+16>>3]=+p[j>>3]*-2.0;r=a;return}default:{a=f+56|0;j=f+4|0;k[f>>2]=27524;k[a>>2]=27544;B=0;wa(508,f+56|0,j|0);b=B;B=0;if(b&1){b=Rb()|0;m=Q;n=b;vva(a);Qb(n|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[a>>2]=27488;B=0;va(448,j|0);b=B;B=0;do if(b&1){c=Rb()|0;o=Q;q=c}else{k[j>>2]=27560;c=f+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,j|0,e|0);s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(e);Yua(c);Ava(j);o=t;q=s;break}Yua(e);B=0;s=Ia(40,f|0,132447,13)|0;t=B;B=0;if((((!(t&1)?(B=0,t=ya(427,d|0)|0,u=B,B=0,!(u&1)):0)?(u=Lta(t)|0,B=0,v=Ia(40,s|0,t|0,u|0)|0,u=B,B=0,!(u&1)):0)?(B=0,u=Ia(40,v|0,146481,18)|0,v=B,B=0,!(v&1)):0)?(B=0,Xa(239,u|0,0)|0,u=B,B=0,!(u&1)):0){u=Ab(20)|0;B=0;eb(502,g|0,71744,74);v=B;B=0;do if(!(v&1)){B=0;eb(502,h|0,75528,37);t=B;B=0;if(t&1){t=Rb()|0;s=Q;Yua(g);w=s;x=t;break}B=0;wa(510,i|0,j|0);t=B;B=0;if(t&1){t=Rb()|0;y=Q;z=t;A=1}else{B=0;ua(163,u|0,g|0,h|0,186,i|0);t=B;B=0;if(t&1)C=1;else{B=0;eb(503,u|0,1240,229);B=0;C=0}t=Rb()|0;s=Q;Yua(i);y=s;z=t;A=C}Yua(h);Yua(g);if(A){w=y;x=z}else{D=y;E=z;k[f>>2]=27468;k[a>>2]=27488;k[j>>2]=27560;Yua(c);Ava(j);vva(a);Qb(E|0)}}else{t=Rb()|0;w=Q;x=t}while(0);zb(u|0);D=w;E=x;k[f>>2]=27468;k[a>>2]=27488;k[j>>2]=27560;Yua(c);Ava(j);vva(a);Qb(E|0)}v=Rb()|0;D=Q;E=v;k[f>>2]=27468;k[a>>2]=27488;k[j>>2]=27560;Yua(c);Ava(j);vva(a);Qb(E|0)}while(0);m=o;n=q;vva(a);Qb(n|0)}}}function Ft(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;Po(a);g=a+48|0;B=0;ua(167,g|0,f|0,d+1|0,3,e|0);e=B;B=0;if(e&1){e=Rb()|0;h=Q;i=e;Qo(a);Qb(i|0)}B=0;e=B;B=0;if(e&1){e=Rb()|0;j=Q;l=e}else{k[a>>2]=30040;k[a+4>>2]=30604;k[a+8>>2]=b;k[a+12>>2]=c;k[a+36>>2]=0;B=0;c=ya(423,36)|0;b=B;B=0;do if(!(b&1)){B=0;va(486,c|0);e=B;B=0;if(e&1){e=Rb()|0;d=Q;Sqa(c);m=d;n=e;break}k[a+16>>2]=c;e=a+20|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;if((f|0)<=0){k[a+40>>2]=0;return}B=0;e=ya(422,(f>>>0>1073741823?-1:f<<2)|0)|0;d=B;B=0;if(!(d&1)){k[a+40>>2]=e;WEa(e|0,0,f<<2|0)|0;return}else o=10}else o=10;while(0);if((o|0)==10){o=Rb()|0;m=Q;n=o}j=m;l=n}Tq(g);h=j;i=l;Qo(a);Qb(i|0)}function Gt(a){a=a|0;k[a>>2]=30040;k[a+4>>2]=30604;k[a+36>>2]=0;Tq(a+48|0);Qo(a);return}function Ht(a){a=a|0;k[a>>2]=30040;k[a+4>>2]=30604;k[a+36>>2]=0;Tq(a+48|0);Qo(a);Sqa(a);return}function It(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;b=Qqa(72)|0;B=0;va(461,b|0);c=B;B=0;if(c&1){c=Rb()|0;d=Q;e=c}else{c=b+48|0;B=0;va(462,c|0);f=B;B=0;do if(!(f&1)){B=0;g=B;B=0;if(g&1){g=Rb()|0;h=Q;Tq(c);i=h;j=g;break}k[b>>2]=30040;k[b+4>>2]=30604;g=k[a+48>>2]|0;h=(g|0)>0;if(h){l=Rqa(g>>>0>1073741823?-1:g<<2)|0;k[b+40>>2]=l;m=k[a+40>>2]|0;n=0;do{k[l+(n<<2)>>2]=k[m+(n<<2)>>2];n=n+1|0}while((n|0)!=(g|0))}else k[b+40>>2]=0;k[b+44>>2]=k[a+44>>2];k[c>>2]=g;n=a+52|0;m=k[n>>2]|0;a:do if(m){l=Rqa(g>>>0>1073741823?-1:g<<2)|0;o=b+52|0;k[o>>2]=l;if(h){l=g;p=m;q=0;while(1){r=k[p+(q<<2)>>2]|0;if(!r){k[(k[o>>2]|0)+(q<<2)>>2]=0;s=l}else{t=Bla(r)|0;k[(k[o>>2]|0)+(q<<2)>>2]=t;s=k[c>>2]|0}t=q+1|0;if((t|0)>=(s|0))break a;l=s;p=k[n>>2]|0;q=t}}}else k[b+52>>2]=0;while(0);n=a+56|0;m=Bla(k[n>>2]|0)|0;k[b+56>>2]=m;m=a+60|0;g=Bla(k[m>>2]|0)|0;k[b+60>>2]=g;g=a+64|0;h=Bla(k[g>>2]|0)|0;k[b+64>>2]=h;k[b+68>>2]=0;k[b+8>>2]=k[a+8>>2];k[b+12>>2]=k[a+12>>2];h=k[a+16>>2]|0;do if(!h){q=Qqa(36)|0;B=0;va(486,q|0);p=B;B=0;if(!(p&1)){k[b+16>>2]=q;break}p=Rb()|0;l=Q;Sqa(q);u=l;v=p;Qb(v|0)}else{p=hh(h)|0;k[b+16>>2]=p}while(0);k[b+36>>2]=k[a+36>>2];h=k[a+20>>2]|0;if(!h){k[b+20>>2]=0;w=k[n>>2]|0;x=Gla(w)|0;y=b+24|0;k[y>>2]=x;z=k[m>>2]|0;A=Fla(z)|0;C=b+28|0;k[C>>2]=A;D=k[g>>2]|0;E=Fla(D)|0;F=b+32|0;k[F>>2]=E;return b|0}else{p=Rqa(12)|0;k[b+20>>2]=p;k[p>>2]=k[h>>2];k[p+4>>2]=k[h+4>>2];k[p+8>>2]=k[h+8>>2];w=k[n>>2]|0;x=Gla(w)|0;y=b+24|0;k[y>>2]=x;z=k[m>>2]|0;A=Fla(z)|0;C=b+28|0;k[C>>2]=A;D=k[g>>2]|0;E=Fla(D)|0;F=b+32|0;k[F>>2]=E;return b|0}}else{h=Rb()|0;i=Q;j=h}while(0);Qo(b);d=i;e=j}Sqa(b);u=d;v=e;Qb(v|0);return 0}function Jt(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;l=e;switch(d|0){case 0:{m=k[b>>2]|0;i[m>>0]=109;i[m+1>>0]=2;i[m+2>>0]=0;i[m+3>>0]=0;k[b>>2]=(k[b>>2]|0)+4;break}case 2:{k[c>>2]=(k[c>>2]|0)+4;break}case 1:{k[b>>2]=(k[b>>2]|0)+4;break}default:{m=g+56|0;n=g+4|0;k[g>>2]=27524;k[m>>2]=27544;B=0;wa(508,g+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;q=o;vva(m);Qb(q|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[m>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){s=Rb()|0;t=Q;u=s}else{k[n>>2]=27560;s=g+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,n|0,f|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(f);Yua(s);Ava(n);t=w;u=v;break}Yua(f);B=0;v=Ia(40,g|0,143951,43)|0;w=B;B=0;if(!(w&1)?(B=0,Xa(239,v|0,0)|0,v=B,B=0,!(v&1)):0){v=Ab(20)|0;B=0;eb(502,h|0,71825,72);w=B;B=0;do if(!(w&1)){B=0;eb(502,j|0,149525,8);x=B;B=0;if(x&1){x=Rb()|0;y=Q;Yua(h);z=y;A=x;break}B=0;wa(510,l|0,n|0);x=B;B=0;if(x&1){x=Rb()|0;C=Q;D=x;E=1}else{B=0;ua(163,v|0,h|0,j|0,118,l|0);x=B;B=0;if(x&1)F=1;else{B=0;eb(503,v|0,1240,229);B=0;F=0}x=Rb()|0;y=Q;Yua(l);C=y;D=x;E=F}Yua(j);Yua(h);if(E){z=C;A=D}else{G=C;H=D;k[g>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);Qb(H|0)}}else{x=Rb()|0;z=Q;A=x}while(0);zb(v|0);G=z;H=A;k[g>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);Qb(H|0)}w=Rb()|0;G=Q;H=w;k[g>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);Qb(H|0)}while(0);p=t;q=u;vva(m);Qb(q|0)}}q=a+48|0;Vq(q,b,c,d);dq(a,b,c,d,k[q>>2]|0);q=Gla(k[a+56>>2]|0)|0;k[a+24>>2]=q;q=Fla(k[a+60>>2]|0)|0;k[a+28>>2]=q;q=Fla(k[a+64>>2]|0)|0;k[a+32>>2]=q;r=e;return}function Kt(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;e=r;r=r+384|0;f=e;g=e+380|0;h=e+376|0;i=e+360|0;j=e+224|0;l=e+364|0;m=e+208|0;n=e+60|0;o=e+72|0;q=e+48|0;s=e+36|0;t=e+24|0;cO(k[a+36>>2]|0,g,298);switch(k[g>>2]|0){case 300:{u=k[a+16>>2]|0;v=Qqa(16)|0;B=0;ib(284,v|0,b|0,c|0,d|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Sqa(v);y=w;z=x;Qb(y|0)}else{mC(u,v)|0;r=e;return}break}case 301:{if((d|0)==738){k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;k[f+16>>2]=0;k[f+20>>2]=0;k[i>>2]=0;d=Lt(a)|0;Aw(a,h,i,d,Hc[k[(k[a>>2]|0)+112>>2]&511](a)|0);d=k[h>>2]|0;if((d|0)>0){h=k[i>>2]|0;v=0;do{p[f+(k[h+(v<<2)>>2]<<3)>>3]=+p[c+(v<<3)>>3];v=v+1|0}while((v|0)<(d|0))}d=k[a+16>>2]|0;a=Qqa(16)|0;B=0;ib(284,a|0,b|0,f|0,738);b=B;B=0;if(b&1){b=Rb()|0;v=Q;Sqa(a);y=b;z=v;Qb(y|0)}mC(d,a)|0;a=k[i>>2]|0;if(a)Tqa(a);r=e;return}e=j+56|0;a=j+4|0;k[j>>2]=27524;k[e>>2]=27544;B=0;wa(508,j+56|0,a|0);i=B;B=0;if(i&1){i=Rb()|0;A=Q;C=i;vva(e);Qb(C|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[e>>2]=27488;B=0;va(448,a|0);i=B;B=0;do if(i&1){d=Rb()|0;D=Q;E=d}else{k[a>>2]=27560;d=j+36|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[j+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,a|0,f|0);v=B;B=0;if(v&1){v=Rb()|0;b=Q;Yua(f);Yua(d);Ava(a);D=b;E=v;break}Yua(f);B=0;v=Ia(40,j|0,149721,19)|0;b=B;B=0;a:do if(!(b&1)?(B=0,Xa(239,v|0,0)|0,c=B,B=0,!(c&1)):0){c=Ab(20)|0;B=0;eb(502,l|0,71825,72);h=B;B=0;do if(!(h&1)){B=0;eb(502,m|0,74181,13);u=B;B=0;if(u&1){u=Rb()|0;x=Q;Yua(l);F=x;G=u;break}B=0;wa(510,n|0,a|0);u=B;B=0;if(u&1){u=Rb()|0;H=u;I=Q;J=1}else{B=0;ua(163,c|0,l|0,m|0,157,n|0);u=B;B=0;if(u&1)K=1;else{B=0;eb(503,c|0,1240,229);B=0;K=0}u=Rb()|0;x=Q;Yua(n);H=u;I=x;J=K}Yua(m);Yua(l);if(J){F=I;G=H}else{L=I;M=H;break a}}else{x=Rb()|0;F=Q;G=x}while(0);zb(c|0);L=F;M=G}else N=29;while(0);if((N|0)==29){v=Rb()|0;L=Q;M=v}k[j>>2]=27468;k[e>>2]=27488;k[a>>2]=27560;Yua(d);Ava(a);vva(e);y=M;z=L;Qb(y|0)}while(0);A=D;C=E;vva(e);Qb(C|0);break}default:{C=o+56|0;e=o+4|0;k[o>>2]=27524;k[C>>2]=27544;B=0;wa(508,o+56|0,e|0);E=B;B=0;if(E&1){E=Rb()|0;O=Q;P=E;vva(C);Qb(P|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[C>>2]=27488;B=0;va(448,e|0);E=B;B=0;do if(E&1){D=Rb()|0;R=Q;S=D}else{k[e>>2]=27560;D=o+36|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;k[D+12>>2]=0;k[o+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,e|0,f|0);A=B;B=0;if(A&1){A=Rb()|0;L=Q;Yua(f);Yua(D);Ava(e);R=L;S=A;break}Yua(f);B=0;A=Ia(40,o|0,144639,5)|0;L=B;B=0;b:do if((((!(L&1)?(B=0,M=ya(427,k[g>>2]|0)|0,a=B,B=0,!(a&1)):0)?(a=Lta(M)|0,B=0,j=Ia(40,A|0,M|0,a|0)|0,a=B,B=0,!(a&1)):0)?(B=0,a=Ia(40,j|0,146481,18)|0,j=B,B=0,!(j&1)):0)?(B=0,Xa(239,a|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,q|0,71825,72);j=B;B=0;do if(!(j&1)){B=0;eb(502,s|0,74181,13);M=B;B=0;if(M&1){M=Rb()|0;G=Q;Yua(q);T=G;U=M;break}B=0;wa(510,t|0,e|0);M=B;B=0;if(M&1){M=Rb()|0;V=1;W=M;X=Q}else{B=0;ua(163,a|0,q|0,s|0,160,t|0);M=B;B=0;if(M&1)Y=1;else{B=0;eb(503,a|0,1240,229);B=0;Y=0}M=Rb()|0;G=Q;Yua(t);V=Y;W=M;X=G}Yua(s);Yua(q);if(V){T=X;U=W}else{Z=W;_=X;break b}}else{G=Rb()|0;T=Q;U=G}while(0);zb(a|0);Z=U;_=T}else N=55;while(0);if((N|0)==55){A=Rb()|0;Z=A;_=Q}k[o>>2]=27468;k[C>>2]=27488;k[e>>2]=27560;Yua(D);Ava(e);vva(C);y=Z;z=_;Qb(y|0)}while(0);O=R;P=S;vva(C);Qb(P|0)}}}function Lt(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0.0,o=0,q=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;b=r;r=r+368|0;c=b+352|0;d=b;e=b+216|0;f=b+200|0;g=b+64|0;h=b+48|0;i=b+36|0;j=b+24|0;xp(a,d,287);a=d+8|0;l=+p[a>>3]==1.0;m=d+16|0;n=+p[m>>3];if(l&n==1.0){o=0;r=b;return o|0}q=+p[d>>3];if(n==1.0&q==1.0){o=1;r=b;return o|0}if(!(q!=1.0|l^1)){o=2;r=b;return o|0}o=e+56|0;b=e+4|0;k[e>>2]=27524;k[o>>2]=27544;B=0;wa(508,e+56|0,b|0);l=B;B=0;if(l&1){l=Rb()|0;s=Q;t=l;vva(o);Qb(t|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[o>>2]=27488;B=0;va(448,b|0);l=B;B=0;do if(l&1){u=Rb()|0;v=Q;w=u}else{k[b>>2]=27560;u=e+36|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;k[u+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,b|0,c|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;Yua(c);Yua(u);Ava(b);v=y;w=x;break}Yua(c);B=0;x=Ia(40,e|0,71898,25)|0;y=B;B=0;do if((((((!(y&1)?(B=0,z=Sa(1,x|0,+(+p[d>>3]))|0,A=B,B=0,!(A&1)):0)?(B=0,A=Ia(40,z|0,149175,1)|0,z=B,B=0,!(z&1)):0)?(B=0,z=Sa(1,A|0,+(+p[a>>3]))|0,A=B,B=0,!(A&1)):0)?(B=0,A=Ia(40,z|0,149175,1)|0,z=B,B=0,!(z&1)):0)?(B=0,Sa(1,A|0,+(+p[m>>3]))|0,A=B,B=0,!(A&1)):0)?(B=0,wa(510,f|0,b|0),A=B,B=0,!(A&1)):0){B=0;ya(424,f|0)|0;A=B;B=0;if(A&1){A=Rb()|0;z=Q;Yua(f);C=z;D=A;break}Yua(f);k[e>>2]=27468;k[o>>2]=27488;k[b>>2]=27560;Yua(u);Ava(b);vva(o);A=g+56|0;z=g+4|0;k[g>>2]=27524;k[A>>2]=27544;B=0;wa(508,g+56|0,z|0);E=B;B=0;if(E&1){E=Rb()|0;F=Q;G=E;vva(A);Qb(G|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[A>>2]=27488;B=0;va(448,z|0);E=B;B=0;do if(E&1){H=Rb()|0;I=Q;J=H}else{k[z>>2]=27560;H=g+36|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;k[H+12>>2]=0;k[g+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,z|0,c|0);K=B;B=0;if(K&1){K=Rb()|0;L=Q;Yua(c);Yua(H);Ava(z);I=L;J=K;break}Yua(c);B=0;K=Ia(40,g|0,71924,32)|0;L=B;B=0;a:do if(L&1)M=36;else{B=0;Xa(239,K|0,0)|0;N=B;B=0;if(N&1){M=36;break}N=Ab(20)|0;B=0;eb(502,h|0,71825,72);O=B;B=0;do if(!(O&1)){B=0;eb(502,i|0,71957,15);P=B;B=0;if(P&1){P=Rb()|0;R=Q;Yua(h);S=R;T=P;break}B=0;wa(510,j|0,z|0);P=B;B=0;if(P&1){P=Rb()|0;U=1;V=Q;W=P}else{B=0;ua(163,N|0,h|0,i|0,747,j|0);P=B;B=0;if(P&1)X=1;else{B=0;eb(503,N|0,1240,229);B=0;X=0}P=Rb()|0;R=Q;Yua(j);U=X;V=R;W=P}Yua(i);Yua(h);if(U){S=V;T=W}else{Y=V;Z=W;break a}}else{P=Rb()|0;S=Q;T=P}while(0);zb(N|0);Y=S;Z=T}while(0);if((M|0)==36){K=Rb()|0;Y=Q;Z=K}k[g>>2]=27468;k[A>>2]=27488;k[z>>2]=27560;Yua(H);Ava(z);vva(A);_=Y;$=Z;Qb($|0)}while(0);F=I;G=J;vva(A);Qb(G|0)}else M=33;while(0);if((M|0)==33){x=Rb()|0;C=Q;D=x}k[e>>2]=27468;k[o>>2]=27488;k[b>>2]=27560;Yua(u);Ava(b);vva(o);_=C;$=D;Qb($|0)}while(0);s=v;t=w;vva(o);Qb(t|0);return 0}function Mt(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=k[a+16>>2]|0;a=Qqa(16)|0;B=0;ib(284,a|0,b|0,c|0,d|0);d=B;B=0;if(d&1){d=Rb()|0;Sqa(a);Qb(d|0)}else{mC(e,a)|0;return}}function Nt(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,s=0.0,t=0.0,u=0.0,v=0,w=0,x=0;f=r;r=r+112|0;g=f;h=f+96|0;i=f+84|0;j=f+72|0;Ko(g,k[a+24>>2]|0,3,0);l=+p[g>>3];m=+p[g+8>>3];n=+p[g+24>>3];o=+p[g+32>>3];q=+p[g+48>>3];s=+p[g+56>>3];Ip(a,i);Hp(a,j);a=~~+p[e+(k[i>>2]<<3)>>3];k[h>>2]=a;t=+p[d+(k[j>>2]<<3)>>3]*.3333333333333333+0.0;g=~~+p[e+(k[i+4>>2]<<3)>>3];k[h+4>>2]=g;u=t+ +p[d+(k[j+4>>2]<<3)>>3]*.3333333333333333;v=~~+p[e+(k[i+8>>2]<<3)>>3];k[h+8>>2]=v;t=(m*q+(l*o+(n*s-o*q)-m*n)-l*s)*.5;i=c+4|0;s=t*(u+ +p[d+(k[j+8>>2]<<3)>>3]*.3333333333333333);j=b+4|0;if(k[b>>2]|0){d=k[k[j>>2]>>2]|0;Jc[k[(k[d>>2]|0)+20>>2]&1](d,a,s,1)}if(k[c>>2]|0){d=k[k[i>>2]>>2]|0;Jc[k[(k[d>>2]|0)+20>>2]&1](d,a,t,1)}if((g|0)!=(a|0)){if(k[b>>2]|0){d=k[k[j>>2]>>2]|0;Jc[k[(k[d>>2]|0)+20>>2]&1](d,g,s,1)}if(k[c>>2]|0){d=k[k[i>>2]>>2]|0;Jc[k[(k[d>>2]|0)+20>>2]&1](d,g,t,1)}}if((v|0)==(a|0)){r=f;return}else w=1;while(1){if((w|0)>=2)break;if((v|0)==(k[h+(w<<2)>>2]|0)){x=17;break}else w=w+1|0}if((x|0)==17){r=f;return}if(k[b>>2]|0){b=k[k[j>>2]>>2]|0;Jc[k[(k[b>>2]|0)+20>>2]&1](b,v,s,1)}if(!(k[c>>2]|0)){r=f;return}c=k[k[i>>2]>>2]|0;Jc[k[(k[c>>2]|0)+20>>2]&1](c,v,t,1);r=f;return}function Ot(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0;b=r;r=r+192|0;c=b+104|0;d=b+96|0;e=b+88|0;f=b+80|0;g=b+72|0;h=b+48|0;i=b+24|0;j=b;Ko(b+112|0,k[a+24>>2]|0,3,0);l=a+16|0;a=oC(k[l>>2]|0,674)|0;m=oC(k[l>>2]|0,677)|0;n=oC(k[l>>2]|0,262)|0;o=oC(k[l>>2]|0,263)|0;q=oC(k[l>>2]|0,255)|0;s=Qqa(64)|0;B=0;va(491,s|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Sqa(s);v=u;w=t;Qb(w|0)}t=0;do{Fc[k[(k[s>>2]|0)+28>>2]&1023](s,t);nd[k[(k[a>>2]|0)+48>>2]&1023](a,c,s);nd[k[(k[m>>2]|0)+48>>2]&1023](m,d,s);x=+p[c>>3];y=+p[d>>3];nd[k[(k[n>>2]|0)+48>>2]&1023](n,e,s);nd[k[(k[o>>2]|0)+48>>2]&1023](o,g,s);nd[k[(k[q>>2]|0)+48>>2]&1023](q,f,s);z=+p[f>>3]*+p[e>>3]*+p[g>>3];A=z<0.0?0.0:z;p[j+(t<<3)>>3]=A;z=+aa(+(x*x+y*y))+1.0e-14;p[h+(t<<3)>>3]=+p[c>>3]*A/z;p[i+(t<<3)>>3]=A*+p[d>>3]/z;t=t+1|0}while((t|0)!=3);t=k[l>>2]|0;d=Qqa(16)|0;B=0;ib(284,d|0,258,h|0,738);h=B;B=0;if(h&1){h=Rb()|0;c=Q;Sqa(d);v=c;w=h;Qb(w|0)}mC(t,d)|0;d=k[l>>2]|0;t=Qqa(16)|0;B=0;ib(284,t|0,259,i|0,738);i=B;B=0;if(i&1){i=Rb()|0;h=Q;Sqa(t);v=h;w=i;Qb(w|0)}mC(d,t)|0;t=k[l>>2]|0;l=Qqa(16)|0;B=0;ib(284,l|0,248,j|0,738);j=B;B=0;if(!(j&1)){mC(t,l)|0;Ec[k[(k[s>>2]|0)+4>>2]&1023](s);r=b;return}b=Rb()|0;s=Q;Sqa(l);v=s;w=b;Qb(w|0)}function Pt(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0,y=0,z=0,A=0,C=0,D=0.0,E=0,F=0.0,G=0.0,H=0.0;b=r;r=r+224|0;c=b+152|0;d=b+128|0;e=b+104|0;f=b+80|0;g=b+56|0;h=b+48|0;i=b+40|0;j=b+32|0;l=b+24|0;m=b+16|0;n=b+8|0;o=b;Ko(c,k[a+24>>2]|0,3,0);q=a+16|0;s=oC(k[q>>2]|0,674)|0;t=oC(k[q>>2]|0,677)|0;u=oC(k[q>>2]|0,928)|0;v=+Dp(a,215);w=+Dp(a,217);x=Qqa(64)|0;B=0;va(491,x|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Sqa(x);A=z;C=y;Qb(C|0)}y=d+16|0;z=d+8|0;D=v*1.7320508075688772;v=1.0/(w*2.0);E=0;do{Fc[k[(k[x>>2]|0)+28>>2]&1023](x,E);nd[k[(k[s>>2]|0)+48>>2]&1023](s,m,x);nd[k[(k[t>>2]|0)+48>>2]&1023](t,n,x);nd[k[(k[u>>2]|0)+48>>2]&1023](u,o,x);Xo(a,d,c,x,s,t);cY(h,i,j,l,+p[d>>3],+p[y>>3],+p[z>>3]);w=+LY(+p[h>>3],0.0);p[h>>3]=w;w=+LY(+p[i>>3],0.0);p[i>>3]=w;F=+p[h>>3];G=D*+ba(+((w*w+F*F)*.5),+v);F=+p[o>>3]<0.0?2.0e5:1.0e6;w=G*+p[m>>3]/F;p[e+(E<<3)>>3]=w;H=G*+p[n>>3]/F;p[f+(E<<3)>>3]=H;F=+aa(+(w*w+H*H));p[g+(E<<3)>>3]=F;E=E+1|0}while((E|0)!=3);E=k[q>>2]|0;n=Qqa(16)|0;B=0;ib(284,n|0,258,e|0,738);e=B;B=0;if(e&1){e=Rb()|0;m=Q;Sqa(n);A=m;C=e;Qb(C|0)}mC(E,n)|0;n=k[q>>2]|0;E=Qqa(16)|0;B=0;ib(284,E|0,259,f|0,738);f=B;B=0;if(f&1){f=Rb()|0;e=Q;Sqa(E);A=e;C=f;Qb(C|0)}mC(n,E)|0;E=k[q>>2]|0;q=Qqa(16)|0;B=0;ib(284,q|0,248,g|0,738);g=B;B=0;if(!(g&1)){mC(E,q)|0;Ec[k[(k[x>>2]|0)+4>>2]&1023](x);r=b;return}b=Rb()|0;x=Q;Sqa(q);A=x;C=b;Qb(C|0)}function Qt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0.0,g=0.0,h=0.0,j=0.0,l=0,m=0,n=0;c=r;r=r+80|0;d=c+72|0;e=c;if(!(ed[k[(k[a>>2]|0)+256>>2]&511](a,206)|0)){r=c;return}k[d>>2]=0;Ko(e,k[a+24>>2]|0,3,0);rd[k[(k[a>>2]|0)+520>>2]&511](a,d,e,206);e=k[d>>2]|0;if(e){f=+p[e>>3];g=+p[e+24>>3];h=+p[e+8>>3];j=+p[e+32>>3];e=Qqa(24)|0;B=0;a=ya(428,b|0)|0;l=B;B=0;if(l&1){m=Rb()|0;n=Q;Sqa(e);Qb(m|0)}k[e>>2]=27652;k[e+4>>2]=a+1;k[e+8>>2]=2;i[e+20>>0]=0;B=0;a=ya(422,16)|0;l=B;B=0;if(l&1){m=Rb()|0;n=Q;Sqa(e);Qb(m|0)}k[e+12>>2]=a;p[a>>3]=f;p[a+8>>3]=g;B=0;a=ya(422,16)|0;l=B;B=0;if(l&1){m=Rb()|0;n=Q;Sqa(e);Qb(m|0)}k[e+16>>2]=a;p[a>>3]=h;p[a+8>>3]=j;ih(b,e)|0;e=k[d>>2]|0;if(e)Tqa(e)}r=c;return}function Rt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0.0,i=0.0,j=0.0,l=0,m=0,n=0.0,o=0.0,q=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,C=0.0,D=0.0;d=r;r=r+96|0;e=d+72|0;f=d;Ko(f,k[a+24>>2]|0,3,0);xp(a,e,206);Sp(a,206,653);if((c|0)>0){g=0;do{h=+p[f+(g*24|0)>>3];i=+p[f+(g*24|0)+8>>3];j=1.e+50;l=0;while(1){m=l<<2;n=+p[b+((m|2)<<3)>>3];o=+p[b+(m<<3)>>3];q=n-o;s=+p[b+((m|3)<<3)>>3];t=+p[b+((m|1)<<3)>>3];u=s-t;v=q*q+u*u;w=h-o;if(v==0.0){x=i-t;y=w*w+x*x;z=y<j?y:j}else{y=i-t;x=(w*q+y*u)/v;do if(!(x<0.0))if(x>1.0){v=h-n;A=i-s;C=v*v+A*A;break}else{A=h-(o+q*x);v=i-(t+u*x);C=A*A+v*v;break}else C=w*w+y*y;while(0);z=C<j?C:j}l=l+1|0;if((l|0)==(c|0)){D=z;break}else j=z}j=+aa(+D);i=j>1.0e4?1.0e4:j;l=e+(g<<3)|0;p[l>>3]=+p[l>>3]>0.0?i:-i;g=g+1|0}while((g|0)!=3)}else{p[e>>3]=+p[e>>3]>0.0?1.0e4:-1.0e4;g=e+8|0;p[g>>3]=+p[g>>3]>0.0?1.0e4:-1.0e4;g=e+16|0;p[g>>3]=+p[g>>3]>0.0?1.0e4:-1.0e4}g=k[a+16>>2]|0;a=Qqa(16)|0;B=0;ib(284,a|0,206,e|0,738);e=B;B=0;if(e&1){e=Rb()|0;Sqa(a);Qb(e|0)}else{mC(g,a)|0;r=d;return}}function St(a){a=a|0;var b=0,c=0,d=0.0,e=0.0,f=0.0,g=0.0,h=0.0,i=0.0,j=0.0;b=r;r=r+80|0;c=b;Ko(c,k[a+24>>2]|0,3,0);d=+p[c>>3];e=+p[c+8>>3];f=+p[c+24>>3];g=+p[c+32>>3];h=+p[c+48>>3];i=+p[c+56>>3];j=+aa(+((e*h+(d*g+(f*i-g*h)-e*f)-d*i)*.5*2.0));r=b;return +j}function Tt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,71973,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,71825,72);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,74235,18);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,466,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function Ut(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0.0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;b=r;r=r+480|0;c=b+456|0;d=b+200|0;e=b+192|0;f=b+168|0;g=b+144|0;h=b+120|0;i=b+96|0;j=b+72|0;l=b+48|0;m=b+24|0;n=b;o=b+448|0;q=b+312|0;s=b+296|0;t=b+284|0;u=b+272|0;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;k[i+12>>2]=0;k[i+16>>2]=0;k[i+20>>2]=0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[l+16>>2]=0;k[l+20>>2]=0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[m+16>>2]=0;k[m+20>>2]=0;v=a+16|0;kC(k[v>>2]|0,o,533);Ko(d,k[a+24>>2]|0,3,0);cp(a,b+452|0,298);w=oC(k[v>>2]|0,674)|0;x=oC(k[v>>2]|0,677)|0;y=Qqa(64)|0;B=0;va(491,y|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Sqa(y);C=A;D=z;Qb(D|0)}z=a+28|0;A=f+8|0;E=f+16|0;F=0;a:while(1){Fc[k[(k[y>>2]|0)+28>>2]&1023](y,F);Xo(a,f,d,y,w,x);switch(k[o>>2]|0){case 536:{G=k[z>>2]|0;ad[k[(k[G>>2]|0)+128>>2]&63](G,e,2,d,y,w,x);break}case 540:{G=k[z>>2]|0;ad[k[(k[G>>2]|0)+116>>2]&63](G,e,2,d,y,w,x);break}case 542:{G=k[z>>2]|0;Tc[k[(k[G>>2]|0)+108>>2]&15](G,e,2,d,y,w,x,0);break}default:break a}H=+p[e>>3]*2.0;I=H*+p[f>>3];p[g+(F<<3)>>3]=I;J=H*+p[A>>3];p[h+(F<<3)>>3]=J;K=H*+p[E>>3];p[j+(F<<3)>>3]=K;H=+aa(+(K*K*2.0+(I*I+J*J)))*.7071067811865475;p[n+(F<<3)>>3]=H;F=F+1|0;if((F|0)>=3){L=3;break}}if((L|0)==3){F=k[v>>2]|0;E=Qqa(16)|0;B=0;ib(284,E|0,716,g|0,738);g=B;B=0;if(g&1){g=Rb()|0;A=Q;Sqa(E);C=A;D=g;Qb(D|0)}mC(F,E)|0;E=k[v>>2]|0;F=Qqa(16)|0;B=0;ib(284,F|0,717,j|0,738);j=B;B=0;if(j&1){j=Rb()|0;g=Q;Sqa(F);C=g;D=j;Qb(D|0)}mC(E,F)|0;F=k[v>>2]|0;E=Qqa(16)|0;B=0;ib(284,E|0,718,l|0,738);l=B;B=0;if(l&1){l=Rb()|0;j=Q;Sqa(E);C=j;D=l;Qb(D|0)}mC(F,E)|0;E=k[v>>2]|0;F=Qqa(16)|0;B=0;ib(284,F|0,719,h|0,738);h=B;B=0;if(h&1){h=Rb()|0;l=Q;Sqa(F);C=l;D=h;Qb(D|0)}mC(E,F)|0;F=k[v>>2]|0;E=Qqa(16)|0;B=0;ib(284,E|0,720,m|0,738);m=B;B=0;if(m&1){m=Rb()|0;h=Q;Sqa(E);C=h;D=m;Qb(D|0)}mC(F,E)|0;E=k[v>>2]|0;F=Qqa(16)|0;B=0;ib(284,F|0,721,i|0,738);i=B;B=0;if(i&1){i=Rb()|0;m=Q;Sqa(F);C=m;D=i;Qb(D|0)}mC(E,F)|0;F=k[v>>2]|0;v=Qqa(16)|0;B=0;ib(284,v|0,722,n|0,738);n=B;B=0;if(!(n&1)){mC(F,v)|0;Ec[k[(k[y>>2]|0)+4>>2]&1023](y);r=b;return}b=Rb()|0;y=Q;Sqa(v);C=y;D=b;Qb(D|0)}b=q+56|0;y=q+4|0;k[q>>2]=27524;k[b>>2]=27544;B=0;wa(508,q+56|0,y|0);v=B;B=0;if(v&1){v=Rb()|0;M=Q;N=v;vva(b);Qb(N|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[b>>2]=27488;B=0;va(448,y|0);v=B;B=0;do if(v&1){F=Rb()|0;O=Q;P=F}else{k[y>>2]=27560;F=q+36|0;k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;k[F+12>>2]=0;k[q+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,y|0,c|0);n=B;B=0;if(n&1){n=Rb()|0;E=Q;Yua(c);Yua(F);Ava(y);O=E;P=n;break}Yua(c);B=0;n=Ia(40,q|0,134695,17)|0;E=B;B=0;b:do if(!(E&1)?(B=0,Xa(239,n|0,0)|0,i=B,B=0,!(i&1)):0){i=Ab(20)|0;B=0;eb(502,s|0,71825,72);m=B;B=0;do if(!(m&1)){B=0;eb(502,t|0,73945,29);h=B;B=0;if(h&1){h=Rb()|0;l=Q;Yua(s);R=l;S=h;break}B=0;wa(510,u|0,y|0);h=B;B=0;if(h&1){h=Rb()|0;T=Q;U=h;V=1}else{B=0;ua(163,i|0,s|0,t|0,514,u|0);h=B;B=0;if(h&1)W=1;else{B=0;eb(503,i|0,1240,229);B=0;W=0}h=Rb()|0;l=Q;Yua(u);T=l;U=h;V=W}Yua(t);Yua(s);if(V){R=T;S=U}else{X=T;Y=U;break b}}else{h=Rb()|0;R=Q;S=h}while(0);zb(i|0);X=R;Y=S}else L=24;while(0);if((L|0)==24){n=Rb()|0;X=Q;Y=n}k[q>>2]=27468;k[b>>2]=27488;k[y>>2]=27560;Yua(F);Ava(y);vva(b);C=X;D=Y;Qb(D|0)}while(0);M=O;N=P;vva(b);Qb(N|0)}function Vt(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;b=r;r=r+288|0;c=b+80|0;d=b+284|0;e=b+280|0;f=b+72|0;g=b+64|0;h=b+40|0;i=b+16|0;j=b;l=b+276|0;m=b+128|0;n=b+264|0;o=b+116|0;q=b+104|0;if(!(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0)){k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[c+16>>2]=0;k[c+20>>2]=0;s=k[a+16>>2]|0;t=Qqa(16)|0;B=0;ib(284,t|0,706,c|0,738);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Sqa(t);w=u;x=v;Qb(w|0)}else{mC(s,t)|0;r=b;return}}k[d>>2]=0;k[e>>2]=0;Uo(a,d);Fc[k[(k[a>>2]|0)+188>>2]&1023](a,e);cp(a,l,298);if((k[l>>2]|0)!=300){t=a+16|0;s=oC(k[t>>2]|0,653)|0;v=oC(k[t>>2]|0,674)|0;u=oC(k[t>>2]|0,677)|0;y=Hc[k[(k[a>>2]|0)+304>>2]&511](a)|0;z=a+28|0;A=i+8|0;C=i+16|0;D=j+8|0;E=0;do{nd[k[(k[y>>2]|0)+32>>2]&1023](y,738,E);Xo(a,i,k[d>>2]|0,y,v,u);F=k[z>>2]|0;Tc[k[(k[F>>2]|0)+108>>2]&15](F,g,2,k[d>>2]|0,y,v,u,0);nd[k[(k[s>>2]|0)+48>>2]&1023](s,f,y);G=+p[g>>3]*2.0;H=+p[f>>3];I=G*+p[i>>3]-H;J=G*+p[A>>3]-H;H=G*+p[C>>3];nd[k[(k[a>>2]|0)+380>>2]&1023](a,j,k[e>>2]|0);G=+p[j>>3];K=+p[D>>3];p[h+(E<<3)>>3]=G*(I*G)+H*2.0*G*K+K*(J*K);E=E+1|0}while((E|0)!=3);E=k[t>>2]|0;t=Qqa(16)|0;B=0;ib(284,t|0,706,h|0,738);h=B;B=0;if(h&1){h=Rb()|0;D=Q;Sqa(t);w=h;x=D;Qb(w|0)}mC(E,t)|0;t=k[d>>2]|0;if(t)Tqa(t);k[d>>2]=0;d=k[e>>2]|0;if(d)Tqa(d);k[e>>2]=0;if(y)Ec[k[(k[y>>2]|0)+4>>2]&1023](y);r=b;return}b=m+56|0;y=m+4|0;k[m>>2]=27524;k[b>>2]=27544;B=0;wa(508,m+56|0,y|0);e=B;B=0;if(e&1){e=Rb()|0;L=Q;M=e;vva(b);Qb(M|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[b>>2]=27488;B=0;va(448,y|0);e=B;B=0;do if(e&1){d=Rb()|0;N=Q;O=d}else{k[y>>2]=27560;d=m+36|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,y|0,c|0);t=B;B=0;if(t&1){t=Rb()|0;E=Q;Yua(c);Yua(d);Ava(y);N=E;O=t;break}Yua(c);B=0;t=Ia(40,m|0,71993,57)|0;E=B;B=0;a:do if((((!(E&1)?(B=0,D=ya(427,k[l>>2]|0)|0,h=B,B=0,!(h&1)):0)?(h=Lta(D)|0,B=0,j=Ia(40,t|0,D|0,h|0)|0,h=B,B=0,!(h&1)):0)?(B=0,h=Ia(40,j|0,72051,52)|0,j=B,B=0,!(j&1)):0)?(B=0,Xa(239,h|0,0)|0,h=B,B=0,!(h&1)):0){h=Ab(20)|0;B=0;eb(502,n|0,71825,72);j=B;B=0;do if(!(j&1)){B=0;eb(502,o|0,75312,14);D=B;B=0;if(D&1){D=Rb()|0;a=Q;Yua(n);P=D;R=a;break}B=0;wa(510,q|0,y|0);a=B;B=0;if(a&1){a=Rb()|0;S=a;T=Q;U=1}else{B=0;ua(163,h|0,n|0,o|0,560,q|0);a=B;B=0;if(a&1)V=1;else{B=0;eb(503,h|0,1240,229);B=0;V=0}a=Rb()|0;D=Q;Yua(q);S=a;T=D;U=V}Yua(o);Yua(n);if(U){P=S;R=T}else{W=S;X=T;break a}}else{D=Rb()|0;P=D;R=Q}while(0);zb(h|0);W=P;X=R}else Y=24;while(0);if((Y|0)==24){t=Rb()|0;W=t;X=Q}k[m>>2]=27468;k[b>>2]=27488;k[y>>2]=27560;Yua(d);Ava(y);vva(b);w=W;x=X;Qb(w|0)}while(0);L=N;M=O;vva(b);Qb(M|0)}function Wt(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0;b=r;r=r+448|0;c=b+436|0;d=b+184|0;e=b+176|0;f=b+168|0;g=b+144|0;h=b+120|0;i=b+96|0;j=b+72|0;l=b+48|0;m=b+24|0;n=b;o=b+432|0;q=b+296|0;s=b+280|0;t=b+268|0;u=b+256|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;k[j+16>>2]=0;k[j+20>>2]=0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[m+16>>2]=0;k[m+20>>2]=0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[n+16>>2]=0;k[n+20>>2]=0;Ko(d,k[a+24>>2]|0,3,0);cp(a,o,298);if((k[o>>2]|0)!=300){v=a+16|0;w=oC(k[v>>2]|0,653)|0;x=oC(k[v>>2]|0,674)|0;y=oC(k[v>>2]|0,677)|0;z=Qqa(64)|0;B=0;va(491,z|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Sqa(z);D=A;E=C;Qb(D|0)}C=a+28|0;A=g+8|0;F=g+16|0;Fc[k[(k[z>>2]|0)+28>>2]&1023](z,0);Xo(a,g,d,z,x,y);G=k[C>>2]|0;ad[k[(k[G>>2]|0)+128>>2]&63](G,f,2,d,z,x,y);nd[k[(k[w>>2]|0)+48>>2]&1023](w,e,z);H=+p[f>>3]*2.0;I=+p[e>>3];p[h>>3]=H*+p[g>>3]-I;p[i>>3]=H*+p[A>>3]-I;p[l>>3]=H*+p[F>>3];Fc[k[(k[z>>2]|0)+28>>2]&1023](z,1);Xo(a,g,d,z,x,y);G=k[C>>2]|0;ad[k[(k[G>>2]|0)+128>>2]&63](G,f,2,d,z,x,y);nd[k[(k[w>>2]|0)+48>>2]&1023](w,e,z);H=+p[f>>3]*2.0;I=+p[e>>3];p[h+8>>3]=H*+p[g>>3]-I;p[i+8>>3]=H*+p[A>>3]-I;p[l+8>>3]=H*+p[F>>3];Fc[k[(k[z>>2]|0)+28>>2]&1023](z,2);Xo(a,g,d,z,x,y);a=k[C>>2]|0;ad[k[(k[a>>2]|0)+128>>2]&63](a,f,2,d,z,x,y);nd[k[(k[w>>2]|0)+48>>2]&1023](w,e,z);H=+p[f>>3]*2.0;I=+p[e>>3];p[h+16>>3]=H*+p[g>>3]-I;p[i+16>>3]=H*+p[A>>3]-I;p[l+16>>3]=H*+p[F>>3];F=k[v>>2]|0;A=Qqa(16)|0;B=0;ib(284,A|0,708,h|0,738);h=B;B=0;if(h&1){h=Rb()|0;g=Q;Sqa(A);D=h;E=g;Qb(D|0)}mC(F,A)|0;A=k[v>>2]|0;F=Qqa(16)|0;B=0;ib(284,F|0,709,l|0,738);l=B;B=0;if(l&1){l=Rb()|0;g=Q;Sqa(F);D=l;E=g;Qb(D|0)}mC(A,F)|0;F=k[v>>2]|0;A=Qqa(16)|0;B=0;ib(284,A|0,710,m|0,738);m=B;B=0;if(m&1){m=Rb()|0;g=Q;Sqa(A);D=m;E=g;Qb(D|0)}mC(F,A)|0;A=k[v>>2]|0;F=Qqa(16)|0;B=0;ib(284,F|0,711,i|0,738);i=B;B=0;if(i&1){i=Rb()|0;g=Q;Sqa(F);D=i;E=g;Qb(D|0)}mC(A,F)|0;F=k[v>>2]|0;A=Qqa(16)|0;B=0;ib(284,A|0,712,n|0,738);n=B;B=0;if(n&1){n=Rb()|0;g=Q;Sqa(A);D=n;E=g;Qb(D|0)}mC(F,A)|0;A=k[v>>2]|0;v=Qqa(16)|0;B=0;ib(284,v|0,713,j|0,738);j=B;B=0;if(!(j&1)){mC(A,v)|0;Ec[k[(k[z>>2]|0)+4>>2]&1023](z);r=b;return}b=Rb()|0;z=Q;Sqa(v);D=b;E=z;Qb(D|0)}z=q+56|0;b=q+4|0;k[q>>2]=27524;k[z>>2]=27544;B=0;wa(508,q+56|0,b|0);v=B;B=0;if(v&1){v=Rb()|0;J=Q;K=v;vva(z);Qb(K|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[z>>2]=27488;B=0;va(448,b|0);v=B;B=0;do if(v&1){A=Rb()|0;L=Q;M=A}else{k[b>>2]=27560;A=q+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[q+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,b|0,c|0);j=B;B=0;if(j&1){j=Rb()|0;F=Q;Yua(c);Yua(A);Ava(b);L=F;M=j;break}Yua(c);B=0;j=Ia(40,q|0,71993,57)|0;F=B;B=0;a:do if((((!(F&1)?(B=0,g=ya(427,k[o>>2]|0)|0,n=B,B=0,!(n&1)):0)?(n=Lta(g)|0,B=0,i=Ia(40,j|0,g|0,n|0)|0,n=B,B=0,!(n&1)):0)?(B=0,n=Ia(40,i|0,72051,52)|0,i=B,B=0,!(i&1)):0)?(B=0,Xa(239,n|0,0)|0,n=B,B=0,!(n&1)):0){n=Ab(20)|0;B=0;eb(502,s|0,71825,72);i=B;B=0;do if(!(i&1)){B=0;eb(502,t|0,73925,19);g=B;B=0;if(g&1){g=Rb()|0;m=Q;Yua(s);N=g;O=m;break}B=0;wa(510,u|0,b|0);m=B;B=0;if(m&1){m=Rb()|0;P=m;R=Q;S=1}else{B=0;ua(163,n|0,s|0,t|0,616,u|0);m=B;B=0;if(m&1)T=1;else{B=0;eb(503,n|0,1240,229);B=0;T=0}m=Rb()|0;g=Q;Yua(u);P=m;R=g;S=T}Yua(t);Yua(s);if(S){N=P;O=R}else{U=P;V=R;break a}}else{g=Rb()|0;N=g;O=Q}while(0);zb(n|0);U=N;V=O}else W=20;while(0);if((W|0)==20){j=Rb()|0;U=j;V=Q}k[q>>2]=27468;k[z>>2]=27488;k[b>>2]=27560;Yua(A);Ava(b);vva(z);D=U;E=V;Qb(D|0)}while(0);J=L;K=M;vva(z);Qb(K|0)}function Xt(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0;c=r;r=r+16|0;b=c;cO(g,b,482);h=k[a+40>>2]|0;if(h)k[a+44>>2]=k[h+(k[b>>2]<<2)>>2];h=a+52|0;i=k[h>>2]|0;do if(i){j=i+(k[b>>2]<<2)|0;l=k[j>>2]|0;if(!l){k[j>>2]=0;break}else{Ela(l,d);break}}else k[h>>2]=0;while(0);d=a+56|0;Ela(k[d>>2]|0,e);e=a+60|0;Ela(k[e>>2]|0,f);i=a+64|0;Ela(k[i>>2]|0,f);f=k[h>>2]|0;if((f|0)!=0?(h=k[f+(k[b>>2]<<2)>>2]|0,(h|0)!=0):0){b=Gla(h)|0;k[a+20>>2]=b}else k[a+20>>2]=0;b=Gla(k[d>>2]|0)|0;k[a+24>>2]=b;b=Fla(k[e>>2]|0)|0;k[a+28>>2]=b;b=Fla(k[i>>2]|0)|0;k[a+32>>2]=b;k[a+36>>2]=g;wC(k[a+16>>2]|0,g);r=c;return}function Yt(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;e=r;r=r+400|0;f=e+388|0;g=e+376|0;h=e;i=e+240|0;j=e+224|0;l=e+72|0;m=e+60|0;n=e+88|0;o=e+48|0;q=e+36|0;s=e+24|0;t=oC(k[a+16>>2]|0,c)|0;if(!t){u=i+56|0;v=i+4|0;k[i>>2]=27524;k[u>>2]=27544;B=0;wa(508,i+56|0,v|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;y=w;vva(u);Qb(y|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[u>>2]=27488;B=0;va(448,v|0);w=B;B=0;do if(w&1){z=Rb()|0;A=Q;C=z}else{k[v>>2]=27560;z=i+36|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;k[z+12>>2]=0;k[i+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,v|0,f|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(f);Yua(z);Ava(v);A=E;C=D;break}Yua(f);B=0;D=Ia(40,i|0,109148,6)|0;E=B;B=0;a:do if((((!(E&1)?(B=0,F=ya(427,c|0)|0,G=B,B=0,!(G&1)):0)?(G=Lta(F)|0,B=0,H=Ia(40,D|0,F|0,G|0)|0,G=B,B=0,!(G&1)):0)?(B=0,G=Ia(40,H|0,114879,10)|0,H=B,B=0,!(H&1)):0)?(B=0,Xa(239,G|0,0)|0,G=B,B=0,!(G&1)):0){G=Ab(20)|0;B=0;eb(502,j|0,71825,72);H=B;B=0;do if(!(H&1)){B=0;eb(502,l|0,74254,23);F=B;B=0;if(F&1){F=Rb()|0;I=Q;Yua(j);J=F;K=I;break}B=0;wa(510,m|0,v|0);I=B;B=0;if(I&1){I=Rb()|0;L=Q;M=I;N=1}else{B=0;ua(163,G|0,j|0,l|0,691,m|0);I=B;B=0;if(I&1)O=1;else{B=0;eb(503,G|0,1240,229);B=0;O=0}I=Rb()|0;F=Q;Yua(m);L=F;M=I;N=O}Yua(l);Yua(j);if(N){J=M;K=L}else{P=M;R=L;break a}}else{I=Rb()|0;J=I;K=Q}while(0);zb(G|0);P=J;R=K}else S=20;while(0);if((S|0)==20){D=Rb()|0;P=D;R=Q}k[i>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(z);Ava(v);vva(u);T=R;U=P;Qb(U|0)}while(0);x=A;y=C;vva(u);Qb(y|0)}if((Hc[k[(k[t>>2]|0)+20>>2]&511](t)|0)==559){Mp(a,g,d,0);p[h>>3]=+p[b+(k[g>>2]<<3)>>3];p[h+8>>3]=+p[b+(k[g+4>>2]<<3)>>3];p[h+16>>3]=+p[b+(k[g+8>>2]<<3)>>3];g=Qqa(16)|0;B=0;ib(284,g|0,941,h|0,738);h=B;B=0;if(!(h&1)){q$(t,g);r=e;return}e=Rb()|0;t=Q;Sqa(g);T=t;U=e;Qb(U|0)}e=n+56|0;t=n+4|0;k[n>>2]=27524;k[e>>2]=27544;B=0;wa(508,n+56|0,t|0);g=B;B=0;if(g&1){g=Rb()|0;V=Q;W=g;vva(e);Qb(W|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[e>>2]=27488;B=0;va(448,t|0);g=B;B=0;do if(g&1){h=Rb()|0;X=Q;Y=h}else{k[t>>2]=27560;h=n+36|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;k[n+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,t|0,f|0);b=B;B=0;if(b&1){b=Rb()|0;d=Q;Yua(f);Yua(h);Ava(t);X=d;Y=b;break}Yua(f);B=0;b=Ia(40,n|0,109148,6)|0;d=B;B=0;b:do if((((!(d&1)?(B=0,a=ya(427,c|0)|0,y=B,B=0,!(y&1)):0)?(y=Lta(a)|0,B=0,u=Ia(40,b|0,a|0,y|0)|0,y=B,B=0,!(y&1)):0)?(B=0,y=Ia(40,u|0,74278,22)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,y|0,0)|0,y=B,B=0,!(y&1)):0){y=Ab(20)|0;B=0;eb(502,o|0,71825,72);u=B;B=0;do if(!(u&1)){B=0;eb(502,q|0,74254,23);a=B;B=0;if(a&1){a=Rb()|0;C=Q;Yua(o);Z=a;_=C;break}B=0;wa(510,s|0,t|0);C=B;B=0;if(C&1){C=Rb()|0;$=1;aa=Q;ba=C}else{B=0;ua(163,y|0,o|0,q|0,692,s|0);C=B;B=0;if(C&1)ca=1;else{B=0;eb(503,y|0,1240,229);B=0;ca=0}C=Rb()|0;a=Q;Yua(s);$=ca;aa=a;ba=C}Yua(q);Yua(o);if($){Z=ba;_=aa}else{da=aa;ea=ba;break b}}else{C=Rb()|0;Z=C;_=Q}while(0);zb(y|0);da=_;ea=Z}else S=47;while(0);if((S|0)==47){b=Rb()|0;da=Q;ea=b}k[n>>2]=27468;k[e>>2]=27488;k[t>>2]=27560;Yua(h);Ava(t);vva(e);T=da;U=ea;Qb(U|0)}while(0);V=X;W=Y;vva(e);Qb(W|0)}function Zt(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0.0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0;e=r;r=r+448|0;f=e+424|0;g=e+288|0;h=e+276|0;i=e+264|0;j=e+112|0;l=e+128|0;m=e+88|0;n=e+76|0;o=e+64|0;q=e+100|0;s=e+40|0;t=e+16|0;u=e+8|0;v=e;w=oC(k[a+16>>2]|0,d)|0;if(!w){x=g+56|0;y=g+4|0;k[g>>2]=27524;k[x>>2]=27544;B=0;wa(508,g+56|0,y|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;C=z;vva(x);Qb(C|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[x>>2]=27488;B=0;va(448,y|0);z=B;B=0;do if(z&1){D=Rb()|0;E=Q;F=D}else{k[y>>2]=27560;D=g+36|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;k[D+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,y|0,f|0);G=B;B=0;if(G&1){G=Rb()|0;H=Q;Yua(f);Yua(D);Ava(y);E=H;F=G;break}Yua(f);B=0;G=Ia(40,g|0,109148,6)|0;H=B;B=0;a:do if((((!(H&1)?(B=0,I=ya(427,d|0)|0,J=B,B=0,!(J&1)):0)?(J=Lta(I)|0,B=0,K=Ia(40,G|0,I|0,J|0)|0,J=B,B=0,!(J&1)):0)?(B=0,J=Ia(40,K|0,114879,10)|0,K=B,B=0,!(K&1)):0)?(B=0,Xa(239,J|0,0)|0,J=B,B=0,!(J&1)):0){J=Ab(20)|0;B=0;eb(502,h|0,71825,72);K=B;B=0;do if(!(K&1)){B=0;eb(502,i|0,74301,16);I=B;B=0;if(I&1){I=Rb()|0;L=Q;Yua(h);M=L;N=I;break}B=0;wa(510,j|0,y|0);I=B;B=0;if(I&1){I=Rb()|0;O=I;P=Q;R=1}else{B=0;ua(163,J|0,h|0,i|0,704,j|0);I=B;B=0;if(I&1)S=1;else{B=0;eb(503,J|0,1240,229);B=0;S=0}I=Rb()|0;L=Q;Yua(j);O=I;P=L;R=S}Yua(i);Yua(h);if(R){M=P;N=O}else{T=O;U=P;break a}}else{L=Rb()|0;M=Q;N=L}while(0);zb(J|0);T=N;U=M}else V=20;while(0);if((V|0)==20){G=Rb()|0;T=G;U=Q}k[g>>2]=27468;k[x>>2]=27488;k[y>>2]=27560;Yua(D);Ava(y);vva(x);W=T;X=U;Qb(W|0)}while(0);A=E;C=F;vva(x);Qb(C|0)}if((Hc[k[(k[w>>2]|0)+20>>2]&511](w)|0)==559){Jp(a,q);Ip(a,f);a=Qqa(64)|0;B=0;va(491,a|0);C=B;B=0;if(C&1){C=Rb()|0;x=Q;Sqa(a);W=C;X=x;Qb(W|0)}Fc[k[(k[a>>2]|0)+28>>2]&1023](a,0);nd[k[(k[w>>2]|0)+48>>2]&1023](w,u,a);C$(w,v,a);Y=+(k[q>>2]|0);p[s>>3]=+p[u>>3]/Y;p[t>>3]=+p[v>>3]/Y;Fc[k[(k[a>>2]|0)+28>>2]&1023](a,1);nd[k[(k[w>>2]|0)+48>>2]&1023](w,u,a);C$(w,v,a);Y=+(k[q+4>>2]|0);p[s+8>>3]=+p[u>>3]/Y;p[t+8>>3]=+p[v>>3]/Y;Fc[k[(k[a>>2]|0)+28>>2]&1023](a,2);nd[k[(k[w>>2]|0)+48>>2]&1023](w,u,a);C$(w,v,a);Y=+(k[q+8>>2]|0);p[s+16>>3]=+p[u>>3]/Y;p[t+16>>3]=+p[v>>3]/Y;Ec[k[(k[a>>2]|0)+4>>2]&1023](a);if(k[b>>2]|0){a=k[k[b+4>>2]>>2]|0;Dc[k[(k[a>>2]|0)+16>>2]&255](a,3,f,s,1)}if(!(k[c>>2]|0)){r=e;return}s=k[k[c+4>>2]>>2]|0;Dc[k[(k[s>>2]|0)+16>>2]&255](s,3,f,t,1);r=e;return}e=l+56|0;t=l+4|0;k[l>>2]=27524;k[e>>2]=27544;B=0;wa(508,l+56|0,t|0);s=B;B=0;if(s&1){s=Rb()|0;Z=Q;_=s;vva(e);Qb(_|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[e>>2]=27488;B=0;va(448,t|0);s=B;B=0;do if(s&1){c=Rb()|0;$=Q;aa=c}else{k[t>>2]=27560;c=l+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[l+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,t|0,f|0);a=B;B=0;if(a&1){a=Rb()|0;b=Q;Yua(f);Yua(c);Ava(t);$=b;aa=a;break}Yua(f);B=0;a=Ia(40,l|0,109148,6)|0;b=B;B=0;b:do if((((!(b&1)?(B=0,v=ya(427,d|0)|0,u=B,B=0,!(u&1)):0)?(u=Lta(v)|0,B=0,q=Ia(40,a|0,v|0,u|0)|0,u=B,B=0,!(u&1)):0)?(B=0,u=Ia(40,q|0,74278,22)|0,q=B,B=0,!(q&1)):0)?(B=0,Xa(239,u|0,0)|0,u=B,B=0,!(u&1)):0){u=Ab(20)|0;B=0;eb(502,m|0,71825,72);q=B;B=0;do if(!(q&1)){B=0;eb(502,n|0,74301,16);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(m);ba=w;ca=v;break}B=0;wa(510,o|0,t|0);v=B;B=0;if(v&1){v=Rb()|0;da=1;ea=v;fa=Q}else{B=0;ua(163,u|0,m|0,n|0,705,o|0);v=B;B=0;if(v&1)ga=1;else{B=0;eb(503,u|0,1240,229);B=0;ga=0}v=Rb()|0;w=Q;Yua(o);da=ga;ea=v;fa=w}Yua(n);Yua(m);if(da){ba=fa;ca=ea}else{ha=ea;ia=fa;break b}}else{w=Rb()|0;ba=Q;ca=w}while(0);zb(u|0);ha=ca;ia=ba}else V=47;while(0);if((V|0)==47){a=Rb()|0;ha=a;ia=Q}k[l>>2]=27468;k[e>>2]=27488;k[t>>2]=27560;Yua(c);Ava(t);vva(e);W=ha;X=ia;Qb(W|0)}while(0);Z=$;_=aa;vva(e);Qb(_|0)}function _t(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0.0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;d=r;r=r+368|0;e=d+352|0;f=d;g=d+216|0;h=d+200|0;i=d+64|0;j=d+48|0;l=d+36|0;m=d+24|0;xp(a,f,287);a=f+8|0;n=+p[a>>3]==1.0;o=f+16|0;q=+p[o>>3];if(n&q==1.0){s=1;t=30628;k[b>>2]=s;u=k[t>>2]|0;k[c>>2]=u;r=d;return}v=+p[f>>3];if(q==1.0&v==1.0){s=2;t=30636;k[b>>2]=s;u=k[t>>2]|0;k[c>>2]=u;r=d;return}if(!(v!=1.0|n^1)){s=0;t=30644;k[b>>2]=s;u=k[t>>2]|0;k[c>>2]=u;r=d;return}d=g+56|0;u=g+4|0;k[g>>2]=27524;k[d>>2]=27544;B=0;wa(508,g+56|0,u|0);c=B;B=0;if(c&1){c=Rb()|0;w=Q;x=c;vva(d);Qb(x|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[d>>2]=27488;B=0;va(448,u|0);c=B;B=0;do if(c&1){t=Rb()|0;y=Q;z=t}else{k[u>>2]=27560;t=g+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[g+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,u|0,e|0);s=B;B=0;if(s&1){s=Rb()|0;b=Q;Yua(e);Yua(t);Ava(u);y=b;z=s;break}Yua(e);B=0;s=Ia(40,g|0,71898,25)|0;b=B;B=0;do if((((((!(b&1)?(B=0,n=Sa(1,s|0,+(+p[f>>3]))|0,A=B,B=0,!(A&1)):0)?(B=0,A=Ia(40,n|0,149175,1)|0,n=B,B=0,!(n&1)):0)?(B=0,n=Sa(1,A|0,+(+p[a>>3]))|0,A=B,B=0,!(A&1)):0)?(B=0,A=Ia(40,n|0,149175,1)|0,n=B,B=0,!(n&1)):0)?(B=0,Sa(1,A|0,+(+p[o>>3]))|0,A=B,B=0,!(A&1)):0)?(B=0,wa(510,h|0,u|0),A=B,B=0,!(A&1)):0){B=0;ya(424,h|0)|0;A=B;B=0;if(A&1){A=Rb()|0;n=Q;Yua(h);C=n;D=A;break}Yua(h);k[g>>2]=27468;k[d>>2]=27488;k[u>>2]=27560;Yua(t);Ava(u);vva(d);A=i+56|0;n=i+4|0;k[i>>2]=27524;k[A>>2]=27544;B=0;wa(508,i+56|0,n|0);E=B;B=0;if(E&1){E=Rb()|0;F=Q;G=E;vva(A);Qb(G|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[A>>2]=27488;B=0;va(448,n|0);E=B;B=0;do if(E&1){H=Rb()|0;I=Q;J=H}else{k[n>>2]=27560;H=i+36|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;k[H+12>>2]=0;k[i+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,n|0,e|0);K=B;B=0;if(K&1){K=Rb()|0;L=Q;Yua(e);Yua(H);Ava(n);I=L;J=K;break}Yua(e);B=0;K=Ia(40,i|0,71924,32)|0;L=B;B=0;a:do if(L&1)M=37;else{B=0;Xa(239,K|0,0)|0;N=B;B=0;if(N&1){M=37;break}N=Ab(20)|0;B=0;eb(502,j|0,71825,72);O=B;B=0;do if(!(O&1)){B=0;eb(502,l|0,72104,17);P=B;B=0;if(P&1){P=Rb()|0;R=Q;Yua(j);S=R;T=P;break}B=0;wa(510,m|0,n|0);P=B;B=0;if(P&1){P=Rb()|0;U=1;V=Q;W=P}else{B=0;ua(163,N|0,j|0,l|0,767,m|0);P=B;B=0;if(P&1)X=1;else{B=0;eb(503,N|0,1240,229);B=0;X=0}P=Rb()|0;R=Q;Yua(m);U=X;V=R;W=P}Yua(l);Yua(j);if(U){S=V;T=W}else{Y=V;Z=W;break a}}else{P=Rb()|0;S=Q;T=P}while(0);zb(N|0);Y=S;Z=T}while(0);if((M|0)==37){K=Rb()|0;Y=Q;Z=K}k[i>>2]=27468;k[A>>2]=27488;k[n>>2]=27560;Yua(H);Ava(n);vva(A);_=Y;$=Z;Qb($|0)}while(0);F=I;G=J;vva(A);Qb(G|0)}else M=34;while(0);if((M|0)==34){s=Rb()|0;C=Q;D=s}k[g>>2]=27468;k[d>>2]=27488;k[u>>2]=27560;Yua(t);Ava(u);vva(d);_=C;$=D;Qb($|0)}while(0);w=y;x=z;vva(d);Qb(x|0)}function $t(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0.0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;d=r;r=r+368|0;e=d+352|0;f=d;g=d+216|0;h=d+200|0;i=d+64|0;j=d+48|0;l=d+36|0;m=d+24|0;xp(a,f,288);a=f+8|0;n=+p[a>>3]==1.0;o=f+16|0;q=+p[o>>3];if(n&q==1.0){s=1;t=30628;k[b>>2]=s;u=k[t>>2]|0;k[c>>2]=u;r=d;return}v=+p[f>>3];if(q==1.0&v==1.0){s=2;t=30636;k[b>>2]=s;u=k[t>>2]|0;k[c>>2]=u;r=d;return}if(!(v!=1.0|n^1)){s=0;t=30644;k[b>>2]=s;u=k[t>>2]|0;k[c>>2]=u;r=d;return}d=g+56|0;u=g+4|0;k[g>>2]=27524;k[d>>2]=27544;B=0;wa(508,g+56|0,u|0);c=B;B=0;if(c&1){c=Rb()|0;w=Q;x=c;vva(d);Qb(x|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[d>>2]=27488;B=0;va(448,u|0);c=B;B=0;do if(c&1){t=Rb()|0;y=Q;z=t}else{k[u>>2]=27560;t=g+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[g+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,u|0,e|0);s=B;B=0;if(s&1){s=Rb()|0;b=Q;Yua(e);Yua(t);Ava(u);y=b;z=s;break}Yua(e);B=0;s=Ia(40,g|0,72122,29)|0;b=B;B=0;do if((((((!(b&1)?(B=0,n=Sa(1,s|0,+(+p[f>>3]))|0,A=B,B=0,!(A&1)):0)?(B=0,A=Ia(40,n|0,149175,1)|0,n=B,B=0,!(n&1)):0)?(B=0,n=Sa(1,A|0,+(+p[a>>3]))|0,A=B,B=0,!(A&1)):0)?(B=0,A=Ia(40,n|0,149175,1)|0,n=B,B=0,!(n&1)):0)?(B=0,Sa(1,A|0,+(+p[o>>3]))|0,A=B,B=0,!(A&1)):0)?(B=0,wa(510,h|0,u|0),A=B,B=0,!(A&1)):0){B=0;ya(424,h|0)|0;A=B;B=0;if(A&1){A=Rb()|0;n=Q;Yua(h);C=n;D=A;break}Yua(h);k[g>>2]=27468;k[d>>2]=27488;k[u>>2]=27560;Yua(t);Ava(u);vva(d);A=i+56|0;n=i+4|0;k[i>>2]=27524;k[A>>2]=27544;B=0;wa(508,i+56|0,n|0);E=B;B=0;if(E&1){E=Rb()|0;F=Q;G=E;vva(A);Qb(G|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[A>>2]=27488;B=0;va(448,n|0);E=B;B=0;do if(E&1){H=Rb()|0;I=Q;J=H}else{k[n>>2]=27560;H=i+36|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;k[H+12>>2]=0;k[i+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,n|0,e|0);K=B;B=0;if(K&1){K=Rb()|0;L=Q;Yua(e);Yua(H);Ava(n);I=L;J=K;break}Yua(e);B=0;K=Ia(40,i|0,72152,36)|0;L=B;B=0;a:do if(L&1)M=37;else{B=0;Xa(239,K|0,0)|0;N=B;B=0;if(N&1){M=37;break}N=Ab(20)|0;B=0;eb(502,j|0,71825,72);O=B;B=0;do if(!(O&1)){B=0;eb(502,l|0,72189,20);P=B;B=0;if(P&1){P=Rb()|0;R=Q;Yua(j);S=R;T=P;break}B=0;wa(510,m|0,n|0);P=B;B=0;if(P&1){P=Rb()|0;U=1;V=Q;W=P}else{B=0;ua(163,N|0,j|0,l|0,805,m|0);P=B;B=0;if(P&1)X=1;else{B=0;eb(503,N|0,1240,229);B=0;X=0}P=Rb()|0;R=Q;Yua(m);U=X;V=R;W=P}Yua(l);Yua(j);if(U){S=V;T=W}else{Y=V;Z=W;break a}}else{P=Rb()|0;S=Q;T=P}while(0);zb(N|0);Y=S;Z=T}while(0);if((M|0)==37){K=Rb()|0;Y=Q;Z=K}k[i>>2]=27468;k[A>>2]=27488;k[n>>2]=27560;Yua(H);Ava(n);vva(A);_=Y;$=Z;Qb($|0)}while(0);F=I;G=J;vva(A);Qb(G|0)}else M=34;while(0);if((M|0)==34){s=Rb()|0;C=Q;D=s}k[g>>2]=27468;k[d>>2]=27488;k[u>>2]=27560;Yua(t);Ava(u);vva(d);_=C;$=D;Qb($|0)}while(0);w=y;x=z;vva(d);Qb(x|0)}function au(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0.0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;e=d;f=d+40|0;g=d+176|0;h=d+24|0;i=d+12|0;switch(c|0){case 215:{j=k[a+28>>2]|0;l=+Zc[k[(k[j>>2]|0)+52>>2]&255](j);p[b>>3]=l;r=d;return}case 671:{j=oC(k[a+16>>2]|0,671)|0;Fc[k[(k[j>>2]|0)+64>>2]&1023](j,e);p[b>>3]=+p[e>>3];r=d;return}default:{d=f+56|0;b=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,b|0);j=B;B=0;if(j&1){j=Rb()|0;m=Q;n=j;vva(d);Qb(n|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);j=B;B=0;do if(j&1){a=Rb()|0;o=Q;q=a}else{k[b>>2]=27560;a=f+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,b|0,e|0);s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(e);Yua(a);Ava(b);o=t;q=s;break}Yua(e);B=0;s=Ia(40,f|0,74318,14)|0;t=B;B=0;if((((!(t&1)?(B=0,t=ya(427,c|0)|0,u=B,B=0,!(u&1)):0)?(u=Lta(t)|0,B=0,v=Ia(40,s|0,t|0,u|0)|0,u=B,B=0,!(u&1)):0)?(B=0,u=Ia(40,v|0,146956,19)|0,v=B,B=0,!(v&1)):0)?(B=0,Xa(239,u|0,0)|0,u=B,B=0,!(u&1)):0){u=Ab(20)|0;B=0;eb(502,g|0,71825,72);v=B;B=0;do if(!(v&1)){B=0;eb(502,h|0,74333,15);t=B;B=0;if(t&1){t=Rb()|0;s=Q;Yua(g);w=s;x=t;break}B=0;wa(510,i|0,b|0);t=B;B=0;if(t&1){t=Rb()|0;y=Q;z=t;A=1}else{B=0;ua(163,u|0,g|0,h|0,828,i|0);t=B;B=0;if(t&1)C=1;else{B=0;eb(503,u|0,1240,229);B=0;C=0}t=Rb()|0;s=Q;Yua(i);y=s;z=t;A=C}Yua(h);Yua(g);if(A){w=y;x=z}else{D=y;E=z;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(E|0)}}else{t=Rb()|0;w=Q;x=t}while(0);zb(u|0);D=w;E=x;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(E|0)}v=Rb()|0;D=Q;E=v;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(E|0)}while(0);m=o;n=q;vva(d);Qb(n|0)}}}function bu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0.0,h=0.0,i=0.0,j=0.0,l=0.0,m=0.0;e=r;r=r+80|0;f=e;Ko(f,k[a+24>>2]|0,3,0);g=+p[f>>3];h=+p[f+8>>3];i=+p[f+24>>3];j=i<g?i:g;l=i>g?i:g;g=+p[f+32>>3];i=g<h?g:h;m=g>h?g:h;h=+p[f+48>>3];g=+p[f+56>>3];p[b>>3]=(h>l?h:l)-(h<j?h:j);p[c>>3]=(g>m?g:m)-(g<i?g:i);p[d>>3]=0.0;r=e;return}function cu(a){a=a|0;return k[a+44>>2]|0}function du(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0.0,l=0.0,m=0,n=0.0,o=0.0,q=0.0,s=0.0,t=0.0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;b=r;r=r+256|0;c=b;d=b+248|0;e=b+244|0;f=b+96|0;g=b+232|0;h=b+84|0;i=b+72|0;k[e>>2]=0;if(!($p(a)|0)){j=0.0;r=b;return +j}cp(a,d,298);switch(k[d>>2]|0){case 300:case 302:{Uo(a,e);l=+id[k[(k[a>>2]|0)+136>>2]&63](a,k[e>>2]|0);m=k[e>>2]|0;if(m)Tqa(m);k[e>>2]=0;Ko(c,k[a+24>>2]|0,3,0);n=+p[c>>3];o=+p[c+8>>3];q=+p[c+24>>3];s=+p[c+32>>3];t=+p[c+48>>3];u=+p[c+56>>3];j=(1.0-l)*((o*t+(n*s+(q*u-s*t)-o*q)-n*u)*.5);r=b;return +j}default:{}}b=f+56|0;a=f+4|0;k[f>>2]=27524;k[b>>2]=27544;B=0;wa(508,f+56|0,a|0);e=B;B=0;if(e&1){e=Rb()|0;v=Q;w=e;vva(b);Qb(w|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[b>>2]=27488;B=0;va(448,a|0);e=B;B=0;do if(e&1){m=Rb()|0;x=Q;y=m}else{k[a>>2]=27560;m=f+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,a|0,c|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(c);Yua(m);Ava(a);x=A;y=z;break}Yua(c);B=0;z=Ia(40,f|0,144639,5)|0;A=B;B=0;if((((!(A&1)?(B=0,A=ya(427,k[d>>2]|0)|0,C=B,B=0,!(C&1)):0)?(C=Lta(A)|0,B=0,D=Ia(40,z|0,A|0,C|0)|0,C=B,B=0,!(C&1)):0)?(B=0,C=Ia(40,D|0,146481,18)|0,D=B,B=0,!(D&1)):0)?(B=0,Xa(239,C|0,0)|0,C=B,B=0,!(C&1)):0){C=Ab(20)|0;B=0;eb(502,g|0,71825,72);D=B;B=0;do if(!(D&1)){B=0;eb(502,h|0,103020,12);A=B;B=0;if(A&1){A=Rb()|0;z=Q;Yua(g);E=z;F=A;break}B=0;wa(510,i|0,a|0);A=B;B=0;if(A&1){A=Rb()|0;G=Q;H=A;I=1}else{B=0;ua(163,C|0,g|0,h|0,871,i|0);A=B;B=0;if(A&1)J=1;else{B=0;eb(503,C|0,1240,229);B=0;J=0}A=Rb()|0;z=Q;Yua(i);G=z;H=A;I=J}Yua(h);Yua(g);if(I){E=G;F=H}else{K=G;L=H;k[f>>2]=27468;k[b>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(b);Qb(L|0)}}else{A=Rb()|0;E=Q;F=A}while(0);zb(C|0);K=E;L=F;k[f>>2]=27468;k[b>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(b);Qb(L|0)}D=Rb()|0;K=Q;L=D;k[f>>2]=27468;k[b>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(b);Qb(L|0)}while(0);v=x;w=y;vva(b);Qb(w|0);return +(0.0)}function eu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0;d=r;r=r+96|0;e=d+80|0;f=d+76|0;g=d+72|0;h=d+64|0;i=d+56|0;j=d+48|0;l=d+40|0;m=d+24|0;n=d;if(!(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0)){r=d;return}o=a+16|0;kC(k[o>>2]|0,e,533);switch(k[e>>2]|0){case 536:case 537:case 540:{e=a+24|0;q=c+4|0;s=b+4|0;t=Co(k[k[e>>2]>>2]|0)|0;if(k[b>>2]|0){u=k[k[s>>2]>>2]|0;Jc[k[(k[u>>2]|0)+20>>2]&1](u,t,9999.0,0)}t=Co(k[k[e>>2]>>2]|0)|0;if(k[c>>2]|0){u=k[k[q>>2]>>2]|0;Jc[k[(k[u>>2]|0)+20>>2]&1](u,t,9999.0,0)}t=Co(k[(k[e>>2]|0)+4>>2]|0)|0;if(k[b>>2]|0){u=k[k[s>>2]>>2]|0;Jc[k[(k[u>>2]|0)+20>>2]&1](u,t,9999.0,0)}t=Co(k[(k[e>>2]|0)+4>>2]|0)|0;if(k[c>>2]|0){u=k[k[q>>2]>>2]|0;Jc[k[(k[u>>2]|0)+20>>2]&1](u,t,9999.0,0)}t=Co(k[(k[e>>2]|0)+8>>2]|0)|0;if(k[b>>2]|0){u=k[k[s>>2]>>2]|0;Jc[k[(k[u>>2]|0)+20>>2]&1](u,t,9999.0,0)}t=Co(k[(k[e>>2]|0)+8>>2]|0)|0;if(k[c>>2]|0){e=k[k[q>>2]>>2]|0;Jc[k[(k[e>>2]|0)+20>>2]&1](e,t,9999.0,0)}break}default:{k[f>>2]=0;k[g>>2]=0;Uo(a,f);Fc[k[(k[a>>2]|0)+188>>2]&1023](a,g);t=oC(k[o>>2]|0,653)|0;e=oC(k[o>>2]|0,64)|0;q=oC(k[o>>2]|0,63)|0;u=oC(k[o>>2]|0,674)|0;s=oC(k[o>>2]|0,677)|0;o=ed[k[(k[a>>2]|0)+324>>2]&511](a,1)|0;Fc[k[(k[o>>2]|0)+24>>2]&1023](o,0);if(_p(a)|0){nd[k[(k[e>>2]|0)+48>>2]&1023](e,l,o);nd[k[(k[q>>2]|0)+48>>2]&1023](q,j,o);q=a+24|0;if(+p[l>>3]<+p[j>>3]){v=q;w=12}else{x=q;w=11}}else{Xo(a,n,k[f>>2]|0,o,u,s);q=k[a+28>>2]|0;Tc[k[(k[q>>2]|0)+108>>2]&15](q,i,2,k[f>>2]|0,o,u,s,0);nd[k[(k[t>>2]|0)+48>>2]&1023](t,h,o);nd[k[(k[e>>2]|0)+48>>2]&1023](e,l,o);y=+p[i>>3]*2.0;z=+p[h>>3];A=y*+p[n>>3]-z;B=y*+p[n+8>>3]-z;z=y*+p[n+16>>3];nd[k[(k[a>>2]|0)+380>>2]&1023](a,m,k[g>>2]|0);y=+p[m>>3];C=+p[m+8>>3];m=a+32|0;+WJ(k[m>>2]|0,265);D=+WJ(k[m>>2]|0,266);E=D*+WJ(k[m>>2]|0,65);m=a+24|0;if(z*2.0*y*C+(y*(A*y)+C*(B*C))<E*+p[l>>3]){v=m;w=12}else{x=m;w=11}}if((w|0)==11){m=c+4|0;l=Co(k[k[x>>2]>>2]|0)|0;if(k[c>>2]|0){a=k[k[m>>2]>>2]|0;Jc[k[(k[a>>2]|0)+20>>2]&1](a,l,1.0,0)}l=Co(k[(k[x>>2]|0)+4>>2]|0)|0;if(k[c>>2]|0){a=k[k[m>>2]>>2]|0;Jc[k[(k[a>>2]|0)+20>>2]&1](a,l,1.0,0)}l=Co(k[(k[x>>2]|0)+8>>2]|0)|0;if(k[c>>2]|0){c=k[k[m>>2]>>2]|0;Jc[k[(k[c>>2]|0)+20>>2]&1](c,l,1.0,0)}}else if((w|0)==12){w=b+4|0;l=Co(k[k[v>>2]>>2]|0)|0;if(k[b>>2]|0){c=k[k[w>>2]>>2]|0;Jc[k[(k[c>>2]|0)+20>>2]&1](c,l,1.0,0)}l=Co(k[(k[v>>2]|0)+4>>2]|0)|0;if(k[b>>2]|0){c=k[k[w>>2]>>2]|0;Jc[k[(k[c>>2]|0)+20>>2]&1](c,l,1.0,0)}l=Co(k[(k[v>>2]|0)+8>>2]|0)|0;if(k[b>>2]|0){b=k[k[w>>2]>>2]|0;Jc[k[(k[b>>2]|0)+20>>2]&1](b,l,1.0,0)}}if(o)Ec[k[(k[o>>2]|0)+4>>2]&1023](o);o=k[f>>2]|0;if(o)Tqa(o);k[f>>2]=0;f=k[g>>2]|0;if(f)Tqa(f)}}r=d;return}function fu(a){a=a|0;var b=0,c=0,d=0.0,e=0.0,f=0.0,g=0.0,h=0.0,i=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0;b=r;r=r+80|0;c=b;Ko(c,k[a+24>>2]|0,3,0);d=+p[c>>3];e=+p[c+8>>3];f=+p[c+16>>3];g=+p[c+24>>3];h=+p[c+32>>3];i=+p[c+40>>3];j=+p[c+48>>3];l=+p[c+56>>3];m=+p[c+64>>3];n=g*l+(e*j+(d*h-e*g-d*l))-h*j;o=h*m+(f*l+(e*i-f*h-e*m))-i*l;l=i*j+(f*g-d*i+d*m-f*j-g*m);m=+aa(+(l*l+(n*n+o*o)))*.5;r=b;return +m}function gu(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0.0,D=0.0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;g=r;r=r+240|0;h=g+224|0;i=g+212|0;j=g+200|0;l=g;m=g+64|0;n=g+48|0;o=g+36|0;q=g+24|0;s=Rqa(12)|0;xp(a,l,e);if(!(+p[l>>3]<=f)){k[j>>2]=0;t=0;u=1}else{k[i>>2]=0;t=1;u=0}if(!(+p[l+8>>3]<=f)){k[j+(u<<2)>>2]=1;v=t;w=u+1|0}else{k[i+(t<<2)>>2]=1;v=t+1|0;w=u}if(!(+p[l+16>>3]<=f)){k[j+(w<<2)>>2]=2;u=w+1|0;if((v|0)>0){TEa(s|0,i|0,v<<2|0)|0;x=v;y=u;z=6}else{x=0;y=u;z=6}}else{k[i+(v<<2)>>2]=2;u=v+1|0;TEa(s|0,i|0,u<<2|0)|0;if((w|0)>0){x=u;y=w;z=6}else A=u}if((z|0)==6){TEa(s+(x<<2)|0,j|0,y<<2|0)|0;A=x}switch(A|0){case 0:{k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[b>>2]=s;k[c>>2]=A;r=g;return}case 1:{C=+p[l+(k[s>>2]<<3)>>3];D=f-C;p[d>>3]=D/(+p[l+(k[s+4>>2]<<3)>>3]-C);p[d+8>>3]=D/(+p[l+(k[s+8>>2]<<3)>>3]-C);k[b>>2]=s;k[c>>2]=A;r=g;return}case 2:{C=+p[l+(k[s+8>>2]<<3)>>3];D=+p[l+(k[s>>2]<<3)>>3];p[d>>3]=(f-D)/(C-D);D=+p[l+(k[s+4>>2]<<3)>>3];p[d+8>>3]=(f-D)/(C-D);k[b>>2]=s;k[c>>2]=A;r=g;return}case 3:{p[d>>3]=1.0;p[d+8>>3]=1.0;k[b>>2]=s;k[c>>2]=A;r=g;return}default:{g=m+56|0;A=m+4|0;k[m>>2]=27524;k[g>>2]=27544;B=0;wa(508,m+56|0,A|0);c=B;B=0;if(c&1){c=Rb()|0;E=Q;F=c;vva(g);Qb(F|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[g>>2]=27488;B=0;va(448,A|0);c=B;B=0;do if(c&1){s=Rb()|0;G=Q;H=s}else{k[A>>2]=27560;s=m+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[m+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,A|0,h|0);b=B;B=0;if(b&1){b=Rb()|0;d=Q;Yua(h);Yua(s);Ava(A);G=d;H=b;break}Yua(h);B=0;b=Ia(40,m|0,72210,62)|0;d=B;B=0;if(!(d&1)?(B=0,Xa(239,b|0,0)|0,b=B,B=0,!(b&1)):0){b=Ab(20)|0;B=0;eb(502,n|0,71825,72);d=B;B=0;do if(!(d&1)){B=0;eb(502,o|0,72273,23);l=B;B=0;if(l&1){l=Rb()|0;x=Q;Yua(n);I=x;J=l;break}B=0;wa(510,q|0,A|0);l=B;B=0;if(l&1){l=Rb()|0;K=Q;L=l;M=1}else{B=0;ua(163,b|0,n|0,o|0,1407,q|0);l=B;B=0;if(l&1)N=1;else{B=0;eb(503,b|0,1240,229);B=0;N=0}l=Rb()|0;x=Q;Yua(q);K=x;L=l;M=N}Yua(o);Yua(n);if(M){I=K;J=L}else{O=K;P=L;k[m>>2]=27468;k[g>>2]=27488;k[A>>2]=27560;Yua(s);Ava(A);vva(g);Qb(P|0)}}else{l=Rb()|0;I=Q;J=l}while(0);zb(b|0);O=I;P=J;k[m>>2]=27468;k[g>>2]=27488;k[A>>2]=27560;Yua(s);Ava(A);vva(g);Qb(P|0)}d=Rb()|0;O=Q;P=d;k[m>>2]=27468;k[g>>2]=27488;k[A>>2]=27560;Yua(s);Ava(A);vva(g);Qb(P|0)}while(0);E=G;F=H;vva(g);Qb(F|0)}}}function hu(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0,D=0.0;f=r;r=r+144|0;g=f+72|0;h=f;Ko(g,k[a+24>>2]|0,3,0);i=+p[g>>3];j=+p[g+8>>3];l=+p[g+24>>3];m=+p[g+32>>3];n=+p[g+48>>3];o=+p[g+56>>3];k[h>>2]=k[d>>2];k[h+4>>2]=k[d+4>>2];k[h+8>>2]=k[d+8>>2];k[h+12>>2]=k[d+12>>2];k[h+16>>2]=k[d+16>>2];k[h+20>>2]=k[d+20>>2];g=h+24|0;a=d+24|0;k[g>>2]=k[a>>2];k[g+4>>2]=k[a+4>>2];k[g+8>>2]=k[a+8>>2];k[g+12>>2]=k[a+12>>2];k[g+16>>2]=k[a+16>>2];k[g+20>>2]=k[a+20>>2];q=h+48|0;s=d+48|0;k[q>>2]=k[s>>2];k[q+4>>2]=k[s+4>>2];k[q+8>>2]=k[s+8>>2];k[q+12>>2]=k[s+12>>2];k[q+16>>2]=k[s+16>>2];k[q+20>>2]=k[s+20>>2];t=(j*n+(i*m+(l*o-m*n)-j*l)-i*o)*.5;if((e|0)<=0){r=f;return}u=h+56|0;v=h+32|0;w=h+8|0;o=+p[g>>3];i=+p[v>>3];x=0;do{y=x*3|0;z=c+(y<<3)|0;A=b+(y<<3)|0;k[h>>2]=k[z>>2];k[h+4>>2]=k[z+4>>2];k[h+8>>2]=k[z+8>>2];k[h+12>>2]=k[z+12>>2];k[h+16>>2]=k[z+16>>2];k[h+20>>2]=k[z+20>>2];l=+p[u>>3];j=+p[q>>3];n=+p[h>>3];m=+p[w>>3];B=+$(+(j*m+(o*l-i*j+i*n-o*m)-l*n))*.5/t;p[A>>3]=B;k[h>>2]=k[d>>2];k[h+4>>2]=k[d+4>>2];k[h+8>>2]=k[d+8>>2];k[h+12>>2]=k[d+12>>2];k[h+16>>2]=k[d+16>>2];k[h+20>>2]=k[d+20>>2];k[g>>2]=k[z>>2];k[g+4>>2]=k[z+4>>2];k[g+8>>2]=k[z+8>>2];k[g+12>>2]=k[z+12>>2];k[g+16>>2]=k[z+16>>2];k[g+20>>2]=k[z+20>>2];B=+p[g>>3];n=+p[v>>3];m=+p[h>>3];C=+p[w>>3];D=+$(+(j*C+(B*l-n*j+n*m-B*C)-l*m))*.5/t;p[A+8>>3]=D;k[g>>2]=k[a>>2];k[g+4>>2]=k[a+4>>2];k[g+8>>2]=k[a+8>>2];k[g+12>>2]=k[a+12>>2];k[g+16>>2]=k[a+16>>2];k[g+20>>2]=k[a+20>>2];k[q>>2]=k[z>>2];k[q+4>>2]=k[z+4>>2];k[q+8>>2]=k[z+8>>2];k[q+12>>2]=k[z+12>>2];k[q+16>>2]=k[z+16>>2];k[q+20>>2]=k[z+20>>2];o=+p[g>>3];D=+p[u>>3];i=+p[v>>3];l=+p[q>>3];B=+$(+(l*C+(o*D-i*l+i*m-o*C)-D*m))*.5/t;p[A+16>>3]=B;k[q>>2]=k[s>>2];k[q+4>>2]=k[s+4>>2];k[q+8>>2]=k[s+8>>2];k[q+12>>2]=k[s+12>>2];k[q+16>>2]=k[s+16>>2];k[q+20>>2]=k[s+20>>2];x=x+1|0}while((x|0)!=(e|0));r=f;return}function iu(a){a=a|0;return k[a+44>>2]|0}function ju(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,s=0,t=0;f=r;r=r+32|0;g=f;xp(a,g,928);h=+p[g>>3];if(h==0.0){j=h+1.0e-15;p[g>>3]=j;l=j}else l=h;a=g+8|0;h=+p[a>>3];if(h==0.0){j=h+1.0e-15;p[a>>3]=j;m=j}else m=h;a=g+16|0;h=+p[a>>3];if(h==0.0){j=h+1.0e-15;p[a>>3]=j;n=j}else n=h;do if(!(l>0.0&m>0.0&n>0.0))if(!(l<0.0&m<0.0&n<0.0)){h=l*m;a=!(h*n<0.0);if(h>0.0){o=n/(n-l);q=n/(n-m);s=a;t=2;break}if(m*n>0.0){o=l/(l-m);q=l/(l-n);s=a;t=0;break}if(l*n>0.0){o=m/(m-n);q=m/(m-l);s=a;t=1}else{o=0.0;q=0.0;s=a;t=0}}else{o=0.0;q=0.0;s=1;t=0}else{o=1.0;q=1.0;s=1;t=0}while(0);k[b>>2]=t;p[c>>3]=o;p[d>>3]=q;i[e>>0]=s&1;r=f;return}function ku(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0,A=0.0,C=0.0,D=0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0,L=0.0,M=0.0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0;c=r;r=r+496|0;d=c+472|0;e=c+468|0;f=c+464|0;g=c+460|0;h=c+104|0;i=c+96|0;j=c+72|0;l=c;m=c+312|0;n=c+448|0;o=c+296|0;q=c+148|0;s=c+160|0;t=c+136|0;u=c+124|0;v=c+112|0;cO(k[a+36>>2]|0,e,298);xp(a,j,928);w=+p[j>>3];if(w==0.0){x=w+1.0e-15;p[j>>3]=x;y=x}else y=w;z=j+8|0;w=+p[z>>3];if(w==0.0){x=w+1.0e-15;p[z>>3]=x;A=x}else A=w;z=j+16|0;w=+p[z>>3];if(w==0.0){x=w+1.0e-15;p[z>>3]=x;C=x}else C=w;z=k[e>>2]|0;do if((z|0)==301){_t(a,f,g);w=+p[j+(k[f>>2]<<3)>>3];D=w>0.0;if(D?+p[j+(k[g>>2]<<3)>>3]>0.0:0){E=1.0;break}x=+p[j+(k[g>>2]<<3)>>3];if(w<0.0){if(x<0.0){E=0.0;break}F=+p[j+(k[g>>2]<<3)>>3];if(F>0.0){E=1.0/(1.0-w/F);break}else G=F}else G=x;if(!(G<0.0)|D^1)E=0.0;else E=1.0/(1.0-G/w)}else{if((z&-3|0)==300){if(y>0.0&A>0.0&C>0.0){E=1.0;break}if(y<0.0&A<0.0&C<0.0){E=0.0;break}w=y*A;D=!(w*C>0.0);do if(!(w>0.0)){if(A*C>0.0){x=+p[b>>3];p[l>>3]=x;F=+p[b+8>>3];p[l+8>>3]=F;H=+p[b+16>>3];p[l+16>>3]=H;I=y/(y-A);J=y/(y-C);p[l+24>>3]=x+I*(+p[b+24>>3]-x);p[l+32>>3]=F+I*(+p[b+32>>3]-F);p[l+40>>3]=H+I*(+p[b+40>>3]-H);p[l+48>>3]=x+J*(+p[b+48>>3]-x);p[l+56>>3]=F+J*(+p[b+56>>3]-F);p[l+64>>3]=H+J*(+p[b+64>>3]-H);K=l;break}if(y*C>0.0){H=+p[b+24>>3];p[l+24>>3]=H;J=+p[b+32>>3];p[l+32>>3]=J;F=+p[b+40>>3];p[l+40>>3]=F;x=A/(A-y);I=A/(A-C);p[l>>3]=H+x*(+p[b>>3]-H);p[l+8>>3]=J+x*(+p[b+8>>3]-J);p[l+16>>3]=F+x*(+p[b+16>>3]-F);p[l+48>>3]=H+I*(+p[b+48>>3]-H);p[l+56>>3]=J+I*(+p[b+56>>3]-J);p[l+64>>3]=F+I*(+p[b+64>>3]-F);K=l;break}else{K=l;break}}else{F=+p[b+48>>3];p[l+48>>3]=F;I=+p[b+56>>3];p[l+56>>3]=I;J=+p[b+64>>3];p[l+64>>3]=J;H=C/(C-A);x=C/(C-y);p[l+24>>3]=F+H*(+p[b+24>>3]-F);p[l+32>>3]=I+H*(+p[b+32>>3]-I);p[l+40>>3]=J+H*(+p[b+40>>3]-J);p[l>>3]=F+x*(+p[b>>3]-F);p[l+8>>3]=I+x*(+p[b+8>>3]-I);p[l+16>>3]=J+x*(+p[b+16>>3]-J);K=l}while(0);uw(a,h,b,0);uw(a,i,K,0);if(D){w=+p[h>>3];J=w-+p[i>>3];p[i>>3]=J;L=J;M=w}else{L=+p[i>>3];M=+p[h>>3]}E=L/M;break}N=m+56|0;O=m+4|0;k[m>>2]=27524;k[N>>2]=27544;B=0;wa(508,m+56|0,O|0);P=B;B=0;if(P&1){P=Rb()|0;R=Q;S=P;vva(N);Qb(S|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[N>>2]=27488;B=0;va(448,O|0);P=B;B=0;do if(P&1){T=Rb()|0;U=Q;V=T}else{k[O>>2]=27560;T=m+36|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;k[T+12>>2]=0;k[m+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,O|0,d|0);W=B;B=0;if(W&1){W=Rb()|0;X=Q;Yua(d);Yua(T);Ava(O);U=X;V=W;break}Yua(d);B=0;W=Ia(40,m|0,144674,10)|0;X=B;B=0;a:do if((((!(X&1)?(B=0,Y=ya(427,k[e>>2]|0)|0,Z=B,B=0,!(Z&1)):0)?(Z=Lta(Y)|0,B=0,_=Ia(40,W|0,Y|0,Z|0)|0,Z=B,B=0,!(Z&1)):0)?(B=0,Z=Ia(40,_|0,72297,18)|0,_=B,B=0,!(_&1)):0)?(B=0,Xa(239,Z|0,0)|0,Z=B,B=0,!(Z&1)):0){Z=Ab(20)|0;B=0;eb(502,n|0,71825,72);_=B;B=0;do if(!(_&1)){B=0;eb(502,o|0,74430,18);Y=B;B=0;if(Y&1){Y=Rb()|0;$=Q;Yua(n);aa=$;ba=Y;break}B=0;wa(510,q|0,O|0);Y=B;B=0;if(Y&1){Y=Rb()|0;ca=Y;da=Q;ea=1}else{B=0;ua(163,Z|0,n|0,o|0,1240,q|0);Y=B;B=0;if(Y&1)fa=1;else{B=0;eb(503,Z|0,1240,229);B=0;fa=0}Y=Rb()|0;$=Q;Yua(q);ca=Y;da=$;ea=fa}Yua(o);Yua(n);if(ea){aa=da;ba=ca}else{ga=da;ha=ca;break a}}else{$=Rb()|0;aa=Q;ba=$}while(0);zb(Z|0);ga=aa;ha=ba}else ia=48;while(0);if((ia|0)==48){W=Rb()|0;ga=Q;ha=W}k[m>>2]=27468;k[N>>2]=27488;k[O>>2]=27560;Yua(T);Ava(O);vva(N);ja=ga;ka=ha;Qb(ka|0)}while(0);R=U;S=V;vva(N);Qb(S|0)}while(0);if(!(E>1.0|E<0.0)){r=c;return +E}c=s+56|0;S=s+4|0;k[s>>2]=27524;k[c>>2]=27544;B=0;wa(508,s+56|0,S|0);V=B;B=0;if(V&1){V=Rb()|0;la=Q;ma=V;vva(c);Qb(ma|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[c>>2]=27488;B=0;va(448,S|0);V=B;B=0;do if(V&1){U=Rb()|0;na=Q;oa=U}else{k[S>>2]=27560;U=s+36|0;k[U>>2]=0;k[U+4>>2]=0;k[U+8>>2]=0;k[U+12>>2]=0;k[s+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,S|0,d|0);R=B;B=0;if(R&1){R=Rb()|0;ha=Q;Yua(d);Yua(U);Ava(S);na=ha;oa=R;break}Yua(d);B=0;R=Ia(40,s|0,74349,80)|0;ha=B;B=0;b:do if(!(ha&1)?(B=0,Xa(239,R|0,0)|0,ga=B,B=0,!(ga&1)):0){ga=Ab(20)|0;B=0;eb(502,t|0,71825,72);m=B;B=0;do if(!(m&1)){B=0;eb(502,u|0,74430,18);ba=B;B=0;if(ba&1){ba=Rb()|0;aa=Q;Yua(t);pa=ba;qa=aa;break}B=0;wa(510,v|0,S|0);aa=B;B=0;if(aa&1){aa=Rb()|0;ra=1;sa=Q;ta=aa}else{B=0;ua(163,ga|0,t|0,u|0,1242,v|0);aa=B;B=0;if(aa&1)xa=1;else{B=0;eb(503,ga|0,1240,229);B=0;xa=0}aa=Rb()|0;ba=Q;Yua(v);ra=xa;sa=ba;ta=aa}Yua(u);Yua(t);if(ra){pa=ta;qa=sa}else{za=sa;Aa=ta;break b}}else{aa=Rb()|0;pa=aa;qa=Q}while(0);zb(ga|0);za=qa;Aa=pa}else ia=72;while(0);if((ia|0)==72){R=Rb()|0;za=Q;Aa=R}k[s>>2]=27468;k[c>>2]=27488;k[S>>2]=27560;Yua(U);Ava(S);vva(c);ja=za;ka=Aa;Qb(ka|0)}while(0);la=na;ma=oa;vva(c);Qb(ma|0);return +(0.0)}function lu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0;e=r;r=r+32|0;f=e;xp(a,f,d);d=Rqa(12)|0;if(!(+p[f>>3]>=0.0))g=0;else{k[d>>2]=0;g=1}if(!(+p[f+8>>3]>=0.0))h=g;else{k[d+(g<<2)>>2]=1;h=g+1|0}if(!(+p[f+16>>3]>=0.0))i=h;else{k[d+(h<<2)>>2]=2;i=h+1|0}h=k[d>>2]|0;f=d+4|0;g=k[f>>2]|0;if(((h+3-g|0)%3|0|0)==2)j=h;else{k[d>>2]=g;k[f>>2]=h;j=g}g=i*3|0;h=Rqa(g>>>0>536870911?-1:g<<3)|0;if((i|0)<=0){k[b>>2]=h;Tqa(d);r=e;return}g=c+(j*3<<3)|0;k[h>>2]=k[g>>2];k[h+4>>2]=k[g+4>>2];k[h+8>>2]=k[g+8>>2];k[h+12>>2]=k[g+12>>2];k[h+16>>2]=k[g+16>>2];k[h+20>>2]=k[g+20>>2];if((i|0)==1){k[b>>2]=h;Tqa(d);r=e;return}else l=1;do{g=h+(l*24|0)|0;j=c+((k[d+(l<<2)>>2]|0)*3<<3)|0;k[g>>2]=k[j>>2];k[g+4>>2]=k[j+4>>2];k[g+8>>2]=k[j+8>>2];k[g+12>>2]=k[j+12>>2];k[g+16>>2]=k[j+16>>2];k[g+20>>2]=k[j+20>>2];l=l+1|0}while((l|0)!=(i|0));k[b>>2]=h;Tqa(d);r=e;return}function mu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;i=e+12|0;j=e;l=oC(k[a+16>>2]|0,d)|0;if(l){m=Qqa(64)|0;B=0;va(491,m|0);n=B;B=0;if(!(n&1)){n=k[(k[m>>2]|0)+28>>2]|0;o=ed[k[(k[a>>2]|0)+160>>2]&511](a,c)|0;Fc[n&1023](m,o);nd[k[(k[l>>2]|0)+48>>2]&1023](l,b,m);Ec[k[(k[m>>2]|0)+4>>2]&1023](m);r=e;return}e=Rb()|0;b=Q;Sqa(m);p=e;q=b;Qb(p|0)}b=g+56|0;e=g+4|0;k[g>>2]=27524;k[b>>2]=27544;B=0;wa(508,g+56|0,e|0);m=B;B=0;if(m&1){m=Rb()|0;s=Q;t=m;vva(b);Qb(t|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[b>>2]=27488;B=0;va(448,e|0);m=B;B=0;do if(m&1){l=Rb()|0;u=Q;v=l}else{k[e>>2]=27560;l=g+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,e|0,f|0);o=B;B=0;if(o&1){o=Rb()|0;n=Q;Yua(f);Yua(l);Ava(e);u=n;v=o;break}Yua(f);B=0;o=Ia(40,g|0,74449,17)|0;n=B;B=0;a:do if((((!(n&1)?(B=0,c=ya(427,d|0)|0,a=B,B=0,!(a&1)):0)?(a=Lta(c)|0,B=0,w=Ia(40,o|0,c|0,a|0)|0,a=B,B=0,!(a&1)):0)?(B=0,a=Ia(40,w|0,74467,14)|0,w=B,B=0,!(w&1)):0)?(B=0,Xa(239,a|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,h|0,71825,72);w=B;B=0;do if(!(w&1)){B=0;eb(502,i|0,121355,13);c=B;B=0;if(c&1){c=Rb()|0;x=Q;Yua(h);y=c;z=x;break}B=0;wa(510,j|0,e|0);x=B;B=0;if(x&1){x=Rb()|0;A=x;C=Q;D=1}else{B=0;ua(163,a|0,h|0,i|0,1290,j|0);x=B;B=0;if(x&1)E=1;else{B=0;eb(503,a|0,1240,229);B=0;E=0}x=Rb()|0;c=Q;Yua(j);A=x;C=c;D=E}Yua(i);Yua(h);if(D){y=A;z=C}else{F=A;G=C;break a}}else{c=Rb()|0;y=c;z=Q}while(0);zb(a|0);F=y;G=z}else H=20;while(0);if((H|0)==20){o=Rb()|0;F=o;G=Q}k[g>>2]=27468;k[b>>2]=27488;k[e>>2]=27560;Yua(l);Ava(e);vva(b);p=F;q=G;Qb(p|0)}while(0);s=u;t=v;vva(b);Qb(t|0)}function nu(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,h=0,i=0,j=0,l=0,m=0;f=r;r=r+32|0;g=f;xp(a,g,d);d=Rqa(12)|0;if(+p[g>>3]==e){k[d>>2]=0;h=1}else h=0;if(+p[g+8>>3]==e){k[d+(h<<2)>>2]=1;i=h+1|0}else i=h;if(+p[g+16>>3]==e){k[d+(i<<2)>>2]=2;j=i+1|0}else j=i;i=k[d>>2]|0;g=d+4|0;h=k[g>>2]|0;if(((i+3-h|0)%3|0|0)==2)l=i;else{k[d>>2]=h;k[g>>2]=i;l=h}h=j*3|0;i=Rqa(h>>>0>536870911?-1:h<<3)|0;if((j|0)<=0){k[b>>2]=i;Tqa(d);r=f;return}h=c+(l*3<<3)|0;k[i>>2]=k[h>>2];k[i+4>>2]=k[h+4>>2];k[i+8>>2]=k[h+8>>2];k[i+12>>2]=k[h+12>>2];k[i+16>>2]=k[h+16>>2];k[i+20>>2]=k[h+20>>2];if((j|0)==1){k[b>>2]=i;Tqa(d);r=f;return}else m=1;do{h=i+(m*24|0)|0;l=c+((k[d+(m<<2)>>2]|0)*3<<3)|0;k[h>>2]=k[l>>2];k[h+4>>2]=k[l+4>>2];k[h+8>>2]=k[l+8>>2];k[h+12>>2]=k[l+12>>2];k[h+16>>2]=k[l+16>>2];k[h+20>>2]=k[l+20>>2];m=m+1|0}while((m|0)!=(j|0));k[b>>2]=i;Tqa(d);r=f;return}function ou(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0.0,h=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0,r=0;g=+p[f>>3];if(g==0.0){h=g+1.0e-15;p[f>>3]=h;j=h}else j=g;a=f+8|0;g=+p[a>>3];if(g==0.0){h=g+1.0e-15;p[a>>3]=h;l=h}else l=g;a=f+16|0;g=+p[a>>3];if(g==0.0){h=g+1.0e-15;p[a>>3]=h;m=h}else m=g;do if(!(j>0.0&l>0.0&m>0.0))if(!(j<0.0&l<0.0&m<0.0)){g=j*l;a=!(g*m<0.0);if(g>0.0){n=m/(m-j);o=m/(m-l);q=a;r=2;break}if(l*m>0.0){n=j/(j-l);o=j/(j-m);q=a;r=0;break}if(j*m>0.0){n=l/(l-m);o=l/(l-j);q=a;r=1}else{n=0.0;o=0.0;q=a;r=0}}else{n=0.0;o=0.0;q=1;r=0}else{n=1.0;o=1.0;q=1;r=0}while(0);k[b>>2]=r;p[c>>3]=n;p[d>>3]=o;i[e>>0]=q&1;return}function pu(a,b){a=a|0;b=b|0;return k[(k[a+20>>2]|0)+(b<<2)>>2]|0}function qu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;i=k[a+20>>2]|0;if((k[i>>2]|0)==(b|0)){j=0;r=c;return j|0}if((k[i+4>>2]|0)==(b|0)){j=1;r=c;return j|0}if((k[i+8>>2]|0)==(b|0)){j=2;r=c;return j|0}j=e+56|0;c=e+4|0;k[e>>2]=27524;k[j>>2]=27544;B=0;wa(508,e+56|0,c|0);b=B;B=0;if(b&1){b=Rb()|0;l=Q;m=b;vva(j);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[j>>2]=27488;B=0;va(448,c|0);b=B;B=0;do if(b&1){i=Rb()|0;n=Q;o=i}else{k[c>>2]=27560;i=e+36|0;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;k[i+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,c|0,d|0);a=B;B=0;if(a&1){a=Rb()|0;p=Q;Yua(d);Yua(i);Ava(c);n=p;o=a;break}Yua(d);B=0;a=Ia(40,e|0,74482,43)|0;p=B;B=0;if(!(p&1)?(B=0,Xa(239,a|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,f|0,71825,72);p=B;B=0;do if(!(p&1)){B=0;eb(502,g|0,74526,12);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(f);t=s;u=q;break}B=0;wa(510,h|0,c|0);q=B;B=0;if(q&1){q=Rb()|0;v=Q;w=q;x=1}else{B=0;ua(163,a|0,f|0,g|0,1478,h|0);q=B;B=0;if(q&1)y=1;else{B=0;eb(503,a|0,1240,229);B=0;y=0}q=Rb()|0;s=Q;Yua(h);v=s;w=q;x=y}Yua(g);Yua(f);if(x){t=v;u=w}else{z=v;A=w;k[e>>2]=27468;k[j>>2]=27488;k[c>>2]=27560;Yua(i);Ava(c);vva(j);Qb(A|0)}}else{q=Rb()|0;t=Q;u=q}while(0);zb(a|0);z=t;A=u;k[e>>2]=27468;k[j>>2]=27488;k[c>>2]=27560;Yua(i);Ava(c);vva(j);Qb(A|0)}p=Rb()|0;z=Q;A=p;k[e>>2]=27468;k[j>>2]=27488;k[c>>2]=27560;Yua(i);Ava(c);vva(j);Qb(A|0)}while(0);l=n;m=o;vva(j);Qb(m|0);return 0}function ru(a){a=a|0;var b=0;if(!(k[a+20>>2]|0)){b=0;return b|0}b=qw(a,k[a+44>>2]|0)|0;return b|0}function su(a,b){a=a|0;b=b|0;return qw(a,b)|0}function tu(a){a=a|0;return 3}function uu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;d=r;r=r+16|0;e=d+8|0;f=d;k[e>>2]=0;g=a+44|0;h=qw(a,k[g>>2]|0)|0;rp(a,e,534,943);i=Rqa(h>>>0>536870911?-1:h<<3)|0;j=oC(k[a+16>>2]|0,c)|0;c=Qqa(64)|0;B=0;va(491,c|0);a=B;B=0;if(a&1){a=Rb()|0;Sqa(c);Qb(a|0)}if((h|0)>0){a=0;do{nd[k[(k[c>>2]|0)+32>>2]&1023](c,k[g>>2]|0,a);nd[k[(k[j>>2]|0)+48>>2]&1023](j,f,c);p[i+(a<<3)>>3]=+p[f>>3];a=a+1|0}while((a|0)!=(h|0))}a=k[e>>2]|0;if(!(k[b>>2]|0))l=a;else{f=k[k[b+4>>2]>>2]|0;Dc[k[(k[f>>2]|0)+16>>2]&255](f,h,a,i,0);l=k[e>>2]|0}if(!l){k[e>>2]=0;Tqa(i);m=k[c>>2]|0;n=m+4|0;o=k[n>>2]|0;Ec[o&1023](c);r=d;return}Tqa(l);k[e>>2]=0;Tqa(i);m=k[c>>2]|0;n=m+4|0;o=k[n>>2]|0;Ec[o&1023](c);r=d;return}function vu(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;g=r;r=r+208|0;h=g+188|0;i=g+176|0;j=g+40|0;l=g+24|0;m=g+12|0;n=g;if(!(Tp(a,c)|0)){r=g;return}Mp(a,i,d,f);f=oC(k[a+16>>2]|0,c)|0;if((Hc[k[(k[f>>2]|0)+20>>2]&511](f)|0)==559){w$(f,b,i,e);r=g;return}g=j+56|0;e=j+4|0;k[j>>2]=27524;k[g>>2]=27544;B=0;wa(508,j+56|0,e|0);i=B;B=0;if(i&1){i=Rb()|0;o=Q;p=i;vva(g);Qb(p|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[g>>2]=27488;B=0;va(448,e|0);i=B;B=0;do if(i&1){b=Rb()|0;q=Q;s=b}else{k[e>>2]=27560;b=j+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[j+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,e|0,h|0);f=B;B=0;if(f&1){f=Rb()|0;a=Q;Yua(h);Yua(b);Ava(e);q=a;s=f;break}Yua(h);B=0;f=Ia(40,j|0,74566,6)|0;a=B;B=0;if((((!(a&1)?(B=0,a=ya(427,c|0)|0,d=B,B=0,!(d&1)):0)?(d=Lta(a)|0,B=0,t=Ia(40,f|0,a|0,d|0)|0,d=B,B=0,!(d&1)):0)?(B=0,d=Ia(40,t|0,74278,22)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,d|0,0)|0,d=B,B=0,!(d&1)):0){d=Ab(20)|0;B=0;eb(502,l|0,71825,72);t=B;B=0;do if(!(t&1)){B=0;eb(502,m|0,74539,26);a=B;B=0;if(a&1){a=Rb()|0;f=Q;Yua(l);u=f;v=a;break}B=0;wa(510,n|0,e|0);a=B;B=0;if(a&1){a=Rb()|0;w=Q;x=a;y=1}else{B=0;ua(163,d|0,l|0,m|0,1542,n|0);a=B;B=0;if(a&1)z=1;else{B=0;eb(503,d|0,1240,229);B=0;z=0}a=Rb()|0;f=Q;Yua(n);w=f;x=a;y=z}Yua(m);Yua(l);if(y){u=w;v=x}else{A=w;C=x;k[j>>2]=27468;k[g>>2]=27488;k[e>>2]=27560;Yua(b);Ava(e);vva(g);Qb(C|0)}}else{a=Rb()|0;u=Q;v=a}while(0);zb(d|0);A=u;C=v;k[j>>2]=27468;k[g>>2]=27488;k[e>>2]=27560;Yua(b);Ava(e);vva(g);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[j>>2]=27468;k[g>>2]=27488;k[e>>2]=27560;Yua(b);Ava(e);vva(g);Qb(C|0)}while(0);o=q;p=s;vva(g);Qb(p|0)}function wu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;c=r;r=r+80|0;d=c+72|0;e=c;Ko(e,k[a+24>>2]|0,3,0);f=Rqa(48)|0;g=d+4|0;_t(a,d,g);a=e+((k[d>>2]|0)*24|0)|0;k[f>>2]=k[a>>2];k[f+4>>2]=k[a+4>>2];k[f+8>>2]=k[a+8>>2];k[f+12>>2]=k[a+12>>2];a=f+24|0;d=e+((k[g>>2]|0)*24|0)|0;k[a>>2]=k[d>>2];k[a+4>>2]=k[d+4>>2];k[a+8>>2]=k[d+8>>2];k[a+12>>2]=k[d+12>>2];k[b>>2]=f;r=c;return}function xu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;c=r;r=r+80|0;d=c+72|0;e=c;Ko(e,k[a+24>>2]|0,3,0);f=Rqa(48)|0;g=d+4|0;$t(a,d,g);a=e+((k[d>>2]|0)*24|0)|0;k[f>>2]=k[a>>2];k[f+4>>2]=k[a+4>>2];k[f+8>>2]=k[a+8>>2];k[f+12>>2]=k[a+12>>2];a=f+24|0;d=e+((k[g>>2]|0)*24|0)|0;k[a>>2]=k[d>>2];k[a+4>>2]=k[d+4>>2];k[a+8>>2]=k[d+8>>2];k[a+12>>2]=k[d+12>>2];k[b>>2]=f;r=c;return}function yu(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0.0,l=0.0,m=0,n=0.0,o=0.0,q=0.0,s=0.0,t=0.0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;b=r;r=r+256|0;c=b;d=b+248|0;e=b+244|0;f=b+96|0;g=b+232|0;h=b+84|0;i=b+72|0;k[e>>2]=0;if(!($p(a)|0)){j=0.0;r=b;return +j}cp(a,d,298);switch(k[d>>2]|0){case 300:case 302:{Uo(a,e);l=+id[k[(k[a>>2]|0)+136>>2]&63](a,k[e>>2]|0);m=k[e>>2]|0;if(m)Tqa(m);k[e>>2]=0;Ko(c,k[a+24>>2]|0,3,0);n=+p[c>>3];o=+p[c+8>>3];q=+p[c+24>>3];s=+p[c+32>>3];t=+p[c+48>>3];u=+p[c+56>>3];j=l*((o*t+(n*s+(q*u-s*t)-o*q)-n*u)*.5);r=b;return +j}default:{}}b=f+56|0;a=f+4|0;k[f>>2]=27524;k[b>>2]=27544;B=0;wa(508,f+56|0,a|0);e=B;B=0;if(e&1){e=Rb()|0;v=Q;w=e;vva(b);Qb(w|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[b>>2]=27488;B=0;va(448,a|0);e=B;B=0;do if(e&1){m=Rb()|0;x=Q;y=m}else{k[a>>2]=27560;m=f+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,a|0,c|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(c);Yua(m);Ava(a);x=A;y=z;break}Yua(c);B=0;z=Ia(40,f|0,144639,5)|0;A=B;B=0;if((((!(A&1)?(B=0,A=ya(427,k[d>>2]|0)|0,C=B,B=0,!(C&1)):0)?(C=Lta(A)|0,B=0,D=Ia(40,z|0,A|0,C|0)|0,C=B,B=0,!(C&1)):0)?(B=0,C=Ia(40,D|0,146481,18)|0,D=B,B=0,!(D&1)):0)?(B=0,Xa(239,C|0,0)|0,C=B,B=0,!(C&1)):0){C=Ab(20)|0;B=0;eb(502,g|0,71825,72);D=B;B=0;do if(!(D&1)){B=0;eb(502,h|0,103033,12);A=B;B=0;if(A&1){A=Rb()|0;z=Q;Yua(g);E=z;F=A;break}B=0;wa(510,i|0,a|0);A=B;B=0;if(A&1){A=Rb()|0;G=Q;H=A;I=1}else{B=0;ua(163,C|0,g|0,h|0,1593,i|0);A=B;B=0;if(A&1)J=1;else{B=0;eb(503,C|0,1240,229);B=0;J=0}A=Rb()|0;z=Q;Yua(i);G=z;H=A;I=J}Yua(h);Yua(g);if(I){E=G;F=H}else{K=G;L=H;k[f>>2]=27468;k[b>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(b);Qb(L|0)}}else{A=Rb()|0;E=Q;F=A}while(0);zb(C|0);K=E;L=F;k[f>>2]=27468;k[b>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(b);Qb(L|0)}D=Rb()|0;K=Q;L=D;k[f>>2]=27468;k[b>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(b);Qb(L|0)}while(0);v=x;w=y;vva(b);Qb(w|0);return +(0.0)}function zu(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0.0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;b=r;r=r+224|0;c=b+200|0;d=b;e=b+64|0;f=b+48|0;g=b+36|0;h=b+24|0;xp(a,d,287);i=+p[d>>3]+ +p[d+8>>3]+ +p[d+16>>3];if(!(i==3.0)){r=b;return i>1.0|0}b=e+56|0;d=e+4|0;k[e>>2]=27524;k[b>>2]=27544;B=0;wa(508,e+56|0,d|0);a=B;B=0;if(a&1){a=Rb()|0;j=Q;l=a;vva(b);Qb(l|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[b>>2]=27488;B=0;va(448,d|0);a=B;B=0;do if(a&1){m=Rb()|0;n=Q;o=m}else{k[d>>2]=27560;m=e+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,d|0,c|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(c);Yua(m);Ava(d);n=s;o=q;break}Yua(c);B=0;q=Ia(40,e|0,72316,37)|0;s=B;B=0;if(!(s&1)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,f|0,71825,72);s=B;B=0;do if(!(s&1)){B=0;eb(502,g|0,72354,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(f);v=u;w=t;break}B=0;wa(510,h|0,d|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,f|0,g|0,1614,h|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(h);x=u;y=t;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[b>>2]=27488;k[d>>2]=27560;Yua(m);Ava(d);vva(b);Qb(D|0)}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w;k[e>>2]=27468;k[b>>2]=27488;k[d>>2]=27560;Yua(m);Ava(d);vva(b);Qb(D|0)}s=Rb()|0;C=Q;D=s;k[e>>2]=27468;k[b>>2]=27488;k[d>>2]=27560;Yua(m);Ava(d);vva(b);Qb(D|0)}while(0);j=n;l=o;vva(b);Qb(l|0);return 0}function Au(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0.0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;b=r;r=r+224|0;c=b+200|0;d=b;e=b+64|0;f=b+48|0;g=b+36|0;h=b+24|0;xp(a,d,288);i=+p[d>>3]+ +p[d+8>>3]+ +p[d+16>>3];if(!(i==3.0)){r=b;return i>1.0|0}b=e+56|0;d=e+4|0;k[e>>2]=27524;k[b>>2]=27544;B=0;wa(508,e+56|0,d|0);a=B;B=0;if(a&1){a=Rb()|0;j=Q;l=a;vva(b);Qb(l|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[b>>2]=27488;B=0;va(448,d|0);a=B;B=0;do if(a&1){m=Rb()|0;n=Q;o=m}else{k[d>>2]=27560;m=e+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,d|0,c|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(c);Yua(m);Ava(d);n=s;o=q;break}Yua(c);B=0;q=Ia(40,e|0,72368,41)|0;s=B;B=0;if(!(s&1)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,f|0,71825,72);s=B;B=0;do if(!(s&1)){B=0;eb(502,g|0,72410,16);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(f);v=u;w=t;break}B=0;wa(510,h|0,d|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,f|0,g|0,1635,h|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(h);x=u;y=t;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[b>>2]=27488;k[d>>2]=27560;Yua(m);Ava(d);vva(b);Qb(D|0)}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w;k[e>>2]=27468;k[b>>2]=27488;k[d>>2]=27560;Yua(m);Ava(d);vva(b);Qb(D|0)}s=Rb()|0;C=Q;D=s;k[e>>2]=27468;k[b>>2]=27488;k[d>>2]=27560;Yua(m);Ava(d);vva(b);Qb(D|0)}while(0);j=n;l=o;vva(b);Qb(l|0);return 0}function Bu(a){a=a|0;var b=0.0,c=0.0;if(!($p(a)|0)){b=0.0;return +b}c=+WJ(k[a+32>>2]|0,265);b=c*+Zc[k[(k[a>>2]|0)+204>>2]&255](a);return +b}function Cu(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0.0,h=0.0,i=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0;b=r;r=r+96|0;c=b+16|0;d=b+8|0;e=b;f=b+88|0;if(!($p(a)|0)){g=0.0;r=b;return +g}cO(k[a+36>>2]|0,f,298);Ko(c,k[a+24>>2]|0,3,0);h=+p[c>>3];i=+p[c+8>>3];j=+p[c+24>>3];l=+p[c+32>>3];m=+p[c+48>>3];n=+p[c+56>>3];o=(i*m+(h*l+(j*n-l*m)-i*j)-h*n)*.5;c=a+16|0;a=oC(k[c>>2]|0,339)|0;q=oC(k[c>>2]|0,64)|0;Fc[k[(k[a>>2]|0)+64>>2]&1023](a,d);Fc[k[(k[q>>2]|0)+64>>2]&1023](q,e);g=(k[f>>2]|0)==301?o:o*(+p[d>>3]-+p[e>>3]);r=b;return +g}function Du(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0.0,h=0,i=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0;b=r;r=r+96|0;c=b+88|0;d=b+80|0;e=b+72|0;f=b;if(!($p(a)|0)){g=0.0;r=b;return +g}if(_p(a)|0){g=0.0;r=b;return +g}h=a+32|0;i=+WJ(k[h>>2]|0,265);j=+WJ(k[h>>2]|0,266);Ko(f,k[a+24>>2]|0,3,0);l=+p[f>>3];m=+p[f+8>>3];n=+$(+((l-+p[f+48>>3])*(+p[f+32>>3]-m)-(l-+p[f+24>>3])*(+p[f+56>>3]-m)))*.5;f=a+16|0;a=oC(k[f>>2]|0,339)|0;h=oC(k[f>>2]|0,64)|0;o=oC(k[f>>2]|0,63)|0;Fc[k[(k[a>>2]|0)+64>>2]&1023](a,c);Fc[k[(k[h>>2]|0)+64>>2]&1023](h,d);Fc[k[(k[o>>2]|0)+64>>2]&1023](o,e);m=+p[c>>3]-+p[d>>3];g=n*(m+ +KY(j/i*+p[e>>3],0.0));r=b;return +g}function Eu(a,b,c){a=a|0;b=+b;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;d=r;r=r+208|0;e=d+184|0;f=d+180|0;g=d+176|0;h=d+40|0;i=d+24|0;j=d+12|0;l=d;k[g>>2]=0;m=a+36|0;cO(k[m>>2]|0,f,198);hO(k[m>>2]|0,g,0,176);a:do if((k[f>>2]|0)>0){m=a+16|0;b:do if(c){n=0;while(1){o=oC(k[m>>2]|0,k[(k[g>>2]|0)+(n<<2)>>2]|0)|0;if((Hc[k[(k[o>>2]|0)+20>>2]&511](o)|0)!=559){p=n;break b}F$(o,b);l$(o);s$(o);n=n+1|0;if((n|0)>=(k[f>>2]|0))break a}}else{n=0;while(1){o=oC(k[m>>2]|0,k[(k[g>>2]|0)+(n<<2)>>2]|0)|0;if((Hc[k[(k[o>>2]|0)+20>>2]&511](o)|0)!=559){p=n;break b}F$(o,b);l$(o);n=n+1|0;if((n|0)>=(k[f>>2]|0))break a}}while(0);m=h+56|0;n=h+4|0;k[h>>2]=27524;k[m>>2]=27544;B=0;wa(508,h+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;q=Q;s=o;vva(m);Qb(s|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[m>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){t=Rb()|0;u=Q;v=t}else{k[n>>2]=27560;t=h+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[h+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,n|0,e|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(e);Yua(t);Ava(n);u=x;v=w;break}Yua(e);B=0;w=Ia(40,h|0,74566,6)|0;x=B;B=0;if((((!(x&1)?(B=0,x=ya(427,k[(k[g>>2]|0)+(p<<2)>>2]|0)|0,y=B,B=0,!(y&1)):0)?(y=Lta(x)|0,B=0,z=Ia(40,w|0,x|0,y|0)|0,y=B,B=0,!(y&1)):0)?(B=0,y=Ia(40,z|0,74278,22)|0,z=B,B=0,!(z&1)):0)?(B=0,Xa(239,y|0,0)|0,y=B,B=0,!(y&1)):0){y=Ab(20)|0;B=0;eb(502,i|0,71825,72);z=B;B=0;do if(!(z&1)){B=0;eb(502,j|0,74573,18);x=B;B=0;if(x&1){x=Rb()|0;w=Q;Yua(i);A=w;C=x;break}B=0;wa(510,l|0,n|0);x=B;B=0;if(x&1){x=Rb()|0;D=Q;E=x;F=1}else{B=0;ua(163,y|0,i|0,j|0,1772,l|0);x=B;B=0;if(x&1)G=1;else{B=0;eb(503,y|0,1240,229);B=0;G=0}x=Rb()|0;w=Q;Yua(l);D=w;E=x;F=G}Yua(j);Yua(i);if(F){A=D;C=E}else{H=D;I=E;k[h>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(t);Ava(n);vva(m);Qb(I|0)}}else{x=Rb()|0;A=Q;C=x}while(0);zb(y|0);H=A;I=C;k[h>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(t);Ava(n);vva(m);Qb(I|0)}z=Rb()|0;H=Q;I=z;k[h>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(t);Ava(n);vva(m);Qb(I|0)}while(0);q=u;s=v;vva(m);Qb(s|0)}while(0);s=k[g>>2]|0;if(!s){r=d;return}Tqa(s);r=d;return}function Fu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;j=a+16|0;a=oC(k[j>>2]|0,b)|0;if(a){l=Hc[k[(k[a>>2]|0)+24>>2]&511](a)|0;Fc[k[(k[l>>2]|0)+80>>2]&1023](l,c);mC(k[j>>2]|0,l)|0;r=d;return}d=f+56|0;l=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,l|0);j=B;B=0;if(j&1){j=Rb()|0;m=Q;n=j;vva(d);Qb(n|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,l|0);j=B;B=0;do if(j&1){c=Rb()|0;o=Q;p=c}else{k[l>>2]=27560;c=f+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,l|0,e|0);a=B;B=0;if(a&1){a=Rb()|0;q=Q;Yua(e);Yua(c);Ava(l);o=q;p=a;break}Yua(e);B=0;a=Ia(40,f|0,74669,36)|0;q=B;B=0;if(((!(q&1)?(B=0,q=ya(427,b|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,a|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,g|0,71825,72);s=B;B=0;do if(!(s&1)){B=0;eb(502,h|0,74624,23);q=B;B=0;if(q&1){q=Rb()|0;a=Q;Yua(g);u=a;v=q;break}B=0;wa(510,i|0,l|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,t|0,g|0,h|0,1793,i|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,t|0,1240,229);B=0;z=0}q=Rb()|0;a=Q;Yua(i);w=a;x=q;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[d>>2]=27488;k[l>>2]=27560;Yua(c);Ava(l);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(t|0);A=u;C=v;k[f>>2]=27468;k[d>>2]=27488;k[l>>2]=27560;Yua(c);Ava(l);vva(d);Qb(C|0)}s=Rb()|0;A=Q;C=s;k[f>>2]=27468;k[d>>2]=27488;k[l>>2]=27560;Yua(c);Ava(l);vva(d);Qb(C|0)}while(0);m=o;n=p;vva(d);Qb(n|0)}function Gu(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;j=oC(k[a+16>>2]|0,b)|0;if(j){Cc[k[(k[j>>2]|0)+120>>2]&63](j,c);r=d;return}d=f+56|0;j=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,j|0);a=B;B=0;if(a&1){a=Rb()|0;l=Q;m=a;vva(d);Qb(m|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,j|0);a=B;B=0;do if(a&1){n=Rb()|0;o=Q;p=n}else{k[j>>2]=27560;n=f+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,j|0,e|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(e);Yua(n);Ava(j);o=s;p=q;break}Yua(e);B=0;q=Ia(40,f|0,74669,36)|0;s=B;B=0;if(((!(s&1)?(B=0,s=ya(427,b|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,u|0,0)|0,u=B,B=0,!(u&1)):0){u=Ab(20)|0;B=0;eb(502,g|0,71825,72);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,74706,10);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(g);v=q;w=s;break}B=0;wa(510,i|0,j|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,u|0,g|0,h|0,1809,i|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,u|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(i);x=q;y=s;z=A}Yua(h);Yua(g);if(z){v=x;w=y}else{C=x;D=y;k[f>>2]=27468;k[d>>2]=27488;k[j>>2]=27560;Yua(n);Ava(j);vva(d);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(u|0);C=v;D=w;k[f>>2]=27468;k[d>>2]=27488;k[j>>2]=27560;Yua(n);Ava(j);vva(d);Qb(D|0)}t=Rb()|0;C=Q;D=t;k[f>>2]=27468;k[d>>2]=27488;k[j>>2]=27560;Yua(n);Ava(j);vva(d);Qb(D|0)}while(0);l=o;m=p;vva(d);Qb(m|0)}
function b8(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,125951,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,245,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function c8(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;a=r;r=r+192|0;d=a+180|0;e=a+176|0;f=a+40|0;g=a+24|0;h=a+12|0;i=a;cp(c,e,298);switch(k[e>>2]|0){case 300:{nd[k[(k[c>>2]|0)+232>>2]&1023](c,b,671);r=a;return}case 302:{nd[k[(k[c>>2]|0)+228>>2]&1023](c,b,671);r=a;return}default:{a=f+56|0;b=f+4|0;k[f>>2]=27524;k[a>>2]=27544;B=0;wa(508,f+56|0,b|0);c=B;B=0;if(c&1){c=Rb()|0;j=Q;l=c;vva(a);Qb(l|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[a>>2]=27488;B=0;va(448,b|0);c=B;B=0;do if(c&1){m=Rb()|0;n=Q;o=m}else{k[b>>2]=27560;m=f+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[f+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,b|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(b);n=q;o=p;break}Yua(d);B=0;p=Ia(40,f|0,144639,5)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[e>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,146481,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,g|0,125951,83);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,137199,23);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(g);u=p;v=q;break}B=0;wa(510,i|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,g|0,h|0,258,i|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(i);w=p;x=q;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(a);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[f>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(a);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[f>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(a);Qb(C|0)}while(0);j=n;l=o;vva(a);Qb(l|0)}}}function d8(a,b){a=a|0;b=b|0;return}function e8(a){a=a|0;Sqa(a);return}function f8(a,b,c){a=a|0;b=b|0;c=c|0;return}function g8(a,b,c){a=a|0;b=b|0;c=c|0;return}function h8(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;a=r;r=r+32|0;d=a+16|0;e=a+8|0;f=a;switch(k[c+40>>2]|0){case 302:{k[f>>2]=136615;k[f+4>>2]=136636;Ska(c,2,f);break}case 301:{k[e>>2]=136615;Ska(c,1,e);break}default:{}}hoa(b,c,493,738,534);k[d>>2]=136615;k[d+4>>2]=136636;Lka(c,2,d);r=a;return}function i8(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 1}function j8(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0;a=c+56|0;f=k[a>>2]|0;if((f|0)>0){g=c+32|0;h=f;f=0;j=0;while(1){if(!(i[(k[g>>2]|0)+j>>0]|0)){l=h;m=f}else{n=qh(b,f)|0;Uc[k[(k[n>>2]|0)+480>>2]&63](n,j,c,d,e,738);l=k[a>>2]|0;m=f+1|0}j=j+1|0;if((j|0)>=(l|0))break;else{h=l;f=m}}}Zka(c,b,134925,339);Zka(c,b,134945,64);Yka(c,b,137955,999,0.0);Zka(c,b,137867,206);switch(k[c+40>>2]|0){case 300:case 303:return;default:{}}Zka(c,b,136615,287);Zka(c,b,136636,288);return}function k8(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return}function l8(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,126098,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138209,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,56,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function m8(a,b){a=a|0;b=b|0;return 0}function n8(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,126098,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,63,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function o8(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;a=r;r=r+192|0;c=a+136|0;d=a+188|0;e=a;f=a+176|0;g=a+164|0;h=a+148|0;i=a+160|0;cp(b,d,298);a:do switch(k[d>>2]|0){case 300:{j=b;break}case 301:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){j=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;break a}else{l=0;r=a;return l|0}break}case 302:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){j=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;break a}else{l=0;r=a;return l|0}break}default:{m=e+56|0;n=e+4|0;k[e>>2]=27524;k[m>>2]=27544;B=0;wa(508,e+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;q=Q;s=o;vva(m);Qb(s|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[m>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){t=Rb()|0;u=Q;v=t}else{k[n>>2]=27560;t=e+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,n|0,c|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(c);Yua(t);Ava(n);u=x;v=w;break}Yua(c);B=0;w=Ia(40,e|0,144639,5)|0;x=B;B=0;if((((!(x&1)?(B=0,x=ya(427,k[d>>2]|0)|0,y=B,B=0,!(y&1)):0)?(y=Lta(x)|0,B=0,z=Ia(40,w|0,x|0,y|0)|0,y=B,B=0,!(y&1)):0)?(B=0,y=Ia(40,z|0,146481,18)|0,z=B,B=0,!(z&1)):0)?(B=0,Xa(239,y|0,0)|0,y=B,B=0,!(y&1)):0){y=Ab(20)|0;B=0;eb(502,f|0,126098,84);z=B;B=0;do if(!(z&1)){B=0;eb(502,g|0,144189,13);x=B;B=0;if(x&1){x=Rb()|0;w=Q;Yua(f);A=w;C=x;break}B=0;wa(510,h|0,n|0);x=B;B=0;if(x&1){x=Rb()|0;D=Q;E=x;F=1}else{B=0;ua(163,y|0,f|0,g|0,85,h|0);x=B;B=0;if(x&1)G=1;else{B=0;eb(503,y|0,1240,229);B=0;G=0}x=Rb()|0;w=Q;Yua(h);D=w;E=x;F=G}Yua(g);Yua(f);if(F){A=D;C=E}else{H=D;I=E;k[e>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(t);Ava(n);vva(m);Qb(I|0)}}else{x=Rb()|0;A=Q;C=x}while(0);zb(y|0);H=A;I=C;k[e>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(t);Ava(n);vva(m);Qb(I|0)}z=Rb()|0;H=Q;I=z;k[e>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(t);Ava(n);vva(m);Qb(I|0)}while(0);q=u;s=v;vva(m);Qb(s|0)}}while(0);k[i>>2]=0;s=Hc[k[(k[j>>2]|0)+164>>2]&511](j)|0;v=gq(j,534)|0;u=Rqa(s>>>0>536870911?-1:s<<3)|0;Uo(j,i);q=ed[k[(k[j>>2]|0)+308>>2]&511](j,2)|0;I=Hc[k[(k[q>>2]|0)+8>>2]&511](q)|0;if((I|0)<(Hc[k[(k[q>>2]|0)+12>>2]&511](q)|0)){H=q+8|0;C=v+12|0;A=I;do{Fc[k[(k[q>>2]|0)+24>>2]&1023](q,A);rd[k[(k[j>>2]|0)+260>>2]&511](j,e,k[i>>2]|0,q);nd[k[(k[j>>2]|0)+336>>2]&1023](j,u,q);p[c>>3]=+p[H>>3]*+p[e>>3];ZX(u,1,s,1,c,1,1,0,u,1,s,0,k[C>>2]|0,1)|0;A=A+1|0}while((A|0)<(Hc[k[(k[q>>2]|0)+12>>2]&511](q)|0))}A=k[i>>2]|0;if(A)Tqa(A);k[i>>2]=0;Tqa(u);Ec[k[(k[q>>2]|0)+4>>2]&1023](q);if((k[d>>2]|0)!=300?(ap(j),(j|0)!=0):0)Ec[k[(k[j>>2]|0)+4>>2]&1023](j);l=v;r=a;return l|0}function p8(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;a=r;r=r+224|0;c=a+204|0;d=a+200|0;e=a+24|0;f=a+188|0;g=a+176|0;h=a+164|0;i=a+16|0;j=a;l=a+160|0;cp(b,d,298);a:do switch(k[d>>2]|0){case 300:{m=b;break}case 301:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){m=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;break a}else{n=0;r=a;return n|0}break}case 302:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){m=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;break a}else{n=0;r=a;return n|0}break}default:{o=e+56|0;q=e+4|0;k[e>>2]=27524;k[o>>2]=27544;B=0;wa(508,e+56|0,q|0);s=B;B=0;if(s&1){s=Rb()|0;t=Q;u=s;vva(o);Qb(u|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[o>>2]=27488;B=0;va(448,q|0);s=B;B=0;do if(s&1){v=Rb()|0;w=Q;x=v}else{k[q>>2]=27560;v=e+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,q|0,c|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(c);Yua(v);Ava(q);w=z;x=y;break}Yua(c);B=0;y=Ia(40,e|0,144639,5)|0;z=B;B=0;if((((!(z&1)?(B=0,z=ya(427,k[d>>2]|0)|0,A=B,B=0,!(A&1)):0)?(A=Lta(z)|0,B=0,C=Ia(40,y|0,z|0,A|0)|0,A=B,B=0,!(A&1)):0)?(B=0,A=Ia(40,C|0,146481,18)|0,C=B,B=0,!(C&1)):0)?(B=0,Xa(239,A|0,0)|0,A=B,B=0,!(A&1)):0){A=Ab(20)|0;B=0;eb(502,f|0,126098,84);C=B;B=0;do if(!(C&1)){B=0;eb(502,g|0,144203,13);z=B;B=0;if(z&1){z=Rb()|0;y=Q;Yua(f);D=y;E=z;break}B=0;wa(510,h|0,q|0);z=B;B=0;if(z&1){z=Rb()|0;F=Q;G=z;H=1}else{B=0;ua(163,A|0,f|0,g|0,144,h|0);z=B;B=0;if(z&1)I=1;else{B=0;eb(503,A|0,1240,229);B=0;I=0}z=Rb()|0;y=Q;Yua(h);F=y;G=z;H=I}Yua(g);Yua(f);if(H){D=F;E=G}else{J=F;K=G;k[e>>2]=27468;k[o>>2]=27488;k[q>>2]=27560;Yua(v);Ava(q);vva(o);Qb(K|0)}}else{z=Rb()|0;D=Q;E=z}while(0);zb(A|0);J=D;K=E;k[e>>2]=27468;k[o>>2]=27488;k[q>>2]=27560;Yua(v);Ava(q);vva(o);Qb(K|0)}C=Rb()|0;J=Q;K=C;k[e>>2]=27468;k[o>>2]=27488;k[q>>2]=27560;Yua(v);Ava(q);vva(o);Qb(K|0)}while(0);t=w;u=x;vva(o);Qb(u|0)}}while(0);k[l>>2]=0;u=Hc[k[(k[m>>2]|0)+164>>2]&511](m)|0;x=iq(m,534)|0;w=Rqa(u>>>0>536870911?-1:u<<3)|0;Uo(m,l);cp(m,c,576);t=k[c>>2]|0;switch(t|0){case 664:{L=0;M=Wo(m,339)|0;break}case 665:{L=0;M=Wo(m,339)|0;break}case 642:{L=0;M=Wo(m,64)|0;break}case 643:{L=0;M=Wo(m,64)|0;break}case 993:{L=0;M=Wo(m,206)|0;break}case 994:{L=0;M=Wo(m,206)|0;break}default:{L=Wo(b,t)|0;M=0}}t=ed[k[(k[m>>2]|0)+308>>2]&511](m,2)|0;b=Hc[k[(k[t>>2]|0)+8>>2]&511](t)|0;b:do if((b|0)<(Hc[k[(k[t>>2]|0)+12>>2]&511](t)|0)){K=j+8|0;J=(u|0)>0;E=t+8|0;D=x+4|0;if(!M){G=b;while(1){Fc[k[(k[t>>2]|0)+24>>2]&1023](t,G);rd[k[(k[m>>2]|0)+260>>2]&511](m,e,k[l>>2]|0,t);nd[k[(k[m>>2]|0)+336>>2]&1023](m,w,t);switch(k[c>>2]|0){case 993:case 642:case 664:{p[i>>3]=+p[j>>3];break}case 994:case 643:case 665:{p[i>>3]=+p[K>>3];break}default:nd[k[(k[L>>2]|0)+48>>2]&1023](L,i,t)}if(J){F=k[D>>2]|0;H=0;do{f=F+(H<<3)|0;p[f>>3]=+p[e>>3]*+p[E>>3]*+p[i>>3]*+p[w+(H<<3)>>3]+ +p[f>>3];H=H+1|0}while((H|0)!=(u|0))}G=G+1|0;if((G|0)>=(Hc[k[(k[t>>2]|0)+12>>2]&511](t)|0))break b}}else{G=b;while(1){Fc[k[(k[t>>2]|0)+24>>2]&1023](t,G);rd[k[(k[m>>2]|0)+260>>2]&511](m,e,k[l>>2]|0,t);nd[k[(k[m>>2]|0)+336>>2]&1023](m,w,t);rd[k[(k[M>>2]|0)+60>>2]&511](M,j,k[l>>2]|0,t);switch(k[c>>2]|0){case 993:case 642:case 664:{p[i>>3]=+p[j>>3];break}case 994:case 643:case 665:{p[i>>3]=+p[K>>3];break}default:nd[k[(k[L>>2]|0)+48>>2]&1023](L,i,t)}if(J){o=k[D>>2]|0;H=0;do{F=o+(H<<3)|0;p[F>>3]=+p[e>>3]*+p[E>>3]*+p[i>>3]*+p[w+(H<<3)>>3]+ +p[F>>3];H=H+1|0}while((H|0)!=(u|0))}G=G+1|0;if((G|0)>=(Hc[k[(k[t>>2]|0)+12>>2]&511](t)|0))break b}}}while(0);u=k[l>>2]|0;if(u)Tqa(u);k[l>>2]=0;Tqa(w);Ec[k[(k[t>>2]|0)+4>>2]&1023](t);if((k[d>>2]|0)!=300?(ap(m),(m|0)!=0):0)Ec[k[(k[m>>2]|0)+4>>2]&1023](m);n=x;r=a;return n|0}function q8(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,126098,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138230,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,200,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function r8(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,126098,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,203,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function s8(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;a=r;r=r+208|0;d=a+188|0;e=a+184|0;f=a+180|0;g=a+176|0;h=a+40|0;i=a+24|0;j=a+12|0;l=a;cp(c,e,576);cp(c,f,298);cp(c,g,296);switch(k[f>>2]|0){case 300:{nd[k[(k[c>>2]|0)+232>>2]&1023](c,b,k[e>>2]|0);r=a;return}case 301:{nd[k[(k[c>>2]|0)+232>>2]&1023](c,b,k[e>>2]|0);r=a;return}case 302:{m=k[c>>2]|0;if((k[g>>2]|0)==623){nd[k[m+232>>2]&1023](c,b,k[e>>2]|0);r=a;return}else{nd[k[m+228>>2]&1023](c,b,k[e>>2]|0);r=a;return}break}default:{a=h+56|0;e=h+4|0;k[h>>2]=27524;k[a>>2]=27544;B=0;wa(508,h+56|0,e|0);b=B;B=0;if(b&1){b=Rb()|0;n=Q;o=b;vva(a);Qb(o|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[a>>2]=27488;B=0;va(448,e|0);b=B;B=0;do if(b&1){c=Rb()|0;p=Q;q=c}else{k[e>>2]=27560;c=h+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[h+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,e|0,d|0);m=B;B=0;if(m&1){m=Rb()|0;g=Q;Yua(d);Yua(c);Ava(e);p=g;q=m;break}Yua(d);B=0;m=Ia(40,h|0,144639,5)|0;g=B;B=0;if((((!(g&1)?(B=0,g=ya(427,k[f>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(g)|0,B=0,t=Ia(40,m|0,g|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,146481,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,i|0,126098,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,j|0,137199,23);g=B;B=0;if(g&1){g=Rb()|0;m=Q;Yua(i);u=m;v=g;break}B=0;wa(510,l|0,e|0);g=B;B=0;if(g&1){g=Rb()|0;w=Q;x=g;y=1}else{B=0;ua(163,s|0,i|0,j|0,225,l|0);g=B;B=0;if(g&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}g=Rb()|0;m=Q;Yua(l);w=m;x=g;y=z}Yua(j);Yua(i);if(y){u=w;v=x}else{A=w;C=x;k[h>>2]=27468;k[a>>2]=27488;k[e>>2]=27560;Yua(c);Ava(e);vva(a);Qb(C|0)}}else{g=Rb()|0;u=Q;v=g}while(0);zb(s|0);A=u;C=v;k[h>>2]=27468;k[a>>2]=27488;k[e>>2]=27560;Yua(c);Ava(e);vva(a);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[h>>2]=27468;k[a>>2]=27488;k[e>>2]=27560;Yua(c);Ava(e);vva(a);Qb(C|0)}while(0);n=p;o=q;vva(a);Qb(o|0)}}}function t8(a,b){a=a|0;b=b|0;return}function u8(a){a=a|0;Sqa(a);return}function v8(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;a=r;r=r+16|0;d=a+4|0;e=a;Fka(c,d,126209);Fka(c,e,126233);if((k[e>>2]|0)==3){r=a;return}qoa(b,c,126257,496,k[d>>2]|0,0);if((k[e>>2]|0)!=4){r=a;return}Bma(b,496);r=a;return}function w8(a,b,c){a=a|0;b=b|0;c=c|0;return}function x8(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;a=r;r=r+16|0;d=a;Fka(c,d,126209);hoa(b,c,496,k[d>>2]|0,534);r=a;return}function y8(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 1}function z8(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;a=r;r=r+32|0;f=a+8|0;g=a;h=a+12|0;Fka(c,h,126209);zka(c,a+16|0,134882);k[g>>2]=129145;Ska(c,1,g);g=c+56|0;j=k[g>>2]|0;if((j|0)>0){l=c+32|0;m=j;j=0;n=0;while(1){if(!(i[(k[l>>2]|0)+n>>0]|0)){o=m;p=j}else{q=qh(b,j)|0;Uc[k[(k[q>>2]|0)+480>>2]&63](q,n,c,d,e,k[h>>2]|0);o=k[g>>2]|0;p=j+1|0}n=n+1|0;if((n|0)>=(o|0))break;else{m=o;j=p}}}k[f>>2]=129145;Lka(c,1,f);Zka(c,b,135923,674);Zka(c,b,135944,677);if((k[c+40>>2]|0)!=302){Zka(c,b,126277,225);Zka(c,b,137867,206);Zka(c,b,135039,653);r=a;return}Zka(c,b,135096,679);Zka(c,b,126277,225);Zka(c,b,137867,206);Zka(c,b,135039,653);r=a;return}function A8(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;e=r;r=r+16|0;d=e+8|0;a=e+4|0;f=e;k[a>>2]=0;YN(b,Ika(c,128031,228)|0);YN(b,Ika(c,126233,237)|0);YN(b,Ika(c,126289,238)|0);YN(b,Ika(c,126307,240)|0);YN(b,Ika(c,126209,233)|0);Hka(c,a,d,126328);g=Qqa(12)|0;B=0;eb(518,g|0,242,k[d>>2]|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;Sqa(g);j=i;l=h;Qb(l|0)}YN(b,g);g=k[d>>2]|0;do if(!g)m=0;else{h=Qqa(16)|0;B=0;ib(294,h|0,243,k[a>>2]|0,g|0);i=B;B=0;if(!(i&1)){YN(b,h);m=k[d>>2]|0;break}i=Rb()|0;n=Q;Sqa(h);j=n;l=i;Qb(l|0)}while(0);Nka(c,a,m,126328);Fka(c,f,128031);m=k[f>>2]|0;if(!m){YN(b,Ika(c,128061,235)|0);YN(b,Ika(c,128045,236)|0);r=e;return}if((m|0)<=0){r=e;return}YN(b,Ika(c,126356,229)|0);YN(b,Ika(c,126369,230)|0);YN(b,Ika(c,126382,231)|0);YN(b,Ika(c,126395,232)|0);YN(b,Ika(c,128061,235)|0);YN(b,Ika(c,128045,236)|0);YN(b,Ika(c,126408,234)|0);YN(b,Ika(c,126426,241)|0);r=e;return}function B8(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,126449,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138209,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,112,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function C8(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0;a=r;r=r+80|0;c=a+56|0;d=a+48|0;e=a+40|0;f=a+32|0;g=a+24|0;h=a+16|0;i=a+8|0;j=a;l=a+64|0;m=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;n=Rqa(m>>>0>536870911?-1:m<<3)|0;pp(b,c,229);pp(b,d,235);cp(b,l,298);Vo(b);o=Wo(b,725)|0;q=Wo(b,726)|0;s=Wo(b,728)|0;t=Wo(b,217)|0;if((k[l>>2]|0)==300){l=Wo(b,227)|0;u=Wo(b,215)|0;v=l}else{l=Wo(b,225)|0;u=Wo(b,214)|0;v=l}l=Hc[k[(k[b>>2]|0)+304>>2]&511](b)|0;if((m|0)>0){w=0;do{x=k[(k[l>>2]|0)+32>>2]|0;y=Hc[k[(k[b>>2]|0)+128>>2]&511](b)|0;nd[x&1023](l,y,w);nd[k[(k[o>>2]|0)+48>>2]&1023](o,h,l);nd[k[(k[q>>2]|0)+48>>2]&1023](q,j,l);nd[k[(k[s>>2]|0)+48>>2]&1023](s,i,l);nd[k[(k[u>>2]|0)+48>>2]&1023](u,f,l);nd[k[(k[t>>2]|0)+48>>2]&1023](t,g,l);nd[k[(k[v>>2]|0)+48>>2]&1023](v,e,l);z=+p[h>>3];A=+p[i>>3];B=(z+A)*.5;C=(z-A)*.5;A=+p[j>>3];z=+aa(+(A*A+C*C));C=B+z;A=B-z;y=+$(+A)>+$(+C);z=y?C:A;B=y?A:C;C=+aa(+(z*z+(B*B-B*z)))*.7071067811865475;z=+p[g>>3];B=+ba(+(+p[d>>3]/+p[f>>3]),+z);if(C>B){A=+ba(+(B/C),+(1.0/z));z=1.0-A*+ja(+(-(C-B)/(+p[c>>3]-B)));D=z-+p[e>>3]}else D=0.0;p[n+(w<<3)>>3]=D;w=w+1|0}while((w|0)!=(m|0))}m=k[b>>2]|0;w=k[m+48>>2]|0;e=Hc[k[m+128>>2]&511](b)|0;rd[w&511](b,226,n,e);Tqa(n);if(!l){r=a;return}Ec[k[(k[l>>2]|0)+4>>2]&1023](l);r=a;return}function D8(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,ca=0,da=0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0.0,Ba=0,Ca=0.0;a=r;r=r+304|0;c=a+288|0;d=a+96|0;e=a+88|0;f=a+80|0;g=a+72|0;h=a+64|0;i=a+56|0;j=a+48|0;l=a+40|0;m=a+32|0;n=a+24|0;o=a+16|0;q=a+8|0;s=a;t=a+284|0;u=a+280|0;v=a+144|0;w=a+128|0;x=a+116|0;y=a+104|0;z=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;A=Rqa(z>>>0>536870911?-1:z<<3)|0;pp(b,d,229);pp(b,e,230);pp(b,f,231);pp(b,g,234);pp(b,h,235);cp(b,u,298);switch(k[u>>2]|0){case 300:{C=2;break}case 302:{C=3;break}default:{D=v+56|0;E=v+4|0;k[v>>2]=27524;k[D>>2]=27544;B=0;wa(508,v+56|0,E|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;H=F;vva(D);Qb(H|0)}k[v+128>>2]=0;k[v+132>>2]=-1;k[v>>2]=27468;k[D>>2]=27488;B=0;va(448,E|0);F=B;B=0;do if(F&1){I=Rb()|0;J=Q;K=I}else{k[E>>2]=27560;I=v+36|0;k[I>>2]=0;k[I+4>>2]=0;k[I+8>>2]=0;k[I+12>>2]=0;k[v+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,E|0,c|0);L=B;B=0;if(L&1){L=Rb()|0;M=Q;Yua(c);Yua(I);Ava(E);J=M;K=L;break}Yua(c);B=0;L=Ia(40,v|0,143640,15)|0;M=B;B=0;if(!(M&1)?(B=0,Xa(239,L|0,0)|0,L=B,B=0,!(L&1)):0){L=Ab(20)|0;B=0;eb(502,w|0,126449,83);M=B;B=0;do if(!(M&1)){B=0;eb(502,x|0,126533,25);N=B;B=0;if(N&1){N=Rb()|0;O=Q;Yua(w);P=O;R=N;break}B=0;wa(510,y|0,E|0);N=B;B=0;if(N&1){N=Rb()|0;S=Q;T=N;U=1}else{B=0;ua(163,L|0,w|0,x|0,230,y|0);N=B;B=0;if(N&1)V=1;else{B=0;eb(503,L|0,1240,229);B=0;V=0}N=Rb()|0;O=Q;Yua(y);S=O;T=N;U=V}Yua(x);Yua(w);if(U){P=S;R=T}else{W=S;X=T;k[v>>2]=27468;k[D>>2]=27488;k[E>>2]=27560;Yua(I);Ava(E);vva(D);Qb(X|0)}}else{N=Rb()|0;P=Q;R=N}while(0);zb(L|0);W=P;X=R;k[v>>2]=27468;k[D>>2]=27488;k[E>>2]=27560;Yua(I);Ava(E);vva(D);Qb(X|0)}M=Rb()|0;W=Q;X=M;k[v>>2]=27468;k[D>>2]=27488;k[E>>2]=27560;Yua(I);Ava(E);vva(D);Qb(X|0)}while(0);G=J;H=K;vva(D);Qb(H|0)}}Ec[k[(k[b>>2]|0)+80>>2]&1023](b);H=(C|0)==3;if(H)nq(b);D=Wo(b,716)|0;K=Wo(b,717)|0;J=Wo(b,719)|0;if(H){G=Wo(b,718)|0;X=Wo(b,720)|0;E=Wo(b,721)|0;Y=Wo(b,714)|0;Z=G;_=X;ca=E}else{Y=0;Z=0;_=0;ca=0}if((k[u>>2]|0)==300)da=Wo(b,227)|0;else da=Wo(b,225)|0;cp(b,t,241);u=Hc[k[(k[b>>2]|0)+304>>2]&511](b)|0;if((z|0)>0){E=(C|0)==2;ea=0.0;C=0;fa=0.0;ga=0.0;ha=0.0;while(1){X=k[(k[u>>2]|0)+32>>2]|0;G=Hc[k[(k[b>>2]|0)+128>>2]&511](b)|0;nd[X&1023](u,G,C);nd[k[(k[da>>2]|0)+48>>2]&1023](da,i,u);nd[k[(k[D>>2]|0)+48>>2]&1023](D,j,u);nd[k[(k[K>>2]|0)+48>>2]&1023](K,l,u);nd[k[(k[J>>2]|0)+48>>2]&1023](J,n,u);if(H){nd[k[(k[Z>>2]|0)+48>>2]&1023](Z,m,u);nd[k[(k[_>>2]|0)+48>>2]&1023](_,o,u);nd[k[(k[ca>>2]|0)+48>>2]&1023](ca,q,u)}ia=1.0-+p[i>>3];ja=+p[j>>3]/ia;ka=+p[l>>3]/ia;la=+p[n>>3]/ia;if(!H)if(E){ma=(ja+la)*.5;na=(ja-la)*.5;oa=+aa(+(ka*ka+na*na));na=ma+oa;pa=ma-oa;G=+$(+pa)>+$(+na);oa=G?na:pa;ma=G?pa:na;switch(k[t>>2]|0){case 0:{qa=+aa(+(oa*oa+(ma*ma-ma*oa)));break}case 1:{qa=ma;break}default:qa=ea}ma=qa-+p[h>>3];oa=+LY(-qa,0.0);na=+LY(ma,0.0);ma=+p[e>>3];pa=+ba(+na,+ma);na=+p[d>>3]*(pa-+p[g>>3]*+ba(+oa,+ma));ma=na*+ba(+(1.0/(1.0-+p[i>>3])),+(+p[f>>3]));p[A+(C<<3)>>3]=ma;ra=qa;sa=fa;ta=ga;xa=ha}else{ya=fa;za=ga;Aa=ha;Ba=45}else{ya=+p[m>>3]/ia;za=+p[o>>3]/ia;Aa=+p[q>>3]/ia;Ba=45}if((Ba|0)==45){Ba=0;switch(k[t>>2]|0){case 1:{nd[k[(k[Y>>2]|0)+48>>2]&1023](Y,s,u);Ca=+p[s>>3]/(1.0-+p[i>>3]);break}case 0:{ia=ja-la;ma=la-Aa;la=Aa-ja;Ca=+aa(+(((ya*ya+(ka*ka+za*za))*6.0+(la*la+(ia*ia+ma*ma)))*.5));break}default:Ca=ea}ma=Ca-+p[h>>3];ia=+LY(-Ca,0.0);la=+LY(ma,0.0);ma=+p[e>>3];ka=+ba(+la,+ma);la=+p[d>>3]*(ka-+p[g>>3]*+ba(+ia,+ma));ma=la*+ba(+(1.0/(1.0-+p[i>>3])),+(+p[f>>3]));p[A+(C<<3)>>3]=ma;ra=Ca;sa=ya;ta=za;xa=Aa}C=C+1|0;if((C|0)==(z|0))break;else{ea=ra;fa=sa;ga=ta;ha=xa}}}z=k[b>>2]|0;C=k[z+48>>2]|0;f=Hc[k[z+128>>2]&511](b)|0;rd[C&511](b,226,A,f);Tqa(A);if(!u){r=a;return}Ec[k[(k[u>>2]|0)+4>>2]&1023](u);r=a;return}function E8(a,b){a=a|0;b=b|0;return 0}function F8(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,126449,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,329,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function G8(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0.0,Y=0,Z=0.0,_=0.0,ba=0,ca=0,da=0,ea=0,fa=0.0,ga=0,ha=0,ia=0,ja=0.0,ka=0.0,la=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,xa=0.0;a=r;r=r+352|0;c=a+332|0;d=a+328|0;e=a+324|0;f=a+136|0;g=a+128|0;h=a+120|0;i=a+112|0;j=a+104|0;l=a+96|0;m=a+88|0;n=a+80|0;o=a+72|0;q=a+48|0;s=a+24|0;t=a;u=a+320|0;v=a+184|0;w=a+168|0;x=a+156|0;y=a+144|0;if(!($p(b)|0)){z=0;r=a;return z|0}k[u>>2]=0;cp(b,d,298);switch(k[d>>2]|0){case 300:{A=2;break}case 302:{A=3;break}default:{d=v+56|0;C=v+4|0;k[v>>2]=27524;k[d>>2]=27544;B=0;wa(508,v+56|0,C|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;F=D;vva(d);Qb(F|0)}k[v+128>>2]=0;k[v+132>>2]=-1;k[v>>2]=27468;k[d>>2]=27488;B=0;va(448,C|0);D=B;B=0;do if(D&1){G=Rb()|0;H=Q;I=G}else{k[C>>2]=27560;G=v+36|0;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;k[G+12>>2]=0;k[v+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,C|0,c|0);J=B;B=0;if(J&1){J=Rb()|0;K=Q;Yua(c);Yua(G);Ava(C);H=K;I=J;break}Yua(c);B=0;J=Ia(40,v|0,144350,19)|0;K=B;B=0;if(!(K&1)?(B=0,Xa(239,J|0,0)|0,J=B,B=0,!(J&1)):0){J=Ab(20)|0;B=0;eb(502,w|0,126449,83);K=B;B=0;do if(!(K&1)){B=0;eb(502,x|0,144189,13);L=B;B=0;if(L&1){L=Rb()|0;M=Q;Yua(w);N=M;O=L;break}B=0;wa(510,y|0,C|0);L=B;B=0;if(L&1){L=Rb()|0;P=Q;R=L;S=1}else{B=0;ua(163,J|0,w|0,x|0,347,y|0);L=B;B=0;if(L&1)T=1;else{B=0;eb(503,J|0,1240,229);B=0;T=0}L=Rb()|0;M=Q;Yua(y);P=M;R=L;S=T}Yua(x);Yua(w);if(S){N=P;O=R}else{U=R;V=P;k[v>>2]=27468;k[d>>2]=27488;k[C>>2]=27560;Yua(G);Ava(C);vva(d);Qb(U|0)}}else{L=Rb()|0;N=Q;O=L}while(0);zb(J|0);U=O;V=N;k[v>>2]=27468;k[d>>2]=27488;k[C>>2]=27560;Yua(G);Ava(C);vva(d);Qb(U|0)}K=Rb()|0;U=K;V=Q;k[v>>2]=27468;k[d>>2]=27488;k[C>>2]=27560;Yua(G);Ava(C);vva(d);Qb(U|0)}while(0);E=H;F=I;vva(d);Qb(F|0)}}F=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;d=gq(b,534)|0;I=Rqa(F>>>0>536870911?-1:F<<3)|0;H=ma(F,A)|0;E=H>>>0>536870911?-1:H<<3;H=Rqa(E)|0;U=Rqa(E)|0;E=(ma(A,A)|0)<<3;C=Rqa(E)|0;WEa(C|0,0,E|0)|0;Uo(b,u);pp(b,g,358);cp(b,e,237);E=Wo(b,674)|0;v=Wo(b,677)|0;V=(A|0)==3;if(V){W=0;X=0.0;Y=Wo(b,679)|0}else{W=1;X=+Zc[k[(k[b>>2]|0)+72>>2]&255](b);Y=0}N=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;O=Hc[k[(k[N>>2]|0)+8>>2]&511](N)|0;a:do if((O|0)<(Hc[k[(k[N>>2]|0)+12>>2]&511](N)|0)){P=N+8|0;R=d+12|0;S=s+8|0;w=t+16|0;x=C+(A+1<<3)|0;T=A<<1;y=C+(T+2<<3)|0;c=C+(A<<3)|0;D=C+8|0;K=C+(T<<3)|0;L=C+((T|1)<<3)|0;T=C+16|0;M=C+(A+2<<3)|0;Z=0.0;_=X;ba=O;while(1){Fc[k[(k[N>>2]|0)+24>>2]&1023](N,ba);rd[k[(k[b>>2]|0)+260>>2]&511](b,f,k[u>>2]|0,N);nd[k[(k[b>>2]|0)+336>>2]&1023](b,I,N);nd[k[(k[E>>2]|0)+48>>2]&1023](E,m,N);rd[k[(k[E>>2]|0)+60>>2]&511](E,q,k[u>>2]|0,N);nd[k[(k[v>>2]|0)+48>>2]&1023](v,n,N);rd[k[(k[v>>2]|0)+60>>2]&511](v,s,k[u>>2]|0,N);if(V){nd[k[(k[Y>>2]|0)+48>>2]&1023](Y,o,N);rd[k[(k[Y>>2]|0)+60>>2]&511](Y,t,k[u>>2]|0,N)}p[h>>3]=+p[P>>3]*+p[f>>3];ZX(I,1,F,1,h,1,1,0,I,1,F,0,k[R>>2]|0,1)|0;ca=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;da=Rqa(ca>>>0>536870911?-1:ca<<3)|0;nd[k[(k[b>>2]|0)+336>>2]&1023](b,da,N);if((ca|0)>0){ea=0;do{fa=+p[da+(ea<<3)>>3];ga=0;do{ha=H+((ma(ga,ca)|0)+ea<<3)|0;p[ha>>3]=fa;ga=ga+1|0}while((ga|0)!=(A|0));ea=ea+1|0}while((ea|0)!=(ca|0))}Tqa(da);ca=k[u>>2]|0;ea=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;ga=ma(ea,A)|0;ha=Rqa(ga>>>0>536870911?-1:ga<<3)|0;rd[k[(k[b>>2]|0)+340>>2]&511](b,ha,ca,N);if((ea|0)>0){ca=0;do{ga=0;do{ia=(ma(ga,ea)|0)+ca|0;p[U+(ia<<3)>>3]=+p[ha+(ia<<3)>>3];ga=ga+1|0}while((ga|0)!=(A|0));ca=ca+1|0}while((ca|0)!=(ea|0))}Tqa(ha);fa=+p[q>>3];ja=+p[S>>3];Z=V?+p[w>>3]:Z;ka=+p[g>>3]*+p[P>>3]*+p[f>>3];p[h>>3]=ka;p[C>>3]=fa*ka;p[x>>3]=ja*ka;if(V){p[y>>3]=Z*ka;ZX(H,3,F,1,C,3,3,0,H,3,F,0,k[R>>2]|0,1)|0;ka=+p[h>>3];p[C>>3]=ka*+p[m>>3];p[x>>3]=ka*+p[n>>3];p[y>>3]=ka*+p[o>>3]}else{ZX(H,A,F,1,C,A,A,0,H,A,F,0,k[R>>2]|0,1)|0;ka=+p[h>>3];p[C>>3]=ka*+p[m>>3];p[x>>3]=ka*+p[n>>3]}ZX(H,A,F,1,C,A,A,0,U,A,F,0,k[R>>2]|0,1)|0;b:do switch(k[e>>2]|0){case 2:{ka=+p[m>>3];ja=+p[n>>3];fa=ka*ka+ja*ja;if(V){la=+p[o>>3];na=_/((+aa(+(fa+la*la))+1.0e-08)*2.0);oa=ka*na;p[C>>3]=ka*oa;pa=ja*na;p[c>>3]=ka*pa;qa=na*la;p[K>>3]=ka*qa;p[D>>3]=oa*ja;p[x>>3]=ja*pa;na=pa*la;p[L>>3]=na;p[T>>3]=oa*la;p[M>>3]=na;p[y>>3]=la*qa;ra=_;break b}else{qa=_/((+aa(+fa)+1.0e-08)*2.0);fa=ka*qa;p[C>>3]=ka*fa;la=ja*qa;p[c>>3]=ka*la;p[D>>3]=fa*ja;p[x>>3]=ja*la;ra=_;break b}break}case 1:{if(W){Fc[k[(k[E>>2]|0)+64>>2]&1023](E,m);Fc[k[(k[v>>2]|0)+64>>2]&1023](v,n);la=_*.5;ja=la*+$(+(+p[m>>3]));p[C>>3]=ja;ja=la*+$(+(+p[n>>3]));p[x>>3]=ja;ra=_;break b}if(V){rd[k[(k[b>>2]|0)+108>>2]&511](b,i,j,l);ja=+p[m>>3];la=ja*ja;fa=+p[n>>3];ka=fa*fa;qa=+p[o>>3];na=qa*qa;oa=+aa(+(la+ka+na))+1.0e-14;pa=ja*+p[i>>3]/oa;sa=fa*+p[j>>3]/oa;ta=qa*+p[l>>3]/oa;xa=+aa(+(pa*pa+sa*sa+ta*ta));ta=xa/(oa*2.0);p[C>>3]=la*ta;la=ta*+$(+(ja*fa));p[D>>3]=la;oa=ta*+$(+(ja*qa));p[T>>3]=oa;p[c>>3]=la;p[x>>3]=ta*ka;ka=ta*+$(+(fa*qa));p[M>>3]=ka;p[K>>3]=oa;p[L>>3]=ka;p[y>>3]=ta*na;ra=xa}else ra=_;break}default:ra=_}while(0);if(((k[e>>2]|0)+-1|0)>>>0<2){if(!W){if(V){xa=+p[h>>3];p[C>>3]=xa*+p[C>>3];p[c>>3]=xa*+p[c>>3];p[K>>3]=xa*+p[K>>3];p[D>>3]=xa*+p[D>>3];p[x>>3]=xa*+p[x>>3];p[L>>3]=xa*+p[L>>3];p[T>>3]=xa*+p[T>>3];p[M>>3]=xa*+p[M>>3];p[y>>3]=xa*+p[y>>3]}}else{xa=+p[h>>3];p[C>>3]=xa*+p[C>>3];p[c>>3]=xa*+p[c>>3];p[D>>3]=xa*+p[D>>3];p[x>>3]=xa*+p[x>>3]}ZX(U,A,F,1,C,A,A,0,U,A,F,0,k[R>>2]|0,1)|0}ba=ba+1|0;if((ba|0)>=(Hc[k[(k[N>>2]|0)+12>>2]&511](N)|0))break a;else _=ra}}while(0);F=k[u>>2]|0;if(F)Tqa(F);k[u>>2]=0;Tqa(I);Tqa(H);Tqa(U);Tqa(C);Ec[k[(k[N>>2]|0)+4>>2]&1023](N);z=d;r=a;return z|0}function H8(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0;a=r;r=r+240|0;c=a+220|0;d=a+216|0;e=a+212|0;f=a+24|0;g=a+16|0;h=a+8|0;i=a;j=a+208|0;l=a+72|0;m=a+56|0;n=a+44|0;o=a+32|0;if(!($p(b)|0)){q=0;r=a;return q|0}k[j>>2]=0;cp(b,d,298);s=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;t=iq(b,534)|0;u=Rqa(s>>>0>536870911?-1:s<<3)|0;Uo(b,j);pp(b,g,358);cp(b,e,228);switch(k[e>>2]|0){case 0:{e=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;v=Rqa(e>>>0>536870911?-1:e<<3)|0;if((e|0)>0)WEa(v|0,0,e<<3|0)|0;e=k[b>>2]|0;w=k[e+48>>2]|0;x=Hc[k[e+128>>2]&511](b)|0;rd[w&511](b,226,v,x);Tqa(v);break}case 1:{D8(0,b);break}case 2:{C8(0,b);break}default:{v=l+56|0;x=l+4|0;k[l>>2]=27524;k[v>>2]=27544;B=0;wa(508,l+56|0,x|0);w=B;B=0;if(w&1){w=Rb()|0;y=Q;z=w;vva(v);Qb(z|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[v>>2]=27488;B=0;va(448,x|0);w=B;B=0;do if(w&1){e=Rb()|0;A=Q;C=e}else{k[x>>2]=27560;e=l+36|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;k[l+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,x|0,c|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(c);Yua(e);Ava(x);A=E;C=D;break}Yua(c);B=0;D=Ia(40,l|0,149721,19)|0;E=B;B=0;if(!(E&1)?(B=0,Xa(239,D|0,0)|0,D=B,B=0,!(D&1)):0){D=Ab(20)|0;B=0;eb(502,m|0,126449,83);E=B;B=0;do if(!(E&1)){B=0;eb(502,n|0,144203,13);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(m);H=F;I=G;break}B=0;wa(510,o|0,x|0);G=B;B=0;if(G&1){G=Rb()|0;J=G;K=Q;L=1}else{B=0;ua(163,D|0,m|0,n|0,531,o|0);G=B;B=0;if(G&1)M=1;else{B=0;eb(503,D|0,1240,229);B=0;M=0}G=Rb()|0;F=Q;Yua(o);J=G;K=F;L=M}Yua(n);Yua(m);if(L){H=J;I=K}else{N=J;O=K;k[l>>2]=27468;k[v>>2]=27488;k[x>>2]=27560;Yua(e);Ava(x);vva(v);Qb(N|0)}}else{F=Rb()|0;H=F;I=Q}while(0);zb(D|0);N=H;O=I;k[l>>2]=27468;k[v>>2]=27488;k[x>>2]=27560;Yua(e);Ava(x);vva(v);Qb(N|0)}E=Rb()|0;N=E;O=Q;k[l>>2]=27468;k[v>>2]=27488;k[x>>2]=27560;Yua(e);Ava(x);vva(v);Qb(N|0)}while(0);y=A;z=C;vva(v);Qb(z|0)}}z=Wo(b,226)|0;if((k[d>>2]|0)==300)P=Wo(b,227)|0;else P=Wo(b,225)|0;d=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;v=Hc[k[(k[d>>2]|0)+8>>2]&511](d)|0;a:do if((v|0)<(Hc[k[(k[d>>2]|0)+12>>2]&511](d)|0)){C=d+8|0;A=t+4|0;if((s|0)>0)R=v;else{y=v;while(1){Fc[k[(k[d>>2]|0)+24>>2]&1023](d,y);rd[k[(k[b>>2]|0)+260>>2]&511](b,f,k[j>>2]|0,d);nd[k[(k[b>>2]|0)+336>>2]&1023](b,u,d);nd[k[(k[P>>2]|0)+48>>2]&1023](P,i,d);nd[k[(k[z>>2]|0)+48>>2]&1023](z,h,d);y=y+1|0;if((y|0)>=(Hc[k[(k[d>>2]|0)+12>>2]&511](d)|0))break a}}do{Fc[k[(k[d>>2]|0)+24>>2]&1023](d,R);rd[k[(k[b>>2]|0)+260>>2]&511](b,f,k[j>>2]|0,d);nd[k[(k[b>>2]|0)+336>>2]&1023](b,u,d);nd[k[(k[P>>2]|0)+48>>2]&1023](P,i,d);nd[k[(k[z>>2]|0)+48>>2]&1023](z,h,d);y=k[A>>2]|0;e=0;do{D=y+(e<<3)|0;p[D>>3]=+p[D>>3]+ +p[u+(e<<3)>>3]*(+p[f>>3]*+p[C>>3]*(+p[i>>3]+ +p[g>>3]*+p[h>>3]));e=e+1|0}while((e|0)!=(s|0));R=R+1|0}while((R|0)<(Hc[k[(k[d>>2]|0)+12>>2]&511](d)|0))}while(0);R=k[j>>2]|0;if(R)Tqa(R);k[j>>2]=0;Tqa(u);Ec[k[(k[d>>2]|0)+4>>2]&1023](d);q=t;r=a;return q|0}function I8(a,b,c){a=a|0;b=b|0;c=c|0;nd[k[(k[c>>2]|0)+176>>2]&1023](c,b,227);return}function J8(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,126449,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,626,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function K8(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0.0,x=0,y=0.0,z=0,A=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0;a=r;r=r+384|0;d=a+368|0;e=a+364|0;f=a;g=a+360|0;h=a+224|0;i=a+208|0;j=a+56|0;l=a+44|0;m=a+72|0;n=a+32|0;o=a+20|0;q=a+8|0;k[g>>2]=0;cp(c,e,298);s=Hc[k[(k[c>>2]|0)+164>>2]&511](c)|0;rp(c,g,534,943);u=Rqa(s>>>0>536870911?-1:s<<3)|0;pp(c,f,240);a:do if((s|0)>0){v=k[g>>2]|0;w=+p[f>>3];x=0;while(1){y=+p[b+(k[v+(x<<2)>>2]<<3)>>3];z=u+(x<<3)|0;p[z>>3]=y;A=+$(+y);p[t>>3]=A;C=k[t>>2]|0;D=k[t+4>>2]|0;if(D>>>0>2146435072|(D|0)==2146435072&C>>>0>0){E=5;break}if((C|0)==0&(D|0)==2146435072){E=29;break}if(!(y>w)){if(y<0.0)p[z>>3]=0.0}else p[z>>3]=w;x=x+1|0;if((x|0)>=(s|0))break a}if((E|0)==5){x=h+56|0;v=h+4|0;k[h>>2]=27524;k[x>>2]=27544;B=0;wa(508,h+56|0,v|0);z=B;B=0;if(z&1){z=Rb()|0;F=Q;G=z;vva(x);Qb(G|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[x>>2]=27488;B=0;va(448,v|0);z=B;B=0;do if(z&1){D=Rb()|0;H=Q;I=D}else{k[v>>2]=27560;D=h+36|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;k[D+12>>2]=0;k[h+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,v|0,d|0);C=B;B=0;if(C&1){C=Rb()|0;J=Q;Yua(d);Yua(D);Ava(v);H=J;I=C;break}Yua(d);B=0;C=Ia(40,h|0,135564,28)|0;J=B;B=0;b:do if(!(J&1)?(B=0,Xa(239,C|0,0)|0,K=B,B=0,!(K&1)):0){K=Ab(20)|0;B=0;eb(502,i|0,126449,83);L=B;B=0;do if(!(L&1)){B=0;eb(502,j|0,137199,23);M=B;B=0;if(M&1){M=Rb()|0;N=Q;Yua(i);O=M;P=N;break}B=0;wa(510,l|0,v|0);N=B;B=0;if(N&1){N=Rb()|0;R=Q;S=N;T=1}else{B=0;ua(163,K|0,i|0,j|0,650,l|0);N=B;B=0;if(N&1)U=1;else{B=0;eb(503,K|0,1240,229);B=0;U=0}N=Rb()|0;M=Q;Yua(l);R=M;S=N;T=U}Yua(j);Yua(i);if(T){O=S;P=R}else{V=S;W=R;break b}}else{N=Rb()|0;O=N;P=Q}while(0);zb(K|0);V=O;W=P}else E=20;while(0);if((E|0)==20){C=Rb()|0;V=C;W=Q}k[h>>2]=27468;k[x>>2]=27488;k[v>>2]=27560;Yua(D);Ava(v);vva(x);X=W;Y=V;Qb(Y|0)}while(0);F=H;G=I;vva(x);Qb(G|0)}else if((E|0)==29){v=m+56|0;z=m+4|0;k[m>>2]=27524;k[v>>2]=27544;B=0;wa(508,m+56|0,z|0);C=B;B=0;if(C&1){C=Rb()|0;Z=Q;_=C;vva(v);Qb(_|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[v>>2]=27488;B=0;va(448,z|0);C=B;B=0;do if(C&1){J=Rb()|0;aa=Q;ba=J}else{k[z>>2]=27560;J=m+36|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;k[J+12>>2]=0;k[m+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,z|0,d|0);L=B;B=0;if(L&1){L=Rb()|0;N=Q;Yua(d);Yua(J);Ava(z);aa=N;ba=L;break}Yua(d);B=0;L=Ia(40,m|0,135593,28)|0;N=B;B=0;c:do if(!(N&1)?(B=0,Xa(239,L|0,0)|0,M=B,B=0,!(M&1)):0){M=Ab(20)|0;B=0;eb(502,n|0,126449,83);ca=B;B=0;do if(!(ca&1)){B=0;eb(502,o|0,137199,23);da=B;B=0;if(da&1){da=Rb()|0;ea=Q;Yua(n);fa=da;ga=ea;break}B=0;wa(510,q|0,z|0);ea=B;B=0;if(ea&1){ea=Rb()|0;ha=1;ia=Q;ja=ea}else{B=0;ua(163,M|0,n|0,o|0,651,q|0);ea=B;B=0;if(ea&1)ka=1;else{B=0;eb(503,M|0,1240,229);B=0;ka=0}ea=Rb()|0;da=Q;Yua(q);ha=ka;ia=da;ja=ea}Yua(o);Yua(n);if(ha){fa=ja;ga=ia}else{la=ia;ma=ja;break c}}else{ea=Rb()|0;fa=ea;ga=Q}while(0);zb(M|0);la=ga;ma=fa}else E=44;while(0);if((E|0)==44){L=Rb()|0;la=Q;ma=L}k[m>>2]=27468;k[v>>2]=27488;k[z>>2]=27560;Yua(J);Ava(z);vva(v);X=la;Y=ma;Qb(Y|0)}while(0);Z=aa;_=ba;vva(v);Qb(_|0)}}while(0);_=(k[e>>2]|0)==300;e=k[c>>2]|0;ba=k[e+48>>2]|0;aa=Hc[k[e+128>>2]&511](c)|0;if(_)rd[ba&511](c,227,u,aa);else rd[ba&511](c,225,u,aa);Tqa(u);u=k[g>>2]|0;if(!u){r=a;return}Tqa(u);r=a;return}function L8(a,b){a=a|0;b=b|0;RZ(b);return}function M8(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0;a=r;r=r+32|0;c=a+16|0;d=a+8|0;e=a;f=a+24|0;if(!($p(b)|0)){g=0;r=a;return g|0}k[f>>2]=0;h=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;i=gq(b,534)|0;j=h<<1;l=j>>>0>536870911?-1:j<<3;j=Rqa(l)|0;m=Rqa(l)|0;l=Rqa(32)|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[l+16>>2]=0;k[l+20>>2]=0;k[l+24>>2]=0;k[l+28>>2]=0;Uo(b,f);n=Wo(b,674)|0;o=Wo(b,677)|0;q=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;s=Hc[k[(k[q>>2]|0)+8>>2]&511](q)|0;if((s|0)<(Hc[k[(k[q>>2]|0)+12>>2]&511](q)|0)){t=q+8|0;u=l+24|0;v=i+12|0;w=s;do{Fc[k[(k[q>>2]|0)+24>>2]&1023](q,w);rd[k[(k[b>>2]|0)+260>>2]&511](b,c,k[f>>2]|0,q);s=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;x=Rqa(s>>>0>536870911?-1:s<<3)|0;nd[k[(k[b>>2]|0)+336>>2]&1023](b,x,q);if((s|0)>0){y=0;do{z=+p[x+(y<<3)>>3];p[j+(y<<3)>>3]=z;p[j+(s+y<<3)>>3]=z;y=y+1|0}while((y|0)!=(s|0))}Tqa(x);s=k[f>>2]|0;y=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;A=y<<1;B=Rqa(A>>>0>536870911?-1:A<<3)|0;rd[k[(k[b>>2]|0)+340>>2]&511](b,B,s,q);if((y|0)>0){s=0;do{p[m+(s<<3)>>3]=+p[B+(s<<3)>>3];A=y+s|0;p[m+(A<<3)>>3]=+p[B+(A<<3)>>3];s=s+1|0}while((s|0)!=(y|0))}Tqa(B);nd[k[(k[n>>2]|0)+48>>2]&1023](n,d,q);nd[k[(k[o>>2]|0)+48>>2]&1023](o,e,q);z=+p[c>>3];p[l>>3]=-(+p[t>>3]*+p[d>>3]*z);p[u>>3]=-(+p[t>>3]*+p[e>>3]*z);ZX(j,2,h,1,l,2,2,0,m,2,h,0,k[v>>2]|0,1)|0;w=w+1|0}while((w|0)<(Hc[k[(k[q>>2]|0)+12>>2]&511](q)|0))}w=k[f>>2]|0;if(w)Tqa(w);k[f>>2]=0;Tqa(j);Tqa(m);Tqa(l);Ec[k[(k[q>>2]|0)+4>>2]&1023](q);g=i;r=a;return g|0}function N8(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;a=r;r=r+32|0;c=a+8|0;d=a;e=a+16|0;if(!($p(b)|0)){f=0;r=a;return f|0}k[e>>2]=0;g=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;h=gq(b,534)|0;i=Rqa(g>>>0>536870911?-1:g<<3)|0;Uo(b,e);j=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;l=Hc[k[(k[j>>2]|0)+8>>2]&511](j)|0;if((l|0)<(Hc[k[(k[j>>2]|0)+12>>2]&511](j)|0)){m=j+8|0;n=h+12|0;o=l;do{Fc[k[(k[j>>2]|0)+24>>2]&1023](j,o);rd[k[(k[b>>2]|0)+260>>2]&511](b,d,k[e>>2]|0,j);nd[k[(k[b>>2]|0)+336>>2]&1023](b,i,j);p[c>>3]=+p[m>>3]*+p[d>>3];ZX(i,1,g,1,c,1,1,0,i,1,g,0,k[n>>2]|0,1)|0;o=o+1|0}while((o|0)<(Hc[k[(k[j>>2]|0)+12>>2]&511](j)|0))}o=k[e>>2]|0;if(o)Tqa(o);k[e>>2]=0;Tqa(i);Ec[k[(k[j>>2]|0)+4>>2]&1023](j);f=h;r=a;return f|0}function O8(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;a=r;r=r+16|0;e=a+4|0;f=a;k[e>>2]=0;k[f>>2]=0;loa(e,f,0,0,d);g=d+20|0;if((th(k[g>>2]|0)|0)>0){d=0;do{h=M8(0,qh(k[g>>2]|0,d)|0)|0;if(h){IN(h,k[e>>2]|0,k[f>>2]|0);HN(h);Sqa(h)}d=d+1|0}while((d|0)<(th(k[g>>2]|0)|0))}g=k[e>>2]|0;if(k[g>>2]|0){d=k[k[g+4>>2]>>2]|0;Ec[k[(k[d>>2]|0)+12>>2]&1023](d)}d=k[f>>2]|0;if(!(k[d>>2]|0))i=d;else{g=k[k[d+4>>2]>>2]|0;Ec[k[(k[g>>2]|0)+12>>2]&1023](g);i=k[f>>2]|0}k[b>>2]=k[e>>2];if(c){k[c>>2]=i;r=a;return}if(!i){r=a;return}if((k[i>>2]|0)!=0?(c=k[i+4>>2]|0,(c|0)!=0):0){e=k[c>>2]|0;if(e)Ec[k[(k[e>>2]|0)+4>>2]&1023](e);Sqa(c)}Sqa(i);r=a;return}function P8(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;a=r;r=r+16|0;d=a;cO(k[c+44>>2]|0,d,478);e=c+24|0;f=en(k[e>>2]|0,k[d>>2]|0,937)|0;g=fn(k[e>>2]|0,k[d>>2]|0,937)|0;d=Qqa(8)|0;B=0;va(485,d|0);e=B;B=0;a:do if(!(e&1)){do if(k[d>>2]|0){B=0;h=ya(423,4)|0;i=B;B=0;if(i&1)break a;B=0;eb(525,h|0,g|0,f|0);i=B;B=0;if(!(i&1)){k[d+4>>2]=h;break}i=Rb()|0;j=Q;Sqa(h);l=j;m=i;Sqa(d);Qb(m|0)}while(0);i=c+20|0;if((th(k[i>>2]|0)|0)>0){j=0;do{h=N8(0,qh(k[i>>2]|0,j)|0)|0;if(h){LN(h);KN(h,d);HN(h);Sqa(h)}j=j+1|0}while((j|0)<(th(k[i>>2]|0)|0))}if(!(k[d>>2]|0)){k[b>>2]=d;r=a;return}i=k[k[d+4>>2]>>2]|0;Ec[k[(k[i>>2]|0)+12>>2]&1023](i);k[b>>2]=d;r=a;return}while(0);a=Rb()|0;l=Q;m=a;Sqa(d);Qb(m|0)}function Q8(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;a=r;r=r+16|0;d=a;k[d>>2]=0;loa(d,0,0,0,c);e=c+20|0;if((th(k[e>>2]|0)|0)>0){c=0;do{f=N8(0,qh(k[e>>2]|0,c)|0)|0;if(f){JN(f,k[d>>2]|0);HN(f);Sqa(f)}c=c+1|0}while((c|0)<(th(k[e>>2]|0)|0))}e=k[d>>2]|0;if(!(k[e>>2]|0)){g=e;k[b>>2]=g;r=a;return}else{c=k[k[e+4>>2]>>2]|0;Ec[k[(k[c>>2]|0)+12>>2]&1023](c);g=k[d>>2]|0;k[b>>2]=g;r=a;return}}function R8(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;b=r;r=r+368|0;d=b+344|0;e=b+208|0;f=b+196|0;g=b+184|0;h=b+36|0;i=b+48|0;j=b+24|0;l=b+12|0;m=b;switch(cZ()|0){case 976:{n=Qqa(12)|0;k[n>>2]=28388;k[n+8>>2]=c;o=n+4|0;k[o>>2]=0;if(!c){k[a>>2]=n;r=b;return}B=0;p=ya(422,(c>>>0>536870911?-1:c<<3)|0)|0;q=B;B=0;if(q&1){q=Rb()|0;s=Q;Sqa(n);t=s;u=q;Qb(u|0)}else{WEa(p|0,0,c<<3|0)|0;k[o>>2]=p;k[a>>2]=n;r=b;return}break}case 977:{b=e+56|0;n=e+4|0;k[e>>2]=27524;k[b>>2]=27544;B=0;wa(508,e+56|0,n|0);a=B;B=0;if(a&1){a=Rb()|0;v=Q;w=a;vva(b);Qb(w|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[b>>2]=27488;B=0;va(448,n|0);a=B;B=0;do if(a&1){p=Rb()|0;x=Q;y=p}else{k[n>>2]=27560;p=e+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,n|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;c=Q;Yua(d);Yua(p);Ava(n);x=c;y=o;break}Yua(d);B=0;o=Ia(40,e|0,126559,39)|0;c=B;B=0;a:do if(!(c&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,f|0,126599,95);s=B;B=0;do if(!(s&1)){B=0;eb(502,g|0,126695,7);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(f);C=z;D=A;break}B=0;wa(510,h|0,n|0);A=B;B=0;if(A&1){A=Rb()|0;E=Q;F=A;G=1}else{B=0;ua(163,q|0,f|0,g|0,75,h|0);A=B;B=0;if(A&1)H=1;else{B=0;eb(503,q|0,1240,229);B=0;H=0}A=Rb()|0;z=Q;Yua(h);E=z;F=A;G=H}Yua(g);Yua(f);if(G){C=F;D=E}else{I=F;J=E;break a}}else{A=Rb()|0;C=A;D=Q}while(0);zb(q|0);I=C;J=D}else K=22;while(0);if((K|0)==22){o=Rb()|0;I=o;J=Q}k[e>>2]=27468;k[b>>2]=27488;k[n>>2]=27560;Yua(p);Ava(n);vva(b);t=J;u=I;Qb(u|0)}while(0);v=x;w=y;vva(b);Qb(w|0);break}default:{w=i+56|0;b=i+4|0;k[i>>2]=27524;k[w>>2]=27544;B=0;wa(508,i+56|0,b|0);y=B;B=0;if(y&1){y=Rb()|0;L=Q;M=y;vva(w);Qb(M|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[w>>2]=27488;B=0;va(448,b|0);y=B;B=0;do if(y&1){x=Rb()|0;N=Q;O=x}else{k[b>>2]=27560;x=i+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[i+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,b|0,d|0);v=B;B=0;if(v&1){v=Rb()|0;I=Q;Yua(d);Yua(x);Ava(b);N=I;O=v;break}Yua(d);B=0;v=Ia(40,i|0,126703,30)|0;I=B;B=0;b:do if(!(I&1)?(B=0,Xa(239,v|0,0)|0,J=B,B=0,!(J&1)):0){J=Ab(20)|0;B=0;eb(502,j|0,126599,95);n=B;B=0;do if(!(n&1)){B=0;eb(502,l|0,126695,7);e=B;B=0;if(e&1){e=Rb()|0;D=Q;Yua(j);P=e;R=D;break}B=0;wa(510,m|0,b|0);D=B;B=0;if(D&1){D=Rb()|0;S=1;T=Q;U=D}else{B=0;ua(163,J|0,j|0,l|0,79,m|0);D=B;B=0;if(D&1)V=1;else{B=0;eb(503,J|0,1240,229);B=0;V=0}D=Rb()|0;e=Q;Yua(m);S=V;T=e;U=D}Yua(l);Yua(j);if(S){P=U;R=T}else{W=T;X=U;break b}}else{D=Rb()|0;P=D;R=Q}while(0);zb(J|0);W=R;X=P}else K=45;while(0);if((K|0)==45){v=Rb()|0;W=Q;X=v}k[i>>2]=27468;k[w>>2]=27488;k[b>>2]=27560;Yua(x);Ava(b);vva(w);t=W;u=X;Qb(u|0)}while(0);L=N;M=O;vva(w);Qb(M|0)}}}function S8(a){a=a|0;Sqa(a);return}function T8(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;b=r;r=r+512|0;c=b+492|0;d=b+464|0;e=b+328|0;f=b+480|0;g=b+472|0;h=b+176|0;i=b+312|0;j=b+40|0;l=b+24|0;m=b+12|0;n=b;cO(k[a+44>>2]|0,d,228);switch(k[d>>2]|0){case 0:{a:do if(BY()|0){o=e+56|0;p=e+4|0;k[e>>2]=27524;k[o>>2]=27544;B=0;wa(508,e+56|0,p|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;t=q;vva(o);Qb(t|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[o>>2]=27488;B=0;va(448,p|0);q=B;B=0;do if(q&1){u=Rb()|0;v=Q;w=u}else{k[p>>2]=27560;u=e+36|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;k[u+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,p|0,c|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;Yua(c);Yua(u);Ava(p);v=y;w=x;break}Yua(c);B=0;Ia(40,e|0,126734,33)|0;x=B;B=0;do if(!(x&1)?(B=0,wa(510,f|0,p|0),y=B,B=0,!(y&1)):0){B=0;ya(425,f|0)|0;y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(f);A=z;C=y;break}else{Yua(f);k[e>>2]=27468;k[o>>2]=27488;k[p>>2]=27560;Yua(u);Ava(p);vva(o);break a}}else D=15;while(0);if((D|0)==15){x=Rb()|0;A=Q;C=x}k[e>>2]=27468;k[o>>2]=27488;k[p>>2]=27560;Yua(u);Ava(p);vva(o);E=A;F=C;Qb(F|0)}while(0);s=v;t=w;vva(o);Qb(t|0)}while(0);k[g>>2]=536;k[g+4>>2]=0;k[c>>2]=k[g>>2];k[c+4>>2]=k[g+4>>2];Fh(a,c);r=b;return}case 2:case 1:{if(!(BY()|0)){r=b;return}a=h+56|0;g=h+4|0;k[h>>2]=27524;k[a>>2]=27544;B=0;wa(508,h+56|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;G=Q;H=t;vva(a);Qb(H|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);t=B;B=0;do if(t&1){w=Rb()|0;I=Q;J=w}else{k[g>>2]=27560;w=h+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);v=B;B=0;if(v&1){v=Rb()|0;s=Q;Yua(c);Yua(w);Ava(g);I=s;J=v;break}Yua(c);B=0;Ia(40,h|0,126768,58)|0;v=B;B=0;do if(!(v&1)?(B=0,wa(510,i|0,g|0),s=B,B=0,!(s&1)):0){B=0;ya(425,i|0)|0;s=B;B=0;if(s&1){s=Rb()|0;C=Q;Yua(i);K=C;L=s;break}Yua(i);k[h>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(w);Ava(g);vva(a);r=b;return}else D=32;while(0);if((D|0)==32){v=Rb()|0;K=Q;L=v}k[h>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(w);Ava(g);vva(a);E=K;F=L;Qb(F|0)}while(0);G=I;H=J;vva(a);Qb(H|0);break}default:{H=j+56|0;a=j+4|0;k[j>>2]=27524;k[H>>2]=27544;B=0;wa(508,j+56|0,a|0);J=B;B=0;if(J&1){J=Rb()|0;M=Q;N=J;vva(H);Qb(N|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[H>>2]=27488;B=0;va(448,a|0);J=B;B=0;do if(J&1){I=Rb()|0;O=Q;P=I}else{k[a>>2]=27560;I=j+36|0;k[I>>2]=0;k[I+4>>2]=0;k[I+8>>2]=0;k[I+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,a|0,c|0);G=B;B=0;if(G&1){G=Rb()|0;L=Q;Yua(c);Yua(I);Ava(a);O=L;P=G;break}Yua(c);B=0;G=Ia(40,j|0,126827,11)|0;L=B;B=0;b:do if((((!(L&1)?(B=0,K=ya(427,k[d>>2]|0)|0,g=B,B=0,!(g&1)):0)?(g=Lta(K)|0,B=0,h=Ia(40,G|0,K|0,g|0)|0,g=B,B=0,!(g&1)):0)?(B=0,g=Ia(40,h|0,127493,20)|0,h=B,B=0,!(h&1)):0)?(B=0,Xa(239,g|0,0)|0,g=B,B=0,!(g&1)):0){g=Ab(20)|0;B=0;eb(502,l|0,126839,74);h=B;B=0;do if(!(h&1)){B=0;eb(502,m|0,126914,7);K=B;B=0;if(K&1){K=Rb()|0;b=Q;Yua(l);R=b;S=K;break}B=0;wa(510,n|0,a|0);K=B;B=0;if(K&1){K=Rb()|0;T=1;U=Q;V=K}else{B=0;ua(163,g|0,l|0,m|0,27,n|0);K=B;B=0;if(K&1)W=1;else{B=0;eb(503,g|0,1240,229);B=0;W=0}K=Rb()|0;b=Q;Yua(n);T=W;U=b;V=K}Yua(m);Yua(l);if(T){R=U;S=V}else{X=U;Y=V;break b}}else{K=Rb()|0;R=Q;S=K}while(0);zb(g|0);X=R;Y=S}else D=53;while(0);if((D|0)==53){G=Rb()|0;X=Q;Y=G}k[j>>2]=27468;k[H>>2]=27488;k[a>>2]=27560;Yua(I);Ava(a);vva(H);E=X;F=Y;Qb(F|0)}while(0);M=O;N=P;vva(H);Qb(N|0)}}}function U8(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,La=0,Ma=0,Na=0,Oa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0.0,mc=0,nc=0,oc=0.0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0.0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0;a=r;r=r+1520|0;d=a+1488|0;e=a+1484|0;f=a+16|0;g=a+8|0;h=a;j=a+1504|0;l=a+1503|0;m=a+1502|0;n=a+1501|0;o=a+1500|0;q=a+1480|0;s=a+1476|0;u=a+1472|0;v=a+1468|0;w=a+1464|0;x=a+1460|0;y=a+1456|0;z=a+1452|0;A=a+1448|0;C=a+1444|0;D=a+1440|0;E=a+1436|0;F=a+1420|0;G=a+1404|0;H=a+1388|0;I=a+1372|0;J=a+1356|0;K=a+1208|0;L=a+1424|0;M=a+1408|0;N=a+1392|0;O=a+1072|0;P=a+1376|0;R=a+1360|0;S=a+1344|0;T=a+920|0;U=a+1056|0;V=a+772|0;W=a+760|0;X=a+784|0;Y=a+472|0;Z=a+320|0;_=a+168|0;aa=a+624|0;ba=a+156|0;ca=a+144|0;da=a+132|0;ea=a+488|0;fa=a+120|0;ga=a+108|0;ha=a+96|0;ia=a+336|0;ja=a+84|0;ka=a+72|0;la=a+60|0;na=a+184|0;oa=a+48|0;pa=a+36|0;qa=a+24|0;k[y>>2]=0;k[z>>2]=0;k[A>>2]=0;k[C>>2]=0;k[D>>2]=0;k[E>>2]=0;k[F>>2]=0;k[G>>2]=0;k[H>>2]=0;k[I>>2]=0;k[J>>2]=0;Gka(c,f,126946);Gka(c,g,126961);Gka(c,h,126982);zka(c,j,129324);zka(c,l,129346);zka(c,m,129368);zka(c,n,129391);zka(c,o,132257);ra=i[l>>0]|0;l=ra<<24>>24==0;sa=i[n>>0]|0;n=sa<<24>>24==0;ta=i[o>>0]|0;xa=ta<<24>>24==0;za=i[m>>0]|0;m=za<<24>>24==0;if(!((sa|ra|ta|za)<<24>>24)){r=a;return}if(!((ta<<24>>24!=0?1.0:0.0)+((sa<<24>>24!=0?1.0:0.0)+((za<<24>>24!=0?1.0:0.0)+((ra<<24>>24!=0?1.0:0.0)+((i[j>>0]|0)!=0?1.0:0.0))))>1.0)){a:do if(l){if(!m){k[e>>2]=738;break}if(!n){Fka(c,e,127039);break}if(xa){j=O+56|0;ra=O+4|0;k[O>>2]=27524;k[j>>2]=27544;B=0;wa(508,O+56|0,ra|0);za=B;B=0;if(za&1){za=Rb()|0;Aa=Q;Ba=za;vva(j);Qb(Ba|0)}k[O+128>>2]=0;k[O+132>>2]=-1;k[O>>2]=27468;k[j>>2]=27488;B=0;va(448,ra|0);za=B;B=0;do if(za&1){sa=Rb()|0;Ca=Q;Da=sa}else{k[ra>>2]=27560;sa=O+36|0;k[sa>>2]=0;k[sa+4>>2]=0;k[sa+8>>2]=0;k[sa+12>>2]=0;k[O+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,ra|0,d|0);ta=B;B=0;if(ta&1){ta=Rb()|0;Ea=Q;Yua(d);Yua(sa);Ava(ra);Ca=Ea;Da=ta;break}Yua(d);B=0;ta=Ia(40,O|0,127159,23)|0;Ea=B;B=0;b:do if(!(Ea&1)?(B=0,Xa(239,ta|0,0)|0,Fa=B,B=0,!(Fa&1)):0){Fa=Ab(20)|0;B=0;eb(502,P|0,127077,81);Ga=B;B=0;do if(!(Ga&1)){B=0;eb(502,R|0,135838,17);Ha=B;B=0;if(Ha&1){Ha=Rb()|0;Ja=Q;Yua(P);La=Ja;Ma=Ha;break}B=0;wa(510,S|0,ra|0);Ha=B;B=0;if(Ha&1){Ha=Rb()|0;Na=1;Oa=Q;Qa=Ha}else{B=0;ua(163,Fa|0,P|0,R|0,85,S|0);Ha=B;B=0;if(Ha&1)Ra=1;else{B=0;eb(503,Fa|0,1240,229);B=0;Ra=0}Ha=Rb()|0;Ja=Q;Yua(S);Na=Ra;Oa=Ja;Qa=Ha}Yua(R);Yua(P);if(Na){La=Oa;Ma=Qa}else{Sa=Oa;Ta=Qa;break b}}else{Ha=Rb()|0;La=Q;Ma=Ha}while(0);zb(Fa|0);Sa=La;Ta=Ma}else Ua=62;while(0);if((Ua|0)==62){ta=Rb()|0;Sa=Q;Ta=ta}k[O>>2]=27468;k[j>>2]=27488;k[ra>>2]=27560;Yua(sa);Ava(ra);vva(j);Va=Sa;Wa=Ta;Qb(Wa|0)}while(0);Aa=Ca;Ba=Da;vva(j);Qb(Ba|0)}Fka(c,e,128764);do switch(k[e>>2]|0){case 749:{k[e>>2]=738;break a;break}case 750:{k[e>>2]=738;break a;break}case 752:{k[e>>2]=740;break a;break}case 751:{k[e>>2]=740;break a;break}case 753:{k[e>>2]=742;break a;break}case 755:{k[e>>2]=742;break a;break}case 754:{k[e>>2]=742;break a;break}case 758:{k[e>>2]=743;break a;break}case 756:{k[e>>2]=748;break a;break}case 757:{k[e>>2]=743;break a;break}default:{ra=K+56|0;za=K+4|0;k[K>>2]=27524;k[ra>>2]=27544;B=0;wa(508,K+56|0,za|0);ta=B;B=0;if(ta&1){ta=Rb()|0;Ya=Q;Za=ta;vva(ra);Qb(Za|0)}k[K+128>>2]=0;k[K+132>>2]=-1;k[K>>2]=27468;k[ra>>2]=27488;B=0;va(448,za|0);ta=B;B=0;do if(ta&1){Ea=Rb()|0;_a=Q;$a=Ea}else{k[za>>2]=27560;Ea=K+36|0;k[Ea>>2]=0;k[Ea+4>>2]=0;k[Ea+8>>2]=0;k[Ea+12>>2]=0;k[K+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,za|0,d|0);Ga=B;B=0;if(Ga&1){Ga=Rb()|0;Ha=Q;Yua(d);Yua(Ea);Ava(za);_a=Ha;$a=Ga;break}Yua(d);B=0;Ga=Ia(40,K|0,127061,15)|0;Ha=B;B=0;c:do if((((!(Ha&1)?(B=0,Ja=ya(427,k[e>>2]|0)|0,ab=B,B=0,!(ab&1)):0)?(ab=Lta(Ja)|0,B=0,bb=Ia(40,Ga|0,Ja|0,ab|0)|0,ab=B,B=0,!(ab&1)):0)?(B=0,ab=Ia(40,bb|0,144645,14)|0,bb=B,B=0,!(bb&1)):0)?(B=0,Xa(239,ab|0,0)|0,ab=B,B=0,!(ab&1)):0){ab=Ab(20)|0;B=0;eb(502,L|0,127077,81);bb=B;B=0;do if(!(bb&1)){B=0;eb(502,M|0,135838,17);Ja=B;B=0;if(Ja&1){Ja=Rb()|0;cb=Q;Yua(L);db=cb;fb=Ja;break}B=0;wa(510,N|0,za|0);Ja=B;B=0;if(Ja&1){Ja=Rb()|0;gb=Q;hb=Ja;ib=1}else{B=0;ua(163,ab|0,L|0,M|0,81,N|0);Ja=B;B=0;if(Ja&1)jb=1;else{B=0;eb(503,ab|0,1240,229);B=0;jb=0}Ja=Rb()|0;cb=Q;Yua(N);gb=cb;hb=Ja;ib=jb}Yua(M);Yua(L);if(ib){db=gb;fb=hb}else{kb=gb;lb=hb;break c}}else{Ja=Rb()|0;db=Q;fb=Ja}while(0);zb(ab|0);kb=db;lb=fb}else Ua=39;while(0);if((Ua|0)==39){Ga=Rb()|0;kb=Q;lb=Ga}k[K>>2]=27468;k[ra>>2]=27488;k[za>>2]=27560;Yua(Ea);Ava(za);vva(ra);Va=kb;Wa=lb;Qb(Wa|0)}while(0);Ya=_a;Za=$a;vva(ra);Qb(Za|0)}}while(0)}else Fka(c,e,127016);while(0);if(!(i[o>>0]|0)){qoa(b,c,129044,497,k[e>>2]|0,0);if((k[c+40>>2]|0)==301){r=a;return}qoa(b,c,129067,497,k[e>>2]|0,1);r=a;return}Qka(c,H,0,0,129588);Qka(c,E,0,0,129435);Qka(c,F,0,0,136615);Qka(c,G,0,0,134962);o=c+40|0;switch(k[o>>2]|0){case 302:{Qka(c,A,w,x,129412);break}case 301:{Qka(c,A,w,x,129067);break}default:{Za=T+56|0;$a=T+4|0;k[T>>2]=27524;k[Za>>2]=27544;B=0;wa(508,T+56|0,$a|0);_a=B;B=0;if(_a&1){_a=Rb()|0;mb=Q;nb=_a;vva(Za);Qb(nb|0)}k[T+128>>2]=0;k[T+132>>2]=-1;k[T>>2]=27468;k[Za>>2]=27488;B=0;va(448,$a|0);_a=B;B=0;do if(_a&1){Ya=Rb()|0;ob=Q;pb=Ya}else{k[$a>>2]=27560;Ya=T+36|0;k[Ya>>2]=0;k[Ya+4>>2]=0;k[Ya+8>>2]=0;k[Ya+12>>2]=0;k[T+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,$a|0,d|0);lb=B;B=0;if(lb&1){lb=Rb()|0;kb=Q;Yua(d);Yua(Ya);Ava($a);ob=kb;pb=lb;break}Yua(d);B=0;lb=Ia(40,T|0,134695,17)|0;kb=B;B=0;d:do if(!(kb&1)?(B=0,Xa(239,lb|0,0)|0,K=B,B=0,!(K&1)):0){K=Ab(20)|0;B=0;eb(502,U|0,127077,81);fb=B;B=0;do if(!(fb&1)){B=0;eb(502,V|0,135838,17);db=B;B=0;if(db&1){db=Rb()|0;hb=Q;Yua(U);qb=hb;rb=db;break}B=0;wa(510,W|0,$a|0);db=B;B=0;if(db&1){db=Rb()|0;sb=1;tb=Q;ub=db}else{B=0;ua(163,K|0,U|0,V|0,102,W|0);db=B;B=0;if(db&1)vb=1;else{B=0;eb(503,K|0,1240,229);B=0;vb=0}db=Rb()|0;hb=Q;Yua(W);sb=vb;tb=hb;ub=db}Yua(V);Yua(U);if(sb){qb=tb;rb=ub}else{wb=tb;xb=ub;break d}}else{db=Rb()|0;qb=Q;rb=db}while(0);zb(K|0);wb=qb;xb=rb}else Ua=89;while(0);if((Ua|0)==89){lb=Rb()|0;wb=Q;xb=lb}k[T>>2]=27468;k[Za>>2]=27488;k[$a>>2]=27560;Yua(Ya);Ava($a);vva(Za);Va=wb;Wa=xb;Qb(Wa|0)}while(0);mb=ob;nb=pb;vva(Za);Qb(nb|0)}}switch(k[o>>2]|0){case 302:{qoa(b,c,129044,497,k[e>>2]|0,0);qoa(b,c,129067,497,k[e>>2]|0,1);roa(b,c,k[A>>2]|0,k[w>>2]|0,k[x>>2]|0,497,k[e>>2]|0,2);Mka(c,k[A>>2]|0,129412);break}case 301:{qoa(b,c,129044,497,k[e>>2]|0,0);roa(b,c,k[A>>2]|0,k[w>>2]|0,k[x>>2]|0,497,k[e>>2]|0,1);Mka(c,k[A>>2]|0,129067);break}default:{o=X+56|0;nb=X+4|0;k[X>>2]=27524;k[o>>2]=27544;B=0;wa(508,X+56|0,nb|0);Za=B;B=0;if(Za&1){Za=Rb()|0;yb=Q;Bb=Za;vva(o);Qb(Bb|0)}k[X+128>>2]=0;k[X+132>>2]=-1;k[X>>2]=27468;k[o>>2]=27488;B=0;va(448,nb|0);Za=B;B=0;do if(Za&1){pb=Rb()|0;Cb=Q;Db=pb}else{k[nb>>2]=27560;pb=X+36|0;k[pb>>2]=0;k[pb+4>>2]=0;k[pb+8>>2]=0;k[pb+12>>2]=0;k[X+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,nb|0,d|0);ob=B;B=0;if(ob&1){ob=Rb()|0;mb=Q;Yua(d);Yua(pb);Ava(nb);Cb=mb;Db=ob;break}Yua(d);B=0;ob=Ia(40,X|0,134695,17)|0;mb=B;B=0;e:do if(!(mb&1)?(B=0,Xa(239,ob|0,0)|0,xb=B,B=0,!(xb&1)):0){xb=Ab(20)|0;B=0;eb(502,Y|0,127077,81);wb=B;B=0;do if(!(wb&1)){B=0;eb(502,Z|0,135838,17);$a=B;B=0;if($a&1){$a=Rb()|0;T=Q;Yua(Y);Eb=T;Fb=$a;break}B=0;wa(510,_|0,nb|0);$a=B;B=0;if($a&1){$a=Rb()|0;Gb=1;Hb=Q;Ib=$a}else{B=0;ua(163,xb|0,Y|0,Z|0,116,_|0);$a=B;B=0;if($a&1)Jb=1;else{B=0;eb(503,xb|0,1240,229);B=0;Jb=0}$a=Rb()|0;T=Q;Yua(_);Gb=Jb;Hb=T;Ib=$a}Yua(Z);Yua(Y);if(Gb){Eb=Hb;Fb=Ib}else{Kb=Hb;Lb=Ib;break e}}else{$a=Rb()|0;Eb=Q;Fb=$a}while(0);zb(xb|0);Kb=Eb;Lb=Fb}else Ua=115;while(0);if((Ua|0)==115){ob=Rb()|0;Kb=Q;Lb=ob}k[X>>2]=27468;k[o>>2]=27488;k[nb>>2]=27560;Yua(pb);Ava(nb);vva(o);Va=Kb;Wa=Lb;Qb(Wa|0)}while(0);yb=Cb;Bb=Db;vva(o);Qb(Bb|0)}}Mka(c,k[H>>2]|0,129588);Mka(c,k[E>>2]|0,129435);Mka(c,k[F>>2]|0,136615);Mka(c,k[G>>2]|0,134962);Bb=th(b)|0;Qka(c,H,0,0,129588);Qka(c,I,0,0,134925);Qka(c,J,0,0,127183);f:do switch(k[e>>2]|0){case 738:{o=c+52|0;Db=k[o>>2]|0;if((Db|0)>0){Cb=c+36|0;yb=c+100|0;Lb=c+56|0;Kb=Db;Db=Bb;nb=0;while(1){if((k[(k[Cb>>2]|0)+(nb<<2)>>2]|0)!=0?(~~+p[(k[H>>2]|0)+(nb<<3)>>3]|0)==534:0){X=Qqa(32)|0;Fb=Db+1|0;B=0;Pa(1,X|0,Fb|0,nb+1+(k[yb>>2]|0)+Kb+(k[Lb>>2]|0)|0,0,+(+p[f>>3]*+p[g>>3]*(+p[(k[I>>2]|0)+(nb<<3)>>3]-+p[(k[J>>2]|0)+(nb<<3)>>3])/+p[h>>3]),497);Eb=B;B=0;if(Eb&1){Mb=X;break}ih(b,X)|0;Nb=k[o>>2]|0;Ob=Fb}else{Nb=Kb;Ob=Db}nb=nb+1|0;if((nb|0)>=(Nb|0))break f;else{Kb=Nb;Db=Ob}}Db=Rb()|0;Kb=Q;Sqa(Mb);Va=Kb;Wa=Db;Qb(Wa|0)}break}case 740:{Db=c+52|0;Kb=k[Db>>2]|0;if((Kb|0)>0){nb=c+36|0;o=c+100|0;Lb=c+56|0;yb=Kb;Kb=Bb;Cb=0;while(1){if((k[(k[nb>>2]|0)+(Cb<<2)>>2]|0)!=0?(~~+p[(k[H>>2]|0)+(Cb<<3)>>3]|0)==534:0){pb=Qqa(32)|0;Fb=Kb+1|0;B=0;Pa(1,pb|0,Fb|0,Cb+1+(k[o>>2]|0)+yb+(k[Lb>>2]|0)|0,0,+(+p[f>>3]*+p[g>>3]*(+p[(k[I>>2]|0)+(Cb<<3)>>3]-+p[(k[J>>2]|0)+(Cb<<3)>>3])/+p[h>>3]),497);X=B;B=0;if(X&1){Pb=pb;break}ih(b,pb)|0;Sb=k[Db>>2]|0;Tb=Fb}else{Sb=yb;Tb=Kb}Cb=Cb+1|0;if((Cb|0)>=(Sb|0))break f;else{yb=Sb;Kb=Tb}}Kb=Rb()|0;yb=Q;Sqa(Pb);Va=yb;Wa=Kb;Qb(Wa|0)}break}case 742:{Kb=c+52|0;yb=k[Kb>>2]|0;if((yb|0)>0){Cb=c+36|0;Db=c+100|0;Lb=c+64|0;o=yb;yb=Bb;nb=0;while(1){if((k[(k[Cb>>2]|0)+(nb<<2)>>2]|0)!=0?(~~+p[(k[H>>2]|0)+(nb<<3)>>3]|0)==534:0){Fb=Qqa(32)|0;pb=yb+1|0;B=0;Pa(1,Fb|0,pb|0,nb+1+(k[Db>>2]|0)+o+(k[Lb>>2]|0)|0,0,+(+p[f>>3]*+p[g>>3]*(+p[(k[I>>2]|0)+(nb<<3)>>3]-+p[(k[J>>2]|0)+(nb<<3)>>3])/+p[h>>3]),497);X=B;B=0;if(X&1){Ub=Fb;break}ih(b,Fb)|0;Vb=k[Kb>>2]|0;Wb=pb}else{Vb=o;Wb=yb}nb=nb+1|0;if((nb|0)>=(Vb|0))break f;else{o=Vb;yb=Wb}}yb=Rb()|0;o=Q;Sqa(Ub);Va=o;Wa=yb;Qb(Wa|0)}break}case 743:{yb=c+52|0;o=k[yb>>2]|0;if((o|0)>0){nb=c+36|0;Kb=c+100|0;Lb=c+64|0;Db=c+56|0;Cb=c+60|0;pb=o;o=Bb;Fb=0;while(1){if((k[(k[nb>>2]|0)+(Fb<<2)>>2]|0)!=0?(~~+p[(k[H>>2]|0)+(Fb<<3)>>3]|0)==534:0){X=Qqa(32)|0;Eb=o+1|0;B=0;Pa(1,X|0,Eb|0,Fb+1+(k[Kb>>2]|0)+pb+(k[Lb>>2]|0)+(k[Db>>2]|0)+(k[Cb>>2]|0)|0,0,+(+p[f>>3]*+p[g>>3]*(+p[(k[I>>2]|0)+(Fb<<3)>>3]-+p[(k[J>>2]|0)+(Fb<<3)>>3])/+p[h>>3]),497);Ib=B;B=0;if(Ib&1){Xb=X;break}ih(b,X)|0;Yb=k[yb>>2]|0;Zb=Eb}else{Yb=pb;Zb=o}Fb=Fb+1|0;if((Fb|0)>=(Yb|0))break f;else{pb=Yb;o=Zb}}o=Rb()|0;pb=Q;Sqa(Xb);Va=pb;Wa=o;Qb(Wa|0)}break}case 748:break;default:{o=aa+56|0;pb=aa+4|0;k[aa>>2]=27524;k[o>>2]=27544;B=0;wa(508,aa+56|0,pb|0);Fb=B;B=0;if(Fb&1){Fb=Rb()|0;_b=Q;$b=Fb;vva(o);Qb($b|0)}k[aa+128>>2]=0;k[aa+132>>2]=-1;k[aa>>2]=27468;k[o>>2]=27488;B=0;va(448,pb|0);Fb=B;B=0;do if(Fb&1){yb=Rb()|0;ac=Q;bc=yb}else{k[pb>>2]=27560;yb=aa+36|0;k[yb>>2]=0;k[yb+4>>2]=0;k[yb+8>>2]=0;k[yb+12>>2]=0;k[aa+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,pb|0,d|0);Cb=B;B=0;if(Cb&1){Cb=Rb()|0;Db=Q;Yua(d);Yua(yb);Ava(pb);ac=Db;bc=Cb;break}Yua(d);B=0;Cb=Ia(40,aa|0,149721,19)|0;Db=B;B=0;g:do if(!(Db&1)?(B=0,Xa(239,Cb|0,0)|0,Lb=B,B=0,!(Lb&1)):0){Lb=Ab(20)|0;B=0;eb(502,ba|0,127077,81);Kb=B;B=0;do if(!(Kb&1)){B=0;eb(502,ca|0,135838,17);nb=B;B=0;if(nb&1){nb=Rb()|0;Eb=Q;Yua(ba);cc=Eb;dc=nb;break}B=0;wa(510,da|0,pb|0);nb=B;B=0;if(nb&1){nb=Rb()|0;ec=1;fc=Q;gc=nb}else{B=0;ua(163,Lb|0,ba|0,ca|0,173,da|0);nb=B;B=0;if(nb&1)hc=1;else{B=0;eb(503,Lb|0,1240,229);B=0;hc=0}nb=Rb()|0;Eb=Q;Yua(da);ec=hc;fc=Eb;gc=nb}Yua(ca);Yua(ba);if(ec){cc=fc;dc=gc}else{ic=fc;jc=gc;break g}}else{nb=Rb()|0;cc=Q;dc=nb}while(0);zb(Lb|0);ic=cc;jc=dc}else Ua=171;while(0);if((Ua|0)==171){Cb=Rb()|0;ic=Q;jc=Cb}k[aa>>2]=27468;k[o>>2]=27488;k[pb>>2]=27560;Yua(yb);Ava(pb);vva(o);Va=ic;Wa=jc;Qb(Wa|0)}while(0);_b=ac;$b=bc;vva(o);Qb($b|0)}}while(0);Mka(c,k[H>>2]|0,129588);Mka(c,k[I>>2]|0,134925);Mka(c,k[J>>2]|0,127183);r=a;return}Qka(c,y,q,s,129044);Qka(c,z,u,v,129067);Qka(c,A,w,x,129412);Qka(c,C,0,0,129090);$b=c+40|0;if((((k[$b>>2]|0)==302?(Qka(c,D,0,0,127193),(k[$b>>2]|0)==302):0)?(Qka(c,E,0,0,129435),(k[$b>>2]|0)==302):0)?(Qka(c,F,0,0,136615),(k[$b>>2]|0)==302):0)Qka(c,G,0,0,134962);Qka(c,H,0,0,129588);Qka(c,I,0,0,134925);Qka(c,J,0,0,127183);bc=k[s>>2]|0;ac=Rqa(bc>>>0>536870911?-1:bc<<3)|0;if((bc|0)>0){_b=k[y>>2]|0;jc=ma((k[q>>2]|0)+-1|0,bc)|0;ic=0;do{p[ac+(ic<<3)>>3]=+p[_b+(jc+ic<<3)>>3];ic=ic+1|0}while((ic|0)<(bc|0))}bc=k[v>>2]|0;ic=Rqa(bc>>>0>536870911?-1:bc<<3)|0;if((bc|0)>0){jc=k[z>>2]|0;_b=ma((k[u>>2]|0)+-1|0,bc)|0;aa=0;do{p[ic+(aa<<3)>>3]=+p[jc+(_b+aa<<3)>>3];aa=aa+1|0}while((aa|0)<(bc|0))}bc=k[x>>2]|0;aa=Rqa(bc>>>0>536870911?-1:bc<<3)|0;if((bc|0)>0){_b=k[A>>2]|0;jc=ma((k[w>>2]|0)+-1|0,bc)|0;dc=0;do{p[aa+(dc<<3)>>3]=+p[_b+(jc+dc<<3)>>3];dc=dc+1|0}while((dc|0)<(bc|0))}bc=c+52|0;dc=k[bc>>2]|0;h:do if((dc|0)>0){jc=c+36|0;_b=c+108|0;cc=c+100|0;gc=dc;fc=0;ec=0;i:while(1){j:do if(!(k[(k[jc>>2]|0)+(ec<<2)>>2]|0))kc=fc;else{lc=+p[(k[H>>2]|0)+(ec<<3)>>3];if(lc==537.0){if(~~+p[(k[D>>2]|0)+(ec<<3)>>3]){ba=Qqa(32)|0;ca=ec+1|0;B=0;Pa(1,ba|0,fc+1+(k[_b>>2]|0)|0,ca+(k[cc>>2]|0)|0,0,0.0,497);hc=B;B=0;if(hc&1){mc=ba;Ua=206;break i}ih(b,ba)|0;ba=Qqa(32)|0;hc=fc+2|0;B=0;Pa(1,ba|0,hc+(k[_b>>2]|0)|0,ca+(k[cc>>2]|0)|0,1,0.0,497);da=B;B=0;if(da&1){nc=ba;Ua=207;break i}ih(b,ba)|0;ba=(k[y>>2]|0)+(ec<<3)|0;oc=+$(+(+p[ba>>3]));p[t>>3]=oc;da=k[t+4>>2]|0;if(da>>>0>2146435072|(da|0)==2146435072&(k[t>>2]|0)>>>0>0)pc=hc;else{hc=Qqa(32)|0;da=fc+3|0;B=0;Pa(1,hc|0,da+(k[_b>>2]|0)|0,ca+(k[cc>>2]|0)|0,2,+(+p[ba>>3]),497);ba=B;B=0;if(ba&1){qc=hc;Ua=208;break i}ih(b,hc)|0;pc=da}da=(k[z>>2]|0)+(ec<<3)|0;oc=+$(+(+p[da>>3]));p[t>>3]=oc;hc=k[t+4>>2]|0;if(hc>>>0>2146435072|(hc|0)==2146435072&(k[t>>2]|0)>>>0>0){kc=pc;break}hc=Qqa(32)|0;ba=pc+1|0;B=0;Pa(1,hc|0,ba+(k[_b>>2]|0)|0,ca+(k[cc>>2]|0)|0,3,+(+p[da>>3]),497);da=B;B=0;if(da&1){rc=hc;Ua=212;break i}ih(b,hc)|0;kc=ba;break}if(!~~+p[(k[C>>2]|0)+(ec<<3)>>3]){Ua=226;break i}ba=Qqa(32)|0;hc=ec+1|0;B=0;Pa(1,ba|0,fc+1+(k[_b>>2]|0)|0,hc+(k[cc>>2]|0)|0,2,0.0,497);da=B;B=0;if(da&1){sc=ba;Ua=219;break i}ih(b,ba)|0;ba=Qqa(32)|0;da=fc+2|0;B=0;Pa(1,ba|0,da+(k[_b>>2]|0)|0,hc+(k[cc>>2]|0)|0,3,0.0,497);ca=B;B=0;if(ca&1){tc=ba;Ua=220;break i}ih(b,ba)|0;ba=(k[y>>2]|0)+(ec<<3)|0;oc=+$(+(+p[ba>>3]));p[t>>3]=oc;ca=k[t+4>>2]|0;if(ca>>>0>2146435072|(ca|0)==2146435072&(k[t>>2]|0)>>>0>0)uc=da;else{da=Qqa(32)|0;ca=fc+3|0;B=0;Pa(1,da|0,ca+(k[_b>>2]|0)|0,hc+(k[cc>>2]|0)|0,0,+(+p[ba>>3]),497);ba=B;B=0;if(ba&1){vc=da;Ua=221;break i}ih(b,da)|0;uc=ca}ca=(k[z>>2]|0)+(ec<<3)|0;oc=+$(+(+p[ca>>3]));p[t>>3]=oc;da=k[t+4>>2]|0;if(da>>>0>2146435072|(da|0)==2146435072&(k[t>>2]|0)>>>0>0){kc=uc;break}da=Qqa(32)|0;ba=uc+1|0;B=0;Pa(1,da|0,ba+(k[_b>>2]|0)|0,hc+(k[cc>>2]|0)|0,1,+(+p[ca>>3]),497);ca=B;B=0;if(ca&1){wc=da;Ua=225;break i}ih(b,da)|0;kc=ba;break}switch(~~lc|0){case 541:{if(~~+p[(k[D>>2]|0)+(ec<<3)>>3]){ba=Qqa(32)|0;da=ec+1|0;B=0;Pa(1,ba|0,fc+1+(k[_b>>2]|0)|0,da+(k[cc>>2]|0)|0,2,0.0,497);ca=B;B=0;if(ca&1){xc=ba;Ua=257;break i}ih(b,ba)|0;ba=Qqa(32)|0;B=0;Pa(1,ba|0,fc+2+(k[_b>>2]|0)|0,da+(k[cc>>2]|0)|0,3,0.0,497);ca=B;B=0;if(ca&1){yc=ba;Ua=258;break i}ih(b,ba)|0;ba=Qqa(32)|0;ca=fc+3|0;B=0;Pa(1,ba|0,ca+(k[_b>>2]|0)|0,da+(k[cc>>2]|0)|0,4,0.0,497);hc=B;B=0;if(hc&1){zc=ba;Ua=259;break i}ih(b,ba)|0;ba=(k[y>>2]|0)+(ec<<3)|0;oc=+$(+(+p[ba>>3]));p[t>>3]=oc;hc=k[t+4>>2]|0;if(hc>>>0>2146435072|(hc|0)==2146435072&(k[t>>2]|0)>>>0>0)Ac=ca;else{ca=Qqa(32)|0;hc=fc+4|0;B=0;Pa(1,ca|0,hc+(k[_b>>2]|0)|0,da+(k[cc>>2]|0)|0,0,+(+p[ba>>3]),497);ba=B;B=0;if(ba&1){Bc=ca;Ua=260;break i}ih(b,ca)|0;Ac=hc}hc=(k[z>>2]|0)+(ec<<3)|0;oc=+$(+(+p[hc>>3]));p[t>>3]=oc;ca=k[t+4>>2]|0;if(ca>>>0>2146435072|(ca|0)==2146435072&(k[t>>2]|0)>>>0>0){kc=Ac;break j}ca=Qqa(32)|0;ba=Ac+1|0;B=0;Pa(1,ca|0,ba+(k[_b>>2]|0)|0,da+(k[cc>>2]|0)|0,1,+(+p[hc>>3]),497);hc=B;B=0;if(hc&1){Cc=ca;Ua=264;break i}ih(b,ca)|0;kc=ba;break j}if(!~~+p[(k[E>>2]|0)+(ec<<3)>>3]){Ua=282;break i}ba=Qqa(32)|0;ca=ec+1|0;B=0;Pa(1,ba|0,fc+1+(k[_b>>2]|0)|0,ca+(k[cc>>2]|0)|0,0,0.0,497);hc=B;B=0;if(hc&1){Dc=ba;Ua=271;break i}ih(b,ba)|0;ba=Qqa(32)|0;hc=fc+2|0;B=0;Pa(1,ba|0,hc+(k[_b>>2]|0)|0,ca+(k[cc>>2]|0)|0,1,0.0,497);da=B;B=0;if(da&1){Ec=ba;Ua=272;break i}ih(b,ba)|0;ba=(k[y>>2]|0)+(ec<<3)|0;oc=+$(+(+p[ba>>3]));p[t>>3]=oc;da=k[t+4>>2]|0;if(da>>>0>2146435072|(da|0)==2146435072&(k[t>>2]|0)>>>0>0)Fc=hc;else{hc=Qqa(32)|0;da=fc+3|0;B=0;Pa(1,hc|0,da+(k[_b>>2]|0)|0,ca+(k[cc>>2]|0)|0,2,+(+p[ba>>3]),497);ba=B;B=0;if(ba&1){Gc=hc;Ua=273;break i}ih(b,hc)|0;Fc=da}da=(k[z>>2]|0)+(ec<<3)|0;oc=+$(+(+p[da>>3]));p[t>>3]=oc;hc=k[t+4>>2]|0;if(hc>>>0>2146435072|(hc|0)==2146435072&(k[t>>2]|0)>>>0>0)Hc=Fc;else{hc=Qqa(32)|0;ba=Fc+1|0;B=0;Pa(1,hc|0,ba+(k[_b>>2]|0)|0,ca+(k[cc>>2]|0)|0,3,+(+p[da>>3]),497);da=B;B=0;if(da&1){Ic=hc;Ua=277;break i}ih(b,hc)|0;Hc=ba}ba=(k[A>>2]|0)+(ec<<3)|0;oc=+$(+(+p[ba>>3]));p[t>>3]=oc;hc=k[t+4>>2]|0;if(hc>>>0>2146435072|(hc|0)==2146435072&(k[t>>2]|0)>>>0>0){kc=Hc;break j}hc=Qqa(32)|0;da=Hc+1|0;B=0;Pa(1,hc|0,da+(k[_b>>2]|0)|0,ca+(k[cc>>2]|0)|0,4,+(+p[ba>>3]),497);ba=B;B=0;if(ba&1){Jc=hc;Ua=281;break i}ih(b,hc)|0;kc=da;break j;break}case 538:{if(~~+p[(k[C>>2]|0)+(ec<<3)>>3]){da=Qqa(32)|0;hc=ec+1|0;B=0;Pa(1,da|0,fc+1+(k[_b>>2]|0)|0,hc+(k[cc>>2]|0)|0,2,0.0,497);ba=B;B=0;if(ba&1){Kc=da;Ua=312;break i}ih(b,da)|0;da=Qqa(32)|0;B=0;Pa(1,da|0,fc+2+(k[_b>>2]|0)|0,hc+(k[cc>>2]|0)|0,3,0.0,497);ba=B;B=0;if(ba&1){Lc=da;Ua=313;break i}ih(b,da)|0;da=Qqa(32)|0;ba=fc+3|0;B=0;Pa(1,da|0,ba+(k[_b>>2]|0)|0,hc+(k[cc>>2]|0)|0,4,0.0,497);ca=B;B=0;if(ca&1){Mc=da;Ua=314;break i}ih(b,da)|0;da=(k[y>>2]|0)+(ec<<3)|0;oc=+$(+(+p[da>>3]));p[t>>3]=oc;ca=k[t+4>>2]|0;if(ca>>>0>2146435072|(ca|0)==2146435072&(k[t>>2]|0)>>>0>0)Nc=ba;else{ba=Qqa(32)|0;ca=fc+4|0;B=0;Pa(1,ba|0,ca+(k[_b>>2]|0)|0,hc+(k[cc>>2]|0)|0,0,+(+p[da>>3]),497);da=B;B=0;if(da&1){Oc=ba;Ua=315;break i}ih(b,ba)|0;Nc=ca}ca=(k[z>>2]|0)+(ec<<3)|0;oc=+$(+(+p[ca>>3]));p[t>>3]=oc;ba=k[t+4>>2]|0;if(ba>>>0>2146435072|(ba|0)==2146435072&(k[t>>2]|0)>>>0>0){kc=Nc;break j}ba=Qqa(32)|0;da=Nc+1|0;B=0;Pa(1,ba|0,da+(k[_b>>2]|0)|0,hc+(k[cc>>2]|0)|0,1,+(+p[ca>>3]),497);ca=B;B=0;if(ca&1){Pc=ba;Ua=319;break i}ih(b,ba)|0;kc=da;break j}if(!~~+p[(k[E>>2]|0)+(ec<<3)>>3]){Ua=337;break i}da=Qqa(32)|0;ba=ec+1|0;B=0;Pa(1,da|0,fc+1+(k[_b>>2]|0)|0,ba+(k[cc>>2]|0)|0,0,0.0,497);ca=B;B=0;if(ca&1){Qc=da;Ua=326;break i}ih(b,da)|0;da=Qqa(32)|0;ca=fc+2|0;B=0;Pa(1,da|0,ca+(k[_b>>2]|0)|0,ba+(k[cc>>2]|0)|0,1,0.0,497);hc=B;B=0;if(hc&1){Rc=da;Ua=327;break i}ih(b,da)|0;da=(k[y>>2]|0)+(ec<<3)|0;oc=+$(+(+p[da>>3]));p[t>>3]=oc;hc=k[t+4>>2]|0;if(hc>>>0>2146435072|(hc|0)==2146435072&(k[t>>2]|0)>>>0>0)Sc=ca;else{ca=Qqa(32)|0;hc=fc+3|0;B=0;Pa(1,ca|0,hc+(k[_b>>2]|0)|0,ba+(k[cc>>2]|0)|0,2,+(+p[da>>3]),497);da=B;B=0;if(da&1){Tc=ca;Ua=328;break i}ih(b,ca)|0;Sc=hc}hc=(k[z>>2]|0)+(ec<<3)|0;oc=+$(+(+p[hc>>3]));p[t>>3]=oc;ca=k[t+4>>2]|0;if(ca>>>0>2146435072|(ca|0)==2146435072&(k[t>>2]|0)>>>0>0)Uc=Sc;else{ca=Qqa(32)|0;da=Sc+1|0;B=0;Pa(1,ca|0,da+(k[_b>>2]|0)|0,ba+(k[cc>>2]|0)|0,3,+(+p[hc>>3]),497);hc=B;B=0;if(hc&1){Vc=ca;Ua=332;break i}ih(b,ca)|0;Uc=da}da=(k[A>>2]|0)+(ec<<3)|0;oc=+$(+(+p[da>>3]));p[t>>3]=oc;ca=k[t+4>>2]|0;if(ca>>>0>2146435072|(ca|0)==2146435072&(k[t>>2]|0)>>>0>0){kc=Uc;break j}ca=Qqa(32)|0;hc=Uc+1|0;B=0;Pa(1,ca|0,hc+(k[_b>>2]|0)|0,ba+(k[cc>>2]|0)|0,4,+(+p[da>>3]),497);da=B;B=0;if(da&1){Wc=ca;Ua=336;break i}ih(b,ca)|0;kc=hc;break j;break}default:{hc=k[q>>2]|0;if((hc|0)==(gc|0)?(ca=(k[y>>2]|0)+(ec<<3)|0,oc=+$(+(+p[ca>>3])),p[t>>3]=oc,da=k[t+4>>2]|0,!(da>>>0>2146435072|(da|0)==2146435072&(k[t>>2]|0)>>>0>0)):0){da=Qqa(32)|0;ba=fc+1|0;B=0;Pa(1,da|0,ba+(k[_b>>2]|0)|0,ec+1+(k[cc>>2]|0)|0,0,+(+p[ca>>3]),497);ca=B;B=0;if(ca&1){Xc=da;Ua=364;break i}ih(b,da)|0;Yc=ba}else Ua=365;do if((Ua|0)==365){Ua=0;if((hc|0)!=(gc+1|0)){if(!(lc==535.0)){Yc=fc;break}ba=Qqa(40)|0;da=fc+1|0;B=0;ua(174,ba|0,da+(k[_b>>2]|0)|0,ec+1+(k[cc>>2]|0)|0,0,497);ca=B;B=0;if(ca&1){Zc=ba;Ua=377;break i}ih(b,ba)|0;Yc=da;break}da=k[s>>2]|0;ba=Rqa(da>>>0>536870911?-1:da<<3)|0;if((da|0)>0){ca=k[y>>2]|0;Xb=ma(da,ec)|0;Zb=0;Yb=0;do{oc=+p[ca+(Xb+Zb<<3)>>3];p[ba+(Zb<<3)>>3]=oc;_c=+$(+oc);p[t>>3]=_c;Bb=k[t+4>>2]|0;Yb=Yb|(Bb>>>0<2146435072|(Bb|0)==2146435072&(k[t>>2]|0)>>>0<1);Zb=Zb+1|0}while((Zb|0)<(da|0));if(Yb){Zb=Qqa(36)|0;Xb=fc+1|0;B=0;Ka(11,Zb|0,Xb+(k[_b>>2]|0)|0,ec+1+(k[cc>>2]|0)|0,0,da|0,ac|0,ba|0,497);ca=B;B=0;if(ca&1){$c=Zb;Ua=372;break i}ih(b,Zb)|0;ad=Xb}else ad=fc}else ad=fc;Tqa(ba);Yc=ad}while(0);hc=k[u>>2]|0;Lb=k[bc>>2]|0;if((hc|0)==(Lb|0)?(Xb=(k[z>>2]|0)+(ec<<3)|0,lc=+$(+(+p[Xb>>3])),p[t>>3]=lc,Zb=k[t+4>>2]|0,!(Zb>>>0>2146435072|(Zb|0)==2146435072&(k[t>>2]|0)>>>0>0)):0){Zb=Qqa(32)|0;ca=Yc+1|0;B=0;Pa(1,Zb|0,ca+(k[_b>>2]|0)|0,ec+1+(k[cc>>2]|0)|0,1,+(+p[Xb>>3]),497);Xb=B;B=0;if(Xb&1){bd=Zb;Ua=382;break i}ih(b,Zb)|0;cd=ca}else Ua=383;do if((Ua|0)==383){Ua=0;if((hc|0)!=(Lb+1|0)){if(!(+p[(k[H>>2]|0)+(ec<<3)>>3]==535.0)){cd=Yc;break}ca=Qqa(40)|0;Zb=Yc+1|0;B=0;ua(174,ca|0,Zb+(k[_b>>2]|0)|0,ec+1+(k[cc>>2]|0)|0,1,497);Xb=B;B=0;if(Xb&1){dd=ca;Ua=395;break i}ih(b,ca)|0;cd=Zb;break}Zb=k[v>>2]|0;ca=Rqa(Zb>>>0>536870911?-1:Zb<<3)|0;if((Zb|0)>0){Xb=k[z>>2]|0;ab=ma(Zb,ec)|0;Bb=0;Ub=0;do{lc=+p[Xb+(ab+Bb<<3)>>3];p[ca+(Bb<<3)>>3]=lc;_c=+$(+lc);p[t>>3]=_c;Wb=k[t+4>>2]|0;Ub=Ub|(Wb>>>0<2146435072|(Wb|0)==2146435072&(k[t>>2]|0)>>>0<1);Bb=Bb+1|0}while((Bb|0)<(Zb|0));if(Ub){Bb=Qqa(36)|0;ab=Yc+1|0;B=0;Ka(11,Bb|0,ab+(k[_b>>2]|0)|0,ec+1+(k[cc>>2]|0)|0,1,Zb|0,ic|0,ca|0,497);Xb=B;B=0;if(Xb&1){ed=Bb;Ua=390;break i}ih(b,Bb)|0;fd=ab}else fd=Yc}else fd=Yc;Tqa(ca);cd=fd}while(0);k:do switch(~~+p[(k[H>>2]|0)+(ec<<3)>>3]|0){case 534:case 542:{Lb=k[w>>2]|0;hc=k[bc>>2]|0;if((Lb|0)==(hc|0)?(ab=(k[A>>2]|0)+(ec<<3)|0,_c=+$(+(+p[ab>>3])),p[t>>3]=_c,Bb=k[t+4>>2]|0,!(Bb>>>0>2146435072|(Bb|0)==2146435072&(k[t>>2]|0)>>>0>0)):0){Bb=Qqa(32)|0;Xb=cd+1|0;B=0;Pa(1,Bb|0,Xb+(k[_b>>2]|0)|0,ec+1+(k[cc>>2]|0)|0,2,+(+p[ab>>3]),497);ab=B;B=0;if(ab&1){gd=Bb;Ua=401;break i}ih(b,Bb)|0;hd=Xb;break k}if((Lb|0)==(hc+1|0)){hc=k[x>>2]|0;Lb=Rqa(hc>>>0>536870911?-1:hc<<3)|0;do if((hc|0)>0){Xb=k[A>>2]|0;Bb=ma(hc,ec)|0;ab=0;ba=0;do{_c=+p[Xb+(Bb+ab<<3)>>3];p[Lb+(ab<<3)>>3]=_c;lc=+$(+_c);p[t>>3]=lc;da=k[t+4>>2]|0;ba=ba|(da>>>0<2146435072|(da|0)==2146435072&(k[t>>2]|0)>>>0<1);ab=ab+1|0}while((ab|0)<(hc|0));if(!ba){id=cd;break}ab=Qqa(36)|0;Bb=cd+1|0;B=0;Ka(11,ab|0,Bb+(k[_b>>2]|0)|0,ec+1+(k[cc>>2]|0)|0,2,hc|0,aa|0,Lb|0,497);Xb=B;B=0;if(Xb&1){jd=ab;Ua=409;break i}ih(b,ab)|0;id=Bb}else id=cd;while(0);Tqa(Lb);hd=id}else hd=cd;break}default:hd=cd}while(0);if((~~+p[(k[H>>2]|0)+(ec<<3)>>3]|0)!=534){kc=hd;break j}hc=Qqa(32)|0;ca=hd+1|0;B=0;Pa(1,hc|0,ca+(k[_b>>2]|0)|0,ec+1+(k[cc>>2]|0)+(k[bc>>2]|0)|0,0,+(+p[f>>3]*+p[g>>3]*(+p[(k[I>>2]|0)+(ec<<3)>>3]-+p[(k[J>>2]|0)+(ec<<3)>>3])/+p[h>>3]),497);Zb=B;B=0;if(Zb&1){kd=hc;Ua=414;break i}ih(b,hc)|0;kc=ca;break j}}}while(0);ec=ec+1|0;gc=k[bc>>2]|0;if((ec|0)>=(gc|0))break h;else fc=kc}switch(Ua|0){case 206:{fc=Rb()|0;gc=Q;Sqa(mc);Va=gc;Wa=fc;Qb(Wa|0);break}case 207:{fc=Rb()|0;gc=Q;Sqa(nc);Va=gc;Wa=fc;Qb(Wa|0);break}case 208:{fc=Rb()|0;gc=Q;Sqa(qc);Va=gc;Wa=fc;Qb(Wa|0);break}case 212:{fc=Rb()|0;gc=Q;Sqa(rc);Va=gc;Wa=fc;Qb(Wa|0);break}case 219:{fc=Rb()|0;gc=Q;Sqa(sc);Va=gc;Wa=fc;Qb(Wa|0);break}case 220:{fc=Rb()|0;gc=Q;Sqa(tc);Va=gc;Wa=fc;Qb(Wa|0);break}case 221:{fc=Rb()|0;gc=Q;Sqa(vc);Va=gc;Wa=fc;Qb(Wa|0);break}case 225:{fc=Rb()|0;gc=Q;Sqa(wc);Va=gc;Wa=fc;Qb(Wa|0);break}case 226:{fc=ea+56|0;gc=ea+4|0;k[ea>>2]=27524;k[fc>>2]=27544;B=0;wa(508,ea+56|0,gc|0);ec=B;B=0;if(ec&1){ec=Rb()|0;ld=Q;md=ec;vva(fc);Qb(md|0)}k[ea+128>>2]=0;k[ea+132>>2]=-1;k[ea>>2]=27468;k[fc>>2]=27488;B=0;va(448,gc|0);ec=B;B=0;do if(ec&1){cc=Rb()|0;nd=Q;od=cc}else{k[gc>>2]=27560;cc=ea+36|0;k[cc>>2]=0;k[cc+4>>2]=0;k[cc+8>>2]=0;k[cc+12>>2]=0;k[ea+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,gc|0,d|0);_b=B;B=0;if(_b&1){_b=Rb()|0;jc=Q;Yua(d);Yua(cc);Ava(gc);nd=jc;od=_b;break}Yua(d);B=0;_b=Ia(40,ea|0,127218,63)|0;jc=B;B=0;l:do if(!(jc&1)?(B=0,Xa(239,_b|0,0)|0,o=B,B=0,!(o&1)):0){o=Ab(20)|0;B=0;eb(502,fa|0,127077,81);yb=B;B=0;do if(!(yb&1)){B=0;eb(502,ga|0,135838,17);ca=B;B=0;if(ca&1){ca=Rb()|0;hc=Q;Yua(fa);pd=hc;qd=ca;break}B=0;wa(510,ha|0,gc|0);ca=B;B=0;if(ca&1){ca=Rb()|0;rd=1;sd=Q;td=ca}else{B=0;ua(163,o|0,fa|0,ga|0,258,ha|0);ca=B;B=0;if(ca&1)ud=1;else{B=0;eb(503,o|0,1240,229);B=0;ud=0}ca=Rb()|0;hc=Q;Yua(ha);rd=ud;sd=hc;td=ca}Yua(ga);Yua(fa);if(rd){pd=sd;qd=td}else{vd=sd;wd=td;break l}}else{ca=Rb()|0;pd=Q;qd=ca}while(0);zb(o|0);vd=pd;wd=qd}else Ua=241;while(0);if((Ua|0)==241){_b=Rb()|0;vd=Q;wd=_b}k[ea>>2]=27468;k[fc>>2]=27488;k[gc>>2]=27560;Yua(cc);Ava(gc);vva(fc);Va=vd;Wa=wd;Qb(Wa|0)}while(0);ld=nd;md=od;vva(fc);Qb(md|0);break}case 257:{gc=Rb()|0;ec=Q;Sqa(xc);Va=ec;Wa=gc;Qb(Wa|0);break}case 258:{gc=Rb()|0;ec=Q;Sqa(yc);Va=ec;Wa=gc;Qb(Wa|0);break}case 259:{gc=Rb()|0;ec=Q;Sqa(zc);Va=ec;Wa=gc;Qb(Wa|0);break}case 260:{gc=Rb()|0;ec=Q;Sqa(Bc);Va=ec;Wa=gc;Qb(Wa|0);break}case 264:{gc=Rb()|0;ec=Q;Sqa(Cc);Va=ec;Wa=gc;Qb(Wa|0);break}case 271:{gc=Rb()|0;ec=Q;Sqa(Dc);Va=ec;Wa=gc;Qb(Wa|0);break}case 272:{gc=Rb()|0;ec=Q;Sqa(Ec);Va=ec;Wa=gc;Qb(Wa|0);break}case 273:{gc=Rb()|0;ec=Q;Sqa(Gc);Va=ec;Wa=gc;Qb(Wa|0);break}case 277:{gc=Rb()|0;ec=Q;Sqa(Ic);Va=ec;Wa=gc;Qb(Wa|0);break}case 281:{gc=Rb()|0;ec=Q;Sqa(Jc);Va=ec;Wa=gc;Qb(Wa|0);break}case 282:{gc=ia+56|0;ec=ia+4|0;k[ia>>2]=27524;k[gc>>2]=27544;B=0;wa(508,ia+56|0,ec|0);_b=B;B=0;if(_b&1){_b=Rb()|0;xd=Q;yd=_b;vva(gc);Qb(yd|0)}k[ia+128>>2]=0;k[ia+132>>2]=-1;k[ia>>2]=27468;k[gc>>2]=27488;B=0;va(448,ec|0);_b=B;B=0;do if(_b&1){jc=Rb()|0;zd=Q;Ad=jc}else{k[ec>>2]=27560;jc=ia+36|0;k[jc>>2]=0;k[jc+4>>2]=0;k[jc+8>>2]=0;k[jc+12>>2]=0;k[ia+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,ec|0,d|0);yb=B;B=0;if(yb&1){yb=Rb()|0;ca=Q;Yua(d);Yua(jc);Ava(ec);zd=ca;Ad=yb;break}Yua(d);B=0;yb=Ia(40,ia|0,127282,61)|0;ca=B;B=0;m:do if(!(ca&1)?(B=0,Xa(239,yb|0,0)|0,hc=B,B=0,!(hc&1)):0){hc=Ab(20)|0;B=0;eb(502,ja|0,127077,81);Zb=B;B=0;do if(!(Zb&1)){B=0;eb(502,ka|0,135838,17);Ub=B;B=0;if(Ub&1){Ub=Rb()|0;Bb=Q;Yua(ja);Bd=Bb;Cd=Ub;break}B=0;wa(510,la|0,ec|0);Ub=B;B=0;if(Ub&1){Ub=Rb()|0;Dd=1;Ed=Q;Fd=Ub}else{B=0;ua(163,hc|0,ja|0,ka|0,298,la|0);Ub=B;B=0;if(Ub&1)Gd=1;else{B=0;eb(503,hc|0,1240,229);B=0;Gd=0}Ub=Rb()|0;Bb=Q;Yua(la);Dd=Gd;Ed=Bb;Fd=Ub}Yua(ka);Yua(ja);if(Dd){Bd=Ed;Cd=Fd}else{Hd=Ed;Id=Fd;break m}}else{Ub=Rb()|0;Bd=Q;Cd=Ub}while(0);zb(hc|0);Hd=Bd;Id=Cd}else Ua=297;while(0);if((Ua|0)==297){yb=Rb()|0;Hd=Q;Id=yb}k[ia>>2]=27468;k[gc>>2]=27488;k[ec>>2]=27560;Yua(jc);Ava(ec);vva(gc);Va=Hd;Wa=Id;Qb(Wa|0)}while(0);xd=zd;yd=Ad;vva(gc);Qb(yd|0);break}case 312:{ec=Rb()|0;_b=Q;Sqa(Kc);Va=_b;Wa=ec;Qb(Wa|0);break}case 313:{ec=Rb()|0;_b=Q;Sqa(Lc);Va=_b;Wa=ec;Qb(Wa|0);break}case 314:{ec=Rb()|0;_b=Q;Sqa(Mc);Va=_b;Wa=ec;Qb(Wa|0);break}case 315:{ec=Rb()|0;_b=Q;Sqa(Oc);Va=_b;Wa=ec;Qb(Wa|0);break}case 319:{ec=Rb()|0;_b=Q;Sqa(Pc);Va=_b;Wa=ec;Qb(Wa|0);break}case 326:{ec=Rb()|0;_b=Q;Sqa(Qc);Va=_b;Wa=ec;Qb(Wa|0);break}case 327:{ec=Rb()|0;_b=Q;Sqa(Rc);Va=_b;Wa=ec;Qb(Wa|0);break}case 328:{ec=Rb()|0;_b=Q;Sqa(Tc);Va=_b;Wa=ec;Qb(Wa|0);break}case 332:{ec=Rb()|0;_b=Q;Sqa(Vc);Va=_b;Wa=ec;Qb(Wa|0);break}case 336:{ec=Rb()|0;_b=Q;Sqa(Wc);Va=_b;Wa=ec;Qb(Wa|0);break}case 337:{ec=na+56|0;_b=na+4|0;k[na>>2]=27524;k[ec>>2]=27544;B=0;wa(508,na+56|0,_b|0);fc=B;B=0;if(fc&1){fc=Rb()|0;Jd=Q;Kd=fc;vva(ec);Qb(Kd|0)}k[na+128>>2]=0;k[na+132>>2]=-1;k[na>>2]=27468;k[ec>>2]=27488;B=0;va(448,_b|0);fc=B;B=0;do if(fc&1){yb=Rb()|0;Ld=Q;Md=yb}else{k[_b>>2]=27560;yb=na+36|0;k[yb>>2]=0;k[yb+4>>2]=0;k[yb+8>>2]=0;k[yb+12>>2]=0;k[na+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,_b|0,d|0);ca=B;B=0;if(ca&1){ca=Rb()|0;cc=Q;Yua(d);Yua(yb);Ava(_b);Ld=cc;Md=ca;break}Yua(d);B=0;ca=Ia(40,na|0,127344,63)|0;cc=B;B=0;n:do if(!(cc&1)?(B=0,Xa(239,ca|0,0)|0,Zb=B,B=0,!(Zb&1)):0){Zb=Ab(20)|0;B=0;eb(502,oa|0,127077,81);o=B;B=0;do if(!(o&1)){B=0;eb(502,pa|0,135838,17);Ub=B;B=0;if(Ub&1){Ub=Rb()|0;Bb=Q;Yua(oa);Nd=Bb;Od=Ub;break}B=0;wa(510,qa|0,_b|0);Ub=B;B=0;if(Ub&1){Ub=Rb()|0;Pd=1;Qd=Q;Rd=Ub}else{B=0;ua(163,Zb|0,oa|0,pa|0,338,qa|0);Ub=B;B=0;if(Ub&1)Sd=1;else{B=0;eb(503,Zb|0,1240,229);B=0;Sd=0}Ub=Rb()|0;Bb=Q;Yua(qa);Pd=Sd;Qd=Bb;Rd=Ub}Yua(pa);Yua(oa);if(Pd){Nd=Qd;Od=Rd}else{Td=Qd;Ud=Rd;break n}}else{Ub=Rb()|0;Nd=Q;Od=Ub}while(0);zb(Zb|0);Td=Nd;Ud=Od}else Ua=352;while(0);if((Ua|0)==352){ca=Rb()|0;Td=Q;Ud=ca}k[na>>2]=27468;k[ec>>2]=27488;k[_b>>2]=27560;Yua(yb);Ava(_b);vva(ec);Va=Td;Wa=Ud;Qb(Wa|0)}while(0);Jd=Ld;Kd=Md;vva(ec);Qb(Kd|0);break}case 364:{_b=Rb()|0;fc=Q;Sqa(Xc);Va=fc;Wa=_b;Qb(Wa|0);break}case 372:{_b=Rb()|0;fc=Q;Sqa($c);Va=fc;Wa=_b;Qb(Wa|0);break}case 377:{_b=Rb()|0;fc=Q;Sqa(Zc);Va=fc;Wa=_b;Qb(Wa|0);break}case 382:{_b=Rb()|0;fc=Q;Sqa(bd);Va=fc;Wa=_b;Qb(Wa|0);break}case 390:{_b=Rb()|0;fc=Q;Sqa(ed);Va=fc;Wa=_b;Qb(Wa|0);break}case 395:{_b=Rb()|0;fc=Q;Sqa(dd);Va=fc;Wa=_b;Qb(Wa|0);break}case 401:{_b=Rb()|0;fc=Q;Sqa(gd);Va=fc;Wa=_b;Qb(Wa|0);break}case 409:{_b=Rb()|0;fc=Q;Sqa(jd);Va=fc;Wa=_b;Qb(Wa|0);break}case 414:{_b=Rb()|0;fc=Q;Sqa(kd);Va=fc;Wa=_b;Qb(Wa|0);break}}}while(0);Mka(c,k[y>>2]|0,129044);Mka(c,k[z>>2]|0,129067);Mka(c,k[A>>2]|0,129412);Mka(c,k[C>>2]|0,129090);if((((k[$b>>2]|0)==302?(Mka(c,k[D>>2]|0,127193),(k[$b>>2]|0)==302):0)?(Mka(c,k[E>>2]|0,129435),(k[$b>>2]|0)==302):0)?(Mka(c,k[F>>2]|0,136615),(k[$b>>2]|0)==302):0)Mka(c,k[G>>2]|0,134962);Mka(c,k[H>>2]|0,129588);Mka(c,k[I>>2]|0,134925);Mka(c,k[J>>2]|0,127183);Tqa(ac);Tqa(ic);Tqa(aa);r=a;return}function V8(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;a=r;r=r+80|0;d=a+24|0;e=a;f=a+64|0;g=a+75|0;h=a+74|0;j=a+73|0;l=a+72|0;m=a+60|0;n=a+56|0;o=a+52|0;q=a+48|0;s=a+44|0;k[q>>2]=0;k[s>>2]=0;zka(c,h,129368);zka(c,l,132257);zka(c,g,129346);zka(c,j,129391);Fka(c,n,127408);if(!((i[j>>0]|i[g>>0]|i[l>>0]|i[h>>0])<<24>>24)){r=a;return}Qka(c,s,m,0,127426);h=k[m>>2]|0;a:do if((h|0)>0){l=c+36|0;g=c+100|0;j=f+4|0;t=c+104|0;u=h;v=0;w=0;while(1){x=w<<1;y=k[s>>2]|0;z=+p[y+(x<<3)>>3];if(!(k[(k[l>>2]|0)+(~~(z+-1.0)<<2)>>2]|0)){A=u;C=v}else{D=k[g>>2]|0;k[f>>2]=D+~~z;k[j>>2]=~~+p[y+((x|1)<<3)>>3]+D;D=Qqa(28)|0;x=v+1|0;B=0;ib(298,D|0,x+(k[t>>2]|0)|0,f|0,497);y=B;B=0;if(y&1){E=D;break}ih(b,D)|0;A=k[m>>2]|0;C=x}w=w+1|0;if((w|0)>=(A|0)){F=C;break a}else{u=A;v=C}}v=Rb()|0;u=Q;Sqa(E);G=u;H=v;Qb(H|0)}else F=0;while(0);Mka(c,k[s>>2]|0,127426);if(!(k[n>>2]|0)){r=a;return}Qka(c,q,o,0,127458);k[e>>2]=127458;k[e+4>>2]=137052;k[e+8>>2]=134945;k[e+12>>2]=134925;k[e+16>>2]=134962;Ska(c,5,e);e=k[o>>2]|0;b:do if((e|0)>0){n=c+32|0;s=c+104|0;E=e;C=F;A=0;while(1){if(!(i[(k[n>>2]|0)+(~~+p[(k[q>>2]|0)+(A*12<<3)+16>>3]+-1)>>0]|0)){I=E;J=C}else{m=Qqa(128)|0;f=C+1|0;B=0;ua(175,m|0,f+(k[s>>2]|0)|0,A|0,c|0,497);h=B;B=0;if(h&1){K=m;break}ih(b,m)|0;I=k[o>>2]|0;J=f}A=A+1|0;if((A|0)>=(I|0))break b;else{E=I;C=J}}C=Rb()|0;E=Q;Sqa(K);G=E;H=C;Qb(H|0)}while(0);k[d>>2]=127458;k[d+4>>2]=137052;k[d+8>>2]=134945;k[d+12>>2]=134925;k[d+16>>2]=134962;Lka(c,5,d);d=k[q>>2]|0;if(d)Tqa(d);k[q>>2]=0;r=a;return}function W8(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0.0,W=0;a=r;r=r+112|0;d=a+80|0;e=a+56|0;f=a+32|0;g=a+16|0;h=a;j=a+111|0;l=a+110|0;m=a+109|0;n=a+108|0;o=a+104|0;k[o>>2]=-1;zka(c,j,129346);zka(c,l,129368);zka(c,m,129391);zka(c,n,132257);q=i[j>>0]|0;j=i[l>>0]|0;l=i[m>>0]|0;m=i[n>>0]|0;if((j&255^1)&(q&255^1)&(l&255^1)&(m&255^1)){r=a;return}if(!((q<<24>>24!=0?1.0:0.0)+(j<<24>>24!=0?1.0:0.0)+(l<<24>>24!=0?1.0:0.0)+(m<<24>>24!=0?1.0:0.0)>1.0)){do if(!(q<<24>>24)){if(j<<24>>24){k[o>>2]=738;s=539;break}if(l<<24>>24){Fka(c,o,127039);s=540;break}if(!(m<<24>>24))s=-1;else{Fka(c,o,128764);s=542}}else{Fka(c,o,127016);s=536}while(0);k[h>>2]=129090;k[h+4>>2]=129588;k[h+8>>2]=129116;Ska(c,3,h);if((k[c+40>>2]|0)!=300){k[g>>2]=136615;k[g+4>>2]=136636;k[g+8>>2]=129435;Ska(c,3,g)}hoa(b,c,497,k[o>>2]|0,s);k[f>>2]=136615;k[f+4>>2]=136636;k[f+8>>2]=129090;k[f+12>>2]=129588;k[f+16>>2]=129116;k[f+20>>2]=129435;Lka(c,6,f);r=a;return}if(!b){f=Qqa(36)|0;B=0;va(482,f|0);s=B;B=0;if(s&1){s=Rb()|0;o=Q;Sqa(f);t=o;u=s;Qb(u|0)}else v=f}else v=b;k[e>>2]=136615;k[e+4>>2]=136636;k[e+8>>2]=129090;k[e+12>>2]=129435;k[e+16>>2]=129588;k[e+20>>2]=129116;Ska(c,6,e);e=c+52|0;b=k[e>>2]|0;f=(b|0)>0;a:do if(!(i[n>>0]|0)){if(f){s=c+36|0;o=c+100|0;g=b;h=0;m=0;while(1){if(!(k[(k[s>>2]|0)+(h<<2)>>2]|0)){w=h+1|0;x=g;y=m}else{l=Qqa(144)|0;j=k[o>>2]|0;B=0;q=Xa(246,c|0,129588)|0;z=B;B=0;if(z&1){A=l;break}z=h+1|0;B=0;Ka(13,l|0,z+j|0,h|0,m|0,h|0,c|0,497,~~+p[q+(h<<3)>>3]|0);q=B;B=0;if(q&1){A=l;break}ih(v,l)|0;w=z;x=k[e>>2]|0;y=m+1|0}if((w|0)<(x|0)){g=x;h=w;m=y}else break a}m=Rb()|0;h=Q;Sqa(A);t=h;u=m;Qb(u|0)}}else{b:do if(f){m=c+36|0;h=c+100|0;g=b;o=0;s=0;while(1){if(!(k[(k[m>>2]|0)+(o<<2)>>2]|0)){C=o+1|0;D=g;E=s}else{z=(Jka(c,129588)|0)+(o<<3)|0;l=~~+p[z>>3];z=Qqa(144)|0;q=o+1|0;B=0;Ka(13,z|0,q+(k[h>>2]|0)|0,o|0,s|0,o|0,c|0,497,((l|0)==542?543:l)|0);l=B;B=0;if(l&1){F=z;break}ih(v,z)|0;C=q;D=k[e>>2]|0;E=s+1|0}if((C|0)<(D|0)){g=D;o=C;s=E}else{G=D;H=E;break b}}s=Rb()|0;o=Q;Sqa(F);t=o;u=s;Qb(u|0)}else{G=b;H=0}while(0);s=c+56|0;o=k[s>>2]|0;do if((o|0)>0){g=c+32|0;h=c+100|0;m=o;q=0;z=H;while(1){if(!(i[(k[g>>2]|0)+q>>0]|0)){I=q+1|0;J=m;K=z}else{l=Qqa(144)|0;j=k[e>>2]|0;L=q+1|0;B=0;Ka(13,l|0,L+(k[h>>2]|0)+j|0,j+q|0,z|0,0,c|0,497,543);j=B;B=0;if(j&1){M=l;break}$n(l);ih(v,l)|0;I=L;J=k[s>>2]|0;K=z+1|0}if((I|0)<(J|0)){m=J;q=I;z=K}else{N=K;O=30;break}}if((O|0)==30){P=k[e>>2]|0;R=N;break}z=Rb()|0;q=Q;Sqa(M);t=q;u=z;Qb(u|0)}else{P=G;R=H}while(0);if((P|0)>0){o=c+36|0;z=c+100|0;q=P;m=0;h=R;while(1){if(!(k[(k[o>>2]|0)+(m<<2)>>2]|0)){S=m+1|0;T=q;U=h}else{g=(Jka(c,129588)|0)+(m<<3)|0;V=+p[g>>3];g=Qqa(144)|0;L=k[e>>2]|0;l=k[s>>2]|0;j=m+1|0;B=0;Ka(13,g|0,j+(k[z>>2]|0)+L+l|0,L+m+l|0,h|0,m|0,c|0,497,544);l=B;B=0;if(l&1){W=g;break}if((~~V&-5|0)==536)$n(g);ih(v,g)|0;S=j;T=k[e>>2]|0;U=h+1|0}if((S|0)<(T|0)){q=T;m=S;h=U}else break a}h=Rb()|0;m=Q;Sqa(W);t=m;u=h;Qb(u|0)}}while(0);k[d>>2]=136615;k[d+4>>2]=136636;k[d+8>>2]=129090;k[d+12>>2]=129435;k[d+16>>2]=129588;k[d+20>>2]=129116;Lka(c,6,d);r=a;return}function X8(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0;a=r;r=r+896|0;e=a+876|0;f=a+704|0;g=a+864|0;h=a+852|0;i=a+840|0;j=a+552|0;l=a+688|0;m=a+536|0;n=a+248|0;o=a+400|0;p=a+96|0;q=a+84|0;s=a+72|0;t=a+264|0;u=a+60|0;v=a+48|0;w=a+36|0;x=a+112|0;y=a+24|0;z=a+12|0;A=a;do switch(d|0){case 536:{switch(c|0){case 301:{C=0;D=1;k[b>>2]=C;r=a;return D|0}case 300:case 302:{C=0;D=2;k[b>>2]=C;r=a;return D|0}default:{E=f+56|0;F=f+4|0;k[f>>2]=27524;k[E>>2]=27544;B=0;wa(508,f+56|0,F|0);G=B;B=0;if(G&1){G=Rb()|0;H=Q;I=G;vva(E);Qb(I|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[E>>2]=27488;B=0;va(448,F|0);G=B;B=0;do if(G&1){J=Rb()|0;K=Q;L=J}else{k[F>>2]=27560;J=f+36|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;k[J+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,F|0,e|0);M=B;B=0;if(M&1){M=Rb()|0;N=Q;Yua(e);Yua(J);Ava(F);K=N;L=M;break}Yua(e);B=0;M=Ia(40,f|0,145839,27)|0;N=B;B=0;a:do if(!(N&1)?(B=0,Xa(239,M|0,0)|0,O=B,B=0,!(O&1)):0){O=Ab(20)|0;B=0;eb(502,g|0,127077,81);P=B;B=0;do if(!(P&1)){B=0;eb(502,h|0,135868,11);R=B;B=0;if(R&1){R=Rb()|0;S=Q;Yua(g);T=S;U=R;break}B=0;wa(510,i|0,F|0);R=B;B=0;if(R&1){R=Rb()|0;V=Q;W=R;X=1}else{B=0;ua(163,O|0,g|0,h|0,609,i|0);R=B;B=0;if(R&1)Y=1;else{B=0;eb(503,O|0,1240,229);B=0;Y=0}R=Rb()|0;S=Q;Yua(i);V=S;W=R;X=Y}Yua(h);Yua(g);if(X){T=V;U=W}else{Z=V;_=W;break a}}else{R=Rb()|0;T=Q;U=R}while(0);zb(O|0);Z=T;_=U}else $=19;while(0);if(($|0)==19){M=Rb()|0;Z=Q;_=M}k[f>>2]=27468;k[E>>2]=27488;k[F>>2]=27560;Yua(J);Ava(F);vva(E);aa=Z;ba=_;Qb(ba|0)}while(0);H=K;I=L;vva(E);Qb(I|0)}}break}case 540:{switch(c|0){case 301:{C=0;D=1;k[b>>2]=C;r=a;return D|0}case 302:{C=0;D=2;k[b>>2]=C;r=a;return D|0}default:{F=j+56|0;G=j+4|0;k[j>>2]=27524;k[F>>2]=27544;B=0;wa(508,j+56|0,G|0);M=B;B=0;if(M&1){M=Rb()|0;ca=Q;da=M;vva(F);Qb(da|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[F>>2]=27488;B=0;va(448,G|0);M=B;B=0;do if(M&1){N=Rb()|0;ea=Q;fa=N}else{k[G>>2]=27560;N=j+36|0;k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;k[N+12>>2]=0;k[j+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,G|0,e|0);P=B;B=0;if(P&1){P=Rb()|0;R=Q;Yua(e);Yua(N);Ava(G);ea=R;fa=P;break}Yua(e);B=0;P=Ia(40,j|0,145839,27)|0;R=B;B=0;b:do if(!(R&1)?(B=0,Xa(239,P|0,0)|0,S=B,B=0,!(S&1)):0){S=Ab(20)|0;B=0;eb(502,l|0,127077,81);ga=B;B=0;do if(!(ga&1)){B=0;eb(502,m|0,135868,11);ha=B;B=0;if(ha&1){ha=Rb()|0;ia=Q;Yua(l);ja=ia;ka=ha;break}B=0;wa(510,n|0,G|0);ha=B;B=0;if(ha&1){ha=Rb()|0;la=1;ma=Q;na=ha}else{B=0;ua(163,S|0,l|0,m|0,617,n|0);ha=B;B=0;if(ha&1)oa=1;else{B=0;eb(503,S|0,1240,229);B=0;oa=0}ha=Rb()|0;ia=Q;Yua(n);la=oa;ma=ia;na=ha}Yua(m);Yua(l);if(la){ja=ma;ka=na}else{pa=ma;qa=na;break b}}else{ha=Rb()|0;ja=Q;ka=ha}while(0);zb(S|0);pa=ja;qa=ka}else $=44;while(0);if(($|0)==44){P=Rb()|0;pa=Q;qa=P}k[j>>2]=27468;k[F>>2]=27488;k[G>>2]=27560;Yua(N);Ava(G);vva(F);aa=pa;ba=qa;Qb(ba|0)}while(0);ca=ea;da=fa;vva(F);Qb(da|0)}}break}case 543:{switch(c|0){case 301:{C=0;D=2;k[b>>2]=C;r=a;return D|0}case 302:{C=0;D=3;k[b>>2]=C;r=a;return D|0}default:{G=o+56|0;M=o+4|0;k[o>>2]=27524;k[G>>2]=27544;B=0;wa(508,o+56|0,M|0);E=B;B=0;if(E&1){E=Rb()|0;ra=Q;sa=E;vva(G);Qb(sa|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[G>>2]=27488;B=0;va(448,M|0);E=B;B=0;do if(E&1){P=Rb()|0;ta=Q;xa=P}else{k[M>>2]=27560;P=o+36|0;k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;k[P+12>>2]=0;k[o+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,M|0,e|0);R=B;B=0;if(R&1){R=Rb()|0;J=Q;Yua(e);Yua(P);Ava(M);ta=J;xa=R;break}Yua(e);B=0;R=Ia(40,o|0,145839,27)|0;J=B;B=0;c:do if(!(J&1)?(B=0,Xa(239,R|0,0)|0,ga=B,B=0,!(ga&1)):0){ga=Ab(20)|0;B=0;eb(502,p|0,127077,81);O=B;B=0;do if(!(O&1)){B=0;eb(502,q|0,135868,11);ha=B;B=0;if(ha&1){ha=Rb()|0;ia=Q;Yua(p);za=ia;Aa=ha;break}B=0;wa(510,s|0,M|0);ha=B;B=0;if(ha&1){ha=Rb()|0;Ba=1;Ca=Q;Da=ha}else{B=0;ua(163,ga|0,p|0,q|0,625,s|0);ha=B;B=0;if(ha&1)Ea=1;else{B=0;eb(503,ga|0,1240,229);B=0;Ea=0}ha=Rb()|0;ia=Q;Yua(s);Ba=Ea;Ca=ia;Da=ha}Yua(q);Yua(p);if(Ba){za=Ca;Aa=Da}else{Fa=Ca;Ga=Da;break c}}else{ha=Rb()|0;za=Q;Aa=ha}while(0);zb(ga|0);Fa=za;Ga=Aa}else $=69;while(0);if(($|0)==69){R=Rb()|0;Fa=Q;Ga=R}k[o>>2]=27468;k[G>>2]=27488;k[M>>2]=27560;Yua(P);Ava(M);vva(G);aa=Fa;ba=Ga;Qb(ba|0)}while(0);ra=ta;sa=xa;vva(G);Qb(sa|0)}}break}case 544:{C=0;D=1;k[b>>2]=C;r=a;return D|0}case 534:{switch(c|0){case 301:{C=0;D=3;k[b>>2]=C;r=a;return D|0}case 302:{C=0;D=4;k[b>>2]=C;r=a;return D|0}default:{M=t+56|0;E=t+4|0;k[t>>2]=27524;k[M>>2]=27544;B=0;wa(508,t+56|0,E|0);F=B;B=0;if(F&1){F=Rb()|0;Ha=Q;Ja=F;vva(M);Qb(Ja|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[M>>2]=27488;B=0;va(448,E|0);F=B;B=0;do if(F&1){R=Rb()|0;Ka=Q;La=R}else{k[E>>2]=27560;R=t+36|0;k[R>>2]=0;k[R+4>>2]=0;k[R+8>>2]=0;k[R+12>>2]=0;k[t+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,E|0,e|0);J=B;B=0;if(J&1){J=Rb()|0;N=Q;Yua(e);Yua(R);Ava(E);Ka=N;La=J;break}Yua(e);B=0;J=Ia(40,t|0,145839,27)|0;N=B;B=0;d:do if(!(N&1)?(B=0,Xa(239,J|0,0)|0,O=B,B=0,!(O&1)):0){O=Ab(20)|0;B=0;eb(502,u|0,127077,81);S=B;B=0;do if(!(S&1)){B=0;eb(502,v|0,135868,11);ha=B;B=0;if(ha&1){ha=Rb()|0;ia=Q;Yua(u);Ma=ia;Na=ha;break}B=0;wa(510,w|0,E|0);ha=B;B=0;if(ha&1){ha=Rb()|0;Oa=1;Pa=Q;Qa=ha}else{B=0;ua(163,O|0,u|0,v|0,633,w|0);ha=B;B=0;if(ha&1)Ra=1;else{B=0;eb(503,O|0,1240,229);B=0;Ra=0}ha=Rb()|0;ia=Q;Yua(w);Oa=Ra;Pa=ia;Qa=ha}Yua(v);Yua(u);if(Oa){Ma=Pa;Na=Qa}else{Sa=Pa;Ta=Qa;break d}}else{ha=Rb()|0;Ma=Q;Na=ha}while(0);zb(O|0);Sa=Ma;Ta=Na}else $=95;while(0);if(($|0)==95){J=Rb()|0;Sa=Q;Ta=J}k[t>>2]=27468;k[M>>2]=27488;k[E>>2]=27560;Yua(R);Ava(E);vva(M);aa=Sa;ba=Ta;Qb(ba|0)}while(0);Ha=Ka;Ja=La;vva(M);Qb(Ja|0)}}break}case 537:{E=Rqa(16)|0;k[E>>2]=536;k[E+4>>2]=536;k[E+8>>2]=540;k[E+12>>2]=540;C=E;D=4;k[b>>2]=C;r=a;return D|0}case 541:{E=Rqa(20)|0;k[E>>2]=540;k[E+4>>2]=540;k[E+8>>2]=543;k[E+12>>2]=543;k[E+16>>2]=543;C=E;D=5;k[b>>2]=C;r=a;return D|0}case 538:{E=Rqa(20)|0;k[E>>2]=536;k[E+4>>2]=536;k[E+8>>2]=543;k[E+12>>2]=543;k[E+16>>2]=543;C=E;D=5;k[b>>2]=C;r=a;return D|0}case 535:case 539:{C=0;D=2;k[b>>2]=C;r=a;return D|0}default:{E=x+56|0;F=x+4|0;k[x>>2]=27524;k[E>>2]=27544;B=0;wa(508,x+56|0,F|0);G=B;B=0;if(G&1){G=Rb()|0;Ua=Q;Va=G;vva(E);Qb(Va|0)}k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[E>>2]=27488;B=0;va(448,F|0);G=B;B=0;do if(G&1){J=Rb()|0;Wa=Q;Ya=J}else{k[F>>2]=27560;J=x+36|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;k[J+12>>2]=0;k[x+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,F|0,e|0);N=B;B=0;if(N&1){N=Rb()|0;P=Q;Yua(e);Yua(J);Ava(F);Wa=P;Ya=N;break}Yua(e);B=0;N=Ia(40,x|0,127478,14)|0;P=B;B=0;e:do if((((!(P&1)?(B=0,S=ya(427,d|0)|0,ga=B,B=0,!(ga&1)):0)?(ga=Lta(S)|0,B=0,ha=Ia(40,N|0,S|0,ga|0)|0,ga=B,B=0,!(ga&1)):0)?(B=0,ga=Ia(40,ha|0,127493,20)|0,ha=B,B=0,!(ha&1)):0)?(B=0,Xa(239,ga|0,0)|0,ga=B,B=0,!(ga&1)):0){ga=Ab(20)|0;B=0;eb(502,y|0,127077,81);ha=B;B=0;do if(!(ha&1)){B=0;eb(502,z|0,135868,11);S=B;B=0;if(S&1){S=Rb()|0;ia=Q;Yua(y);Za=ia;_a=S;break}B=0;wa(510,A|0,F|0);S=B;B=0;if(S&1){S=Rb()|0;$a=1;ab=Q;bb=S}else{B=0;ua(163,ga|0,y|0,z|0,663,A|0);S=B;B=0;if(S&1)cb=1;else{B=0;eb(503,ga|0,1240,229);B=0;cb=0}S=Rb()|0;ia=Q;Yua(A);$a=cb;ab=ia;bb=S}Yua(z);Yua(y);if($a){Za=ab;_a=bb}else{db=ab;fb=bb;break e}}else{S=Rb()|0;Za=Q;_a=S}while(0);zb(ga|0);db=Za;fb=_a}else $=124;while(0);if(($|0)==124){N=Rb()|0;db=Q;fb=N}k[x>>2]=27468;k[E>>2]=27488;k[F>>2]=27560;Yua(J);Ava(F);vva(E);aa=db;ba=fb;Qb(ba|0)}while(0);Ua=Wa;Va=Ya;vva(E);Qb(Va|0)}}while(0);return 0}function Y8(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;a=r;r=r+224|0;f=a+16|0;g=a;h=a+208|0;j=a+204|0;l=a+200|0;m=a+196|0;n=a+222|0;o=a+221|0;q=a+220|0;s=a+219|0;t=a+48|0;u=a+184|0;v=a+32|0;w=a+20|0;zka(c,n,129346);zka(c,o,129368);zka(c,q,129391);zka(c,s,132257);zka(c,a+218|0,139791);zka(c,a+217|0,134866);Fka(c,a+212|0,127514);zka(c,a+216|0,134882);Fka(c,l,134909);if(((i[o>>0]^1)&(i[n>>0]^1)&(i[q>>0]^1)&(i[s>>0]^1))<<24>>24){r=a;return}k[g>>2]=129145;Ska(c,1,g);x=c+56|0;y=k[x>>2]|0;z=Rqa(y>>>0>1073741823?-1:y<<2)|0;if(y)WEa(z|0,0,y<<2|0)|0;A=i[n>>0]|0;n=i[o>>0]|0;o=i[q>>0]|0;q=i[s>>0]|0;a:do if((A<<24>>24!=0?1.0:0.0)+(n<<24>>24!=0?1.0:0.0)+(o<<24>>24!=0?1.0:0.0)+(q<<24>>24!=0?1.0:0.0)>1.0){if(!(q<<24>>24)){k[h>>2]=738;if((y|0)>0)C=0;else break;while(1){k[z+(C<<2)>>2]=738;C=C+1|0;if((C|0)>=(y|0)){D=y;E=15;break a}}}if((y|0)>0){F=0;while(1){G=(Jka(c,129145)|0)+(F<<3)|0;H=z+(F<<2)|0;switch(~~+p[G>>3]|0){case 538:case 541:case 542:{I=752;break}default:I=738}k[H>>2]=I;F=F+1|0;H=k[x>>2]|0;if((F|0)>=(H|0)){D=H;E=15;break a}}}}else{do if(!(A<<24>>24)){if(n<<24>>24){k[h>>2]=738;break}if(o<<24>>24){Fka(c,h,127039);break}if(q<<24>>24)Fka(c,h,128764)}else Fka(c,h,127016);while(0);F=k[x>>2]|0;if((F|0)>0){H=k[h>>2]|0;G=0;do{k[z+(G<<2)>>2]=H;G=G+1|0}while((G|0)<(F|0));D=F;E=15}}while(0);if((E|0)==15?(D|0)>0:0){E=c+32|0;h=D;D=0;q=0;while(1){if(!(i[(k[E>>2]|0)+q>>0]|0)){J=h;K=D}else{o=qh(b,D)|0;Uc[k[(k[o>>2]|0)+480>>2]&63](o,q,c,d,e,k[z+(q<<2)>>2]|0);J=k[x>>2]|0;K=D+1|0}q=q+1|0;if((q|0)>=(J|0))break;else{h=J;D=K}}}Zka(c,b,137052,353);Zka(c,b,134925,339);Zka(c,b,134945,64);Yka(c,b,137955,999,0.0);Zka(c,b,137867,206);Zka(c,b,134962,928);Yka(c,b,135923,674,0.0);Yka(c,b,135944,677,0.0);Zka(c,b,127532,88);Zka(c,b,127563,89);K=c+40|0;if((k[K>>2]|0)!=300?(Zka(c,b,136615,287),Zka(c,b,136636,288),(k[K>>2]|0)==302):0){Zka(c,b,129435,93);Zka(c,b,127594,90);Yka(c,b,135096,679,0.0)}if(i[s>>0]|0){Yka(c,b,135039,653,0.0);Yka(c,b,134069,40,0.0)}Fka(c,j,128764);if((k[j>>2]&-5|0)==754)woa(b,0.0,706);switch(k[l>>2]|0){case 1:{Zka(c,b,135172,105);Zka(c,b,135196,107);Zka(c,b,135210,108);break}case 2:{Zka(c,b,135224,110);Zka(c,b,135238,109);break}case 3:{Fka(c,m,135252);Zka(c,b,135224,110);Zka(c,b,135273,104);Zka(c,b,135210,108);if(!(k[m>>2]|0))Zka(c,b,135288,115);break}case 4:{Zka(c,b,135172,105);Zka(c,b,135196,107);Zka(c,b,135210,108);Zka(c,b,135039,653);Zka(c,b,135066,666);break}case 5:{Zka(c,b,135172,105);Zka(c,b,135196,107);Zka(c,b,135210,108);Zka(c,b,135319,114);break}case 6:{Zka(c,b,135224,110);Zka(c,b,135238,109);Zka(c,b,135039,653);Zka(c,b,135066,666);break}case 7:{Zka(c,b,135172,105);Zka(c,b,127625,106);Zka(c,b,135196,107);Zka(c,b,135210,108);break}default:{b=t+56|0;m=t+4|0;k[t>>2]=27524;k[b>>2]=27544;B=0;wa(508,t+56|0,m|0);l=B;B=0;if(l&1){l=Rb()|0;L=Q;M=l;vva(b);Qb(M|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[b>>2]=27488;B=0;va(448,m|0);l=B;B=0;do if(l&1){j=Rb()|0;N=Q;O=j}else{k[m>>2]=27560;j=t+36|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;k[t+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,m|0,g|0);s=B;B=0;if(s&1){s=Rb()|0;K=Q;Yua(g);Yua(j);Ava(m);N=K;O=s;break}Yua(g);B=0;s=Ia(40,t|0,145010,13)|0;K=B;B=0;if(!(K&1)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,u|0,127077,81);K=B;B=0;do if(!(K&1)){B=0;eb(502,v|0,136133,14);D=B;B=0;if(D&1){D=Rb()|0;J=Q;Yua(u);P=D;R=J;break}B=0;wa(510,w|0,m|0);J=B;B=0;if(J&1){J=Rb()|0;S=J;T=Q;U=1}else{B=0;ua(163,s|0,u|0,v|0,826,w|0);J=B;B=0;if(J&1)V=1;else{B=0;eb(503,s|0,1240,229);B=0;V=0}J=Rb()|0;D=Q;Yua(w);S=J;T=D;U=V}Yua(v);Yua(u);if(U){P=S;R=T}else{W=S;X=T;k[t>>2]=27468;k[b>>2]=27488;k[m>>2]=27560;Yua(j);Ava(m);vva(b);Qb(W|0)}}else{D=Rb()|0;P=D;R=Q}while(0);zb(s|0);W=P;X=R;k[t>>2]=27468;k[b>>2]=27488;k[m>>2]=27560;Yua(j);Ava(m);vva(b);Qb(W|0)}K=Rb()|0;W=K;X=Q;k[t>>2]=27468;k[b>>2]=27488;k[m>>2]=27560;Yua(j);Ava(m);vva(b);Qb(W|0)}while(0);L=N;M=O;vva(b);Qb(M|0)}}k[f>>2]=129145;Lka(c,1,f);Tqa(z);r=a;return}function Z8(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;e=r;r=r+32|0;d=e+16|0;a=e+12|0;f=e+8|0;g=e+4|0;h=e;k[f>>2]=0;YN(b,Ika(c,129324,95)|0);YN(b,Ika(c,129346,96)|0);YN(b,Ika(c,129368,97)|0);YN(b,Ika(c,129391,98)|0);YN(b,Ika(c,132257,99)|0);YN(b,Ika(c,128764,102)|0);YN(b,Ika(c,127656,78)|0);YN(b,Ika(c,127680,75)|0);YN(b,Ika(c,127704,69)|0);YN(b,Ika(c,127728,71)|0);YN(b,Ika(c,127754,72)|0);YN(b,Ika(c,127779,73)|0);YN(b,Ika(c,127811,80)|0);YN(b,Ika(c,126982,85)|0);YN(b,Ika(c,127851,81)|0);YN(b,Ika(c,127884,87)|0);YN(b,Ika(c,134909,111)|0);Fka(c,d,128764);switch(k[d>>2]|0){case 754:case 755:case 758:{YN(b,Ika(c,127921,916)|0);YN(b,Ika(c,127960,918)|0);YN(b,Ika(c,128005,920)|0);break}default:{}}Fka(c,g,127514);if((k[g>>2]|0)==584){YN(b,Ika(c,128031,228)|0);YN(b,Ika(c,128045,236)|0);YN(b,Ika(c,128061,235)|0)}Hka(c,f,a,128088);g=Qqa(12)|0;B=0;eb(518,g|0,76,k[a>>2]|0);d=B;B=0;if(d&1){d=Rb()|0;i=Q;Sqa(g);j=i;l=d;Qb(l|0)}YN(b,g);g=k[a>>2]|0;do if(!g)m=0;else{d=Qqa(16)|0;B=0;ib(294,d|0,77,k[f>>2]|0,g|0);i=B;B=0;if(!(i&1)){YN(b,d);m=k[a>>2]|0;break}i=Rb()|0;n=Q;Sqa(d);j=n;l=i;Qb(l|0)}while(0);Nka(c,f,m,128088);Fka(c,h,134909);m=k[h>>2]|0;if((m&-3|0)==4){YN(b,Ika(c,135546,112)|0);o=k[h>>2]|0}else o=m;if((o|0)==3){YN(b,Ika(c,135252,116)|0);p=k[h>>2]|0}else p=o;if((p|0)!=5){r=e;return}YN(b,Ika(c,128123,113)|0);r=e;return}function _8(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0;a=r;r=r+656|0;c=a+640|0;d=a+655|0;e=a+654|0;f=a+653|0;g=a+652|0;h=a+636|0;j=a+632|0;l=a+616|0;m=a+480|0;n=a+620|0;o=a+328|0;p=a+464|0;q=a+176|0;s=a+312|0;t=a+40|0;u=a+24|0;v=a+12|0;w=a;x=b+44|0;bO(k[x>>2]|0,d,96);bO(k[x>>2]|0,e,97);bO(k[x>>2]|0,f,98);bO(k[x>>2]|0,g,99);cO(k[x>>2]|0,l,102);cO(k[x>>2]|0,j,298);cO(k[x>>2]|0,h,71);y=i[g>>0]|0;g=y<<24>>24!=0;z=i[d>>0]|0;A=i[f>>0]|0;f=i[e>>0]|0;e=(A|z|f)<<24>>24==0;if(g&e){a:do if(CY()|0){C=m+56|0;D=m+4|0;k[m>>2]=27524;k[C>>2]=27544;B=0;wa(508,m+56|0,D|0);E=B;B=0;if(E&1){E=Rb()|0;F=Q;G=E;vva(C);Qb(G|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[C>>2]=27488;B=0;va(448,D|0);E=B;B=0;do if(E&1){H=Rb()|0;I=Q;J=H}else{k[D>>2]=27560;H=m+36|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;k[H+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,D|0,c|0);K=B;B=0;if(K&1){K=Rb()|0;L=Q;Yua(c);Yua(H);Ava(D);I=L;J=K;break}Yua(c);B=0;Ia(40,m|0,148846,24)|0;K=B;B=0;do if(!(K&1)?(B=0,wa(510,n|0,D|0),L=B,B=0,!(L&1)):0){B=0;ya(425,n|0)|0;L=B;B=0;if(L&1){L=Rb()|0;M=Q;Yua(n);N=M;O=L;break}else{Yua(n);k[m>>2]=27468;k[C>>2]=27488;k[D>>2]=27560;Yua(H);Ava(D);vva(C);break a}}else P=15;while(0);if((P|0)==15){K=Rb()|0;N=Q;O=K}k[m>>2]=27468;k[C>>2]=27488;k[D>>2]=27560;Yua(H);Ava(D);vva(C);R=N;S=O;Qb(S|0)}while(0);F=I;G=J;vva(C);Qb(G|0)}while(0);xh(b,497);G=k[l>>2]|0;if((G|0)==755){Uoa(b);r=a;return}if((G&-5|0)==754){Toa(b);r=a;return}if((k[h>>2]|0)>0){Xoa(b);r=a;return}else{Woa(b,1);r=a;return}}if(!(g|e)){b:do if(CY()|0){e=o+56|0;g=o+4|0;k[o>>2]=27524;k[e>>2]=27544;B=0;wa(508,o+56|0,g|0);G=B;B=0;if(G&1){G=Rb()|0;T=Q;U=G;vva(e);Qb(U|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);G=B;B=0;do if(G&1){l=Rb()|0;V=Q;W=l}else{k[g>>2]=27560;l=o+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[o+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);J=B;B=0;if(J&1){J=Rb()|0;I=Q;Yua(c);Yua(l);Ava(g);V=I;W=J;break}Yua(c);B=0;Ia(40,o|0,148846,24)|0;J=B;B=0;do if(!(J&1)?(B=0,wa(510,p|0,g|0),I=B,B=0,!(I&1)):0){B=0;ya(425,p|0)|0;I=B;B=0;if(I&1){I=Rb()|0;F=Q;Yua(p);X=F;Y=I;break}else{Yua(p);k[o>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);break b}}else P=39;while(0);if((P|0)==39){J=Rb()|0;X=Q;Y=J}k[o>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);R=X;S=Y;Qb(S|0)}while(0);T=V;U=W;vva(e);Qb(U|0)}while(0);xh(b,497);if((k[h>>2]|0)>0)Xoa(b);else Woa(b,1);if((k[j>>2]|0)!=301|(i[d>>0]|0)==0){r=a;return}oO(k[x>>2]|0,674,575);y_(b);oO(k[x>>2]|0,671,575);y_(b);r=a;return}if(!(y<<24>>24==0?1:(f|z|A)<<24>>24==0)){c:do if(CY()|0){A=q+56|0;z=q+4|0;k[q>>2]=27524;k[A>>2]=27544;B=0;wa(508,q+56|0,z|0);f=B;B=0;if(f&1){f=Rb()|0;Z=Q;_=f;vva(A);Qb(_|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[A>>2]=27488;B=0;va(448,z|0);f=B;B=0;do if(f&1){y=Rb()|0;$=Q;aa=y}else{k[z>>2]=27560;y=q+36|0;k[y>>2]=0;k[y+4>>2]=0;k[y+8>>2]=0;k[y+12>>2]=0;k[q+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,z|0,c|0);x=B;B=0;if(x&1){x=Rb()|0;d=Q;Yua(c);Yua(y);Ava(z);$=d;aa=x;break}Yua(c);B=0;Ia(40,q|0,128137,56)|0;x=B;B=0;do if(!(x&1)?(B=0,wa(510,s|0,z|0),d=B,B=0,!(d&1)):0){B=0;ya(425,s|0)|0;d=B;B=0;if(d&1){d=Rb()|0;j=Q;Yua(s);ba=j;ca=d;break}else{Yua(s);k[q>>2]=27468;k[A>>2]=27488;k[z>>2]=27560;Yua(y);Ava(z);vva(A);break c}}else P=61;while(0);if((P|0)==61){x=Rb()|0;ba=Q;ca=x}k[q>>2]=27468;k[A>>2]=27488;k[z>>2]=27560;Yua(y);Ava(z);vva(A);R=ba;S=ca;Qb(S|0)}while(0);Z=$;_=aa;vva(A);Qb(_|0)}while(0);jpa(b,1);r=a;return}a=t+56|0;b=t+4|0;k[t>>2]=27524;k[a>>2]=27544;B=0;wa(508,t+56|0,b|0);_=B;B=0;if(_&1){_=Rb()|0;da=Q;ea=_;vva(a);Qb(ea|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[a>>2]=27488;B=0;va(448,b|0);_=B;B=0;do if(_&1){aa=Rb()|0;fa=Q;ga=aa}else{k[b>>2]=27560;aa=t+36|0;k[aa>>2]=0;k[aa+4>>2]=0;k[aa+8>>2]=0;k[aa+12>>2]=0;k[t+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,b|0,c|0);$=B;B=0;if($&1){$=Rb()|0;Z=Q;Yua(c);Yua(aa);Ava(b);fa=Z;ga=$;break}Yua(c);B=0;$=Ia(40,t|0,145010,13)|0;Z=B;B=0;d:do if(!(Z&1)?(B=0,Xa(239,$|0,0)|0,ca=B,B=0,!(ca&1)):0){ca=Ab(20)|0;B=0;eb(502,u|0,127077,81);ba=B;B=0;do if(!(ba&1)){B=0;eb(502,v|0,138209,4);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(u);ha=q;ia=s;break}B=0;wa(510,w|0,b|0);s=B;B=0;if(s&1){s=Rb()|0;ja=1;ka=Q;la=s}else{B=0;ua(163,ca|0,u|0,v|0,944,w|0);s=B;B=0;if(s&1)ma=1;else{B=0;eb(503,ca|0,1240,229);B=0;ma=0}s=Rb()|0;q=Q;Yua(w);ja=ma;ka=q;la=s}Yua(v);Yua(u);if(ja){ha=la;ia=ka}else{na=ka;oa=la;break d}}else{s=Rb()|0;ha=s;ia=Q}while(0);zb(ca|0);na=ia;oa=ha}else P=80;while(0);if((P|0)==80){$=Rb()|0;na=Q;oa=$}k[t>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(aa);Ava(b);vva(a);R=na;S=oa;Qb(S|0)}while(0);da=fa;ea=ga;vva(a);Qb(ea|0)}function $8(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;a=r;r=r+16|0;c=a+4|0;d=a;Ap(b,d,533);if((k[d>>2]|0)!=542){e=0;r=a;return e|0}cp(b,c,299);d=Hc[k[(k[b>>2]|0)+396>>2]&511](b)|0;f=Hc[k[(k[b>>2]|0)+392>>2]&511](b)|0;g=iq(b,543)|0;if((d|0)>0?(b=k[c>>2]|0,(b|0)>0):0){h=k[g+4>>2]|0;i=0;do{j=ma(i,b)|0;l=0;do{p[h+(l+j<<3)>>3]=672.0;l=l+1|0}while((l|0)!=(b|0));i=i+1|0}while((i|0)!=(d|0))}if((f|0)>0){i=ma(k[c>>2]|0,d)|0;d=k[g+4>>2]|0;c=0;do{p[d+(c+i<<3)>>3]=653.0;c=c+1|0}while((c|0)!=(f|0))}e=g;r=a;return e|0}function a9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;d=c+180|0;e=c+176|0;f=c+40|0;g=c+24|0;h=c+12|0;i=c;Ap(b,e,533);switch(k[e>>2]|0){case 536:{j=b9(a,b)|0;r=c;return j|0}case 540:{j=c9(a,b)|0;r=c;return j|0}case 542:{j=d9(a,b)|0;r=c;return j|0}case 534:{j=0;r=c;return j|0}default:{j=f+56|0;c=f+4|0;k[f>>2]=27524;k[j>>2]=27544;B=0;wa(508,f+56|0,c|0);b=B;B=0;if(b&1){b=Rb()|0;l=Q;m=b;vva(j);Qb(m|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[j>>2]=27488;B=0;va(448,c|0);b=B;B=0;do if(b&1){a=Rb()|0;n=Q;o=a}else{k[c>>2]=27560;a=f+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[f+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,c|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(a);Ava(c);n=q;o=p;break}Yua(d);B=0;p=Ia(40,f|0,127478,14)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[e>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,144645,14)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,g|0,127077,81);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,144398,20);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(g);u=p;v=q;break}B=0;wa(510,i|0,c|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,g|0,h|0,975,i|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(i);w=p;x=q;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[j>>2]=27488;k[c>>2]=27560;Yua(a);Ava(c);vva(j);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[f>>2]=27468;k[j>>2]=27488;k[c>>2]=27560;Yua(a);Ava(c);vva(j);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[f>>2]=27468;k[j>>2]=27488;k[c>>2]=27560;Yua(a);Ava(c);vva(j);Qb(C|0)}while(0);l=n;m=o;vva(j);Qb(m|0)}}return 0}function b9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0.0,O=0.0,P=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0,Y=0,Z=0;c=r;r=r+224|0;d=c+168|0;e=c+220|0;f=c+32|0;g=c+208|0;h=c+196|0;i=c+184|0;j=c+24|0;l=c;m=c+180|0;cp(b,e,298);a:do switch(k[e>>2]|0){case 300:{n=b;break}case 302:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){n=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;break a}else{o=0;r=c;return o|0}break}default:{q=f+56|0;s=f+4|0;k[f>>2]=27524;k[q>>2]=27544;B=0;wa(508,f+56|0,s|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;v=t;vva(q);Qb(v|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[q>>2]=27488;B=0;va(448,s|0);t=B;B=0;do if(t&1){w=Rb()|0;x=Q;y=w}else{k[s>>2]=27560;w=f+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[f+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,s|0,d|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(d);Yua(w);Ava(s);x=A;y=z;break}Yua(d);B=0;z=Ia(40,f|0,144639,5)|0;A=B;B=0;if((((!(A&1)?(B=0,A=ya(427,k[e>>2]|0)|0,C=B,B=0,!(C&1)):0)?(C=Lta(A)|0,B=0,D=Ia(40,z|0,A|0,C|0)|0,C=B,B=0,!(C&1)):0)?(B=0,C=Ia(40,D|0,146481,18)|0,D=B,B=0,!(D&1)):0)?(B=0,Xa(239,C|0,0)|0,C=B,B=0,!(C&1)):0){C=Ab(20)|0;B=0;eb(502,g|0,127077,81);D=B;B=0;do if(!(D&1)){B=0;eb(502,h|0,128194,23);A=B;B=0;if(A&1){A=Rb()|0;z=Q;Yua(g);E=A;F=z;break}B=0;wa(510,i|0,s|0);z=B;B=0;if(z&1){z=Rb()|0;G=z;H=Q;I=1}else{B=0;ua(163,C|0,g|0,h|0,1158,i|0);z=B;B=0;if(z&1)J=1;else{B=0;eb(503,C|0,1240,229);B=0;J=0}z=Rb()|0;A=Q;Yua(i);G=z;H=A;I=J}Yua(h);Yua(g);if(I){E=G;F=H}else{K=G;L=H;k[f>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(q);Qb(K|0)}}else{A=Rb()|0;E=A;F=Q}while(0);zb(C|0);K=E;L=F;k[f>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(q);Qb(K|0)}D=Rb()|0;K=D;L=Q;k[f>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(q);Qb(K|0)}while(0);u=x;v=y;vva(q);Qb(v|0)}}while(0);k[m>>2]=0;v=Hc[k[(k[n>>2]|0)+164>>2]&511](n)|0;y=f9(a,b)|0;a=v<<1;x=Rqa(a>>>0>536870911?-1:a<<3)|0;Uo(b,m);b=Wo(n,353)|0;u=Wo(n,674)|0;K=Wo(n,677)|0;L=ed[k[(k[n>>2]|0)+308>>2]&511](n,2)|0;F=Hc[k[(k[L>>2]|0)+8>>2]&511](L)|0;if((F|0)<(Hc[k[(k[L>>2]|0)+12>>2]&511](L)|0)){E=n+28|0;H=l+8|0;G=l+16|0;I=(v|0)>0;g=L+8|0;h=y+12|0;J=F;do{Fc[k[(k[L>>2]|0)+24>>2]&1023](L,J);rd[k[(k[n>>2]|0)+260>>2]&511](n,d,k[m>>2]|0,L);rd[k[(k[n>>2]|0)+340>>2]&511](n,x,k[m>>2]|0,L);nd[k[(k[b>>2]|0)+48>>2]&1023](b,f,L);Xo(n,l,k[m>>2]|0,L,u,K);F=k[E>>2]|0;nd[k[(k[F>>2]|0)+132>>2]&1023](F,j,l);M=+p[l>>3];N=+p[H>>3];O=M*2.0+N;P=+p[G>>3];R=M+N*2.0;if(I){F=k[h>>2]|0;i=0;do{s=x+(i<<3)|0;t=x+(i+v<<3)|0;D=i<<1;A=ma(D,a)|0;z=ma(D|1,a)|0;D=0;do{N=+p[s>>3];M=+p[t>>3];S=O*N+P*M;T=+p[x+(D<<3)>>3];U=+p[x+(D+v<<3)>>3];V=O*T+P*U;W=P*N+R*M;M=P*T+R*U;X=D<<1;Y=X+A|0;Z=F+(Y<<3)|0;p[Z>>3]=+p[Z>>3]+S*(V*(+p[f>>3]*(+p[j>>3]*(+p[g>>3]*+p[d>>3]*2.0))));Z=F+((Y|1)<<3)|0;p[Z>>3]=+p[Z>>3]+S*(M*(+p[f>>3]*(+p[j>>3]*(+p[g>>3]*+p[d>>3]*2.0))));Z=X+z|0;X=F+(Z<<3)|0;p[X>>3]=+p[X>>3]+W*(V*(+p[f>>3]*(+p[j>>3]*(+p[g>>3]*+p[d>>3]*2.0))));X=F+((Z|1)<<3)|0;p[X>>3]=+p[X>>3]+W*(M*(+p[f>>3]*(+p[j>>3]*(+p[g>>3]*+p[d>>3]*2.0))));D=D+1|0}while((D|0)!=(v|0));i=i+1|0}while((i|0)!=(v|0))}J=J+1|0}while((J|0)<(Hc[k[(k[L>>2]|0)+12>>2]&511](L)|0))}Fq(n,y,971);Ec[k[(k[L>>2]|0)+4>>2]&1023](L);L=k[m>>2]|0;if(L)Tqa(L);k[m>>2]=0;Tqa(x);if((k[e>>2]|0)!=300?(ap(n),(n|0)!=0):0)Ec[k[(k[n>>2]|0)+4>>2]&1023](n);o=y;r=c;return o|0}function c9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0,W=0,X=0;c=r;r=r+64|0;d=c+48|0;e=c+40|0;f=c;g=c+56|0;k[g>>2]=0;h=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;i=h9(a,b)|0;a=h*3|0;j=Rqa(a>>>0>536870911?-1:a<<3)|0;Uo(b,g);a=Wo(b,674)|0;l=Wo(b,677)|0;m=ed[k[(k[b>>2]|0)+308>>2]&511](b,5)|0;n=Hc[k[(k[m>>2]|0)+8>>2]&511](m)|0;if((n|0)<(Hc[k[(k[m>>2]|0)+12>>2]&511](m)|0)){o=b+28|0;q=f+8|0;s=f+16|0;t=f+24|0;u=f+32|0;v=(h|0)>0;w=h<<1;x=m+8|0;y=i+12|0;z=n;do{Fc[k[(k[m>>2]|0)+24>>2]&1023](m,z);rd[k[(k[b>>2]|0)+260>>2]&511](b,d,k[g>>2]|0,m);rd[k[(k[b>>2]|0)+340>>2]&511](b,j,k[g>>2]|0,m);ep(b,f,k[g>>2]|0,m,a,l);n=k[o>>2]|0;nd[k[(k[n>>2]|0)+120>>2]&1023](n,e,f);A=+p[f>>3];B=+p[q>>3];C=A*2.0+B;D=+p[s>>3];E=A+B*2.0;B=+p[t>>3];A=+p[u>>3];if(v){n=k[y>>2]|0;F=0;do{G=j+(F<<3)|0;H=j+(F+h<<3)|0;I=j+(F+w<<3)|0;J=F<<1;K=ma(J,w)|0;L=ma(J|1,w)|0;J=0;do{M=+p[G>>3];N=+p[H>>3];O=+p[I>>3];P=C*M+D*N+B*O;Q=+p[j+(J<<3)>>3];R=+p[j+(J+h<<3)>>3];S=+p[j+(J+w<<3)>>3];T=C*Q+D*R+B*S;U=D*M+E*N+A*O;O=D*Q+E*R+A*S;V=J<<1;W=V+K|0;X=n+(W<<3)|0;p[X>>3]=+p[X>>3]+P*(T*(+p[e>>3]*(+p[x>>3]*+p[d>>3]*2.0)));X=n+((W|1)<<3)|0;p[X>>3]=+p[X>>3]+P*(O*(+p[e>>3]*(+p[x>>3]*+p[d>>3]*2.0)));X=V+L|0;V=n+(X<<3)|0;p[V>>3]=+p[V>>3]+U*(T*(+p[e>>3]*(+p[x>>3]*+p[d>>3]*2.0)));V=n+((X|1)<<3)|0;p[V>>3]=+p[V>>3]+U*(O*(+p[e>>3]*(+p[x>>3]*+p[d>>3]*2.0)));J=J+1|0}while((J|0)!=(h|0));F=F+1|0}while((F|0)!=(h|0))}z=z+1|0}while((z|0)<(Hc[k[(k[m>>2]|0)+12>>2]&511](m)|0))}Fq(b,i,971);Ec[k[(k[m>>2]|0)+4>>2]&1023](m);m=k[g>>2]|0;if(!m){k[g>>2]=0;Tqa(j);r=c;return i|0}Tqa(m);k[g>>2]=0;Tqa(j);r=c;return i|0}function d9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Y=0.0,Z=0.0,_=0.0,$=0,aa=0,ba=0;c=r;r=r+80|0;d=c+56|0;e=c+48|0;f=c;g=c+64|0;k[g>>2]=0;h=Hc[k[(k[b>>2]|0)+396>>2]&511](b)|0;i=Hc[k[(k[b>>2]|0)+392>>2]&511](b)|0;j=h*3|0;l=i+j|0;m=i+h|0;n=Rqa(m>>>0>1073741823?-1:m<<2)|0;m=(h|0)>0;if(m){o=0;do{k[n+(o<<2)>>2]=972;o=o+1|0}while((o|0)!=(h|0))}if((i|0)>0){o=0;do{k[n+(o+h<<2)>>2]=653;o=o+1|0}while((o|0)!=(i|0))}i=i9(a,b)|0;a=Rqa(j>>>0>536870911?-1:j<<3)|0;Uo(b,g);j=Wo(b,674)|0;o=Wo(b,677)|0;Wo(b,679)|0;q=ed[k[(k[b>>2]|0)+308>>2]&511](b,5)|0;s=Hc[k[(k[q>>2]|0)+8>>2]&511](q)|0;if((s|0)<(Hc[k[(k[q>>2]|0)+12>>2]&511](q)|0)){t=f+16|0;u=f+24|0;v=f+8|0;w=f+32|0;x=b+28|0;y=h<<1;z=q+8|0;A=i+12|0;B=s;do{Fc[k[(k[q>>2]|0)+24>>2]&1023](q,B);rd[k[(k[b>>2]|0)+260>>2]&511](b,d,k[g>>2]|0,q);rd[k[(k[b>>2]|0)+344>>2]&511](b,a,k[g>>2]|0,q);ep(b,f,k[g>>2]|0,q,j,o);C=+p[f>>3];D=+p[t>>3];E=+p[u>>3];F=+p[v>>3];G=+p[w>>3];H=-C-F;s=k[x>>2]|0;nd[k[(k[s>>2]|0)+112>>2]&1023](s,e,f);if(m){s=k[A>>2]|0;I=0;do{J=a+(I<<3)|0;K=a+(I+h<<3)|0;L=a+(I+y<<3)|0;M=I*3|0;N=ma(M,l)|0;O=ma(M+1|0,l)|0;P=ma(M+2|0,l)|0;M=0;do{Q=+p[J>>3];R=+p[K>>3];S=+p[L>>3];T=C*Q+D*R+E*S;U=+p[a+(M<<3)>>3];V=+p[a+(M+h<<3)>>3];W=+p[a+(M+y<<3)>>3];X=C*U+D*V+E*W;Y=D*Q+F*R+G*S;Z=D*U+F*V+G*W;_=E*Q+G*R+H*S;S=E*U+G*V+H*W;$=M*3|0;aa=$+N|0;ba=s+(aa<<3)|0;p[ba>>3]=+p[ba>>3]+T*(X*(+p[e>>3]*(+p[z>>3]*+p[d>>3]*2.0)));ba=s+(aa+1<<3)|0;p[ba>>3]=+p[ba>>3]+T*(Z*(+p[e>>3]*(+p[z>>3]*+p[d>>3]*2.0)));ba=s+(aa+2<<3)|0;p[ba>>3]=+p[ba>>3]+T*(S*(+p[e>>3]*(+p[z>>3]*+p[d>>3]*2.0)));ba=$+O|0;aa=s+(ba<<3)|0;p[aa>>3]=+p[aa>>3]+Y*(X*(+p[e>>3]*(+p[z>>3]*+p[d>>3]*2.0)));aa=s+(ba+1<<3)|0;p[aa>>3]=+p[aa>>3]+Y*(Z*(+p[e>>3]*(+p[z>>3]*+p[d>>3]*2.0)));aa=s+(ba+2<<3)|0;p[aa>>3]=+p[aa>>3]+Y*(S*(+p[e>>3]*(+p[z>>3]*+p[d>>3]*2.0)));aa=$+P|0;$=s+(aa<<3)|0;p[$>>3]=+p[$>>3]+_*(X*(+p[e>>3]*(+p[z>>3]*+p[d>>3]*2.0)));$=s+(aa+1<<3)|0;p[$>>3]=+p[$>>3]+_*(Z*(+p[e>>3]*(+p[z>>3]*+p[d>>3]*2.0)));$=s+(aa+2<<3)|0;p[$>>3]=+p[$>>3]+_*(S*(+p[e>>3]*(+p[z>>3]*+p[d>>3]*2.0)));M=M+1|0}while((M|0)!=(h|0));I=I+1|0}while((I|0)!=(h|0))}B=B+1|0}while((B|0)<(Hc[k[(k[q>>2]|0)+12>>2]&511](q)|0))}Hq(b,i,n);Ec[k[(k[q>>2]|0)+4>>2]&1023](q);q=k[g>>2]|0;if(!q){k[g>>2]=0;Tqa(a);Tqa(n);r=c;return i|0}Tqa(q);k[g>>2]=0;Tqa(a);Tqa(n);r=c;return i|0}function e9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;d=c+180|0;e=c+176|0;f=c+40|0;g=c+24|0;h=c+12|0;i=c;Ap(b,e,533);switch(k[e>>2]|0){case 536:{j=f9(a,b)|0;r=c;return j|0}case 539:{j=g9(a,b)|0;r=c;return j|0}case 540:{j=h9(a,b)|0;r=c;return j|0}case 542:{j=i9(a,b)|0;r=c;return j|0}case 537:{j=j9(a,b)|0;r=c;return j|0}case 541:{j=k9(a,b)|0;r=c;return j|0}case 538:{j=l9(a,b)|0;r=c;return j|0}case 534:case 535:{j=0;r=c;return j|0}default:{j=f+56|0;c=f+4|0;k[f>>2]=27524;k[j>>2]=27544;B=0;wa(508,f+56|0,c|0);b=B;B=0;if(b&1){b=Rb()|0;l=Q;m=b;vva(j);Qb(m|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[j>>2]=27488;B=0;va(448,c|0);b=B;B=0;do if(b&1){a=Rb()|0;n=Q;o=a}else{k[c>>2]=27560;a=f+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[f+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,c|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(a);Ava(c);n=q;o=p;break}Yua(d);B=0;p=Ia(40,f|0,127478,14)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[e>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,144645,14)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,g|0,127077,81);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,144189,13);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(g);u=p;v=q;break}B=0;wa(510,i|0,c|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,g|0,h|0,1001,i|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(i);w=p;x=q;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[j>>2]=27488;k[c>>2]=27560;Yua(a);Ava(c);vva(j);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[f>>2]=27468;k[j>>2]=27488;k[c>>2]=27560;Yua(a);Ava(c);vva(j);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[f>>2]=27468;k[j>>2]=27488;k[c>>2]=27560;Yua(a);Ava(c);vva(j);Qb(C|0)}while(0);l=n;m=o;vva(j);Qb(m|0)}}return 0}function f9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;c=r;r=r+192|0;d=c+180|0;e=c+176|0;f=c+40|0;g=c+24|0;h=c+12|0;i=c;if(!($p(b)|0)){j=0;r=c;return j|0}cp(b,e,298);switch(k[e>>2]|0){case 300:{l=b;m=31;break}case 301:case 302:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){l=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;m=31}else n=0;break}default:{b=f+56|0;o=f+4|0;k[f>>2]=27524;k[b>>2]=27544;B=0;wa(508,f+56|0,o|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;s=p;vva(b);Qb(s|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[b>>2]=27488;B=0;va(448,o|0);p=B;B=0;do if(p&1){t=Rb()|0;u=Q;v=t}else{k[o>>2]=27560;t=f+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[f+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,o|0,d|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(d);Yua(t);Ava(o);u=x;v=w;break}Yua(d);B=0;w=Ia(40,f|0,144639,5)|0;x=B;B=0;a:do if((((!(x&1)?(B=0,y=ya(427,k[e>>2]|0)|0,z=B,B=0,!(z&1)):0)?(z=Lta(y)|0,B=0,A=Ia(40,w|0,y|0,z|0)|0,z=B,B=0,!(z&1)):0)?(B=0,z=Ia(40,A|0,146481,18)|0,A=B,B=0,!(A&1)):0)?(B=0,Xa(239,z|0,0)|0,z=B,B=0,!(z&1)):0){z=Ab(20)|0;B=0;eb(502,g|0,127077,81);A=B;B=0;do if(!(A&1)){B=0;eb(502,h|0,128218,16);y=B;B=0;if(y&1){y=Rb()|0;C=Q;Yua(g);D=C;E=y;break}B=0;wa(510,i|0,o|0);y=B;B=0;if(y&1){y=Rb()|0;F=Q;G=y;H=1}else{B=0;ua(163,z|0,g|0,h|0,1244,i|0);y=B;B=0;if(y&1)I=1;else{B=0;eb(503,z|0,1240,229);B=0;I=0}y=Rb()|0;C=Q;Yua(i);F=C;G=y;H=I}Yua(h);Yua(g);if(H){D=F;E=G}else{J=G;K=F;break a}}else{y=Rb()|0;D=Q;E=y}while(0);zb(z|0);J=E;K=D}else m=23;while(0);if((m|0)==23){w=Rb()|0;J=w;K=Q}k[f>>2]=27468;k[b>>2]=27488;k[o>>2]=27560;Yua(t);Ava(o);vva(b);L=K;M=J;Qb(M|0)}while(0);q=u;s=v;vva(b);Qb(s|0)}}if((m|0)==31){m=H9(a,l)|0;s=I9(a,l)|0;a=Qqa(68)|0;B=0;eb(515,a|0,m|0,s|0);b=B;B=0;if(b&1){b=Rb()|0;v=Q;Sqa(a);L=v;M=b;Qb(M|0)}if((k[e>>2]|0)!=300?(ap(l),(l|0)!=0):0)Ec[k[(k[l>>2]|0)+4>>2]&1023](l);if(m){HN(m);Sqa(m)}if(!s)n=a;else{HN(s);Sqa(s);n=a}}j=n;r=c;return j|0}function g9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;if(!($p(b)|0)){c=0;return c|0}d=N9(0,b)|0;if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0?!(_p(b)|0):0){e=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;b=I9(a,e)|0;ap(e);if(!e)f=b;else{Ec[k[(k[e>>2]|0)+4>>2]&1023](e);f=b}}else f=0;b=Qqa(68)|0;B=0;eb(515,b|0,d|0,f|0);e=B;B=0;if(e&1){e=Rb()|0;Sqa(b);Qb(e|0)}if(d){HN(d);Sqa(d)}if(!f){c=b;return c|0}HN(f);Sqa(f);c=b;return c|0}function h9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if(!($p(b)|0)){c=0;return c|0}d=Q9(a,b)|0;e=R9(a,b)|0;b=Qqa(68)|0;B=0;eb(515,b|0,d|0,e|0);a=B;B=0;if(a&1){a=Rb()|0;Sqa(b);Qb(a|0)}if(d){HN(d);Sqa(d)}if(!e){c=b;return c|0}HN(e);Sqa(e);c=b;return c|0}function i9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;c=r;r=r+16|0;d=c;if(!($p(b)|0)){e=0;r=c;return e|0}cp(b,d,102);f=k[d>>2]|0;do if((f|0)!=755)if((f&-5|0)==754){g=X9(a,b)|0;break}else{g=Y9(a,b)|0;break}else g=W9(a,b)|0;while(0);f=Z9(a,b)|0;a=_9(0,b)|0;b=Qqa(68)|0;B=0;ib(299,b|0,g|0,f|0,a|0);d=B;B=0;if(d&1){d=Rb()|0;Sqa(b);Qb(d|0)}if(g){HN(g);Sqa(g)}if(f){HN(f);Sqa(f)}if(a){HN(a);Sqa(a)}e=b;r=c;return e|0}function j9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=Aaa(a,b)|0;d=h9(a,b)|0;e=waa(a,b)|0;b=Qqa(68)|0;B=0;ib(299,b|0,c|0,d|0,e|0);a=B;B=0;if(a&1){a=Rb()|0;Sqa(b);Qb(a|0)}HN(c);Sqa(c);if(!d){HN(e);Sqa(e);return b|0}HN(d);Sqa(d);HN(e);Sqa(e);return b|0}function k9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=r;r=r+16|0;d=c;e=i9(a,b)|0;k[d>>2]=k[9691];k[d+4>>2]=k[9692];k[d+8>>2]=k[9693];NN(e,3,d);d=Hc[k[(k[b>>2]|0)+112>>2]&511](b)|0;Fc[k[(k[b>>2]|0)+428>>2]&1023](b,738);f=h9(a,b)|0;Fc[k[(k[b>>2]|0)+428>>2]&1023](b,d);d=naa(a,b)|0;b=Qqa(68)|0;B=0;ib(299,b|0,e|0,f|0,d|0);a=B;B=0;if(a&1){a=Rb()|0;Sqa(b);Qb(a|0)}if(e){HN(e);Sqa(e)}if(!f){HN(d);Sqa(d);r=c;return b|0}HN(f);Sqa(f);HN(d);Sqa(d);r=c;return b|0}function l9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=r;r=r+16|0;d=c;e=i9(a,b)|0;k[d>>2]=k[9691];k[d+4>>2]=k[9692];k[d+8>>2]=k[9693];NN(e,3,d);d=Hc[k[(k[b>>2]|0)+112>>2]&511](b)|0;Fc[k[(k[b>>2]|0)+428>>2]&1023](b,738);f=Aaa(a,b)|0;Fc[k[(k[b>>2]|0)+428>>2]&1023](b,d);d=oaa(a,b)|0;b=Qqa(68)|0;B=0;ib(299,b|0,e|0,f|0,d|0);a=B;B=0;if(a&1){a=Rb()|0;Sqa(b);Qb(a|0)}if(!e){HN(f);Sqa(f);HN(d);Sqa(d);r=c;return b|0}HN(e);Sqa(e);HN(f);Sqa(f);HN(d);Sqa(d);r=c;return b|0}function m9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;d=c+180|0;e=c+176|0;f=c+40|0;g=c+24|0;h=c+12|0;i=c;Ap(b,e,533);switch(k[e>>2]|0){case 536:{j=n9(a,b)|0;r=c;return j|0}case 539:{j=o9(a,b)|0;r=c;return j|0}case 540:{j=p9(a,b)|0;r=c;return j|0}case 542:{j=q9(a,b)|0;r=c;return j|0}case 537:{j=r9(a,b)|0;r=c;return j|0}case 541:{j=s9(a,b)|0;r=c;return j|0}case 538:{j=t9(a,b)|0;r=c;return j|0}case 534:case 535:{j=0;r=c;return j|0}default:{j=f+56|0;c=f+4|0;k[f>>2]=27524;k[j>>2]=27544;B=0;wa(508,f+56|0,c|0);b=B;B=0;if(b&1){b=Rb()|0;l=Q;m=b;vva(j);Qb(m|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[j>>2]=27488;B=0;va(448,c|0);b=B;B=0;do if(b&1){a=Rb()|0;n=Q;o=a}else{k[c>>2]=27560;a=f+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[f+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,c|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(a);Ava(c);n=q;o=p;break}Yua(d);B=0;p=Ia(40,f|0,127478,14)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[e>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,144645,14)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,g|0,127077,81);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,144203,13);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(g);u=p;v=q;break}B=0;wa(510,i|0,c|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,g|0,h|0,1028,i|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(i);w=p;x=q;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[j>>2]=27488;k[c>>2]=27560;Yua(a);Ava(c);vva(j);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[f>>2]=27468;k[j>>2]=27488;k[c>>2]=27560;Yua(a);Ava(c);vva(j);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[f>>2]=27468;k[j>>2]=27488;k[c>>2]=27560;Yua(a);Ava(c);vva(j);Qb(C|0)}while(0);l=n;m=o;vva(j);Qb(m|0)}}return 0}function n9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;a=r;r=r+192|0;c=a+180|0;d=a+176|0;e=a+40|0;f=a+24|0;g=a+12|0;h=a;if(!($p(b)|0)){i=0;r=a;return i|0}cp(b,d,298);switch(k[d>>2]|0){case 300:{j=b;l=31;break}case 301:case 302:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){j=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;l=31}else m=0;break}default:{b=e+56|0;n=e+4|0;k[e>>2]=27524;k[b>>2]=27544;B=0;wa(508,e+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;q=o;vva(b);Qb(q|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[b>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){s=Rb()|0;t=Q;u=s}else{k[n>>2]=27560;s=e+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,n|0,c|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(c);Yua(s);Ava(n);t=w;u=v;break}Yua(c);B=0;v=Ia(40,e|0,144639,5)|0;w=B;B=0;a:do if((((!(w&1)?(B=0,x=ya(427,k[d>>2]|0)|0,y=B,B=0,!(y&1)):0)?(y=Lta(x)|0,B=0,z=Ia(40,v|0,x|0,y|0)|0,y=B,B=0,!(y&1)):0)?(B=0,y=Ia(40,z|0,146481,18)|0,z=B,B=0,!(z&1)):0)?(B=0,Xa(239,y|0,0)|0,y=B,B=0,!(y&1)):0){y=Ab(20)|0;B=0;eb(502,f|0,127077,81);z=B;B=0;do if(!(z&1)){B=0;eb(502,g|0,128235,16);x=B;B=0;if(x&1){x=Rb()|0;A=Q;Yua(f);C=A;D=x;break}B=0;wa(510,h|0,n|0);x=B;B=0;if(x&1){x=Rb()|0;E=Q;F=x;G=1}else{B=0;ua(163,y|0,f|0,g|0,1511,h|0);x=B;B=0;if(x&1)H=1;else{B=0;eb(503,y|0,1240,229);B=0;H=0}x=Rb()|0;A=Q;Yua(h);E=A;F=x;G=H}Yua(g);Yua(f);if(G){C=E;D=F}else{I=F;J=E;break a}}else{x=Rb()|0;C=Q;D=x}while(0);zb(y|0);I=D;J=C}else l=23;while(0);if((l|0)==23){v=Rb()|0;I=v;J=Q}k[e>>2]=27468;k[b>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(b);K=J;L=I;Qb(L|0)}while(0);p=t;q=u;vva(b);Qb(q|0)}}if((l|0)==31){l=L9(0,j)|0;q=M9(0,j)|0;b=Qqa(24)|0;B=0;eb(516,b|0,l|0,q|0);u=B;B=0;if(u&1){u=Rb()|0;t=Q;Sqa(b);K=t;L=u;Qb(L|0)}if((k[d>>2]|0)!=300?(ap(j),(j|0)!=0):0)Ec[k[(k[j>>2]|0)+4>>2]&1023](j);if(l){SN(l);Sqa(l)}if(!q)m=b;else{SN(q);Sqa(q);m=b}}i=m;r=a;return i|0}function o9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;a=r;r=r+192|0;c=a+180|0;d=a+176|0;e=a+40|0;f=a+24|0;g=a+12|0;h=a;if(!($p(b)|0)){i=0;r=a;return i|0}cp(b,d,298);switch(k[d>>2]|0){case 300:{j=b;l=31;break}case 301:case 302:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){j=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;l=31}else m=0;break}default:{b=e+56|0;n=e+4|0;k[e>>2]=27524;k[b>>2]=27544;B=0;wa(508,e+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;q=o;vva(b);Qb(q|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[b>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){s=Rb()|0;t=Q;u=s}else{k[n>>2]=27560;s=e+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,n|0,c|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(c);Yua(s);Ava(n);t=w;u=v;break}Yua(c);B=0;v=Ia(40,e|0,144639,5)|0;w=B;B=0;a:do if((((!(w&1)?(B=0,x=ya(427,k[d>>2]|0)|0,y=B,B=0,!(y&1)):0)?(y=Lta(x)|0,B=0,z=Ia(40,v|0,x|0,y|0)|0,y=B,B=0,!(y&1)):0)?(B=0,y=Ia(40,z|0,146481,18)|0,z=B,B=0,!(z&1)):0)?(B=0,Xa(239,y|0,0)|0,y=B,B=0,!(y&1)):0){y=Ab(20)|0;B=0;eb(502,f|0,127077,81);z=B;B=0;do if(!(z&1)){B=0;eb(502,g|0,128252,17);x=B;B=0;if(x&1){x=Rb()|0;A=Q;Yua(f);C=A;D=x;break}B=0;wa(510,h|0,n|0);x=B;B=0;if(x&1){x=Rb()|0;E=Q;F=x;G=1}else{B=0;ua(163,y|0,f|0,g|0,1998,h|0);x=B;B=0;if(x&1)H=1;else{B=0;eb(503,y|0,1240,229);B=0;H=0}x=Rb()|0;A=Q;Yua(h);E=A;F=x;G=H}Yua(g);Yua(f);if(G){C=E;D=F}else{I=F;J=E;break a}}else{x=Rb()|0;C=Q;D=x}while(0);zb(y|0);I=D;J=C}else l=23;while(0);if((l|0)==23){v=Rb()|0;I=v;J=Q}k[e>>2]=27468;k[b>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(b);K=J;L=I;Qb(L|0)}while(0);p=t;q=u;vva(b);Qb(q|0)}}if((l|0)==31){l=O9(0,j)|0;q=P9(0,j)|0;b=Qqa(24)|0;B=0;eb(516,b|0,l|0,q|0);u=B;B=0;if(u&1){u=Rb()|0;t=Q;Sqa(b);K=t;L=u;Qb(L|0)}if((k[d>>2]|0)!=300?(ap(j),(j|0)!=0):0)Ec[k[(k[j>>2]|0)+4>>2]&1023](j);if(l){SN(l);Sqa(l)}if(!q)m=b;else{SN(q);Sqa(q);m=b}}i=m;r=a;return i|0}function p9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if(!($p(b)|0)){c=0;return c|0}a=U9(0,b)|0;d=V9(0,b)|0;b=Qqa(24)|0;B=0;eb(516,b|0,a|0,d|0);e=B;B=0;if(e&1){e=Rb()|0;Sqa(b);Qb(e|0)}if(a){SN(a);Sqa(a)}if(!d){c=b;return c|0}SN(d);Sqa(d);c=b;return c|0}function q9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;a=r;r=r+16|0;c=a;if(!($p(b)|0)){d=0;r=a;return d|0}cp(b,c,102);e=k[c>>2]|0;do if((e|0)==755){c=faa(0,b)|0;f=gaa(0,b)|0;g=haa(0,b)|0;h=Qqa(24)|0;B=0;ib(300,h|0,c|0,f|0,g|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;Sqa(h);l=i;m=j;Qb(l|0)}j=iaa(0,b)|0;i=Qqa(24)|0;B=0;eb(516,i|0,h|0,j|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;Sqa(i);l=n;m=o;Qb(l|0)}if(c){SN(c);Sqa(c)}if(f){SN(f);Sqa(f)}if(g){SN(g);Sqa(g)}SN(h);Sqa(h);if(!j)p=i;else{SN(j);Sqa(j);p=i}}else{i=faa(0,b)|0;j=gaa(0,b)|0;h=haa(0,b)|0;g=Qqa(24)|0;B=0;ib(300,g|0,i|0,j|0,h|0);f=B;B=0;c=f&1;if((e&-5|0)!=754){if(c){f=Rb()|0;o=Q;Sqa(g);l=f;m=o;Qb(l|0)}if(i){SN(i);Sqa(i)}if(j){SN(j);Sqa(j)}if(!h){p=g;break}SN(h);Sqa(h);p=g;break}if(c){c=Rb()|0;o=Q;Sqa(g);l=c;m=o;Qb(l|0)}o=jaa(0,b)|0;c=Qqa(24)|0;B=0;eb(516,c|0,g|0,o|0);f=B;B=0;if(f&1){f=Rb()|0;n=Q;Sqa(c);l=f;m=n;Qb(l|0)}if(i){SN(i);Sqa(i)}if(j){SN(j);Sqa(j)}if(h){SN(h);Sqa(h)}SN(g);Sqa(g);if(!o)p=c;else{SN(o);Sqa(o);p=c}}while(0);d=p;r=a;return d|0}function r9(a,b){a=a|0;b=b|0;var c=0,d=0;c=n9(a,b)|0;d=p9(a,b)|0;b=Qqa(24)|0;B=0;eb(516,b|0,c|0,d|0);a=B;B=0;if(a&1){a=Rb()|0;Sqa(b);Qb(a|0)}if(c){SN(c);Sqa(c)}if(!d)return b|0;SN(d);Sqa(d);return b|0}function s9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;c=r;r=r+16|0;d=c;e=Hc[k[(k[b>>2]|0)+112>>2]&511](b)|0;Fc[k[(k[b>>2]|0)+428>>2]&1023](b,738);f=p9(a,b)|0;Fc[k[(k[b>>2]|0)+428>>2]&1023](b,e);g=q9(a,b)|0;k[d>>2]=k[9691];k[d+4>>2]=k[9692];k[d+8>>2]=k[9693];Fc[k[(k[b>>2]|0)+428>>2]&1023](b,752);h=i9(a,b)|0;Fc[k[(k[b>>2]|0)+428>>2]&1023](b,e);VN(g,h,3,d);if(h){HN(h);Sqa(h)}h=Caa(a,b)|0;b=Qqa(24)|0;B=0;ib(300,b|0,f|0,g|0,h|0);a=B;B=0;if(a&1){a=Rb()|0;Sqa(b);Qb(a|0)}if(f){SN(f);Sqa(f)}if(!g){SN(h);Sqa(h);r=c;return b|0}SN(g);Sqa(g);SN(h);Sqa(h);r=c;return b|0}function t9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;c=r;r=r+16|0;d=c;e=Hc[k[(k[b>>2]|0)+112>>2]&511](b)|0;Fc[k[(k[b>>2]|0)+428>>2]&1023](b,738);f=n9(a,b)|0;Fc[k[(k[b>>2]|0)+428>>2]&1023](b,e);g=q9(a,b)|0;k[d>>2]=k[9691];k[d+4>>2]=k[9692];k[d+8>>2]=k[9693];Fc[k[(k[b>>2]|0)+428>>2]&1023](b,752);h=i9(a,b)|0;Fc[k[(k[b>>2]|0)+428>>2]&1023](b,e);VN(g,h,3,d);if(h){HN(h);Sqa(h)}h=Faa(a,b)|0;b=Qqa(24)|0;B=0;ib(300,b|0,f|0,g|0,h|0);a=B;B=0;if(a&1){a=Rb()|0;Sqa(b);Qb(a|0)}if(f){SN(f);Sqa(f)}if(!g){SN(h);Sqa(h);r=c;return b|0}SN(g);Sqa(g);SN(h);Sqa(h);r=c;return b|0}function u9(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;a=r;r=r+192|0;d=a+180|0;e=a+176|0;f=a+40|0;g=a+24|0;h=a+12|0;i=a;Ap(c,e,533);switch(k[e>>2]|0){case 534:case 542:{v9(0,b,c);r=a;return}case 535:case 540:case 536:{w9(0,b,c);r=a;return}case 539:{w9(0,b,c);r=a;return}case 538:case 541:case 537:{r=a;return}default:{a=f+56|0;c=f+4|0;k[f>>2]=27524;k[a>>2]=27544;B=0;wa(508,f+56|0,c|0);b=B;B=0;if(b&1){b=Rb()|0;j=Q;l=b;vva(a);Qb(l|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[a>>2]=27488;B=0;va(448,c|0);b=B;B=0;do if(b&1){m=Rb()|0;n=Q;o=m}else{k[c>>2]=27560;m=f+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[f+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,c|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(c);n=q;o=p;break}Yua(d);B=0;p=Ia(40,f|0,127478,14)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[e>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,144645,14)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,g|0,127077,81);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,138230,21);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(g);u=p;v=q;break}B=0;wa(510,i|0,c|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,g|0,h|0,1049,i|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(i);w=p;x=q;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[a>>2]=27488;k[c>>2]=27560;Yua(m);Ava(c);vva(a);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[f>>2]=27468;k[a>>2]=27488;k[c>>2]=27560;Yua(m);Ava(c);vva(a);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[f>>2]=27468;k[a>>2]=27488;k[c>>2]=27560;Yua(m);Ava(c);vva(a);Qb(C|0)}while(0);j=n;l=o;vva(a);Qb(l|0)}}}function v9(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;a=r;r=r+64|0;d=a+48|0;e=a+44|0;f=a+40|0;g=a+32|0;h=a+24|0;i=a+16|0;j=a+8|0;l=a;k[d>>2]=0;k[e>>2]=0;cp(c,f,299);pp(c,l,85);m=Hc[k[(k[c>>2]|0)+396>>2]&511](c)|0;n=Hc[k[(k[c>>2]|0)+392>>2]&511](c)|0;o=ma(k[f>>2]|0,m)|0;q=Rqa(o>>>0>536870911?-1:o<<3)|0;s=Rqa(n>>>0>536870911?-1:n<<3)|0;tp(c,d,943);sp(c,e,943);t=Wo(c,674)|0;u=Wo(c,677)|0;if((k[f>>2]|0)==3)v=Wo(c,679)|0;else v=0;w=Wo(c,653)|0;pp(c,l,85);x=Hc[k[(k[c>>2]|0)+304>>2]&511](c)|0;if((m|0)>0){y=0;do{z=k[(k[x>>2]|0)+32>>2]|0;A=Hc[k[(k[c>>2]|0)+504>>2]&511](c)|0;nd[z&1023](x,A,y);nd[k[(k[t>>2]|0)+48>>2]&1023](t,g,x);nd[k[(k[u>>2]|0)+48>>2]&1023](u,h,x);A=k[f>>2]|0;z=ma(A,y)|0;p[q+(z<<3)>>3]=+p[g>>3];p[q+(z+1<<3)>>3]=+p[h>>3];if((A|0)==3){nd[k[(k[v>>2]|0)+48>>2]&1023](v,i,x);A=q+((ma(k[f>>2]|0,y)|0)+2<<3)|0;p[A>>3]=+p[i>>3]}y=y+1|0}while((y|0)!=(m|0))}m=(n|0)>0;if(m){y=0;do{i=k[(k[x>>2]|0)+32>>2]|0;f=Hc[k[(k[c>>2]|0)+404>>2]&511](c)|0;nd[i&1023](x,f,y);nd[k[(k[w>>2]|0)+48>>2]&1023](w,j,x);p[s+(y<<3)>>3]=+p[j>>3]/+p[l>>3];y=y+1|0}while((y|0)!=(n|0))}if(k[b>>2]|0){y=k[k[b+4>>2]>>2]|0;Dc[k[(k[y>>2]|0)+16>>2]&255](y,o,k[d>>2]|0,q,0)}if(m?(k[b>>2]|0)!=0:0){m=k[k[b+4>>2]>>2]|0;Dc[k[(k[m>>2]|0)+16>>2]&255](m,n,k[e>>2]|0,s,0)}if(x)Ec[k[(k[x>>2]|0)+4>>2]&1023](x);x=k[e>>2]|0;if(x)Tqa(x);k[e>>2]=0;e=k[d>>2]|0;if(!e){k[d>>2]=0;Tqa(s);Tqa(q);r=a;return}Tqa(e);k[d>>2]=0;Tqa(s);Tqa(q);r=a;return}function w9(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;a=r;r=r+224|0;d=a+204|0;e=a+8|0;f=a;g=a+200|0;h=a+196|0;i=a+192|0;j=a+56|0;l=a+40|0;m=a+28|0;n=a+16|0;k[i>>2]=0;cp(c,g,298);switch(k[g>>2]|0){case 302:case 300:{o=2;break}case 301:{o=1;break}default:{q=j+56|0;s=j+4|0;k[j>>2]=27524;k[q>>2]=27544;B=0;wa(508,j+56|0,s|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;v=t;vva(q);Qb(v|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[q>>2]=27488;B=0;va(448,s|0);t=B;B=0;do if(t&1){w=Rb()|0;x=Q;y=w}else{k[s>>2]=27560;w=j+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[j+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,s|0,d|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(d);Yua(w);Ava(s);x=A;y=z;break}Yua(d);B=0;z=Ia(40,j|0,144639,5)|0;A=B;B=0;if((((!(A&1)?(B=0,A=ya(427,k[g>>2]|0)|0,C=B,B=0,!(C&1)):0)?(C=Lta(A)|0,B=0,D=Ia(40,z|0,A|0,C|0)|0,C=B,B=0,!(C&1)):0)?(B=0,C=Ia(40,D|0,146481,18)|0,D=B,B=0,!(D&1)):0)?(B=0,Xa(239,C|0,0)|0,C=B,B=0,!(C&1)):0){C=Ab(20)|0;B=0;eb(502,l|0,127077,81);D=B;B=0;do if(!(D&1)){B=0;eb(502,m|0,128270,26);A=B;B=0;if(A&1){A=Rb()|0;z=Q;Yua(l);E=A;F=z;break}B=0;wa(510,n|0,s|0);z=B;B=0;if(z&1){z=Rb()|0;G=z;H=Q;I=1}else{B=0;ua(163,C|0,l|0,m|0,1064,n|0);z=B;B=0;if(z&1)J=1;else{B=0;eb(503,C|0,1240,229);B=0;J=0}z=Rb()|0;A=Q;Yua(n);G=z;H=A;I=J}Yua(m);Yua(l);if(I){E=G;F=H}else{K=G;L=H;k[j>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(q);Qb(K|0)}}else{A=Rb()|0;E=A;F=Q}while(0);zb(C|0);K=E;L=F;k[j>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(q);Qb(K|0)}D=Rb()|0;K=D;L=Q;k[j>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(q);Qb(K|0)}while(0);u=x;v=y;vva(q);Qb(v|0)}}v=Hc[k[(k[c>>2]|0)+164>>2]&511](c)|0;q=ma(v,o)|0;Ap(c,h,533);rp(c,i,k[h>>2]|0,943);h=Rqa(q>>>0>536870911?-1:q<<3)|0;y=Wo(c,674)|0;if((k[g>>2]|0)==301)M=0;else M=Wo(c,677)|0;g=Hc[k[(k[c>>2]|0)+304>>2]&511](c)|0;if((v|0)>0)if((o|0)==2){x=0;do{u=k[(k[g>>2]|0)+32>>2]|0;K=Hc[k[(k[c>>2]|0)+112>>2]&511](c)|0;nd[u&1023](g,K,x);nd[k[(k[y>>2]|0)+48>>2]&1023](y,e,g);K=x<<1;p[h+(K<<3)>>3]=+p[e>>3];nd[k[(k[M>>2]|0)+48>>2]&1023](M,f,g);p[h+((K|1)<<3)>>3]=+p[f>>3];x=x+1|0}while((x|0)!=(v|0))}else{x=0;do{f=k[(k[g>>2]|0)+32>>2]|0;M=Hc[k[(k[c>>2]|0)+112>>2]&511](c)|0;nd[f&1023](g,M,x);nd[k[(k[y>>2]|0)+48>>2]&1023](y,e,g);M=h+((ma(x,o)|0)<<3)|0;p[M>>3]=+p[e>>3];x=x+1|0}while((x|0)!=(v|0))}if(k[b>>2]|0){v=k[k[b+4>>2]>>2]|0;Dc[k[(k[v>>2]|0)+16>>2]&255](v,q,k[i>>2]|0,h,0)}if(g)Ec[k[(k[g>>2]|0)+4>>2]&1023](g);Tqa(h);h=k[i>>2]|0;if(!h){r=a;return}Tqa(h);r=a;return}function x9(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,127077,81);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,1103,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function y9(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;a=r;r=r+192|0;d=a+180|0;e=a+176|0;f=a+40|0;g=a+24|0;h=a+12|0;i=a;Ap(c,e,533);switch(k[e>>2]|0){case 534:case 542:{z9(0,b,c);r=a;return}case 536:{A9(0,b,c);r=a;return}case 540:{B9(0,b,c);r=a;return}case 539:{C9(0,b,c);r=a;return}case 537:{D9(0,b,c);r=a;return}case 541:{E9(0,b,c);r=a;return}case 538:{F9(0,b,c);r=a;return}case 535:{r=a;return}default:{a=f+56|0;c=f+4|0;k[f>>2]=27524;k[a>>2]=27544;B=0;wa(508,f+56|0,c|0);b=B;B=0;if(b&1){b=Rb()|0;j=Q;l=b;vva(a);Qb(l|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[a>>2]=27488;B=0;va(448,c|0);b=B;B=0;do if(b&1){m=Rb()|0;n=Q;o=m}else{k[c>>2]=27560;m=f+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[f+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,c|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(c);n=q;o=p;break}Yua(d);B=0;p=Ia(40,f|0,127478,14)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[e>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,144645,14)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,g|0,127077,81);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,137199,23);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(g);u=p;v=q;break}B=0;wa(510,i|0,c|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,g|0,h|0,1134,i|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(i);w=p;x=q;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[a>>2]=27488;k[c>>2]=27560;Yua(m);Ava(c);vva(a);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[f>>2]=27468;k[a>>2]=27488;k[c>>2]=27560;Yua(m);Ava(c);vva(a);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[f>>2]=27468;k[a>>2]=27488;k[c>>2]=27560;Yua(m);Ava(c);vva(a);Qb(C|0)}while(0);j=n;l=o;vva(a);Qb(l|0)}}}function z9(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0.0,ja=0.0,ka=0.0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0.0;a=r;r=r+1440|0;d=a+1416|0;e=a+1388|0;f=a+1372|0;g=a+1356|0;h=a;i=a+1208|0;j=a+1404|0;l=a+1392|0;m=a+1376|0;n=a+1056|0;o=a+1360|0;q=a+1344|0;s=a+1192|0;u=a+904|0;v=a+1040|0;w=a+888|0;x=a+736|0;y=a+752|0;z=a+316|0;A=a+304|0;C=a+152|0;D=a+600|0;E=a+140|0;F=a+128|0;G=a+116|0;H=a+464|0;I=a+104|0;J=a+92|0;K=a+80|0;L=a+328|0;M=a+68|0;N=a+56|0;O=a+44|0;P=a+168|0;R=a+32|0;S=a+20|0;T=a+8|0;k[f>>2]=0;k[g>>2]=0;cp(c,e,299);pp(c,h,85);op(c,a+1428|0,325);U=Hc[k[(k[c>>2]|0)+396>>2]&511](c)|0;V=Hc[k[(k[c>>2]|0)+392>>2]&511](c)|0;W=k[e>>2]|0;X=ma(W,U)|0;Y=X+V|0;Z=Rqa(Y>>>0>536870911?-1:Y<<3)|0;Y=U>>>0>536870911?-1:U<<3;_=Rqa(Y)|0;ba=Rqa(Y)|0;ca=Rqa(Y)|0;da=Rqa(Y)|0;Y=Rqa(V>>>0>536870911?-1:V<<3)|0;ea=V+U|0;fa=Rqa(ea>>>0>1073741823?-1:ea<<2)|0;ea=(U|0)>0;if((W|0)==2){if(ea){W=0;do{k[fa+(W<<2)>>2]=971;W=W+1|0}while((W|0)!=(U|0))}}else if(ea){W=0;do{k[fa+(W<<2)>>2]=972;W=W+1|0}while((W|0)!=(U|0))}W=(V|0)>0;if(W){ga=0;do{k[fa+(ga+U<<2)>>2]=653;ga=ga+1|0}while((ga|0)!=(V|0))}tp(c,f,943);sp(c,g,943);if((X|0)>0){ga=k[f>>2]|0;ha=0;do{p[Z+(ha<<3)>>3]=+p[b+(k[ga+(ha<<2)>>2]<<3)>>3];ha=ha+1|0}while((ha|0)!=(X|0))}if(W){ha=k[g>>2]|0;ga=0;do{p[Z+(ga+X<<3)>>3]=+p[b+(k[ha+(ga<<2)>>2]<<3)>>3];ga=ga+1|0}while((ga|0)!=(V|0))}Cq(c,Z,fa);a:do if(ea){ga=k[e>>2]|0;b:do if((ga|0)==3){ha=0;while(1){b=ha*3|0;ia=+p[Z+(b<<3)>>3];p[_+(ha<<3)>>3]=ia;ja=+p[Z+(b+1<<3)>>3];p[ba+(ha<<3)>>3]=ja;ka=+$(+ia);p[t>>3]=ka;la=k[t>>2]|0;na=k[t+4>>2]|0;if(na>>>0>2146435072|(na|0)==2146435072&la>>>0>0){oa=25;break b}if((la|0)==0&(na|0)==2146435072){oa=49;break b}ka=+$(+ja);p[t>>3]=ka;na=k[t>>2]|0;la=k[t+4>>2]|0;if(la>>>0>2146435072|(la|0)==2146435072&na>>>0>0){oa=73;break b}if((na|0)==0&(la|0)==2146435072){oa=97;break b}ka=+p[Z+(b+2<<3)>>3];p[ca+(ha<<3)>>3]=ka;ja=+$(+ka);p[t>>3]=ja;b=k[t>>2]|0;la=k[t+4>>2]|0;if(la>>>0>2146435072|(la|0)==2146435072&b>>>0>0){oa=120;break}if((b|0)==0&(la|0)==2146435072){oa=143;break}ha=ha+1|0;if((ha|0)>=(U|0))break a}if((oa|0)==120){ha=D+56|0;la=D+4|0;k[D>>2]=27524;k[ha>>2]=27544;B=0;wa(508,D+56|0,la|0);b=B;B=0;if(b&1){b=Rb()|0;pa=Q;qa=b;vva(ha);Qb(qa|0)}k[D+128>>2]=0;k[D+132>>2]=-1;k[D>>2]=27468;k[ha>>2]=27488;B=0;va(448,la|0);b=B;B=0;do if(b&1){na=Rb()|0;ra=Q;sa=na}else{k[la>>2]=27560;na=D+36|0;k[na>>2]=0;k[na+4>>2]=0;k[na+8>>2]=0;k[na+12>>2]=0;k[D+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,la|0,d|0);ta=B;B=0;if(ta&1){ta=Rb()|0;xa=Q;Yua(d);Yua(na);Ava(la);ra=xa;sa=ta;break}Yua(d);B=0;ta=Ia(40,D|0,135564,28)|0;xa=B;B=0;c:do if(!(xa&1)?(B=0,Xa(239,ta|0,0)|0,ya=B,B=0,!(ya&1)):0){ya=Ab(20)|0;B=0;eb(502,E|0,127077,81);za=B;B=0;do if(!(za&1)){B=0;eb(502,F|0,128297,25);Aa=B;B=0;if(Aa&1){Aa=Rb()|0;Ba=Q;Yua(E);Ca=Ba;Da=Aa;break}B=0;wa(510,G|0,la|0);Aa=B;B=0;if(Aa&1){Aa=Rb()|0;Ea=1;Fa=Q;Ga=Aa}else{B=0;ua(163,ya|0,E|0,F|0,4967,G|0);Aa=B;B=0;if(Aa&1)Ha=1;else{B=0;eb(503,ya|0,1240,229);B=0;Ha=0}Aa=Rb()|0;Ba=Q;Yua(G);Ea=Ha;Fa=Ba;Ga=Aa}Yua(F);Yua(E);if(Ea){Ca=Fa;Da=Ga}else{Ja=Fa;Ka=Ga;break c}}else{Aa=Rb()|0;Ca=Q;Da=Aa}while(0);zb(ya|0);Ja=Ca;Ka=Da}else oa=135;while(0);if((oa|0)==135){ta=Rb()|0;Ja=Q;Ka=ta}k[D>>2]=27468;k[ha>>2]=27488;k[la>>2]=27560;Yua(na);Ava(la);vva(ha);La=Ja;Ma=Ka;Qb(Ma|0)}while(0);pa=ra;qa=sa;vva(ha);Qb(qa|0)}else if((oa|0)==143){la=H+56|0;b=H+4|0;k[H>>2]=27524;k[la>>2]=27544;B=0;wa(508,H+56|0,b|0);ta=B;B=0;if(ta&1){ta=Rb()|0;Na=Q;Oa=ta;vva(la);Qb(Oa|0)}k[H+128>>2]=0;k[H+132>>2]=-1;k[H>>2]=27468;k[la>>2]=27488;B=0;va(448,b|0);ta=B;B=0;do if(ta&1){xa=Rb()|0;Pa=Q;Qa=xa}else{k[b>>2]=27560;xa=H+36|0;k[xa>>2]=0;k[xa+4>>2]=0;k[xa+8>>2]=0;k[xa+12>>2]=0;k[H+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,b|0,d|0);za=B;B=0;if(za&1){za=Rb()|0;Aa=Q;Yua(d);Yua(xa);Ava(b);Pa=Aa;Qa=za;break}Yua(d);B=0;za=Ia(40,H|0,135593,28)|0;Aa=B;B=0;d:do if(!(Aa&1)?(B=0,Xa(239,za|0,0)|0,Ba=B,B=0,!(Ba&1)):0){Ba=Ab(20)|0;B=0;eb(502,I|0,127077,81);Ra=B;B=0;do if(!(Ra&1)){B=0;eb(502,J|0,128297,25);Sa=B;B=0;if(Sa&1){Sa=Rb()|0;Ta=Q;Yua(I);Ua=Ta;Va=Sa;break}B=0;wa(510,K|0,b|0);Sa=B;B=0;if(Sa&1){Sa=Rb()|0;Wa=1;Ya=Q;Za=Sa}else{B=0;ua(163,Ba|0,I|0,J|0,4968,K|0);Sa=B;B=0;if(Sa&1)_a=1;else{B=0;eb(503,Ba|0,1240,229);B=0;_a=0}Sa=Rb()|0;Ta=Q;Yua(K);Wa=_a;Ya=Ta;Za=Sa}Yua(J);Yua(I);if(Wa){Ua=Ya;Va=Za}else{$a=Ya;ab=Za;break d}}else{Sa=Rb()|0;Ua=Q;Va=Sa}while(0);zb(Ba|0);$a=Ua;ab=Va}else oa=158;while(0);if((oa|0)==158){za=Rb()|0;$a=Q;ab=za}k[H>>2]=27468;k[la>>2]=27488;k[b>>2]=27560;Yua(xa);Ava(b);vva(la);La=$a;Ma=ab;Qb(Ma|0)}while(0);Na=Pa;Oa=Qa;vva(la);Qb(Oa|0)}}else{b=0;while(1){ta=ma(ga,b)|0;ja=+p[Z+(ta<<3)>>3];p[_+(b<<3)>>3]=ja;ka=+p[Z+(ta+1<<3)>>3];p[ba+(b<<3)>>3]=ka;ia=+$(+ja);p[t>>3]=ia;ta=k[t>>2]|0;ha=k[t+4>>2]|0;if(ha>>>0>2146435072|(ha|0)==2146435072&ta>>>0>0){oa=25;break b}if((ta|0)==0&(ha|0)==2146435072){oa=49;break b}ia=+$(+ka);p[t>>3]=ia;ha=k[t>>2]|0;ta=k[t+4>>2]|0;if(ta>>>0>2146435072|(ta|0)==2146435072&ha>>>0>0){oa=73;break b}if((ha|0)==0&(ta|0)==2146435072){oa=97;break b}b=b+1|0;if((b|0)>=(U|0))break a}}while(0);if((oa|0)==25){ga=i+56|0;b=i+4|0;k[i>>2]=27524;k[ga>>2]=27544;B=0;wa(508,i+56|0,b|0);la=B;B=0;if(la&1){la=Rb()|0;bb=Q;cb=la;vva(ga);Qb(cb|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[ga>>2]=27488;B=0;va(448,b|0);la=B;B=0;do if(la&1){ta=Rb()|0;db=Q;fb=ta}else{k[b>>2]=27560;ta=i+36|0;k[ta>>2]=0;k[ta+4>>2]=0;k[ta+8>>2]=0;k[ta+12>>2]=0;k[i+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,b|0,d|0);ha=B;B=0;if(ha&1){ha=Rb()|0;za=Q;Yua(d);Yua(ta);Ava(b);db=za;fb=ha;break}Yua(d);B=0;ha=Ia(40,i|0,135564,28)|0;za=B;B=0;e:do if(!(za&1)?(B=0,Xa(239,ha|0,0)|0,Aa=B,B=0,!(Aa&1)):0){Aa=Ab(20)|0;B=0;eb(502,j|0,127077,81);na=B;B=0;do if(!(na&1)){B=0;eb(502,l|0,128297,25);Ra=B;B=0;if(Ra&1){Ra=Rb()|0;ya=Q;Yua(j);gb=ya;hb=Ra;break}B=0;wa(510,m|0,b|0);Ra=B;B=0;if(Ra&1){Ra=Rb()|0;ib=Q;jb=Ra;kb=1}else{B=0;ua(163,Aa|0,j|0,l|0,4960,m|0);Ra=B;B=0;if(Ra&1)lb=1;else{B=0;eb(503,Aa|0,1240,229);B=0;lb=0}Ra=Rb()|0;ya=Q;Yua(m);ib=ya;jb=Ra;kb=lb}Yua(l);Yua(j);if(kb){gb=ib;hb=jb}else{mb=ib;nb=jb;break e}}else{Ra=Rb()|0;gb=Q;hb=Ra}while(0);zb(Aa|0);mb=gb;nb=hb}else oa=40;while(0);if((oa|0)==40){ha=Rb()|0;mb=Q;nb=ha}k[i>>2]=27468;k[ga>>2]=27488;k[b>>2]=27560;Yua(ta);Ava(b);vva(ga);La=mb;Ma=nb;Qb(Ma|0)}while(0);bb=db;cb=fb;vva(ga);Qb(cb|0)}else if((oa|0)==49){b=n+56|0;la=n+4|0;k[n>>2]=27524;k[b>>2]=27544;B=0;wa(508,n+56|0,la|0);ha=B;B=0;if(ha&1){ha=Rb()|0;ob=Q;pb=ha;vva(b);Qb(pb|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[b>>2]=27488;B=0;va(448,la|0);ha=B;B=0;do if(ha&1){za=Rb()|0;qb=Q;rb=za}else{k[la>>2]=27560;za=n+36|0;k[za>>2]=0;k[za+4>>2]=0;k[za+8>>2]=0;k[za+12>>2]=0;k[n+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,la|0,d|0);na=B;B=0;if(na&1){na=Rb()|0;xa=Q;Yua(d);Yua(za);Ava(la);qb=xa;rb=na;break}Yua(d);B=0;na=Ia(40,n|0,135593,28)|0;xa=B;B=0;f:do if(!(xa&1)?(B=0,Xa(239,na|0,0)|0,Ra=B,B=0,!(Ra&1)):0){Ra=Ab(20)|0;B=0;eb(502,o|0,127077,81);ya=B;B=0;do if(!(ya&1)){B=0;eb(502,q|0,128297,25);Sa=B;B=0;if(Sa&1){Sa=Rb()|0;Ta=Q;Yua(o);sb=Ta;tb=Sa;break}B=0;wa(510,s|0,la|0);Sa=B;B=0;if(Sa&1){Sa=Rb()|0;ub=1;vb=Q;wb=Sa}else{B=0;ua(163,Ra|0,o|0,q|0,4961,s|0);Sa=B;B=0;if(Sa&1)xb=1;else{B=0;eb(503,Ra|0,1240,229);B=0;xb=0}Sa=Rb()|0;Ta=Q;Yua(s);ub=xb;vb=Ta;wb=Sa}Yua(q);Yua(o);if(ub){sb=vb;tb=wb}else{yb=vb;Bb=wb;break f}}else{Sa=Rb()|0;sb=Q;tb=Sa}while(0);zb(Ra|0);yb=sb;Bb=tb}else oa=64;while(0);if((oa|0)==64){na=Rb()|0;yb=Q;Bb=na}k[n>>2]=27468;k[b>>2]=27488;k[la>>2]=27560;Yua(za);Ava(la);vva(b);La=yb;Ma=Bb;Qb(Ma|0)}while(0);ob=qb;pb=rb;vva(b);Qb(pb|0)}else if((oa|0)==73){la=u+56|0;ha=u+4|0;k[u>>2]=27524;k[la>>2]=27544;B=0;wa(508,u+56|0,ha|0);ga=B;B=0;if(ga&1){ga=Rb()|0;Cb=Q;Db=ga;vva(la);Qb(Db|0)}k[u+128>>2]=0;k[u+132>>2]=-1;k[u>>2]=27468;k[la>>2]=27488;B=0;va(448,ha|0);ga=B;B=0;do if(ga&1){na=Rb()|0;Eb=Q;Fb=na}else{k[ha>>2]=27560;na=u+36|0;k[na>>2]=0;k[na+4>>2]=0;k[na+8>>2]=0;k[na+12>>2]=0;k[u+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,ha|0,d|0);xa=B;B=0;if(xa&1){xa=Rb()|0;ta=Q;Yua(d);Yua(na);Ava(ha);Eb=ta;Fb=xa;break}Yua(d);B=0;xa=Ia(40,u|0,135564,28)|0;ta=B;B=0;g:do if(!(ta&1)?(B=0,Xa(239,xa|0,0)|0,ya=B,B=0,!(ya&1)):0){ya=Ab(20)|0;B=0;eb(502,v|0,127077,81);Aa=B;B=0;do if(!(Aa&1)){B=0;eb(502,w|0,128297,25);Sa=B;B=0;if(Sa&1){Sa=Rb()|0;Ta=Q;Yua(v);Gb=Ta;Hb=Sa;break}B=0;wa(510,x|0,ha|0);Sa=B;B=0;if(Sa&1){Sa=Rb()|0;Ib=1;Jb=Q;Kb=Sa}else{B=0;ua(163,ya|0,v|0,w|0,4962,x|0);Sa=B;B=0;if(Sa&1)Lb=1;else{B=0;eb(503,ya|0,1240,229);B=0;Lb=0}Sa=Rb()|0;Ta=Q;Yua(x);Ib=Lb;Jb=Ta;Kb=Sa}Yua(w);Yua(v);if(Ib){Gb=Jb;Hb=Kb}else{Mb=Jb;Nb=Kb;break g}}else{Sa=Rb()|0;Gb=Q;Hb=Sa}while(0);zb(ya|0);Mb=Gb;Nb=Hb}else oa=88;while(0);if((oa|0)==88){xa=Rb()|0;Mb=Q;Nb=xa}k[u>>2]=27468;k[la>>2]=27488;k[ha>>2]=27560;Yua(na);Ava(ha);vva(la);La=Mb;Ma=Nb;Qb(Ma|0)}while(0);Cb=Eb;Db=Fb;vva(la);Qb(Db|0)}else if((oa|0)==97){ha=y+56|0;ga=y+4|0;k[y>>2]=27524;k[ha>>2]=27544;B=0;wa(508,y+56|0,ga|0);b=B;B=0;if(b&1){b=Rb()|0;Ob=Q;Pb=b;vva(ha);Qb(Pb|0)}k[y+128>>2]=0;k[y+132>>2]=-1;k[y>>2]=27468;k[ha>>2]=27488;B=0;va(448,ga|0);b=B;B=0;do if(b&1){xa=Rb()|0;Sb=Q;Tb=xa}else{k[ga>>2]=27560;xa=y+36|0;k[xa>>2]=0;k[xa+4>>2]=0;k[xa+8>>2]=0;k[xa+12>>2]=0;k[y+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,ga|0,d|0);ta=B;B=0;if(ta&1){ta=Rb()|0;za=Q;Yua(d);Yua(xa);Ava(ga);Sb=za;Tb=ta;break}Yua(d);B=0;ta=Ia(40,y|0,135593,28)|0;za=B;B=0;h:do if(!(za&1)?(B=0,Xa(239,ta|0,0)|0,Aa=B,B=0,!(Aa&1)):0){Aa=Ab(20)|0;B=0;eb(502,z|0,127077,81);Ra=B;B=0;do if(!(Ra&1)){B=0;eb(502,A|0,128297,25);Sa=B;B=0;if(Sa&1){Sa=Rb()|0;Ta=Q;Yua(z);Ub=Ta;Vb=Sa;break}B=0;wa(510,C|0,ga|0);Sa=B;B=0;if(Sa&1){Sa=Rb()|0;Wb=1;Xb=Q;Yb=Sa}else{B=0;ua(163,Aa|0,z|0,A|0,4963,C|0);Sa=B;B=0;if(Sa&1)Zb=1;else{B=0;eb(503,Aa|0,1240,229);B=0;Zb=0}Sa=Rb()|0;Ta=Q;Yua(C);Wb=Zb;Xb=Ta;Yb=Sa}Yua(A);Yua(z);if(Wb){Ub=Xb;Vb=Yb}else{_b=Xb;$b=Yb;break h}}else{Sa=Rb()|0;Ub=Q;Vb=Sa}while(0);zb(Aa|0);_b=Ub;$b=Vb}else oa=112;while(0);if((oa|0)==112){ta=Rb()|0;_b=Q;$b=ta}k[y>>2]=27468;k[ha>>2]=27488;k[ga>>2]=27560;Yua(xa);Ava(ga);vva(ha);La=_b;Ma=$b;Qb(Ma|0)}while(0);Ob=Sb;Pb=Tb;vva(ha);Qb(Pb|0)}}while(0);do if(W){Pb=0;while(1){ia=+p[Z+(Pb+X<<3)>>3];p[Y+(Pb<<3)>>3]=ia;ka=+$(+ia);p[t>>3]=ka;Tb=k[t>>2]|0;Sb=k[t+4>>2]|0;if(Sb>>>0>2146435072|(Sb|0)==2146435072&Tb>>>0>0){oa=171;break}Pb=Pb+1|0;if((Tb|0)==0&(Sb|0)==2146435072){oa=195;break}if((Pb|0)>=(V|0)){oa=168;break}}if((oa|0)==168){if(!W)break;ka=+p[h>>3];Pb=0;do{ha=Y+(Pb<<3)|0;p[ha>>3]=+p[ha>>3]*ka;Pb=Pb+1|0}while((Pb|0)!=(V|0))}else if((oa|0)==171){Pb=L+56|0;ha=L+4|0;k[L>>2]=27524;k[Pb>>2]=27544;B=0;wa(508,L+56|0,ha|0);Sb=B;B=0;if(Sb&1){Sb=Rb()|0;ac=Q;bc=Sb;vva(Pb);Qb(bc|0)}k[L+128>>2]=0;k[L+132>>2]=-1;k[L>>2]=27468;k[Pb>>2]=27488;B=0;va(448,ha|0);Sb=B;B=0;do if(Sb&1){Tb=Rb()|0;cc=Q;dc=Tb}else{k[ha>>2]=27560;Tb=L+36|0;k[Tb>>2]=0;k[Tb+4>>2]=0;k[Tb+8>>2]=0;k[Tb+12>>2]=0;k[L+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,ha|0,d|0);Ob=B;B=0;if(Ob&1){Ob=Rb()|0;$b=Q;Yua(d);Yua(Tb);Ava(ha);cc=$b;dc=Ob;break}Yua(d);B=0;Ob=Ia(40,L|0,135564,28)|0;$b=B;B=0;i:do if(!($b&1)?(B=0,Xa(239,Ob|0,0)|0,_b=B,B=0,!(_b&1)):0){_b=Ab(20)|0;B=0;eb(502,M|0,127077,81);y=B;B=0;do if(!(y&1)){B=0;eb(502,N|0,128297,25);Vb=B;B=0;if(Vb&1){Vb=Rb()|0;Ub=Q;Yua(M);ec=Ub;fc=Vb;break}B=0;wa(510,O|0,ha|0);Vb=B;B=0;if(Vb&1){Vb=Rb()|0;gc=1;hc=Q;ic=Vb}else{B=0;ua(163,_b|0,M|0,N|0,4973,O|0);Vb=B;B=0;if(Vb&1)jc=1;else{B=0;eb(503,_b|0,1240,229);B=0;jc=0}Vb=Rb()|0;Ub=Q;Yua(O);gc=jc;hc=Ub;ic=Vb}Yua(N);Yua(M);if(gc){ec=hc;fc=ic}else{kc=hc;lc=ic;break i}}else{Vb=Rb()|0;ec=Q;fc=Vb}while(0);zb(_b|0);kc=ec;lc=fc}else oa=186;while(0);if((oa|0)==186){Ob=Rb()|0;kc=Q;lc=Ob}k[L>>2]=27468;k[Pb>>2]=27488;k[ha>>2]=27560;Yua(Tb);Ava(ha);vva(Pb);La=kc;Ma=lc;Qb(Ma|0)}while(0);ac=cc;bc=dc;vva(Pb);Qb(bc|0)}else if((oa|0)==195){ha=P+56|0;Sb=P+4|0;k[P>>2]=27524;k[ha>>2]=27544;B=0;wa(508,P+56|0,Sb|0);Ob=B;B=0;if(Ob&1){Ob=Rb()|0;mc=Q;nc=Ob;vva(ha);Qb(nc|0)}k[P+128>>2]=0;k[P+132>>2]=-1;k[P>>2]=27468;k[ha>>2]=27488;B=0;va(448,Sb|0);Ob=B;B=0;do if(Ob&1){$b=Rb()|0;oc=Q;pc=$b}else{k[Sb>>2]=27560;$b=P+36|0;k[$b>>2]=0;k[$b+4>>2]=0;k[$b+8>>2]=0;k[$b+12>>2]=0;k[P+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Sb|0,d|0);xa=B;B=0;if(xa&1){xa=Rb()|0;y=Q;Yua(d);Yua($b);Ava(Sb);oc=y;pc=xa;break}Yua(d);B=0;xa=Ia(40,P|0,135593,28)|0;y=B;B=0;j:do if(!(y&1)?(B=0,Xa(239,xa|0,0)|0,Aa=B,B=0,!(Aa&1)):0){Aa=Ab(20)|0;B=0;eb(502,R|0,127077,81);Vb=B;B=0;do if(!(Vb&1)){B=0;eb(502,S|0,128297,25);Ub=B;B=0;if(Ub&1){Ub=Rb()|0;Yb=Q;Yua(R);qc=Yb;rc=Ub;break}B=0;wa(510,T|0,Sb|0);Ub=B;B=0;if(Ub&1){Ub=Rb()|0;sc=1;tc=Q;uc=Ub}else{B=0;ua(163,Aa|0,R|0,S|0,4974,T|0);Ub=B;B=0;if(Ub&1)vc=1;else{B=0;eb(503,Aa|0,1240,229);B=0;vc=0}Ub=Rb()|0;Yb=Q;Yua(T);sc=vc;tc=Yb;uc=Ub}Yua(S);Yua(R);if(sc){qc=tc;rc=uc}else{wc=tc;xc=uc;break j}}else{Ub=Rb()|0;qc=Q;rc=Ub}while(0);zb(Aa|0);wc=qc;xc=rc}else oa=210;while(0);if((oa|0)==210){xa=Rb()|0;wc=Q;xc=xa}k[P>>2]=27468;k[ha>>2]=27488;k[Sb>>2]=27560;Yua($b);Ava(Sb);vva(ha);La=wc;Ma=xc;Qb(Ma|0)}while(0);mc=oc;nc=pc;vva(ha);Qb(nc|0)}}while(0);if((k[e>>2]|0)==3){if(ea){nc=0;do{ka=+p[_+(nc<<3)>>3];ia=+p[ba+(nc<<3)>>3];ja=+p[ca+(nc<<3)>>3];yc=+aa(+(ka*ka+ia*ia+ja*ja));p[da+(nc<<3)>>3]=yc;nc=nc+1|0}while((nc|0)!=(U|0))}}else if(ea){ea=0;do{yc=+p[_+(ea<<3)>>3];ja=+p[ba+(ea<<3)>>3];ia=+aa(+(yc*yc+ja*ja));p[da+(ea<<3)>>3]=ia;ea=ea+1|0}while((ea|0)!=(U|0))}Pp(c,674,675);Pp(c,677,678);if(W)Pp(c,653,654);if((k[e>>2]|0)==3)Pp(c,679,682);U=k[c>>2]|0;ea=k[U+48>>2]|0;nc=Hc[k[U+504>>2]&511](c)|0;rd[ea&511](c,674,_,nc);nc=k[c>>2]|0;ea=k[nc+48>>2]|0;U=Hc[k[nc+504>>2]&511](c)|0;rd[ea&511](c,677,ba,U);U=k[c>>2]|0;ea=k[U+48>>2]|0;nc=Hc[k[U+504>>2]&511](c)|0;rd[ea&511](c,671,da,nc);if(W){W=k[c>>2]|0;nc=k[W+48>>2]|0;ea=Hc[k[W+404>>2]&511](c)|0;rd[nc&511](c,653,Y,ea)}if((k[e>>2]|0)==3){e=k[c>>2]|0;ea=k[e+48>>2]|0;nc=Hc[k[e+504>>2]&511](c)|0;rd[ea&511](c,679,ca,nc)}Tqa(Y);Tqa(da);Tqa(ca);Tqa(ba);Tqa(_);Tqa(Z);Z=k[f>>2]|0;if(Z)Tqa(Z);k[f>>2]=0;f=k[g>>2]|0;if(!f){k[g>>2]=0;Tqa(fa);r=a;return}Tqa(f);k[g>>2]=0;Tqa(fa);r=a;return}function A9(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,R=0.0,S=0.0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0.0;a=r;r=r+1088|0;d=a+1064|0;e=a+1036|0;f=a+1020|0;g=a+1016|0;h=a+880|0;i=a+1052|0;j=a+1040|0;l=a+1024|0;m=a+728|0;n=a+864|0;o=a+712|0;q=a+560|0;s=a+576|0;u=a+272|0;v=a+120|0;w=a+108|0;x=a+424|0;y=a+96|0;z=a+84|0;A=a+72|0;C=a+288|0;D=a+60|0;E=a+48|0;F=a+36|0;G=a+136|0;H=a+24|0;I=a+12|0;J=a;k[f>>2]=0;k[g>>2]=0;K=Hc[k[(k[c>>2]|0)+172>>2]&511](c)|0;L=K>>>0>536870911?-1:K<<3;M=Rqa(L)|0;N=Rqa(L)|0;O=Rqa(L)|0;cp(c,e,298);P=+Dp(c,265);R=+Dp(c,65);switch(k[e>>2]|0){case 300:{xp(c,N,353);if((K|0)>0){S=P*R;L=0;do{p[M+(L<<3)>>3]=S*+p[N+(L<<3)>>3];L=L+1|0}while((L|0)!=(K|0));T=2}else T=2;break}case 302:{Uo(c,g);xp(c,O,339);if((K|0)>0){S=P*R;L=k[g>>2]|0;U=0;do{p[M+(U<<3)>>3]=S*(+p[O+(U<<3)>>3]-+p[L+((U*3|0)+2<<3)>>3]);U=U+1|0}while((U|0)!=(K|0));T=2}else T=2;break}case 301:{Uo(c,g);xp(c,O,339);if((K|0)>0){S=P*R;U=k[g>>2]|0;L=0;do{p[M+(L<<3)>>3]=S*(+p[O+(L<<3)>>3]-+p[U+((L*3|0)+2<<3)>>3]);L=L+1|0}while((L|0)!=(K|0));T=1}else T=1;break}default:{K=h+56|0;L=h+4|0;k[h>>2]=27524;k[K>>2]=27544;B=0;wa(508,h+56|0,L|0);U=B;B=0;if(U&1){U=Rb()|0;V=Q;W=U;vva(K);Qb(W|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[K>>2]=27488;B=0;va(448,L|0);U=B;B=0;do if(U&1){X=Rb()|0;Y=Q;Z=X}else{k[L>>2]=27560;X=h+36|0;k[X>>2]=0;k[X+4>>2]=0;k[X+8>>2]=0;k[X+12>>2]=0;k[h+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,L|0,d|0);_=B;B=0;if(_&1){_=Rb()|0;ba=Q;Yua(d);Yua(X);Ava(L);Y=ba;Z=_;break}Yua(d);B=0;_=Ia(40,h|0,144639,5)|0;ba=B;B=0;a:do if((((!(ba&1)?(B=0,ca=ya(427,k[e>>2]|0)|0,da=B,B=0,!(da&1)):0)?(da=Lta(ca)|0,B=0,ea=Ia(40,_|0,ca|0,da|0)|0,da=B,B=0,!(da&1)):0)?(B=0,da=Ia(40,ea|0,146481,18)|0,ea=B,B=0,!(ea&1)):0)?(B=0,Xa(239,da|0,0)|0,da=B,B=0,!(da&1)):0){da=Ab(20)|0;B=0;eb(502,i|0,127077,81);ea=B;B=0;do if(!(ea&1)){B=0;eb(502,j|0,128323,26);ca=B;B=0;if(ca&1){ca=Rb()|0;fa=Q;Yua(i);ga=fa;ha=ca;break}B=0;wa(510,l|0,L|0);ca=B;B=0;if(ca&1){ca=Rb()|0;ia=Q;ja=ca;ka=1}else{B=0;ua(163,da|0,i|0,j|0,1812,l|0);ca=B;B=0;if(ca&1)la=1;else{B=0;eb(503,da|0,1240,229);B=0;la=0}ca=Rb()|0;fa=Q;Yua(l);ia=fa;ja=ca;ka=la}Yua(j);Yua(i);if(ka){ga=ia;ha=ja}else{na=ia;oa=ja;break a}}else{ca=Rb()|0;ga=Q;ha=ca}while(0);zb(da|0);na=ga;oa=ha}else pa=29;while(0);if((pa|0)==29){_=Rb()|0;na=Q;oa=_}k[h>>2]=27468;k[K>>2]=27488;k[L>>2]=27560;Yua(X);Ava(L);vva(K);qa=na;ra=oa;Qb(ra|0)}while(0);V=Y;W=Z;vva(K);Qb(W|0)}}rd[k[(k[c>>2]|0)+48>>2]&511](c,653,M,738);Tqa(M);Tqa(N);Tqa(O);b:do switch(k[e>>2]|0){case 300:{sa=c;break}case 301:case 302:{if(Hc[k[(k[c>>2]|0)+248>>2]&511](c)|0){sa=Hc[k[(k[c>>2]|0)+432>>2]&511](c)|0;break b}O=k[g>>2]|0;if(O)Tqa(O);k[g>>2]=0;r=a;return}default:{O=m+56|0;N=m+4|0;k[m>>2]=27524;k[O>>2]=27544;B=0;wa(508,m+56|0,N|0);M=B;B=0;if(M&1){M=Rb()|0;ta=Q;xa=M;vva(O);Qb(xa|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[O>>2]=27488;B=0;va(448,N|0);M=B;B=0;do if(M&1){W=Rb()|0;za=Q;Aa=W}else{k[N>>2]=27560;W=m+36|0;k[W>>2]=0;k[W+4>>2]=0;k[W+8>>2]=0;k[W+12>>2]=0;k[m+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,N|0,d|0);K=B;B=0;if(K&1){K=Rb()|0;Z=Q;Yua(d);Yua(W);Ava(N);za=Z;Aa=K;break}Yua(d);B=0;K=Ia(40,m|0,144639,5)|0;Z=B;B=0;c:do if((((!(Z&1)?(B=0,Y=ya(427,k[e>>2]|0)|0,V=B,B=0,!(V&1)):0)?(V=Lta(Y)|0,B=0,oa=Ia(40,K|0,Y|0,V|0)|0,V=B,B=0,!(V&1)):0)?(B=0,V=Ia(40,oa|0,146481,18)|0,oa=B,B=0,!(oa&1)):0)?(B=0,Xa(239,V|0,0)|0,V=B,B=0,!(V&1)):0){V=Ab(20)|0;B=0;eb(502,n|0,127077,81);oa=B;B=0;do if(!(oa&1)){B=0;eb(502,o|0,128323,26);Y=B;B=0;if(Y&1){Y=Rb()|0;na=Q;Yua(n);Ba=na;Ca=Y;break}B=0;wa(510,q|0,N|0);Y=B;B=0;if(Y&1){Y=Rb()|0;Da=1;Ea=Q;Fa=Y}else{B=0;ua(163,V|0,n|0,o|0,1828,q|0);Y=B;B=0;if(Y&1)Ga=1;else{B=0;eb(503,V|0,1240,229);B=0;Ga=0}Y=Rb()|0;na=Q;Yua(q);Da=Ga;Ea=na;Fa=Y}Yua(o);Yua(n);if(Da){Ba=Ea;Ca=Fa}else{Ha=Ea;Ja=Fa;break c}}else{Y=Rb()|0;Ba=Q;Ca=Y}while(0);zb(V|0);Ha=Ba;Ja=Ca}else pa=61;while(0);if((pa|0)==61){K=Rb()|0;Ha=Q;Ja=K}k[m>>2]=27468;k[O>>2]=27488;k[N>>2]=27560;Yua(W);Ava(N);vva(O);qa=Ha;ra=Ja;Qb(ra|0)}while(0);ta=za;xa=Aa;vva(O);Qb(xa|0)}}while(0);xa=Hc[k[(k[sa>>2]|0)+164>>2]&511](sa)|0;Aa=ma(xa,T)|0;rp(sa,f,536,943);za=Rqa(Aa>>>0>536870911?-1:Aa<<3)|0;ta=xa>>>0>536870911?-1:xa<<3;Ja=Rqa(ta)|0;Ha=Rqa(ta)|0;m=Rqa(ta)|0;Ca=Rqa(ta)|0;if((Aa|0)>0){ta=k[f>>2]|0;Ba=0;do{p[za+(Ba<<3)>>3]=+p[b+(k[ta+(Ba<<2)>>2]<<3)>>3];Ba=Ba+1|0}while((Ba|0)!=(Aa|0))}Aa=(T|0)==2;if(Aa)Aq(sa,za,971);Ba=(xa|0)>0;d:do if(Ba){e:do if(Aa){ta=0;while(1){b=ta<<1;S=+p[za+(b<<3)>>3];p[Ja+(ta<<3)>>3]=S;R=+$(+S);p[t>>3]=R;Fa=k[t>>2]|0;Ea=k[t+4>>2]|0;if(Ea>>>0>2146435072|(Ea|0)==2146435072&Fa>>>0>0){pa=82;break e}if((Fa|0)==0&(Ea|0)==2146435072){pa=106;break e}R=+p[za+((b|1)<<3)>>3];p[Ha+(ta<<3)>>3]=R;S=+$(+R);p[t>>3]=S;b=k[t>>2]|0;Ea=k[t+4>>2]|0;if(Ea>>>0>2146435072|(Ea|0)==2146435072&b>>>0>0){pa=129;break}if((b|0)==0&(Ea|0)==2146435072){pa=152;break}ta=ta+1|0;if((ta|0)>=(xa|0))break d}if((pa|0)==129){ta=C+56|0;W=C+4|0;k[C>>2]=27524;k[ta>>2]=27544;B=0;wa(508,C+56|0,W|0);Ea=B;B=0;if(Ea&1){Ea=Rb()|0;Ka=Q;La=Ea;vva(ta);Qb(La|0)}k[C+128>>2]=0;k[C+132>>2]=-1;k[C>>2]=27468;k[ta>>2]=27488;B=0;va(448,W|0);Ea=B;B=0;do if(Ea&1){b=Rb()|0;Ma=Q;Na=b}else{k[W>>2]=27560;b=C+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[C+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,W|0,d|0);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;Da=Q;Yua(d);Yua(b);Ava(W);Ma=Da;Na=Fa;break}Yua(d);B=0;Fa=Ia(40,C|0,135564,28)|0;Da=B;B=0;f:do if(!(Da&1)?(B=0,Xa(239,Fa|0,0)|0,n=B,B=0,!(n&1)):0){n=Ab(20)|0;B=0;eb(502,D|0,127077,81);o=B;B=0;do if(!(o&1)){B=0;eb(502,E|0,128323,26);Ga=B;B=0;if(Ga&1){Ga=Rb()|0;q=Q;Yua(D);Oa=q;Pa=Ga;break}B=0;wa(510,F|0,W|0);Ga=B;B=0;if(Ga&1){Ga=Rb()|0;Qa=1;Ra=Q;Sa=Ga}else{B=0;ua(163,n|0,D|0,E|0,1857,F|0);Ga=B;B=0;if(Ga&1)Ta=1;else{B=0;eb(503,n|0,1240,229);B=0;Ta=0}Ga=Rb()|0;q=Q;Yua(F);Qa=Ta;Ra=q;Sa=Ga}Yua(E);Yua(D);if(Qa){Oa=Ra;Pa=Sa}else{Ua=Ra;Va=Sa;break f}}else{Ga=Rb()|0;Oa=Q;Pa=Ga}while(0);zb(n|0);Ua=Oa;Va=Pa}else pa=144;while(0);if((pa|0)==144){Fa=Rb()|0;Ua=Q;Va=Fa}k[C>>2]=27468;k[ta>>2]=27488;k[W>>2]=27560;Yua(b);Ava(W);vva(ta);qa=Ua;ra=Va;Qb(ra|0)}while(0);Ka=Ma;La=Na;vva(ta);Qb(La|0)}else if((pa|0)==152){W=G+56|0;Ea=G+4|0;k[G>>2]=27524;k[W>>2]=27544;B=0;wa(508,G+56|0,Ea|0);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;Wa=Q;Ya=Fa;vva(W);Qb(Ya|0)}k[G+128>>2]=0;k[G+132>>2]=-1;k[G>>2]=27468;k[W>>2]=27488;B=0;va(448,Ea|0);Fa=B;B=0;do if(Fa&1){Da=Rb()|0;Za=Q;_a=Da}else{k[Ea>>2]=27560;Da=G+36|0;k[Da>>2]=0;k[Da+4>>2]=0;k[Da+8>>2]=0;k[Da+12>>2]=0;k[G+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Ea|0,d|0);V=B;B=0;if(V&1){V=Rb()|0;o=Q;Yua(d);Yua(Da);Ava(Ea);Za=o;_a=V;break}Yua(d);B=0;V=Ia(40,G|0,135593,28)|0;o=B;B=0;g:do if(!(o&1)?(B=0,Xa(239,V|0,0)|0,Ga=B,B=0,!(Ga&1)):0){Ga=Ab(20)|0;B=0;eb(502,H|0,127077,81);q=B;B=0;do if(!(q&1)){B=0;eb(502,I|0,128323,26);N=B;B=0;if(N&1){N=Rb()|0;M=Q;Yua(H);$a=M;ab=N;break}B=0;wa(510,J|0,Ea|0);N=B;B=0;if(N&1){N=Rb()|0;bb=1;cb=Q;db=N}else{B=0;ua(163,Ga|0,H|0,I|0,1858,J|0);N=B;B=0;if(N&1)fb=1;else{B=0;eb(503,Ga|0,1240,229);B=0;fb=0}N=Rb()|0;M=Q;Yua(J);bb=fb;cb=M;db=N}Yua(I);Yua(H);if(bb){$a=cb;ab=db}else{gb=cb;hb=db;break g}}else{N=Rb()|0;$a=Q;ab=N}while(0);zb(Ga|0);gb=$a;hb=ab}else pa=167;while(0);if((pa|0)==167){V=Rb()|0;gb=Q;hb=V}k[G>>2]=27468;k[W>>2]=27488;k[Ea>>2]=27560;Yua(Da);Ava(Ea);vva(W);qa=gb;ra=hb;Qb(ra|0)}while(0);Wa=Za;Ya=_a;vva(W);Qb(Ya|0)}}else{Ea=0;while(1){Fa=za+((ma(Ea,T)|0)<<3)|0;S=+p[Fa>>3];p[Ja+(Ea<<3)>>3]=S;R=+$(+S);p[t>>3]=R;Fa=k[t>>2]|0;ta=k[t+4>>2]|0;if(ta>>>0>2146435072|(ta|0)==2146435072&Fa>>>0>0){pa=82;break e}if((Fa|0)==0&(ta|0)==2146435072){pa=106;break e}Ea=Ea+1|0;if((Ea|0)>=(xa|0))break d}}while(0);if((pa|0)==82){O=s+56|0;Ea=s+4|0;k[s>>2]=27524;k[O>>2]=27544;B=0;wa(508,s+56|0,Ea|0);W=B;B=0;if(W&1){W=Rb()|0;ib=Q;jb=W;vva(O);Qb(jb|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[O>>2]=27488;B=0;va(448,Ea|0);W=B;B=0;do if(W&1){ta=Rb()|0;kb=Q;lb=ta}else{k[Ea>>2]=27560;ta=s+36|0;k[ta>>2]=0;k[ta+4>>2]=0;k[ta+8>>2]=0;k[ta+12>>2]=0;k[s+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Ea|0,d|0);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;V=Q;Yua(d);Yua(ta);Ava(Ea);kb=V;lb=Fa;break}Yua(d);B=0;Fa=Ia(40,s|0,135564,28)|0;V=B;B=0;h:do if(!(V&1)?(B=0,Xa(239,Fa|0,0)|0,o=B,B=0,!(o&1)):0){o=Ab(20)|0;B=0;eb(502,u|0,127077,81);b=B;B=0;do if(!(b&1)){B=0;eb(502,v|0,128323,26);q=B;B=0;if(q&1){q=Rb()|0;n=Q;Yua(u);mb=n;nb=q;break}B=0;wa(510,w|0,Ea|0);q=B;B=0;if(q&1){q=Rb()|0;ob=1;pb=Q;qb=q}else{B=0;ua(163,o|0,u|0,v|0,1852,w|0);q=B;B=0;if(q&1)rb=1;else{B=0;eb(503,o|0,1240,229);B=0;rb=0}q=Rb()|0;n=Q;Yua(w);ob=rb;pb=n;qb=q}Yua(v);Yua(u);if(ob){mb=pb;nb=qb}else{sb=pb;tb=qb;break h}}else{q=Rb()|0;mb=Q;nb=q}while(0);zb(o|0);sb=mb;tb=nb}else pa=97;while(0);if((pa|0)==97){Fa=Rb()|0;sb=Q;tb=Fa}k[s>>2]=27468;k[O>>2]=27488;k[Ea>>2]=27560;Yua(ta);Ava(Ea);vva(O);qa=sb;ra=tb;Qb(ra|0)}while(0);ib=kb;jb=lb;vva(O);Qb(jb|0)}else if((pa|0)==106){Ea=x+56|0;W=x+4|0;k[x>>2]=27524;k[Ea>>2]=27544;B=0;wa(508,x+56|0,W|0);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;ub=Q;vb=Fa;vva(Ea);Qb(vb|0)}k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[Ea>>2]=27488;B=0;va(448,W|0);Fa=B;B=0;do if(Fa&1){V=Rb()|0;wb=Q;xb=V}else{k[W>>2]=27560;V=x+36|0;k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;k[V+12>>2]=0;k[x+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,W|0,d|0);b=B;B=0;if(b&1){b=Rb()|0;Da=Q;Yua(d);Yua(V);Ava(W);wb=Da;xb=b;break}Yua(d);B=0;b=Ia(40,x|0,135593,28)|0;Da=B;B=0;i:do if(!(Da&1)?(B=0,Xa(239,b|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,y|0,127077,81);n=B;B=0;do if(!(n&1)){B=0;eb(502,z|0,128323,26);N=B;B=0;if(N&1){N=Rb()|0;M=Q;Yua(y);yb=M;Bb=N;break}B=0;wa(510,A|0,W|0);N=B;B=0;if(N&1){N=Rb()|0;Cb=Q;Db=N;Eb=1}else{B=0;ua(163,q|0,y|0,z|0,1853,A|0);N=B;B=0;if(N&1)Fb=1;else{B=0;eb(503,q|0,1240,229);B=0;Fb=0}N=Rb()|0;M=Q;Yua(A);Cb=M;Db=N;Eb=Fb}Yua(z);Yua(y);if(Eb){yb=Cb;Bb=Db}else{Gb=Cb;Hb=Db;break i}}else{N=Rb()|0;yb=Q;Bb=N}while(0);zb(q|0);Gb=yb;Hb=Bb}else pa=121;while(0);if((pa|0)==121){b=Rb()|0;Gb=Q;Hb=b}k[x>>2]=27468;k[Ea>>2]=27488;k[W>>2]=27560;Yua(V);Ava(W);vva(Ea);qa=Gb;ra=Hb;Qb(ra|0)}while(0);ub=wb;vb=xb;vva(Ea);Qb(vb|0)}}while(0);do if(Aa){up(sa,m,679,0.0);if(Ba){vb=0;do{R=+p[Ja+(vb<<3)>>3];S=+p[Ha+(vb<<3)>>3];P=+p[m+(vb<<3)>>3];Ib=+aa(+(R*R+S*S+P*P));p[Ca+(vb<<3)>>3]=Ib;vb=vb+1|0}while((vb|0)!=(xa|0));pa=183}else{Pp(c,674,675);pa=184;break}}else{up(sa,Ha,677,0.0);if(Ba){vb=0;do{Ib=+p[Ja+(vb<<3)>>3];P=+p[Ha+(vb<<3)>>3];S=+aa(+(Ib*Ib+P*P));p[Ca+(vb<<3)>>3]=S;vb=vb+1|0}while((vb|0)!=(xa|0));pa=183}else{Pp(c,674,675);pa=185;break}}while(0);if((pa|0)==183){Pp(c,674,675);if(Aa)pa=184;else pa=185}if((pa|0)==184){Pp(c,677,678);Aa=k[c>>2]|0;xa=k[Aa+44>>2]|0;Ba=Hc[k[Aa+128>>2]&511](c)|0;rd[xa&511](c,674,Ja,Ba);Ba=k[c>>2]|0;xa=k[Ba+44>>2]|0;Aa=Hc[k[Ba+128>>2]&511](c)|0;rd[xa&511](c,677,Ha,Aa)}else if((pa|0)==185){pa=k[c>>2]|0;Aa=k[pa+44>>2]|0;xa=Hc[k[pa+128>>2]&511](c)|0;rd[Aa&511](c,674,Ja,xa)}xa=k[c>>2]|0;Aa=k[xa+44>>2]|0;pa=Hc[k[xa+128>>2]&511](c)|0;rd[Aa&511](c,671,Ca,pa);Tqa(Ca);Tqa(m);Tqa(Ha);Tqa(Ja);Tqa(za);za=k[g>>2]|0;if(za)Tqa(za);k[g>>2]=0;g=k[f>>2]|0;if(g)Tqa(g);k[f>>2]=0;if((k[e>>2]|0)==300){r=a;return}ap(sa);if(!sa){r=a;return}Ec[k[(k[sa>>2]|0)+4>>2]&1023](sa);r=a;return}function B9(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0.0,H=0.0,I=0.0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0.0;a=r;r=r+720|0;d=a+704|0;e=a+700|0;f=a+684|0;g=a+680|0;h=a+520|0;i=a+688|0;j=a+668|0;l=a+656|0;m=a+384|0;n=a+368|0;o=a+84|0;q=a+72|0;s=a+232|0;u=a+60|0;v=a+48|0;w=a+36|0;x=a+96|0;y=a+24|0;z=a+12|0;A=a;k[f>>2]=0;k[g>>2]=0;cp(c,e,299);C=Hc[k[(k[c>>2]|0)+172>>2]&511](c)|0;D=C>>>0>536870911?-1:C<<3;E=Rqa(D)|0;F=Rqa(D)|0;G=+Dp(c,265);H=+Dp(c,65);Uo(c,g);xp(c,F,339);if((C|0)>0){I=G*H;D=k[g>>2]|0;J=0;do{p[E+(J<<3)>>3]=I*(+p[F+(J<<3)>>3]-+p[D+((J*3|0)+2<<3)>>3]);J=J+1|0}while((J|0)!=(C|0))}rd[k[(k[c>>2]|0)+48>>2]&511](c,653,E,738);Tqa(E);Tqa(F);F=Hc[k[(k[c>>2]|0)+164>>2]&511](c)|0;E=ma((k[e>>2]|0)+-1|0,F)|0;rp(c,f,540,943);C=Rqa(E>>>0>536870911?-1:E<<3)|0;J=F>>>0>536870911?-1:F<<3;D=Rqa(J)|0;K=Rqa(J)|0;L=Rqa(J)|0;M=Rqa(J)|0;if((E|0)>0){J=k[f>>2]|0;N=0;do{p[C+(N<<3)>>3]=+p[b+(k[J+(N<<2)>>2]<<3)>>3];N=N+1|0}while((N|0)!=(E|0))}E=k[e>>2]|0;if((E|0)==3){Aq(c,C,971);O=k[e>>2]|0}else O=E;E=O+-1|0;N=(O|0)==3;a:do if((F|0)>0){J=0;while(1){b=C+((ma(J,E)|0)<<3)|0;I=+p[b>>3];p[D+(J<<3)>>3]=I;H=+$(+I);p[t>>3]=H;b=k[t>>2]|0;P=k[t+4>>2]|0;if(P>>>0>2146435072|(P|0)==2146435072&b>>>0>0){R=11;break}if((b|0)==0&(P|0)==2146435072){R=35;break}if(N){H=+p[C+((J<<1|1)<<3)>>3];p[K+(J<<3)>>3]=H;I=+$(+H);p[t>>3]=I;P=k[t>>2]|0;b=k[t+4>>2]|0;if(b>>>0>2146435072|(b|0)==2146435072&P>>>0>0){R=60;break}if((P|0)==0&(b|0)==2146435072){R=84;break}}J=J+1|0;if((J|0)>=(F|0))break a}if((R|0)==11){J=h+56|0;b=h+4|0;k[h>>2]=27524;k[J>>2]=27544;B=0;wa(508,h+56|0,b|0);P=B;B=0;if(P&1){P=Rb()|0;S=Q;T=P;vva(J);Qb(T|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[J>>2]=27488;B=0;va(448,b|0);P=B;B=0;do if(P&1){U=Rb()|0;V=Q;W=U}else{k[b>>2]=27560;U=h+36|0;k[U>>2]=0;k[U+4>>2]=0;k[U+8>>2]=0;k[U+12>>2]=0;k[h+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,b|0,d|0);X=B;B=0;if(X&1){X=Rb()|0;Y=Q;Yua(d);Yua(U);Ava(b);V=Y;W=X;break}Yua(d);B=0;X=Ia(40,h|0,135564,28)|0;Y=B;B=0;b:do if(!(Y&1)?(B=0,Xa(239,X|0,0)|0,Z=B,B=0,!(Z&1)):0){Z=Ab(20)|0;B=0;eb(502,i|0,127077,81);_=B;B=0;do if(!(_&1)){B=0;eb(502,j|0,128350,25);ba=B;B=0;if(ba&1){ba=Rb()|0;ca=Q;Yua(i);da=ca;ea=ba;break}B=0;wa(510,l|0,b|0);ba=B;B=0;if(ba&1){ba=Rb()|0;fa=Q;ga=ba;ha=1}else{B=0;ua(163,Z|0,i|0,j|0,2820,l|0);ba=B;B=0;if(ba&1)ia=1;else{B=0;eb(503,Z|0,1240,229);B=0;ia=0}ba=Rb()|0;ca=Q;Yua(l);fa=ca;ga=ba;ha=ia}Yua(j);Yua(i);if(ha){da=fa;ea=ga}else{ja=fa;ka=ga;break b}}else{ba=Rb()|0;da=Q;ea=ba}while(0);zb(Z|0);ja=da;ka=ea}else R=26;while(0);if((R|0)==26){X=Rb()|0;ja=Q;ka=X}k[h>>2]=27468;k[J>>2]=27488;k[b>>2]=27560;Yua(U);Ava(b);vva(J);la=ja;na=ka;Qb(na|0)}while(0);S=V;T=W;vva(J);Qb(T|0)}else if((R|0)==35){b=m+56|0;P=m+4|0;k[m>>2]=27524;k[b>>2]=27544;B=0;wa(508,m+56|0,P|0);X=B;B=0;if(X&1){X=Rb()|0;oa=Q;pa=X;vva(b);Qb(pa|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[b>>2]=27488;B=0;va(448,P|0);X=B;B=0;do if(X&1){Y=Rb()|0;qa=Q;ra=Y}else{k[P>>2]=27560;Y=m+36|0;k[Y>>2]=0;k[Y+4>>2]=0;k[Y+8>>2]=0;k[Y+12>>2]=0;k[m+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,P|0,d|0);_=B;B=0;if(_&1){_=Rb()|0;ba=Q;Yua(d);Yua(Y);Ava(P);qa=ba;ra=_;break}Yua(d);B=0;_=Ia(40,m|0,135593,28)|0;ba=B;B=0;c:do if(!(ba&1)?(B=0,Xa(239,_|0,0)|0,ca=B,B=0,!(ca&1)):0){ca=Ab(20)|0;B=0;eb(502,n|0,127077,81);sa=B;B=0;do if(!(sa&1)){B=0;eb(502,o|0,128350,25);ta=B;B=0;if(ta&1){ta=Rb()|0;xa=Q;Yua(n);ya=ta;za=xa;break}B=0;wa(510,q|0,P|0);xa=B;B=0;if(xa&1){xa=Rb()|0;Aa=1;Ba=Q;Ca=xa}else{B=0;ua(163,ca|0,n|0,o|0,2821,q|0);xa=B;B=0;if(xa&1)Da=1;else{B=0;eb(503,ca|0,1240,229);B=0;Da=0}xa=Rb()|0;ta=Q;Yua(q);Aa=Da;Ba=ta;Ca=xa}Yua(o);Yua(n);if(Aa){ya=Ca;za=Ba}else{Ea=Ba;Fa=Ca;break c}}else{xa=Rb()|0;ya=xa;za=Q}while(0);zb(ca|0);Ea=za;Fa=ya}else R=50;while(0);if((R|0)==50){_=Rb()|0;Ea=Q;Fa=_}k[m>>2]=27468;k[b>>2]=27488;k[P>>2]=27560;Yua(Y);Ava(P);vva(b);la=Ea;na=Fa;Qb(na|0)}while(0);oa=qa;pa=ra;vva(b);Qb(pa|0)}else if((R|0)==60){P=s+56|0;X=s+4|0;k[s>>2]=27524;k[P>>2]=27544;B=0;wa(508,s+56|0,X|0);J=B;B=0;if(J&1){J=Rb()|0;Ga=Q;Ha=J;vva(P);Qb(Ha|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[P>>2]=27488;B=0;va(448,X|0);J=B;B=0;do if(J&1){_=Rb()|0;Ja=Q;Ka=_}else{k[X>>2]=27560;_=s+36|0;k[_>>2]=0;k[_+4>>2]=0;k[_+8>>2]=0;k[_+12>>2]=0;k[s+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,X|0,d|0);ba=B;B=0;if(ba&1){ba=Rb()|0;U=Q;Yua(d);Yua(_);Ava(X);Ja=U;Ka=ba;break}Yua(d);B=0;ba=Ia(40,s|0,135564,28)|0;U=B;B=0;d:do if(!(U&1)?(B=0,Xa(239,ba|0,0)|0,sa=B,B=0,!(sa&1)):0){sa=Ab(20)|0;B=0;eb(502,u|0,127077,81);Z=B;B=0;do if(!(Z&1)){B=0;eb(502,v|0,128350,25);xa=B;B=0;if(xa&1){xa=Rb()|0;ta=Q;Yua(u);La=xa;Ma=ta;break}B=0;wa(510,w|0,X|0);ta=B;B=0;if(ta&1){ta=Rb()|0;Na=1;Oa=Q;Pa=ta}else{B=0;ua(163,sa|0,u|0,v|0,2824,w|0);ta=B;B=0;if(ta&1)Qa=1;else{B=0;eb(503,sa|0,1240,229);B=0;Qa=0}ta=Rb()|0;xa=Q;Yua(w);Na=Qa;Oa=xa;Pa=ta}Yua(v);Yua(u);if(Na){La=Pa;Ma=Oa}else{Ra=Oa;Sa=Pa;break d}}else{ta=Rb()|0;La=ta;Ma=Q}while(0);zb(sa|0);Ra=Ma;Sa=La}else R=75;while(0);if((R|0)==75){ba=Rb()|0;Ra=Q;Sa=ba}k[s>>2]=27468;k[P>>2]=27488;k[X>>2]=27560;Yua(_);Ava(X);vva(P);la=Ra;na=Sa;Qb(na|0)}while(0);Ga=Ja;Ha=Ka;vva(P);Qb(Ha|0)}else if((R|0)==84){X=x+56|0;J=x+4|0;k[x>>2]=27524;k[X>>2]=27544;B=0;wa(508,x+56|0,J|0);b=B;B=0;if(b&1){b=Rb()|0;Ta=Q;Ua=b;vva(X);Qb(Ua|0)}k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[X>>2]=27488;B=0;va(448,J|0);b=B;B=0;do if(b&1){ba=Rb()|0;Va=Q;Wa=ba}else{k[J>>2]=27560;ba=x+36|0;k[ba>>2]=0;k[ba+4>>2]=0;k[ba+8>>2]=0;k[ba+12>>2]=0;k[x+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,J|0,d|0);U=B;B=0;if(U&1){U=Rb()|0;Y=Q;Yua(d);Yua(ba);Ava(J);Va=Y;Wa=U;break}Yua(d);B=0;U=Ia(40,x|0,135593,28)|0;Y=B;B=0;e:do if(!(Y&1)?(B=0,Xa(239,U|0,0)|0,Z=B,B=0,!(Z&1)):0){Z=Ab(20)|0;B=0;eb(502,y|0,127077,81);ca=B;B=0;do if(!(ca&1)){B=0;eb(502,z|0,128350,25);ta=B;B=0;if(ta&1){ta=Rb()|0;xa=Q;Yua(y);Ya=ta;Za=xa;break}B=0;wa(510,A|0,J|0);xa=B;B=0;if(xa&1){xa=Rb()|0;_a=1;$a=Q;ab=xa}else{B=0;ua(163,Z|0,y|0,z|0,2825,A|0);xa=B;B=0;if(xa&1)bb=1;else{B=0;eb(503,Z|0,1240,229);B=0;bb=0}xa=Rb()|0;ta=Q;Yua(A);_a=bb;$a=ta;ab=xa}Yua(z);Yua(y);if(_a){Ya=ab;Za=$a}else{cb=$a;db=ab;break e}}else{xa=Rb()|0;Ya=xa;Za=Q}while(0);zb(Z|0);cb=Za;db=Ya}else R=99;while(0);if((R|0)==99){U=Rb()|0;cb=Q;db=U}k[x>>2]=27468;k[X>>2]=27488;k[J>>2]=27560;Yua(ba);Ava(J);vva(X);la=cb;na=db;Qb(na|0)}while(0);Ta=Va;Ua=Wa;vva(X);Qb(Ua|0)}}while(0);if((O|0)==3){up(c,L,679,0.0);if((F|0)>0){O=0;do{I=+p[D+(O<<3)>>3];H=+p[K+(O<<3)>>3];G=+p[L+(O<<3)>>3];fb=+aa(+(I*I+H*H+G*G));p[M+(O<<3)>>3]=fb;O=O+1|0}while((O|0)!=(F|0))}}else{up(c,K,677,0.0);if((F|0)>0){O=0;do{fb=+p[D+(O<<3)>>3];G=+p[K+(O<<3)>>3];H=+aa(+(fb*fb+G*G));p[M+(O<<3)>>3]=H;O=O+1|0}while((O|0)!=(F|0))}}Pp(c,674,675);if((k[e>>2]|0)==3)Pp(c,677,678);F=k[c>>2]|0;O=k[F+48>>2]|0;Ua=Hc[k[F+128>>2]&511](c)|0;rd[O&511](c,674,D,Ua);if((k[e>>2]|0)==3){e=k[c>>2]|0;Ua=k[e+48>>2]|0;O=Hc[k[e+128>>2]&511](c)|0;rd[Ua&511](c,677,K,O)}O=k[c>>2]|0;Ua=k[O+48>>2]|0;e=Hc[k[O+128>>2]&511](c)|0;rd[Ua&511](c,671,M,e);Tqa(M);Tqa(L);Tqa(K);Tqa(D);Tqa(C);C=k[g>>2]|0;if(C)Tqa(C);k[g>>2]=0;g=k[f>>2]|0;if(!g){r=a;return}Tqa(g);r=a;return}function C9(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0.0,O=0.0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0.0;a=r;r=r+912|0;d=a+892|0;e=a+888|0;f=a+872|0;g=a+868|0;h=a+852|0;i=a+704|0;j=a+876|0;l=a+856|0;m=a+840|0;n=a+552|0;o=a+688|0;q=a+536|0;s=a+248|0;u=a+400|0;v=a+96|0;w=a+84|0;x=a+72|0;y=a+264|0;z=a+60|0;A=a+48|0;C=a+36|0;D=a+112|0;E=a+24|0;F=a+12|0;G=a;k[g>>2]=0;k[h>>2]=0;H=Hc[k[(k[c>>2]|0)+172>>2]&511](c)|0;I=H>>>0>536870911?-1:H<<3;J=Rqa(I)|0;K=Rqa(I)|0;L=Rqa(I)|0;cp(c,e,299);cp(c,f,298);M=+Dp(c,265);N=+Dp(c,65);if((k[e>>2]|0)==2){xp(c,K,353);if((H|0)>0){O=M*N;e=0;do{p[J+(e<<3)>>3]=O*+p[K+(e<<3)>>3];e=e+1|0}while((e|0)!=(H|0))}}else{Uo(c,h);xp(c,L,339);if((H|0)>0){O=M*N;e=k[h>>2]|0;I=0;do{p[J+(I<<3)>>3]=O*(+p[L+(I<<3)>>3]-+p[e+((I*3|0)+2<<3)>>3]);I=I+1|0}while((I|0)!=(H|0))}}rd[k[(k[c>>2]|0)+48>>2]&511](c,653,J,738);Tqa(J);Tqa(K);Tqa(L);a:do switch(k[f>>2]|0){case 300:{P=c;break}case 302:{if(Hc[k[(k[c>>2]|0)+248>>2]&511](c)|0){P=Hc[k[(k[c>>2]|0)+432>>2]&511](c)|0;break a}L=k[h>>2]|0;if(L)Tqa(L);k[h>>2]=0;r=a;return}default:{L=i+56|0;K=i+4|0;k[i>>2]=27524;k[L>>2]=27544;B=0;wa(508,i+56|0,K|0);J=B;B=0;if(J&1){J=Rb()|0;R=Q;S=J;vva(L);Qb(S|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[L>>2]=27488;B=0;va(448,K|0);J=B;B=0;do if(J&1){H=Rb()|0;T=Q;U=H}else{k[K>>2]=27560;H=i+36|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;k[H+12>>2]=0;k[i+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,K|0,d|0);I=B;B=0;if(I&1){I=Rb()|0;e=Q;Yua(d);Yua(H);Ava(K);T=e;U=I;break}Yua(d);B=0;I=Ia(40,i|0,144639,5)|0;e=B;B=0;b:do if((((!(e&1)?(B=0,V=ya(427,k[f>>2]|0)|0,W=B,B=0,!(W&1)):0)?(W=Lta(V)|0,B=0,X=Ia(40,I|0,V|0,W|0)|0,W=B,B=0,!(W&1)):0)?(B=0,W=Ia(40,X|0,146481,18)|0,X=B,B=0,!(X&1)):0)?(B=0,Xa(239,W|0,0)|0,W=B,B=0,!(W&1)):0){W=Ab(20)|0;B=0;eb(502,j|0,127077,81);X=B;B=0;do if(!(X&1)){B=0;eb(502,l|0,128376,27);V=B;B=0;if(V&1){V=Rb()|0;Y=Q;Yua(j);Z=Y;_=V;break}B=0;wa(510,m|0,K|0);V=B;B=0;if(V&1){V=Rb()|0;ba=Q;ca=V;da=1}else{B=0;ua(163,W|0,j|0,l|0,2162,m|0);V=B;B=0;if(V&1)ea=1;else{B=0;eb(503,W|0,1240,229);B=0;ea=0}V=Rb()|0;Y=Q;Yua(m);ba=Y;ca=V;da=ea}Yua(l);Yua(j);if(da){Z=ba;_=ca}else{fa=ba;ga=ca;break b}}else{V=Rb()|0;Z=Q;_=V}while(0);zb(W|0);fa=Z;ga=_}else ha=32;while(0);if((ha|0)==32){I=Rb()|0;fa=Q;ga=I}k[i>>2]=27468;k[L>>2]=27488;k[K>>2]=27560;Yua(H);Ava(K);vva(L);ia=fa;ja=ga;Qb(ja|0)}while(0);R=T;S=U;vva(L);Qb(S|0)}}while(0);S=Hc[k[(k[P>>2]|0)+164>>2]&511](P)|0;U=S<<1;rp(P,g,534,943);T=Rqa(U>>>0>536870911?-1:U<<3)|0;R=S>>>0>536870911?-1:S<<3;ga=Rqa(R)|0;fa=Rqa(R)|0;i=Rqa(R)|0;_=Rqa(R)|0;R=(S|0)>0;do if(R){Z=k[g>>2]|0;ca=0;do{p[T+(ca<<3)>>3]=+p[b+(k[Z+(ca<<2)>>2]<<3)>>3];ca=ca+1|0}while((ca|0)<(U|0));Aq(P,T,971);cp(P,f,298);if(R){ca=0;while(1){Z=ca<<1;O=+p[T+(Z<<3)>>3];p[ga+(ca<<3)>>3]=O;N=+p[T+((Z|1)<<3)>>3];p[fa+(ca<<3)>>3]=N;M=+$(+O);p[t>>3]=M;Z=k[t>>2]|0;L=k[t+4>>2]|0;if(L>>>0>2146435072|(L|0)==2146435072&Z>>>0>0){ha=48;break}if((Z|0)==0&(L|0)==2146435072){ha=72;break}M=+$(+N);p[t>>3]=M;L=k[t>>2]|0;Z=k[t+4>>2]|0;if(Z>>>0>2146435072|(Z|0)==2146435072&L>>>0>0){ha=96;break}ca=ca+1|0;if((L|0)==0&(Z|0)==2146435072){ha=120;break}if((ca|0)>=(S|0)){ha=143;break}}if((ha|0)==48){ca=n+56|0;Z=n+4|0;k[n>>2]=27524;k[ca>>2]=27544;B=0;wa(508,n+56|0,Z|0);L=B;B=0;if(L&1){L=Rb()|0;ka=Q;la=L;vva(ca);Qb(la|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[ca>>2]=27488;B=0;va(448,Z|0);L=B;B=0;do if(L&1){ba=Rb()|0;ma=Q;na=ba}else{k[Z>>2]=27560;ba=n+36|0;k[ba>>2]=0;k[ba+4>>2]=0;k[ba+8>>2]=0;k[ba+12>>2]=0;k[n+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Z|0,d|0);da=B;B=0;if(da&1){da=Rb()|0;j=Q;Yua(d);Yua(ba);Ava(Z);ma=j;na=da;break}Yua(d);B=0;da=Ia(40,n|0,135564,28)|0;j=B;B=0;c:do if(!(j&1)?(B=0,Xa(239,da|0,0)|0,l=B,B=0,!(l&1)):0){l=Ab(20)|0;B=0;eb(502,o|0,127077,81);ea=B;B=0;do if(!(ea&1)){B=0;eb(502,q|0,128376,27);m=B;B=0;if(m&1){m=Rb()|0;K=Q;Yua(o);oa=K;pa=m;break}B=0;wa(510,s|0,Z|0);m=B;B=0;if(m&1){m=Rb()|0;qa=1;ra=Q;sa=m}else{B=0;ua(163,l|0,o|0,q|0,2190,s|0);m=B;B=0;if(m&1)ta=1;else{B=0;eb(503,l|0,1240,229);B=0;ta=0}m=Rb()|0;K=Q;Yua(s);qa=ta;ra=K;sa=m}Yua(q);Yua(o);if(qa){oa=ra;pa=sa}else{xa=ra;za=sa;break c}}else{m=Rb()|0;oa=Q;pa=m}while(0);zb(l|0);xa=oa;za=pa}else ha=63;while(0);if((ha|0)==63){da=Rb()|0;xa=Q;za=da}k[n>>2]=27468;k[ca>>2]=27488;k[Z>>2]=27560;Yua(ba);Ava(Z);vva(ca);ia=xa;ja=za;Qb(ja|0)}while(0);ka=ma;la=na;vva(ca);Qb(la|0)}else if((ha|0)==72){Z=u+56|0;L=u+4|0;k[u>>2]=27524;k[Z>>2]=27544;B=0;wa(508,u+56|0,L|0);da=B;B=0;if(da&1){da=Rb()|0;Aa=Q;Ba=da;vva(Z);Qb(Ba|0)}k[u+128>>2]=0;k[u+132>>2]=-1;k[u>>2]=27468;k[Z>>2]=27488;B=0;va(448,L|0);da=B;B=0;do if(da&1){j=Rb()|0;Ca=Q;Da=j}else{k[L>>2]=27560;j=u+36|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;k[u+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,L|0,d|0);H=B;B=0;if(H&1){H=Rb()|0;ea=Q;Yua(d);Yua(j);Ava(L);Ca=ea;Da=H;break}Yua(d);B=0;H=Ia(40,u|0,135593,28)|0;ea=B;B=0;d:do if(!(ea&1)?(B=0,Xa(239,H|0,0)|0,W=B,B=0,!(W&1)):0){W=Ab(20)|0;B=0;eb(502,v|0,127077,81);m=B;B=0;do if(!(m&1)){B=0;eb(502,w|0,128376,27);K=B;B=0;if(K&1){K=Rb()|0;J=Q;Yua(v);Ea=J;Fa=K;break}B=0;wa(510,x|0,L|0);K=B;B=0;if(K&1){K=Rb()|0;Ga=1;Ha=Q;Ja=K}else{B=0;ua(163,W|0,v|0,w|0,2191,x|0);K=B;B=0;if(K&1)Ka=1;else{B=0;eb(503,W|0,1240,229);B=0;Ka=0}K=Rb()|0;J=Q;Yua(x);Ga=Ka;Ha=J;Ja=K}Yua(w);Yua(v);if(Ga){Ea=Ha;Fa=Ja}else{La=Ha;Ma=Ja;break d}}else{K=Rb()|0;Ea=Q;Fa=K}while(0);zb(W|0);La=Ea;Ma=Fa}else ha=87;while(0);if((ha|0)==87){H=Rb()|0;La=Q;Ma=H}k[u>>2]=27468;k[Z>>2]=27488;k[L>>2]=27560;Yua(j);Ava(L);vva(Z);ia=La;ja=Ma;Qb(ja|0)}while(0);Aa=Ca;Ba=Da;vva(Z);Qb(Ba|0)}else if((ha|0)==96){L=y+56|0;da=y+4|0;k[y>>2]=27524;k[L>>2]=27544;B=0;wa(508,y+56|0,da|0);ca=B;B=0;if(ca&1){ca=Rb()|0;Na=Q;Oa=ca;vva(L);Qb(Oa|0)}k[y+128>>2]=0;k[y+132>>2]=-1;k[y>>2]=27468;k[L>>2]=27488;B=0;va(448,da|0);ca=B;B=0;do if(ca&1){H=Rb()|0;Pa=Q;Qa=H}else{k[da>>2]=27560;H=y+36|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;k[H+12>>2]=0;k[y+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,da|0,d|0);ea=B;B=0;if(ea&1){ea=Rb()|0;ba=Q;Yua(d);Yua(H);Ava(da);Pa=ba;Qa=ea;break}Yua(d);B=0;ea=Ia(40,y|0,135564,28)|0;ba=B;B=0;e:do if(!(ba&1)?(B=0,Xa(239,ea|0,0)|0,m=B,B=0,!(m&1)):0){m=Ab(20)|0;B=0;eb(502,z|0,127077,81);l=B;B=0;do if(!(l&1)){B=0;eb(502,A|0,128376,27);K=B;B=0;if(K&1){K=Rb()|0;J=Q;Yua(z);Ra=J;Sa=K;break}B=0;wa(510,C|0,da|0);K=B;B=0;if(K&1){K=Rb()|0;Ta=1;Ua=Q;Va=K}else{B=0;ua(163,m|0,z|0,A|0,2192,C|0);K=B;B=0;if(K&1)Wa=1;else{B=0;eb(503,m|0,1240,229);B=0;Wa=0}K=Rb()|0;J=Q;Yua(C);Ta=Wa;Ua=J;Va=K}Yua(A);Yua(z);if(Ta){Ra=Ua;Sa=Va}else{Ya=Ua;Za=Va;break e}}else{K=Rb()|0;Ra=Q;Sa=K}while(0);zb(m|0);Ya=Ra;Za=Sa}else ha=111;while(0);if((ha|0)==111){ea=Rb()|0;Ya=Q;Za=ea}k[y>>2]=27468;k[L>>2]=27488;k[da>>2]=27560;Yua(H);Ava(da);vva(L);ia=Ya;ja=Za;Qb(ja|0)}while(0);Na=Pa;Oa=Qa;vva(L);Qb(Oa|0)}else if((ha|0)==120){da=D+56|0;ca=D+4|0;k[D>>2]=27524;k[da>>2]=27544;B=0;wa(508,D+56|0,ca|0);Z=B;B=0;if(Z&1){Z=Rb()|0;_a=Q;$a=Z;vva(da);Qb($a|0)}k[D+128>>2]=0;k[D+132>>2]=-1;k[D>>2]=27468;k[da>>2]=27488;B=0;va(448,ca|0);Z=B;B=0;do if(Z&1){ea=Rb()|0;ab=Q;bb=ea}else{k[ca>>2]=27560;ea=D+36|0;k[ea>>2]=0;k[ea+4>>2]=0;k[ea+8>>2]=0;k[ea+12>>2]=0;k[D+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,ca|0,d|0);ba=B;B=0;if(ba&1){ba=Rb()|0;j=Q;Yua(d);Yua(ea);Ava(ca);ab=j;bb=ba;break}Yua(d);B=0;ba=Ia(40,D|0,135593,28)|0;j=B;B=0;f:do if(!(j&1)?(B=0,Xa(239,ba|0,0)|0,l=B,B=0,!(l&1)):0){l=Ab(20)|0;B=0;eb(502,E|0,127077,81);W=B;B=0;do if(!(W&1)){B=0;eb(502,F|0,128376,27);K=B;B=0;if(K&1){K=Rb()|0;J=Q;Yua(E);cb=J;db=K;break}B=0;wa(510,G|0,ca|0);K=B;B=0;if(K&1){K=Rb()|0;fb=1;gb=Q;hb=K}else{B=0;ua(163,l|0,E|0,F|0,2193,G|0);K=B;B=0;if(K&1)ib=1;else{B=0;eb(503,l|0,1240,229);B=0;ib=0}K=Rb()|0;J=Q;Yua(G);fb=ib;gb=J;hb=K}Yua(F);Yua(E);if(fb){cb=gb;db=hb}else{jb=gb;kb=hb;break f}}else{K=Rb()|0;cb=Q;db=K}while(0);zb(l|0);jb=cb;kb=db}else ha=135;while(0);if((ha|0)==135){ba=Rb()|0;jb=Q;kb=ba}k[D>>2]=27468;k[da>>2]=27488;k[ca>>2]=27560;Yua(ea);Ava(ca);vva(da);ia=jb;ja=kb;Qb(ja|0)}while(0);_a=ab;$a=bb;vva(da);Qb($a|0)}else if((ha|0)==143){up(P,i,679,0.0);if(R)lb=0;else break;do{M=+p[ga+(lb<<3)>>3];N=+p[fa+(lb<<3)>>3];O=+p[i+(lb<<3)>>3];mb=+aa(+(M*M+N*N+O*O));p[_+(lb<<3)>>3]=mb;lb=lb+1|0}while((lb|0)!=(S|0))}}else ha=45}else{Aq(P,T,971);cp(P,f,298);ha=45}while(0);if((ha|0)==45)up(P,i,679,0.0);Pp(c,674,675);Pp(c,677,678);ha=k[c>>2]|0;S=k[ha+44>>2]|0;lb=Hc[k[ha+128>>2]&511](c)|0;rd[S&511](c,674,ga,lb);lb=k[c>>2]|0;S=k[lb+44>>2]|0;ha=Hc[k[lb+128>>2]&511](c)|0;rd[S&511](c,677,fa,ha);ha=k[c>>2]|0;S=k[ha+44>>2]|0;lb=Hc[k[ha+128>>2]&511](c)|0;rd[S&511](c,671,_,lb);Tqa(_);Tqa(i);Tqa(fa);Tqa(ga);Tqa(T);T=k[h>>2]|0;if(T)Tqa(T);k[h>>2]=0;h=k[g>>2]|0;if(h)Tqa(h);k[g>>2]=0;if((k[f>>2]|0)==300){r=a;return}ap(P);if(!P){r=a;return}Ec[k[(k[P>>2]|0)+4>>2]&1023](P);r=a;return}function D9(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0.0,ia=0.0,ja=0.0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0.0;a=r;r=r+896|0;d=a+880|0;e=a+864|0;f=a+860|0;g=a+844|0;h=a+696|0;i=a+868|0;j=a+848|0;l=a+832|0;m=a+560|0;n=a+548|0;o=a+536|0;q=a+384|0;s=a+400|0;u=a+96|0;v=a+84|0;w=a+72|0;x=a+248|0;y=a+60|0;z=a+48|0;A=a+36|0;C=a+112|0;D=a+24|0;E=a+12|0;F=a;k[e>>2]=0;k[f>>2]=0;k[g>>2]=0;G=Hc[k[(k[c>>2]|0)+124>>2]&511](c)|0;if((Hc[k[(k[G>>2]|0)+20>>2]&511](G)|0)!=625){H=h+56|0;I=h+4|0;k[h>>2]=27524;k[H>>2]=27544;B=0;wa(508,h+56|0,I|0);J=B;B=0;if(J&1){J=Rb()|0;K=Q;L=J;vva(H);Qb(L|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[H>>2]=27488;B=0;va(448,I|0);J=B;B=0;do if(J&1){M=Rb()|0;N=Q;O=M}else{k[I>>2]=27560;M=h+36|0;k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;k[M+12>>2]=0;k[h+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,I|0,d|0);P=B;B=0;if(P&1){P=Rb()|0;R=Q;Yua(d);Yua(M);Ava(I);N=R;O=P;break}Yua(d);B=0;P=Ia(40,h|0,128404,27)|0;R=B;B=0;a:do if((((!(R&1)?(B=0,S=ya(k[(k[G>>2]|0)+20>>2]|0,G|0)|0,T=B,B=0,!(T&1)):0)?(B=0,T=ya(427,S|0)|0,S=B,B=0,!(S&1)):0)?(S=Lta(T)|0,B=0,U=Ia(40,P|0,T|0,S|0)|0,S=B,B=0,!(S&1)):0)?(B=0,Xa(239,U|0,0)|0,U=B,B=0,!(U&1)):0){U=Ab(20)|0;B=0;eb(502,i|0,127077,81);S=B;B=0;do if(!(S&1)){B=0;eb(502,j|0,128432,28);T=B;B=0;if(T&1){T=Rb()|0;V=Q;Yua(i);W=T;X=V;break}B=0;wa(510,l|0,I|0);V=B;B=0;if(V&1){V=Rb()|0;Y=V;Z=Q;_=1}else{B=0;ua(163,U|0,i|0,j|0,7034,l|0);V=B;B=0;if(V&1)ba=1;else{B=0;eb(503,U|0,1240,229);B=0;ba=0}V=Rb()|0;T=Q;Yua(l);Y=V;Z=T;_=ba}Yua(j);Yua(i);if(_){W=Y;X=Z}else{ca=Y;da=Z;break a}}else{T=Rb()|0;W=T;X=Q}while(0);zb(U|0);ca=W;da=X}else ea=20;while(0);if((ea|0)==20){P=Rb()|0;ca=P;da=Q}k[h>>2]=27468;k[H>>2]=27488;k[I>>2]=27560;Yua(M);Ava(I);vva(H);fa=ca;ga=da;Qb(fa|0)}while(0);K=N;L=O;vva(H);Qb(L|0)}L=Hc[k[(k[c>>2]|0)+164>>2]&511](c)|0;H=L<<1;rp(G,e,536,943);rp(c,f,540,943);O=H>>>0>536870911?-1:H<<3;N=Rqa(O)|0;K=Rqa(O)|0;O=L>>>0>536870911?-1:L<<3;da=Rqa(O)|0;ca=Rqa(O)|0;I=Rqa(O)|0;h=Rqa(O)|0;X=Rqa(O)|0;W=Rqa(O)|0;O=(L|0)>0;if(O){Z=k[f>>2]|0;Y=k[e>>2]|0;_=0;do{p[N+(_<<3)>>3]=+p[b+(k[Z+(_<<2)>>2]<<3)>>3];p[K+(_<<3)>>3]=+p[b+(k[Y+(_<<2)>>2]<<3)>>3];_=_+1|0}while((_|0)!=(L|0))}if((L|0)<(H|0)){_=k[f>>2]|0;Y=L;do{p[N+(Y<<3)>>3]=+p[b+(k[_+(Y<<2)>>2]<<3)>>3];p[K+(Y<<3)>>3]=+p[K+(Y-L<<3)>>3];Y=Y+1|0}while((Y|0)!=(H|0))}Aq(G,K,971);Aq(c,N,971);do if(O){G=0;while(1){H=G<<1;ha=+p[K+(H<<3)>>3]+ +p[N+(H<<3)>>3];p[da+(G<<3)>>3]=ha;Y=H|1;ia=+p[K+(Y<<3)>>3]+ +p[N+(Y<<3)>>3];p[ca+(G<<3)>>3]=ia;ja=+$(+ha);p[t>>3]=ja;Y=k[t>>2]|0;H=k[t+4>>2]|0;if(H>>>0>2146435072|(H|0)==2146435072&Y>>>0>0){ea=38;break}if((Y|0)==0&(H|0)==2146435072){ea=62;break}ja=+$(+ia);p[t>>3]=ja;H=k[t>>2]|0;Y=k[t+4>>2]|0;if(Y>>>0>2146435072|(Y|0)==2146435072&H>>>0>0){ea=86;break}G=G+1|0;if((H|0)==0&(Y|0)==2146435072){ea=110;break}if((G|0)>=(L|0)){ea=133;break}}if((ea|0)==38){G=m+56|0;M=m+4|0;k[m>>2]=27524;k[G>>2]=27544;B=0;wa(508,m+56|0,M|0);Y=B;B=0;if(Y&1){Y=Rb()|0;ka=Q;la=Y;vva(G);Qb(la|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[G>>2]=27488;B=0;va(448,M|0);Y=B;B=0;do if(Y&1){H=Rb()|0;ma=Q;na=H}else{k[M>>2]=27560;H=m+36|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;k[H+12>>2]=0;k[m+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,M|0,d|0);_=B;B=0;if(_&1){_=Rb()|0;b=Q;Yua(d);Yua(H);Ava(M);ma=b;na=_;break}Yua(d);B=0;_=Ia(40,m|0,135564,28)|0;b=B;B=0;b:do if(!(b&1)?(B=0,Xa(239,_|0,0)|0,Z=B,B=0,!(Z&1)):0){Z=Ab(20)|0;B=0;eb(502,n|0,127077,81);i=B;B=0;do if(!(i&1)){B=0;eb(502,o|0,128432,28);j=B;B=0;if(j&1){j=Rb()|0;ba=Q;Yua(n);oa=j;pa=ba;break}B=0;wa(510,q|0,M|0);ba=B;B=0;if(ba&1){ba=Rb()|0;qa=1;ra=ba;sa=Q}else{B=0;ua(163,Z|0,n|0,o|0,7074,q|0);ba=B;B=0;if(ba&1)ta=1;else{B=0;eb(503,Z|0,1240,229);B=0;ta=0}ba=Rb()|0;j=Q;Yua(q);qa=ta;ra=ba;sa=j}Yua(o);Yua(n);if(qa){oa=ra;pa=sa}else{xa=ra;za=sa;break b}}else{j=Rb()|0;oa=j;pa=Q}while(0);zb(Z|0);xa=oa;za=pa}else ea=53;while(0);if((ea|0)==53){_=Rb()|0;xa=_;za=Q}k[m>>2]=27468;k[G>>2]=27488;k[M>>2]=27560;Yua(H);Ava(M);vva(G);fa=xa;ga=za;Qb(fa|0)}while(0);ka=ma;la=na;vva(G);Qb(la|0)}else if((ea|0)==62){M=s+56|0;Y=s+4|0;k[s>>2]=27524;k[M>>2]=27544;B=0;wa(508,s+56|0,Y|0);_=B;B=0;if(_&1){_=Rb()|0;Aa=Q;Ba=_;vva(M);Qb(Ba|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[M>>2]=27488;B=0;va(448,Y|0);_=B;B=0;do if(_&1){b=Rb()|0;Ca=Q;Da=b}else{k[Y>>2]=27560;b=s+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[s+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Y|0,d|0);U=B;B=0;if(U&1){U=Rb()|0;i=Q;Yua(d);Yua(b);Ava(Y);Ca=i;Da=U;break}Yua(d);B=0;U=Ia(40,s|0,135593,28)|0;i=B;B=0;c:do if(!(i&1)?(B=0,Xa(239,U|0,0)|0,j=B,B=0,!(j&1)):0){j=Ab(20)|0;B=0;eb(502,u|0,127077,81);ba=B;B=0;do if(!(ba&1)){B=0;eb(502,v|0,128432,28);l=B;B=0;if(l&1){l=Rb()|0;J=Q;Yua(u);Ea=l;Fa=J;break}B=0;wa(510,w|0,Y|0);J=B;B=0;if(J&1){J=Rb()|0;Ga=1;Ha=J;Ja=Q}else{B=0;ua(163,j|0,u|0,v|0,7075,w|0);J=B;B=0;if(J&1)Ka=1;else{B=0;eb(503,j|0,1240,229);B=0;Ka=0}J=Rb()|0;l=Q;Yua(w);Ga=Ka;Ha=J;Ja=l}Yua(v);Yua(u);if(Ga){Ea=Ha;Fa=Ja}else{La=Ha;Ma=Ja;break c}}else{l=Rb()|0;Ea=l;Fa=Q}while(0);zb(j|0);La=Ea;Ma=Fa}else ea=77;while(0);if((ea|0)==77){U=Rb()|0;La=U;Ma=Q}k[s>>2]=27468;k[M>>2]=27488;k[Y>>2]=27560;Yua(b);Ava(Y);vva(M);fa=La;ga=Ma;Qb(fa|0)}while(0);Aa=Ca;Ba=Da;vva(M);Qb(Ba|0)}else if((ea|0)==86){Y=x+56|0;_=x+4|0;k[x>>2]=27524;k[Y>>2]=27544;B=0;wa(508,x+56|0,_|0);G=B;B=0;if(G&1){G=Rb()|0;Na=Q;Oa=G;vva(Y);Qb(Oa|0)}k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[Y>>2]=27488;B=0;va(448,_|0);G=B;B=0;do if(G&1){U=Rb()|0;Pa=Q;Qa=U}else{k[_>>2]=27560;U=x+36|0;k[U>>2]=0;k[U+4>>2]=0;k[U+8>>2]=0;k[U+12>>2]=0;k[x+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,_|0,d|0);i=B;B=0;if(i&1){i=Rb()|0;H=Q;Yua(d);Yua(U);Ava(_);Pa=H;Qa=i;break}Yua(d);B=0;i=Ia(40,x|0,135564,28)|0;H=B;B=0;d:do if(!(H&1)?(B=0,Xa(239,i|0,0)|0,ba=B,B=0,!(ba&1)):0){ba=Ab(20)|0;B=0;eb(502,y|0,127077,81);Z=B;B=0;do if(!(Z&1)){B=0;eb(502,z|0,128432,28);l=B;B=0;if(l&1){l=Rb()|0;J=Q;Yua(y);Ra=l;Sa=J;break}B=0;wa(510,A|0,_|0);J=B;B=0;if(J&1){J=Rb()|0;Ta=1;Ua=J;Va=Q}else{B=0;ua(163,ba|0,y|0,z|0,7076,A|0);J=B;B=0;if(J&1)Wa=1;else{B=0;eb(503,ba|0,1240,229);B=0;Wa=0}J=Rb()|0;l=Q;Yua(A);Ta=Wa;Ua=J;Va=l}Yua(z);Yua(y);if(Ta){Ra=Ua;Sa=Va}else{Ya=Ua;Za=Va;break d}}else{l=Rb()|0;Ra=l;Sa=Q}while(0);zb(ba|0);Ya=Ra;Za=Sa}else ea=101;while(0);if((ea|0)==101){i=Rb()|0;Ya=i;Za=Q}k[x>>2]=27468;k[Y>>2]=27488;k[_>>2]=27560;Yua(U);Ava(_);vva(Y);fa=Ya;ga=Za;Qb(fa|0)}while(0);Na=Pa;Oa=Qa;vva(Y);Qb(Oa|0)}else if((ea|0)==110){_=C+56|0;G=C+4|0;k[C>>2]=27524;k[_>>2]=27544;B=0;wa(508,C+56|0,G|0);M=B;B=0;if(M&1){M=Rb()|0;_a=Q;$a=M;vva(_);Qb($a|0)}k[C+128>>2]=0;k[C+132>>2]=-1;k[C>>2]=27468;k[_>>2]=27488;B=0;va(448,G|0);M=B;B=0;do if(M&1){i=Rb()|0;ab=Q;bb=i}else{k[G>>2]=27560;i=C+36|0;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;k[i+12>>2]=0;k[C+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,G|0,d|0);H=B;B=0;if(H&1){H=Rb()|0;b=Q;Yua(d);Yua(i);Ava(G);ab=b;bb=H;break}Yua(d);B=0;H=Ia(40,C|0,135593,28)|0;b=B;B=0;e:do if(!(b&1)?(B=0,Xa(239,H|0,0)|0,Z=B,B=0,!(Z&1)):0){Z=Ab(20)|0;B=0;eb(502,D|0,127077,81);j=B;B=0;do if(!(j&1)){B=0;eb(502,E|0,128432,28);l=B;B=0;if(l&1){l=Rb()|0;J=Q;Yua(D);cb=l;db=J;break}B=0;wa(510,F|0,G|0);J=B;B=0;if(J&1){J=Rb()|0;fb=1;gb=J;hb=Q}else{B=0;ua(163,Z|0,D|0,E|0,7077,F|0);J=B;B=0;if(J&1)ib=1;else{B=0;eb(503,Z|0,1240,229);B=0;ib=0}J=Rb()|0;l=Q;Yua(F);fb=ib;gb=J;hb=l}Yua(E);Yua(D);if(fb){cb=gb;db=hb}else{jb=gb;kb=hb;break e}}else{l=Rb()|0;cb=l;db=Q}while(0);zb(Z|0);jb=cb;kb=db}else ea=125;while(0);if((ea|0)==125){H=Rb()|0;jb=H;kb=Q}k[C>>2]=27468;k[_>>2]=27488;k[G>>2]=27560;Yua(i);Ava(G);vva(_);fa=jb;ga=kb;Qb(fa|0)}while(0);_a=ab;$a=bb;vva(_);Qb($a|0)}else if((ea|0)==133){up(c,I,679,0.0);if(O)lb=0;else break;do{ja=+p[da+(lb<<3)>>3];ia=+p[ca+(lb<<3)>>3];ha=+p[I+(lb<<3)>>3];mb=+aa(+(ja*ja+ia*ia+ha*ha));p[h+(lb<<3)>>3]=mb;lb=lb+1|0}while((lb|0)!=(L|0))}}else up(c,I,679,0.0);while(0);mb=+Dp(c,265);ha=+Dp(c,65);Uo(c,g);vp(c,W,339);if(O){ia=mb*ha;O=k[g>>2]|0;lb=0;do{p[X+(lb<<3)>>3]=ia*(+p[W+(lb<<3)>>3]-+p[O+((lb*3|0)+2<<3)>>3]);lb=lb+1|0}while((lb|0)!=(L|0))}Pp(c,674,675);Pp(c,677,678);Pp(c,653,654);rd[k[(k[c>>2]|0)+48>>2]&511](c,674,da,738);rd[k[(k[c>>2]|0)+48>>2]&511](c,677,ca,738);rd[k[(k[c>>2]|0)+48>>2]&511](c,671,h,738);rd[k[(k[c>>2]|0)+48>>2]&511](c,653,X,738);Tqa(W);Tqa(X);Tqa(h);Tqa(I);Tqa(ca);Tqa(da);da=k[g>>2]|0;if(da)Tqa(da);k[g>>2]=0;Tqa(K);Tqa(N);N=k[e>>2]|0;if(N)Tqa(N);k[e>>2]=0;e=k[f>>2]|0;if(!e){r=a;return}Tqa(e);r=a;return}function E9(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0.0,Ca=0.0,Da=0.0,Ea=0.0,Fa=0.0,Ga=0.0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0;a=r;r=r+1616|0;d=a+1596|0;e=a;f=a+1544|0;g=a+1540|0;h=a+1512|0;i=a+1376|0;j=a+1584|0;l=a+1572|0;m=a+1560|0;n=a+1224|0;o=a+1548|0;q=a+1528|0;s=a+1516|0;u=a+1072|0;v=a+1360|0;w=a+1208|0;x=a+1056|0;y=a+920|0;z=a+768|0;A=a+616|0;C=a+464|0;D=a+784|0;E=a+176|0;F=a+164|0;G=a+152|0;H=a+632|0;I=a+140|0;J=a+128|0;K=a+116|0;L=a+480|0;M=a+104|0;N=a+92|0;O=a+80|0;P=a+328|0;R=a+68|0;S=a+56|0;T=a+44|0;U=a+192|0;V=a+32|0;W=a+20|0;X=a+8|0;k[f>>2]=0;k[g>>2]=0;k[h>>2]=0;if((Hc[k[(k[c>>2]|0)+20>>2]&511](c)|0)!=625){Y=i+56|0;Z=i+4|0;k[i>>2]=27524;k[Y>>2]=27544;B=0;wa(508,i+56|0,Z|0);_=B;B=0;if(_&1){_=Rb()|0;ba=Q;ca=_;vva(Y);Qb(ca|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[Y>>2]=27488;B=0;va(448,Z|0);_=B;B=0;do if(_&1){da=Rb()|0;ea=Q;fa=da}else{k[Z>>2]=27560;da=i+36|0;k[da>>2]=0;k[da+4>>2]=0;k[da+8>>2]=0;k[da+12>>2]=0;k[i+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Z|0,d|0);ga=B;B=0;if(ga&1){ga=Rb()|0;ha=Q;Yua(d);Yua(da);Ava(Z);ea=ha;fa=ga;break}Yua(d);B=0;ga=Ia(40,i|0,128404,27)|0;ha=B;B=0;a:do if((((!(ha&1)?(B=0,ia=ya(k[(k[c>>2]|0)+20>>2]|0,c|0)|0,ja=B,B=0,!(ja&1)):0)?(B=0,ja=ya(427,ia|0)|0,ia=B,B=0,!(ia&1)):0)?(ia=Lta(ja)|0,B=0,ka=Ia(40,ga|0,ja|0,ia|0)|0,ia=B,B=0,!(ia&1)):0)?(B=0,Xa(239,ka|0,0)|0,ka=B,B=0,!(ka&1)):0){ka=Ab(20)|0;B=0;eb(502,j|0,127077,81);ia=B;B=0;do if(!(ia&1)){B=0;eb(502,l|0,128461,27);ja=B;B=0;if(ja&1){ja=Rb()|0;la=Q;Yua(j);ma=ja;na=la;break}B=0;wa(510,m|0,Z|0);la=B;B=0;if(la&1){la=Rb()|0;oa=la;pa=Q;qa=1}else{B=0;ua(163,ka|0,j|0,l|0,6820,m|0);la=B;B=0;if(la&1)ra=1;else{B=0;eb(503,ka|0,1240,229);B=0;ra=0}la=Rb()|0;ja=Q;Yua(m);oa=la;pa=ja;qa=ra}Yua(l);Yua(j);if(qa){ma=oa;na=pa}else{sa=oa;ta=pa;break a}}else{ja=Rb()|0;ma=ja;na=Q}while(0);zb(ka|0);sa=ma;ta=na}else xa=20;while(0);if((xa|0)==20){ga=Rb()|0;sa=ga;ta=Q}k[i>>2]=27468;k[Y>>2]=27488;k[Z>>2]=27560;Yua(da);Ava(Z);vva(Y);za=sa;Aa=ta;Qb(za|0)}while(0);ba=ea;ca=fa;vva(Y);Qb(ca|0)}rp(c,g,543,943);rp(c,f,540,943);sp(c,h,943);ca=Rqa(96)|0;Y=Rqa(192)|0;fa=Rqa(48)|0;ea=Rqa(48)|0;ba=Rqa(48)|0;ta=Rqa(48)|0;sa=Rqa(48)|0;Z=Rqa(48)|0;i=Rqa(48)|0;na=Rqa(48)|0;k[na>>2]=972;k[na+4>>2]=972;k[na+8>>2]=972;k[na+12>>2]=972;k[na+16>>2]=972;k[na+20>>2]=972;k[na+24>>2]=653;k[na+28>>2]=653;k[na+32>>2]=653;k[na+36>>2]=653;k[na+40>>2]=653;k[na+44>>2]=653;pp(c,e,85);ma=k[f>>2]|0;p[ca>>3]=+p[b+(k[ma>>2]<<3)>>3];p[ca+8>>3]=+p[b+(k[ma+4>>2]<<3)>>3];p[ca+16>>3]=+p[b+(k[ma+8>>2]<<3)>>3];p[ca+24>>3]=+p[b+(k[ma+12>>2]<<3)>>3];p[ca+32>>3]=+p[b+(k[ma+16>>2]<<3)>>3];p[ca+40>>3]=+p[b+(k[ma+20>>2]<<3)>>3];p[ca+48>>3]=+p[b+(k[ma+24>>2]<<3)>>3];p[ca+56>>3]=+p[b+(k[ma+28>>2]<<3)>>3];p[ca+64>>3]=+p[b+(k[ma+32>>2]<<3)>>3];p[ca+72>>3]=+p[b+(k[ma+36>>2]<<3)>>3];p[ca+80>>3]=+p[b+(k[ma+40>>2]<<3)>>3];p[ca+88>>3]=+p[b+(k[ma+44>>2]<<3)>>3];ma=k[g>>2]|0;p[Y>>3]=+p[b+(k[ma>>2]<<3)>>3];p[Y+8>>3]=+p[b+(k[ma+4>>2]<<3)>>3];p[Y+16>>3]=+p[b+(k[ma+8>>2]<<3)>>3];p[Y+24>>3]=+p[b+(k[ma+12>>2]<<3)>>3];p[Y+32>>3]=+p[b+(k[ma+16>>2]<<3)>>3];p[Y+40>>3]=+p[b+(k[ma+20>>2]<<3)>>3];p[Y+48>>3]=+p[b+(k[ma+24>>2]<<3)>>3];p[Y+56>>3]=+p[b+(k[ma+28>>2]<<3)>>3];p[Y+64>>3]=+p[b+(k[ma+32>>2]<<3)>>3];p[Y+72>>3]=+p[b+(k[ma+36>>2]<<3)>>3];p[Y+80>>3]=+p[b+(k[ma+40>>2]<<3)>>3];p[Y+88>>3]=+p[b+(k[ma+44>>2]<<3)>>3];p[Y+96>>3]=+p[b+(k[ma+48>>2]<<3)>>3];p[Y+104>>3]=+p[b+(k[ma+52>>2]<<3)>>3];p[Y+112>>3]=+p[b+(k[ma+56>>2]<<3)>>3];p[Y+120>>3]=+p[b+(k[ma+60>>2]<<3)>>3];p[Y+128>>3]=+p[b+(k[ma+64>>2]<<3)>>3];p[Y+136>>3]=+p[b+(k[ma+68>>2]<<3)>>3];ma=k[h>>2]|0;p[Y+144>>3]=+p[b+(k[ma>>2]<<3)>>3];p[Y+152>>3]=+p[b+(k[ma+4>>2]<<3)>>3];p[Y+160>>3]=+p[b+(k[ma+8>>2]<<3)>>3];p[Y+168>>3]=+p[b+(k[ma+12>>2]<<3)>>3];p[Y+176>>3]=+p[b+(k[ma+16>>2]<<3)>>3];p[Y+184>>3]=+p[b+(k[ma+20>>2]<<3)>>3];Eq(c,Y,12,na);Dq(c,ca,6,971);Ba=+p[e>>3];e=0;while(1){ma=e*3|0;b=e<<1;Ca=+p[Y+(ma<<3)>>3]+ +p[ca+(b<<3)>>3];p[fa+(e<<3)>>3]=Ca;Da=+p[Y+(ma+1<<3)>>3]+ +p[ca+((b|1)<<3)>>3];p[ea+(e<<3)>>3]=Da;Ea=+p[Y+(ma+2<<3)>>3];p[sa+(e<<3)>>3]=Ea;Fa=+p[Y+(e+18<<3)>>3]*Ba;p[i+(e<<3)>>3]=Fa;Ga=+$(+Ca);p[t>>3]=Ga;ma=k[t>>2]|0;b=k[t+4>>2]|0;if(b>>>0>2146435072|(b|0)==2146435072&ma>>>0>0){xa=31;break}if((ma|0)==0&(b|0)==2146435072){xa=55;break}Ga=+$(+Da);p[t>>3]=Ga;b=k[t>>2]|0;ma=k[t+4>>2]|0;if(ma>>>0>2146435072|(ma|0)==2146435072&b>>>0>0){xa=79;break}if((b|0)==0&(ma|0)==2146435072){xa=103;break}Ga=+$(+Ea);p[t>>3]=Ga;ma=k[t>>2]|0;b=k[t+4>>2]|0;if(b>>>0>2146435072|(b|0)==2146435072&ma>>>0>0){xa=127;break}if((ma|0)==0&(b|0)==2146435072){xa=151;break}Ga=+$(+Fa);p[t>>3]=Ga;b=k[t>>2]|0;ma=k[t+4>>2]|0;if(ma>>>0>2146435072|(ma|0)==2146435072&b>>>0>0){xa=175;break}e=e+1|0;if((b|0)==0&(ma|0)==2146435072){xa=199;break}if((e|0)>=6){xa=222;break}}if((xa|0)==31){e=n+56|0;ma=n+4|0;k[n>>2]=27524;k[e>>2]=27544;B=0;wa(508,n+56|0,ma|0);b=B;B=0;if(b&1){b=Rb()|0;Ha=Q;Ja=b;vva(e);Qb(Ja|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[e>>2]=27488;B=0;va(448,ma|0);b=B;B=0;do if(b&1){pa=Rb()|0;Ka=Q;La=pa}else{k[ma>>2]=27560;pa=n+36|0;k[pa>>2]=0;k[pa+4>>2]=0;k[pa+8>>2]=0;k[pa+12>>2]=0;k[n+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,ma|0,d|0);oa=B;B=0;if(oa&1){oa=Rb()|0;qa=Q;Yua(d);Yua(pa);Ava(ma);Ka=qa;La=oa;break}Yua(d);B=0;oa=Ia(40,n|0,135564,28)|0;qa=B;B=0;b:do if(!(qa&1)?(B=0,Xa(239,oa|0,0)|0,j=B,B=0,!(j&1)):0){j=Ab(20)|0;B=0;eb(502,o|0,127077,81);l=B;B=0;do if(!(l&1)){B=0;eb(502,q|0,128461,27);ra=B;B=0;if(ra&1){ra=Rb()|0;m=Q;Yua(o);Ma=ra;Na=m;break}B=0;wa(510,s|0,ma|0);m=B;B=0;if(m&1){m=Rb()|0;Oa=1;Pa=m;Qa=Q}else{B=0;ua(163,j|0,o|0,q|0,6865,s|0);m=B;B=0;if(m&1)Ra=1;else{B=0;eb(503,j|0,1240,229);B=0;Ra=0}m=Rb()|0;ra=Q;Yua(s);Oa=Ra;Pa=m;Qa=ra}Yua(q);Yua(o);if(Oa){Ma=Pa;Na=Qa}else{Sa=Pa;Ta=Qa;break b}}else{ra=Rb()|0;Ma=ra;Na=Q}while(0);zb(j|0);Sa=Ma;Ta=Na}else xa=46;while(0);if((xa|0)==46){oa=Rb()|0;Sa=oa;Ta=Q}k[n>>2]=27468;k[e>>2]=27488;k[ma>>2]=27560;Yua(pa);Ava(ma);vva(e);za=Sa;Aa=Ta;Qb(za|0)}while(0);Ha=Ka;Ja=La;vva(e);Qb(Ja|0)}else if((xa|0)==55){Ja=u+56|0;e=u+4|0;k[u>>2]=27524;k[Ja>>2]=27544;B=0;wa(508,u+56|0,e|0);La=B;B=0;if(La&1){La=Rb()|0;Ua=Q;Va=La;vva(Ja);Qb(Va|0)}k[u+128>>2]=0;k[u+132>>2]=-1;k[u>>2]=27468;k[Ja>>2]=27488;B=0;va(448,e|0);La=B;B=0;do if(La&1){Ka=Rb()|0;Wa=Q;Ya=Ka}else{k[e>>2]=27560;Ka=u+36|0;k[Ka>>2]=0;k[Ka+4>>2]=0;k[Ka+8>>2]=0;k[Ka+12>>2]=0;k[u+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,e|0,d|0);Ha=B;B=0;if(Ha&1){Ha=Rb()|0;Ta=Q;Yua(d);Yua(Ka);Ava(e);Wa=Ta;Ya=Ha;break}Yua(d);B=0;Ha=Ia(40,u|0,135593,28)|0;Ta=B;B=0;c:do if(!(Ta&1)?(B=0,Xa(239,Ha|0,0)|0,Sa=B,B=0,!(Sa&1)):0){Sa=Ab(20)|0;B=0;eb(502,v|0,127077,81);ma=B;B=0;do if(!(ma&1)){B=0;eb(502,w|0,128461,27);n=B;B=0;if(n&1){n=Rb()|0;Na=Q;Yua(v);Za=n;_a=Na;break}B=0;wa(510,x|0,e|0);Na=B;B=0;if(Na&1){Na=Rb()|0;$a=1;ab=Na;bb=Q}else{B=0;ua(163,Sa|0,v|0,w|0,6866,x|0);Na=B;B=0;if(Na&1)cb=1;else{B=0;eb(503,Sa|0,1240,229);B=0;cb=0}Na=Rb()|0;n=Q;Yua(x);$a=cb;ab=Na;bb=n}Yua(w);Yua(v);if($a){Za=ab;_a=bb}else{db=ab;fb=bb;break c}}else{n=Rb()|0;Za=n;_a=Q}while(0);zb(Sa|0);db=Za;fb=_a}else xa=70;while(0);if((xa|0)==70){Ha=Rb()|0;db=Ha;fb=Q}k[u>>2]=27468;k[Ja>>2]=27488;k[e>>2]=27560;Yua(Ka);Ava(e);vva(Ja);za=db;Aa=fb;Qb(za|0)}while(0);Ua=Wa;Va=Ya;vva(Ja);Qb(Va|0)}else if((xa|0)==79){Va=y+56|0;Ja=y+4|0;k[y>>2]=27524;k[Va>>2]=27544;B=0;wa(508,y+56|0,Ja|0);Ya=B;B=0;if(Ya&1){Ya=Rb()|0;gb=Q;hb=Ya;vva(Va);Qb(hb|0)}k[y+128>>2]=0;k[y+132>>2]=-1;k[y>>2]=27468;k[Va>>2]=27488;B=0;va(448,Ja|0);Ya=B;B=0;do if(Ya&1){Wa=Rb()|0;ib=Q;jb=Wa}else{k[Ja>>2]=27560;Wa=y+36|0;k[Wa>>2]=0;k[Wa+4>>2]=0;k[Wa+8>>2]=0;k[Wa+12>>2]=0;k[y+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Ja|0,d|0);Ua=B;B=0;if(Ua&1){Ua=Rb()|0;fb=Q;Yua(d);Yua(Wa);Ava(Ja);ib=fb;jb=Ua;break}Yua(d);B=0;Ua=Ia(40,y|0,135564,28)|0;fb=B;B=0;d:do if(!(fb&1)?(B=0,Xa(239,Ua|0,0)|0,db=B,B=0,!(db&1)):0){db=Ab(20)|0;B=0;eb(502,z|0,127077,81);e=B;B=0;do if(!(e&1)){B=0;eb(502,A|0,128461,27);u=B;B=0;if(u&1){u=Rb()|0;_a=Q;Yua(z);kb=u;lb=_a;break}B=0;wa(510,C|0,Ja|0);_a=B;B=0;if(_a&1){_a=Rb()|0;mb=1;nb=_a;ob=Q}else{B=0;ua(163,db|0,z|0,A|0,6867,C|0);_a=B;B=0;if(_a&1)pb=1;else{B=0;eb(503,db|0,1240,229);B=0;pb=0}_a=Rb()|0;u=Q;Yua(C);mb=pb;nb=_a;ob=u}Yua(A);Yua(z);if(mb){kb=nb;lb=ob}else{qb=nb;rb=ob;break d}}else{u=Rb()|0;kb=u;lb=Q}while(0);zb(db|0);qb=kb;rb=lb}else xa=94;while(0);if((xa|0)==94){Ua=Rb()|0;qb=Ua;rb=Q}k[y>>2]=27468;k[Va>>2]=27488;k[Ja>>2]=27560;Yua(Wa);Ava(Ja);vva(Va);za=qb;Aa=rb;Qb(za|0)}while(0);gb=ib;hb=jb;vva(Va);Qb(hb|0)}else if((xa|0)==103){hb=D+56|0;Va=D+4|0;k[D>>2]=27524;k[hb>>2]=27544;B=0;wa(508,D+56|0,Va|0);jb=B;B=0;if(jb&1){jb=Rb()|0;sb=Q;tb=jb;vva(hb);Qb(tb|0)}k[D+128>>2]=0;k[D+132>>2]=-1;k[D>>2]=27468;k[hb>>2]=27488;B=0;va(448,Va|0);jb=B;B=0;do if(jb&1){ib=Rb()|0;ub=Q;vb=ib}else{k[Va>>2]=27560;ib=D+36|0;k[ib>>2]=0;k[ib+4>>2]=0;k[ib+8>>2]=0;k[ib+12>>2]=0;k[D+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Va|0,d|0);gb=B;B=0;if(gb&1){gb=Rb()|0;rb=Q;Yua(d);Yua(ib);Ava(Va);ub=rb;vb=gb;break}Yua(d);B=0;gb=Ia(40,D|0,135593,28)|0;rb=B;B=0;e:do if(!(rb&1)?(B=0,Xa(239,gb|0,0)|0,qb=B,B=0,!(qb&1)):0){qb=Ab(20)|0;B=0;eb(502,E|0,127077,81);Ja=B;B=0;do if(!(Ja&1)){B=0;eb(502,F|0,128461,27);y=B;B=0;if(y&1){y=Rb()|0;lb=Q;Yua(E);wb=y;xb=lb;break}B=0;wa(510,G|0,Va|0);lb=B;B=0;if(lb&1){lb=Rb()|0;yb=1;Bb=lb;Cb=Q}else{B=0;ua(163,qb|0,E|0,F|0,6868,G|0);lb=B;B=0;if(lb&1)Db=1;else{B=0;eb(503,qb|0,1240,229);B=0;Db=0}lb=Rb()|0;y=Q;Yua(G);yb=Db;Bb=lb;Cb=y}Yua(F);Yua(E);if(yb){wb=Bb;xb=Cb}else{Eb=Bb;Fb=Cb;break e}}else{y=Rb()|0;wb=y;xb=Q}while(0);zb(qb|0);Eb=wb;Fb=xb}else xa=118;while(0);if((xa|0)==118){gb=Rb()|0;Eb=gb;Fb=Q}k[D>>2]=27468;k[hb>>2]=27488;k[Va>>2]=27560;Yua(ib);Ava(Va);vva(hb);za=Eb;Aa=Fb;Qb(za|0)}while(0);sb=ub;tb=vb;vva(hb);Qb(tb|0)}else if((xa|0)==127){tb=H+56|0;hb=H+4|0;k[H>>2]=27524;k[tb>>2]=27544;B=0;wa(508,H+56|0,hb|0);vb=B;B=0;if(vb&1){vb=Rb()|0;Gb=Q;Hb=vb;vva(tb);Qb(Hb|0)}k[H+128>>2]=0;k[H+132>>2]=-1;k[H>>2]=27468;k[tb>>2]=27488;B=0;va(448,hb|0);vb=B;B=0;do if(vb&1){ub=Rb()|0;Ib=Q;Jb=ub}else{k[hb>>2]=27560;ub=H+36|0;k[ub>>2]=0;k[ub+4>>2]=0;k[ub+8>>2]=0;k[ub+12>>2]=0;k[H+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,hb|0,d|0);sb=B;B=0;if(sb&1){sb=Rb()|0;Fb=Q;Yua(d);Yua(ub);Ava(hb);Ib=Fb;Jb=sb;break}Yua(d);B=0;sb=Ia(40,H|0,135564,28)|0;Fb=B;B=0;f:do if(!(Fb&1)?(B=0,Xa(239,sb|0,0)|0,Eb=B,B=0,!(Eb&1)):0){Eb=Ab(20)|0;B=0;eb(502,I|0,127077,81);Va=B;B=0;do if(!(Va&1)){B=0;eb(502,J|0,128461,27);D=B;B=0;if(D&1){D=Rb()|0;xb=Q;Yua(I);Kb=D;Lb=xb;break}B=0;wa(510,K|0,hb|0);xb=B;B=0;if(xb&1){xb=Rb()|0;Mb=1;Nb=xb;Ob=Q}else{B=0;ua(163,Eb|0,I|0,J|0,6869,K|0);xb=B;B=0;if(xb&1)Pb=1;else{B=0;eb(503,Eb|0,1240,229);B=0;Pb=0}xb=Rb()|0;D=Q;Yua(K);Mb=Pb;Nb=xb;Ob=D}Yua(J);Yua(I);if(Mb){Kb=Nb;Lb=Ob}else{Sb=Nb;Tb=Ob;break f}}else{D=Rb()|0;Kb=D;Lb=Q}while(0);zb(Eb|0);Sb=Kb;Tb=Lb}else xa=142;while(0);if((xa|0)==142){sb=Rb()|0;Sb=sb;Tb=Q}k[H>>2]=27468;k[tb>>2]=27488;k[hb>>2]=27560;Yua(ub);Ava(hb);vva(tb);za=Sb;Aa=Tb;Qb(za|0)}while(0);Gb=Ib;Hb=Jb;vva(tb);Qb(Hb|0)}else if((xa|0)==151){Hb=L+56|0;tb=L+4|0;k[L>>2]=27524;k[Hb>>2]=27544;B=0;wa(508,L+56|0,tb|0);Jb=B;B=0;if(Jb&1){Jb=Rb()|0;Ub=Q;Vb=Jb;vva(Hb);Qb(Vb|0)}k[L+128>>2]=0;k[L+132>>2]=-1;k[L>>2]=27468;k[Hb>>2]=27488;B=0;va(448,tb|0);Jb=B;B=0;do if(Jb&1){Ib=Rb()|0;Wb=Q;Xb=Ib}else{k[tb>>2]=27560;Ib=L+36|0;k[Ib>>2]=0;k[Ib+4>>2]=0;k[Ib+8>>2]=0;k[Ib+12>>2]=0;k[L+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,tb|0,d|0);Gb=B;B=0;if(Gb&1){Gb=Rb()|0;Tb=Q;Yua(d);Yua(Ib);Ava(tb);Wb=Tb;Xb=Gb;break}Yua(d);B=0;Gb=Ia(40,L|0,135593,28)|0;Tb=B;B=0;g:do if(!(Tb&1)?(B=0,Xa(239,Gb|0,0)|0,Sb=B,B=0,!(Sb&1)):0){Sb=Ab(20)|0;B=0;eb(502,M|0,127077,81);hb=B;B=0;do if(!(hb&1)){B=0;eb(502,N|0,128461,27);H=B;B=0;if(H&1){H=Rb()|0;Lb=Q;Yua(M);Yb=H;Zb=Lb;break}B=0;wa(510,O|0,tb|0);Lb=B;B=0;if(Lb&1){Lb=Rb()|0;_b=1;$b=Lb;ac=Q}else{B=0;ua(163,Sb|0,M|0,N|0,6870,O|0);Lb=B;B=0;if(Lb&1)bc=1;else{B=0;eb(503,Sb|0,1240,229);B=0;bc=0}Lb=Rb()|0;H=Q;Yua(O);_b=bc;$b=Lb;ac=H}Yua(N);Yua(M);if(_b){Yb=$b;Zb=ac}else{cc=$b;dc=ac;break g}}else{H=Rb()|0;Yb=H;Zb=Q}while(0);zb(Sb|0);cc=Yb;dc=Zb}else xa=166;while(0);if((xa|0)==166){Gb=Rb()|0;cc=Gb;dc=Q}k[L>>2]=27468;k[Hb>>2]=27488;k[tb>>2]=27560;Yua(Ib);Ava(tb);vva(Hb);za=cc;Aa=dc;Qb(za|0)}while(0);Ub=Wb;Vb=Xb;vva(Hb);Qb(Vb|0)}else if((xa|0)==175){Vb=P+56|0;Hb=P+4|0;k[P>>2]=27524;k[Vb>>2]=27544;B=0;wa(508,P+56|0,Hb|0);Xb=B;B=0;if(Xb&1){Xb=Rb()|0;ec=Q;fc=Xb;vva(Vb);Qb(fc|0)}k[P+128>>2]=0;k[P+132>>2]=-1;k[P>>2]=27468;k[Vb>>2]=27488;B=0;va(448,Hb|0);Xb=B;B=0;do if(Xb&1){Wb=Rb()|0;gc=Q;hc=Wb}else{k[Hb>>2]=27560;Wb=P+36|0;k[Wb>>2]=0;k[Wb+4>>2]=0;k[Wb+8>>2]=0;k[Wb+12>>2]=0;k[P+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Hb|0,d|0);Ub=B;B=0;if(Ub&1){Ub=Rb()|0;dc=Q;Yua(d);Yua(Wb);Ava(Hb);gc=dc;hc=Ub;break}Yua(d);B=0;Ub=Ia(40,P|0,135564,28)|0;dc=B;B=0;h:do if(!(dc&1)?(B=0,Xa(239,Ub|0,0)|0,cc=B,B=0,!(cc&1)):0){cc=Ab(20)|0;B=0;eb(502,R|0,127077,81);tb=B;B=0;do if(!(tb&1)){B=0;eb(502,S|0,128461,27);L=B;B=0;if(L&1){L=Rb()|0;Zb=Q;Yua(R);ic=L;jc=Zb;break}B=0;wa(510,T|0,Hb|0);Zb=B;B=0;if(Zb&1){Zb=Rb()|0;kc=1;lc=Zb;mc=Q}else{B=0;ua(163,cc|0,R|0,S|0,6871,T|0);Zb=B;B=0;if(Zb&1)nc=1;else{B=0;eb(503,cc|0,1240,229);B=0;nc=0}Zb=Rb()|0;L=Q;Yua(T);kc=nc;lc=Zb;mc=L}Yua(S);Yua(R);if(kc){ic=lc;jc=mc}else{oc=lc;pc=mc;break h}}else{L=Rb()|0;ic=L;jc=Q}while(0);zb(cc|0);oc=ic;pc=jc}else xa=190;while(0);if((xa|0)==190){Ub=Rb()|0;oc=Ub;pc=Q}k[P>>2]=27468;k[Vb>>2]=27488;k[Hb>>2]=27560;Yua(Wb);Ava(Hb);vva(Vb);za=oc;Aa=pc;Qb(za|0)}while(0);ec=gc;fc=hc;vva(Vb);Qb(fc|0)}else if((xa|0)==199){fc=U+56|0;Vb=U+4|0;k[U>>2]=27524;k[fc>>2]=27544;B=0;wa(508,U+56|0,Vb|0);hc=B;B=0;if(hc&1){hc=Rb()|0;qc=Q;rc=hc;vva(fc);Qb(rc|0)}k[U+128>>2]=0;k[U+132>>2]=-1;k[U>>2]=27468;k[fc>>2]=27488;B=0;va(448,Vb|0);hc=B;B=0;do if(hc&1){gc=Rb()|0;sc=Q;tc=gc}else{k[Vb>>2]=27560;gc=U+36|0;k[gc>>2]=0;k[gc+4>>2]=0;k[gc+8>>2]=0;k[gc+12>>2]=0;k[U+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Vb|0,d|0);ec=B;B=0;if(ec&1){ec=Rb()|0;pc=Q;Yua(d);Yua(gc);Ava(Vb);sc=pc;tc=ec;break}Yua(d);B=0;ec=Ia(40,U|0,135593,28)|0;pc=B;B=0;i:do if(!(pc&1)?(B=0,Xa(239,ec|0,0)|0,oc=B,B=0,!(oc&1)):0){oc=Ab(20)|0;B=0;eb(502,V|0,127077,81);Hb=B;B=0;do if(!(Hb&1)){B=0;eb(502,W|0,128461,27);P=B;B=0;if(P&1){P=Rb()|0;jc=Q;Yua(V);uc=P;vc=jc;break}B=0;wa(510,X|0,Vb|0);jc=B;B=0;if(jc&1){jc=Rb()|0;wc=1;xc=jc;yc=Q}else{B=0;ua(163,oc|0,V|0,W|0,6872,X|0);jc=B;B=0;if(jc&1)zc=1;else{B=0;eb(503,oc|0,1240,229);B=0;zc=0}jc=Rb()|0;P=Q;Yua(X);wc=zc;xc=jc;yc=P}Yua(W);Yua(V);if(wc){uc=xc;vc=yc}else{Ac=xc;Bc=yc;break i}}else{P=Rb()|0;uc=P;vc=Q}while(0);zb(oc|0);Ac=uc;Bc=vc}else xa=214;while(0);if((xa|0)==214){ec=Rb()|0;Ac=ec;Bc=Q}k[U>>2]=27468;k[fc>>2]=27488;k[Vb>>2]=27560;Yua(gc);Ava(Vb);vva(fc);za=Ac;Aa=Bc;Qb(za|0)}while(0);qc=sc;rc=tc;vva(fc);Qb(rc|0)}else if((xa|0)==222){xp(c,ta,681);Ba=+p[ta>>3]+ +p[sa>>3];p[ba>>3]=Ba;Ga=+p[fa>>3];Fa=+p[ea>>3];Ea=+aa(+(Ba*Ba+(Ga*Ga+Fa*Fa)));p[Z>>3]=Ea;Ea=+p[ta+8>>3]+ +p[sa+8>>3];p[ba+8>>3]=Ea;Fa=+p[fa+8>>3];Ga=+p[ea+8>>3];Ba=+aa(+(Ea*Ea+(Fa*Fa+Ga*Ga)));p[Z+8>>3]=Ba;Ba=+p[ta+16>>3]+ +p[sa+16>>3];p[ba+16>>3]=Ba;Ga=+p[fa+16>>3];Fa=+p[ea+16>>3];Ea=+aa(+(Ba*Ba+(Ga*Ga+Fa*Fa)));p[Z+16>>3]=Ea;Ea=+p[ta+24>>3]+ +p[sa+24>>3];p[ba+24>>3]=Ea;Fa=+p[fa+24>>3];Ga=+p[ea+24>>3];Ba=+aa(+(Ea*Ea+(Fa*Fa+Ga*Ga)));p[Z+24>>3]=Ba;Ba=+p[ta+32>>3]+ +p[sa+32>>3];p[ba+32>>3]=Ba;Ga=+p[fa+32>>3];Fa=+p[ea+32>>3];Ea=+aa(+(Ba*Ba+(Ga*Ga+Fa*Fa)));p[Z+32>>3]=Ea;Ea=+p[ta+40>>3]+ +p[sa+40>>3];p[ba+40>>3]=Ea;Fa=+p[fa+40>>3];Ga=+p[ea+40>>3];Ba=+aa(+(Ea*Ea+(Fa*Fa+Ga*Ga)));p[Z+40>>3]=Ba;Pp(c,674,675);Pp(c,677,678);Pp(c,679,682);Pp(c,653,654);rd[k[(k[c>>2]|0)+48>>2]&511](c,674,fa,738);rd[k[(k[c>>2]|0)+48>>2]&511](c,677,ea,738);rd[k[(k[c>>2]|0)+48>>2]&511](c,679,ba,738);rd[k[(k[c>>2]|0)+48>>2]&511](c,683,sa,738);rd[k[(k[c>>2]|0)+48>>2]&511](c,671,Z,738);rd[k[(k[c>>2]|0)+48>>2]&511](c,653,i,738);Tqa(i);Tqa(Z);Tqa(ba);Tqa(ta);Tqa(sa);Tqa(ea);Tqa(fa);Tqa(Y);Tqa(ca);ca=k[h>>2]|0;if(ca)Tqa(ca);k[h>>2]=0;h=k[g>>2]|0;if(h)Tqa(h);k[g>>2]=0;g=k[f>>2]|0;if(!g){k[f>>2]=0;Tqa(na);r=a;return}Tqa(g);k[f>>2]=0;Tqa(na);r=a;return}}function F9(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0.0,Da=0.0,Ea=0.0,Fa=0.0,Ga=0.0,Ha=0.0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0;a=r;r=r+1616|0;d=a+1596|0;e=a;f=a+1544|0;g=a+1540|0;h=a+1512|0;i=a+1376|0;j=a+1584|0;l=a+1572|0;m=a+1560|0;n=a+1224|0;o=a+1548|0;q=a+1528|0;s=a+1516|0;u=a+1072|0;v=a+1360|0;w=a+1208|0;x=a+1056|0;y=a+920|0;z=a+768|0;A=a+616|0;C=a+464|0;D=a+784|0;E=a+176|0;F=a+164|0;G=a+152|0;H=a+632|0;I=a+140|0;J=a+128|0;K=a+116|0;L=a+480|0;M=a+104|0;N=a+92|0;O=a+80|0;P=a+328|0;R=a+68|0;S=a+56|0;T=a+44|0;U=a+192|0;V=a+32|0;W=a+20|0;X=a+8|0;k[f>>2]=0;k[g>>2]=0;k[h>>2]=0;Y=Hc[k[(k[c>>2]|0)+124>>2]&511](c)|0;if((Hc[k[(k[Y>>2]|0)+20>>2]&511](Y)|0)!=625){Z=i+56|0;_=i+4|0;k[i>>2]=27524;k[Z>>2]=27544;B=0;wa(508,i+56|0,_|0);ba=B;B=0;if(ba&1){ba=Rb()|0;ca=Q;da=ba;vva(Z);Qb(da|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[Z>>2]=27488;B=0;va(448,_|0);ba=B;B=0;do if(ba&1){ea=Rb()|0;fa=Q;ga=ea}else{k[_>>2]=27560;ea=i+36|0;k[ea>>2]=0;k[ea+4>>2]=0;k[ea+8>>2]=0;k[ea+12>>2]=0;k[i+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,_|0,d|0);ha=B;B=0;if(ha&1){ha=Rb()|0;ia=Q;Yua(d);Yua(ea);Ava(_);fa=ia;ga=ha;break}Yua(d);B=0;ha=Ia(40,i|0,128404,27)|0;ia=B;B=0;a:do if((((!(ia&1)?(B=0,ja=ya(k[(k[Y>>2]|0)+20>>2]|0,Y|0)|0,ka=B,B=0,!(ka&1)):0)?(B=0,ka=ya(427,ja|0)|0,ja=B,B=0,!(ja&1)):0)?(ja=Lta(ka)|0,B=0,la=Ia(40,ha|0,ka|0,ja|0)|0,ja=B,B=0,!(ja&1)):0)?(B=0,Xa(239,la|0,0)|0,la=B,B=0,!(la&1)):0){la=Ab(20)|0;B=0;eb(502,j|0,127077,81);ja=B;B=0;do if(!(ja&1)){B=0;eb(502,l|0,128489,28);ka=B;B=0;if(ka&1){ka=Rb()|0;ma=Q;Yua(j);na=ka;oa=ma;break}B=0;wa(510,m|0,_|0);ma=B;B=0;if(ma&1){ma=Rb()|0;pa=ma;qa=Q;ra=1}else{B=0;ua(163,la|0,j|0,l|0,6924,m|0);ma=B;B=0;if(ma&1)sa=1;else{B=0;eb(503,la|0,1240,229);B=0;sa=0}ma=Rb()|0;ka=Q;Yua(m);pa=ma;qa=ka;ra=sa}Yua(l);Yua(j);if(ra){na=pa;oa=qa}else{ta=pa;xa=qa;break a}}else{ka=Rb()|0;na=ka;oa=Q}while(0);zb(la|0);ta=na;xa=oa}else za=20;while(0);if((za|0)==20){ha=Rb()|0;ta=ha;xa=Q}k[i>>2]=27468;k[Z>>2]=27488;k[_>>2]=27560;Yua(ea);Ava(_);vva(Z);Aa=ta;Ba=xa;Qb(Aa|0)}while(0);ca=fa;da=ga;vva(Z);Qb(da|0)}rp(c,g,543,943);sp(c,h,943);rp(Y,f,536,943);Y=Rqa(96)|0;da=Rqa(192)|0;Z=Rqa(48)|0;ga=Rqa(48)|0;fa=Rqa(48)|0;ca=Rqa(48)|0;xa=Rqa(48)|0;ta=Rqa(48)|0;_=Rqa(48)|0;i=Rqa(48)|0;k[i>>2]=972;k[i+4>>2]=972;k[i+8>>2]=972;k[i+12>>2]=972;k[i+16>>2]=972;k[i+20>>2]=972;k[i+24>>2]=653;k[i+28>>2]=653;k[i+32>>2]=653;k[i+36>>2]=653;k[i+40>>2]=653;k[i+44>>2]=653;pp(c,e,85);oa=k[f>>2]|0;Ca=+p[b+(k[oa>>2]<<3)>>3];p[Y>>3]=Ca;p[Y+48>>3]=Ca;Ca=+p[b+(k[oa+4>>2]<<3)>>3];p[Y+8>>3]=Ca;p[Y+56>>3]=Ca;Ca=+p[b+(k[oa+8>>2]<<3)>>3];p[Y+16>>3]=Ca;p[Y+64>>3]=Ca;Ca=+p[b+(k[oa+12>>2]<<3)>>3];p[Y+24>>3]=Ca;p[Y+72>>3]=Ca;Ca=+p[b+(k[oa+16>>2]<<3)>>3];p[Y+32>>3]=Ca;p[Y+80>>3]=Ca;Ca=+p[b+(k[oa+20>>2]<<3)>>3];p[Y+40>>3]=Ca;p[Y+88>>3]=Ca;oa=k[g>>2]|0;p[da>>3]=+p[b+(k[oa>>2]<<3)>>3];p[da+8>>3]=+p[b+(k[oa+4>>2]<<3)>>3];p[da+16>>3]=+p[b+(k[oa+8>>2]<<3)>>3];p[da+24>>3]=+p[b+(k[oa+12>>2]<<3)>>3];p[da+32>>3]=+p[b+(k[oa+16>>2]<<3)>>3];p[da+40>>3]=+p[b+(k[oa+20>>2]<<3)>>3];p[da+48>>3]=+p[b+(k[oa+24>>2]<<3)>>3];p[da+56>>3]=+p[b+(k[oa+28>>2]<<3)>>3];p[da+64>>3]=+p[b+(k[oa+32>>2]<<3)>>3];p[da+72>>3]=+p[b+(k[oa+36>>2]<<3)>>3];p[da+80>>3]=+p[b+(k[oa+40>>2]<<3)>>3];p[da+88>>3]=+p[b+(k[oa+44>>2]<<3)>>3];p[da+96>>3]=+p[b+(k[oa+48>>2]<<3)>>3];p[da+104>>3]=+p[b+(k[oa+52>>2]<<3)>>3];p[da+112>>3]=+p[b+(k[oa+56>>2]<<3)>>3];p[da+120>>3]=+p[b+(k[oa+60>>2]<<3)>>3];p[da+128>>3]=+p[b+(k[oa+64>>2]<<3)>>3];p[da+136>>3]=+p[b+(k[oa+68>>2]<<3)>>3];oa=k[h>>2]|0;p[da+144>>3]=+p[b+(k[oa>>2]<<3)>>3];p[da+152>>3]=+p[b+(k[oa+4>>2]<<3)>>3];p[da+160>>3]=+p[b+(k[oa+8>>2]<<3)>>3];p[da+168>>3]=+p[b+(k[oa+12>>2]<<3)>>3];p[da+176>>3]=+p[b+(k[oa+16>>2]<<3)>>3];p[da+184>>3]=+p[b+(k[oa+20>>2]<<3)>>3];Eq(c,da,12,i);Dq(c,Y,6,971);Ca=+p[e>>3];e=0;while(1){oa=e*3|0;b=e<<1;Da=+p[da+(oa<<3)>>3]+ +p[Y+(b<<3)>>3];p[Z+(e<<3)>>3]=Da;Ea=+p[da+(oa+1<<3)>>3]+ +p[Y+((b|1)<<3)>>3];p[ga+(e<<3)>>3]=Ea;Fa=+p[da+(oa+2<<3)>>3];p[xa+(e<<3)>>3]=Fa;Ga=+p[da+(e+18<<3)>>3]*Ca;p[_+(e<<3)>>3]=Ga;Ha=+$(+Da);p[t>>3]=Ha;oa=k[t>>2]|0;b=k[t+4>>2]|0;if(b>>>0>2146435072|(b|0)==2146435072&oa>>>0>0){za=31;break}if((oa|0)==0&(b|0)==2146435072){za=55;break}Ha=+$(+Ea);p[t>>3]=Ha;b=k[t>>2]|0;oa=k[t+4>>2]|0;if(oa>>>0>2146435072|(oa|0)==2146435072&b>>>0>0){za=79;break}if((b|0)==0&(oa|0)==2146435072){za=103;break}Ha=+$(+Fa);p[t>>3]=Ha;oa=k[t>>2]|0;b=k[t+4>>2]|0;if(b>>>0>2146435072|(b|0)==2146435072&oa>>>0>0){za=127;break}if((oa|0)==0&(b|0)==2146435072){za=151;break}Ha=+$(+Ga);p[t>>3]=Ha;b=k[t>>2]|0;oa=k[t+4>>2]|0;if(oa>>>0>2146435072|(oa|0)==2146435072&b>>>0>0){za=175;break}e=e+1|0;if((b|0)==0&(oa|0)==2146435072){za=199;break}if((e|0)>=6){za=222;break}}if((za|0)==31){e=n+56|0;oa=n+4|0;k[n>>2]=27524;k[e>>2]=27544;B=0;wa(508,n+56|0,oa|0);b=B;B=0;if(b&1){b=Rb()|0;Ja=Q;Ka=b;vva(e);Qb(Ka|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[e>>2]=27488;B=0;va(448,oa|0);b=B;B=0;do if(b&1){na=Rb()|0;La=Q;Ma=na}else{k[oa>>2]=27560;na=n+36|0;k[na>>2]=0;k[na+4>>2]=0;k[na+8>>2]=0;k[na+12>>2]=0;k[n+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,oa|0,d|0);qa=B;B=0;if(qa&1){qa=Rb()|0;pa=Q;Yua(d);Yua(na);Ava(oa);La=pa;Ma=qa;break}Yua(d);B=0;qa=Ia(40,n|0,135564,28)|0;pa=B;B=0;b:do if(!(pa&1)?(B=0,Xa(239,qa|0,0)|0,ra=B,B=0,!(ra&1)):0){ra=Ab(20)|0;B=0;eb(502,o|0,127077,81);j=B;B=0;do if(!(j&1)){B=0;eb(502,q|0,128489,28);l=B;B=0;if(l&1){l=Rb()|0;sa=Q;Yua(o);Na=l;Oa=sa;break}B=0;wa(510,s|0,oa|0);sa=B;B=0;if(sa&1){sa=Rb()|0;Pa=1;Qa=sa;Ra=Q}else{B=0;ua(163,ra|0,o|0,q|0,6975,s|0);sa=B;B=0;if(sa&1)Sa=1;else{B=0;eb(503,ra|0,1240,229);B=0;Sa=0}sa=Rb()|0;l=Q;Yua(s);Pa=Sa;Qa=sa;Ra=l}Yua(q);Yua(o);if(Pa){Na=Qa;Oa=Ra}else{Ta=Qa;Ua=Ra;break b}}else{l=Rb()|0;Na=l;Oa=Q}while(0);zb(ra|0);Ta=Na;Ua=Oa}else za=46;while(0);if((za|0)==46){qa=Rb()|0;Ta=qa;Ua=Q}k[n>>2]=27468;k[e>>2]=27488;k[oa>>2]=27560;Yua(na);Ava(oa);vva(e);Aa=Ta;Ba=Ua;Qb(Aa|0)}while(0);Ja=La;Ka=Ma;vva(e);Qb(Ka|0)}else if((za|0)==55){Ka=u+56|0;e=u+4|0;k[u>>2]=27524;k[Ka>>2]=27544;B=0;wa(508,u+56|0,e|0);Ma=B;B=0;if(Ma&1){Ma=Rb()|0;Va=Q;Wa=Ma;vva(Ka);Qb(Wa|0)}k[u+128>>2]=0;k[u+132>>2]=-1;k[u>>2]=27468;k[Ka>>2]=27488;B=0;va(448,e|0);Ma=B;B=0;do if(Ma&1){La=Rb()|0;Ya=Q;Za=La}else{k[e>>2]=27560;La=u+36|0;k[La>>2]=0;k[La+4>>2]=0;k[La+8>>2]=0;k[La+12>>2]=0;k[u+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,e|0,d|0);Ja=B;B=0;if(Ja&1){Ja=Rb()|0;Ua=Q;Yua(d);Yua(La);Ava(e);Ya=Ua;Za=Ja;break}Yua(d);B=0;Ja=Ia(40,u|0,135593,28)|0;Ua=B;B=0;c:do if(!(Ua&1)?(B=0,Xa(239,Ja|0,0)|0,Ta=B,B=0,!(Ta&1)):0){Ta=Ab(20)|0;B=0;eb(502,v|0,127077,81);oa=B;B=0;do if(!(oa&1)){B=0;eb(502,w|0,128489,28);n=B;B=0;if(n&1){n=Rb()|0;Oa=Q;Yua(v);_a=n;$a=Oa;break}B=0;wa(510,x|0,e|0);Oa=B;B=0;if(Oa&1){Oa=Rb()|0;ab=1;bb=Oa;cb=Q}else{B=0;ua(163,Ta|0,v|0,w|0,6976,x|0);Oa=B;B=0;if(Oa&1)db=1;else{B=0;eb(503,Ta|0,1240,229);B=0;db=0}Oa=Rb()|0;n=Q;Yua(x);ab=db;bb=Oa;cb=n}Yua(w);Yua(v);if(ab){_a=bb;$a=cb}else{fb=bb;gb=cb;break c}}else{n=Rb()|0;_a=n;$a=Q}while(0);zb(Ta|0);fb=_a;gb=$a}else za=70;while(0);if((za|0)==70){Ja=Rb()|0;fb=Ja;gb=Q}k[u>>2]=27468;k[Ka>>2]=27488;k[e>>2]=27560;Yua(La);Ava(e);vva(Ka);Aa=fb;Ba=gb;Qb(Aa|0)}while(0);Va=Ya;Wa=Za;vva(Ka);Qb(Wa|0)}else if((za|0)==79){Wa=y+56|0;Ka=y+4|0;k[y>>2]=27524;k[Wa>>2]=27544;B=0;wa(508,y+56|0,Ka|0);Za=B;B=0;if(Za&1){Za=Rb()|0;hb=Q;ib=Za;vva(Wa);Qb(ib|0)}k[y+128>>2]=0;k[y+132>>2]=-1;k[y>>2]=27468;k[Wa>>2]=27488;B=0;va(448,Ka|0);Za=B;B=0;do if(Za&1){Ya=Rb()|0;jb=Q;kb=Ya}else{k[Ka>>2]=27560;Ya=y+36|0;k[Ya>>2]=0;k[Ya+4>>2]=0;k[Ya+8>>2]=0;k[Ya+12>>2]=0;k[y+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Ka|0,d|0);Va=B;B=0;if(Va&1){Va=Rb()|0;gb=Q;Yua(d);Yua(Ya);Ava(Ka);jb=gb;kb=Va;break}Yua(d);B=0;Va=Ia(40,y|0,135564,28)|0;gb=B;B=0;d:do if(!(gb&1)?(B=0,Xa(239,Va|0,0)|0,fb=B,B=0,!(fb&1)):0){fb=Ab(20)|0;B=0;eb(502,z|0,127077,81);e=B;B=0;do if(!(e&1)){B=0;eb(502,A|0,128489,28);u=B;B=0;if(u&1){u=Rb()|0;$a=Q;Yua(z);lb=u;mb=$a;break}B=0;wa(510,C|0,Ka|0);$a=B;B=0;if($a&1){$a=Rb()|0;nb=1;ob=$a;pb=Q}else{B=0;ua(163,fb|0,z|0,A|0,6977,C|0);$a=B;B=0;if($a&1)qb=1;else{B=0;eb(503,fb|0,1240,229);B=0;qb=0}$a=Rb()|0;u=Q;Yua(C);nb=qb;ob=$a;pb=u}Yua(A);Yua(z);if(nb){lb=ob;mb=pb}else{rb=ob;sb=pb;break d}}else{u=Rb()|0;lb=u;mb=Q}while(0);zb(fb|0);rb=lb;sb=mb}else za=94;while(0);if((za|0)==94){Va=Rb()|0;rb=Va;sb=Q}k[y>>2]=27468;k[Wa>>2]=27488;k[Ka>>2]=27560;Yua(Ya);Ava(Ka);vva(Wa);Aa=rb;Ba=sb;Qb(Aa|0)}while(0);hb=jb;ib=kb;vva(Wa);Qb(ib|0)}else if((za|0)==103){ib=D+56|0;Wa=D+4|0;k[D>>2]=27524;k[ib>>2]=27544;B=0;wa(508,D+56|0,Wa|0);kb=B;B=0;if(kb&1){kb=Rb()|0;tb=Q;ub=kb;vva(ib);Qb(ub|0)}k[D+128>>2]=0;k[D+132>>2]=-1;k[D>>2]=27468;k[ib>>2]=27488;B=0;va(448,Wa|0);kb=B;B=0;do if(kb&1){jb=Rb()|0;vb=Q;wb=jb}else{k[Wa>>2]=27560;jb=D+36|0;k[jb>>2]=0;k[jb+4>>2]=0;k[jb+8>>2]=0;k[jb+12>>2]=0;k[D+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Wa|0,d|0);hb=B;B=0;if(hb&1){hb=Rb()|0;sb=Q;Yua(d);Yua(jb);Ava(Wa);vb=sb;wb=hb;break}Yua(d);B=0;hb=Ia(40,D|0,135593,28)|0;sb=B;B=0;e:do if(!(sb&1)?(B=0,Xa(239,hb|0,0)|0,rb=B,B=0,!(rb&1)):0){rb=Ab(20)|0;B=0;eb(502,E|0,127077,81);Ka=B;B=0;do if(!(Ka&1)){B=0;eb(502,F|0,128489,28);y=B;B=0;if(y&1){y=Rb()|0;mb=Q;Yua(E);xb=y;yb=mb;break}B=0;wa(510,G|0,Wa|0);mb=B;B=0;if(mb&1){mb=Rb()|0;Bb=1;Cb=mb;Db=Q}else{B=0;ua(163,rb|0,E|0,F|0,6978,G|0);mb=B;B=0;if(mb&1)Eb=1;else{B=0;eb(503,rb|0,1240,229);B=0;Eb=0}mb=Rb()|0;y=Q;Yua(G);Bb=Eb;Cb=mb;Db=y}Yua(F);Yua(E);if(Bb){xb=Cb;yb=Db}else{Fb=Cb;Gb=Db;break e}}else{y=Rb()|0;xb=y;yb=Q}while(0);zb(rb|0);Fb=xb;Gb=yb}else za=118;while(0);if((za|0)==118){hb=Rb()|0;Fb=hb;Gb=Q}k[D>>2]=27468;k[ib>>2]=27488;k[Wa>>2]=27560;Yua(jb);Ava(Wa);vva(ib);Aa=Fb;Ba=Gb;Qb(Aa|0)}while(0);tb=vb;ub=wb;vva(ib);Qb(ub|0)}else if((za|0)==127){ub=H+56|0;ib=H+4|0;k[H>>2]=27524;k[ub>>2]=27544;B=0;wa(508,H+56|0,ib|0);wb=B;B=0;if(wb&1){wb=Rb()|0;Hb=Q;Ib=wb;vva(ub);Qb(Ib|0)}k[H+128>>2]=0;k[H+132>>2]=-1;k[H>>2]=27468;k[ub>>2]=27488;B=0;va(448,ib|0);wb=B;B=0;do if(wb&1){vb=Rb()|0;Jb=Q;Kb=vb}else{k[ib>>2]=27560;vb=H+36|0;k[vb>>2]=0;k[vb+4>>2]=0;k[vb+8>>2]=0;k[vb+12>>2]=0;k[H+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,ib|0,d|0);tb=B;B=0;if(tb&1){tb=Rb()|0;Gb=Q;Yua(d);Yua(vb);Ava(ib);Jb=Gb;Kb=tb;break}Yua(d);B=0;tb=Ia(40,H|0,135564,28)|0;Gb=B;B=0;f:do if(!(Gb&1)?(B=0,Xa(239,tb|0,0)|0,Fb=B,B=0,!(Fb&1)):0){Fb=Ab(20)|0;B=0;eb(502,I|0,127077,81);Wa=B;B=0;do if(!(Wa&1)){B=0;eb(502,J|0,128489,28);D=B;B=0;if(D&1){D=Rb()|0;yb=Q;Yua(I);Lb=D;Mb=yb;break}B=0;wa(510,K|0,ib|0);yb=B;B=0;if(yb&1){yb=Rb()|0;Nb=1;Ob=yb;Pb=Q}else{B=0;ua(163,Fb|0,I|0,J|0,6979,K|0);yb=B;B=0;if(yb&1)Sb=1;else{B=0;eb(503,Fb|0,1240,229);B=0;Sb=0}yb=Rb()|0;D=Q;Yua(K);Nb=Sb;Ob=yb;Pb=D}Yua(J);Yua(I);if(Nb){Lb=Ob;Mb=Pb}else{Tb=Ob;Ub=Pb;break f}}else{D=Rb()|0;Lb=D;Mb=Q}while(0);zb(Fb|0);Tb=Lb;Ub=Mb}else za=142;while(0);if((za|0)==142){tb=Rb()|0;Tb=tb;Ub=Q}k[H>>2]=27468;k[ub>>2]=27488;k[ib>>2]=27560;Yua(vb);Ava(ib);vva(ub);Aa=Tb;Ba=Ub;Qb(Aa|0)}while(0);Hb=Jb;Ib=Kb;vva(ub);Qb(Ib|0)}else if((za|0)==151){Ib=L+56|0;ub=L+4|0;k[L>>2]=27524;k[Ib>>2]=27544;B=0;wa(508,L+56|0,ub|0);Kb=B;B=0;if(Kb&1){Kb=Rb()|0;Vb=Q;Wb=Kb;vva(Ib);Qb(Wb|0)}k[L+128>>2]=0;k[L+132>>2]=-1;k[L>>2]=27468;k[Ib>>2]=27488;B=0;va(448,ub|0);Kb=B;B=0;do if(Kb&1){Jb=Rb()|0;Xb=Q;Yb=Jb}else{k[ub>>2]=27560;Jb=L+36|0;k[Jb>>2]=0;k[Jb+4>>2]=0;k[Jb+8>>2]=0;k[Jb+12>>2]=0;k[L+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,ub|0,d|0);Hb=B;B=0;if(Hb&1){Hb=Rb()|0;Ub=Q;Yua(d);Yua(Jb);Ava(ub);Xb=Ub;Yb=Hb;break}Yua(d);B=0;Hb=Ia(40,L|0,135593,28)|0;Ub=B;B=0;g:do if(!(Ub&1)?(B=0,Xa(239,Hb|0,0)|0,Tb=B,B=0,!(Tb&1)):0){Tb=Ab(20)|0;B=0;eb(502,M|0,127077,81);ib=B;B=0;do if(!(ib&1)){B=0;eb(502,N|0,128489,28);H=B;B=0;if(H&1){H=Rb()|0;Mb=Q;Yua(M);Zb=H;_b=Mb;break}B=0;wa(510,O|0,ub|0);Mb=B;B=0;if(Mb&1){Mb=Rb()|0;$b=1;ac=Mb;bc=Q}else{B=0;ua(163,Tb|0,M|0,N|0,6980,O|0);Mb=B;B=0;if(Mb&1)cc=1;else{B=0;eb(503,Tb|0,1240,229);B=0;cc=0}Mb=Rb()|0;H=Q;Yua(O);$b=cc;ac=Mb;bc=H}Yua(N);Yua(M);if($b){Zb=ac;_b=bc}else{dc=ac;ec=bc;break g}}else{H=Rb()|0;Zb=H;_b=Q}while(0);zb(Tb|0);dc=Zb;ec=_b}else za=166;while(0);if((za|0)==166){Hb=Rb()|0;dc=Hb;ec=Q}k[L>>2]=27468;k[Ib>>2]=27488;k[ub>>2]=27560;Yua(Jb);Ava(ub);vva(Ib);Aa=dc;Ba=ec;Qb(Aa|0)}while(0);Vb=Xb;Wb=Yb;vva(Ib);Qb(Wb|0)}else if((za|0)==175){Wb=P+56|0;Ib=P+4|0;k[P>>2]=27524;k[Wb>>2]=27544;B=0;wa(508,P+56|0,Ib|0);Yb=B;B=0;if(Yb&1){Yb=Rb()|0;fc=Q;gc=Yb;vva(Wb);Qb(gc|0)}k[P+128>>2]=0;k[P+132>>2]=-1;k[P>>2]=27468;k[Wb>>2]=27488;B=0;va(448,Ib|0);Yb=B;B=0;do if(Yb&1){Xb=Rb()|0;hc=Q;ic=Xb}else{k[Ib>>2]=27560;Xb=P+36|0;k[Xb>>2]=0;k[Xb+4>>2]=0;k[Xb+8>>2]=0;k[Xb+12>>2]=0;k[P+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Ib|0,d|0);Vb=B;B=0;if(Vb&1){Vb=Rb()|0;ec=Q;Yua(d);Yua(Xb);Ava(Ib);hc=ec;ic=Vb;break}Yua(d);B=0;Vb=Ia(40,P|0,135564,28)|0;ec=B;B=0;h:do if(!(ec&1)?(B=0,Xa(239,Vb|0,0)|0,dc=B,B=0,!(dc&1)):0){dc=Ab(20)|0;B=0;eb(502,R|0,127077,81);ub=B;B=0;do if(!(ub&1)){B=0;eb(502,S|0,128489,28);L=B;B=0;if(L&1){L=Rb()|0;_b=Q;Yua(R);jc=L;kc=_b;break}B=0;wa(510,T|0,Ib|0);_b=B;B=0;if(_b&1){_b=Rb()|0;lc=1;mc=_b;nc=Q}else{B=0;ua(163,dc|0,R|0,S|0,6981,T|0);_b=B;B=0;if(_b&1)oc=1;else{B=0;eb(503,dc|0,1240,229);B=0;oc=0}_b=Rb()|0;L=Q;Yua(T);lc=oc;mc=_b;nc=L}Yua(S);Yua(R);if(lc){jc=mc;kc=nc}else{pc=mc;qc=nc;break h}}else{L=Rb()|0;jc=L;kc=Q}while(0);zb(dc|0);pc=jc;qc=kc}else za=190;while(0);if((za|0)==190){Vb=Rb()|0;pc=Vb;qc=Q}k[P>>2]=27468;k[Wb>>2]=27488;k[Ib>>2]=27560;Yua(Xb);Ava(Ib);vva(Wb);Aa=pc;Ba=qc;Qb(Aa|0)}while(0);fc=hc;gc=ic;vva(Wb);Qb(gc|0)}else if((za|0)==199){gc=U+56|0;Wb=U+4|0;k[U>>2]=27524;k[gc>>2]=27544;B=0;wa(508,U+56|0,Wb|0);ic=B;B=0;if(ic&1){ic=Rb()|0;rc=Q;sc=ic;vva(gc);Qb(sc|0)}k[U+128>>2]=0;k[U+132>>2]=-1;k[U>>2]=27468;k[gc>>2]=27488;B=0;va(448,Wb|0);ic=B;B=0;do if(ic&1){hc=Rb()|0;tc=Q;uc=hc}else{k[Wb>>2]=27560;hc=U+36|0;k[hc>>2]=0;k[hc+4>>2]=0;k[hc+8>>2]=0;k[hc+12>>2]=0;k[U+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Wb|0,d|0);fc=B;B=0;if(fc&1){fc=Rb()|0;qc=Q;Yua(d);Yua(hc);Ava(Wb);tc=qc;uc=fc;break}Yua(d);B=0;fc=Ia(40,U|0,135593,28)|0;qc=B;B=0;i:do if(!(qc&1)?(B=0,Xa(239,fc|0,0)|0,pc=B,B=0,!(pc&1)):0){pc=Ab(20)|0;B=0;eb(502,V|0,127077,81);Ib=B;B=0;do if(!(Ib&1)){B=0;eb(502,W|0,128489,28);P=B;B=0;if(P&1){P=Rb()|0;kc=Q;Yua(V);vc=P;wc=kc;break}B=0;wa(510,X|0,Wb|0);kc=B;B=0;if(kc&1){kc=Rb()|0;xc=1;yc=kc;zc=Q}else{B=0;ua(163,pc|0,V|0,W|0,6982,X|0);kc=B;B=0;if(kc&1)Ac=1;else{B=0;eb(503,pc|0,1240,229);B=0;Ac=0}kc=Rb()|0;P=Q;Yua(X);xc=Ac;yc=kc;zc=P}Yua(W);Yua(V);if(xc){vc=yc;wc=zc}else{Bc=yc;Cc=zc;break i}}else{P=Rb()|0;vc=P;wc=Q}while(0);zb(pc|0);Bc=vc;Cc=wc}else za=214;while(0);if((za|0)==214){fc=Rb()|0;Bc=fc;Cc=Q}k[U>>2]=27468;k[gc>>2]=27488;k[Wb>>2]=27560;Yua(hc);Ava(Wb);vva(gc);Aa=Bc;Ba=Cc;Qb(Aa|0)}while(0);rc=tc;sc=uc;vva(gc);Qb(sc|0)}else if((za|0)==222){xp(c,ca,680);Ca=+p[ca>>3]+ +p[xa>>3];p[fa>>3]=Ca;Ha=+p[Z>>3];Ga=+p[ga>>3];Fa=+aa(+(Ca*Ca+(Ha*Ha+Ga*Ga)));p[ta>>3]=Fa;Fa=+p[ca+8>>3]+ +p[xa+8>>3];p[fa+8>>3]=Fa;Ga=+p[Z+8>>3];Ha=+p[ga+8>>3];Ca=+aa(+(Fa*Fa+(Ga*Ga+Ha*Ha)));p[ta+8>>3]=Ca;Ca=+p[ca+16>>3]+ +p[xa+16>>3];p[fa+16>>3]=Ca;Ha=+p[Z+16>>3];Ga=+p[ga+16>>3];Fa=+aa(+(Ca*Ca+(Ha*Ha+Ga*Ga)));p[ta+16>>3]=Fa;Fa=+p[ca+24>>3]+ +p[xa+24>>3];p[fa+24>>3]=Fa;Ga=+p[Z+24>>3];Ha=+p[ga+24>>3];Ca=+aa(+(Fa*Fa+(Ga*Ga+Ha*Ha)));p[ta+24>>3]=Ca;Ca=+p[ca+32>>3]+ +p[xa+32>>3];p[fa+32>>3]=Ca;Ha=+p[Z+32>>3];Ga=+p[ga+32>>3];Fa=+aa(+(Ca*Ca+(Ha*Ha+Ga*Ga)));p[ta+32>>3]=Fa;Fa=+p[ca+40>>3]+ +p[xa+40>>3];p[fa+40>>3]=Fa;Ga=+p[Z+40>>3];Ha=+p[ga+40>>3];Ca=+aa(+(Fa*Fa+(Ga*Ga+Ha*Ha)));p[ta+40>>3]=Ca;Pp(c,674,675);Pp(c,677,678);Pp(c,679,682);Pp(c,653,654);rd[k[(k[c>>2]|0)+48>>2]&511](c,674,Z,738);rd[k[(k[c>>2]|0)+48>>2]&511](c,677,ga,738);rd[k[(k[c>>2]|0)+48>>2]&511](c,679,fa,738);rd[k[(k[c>>2]|0)+48>>2]&511](c,683,xa,738);rd[k[(k[c>>2]|0)+48>>2]&511](c,671,ta,738);rd[k[(k[c>>2]|0)+48>>2]&511](c,653,_,738);Tqa(_);Tqa(ta);Tqa(fa);Tqa(ca);Tqa(xa);Tqa(ga);Tqa(Z);Tqa(da);Tqa(Y);Y=k[h>>2]|0;if(Y)Tqa(Y);k[h>>2]=0;h=k[g>>2]|0;if(h)Tqa(h);k[g>>2]=0;g=k[f>>2]|0;if(!g){k[f>>2]=0;Tqa(i);r=a;return}Tqa(g);k[f>>2]=0;Tqa(i);r=a;return}}function G9(a,b){a=a|0;b=b|0;RZ(b);return}function H9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0.0,T=0.0;a=r;r=r+240|0;c=a+224|0;d=a+220|0;e=a+32|0;f=a+24|0;g=a+16|0;h=a+8|0;i=a;j=a+216|0;l=a+80|0;m=a+64|0;n=a+52|0;o=a+40|0;if(!($p(b)|0)){q=0;r=a;return q|0}k[j>>2]=0;cp(b,d,298);switch(k[d>>2]|0){case 301:{s=1;t=1;break}case 300:{s=3;t=2;break}case 302:{s=3;t=2;break}default:{u=l+56|0;v=l+4|0;k[l>>2]=27524;k[u>>2]=27544;B=0;wa(508,l+56|0,v|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;y=w;vva(u);Qb(y|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[u>>2]=27488;B=0;va(448,v|0);w=B;B=0;do if(w&1){z=Rb()|0;A=Q;C=z}else{k[v>>2]=27560;z=l+36|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;k[z+12>>2]=0;k[l+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,v|0,c|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(c);Yua(z);Ava(v);A=E;C=D;break}Yua(c);B=0;D=Ia(40,l|0,144639,5)|0;E=B;B=0;if((((!(E&1)?(B=0,E=ya(427,k[d>>2]|0)|0,F=B,B=0,!(F&1)):0)?(F=Lta(E)|0,B=0,G=Ia(40,D|0,E|0,F|0)|0,F=B,B=0,!(F&1)):0)?(B=0,F=Ia(40,G|0,146481,18)|0,G=B,B=0,!(G&1)):0)?(B=0,Xa(239,F|0,0)|0,F=B,B=0,!(F&1)):0){F=Ab(20)|0;B=0;eb(502,m|0,127077,81);G=B;B=0;do if(!(G&1)){B=0;eb(502,n|0,128518,23);E=B;B=0;if(E&1){E=Rb()|0;D=Q;Yua(m);H=E;I=D;break}B=0;wa(510,o|0,v|0);D=B;B=0;if(D&1){D=Rb()|0;J=D;K=Q;L=1}else{B=0;ua(163,F|0,m|0,n|0,1432,o|0);D=B;B=0;if(D&1)M=1;else{B=0;eb(503,F|0,1240,229);B=0;M=0}D=Rb()|0;E=Q;Yua(o);J=D;K=E;L=M}Yua(n);Yua(m);if(L){H=J;I=K}else{N=J;O=K;k[l>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(z);Ava(v);vva(u);Qb(N|0)}}else{E=Rb()|0;H=E;I=Q}while(0);zb(F|0);N=H;O=I;k[l>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(z);Ava(v);vva(u);Qb(N|0)}G=Rb()|0;N=G;O=Q;k[l>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(z);Ava(v);vva(u);Qb(N|0)}while(0);x=A;y=C;vva(u);Qb(y|0)}}y=ma(Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0,t)|0;u=gq(b,536)|0;C=ma(y,s)|0;A=C>>>0>536870911?-1:C<<3;C=Rqa(A)|0;x=Rqa(A)|0;A=(ma(s,s)|0)<<3;N=Rqa(A)|0;WEa(N|0,0,A|0)|0;Uo(b,j);A=Wo(b,353)|0;v=Wo(b,674)|0;l=Wo(b,675)|0;O=(t|0)==2;if(O){I=Wo(b,677)|0;P=I;R=Wo(b,678)|0}else{P=0;R=0}pp(b,g,87);I=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;H=Hc[k[(k[I>>2]|0)+8>>2]&511](I)|0;if((H|0)<(Hc[k[(k[I>>2]|0)+12>>2]&511](I)|0)){K=b+28|0;J=I+8|0;L=u+12|0;m=H;do{Fc[k[(k[I>>2]|0)+24>>2]&1023](I,m);rd[k[(k[b>>2]|0)+260>>2]&511](b,i,k[j>>2]|0,I);J9(0,C,b,t,k[j>>2]|0,I);K9(0,x,b,t,k[j>>2]|0,I);H=k[K>>2]|0;ad[k[(k[H>>2]|0)+128>>2]&63](H,e,t,k[j>>2]|0,I,v,P);H=k[K>>2]|0;ad[k[(k[H>>2]|0)+128>>2]&63](H,f,t,k[j>>2]|0,I,l,R);nd[k[(k[A>>2]|0)+48>>2]&1023](A,h,I);S=+p[e>>3];T=+p[i>>3]*(+p[J>>3]*(+p[h>>3]*((S+ +p[g>>3]*(S-+p[f>>3]))*2.0)));H=0;do{n=N+((ma(H,s)|0)+H<<3)|0;p[n>>3]=T;H=H+1|0}while((H|0)<(s|0));ZX(C,s,y,1,N,s,s,0,x,s,y,0,k[L>>2]|0,1)|0;m=m+1|0}while((m|0)<(Hc[k[(k[I>>2]|0)+12>>2]&511](I)|0))}if(O)Fq(b,u,971);Ec[k[(k[I>>2]|0)+4>>2]&1023](I);I=k[j>>2]|0;if(I)Tqa(I);k[j>>2]=0;Tqa(N);Tqa(x);Tqa(C);q=u;r=a;return q|0}function I9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0.0,Z=0,_=0.0,$=0,aa=0,ba=0.0;a=r;r=r+256|0;c=a+232|0;d=a+228|0;e=a+244|0;f=a+224|0;g=a+220|0;h=a+32|0;j=a+24|0;l=a+16|0;m=a+8|0;n=a;o=a+216|0;q=a+80|0;s=a+64|0;t=a+52|0;u=a+40|0;if(_p(b)|0){v=0;r=a;return v|0}if(!($p(b)|0)){v=0;r=a;return v|0}k[o>>2]=0;cp(b,d,298);switch(k[d>>2]|0){case 301:{w=1;break}case 300:{w=2;break}case 302:{w=2;break}default:{x=q+56|0;y=q+4|0;k[q>>2]=27524;k[x>>2]=27544;B=0;wa(508,q+56|0,y|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;C=z;vva(x);Qb(C|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[x>>2]=27488;B=0;va(448,y|0);z=B;B=0;do if(z&1){D=Rb()|0;E=Q;F=D}else{k[y>>2]=27560;D=q+36|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;k[D+12>>2]=0;k[q+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,y|0,c|0);G=B;B=0;if(G&1){G=Rb()|0;H=Q;Yua(c);Yua(D);Ava(y);E=H;F=G;break}Yua(c);B=0;G=Ia(40,q|0,144639,5)|0;H=B;B=0;a:do if((((!(H&1)?(B=0,I=ya(427,k[d>>2]|0)|0,J=B,B=0,!(J&1)):0)?(J=Lta(I)|0,B=0,K=Ia(40,G|0,I|0,J|0)|0,J=B,B=0,!(J&1)):0)?(B=0,J=Ia(40,K|0,146481,18)|0,K=B,B=0,!(K&1)):0)?(B=0,Xa(239,J|0,0)|0,J=B,B=0,!(J&1)):0){J=Ab(20)|0;B=0;eb(502,s|0,127077,81);K=B;B=0;do if(!(K&1)){B=0;eb(502,t|0,128542,24);I=B;B=0;if(I&1){I=Rb()|0;L=Q;Yua(s);M=I;N=L;break}B=0;wa(510,u|0,y|0);L=B;B=0;if(L&1){L=Rb()|0;O=L;P=Q;R=1}else{B=0;ua(163,J|0,s|0,t|0,1284,u|0);L=B;B=0;if(L&1)S=1;else{B=0;eb(503,J|0,1240,229);B=0;S=0}L=Rb()|0;I=Q;Yua(u);O=L;P=I;R=S}Yua(t);Yua(s);if(R){M=O;N=P}else{T=O;U=P;break a}}else{I=Rb()|0;M=I;N=Q}while(0);zb(J|0);T=M;U=N}else V=24;while(0);if((V|0)==24){G=Rb()|0;T=G;U=Q}k[q>>2]=27468;k[x>>2]=27488;k[y>>2]=27560;Yua(D);Ava(y);vva(x);W=T;X=U;Qb(W|0)}while(0);A=E;C=F;vva(x);Qb(C|0)}}C=ma(Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0,w)|0;x=gq(b,536)|0;F=ma(C,w)|0;E=Rqa(F>>>0>536870911?-1:F<<3)|0;F=ma(w,w)|0;A=F<<3;U=Rqa(A)|0;if(F)WEa(U|0,0,A|0)|0;Uo(b,o);cp(b,f,942);Wo(b,339)|0;A=Qqa(16)|0;B=0;eb(524,A|0,b|0,1);F=B;B=0;if(F&1){F=Rb()|0;T=Q;Sqa(A);W=F;X=T;Qb(W|0)}W=k[f>>2]|0;if((W|0)==924){Y=+id[k[(k[b>>2]|0)+136>>2]&63](b,k[o>>2]|0);Z=k[f>>2]|0;_=Y}else{Z=W;_=1.0}if((Z|0)==925){Z=Wo(b,928)|0;Dc[k[(k[b>>2]|0)+132>>2]&255](b,g,l,m,e);$=hd[k[(k[b>>2]|0)+320>>2]&7](b,k[g>>2]|0,+p[l>>3],+p[m>>3],(i[e>>0]|0)!=0,2)|0;aa=Z}else{$=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;aa=0}Z=Hc[k[(k[$>>2]|0)+8>>2]&511]($)|0;b:do if((Z|0)<(Hc[k[(k[$>>2]|0)+12>>2]&511]($)|0)){e=(w|0)==2;m=$+8|0;l=x+12|0;g=Z;while(1){Fc[k[(k[$>>2]|0)+24>>2]&1023]($,g);fla(A,h,$);switch(k[f>>2]|0){case 924:{p[h>>3]=_*+p[h>>3];break}case 925:{nd[k[(k[aa>>2]|0)+48>>2]&1023](aa,n,$);if(+p[n>>3]<0.0)p[h>>3]=0.0;break}default:{}}W=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;T=Rqa(W>>>0>536870911?-1:W<<3)|0;nd[k[(k[b>>2]|0)+336>>2]&1023](b,T,$);X=(W|0)>0;if(e){if(X){F=W<<1;y=0;do{Y=+p[T+(y<<3)>>3];q=y<<1;p[E+(q<<3)>>3]=Y;p[E+((q|1)<<3)>>3]=0.0;V=q+F|0;p[E+(V<<3)>>3]=0.0;p[E+((V|1)<<3)>>3]=Y;y=y+1|0}while((y|0)!=(W|0))}}else if(X)TEa(E|0,T|0,W<<3|0)|0;Tqa(T);rd[k[(k[b>>2]|0)+260>>2]&511](b,j,k[o>>2]|0,$);Y=+p[h>>3];ba=+p[j>>3];y=0;do{F=U+((ma(y,w)|0)+y<<3)|0;p[F>>3]=Y*+p[m>>3]*ba;y=y+1|0}while((y|0)<(w|0));ZX(E,w,C,1,U,w,w,0,E,w,C,0,k[l>>2]|0,1)|0;g=g+1|0;if((g|0)>=(Hc[k[(k[$>>2]|0)+12>>2]&511]($)|0))break b}}while(0);if((w|0)==2)Fq(b,x,971);Ec[k[(k[$>>2]|0)+4>>2]&1023]($);bla(A);Sqa(A);A=k[o>>2]|0;if(A)Tqa(A);k[o>>2]=0;Tqa(E);Tqa(U);v=x;r=a;return v|0}function J9(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0.0,j=0.0;a=Hc[k[(k[c>>2]|0)+164>>2]&511](c)|0;g=ma(a,d)|0;h=Rqa(g>>>0>536870911?-1:g<<3)|0;rd[k[(k[c>>2]|0)+340>>2]&511](c,h,e,f);f=(a|0)>0;if((d|0)!=2){if(!f){Tqa(h);return}TEa(b|0,h|0,a<<3|0)|0;Tqa(h);return}if(!f){Tqa(h);return}f=a<<1;d=a<<2;e=0;do{i=+p[h+(e<<3)>>3];c=e<<1;p[b+(c<<3)>>3]=i;p[b+((c|1)<<3)>>3]=0.0;g=c+f|0;p[b+(g<<3)>>3]=0.0;j=+p[h+(e+a<<3)>>3];p[b+((g|1)<<3)>>3]=j;g=c+d|0;p[b+(g<<3)>>3]=j*.5;p[b+((g|1)<<3)>>3]=i*.5;e=e+1|0}while((e|0)!=(a|0));Tqa(h);return}function K9(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0.0,l=0.0;a=Hc[k[(k[c>>2]|0)+164>>2]&511](c)|0;g=ma(a,d)|0;h=Rqa(g>>>0>536870911?-1:g<<3)|0;rd[k[(k[c>>2]|0)+340>>2]&511](c,h,e,f);f=(a|0)>0;if((d|0)!=2){if(f)i=0;else{Tqa(h);return}do{p[b+(i<<3)>>3]=+p[h+(i<<3)>>3]*2.0;i=i+1|0}while((i|0)!=(a|0));Tqa(h);return}if(!f){Tqa(h);return}f=a<<1;i=a<<2;d=0;do{j=+p[h+(d<<3)>>3];e=d<<1;p[b+(e<<3)>>3]=j*2.0;l=+p[h+(d+a<<3)>>3];p[b+((e|1)<<3)>>3]=l;c=e+f|0;p[b+(c<<3)>>3]=j;p[b+((c|1)<<3)>>3]=l*2.0;c=e+i|0;p[b+(c<<3)>>3]=l;p[b+((c|1)<<3)>>3]=j;d=d+1|0}while((d|0)!=(a|0));Tqa(h);return}function L9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0.0,O=0.0;a=r;r=r+240|0;c=a+216|0;d=a+212|0;e=a+24|0;f=a+16|0;g=a;h=a+208|0;i=a+72|0;j=a+56|0;l=a+44|0;m=a+32|0;if(!($p(b)|0)){n=0;r=a;return n|0}k[h>>2]=0;cp(b,d,298);switch(k[d>>2]|0){case 301:{o=1;break}case 300:{o=2;break}case 302:{o=2;break}default:{q=i+56|0;s=i+4|0;k[i>>2]=27524;k[q>>2]=27544;B=0;wa(508,i+56|0,s|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;v=t;vva(q);Qb(v|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[q>>2]=27488;B=0;va(448,s|0);t=B;B=0;do if(t&1){w=Rb()|0;x=Q;y=w}else{k[s>>2]=27560;w=i+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[i+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,s|0,c|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(c);Yua(w);Ava(s);x=A;y=z;break}Yua(c);B=0;z=Ia(40,i|0,144639,5)|0;A=B;B=0;if((((!(A&1)?(B=0,A=ya(427,k[d>>2]|0)|0,C=B,B=0,!(C&1)):0)?(C=Lta(A)|0,B=0,D=Ia(40,z|0,A|0,C|0)|0,C=B,B=0,!(C&1)):0)?(B=0,C=Ia(40,D|0,146481,18)|0,D=B,B=0,!(D&1)):0)?(B=0,Xa(239,C|0,0)|0,C=B,B=0,!(C&1)):0){C=Ab(20)|0;B=0;eb(502,j|0,127077,81);D=B;B=0;do if(!(D&1)){B=0;eb(502,l|0,128567,29);A=B;B=0;if(A&1){A=Rb()|0;z=Q;Yua(j);E=A;F=z;break}B=0;wa(510,m|0,s|0);z=B;B=0;if(z&1){z=Rb()|0;G=z;H=Q;I=1}else{B=0;ua(163,C|0,j|0,l|0,1541,m|0);z=B;B=0;if(z&1)J=1;else{B=0;eb(503,C|0,1240,229);B=0;J=0}z=Rb()|0;A=Q;Yua(m);G=z;H=A;I=J}Yua(l);Yua(j);if(I){E=G;F=H}else{K=G;L=H;k[i>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(q);Qb(K|0)}}else{A=Rb()|0;E=A;F=Q}while(0);zb(C|0);K=E;L=F;k[i>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(q);Qb(K|0)}D=Rb()|0;K=D;L=Q;k[i>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(q);Qb(K|0)}while(0);u=x;v=y;vva(q);Qb(v|0)}}v=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;q=iq(b,536)|0;y=Rqa(v>>>0>536870911?-1:v<<3)|0;Uo(b,h);x=Wo(b,353)|0;u=Wo(b,339)|0;M=+Dp(b,265);N=+Dp(b,65);K=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;s=Hc[k[(k[K>>2]|0)+8>>2]&511](K)|0;if((s|0)<(Hc[k[(k[K>>2]|0)+12>>2]&511](K)|0)){i=(v|0)>0;O=-(M*N);L=K+8|0;F=q+4|0;E=(o|0)==2;H=g+8|0;G=s;do{Fc[k[(k[K>>2]|0)+24>>2]&1023](K,G);rd[k[(k[b>>2]|0)+260>>2]&511](b,f,k[h>>2]|0,K);nd[k[(k[b>>2]|0)+336>>2]&1023](b,y,K);nd[k[(k[x>>2]|0)+48>>2]&1023](x,e,K);rd[k[(k[u>>2]|0)+60>>2]&511](u,g,k[h>>2]|0,K);if(i){s=k[F>>2]|0;if(E){I=0;do{j=y+(I<<3)|0;l=I<<1;J=s+(l<<3)|0;p[J>>3]=+p[e>>3]*O*+p[g>>3]*+p[f>>3]*+p[L>>3]*+p[j>>3]+ +p[J>>3];J=s+((l|1)<<3)|0;p[J>>3]=+p[e>>3]*O*+p[H>>3]*+p[f>>3]*+p[L>>3]*+p[j>>3]+ +p[J>>3];I=I+1|0}while((I|0)!=(v|0))}else{I=0;do{w=s+((ma(I,o)|0)<<3)|0;p[w>>3]=+p[e>>3]*O*+p[g>>3]*+p[f>>3]*+p[L>>3]*+p[y+(I<<3)>>3]+ +p[w>>3];I=I+1|0}while((I|0)!=(v|0))}}G=G+1|0}while((G|0)<(Hc[k[(k[K>>2]|0)+12>>2]&511](K)|0))}if((o|0)==2)xq(b,q,971);b=k[h>>2]|0;if(b)Tqa(b);k[h>>2]=0;Tqa(y);Ec[k[(k[K>>2]|0)+4>>2]&1023](K);n=q;r=a;return n|0}function M9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0;a=r;r=r+256|0;c=a+236|0;d=a+232|0;e=a+40|0;f=a+32|0;g=a+24|0;h=a+16|0;i=a+228|0;j=a+224|0;l=a;m=a+88|0;n=a+72|0;o=a+60|0;q=a+48|0;if(!($p(b)|0)){s=0;r=a;return s|0}if(!(Hc[k[(k[b>>2]|0)+240>>2]&511](b)|0)){s=0;r=a;return s|0}k[i>>2]=0;k[j>>2]=0;cp(b,d,298);switch(k[d>>2]|0){case 301:{t=1;break}case 300:{t=2;break}case 302:{t=2;break}default:{u=m+56|0;v=m+4|0;k[m>>2]=27524;k[u>>2]=27544;B=0;wa(508,m+56|0,v|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;y=w;vva(u);Qb(y|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[u>>2]=27488;B=0;va(448,v|0);w=B;B=0;do if(w&1){z=Rb()|0;A=Q;C=z}else{k[v>>2]=27560;z=m+36|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;k[z+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,v|0,c|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(c);Yua(z);Ava(v);A=E;C=D;break}Yua(c);B=0;D=Ia(40,m|0,144639,5)|0;E=B;B=0;if((((!(E&1)?(B=0,E=ya(427,k[d>>2]|0)|0,F=B,B=0,!(F&1)):0)?(F=Lta(E)|0,B=0,G=Ia(40,D|0,E|0,F|0)|0,F=B,B=0,!(F&1)):0)?(B=0,F=Ia(40,G|0,146481,18)|0,G=B,B=0,!(G&1)):0)?(B=0,Xa(239,F|0,0)|0,F=B,B=0,!(F&1)):0){F=Ab(20)|0;B=0;eb(502,n|0,127077,81);G=B;B=0;do if(!(G&1)){B=0;eb(502,o|0,128597,21);E=B;B=0;if(E&1){E=Rb()|0;D=Q;Yua(n);H=E;I=D;break}B=0;wa(510,q|0,v|0);D=B;B=0;if(D&1){D=Rb()|0;J=D;K=Q;L=1}else{B=0;ua(163,F|0,n|0,o|0,1606,q|0);D=B;B=0;if(D&1)M=1;else{B=0;eb(503,F|0,1240,229);B=0;M=0}D=Rb()|0;E=Q;Yua(q);J=D;K=E;L=M}Yua(o);Yua(n);if(L){H=J;I=K}else{N=J;O=K;k[m>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(z);Ava(v);vva(u);Qb(N|0)}}else{E=Rb()|0;H=E;I=Q}while(0);zb(F|0);N=H;O=I;k[m>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(z);Ava(v);vva(u);Qb(N|0)}G=Rb()|0;N=G;O=Q;k[m>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(z);Ava(v);vva(u);Qb(N|0)}while(0);x=A;y=C;vva(u);Qb(y|0)}}y=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;u=iq(b,536)|0;C=Rqa(y>>>0>536870911?-1:y<<3)|0;A=Wo(b,353)|0;x=Wo(b,64)|0;N=Wo(b,999)|0;P=+Dp(b,266);R=+Dp(b,265);S=+Dp(b,65);Uo(b,i);rd[k[(k[b>>2]|0)+140>>2]&511](b,j,k[i>>2]|0,206);nd[k[(k[b>>2]|0)+384>>2]&1023](b,l,k[j>>2]|0);v=ld[k[(k[b>>2]|0)+312>>2]&127](b,k[i>>2]|0,k[j>>2]|0,3)|0;m=Hc[k[(k[v>>2]|0)+8>>2]&511](v)|0;if((m|0)<(Hc[k[(k[v>>2]|0)+12>>2]&511](v)|0)){T=S*.5;S=P*T;P=R*T;O=(y|0)>0;I=v+8|0;H=u+4|0;K=(t|0)==2;J=l+8|0;L=m;do{Fc[k[(k[v>>2]|0)+24>>2]&1023](v,L);nd[k[(k[A>>2]|0)+48>>2]&1023](A,f,v);nd[k[(k[N>>2]|0)+48>>2]&1023](N,h,v);nd[k[(k[x>>2]|0)+48>>2]&1023](x,g,v);rd[k[(k[b>>2]|0)+272>>2]&511](b,e,k[j>>2]|0,v);nd[k[(k[b>>2]|0)+336>>2]&1023](b,C,v);T=+KY(0.0,+p[f>>3]+ +p[g>>3]-+p[h>>3]);R=+KY(0.0,+p[g>>3]-+p[h>>3]);U=+p[f>>3];V=U*(P*U)+S*(T*T-R*R);if(O){m=k[H>>2]|0;if(K){n=0;do{o=C+(n<<3)|0;M=n<<1;q=m+(M<<3)|0;p[q>>3]=V*+p[e>>3]*+p[I>>3]*+p[l>>3]*+p[o>>3]+ +p[q>>3];q=m+((M|1)<<3)|0;p[q>>3]=V*+p[e>>3]*+p[I>>3]*+p[J>>3]*+p[o>>3]+ +p[q>>3];n=n+1|0}while((n|0)!=(y|0))}else{n=0;do{z=m+((ma(n,t)|0)<<3)|0;p[z>>3]=V*+p[e>>3]*+p[I>>3]*+p[l>>3]*+p[C+(n<<3)>>3]+ +p[z>>3];n=n+1|0}while((n|0)!=(y|0))}}L=L+1|0}while((L|0)<(Hc[k[(k[v>>2]|0)+12>>2]&511](v)|0))}if((t|0)==2)xq(b,u,971);b=k[i>>2]|0;if(b)Tqa(b);k[i>>2]=0;i=k[j>>2]|0;if(i)Tqa(i);k[j>>2]=0;Tqa(C);if(v)Ec[k[(k[v>>2]|0)+4>>2]&1023](v);s=u;r=a;return s|0}function N9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0.0;a=r;r=r+32|0;c=a+8|0;d=a;e=a+16|0;k[e>>2]=0;f=Hc[k[(k[b>>2]|0)+124>>2]&511](b)|0;g=Hc[k[(k[f>>2]|0)+432>>2]&511](f)|0;f=Hc[k[(k[g>>2]|0)+164>>2]&511](g)|0;h=f<<1;i=gq(g,539)|0;j=f*6|0;f=j>>>0>536870911?-1:j<<3;j=Rqa(f)|0;l=Rqa(f)|0;f=Rqa(72)|0;m=f;n=m+72|0;do{k[m>>2]=0;m=m+4|0}while((m|0)<(n|0));Uo(b,e);m=Wo(b,339)|0;n=Wo(b,674)|0;o=Wo(b,677)|0;q=ed[k[(k[b>>2]|0)+308>>2]&511](b,5)|0;s=Hc[k[(k[g>>2]|0)+304>>2]&511](g)|0;t=Hc[k[(k[q>>2]|0)+8>>2]&511](q)|0;if((t|0)<(Hc[k[(k[q>>2]|0)+12>>2]&511](q)|0)){u=b+28|0;v=q+8|0;w=i+12|0;x=f+32|0;y=f+64|0;z=t;do{Fc[k[(k[q>>2]|0)+24>>2]&1023](q,z);Fc[k[(k[q>>2]|0)+36>>2]&1023](q,s);rd[k[(k[b>>2]|0)+260>>2]&511](b,d,k[e>>2]|0,q);J9(0,j,g,2,k[e>>2]|0,s);K9(0,l,g,2,k[e>>2]|0,s);t=k[u>>2]|0;ad[k[(k[t>>2]|0)+124>>2]&63](t,c,k[e>>2]|0,q,n,o,m);A=+p[c>>3]*2.0;B=+p[d>>3];p[f>>3]=A*+p[v>>3]*B;p[x>>3]=A*+p[v>>3]*B;p[y>>3]=A*+p[v>>3]*B;ZX(j,3,h,1,f,3,3,0,l,3,h,0,k[w>>2]|0,1)|0;z=z+1|0}while((z|0)<(Hc[k[(k[q>>2]|0)+12>>2]&511](q)|0))}Fq(g,i,971);Ec[k[(k[q>>2]|0)+4>>2]&1023](q);if(s)Ec[k[(k[s>>2]|0)+4>>2]&1023](s);ap(g);if(g)Ec[k[(k[g>>2]|0)+4>>2]&1023](g);g=k[e>>2]|0;if(!g){k[e>>2]=0;Tqa(f);Tqa(l);Tqa(j);r=a;return i|0}Tqa(g);k[e>>2]=0;Tqa(f);Tqa(l);Tqa(j);r=a;return i|0}function O9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0.0,n=0.0,o=0,q=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;a=r;r=r+48|0;c=a+24|0;d=a+16|0;e=a;f=a+32|0;k[f>>2]=0;g=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;h=iq(b,539)|0;i=Rqa(g>>>0>536870911?-1:g<<3)|0;Uo(b,f);j=Wo(b,353)|0;l=Wo(b,339)|0;m=+Dp(b,265);n=+Dp(b,65);o=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;q=Hc[k[(k[o>>2]|0)+8>>2]&511](o)|0;a:do if((q|0)<(Hc[k[(k[o>>2]|0)+12>>2]&511](o)|0)){s=-(m*n);t=o+8|0;u=h+4|0;v=e+8|0;if((g|0)>0)w=q;else{x=q;while(1){Fc[k[(k[o>>2]|0)+24>>2]&1023](o,x);rd[k[(k[b>>2]|0)+260>>2]&511](b,d,k[f>>2]|0,o);nd[k[(k[b>>2]|0)+336>>2]&1023](b,i,o);nd[k[(k[j>>2]|0)+48>>2]&1023](j,c,o);rd[k[(k[l>>2]|0)+60>>2]&511](l,e,k[f>>2]|0,o);x=x+1|0;if((x|0)>=(Hc[k[(k[o>>2]|0)+12>>2]&511](o)|0))break a}}do{Fc[k[(k[o>>2]|0)+24>>2]&1023](o,w);rd[k[(k[b>>2]|0)+260>>2]&511](b,d,k[f>>2]|0,o);nd[k[(k[b>>2]|0)+336>>2]&1023](b,i,o);nd[k[(k[j>>2]|0)+48>>2]&1023](j,c,o);rd[k[(k[l>>2]|0)+60>>2]&511](l,e,k[f>>2]|0,o);x=k[u>>2]|0;y=0;do{z=i+(y<<3)|0;A=y<<1;B=x+(A<<3)|0;p[B>>3]=+p[c>>3]*s*+p[e>>3]*+p[d>>3]*+p[t>>3]*+p[z>>3]+ +p[B>>3];B=x+((A|1)<<3)|0;p[B>>3]=+p[c>>3]*s*+p[v>>3]*+p[d>>3]*+p[t>>3]*+p[z>>3]+ +p[B>>3];y=y+1|0}while((y|0)!=(g|0));w=w+1|0}while((w|0)<(Hc[k[(k[o>>2]|0)+12>>2]&511](o)|0))}while(0);xq(b,h,971);b=k[f>>2]|0;if(!b){k[f>>2]=0;Tqa(i);C=k[o>>2]|0;D=C+4|0;E=k[D>>2]|0;Ec[E&1023](o);r=a;return h|0}Tqa(b);k[f>>2]=0;Tqa(i);C=k[o>>2]|0;D=C+4|0;E=k[D>>2]|0;Ec[E&1023](o);r=a;return h|0}function P9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0.0,u=0.0,v=0.0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0.0,G=0,H=0,I=0,J=0;a=r;r=r+64|0;c=a+40|0;d=a+32|0;e=a+24|0;f=a+16|0;g=a+52|0;h=a+48|0;i=a;if(!(Hc[k[(k[b>>2]|0)+240>>2]&511](b)|0)){j=0;r=a;return j|0}k[g>>2]=0;k[h>>2]=0;l=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;m=iq(b,539)|0;n=Rqa(l>>>0>536870911?-1:l<<3)|0;o=Wo(b,353)|0;q=Wo(b,64)|0;s=Wo(b,999)|0;t=+Dp(b,266);u=+Dp(b,265);v=+Dp(b,65);Uo(b,g);rd[k[(k[b>>2]|0)+140>>2]&511](b,h,k[g>>2]|0,206);nd[k[(k[b>>2]|0)+384>>2]&1023](b,i,k[h>>2]|0);w=ld[k[(k[b>>2]|0)+312>>2]&127](b,k[g>>2]|0,k[h>>2]|0,3)|0;x=Hc[k[(k[w>>2]|0)+8>>2]&511](w)|0;if((x|0)<(Hc[k[(k[w>>2]|0)+12>>2]&511](w)|0)){y=v*.5;v=t*y;t=u*y;z=(l|0)>0;A=w+8|0;B=m+4|0;C=i+8|0;D=x;do{Fc[k[(k[w>>2]|0)+24>>2]&1023](w,D);nd[k[(k[o>>2]|0)+48>>2]&1023](o,d,w);nd[k[(k[q>>2]|0)+48>>2]&1023](q,e,w);nd[k[(k[s>>2]|0)+48>>2]&1023](s,f,w);rd[k[(k[b>>2]|0)+272>>2]&511](b,c,k[h>>2]|0,w);nd[k[(k[b>>2]|0)+336>>2]&1023](b,n,w);y=+KY(0.0,+p[d>>3]+ +p[e>>3]-+p[f>>3]);u=+KY(0.0,+p[e>>3]-+p[f>>3]);E=+p[d>>3];F=E*(t*E)+v*(y*y-u*u);if(z){x=k[B>>2]|0;G=0;do{H=n+(G<<3)|0;I=G<<1;J=x+(I<<3)|0;p[J>>3]=F*+p[c>>3]*+p[A>>3]*+p[i>>3]*+p[H>>3]+ +p[J>>3];J=x+((I|1)<<3)|0;p[J>>3]=F*+p[c>>3]*+p[A>>3]*+p[C>>3]*+p[H>>3]+ +p[J>>3];G=G+1|0}while((G|0)!=(l|0))}D=D+1|0}while((D|0)<(Hc[k[(k[w>>2]|0)+12>>2]&511](w)|0))}xq(b,m,971);b=k[g>>2]|0;if(b)Tqa(b);k[g>>2]=0;g=k[h>>2]|0;if(g)Tqa(g);k[h>>2]=0;Tqa(n);if(w)Ec[k[(k[w>>2]|0)+4>>2]&1023](w);j=m;r=a;return j|0}function Q9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0;a=r;r=r+48|0;c=a+36|0;d=a+24|0;e=a+16|0;f=a+8|0;g=a;h=a+32|0;if(!($p(b)|0)){i=0;r=a;return i|0}k[h>>2]=0;cp(b,c,299);j=(k[c>>2]|0)==2;l=j?2:5;m=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;n=ma((k[c>>2]|0)+-1|0,m)|0;m=gq(b,540)|0;o=ma(n,l)|0;q=o>>>0>536870911?-1:o<<3;o=Rqa(q)|0;s=Rqa(q)|0;q=j?32:200;j=Rqa(q)|0;WEa(j|0,0,q|0)|0;Uo(b,h);q=Wo(b,674)|0;t=Wo(b,675)|0;if((k[c>>2]|0)==3){u=Wo(b,677)|0;v=u;w=Wo(b,678)|0}else{v=0;w=0}pp(b,f,87);u=ed[k[(k[b>>2]|0)+308>>2]&511](b,5)|0;x=Hc[k[(k[u>>2]|0)+8>>2]&511](u)|0;if((x|0)<(Hc[k[(k[u>>2]|0)+12>>2]&511](u)|0)){y=b+28|0;z=u+8|0;A=m+12|0;B=x;do{Fc[k[(k[u>>2]|0)+24>>2]&1023](u,B);rd[k[(k[b>>2]|0)+260>>2]&511](b,g,k[h>>2]|0,u);S9(0,o,b,k[c>>2]|0,k[h>>2]|0,u);T9(0,s,b,k[c>>2]|0,k[h>>2]|0,u);x=k[y>>2]|0;ad[k[(k[x>>2]|0)+116>>2]&63](x,d,k[c>>2]|0,k[h>>2]|0,u,q,v);x=k[y>>2]|0;ad[k[(k[x>>2]|0)+116>>2]&63](x,e,k[c>>2]|0,k[h>>2]|0,u,t,w);C=+p[d>>3];D=+p[g>>3]*(+p[z>>3]*((C+ +p[f>>3]*(C-+p[e>>3]))*2.0));x=0;do{E=j+((ma(x,l)|0)+x<<3)|0;p[E>>3]=D;x=x+1|0}while((x|0)<(l|0));ZX(o,l,n,1,j,l,l,0,s,l,n,0,k[A>>2]|0,1)|0;B=B+1|0}while((B|0)<(Hc[k[(k[u>>2]|0)+12>>2]&511](u)|0))}if((k[c>>2]|0)==3)Fq(b,m,971);Ec[k[(k[u>>2]|0)+4>>2]&1023](u);u=k[h>>2]|0;if(u)Tqa(u);k[h>>2]=0;Tqa(j);Tqa(s);Tqa(o);i=m;r=a;return i|0}function R9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0.0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0;a=r;r=r+64|0;c=a+52|0;d=a+56|0;e=a+48|0;f=a+44|0;g=a+32|0;h=a+24|0;j=a+16|0;l=a+8|0;m=a;n=a+40|0;if(!($p(b)|0)){o=0;r=a;return o|0}if(_p(b)|0){o=0;r=a;return o|0}if(!(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0)){o=0;r=a;return o|0}k[n>>2]=0;cp(b,c,299);q=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;s=ma((k[c>>2]|0)+-1|0,q)|0;q=gq(b,540)|0;t=(k[c>>2]|0)+-1|0;u=ma(t,s)|0;v=Rqa(u>>>0>536870911?-1:u<<3)|0;u=ma(t,t)|0;t=Rqa(u>>>0>536870911?-1:u<<3)|0;if(u)WEa(t|0,0,u<<3|0)|0;Fc[k[(k[b>>2]|0)+188>>2]&1023](b,n);cp(b,e,942);u=Qqa(16)|0;B=0;eb(524,u|0,b|0,2);w=B;B=0;if(w&1){w=Rb()|0;Sqa(u);Qb(w|0)}w=k[e>>2]|0;if((w|0)==924){x=+id[k[(k[b>>2]|0)+136>>2]&63](b,k[n>>2]|0);y=k[e>>2]|0;z=x}else{y=w;z=1.0}if((y|0)==925){y=Wo(b,928)|0;Dc[k[(k[b>>2]|0)+132>>2]&255](b,f,j,l,d);A=hd[k[(k[b>>2]|0)+320>>2]&7](b,k[f>>2]|0,+p[j>>3],+p[l>>3],(i[d>>0]|0)!=0,2)|0;C=y}else{A=ed[k[(k[b>>2]|0)+324>>2]&511](b,2)|0;C=0}y=Hc[k[(k[A>>2]|0)+8>>2]&511](A)|0;a:do if((y|0)<(Hc[k[(k[A>>2]|0)+12>>2]&511](A)|0)){d=q+12|0;l=A+8|0;j=y;while(1){Fc[k[(k[A>>2]|0)+24>>2]&1023](A,j);fla(u,g,A);switch(k[e>>2]|0){case 924:{p[g>>3]=z*+p[g>>3];break}case 925:{nd[k[(k[C>>2]|0)+48>>2]&1023](C,m,A);if(+p[m>>3]<0.0)p[g>>3]=0.0;break}default:{}}f=k[c>>2]|0;w=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;D=Rqa(w>>>0>536870911?-1:w<<3)|0;nd[k[(k[b>>2]|0)+336>>2]&1023](b,D,A);E=(w|0)>0;if((f|0)==3){if(E){f=w<<1;F=0;do{x=+p[D+(F<<3)>>3];G=F<<1;p[v+(G<<3)>>3]=x;p[v+((G|1)<<3)>>3]=0.0;H=G+f|0;p[v+(H<<3)>>3]=0.0;p[v+((H|1)<<3)>>3]=x;F=F+1|0}while((F|0)!=(w|0))}}else if(E)TEa(v|0,D|0,w<<3|0)|0;Tqa(D);rd[k[(k[b>>2]|0)+264>>2]&511](b,h,k[n>>2]|0,A);F=k[c>>2]|0;f=F+-1|0;if((F|0)>1){x=+p[g>>3];I=+p[h>>3];H=0;do{G=t+((ma(F,H)|0)<<3)|0;p[G>>3]=x*+p[l>>3]*I;H=H+1|0}while((H|0)<(f|0))}ZX(v,f,s,1,t,f,f,0,v,f,s,0,k[d>>2]|0,1)|0;j=j+1|0;if((j|0)>=(Hc[k[(k[A>>2]|0)+12>>2]&511](A)|0))break a}}while(0);if((k[c>>2]|0)==3)Fq(b,q,971);Ec[k[(k[A>>2]|0)+4>>2]&1023](A);bla(u);Sqa(u);u=k[n>>2]|0;if(u)Tqa(u);k[n>>2]=0;Tqa(v);Tqa(t);o=q;r=a;return o|0}function S9(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0.0,l=0,m=0.0;a=Hc[k[(k[c>>2]|0)+164>>2]&511](c)|0;g=ma(a,d)|0;h=Rqa(g>>>0>536870911?-1:g<<3)|0;rd[k[(k[c>>2]|0)+340>>2]&511](c,h,e,f);f=(a|0)>0;if((d|0)==2){if(f)i=0;else{Tqa(h);return}do{p[b+(i<<3)>>3]=+p[h+(i<<3)>>3];d=i+a|0;p[b+(d<<3)>>3]=+p[h+(d<<3)>>3]*.5;i=i+1|0}while((i|0)!=(a|0));Tqa(h);return}if(!f){Tqa(h);return}f=a<<1;i=a<<2;d=a*6|0;e=a<<3;c=0;do{j=+p[h+(c<<3)>>3];g=c<<1;p[b+(g<<3)>>3]=j;p[b+((g|1)<<3)>>3]=0.0;l=g+f|0;p[b+(l<<3)>>3]=0.0;m=+p[h+(c+a<<3)>>3];p[b+((l|1)<<3)>>3]=m;l=g+i|0;p[b+(l<<3)>>3]=m*.5;p[b+((l|1)<<3)>>3]=j*.5;j=+p[h+(c+f<<3)>>3]*.5;l=g+d|0;p[b+(l<<3)>>3]=j;p[b+((l|1)<<3)>>3]=0.0;l=g+e|0;p[b+(l<<3)>>3]=0.0;p[b+((l|1)<<3)>>3]=j;c=c+1|0}while((c|0)!=(a|0));Tqa(h);return}function T9(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0.0,l=0.0,m=0;a=Hc[k[(k[c>>2]|0)+164>>2]&511](c)|0;g=ma(a,d)|0;h=Rqa(g>>>0>536870911?-1:g<<3)|0;rd[k[(k[c>>2]|0)+340>>2]&511](c,h,e,f);f=(a|0)>0;if((d|0)!=3){if(f)i=0;else{Tqa(h);return}do{p[b+(i<<3)>>3]=+p[h+(i<<3)>>3]*2.0;d=i+a|0;p[b+(d<<3)>>3]=+p[h+(d<<3)>>3];i=i+1|0}while((i|0)!=(a|0));Tqa(h);return}if(!f){Tqa(h);return}f=a<<1;i=a<<2;d=a*6|0;e=a<<3;c=0;do{j=+p[h+(c<<3)>>3];g=c<<1;p[b+(g<<3)>>3]=j*2.0;l=+p[h+(c+a<<3)>>3];p[b+((g|1)<<3)>>3]=l;m=g+f|0;p[b+(m<<3)>>3]=j;p[b+((m|1)<<3)>>3]=l*2.0;m=g+i|0;p[b+(m<<3)>>3]=l;p[b+((m|1)<<3)>>3]=j;j=+p[h+(c+f<<3)>>3];m=g+d|0;p[b+(m<<3)>>3]=j;p[b+((m|1)<<3)>>3]=0.0;m=g+e|0;p[b+(m<<3)>>3]=0.0;p[b+((m|1)<<3)>>3]=j;c=c+1|0}while((c|0)!=(a|0));Tqa(h);return}function U9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0.0,n=0.0,o=0,q=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;a=r;r=r+48|0;c=a+36|0;d=a+24|0;e=a;f=a+32|0;if(!($p(b)|0)){g=0;r=a;return g|0}k[f>>2]=0;cp(b,c,299);h=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;i=iq(b,540)|0;j=Rqa(h>>>0>536870911?-1:h<<3)|0;Uo(b,f);l=Wo(b,339)|0;m=+Dp(b,265);n=+Dp(b,65);o=ed[k[(k[b>>2]|0)+308>>2]&511](b,3)|0;q=Hc[k[(k[o>>2]|0)+8>>2]&511](o)|0;if((q|0)<(Hc[k[(k[o>>2]|0)+12>>2]&511](o)|0)){s=(h|0)>0;t=-(m*n);u=o+8|0;v=i+4|0;w=e+8|0;x=q;do{Fc[k[(k[o>>2]|0)+24>>2]&1023](o,x);rd[k[(k[b>>2]|0)+260>>2]&511](b,d,k[f>>2]|0,o);nd[k[(k[b>>2]|0)+336>>2]&1023](b,j,o);rd[k[(k[l>>2]|0)+60>>2]&511](l,e,k[f>>2]|0,o);if(s){q=k[c>>2]|0;y=q+-1|0;z=k[v>>2]|0;if((q|0)==3){q=0;do{A=j+(q<<3)|0;B=ma(y,q)|0;C=z+(B<<3)|0;p[C>>3]=+p[e>>3]*t*+p[d>>3]*+p[u>>3]*+p[A>>3]+ +p[C>>3];C=z+(B+1<<3)|0;p[C>>3]=+p[w>>3]*t*+p[d>>3]*+p[u>>3]*+p[A>>3]+ +p[C>>3];q=q+1|0}while((q|0)!=(h|0))}else{q=0;do{C=z+((ma(y,q)|0)<<3)|0;p[C>>3]=+p[e>>3]*t*+p[d>>3]*+p[u>>3]*+p[j+(q<<3)>>3]+ +p[C>>3];q=q+1|0}while((q|0)!=(h|0))}}x=x+1|0}while((x|0)<(Hc[k[(k[o>>2]|0)+12>>2]&511](o)|0))}if((k[c>>2]|0)==3)xq(b,i,971);Tqa(j);j=k[f>>2]|0;if(j)Tqa(j);k[f>>2]=0;Ec[k[(k[o>>2]|0)+4>>2]&1023](o);g=i;r=a;return g|0}function V9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0.0,u=0.0,v=0.0,w=0,x=0,y=0.0,z=0,A=0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0,I=0,J=0.0,K=0,L=0,M=0,N=0,O=0;a=r;r=r+64|0;c=a+56|0;d=a+40|0;e=a+32|0;f=a+24|0;g=a+52|0;h=a+48|0;i=a;if(!($p(b)|0)){j=0;r=a;return j|0}if(!(Hc[k[(k[b>>2]|0)+240>>2]&511](b)|0)){j=0;r=a;return j|0}k[g>>2]=0;k[h>>2]=0;cp(b,c,299);l=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;m=Hc[k[(k[b>>2]|0)+172>>2]&511](b)|0;n=iq(b,540)|0;o=Rqa(l>>>0>536870911?-1:l<<3)|0;q=Wo(b,339)|0;s=Wo(b,999)|0;t=+Dp(b,266);u=+Dp(b,265);v=+Dp(b,65);Uo(b,g);rd[k[(k[b>>2]|0)+140>>2]&511](b,h,k[g>>2]|0,206);nd[k[(k[b>>2]|0)+384>>2]&1023](b,i,k[h>>2]|0);w=k[c>>2]|0;x=k[g>>2]|0;y=+p[x+(w+-1<<3)>>3];z=(m|0)>1;if(z){A=1;B=y;while(1){C=+p[x+((A*3|0)+-1+w<<3)>>3];D=C>B?C:B;A=A+1|0;if((A|0)==(m|0)){E=D;break}else B=D}if(z){z=1;B=y;while(1){D=+p[x+((z*3|0)+-1+w<<3)>>3];C=D<B?D:B;z=z+1|0;if((z|0)==(m|0)){F=E;G=C;break}else B=C}}else{F=E;G=y}}else{F=y;G=y}m=k[(k[b>>2]|0)+316>>2]|0;z=k[h>>2]|0;if(F>0.0&G<0.0)H=fd[m&31](b,x,z,3,10)|0;else H=fd[m&31](b,x,z,3,3)|0;z=Hc[k[(k[H>>2]|0)+8>>2]&511](H)|0;if((z|0)<(Hc[k[(k[H>>2]|0)+12>>2]&511](H)|0)){G=t*v;t=u*v;x=(l|0)>0;m=H+8|0;w=n+4|0;A=i+8|0;I=z;do{Fc[k[(k[H>>2]|0)+24>>2]&1023](H,I);nd[k[(k[q>>2]|0)+48>>2]&1023](q,e,H);nd[k[(k[s>>2]|0)+48>>2]&1023](s,f,H);z=k[g>>2]|0;if((k[c>>2]|0)==3)J=+Lp(b,z,H);else J=+Kp(b,z,H);nd[k[(k[b>>2]|0)+336>>2]&1023](b,o,H);rd[k[(k[b>>2]|0)+272>>2]&511](b,d,k[h>>2]|0,H);v=G*+KY(0.0,J-+p[f>>3]);u=v+t*(+p[e>>3]-J);if(x){z=k[c>>2]|0;K=z+-1|0;L=k[w>>2]|0;if((z|0)==3){z=0;do{M=o+(z<<3)|0;N=ma(K,z)|0;O=L+(N<<3)|0;p[O>>3]=u*+p[d>>3]*+p[m>>3]*+p[i>>3]*+p[M>>3]+ +p[O>>3];O=L+(N+1<<3)|0;p[O>>3]=u*+p[d>>3]*+p[m>>3]*+p[A>>3]*+p[M>>3]+ +p[O>>3];z=z+1|0}while((z|0)!=(l|0))}else{z=0;do{O=L+((ma(K,z)|0)<<3)|0;p[O>>3]=u*+p[d>>3]*+p[m>>3]*+p[i>>3]*+p[o+(z<<3)>>3]+ +p[O>>3];z=z+1|0}while((z|0)!=(l|0))}}I=I+1|0}while((I|0)<(Hc[k[(k[H>>2]|0)+12>>2]&511](H)|0))}if((k[c>>2]|0)==3)xq(b,n,971);Tqa(o);o=k[g>>2]|0;if(o)Tqa(o);k[g>>2]=0;g=k[h>>2]|0;if(g)Tqa(g);k[h>>2]=0;if(H)Ec[k[(k[H>>2]|0)+4>>2]&1023](H);j=n;r=a;return j|0}function W9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0.0,B=0;a=r;r=r+32|0;c=a+28|0;d=a+16|0;e=a+8|0;f=a;g=a+24|0;k[g>>2]=0;cp(b,c,299);pp(b,d,916);h=(k[c>>2]|0)==2?3:6;i=Hc[k[(k[b>>2]|0)+396>>2]&511](b)|0;j=Hc[k[(k[b>>2]|0)+392>>2]&511](b)|0;l=k[c>>2]|0;m=(ma(l,i)|0)+j|0;n=h+2|0;o=j+i|0;q=Rqa(o>>>0>1073741823?-1:o<<2)|0;o=(i|0)>0;if((l|0)==2){if(o){l=0;do{k[q+(l<<2)>>2]=971;l=l+1|0}while((l|0)!=(i|0))}}else if(o){o=0;do{k[q+(o<<2)>>2]=972;o=o+1|0}while((o|0)!=(i|0))}if((j|0)>0){o=0;do{k[q+(o+i<<2)>>2]=653;o=o+1|0}while((o|0)!=(j|0))}j=gq(b,543)|0;o=ma(m,n)|0;i=o>>>0>536870911?-1:o<<3;o=Rqa(i)|0;l=Rqa(i)|0;i=(ma(n,n)|0)<<3;s=Rqa(i)|0;WEa(s|0,0,i|0)|0;Uo(b,g);pp(b,e,85);Wo(b,674)|0;Wo(b,677)|0;if((k[c>>2]|0)==3)Wo(b,679)|0;i=ed[k[(k[b>>2]|0)+308>>2]&511](b,5)|0;t=Hc[k[(k[i>>2]|0)+8>>2]&511](i)|0;if((t|0)<(Hc[k[(k[i>>2]|0)+12>>2]&511](i)|0)){u=i+8|0;v=j+12|0;w=s+((ma(h,n)|0)+h<<3)|0;x=h+1|0;y=s+((ma(x,n)|0)+x<<3)|0;x=t;do{Fc[k[(k[i>>2]|0)+24>>2]&1023](i,x);rd[k[(k[b>>2]|0)+260>>2]&511](b,f,k[g>>2]|0,i);$9(0,o,b,k[c>>2]|0,k[g>>2]|0,i);aaa(0,l,b,k[c>>2]|0,k[g>>2]|0,i);z=+p[d>>3];A=+p[f>>3];t=0;do{B=s+((ma(t,n)|0)+t<<3)|0;p[B>>3]=z*+p[u>>3]*A;t=t+1|0}while((t|0)<(h|0));z=+p[e>>3];p[w>>3]=-(z*+p[u>>3]*A);p[y>>3]=-(z*+p[u>>3]*A);ZX(o,n,m,1,s,n,n,0,l,n,m,0,k[v>>2]|0,1)|0;x=x+1|0}while((x|0)<(Hc[k[(k[i>>2]|0)+12>>2]&511](i)|0))}Hq(b,j,q);Ec[k[(k[i>>2]|0)+4>>2]&1023](i);i=k[g>>2]|0;if(!i){k[g>>2]=0;Tqa(s);Tqa(l);Tqa(o);Tqa(q);r=a;return j|0}Tqa(i);k[g>>2]=0;Tqa(s);Tqa(l);Tqa(o);Tqa(q);r=a;return j|0}function X9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0,G=0.0,H=0,I=0;a=r;r=r+48|0;c=a+36|0;d=a+24|0;e=a+16|0;f=a+8|0;g=a;h=a+32|0;k[h>>2]=0;cp(b,c,299);pp(b,d,916);i=(k[c>>2]|0)==2;j=i?3:6;l=Hc[k[(k[b>>2]|0)+396>>2]&511](b)|0;m=ed[k[(k[b>>2]|0)+168>>2]&511](b,738)|0;ed[k[(k[b>>2]|0)+168>>2]&511](b,742)|0;n=k[c>>2]|0;o=ma(n,l)|0;q=Rqa(l>>>0>1073741823?-1:l<<2)|0;s=(l|0)>0;if((n|0)==2){if(s){n=0;do{k[q+(n<<2)>>2]=971;n=n+1|0}while((n|0)!=(l|0))}}else if(s){s=0;do{k[q+(s<<2)>>2]=972;s=s+1|0}while((s|0)!=(l|0))}l=gq(b,543)|0;s=ma(o,j)|0;n=s>>>0>536870911?-1:s<<3;s=Rqa(n)|0;t=Rqa(n)|0;n=ma(o,m)|0;u=Rqa(n>>>0>536870911?-1:n<<3)|0;if(n)WEa(u|0,0,n<<3|0)|0;n=Rqa(m>>>0>536870911?-1:m<<3)|0;v=Rqa(o>>>0>536870911?-1:o<<3)|0;w=i?72:288;i=Rqa(w)|0;WEa(i|0,0,w|0)|0;Uo(b,h);w=Wo(b,674)|0;x=Wo(b,677)|0;if((k[c>>2]|0)==3)y=Wo(b,679)|0;else y=0;z=ed[k[(k[b>>2]|0)+308>>2]&511](b,5)|0;A=Hc[k[(k[z>>2]|0)+8>>2]&511](z)|0;if((A|0)<(Hc[k[(k[z>>2]|0)+12>>2]&511](z)|0)){B=b+28|0;C=z+8|0;D=l+12|0;E=A;do{Fc[k[(k[z>>2]|0)+24>>2]&1023](z,E);rd[k[(k[b>>2]|0)+260>>2]&511](b,e,k[h>>2]|0,z);baa(0,s,b,k[c>>2]|0,k[h>>2]|0,z);caa(0,t,b,k[c>>2]|0,k[h>>2]|0,z);A=k[B>>2]|0;Tc[k[(k[A>>2]|0)+108>>2]&15](A,f,k[c>>2]|0,k[h>>2]|0,z,w,x,y);F=+p[e>>3];G=+p[f>>3]*2.0;A=0;do{H=i+((ma(A,j)|0)+A<<3)|0;p[H>>3]=G*+p[C>>3]*F;A=A+1|0}while((A|0)<(j|0));ZX(s,j,o,1,i,j,j,0,t,j,o,0,k[D>>2]|0,1)|0;A=(k[c>>2]|0)==2?24:48;H=Rqa(A)|0;nd[k[(k[b>>2]|0)+356>>2]&1023](b,H,z);TEa(n|0,H|0,A|0)|0;Tqa(H);daa(0,v,b,k[c>>2]|0,k[h>>2]|0,z);F=+p[C>>3]*+p[e>>3]*+aa(+(+p[d>>3]));p[g>>3]=F;ZX(n,1,m,1,g,1,1,0,v,1,o,0,u,1)|0;E=E+1|0}while((E|0)<(Hc[k[(k[z>>2]|0)+12>>2]&511](z)|0));I=D}else I=l+12|0;_X(u,m,o,1,u,m,o,0,k[I>>2]|0,1)|0;Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0;Hq(b,l,q);Ec[k[(k[z>>2]|0)+4>>2]&1023](z);z=k[h>>2]|0;if(!z){k[h>>2]=0;Tqa(i);Tqa(t);Tqa(s);Tqa(v);Tqa(n);Tqa(u);Tqa(q);r=a;return l|0}Tqa(z);k[h>>2]=0;Tqa(i);Tqa(t);Tqa(s);Tqa(v);Tqa(n);Tqa(u);Tqa(q);r=a;return l|0}function Y9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0;a=r;r=r+32|0;c=a+28|0;d=a+16|0;e=a+8|0;f=a;g=a+24|0;k[g>>2]=0;cp(b,c,299);h=(k[c>>2]|0)==2?3:6;i=Hc[k[(k[b>>2]|0)+396>>2]&511](b)|0;j=Hc[k[(k[b>>2]|0)+392>>2]&511](b)|0;l=k[c>>2]|0;m=(ma(l,i)|0)+j|0;n=h+2|0;o=j+i|0;q=Rqa(o>>>0>1073741823?-1:o<<2)|0;o=(i|0)>0;if((l|0)==2){if(o){l=0;do{k[q+(l<<2)>>2]=971;l=l+1|0}while((l|0)!=(i|0))}}else if(o){o=0;do{k[q+(o<<2)>>2]=972;o=o+1|0}while((o|0)!=(i|0))}if((j|0)>0){o=0;do{k[q+(o+i<<2)>>2]=653;o=o+1|0}while((o|0)!=(j|0))}j=gq(b,543)|0;o=ma(m,n)|0;i=o>>>0>536870911?-1:o<<3;o=Rqa(i)|0;l=Rqa(i)|0;i=(ma(n,n)|0)<<3;s=Rqa(i)|0;WEa(s|0,0,i|0)|0;Uo(b,g);pp(b,e,85);i=Wo(b,674)|0;t=Wo(b,677)|0;if((k[c>>2]|0)==3)u=Wo(b,679)|0;else u=0;v=ed[k[(k[b>>2]|0)+308>>2]&511](b,5)|0;w=Hc[k[(k[v>>2]|0)+8>>2]&511](v)|0;if((w|0)<(Hc[k[(k[v>>2]|0)+12>>2]&511](v)|0)){x=b+28|0;y=v+8|0;z=j+12|0;A=s+((ma(h,n)|0)+h<<3)|0;B=h+1|0;C=s+((ma(B,n)|0)+B<<3)|0;B=w;do{Fc[k[(k[v>>2]|0)+24>>2]&1023](v,B);rd[k[(k[b>>2]|0)+260>>2]&511](b,f,k[g>>2]|0,v);$9(0,o,b,k[c>>2]|0,k[g>>2]|0,v);aaa(0,l,b,k[c>>2]|0,k[g>>2]|0,v);w=k[x>>2]|0;Tc[k[(k[w>>2]|0)+108>>2]&15](w,d,k[c>>2]|0,k[g>>2]|0,v,i,t,u);D=+p[f>>3];E=+p[d>>3]*2.0;w=0;do{F=s+((ma(w,n)|0)+w<<3)|0;p[F>>3]=E*+p[y>>3]*D;w=w+1|0}while((w|0)<(h|0));E=+p[e>>3];p[A>>3]=-(E*+p[y>>3]*D);p[C>>3]=-(E*+p[y>>3]*D);ZX(o,n,m,1,s,n,n,0,l,n,m,0,k[z>>2]|0,1)|0;B=B+1|0}while((B|0)<(Hc[k[(k[v>>2]|0)+12>>2]&511](v)|0))}Hq(b,j,q);Ec[k[(k[v>>2]|0)+4>>2]&1023](v);v=k[g>>2]|0;if(!v){k[g>>2]=0;Tqa(s);Tqa(l);Tqa(o);Tqa(q);r=a;return j|0}Tqa(v);k[g>>2]=0;Tqa(s);Tqa(l);Tqa(o);Tqa(q);r=a;return j|0}function Z9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0.0,H=0,I=0.0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0.0,ga=0;a=r;r=r+256|0;c=a+240|0;d=a+236|0;e=a+252|0;f=a+232|0;g=a+228|0;h=a+224|0;i=a+220|0;j=a+32|0;l=a+24|0;m=a+16|0;n=a+8|0;o=a;q=a+216|0;s=a+80|0;t=a+64|0;u=a+52|0;v=a+40|0;if(_p(b)|0){w=0;r=a;return w|0}if(!(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0)){w=0;r=a;return w|0}Ap(b,d,533);switch(k[d>>2]|0){case 538:case 541:case 542:{k[q>>2]=0;cp(b,f,299);cp(b,g,298);d=Hc[k[(k[b>>2]|0)+396>>2]&511](b)|0;x=(Hc[k[(k[b>>2]|0)+392>>2]&511](b)|0)+(ma(k[f>>2]|0,d)|0)|0;d=gq(b,543)|0;y=k[f>>2]|0;z=ma(y,x)|0;A=Rqa(z>>>0>536870911?-1:z<<3)|0;z=ma(y,y)|0;y=Rqa(z>>>0>536870911?-1:z<<3)|0;if(z)WEa(y|0,0,z<<3|0)|0;Fc[k[(k[b>>2]|0)+188>>2]&1023](b,q);cp(b,h,942);z=Qqa(16)|0;B=0;eb(524,z|0,b|0,((k[f>>2]|0)==3?3:1)|0);C=B;B=0;if(C&1){C=Rb()|0;D=Q;Sqa(z);E=D;F=C;Qb(F|0)}C=k[h>>2]|0;if((C|0)==924){G=+id[k[(k[b>>2]|0)+136>>2]&63](b,k[q>>2]|0);H=k[h>>2]|0;I=G}else{H=C;I=1.0}do if((H|0)==925){if((k[g>>2]|0)!=301){C=Wo(b,928)|0;Dc[k[(k[b>>2]|0)+132>>2]&255](b,i,m,n,e);J=ed[k[(k[b>>2]|0)+324>>2]&511](b,3)|0;K=C;break}C=s+56|0;D=s+4|0;k[s>>2]=27524;k[C>>2]=27544;B=0;wa(508,s+56|0,D|0);L=B;B=0;if(L&1){L=Rb()|0;M=Q;N=L;vva(C);Qb(N|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[C>>2]=27488;B=0;va(448,D|0);L=B;B=0;do if(L&1){O=Rb()|0;P=Q;R=O}else{k[D>>2]=27560;O=s+36|0;k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;k[O+12>>2]=0;k[s+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,D|0,c|0);S=B;B=0;if(S&1){S=Rb()|0;T=Q;Yua(c);Yua(O);Ava(D);P=T;R=S;break}Yua(c);B=0;S=Ia(40,s|0,128619,55)|0;T=B;B=0;a:do if(!(T&1)?(B=0,Xa(239,S|0,0)|0,U=B,B=0,!(U&1)):0){U=Ab(20)|0;B=0;eb(502,t|0,127077,81);V=B;B=0;do if(!(V&1)){B=0;eb(502,u|0,128675,23);W=B;B=0;if(W&1){W=Rb()|0;X=Q;Yua(t);Y=W;Z=X;break}B=0;wa(510,v|0,D|0);X=B;B=0;if(X&1){X=Rb()|0;_=Q;$=X;aa=1}else{B=0;ua(163,U|0,t|0,u|0,3654,v|0);X=B;B=0;if(X&1)ba=1;else{B=0;eb(503,U|0,1240,229);B=0;ba=0}X=Rb()|0;W=Q;Yua(v);_=W;$=X;aa=ba}Yua(u);Yua(t);if(aa){Y=$;Z=_}else{ca=$;da=_;break a}}else{X=Rb()|0;Y=X;Z=Q}while(0);zb(U|0);ca=Y;da=Z}else ea=27;while(0);if((ea|0)==27){S=Rb()|0;ca=S;da=Q}k[s>>2]=27468;k[C>>2]=27488;k[D>>2]=27560;Yua(O);Ava(D);vva(C);E=da;F=ca;Qb(F|0)}while(0);M=P;N=R;vva(C);Qb(N|0)}else{J=ed[k[(k[b>>2]|0)+324>>2]&511](b,3)|0;K=0}while(0);N=Hc[k[(k[J>>2]|0)+8>>2]&511](J)|0;b:do if((N|0)<(Hc[k[(k[J>>2]|0)+12>>2]&511](J)|0)){R=d+12|0;P=J+8|0;M=N;while(1){Fc[k[(k[J>>2]|0)+24>>2]&1023](J,M);fla(z,j,J);switch(k[h>>2]|0){case 924:{p[j>>3]=I*+p[j>>3];break}case 925:{nd[k[(k[K>>2]|0)+48>>2]&1023](K,o,J);if(+p[o>>3]<0.0)p[j>>3]=0.0;break}default:{}}eaa(0,A,b,k[f>>2]|0,0,J);rd[k[(k[b>>2]|0)+264>>2]&511](b,l,k[q>>2]|0,J);F=k[f>>2]|0;if((F|0)>0){G=+p[j>>3];fa=+p[l>>3];ca=0;do{da=y+((ma(F,ca)|0)+ca<<3)|0;p[da>>3]=G*+p[P>>3]*fa;ca=ca+1|0}while((ca|0)<(F|0))}ZX(A,F,x,1,y,F,F,0,A,F,x,0,k[R>>2]|0,1)|0;M=M+1|0;if((M|0)>=(Hc[k[(k[J>>2]|0)+12>>2]&511](J)|0))break b}}while(0);Ec[k[(k[J>>2]|0)+4>>2]&1023](J);bla(z);Sqa(z);z=k[q>>2]|0;if(z)Tqa(z);k[q>>2]=0;Tqa(A);Tqa(y);ga=d;break}default:ga=0}w=ga;r=a;return w|0}function _9(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0.0,s=0.0,t=0,u=0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0,E=0.0,F=0.0,G=0.0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;a=r;r=r+64|0;c=a+56|0;d=a+52|0;e=a+48|0;f=a+32|0;g=a+24|0;h=a;i=a+44|0;j=a+40|0;if(!(_p(b)|0)){l=0;r=a;return l|0}if(!(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0)){l=0;r=a;return l|0}Ap(b,c,533);switch(k[c>>2]|0){case 538:case 541:case 542:{cp(b,d,81);if(!(k[d>>2]|0))m=0;else{k[i>>2]=0;k[j>>2]=0;cp(b,e,299);d=Hc[k[(k[b>>2]|0)+396>>2]&511](b)|0;c=Hc[k[(k[b>>2]|0)+392>>2]&511](b)|0;n=(ma(k[e>>2]|0,d)|0)+c|0;c=gq(b,543)|0;o=Rqa(d>>>0>536870911?-1:d<<3)|0;Fc[k[(k[b>>2]|0)+188>>2]&1023](b,i);Uo(b,j);pp(b,g,358);if(+p[g>>3]==0.0)p[g>>3]=1.0e5;q=+Dp(b,266);s=+Dp(b,65);t=Wo(b,339)|0;u=ed[k[(k[b>>2]|0)+324>>2]&511](b,3)|0;v=Hc[k[(k[u>>2]|0)+8>>2]&511](u)|0;a:do if((v|0)<(Hc[k[(k[u>>2]|0)+12>>2]&511](u)|0)){w=q*s;x=u+8|0;y=(d|0)>0;z=c+12|0;A=h+8|0;B=v;C=0.0;while(1){Fc[k[(k[u>>2]|0)+24>>2]&1023](u,B);rd[k[(k[t>>2]|0)+60>>2]&511](t,h,k[j>>2]|0,u);nd[k[(k[b>>2]|0)+368>>2]&1023](b,o,u);rd[k[(k[b>>2]|0)+264>>2]&511](b,f,k[i>>2]|0,u);D=k[e>>2]|0;switch(D|0){case 2:{E=+p[h>>3];F=E*E;break}case 3:{E=+p[h>>3];G=+p[A>>3];F=E*E+G*G;break}default:F=C}G=w*+aa(+(F+1.0));E=G*+p[x>>3]*+p[f>>3]*+p[g>>3];if(y){H=k[z>>2]|0;I=0;do{J=o+(I<<3)|0;I=I+1|0;K=ma((ma(D,I)|0)+-1|0,n)|0;L=0;do{M=L;L=L+1|0;N=H+((ma(D,L)|0)+-1+K<<3)|0;p[N>>3]=E*+p[J>>3]*+p[o+(M<<3)>>3]+ +p[N>>3]}while((L|0)!=(d|0))}while((I|0)!=(d|0))}B=B+1|0;if((B|0)>=(Hc[k[(k[u>>2]|0)+12>>2]&511](u)|0))break a;else C=F}}while(0);Ec[k[(k[u>>2]|0)+4>>2]&1023](u);u=k[i>>2]|0;if(u)Tqa(u);k[i>>2]=0;i=k[j>>2]|0;if(i)Tqa(i);k[j>>2]=0;Tqa(o);m=c}break}default:m=0}l=m;r=a;return l|0}function $9(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0.0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0;a=Hc[k[(k[c>>2]|0)+392>>2]&511](c)|0;g=Hc[k[(k[c>>2]|0)+396>>2]&511](c)|0;h=ma(g,d)|0;i=Rqa(h>>>0>536870911?-1:h<<3)|0;j=Rqa(a>>>0>536870911?-1:a<<3)|0;rd[k[(k[c>>2]|0)+344>>2]&511](c,i,e,f);nd[k[(k[c>>2]|0)+352>>2]&1023](c,j,f);f=(g|0)>0;if((d|0)==2){if(f){c=h+a|0;e=c<<1;l=c*3|0;m=c<<2;n=0;do{o=+p[i+(n<<3)>>3];q=n<<1;p[b+(q<<3)>>3]=o;p[b+((q|1)<<3)>>3]=0.0;r=q+c|0;p[b+(r<<3)>>3]=0.0;s=+p[i+(n+g<<3)>>3];p[b+(r+1<<3)>>3]=s;r=q+e|0;p[b+(r<<3)>>3]=s*.5;p[b+((r|1)<<3)>>3]=o*.5;r=q+l|0;p[b+(r<<3)>>3]=0.0;p[b+(r+1<<3)>>3]=0.0;r=q+m|0;p[b+(r<<3)>>3]=o;p[b+((r|1)<<3)>>3]=s;n=n+1|0}while((n|0)!=(g|0))}if((a|0)<=0){Tqa(i);Tqa(j);return}n=h+a|0;m=n+h|0;l=(n<<1)+h|0;e=(n*3|0)+h|0;c=(n<<2)+h|0;n=0;do{p[b+(n+h<<3)>>3]=0.0;p[b+(m+n<<3)>>3]=0.0;p[b+(l+n<<3)>>3]=0.0;p[b+(e+n<<3)>>3]=+p[j+(n<<3)>>3];p[b+(c+n<<3)>>3]=0.0;n=n+1|0}while((n|0)!=(a|0));Tqa(i);Tqa(j);return}else{if(f){f=h+a|0;n=f<<1;c=g<<1;e=f*3|0;l=f<<2;m=f*5|0;r=f*6|0;q=f*7|0;t=0;do{s=+p[i+(t<<3)>>3];u=ma(t,d)|0;p[b+(u<<3)>>3]=s;p[b+(u+1<<3)>>3]=0.0;p[b+(u+2<<3)>>3]=0.0;v=u+f|0;p[b+(v<<3)>>3]=0.0;o=+p[i+(t+g<<3)>>3];p[b+(v+1<<3)>>3]=o;p[b+(v+2<<3)>>3]=0.0;v=u+n|0;p[b+(v<<3)>>3]=0.0;p[b+(v+1<<3)>>3]=0.0;w=+p[i+(t+c<<3)>>3];p[b+(v+2<<3)>>3]=w;x=o*.5;v=u+e|0;p[b+(v<<3)>>3]=x;y=s*.5;p[b+(v+1<<3)>>3]=y;p[b+(v+2<<3)>>3]=0.0;z=w*.5;v=u+l|0;p[b+(v<<3)>>3]=z;p[b+(v+1<<3)>>3]=0.0;p[b+(v+2<<3)>>3]=y;v=u+m|0;p[b+(v<<3)>>3]=0.0;p[b+(v+1<<3)>>3]=z;p[b+(v+2<<3)>>3]=x;v=u+r|0;p[b+(v<<3)>>3]=0.0;p[b+(v+1<<3)>>3]=0.0;p[b+(v+2<<3)>>3]=0.0;v=u+q|0;p[b+(v<<3)>>3]=s;p[b+(v+1<<3)>>3]=o;p[b+(v+2<<3)>>3]=w;t=t+1|0}while((t|0)!=(g|0))}if((a|0)<=0){Tqa(i);Tqa(j);return}g=h+a|0;t=g+h|0;q=(g<<1)+h|0;r=(g*3|0)+h|0;m=(g<<2)+h|0;l=(g*5|0)+h|0;e=(g*6|0)+h|0;c=(g*7|0)+h|0;g=0;do{p[b+(g+h<<3)>>3]=0.0;p[b+(t+g<<3)>>3]=0.0;p[b+(q+g<<3)>>3]=0.0;p[b+(r+g<<3)>>3]=0.0;p[b+(m+g<<3)>>3]=0.0;p[b+(l+g<<3)>>3]=0.0;p[b+(e+g<<3)>>3]=+p[j+(g<<3)>>3];p[b+(c+g<<3)>>3]=0.0;g=g+1|0}while((g|0)!=(a|0));Tqa(i);Tqa(j);return}}function aaa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0.0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0.0;a=Hc[k[(k[c>>2]|0)+392>>2]&511](c)|0;g=Hc[k[(k[c>>2]|0)+396>>2]&511](c)|0;h=ma(g,d)|0;i=Rqa(h>>>0>536870911?-1:h<<3)|0;j=Rqa(a>>>0>536870911?-1:a<<3)|0;rd[k[(k[c>>2]|0)+344>>2]&511](c,i,e,f);nd[k[(k[c>>2]|0)+352>>2]&1023](c,j,f);f=(g|0)>0;if((d|0)==2){if(f){c=h+a|0;e=c<<1;l=c*3|0;m=c<<2;n=0;do{o=+p[i+(n<<3)>>3];q=n<<1;p[b+(q<<3)>>3]=o;p[b+((q|1)<<3)>>3]=0.0;r=q+c|0;p[b+(r<<3)>>3]=0.0;s=+p[i+(n+g<<3)>>3];p[b+(r+1<<3)>>3]=s;r=q+e|0;p[b+(r<<3)>>3]=s;p[b+((r|1)<<3)>>3]=o;r=q+l|0;p[b+(r<<3)>>3]=o;p[b+(r+1<<3)>>3]=s;r=q+m|0;p[b+(r<<3)>>3]=0.0;p[b+((r|1)<<3)>>3]=0.0;n=n+1|0}while((n|0)!=(g|0))}if((a|0)<=0){Tqa(i);Tqa(j);return}n=h+a|0;m=n+h|0;l=(n<<1)+h|0;e=(n*3|0)+h|0;c=(n<<2)+h|0;n=0;do{p[b+(n+h<<3)>>3]=0.0;p[b+(m+n<<3)>>3]=0.0;p[b+(l+n<<3)>>3]=0.0;p[b+(e+n<<3)>>3]=0.0;p[b+(c+n<<3)>>3]=+p[j+(n<<3)>>3];n=n+1|0}while((n|0)!=(a|0));Tqa(i);Tqa(j);return}else{if(f){f=h+a|0;n=f<<1;c=g<<1;e=f*3|0;l=f<<2;m=f*5|0;r=f*6|0;q=f*7|0;t=0;do{s=+p[i+(t<<3)>>3];u=ma(t,d)|0;p[b+(u<<3)>>3]=s;p[b+(u+1<<3)>>3]=0.0;p[b+(u+2<<3)>>3]=0.0;v=u+f|0;p[b+(v<<3)>>3]=0.0;o=+p[i+(t+g<<3)>>3];p[b+(v+1<<3)>>3]=o;p[b+(v+2<<3)>>3]=0.0;v=u+n|0;p[b+(v<<3)>>3]=0.0;p[b+(v+1<<3)>>3]=0.0;w=+p[i+(t+c<<3)>>3];p[b+(v+2<<3)>>3]=w;v=u+e|0;p[b+(v<<3)>>3]=o;p[b+(v+1<<3)>>3]=s;p[b+(v+2<<3)>>3]=0.0;v=u+l|0;p[b+(v<<3)>>3]=w;p[b+(v+1<<3)>>3]=0.0;p[b+(v+2<<3)>>3]=s;v=u+m|0;p[b+(v<<3)>>3]=0.0;p[b+(v+1<<3)>>3]=w;p[b+(v+2<<3)>>3]=o;v=u+r|0;p[b+(v<<3)>>3]=s;p[b+(v+1<<3)>>3]=o;p[b+(v+2<<3)>>3]=w;v=u+q|0;p[b+(v<<3)>>3]=0.0;p[b+(v+1<<3)>>3]=0.0;p[b+(v+2<<3)>>3]=0.0;t=t+1|0}while((t|0)!=(g|0))}if((a|0)<=0){Tqa(i);Tqa(j);return}g=h+a|0;t=g+h|0;q=(g<<1)+h|0;r=(g*3|0)+h|0;m=(g<<2)+h|0;l=(g*5|0)+h|0;e=(g*6|0)+h|0;c=(g*7|0)+h|0;g=0;do{p[b+(g+h<<3)>>3]=0.0;p[b+(t+g<<3)>>3]=0.0;p[b+(q+g<<3)>>3]=0.0;p[b+(r+g<<3)>>3]=0.0;p[b+(m+g<<3)>>3]=0.0;p[b+(l+g<<3)>>3]=0.0;p[b+(e+g<<3)>>3]=0.0;p[b+(c+g<<3)>>3]=+p[j+(g<<3)>>3];g=g+1|0}while((g|0)!=(a|0));Tqa(i);Tqa(j);return}}function baa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0.0,j=0,l=0,m=0.0,n=0,o=0,q=0,r=0.0,s=0.0;a=Hc[k[(k[c>>2]|0)+396>>2]&511](c)|0;g=ma(a,d)|0;h=Rqa(g>>>0>536870911?-1:g<<3)|0;rd[k[(k[c>>2]|0)+344>>2]&511](c,h,e,f);f=(a|0)>0;if((d|0)==2){if(!f){Tqa(h);return}e=g<<1;c=0;do{i=+p[h+(c<<3)>>3];j=c<<1;p[b+(j<<3)>>3]=i;p[b+((j|1)<<3)>>3]=0.0;l=j+g|0;p[b+(l<<3)>>3]=0.0;m=+p[h+(c+a<<3)>>3];p[b+(l+1<<3)>>3]=m;l=j+e|0;p[b+(l<<3)>>3]=m*.5;p[b+((l|1)<<3)>>3]=i*.5;c=c+1|0}while((c|0)!=(a|0));Tqa(h);return}else{if(!f){Tqa(h);return}f=g<<1;c=a<<1;e=g*3|0;l=g<<2;j=g*5|0;n=0;do{i=+p[h+(n<<3)>>3];o=ma(n,d)|0;p[b+(o<<3)>>3]=i;p[b+(o+1<<3)>>3]=0.0;p[b+(o+2<<3)>>3]=0.0;q=o+g|0;p[b+(q<<3)>>3]=0.0;m=+p[h+(n+a<<3)>>3];p[b+(q+1<<3)>>3]=m;p[b+(q+2<<3)>>3]=0.0;q=o+f|0;p[b+(q<<3)>>3]=0.0;p[b+(q+1<<3)>>3]=0.0;r=+p[h+(n+c<<3)>>3];p[b+(q+2<<3)>>3]=r;s=m*.5;q=o+e|0;p[b+(q<<3)>>3]=s;m=i*.5;p[b+(q+1<<3)>>3]=m;p[b+(q+2<<3)>>3]=0.0;i=r*.5;q=o+l|0;p[b+(q<<3)>>3]=i;p[b+(q+1<<3)>>3]=0.0;p[b+(q+2<<3)>>3]=m;q=o+j|0;p[b+(q<<3)>>3]=0.0;p[b+(q+1<<3)>>3]=i;p[b+(q+2<<3)>>3]=s;n=n+1|0}while((n|0)!=(a|0));Tqa(h);return}}function caa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0.0,j=0,l=0,m=0.0,n=0,o=0,q=0,r=0.0;a=Hc[k[(k[c>>2]|0)+396>>2]&511](c)|0;g=ma(a,d)|0;h=Rqa(g>>>0>536870911?-1:g<<3)|0;rd[k[(k[c>>2]|0)+344>>2]&511](c,h,e,f);f=(a|0)>0;if((d|0)==2){if(!f){Tqa(h);return}e=g<<1;c=0;do{i=+p[h+(c<<3)>>3];j=c<<1;p[b+(j<<3)>>3]=i;p[b+((j|1)<<3)>>3]=0.0;l=j+g|0;p[b+(l<<3)>>3]=0.0;m=+p[h+(c+a<<3)>>3];p[b+(l+1<<3)>>3]=m;l=j+e|0;p[b+(l<<3)>>3]=m;p[b+((l|1)<<3)>>3]=i;c=c+1|0}while((c|0)!=(a|0));Tqa(h);return}else{if(!f){Tqa(h);return}f=g<<1;c=a<<1;e=g*3|0;l=g<<2;j=g*5|0;n=0;do{i=+p[h+(n<<3)>>3];o=ma(n,d)|0;p[b+(o<<3)>>3]=i;p[b+(o+1<<3)>>3]=0.0;p[b+(o+2<<3)>>3]=0.0;q=o+g|0;p[b+(q<<3)>>3]=0.0;m=+p[h+(n+a<<3)>>3];p[b+(q+1<<3)>>3]=m;p[b+(q+2<<3)>>3]=0.0;q=o+f|0;p[b+(q<<3)>>3]=0.0;p[b+(q+1<<3)>>3]=0.0;r=+p[h+(n+c<<3)>>3];p[b+(q+2<<3)>>3]=r;q=o+e|0;p[b+(q<<3)>>3]=m;p[b+(q+1<<3)>>3]=i;p[b+(q+2<<3)>>3]=0.0;q=o+l|0;p[b+(q<<3)>>3]=r;p[b+(q+1<<3)>>3]=0.0;p[b+(q+2<<3)>>3]=i;q=o+j|0;p[b+(q<<3)>>3]=0.0;p[b+(q+1<<3)>>3]=r;p[b+(q+2<<3)>>3]=m;n=n+1|0}while((n|0)!=(a|0));Tqa(h);return}}function daa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;a=Hc[k[(k[c>>2]|0)+396>>2]&511](c)|0;g=ma(a,d)|0;h=Rqa(g>>>0>536870911?-1:g<<3)|0;rd[k[(k[c>>2]|0)+344>>2]&511](c,h,e,f);f=(a|0)>0;if((d|0)==2){if(f)i=0;else{Tqa(h);return}do{e=i<<1;p[b+(e<<3)>>3]=+p[h+(i<<3)>>3];p[b+((e|1)<<3)>>3]=+p[h+(i+a<<3)>>3];i=i+1|0}while((i|0)!=(a|0));Tqa(h);return}if(!f){Tqa(h);return}f=a<<1;i=0;do{e=ma(i,d)|0;p[b+(e<<3)>>3]=+p[h+(i<<3)>>3];p[b+(e+1<<3)>>3]=+p[h+(i+a<<3)>>3];p[b+(e+2<<3)>>3]=+p[h+(i+f<<3)>>3];i=i+1|0}while((i|0)!=(a|0));Tqa(h);return}function eaa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0.0,l=0,m=0;e=Hc[k[(k[c>>2]|0)+392>>2]&511](c)|0;a=Hc[k[(k[c>>2]|0)+396>>2]&511](c)|0;g=ma(a,d)|0;h=Rqa(a>>>0>536870911?-1:a<<3)|0;nd[k[(k[c>>2]|0)+368>>2]&1023](c,h,f);f=(a|0)>0;if((d|0)==3){if(f){d=g+e|0;c=d<<1;i=0;do{j=+p[h+(i<<3)>>3];l=i*3|0;p[b+(l<<3)>>3]=j;p[b+(l+1<<3)>>3]=0.0;p[b+(l+2<<3)>>3]=0.0;m=l+d|0;p[b+(m<<3)>>3]=0.0;p[b+(m+1<<3)>>3]=j;p[b+(m+2<<3)>>3]=0.0;m=l+c|0;p[b+(m<<3)>>3]=0.0;p[b+(m+1<<3)>>3]=0.0;p[b+(m+2<<3)>>3]=j;i=i+1|0}while((i|0)!=(a|0))}if((e|0)<=0){Tqa(h);return}i=g+e|0;c=i+g|0;d=(i<<1)+g|0;i=0;do{p[b+(i+g<<3)>>3]=0.0;p[b+(c+i<<3)>>3]=0.0;p[b+(d+i<<3)>>3]=0.0;i=i+1|0}while((i|0)!=(e|0));Tqa(h);return}else{if(f){f=g+e|0;i=0;do{j=+p[h+(i<<3)>>3];d=i<<1;p[b+(d<<3)>>3]=j;p[b+((d|1)<<3)>>3]=0.0;c=f+d|0;p[b+(c<<3)>>3]=0.0;p[b+(c+1<<3)>>3]=j;i=i+1|0}while((i|0)!=(a|0))}if((e|0)<=0){Tqa(h);return}a=g<<1;i=0;do{p[b+(i+g<<3)>>3]=0.0;p[b+(i+e+a<<3)>>3]=0.0;i=i+1|0}while((i|0)!=(e|0));Tqa(h);return}}function faa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0.0,q=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0;a=r;r=r+48|0;c=a+36|0;d=a+24|0;e=a+16|0;f=a+8|0;g=a;h=a+32|0;k[h>>2]=0;cp(b,c,299);i=Hc[k[(k[b>>2]|0)+396>>2]&511](b)|0;j=Hc[k[(k[b>>2]|0)+392>>2]&511](b)|0;l=j+i|0;m=Rqa(l>>>0>1073741823?-1:l<<2)|0;l=(i|0)>0;if((k[c>>2]|0)==2){if(l){n=0;do{k[m+(n<<2)>>2]=971;n=n+1|0}while((n|0)!=(i|0))}}else if(l){n=0;do{k[m+(n<<2)>>2]=972;n=n+1|0}while((n|0)!=(i|0))}if((j|0)>0){n=0;do{k[m+(n+i<<2)>>2]=653;n=n+1|0}while((n|0)!=(j|0))}j=iq(b,543)|0;n=Rqa(i>>>0>536870911?-1:i<<3)|0;Uo(b,h);o=+Dp(b,265);q=+Dp(b,65);s=Wo(b,88)|0;t=Wo(b,89)|0;if((k[c>>2]|0)==3)u=Wo(b,90)|0;else u=0;v=ed[k[(k[b>>2]|0)+308>>2]&511](b,5)|0;w=Hc[k[(k[v>>2]|0)+8>>2]&511](v)|0;if((w|0)<(Hc[k[(k[v>>2]|0)+12>>2]&511](v)|0)){x=v+8|0;y=j+4|0;z=o*q;A=w;do{Fc[k[(k[v>>2]|0)+24>>2]&1023](v,A);rd[k[(k[b>>2]|0)+260>>2]&511](b,d,k[h>>2]|0,v);nd[k[(k[b>>2]|0)+368>>2]&1023](b,n,v);nd[k[(k[s>>2]|0)+48>>2]&1023](s,e,v);nd[k[(k[t>>2]|0)+48>>2]&1023](t,f,v);if((k[c>>2]|0)==3)nd[k[(k[u>>2]|0)+48>>2]&1023](u,g,v);if(l){w=k[c>>2]|0;B=k[y>>2]|0;if((w|0)==3){C=0;do{D=n+(C<<3)|0;E=C*3|0;F=B+(E<<3)|0;p[F>>3]=o*+p[e>>3]*+p[d>>3]*+p[x>>3]*+p[D>>3]+ +p[F>>3];F=B+(E+1<<3)|0;p[F>>3]=o*+p[f>>3]*+p[d>>3]*+p[x>>3]*+p[D>>3]+ +p[F>>3];F=B+(E+2<<3)|0;q=o*+p[g>>3]*+p[d>>3]*+p[x>>3]*+p[D>>3]+ +p[F>>3];p[F>>3]=q;p[F>>3]=q-z*+p[d>>3]*+p[x>>3]*+p[D>>3];C=C+1|0}while((C|0)!=(i|0))}else{C=0;do{D=n+(C<<3)|0;F=ma(w,C)|0;E=B+(F<<3)|0;p[E>>3]=o*+p[e>>3]*+p[d>>3]*+p[x>>3]*+p[D>>3]+ +p[E>>3];E=B+(F+1<<3)|0;q=o*+p[f>>3]*+p[d>>3]*+p[x>>3]*+p[D>>3]+ +p[E>>3];p[E>>3]=q;p[E>>3]=q-z*+p[d>>3]*+p[x>>3]*+p[D>>3];C=C+1|0}while((C|0)!=(i|0))}}A=A+1|0}while((A|0)<(Hc[k[(k[v>>2]|0)+12>>2]&511](v)|0))}zq(b,j,m);Ec[k[(k[v>>2]|0)+4>>2]&1023](v);Tqa(m);Tqa(n);n=k[h>>2]|0;if(!n){r=a;return j|0}Tqa(n);r=a;return j|0}function gaa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0.0;a=r;r=r+80|0;c=a+64|0;d=a+48|0;e=a+40|0;f=a+16|0;g=a+60|0;h=a+56|0;i=a+8|0;j=a;k[g>>2]=0;if(!(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0)){l=0;r=a;return l|0}if(!(_p(b)|0)){l=0;r=a;return l|0}cp(b,c,299);m=Hc[k[(k[b>>2]|0)+396>>2]&511](b)|0;n=Hc[k[(k[b>>2]|0)+392>>2]&511](b)|0;o=n+m|0;q=Rqa(o>>>0>1073741823?-1:o<<2)|0;o=(m|0)>0;if((k[c>>2]|0)==2){if(o){s=0;do{k[q+(s<<2)>>2]=971;s=s+1|0}while((s|0)!=(m|0))}}else if(o){s=0;do{k[q+(s<<2)>>2]=972;s=s+1|0}while((s|0)!=(m|0))}if((n|0)>0){s=0;do{k[q+(s+m<<2)>>2]=653;s=s+1|0}while((s|0)!=(n|0))}n=iq(b,543)|0;s=Rqa(m>>>0>536870911?-1:m<<3)|0;Fc[k[(k[b>>2]|0)+188>>2]&1023](b,g);t=Wo(b,64)|0;u=+Dp(b,266);v=+Dp(b,65);w=ed[k[(k[b>>2]|0)+324>>2]&511](b,5)|0;x=Hc[k[(k[w>>2]|0)+8>>2]&511](w)|0;if((x|0)<(Hc[k[(k[w>>2]|0)+12>>2]&511](w)|0)){y=u*v;z=w+8|0;A=n+4|0;B=f+8|0;C=f+16|0;D=x;do{Fc[k[(k[w>>2]|0)+24>>2]&1023](w,D);rd[k[(k[b>>2]|0)+264>>2]&511](b,d,k[g>>2]|0,w);nd[k[(k[b>>2]|0)+368>>2]&1023](b,s,w);nd[k[(k[b>>2]|0)+380>>2]&1023](b,f,k[g>>2]|0);nd[k[(k[t>>2]|0)+48>>2]&1023](t,e,w);E=y*+p[e>>3];if(o){x=k[c>>2]|0;F=k[A>>2]|0;if((x|0)==3){G=0;do{H=s+(G<<3)|0;I=G*3|0;J=F+(I<<3)|0;p[J>>3]=E*+p[z>>3]*+p[d>>3]*+p[H>>3]*+p[f>>3]+ +p[J>>3];J=F+(I+1<<3)|0;p[J>>3]=E*+p[z>>3]*+p[d>>3]*+p[H>>3]*+p[B>>3]+ +p[J>>3];J=F+(I+2<<3)|0;p[J>>3]=E*+p[z>>3]*+p[d>>3]*+p[H>>3]*+p[C>>3]+ +p[J>>3];G=G+1|0}while((G|0)!=(m|0))}else{G=0;do{J=s+(G<<3)|0;H=ma(x,G)|0;I=F+(H<<3)|0;p[I>>3]=E*+p[z>>3]*+p[d>>3]*+p[J>>3]*+p[f>>3]+ +p[I>>3];I=F+(H+1<<3)|0;p[I>>3]=E*+p[z>>3]*+p[d>>3]*+p[J>>3]*+p[B>>3]+ +p[I>>3];G=G+1|0}while((G|0)!=(m|0))}}D=D+1|0}while((D|0)<(Hc[k[(k[w>>2]|0)+12>>2]&511](w)|0))}zq(b,n,q);cp(b,h,81);if(k[h>>2]|0){h=Wo(b,40)|0;pp(b,i,358);D=Hc[k[(k[w>>2]|0)+8>>2]&511](w)|0;a:do if((D|0)<(Hc[k[(k[w>>2]|0)+12>>2]&511](w)|0)){B=w+8|0;z=n+4|0;C=f+8|0;if(o){K=D;L=0.0}else{A=D;while(1){Fc[k[(k[w>>2]|0)+24>>2]&1023](w,A);rd[k[(k[b>>2]|0)+264>>2]&511](b,d,k[g>>2]|0,w);nd[k[(k[b>>2]|0)+368>>2]&1023](b,s,w);nd[k[(k[b>>2]|0)+380>>2]&1023](b,f,k[g>>2]|0);nd[k[(k[h>>2]|0)+48>>2]&1023](h,j,w);A=A+1|0;if((A|0)>=(Hc[k[(k[w>>2]|0)+12>>2]&511](w)|0))break a}}while(1){Fc[k[(k[w>>2]|0)+24>>2]&1023](w,K);rd[k[(k[b>>2]|0)+264>>2]&511](b,d,k[g>>2]|0,w);nd[k[(k[b>>2]|0)+368>>2]&1023](b,s,w);nd[k[(k[b>>2]|0)+380>>2]&1023](b,f,k[g>>2]|0);switch(k[c>>2]|0){case 2:{M=+p[C>>3];break}case 3:{y=+p[f>>3];E=+p[C>>3];M=+aa(+(y*y+E*E));break}default:M=L}nd[k[(k[h>>2]|0)+48>>2]&1023](h,j,w);A=k[c>>2]|0;e=k[z>>2]|0;t=0;do{G=e+((ma(A,t)|0)+1<<3)|0;p[G>>3]=+p[G>>3]+M*(+p[s+(t<<3)>>3]*(+p[d>>3]*(+p[B>>3]*(+p[j>>3]*(v*(u*+p[i>>3]))))));t=t+1|0}while((t|0)!=(m|0));K=K+1|0;if((K|0)>=(Hc[k[(k[w>>2]|0)+12>>2]&511](w)|0))break a;else L=M}}while(0)}Ec[k[(k[w>>2]|0)+4>>2]&1023](w);Tqa(q);Tqa(s);s=k[g>>2]|0;if(s)Tqa(s);k[g>>2]=0;l=n;r=a;return l|0}function haa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0,y=0,z=0.0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0,K=0.0,L=0,M=0,N=0,O=0,P=0,Q=0;a=r;r=r+64|0;c=a+56|0;d=a+40|0;e=a+32|0;f=a+24|0;g=a;h=a+52|0;i=a+48|0;if(!(Hc[k[(k[b>>2]|0)+240>>2]&511](b)|0)){j=0;r=a;return j|0}k[h>>2]=0;k[i>>2]=0;if(_p(b)|0){cp(b,c,299);l=Hc[k[(k[b>>2]|0)+396>>2]&511](b)|0;m=Hc[k[(k[b>>2]|0)+392>>2]&511](b)|0;n=Hc[k[(k[b>>2]|0)+172>>2]&511](b)|0;o=m+l|0;q=Rqa(o>>>0>1073741823?-1:o<<2)|0;o=(l|0)>0;if((k[c>>2]|0)==2){if(o){s=0;do{k[q+(s<<2)>>2]=971;s=s+1|0}while((s|0)!=(l|0))}}else if(o){s=0;do{k[q+(s<<2)>>2]=972;s=s+1|0}while((s|0)!=(l|0))}if((m|0)>0){s=0;do{k[q+(s+l<<2)>>2]=653;s=s+1|0}while((s|0)!=(m|0))}m=iq(b,543)|0;s=Rqa(l>>>0>536870911?-1:l<<3)|0;Uo(b,h);rd[k[(k[b>>2]|0)+140>>2]&511](b,i,k[h>>2]|0,206);nd[k[(k[b>>2]|0)+384>>2]&1023](b,g,k[i>>2]|0);t=Wo(b,339)|0;u=Wo(b,999)|0;v=+Dp(b,266);w=+Dp(b,65);x=k[c>>2]|0;y=k[h>>2]|0;z=+p[y+(x+-1<<3)>>3];A=(n|0)>1;if(A){B=1;C=z;while(1){D=+p[y+((B*3|0)+-1+x<<3)>>3];E=D>C?D:C;B=B+1|0;if((B|0)==(n|0)){F=E;break}else C=E}if(A){A=1;C=z;while(1){E=+p[y+((A*3|0)+-1+x<<3)>>3];D=E<C?E:C;A=A+1|0;if((A|0)==(n|0)){G=F;H=D;break}else C=D}}else{G=F;H=z}}else{G=z;H=z}n=k[(k[b>>2]|0)+316>>2]|0;A=k[i>>2]|0;if(G>0.0&H<0.0)I=fd[n&31](b,y,A,3,30)|0;else I=fd[n&31](b,y,A,3,3)|0;A=Hc[k[(k[I>>2]|0)+8>>2]&511](I)|0;if((A|0)<(Hc[k[(k[I>>2]|0)+12>>2]&511](I)|0)){H=v*w;y=I+8|0;n=m+4|0;x=g+8|0;B=g+16|0;J=A;do{Fc[k[(k[I>>2]|0)+24>>2]&1023](I,J);rd[k[(k[b>>2]|0)+272>>2]&511](b,d,k[i>>2]|0,I);nd[k[(k[b>>2]|0)+368>>2]&1023](b,s,I);nd[k[(k[t>>2]|0)+48>>2]&1023](t,e,I);nd[k[(k[u>>2]|0)+48>>2]&1023](u,f,I);A=k[h>>2]|0;if((k[c>>2]|0)==3)K=+Lp(b,A,I);else K=+Kp(b,A,I);w=H*+KY(0.0,K-+p[f>>3]);if(o){A=k[c>>2]|0;L=k[n>>2]|0;if((A|0)==3){M=0;do{N=s+(M<<3)|0;O=M*3|0;P=L+(O<<3)|0;p[P>>3]=w*+p[d>>3]*+p[y>>3]*+p[g>>3]*+p[N>>3]+ +p[P>>3];P=L+(O+1<<3)|0;p[P>>3]=w*+p[d>>3]*+p[y>>3]*+p[x>>3]*+p[N>>3]+ +p[P>>3];P=L+(O+2<<3)|0;p[P>>3]=w*+p[d>>3]*+p[y>>3]*+p[B>>3]*+p[N>>3]+ +p[P>>3];M=M+1|0}while((M|0)!=(l|0))}else{M=0;do{P=s+(M<<3)|0;N=ma(A,M)|0;O=L+(N<<3)|0;p[O>>3]=w*+p[d>>3]*+p[y>>3]*+p[g>>3]*+p[P>>3]+ +p[O>>3];O=L+(N+1<<3)|0;p[O>>3]=w*+p[d>>3]*+p[y>>3]*+p[x>>3]*+p[P>>3]+ +p[O>>3];M=M+1|0}while((M|0)!=(l|0))}}J=J+1|0}while((J|0)<(Hc[k[(k[I>>2]|0)+12>>2]&511](I)|0))}zq(b,m,q);Ec[k[(k[I>>2]|0)+4>>2]&1023](I);Tqa(q);Tqa(s);s=k[h>>2]|0;if(s)Tqa(s);k[h>>2]=0;h=k[i>>2]|0;if(h)Tqa(h);k[i>>2]=0;Q=m}else Q=0;j=Q;r=a;return j|0}
function dea(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;a=r;r=r+208|0;d=a+8|0;e=a;f=a+184|0;g=a+48|0;h=a+36|0;i=a+24|0;j=a+12|0;if((k[c+40>>2]|0)!=300){k[e>>2]=136615;Ska(c,1,e);foa(c);e=c+52|0;if((k[e>>2]|0)<=0){k[d>>2]=136615;Lka(c,1,d);r=a;return}l=c+36|0;m=c+104|0;n=0;while(1){if((k[(k[l>>2]|0)+(n<<2)>>2]|0)!=0?(o=(Jka(c,136615)|0)+(n<<3)|0,(~~+p[o>>3]|0)!=0):0){o=Qqa(52)|0;B=0;ua(177,o|0,n+1+(k[m>>2]|0)|0,n|0,c|0,509);q=B;B=0;if(q&1){s=o;break}ih(b,o)|0}n=n+1|0;if((n|0)>=(k[e>>2]|0)){t=27;break}}if((t|0)==27){k[d>>2]=136615;Lka(c,1,d);r=a;return}a=Rb()|0;d=Q;Sqa(s);u=d;v=a;Qb(v|0)}a=g+56|0;d=g+4|0;k[g>>2]=27524;k[a>>2]=27544;B=0;wa(508,g+56|0,d|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;vva(a);Qb(x|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[a>>2]=27488;B=0;va(448,d|0);s=B;B=0;do if(s&1){c=Rb()|0;y=Q;z=c}else{k[d>>2]=27560;c=g+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,d|0,f|0);e=B;B=0;if(e&1){e=Rb()|0;n=Q;Yua(f);Yua(c);Ava(d);y=n;z=e;break}Yua(f);B=0;e=Ia(40,g|0,134838,27)|0;n=B;B=0;a:do if(!(n&1)?(B=0,Xa(239,e|0,0)|0,b=B,B=0,!(b&1)):0){b=Ab(20)|0;B=0;eb(502,h|0,131940,75);m=B;B=0;do if(!(m&1)){B=0;eb(502,i|0,135856,11);l=B;B=0;if(l&1){l=Rb()|0;o=Q;Yua(h);A=o;C=l;break}B=0;wa(510,j|0,d|0);l=B;B=0;if(l&1){l=Rb()|0;D=Q;E=l;F=1}else{B=0;ua(163,b|0,h|0,i|0,14,j|0);l=B;B=0;if(l&1)G=1;else{B=0;eb(503,b|0,1240,229);B=0;G=0}l=Rb()|0;o=Q;Yua(j);D=o;E=l;F=G}Yua(i);Yua(h);if(F){A=D;C=E}else{H=D;I=E;break a}}else{l=Rb()|0;A=Q;C=l}while(0);zb(b|0);H=A;I=C}else t=17;while(0);if((t|0)==17){e=Rb()|0;H=Q;I=e}k[g>>2]=27468;k[a>>2]=27488;k[d>>2]=27560;Yua(c);Ava(d);vva(a);u=H;v=I;Qb(v|0)}while(0);w=y;x=z;vva(a);Qb(x|0)}function eea(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;a=r;r=r+16|0;d=a+8|0;e=a;if((k[c+40>>2]|0)==302){k[e>>2]=136615;k[e+4>>2]=136636;Ska(c,2,e)}hoa(b,c,509,738,534);k[d>>2]=136615;k[d+4>>2]=136636;Lka(c,2,d);r=a;return}function fea(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 1}function gea(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;a=c+40|0;if((k[a>>2]|0)==300)return;f=c+56|0;g=k[f>>2]|0;if((g|0)>0){h=c+32|0;j=g;g=0;l=0;while(1){if(!(i[(k[h>>2]|0)+l>>0]|0)){m=j;n=g}else{o=qh(b,g)|0;Uc[k[(k[o>>2]|0)+480>>2]&63](o,l,c,d,e,738);m=k[f>>2]|0;n=g+1|0}l=l+1|0;if((l|0)>=(m|0))break;else{j=m;g=n}}}Zka(c,b,137052,353);Zka(c,b,134925,339);Zka(c,b,134945,64);Yka(c,b,137955,999,0.0);Zka(c,b,137867,206);if((k[a>>2]|0)!=300){Zka(c,b,136615,287);Zka(c,b,136636,288)}Zka(c,b,135039,653);return}function hea(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return}function iea(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,131940,75);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138209,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,73,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function jea(a,b){a=a|0;b=b|0;return 0}function kea(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,131940,75);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,80,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function lea(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0.0,m=0.0,n=0,o=0.0,q=0,s=0,t=0;a=r;r=r+32|0;c=a+8|0;d=a;e=a+16|0;if(!(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0)){f=0;r=a;return f|0}g=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;k[e>>2]=0;h=Hc[k[(k[g>>2]|0)+164>>2]&511](g)|0;i=gq(g,534)|0;j=Rqa(h>>>0>536870911?-1:h<<3)|0;Uo(g,e);l=+Dp(b,211);m=+Dp(b,210);b=ed[k[(k[g>>2]|0)+308>>2]&511](g,2)|0;n=Hc[k[(k[b>>2]|0)+8>>2]&511](b)|0;if((n|0)<(Hc[k[(k[b>>2]|0)+12>>2]&511](b)|0)){o=l/m;q=b+8|0;s=i+12|0;t=n;do{Fc[k[(k[b>>2]|0)+24>>2]&1023](b,t);rd[k[(k[g>>2]|0)+260>>2]&511](g,d,k[e>>2]|0,b);nd[k[(k[g>>2]|0)+336>>2]&1023](g,j,b);p[c>>3]=o*+p[q>>3]*+p[d>>3];ZX(j,1,h,1,c,1,1,0,j,1,h,0,k[s>>2]|0,1)|0;t=t+1|0}while((t|0)<(Hc[k[(k[b>>2]|0)+12>>2]&511](b)|0))}t=k[e>>2]|0;if(t)Tqa(t);k[e>>2]=0;Tqa(j);Ec[k[(k[b>>2]|0)+4>>2]&1023](b);ap(g);if(g)Ec[k[(k[g>>2]|0)+4>>2]&1023](g);f=i;r=a;return f|0}function mea(a,b){a=a|0;b=b|0;return 0}function nea(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,131940,75);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138230,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,130,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function oea(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,131940,75);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,133,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function pea(a,b,c){a=a|0;b=b|0;c=c|0;nd[k[(k[c>>2]|0)+232>>2]&1023](c,b,39);return}function qea(a,b){a=a|0;b=b|0;return}function rea(a){a=a|0;Sqa(a);return}function sea(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;a=r;r=r+16|0;d=a;Fka(c,d,132040);if((k[d>>2]|0)==3){r=a;return}qoa(b,c,132071,510,738,0);if((k[d>>2]|0)!=4){r=a;return}Bma(b,510);r=a;return}function tea(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;a=r;r=r+48|0;d=a+8|0;e=a;f=a+32|0;g=a+24|0;h=a+20|0;j=a+16|0;l=a+12|0;Fka(c,g,132040);if((k[g>>2]|0)==3){doa(c);k[e>>2]=137052;Ska(c,1,e);e=c+60|0;g=k[e>>2]|0;a:do if((g|0)>0){m=c+76|0;n=c+32|0;o=c+104|0;q=g;s=0;while(1){if(!(i[(k[n>>2]|0)+((k[(k[m>>2]|0)+((s<<2|2)<<2)>>2]|0)+-1)>>0]|0)){t=s+1|0;u=q}else{v=Qqa(48)|0;w=s+1|0;B=0;La(36,v|0,w+(k[o>>2]|0)|0,s|0,s|0,c|0,510);x=B;B=0;if(x&1){y=v;break}ih(b,v)|0;t=w;u=k[e>>2]|0}if((t|0)<(u|0)){q=u;s=t}else break a}s=Rb()|0;q=Q;Sqa(y);z=q;A=s;Qb(A|0)}while(0);k[d>>2]=137052;Lka(c,1,d)}k[j>>2]=0;k[l>>2]=0;Qka(c,j,h,0,134220);d=c+40|0;if((k[d>>2]|0)!=300)Qka(c,l,0,0,136615);y=k[h>>2]|0;if((y|0)<=0){C=k[j>>2]|0;Mka(c,C,134220);D=k[l>>2]|0;Mka(c,D,136615);r=a;return}t=c+36|0;u=c+100|0;e=f+4|0;g=c+104|0;s=y;y=0;q=0;b:while(1){o=q<<1;m=k[j>>2]|0;n=~~+p[m+(o<<3)>>3];w=n+-1|0;do if(!(k[(k[t>>2]|0)+(w<<2)>>2]|0)){E=s;F=y}else{if((k[d>>2]|0)!=300){v=k[l>>2]|0;if(!(+p[v+(w<<3)>>3]!=0.0)){E=s;F=y;break}x=m+((o|1)<<3)|0;if(+p[v+(~~+p[x>>3]+-1<<3)>>3]!=0.0)G=x;else{E=s;F=y;break}}else G=m+((o|1)<<3)|0;x=k[u>>2]|0;k[f>>2]=n+x;k[e>>2]=~~+p[G>>3]+x;x=Qqa(28)|0;v=y+1|0;B=0;ib(298,x|0,v+(k[g>>2]|0)|0,f|0,510);H=B;B=0;if(H&1){I=x;break b}ih(b,x)|0;E=k[h>>2]|0;F=v}while(0);q=q+1|0;if((q|0)>=(E|0)){J=15;break}else{s=E;y=F}}if((J|0)==15){C=k[j>>2]|0;Mka(c,C,134220);D=k[l>>2]|0;Mka(c,D,136615);r=a;return}a=Rb()|0;D=Q;Sqa(I);z=D;A=a;Qb(A|0)}function uea(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;a=r;r=r+208|0;d=a+8|0;e=a;f=a+196|0;g=a+192|0;h=a+56|0;i=a+40|0;j=a+28|0;l=a+16|0;Fka(c,g,132040);m=k[g>>2]|0;n=k[c+40>>2]|0;if(!((m|0)==3&(n|0)==302)){if((n|0)==300)o=m;else{k[e>>2]=136615;k[e+4>>2]=136636;Ska(c,2,e);o=k[g>>2]|0}if((o|0)==3){hoa(b,c,510,739,534);k[d>>2]=136615;p=d+4|0;k[p>>2]=136636;Lka(c,2,d);r=a;return}else{hoa(b,c,510,738,534);k[d>>2]=136615;p=d+4|0;k[p>>2]=136636;Lka(c,2,d);r=a;return}}a=h+56|0;d=h+4|0;k[h>>2]=27524;k[a>>2]=27544;B=0;wa(508,h+56|0,d|0);c=B;B=0;if(c&1){c=Rb()|0;q=Q;s=c;vva(a);Qb(s|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[a>>2]=27488;B=0;va(448,d|0);c=B;B=0;do if(c&1){p=Rb()|0;t=Q;u=p}else{k[d>>2]=27560;p=h+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[h+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,d|0,f|0);b=B;B=0;if(b&1){b=Rb()|0;o=Q;Yua(f);Yua(p);Ava(d);t=o;u=b;break}Yua(f);B=0;b=Ia(40,h|0,132101,25)|0;o=B;B=0;if(!(o&1)?(B=0,Xa(239,b|0,0)|0,b=B,B=0,!(b&1)):0){b=Ab(20)|0;B=0;eb(502,i|0,132127,81);o=B;B=0;do if(!(o&1)){B=0;eb(502,j|0,145111,11);g=B;B=0;if(g&1){g=Rb()|0;e=Q;Yua(i);v=e;w=g;break}B=0;wa(510,l|0,d|0);g=B;B=0;if(g&1){g=Rb()|0;x=Q;y=g;z=1}else{B=0;ua(163,b|0,i|0,j|0,103,l|0);g=B;B=0;if(g&1)A=1;else{B=0;eb(503,b|0,1240,229);B=0;A=0}g=Rb()|0;e=Q;Yua(l);x=e;y=g;z=A}Yua(j);Yua(i);if(z){v=x;w=y}else{C=x;D=y;k[h>>2]=27468;k[a>>2]=27488;k[d>>2]=27560;Yua(p);Ava(d);vva(a);Qb(D|0)}}else{g=Rb()|0;v=Q;w=g}while(0);zb(b|0);C=v;D=w;k[h>>2]=27468;k[a>>2]=27488;k[d>>2]=27560;Yua(p);Ava(d);vva(a);Qb(D|0)}o=Rb()|0;C=Q;D=o;k[h>>2]=27468;k[a>>2]=27488;k[d>>2]=27560;Yua(p);Ava(d);vva(a);Qb(D|0)}while(0);q=t;s=u;vva(a);Qb(s|0)}function vea(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 1}function wea(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;a=r;r=r+16|0;f=a;g=a+4|0;Fka(c,f,132040);zka(c,a+7|0,134866);zka(c,a+6|0,132209);zka(c,a+5|0,134882);zka(c,g,132238);h=(k[f>>2]|0)==3?739:738;j=c+56|0;l=k[j>>2]|0;if((l|0)>0){m=c+32|0;n=l;l=0;o=0;while(1){if(!(i[(k[m>>2]|0)+o>>0]|0)){p=n;q=l}else{s=qh(b,l)|0;Uc[k[(k[s>>2]|0)+480>>2]&63](s,o,c,d,e,h);p=k[j>>2]|0;q=l+1|0}o=o+1|0;if((o|0)>=(p|0))break;else{n=p;l=q}}}Zka(c,b,137052,353);Zka(c,b,134925,339);Zka(c,b,134945,64);Yka(c,b,137955,999,0.0);Zka(c,b,137867,206);Zka(c,b,134962,928);Zka(c,b,134027,39);Zka(c,b,134069,40);Zka(c,b,135923,674);Zka(c,b,135944,677);if(!(i[g>>0]|0))Zka(c,b,134252,388);g=k[f>>2]|0;if((g|0)==3){Zka(c,b,132071,309);t=k[f>>2]|0}else t=g;if((t|0)==4)Zka(c,b,132071,309);if((k[c+40>>2]|0)==300){r=a;return}Zka(c,b,136615,287);Zka(c,b,136636,288);r=a;return}function xea(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0;e=r;r=r+16|0;d=e+4|0;a=e;k[a>>2]=0;YN(b,Ika(c,132257,99)|0);YN(b,Ika(c,132278,306)|0);YN(b,Ika(c,132309,305)|0);YN(b,Ika(c,132040,310)|0);YN(b,Ika(c,132349,307)|0);YN(b,Ika(c,132380,308)|0);Hka(c,a,d,132412);f=Qqa(12)|0;B=0;eb(518,f|0,312,k[d>>2]|0);g=B;B=0;if(g&1){g=Rb()|0;h=Q;Sqa(f);i=h;j=g;Qb(j|0)}YN(b,f);f=k[d>>2]|0;if(!f){l=0;Nka(c,a,l,132412);r=e;return}g=Qqa(16)|0;B=0;ib(294,g|0,313,k[a>>2]|0,f|0);f=B;B=0;if(f&1){f=Rb()|0;h=Q;Sqa(g);i=h;j=f;Qb(j|0)}else{YN(b,g);l=k[d>>2]|0;Nka(c,a,l,132412);r=e;return}}function yea(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,132127,81);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138209,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,198,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function zea(a,b){a=a|0;b=b|0;return 0}function Aea(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,132127,81);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,205,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function Bea(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;if(!($p(b)|0)){i=0;r=c;return i|0}if(!(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0)){i=0;r=c;return i|0}j=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;switch(Hc[k[(k[b>>2]|0)+112>>2]&511](b)|0){case 742:case 738:{l=Cea(a,j)|0;break}case 739:{l=Dea(a,j)|0;break}default:{a=e+56|0;m=e+4|0;k[e>>2]=27524;k[a>>2]=27544;B=0;wa(508,e+56|0,m|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;p=n;vva(a);Qb(p|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[a>>2]=27488;B=0;va(448,m|0);n=B;B=0;do if(n&1){q=Rb()|0;s=Q;t=q}else{k[m>>2]=27560;q=e+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,m|0,d|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(d);Yua(q);Ava(m);s=v;t=u;break}Yua(d);B=0;u=Ia(40,e|0,132447,13)|0;v=B;B=0;if(((((!(v&1)?(B=0,v=ya(k[(k[b>>2]|0)+112>>2]|0,b|0)|0,w=B,B=0,!(w&1)):0)?(B=0,w=ya(427,v|0)|0,v=B,B=0,!(v&1)):0)?(v=Lta(w)|0,B=0,x=Ia(40,u|0,w|0,v|0)|0,v=B,B=0,!(v&1)):0)?(B=0,v=Ia(40,x|0,146481,18)|0,x=B,B=0,!(x&1)):0)?(B=0,Xa(239,v|0,0)|0,v=B,B=0,!(v&1)):0){v=Ab(20)|0;B=0;eb(502,f|0,132127,81);x=B;B=0;do if(!(x&1)){B=0;eb(502,g|0,144189,13);w=B;B=0;if(w&1){w=Rb()|0;u=Q;Yua(f);y=u;z=w;break}B=0;wa(510,h|0,m|0);w=B;B=0;if(w&1){w=Rb()|0;A=Q;C=w;D=1}else{B=0;ua(163,v|0,f|0,g|0,224,h|0);w=B;B=0;if(w&1)E=1;else{B=0;eb(503,v|0,1240,229);B=0;E=0}w=Rb()|0;u=Q;Yua(h);A=u;C=w;D=E}Yua(g);Yua(f);if(D){y=A;z=C}else{F=A;G=C;k[e>>2]=27468;k[a>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(a);Qb(G|0)}}else{w=Rb()|0;y=Q;z=w}while(0);zb(v|0);F=y;G=z;k[e>>2]=27468;k[a>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(a);Qb(G|0)}x=Rb()|0;F=Q;G=x;k[e>>2]=27468;k[a>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(a);Qb(G|0)}while(0);o=s;p=t;vva(a);Qb(p|0)}}cp(b,d,298);if((k[d>>2]|0)!=300?(ap(j),(j|0)!=0):0)Ec[k[(k[j>>2]|0)+4>>2]&1023](j);i=l;r=c;return i|0}function Cea(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,ba=0,ca=0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0;a=r;r=r+448|0;c=a+432|0;d=a+428|0;e=a+424|0;f=a+64|0;g=a+56|0;h=a+48|0;i=a+40|0;j=a+32|0;l=a+16|0;m=a;n=a+420|0;o=a+272|0;q=a+408|0;s=a+256|0;t=a+108|0;u=a+120|0;v=a+96|0;w=a+84|0;x=a+72|0;if(!($p(b)|0)){y=0;r=a;return y|0}k[n>>2]=0;cp(b,e,298);switch(k[e>>2]|0){case 301:{z=1;break}case 300:{z=2;break}case 302:{z=2;break}default:{A=o+56|0;C=o+4|0;k[o>>2]=27524;k[A>>2]=27544;B=0;wa(508,o+56|0,C|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;F=D;vva(A);Qb(F|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[A>>2]=27488;B=0;va(448,C|0);D=B;B=0;do if(D&1){G=Rb()|0;H=Q;I=G}else{k[C>>2]=27560;G=o+36|0;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;k[G+12>>2]=0;k[o+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,C|0,c|0);J=B;B=0;if(J&1){J=Rb()|0;K=Q;Yua(c);Yua(G);Ava(C);H=K;I=J;break}Yua(c);B=0;J=Ia(40,o|0,144639,5)|0;K=B;B=0;a:do if((((!(K&1)?(B=0,L=ya(427,k[e>>2]|0)|0,M=B,B=0,!(M&1)):0)?(M=Lta(L)|0,B=0,N=Ia(40,J|0,L|0,M|0)|0,M=B,B=0,!(M&1)):0)?(B=0,M=Ia(40,N|0,146481,18)|0,N=B,B=0,!(N&1)):0)?(B=0,Xa(239,M|0,0)|0,M=B,B=0,!(M&1)):0){M=Ab(20)|0;B=0;eb(502,q|0,132127,81);N=B;B=0;do if(!(N&1)){B=0;eb(502,s|0,132461,15);L=B;B=0;if(L&1){L=Rb()|0;O=Q;Yua(q);P=L;R=O;break}B=0;wa(510,t|0,C|0);O=B;B=0;if(O&1){O=Rb()|0;S=O;T=Q;U=1}else{B=0;ua(163,M|0,q|0,s|0,251,t|0);O=B;B=0;if(O&1)V=1;else{B=0;eb(503,M|0,1240,229);B=0;V=0}O=Rb()|0;L=Q;Yua(t);S=O;T=L;U=V}Yua(s);Yua(q);if(U){P=S;R=T}else{W=T;X=S;break a}}else{L=Rb()|0;P=L;R=Q}while(0);zb(M|0);W=R;X=P}else Y=23;while(0);if((Y|0)==23){J=Rb()|0;W=Q;X=J}k[o>>2]=27468;k[A>>2]=27488;k[C>>2]=27560;Yua(G);Ava(C);vva(A);Z=W;_=X;Qb(_|0)}while(0);E=H;F=I;vva(A);Qb(F|0)}}F=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;A=gq(b,534)|0;I=Rqa(F>>>0>536870911?-1:F<<3)|0;H=ma(F,z)|0;E=H>>>0>536870911?-1:H<<3;H=Rqa(E)|0;X=Rqa(E)|0;E=ma(z,z)|0;W=E<<3;C=Rqa(W)|0;if(E)WEa(C|0,0,W|0)|0;Uo(b,n);pp(b,h,358);cp(b,e,298);cp(b,d,310);b:do if((k[e>>2]|0)==300){W=Wo(b,674)|0;ba=W;ca=Wo(b,677)|0}else switch(z|0){case 1:{ba=Wo(b,674)|0;ca=0;break b;break}case 2:{ba=Wo(b,673)|0;ca=Wo(b,676)|0;break b;break}default:{ba=0;ca=0;break b}}while(0);da=+Zc[k[(k[b>>2]|0)+72>>2]&255](b);e=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;W=Hc[k[(k[e>>2]|0)+8>>2]&511](e)|0;c:do if((W|0)<(Hc[k[(k[e>>2]|0)+12>>2]&511](e)|0)){E=(z|0)==2;o=e+8|0;P=A+12|0;R=m+8|0;S=C+(z+1<<3)|0;T=(z|0)==1;U=C+(z<<3)|0;q=C+8|0;ea=da*.5;fa=0.0;s=W;d:while(1){Fc[k[(k[e>>2]|0)+24>>2]&1023](e,s);rd[k[(k[b>>2]|0)+260>>2]&511](b,f,k[n>>2]|0,e);nd[k[(k[b>>2]|0)+336>>2]&1023](b,I,e);nd[k[(k[ba>>2]|0)+48>>2]&1023](ba,i,e);rd[k[(k[ba>>2]|0)+60>>2]&511](ba,l,k[n>>2]|0,e);if(E){nd[k[(k[ca>>2]|0)+48>>2]&1023](ca,j,e);rd[k[(k[ca>>2]|0)+60>>2]&511](ca,m,k[n>>2]|0,e)}p[g>>3]=+p[o>>3]*+p[f>>3];ZX(I,1,F,1,g,1,1,0,I,1,F,0,k[P>>2]|0,1)|0;V=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;t=Rqa(V>>>0>536870911?-1:V<<3)|0;nd[k[(k[b>>2]|0)+336>>2]&1023](b,t,e);if((V|0)>0){D=0;do{ga=+p[t+(D<<3)>>3];J=0;do{K=H+((ma(J,V)|0)+D<<3)|0;p[K>>3]=ga;J=J+1|0}while((J|0)!=(z|0));D=D+1|0}while((D|0)!=(V|0))}Tqa(t);V=k[n>>2]|0;D=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;M=ma(D,z)|0;J=Rqa(M>>>0>536870911?-1:M<<3)|0;rd[k[(k[b>>2]|0)+340>>2]&511](b,J,V,e);if((D|0)>0){V=0;do{M=0;do{K=(ma(M,D)|0)+V|0;p[X+(K<<3)>>3]=+p[J+(K<<3)>>3];M=M+1|0}while((M|0)!=(z|0));V=V+1|0}while((V|0)!=(D|0))}Tqa(J);ga=+p[l>>3];fa=E?+p[R>>3]:fa;ha=+p[h>>3]*+p[o>>3]*+p[f>>3];p[g>>3]=ha;p[C>>3]=ga*ha;if(E){p[S>>3]=fa*ha;ZX(H,2,F,1,C,2,2,0,H,2,F,0,k[P>>2]|0,1)|0;ha=+p[g>>3];p[C>>3]=ha*+p[i>>3];p[S>>3]=ha*+p[j>>3]}else{ZX(H,z,F,1,C,z,z,0,H,z,F,0,k[P>>2]|0,1)|0;p[C>>3]=+p[g>>3]*+p[i>>3]}ZX(H,z,F,1,C,z,z,0,X,z,F,0,k[P>>2]|0,1)|0;e:do switch(k[d>>2]|0){case 0:break;case 1:{Fc[k[(k[ba>>2]|0)+64>>2]&1023](ba,i);if(E){Fc[k[(k[ca>>2]|0)+64>>2]&1023](ca,j);ha=ea*+$(+(+p[i>>3]));p[C>>3]=ha;ha=ea*+$(+(+p[j>>3]));p[S>>3]=ha;break e}else{ha=ea*+$(+(+p[i>>3]));p[C>>3]=ha;break e}break}case 2:{ha=+p[i>>3];if(T){ga=ha*(ha*(da/((+$(+ha)+1.0e-08)*2.0)));p[C>>3]=ga;break e}else{ga=+p[j>>3];ia=da/((+aa(+(ha*ha+ga*ga))+1.0e-08)*2.0);ja=ha*ia;p[C>>3]=ha*ja;ka=ga*ia;p[U>>3]=ha*ka;p[q>>3]=ja*ga;p[S>>3]=ga*ka;break e}break}default:break d}while(0);if(((k[d>>2]|0)+-1|0)>>>0<2){ka=+p[g>>3];p[C>>3]=ka*+p[C>>3];if(!T){p[U>>3]=ka*+p[U>>3];p[q>>3]=ka*+p[q>>3];p[S>>3]=ka*+p[S>>3]}ZX(X,z,F,1,C,z,z,0,X,z,F,0,k[P>>2]|0,1)|0}s=s+1|0;if((s|0)>=(Hc[k[(k[e>>2]|0)+12>>2]&511](e)|0))break c}s=u+56|0;P=u+4|0;k[u>>2]=27524;k[s>>2]=27544;B=0;wa(508,u+56|0,P|0);S=B;B=0;if(S&1){S=Rb()|0;la=Q;na=S;vva(s);Qb(na|0)}k[u+128>>2]=0;k[u+132>>2]=-1;k[u>>2]=27468;k[s>>2]=27488;B=0;va(448,P|0);S=B;B=0;do if(S&1){q=Rb()|0;oa=Q;pa=q}else{k[P>>2]=27560;q=u+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[u+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,P|0,c|0);U=B;B=0;if(U&1){U=Rb()|0;T=Q;Yua(c);Yua(q);Ava(P);oa=T;pa=U;break}Yua(c);B=0;U=Ia(40,u|0,132477,14)|0;T=B;B=0;f:do if(((!(T&1)?(B=0,E=Xa(242,U|0,k[d>>2]|0)|0,o=B,B=0,!(o&1)):0)?(B=0,o=Ia(40,E|0,146481,18)|0,E=B,B=0,!(E&1)):0)?(B=0,Xa(239,o|0,0)|0,o=B,B=0,!(o&1)):0){o=Ab(20)|0;B=0;eb(502,v|0,132127,81);E=B;B=0;do if(!(E&1)){B=0;eb(502,w|0,132461,15);R=B;B=0;if(R&1){R=Rb()|0;G=Q;Yua(v);qa=R;ra=G;break}B=0;wa(510,x|0,P|0);G=B;B=0;if(G&1){G=Rb()|0;sa=1;ta=Q;xa=G}else{B=0;ua(163,o|0,v|0,w|0,357,x|0);G=B;B=0;if(G&1)za=1;else{B=0;eb(503,o|0,1240,229);B=0;za=0}G=Rb()|0;R=Q;Yua(x);sa=za;ta=R;xa=G}Yua(w);Yua(v);if(sa){qa=xa;ra=ta}else{Aa=ta;Ba=xa;break f}}else{G=Rb()|0;qa=G;ra=Q}while(0);zb(o|0);Aa=ra;Ba=qa}else Y=78;while(0);if((Y|0)==78){U=Rb()|0;Aa=Q;Ba=U}k[u>>2]=27468;k[s>>2]=27488;k[P>>2]=27560;Yua(q);Ava(P);vva(s);Z=Aa;_=Ba;Qb(_|0)}while(0);la=oa;na=pa;vva(s);Qb(na|0)}while(0);na=k[n>>2]|0;if(na)Tqa(na);k[n>>2]=0;Tqa(I);Tqa(H);Tqa(X);Tqa(C);Ec[k[(k[e>>2]|0)+4>>2]&1023](e);y=A;r=a;return y|0}function Dea(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0,F=0;a=r;r=r+80|0;c=a+76|0;d=a+64|0;e=a+56|0;f=a+48|0;g=a+40|0;h=a+32|0;i=a+72|0;j=a;if(!($p(b)|0)){l=0;r=a;return l|0}k[i>>2]=0;m=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;n=gq(b,534)|0;o=Rqa(m>>>0>536870911?-1:m<<3)|0;q=m<<1;s=q>>>0>536870911?-1:q<<3;q=Rqa(s)|0;t=Rqa(s)|0;Uo(b,i);pp(b,f,358);cp(b,c,298);if((k[c>>2]|0)==300){c=Wo(b,674)|0;u=c;v=Wo(b,677)|0}else{c=Wo(b,673)|0;u=c;v=Wo(b,676)|0}c=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;s=Hc[k[(k[c>>2]|0)+8>>2]&511](c)|0;if((s|0)<(Hc[k[(k[c>>2]|0)+12>>2]&511](c)|0)){w=c+8|0;x=n+12|0;y=j+8|0;z=j+24|0;A=s;do{Fc[k[(k[c>>2]|0)+24>>2]&1023](c,A);rd[k[(k[b>>2]|0)+260>>2]&511](b,d,k[i>>2]|0,c);nd[k[(k[b>>2]|0)+336>>2]&1023](b,o,c);nd[k[(k[u>>2]|0)+48>>2]&1023](u,g,c);nd[k[(k[v>>2]|0)+48>>2]&1023](v,h,c);p[e>>3]=+p[w>>3]*+p[d>>3];ZX(o,1,m,1,e,1,1,0,o,1,m,0,k[x>>2]|0,1)|0;s=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;B=Rqa(s>>>0>536870911?-1:s<<3)|0;nd[k[(k[b>>2]|0)+336>>2]&1023](b,B,c);if((s|0)>0){C=0;do{D=+p[B+(C<<3)>>3];p[t+(C<<3)>>3]=D;p[t+(s+C<<3)>>3]=D;C=C+1|0}while((C|0)!=(s|0))}Tqa(B);s=k[i>>2]|0;C=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;E=C<<1;F=Rqa(E>>>0>536870911?-1:E<<3)|0;rd[k[(k[b>>2]|0)+340>>2]&511](b,F,s,c);if((C|0)>0){s=0;do{p[q+(s<<3)>>3]=+p[F+(s<<3)>>3];E=C+s|0;p[q+(E<<3)>>3]=+p[F+(E<<3)>>3];s=s+1|0}while((s|0)!=(C|0))}Tqa(F);D=-(+p[f>>3]*+p[w>>3]*+p[d>>3]);p[e>>3]=D;p[j>>3]=+p[g>>3]*D;k[y>>2]=0;k[y+4>>2]=0;k[y+8>>2]=0;k[y+12>>2]=0;p[z>>3]=+p[h>>3]*D;ZX(q,2,m,1,j,2,2,0,t,2,m,0,k[x>>2]|0,1)|0;A=A+1|0}while((A|0)<(Hc[k[(k[c>>2]|0)+12>>2]&511](c)|0))}A=k[i>>2]|0;if(A)Tqa(A);k[i>>2]=0;Tqa(o);Tqa(q);Tqa(t);Ec[k[(k[c>>2]|0)+4>>2]&1023](c);l=n;r=a;return l|0}function Eea(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;if(!($p(b)|0)){h=0;r=a;return h|0}if(!(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0)){h=0;r=a;return h|0}i=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;switch(Hc[k[(k[b>>2]|0)+112>>2]&511](b)|0){case 742:case 738:{j=Fea(0,i)|0;break}case 739:{j=Gea(0,i)|0;break}default:{l=d+56|0;m=d+4|0;k[d>>2]=27524;k[l>>2]=27544;B=0;wa(508,d+56|0,m|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;p=n;vva(l);Qb(p|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[l>>2]=27488;B=0;va(448,m|0);n=B;B=0;do if(n&1){q=Rb()|0;s=Q;t=q}else{k[m>>2]=27560;q=d+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,m|0,c|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(c);Yua(q);Ava(m);s=v;t=u;break}Yua(c);B=0;u=Ia(40,d|0,132447,13)|0;v=B;B=0;if(((((!(v&1)?(B=0,v=ya(k[(k[b>>2]|0)+112>>2]|0,b|0)|0,w=B,B=0,!(w&1)):0)?(B=0,w=ya(427,v|0)|0,v=B,B=0,!(v&1)):0)?(v=Lta(w)|0,B=0,x=Ia(40,u|0,w|0,v|0)|0,v=B,B=0,!(v&1)):0)?(B=0,v=Ia(40,x|0,146481,18)|0,x=B,B=0,!(x&1)):0)?(B=0,Xa(239,v|0,0)|0,v=B,B=0,!(v&1)):0){v=Ab(20)|0;B=0;eb(502,e|0,132127,81);x=B;B=0;do if(!(x&1)){B=0;eb(502,f|0,144203,13);w=B;B=0;if(w&1){w=Rb()|0;u=Q;Yua(e);y=u;z=w;break}B=0;wa(510,g|0,m|0);w=B;B=0;if(w&1){w=Rb()|0;A=Q;C=w;D=1}else{B=0;ua(163,v|0,e|0,f|0,477,g|0);w=B;B=0;if(w&1)E=1;else{B=0;eb(503,v|0,1240,229);B=0;E=0}w=Rb()|0;u=Q;Yua(g);A=u;C=w;D=E}Yua(f);Yua(e);if(D){y=A;z=C}else{F=A;G=C;k[d>>2]=27468;k[l>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(l);Qb(G|0)}}else{w=Rb()|0;y=Q;z=w}while(0);zb(v|0);F=y;G=z;k[d>>2]=27468;k[l>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(l);Qb(G|0)}x=Rb()|0;F=Q;G=x;k[d>>2]=27468;k[l>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(l);Qb(G|0)}while(0);o=s;p=t;vva(l);Qb(p|0)}}cp(b,c,298);if((k[c>>2]|0)!=300?(ap(i),(i|0)!=0):0)Ec[k[(k[i>>2]|0)+4>>2]&1023](i);h=j;r=a;return h|0}function Fea(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0,E=0;a=r;r=r+64|0;c=a+48|0;d=a+40|0;e=a+32|0;f=a+24|0;g=a+16|0;h=a+8|0;i=a;j=a+56|0;if(!($p(b)|0)){l=0;r=a;return l|0}k[j>>2]=0;m=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;n=iq(b,534)|0;o=Rqa(m>>>0>536870911?-1:m<<3)|0;Uo(b,j);pp(b,d,358);q=Wo(b,39)|0;s=Wo(b,40)|0;t=Wo(b,928)|0;u=Wo(b,388)|0;v=Wo(b,353)|0;w=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;x=Hc[k[(k[w>>2]|0)+8>>2]&511](w)|0;a:do if((x|0)<(Hc[k[(k[w>>2]|0)+12>>2]&511](w)|0)){y=w+8|0;z=n+4|0;if((m|0)>0)A=x;else{B=x;while(1){Fc[k[(k[w>>2]|0)+24>>2]&1023](w,B);rd[k[(k[b>>2]|0)+260>>2]&511](b,c,k[j>>2]|0,w);nd[k[(k[b>>2]|0)+336>>2]&1023](b,o,w);nd[k[(k[u>>2]|0)+48>>2]&1023](u,e,w);nd[k[(k[q>>2]|0)+48>>2]&1023](q,f,w);nd[k[(k[s>>2]|0)+48>>2]&1023](s,g,w);nd[k[(k[t>>2]|0)+48>>2]&1023](t,i,w);nd[k[(k[v>>2]|0)+48>>2]&1023](v,h,w);B=B+1|0;if((B|0)>=(Hc[k[(k[w>>2]|0)+12>>2]&511](w)|0))break a}}do{Fc[k[(k[w>>2]|0)+24>>2]&1023](w,A);rd[k[(k[b>>2]|0)+260>>2]&511](b,c,k[j>>2]|0,w);nd[k[(k[b>>2]|0)+336>>2]&1023](b,o,w);nd[k[(k[u>>2]|0)+48>>2]&1023](u,e,w);nd[k[(k[q>>2]|0)+48>>2]&1023](q,f,w);nd[k[(k[s>>2]|0)+48>>2]&1023](s,g,w);nd[k[(k[t>>2]|0)+48>>2]&1023](t,i,w);nd[k[(k[v>>2]|0)+48>>2]&1023](v,h,w);C=+p[i>>3]>0.0?+p[f>>3]:+p[g>>3];B=k[z>>2]|0;D=0;do{E=B+(D<<3)|0;p[E>>3]=+p[E>>3]+ +p[o+(D<<3)>>3]*(+p[c>>3]*+p[y>>3]*(+p[h>>3]+ +p[d>>3]*(+p[e>>3]-C)));D=D+1|0}while((D|0)!=(m|0));A=A+1|0}while((A|0)<(Hc[k[(k[w>>2]|0)+12>>2]&511](w)|0))}while(0);A=k[j>>2]|0;if(A)Tqa(A);k[j>>2]=0;Tqa(o);Ec[k[(k[w>>2]|0)+4>>2]&1023](w);l=n;r=a;return l|0}function Gea(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0,E=0;a=r;r=r+64|0;c=a+48|0;d=a+40|0;e=a+32|0;f=a+24|0;g=a+16|0;h=a+8|0;i=a;j=a+56|0;if(!($p(b)|0)){l=0;r=a;return l|0}k[j>>2]=0;m=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;n=iq(b,534)|0;o=Rqa(m>>>0>536870911?-1:m<<3)|0;Uo(b,j);pp(b,d,358);q=Wo(b,39)|0;s=Wo(b,40)|0;t=Wo(b,388)|0;u=Wo(b,928)|0;v=Wo(b,353)|0;w=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;x=Hc[k[(k[w>>2]|0)+8>>2]&511](w)|0;a:do if((x|0)<(Hc[k[(k[w>>2]|0)+12>>2]&511](w)|0)){y=w+8|0;z=n+4|0;if((m|0)>0)A=x;else{B=x;while(1){Fc[k[(k[w>>2]|0)+24>>2]&1023](w,B);rd[k[(k[b>>2]|0)+260>>2]&511](b,c,k[j>>2]|0,w);nd[k[(k[b>>2]|0)+336>>2]&1023](b,o,w);nd[k[(k[t>>2]|0)+48>>2]&1023](t,e,w);nd[k[(k[q>>2]|0)+48>>2]&1023](q,f,w);nd[k[(k[s>>2]|0)+48>>2]&1023](s,g,w);nd[k[(k[u>>2]|0)+48>>2]&1023](u,i,w);nd[k[(k[v>>2]|0)+48>>2]&1023](v,h,w);B=B+1|0;if((B|0)>=(Hc[k[(k[w>>2]|0)+12>>2]&511](w)|0))break a}}do{Fc[k[(k[w>>2]|0)+24>>2]&1023](w,A);rd[k[(k[b>>2]|0)+260>>2]&511](b,c,k[j>>2]|0,w);nd[k[(k[b>>2]|0)+336>>2]&1023](b,o,w);nd[k[(k[t>>2]|0)+48>>2]&1023](t,e,w);nd[k[(k[q>>2]|0)+48>>2]&1023](q,f,w);nd[k[(k[s>>2]|0)+48>>2]&1023](s,g,w);nd[k[(k[u>>2]|0)+48>>2]&1023](u,i,w);nd[k[(k[v>>2]|0)+48>>2]&1023](v,h,w);C=+p[i>>3]>0.0?+p[f>>3]:+p[g>>3];B=k[z>>2]|0;D=0;do{E=B+(D<<3)|0;p[E>>3]=+p[E>>3]+ +p[o+(D<<3)>>3]*(+p[c>>3]*+p[y>>3]*(+p[h>>3]+ +p[d>>3]*(+p[e>>3]-C)));D=D+1|0}while((D|0)!=(m|0));A=A+1|0}while((A|0)<(Hc[k[(k[w>>2]|0)+12>>2]&511](w)|0))}while(0);A=k[j>>2]|0;if(A)Tqa(A);k[j>>2]=0;Tqa(o);Ec[k[(k[w>>2]|0)+4>>2]&1023](w);l=n;r=a;return l|0}function Hea(a,b,c){a=a|0;b=b|0;c=c|0;nd[k[(k[c>>2]|0)+176>>2]&1023](c,b,353);return}function Iea(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,132127,81);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,648,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function Jea(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0,O=0.0,P=0,R=0.0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0.0,Ja=0.0,Ka=0.0,La=0.0,Ma=0.0,Na=0.0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0;a=r;r=r+560|0;d=a+540|0;e=a+536|0;f=a+532|0;g=a+528|0;h=a;i=a+368|0;j=a+516|0;l=a+504|0;m=a+216|0;n=a+232|0;o=a+68|0;q=a+56|0;s=a+44|0;u=a+80|0;v=a+32|0;w=a+20|0;x=a+8|0;k[g>>2]=0;cp(c,f,298);do if((k[f>>2]|0)!=300)if(Hc[k[(k[c>>2]|0)+248>>2]&511](c)|0){y=Hc[k[(k[c>>2]|0)+432>>2]&511](c)|0;break}else{r=a;return}else y=c;while(0);z=Hc[k[(k[y>>2]|0)+164>>2]&511](y)|0;rp(y,g,534,943);A=z>>>0>536870911?-1:z<<3;C=Rqa(A)|0;D=Rqa(A)|0;E=Rqa(A)|0;F=Rqa(A)|0;G=Rqa(A)|0;H=Rqa(A)|0;I=Rqa(A)|0;J=Rqa(A)|0;K=Rqa(A)|0;pp(y,h,307);A=(z|0)>0;do if(A){L=k[g>>2]|0;M=+p[h>>3];N=0;while(1){O=+p[b+(k[L+(N<<2)>>2]<<3)>>3];P=C+(N<<3)|0;p[P>>3]=O;R=+$(+O);p[t>>3]=R;S=k[t>>2]|0;T=k[t+4>>2]|0;if(T>>>0>2146435072|(T|0)==2146435072&S>>>0>0){U=7;break}if((S|0)==0&(T|0)==2146435072){U=31;break}if(O<M)p[P>>3]=M;N=N+1|0;if((N|0)>=(z|0)){U=57;break}}if((U|0)==7){N=i+56|0;L=i+4|0;k[i>>2]=27524;k[N>>2]=27544;B=0;wa(508,i+56|0,L|0);P=B;B=0;if(P&1){P=Rb()|0;V=Q;W=P;vva(N);Qb(W|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[N>>2]=27488;B=0;va(448,L|0);P=B;B=0;do if(P&1){T=Rb()|0;X=Q;Y=T}else{k[L>>2]=27560;T=i+36|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;k[T+12>>2]=0;k[i+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,L|0,d|0);S=B;B=0;if(S&1){S=Rb()|0;Z=Q;Yua(d);Yua(T);Ava(L);X=Z;Y=S;break}Yua(d);B=0;S=Ia(40,i|0,135564,28)|0;Z=B;B=0;a:do if(!(Z&1)?(B=0,Xa(239,S|0,0)|0,_=B,B=0,!(_&1)):0){_=Ab(20)|0;B=0;eb(502,j|0,132127,81);aa=B;B=0;do if(!(aa&1)){B=0;eb(502,l|0,137199,23);ba=B;B=0;if(ba&1){ba=Rb()|0;ca=Q;Yua(j);da=ca;ea=ba;break}B=0;wa(510,m|0,L|0);ba=B;B=0;if(ba&1){ba=Rb()|0;fa=ba;ga=Q;ha=1}else{B=0;ua(163,_|0,j|0,l|0,685,m|0);ba=B;B=0;if(ba&1)ia=1;else{B=0;eb(503,_|0,1240,229);B=0;ia=0}ba=Rb()|0;ca=Q;Yua(m);fa=ba;ga=ca;ha=ia}Yua(l);Yua(j);if(ha){da=ga;ea=fa}else{ja=ga;ka=fa;break a}}else{ca=Rb()|0;da=Q;ea=ca}while(0);zb(_|0);ja=da;ka=ea}else U=22;while(0);if((U|0)==22){S=Rb()|0;ja=Q;ka=S}k[i>>2]=27468;k[N>>2]=27488;k[L>>2]=27560;Yua(T);Ava(L);vva(N);la=ja;ma=ka;Qb(ma|0)}while(0);V=X;W=Y;vva(N);Qb(W|0)}else if((U|0)==31){L=n+56|0;P=n+4|0;k[n>>2]=27524;k[L>>2]=27544;B=0;wa(508,n+56|0,P|0);S=B;B=0;if(S&1){S=Rb()|0;na=Q;oa=S;vva(L);Qb(oa|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[L>>2]=27488;B=0;va(448,P|0);S=B;B=0;do if(S&1){Z=Rb()|0;pa=Q;qa=Z}else{k[P>>2]=27560;Z=n+36|0;k[Z>>2]=0;k[Z+4>>2]=0;k[Z+8>>2]=0;k[Z+12>>2]=0;k[n+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,P|0,d|0);aa=B;B=0;if(aa&1){aa=Rb()|0;ca=Q;Yua(d);Yua(Z);Ava(P);pa=ca;qa=aa;break}Yua(d);B=0;aa=Ia(40,n|0,135593,28)|0;ca=B;B=0;b:do if(!(ca&1)?(B=0,Xa(239,aa|0,0)|0,ba=B,B=0,!(ba&1)):0){ba=Ab(20)|0;B=0;eb(502,o|0,132127,81);ra=B;B=0;do if(!(ra&1)){B=0;eb(502,q|0,137199,23);sa=B;B=0;if(sa&1){sa=Rb()|0;ta=Q;Yua(o);xa=sa;za=ta;break}B=0;wa(510,s|0,P|0);ta=B;B=0;if(ta&1){ta=Rb()|0;Aa=1;Ba=Q;Ca=ta}else{B=0;ua(163,ba|0,o|0,q|0,686,s|0);ta=B;B=0;if(ta&1)Da=1;else{B=0;eb(503,ba|0,1240,229);B=0;Da=0}ta=Rb()|0;sa=Q;Yua(s);Aa=Da;Ba=sa;Ca=ta}Yua(q);Yua(o);if(Aa){xa=Ca;za=Ba}else{Ea=Ba;Fa=Ca;break b}}else{ta=Rb()|0;xa=ta;za=Q}while(0);zb(ba|0);Ea=za;Fa=xa}else U=46;while(0);if((U|0)==46){aa=Rb()|0;Ea=Q;Fa=aa}k[n>>2]=27468;k[L>>2]=27488;k[P>>2]=27560;Yua(Z);Ava(P);vva(L);la=Ea;ma=Fa;Qb(ma|0)}while(0);na=pa;oa=qa;vva(L);Qb(oa|0)}else if((U|0)==57){vp(y,H,64);vp(y,I,339);vp(y,G,353);vp(y,J,928);vp(y,K,999);if(A)Ga=0;else break;do{p[D+(Ga<<3)>>3]=+p[C+(Ga<<3)>>3]-+p[G+(Ga<<3)>>3];Ga=Ga+1|0}while((Ga|0)!=(z|0))}}else{vp(y,H,64);vp(y,I,339);vp(y,G,353);vp(y,J,928);vp(y,K,999)}while(0);cp(y,e,305);M=+Dp(y,265);O=+Dp(y,266);c:do if(A){Ga=k[e>>2]|0;R=M/O;Ha=1.0-R;Ja=-M/O;if((Ga|0)==914){oa=0;while(1){if(+p[J+(oa<<3)>>3]>0.0){Ka=+p[H+(oa<<3)>>3];La=Ka;Ma=Ka+ +p[C+(oa<<3)>>3]}else{Ka=+p[C+(oa<<3)>>3];Na=+p[K+(oa<<3)>>3];La=Ja*Ka+Na;Ma=Ha*Ka+Na}p[F+(oa<<3)>>3]=Ma;p[E+(oa<<3)>>3]=La;oa=oa+1|0;if((oa|0)==(z|0))break c}}oa=(Ga|0)==915;qa=0;while(1){if(+p[J+(qa<<3)>>3]>0.0){Ja=+p[H+(qa<<3)>>3];p[F+(qa<<3)>>3]=Ja+ +p[C+(qa<<3)>>3];p[E+(qa<<3)>>3]=Ja}else{if(!oa)break;Ja=+p[C+(qa<<3)>>3]-+p[G+(qa<<3)>>3];Na=+p[K+(qa<<3)>>3];p[F+(qa<<3)>>3]=Na+(+p[I+(qa<<3)>>3]+Ha*Ja);p[E+(qa<<3)>>3]=Na+(+p[H+(qa<<3)>>3]-R*Ja)}qa=qa+1|0;if((qa|0)>=(z|0))break c}qa=u+56|0;oa=u+4|0;k[u>>2]=27524;k[qa>>2]=27544;B=0;wa(508,u+56|0,oa|0);Ga=B;B=0;if(Ga&1){Ga=Rb()|0;Oa=Q;Pa=Ga;vva(qa);Qb(Pa|0)}k[u+128>>2]=0;k[u+132>>2]=-1;k[u>>2]=27468;k[qa>>2]=27488;B=0;va(448,oa|0);Ga=B;B=0;do if(Ga&1){pa=Rb()|0;Qa=Q;Ra=pa}else{k[oa>>2]=27560;pa=u+36|0;k[pa>>2]=0;k[pa+4>>2]=0;k[pa+8>>2]=0;k[pa+12>>2]=0;k[u+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,oa|0,d|0);na=B;B=0;if(na&1){na=Rb()|0;Fa=Q;Yua(d);Yua(pa);Ava(oa);Qa=Fa;Ra=na;break}Yua(d);B=0;na=Ia(40,u|0,132492,23)|0;Fa=B;B=0;d:do if((((((!(Fa&1)?(B=0,Ea=Xa(242,na|0,k[e>>2]|0)|0,n=B,B=0,!(n&1)):0)?(B=0,n=Ia(40,Ea|0,144166,2)|0,Ea=B,B=0,!(Ea&1)):0)?(B=0,Ea=ya(427,k[e>>2]|0)|0,xa=B,B=0,!(xa&1)):0)?(xa=Lta(Ea)|0,B=0,za=Ia(40,n|0,Ea|0,xa|0)|0,xa=B,B=0,!(xa&1)):0)?(B=0,xa=Ia(40,za|0,144169,19)|0,za=B,B=0,!(za&1)):0)?(B=0,Xa(239,xa|0,0)|0,xa=B,B=0,!(xa&1)):0){xa=Ab(20)|0;B=0;eb(502,v|0,132127,81);za=B;B=0;do if(!(za&1)){B=0;eb(502,w|0,137199,23);Ea=B;B=0;if(Ea&1){Ea=Rb()|0;n=Q;Yua(v);Sa=Ea;Ta=n;break}B=0;wa(510,x|0,oa|0);n=B;B=0;if(n&1){n=Rb()|0;Ua=1;Va=Q;Wa=n}else{B=0;ua(163,xa|0,v|0,w|0,720,x|0);n=B;B=0;if(n&1)Ya=1;else{B=0;eb(503,xa|0,1240,229);B=0;Ya=0}n=Rb()|0;Ea=Q;Yua(x);Ua=Ya;Va=Ea;Wa=n}Yua(w);Yua(v);if(Ua){Sa=Wa;Ta=Va}else{Za=Va;_a=Wa;break d}}else{n=Rb()|0;Sa=n;Ta=Q}while(0);zb(xa|0);Za=Ta;_a=Sa}else U=91;while(0);if((U|0)==91){na=Rb()|0;Za=Q;_a=na}k[u>>2]=27468;k[qa>>2]=27488;k[oa>>2]=27560;Yua(pa);Ava(oa);vva(qa);la=Za;ma=_a;Qb(ma|0)}while(0);Oa=Qa;Pa=Ra;vva(qa);Qb(Pa|0)}while(0);rd[k[(k[c>>2]|0)+44>>2]&511](c,353,C,738);rd[k[(k[c>>2]|0)+44>>2]&511](c,1001,D,738);rd[k[(k[c>>2]|0)+44>>2]&511](c,339,F,738);rd[k[(k[c>>2]|0)+44>>2]&511](c,64,E,738);Tqa(C);Tqa(E);Tqa(F);Tqa(G);Tqa(D);Tqa(H);Tqa(I);Tqa(J);Tqa(K);K=k[g>>2]|0;if(K)Tqa(K);k[g>>2]=0;if((k[f>>2]|0)==300){r=a;return}ap(y);if(!y){r=a;return}Ec[k[(k[y>>2]|0)+4>>2]&1023](y);r=a;return}function Kea(a,b){a=a|0;b=b|0;RZ(b);return}function Lea(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0;a=r;r=r+32|0;c=a+16|0;d=a+8|0;e=a;f=a+24|0;if(!($p(b)|0)){g=0;r=a;return g|0}k[f>>2]=0;h=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;i=gq(b,534)|0;j=h<<1;l=j>>>0>536870911?-1:j<<3;j=Rqa(l)|0;m=Rqa(l)|0;l=Rqa(32)|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[l+16>>2]=0;k[l+20>>2]=0;k[l+24>>2]=0;k[l+28>>2]=0;Uo(b,f);n=Wo(b,674)|0;o=Wo(b,677)|0;q=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;s=Hc[k[(k[q>>2]|0)+8>>2]&511](q)|0;if((s|0)<(Hc[k[(k[q>>2]|0)+12>>2]&511](q)|0)){t=q+8|0;u=l+24|0;v=i+12|0;w=s;do{Fc[k[(k[q>>2]|0)+24>>2]&1023](q,w);rd[k[(k[b>>2]|0)+260>>2]&511](b,c,k[f>>2]|0,q);s=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;x=Rqa(s>>>0>536870911?-1:s<<3)|0;nd[k[(k[b>>2]|0)+336>>2]&1023](b,x,q);if((s|0)>0){y=0;do{z=+p[x+(y<<3)>>3];p[j+(y<<3)>>3]=z;p[j+(s+y<<3)>>3]=z;y=y+1|0}while((y|0)!=(s|0))}Tqa(x);s=k[f>>2]|0;y=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;A=y<<1;B=Rqa(A>>>0>536870911?-1:A<<3)|0;rd[k[(k[b>>2]|0)+340>>2]&511](b,B,s,q);if((y|0)>0){s=0;do{p[m+(s<<3)>>3]=+p[B+(s<<3)>>3];A=y+s|0;p[m+(A<<3)>>3]=+p[B+(A<<3)>>3];s=s+1|0}while((s|0)!=(y|0))}Tqa(B);nd[k[(k[n>>2]|0)+48>>2]&1023](n,d,q);nd[k[(k[o>>2]|0)+48>>2]&1023](o,e,q);z=+p[c>>3];p[l>>3]=-(+p[t>>3]*+p[d>>3]*z);p[u>>3]=-(+p[t>>3]*+p[e>>3]*z);ZX(j,2,h,1,l,2,2,0,m,2,h,0,k[v>>2]|0,1)|0;w=w+1|0}while((w|0)<(Hc[k[(k[q>>2]|0)+12>>2]&511](q)|0))}w=k[f>>2]|0;if(w)Tqa(w);k[f>>2]=0;Tqa(j);Tqa(m);Tqa(l);Ec[k[(k[q>>2]|0)+4>>2]&1023](q);g=i;r=a;return g|0}function Mea(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;a=r;r=r+32|0;c=a+8|0;d=a;e=a+16|0;if(!($p(b)|0)){f=0;r=a;return f|0}k[e>>2]=0;g=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;h=gq(b,534)|0;i=Rqa(g>>>0>536870911?-1:g<<3)|0;Uo(b,e);j=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;l=Hc[k[(k[j>>2]|0)+8>>2]&511](j)|0;if((l|0)<(Hc[k[(k[j>>2]|0)+12>>2]&511](j)|0)){m=j+8|0;n=h+12|0;o=l;do{Fc[k[(k[j>>2]|0)+24>>2]&1023](j,o);rd[k[(k[b>>2]|0)+260>>2]&511](b,d,k[e>>2]|0,j);nd[k[(k[b>>2]|0)+336>>2]&1023](b,i,j);p[c>>3]=+p[m>>3]*+p[d>>3];ZX(i,1,g,1,c,1,1,0,i,1,g,0,k[n>>2]|0,1)|0;o=o+1|0}while((o|0)<(Hc[k[(k[j>>2]|0)+12>>2]&511](j)|0))}o=k[e>>2]|0;if(o)Tqa(o);k[e>>2]=0;Tqa(i);Ec[k[(k[j>>2]|0)+4>>2]&1023](j);f=h;r=a;return f|0}function Nea(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;a=r;r=r+16|0;e=a+4|0;f=a;k[e>>2]=0;k[f>>2]=0;loa(e,f,0,0,d);g=d+20|0;if((th(k[g>>2]|0)|0)>0){d=0;do{h=Lea(0,qh(k[g>>2]|0,d)|0)|0;if(h){IN(h,k[e>>2]|0,k[f>>2]|0);HN(h);Sqa(h)}d=d+1|0}while((d|0)<(th(k[g>>2]|0)|0))}g=k[e>>2]|0;if(k[g>>2]|0){d=k[k[g+4>>2]>>2]|0;Ec[k[(k[d>>2]|0)+12>>2]&1023](d)}d=k[f>>2]|0;if(!(k[d>>2]|0))i=d;else{g=k[k[d+4>>2]>>2]|0;Ec[k[(k[g>>2]|0)+12>>2]&1023](g);i=k[f>>2]|0}k[b>>2]=k[e>>2];if(c){k[c>>2]=i;r=a;return}if(!i){r=a;return}if((k[i>>2]|0)!=0?(c=k[i+4>>2]|0,(c|0)!=0):0){e=k[c>>2]|0;if(e)Ec[k[(k[e>>2]|0)+4>>2]&1023](e);Sqa(c)}Sqa(i);r=a;return}function Oea(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;a=r;r=r+16|0;d=a;cO(k[c+44>>2]|0,d,478);e=c+24|0;f=en(k[e>>2]|0,k[d>>2]|0,937)|0;g=fn(k[e>>2]|0,k[d>>2]|0,937)|0;d=Qqa(8)|0;B=0;va(485,d|0);e=B;B=0;a:do if(!(e&1)){do if(k[d>>2]|0){B=0;h=ya(423,4)|0;i=B;B=0;if(i&1)break a;B=0;eb(525,h|0,g|0,f|0);i=B;B=0;if(!(i&1)){k[d+4>>2]=h;break}i=Rb()|0;j=Q;Sqa(h);l=j;m=i;Sqa(d);Qb(m|0)}while(0);i=c+20|0;if((th(k[i>>2]|0)|0)>0){j=0;do{h=Mea(0,qh(k[i>>2]|0,j)|0)|0;if(h){LN(h);KN(h,d);HN(h);Sqa(h)}j=j+1|0}while((j|0)<(th(k[i>>2]|0)|0))}if(!(k[d>>2]|0)){k[b>>2]=d;r=a;return}i=k[k[d+4>>2]>>2]|0;Ec[k[(k[i>>2]|0)+12>>2]&1023](i);k[b>>2]=d;r=a;return}while(0);a=Rb()|0;l=Q;m=a;Sqa(d);Qb(m|0)}function Pea(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;a=r;r=r+16|0;d=a;k[d>>2]=0;loa(d,0,0,0,c);e=c+20|0;if((th(k[e>>2]|0)|0)>0){c=0;do{f=Mea(0,qh(k[e>>2]|0,c)|0)|0;if(f){JN(f,k[d>>2]|0);HN(f);Sqa(f)}c=c+1|0}while((c|0)<(th(k[e>>2]|0)|0))}e=k[d>>2]|0;if(!(k[e>>2]|0)){g=e;k[b>>2]=g;r=a;return}else{c=k[k[e+4>>2]>>2]|0;Ec[k[(k[c>>2]|0)+12>>2]&1023](c);g=k[d>>2]|0;k[b>>2]=g;r=a;return}}function Qea(a){a=a|0;Sqa(a);return}function Rea(a,b,c){a=a|0;b=b|0;c=c|0;return}function Sea(a,b,c){a=a|0;b=b|0;c=c|0;return}function Tea(a,b,c){a=a|0;b=b|0;c=c|0;hoa(b,c,382,738,534);return}function Uea(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 1}function Vea(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;a=r;r=r+208|0;f=a+180|0;g=a+176|0;h=a+194|0;j=a+193|0;l=a+192|0;m=a+40|0;n=a+24|0;o=a+12|0;p=a;q=c+56|0;s=k[q>>2]|0;if((s|0)>0){t=c+32|0;u=s;s=0;v=0;while(1){if(!(i[(k[t>>2]|0)+v>>0]|0)){w=u;x=s}else{y=qh(b,s)|0;Uc[k[(k[y>>2]|0)+480>>2]&63](y,v,c,d,e,738);w=k[q>>2]|0;x=s+1|0}v=v+1|0;if((v|0)>=(w|0))break;else{u=w;s=x}}}Fka(c,g,134789);switch(k[g>>2]|0){case 387:{Yka(c,b,134252,388,0.0);r=a;return}case 389:{Zka(c,b,132530,391);Zka(c,b,132540,392);Zka(c,b,132549,393);Zka(c,b,132562,394);Zka(c,b,132575,395);Zka(c,b,132584,397);Zka(c,b,132596,398);Zka(c,b,132608,408);Zka(c,b,132620,409);Zka(c,b,132633,410);Zka(c,b,132646,411);Zka(c,b,132656,412);Zka(c,b,132668,413);Zka(c,b,132680,399);Zka(c,b,132693,400);Zka(c,b,132702,401);Zka(c,b,132712,402);r=a;return}case 438:{zka(c,h,132722);zka(c,j,132740);Zka(c,b,134812,347);Zka(c,b,132756,450);Zka(c,b,132767,451);if(!((i[j>>0]|i[h>>0])<<24>>24)){Zka(c,b,132892,448);Zka(c,b,132913,460);r=a;return}else{Zka(c,b,132778,447);Zka(c,b,132802,446);Zka(c,b,132833,444);Zka(c,b,132866,445);r=a;return}break}case 457:{zka(c,j,132740);zka(c,l,132940);Zka(c,b,134812,347);Zka(c,b,132756,450);Zka(c,b,132767,451);if(!(i[l>>0]|0)){r=a;return}Zka(c,b,132802,446);Zka(c,b,132833,444);r=a;return}case 459:{Zka(c,b,132956,461);Zka(c,b,132968,462);Zka(c,b,132982,463);Zka(c,b,132995,464);r=a;return}case 465:{Yka(c,b,132968,462,0.0);r=a;return}case 466:{Yka(c,b,133008,467,0.0);Yka(c,b,133028,468,0.0);Yka(c,b,133047,469,0.0);r=a;return}case 470:{Yka(c,b,133008,467,0.0);Yka(c,b,133028,468,0.0);Yka(c,b,133061,471,0.0);Yka(c,b,133073,472,0.0);r=a;return}default:{a=m+56|0;b=m+4|0;k[m>>2]=27524;k[a>>2]=27544;B=0;wa(508,m+56|0,b|0);c=B;B=0;if(c&1){c=Rb()|0;z=Q;A=c;vva(a);Qb(A|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[a>>2]=27488;B=0;va(448,b|0);c=B;B=0;do if(c&1){l=Rb()|0;C=Q;D=l}else{k[b>>2]=27560;l=m+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[m+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,b|0,f|0);j=B;B=0;if(j&1){j=Rb()|0;h=Q;Yua(f);Yua(l);Ava(b);C=h;D=j;break}Yua(f);B=0;j=Ia(40,m|0,133089,27)|0;h=B;B=0;if((((!(h&1)?(B=0,h=ya(427,k[g>>2]|0)|0,x=B,B=0,!(x&1)):0)?(x=Lta(h)|0,B=0,s=Ia(40,j|0,h|0,x|0)|0,x=B,B=0,!(x&1)):0)?(B=0,x=Ia(40,s|0,146481,18)|0,s=B,B=0,!(s&1)):0)?(B=0,Xa(239,x|0,0)|0,x=B,B=0,!(x&1)):0){x=Ab(20)|0;B=0;eb(502,n|0,133117,71);s=B;B=0;do if(!(s&1)){B=0;eb(502,o|0,136133,14);h=B;B=0;if(h&1){h=Rb()|0;j=Q;Yua(n);E=j;F=h;break}B=0;wa(510,p|0,b|0);h=B;B=0;if(h&1){h=Rb()|0;G=Q;H=h;I=1}else{B=0;ua(163,x|0,n|0,o|0,111,p|0);h=B;B=0;if(h&1)J=1;else{B=0;eb(503,x|0,1240,229);B=0;J=0}h=Rb()|0;j=Q;Yua(p);G=j;H=h;I=J}Yua(o);Yua(n);if(I){E=G;F=H}else{K=G;L=H;k[m>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(a);Qb(L|0)}}else{h=Rb()|0;E=Q;F=h}while(0);zb(x|0);K=E;L=F;k[m>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(a);Qb(L|0)}s=Rb()|0;K=Q;L=s;k[m>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(a);Qb(L|0)}while(0);z=C;A=D;vva(a);Qb(A|0)}}}function Wea(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0;e=r;r=r+224|0;d=e+200|0;a=e+196|0;f=e+192|0;g=e+215|0;h=e+214|0;j=e+213|0;l=e+212|0;m=e+188|0;n=e+184|0;o=e+180|0;p=e+176|0;q=e+40|0;s=e+24|0;t=e+12|0;u=e;k[f>>2]=0;k[n>>2]=0;YN(b,Ika(c,134789,381)|0);Fka(c,m,134789);zka(c,l,133189);a:do switch(k[m>>2]|0){case 470:case 466:case 465:case 459:case 387:break;case 389:{YN(b,Ika(c,133221,405)|0);YN(b,Ika(c,133233,406)|0);YN(b,Ika(c,133246,407)|0);YN(b,Ika(c,133260,414)|0);YN(b,Ika(c,133278,417)|0);YN(b,Ika(c,133293,418)|0);YN(b,Ika(c,133306,419)|0);YN(b,Ika(c,133319,420)|0);YN(b,Ika(c,133328,415)|0);YN(b,Ika(c,133341,416)|0);YN(b,Ika(c,133353,403)|0);YN(b,Ika(c,133363,430)|0);YN(b,Ika(c,133384,431)|0);YN(b,Ika(c,133400,432)|0);YN(b,Ika(c,133419,433)|0);YN(b,Ika(c,133436,434)|0);YN(b,Ika(c,133458,435)|0);YN(b,Ika(c,133472,436)|0);YN(b,Ika(c,133495,437)|0);YN(b,Ika(c,133518,390)|0);break}case 438:{YN(b,Ika(c,132722,441)|0);YN(b,Ika(c,132740,442)|0);YN(b,Ika(c,133544,449)|0);YN(b,Ika(c,133558,452)|0);YN(b,Ika(c,133571,453)|0);zka(c,g,132722);zka(c,h,132740);do if(i[h>>0]|0){Qka(c,n,o,p,133587);v=Qqa(24)|0;w=k[n>>2]|0;x=k[p>>2]|0;B=0;La(38,v|0,454,w|0,w+(x<<3)|0,(i[l>>0]|0)!=0|0,x|0);x=B;B=0;if(x&1){x=Rb()|0;w=Q;Sqa(v);y=w;z=x;Qb(z|0)}YN(b,v);Mka(c,k[n>>2]|0,133587);Qka(c,n,o,p,133599);v=Qqa(24)|0;x=k[n>>2]|0;w=k[p>>2]|0;B=0;La(38,v|0,455,x|0,x+(w<<3)|0,(i[l>>0]|0)!=0|0,w|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Sqa(v);y=x;z=w;Qb(z|0)}YN(b,v);Mka(c,k[n>>2]|0,133599);Qka(c,n,o,p,133612);v=Qqa(24)|0;w=k[n>>2]|0;x=k[p>>2]|0;B=0;La(38,v|0,456,w|0,w+(x<<3)|0,(i[l>>0]|0)!=0|0,x|0);x=B;B=0;if(!(x&1)){YN(b,v);Mka(c,k[n>>2]|0,133612);break}x=Rb()|0;w=Q;Sqa(v);y=w;z=x;Qb(z|0)}while(0);if(i[g>>0]|0){Qka(c,n,o,p,133626);x=Qqa(24)|0;w=k[n>>2]|0;v=k[p>>2]|0;B=0;La(38,x|0,439,w|0,w+(v<<3)|0,(i[l>>0]|0)!=0|0,v|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Sqa(x);y=w;z=v;Qb(z|0)}YN(b,x);Mka(c,k[n>>2]|0,133626);Qka(c,n,o,p,133642);x=Qqa(24)|0;v=k[n>>2]|0;w=k[p>>2]|0;B=0;La(38,x|0,440,v|0,v+(w<<3)|0,(i[l>>0]|0)!=0|0,w|0);w=B;B=0;if(!(w&1)){YN(b,x);Mka(c,k[n>>2]|0,133642);break a}w=Rb()|0;v=Q;Sqa(x);y=v;z=w;Qb(z|0)}break}case 457:{YN(b,Ika(c,132740,442)|0);YN(b,Ika(c,132940,443)|0);YN(b,Ika(c,133544,449)|0);YN(b,Ika(c,133558,452)|0);YN(b,Ika(c,133571,453)|0);zka(c,h,132740);zka(c,j,132940);if(i[j>>0]|0){Qka(c,n,o,p,133626);w=Qqa(24)|0;v=k[n>>2]|0;x=k[p>>2]|0;B=0;La(38,w|0,439,v|0,v+(x<<3)|0,(i[l>>0]|0)!=0|0,x|0);x=B;B=0;if(!(x&1)){YN(b,w);Mka(c,k[n>>2]|0,133626);YN(b,Ika(c,133666,458)|0);break a}x=Rb()|0;v=Q;Sqa(w);y=v;z=x;Qb(z|0)}break}default:{x=q+56|0;v=q+4|0;k[q>>2]=27524;k[x>>2]=27544;B=0;wa(508,q+56|0,v|0);w=B;B=0;if(w&1){w=Rb()|0;A=Q;C=w;vva(x);Qb(C|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[x>>2]=27488;B=0;va(448,v|0);w=B;B=0;do if(w&1){D=Rb()|0;E=Q;F=D}else{k[v>>2]=27560;D=q+36|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;k[D+12>>2]=0;k[q+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,v|0,d|0);G=B;B=0;if(G&1){G=Rb()|0;H=Q;Yua(d);Yua(D);Ava(v);E=H;F=G;break}Yua(d);B=0;G=Ia(40,q|0,133089,27)|0;H=B;B=0;b:do if((((!(H&1)?(B=0,I=ya(427,k[m>>2]|0)|0,J=B,B=0,!(J&1)):0)?(J=Lta(I)|0,B=0,K=Ia(40,G|0,I|0,J|0)|0,J=B,B=0,!(J&1)):0)?(B=0,J=Ia(40,K|0,146481,18)|0,K=B,B=0,!(K&1)):0)?(B=0,Xa(239,J|0,0)|0,J=B,B=0,!(J&1)):0){J=Ab(20)|0;B=0;eb(502,s|0,133117,71);K=B;B=0;do if(!(K&1)){B=0;eb(502,t|0,136199,16);I=B;B=0;if(I&1){I=Rb()|0;L=Q;Yua(s);M=L;N=I;break}B=0;wa(510,u|0,v|0);I=B;B=0;if(I&1){I=Rb()|0;O=Q;P=I;R=1}else{B=0;ua(163,J|0,s|0,t|0,218,u|0);I=B;B=0;if(I&1)S=1;else{B=0;eb(503,J|0,1240,229);B=0;S=0}I=Rb()|0;L=Q;Yua(u);O=L;P=I;R=S}Yua(t);Yua(s);if(R){M=O;N=P}else{T=O;U=P;break b}}else{I=Rb()|0;M=Q;N=I}while(0);zb(J|0);T=M;U=N}else V=39;while(0);if((V|0)==39){G=Rb()|0;T=Q;U=G}k[q>>2]=27468;k[x>>2]=27488;k[v>>2]=27560;Yua(D);Ava(v);vva(x);y=T;z=U;Qb(z|0)}while(0);A=E;C=F;vva(x);Qb(C|0)}}while(0);Hka(c,f,a,133681);C=Qqa(12)|0;B=0;eb(518,C|0,384,k[a>>2]|0);F=B;B=0;if(F&1){F=Rb()|0;E=Q;Sqa(C);y=E;z=F;Qb(z|0)}YN(b,C);C=k[a>>2]|0;if(!C){W=0;Nka(c,f,W,133681);r=e;return}F=Qqa(16)|0;B=0;ib(294,F|0,385,k[f>>2]|0,C|0);C=B;B=0;if(C&1){C=Rb()|0;E=Q;Sqa(F);y=E;z=C;Qb(z|0)}else{YN(b,F);W=k[a>>2]|0;Nka(c,f,W,133681);r=e;return}}function Xea(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0;a=r;r=r+1552|0;c=a+1532|0;d=a+1492|0;e=a+1546|0;f=a+1545|0;g=a+1344|0;h=a+1520|0;j=a+1192|0;l=a+1508|0;m=a+1056|0;n=a+1496|0;o=a+1544|0;p=a+904|0;q=a+1480|0;s=a+752|0;t=a+1328|0;u=a+616|0;v=a+1040|0;w=a+464|0;x=a+888|0;y=a+328|0;z=a+600|0;A=a+192|0;C=a+176|0;D=a+40|0;E=a+24|0;F=a+12|0;G=a;H=b+44|0;cO(k[H>>2]|0,d,381);switch(k[d>>2]|0){case 389:{ZZ(b);r=a;return}case 438:{bO(k[H>>2]|0,e,441);bO(k[H>>2]|0,f,442);if(i[e>>0]|0){a:do if(CY()|0){e=g+56|0;I=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,I|0);J=B;B=0;if(J&1){J=Rb()|0;K=Q;L=J;vva(e);Qb(L|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,I|0);J=B;B=0;do if(J&1){M=Rb()|0;N=Q;O=M}else{k[I>>2]=27560;M=g+36|0;k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;k[M+12>>2]=0;k[g+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,I|0,c|0);P=B;B=0;if(P&1){P=Rb()|0;R=Q;Yua(c);Yua(M);Ava(I);N=R;O=P;break}Yua(c);B=0;Ia(40,g|0,133706,40)|0;P=B;B=0;do if(!(P&1)?(B=0,wa(510,h|0,I|0),R=B,B=0,!(R&1)):0){B=0;ya(425,h|0)|0;R=B;B=0;if(R&1){R=Rb()|0;S=Q;Yua(h);T=S;U=R;break}else{Yua(h);k[g>>2]=27468;k[e>>2]=27488;k[I>>2]=27560;Yua(M);Ava(I);vva(e);break a}}else V=17;while(0);if((V|0)==17){P=Rb()|0;T=Q;U=P}k[g>>2]=27468;k[e>>2]=27488;k[I>>2]=27560;Yua(M);Ava(I);vva(e);W=T;X=U;Qb(X|0)}while(0);K=N;L=O;vva(e);Qb(L|0)}while(0);Doa(b)}if(i[f>>0]|0){b:do if(CY()|0){f=j+56|0;L=j+4|0;k[j>>2]=27524;k[f>>2]=27544;B=0;wa(508,j+56|0,L|0);O=B;B=0;if(O&1){O=Rb()|0;Y=Q;Z=O;vva(f);Qb(Z|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[f>>2]=27488;B=0;va(448,L|0);O=B;B=0;do if(O&1){N=Rb()|0;_=Q;$=N}else{k[L>>2]=27560;N=j+36|0;k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;k[N+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,L|0,c|0);K=B;B=0;if(K&1){K=Rb()|0;U=Q;Yua(c);Yua(N);Ava(L);_=U;$=K;break}Yua(c);B=0;Ia(40,j|0,133747,40)|0;K=B;B=0;do if(!(K&1)?(B=0,wa(510,l|0,L|0),U=B,B=0,!(U&1)):0){B=0;ya(425,l|0)|0;U=B;B=0;if(U&1){U=Rb()|0;T=Q;Yua(l);aa=T;ba=U;break}else{Yua(l);k[j>>2]=27468;k[f>>2]=27488;k[L>>2]=27560;Yua(N);Ava(L);vva(f);break b}}else V=35;while(0);if((V|0)==35){K=Rb()|0;aa=Q;ba=K}k[j>>2]=27468;k[f>>2]=27488;k[L>>2]=27560;Yua(N);Ava(L);vva(f);W=aa;X=ba;Qb(X|0)}while(0);Y=_;Z=$;vva(f);Qb(Z|0)}while(0);Eoa(b)}c:do if(CY()|0){Z=m+56|0;$=m+4|0;k[m>>2]=27524;k[Z>>2]=27544;B=0;wa(508,m+56|0,$|0);_=B;B=0;if(_&1){_=Rb()|0;ca=Q;da=_;vva(Z);Qb(da|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[Z>>2]=27488;B=0;va(448,$|0);_=B;B=0;do if(_&1){Y=Rb()|0;ea=Q;fa=Y}else{k[$>>2]=27560;Y=m+36|0;k[Y>>2]=0;k[Y+4>>2]=0;k[Y+8>>2]=0;k[Y+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,$|0,c|0);ba=B;B=0;if(ba&1){ba=Rb()|0;aa=Q;Yua(c);Yua(Y);Ava($);ea=aa;fa=ba;break}Yua(c);B=0;Ia(40,m|0,133788,35)|0;ba=B;B=0;do if(!(ba&1)?(B=0,wa(510,n|0,$|0),aa=B,B=0,!(aa&1)):0){B=0;ya(425,n|0)|0;aa=B;B=0;if(aa&1){aa=Rb()|0;j=Q;Yua(n);ga=j;ha=aa;break}else{Yua(n);k[m>>2]=27468;k[Z>>2]=27488;k[$>>2]=27560;Yua(Y);Ava($);vva(Z);break c}}else V=52;while(0);if((V|0)==52){ba=Rb()|0;ga=Q;ha=ba}k[m>>2]=27468;k[Z>>2]=27488;k[$>>2]=27560;Yua(Y);Ava($);vva(Z);W=ga;X=ha;Qb(X|0)}while(0);ca=ea;da=fa;vva(Z);Qb(da|0)}while(0);Goa(b);break}case 457:{bO(k[H>>2]|0,o,443);if(!(i[o>>0]|0))V=184;else{d:do if(CY()|0){o=p+56|0;H=p+4|0;k[p>>2]=27524;k[o>>2]=27544;B=0;wa(508,p+56|0,H|0);da=B;B=0;if(da&1){da=Rb()|0;ia=Q;ja=da;vva(o);Qb(ja|0)}k[p+128>>2]=0;k[p+132>>2]=-1;k[p>>2]=27468;k[o>>2]=27488;B=0;va(448,H|0);da=B;B=0;do if(da&1){fa=Rb()|0;ka=Q;la=fa}else{k[H>>2]=27560;fa=p+36|0;k[fa>>2]=0;k[fa+4>>2]=0;k[fa+8>>2]=0;k[fa+12>>2]=0;k[p+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,H|0,c|0);ea=B;B=0;if(ea&1){ea=Rb()|0;ca=Q;Yua(c);Yua(fa);Ava(H);ka=ca;la=ea;break}Yua(c);B=0;Ia(40,p|0,133824,42)|0;ea=B;B=0;do if(!(ea&1)?(B=0,wa(510,q|0,H|0),ca=B,B=0,!(ca&1)):0){B=0;ya(425,q|0)|0;ca=B;B=0;if(ca&1){ca=Rb()|0;ha=Q;Yua(q);ma=ha;na=ca;break}else{Yua(q);k[p>>2]=27468;k[o>>2]=27488;k[H>>2]=27560;Yua(fa);Ava(H);vva(o);break d}}else V=70;while(0);if((V|0)==70){ea=Rb()|0;ma=Q;na=ea}k[p>>2]=27468;k[o>>2]=27488;k[H>>2]=27560;Yua(fa);Ava(H);vva(o);W=ma;X=na;Qb(X|0)}while(0);ia=ka;ja=la;vva(o);Qb(ja|0)}while(0);Foa(b);e:do if(CY()|0){ja=s+56|0;la=s+4|0;k[s>>2]=27524;k[ja>>2]=27544;B=0;wa(508,s+56|0,la|0);ka=B;B=0;if(ka&1){ka=Rb()|0;oa=Q;pa=ka;vva(ja);Qb(pa|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[ja>>2]=27488;B=0;va(448,la|0);ka=B;B=0;do if(ka&1){ia=Rb()|0;qa=Q;ra=ia}else{k[la>>2]=27560;ia=s+36|0;k[ia>>2]=0;k[ia+4>>2]=0;k[ia+8>>2]=0;k[ia+12>>2]=0;k[s+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,la|0,c|0);na=B;B=0;if(na&1){na=Rb()|0;ma=Q;Yua(c);Yua(ia);Ava(la);qa=ma;ra=na;break}Yua(c);B=0;Ia(40,s|0,133788,35)|0;na=B;B=0;do if(!(na&1)?(B=0,wa(510,t|0,la|0),ma=B,B=0,!(ma&1)):0){B=0;ya(425,t|0)|0;ma=B;B=0;if(ma&1){ma=Rb()|0;p=Q;Yua(t);sa=p;ta=ma;break}else{Yua(t);k[s>>2]=27468;k[ja>>2]=27488;k[la>>2]=27560;Yua(ia);Ava(la);vva(ja);break e}}else V=86;while(0);if((V|0)==86){na=Rb()|0;sa=Q;ta=na}k[s>>2]=27468;k[ja>>2]=27488;k[la>>2]=27560;Yua(ia);Ava(la);vva(ja);W=sa;X=ta;Qb(X|0)}while(0);oa=qa;pa=ra;vva(ja);Qb(pa|0)}while(0);Goa(b);V=184}break}case 459:{f:do if(CY()|0){pa=u+56|0;ra=u+4|0;k[u>>2]=27524;k[pa>>2]=27544;B=0;wa(508,u+56|0,ra|0);qa=B;B=0;if(qa&1){qa=Rb()|0;xa=Q;za=qa;vva(pa);Qb(za|0)}k[u+128>>2]=0;k[u+132>>2]=-1;k[u>>2]=27468;k[pa>>2]=27488;B=0;va(448,ra|0);qa=B;B=0;do if(qa&1){oa=Rb()|0;Aa=Q;Ba=oa}else{k[ra>>2]=27560;oa=u+36|0;k[oa>>2]=0;k[oa+4>>2]=0;k[oa+8>>2]=0;k[oa+12>>2]=0;k[u+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ra|0,c|0);ta=B;B=0;if(ta&1){ta=Rb()|0;sa=Q;Yua(c);Yua(oa);Ava(ra);Aa=sa;Ba=ta;break}Yua(c);B=0;Ia(40,u|0,133867,27)|0;ta=B;B=0;do if(!(ta&1)?(B=0,wa(510,v|0,ra|0),sa=B,B=0,!(sa&1)):0){B=0;ya(425,v|0)|0;sa=B;B=0;if(sa&1){sa=Rb()|0;s=Q;Yua(v);Ca=s;Da=sa;break}else{Yua(v);k[u>>2]=27468;k[pa>>2]=27488;k[ra>>2]=27560;Yua(oa);Ava(ra);vva(pa);break f}}else V=103;while(0);if((V|0)==103){ta=Rb()|0;Ca=Q;Da=ta}k[u>>2]=27468;k[pa>>2]=27488;k[ra>>2]=27560;Yua(oa);Ava(ra);vva(pa);W=Ca;X=Da;Qb(X|0)}while(0);xa=Aa;za=Ba;vva(pa);Qb(za|0)}while(0);Coa(b);V=184;break}case 465:{g:do if(CY()|0){za=w+56|0;Ba=w+4|0;k[w>>2]=27524;k[za>>2]=27544;B=0;wa(508,w+56|0,Ba|0);Aa=B;B=0;if(Aa&1){Aa=Rb()|0;Ea=Q;Fa=Aa;vva(za);Qb(Fa|0)}k[w+128>>2]=0;k[w+132>>2]=-1;k[w>>2]=27468;k[za>>2]=27488;B=0;va(448,Ba|0);Aa=B;B=0;do if(Aa&1){xa=Rb()|0;Ga=Q;Ha=xa}else{k[Ba>>2]=27560;xa=w+36|0;k[xa>>2]=0;k[xa+4>>2]=0;k[xa+8>>2]=0;k[xa+12>>2]=0;k[w+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ba|0,c|0);Da=B;B=0;if(Da&1){Da=Rb()|0;Ca=Q;Yua(c);Yua(xa);Ava(Ba);Ga=Ca;Ha=Da;break}Yua(c);B=0;Ia(40,w|0,133895,26)|0;Da=B;B=0;do if(!(Da&1)?(B=0,wa(510,x|0,Ba|0),Ca=B,B=0,!(Ca&1)):0){B=0;ya(425,x|0)|0;Ca=B;B=0;if(Ca&1){Ca=Rb()|0;u=Q;Yua(x);Ja=u;Ka=Ca;break}else{Yua(x);k[w>>2]=27468;k[za>>2]=27488;k[Ba>>2]=27560;Yua(xa);Ava(Ba);vva(za);break g}}else V=120;while(0);if((V|0)==120){Da=Rb()|0;Ja=Q;Ka=Da}k[w>>2]=27468;k[za>>2]=27488;k[Ba>>2]=27560;Yua(xa);Ava(Ba);vva(za);W=Ja;X=Ka;Qb(X|0)}while(0);Ea=Ga;Fa=Ha;vva(za);Qb(Fa|0)}while(0);Hoa(b);V=184;break}case 466:{h:do if(CY()|0){Fa=y+56|0;Ha=y+4|0;k[y>>2]=27524;k[Fa>>2]=27544;B=0;wa(508,y+56|0,Ha|0);Ga=B;B=0;if(Ga&1){Ga=Rb()|0;La=Q;Ma=Ga;vva(Fa);Qb(Ma|0)}k[y+128>>2]=0;k[y+132>>2]=-1;k[y>>2]=27468;k[Fa>>2]=27488;B=0;va(448,Ha|0);Ga=B;B=0;do if(Ga&1){Ea=Rb()|0;Na=Q;Oa=Ea}else{k[Ha>>2]=27560;Ea=y+36|0;k[Ea>>2]=0;k[Ea+4>>2]=0;k[Ea+8>>2]=0;k[Ea+12>>2]=0;k[y+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ha|0,c|0);Ka=B;B=0;if(Ka&1){Ka=Rb()|0;Ja=Q;Yua(c);Yua(Ea);Ava(Ha);Na=Ja;Oa=Ka;break}Yua(c);B=0;Ia(40,y|0,133922,29)|0;Ka=B;B=0;do if(!(Ka&1)?(B=0,wa(510,z|0,Ha|0),Ja=B,B=0,!(Ja&1)):0){B=0;ya(425,z|0)|0;Ja=B;B=0;if(Ja&1){Ja=Rb()|0;w=Q;Yua(z);Pa=w;Qa=Ja;break}else{Yua(z);k[y>>2]=27468;k[Fa>>2]=27488;k[Ha>>2]=27560;Yua(Ea);Ava(Ha);vva(Fa);break h}}else V=137;while(0);if((V|0)==137){Ka=Rb()|0;Pa=Q;Qa=Ka}k[y>>2]=27468;k[Fa>>2]=27488;k[Ha>>2]=27560;Yua(Ea);Ava(Ha);vva(Fa);W=Pa;X=Qa;Qb(X|0)}while(0);La=Na;Ma=Oa;vva(Fa);Qb(Ma|0)}while(0);Ioa(b);V=184;break}case 470:{i:do if(CY()|0){Ma=A+56|0;Oa=A+4|0;k[A>>2]=27524;k[Ma>>2]=27544;B=0;wa(508,A+56|0,Oa|0);Na=B;B=0;if(Na&1){Na=Rb()|0;Ra=Q;Sa=Na;vva(Ma);Qb(Sa|0)}k[A+128>>2]=0;k[A+132>>2]=-1;k[A>>2]=27468;k[Ma>>2]=27488;B=0;va(448,Oa|0);Na=B;B=0;do if(Na&1){La=Rb()|0;Ta=Q;Ua=La}else{k[Oa>>2]=27560;La=A+36|0;k[La>>2]=0;k[La+4>>2]=0;k[La+8>>2]=0;k[La+12>>2]=0;k[A+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Oa|0,c|0);Qa=B;B=0;if(Qa&1){Qa=Rb()|0;Pa=Q;Yua(c);Yua(La);Ava(Oa);Ta=Pa;Ua=Qa;break}Yua(c);B=0;Ia(40,A|0,133952,34)|0;Qa=B;B=0;do if(!(Qa&1)?(B=0,wa(510,C|0,Oa|0),Pa=B,B=0,!(Pa&1)):0){B=0;ya(425,C|0)|0;Pa=B;B=0;if(Pa&1){Pa=Rb()|0;y=Q;Yua(C);Va=y;Wa=Pa;break}else{Yua(C);k[A>>2]=27468;k[Ma>>2]=27488;k[Oa>>2]=27560;Yua(La);Ava(Oa);vva(Ma);break i}}else V=154;while(0);if((V|0)==154){Qa=Rb()|0;Va=Q;Wa=Qa}k[A>>2]=27468;k[Ma>>2]=27488;k[Oa>>2]=27560;Yua(La);Ava(Oa);vva(Ma);W=Va;X=Wa;Qb(X|0)}while(0);Ra=Ta;Sa=Ua;vva(Ma);Qb(Sa|0)}while(0);Joa(b);V=184;break}case 473:{V=184;break}case 387:{r=a;return}default:{b=D+56|0;Sa=D+4|0;k[D>>2]=27524;k[b>>2]=27544;B=0;wa(508,D+56|0,Sa|0);Ua=B;B=0;if(Ua&1){Ua=Rb()|0;Ya=Q;Za=Ua;vva(b);Qb(Za|0)}k[D+128>>2]=0;k[D+132>>2]=-1;k[D>>2]=27468;k[b>>2]=27488;B=0;va(448,Sa|0);Ua=B;B=0;do if(Ua&1){Ta=Rb()|0;_a=Q;$a=Ta}else{k[Sa>>2]=27560;Ta=D+36|0;k[Ta>>2]=0;k[Ta+4>>2]=0;k[Ta+8>>2]=0;k[Ta+12>>2]=0;k[D+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Sa|0,c|0);Ra=B;B=0;if(Ra&1){Ra=Rb()|0;Wa=Q;Yua(c);Yua(Ta);Ava(Sa);_a=Wa;$a=Ra;break}Yua(c);B=0;Ra=Ia(40,D|0,133089,27)|0;Wa=B;B=0;j:do if((((!(Wa&1)?(B=0,Va=ya(427,k[d>>2]|0)|0,A=B,B=0,!(A&1)):0)?(A=Lta(Va)|0,B=0,C=Ia(40,Ra|0,Va|0,A|0)|0,A=B,B=0,!(A&1)):0)?(B=0,A=Ia(40,C|0,146481,18)|0,C=B,B=0,!(C&1)):0)?(B=0,Xa(239,A|0,0)|0,A=B,B=0,!(A&1)):0){A=Ab(20)|0;B=0;eb(502,E|0,133117,71);C=B;B=0;do if(!(C&1)){B=0;eb(502,F|0,138209,4);Va=B;B=0;if(Va&1){Va=Rb()|0;Oa=Q;Yua(E);ab=Va;bb=Oa;break}B=0;wa(510,G|0,Sa|0);Oa=B;B=0;if(Oa&1){Oa=Rb()|0;cb=1;db=Q;fb=Oa}else{B=0;ua(163,A|0,E|0,F|0,289,G|0);Oa=B;B=0;if(Oa&1)gb=1;else{B=0;eb(503,A|0,1240,229);B=0;gb=0}Oa=Rb()|0;Va=Q;Yua(G);cb=gb;db=Va;fb=Oa}Yua(F);Yua(E);if(cb){ab=fb;bb=db}else{hb=fb;ib=db;break j}}else{Oa=Rb()|0;ab=Oa;bb=Q}while(0);zb(A|0);hb=ab;ib=bb}else V=176;while(0);if((V|0)==176){Ra=Rb()|0;hb=Ra;ib=Q}k[D>>2]=27468;k[b>>2]=27488;k[Sa>>2]=27560;Yua(Ta);Ava(Sa);vva(b);W=ib;X=hb;Qb(X|0)}while(0);Ya=_a;Za=$a;vva(b);Qb(Za|0)}}r=a;return}function Yea(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,133117,71);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,133987,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,294,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function Zea(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,133117,71);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,297,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function _ea(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,133117,71);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144189,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,300,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function $ea(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,133117,71);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144203,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,303,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function afa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,133117,71);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138230,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,306,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function bfa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,133117,71);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,309,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function cfa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,133117,71);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,137199,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,312,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function dfa(a,b){a=a|0;b=b|0;return}function efa(a){a=a|0;Sqa(a);return}function ffa(a,b,c){a=a|0;b=b|0;c=c|0;return}function gfa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;a=r;r=r+32|0;d=a+16|0;e=a+8|0;f=a+4|0;g=a;k[f>>2]=0;k[g>>2]=0;Qka(c,f,e,0,134220);h=c+40|0;if((k[h>>2]|0)!=300)Qka(c,g,0,0,136615);i=k[e>>2]|0;if((i|0)<=0){j=k[f>>2]|0;Mka(c,j,134220);l=k[g>>2]|0;Mka(c,l,136615);r=a;return}m=c+36|0;n=c+100|0;o=d+4|0;q=c+104|0;s=i;i=0;t=0;a:while(1){u=t<<1;v=k[f>>2]|0;w=~~+p[v+(u<<3)>>3];x=w+-1|0;do if(!(k[(k[m>>2]|0)+(x<<2)>>2]|0)){y=s;z=i}else{if((k[h>>2]|0)!=300){A=k[g>>2]|0;if(!(+p[A+(x<<3)>>3]!=0.0)){y=s;z=i;break}C=v+((u|1)<<3)|0;if(+p[A+(~~+p[C>>3]+-1<<3)>>3]!=0.0)D=C;else{y=s;z=i;break}}else D=v+((u|1)<<3)|0;C=k[n>>2]|0;k[d>>2]=w+C;k[o>>2]=~~+p[D>>3]+C;C=Qqa(28)|0;A=i+1|0;B=0;ib(298,C|0,A+(k[q>>2]|0)|0,d|0,512);E=B;B=0;if(E&1){F=C;G=13;break a}ih(b,C)|0;y=k[e>>2]|0;z=A}while(0);t=t+1|0;if((t|0)>=(y|0)){G=5;break}else{s=y;i=z}}if((G|0)==5){j=k[f>>2]|0;Mka(c,j,134220);l=k[g>>2]|0;Mka(c,l,136615);r=a;return}else if((G|0)==13){G=Rb()|0;Sqa(F);Qb(G|0)}}function hfa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;a=r;r=r+16|0;d=a+8|0;e=a;if((k[c+40>>2]|0)!=300){k[e>>2]=136615;k[e+4>>2]=136636;Ska(c,2,e)}hoa(b,c,512,738,534);k[d>>2]=136615;k[d+4>>2]=136636;Lka(c,2,d);r=a;return}function ifa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 1}function jfa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;a=c+40|0;if((k[a>>2]|0)==300)return;f=c+56|0;g=k[f>>2]|0;if((g|0)>0){h=c+32|0;j=g;g=0;l=0;while(1){if(!(i[(k[h>>2]|0)+l>>0]|0)){m=j;n=g}else{o=qh(b,g)|0;Uc[k[(k[o>>2]|0)+480>>2]&63](o,l,c,d,e,738);m=k[f>>2]|0;n=g+1|0}l=l+1|0;if((l|0)>=(m|0))break;else{j=m;g=n}}}Zka(c,b,134925,339);Yka(c,b,137955,999,0.0);Zka(c,b,137867,206);Zka(c,b,134027,39);Zka(c,b,134069,40);Zka(c,b,135923,674);Zka(c,b,135944,677);if((k[c+44>>2]|0)==3)Zka(c,b,135096,679);if((k[a>>2]|0)==300)return;Zka(c,b,136615,287);Zka(c,b,136636,288);return}function kfa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return}function lfa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,134111,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138209,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,98,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function mfa(a,b){a=a|0;b=b|0;return 0}function nfa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,134111,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,105,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function ofa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0.0,T=0.0,U=0.0,V=0,W=0,X=0.0,Y=0.0,Z=0.0,_=0.0;a=r;r=r+240|0;c=a+228|0;d=a+224|0;e=a+220|0;f=a+216|0;g=a+32|0;h=a+24|0;i=a+16|0;j=a+8|0;l=a;m=a+80|0;n=a+64|0;o=a+52|0;q=a+40|0;k[f>>2]=0;cp(b,d,298);a:do switch(k[d>>2]|0){case 300:{s=b;t=2;break}case 301:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){s=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;t=1;break a}else{u=0;r=a;return u|0}break}case 302:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){s=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;t=2;break a}else{u=0;r=a;return u|0}break}default:{v=m+56|0;w=m+4|0;k[m>>2]=27524;k[v>>2]=27544;B=0;wa(508,m+56|0,w|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;z=x;vva(v);Qb(z|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[v>>2]=27488;B=0;va(448,w|0);x=B;B=0;do if(x&1){A=Rb()|0;C=Q;D=A}else{k[w>>2]=27560;A=m+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,w|0,c|0);E=B;B=0;if(E&1){E=Rb()|0;F=Q;Yua(c);Yua(A);Ava(w);C=F;D=E;break}Yua(c);B=0;E=Ia(40,m|0,144639,5)|0;F=B;B=0;if((((!(F&1)?(B=0,F=ya(427,k[d>>2]|0)|0,G=B,B=0,!(G&1)):0)?(G=Lta(F)|0,B=0,H=Ia(40,E|0,F|0,G|0)|0,G=B,B=0,!(G&1)):0)?(B=0,G=Ia(40,H|0,146481,18)|0,H=B,B=0,!(H&1)):0)?(B=0,Xa(239,G|0,0)|0,G=B,B=0,!(G&1)):0){G=Ab(20)|0;B=0;eb(502,n|0,134111,83);H=B;B=0;do if(!(H&1)){B=0;eb(502,o|0,144189,13);F=B;B=0;if(F&1){F=Rb()|0;E=Q;Yua(n);I=E;J=F;break}B=0;wa(510,q|0,w|0);F=B;B=0;if(F&1){F=Rb()|0;K=Q;L=F;M=1}else{B=0;ua(163,G|0,n|0,o|0,133,q|0);F=B;B=0;if(F&1)N=1;else{B=0;eb(503,G|0,1240,229);B=0;N=0}F=Rb()|0;E=Q;Yua(q);K=E;L=F;M=N}Yua(o);Yua(n);if(M){I=K;J=L}else{O=L;P=K;k[m>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);Qb(O|0)}}else{F=Rb()|0;I=Q;J=F}while(0);zb(G|0);O=J;P=I;k[m>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);Qb(O|0)}H=Rb()|0;O=H;P=Q;k[m>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);Qb(O|0)}while(0);y=C;z=D;vva(v);Qb(z|0)}}while(0);z=Hc[k[(k[s>>2]|0)+164>>2]&511](s)|0;D=gq(s,534)|0;C=Rqa(z>>>0>536870911?-1:z<<3)|0;y=ma(z,t)|0;O=y>>>0>536870911?-1:y<<3;y=Rqa(O)|0;m=Rqa(O)|0;O=ma(t,t)|0;P=Rqa(O<<3)|0;Uo(s,f);pp(s,i,358);cp(s,e,310);I=Wo(s,674)|0;if(t>>>0>1)R=Wo(s,677)|0;else R=0;S=+Zc[k[(k[s>>2]|0)+72>>2]&255](s);J=ed[k[(k[s>>2]|0)+308>>2]&511](s,2)|0;K=Hc[k[(k[J>>2]|0)+8>>2]&511](J)|0;b:do if((K|0)<(Hc[k[(k[J>>2]|0)+12>>2]&511](J)|0)){L=(t|0)==2;M=J+8|0;n=D+12|0;o=(O|0)==0;N=P+(t+1<<3)|0;q=(t|0)==1;c=P+(t<<3)|0;b=P+8|0;T=S*.5;w=(O>>>0>1?O:1)<<3;x=K;while(1){Fc[k[(k[J>>2]|0)+24>>2]&1023](J,x);rd[k[(k[s>>2]|0)+260>>2]&511](s,g,k[f>>2]|0,J);nd[k[(k[s>>2]|0)+336>>2]&1023](s,C,J);nd[k[(k[I>>2]|0)+48>>2]&1023](I,j,J);if(L)nd[k[(k[R>>2]|0)+48>>2]&1023](R,l,J);p[h>>3]=+p[M>>3]*+p[g>>3];ZX(C,1,z,1,h,1,1,0,C,1,z,0,k[n>>2]|0,1)|0;H=Hc[k[(k[s>>2]|0)+164>>2]&511](s)|0;F=Rqa(H>>>0>536870911?-1:H<<3)|0;nd[k[(k[s>>2]|0)+336>>2]&1023](s,F,J);if((H|0)>0){E=0;do{U=+p[F+(E<<3)>>3];V=0;do{W=y+((ma(V,H)|0)+E<<3)|0;p[W>>3]=U;V=V+1|0}while((V|0)!=(t|0));E=E+1|0}while((E|0)!=(H|0))}Tqa(F);H=k[f>>2]|0;E=Hc[k[(k[s>>2]|0)+164>>2]&511](s)|0;A=ma(E,t)|0;G=Rqa(A>>>0>536870911?-1:A<<3)|0;rd[k[(k[s>>2]|0)+340>>2]&511](s,G,H,J);if((E|0)>0){H=0;do{A=0;do{V=(ma(A,E)|0)+H|0;p[m+(V<<3)>>3]=+p[G+(V<<3)>>3];A=A+1|0}while((A|0)!=(t|0));H=H+1|0}while((H|0)!=(E|0))}Tqa(G);U=+p[i>>3]*+p[M>>3]*+p[g>>3];p[h>>3]=U;if(!o)WEa(P|0,0,w|0)|0;p[P>>3]=U*+p[j>>3];if(L)p[N>>3]=U*+p[l>>3];ZX(y,t,z,1,P,t,t,0,m,t,z,0,k[n>>2]|0,1)|0;c:do switch(k[e>>2]|0){case 2:{U=+p[j>>3];if(q){X=U*(U*(S/((+$(+U)+1.0e-08)*2.0)));p[P>>3]=X;break c}else{X=+p[l>>3];Y=S/((+aa(+(U*U+X*X))+1.0e-08)*2.0);Z=U*Y;p[P>>3]=U*Z;_=X*Y;p[c>>3]=U*_;p[b>>3]=Z*X;p[N>>3]=X*_;break c}break}case 1:{Fc[k[(k[I>>2]|0)+64>>2]&1023](I,j);if(q){_=T*+$(+(+p[j>>3]));p[P>>3]=_;break c}else{Fc[k[(k[R>>2]|0)+64>>2]&1023](R,l);_=T*+$(+(+p[j>>3]));p[P>>3]=_;_=T*+$(+(+p[l>>3]));p[N>>3]=_;break c}break}default:{}}while(0);if(((k[e>>2]|0)+-1|0)>>>0<2){if(!o){_=+p[h>>3];G=0;do{E=P+(G<<3)|0;p[E>>3]=_*+p[E>>3];G=G+1|0}while((G|0)<(O|0))}ZX(m,t,z,1,P,t,t,0,m,t,z,0,k[n>>2]|0,1)|0}x=x+1|0;if((x|0)>=(Hc[k[(k[J>>2]|0)+12>>2]&511](J)|0))break b}}while(0);z=k[f>>2]|0;if(z)Tqa(z);k[f>>2]=0;Tqa(C);Tqa(y);Tqa(m);Tqa(P);Ec[k[(k[J>>2]|0)+4>>2]&1023](J);if((k[d>>2]|0)==300){u=D;r=a;return u|0}ap(s);if(!s){u=D;r=a;return u|0}Ec[k[(k[s>>2]|0)+4>>2]&1023](s);u=D;r=a;return u|0}function pfa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0.0,oa=0.0;a=r;r=r+432|0;c=a+412|0;d=a+408|0;e=a+48|0;f=a+40|0;g=a+32|0;h=a+24|0;i=a+16|0;j=a+8|0;l=a;m=a+404|0;n=a+256|0;o=a+392|0;q=a+104|0;s=a+92|0;t=a+120|0;u=a+80|0;v=a+68|0;w=a+56|0;k[m>>2]=0;cp(b,d,298);a:do switch(k[d>>2]|0){case 300:{x=b;y=2;break}case 301:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){x=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;y=1;break a}else{z=0;r=a;return z|0}break}case 302:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){x=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;y=2;break a}else{z=0;r=a;return z|0}break}default:{A=n+56|0;C=n+4|0;k[n>>2]=27524;k[A>>2]=27544;B=0;wa(508,n+56|0,C|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;F=D;vva(A);Qb(F|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[A>>2]=27488;B=0;va(448,C|0);D=B;B=0;do if(D&1){G=Rb()|0;H=Q;I=G}else{k[C>>2]=27560;G=n+36|0;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;k[G+12>>2]=0;k[n+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,C|0,c|0);J=B;B=0;if(J&1){J=Rb()|0;K=Q;Yua(c);Yua(G);Ava(C);H=K;I=J;break}Yua(c);B=0;J=Ia(40,n|0,144639,5)|0;K=B;B=0;b:do if((((!(K&1)?(B=0,L=ya(427,k[d>>2]|0)|0,M=B,B=0,!(M&1)):0)?(M=Lta(L)|0,B=0,N=Ia(40,J|0,L|0,M|0)|0,M=B,B=0,!(M&1)):0)?(B=0,M=Ia(40,N|0,146481,18)|0,N=B,B=0,!(N&1)):0)?(B=0,Xa(239,M|0,0)|0,M=B,B=0,!(M&1)):0){M=Ab(20)|0;B=0;eb(502,o|0,134111,83);N=B;B=0;do if(!(N&1)){B=0;eb(502,q|0,144203,13);L=B;B=0;if(L&1){L=Rb()|0;O=Q;Yua(o);P=L;R=O;break}B=0;wa(510,s|0,C|0);O=B;B=0;if(O&1){O=Rb()|0;S=O;T=Q;U=1}else{B=0;ua(163,M|0,o|0,q|0,256,s|0);O=B;B=0;if(O&1)V=1;else{B=0;eb(503,M|0,1240,229);B=0;V=0}O=Rb()|0;L=Q;Yua(s);S=O;T=L;U=V}Yua(q);Yua(o);if(U){P=S;R=T}else{W=S;X=T;break b}}else{L=Rb()|0;P=L;R=Q}while(0);zb(M|0);W=P;X=R}else Y=24;while(0);if((Y|0)==24){J=Rb()|0;W=J;X=Q}k[n>>2]=27468;k[A>>2]=27488;k[C>>2]=27560;Yua(G);Ava(C);vva(A);Z=W;_=X;Qb(Z|0)}while(0);E=H;F=I;vva(A);Qb(F|0)}}while(0);F=Hc[k[(k[x>>2]|0)+164>>2]&511](x)|0;I=iq(x,534)|0;H=Rqa(F>>>0>536870911?-1:F<<3)|0;Uo(x,m);pp(x,f,358);E=Wo(x,928)|0;X=Wo(x,39)|0;W=Wo(x,40)|0;n=Wo(x,64)|0;switch(y|0){case 1:{$=Wo(x,677)|0;break}case 2:{$=Wo(x,679)|0;break}default:{y=t+56|0;R=t+4|0;k[t>>2]=27524;k[y>>2]=27544;B=0;wa(508,t+56|0,R|0);P=B;B=0;if(P&1){P=Rb()|0;aa=Q;ba=P;vva(y);Qb(ba|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[y>>2]=27488;B=0;va(448,R|0);P=B;B=0;do if(P&1){T=Rb()|0;ca=Q;da=T}else{k[R>>2]=27560;T=t+36|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;k[T+12>>2]=0;k[t+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,R|0,c|0);S=B;B=0;if(S&1){S=Rb()|0;U=Q;Yua(c);Yua(T);Ava(R);ca=U;da=S;break}Yua(c);B=0;S=Ia(40,t|0,143640,15)|0;U=B;B=0;c:do if(!(U&1)?(B=0,Xa(239,S|0,0)|0,o=B,B=0,!(o&1)):0){o=Ab(20)|0;B=0;eb(502,u|0,134111,83);q=B;B=0;do if(!(q&1)){B=0;eb(502,v|0,144203,13);V=B;B=0;if(V&1){V=Rb()|0;s=Q;Yua(u);ea=s;fa=V;break}B=0;wa(510,w|0,R|0);V=B;B=0;if(V&1){V=Rb()|0;ga=1;ha=V;ia=Q}else{B=0;ua(163,o|0,u|0,v|0,277,w|0);V=B;B=0;if(V&1)ja=1;else{B=0;eb(503,o|0,1240,229);B=0;ja=0}V=Rb()|0;s=Q;Yua(w);ga=ja;ha=V;ia=s}Yua(v);Yua(u);if(ga){ea=ia;fa=ha}else{ka=ha;la=ia;break c}}else{s=Rb()|0;ea=Q;fa=s}while(0);zb(o|0);ka=fa;la=ea}else Y=50;while(0);if((Y|0)==50){S=Rb()|0;ka=S;la=Q}k[t>>2]=27468;k[y>>2]=27488;k[R>>2]=27560;Yua(T);Ava(R);vva(y);Z=ka;_=la;Qb(Z|0)}while(0);aa=ca;ba=da;vva(y);Qb(ba|0)}}ba=ed[k[(k[x>>2]|0)+308>>2]&511](x,2)|0;y=Hc[k[(k[ba>>2]|0)+8>>2]&511](ba)|0;d:do if((y|0)<(Hc[k[(k[ba>>2]|0)+12>>2]&511](ba)|0)){da=ba+8|0;ca=I+4|0;if((F|0)>0)ma=y;else{aa=y;while(1){Fc[k[(k[ba>>2]|0)+24>>2]&1023](ba,aa);rd[k[(k[x>>2]|0)+260>>2]&511](x,e,k[m>>2]|0,ba);nd[k[(k[x>>2]|0)+336>>2]&1023](x,H,ba);nd[k[(k[$>>2]|0)+48>>2]&1023]($,l,ba);nd[k[(k[X>>2]|0)+48>>2]&1023](X,g,ba);nd[k[(k[W>>2]|0)+48>>2]&1023](W,h,ba);nd[k[(k[n>>2]|0)+48>>2]&1023](n,i,ba);nd[k[(k[E>>2]|0)+48>>2]&1023](E,j,ba);aa=aa+1|0;if((aa|0)>=(Hc[k[(k[ba>>2]|0)+12>>2]&511](ba)|0))break d}}do{Fc[k[(k[ba>>2]|0)+24>>2]&1023](ba,ma);rd[k[(k[x>>2]|0)+260>>2]&511](x,e,k[m>>2]|0,ba);nd[k[(k[x>>2]|0)+336>>2]&1023](x,H,ba);nd[k[(k[$>>2]|0)+48>>2]&1023]($,l,ba);nd[k[(k[X>>2]|0)+48>>2]&1023](X,g,ba);nd[k[(k[W>>2]|0)+48>>2]&1023](W,h,ba);nd[k[(k[n>>2]|0)+48>>2]&1023](n,i,ba);nd[k[(k[E>>2]|0)+48>>2]&1023](E,j,ba);na=+p[j>>3]>0.0?+p[g>>3]:+p[h>>3];aa=k[ca>>2]|0;T=0;do{oa=+p[f>>3];Z=aa+(T<<3)|0;p[Z>>3]=+p[Z>>3]+ +p[H+(T<<3)>>3]*(+p[e>>3]*+p[da>>3]*(+p[i>>3]+na*oa+oa*+p[l>>3]));T=T+1|0}while((T|0)!=(F|0));ma=ma+1|0}while((ma|0)<(Hc[k[(k[ba>>2]|0)+12>>2]&511](ba)|0))}while(0);ma=k[m>>2]|0;if(ma)Tqa(ma);k[m>>2]=0;Tqa(H);Ec[k[(k[ba>>2]|0)+4>>2]&1023](ba);if((k[d>>2]|0)==300){z=I;r=a;return z|0}ap(x);if(!x){z=I;r=a;return z|0}Ec[k[(k[x>>2]|0)+4>>2]&1023](x);z=I;r=a;return z|0}function qfa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,134111,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138230,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,365,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function rfa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,134111,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,368,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function sfa(a,b,c){a=a|0;b=b|0;c=c|0;nd[k[(k[c>>2]|0)+232>>2]&1023](c,b,64);return}function tfa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0;a=r;r=r+32|0;c=a+16|0;d=a+8|0;e=a;f=b+20|0;if((th(k[f>>2]|0)|0)>0)g=0;else{r=a;return}do{b=qh(k[f>>2]|0,g)|0;if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){h=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;i=Wo(b,928)|0;j=Wo(b,287)|0;l=Wo(b,64)|0;m=Hc[k[(k[b>>2]|0)+304>>2]&511](b)|0;if((h|0)>0){n=b+20|0;o=0;do{q=k[(k[m>>2]|0)+32>>2]|0;s=Hc[k[(k[b>>2]|0)+128>>2]&511](b)|0;nd[q&1023](m,s,o);nd[k[(k[j>>2]|0)+48>>2]&1023](j,d,m);do if(+p[d>>3]==1.0){nd[k[(k[i>>2]|0)+48>>2]&1023](i,c,m);if(!(+p[c>>3]>=0.0)){Zn(k[(k[n>>2]|0)+(o<<2)>>2]|0,0);break}else{nd[k[(k[l>>2]|0)+48>>2]&1023](l,e,m);Un(k[(k[n>>2]|0)+(o<<2)>>2]|0,0,+p[e>>3]);break}}while(0);o=o+1|0}while((o|0)!=(h|0))}if(m)Ec[k[(k[m>>2]|0)+4>>2]&1023](m)}g=g+1|0}while((g|0)<(th(k[f>>2]|0)|0));r=a;return}function ufa(a){a=a|0;Sqa(a);return}function vfa(a,b,c){a=a|0;b=b|0;c=c|0;return}function wfa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;a=r;r=r+32|0;d=a+16|0;e=a+8|0;f=a+4|0;g=a;k[f>>2]=0;k[g>>2]=0;Qka(c,f,e,0,134220);h=c+40|0;if((k[h>>2]|0)!=300)Qka(c,g,0,0,136636);i=k[e>>2]|0;if((i|0)<=0){j=k[f>>2]|0;Mka(c,j,134220);l=k[g>>2]|0;Mka(c,l,136636);r=a;return}m=c+36|0;n=c+100|0;o=d+4|0;q=c+104|0;s=i;i=0;t=0;a:while(1){u=t<<1;v=k[f>>2]|0;w=~~+p[v+(u<<3)>>3];x=w+-1|0;do if(!(k[(k[m>>2]|0)+(x<<2)>>2]|0)){y=s;z=i}else{if((k[h>>2]|0)!=300){A=k[g>>2]|0;if(!(+p[A+(x<<3)>>3]!=0.0)){y=s;z=i;break}C=v+((u|1)<<3)|0;if(+p[A+(~~+p[C>>3]+-1<<3)>>3]!=0.0)D=C;else{y=s;z=i;break}}else D=v+((u|1)<<3)|0;C=k[n>>2]|0;k[d>>2]=w+C;k[o>>2]=~~+p[D>>3]+C;C=Qqa(28)|0;A=i+1|0;B=0;ib(298,C|0,A+(k[q>>2]|0)|0,d|0,513);E=B;B=0;if(E&1){F=C;G=13;break a}ih(b,C)|0;y=k[e>>2]|0;z=A}while(0);t=t+1|0;if((t|0)>=(y|0)){G=5;break}else{s=y;i=z}}if((G|0)==5){j=k[f>>2]|0;Mka(c,j,134220);l=k[g>>2]|0;Mka(c,l,136636);r=a;return}else if((G|0)==13){G=Rb()|0;Sqa(F);Qb(G|0)}}function xfa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;a=r;r=r+16|0;d=a+8|0;e=a;if((k[c+40>>2]|0)!=300){k[e>>2]=136615;k[e+4>>2]=136636;Ska(c,2,e)}hoa(b,c,513,738,534);k[d>>2]=136615;k[d+4>>2]=136636;Lka(c,2,d);r=a;return}function yfa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 1}function zfa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;a=r;r=r+16|0;f=a;g=c+40|0;if((k[g>>2]|0)==300){r=a;return}Fka(c,f,134789);h=c+56|0;j=k[h>>2]|0;if((j|0)>0){l=c+32|0;m=j;j=0;n=0;while(1){if(!(i[(k[l>>2]|0)+n>>0]|0)){o=m;p=j}else{q=qh(b,j)|0;Uc[k[(k[q>>2]|0)+480>>2]&63](q,n,c,d,e,738);o=k[h>>2]|0;p=j+1|0}n=n+1|0;if((n|0)>=(o|0))break;else{m=o;j=p}}}Zka(c,b,134925,339);Yka(c,b,137955,999,0.0);Zka(c,b,137867,206);Zka(c,b,135923,674);if((k[g>>2]|0)!=300){Zka(c,b,136636,288);Zka(c,b,136615,287)}if((k[c+44>>2]|0)==3)Zka(c,b,135096,679);if((k[f>>2]|0)==387)Yka(c,b,134252,388,0.0);r=a;return}function Afa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return}function Bfa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,134272,82);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138209,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,106,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function Cfa(a,b){a=a|0;b=b|0;return 0}function Dfa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,134272,82);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,113,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function Efa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0.0,T=0.0,U=0.0,V=0,W=0,X=0.0,Y=0.0,Z=0.0,_=0.0;a=r;r=r+240|0;c=a+228|0;d=a+224|0;e=a+220|0;f=a+216|0;g=a+32|0;h=a+24|0;i=a+16|0;j=a+8|0;l=a;m=a+80|0;n=a+64|0;o=a+52|0;q=a+40|0;k[f>>2]=0;cp(b,d,298);a:do switch(k[d>>2]|0){case 300:{s=2;t=b;break}case 301:{if(Hc[k[(k[b>>2]|0)+252>>2]&511](b)|0){s=1;t=Hc[k[(k[b>>2]|0)+436>>2]&511](b)|0;break a}else{u=0;r=a;return u|0}break}case 302:{if(Hc[k[(k[b>>2]|0)+252>>2]&511](b)|0){s=2;t=Hc[k[(k[b>>2]|0)+436>>2]&511](b)|0;break a}else{u=0;r=a;return u|0}break}default:{v=m+56|0;w=m+4|0;k[m>>2]=27524;k[v>>2]=27544;B=0;wa(508,m+56|0,w|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;z=x;vva(v);Qb(z|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[v>>2]=27488;B=0;va(448,w|0);x=B;B=0;do if(x&1){A=Rb()|0;C=Q;D=A}else{k[w>>2]=27560;A=m+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,w|0,c|0);E=B;B=0;if(E&1){E=Rb()|0;F=Q;Yua(c);Yua(A);Ava(w);C=F;D=E;break}Yua(c);B=0;E=Ia(40,m|0,144639,5)|0;F=B;B=0;if((((!(F&1)?(B=0,F=ya(427,k[d>>2]|0)|0,G=B,B=0,!(G&1)):0)?(G=Lta(F)|0,B=0,H=Ia(40,E|0,F|0,G|0)|0,G=B,B=0,!(G&1)):0)?(B=0,G=Ia(40,H|0,146481,18)|0,H=B,B=0,!(H&1)):0)?(B=0,Xa(239,G|0,0)|0,G=B,B=0,!(G&1)):0){G=Ab(20)|0;B=0;eb(502,n|0,134272,82);H=B;B=0;do if(!(H&1)){B=0;eb(502,o|0,144189,13);F=B;B=0;if(F&1){F=Rb()|0;E=Q;Yua(n);I=E;J=F;break}B=0;wa(510,q|0,w|0);F=B;B=0;if(F&1){F=Rb()|0;K=Q;L=F;M=1}else{B=0;ua(163,G|0,n|0,o|0,141,q|0);F=B;B=0;if(F&1)N=1;else{B=0;eb(503,G|0,1240,229);B=0;N=0}F=Rb()|0;E=Q;Yua(q);K=E;L=F;M=N}Yua(o);Yua(n);if(M){I=K;J=L}else{O=L;P=K;k[m>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);Qb(O|0)}}else{F=Rb()|0;I=Q;J=F}while(0);zb(G|0);O=J;P=I;k[m>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);Qb(O|0)}H=Rb()|0;O=H;P=Q;k[m>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);Qb(O|0)}while(0);y=C;z=D;vva(v);Qb(z|0)}}while(0);z=Hc[k[(k[t>>2]|0)+164>>2]&511](t)|0;D=gq(t,534)|0;C=Rqa(z>>>0>536870911?-1:z<<3)|0;y=ma(z,s)|0;O=y>>>0>536870911?-1:y<<3;y=Rqa(O)|0;m=Rqa(O)|0;O=ma(s,s)|0;P=Rqa(O<<3)|0;Uo(t,f);pp(t,i,358);cp(t,e,310);I=Wo(t,674)|0;if(s>>>0>1)R=Wo(t,677)|0;else R=0;S=+Zc[k[(k[t>>2]|0)+72>>2]&255](t);J=ed[k[(k[t>>2]|0)+308>>2]&511](t,2)|0;K=Hc[k[(k[J>>2]|0)+8>>2]&511](J)|0;b:do if((K|0)<(Hc[k[(k[J>>2]|0)+12>>2]&511](J)|0)){L=(s|0)==2;M=J+8|0;n=D+12|0;o=(O|0)==0;N=P+(s+1<<3)|0;q=(s|0)==1;c=P+(s<<3)|0;b=P+8|0;T=S*.5;w=(O>>>0>1?O:1)<<3;x=K;while(1){Fc[k[(k[J>>2]|0)+24>>2]&1023](J,x);rd[k[(k[t>>2]|0)+260>>2]&511](t,g,k[f>>2]|0,J);nd[k[(k[t>>2]|0)+336>>2]&1023](t,C,J);nd[k[(k[I>>2]|0)+48>>2]&1023](I,j,J);if(L)nd[k[(k[R>>2]|0)+48>>2]&1023](R,l,J);p[h>>3]=+p[M>>3]*+p[g>>3];ZX(C,1,z,1,h,1,1,0,C,1,z,0,k[n>>2]|0,1)|0;H=Hc[k[(k[t>>2]|0)+164>>2]&511](t)|0;F=Rqa(H>>>0>536870911?-1:H<<3)|0;nd[k[(k[t>>2]|0)+336>>2]&1023](t,F,J);if((H|0)>0){E=0;do{U=+p[F+(E<<3)>>3];V=0;do{W=y+((ma(V,H)|0)+E<<3)|0;p[W>>3]=U;V=V+1|0}while((V|0)!=(s|0));E=E+1|0}while((E|0)!=(H|0))}Tqa(F);H=k[f>>2]|0;E=Hc[k[(k[t>>2]|0)+164>>2]&511](t)|0;A=ma(E,s)|0;G=Rqa(A>>>0>536870911?-1:A<<3)|0;rd[k[(k[t>>2]|0)+340>>2]&511](t,G,H,J);if((E|0)>0){H=0;do{A=0;do{V=(ma(A,E)|0)+H|0;p[m+(V<<3)>>3]=+p[G+(V<<3)>>3];A=A+1|0}while((A|0)!=(s|0));H=H+1|0}while((H|0)!=(E|0))}Tqa(G);U=+p[i>>3]*+p[M>>3]*+p[g>>3];p[h>>3]=U;if(!o)WEa(P|0,0,w|0)|0;p[P>>3]=U*+p[j>>3];if(L)p[N>>3]=U*+p[l>>3];ZX(y,s,z,1,P,s,s,0,m,s,z,0,k[n>>2]|0,1)|0;c:do switch(k[e>>2]|0){case 2:{U=+p[j>>3];if(q){X=U*(U*(S/((+$(+U)+1.0e-08)*2.0)));p[P>>3]=X;break c}else{X=+p[l>>3];Y=S/((+aa(+(U*U+X*X))+1.0e-08)*2.0);Z=U*Y;p[P>>3]=U*Z;_=X*Y;p[c>>3]=U*_;p[b>>3]=Z*X;p[N>>3]=X*_;break c}break}case 1:{Fc[k[(k[I>>2]|0)+64>>2]&1023](I,j);if(q){_=T*+$(+(+p[j>>3]));p[P>>3]=_;break c}else{Fc[k[(k[R>>2]|0)+64>>2]&1023](R,l);_=T*+$(+(+p[j>>3]));p[P>>3]=_;_=T*+$(+(+p[l>>3]));p[N>>3]=_;break c}break}default:{}}while(0);if(((k[e>>2]|0)+-1|0)>>>0<2){if(!o){_=+p[h>>3];G=0;do{E=P+(G<<3)|0;p[E>>3]=_*+p[E>>3];G=G+1|0}while((G|0)<(O|0))}ZX(m,s,z,1,P,s,s,0,m,s,z,0,k[n>>2]|0,1)|0}x=x+1|0;if((x|0)>=(Hc[k[(k[J>>2]|0)+12>>2]&511](J)|0))break b}}while(0);z=k[f>>2]|0;if(z)Tqa(z);k[f>>2]=0;Tqa(C);Tqa(y);Tqa(m);Tqa(P);Ec[k[(k[J>>2]|0)+4>>2]&1023](J);if((k[d>>2]|0)==300){u=D;r=a;return u|0}ap(t);if(!t){u=D;r=a;return u|0}Ec[k[(k[t>>2]|0)+4>>2]&1023](t);u=D;r=a;return u|0}function Ffa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0.0;a=r;r=r+416|0;c=a+396|0;d=a+392|0;e=a+32|0;f=a+24|0;g=a+16|0;h=a+8|0;i=a;j=a+388|0;l=a+240|0;m=a+376|0;n=a+224|0;o=a+76|0;q=a+88|0;s=a+64|0;t=a+52|0;u=a+40|0;k[j>>2]=0;cp(b,d,298);a:do switch(k[d>>2]|0){case 300:{v=2;w=b;break}case 301:{if(Hc[k[(k[b>>2]|0)+252>>2]&511](b)|0){v=1;w=Hc[k[(k[b>>2]|0)+436>>2]&511](b)|0;break a}else{x=0;r=a;return x|0}break}case 302:{if(Hc[k[(k[b>>2]|0)+252>>2]&511](b)|0){v=2;w=Hc[k[(k[b>>2]|0)+436>>2]&511](b)|0;break a}else{x=0;r=a;return x|0}break}default:{y=l+56|0;z=l+4|0;k[l>>2]=27524;k[y>>2]=27544;B=0;wa(508,l+56|0,z|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;D=A;vva(y);Qb(D|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[y>>2]=27488;B=0;va(448,z|0);A=B;B=0;do if(A&1){E=Rb()|0;F=Q;G=E}else{k[z>>2]=27560;E=l+36|0;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;k[E+12>>2]=0;k[l+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,z|0,c|0);H=B;B=0;if(H&1){H=Rb()|0;I=Q;Yua(c);Yua(E);Ava(z);F=I;G=H;break}Yua(c);B=0;H=Ia(40,l|0,144639,5)|0;I=B;B=0;b:do if((((!(I&1)?(B=0,J=ya(427,k[d>>2]|0)|0,K=B,B=0,!(K&1)):0)?(K=Lta(J)|0,B=0,L=Ia(40,H|0,J|0,K|0)|0,K=B,B=0,!(K&1)):0)?(B=0,K=Ia(40,L|0,146481,18)|0,L=B,B=0,!(L&1)):0)?(B=0,Xa(239,K|0,0)|0,K=B,B=0,!(K&1)):0){K=Ab(20)|0;B=0;eb(502,m|0,134272,82);L=B;B=0;do if(!(L&1)){B=0;eb(502,n|0,144203,13);J=B;B=0;if(J&1){J=Rb()|0;M=Q;Yua(m);N=M;O=J;break}B=0;wa(510,o|0,z|0);J=B;B=0;if(J&1){J=Rb()|0;P=Q;R=J;S=1}else{B=0;ua(163,K|0,m|0,n|0,264,o|0);J=B;B=0;if(J&1)T=1;else{B=0;eb(503,K|0,1240,229);B=0;T=0}J=Rb()|0;M=Q;Yua(o);P=M;R=J;S=T}Yua(n);Yua(m);if(S){N=P;O=R}else{U=P;V=R;break b}}else{J=Rb()|0;N=Q;O=J}while(0);zb(K|0);U=N;V=O}else W=24;while(0);if((W|0)==24){H=Rb()|0;U=Q;V=H}k[l>>2]=27468;k[y>>2]=27488;k[z>>2]=27560;Yua(E);Ava(z);vva(y);X=V;Y=U;Qb(X|0)}while(0);C=F;D=G;vva(y);Qb(D|0)}}while(0);D=Hc[k[(k[w>>2]|0)+164>>2]&511](w)|0;G=iq(w,534)|0;F=Rqa(D>>>0>536870911?-1:D<<3)|0;Uo(w,j);pp(w,f,358);C=Wo(w,388)|0;U=Wo(w,339)|0;switch(v|0){case 1:{Z=Wo(w,677)|0;break}case 2:{Z=Wo(w,679)|0;break}default:{v=q+56|0;V=q+4|0;k[q>>2]=27524;k[v>>2]=27544;B=0;wa(508,q+56|0,V|0);l=B;B=0;if(l&1){l=Rb()|0;_=Q;$=l;vva(v);Qb($|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[v>>2]=27488;B=0;va(448,V|0);l=B;B=0;do if(l&1){O=Rb()|0;aa=Q;ba=O}else{k[V>>2]=27560;O=q+36|0;k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;k[O+12>>2]=0;k[q+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,V|0,c|0);N=B;B=0;if(N&1){N=Rb()|0;R=Q;Yua(c);Yua(O);Ava(V);aa=R;ba=N;break}Yua(c);B=0;N=Ia(40,q|0,143640,15)|0;R=B;B=0;c:do if(!(R&1)?(B=0,Xa(239,N|0,0)|0,P=B,B=0,!(P&1)):0){P=Ab(20)|0;B=0;eb(502,s|0,134272,82);S=B;B=0;do if(!(S&1)){B=0;eb(502,t|0,144203,13);m=B;B=0;if(m&1){m=Rb()|0;n=Q;Yua(s);ca=n;da=m;break}B=0;wa(510,u|0,V|0);m=B;B=0;if(m&1){m=Rb()|0;ea=1;fa=m;ga=Q}else{B=0;ua(163,P|0,s|0,t|0,283,u|0);m=B;B=0;if(m&1)ha=1;else{B=0;eb(503,P|0,1240,229);B=0;ha=0}m=Rb()|0;n=Q;Yua(u);ea=ha;fa=m;ga=n}Yua(t);Yua(s);if(ea){ca=ga;da=fa}else{ia=fa;ja=ga;break c}}else{n=Rb()|0;ca=Q;da=n}while(0);zb(P|0);ia=da;ja=ca}else W=50;while(0);if((W|0)==50){N=Rb()|0;ia=N;ja=Q}k[q>>2]=27468;k[v>>2]=27488;k[V>>2]=27560;Yua(O);Ava(V);vva(v);X=ia;Y=ja;Qb(X|0)}while(0);_=aa;$=ba;vva(v);Qb($|0)}}$=ed[k[(k[w>>2]|0)+308>>2]&511](w,2)|0;v=Hc[k[(k[$>>2]|0)+8>>2]&511]($)|0;d:do if((v|0)<(Hc[k[(k[$>>2]|0)+12>>2]&511]($)|0)){ba=$+8|0;aa=G+4|0;if((D|0)>0)ka=v;else{_=v;while(1){Fc[k[(k[$>>2]|0)+24>>2]&1023]($,_);rd[k[(k[w>>2]|0)+260>>2]&511](w,e,k[j>>2]|0,$);nd[k[(k[w>>2]|0)+336>>2]&1023](w,F,$);nd[k[(k[C>>2]|0)+48>>2]&1023](C,g,$);nd[k[(k[Z>>2]|0)+48>>2]&1023](Z,i,$);nd[k[(k[U>>2]|0)+48>>2]&1023](U,h,$);_=_+1|0;if((_|0)>=(Hc[k[(k[$>>2]|0)+12>>2]&511]($)|0))break d}}do{Fc[k[(k[$>>2]|0)+24>>2]&1023]($,ka);rd[k[(k[w>>2]|0)+260>>2]&511](w,e,k[j>>2]|0,$);nd[k[(k[w>>2]|0)+336>>2]&1023](w,F,$);nd[k[(k[C>>2]|0)+48>>2]&1023](C,g,$);nd[k[(k[Z>>2]|0)+48>>2]&1023](Z,i,$);nd[k[(k[U>>2]|0)+48>>2]&1023](U,h,$);_=k[aa>>2]|0;O=0;do{la=+p[f>>3];X=_+(O<<3)|0;p[X>>3]=+p[X>>3]+ +p[F+(O<<3)>>3]*(+p[e>>3]*+p[ba>>3]*(+p[h>>3]+la*+p[g>>3]+la*+p[i>>3]));O=O+1|0}while((O|0)!=(D|0));ka=ka+1|0}while((ka|0)<(Hc[k[(k[$>>2]|0)+12>>2]&511]($)|0))}while(0);ka=k[j>>2]|0;if(ka)Tqa(ka);k[j>>2]=0;Tqa(F);Ec[k[(k[$>>2]|0)+4>>2]&1023]($);if((k[d>>2]|0)==300){x=G;r=a;return x|0}ap(w);if(!w){x=G;r=a;return x|0}Ec[k[(k[w>>2]|0)+4>>2]&1023](w);x=G;r=a;return x|0}function Gfa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,134272,82);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138230,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,368,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function Hfa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,134272,82);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,371,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function Ifa(a,b,c){a=a|0;b=b|0;c=c|0;nd[k[(k[c>>2]|0)+232>>2]&1023](c,b,339);return}function Jfa(a,b){a=a|0;b=b|0;return}function Kfa(a){a=a|0;Sqa(a);return}function Lfa(a,b,c){a=a|0;b=b|0;c=c|0;return}function Mfa(a,b,c){a=a|0;b=b|0;c=c|0;return}function Nfa(a,b,c){a=a|0;b=b|0;c=c|0;hoa(b,c,515,738,534);return}function Ofa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 1}function Pfa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0;a=c+56|0;f=k[a>>2]|0;if((f|0)>0){g=c+32|0;h=f;f=0;j=0;while(1){if(!(i[(k[g>>2]|0)+j>>0]|0)){l=h;m=f}else{n=qh(b,f)|0;Uc[k[(k[n>>2]|0)+480>>2]&63](n,j,c,d,e,738);l=k[a>>2]|0;m=f+1|0}j=j+1|0;if((j|0)>=(l|0))break;else{h=l;f=m}}}if((k[c+40>>2]|0)!=301)return;Zka(c,b,136615,287);return}function Qfa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return}function Rfa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,134381,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138209,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,40,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function Sfa(a,b){a=a|0;b=b|0;return 0}function Tfa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,134381,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,47,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function Ufa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;a=r;r=r+16|0;c=a;d=a+12|0;e=a+8|0;k[d>>2]=0;cp(b,e,299);f=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;g=gq(b,534)|0;h=ma(k[e>>2]|0,f)|0;i=Rqa(h>>>0>536870911?-1:h<<3)|0;Uo(b,d);h=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;j=Hc[k[(k[h>>2]|0)+8>>2]&511](h)|0;a:do if((j|0)<(Hc[k[(k[h>>2]|0)+12>>2]&511](h)|0)){l=h+8|0;m=g+12|0;if((f|0)>0)n=j;else{o=j;while(1){Fc[k[(k[h>>2]|0)+24>>2]&1023](h,o);rd[k[(k[b>>2]|0)+260>>2]&511](b,c,k[d>>2]|0,h);rd[k[(k[b>>2]|0)+340>>2]&511](b,i,k[d>>2]|0,h);o=o+1|0;if((o|0)>=(Hc[k[(k[h>>2]|0)+12>>2]&511](h)|0))break a}}do{Fc[k[(k[h>>2]|0)+24>>2]&1023](h,n);rd[k[(k[b>>2]|0)+260>>2]&511](b,c,k[d>>2]|0,h);rd[k[(k[b>>2]|0)+340>>2]&511](b,i,k[d>>2]|0,h);o=ma((k[e>>2]|0)+-1|0,f)|0;q=k[m>>2]|0;s=0;do{t=i+(o+s<<3)|0;u=ma(s,f)|0;v=0;do{w=q+(v+u<<3)|0;p[w>>3]=+p[w>>3]+ +p[l>>3]*+p[c>>3]*(+p[t>>3]*+p[i+(o+v<<3)>>3]);v=v+1|0}while((v|0)!=(f|0));s=s+1|0}while((s|0)!=(f|0));n=n+1|0}while((n|0)<(Hc[k[(k[h>>2]|0)+12>>2]&511](h)|0))}while(0);n=k[d>>2]|0;if(!n){k[d>>2]=0;x=k[h>>2]|0;y=x+4|0;z=k[y>>2]|0;Ec[z&1023](h);r=a;return g|0}Tqa(n);k[d>>2]=0;x=k[h>>2]|0;y=x+4|0;z=k[y>>2]|0;Ec[z&1023](h);r=a;return g|0}function Vfa(a,b){a=a|0;b=b|0;return 0}function Wfa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,134381,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138230,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,94,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function Xfa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,134381,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,97,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function Yfa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;a=r;r=r+16|0;d=a;cp(c,d,575);nd[k[(k[c>>2]|0)+232>>2]&1023](c,b,k[d>>2]|0);r=a;return}function Zfa(a,b){a=a|0;b=b|0;return}function _fa(a){a=a|0;Sqa(a);return}function $fa(a,b,c){a=a|0;b=b|0;c=c|0;return}function aga(a,b,c){a=a|0;b=b|0;c=c|0;return}function bga(a,b,c){a=a|0;b=b|0;c=c|0;hoa(b,c,516,738,534);return}function cga(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 1}function dga(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0;a=c+56|0;f=k[a>>2]|0;if((f|0)>0){g=c+32|0;h=f;f=0;j=0;while(1){if(!(i[(k[g>>2]|0)+j>>0]|0)){l=h;m=f}else{n=qh(b,f)|0;Uc[k[(k[n>>2]|0)+480>>2]&63](n,j,c,d,e,738);l=k[a>>2]|0;m=f+1|0}j=j+1|0;if((j|0)>=(l|0))break;else{h=l;f=m}}}if((k[c+40>>2]|0)!=301)return;Zka(c,b,136615,287);return}function ega(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return}function fga(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,134490,82);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138209,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,40,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function gga(a,b){a=a|0;b=b|0;return 0}function hga(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,134490,82);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,47,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function iga(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;a=r;r=r+16|0;c=a;d=a+12|0;e=a+8|0;k[d>>2]=0;cp(b,e,299);f=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;g=gq(b,534)|0;h=ma(k[e>>2]|0,f)|0;i=Rqa(h>>>0>536870911?-1:h<<3)|0;Uo(b,d);h=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;j=Hc[k[(k[h>>2]|0)+8>>2]&511](h)|0;a:do if((j|0)<(Hc[k[(k[h>>2]|0)+12>>2]&511](h)|0)){l=h+8|0;m=g+12|0;if((f|0)>0)n=j;else{o=j;while(1){Fc[k[(k[h>>2]|0)+24>>2]&1023](h,o);rd[k[(k[b>>2]|0)+260>>2]&511](b,c,k[d>>2]|0,h);rd[k[(k[b>>2]|0)+340>>2]&511](b,i,k[d>>2]|0,h);o=o+1|0;if((o|0)>=(Hc[k[(k[h>>2]|0)+12>>2]&511](h)|0))break a}}do{Fc[k[(k[h>>2]|0)+24>>2]&1023](h,n);rd[k[(k[b>>2]|0)+260>>2]&511](b,c,k[d>>2]|0,h);rd[k[(k[b>>2]|0)+340>>2]&511](b,i,k[d>>2]|0,h);o=ma((k[e>>2]|0)+-1|0,f)|0;q=k[m>>2]|0;s=0;do{t=i+(o+s<<3)|0;u=ma(s,f)|0;v=0;do{w=q+(v+u<<3)|0;p[w>>3]=+p[w>>3]+ +p[l>>3]*+p[c>>3]*(+p[t>>3]*+p[i+(o+v<<3)>>3]);v=v+1|0}while((v|0)!=(f|0));s=s+1|0}while((s|0)!=(f|0));n=n+1|0}while((n|0)<(Hc[k[(k[h>>2]|0)+12>>2]&511](h)|0))}while(0);n=k[d>>2]|0;if(!n){k[d>>2]=0;x=k[h>>2]|0;y=x+4|0;z=k[y>>2]|0;Ec[z&1023](h);r=a;return g|0}Tqa(n);k[d>>2]=0;x=k[h>>2]|0;y=x+4|0;z=k[y>>2]|0;Ec[z&1023](h);r=a;return g|0}function jga(a,b){a=a|0;b=b|0;return 0}function kga(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,134490,82);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138230,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,94,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function lga(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,134490,82);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,97,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function mga(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;a=r;r=r+16|0;d=a;cp(c,d,575);nd[k[(k[c>>2]|0)+232>>2]&1023](c,b,k[d>>2]|0);r=a;return}function nga(a,b){a=a|0;b=b|0;return}function oga(a){a=a|0;Sqa(a);return}function pga(a,b,c){a=a|0;b=b|0;c=c|0;return}function qga(a,b,c){a=a|0;b=b|0;c=c|0;return}function rga(a,b,c){a=a|0;b=b|0;c=c|0;hoa(b,c,517,738,534);return}function sga(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 1}function tga(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0;a=c+56|0;f=k[a>>2]|0;if((f|0)>0){g=c+32|0;h=f;f=0;j=0;while(1){if(!(i[(k[g>>2]|0)+j>>0]|0)){l=h;m=f}else{n=qh(b,f)|0;Uc[k[(k[n>>2]|0)+480>>2]&63](n,j,c,d,e,738);l=k[a>>2]|0;m=f+1|0}j=j+1|0;if((j|0)>=(l|0))break;else{h=l;f=m}}}if((k[c+40>>2]|0)!=301)return;Zka(c,b,136615,287);return}function uga(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return}function vga(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,134596,80);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138209,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,40,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function wga(a,b){a=a|0;b=b|0;return 0}function xga(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,134596,80);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,47,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function yga(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;a=r;r=r+32|0;c=a+20|0;d=a+8|0;e=a;f=a+16|0;k[f>>2]=0;cp(b,c,299);g=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;h=gq(b,534)|0;i=Rqa(g>>>0>536870911?-1:g<<3)|0;Uo(b,f);j=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;l=Hc[k[(k[j>>2]|0)+8>>2]&511](j)|0;if((l|0)<(Hc[k[(k[j>>2]|0)+12>>2]&511](j)|0)){m=j+8|0;n=h+12|0;o=l;do{Fc[k[(k[j>>2]|0)+24>>2]&1023](j,o);rd[k[(k[b>>2]|0)+260>>2]&511](b,d,k[f>>2]|0,j);l=k[c>>2]|0;q=k[f>>2]|0;s=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;t=ma(s,l)|0;u=Rqa(t>>>0>536870911?-1:t<<3)|0;rd[k[(k[b>>2]|0)+340>>2]&511](b,u,q,j);if((s|0)>0)TEa(i|0,u+(ma((l<<3)+-8|0,s)|0)|0,s<<3|0)|0;Tqa(u);p[e>>3]=+p[m>>3]*+p[d>>3]*1.0e9;ZX(i,1,g,1,e,1,1,0,i,1,g,0,k[n>>2]|0,1)|0;p[e>>3]=+p[m>>3]*+p[d>>3];nd[k[(k[b>>2]|0)+336>>2]&1023](b,i,j);ZX(i,g,1,0,e,1,1,0,i,1,g,0,k[n>>2]|0,1)|0;o=o+1|0}while((o|0)<(Hc[k[(k[j>>2]|0)+12>>2]&511](j)|0))}o=k[f>>2]|0;if(!o){k[f>>2]=0;Tqa(i);v=k[j>>2]|0;w=v+4|0;x=k[w>>2]|0;Ec[x&1023](j);r=a;return h|0}Tqa(o);k[f>>2]=0;Tqa(i);v=k[j>>2]|0;w=v+4|0;x=k[w>>2]|0;Ec[x&1023](j);r=a;return h|0}function zga(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0.0,t=0,u=0,v=0,w=0,x=0;a=r;r=r+32|0;c=a+20|0;d=a+8|0;e=a;f=a+16|0;k[f>>2]=0;g=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;h=iq(b,534)|0;i=Rqa(g>>>0>536870911?-1:g<<3)|0;Uo(b,f);cp(b,c,577);j=Wo(b,k[c>>2]|0)|0;c=ed[k[(k[b>>2]|0)+308>>2]&511](b,3)|0;l=Hc[k[(k[c>>2]|0)+8>>2]&511](c)|0;a:do if((l|0)<(Hc[k[(k[c>>2]|0)+12>>2]&511](c)|0)){m=c+8|0;n=h+4|0;if((g|0)>0)o=l;else{q=l;while(1){Fc[k[(k[c>>2]|0)+24>>2]&1023](c,q);rd[k[(k[b>>2]|0)+260>>2]&511](b,d,k[f>>2]|0,c);nd[k[(k[b>>2]|0)+336>>2]&1023](b,i,c);nd[k[(k[j>>2]|0)+48>>2]&1023](j,e,c);q=q+1|0;if((q|0)>=(Hc[k[(k[c>>2]|0)+12>>2]&511](c)|0))break a}}do{Fc[k[(k[c>>2]|0)+24>>2]&1023](c,o);rd[k[(k[b>>2]|0)+260>>2]&511](b,d,k[f>>2]|0,c);nd[k[(k[b>>2]|0)+336>>2]&1023](b,i,c);nd[k[(k[j>>2]|0)+48>>2]&1023](j,e,c);s=+p[e>>3]*+p[d>>3]*+p[m>>3];q=k[n>>2]|0;t=0;do{u=q+(t<<3)|0;p[u>>3]=s*+p[i+(t<<3)>>3]+ +p[u>>3];t=t+1|0}while((t|0)!=(g|0));o=o+1|0}while((o|0)<(Hc[k[(k[c>>2]|0)+12>>2]&511](c)|0))}while(0);Tqa(i);i=k[f>>2]|0;if(!i){k[f>>2]=0;v=k[c>>2]|0;w=v+4|0;x=k[w>>2]|0;Ec[x&1023](c);r=a;return h|0}Tqa(i);k[f>>2]=0;v=k[c>>2]|0;w=v+4|0;x=k[w>>2]|0;Ec[x&1023](c);r=a;return h|0}function Aga(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,134596,80);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138230,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,160,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function Bga(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,134596,80);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,163,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function Cga(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;a=r;r=r+16|0;d=a;cp(c,d,577);nd[k[(k[c>>2]|0)+232>>2]&1023](c,b,k[d>>2]|0);r=a;return}function Dga(a,b){a=a|0;b=b|0;return}function Ega(a){a=a|0;Sqa(a);return}function Fga(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;a=r;r=r+368|0;d=a+348|0;e=a+200|0;f=a+336|0;g=a+184|0;h=a+36|0;i=a+48|0;j=a+24|0;l=a+12|0;m=a;if((k[c+40>>2]|0)!=302){n=e+56|0;o=e+4|0;k[e>>2]=27524;k[n>>2]=27544;B=0;wa(508,e+56|0,o|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;s=p;vva(n);Qb(s|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[n>>2]=27488;B=0;va(448,o|0);p=B;B=0;do if(p&1){t=Rb()|0;u=Q;v=t}else{k[o>>2]=27560;t=e+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,o|0,d|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(d);Yua(t);Ava(o);u=x;v=w;break}Yua(d);B=0;w=Ia(40,e|0,134695,17)|0;x=B;B=0;a:do if(!(x&1)?(B=0,Xa(239,w|0,0)|0,y=B,B=0,!(y&1)):0){y=Ab(20)|0;B=0;eb(502,f|0,134713,75);z=B;B=0;do if(!(z&1)){B=0;eb(502,g|0,135838,17);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(f);D=A;E=C;break}B=0;wa(510,h|0,o|0);C=B;B=0;if(C&1){C=Rb()|0;F=Q;G=C;H=1}else{B=0;ua(163,y|0,f|0,g|0,14,h|0);C=B;B=0;if(C&1)I=1;else{B=0;eb(503,y|0,1240,229);B=0;I=0}C=Rb()|0;A=Q;Yua(h);F=A;G=C;H=I}Yua(g);Yua(f);if(H){D=G;E=F}else{J=G;K=F;break a}}else{C=Rb()|0;D=C;E=Q}while(0);zb(y|0);J=D;K=E}else L=17;while(0);if((L|0)==17){w=Rb()|0;J=w;K=Q}k[e>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(t);Ava(o);vva(n);M=K;N=J;Qb(N|0)}while(0);q=u;s=v;vva(n);Qb(s|0)}s=c+28|0;b:do switch(k[s>>2]|0){case 518:case 522:break;case 523:{Fka(c,d,134789);switch(k[d>>2]|0){case 438:case 457:break;default:break b}soa(b,c,134812,521,738,0);r=a;return}default:{n=i+56|0;v=i+4|0;k[i>>2]=27524;k[n>>2]=27544;B=0;wa(508,i+56|0,v|0);u=B;B=0;if(u&1){u=Rb()|0;O=Q;P=u;vva(n);Qb(P|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[n>>2]=27488;B=0;va(448,v|0);u=B;B=0;do if(u&1){q=Rb()|0;R=Q;S=q}else{k[v>>2]=27560;q=i+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[i+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,v|0,d|0);J=B;B=0;if(J&1){J=Rb()|0;K=Q;Yua(d);Yua(q);Ava(v);R=K;S=J;break}Yua(d);B=0;J=Ia(40,i|0,134802,9)|0;K=B;B=0;c:do if((((!(K&1)?(B=0,o=ya(427,k[s>>2]|0)|0,e=B,B=0,!(e&1)):0)?(e=Lta(o)|0,B=0,E=Ia(40,J|0,o|0,e|0)|0,e=B,B=0,!(e&1)):0)?(B=0,e=Ia(40,E|0,146481,18)|0,E=B,B=0,!(E&1)):0)?(B=0,Xa(239,e|0,0)|0,e=B,B=0,!(e&1)):0){e=Ab(20)|0;B=0;eb(502,j|0,134713,75);E=B;B=0;do if(!(E&1)){B=0;eb(502,l|0,135838,17);o=B;B=0;if(o&1){o=Rb()|0;D=Q;Yua(j);T=o;U=D;break}B=0;wa(510,m|0,v|0);D=B;B=0;if(D&1){D=Rb()|0;V=1;W=Q;X=D}else{B=0;ua(163,e|0,j|0,l|0,31,m|0);D=B;B=0;if(D&1)Y=1;else{B=0;eb(503,e|0,1240,229);B=0;Y=0}D=Rb()|0;o=Q;Yua(m);V=Y;W=o;X=D}Yua(l);Yua(j);if(V){T=X;U=W}else{Z=W;_=X;break c}}else{D=Rb()|0;T=D;U=Q}while(0);zb(e|0);Z=U;_=T}else L=45;while(0);if((L|0)==45){J=Rb()|0;Z=Q;_=J}k[i>>2]=27468;k[n>>2]=27488;k[v>>2]=27560;Yua(q);Ava(v);vva(n);M=Z;N=_;Qb(N|0)}while(0);O=R;P=S;vva(n);Qb(P|0)}}while(0);qoa(b,c,134812,521,738,0);r=a;return}function Gga(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0.0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;a=r;r=r+208|0;d=a+8|0;e=a;f=a+184|0;g=a+48|0;h=a+36|0;i=a+24|0;j=a+12|0;if((k[c+40>>2]|0)!=300){k[e>>2]=134812;Ska(c,1,e);foa(c);e=c+52|0;if((k[e>>2]|0)<=0){k[d>>2]=134812;Lka(c,1,d);r=a;return}l=c+36|0;m=c+104|0;n=0;while(1){if((k[(k[l>>2]|0)+(n<<2)>>2]|0)!=0?(o=(Jka(c,134812)|0)+(n<<3)|0,q=+$(+(+p[o>>3])),p[t>>3]=q,o=k[t+4>>2]|0,o>>>0>2146435072|(o|0)==2146435072&(k[t>>2]|0)>>>0>0):0){o=Qqa(52)|0;B=0;ua(177,o|0,n+1+(k[m>>2]|0)|0,n|0,c|0,521);s=B;B=0;if(s&1){u=o;break}ih(b,o)|0}n=n+1|0;if((n|0)>=(k[e>>2]|0)){v=27;break}}if((v|0)==27){k[d>>2]=134812;Lka(c,1,d);r=a;return}a=Rb()|0;d=Q;Sqa(u);w=d;x=a;Qb(x|0)}a=g+56|0;d=g+4|0;k[g>>2]=27524;k[a>>2]=27544;B=0;wa(508,g+56|0,d|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;vva(a);Qb(z|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[a>>2]=27488;B=0;va(448,d|0);u=B;B=0;do if(u&1){c=Rb()|0;A=Q;C=c}else{k[d>>2]=27560;c=g+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,d|0,f|0);e=B;B=0;if(e&1){e=Rb()|0;n=Q;Yua(f);Yua(c);Ava(d);A=n;C=e;break}Yua(f);B=0;e=Ia(40,g|0,134838,27)|0;n=B;B=0;a:do if(!(n&1)?(B=0,Xa(239,e|0,0)|0,b=B,B=0,!(b&1)):0){b=Ab(20)|0;B=0;eb(502,h|0,134713,75);m=B;B=0;do if(!(m&1)){B=0;eb(502,i|0,135856,11);l=B;B=0;if(l&1){l=Rb()|0;o=Q;Yua(h);D=o;E=l;break}B=0;wa(510,j|0,d|0);l=B;B=0;if(l&1){l=Rb()|0;F=Q;G=l;H=1}else{B=0;ua(163,b|0,h|0,i|0,44,j|0);l=B;B=0;if(l&1)I=1;else{B=0;eb(503,b|0,1240,229);B=0;I=0}l=Rb()|0;o=Q;Yua(j);F=o;G=l;H=I}Yua(i);Yua(h);if(H){D=F;E=G}else{J=F;K=G;break a}}else{l=Rb()|0;D=Q;E=l}while(0);zb(b|0);J=D;K=E}else v=17;while(0);if((v|0)==17){e=Rb()|0;J=Q;K=e}k[g>>2]=27468;k[a>>2]=27488;k[d>>2]=27560;Yua(c);Ava(d);vva(a);w=J;x=K;Qb(x|0)}while(0);y=A;z=C;vva(a);Qb(z|0)}function Hga(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;a=r;r=r+16|0;d=a+8|0;e=a;if((k[c+40>>2]|0)==302){k[e>>2]=136615;k[e+4>>2]=136636;Ska(c,2,e)}hoa(b,c,521,738,534);k[d>>2]=136615;k[d+4>>2]=136636;Lka(c,2,d);r=a;return}function Iga(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 1}function Jga(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;a=r;r=r+208|0;f=a+188|0;g=a+184|0;h=a+180|0;j=a+176|0;l=a+201|0;m=a+200|0;n=a+40|0;o=a+24|0;p=a+12|0;q=a;s=c+40|0;if((k[s>>2]|0)==300){r=a;return}t=c+56|0;u=k[t>>2]|0;if((u|0)>0){v=c+32|0;w=u;u=0;x=0;while(1){if(!(i[(k[v>>2]|0)+x>>0]|0)){y=w;z=u}else{A=qh(b,u)|0;Uc[k[(k[A>>2]|0)+480>>2]&63](A,x,c,d,e,738);y=k[t>>2]|0;z=u+1|0}x=x+1|0;if((x|0)>=(y|0))break;else{w=y;u=z}}}zka(c,l,134866);zka(c,m,134882);Fka(c,g,134909);Zka(c,b,137052,353);Zka(c,b,134925,339);Zka(c,b,134945,64);Yka(c,b,137955,999,0.0);Zka(c,b,137867,206);Zka(c,b,134962,928);if((k[s>>2]|0)!=300){Zka(c,b,136615,287);Zka(c,b,136636,288)}Zka(c,b,136615,287);Zka(c,b,136636,288);Zka(c,b,134991,214);Zka(c,b,135015,217);Zka(c,b,135039,653);Zka(c,b,135066,666);Zka(c,b,135923,674);Zka(c,b,135944,677);Zka(c,b,135096,679);woa(b,0.0,684);woa(b,0.0,685);woa(b,0.0,686);if(i[m>>0]|0)Zka(c,b,136615,287);Fka(c,h,135117);if((k[h>>2]|0)!=62)Zka(c,b,135140,38);switch(k[g>>2]|0){case 1:{Zka(c,b,135172,105);Zka(c,b,135196,107);Zka(c,b,135210,108);break}case 2:{Zka(c,b,135224,110);Zka(c,b,135238,109);break}case 3:{Fka(c,j,135252);Zka(c,b,135224,110);Zka(c,b,135273,104);Zka(c,b,135210,108);if(!(k[j>>2]|0))Zka(c,b,135288,115);break}case 4:{Zka(c,b,135172,105);Zka(c,b,135196,107);Zka(c,b,135210,108);Zka(c,b,135039,653);Zka(c,b,135066,666);break}case 5:{Zka(c,b,135172,105);Zka(c,b,135196,107);Zka(c,b,135210,108);Zka(c,b,135319,114);break}case 6:{Zka(c,b,135224,110);Zka(c,b,135238,109);Zka(c,b,135039,653);Zka(c,b,135066,666);break}default:{b=n+56|0;c=n+4|0;k[n>>2]=27524;k[b>>2]=27544;B=0;wa(508,n+56|0,c|0);j=B;B=0;if(j&1){j=Rb()|0;C=Q;D=j;vva(b);Qb(D|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[b>>2]=27488;B=0;va(448,c|0);j=B;B=0;do if(j&1){g=Rb()|0;E=Q;F=g}else{k[c>>2]=27560;g=n+36|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;k[n+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,c|0,f|0);h=B;B=0;if(h&1){h=Rb()|0;m=Q;Yua(f);Yua(g);Ava(c);E=m;F=h;break}Yua(f);B=0;h=Ia(40,n|0,145010,13)|0;m=B;B=0;if(!(m&1)?(B=0,Xa(239,h|0,0)|0,h=B,B=0,!(h&1)):0){h=Ab(20)|0;B=0;eb(502,o|0,134713,75);m=B;B=0;do if(!(m&1)){B=0;eb(502,p|0,136133,14);s=B;B=0;if(s&1){s=Rb()|0;l=Q;Yua(o);G=l;H=s;break}B=0;wa(510,q|0,c|0);s=B;B=0;if(s&1){s=Rb()|0;I=Q;J=s;K=1}else{B=0;ua(163,h|0,o|0,p|0,170,q|0);s=B;B=0;if(s&1)L=1;else{B=0;eb(503,h|0,1240,229);B=0;L=0}s=Rb()|0;l=Q;Yua(q);I=l;J=s;K=L}Yua(p);Yua(o);if(K){G=I;H=J}else{M=I;N=J;k[n>>2]=27468;k[b>>2]=27488;k[c>>2]=27560;Yua(g);Ava(c);vva(b);Qb(N|0)}}else{s=Rb()|0;G=Q;H=s}while(0);zb(h|0);M=G;N=H;k[n>>2]=27468;k[b>>2]=27488;k[c>>2]=27560;Yua(g);Ava(c);vva(b);Qb(N|0)}m=Rb()|0;M=Q;N=m;k[n>>2]=27468;k[b>>2]=27488;k[c>>2]=27560;Yua(g);Ava(c);vva(b);Qb(N|0)}while(0);C=E;D=F;vva(b);Qb(D|0)}}r=a;return}function Kga(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;e=r;r=r+16|0;d=e+8|0;a=e+4|0;f=e;k[a>>2]=0;YN(b,Ika(c,135343,343)|0);YN(b,Ika(c,135362,348)|0);YN(b,Ika(c,135387,344)|0);YN(b,Ika(c,135413,346)|0);YN(b,Ika(c,135442,345)|0);YN(b,Ika(c,135466,340)|0);YN(b,Ika(c,135488,341)|0);YN(b,Ika(c,134909,111)|0);Hka(c,a,d,135517);g=Qqa(12)|0;B=0;eb(518,g|0,349,k[d>>2]|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;Sqa(g);j=i;l=h;Qb(l|0)}YN(b,g);g=k[d>>2]|0;do if(!g)m=0;else{h=Qqa(16)|0;B=0;ib(294,h|0,350,k[a>>2]|0,g|0);i=B;B=0;if(!(i&1)){YN(b,h);m=k[d>>2]|0;break}i=Rb()|0;n=Q;Sqa(h);j=n;l=i;Qb(l|0)}while(0);Nka(c,a,m,135517);Fka(c,f,134909);m=k[f>>2]|0;if((m&-3|0)==4){YN(b,Ika(c,135546,112)|0);o=k[f>>2]|0}else o=m;if((o|0)!=3){r=e;return}YN(b,Ika(c,135252,116)|0);r=e;return}function Lga(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,134713,75);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138209,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,201,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function Mga(a,b){a=a|0;b=b|0;return 0}function Nga(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,134713,75);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,208,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function Oga(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if(!($p(b)|0)){c=0;return c|0}d=Pga(a,b)|0;a=Qga(0,b)|0;b=Qqa(68)|0;B=0;eb(515,b|0,d|0,a|0);e=B;B=0;if(e&1){e=Rb()|0;Sqa(b);Qb(e|0)}if(d){HN(d);Sqa(d)}if(!a){c=b;return c|0}HN(a);Sqa(a);c=b;return c|0}function Pga(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0.0,G=0.0,H=0,I=0,J=0,K=0,L=0.0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0.0,ka=0.0,la=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0,ua=0,va=0;a=r;r=r+256|0;c=a+244|0;d=a+232|0;e=a+224|0;f=a+216|0;g=a+208|0;h=a+200|0;i=a+192|0;j=a+184|0;l=a+176|0;m=a+168|0;n=a+160|0;o=a+152|0;q=a+144|0;s=a+240|0;t=a+72|0;u=a;if(!($p(b)|0)){v=0;r=a;return v|0}k[s>>2]=0;w=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;x=gq(b,534)|0;y=Rqa(w>>>0>536870911?-1:w<<3)|0;z=w*3|0;A=z>>>0>536870911?-1:z<<3;z=Rqa(A)|0;B=Rqa(A)|0;C=Rqa(A)|0;A=t;D=A+72|0;do{k[A>>2]=0;A=A+4|0}while((A|0)<(D|0));Uo(b,s);pp(b,e,358);cp(b,c,348);+Dp(b,266);E=+Dp(b,265);+Dp(b,65);F=+Dp(b,210);G=+Dp(b,270)/(E*F);A=Wo(b,674)|0;D=Wo(b,677)|0;H=Wo(b,679)|0;I=Wo(b,684)|0;J=Wo(b,685)|0;K=Wo(b,686)|0;if((k[c>>2]|0)==2)L=+id[k[(k[b>>2]|0)+292>>2]&63](b,k[s>>2]|0);else L=0.0;M=ed[k[(k[b>>2]|0)+308>>2]&511](b,4)|0;N=Hc[k[(k[M>>2]|0)+8>>2]&511](M)|0;a:do if((N|0)<(Hc[k[(k[M>>2]|0)+12>>2]&511](M)|0)){O=M+8|0;P=t+32|0;Q=t+64|0;R=x+12|0;S=u+8|0;T=u+16|0;U=u+24|0;V=u+32|0;W=u+40|0;X=u+48|0;Y=u+56|0;Z=u+64|0;_=(w|0)>0;ba=w<<1;ca=N;while(1){Fc[k[(k[M>>2]|0)+24>>2]&1023](M,ca);rd[k[(k[b>>2]|0)+260>>2]&511](b,d,k[s>>2]|0,M);F=+p[O>>3]*+p[d>>3];p[q>>3]=F;E=+p[e>>3];if(E!=0.0)p[q>>3]=F*E;da=k[s>>2]|0;ea=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;fa=ea*3|0;ga=Rqa(fa>>>0>536870911?-1:fa<<3)|0;rd[k[(k[b>>2]|0)+340>>2]&511](b,ga,da,M);if((ea|0)>0){da=ea<<1;fa=0;do{p[B+(fa<<3)>>3]=+p[ga+(fa<<3)>>3];ha=fa+ea|0;p[B+(ha<<3)>>3]=+p[ga+(ha<<3)>>3];ha=fa+da|0;p[B+(ha<<3)>>3]=+p[ga+(ha<<3)>>3];fa=fa+1|0}while((fa|0)!=(ea|0))}Tqa(ga);E=G*+p[q>>3];p[t>>3]=E;p[P>>3]=E;p[Q>>3]=E;ZX(B,3,w,1,t,3,3,0,B,3,w,0,k[R>>2]|0,1)|0;ea=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;fa=Rqa(ea>>>0>536870911?-1:ea<<3)|0;nd[k[(k[b>>2]|0)+336>>2]&1023](b,fa,M);if((ea|0)>0){da=ea<<1;ha=0;do{E=+p[fa+(ha<<3)>>3];p[B+(ha<<3)>>3]=E;p[B+(ha+ea<<3)>>3]=E;p[B+(ha+da<<3)>>3]=E;ha=ha+1|0}while((ha|0)!=(ea|0))}Tqa(fa);ea=k[s>>2]|0;ha=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;da=ha*3|0;ga=Rqa(da>>>0>536870911?-1:da<<3)|0;rd[k[(k[b>>2]|0)+340>>2]&511](b,ga,ea,M);if((ha|0)>0){ea=ha<<1;da=0;do{p[C+(da<<3)>>3]=+p[ga+(da<<3)>>3];ia=da+ha|0;p[C+(ia<<3)>>3]=+p[ga+(ia<<3)>>3];ia=da+ea|0;p[C+(ia<<3)>>3]=+p[ga+(ia<<3)>>3];da=da+1|0}while((da|0)!=(ha|0))}Tqa(ga);nd[k[(k[A>>2]|0)+48>>2]&1023](A,f,M);nd[k[(k[I>>2]|0)+48>>2]&1023](I,i,M);E=+p[f>>3]-+p[i>>3];nd[k[(k[D>>2]|0)+48>>2]&1023](D,g,M);nd[k[(k[J>>2]|0)+48>>2]&1023](J,j,M);F=+p[g>>3]-+p[j>>3];nd[k[(k[H>>2]|0)+48>>2]&1023](H,h,M);nd[k[(k[K>>2]|0)+48>>2]&1023](K,l,M);ja=+p[h>>3]-+p[l>>3];ka=+p[q>>3];p[t>>3]=E*ka;p[P>>3]=F*ka;p[Q>>3]=ka*ja;ZX(B,3,w,1,t,3,3,0,C,3,w,0,k[R>>2]|0,1)|0;if(+p[e>>3]!=0.0){p[q>>3]=+p[O>>3]*+p[d>>3];nd[k[(k[b>>2]|0)+336>>2]&1023](b,y,M);ZX(y,w,1,0,q,1,1,0,y,1,w,0,k[R>>2]|0,1)|0;p[q>>3]=+p[q>>3]*+p[e>>3]}switch(k[c>>2]|0){case 1:{rd[k[(k[b>>2]|0)+108>>2]&511](b,m,n,o);ka=E*E;la=F*F;na=ja*ja;oa=+aa(+(ka+la+na))+1.0e-14;pa=E*+p[m>>3]/oa;qa=F*+p[n>>3]/oa;ra=ja*+p[o>>3]/oa;sa=+aa(+(pa*pa+qa*qa+ra*ra))/(oa*2.0);oa=sa*+$(+(E*F));ra=sa*+$(+(E*ja));E=sa*+$(+(F*ja));ja=+p[q>>3];p[u>>3]=ja*(ka*sa);ka=ja*oa;p[S>>3]=ka;oa=ja*ra;p[T>>3]=oa;p[U>>3]=ka;p[V>>3]=ja*(la*sa);la=ja*E;p[W>>3]=la;p[X>>3]=oa;p[Y>>3]=la;p[Z>>3]=ja*(na*sa);ha=k[s>>2]|0;da=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;ea=da*3|0;fa=Rqa(ea>>>0>536870911?-1:ea<<3)|0;rd[k[(k[b>>2]|0)+340>>2]&511](b,fa,ha,M);if((da|0)>0){ha=da<<1;ea=0;do{p[C+(ea<<3)>>3]=+p[fa+(ea<<3)>>3];ia=ea+da|0;p[C+(ia<<3)>>3]=+p[fa+(ia<<3)>>3];ia=ea+ha|0;p[C+(ia<<3)>>3]=+p[fa+(ia<<3)>>3];ea=ea+1|0}while((ea|0)!=(da|0))}Tqa(fa);ZX(C,3,w,1,u,3,3,0,C,3,w,0,k[R>>2]|0,1)|0;break}case 2:{rd[k[(k[b>>2]|0)+340>>2]&511](b,z,k[s>>2]|0,M);sa=+Pc[k[(k[b>>2]|0)+440>>2]&7](b,+p[f>>3]-+p[i>>3],+p[g>>3]-+p[j>>3],+p[h>>3]-+p[l>>3],L,G);if(_){da=k[R>>2]|0;ea=0;do{ha=z+(ea<<3)|0;ga=z+(ea+w<<3)|0;ia=z+(ea+ba<<3)|0;ta=ma(ea,w)|0;ua=0;do{na=+p[f>>3]-+p[i>>3];ja=+p[g>>3]-+p[j>>3];la=+p[h>>3]-+p[l>>3];va=da+(ua+ta<<3)|0;p[va>>3]=+p[va>>3]+sa*+p[q>>3]*(na*+p[ha>>3]+ja*+p[ga>>3]+la*+p[ia>>3])*(na*+p[z+(ua<<3)>>3]+ja*+p[z+(ua+w<<3)>>3]+la*+p[z+(ua+ba<<3)>>3]);ua=ua+1|0}while((ua|0)!=(w|0));ea=ea+1|0}while((ea|0)!=(w|0))}if(+p[e>>3]!=0.0?(p[q>>3]=+p[O>>3]*+p[d>>3],_):0){ea=k[R>>2]|0;da=0;do{fa=z+(da<<3)|0;ua=z+(da+w<<3)|0;ia=z+(da+ba<<3)|0;ga=ma(da,w)|0;ha=0;do{ta=ea+(ha+ga<<3)|0;p[ta>>3]=+p[ta>>3]+sa*+p[q>>3]*+p[y+(ha<<3)>>3]*((+p[f>>3]-+p[i>>3])*+p[fa>>3]+(+p[g>>3]-+p[j>>3])*+p[ua>>3]+(+p[h>>3]-+p[l>>3])*+p[ia>>3]);ha=ha+1|0}while((ha|0)!=(w|0));da=da+1|0}while((da|0)!=(w|0))}break}default:{}}ca=ca+1|0;if((ca|0)>=(Hc[k[(k[M>>2]|0)+12>>2]&511](M)|0))break a}}while(0);w=k[s>>2]|0;if(w)Tqa(w);k[s>>2]=0;Tqa(B);Tqa(C);Tqa(y);Tqa(z);Ec[k[(k[M>>2]|0)+4>>2]&1023](M);v=x;r=a;return v|0}function Qga(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0;a=r;r=r+32|0;c=a+16|0;d=a+8|0;e=a;f=a+24|0;if(!($p(b)|0)){g=0;r=a;return g|0}if(!(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0)){g=0;r=a;return g|0}if(!(_p(b)|0)){g=0;r=a;return g|0}k[f>>2]=0;if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0?_p(b)|0:0){h=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;i=gq(b,534)|0;j=Rqa(h>>>0>536870911?-1:h<<3)|0;Fc[k[(k[b>>2]|0)+188>>2]&1023](b,f);pp(b,c,358);+Dp(b,65);l=+Dp(b,266);m=+Dp(b,265);n=+Dp(b,210);o=+Dp(b,213);q=+Dp(b,269);s=ed[k[(k[b>>2]|0)+324>>2]&511](b,4)|0;t=Hc[k[(k[s>>2]|0)+8>>2]&511](s)|0;if((t|0)<(Hc[k[(k[s>>2]|0)+12>>2]&511](s)|0)){u=s+8|0;v=m*n;w=i+12|0;x=t;do{Fc[k[(k[s>>2]|0)+24>>2]&1023](s,x);rd[k[(k[b>>2]|0)+264>>2]&511](b,d,k[f>>2]|0,s);nd[k[(k[b>>2]|0)+336>>2]&1023](b,j,s);n=q*(o*(l*(+p[u>>3]*+p[d>>3])))/v;p[e>>3]=n;m=+p[c>>3];if(m!=0.0)p[e>>3]=m*n;ZX(j,h,1,0,e,1,1,0,j,1,h,0,k[w>>2]|0,1)|0;x=x+1|0}while((x|0)<(Hc[k[(k[s>>2]|0)+12>>2]&511](s)|0))}Ec[k[(k[s>>2]|0)+4>>2]&1023](s);Tqa(j);j=k[f>>2]|0;if(j)Tqa(j);k[f>>2]=0;y=i}else y=0;g=y;r=a;return g|0}function Rga(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;if(!($p(b)|0)){c=0;return c|0}a=Sga(0,b)|0;d=Tga(0,b)|0;e=Uga(0,b)|0;b=Qqa(24)|0;B=0;ib(300,b|0,a|0,d|0,e|0);f=B;B=0;if(f&1){f=Rb()|0;Sqa(b);Qb(f|0)}if(a){SN(a);Sqa(a)}if(d){SN(d);Sqa(d)}if(!e){c=b;return c|0}SN(e);Sqa(e);c=b;return c|0}function Sga(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0.0,v=0.0,w=0.0,x=0,y=0,z=0,A=0.0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0.0,M=0,N=0,O=0.0,P=0.0,Q=0.0;a=r;r=r+64|0;c=a+60|0;d=a+48|0;e=a+40|0;f=a+32|0;g=a+24|0;h=a+16|0;i=a+8|0;j=a;l=a+56|0;if(!($p(b)|0)){m=0;r=a;return m|0}k[l>>2]=0;n=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;o=iq(b,534)|0;q=Rqa(n>>>0>536870911?-1:n<<3)|0;s=n*3|0;t=Rqa(s>>>0>536870911?-1:s<<3)|0;Uo(b,l);u=+Dp(b,265);v=+Dp(b,210);w=u*v;v=+Dp(b,270)/w;pp(b,f,358);cp(b,c,348);s=Wo(b,674)|0;x=Wo(b,677)|0;y=Wo(b,679)|0;if(+p[f>>3]!=0.0)z=Wo(b,666)|0;else z=0;if((k[c>>2]|0)==2)A=+id[k[(k[b>>2]|0)+292>>2]&63](b,k[l>>2]|0);else A=0.0;B=ed[k[(k[b>>2]|0)+308>>2]&511](b,4)|0;C=Hc[k[(k[B>>2]|0)+8>>2]&511](B)|0;if((C|0)<(Hc[k[(k[B>>2]|0)+12>>2]&511](B)|0)){D=B+8|0;E=(n|0)>0;F=o+4|0;G=n<<1;H=(n|0)<1;I=C;u=0.0;while(1){Fc[k[(k[B>>2]|0)+24>>2]&1023](B,I);rd[k[(k[b>>2]|0)+260>>2]&511](b,d,k[l>>2]|0,B);nd[k[(k[b>>2]|0)+336>>2]&1023](b,q,B);ad[k[(k[b>>2]|0)+516>>2]&63](b,e,k[l>>2]|0,B,s,x,y);J=+p[e>>3]/w*+p[d>>3]*+p[D>>3];K=+p[f>>3];L=K!=0.0?J*K:J;if(E){C=k[F>>2]|0;M=0;do{N=C+(M<<3)|0;p[N>>3]=L*+p[q+(M<<3)>>3]+ +p[N>>3];M=M+1|0}while((M|0)!=(n|0));O=+p[f>>3]}else O=K;if(O!=0.0){nd[k[(k[z>>2]|0)+48>>2]&1023](z,g,B);J=+p[g>>3]*+p[d>>3]*+p[D>>3];if(E){M=k[F>>2]|0;C=0;do{N=M+(C<<3)|0;p[N>>3]=J*+p[q+(C<<3)>>3]+ +p[N>>3];C=C+1|0}while((C|0)!=(n|0));P=J}else P=J}else P=u;if((k[c>>2]|0)==2?(rd[k[(k[b>>2]|0)+340>>2]&511](b,t,k[l>>2]|0,B),nd[k[(k[s>>2]|0)+48>>2]&1023](s,h,B),nd[k[(k[x>>2]|0)+48>>2]&1023](x,i,B),nd[k[(k[y>>2]|0)+48>>2]&1023](y,j,B),K=+Pc[k[(k[b>>2]|0)+440>>2]&7](b,+p[h>>3],+p[i>>3],+p[j>>3],A,v),E):0){Q=L*K;C=k[F>>2]|0;M=0;do{N=C+(M<<3)|0;p[N>>3]=+p[N>>3]+Q*(+p[h>>3]*+p[t+(M<<3)>>3]+ +p[i>>3]*+p[t+(M+n<<3)>>3]+ +p[j>>3]*+p[t+(M+G<<3)>>3]);M=M+1|0}while((M|0)!=(n|0));if(!(+p[f>>3]==0.0|H)){Q=P*K;M=k[F>>2]|0;C=0;do{N=M+(C<<3)|0;p[N>>3]=+p[N>>3]+Q*(+p[h>>3]*+p[t+(C<<3)>>3]+ +p[i>>3]*+p[t+(C+n<<3)>>3]+ +p[j>>3]*+p[t+(C+G<<3)>>3]);C=C+1|0}while((C|0)!=(n|0))}}I=I+1|0;if((I|0)>=(Hc[k[(k[B>>2]|0)+12>>2]&511](B)|0))break;else u=P}}Tqa(q);Tqa(t);t=k[l>>2]|0;if(t)Tqa(t);k[l>>2]=0;Ec[k[(k[B>>2]|0)+4>>2]&1023](B);m=o;r=a;return m|0}function Tga(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0,y=0,z=0,A=0.0,C=0,D=0,E=0,F=0,G=0.0,H=0.0,I=0.0,J=0,K=0;a=r;r=r+64|0;c=a+48|0;d=a+40|0;e=a+32|0;f=a+24|0;g=a+16|0;h=a+8|0;i=a;j=a+56|0;if(!($p(b)|0)){l=0;r=a;return l|0}if(!(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0)){l=0;r=a;return l|0}if(_p(b)|0){l=0;r=a;return l|0}k[j>>2]=0;m=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;n=iq(b,534)|0;o=Rqa(m>>>0>536870911?-1:m<<3)|0;Fc[k[(k[b>>2]|0)+188>>2]&1023](b,j);pp(b,c,358);q=Wo(b,674)|0;s=Wo(b,677)|0;t=Wo(b,679)|0;u=Wo(b,38)|0;v=+Dp(b,265);w=+Dp(b,210);x=Qqa(16)|0;B=0;eb(524,x|0,b|0,3);y=B;B=0;if(y&1){y=Rb()|0;Sqa(x);Qb(y|0)}y=ed[k[(k[b>>2]|0)+324>>2]&511](b,4)|0;z=Hc[k[(k[y>>2]|0)+8>>2]&511](y)|0;a:do if((z|0)<(Hc[k[(k[y>>2]|0)+12>>2]&511](y)|0)){A=v*w;C=y+8|0;D=n+4|0;if((m|0)>0)E=z;else{F=z;while(1){Fc[k[(k[y>>2]|0)+24>>2]&1023](y,F);rd[k[(k[b>>2]|0)+264>>2]&511](b,d,k[j>>2]|0,y);nd[k[(k[b>>2]|0)+336>>2]&1023](b,o,y);nd[k[(k[u>>2]|0)+48>>2]&1023](u,e,y);fla(x,i,y);nd[k[(k[q>>2]|0)+48>>2]&1023](q,f,y);nd[k[(k[s>>2]|0)+48>>2]&1023](s,g,y);nd[k[(k[t>>2]|0)+48>>2]&1023](t,h,y);p[h>>3]=0.0;F=F+1|0;if((F|0)>=(Hc[k[(k[y>>2]|0)+12>>2]&511](y)|0))break a}}do{Fc[k[(k[y>>2]|0)+24>>2]&1023](y,E);rd[k[(k[b>>2]|0)+264>>2]&511](b,d,k[j>>2]|0,y);nd[k[(k[b>>2]|0)+336>>2]&1023](b,o,y);nd[k[(k[u>>2]|0)+48>>2]&1023](u,e,y);fla(x,i,y);nd[k[(k[q>>2]|0)+48>>2]&1023](q,f,y);nd[k[(k[s>>2]|0)+48>>2]&1023](s,g,y);nd[k[(k[t>>2]|0)+48>>2]&1023](t,h,y);p[h>>3]=0.0;G=+p[f>>3];H=+p[g>>3];I=+p[C>>3]*+p[d>>3]*((+p[e>>3]+ +p[i>>3]*(G*G+H*H+0.0))/A);H=+p[c>>3];G=H!=0.0?H*I:I;F=k[D>>2]|0;J=0;do{K=F+(J<<3)|0;p[K>>3]=G*+p[o+(J<<3)>>3]+ +p[K>>3];J=J+1|0}while((J|0)!=(m|0));E=E+1|0}while((E|0)<(Hc[k[(k[y>>2]|0)+12>>2]&511](y)|0))}while(0);Ec[k[(k[y>>2]|0)+4>>2]&1023](y);bla(x);Sqa(x);Tqa(o);o=k[j>>2]|0;if(o)Tqa(o);l=n;r=a;return l|0}function Uga(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0.0,n=0.0,o=0.0,q=0.0,s=0.0,t=0,u=0,v=0,w=0.0,x=0,y=0,z=0,A=0.0,B=0.0,C=0.0,D=0,E=0,F=0;a=r;r=r+32|0;c=a+16|0;d=a+8|0;e=a;f=a+24|0;if(!($p(b)|0)){g=0;r=a;return g|0}k[f>>2]=0;if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0?_p(b)|0:0){h=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;i=iq(b,534)|0;j=Rqa(h>>>0>536870911?-1:h<<3)|0;Fc[k[(k[b>>2]|0)+188>>2]&1023](b,f);pp(b,c,358);l=Wo(b,653)|0;+Dp(b,65);m=+Dp(b,266);n=+Dp(b,265);o=+Dp(b,210);q=+Dp(b,213);s=+Dp(b,269);t=ed[k[(k[b>>2]|0)+324>>2]&511](b,4)|0;u=Hc[k[(k[t>>2]|0)+8>>2]&511](t)|0;a:do if((u|0)<(Hc[k[(k[t>>2]|0)+12>>2]&511](t)|0)){v=t+8|0;w=n*o;x=i+4|0;if((h|0)>0)y=u;else{z=u;while(1){Fc[k[(k[t>>2]|0)+24>>2]&1023](t,z);rd[k[(k[b>>2]|0)+264>>2]&511](b,d,k[f>>2]|0,t);nd[k[(k[b>>2]|0)+336>>2]&1023](b,j,t);nd[k[(k[l>>2]|0)+48>>2]&1023](l,e,t);+uq(b,+p[e>>3]);z=z+1|0;if((z|0)>=(Hc[k[(k[t>>2]|0)+12>>2]&511](t)|0))break a}}do{Fc[k[(k[t>>2]|0)+24>>2]&1023](t,y);rd[k[(k[b>>2]|0)+264>>2]&511](b,d,k[f>>2]|0,t);nd[k[(k[b>>2]|0)+336>>2]&1023](b,j,t);nd[k[(k[l>>2]|0)+48>>2]&1023](l,e,t);A=+uq(b,+p[e>>3]);B=A*(s*(q*(m*(+p[v>>3]*+p[d>>3]))))/w;A=+p[c>>3];C=A!=0.0?A*B:B;z=k[x>>2]|0;D=0;do{E=z+(D<<3)|0;p[E>>3]=C*+p[j+(D<<3)>>3]+ +p[E>>3];D=D+1|0}while((D|0)!=(h|0));y=y+1|0}while((y|0)<(Hc[k[(k[t>>2]|0)+12>>2]&511](t)|0))}while(0);Ec[k[(k[t>>2]|0)+4>>2]&1023](t);Tqa(j);j=k[f>>2]|0;if(j)Tqa(j);k[f>>2]=0;F=i}else F=0;g=F;r=a;return g|0}function Vga(a,b,c){a=a|0;b=b|0;c=c|0;nd[k[(k[c>>2]|0)+176>>2]&1023](c,b,666);return}function Wga(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,134713,75);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,716,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function Xga(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0.0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0;a=r;r=r+560|0;d=a+536|0;e=a+548|0;f=a+532|0;g=a+528|0;h=a+524|0;j=a+376|0;l=a+512|0;m=a+360|0;n=a+208|0;o=a+224|0;q=a+60|0;s=a+48|0;u=a+36|0;v=a+72|0;w=a+24|0;x=a+12|0;y=a;k[g>>2]=0;k[h>>2]=0;z=Hc[k[(k[c>>2]|0)+164>>2]&511](c)|0;rp(c,g,534,943);A=z>>>0>536870911?-1:z<<3;C=Rqa(A)|0;D=Rqa(A)|0;E=Rqa(A)|0;A=(z|0)>0;a:do if(A){F=k[g>>2]|0;G=0;while(1){H=+p[b+(k[F+(G<<2)>>2]<<3)>>3];p[C+(G<<3)>>3]=H;I=+$(+H);p[t>>3]=I;J=k[t>>2]|0;K=k[t+4>>2]|0;if(K>>>0>2146435072|(K|0)==2146435072&J>>>0>0){L=5;break}G=G+1|0;if((J|0)==0&(K|0)==2146435072){L=29;break}if((G|0)>=(z|0))break a}if((L|0)==5){G=j+56|0;F=j+4|0;k[j>>2]=27524;k[G>>2]=27544;B=0;wa(508,j+56|0,F|0);K=B;B=0;if(K&1){K=Rb()|0;M=Q;N=K;vva(G);Qb(N|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[G>>2]=27488;B=0;va(448,F|0);K=B;B=0;do if(K&1){J=Rb()|0;O=Q;P=J}else{k[F>>2]=27560;J=j+36|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;k[J+12>>2]=0;k[j+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,F|0,d|0);R=B;B=0;if(R&1){R=Rb()|0;S=Q;Yua(d);Yua(J);Ava(F);O=S;P=R;break}Yua(d);B=0;R=Ia(40,j|0,135564,28)|0;S=B;B=0;b:do if(!(S&1)?(B=0,Xa(239,R|0,0)|0,T=B,B=0,!(T&1)):0){T=Ab(20)|0;B=0;eb(502,l|0,134713,75);U=B;B=0;do if(!(U&1)){B=0;eb(502,m|0,137199,23);V=B;B=0;if(V&1){V=Rb()|0;W=Q;Yua(l);X=W;Y=V;break}B=0;wa(510,n|0,F|0);V=B;B=0;if(V&1){V=Rb()|0;Z=V;_=Q;aa=1}else{B=0;ua(163,T|0,l|0,m|0,740,n|0);V=B;B=0;if(V&1)ba=1;else{B=0;eb(503,T|0,1240,229);B=0;ba=0}V=Rb()|0;W=Q;Yua(n);Z=V;_=W;aa=ba}Yua(m);Yua(l);if(aa){X=_;Y=Z}else{ca=_;da=Z;break b}}else{W=Rb()|0;X=Q;Y=W}while(0);zb(T|0);ca=X;da=Y}else L=20;while(0);if((L|0)==20){R=Rb()|0;ca=Q;da=R}k[j>>2]=27468;k[G>>2]=27488;k[F>>2]=27560;Yua(J);Ava(F);vva(G);ea=ca;fa=da;Qb(fa|0)}while(0);M=O;N=P;vva(G);Qb(N|0)}else if((L|0)==29){F=o+56|0;K=o+4|0;k[o>>2]=27524;k[F>>2]=27544;B=0;wa(508,o+56|0,K|0);R=B;B=0;if(R&1){R=Rb()|0;ga=Q;ha=R;vva(F);Qb(ha|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[F>>2]=27488;B=0;va(448,K|0);R=B;B=0;do if(R&1){S=Rb()|0;ia=Q;ja=S}else{k[K>>2]=27560;S=o+36|0;k[S>>2]=0;k[S+4>>2]=0;k[S+8>>2]=0;k[S+12>>2]=0;k[o+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,K|0,d|0);U=B;B=0;if(U&1){U=Rb()|0;W=Q;Yua(d);Yua(S);Ava(K);ia=W;ja=U;break}Yua(d);B=0;U=Ia(40,o|0,135593,28)|0;W=B;B=0;c:do if(!(W&1)?(B=0,Xa(239,U|0,0)|0,V=B,B=0,!(V&1)):0){V=Ab(20)|0;B=0;eb(502,q|0,134713,75);ka=B;B=0;do if(!(ka&1)){B=0;eb(502,s|0,137199,23);la=B;B=0;if(la&1){la=Rb()|0;ma=Q;Yua(q);na=la;oa=ma;break}B=0;wa(510,u|0,K|0);ma=B;B=0;if(ma&1){ma=Rb()|0;pa=1;qa=Q;ra=ma}else{B=0;ua(163,V|0,q|0,s|0,741,u|0);ma=B;B=0;if(ma&1)sa=1;else{B=0;eb(503,V|0,1240,229);B=0;sa=0}ma=Rb()|0;la=Q;Yua(u);pa=sa;qa=la;ra=ma}Yua(s);Yua(q);if(pa){na=ra;oa=qa}else{ta=qa;xa=ra;break c}}else{ma=Rb()|0;na=ma;oa=Q}while(0);zb(V|0);ta=oa;xa=na}else L=44;while(0);if((L|0)==44){U=Rb()|0;ta=Q;xa=U}k[o>>2]=27468;k[F>>2]=27488;k[K>>2]=27560;Yua(S);Ava(K);vva(F);ea=ta;fa=xa;Qb(fa|0)}while(0);ga=ia;ha=ja;vva(F);Qb(ha|0)}}while(0);zp(c,e,645);ha=(i[e>>0]|0)==0;e=k[c>>2]|0;ja=k[e+48>>2]|0;ia=Hc[k[e+128>>2]&511](c)|0;d:do if(ha)rd[ja&511](c,667,C,ia);else{rd[ja&511](c,666,C,ia);cp(c,f,216);vp(c,D,339);switch(k[f>>2]|0){case 921:{break d;break}case 984:{if(A){e=0;do{I=+Xna(+p[C+(e<<3)>>3]);p[E+(e<<3)>>3]=I;e=e+1|0}while((e|0)!=(z|0))}e=k[c>>2]|0;F=k[e+48>>2]|0;ga=Hc[k[e+128>>2]&511](c)|0;rd[F&511](c,214,E,ga);break d;break}case 987:{if(A){ga=0;do{I=+Zna(+p[C+(ga<<3)>>3]);p[E+(ga<<3)>>3]=I;ga=ga+1|0}while((ga|0)!=(z|0))}ga=k[c>>2]|0;F=k[ga+48>>2]|0;e=Hc[k[ga+128>>2]&511](c)|0;rd[F&511](c,214,E,e);break d;break}case 988:{Uo(c,h);if(A){e=0;do{I=+p[C+(e<<3)>>3];H=+p[D+(e<<3)>>3]-+p[(k[h>>2]|0)+((e*3|0)+2<<3)>>3];za=+_na(I,H,+Dp(c,217));p[E+(e<<3)>>3]=za;e=e+1|0}while((e|0)!=(z|0))}e=k[c>>2]|0;F=k[e+48>>2]|0;ga=Hc[k[e+128>>2]&511](c)|0;rd[F&511](c,214,E,ga);break d;break}default:{ga=v+56|0;F=v+4|0;k[v>>2]=27524;k[ga>>2]=27544;B=0;wa(508,v+56|0,F|0);e=B;B=0;if(e&1){e=Rb()|0;Aa=Q;Ba=e;vva(ga);Qb(Ba|0)}k[v+128>>2]=0;k[v+132>>2]=-1;k[v>>2]=27468;k[ga>>2]=27488;B=0;va(448,F|0);e=B;B=0;do if(e&1){xa=Rb()|0;Ca=Q;Da=xa}else{k[F>>2]=27560;xa=v+36|0;k[xa>>2]=0;k[xa+4>>2]=0;k[xa+8>>2]=0;k[xa+12>>2]=0;k[v+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,F|0,d|0);ta=B;B=0;if(ta&1){ta=Rb()|0;o=Q;Yua(d);Yua(xa);Ava(F);Ca=o;Da=ta;break}Yua(d);B=0;ta=Ia(40,v|0,135622,13)|0;o=B;B=0;e:do if((((!(o&1)?(B=0,na=ya(427,k[f>>2]|0)|0,oa=B,B=0,!(oa&1)):0)?(oa=Lta(na)|0,B=0,ra=Ia(40,ta|0,na|0,oa|0)|0,oa=B,B=0,!(oa&1)):0)?(B=0,oa=Ia(40,ra|0,146481,18)|0,ra=B,B=0,!(ra&1)):0)?(B=0,Xa(239,oa|0,0)|0,oa=B,B=0,!(oa&1)):0){oa=Ab(20)|0;B=0;eb(502,w|0,134713,75);ra=B;B=0;do if(!(ra&1)){B=0;eb(502,x|0,137199,23);na=B;B=0;if(na&1){na=Rb()|0;qa=Q;Yua(w);Ea=na;Fa=qa;break}B=0;wa(510,y|0,F|0);qa=B;B=0;if(qa&1){qa=Rb()|0;Ga=1;Ha=Q;Ja=qa}else{B=0;ua(163,oa|0,w|0,x|0,785,y|0);qa=B;B=0;if(qa&1)Ka=1;else{B=0;eb(503,oa|0,1240,229);B=0;Ka=0}qa=Rb()|0;na=Q;Yua(y);Ga=Ka;Ha=na;Ja=qa}Yua(x);Yua(w);if(Ga){Ea=Ja;Fa=Ha}else{La=Ha;Ma=Ja;break e}}else{qa=Rb()|0;Ea=qa;Fa=Q}while(0);zb(oa|0);La=Fa;Ma=Ea}else L=81;while(0);if((L|0)==81){ta=Rb()|0;La=Q;Ma=ta}k[v>>2]=27468;k[ga>>2]=27488;k[F>>2]=27560;Yua(xa);Ava(F);vva(ga);ea=La;fa=Ma;Qb(fa|0)}while(0);Aa=Ca;Ba=Da;vva(ga);Qb(Ba|0)}}}while(0);Tqa(C);Tqa(D);Tqa(E);E=k[h>>2]|0;if(E)Tqa(E);k[h>>2]=0;h=k[g>>2]|0;if(!h){r=a;return}Tqa(h);r=a;return}function Yga(a,b){a=a|0;b=b|0;RZ(b);return}function Zga(a){a=a|0;Sqa(a);return}function _ga(a,b,c){a=a|0;b=b|0;c=c|0;return}function $ga(a,b,c){a=a|0;b=b|0;c=c|0;return}function aha(a,b,c){a=a|0;b=b|0;c=c|0;hoa(b,c,520,738,534);return}function bha(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 1}function cha(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0;a=c+56|0;f=k[a>>2]|0;if((f|0)<=0)return;g=c+32|0;h=f;f=0;j=0;while(1){if(!(i[(k[g>>2]|0)+j>>0]|0)){l=h;m=f}else{n=qh(b,f)|0;Uc[k[(k[n>>2]|0)+480>>2]&63](n,j,c,d,e,738);l=k[a>>2]|0;m=f+1|0}j=j+1|0;if((j|0)>=(l|0))break;else{h=l;f=m}}return}function dha(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return}function eha(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,135653,74);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138209,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,37,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function fha(a,b){a=a|0;b=b|0;return 0}function gha(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,135653,74);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,44,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function hha(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0;a=r;r=r+224|0;c=a+208|0;d=a+204|0;e=a+16|0;f=a+8|0;g=a;h=a+200|0;i=a+64|0;j=a+48|0;l=a+36|0;m=a+24|0;k[h>>2]=0;cp(b,d,298);if((k[d>>2]|0)==300){n=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;o=gq(b,534)|0;q=n<<1;s=Rqa(q>>>0>536870911?-1:q<<3)|0;q=Rqa(n>>>0>536870911?-1:n<<3)|0;pp(b,g,579);Uo(b,h);t=Wo(b,353)|0;u=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;v=Hc[k[(k[u>>2]|0)+8>>2]&511](u)|0;if((v|0)<(Hc[k[(k[u>>2]|0)+12>>2]&511](u)|0)){w=(n|0)>0;x=u+8|0;y=o+12|0;z=v;do{Fc[k[(k[u>>2]|0)+24>>2]&1023](u,z);rd[k[(k[b>>2]|0)+260>>2]&511](b,e,k[h>>2]|0,u);nd[k[(k[t>>2]|0)+48>>2]&1023](t,f,u);if(+p[f>>3]<50.0)p[f>>3]=50.0;nd[k[(k[b>>2]|0)+336>>2]&1023](b,q,u);rd[k[(k[b>>2]|0)+340>>2]&511](b,s,k[h>>2]|0,u);if(w){v=k[y>>2]|0;A=0;do{C=q+(A<<3)|0;D=s+(A<<3)|0;E=s+(A+n<<3)|0;F=ma(A,n)|0;G=0;do{H=+p[g>>3]*+p[f>>3];I=v+(G+F<<3)|0;p[I>>3]=+p[I>>3]+ +p[x>>3]*+p[e>>3]*(+p[C>>3]*+p[q+(G<<3)>>3]+H*H*(+p[D>>3]*+p[s+(G<<3)>>3]+ +p[E>>3]*+p[s+(G+n<<3)>>3]));G=G+1|0}while((G|0)!=(n|0));A=A+1|0}while((A|0)!=(n|0))}z=z+1|0}while((z|0)<(Hc[k[(k[u>>2]|0)+12>>2]&511](u)|0))}Ec[k[(k[u>>2]|0)+4>>2]&1023](u);Tqa(s);Tqa(q);q=k[h>>2]|0;if(!q){r=a;return o|0}Tqa(q);r=a;return o|0}o=i+56|0;a=i+4|0;k[i>>2]=27524;k[o>>2]=27544;B=0;wa(508,i+56|0,a|0);q=B;B=0;if(q&1){q=Rb()|0;J=Q;K=q;vva(o);Qb(K|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[o>>2]=27488;B=0;va(448,a|0);q=B;B=0;do if(q&1){h=Rb()|0;L=Q;M=h}else{k[a>>2]=27560;h=i+36|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;k[i+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,a|0,c|0);s=B;B=0;if(s&1){s=Rb()|0;u=Q;Yua(c);Yua(h);Ava(a);L=u;M=s;break}Yua(c);B=0;s=Ia(40,i|0,144639,5)|0;u=B;B=0;if((((!(u&1)?(B=0,u=ya(427,k[d>>2]|0)|0,z=B,B=0,!(z&1)):0)?(z=Lta(u)|0,B=0,n=Ia(40,s|0,u|0,z|0)|0,z=B,B=0,!(z&1)):0)?(B=0,z=Ia(40,n|0,146481,18)|0,n=B,B=0,!(n&1)):0)?(B=0,Xa(239,z|0,0)|0,z=B,B=0,!(z&1)):0){z=Ab(20)|0;B=0;eb(502,j|0,135653,74);n=B;B=0;do if(!(n&1)){B=0;eb(502,l|0,144189,13);u=B;B=0;if(u&1){u=Rb()|0;s=Q;Yua(j);N=u;O=s;break}B=0;wa(510,m|0,a|0);s=B;B=0;if(s&1){s=Rb()|0;P=s;R=Q;S=1}else{B=0;ua(163,z|0,j|0,l|0,58,m|0);s=B;B=0;if(s&1)T=1;else{B=0;eb(503,z|0,1240,229);B=0;T=0}s=Rb()|0;u=Q;Yua(m);P=s;R=u;S=T}Yua(l);Yua(j);if(S){N=P;O=R}else{U=P;V=R;k[i>>2]=27468;k[o>>2]=27488;k[a>>2]=27560;Yua(h);Ava(a);vva(o);Qb(U|0)}}else{u=Rb()|0;N=u;O=Q}while(0);zb(z|0);U=N;V=O;k[i>>2]=27468;k[o>>2]=27488;k[a>>2]=27560;Yua(h);Ava(a);vva(o);Qb(U|0)}n=Rb()|0;U=n;V=Q;k[i>>2]=27468;k[o>>2]=27488;k[a>>2]=27560;Yua(h);Ava(a);vva(o);Qb(U|0)}while(0);J=L;K=M;vva(o);Qb(K|0);return 0}function iha(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0,y=0,z=0,A=0.0,C=0,D=0.0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0.0,O=0.0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0;a=r;r=r+240|0;c=a+228|0;d=a+224|0;e=a+48|0;f=a+212|0;g=a+200|0;h=a+188|0;i=a+40|0;j=a+184|0;l=a+32|0;m=a+24|0;n=a+8|0;o=a;cp(b,d,298);if((k[d>>2]|0)==300){k[j>>2]=0;q=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;s=iq(b,534)|0;t=Rqa(q>>>0>536870911?-1:q<<3)|0;Uo(b,j);cp(b,c,578);u=k[c>>2]|0;switch(u|0){case 705:case 704:{v=+Dp(b,265);w=+Dp(b,65);x=Wo(b,353)|0;y=Wo(b,339)|0;z=x;A=w;C=0;D=v;E=y;F=Wo(b,674)|0;G=Wo(b,677)|0;break}case 665:case 664:{z=0;A=0.0;C=0;D=0.0;E=Wo(b,339)|0;F=0;G=0;break}default:{z=0;A=0.0;C=Wo(b,u)|0;D=0.0;E=0;F=0;G=0}}u=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;y=Hc[k[(k[u>>2]|0)+8>>2]&511](u)|0;a:do if((y|0)<(Hc[k[(k[u>>2]|0)+12>>2]&511](u)|0)){x=(F|0)!=0&(G|0)!=0;H=n+8|0;v=D*A;I=(q|0)>0;J=u+8|0;K=s+4|0;L=y;while(1){Fc[k[(k[u>>2]|0)+24>>2]&1023](u,L);rd[k[(k[b>>2]|0)+260>>2]&511](b,e,k[j>>2]|0,u);nd[k[(k[b>>2]|0)+336>>2]&1023](b,t,u);b:do switch(k[c>>2]|0){case 705:case 704:{nd[k[(k[z>>2]|0)+48>>2]&1023](z,o,u);rd[k[(k[E>>2]|0)+60>>2]&511](E,n,k[j>>2]|0,u);if(x?(nd[k[(k[F>>2]|0)+48>>2]&1023](F,l,u),nd[k[(k[G>>2]|0)+48>>2]&1023](G,m,u),w=+p[n>>3],M=+p[H>>3],N=+aa(+(w*w+M*M+1.0e-10)),M=+p[l>>3],w=+p[m>>3],O=+aa(+(M*M+w*w)),O>4.756468797564688e-07):0){p[n>>3]=N*(-M/O);p[H>>3]=N*(-w/O)}O=v*+p[o>>3];if((k[c>>2]|0)==704){p[i>>3]=O*+p[n>>3];break b}else{p[i>>3]=O*+p[H>>3];break b}break}case 664:{rd[k[(k[E>>2]|0)+60>>2]&511](E,n,k[j>>2]|0,u);p[i>>3]=+p[n>>3];break}case 665:{rd[k[(k[E>>2]|0)+60>>2]&511](E,n,k[j>>2]|0,u);p[i>>3]=+p[H>>3];break}default:nd[k[(k[C>>2]|0)+48>>2]&1023](C,i,u)}while(0);if(I){P=k[K>>2]|0;R=0;do{S=P+(R<<3)|0;p[S>>3]=+p[e>>3]*+p[J>>3]*+p[i>>3]*+p[t+(R<<3)>>3]+ +p[S>>3];R=R+1|0}while((R|0)!=(q|0))}L=L+1|0;if((L|0)>=(Hc[k[(k[u>>2]|0)+12>>2]&511](u)|0))break a}}while(0);q=k[j>>2]|0;if(!q){k[j>>2]=0;Tqa(t);T=k[u>>2]|0;U=T+4|0;V=k[U>>2]|0;Ec[V&1023](u);r=a;return s|0}Tqa(q);k[j>>2]=0;Tqa(t);T=k[u>>2]|0;U=T+4|0;V=k[U>>2]|0;Ec[V&1023](u);r=a;return s|0}s=e+56|0;a=e+4|0;k[e>>2]=27524;k[s>>2]=27544;B=0;wa(508,e+56|0,a|0);u=B;B=0;if(u&1){u=Rb()|0;W=Q;X=u;vva(s);Qb(X|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[s>>2]=27488;B=0;va(448,a|0);u=B;B=0;do if(u&1){V=Rb()|0;Y=Q;Z=V}else{k[a>>2]=27560;V=e+36|0;k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;k[V+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,a|0,c|0);U=B;B=0;if(U&1){U=Rb()|0;T=Q;Yua(c);Yua(V);Ava(a);Y=T;Z=U;break}Yua(c);B=0;U=Ia(40,e|0,144639,5)|0;T=B;B=0;if((((!(T&1)?(B=0,T=ya(427,k[d>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(T)|0,B=0,j=Ia(40,U|0,T|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,j|0,146481,18)|0,j=B,B=0,!(j&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,135653,74);j=B;B=0;do if(!(j&1)){B=0;eb(502,g|0,144203,13);T=B;B=0;if(T&1){T=Rb()|0;U=Q;Yua(f);_=T;$=U;break}B=0;wa(510,h|0,a|0);U=B;B=0;if(U&1){U=Rb()|0;ba=U;ca=Q;da=1}else{B=0;ua(163,t|0,f|0,g|0,111,h|0);U=B;B=0;if(U&1)ea=1;else{B=0;eb(503,t|0,1240,229);B=0;ea=0}U=Rb()|0;T=Q;Yua(h);ba=U;ca=T;da=ea}Yua(g);Yua(f);if(da){_=ba;$=ca}else{fa=ba;ga=ca;k[e>>2]=27468;k[s>>2]=27488;k[a>>2]=27560;Yua(V);Ava(a);vva(s);Qb(fa|0)}}else{T=Rb()|0;_=T;$=Q}while(0);zb(t|0);fa=_;ga=$;k[e>>2]=27468;k[s>>2]=27488;k[a>>2]=27560;Yua(V);Ava(a);vva(s);Qb(fa|0)}j=Rb()|0;fa=j;ga=Q;k[e>>2]=27468;k[s>>2]=27488;k[a>>2]=27560;Yua(V);Ava(a);vva(s);Qb(fa|0)}while(0);W=Y;X=Z;vva(s);Qb(X|0);return 0}function jha(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,135653,74);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138230,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,208,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function kha(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,135653,74);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,211,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function lha(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;a=r;r=r+208|0;d=a+184|0;e=a+180|0;f=a+176|0;g=a+40|0;h=a+24|0;i=a+12|0;j=a;cp(c,e,578);cp(c,f,298);if((k[f>>2]|0)==300){nd[k[(k[c>>2]|0)+232>>2]&1023](c,b,k[e>>2]|0);r=a;return}a=g+56|0;e=g+4|0;k[g>>2]=27524;k[a>>2]=27544;B=0;wa(508,g+56|0,e|0);b=B;B=0;if(b&1){b=Rb()|0;l=Q;m=b;vva(a);Qb(m|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[a>>2]=27488;B=0;va(448,e|0);b=B;B=0;do if(b&1){c=Rb()|0;n=Q;o=c}else{k[e>>2]=27560;c=g+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[g+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,e|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(c);Ava(e);n=q;o=p;break}Yua(d);B=0;p=Ia(40,g|0,144639,5)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[f>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,146481,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,h|0,135653,74);t=B;B=0;do if(!(t&1)){B=0;eb(502,i|0,137199,23);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(h);u=p;v=q;break}B=0;wa(510,j|0,e|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,h|0,i|0,222,j|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(j);w=p;x=q;y=z}Yua(i);Yua(h);if(y){u=w;v=x}else{A=w;C=x;k[g>>2]=27468;k[a>>2]=27488;k[e>>2]=27560;Yua(c);Ava(e);vva(a);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[g>>2]=27468;k[a>>2]=27488;k[e>>2]=27560;Yua(c);Ava(e);vva(a);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[g>>2]=27468;k[a>>2]=27488;k[e>>2]=27560;Yua(c);Ava(e);vva(a);Qb(C|0)}while(0);l=n;m=o;vva(a);Qb(m|0)}function mha(a,b){a=a|0;b=b|0;return}function nha(a){a=a|0;Sqa(a);return}function oha(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,135754,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,135838,17);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,9,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function pha(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,135754,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,135856,11);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,12,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function qha(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,135754,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,145111,11);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,15,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function rha(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,135754,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,135868,11);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,18,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0);return 0}function sha(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,135754,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,136133,14);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,21,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function tha(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,135754,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,136199,16);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,24,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function uha(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,135754,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138209,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,29,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function vha(a,b){a=a|0;b=b|0;return 0}function wha(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,135754,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,36,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function xha(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,135754,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144189,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,39,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function yha(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,135754,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144203,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,42,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function zha(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,135754,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138230,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,45,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function Aha(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,135754,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,48,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function Bha(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,135754,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,137199,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,51,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function Cha(a,b){a=a|0;b=b|0;return}function Dha(a){a=a|0;Sqa(a);return}function Eha(a,b,c){a=a|0;b=b|0;c=c|0;qoa(b,c,135899,529,738,0);return}function Fha(a,b,c){a=a|0;b=b|0;c=c|0;return}function Gha(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;a=r;r=r+16|0;d=a+8|0;e=a;if((k[c+40>>2]|0)!=300){k[e>>2]=136615;k[e+4>>2]=136636;Ska(c,2,e)}hoa(b,c,529,738,534);k[d>>2]=136615;k[d+4>>2]=136636;Lka(c,2,d);r=a;return}function Hha(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 1}function Iha(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;a=r;r=r+192|0;f=a+180|0;g=a+176|0;h=a+40|0;j=a+24|0;l=a+12|0;m=a;n=c+56|0;o=k[n>>2]|0;if((o|0)>0){p=c+32|0;q=o;o=0;s=0;while(1){if(!(i[(k[p>>2]|0)+s>>0]|0)){t=q;u=o}else{v=qh(b,o)|0;Uc[k[(k[v>>2]|0)+480>>2]&63](v,s,c,d,e,738);t=k[n>>2]|0;u=o+1|0}s=s+1|0;if((s|0)>=(t|0))break;else{q=t;o=u}}}Zka(c,b,137867,206);Zka(c,b,135923,674);Zka(c,b,135944,677);Fka(c,g,135965);switch(k[g>>2]|0){case 253:{Zka(c,b,135980,248);Zka(c,b,136003,249);r=a;return}case 250:{Zka(c,b,136026,255);Zka(c,b,136003,256);r=a;return}case 251:{Zka(c,b,136026,257);Zka(c,b,136003,249);r=a;return}case 252:{Zka(c,b,136003,249);r=a;return}default:{a=h+56|0;b=h+4|0;k[h>>2]=27524;k[a>>2]=27544;B=0;wa(508,h+56|0,b|0);c=B;B=0;if(c&1){c=Rb()|0;w=Q;x=c;vva(a);Qb(x|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[a>>2]=27488;B=0;va(448,b|0);c=B;B=0;do if(c&1){u=Rb()|0;y=Q;z=u}else{k[b>>2]=27560;u=h+36|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;k[u+12>>2]=0;k[h+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,b|0,f|0);o=B;B=0;if(o&1){o=Rb()|0;t=Q;Yua(f);Yua(u);Ava(b);y=t;z=o;break}Yua(f);B=0;o=Ia(40,h|0,136043,12)|0;t=B;B=0;if((((!(t&1)?(B=0,t=ya(427,k[g>>2]|0)|0,q=B,B=0,!(q&1)):0)?(q=Lta(t)|0,B=0,s=Ia(40,o|0,t|0,q|0)|0,q=B,B=0,!(q&1)):0)?(B=0,q=Ia(40,s|0,146481,18)|0,s=B,B=0,!(s&1)):0)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,j|0,136056,76);s=B;B=0;do if(!(s&1)){B=0;eb(502,l|0,136133,14);t=B;B=0;if(t&1){t=Rb()|0;o=Q;Yua(j);A=o;C=t;break}B=0;wa(510,m|0,b|0);t=B;B=0;if(t&1){t=Rb()|0;D=Q;E=t;F=1}else{B=0;ua(163,q|0,j|0,l|0,70,m|0);t=B;B=0;if(t&1)G=1;else{B=0;eb(503,q|0,1240,229);B=0;G=0}t=Rb()|0;o=Q;Yua(m);D=o;E=t;F=G}Yua(l);Yua(j);if(F){A=D;C=E}else{H=D;I=E;k[h>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(u);Ava(b);vva(a);Qb(I|0)}}else{t=Rb()|0;A=Q;C=t}while(0);zb(q|0);H=A;I=C;k[h>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(u);Ava(b);vva(a);Qb(I|0)}s=Rb()|0;H=Q;I=s;k[h>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(u);Ava(b);vva(a);Qb(I|0)}while(0);w=y;x=z;vva(a);Qb(x|0)}}}function Jha(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+180|0;a=e+176|0;f=e+40|0;g=e+24|0;h=e+12|0;i=e;YN(b,Ika(c,136148,530)|0);Fka(c,a,135965);switch(k[a>>2]|0){case 252:{YN(b,Ika(c,136174,252)|0);r=e;return}case 251:case 250:case 253:{r=e;return}default:{e=f+56|0;c=f+4|0;k[f>>2]=27524;k[e>>2]=27544;B=0;wa(508,f+56|0,c|0);b=B;B=0;if(b&1){b=Rb()|0;j=Q;l=b;vva(e);Qb(l|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[e>>2]=27488;B=0;va(448,c|0);b=B;B=0;do if(b&1){m=Rb()|0;n=Q;o=m}else{k[c>>2]=27560;m=f+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[f+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,c|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(c);n=q;o=p;break}Yua(d);B=0;p=Ia(40,f|0,136043,12)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,146481,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,g|0,136056,76);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,136199,16);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(g);u=p;v=q;break}B=0;wa(510,i|0,c|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,g|0,h|0,87,i|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(i);w=p;x=q;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(m);Ava(c);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[f>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(m);Ava(c);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[f>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(m);Ava(c);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}}}function Kha(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;a=r;r=r+320|0;c=a+304|0;d=a+300|0;e=a+316|0;f=a+152|0;g=a+288|0;h=a+16|0;j=a;l=b+44|0;bO(k[l>>2]|0,e,759);cO(k[l>>2]|0,d,530);xh(b,529);a:do if(CY()|0){l=f+56|0;m=f+4|0;k[f>>2]=27524;k[l>>2]=27544;B=0;wa(508,f+56|0,m|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;p=n;vva(l);Qb(p|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[l>>2]=27488;B=0;va(448,m|0);n=B;B=0;do if(n&1){q=Rb()|0;s=Q;t=q}else{k[m>>2]=27560;q=f+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,m|0,c|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(c);Yua(q);Ava(m);s=v;t=u;break}Yua(c);B=0;Ia(40,f|0,136216,25)|0;u=B;B=0;do if(!(u&1)?(B=0,wa(510,g|0,m|0),v=B,B=0,!(v&1)):0){B=0;ya(425,g|0)|0;v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(g);x=w;y=v;break}else{Yua(g);k[f>>2]=27468;k[l>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(l);break a}}else z=14;while(0);if((z|0)==14){u=Rb()|0;x=Q;y=u}k[f>>2]=27468;k[l>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(l);A=x;C=y;Qb(C|0)}while(0);o=s;p=t;vva(l);Qb(p|0)}while(0);if((k[d>>2]|0)==4)Yoa(b);Voa(b);if(!(i[e>>0]|0)){r=a;return}b:do if(CY()|0){e=h+56|0;d=h+4|0;k[h>>2]=27524;k[e>>2]=27544;B=0;wa(508,h+56|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;D=Q;E=p;vva(e);Qb(E|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[e>>2]=27488;B=0;va(448,d|0);p=B;B=0;do if(p&1){t=Rb()|0;F=Q;G=t}else{k[d>>2]=27560;t=h+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,d|0,c|0);s=B;B=0;if(s&1){s=Rb()|0;o=Q;Yua(c);Yua(t);Ava(d);F=o;G=s;break}Yua(c);B=0;Ia(40,h|0,148942,18)|0;s=B;B=0;do if(!(s&1)?(B=0,wa(510,j|0,d|0),o=B,B=0,!(o&1)):0){B=0;ya(425,j|0)|0;o=B;B=0;if(o&1){o=Rb()|0;y=Q;Yua(j);H=y;I=o;break}else{Yua(j);k[h>>2]=27468;k[e>>2]=27488;k[d>>2]=27560;Yua(t);Ava(d);vva(e);break b}}else z=33;while(0);if((z|0)==33){s=Rb()|0;H=Q;I=s}k[h>>2]=27468;k[e>>2]=27488;k[d>>2]=27560;Yua(t);Ava(d);vva(e);A=H;C=I;Qb(C|0)}while(0);D=F;E=G;vva(e);Qb(E|0)}while(0);k[c>>2]=206;fi(b,b+48|0,c,1,1);r=a;return}function Lha(a,b){a=a|0;b=b|0;return 0}function Mha(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,136056,76);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,125,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function Nha(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0.0,vb=0.0,wb=0.0,xb=0.0,yb=0,Bb=0.0,Cb=0.0,Db=0.0,Eb=0.0,Fb=0.0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0;a=r;r=r+1136|0;c=a+1116|0;d=a+1112|0;e=a+1108|0;f=a+1104|0;g=a+56|0;h=a+48|0;i=a+40|0;j=a+32|0;l=a+24|0;m=a+16|0;n=a+8|0;o=a;q=a+1064|0;s=a+928|0;t=a+1092|0;u=a+1080|0;v=a+1068|0;w=a+768|0;x=a+916|0;y=a+904|0;z=a+752|0;A=a+616|0;C=a+332|0;D=a+320|0;E=a+172|0;F=a+480|0;G=a+160|0;H=a+148|0;I=a+136|0;J=a+344|0;K=a+124|0;L=a+112|0;M=a+100|0;N=a+184|0;O=a+88|0;P=a+76|0;R=a+64|0;if(!(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0)){S=0;r=a;return S|0}T=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;k[q>>2]=0;cp(T,e,298);cp(T,f,247);cp(T,d,530);switch(k[e>>2]|0){case 301:{U=1;break}case 300:{U=2;break}case 302:{U=2;break}default:{b=s+56|0;V=s+4|0;k[s>>2]=27524;k[b>>2]=27544;B=0;wa(508,s+56|0,V|0);W=B;B=0;if(W&1){W=Rb()|0;X=Q;Y=W;vva(b);Qb(Y|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[b>>2]=27488;B=0;va(448,V|0);W=B;B=0;do if(W&1){Z=Rb()|0;_=Q;$=Z}else{k[V>>2]=27560;Z=s+36|0;k[Z>>2]=0;k[Z+4>>2]=0;k[Z+8>>2]=0;k[Z+12>>2]=0;k[s+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,V|0,c|0);ba=B;B=0;if(ba&1){ba=Rb()|0;ca=Q;Yua(c);Yua(Z);Ava(V);_=ca;$=ba;break}Yua(c);B=0;ba=Ia(40,s|0,144639,5)|0;ca=B;B=0;a:do if((((!(ca&1)?(B=0,da=ya(427,k[e>>2]|0)|0,ea=B,B=0,!(ea&1)):0)?(ea=Lta(da)|0,B=0,fa=Ia(40,ba|0,da|0,ea|0)|0,ea=B,B=0,!(ea&1)):0)?(B=0,ea=Ia(40,fa|0,146481,18)|0,fa=B,B=0,!(fa&1)):0)?(B=0,Xa(239,ea|0,0)|0,ea=B,B=0,!(ea&1)):0){ea=Ab(20)|0;B=0;eb(502,t|0,136056,76);fa=B;B=0;do if(!(fa&1)){B=0;eb(502,u|0,144189,13);da=B;B=0;if(da&1){da=Rb()|0;ga=Q;Yua(t);ha=ga;ia=da;break}B=0;wa(510,v|0,V|0);da=B;B=0;if(da&1){da=Rb()|0;ja=Q;ka=da;la=1}else{B=0;ua(163,ea|0,t|0,u|0,150,v|0);da=B;B=0;if(da&1)na=1;else{B=0;eb(503,ea|0,1240,229);B=0;na=0}da=Rb()|0;ga=Q;Yua(v);ja=ga;ka=da;la=na}Yua(u);Yua(t);if(la){ha=ja;ia=ka}else{oa=ja;pa=ka;break a}}else{da=Rb()|0;ha=Q;ia=da}while(0);zb(ea|0);oa=ha;pa=ia}else qa=23;while(0);if((qa|0)==23){ba=Rb()|0;oa=Q;pa=ba}k[s>>2]=27468;k[b>>2]=27488;k[V>>2]=27560;Yua(Z);Ava(V);vva(b);ra=oa;sa=pa;Qb(sa|0)}while(0);X=_;Y=$;vva(b);Qb(Y|0)}}Y=Hc[k[(k[T>>2]|0)+164>>2]&511](T)|0;b=gq(T,534)|0;$=Rqa(Y>>>0>536870911?-1:Y<<3)|0;_=ma(Y,U)|0;X=_>>>0>536870911?-1:_<<3;_=Rqa(X)|0;pa=Rqa(X)|0;X=U<<3;oa=Rqa(ma(X,U)|0)|0;V=Rqa(X)|0;s=Rqa(X)|0;ia=Rqa(X)|0;WEa(ia|0,0,X|0)|0;ha=Rqa(X)|0;WEa(ha|0,0,X|0)|0;ka=Rqa(X)|0;Uo(T,q);pp(T,h,358);switch(k[e>>2]|0){case 301:{ta=Wo(T,674)|0;xa=0;break}case 300:{ta=Wo(T,674)|0;xa=Wo(T,677)|0;break}case 302:{ta=Wo(T,673)|0;xa=Wo(T,676)|0;break}default:{X=w+56|0;ja=w+4|0;k[w>>2]=27524;k[X>>2]=27544;B=0;wa(508,w+56|0,ja|0);la=B;B=0;if(la&1){la=Rb()|0;za=Q;Aa=la;vva(X);Qb(Aa|0)}k[w+128>>2]=0;k[w+132>>2]=-1;k[w>>2]=27468;k[X>>2]=27488;B=0;va(448,ja|0);la=B;B=0;do if(la&1){t=Rb()|0;Ba=Q;Ca=t}else{k[ja>>2]=27560;t=w+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[w+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ja|0,c|0);u=B;B=0;if(u&1){u=Rb()|0;na=Q;Yua(c);Yua(t);Ava(ja);Ba=na;Ca=u;break}Yua(c);B=0;u=Ia(40,w|0,144639,5)|0;na=B;B=0;b:do if((((!(na&1)?(B=0,v=ya(427,k[e>>2]|0)|0,W=B,B=0,!(W&1)):0)?(W=Lta(v)|0,B=0,ba=Ia(40,u|0,v|0,W|0)|0,W=B,B=0,!(W&1)):0)?(B=0,W=Ia(40,ba|0,146481,18)|0,ba=B,B=0,!(ba&1)):0)?(B=0,Xa(239,W|0,0)|0,W=B,B=0,!(W&1)):0){W=Ab(20)|0;B=0;eb(502,x|0,136056,76);ba=B;B=0;do if(!(ba&1)){B=0;eb(502,y|0,144189,13);v=B;B=0;if(v&1){v=Rb()|0;ca=Q;Yua(x);Da=ca;Ea=v;break}B=0;wa(510,z|0,ja|0);v=B;B=0;if(v&1){v=Rb()|0;Fa=1;Ga=Q;Ha=v}else{B=0;ua(163,W|0,x|0,y|0,193,z|0);v=B;B=0;if(v&1)Ja=1;else{B=0;eb(503,W|0,1240,229);B=0;Ja=0}v=Rb()|0;ca=Q;Yua(z);Fa=Ja;Ga=ca;Ha=v}Yua(y);Yua(x);if(Fa){Da=Ga;Ea=Ha}else{Ka=Ga;La=Ha;break b}}else{v=Rb()|0;Da=Q;Ea=v}while(0);zb(W|0);Ka=Da;La=Ea}else qa=53;while(0);if((qa|0)==53){u=Rb()|0;Ka=Q;La=u}k[w>>2]=27468;k[X>>2]=27488;k[ja>>2]=27560;Yua(t);Ava(ja);vva(X);ra=Ka;sa=La;Qb(sa|0)}while(0);za=Ba;Aa=Ca;vva(X);Qb(Aa|0)}}switch(k[f>>2]|0){case 251:case 253:{Aa=Wo(T,993)|0;if((U|0)==2)Ma=Wo(T,994)|0;else Ma=0;Na=Wo(T,248)|0;Oa=0;Pa=0;Qa=Aa;Ra=Ma;Sa=Wo(T,249)|0;break}case 250:{switch(k[e>>2]|0){case 301:{Ta=Wo(T,258)|0;Ua=0;break}case 300:{Ta=Wo(T,258)|0;Ua=Wo(T,259)|0;break}case 302:{Ta=Wo(T,260)|0;Ua=Wo(T,261)|0;break}default:{Ma=A+56|0;Aa=A+4|0;k[A>>2]=27524;k[Ma>>2]=27544;B=0;wa(508,A+56|0,Aa|0);X=B;B=0;if(X&1){X=Rb()|0;Va=Q;Wa=X;vva(Ma);Qb(Wa|0)}k[A+128>>2]=0;k[A+132>>2]=-1;k[A>>2]=27468;k[Ma>>2]=27488;B=0;va(448,Aa|0);X=B;B=0;do if(X&1){Ca=Rb()|0;Ya=Q;Za=Ca}else{k[Aa>>2]=27560;Ca=A+36|0;k[Ca>>2]=0;k[Ca+4>>2]=0;k[Ca+8>>2]=0;k[Ca+12>>2]=0;k[A+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Aa|0,c|0);Ba=B;B=0;if(Ba&1){Ba=Rb()|0;za=Q;Yua(c);Yua(Ca);Ava(Aa);Ya=za;Za=Ba;break}Yua(c);B=0;Ba=Ia(40,A|0,144639,5)|0;za=B;B=0;c:do if((((!(za&1)?(B=0,La=ya(427,k[e>>2]|0)|0,Ka=B,B=0,!(Ka&1)):0)?(Ka=Lta(La)|0,B=0,ja=Ia(40,Ba|0,La|0,Ka|0)|0,Ka=B,B=0,!(Ka&1)):0)?(B=0,Ka=Ia(40,ja|0,146481,18)|0,ja=B,B=0,!(ja&1)):0)?(B=0,Xa(239,Ka|0,0)|0,Ka=B,B=0,!(Ka&1)):0){Ka=Ab(20)|0;B=0;eb(502,C|0,136056,76);ja=B;B=0;do if(!(ja&1)){B=0;eb(502,D|0,144189,13);La=B;B=0;if(La&1){La=Rb()|0;w=Q;Yua(C);_a=w;$a=La;break}B=0;wa(510,E|0,Aa|0);La=B;B=0;if(La&1){La=Rb()|0;ab=1;bb=Q;cb=La}else{B=0;ua(163,Ka|0,C|0,D|0,218,E|0);La=B;B=0;if(La&1)db=1;else{B=0;eb(503,Ka|0,1240,229);B=0;db=0}La=Rb()|0;w=Q;Yua(E);ab=db;bb=w;cb=La}Yua(D);Yua(C);if(ab){_a=bb;$a=cb}else{fb=bb;gb=cb;break c}}else{La=Rb()|0;_a=Q;$a=La}while(0);zb(Ka|0);fb=_a;gb=$a}else qa=87;while(0);if((qa|0)==87){Ba=Rb()|0;fb=Q;gb=Ba}k[A>>2]=27468;k[Ma>>2]=27488;k[Aa>>2]=27560;Yua(Ca);Ava(Aa);vva(Ma);ra=fb;sa=gb;Qb(sa|0)}while(0);Va=Ya;Wa=Za;vva(Ma);Qb(Wa|0)}}Na=0;Oa=Ta;Pa=Ua;Qa=0;Ra=0;Sa=Wo(T,256)|0;break}case 252:{Ua=Wo(T,993)|0;if((U|0)==2)hb=Wo(T,994)|0;else hb=0;Na=0;Oa=0;Pa=0;Qa=Ua;Ra=hb;Sa=Wo(T,249)|0;break}default:{hb=F+56|0;Ua=F+4|0;k[F>>2]=27524;k[hb>>2]=27544;B=0;wa(508,F+56|0,Ua|0);Ta=B;B=0;if(Ta&1){Ta=Rb()|0;ib=Q;jb=Ta;vva(hb);Qb(jb|0)}k[F+128>>2]=0;k[F+132>>2]=-1;k[F>>2]=27468;k[hb>>2]=27488;B=0;va(448,Ua|0);Ta=B;B=0;do if(Ta&1){Wa=Rb()|0;kb=Q;lb=Wa}else{k[Ua>>2]=27560;Wa=F+36|0;k[Wa>>2]=0;k[Wa+4>>2]=0;k[Wa+8>>2]=0;k[Wa+12>>2]=0;k[F+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ua|0,c|0);Ma=B;B=0;if(Ma&1){Ma=Rb()|0;Za=Q;Yua(c);Yua(Wa);Ava(Ua);kb=Za;lb=Ma;break}Yua(c);B=0;Ma=Ia(40,F|0,136043,12)|0;Za=B;B=0;d:do if((((!(Za&1)?(B=0,Ya=ya(427,k[f>>2]|0)|0,Va=B,B=0,!(Va&1)):0)?(Va=Lta(Ya)|0,B=0,gb=Ia(40,Ma|0,Ya|0,Va|0)|0,Va=B,B=0,!(Va&1)):0)?(B=0,Va=Ia(40,gb|0,146481,18)|0,gb=B,B=0,!(gb&1)):0)?(B=0,Xa(239,Va|0,0)|0,Va=B,B=0,!(Va&1)):0){Va=Ab(20)|0;B=0;eb(502,G|0,136056,76);gb=B;B=0;do if(!(gb&1)){B=0;eb(502,H|0,144189,13);Ya=B;B=0;if(Ya&1){Ya=Rb()|0;fb=Q;Yua(G);mb=fb;nb=Ya;break}B=0;wa(510,I|0,Ua|0);Ya=B;B=0;if(Ya&1){Ya=Rb()|0;ob=Q;pb=Ya;qb=1}else{B=0;ua(163,Va|0,G|0,H|0,228,I|0);Ya=B;B=0;if(Ya&1)rb=1;else{B=0;eb(503,Va|0,1240,229);B=0;rb=0}Ya=Rb()|0;fb=Q;Yua(I);ob=fb;pb=Ya;qb=rb}Yua(H);Yua(G);if(qb){mb=ob;nb=pb}else{sb=ob;tb=pb;break d}}else{Ya=Rb()|0;mb=Q;nb=Ya}while(0);zb(Va|0);sb=mb;tb=nb}else qa=117;while(0);if((qa|0)==117){Ma=Rb()|0;sb=Q;tb=Ma}k[F>>2]=27468;k[hb>>2]=27488;k[Ua>>2]=27560;Yua(Wa);Ava(Ua);vva(hb);ra=sb;sa=tb;Qb(sa|0)}while(0);ib=kb;jb=lb;vva(hb);Qb(jb|0)}}jb=ed[k[(k[T>>2]|0)+308>>2]&511](T,2)|0;hb=Hc[k[(k[jb>>2]|0)+8>>2]&511](jb)|0;e:do if((hb|0)<(Hc[k[(k[jb>>2]|0)+12>>2]&511](jb)|0)){lb=jb+8|0;kb=b+12|0;ib=V+8|0;tb=(U|0)==2;sb=ka+8|0;Ua=ia+8|0;F=s+8|0;nb=(U>>>0>1?U:1)<<3;mb=hb;f:while(1){Fc[k[(k[jb>>2]|0)+24>>2]&1023](jb,mb);rd[k[(k[T>>2]|0)+260>>2]&511](T,g,k[q>>2]|0,jb);p[i>>3]=+p[lb>>3]*+p[g>>3];if(+p[h>>3]!=0.0){nd[k[(k[T>>2]|0)+336>>2]&1023](T,$,jb);ZX($,Y,1,0,i,1,1,0,$,1,Y,0,k[kb>>2]|0,1)|0;p[i>>3]=+p[h>>3]*+p[i>>3]}pb=Hc[k[(k[T>>2]|0)+164>>2]&511](T)|0;ob=Rqa(pb>>>0>536870911?-1:pb<<3)|0;nd[k[(k[T>>2]|0)+336>>2]&1023](T,ob,jb);if((pb|0)>0){qb=0;do{ub=+p[ob+(qb<<3)>>3];p[_+(qb<<3)>>3]=ub;p[_+(qb+pb<<3)>>3]=ub;qb=qb+1|0}while((qb|0)!=(pb|0))}Tqa(ob);pb=k[q>>2]|0;qb=Hc[k[(k[T>>2]|0)+164>>2]&511](T)|0;Va=qb<<1;G=Rqa(Va>>>0>536870911?-1:Va<<3)|0;rd[k[(k[T>>2]|0)+340>>2]&511](T,G,pb,jb);if((qb|0)>0){pb=0;do{p[pa+(pb<<3)>>3]=+p[G+(pb<<3)>>3];Va=pb+qb|0;p[pa+(Va<<3)>>3]=+p[G+(Va<<3)>>3];pb=pb+1|0}while((pb|0)!=(qb|0))}Tqa(G);nd[k[(k[ta>>2]|0)+48>>2]&1023](ta,V,jb);nd[k[(k[xa>>2]|0)+48>>2]&1023](xa,ib,jb);g:do switch(k[f>>2]|0){case 251:case 253:{nd[k[(k[Qa>>2]|0)+48>>2]&1023](Qa,ka,jb);if(tb)nd[k[(k[Ra>>2]|0)+48>>2]&1023](Ra,sb,jb);nd[k[(k[Na>>2]|0)+48>>2]&1023](Na,n,jb);nd[k[(k[Sa>>2]|0)+48>>2]&1023](Sa,o,jb);qb=0;ub=0.0;while(1){vb=+p[ka+(qb<<3)>>3];wb=ub+vb*vb;qb=qb+1|0;if((qb|0)>=(U|0)){xb=wb;break}else ub=wb}ub=+aa(+xb);if(!(ub>1.0e-10)){WEa(ia|0,0,nb|0)|0;WEa(ha|0,0,nb|0)|0;yb=0;break g}wb=+p[n>>3];vb=+p[o>>3];qb=0;do{Bb=+p[ka+(qb<<3)>>3];p[ia+(qb<<3)>>3]=wb*Bb/ub;p[ha+(qb<<3)>>3]=Bb*vb/ub;qb=qb+1|0}while((qb|0)<(U|0));yb=0;break}case 250:{nd[k[(k[Oa>>2]|0)+48>>2]&1023](Oa,ia,jb);if(tb)nd[k[(k[Pa>>2]|0)+48>>2]&1023](Pa,Ua,jb);nd[k[(k[Sa>>2]|0)+48>>2]&1023](Sa,o,jb);qb=0;ub=0.0;while(1){vb=+p[ia+(qb<<3)>>3];wb=ub+vb*vb;qb=qb+1|0;if((qb|0)>=(U|0)){Cb=wb;break}else ub=wb}ub=+aa(+Cb)+1.0e-14;wb=+p[o>>3];qb=0;do{p[ha+(qb<<3)>>3]=wb*+p[ia+(qb<<3)>>3]/ub;qb=qb+1|0}while((qb|0)<(U|0));yb=0;break}case 252:{nd[k[(k[Qa>>2]|0)+48>>2]&1023](Qa,ka,jb);if(tb)nd[k[(k[Ra>>2]|0)+48>>2]&1023](Ra,sb,jb);nd[k[(k[Sa>>2]|0)+48>>2]&1023](Sa,o,jb);qb=0;ub=0.0;while(1){wb=+p[ka+(qb<<3)>>3];vb=ub+wb*wb;qb=qb+1|0;if((qb|0)>=(U|0)){Db=vb;break}else ub=vb}ub=+aa(+Db);if(!(ub>1.0e-10)){WEa(ia|0,0,nb|0)|0;WEa(ha|0,0,nb|0)|0;yb=0;break g}vb=+p[o>>3];WEa(ia|0,0,nb|0)|0;qb=0;do{p[ha+(qb<<3)>>3]=vb*+p[ka+(qb<<3)>>3]/ub;qb=qb+1|0}while((qb|0)<(U|0));yb=0;break}default:break f}while(0);do{p[s+(yb<<3)>>3]=+p[V+(yb<<3)>>3]-+p[ia+(yb<<3)>>3]-+p[ha+(yb<<3)>>3];yb=yb+1|0}while((yb|0)<(U|0));ub=+p[i>>3];G=0;do{qb=s+(G<<3)|0;pb=ma(G,U)|0;ob=oa+(G+pb<<3)|0;Va=0;do{if((G|0)==(Va|0))p[ob>>3]=ub*+p[qb>>3];else p[oa+(Va+pb<<3)>>3]=0.0;Va=Va+1|0}while((Va|0)<(U|0));G=G+1|0}while((G|0)<(U|0));ZX(_,U,Y,1,oa,U,U,0,pa,U,Y,0,k[kb>>2]|0,1)|0;G=0;ub=0.0;while(1){vb=+p[s+(G<<3)>>3];wb=ub+vb*vb;G=G+1|0;if((G|0)>=(U|0)){Eb=wb;break}else ub=wb}ub=+aa(+Eb)+1.0e-14;switch(k[d>>2]|0){case 0:break;case 1:{rd[k[(k[T>>2]|0)+108>>2]&511](T,j,l,m);wb=+p[j>>3]*+p[s>>3]/ub;vb=+p[l>>3]*+p[F>>3]/ub;Bb=ub*+aa(+(wb*wb+vb*vb))*.5*+p[i>>3];G=0;do{Va=ma(G,U)|0;pb=oa+(G+Va<<3)|0;qb=0;do{if((G|0)==(qb|0))p[pb>>3]=Bb;else p[oa+(qb+Va<<3)>>3]=0.0;qb=qb+1|0}while((qb|0)<(U|0));G=G+1|0}while((G|0)<(U|0));ZX(pa,U,Y,1,oa,U,U,0,pa,U,Y,0,k[kb>>2]|0,1)|0;break}case 2:{rd[k[(k[T>>2]|0)+108>>2]&511](T,j,l,m);Bb=+p[s>>3];vb=+p[j>>3]*Bb/ub;wb=+p[l>>3]*+p[F>>3]/ub;Fb=+aa(+(vb*vb+wb*wb));wb=Fb*+p[i>>3]/(ub*2.0);Fb=Bb;G=0;while(1){Bb=Fb*wb;qb=ma(G,U)|0;Va=0;do{p[oa+(Va+qb<<3)>>3]=+p[s+(Va<<3)>>3]*Bb;Va=Va+1|0}while((Va|0)<(U|0));Va=G+1|0;if((Va|0)>=(U|0))break;Fb=+p[s+(Va<<3)>>3];G=Va}ZX(pa,U,Y,1,oa,U,U,0,pa,U,Y,0,k[kb>>2]|0,1)|0;break}default:{qa=209;break f}}mb=mb+1|0;if((mb|0)>=(Hc[k[(k[jb>>2]|0)+12>>2]&511](jb)|0))break e}if((qa|0)==209){mb=N+56|0;kb=N+4|0;k[N>>2]=27524;k[mb>>2]=27544;B=0;wa(508,N+56|0,kb|0);F=B;B=0;if(F&1){F=Rb()|0;Gb=Q;Hb=F;vva(mb);Qb(Hb|0)}k[N+128>>2]=0;k[N+132>>2]=-1;k[N>>2]=27468;k[mb>>2]=27488;B=0;va(448,kb|0);F=B;B=0;do if(F&1){nb=Rb()|0;Ib=Q;Jb=nb}else{k[kb>>2]=27560;nb=N+36|0;k[nb>>2]=0;k[nb+4>>2]=0;k[nb+8>>2]=0;k[nb+12>>2]=0;k[N+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,kb|0,c|0);sb=B;B=0;if(sb&1){sb=Rb()|0;tb=Q;Yua(c);Yua(nb);Ava(kb);Ib=tb;Jb=sb;break}Yua(c);B=0;sb=Ia(40,N|0,136242,53)|0;tb=B;B=0;h:do if(!(tb&1)?(B=0,Xa(239,sb|0,0)|0,Ua=B,B=0,!(Ua&1)):0){Ua=Ab(20)|0;B=0;eb(502,O|0,136056,76);ib=B;B=0;do if(!(ib&1)){B=0;eb(502,P|0,144189,13);lb=B;B=0;if(lb&1){lb=Rb()|0;Wa=Q;Yua(O);Kb=Wa;Lb=lb;break}B=0;wa(510,R|0,kb|0);lb=B;B=0;if(lb&1){lb=Rb()|0;Mb=1;Nb=Q;Ob=lb}else{B=0;ua(163,Ua|0,O|0,P|0,370,R|0);lb=B;B=0;if(lb&1)Pb=1;else{B=0;eb(503,Ua|0,1240,229);B=0;Pb=0}lb=Rb()|0;Wa=Q;Yua(R);Mb=Pb;Nb=Wa;Ob=lb}Yua(P);Yua(O);if(Mb){Kb=Nb;Lb=Ob}else{Sb=Nb;Tb=Ob;break h}}else{lb=Rb()|0;Kb=Q;Lb=lb}while(0);zb(Ua|0);Sb=Kb;Tb=Lb}else qa=224;while(0);if((qa|0)==224){sb=Rb()|0;Sb=Q;Tb=sb}k[N>>2]=27468;k[mb>>2]=27488;k[kb>>2]=27560;Yua(nb);Ava(kb);vva(mb);ra=Sb;sa=Tb;Qb(sa|0)}while(0);Gb=Ib;Hb=Jb;vva(mb);Qb(Hb|0)}kb=J+56|0;F=J+4|0;k[J>>2]=27524;k[kb>>2]=27544;B=0;wa(508,J+56|0,F|0);sb=B;B=0;if(sb&1){sb=Rb()|0;Ub=Q;Vb=sb;vva(kb);Qb(Vb|0)}k[J+128>>2]=0;k[J+132>>2]=-1;k[J>>2]=27468;k[kb>>2]=27488;B=0;va(448,F|0);sb=B;B=0;do if(sb&1){tb=Rb()|0;Wb=Q;Xb=tb}else{k[F>>2]=27560;tb=J+36|0;k[tb>>2]=0;k[tb+4>>2]=0;k[tb+8>>2]=0;k[tb+12>>2]=0;k[J+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,F|0,c|0);ib=B;B=0;if(ib&1){ib=Rb()|0;lb=Q;Yua(c);Yua(tb);Ava(F);Wb=lb;Xb=ib;break}Yua(c);B=0;ib=Ia(40,J|0,136043,12)|0;lb=B;B=0;i:do if((((!(lb&1)?(B=0,Wa=ya(427,k[f>>2]|0)|0,G=B,B=0,!(G&1)):0)?(G=Lta(Wa)|0,B=0,Va=Ia(40,ib|0,Wa|0,G|0)|0,G=B,B=0,!(G&1)):0)?(B=0,G=Ia(40,Va|0,146481,18)|0,Va=B,B=0,!(Va&1)):0)?(B=0,Xa(239,G|0,0)|0,G=B,B=0,!(G&1)):0){G=Ab(20)|0;B=0;eb(502,K|0,136056,76);Va=B;B=0;do if(!(Va&1)){B=0;eb(502,L|0,144189,13);Wa=B;B=0;if(Wa&1){Wa=Rb()|0;qb=Q;Yua(K);Yb=qb;Zb=Wa;break}B=0;wa(510,M|0,F|0);Wa=B;B=0;if(Wa&1){Wa=Rb()|0;_b=1;$b=Q;ac=Wa}else{B=0;ua(163,G|0,K|0,L|0,310,M|0);Wa=B;B=0;if(Wa&1)bc=1;else{B=0;eb(503,G|0,1240,229);B=0;bc=0}Wa=Rb()|0;qb=Q;Yua(M);_b=bc;$b=qb;ac=Wa}Yua(L);Yua(K);if(_b){Yb=$b;Zb=ac}else{cc=$b;dc=ac;break i}}else{Wa=Rb()|0;Yb=Q;Zb=Wa}while(0);zb(G|0);cc=Yb;dc=Zb}else qa=176;while(0);if((qa|0)==176){ib=Rb()|0;cc=Q;dc=ib}k[J>>2]=27468;k[kb>>2]=27488;k[F>>2]=27560;Yua(tb);Ava(F);vva(kb);ra=cc;sa=dc;Qb(sa|0)}while(0);Ub=Wb;Vb=Xb;vva(kb);Qb(Vb|0)}while(0);Vb=k[q>>2]|0;if(Vb)Tqa(Vb);k[q>>2]=0;Tqa($);Tqa(_);Tqa(oa);Tqa(pa);Tqa(V);Tqa(s);Tqa(ia);Tqa(ha);Tqa(ka);Ec[k[(k[jb>>2]|0)+4>>2]&1023](jb);if((k[e>>2]|0)!=300?(ap(T),(T|0)!=0):0)Ec[k[(k[T>>2]|0)+4>>2]&1023](T);S=b;r=a;return S|0}function Oha(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0;a=r;r=r+32|0;c=a+28|0;d=a+16|0;e=a+8|0;f=a;g=a+24|0;if(!(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0)){h=0;r=a;return h|0}i=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;k[g>>2]=0;b=Hc[k[(k[i>>2]|0)+164>>2]&511](i)|0;j=iq(i,534)|0;pp(i,e,358);if(+p[e>>3]!=0.0){e=Rqa(b>>>0>536870911?-1:b<<3)|0;Uo(i,g);l=Wo(i,206)|0;m=ed[k[(k[i>>2]|0)+308>>2]&511](i,2)|0;n=Hc[k[(k[m>>2]|0)+8>>2]&511](m)|0;a:do if((n|0)<(Hc[k[(k[m>>2]|0)+12>>2]&511](m)|0)){o=m+8|0;q=j+4|0;if((b|0)>0)s=n;else{t=n;while(1){Fc[k[(k[m>>2]|0)+24>>2]&1023](m,t);rd[k[(k[i>>2]|0)+260>>2]&511](i,d,k[g>>2]|0,m);nd[k[(k[i>>2]|0)+336>>2]&1023](i,e,m);nd[k[(k[l>>2]|0)+48>>2]&1023](l,f,m);t=t+1|0;if((t|0)>=(Hc[k[(k[m>>2]|0)+12>>2]&511](m)|0))break a}}do{Fc[k[(k[m>>2]|0)+24>>2]&1023](m,s);rd[k[(k[i>>2]|0)+260>>2]&511](i,d,k[g>>2]|0,m);nd[k[(k[i>>2]|0)+336>>2]&1023](i,e,m);nd[k[(k[l>>2]|0)+48>>2]&1023](l,f,m);t=k[q>>2]|0;u=0;do{v=t+(u<<3)|0;p[v>>3]=+p[d>>3]*+p[o>>3]*+p[f>>3]*+p[e+(u<<3)>>3]+ +p[v>>3];u=u+1|0}while((u|0)!=(b|0));s=s+1|0}while((s|0)<(Hc[k[(k[m>>2]|0)+12>>2]&511](m)|0))}while(0);s=k[g>>2]|0;if(s)Tqa(s);k[g>>2]=0;Tqa(e);cp(i,c,298);if((k[c>>2]|0)!=300?(ap(i),(i|0)!=0):0)Ec[k[(k[i>>2]|0)+4>>2]&1023](i);if(m)Ec[k[(k[m>>2]|0)+4>>2]&1023](m)}h=j;r=a;return h|0}function Pha(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,136056,76);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138230,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,518,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function Qha(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,136056,76);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,521,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function Rha(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;a=r;r=r+192|0;d=a+180|0;e=a+176|0;f=a+40|0;g=a+24|0;h=a+12|0;i=a;cp(c,e,298);switch(k[e>>2]|0){case 300:{nd[k[(k[c>>2]|0)+232>>2]&1023](c,b,206);r=a;return}case 302:{nd[k[(k[c>>2]|0)+228>>2]&1023](c,b,206);r=a;return}default:{a=f+56|0;b=f+4|0;k[f>>2]=27524;k[a>>2]=27544;B=0;wa(508,f+56|0,b|0);c=B;B=0;if(c&1){c=Rb()|0;j=Q;l=c;vva(a);Qb(l|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[a>>2]=27488;B=0;va(448,b|0);c=B;B=0;do if(c&1){m=Rb()|0;n=Q;o=m}else{k[b>>2]=27560;m=f+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[f+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,b|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(b);n=q;o=p;break}Yua(d);B=0;p=Ia(40,f|0,144639,5)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[e>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,146481,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,g|0,136056,76);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,137199,23);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(g);u=p;v=q;break}B=0;wa(510,i|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,g|0,h|0,534,i|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(i);w=p;x=q;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(a);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[f>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(a);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[f>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(a);Qb(C|0)}while(0);j=n;l=o;vva(a);Qb(l|0)}}}function Sha(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;a=r;r=r+32|0;c=a+16|0;d=a+8|0;e=a;f=b+44|0;cO(k[f>>2]|0,c,247);if((k[c>>2]|0)!=252){r=a;return}dO(k[f>>2]|0,d,252);f=b+20|0;if((th(k[f>>2]|0)|0)>0)g=0;else{r=a;return}do{b=qh(k[f>>2]|0,g)|0;c=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;h=Hc[k[(k[b>>2]|0)+304>>2]&511](b)|0;i=Wo(b,353)|0;if((c|0)<=0){if(h)j=10}else{l=0;do{m=k[(k[h>>2]|0)+32>>2]|0;n=Hc[k[(k[b>>2]|0)+128>>2]&511](b)|0;nd[m&1023](h,n,l);n=ed[k[(k[b>>2]|0)+156>>2]&511](b,l)|0;nd[k[(k[i>>2]|0)+48>>2]&1023](i,e,h);if(+p[e>>3]<+p[d>>3])Un(n,0,1.0);else Zn(n,0);l=l+1|0}while((l|0)!=(c|0));j=10}if((j|0)==10){j=0;Ec[k[(k[h>>2]|0)+4>>2]&1023](h)}g=g+1|0}while((g|0)<(th(k[f>>2]|0)|0));r=a;return}function Tha(a){a=a|0;Sqa(a);return}function Uha(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;b=r;r=r+352|0;c=b+336|0;d=b+332|0;e=b+184|0;f=b+320|0;g=b+176|0;h=b+40|0;i=b+24|0;j=b+12|0;l=b;cO(k[a+44>>2]|0,d,247);switch(k[d>>2]|0){case 250:{a:do if(BY()|0){m=e+56|0;n=e+4|0;k[e>>2]=27524;k[m>>2]=27544;B=0;wa(508,e+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;q=o;vva(m);Qb(q|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[m>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){s=Rb()|0;t=Q;u=s}else{k[n>>2]=27560;s=e+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,n|0,c|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(c);Yua(s);Ava(n);t=w;u=v;break}Yua(c);B=0;Ia(40,e|0,136296,38)|0;v=B;B=0;do if(!(v&1)?(B=0,wa(510,f|0,n|0),w=B,B=0,!(w&1)):0){B=0;ya(425,f|0)|0;w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(f);y=x;z=w;break}else{Yua(f);k[e>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);break a}}else A=15;while(0);if((A|0)==15){v=Rb()|0;y=Q;z=v}k[e>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);C=y;D=z;Qb(D|0)}while(0);p=t;q=u;vva(m);Qb(q|0)}while(0);oi(a);pi(a);mi(a);r=b;return}case 251:{ni(a);k[g>>2]=60;k[g+4>>2]=1;k[c>>2]=k[g>>2];k[c+4>>2]=k[g+4>>2];Fh(a,c);r=b;return}case 252:case 253:{r=b;return}default:{b=h+56|0;a=h+4|0;k[h>>2]=27524;k[b>>2]=27544;B=0;wa(508,h+56|0,a|0);g=B;B=0;if(g&1){g=Rb()|0;E=Q;F=g;vva(b);Qb(F|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[b>>2]=27488;B=0;va(448,a|0);g=B;B=0;do if(g&1){q=Rb()|0;G=Q;H=q}else{k[a>>2]=27560;q=h+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,a|0,c|0);u=B;B=0;if(u&1){u=Rb()|0;t=Q;Yua(c);Yua(q);Ava(a);G=t;H=u;break}Yua(c);B=0;u=Ia(40,h|0,136335,11)|0;t=B;B=0;b:do if((((!(t&1)?(B=0,p=ya(427,k[d>>2]|0)|0,z=B,B=0,!(z&1)):0)?(z=Lta(p)|0,B=0,y=Ia(40,u|0,p|0,z|0)|0,z=B,B=0,!(z&1)):0)?(B=0,z=Ia(40,y|0,146481,18)|0,y=B,B=0,!(y&1)):0)?(B=0,Xa(239,z|0,0)|0,z=B,B=0,!(z&1)):0){z=Ab(20)|0;B=0;eb(502,i|0,136347,76);y=B;B=0;do if(!(y&1)){B=0;eb(502,j|0,136424,8);p=B;B=0;if(p&1){p=Rb()|0;e=Q;Yua(i);I=e;J=p;break}B=0;wa(510,l|0,a|0);p=B;B=0;if(p&1){p=Rb()|0;K=1;L=Q;M=p}else{B=0;ua(163,z|0,i|0,j|0,31,l|0);p=B;B=0;if(p&1)N=1;else{B=0;eb(503,z|0,1240,229);B=0;N=0}p=Rb()|0;e=Q;Yua(l);K=N;L=e;M=p}Yua(j);Yua(i);if(K){I=L;J=M}else{O=L;P=M;break b}}else{p=Rb()|0;I=Q;J=p}while(0);zb(z|0);O=I;P=J}else A=38;while(0);if((A|0)==38){u=Rb()|0;O=Q;P=u}k[h>>2]=27468;k[b>>2]=27488;k[a>>2]=27560;Yua(q);Ava(a);vva(b);C=O;D=P;Qb(D|0)}while(0);E=G;F=H;vva(b);Qb(F|0)}}}function Vha(a,b,c){a=a|0;b=b|0;c=c|0;return}function Wha(a,b,c){a=a|0;b=b|0;c=c|0;return}function Xha(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;a=r;r=r+16|0;d=a+8|0;e=a;if((k[c+40>>2]|0)!=300){k[e>>2]=136615;k[e+4>>2]=136636;Ska(c,2,e)}hoa(b,c,531,738,534);k[d>>2]=136615;k[d+4>>2]=136636;Lka(c,2,d);r=a;return}function Yha(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 1}function Zha(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0;a=c+56|0;f=k[a>>2]|0;if((f|0)>0){g=c+32|0;h=f;f=0;j=0;while(1){if(!(i[(k[g>>2]|0)+j>>0]|0)){l=h;m=f}else{n=qh(b,f)|0;Uc[k[(k[n>>2]|0)+480>>2]&63](n,j,c,d,e,738);l=k[a>>2]|0;m=f+1|0}j=j+1|0;if((j|0)>=(l|0))break;else{h=l;f=m}}}if((k[c+40>>2]|0)==300)return;Zka(c,b,136615,287);Zka(c,b,136636,288);return}function _ha(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return}function $ha(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;a=r;r=r+320|0;c=a+304|0;d=a+316|0;e=a+300|0;f=a+152|0;g=a+288|0;h=a+16|0;j=a;l=b+44|0;bO(k[l>>2]|0,d,759);cO(k[l>>2]|0,e,991);xh(b,531);a:do if(CY()|0){l=f+56|0;m=f+4|0;k[f>>2]=27524;k[l>>2]=27544;B=0;wa(508,f+56|0,m|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;p=n;vva(l);Qb(p|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[l>>2]=27488;B=0;va(448,m|0);n=B;B=0;do if(n&1){q=Rb()|0;s=Q;t=q}else{k[m>>2]=27560;q=f+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,m|0,c|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(c);Yua(q);Ava(m);s=v;t=u;break}Yua(c);B=0;u=Ia(40,f|0,136457,17)|0;v=B;B=0;do if((((!(v&1)?(B=0,w=ya(427,k[e>>2]|0)|0,x=B,B=0,!(x&1)):0)?(x=Lta(w)|0,B=0,y=Ia(40,u|0,w|0,x|0)|0,x=B,B=0,!(x&1)):0)?(B=0,Ia(40,y|0,136475,27)|0,y=B,B=0,!(y&1)):0)?(B=0,wa(510,g|0,m|0),y=B,B=0,!(y&1)):0){B=0;ya(425,g|0)|0;y=B;B=0;if(y&1){y=Rb()|0;x=Q;Yua(g);z=x;A=y;break}else{Yua(g);k[f>>2]=27468;k[l>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(l);break a}}else C=17;while(0);if((C|0)==17){u=Rb()|0;z=Q;A=u}k[f>>2]=27468;k[l>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(l);D=z;E=A;Qb(E|0)}while(0);o=s;p=t;vva(l);Qb(p|0)}while(0);Voa(b);if(!(i[d>>0]|0)){r=a;return}b:do if(CY()|0){d=h+56|0;p=h+4|0;k[h>>2]=27524;k[d>>2]=27544;B=0;wa(508,h+56|0,p|0);t=B;B=0;if(t&1){t=Rb()|0;F=Q;G=t;vva(d);Qb(G|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[d>>2]=27488;B=0;va(448,p|0);t=B;B=0;do if(t&1){s=Rb()|0;H=Q;I=s}else{k[p>>2]=27560;s=h+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,p|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;A=Q;Yua(c);Yua(s);Ava(p);H=A;I=o;break}Yua(c);B=0;Ia(40,h|0,148942,18)|0;o=B;B=0;do if(!(o&1)?(B=0,wa(510,j|0,p|0),A=B,B=0,!(A&1)):0){B=0;ya(425,j|0)|0;A=B;B=0;if(A&1){A=Rb()|0;z=Q;Yua(j);J=z;K=A;break}else{Yua(j);k[h>>2]=27468;k[d>>2]=27488;k[p>>2]=27560;Yua(s);Ava(p);vva(d);break b}}else C=34;while(0);if((C|0)==34){o=Rb()|0;J=Q;K=o}k[h>>2]=27468;k[d>>2]=27488;k[p>>2]=27560;Yua(s);Ava(p);vva(d);D=J;E=K;Qb(E|0)}while(0);F=H;G=I;vva(d);Qb(G|0)}while(0);fi(b,b+48|0,e,1,1);r=a;return}function aia(a,b){a=a|0;b=b|0;return 0}function bia(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,136503,81);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,81,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function cia(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0;a=r;r=r+32|0;c=a+20|0;d=a+16|0;e=a+12|0;f=a;g=a+8|0;k[g>>2]=0;cp(b,c,298);a:do switch(k[c>>2]|0){case 302:{cp(b,d,991);h=(k[d>>2]|0)==353?2:3;i=b;break}case 300:{h=1;i=b;break}default:if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){h=0;i=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;break a}else{j=0;r=a;return j|0}}while(0);cp(i,e,298);b=k[e>>2]|0;e=(b|0)==300;d=(b|0)==302;b=d?3:e?2:1;c=Hc[k[(k[i>>2]|0)+164>>2]&511](i)|0;l=gq(i,534)|0;m=ma(b,c)|0;n=Rqa(m>>>0>536870911?-1:m<<3)|0;m=Rqa(d?72:e?32:8)|0;Wo(i,993)|0;Wo(i,994)|0;Uo(i,g);e=ed[k[(k[i>>2]|0)+308>>2]&511](i,2)|0;d=Hc[k[(k[e>>2]|0)+8>>2]&511](e)|0;if((d|0)<(Hc[k[(k[e>>2]|0)+12>>2]&511](e)|0)){o=e+8|0;q=l+12|0;s=b<<3;t=(b>>>0>1?b:1)<<3;u=d;do{Fc[k[(k[e>>2]|0)+24>>2]&1023](e,u);rd[k[(k[i>>2]|0)+260>>2]&511](i,f,k[g>>2]|0,e);d=Hc[k[(k[i>>2]|0)+164>>2]&511](i)|0;v=Rqa(d>>>0>536870911?-1:d<<3)|0;nd[k[(k[i>>2]|0)+336>>2]&1023](i,v,e);Tqa(v);v=k[g>>2]|0;d=Hc[k[(k[i>>2]|0)+164>>2]&511](i)|0;w=ma(d,b)|0;x=Rqa(w>>>0>536870911?-1:w<<3)|0;rd[k[(k[i>>2]|0)+340>>2]&511](i,x,v,e);if((d|0)>0){v=0;do{w=0;do{y=(ma(w,d)|0)+v|0;p[n+(y<<3)>>3]=+p[x+(y<<3)>>3];w=w+1|0}while((w|0)!=(b|0));v=v+1|0}while((v|0)!=(d|0))}Tqa(x);z=+p[o>>3]*+p[f>>3];d=0;do{v=ma(d,b)|0;if((d|0)<2){w=0;do{p[m+(w+v<<3)>>3]=(d|0)==(w|0)?z:0.0;w=w+1|0}while((w|0)<(b|0))}else WEa(m+(ma(s,d)|0)|0,0,t|0)|0;d=d+1|0}while((d|0)<(b|0));ZX(n,b,c,1,m,b,b,0,n,b,c,0,k[q>>2]|0,1)|0;u=u+1|0}while((u|0)<(Hc[k[(k[e>>2]|0)+12>>2]&511](e)|0))}u=k[g>>2]|0;if(u)Tqa(u);k[g>>2]=0;Tqa(n);Tqa(m);Ec[k[(k[e>>2]|0)+4>>2]&1023](e);if(h){j=l;r=a;return j|0}ap(i);if(!i){j=l;r=a;return j|0}Ec[k[(k[i>>2]|0)+4>>2]&1023](i);j=l;r=a;return j|0}function dia(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;a=r;r=r+16|0;c=a+4|0;d=a;cp(b,c,298);a:do switch(k[c>>2]|0){case 302:{cp(b,d,991);e=(k[d>>2]|0)==353?2:3;f=b;break}case 300:{e=1;f=b;break}default:if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){e=0;f=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;break a}else{g=0;r=a;return g|0}}while(0);b=Hc[k[(k[f>>2]|0)+164>>2]&511](f)|0;d=iq(f,534)|0;if((b|0)>0)WEa(k[d+4>>2]|0,0,b<<3|0)|0;if(e){g=d;r=a;return g|0}ap(f);if(!f){g=d;r=a;return g|0}Ec[k[(k[f>>2]|0)+4>>2]&1023](f);g=d;r=a;return g|0}function eia(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,136503,81);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138230,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,298,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function fia(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,136503,81);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,301,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function gia(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;a=r;r=r+16|0;d=a+8|0;e=a+4|0;f=a;cp(c,d,298);switch(k[d>>2]|0){case 302:{cp(c,e,991);d=(k[e>>2]|0)==353;cp(c,f,991);e=k[c>>2]|0;if(d){nd[k[e+228>>2]&1023](c,b,k[f>>2]|0);r=a;return}else{nd[k[e+232>>2]&1023](c,b,k[f>>2]|0);r=a;return}break}case 300:{cp(c,f,991);nd[k[(k[c>>2]|0)+232>>2]&1023](c,b,k[f>>2]|0);r=a;return}default:{cp(c,f,991);nd[k[(k[c>>2]|0)+232>>2]&1023](c,b,k[f>>2]|0);r=a;return}}}function hia(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;a=r;r=r+32|0;c=a+16|0;d=a+8|0;e=a;f=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;cp(b,c,991);g=Wo(b,206)|0;h=Wo(b,k[c>>2]|0)|0;c=Hc[k[(k[b>>2]|0)+304>>2]&511](b)|0;if((f|0)>0){i=0;do{j=k[(k[c>>2]|0)+32>>2]|0;l=Hc[k[(k[b>>2]|0)+128>>2]&511](b)|0;nd[j&1023](c,l,i);l=ed[k[(k[b>>2]|0)+156>>2]&511](b,i)|0;nd[k[(k[g>>2]|0)+48>>2]&1023](g,d,c);do if(ao(l)|0)if(!(+p[d>>3]<=0.0)){Zn(l,0);break}else{nd[k[(k[h>>2]|0)+48>>2]&1023](h,e,c);Un(l,0,+p[e>>3]);break}while(0);i=i+1|0}while((i|0)!=(f|0))}if(!c){r=a;return}Ec[k[(k[c>>2]|0)+4>>2]&1023](c);r=a;return}function iia(a,b){a=a|0;b=b|0;var c=0;a=b+20|0;if((th(k[a>>2]|0)|0)>0)c=0;else return;do{hia(0,qh(k[a>>2]|0,c)|0);c=c+1|0}while((c|0)<(th(k[a>>2]|0)|0));return}function jia(a){a=a|0;Sqa(a);return}function kia(a,b,c){a=a|0;b=b|0;c=c|0;return}function lia(a,b,c){a=a|0;b=b|0;c=c|0;return}function mia(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;a=r;r=r+16|0;d=a+8|0;e=a;if((k[c+40>>2]|0)!=300){k[e>>2]=136615;k[e+4>>2]=136636;Ska(c,2,e)}hoa(b,c,532,738,534);k[d>>2]=136615;k[d+4>>2]=136636;Lka(c,2,d);r=a;return}function nia(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 1}function oia(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0;a=c+56|0;f=k[a>>2]|0;if((f|0)<=0){Zka(c,b,137867,206);return}g=c+32|0;h=f;f=0;j=0;while(1){if(!(i[(k[g>>2]|0)+j>>0]|0)){l=h;m=f}else{n=qh(b,f)|0;Uc[k[(k[n>>2]|0)+480>>2]&63](n,j,c,d,e,738);l=k[a>>2]|0;m=f+1|0}j=j+1|0;if((j|0)>=(l|0))break;else{h=l;f=m}}Zka(c,b,137867,206);return}function pia(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return}function qia(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0;c=r;r=r+928|0;d=c+904|0;e=c+916|0;f=c+876|0;g=c+728|0;h=c+892|0;j=c+592|0;l=c+880|0;m=c+440|0;n=c+864|0;o=c+304|0;p=c+576|0;q=c+168|0;s=c+152|0;t=c+16|0;u=c;k[f>>2]=0;bO(k[b+44>>2]|0,e,759);xh(b,532);a:do if(CY()|0){v=g+56|0;w=g+4|0;k[g>>2]=27524;k[v>>2]=27544;B=0;wa(508,g+56|0,w|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;z=x;vva(v);Qb(z|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[v>>2]=27488;B=0;va(448,w|0);x=B;B=0;do if(x&1){A=Rb()|0;C=Q;D=A}else{k[w>>2]=27560;A=g+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[g+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,w|0,d|0);E=B;B=0;if(E&1){E=Rb()|0;F=Q;Yua(d);Yua(A);Ava(w);C=F;D=E;break}Yua(d);B=0;Ia(40,g|0,136660,34)|0;E=B;B=0;do if(!(E&1)?(B=0,wa(510,h|0,w|0),F=B,B=0,!(F&1)):0){B=0;ya(425,h|0)|0;F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(h);H=G;I=F;break}else{Yua(h);k[g>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);break a}}else J=14;while(0);if((J|0)==14){E=Rb()|0;H=Q;I=E}k[g>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);K=H;L=I;Qb(L|0)}while(0);y=C;z=D;vva(v);Qb(z|0)}while(0);ria(a,b);a=j+56|0;z=j+4|0;D=j+56|0;C=j+128|0;y=j+132|0;I=j+36|0;H=j+52|0;g=m+56|0;h=m+4|0;w=m+56|0;x=m+128|0;E=m+132|0;F=m+36|0;G=m+52|0;M=o+56|0;N=o+4|0;O=o+56|0;P=o+128|0;R=o+132|0;S=o+36|0;T=o+52|0;U=0;V=1;while(1){k[j>>2]=27524;k[a>>2]=27544;B=0;wa(508,D|0,z|0);W=B;B=0;if(W&1){J=22;break}k[C>>2]=0;k[y>>2]=-1;k[j>>2]=27468;k[a>>2]=27488;B=0;va(448,z|0);W=B;B=0;if(W&1){J=23;break}k[z>>2]=27560;k[I>>2]=0;k[I+4>>2]=0;k[I+8>>2]=0;k[I+12>>2]=0;k[H>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,z|0,d|0);W=B;B=0;if(W&1){J=21;break}Yua(d);B=0;Ia(40,j|0,136695,20)|0;W=B;B=0;if(W&1){J=44;break}B=0;wa(510,l|0,z|0);W=B;B=0;if(W&1){J=44;break}B=0;ya(424,l|0)|0;W=B;B=0;if(W&1){J=45;break}Yua(l);k[j>>2]=27468;k[a>>2]=27488;k[z>>2]=27560;Yua(I);Ava(z);vva(a);kpa(b);if(CY()|0){k[m>>2]=27524;k[g>>2]=27544;B=0;wa(508,w|0,h|0);W=B;B=0;if(W&1){J=34;break}k[x>>2]=0;k[E>>2]=-1;k[m>>2]=27468;k[g>>2]=27488;B=0;va(448,h|0);W=B;B=0;if(W&1){J=35;break}k[h>>2]=27560;k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;k[F+12>>2]=0;k[G>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);W=B;B=0;if(W&1){J=33;break}Yua(d);B=0;W=Ia(40,m|0,136716,53)|0;X=B;B=0;if(X&1){J=47;break}B=0;X=Xa(242,W|0,V|0)|0;W=B;B=0;if(W&1){J=47;break}B=0;Ia(40,X|0,136770,2)|0;X=B;B=0;if(X&1){J=47;break}B=0;wa(510,n|0,h|0);X=B;B=0;if(X&1){J=47;break}B=0;ya(425,n|0)|0;X=B;B=0;if(X&1){J=48;break}Yua(n);k[m>>2]=27468;k[g>>2]=27488;k[h>>2]=27560;Yua(F);Ava(h);vva(g)}Voa(b);Aoa(f,b);if((V|0)>1){if(CY()|0){k[o>>2]=27524;k[M>>2]=27544;B=0;wa(508,O|0,N|0);X=B;B=0;if(X&1){J=56;break}k[P>>2]=0;k[R>>2]=-1;k[o>>2]=27468;k[M>>2]=27488;B=0;va(448,N|0);X=B;B=0;if(X&1){J=57;break}k[N>>2]=27560;k[S>>2]=0;k[S+4>>2]=0;k[S+8>>2]=0;k[S+12>>2]=0;k[T>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,N|0,d|0);X=B;B=0;if(X&1){J=55;break}Yua(d);B=0;Ia(40,o|0,136773,41)|0;X=B;B=0;if(X&1){J=64;break}B=0;wa(510,p|0,N|0);X=B;B=0;if(X&1){J=64;break}B=0;ya(425,p|0)|0;X=B;B=0;if(X&1){J=65;break}Yua(p);k[o>>2]=27468;k[M>>2]=27488;k[N>>2]=27560;Yua(S);Ava(N);vva(M)}if(sia(0,k[f>>2]|0,U,.05)|0){J=95;break}if((V|0)>3){J=69;break}}if(U){if((k[U>>2]|0)!=0?(X=k[U+4>>2]|0,(X|0)!=0):0){W=k[X>>2]|0;if(W)Ec[k[(k[W>>2]|0)+4>>2]&1023](W);Sqa(X)}Sqa(U)}U=k[f>>2]|0;V=V+1|0}b:switch(J|0){case 21:{V=Rb()|0;f=Q;Yua(d);Yua(I);Ava(z);Y=f;Z=V;J=24;break}case 22:{V=Rb()|0;_=Q;$=V;vva(a);Qb($|0);break}case 23:{V=Rb()|0;Y=Q;Z=V;J=24;break}case 33:{V=Rb()|0;f=Q;Yua(d);Yua(F);Ava(h);aa=f;ba=V;J=36;break}case 34:{V=Rb()|0;ca=Q;da=V;vva(g);Qb(da|0);break}case 35:{V=Rb()|0;aa=Q;ba=V;J=36;break}case 44:{V=Rb()|0;ea=Q;fa=V;J=46;break}case 45:{V=Rb()|0;f=Q;Yua(l);ea=f;fa=V;J=46;break}case 47:{V=Rb()|0;ga=Q;ha=V;J=49;break}case 48:{V=Rb()|0;f=Q;Yua(n);ga=f;ha=V;J=49;break}case 55:{V=Rb()|0;f=Q;Yua(d);Yua(S);Ava(N);ia=f;ja=V;J=58;break}case 56:{V=Rb()|0;ka=Q;la=V;vva(M);Qb(la|0);break}case 57:{V=Rb()|0;ia=Q;ja=V;J=58;break}case 64:{V=Rb()|0;ma=Q;na=V;J=66;break}case 65:{V=Rb()|0;f=Q;Yua(p);ma=f;na=V;J=66;break}case 69:{if(CY()|0){V=q+56|0;f=q+4|0;k[q>>2]=27524;k[V>>2]=27544;B=0;wa(508,q+56|0,f|0);p=B;B=0;if(p&1){p=Rb()|0;oa=Q;pa=p;vva(V);Qb(pa|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[V>>2]=27488;B=0;va(448,f|0);p=B;B=0;do if(p&1){n=Rb()|0;qa=Q;ra=n}else{k[f>>2]=27560;n=q+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[q+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,f|0,d|0);l=B;B=0;if(l&1){l=Rb()|0;U=Q;Yua(d);Yua(n);Ava(f);qa=U;ra=l;break}Yua(d);B=0;l=Ia(40,q|0,136815,46)|0;U=B;B=0;do if(((!(U&1)?(B=0,T=Xa(242,l|0,3)|0,R=B,B=0,!(R&1)):0)?(B=0,Ia(40,T|0,136862,9)|0,T=B,B=0,!(T&1)):0)?(B=0,wa(510,s|0,f|0),T=B,B=0,!(T&1)):0){B=0;ya(425,s|0)|0;T=B;B=0;if(T&1){T=Rb()|0;R=Q;Yua(s);sa=R;ta=T;break}else{Yua(s);k[q>>2]=27468;k[V>>2]=27488;k[f>>2]=27560;Yua(n);Ava(f);vva(V);J=95;break b}}else J=84;while(0);if((J|0)==84){l=Rb()|0;sa=Q;ta=l}k[q>>2]=27468;k[V>>2]=27488;k[f>>2]=27560;Yua(n);Ava(f);vva(V);K=sa;L=ta;Qb(L|0)}while(0);oa=qa;pa=ra;vva(V);Qb(pa|0)}else J=95;break}}if((J|0)==24){_=Y;$=Z;vva(a);Qb($|0)}else if((J|0)==36){ca=aa;da=ba;vva(g);Qb(da|0)}else if((J|0)==46){k[j>>2]=27468;k[a>>2]=27488;k[z>>2]=27560;Yua(I);Ava(z);vva(a);K=ea;L=fa;Qb(L|0)}else if((J|0)==49){k[m>>2]=27468;k[g>>2]=27488;k[h>>2]=27560;Yua(F);Ava(h);vva(g);K=ga;L=ha;Qb(L|0)}else if((J|0)==58){ka=ia;la=ja;vva(M);Qb(la|0)}else if((J|0)==66){k[o>>2]=27468;k[M>>2]=27488;k[N>>2]=27560;Yua(S);Ava(N);vva(M);K=ma;L=na;Qb(L|0)}else if((J|0)==95){if(!(i[e>>0]|0)){r=c;return}c:do if(CY()|0){e=t+56|0;na=t+4|0;k[t>>2]=27524;k[e>>2]=27544;B=0;wa(508,t+56|0,na|0);ma=B;B=0;if(ma&1){ma=Rb()|0;ua=Q;xa=ma;vva(e);Qb(xa|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[e>>2]=27488;B=0;va(448,na|0);ma=B;B=0;do if(ma&1){M=Rb()|0;za=Q;Aa=M}else{k[na>>2]=27560;M=t+36|0;k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;k[M+12>>2]=0;k[t+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,na|0,d|0);N=B;B=0;if(N&1){N=Rb()|0;S=Q;Yua(d);Yua(M);Ava(na);za=S;Aa=N;break}Yua(d);B=0;Ia(40,t|0,148942,18)|0;N=B;B=0;do if(!(N&1)?(B=0,wa(510,u|0,na|0),S=B,B=0,!(S&1)):0){B=0;ya(425,u|0)|0;S=B;B=0;if(S&1){S=Rb()|0;o=Q;Yua(u);Ba=o;Ca=S;break}else{Yua(u);k[t>>2]=27468;k[e>>2]=27488;k[na>>2]=27560;Yua(M);Ava(na);vva(e);break c}}else J=109;while(0);if((J|0)==109){N=Rb()|0;Ba=Q;Ca=N}k[t>>2]=27468;k[e>>2]=27488;k[na>>2]=27560;Yua(M);Ava(na);vva(e);K=Ba;L=Ca;Qb(L|0)}while(0);ua=za;xa=Aa;vva(e);Qb(xa|0)}while(0);k[d>>2]=206;fi(b,b+48|0,d,1,1);r=c;return}}function ria(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;c=b+20|0;if((th(k[c>>2]|0)|0)>0){d=0;do{e=qh(k[c>>2]|0,d)|0;if((Hc[k[(k[e>>2]|0)+164>>2]&511](e)|0)>0){f=0;do{g=ed[k[(k[e>>2]|0)+156>>2]&511](e,f)|0;if(ao(g)|0)Zn(g,0);f=f+1|0}while((f|0)<(Hc[k[(k[e>>2]|0)+164>>2]&511](e)|0))}d=d+1|0}while((d|0)<(th(k[c>>2]|0)|0))}Aia(a,b);if((th(k[c>>2]|0)|0)>0)h=0;else return;do{b=qh(k[c>>2]|0,h)|0;if(ed[k[(k[b>>2]|0)+256>>2]&511](b,206)|0){a=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;d=Rqa(a>>>0>536870911?-1:a<<3)|0;vp(b,d,206);if((a|0)>0){e=0;do{f=ed[k[(k[b>>2]|0)+156>>2]&511](b,e)|0;if(ao(f)|0)Un(f,0,+p[d+(e<<3)>>3]);e=e+1|0}while((e|0)!=(a|0))}Tqa(d)}h=h+1|0}while((h|0)<(th(k[c>>2]|0)|0));return}function sia(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0;a=r;r=r+496|0;e=a+472|0;f=a+312|0;g=a+460|0;h=a+448|0;i=a+160|0;j=a+176|0;l=a+12|0;m=a+24|0;n=a;o=Qqa(8)|0;B=0;va(485,o|0);q=B;B=0;if(q&1){q=Rb()|0;Sqa(o);Qb(q|0)}if((k[c>>2]|0)!=0?(q=c+4|0,s=k[q>>2]|0,u=Qqa(4)|0,v=k[s>>2]|0,w=Hc[k[(k[v>>2]|0)+36>>2]&511](v)|0,k[u>>2]=w,v=k[s>>2]|0,Fc[k[(k[v>>2]|0)+60>>2]&1023](v,w),k[o+4>>2]=u,(k[c>>2]|0)!=0):0){w=k[k[q>>2]>>2]|0;Fc[k[(k[w>>2]|0)+60>>2]&1023](w,k[u>>2]|0)}if((k[o>>2]|0)!=0?(u=o+4|0,w=k[k[u>>2]>>2]|0,Xc[k[(k[w>>2]|0)+48>>2]&63](w,k[k[b+4>>2]>>2]|0,-1.0),(k[o>>2]|0)!=0):0){b=k[k[u>>2]>>2]|0;x=+id[k[(k[b>>2]|0)+64>>2]&63](b,1)}else x=0.0;if(!(k[c>>2]|0))y=0.0;else{b=k[k[c+4>>2]>>2]|0;y=+id[k[(k[b>>2]|0)+64>>2]&63](b,1)}z=+$(+x);p[t>>3]=z;b=k[t+4>>2]|0;if(!(b>>>0>2146435072|(b|0)==2146435072&(k[t>>2]|0)>>>0>0)?(z=+$(+y),p[t>>3]=z,b=k[t+4>>2]|0,!(b>>>0>2146435072|(b|0)==2146435072&(k[t>>2]|0)>>>0>0)):0){z=x/y;b=EY()|0;a:do if(z<d)if(b){c=j+56|0;u=j+4|0;k[j>>2]=27524;k[c>>2]=27544;B=0;wa(508,j+56|0,u|0);w=B;B=0;if(w&1){w=Rb()|0;A=Q;C=w;vva(c);Qb(C|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[c>>2]=27488;B=0;va(448,u|0);w=B;B=0;do if(w&1){q=Rb()|0;D=Q;E=q}else{k[u>>2]=27560;q=j+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[j+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,u|0,e|0);v=B;B=0;if(v&1){v=Rb()|0;s=Q;Yua(e);Yua(q);Ava(u);D=s;E=v;break}Yua(e);B=0;v=Ia(40,j|0,149177,1)|0;s=B;B=0;do if((((!(s&1)?(k[v+(k[(k[v>>2]|0)+-12>>2]|0)+12>>2]=50,F=v+(k[(k[v>>2]|0)+-12>>2]|0)+4|0,k[F>>2]=k[F>>2]&-177|32,B=0,F=Ia(40,v|0,136978,41)|0,G=B,B=0,!(G&1)):0)?(B=0,G=Sa(1,F|0,+(z*100.0))|0,F=B,B=0,!(F&1)):0)?(B=0,F=Ia(40,G|0,148270,3)|0,G=B,B=0,!(G&1)):0)?(B=0,G=Sa(1,F|0,+(d*100.0))|0,F=B,B=0,!(F&1)):0){B=0;Ia(40,G|0,148274,3)|0;G=B;B=0;if(G&1){H=55;break}B=0;wa(510,l|0,u|0);G=B;B=0;if(G&1){H=55;break}B=0;ya(425,l|0)|0;G=B;B=0;if(G&1){G=Rb()|0;F=Q;Yua(l);I=F;J=G;break}else{Yua(l);k[j>>2]=27468;k[c>>2]=27488;k[u>>2]=27560;Yua(q);Ava(u);vva(c);K=1;break a}}else H=55;while(0);if((H|0)==55){v=Rb()|0;I=Q;J=v}k[j>>2]=27468;k[c>>2]=27488;k[u>>2]=27560;Yua(q);Ava(u);vva(c);L=I;M=J;Qb(M|0)}while(0);A=D;C=E;vva(c);Qb(C|0)}else K=1;else if(b){u=m+56|0;w=m+4|0;k[m>>2]=27524;k[u>>2]=27544;B=0;wa(508,m+56|0,w|0);v=B;B=0;if(v&1){v=Rb()|0;N=Q;O=v;vva(u);Qb(O|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[u>>2]=27488;B=0;va(448,w|0);v=B;B=0;do if(v&1){s=Rb()|0;P=Q;R=s}else{k[w>>2]=27560;s=m+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[m+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,w|0,e|0);G=B;B=0;if(G&1){G=Rb()|0;F=Q;Yua(e);Yua(s);Ava(w);P=F;R=G;break}Yua(e);B=0;G=Ia(40,m|0,149177,1)|0;F=B;B=0;do if((((!(F&1)?(k[G+(k[(k[G>>2]|0)+-12>>2]|0)+12>>2]=50,S=G+(k[(k[G>>2]|0)+-12>>2]|0)+4|0,k[S>>2]=k[S>>2]&-177|32,B=0,S=Ia(40,G|0,136978,41)|0,T=B,B=0,!(T&1)):0)?(B=0,T=Sa(1,S|0,+(z*100.0))|0,S=B,B=0,!(S&1)):0)?(B=0,S=Ia(40,T|0,148278,3)|0,T=B,B=0,!(T&1)):0)?(B=0,T=Sa(1,S|0,+(d*100.0))|0,S=B,B=0,!(S&1)):0){B=0;Ia(40,T|0,148274,3)|0;T=B;B=0;if(T&1){H=76;break}B=0;wa(510,n|0,w|0);T=B;B=0;if(T&1){H=76;break}B=0;ya(425,n|0)|0;T=B;B=0;if(T&1){T=Rb()|0;S=Q;Yua(n);U=S;V=T;break}else{Yua(n);k[m>>2]=27468;k[u>>2]=27488;k[w>>2]=27560;Yua(s);Ava(w);vva(u);K=0;break a}}else H=76;while(0);if((H|0)==76){G=Rb()|0;U=Q;V=G}k[m>>2]=27468;k[u>>2]=27488;k[w>>2]=27560;Yua(s);Ava(w);vva(u);L=U;M=V;Qb(M|0)}while(0);N=P;O=R;vva(u);Qb(O|0)}else K=0;while(0);if(!(k[o>>2]|0)){Sqa(o);r=a;return K|0}O=k[o+4>>2]|0;if(!O){Sqa(o);r=a;return K|0}R=k[O>>2]|0;if(R)Ec[k[(k[R>>2]|0)+4>>2]&1023](R);Sqa(O);Sqa(o);r=a;return K|0}K=f+56|0;a=f+4|0;k[f>>2]=27524;k[K>>2]=27544;B=0;wa(508,f+56|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;W=Q;X=o;vva(K);Qb(X|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[K>>2]=27488;B=0;va(448,a|0);o=B;B=0;do if(o&1){O=Rb()|0;Y=Q;Z=O}else{k[a>>2]=27560;O=f+36|0;k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;k[O+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,a|0,e|0);R=B;B=0;if(R&1){R=Rb()|0;P=Q;Yua(e);Yua(O);Ava(a);Y=P;Z=R;break}Yua(e);B=0;R=Ia(40,f|0,148282,29)|0;P=B;B=0;b:do if(!(P&1)?(B=0,Xa(239,R|0,0)|0,N=B,B=0,!(N&1)):0){N=Ab(20)|0;B=0;eb(502,g|0,136872,87);V=B;B=0;do if(!(V&1)){B=0;eb(502,h|0,136960,17);U=B;B=0;if(U&1){U=Rb()|0;m=Q;Yua(g);_=m;aa=U;break}B=0;wa(510,i|0,a|0);U=B;B=0;if(U&1){U=Rb()|0;ba=Q;ca=U;da=1}else{B=0;ua(163,N|0,g|0,h|0,394,i|0);U=B;B=0;if(U&1)ea=1;else{B=0;eb(503,N|0,1240,229);B=0;ea=0}U=Rb()|0;m=Q;Yua(i);ba=m;ca=U;da=ea}Yua(h);Yua(g);if(da){_=ba;aa=ca}else{fa=ba;ga=ca;break b}}else{U=Rb()|0;_=Q;aa=U}while(0);zb(N|0);fa=_;ga=aa}else H=28;while(0);if((H|0)==28){R=Rb()|0;fa=Q;ga=R}k[f>>2]=27468;k[K>>2]=27488;k[a>>2]=27560;Yua(O);Ava(a);vva(K);L=fa;M=ga;Qb(M|0)}while(0);W=Y;X=Z;vva(K);Qb(X|0);return 0}function tia(a,b){a=a|0;b=b|0;return 0}function uia(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,136872,87);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,108,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function via(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0;a=r;r=r+32|0;c=a+8|0;d=a;e=a+16|0;k[e>>2]=0;f=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;g=gq(b,534)|0;h=Rqa(f>>>0>536870911?-1:f<<3)|0;i=f<<1;j=Rqa(i>>>0>536870911?-1:i<<3)|0;i=Rqa(32)|0;Uo(b,e);l=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;m=Hc[k[(k[l>>2]|0)+8>>2]&511](l)|0;if((m|0)<(Hc[k[(k[l>>2]|0)+12>>2]&511](l)|0)){n=l+8|0;o=g+12|0;q=i+8|0;s=i+16|0;t=i+24|0;u=m;do{Fc[k[(k[l>>2]|0)+24>>2]&1023](l,u);rd[k[(k[b>>2]|0)+260>>2]&511](b,c,k[e>>2]|0,l);p[d>>3]=+p[n>>3]*+p[c>>3];nd[k[(k[b>>2]|0)+336>>2]&1023](b,h,l);ZX(h,f,1,0,d,1,1,0,h,1,f,0,k[o>>2]|0,1)|0;m=k[e>>2]|0;v=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;w=v<<1;x=Rqa(w>>>0>536870911?-1:w<<3)|0;rd[k[(k[b>>2]|0)+340>>2]&511](b,x,m,l);if((v|0)>0){m=0;do{p[j+(m<<3)>>3]=+p[x+(m<<3)>>3];w=m+v|0;p[j+(w<<3)>>3]=+p[x+(w<<3)>>3];m=m+1|0}while((m|0)!=(v|0))}Tqa(x);y=+p[d>>3];p[i>>3]=y;p[q>>3]=0.0;p[s>>3]=0.0;p[t>>3]=y;ZX(j,2,f,1,i,2,2,0,j,2,f,0,k[o>>2]|0,1)|0;u=u+1|0}while((u|0)<(Hc[k[(k[l>>2]|0)+12>>2]&511](l)|0))}u=k[e>>2]|0;if(!u){k[e>>2]=0;Tqa(h);Tqa(j);Tqa(i);z=k[l>>2]|0;A=z+4|0;B=k[A>>2]|0;Ec[B&1023](l);r=a;return g|0}Tqa(u);k[e>>2]=0;Tqa(h);Tqa(j);Tqa(i);z=k[l>>2]|0;A=z+4|0;B=k[A>>2]|0;Ec[B&1023](l);r=a;return g|0}function wia(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0;a=r;r=r+32|0;c=a+8|0;d=a;e=a+16|0;f=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;k[e>>2]=0;g=Rqa(f>>>0>536870911?-1:f<<3)|0;h=f<<1;i=Rqa(h>>>0>536870911?-1:h<<3)|0;h=Rqa(16)|0;j=Rqa(16)|0;Uo(b,e);l=iq(b,534)|0;m=Wo(b,206)|0;n=Wo(b,993)|0;o=Wo(b,994)|0;q=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;s=Hc[k[(k[q>>2]|0)+8>>2]&511](q)|0;if((s|0)<(Hc[k[(k[q>>2]|0)+12>>2]&511](q)|0)){t=q+8|0;u=(f|0)>0;v=h+8|0;w=l+4|0;x=h+8|0;y=j+8|0;z=j+8|0;A=s;do{Fc[k[(k[q>>2]|0)+24>>2]&1023](q,A);rd[k[(k[b>>2]|0)+260>>2]&511](b,c,k[e>>2]|0,q);nd[k[(k[b>>2]|0)+336>>2]&1023](b,g,q);rd[k[(k[b>>2]|0)+340>>2]&511](b,i,k[e>>2]|0,q);B=+p[c>>3]*+p[t>>3];nd[k[(k[m>>2]|0)+48>>2]&1023](m,d,q);if(u){s=k[w>>2]|0;C=0;do{D=s+(C<<3)|0;p[D>>3]=B*+p[d>>3]*+p[g+(C<<3)>>3]+ +p[D>>3];C=C+1|0}while((C|0)!=(f|0))}nd[k[(k[n>>2]|0)+48>>2]&1023](n,h,q);nd[k[(k[o>>2]|0)+48>>2]&1023](o,v,q);E=+p[h>>3];F=+p[x>>3];G=+aa(+(E*E+0.0+F*F));if(G>0.0){H=E/G;p[j>>3]=H;E=F/G;p[y>>3]=E;I=E;J=H}else{k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;I=0.0;J=0.0}a:do if(u){C=k[w>>2]|0;H=J;E=I;s=0;while(1){D=C+(s<<3)|0;p[D>>3]=B*(+p[i+(s<<3)>>3]*H+0.0+ +p[i+(f+s<<3)>>3]*E)+ +p[D>>3];D=s+1|0;if((D|0)==(f|0))break a;H=+p[j>>3];E=+p[z>>3];s=D}}while(0);A=A+1|0}while((A|0)<(Hc[k[(k[q>>2]|0)+12>>2]&511](q)|0))}Tqa(g);Tqa(i);i=k[e>>2]|0;if(!i){k[e>>2]=0;Tqa(h);Tqa(j);r=a;return l|0}Tqa(i);k[e>>2]=0;Tqa(h);Tqa(j);r=a;return l|0}function xia(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;a=r;r=r+16|0;d=a;e=a+8|0;k[e>>2]=0;cp(c,a+12|0,299);f=Hc[k[(k[c>>2]|0)+164>>2]&511](c)|0;rp(c,e,534,943);g=Rqa(f>>>0>536870911?-1:f<<3)|0;h=Wo(c,206)|0;i=Hc[k[(k[c>>2]|0)+304>>2]&511](c)|0;if((f|0)>0){j=0;do{l=k[(k[i>>2]|0)+32>>2]|0;m=Hc[k[(k[c>>2]|0)+112>>2]&511](c)|0;nd[l&1023](i,m,j);nd[k[(k[h>>2]|0)+48>>2]&1023](h,d,i);p[g+(j<<3)>>3]=+p[d>>3];j=j+1|0}while((j|0)!=(f|0))}if(k[b>>2]|0){j=k[k[b+4>>2]>>2]|0;Dc[k[(k[j>>2]|0)+16>>2]&255](j,f,k[e>>2]|0,g,0)}if(i)Ec[k[(k[i>>2]|0)+4>>2]&1023](i);Tqa(g);g=k[e>>2]|0;if(!g){r=a;return}Tqa(g);r=a;return}function yia(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,136872,87);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,366,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function zia(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;a=r;r=r+192|0;d=a+180|0;e=a+176|0;f=a+40|0;g=a+24|0;h=a+12|0;i=a;cp(c,e,298);switch(k[e>>2]|0){case 300:{nd[k[(k[c>>2]|0)+232>>2]&1023](c,b,206);r=a;return}case 302:{nd[k[(k[c>>2]|0)+228>>2]&1023](c,b,206);r=a;return}default:{a=f+56|0;b=f+4|0;k[f>>2]=27524;k[a>>2]=27544;B=0;wa(508,f+56|0,b|0);c=B;B=0;if(c&1){c=Rb()|0;j=Q;l=c;vva(a);Qb(l|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[a>>2]=27488;B=0;va(448,b|0);c=B;B=0;do if(c&1){m=Rb()|0;n=Q;o=m}else{k[b>>2]=27560;m=f+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[f+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,b|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(b);n=q;o=p;break}Yua(d);B=0;p=Ia(40,f|0,144639,5)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[e>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,146481,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,g|0,136872,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,137199,23);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(g);u=p;v=q;break}B=0;wa(510,i|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,g|0,h|0,379,i|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(i);w=p;x=q;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(a);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[f>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(a);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[f>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(a);Qb(C|0)}while(0);j=n;l=o;vva(a);Qb(l|0)}}}function Aia(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0.0,j=0.0,l=0,m=0.0,n=0.0,o=0.0,q=0.0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;a=r;r=r+16|0;c=a;d=a+8|0;e=nn(k[b+28>>2]|0)|0;k[d>>2]=0;TZ(d,b,206,628);f=b+20|0;if((th(k[f>>2]|0)|0)>0){g=0;do{h=qh(k[f>>2]|0,g)|0;if(ed[k[(k[h>>2]|0)+256>>2]&511](h,206)|0)Bia(0,k[d>>2]|0,h);g=g+1|0}while((g|0)<(th(k[f>>2]|0)|0))}f=k[d>>2]|0;if(k[f>>2]|0){g=k[k[f+4>>2]>>2]|0;Ec[k[(k[g>>2]|0)+12>>2]&1023](g)}g=(e|0)>0;if(g){i=0.0;j=0.0;f=0;while(1){h=k[d>>2]|0;if(k[h>>2]|0){l=k[k[h+4>>2]>>2]|0;nd[k[(k[l>>2]|0)+24>>2]&1023](l,c,f)}m=+p[c>>3];if(m>0.0&m>j){n=i;o=m}else{n=m<0.0&m<i?m:i;o=j}f=f+1|0;if((f|0)==(e|0)){q=n;s=o;break}else{i=n;j=o}}f=k[d>>2]|0;l=(k[f>>2]|0)==0;if(g){o=s*3.0;s=q*3.0;g=l;h=f;t=0;while(1){if(!g){u=k[k[h+4>>2]>>2]|0;nd[k[(k[u>>2]|0)+24>>2]&1023](u,c,t)}q=+p[c>>3];if(q==1.0){u=k[d>>2]|0;if(k[u>>2]|0){v=k[k[u+4>>2]>>2]|0;Jc[k[(k[v>>2]|0)+20>>2]&1](v,t,o,0)}}else if(q==-1.0?(v=k[d>>2]|0,(k[v>>2]|0)!=0):0){u=k[k[v+4>>2]>>2]|0;Jc[k[(k[u>>2]|0)+20>>2]&1](u,t,s,0)}t=t+1|0;u=k[d>>2]|0;v=(k[u>>2]|0)==0;if((t|0)==(e|0)){w=u;x=v;break}else{g=v;h=u}}}else{w=f;x=l}if(x)y=w;else{z=w;A=26}}else{w=k[d>>2]|0;if(!(k[w>>2]|0))y=w;else{z=w;A=26}}if((A|0)==26){A=k[k[z+4>>2]>>2]|0;Ec[k[(k[A>>2]|0)+12>>2]&1023](A);y=k[d>>2]|0}if(!(k[y>>2]|0))B=0;else{A=k[k[y+4>>2]>>2]|0;B=Hc[k[(k[A>>2]|0)+52>>2]&511](A)|0}WZ(b,B,206,629);b=k[d>>2]|0;if(b){if((k[b>>2]|0)!=0?(d=k[b+4>>2]|0,(d|0)!=0):0){A=k[d>>2]|0;if(A)Ec[k[(k[A>>2]|0)+4>>2]&1023](A);Sqa(d)}Sqa(b)}if(!B){r=a;return}Sqa(B);r=a;return}function Bia(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0.0,o=0.0,q=0.0,s=0.0,t=0.0,u=0.0,v=0;a=r;r=r+16|0;d=a;e=a+12|0;f=a+8|0;if(!(ed[k[(k[c>>2]|0)+256>>2]&511](c,206)|0)){r=a;return}g=Hc[k[(k[c>>2]|0)+172>>2]&511](c)|0;h=g>>>0>536870911?-1:g<<3;i=Rqa(h)|0;j=Rqa(h)|0;l=Rqa(h)|0;k[e>>2]=0;k[f>>2]=0;Uo(c,e);xp(c,i,206);h=(g|0)>0;if(h){m=0;do{p[j+(m<<3)>>3]=+p[i+(m<<3)>>3]>=0.0?1.0:-1.0;m=m+1|0}while((m|0)!=(g|0))}rd[k[(k[c>>2]|0)+520>>2]&511](c,f,k[e>>2]|0,206);m=k[f>>2]|0;n=+p[m>>3];o=+p[m+8>>3];if(h){f=k[e>>2]|0;q=+p[m+24>>3]-n;s=+p[m+32>>3]-o;t=+aa(+(q*q+0.0+s*s));m=0;do{e=m*3|0;u=+$(+((+p[f+(e<<3)>>3]-n)*s-q*(+p[f+(e+1<<3)>>3]-o)))/t;p[l+(m<<3)>>3]=+p[j+(m<<3)>>3]*u;m=m+1|0}while((m|0)!=(g|0));if(h){h=c+24|0;c=b+4|0;m=0;do{f=Bo(k[(k[h>>2]|0)+(m<<2)>>2]|0)|0;if(k[b>>2]|0){e=k[k[c>>2]>>2]|0;nd[k[(k[e>>2]|0)+24>>2]&1023](e,d,f)}t=+$(+(+p[d>>3]));if(!(!(t==1.0)?!(+$(+(+p[l+(m<<3)>>3]))<t):0))v=13;if((v|0)==13?(v=0,f=Bo(k[(k[h>>2]|0)+(m<<2)>>2]|0)|0,(k[b>>2]|0)!=0):0){e=k[k[c>>2]>>2]|0;Jc[k[(k[e>>2]|0)+20>>2]&1](e,f,+p[l+(m<<3)>>3],0)}m=m+1|0}while((m|0)!=(g|0))}}Tqa(i);Tqa(j);Tqa(l);r=a;return}function Cia(a,b){a=a|0;b=b|0;return}function Dia(a){a=a|0;Sqa(a);return}function Eia(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;b=r;r=r+336|0;c=b;d=b+316|0;e=b+312|0;f=b+320|0;g=b+308|0;h=b+160|0;j=b+296|0;l=b+24|0;m=b+12|0;k[d>>2]=0;k[e>>2]=0;n=a+44|0;bO(k[n>>2]|0,f,759);cO(k[n>>2]|0,g,478);a:do if(CY()|0){n=h+56|0;o=h+4|0;k[h>>2]=27524;k[n>>2]=27544;B=0;wa(508,h+56|0,o|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;s=p;vva(n);Qb(s|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[n>>2]=27488;B=0;va(448,o|0);p=B;B=0;do if(p&1){t=Rb()|0;u=Q;v=t}else{k[o>>2]=27560;t=h+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,o|0,c|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(c);Yua(t);Ava(o);u=x;v=w;break}Yua(c);B=0;Ia(40,h|0,137020,17)|0;w=B;B=0;do if(!(w&1)?(B=0,wa(510,j|0,o|0),x=B,B=0,!(x&1)):0){B=0;ya(425,j|0)|0;x=B;B=0;if(x&1){x=Rb()|0;y=Q;Yua(j);z=y;A=x;break}else{Yua(j);k[h>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(t);Ava(o);vva(n);break a}}else C=14;while(0);if((C|0)==14){w=Rb()|0;z=Q;A=w}k[h>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(t);Ava(o);vva(n);D=z;E=A;Qb(E|0)}while(0);q=u;s=v;vva(n);Qb(s|0)}while(0);xh(a,526);s=en(k[a+24>>2]|0,k[g>>2]|0,943)|0;g=Qqa(8)|0;B=0;va(485,g|0);v=B;B=0;b:do if(v&1)C=47;else{do if(k[g>>2]|0){B=0;u=ya(423,4)|0;q=B;B=0;if(q&1){C=47;break b}B=0;eb(505,u|0,s|0,0);q=B;B=0;if(q&1){q=Rb()|0;A=Q;Sqa(u);F=A;G=q;break b}else{k[g+4>>2]=u;break}}while(0);n=Qqa(8)|0;B=0;va(485,n|0);u=B;B=0;c:do if(u&1)C=49;else{do if(k[n>>2]|0){B=0;q=ya(423,4)|0;A=B;B=0;if(A&1){C=49;break c}B=0;eb(505,q|0,s|0,0);A=B;B=0;if(A&1){A=Rb()|0;z=Q;Sqa(q);H=z;I=A;break c}else{k[n+4>>2]=q;break}}while(0);ioa(d,e,0,k[a+28>>2]|0,0);qi(a,g,n,k[d>>2]|0,k[e>>2]|0);if(k[g>>2]|0){t=k[k[g+4>>2]>>2]|0;Ec[k[(k[t>>2]|0)+12>>2]&1023](t)}if(k[n>>2]|0){t=k[k[n+4>>2]>>2]|0;Ec[k[(k[t>>2]|0)+12>>2]&1023](t)}VZ(a,g,735,629);VZ(a,n,734,629);if(i[f>>0]|0){d:do if(CY()|0){t=l+56|0;q=l+4|0;k[l>>2]=27524;k[t>>2]=27544;B=0;wa(508,l+56|0,q|0);A=B;B=0;if(A&1){A=Rb()|0;J=Q;K=A;vva(t);Qb(K|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[t>>2]=27488;B=0;va(448,q|0);A=B;B=0;do if(A&1){z=Rb()|0;L=Q;M=z}else{k[q>>2]=27560;z=l+36|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;k[z+12>>2]=0;k[l+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,q|0,c|0);h=B;B=0;if(h&1){h=Rb()|0;j=Q;Yua(c);Yua(z);Ava(q);L=j;M=h;break}Yua(c);B=0;Ia(40,l|0,148942,18)|0;h=B;B=0;do if(!(h&1)?(B=0,wa(510,m|0,q|0),j=B,B=0,!(j&1)):0){B=0;ya(425,m|0)|0;j=B;B=0;if(j&1){j=Rb()|0;o=Q;Yua(m);N=o;O=j;break}else{Yua(m);k[l>>2]=27468;k[t>>2]=27488;k[q>>2]=27560;Yua(z);Ava(q);vva(t);break d}}else C=51;while(0);if((C|0)==51){h=Rb()|0;N=Q;O=h}k[l>>2]=27468;k[t>>2]=27488;k[q>>2]=27560;Yua(z);Ava(q);vva(t);D=N;E=O;Qb(E|0)}while(0);J=L;K=M;vva(t);Qb(K|0)}while(0);q=c;k[q>>2]=735;k[q+4>>2]=734;fi(a,a+48|0,c,2,1)}q=k[d>>2]|0;if(q)Tqa(q);k[d>>2]=0;q=k[e>>2]|0;if(!q){r=b;return}Tqa(q);r=b;return}while(0);if((C|0)==49){u=Rb()|0;H=Q;I=u}Sqa(n);D=H;E=I;Qb(E|0)}while(0);if((C|0)==47){C=Rb()|0;F=Q;G=C}Sqa(g);D=F;E=G;Qb(E|0)}function Fia(a,b,c){a=a|0;b=b|0;c=c|0;return}function Gia(a,b,c){a=a|0;b=b|0;c=c|0;return}function Hia(a,b,c){a=a|0;b=b|0;c=c|0;hoa(b,c,526,738,534);return}function Iia(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 1}function Jia(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0;a=c+56|0;f=k[a>>2]|0;if((f|0)>0){g=c+32|0;h=f;f=0;j=0;while(1){if(!(i[(k[g>>2]|0)+j>>0]|0)){l=h;m=f}else{n=qh(b,f)|0;Uc[k[(k[n>>2]|0)+480>>2]&63](n,j,c,d,e,738);l=k[a>>2]|0;m=f+1|0}j=j+1|0;if((j|0)>=(l|0))break;else{h=l;f=m}}}Zka(c,b,137052,353);Zka(c,b,137074,351);Zka(c,b,137098,352);Zka(c,b,137867,206);return}function Kia(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return}function Lia(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,137127,71);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138209,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,42,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function Mia(a,b){a=a|0;b=b|0;return 0}function Nia(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,137127,71);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,49,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function Oia(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,137127,71);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144189,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,52,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function Pia(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,137127,71);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144203,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,55,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function Qia(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,137127,71);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138230,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,58,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function Ria(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,137127,71);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,61,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function Sia(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,137127,71);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,137199,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,64,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function Tia(a,b){a=a|0;b=b|0;return}function Uia(a){a=a|0;Sqa(a);return}function Via(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0.0,j=0.0,l=0,m=0,n=0,o=0.0,q=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,B=0.0,C=0,D=0,E=0,F=0;d=r;r=r+16|0;e=d+12|0;f=d+8|0;g=d+4|0;h=d;i=+p[c>>3];j=+p[c+8>>3];l=k[c+16>>2]|0;m=k[c+20>>2]|0;n=k[c+24>>2]|0;o=+p[c+40>>3];q=+p[c+48>>3];s=+p[c+56>>3];t=+p[c+64>>3];u=+p[c+72>>3];v=+p[c+80>>3];w=+p[c+96>>3];k[e>>2]=k[c+88>>2];B=+p[c+104>>3];k[f>>2]=n;c=n+-1|0;k[g>>2]=c;C=n+1|0;k[h>>2]=C;p[y>>3]=v;p[y+8>>3]=t;p[y+16>>3]=o;p[y+24>>3]=s;p[y+32>>3]=q;p[y+40>>3]=u;p[y+48>>3]=j;p[x>>3]=w;D=Rqa(n>>>0>536870911?-1:n<<3)|0;if((n|0)>0){E=0;do{p[D+(E<<3)>>3]=+p[l+(E<<3)>>3];E=E+1|0}while((E|0)<(n|0))}E=Rqa(C>>>0>536870911?-1:C<<3)|0;if((n|0)>-1){C=m+(c<<3)|0;l=0;while(1){F=E+(l<<3)|0;p[F>>3]=+p[m+(l<<3)>>3]/1.0e3/B;if((l|0)==(c|0))p[F>>3]=+p[C>>3]/1.0e3/B;if((l|0)==(n|0))p[F>>3]=+p[C>>3]/1.0e3/B;if((l|0)<(n|0))l=l+1|0;else break}}l=c>>>0>536870911?-1:c<<3;c=Rqa(l)|0;n=Rqa(l)|0;p[z>>3]=i/1.0e3;rc(f|0,h|0,g|0,E|0,c|0,n|0,D|0)|0;Ib(e|0,h|0,g|0,E|0,c|0,n|0)|0;i=+p[A+8>>3];p[a>>3]=+p[A>>3];p[b>>3]=i;Tqa(E);Tqa(c);Tqa(n);Tqa(D);r=d;return}function Wia(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;b=r;r=r+336|0;c=b+320|0;d=b+334|0;e=b+333|0;f=b+332|0;g=b+312|0;h=b+308|0;j=b+304|0;l=b+168|0;m=b+152|0;n=b+16|0;o=b;k[h>>2]=0;k[j>>2]=0;p=a+44|0;cO(k[p>>2]|0,b+316|0,478);cO(k[p>>2]|0,g,476);bO(k[p>>2]|0,d,759);bO(k[p>>2]|0,e,370);bO(k[p>>2]|0,f,361);if((k[g>>2]|0)==997){i[e>>0]=1;i[f>>0]=0;q=0;s=1}else{q=i[f>>0]|0;s=i[e>>0]|0}if(((s^1)&(q^1))<<24>>24){r=b;return}a:do if(CY()|0){q=l+56|0;s=l+4|0;k[l>>2]=27524;k[q>>2]=27544;B=0;wa(508,l+56|0,s|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;v=t;vva(q);Qb(v|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[q>>2]=27488;B=0;va(448,s|0);t=B;B=0;do if(t&1){w=Rb()|0;x=Q;y=w}else{k[s>>2]=27560;w=l+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[l+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,s|0,c|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(c);Yua(w);Ava(s);x=A;y=z;break}Yua(c);B=0;Ia(40,l|0,137223,28)|0;z=B;B=0;do if(!(z&1)?(B=0,wa(510,m|0,s|0),A=B,B=0,!(A&1)):0){B=0;ya(425,m|0)|0;A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(m);D=C;E=A;break}else{Yua(m);k[l>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(q);break a}}else F=18;while(0);if((F|0)==18){z=Rb()|0;D=Q;E=z}k[l>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(q);G=D;H=E;Qb(H|0)}while(0);u=x;v=y;vva(q);Qb(v|0)}while(0);if(i[e>>0]|0)xh(a,998);if(i[f>>0]|0)Xia(a,1001);if(i[e>>0]|0){e=Zia(a)|0;v=_ia(a,e)|0;xoa(a,v);if(i[d>>0]|0){b:do if(CY()|0){d=n+56|0;y=n+4|0;k[n>>2]=27524;k[d>>2]=27544;B=0;wa(508,n+56|0,y|0);x=B;B=0;if(x&1){x=Rb()|0;I=Q;J=x;vva(d);Qb(J|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[d>>2]=27488;B=0;va(448,y|0);x=B;B=0;do if(x&1){u=Rb()|0;K=Q;L=u}else{k[y>>2]=27560;u=n+36|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;k[u+12>>2]=0;k[n+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,y|0,c|0);E=B;B=0;if(E&1){E=Rb()|0;D=Q;Yua(c);Yua(u);Ava(y);K=D;L=E;break}Yua(c);B=0;Ia(40,n|0,148942,18)|0;E=B;B=0;do if(!(E&1)?(B=0,wa(510,o|0,y|0),D=B,B=0,!(D&1)):0){B=0;ya(425,o|0)|0;D=B;B=0;if(D&1){D=Rb()|0;l=Q;Yua(o);M=l;N=D;break}else{Yua(o);k[n>>2]=27468;k[d>>2]=27488;k[y>>2]=27560;Yua(u);Ava(y);vva(d);break b}}else F=40;while(0);if((F|0)==40){E=Rb()|0;M=Q;N=E}k[n>>2]=27468;k[d>>2]=27488;k[y>>2]=27560;Yua(u);Ava(y);vva(d);G=M;H=N;Qb(H|0)}while(0);I=K;J=L;vva(d);Qb(J|0)}while(0);gO(k[p>>2]|0,j,h,1015);ci(a,a+48|0,k[j>>2]|0,k[h>>2]|0,1)}if((k[g>>2]|0)==997)gi(a);if(v){if((k[v>>2]|0)!=0?(g=k[v+4>>2]|0,(g|0)!=0):0){p=k[g>>2]|0;if(p)Ec[k[(k[p>>2]|0)+4>>2]&1023](p);Sqa(g)}Sqa(v)}if(e){if((k[e>>2]|0)!=0?(v=k[e+4>>2]|0,(v|0)!=0):0){g=k[v>>2]|0;if(g)Ec[k[(k[g>>2]|0)+4>>2]&1023](g);Sqa(v)}Sqa(e)}e=k[h>>2]|0;if(e){v=k[j>>2]|0;if((e|0)>0){g=v;p=e;e=0;while(1){J=g+(e<<2)|0;L=k[J>>2]|0;if(!L)O=p;else{Tqa(L);O=k[h>>2]|0}k[J>>2]=0;e=e+1|0;J=k[j>>2]|0;if((e|0)>=(O|0)){P=J;break}else{g=J;p=O}}}else P=v;if(P)Tqa(P);k[j>>2]=0}}if(!(i[f>>0]|0)){r=b;return}Yia(a,999);r=b;return}
function bD(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;a=d+56|0;h=d+4|0;k[d>>2]=27524;k[a>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(a);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[a>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,75969,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,115194,5);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,66,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[a>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(a);Qb(E|0)}while(0);j=n;l=o;vva(a);Qb(l|0)}function cD(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;b=r;r=r+192|0;a=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,h|0,a|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(a);Yua(m);Ava(h);n=q;o=p;break}Yua(a);B=0;p=Ia(40,d|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,75969,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,121097,4);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,67,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(E|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function dD(a,b,c){a=a|0;b=+b;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;a=r;r=r+192|0;d=a+176|0;e=a+40|0;f=a+24|0;g=a+12|0;h=a;a=e+56|0;i=e+4|0;k[e>>2]=27524;k[a>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(a);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[a>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,149721,19)|0;s=B;B=0;a:do if(!(s&1)?(B=0,Xa(239,q|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,75969,84);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,118419,9);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(f);x=w;y=v;break}B=0;wa(510,h|0,i|0);v=B;B=0;if(v&1){v=Rb()|0;z=Q;A=v;C=1}else{B=0;ua(163,t|0,f|0,g|0,68,h|0);v=B;B=0;if(v&1)D=1;else{B=0;eb(503,t|0,1240,229);B=0;D=0}v=Rb()|0;w=Q;Yua(h);z=w;A=v;C=D}Yua(g);Yua(f);if(C){x=z;y=A}else{E=z;F=A;break a}}else{v=Rb()|0;x=Q;y=v}while(0);zb(t|0);E=x;F=y}else G=16;while(0);if((G|0)==16){q=Rb()|0;E=Q;F=q}k[e>>2]=27468;k[a>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(a);Qb(F|0)}while(0);l=o;m=p;vva(a);Qb(m|0)}function eD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,134695,17)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,75969,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121304,19);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,75,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function fD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,134695,17)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,75969,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121296,7);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,74,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function gD(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,75969,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115046,19);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,76,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function hD(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,134695,17)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,75969,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,77521,14);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,38,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0);return 0}function iD(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,75969,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121282,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,39,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0);return 0}function jD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,134695,17)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,75969,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121179,15);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,40,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function kD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,134695,17)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,75969,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121166,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,42,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function lD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,134695,17)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,75969,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121153,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,41,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function mD(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,75969,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,77921,22);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,43,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function nD(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,75969,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,77898,22);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,44,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function oD(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,75969,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,77879,18);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,45,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function pD(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,134695,17)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,75969,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115180,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,46,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function qD(a){a=a|0;return}function rD(a){a=a|0;Sqa(a);return}function sD(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,134695,17)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,76054,90);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115180,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,65,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function tD(a){a=a|0;k[a>>2]=32164;k[a>>2]=32356;k[a+12>>2]=0;return}function uD(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;k[a>>2]=32164;B=0;e=B;B=0;if(e&1){e=Rb()|0;f=e;g=Q;Qb(f|0)}k[a>>2]=32356;k[a+4>>2]=b;k[a+8>>2]=d;B=0;b=Xa(250,a|0,d|0)|0;d=B;B=0;if(!(d&1)){if((b|0)<=0){k[a+12>>2]=0;return}B=0;d=ya(422,(b>>>0>536870911?-1:b<<3)|0)|0;e=B;B=0;if(!(e&1)){k[a+12>>2]=d;a=0;do{p[d+(a<<3)>>3]=+p[c+(a<<3)>>3];a=a+1|0}while((a|0)!=(b|0));return}}b=Rb()|0;f=b;g=Q;Qb(f|0)}function vD(a){a=a|0;var b=0;k[a>>2]=32356;b=a+12|0;a=k[b>>2]|0;if(!a){k[b>>2]=0;return}Tqa(a);k[b>>2]=0;return}function wD(a){a=a|0;var b=0,c=0;k[a>>2]=32356;b=a+12|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;Sqa(a);return}function xD(a){a=a|0;Ec[k[(k[a>>2]|0)+12>>2]&1023](a);return}function yD(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;b=r;r=r+464|0;c=b+452|0;d=b+304|0;e=b+440|0;f=b+152|0;g=b+288|0;h=b+16|0;i=b;j=d+56|0;l=d+4|0;k[d>>2]=27524;k[j>>2]=27544;B=0;wa(508,d+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(j);Qb(o|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[j>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){q=Rb()|0;s=Q;t=q}else{k[l>>2]=27560;q=d+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,l|0,c|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(c);Yua(q);Ava(l);s=v;t=u;break}Yua(c);k[d+(k[(k[d>>2]|0)+-12>>2]|0)+12>>2]=15;B=0;u=Ia(40,d|0,76156,13)|0;v=B;B=0;do if((((!(v&1)?(k[u+(k[(k[u>>2]|0)+-12>>2]|0)+12>>2]=25,w=u+(k[(k[u>>2]|0)+-12>>2]|0)+4|0,k[w>>2]=k[w>>2]&-177|32,B=0,w=ya(427,k[a+4>>2]|0)|0,x=B,B=0,!(x&1)):0)?(x=Lta(w)|0,B=0,y=Ia(40,u|0,w|0,x|0)|0,x=B,B=0,!(x&1)):0)?(B=0,Ia(40,y|0,120962,2)|0,y=B,B=0,!(y&1)):0)?(B=0,wa(510,e|0,l|0),y=B,B=0,!(y&1)):0){B=0;ya(424,e|0)|0;y=B;B=0;if(y&1){y=Rb()|0;x=Q;Yua(e);z=x;A=y;break}Yua(e);k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(q);Ava(l);vva(j);y=a+8|0;a:do if((qw(a,k[y>>2]|0)|0)>0){x=f+56|0;w=f+4|0;C=f+56|0;D=f+128|0;E=f+132|0;F=f+36|0;G=f+52|0;H=a+12|0;I=0;while(1){k[f>>2]=27524;k[x>>2]=27544;B=0;wa(508,C|0,w|0);J=B;B=0;if(J&1){K=33;break}k[D>>2]=0;k[E>>2]=-1;k[f>>2]=27468;k[x>>2]=27488;B=0;va(448,w|0);J=B;B=0;if(J&1){K=34;break}k[w>>2]=27560;k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;k[F+12>>2]=0;k[G>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,w|0,c|0);J=B;B=0;if(J&1){K=32;break}Yua(c);B=0;J=Ia(40,f|0,149175,1)|0;L=B;B=0;if(L&1){K=42;break}B=0;Sa(1,J|0,+(+p[(k[H>>2]|0)+(I<<3)>>3]))|0;J=B;B=0;if(J&1){K=42;break}B=0;wa(510,g|0,w|0);J=B;B=0;if(J&1){K=42;break}B=0;ya(424,g|0)|0;J=B;B=0;if(J&1){K=43;break}Yua(g);k[f>>2]=27468;k[x>>2]=27488;k[w>>2]=27560;Yua(F);Ava(w);vva(x);I=I+1|0;if((I|0)>=(qw(a,k[y>>2]|0)|0))break a}if((K|0)==32){I=Rb()|0;H=Q;Yua(c);Yua(F);Ava(w);M=H;N=I;K=35}else if((K|0)==33){I=Rb()|0;O=Q;P=I;vva(x);Qb(P|0)}else if((K|0)==34){I=Rb()|0;M=Q;N=I;K=35}else if((K|0)==42){I=Rb()|0;R=Q;S=I;K=44}else if((K|0)==43){I=Rb()|0;H=Q;Yua(g);R=H;S=I;K=44}if((K|0)==35){O=M;P=N;vva(x);Qb(P|0)}else if((K|0)==44){k[f>>2]=27468;k[x>>2]=27488;k[w>>2]=27560;Yua(F);Ava(w);vva(x);T=R;U=S;Qb(U|0)}}while(0);I=h+56|0;H=h+4|0;k[h>>2]=27524;k[I>>2]=27544;B=0;wa(508,h+56|0,H|0);G=B;B=0;if(G&1){G=Rb()|0;V=Q;W=G;vva(I);Qb(W|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[I>>2]=27488;B=0;va(448,H|0);G=B;B=0;do if(G&1){E=Rb()|0;X=Q;Y=E}else{k[H>>2]=27560;E=h+36|0;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;k[E+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,H|0,c|0);D=B;B=0;if(D&1){D=Rb()|0;C=Q;Yua(c);Yua(E);Ava(H);X=C;Y=D;break}Yua(c);B=0;D=Ia(40,h|0,120965,3)|0;C=B;B=0;do if((!(C&1)?(B=0,J=ya(427,k[y>>2]|0)|0,L=B,B=0,!(L&1)):0)?(L=Lta(J)|0,B=0,Z=Ia(40,D|0,J|0,L|0)|0,L=B,B=0,!(L&1)):0){B=0;Ia(40,Z|0,145593,2)|0;Z=B;B=0;if(Z&1){K=51;break}B=0;wa(510,i|0,H|0);Z=B;B=0;if(Z&1){K=51;break}B=0;ya(424,i|0)|0;Z=B;B=0;if(Z&1){Z=Rb()|0;L=Q;Yua(i);_=L;$=Z;break}else{Yua(i);k[h>>2]=27468;k[I>>2]=27488;k[H>>2]=27560;Yua(E);Ava(H);vva(I);r=b;return}}else K=51;while(0);if((K|0)==51){D=Rb()|0;_=Q;$=D}k[h>>2]=27468;k[I>>2]=27488;k[H>>2]=27560;Yua(E);Ava(H);vva(I);T=_;U=$;Qb(U|0)}while(0);V=X;W=Y;vva(I);Qb(W|0)}else K=26;while(0);if((K|0)==26){u=Rb()|0;z=Q;A=u}k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(q);Ava(l);vva(j);T=z;U=A;Qb(U|0)}while(0);n=s;o=t;vva(j);Qb(o|0)}function zD(a){a=a|0;return -1}function AD(a){a=a|0;return 622}function BD(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;b=Qqa(16)|0;c=k[a+4>>2]|0;d=k[a+12>>2]|0;e=k[a+8>>2]|0;k[b>>2]=32164;B=0;a=B;B=0;if(a&1){a=Rb()|0;f=a;g=Q;Sqa(b);Qb(f|0)}k[b>>2]=32356;k[b+4>>2]=c;k[b+8>>2]=e;B=0;c=Xa(250,b|0,e|0)|0;e=B;B=0;if(!(e&1)){if((c|0)<=0){k[b+12>>2]=0;return b|0}B=0;e=ya(422,(c>>>0>536870911?-1:c<<3)|0)|0;a=B;B=0;if(!(a&1)){k[b+12>>2]=e;a=0;do{p[e+(a<<3)>>3]=+p[d+(a<<3)>>3];a=a+1|0}while((a|0)!=(c|0));return b|0}}c=Rb()|0;f=c;g=Q;Sqa(b);Qb(f|0);return 0}function CD(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;e=r;r=r+368|0;f=e+344|0;g=e+208|0;h=e+196|0;j=e+184|0;m=e+36|0;n=e+48|0;o=e+24|0;p=e+12|0;q=e;s=(d|0)==0;a:do if(s){t=k[b>>2]|0;i[t>>0]=110;i[t+1>>0]=2;i[t+2>>0]=0;i[t+3>>0]=0;t=(k[b>>2]|0)+4|0;k[b>>2]=t;u=a+4|0;v=l[u>>0]|l[u+1>>0]<<8|l[u+2>>0]<<16|l[u+3>>0]<<24;i[t>>0]=v;i[t+1>>0]=v>>8;i[t+2>>0]=v>>16;i[t+3>>0]=v>>24;v=(k[b>>2]|0)+4|0;k[b>>2]=v;t=a+8|0;u=l[t>>0]|l[t+1>>0]<<8|l[t+2>>0]<<16|l[t+3>>0]<<24;i[v>>0]=u;i[v+1>>0]=u>>8;i[v+2>>0]=u>>16;i[v+3>>0]=u>>24;k[b>>2]=(k[b>>2]|0)+4;w=t}else switch(d|0){case 2:{k[c>>2]=(k[c>>2]|0)+12;w=a+8|0;break a;break}case 1:{t=(k[b>>2]|0)+4|0;k[b>>2]=t;u=a+4|0;v=l[t>>0]|l[t+1>>0]<<8|l[t+2>>0]<<16|l[t+3>>0]<<24;i[u>>0]=v;i[u+1>>0]=v>>8;i[u+2>>0]=v>>16;i[u+3>>0]=v>>24;v=(k[b>>2]|0)+4|0;k[b>>2]=v;u=a+8|0;t=l[v>>0]|l[v+1>>0]<<8|l[v+2>>0]<<16|l[v+3>>0]<<24;i[u>>0]=t;i[u+1>>0]=t>>8;i[u+2>>0]=t>>16;i[u+3>>0]=t>>24;k[b>>2]=(k[b>>2]|0)+4;w=u;break a;break}default:{u=g+56|0;t=g+4|0;k[g>>2]=27524;k[u>>2]=27544;B=0;wa(508,g+56|0,t|0);v=B;B=0;if(v&1){v=Rb()|0;x=Q;y=v;vva(u);Qb(y|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[u>>2]=27488;B=0;va(448,t|0);v=B;B=0;do if(v&1){z=Rb()|0;A=Q;C=z}else{k[t>>2]=27560;z=g+36|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;k[z+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,t|0,f|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(f);Yua(z);Ava(t);A=E;C=D;break}Yua(f);B=0;D=Ia(40,g|0,143951,43)|0;E=B;B=0;b:do if(!(E&1)?(B=0,Xa(239,D|0,0)|0,F=B,B=0,!(F&1)):0){F=Ab(20)|0;B=0;eb(502,h|0,76170,75);G=B;B=0;do if(!(G&1)){B=0;eb(502,j|0,149525,8);H=B;B=0;if(H&1){H=Rb()|0;I=Q;Yua(h);J=I;K=H;break}B=0;wa(510,m|0,t|0);H=B;B=0;if(H&1){H=Rb()|0;L=Q;M=H;N=1}else{B=0;ua(163,F|0,h|0,j|0,70,m|0);H=B;B=0;if(H&1)O=1;else{B=0;eb(503,F|0,1240,229);B=0;O=0}H=Rb()|0;I=Q;Yua(m);L=I;M=H;N=O}Yua(j);Yua(h);if(N){J=L;K=M}else{P=L;R=M;break b}}else{H=Rb()|0;J=Q;K=H}while(0);zb(F|0);P=J;R=K}else S=18;while(0);if((S|0)==18){D=Rb()|0;P=Q;R=D}k[g>>2]=27468;k[u>>2]=27488;k[t>>2]=27560;Yua(z);Ava(t);vva(u);T=R;U=P;Qb(T|0)}while(0);x=A;y=C;vva(u);Qb(y|0)}}while(0);y=qw(a,k[w>>2]|0)|0;w=a+12|0;if((y|0)<=0){k[w>>2]=0;r=e;return}a=(k[w>>2]|0)==0;if(s){i[k[b>>2]>>0]=a&1;s=(k[b>>2]|0)+1|0;k[b>>2]=s;if(a){r=e;return}C=y<<3;TEa(s|0,k[w>>2]|0,C|0)|0;k[b>>2]=(k[b>>2]|0)+C;r=e;return}switch(d|0){case 2:{d=(k[c>>2]|0)+1|0;k[c>>2]=d;if(a){r=e;return}k[c>>2]=d+(y<<3);r=e;return}case 1:{d=k[b>>2]|0;c=i[d>>0]|0;k[b>>2]=d+1;if(c&1){r=e;return}c=Rqa(y>>>0>536870911?-1:y<<3)|0;k[w>>2]=c;w=k[b>>2]|0;d=y<<3;TEa(c|0,w|0,d|0)|0;k[b>>2]=w+d;r=e;return}default:{e=n+56|0;d=n+4|0;k[n>>2]=27524;k[e>>2]=27544;B=0;wa(508,n+56|0,d|0);w=B;B=0;if(w&1){w=Rb()|0;V=Q;W=w;vva(e);Qb(W|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[e>>2]=27488;B=0;va(448,d|0);w=B;B=0;do if(w&1){b=Rb()|0;X=Q;Y=b}else{k[d>>2]=27560;b=n+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[n+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,d|0,f|0);c=B;B=0;if(c&1){c=Rb()|0;y=Q;Yua(f);Yua(b);Ava(d);X=y;Y=c;break}Yua(f);B=0;c=Ia(40,n|0,143951,43)|0;y=B;B=0;c:do if(!(y&1)?(B=0,Xa(239,c|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,o|0,76170,75);C=B;B=0;do if(!(C&1)){B=0;eb(502,p|0,149525,8);s=B;B=0;if(s&1){s=Rb()|0;A=Q;Yua(o);Z=s;_=A;break}B=0;wa(510,q|0,d|0);A=B;B=0;if(A&1){A=Rb()|0;$=1;aa=Q;ba=A}else{B=0;ua(163,a|0,o|0,p|0,77,q|0);A=B;B=0;if(A&1)ca=1;else{B=0;eb(503,a|0,1240,229);B=0;ca=0}A=Rb()|0;s=Q;Yua(q);$=ca;aa=s;ba=A}Yua(p);Yua(o);if($){Z=ba;_=aa}else{da=ba;ea=aa;break c}}else{A=Rb()|0;Z=A;_=Q}while(0);zb(a|0);da=Z;ea=_}else S=49;while(0);if((S|0)==49){c=Rb()|0;da=c;ea=Q}k[n>>2]=27468;k[e>>2]=27488;k[d>>2]=27560;Yua(b);Ava(d);vva(e);T=da;U=ea;Qb(T|0)}while(0);V=X;W=Y;vva(e);Qb(W|0)}}}function DD(a){a=a|0;return k[a+4>>2]|0}function ED(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;d=Qqa(16)|0;c=k[a+4>>2]|0;b=k[a+12>>2]|0;e=k[a+8>>2]|0;k[d>>2]=32164;B=0;a=B;B=0;if(a&1){a=Rb()|0;f=a;g=Q;Sqa(d);Qb(f|0)}k[d>>2]=32356;k[d+4>>2]=c;k[d+8>>2]=e;B=0;c=Xa(250,d|0,e|0)|0;e=B;B=0;if(!(e&1)){if((c|0)<=0){k[d+12>>2]=0;return d|0}B=0;e=ya(422,(c>>>0>536870911?-1:c<<3)|0)|0;a=B;B=0;if(!(a&1)){k[d+12>>2]=e;a=0;do{p[e+(a<<3)>>3]=+p[b+(a<<3)>>3];a=a+1|0}while((a|0)!=(c|0));return d|0}}c=Rb()|0;f=c;g=Q;Sqa(d);Qb(f|0);return 0}function FD(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;d=r;r=r+16|0;e=d;if((k[a+8>>2]|0)==736){f=Qqa(16)|0;B=0;ib(292,f|0,k[a+4>>2]|0,k[a+12>>2]|0,736);g=B;B=0;if(!(g&1)){h=f;r=d;return h|0}g=Rb()|0;i=Q;Sqa(f);j=i;l=g;Qb(l|0)}g=k[a+12>>2]|0;p[e>>3]=+p[g+(b<<3)>>3];p[e+8>>3]=+p[g+(c<<3)>>3];c=Qqa(16)|0;B=0;ib(292,c|0,k[a+4>>2]|0,e|0,738);e=B;B=0;if(e&1){e=Rb()|0;a=Q;Sqa(c);j=a;l=e;Qb(l|0)}else{h=c;r=d;return h|0}return 0}function GD(a){a=a|0;return ((k[a+8>>2]|0)==736?736:738)|0}function HD(a){a=a|0;return qw(a,k[a+8>>2]|0)|0}function ID(a){a=a|0;return 1}function JD(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;c=qw(a,k[a+8>>2]|0)|0;if((c|0)<=0)return;e=k[a+12>>2]|0;a=ma(c,d)|0;d=0;do{p[b+(d+a<<3)>>3]=+p[e+(d<<3)>>3];d=d+1|0}while((d|0)!=(c|0));return}function KD(a,b,c){a=a|0;b=b|0;c=c|0;sw(a,b,k[a+12>>2]|0,c,k[a+8>>2]|0);return}function LD(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;pw(a,b,k[a+12>>2]|0,c,d,k[a+8>>2]|0);return}function MD(a,b){a=a|0;b=b|0;k[a+4>>2]=b;return}function ND(a,b){a=a|0;b=b|0;var c=0,d=0.0,e=0.0,f=0.0,g=0,h=0.0,i=0.0;c=qw(a,k[a+8>>2]|0)|0;d=+(c|0);if((c|0)<=0){e=0.0;f=e/d;p[b>>3]=f;return}g=k[a+12>>2]|0;a=0;h=0.0;while(1){i=h+ +p[g+(a<<3)>>3];a=a+1|0;if((a|0)==(c|0)){e=i;break}else h=i}f=e/d;p[b>>3]=f;return}function OD(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0.0,i=0,j=0,l=0,m=0,n=0,o=0,q=0;d=r;r=r+32|0;e=d;f=a+8|0;g=qw(a,k[f>>2]|0)|0;h=+(g|0);i=b+8|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;j=Qqa(64)|0;B=0;va(491,j|0);l=B;B=0;if(l&1){l=Rb()|0;Sqa(j);Qb(l|0)}if((g|0)<=0){m=k[j>>2]|0;n=m+4|0;o=k[n>>2]|0;Ec[o&1023](j);r=d;return}l=e+8|0;q=0;do{nd[k[(k[j>>2]|0)+32>>2]&1023](j,k[f>>2]|0,q);rd[k[(k[a>>2]|0)+60>>2]&511](a,e,c,j);p[b>>3]=+p[b>>3]+ +p[e>>3]/h;p[i>>3]=+p[i>>3]+ +p[l>>3]/h;q=q+1|0}while((q|0)!=(g|0));m=k[j>>2]|0;n=m+4|0;o=k[n>>2]|0;Ec[o&1023](j);r=d;return}function PD(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=Rqa(8)|0;f=Rqa(8)|0;Fc[k[(k[a>>2]|0)+64>>2]&1023](a,e);p[f>>3]=0.0;k[b>>2]=e;k[c>>2]=f;k[d>>2]=1;return}function QD(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0;f=Rqa(8)|0;g=Rqa(8)|0;Fc[k[(k[a>>2]|0)+64>>2]&1023](a,f);p[g>>3]=e;k[b>>2]=f;k[c>>2]=g;k[d>>2]=1;return}function RD(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0.0,f=0.0,g=0,h=0.0,i=0.0;c=qw(a,k[a+8>>2]|0)|0;d=k[a+12>>2]|0;e=+p[d>>3];f=e*e;if((c|0)>1){g=1;h=f}else{i=f;p[b>>3]=i;return}while(1){f=+p[d+(g<<3)>>3];e=f*f;f=e<h?e:h;g=g+1|0;if((g|0)==(c|0)){i=f;break}else h=f}p[b>>3]=i;return}function SD(a,b){a=a|0;b=+b;var c=0,d=0,e=0;c=qw(a,k[a+8>>2]|0)|0;if((c|0)<=0)return;d=k[a+12>>2]|0;a=0;do{e=d+(a<<3)|0;if(+p[e>>3]<b)p[e>>3]=b;a=a+1|0}while((a|0)!=(c|0));return}function TD(a){a=a|0;var b=0,c=0.0,d=0,e=0.0,f=0.0,g=0.0;b=qw(a,k[a+8>>2]|0)|0;if((b|0)<=0){c=0.0;return +c}d=k[a+12>>2]|0;a=0;e=0.0;while(1){f=+$(+(+p[d+(a<<3)>>3]));g=f>e?f:e;a=a+1|0;if((a|0)==(b|0)){c=g;break}else e=g}return +c}function UD(a){a=a|0;var b=0,c=0,d=0.0,e=0,f=0.0,g=0.0,h=0.0;b=qw(a,k[a+8>>2]|0)|0;c=k[a+12>>2]|0;d=+p[c>>3];if((b|0)>1){e=1;f=d}else{g=d;return +g}while(1){d=+p[c+(e<<3)>>3];h=d>f?d:f;e=e+1|0;if((e|0)==(b|0)){g=h;break}else f=h}return +g}function VD(a){a=a|0;var b=0,c=0,d=0.0,e=0,f=0.0,g=0.0,h=0.0;b=qw(a,k[a+8>>2]|0)|0;c=k[a+12>>2]|0;d=+$(+(+p[c>>3]));if((b|0)>1){e=1;f=d}else{g=d;return +g}while(1){d=+$(+(+p[c+(e<<3)>>3]));h=d>f?d:f;e=e+1|0;if((e|0)==(b|0)){g=h;break}else f=h}return +g}function WD(a){a=a|0;var b=0,c=0,d=0.0,e=0,f=0.0,g=0.0,h=0.0;b=qw(a,k[a+8>>2]|0)|0;c=k[a+12>>2]|0;d=+p[c>>3];if((b|0)>1){e=1;f=d}else{g=d;return +g}while(1){d=+p[c+(e<<3)>>3];h=d<f?d:f;e=e+1|0;if((e|0)==(b|0)){g=h;break}else f=h}return +g}function XD(a){a=a|0;var b=0,c=0,d=0.0,e=0,f=0.0,g=0.0,h=0.0;b=qw(a,k[a+8>>2]|0)|0;c=k[a+12>>2]|0;d=+$(+(+p[c>>3]));if((b|0)>1){e=1;f=d}else{g=d;return +g}while(1){d=+$(+(+p[c+(e<<3)>>3]));h=d<f?d:f;e=e+1|0;if((e|0)==(b|0)){g=h;break}else f=h}return +g}function YD(a,b){a=a|0;b=+b;var c=0,d=0,e=0;c=qw(a,k[a+8>>2]|0)|0;if((c|0)<=0)return;d=k[a+12>>2]|0;a=0;do{e=d+(a<<3)|0;p[e>>3]=+p[e>>3]*b;a=a+1|0}while((a|0)!=(c|0));return}function ZD(a,b){a=a|0;b=+b;var c=0,d=0;c=qw(a,k[a+8>>2]|0)|0;if((c|0)<=0)return;d=k[a+12>>2]|0;a=0;do{p[d+(a<<3)>>3]=b;a=a+1|0}while((a|0)!=(c|0));return}function _D(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;d=r;r=r+368|0;e=d+344|0;f=d+208|0;g=d+196|0;h=d+184|0;i=d+36|0;j=d+48|0;l=d+24|0;m=d+12|0;n=d;o=a+8|0;q=qw(a,k[o>>2]|0)|0;if((Hc[k[(k[b>>2]|0)+20>>2]&511](b)|0)!=622){s=f+56|0;t=f+4|0;k[f>>2]=27524;k[s>>2]=27544;B=0;wa(508,f+56|0,t|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;w=u;vva(s);Qb(w|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[s>>2]=27488;B=0;va(448,t|0);u=B;B=0;do if(u&1){x=Rb()|0;y=Q;z=x}else{k[t>>2]=27560;x=f+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,t|0,e|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(e);Yua(x);Ava(t);y=C;z=A;break}Yua(e);B=0;A=Ia(40,f|0,121046,50)|0;C=B;B=0;a:do if((((!(C&1)?(B=0,D=ya(k[(k[b>>2]|0)+20>>2]|0,b|0)|0,E=B,B=0,!(E&1)):0)?(B=0,E=ya(427,D|0)|0,D=B,B=0,!(D&1)):0)?(D=Lta(E)|0,B=0,F=Ia(40,A|0,E|0,D|0)|0,D=B,B=0,!(D&1)):0)?(B=0,Xa(239,F|0,0)|0,F=B,B=0,!(F&1)):0){F=Ab(20)|0;B=0;eb(502,g|0,76170,75);D=B;B=0;do if(!(D&1)){B=0;eb(502,h|0,121097,4);E=B;B=0;if(E&1){E=Rb()|0;G=Q;Yua(g);H=E;I=G;break}B=0;wa(510,i|0,t|0);G=B;B=0;if(G&1){G=Rb()|0;J=Q;K=G;L=1}else{B=0;ua(163,F|0,g|0,h|0,346,i|0);G=B;B=0;if(G&1)M=1;else{B=0;eb(503,F|0,1240,229);B=0;M=0}G=Rb()|0;E=Q;Yua(i);J=E;K=G;L=M}Yua(h);Yua(g);if(L){H=K;I=J}else{N=K;O=J;break a}}else{G=Rb()|0;H=G;I=Q}while(0);zb(F|0);N=H;O=I}else P=20;while(0);if((P|0)==20){A=Rb()|0;N=A;O=Q}k[f>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);R=O;S=N;Qb(S|0)}while(0);v=y;w=z;vva(s);Qb(w|0)}if((k[b+8>>2]|0)==(k[o>>2]|0)){if((q|0)<=0){r=d;return}o=k[a+12>>2]|0;a=k[b+12>>2]|0;w=0;do{s=o+(w<<3)|0;p[s>>3]=+p[s>>3]+ +p[a+(w<<3)>>3]*c;w=w+1|0}while((w|0)!=(q|0));r=d;return}d=j+56|0;q=j+4|0;k[j>>2]=27524;k[d>>2]=27544;B=0;wa(508,j+56|0,q|0);w=B;B=0;if(w&1){w=Rb()|0;T=Q;U=w;vva(d);Qb(U|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[d>>2]=27488;B=0;va(448,q|0);w=B;B=0;do if(w&1){a=Rb()|0;V=Q;W=a}else{k[q>>2]=27560;a=j+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[j+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,q|0,e|0);o=B;B=0;if(o&1){o=Rb()|0;s=Q;Yua(e);Yua(a);Ava(q);V=s;W=o;break}Yua(e);B=0;o=Ia(40,j|0,121046,50)|0;s=B;B=0;b:do if((((!(s&1)?(B=0,z=ya(k[(k[b>>2]|0)+20>>2]|0,b|0)|0,y=B,B=0,!(y&1)):0)?(B=0,y=ya(427,z|0)|0,z=B,B=0,!(z&1)):0)?(z=Lta(y)|0,B=0,v=Ia(40,o|0,y|0,z|0)|0,z=B,B=0,!(z&1)):0)?(B=0,Xa(239,v|0,0)|0,v=B,B=0,!(v&1)):0){v=Ab(20)|0;B=0;eb(502,l|0,76170,75);z=B;B=0;do if(!(z&1)){B=0;eb(502,m|0,121097,4);y=B;B=0;if(y&1){y=Rb()|0;N=Q;Yua(l);X=y;Y=N;break}B=0;wa(510,n|0,q|0);N=B;B=0;if(N&1){N=Rb()|0;Z=1;_=Q;$=N}else{B=0;ua(163,v|0,l|0,m|0,348,n|0);N=B;B=0;if(N&1)aa=1;else{B=0;eb(503,v|0,1240,229);B=0;aa=0}N=Rb()|0;y=Q;Yua(n);Z=aa;_=y;$=N}Yua(m);Yua(l);if(Z){X=$;Y=_}else{ba=_;ca=$;break b}}else{N=Rb()|0;X=N;Y=Q}while(0);zb(v|0);ba=Y;ca=X}else P=49;while(0);if((P|0)==49){o=Rb()|0;ba=Q;ca=o}k[j>>2]=27468;k[d>>2]=27488;k[q>>2]=27560;Yua(a);Ava(q);vva(d);R=ba;S=ca;Qb(S|0)}while(0);T=V;U=W;vva(d);Qb(U|0)}function $D(a,b,c){a=a|0;b=+b;c=+c;var d=0,e=0.0,f=0,g=0,h=0,i=0;d=qw(a,k[a+8>>2]|0)|0;e=+$(+b);p[t>>3]=e;f=k[t+4>>2]|0;g=(d|0)>0;if((f>>>0<2146435072|(f|0)==2146435072&(k[t>>2]|0)>>>0<1)&g){f=k[a+12>>2]|0;h=0;do{i=f+(h<<3)|0;if(+p[i>>3]<b)p[i>>3]=b;h=h+1|0}while((h|0)!=(d|0))}b=+$(+c);p[t>>3]=b;h=k[t+4>>2]|0;if(!((h>>>0<2146435072|(h|0)==2146435072&(k[t>>2]|0)>>>0<1)&g))return;g=k[a+12>>2]|0;a=0;do{h=g+(a<<3)|0;if(+p[h>>3]>c)p[h>>3]=c;a=a+1|0}while((a|0)!=(d|0));return}function aE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(!(k[b>>2]|0))return;d=k[k[b+4>>2]>>2]|0;Dc[k[(k[d>>2]|0)+16>>2]&255](d,3,c,k[a+12>>2]|0,0);return}function bE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0.0,U=0.0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0;c=r;r=r+368|0;d=c+344|0;e=c+208|0;f=c+196|0;g=c+184|0;h=c+36|0;i=c+48|0;j=c+24|0;l=c+12|0;m=c;n=a+8|0;o=qw(a,k[n>>2]|0)|0;q=Rqa(o>>>0>536870911?-1:o<<3)|0;if((Hc[k[(k[b>>2]|0)+20>>2]&511](b)|0)!=622){s=e+56|0;t=e+4|0;k[e>>2]=27524;k[s>>2]=27544;B=0;wa(508,e+56|0,t|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;w=u;vva(s);Qb(w|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[s>>2]=27488;B=0;va(448,t|0);u=B;B=0;do if(u&1){x=Rb()|0;y=Q;z=x}else{k[t>>2]=27560;x=e+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,t|0,d|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(d);Yua(x);Ava(t);y=C;z=A;break}Yua(d);B=0;A=Ia(40,e|0,121102,50)|0;C=B;B=0;a:do if((((!(C&1)?(B=0,D=ya(k[(k[b>>2]|0)+20>>2]|0,b|0)|0,E=B,B=0,!(E&1)):0)?(B=0,E=ya(427,D|0)|0,D=B,B=0,!(D&1)):0)?(D=Lta(E)|0,B=0,F=Ia(40,A|0,E|0,D|0)|0,D=B,B=0,!(D&1)):0)?(B=0,Xa(239,F|0,0)|0,F=B,B=0,!(F&1)):0){F=Ab(20)|0;B=0;eb(502,f|0,76170,75);D=B;B=0;do if(!(D&1)){B=0;eb(502,g|0,121153,12);E=B;B=0;if(E&1){E=Rb()|0;G=Q;Yua(f);H=E;I=G;break}B=0;wa(510,h|0,t|0);G=B;B=0;if(G&1){G=Rb()|0;J=Q;K=G;L=1}else{B=0;ua(163,F|0,f|0,g|0,381,h|0);G=B;B=0;if(G&1)M=1;else{B=0;eb(503,F|0,1240,229);B=0;M=0}G=Rb()|0;E=Q;Yua(h);J=E;K=G;L=M}Yua(g);Yua(f);if(L){H=K;I=J}else{N=K;O=J;break a}}else{G=Rb()|0;H=G;I=Q}while(0);zb(F|0);N=H;O=I}else P=20;while(0);if((P|0)==20){A=Rb()|0;N=A;O=Q}k[e>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);R=O;S=N;Qb(S|0)}while(0);v=y;w=z;vva(s);Qb(w|0)}w=b+8|0;s=k[w>>2]|0;if((s|0)==(k[n>>2]|0)){if((o|0)>0){n=k[a+12>>2]|0;z=k[b+12>>2]|0;b=0;do{T=+p[n+(b<<3)>>3];U=+p[z+(b<<3)>>3];p[q+(b<<3)>>3]=T>U?U:T;b=b+1|0}while((b|0)!=(o|0))}o=Qqa(16)|0;b=k[a+4>>2]|0;k[o>>2]=32164;B=0;a=B;B=0;if(a&1){a=Rb()|0;V=a;W=Q}else{k[o>>2]=32356;k[o+4>>2]=b;k[o+8>>2]=s;B=0;b=Xa(250,o|0,s|0)|0;s=B;B=0;if(!(s&1)){if((b|0)<=0){k[o+12>>2]=0;Tqa(q);r=c;return o|0}B=0;s=ya(422,(b>>>0>536870911?-1:b<<3)|0)|0;a=B;B=0;if(!(a&1)){k[o+12>>2]=s;TEa(s|0,q|0,b<<3|0)|0;Tqa(q);r=c;return o|0}}c=Rb()|0;V=c;W=Q}Sqa(o);R=W;S=V;Qb(S|0)}V=i+56|0;W=i+4|0;k[i>>2]=27524;k[V>>2]=27544;B=0;wa(508,i+56|0,W|0);o=B;B=0;if(o&1){o=Rb()|0;X=Q;Y=o;vva(V);Qb(Y|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[V>>2]=27488;B=0;va(448,W|0);o=B;B=0;do if(o&1){c=Rb()|0;Z=Q;_=c}else{k[W>>2]=27560;c=i+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[i+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,W|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;b=Q;Yua(d);Yua(c);Ava(W);Z=b;_=q;break}Yua(d);B=0;q=Ia(40,i|0,121102,50)|0;b=B;B=0;b:do if(((!(b&1)?(B=0,s=ya(427,k[w>>2]|0)|0,a=B,B=0,!(a&1)):0)?(a=Lta(s)|0,B=0,z=Ia(40,q|0,s|0,a|0)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(239,z|0,0)|0,z=B,B=0,!(z&1)):0){z=Ab(20)|0;B=0;eb(502,j|0,76170,75);a=B;B=0;do if(!(a&1)){B=0;eb(502,l|0,121153,12);s=B;B=0;if(s&1){s=Rb()|0;n=Q;Yua(j);$=s;aa=n;break}B=0;wa(510,m|0,W|0);n=B;B=0;if(n&1){n=Rb()|0;ba=1;ca=Q;da=n}else{B=0;ua(163,z|0,j|0,l|0,383,m|0);n=B;B=0;if(n&1)ea=1;else{B=0;eb(503,z|0,1240,229);B=0;ea=0}n=Rb()|0;s=Q;Yua(m);ba=ea;ca=s;da=n}Yua(l);Yua(j);if(ba){$=da;aa=ca}else{fa=ca;ga=da;break b}}else{n=Rb()|0;$=n;aa=Q}while(0);zb(z|0);fa=aa;ga=$}else P=48;while(0);if((P|0)==48){q=Rb()|0;fa=Q;ga=q}k[i>>2]=27468;k[V>>2]=27488;k[W>>2]=27560;Yua(c);Ava(W);vva(V);R=fa;S=ga;Qb(S|0)}while(0);X=Z;Y=_;vva(V);Qb(Y|0);return 0}function cE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0.0,U=0.0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0;c=r;r=r+368|0;d=c+344|0;e=c+208|0;f=c+196|0;g=c+184|0;h=c+36|0;i=c+48|0;j=c+24|0;l=c+12|0;m=c;n=a+8|0;o=qw(a,k[n>>2]|0)|0;q=Rqa(o>>>0>536870911?-1:o<<3)|0;if((Hc[k[(k[b>>2]|0)+20>>2]&511](b)|0)!=622){s=e+56|0;t=e+4|0;k[e>>2]=27524;k[s>>2]=27544;B=0;wa(508,e+56|0,t|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;w=u;vva(s);Qb(w|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[s>>2]=27488;B=0;va(448,t|0);u=B;B=0;do if(u&1){x=Rb()|0;y=Q;z=x}else{k[t>>2]=27560;x=e+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,t|0,d|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(d);Yua(x);Ava(t);y=C;z=A;break}Yua(d);B=0;A=Ia(40,e|0,121102,50)|0;C=B;B=0;a:do if((((!(C&1)?(B=0,D=ya(k[(k[b>>2]|0)+20>>2]|0,b|0)|0,E=B,B=0,!(E&1)):0)?(B=0,E=ya(427,D|0)|0,D=B,B=0,!(D&1)):0)?(D=Lta(E)|0,B=0,F=Ia(40,A|0,E|0,D|0)|0,D=B,B=0,!(D&1)):0)?(B=0,Xa(239,F|0,0)|0,F=B,B=0,!(F&1)):0){F=Ab(20)|0;B=0;eb(502,f|0,76170,75);D=B;B=0;do if(!(D&1)){B=0;eb(502,g|0,121166,12);E=B;B=0;if(E&1){E=Rb()|0;G=Q;Yua(f);H=E;I=G;break}B=0;wa(510,h|0,t|0);G=B;B=0;if(G&1){G=Rb()|0;J=Q;K=G;L=1}else{B=0;ua(163,F|0,f|0,g|0,412,h|0);G=B;B=0;if(G&1)M=1;else{B=0;eb(503,F|0,1240,229);B=0;M=0}G=Rb()|0;E=Q;Yua(h);J=E;K=G;L=M}Yua(g);Yua(f);if(L){H=K;I=J}else{N=K;O=J;break a}}else{G=Rb()|0;H=G;I=Q}while(0);zb(F|0);N=H;O=I}else P=20;while(0);if((P|0)==20){A=Rb()|0;N=A;O=Q}k[e>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);R=O;S=N;Qb(S|0)}while(0);v=y;w=z;vva(s);Qb(w|0)}w=b+8|0;s=k[w>>2]|0;if((s|0)==(k[n>>2]|0)){if((o|0)>0){n=k[a+12>>2]|0;z=k[b+12>>2]|0;b=0;do{T=+p[n+(b<<3)>>3];U=+p[z+(b<<3)>>3];p[q+(b<<3)>>3]=T<U?U:T;b=b+1|0}while((b|0)!=(o|0))}o=Qqa(16)|0;b=k[a+4>>2]|0;k[o>>2]=32164;B=0;a=B;B=0;if(a&1){a=Rb()|0;V=a;W=Q}else{k[o>>2]=32356;k[o+4>>2]=b;k[o+8>>2]=s;B=0;b=Xa(250,o|0,s|0)|0;s=B;B=0;if(!(s&1)){if((b|0)<=0){k[o+12>>2]=0;Tqa(q);r=c;return o|0}B=0;s=ya(422,(b>>>0>536870911?-1:b<<3)|0)|0;a=B;B=0;if(!(a&1)){k[o+12>>2]=s;TEa(s|0,q|0,b<<3|0)|0;Tqa(q);r=c;return o|0}}c=Rb()|0;V=c;W=Q}Sqa(o);R=W;S=V;Qb(S|0)}V=i+56|0;W=i+4|0;k[i>>2]=27524;k[V>>2]=27544;B=0;wa(508,i+56|0,W|0);o=B;B=0;if(o&1){o=Rb()|0;X=Q;Y=o;vva(V);Qb(Y|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[V>>2]=27488;B=0;va(448,W|0);o=B;B=0;do if(o&1){c=Rb()|0;Z=Q;_=c}else{k[W>>2]=27560;c=i+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[i+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,W|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;b=Q;Yua(d);Yua(c);Ava(W);Z=b;_=q;break}Yua(d);B=0;q=Ia(40,i|0,121102,50)|0;b=B;B=0;b:do if(((!(b&1)?(B=0,s=ya(427,k[w>>2]|0)|0,a=B,B=0,!(a&1)):0)?(a=Lta(s)|0,B=0,z=Ia(40,q|0,s|0,a|0)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(239,z|0,0)|0,z=B,B=0,!(z&1)):0){z=Ab(20)|0;B=0;eb(502,j|0,76170,75);a=B;B=0;do if(!(a&1)){B=0;eb(502,l|0,121166,12);s=B;B=0;if(s&1){s=Rb()|0;n=Q;Yua(j);$=s;aa=n;break}B=0;wa(510,m|0,W|0);n=B;B=0;if(n&1){n=Rb()|0;ba=1;ca=Q;da=n}else{B=0;ua(163,z|0,j|0,l|0,414,m|0);n=B;B=0;if(n&1)ea=1;else{B=0;eb(503,z|0,1240,229);B=0;ea=0}n=Rb()|0;s=Q;Yua(m);ba=ea;ca=s;da=n}Yua(l);Yua(j);if(ba){$=da;aa=ca}else{fa=ca;ga=da;break b}}else{n=Rb()|0;$=n;aa=Q}while(0);zb(z|0);fa=aa;ga=$}else P=48;while(0);if((P|0)==48){q=Rb()|0;fa=Q;ga=q}k[i>>2]=27468;k[V>>2]=27488;k[W>>2]=27560;Yua(c);Ava(W);vva(V);R=fa;S=ga;Qb(S|0)}while(0);X=Z;Y=_;vva(V);Qb(Y|0);return 0}function dE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0;c=r;r=r+368|0;d=c+344|0;e=c+208|0;f=c+196|0;g=c+184|0;h=c+36|0;i=c+48|0;j=c+24|0;l=c+12|0;m=c;n=a+8|0;o=qw(a,k[n>>2]|0)|0;if((Hc[k[(k[b>>2]|0)+20>>2]&511](b)|0)!=622){q=e+56|0;s=e+4|0;k[e>>2]=27524;k[q>>2]=27544;B=0;wa(508,e+56|0,s|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;v=t;vva(q);Qb(v|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[q>>2]=27488;B=0;va(448,s|0);t=B;B=0;do if(t&1){w=Rb()|0;x=Q;y=w}else{k[s>>2]=27560;w=e+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,s|0,d|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(d);Yua(w);Ava(s);x=A;y=z;break}Yua(d);B=0;z=Ia(40,e|0,121102,50)|0;A=B;B=0;a:do if((((!(A&1)?(B=0,C=ya(k[(k[b>>2]|0)+20>>2]|0,b|0)|0,D=B,B=0,!(D&1)):0)?(B=0,D=ya(427,C|0)|0,C=B,B=0,!(C&1)):0)?(C=Lta(D)|0,B=0,E=Ia(40,z|0,D|0,C|0)|0,C=B,B=0,!(C&1)):0)?(B=0,Xa(239,E|0,0)|0,E=B,B=0,!(E&1)):0){E=Ab(20)|0;B=0;eb(502,f|0,76170,75);C=B;B=0;do if(!(C&1)){B=0;eb(502,g|0,121179,15);D=B;B=0;if(D&1){D=Rb()|0;F=Q;Yua(f);G=D;H=F;break}B=0;wa(510,h|0,s|0);F=B;B=0;if(F&1){F=Rb()|0;I=Q;J=F;K=1}else{B=0;ua(163,E|0,f|0,g|0,441,h|0);F=B;B=0;if(F&1)L=1;else{B=0;eb(503,E|0,1240,229);B=0;L=0}F=Rb()|0;D=Q;Yua(h);I=D;J=F;K=L}Yua(g);Yua(f);if(K){G=J;H=I}else{M=J;N=I;break a}}else{F=Rb()|0;G=F;H=Q}while(0);zb(E|0);M=G;N=H}else O=20;while(0);if((O|0)==20){z=Rb()|0;M=z;N=Q}k[e>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(q);P=N;R=M;Qb(R|0)}while(0);u=x;v=y;vva(q);Qb(v|0)}v=b+8|0;q=k[v>>2]|0;if((q|0)==(k[n>>2]|0)){n=Rqa(o>>>0>536870911?-1:o<<3)|0;if((o|0)>0){y=k[a+12>>2]|0;x=k[b+12>>2]|0;b=0;do{p[n+(b<<3)>>3]=+p[y+(b<<3)>>3]/+p[x+(b<<3)>>3];b=b+1|0}while((b|0)!=(o|0))}o=Qqa(16)|0;b=k[a+4>>2]|0;k[o>>2]=32164;B=0;a=B;B=0;if(a&1){a=Rb()|0;S=a;T=Q}else{k[o>>2]=32356;k[o+4>>2]=b;k[o+8>>2]=q;B=0;b=Xa(250,o|0,q|0)|0;q=B;B=0;if(!(q&1)){if((b|0)<=0){k[o+12>>2]=0;Tqa(n);r=c;return o|0}B=0;q=ya(422,(b>>>0>536870911?-1:b<<3)|0)|0;a=B;B=0;if(!(a&1)){k[o+12>>2]=q;TEa(q|0,n|0,b<<3|0)|0;Tqa(n);r=c;return o|0}}c=Rb()|0;S=c;T=Q}Sqa(o);P=T;R=S;Qb(R|0)}S=i+56|0;T=i+4|0;k[i>>2]=27524;k[S>>2]=27544;B=0;wa(508,i+56|0,T|0);o=B;B=0;if(o&1){o=Rb()|0;U=Q;V=o;vva(S);Qb(V|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[S>>2]=27488;B=0;va(448,T|0);o=B;B=0;do if(o&1){c=Rb()|0;W=Q;X=c}else{k[T>>2]=27560;c=i+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[i+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,T|0,d|0);n=B;B=0;if(n&1){n=Rb()|0;b=Q;Yua(d);Yua(c);Ava(T);W=b;X=n;break}Yua(d);B=0;n=Ia(40,i|0,121102,50)|0;b=B;B=0;b:do if(((!(b&1)?(B=0,q=ya(427,k[v>>2]|0)|0,a=B,B=0,!(a&1)):0)?(a=Lta(q)|0,B=0,x=Ia(40,n|0,q|0,a|0)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(239,x|0,0)|0,x=B,B=0,!(x&1)):0){x=Ab(20)|0;B=0;eb(502,j|0,76170,75);a=B;B=0;do if(!(a&1)){B=0;eb(502,l|0,121179,15);q=B;B=0;if(q&1){q=Rb()|0;y=Q;Yua(j);Y=q;Z=y;break}B=0;wa(510,m|0,T|0);y=B;B=0;if(y&1){y=Rb()|0;_=1;$=Q;aa=y}else{B=0;ua(163,x|0,j|0,l|0,443,m|0);y=B;B=0;if(y&1)ba=1;else{B=0;eb(503,x|0,1240,229);B=0;ba=0}y=Rb()|0;q=Q;Yua(m);_=ba;$=q;aa=y}Yua(l);Yua(j);if(_){Y=aa;Z=$}else{ca=$;da=aa;break b}}else{y=Rb()|0;Y=y;Z=Q}while(0);zb(x|0);ca=Z;da=Y}else O=46;while(0);if((O|0)==46){n=Rb()|0;ca=Q;da=n}k[i>>2]=27468;k[S>>2]=27488;k[T>>2]=27560;Yua(c);Ava(T);vva(S);P=ca;R=da;Qb(R|0)}while(0);U=W;V=X;vva(S);Qb(V|0);return 0}function eE(a,b){a=a|0;b=b|0;return}function fE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76246,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,51,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function gE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76246,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,52,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function hE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,76332,30)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,141170,1)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,76246,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,121355,13);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,53,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function iE(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;e=c+24|0;f=c+12|0;g=c;c=a+56|0;h=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=a+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,a|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,76246,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,121355,13);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,55,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[a>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(E|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function jE(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,76246,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,56,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function kE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,134695,17)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76246,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121304,19);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,75,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function lE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,134695,17)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76246,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121296,7);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,74,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function mE(a){a=a|0;k[a>>2]=32548;return}function nE(a,b,c){a=a|0;b=b|0;c=c|0;k[a>>2]=32548;k[a+4>>2]=b;i[a+8>>0]=c&1;return}function oE(a){a=a|0;k[a>>2]=32548;return}function pE(a){a=a|0;Sqa(a);return}function qE(a){a=a|0;Ec[k[(k[a>>2]|0)+12>>2]&1023](a);return}function rE(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;b=r;r=r+176|0;c=b+152|0;d=b+16|0;e=b;f=d+56|0;g=d+4|0;k[d>>2]=27524;k[f>>2]=27544;B=0;wa(508,d+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;j=Q;l=h;vva(f);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[f>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){m=Rb()|0;n=Q;o=m}else{k[g>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(g);n=q;o=p;break}Yua(c);k[d+(k[(k[d>>2]|0)+-12>>2]|0)+12>>2]=15;B=0;p=Ia(40,d|0,76374,13)|0;q=B;B=0;if((((((!(q&1)?(k[p+(k[(k[p>>2]|0)+-12>>2]|0)+12>>2]=25,q=p+(k[(k[p>>2]|0)+-12>>2]|0)+4|0,k[q>>2]=k[q>>2]&-177|32,B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,149175,1)|0,t=B,B=0,!(t&1)):0)?(t=(i[a+8>>0]|0)!=0,B=0,q=Ia(40,s|0,(t?159247:159252)|0,(t?4:5)|0)|0,t=B,B=0,!(t&1)):0)?(B=0,Ia(40,q|0,149177,1)|0,q=B,B=0,!(q&1)):0)?(B=0,wa(510,e|0,g|0),q=B,B=0,!(q&1)):0){B=0;ya(424,e|0)|0;q=B;B=0;if(!(q&1)){Yua(e);k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(m);Ava(g);vva(f);r=b;return}q=Rb()|0;t=Q;Yua(e);u=t;v=q;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(m);Ava(g);vva(f);Qb(v|0)}q=Rb()|0;u=Q;v=q;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(m);Ava(g);vva(f);Qb(v|0)}while(0);j=n;l=o;vva(f);Qb(l|0)}function sE(a){a=a|0;return -1}function tE(a){a=a|0;return 556}function uE(a){a=a|0;var b=0,c=0,d=0;b=Qqa(12)|0;c=k[a+4>>2]|0;d=i[a+8>>0]|0;k[b>>2]=32548;k[b+4>>2]=c;i[b+8>>0]=d;return b|0}function vE(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;switch(d|0){case 0:{d=k[b>>2]|0;i[d>>0]=44;i[d+1>>0]=2;i[d+2>>0]=0;i[d+3>>0]=0;d=(k[b>>2]|0)+4|0;k[b>>2]=d;n=a+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;i[o>>0]=i[a+8>>0]|0;k[b>>2]=(k[b>>2]|0)+1;r=e;return}case 2:{k[c>>2]=(k[c>>2]|0)+9;r=e;return}case 1:{c=(k[b>>2]|0)+4|0;k[b>>2]=c;o=a+4|0;d=l[c>>0]|l[c+1>>0]<<8|l[c+2>>0]<<16|l[c+3>>0]<<24;i[o>>0]=d;i[o+1>>0]=d>>8;i[o+2>>0]=d>>16;i[o+3>>0]=d>>24;d=(k[b>>2]|0)+4|0;k[b>>2]=d;i[a+8>>0]=i[d>>0]|0;k[b>>2]=(k[b>>2]|0)+1;r=e;return}default:{e=g+56|0;b=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,b|0);d=B;B=0;if(d&1){d=Rb()|0;p=Q;q=d;vva(e);Qb(q|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,b|0);d=B;B=0;do if(d&1){a=Rb()|0;s=Q;t=a}else{k[b>>2]=27560;a=g+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,b|0,f|0);o=B;B=0;if(o&1){o=Rb()|0;c=Q;Yua(f);Yua(a);Ava(b);s=c;t=o;break}Yua(f);B=0;o=Ia(40,g|0,143951,43)|0;c=B;B=0;if(!(c&1)?(B=0,Xa(239,o|0,0)|0,o=B,B=0,!(o&1)):0){o=Ab(20)|0;B=0;eb(502,h|0,76388,75);c=B;B=0;do if(!(c&1)){B=0;eb(502,j|0,149525,8);n=B;B=0;if(n&1){n=Rb()|0;u=Q;Yua(h);v=u;w=n;break}B=0;wa(510,m|0,b|0);n=B;B=0;if(n&1){n=Rb()|0;x=n;y=Q;z=1}else{B=0;ua(163,o|0,h|0,j|0,56,m|0);n=B;B=0;if(n&1)A=1;else{B=0;eb(503,o|0,1240,229);B=0;A=0}n=Rb()|0;u=Q;Yua(m);x=n;y=u;z=A}Yua(j);Yua(h);if(z){v=y;w=x}else{C=y;D=x;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(e);Qb(D|0)}}else{u=Rb()|0;v=Q;w=u}while(0);zb(o|0);C=v;D=w;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(e);Qb(D|0)}c=Rb()|0;C=Q;D=c;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(e);Qb(D|0)}while(0);p=s;q=t;vva(e);Qb(q|0)}}}function wE(a){a=a|0;return k[a+4>>2]|0}function xE(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;d=Qqa(12)|0;k[d>>2]=32548;k[d+4>>2]=k[a+4>>2];i[d+8>>0]=i[a+8>>0]|0;return d|0}function yE(a,b,c){a=a|0;b=b|0;c=c|0;c=Qqa(12)|0;k[c>>2]=32548;k[c+4>>2]=k[a+4>>2];i[c+8>>0]=i[a+8>>0]|0;return c|0}function zE(a,b){a=a|0;b=b|0;i[b>>0]=i[a+8>>0]|0;return}function AE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,119332,18)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76388,75);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,105,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function BE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,119332,18)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76388,75);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,107,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function CE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,119332,18)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76388,75);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,109,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function DE(a,b){a=a|0;b=b|0;k[a+4>>2]=b;return}function EE(a,b,c){a=a|0;b=b|0;c=c|0;p[b>>3]=+((i[a+8>>0]|0)!=0&1);return}function FE(a,b){a=a|0;b=+b;return}function GE(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;j=d;if((Hc[k[(k[b>>2]|0)+20>>2]&511](b)|0)==556){m=a+8|0;i[m>>0]=+(l[m>>0]|0)+ +(l[b+8>>0]|0)*c!=0.0&1;r=d;return}d=f+56|0;b=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,b|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(d);Qb(o|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);m=B;B=0;do if(m&1){a=Rb()|0;p=Q;q=a}else{k[b>>2]=27560;a=f+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,b|0,e|0);s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(e);Yua(a);Ava(b);p=t;q=s;break}Yua(e);B=0;s=Ia(40,f|0,149721,19)|0;t=B;B=0;if(!(t&1)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,g|0,76388,75);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,121097,4);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(g);w=v;x=u;break}B=0;wa(510,j|0,b|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,g|0,h|0,139,j|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(j);y=v;z=u;A=C}Yua(h);Yua(g);if(A){w=y;x=z}else{D=y;E=z;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(E|0)}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(E|0)}t=Rb()|0;D=Q;E=t;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(E|0)}while(0);n=p;o=q;vva(d);Qb(o|0)}function HE(a,b){a=a|0;b=b|0;return}function IE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,77191,17)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76388,75);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115046,19);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,152,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function JE(a,b){a=a|0;b=b|0;return}function KE(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;e=c+24|0;f=c+12|0;g=c;c=a+56|0;h=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=a+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,a|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,76464,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,121355,13);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,50,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[a>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(E|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function LE(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,76464,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,51,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function ME(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,76464,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,77964,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,52,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function NE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76464,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,77948,15);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,53,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function OE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76464,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121324,30);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,54,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function PE(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,76464,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,120910,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,55,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function QE(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,a|0,76464,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,120878,31);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(a);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,a|0,f|0,56,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(a);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(E|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function RE(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;a=d+56|0;h=d+4|0;k[d>>2]=27524;k[a>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(a);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[a>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,76464,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,115231,12);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,59,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[a>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(a);Qb(E|0)}while(0);j=n;l=o;vva(a);Qb(l|0)}function SE(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,76655,41)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76464,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115218,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,60,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function TE(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,76622,32)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76464,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115211,6);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,62,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function UE(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,76589,32)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76464,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115204,6);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,64,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function VE(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,76622,32)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76464,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115200,3);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,61,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function WE(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,76589,32)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76464,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,77944,3);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,63,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function XE(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;a=d+56|0;h=d+4|0;k[d>>2]=27524;k[a>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(a);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[a>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,120763,23)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,76464,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,120874,3);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,65,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[a>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(a);Qb(E|0)}while(0);j=n;l=o;vva(a);Qb(l|0)}function YE(a,b,c){a=a|0;b=+b;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;a=r;r=r+192|0;d=a+176|0;e=a+40|0;f=a+24|0;g=a+12|0;h=a;a=e+56|0;i=e+4|0;k[e>>2]=27524;k[a>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(a);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[a>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,76550,38)|0;s=B;B=0;a:do if(!(s&1)?(B=0,Xa(239,q|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,76464,85);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,118419,9);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(f);x=w;y=v;break}B=0;wa(510,h|0,i|0);v=B;B=0;if(v&1){v=Rb()|0;z=Q;A=v;C=1}else{B=0;ua(163,t|0,f|0,g|0,68,h|0);v=B;B=0;if(v&1)D=1;else{B=0;eb(503,t|0,1240,229);B=0;D=0}v=Rb()|0;w=Q;Yua(h);z=w;A=v;C=D}Yua(g);Yua(f);if(C){x=z;y=A}else{E=z;F=A;break a}}else{v=Rb()|0;x=Q;y=v}while(0);zb(t|0);E=x;F=y}else G=16;while(0);if((G|0)==16){q=Rb()|0;E=Q;F=q}k[e>>2]=27468;k[a>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(a);Qb(F|0)}while(0);l=o;m=p;vva(a);Qb(m|0)}function ZE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,134695,17)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76464,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121304,19);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,70,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function _E(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76464,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121179,15);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,35,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function $E(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76464,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121166,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,37,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function aF(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76464,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121153,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,36,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function bF(a){a=a|0;return 736}function cF(a){a=a|0;return 1}function dF(a){a=a|0;return 1}function eF(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,134695,17)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,76464,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115180,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,41,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function fF(a){a=a|0;k[a>>2]=32740;return}function gF(a,b,c){a=a|0;b=b|0;c=c|0;k[a>>2]=32740;k[a+4>>2]=b;k[a+8>>2]=c;return}function hF(a){a=a|0;k[a>>2]=32740;return}function iF(a){a=a|0;Sqa(a);return}function jF(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;b=r;r=r+176|0;c=b+152|0;d=b+16|0;e=b;f=d+56|0;g=d+4|0;k[d>>2]=27524;k[f>>2]=27544;B=0;wa(508,d+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(f);Qb(j|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[f>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=d+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);k[d+(k[(k[d>>2]|0)+-12>>2]|0)+12>>2]=15;B=0;o=Ia(40,d|0,76707,12)|0;p=B;B=0;if((((((!(p&1)?(k[o+(k[(k[o>>2]|0)+-12>>2]|0)+12>>2]=25,p=o+(k[(k[o>>2]|0)+-12>>2]|0)+4|0,k[p>>2]=k[p>>2]&-177|32,B=0,p=ya(427,k[a+4>>2]|0)|0,q=B,B=0,!(q&1)):0)?(q=Lta(p)|0,B=0,s=Ia(40,o|0,p|0,q|0)|0,q=B,B=0,!(q&1)):0)?(B=0,q=Ia(40,s|0,149175,1)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Xa(242,q|0,k[a+8>>2]|0)|0,q=B,B=0,!(q&1)):0)?(B=0,Ia(40,s|0,149177,1)|0,s=B,B=0,!(s&1)):0)?(B=0,wa(510,e|0,g|0),s=B,B=0,!(s&1)):0){B=0;ya(424,e|0)|0;s=B;B=0;if(!(s&1)){Yua(e);k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);r=b;return}s=Rb()|0;q=Q;Yua(e);t=q;u=s;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(u|0)}s=Rb()|0;t=Q;u=s;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(u|0)}while(0);i=m;j=n;vva(f);Qb(j|0)}function kF(a){a=a|0;return -1}function lF(a){a=a|0;return 574}function mF(a){a=a|0;var b=0,c=0,d=0;b=Qqa(12)|0;c=k[a+4>>2]|0;d=k[a+8>>2]|0;k[b>>2]=32740;k[b+4>>2]=c;k[b+8>>2]=d;return b|0}function nF(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;switch(d|0){case 0:{d=k[b>>2]|0;i[d>>0]=62;i[d+1>>0]=2;i[d+2>>0]=0;i[d+3>>0]=0;d=(k[b>>2]|0)+4|0;k[b>>2]=d;n=a+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;d=a+8|0;n=l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24;i[o>>0]=n;i[o+1>>0]=n>>8;i[o+2>>0]=n>>16;i[o+3>>0]=n>>24;k[b>>2]=(k[b>>2]|0)+4;r=e;return}case 2:{k[c>>2]=(k[c>>2]|0)+12;r=e;return}case 1:{c=(k[b>>2]|0)+4|0;k[b>>2]=c;n=a+4|0;o=l[c>>0]|l[c+1>>0]<<8|l[c+2>>0]<<16|l[c+3>>0]<<24;i[n>>0]=o;i[n+1>>0]=o>>8;i[n+2>>0]=o>>16;i[n+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;n=a+8|0;a=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[n>>0]=a;i[n+1>>0]=a>>8;i[n+2>>0]=a>>16;i[n+3>>0]=a>>24;k[b>>2]=(k[b>>2]|0)+4;r=e;return}default:{e=g+56|0;b=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;p=Q;q=a;vva(e);Qb(q|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,b|0);a=B;B=0;do if(a&1){n=Rb()|0;s=Q;t=n}else{k[b>>2]=27560;n=g+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,b|0,f|0);o=B;B=0;if(o&1){o=Rb()|0;c=Q;Yua(f);Yua(n);Ava(b);s=c;t=o;break}Yua(f);B=0;o=Ia(40,g|0,143951,43)|0;c=B;B=0;if(!(c&1)?(B=0,Xa(239,o|0,0)|0,o=B,B=0,!(o&1)):0){o=Ab(20)|0;B=0;eb(502,h|0,76720,74);c=B;B=0;do if(!(c&1)){B=0;eb(502,j|0,149525,8);d=B;B=0;if(d&1){d=Rb()|0;u=Q;Yua(h);v=u;w=d;break}B=0;wa(510,m|0,b|0);d=B;B=0;if(d&1){d=Rb()|0;x=d;y=Q;z=1}else{B=0;ua(163,o|0,h|0,j|0,52,m|0);d=B;B=0;if(d&1)A=1;else{B=0;eb(503,o|0,1240,229);B=0;A=0}d=Rb()|0;u=Q;Yua(m);x=d;y=u;z=A}Yua(j);Yua(h);if(z){v=y;w=x}else{C=y;D=x;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(n);Ava(b);vva(e);Qb(D|0)}}else{u=Rb()|0;v=Q;w=u}while(0);zb(o|0);C=v;D=w;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(n);Ava(b);vva(e);Qb(D|0)}c=Rb()|0;C=Q;D=c;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(n);Ava(b);vva(e);Qb(D|0)}while(0);p=s;q=t;vva(e);Qb(q|0)}}}function oF(a){a=a|0;Ec[k[(k[a>>2]|0)+12>>2]&1023](a);return}function pF(a){a=a|0;return k[a+4>>2]|0}function qF(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;d=Qqa(12)|0;k[d>>2]=32740;k[d+4>>2]=k[a+4>>2];k[d+8>>2]=k[a+8>>2];return d|0}function rF(a,b,c){a=a|0;b=b|0;c=c|0;c=Qqa(12)|0;k[c>>2]=32740;k[c+4>>2]=k[a+4>>2];k[c+8>>2]=k[a+8>>2];return c|0}function sF(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,119332,18)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76720,74);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,99,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function tF(a,b){a=a|0;b=b|0;k[b>>2]=k[a+8>>2];return}function uF(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,76795,47)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76720,74);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,106,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function vF(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,119332,18)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76720,74);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,109,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function wF(a,b){a=a|0;b=b|0;k[a+4>>2]=b;return}function xF(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0;d=+(k[a+8>>2]|0);p[b>>3]=d*d;return}function yF(a,b){a=a|0;b=+b;var c=0;c=a+8|0;k[c>>2]=~~(+(k[c>>2]|0)*b);return}function zF(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;if((Hc[k[(k[b>>2]|0)+20>>2]&511](b)|0)==574){j=a+8|0;k[j>>2]=~~(+(k[j>>2]|0)+ +(k[b+8>>2]|0)*c);r=d;return}d=f+56|0;b=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,b|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(d);Qb(m|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);j=B;B=0;do if(j&1){a=Rb()|0;n=Q;o=a}else{k[b>>2]=27560;a=f+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,b|0,e|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(e);Yua(a);Ava(b);n=q;o=p;break}Yua(e);B=0;p=Ia(40,f|0,149721,19)|0;q=B;B=0;if(!(q&1)?(B=0,Xa(239,p|0,0)|0,p=B,B=0,!(p&1)):0){p=Ab(20)|0;B=0;eb(502,g|0,76720,74);q=B;B=0;do if(!(q&1)){B=0;eb(502,h|0,121097,4);s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(g);u=t;v=s;break}B=0;wa(510,i|0,b|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,p|0,g|0,h|0,143,i|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,p|0,1240,229);B=0;z=0}s=Rb()|0;t=Q;Yua(i);w=t;x=s;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(p|0);A=u;C=v;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(C|0)}q=Rb()|0;A=Q;C=q;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(C|0)}while(0);l=n;m=o;vva(d);Qb(m|0)}function AF(a,b,c){a=a|0;b=+b;c=+c;var d=0.0,e=0;d=+$(+b);p[t>>3]=d;e=k[t+4>>2]|0;if(!(e>>>0>2146435072|(e|0)==2146435072&(k[t>>2]|0)>>>0>0)?(e=a+8|0,+(k[e>>2]|0)<b):0)k[e>>2]=~~b;b=+$(+c);p[t>>3]=b;e=k[t+4>>2]|0;if(e>>>0>2146435072|(e|0)==2146435072&(k[t>>2]|0)>>>0>0)return;e=a+8|0;if(!(+(k[e>>2]|0)>c))return;k[e>>2]=~~c;return}function BF(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,77191,17)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76720,74);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115046,19);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,157,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function CF(a,b){a=a|0;b=b|0;return}function DF(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;e=c+24|0;f=c+12|0;g=c;c=a+56|0;h=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=a+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,a|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,76843,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,121355,13);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,54,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[a>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(E|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function EF(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,76843,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,55,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function FF(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,76843,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,77964,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,56,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function GF(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76843,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,77948,15);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,57,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function HF(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76843,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121324,30);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,58,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function IF(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,76843,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,120910,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,59,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function JF(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,a|0,76843,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,120878,31);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(a);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,a|0,f|0,60,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(a);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(E|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function KF(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;a=d+56|0;h=d+4|0;k[d>>2]=27524;k[a>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(a);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[a>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,76843,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,115231,12);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,63,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[a>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(a);Qb(E|0)}while(0);j=n;l=o;vva(a);Qb(l|0)}function LF(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,76994,41)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76843,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115218,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,68,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function MF(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,76961,32)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76843,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115211,6);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,70,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function NF(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,76928,32)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76843,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115204,6);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,72,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function OF(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,76961,32)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76843,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115200,3);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,69,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function PF(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,76928,32)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76843,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,77944,3);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,71,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function QF(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;a=d+56|0;h=d+4|0;k[d>>2]=27524;k[a>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(a);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[a>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,120763,23)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,76843,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,120874,3);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,64,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[a>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(a);Qb(E|0)}while(0);j=n;l=o;vva(a);Qb(l|0)}function RF(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,134695,17)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76843,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121304,19);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,74,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function SF(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,134695,17)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76843,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121296,7);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,73,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function TF(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76843,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121179,15);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,39,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function UF(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76843,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121166,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,41,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function VF(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,76843,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121153,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,40,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function WF(a){a=a|0;return 736}function XF(a){a=a|0;return 1}function YF(a){a=a|0;return 1}function ZF(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,134695,17)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,76843,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115180,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,45,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function _F(a){a=a|0;k[a>>2]=32932;return}function $F(a,b,c){a=a|0;b=b|0;c=+c;k[a>>2]=32932;k[a+4>>2]=b;p[a+8>>3]=c;return}function aG(a){a=a|0;k[a>>2]=32932;return}function bG(a){a=a|0;Sqa(a);return}function cG(a){a=a|0;Ec[k[(k[a>>2]|0)+12>>2]&1023](a);return}function dG(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0;b=r;r=r+176|0;c=b+152|0;d=b+16|0;e=b;f=d+56|0;g=d+4|0;k[d>>2]=27524;k[f>>2]=27544;B=0;wa(508,d+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(f);Qb(j|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[f>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=d+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;q=Q;Yua(c);Yua(l);Ava(g);m=q;n=o;break}Yua(c);k[d+(k[(k[d>>2]|0)+-12>>2]|0)+12>>2]=15;B=0;o=Ia(40,d|0,77050,15)|0;q=B;B=0;if((((((!(q&1)?(k[o+(k[(k[o>>2]|0)+-12>>2]|0)+12>>2]=25,q=o+(k[(k[o>>2]|0)+-12>>2]|0)+4|0,k[q>>2]=k[q>>2]&-177|32,B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,o|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,149175,1)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Sa(1,s|0,+(+p[a+8>>3]))|0,s=B,B=0,!(s&1)):0)?(B=0,Ia(40,t|0,149177,1)|0,t=B,B=0,!(t&1)):0)?(B=0,wa(510,e|0,g|0),t=B,B=0,!(t&1)):0){B=0;ya(424,e|0)|0;t=B;B=0;if(!(t&1)){Yua(e);k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);r=b;return}t=Rb()|0;s=Q;Yua(e);u=s;v=t;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(v|0)}t=Rb()|0;u=Q;v=t;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(v|0)}while(0);i=m;j=n;vva(f);Qb(j|0)}function eG(a){a=a|0;return -1}function fG(a){a=a|0;return 561}function gG(a){a=a|0;var b=0,c=0,d=0.0;b=Qqa(16)|0;c=k[a+4>>2]|0;d=+p[a+8>>3];k[b>>2]=32932;k[b+4>>2]=c;p[b+8>>3]=d;return b|0}function hG(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;switch(d|0){case 0:{d=k[b>>2]|0;i[d>>0]=49;i[d+1>>0]=2;i[d+2>>0]=0;i[d+3>>0]=0;d=(k[b>>2]|0)+4|0;k[b>>2]=d;n=a+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;d=a+8|0;n=d;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d+4|0;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o;o=n;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=n+4|0;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;k[b>>2]=(k[b>>2]|0)+8;r=e;return}case 2:{k[c>>2]=(k[c>>2]|0)+16;r=e;return}case 1:{c=(k[b>>2]|0)+4|0;k[b>>2]=c;d=a+4|0;q=l[c>>0]|l[c+1>>0]<<8|l[c+2>>0]<<16|l[c+3>>0]<<24;i[d>>0]=q;i[d+1>>0]=q>>8;i[d+2>>0]=q>>16;i[d+3>>0]=q>>24;q=(k[b>>2]|0)+4|0;k[b>>2]=q;d=a+8|0;i[t>>0]=i[q>>0];i[t+1>>0]=i[q+1>>0];i[t+2>>0]=i[q+2>>0];i[t+3>>0]=i[q+3>>0];i[t+4>>0]=i[q+4>>0];i[t+5>>0]=i[q+5>>0];i[t+6>>0]=i[q+6>>0];i[t+7>>0]=i[q+7>>0];p[t>>3]=+p[t>>3];i[d>>0]=i[t>>0];i[d+1>>0]=i[t+1>>0];i[d+2>>0]=i[t+2>>0];i[d+3>>0]=i[t+3>>0];i[d+4>>0]=i[t+4>>0];i[d+5>>0]=i[t+5>>0];i[d+6>>0]=i[t+6>>0];i[d+7>>0]=i[t+7>>0];k[b>>2]=(k[b>>2]|0)+8;r=e;return}default:{e=g+56|0;b=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,b|0);d=B;B=0;if(d&1){d=Rb()|0;s=Q;u=d;vva(e);Qb(u|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,b|0);d=B;B=0;do if(d&1){q=Rb()|0;v=Q;w=q}else{k[b>>2]=27560;q=g+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,b|0,f|0);a=B;B=0;if(a&1){a=Rb()|0;c=Q;Yua(f);Yua(q);Ava(b);v=c;w=a;break}Yua(f);B=0;a=Ia(40,g|0,143951,43)|0;c=B;B=0;if(!(c&1)?(B=0,Xa(239,a|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,h|0,77066,77);c=B;B=0;do if(!(c&1)){B=0;eb(502,j|0,149525,8);n=B;B=0;if(n&1){n=Rb()|0;o=Q;Yua(h);x=o;y=n;break}B=0;wa(510,m|0,b|0);n=B;B=0;if(n&1){n=Rb()|0;z=n;A=Q;C=1}else{B=0;ua(163,a|0,h|0,j|0,56,m|0);n=B;B=0;if(n&1)D=1;else{B=0;eb(503,a|0,1240,229);B=0;D=0}n=Rb()|0;o=Q;Yua(m);z=n;A=o;C=D}Yua(j);Yua(h);if(C){x=A;y=z}else{E=A;F=z;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(q);Ava(b);vva(e);Qb(F|0)}}else{o=Rb()|0;x=Q;y=o}while(0);zb(a|0);E=x;F=y;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(q);Ava(b);vva(e);Qb(F|0)}c=Rb()|0;E=Q;F=c;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(q);Ava(b);vva(e);Qb(F|0)}while(0);s=v;u=w;vva(e);Qb(u|0)}}}function iG(a){a=a|0;return k[a+4>>2]|0}function jG(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;d=Qqa(16)|0;k[d>>2]=32932;k[d+4>>2]=k[a+4>>2];p[d+8>>3]=+p[a+8>>3];return d|0}function kG(a,b,c){a=a|0;b=b|0;c=c|0;c=Qqa(16)|0;k[c>>2]=32932;k[c+4>>2]=k[a+4>>2];p[c+8>>3]=+p[a+8>>3];return c|0}function lG(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,77144,21)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,77166,24)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,77066,77);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,121355,13);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,102,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function mG(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,77144,21)|0;q=B;B=0;if((((((!(q&1)?(q=a+4|0,B=0,s=Xa(242,p|0,k[q>>2]|0)|0,p=B,B=0,!(p&1)):0)?(B=0,p=Ia(40,s|0,144166,2)|0,s=B,B=0,!(s&1)):0)?(B=0,s=ya(427,k[q>>2]|0)|0,q=B,B=0,!(q&1)):0)?(q=Lta(s)|0,B=0,t=Ia(40,p|0,s|0,q|0)|0,q=B,B=0,!(q&1)):0)?(B=0,q=Ia(40,t|0,82829,26)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,e|0,77066,77);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,121355,13);s=B;B=0;if(s&1){s=Rb()|0;p=Q;Yua(e);u=p;v=s;break}B=0;wa(510,g|0,h|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,q|0,e|0,f|0,107,g|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,q|0,1240,229);B=0;z=0}s=Rb()|0;p=Q;Yua(g);w=p;x=s;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(q|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function nG(a,b){a=a|0;b=b|0;p[b>>3]=+p[a+8>>3];return}function oG(a,b,c){a=a|0;b=b|0;c=c|0;p[b>>3]=+p[a+8>>3];return}function pG(a,b){a=a|0;b=b|0;k[a+4>>2]=b;return}function qG(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0;d=+p[a+8>>3];p[b>>3]=d*d;return}function rG(a,b){a=a|0;b=+b;var c=0;c=a+8|0;p[c>>3]=+p[c>>3]*b;return}function sG(a,b){a=a|0;b=+b;var c=0;c=a+8|0;if(!(+p[c>>3]<b))return;p[c>>3]=b;return}function tG(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;if((Hc[k[(k[b>>2]|0)+20>>2]&511](b)|0)==561){j=a+8|0;p[j>>3]=+p[j>>3]+ +p[b+8>>3]*c;r=d;return}d=f+56|0;b=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,b|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(d);Qb(m|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);j=B;B=0;do if(j&1){a=Rb()|0;n=Q;o=a}else{k[b>>2]=27560;a=f+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,b|0,e|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(e);Yua(a);Ava(b);n=s;o=q;break}Yua(e);B=0;q=Ia(40,f|0,149721,19)|0;s=B;B=0;if(!(s&1)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,g|0,77066,77);s=B;B=0;do if(!(s&1)){B=0;eb(502,h|0,121097,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(g);v=u;w=t;break}B=0;wa(510,i|0,b|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,g|0,h|0,152,i|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(i);x=u;y=t;z=A}Yua(h);Yua(g);if(z){v=x;w=y}else{C=x;D=y;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(D|0)}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(D|0)}s=Rb()|0;C=Q;D=s;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(D|0)}while(0);l=n;m=o;vva(d);Qb(m|0)}function uG(a,b,c){a=a|0;b=+b;c=+c;var d=0.0,e=0;d=+$(+b);p[t>>3]=d;e=k[t+4>>2]|0;if(!(e>>>0>2146435072|(e|0)==2146435072&(k[t>>2]|0)>>>0>0)?(e=a+8|0,+p[e>>3]<b):0)p[e>>3]=b;b=+$(+c);p[t>>3]=b;e=k[t+4>>2]|0;if(e>>>0>2146435072|(e|0)==2146435072&(k[t>>2]|0)>>>0>0)return;e=a+8|0;if(!(+p[e>>3]>c))return;p[e>>3]=c;return}function vG(a){a=a|0;return +(+p[a+8>>3])}function wG(a){a=a|0;return +(+$(+(+p[a+8>>3])))}function xG(a){a=a|0;return +(+p[a+8>>3])}function yG(a){a=a|0;return +(+$(+(+p[a+8>>3])))}function zG(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,77191,17)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77066,77);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115046,19);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,182,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function AG(a,b){a=a|0;b=b|0;p[b>>3]=+p[a+8>>3];return}function BG(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;c=r;r=r+368|0;d=c+352|0;e=c;f=c+216|0;g=c+204|0;h=c+192|0;i=c+44|0;j=c+56|0;l=c+32|0;m=c+20|0;n=c+8|0;if((Hc[k[(k[b>>2]|0)+32>>2]&511](b)|0)==353){if((Hc[k[(k[b>>2]|0)+20>>2]&511](b)|0)==626){Fc[k[(k[b>>2]|0)+64>>2]&1023](b,e);o=a+8|0;p[o>>3]=+p[o>>3]*+p[e>>3];r=c;return}c=j+56|0;e=j+4|0;k[j>>2]=27524;k[c>>2]=27544;B=0;wa(508,j+56|0,e|0);o=B;B=0;if(o&1){o=Rb()|0;q=Q;s=o;vva(c);Qb(s|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[c>>2]=27488;B=0;va(448,e|0);o=B;B=0;do if(o&1){a=Rb()|0;t=Q;u=a}else{k[e>>2]=27560;a=j+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[j+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,e|0,d|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(d);Yua(a);Ava(e);t=w;u=v;break}Yua(d);B=0;v=Ia(40,j|0,149721,19)|0;w=B;B=0;a:do if(!(w&1)?(B=0,Xa(239,v|0,0)|0,x=B,B=0,!(x&1)):0){x=Ab(20)|0;B=0;eb(502,l|0,77066,77);y=B;B=0;do if(!(y&1)){B=0;eb(502,m|0,121304,19);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(l);C=A;D=z;break}B=0;wa(510,n|0,e|0);z=B;B=0;if(z&1){z=Rb()|0;E=1;F=z;G=Q}else{B=0;ua(163,x|0,l|0,m|0,207,n|0);z=B;B=0;if(z&1)H=1;else{B=0;eb(503,x|0,1240,229);B=0;H=0}z=Rb()|0;A=Q;Yua(n);E=H;F=z;G=A}Yua(m);Yua(l);if(E){C=G;D=F}else{I=F;J=G;break a}}else{A=Rb()|0;C=Q;D=A}while(0);zb(x|0);I=D;J=C}else K=46;while(0);if((K|0)==46){v=Rb()|0;I=v;J=Q}k[j>>2]=27468;k[c>>2]=27488;k[e>>2]=27560;Yua(a);Ava(e);vva(c);L=I;M=J;Qb(L|0)}while(0);q=t;s=u;vva(c);Qb(s|0)}s=f+56|0;c=f+4|0;k[f>>2]=27524;k[s>>2]=27544;B=0;wa(508,f+56|0,c|0);u=B;B=0;if(u&1){u=Rb()|0;N=Q;O=u;vva(s);Qb(O|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[s>>2]=27488;B=0;va(448,c|0);u=B;B=0;do if(u&1){t=Rb()|0;P=Q;R=t}else{k[c>>2]=27560;t=f+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[f+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,c|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;J=Q;Yua(d);Yua(t);Ava(c);P=J;R=q;break}Yua(d);B=0;q=Ia(40,f|0,120714,48)|0;J=B;B=0;b:do if(((((!(J&1)?(B=0,I=ya(k[(k[b>>2]|0)+32>>2]|0,b|0)|0,e=B,B=0,!(e&1)):0)?(B=0,e=ya(427,I|0)|0,I=B,B=0,!(I&1)):0)?(I=Lta(e)|0,B=0,j=Ia(40,q|0,e|0,I|0)|0,I=B,B=0,!(I&1)):0)?(B=0,I=Ia(40,j|0,141170,1)|0,j=B,B=0,!(j&1)):0)?(B=0,Xa(239,I|0,0)|0,I=B,B=0,!(I&1)):0){I=Ab(20)|0;B=0;eb(502,g|0,77066,77);j=B;B=0;do if(!(j&1)){B=0;eb(502,h|0,121304,19);e=B;B=0;if(e&1){e=Rb()|0;C=Q;Yua(g);S=C;T=e;break}B=0;wa(510,i|0,c|0);e=B;B=0;if(e&1){e=Rb()|0;U=e;V=Q;W=1}else{B=0;ua(163,I|0,g|0,h|0,196,i|0);e=B;B=0;if(e&1)X=1;else{B=0;eb(503,I|0,1240,229);B=0;X=0}e=Rb()|0;C=Q;Yua(i);U=e;V=C;W=X}Yua(h);Yua(g);if(W){S=V;T=U}else{Y=V;Z=U;break b}}else{C=Rb()|0;S=Q;T=C}while(0);zb(I|0);Y=S;Z=T}else K=21;while(0);if((K|0)==21){q=Rb()|0;Y=Q;Z=q}k[f>>2]=27468;k[s>>2]=27488;k[c>>2]=27560;Yua(t);Ava(c);vva(s);L=Z;M=Y;Qb(L|0)}while(0);N=P;O=R;vva(s);Qb(O|0)}function CG(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0.0;c=r;r=r+16|0;d=c;Fc[k[(k[b>>2]|0)+64>>2]&1023](b,d);b=Qqa(16)|0;e=k[a+4>>2]|0;f=+p[a+8>>3]/+p[d>>3];k[b>>2]=32932;k[b+4>>2]=e;p[b+8>>3]=f;r=c;return b|0}function DG(a,b){a=a|0;b=b|0;var c=0.0,d=0.0,e=0;c=+Zc[k[(k[b>>2]|0)+112>>2]&255](b);if(c<+Zc[k[(k[a>>2]|0)+112>>2]&255](a))d=+Zc[k[(k[b>>2]|0)+112>>2]&255](b);else d=+Zc[k[(k[a>>2]|0)+112>>2]&255](a);b=Qqa(16)|0;e=k[a+4>>2]|0;k[b>>2]=32932;k[b+4>>2]=e;p[b+8>>3]=d;return b|0}function EG(a,b){a=a|0;b=b|0;var c=0.0,d=0.0,e=0;c=+Zc[k[(k[b>>2]|0)+108>>2]&255](b);if(c>+Zc[k[(k[a>>2]|0)+108>>2]&255](a))d=+Zc[k[(k[b>>2]|0)+108>>2]&255](b);else d=+Zc[k[(k[a>>2]|0)+108>>2]&255](a);b=Qqa(16)|0;e=k[a+4>>2]|0;k[b>>2]=32932;k[b+4>>2]=e;p[b+8>>3]=d;return b|0}function FG(a,b){a=a|0;b=b|0;return}function GG(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;e=c+24|0;f=c+12|0;g=c;c=a+56|0;h=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=a+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,a|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,77209,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,121355,13);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,53,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[a>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(E|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function HG(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,77209,87);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,54,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function IG(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,77209,87);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,77964,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,55,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function JG(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77209,87);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121324,30);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,57,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function KG(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,77209,87);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,120910,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,58,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function LG(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,a|0,77209,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,120878,31);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(a);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,a|0,f|0,59,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(a);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(E|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function MG(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77209,87);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115218,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,67,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function NG(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;a=d+56|0;h=d+4|0;k[d>>2]=27524;k[a>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(a);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[a>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,120763,23)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,77209,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,120874,3);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,63,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[a>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(a);Qb(E|0)}while(0);j=n;l=o;vva(a);Qb(l|0)}function OG(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,134695,17)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77209,87);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121296,7);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,72,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function PG(a){a=a|0;return 736}function QG(a){a=a|0;return 1}function RG(a){a=a|0;return 1}function SG(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,134695,17)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,77209,87);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115180,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,44,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function TG(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;k[a>>2]=33124;k[a+4>>2]=b;k[a+12>>2]=d;b=Rqa(d>>>0>536870911?-1:d<<3)|0;k[a+8>>2]=b;if(!c)yb(142353,77590,137,142345);if(!d)return;TEa(b|0,c|0,d<<3|0)|0;return}function UG(a){a=a|0;var b=0;k[a>>2]=33124;b=a+8|0;a=k[b>>2]|0;if(!a)return;Tqa(a);k[b>>2]=0;return}function VG(a){a=a|0;var b=0;k[a>>2]=33124;b=k[a+8>>2]|0;if(!b){Sqa(a);return}Tqa(b);Sqa(a);return}function WG(a){a=a|0;Ec[k[(k[a>>2]|0)+12>>2]&1023](a);return}function XG(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0;b=r;r=r+320|0;c=b+300|0;d=b+152|0;e=b+288|0;f=b+16|0;g=b;h=d+56|0;i=d+4|0;k[d>>2]=27524;k[h>>2]=27544;B=0;wa(508,d+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(h);Qb(m|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[h>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;q=n}else{k[i>>2]=27560;n=d+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,i|0,c|0);s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(c);Yua(n);Ava(i);o=t;q=s;break}Yua(c);k[d+(k[(k[d>>2]|0)+-12>>2]|0)+12>>2]=15;B=0;s=Ia(40,d|0,77316,20)|0;t=B;B=0;do if((((((!(t&1)?(k[s+(k[(k[s>>2]|0)+-12>>2]|0)+12>>2]=25,u=s+(k[(k[s>>2]|0)+-12>>2]|0)+4|0,k[u>>2]=k[u>>2]&-177|32,B=0,u=ya(427,k[a+4>>2]|0)|0,v=B,B=0,!(v&1)):0)?(v=Lta(u)|0,B=0,w=Ia(40,s|0,u|0,v|0)|0,v=B,B=0,!(v&1)):0)?(B=0,v=Ia(40,w|0,77337,7)|0,w=B,B=0,!(w&1)):0)?(w=a+12|0,B=0,u=Xa(242,v|0,k[w>>2]|0)|0,v=B,B=0,!(v&1)):0)?(B=0,Ia(40,u|0,149177,1)|0,u=B,B=0,!(u&1)):0)?(B=0,wa(510,e|0,i|0),u=B,B=0,!(u&1)):0){B=0;ya(424,e|0)|0;u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);x=v;y=u;break}Yua(e);k[d>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);if((k[w>>2]|0)<=0){r=b;return}u=f+56|0;v=f+4|0;z=f+56|0;A=f+128|0;C=f+132|0;D=f+36|0;E=f+52|0;F=a+8|0;G=0;while(1){k[f>>2]=27524;k[u>>2]=27544;B=0;wa(508,z|0,v|0);H=B;B=0;if(H&1){I=27;break}k[A>>2]=0;k[C>>2]=-1;k[f>>2]=27468;k[u>>2]=27488;B=0;va(448,v|0);H=B;B=0;if(H&1){I=28;break}k[v>>2]=27560;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;k[D+12>>2]=0;k[E>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,v|0,c|0);H=B;B=0;if(H&1){I=26;break}Yua(c);k[f+(k[(k[f>>2]|0)+-12>>2]|0)+12>>2]=20;B=0;H=Sa(1,f|0,+(+p[(k[F>>2]|0)+(G<<3)>>3]))|0;J=B;B=0;if(J&1){I=36;break}B=0;Ia(40,H|0,149177,1)|0;H=B;B=0;if(H&1){I=36;break}B=0;wa(510,g|0,v|0);H=B;B=0;if(H&1){I=36;break}B=0;ya(424,g|0)|0;H=B;B=0;if(H&1){I=37;break}Yua(g);k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(D);Ava(v);vva(u);G=G+1|0;if((G|0)>=(k[w>>2]|0)){I=19;break}}if((I|0)==19){r=b;return}else if((I|0)==26){w=Rb()|0;G=Q;Yua(c);Yua(D);Ava(v);K=G;L=w;I=29}else if((I|0)==27){w=Rb()|0;M=Q;N=w;vva(u);Qb(N|0)}else if((I|0)==28){w=Rb()|0;K=Q;L=w;I=29}else if((I|0)==36){w=Rb()|0;O=Q;P=w;I=38}else if((I|0)==37){w=Rb()|0;G=Q;Yua(g);O=G;P=w;I=38}if((I|0)==29){M=K;N=L;vva(u);Qb(N|0)}else if((I|0)==38){k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(D);Ava(v);vva(u);R=O;S=P;Qb(S|0)}}else I=20;while(0);if((I|0)==20){s=Rb()|0;x=Q;y=s}k[d>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);R=x;S=y;Qb(S|0)}while(0);l=o;m=q;vva(h);Qb(m|0)}function YG(a){a=a|0;return -1}function ZG(a){a=a|0;return 562}function _G(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;b=Qqa(16)|0;c=k[a+4>>2]|0;d=k[a+8>>2]|0;e=k[a+12>>2]|0;k[b>>2]=33124;k[b+4>>2]=c;k[b+12>>2]=e;B=0;c=ya(422,(e>>>0>536870911?-1:e<<3)|0)|0;a=B;B=0;if(a&1){f=Rb()|0;g=Q;Sqa(b);Qb(f|0)}k[b+8>>2]=c;if(!d){B=0;ib(283,142353,77590,137,142345);B=0;f=Rb()|0;g=Q;Sqa(b);Qb(f|0)}if(!e)return b|0;TEa(c|0,d|0,e<<3|0)|0;return b|0}function $G(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;switch(d|0){case 0:{d=k[b>>2]|0;i[d>>0]=50;i[d+1>>0]=2;i[d+2>>0]=0;i[d+3>>0]=0;d=(k[b>>2]|0)+4|0;k[b>>2]=d;n=a+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;d=a+12|0;n=l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24;i[o>>0]=n;i[o+1>>0]=n>>8;i[o+2>>0]=n>>16;i[o+3>>0]=n>>24;n=(k[b>>2]|0)+4|0;k[b>>2]=n;o=a+8|0;p=(k[o>>2]|0)==0;i[n>>0]=p&1;n=(k[b>>2]|0)+1|0;k[b>>2]=n;if(p){r=e;return}TEa(n|0,k[o>>2]|0,k[d>>2]<<3|0)|0;k[b>>2]=(k[b>>2]|0)+(k[d>>2]<<3);r=e;return}case 2:{d=(k[a+8>>2]|0)==0;o=(k[c>>2]|0)+13|0;k[c>>2]=o;if(d){r=e;return}k[c>>2]=o+(k[a+12>>2]<<3);r=e;return}case 1:{o=(k[b>>2]|0)+4|0;k[b>>2]=o;c=a+4|0;d=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[c>>0]=d;i[c+1>>0]=d>>8;i[c+2>>0]=d>>16;i[c+3>>0]=d>>24;d=(k[b>>2]|0)+4|0;k[b>>2]=d;c=a+12|0;o=l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24;i[c>>0]=o;i[c+1>>0]=o>>8;i[c+2>>0]=o>>16;i[c+3>>0]=o>>24;c=k[b>>2]|0;d=c+4|0;k[b>>2]=d;n=i[d>>0]|0;k[b>>2]=c+5;if(n&1){r=e;return}n=Rqa(o>>>0>536870911?-1:o<<3)|0;k[a+8>>2]=n;a=k[b>>2]|0;c=o<<3;TEa(n|0,a|0,c|0)|0;k[b>>2]=a+c;r=e;return}default:{e=g+56|0;c=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,c|0);a=B;B=0;if(a&1){a=Rb()|0;q=Q;s=a;vva(e);Qb(s|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,c|0);a=B;B=0;do if(a&1){b=Rb()|0;t=Q;u=b}else{k[c>>2]=27560;b=g+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,c|0,f|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;Yua(f);Yua(b);Ava(c);t=o;u=n;break}Yua(f);B=0;n=Ia(40,g|0,143951,43)|0;o=B;B=0;if(!(o&1)?(B=0,Xa(239,n|0,0)|0,n=B,B=0,!(n&1)):0){n=Ab(20)|0;B=0;eb(502,h|0,77345,82);o=B;B=0;do if(!(o&1)){B=0;eb(502,j|0,149525,8);d=B;B=0;if(d&1){d=Rb()|0;p=Q;Yua(h);v=p;w=d;break}B=0;wa(510,m|0,c|0);d=B;B=0;if(d&1){d=Rb()|0;x=Q;y=d;z=1}else{B=0;ua(163,n|0,h|0,j|0,64,m|0);d=B;B=0;if(d&1)A=1;else{B=0;eb(503,n|0,1240,229);B=0;A=0}d=Rb()|0;p=Q;Yua(m);x=p;y=d;z=A}Yua(j);Yua(h);if(z){v=x;w=y}else{C=x;D=y;k[g>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(b);Ava(c);vva(e);Qb(D|0)}}else{d=Rb()|0;v=Q;w=d}while(0);zb(n|0);C=v;D=w;k[g>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(b);Ava(c);vva(e);Qb(D|0)}o=Rb()|0;C=Q;D=o;k[g>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(b);Ava(c);vva(e);Qb(D|0)}while(0);q=t;s=u;vva(e);Qb(s|0)}}}function aH(a){a=a|0;return k[a+4>>2]|0}function bH(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;if((e|0)<=0)return;f=k[a+8>>2]|0;a=ma(d,c)|0;c=0;do{p[b+(c+a<<3)>>3]=+p[f+(c<<3)>>3];c=c+1|0}while((c|0)!=(e|0));return}function cH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;d=k[a+12>>2]|0;e=Rqa(d>>>0>536870911?-1:d<<3)|0;f=k[a+8>>2]|0;if(!f)yb(142353,77590,137,142345);if(!d){k[c>>2]=d;k[b>>2]=e;return}else g=0;do{p[e+(g<<3)>>3]=+p[f+(g<<3)>>3];g=g+1|0}while((g|0)!=(d|0));k[c>>2]=d;k[b>>2]=e;return}function dH(a,b){a=a|0;b=b|0;k[a+4>>2]=b;return}function eH(a,b){a=a|0;b=b|0;return}function fH(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77428,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,48,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function gH(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77428,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,49,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function hH(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77428,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,50,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function iH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77428,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,51,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function jH(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;e=c+24|0;f=c+12|0;g=c;c=a+56|0;h=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=a+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,a|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,77428,92);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,121355,13);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,52,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[a>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(E|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function kH(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,77428,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,53,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function lH(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,77428,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,77964,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,54,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function mH(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77428,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,77948,15);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,55,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function nH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77428,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121324,30);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,56,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function oH(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,77428,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,120910,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,57,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function pH(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,a|0,77428,92);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,120878,31);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(a);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,a|0,f|0,58,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(a);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(E|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function qH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77428,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115244,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,59,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function rH(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;a=d+56|0;h=d+4|0;k[d>>2]=27524;k[a>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(a);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[a>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,77428,92);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,115231,12);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,60,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[a>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(a);Qb(E|0)}while(0);j=n;l=o;vva(a);Qb(l|0)}function sH(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77428,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115218,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,66,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function tH(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77428,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115211,6);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,68,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function uH(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77428,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115204,6);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,70,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function vH(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77428,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115200,3);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,67,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function wH(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77428,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,77944,3);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,69,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function xH(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;a=d+56|0;h=d+4|0;k[d>>2]=27524;k[a>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(a);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[a>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,120763,23)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,77428,92);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,120874,3);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,61,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[a>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(a);Qb(E|0)}while(0);j=n;l=o;vva(a);Qb(l|0)}function yH(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;a=d+56|0;h=d+4|0;k[d>>2]=27524;k[a>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(a);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[a>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,77428,92);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,115194,5);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,62,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[a>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(a);Qb(E|0)}while(0);j=n;l=o;vva(a);Qb(l|0)}function zH(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;b=r;r=r+192|0;a=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,h|0,a|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(a);Yua(m);Ava(h);n=q;o=p;break}Yua(a);B=0;p=Ia(40,d|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,77428,92);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,121097,4);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,63,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(E|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function AH(a,b,c){a=a|0;b=+b;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;a=r;r=r+192|0;d=a+176|0;e=a+40|0;f=a+24|0;g=a+12|0;h=a;a=e+56|0;i=e+4|0;k[e>>2]=27524;k[a>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(a);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[a>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,149721,19)|0;s=B;B=0;a:do if(!(s&1)?(B=0,Xa(239,q|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,77428,92);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,118419,9);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(f);x=w;y=v;break}B=0;wa(510,h|0,i|0);v=B;B=0;if(v&1){v=Rb()|0;z=Q;A=v;C=1}else{B=0;ua(163,t|0,f|0,g|0,64,h|0);v=B;B=0;if(v&1)D=1;else{B=0;eb(503,t|0,1240,229);B=0;D=0}v=Rb()|0;w=Q;Yua(h);z=w;A=v;C=D}Yua(g);Yua(f);if(C){x=z;y=A}else{E=z;F=A;break a}}else{v=Rb()|0;x=Q;y=v}while(0);zb(t|0);E=x;F=y}else G=16;while(0);if((G|0)==16){q=Rb()|0;E=Q;F=q}k[e>>2]=27468;k[a>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(a);Qb(F|0)}while(0);l=o;m=p;vva(a);Qb(m|0)}function BH(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77428,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121304,19);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,72,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function CH(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,134695,17)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77428,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121296,7);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,71,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function DH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77428,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115046,19);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,73,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function EH(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,77428,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,77521,14);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,35,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0);return 0}function FH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77428,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121282,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,36,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0);return 0}function GH(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77428,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121179,15);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,37,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function HH(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77428,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121166,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,39,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function IH(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77428,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121153,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,38,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function JH(a){a=a|0;return 737}function KH(a){a=a|0;return 1}function LH(a){a=a|0;return k[a+12>>2]|0}function MH(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;k[a>>2]=33316;k[a+4>>2]=b;k[a+8>>2]=0;B=0;b=ya(423,36)|0;c=B;B=0;if(c&1){c=Rb()|0;d=Q;e=c;Qb(e|0)}B=0;va(486,b|0);c=B;B=0;if(!(c&1)){k[a+12>>2]=b;k[a+16>>2]=0;return}a=Rb()|0;c=Q;Sqa(b);d=c;e=a;Qb(e|0)}function NH(a){a=a|0;var b=0,c=0;k[a>>2]=33316;b=a+16|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=k[a+12>>2]|0;if(!b)return;jC(b);Sqa(b);return}function OH(a){a=a|0;var b=0,c=0;k[a>>2]=33316;b=a+16|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=k[a+12>>2]|0;if(!b){Sqa(a);return}jC(b);Sqa(b);Sqa(a);return}function PH(a){a=a|0;Ec[k[(k[a>>2]|0)+12>>2]&1023](a);return}function QH(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0;b=r;r=r+1072|0;c=b+1052|0;d=b+880|0;e=b+1040|0;f=b+728|0;g=b+1028|0;h=b+592|0;i=b+1016|0;j=b+440|0;l=b+864|0;m=b+304|0;n=b+576|0;o=b+168|0;p=b+152|0;q=b+16|0;s=b;t=d+56|0;u=d+4|0;k[d>>2]=27524;k[t>>2]=27544;B=0;wa(508,d+56|0,u|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;x=v;vva(t);Qb(x|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[t>>2]=27488;B=0;va(448,u|0);v=B;B=0;do if(v&1){y=Rb()|0;z=Q;A=y}else{k[u>>2]=27560;y=d+36|0;k[y>>2]=0;k[y+4>>2]=0;k[y+8>>2]=0;k[y+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,u|0,c|0);C=B;B=0;if(C&1){C=Rb()|0;D=Q;Yua(c);Yua(y);Ava(u);z=D;A=C;break}Yua(c);B=0;Ia(40,d|0,77551,14)|0;C=B;B=0;do if(!(C&1)?(B=0,wa(510,e|0,u|0),D=B,B=0,!(D&1)):0){B=0;ya(424,e|0)|0;D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(e);F=E;G=D;break}Yua(e);k[d>>2]=27468;k[t>>2]=27488;k[u>>2]=27560;Yua(y);Ava(u);vva(t);D=f+56|0;E=f+4|0;k[f>>2]=27524;k[D>>2]=27544;B=0;wa(508,f+56|0,E|0);H=B;B=0;if(H&1){H=Rb()|0;I=Q;J=H;vva(D);Qb(J|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[D>>2]=27488;B=0;va(448,E|0);H=B;B=0;do if(H&1){K=Rb()|0;L=Q;M=K}else{k[E>>2]=27560;K=f+36|0;k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;k[K+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,E|0,c|0);N=B;B=0;if(N&1){N=Rb()|0;O=Q;Yua(c);Yua(K);Ava(E);L=O;M=N;break}Yua(c);B=0;N=Ia(40,f|0,85228,9)|0;O=B;B=0;do if((((((!(O&1)?(P=a+4|0,B=0,R=Xa(242,N|0,k[P>>2]|0)|0,S=B,B=0,!(S&1)):0)?(B=0,S=Ia(40,R|0,144166,2)|0,R=B,B=0,!(R&1)):0)?(B=0,R=ya(427,k[P>>2]|0)|0,P=B,B=0,!(P&1)):0)?(P=Lta(R)|0,B=0,T=Ia(40,S|0,R|0,P|0)|0,P=B,B=0,!(P&1)):0)?(B=0,Ia(40,T|0,145593,2)|0,T=B,B=0,!(T&1)):0)?(B=0,wa(510,g|0,E|0),T=B,B=0,!(T&1)):0){B=0;ya(424,g|0)|0;T=B;B=0;if(T&1){T=Rb()|0;P=Q;Yua(g);U=P;V=T;break}Yua(g);k[f>>2]=27468;k[D>>2]=27488;k[E>>2]=27560;Yua(K);Ava(E);vva(D);T=h+56|0;P=h+4|0;k[h>>2]=27524;k[T>>2]=27544;B=0;wa(508,h+56|0,P|0);R=B;B=0;if(R&1){R=Rb()|0;W=Q;X=R;vva(T);Qb(X|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[T>>2]=27488;B=0;va(448,P|0);R=B;B=0;do if(R&1){S=Rb()|0;Y=Q;Z=S}else{k[P>>2]=27560;S=h+36|0;k[S>>2]=0;k[S+4>>2]=0;k[S+8>>2]=0;k[S+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,P|0,c|0);_=B;B=0;if(_&1){_=Rb()|0;$=Q;Yua(c);Yua(S);Ava(P);Y=$;Z=_;break}Yua(c);B=0;_=Ia(40,h|0,77566,10)|0;$=B;B=0;do if($&1)aa=69;else{ba=a+8|0;B=0;ca=Xa(242,_|0,k[ba>>2]|0)|0;da=B;B=0;if(da&1){aa=69;break}B=0;Ia(40,ca|0,149177,1)|0;ca=B;B=0;if(ca&1){aa=69;break}B=0;wa(510,i|0,P|0);ca=B;B=0;if(ca&1){aa=69;break}B=0;ya(424,i|0)|0;ca=B;B=0;if(ca&1){ca=Rb()|0;da=Q;Yua(i);ea=da;fa=ca;break}Yua(i);k[h>>2]=27468;k[T>>2]=27488;k[P>>2]=27560;Yua(S);Ava(P);vva(T);ca=j+56|0;da=j+4|0;k[j>>2]=27524;k[ca>>2]=27544;B=0;wa(508,j+56|0,da|0);ga=B;B=0;if(ga&1){ga=Rb()|0;ha=Q;ia=ga;vva(ca);Qb(ia|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[ca>>2]=27488;B=0;va(448,da|0);ga=B;B=0;do if(ga&1){ja=Rb()|0;ka=Q;la=ja}else{k[da>>2]=27560;ja=j+36|0;k[ja>>2]=0;k[ja+4>>2]=0;k[ja+8>>2]=0;k[ja+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,da|0,c|0);ma=B;B=0;if(ma&1){ma=Rb()|0;na=Q;Yua(c);Yua(ja);Ava(da);ka=na;la=ma;break}Yua(c);B=0;Ia(40,j|0,142701,11)|0;ma=B;B=0;do if(ma&1)aa=72;else{B=0;wa(510,l|0,da|0);na=B;B=0;if(na&1){aa=72;break}B=0;ya(424,l|0)|0;na=B;B=0;if(na&1){na=Rb()|0;oa=Q;Yua(l);pa=oa;qa=na;break}Yua(l);k[j>>2]=27468;k[ca>>2]=27488;k[da>>2]=27560;Yua(ja);Ava(da);vva(ca);a:do if((k[ba>>2]|0)>0){na=m+56|0;oa=m+4|0;ra=m+56|0;sa=m+128|0;ta=m+132|0;ua=m+36|0;xa=m+52|0;za=a+16|0;Aa=0;while(1){k[m>>2]=27524;k[na>>2]=27544;B=0;wa(508,ra|0,oa|0);Ba=B;B=0;if(Ba&1){aa=79;break}k[sa>>2]=0;k[ta>>2]=-1;k[m>>2]=27468;k[na>>2]=27488;B=0;va(448,oa|0);Ba=B;B=0;if(Ba&1){aa=80;break}k[oa>>2]=27560;k[ua>>2]=0;k[ua+4>>2]=0;k[ua+8>>2]=0;k[ua+12>>2]=0;k[xa>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,oa|0,c|0);Ba=B;B=0;if(Ba&1){aa=78;break}Yua(c);B=0;Ba=Xa(242,m|0,k[(k[za>>2]|0)+(Aa<<2)>>2]|0)|0;Ca=B;B=0;if(Ca&1){aa=88;break}B=0;Ia(40,Ba|0,149175,1)|0;Ba=B;B=0;if(Ba&1){aa=88;break}B=0;wa(510,n|0,oa|0);Ba=B;B=0;if(Ba&1){aa=88;break}B=0;ya(424,n|0)|0;Ba=B;B=0;if(Ba&1){aa=89;break}Yua(n);k[m>>2]=27468;k[na>>2]=27488;k[oa>>2]=27560;Yua(ua);Ava(oa);vva(na);Aa=Aa+1|0;if((Aa|0)>=(k[ba>>2]|0))break a}if((aa|0)==78){Aa=Rb()|0;za=Q;Yua(c);Yua(ua);Ava(oa);Da=za;Ea=Aa;aa=81}else if((aa|0)==79){Aa=Rb()|0;Fa=Q;Ga=Aa;vva(na);Qb(Ga|0)}else if((aa|0)==80){Aa=Rb()|0;Da=Q;Ea=Aa;aa=81}else if((aa|0)==88){Aa=Rb()|0;Ha=Q;Ja=Aa;aa=90}else if((aa|0)==89){Aa=Rb()|0;za=Q;Yua(n);Ha=za;Ja=Aa;aa=90}if((aa|0)==81){Fa=Da;Ga=Ea;vva(na);Qb(Ga|0)}else if((aa|0)==90){k[m>>2]=27468;k[na>>2]=27488;k[oa>>2]=27560;Yua(ua);Ava(oa);vva(na);Ka=Ha;La=Ja;Qb(La|0)}}while(0);Aa=o+56|0;za=o+4|0;k[o>>2]=27524;k[Aa>>2]=27544;B=0;wa(508,o+56|0,za|0);xa=B;B=0;if(xa&1){xa=Rb()|0;Ma=Q;Na=xa;vva(Aa);Qb(Na|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[Aa>>2]=27488;B=0;va(448,za|0);xa=B;B=0;do if(xa&1){ta=Rb()|0;Oa=Q;Pa=ta}else{k[za>>2]=27560;ta=o+36|0;k[ta>>2]=0;k[ta+4>>2]=0;k[ta+8>>2]=0;k[ta+12>>2]=0;k[o+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,za|0,c|0);sa=B;B=0;if(sa&1){sa=Rb()|0;ra=Q;Yua(c);Yua(ta);Ava(za);Oa=ra;Pa=sa;break}Yua(c);B=0;Ia(40,o|0,149177,1)|0;sa=B;B=0;do if(sa&1)aa=105;else{B=0;wa(510,p|0,za|0);ra=B;B=0;if(ra&1){aa=105;break}B=0;ya(424,p|0)|0;ra=B;B=0;if(ra&1){ra=Rb()|0;Ba=Q;Yua(p);Qa=Ba;Ra=ra;break}Yua(p);k[o>>2]=27468;k[Aa>>2]=27488;k[za>>2]=27560;Yua(ta);Ava(za);vva(Aa);ra=q+56|0;Ba=q+4|0;k[q>>2]=27524;k[ra>>2]=27544;B=0;wa(508,q+56|0,Ba|0);Ca=B;B=0;if(Ca&1){Ca=Rb()|0;Sa=Q;Ta=Ca;vva(ra);Qb(Ta|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[ra>>2]=27488;B=0;va(448,Ba|0);Ca=B;B=0;do if(Ca&1){Ua=Rb()|0;Va=Q;Wa=Ua}else{k[Ba>>2]=27560;Ua=q+36|0;k[Ua>>2]=0;k[Ua+4>>2]=0;k[Ua+8>>2]=0;k[Ua+12>>2]=0;k[q+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ba|0,c|0);Ya=B;B=0;if(Ya&1){Ya=Rb()|0;Za=Q;Yua(c);Yua(Ua);Ava(Ba);Va=Za;Wa=Ya;break}Yua(c);B=0;Ia(40,q|0,77577,12)|0;Ya=B;B=0;do if(!(Ya&1)){B=0;wa(510,s|0,Ba|0);Za=B;B=0;if(Za&1){aa=108;break}B=0;ya(424,s|0)|0;Za=B;B=0;if(Za&1){Za=Rb()|0;_a=Q;Yua(s);$a=_a;ab=Za;break}else{Yua(s);k[q>>2]=27468;k[ra>>2]=27488;k[Ba>>2]=27560;Yua(Ua);Ava(Ba);vva(ra);oh(k[a+12>>2]|0);r=b;return}}else aa=108;while(0);if((aa|0)==108){Ya=Rb()|0;$a=Q;ab=Ya}k[q>>2]=27468;k[ra>>2]=27488;k[Ba>>2]=27560;Yua(Ua);Ava(Ba);vva(ra);Ka=$a;La=ab;Qb(La|0)}while(0);Sa=Va;Ta=Wa;vva(ra);Qb(Ta|0)}while(0);if((aa|0)==105){sa=Rb()|0;Qa=Q;Ra=sa}k[o>>2]=27468;k[Aa>>2]=27488;k[za>>2]=27560;Yua(ta);Ava(za);vva(Aa);Ka=Qa;La=Ra;Qb(La|0)}while(0);Ma=Oa;Na=Pa;vva(Aa);Qb(Na|0)}while(0);if((aa|0)==72){ma=Rb()|0;pa=Q;qa=ma}k[j>>2]=27468;k[ca>>2]=27488;k[da>>2]=27560;Yua(ja);Ava(da);vva(ca);Ka=pa;La=qa;Qb(La|0)}while(0);ha=ka;ia=la;vva(ca);Qb(ia|0)}while(0);if((aa|0)==69){_=Rb()|0;ea=Q;fa=_}k[h>>2]=27468;k[T>>2]=27488;k[P>>2]=27560;Yua(S);Ava(P);vva(T);Ka=ea;La=fa;Qb(La|0)}while(0);W=Y;X=Z;vva(T);Qb(X|0)}else aa=66;while(0);if((aa|0)==66){N=Rb()|0;U=Q;V=N}k[f>>2]=27468;k[D>>2]=27488;k[E>>2]=27560;Yua(K);Ava(E);vva(D);Ka=U;La=V;Qb(La|0)}while(0);I=L;J=M;vva(D);Qb(J|0)}else aa=63;while(0);if((aa|0)==63){C=Rb()|0;F=Q;G=C}k[d>>2]=27468;k[t>>2]=27488;k[u>>2]=27560;Yua(y);Ava(u);vva(t);Ka=F;La=G;Qb(La|0)}while(0);w=z;x=A;vva(t);Qb(x|0)}function RH(a){a=a|0;return -1}function SH(a){a=a|0;return 560}function TH(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;b=Qqa(20)|0;k[b>>2]=33316;c=b+12|0;k[c>>2]=0;k[b+4>>2]=k[a+4>>2];d=k[a+8>>2]|0;k[b+8>>2]=d;e=Rqa(d>>>0>1073741823?-1:d<<2)|0;k[b+16>>2]=e;f=k[a+16>>2]|0;if(!f)yb(142353,77590,137,142345);if(!d){g=a+12|0;h=k[g>>2]|0;i=hh(h)|0;k[c>>2]=i;return b|0}else j=0;do{k[e+(j<<2)>>2]=k[f+(j<<2)>>2];j=j+1|0}while((j|0)!=(d|0));g=a+12|0;h=k[g>>2]|0;i=hh(h)|0;k[c>>2]=i;return b|0}function UH(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;switch(d|0){case 0:{n=k[b>>2]|0;i[n>>0]=48;i[n+1>>0]=2;i[n+2>>0]=0;i[n+3>>0]=0;n=(k[b>>2]|0)+4|0;k[b>>2]=n;o=a+4|0;p=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[n>>0]=p;i[n+1>>0]=p>>8;i[n+2>>0]=p>>16;i[n+3>>0]=p>>24;p=(k[b>>2]|0)+4|0;k[b>>2]=p;n=a+8|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[p>>0]=o;i[p+1>>0]=o>>8;i[p+2>>0]=o>>16;i[p+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;p=a+16|0;q=(k[p>>2]|0)==0;i[o>>0]=q&1;o=(k[b>>2]|0)+1|0;k[b>>2]=o;if(q){s=a+12|0;t=k[s>>2]|0;lh(t,b,c,d);r=e;return}TEa(o|0,k[p>>2]|0,k[n>>2]<<2|0)|0;k[b>>2]=(k[b>>2]|0)+(k[n>>2]<<2);s=a+12|0;t=k[s>>2]|0;lh(t,b,c,d);r=e;return}case 2:{n=(k[a+16>>2]|0)==0;p=(k[c>>2]|0)+13|0;k[c>>2]=p;if(n){s=a+12|0;t=k[s>>2]|0;lh(t,b,c,d);r=e;return}k[c>>2]=p+(k[a+8>>2]<<2);s=a+12|0;t=k[s>>2]|0;lh(t,b,c,d);r=e;return}case 1:{p=(k[b>>2]|0)+4|0;k[b>>2]=p;n=a+4|0;o=l[p>>0]|l[p+1>>0]<<8|l[p+2>>0]<<16|l[p+3>>0]<<24;i[n>>0]=o;i[n+1>>0]=o>>8;i[n+2>>0]=o>>16;i[n+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;n=a+8|0;p=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[n>>0]=p;i[n+1>>0]=p>>8;i[n+2>>0]=p>>16;i[n+3>>0]=p>>24;n=k[b>>2]|0;o=n+4|0;k[b>>2]=o;q=i[o>>0]|0;k[b>>2]=n+5;if(!(q&1)){q=Rqa(p>>>0>1073741823?-1:p<<2)|0;k[a+16>>2]=q;n=k[b>>2]|0;o=p<<2;TEa(q|0,n|0,o|0)|0;k[b>>2]=n+o}o=Qqa(36)|0;B=0;va(486,o|0);n=B;B=0;if(n&1){n=Rb()|0;q=Q;Sqa(o);u=q;v=n;Qb(v|0)}else{k[a+12>>2]=o;s=a+12|0;t=k[s>>2]|0;lh(t,b,c,d);r=e;return}break}default:{e=g+56|0;d=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,d|0);c=B;B=0;if(c&1){c=Rb()|0;w=Q;x=c;vva(e);Qb(x|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,d|0);c=B;B=0;do if(c&1){b=Rb()|0;y=Q;z=b}else{k[d>>2]=27560;b=g+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,d|0,f|0);t=B;B=0;if(t&1){t=Rb()|0;s=Q;Yua(f);Yua(b);Ava(d);y=s;z=t;break}Yua(f);B=0;t=Ia(40,g|0,143951,43)|0;s=B;B=0;a:do if(!(s&1)?(B=0,Xa(239,t|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,h|0,77683,78);o=B;B=0;do if(!(o&1)){B=0;eb(502,j|0,149525,8);n=B;B=0;if(n&1){n=Rb()|0;q=Q;Yua(h);A=q;C=n;break}B=0;wa(510,m|0,d|0);n=B;B=0;if(n&1){n=Rb()|0;D=Q;E=n;F=1}else{B=0;ua(163,a|0,h|0,j|0,77,m|0);n=B;B=0;if(n&1)G=1;else{B=0;eb(503,a|0,1240,229);B=0;G=0}n=Rb()|0;q=Q;Yua(m);D=q;E=n;F=G}Yua(j);Yua(h);if(F){A=D;C=E}else{H=D;I=E;break a}}else{n=Rb()|0;A=Q;C=n}while(0);zb(a|0);H=A;I=C}else J=17;while(0);if((J|0)==17){t=Rb()|0;H=Q;I=t}k[g>>2]=27468;k[e>>2]=27488;k[d>>2]=27560;Yua(b);Ava(d);vva(e);u=H;v=I;Qb(v|0)}while(0);w=y;x=z;vva(e);Qb(x|0)}}}function VH(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;e=Qqa(20)|0;k[e>>2]=33316;k[e+4>>2]=k[a+4>>2];f=uC(k[a+12>>2]|0,b,c,d)|0;k[e+12>>2]=f;f=k[a+8>>2]|0;k[e+8>>2]=f;d=Rqa(f>>>0>1073741823?-1:f<<2)|0;k[e+16>>2]=d;c=k[a+16>>2]|0;if(!c)yb(142353,77590,137,142345);if(!f)return e|0;else g=0;do{k[d+(g<<2)>>2]=k[c+(g<<2)>>2];g=g+1|0}while((g|0)!=(f|0));return e|0}function WH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=Qqa(20)|0;k[d>>2]=33316;k[d+4>>2]=k[a+4>>2];e=vC(k[a+12>>2]|0,b,c)|0;k[d+12>>2]=e;e=k[a+8>>2]|0;k[d+8>>2]=e;c=Rqa(e>>>0>1073741823?-1:e<<2)|0;k[d+16>>2]=c;b=k[a+16>>2]|0;if(!b)yb(142353,77590,137,142345);if(!e)return d|0;else f=0;do{k[c+(f<<2)>>2]=k[b+(f<<2)>>2];f=f+1|0}while((f|0)!=(e|0));return d|0}function XH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=a+8|0;e=k[d>>2]|0;if((e|0)>0){f=Rqa(e>>>0>1073741823?-1:e<<2)|0;g=a+16|0;h=k[g>>2]|0;if(!h)yb(142353,77590,137,142345);else i=0;do{k[f+(i<<2)>>2]=k[h+(i<<2)>>2];i=i+1|0}while((i|0)!=(e|0));Tqa(h);h=k[d>>2]|0;k[g>>2]=0;j=g;l=h;m=f}else{j=a+16|0;l=e;m=0}e=l+1|0;k[d>>2]=e;f=Rqa(e>>>0>1073741823?-1:e<<2)|0;k[j>>2]=f;if((l|0)<=0){n=e;o=f;p=n+-1|0;q=o+(p<<2)|0;k[q>>2]=c;r=a+12|0;s=k[r>>2]|0;ih(s,b)|0;return}if(!m)yb(142353,77590,137,142345);TEa(f|0,m|0,(e<<2)+-4|0)|0;Tqa(m);n=k[d>>2]|0;o=k[j>>2]|0;p=n+-1|0;q=o+(p<<2)|0;k[q>>2]=c;r=a+12|0;s=k[r>>2]|0;ih(s,b)|0;return}function YH(a){a=a|0;return k[a+4>>2]|0}function ZH(a,b){a=a|0;b=b|0;return}function _H(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;i=e+12|0;j=e;l=k[a+8>>2]|0;if((l|0)>0){m=k[a+16>>2]|0;n=0;o=-1;while(1){p=(k[m+(n<<2)>>2]|0)==(d|0)?n:o;n=n+1|0;if((n|0)>=(l|0)){q=p;break}else o=p}if((q|0)>=0){o=qh(k[a+12>>2]|0,q)|0;nd[k[(k[o>>2]|0)+48>>2]&1023](o,b,c);r=e;return}}e=g+56|0;c=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,c|0);b=B;B=0;if(b&1){b=Rb()|0;s=Q;t=b;vva(e);Qb(t|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,c|0);b=B;B=0;do if(b&1){o=Rb()|0;u=Q;v=o}else{k[c>>2]=27560;o=g+36|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[o+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,c|0,f|0);q=B;B=0;if(q&1){q=Rb()|0;a=Q;Yua(f);Yua(o);Ava(c);u=a;v=q;break}Yua(f);B=0;q=Ia(40,g|0,77762,27)|0;a=B;B=0;if((!(a&1)?(B=0,a=Xa(242,q|0,d|0)|0,q=B,B=0,!(q&1)):0)?(B=0,Xa(239,a|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,h|0,77683,78);q=B;B=0;do if(!(q&1)){B=0;eb(502,i|0,121355,13);l=B;B=0;if(l&1){l=Rb()|0;n=Q;Yua(h);w=n;x=l;break}B=0;wa(510,j|0,c|0);l=B;B=0;if(l&1){l=Rb()|0;y=Q;z=l;A=1}else{B=0;ua(163,a|0,h|0,i|0,169,j|0);l=B;B=0;if(l&1)C=1;else{B=0;eb(503,a|0,1240,229);B=0;C=0}l=Rb()|0;n=Q;Yua(j);y=n;z=l;A=C}Yua(i);Yua(h);if(A){w=y;x=z}else{D=y;E=z;k[g>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(o);Ava(c);vva(e);Qb(E|0)}}else{l=Rb()|0;w=Q;x=l}while(0);zb(a|0);D=w;E=x;k[g>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(o);Ava(c);vva(e);Qb(E|0)}q=Rb()|0;D=Q;E=q;k[g>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(o);Ava(c);vva(e);Qb(E|0)}while(0);s=u;t=v;vva(e);Qb(t|0)}function $H(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77790,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,48,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function aI(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77790,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,49,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function bI(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77790,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,50,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function cI(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77790,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,51,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function dI(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;e=c+24|0;f=c+12|0;g=c;c=a+56|0;h=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=a+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,a|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,77790,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,121355,13);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,52,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[a>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(E|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function eI(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,77790,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,77964,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,54,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function fI(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77790,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,77948,15);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,55,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function gI(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77790,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121324,30);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,56,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function hI(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,77790,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,120910,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,57,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function iI(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,a|0,77790,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,120878,31);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(a);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,a|0,f|0,58,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(a);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(E|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function jI(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77790,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115254,10);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,59,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function kI(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77790,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115244,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,60,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function lI(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;a=d+56|0;h=d+4|0;k[d>>2]=27524;k[a>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(a);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[a>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,77790,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,115231,12);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,61,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[a>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(a);Qb(E|0)}while(0);j=n;l=o;vva(a);Qb(l|0)}function mI(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77790,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115218,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,67,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function nI(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77790,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115211,6);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,69,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function oI(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77790,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115204,6);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,71,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function pI(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77790,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115200,3);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,68,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function qI(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77790,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,77944,3);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,70,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function rI(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;a=d+56|0;h=d+4|0;k[d>>2]=27524;k[a>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(a);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[a>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,120763,23)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,77790,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,120874,3);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,62,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[a>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(a);Qb(E|0)}while(0);j=n;l=o;vva(a);Qb(l|0)}function sI(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;a=d+56|0;h=d+4|0;k[d>>2]=27524;k[a>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(a);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[a>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,77790,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,115194,5);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,63,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[a>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(a);Qb(E|0)}while(0);j=n;l=o;vva(a);Qb(l|0)}function tI(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;b=r;r=r+192|0;a=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,h|0,a|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(a);Yua(m);Ava(h);n=q;o=p;break}Yua(a);B=0;p=Ia(40,d|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,77790,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,121097,4);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,64,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(E|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function uI(a,b,c){a=a|0;b=+b;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;a=r;r=r+192|0;d=a+176|0;e=a+40|0;f=a+24|0;g=a+12|0;h=a;a=e+56|0;i=e+4|0;k[e>>2]=27524;k[a>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(a);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[a>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,149721,19)|0;s=B;B=0;a:do if(!(s&1)?(B=0,Xa(239,q|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,77790,88);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,118419,9);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(f);x=w;y=v;break}B=0;wa(510,h|0,i|0);v=B;B=0;if(v&1){v=Rb()|0;z=Q;A=v;C=1}else{B=0;ua(163,t|0,f|0,g|0,66,h|0);v=B;B=0;if(v&1)D=1;else{B=0;eb(503,t|0,1240,229);B=0;D=0}v=Rb()|0;w=Q;Yua(h);z=w;A=v;C=D}Yua(g);Yua(f);if(C){x=z;y=A}else{E=z;F=A;break a}}else{v=Rb()|0;x=Q;y=v}while(0);zb(t|0);E=x;F=y}else G=16;while(0);if((G|0)==16){q=Rb()|0;E=Q;F=q}k[e>>2]=27468;k[a>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(a);Qb(F|0)}while(0);l=o;m=p;vva(a);Qb(m|0)}function vI(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77790,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121304,19);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,73,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function wI(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77790,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121296,7);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,72,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function xI(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77790,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115046,19);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,74,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function yI(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77790,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121179,15);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,41,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function zI(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77790,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121166,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,43,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function AI(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77790,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121153,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,42,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function BI(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77790,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,77921,22);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,75,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function CI(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77790,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,77898,22);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,76,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function DI(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,77790,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,77879,18);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,77,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function EI(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,134695,17)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,77790,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115180,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,78,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function FI(a){a=a|0;gh(a);k[a+12>>2]=548;return}function GI(a){a=a|0;jh(a);return}function HI(a){a=a|0;var b=0,c=0,d=0;b=k[a>>2]|0;c=a+4|0;if(b>>>0<(k[c>>2]|0)>>>0)d=b;else return;do{b=k[d>>2]|0;Ec[k[(k[b>>2]|0)+104>>2]&1023](b);d=d+4|0}while(d>>>0<(k[c>>2]|0)>>>0);return}function II(a){a=a|0;k[a>>2]=33508;k[a+4>>2]=33672;k[a+16>>2]=0;k[a+20>>2]=0;i[a+12>>0]=0;return}function JI(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0;e=r;r=r+208|0;f=e+184|0;g=e+180|0;h=e+176|0;j=e+40|0;l=e+24|0;m=e+12|0;n=e;k[a>>2]=33508;k[a+4>>2]=33672;k[a+8>>2]=b;k[g>>2]=c+1;B=0;c=ya(423,16)|0;b=B;B=0;a:do if(!(b&1)){B=0;eb(509,c|0,g|0,1);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Sqa(c);q=p;s=o;Qb(s|0)}k[a+16>>2]=c;k[a+20>>2]=0;B=0;eb(512,d|0,h|0,127514);o=B;B=0;if(!(o&1))switch(k[h>>2]|0){case 584:{i[a+12>>0]=1;r=e;return}case 583:{i[a+12>>0]=0;r=e;return}default:{o=j+56|0;p=j+4|0;k[j>>2]=27524;k[o>>2]=27544;B=0;wa(508,j+56|0,p|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;v=t}else{k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[o>>2]=27488;B=0;va(448,p|0);t=B;B=0;do if(t&1){w=Rb()|0;x=Q;y=w}else{k[p>>2]=27560;w=j+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[j+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,p|0,f|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(f);Yua(w);Ava(p);x=A;y=z;break}Yua(f);B=0;z=Ia(40,j|0,77996,28)|0;A=B;B=0;b:do if(!(A&1)?(B=0,Xa(239,z|0,0)|0,C=B,B=0,!(C&1)):0){C=Ab(20)|0;B=0;eb(502,l|0,78025,75);D=B;B=0;do if(!(D&1)){B=0;eb(502,m|0,98486,6);E=B;B=0;if(E&1){E=Rb()|0;F=Q;Yua(l);G=F;H=E;break}B=0;wa(510,n|0,p|0);E=B;B=0;if(E&1){E=Rb()|0;I=Q;J=E;K=1}else{B=0;ua(163,C|0,l|0,m|0,54,n|0);E=B;B=0;if(E&1)L=1;else{B=0;eb(503,C|0,1240,229);B=0;L=0}E=Rb()|0;F=Q;Yua(n);I=F;J=E;K=L}Yua(m);Yua(l);if(K){G=I;H=J}else{M=I;N=J;break b}}else{E=Rb()|0;G=Q;H=E}while(0);zb(C|0);M=G;N=H}else O=25;while(0);if((O|0)==25){z=Rb()|0;M=Q;N=z}k[j>>2]=27468;k[o>>2]=27488;k[p>>2]=27560;Yua(w);Ava(p);vva(o);q=M;s=N;Qb(s|0)}while(0);u=x;v=y}vva(o);P=u;R=v;break a}}else O=6}else O=6;while(0);if((O|0)==6){O=Rb()|0;P=Q;R=O}q=P;s=R;Qb(s|0)}function KI(a){a=a|0;var b=0;k[a>>2]=33508;k[a+4>>2]=33672;b=k[a+16>>2]|0;if(!b)return;yla(b);Sqa(b);return}function LI(a){a=a|0;var b=0;k[a>>2]=33508;k[a+4>>2]=33672;b=k[a+16>>2]|0;if(!b){Sqa(a);return}yla(b);Sqa(b);Sqa(a);return}function MI(a){a=a|0;var b=0,c=0,d=0;b=Qqa(24)|0;k[b>>2]=33508;k[b+4>>2]=33672;k[b+8>>2]=k[a+8>>2];c=a+16|0;d=Bla(k[c>>2]|0)|0;k[b+16>>2]=d;d=Fla(k[c>>2]|0)|0;k[b+20>>2]=d;i[b+12>>0]=i[a+12>>0]|0;return b|0}function NI(a,b){a=a|0;b=b|0;var c=0,d=0;c=Qqa(24)|0;k[c>>2]=33508;k[c+4>>2]=33672;k[c+8>>2]=k[a+8>>2];d=Bla(k[a+16>>2]|0)|0;k[c+16>>2]=d;k[c+20>>2]=b;i[c+12>>0]=i[a+12>>0]|0;return c|0}function OI(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;b=r;r=r+464|0;c=b+452|0;d=b+304|0;e=b+440|0;f=b+152|0;g=b+288|0;h=b+16|0;i=b;j=d+56|0;l=d+4|0;k[d>>2]=27524;k[j>>2]=27544;B=0;wa(508,d+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(j);Qb(o|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[j>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){p=Rb()|0;q=Q;s=p}else{k[l>>2]=27560;p=d+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,l|0,c|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(c);Yua(p);Ava(l);q=u;s=t;break}Yua(c);B=0;Ia(40,d|0,78101,8)|0;t=B;B=0;do if(!(t&1)?(B=0,wa(510,e|0,l|0),u=B,B=0,!(u&1)):0){B=0;ya(424,e|0)|0;u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}Yua(e);k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);u=f+56|0;v=f+4|0;k[f>>2]=27524;k[u>>2]=27544;B=0;wa(508,f+56|0,v|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;A=y;vva(u);Qb(A|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[u>>2]=27488;B=0;va(448,v|0);y=B;B=0;do if(y&1){C=Rb()|0;D=Q;E=C}else{k[v>>2]=27560;C=f+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,v|0,c|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(c);Yua(C);Ava(v);D=G;E=F;break}Yua(c);B=0;F=Ia(40,f|0,143238,8)|0;G=B;B=0;do if(((!(G&1)?(B=0,H=Xa(242,F|0,k[a+8>>2]|0)|0,I=B,B=0,!(I&1)):0)?(B=0,Ia(40,H|0,149177,1)|0,H=B,B=0,!(H&1)):0)?(B=0,wa(510,g|0,v|0),H=B,B=0,!(H&1)):0){B=0;ya(424,g|0)|0;H=B;B=0;if(H&1){H=Rb()|0;I=Q;Yua(g);J=I;K=H;break}Yua(g);k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(C);Ava(v);vva(u);H=h+56|0;I=h+4|0;k[h>>2]=27524;k[H>>2]=27544;B=0;wa(508,h+56|0,I|0);L=B;B=0;if(L&1){L=Rb()|0;M=Q;N=L;vva(H);Qb(N|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[H>>2]=27488;B=0;va(448,I|0);L=B;B=0;do if(L&1){O=Rb()|0;P=Q;R=O}else{k[I>>2]=27560;O=h+36|0;k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;k[O+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,I|0,c|0);S=B;B=0;if(S&1){S=Rb()|0;T=Q;Yua(c);Yua(O);Ava(I);P=T;R=S;break}Yua(c);B=0;Ia(40,h|0,143247,12)|0;S=B;B=0;do if(!(S&1)){B=0;wa(510,i|0,I|0);T=B;B=0;if(T&1){U=43;break}B=0;ya(424,i|0)|0;T=B;B=0;if(T&1){T=Rb()|0;V=Q;Yua(i);W=V;X=T;break}else{Yua(i);k[h>>2]=27468;k[H>>2]=27488;k[I>>2]=27560;Yua(O);Ava(I);vva(H);zla(k[a+16>>2]|0);r=b;return}}else U=43;while(0);if((U|0)==43){S=Rb()|0;W=Q;X=S}k[h>>2]=27468;k[H>>2]=27488;k[I>>2]=27560;Yua(O);Ava(I);vva(H);Y=W;Z=X;Qb(Z|0)}while(0);M=P;N=R;vva(H);Qb(N|0)}else U=40;while(0);if((U|0)==40){F=Rb()|0;J=Q;K=F}k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(C);Ava(v);vva(u);Y=J;Z=K;Qb(Z|0)}while(0);z=D;A=E;vva(u);Qb(A|0)}else U=37;while(0);if((U|0)==37){t=Rb()|0;w=Q;x=t}k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);Y=w;Z=x;Qb(Z|0)}while(0);n=q;o=s;vva(j);Qb(o|0)}function PI(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;b=r;r=r+464|0;c=b+452|0;d=b+304|0;e=b+440|0;f=b+152|0;g=b+288|0;h=b+16|0;i=b;j=d+56|0;l=d+4|0;k[d>>2]=27524;k[j>>2]=27544;B=0;wa(508,d+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(j);Qb(o|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[j>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){p=Rb()|0;q=Q;s=p}else{k[l>>2]=27560;p=d+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,l|0,c|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(c);Yua(p);Ava(l);q=u;s=t;break}Yua(c);B=0;Ia(40,d|0,78101,8)|0;t=B;B=0;do if(!(t&1)?(B=0,wa(510,e|0,l|0),u=B,B=0,!(u&1)):0){B=0;ya(424,e|0)|0;u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}Yua(e);k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);u=f+56|0;v=f+4|0;k[f>>2]=27524;k[u>>2]=27544;B=0;wa(508,f+56|0,v|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;A=y;vva(u);Qb(A|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[u>>2]=27488;B=0;va(448,v|0);y=B;B=0;do if(y&1){C=Rb()|0;D=Q;E=C}else{k[v>>2]=27560;C=f+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,v|0,c|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(c);Yua(C);Ava(v);D=G;E=F;break}Yua(c);B=0;F=Ia(40,f|0,143238,8)|0;G=B;B=0;do if(((!(G&1)?(B=0,H=Xa(242,F|0,k[a+8>>2]|0)|0,I=B,B=0,!(I&1)):0)?(B=0,Ia(40,H|0,149177,1)|0,H=B,B=0,!(H&1)):0)?(B=0,wa(510,g|0,v|0),H=B,B=0,!(H&1)):0){B=0;ya(424,g|0)|0;H=B;B=0;if(H&1){H=Rb()|0;I=Q;Yua(g);J=I;K=H;break}Yua(g);k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(C);Ava(v);vva(u);H=h+56|0;I=h+4|0;k[h>>2]=27524;k[H>>2]=27544;B=0;wa(508,h+56|0,I|0);L=B;B=0;if(L&1){L=Rb()|0;M=Q;N=L;vva(H);Qb(N|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[H>>2]=27488;B=0;va(448,I|0);L=B;B=0;do if(L&1){O=Rb()|0;P=Q;R=O}else{k[I>>2]=27560;O=h+36|0;k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;k[O+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,I|0,c|0);S=B;B=0;if(S&1){S=Rb()|0;T=Q;Yua(c);Yua(O);Ava(I);P=T;R=S;break}Yua(c);B=0;Ia(40,h|0,143247,12)|0;S=B;B=0;do if(!(S&1)){B=0;wa(510,i|0,I|0);T=B;B=0;if(T&1){U=43;break}B=0;ya(424,i|0)|0;T=B;B=0;if(T&1){T=Rb()|0;V=Q;Yua(i);W=V;X=T;break}else{Yua(i);k[h>>2]=27468;k[H>>2]=27488;k[I>>2]=27560;Yua(O);Ava(I);vva(H);zla(k[a+16>>2]|0);r=b;return}}else U=43;while(0);if((U|0)==43){S=Rb()|0;W=Q;X=S}k[h>>2]=27468;k[H>>2]=27488;k[I>>2]=27560;Yua(O);Ava(I);vva(H);Y=W;Z=X;Qb(Z|0)}while(0);M=P;N=R;vva(H);Qb(N|0)}else U=40;while(0);if((U|0)==40){F=Rb()|0;J=Q;K=F}k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(C);Ava(v);vva(u);Y=J;Z=K;Qb(Z|0)}while(0);z=D;A=E;vva(u);Qb(A|0)}else U=37;while(0);if((U|0)==37){t=Rb()|0;w=Q;x=t}k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);Y=w;Z=x;Qb(Z|0)}while(0);n=q;o=s;vva(j);Qb(o|0)}function QI(a){a=a|0;return k[a+8>>2]|0}function RI(a){a=a|0;return 583}
function HY(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;if((a|0)>=0){k[9114]=a;r=b;return}b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,104740,59)|0;q=B;B=0;if(((!(q&1)?(B=0,q=Xa(242,p|0,a|0)|0,p=B,B=0,!(p&1)):0)?(B=0,p=Ia(40,q|0,141170,1)|0,q=B,B=0,!(q&1)):0)?(B=0,Xa(239,p|0,0)|0,p=B,B=0,!(p&1)):0){p=Ab(20)|0;B=0;eb(502,e|0,104800,76);q=B;B=0;do if(!(q&1)){B=0;eb(502,f|0,104877,17);s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(e);u=t;v=s;break}B=0;wa(510,g|0,h|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,p|0,e|0,f|0,36,g|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,p|0,1240,229);B=0;z=0}s=Rb()|0;t=Q;Yua(g);w=t;x=s;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(p|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}q=Rb()|0;A=Q;C=q;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function IY(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;d=b+8|0;e=c+16|0;f=b+16|0;g=c+8|0;p[a>>3]=+p[d>>3]*+p[e>>3]-+p[f>>3]*+p[g>>3];p[a+8>>3]=+p[f>>3]*+p[c>>3]-+p[b>>3]*+p[e>>3];p[a+16>>3]=+p[b>>3]*+p[g>>3]-+p[d>>3]*+p[c>>3];return}function JY(a,b,c,d,e,f){a=+a;b=+b;c=+c;d=+d;e=e|0;f=f|0;var g=0.0,h=0.0,i=0.0,j=0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0;do if(!(a!=0.0))if(b!=0.0){g=c*.5/b;h=g*g-d/b;if(h>0.0){i=+aa(+h);p[e>>3]=-g-i;p[e+8>>3]=i-g;k[f>>2]=2;j=2;break}k[f>>2]=0;return 0}else{if(c!=0.0){p[e>>3]=d/c;k[f>>2]=1;j=1;break}k[f>>2]=0;return 0}else{g=b/a*.3333333333333333;i=+ba(+(c/a*.3333333333333333-g*g),3.0);h=(+ba(+g,3.0)*2.0-(g*c-d)/a)*-.5;l=i+h*h;if(l<0.0){m=-i;i=+fa(+(+KY(1.0,+LY(-1.0,h/+aa(+m)))));n=+ba(+m,.16666666666666666)*2.0;m=n*+ca(+((i+0.0)*.3333333333333333))-g;o=n*+ca(+((i+6.283185307179586)*.3333333333333333))-g;q=n*+ca(+((i+12.566370614359172)*.3333333333333333))-g;i=+KY(m,+KY(o,q));p[e>>3]=i;i=+KY(m,o);n=+KY(m,q);r=+LY(i,+LY(n,+KY(o,q)));p[e+8>>3]=r;r=+LY(m,+LY(o,q));p[e+16>>3]=r;k[f>>2]=3;j=3;break}r=+aa(+l);l=h+r;if(!(l>0.0))if(l<0.0)s=-+$(+(+ba(+(+$(+l)),.3333333333333333)));else s=0.0;else s=+$(+(+ba(+(+$(+l)),.3333333333333333)));l=h-r;if(!(l>0.0))if(l<0.0)t=-+$(+(+ba(+(+$(+l)),.3333333333333333)));else t=0.0;else t=+$(+(+ba(+(+$(+l)),.3333333333333333)));p[e>>3]=s+t-g;k[f>>2]=1;j=1}while(0);t=b*2.0;f=0;do{u=e+(f<<3)|0;s=+p[u>>3];p[u>>3]=s-(s*(s*(s*a+b)+c)+d)/(s*(t+s*3.0*a)+c);f=f+1|0}while((f|0)<(j|0));return 0}function KY(a,b){a=+a;b=+b;return +(a<b?a:b)}function LY(a,b){a=+a;b=+b;return +(a>b?a:b)}function MY(a,b){a=a|0;b=b|0;return ((a|0)>(b|0)?a:b)|0}function NY(a,b){a=a|0;b=b|0;var c=0.0,d=0.0,e=0,f=0.0,g=0.0,h=0.0,i=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0;c=+p[b>>3];d=+$(+c);p[t>>3]=d;e=k[t+4>>2]|0;if(((((!(e>>>0>2146435072|(e|0)==2146435072&(k[t>>2]|0)>>>0>0)?(d=+p[b+8>>3],f=+$(+d),p[t>>3]=f,e=k[t+4>>2]|0,!(e>>>0>2146435072|(e|0)==2146435072&(k[t>>2]|0)>>>0>0)):0)?(f=+p[b+16>>3],g=+$(+f),p[t>>3]=g,e=k[t+4>>2]|0,!(e>>>0>2146435072|(e|0)==2146435072&(k[t>>2]|0)>>>0>0)):0)?(g=+p[b+24>>3],h=+$(+g),p[t>>3]=h,e=k[t+4>>2]|0,!(e>>>0>2146435072|(e|0)==2146435072&(k[t>>2]|0)>>>0>0)):0)?(h=+p[b+32>>3],i=+$(+h),p[t>>3]=i,e=k[t+4>>2]|0,!(e>>>0>2146435072|(e|0)==2146435072&(k[t>>2]|0)>>>0>0)):0)?(i=+p[b+40>>3],j=+$(+i),p[t>>3]=j,b=k[t+4>>2]|0,!(b>>>0>2146435072|(b|0)==2146435072&(k[t>>2]|0)>>>0>0)):0){j=f*h-d*i;l=c*i-f*g;m=d*g-c*h;n=+aa(+(c*c+d*d+f*f));o=+aa(+(m*m+(j*j+l*l)));q=+aa(+(g*g+h*h+i*i));p[a>>3]=c/n;p[a+8>>3]=j/o;p[a+16>>3]=g/q;p[a+24>>3]=d/n;p[a+32>>3]=l/o;p[a+40>>3]=h/q;p[a+48>>3]=f/n;p[a+56>>3]=m/o;p[a+64>>3]=i/q;return}p[a>>3]=1.0;b=a+8|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[b+16>>2]=0;k[b+20>>2]=0;p[a+32>>3]=1.0;b=a+40|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[b+16>>2]=0;k[b+20>>2]=0;p[a+64>>3]=1.0;return}function OY(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0;k[a>>2]=36468;f=k[e+8>>2]|0;g=e+1|0;h=(Lta((i[e>>0]&1)==0?g:f)|0)+1|0;B=0;j=ya(422,((h|0)>-1?h:-1)|0)|0;l=B;B=0;if(l&1){m=Rb()|0;n=Q;Qb(m|0)}k[a+4>>2]=j;TEa(j|0,((i[e>>0]&1)==0?g:f)|0,h|0)|0;h=k[b+8>>2]|0;f=b+1|0;g=(Lta((i[b>>0]&1)==0?f:h)|0)+1|0;B=0;e=ya(422,((g|0)>-1?g:-1)|0)|0;j=B;B=0;if(j&1){m=Rb()|0;n=Q;Qb(m|0)}k[a+12>>2]=e;TEa(e|0,((i[b>>0]&1)==0?f:h)|0,g|0)|0;g=k[c+8>>2]|0;h=c+1|0;f=(Lta((i[c>>0]&1)==0?h:g)|0)+1|0;B=0;b=ya(422,((f|0)>-1?f:-1)|0)|0;e=B;B=0;if(e&1){m=Rb()|0;n=Q;Qb(m|0)}else{k[a+8>>2]=b;TEa(b|0,((i[c>>0]&1)==0?h:g)|0,f|0)|0;k[a+16>>2]=d;return}}function PY(a){a=a|0;var b=0;k[a>>2]=36468;b=k[a+4>>2]|0;if(b)Tqa(b);b=k[a+12>>2]|0;if(b)Tqa(b);b=k[a+8>>2]|0;if(!b)return;Tqa(b);return}function QY(a){a=a|0;var b=0;k[a>>2]=36468;b=k[a+4>>2]|0;if(b)Tqa(b);b=k[a+12>>2]|0;if(b)Tqa(b);b=k[a+8>>2]|0;if(!b){Sqa(a);return}Tqa(b);Sqa(a);return}function RY(a){a=a|0;return k[a+4>>2]|0}function SY(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0;b=r;r=r+768|0;c=b+752|0;d=b+592|0;e=b+740|0;f=b+456|0;g=b+728|0;h=b+304|0;i=b+440|0;j=b+152|0;l=b+288|0;m=b+16|0;n=b;o=a+8|0;if((k[o>>2]|0)!=0?(p=a+16|0,(k[p>>2]|0)!=0):0){q=vY()|0;if((wY()|0)==1){s=f+56|0;t=f+4|0;k[f>>2]=27524;k[s>>2]=27544;B=0;wa(508,f+56|0,t|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;w=u;vva(s);Qb(w|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[s>>2]=27488;B=0;va(448,t|0);u=B;B=0;do if(u&1){x=Rb()|0;y=Q;z=x}else{k[t>>2]=27560;x=f+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,t|0,c|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(c);Yua(x);Ava(t);y=C;z=A;break}Yua(c);B=0;A=Ia(40,f|0,104928,18)|0;C=B;B=0;do if(((((!(C&1)?(D=k[a+12>>2]|0,E=Lta(D)|0,B=0,F=Ia(40,A|0,D|0,E|0)|0,E=B,B=0,!(E&1)):0)?(B=0,E=Ia(40,F|0,104947,1)|0,F=B,B=0,!(F&1)):0)?(B=0,F=Xa(242,E|0,k[p>>2]|0)|0,E=B,B=0,!(E&1)):0)?(B=0,Ia(40,F|0,149177,1)|0,F=B,B=0,!(F&1)):0)?(B=0,wa(510,g|0,t|0),F=B,B=0,!(F&1)):0){B=0;ya(424,g|0)|0;F=B;B=0;if(F&1){F=Rb()|0;E=Q;Yua(g);G=F;H=E;break}Yua(g);k[f>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);E=h+56|0;F=h+4|0;k[h>>2]=27524;k[E>>2]=27544;B=0;wa(508,h+56|0,F|0);D=B;B=0;if(D&1){D=Rb()|0;I=Q;J=D;vva(E);Qb(J|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[E>>2]=27488;B=0;va(448,F|0);D=B;B=0;do if(D&1){K=Rb()|0;L=Q;M=K}else{k[F>>2]=27560;K=h+36|0;k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;k[K+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,F|0,c|0);N=B;B=0;if(N&1){N=Rb()|0;O=Q;Yua(c);Yua(K);Ava(F);L=O;M=N;break}Yua(c);N=k[o>>2]|0;O=Lta(N)|0;B=0;P=Ia(40,h|0,N|0,O|0)|0;O=B;B=0;do if(O&1)R=53;else{B=0;N=Ia(40,P|0,104949,16)|0;S=B;B=0;if(S&1){R=53;break}S=Hc[k[(k[a>>2]|0)+8>>2]&511](a)|0;T=Lta(S)|0;B=0;U=Ia(40,N|0,S|0,T|0)|0;T=B;B=0;if(T&1){R=53;break}B=0;Ia(40,U|0,104966,2)|0;U=B;B=0;if(U&1){R=53;break}B=0;wa(510,i|0,F|0);U=B;B=0;if(U&1){R=53;break}B=0;ya(424,i|0)|0;U=B;B=0;if(U&1){U=Rb()|0;T=Q;Yua(i);V=U;W=T;break}Yua(i);k[h>>2]=27468;k[E>>2]=27488;k[F>>2]=27560;Yua(K);Ava(F);vva(E);r=b;return}while(0);if((R|0)==53){P=Rb()|0;V=P;W=Q}k[h>>2]=27468;k[E>>2]=27488;k[F>>2]=27560;Yua(K);Ava(F);vva(E);X=V;Y=W;Qb(X|0)}while(0);I=L;J=M;vva(E);Qb(J|0)}else R=50;while(0);if((R|0)==50){A=Rb()|0;G=A;H=Q}k[f>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);X=G;Y=H;Qb(X|0)}while(0);v=y;w=z;vva(s);Qb(w|0)}w=j+56|0;s=j+4|0;k[j>>2]=27524;k[w>>2]=27544;B=0;wa(508,j+56|0,s|0);z=B;B=0;if(z&1){z=Rb()|0;Z=Q;_=z;vva(w);Qb(_|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[w>>2]=27488;B=0;va(448,s|0);z=B;B=0;do if(z&1){y=Rb()|0;$=Q;aa=y}else{k[s>>2]=27560;y=j+36|0;k[y>>2]=0;k[y+4>>2]=0;k[y+8>>2]=0;k[y+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,s|0,c|0);v=B;B=0;if(v&1){v=Rb()|0;H=Q;Yua(c);Yua(y);Ava(s);$=H;aa=v;break}Yua(c);B=0;v=Ia(40,j|0,104969,2)|0;H=B;B=0;do if(((((((!(H&1)?(B=0,G=Xa(242,v|0,q|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,G|0,104972,22)|0,G=B,B=0,!(G&1)):0)?(G=k[a+12>>2]|0,f=Lta(G)|0,B=0,J=Ia(40,t|0,G|0,f|0)|0,f=B,B=0,!(f&1)):0)?(B=0,f=Ia(40,J|0,104947,1)|0,J=B,B=0,!(J&1)):0)?(B=0,J=Xa(242,f|0,k[p>>2]|0)|0,f=B,B=0,!(f&1)):0)?(B=0,Ia(40,J|0,149177,1)|0,J=B,B=0,!(J&1)):0)?(B=0,wa(510,l|0,s|0),J=B,B=0,!(J&1)):0){B=0;ya(424,l|0)|0;J=B;B=0;if(J&1){J=Rb()|0;f=Q;Yua(l);ba=J;ca=f;break}Yua(l);k[j>>2]=27468;k[w>>2]=27488;k[s>>2]=27560;Yua(y);Ava(s);vva(w);f=m+56|0;J=m+4|0;k[m>>2]=27524;k[f>>2]=27544;B=0;wa(508,m+56|0,J|0);G=B;B=0;if(G&1){G=Rb()|0;da=Q;ea=G;vva(f);Qb(ea|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[f>>2]=27488;B=0;va(448,J|0);G=B;B=0;do if(G&1){t=Rb()|0;fa=Q;ga=t}else{k[J>>2]=27560;t=m+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,J|0,c|0);M=B;B=0;if(M&1){M=Rb()|0;L=Q;Yua(c);Yua(t);Ava(J);fa=L;ga=M;break}Yua(c);B=0;M=Ia(40,m|0,104995,1)|0;L=B;B=0;do if(L&1)R=94;else{B=0;I=Xa(242,M|0,q|0)|0;W=B;B=0;if(W&1){R=94;break}B=0;W=Ia(40,I|0,104997,2)|0;I=B;B=0;if(I&1){R=94;break}I=k[o>>2]|0;V=Lta(I)|0;B=0;h=Ia(40,W|0,I|0,V|0)|0;V=B;B=0;if(V&1){R=94;break}B=0;V=Ia(40,h|0,104949,16)|0;h=B;B=0;if(h&1){R=94;break}h=Hc[k[(k[a>>2]|0)+8>>2]&511](a)|0;I=Lta(h)|0;B=0;W=Ia(40,V|0,h|0,I|0)|0;I=B;B=0;if(I&1){R=94;break}B=0;Ia(40,W|0,104966,2)|0;W=B;B=0;if(W&1){R=94;break}B=0;wa(510,n|0,J|0);W=B;B=0;if(W&1){R=94;break}B=0;ya(424,n|0)|0;W=B;B=0;if(W&1){W=Rb()|0;I=Q;Yua(n);ha=W;ia=I;break}Yua(n);k[m>>2]=27468;k[f>>2]=27488;k[J>>2]=27560;Yua(t);Ava(J);vva(f);r=b;return}while(0);if((R|0)==94){M=Rb()|0;ha=M;ia=Q}k[m>>2]=27468;k[f>>2]=27488;k[J>>2]=27560;Yua(t);Ava(J);vva(f);X=ha;Y=ia;Qb(X|0)}while(0);da=fa;ea=ga;vva(f);Qb(ea|0)}else R=91;while(0);if((R|0)==91){v=Rb()|0;ba=v;ca=Q}k[j>>2]=27468;k[w>>2]=27488;k[s>>2]=27560;Yua(y);Ava(s);vva(w);X=ba;Y=ca;Qb(X|0)}while(0);Z=$;_=aa;vva(w);Qb(_|0)}_=d+56|0;w=d+4|0;k[d>>2]=27524;k[_>>2]=27544;B=0;wa(508,d+56|0,w|0);aa=B;B=0;if(aa&1){aa=Rb()|0;ja=Q;ka=aa;vva(_);Qb(ka|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[_>>2]=27488;B=0;va(448,w|0);aa=B;B=0;do if(aa&1){$=Rb()|0;la=Q;ma=$}else{k[w>>2]=27560;$=d+36|0;k[$>>2]=0;k[$+4>>2]=0;k[$+8>>2]=0;k[$+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,w|0,c|0);Z=B;B=0;if(Z&1){Z=Rb()|0;ca=Q;Yua(c);Yua($);Ava(w);la=ca;ma=Z;break}Yua(c);B=0;Z=Ia(40,d|0,104912,15)|0;ca=B;B=0;do if((!(ca&1)?(ba=Hc[k[(k[a>>2]|0)+8>>2]&511](a)|0,s=Lta(ba)|0,B=0,Ia(40,Z|0,ba|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,wa(510,e|0,w|0),s=B,B=0,!(s&1)):0){B=0;ya(424,e|0)|0;s=B;B=0;if(s&1){s=Rb()|0;ba=Q;Yua(e);na=s;oa=ba;break}Yua(e);k[d>>2]=27468;k[_>>2]=27488;k[w>>2]=27560;Yua($);Ava(w);vva(_);r=b;return}else R=16;while(0);if((R|0)==16){Z=Rb()|0;na=Z;oa=Q}k[d>>2]=27468;k[_>>2]=27488;k[w>>2]=27560;Yua($);Ava(w);vva(_);X=na;Y=oa;Qb(X|0)}while(0);ja=la;ka=ma;vva(_);Qb(ka|0)}function TY(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;b=r;r=r+160|0;c=b+136|0;d=b;e=d+56|0;f=d+4|0;k[d>>2]=27524;k[e>>2]=27544;B=0;wa(508,d+56|0,f|0);g=B;B=0;if(g&1){g=Rb()|0;h=Q;j=g;vva(e);Qb(j|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[e>>2]=27488;B=0;va(448,f|0);g=B;B=0;do if(g&1){l=Rb()|0;m=Q;n=l}else{k[f>>2]=27560;l=d+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,f|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(f);m=p;n=o;break}Yua(c);o=a+8|0;if((k[o>>2]|0)!=0?(p=a+16|0,(k[p>>2]|0)!=0):0){B=0;q=Ia(40,d|0,105e3,14)|0;s=B;B=0;if(((((((!(s&1)?(s=k[a+12>>2]|0,t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,104947,1)|0,u=B,B=0,!(u&1)):0)?(B=0,u=Xa(242,t|0,k[p>>2]|0)|0,p=B,B=0,!(p&1)):0)?(B=0,Ia(40,u|0,149177,1)|0,u=B,B=0,!(u&1)):0)?(u=k[o>>2]|0,o=Lta(u)|0,B=0,p=Ia(40,d|0,u|0,o|0)|0,o=B,B=0,!(o&1)):0)?(B=0,o=Ia(40,p|0,104949,16)|0,p=B,B=0,!(p&1)):0)?(p=k[a+4>>2]|0,u=Lta(p)|0,B=0,Ia(40,o|0,p|0,u|0)|0,u=B,B=0,!(u&1)):0)v=22}else v=11;if(((v|0)==11?(B=0,u=Ia(40,d|0,104949,16)|0,p=B,B=0,!(p&1)):0)?(p=k[a+4>>2]|0,o=Lta(p)|0,B=0,Ia(40,u|0,p|0,o|0)|0,o=B,B=0,!(o&1)):0)v=22;if((v|0)==22?(B=0,wa(510,c|0,f|0),o=B,B=0,!(o&1)):0){o=(i[c>>0]&1)==0?c+1|0:k[c+8>>2]|0;p=(Lta(o)|0)+1|0;B=0;u=ya(422,p|0)|0;p=B;B=0;if(!(p&1)){TEa(u|0,o|0,(Lta(o)|0)+1|0)|0;Yua(c);k[d>>2]=27468;k[e>>2]=27488;k[f>>2]=27560;Yua(l);Ava(f);vva(e);r=b;return u|0}u=Rb()|0;o=Q;Yua(c);w=o;x=u;k[d>>2]=27468;k[e>>2]=27488;k[f>>2]=27560;Yua(l);Ava(f);vva(e);Qb(x|0)}u=Rb()|0;w=Q;x=u;k[d>>2]=27468;k[e>>2]=27488;k[f>>2]=27560;Yua(l);Ava(f);vva(e);Qb(x|0)}while(0);h=m;j=n;vva(e);Qb(j|0);return 0}function UY(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=c+(d<<2)|0;if((k[c>>2]|0)==(b|0)){f=1;g=0;k[a>>2]=g;return f|0}h=c+(((d|0)/2|0)<<2)|0;if((k[e+-4>>2]|0)==(b|0)){f=1;g=d+-1|0;k[a>>2]=g;return f|0}a:do if((d|0)<0)i=h;else{j=c;l=e;m=h;while(1){n=j;o=l;p=m;while(1){q=k[p>>2]|0;if((q|0)==(b|0)){i=p;break a}if((q|0)<=(b|0)){r=o;s=p;break}o=p+-4|0;q=j+(((o-n>>2|0)/2|0)<<2)|0;if(j>>>0>o>>>0){i=q;break a}else p=q}p=s+4|0;o=p+(((r-p>>2|0)/2|0)<<2)|0;if(p>>>0>r>>>0){i=o;break}else{j=p;l=r;m=o}}}while(0);if((k[i>>2]|0)!=(b|0)){f=0;g=0;k[a>>2]=g;return f|0}f=1;g=i-c>>2;k[a>>2]=g;return f|0}function VY(a,b,c){a=+a;b=+b;c=+c;var d=0.0,e=0.0,f=0.0,g=0.0,h=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0;d=b/c;c=d*d;e=+ba(+d,3.0);f=+ba(+d,4.0);g=+ba(+d,5.0);h=+ba(+d,6.0);i=+ba(+d,7.0);j=+ba(+d,8.0);k=+ba(+d,9.0);l=+ba(+d,10.0);m=1.0-a/b;return +(2.0/+aa(+((b-a)*6.283185307179586))*((.529659-d*22.3235+c*532.074-e*5479.53+f*28592.2-g*81388.6+h*128746.0-i*106246.0+j*35780.7)*+ba(+m,1.5)+(m*(d*6.47583+.246984+c*176.456-e*4058.76+f*37303.8-g*181755.0+h*520551.0-i*904370.0+j*936863.0-k*531940.0+l*127291.0)+((.0719768-d*1.513476-c*61.1001+e*1554.95-f*14583.8+g*71590.7-h*205384.0+i*356469.0-j*368270.0+k*208233.0-l*49544.0)*+aa(+m)+1.0))))}function WY(a,b,c,d,e,f,g,h,i,j,l,m,n,o,q,r,s,t,u){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=+h;i=+i;j=+j;l=+l;m=+m;n=+n;o=+o;q=+q;r=+r;s=+s;t=+t;u=+u;var v=0.0,w=0.0,x=0.0,y=0.0,z=0,A=0.0,B=0.0,C=0,D=0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Y=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0;v=t/u/12.0;u=g*2.5;t=(g+-.5)*2.5;g=u/.02+.5;w=t/.02+.5;x=t+2.0;y=(j-m)/1.0e3;m=q*r+(1.0-r)*o;o=s*.001;s=-t;t=(j-n)/1.0e3+-1.0;n=-(t*l);l=-u;if(t>0.0){t=0.0;j=0.0;r=0.0;z=0;q=0.0;A=0.0;B=0.0;while(1){C=k[36480+(z<<2)>>2]|0;D=a+(C<<3)|0;E=+p[D>>3];F=E-m*+LY(y,o);p[D>>3]=F;E=F*.08333333333333333;G=j+E;if(F<x)if(!(F>=s))H=1.0;else H=+p[d+(~~(w+F/.02)<<3)>>3];else H=0.0;I=+ja(+n);J=v*(I*+p[b+(C<<3)>>3]);I=B+J;K=A+H*J;J=(z+-6|0)>>>0<3?t+F:t;do if(!(F>=u))if(F>l){L=+p[c+(~~(g+F/.02)<<3)>>3];M=r-(F-L)*.08333333333333333;N=q+L*.08333333333333333;break}else{M=r-E;N=q;break}else{M=r;N=q+E}while(0);z=z+1|0;if((z|0)==12){O=J;P=G;Q=M;R=N;S=K;T=I;break}else{t=J;j=G;r=M;q=N;A=K;B=I}}}else{B=0.0;A=0.0;N=0.0;z=0;q=0.0;M=0.0;r=0.0;while(1){C=k[36480+(z<<2)>>2]|0;D=a+(C<<3)|0;j=+p[D>>3];t=j-m*+LY(y,o);p[D>>3]=t;j=t*.08333333333333333;H=A+j;if(t<x)if(!(t>=s))U=1.0;else U=+p[d+(~~(w+t/.02)<<3)>>3];else U=0.0;n=v*+p[b+(C<<3)>>3];E=r+n;F=M+U*n;n=(z+-6|0)>>>0<3?B+t:B;do if(!(t>=u))if(t>l){L=+p[c+(~~(g+t/.02)<<3)>>3];V=N-(t-L)*.08333333333333333;W=q+L*.08333333333333333;break}else{V=N-j;W=q;break}else{V=N;W=q+j}while(0);z=z+1|0;if((z|0)==12){O=n;P=H;Q=V;R=W;S=F;T=E;break}else{B=n;A=H;N=V;q=W;M=F;r=E}}}r=O/3.0;if(!(r<-1.0))if(r<10.0){X=(+ba(+(10.0-r),3.0)*.0067+8.3)*.001*.95;Y=(r*.15+2.8)*.001*.95}else{X=.007885;Y=.004085}else{X=.016359;Y=2.5174999999999998e-03}r=R*365.0;R=r*Y;O=+KY(i,1.5);if(R<S){i=T-S+R;M=(S-R)*2.2;W=+KY(M+Q*(O*.005997014925373134),i);Z=R-W;_=+KY(M,i);$=W}else{W=+KY(Q*(O*.005997014925373134),T);Z=S+X*(r-S/Y)-W;_=0.0;$=W}if(Q>0.0)aa=Q-+KY(($-_)/.008995522388059701,Q)*.5;else aa=Q;if(Z<0.0){ca=+LY(P,-aa);da=S-Z;ea=0.0}else{ca=P;da=S;ea=Z}if(!(ca<0.0)){fa=ea/h;p[e>>3]=fa;ga=da/h;p[f>>3]=ga;ha=da-ea;ia=ha/h;return +ia}fa=ea/h;p[e>>3]=fa;ga=da/h;p[f>>3]=ga;ha=da-ea;ia=ha/h;return +ia}function XY(a,b,c,d,e,f,g,h,i,j,k){a=+a;b=+b;c=+c;d=+d;e=+e;f=+f;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0;l=((c-a)*.006200000000000001+(f-d))/((b-a)*.006200000000000001+(e-d));d=1.0-l;m=0;do{e=+p[g+(m<<3)>>3];p[j+(m<<3)>>3]=l*+p[h+(m<<3)>>3]+d*+p[i+(m<<3)>>3];p[k+(m<<3)>>3]=e;m=m+1|0}while((m|0)!=12);return}function YY(a,b,c,d,e,f,g,h){a=+a;b=+b;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0.0,k=0.0;i=0;do{j=+p[f+(i<<3)>>3];k=j+(+p[e+(i<<3)>>3]-j)*a;j=+KY(1.5,+p[d+(i<<3)>>3]*+ba(+(+p[c+(i<<3)>>3]),+b));p[g+(i<<3)>>3]=k;p[h+(i<<3)>>3]=j;i=i+1|0}while((i|0)!=12);return}function ZY(a,b,c,d,e,f){a=+a;b=+b;c=c|0;d=d|0;e=e|0;f=f|0;var g=0.0;g=(a+34.83)*b;a=+ja(+(.169/b*g));b=+p[c>>3]*a;p[e>>3]=g+ +p[d>>3];p[f>>3]=b;b=+p[c+8>>3]*a;p[e+8>>3]=g+ +p[d+8>>3];p[f+8>>3]=b;b=+p[c+16>>3]*a;p[e+16>>3]=g+ +p[d+16>>3];p[f+16>>3]=b;b=+p[c+24>>3]*a;p[e+24>>3]=g+ +p[d+24>>3];p[f+24>>3]=b;b=+p[c+32>>3]*a;p[e+32>>3]=g+ +p[d+32>>3];p[f+32>>3]=b;b=+p[c+40>>3]*a;p[e+40>>3]=g+ +p[d+40>>3];p[f+40>>3]=b;b=+p[c+48>>3]*a;p[e+48>>3]=g+ +p[d+48>>3];p[f+48>>3]=b;b=+p[c+56>>3]*a;p[e+56>>3]=g+ +p[d+56>>3];p[f+56>>3]=b;b=+p[c+64>>3]*a;p[e+64>>3]=g+ +p[d+64>>3];p[f+64>>3]=b;b=+p[c+72>>3]*a;p[e+72>>3]=g+ +p[d+72>>3];p[f+72>>3]=b;b=+p[c+80>>3]*a;p[e+80>>3]=g+ +p[d+80>>3];p[f+80>>3]=b;b=+p[c+88>>3]*a;p[e+88>>3]=g+ +p[d+88>>3];p[f+88>>3]=b;return}function _Y(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=+c;d=+d;e=+e;f=+f;g=g|0;h=h|0;i=i|0;j=j|0;var l=0,m=0,n=0,o=0,q=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0,S=0.0,T=0.0,U=0.0;l=r;r=r+128|0;m=l+96|0;n=l+72|0;o=l;$Y(m,c,d,e,f,g,h,i,j);f=+p[m+16>>3];q=+p[m+8>>3];s=f*d-q*e;p[n>>3]=s;t=+p[m>>3];u=t*e-f*c;m=n+8|0;p[m>>3]=u;e=q*c-t*d;j=n+16|0;p[j>>3]=e;d=+aa(+(e*e+(s*s+u*u)));if(d==0.0){k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;v=0.0;w=0.0;x=1.0}else{c=s/d;p[n>>3]=c;s=u/d;p[m>>3]=s;v=c;w=s;x=e/d}p[j>>3]=x;d=+p[g>>3];p[o>>3]=d;e=(+p[g+8>>3]+ +p[h>>3])*.5;p[o+8>>3]=e;s=(+p[g+16>>3]+ +p[i>>3])*.5;p[o+16>>3]=s;p[o+24>>3]=e;c=+p[h+8>>3];p[o+32>>3]=c;u=(+p[h+16>>3]+ +p[i+8>>3])*.5;p[o+40>>3]=u;p[o+48>>3]=s;p[o+56>>3]=u;y=+p[i+16>>3];p[o+64>>3]=y;z=e*e;A=s*s;B=u*u;C=d*d+0.0+z+A+z+c*c+B+A+B+y*y;B=+aa(+(C==0.0?1.0e-14:C))/1.7320508075688772;C=d*v+0.0+e*w+s*x;A=e*v+0.0+c*w+u*x;c=s*v+0.0+u*w+y*x;y=e;u=s;z=v;D=d;i=0;while(1){E=z*D*v;F=z*y*w;G=z*u*x;H=C-E*v-F*v-G*v;I=A-E*w-F*w-G*w;J=c-E*x-F*x-G*x;h=i+1|0;if((h|0)==3){K=H;L=I;M=J;N=v;O=d;P=e;Q=s;R=0;break}C=H;A=I;c=J;y=+p[o+(h*24|0)+8>>3];u=+p[o+(h*24|0)+16>>3];z=+p[n+(h<<3)>>3];D=+p[o+(h*24|0)>>3];i=h}while(1){D=N*O*t;z=N*P*q;u=N*Q*f;y=K-D*t-z*t-u*t;c=L-D*q-z*q-u*q;A=M-D*f-z*f-u*f;i=R+1|0;if((i|0)==3){S=y;T=c;U=A;break}K=y;L=c;M=A;N=+p[n+(i<<3)>>3];O=+p[o+(i*24|0)>>3];P=+p[o+(i*24|0)+8>>3];Q=+p[o+(i*24|0)+16>>3];R=i}Q=+aa(+(S*S+T*T+U*U));p[a>>3]=B;p[b>>3]=Q;r=l;return}function $Y(a,b,c,d,e,f,g,h,i){a=a|0;b=+b;c=+c;d=+d;e=+e;f=f|0;g=g|0;h=h|0;i=i|0;var j=0.0,l=0,m=0,n=0.0,o=0.0,q=0.0,r=0.0,s=0.0;j=e<1.0e-12?1.0e-12:e;l=i+8|0;m=i+16|0;e=(+p[l>>3]*d-+p[m>>3]*c)*2.0/j-(+p[h+8>>3]-+p[g+16>>3]);p[a>>3]=e;n=(+p[m>>3]*b-+p[i>>3]*d)*2.0/j-(+p[f+16>>3]-+p[h>>3]);h=a+8|0;p[h>>3]=n;o=(+p[i>>3]*c-+p[l>>3]*b)*2.0/j-(+p[g>>3]-+p[f+8>>3]);f=a+16|0;q=b/j*e+c/j*n+d/j*o;r=e-q*b/j;p[a>>3]=r;b=n-q*c/j;p[h>>3]=b;c=o-q*d/j;p[f>>3]=c;j=+aa(+(c*c+(r*r+b*b)));if(j==0.0){k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;s=1.0;p[f>>3]=s;return}else{p[a>>3]=r/j;p[h>>3]=b/j;s=c/j;p[f>>3]=s;return}}function aZ(a,b){a=+a;b=+b;return +(+aa(+(b*2.0*b/(a*3.0*a))))}function bZ(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;a=r;r=r+368|0;b=a+344|0;c=a+208|0;d=a+196|0;e=a+184|0;f=a+36|0;g=a+48|0;h=a+24|0;i=a+12|0;j=a;l=(wY()|0)>1;m=sZ(105015)|0;if(Ita(m,105024)|0)if(Ita(m,105033)|0){if(Ita(m,105043)|0){n=g+56|0;o=g+4|0;k[g>>2]=27524;k[n>>2]=27544;B=0;wa(508,g+56|0,o|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;s=p;vva(n);Qb(s|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[n>>2]=27488;B=0;va(448,o|0);p=B;B=0;do if(p&1){t=Rb()|0;u=Q;v=t}else{k[o>>2]=27560;t=g+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[g+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,o|0,b|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(b);Yua(t);Ava(o);u=x;v=w;break}Yua(b);B=0;w=Ia(40,g|0,145505,30)|0;x=B;B=0;a:do if(!(x&1)?(B=0,Xa(239,w|0,0)|0,y=B,B=0,!(y&1)):0){y=Ab(20)|0;B=0;eb(502,h|0,105116,81);z=B;B=0;do if(!(z&1)){B=0;eb(502,i|0,105198,29);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(h);D=A;E=C;break}B=0;wa(510,j|0,o|0);C=B;B=0;if(C&1){C=Rb()|0;F=1;G=Q;H=C}else{B=0;ua(163,y|0,h|0,i|0,48,j|0);C=B;B=0;if(C&1)I=1;else{B=0;eb(503,y|0,1240,229);B=0;I=0}C=Rb()|0;A=Q;Yua(j);F=I;G=A;H=C}Yua(i);Yua(h);if(F){D=H;E=G}else{J=G;K=H;break a}}else{C=Rb()|0;D=C;E=Q}while(0);zb(y|0);J=E;K=D}else L=43;while(0);if((L|0)==43){w=Rb()|0;J=Q;K=w}k[g>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(t);Ava(o);vva(n);M=J;N=K;Qb(N|0)}while(0);q=u;s=v;vva(n);Qb(s|0)}if(l){l=c+56|0;s=c+4|0;k[c>>2]=27524;k[l>>2]=27544;B=0;wa(508,c+56|0,s|0);n=B;B=0;if(n&1){n=Rb()|0;O=Q;P=n;vva(l);Qb(P|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[l>>2]=27488;B=0;va(448,s|0);n=B;B=0;do if(n&1){v=Rb()|0;R=Q;S=v}else{k[s>>2]=27560;v=c+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,s|0,b|0);u=B;B=0;if(u&1){u=Rb()|0;q=Q;Yua(b);Yua(v);Ava(s);R=q;S=u;break}Yua(b);B=0;u=Ia(40,c|0,105049,66)|0;q=B;B=0;b:do if(!(q&1)?(B=0,Xa(239,u|0,0)|0,K=B,B=0,!(K&1)):0){K=Ab(20)|0;B=0;eb(502,d|0,105116,81);J=B;B=0;do if(!(J&1)){B=0;eb(502,e|0,105198,29);o=B;B=0;if(o&1){o=Rb()|0;g=Q;Yua(d);T=o;U=g;break}B=0;wa(510,f|0,s|0);g=B;B=0;if(g&1){g=Rb()|0;V=Q;W=g;X=1}else{B=0;ua(163,K|0,d|0,e|0,45,f|0);g=B;B=0;if(g&1)Y=1;else{B=0;eb(503,K|0,1240,229);B=0;Y=0}g=Rb()|0;o=Q;Yua(f);V=o;W=g;X=Y}Yua(e);Yua(d);if(X){T=W;U=V}else{Z=W;_=V;break b}}else{g=Rb()|0;T=g;U=Q}while(0);zb(K|0);Z=T;_=U}else L=20;while(0);if((L|0)==20){u=Rb()|0;Z=u;_=Q}k[c>>2]=27468;k[l>>2]=27488;k[s>>2]=27560;Yua(v);Ava(s);vva(l);M=_;N=Z;Qb(N|0)}while(0);O=R;P=S;vva(l);Qb(P|0)}else $=973}else $=975;else $=974;if(!m){r=a;return $|0}Tqa(m);r=a;return $|0}function cZ(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;a=r;r=r+368|0;b=a+344|0;c=a+208|0;d=a+196|0;e=a+184|0;f=a+36|0;g=a+48|0;h=a+24|0;i=a+12|0;j=a;l=(wY()|0)>1;m=sZ(105228)|0;if(Ita(m,105237)|0){if(Ita(m,105241)|0){n=g+56|0;o=g+4|0;k[g>>2]=27524;k[n>>2]=27544;B=0;wa(508,g+56|0,o|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;s=p;vva(n);Qb(s|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[n>>2]=27488;B=0;va(448,o|0);p=B;B=0;do if(p&1){t=Rb()|0;u=Q;v=t}else{k[o>>2]=27560;t=g+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[g+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,o|0,b|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(b);Yua(t);Ava(o);u=x;v=w;break}Yua(b);B=0;w=Ia(40,g|0,126703,30)|0;x=B;B=0;a:do if(!(x&1)?(B=0,Xa(239,w|0,0)|0,y=B,B=0,!(y&1)):0){y=Ab(20)|0;B=0;eb(502,h|0,105116,81);z=B;B=0;do if(!(z&1)){B=0;eb(502,i|0,105312,29);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(h);D=A;E=C;break}B=0;wa(510,j|0,o|0);C=B;B=0;if(C&1){C=Rb()|0;F=1;G=Q;H=C}else{B=0;ua(163,y|0,h|0,i|0,78,j|0);C=B;B=0;if(C&1)I=1;else{B=0;eb(503,y|0,1240,229);B=0;I=0}C=Rb()|0;A=Q;Yua(j);F=I;G=A;H=C}Yua(i);Yua(h);if(F){D=H;E=G}else{J=G;K=H;break a}}else{C=Rb()|0;D=C;E=Q}while(0);zb(y|0);J=E;K=D}else L=42;while(0);if((L|0)==42){w=Rb()|0;J=Q;K=w}k[g>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(t);Ava(o);vva(n);M=J;N=K;Qb(N|0)}while(0);q=u;s=v;vva(n);Qb(s|0)}if(l){l=c+56|0;s=c+4|0;k[c>>2]=27524;k[l>>2]=27544;B=0;wa(508,c+56|0,s|0);n=B;B=0;if(n&1){n=Rb()|0;O=Q;P=n;vva(l);Qb(P|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[l>>2]=27488;B=0;va(448,s|0);n=B;B=0;do if(n&1){v=Rb()|0;R=Q;S=v}else{k[s>>2]=27560;v=c+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,s|0,b|0);u=B;B=0;if(u&1){u=Rb()|0;q=Q;Yua(b);Yua(v);Ava(s);R=q;S=u;break}Yua(b);B=0;u=Ia(40,c|0,105245,66)|0;q=B;B=0;b:do if(!(q&1)?(B=0,Xa(239,u|0,0)|0,K=B,B=0,!(K&1)):0){K=Ab(20)|0;B=0;eb(502,d|0,105116,81);J=B;B=0;do if(!(J&1)){B=0;eb(502,e|0,105312,29);o=B;B=0;if(o&1){o=Rb()|0;g=Q;Yua(d);T=o;U=g;break}B=0;wa(510,f|0,s|0);g=B;B=0;if(g&1){g=Rb()|0;V=Q;W=g;X=1}else{B=0;ua(163,K|0,d|0,e|0,75,f|0);g=B;B=0;if(g&1)Y=1;else{B=0;eb(503,K|0,1240,229);B=0;Y=0}g=Rb()|0;o=Q;Yua(f);V=o;W=g;X=Y}Yua(e);Yua(d);if(X){T=W;U=V}else{Z=W;_=V;break b}}else{g=Rb()|0;T=g;U=Q}while(0);zb(K|0);Z=T;_=U}else L=19;while(0);if((L|0)==19){u=Rb()|0;Z=u;_=Q}k[c>>2]=27468;k[l>>2]=27488;k[s>>2]=27560;Yua(v);Ava(s);vva(l);M=_;N=Z;Qb(N|0)}while(0);O=R;P=S;vva(l);Qb(P|0)}else $=976}else $=977;if(!m){r=a;return $|0}Tqa(m);r=a;return $|0}function dZ(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0;if(!((b|0)==(e|0)|(c|0)==(f|0)))yb(105427,105344,42,105470);switch(c|0){case 4:case 1:{h=c;break}case 2:{h=8;break}default:yb(105342,105344,33,105416)}TEa(d|0,a|0,ma(h,b)|0)|0;return 0}function eZ(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,l=0,m=0;if((c|0)!=(g|0))yb(105489,105344,76,105508);if((k[e>>2]|0)!=(b|0))yb(105528,105344,98,105508);a:do switch(c|0){case 4:case 1:{e=d+(ma(k[f>>2]|0,c)|0)|0;switch(c|0){case 2:{i=e;break a;break}case 4:case 1:{j=c;l=e;m=ma(j,b)|0;TEa(l|0,a|0,m|0)|0;return 0}default:yb(105342,105344,33,105416)}break}case 2:{i=d+(k[f>>2]<<3)|0;break}default:yb(105342,105344,33,105416)}while(0);j=8;l=i;m=ma(j,b)|0;TEa(l|0,a|0,m|0)|0;return 0}function fZ(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0;switch(d|0){case 4:case 1:{g=d;break}case 2:{g=8;break}default:yb(105342,105344,33,105416)}TEa(b|0,a|0,ma(g,c)|0)|0;return 0}function gZ(a){a=a|0;return 0}function hZ(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return 0}function iZ(a,b){a=a|0;b=b|0;k[b>>2]=0;return 0}function jZ(a,b){a=a|0;b=b|0;k[b>>2]=1;return 0}function kZ(){return 0}function lZ(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0;if(!((b|0)==(e|0)&(c|0)==(f|0)))yb(105553,105344,230,105592);switch(c|0){case 4:case 1:{i=c;break}case 2:{i=8;break}default:yb(105342,105344,33,105416)}TEa(d|0,a|0,ma(i,b)|0)|0;return 0}function mZ(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return 0}function nZ(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0;switch(d|0){case 4:case 1:{h=d;break}case 2:{h=8;break}default:yb(105342,105344,33,105416)}TEa(b|0,a|0,ma(h,c)|0)|0;return 0}function oZ(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return 0}function pZ(a){a=a|0;var b=0;b=k[6863]|0;if(b)Tqa(b);k[6863]=0;b=Rqa((Lta(a)|0)+1|0)|0;k[6863]=b;TEa(b|0,a|0,(Lta(a)|0)+1|0)|0;return}function qZ(){return rZ(k[6863]|0,105608)|0}function rZ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;j=Rqa((Lta(a)|0)+1|0)|0;TEa(j|0,a|0,(Lta(a)|0)+1|0)|0;a=Pta(j,149175)|0;l=0;a:while(1){m=a;while(1){if(!m){n=l;o=34;break a}if((i[m>>0]|0)!=45)break a;p=(Ita(m+1|0,b)|0)==0;m=Pta(0,149175)|0;q=(i[m>>0]|0)==45;if(p){o=6;break}if(!q){s=l;break}}do if((o|0)==6){o=0;if(q){p=Rqa(1)|0;i[p>>0]=0;a=m;l=p;continue a}else{p=Rqa((Lta(m)|0)+1|0)|0;TEa(p|0,m|0,(Lta(m)|0)+1|0)|0;s=p;break}}while(0);a=Pta(0,149175)|0;l=s}if((o|0)==34){Tqa(j);r=c;return n|0}n=e+56|0;c=e+4|0;k[e>>2]=27524;k[n>>2]=27544;B=0;wa(508,e+56|0,c|0);j=B;B=0;if(j&1){j=Rb()|0;t=Q;u=j;vva(n);Qb(u|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[n>>2]=27488;B=0;va(448,c|0);j=B;B=0;do if(j&1){o=Rb()|0;v=Q;w=o}else{k[c>>2]=27560;o=e+36|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[o+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,c|0,d|0);s=B;B=0;if(s&1){s=Rb()|0;l=Q;Yua(d);Yua(o);Ava(c);v=l;w=s;break}Yua(d);B=0;s=Ia(40,e|0,105616,51)|0;l=B;B=0;if(!(l&1)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,f|0,105668,74);l=B;B=0;do if(!(l&1)){B=0;eb(502,g|0,105743,10);a=B;B=0;if(a&1){a=Rb()|0;q=Q;Yua(f);x=q;y=a;break}B=0;wa(510,h|0,c|0);a=B;B=0;if(a&1){a=Rb()|0;z=Q;A=a;C=1}else{B=0;ua(163,s|0,f|0,g|0,82,h|0);a=B;B=0;if(a&1)D=1;else{B=0;eb(503,s|0,1240,229);B=0;D=0}a=Rb()|0;q=Q;Yua(h);z=q;A=a;C=D}Yua(g);Yua(f);if(C){x=z;y=A}else{E=z;F=A;k[e>>2]=27468;k[n>>2]=27488;k[c>>2]=27560;Yua(o);Ava(c);vva(n);Qb(F|0)}}else{a=Rb()|0;x=Q;y=a}while(0);zb(s|0);E=x;F=y;k[e>>2]=27468;k[n>>2]=27488;k[c>>2]=27560;Yua(o);Ava(c);vva(n);Qb(F|0)}l=Rb()|0;E=Q;F=l;k[e>>2]=27468;k[n>>2]=27488;k[c>>2]=27560;Yua(o);Ava(c);vva(n);Qb(F|0)}while(0);t=v;u=w;vva(n);Qb(u|0);return 0}function sZ(a){a=a|0;return rZ(k[6863]|0,a)|0}function tZ(a,b,c,d,e,f,g,h,i,j,l,m,n){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0;o=r;r=r+480|0;p=o+456|0;q=o+440|0;s=o+304|0;t=o+444|0;u=o+152|0;v=o+288|0;w=o+16|0;x=o;y=Qqa(36)|0;B=0;va(484,y|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Sqa(y);C=z;D=A;Qb(C|0)}A=Qqa(36)|0;B=0;va(482,A|0);z=B;B=0;if(z&1){z=Rb()|0;E=Q;Sqa(A);C=z;D=E;Qb(C|0)}E=Qqa(36)|0;B=0;va(483,E|0);z=B;B=0;if(z&1){z=Rb()|0;F=Q;Sqa(E);C=z;D=F;Qb(C|0)}F=Qqa(36)|0;B=0;va(478,F|0);z=B;B=0;if(z&1){z=Rb()|0;G=Q;Sqa(F);C=z;D=G;Qb(C|0)}G=Qqa(36)|0;B=0;va(480,G|0);z=B;B=0;if(z&1){z=Rb()|0;H=Q;Sqa(G);C=z;D=H;Qb(C|0)}k[G+12>>2]=546;H=Qqa(36)|0;B=0;va(477,H|0);z=B;B=0;if(z&1){z=Rb()|0;I=Q;Sqa(H);C=z;D=I;Qb(C|0)}I=Qqa(4064)|0;B=0;va(479,I|0);z=B;B=0;if(z&1){z=Rb()|0;J=Q;Sqa(I);C=z;D=J;Qb(C|0)}Fka(h,q,105754);HY(k[q>>2]|0);a:do if(AY()|0){q=s+56|0;J=s+4|0;k[s>>2]=27524;k[q>>2]=27544;B=0;wa(508,s+56|0,J|0);z=B;B=0;if(z&1){z=Rb()|0;K=Q;L=z;vva(q);Qb(L|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[q>>2]=27488;B=0;va(448,J|0);z=B;B=0;do if(z&1){M=Rb()|0;N=Q;O=M}else{k[J>>2]=27560;M=s+36|0;k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;k[M+12>>2]=0;k[s+52>>2]=16;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;B=0;wa(509,J|0,p|0);P=B;B=0;if(P&1){P=Rb()|0;R=Q;Yua(p);Yua(M);Ava(J);N=R;O=P;break}Yua(p);B=0;Ia(40,s|0,105765,29)|0;P=B;B=0;do if(!(P&1)?(B=0,wa(510,t|0,J|0),R=B,B=0,!(R&1)):0){B=0;ya(425,t|0)|0;R=B;B=0;if(R&1){R=Rb()|0;S=Q;Yua(t);T=R;U=S;break}else{Yua(t);k[s>>2]=27468;k[q>>2]=27488;k[J>>2]=27560;Yua(M);Ava(J);vva(q);break a}}else V=28;while(0);if((V|0)==28){P=Rb()|0;T=P;U=Q}k[s>>2]=27468;k[q>>2]=27488;k[J>>2]=27560;Yua(M);Ava(J);vva(q);C=T;D=U;Qb(C|0)}while(0);K=N;L=O;vva(q);Qb(L|0)}while(0);uZ(h+32|0,h+36|0,h);xZ(y,E,F,h,m);wZ(I,h,j,i,l);b:do if((m|0)>0){i=u+56|0;j=u+4|0;L=u+56|0;O=u+128|0;N=u+132|0;K=u+36|0;U=u+52|0;T=h+104|0;s=h+108|0;t=h+100|0;J=0;while(1){z=k[n+(J<<2)>>2]|0;P=Qqa(12)|0;B=0;eb(518,P|0,482,J|0);S=B;B=0;if(S&1){W=P;V=50;break}YN(I,P);if(AY()|0){k[u>>2]=27524;k[i>>2]=27544;B=0;wa(508,L|0,j|0);P=B;B=0;if(P&1){V=39;break}k[O>>2]=0;k[N>>2]=-1;k[u>>2]=27468;k[i>>2]=27488;B=0;va(448,j|0);P=B;B=0;if(P&1){V=40;break}k[j>>2]=27560;k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;k[K+12>>2]=0;k[U>>2]=16;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;B=0;wa(509,j|0,p|0);P=B;B=0;if(P&1){V=38;break}Yua(p);B=0;P=Ia(40,u|0,105795,34)|0;S=B;B=0;if(S&1){V=51;break}B=0;S=ya(427,z|0)|0;R=B;B=0;if(R&1){V=51;break}R=Lta(S)|0;B=0;X=Ia(40,P|0,S|0,R|0)|0;R=B;B=0;if(R&1){V=51;break}B=0;Ia(40,X|0,149177,1)|0;X=B;B=0;if(X&1){V=51;break}B=0;wa(510,v|0,j|0);X=B;B=0;if(X&1){V=51;break}B=0;ya(425,v|0)|0;X=B;B=0;if(X&1){V=52;break}Yua(v);k[u>>2]=27468;k[i>>2]=27488;k[j>>2]=27560;Yua(K);Ava(j);vva(i)}X=n_(z)|0;Dc[k[(k[X>>2]|0)+28>>2]&255](X,I,h,l,z);nd[k[(k[X>>2]|0)+16>>2]&1023](X,A,h);nd[k[(k[X>>2]|0)+8>>2]&1023](X,G,h);nd[k[(k[X>>2]|0)+12>>2]&1023](X,H,h);Dc[k[(k[X>>2]|0)+24>>2]&255](X,y,h,J,z);if(X)Ec[k[(k[X>>2]|0)+4>>2]&1023](X);if(th(A)|0){X=dn(A)|0;k[t>>2]=X}X=dL(H)|0;k[T>>2]=X;X=Cma(G)|0;k[s>>2]=X;J=J+1|0;if((J|0)>=(m|0)){Y=z;break b}}if((V|0)==38){J=Rb()|0;s=Q;Yua(p);Yua(K);Ava(j);Z=s;_=J;V=41}else if((V|0)==39){J=Rb()|0;$=Q;aa=J;vva(i);Qb(aa|0)}else if((V|0)==40){J=Rb()|0;Z=Q;_=J;V=41}else if((V|0)==50){J=Rb()|0;s=Q;Sqa(W);C=J;D=s;Qb(C|0)}else if((V|0)==51){s=Rb()|0;ba=s;ca=Q;V=53}else if((V|0)==52){s=Rb()|0;J=Q;Yua(v);ba=s;ca=J;V=53}if((V|0)==41){$=Z;aa=_;vva(i);Qb(aa|0)}else if((V|0)==53){k[u>>2]=27468;k[i>>2]=27488;k[j>>2]=27560;Yua(K);Ava(j);vva(i);C=ba;D=ca;Qb(C|0)}}else Y=0;while(0);E_(y,F,h);if((l|0)==523)t_(y,I,h,Y);i1(y,I,h);sh(y);sh(A);sh(E);sh(H);sh(F);sh(G);if(!(AY()|0)){k[a>>2]=y;k[b>>2]=A;k[c>>2]=E;k[d>>2]=F;k[e>>2]=G;k[f>>2]=H;k[g>>2]=I;r=o;return}h=w+56|0;Y=w+4|0;k[w>>2]=27524;k[h>>2]=27544;B=0;wa(508,w+56|0,Y|0);l=B;B=0;if(l&1){l=Rb()|0;da=Q;ea=l;vva(h);Qb(ea|0)}k[w+128>>2]=0;k[w+132>>2]=-1;k[w>>2]=27468;k[h>>2]=27488;B=0;va(448,Y|0);l=B;B=0;do if(l&1){ca=Rb()|0;fa=Q;ga=ca}else{k[Y>>2]=27560;ca=w+36|0;k[ca>>2]=0;k[ca+4>>2]=0;k[ca+8>>2]=0;k[ca+12>>2]=0;k[w+52>>2]=16;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;B=0;wa(509,Y|0,p|0);ba=B;B=0;if(ba&1){ba=Rb()|0;u=Q;Yua(p);Yua(ca);Ava(Y);fa=u;ga=ba;break}Yua(p);B=0;Ia(40,w|0,105830,30)|0;ba=B;B=0;do if(!(ba&1)?(B=0,wa(510,x|0,Y|0),u=B,B=0,!(u&1)):0){B=0;ya(425,x|0)|0;u=B;B=0;if(u&1){u=Rb()|0;aa=Q;Yua(x);ha=u;ia=aa;break}Yua(x);k[w>>2]=27468;k[h>>2]=27488;k[Y>>2]=27560;Yua(ca);Ava(Y);vva(h);k[a>>2]=y;k[b>>2]=A;k[c>>2]=E;k[d>>2]=F;k[e>>2]=G;k[f>>2]=H;k[g>>2]=I;r=o;return}else V=74;while(0);if((V|0)==74){ba=Rb()|0;ha=ba;ia=Q}k[w>>2]=27468;k[h>>2]=27488;k[Y>>2]=27560;Yua(ca);Ava(Y);vva(h);C=ha;D=ia;Qb(C|0)}while(0);da=fa;ea=ga;vva(h);Qb(ea|0)}function uZ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=r;r=r+240|0;e=d+216|0;f=d+212|0;g=d+208|0;h=d+204|0;j=d+200|0;l=d+196|0;m=d+192|0;n=d+188|0;o=d+184|0;q=d+180|0;s=d+176|0;t=d+40|0;u=d+24|0;v=d+12|0;w=d;k[m>>2]=0;k[n>>2]=0;k[o>>2]=0;k[q>>2]=0;k[s>>2]=0;x=vY()|0;y=wY()|0;Fka(c,j,127408);if(k[a>>2]|0){r=d;return}z=c+48|0;switch(k[z>>2]|0){case 621:{k[f>>2]=0;k[g>>2]=0;k[h>>2]=0;A=0;C=0;D=0;E=0;F=621;G=3;break}case 623:{k[f>>2]=0;k[g>>2]=0;k[h>>2]=0;A=0;C=0;D=0;E=0;F=623;G=4;break}case 625:{Cka(c,o,0,0,105861);Fka(c,f,105880);Fka(c,g,105907);Fka(c,h,106979);A=k[f>>2]|0;C=k[g>>2]|0;D=k[o>>2]|0;E=k[h>>2]|0;F=k[z>>2]|0;G=6;break}default:{z=t+56|0;h=t+4|0;k[t>>2]=27524;k[z>>2]=27544;B=0;wa(508,t+56|0,h|0);g=B;B=0;if(g&1){g=Rb()|0;H=Q;I=g;vva(z);Qb(I|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[z>>2]=27488;B=0;va(448,h|0);g=B;B=0;do if(g&1){f=Rb()|0;J=Q;K=f}else{k[h>>2]=27560;f=t+36|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;k[t+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,h|0,e|0);L=B;B=0;if(L&1){L=Rb()|0;M=Q;Yua(e);Yua(f);Ava(h);J=M;K=L;break}Yua(e);B=0;L=Ia(40,t|0,144836,22)|0;M=B;B=0;if(!(M&1)?(B=0,Xa(239,L|0,0)|0,L=B,B=0,!(L&1)):0){L=Ab(20)|0;B=0;eb(502,u|0,105934,106);M=B;B=0;do if(!(M&1)){B=0;eb(502,v|0,106041,31);N=B;B=0;if(N&1){N=Rb()|0;O=Q;Yua(u);P=O;R=N;break}B=0;wa(510,w|0,h|0);N=B;B=0;if(N&1){N=Rb()|0;S=Q;T=N;U=1}else{B=0;ua(163,L|0,u|0,v|0,74,w|0);N=B;B=0;if(N&1)V=1;else{B=0;eb(503,L|0,1240,229);B=0;V=0}N=Rb()|0;O=Q;Yua(w);S=O;T=N;U=V}Yua(v);Yua(u);if(U){P=S;R=T}else{W=S;X=T;k[t>>2]=27468;k[z>>2]=27488;k[h>>2]=27560;Yua(f);Ava(h);vva(z);Qb(X|0)}}else{N=Rb()|0;P=Q;R=N}while(0);zb(L|0);W=P;X=R;k[t>>2]=27468;k[z>>2]=27488;k[h>>2]=27560;Yua(f);Ava(h);vva(z);Qb(X|0)}M=Rb()|0;W=Q;X=M;k[t>>2]=27468;k[z>>2]=27488;k[h>>2]=27560;Yua(f);Ava(h);vva(z);Qb(X|0)}while(0);H=J;I=K;vva(z);Qb(I|0)}}I=c+56|0;z=c+52|0;K=c+72|0;vZ(m,n,k[I>>2]|0,k[z>>2]|0,k[K>>2]|0,A,C,D,E,G,F,y)|0;y=k[o>>2]|0;if(y)Tqa(y);k[o>>2]=0;if(k[j>>2]|0){Qka(c,s,j,0,127458);o=k[s>>2]|0;if((k[j>>2]|0)>0){s=k[m>>2]|0;y=0;do{F=o+(y*12<<3)|0;k[s+(~~+p[F+24>>3]+-1<<2)>>2]=k[s+(~~+p[F+16>>3]+-1<<2)>>2];y=y+1|0}while((y|0)<(k[j>>2]|0))}Mka(c,o,127458)}o=k[z>>2]|0;z=Rqa(o>>>0>1073741823?-1:o<<2)|0;if(o)WEa(z|0,0,o<<2|0)|0;o=k[I>>2]|0;I=Rqa(o)|0;if((o|0)!=0?(WEa(I|0,0,o|0)|0,(o|0)>0):0){j=k[m>>2]|0;y=0;do{if((x|0)==(k[j+(y<<2)>>2]|0)){i[I+y>>0]=1;s=ma(y,G)|0;F=k[K>>2]|0;E=0;do{k[z+((k[F+(E+s<<2)>>2]|0)+-1<<2)>>2]=1;E=E+1|0}while((E|0)<(G|0))}y=y+1|0}while((y|0)<(o|0))}Cka(c,q,l,0,127426);o=k[l>>2]|0;y=k[q>>2]|0;if((o|0)>0){G=0;do{K=G<<1;if((k[z+((k[y+(K<<2)>>2]|0)+-1<<2)>>2]|0)!=0?(j=z+((k[y+((K|1)<<2)>>2]|0)+-1<<2)|0,(k[j>>2]|0)==0):0)k[j>>2]=2;G=G+1|0}while((G|0)<(o|0))}if(y)Tqa(y);k[q>>2]=0;Cka(c,q,l,0,134220);c=k[l>>2]|0;l=k[q>>2]|0;if((c|0)>0){y=0;do{o=y<<1;if((k[z+((k[l+(o<<2)>>2]|0)+-1<<2)>>2]|0)!=0?(G=z+((k[l+((o|1)<<2)>>2]|0)+-1<<2)|0,(k[G>>2]|0)==0):0)k[G>>2]=2;y=y+1|0}while((y|0)<(c|0))}if(l)Tqa(l);k[q>>2]=0;q=k[n>>2]|0;if(q)Tqa(q);k[n>>2]=0;n=k[m>>2]|0;if(n)Tqa(n);k[m>>2]=0;k[a>>2]=I;k[b>>2]=z;r=d;return}function vZ(a,b,c,d,e,f,g,h,i,j,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0;j=r;r=r+896|0;h=j+876|0;e=j+704|0;n=j+864|0;o=j+852|0;p=j+840|0;q=j+552|0;s=j+688|0;t=j+536|0;u=j+248|0;v=j+400|0;w=j+96|0;x=j+84|0;y=j+72|0;z=j+264|0;A=j+60|0;C=j+48|0;D=j+36|0;E=j+112|0;F=j+24|0;G=j+12|0;H=j;switch(l|0){case 623:case 621:{I=Rqa(c>>>0>1073741823?-1:c<<2)|0;J=Rqa(d>>>0>1073741823?-1:d<<2)|0;K=(c|0)>0;if((m|0)>1){L=e+56|0;M=e+4|0;k[e>>2]=27524;k[L>>2]=27544;B=0;wa(508,e+56|0,M|0);N=B;B=0;if(N&1){N=Rb()|0;O=Q;P=N;vva(L);Qb(P|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[L>>2]=27488;B=0;va(448,M|0);N=B;B=0;do if(N&1){R=Rb()|0;S=Q;T=R}else{k[M>>2]=27560;R=e+36|0;k[R>>2]=0;k[R+4>>2]=0;k[R+8>>2]=0;k[R+12>>2]=0;k[e+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,M|0,h|0);U=B;B=0;if(U&1){U=Rb()|0;V=Q;Yua(h);Yua(R);Ava(M);S=V;T=U;break}Yua(h);B=0;U=Ia(40,e|0,106073,61)|0;V=B;B=0;a:do if(!(V&1)?(B=0,Xa(239,U|0,0)|0,W=B,B=0,!(W&1)):0){W=Ab(20)|0;B=0;eb(502,n|0,106135,105);X=B;B=0;do if(!(X&1)){B=0;eb(502,o|0,106241,14);Y=B;B=0;if(Y&1){Y=Rb()|0;Z=Q;Yua(n);_=Z;$=Y;break}B=0;wa(510,p|0,M|0);Y=B;B=0;if(Y&1){Y=Rb()|0;aa=Q;ba=Y;ca=1}else{B=0;ua(163,W|0,n|0,o|0,50,p|0);Y=B;B=0;if(Y&1)da=1;else{B=0;eb(503,W|0,1240,229);B=0;da=0}Y=Rb()|0;Z=Q;Yua(p);aa=Z;ba=Y;ca=da}Yua(o);Yua(n);if(ca){_=aa;$=ba}else{ea=aa;fa=ba;break a}}else{Y=Rb()|0;_=Q;$=Y}while(0);zb(W|0);ea=_;fa=$}else ga=18;while(0);if((ga|0)==18){U=Rb()|0;ea=Q;fa=U}k[e>>2]=27468;k[L>>2]=27488;k[M>>2]=27560;Yua(R);Ava(M);vva(L);ha=ea;ia=fa;Qb(ia|0)}while(0);O=S;P=T;vva(L);Qb(P|0)}if((m|0)==1){if(K)WEa(I|0,0,c<<2|0)|0;if((d|0)>0)WEa(J|0,0,d<<2|0)|0;k[a>>2]=I;k[b>>2]=J;r=j;return 1}J=q+56|0;I=q+4|0;k[q>>2]=27524;k[J>>2]=27544;B=0;wa(508,q+56|0,I|0);K=B;B=0;if(K&1){K=Rb()|0;ja=Q;ka=K;vva(J);Qb(ka|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[J>>2]=27488;B=0;va(448,I|0);K=B;B=0;do if(K&1){P=Rb()|0;la=Q;na=P}else{k[I>>2]=27560;P=q+36|0;k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;k[P+12>>2]=0;k[q+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,I|0,h|0);L=B;B=0;if(L&1){L=Rb()|0;T=Q;Yua(h);Yua(P);Ava(I);la=T;na=L;break}Yua(h);B=0;L=Ia(40,q|0,106256,34)|0;T=B;B=0;b:do if(!(T&1)?(B=0,Xa(239,L|0,0)|0,S=B,B=0,!(S&1)):0){S=Ab(20)|0;B=0;eb(502,s|0,106135,105);O=B;B=0;do if(!(O&1)){B=0;eb(502,t|0,106241,14);fa=B;B=0;if(fa&1){fa=Rb()|0;ea=Q;Yua(s);oa=ea;pa=fa;break}B=0;wa(510,u|0,I|0);fa=B;B=0;if(fa&1){fa=Rb()|0;qa=1;ra=Q;sa=fa}else{B=0;ua(163,S|0,s|0,t|0,58,u|0);fa=B;B=0;if(fa&1)ta=1;else{B=0;eb(503,S|0,1240,229);B=0;ta=0}fa=Rb()|0;ea=Q;Yua(u);qa=ta;ra=ea;sa=fa}Yua(t);Yua(s);if(qa){oa=ra;pa=sa}else{xa=ra;za=sa;break b}}else{fa=Rb()|0;oa=Q;pa=fa}while(0);zb(S|0);xa=oa;za=pa}else ga=46;while(0);if((ga|0)==46){L=Rb()|0;xa=Q;za=L}k[q>>2]=27468;k[J>>2]=27488;k[I>>2]=27560;Yua(P);Ava(I);vva(J);ha=xa;ia=za;Qb(ia|0)}while(0);ja=la;ka=na;vva(J);Qb(ka|0);break}case 625:{ka=Rqa(f>>>0>1073741823?-1:f<<2)|0;J=Rqa(g>>>0>1073741823?-1:g<<2)|0;na=(f|0)>0;if((m|0)>1){la=v+56|0;ja=v+4|0;k[v>>2]=27524;k[la>>2]=27544;B=0;wa(508,v+56|0,ja|0);za=B;B=0;if(za&1){za=Rb()|0;Aa=Q;Ba=za;vva(la);Qb(Ba|0)}k[v+128>>2]=0;k[v+132>>2]=-1;k[v>>2]=27468;k[la>>2]=27488;B=0;va(448,ja|0);za=B;B=0;do if(za&1){xa=Rb()|0;Ca=Q;Da=xa}else{k[ja>>2]=27560;xa=v+36|0;k[xa>>2]=0;k[xa+4>>2]=0;k[xa+8>>2]=0;k[xa+12>>2]=0;k[v+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,ja|0,h|0);I=B;B=0;if(I&1){I=Rb()|0;q=Q;Yua(h);Yua(xa);Ava(ja);Ca=q;Da=I;break}Yua(h);B=0;I=Ia(40,v|0,106073,61)|0;q=B;B=0;c:do if(!(q&1)?(B=0,Xa(239,I|0,0)|0,pa=B,B=0,!(pa&1)):0){pa=Ab(20)|0;B=0;eb(502,w|0,106135,105);oa=B;B=0;do if(!(oa&1)){B=0;eb(502,x|0,106241,14);sa=B;B=0;if(sa&1){sa=Rb()|0;ra=Q;Yua(w);Ea=ra;Fa=sa;break}B=0;wa(510,y|0,ja|0);sa=B;B=0;if(sa&1){sa=Rb()|0;Ga=1;Ha=Q;Ja=sa}else{B=0;ua(163,pa|0,w|0,x|0,79,y|0);sa=B;B=0;if(sa&1)Ka=1;else{B=0;eb(503,pa|0,1240,229);B=0;Ka=0}sa=Rb()|0;ra=Q;Yua(y);Ga=Ka;Ha=ra;Ja=sa}Yua(x);Yua(w);if(Ga){Ea=Ha;Fa=Ja}else{La=Ha;Ma=Ja;break c}}else{sa=Rb()|0;Ea=Q;Fa=sa}while(0);zb(pa|0);La=Ea;Ma=Fa}else ga=70;while(0);if((ga|0)==70){I=Rb()|0;La=Q;Ma=I}k[v>>2]=27468;k[la>>2]=27488;k[ja>>2]=27560;Yua(xa);Ava(ja);vva(la);ha=La;ia=Ma;Qb(ia|0)}while(0);Aa=Ca;Ba=Da;vva(la);Qb(Ba|0)}if((m|0)==1){if(na)WEa(ka|0,0,f<<2|0)|0;m=(g|0)>0;if(m)WEa(J|0,0,g<<2|0)|0;Ba=Rqa(c>>>0>1073741823?-1:c<<2)|0;if(!((i|0)<2|na^1)){na=i+-1|0;c=f<<2;f=0;do{TEa(Ba+(ma(c,f)|0)|0,ka|0,c|0)|0;f=f+1|0}while((f|0)!=(na|0))}na=Rqa(d>>>0>1073741823?-1:d<<2)|0;if(!((i|0)<1|m^1)){m=g<<2;g=0;do{TEa(na+(ma(m,g)|0)|0,J|0,m|0)|0;g=g+1|0}while((g|0)!=(i|0))}k[a>>2]=Ba;k[b>>2]=na;Tqa(ka);Tqa(J);r=j;return 1}j=z+56|0;J=z+4|0;k[z>>2]=27524;k[j>>2]=27544;B=0;wa(508,z+56|0,J|0);ka=B;B=0;if(ka&1){ka=Rb()|0;Na=Q;Oa=ka;vva(j);Qb(Oa|0)}k[z+128>>2]=0;k[z+132>>2]=-1;k[z>>2]=27468;k[j>>2]=27488;B=0;va(448,J|0);ka=B;B=0;do if(ka&1){na=Rb()|0;Pa=Q;Qa=na}else{k[J>>2]=27560;na=z+36|0;k[na>>2]=0;k[na+4>>2]=0;k[na+8>>2]=0;k[na+12>>2]=0;k[z+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,J|0,h|0);b=B;B=0;if(b&1){b=Rb()|0;Ba=Q;Yua(h);Yua(na);Ava(J);Pa=Ba;Qa=b;break}Yua(h);B=0;b=Ia(40,z|0,106256,34)|0;Ba=B;B=0;d:do if(!(Ba&1)?(B=0,Xa(239,b|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,A|0,106135,105);i=B;B=0;do if(!(i&1)){B=0;eb(502,C|0,106241,14);g=B;B=0;if(g&1){g=Rb()|0;m=Q;Yua(A);Ra=m;Sa=g;break}B=0;wa(510,D|0,J|0);g=B;B=0;if(g&1){g=Rb()|0;Ta=1;Ua=Q;Va=g}else{B=0;ua(163,a|0,A|0,C|0,87,D|0);g=B;B=0;if(g&1)Wa=1;else{B=0;eb(503,a|0,1240,229);B=0;Wa=0}g=Rb()|0;m=Q;Yua(D);Ta=Wa;Ua=m;Va=g}Yua(C);Yua(A);if(Ta){Ra=Ua;Sa=Va}else{Ya=Ua;Za=Va;break d}}else{g=Rb()|0;Ra=Q;Sa=g}while(0);zb(a|0);Ya=Ra;Za=Sa}else ga=98;while(0);if((ga|0)==98){b=Rb()|0;Ya=Q;Za=b}k[z>>2]=27468;k[j>>2]=27488;k[J>>2]=27560;Yua(na);Ava(J);vva(j);ha=Ya;ia=Za;Qb(ia|0)}while(0);Na=Pa;Oa=Qa;vva(j);Qb(Oa|0);break}default:{Oa=E+56|0;j=E+4|0;k[E>>2]=27524;k[Oa>>2]=27544;B=0;wa(508,E+56|0,j|0);Qa=B;B=0;if(Qa&1){Qa=Rb()|0;_a=Q;$a=Qa;vva(Oa);Qb($a|0)}k[E+128>>2]=0;k[E+132>>2]=-1;k[E>>2]=27468;k[Oa>>2]=27488;B=0;va(448,j|0);Qa=B;B=0;do if(Qa&1){Pa=Rb()|0;ab=Q;bb=Pa}else{k[j>>2]=27560;Pa=E+36|0;k[Pa>>2]=0;k[Pa+4>>2]=0;k[Pa+8>>2]=0;k[Pa+12>>2]=0;k[E+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,j|0,h|0);Na=B;B=0;if(Na&1){Na=Rb()|0;Za=Q;Yua(h);Yua(Pa);Ava(j);ab=Za;bb=Na;break}Yua(h);B=0;Na=Ia(40,E|0,144674,10)|0;Za=B;B=0;e:do if((((!(Za&1)?(B=0,Ya=ya(427,l|0)|0,J=B,B=0,!(J&1)):0)?(J=Lta(Ya)|0,B=0,z=Ia(40,Na|0,Ya|0,J|0)|0,J=B,B=0,!(J&1)):0)?(B=0,J=Ia(40,z|0,146481,18)|0,z=B,B=0,!(z&1)):0)?(B=0,Xa(239,J|0,0)|0,J=B,B=0,!(J&1)):0){J=Ab(20)|0;B=0;eb(502,F|0,106135,105);z=B;B=0;do if(!(z&1)){B=0;eb(502,G|0,106241,14);Ya=B;B=0;if(Ya&1){Ya=Rb()|0;Sa=Q;Yua(F);cb=Sa;db=Ya;break}B=0;wa(510,H|0,j|0);Ya=B;B=0;if(Ya&1){Ya=Rb()|0;fb=1;gb=Q;hb=Ya}else{B=0;ua(163,J|0,F|0,G|0,112,H|0);Ya=B;B=0;if(Ya&1)ib=1;else{B=0;eb(503,J|0,1240,229);B=0;ib=0}Ya=Rb()|0;Sa=Q;Yua(H);fb=ib;gb=Sa;hb=Ya}Yua(G);Yua(F);if(fb){cb=gb;db=hb}else{jb=gb;kb=hb;break e}}else{Ya=Rb()|0;cb=Q;db=Ya}while(0);zb(J|0);jb=cb;kb=db}else ga=130;while(0);if((ga|0)==130){Na=Rb()|0;jb=Q;kb=Na}k[E>>2]=27468;k[Oa>>2]=27488;k[j>>2]=27560;Yua(Pa);Ava(j);vva(Oa);ha=jb;ia=kb;Qb(ia|0)}while(0);_a=ab;$a=bb;vva(Oa);Qb($a|0)}}return 0}function wZ(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0;c=r;r=r+416|0;f=c+388|0;g=c+384|0;h=c+380|0;j=c+376|0;m=c+372|0;n=c;o=c+368|0;q=c+401|0;s=c+400|0;t=c+364|0;u=c+360|0;v=c+356|0;w=c+208|0;x=c+344|0;y=c+192|0;z=c+44|0;A=c+56|0;C=c+32|0;D=c+20|0;E=c+8|0;k[m>>2]=0;k[o>>2]=0;i[q>>0]=0;i[s>>0]=0;k[t>>2]=0;k[u>>2]=0;k[v>>2]=0;YN(a,Ika(b,139814,298)|0);YN(a,Ika(b,139834,299)|0);YN(a,Ika(b,106291,328)|0);YN(a,Ika(b,106320,329)|0);YN(a,Ika(b,106352,67)|0);YN(a,Ika(b,106369,354)|0);YN(a,Ika(b,106396,355)|0);YN(a,Ika(b,106423,357)|0);YN(a,Ika(b,106450,358)|0);YN(a,Ika(b,106476,356)|0);YN(a,Ika(b,133189,359)|0);YN(a,Ika(b,106508,327)|0);YN(a,Ika(b,106527,331)|0);YN(a,Ika(b,106546,277)|0);YN(a,Ika(b,106582,330)|0);YN(a,Ika(b,139904,282)|0);YN(a,Ika(b,139879,285)|0);YN(a,Ika(b,106605,325)|0);YN(a,Ika(b,106634,326)|0);YN(a,Ika(b,139768,8)|0);YN(a,Ika(b,134866,314)|0);YN(a,Ika(b,139791,182)|0);YN(a,Ika(b,112523,183)|0);YN(a,Ika(b,135965,247)|0);YN(a,Ika(b,139859,296)|0);YN(a,Ika(b,106656,337)|0);YN(a,Ika(b,106678,335)|0);YN(a,Ika(b,129853,66)|0);YN(a,Ika(b,106701,942)|0);YN(a,Ika(b,106728,362)|0);YN(a,Ika(b,106757,364)|0);YN(a,Ika(b,132238,360)|0);YN(a,Ika(b,106786,365)|0);YN(a,Ika(b,132209,363)|0);YN(a,Ika(b,106809,366)|0);YN(a,Ika(b,106828,367)|0);YN(a,Ika(b,106859,368)|0);YN(a,Ika(b,134882,369)|0);YN(a,Ika(b,106884,370)|0);YN(a,Ika(b,106903,361)|0);YN(a,Ika(b,106926,216)|0);YN(a,Ika(b,106952,733)|0);YN(a,Ika(b,132257,99)|0);YN(a,Ika(b,127811,80)|0);YN(a,Ika(b,127754,72)|0);YN(a,Ika(b,127656,78)|0);YN(a,Ika(b,127680,75)|0);YN(a,Ika(b,127704,69)|0);if((k[b+40>>2]|0)==302)YN(a,Ika(b,106979,283)|0);YN(a,Ika(b,135117,37)|0);Fka(b,j,135117);switch(k[j>>2]|0){case 59:break;case 60:{YN(a,Ika(b,107002,41)|0);YN(a,Ika(b,107042,42)|0);YN(a,Ika(b,107079,43)|0);break}case 61:{YN(a,Ika(b,107117,44)|0);YN(a,Ika(b,107150,45)|0);YN(a,Ika(b,107187,46)|0);break}case 62:{YN(a,Ika(b,107220,47)|0);YN(a,Ika(b,107256,48)|0);YN(a,Ika(b,107281,49)|0);YN(a,Ika(b,107303,50)|0);YN(a,Ika(b,107332,51)|0);YN(a,Ika(b,107363,52)|0);YN(a,Ika(b,107397,53)|0);YN(a,Ika(b,107421,54)|0);YN(a,Ika(b,107445,55)|0);YN(a,Ika(b,107477,56)|0);YN(a,Ika(b,107514,57)|0);YN(a,Ika(b,107546,58)|0);break}default:{j=w+56|0;F=w+4|0;k[w>>2]=27524;k[j>>2]=27544;B=0;wa(508,w+56|0,F|0);G=B;B=0;if(G&1){G=Rb()|0;H=Q;I=G;vva(j);Qb(I|0)}k[w+128>>2]=0;k[w+132>>2]=-1;k[w>>2]=27468;k[j>>2]=27488;B=0;va(448,F|0);G=B;B=0;do if(G&1){J=Rb()|0;K=Q;L=J}else{k[F>>2]=27560;J=w+36|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;k[J+12>>2]=0;k[w+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,F|0,f|0);M=B;B=0;if(M&1){M=Rb()|0;N=Q;Yua(f);Yua(J);Ava(F);K=N;L=M;break}Yua(f);B=0;M=Ia(40,w|0,146460,20)|0;N=B;B=0;a:do if((((!(N&1)?(B=0,O=ya(427,0)|0,P=B,B=0,!(P&1)):0)?(P=Lta(O)|0,B=0,R=Ia(40,M|0,O|0,P|0)|0,P=B,B=0,!(P&1)):0)?(B=0,P=Ia(40,R|0,146481,18)|0,R=B,B=0,!(R&1)):0)?(B=0,Xa(239,P|0,0)|0,P=B,B=0,!(P&1)):0){P=Ab(20)|0;B=0;eb(502,x|0,107578,91);R=B;B=0;do if(!(R&1)){B=0;eb(502,y|0,107670,16);O=B;B=0;if(O&1){O=Rb()|0;S=Q;Yua(x);T=O;U=S;break}B=0;wa(510,z|0,F|0);S=B;B=0;if(S&1){S=Rb()|0;V=Q;W=S;X=1}else{B=0;ua(163,P|0,x|0,y|0,131,z|0);S=B;B=0;if(S&1)Y=1;else{B=0;eb(503,P|0,1240,229);B=0;Y=0}S=Rb()|0;O=Q;Yua(z);V=O;W=S;X=Y}Yua(y);Yua(x);if(X){T=W;U=V}else{Z=W;_=V;break a}}else{S=Rb()|0;T=S;U=Q}while(0);zb(P|0);Z=T;_=U}else $=25;while(0);if(($|0)==25){M=Rb()|0;Z=M;_=Q}k[w>>2]=27468;k[j>>2]=27488;k[F>>2]=27560;Yua(J);Ava(F);vva(j);aa=_;ba=Z;Qb(ba|0)}while(0);H=K;I=L;vva(j);Qb(I|0)}}I=Qqa(12)|0;B=0;eb(518,I|0,476,e|0);j=B;B=0;if(j&1){j=Rb()|0;L=Q;Sqa(I);aa=L;ba=j;Qb(ba|0)}YN(a,I);Gka(b,n,106369);I=Qqa(16)|0;B=0;Oa(59,I|0,767,+(+p[n>>3]));n=B;B=0;if(n&1){n=Rb()|0;j=Q;Sqa(I);aa=j;ba=n;Qb(ba|0)}YN(a,I);I=Qqa(12)|0;B=0;eb(518,I|0,766,0);n=B;B=0;if(n&1){n=Rb()|0;j=Q;Sqa(I);aa=j;ba=n;Qb(ba|0)}YN(a,I);I=Qqa(12)|0;B=0;eb(517,I|0,759,1);n=B;B=0;if(n&1){n=Rb()|0;j=Q;Sqa(I);aa=j;ba=n;Qb(ba|0)}YN(a,I);Hka(b,m,g,107687);I=Qqa(12)|0;B=0;eb(518,I|0,371,k[g>>2]|0);n=B;B=0;if(n&1){n=Rb()|0;j=Q;Sqa(I);aa=j;ba=n;Qb(ba|0)}YN(a,I);I=k[g>>2]|0;do if(!I)ca=0;else{n=Qqa(16)|0;B=0;ib(294,n|0,372,k[m>>2]|0,I|0);j=B;B=0;if(!(j&1)){YN(a,n);ca=k[g>>2]|0;break}j=Rb()|0;L=Q;Sqa(n);aa=L;ba=j;Qb(ba|0)}while(0);Nka(b,m,ca,107687);Hka(b,m,g,107718);ca=Qqa(12)|0;B=0;eb(518,ca|0,336,k[g>>2]|0);I=B;B=0;if(I&1){I=Rb()|0;j=Q;Sqa(ca);aa=j;ba=I;Qb(ba|0)}YN(a,ca);ca=k[g>>2]|0;do if(!ca)da=0;else{I=Qqa(16)|0;B=0;ib(294,I|0,338,k[m>>2]|0,ca|0);j=B;B=0;if(!(j&1)){YN(a,I);da=k[g>>2]|0;break}j=Rb()|0;L=Q;Sqa(I);aa=L;ba=j;Qb(ba|0)}while(0);Nka(b,m,da,107718);Fka(b,h,127514);if((k[h>>2]|0)==584){Hka(b,m,g,126328);h=Qqa(12)|0;B=0;eb(518,h|0,242,k[g>>2]|0);da=B;B=0;if(da&1){da=Rb()|0;ca=Q;Sqa(h);aa=ca;ba=da;Qb(ba|0)}YN(a,h);h=k[g>>2]|0;do if(!h)ea=0;else{da=Qqa(16)|0;B=0;ib(294,da|0,243,k[m>>2]|0,h|0);ca=B;B=0;if(!(ca&1)){YN(a,da);ea=k[g>>2]|0;break}ca=Rb()|0;j=Q;Sqa(da);aa=j;ba=ca;Qb(ba|0)}while(0);Nka(b,m,ea,126328)}Kka(b,q,107751);Kka(b,s,107785);ea=(i[s>>0]|i[q>>0])<<24>>24!=0;q=Qqa(12)|0;B=0;eb(517,q|0,316,ea|0);s=B;B=0;if(s&1){s=Rb()|0;m=Q;Sqa(q);aa=m;ba=s;Qb(ba|0)}YN(a,q);if(!ea){D_(a,b,e);yZ(a,d);r=c;return}Rka(b,t,u,v,o,107824);ea=k[o>>2]|0;if(!ea){q=A+56|0;s=A+4|0;k[A>>2]=27524;k[q>>2]=27544;B=0;wa(508,A+56|0,s|0);m=B;B=0;if(m&1){m=Rb()|0;fa=Q;ga=m;vva(q);Qb(ga|0)}k[A+128>>2]=0;k[A+132>>2]=-1;k[A>>2]=27468;k[q>>2]=27488;B=0;va(448,s|0);m=B;B=0;do if(m&1){g=Rb()|0;ha=Q;ia=g}else{k[s>>2]=27560;g=A+36|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;k[A+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,s|0,f|0);h=B;B=0;if(h&1){h=Rb()|0;ca=Q;Yua(f);Yua(g);Ava(s);ha=ca;ia=h;break}Yua(f);B=0;h=Ia(40,A|0,107850,71)|0;ca=B;B=0;b:do if(ca&1)$=82;else{B=0;Xa(239,h|0,0)|0;j=B;B=0;if(j&1){$=82;break}j=Ab(20)|0;B=0;eb(502,C|0,107578,91);da=B;B=0;do if(!(da&1)){B=0;eb(502,D|0,107670,16);L=B;B=0;if(L&1){L=Rb()|0;I=Q;Yua(C);ja=L;ka=I;break}B=0;wa(510,E|0,s|0);I=B;B=0;if(I&1){I=Rb()|0;la=1;ma=Q;na=I}else{B=0;ua(163,j|0,C|0,D|0,175,E|0);I=B;B=0;if(I&1)oa=1;else{B=0;eb(503,j|0,1240,229);B=0;oa=0}I=Rb()|0;L=Q;Yua(E);la=oa;ma=L;na=I}Yua(D);Yua(C);if(la){ja=na;ka=ma}else{pa=ma;qa=na;break b}}else{I=Rb()|0;ja=I;ka=Q}while(0);zb(j|0);pa=ka;qa=ja}while(0);if(($|0)==82){h=Rb()|0;pa=Q;qa=h}k[A>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(g);Ava(s);vva(q);aa=pa;ba=qa;Qb(ba|0)}while(0);fa=ha;ga=ia;vva(q);Qb(ga|0)}if((ea|0)>0){ga=b+32|0;q=0;do{ia=(k[t>>2]|0)+(q<<2)|0;ha=k[ia>>2]|0;fa=k[(k[u>>2]|0)+(q<<2)>>2]|0;qa=(fa|0)>0;if(qa){pa=ha;s=k[ga>>2]|0;A=0;$=0;while(1){ja=(l[s+(~~+p[pa+(A*5<<3)+32>>3]+-1)>>0]|0)+$|0;A=A+1|0;if((A|0)==(fa|0)){ra=ja;break}else $=ja}if(ra){$=ra*5|0;A=Rqa($>>>0>536870911?-1:$<<3)|0;WEa(A|0,0,ra*40|0)|0;if(qa){$=ha;pa=k[ga>>2]|0;s=0;g=0;while(1){ja=$+(g*5<<3)|0;ka=ja+32|0;if(!(i[pa+(~~+p[ka>>3]+-1)>>0]|0))sa=s;else{na=A+(s*5<<3)|0;p[na>>3]=+p[ja>>3];p[na+8>>3]=+p[ja+8>>3];p[na+16>>3]=+p[ja+16>>3];p[na+24>>3]=+p[ja+24>>3];p[na+32>>3]=+p[ka>>3];sa=s+1|0}g=g+1|0;if((g|0)==(fa|0)){ta=ra;xa=A;break}else s=sa}}else{ta=ra;xa=A}}else{ta=0;xa=0}}else{ta=0;xa=0}k[ia>>2]=xa;k[(k[u>>2]|0)+(q<<2)>>2]=ta;k[(k[v>>2]|0)+(q<<2)>>2]=5;if(ha)Tqa(ha);q=q+1|0;s=k[o>>2]|0}while((q|0)<(s|0));za=s}else za=ea;ea=Qqa(24)|0;B=0;La(31,ea|0,315,k[t>>2]|0,za|0,k[u>>2]|0,k[v>>2]|0);za=B;B=0;if(za&1){za=Rb()|0;q=Q;Sqa(ea);aa=q;ba=za;Qb(ba|0)}YN(a,ea);ea=k[o>>2]|0;if((ea|0)>0){ba=ea;ea=0;while(1){za=k[(k[t>>2]|0)+(ea<<2)>>2]|0;if(!za)Aa=ba;else{Tqa(za);Aa=k[o>>2]|0}ea=ea+1|0;if((ea|0)>=(Aa|0))break;else ba=Aa}}Aa=k[u>>2]|0;if(Aa)Tqa(Aa);k[u>>2]=0;u=k[v>>2]|0;if(u)Tqa(u);k[v>>2]=0;v=k[t>>2]|0;if(v)Tqa(v);k[t>>2]=0;D_(a,b,e);yZ(a,d);r=c;return}function xZ(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0;f=r;r=r+1008|0;g=f+112|0;h=f+88|0;j=f+72|0;l=f+48|0;m=f+16|0;n=f+8|0;o=f;p=f+992|0;q=f+976|0;s=f+1005|0;t=f+816|0;u=f+980|0;v=f+964|0;w=f+952|0;x=f+680|0;y=f+668|0;z=f+656|0;A=f+504|0;C=f+520|0;D=f+220|0;E=f+208|0;F=f+196|0;G=f+368|0;H=f+184|0;I=f+172|0;J=f+160|0;K=f+232|0;L=f+148|0;M=f+136|0;N=f+124|0;zka(d,s,139791);zka(d,f+1004|0,134866);Fka(d,q,127514);if(i[s>>0]|0){k[o>>2]=113372;k[o+4>>2]=113400;Ska(d,2,o)}a:do switch(k[d+48>>2]|0){case 621:{o=d+56|0;s=k[o>>2]|0;if((s|0)>0){O=d+32|0;P=s;s=0;while(1){if(!(i[(k[O>>2]|0)+s>>0]|0)){R=s+1|0;S=P}else{T=Qqa(72)|0;U=s+1|0;B=0;La(32,T|0,U|0,s|0,s|0,d|0,e|0);V=B;B=0;if(V&1){W=T;break}ih(a,T)|0;R=U;S=k[o>>2]|0}if((R|0)<(S|0)){P=S;s=R}else break a}s=Rb()|0;P=Q;Sqa(W);X=P;Y=s;Qb(Y|0)}break}case 623:{s=d+56|0;P=k[s>>2]|0;if((P|0)>0){o=d+32|0;O=P;P=0;while(1){if(!(i[(k[o>>2]|0)+P>>0]|0)){Z=P+1|0;_=O}else{U=Qqa(72)|0;T=P+1|0;B=0;La(33,U|0,T|0,P|0,P|0,d|0,e|0);V=B;B=0;if(V&1){$=U;break}ih(a,U)|0;Z=T;_=k[s>>2]|0}if((Z|0)<(_|0)){O=_;P=Z}else break a}P=Rb()|0;O=Q;Sqa($);X=O;Y=P;Qb(Y|0)}break}case 625:{k[n>>2]=107922;k[n+4>>2]=107944;Ska(d,2,n);P=d+56|0;O=k[P>>2]|0;if((O|0)>0){s=d+32|0;o=O;O=0;while(1){if(!(i[(k[s>>2]|0)+O>>0]|0)){aa=O+1|0;ba=o}else{T=Qqa(76)|0;U=O+1|0;B=0;La(34,T|0,U|0,O|0,O|0,d|0,e|0);V=B;B=0;if(V&1){ca=T;break}ih(a,T)|0;aa=U;ba=k[P>>2]|0}if((aa|0)<(ba|0)){o=ba;O=aa}else break a}O=Rb()|0;o=Q;Sqa(ca);X=o;Y=O;Qb(Y|0)}break}default:{O=t+56|0;o=t+4|0;k[t>>2]=27524;k[O>>2]=27544;B=0;wa(508,t+56|0,o|0);P=B;B=0;if(P&1){P=Rb()|0;da=Q;ea=P;vva(O);Qb(ea|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[O>>2]=27488;B=0;va(448,o|0);P=B;B=0;do if(P&1){s=Rb()|0;fa=Q;ga=s}else{k[o>>2]=27560;s=t+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[t+52>>2]=16;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;B=0;wa(509,o|0,p|0);U=B;B=0;if(U&1){U=Rb()|0;T=Q;Yua(p);Yua(s);Ava(o);fa=T;ga=U;break}Yua(p);B=0;U=Ia(40,t|0,107966,22)|0;T=B;B=0;b:do if(!(T&1)?(B=0,Xa(239,U|0,0)|0,V=B,B=0,!(V&1)):0){V=Ab(20)|0;B=0;eb(502,u|0,107989,109);ha=B;B=0;do if(!(ha&1)){B=0;eb(502,v|0,108099,34);ia=B;B=0;if(ia&1){ia=Rb()|0;ja=Q;Yua(u);ka=ja;la=ia;break}B=0;wa(510,w|0,o|0);ia=B;B=0;if(ia&1){ia=Rb()|0;ma=Q;na=ia;oa=1}else{B=0;ua(163,V|0,u|0,v|0,46,w|0);ia=B;B=0;if(ia&1)pa=1;else{B=0;eb(503,V|0,1240,229);B=0;pa=0}ia=Rb()|0;ja=Q;Yua(w);ma=ja;na=ia;oa=pa}Yua(v);Yua(u);if(oa){ka=ma;la=na}else{qa=ma;ra=na;break b}}else{ia=Rb()|0;ka=Q;la=ia}while(0);zb(V|0);qa=ka;ra=la}else sa=43;while(0);if((sa|0)==43){U=Rb()|0;qa=Q;ra=U}k[t>>2]=27468;k[O>>2]=27488;k[o>>2]=27560;Yua(s);Ava(o);vva(O);X=qa;Y=ra;Qb(Y|0)}while(0);da=fa;ea=ga;vva(O);Qb(ea|0)}}while(0);c:do switch(k[q>>2]|0){case 583:{Zka(d,a,134991,214);Zka(d,a,135015,217);ea=d+56|0;ga=k[ea>>2]|0;d:do if((ga|0)>0){fa=d+32|0;da=ga;ra=0;while(1){if(!(i[(k[fa>>2]|0)+ra>>0]|0)){ta=ra+1|0;xa=da}else{qa=Qqa(24)|0;t=ra+1|0;B=0;ib(295,qa|0,t|0,ra|0,d|0);la=B;B=0;if(la&1){za=qa;break}ih(c,qa)|0;ta=t;xa=k[ea>>2]|0}if((ta|0)<(xa|0)){da=xa;ra=ta}else break d}ra=Rb()|0;da=Q;Sqa(za);X=da;Y=ra;Qb(Y|0)}while(0);switch(k[d+44>>2]|0){case 3:{Aa=ea;break c;break}case 2:{Rq(a,214,215);Aa=ea;break c;break}default:{}}ga=x+56|0;O=x+4|0;k[x>>2]=27524;k[ga>>2]=27544;B=0;wa(508,x+56|0,O|0);ra=B;B=0;if(ra&1){ra=Rb()|0;Ba=Q;Ca=ra;vva(ga);Qb(Ca|0)}k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[ga>>2]=27488;B=0;va(448,O|0);ra=B;B=0;do if(ra&1){da=Rb()|0;Da=Q;Ea=da}else{k[O>>2]=27560;da=x+36|0;k[da>>2]=0;k[da+4>>2]=0;k[da+8>>2]=0;k[da+12>>2]=0;k[x+52>>2]=16;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;B=0;wa(509,O|0,p|0);fa=B;B=0;if(fa&1){fa=Rb()|0;s=Q;Yua(p);Yua(da);Ava(O);Da=s;Ea=fa;break}Yua(p);B=0;fa=Ia(40,x|0,107966,22)|0;s=B;B=0;e:do if(!(s&1)?(B=0,Xa(239,fa|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,y|0,107989,109);qa=B;B=0;do if(!(qa&1)){B=0;eb(502,z|0,108099,34);la=B;B=0;if(la&1){la=Rb()|0;ka=Q;Yua(y);Fa=ka;Ga=la;break}B=0;wa(510,A|0,O|0);la=B;B=0;if(la&1){la=Rb()|0;Ha=1;Ja=Q;Ka=la}else{B=0;ua(163,t|0,y|0,z|0,62,A|0);la=B;B=0;if(la&1)Ma=1;else{B=0;eb(503,t|0,1240,229);B=0;Ma=0}la=Rb()|0;ka=Q;Yua(A);Ha=Ma;Ja=ka;Ka=la}Yua(z);Yua(y);if(Ha){Fa=Ja;Ga=Ka}else{Na=Ja;Oa=Ka;break e}}else{la=Rb()|0;Fa=Q;Ga=la}while(0);zb(t|0);Na=Fa;Oa=Ga}else sa=77;while(0);if((sa|0)==77){fa=Rb()|0;Na=Q;Oa=fa}k[x>>2]=27468;k[ga>>2]=27488;k[O>>2]=27560;Yua(da);Ava(O);vva(ga);X=Na;Y=Oa;Qb(Y|0)}while(0);Ba=Da;Ca=Ea;vva(ga);Qb(Ca|0);break}case 584:{Zka(d,a,134991,214);Zka(d,a,135015,217);Zka(d,a,126277,225);O=d+56|0;ra=k[O>>2]|0;f:do if((ra|0)>0){ea=d+32|0;fa=ra;s=0;while(1){if(!(i[(k[ea>>2]|0)+s>>0]|0)){Pa=s+1|0;Qa=fa}else{qa=Qqa(24)|0;V=s+1|0;B=0;ib(295,qa|0,V|0,s|0,d|0);la=B;B=0;if(la&1){Ra=qa;break}ih(c,qa)|0;Pa=V;Qa=k[O>>2]|0}if((Pa|0)<(Qa|0)){fa=Qa;s=Pa}else break f}s=Rb()|0;fa=Q;Sqa(Ra);X=fa;Y=s;Qb(Y|0)}while(0);switch(k[d+44>>2]|0){case 3:{Aa=O;break c;break}case 2:{Rq(a,214,215);Rq(a,225,227);Aa=O;break c;break}default:{}}ra=C+56|0;ga=C+4|0;k[C>>2]=27524;k[ra>>2]=27544;B=0;wa(508,C+56|0,ga|0);s=B;B=0;if(s&1){s=Rb()|0;Sa=Q;Ta=s;vva(ra);Qb(Ta|0)}k[C+128>>2]=0;k[C+132>>2]=-1;k[C>>2]=27468;k[ra>>2]=27488;B=0;va(448,ga|0);s=B;B=0;do if(s&1){fa=Rb()|0;Ua=Q;Va=fa}else{k[ga>>2]=27560;fa=C+36|0;k[fa>>2]=0;k[fa+4>>2]=0;k[fa+8>>2]=0;k[fa+12>>2]=0;k[C+52>>2]=16;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;B=0;wa(509,ga|0,p|0);ea=B;B=0;if(ea&1){ea=Rb()|0;da=Q;Yua(p);Yua(fa);Ava(ga);Ua=da;Va=ea;break}Yua(p);B=0;ea=Ia(40,C|0,107966,22)|0;da=B;B=0;g:do if(!(da&1)?(B=0,Xa(239,ea|0,0)|0,V=B,B=0,!(V&1)):0){V=Ab(20)|0;B=0;eb(502,D|0,107989,109);qa=B;B=0;do if(!(qa&1)){B=0;eb(502,E|0,108099,34);la=B;B=0;if(la&1){la=Rb()|0;ka=Q;Yua(D);Wa=ka;Ya=la;break}B=0;wa(510,F|0,ga|0);la=B;B=0;if(la&1){la=Rb()|0;Za=1;_a=Q;$a=la}else{B=0;ua(163,V|0,D|0,E|0,78,F|0);la=B;B=0;if(la&1)ab=1;else{B=0;eb(503,V|0,1240,229);B=0;ab=0}la=Rb()|0;ka=Q;Yua(F);Za=ab;_a=ka;$a=la}Yua(E);Yua(D);if(Za){Wa=_a;Ya=$a}else{bb=_a;cb=$a;break g}}else{la=Rb()|0;Wa=Q;Ya=la}while(0);zb(V|0);bb=Wa;cb=Ya}else sa=110;while(0);if((sa|0)==110){ea=Rb()|0;bb=Q;cb=ea}k[C>>2]=27468;k[ra>>2]=27488;k[ga>>2]=27560;Yua(fa);Ava(ga);vva(ra);X=bb;Y=cb;Qb(Y|0)}while(0);Sa=Ua;Ta=Va;vva(ra);Qb(Ta|0);break}case 585:{Zka(d,a,108134,218);Zka(d,a,108159,220);Zka(d,a,108184,222);ga=d+56|0;s=k[ga>>2]|0;h:do if((s|0)>0){O=d+32|0;ea=s;da=0;while(1){if(!(i[(k[O>>2]|0)+da>>0]|0)){db=da+1|0;fb=ea}else{qa=Qqa(20)|0;t=da+1|0;B=0;ib(296,qa|0,t|0,da|0,d|0);la=B;B=0;if(la&1){gb=qa;break}ih(c,qa)|0;db=t;fb=k[ga>>2]|0}if((db|0)<(fb|0)){ea=fb;da=db}else break h}da=Rb()|0;ea=Q;Sqa(gb);X=ea;Y=da;Qb(Y|0)}while(0);switch(k[d+44>>2]|0){case 3:{Aa=ga;break c;break}case 2:{Rq(a,218,219);Rq(a,220,221);Rq(a,222,223);Aa=ga;break c;break}default:{}}s=G+56|0;ra=G+4|0;k[G>>2]=27524;k[s>>2]=27544;B=0;wa(508,G+56|0,ra|0);da=B;B=0;if(da&1){da=Rb()|0;hb=Q;jb=da;vva(s);Qb(jb|0)}k[G+128>>2]=0;k[G+132>>2]=-1;k[G>>2]=27468;k[s>>2]=27488;B=0;va(448,ra|0);da=B;B=0;do if(da&1){ea=Rb()|0;kb=Q;lb=ea}else{k[ra>>2]=27560;ea=G+36|0;k[ea>>2]=0;k[ea+4>>2]=0;k[ea+8>>2]=0;k[ea+12>>2]=0;k[G+52>>2]=16;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;B=0;wa(509,ra|0,p|0);O=B;B=0;if(O&1){O=Rb()|0;fa=Q;Yua(p);Yua(ea);Ava(ra);kb=fa;lb=O;break}Yua(p);B=0;O=Ia(40,G|0,107966,22)|0;fa=B;B=0;i:do if(!(fa&1)?(B=0,Xa(239,O|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,H|0,107989,109);qa=B;B=0;do if(!(qa&1)){B=0;eb(502,I|0,108099,34);la=B;B=0;if(la&1){la=Rb()|0;ka=Q;Yua(H);mb=ka;nb=la;break}B=0;wa(510,J|0,ra|0);la=B;B=0;if(la&1){la=Rb()|0;ob=1;pb=Q;qb=la}else{B=0;ua(163,t|0,H|0,I|0,95,J|0);la=B;B=0;if(la&1)rb=1;else{B=0;eb(503,t|0,1240,229);B=0;rb=0}la=Rb()|0;ka=Q;Yua(J);ob=rb;pb=ka;qb=la}Yua(I);Yua(H);if(ob){mb=pb;nb=qb}else{sb=pb;tb=qb;break i}}else{la=Rb()|0;mb=Q;nb=la}while(0);zb(t|0);sb=mb;tb=nb}else sa=143;while(0);if((sa|0)==143){O=Rb()|0;sb=Q;tb=O}k[G>>2]=27468;k[s>>2]=27488;k[ra>>2]=27560;Yua(ea);Ava(ra);vva(s);X=sb;Y=tb;Qb(Y|0)}while(0);hb=kb;jb=lb;vva(s);Qb(jb|0);break}default:{ra=K+56|0;da=K+4|0;k[K>>2]=27524;k[ra>>2]=27544;B=0;wa(508,K+56|0,da|0);ga=B;B=0;if(ga&1){ga=Rb()|0;ub=Q;vb=ga;vva(ra);Qb(vb|0)}k[K+128>>2]=0;k[K+132>>2]=-1;k[K>>2]=27468;k[ra>>2]=27488;B=0;va(448,da|0);ga=B;B=0;do if(ga&1){O=Rb()|0;wb=Q;xb=O}else{k[da>>2]=27560;O=K+36|0;k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;k[O+12>>2]=0;k[K+52>>2]=16;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;B=0;wa(509,da|0,p|0);fa=B;B=0;if(fa&1){fa=Rb()|0;qa=Q;Yua(p);Yua(O);Ava(da);wb=qa;xb=fa;break}Yua(p);B=0;fa=Ia(40,K|0,108209,10)|0;qa=B;B=0;j:do if((((!(qa&1)?(B=0,V=ya(427,k[q>>2]|0)|0,la=B,B=0,!(la&1)):0)?(la=Lta(V)|0,B=0,ka=Ia(40,fa|0,V|0,la|0)|0,la=B,B=0,!(la&1)):0)?(B=0,la=Ia(40,ka|0,144645,14)|0,ka=B,B=0,!(ka&1)):0)?(B=0,Xa(239,la|0,0)|0,la=B,B=0,!(la&1)):0){la=Ab(20)|0;B=0;eb(502,L|0,107989,109);ka=B;B=0;do if(!(ka&1)){B=0;eb(502,M|0,108099,34);V=B;B=0;if(V&1){V=Rb()|0;na=Q;Yua(L);yb=na;Bb=V;break}B=0;wa(510,N|0,da|0);V=B;B=0;if(V&1){V=Rb()|0;Cb=1;Db=Q;Eb=V}else{B=0;ua(163,la|0,L|0,M|0,99,N|0);V=B;B=0;if(V&1)Fb=1;else{B=0;eb(503,la|0,1240,229);B=0;Fb=0}V=Rb()|0;na=Q;Yua(N);Cb=Fb;Db=na;Eb=V}Yua(M);Yua(L);if(Cb){yb=Db;Bb=Eb}else{Gb=Db;Hb=Eb;break j}}else{V=Rb()|0;yb=Q;Bb=V}while(0);zb(la|0);Gb=yb;Hb=Bb}else sa=169;while(0);if((sa|0)==169){fa=Rb()|0;Gb=Q;Hb=fa}k[K>>2]=27468;k[ra>>2]=27488;k[da>>2]=27560;Yua(O);Ava(da);vva(ra);X=Gb;Y=Hb;Qb(Y|0)}while(0);ub=wb;vb=xb;vva(ra);Qb(vb|0)}}while(0);k[m>>2]=107922;k[m+4>>2]=107944;k[m+8>>2]=108220;k[m+12>>2]=108243;k[m+16>>2]=126277;k[m+20>>2]=113372;k[m+24>>2]=113400;Lka(d,7,m);m=Qqa(376)|0;B=0;eb(520,m|0,(k[Aa>>2]|0)+1|0,d|0);Aa=B;B=0;if(Aa&1){Aa=Rb()|0;vb=Q;Sqa(m);X=vb;Y=Aa;Qb(Y|0)}ih(c,m)|0;k[l>>2]=108266;k[l+4>>2]=108276;k[l+8>>2]=127183;k[l+12>>2]=134945;k[l+16>>2]=137052;k[l+20>>2]=137867;Ska(d,6,l);l=d+40|0;if((k[l>>2]|0)==303){k[j>>2]=108286;k[j+4>>2]=108298;k[j+8>>2]=108311;Ska(d,3,j)}goa(d);j=d+52|0;m=k[j>>2]|0;k:do if((m|0)>0){c=d+36|0;Aa=m;vb=0;while(1){if(!(k[(k[c>>2]|0)+(vb<<2)>>2]|0)){Ib=vb+1|0;Jb=Aa}else{xb=Qqa(88)|0;wb=vb+1|0;B=0;ua(170,xb|0,wb|0,vb|0,vb|0,d|0);ub=B;B=0;if(ub&1){Kb=xb;break}ih(b,xb)|0;Ib=wb;Jb=k[j>>2]|0}if((Ib|0)<(Jb|0)){Aa=Jb;vb=Ib}else break k}vb=Rb()|0;Aa=Q;Sqa(Kb);X=Aa;Y=vb;Qb(Y|0)}while(0);k[h>>2]=108266;k[h+4>>2]=108276;k[h+8>>2]=127183;k[h+12>>2]=134945;k[h+16>>2]=137052;k[h+20>>2]=137867;Lka(d,6,h);if((k[l>>2]|0)!=303){r=f;return}k[g>>2]=108286;k[g+4>>2]=108298;k[g+8>>2]=108311;Lka(d,3,g);r=f;return}function yZ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;c=r;r=r+1200|0;d=c+184|0;e=c+200|0;f=c+180|0;g=c+176|0;h=c+40|0;j=c+24|0;l=c+12|0;m=c;n=vY()|0;o=(n|0)==0;a:do if(o){k[f>>2]=0;if(Wsa(e,1e3,b)|0)do if((i[e>>0]|0)==43)k[f>>2]=(k[f>>2]|0)+1;while((Wsa(e,1e3,b)|0)!=0);q=k[f>>2]|0;s=Rqa(q>>>0>536870911?-1:q<<3)|0;t=Rqa(q>>>0>1073741823?-1:q<<2)|0;if((q|0)>0)WEa(t|0,0,((q|0)>1?q:1)<<2|0)|0;dta(b,0,0)|0;k[f>>2]=0;if(!(Wsa(e,1e3,b)|0)){u=s;v=t}else{q=e+1|0;while(1){b:do switch(i[e>>0]|0){case 13:case 9:case 32:case 10:case 37:break;default:{w=e+((Lta(e)|0)+-1)|0;i[w>>0]=0;if((i[e>>0]|0)==43){x=+(zY(q,1)|0);w=k[f>>2]|0;p[s+(w<<3)>>3]=x;k[f>>2]=w+1;break b}w=t+((k[f>>2]|0)+-1<<2)|0;y=k[w>>2]|0;z=Rqa((Lta(e)|0)+1|0)|0;if(!y){A=(Lta(e)|0)+1|0;if(A)TEa(z|0,e|0,A|0)|0;k[w>>2]=z;break b}w=(Lta(e)|0)+1|0;if(w)TEa(z|0,e|0,w|0)|0;w=Rqa((Lta(y)|0)+3+(Lta(z)|0)|0)|0;A=(Lta(y)|0)+1|0;if(A){C=0;do{i[w+C>>0]=i[y+C>>0]|0;C=C+1|0}while((C|0)!=(A|0))}A=w+(Lta(w)|0)|0;i[A>>0]=32;i[A+1>>0]=0;Fta(w,z)|0;k[t+((k[f>>2]|0)+-1<<2)>>2]=w;Tqa(z);Tqa(y)}}while(0);if(!(Wsa(e,1e3,b)|0)){u=s;v=t;break a}}}}else{u=0;v=0}while(0);uY()|0;b=k[f>>2]|0;if(!n){D=u;E=v}else{v=Rqa(b>>>0>536870911?-1:b<<3)|0;D=v;E=Rqa(b>>>0>1073741823?-1:b<<2)|0}uY()|0;b=k[f>>2]|0;c:do if((b|0)>0){if(o)F=0;else{v=0;while(1){uY()|0;u=Rqa(k[g>>2]|0)|0;uY()|0;k[E+(v<<2)>>2]=u;v=v+1|0;u=k[f>>2]|0;if((v|0)>=(u|0)){G=u;break c}}}while(1){v=k[E+(F<<2)>>2]|0;if(!v){H=F;break}u=(Lta(v)|0)+1|0;k[g>>2]=u;uY()|0;uY()|0;F=F+1|0;u=k[f>>2]|0;if((F|0)>=(u|0)){G=u;break c}}u=h+56|0;v=h+4|0;k[h>>2]=27524;k[u>>2]=27544;B=0;wa(508,h+56|0,v|0);n=B;B=0;if(n&1){n=Rb()|0;I=Q;J=n;vva(u);Qb(J|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[u>>2]=27488;B=0;va(448,v|0);n=B;B=0;do if(n&1){e=Rb()|0;K=Q;L=e}else{k[v>>2]=27560;e=h+36|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;k[h+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,v|0,d|0);t=B;B=0;if(t&1){t=Rb()|0;s=Q;Yua(d);Yua(e);Ava(v);K=s;L=t;break}Yua(d);B=0;t=Ia(40,h|0,108321,27)|0;s=B;B=0;d:do if((((!(s&1)?(B=0,q=ya(427,~~+p[D+(H<<3)>>3]|0)|0,A=B,B=0,!(A&1)):0)?(A=Lta(q)|0,B=0,C=Ia(40,t|0,q|0,A|0)|0,A=B,B=0,!(A&1)):0)?(B=0,A=Ia(40,C|0,108349,38)|0,C=B,B=0,!(C&1)):0)?(B=0,Xa(239,A|0,0)|0,A=B,B=0,!(A&1)):0){A=Ab(20)|0;B=0;eb(502,j|0,108388,102);C=B;B=0;do if(!(C&1)){B=0;eb(502,l|0,108491,21);q=B;B=0;if(q&1){q=Rb()|0;M=Q;Yua(j);N=M;O=q;break}B=0;wa(510,m|0,v|0);q=B;B=0;if(q&1){q=Rb()|0;P=Q;R=q;S=1}else{B=0;ua(163,A|0,j|0,l|0,106,m|0);q=B;B=0;if(q&1)T=1;else{B=0;eb(503,A|0,1240,229);B=0;T=0}q=Rb()|0;M=Q;Yua(m);P=M;R=q;S=T}Yua(l);Yua(j);if(S){N=P;O=R}else{U=P;V=R;break d}}else{q=Rb()|0;N=Q;O=q}while(0);zb(A|0);U=N;V=O}else W=48;while(0);if((W|0)==48){t=Rb()|0;U=Q;V=t}k[h>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(e);Ava(v);vva(u);X=U;Y=V;Qb(Y|0)}while(0);I=K;J=L;vva(u);Qb(J|0)}else G=b;while(0);b=Qqa(16)|0;B=0;ib(294,b|0,959,E|0,G|0);G=B;B=0;if(G&1){G=Rb()|0;J=Q;Sqa(b);X=J;Y=G;Qb(Y|0)}YN(a,b);b=Qqa(16)|0;B=0;ib(297,b|0,958,D|0,k[f>>2]|0);G=B;B=0;if(G&1){G=Rb()|0;J=Q;Sqa(b);X=J;Y=G;Qb(Y|0)}YN(a,b);b=k[f>>2]|0;if((b|0)<=0){if(E)W=65}else{a=b;b=0;while(1){Y=E+(b<<2)|0;G=k[Y>>2]|0;if(!G)Z=a;else{Tqa(G);Z=k[f>>2]|0}k[Y>>2]=0;b=b+1|0;if((b|0)>=(Z|0)){W=65;break}else a=Z}}if((W|0)==65)Tqa(E);if(!D){r=c;return}Tqa(D);r=c;return}function zZ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;b=r;r=r+176|0;d=b+152|0;e=b+16|0;f=b;if(!(bn(a,c)|0)){r=b;return}if(!(hn(a,c)|0)){r=b;return}a:do if(BY()|0){g=e+56|0;h=e+4|0;k[e>>2]=27524;k[g>>2]=27544;B=0;wa(508,e+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(g);Qb(l|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[g>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=e+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;Ia(40,e|0,108513,34)|0;p=B;B=0;if(!(p&1)?(B=0,wa(510,f|0,h|0),p=B,B=0,!(p&1)):0){B=0;ya(425,f|0)|0;p=B;B=0;if(!(p&1)){Yua(f);k[e>>2]=27468;k[g>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(g);break a}p=Rb()|0;q=Q;Yua(f);s=q;t=p;k[e>>2]=27468;k[g>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(g);Qb(t|0)}p=Rb()|0;s=Q;t=p;k[e>>2]=27468;k[g>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(g);Qb(t|0)}while(0);j=n;l=o;vva(g);Qb(l|0)}while(0);cn(a,c);$m(a,c,943);$m(a,c,937);$m(a,c,966);r=b;return}function AZ(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0;g=r;r=r+224|0;f=g+204|0;e=g;d=g+200|0;i=g+196|0;j=g+192|0;l=g+188|0;m=g+184|0;n=g+48|0;o=g+32|0;q=g+20|0;s=g+8|0;cO(h,d,944);k[l>>2]=-1;k[i>>2]=0;a:do if((th(c)|0)>0){h=0;while(1){t=qh(c,h)|0;u=ld[k[(k[t>>2]|0)+376>>2]&127](t,e,k[d>>2]|0,b)|0;k[i>>2]=u;h=h+1|0;if(u)break;if((h|0)>=(th(c)|0))break a}h=vY()|0;k[l>>2]=h}while(0);fZ(i,j,1,4,4,uY()|0)|0;if(k[j>>2]|0){fZ(l,m,1,4,1,uY()|0)|0;uY()|0;p[a>>3]=+p[e>>3];r=g;return}g=n+56|0;e=n+4|0;k[n>>2]=27524;k[g>>2]=27544;B=0;wa(508,n+56|0,e|0);a=B;B=0;if(a&1){a=Rb()|0;v=Q;w=a;vva(g);Qb(w|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[g>>2]=27488;B=0;va(448,e|0);a=B;B=0;do if(a&1){m=Rb()|0;x=Q;y=m}else{k[e>>2]=27560;m=n+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[n+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,e|0,f|0);l=B;B=0;if(l&1){l=Rb()|0;j=Q;Yua(f);Yua(m);Ava(e);x=j;y=l;break}Yua(f);B=0;l=Ia(40,n|0,108548,43)|0;j=B;B=0;if(((((!(j&1)?(B=0,j=Xa(242,l|0,k[d>>2]|0)|0,l=B,B=0,!(l&1)):0)?(B=0,l=Ia(40,j|0,108592,24)|0,j=B,B=0,!(j&1)):0)?(B=0,j=ya(427,b|0)|0,i=B,B=0,!(i&1)):0)?(i=Lta(j)|0,B=0,c=Ia(40,l|0,j|0,i|0)|0,i=B,B=0,!(i&1)):0)?(B=0,Xa(239,c|0,0)|0,c=B,B=0,!(c&1)):0){c=Ab(20)|0;B=0;eb(502,o|0,108617,82);i=B;B=0;do if(!(i&1)){B=0;eb(502,q|0,108700,11);j=B;B=0;if(j&1){j=Rb()|0;l=Q;Yua(o);z=l;A=j;break}B=0;wa(510,s|0,e|0);j=B;B=0;if(j&1){j=Rb()|0;C=Q;D=j;E=1}else{B=0;ua(163,c|0,o|0,q|0,35,s|0);j=B;B=0;if(j&1)F=1;else{B=0;eb(503,c|0,1240,229);B=0;F=0}j=Rb()|0;l=Q;Yua(s);C=l;D=j;E=F}Yua(q);Yua(o);if(E){z=C;A=D}else{G=C;H=D;k[n>>2]=27468;k[g>>2]=27488;k[e>>2]=27560;Yua(m);Ava(e);vva(g);Qb(H|0)}}else{j=Rb()|0;z=Q;A=j}while(0);zb(c|0);G=z;H=A;k[n>>2]=27468;k[g>>2]=27488;k[e>>2]=27560;Yua(m);Ava(e);vva(g);Qb(H|0)}i=Rb()|0;G=Q;H=i;k[n>>2]=27468;k[g>>2]=27488;k[e>>2]=27560;Yua(m);Ava(e);vva(g);Qb(H|0)}while(0);v=x;w=y;vva(g);Qb(w|0)}function BZ(a,b){a=a|0;b=b|0;b=nn(a)|0;mn(a,b);ln(a,b);return}function CZ(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0;b=r;r=r+128|0;c=b;d=b+20|0;e=b+16|0;f=b+28|0;g=b+25|0;h=b+12|0;j=b+8|0;l=b+24|0;k[d>>2]=0;k[e>>2]=0;k[j>>2]=0;i[l>>0]=0;m=a+44|0;bO(k[m>>2]|0,l,314);n=vY()|0;if(i[l>>0]|0){r=b;return}l=(n|0)==0;if(l){cO(k[m>>2]|0,h,476);yY(j,k[h>>2]|0);h=k[a+48>>2]|0;o=Qqa(40)|0;B=0;q=ya(428,h|0)|0;s=B;B=0;if(s&1){t=Rb()|0;u=Q;Sqa(o);Qb(t|0)}s=k[j>>2]|0;k[o>>2]=36536;k[o+4>>2]=q+1;q=(Lta(s)|0)+1|0;B=0;v=ya(422,q|0)|0;q=B;B=0;if(q&1){t=Rb()|0;u=Q;Sqa(o);Qb(t|0)}k[o+12>>2]=v;q=(Lta(s)|0)+1|0;if(!s){B=0;ib(283,142353,108712,137,142345);B=0;t=Rb()|0;u=Q;Sqa(o);Qb(t|0)}if(q)TEa(v|0,s|0,q|0)|0;k[o+24>>2]=-9999;p[o+32>>3]=-9999.0;B=0;wa(512,o+8|0,476);q=B;B=0;if(q&1){t=Rb()|0;u=Q;Sqa(o);Qb(t|0)}Oo(h,o)|0;o=k[j>>2]|0;if(o)Tqa(o);k[j>>2]=0}if(!(aO(k[m>>2]|0,951)|0)){fO(k[m>>2]|0,e,954);bO(k[m>>2]|0,g,326);if(i[g>>0]|0){if(l){l=nY(k[e>>2]|0,108824)|0;k[d>>2]=l}}else{lO(k[m>>2]|0,d,951);k[c>>2]=k[e>>2];k[c+4>>2]=n;qta(f,108827,c)|0;c=oY(f,108824,1)|0;k[d>>2]=c}c=k[e>>2]|0;if(c)Tqa(c);k[e>>2]=0;rO(k[m>>2]|0,k[d>>2]|0,951)}d=a+48|0;No(k[d>>2]|0,k[m>>2]|0);kh(k[d>>2]|0);r=b;return}function DZ(a){a=a|0;var b=0,c=0;k[a>>2]=36536;b=a+8|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+12|0;a=k[b>>2]|0;if(!a){k[b>>2]=0;return}Tqa(a);k[b>>2]=0;return}function EZ(a){a=a|0;var b=0,c=0;k[a>>2]=36536;b=a+8|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=k[a+12>>2]|0;if(!b){Sqa(a);return}Tqa(b);Sqa(a);return}function FZ(a){a=a|0;Ec[k[(k[a>>2]|0)+12>>2]&1023](a);return}function GZ(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;b=r;r=r+320|0;c=b+300|0;d=b+152|0;e=b+288|0;f=b+16|0;g=b;h=d+56|0;i=d+4|0;k[d>>2]=27524;k[h>>2]=27544;B=0;wa(508,d+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(h);Qb(m|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[h>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=d+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,i|0,c|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(c);Yua(n);Ava(i);o=s;p=q;break}Yua(c);B=0;Ia(40,d|0,109006,30)|0;q=B;B=0;do if(!(q&1)?(B=0,wa(510,e|0,i|0),s=B,B=0,!(s&1)):0){B=0;ya(424,e|0)|0;s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(e);u=t;v=s;break}Yua(e);k[d>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);QZ(a);s=f+56|0;t=f+4|0;k[f>>2]=27524;k[s>>2]=27544;B=0;wa(508,f+56|0,t|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;y=w;vva(s);Qb(y|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[s>>2]=27488;B=0;va(448,t|0);w=B;B=0;do if(w&1){z=Rb()|0;A=Q;C=z}else{k[t>>2]=27560;z=f+36|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;k[z+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,t|0,c|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(c);Yua(z);Ava(t);A=E;C=D;break}Yua(c);B=0;D=Ia(40,f|0,109037,10)|0;E=B;B=0;do if(((!(E&1)?(F=k[a+12>>2]|0,G=Lta(F)|0,B=0,H=Ia(40,D|0,F|0,G|0)|0,G=B,B=0,!(G&1)):0)?(B=0,Ia(40,H|0,149177,1)|0,H=B,B=0,!(H&1)):0)?(B=0,wa(510,g|0,t|0),H=B,B=0,!(H&1)):0){B=0;ya(424,g|0)|0;H=B;B=0;if(H&1){H=Rb()|0;G=Q;Yua(g);I=G;J=H;break}else{Yua(g);k[f>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(z);Ava(t);vva(s);r=b;return}}else K=29;while(0);if((K|0)==29){D=Rb()|0;I=Q;J=D}k[f>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(z);Ava(t);vva(s);L=I;M=J;Qb(M|0)}while(0);x=A;y=C;vva(s);Qb(y|0)}else K=26;while(0);if((K|0)==26){q=Rb()|0;u=Q;v=q}k[d>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);L=u;M=v;Qb(M|0)}while(0);l=o;m=p;vva(h);Qb(m|0)}function HZ(a){a=a|0;return -1}function IZ(a){a=a|0;return 765}function JZ(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0.0,h=0,i=0;b=Qqa(40)|0;c=k[a+4>>2]|0;d=k[a+8>>2]|0;e=k[a+12>>2]|0;f=k[a+24>>2]|0;g=+p[a+32>>3];k[b>>2]=36536;k[b+4>>2]=c;k[b+12>>2]=e;k[b+24>>2]=f;p[b+32>>3]=g;k[b+16>>2]=1;k[b+20>>2]=1;f=(Lta(d)|0)+1|0;B=0;e=ya(422,f|0)|0;f=B;B=0;if(f&1){h=Rb()|0;i=Q;Sqa(b);Qb(h|0)}k[b+8>>2]=e;f=(Lta(d)|0)+1|0;if(!d){B=0;ib(283,142353,108712,137,142345);B=0;h=Rb()|0;i=Q;Sqa(b);Qb(h|0)}if(!f)return b|0;TEa(e|0,d|0,f|0)|0;return b|0}function KZ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;if(!(d&-3))n=(Lta(k[a+12>>2]|0)|0)+1|0;else n=0;switch(d|0){case 0:{d=k[b>>2]|0;o=a+4|0;q=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[d>>0]=q;i[d+1>>0]=q>>8;i[d+2>>0]=q>>16;i[d+3>>0]=q>>24;q=(k[b>>2]|0)+4|0;k[b>>2]=q;d=a+8|0;o=l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24;i[q>>0]=o;i[q+1>>0]=o>>8;i[q+2>>0]=o>>16;i[q+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;i[o>>0]=n;i[o+1>>0]=n>>8;i[o+2>>0]=n>>16;i[o+3>>0]=n>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;q=a+12|0;d=(k[q>>2]|0)==0;i[o>>0]=d&1;o=(k[b>>2]|0)+1|0;k[b>>2]=o;if(d)s=o;else{TEa(o|0,k[q>>2]|0,n|0)|0;q=(k[b>>2]|0)+n|0;k[b>>2]=q;s=q}q=a+24|0;o=l[q>>0]|l[q+1>>0]<<8|l[q+2>>0]<<16|l[q+3>>0]<<24;i[s>>0]=o;i[s+1>>0]=o>>8;i[s+2>>0]=o>>16;i[s+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;s=a+32|0;q=s;d=l[q>>0]|l[q+1>>0]<<8|l[q+2>>0]<<16|l[q+3>>0]<<24;q=s+4|0;s=l[q>>0]|l[q+1>>0]<<8|l[q+2>>0]<<16|l[q+3>>0]<<24;q=o;o=q;i[o>>0]=d;i[o+1>>0]=d>>8;i[o+2>>0]=d>>16;i[o+3>>0]=d>>24;d=q+4|0;i[d>>0]=s;i[d+1>>0]=s>>8;i[d+2>>0]=s>>16;i[d+3>>0]=s>>24;k[b>>2]=(k[b>>2]|0)+8;r=e;return}case 2:{s=k[c>>2]|0;k[c>>2]=s+12;k[c>>2]=s+13+((k[a+12>>2]|0)==0?0:n)+12;r=e;return}case 1:{n=a+4|0;s=k[b>>2]|0;c=l[s>>0]|l[s+1>>0]<<8|l[s+2>>0]<<16|l[s+3>>0]<<24;i[n>>0]=c;i[n+1>>0]=c>>8;i[n+2>>0]=c>>16;i[n+3>>0]=c>>24;c=(k[b>>2]|0)+4|0;k[b>>2]=c;n=a+8|0;s=l[c>>0]|l[c+1>>0]<<8|l[c+2>>0]<<16|l[c+3>>0]<<24;i[n>>0]=s;i[n+1>>0]=s>>8;i[n+2>>0]=s>>16;i[n+3>>0]=s>>24;s=k[b>>2]|0;n=s+4|0;k[b>>2]=n;c=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=s+8|0;k[b>>2]=n;d=i[n>>0]|0;n=s+9|0;k[b>>2]=n;if(!(d&1)){d=Rqa(c)|0;k[a+12>>2]=d;s=k[b>>2]|0;TEa(d|0,s|0,c|0)|0;d=s+c|0;k[b>>2]=d;u=d}else u=n;n=a+24|0;d=l[u>>0]|l[u+1>>0]<<8|l[u+2>>0]<<16|l[u+3>>0]<<24;i[n>>0]=d;i[n+1>>0]=d>>8;i[n+2>>0]=d>>16;i[n+3>>0]=d>>24;d=(k[b>>2]|0)+4|0;k[b>>2]=d;n=a+32|0;i[t>>0]=i[d>>0];i[t+1>>0]=i[d+1>>0];i[t+2>>0]=i[d+2>>0];i[t+3>>0]=i[d+3>>0];i[t+4>>0]=i[d+4>>0];i[t+5>>0]=i[d+5>>0];i[t+6>>0]=i[d+6>>0];i[t+7>>0]=i[d+7>>0];p[t>>3]=+p[t>>3];i[n>>0]=i[t>>0];i[n+1>>0]=i[t+1>>0];i[n+2>>0]=i[t+2>>0];i[n+3>>0]=i[t+3>>0];i[n+4>>0]=i[t+4>>0];i[n+5>>0]=i[t+5>>0];i[n+6>>0]=i[t+6>>0];i[n+7>>0]=i[t+7>>0];k[b>>2]=(k[b>>2]|0)+8;r=e;return}default:{e=g+56|0;b=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,b|0);n=B;B=0;if(n&1){n=Rb()|0;v=Q;w=n;vva(e);Qb(w|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,b|0);n=B;B=0;do if(n&1){d=Rb()|0;x=Q;y=d}else{k[b>>2]=27560;d=g+36|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,b|0,f|0);a=B;B=0;if(a&1){a=Rb()|0;u=Q;Yua(f);Yua(d);Ava(b);x=u;y=a;break}Yua(f);B=0;a=Ia(40,g|0,143951,43)|0;u=B;B=0;if(!(u&1)?(B=0,Xa(239,a|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,h|0,108871,125);u=B;B=0;do if(!(u&1)){B=0;eb(502,j|0,149525,8);c=B;B=0;if(c&1){c=Rb()|0;s=Q;Yua(h);z=s;A=c;break}B=0;wa(510,m|0,b|0);c=B;B=0;if(c&1){c=Rb()|0;C=Q;D=c;E=1}else{B=0;ua(163,a|0,h|0,j|0,330,m|0);c=B;B=0;if(c&1)F=1;else{B=0;eb(503,a|0,1240,229);B=0;F=0}c=Rb()|0;s=Q;Yua(m);C=s;D=c;E=F}Yua(j);Yua(h);if(E){z=C;A=D}else{G=C;H=D;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(d);Ava(b);vva(e);Qb(H|0)}}else{c=Rb()|0;z=Q;A=c}while(0);zb(a|0);G=z;H=A;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(d);Ava(b);vva(e);Qb(H|0)}u=Rb()|0;G=Q;H=u;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(d);Ava(b);vva(e);Qb(H|0)}while(0);v=x;w=y;vva(e);Qb(w|0)}}}function LZ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;c=r;r=r+32|0;d=c;e=c+16|0;f=c+12|0;g=c+8|0;if(vY()|0){r=c;return}h=a+8|0;i=(Lta(k[h>>2]|0)|0)+1|0;k[e>>2]=i;jta(e,4,1,b)|0;jta(k[h>>2]|0,k[e>>2]|0,1,b)|0;p[d>>3]=+p[a+32>>3];jta(d,8,1,b)|0;jta(a+24|0,4,1,b)|0;k[f>>2]=2;jta(f,4,1,b)|0;f=a+12|0;a=(Lta(k[f>>2]|0)|0)+1|0;k[g>>2]=a;jta(g,4,1,b)|0;jta(k[f>>2]|0,k[g>>2]|0,1,b)|0;r=c;return}function MZ(a){a=a|0;var b=0,c=0;b=k[a+8>>2]|0;a=Rqa((Lta(b)|0)+1|0)|0;c=(Lta(b)|0)+1|0;if(!b)yb(142353,108712,137,142345);if(!c)return a|0;TEa(a|0,b|0,c|0)|0;return a|0}function NZ(a){a=a|0;return k[a+24>>2]|0}function OZ(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,108833,37)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,108871,125);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,108997,8);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,197,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function PZ(a){a=a|0;return zY(k[a+8>>2]|0,0)|0}function QZ(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0;b=r;r=r+624|0;c=b+604|0;d=b+456|0;e=b+592|0;f=b+304|0;g=b+440|0;h=b+152|0;i=b+288|0;j=b+16|0;l=b;m=d+56|0;n=d+4|0;k[d>>2]=27524;k[m>>2]=27544;B=0;wa(508,d+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;q=Q;s=o;vva(m);Qb(s|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[m>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){t=Rb()|0;u=Q;v=t}else{k[n>>2]=27560;t=d+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,n|0,c|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(c);Yua(t);Ava(n);u=x;v=w;break}Yua(c);B=0;w=Ia(40,d|0,109048,17)|0;x=B;B=0;do if(((!(x&1)?(B=0,y=Xa(242,w|0,k[a+4>>2]|0)|0,z=B,B=0,!(z&1)):0)?(B=0,Ia(40,y|0,149177,1)|0,y=B,B=0,!(y&1)):0)?(B=0,wa(510,e|0,n|0),y=B,B=0,!(y&1)):0){B=0;ya(424,e|0)|0;y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(e);A=z;C=y;break}Yua(e);k[d>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(t);Ava(n);vva(m);y=f+56|0;z=f+4|0;k[f>>2]=27524;k[y>>2]=27544;B=0;wa(508,f+56|0,z|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;F=D;vva(y);Qb(F|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[y>>2]=27488;B=0;va(448,z|0);D=B;B=0;do if(D&1){G=Rb()|0;H=Q;I=G}else{k[z>>2]=27560;G=f+36|0;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;k[G+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,z|0,c|0);J=B;B=0;if(J&1){J=Rb()|0;K=Q;Yua(c);Yua(G);Ava(z);H=K;I=J;break}Yua(c);B=0;J=Ia(40,f|0,109066,17)|0;K=B;B=0;do if(((!(K&1)?(L=k[a+8>>2]|0,M=Lta(L)|0,B=0,N=Ia(40,J|0,L|0,M|0)|0,M=B,B=0,!(M&1)):0)?(B=0,Ia(40,N|0,149177,1)|0,N=B,B=0,!(N&1)):0)?(B=0,wa(510,g|0,z|0),N=B,B=0,!(N&1)):0){B=0;ya(424,g|0)|0;N=B;B=0;if(N&1){N=Rb()|0;M=Q;Yua(g);O=M;P=N;break}Yua(g);k[f>>2]=27468;k[y>>2]=27488;k[z>>2]=27560;Yua(G);Ava(z);vva(y);N=h+56|0;M=h+4|0;k[h>>2]=27524;k[N>>2]=27544;B=0;wa(508,h+56|0,M|0);L=B;B=0;if(L&1){L=Rb()|0;R=Q;S=L;vva(N);Qb(S|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[N>>2]=27488;B=0;va(448,M|0);L=B;B=0;do if(L&1){T=Rb()|0;U=Q;V=T}else{k[M>>2]=27560;T=h+36|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;k[T+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,M|0,c|0);W=B;B=0;if(W&1){W=Rb()|0;X=Q;Yua(c);Yua(T);Ava(M);U=X;V=W;break}Yua(c);B=0;W=Ia(40,h|0,109084,17)|0;X=B;B=0;do if(X&1)Y=60;else{B=0;Z=Xa(242,W|0,k[a+24>>2]|0)|0;_=B;B=0;if(_&1){Y=60;break}B=0;Ia(40,Z|0,149177,1)|0;Z=B;B=0;if(Z&1){Y=60;break}B=0;wa(510,i|0,M|0);Z=B;B=0;if(Z&1){Y=60;break}B=0;ya(424,i|0)|0;Z=B;B=0;if(Z&1){Z=Rb()|0;_=Q;Yua(i);$=_;aa=Z;break}Yua(i);k[h>>2]=27468;k[N>>2]=27488;k[M>>2]=27560;Yua(T);Ava(M);vva(N);Z=j+56|0;_=j+4|0;k[j>>2]=27524;k[Z>>2]=27544;B=0;wa(508,j+56|0,_|0);ba=B;B=0;if(ba&1){ba=Rb()|0;ca=Q;da=ba;vva(Z);Qb(da|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[Z>>2]=27488;B=0;va(448,_|0);ba=B;B=0;do if(ba&1){ea=Rb()|0;fa=Q;ga=ea}else{k[_>>2]=27560;ea=j+36|0;k[ea>>2]=0;k[ea+4>>2]=0;k[ea+8>>2]=0;k[ea+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,_|0,c|0);ha=B;B=0;if(ha&1){ha=Rb()|0;ia=Q;Yua(c);Yua(ea);Ava(_);fa=ia;ga=ha;break}Yua(c);B=0;ha=Ia(40,j|0,109102,17)|0;ia=B;B=0;do if(!(ia&1)){B=0;ja=Sa(1,ha|0,+(+p[a+32>>3]))|0;ka=B;B=0;if(ka&1){Y=63;break}B=0;Ia(40,ja|0,149177,1)|0;ja=B;B=0;if(ja&1){Y=63;break}B=0;wa(510,l|0,_|0);ja=B;B=0;if(ja&1){Y=63;break}B=0;ya(424,l|0)|0;ja=B;B=0;if(ja&1){ja=Rb()|0;ka=Q;Yua(l);la=ka;ma=ja;break}else{Yua(l);k[j>>2]=27468;k[Z>>2]=27488;k[_>>2]=27560;Yua(ea);Ava(_);vva(Z);r=b;return}}else Y=63;while(0);if((Y|0)==63){ha=Rb()|0;la=Q;ma=ha}k[j>>2]=27468;k[Z>>2]=27488;k[_>>2]=27560;Yua(ea);Ava(_);vva(Z);na=la;oa=ma;Qb(oa|0)}while(0);ca=fa;da=ga;vva(Z);Qb(da|0)}while(0);if((Y|0)==60){W=Rb()|0;$=Q;aa=W}k[h>>2]=27468;k[N>>2]=27488;k[M>>2]=27560;Yua(T);Ava(M);vva(N);na=$;oa=aa;Qb(oa|0)}while(0);R=U;S=V;vva(N);Qb(S|0)}else Y=57;while(0);if((Y|0)==57){J=Rb()|0;O=Q;P=J}k[f>>2]=27468;k[y>>2]=27488;k[z>>2]=27560;Yua(G);Ava(z);vva(y);na=O;oa=P;Qb(oa|0)}while(0);E=H;F=I;vva(y);Qb(F|0)}else Y=54;while(0);if((Y|0)==54){w=Rb()|0;A=Q;C=w}k[d>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(t);Ava(n);vva(m);na=A;oa=C;Qb(oa|0)}while(0);q=u;s=v;vva(m);Qb(s|0)}function RZ(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;b=r;r=r+192|0;c=b+180|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;h=k[a+20>>2]|0;cO(k[a+44>>2]|0,b+176|0,298);if((th(h)|0)>0)i=0;else{r=b;return}a:while(1){a=qh(h,i)|0;j=Hc[k[(k[a>>2]|0)+164>>2]&511](a)|0;l=Rqa(j>>>0>536870911?-1:j<<3)|0;do if(((Hc[k[(k[a>>2]|0)+128>>2]&511](a)|0)+-751|0)>>>0<8){m=Wo(a,992)|0;if(!m)break a;n=Hc[k[(k[a>>2]|0)+304>>2]&511](a)|0;if((Hc[k[(k[a>>2]|0)+396>>2]&511](a)|0)>0){o=0;do{q=k[(k[n>>2]|0)+32>>2]|0;s=Hc[k[(k[a>>2]|0)+504>>2]&511](a)|0;nd[q&1023](n,s,o);nd[k[(k[m>>2]|0)+48>>2]&1023](m,l+(o<<3)|0,n);o=o+1|0}while((o|0)<(Hc[k[(k[a>>2]|0)+396>>2]&511](a)|0))}if((Hc[k[(k[a>>2]|0)+392>>2]&511](a)|0)<=0){if(!n)break}else{o=0;do{s=k[(k[n>>2]|0)+32>>2]|0;q=Hc[k[(k[a>>2]|0)+404>>2]&511](a)|0;nd[s&1023](n,q,o);q=k[(k[m>>2]|0)+48>>2]|0;s=l+((Hc[k[(k[a>>2]|0)+396>>2]&511](a)|0)+o<<3)|0;nd[q&1023](m,s,n);o=o+1|0}while((o|0)<(Hc[k[(k[a>>2]|0)+392>>2]&511](a)|0))}Ec[k[(k[n>>2]|0)+4>>2]&1023](n)}else vp(a,l,992);while(0);if((j|0)>0){o=0;do{m=ed[k[(k[a>>2]|0)+156>>2]&511](a,o)|0;if(+p[l+(o<<3)>>3]==1.0)bo(m);else $n(m);o=o+1|0}while((o|0)!=(j|0))}Tqa(l);i=i+1|0;if((i|0)>=(th(h)|0)){t=46;break}}if((t|0)==46){r=b;return}b=d+56|0;t=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,t|0);h=B;B=0;if(h&1){h=Rb()|0;u=Q;v=h;vva(b);Qb(v|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,t|0);h=B;B=0;do if(h&1){i=Rb()|0;w=Q;x=i}else{k[t>>2]=27560;i=d+36|0;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;k[i+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,t|0,c|0);j=B;B=0;if(j&1){j=Rb()|0;o=Q;Yua(c);Yua(i);Ava(t);w=o;x=j;break}Yua(c);B=0;j=Ia(40,d|0,109148,6)|0;o=B;B=0;if((((!(o&1)?(B=0,o=ya(427,992)|0,a=B,B=0,!(a&1)):0)?(a=Lta(o)|0,B=0,m=Ia(40,j|0,o|0,a|0)|0,a=B,B=0,!(a&1)):0)?(B=0,a=Ia(40,m|0,109155,21)|0,m=B,B=0,!(m&1)):0)?(B=0,Xa(239,a|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,e|0,109177,96);m=B;B=0;do if(!(m&1)){B=0;eb(502,f|0,109274,18);o=B;B=0;if(o&1){o=Rb()|0;j=Q;Yua(e);y=j;z=o;break}B=0;wa(510,g|0,t|0);o=B;B=0;if(o&1){o=Rb()|0;A=Q;C=o;D=1}else{B=0;ua(163,a|0,e|0,f|0,33,g|0);o=B;B=0;if(o&1)E=1;else{B=0;eb(503,a|0,1240,229);B=0;E=0}o=Rb()|0;j=Q;Yua(g);A=j;C=o;D=E}Yua(f);Yua(e);if(D){y=A;z=C}else{F=A;G=C;k[d>>2]=27468;k[b>>2]=27488;k[t>>2]=27560;Yua(i);Ava(t);vva(b);Qb(G|0)}}else{o=Rb()|0;y=Q;z=o}while(0);zb(a|0);F=y;G=z;k[d>>2]=27468;k[b>>2]=27488;k[t>>2]=27560;Yua(i);Ava(t);vva(b);Qb(G|0)}m=Rb()|0;F=Q;G=m;k[d>>2]=27468;k[b>>2]=27488;k[t>>2]=27560;Yua(i);Ava(t);vva(b);Qb(G|0)}while(0);u=w;v=x;vva(b);Qb(v|0)}function SZ(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;b=nn(k[a+28>>2]|0)|0;c=Qqa(8)|0;B=0;va(485,c|0);d=B;B=0;a:do if(!(d&1)){do if(k[c>>2]|0){B=0;e=ya(423,4)|0;f=B;B=0;if(f&1)break a;B=0;eb(505,e|0,b|0,0);f=B;B=0;if(!(f&1)){k[c+4>>2]=e;break}f=Rb()|0;g=Q;Sqa(e);h=g;i=f;Sqa(c);Qb(i|0)}while(0);f=a+20|0;if((th(k[f>>2]|0)|0)>0){g=c+4|0;e=0;do{j=qh(k[f>>2]|0,e)|0;l=Hc[k[(k[j>>2]|0)+172>>2]&511](j)|0;if(($p(j)|0)&(l|0)>0){m=j+24|0;j=0;do{n=Bo(k[(k[m>>2]|0)+(j<<2)>>2]|0)|0;if(k[c>>2]|0){o=k[k[g>>2]>>2]|0;Jc[k[(k[o>>2]|0)+20>>2]&1](o,n,1.0,0)}j=j+1|0}while((j|0)!=(l|0))}e=e+1|0}while((e|0)<(th(k[f>>2]|0)|0))}if((k[c>>2]|0)!=0?(f=c+4|0,e=k[k[f>>2]>>2]|0,Ec[k[(k[e>>2]|0)+12>>2]&1023](e),(k[c>>2]|0)!=0):0){e=k[k[f>>2]>>2]|0;p=Hc[k[(k[e>>2]|0)+52>>2]&511](e)|0}else p=0;WZ(a,p,992,629);if((k[c>>2]|0)!=0?(e=k[c+4>>2]|0,(e|0)!=0):0){f=k[e>>2]|0;if(f)Ec[k[(k[f>>2]|0)+4>>2]&1023](f);Sqa(e)}Sqa(c);if(!p)return;Tqa(p);return}while(0);p=Rb()|0;h=Q;i=p;Sqa(c);Qb(i|0)}function TZ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;i=e+12|0;j=e;a:do switch(d|0){case 629:case 628:{l=Qqa(8)|0;B=0;m=ya(429,k[b+28>>2]|0)|0;n=B;B=0;do if(!(n&1)?(B=0,va(485,l|0),o=B,B=0,!(o&1)):0){if(!(k[l>>2]|0)){p=l;break a}B=0;o=ya(423,4)|0;q=B;B=0;if(!(q&1)){B=0;eb(505,o|0,m|0,0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Sqa(o);t=s;u=q;break}else{k[l+4>>2]=o;p=l;break a}}else v=9}else v=9;while(0);if((v|0)==9){m=Rb()|0;t=Q;u=m}Sqa(l);w=t;x=u;Qb(x|0);break}case 608:case 549:{m=Qqa(8)|0;B=0;n=ya(433,k[b+24>>2]|0)|0;o=B;B=0;do if(!(o&1)?(B=0,va(485,m|0),q=B,B=0,!(q&1)):0){if(!(k[m>>2]|0)){p=m;break a}B=0;q=ya(423,4)|0;s=B;B=0;if(!(s&1)){B=0;eb(505,q|0,n|0,0);s=B;B=0;if(s&1){s=Rb()|0;y=Q;Sqa(q);z=y;A=s;break}else{k[m+4>>2]=q;p=m;break a}}else v=18}else v=18;while(0);if((v|0)==18){n=Rb()|0;z=Q;A=n}Sqa(m);w=z;x=A;Qb(x|0);break}default:{n=g+56|0;o=g+4|0;k[g>>2]=27524;k[n>>2]=27544;B=0;wa(508,g+56|0,o|0);l=B;B=0;if(l&1){l=Rb()|0;C=Q;D=l;vva(n);Qb(D|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[n>>2]=27488;B=0;va(448,o|0);l=B;B=0;do if(l&1){q=Rb()|0;E=Q;F=q}else{k[o>>2]=27560;q=g+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,o|0,f|0);s=B;B=0;if(s&1){s=Rb()|0;y=Q;Yua(f);Yua(q);Ava(o);E=y;F=s;break}Yua(f);B=0;s=Ia(40,g|0,109293,13)|0;y=B;B=0;b:do if((((!(y&1)?(B=0,G=ya(427,d|0)|0,H=B,B=0,!(H&1)):0)?(H=Lta(G)|0,B=0,I=Ia(40,s|0,G|0,H|0)|0,H=B,B=0,!(H&1)):0)?(B=0,H=Ia(40,I|0,146956,19)|0,I=B,B=0,!(I&1)):0)?(B=0,Xa(239,H|0,0)|0,H=B,B=0,!(H&1)):0){H=Ab(20)|0;B=0;eb(502,h|0,109307,100);I=B;B=0;do if(!(I&1)){B=0;eb(502,i|0,109408,20);G=B;B=0;if(G&1){G=Rb()|0;J=Q;Yua(h);K=J;L=G;break}B=0;wa(510,j|0,o|0);G=B;B=0;if(G&1){G=Rb()|0;M=Q;N=G;O=1}else{B=0;ua(163,H|0,h|0,i|0,22,j|0);G=B;B=0;if(G&1)P=1;else{B=0;eb(503,H|0,1240,229);B=0;P=0}G=Rb()|0;J=Q;Yua(j);M=J;N=G;O=P}Yua(i);Yua(h);if(O){K=M;L=N}else{R=M;S=N;break b}}else{G=Rb()|0;K=Q;L=G}while(0);zb(H|0);R=K;S=L}else v=38;while(0);if((v|0)==38){s=Rb()|0;R=Q;S=s}k[g>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(q);Ava(o);vva(n);w=R;x=S;Qb(x|0)}while(0);C=E;D=F;vva(n);Qb(D|0)}}while(0);D=b+20|0;if((th(k[D>>2]|0)|0)>0){b=0;do{Gp(qh(k[D>>2]|0,b)|0,p,c,d);b=b+1|0}while((b|0)<(th(k[D>>2]|0)|0))}if(!(k[p>>2]|0)){k[a>>2]=p;r=e;return}D=k[k[p+4>>2]>>2]|0;Ec[k[(k[D>>2]|0)+12>>2]&1023](D);k[a>>2]=p;r=e;return}function UZ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;e=r;r=r+16|0;f=e;k[f>>2]=0;TZ(f,b,c,d);d=k[f>>2]|0;if(!(k[d>>2]|0))if(!d){g=0;k[a>>2]=g;r=e;return}else h=0;else{f=k[k[d+4>>2]>>2]|0;h=Hc[k[(k[f>>2]|0)+52>>2]&511](f)|0}if((k[d>>2]|0)!=0?(f=k[d+4>>2]|0,(f|0)!=0):0){c=k[f>>2]|0;if(c)Ec[k[(k[c>>2]|0)+4>>2]&1023](c);Sqa(f)}Sqa(d);g=h;k[a>>2]=g;r=e;return}function VZ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;if(!(k[b>>2]|0)){WZ(a,0,c,d);return}e=k[k[b+4>>2]>>2]|0;b=Hc[k[(k[e>>2]|0)+52>>2]&511](e)|0;WZ(a,b,c,d);if(!b)return;Tqa(b);return}function WZ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;e=a+20|0;if((th(k[e>>2]|0)|0)>0){f=0;do{g=(qh(k[e>>2]|0,f)|0)+4|0;rd[k[k[g>>2]>>2]&511](g,b,c,d);f=f+1|0}while((f|0)<(th(k[e>>2]|0)|0))}e=a+36|0;if((bL(k[e>>2]|0)|0)>0){f=0;do{g=(qh(k[e>>2]|0,f)|0)+4|0;rd[k[k[g>>2]>>2]&511](g,b,c,d);f=f+1|0}while((f|0)<(bL(k[e>>2]|0)|0))}e=a+40|0;if((th(k[e>>2]|0)|0)>0)h=0;else return;do{a=(qh(k[e>>2]|0,h)|0)+4|0;rd[k[k[a>>2]>>2]&511](a,b,c,d);h=h+1|0}while((h|0)<(th(k[e>>2]|0)|0));return}function XZ(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0;g=r;r=r+480|0;h=g+456|0;i=g+440|0;j=g+304|0;l=g+444|0;m=g+152|0;n=g+288|0;o=g+16|0;p=g;cO(f,i,478);a:do if(AY()|0){q=j+56|0;s=j+4|0;k[j>>2]=27524;k[q>>2]=27544;B=0;wa(508,j+56|0,s|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;v=t;vva(q);Qb(v|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[q>>2]=27488;B=0;va(448,s|0);t=B;B=0;do if(t&1){w=Rb()|0;x=Q;y=w}else{k[s>>2]=27560;w=j+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[j+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,s|0,h|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(h);Yua(w);Ava(s);x=A;y=z;break}Yua(h);B=0;Ia(40,j|0,109429,30)|0;z=B;B=0;do if(!(z&1)?(B=0,wa(510,l|0,s|0),A=B,B=0,!(A&1)):0){B=0;ya(425,l|0)|0;A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(l);D=C;E=A;break}else{Yua(l);k[j>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(q);break a}}else F=15;while(0);if((F|0)==15){z=Rb()|0;D=Q;E=z}k[j>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(q);G=D;H=E;Qb(H|0)}while(0);u=x;v=y;vva(q);Qb(v|0)}while(0);if((th(a)|0)>0){v=0;do{y=qh(a,v)|0;ad[k[(k[y>>2]|0)+92>>2]&63](y,a,b,c,d,e,f);v=v+1|0}while((v|0)<(th(a)|0))}b:do if(AY()|0){v=m+56|0;y=m+4|0;k[m>>2]=27524;k[v>>2]=27544;B=0;wa(508,m+56|0,y|0);x=B;B=0;if(x&1){x=Rb()|0;I=Q;J=x;vva(v);Qb(J|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[v>>2]=27488;B=0;va(448,y|0);x=B;B=0;do if(x&1){u=Rb()|0;K=Q;L=u}else{k[y>>2]=27560;u=m+36|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;k[u+12>>2]=0;k[m+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,y|0,h|0);E=B;B=0;if(E&1){E=Rb()|0;D=Q;Yua(h);Yua(u);Ava(y);K=D;L=E;break}Yua(h);B=0;Ia(40,m|0,109460,27)|0;E=B;B=0;do if(!(E&1)?(B=0,wa(510,n|0,y|0),D=B,B=0,!(D&1)):0){B=0;ya(425,n|0)|0;D=B;B=0;if(D&1){D=Rb()|0;j=Q;Yua(n);M=j;N=D;break}else{Yua(n);k[m>>2]=27468;k[v>>2]=27488;k[y>>2]=27560;Yua(u);Ava(y);vva(v);break b}}else F=34;while(0);if((F|0)==34){E=Rb()|0;M=Q;N=E}k[m>>2]=27468;k[v>>2]=27488;k[y>>2]=27560;Yua(u);Ava(y);vva(v);G=M;H=N;Qb(H|0)}while(0);I=K;J=L;vva(v);Qb(J|0)}while(0);if((bL(b)|0)>0){J=0;do{L=qh(b,J)|0;if(ed[k[(k[L>>2]|0)+60>>2]&511](L,k[i>>2]|0)|0)ad[k[(k[L>>2]|0)+32>>2]&63](L,a,b,c,d,e,f);J=J+1|0}while((J|0)<(bL(b)|0))}c:do if(AY()|0){b=o+56|0;J=o+4|0;k[o>>2]=27524;k[b>>2]=27544;B=0;wa(508,o+56|0,J|0);f=B;B=0;if(f&1){f=Rb()|0;O=Q;P=f;vva(b);Qb(P|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[b>>2]=27488;B=0;va(448,J|0);f=B;B=0;do if(f&1){d=Rb()|0;R=Q;S=d}else{k[J>>2]=27560;d=o+36|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[o+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,J|0,h|0);c=B;B=0;if(c&1){c=Rb()|0;i=Q;Yua(h);Yua(d);Ava(J);R=i;S=c;break}Yua(h);B=0;Ia(40,o|0,109488,31)|0;c=B;B=0;do if(!(c&1)?(B=0,wa(510,p|0,J|0),i=B,B=0,!(i&1)):0){B=0;ya(425,p|0)|0;i=B;B=0;if(i&1){i=Rb()|0;L=Q;Yua(p);T=L;U=i;break}else{Yua(p);k[o>>2]=27468;k[b>>2]=27488;k[J>>2]=27560;Yua(d);Ava(J);vva(b);break c}}else F=54;while(0);if((F|0)==54){c=Rb()|0;T=Q;U=c}k[o>>2]=27468;k[b>>2]=27488;k[J>>2]=27560;Yua(d);Ava(J);vva(b);G=T;H=U;Qb(H|0)}while(0);O=R;P=S;vva(b);Qb(P|0)}while(0);if((th(e)|0)>0)V=0;else{r=g;return 1}do{P=qh(e,V)|0;Fc[k[(k[P>>2]|0)+36>>2]&1023](P,a);V=V+1|0}while((V|0)<(th(e)|0));r=g;return 1}function YZ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;if((th(b)|0)>0)e=0;else return;do{f=qh(b,e)|0;if(ed[k[(k[f>>2]|0)+40>>2]&511](f,d)|0)nd[k[(k[f>>2]|0)+36>>2]&1023](f,a,c);e=e+1|0}while((e|0)<(th(b)|0));return}function ZZ(a){a=a|0;var b=0,c=0;b=a+20|0;if((th(k[b>>2]|0)|0)>0)c=0;else return;do{sq(qh(k[b>>2]|0,c)|0);c=c+1|0}while((c|0)<(th(k[b>>2]|0)|0));return}function _Z(a,b,c,d,e,f){a=a|0;b=b|0;c=+c;d=+d;e=+e;f=+f;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0.0,_=0,$=0;g=r;r=r+352|0;h=g+328|0;i=g+192|0;j=g+176|0;l=g+24|0;m=g+12|0;n=g+40|0;o=g;q=c/d;if(q!=+VEa(+q)){s=i+56|0;t=i+4|0;k[i>>2]=27524;k[s>>2]=27544;B=0;wa(508,i+56|0,t|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;w=u;vva(s);Qb(w|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[s>>2]=27488;B=0;va(448,t|0);u=B;B=0;do if(u&1){x=Rb()|0;y=Q;z=x}else{k[t>>2]=27560;x=i+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[i+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,t|0,h|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(h);Yua(x);Ava(t);y=C;z=A;break}Yua(h);B=0;A=Ia(40,i|0,109520,106)|0;C=B;B=0;a:do if(!(C&1)?(B=0,Xa(239,A|0,0)|0,D=B,B=0,!(D&1)):0){D=Ab(20)|0;B=0;eb(502,j|0,109627,84);E=B;B=0;do if(!(E&1)){B=0;eb(502,l|0,109712,18);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(j);H=G;I=F;break}B=0;wa(510,m|0,t|0);F=B;B=0;if(F&1){F=Rb()|0;J=Q;K=F;L=1}else{B=0;ua(163,D|0,j|0,l|0,47,m|0);F=B;B=0;if(F&1)M=1;else{B=0;eb(503,D|0,1240,229);B=0;M=0}F=Rb()|0;G=Q;Yua(m);J=G;K=F;L=M}Yua(l);Yua(j);if(L){H=J;I=K}else{N=J;O=K;break a}}else{F=Rb()|0;H=Q;I=F}while(0);zb(D|0);N=H;O=I}else P=17;while(0);if((P|0)==17){A=Rb()|0;N=Q;O=A}k[i>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);R=N;S=O;Qb(S|0)}while(0);v=y;w=z;vva(s);Qb(w|0)}b:do if(d<.05){w=n+56|0;s=n+4|0;k[n>>2]=27524;k[w>>2]=27544;B=0;wa(508,n+56|0,s|0);z=B;B=0;if(z&1){z=Rb()|0;T=Q;U=z;vva(w);Qb(U|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[w>>2]=27488;B=0;va(448,s|0);z=B;B=0;do if(z&1){y=Rb()|0;V=Q;W=y}else{k[s>>2]=27560;y=n+36|0;k[y>>2]=0;k[y+4>>2]=0;k[y+8>>2]=0;k[y+12>>2]=0;k[n+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,s|0,h|0);v=B;B=0;if(v&1){v=Rb()|0;O=Q;Yua(h);Yua(y);Ava(s);V=O;W=v;break}Yua(h);B=0;Ia(40,n|0,109731,48)|0;v=B;B=0;do if(!(v&1)?(B=0,wa(510,o|0,s|0),O=B,B=0,!(O&1)):0){B=0;ya(424,o|0)|0;O=B;B=0;if(O&1){O=Rb()|0;N=Q;Yua(o);X=N;Y=O;break}else{Yua(o);k[n>>2]=27468;k[w>>2]=27488;k[s>>2]=27560;Yua(y);Ava(s);vva(w);break b}}else P=38;while(0);if((P|0)==38){v=Rb()|0;X=Q;Y=v}k[n>>2]=27468;k[w>>2]=27488;k[s>>2]=27560;Yua(y);Ava(s);vva(w);R=X;S=Y;Qb(S|0)}while(0);T=V;U=W;vva(w);Qb(U|0)}while(0);U=~~q;W=Rqa(U>>>0>536870911?-1:U<<3)|0;V=(U|0)>0;if(V){T=0;do{p[W+(T<<3)>>3]=d;T=T+1|0}while((T|0)!=(U|0))}if(c<e){q=d;T=0;Z=c;while(1){q=q*f;Z=Z+q;S=T+1|0;if(!(Z<e)){_=S;break}else T=S}}else _=0;T=Rqa(_>>>0>536870911?-1:_<<3)|0;if((_|0)!=0?(WEa(T|0,0,_<<3|0)|0,S=(_|0)>0,S):0){e=d;Y=0;do{e=e*f;p[T+(Y<<3)>>3]=e;Y=Y+1|0}while((Y|0)!=(_|0));$=S}else $=0;S=_+U|0;Y=Rqa(S>>>0>536870911?-1:S<<3)|0;if(V)TEa(Y|0,W|0,U<<3|0)|0;if(!$){Tqa(W);Tqa(T);k[a>>2]=Y;k[b>>2]=S;r=g;return}TEa(Y+(U<<3)|0,T|0,_<<3|0)|0;Tqa(W);Tqa(T);k[a>>2]=Y;k[b>>2]=S;r=g;return}function $Z(a,b,c){a=+a;b=+b;c=+c;var d=0.0,e=0.0,f=0.0,g=0.0,h=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0,n=0.0,o=0.0,p=0.0,q=0.0;d=a+-273.15;if(d>-6.0)e=d/-6.0*.3+.7;else e=0.0;if(d<=-6.0&d>-22.0)f=1.0-(d+6.0)*-.0625*.8;else f=e;if(d<=-22.0&d>-40.0)g=.2-(d+22.0)/-18.0*.2;else g=f;if(b>=150.0&b<400.0)h=1.0-(b+-150.0)/250.0;else h=b<150.0?1.0:0.0;if(c>=.16&c<.25)i=(c+-.16)/.09*.1;else i=0.0;if(c>=.25&c<.4)j=(c+-.25)/.15*.57+.1;else j=i;if(c>=.4&c<.5)k=(c+-.4)/.1*.23+.67;else k=j;if(!(c>=.5&c<.7)){l=k;m=!(c>=.7);n=m?l:1.0;o=g*h;p=o*n;q=p*.09;return +q}l=(c+-.5)/.2*.1+.9;m=!(c>=.7);n=m?l:1.0;o=g*h;p=o*n;q=p*.09;return +q}function a_(a,b,c,d,e,f,g,h,i,j,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;i=i|0;j=j|0;l=l|0;var m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0.0,G=0.0,H=0,I=0,J=0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0,R=0.0,S=0.0,T=0.0,U=0,V=0.0,W=0.0,X=0.0,Y=0.0,Z=0.0,_=0.0;m=r;r=r+176|0;n=m+152|0;o=m+16|0;q=m;a:do if((l|0)==0&(GY()|0)?(vY()|0)==0:0){s=o+56|0;t=o+4|0;k[o>>2]=27524;k[s>>2]=27544;B=0;wa(508,o+56|0,t|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;w=u;vva(s);Qb(w|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[s>>2]=27488;B=0;va(448,t|0);u=B;B=0;do if(u&1){x=Rb()|0;y=Q;z=x}else{k[t>>2]=27560;x=o+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[o+52>>2]=16;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;B=0;wa(509,t|0,n|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(n);Yua(x);Ava(t);y=C;z=A;break}Yua(n);B=0;Ia(40,o|0,109780,23)|0;A=B;B=0;if(!(A&1)?(B=0,wa(510,q|0,t|0),A=B,B=0,!(A&1)):0){B=0;ya(425,q|0)|0;A=B;B=0;if(!(A&1)){Yua(q);k[o>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);break a}A=Rb()|0;C=Q;Yua(q);D=A;E=C;k[o>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);Qb(D|0)}C=Rb()|0;D=C;E=Q;k[o>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);Qb(D|0)}while(0);v=y;w=z;vva(s);Qb(w|0)}while(0);if((j+-1|0)>>>0>1){r=m;return}j=i>>>0>536870911?-1:i<<3;w=Rqa(j)|0;z=(i|0)>0;if(z){y=0;do{p[w+(y<<3)>>3]=+p[a+(y<<3)>>3]*2.0;y=y+1|0}while((y|0)!=(i|0));F=h/86400.0;y=Rqa(j)|0;if(z){v=0;do{p[y+(v<<3)>>3]=+p[g+(v<<3)>>3]/(+p[f+(v<<3)>>3]*+p[e+(v<<3)>>3])*100.0;v=v+1|0}while((v|0)!=(i|0));if(z){v=0;do{D=y+(v<<3)|0;if(+p[D>>3]>9.0)p[D>>3]=9.0;v=v+1|0}while((v|0)!=(i|0));G=F;H=y;I=y}else{G=F;H=y;I=y}}else{G=F;H=y;I=y}}else{y=Rqa(j)|0;G=h/86400.0;H=y;I=y}y=Rqa(j)|0;if(!i)J=Rqa(j)|0;else{v=i<<3;WEa(y|0,0,v|0)|0;D=Rqa(j)|0;WEa(D|0,0,v|0)|0;J=D}if(z){D=0;v=1;while(1){j=J+(D<<3)|0;h=+p[j>>3];o=0;while(1){F=+p[e+(o<<3)>>3]+h;o=o+1|0;if((o|0)==(v|0)){K=F;break}else h=F}p[j>>3]=K-+p[e+(D<<3)>>3]*.5;D=D+1|0;if((D|0)==(i|0))break;else v=v+1|0}}K=+p[d>>3];h=+p[J>>3];p[y>>3]=(+p[d+8>>3]-K)/(+p[J+8>>3]-h);v=i+-1|0;D=i+-2|0;p[y+(v<<3)>>3]=(+p[d+(v<<3)>>3]-+p[d+(D<<3)>>3])/(+p[J+(v<<3)>>3]-+p[J+(D<<3)>>3]);if((v|0)>1?(p[y+8>>3]=(+p[d+16>>3]-K)/(+p[J+16>>3]-h),(v|0)!=2):0){D=2;e=1;while(1){o=D+1|0;p[y+(D<<3)>>3]=(+p[d+(o<<3)>>3]-+p[d+(e<<3)>>3])/(+p[J+(o<<3)>>3]-+p[J+(e<<3)>>3]);if((o|0)==(v|0))break;else{s=D;D=o;e=s}}}if(z){e=0;do{D=y+(e<<3)|0;h=+$(+(+p[D>>3]));p[D>>3]=h;e=e+1|0}while((e|0)!=(i|0));if(z){h=G*86400.0;z=0;do{e=b+(z<<3)|0;K=+p[e>>3];if(!(K>0.0)){F=G*+$Z(+p[d+(z<<3)>>3],+p[f+(z<<3)>>3],+p[y+(z<<3)>>3]);D=w+(z<<3)|0;L=+p[D>>3]+F;p[D>>3]=L;if(+p[g+(z<<3)>>3]>0.0){F=+ba(+((+ba(+(L*.5),3.0)*4.1887902047863905+(h*(+ba(+(+p[I+(z<<3)>>3]),3.0)*4.22e-10)+1.28e-08))*.238732414637843),.3333333333333333)*2.0;p[D>>3]=F;M=F}else M=L;L=+p[c+(z<<3)>>3];if(L==1.0&M>2.0){p[D>>3]=2.0;N=2.0}else N=M;if(L!=1.0&N>5.0){p[D>>3]=5.0;O=5.0}else O=N}else{L=+p[y+(z<<3)>>3];F=+ja(+(-6.0e3/+p[d+(z<<3)>>3]));P=G*(F*-2.0e8);if(L<5.0){p[e>>3]=K+P;D=c+(z<<3)|0;R=G*(F*1.0e9)+ +p[D>>3];p[D>>3]=R;S=R}else{R=P*+ba(+L,.4);p[e>>3]=K+R;D=c+(z<<3)|0;K=R+ +p[D>>3];p[D>>3]=K;S=K}if(+p[g+(z<<3)>>3]>0.0){K=G*(+ba(+(+p[I+(z<<3)>>3]),3.0)*.0625);p[e>>3]=+p[e>>3]-K;D=c+(z<<3)|0;R=K+ +p[D>>3];p[D>>3]=R;T=R}else T=S;R=+p[e>>3];if(R<0.0){p[e>>3]=0.0;D=c+(z<<3)|0;U=D;V=+p[D>>3];W=0.0}else{U=c+(z<<3)|0;V=T;W=R}if(V<0.0){p[U>>3]=0.0;X=+p[e>>3]}else X=W;if(X>1.0){p[e>>3]=1.0;Y=1.0}else Y=X;R=+p[U>>3];if(R>1.0){p[U>>3]=1.0;Z=+p[e>>3];_=1.0}else{Z=Y;_=R}R=(1.0-Z)*.25+.1+(.5-_)*.1;p[w+(z<<3)>>3]=R;O=R}p[a+(z<<3)>>3]=O*.5;z=z+1|0}while((z|0)!=(i|0))}}Tqa(w);Tqa(y);Tqa(J);Tqa(H);r=m;return}function b_(a,b,c,d,e,f,g,h,i,j,l,m,n,o,q,s,u){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=h|0;i=i|0;j=+j;l=+l;m=+m;n=+n;o=+o;q=+q;s=s|0;u=u|0;var v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,ca=0,da=0,ea=0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ka=0.0,la=0.0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0;v=r;r=r+816|0;w=v+792|0;x=v+632|0;y=v+780|0;z=v+472|0;A=v+768|0;C=v+620|0;D=v+608|0;E=v+336|0;F=v+184|0;H=v+200|0;I=v+36|0;J=v+48|0;K=v+24|0;L=v+12|0;M=v;a:do if((u|0)==0&(GY()|0)?(vY()|0)==0:0){N=x+56|0;O=x+4|0;k[x>>2]=27524;k[N>>2]=27544;B=0;wa(508,x+56|0,O|0);P=B;B=0;if(P&1){P=Rb()|0;R=Q;S=P;vva(N);Qb(S|0)}k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[N>>2]=27488;B=0;va(448,O|0);P=B;B=0;do if(P&1){T=Rb()|0;U=Q;V=T}else{k[O>>2]=27560;T=x+36|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;k[T+12>>2]=0;k[x+52>>2]=16;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;B=0;wa(509,O|0,w|0);W=B;B=0;if(W&1){W=Rb()|0;X=Q;Yua(w);Yua(T);Ava(O);U=X;V=W;break}Yua(w);B=0;Ia(40,x|0,109804,17)|0;W=B;B=0;do if(!(W&1)?(B=0,wa(510,y|0,O|0),X=B,B=0,!(X&1)):0){B=0;ya(425,y|0)|0;X=B;B=0;if(X&1){X=Rb()|0;Y=Q;Yua(y);Z=Y;_=X;break}else{Yua(y);k[x>>2]=27468;k[N>>2]=27488;k[O>>2]=27560;Yua(T);Ava(O);vva(N);break a}}else ca=15;while(0);if((ca|0)==15){W=Rb()|0;Z=Q;_=W}k[x>>2]=27468;k[N>>2]=27488;k[O>>2]=27560;Yua(T);Ava(O);vva(N);da=_;ea=Z;Qb(da|0)}while(0);R=U;S=V;vva(N);Qb(S|0)}while(0);switch(b|0){case 1:{fa=1.48-+ba(+(3.0/(+p[c>>3]*.091)),-.07);p[a>>3]=fa;ga=fa;break}case 2:{fa=+p[c>>3]*2.0/1.0e3;ha=+$(+(+aa(+fa)));ia=fa==-G?G:ha;ha=+jsa(.98,1.0-ia*1.58);ka=ha*.606+ +isa(0.0,.95-ia*15.4)*.301+ +isa(.127,fa*346.3+.88-ia*32.31)*.093;p[a>>3]=ka;ga=ka;break}case 3:{ka=(e+-.5)*.05+(f-(g-f)*(+p[d>>3]+-910.0)/610.0);p[a>>3]=ka;ga=ka;break}case 4:{ka=q/86400.0;d=s>>>0>536870911?-1:s<<3;c=Rqa(d)|0;b=Rqa(d)|0;S=Rqa(d)|0;V=Rqa(d)|0;d=(s|0)>0;if(d){U=0;do{if(+p[i+(U<<3)>>3]>0.0)p[c+(U<<3)>>3]=m;U=U+1|0}while((U|0)!=(s|0));if(d){U=0;do{p[b+(U<<3)>>3]=+p[h+(U<<3)>>3]+-273.15;U=U+1|0}while((U|0)!=(s|0));if(d){U=0;do{m=+$(+(+p[b+(U<<3)>>3]))*o+n;p[S+(U<<3)>>3]=m;U=U+1|0}while((U|0)!=(s|0));if(d){U=0;do{if(+p[i+(U<<3)>>3]==0.0?+p[b+(U<<3)>>3]>=-10.0:0)p[c+(U<<3)>>3]=+p[S+(U<<3)>>3];U=U+1|0}while((U|0)!=(s|0));if(d){m=o*10.0+n;U=0;do{if(+p[b+(U<<3)>>3]<-10.0)p[c+(U<<3)>>3]=m;U=U+1|0}while((U|0)!=(s|0));if(d){U=0;do{p[V+(U<<3)>>3]=ka*((+p[a+(U<<3)>>3]-f)/+p[c+(U<<3)>>3]);U=U+1|0}while((U|0)!=(s|0));if(d){d=0;do{U=a+(d<<3)|0;p[U>>3]=+p[U>>3]-+p[V+(d<<3)>>3];d=d+1|0}while((d|0)!=(s|0))}}}}}}}if(l>0.0?+p[b>>3]<0.0:0)la=l/300.0*1.0e3+j;else la=j;j=g-(g-+p[a>>3])*+ja(+(-la/15.0));p[a>>3]=j;Tqa(c);Tqa(b);Tqa(S);Tqa(V);ga=+p[a>>3];break}default:{a=z+56|0;V=z+4|0;k[z>>2]=27524;k[a>>2]=27544;B=0;wa(508,z+56|0,V|0);S=B;B=0;if(S&1){S=Rb()|0;ma=Q;na=S;vva(a);Qb(na|0)}k[z+128>>2]=0;k[z+132>>2]=-1;k[z>>2]=27468;k[a>>2]=27488;B=0;va(448,V|0);S=B;B=0;do if(S&1){b=Rb()|0;oa=Q;pa=b}else{k[V>>2]=27560;b=z+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[z+52>>2]=16;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;B=0;wa(509,V|0,w|0);c=B;B=0;if(c&1){c=Rb()|0;s=Q;Yua(w);Yua(b);Ava(V);oa=s;pa=c;break}Yua(w);B=0;c=Ia(40,z|0,109822,46)|0;s=B;B=0;b:do if(!(s&1)?(B=0,Xa(239,c|0,0)|0,d=B,B=0,!(d&1)):0){d=Ab(20)|0;B=0;eb(502,A|0,109627,84);U=B;B=0;do if(!(U&1)){B=0;eb(502,C|0,109869,6);i=B;B=0;if(i&1){i=Rb()|0;h=Q;Yua(A);qa=i;ra=h;break}B=0;wa(510,D|0,V|0);h=B;B=0;if(h&1){h=Rb()|0;sa=Q;ta=1;xa=h}else{B=0;ua(163,d|0,A|0,C|0,449,D|0);h=B;B=0;if(h&1)za=1;else{B=0;eb(503,d|0,1240,229);B=0;za=0}h=Rb()|0;i=Q;Yua(D);sa=i;ta=za;xa=h}Yua(C);Yua(A);if(ta){qa=xa;ra=sa}else{Aa=xa;Ba=sa;break b}}else{h=Rb()|0;qa=h;ra=Q}while(0);zb(d|0);Aa=qa;Ba=ra}else ca=63;while(0);if((ca|0)==63){c=Rb()|0;Aa=c;Ba=Q}k[z>>2]=27468;k[a>>2]=27488;k[V>>2]=27560;Yua(b);Ava(V);vva(a);da=Aa;ea=Ba;Qb(da|0)}while(0);ma=oa;na=pa;vva(a);Qb(na|0)}}if(ga>1.0){na=E+56|0;a=E+4|0;k[E>>2]=27524;k[na>>2]=27544;B=0;wa(508,E+56|0,a|0);pa=B;B=0;if(pa&1){pa=Rb()|0;Ca=Q;Da=pa;vva(na);Qb(Da|0)}k[E+128>>2]=0;k[E+132>>2]=-1;k[E>>2]=27468;k[na>>2]=27488;B=0;va(448,a|0);pa=B;B=0;do if(pa&1){oa=Rb()|0;Ea=Q;Fa=oa}else{k[a>>2]=27560;oa=E+36|0;k[oa>>2]=0;k[oa+4>>2]=0;k[oa+8>>2]=0;k[oa+12>>2]=0;k[E+52>>2]=16;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;B=0;wa(509,a|0,w|0);ma=B;B=0;if(ma&1){ma=Rb()|0;Ba=Q;Yua(w);Yua(oa);Ava(a);Ea=Ba;Fa=ma;break}Yua(w);B=0;Ia(40,E|0,109876,13)|0;ma=B;B=0;do if(!(ma&1)?(B=0,wa(510,F|0,a|0),Ba=B,B=0,!(Ba&1)):0){B=0;ya(424,F|0)|0;Ba=B;B=0;if(Ba&1){Ba=Rb()|0;Aa=Q;Yua(F);Ga=Ba;Ha=Aa;break}Yua(F);k[E>>2]=27468;k[na>>2]=27488;k[a>>2]=27560;Yua(oa);Ava(a);vva(na);r=v;return}else ca=84;while(0);if((ca|0)==84){ma=Rb()|0;Ga=ma;Ha=Q}k[E>>2]=27468;k[na>>2]=27488;k[a>>2]=27560;Yua(oa);Ava(a);vva(na);da=Ga;ea=Ha;Qb(da|0)}while(0);Ca=Ea;Da=Fa;vva(na);Qb(Da|0)}if(ga<0.0){Da=H+56|0;na=H+4|0;k[H>>2]=27524;k[Da>>2]=27544;B=0;wa(508,H+56|0,na|0);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;Ja=Q;Ka=Fa;vva(Da);Qb(Ka|0)}k[H+128>>2]=0;k[H+132>>2]=-1;k[H>>2]=27468;k[Da>>2]=27488;B=0;va(448,na|0);Fa=B;B=0;do if(Fa&1){Ea=Rb()|0;La=Q;Ma=Ea}else{k[na>>2]=27560;Ea=H+36|0;k[Ea>>2]=0;k[Ea+4>>2]=0;k[Ea+8>>2]=0;k[Ea+12>>2]=0;k[H+52>>2]=16;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;B=0;wa(509,na|0,w|0);Ca=B;B=0;if(Ca&1){Ca=Rb()|0;Ha=Q;Yua(w);Yua(Ea);Ava(na);La=Ha;Ma=Ca;break}Yua(w);B=0;Ia(40,H|0,109890,19)|0;Ca=B;B=0;do if(!(Ca&1)?(B=0,wa(510,I|0,na|0),Ha=B,B=0,!(Ha&1)):0){B=0;ya(424,I|0)|0;Ha=B;B=0;if(Ha&1){Ha=Rb()|0;Ga=Q;Yua(I);Na=Ha;Oa=Ga;break}Yua(I);k[H>>2]=27468;k[Da>>2]=27488;k[na>>2]=27560;Yua(Ea);Ava(na);vva(Da);r=v;return}else ca=100;while(0);if((ca|0)==100){Ca=Rb()|0;Na=Ca;Oa=Q}k[H>>2]=27468;k[Da>>2]=27488;k[na>>2]=27560;Yua(Ea);Ava(na);vva(Da);da=Na;ea=Oa;Qb(da|0)}while(0);Ja=La;Ka=Ma;vva(Da);Qb(Ka|0)}j=+$(+ga);p[t>>3]=j;Ka=k[t+4>>2]|0;if(!(Ka>>>0>2146435072|(Ka|0)==2146435072&(k[t>>2]|0)>>>0>0)){r=v;return}v=J+56|0;Ka=J+4|0;k[J>>2]=27524;k[v>>2]=27544;B=0;wa(508,J+56|0,Ka|0);Da=B;B=0;if(Da&1){Da=Rb()|0;Pa=Q;Qa=Da;vva(v);Qb(Qa|0)}k[J+128>>2]=0;k[J+132>>2]=-1;k[J>>2]=27468;k[v>>2]=27488;B=0;va(448,Ka|0);Da=B;B=0;do if(Da&1){Ma=Rb()|0;Ra=Q;Sa=Ma}else{k[Ka>>2]=27560;Ma=J+36|0;k[Ma>>2]=0;k[Ma+4>>2]=0;k[Ma+8>>2]=0;k[Ma+12>>2]=0;k[J+52>>2]=16;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;B=0;wa(509,Ka|0,w|0);La=B;B=0;if(La&1){La=Rb()|0;Ja=Q;Yua(w);Yua(Ma);Ava(Ka);Ra=Ja;Sa=La;break}Yua(w);B=0;La=Ia(40,J|0,109910,14)|0;Ja=B;B=0;c:do if(!(Ja&1)?(B=0,Xa(239,La|0,0)|0,Oa=B,B=0,!(Oa&1)):0){Oa=Ab(20)|0;B=0;eb(502,K|0,109627,84);Na=B;B=0;do if(!(Na&1)){B=0;eb(502,L|0,109869,6);na=B;B=0;if(na&1){na=Rb()|0;H=Q;Yua(K);Ta=H;Ua=na;break}B=0;wa(510,M|0,Ka|0);na=B;B=0;if(na&1){na=Rb()|0;Va=1;Wa=na;Ya=Q}else{B=0;ua(163,Oa|0,K|0,L|0,454,M|0);na=B;B=0;if(na&1)Za=1;else{B=0;eb(503,Oa|0,1240,229);B=0;Za=0}na=Rb()|0;H=Q;Yua(M);Va=Za;Wa=na;Ya=H}Yua(L);Yua(K);if(Va){Ta=Ya;Ua=Wa}else{_a=Wa;$a=Ya;break c}}else{H=Rb()|0;Ta=Q;Ua=H}while(0);zb(Oa|0);_a=Ua;$a=Ta}else ca=119;while(0);if((ca|0)==119){La=Rb()|0;_a=La;$a=Q}k[J>>2]=27468;k[v>>2]=27488;k[Ka>>2]=27560;Yua(Ma);Ava(Ka);vva(v);da=_a;ea=$a;Qb(da|0)}while(0);Pa=Ra;Qa=Sa;vva(v);Qb(Qa|0)}function c_(a,b,c,d,e,f,g,h,i,j,l,m,n,o,q,s){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=+h;i=+i;j=+j;l=+l;m=+m;n=n|0;o=+o;q=+q;s=s|0;var t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0,Y=0,Z=0.0,_=0,$=0,aa=0.0,ca=0.0,da=0.0,ea=0,fa=0;t=r;r=r+176|0;u=t+152|0;v=t+16|0;w=t;a:do if((s|0)==0&(GY()|0)?(vY()|0)==0:0){x=v+56|0;y=v+4|0;k[v>>2]=27524;k[x>>2]=27544;B=0;wa(508,v+56|0,y|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;C=z;vva(x);Qb(C|0)}k[v+128>>2]=0;k[v+132>>2]=-1;k[v>>2]=27468;k[x>>2]=27488;B=0;va(448,y|0);z=B;B=0;do if(z&1){D=Rb()|0;E=Q;F=D}else{k[y>>2]=27560;D=v+36|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;k[D+12>>2]=0;k[v+52>>2]=16;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;B=0;wa(509,y|0,u|0);G=B;B=0;if(G&1){G=Rb()|0;H=Q;Yua(u);Yua(D);Ava(y);E=H;F=G;break}Yua(u);B=0;Ia(40,v|0,109925,18)|0;G=B;B=0;if(!(G&1)?(B=0,wa(510,w|0,y|0),G=B,B=0,!(G&1)):0){B=0;ya(425,w|0)|0;G=B;B=0;if(!(G&1)){Yua(w);k[v>>2]=27468;k[x>>2]=27488;k[y>>2]=27560;Yua(D);Ava(y);vva(x);break a}G=Rb()|0;H=Q;Yua(w);I=H;J=G;k[v>>2]=27468;k[x>>2]=27488;k[y>>2]=27560;Yua(D);Ava(y);vva(x);Qb(J|0)}G=Rb()|0;I=Q;J=G;k[v>>2]=27468;k[x>>2]=27488;k[y>>2]=27560;Yua(D);Ava(y);vva(x);Qb(J|0)}while(0);A=E;C=F;vva(x);Qb(C|0)}while(0);K=+p[d>>3];L=+p[c>>3];M=K*L*2102.0;N=l==0.0&K<910.0?.00012:!(K>=910.0)?.0013:.0032;l=h<.01?.01:h;h=+ka(+(q/N));q=l*(j*.029/(g*8.314)*(.16000000000000003/(h*h)));C=n>>>0>536870911?-1:n<<3;F=Rqa(C)|0;b:do if((n|0)!=0?(WEa(F|0,0,n<<3|0)|0,E=(n|0)>0,E):0){h=K;A=0;while(1){if(h<910.0)p[F+(A<<3)>>3]=.138-h*.00101+h*h*3.233e-06;J=A+1|0;if((J|0)==(n|0))break;h=+p[d+(J<<3)>>3];A=J}if(E){h=K;A=0;while(1){if(h>=910.0){O=+ja(+(+p[b+(A<<3)>>3]*-.0057))*9.828;p[F+(A<<3)>>3]=O}x=A+1|0;if((x|0)==(n|0)){P=1;break b}h=+p[d+(x<<3)>>3];A=x}}else P=0}else P=0;while(0);A=Rqa(C)|0;E=Rqa(C)|0;x=Rqa(C)|0;p[A>>3]=-9999.0;J=n+-1|0;p[E+(J<<3)>>3]=-9999.0;v=(n|0)>1;if(v){TEa(A+8|0,F|0,(n<<3)+-8|0)|0;TEa(E|0,F+8|0,(n<<3)+-8|0)|0}if(P)TEa(x|0,F|0,n<<3|0)|0;I=Rqa(C)|0;w=Rqa(C)|0;p[I>>3]=-9999.0;p[w+(J<<3)>>3]=-9999.0;if(v){TEa(I+8|0,c|0,(n<<3)+-8|0)|0;TEa(w|0,c+8|0,(n<<3)+-8|0)|0}if(P){h=+jsa(1.0e12,K*(L*L*2102.0)/(+p[F>>3]*3.0));if((n|0)==1)R=h;else{O=h;v=1;while(1){h=+p[c+(v<<3)>>3];S=+jsa(O,+p[d+(v<<3)>>3]*(h*h*2102.0)/(+p[F+(v<<3)>>3]*3.0));v=v+1|0;if((v|0)==(n|0)){R=S;break}else O=S}}}else R=1.0e12;v=0;O=1.0;while(1){S=+(k[36588+(v<<2)>>2]|0);h=!(S<R)|!(S>=O)?O:S;v=v+1|0;if((v|0)==45){T=h;break}else O=h}v=Rqa(C)|0;u=Rqa(C)|0;s=Rqa(C)|0;c:do if(P){O=-9999.0;R=L;h=-9999.0;S=K;y=0;while(1){U=+p[x+(y<<3)>>3];V=R*.5;p[v+(y<<3)>>3]=1.0/(O*.5/U+V/h);p[u+(y<<3)>>3]=1.0/(+p[w+(y<<3)>>3]*.5/U+V/+p[E+(y<<3)>>3]);p[s+(y<<3)>>3]=S*R*2102.0/T;z=y+1|0;if((z|0)==(n|0))break c;O=+p[I+(z<<3)>>3];R=+p[c+(z<<3)>>3];h=+p[A+(z<<3)>>3];S=+p[d+(z<<3)>>3];y=z}}while(0);y=Rqa(C)|0;z=Rqa(C)|0;D=Rqa(C)|0;if(P){G=0;do{S=+p[s+(G<<3)>>3];h=+p[v+(G<<3)>>3]/S;p[y+(G<<3)>>3]=h;R=+p[u+(G<<3)>>3]/S;p[z+(G<<3)>>3]=R;p[D+(G<<3)>>3]=1.0-h-R;G=G+1|0}while((G|0)!=(n|0));W=+p[z>>3]}else W=0.0;p[y+(J<<3)>>3]=0.0;p[D+(J<<3)>>3]=1.0;p[D>>3]=1.0-W;p[y>>3]=0.0;p[z+(J<<3)>>3]=0.0;J=Rqa(C)|0;if(P){G=0;do{p[J+(G<<3)>>3]=T*+p[e+(G<<3)>>3];G=G+1|0}while((G|0)!=(n|0));G=Rqa(C)|0;if(P?(p[G>>3]=+p[J>>3]/(K*2102.0*L),(n|0)!=1):0){e=1;do{p[G+(e<<3)>>3]=+p[J+(e<<3)>>3]/(+p[d+(e<<3)>>3]*2102.0*+p[c+(e<<3)>>3]);e=e+1|0}while((e|0)!=(n|0));X=G;Y=G}else{X=G;Y=G}}else{G=Rqa(C)|0;X=G;Y=G}L=T*f/M;G=n+2|0;e=Rqa(G>>>0>536870911?-1:G<<3)|0;if(G)WEa(e|0,0,G<<3|0)|0;G=Rqa(C)|0;c=Rqa(C)|0;if(!(m>=1.0)){Z=0.0;Tqa(F);Tqa(A);Tqa(E);Tqa(x);Tqa(v);Tqa(u);Tqa(s);Tqa(y);Tqa(z);Tqa(D);Tqa(I);Tqa(w);Tqa(J);Tqa(X);Tqa(e);Tqa(G);Tqa(c);p[a>>3]=Z;r=t;return}C=b+8|0;f=(o-N)*19.62;N=l*l;l=q*1005.0;d=e+8|0;H=n<<3;_=e+16|0;$=(n|0)==1;o=0.0;K=1.0;while(1){W=+p[b>>3];R=+jsa(273.15,(W+ +p[C>>3])*.5);h=g-R;S=+jsa(f*h/(N*(R+g)),.19);if(S>0.0)aa=1.0/(1.0-S*5.2);else aa=+ba(+(1.0-S*18.0),-.25);O=aa*(S<-.03?aa*1.3:aa);if(!(R>=273.15)){ca=2829500.0;da=+ja(+((R+-273.15)*17.502/(R+240.97+-273.15)))*611.21}else{ca=2495.0e3;da=+ja(+(9.550426-5723.265/R+ +ka(+R)*3.53068-R*.00728332))}S=(i-da)*(q*ca)*.622/j/O;V=S*86400.0/ca;U=T*(l*h/O+S)/M;S=T*(+ba(+R,4.0)*-5.67e-08)/M;d:do if(P){p[b>>3]=W+ +p[Y>>3];if(!$){ea=1;do{p[b+(ea<<3)>>3]=+p[b+(ea<<3)>>3]+ +p[Y+(ea<<3)>>3];ea=ea+1|0}while((ea|0)!=(n|0))}R=U+(S+(L+ +p[b>>3]));p[b>>3]=R;if(P){TEa(d|0,b|0,H|0)|0;TEa(G|0,e|0,H|0)|0;TEa(c|0,_|0,H|0)|0;O=R;ea=0;while(1){p[b+(ea<<3)>>3]=+p[D+(ea<<3)>>3]*O+ +p[y+(ea<<3)>>3]*+p[G+(ea<<3)>>3]+ +p[z+(ea<<3)>>3]*+p[c+(ea<<3)>>3];fa=ea+1|0;if((fa|0)==(n|0))break d;O=+p[b+(fa<<3)>>3];ea=fa}}}else p[b>>3]=U+(S+(L+W));while(0);W=o+T*(V/86400.0);K=T+K;if(!(K<=m)){Z=W;break}else o=W}Tqa(F);Tqa(A);Tqa(E);Tqa(x);Tqa(v);Tqa(u);Tqa(s);Tqa(y);Tqa(z);Tqa(D);Tqa(I);Tqa(w);Tqa(J);Tqa(X);Tqa(e);Tqa(G);Tqa(c);p[a>>3]=Z;r=t;return}function d_(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0.0,F=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0;l=r;r=r+176|0;m=l+152|0;n=l+16|0;o=l;a:do if((j|0)==0&(GY()|0)?(vY()|0)==0:0){q=n+56|0;s=n+4|0;k[n>>2]=27524;k[q>>2]=27544;B=0;wa(508,n+56|0,s|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;v=t;vva(q);Qb(v|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[q>>2]=27488;B=0;va(448,s|0);t=B;B=0;do if(t&1){w=Rb()|0;x=Q;y=w}else{k[s>>2]=27560;w=n+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[n+52>>2]=16;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;B=0;wa(509,s|0,m|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(m);Yua(w);Ava(s);x=A;y=z;break}Yua(m);B=0;Ia(40,n|0,109944,20)|0;z=B;B=0;if(!(z&1)?(B=0,wa(510,o|0,s|0),z=B,B=0,!(z&1)):0){B=0;ya(425,o|0)|0;z=B;B=0;if(!(z&1)){Yua(o);k[n>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(q);break a}z=Rb()|0;A=Q;Yua(o);C=z;D=A;k[n>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(q);Qb(C|0)}A=Rb()|0;C=A;D=Q;k[n>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(q);Qb(C|0)}while(0);u=x;v=y;vva(q);Qb(v|0)}while(0);v=i>>>0>536870911?-1:i<<3;y=Rqa(v)|0;if(i)WEa(y|0,0,i<<3|0)|0;if(!b){p[y>>3]=(1.0-e)*d;k[a>>2]=y;r=l;return}if((c|0)!=2){E=1.0-e;e=E*.36*d;F=E*.64*d;c=Rqa(v)|0;b=(i|0)>0;if(b){x=0;do{p[c+(x<<3)>>3]=(300.0-+p[f+(x<<3)>>3])*.014262295081967212+10.0;x=x+1|0}while((x|0)!=(i|0))}x=i+1|0;u=x>>>0>536870911?-1:x<<3;C=Rqa(u)|0;n=Rqa(v)|0;if(b){D=0;do{E=+ja(+-(+p[c+(D<<3)>>3]*+p[g+(D<<3)>>3]));p[n+(D<<3)>>3]=E;D=D+1|0}while((D|0)!=(i|0));p[C>>3]=1.0;if(b){E=+p[n>>3];D=0;o=1;while(1){if((D|0)<1)H=E;else{I=E;m=1;while(1){J=I*+p[n+(m<<3)>>3];m=m+1|0;if((m|0)==(o|0)){H=J;break}else I=J}}D=D+1|0;p[C+(D<<3)>>3]=H;if((D|0)==(i|0))break;else o=o+1|0}}}else p[C>>3]=1.0;o=Rqa(u)|0;if((i|0)>=0){u=0;do{p[o+(u<<3)>>3]=F*+p[C+(u<<3)>>3];u=u+1|0}while((u|0)!=(x|0))}if(b){F=+p[o>>3];b=0;do{x=b;b=b+1|0;H=F;F=+p[o+(b<<3)>>3];p[y+(x<<3)>>3]=H-F}while((b|0)!=(i|0))}p[y>>3]=e+ +p[y>>3];Tqa(C);Tqa(n);Tqa(o);Tqa(c);k[a>>2]=y;r=l;return}c=Rqa(v)|0;o=(i|0)>0;if(o){n=0;do{p[c+(n<<3)>>3]=+p[h+(n<<3)>>3]*2.0/1.0e3;n=n+1|0}while((n|0)!=(i|0))}n=i+1|0;h=n>>>0>536870911?-1:n<<3;C=Rqa(h)|0;b=Rqa(h)|0;x=(i|0)<0;if(!x){u=0;do{p[C+(u<<3)>>3]=1.0;p[b+(u<<3)>>3]=1.0;u=u+1|0}while((u|0)!=(n|0))}e=+p[c>>3];F=+$(+(+aa(+e)));u=e==-G;H=u?G:F;E=+jsa(.98,1.0-H*1.58);I=+isa(0.0,.95-H*15.4);H=d*.606*(1.0-E);E=d*.301*(1.0-I);I=d*.093*(1.0-+isa(.127,e*346.3+.88-(u?G:F*32.31)));u=Rqa(v)|0;D=Rqa(v)|0;m=Rqa(v)|0;if(o){F=+$(+(+aa(+e)));p[u>>3]=+p[f>>3]/(e==-G?G:F);if((i|0)!=1){q=1;do{F=+p[c+(q<<3)>>3];e=+$(+(+aa(+F)));p[u+(q<<3)>>3]=+p[f+(q<<3)>>3]/(F==-G?G:e);q=q+1|0}while((q|0)!=(i|0))}if(o){q=0;do{p[D+(q<<3)>>3]=+p[u+(q<<3)>>3]*.0192;q=q+1|0}while((q|0)!=(i|0));if(o){q=0;do{p[m+(q<<3)>>3]=+p[u+(q<<3)>>3]*.1098;q=q+1|0}while((q|0)!=(i|0))}}}q=Rqa(v)|0;f=Rqa(v)|0;if(o){v=0;do{e=+ja(+-(+p[D+(v<<3)>>3]*+p[g+(v<<3)>>3]));p[q+(v<<3)>>3]=e;v=v+1|0}while((v|0)!=(i|0));if(o){v=0;do{e=+ja(+-(+p[m+(v<<3)>>3]*+p[g+(v<<3)>>3]));p[f+(v<<3)>>3]=e;v=v+1|0}while((v|0)!=(i|0));if(o){e=+p[q>>3];F=+p[f>>3];v=0;g=1;while(1){if((v|0)<1){K=e;L=F}else{d=e;J=F;j=1;while(1){M=d*+p[q+(j<<3)>>3];N=J*+p[f+(j<<3)>>3];j=j+1|0;if((j|0)==(g|0)){K=M;L=N;break}else{d=M;J=N}}}v=v+1|0;p[C+(v<<3)>>3]=K;p[b+(v<<3)>>3]=L;if((v|0)==(i|0))break;else g=g+1|0}}}}g=Rqa(h)|0;v=Rqa(h)|0;if(!x){x=0;do{p[g+(x<<3)>>3]=H*+p[C+(x<<3)>>3];p[v+(x<<3)>>3]=E*+p[b+(x<<3)>>3];x=x+1|0}while((x|0)!=(n|0))}if(o){E=+p[g>>3];H=+p[v>>3];o=0;do{n=o;o=o+1|0;L=E;E=+p[g+(o<<3)>>3];K=H;H=+p[v+(o<<3)>>3];p[y+(n<<3)>>3]=L-E+(K-H)}while((o|0)!=(i|0))}p[y>>3]=I+ +p[y>>3];Tqa(c);Tqa(C);Tqa(b);Tqa(u);Tqa(D);Tqa(m);Tqa(q);Tqa(f);Tqa(g);Tqa(v);k[a>>2]=y;r=l;return}function e_(a,b,c,d,e,f,g,h,i,j,l,m,n,o){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=+j;l=+l;m=+m;n=+n;o=o|0;var q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0.0,_=0.0,$=0.0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0.0,la=0.0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0;q=r;r=r+384|0;s=q+360|0;t=q+356|0;u=q+352|0;v=q+348|0;w=q+344|0;x=q+340|0;y=q+336|0;z=q+332|0;A=q+328|0;C=q+192|0;D=q+176|0;E=q+40|0;F=q+24|0;G=q+12|0;H=q;k[t>>2]=0;k[u>>2]=0;k[v>>2]=0;k[w>>2]=0;k[x>>2]=0;k[y>>2]=0;k[z>>2]=0;k[A>>2]=0;a:do if((o|0)==0&(GY()|0)?(vY()|0)==0:0){I=C+56|0;J=C+4|0;k[C>>2]=27524;k[I>>2]=27544;B=0;wa(508,C+56|0,J|0);K=B;B=0;if(K&1){K=Rb()|0;L=Q;M=K;vva(I);Qb(M|0)}k[C+128>>2]=0;k[C+132>>2]=-1;k[C>>2]=27468;k[I>>2]=27488;B=0;va(448,J|0);K=B;B=0;do if(K&1){N=Rb()|0;O=Q;P=N}else{k[J>>2]=27560;N=C+36|0;k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;k[N+12>>2]=0;k[C+52>>2]=16;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;B=0;wa(509,J|0,s|0);R=B;B=0;if(R&1){R=Rb()|0;S=Q;Yua(s);Yua(N);Ava(J);O=S;P=R;break}Yua(s);B=0;Ia(40,C|0,109965,23)|0;R=B;B=0;do if(!(R&1)?(B=0,wa(510,D|0,J|0),S=B,B=0,!(S&1)):0){B=0;ya(425,D|0)|0;S=B;B=0;if(S&1){S=Rb()|0;T=Q;Yua(D);U=S;V=T;break}else{Yua(D);k[C>>2]=27468;k[I>>2]=27488;k[J>>2]=27560;Yua(N);Ava(J);vva(I);break a}}else W=15;while(0);if((W|0)==15){R=Rb()|0;U=R;V=Q}k[C>>2]=27468;k[I>>2]=27488;k[J>>2]=27560;Yua(N);Ava(J);vva(I);X=U;Y=V;Qb(X|0)}while(0);L=O;M=P;vva(I);Qb(M|0)}while(0);M=k[a>>2]|0;k[t>>2]=M;P=k[b>>2]|0;k[u>>2]=P;O=k[c>>2]|0;k[v>>2]=O;k[w>>2]=k[d>>2];L=k[e>>2]|0;k[x>>2]=L;V=k[f>>2]|0;k[y>>2]=V;U=k[g>>2]|0;k[z>>2]=U;C=k[h>>2]|0;k[A>>2]=C;D=k[i>>2]|0;o=Rqa(D>>>0>536870911?-1:D<<3)|0;J=(D|0)>0;K=O;O=P;P=M;M=L;L=V;V=U;U=C;if(J){C=0;do{p[o+(C<<3)>>3]=+p[K+(C<<3)>>3]*+p[O+(C<<3)>>3];C=C+1|0}while((C|0)!=(D|0));if(J){J=0;Z=0.0;while(1){_=Z+ +p[o+(J<<3)>>3];J=J+1|0;if((J|0)==(D|0)){$=_;break}else Z=_}}else $=0.0}else $=0.0;if(!(l>0.0)){aa=D;Tqa(o);ba=k[t>>2]|0;k[a>>2]=ba;ca=k[u>>2]|0;k[b>>2]=ca;da=k[v>>2]|0;k[c>>2]=da;ea=k[w>>2]|0;k[d>>2]=ea;fa=k[x>>2]|0;k[e>>2]=fa;ga=k[y>>2]|0;k[f>>2]=ga;ha=k[z>>2]|0;k[g>>2]=ha;ia=k[A>>2]|0;k[h>>2]=ia;k[i>>2]=aa;r=q;return}do if(!(j<=273.15)){Z=+p[o>>3];_=Z+l;p[P>>3]=((j+159.13415794481446)*l+Z*+p[P>>3])/_;Z=_/+p[O>>3];p[K>>3]=Z;if(Z>910.0){p[K>>3]=910.0;p[O>>3]=_/910.0;ja=D}else ja=D}else{_=l/150.0;if(_>m){jY(t,j,1,D);jY(u,_,1,D);jY(v,150.0,1,D);jY(w,0.0,1,D);jY(x,n,1,D);jY(y,.1,1,D);jY(z,1.0,1,D);jY(A,.5,1,D);ja=D+1|0;break}else{Z=+p[o>>3]+l;ka=_+ +p[O>>3];p[O>>3]=ka;p[K>>3]=Z/ka;p[P>>3]=(j*l+ +p[P>>3]*+p[o>>3])/Z;p[M>>3]=(l*n+ +p[M>>3]*+p[o>>3])/Z;p[L>>3]=(l*.1+ +p[L>>3]*+p[o>>3])/Z;p[V>>3]=(+p[V>>3]*+p[o>>3]+l)/Z;p[U>>3]=(l*.5+ +p[U>>3]*+p[o>>3])/Z;ja=D;break}}while(0);if((ja|0)>0){D=k[v>>2]|0;U=k[u>>2]|0;V=0;n=0.0;while(1){j=n+ +p[D+(V<<3)>>3]*+p[U+(V<<3)>>3];V=V+1|0;if((V|0)==(ja|0)){la=j;break}else n=j}}else la=0.0;if(!(+VEa(+((la-$-l)*100.0))/100.0>0.0)){aa=ja;Tqa(o);ba=k[t>>2]|0;k[a>>2]=ba;ca=k[u>>2]|0;k[b>>2]=ca;da=k[v>>2]|0;k[c>>2]=da;ea=k[w>>2]|0;k[d>>2]=ea;fa=k[x>>2]|0;k[e>>2]=fa;ga=k[y>>2]|0;k[f>>2]=ga;ha=k[z>>2]|0;k[g>>2]=ha;ia=k[A>>2]|0;k[h>>2]=ia;k[i>>2]=aa;r=q;return}q=E+56|0;aa=E+4|0;k[E>>2]=27524;k[q>>2]=27544;B=0;wa(508,E+56|0,aa|0);i=B;B=0;if(i&1){i=Rb()|0;ma=Q;na=i;vva(q);Qb(na|0)}k[E+128>>2]=0;k[E+132>>2]=-1;k[E>>2]=27468;k[q>>2]=27488;B=0;va(448,aa|0);i=B;B=0;do if(i&1){ia=Rb()|0;oa=Q;pa=ia}else{k[aa>>2]=27560;ia=E+36|0;k[ia>>2]=0;k[ia+4>>2]=0;k[ia+8>>2]=0;k[ia+12>>2]=0;k[E+52>>2]=16;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;B=0;wa(509,aa|0,s|0);h=B;B=0;if(h&1){h=Rb()|0;A=Q;Yua(s);Yua(ia);Ava(aa);oa=A;pa=h;break}Yua(s);B=0;h=Ia(40,E|0,109989,43)|0;A=B;B=0;b:do if(!(A&1)?(B=0,Xa(239,h|0,0)|0,ha=B,B=0,!(ha&1)):0){ha=Ab(20)|0;B=0;eb(502,F|0,109627,84);g=B;B=0;do if(!(g&1)){B=0;eb(502,G|0,110033,12);z=B;B=0;if(z&1){z=Rb()|0;ga=Q;Yua(F);qa=z;ra=ga;break}B=0;wa(510,H|0,aa|0);ga=B;B=0;if(ga&1){ga=Rb()|0;sa=1;ta=ga;xa=Q}else{B=0;ua(163,ha|0,F|0,G|0,1167,H|0);ga=B;B=0;if(ga&1)za=1;else{B=0;eb(503,ha|0,1240,229);B=0;za=0}ga=Rb()|0;z=Q;Yua(H);sa=za;ta=ga;xa=z}Yua(G);Yua(F);if(sa){qa=ta;ra=xa}else{Aa=ta;Ba=xa;break b}}else{z=Rb()|0;qa=z;ra=Q}while(0);zb(ha|0);Aa=qa;Ba=ra}else W=48;while(0);if((W|0)==48){h=Rb()|0;Aa=h;Ba=Q}k[E>>2]=27468;k[q>>2]=27488;k[aa>>2]=27560;Yua(ia);Ava(aa);vva(q);X=Aa;Y=Ba;Qb(X|0)}while(0);ma=oa;na=pa;vva(q);Qb(na|0)}function f_(a,b,c,d,e,f,g,h,i,j,l,m,n,o,q,s){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;l=l|0;m=m|0;n=+n;o=+o;q=+q;s=s|0;var t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0.0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0.0,Da=0.0,Ea=0,Fa=0,Ga=0.0,Ha=0,Ja=0,Ka=0,La=0,Ma=0.0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0.0,Ta=0,Ua=0.0,Va=0.0,Wa=0.0,Ya=0.0,Za=0.0,_a=0.0,$a=0,ab=0.0,bb=0.0,cb=0.0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0.0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0,Db=0.0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0;t=r;r=r+880|0;u=t+868|0;v=t+864|0;w=t+860|0;x=t+856|0;y=t+852|0;z=t+848|0;A=t+844|0;C=t+840|0;D=t+836|0;E=t+820|0;F=t+816|0;G=t+800|0;H=t+664|0;I=t+824|0;J=t+528|0;K=t+804|0;L=t+520|0;M=t+360|0;N=t+508|0;O=t+496|0;P=t+344|0;R=t+208|0;S=t+60|0;T=t+48|0;U=t+36|0;V=t+72|0;W=t+24|0;X=t+12|0;Y=t;k[v>>2]=0;k[w>>2]=0;k[x>>2]=0;k[y>>2]=k[d>>2];k[z>>2]=k[e>>2];k[A>>2]=k[f>>2];k[C>>2]=k[g>>2];k[D>>2]=k[h>>2];k[E>>2]=k[i>>2];k[F>>2]=k[j>>2];k[G>>2]=k[l>>2];Z=k[m>>2]|0;_=(s|0)==0;a:do if(_&(GY()|0)?(vY()|0)==0:0){s=H+56|0;$=H+4|0;k[H>>2]=27524;k[s>>2]=27544;B=0;wa(508,H+56|0,$|0);aa=B;B=0;if(aa&1){aa=Rb()|0;ba=Q;ca=aa;vva(s);Qb(ca|0)}k[H+128>>2]=0;k[H+132>>2]=-1;k[H>>2]=27468;k[s>>2]=27488;B=0;va(448,$|0);aa=B;B=0;do if(aa&1){da=Rb()|0;ea=Q;fa=da}else{k[$>>2]=27560;da=H+36|0;k[da>>2]=0;k[da+4>>2]=0;k[da+8>>2]=0;k[da+12>>2]=0;k[H+52>>2]=16;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;B=0;wa(509,$|0,u|0);ga=B;B=0;if(ga&1){ga=Rb()|0;ha=Q;Yua(u);Yua(da);Ava($);ea=ha;fa=ga;break}Yua(u);B=0;Ia(40,H|0,110046,15)|0;ga=B;B=0;do if(!(ga&1)?(B=0,wa(510,I|0,$|0),ha=B,B=0,!(ha&1)):0){B=0;ya(425,I|0)|0;ha=B;B=0;if(ha&1){ha=Rb()|0;ia=Q;Yua(I);ja=ha;ka=ia;break}else{Yua(I);k[H>>2]=27468;k[s>>2]=27488;k[$>>2]=27560;Yua(da);Ava($);vva(s);break a}}else la=15;while(0);if((la|0)==15){ga=Rb()|0;ja=ga;ka=Q}k[H>>2]=27468;k[s>>2]=27488;k[$>>2]=27560;Yua(da);Ava($);vva(s);ma=ja;na=ka;Qb(ma|0)}while(0);ba=ea;ca=fa;vva(s);Qb(ca|0)}while(0);ca=Z>>>0>536870911?-1:Z<<3;fa=Rqa(ca)|0;ea=(Z|0)==0;if(!ea)WEa(fa|0,0,Z<<3|0)|0;ba=Rqa(ca)|0;ka=Rqa(ca)|0;ja=Rqa(ca)|0;k[v>>2]=ja;H=(Z|0)>0;if(H){I=k[A>>2]|0;$=k[z>>2]|0;aa=0;do{p[ja+(aa<<3)>>3]=+p[I+(aa<<3)>>3]*+p[$+(aa<<3)>>3];aa=aa+1|0}while((aa|0)!=(Z|0));aa=Rqa(ca)|0;k[w>>2]=aa;if(H){$=k[y>>2]|0;I=0;do{p[aa+(I<<3)>>3]=+p[ja+(I<<3)>>3]*+p[$+(I<<3)>>3]*2102.0;I=I+1|0}while((I|0)!=(Z|0));I=Rqa(ca)|0;k[x>>2]=I;$=k[C>>2]|0;if(H){ja=0;do{p[I+(ja<<3)>>3]=+p[$+(ja<<3)>>3]*908661.2999999999;ja=ja+1|0}while((ja|0)!=(Z|0));oa=$}else oa=$}else la=26}else{$=Rqa(ca)|0;k[w>>2]=$;la=26}if((la|0)==26){$=Rqa(ca)|0;k[x>>2]=$;oa=k[C>>2]|0}q=+kY(oa,Z);o=q+ +kY(k[v>>2]|0,Z);q=+kY(k[w>>2]|0,Z);pa=q+ +kY(k[x>>2]|0,Z);oa=Rqa(ca)|0;if(!ea)WEa(oa|0,0,Z<<3|0)|0;if(H){$=k[y>>2]|0;ja=0;do{q=+isa(0.0,+p[$+(ja<<3)>>3]+-273.15);p[oa+(ja<<3)>>3]=q;ja=ja+1|0}while((ja|0)!=(Z|0));if(H){ja=k[y>>2]|0;$=0;do{I=ja+($<<3)|0;p[I>>3]=+p[I>>3]-+p[oa+($<<3)>>3];$=$+1|0}while(($|0)!=(Z|0))}}b:do if(+kY(k[C>>2]|0,Z)>0.0){c:do if(_&(GY()|0)?(vY()|0)==0:0){$=J+56|0;ja=J+4|0;k[J>>2]=27524;k[$>>2]=27544;B=0;wa(508,J+56|0,ja|0);I=B;B=0;if(I&1){I=Rb()|0;qa=Q;ra=I;vva($);Qb(ra|0)}k[J+128>>2]=0;k[J+132>>2]=-1;k[J>>2]=27468;k[$>>2]=27488;B=0;va(448,ja|0);I=B;B=0;do if(I&1){aa=Rb()|0;sa=Q;ta=aa}else{k[ja>>2]=27560;aa=J+36|0;k[aa>>2]=0;k[aa+4>>2]=0;k[aa+8>>2]=0;k[aa+12>>2]=0;k[J+52>>2]=16;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;B=0;wa(509,ja|0,u|0);ga=B;B=0;if(ga&1){ga=Rb()|0;ia=Q;Yua(u);Yua(aa);Ava(ja);sa=ia;ta=ga;break}Yua(u);B=0;Ia(40,J|0,110062,26)|0;ga=B;B=0;do if(!(ga&1)?(B=0,wa(510,K|0,ja|0),ia=B,B=0,!(ia&1)):0){B=0;ya(425,K|0)|0;ia=B;B=0;if(ia&1){ia=Rb()|0;ha=Q;Yua(K);xa=ia;za=ha;break}else{Yua(K);k[J>>2]=27468;k[$>>2]=27488;k[ja>>2]=27560;Yua(aa);Ava(ja);vva($);break c}}else la=55;while(0);if((la|0)==55){ga=Rb()|0;xa=ga;za=Q}k[J>>2]=27468;k[$>>2]=27488;k[ja>>2]=27560;Yua(aa);Ava(ja);vva($);ma=xa;na=za;Qb(ma|0)}while(0);qa=sa;ra=ta;vva($);Qb(ra|0)}while(0);if(H){s=k[y>>2]|0;ja=k[v>>2]|0;I=0;do{q=+isa(0.0,-((+p[s+(I<<3)>>3]+-273.15)*+p[ja+(I<<3)>>3]*2102.0)/334500.0);p[ba+(I<<3)>>3]=q;I=I+1|0}while((I|0)!=(Z|0));if(H){I=k[C>>2]|0;ja=0;do{q=+jsa(+p[ba+(ja<<3)>>3],+p[I+(ja<<3)>>3]);p[ka+(ja<<3)>>3]=q;ja=ja+1|0}while((ja|0)!=(Z|0));if(H){ja=k[C>>2]|0;I=0;do{s=ja+(I<<3)|0;p[s>>3]=+p[s>>3]-+p[ka+(I<<3)>>3];I=I+1|0}while((I|0)!=(Z|0));if(H){I=k[v>>2]|0;ja=0;do{s=I+(ja<<3)|0;p[s>>3]=+p[ka+(ja<<3)>>3]+ +p[s>>3];ja=ja+1|0}while((ja|0)!=(Z|0));if(H){ja=k[v>>2]|0;I=k[A>>2]|0;s=k[z>>2]|0;da=0;do{p[s+(da<<3)>>3]=+p[ja+(da<<3)>>3]/+p[I+(da<<3)>>3];da=da+1|0}while((da|0)!=(Z|0));if(H){da=k[y>>2]|0;I=k[v>>2]|0;ja=0;do{s=da+(ja<<3)|0;q=+p[s>>3];p[s>>3]=q+ +p[ka+(ja<<3)>>3]*((273.15-q)*2102.0+334500.0)/(+p[I+(ja<<3)>>3]*2102.0);ja=ja+1|0}while((ja|0)!=(Z|0));if(H){ja=k[z>>2]|0;I=0;do{da=ja+(I<<3)|0;if(+p[da>>3]>910.0)p[da>>3]=910.0;I=I+1|0}while((I|0)!=(Z|0));if(H){I=k[v>>2]|0;ja=k[z>>2]|0;da=k[A>>2]|0;s=0;while(1){p[da+(s<<3)>>3]=+p[I+(s<<3)>>3]/+p[ja+(s<<3)>>3];s=s+1|0;if((s|0)==(Z|0)){la=83;break b}}}}}}}}}}s=Rqa(ca)|0;Aa=s;Ba=s}else la=83;while(0);if((la|0)==83){ra=Rqa(ca)|0;if(H){ta=k[z>>2]|0;sa=k[v>>2]|0;qa=k[C>>2]|0;za=0;do{q=+p[ta+(za<<3)>>3];Ca=+isa(0.0,+p[qa+(za<<3)>>3]-(910.0-q)*.07*(+p[sa+(za<<3)>>3]/q));p[ra+(za<<3)>>3]=Ca;za=za+1|0}while((za|0)!=(Z|0));Aa=ra;Ba=ra}else{Aa=ra;Ba=ra}}if(!(+kY(oa,Z)>0.0)?!(+kY(Aa,Z)>0.0):0){Da=0.0;Ea=0;Fa=Z;Ga=0.0;Ha=0;Ja=0}else{ra=Rqa(ca)|0;if(H){za=0;do{Ca=+isa(0.0,+p[oa+(za<<3)>>3]+-159.1342);p[ra+(za<<3)>>3]=Ca;za=za+1|0}while((za|0)!=(Z|0))}if(+kY(ra,Z)>0.0){za=Rqa(ca)|0;if(H){sa=k[v>>2]|0;qa=0;do{p[za+(qa<<3)>>3]=+p[ra+(qa<<3)>>3]*2102.0/+p[sa+(qa<<3)>>3];qa=qa+1|0}while((qa|0)!=(Z|0))}if(+kY(za,Z)>0.0){qa=0;do{sa=za+(qa<<3)|0;ta=qa;qa=qa+1|0;xa=(k[v>>2]|0)+(qa<<3)|0;J=k[y>>2]|0;K=J+(qa<<3)|0;Ca=+p[sa>>3]*+p[xa>>3]/2102.0+ +p[K>>3];p[K>>3]=Ca;q=+isa(0.0,Ca+-273.15+-159.1342);p[ra+(qa<<3)>>3]=q;p[za+(qa<<3)>>3]=q*2102.0/+p[xa>>3];p[J+(ta<<3)>>3]=432.28419999999994;p[sa>>3]=0.0}while(+kY(za,Z)>0.0)}if(H){qa=k[y>>2]|0;sa=0;do{q=+isa(0.0,+p[qa+(sa<<3)>>3]+-273.15);p[oa+(sa<<3)>>3]=q;sa=sa+1|0}while((sa|0)!=(Z|0));Ka=za;la=90}else{La=za;la=101}}else{Ka=0;la=90}if((la|0)==90)if(H){za=k[z>>2]|0;sa=k[A>>2]|0;qa=0;do{p[fa+(qa<<3)>>3]=+p[oa+(qa<<3)>>3]*+p[za+(qa<<3)>>3]*+p[sa+(qa<<3)>>3]*2102.0/334500.0;qa=qa+1|0}while((qa|0)!=(Z|0));q=+kY(fa,Z);if(H){qa=k[y>>2]|0;sa=k[z>>2]|0;za=k[A>>2]|0;ta=0;do{Ca=+isa(0.0,-((+p[qa+(ta<<3)>>3]+-273.15)*+p[sa+(ta<<3)>>3]*+p[za+(ta<<3)>>3]*2102.0)/334500.0);p[ba+(ta<<3)>>3]=Ca;ta=ta+1|0}while((ta|0)!=(Z|0));Ma=q;Na=Ka}else{Ma=q;Na=Ka}}else{La=Ka;la=101}if((la|0)==101){Ma=+kY(fa,Z);Na=La}La=Rqa(ca)|0;if(ea){Oa=Rqa(ca)|0;Pa=L}else{ea=Z<<3;WEa(La|0,0,ea|0)|0;Ka=Rqa(ca)|0;WEa(Ka|0,0,ea|0)|0;Oa=Ka;Pa=L}k[L>>2]=Oa;if(H)WEa(ka|0,0,Z<<3|0)|0;Pa=Z+1|0;Ka=Rqa(Pa>>>0>536870911?-1:Pa<<3)|0;if(Pa)WEa(Ka|0,0,Pa<<3|0)|0;if(H){TEa(Ka+8|0,La|0,Z<<3|0)|0;Qa=Z}else Qa=Z;while(1){Pa=Qa+-1|0;if((Qa|0)<=0){Ra=0.0;break}if(+p[fa+(Pa<<3)>>3]>0.0){Ta=Pa;la=118;break}if(!~~+p[Aa+(Pa<<3)>>3])Qa=Pa;else{Ta=Pa;la=118;break}}if((la|0)==118)Ra=+(Ta|0);d:do if(H){Ta=k[z>>2]|0;Qa=k[v>>2]|0;Aa=k[C>>2]|0;Pa=k[y>>2]|0;ea=0;while(1){q=+p[fa+(ea<<3)>>3];Ca=q+ +p[Ka+(ea<<3)>>3];if(+(ea|0)>Ra&Ca==0.0)break;ca=Ta+(ea<<3)|0;Ua=+p[ca>>3];do if(!(Ua>=910.0)){ta=ba+(ea<<3)|0;Va=+p[ta>>3];za=Qa+(ea<<3)|0;Wa=+p[za>>3];if(Va==0.0){Ya=Wa-q;p[za>>3]=Ya;Za=+p[ca>>3];_a=+jsa(Ca,(910.0-Za)*.07*(Ya/Za)-+p[Aa+(ea<<3)>>3]);p[ka+(ea<<3)>>3]=_a;Za=+isa(0.0,Ca-_a);sa=ea+1|0;p[Ka+(sa<<3)>>3]=Za;p[La+(ea<<3)>>3]=0.0;$a=sa;break}Za=Wa/Ua;_a=+jsa(+jsa(Ca,(910.0-Ua)*Za),Va);Va=Wa+_a;p[za>>3]=Va;Wa=Va/Za;p[ca>>3]=Wa;Va=Ca-_a;sa=Aa+(ea<<3)|0;Ya=+jsa(Va,Za*((910.0-Wa)*.07)-+p[sa>>3]);qa=ka+(ea<<3)|0;p[qa>>3]=Ya;Wa=+p[sa>>3];if(Wa<-Ya){p[qa>>3]=Wa;ab=Wa}else ab=Ya;if(ab<0.0){Ya=+jsa(-ab,+jsa(Za*(910.0-+p[ca>>3]),+p[ta>>3]-_a));Wa=Ya+ +p[za>>3];p[za>>3]=Wa;p[ca>>3]=Wa/Za;bb=+p[qa>>3];cb=Ya}else{bb=ab;cb=0.0}qa=ea+1|0;ta=Ka+(qa<<3)|0;p[ta>>3]=Va-bb-cb;sa=Pa+(ea<<3)|0;Va=+p[sa>>3];p[sa>>3]=Va+(_a+cb)*((273.15-Va)*2102.0+334500.0)/(+p[za>>3]*2102.0);if(!(+p[ca>>3]==910.0)){$a=qa;break}p[Oa+(ea<<3)>>3]=+p[ta>>3];p[ta>>3]=0.0;$a=qa}else{qa=Qa+(ea<<3)|0;Va=+p[qa>>3]-q;p[qa>>3]=Va;_a=+p[ca>>3];Ya=+jsa(Ca,(910.0-_a)*.07*(Va/_a)-+p[Aa+(ea<<3)>>3]);p[ka+(ea<<3)>>3]=Ya;_a=+isa(0.0,Ca-Ya);p[Oa+(ea<<3)>>3]=_a;$a=ea+1|0}while(0);if(($a|0)<(Z|0))ea=$a;else break}if(H){ea=k[C>>2]|0;Aa=0;while(1){if(+p[ea+(Aa<<3)>>3]<0.0)break;Aa=Aa+1|0;if((Aa|0)>=(Z|0)){la=136;break}}if((la|0)==136){if(!H){db=0;break}Aa=k[C>>2]|0;ea=0;do{Qa=Aa+(ea<<3)|0;p[Qa>>3]=+p[ka+(ea<<3)>>3]+ +p[Qa>>3];ea=ea+1|0}while((ea|0)!=(Z|0));if(!H){db=0;break}ea=k[v>>2]|0;Aa=0;Qa=0;while(1){Pa=(+p[ea+(Qa<<3)>>3]!=0.0&1)+Aa|0;Qa=Qa+1|0;if((Qa|0)==(Z|0)){db=Pa;break d}else Aa=Pa}}Aa=M+56|0;Qa=M+4|0;k[M>>2]=27524;k[Aa>>2]=27544;B=0;wa(508,M+56|0,Qa|0);ea=B;B=0;if(ea&1){ea=Rb()|0;fb=Q;gb=ea;vva(Aa);Qb(gb|0)}k[M+128>>2]=0;k[M+132>>2]=-1;k[M>>2]=27468;k[Aa>>2]=27488;B=0;va(448,Qa|0);ea=B;B=0;do if(ea&1){Pa=Rb()|0;hb=Q;ib=Pa}else{k[Qa>>2]=27560;Pa=M+36|0;k[Pa>>2]=0;k[Pa+4>>2]=0;k[Pa+8>>2]=0;k[Pa+12>>2]=0;k[M+52>>2]=16;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;B=0;wa(509,Qa|0,u|0);Ta=B;B=0;if(Ta&1){Ta=Rb()|0;ca=Q;Yua(u);Yua(Pa);Ava(Qa);hb=ca;ib=Ta;break}Yua(u);B=0;Ta=Ia(40,M|0,110089,47)|0;ca=B;B=0;e:do if(ca&1)la=154;else{B=0;Xa(239,Ta|0,0)|0;$=B;B=0;if($&1){la=154;break}$=Ab(20)|0;B=0;eb(502,N|0,109627,84);qa=B;B=0;do if(!(qa&1)){B=0;eb(502,O|0,110137,4);ta=B;B=0;if(ta&1){ta=Rb()|0;za=Q;Yua(N);jb=ta;kb=za;break}B=0;wa(510,P|0,Qa|0);za=B;B=0;if(za&1){za=Rb()|0;lb=1;mb=za;nb=Q}else{B=0;ua(163,$|0,N|0,O|0,1437,P|0);za=B;B=0;if(za&1)ob=1;else{B=0;eb(503,$|0,1240,229);B=0;ob=0}za=Rb()|0;ta=Q;Yua(P);lb=ob;mb=za;nb=ta}Yua(O);Yua(N);if(lb){jb=mb;kb=nb}else{pb=mb;qb=nb;break e}}else{ta=Rb()|0;jb=ta;kb=Q}while(0);zb($|0);pb=jb;qb=kb}while(0);if((la|0)==154){Ta=Rb()|0;pb=Ta;qb=Q}k[M>>2]=27468;k[Aa>>2]=27488;k[Qa>>2]=27560;Yua(Pa);Ava(Qa);vva(Aa);ma=pb;na=qb;Qb(ma|0)}while(0);fb=hb;gb=ib;vva(Aa);Qb(gb|0)}else db=0}else db=0;while(0);gb=Rqa(db>>>0>1073741823?-1:db<<2)|0;if(H){H=k[v>>2]|0;db=0;ib=0;while(1){if(+p[H+(ib<<3)>>3]!=0.0){k[gb+(db<<2)>>2]=ib;rb=db+1|0}else rb=db;ib=ib+1|0;if((ib|0)==(Z|0)){sb=rb;break}else db=rb}}else sb=0;lY(v,Z,gb,sb);lY(C,Z,gb,sb);lY(z,Z,gb,sb);lY(y,Z,gb,sb);lY(D,Z,gb,sb);lY(E,Z,gb,sb);lY(F,Z,gb,sb);lY(G,Z,gb,sb);lY(w,Z,gb,sb);lY(x,Z,gb,sb);lY(L,Z,gb,sb);Tqa(gb);if((sb|0)>0){gb=k[v>>2]|0;Z=k[z>>2]|0;rb=k[A>>2]|0;db=0;do{p[rb+(db<<3)>>3]=+p[gb+(db<<3)>>3]/+p[Z+(db<<3)>>3];db=db+1|0}while((db|0)!=(sb|0))}cb=+kY(k[L>>2]|0,sb);Tqa(La);La=k[L>>2]|0;if(La)Tqa(La);k[L>>2]=0;Da=cb;Ea=Ka;Fa=sb;Ga=Ma;Ha=Na;Ja=ra}ra=k[A>>2]|0;Na=Fa;while(1){sb=Na+-1|0;if((Na|0)<=0){tb=0.0;la=181;break}if(+p[ra+(sb<<3)>>3]<n){ub=Na;vb=sb;la=180;break}else Na=sb}if((la|0)==180?(ub|0)>=1:0){tb=+(vb|0);la=181}if((la|0)==181){vb=k[v>>2]|0;ub=k[y>>2]|0;Na=k[D>>2]|0;sb=k[E>>2]|0;Ka=k[F>>2]|0;L=k[G>>2]|0;La=k[z>>2]|0;db=k[C>>2]|0;Z=0;while(1){gb=ra+(Z<<3)|0;if(+p[gb>>3]<n){rb=vb+(Z<<3)|0;Ma=+p[rb>>3];ib=Z+1|0;H=vb+(ib<<3)|0;cb=+p[H>>3];bb=Ma+cb;hb=ub+(ib<<3)|0;p[hb>>3]=(Ma*+p[ub+(Z<<3)>>3]+cb*+p[hb>>3])/bb;hb=Na+(ib<<3)|0;p[hb>>3]=(+p[Na+(Z<<3)>>3]*+p[rb>>3]+ +p[hb>>3]*+p[H>>3])/bb;hb=sb+(ib<<3)|0;p[hb>>3]=(+p[sb+(Z<<3)>>3]*+p[rb>>3]+ +p[hb>>3]*+p[H>>3])/bb;hb=Ka+(ib<<3)|0;p[hb>>3]=(+p[Ka+(Z<<3)>>3]*+p[rb>>3]+ +p[hb>>3]*+p[H>>3])/bb;hb=L+(ib<<3)|0;p[hb>>3]=(+p[L+(Z<<3)>>3]*+p[rb>>3]+ +p[hb>>3]*+p[H>>3])/bb;hb=ra+(ib<<3)|0;cb=+p[gb>>3]+ +p[hb>>3];p[hb>>3]=cb;p[La+(ib<<3)>>3]=bb/cb;hb=db+(ib<<3)|0;p[hb>>3]=+p[hb>>3]+ +p[db+(Z<<3)>>3];p[H>>3]=bb;p[rb>>3]=99999.0;wb=ib}else wb=Z+1|0;if(!(+(wb|0)<=tb))break;else Z=wb}}wb=(Fa|0)>0;if(wb){Z=k[v>>2]|0;db=0;La=0;while(1){ra=(+p[Z+(La<<3)>>3]!=99999.0&1)+db|0;La=La+1|0;if((La|0)==(Fa|0)){xb=ra;break}else db=ra}}else xb=0;db=Rqa(xb>>>0>1073741823?-1:xb<<2)|0;if(wb){wb=k[v>>2]|0;xb=0;La=0;while(1){if(+p[wb+(La<<3)>>3]!=99999.0){k[db+(xb<<2)>>2]=La;yb=xb+1|0}else yb=xb;La=La+1|0;if((La|0)==(Fa|0)){Bb=yb;break}else xb=yb}}else Bb=0;lY(v,Fa,db,Bb);lY(C,Fa,db,Bb);lY(A,Fa,db,Bb);lY(z,Fa,db,Bb);lY(y,Fa,db,Bb);lY(D,Fa,db,Bb);lY(E,Fa,db,Bb);lY(F,Fa,db,Bb);lY(G,Fa,db,Bb);lY(w,Fa,db,Bb);lY(x,Fa,db,Bb);Tqa(db);db=k[A>>2]|0;tb=n*2.0;if(!(+p[db+72>>3]>tb))if(!(+p[db+64>>3]>tb))if(!(+p[db+56>>3]>tb))if(!(+p[db+48>>3]>tb))if(!(+p[db+40>>3]>tb))if(!(+p[db+32>>3]>tb))if(!(+p[db+24>>3]>tb))if(!(+p[db+16>>3]>tb))if(+p[db+8>>3]>tb){Cb=db;Db=1.0;Eb=0;Fb=Bb}else{Cb=db;Db=0.0;Eb=0;Fb=Bb}else{Cb=db;Db=2.0;Eb=0;Fb=Bb}else{Cb=db;Db=3.0;Eb=0;Fb=Bb}else{Cb=db;Db=4.0;Eb=0;Fb=Bb}else{Cb=db;Db=5.0;Eb=0;Fb=Bb}else{Cb=db;Db=6.0;Eb=0;Fb=Bb}else{Cb=db;Db=7.0;Eb=0;Fb=Bb}else{Cb=db;Db=8.0;Eb=0;Fb=Bb}else{Cb=db;Db=9.0;Eb=0;Fb=Bb}f:while(1){Bb=Eb;while(1){if(+p[Cb+(Bb<<3)>>3]>tb){Gb=Bb;break}Bb=Bb+1|0;if(!(+(Bb|0)<=Db)){Hb=Fb;break f}}mY(A,Fb,Gb,.5);mY(C,Fb,Gb,.5);mY(v,Fb,Gb,.5);mY(y,Fb,Gb,1.0);mY(z,Fb,Gb,1.0);mY(D,Fb,Gb,1.0);mY(w,Fb,Gb,1.0);mY(x,Fb,Gb,1.0);mY(E,Fb,Gb,1.0);mY(F,Fb,Gb,1.0);mY(G,Fb,Gb,1.0);Bb=Fb+1|0;n=Db+1.0;if(!(+(Gb|0)<=n)){Hb=Bb;break}Cb=k[A>>2]|0;Db=n;Eb=Gb;Fb=Bb}Db=Da*908661.2999999999;Fb=(Hb|0)>0;if(Fb){Gb=k[v>>2]|0;Eb=k[y>>2]|0;Cb=k[w>>2]|0;Bb=0;do{p[Cb+(Bb<<3)>>3]=+p[Gb+(Bb<<3)>>3]*+p[Eb+(Bb<<3)>>3]*2102.0;Bb=Bb+1|0}while((Bb|0)!=(Hb|0));Bb=k[C>>2]|0;if(Fb){Eb=k[x>>2]|0;Gb=0;do{p[Eb+(Gb<<3)>>3]=+p[Bb+(Gb<<3)>>3]*908661.2999999999;Gb=Gb+1|0}while((Gb|0)!=(Hb|0));Ib=Bb}else Ib=Bb}else Ib=k[C>>2]|0;tb=+kY(Ib,Hb);n=Da+(tb+ +kY(k[v>>2]|0,Hb));tb=+kY(k[w>>2]|0,Hb);bb=tb+ +kY(k[x>>2]|0,Hb);g:do if(Fb){Ib=k[C>>2]|0;Bb=0;while(1){if(+p[Ib+(Bb<<3)>>3]<0.0)break;Bb=Bb+1|0;if((Bb|0)>=(Hb|0))break g}Bb=R+56|0;Ib=R+4|0;k[R>>2]=27524;k[Bb>>2]=27544;B=0;wa(508,R+56|0,Ib|0);Gb=B;B=0;if(Gb&1){Gb=Rb()|0;Jb=Q;Kb=Gb;vva(Bb);Qb(Kb|0)}k[R+128>>2]=0;k[R+132>>2]=-1;k[R>>2]=27468;k[Bb>>2]=27488;B=0;va(448,Ib|0);Gb=B;B=0;do if(Gb&1){Eb=Rb()|0;Lb=Q;Mb=Eb}else{k[Ib>>2]=27560;Eb=R+36|0;k[Eb>>2]=0;k[Eb+4>>2]=0;k[Eb+8>>2]=0;k[Eb+12>>2]=0;k[R+52>>2]=16;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;B=0;wa(509,Ib|0,u|0);Cb=B;B=0;if(Cb&1){Cb=Rb()|0;Aa=Q;Yua(u);Yua(Eb);Ava(Ib);Lb=Aa;Mb=Cb;break}Yua(u);B=0;Cb=Ia(40,R|0,110142,48)|0;Aa=B;B=0;h:do if(!(Aa&1)?(B=0,Xa(239,Cb|0,0)|0,db=B,B=0,!(db&1)):0){db=Ab(20)|0;B=0;eb(502,S|0,109627,84);Fa=B;B=0;do if(!(Fa&1)){B=0;eb(502,T|0,110137,4);yb=B;B=0;if(yb&1){yb=Rb()|0;xb=Q;Yua(S);Nb=yb;Ob=xb;break}B=0;wa(510,U|0,Ib|0);xb=B;B=0;if(xb&1){xb=Rb()|0;Pb=1;Sb=xb;Tb=Q}else{B=0;ua(163,db|0,S|0,T|0,1600,U|0);xb=B;B=0;if(xb&1)Ub=1;else{B=0;eb(503,db|0,1240,229);B=0;Ub=0}xb=Rb()|0;yb=Q;Yua(U);Pb=Ub;Sb=xb;Tb=yb}Yua(T);Yua(S);if(Pb){Nb=Sb;Ob=Tb}else{Vb=Sb;Wb=Tb;break h}}else{yb=Rb()|0;Nb=yb;Ob=Q}while(0);zb(db|0);Vb=Nb;Wb=Ob}else la=228;while(0);if((la|0)==228){Cb=Rb()|0;Vb=Cb;Wb=Q}k[R>>2]=27468;k[Bb>>2]=27488;k[Ib>>2]=27560;Yua(Eb);Ava(Ib);vva(Bb);ma=Vb;na=Wb;Qb(ma|0)}while(0);Jb=Lb;Kb=Mb;vva(Bb);Qb(Kb|0)}while(0);tb=+VEa(+(o-n+0.0));n=+VEa(+(pa-bb-Db+0.0));if(!(tb!=0.0|n!=0.0)){Kb=k[v>>2]|0;if(Kb){Tqa(Kb);k[v>>2]=0}v=k[w>>2]|0;if(v){Tqa(v);k[w>>2]=0}w=k[x>>2]|0;if(w){Tqa(w);k[x>>2]=0}Tqa(ba);Tqa(ka);Tqa(Ba);Tqa(oa);if(Ja)Tqa(Ja);if(Ha)Tqa(Ha);if(!Ea){Tqa(fa);p[a>>3]=Ga;p[b>>3]=Da;p[c>>3]=0.0;Xb=k[y>>2]|0;k[d>>2]=Xb;Yb=k[z>>2]|0;k[e>>2]=Yb;Zb=k[A>>2]|0;k[f>>2]=Zb;_b=k[C>>2]|0;k[g>>2]=_b;$b=k[D>>2]|0;k[h>>2]=$b;ac=k[E>>2]|0;k[i>>2]=ac;bc=k[F>>2]|0;k[j>>2]=bc;cc=k[G>>2]|0;k[l>>2]=cc;k[m>>2]=Hb;r=t;return}Tqa(Ea);Tqa(fa);p[a>>3]=Ga;p[b>>3]=Da;p[c>>3]=0.0;Xb=k[y>>2]|0;k[d>>2]=Xb;Yb=k[z>>2]|0;k[e>>2]=Yb;Zb=k[A>>2]|0;k[f>>2]=Zb;_b=k[C>>2]|0;k[g>>2]=_b;$b=k[D>>2]|0;k[h>>2]=$b;ac=k[E>>2]|0;k[i>>2]=ac;bc=k[F>>2]|0;k[j>>2]=bc;cc=k[G>>2]|0;k[l>>2]=cc;k[m>>2]=Hb;r=t;return}t=V+56|0;Hb=V+4|0;k[V>>2]=27524;k[t>>2]=27544;B=0;wa(508,V+56|0,Hb|0);m=B;B=0;if(m&1){m=Rb()|0;dc=Q;ec=m;vva(t);Qb(ec|0)}k[V+128>>2]=0;k[V+132>>2]=-1;k[V>>2]=27468;k[t>>2]=27488;B=0;va(448,Hb|0);m=B;B=0;do if(m&1){cc=Rb()|0;fc=Q;gc=cc}else{k[Hb>>2]=27560;cc=V+36|0;k[cc>>2]=0;k[cc+4>>2]=0;k[cc+8>>2]=0;k[cc+12>>2]=0;k[V+52>>2]=16;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;B=0;wa(509,Hb|0,u|0);l=B;B=0;if(l&1){l=Rb()|0;G=Q;Yua(u);Yua(cc);Ava(Hb);fc=G;gc=l;break}Yua(u);B=0;l=Ia(40,V|0,110191,51)|0;G=B;B=0;i:do if(!(G&1)?(B=0,bc=Ia(40,l|0,110243,4)|0,j=B,B=0,!(j&1)):0){B=0;j=Sa(1,bc|0,+tb)|0;bc=B;B=0;if(bc&1){la=256;break}B=0;bc=Ia(40,j|0,110248,5)|0;j=B;B=0;if(j&1){la=256;break}B=0;j=Sa(1,bc|0,+n)|0;bc=B;B=0;if(bc&1){la=256;break}B=0;bc=Ia(40,j|0,149177,1)|0;j=B;B=0;if(j&1){la=256;break}B=0;Xa(239,bc|0,0)|0;bc=B;B=0;if(bc&1){la=256;break}bc=Ab(20)|0;B=0;eb(502,W|0,109627,84);j=B;B=0;do if(!(j&1)){B=0;eb(502,X|0,110137,4);F=B;B=0;if(F&1){F=Rb()|0;ac=Q;Yua(W);hc=F;ic=ac;break}B=0;wa(510,Y|0,Hb|0);ac=B;B=0;if(ac&1){ac=Rb()|0;jc=1;kc=ac;lc=Q}else{B=0;ua(163,bc|0,W|0,X|0,1607,Y|0);ac=B;B=0;if(ac&1)mc=1;else{B=0;eb(503,bc|0,1240,229);B=0;mc=0}ac=Rb()|0;F=Q;Yua(Y);jc=mc;kc=ac;lc=F}Yua(X);Yua(W);if(jc){hc=kc;ic=lc}else{nc=kc;oc=lc;break i}}else{F=Rb()|0;hc=F;ic=Q}while(0);zb(bc|0);nc=hc;oc=ic}else la=256;while(0);if((la|0)==256){l=Rb()|0;nc=l;oc=Q}k[V>>2]=27468;k[t>>2]=27488;k[Hb>>2]=27560;Yua(cc);Ava(Hb);vva(t);ma=nc;na=oc;Qb(ma|0)}while(0);dc=fc;ec=gc;vva(t);Qb(ec|0)}function g_(a,b,c,d,e,f,g,h,i,j,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=+h;i=+i;j=j|0;l=l|0;var m=0,n=0,o=0,q=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0,R=0.0;m=r;r=r+176|0;n=m+152|0;o=m+16|0;q=m;s=g/86400.0;a:do if((l|0)==0&(GY()|0)?(vY()|0)==0:0){t=o+56|0;u=o+4|0;k[o>>2]=27524;k[t>>2]=27544;B=0;wa(508,o+56|0,u|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;x=v;vva(t);Qb(x|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[t>>2]=27488;B=0;va(448,u|0);v=B;B=0;do if(v&1){y=Rb()|0;z=Q;A=y}else{k[u>>2]=27560;y=o+36|0;k[y>>2]=0;k[y+4>>2]=0;k[y+8>>2]=0;k[y+12>>2]=0;k[o+52>>2]=16;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;B=0;wa(509,u|0,n|0);C=B;B=0;if(C&1){C=Rb()|0;D=Q;Yua(n);Yua(y);Ava(u);z=D;A=C;break}Yua(n);B=0;Ia(40,o|0,110254,24)|0;C=B;B=0;if(!(C&1)?(B=0,wa(510,q|0,u|0),C=B,B=0,!(C&1)):0){B=0;ya(425,q|0)|0;C=B;B=0;if(!(C&1)){Yua(q);k[o>>2]=27468;k[t>>2]=27488;k[u>>2]=27560;Yua(y);Ava(u);vva(t);break a}C=Rb()|0;D=Q;Yua(q);E=D;F=C;k[o>>2]=27468;k[t>>2]=27488;k[u>>2]=27560;Yua(y);Ava(u);vva(t);Qb(F|0)}C=Rb()|0;E=Q;F=C;k[o>>2]=27468;k[t>>2]=27488;k[u>>2]=27560;Yua(y);Ava(u);vva(t);Qb(F|0)}while(0);w=z;x=A;vva(t);Qb(x|0)}while(0);x=j>>>0>536870911?-1:j<<3;A=Rqa(x)|0;z=(j|0)>0;if(z){w=0;do{p[A+(w<<3)>>3]=+p[a+(w<<3)>>3]*+p[b+(w<<3)>>3];w=w+1|0}while((w|0)!=(j|0))}w=j+-1|0;F=Rqa(w>>>0>536870911?-1:w<<3)|0;g=+p[b>>3];p[F>>3]=g;if((w|0)>1){H=g;o=1;do{H=H+ +p[b+(o<<3)>>3];p[F+(o<<3)>>3]=H;o=o+1|0}while((o|0)!=(w|0))}w=Rqa(x)|0;p[w>>3]=0.0;if((j|0)>1){x=1;do{o=x+-1|0;p[w+(x<<3)>>3]=+p[F+(o<<3)>>3]*+p[a+(o<<3)>>3];x=x+1|0}while((x|0)!=(j|0))}if(!z){Tqa(A);Tqa(F);Tqa(w);r=m;return}H=f/1.0e3;z=H==-G;g=42400.0/(h*8.314);I=f*9.81;J=f/i;K=J*(139.21-h*.542)*8.36;L=J*(76.138-h*.28965)*8.36;h=0.0;J=0.0;x=0;while(1){switch(e|0){case 1:{M=+p[c+(x<<3)>>3]*8.314;N=+$(+(+aa(+H)));O=+ja(+(-10160.0/M))*11.0*f/1.0e3;P=+ja(+(-21400.0/M))*575.0*(z?G:N);break}case 2:{N=I*+ja(+(g-6.0e4/(+p[c+(x<<3)>>3]*8.314)));O=N*.07;P=N*.03;break}case 3:{N=+ja(+(-60.0/(+p[c+(x<<3)>>3]*8.314)));M=+p[d+(x<<3)>>3]/1.0e3;R=N*+p[w+(x<<3)>>3]/(M*M);O=R*9.2e-09;P=R*3.7e-09;break}case 4:{R=K*+ba(+(273.15-+p[c+(x<<3)>>3]),-2.061);O=R;P=R;break}case 5:{R=L*+ba(+(273.15-+p[c+(x<<3)>>3]),-2.061);O=R;P=R;break}default:{O=h;P=J}}o=a+(x<<3)|0;R=+p[o>>3];M=R+s*((i-R)*(!(R<=550.0)?P:O)/365.0);R=M>i?i:M;p[o>>3]=R;p[b+(x<<3)>>3]=+p[A+(x<<3)>>3]/R;x=x+1|0;if((x|0)==(j|0))break;else{h=O;J=P}}Tqa(A);Tqa(F);Tqa(w);r=m;return}function h_(a,b,c,d,e,f,g,h,i,j,l,m,n){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=+f;g=+g;h=+h;i=+i;j=+j;l=+l;m=+m;n=n|0;var o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0,R=0.0,S=0.0,T=0.0;o=r;r=r+176|0;q=o+152|0;s=o+16|0;t=o;a:do if((n|0)==0&(GY()|0)?(vY()|0)==0:0){u=s+56|0;v=s+4|0;k[s>>2]=27524;k[u>>2]=27544;B=0;wa(508,s+56|0,v|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;y=w;vva(u);Qb(y|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[u>>2]=27488;B=0;va(448,v|0);w=B;B=0;do if(w&1){z=Rb()|0;A=Q;C=z}else{k[v>>2]=27560;z=s+36|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;k[z+12>>2]=0;k[s+52>>2]=16;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;B=0;wa(509,v|0,q|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(q);Yua(z);Ava(v);A=E;C=D;break}Yua(q);B=0;Ia(40,s|0,110279,24)|0;D=B;B=0;if(!(D&1)?(B=0,wa(510,t|0,v|0),D=B,B=0,!(D&1)):0){B=0;ya(425,t|0)|0;D=B;B=0;if(!(D&1)){Yua(t);k[s>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(z);Ava(v);vva(u);break a}D=Rb()|0;E=Q;Yua(t);F=E;G=D;k[s>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(z);Ava(v);vva(u);Qb(G|0)}D=Rb()|0;F=Q;G=D;k[s>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(z);Ava(v);vva(u);Qb(G|0)}while(0);x=A;y=C;vva(u);Qb(y|0)}while(0);H=i<910.0&j==0.0?.00012:!(i>=910.0)?.0013:.0032;i=f<.01?.01:f;f=d-e;j=f*((l-H)*19.62)/((d+e)*(i*i));l=j>.19?.19:j;if(l>0.0)I=1.0/(1.0-l*5.2);else I=+ba(+(1.0-l*18.0),-.25);j=+ka(+(m/H));H=i*(h*.029/(d*8.314)*(.16000000000000003/(j*j)));j=I*(l<-.03?I*1.3:I);I=f*(H*1005.0)/j;if(!(e>=273.15)){J=2829500.0;K=+ja(+((e+-273.15)*17.502/(e+240.97+-273.15)))*611.21;L=H*J;M=g-K;N=L*M;O=N*.622;P=O/h;R=P/j;S=R*86400.0;T=S/J;p[a>>3]=I;p[b>>3]=R;p[c>>3]=T;r=o;return}else{J=2495.0e3;K=+ja(+(9.550426-5723.265/e+ +ka(+e)*3.53068-e*.00728332));L=H*J;M=g-K;N=L*M;O=N*.622;P=O/h;R=P/j;S=R*86400.0;T=S/J;p[a>>3]=I;p[b>>3]=R;p[c>>3]=T;r=o;return}}function i_(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;e=r;r=r+384|0;f=e+360|0;g=e+356|0;h=e+373|0;j=e+372|0;l=e+352|0;m=e+216|0;n=e+200|0;o=e+48|0;p=e+36|0;q=e+64|0;s=e+24|0;t=e+12|0;u=e;k[g>>2]=0;bO(b,j,314);bO(b,h,182);cO(b,l,183);if(!d){if(i[j>>0]|0){d=m+56|0;v=m+4|0;k[m>>2]=27524;k[d>>2]=27544;B=0;wa(508,m+56|0,v|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;y=w;vva(d);Qb(y|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[d>>2]=27488;B=0;va(448,v|0);w=B;B=0;do if(w&1){z=Rb()|0;A=Q;C=z}else{k[v>>2]=27560;z=m+36|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;k[z+12>>2]=0;k[m+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,v|0,f|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(f);Yua(z);Ava(v);A=E;C=D;break}Yua(f);B=0;D=Ia(40,m|0,110304,76)|0;E=B;B=0;a:do if(!(E&1)?(B=0,Xa(239,D|0,0)|0,F=B,B=0,!(F&1)):0){F=Ab(20)|0;B=0;eb(502,n|0,110381,91);G=B;B=0;do if(!(G&1)){B=0;eb(502,o|0,110473,34);H=B;B=0;if(H&1){H=Rb()|0;I=Q;Yua(n);J=H;K=I;break}B=0;wa(510,p|0,v|0);I=B;B=0;if(I&1){I=Rb()|0;L=Q;M=I;N=1}else{B=0;ua(163,F|0,n|0,o|0,40,p|0);I=B;B=0;if(I&1)O=1;else{B=0;eb(503,F|0,1240,229);B=0;O=0}I=Rb()|0;H=Q;Yua(p);L=H;M=I;N=O}Yua(o);Yua(n);if(N){J=M;K=L}else{P=M;R=L;break a}}else{I=Rb()|0;J=I;K=Q}while(0);zb(F|0);P=J;R=K}else S=19;while(0);if((S|0)==19){D=Rb()|0;P=D;R=Q}k[m>>2]=27468;k[d>>2]=27488;k[v>>2]=27560;Yua(z);Ava(v);vva(d);T=R;U=P;Qb(U|0)}while(0);x=A;y=C;vva(d);Qb(y|0)}}else i[j>>0]=0;if(!(i[h>>0]|0)){j_(g,b,c);V=k[g>>2]|0;k[a>>2]=V;r=e;return}switch(k[l>>2]|0){case 0:{k[g>>2]=507;V=507;k[a>>2]=V;r=e;return}case 1:{k[g>>2]=508;V=508;k[a>>2]=V;r=e;return}case 2:{k[g>>2]=509;V=509;k[a>>2]=V;r=e;return}case 3:{k[g>>2]=510;V=510;k[a>>2]=V;r=e;return}case 4:{k[g>>2]=511;V=511;k[a>>2]=V;r=e;return}default:{e=q+56|0;V=q+4|0;k[q>>2]=27524;k[e>>2]=27544;B=0;wa(508,q+56|0,V|0);a=B;B=0;if(a&1){a=Rb()|0;W=Q;X=a;vva(e);Qb(X|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[e>>2]=27488;B=0;va(448,V|0);a=B;B=0;do if(a&1){g=Rb()|0;Y=Q;Z=g}else{k[V>>2]=27560;g=q+36|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;k[q+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,V|0,f|0);l=B;B=0;if(l&1){l=Rb()|0;c=Q;Yua(f);Yua(g);Ava(V);Y=c;Z=l;break}Yua(f);B=0;l=Ia(40,q|0,110508,26)|0;c=B;B=0;b:do if(!(c&1)?(B=0,Xa(239,l|0,0)|0,b=B,B=0,!(b&1)):0){b=Ab(20)|0;B=0;eb(502,s|0,110381,91);h=B;B=0;do if(!(h&1)){B=0;eb(502,t|0,110473,34);j=B;B=0;if(j&1){j=Rb()|0;y=Q;Yua(s);_=j;$=y;break}B=0;wa(510,u|0,V|0);y=B;B=0;if(y&1){y=Rb()|0;aa=1;ba=Q;ca=y}else{B=0;ua(163,b|0,s|0,t|0,50,u|0);y=B;B=0;if(y&1)da=1;else{B=0;eb(503,b|0,1240,229);B=0;da=0}y=Rb()|0;j=Q;Yua(u);aa=da;ba=j;ca=y}Yua(t);Yua(s);if(aa){_=ca;$=ba}else{ea=ba;fa=ca;break b}}else{y=Rb()|0;_=y;$=Q}while(0);zb(b|0);ea=$;fa=_}else S=49;while(0);if((S|0)==49){l=Rb()|0;ea=Q;fa=l}k[q>>2]=27468;k[e>>2]=27488;k[V>>2]=27560;Yua(g);Ava(V);vva(e);T=ea;U=fa;Qb(U|0)}while(0);W=Y;X=Z;vva(e);Qb(X|0)}}}function j_(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;b=r;r=r+192|0;d=b+176|0;e=b+40|0;f=b+24|0;g=b+12|0;h=b;do switch(c|0){case 499:{i=512;break}case 518:{i=513;break}case 522:{i=514;break}case 485:{i=515;break}case 487:{i=516;break}case 489:{i=517;break}case 491:{i=518;break}case 508:{i=519;break}case 519:{i=520;break}case 494:{i=521;break}case 523:{i=522;break}case 511:{i=523;break}case 997:{i=524;break}case 525:{i=525;break}case 495:{i=526;break}default:{j=e+56|0;l=e+4|0;k[e>>2]=27524;k[j>>2]=27544;B=0;wa(508,e+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(j);Qb(o|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[j>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){p=Rb()|0;q=Q;s=p}else{k[l>>2]=27560;p=e+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,l|0,d|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);Yua(p);Ava(l);q=u;s=t;break}Yua(d);B=0;t=Ia(40,e|0,110535,15)|0;u=B;B=0;if((((!(u&1)?(B=0,u=ya(427,c|0)|0,v=B,B=0,!(v&1)):0)?(v=Lta(u)|0,B=0,w=Ia(40,t|0,u|0,v|0)|0,v=B,B=0,!(v&1)):0)?(B=0,v=Ia(40,w|0,146956,19)|0,w=B,B=0,!(w&1)):0)?(B=0,Xa(239,v|0,0)|0,v=B,B=0,!(v&1)):0){v=Ab(20)|0;B=0;eb(502,f|0,110551,84);w=B;B=0;do if(!(w&1)){B=0;eb(502,g|0,110636,27);u=B;B=0;if(u&1){u=Rb()|0;t=Q;Yua(f);x=t;y=u;break}B=0;wa(510,h|0,l|0);u=B;B=0;if(u&1){u=Rb()|0;z=Q;A=u;C=1}else{B=0;ua(163,v|0,f|0,g|0,75,h|0);u=B;B=0;if(u&1)D=1;else{B=0;eb(503,v|0,1240,229);B=0;D=0}u=Rb()|0;t=Q;Yua(h);z=t;A=u;C=D}Yua(g);Yua(f);if(C){x=z;y=A}else{E=z;F=A;k[e>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);Qb(F|0)}}else{u=Rb()|0;x=Q;y=u}while(0);zb(v|0);E=x;F=y;k[e>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);Qb(F|0)}w=Rb()|0;E=Q;F=w;k[e>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);Qb(F|0)}while(0);n=q;o=s;vva(j);Qb(o|0)}}while(0);k[a>>2]=i;r=b;return}function k_(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+188|0;e=b+40|0;f=b+24|0;g=b+12|0;h=b;i[d>>0]=0;vY()|0;bO(k[a+44>>2]|0,d,8);if(!(i[d>>0]|0)){r=b;return}b=e+56|0;d=e+4|0;k[e>>2]=27524;k[b>>2]=27544;B=0;wa(508,e+56|0,d|0);a=B;B=0;if(a&1){a=Rb()|0;j=Q;l=a;vva(b);Qb(l|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[b>>2]=27488;B=0;va(448,d|0);a=B;B=0;do if(a&1){m=Rb()|0;n=Q;o=m}else{k[d>>2]=27560;m=e+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,d|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(d);n=q;o=p;break}Yua(c);B=0;p=Ia(40,e|0,110664,72)|0;q=B;B=0;if(!(q&1)?(B=0,Xa(239,p|0,0)|0,p=B,B=0,!(p&1)):0){p=Ab(20)|0;B=0;eb(502,f|0,110737,64);q=B;B=0;do if(!(q&1)){B=0;eb(502,g|0,110802,7);s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(f);u=t;v=s;break}B=0;wa(510,h|0,d|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,p|0,f|0,g|0,326,h|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,p|0,1240,229);B=0;z=0}s=Rb()|0;t=Q;Yua(h);w=t;x=s;y=z}Yua(g);Yua(f);if(y){u=w;v=x}else{A=w;C=x;k[e>>2]=27468;k[b>>2]=27488;k[d>>2]=27560;Yua(m);Ava(d);vva(b);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(p|0);A=u;C=v;k[e>>2]=27468;k[b>>2]=27488;k[d>>2]=27560;Yua(m);Ava(d);vva(b);Qb(C|0)}q=Rb()|0;A=Q;C=q;k[e>>2]=27468;k[b>>2]=27488;k[d>>2]=27560;Yua(m);Ava(d);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function l_(a,b){a=a|0;b=b|0;var c=0,d=0;b=r;r=r+32|0;a=b+8|0;c=b;d=b+16|0;k[d>>2]=0;iZ(1,d)|0;if(k[d>>2]|0){r=b;return 1}nta(10)|0;if(k[d>>2]|0){r=b;return 1}k[c>>2]=110826;k[c+4>>2]=110856;mta(110810,c)|0;if(k[d>>2]|0){r=b;return 1}k[a>>2]=110887;k[a+4>>2]=110912;mta(110860,a)|0;if(k[d>>2]|0){r=b;return 1}nta(10)|0;r=b;return 1}function m_(){var a=0,b=0;a=r;r=r+16|0;b=a;iZ(1,b)|0;if(k[b>>2]|0){r=a;return}ota(110930)|0;r=a;return}function n_(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;do switch(a|0){case 382:{h=Qqa(4)|0;k[h>>2]=39620;i=h;break}case 479:{h=Qqa(4)|0;k[h>>2]=38012;i=h;break}case 480:{h=Qqa(4)|0;k[h>>2]=38088;i=h;break}case 481:{h=Qqa(4)|0;k[h>>2]=38164;i=h;break}case 484:{h=Qqa(4)|0;k[h>>2]=38240;i=h;break}case 486:{h=Qqa(4)|0;k[h>>2]=38316;i=h;break}case 488:{h=Qqa(4)|0;k[h>>2]=38392;i=h;break}case 490:{h=Qqa(4)|0;k[h>>2]=38468;i=h;break}case 492:{h=Qqa(4)|0;k[h>>2]=39392;i=h;break}case 493:{h=Qqa(4)|0;k[h>>2]=38544;i=h;break}case 496:{h=Qqa(4)|0;k[h>>2]=38620;i=h;break}case 497:{h=Qqa(4)|0;k[h>>2]=38696;i=h;break}case 498:{h=Qqa(4)|0;k[h>>2]=38860;i=h;break}case 500:{h=Qqa(4)|0;k[h>>2]=38936;i=h;break}case 501:{h=Qqa(4)|0;k[h>>2]=39012;i=h;break}case 504:{h=Qqa(4)|0;k[h>>2]=39088;i=h;break}case 505:{h=Qqa(4)|0;k[h>>2]=39240;i=h;break}case 506:{h=Qqa(4)|0;k[h>>2]=39316;i=h;break}case 507:{h=Qqa(4)|0;k[h>>2]=39164;i=h;break}case 509:{h=Qqa(4)|0;k[h>>2]=39468;i=h;break}case 510:{h=Qqa(4)|0;k[h>>2]=39544;i=h;break}case 512:{h=Qqa(4)|0;k[h>>2]=39696;i=h;break}case 513:{h=Qqa(4)|0;k[h>>2]=39772;i=h;break}case 515:{h=Qqa(4)|0;k[h>>2]=39848;i=h;break}case 516:{h=Qqa(4)|0;k[h>>2]=39924;i=h;break}case 517:{h=Qqa(4)|0;k[h>>2]=4e4;i=h;break}case 520:{h=Qqa(4)|0;k[h>>2]=40152;i=h;break}case 521:{h=Qqa(4)|0;k[h>>2]=40076;i=h;break}case 524:{h=Qqa(4)|0;k[h>>2]=38784;i=h;break}case 526:{h=Qqa(4)|0;k[h>>2]=40532;i=h;break}case 528:{h=Qqa(4)|0;k[h>>2]=40228;i=h;break}case 529:{h=Qqa(4)|0;k[h>>2]=40304;i=h;break}case 531:{h=Qqa(4)|0;k[h>>2]=40380;i=h;break}case 532:{h=Qqa(4)|0;k[h>>2]=40456;i=h;break}case 998:{h=Qqa(4)|0;k[h>>2]=40608;i=h;break}default:{h=d+56|0;j=d+4|0;k[d>>2]=27524;k[h>>2]=27544;B=0;wa(508,d+56|0,j|0);l=B;B=0;if(l&1){l=Rb()|0;m=Q;n=l;vva(h);Qb(n|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[h>>2]=27488;B=0;va(448,j|0);l=B;B=0;do if(l&1){o=Rb()|0;p=Q;q=o}else{k[j>>2]=27560;o=d+36|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[o+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,j|0,c|0);s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(c);Yua(o);Ava(j);p=t;q=s;break}Yua(c);B=0;s=Ia(40,d|0,110942,29)|0;t=B;B=0;if((((!(t&1)?(B=0,t=ya(427,a|0)|0,u=B,B=0,!(u&1)):0)?(u=Lta(t)|0,B=0,v=Ia(40,s|0,t|0,u|0)|0,u=B,B=0,!(u&1)):0)?(B=0,u=Ia(40,v|0,141170,1)|0,v=B,B=0,!(v&1)):0)?(B=0,Xa(239,u|0,0)|0,u=B,B=0,!(u&1)):0){u=Ab(20)|0;B=0;eb(502,e|0,110972,74);v=B;B=0;do if(!(v&1)){B=0;eb(502,f|0,111047,14);t=B;B=0;if(t&1){t=Rb()|0;s=Q;Yua(e);w=s;x=t;break}B=0;wa(510,g|0,j|0);t=B;B=0;if(t&1){t=Rb()|0;y=Q;z=t;A=1}else{B=0;ua(163,u|0,e|0,f|0,121,g|0);t=B;B=0;if(t&1)C=1;else{B=0;eb(503,u|0,1240,229);B=0;C=0}t=Rb()|0;s=Q;Yua(g);y=s;z=t;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;k[d>>2]=27468;k[h>>2]=27488;k[j>>2]=27560;Yua(o);Ava(j);vva(h);Qb(E|0)}}else{t=Rb()|0;w=Q;x=t}while(0);zb(u|0);D=w;E=x;k[d>>2]=27468;k[h>>2]=27488;k[j>>2]=27560;Yua(o);Ava(j);vva(h);Qb(E|0)}v=Rb()|0;D=Q;E=v;k[d>>2]=27468;k[h>>2]=27488;k[j>>2]=27560;Yua(o);Ava(j);vva(h);Qb(E|0)}while(0);m=p;n=q;vva(h);Qb(n|0)}}while(0);r=b;return i|0}function o_(a){a=a|0;gh(a);return}function p_(a){a=a|0;jh(a);return}function q_(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0;c=r;r=r+896|0;d=c+876|0;e=c+704|0;f=c+864|0;g=c+852|0;h=c+840|0;i=c+552|0;j=c+688|0;l=c+536|0;m=c+248|0;n=c+400|0;o=c+96|0;p=c+84|0;q=c+72|0;s=c+264|0;t=c+60|0;u=c+48|0;v=c+36|0;w=c+112|0;x=c+24|0;y=c+12|0;z=c;A=Hc[k[(k[b>>2]|0)+36>>2]&511](b)|0;if(!A){C=e+56|0;D=e+4|0;k[e>>2]=27524;k[C>>2]=27544;B=0;wa(508,e+56|0,D|0);E=B;B=0;if(E&1){E=Rb()|0;F=Q;G=E;vva(C);Qb(G|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[C>>2]=27488;B=0;va(448,D|0);E=B;B=0;do if(E&1){H=Rb()|0;I=Q;J=H}else{k[D>>2]=27560;H=e+36|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;k[H+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,D|0,d|0);K=B;B=0;if(K&1){K=Rb()|0;L=Q;Yua(d);Yua(H);Ava(D);I=L;J=K;break}Yua(d);B=0;K=Ia(40,e|0,111062,30)|0;L=B;B=0;a:do if(!(L&1)?(B=0,Xa(239,K|0,0)|0,M=B,B=0,!(M&1)):0){M=Ab(20)|0;B=0;eb(502,f|0,111093,74);N=B;B=0;do if(!(N&1)){B=0;eb(502,g|0,111168,9);O=B;B=0;if(O&1){O=Rb()|0;P=Q;Yua(f);R=P;S=O;break}B=0;wa(510,h|0,D|0);O=B;B=0;if(O&1){O=Rb()|0;T=Q;U=O;V=1}else{B=0;ua(163,M|0,f|0,g|0,46,h|0);O=B;B=0;if(O&1)W=1;else{B=0;eb(503,M|0,1240,229);B=0;W=0}O=Rb()|0;P=Q;Yua(h);T=P;U=O;V=W}Yua(g);Yua(f);if(V){R=T;S=U}else{X=T;Y=U;break a}}else{O=Rb()|0;R=Q;S=O}while(0);zb(M|0);X=R;Y=S}else Z=17;while(0);if((Z|0)==17){K=Rb()|0;X=Q;Y=K}k[e>>2]=27468;k[C>>2]=27488;k[D>>2]=27560;Yua(H);Ava(D);vva(C);_=X;$=Y;Qb($|0)}while(0);F=I;G=J;vva(C);Qb(G|0)}if(Gta(A,46)|0){G=i+56|0;C=i+4|0;k[i>>2]=27524;k[G>>2]=27544;B=0;wa(508,i+56|0,C|0);J=B;B=0;if(J&1){J=Rb()|0;aa=Q;ba=J;vva(G);Qb(ba|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[G>>2]=27488;B=0;va(448,C|0);J=B;B=0;do if(J&1){I=Rb()|0;ca=Q;da=I}else{k[C>>2]=27560;I=i+36|0;k[I>>2]=0;k[I+4>>2]=0;k[I+8>>2]=0;k[I+12>>2]=0;k[i+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,C|0,d|0);F=B;B=0;if(F&1){F=Rb()|0;Y=Q;Yua(d);Yua(I);Ava(C);ca=Y;da=F;break}Yua(d);B=0;F=Ia(40,i|0,111178,8)|0;Y=B;B=0;b:do if(((!(Y&1)?(X=Lta(A)|0,B=0,D=Ia(40,F|0,A|0,X|0)|0,X=B,B=0,!(X&1)):0)?(B=0,X=Ia(40,D|0,111187,31)|0,D=B,B=0,!(D&1)):0)?(B=0,Xa(239,X|0,0)|0,X=B,B=0,!(X&1)):0){X=Ab(20)|0;B=0;eb(502,j|0,111093,74);D=B;B=0;do if(!(D&1)){B=0;eb(502,l|0,111168,9);e=B;B=0;if(e&1){e=Rb()|0;S=Q;Yua(j);ea=S;fa=e;break}B=0;wa(510,m|0,C|0);e=B;B=0;if(e&1){e=Rb()|0;ga=1;ha=Q;ia=e}else{B=0;ua(163,X|0,j|0,l|0,47,m|0);e=B;B=0;if(e&1)ja=1;else{B=0;eb(503,X|0,1240,229);B=0;ja=0}e=Rb()|0;S=Q;Yua(m);ga=ja;ha=S;ia=e}Yua(l);Yua(j);if(ga){ea=ha;fa=ia}else{ka=ha;la=ia;break b}}else{e=Rb()|0;ea=Q;fa=e}while(0);zb(X|0);ka=ea;la=fa}else Z=43;while(0);if((Z|0)==43){F=Rb()|0;ka=Q;la=F}k[i>>2]=27468;k[G>>2]=27488;k[C>>2]=27560;Yua(I);Ava(C);vva(G);_=ka;$=la;Qb($|0)}while(0);aa=ca;ba=da;vva(G);Qb(ba|0)}if(Gta(A,91)|0){ba=n+56|0;G=n+4|0;k[n>>2]=27524;k[ba>>2]=27544;B=0;wa(508,n+56|0,G|0);da=B;B=0;if(da&1){da=Rb()|0;ma=Q;na=da;vva(ba);Qb(na|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[ba>>2]=27488;B=0;va(448,G|0);da=B;B=0;do if(da&1){ca=Rb()|0;oa=Q;pa=ca}else{k[G>>2]=27560;ca=n+36|0;k[ca>>2]=0;k[ca+4>>2]=0;k[ca+8>>2]=0;k[ca+12>>2]=0;k[n+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,G|0,d|0);aa=B;B=0;if(aa&1){aa=Rb()|0;la=Q;Yua(d);Yua(ca);Ava(G);oa=la;pa=aa;break}Yua(d);B=0;aa=Ia(40,n|0,111178,8)|0;la=B;B=0;c:do if(((!(la&1)?(ka=Lta(A)|0,B=0,C=Ia(40,aa|0,A|0,ka|0)|0,ka=B,B=0,!(ka&1)):0)?(B=0,ka=Ia(40,C|0,111219,31)|0,C=B,B=0,!(C&1)):0)?(B=0,Xa(239,ka|0,0)|0,ka=B,B=0,!(ka&1)):0){ka=Ab(20)|0;B=0;eb(502,o|0,111093,74);C=B;B=0;do if(!(C&1)){B=0;eb(502,p|0,111168,9);i=B;B=0;if(i&1){i=Rb()|0;fa=Q;Yua(o);qa=fa;ra=i;break}B=0;wa(510,q|0,G|0);i=B;B=0;if(i&1){i=Rb()|0;sa=1;ta=Q;xa=i}else{B=0;ua(163,ka|0,o|0,p|0,48,q|0);i=B;B=0;if(i&1)ya=1;else{B=0;eb(503,ka|0,1240,229);B=0;ya=0}i=Rb()|0;fa=Q;Yua(q);sa=ya;ta=fa;xa=i}Yua(p);Yua(o);if(sa){qa=ta;ra=xa}else{za=ta;Aa=xa;break c}}else{i=Rb()|0;qa=Q;ra=i}while(0);zb(ka|0);za=qa;Aa=ra}else Z=69;while(0);if((Z|0)==69){aa=Rb()|0;za=Q;Aa=aa}k[n>>2]=27468;k[ba>>2]=27488;k[G>>2]=27560;Yua(ca);Ava(G);vva(ba);_=za;$=Aa;Qb($|0)}while(0);ma=oa;na=pa;vva(ba);Qb(na|0)}if(Gta(A,93)|0){na=s+56|0;ba=s+4|0;k[s>>2]=27524;k[na>>2]=27544;B=0;wa(508,s+56|0,ba|0);pa=B;B=0;if(pa&1){pa=Rb()|0;Ba=Q;Ca=pa;vva(na);Qb(Ca|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[na>>2]=27488;B=0;va(448,ba|0);pa=B;B=0;do if(pa&1){oa=Rb()|0;Da=Q;Ea=oa}else{k[ba>>2]=27560;oa=s+36|0;k[oa>>2]=0;k[oa+4>>2]=0;k[oa+8>>2]=0;k[oa+12>>2]=0;k[s+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,ba|0,d|0);ma=B;B=0;if(ma&1){ma=Rb()|0;Aa=Q;Yua(d);Yua(oa);Ava(ba);Da=Aa;Ea=ma;break}Yua(d);B=0;ma=Ia(40,s|0,111178,8)|0;Aa=B;B=0;d:do if(((!(Aa&1)?(za=Lta(A)|0,B=0,G=Ia(40,ma|0,A|0,za|0)|0,za=B,B=0,!(za&1)):0)?(B=0,za=Ia(40,G|0,111251,31)|0,G=B,B=0,!(G&1)):0)?(B=0,Xa(239,za|0,0)|0,za=B,B=0,!(za&1)):0){za=Ab(20)|0;B=0;eb(502,t|0,111093,74);G=B;B=0;do if(!(G&1)){B=0;eb(502,u|0,111168,9);n=B;B=0;if(n&1){n=Rb()|0;ra=Q;Yua(t);Fa=ra;Ga=n;break}B=0;wa(510,v|0,ba|0);n=B;B=0;if(n&1){n=Rb()|0;Ha=Q;Ja=n;Ka=1}else{B=0;ua(163,za|0,t|0,u|0,49,v|0);n=B;B=0;if(n&1)La=1;else{B=0;eb(503,za|0,1240,229);B=0;La=0}n=Rb()|0;ra=Q;Yua(v);Ha=ra;Ja=n;Ka=La}Yua(u);Yua(t);if(Ka){Fa=Ha;Ga=Ja}else{Ma=Ha;Na=Ja;break d}}else{n=Rb()|0;Fa=Q;Ga=n}while(0);zb(za|0);Ma=Fa;Na=Ga}else Z=95;while(0);if((Z|0)==95){ma=Rb()|0;Ma=Q;Na=ma}k[s>>2]=27468;k[na>>2]=27488;k[ba>>2]=27560;Yua(oa);Ava(ba);vva(na);_=Ma;$=Na;Qb($|0)}while(0);Ba=Da;Ca=Ea;vva(na);Qb(Ca|0)}Ca=k[a>>2]|0;na=a+4|0;if(Ca>>>0<(k[na>>2]|0)>>>0)Oa=Ca;else{ih(a,b)|0;r=c;return 1}while(1){Ca=k[Oa>>2]|0;Oa=Oa+4|0;if(!(Ita(Hc[k[(k[Ca>>2]|0)+36>>2]&511](Ca)|0,A)|0))break;if(Oa>>>0>=(k[na>>2]|0)>>>0){Z=131;break}}if((Z|0)==131){ih(a,b)|0;r=c;return 1}c=w+56|0;b=w+4|0;k[w>>2]=27524;k[c>>2]=27544;B=0;wa(508,w+56|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;Pa=Q;Qa=a;vva(c);Qb(Qa|0)}k[w+128>>2]=0;k[w+132>>2]=-1;k[w>>2]=27468;k[c>>2]=27488;B=0;va(448,b|0);a=B;B=0;do if(a&1){na=Rb()|0;Ra=Q;Sa=na}else{k[b>>2]=27560;na=w+36|0;k[na>>2]=0;k[na+4>>2]=0;k[na+8>>2]=0;k[na+12>>2]=0;k[w+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,b|0,d|0);Oa=B;B=0;if(Oa&1){Oa=Rb()|0;Ca=Q;Yua(d);Yua(na);Ava(b);Ra=Ca;Sa=Oa;break}Yua(d);B=0;Oa=Ia(40,w|0,111283,9)|0;Ca=B;B=0;e:do if(((!(Ca&1)?(Ea=Lta(A)|0,B=0,Da=Ia(40,Oa|0,A|0,Ea|0)|0,Ea=B,B=0,!(Ea&1)):0)?(B=0,Ea=Ia(40,Da|0,111293,22)|0,Da=B,B=0,!(Da&1)):0)?(B=0,Xa(239,Ea|0,0)|0,Ea=B,B=0,!(Ea&1)):0){Ea=Ab(20)|0;B=0;eb(502,x|0,111093,74);Da=B;B=0;do if(!(Da&1)){B=0;eb(502,y|0,111168,9);Ba=B;B=0;if(Ba&1){Ba=Rb()|0;Na=Q;Yua(x);Ta=Na;Ua=Ba;break}B=0;wa(510,z|0,b|0);Ba=B;B=0;if(Ba&1){Ba=Rb()|0;Va=1;Wa=Q;Ya=Ba}else{B=0;ua(163,Ea|0,x|0,y|0,56,z|0);Ba=B;B=0;if(Ba&1)Za=1;else{B=0;eb(503,Ea|0,1240,229);B=0;Za=0}Ba=Rb()|0;Na=Q;Yua(z);Va=Za;Wa=Na;Ya=Ba}Yua(y);Yua(x);if(Va){Ta=Wa;Ua=Ya}else{_a=Wa;$a=Ya;break e}}else{Ba=Rb()|0;Ta=Q;Ua=Ba}while(0);zb(Ea|0);_a=Ta;$a=Ua}else Z=123;while(0);if((Z|0)==123){Oa=Rb()|0;_a=Q;$a=Oa}k[w>>2]=27468;k[c>>2]=27488;k[b>>2]=27560;Yua(na);Ava(b);vva(c);_=_a;$=$a;Qb($|0)}while(0);Pa=Ra;Qa=Sa;vva(c);Qb(Qa|0);return 0}function r_(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0;c=r;r=r+1264|0;d=c+1252|0;e=c+1080|0;f=c+1240|0;g=c+928|0;h=c+1228|0;i=c+792|0;j=c+1216|0;l=c+640|0;m=c+1064|0;n=c+488|0;o=c+776|0;p=c+352|0;q=c+624|0;s=c+200|0;t=c+336|0;u=c+48|0;v=c+36|0;w=c+64|0;x=c+24|0;y=c+12|0;z=c;A=k[a>>2]|0;C=a+4|0;if(A>>>0<(k[C>>2]|0)>>>0)D=A;else{E=0;r=c;return E|0}while(1){A=k[D>>2]|0;if(!A){F=3;break}a=Hc[k[(k[A>>2]|0)+36>>2]&511](A)|0;if(!(Mta(b,a,Lta(Hc[k[(k[A>>2]|0)+36>>2]&511](A)|0)|0)|0)){if(!(Ita(b,Hc[k[(k[A>>2]|0)+36>>2]&511](A)|0)|0)){E=A;F=146;break}if((Hc[k[(k[A>>2]|0)+20>>2]&511](A)|0)==982){G=A;F=113;break}if((Hc[k[(k[A>>2]|0)+20>>2]&511](A)|0)!=983){H=A;I=A;F=117;break}if((Hc[k[(k[A>>2]|0)+40>>2]&511](A)|0)>0){J=A;F=116;break}}D=D+4|0;if(D>>>0>=(k[C>>2]|0)>>>0){E=0;F=146;break}}if((F|0)==3){C=e+56|0;D=e+4|0;k[e>>2]=27524;k[C>>2]=27544;B=0;wa(508,e+56|0,D|0);A=B;B=0;if(A&1){A=Rb()|0;K=Q;L=A;vva(C);Qb(L|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[C>>2]=27488;B=0;va(448,D|0);A=B;B=0;do if(A&1){a=Rb()|0;M=Q;N=a}else{k[D>>2]=27560;a=e+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,D|0,d|0);O=B;B=0;if(O&1){O=Rb()|0;P=Q;Yua(d);Yua(a);Ava(D);M=P;N=O;break}Yua(d);B=0;Ia(40,e|0,111316,53)|0;O=B;B=0;do if(!(O&1)?(B=0,wa(510,f|0,D|0),P=B,B=0,!(P&1)):0){B=0;ya(424,f|0)|0;P=B;B=0;if(P&1){P=Rb()|0;R=Q;Yua(f);S=R;T=P;break}Yua(f);k[e>>2]=27468;k[C>>2]=27488;k[D>>2]=27560;Yua(a);Ava(D);vva(C);P=g+56|0;R=g+4|0;k[g>>2]=27524;k[P>>2]=27544;B=0;wa(508,g+56|0,R|0);U=B;B=0;if(U&1){U=Rb()|0;V=Q;W=U;vva(P);Qb(W|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[P>>2]=27488;B=0;va(448,R|0);U=B;B=0;do if(U&1){X=Rb()|0;Y=Q;Z=X}else{k[R>>2]=27560;X=g+36|0;k[X>>2]=0;k[X+4>>2]=0;k[X+8>>2]=0;k[X+12>>2]=0;k[g+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,R|0,d|0);_=B;B=0;if(_&1){_=Rb()|0;$=Q;Yua(d);Yua(X);Ava(R);Y=$;Z=_;break}Yua(d);B=0;Ia(40,g|0,149177,1)|0;_=B;B=0;do if(!(_&1)?(B=0,wa(510,h|0,R|0),$=B,B=0,!($&1)):0){B=0;ya(424,h|0)|0;$=B;B=0;if($&1){$=Rb()|0;aa=Q;Yua(h);ba=aa;ca=$;break}Yua(h);k[g>>2]=27468;k[P>>2]=27488;k[R>>2]=27560;Yua(X);Ava(R);vva(P);$=i+56|0;aa=i+4|0;k[i>>2]=27524;k[$>>2]=27544;B=0;wa(508,i+56|0,aa|0);da=B;B=0;if(da&1){da=Rb()|0;ea=Q;fa=da;vva($);Qb(fa|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[$>>2]=27488;B=0;va(448,aa|0);da=B;B=0;do if(da&1){ga=Rb()|0;ha=Q;ia=ga}else{k[aa>>2]=27560;ga=i+36|0;k[ga>>2]=0;k[ga+4>>2]=0;k[ga+8>>2]=0;k[ga+12>>2]=0;k[i+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,aa|0,d|0);ja=B;B=0;if(ja&1){ja=Rb()|0;ka=Q;Yua(d);Yua(ga);Ava(aa);ha=ka;ia=ja;break}Yua(d);B=0;Ia(40,i|0,111370,51)|0;ja=B;B=0;do if(ja&1)F=90;else{B=0;wa(510,j|0,aa|0);ka=B;B=0;if(ka&1){F=90;break}B=0;ya(424,j|0)|0;ka=B;B=0;if(ka&1){ka=Rb()|0;la=Q;Yua(j);ma=la;na=ka;break}Yua(j);k[i>>2]=27468;k[$>>2]=27488;k[aa>>2]=27560;Yua(ga);Ava(aa);vva($);ka=l+56|0;la=l+4|0;k[l>>2]=27524;k[ka>>2]=27544;B=0;wa(508,l+56|0,la|0);oa=B;B=0;if(oa&1){oa=Rb()|0;pa=Q;qa=oa;vva(ka);Qb(qa|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[ka>>2]=27488;B=0;va(448,la|0);oa=B;B=0;do if(oa&1){ra=Rb()|0;sa=Q;ta=ra}else{k[la>>2]=27560;ra=l+36|0;k[ra>>2]=0;k[ra+4>>2]=0;k[ra+8>>2]=0;k[ra+12>>2]=0;k[l+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,la|0,d|0);xa=B;B=0;if(xa&1){xa=Rb()|0;za=Q;Yua(d);Yua(ra);Ava(la);sa=za;ta=xa;break}Yua(d);B=0;Ia(40,l|0,149177,1)|0;xa=B;B=0;do if(xa&1)F=93;else{B=0;wa(510,m|0,la|0);za=B;B=0;if(za&1){F=93;break}B=0;ya(424,m|0)|0;za=B;B=0;if(za&1){za=Rb()|0;Aa=Q;Yua(m);Ba=Aa;Ca=za;break}Yua(m);k[l>>2]=27468;k[ka>>2]=27488;k[la>>2]=27560;Yua(ra);Ava(la);vva(ka);za=n+56|0;Aa=n+4|0;k[n>>2]=27524;k[za>>2]=27544;B=0;wa(508,n+56|0,Aa|0);Da=B;B=0;if(Da&1){Da=Rb()|0;Ea=Q;Fa=Da;vva(za);Qb(Fa|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[za>>2]=27488;B=0;va(448,Aa|0);Da=B;B=0;do if(Da&1){Ga=Rb()|0;Ha=Q;Ja=Ga}else{k[Aa>>2]=27560;Ga=n+36|0;k[Ga>>2]=0;k[Ga+4>>2]=0;k[Ga+8>>2]=0;k[Ga+12>>2]=0;k[n+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Aa|0,d|0);Ka=B;B=0;if(Ka&1){Ka=Rb()|0;La=Q;Yua(d);Yua(Ga);Ava(Aa);Ha=La;Ja=Ka;break}Yua(d);B=0;Ia(40,n|0,111422,84)|0;Ka=B;B=0;do if(Ka&1)F=96;else{B=0;wa(510,o|0,Aa|0);La=B;B=0;if(La&1){F=96;break}B=0;ya(424,o|0)|0;La=B;B=0;if(La&1){La=Rb()|0;Ma=Q;Yua(o);Na=La;Oa=Ma;break}Yua(o);k[n>>2]=27468;k[za>>2]=27488;k[Aa>>2]=27560;Yua(Ga);Ava(Aa);vva(za);Ma=p+56|0;La=p+4|0;k[p>>2]=27524;k[Ma>>2]=27544;B=0;wa(508,p+56|0,La|0);Pa=B;B=0;if(Pa&1){Pa=Rb()|0;Qa=Q;Ra=Pa;vva(Ma);Qb(Ra|0)}k[p+128>>2]=0;k[p+132>>2]=-1;k[p>>2]=27468;k[Ma>>2]=27488;B=0;va(448,La|0);Pa=B;B=0;do if(Pa&1){Sa=Rb()|0;Ta=Q;Ua=Sa}else{k[La>>2]=27560;Sa=p+36|0;k[Sa>>2]=0;k[Sa+4>>2]=0;k[Sa+8>>2]=0;k[Sa+12>>2]=0;k[p+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,La|0,d|0);Va=B;B=0;if(Va&1){Va=Rb()|0;Wa=Q;Yua(d);Yua(Sa);Ava(La);Ta=Wa;Ua=Va;break}Yua(d);B=0;Ia(40,p|0,149177,1)|0;Va=B;B=0;do if(Va&1)F=99;else{B=0;wa(510,q|0,La|0);Wa=B;B=0;if(Wa&1){F=99;break}B=0;ya(424,q|0)|0;Wa=B;B=0;if(Wa&1){Wa=Rb()|0;Ya=Q;Yua(q);Za=Wa;_a=Ya;break}Yua(q);k[p>>2]=27468;k[Ma>>2]=27488;k[La>>2]=27560;Yua(Sa);Ava(La);vva(Ma);Ya=s+56|0;Wa=s+4|0;k[s>>2]=27524;k[Ya>>2]=27544;B=0;wa(508,s+56|0,Wa|0);$a=B;B=0;if($a&1){$a=Rb()|0;ab=Q;bb=$a;vva(Ya);Qb(bb|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[Ya>>2]=27488;B=0;va(448,Wa|0);$a=B;B=0;do if($a&1){cb=Rb()|0;db=Q;fb=cb}else{k[Wa>>2]=27560;cb=s+36|0;k[cb>>2]=0;k[cb+4>>2]=0;k[cb+8>>2]=0;k[cb+12>>2]=0;k[s+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Wa|0,d|0);gb=B;B=0;if(gb&1){gb=Rb()|0;hb=Q;Yua(d);Yua(cb);Ava(Wa);db=hb;fb=gb;break}Yua(d);B=0;gb=Ia(40,s|0,111507,37)|0;hb=B;B=0;a:do if(hb&1)F=102;else{B=0;Xa(239,gb|0,0)|0;ib=B;B=0;if(ib&1){F=102;break}ib=Ab(20)|0;B=0;eb(502,t|0,111093,74);jb=B;B=0;do if(!(jb&1)){B=0;eb(502,u|0,111545,9);kb=B;B=0;if(kb&1){kb=Rb()|0;lb=Q;Yua(t);mb=lb;nb=kb;break}B=0;wa(510,v|0,Wa|0);kb=B;B=0;if(kb&1){kb=Rb()|0;ob=1;pb=kb;qb=Q}else{B=0;ua(163,ib|0,t|0,u|0,86,v|0);kb=B;B=0;if(kb&1)rb=1;else{B=0;eb(503,ib|0,1240,229);B=0;rb=0}kb=Rb()|0;lb=Q;Yua(v);ob=rb;pb=kb;qb=lb}Yua(u);Yua(t);if(ob){mb=qb;nb=pb}else{sb=pb;tb=qb;break a}}else{lb=Rb()|0;mb=Q;nb=lb}while(0);zb(ib|0);sb=nb;tb=mb}while(0);if((F|0)==102){gb=Rb()|0;sb=gb;tb=Q}k[s>>2]=27468;k[Ya>>2]=27488;k[Wa>>2]=27560;Yua(cb);Ava(Wa);vva(Ya);ub=sb;vb=tb;Qb(ub|0)}while(0);ab=db;bb=fb;vva(Ya);Qb(bb|0)}while(0);if((F|0)==99){Va=Rb()|0;Za=Va;_a=Q}k[p>>2]=27468;k[Ma>>2]=27488;k[La>>2]=27560;Yua(Sa);Ava(La);vva(Ma);ub=Za;vb=_a;Qb(ub|0)}while(0);Qa=Ta;Ra=Ua;vva(Ma);Qb(Ra|0)}while(0);if((F|0)==96){Ka=Rb()|0;Na=Ka;Oa=Q}k[n>>2]=27468;k[za>>2]=27488;k[Aa>>2]=27560;Yua(Ga);Ava(Aa);vva(za);ub=Na;vb=Oa;Qb(ub|0)}while(0);Ea=Ha;Fa=Ja;vva(za);Qb(Fa|0)}while(0);if((F|0)==93){xa=Rb()|0;Ba=Q;Ca=xa}k[l>>2]=27468;k[ka>>2]=27488;k[la>>2]=27560;Yua(ra);Ava(la);vva(ka);ub=Ca;vb=Ba;Qb(ub|0)}while(0);pa=sa;qa=ta;vva(ka);Qb(qa|0)}while(0);if((F|0)==90){ja=Rb()|0;ma=Q;na=ja}k[i>>2]=27468;k[$>>2]=27488;k[aa>>2]=27560;Yua(ga);Ava(aa);vva($);ub=na;vb=ma;Qb(ub|0)}while(0);ea=ha;fa=ia;vva($);Qb(fa|0)}else F=87;while(0);if((F|0)==87){_=Rb()|0;ba=Q;ca=_}k[g>>2]=27468;k[P>>2]=27488;k[R>>2]=27560;Yua(X);Ava(R);vva(P);ub=ca;vb=ba;Qb(ub|0)}while(0);V=Y;W=Z;vva(P);Qb(W|0)}else F=84;while(0);if((F|0)==84){O=Rb()|0;S=Q;T=O}k[e>>2]=27468;k[C>>2]=27488;k[D>>2]=27560;Yua(a);Ava(D);vva(C);ub=T;vb=S;Qb(ub|0)}while(0);K=M;L=N;vva(C);Qb(L|0)}else if((F|0)==113){E=r_(k[G+8>>2]|0,b)|0;r=c;return E|0}else if((F|0)==116){E=r_(k[k[J+8>>2]>>2]|0,b)|0;r=c;return E|0}else if((F|0)==117){J=w+56|0;G=w+4|0;k[w>>2]=27524;k[J>>2]=27544;B=0;wa(508,w+56|0,G|0);L=B;B=0;if(L&1){L=Rb()|0;wb=Q;xb=L;vva(J);Qb(xb|0)}k[w+128>>2]=0;k[w+132>>2]=-1;k[w>>2]=27468;k[J>>2]=27488;B=0;va(448,G|0);L=B;B=0;do if(L&1){C=Rb()|0;yb=Q;Bb=C}else{k[G>>2]=27560;C=w+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[w+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,G|0,d|0);N=B;B=0;if(N&1){N=Rb()|0;M=Q;Yua(d);Yua(C);Ava(G);yb=M;Bb=N;break}Yua(d);B=0;N=Ia(40,w|0,111555,22)|0;M=B;B=0;b:do if((((((!(M&1)?(K=Lta(b)|0,B=0,S=Ia(40,N|0,b|0,K|0)|0,K=B,B=0,!(K&1)):0)?(B=0,K=Ia(40,S|0,111578,24)|0,S=B,B=0,!(S&1)):0)?(B=0,S=ya(k[(k[I>>2]|0)+20>>2]|0,H|0)|0,T=B,B=0,!(T&1)):0)?(B=0,T=ya(427,S|0)|0,S=B,B=0,!(S&1)):0)?(S=Lta(T)|0,B=0,D=Ia(40,K|0,T|0,S|0)|0,S=B,B=0,!(S&1)):0)?(B=0,Xa(239,D|0,0)|0,D=B,B=0,!(D&1)):0){D=Ab(20)|0;B=0;eb(502,x|0,111093,74);S=B;B=0;do if(!(S&1)){B=0;eb(502,y|0,111545,9);T=B;B=0;if(T&1){T=Rb()|0;K=Q;Yua(x);Cb=T;Db=K;break}B=0;wa(510,z|0,G|0);K=B;B=0;if(K&1){K=Rb()|0;Eb=K;Fb=Q;Gb=1}else{B=0;ua(163,D|0,x|0,y|0,111,z|0);K=B;B=0;if(K&1)Hb=1;else{B=0;eb(503,D|0,1240,229);B=0;Hb=0}K=Rb()|0;T=Q;Yua(z);Eb=K;Fb=T;Gb=Hb}Yua(y);Yua(x);if(Gb){Cb=Eb;Db=Fb}else{Ib=Eb;Jb=Fb;break b}}else{T=Rb()|0;Cb=T;Db=Q}while(0);zb(D|0);Ib=Cb;Jb=Db}else F=137;while(0);if((F|0)==137){N=Rb()|0;Ib=N;Jb=Q}k[w>>2]=27468;k[J>>2]=27488;k[G>>2]=27560;Yua(C);Ava(G);vva(J);ub=Ib;vb=Jb;Qb(ub|0)}while(0);wb=yb;xb=Bb;vva(J);Qb(xb|0)}else if((F|0)==146){r=c;return E|0}return 0}function s_(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;d=r;r=r+16|0;e=d+8|0;f=d;i[a>>0]=91;i[a+1>>0]=0;g=c+-1|0;h=a+(Lta(a)|0)|0;if((c|0)>1){c=h;j=0;while(1){k[e>>2]=k[b+(j<<2)>>2];qta(c,111607,e)|0;j=j+1|0;l=a+(Lta(a)|0)|0;if((j|0)==(g|0)){m=l;break}else c=l}}else m=h;k[f>>2]=k[b+(g<<2)>>2];qta(m,111603,f)|0;r=d;return 0}function t_(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;d=r;r=r+16|0;e=d;bO(b,e,363);if(!(i[e>>0]|0)){r=d;return}Zka(c,a,111611,63);r=d;return}function u_(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0.0,X=0,Y=0,Z=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0.0,db=0.0,eb=0.0,fb=0.0,gb=0.0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0;b=r;r=r+1136|0;c=b+1108|0;d=b+24|0;e=b+16|0;f=b+8|0;g=b;h=b+1133|0;j=b+1132|0;l=b+1131|0;m=b+1129|0;n=b+1128|0;o=b+1127|0;q=b+1126|0;s=b+1125|0;t=b+1124|0;u=b+1123|0;v=b+1122|0;w=b+1120|0;x=b+1104|0;y=b+1100|0;z=b+1096|0;A=b+1092|0;C=b+1076|0;D=b+1060|0;E=b+1056|0;F=b+1052|0;G=b+904|0;H=b+1080|0;I=b+752|0;J=b+1064|0;K=b+616|0;L=b+1040|0;M=b+464|0;N=b+888|0;O=b+328|0;P=b+600|0;R=b+168|0;S=b+316|0;T=b+32|0;U=b+304|0;k[E>>2]=0;V=a+44|0;cO(k[V>>2]|0,z,298);cO(k[V>>2]|0,F,766);dO(k[V>>2]|0,d,354);dO(k[V>>2]|0,e,355);dO(k[V>>2]|0,f,358);dO(k[V>>2]|0,g,67);bO(k[V>>2]|0,b+1121|0,314);cO(k[V>>2]|0,x,328);cO(k[V>>2]|0,y,329);bO(k[V>>2]|0,w,357);bO(k[V>>2]|0,h,362);bO(k[V>>2]|0,j,364);bO(k[V>>2]|0,l,360);bO(k[V>>2]|0,m,365);bO(k[V>>2]|0,o,366);bO(k[V>>2]|0,q,370);bO(k[V>>2]|0,s,361);bO(k[V>>2]|0,n,363);bO(k[V>>2]|0,t,369);bO(k[V>>2]|0,u,367);bO(k[V>>2]|0,v,368);bO(k[V>>2]|0,b+1130|0,99);if(i[n>>0]|0)cO(k[V>>2]|0,A,942);cO(k[V>>2]|0,D,371);if(k[D>>2]|0)gO(k[V>>2]|0,E,D,372);if(k[y>>2]|0)Ch(a);W=+p[d>>3];a:do if(W<+p[e>>3]-+p[g>>3]*2.220446049250313e-16){d=G+56|0;X=G+4|0;Y=G+56|0;Z=G+128|0;$=G+132|0;aa=G+36|0;ba=G+52|0;ca=I+56|0;da=I+4|0;ea=I+56|0;fa=I+128|0;ga=I+132|0;ha=I+36|0;ia=I+52|0;ja=O+56|0;ka=O+4|0;la=O+56|0;ma=O+128|0;na=O+132|0;oa=O+36|0;pa=O+52|0;qa=a+48|0;ra=R+56|0;sa=R+4|0;ta=R+56|0;ua=R+128|0;xa=R+132|0;za=R+36|0;Aa=R+52|0;Ba=T+56|0;Ca=T+4|0;Da=T+56|0;Ea=T+128|0;Fa=T+132|0;Ga=T+36|0;Ha=T+52|0;Ja=M+56|0;Ka=M+4|0;La=M+56|0;Ma=M+128|0;Na=M+132|0;Oa=M+36|0;Pa=M+52|0;Qa=K+56|0;Ra=K+4|0;Ta=K+56|0;Ua=K+128|0;Va=K+132|0;Wa=K+36|0;Ya=K+52|0;Za=a+20|0;_a=a+24|0;$a=a+28|0;ab=a+36|0;bb=a+40|0;cb=W;b:while(1){if(i[w>>0]|0){hi(a,f);db=+p[f>>3];eb=+p[e>>3];if(cb+db>eb){fb=eb-cb;p[f>>3]=fb;gb=fb}else gb=db;pO(k[V>>2]|0,gb,358)}k[F>>2]=(k[F>>2]|0)+1;cb=cb+ +p[f>>3];pO(k[V>>2]|0,cb,767);oO(k[V>>2]|0,k[F>>2]|0,766);if(CY()|0){k[G>>2]=27524;k[d>>2]=27544;B=0;wa(508,Y|0,X|0);hb=B;B=0;if(hb&1){ib=18;break}k[Z>>2]=0;k[$>>2]=-1;k[G>>2]=27468;k[d>>2]=27488;B=0;va(448,X|0);hb=B;B=0;if(hb&1){ib=19;break}k[X>>2]=27560;k[aa>>2]=0;k[aa+4>>2]=0;k[aa+8>>2]=0;k[aa+12>>2]=0;k[ba>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,X|0,c|0);hb=B;B=0;if(hb&1){ib=17;break}Yua(c);B=0;hb=Ia(40,G|0,111627,10)|0;jb=B;B=0;if(jb&1){ib=34;break}B=0;jb=Xa(242,hb|0,k[F>>2]|0)|0;hb=B;B=0;if(hb&1){ib=34;break}B=0;hb=Ia(40,jb|0,148676,1)|0;jb=B;B=0;if(jb&1){ib=34;break}db=+_(+((+p[e>>3]-cb)/+p[f>>3]));B=0;jb=Sa(1,hb|0,+(db+ +(k[F>>2]|0)))|0;hb=B;B=0;if(hb&1){ib=34;break}B=0;hb=Ia(40,jb|0,111638,13)|0;jb=B;B=0;if(jb&1){ib=34;break}k[hb+(k[(k[hb>>2]|0)+-12>>2]|0)+8>>2]=4;B=0;jb=Sa(1,hb|0,+(cb/+p[g>>3]))|0;hb=B;B=0;if(hb&1){ib=34;break}B=0;hb=Ia(40,jb|0,111652,13)|0;jb=B;B=0;if(jb&1){ib=34;break}B=0;jb=Sa(1,hb|0,+(+p[f>>3]/+p[g>>3]))|0;hb=B;B=0;if(hb&1){ib=34;break}B=0;Ia(40,jb|0,145593,2)|0;jb=B;B=0;if(jb&1){ib=34;break}B=0;wa(510,H|0,X|0);jb=B;B=0;if(jb&1){ib=34;break}B=0;ya(425,H|0)|0;jb=B;B=0;if(jb&1){ib=35;break}Yua(H);k[G>>2]=27468;k[d>>2]=27488;k[X>>2]=27560;Yua(aa);Ava(X);vva(d)}jb=k[F>>2]|0;if(!((jb|0)%(k[x>>2]|0)|0))kb=1;else kb=(jb|0)==1?1:cb>=+p[e>>3]-+p[g>>3]*2.220446049250313e-16;mO(k[V>>2]|0,kb,759);if((i[m>>0]|0)!=0&(k[z>>2]|0)==302){if(i[l>>0]|0){cO(k[V>>2]|0,C,381);jb=k[C>>2]|0;if((jb|0)==438){Soa(a,521);lb=k[C>>2]|0}else lb=jb;if((lb|0)==457)Soa(a,521)}if(CY()|0){k[I>>2]=27524;k[ca>>2]=27544;B=0;wa(508,ea|0,da|0);jb=B;B=0;if(jb&1){ib=50;break}k[fa>>2]=0;k[ga>>2]=-1;k[I>>2]=27468;k[ca>>2]=27488;B=0;va(448,da|0);jb=B;B=0;if(jb&1){ib=51;break}k[da>>2]=27560;k[ha>>2]=0;k[ha+4>>2]=0;k[ha+8>>2]=0;k[ha+12>>2]=0;k[ia>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,da|0,c|0);jb=B;B=0;if(jb&1){ib=49;break}Yua(c);B=0;Ia(40,I|0,111666,28)|0;jb=B;B=0;if(jb&1){ib=58;break}B=0;wa(510,J|0,da|0);jb=B;B=0;if(jb&1){ib=58;break}B=0;ya(425,J|0)|0;jb=B;B=0;if(jb&1){ib=59;break}Yua(J);k[I>>2]=27468;k[ca>>2]=27488;k[da>>2]=27560;Yua(ha);Ava(da);vva(ca)}A_(a)}if(i[v>>0]|0)h0(a);if(i[h>>0]|0)j0(a);if(i[u>>0]|0)q0(a);if(i[t>>0]|0)r0(a);if(i[l>>0]|0)B_(a);if(i[j>>0]|0){x_(a);Dh(a)|0}if(i[n>>0]|0){if(CY()|0){k[K>>2]=27524;k[Qa>>2]=27544;B=0;wa(508,Ta|0,Ra|0);jb=B;B=0;if(jb&1){ib=80;break}k[Ua>>2]=0;k[Va>>2]=-1;k[K>>2]=27468;k[Qa>>2]=27488;B=0;va(448,Ra|0);jb=B;B=0;if(jb&1){ib=81;break}k[Ra>>2]=27560;k[Wa>>2]=0;k[Wa+4>>2]=0;k[Wa+8>>2]=0;k[Wa+12>>2]=0;k[Ya>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ra|0,c|0);jb=B;B=0;if(jb&1){ib=79;break}Yua(c);B=0;Ia(40,K|0,111695,41)|0;jb=B;B=0;if(jb&1){ib=88;break}B=0;wa(510,L|0,Ra|0);jb=B;B=0;if(jb&1){ib=88;break}B=0;ya(425,L|0)|0;jb=B;B=0;if(jb&1){ib=89;break}Yua(L);k[K>>2]=27468;k[Qa>>2]=27488;k[Ra>>2]=27560;Yua(Wa);Ava(Ra);vva(Qa)}s0(k[Za>>2]|0,k[_a>>2]|0,k[$a>>2]|0,k[ab>>2]|0,k[bb>>2]|0,k[V>>2]|0);oO(k[V>>2]|0,928,575);y_(a);oO(k[V>>2]|0,64,575);y_(a);oO(k[V>>2]|0,339,575);y_(a);if(kb){k[c>>2]=k[9192];k[c+4>>2]=k[9193];k[c+8>>2]=k[9194];fi(a,qa,c,3,1)}}Boa(a);if(i[o>>0]|0){if(CY()|0){k[M>>2]=27524;k[Ja>>2]=27544;B=0;wa(508,La|0,Ka|0);jb=B;B=0;if(jb&1){ib=99;break}k[Ma>>2]=0;k[Na>>2]=-1;k[M>>2]=27468;k[Ja>>2]=27488;B=0;va(448,Ka|0);jb=B;B=0;if(jb&1){ib=100;break}k[Ka>>2]=27560;k[Oa>>2]=0;k[Oa+4>>2]=0;k[Oa+8>>2]=0;k[Oa+12>>2]=0;k[Pa>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ka|0,c|0);jb=B;B=0;if(jb&1){ib=98;break}Yua(c);B=0;Ia(40,M|0,111737,42)|0;jb=B;B=0;if(jb&1){ib=107;break}B=0;wa(510,N|0,Ka|0);jb=B;B=0;if(jb&1){ib=107;break}B=0;ya(425,N|0)|0;jb=B;B=0;if(jb&1){ib=108;break}Yua(N);k[M>>2]=27468;k[Ja>>2]=27488;k[Ka>>2]=27560;Yua(Oa);Ava(Ka);vva(Ja)}Eia(a)}if((i[s>>0]|i[q>>0])<<24>>24)Wia(a);if(CY()|0){k[O>>2]=27524;k[ja>>2]=27544;B=0;wa(508,la|0,ka|0);jb=B;B=0;if(jb&1){ib=118;break}k[ma>>2]=0;k[na>>2]=-1;k[O>>2]=27468;k[ja>>2]=27488;B=0;va(448,ka|0);jb=B;B=0;if(jb&1){ib=119;break}k[ka>>2]=27560;k[oa>>2]=0;k[oa+4>>2]=0;k[oa+8>>2]=0;k[oa+12>>2]=0;k[pa>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ka|0,c|0);jb=B;B=0;if(jb&1){ib=117;break}Yua(c);B=0;Ia(40,O|0,111780,31)|0;jb=B;B=0;if(jb&1){ib=126;break}B=0;wa(510,P|0,ka|0);jb=B;B=0;if(jb&1){ib=126;break}B=0;ya(425,P|0)|0;jb=B;B=0;if(jb&1){ib=127;break}Yua(P);k[O>>2]=27468;k[ja>>2]=27488;k[ka>>2]=27560;Yua(oa);Ava(ka);vva(ja)}ci(a,qa,k[E>>2]|0,k[D>>2]|0,kb);do if(i[n>>0]|0){if((k[A>>2]&-2|0)!=924)break;k[c>>2]=928;fi(a,qa,c,1,kb)}while(0);if(kb){if(CY()|0){k[R>>2]=27524;k[ra>>2]=27544;B=0;wa(508,ta|0,sa|0);jb=B;B=0;if(jb&1){ib=138;break}k[ua>>2]=0;k[xa>>2]=-1;k[R>>2]=27468;k[ra>>2]=27488;B=0;va(448,sa|0);jb=B;B=0;if(jb&1){ib=139;break}k[sa>>2]=27560;k[za>>2]=0;k[za+4>>2]=0;k[za+8>>2]=0;k[za+12>>2]=0;k[Aa>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,sa|0,c|0);jb=B;B=0;if(jb&1){ib=137;break}Yua(c);B=0;Ia(40,R|0,116371,28)|0;jb=B;B=0;if(jb&1){ib=146;break}B=0;wa(510,S|0,sa|0);jb=B;B=0;if(jb&1){ib=146;break}B=0;ya(425,S|0)|0;jb=B;B=0;if(jb&1){ib=147;break}Yua(S);k[R>>2]=27468;k[ra>>2]=27488;k[sa>>2]=27560;Yua(za);Ava(sa);vva(ra)}CZ(a)}jb=k[y>>2]|0;do if(jb){if((k[F>>2]|0)%(jb|0)|0)break;if(CY()|0){k[T>>2]=27524;k[Ba>>2]=27544;B=0;wa(508,Da|0,Ca|0);hb=B;B=0;if(hb&1){ib=157;break b}k[Ea>>2]=0;k[Fa>>2]=-1;k[T>>2]=27468;k[Ba>>2]=27488;B=0;va(448,Ca|0);hb=B;B=0;if(hb&1){ib=158;break b}k[Ca>>2]=27560;k[Ga>>2]=0;k[Ga+4>>2]=0;k[Ga+8>>2]=0;k[Ga+12>>2]=0;k[Ha>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ca|0,c|0);hb=B;B=0;if(hb&1){ib=156;break b}Yua(c);B=0;Ia(40,T|0,111812,24)|0;hb=B;B=0;if(hb&1){ib=165;break b}B=0;wa(510,U|0,Ca|0);hb=B;B=0;if(hb&1){ib=165;break b}B=0;ya(425,U|0)|0;hb=B;B=0;if(hb&1){ib=166;break b}Yua(U);k[T>>2]=27468;k[Ba>>2]=27488;k[Ca>>2]=27560;Yua(Ga);Ava(Ca);vva(Ba)}Ah(a)}while(0);if(!(cb<+p[e>>3]-+p[g>>3]*2.220446049250313e-16))break a}switch(ib|0){case 17:{Ha=Rb()|0;Fa=Q;Yua(c);Yua(aa);Ava(X);mb=Fa;nb=Ha;ib=20;break}case 18:{Ha=Rb()|0;ob=Q;pb=Ha;vva(d);Qb(pb|0);break}case 19:{Ha=Rb()|0;mb=Q;nb=Ha;ib=20;break}case 34:{Ha=Rb()|0;qb=Q;rb=Ha;ib=36;break}case 35:{Ha=Rb()|0;Fa=Q;Yua(H);qb=Fa;rb=Ha;ib=36;break}case 49:{Ha=Rb()|0;Fa=Q;Yua(c);Yua(ha);Ava(da);sb=Fa;tb=Ha;ib=52;break}case 50:{Ha=Rb()|0;ub=Q;vb=Ha;vva(ca);Qb(vb|0);break}case 51:{Ha=Rb()|0;sb=Q;tb=Ha;ib=52;break}case 58:{Ha=Rb()|0;wb=Q;xb=Ha;ib=60;break}case 59:{Ha=Rb()|0;Fa=Q;Yua(J);wb=Fa;xb=Ha;ib=60;break}case 79:{Ha=Rb()|0;Fa=Q;Yua(c);Yua(Wa);Ava(Ra);yb=Fa;zb=Ha;ib=82;break}case 80:{Ha=Rb()|0;Ab=Q;Bb=Ha;vva(Qa);Qb(Bb|0);break}case 81:{Ha=Rb()|0;yb=Q;zb=Ha;ib=82;break}case 88:{Ha=Rb()|0;Cb=Q;Db=Ha;ib=90;break}case 89:{Ha=Rb()|0;Fa=Q;Yua(L);Cb=Fa;Db=Ha;ib=90;break}case 98:{Ha=Rb()|0;Fa=Q;Yua(c);Yua(Oa);Ava(Ka);Eb=Fa;Fb=Ha;ib=101;break}case 99:{Ha=Rb()|0;Gb=Q;Hb=Ha;vva(Ja);Qb(Hb|0);break}case 100:{Ha=Rb()|0;Eb=Q;Fb=Ha;ib=101;break}case 107:{Ha=Rb()|0;Ib=Q;Jb=Ha;ib=109;break}case 108:{Ha=Rb()|0;Fa=Q;Yua(N);Ib=Fa;Jb=Ha;ib=109;break}case 117:{Ha=Rb()|0;Fa=Q;Yua(c);Yua(oa);Ava(ka);Kb=Fa;Lb=Ha;ib=120;break}case 118:{Ha=Rb()|0;Mb=Q;Nb=Ha;vva(ja);Qb(Nb|0);break}case 119:{Ha=Rb()|0;Kb=Q;Lb=Ha;ib=120;break}case 126:{Ha=Rb()|0;Ob=Q;Pb=Ha;ib=128;break}case 127:{Ha=Rb()|0;Fa=Q;Yua(P);Ob=Fa;Pb=Ha;ib=128;break}case 137:{Ha=Rb()|0;Fa=Q;Yua(c);Yua(za);Ava(sa);Sb=Fa;Tb=Ha;ib=140;break}case 138:{Ha=Rb()|0;Ub=Q;Vb=Ha;vva(ra);Qb(Vb|0);break}case 139:{Ha=Rb()|0;Sb=Q;Tb=Ha;ib=140;break}case 146:{Ha=Rb()|0;Wb=Q;Xb=Ha;ib=148;break}case 147:{Ha=Rb()|0;Fa=Q;Yua(S);Wb=Fa;Xb=Ha;ib=148;break}case 156:{Ha=Rb()|0;Fa=Q;Yua(c);Yua(Ga);Ava(Ca);Yb=Fa;Zb=Ha;ib=159;break}case 157:{Ha=Rb()|0;_b=Q;$b=Ha;vva(Ba);Qb($b|0);break}case 158:{Ha=Rb()|0;Yb=Q;Zb=Ha;ib=159;break}case 165:{Ha=Rb()|0;ac=Q;bc=Ha;ib=167;break}case 166:{Ha=Rb()|0;Fa=Q;Yua(U);ac=Fa;bc=Ha;ib=167;break}}switch(ib|0){case 20:{ob=mb;pb=nb;vva(d);Qb(pb|0);break}case 36:{k[G>>2]=27468;k[d>>2]=27488;k[X>>2]=27560;Yua(aa);Ava(X);vva(d);cc=qb;dc=rb;Qb(dc|0);break}case 52:{ub=sb;vb=tb;vva(ca);Qb(vb|0);break}case 60:{k[I>>2]=27468;k[ca>>2]=27488;k[da>>2]=27560;Yua(ha);Ava(da);vva(ca);cc=wb;dc=xb;Qb(dc|0);break}case 82:{Ab=yb;Bb=zb;vva(Qa);Qb(Bb|0);break}case 90:{k[K>>2]=27468;k[Qa>>2]=27488;k[Ra>>2]=27560;Yua(Wa);Ava(Ra);vva(Qa);cc=Cb;dc=Db;Qb(dc|0);break}case 101:{Gb=Eb;Hb=Fb;vva(Ja);Qb(Hb|0);break}case 109:{k[M>>2]=27468;k[Ja>>2]=27488;k[Ka>>2]=27560;Yua(Oa);Ava(Ka);vva(Ja);cc=Ib;dc=Jb;Qb(dc|0);break}case 120:{Mb=Kb;Nb=Lb;vva(ja);Qb(Nb|0);break}case 128:{k[O>>2]=27468;k[ja>>2]=27488;k[ka>>2]=27560;Yua(oa);Ava(ka);vva(ja);cc=Ob;dc=Pb;Qb(dc|0);break}case 140:{Ub=Sb;Vb=Tb;vva(ra);Qb(Vb|0);break}case 148:{k[R>>2]=27468;k[ra>>2]=27488;k[sa>>2]=27560;Yua(za);Ava(sa);vva(ra);cc=Wb;dc=Xb;Qb(dc|0);break}case 159:{_b=Yb;$b=Zb;vva(Ba);Qb($b|0);break}case 167:{k[T>>2]=27468;k[Ba>>2]=27488;k[Ca>>2]=27560;Yua(Ga);Ava(Ca);vva(Ba);cc=ac;dc=bc;Qb(dc|0);break}}}while(0);gi(a);a=k[D>>2]|0;if(!a){r=b;return}dc=k[E>>2]|0;if((a|0)>0){bc=dc;ac=a;a=0;while(1){cc=bc+(a<<2)|0;T=k[cc>>2]|0;if(!T)ec=ac;else{Tqa(T);ec=k[D>>2]|0}k[cc>>2]=0;a=a+1|0;cc=k[E>>2]|0;if((a|0)>=(ec|0)){fc=cc;break}else{bc=cc;ac=ec}}}else fc=dc;if(fc)Tqa(fc);k[E>>2]=0;r=b;return}function v_(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0;b=r;r=r+1248|0;c=b+1232|0;d=b+1228|0;e=b+1224|0;f=b+1245|0;g=b+1244|0;h=b+1208|0;j=b;l=b+1192|0;m=b+1176|0;n=b+1040|0;o=b+1212|0;q=b+888|0;s=b+1196|0;t=b+736|0;u=b+1180|0;v=b+600|0;w=b+1024|0;x=b+448|0;y=b+872|0;z=b+312|0;A=b+584|0;C=b+176|0;D=b+160|0;E=b+24|0;F=b+8|0;k[d>>2]=0;k[e>>2]=0;k[l>>2]=0;k[m>>2]=0;G=a+44|0;bO(k[G>>2]|0,f,759);cO(k[G>>2]|0,h,335);bO(k[G>>2]|0,g,340);dO(k[G>>2]|0,j,337);mO(k[G>>2]|0,0,759);cO(k[G>>2]|0,l,336);if(k[l>>2]|0)gO(k[G>>2]|0,m,l,338);G=n+56|0;H=n+4|0;I=n+56|0;J=n+128|0;K=n+132|0;L=n+36|0;M=n+52|0;N=q+56|0;O=q+4|0;P=q+56|0;R=q+128|0;S=q+132|0;T=q+36|0;U=q+52|0;V=t+56|0;W=t+4|0;X=t+56|0;Y=t+128|0;Z=t+132|0;_=t+36|0;$=t+52|0;aa=v+56|0;ba=v+4|0;ca=v+56|0;da=v+128|0;ea=v+132|0;fa=v+36|0;ga=v+52|0;ha=x+56|0;ia=x+4|0;ja=x+56|0;ka=x+128|0;la=x+132|0;ma=x+36|0;na=x+52|0;oa=z+56|0;pa=z+4|0;qa=z+56|0;ra=z+128|0;sa=z+132|0;ta=z+36|0;ua=z+52|0;xa=1;za=0;Aa=0;while(1){if(CY()|0){k[n>>2]=27524;k[G>>2]=27544;B=0;wa(508,I|0,H|0);Ba=B;B=0;if(Ba&1){Ca=9;break}k[J>>2]=0;k[K>>2]=-1;k[n>>2]=27468;k[G>>2]=27488;B=0;va(448,H|0);Ba=B;B=0;if(Ba&1){Ca=10;break}k[H>>2]=27560;k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;k[L+12>>2]=0;k[M>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,H|0,c|0);Ba=B;B=0;if(Ba&1){Ca=8;break}Yua(c);B=0;Ia(40,n|0,111837,56)|0;Ba=B;B=0;if(Ba&1){Ca=17;break}B=0;wa(510,o|0,H|0);Ba=B;B=0;if(Ba&1){Ca=17;break}B=0;ya(425,o|0)|0;Ba=B;B=0;if(Ba&1){Ca=18;break}Yua(o);k[n>>2]=27468;k[G>>2]=27488;k[H>>2]=27560;Yua(L);Ava(H);vva(G)}if(CY()|0){k[q>>2]=27524;k[N>>2]=27544;B=0;wa(508,P|0,O|0);Ba=B;B=0;if(Ba&1){Ca=25;break}k[R>>2]=0;k[S>>2]=-1;k[q>>2]=27468;k[N>>2]=27488;B=0;va(448,O|0);Ba=B;B=0;if(Ba&1){Ca=26;break}k[O>>2]=27560;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;k[T+12>>2]=0;k[U>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,O|0,c|0);Ba=B;B=0;if(Ba&1){Ca=24;break}Yua(c);B=0;Ba=Ia(40,q|0,111894,48)|0;Da=B;B=0;if(Da&1){Ca=35;break}B=0;Da=Xa(242,Ba|0,xa|0)|0;Ba=B;B=0;if(Ba&1){Ca=35;break}B=0;Ia(40,Da|0,149177,1)|0;Da=B;B=0;if(Da&1){Ca=35;break}B=0;wa(510,s|0,O|0);Da=B;B=0;if(Da&1){Ca=35;break}B=0;ya(425,s|0)|0;Da=B;B=0;if(Da&1){Ca=36;break}Yua(s);k[q>>2]=27468;k[N>>2]=27488;k[O>>2]=27560;Yua(T);Ava(O);vva(N)}if(CY()|0){k[t>>2]=27524;k[V>>2]=27544;B=0;wa(508,X|0,W|0);Da=B;B=0;if(Da&1){Ca=43;break}k[Y>>2]=0;k[Z>>2]=-1;k[t>>2]=27468;k[V>>2]=27488;B=0;va(448,W|0);Da=B;B=0;if(Da&1){Ca=44;break}k[W>>2]=27560;k[_>>2]=0;k[_+4>>2]=0;k[_+8>>2]=0;k[_+12>>2]=0;k[$>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,W|0,c|0);Da=B;B=0;if(Da&1){Ca=42;break}Yua(c);B=0;Ia(40,t|0,111943,53)|0;Da=B;B=0;if(Da&1){Ca=51;break}B=0;wa(510,u|0,W|0);Da=B;B=0;if(Da&1){Ca=51;break}B=0;ya(425,u|0)|0;Da=B;B=0;if(Da&1){Ca=52;break}Yua(u);k[t>>2]=27468;k[V>>2]=27488;k[W>>2]=27560;Yua(_);Ava(W);vva(V)}if(CY()|0){k[v>>2]=27524;k[aa>>2]=27544;B=0;wa(508,ca|0,ba|0);Da=B;B=0;if(Da&1){Ca=59;break}k[da>>2]=0;k[ea>>2]=-1;k[v>>2]=27468;k[aa>>2]=27488;B=0;va(448,ba|0);Da=B;B=0;if(Da&1){Ca=60;break}k[ba>>2]=27560;k[fa>>2]=0;k[fa+4>>2]=0;k[fa+8>>2]=0;k[fa+12>>2]=0;k[ga>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ba|0,c|0);Da=B;B=0;if(Da&1){Ca=58;break}Yua(c);B=0;Ia(40,v|0,111997,35)|0;Da=B;B=0;if(Da&1){Ca=67;break}B=0;wa(510,w|0,ba|0);Da=B;B=0;if(Da&1){Ca=67;break}B=0;ya(425,w|0)|0;Da=B;B=0;if(Da&1){Ca=68;break}Yua(w);k[v>>2]=27468;k[aa>>2]=27488;k[ba>>2]=27560;Yua(fa);Ava(ba);vva(aa)}j0(a);Aoa(d,a);if(CY()|0){k[x>>2]=27524;k[ha>>2]=27544;B=0;wa(508,ja|0,ia|0);Da=B;B=0;if(Da&1){Ca=75;break}k[ka>>2]=0;k[la>>2]=-1;k[x>>2]=27468;k[ha>>2]=27488;B=0;va(448,ia|0);Da=B;B=0;if(Da&1){Ca=76;break}k[ia>>2]=27560;k[ma>>2]=0;k[ma+4>>2]=0;k[ma+8>>2]=0;k[ma+12>>2]=0;k[na>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ia|0,c|0);Da=B;B=0;if(Da&1){Ca=74;break}Yua(c);B=0;Ia(40,x|0,112033,37)|0;Da=B;B=0;if(Da&1){Ca=83;break}B=0;wa(510,y|0,ia|0);Da=B;B=0;if(Da&1){Ca=83;break}B=0;ya(425,y|0)|0;Da=B;B=0;if(Da&1){Ca=84;break}Yua(y);k[x>>2]=27468;k[ha>>2]=27488;k[ia>>2]=27560;Yua(ma);Ava(ia);vva(ha)}A_(a);if(!(i[g>>0]|0))xh(a,521);Aoa(e,a);if((xa|0)>1){if(CY()|0){k[z>>2]=27524;k[oa>>2]=27544;B=0;wa(508,qa|0,pa|0);Da=B;B=0;if(Da&1){Ca=94;break}k[ra>>2]=0;k[sa>>2]=-1;k[z>>2]=27468;k[oa>>2]=27488;B=0;va(448,pa|0);Da=B;B=0;if(Da&1){Ca=95;break}k[pa>>2]=27560;k[ta>>2]=0;k[ta+4>>2]=0;k[ta+8>>2]=0;k[ta+12>>2]=0;k[ua>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,pa|0,c|0);Da=B;B=0;if(Da&1){Ca=93;break}Yua(c);B=0;Ia(40,z|0,112071,36)|0;Da=B;B=0;if(Da&1){Ca=102;break}B=0;wa(510,A|0,pa|0);Da=B;B=0;if(Da&1){Ca=102;break}B=0;ya(425,A|0)|0;Da=B;B=0;if(Da&1){Ca=103;break}Yua(A);k[z>>2]=27468;k[oa>>2]=27488;k[pa>>2]=27560;Yua(ta);Ava(pa);vva(oa)}if(w_(k[e>>2]|0,za,k[d>>2]|0,Aa,+p[j>>3])|0){Ea=za;Fa=Aa;Ca=140;break}}if((xa|0)>(k[h>>2]|0)){Ga=za;Ha=Aa;Ca=107;break}if(za){if((k[za>>2]|0)!=0?(Da=k[za+4>>2]|0,(Da|0)!=0):0){Ba=k[Da>>2]|0;if(Ba)Ec[k[(k[Ba>>2]|0)+4>>2]&1023](Ba);Sqa(Da)}Sqa(za)}Da=k[e>>2]|0;if(Aa){if((k[Aa>>2]|0)!=0?(Ba=k[Aa+4>>2]|0,(Ba|0)!=0):0){Ja=k[Ba>>2]|0;if(Ja)Ec[k[(k[Ja>>2]|0)+4>>2]&1023](Ja);Sqa(Ba)}Sqa(Aa)}xa=xa+1|0;za=Da;Aa=k[d>>2]|0}a:switch(Ca|0){case 8:{Aa=Rb()|0;za=Q;Yua(c);Yua(L);Ava(H);Ka=za;La=Aa;Ca=11;break}case 9:{Aa=Rb()|0;Ma=Q;Na=Aa;vva(G);Qb(Na|0);break}case 10:{Aa=Rb()|0;Ka=Q;La=Aa;Ca=11;break}case 17:{Aa=Rb()|0;Oa=Q;Pa=Aa;Ca=19;break}case 18:{Aa=Rb()|0;za=Q;Yua(o);Oa=za;Pa=Aa;Ca=19;break}case 24:{Aa=Rb()|0;za=Q;Yua(c);Yua(T);Ava(O);Qa=za;Ra=Aa;Ca=27;break}case 25:{Aa=Rb()|0;Sa=Q;Ta=Aa;vva(N);Qb(Ta|0);break}case 26:{Aa=Rb()|0;Qa=Q;Ra=Aa;Ca=27;break}case 35:{Aa=Rb()|0;Ua=Q;Va=Aa;Ca=37;break}case 36:{Aa=Rb()|0;za=Q;Yua(s);Ua=za;Va=Aa;Ca=37;break}case 42:{Aa=Rb()|0;za=Q;Yua(c);Yua(_);Ava(W);Wa=za;Ya=Aa;Ca=45;break}case 43:{Aa=Rb()|0;Za=Q;_a=Aa;vva(V);Qb(_a|0);break}case 44:{Aa=Rb()|0;Wa=Q;Ya=Aa;Ca=45;break}case 51:{Aa=Rb()|0;$a=Q;ab=Aa;Ca=53;break}case 52:{Aa=Rb()|0;za=Q;Yua(u);$a=za;ab=Aa;Ca=53;break}case 58:{Aa=Rb()|0;za=Q;Yua(c);Yua(fa);Ava(ba);bb=za;cb=Aa;Ca=61;break}case 59:{Aa=Rb()|0;db=Q;eb=Aa;vva(aa);Qb(eb|0);break}case 60:{Aa=Rb()|0;bb=Q;cb=Aa;Ca=61;break}case 67:{Aa=Rb()|0;fb=Q;gb=Aa;Ca=69;break}case 68:{Aa=Rb()|0;za=Q;Yua(w);fb=za;gb=Aa;Ca=69;break}case 74:{Aa=Rb()|0;za=Q;Yua(c);Yua(ma);Ava(ia);hb=za;ib=Aa;Ca=77;break}case 75:{Aa=Rb()|0;jb=Q;kb=Aa;vva(ha);Qb(kb|0);break}case 76:{Aa=Rb()|0;hb=Q;ib=Aa;Ca=77;break}case 83:{Aa=Rb()|0;lb=Q;mb=Aa;Ca=85;break}case 84:{Aa=Rb()|0;za=Q;Yua(y);lb=za;mb=Aa;Ca=85;break}case 93:{Aa=Rb()|0;za=Q;Yua(c);Yua(ta);Ava(pa);nb=za;ob=Aa;Ca=96;break}case 94:{Aa=Rb()|0;pb=Q;qb=Aa;vva(oa);Qb(qb|0);break}case 95:{Aa=Rb()|0;nb=Q;ob=Aa;Ca=96;break}case 102:{Aa=Rb()|0;rb=Q;sb=Aa;Ca=104;break}case 103:{Aa=Rb()|0;za=Q;Yua(A);rb=za;sb=Aa;Ca=104;break}case 107:{if(CY()|0){Aa=C+56|0;za=C+4|0;k[C>>2]=27524;k[Aa>>2]=27544;B=0;wa(508,C+56|0,za|0);A=B;B=0;if(A&1){A=Rb()|0;tb=Q;ub=A;vva(Aa);Qb(ub|0)}k[C+128>>2]=0;k[C+132>>2]=-1;k[C>>2]=27468;k[Aa>>2]=27488;B=0;va(448,za|0);A=B;B=0;do if(A&1){y=Rb()|0;vb=Q;wb=y}else{k[za>>2]=27560;y=C+36|0;k[y>>2]=0;k[y+4>>2]=0;k[y+8>>2]=0;k[y+12>>2]=0;k[C+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,za|0,c|0);w=B;B=0;if(w&1){w=Rb()|0;u=Q;Yua(c);Yua(y);Ava(za);vb=u;wb=w;break}Yua(c);B=0;w=Ia(40,C|0,112108,41)|0;u=B;B=0;do if(((!(u&1)?(B=0,s=Xa(242,w|0,k[h>>2]|0)|0,o=B,B=0,!(o&1)):0)?(B=0,Ia(40,s|0,136862,9)|0,s=B,B=0,!(s&1)):0)?(B=0,wa(510,D|0,za|0),s=B,B=0,!(s&1)):0){B=0;ya(425,D|0)|0;s=B;B=0;if(s&1){s=Rb()|0;o=Q;Yua(D);xb=o;yb=s;break}else{Yua(D);k[C>>2]=27468;k[Aa>>2]=27488;k[za>>2]=27560;Yua(y);Ava(za);vva(Aa);Ea=Ga;Fa=Ha;Ca=140;break a}}else Ca=122;while(0);if((Ca|0)==122){w=Rb()|0;xb=Q;yb=w}k[C>>2]=27468;k[Aa>>2]=27488;k[za>>2]=27560;Yua(y);Ava(za);vva(Aa);zb=xb;Ab=yb;Qb(Ab|0)}while(0);tb=vb;ub=wb;vva(Aa);Qb(ub|0)}else{Ea=Ga;Fa=Ha;Ca=140}break}}switch(Ca|0){case 11:{Ma=Ka;Na=La;vva(G);Qb(Na|0);break}case 19:{k[n>>2]=27468;k[G>>2]=27488;k[H>>2]=27560;Yua(L);Ava(H);vva(G);zb=Oa;Ab=Pa;Qb(Ab|0);break}case 27:{Sa=Qa;Ta=Ra;vva(N);Qb(Ta|0);break}case 37:{k[q>>2]=27468;k[N>>2]=27488;k[O>>2]=27560;Yua(T);Ava(O);vva(N);zb=Ua;Ab=Va;Qb(Ab|0);break}case 45:{Za=Wa;_a=Ya;vva(V);Qb(_a|0);break}case 53:{k[t>>2]=27468;k[V>>2]=27488;k[W>>2]=27560;Yua(_);Ava(W);vva(V);zb=$a;Ab=ab;Qb(Ab|0);break}case 61:{db=bb;eb=cb;vva(aa);Qb(eb|0);break}case 69:{k[v>>2]=27468;k[aa>>2]=27488;k[ba>>2]=27560;Yua(fa);Ava(ba);vva(aa);zb=fb;Ab=gb;Qb(Ab|0);break}case 77:{jb=hb;kb=ib;vva(ha);Qb(kb|0);break}case 85:{k[x>>2]=27468;k[ha>>2]=27488;k[ia>>2]=27560;Yua(ma);Ava(ia);vva(ha);zb=lb;Ab=mb;Qb(Ab|0);break}case 96:{pb=nb;qb=ob;vva(oa);Qb(qb|0);break}case 104:{k[z>>2]=27468;k[oa>>2]=27488;k[pa>>2]=27560;Yua(ta);Ava(pa);vva(oa);zb=rb;Ab=sb;Qb(Ab|0);break}case 140:{if(i[f>>0]|0){b:do if(CY()|0){f=E+56|0;sb=E+4|0;k[E>>2]=27524;k[f>>2]=27544;B=0;wa(508,E+56|0,sb|0);rb=B;B=0;if(rb&1){rb=Rb()|0;Bb=Q;Cb=rb;vva(f);Qb(Cb|0)}k[E+128>>2]=0;k[E+132>>2]=-1;k[E>>2]=27468;k[f>>2]=27488;B=0;va(448,sb|0);rb=B;B=0;do if(rb&1){oa=Rb()|0;Db=Q;Eb=oa}else{k[sb>>2]=27560;oa=E+36|0;k[oa>>2]=0;k[oa+4>>2]=0;k[oa+8>>2]=0;k[oa+12>>2]=0;k[E+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,sb|0,c|0);pa=B;B=0;if(pa&1){pa=Rb()|0;ta=Q;Yua(c);Yua(oa);Ava(sb);Db=ta;Eb=pa;break}Yua(c);B=0;Ia(40,E|0,148942,18)|0;pa=B;B=0;do if(!(pa&1)?(B=0,wa(510,F|0,sb|0),ta=B,B=0,!(ta&1)):0){B=0;ya(425,F|0)|0;ta=B;B=0;if(ta&1){ta=Rb()|0;z=Q;Yua(F);Fb=z;Gb=ta;break}else{Yua(F);k[E>>2]=27468;k[f>>2]=27488;k[sb>>2]=27560;Yua(oa);Ava(sb);vva(f);break b}}else Ca=154;while(0);if((Ca|0)==154){pa=Rb()|0;Fb=Q;Gb=pa}k[E>>2]=27468;k[f>>2]=27488;k[sb>>2]=27560;Yua(oa);Ava(sb);vva(f);zb=Fb;Ab=Gb;Qb(Ab|0)}while(0);Bb=Db;Cb=Eb;vva(f);Qb(Cb|0)}while(0);ci(a,a+48|0,k[m>>2]|0,k[l>>2]|0,1)}if(Ea){if((k[Ea>>2]|0)!=0?(a=k[Ea+4>>2]|0,(a|0)!=0):0){Cb=k[a>>2]|0;if(Cb)Ec[k[(k[Cb>>2]|0)+4>>2]&1023](Cb);Sqa(a)}Sqa(Ea)}if(Fa){if((k[Fa>>2]|0)!=0?(Ea=k[Fa+4>>2]|0,(Ea|0)!=0):0){a=k[Ea>>2]|0;if(a)Ec[k[(k[a>>2]|0)+4>>2]&1023](a);Sqa(Ea)}Sqa(Fa)}Fa=k[e>>2]|0;if(Fa){if((k[Fa>>2]|0)!=0?(e=k[Fa+4>>2]|0,(e|0)!=0):0){Ea=k[e>>2]|0;if(Ea)Ec[k[(k[Ea>>2]|0)+4>>2]&1023](Ea);Sqa(e)}Sqa(Fa)}Fa=k[d>>2]|0;if(Fa){if((k[Fa>>2]|0)!=0?(d=k[Fa+4>>2]|0,(d|0)!=0):0){e=k[d>>2]|0;if(e)Ec[k[(k[e>>2]|0)+4>>2]&1023](e);Sqa(d)}Sqa(Fa)}Fa=k[l>>2]|0;if(!Fa){r=b;return}d=k[m>>2]|0;if((Fa|0)>0){e=d;Ea=Fa;Fa=0;while(1){a=e+(Fa<<2)|0;Cb=k[a>>2]|0;if(!Cb)Hb=Ea;else{Tqa(Cb);Hb=k[l>>2]|0}k[a>>2]=0;Fa=Fa+1|0;a=k[m>>2]|0;if((Fa|0)>=(Hb|0)){Ib=a;break}else{e=a;Ea=Hb}}}else Ib=d;if(Ib)Tqa(Ib);k[m>>2]=0;r=b;return}}}function w_(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0.0,ga=0.0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0;f=r;r=r+960|0;g=f+944|0;h=f+760|0;i=f+932|0;j=f+920|0;l=f+908|0;m=f+624|0;n=f+896|0;o=f+488|0;q=f+472|0;s=f+336|0;u=f+320|0;v=f+36|0;w=f+24|0;x=f+184|0;y=f+12|0;z=f+48|0;A=f;C=Qqa(8)|0;B=0;va(485,C|0);D=B;B=0;if(D&1){D=Rb()|0;Sqa(C);Qb(D|0)}if((k[d>>2]|0)!=0?(D=d+4|0,E=k[D>>2]|0,F=Qqa(4)|0,G=k[E>>2]|0,H=Hc[k[(k[G>>2]|0)+36>>2]&511](G)|0,k[F>>2]=H,G=k[E>>2]|0,Fc[k[(k[G>>2]|0)+60>>2]&1023](G,H),k[C+4>>2]=F,(k[d>>2]|0)!=0):0){H=k[k[D>>2]>>2]|0;Fc[k[(k[H>>2]|0)+60>>2]&1023](H,k[F>>2]|0)}if((k[C>>2]|0)!=0?(F=C+4|0,H=k[k[F>>2]>>2]|0,Xc[k[(k[H>>2]|0)+48>>2]&63](H,k[k[c+4>>2]>>2]|0,-1.0),(k[C>>2]|0)!=0):0){c=k[k[F>>2]>>2]|0;I=+id[k[(k[c>>2]|0)+64>>2]&63](c,1)}else I=0.0;if(!(k[d>>2]|0))J=0.0;else{c=k[k[d+4>>2]>>2]|0;J=+id[k[(k[c>>2]|0)+64>>2]&63](c,1)}K=+$(+I);p[t>>3]=K;c=k[t+4>>2]|0;if(!(c>>>0>2146435072|(c|0)==2146435072&(k[t>>2]|0)>>>0>0)?(K=+$(+J),p[t>>3]=K,c=k[t+4>>2]|0,!(c>>>0>2146435072|(c|0)==2146435072&(k[t>>2]|0)>>>0>0)):0){K=I/J;c=EY()|0;a:do if(K<e)if(c){d=m+56|0;F=m+4|0;k[m>>2]=27524;k[d>>2]=27544;B=0;wa(508,m+56|0,F|0);H=B;B=0;if(H&1){H=Rb()|0;L=Q;M=H;vva(d);Qb(M|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[d>>2]=27488;B=0;va(448,F|0);H=B;B=0;do if(H&1){D=Rb()|0;N=Q;O=D}else{k[F>>2]=27560;D=m+36|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;k[D+12>>2]=0;k[m+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,F|0,g|0);G=B;B=0;if(G&1){G=Rb()|0;E=Q;Yua(g);Yua(D);Ava(F);N=E;O=G;break}Yua(g);B=0;G=Ia(40,m|0,149177,1)|0;E=B;B=0;do if((((!(E&1)?(k[G+(k[(k[G>>2]|0)+-12>>2]|0)+12>>2]=50,P=G+(k[(k[G>>2]|0)+-12>>2]|0)+4|0,k[P>>2]=k[P>>2]&-177|32,B=0,P=Ia(40,G|0,136978,41)|0,R=B,B=0,!(R&1)):0)?(B=0,R=Sa(1,P|0,+(K*100.0))|0,P=B,B=0,!(P&1)):0)?(B=0,P=Ia(40,R|0,148270,3)|0,R=B,B=0,!(R&1)):0)?(B=0,R=Sa(1,P|0,+(e*100.0))|0,P=B,B=0,!(P&1)):0){B=0;Ia(40,R|0,148274,3)|0;R=B;B=0;if(R&1){S=55;break}B=0;wa(510,n|0,F|0);R=B;B=0;if(R&1){S=55;break}B=0;ya(425,n|0)|0;R=B;B=0;if(R&1){R=Rb()|0;P=Q;Yua(n);T=P;U=R;break}else{Yua(n);k[m>>2]=27468;k[d>>2]=27488;k[F>>2]=27560;Yua(D);Ava(F);vva(d);V=1;break a}}else S=55;while(0);if((S|0)==55){G=Rb()|0;T=Q;U=G}k[m>>2]=27468;k[d>>2]=27488;k[F>>2]=27560;Yua(D);Ava(F);vva(d);W=U;X=T;Qb(W|0)}while(0);L=N;M=O;vva(d);Qb(M|0)}else V=1;else if(c){F=o+56|0;H=o+4|0;k[o>>2]=27524;k[F>>2]=27544;B=0;wa(508,o+56|0,H|0);G=B;B=0;if(G&1){G=Rb()|0;Y=Q;Z=G;vva(F);Qb(Z|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[F>>2]=27488;B=0;va(448,H|0);G=B;B=0;do if(G&1){E=Rb()|0;_=Q;aa=E}else{k[H>>2]=27560;E=o+36|0;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;k[E+12>>2]=0;k[o+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,H|0,g|0);R=B;B=0;if(R&1){R=Rb()|0;P=Q;Yua(g);Yua(E);Ava(H);_=P;aa=R;break}Yua(g);B=0;R=Ia(40,o|0,149177,1)|0;P=B;B=0;do if((((!(P&1)?(k[R+(k[(k[R>>2]|0)+-12>>2]|0)+12>>2]=50,ba=R+(k[(k[R>>2]|0)+-12>>2]|0)+4|0,k[ba>>2]=k[ba>>2]&-177|32,B=0,ba=Ia(40,R|0,136978,41)|0,ca=B,B=0,!(ca&1)):0)?(B=0,ca=Sa(1,ba|0,+(K*100.0))|0,ba=B,B=0,!(ba&1)):0)?(B=0,ba=Ia(40,ca|0,148278,3)|0,ca=B,B=0,!(ca&1)):0)?(B=0,ca=Sa(1,ba|0,+(e*100.0))|0,ba=B,B=0,!(ba&1)):0){B=0;Ia(40,ca|0,148274,3)|0;ca=B;B=0;if(ca&1){S=76;break}B=0;wa(510,q|0,H|0);ca=B;B=0;if(ca&1){S=76;break}B=0;ya(425,q|0)|0;ca=B;B=0;if(ca&1){ca=Rb()|0;ba=Q;Yua(q);da=ba;ea=ca;break}else{Yua(q);k[o>>2]=27468;k[F>>2]=27488;k[H>>2]=27560;Yua(E);Ava(H);vva(F);V=0;break a}}else S=76;while(0);if((S|0)==76){R=Rb()|0;da=Q;ea=R}k[o>>2]=27468;k[F>>2]=27488;k[H>>2]=27560;Yua(E);Ava(H);vva(F);W=ea;X=da;Qb(W|0)}while(0);Y=_;Z=aa;vva(F);Qb(Z|0)}else V=0;while(0);Z=Qqa(8)|0;B=0;va(485,Z|0);aa=B;B=0;if(aa&1){aa=Rb()|0;Sqa(Z);Qb(aa|0)}if((k[b>>2]|0)!=0?(aa=b+4|0,_=k[aa>>2]|0,Y=Qqa(4)|0,da=k[_>>2]|0,ea=Hc[k[(k[da>>2]|0)+36>>2]&511](da)|0,k[Y>>2]=ea,da=k[_>>2]|0,Fc[k[(k[da>>2]|0)+60>>2]&1023](da,ea),k[Z+4>>2]=Y,(k[b>>2]|0)!=0):0){ea=k[k[aa>>2]>>2]|0;Fc[k[(k[ea>>2]|0)+60>>2]&1023](ea,k[Y>>2]|0)}if((k[Z>>2]|0)!=0?(Y=Z+4|0,ea=k[k[Y>>2]>>2]|0,Xc[k[(k[ea>>2]|0)+48>>2]&63](ea,k[k[a+4>>2]>>2]|0,-1.0),(k[Z>>2]|0)!=0):0){a=k[k[Y>>2]>>2]|0;fa=+id[k[(k[a>>2]|0)+64>>2]&63](a,1)}else fa=0.0;if(!(k[b>>2]|0))ga=0.0;else{a=k[k[b+4>>2]>>2]|0;ga=+id[k[(k[a>>2]|0)+64>>2]&63](a,1)}K=+$(+fa);p[t>>3]=K;a=k[t+4>>2]|0;if(!(a>>>0>2146435072|(a|0)==2146435072&(k[t>>2]|0)>>>0>0)?(K=+$(+ga),p[t>>3]=K,a=k[t+4>>2]|0,!(a>>>0>2146435072|(a|0)==2146435072&(k[t>>2]|0)>>>0>0)):0){K=fa/ga;a=EY()|0;b:do if(K<e)if(a){b=x+56|0;Y=x+4|0;k[x>>2]=27524;k[b>>2]=27544;B=0;wa(508,x+56|0,Y|0);ea=B;B=0;if(ea&1){ea=Rb()|0;ha=Q;ia=ea;vva(b);Qb(ia|0)}k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[b>>2]=27488;B=0;va(448,Y|0);ea=B;B=0;do if(ea&1){aa=Rb()|0;ja=Q;ka=aa}else{k[Y>>2]=27560;aa=x+36|0;k[aa>>2]=0;k[aa+4>>2]=0;k[aa+8>>2]=0;k[aa+12>>2]=0;k[x+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,Y|0,g|0);da=B;B=0;if(da&1){da=Rb()|0;_=Q;Yua(g);Yua(aa);Ava(Y);ja=_;ka=da;break}Yua(g);k[x+(k[(k[x>>2]|0)+-12>>2]|0)+12>>2]=50;da=x+(k[(k[x>>2]|0)+-12>>2]|0)+4|0;k[da>>2]=k[da>>2]&-177|32;B=0;da=Ia(40,x|0,112247,44)|0;_=B;B=0;do if(!(_&1)){B=0;o=Sa(1,da|0,+(K*100.0))|0;q=B;B=0;if(q&1){S=132;break}B=0;q=Ia(40,o|0,148270,3)|0;o=B;B=0;if(o&1){S=132;break}B=0;o=Sa(1,q|0,+(e*100.0))|0;q=B;B=0;if(q&1){S=132;break}B=0;Ia(40,o|0,148274,3)|0;o=B;B=0;if(o&1){S=132;break}B=0;wa(510,y|0,Y|0);o=B;B=0;if(o&1){S=132;break}B=0;ya(425,y|0)|0;o=B;B=0;if(o&1){o=Rb()|0;q=Q;Yua(y);la=q;ma=o;break}else{Yua(y);k[x>>2]=27468;k[b>>2]=27488;k[Y>>2]=27560;Yua(aa);Ava(Y);vva(b);na=V;break b}}else S=132;while(0);if((S|0)==132){da=Rb()|0;la=Q;ma=da}k[x>>2]=27468;k[b>>2]=27488;k[Y>>2]=27560;Yua(aa);Ava(Y);vva(b);W=ma;X=la;Qb(W|0)}while(0);ha=ja;ia=ka;vva(b);Qb(ia|0)}else na=V;else if(a){Y=z+56|0;ea=z+4|0;k[z>>2]=27524;k[Y>>2]=27544;B=0;wa(508,z+56|0,ea|0);F=B;B=0;if(F&1){F=Rb()|0;oa=Q;pa=F;vva(Y);Qb(pa|0)}k[z+128>>2]=0;k[z+132>>2]=-1;k[z>>2]=27468;k[Y>>2]=27488;B=0;va(448,ea|0);F=B;B=0;do if(F&1){da=Rb()|0;qa=Q;ra=da}else{k[ea>>2]=27560;da=z+36|0;k[da>>2]=0;k[da+4>>2]=0;k[da+8>>2]=0;k[da+12>>2]=0;k[z+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,ea|0,g|0);_=B;B=0;if(_&1){_=Rb()|0;E=Q;Yua(g);Yua(da);Ava(ea);qa=E;ra=_;break}Yua(g);k[z+(k[(k[z>>2]|0)+-12>>2]|0)+12>>2]=50;_=z+(k[(k[z>>2]|0)+-12>>2]|0)+4|0;k[_>>2]=k[_>>2]&-177|32;B=0;_=Ia(40,z|0,112247,44)|0;E=B;B=0;do if(!(E&1)){B=0;o=Sa(1,_|0,+(K*100.0))|0;q=B;B=0;if(q&1){S=152;break}B=0;q=Ia(40,o|0,148278,3)|0;o=B;B=0;if(o&1){S=152;break}B=0;o=Sa(1,q|0,+(e*100.0))|0;q=B;B=0;if(q&1){S=152;break}B=0;Ia(40,o|0,148274,3)|0;o=B;B=0;if(o&1){S=152;break}B=0;wa(510,A|0,ea|0);o=B;B=0;if(o&1){S=152;break}B=0;ya(425,A|0)|0;o=B;B=0;if(o&1){o=Rb()|0;q=Q;Yua(A);sa=q;ta=o;break}else{Yua(A);k[z>>2]=27468;k[Y>>2]=27488;k[ea>>2]=27560;Yua(da);Ava(ea);vva(Y);na=0;break b}}else S=152;while(0);if((S|0)==152){_=Rb()|0;sa=Q;ta=_}k[z>>2]=27468;k[Y>>2]=27488;k[ea>>2]=27560;Yua(da);Ava(ea);vva(Y);W=ta;X=sa;Qb(W|0)}while(0);oa=qa;pa=ra;vva(Y);Qb(pa|0)}else na=0;while(0);if((k[Z>>2]|0)!=0?(pa=k[Z+4>>2]|0,(pa|0)!=0):0){ra=k[pa>>2]|0;if(ra)Ec[k[(k[ra>>2]|0)+4>>2]&1023](ra);Sqa(pa)}Sqa(Z);if(!(k[C>>2]|0)){Sqa(C);r=f;return na|0}Z=k[C+4>>2]|0;if(!Z){Sqa(C);r=f;return na|0}pa=k[Z>>2]|0;if(pa)Ec[k[(k[pa>>2]|0)+4>>2]&1023](pa);Sqa(Z);Sqa(C);r=f;return na|0}na=s+56|0;f=s+4|0;k[s>>2]=27524;k[na>>2]=27544;B=0;wa(508,s+56|0,f|0);C=B;B=0;if(C&1){C=Rb()|0;xa=Q;za=C;vva(na);Qb(za|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[na>>2]=27488;B=0;va(448,f|0);C=B;B=0;do if(C&1){Z=Rb()|0;Aa=Q;Ba=Z}else{k[f>>2]=27560;Z=s+36|0;k[Z>>2]=0;k[Z+4>>2]=0;k[Z+8>>2]=0;k[Z+12>>2]=0;k[s+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,f|0,g|0);pa=B;B=0;if(pa&1){pa=Rb()|0;ra=Q;Yua(g);Yua(Z);Ava(f);Aa=ra;Ba=pa;break}Yua(g);B=0;pa=Ia(40,s|0,148282,29)|0;ra=B;B=0;c:do if(!(ra&1)?(B=0,Xa(239,pa|0,0)|0,qa=B,B=0,!(qa&1)):0){qa=Ab(20)|0;B=0;eb(502,u|0,112150,73);oa=B;B=0;do if(!(oa&1)){B=0;eb(502,v|0,112224,22);sa=B;B=0;if(sa&1){sa=Rb()|0;ta=Q;Yua(u);Ca=ta;Da=sa;break}B=0;wa(510,w|0,f|0);sa=B;B=0;if(sa&1){sa=Rb()|0;Ea=1;Fa=Q;Ga=sa}else{B=0;ua(163,qa|0,u|0,v|0,117,w|0);sa=B;B=0;if(sa&1)Ha=1;else{B=0;eb(503,qa|0,1240,229);B=0;Ha=0}sa=Rb()|0;ta=Q;Yua(w);Ea=Ha;Fa=ta;Ga=sa}Yua(v);Yua(u);if(Ea){Ca=Fa;Da=Ga}else{Ja=Fa;Ka=Ga;break c}}else{sa=Rb()|0;Ca=Q;Da=sa}while(0);zb(qa|0);Ja=Ca;Ka=Da}else S=106;while(0);if((S|0)==106){pa=Rb()|0;Ja=Q;Ka=pa}k[s>>2]=27468;k[na>>2]=27488;k[f>>2]=27560;Yua(Z);Ava(f);vva(na);W=Ka;X=Ja;Qb(W|0)}while(0);xa=Aa;za=Ba;vva(na);Qb(za|0)}za=h+56|0;na=h+4|0;k[h>>2]=27524;k[za>>2]=27544;B=0;wa(508,h+56|0,na|0);Ba=B;B=0;if(Ba&1){Ba=Rb()|0;La=Q;Ma=Ba;vva(za);Qb(Ma|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[za>>2]=27488;B=0;va(448,na|0);Ba=B;B=0;do if(Ba&1){Aa=Rb()|0;Na=Q;Oa=Aa}else{k[na>>2]=27560;Aa=h+36|0;k[Aa>>2]=0;k[Aa+4>>2]=0;k[Aa+8>>2]=0;k[Aa+12>>2]=0;k[h+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,na|0,g|0);xa=B;B=0;if(xa&1){xa=Rb()|0;Ja=Q;Yua(g);Yua(Aa);Ava(na);Na=Ja;Oa=xa;break}Yua(g);B=0;xa=Ia(40,h|0,148282,29)|0;Ja=B;B=0;d:do if(!(Ja&1)?(B=0,Xa(239,xa|0,0)|0,Ka=B,B=0,!(Ka&1)):0){Ka=Ab(20)|0;B=0;eb(502,i|0,112150,73);f=B;B=0;do if(!(f&1)){B=0;eb(502,j|0,112224,22);s=B;B=0;if(s&1){s=Rb()|0;Da=Q;Yua(i);Pa=s;Qa=Da;break}B=0;wa(510,l|0,na|0);Da=B;B=0;if(Da&1){Da=Rb()|0;Ra=Da;Ta=Q;Ua=1}else{B=0;ua(163,Ka|0,i|0,j|0,105,l|0);Da=B;B=0;if(Da&1)Va=1;else{B=0;eb(503,Ka|0,1240,229);B=0;Va=0}Da=Rb()|0;s=Q;Yua(l);Ra=Da;Ta=s;Ua=Va}Yua(j);Yua(i);if(Ua){Pa=Ra;Qa=Ta}else{Wa=Ra;Ya=Ta;break d}}else{s=Rb()|0;Pa=s;Qa=Q}while(0);zb(Ka|0);Wa=Pa;Ya=Qa}else S=28;while(0);if((S|0)==28){xa=Rb()|0;Wa=xa;Ya=Q}k[h>>2]=27468;k[za>>2]=27488;k[na>>2]=27560;Yua(Aa);Ava(na);vva(za);W=Wa;X=Ya;Qb(W|0)}while(0);La=Na;Ma=Oa;vva(za);Qb(Ma|0);return 0}function x_(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;b=r;r=r+640|0;c=b+624|0;d=b+620|0;e=b+638|0;f=b+637|0;g=b+636|0;h=b+612|0;j=b+596|0;l=b+592|0;m=b+456|0;n=b+600|0;o=b+304|0;p=b+440|0;q=b+168|0;s=b+152|0;t=b+16|0;u=b;k[l>>2]=0;xh(a,510);v=a+44|0;bO(k[v>>2]|0,e,759);bO(k[v>>2]|0,f,99);bO(k[v>>2]|0,g,306);cO(k[v>>2]|0,h,476);cO(k[v>>2]|0,b+616|0,298);cO(k[v>>2]|0,d,312);cO(k[v>>2]|0,j,310);if(k[d>>2]|0)gO(k[v>>2]|0,l,d,313);a:do if(CY()|0){w=m+56|0;x=m+4|0;k[m>>2]=27524;k[w>>2]=27544;B=0;wa(508,m+56|0,x|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;A=y;vva(w);Qb(A|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[w>>2]=27488;B=0;va(448,x|0);y=B;B=0;do if(y&1){C=Rb()|0;D=Q;E=C}else{k[x>>2]=27560;C=m+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,x|0,c|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(c);Yua(C);Ava(x);D=G;E=F;break}Yua(c);B=0;Ia(40,m|0,112292,28)|0;F=B;B=0;do if(!(F&1)?(B=0,wa(510,n|0,x|0),G=B,B=0,!(G&1)):0){B=0;ya(425,n|0)|0;G=B;B=0;if(G&1){G=Rb()|0;H=Q;Yua(n);I=H;J=G;break}else{Yua(n);k[m>>2]=27468;k[w>>2]=27488;k[x>>2]=27560;Yua(C);Ava(x);vva(w);break a}}else K=16;while(0);if((K|0)==16){F=Rb()|0;I=Q;J=F}k[m>>2]=27468;k[w>>2]=27488;k[x>>2]=27560;Yua(C);Ava(x);vva(w);L=I;M=J;Qb(M|0)}while(0);z=D;A=E;vva(w);Qb(A|0)}while(0);A=(i[f>>0]|0)==0|(i[g>>0]|0)==0;g=CY()|0;do if(A){b:do if(g){f=q+56|0;E=q+4|0;k[q>>2]=27524;k[f>>2]=27544;B=0;wa(508,q+56|0,E|0);D=B;B=0;if(D&1){D=Rb()|0;N=Q;O=D;vva(f);Qb(O|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[f>>2]=27488;B=0;va(448,E|0);D=B;B=0;do if(D&1){z=Rb()|0;P=Q;R=z}else{k[E>>2]=27560;z=q+36|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;k[z+12>>2]=0;k[q+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,E|0,c|0);J=B;B=0;if(J&1){J=Rb()|0;I=Q;Yua(c);Yua(z);Ava(E);P=I;R=J;break}Yua(c);B=0;Ia(40,q|0,112362,27)|0;J=B;B=0;do if(!(J&1)?(B=0,wa(510,s|0,E|0),I=B,B=0,!(I&1)):0){B=0;ya(425,s|0)|0;I=B;B=0;if(I&1){I=Rb()|0;m=Q;Yua(s);S=m;T=I;break}else{Yua(s);k[q>>2]=27468;k[f>>2]=27488;k[E>>2]=27560;Yua(z);Ava(E);vva(f);break b}}else K=50;while(0);if((K|0)==50){J=Rb()|0;S=Q;T=J}k[q>>2]=27468;k[f>>2]=27488;k[E>>2]=27560;Yua(z);Ava(E);vva(f);L=S;M=T;Qb(M|0)}while(0);N=P;O=R;vva(f);Qb(O|0)}while(0);if((k[j>>2]|0)==4)Yoa(a);else{Voa(a);oO(k[v>>2]|0,353,575);y_(a);oO(k[v>>2]|0,64,575);y_(a);oO(k[v>>2]|0,339,575);y_(a);break}}else{c:do if(g){w=o+56|0;E=o+4|0;k[o>>2]=27524;k[w>>2]=27544;B=0;wa(508,o+56|0,E|0);D=B;B=0;if(D&1){D=Rb()|0;U=Q;V=D;vva(w);Qb(V|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[w>>2]=27488;B=0;va(448,E|0);D=B;B=0;do if(D&1){C=Rb()|0;W=Q;X=C}else{k[E>>2]=27560;C=o+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[o+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,E|0,c|0);J=B;B=0;if(J&1){J=Rb()|0;I=Q;Yua(c);Yua(C);Ava(E);W=I;X=J;break}Yua(c);B=0;Ia(40,o|0,112321,40)|0;J=B;B=0;do if(!(J&1)?(B=0,wa(510,p|0,E|0),I=B,B=0,!(I&1)):0){B=0;ya(425,p|0)|0;I=B;B=0;if(I&1){I=Rb()|0;m=Q;Yua(p);Y=m;Z=I;break}else{Yua(p);k[o>>2]=27468;k[w>>2]=27488;k[E>>2]=27560;Yua(C);Ava(E);vva(w);break c}}else K=33;while(0);if((K|0)==33){J=Rb()|0;Y=Q;Z=J}k[o>>2]=27468;k[w>>2]=27488;k[E>>2]=27560;Yua(C);Ava(E);vva(w);L=Y;M=Z;Qb(M|0)}while(0);U=W;V=X;vva(w);Qb(V|0)}while(0);xh(a,512);Voa(a);oO(k[v>>2]|0,64,575);y_(a);xh(a,513);Voa(a);oO(k[v>>2]|0,339,575);z_(a)}while(0);if(i[e>>0]|0){d:do if(CY()|0){e=t+56|0;v=t+4|0;k[t>>2]=27524;k[e>>2]=27544;B=0;wa(508,t+56|0,v|0);V=B;B=0;if(V&1){V=Rb()|0;_=Q;$=V;vva(e);Qb($|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[e>>2]=27488;B=0;va(448,v|0);V=B;B=0;do if(V&1){X=Rb()|0;aa=Q;ba=X}else{k[v>>2]=27560;X=t+36|0;k[X>>2]=0;k[X+4>>2]=0;k[X+8>>2]=0;k[X+12>>2]=0;k[t+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,v|0,c|0);W=B;B=0;if(W&1){W=Rb()|0;U=Q;Yua(c);Yua(X);Ava(v);aa=U;ba=W;break}Yua(c);B=0;Ia(40,t|0,148942,18)|0;W=B;B=0;do if(!(W&1)?(B=0,wa(510,u|0,v|0),U=B,B=0,!(U&1)):0){B=0;ya(425,u|0)|0;U=B;B=0;if(U&1){U=Rb()|0;Z=Q;Yua(u);ca=Z;da=U;break}else{Yua(u);k[t>>2]=27468;k[e>>2]=27488;k[v>>2]=27560;Yua(X);Ava(v);vva(e);break d}}else K=70;while(0);if((K|0)==70){W=Rb()|0;ca=Q;da=W}k[t>>2]=27468;k[e>>2]=27488;k[v>>2]=27560;Yua(X);Ava(v);vva(e);L=ca;M=da;Qb(M|0)}while(0);_=aa;$=ba;vva(e);Qb($|0)}while(0);ci(a,a+48|0,k[l>>2]|0,k[d>>2]|0,1)}if((k[h>>2]|0)==511)gi(a);a=k[d>>2]|0;if(!a){r=b;return}h=k[l>>2]|0;if((a|0)>0){$=h;ba=a;a=0;while(1){aa=$+(a<<2)|0;_=k[aa>>2]|0;if(!_)ea=ba;else{Tqa(_);ea=k[d>>2]|0}k[aa>>2]=0;a=a+1|0;aa=k[l>>2]|0;if((a|0)>=(ea|0)){fa=aa;break}else{$=aa;ba=ea}}}else fa=h;if(fa)Tqa(fa);k[l>>2]=0;r=b;return}function y_(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;b=r;r=r+176|0;c=b+160|0;d=b+156|0;e=b+152|0;f=b+16|0;g=b;a:do if(CY()|0){h=f+56|0;i=f+4|0;k[f>>2]=27524;k[h>>2]=27544;B=0;wa(508,f+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(h);Qb(m|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[h>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=f+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,i|0,c|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(c);Yua(n);Ava(i);o=s;p=q;break}Yua(c);B=0;Ia(40,f|0,112390,32)|0;q=B;B=0;if(!(q&1)?(B=0,wa(510,g|0,i|0),q=B,B=0,!(q&1)):0){B=0;ya(425,g|0)|0;q=B;B=0;if(!(q&1)){Yua(g);k[f>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);break a}q=Rb()|0;s=Q;Yua(g);t=s;u=q;k[f>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);Qb(u|0)}q=Rb()|0;t=Q;u=q;k[f>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);Qb(u|0)}while(0);l=o;m=p;vva(h);Qb(m|0)}while(0);m=a+44|0;cO(k[m>>2]|0,e,298);cO(k[m>>2]|0,d,296);if((k[e>>2]|0)==300){r=b;return}if((k[d>>2]|0)==625){cO(k[m>>2]|0,c,575);koa(a,k[c>>2]|0,-1);r=b;return}else{xh(a,515);ii(a);Voa(a);r=b;return}}function z_(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;b=r;r=r+176|0;c=b+160|0;d=b+156|0;e=b+152|0;f=b+16|0;g=b;a:do if(CY()|0){h=f+56|0;i=f+4|0;k[f>>2]=27524;k[h>>2]=27544;B=0;wa(508,f+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(h);Qb(m|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[h>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=f+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,i|0,c|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(c);Yua(n);Ava(i);o=s;p=q;break}Yua(c);B=0;Ia(40,f|0,112423,31)|0;q=B;B=0;if(!(q&1)?(B=0,wa(510,g|0,i|0),q=B,B=0,!(q&1)):0){B=0;ya(425,g|0)|0;q=B;B=0;if(!(q&1)){Yua(g);k[f>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);break a}q=Rb()|0;s=Q;Yua(g);t=s;u=q;k[f>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);Qb(u|0)}q=Rb()|0;t=Q;u=q;k[f>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);Qb(u|0)}while(0);l=o;m=p;vva(h);Qb(m|0)}while(0);m=a+44|0;cO(k[m>>2]|0,e,298);cO(k[m>>2]|0,d,296);if((k[e>>2]|0)==300){r=b;return}if((k[d>>2]|0)==625){cO(k[m>>2]|0,c,575);koa(a,k[c>>2]|0,1);r=b;return}else{xh(a,516);ji(a);Voa(a);r=b;return}}function A_(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0;b=r;r=r+480|0;c=b+464|0;d=b+477|0;e=b+476|0;f=b+456|0;g=b+452|0;h=b+304|0;j=b+440|0;l=b+152|0;m=b+288|0;n=b+16|0;o=b;k[g>>2]=0;p=a+44|0;bO(k[p>>2]|0,d,759);cO(k[p>>2]|0,b+460|0,476);bO(k[p>>2]|0,e,340);cO(k[p>>2]|0,f,349);if(k[f>>2]|0)gO(k[p>>2]|0,g,f,350);zoa(a);if(!(i[e>>0]|0)){a:do if(CY()|0){e=h+56|0;p=h+4|0;k[h>>2]=27524;k[e>>2]=27544;B=0;wa(508,h+56|0,p|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;t=q;vva(e);Qb(t|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[e>>2]=27488;B=0;va(448,p|0);q=B;B=0;do if(q&1){u=Rb()|0;v=Q;w=u}else{k[p>>2]=27560;u=h+36|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;k[u+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,p|0,c|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;Yua(c);Yua(u);Ava(p);v=y;w=x;break}Yua(c);B=0;Ia(40,h|0,112455,26)|0;x=B;B=0;do if(!(x&1)?(B=0,wa(510,j|0,p|0),y=B,B=0,!(y&1)):0){B=0;ya(425,j|0)|0;y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(j);A=z;C=y;break}else{Yua(j);k[h>>2]=27468;k[e>>2]=27488;k[p>>2]=27560;Yua(u);Ava(p);vva(e);break a}}else D=18;while(0);if((D|0)==18){x=Rb()|0;A=Q;C=x}k[h>>2]=27468;k[e>>2]=27488;k[p>>2]=27560;Yua(u);Ava(p);vva(e);E=A;F=C;Qb(F|0)}while(0);s=v;t=w;vva(e);Qb(t|0)}while(0);xh(a,521);C_(a);b:do if(CY()|0){t=l+56|0;w=l+4|0;k[l>>2]=27524;k[t>>2]=27544;B=0;wa(508,l+56|0,w|0);v=B;B=0;if(v&1){v=Rb()|0;G=Q;H=v;vva(t);Qb(H|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[t>>2]=27488;B=0;va(448,w|0);v=B;B=0;do if(v&1){s=Rb()|0;I=Q;J=s}else{k[w>>2]=27560;s=l+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[l+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,w|0,c|0);C=B;B=0;if(C&1){C=Rb()|0;A=Q;Yua(c);Yua(s);Ava(w);I=A;J=C;break}Yua(c);B=0;Ia(40,l|0,112482,21)|0;C=B;B=0;do if(!(C&1)?(B=0,wa(510,m|0,w|0),A=B,B=0,!(A&1)):0){B=0;ya(425,m|0)|0;A=B;B=0;if(A&1){A=Rb()|0;h=Q;Yua(m);K=h;L=A;break}else{Yua(m);k[l>>2]=27468;k[t>>2]=27488;k[w>>2]=27560;Yua(s);Ava(w);vva(t);break b}}else D=34;while(0);if((D|0)==34){C=Rb()|0;K=Q;L=C}k[l>>2]=27468;k[t>>2]=27488;k[w>>2]=27560;Yua(s);Ava(w);vva(t);E=K;F=L;Qb(F|0)}while(0);G=I;H=J;vva(t);Qb(H|0)}while(0);xh(a,509);Voa(a)}else{H=Qqa(4)|0;k[H>>2]=39012;Fc[k[39044>>2]&1023](H,a);Ec[k[(k[H>>2]|0)+4>>2]&1023](H)}if(i[d>>0]|0){c:do if(CY()|0){d=n+56|0;H=n+4|0;k[n>>2]=27524;k[d>>2]=27544;B=0;wa(508,n+56|0,H|0);J=B;B=0;if(J&1){J=Rb()|0;M=Q;N=J;vva(d);Qb(N|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[d>>2]=27488;B=0;va(448,H|0);J=B;B=0;do if(J&1){I=Rb()|0;O=Q;P=I}else{k[H>>2]=27560;I=n+36|0;k[I>>2]=0;k[I+4>>2]=0;k[I+8>>2]=0;k[I+12>>2]=0;k[n+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,H|0,c|0);G=B;B=0;if(G&1){G=Rb()|0;L=Q;Yua(c);Yua(I);Ava(H);O=L;P=G;break}Yua(c);B=0;Ia(40,n|0,148942,18)|0;G=B;B=0;do if(!(G&1)?(B=0,wa(510,o|0,H|0),L=B,B=0,!(L&1)):0){B=0;ya(425,o|0)|0;L=B;B=0;if(L&1){L=Rb()|0;K=Q;Yua(o);R=K;S=L;break}else{Yua(o);k[n>>2]=27468;k[d>>2]=27488;k[H>>2]=27560;Yua(I);Ava(H);vva(d);break c}}else D=52;while(0);if((D|0)==52){G=Rb()|0;R=Q;S=G}k[n>>2]=27468;k[d>>2]=27488;k[H>>2]=27560;Yua(I);Ava(H);vva(d);E=R;F=S;Qb(F|0)}while(0);M=O;N=P;vva(d);Qb(N|0)}while(0);ci(a,a+48|0,k[g>>2]|0,k[f>>2]|0,1)}a=k[f>>2]|0;if(!a){r=b;return}N=k[g>>2]|0;if((a|0)>0){P=N;O=a;a=0;while(1){M=P+(a<<2)|0;F=k[M>>2]|0;if(!F)T=O;else{Tqa(F);T=k[f>>2]|0}k[M>>2]=0;a=a+1|0;M=k[g>>2]|0;if((a|0)>=(T|0)){U=M;break}else{P=M;O=T}}}else U=N;if(U)Tqa(U);k[g>>2]=0;r=b;return}function B_(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;b=r;r=r+336|0;c=b+316|0;d=b+308|0;e=b+328|0;f=b+304|0;g=b+300|0;h=b+152|0;j=b+288|0;l=b+16|0;m=b;k[g>>2]=0;xh(a,382);n=a+44|0;cO(k[n>>2]|0,b+312|0,381);bO(k[n>>2]|0,e,759);cO(k[n>>2]|0,f,476);cO(k[n>>2]|0,d,384);if(k[d>>2]|0)gO(k[n>>2]|0,g,d,385);a:do if(CY()|0){n=h+56|0;o=h+4|0;k[h>>2]=27524;k[n>>2]=27544;B=0;wa(508,h+56|0,o|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;s=p;vva(n);Qb(s|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[n>>2]=27488;B=0;va(448,o|0);p=B;B=0;do if(p&1){t=Rb()|0;u=Q;v=t}else{k[o>>2]=27560;t=h+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,o|0,c|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(c);Yua(t);Ava(o);u=x;v=w;break}Yua(c);B=0;Ia(40,h|0,112504,18)|0;w=B;B=0;do if(!(w&1)?(B=0,wa(510,j|0,o|0),x=B,B=0,!(x&1)):0){B=0;ya(425,j|0)|0;x=B;B=0;if(x&1){x=Rb()|0;y=Q;Yua(j);z=y;A=x;break}else{Yua(j);k[h>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(t);Ava(o);vva(n);break a}}else C=16;while(0);if((C|0)==16){w=Rb()|0;z=Q;A=w}k[h>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(t);Ava(o);vva(n);D=z;E=A;Qb(E|0)}while(0);q=u;s=v;vva(n);Qb(s|0)}while(0);s=Qqa(4)|0;k[s>>2]=39620;Fc[k[39652>>2]&1023](s,a);Ec[k[(k[s>>2]|0)+4>>2]&1023](s);if(i[e>>0]|0){b:do if(CY()|0){e=l+56|0;s=l+4|0;k[l>>2]=27524;k[e>>2]=27544;B=0;wa(508,l+56|0,s|0);v=B;B=0;if(v&1){v=Rb()|0;F=Q;G=v;vva(e);Qb(G|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[e>>2]=27488;B=0;va(448,s|0);v=B;B=0;do if(v&1){u=Rb()|0;H=Q;I=u}else{k[s>>2]=27560;u=l+36|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;k[u+12>>2]=0;k[l+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,s|0,c|0);q=B;B=0;if(q&1){q=Rb()|0;A=Q;Yua(c);Yua(u);Ava(s);H=A;I=q;break}Yua(c);B=0;Ia(40,l|0,148942,18)|0;q=B;B=0;do if(!(q&1)?(B=0,wa(510,m|0,s|0),A=B,B=0,!(A&1)):0){B=0;ya(425,m|0)|0;A=B;B=0;if(A&1){A=Rb()|0;z=Q;Yua(m);J=z;K=A;break}else{Yua(m);k[l>>2]=27468;k[e>>2]=27488;k[s>>2]=27560;Yua(u);Ava(s);vva(e);break b}}else C=33;while(0);if((C|0)==33){q=Rb()|0;J=Q;K=q}k[l>>2]=27468;k[e>>2]=27488;k[s>>2]=27560;Yua(u);Ava(s);vva(e);D=J;E=K;Qb(E|0)}while(0);F=H;G=I;vva(e);Qb(G|0)}while(0);ci(a,a+48|0,k[g>>2]|0,k[d>>2]|0,1)}if((k[f>>2]|0)==383)gi(a);a=k[d>>2]|0;if(!a){r=b;return}f=k[g>>2]|0;if((a|0)>0){G=f;I=a;a=0;while(1){H=G+(a<<2)|0;F=k[H>>2]|0;if(!F)L=I;else{Tqa(F);L=k[d>>2]|0}k[H>>2]=0;a=a+1|0;H=k[g>>2]|0;if((a|0)>=(L|0)){M=H;break}else{G=H;I=L}}}else M=f;if(M)Tqa(M);k[g>>2]=0;r=b;return}function C_(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0;b=r;r=r+704|0;c=b+680|0;d=b+676|0;e=b+672|0;f=b+668|0;g=b+664|0;h=b+16|0;j=b+660|0;l=b+656|0;m=b+652|0;n=b+648|0;o=b+694|0;q=b+693|0;s=b+692|0;t=b+644|0;u=b+640|0;v=b+636|0;w=b+632|0;x=b+616|0;y=b+8|0;z=b+480|0;A=b+620|0;C=b;D=b+328|0;E=b+464|0;G=b+192|0;H=b+176|0;I=b+40|0;J=b+24|0;k[d>>2]=0;k[e>>2]=0;k[f>>2]=0;k[g>>2]=0;k[j>>2]=0;k[l>>2]=0;k[m>>2]=0;k[n>>2]=0;K=a+44|0;bO(k[K>>2]|0,q,340);cO(k[K>>2]|0,x,478);cO(k[K>>2]|0,w,343);i[o>>0]=0;uoa(a,0,645);L=k[K>>2]|0;if(!(i[q>>0]|0)){cO(L,v,346);uoa(a,1,656);Eh(a);M=a+24|0}else{bO(L,s,341);dO(k[K>>2]|0,y,342);Eh(a);Aoa(d,a);L=a+24|0;Koa(e,k[d>>2]|0,k[L>>2]|0,k[K>>2]|0);xoa(a,k[d>>2]|0);M=L}L=z+56|0;N=z+4|0;O=z+56|0;P=z+128|0;R=z+132|0;S=z+36|0;T=z+52|0;U=G+56|0;V=G+4|0;W=G+56|0;X=G+128|0;Y=G+132|0;Z=G+36|0;_=G+52|0;$=D+56|0;aa=D+4|0;ba=D+56|0;ca=D+128|0;da=D+132|0;ea=D+36|0;fa=D+52|0;ga=1;while(1){ha=k[f>>2]|0;if(ha){if((k[ha>>2]|0)!=0?(ia=k[ha+4>>2]|0,(ia|0)!=0):0){ja=k[ia>>2]|0;if(ja)Ec[k[(k[ja>>2]|0)+4>>2]&1023](ja);Sqa(ia)}Sqa(ha)}k[f>>2]=k[e>>2];if(i[q>>0]|0){ooa(j,l,m,n,0,a);if(i[s>>0]|0){ha=k[f>>2]|0;if(ha){if((k[ha>>2]|0)!=0?(ia=k[ha+4>>2]|0,(ia|0)!=0):0){ja=k[ia>>2]|0;if(ja)Ec[k[(k[ja>>2]|0)+4>>2]&1023](ja);Sqa(ia)}Sqa(ha)}Koa(f,k[d>>2]|0,k[M>>2]|0,k[K>>2]|0)}}else ooa(j,l,m,n,h,a);ha=k[d>>2]|0;if(ha){if((k[ha>>2]|0)!=0?(ia=k[ha+4>>2]|0,(ia|0)!=0):0){ja=k[ia>>2]|0;if(ja)Ec[k[(k[ja>>2]|0)+4>>2]&1023](ja);Sqa(ia)}Sqa(ha)}poa(g,k[M>>2]|0,k[x>>2]|0);Loa(k[m>>2]|0,k[l>>2]|0,k[g>>2]|0,0);ha=k[l>>2]|0;if(ha){if((k[ha>>2]|0)!=0?(ia=k[ha+4>>2]|0,(ia|0)!=0):0){ja=k[ia>>2]|0;if(ja)Ec[k[(k[ja>>2]|0)+4>>2]&1023](ja);Sqa(ia)}Sqa(ha)}Poa(e,k[j>>2]|0,k[m>>2]|0,k[f>>2]|0,k[n>>2]|0,k[K>>2]|0);Roa(d,k[e>>2]|0,k[g>>2]|0,k[M>>2]|0,k[K>>2]|0,0);ha=k[g>>2]|0;if(ha){if((k[ha>>2]|0)!=0?(ia=k[ha+4>>2]|0,(ia|0)!=0):0){ja=k[ia>>2]|0;if(ja)Ec[k[(k[ja>>2]|0)+4>>2]&1023](ja);Sqa(ia)}Sqa(ha)}if(i[q>>0]|0){Zoa(o,k[j>>2]|0,k[m>>2]|0,k[e>>2]|0,k[f>>2]|0,.05,+p[y>>3],F);uoa(a,(i[o>>0]|0)!=0,645)}ha=k[j>>2]|0;if(ha){if((k[ha>>2]|0)!=0?(ia=k[ha+4>>2]|0,(ia|0)!=0):0){ja=k[ia>>2]|0;if(ja)Ec[k[(k[ja>>2]|0)+4>>2]&1023](ja);Sqa(ia)}Sqa(ha)}ha=k[m>>2]|0;if(ha){if((k[ha>>2]|0)!=0?(ia=k[ha+4>>2]|0,(ia|0)!=0):0){ja=k[ia>>2]|0;if(ja)Ec[k[(k[ja>>2]|0)+4>>2]&1023](ja);Sqa(ia)}Sqa(ha)}ha=k[n>>2]|0;if(ha){if((k[ha>>2]|0)!=0?(ia=k[ha+4>>2]|0,(ia|0)!=0):0){ja=k[ia>>2]|0;if(ja)Ec[k[(k[ja>>2]|0)+4>>2]&1023](ja);Sqa(ia)}Sqa(ha)}xoa(a,k[d>>2]|0);Moa(t,u,a);if(EY()|0){k[z>>2]=27524;k[L>>2]=27544;B=0;wa(508,O|0,N|0);ha=B;B=0;if(ha&1){ka=72;break}k[P>>2]=0;k[R>>2]=-1;k[z>>2]=27468;k[L>>2]=27488;B=0;va(448,N|0);ha=B;B=0;if(ha&1){ka=73;break}k[N>>2]=27560;k[S>>2]=0;k[S+4>>2]=0;k[S+8>>2]=0;k[S+12>>2]=0;k[T>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,N|0,c|0);ha=B;B=0;if(ha&1){ka=71;break}Yua(c);B=0;ha=Ia(40,z|0,147646,35)|0;ia=B;B=0;if(ia&1){ka=82;break}B=0;ia=Xa(242,ha|0,k[u>>2]|0)|0;ha=B;B=0;if(ha&1){ka=82;break}B=0;Ia(40,ia|0,149177,1)|0;ia=B;B=0;if(ia&1){ka=82;break}B=0;wa(510,A|0,N|0);ia=B;B=0;if(ia&1){ka=82;break}B=0;ya(425,A|0)|0;ia=B;B=0;if(ia&1){ka=83;break}Yua(A);k[z>>2]=27468;k[L>>2]=27488;k[N>>2]=27560;Yua(S);Ava(N);vva(L)}if(!(i[q>>0]|0)){ia=i[o>>0]|0;if(!(ia<<24>>24)){if((k[u>>2]|0)>(k[v>>2]|0))la=0;else{i[o>>0]=1;la=1}if((ga|0)<(k[w>>2]|0))ma=la;else{i[o>>0]=1;k[G>>2]=27524;k[U>>2]=27544;B=0;wa(508,W|0,V|0);ha=B;B=0;if(ha&1){ka=116;break}k[X>>2]=0;k[Y>>2]=-1;k[G>>2]=27468;k[U>>2]=27488;B=0;va(448,V|0);ha=B;B=0;if(ha&1){ka=117;break}k[V>>2]=27560;k[Z>>2]=0;k[Z+4>>2]=0;k[Z+8>>2]=0;k[Z+12>>2]=0;k[_>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,V|0,c|0);ha=B;B=0;if(ha&1){ka=115;break}Yua(c);B=0;ha=Ia(40,G|0,148961,33)|0;ja=B;B=0;if(ja&1){ka=126;break}B=0;ja=Xa(242,ha|0,k[w>>2]|0)|0;ha=B;B=0;if(ha&1){ka=126;break}B=0;Ia(40,ja|0,148995,11)|0;ja=B;B=0;if(ja&1){ka=126;break}B=0;wa(510,H|0,V|0);ja=B;B=0;if(ja&1){ka=126;break}B=0;ya(425,H|0)|0;ja=B;B=0;if(ja&1){ka=127;break}Yua(H);k[G>>2]=27468;k[U>>2]=27488;k[V>>2]=27560;Yua(Z);Ava(V);vva(U);ma=i[o>>0]|0}}else ma=ia;ia=ga+1|0;uoa(a,ma<<24>>24!=0,645);if(!(i[o>>0]|0)){ga=ia;continue}else{na=ia;ka=131;break}}else{dO(k[K>>2]|0,C,358);ia=ga+1|0;if((ia|0)>=(k[w>>2]|0)){k[D>>2]=27524;k[$>>2]=27544;B=0;wa(508,ba|0,aa|0);ja=B;B=0;if(ja&1){ka=91;break}k[ca>>2]=0;k[da>>2]=-1;k[D>>2]=27468;k[$>>2]=27488;B=0;va(448,aa|0);ja=B;B=0;if(ja&1){ka=92;break}k[aa>>2]=27560;k[ea>>2]=0;k[ea+4>>2]=0;k[ea+8>>2]=0;k[ea+12>>2]=0;k[fa>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,aa|0,c|0);ja=B;B=0;if(ja&1){ka=90;break}Yua(c);B=0;ja=Ia(40,D|0,147682,43)|0;ha=B;B=0;if(ha&1){ka=101;break}B=0;ha=Xa(242,ja|0,k[w>>2]|0)|0;ja=B;B=0;if(ja&1){ka=101;break}B=0;Ia(40,ha|0,148995,11)|0;ha=B;B=0;if(ha&1){ka=101;break}B=0;wa(510,E|0,aa|0);ha=B;B=0;if(ha&1){ka=101;break}B=0;ya(425,E|0)|0;ha=B;B=0;if(ha&1){ka=102;break}Yua(E);k[D>>2]=27468;k[$>>2]=27488;k[aa>>2]=27560;Yua(ea);Ava(aa);vva($);i[o>>0]=1;uoa(a,1,645);xoa(a,k[d>>2]|0)}if(i[o>>0]|0){oa=ia;ka=130;break}if(+p[C>>3]==0.0){Rba(a);lca(a)}ga=ia;continue}}switch(ka|0){case 71:{ga=Rb()|0;C=Q;Yua(c);Yua(S);Ava(N);pa=C;qa=ga;ka=74;break}case 72:{ga=Rb()|0;ra=Q;sa=ga;vva(L);Qb(sa|0);break}case 73:{ga=Rb()|0;pa=Q;qa=ga;ka=74;break}case 82:{ga=Rb()|0;ta=Q;ua=ga;ka=84;break}case 83:{ga=Rb()|0;C=Q;Yua(A);ta=C;ua=ga;ka=84;break}case 90:{ga=Rb()|0;C=Q;Yua(c);Yua(ea);Ava(aa);xa=C;za=ga;ka=93;break}case 91:{ga=Rb()|0;Aa=Q;Ba=ga;vva($);Qb(Ba|0);break}case 92:{ga=Rb()|0;xa=Q;za=ga;ka=93;break}case 101:{ga=Rb()|0;Ca=Q;Da=ga;ka=103;break}case 102:{ga=Rb()|0;C=Q;Yua(E);Ca=C;Da=ga;ka=103;break}case 115:{ga=Rb()|0;C=Q;Yua(c);Yua(Z);Ava(V);Ea=C;Fa=ga;ka=118;break}case 116:{ga=Rb()|0;Ga=Q;Ha=ga;vva(U);Qb(Ha|0);break}case 117:{ga=Rb()|0;Ea=Q;Fa=ga;ka=118;break}case 126:{ga=Rb()|0;Ja=Q;Ka=ga;ka=128;break}case 127:{ga=Rb()|0;C=Q;Yua(H);Ja=C;Ka=ga;ka=128;break}case 130:{na=oa;ka=131;break}}if((ka|0)==74){ra=pa;sa=qa;vva(L);Qb(sa|0)}else if((ka|0)==84){k[z>>2]=27468;k[L>>2]=27488;k[N>>2]=27560;Yua(S);Ava(N);vva(L);La=ta;Ma=ua;Qb(Ma|0)}else if((ka|0)==93){Aa=xa;Ba=za;vva($);Qb(Ba|0)}else if((ka|0)==103){k[D>>2]=27468;k[$>>2]=27488;k[aa>>2]=27560;Yua(ea);Ava(aa);vva($);La=Ca;Ma=Da;Qb(Ma|0)}else if((ka|0)==118){Ga=Ea;Ha=Fa;vva(U);Qb(Ha|0)}else if((ka|0)==128){k[G>>2]=27468;k[U>>2]=27488;k[V>>2]=27560;Yua(Z);Ava(V);vva(U);La=Ja;Ma=Ka;Qb(Ma|0)}else if((ka|0)==131){a:do if(i[q>>0]|0){if(EY()|0){Ka=I+56|0;Ja=I+4|0;k[I>>2]=27524;k[Ka>>2]=27544;B=0;wa(508,I+56|0,Ja|0);U=B;B=0;if(U&1){U=Rb()|0;Na=Q;Oa=U;vva(Ka);Qb(Oa|0)}k[I+128>>2]=0;k[I+132>>2]=-1;k[I>>2]=27468;k[Ka>>2]=27488;B=0;va(448,Ja|0);U=B;B=0;do if(U&1){V=Rb()|0;Pa=Q;Qa=V}else{k[Ja>>2]=27560;V=I+36|0;k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;k[V+12>>2]=0;k[I+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ja|0,c|0);Z=B;B=0;if(Z&1){Z=Rb()|0;G=Q;Yua(c);Yua(V);Ava(Ja);Pa=G;Qa=Z;break}Yua(c);B=0;Z=Ia(40,I|0,147767,32)|0;G=B;B=0;do if(((!(G&1)?(B=0,Ha=Xa(242,Z|0,na+-1|0)|0,Fa=B,B=0,!(Fa&1)):0)?(B=0,Ia(40,Ha|0,149177,1)|0,Ha=B,B=0,!(Ha&1)):0)?(B=0,wa(510,J|0,Ja|0),Ha=B,B=0,!(Ha&1)):0){B=0;ya(425,J|0)|0;Ha=B;B=0;if(Ha&1){Ha=Rb()|0;Fa=Q;Yua(J);Ra=Fa;Sa=Ha;break}else{Yua(J);k[I>>2]=27468;k[Ka>>2]=27488;k[Ja>>2]=27560;Yua(V);Ava(Ja);vva(Ka);break a}}else ka=147;while(0);if((ka|0)==147){Z=Rb()|0;Ra=Q;Sa=Z}k[I>>2]=27468;k[Ka>>2]=27488;k[Ja>>2]=27560;Yua(V);Ava(Ja);vva(Ka);La=Ra;Ma=Sa;Qb(Ma|0)}while(0);Na=Pa;Oa=Qa;vva(Ka);Qb(Oa|0)}}else{xoa(a,k[d>>2]|0);pO(k[K>>2]|0,+p[h>>3],651)}while(0);h=k[d>>2]|0;if(h){if((k[h>>2]|0)!=0?(d=k[h+4>>2]|0,(d|0)!=0):0){K=k[d>>2]|0;if(K)Ec[k[(k[K>>2]|0)+4>>2]&1023](K);Sqa(d)}Sqa(h)}h=k[e>>2]|0;if(h){if((k[h>>2]|0)!=0?(e=k[h+4>>2]|0,(e|0)!=0):0){d=k[e>>2]|0;if(d)Ec[k[(k[d>>2]|0)+4>>2]&1023](d);Sqa(e)}Sqa(h)}h=k[f>>2]|0;if(!h){r=b;return}if((k[h>>2]|0)!=0?(f=k[h+4>>2]|0,(f|0)!=0):0){e=k[f>>2]|0;if(e)Ec[k[(k[e>>2]|0)+4>>2]&1023](e);Sqa(f)}Sqa(h);r=b;return}}function D_(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0;d=r;r=r+416|0;e=d+388|0;f=d+400|0;g=d+384|0;h=d+380|0;j=d+376|0;l=d+372|0;m=d+368|0;n=d+364|0;o=d+360|0;p=d+356|0;q=d+352|0;s=d+348|0;t=d+200|0;u=d+336|0;v=d+48|0;w=d+36|0;x=d+64|0;y=d+24|0;z=d+12|0;A=d;k[m>>2]=0;k[n>>2]=0;k[o>>2]=0;k[p>>2]=0;k[q>>2]=0;k[s>>2]=0;zka(b,f,139791);Fka(b,g,112523);if(!(i[f>>0]|0)){r=d;return}YN(a,Ika(b,113066,198)|0);YN(a,Ika(b,113428,199)|0);f=Qqa(12)|0;B=0;do if((c|0)==518){vO(f,936,1);C=B;B=0;if(!(C&1)){YN(a,f);break}C=Rb()|0;D=Q;Sqa(f);E=D;F=C;Qb(F|0)}else{vO(f,936,0);C=B;B=0;if(!(C&1)){YN(a,f);break}C=Rb()|0;D=Q;Sqa(f);E=D;F=C;Qb(F|0)}while(0);Hka(b,m,j,113102);f=k[j>>2]|0;if((f|0)<1){c=t+56|0;C=t+4|0;k[t>>2]=27524;k[c>>2]=27544;B=0;wa(508,t+56|0,C|0);D=B;B=0;if(D&1){D=Rb()|0;G=Q;H=D;vva(c);Qb(H|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[c>>2]=27488;B=0;va(448,C|0);D=B;B=0;do if(D&1){I=Rb()|0;J=Q;K=I}else{k[C>>2]=27560;I=t+36|0;k[I>>2]=0;k[I+4>>2]=0;k[I+8>>2]=0;k[I+12>>2]=0;k[t+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,C|0,e|0);L=B;B=0;if(L&1){L=Rb()|0;M=Q;Yua(e);Yua(I);Ava(C);J=M;K=L;break}Yua(e);B=0;L=Ia(40,t|0,113134,17)|0;M=B;B=0;a:do if(!(M&1)?(B=0,Xa(239,L|0,0)|0,N=B,B=0,!(N&1)):0){N=Ab(20)|0;B=0;eb(502,u|0,112541,106);O=B;B=0;do if(!(O&1)){B=0;eb(502,v|0,112648,23);P=B;B=0;if(P&1){P=Rb()|0;R=Q;Yua(u);S=P;T=R;break}B=0;wa(510,w|0,C|0);R=B;B=0;if(R&1){R=Rb()|0;U=Q;V=R;W=1}else{B=0;ua(163,N|0,u|0,v|0,44,w|0);R=B;B=0;if(R&1)X=1;else{B=0;eb(503,N|0,1240,229);B=0;X=0}R=Rb()|0;P=Q;Yua(w);U=P;V=R;W=X}Yua(v);Yua(u);if(W){S=V;T=U}else{Y=V;Z=U;break a}}else{R=Rb()|0;S=R;T=Q}while(0);zb(N|0);Y=S;Z=T}else _=25;while(0);if((_|0)==25){L=Rb()|0;Y=L;Z=Q}k[t>>2]=27468;k[c>>2]=27488;k[C>>2]=27560;Yua(I);Ava(C);vva(c);E=Z;F=Y;Qb(F|0)}while(0);G=J;H=K;vva(c);Qb(H|0)}H=Rqa(f>>>0>1073741823?-1:f<<2)|0;f=k[m>>2]|0;c=0;while(1){K=zY(k[f+(c<<2)>>2]|0,1)|0;k[H+(c<<2)>>2]=K;K=(k[m>>2]|0)+(c<<2)|0;J=k[K>>2]|0;if(J)Tqa(J);k[K>>2]=0;c=c+1|0;K=k[j>>2]|0;J=k[m>>2]|0;if((c|0)>=(K|0)){$=K;aa=J;break}else f=J}if(!aa)ba=$;else{Tqa(aa);ba=k[j>>2]|0}k[m>>2]=0;m=Qqa(16)|0;B=0;ib(293,m|0,176,H|0,ba|0);ba=B;B=0;if(ba&1){ba=Rb()|0;aa=Q;Sqa(m);E=aa;F=ba;Qb(F|0)}YN(a,m);Cka(b,o,0,l,113303);m=Qqa(16)|0;B=0;ib(293,m|0,180,k[o>>2]|0,k[l>>2]|0);l=B;B=0;if(l&1){l=Rb()|0;ba=Q;Sqa(m);E=ba;F=l;Qb(F|0)}YN(a,m);Tqa(H);b:do switch(k[g>>2]|0){case 0:{YN(a,Ika(b,112672,184)|0);YN(a,Ika(b,112704,196)|0);YN(a,Ika(b,112724,178)|0);Qka(b,p,h,0,112761);Qka(b,q,0,0,112789);Cka(b,n,0,0,112819);H=Qqa(20)|0;B=0;ua(171,H|0,181,k[q>>2]|0,k[h>>2]|0,k[j>>2]|0);m=B;B=0;if(m&1){m=Rb()|0;l=Q;Sqa(H);E=l;F=m;Qb(F|0)}YN(a,H);H=Qqa(16)|0;B=0;ib(297,H|0,200,k[p>>2]|0,k[h>>2]|0);m=B;B=0;if(m&1){m=Rb()|0;l=Q;Sqa(H);E=l;F=m;Qb(F|0)}YN(a,H);H=Qqa(16)|0;B=0;ib(293,H|0,186,k[n>>2]|0,k[h>>2]|0);m=B;B=0;if(!(m&1)){YN(a,H);break b}m=Rb()|0;l=Q;Sqa(H);E=l;F=m;Qb(F|0);break}case 1:{YN(a,Ika(b,112672,184)|0);YN(a,Ika(b,112849,189)|0);YN(a,Ika(b,112868,190)|0);YN(a,Ika(b,112887,191)|0);YN(a,Ika(b,112906,192)|0);YN(a,Ika(b,112925,193)|0);YN(a,Ika(b,112944,188)|0);YN(a,Ika(b,112966,187)|0);YN(a,Ika(b,112987,194)|0);break}case 2:{YN(a,Ika(b,112672,184)|0);YN(a,Ika(b,113010,197)|0);YN(a,Ika(b,112925,193)|0);YN(a,Ika(b,112944,188)|0);YN(a,Ika(b,112966,187)|0);Qka(b,s,0,0,113029);m=Qqa(16)|0;B=0;ib(297,m|0,177,k[s>>2]|0,k[j>>2]|0);l=B;B=0;if(!(l&1)){YN(a,m);break b}l=Rb()|0;H=Q;Sqa(m);E=H;F=l;Qb(F|0);break}case 3:{YN(a,Ika(b,112672,184)|0);Qka(b,s,0,0,113029);l=Qqa(16)|0;B=0;ib(297,l|0,177,k[s>>2]|0,k[j>>2]|0);H=B;B=0;if(!(H&1)){YN(a,l);break b}H=Rb()|0;m=Q;Sqa(l);E=m;F=H;Qb(F|0);break}case 4:{YN(a,Ika(b,113010,197)|0);YN(a,Ika(b,112925,193)|0);YN(a,Ika(b,112944,188)|0);YN(a,Ika(b,112966,187)|0);Qka(b,s,0,0,113029);H=Qqa(16)|0;B=0;ib(297,H|0,177,k[s>>2]|0,k[j>>2]|0);m=B;B=0;if(!(m&1)){YN(a,H);break b}m=Rb()|0;l=Q;Sqa(H);E=l;F=m;Qb(F|0);break}default:{m=x+56|0;l=x+4|0;k[x>>2]=27524;k[m>>2]=27544;B=0;wa(508,x+56|0,l|0);H=B;B=0;if(H&1){H=Rb()|0;ca=Q;da=H;vva(m);Qb(da|0)}k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[m>>2]=27488;B=0;va(448,l|0);H=B;B=0;do if(H&1){ba=Rb()|0;ea=Q;fa=ba}else{k[l>>2]=27560;ba=x+36|0;k[ba>>2]=0;k[ba+4>>2]=0;k[ba+8>>2]=0;k[ba+12>>2]=0;k[x+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,l|0,e|0);aa=B;B=0;if(aa&1){aa=Rb()|0;$=Q;Yua(e);Yua(ba);Ava(l);ea=$;fa=aa;break}Yua(e);B=0;aa=Ia(40,x|0,145010,13)|0;$=B;B=0;c:do if(!($&1)?(B=0,Xa(239,aa|0,0)|0,f=B,B=0,!(f&1)):0){f=Ab(20)|0;B=0;eb(502,y|0,112541,106);c=B;B=0;do if(!(c&1)){B=0;eb(502,z|0,112648,23);J=B;B=0;if(J&1){J=Rb()|0;K=Q;Yua(y);ga=J;ha=K;break}B=0;wa(510,A|0,l|0);K=B;B=0;if(K&1){K=Rb()|0;ia=1;ja=Q;ka=K}else{B=0;ua(163,f|0,y|0,z|0,104,A|0);K=B;B=0;if(K&1)la=1;else{B=0;eb(503,f|0,1240,229);B=0;la=0}K=Rb()|0;J=Q;Yua(A);ia=la;ja=J;ka=K}Yua(z);Yua(y);if(ia){ga=ka;ha=ja}else{ma=ja;na=ka;break c}}else{K=Rb()|0;ga=K;ha=Q}while(0);zb(f|0);ma=ha;na=ga}else _=76;while(0);if((_|0)==76){aa=Rb()|0;ma=Q;na=aa}k[x>>2]=27468;k[m>>2]=27488;k[l>>2]=27560;Yua(ba);Ava(l);vva(m);E=ma;F=na;Qb(F|0)}while(0);ca=ea;da=fa;vva(m);Qb(da|0)}}while(0);da=k[o>>2]|0;if(da)Tqa(da);k[o>>2]=0;o=k[n>>2]|0;if(o)Tqa(o);k[n>>2]=0;n=k[s>>2]|0;if(n)Tqa(n);k[s>>2]=0;Mka(b,k[p>>2]|0,112761);Mka(b,k[q>>2]|0,112789);r=d;return}function E_(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0;b=r;r=r+752|0;d=b+200|0;e=b+192|0;f=b+184|0;g=b+176|0;h=b+168|0;j=b+160|0;l=b+152|0;m=b+144|0;n=b+136|0;o=b+128|0;q=b+120|0;s=b+104|0;t=b+96|0;u=b+88|0;v=b+80|0;w=b+72|0;x=b+64|0;y=b+56|0;z=b+48|0;A=b+40|0;C=b+32|0;D=b+24|0;E=b+16|0;F=b;G=b+600|0;H=b+596|0;I=b+592|0;J=b+588|0;K=b+584|0;L=b+736|0;M=b+424|0;N=b+572|0;O=b+560|0;P=b+412|0;R=b+400|0;S=b+252|0;T=b+240|0;U=b+264|0;V=b+228|0;W=b+216|0;X=b+204|0;zka(c,L,139791);if(!(i[L>>0]|0)){r=b;return}Fka(c,I,113066);if(!(i[L>>0]|0)){r=b;return}Hka(c,K,I,113102);L=k[I>>2]|0;if((L|0)<1){Y=M+56|0;Z=M+4|0;k[M>>2]=27524;k[Y>>2]=27544;B=0;wa(508,M+56|0,Z|0);_=B;B=0;if(_&1){_=Rb()|0;$=Q;aa=_;vva(Y);Qb(aa|0)}k[M+128>>2]=0;k[M+132>>2]=-1;k[M>>2]=27468;k[Y>>2]=27488;B=0;va(448,Z|0);_=B;B=0;do if(_&1){ba=Rb()|0;ca=Q;da=ba}else{k[Z>>2]=27560;ba=M+36|0;k[ba>>2]=0;k[ba+4>>2]=0;k[ba+8>>2]=0;k[ba+12>>2]=0;k[M+52>>2]=16;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;B=0;wa(509,Z|0,G|0);ea=B;B=0;if(ea&1){ea=Rb()|0;fa=Q;Yua(G);Yua(ba);Ava(Z);ca=fa;da=ea;break}Yua(G);B=0;ea=Ia(40,M|0,113134,17)|0;fa=B;B=0;a:do if(!(fa&1)?(B=0,Xa(239,ea|0,0)|0,ga=B,B=0,!(ga&1)):0){ga=Ab(20)|0;B=0;eb(502,N|0,113152,116);ha=B;B=0;do if(!(ha&1)){B=0;eb(502,O|0,113269,33);ia=B;B=0;if(ia&1){ia=Rb()|0;ja=Q;Yua(N);ka=ja;la=ia;break}B=0;wa(510,P|0,Z|0);ia=B;B=0;if(ia&1){ia=Rb()|0;ma=Q;na=ia;oa=1}else{B=0;ua(163,ga|0,N|0,O|0,31,P|0);ia=B;B=0;if(ia&1)pa=1;else{B=0;eb(503,ga|0,1240,229);B=0;pa=0}ia=Rb()|0;ja=Q;Yua(P);ma=ja;na=ia;oa=pa}Yua(O);Yua(N);if(oa){ka=ma;la=na}else{qa=ma;ra=na;break a}}else{ia=Rb()|0;ka=Q;la=ia}while(0);zb(ga|0);qa=ka;ra=la}else sa=19;while(0);if((sa|0)==19){ea=Rb()|0;qa=Q;ra=ea}k[M>>2]=27468;k[Y>>2]=27488;k[Z>>2]=27560;Yua(ba);Ava(Z);vva(Y);ta=qa;xa=ra;Qb(xa|0)}while(0);$=ca;aa=da;vva(Y);Qb(aa|0)}aa=Rqa(L>>>0>1073741823?-1:L<<2)|0;L=0;do{Y=zY(k[(k[K>>2]|0)+(L<<2)>>2]|0,1)|0;k[aa+(L<<2)>>2]=Y;L=L+1|0}while((L|0)<(k[I>>2]|0));k[F>>2]=113303;k[F+4>>2]=113331;k[F+8>>2]=113372;k[F+12>>2]=113400;Ska(c,4,F);Fka(c,J,113428);Fka(c,H,139814);b:do if((k[J>>2]|0)>0){L=0;while(1){Y=(Jka(c,113303)|0)+(L<<3)|0;switch(~~+p[Y>>3]|0){case 669:{Zka(c,a,113460,201);break}case 670:{Zka(c,a,113487,202);break}case 658:case 660:case 661:case 662:case 663:{Zka(c,a,113512,203);if((k[H>>2]|0)!=301)Zka(c,a,113532,204);break}default:{}}L=L+1|0;if((L|0)>=(k[J>>2]|0))break b}}while(0);J=k[I>>2]|0;c:do if((J|0)>0){H=0;d:while(1){L=k[aa+(H<<2)>>2]|0;do switch(L|0){case 36:{k[E>>2]=126035;Ska(c,1,E);break}case 674:{k[D>>2]=135923;Ska(c,1,D);break}case 677:{k[C>>2]=135944;Ska(c,1,C);break}case 353:{k[A>>2]=137052;Ska(c,1,A);break}case 105:{k[z>>2]=135172;Ska(c,1,z);break}case 104:{k[y>>2]=135273;Ska(c,1,y);break}case 375:{k[x>>2]=113552;Ska(c,1,x);break}case 379:{k[w>>2]=125662;Ska(c,1,w);break}case 214:{k[v>>2]=134991;Ska(c,1,v);break}case 215:{k[u>>2]=134991;Ska(c,1,u);break}case 227:{k[t>>2]=126277;Ska(c,1,t);break}default:{za=L;break d}}while(0);H=H+1|0;L=k[I>>2]|0;if((H|0)>=(L|0)){Aa=L;break c}}H=G+56|0;L=G+4|0;k[G>>2]=27524;k[H>>2]=27544;B=0;wa(508,G+56|0,L|0);ga=B;B=0;if(ga&1){ga=Rb()|0;Ba=Q;Ca=ga;vva(H);Qb(Ca|0)}k[G+128>>2]=0;k[G+132>>2]=-1;k[G>>2]=27468;k[H>>2]=27488;B=0;va(448,L|0);ga=B;B=0;do if(ga&1){ba=Rb()|0;Da=Q;Ea=ba}else{k[L>>2]=27560;ba=G+36|0;k[ba>>2]=0;k[ba+4>>2]=0;k[ba+8>>2]=0;k[ba+12>>2]=0;k[G+52>>2]=16;k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;B=0;wa(509,L|0,F|0);Y=B;B=0;if(Y&1){Y=Rb()|0;da=Q;Yua(F);Yua(ba);Ava(L);Da=da;Ea=Y;break}Yua(F);B=0;Y=Ia(40,G|0,125582,8)|0;da=B;B=0;e:do if((((!(da&1)?(B=0,ca=ya(427,za|0)|0,$=B,B=0,!($&1)):0)?($=Lta(ca)|0,B=0,ra=Ia(40,Y|0,ca|0,$|0)|0,$=B,B=0,!($&1)):0)?(B=0,$=Ia(40,ra|0,127493,20)|0,ra=B,B=0,!(ra&1)):0)?(B=0,Xa(239,$|0,0)|0,$=B,B=0,!($&1)):0){$=Ab(20)|0;B=0;eb(502,R|0,113152,116);ra=B;B=0;do if(!(ra&1)){B=0;eb(502,S|0,113269,33);ca=B;B=0;if(ca&1){ca=Rb()|0;qa=Q;Yua(R);Fa=ca;Ga=qa;break}B=0;wa(510,T|0,L|0);qa=B;B=0;if(qa&1){qa=Rb()|0;Ha=1;Ja=Q;Ka=qa}else{B=0;ua(163,$|0,R|0,S|0,74,T|0);qa=B;B=0;if(qa&1)La=1;else{B=0;eb(503,$|0,1240,229);B=0;La=0}qa=Rb()|0;ca=Q;Yua(T);Ha=La;Ja=ca;Ka=qa}Yua(S);Yua(R);if(Ha){Fa=Ka;Ga=Ja}else{Ma=Ja;Na=Ka;break e}}else{qa=Rb()|0;Fa=qa;Ga=Q}while(0);zb($|0);Ma=Ga;Na=Fa}else sa=69;while(0);if((sa|0)==69){Y=Rb()|0;Ma=Q;Na=Y}k[G>>2]=27468;k[H>>2]=27488;k[L>>2]=27560;Yua(ba);Ava(L);vva(H);ta=Ma;xa=Na;Qb(xa|0)}while(0);Ba=Da;Ca=Ea;vva(H);Qb(Ca|0)}else Aa=J;while(0);J=c+56|0;Ca=k[J>>2]|0;if((Ca|0)>0){Ea=c+32|0;Da=Ca;Ca=0;Ba=0;while(1){if(!(i[(k[Ea>>2]|0)+Ba>>0]|0)){Oa=Da;Pa=Ca}else{Na=(qh(a,Ca)|0)+4|0;nd[k[(k[Na>>2]|0)+16>>2]&1023](Na,Ba,c);Oa=k[J>>2]|0;Pa=Ca+1|0}Ba=Ba+1|0;if((Ba|0)>=(Oa|0))break;else{Da=Oa;Ca=Pa}}Qa=k[I>>2]|0}else Qa=Aa;f:do if((Qa|0)>0){Aa=0;g:while(1){Pa=aa+(Aa<<2)|0;do switch(k[Pa>>2]|0){case 36:{k[q>>2]=126035;Lka(c,1,q);break}case 674:{k[o>>2]=135923;Lka(c,1,o);break}case 677:{k[n>>2]=135944;Lka(c,1,n);break}case 353:{k[m>>2]=137052;Lka(c,1,m);break}case 105:{k[l>>2]=135172;Lka(c,1,l);break}case 104:{k[j>>2]=135273;Lka(c,1,j);break}case 375:{k[h>>2]=113552;Lka(c,1,h);break}case 379:{k[g>>2]=125662;Lka(c,1,g);break}case 214:{k[f>>2]=134991;Lka(c,1,f);break}case 215:{k[e>>2]=134991;Lka(c,1,e);break}case 227:{k[d>>2]=126277;Lka(c,1,d);break}default:{Ra=Pa;break g}}while(0);Aa=Aa+1|0;if((Aa|0)>=(k[I>>2]|0))break f}Aa=U+56|0;H=U+4|0;k[U>>2]=27524;k[Aa>>2]=27544;B=0;wa(508,U+56|0,H|0);Pa=B;B=0;if(Pa&1){Pa=Rb()|0;Sa=Q;Ta=Pa;vva(Aa);Qb(Ta|0)}k[U+128>>2]=0;k[U+132>>2]=-1;k[U>>2]=27468;k[Aa>>2]=27488;B=0;va(448,H|0);Pa=B;B=0;do if(Pa&1){ba=Rb()|0;Ua=Q;Va=ba}else{k[H>>2]=27560;ba=U+36|0;k[ba>>2]=0;k[ba+4>>2]=0;k[ba+8>>2]=0;k[ba+12>>2]=0;k[U+52>>2]=16;k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;B=0;wa(509,H|0,F|0);Ca=B;B=0;if(Ca&1){Ca=Rb()|0;Oa=Q;Yua(F);Yua(ba);Ava(H);Ua=Oa;Va=Ca;break}Yua(F);B=0;Ca=Ia(40,U|0,125582,8)|0;Oa=B;B=0;h:do if((((!(Oa&1)?(B=0,Da=ya(427,k[Ra>>2]|0)|0,Ba=B,B=0,!(Ba&1)):0)?(Ba=Lta(Da)|0,B=0,J=Ia(40,Ca|0,Da|0,Ba|0)|0,Ba=B,B=0,!(Ba&1)):0)?(B=0,Ba=Ia(40,J|0,127493,20)|0,J=B,B=0,!(J&1)):0)?(B=0,Xa(239,Ba|0,0)|0,Ba=B,B=0,!(Ba&1)):0){Ba=Ab(20)|0;B=0;eb(502,V|0,113152,116);J=B;B=0;do if(!(J&1)){B=0;eb(502,W|0,113269,33);Da=B;B=0;if(Da&1){Da=Rb()|0;a=Q;Yua(V);Wa=Da;Ya=a;break}B=0;wa(510,X|0,H|0);a=B;B=0;if(a&1){a=Rb()|0;Za=1;_a=Q;$a=a}else{B=0;ua(163,Ba|0,V|0,W|0,105,X|0);a=B;B=0;if(a&1)ab=1;else{B=0;eb(503,Ba|0,1240,229);B=0;ab=0}a=Rb()|0;Da=Q;Yua(X);Za=ab;_a=Da;$a=a}Yua(W);Yua(V);if(Za){Wa=$a;Ya=_a}else{bb=_a;cb=$a;break h}}else{a=Rb()|0;Wa=a;Ya=Q}while(0);zb(Ba|0);bb=Ya;cb=Wa}else sa=114;while(0);if((sa|0)==114){Ca=Rb()|0;bb=Q;cb=Ca}k[U>>2]=27468;k[Aa>>2]=27488;k[H>>2]=27560;Yua(ba);Ava(H);vva(Aa);ta=bb;xa=cb;Qb(xa|0)}while(0);Sa=Ua;Ta=Va;vva(Aa);Qb(Ta|0)}while(0);k[s>>2]=113303;k[s+4>>2]=113331;k[s+8>>2]=113372;k[s+12>>2]=113400;Lka(c,4,s);Tqa(aa);aa=k[I>>2]|0;s=k[K>>2]|0;if((aa|0)>0){c=s;Ta=aa;aa=0;while(1){Va=c+(aa<<2)|0;Ua=k[Va>>2]|0;if(!Ua)db=Ta;else{Tqa(Ua);db=k[I>>2]|0}k[Va>>2]=0;aa=aa+1|0;Va=k[K>>2]|0;if((aa|0)>=(db|0)){fb=Va;break}else{c=Va;Ta=db}}}else fb=s;if(fb)Tqa(fb);k[K>>2]=0;r=b;return}function F_(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0;g=r;r=r+16|0;f=g+8|0;e=g;p[f>>3]=0.0;if((th(b)|0)>0){h=0.0;d=0;do{h=+G_(qh(b,d)|0)+h;p[f>>3]=h;d=d+1|0}while((d|0)<(th(b)|0))}nZ(f,e,1,2,4,0,uY()|0)|0;uY()|0;p[a>>3]=+p[e>>3];r=g;return}function G_(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0;b=r;r=r+256|0;c=b+232|0;d=b+228|0;e=b+40|0;f=b+32|0;g=b+24|0;h=b+16|0;i=b+8|0;j=b;l=b+224|0;m=b+88|0;n=b+72|0;o=b+60|0;q=b+48|0;k[l>>2]=0;if(!(Hc[k[(k[a>>2]|0)+252>>2]&511](a)|0)){s=0.0;r=b;return +s}if(!($p(a)|0)){s=0.0;r=b;return +s}cp(a,d,298);t=(k[d>>2]|0)+-300|0;if(t>>>0<3){u=(t&1|0)==0;t=Hc[k[(k[a>>2]|0)+436>>2]&511](a)|0;Uo(t,l);a=Wo(t,179)|0;v=Wo(t,674)|0;w=Wo(t,203)|0;if(u){x=Wo(t,677)|0;y=x;z=Wo(t,204)|0}else{y=0;z=0}x=ed[k[(k[t>>2]|0)+308>>2]&511](t,2)|0;A=Hc[k[(k[x>>2]|0)+8>>2]&511](x)|0;if((A|0)<(Hc[k[(k[x>>2]|0)+12>>2]&511](x)|0)){C=x+8|0;if(u){D=0.0;u=A;while(1){Fc[k[(k[x>>2]|0)+24>>2]&1023](x,u);rd[k[(k[t>>2]|0)+260>>2]&511](t,e,k[l>>2]|0,x);rd[k[(k[a>>2]|0)+56>>2]&511](a,j,x,658);nd[k[(k[v>>2]|0)+48>>2]&1023](v,f,x);nd[k[(k[w>>2]|0)+48>>2]&1023](w,h,x);nd[k[(k[y>>2]|0)+48>>2]&1023](y,g,x);nd[k[(k[z>>2]|0)+48>>2]&1023](z,i,x);E=+p[f>>3]-+p[h>>3];F=+p[g>>3]-+p[i>>3];G=D+(E*(E*.5)+F*(F*.5))*+p[j>>3]*+p[e>>3]*+p[C>>3];u=u+1|0;if((u|0)>=(Hc[k[(k[x>>2]|0)+12>>2]&511](x)|0)){H=G;break}else D=G}}else{D=0.0;u=A;while(1){Fc[k[(k[x>>2]|0)+24>>2]&1023](x,u);rd[k[(k[t>>2]|0)+260>>2]&511](t,e,k[l>>2]|0,x);rd[k[(k[a>>2]|0)+56>>2]&511](a,j,x,658);nd[k[(k[v>>2]|0)+48>>2]&1023](v,f,x);nd[k[(k[w>>2]|0)+48>>2]&1023](w,h,x);G=+p[f>>3]-+p[h>>3];F=D+G*(G*.5)*+p[j>>3]*+p[e>>3]*+p[C>>3];u=u+1|0;if((u|0)>=(Hc[k[(k[x>>2]|0)+12>>2]&511](x)|0)){H=F;break}else D=F}}}else H=0.0;if((k[d>>2]|0)!=300){ap(t);Ec[k[(k[t>>2]|0)+4>>2]&1023](t)}t=k[l>>2]|0;if(t)Tqa(t);k[l>>2]=0;if(!x){s=H;r=b;return +s}Ec[k[(k[x>>2]|0)+4>>2]&1023](x);s=H;r=b;return +s}b=m+56|0;x=m+4|0;k[m>>2]=27524;k[b>>2]=27544;B=0;wa(508,m+56|0,x|0);l=B;B=0;if(l&1){l=Rb()|0;I=Q;J=l;vva(b);Qb(J|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[b>>2]=27488;B=0;va(448,x|0);l=B;B=0;do if(l&1){t=Rb()|0;K=Q;L=t}else{k[x>>2]=27560;t=m+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,x|0,c|0);d=B;B=0;if(d&1){d=Rb()|0;u=Q;Yua(c);Yua(t);Ava(x);K=u;L=d;break}Yua(c);B=0;d=Ia(40,m|0,134695,17)|0;u=B;B=0;if(!(u&1)?(B=0,Xa(239,d|0,0)|0,d=B,B=0,!(d&1)):0){d=Ab(20)|0;B=0;eb(502,n|0,113593,100);u=B;B=0;do if(!(u&1)){B=0;eb(502,o|0,113694,19);C=B;B=0;if(C&1){C=Rb()|0;e=Q;Yua(n);M=e;N=C;break}B=0;wa(510,q|0,x|0);C=B;B=0;if(C&1){C=Rb()|0;O=Q;P=C;R=1}else{B=0;ua(163,d|0,n|0,o|0,51,q|0);C=B;B=0;if(C&1)S=1;else{B=0;eb(503,d|0,1240,229);B=0;S=0}C=Rb()|0;e=Q;Yua(q);O=e;P=C;R=S}Yua(o);Yua(n);if(R){M=O;N=P}else{T=O;U=P;k[m>>2]=27468;k[b>>2]=27488;k[x>>2]=27560;Yua(t);Ava(x);vva(b);Qb(U|0)}}else{C=Rb()|0;M=Q;N=C}while(0);zb(d|0);T=M;U=N;k[m>>2]=27468;k[b>>2]=27488;k[x>>2]=27560;Yua(t);Ava(x);vva(b);Qb(U|0)}u=Rb()|0;T=Q;U=u;k[m>>2]=27468;k[b>>2]=27488;k[x>>2]=27560;Yua(t);Ava(x);vva(b);Qb(U|0)}while(0);I=K;J=L;vva(b);Qb(J|0);return +(0.0)}function H_(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0;g=r;r=r+16|0;f=g+8|0;e=g;p[f>>3]=0.0;if((th(b)|0)>0){h=0.0;d=0;do{h=+I_(qh(b,d)|0)+h;p[f>>3]=h;d=d+1|0}while((d|0)<(th(b)|0))}nZ(f,e,1,2,4,0,uY()|0)|0;uY()|0;p[a>>3]=+p[e>>3];r=g;return}function I_(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;b=r;r=r+256|0;c=b+232|0;d=b+228|0;e=b+40|0;f=b+32|0;g=b+24|0;h=b+16|0;i=b+8|0;j=b;l=b+224|0;m=b+88|0;n=b+72|0;o=b+60|0;q=b+48|0;k[l>>2]=0;if(!(Hc[k[(k[a>>2]|0)+252>>2]&511](a)|0)){s=0.0;r=b;return +s}if(!($p(a)|0)){s=0.0;r=b;return +s}cp(a,d,298);t=(k[d>>2]|0)+-300|0;if(t>>>0<3){u=(t&1|0)==0;t=Hc[k[(k[a>>2]|0)+436>>2]&511](a)|0;Uo(t,l);a=Wo(t,179)|0;v=Wo(t,674)|0;w=Wo(t,203)|0;if(u){x=Wo(t,677)|0;y=x;z=Wo(t,204)|0}else{y=0;z=0}x=ed[k[(k[t>>2]|0)+308>>2]&511](t,4)|0;A=Hc[k[(k[x>>2]|0)+8>>2]&511](x)|0;if((A|0)<(Hc[k[(k[x>>2]|0)+12>>2]&511](x)|0)){C=x+8|0;if(u){D=0.0;u=A;while(1){Fc[k[(k[x>>2]|0)+24>>2]&1023](x,u);rd[k[(k[t>>2]|0)+260>>2]&511](t,e,k[l>>2]|0,x);rd[k[(k[a>>2]|0)+56>>2]&511](a,j,x,663);nd[k[(k[v>>2]|0)+48>>2]&1023](v,f,x);nd[k[(k[w>>2]|0)+48>>2]&1023](w,h,x);nd[k[(k[y>>2]|0)+48>>2]&1023](y,g,x);nd[k[(k[z>>2]|0)+48>>2]&1023](z,i,x);E=+p[h>>3];F=3.170979198376458e-05/(E+2.220446049250313e-16);G=+p[i>>3];H=3.170979198376458e-05/(G+2.220446049250313e-16);I=+p[f>>3]-E;J=+p[g>>3]-G;K=D+((E==0.0?0.0:F*F)*(I*I)+(G==0.0?0.0:H*H)*(J*J))*.5*+p[j>>3]*+p[e>>3]*+p[C>>3];u=u+1|0;if((u|0)>=(Hc[k[(k[x>>2]|0)+12>>2]&511](x)|0)){L=K;break}else D=K}}else{D=0.0;u=A;while(1){Fc[k[(k[x>>2]|0)+24>>2]&1023](x,u);rd[k[(k[t>>2]|0)+260>>2]&511](t,e,k[l>>2]|0,x);rd[k[(k[a>>2]|0)+56>>2]&511](a,j,x,663);nd[k[(k[v>>2]|0)+48>>2]&1023](v,f,x);nd[k[(k[w>>2]|0)+48>>2]&1023](w,h,x);K=+p[h>>3];J=3.170979198376458e-05/(K+2.220446049250313e-16);H=+p[f>>3]-K;G=D+(K==0.0?0.0:J*J)*(H*H)*.5*+p[j>>3]*+p[e>>3]*+p[C>>3];u=u+1|0;if((u|0)>=(Hc[k[(k[x>>2]|0)+12>>2]&511](x)|0)){L=G;break}else D=G}}}else L=0.0;if((k[d>>2]|0)!=300){ap(t);Ec[k[(k[t>>2]|0)+4>>2]&1023](t)}t=k[l>>2]|0;if(t)Tqa(t);k[l>>2]=0;if(!x){s=L;r=b;return +s}Ec[k[(k[x>>2]|0)+4>>2]&1023](x);s=L;r=b;return +s}b=m+56|0;x=m+4|0;k[m>>2]=27524;k[b>>2]=27544;B=0;wa(508,m+56|0,x|0);l=B;B=0;if(l&1){l=Rb()|0;M=Q;N=l;vva(b);Qb(N|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[b>>2]=27488;B=0;va(448,x|0);l=B;B=0;do if(l&1){t=Rb()|0;O=Q;P=t}else{k[x>>2]=27560;t=m+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,x|0,c|0);d=B;B=0;if(d&1){d=Rb()|0;u=Q;Yua(c);Yua(t);Ava(x);O=u;P=d;break}Yua(c);B=0;d=Ia(40,m|0,134695,17)|0;u=B;B=0;if(!(u&1)?(B=0,Xa(239,d|0,0)|0,d=B,B=0,!(d&1)):0){d=Ab(20)|0;B=0;eb(502,n|0,113714,100);u=B;B=0;do if(!(u&1)){B=0;eb(502,o|0,113815,19);C=B;B=0;if(C&1){C=Rb()|0;e=Q;Yua(n);R=e;S=C;break}B=0;wa(510,q|0,x|0);C=B;B=0;if(C&1){C=Rb()|0;T=Q;U=C;V=1}else{B=0;ua(163,d|0,n|0,o|0,53,q|0);C=B;B=0;if(C&1)W=1;else{B=0;eb(503,d|0,1240,229);B=0;W=0}C=Rb()|0;e=Q;Yua(q);T=e;U=C;V=W}Yua(o);Yua(n);if(V){R=T;S=U}else{X=T;Y=U;k[m>>2]=27468;k[b>>2]=27488;k[x>>2]=27560;Yua(t);Ava(x);vva(b);Qb(Y|0)}}else{C=Rb()|0;R=Q;S=C}while(0);zb(d|0);X=R;Y=S;k[m>>2]=27468;k[b>>2]=27488;k[x>>2]=27560;Yua(t);Ava(x);vva(b);Qb(Y|0)}u=Rb()|0;X=Q;Y=u;k[m>>2]=27468;k[b>>2]=27488;k[x>>2]=27560;Yua(t);Ava(x);vva(b);Qb(Y|0)}while(0);M=O;N=P;vva(b);Qb(N|0);return +(0.0)}function J_(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0;g=r;r=r+16|0;f=g+8|0;e=g;p[f>>3]=0.0;if((th(b)|0)>0){h=0.0;d=0;do{h=+K_(qh(b,d)|0)+h;p[f>>3]=h;d=d+1|0}while((d|0)<(th(b)|0))}nZ(f,e,1,2,4,0,uY()|0)|0;uY()|0;p[a>>3]=+p[e>>3];r=g;return}function K_(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Y=0.0,Z=0,_=0.0,ba=0.0;b=r;r=r+256|0;c=b+232|0;d=b+228|0;e=b+40|0;f=b+32|0;g=b+24|0;h=b+16|0;i=b+8|0;j=b;l=b+224|0;m=b+88|0;n=b+72|0;o=b+60|0;q=b+48|0;k[l>>2]=0;if(!(Hc[k[(k[a>>2]|0)+252>>2]&511](a)|0)){s=0.0;r=b;return +s}if(!($p(a)|0)){s=0.0;r=b;return +s}cp(a,d,298);switch(k[d>>2]|0){case 301:{t=1;break}case 302:{t=2;break}case 300:{t=2;break}default:{u=m+56|0;v=m+4|0;k[m>>2]=27524;k[u>>2]=27544;B=0;wa(508,m+56|0,v|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;y=w;vva(u);Qb(y|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[u>>2]=27488;B=0;va(448,v|0);w=B;B=0;do if(w&1){z=Rb()|0;A=Q;C=z}else{k[v>>2]=27560;z=m+36|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;k[z+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,v|0,c|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(c);Yua(z);Ava(v);A=E;C=D;break}Yua(c);B=0;D=Ia(40,m|0,134695,17)|0;E=B;B=0;if(!(E&1)?(B=0,Xa(239,D|0,0)|0,D=B,B=0,!(D&1)):0){D=Ab(20)|0;B=0;eb(502,n|0,113835,100);E=B;B=0;do if(!(E&1)){B=0;eb(502,o|0,113936,19);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(n);H=G;I=F;break}B=0;wa(510,q|0,v|0);F=B;B=0;if(F&1){F=Rb()|0;J=Q;K=F;L=1}else{B=0;ua(163,D|0,n|0,o|0,54,q|0);F=B;B=0;if(F&1)M=1;else{B=0;eb(503,D|0,1240,229);B=0;M=0}F=Rb()|0;G=Q;Yua(q);J=G;K=F;L=M}Yua(o);Yua(n);if(L){H=J;I=K}else{N=J;O=K;k[m>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(z);Ava(v);vva(u);Qb(O|0)}}else{F=Rb()|0;H=Q;I=F}while(0);zb(D|0);N=H;O=I;k[m>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(z);Ava(v);vva(u);Qb(O|0)}E=Rb()|0;N=Q;O=E;k[m>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(z);Ava(v);vva(u);Qb(O|0)}while(0);x=A;y=C;vva(u);Qb(y|0)}}y=Hc[k[(k[a>>2]|0)+436>>2]&511](a)|0;Uo(y,l);a=Wo(y,179)|0;u=Wo(y,674)|0;C=Wo(y,203)|0;A=(t|0)==2;if(A){x=Wo(y,677)|0;P=x;R=Wo(y,204)|0}else{P=0;R=0}x=ed[k[(k[y>>2]|0)+308>>2]&511](y,4)|0;O=Hc[k[(k[x>>2]|0)+8>>2]&511](x)|0;a:do if((O|0)<(Hc[k[(k[x>>2]|0)+12>>2]&511](x)|0)){v=x+8|0;m=(t|0)==1;if(A){S=0.0;N=O;while(1){Fc[k[(k[x>>2]|0)+24>>2]&1023](x,N);rd[k[(k[y>>2]|0)+260>>2]&511](y,e,k[l>>2]|0,x);rd[k[(k[a>>2]|0)+56>>2]&511](a,j,x,661);nd[k[(k[u>>2]|0)+48>>2]&1023](u,f,x);nd[k[(k[C>>2]|0)+48>>2]&1023](C,h,x);nd[k[(k[P>>2]|0)+48>>2]&1023](P,g,x);nd[k[(k[R>>2]|0)+48>>2]&1023](R,i,x);T=+p[f>>3];U=+p[g>>3];V=+aa(+(T*T+U*U));U=+p[h>>3];T=+p[i>>3];W=+ka(+((V+2.220446049250313e-16)/(+aa(+(U*U+T*T))+2.220446049250313e-16)));T=S+ +p[v>>3]*(+p[e>>3]*(+p[j>>3]*(W*W*4.022043630614481e-09)));N=N+1|0;if((N|0)>=(Hc[k[(k[x>>2]|0)+12>>2]&511](x)|0)){X=T;break a}else S=T}}else{Y=0.0;Z=O}while(1){Fc[k[(k[x>>2]|0)+24>>2]&1023](x,Z);rd[k[(k[y>>2]|0)+260>>2]&511](y,e,k[l>>2]|0,x);rd[k[(k[a>>2]|0)+56>>2]&511](a,j,x,661);nd[k[(k[u>>2]|0)+48>>2]&1023](u,f,x);nd[k[(k[C>>2]|0)+48>>2]&1023](C,h,x);S=+p[f>>3];if(m){T=+$(+S);_=+$(+(+p[h>>3]));ba=T}else{T=+p[g>>3];W=+aa(+(S*S+T*T));T=+p[h>>3];S=+p[i>>3];_=+aa(+(T*T+S*S));ba=W}W=+ka(+((ba+2.220446049250313e-16)/(_+2.220446049250313e-16)));S=Y+ +p[v>>3]*(+p[e>>3]*(+p[j>>3]*(W*W*4.022043630614481e-09)));Z=Z+1|0;if((Z|0)>=(Hc[k[(k[x>>2]|0)+12>>2]&511](x)|0)){X=S;break}else Y=S}}else X=0.0;while(0);if((k[d>>2]|0)!=300){ap(y);Ec[k[(k[y>>2]|0)+4>>2]&1023](y)}y=k[l>>2]|0;if(y)Tqa(y);k[l>>2]=0;if(!x){s=X;r=b;return +s}Ec[k[(k[x>>2]|0)+4>>2]&1023](x);s=X;r=b;return +s}function L_(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0;g=r;r=r+16|0;f=g+8|0;e=g;p[f>>3]=0.0;if((th(b)|0)>0){h=0.0;d=0;do{h=+M_(qh(b,d)|0)+h;p[f>>3]=h;d=d+1|0}while((d|0)<(th(b)|0))}nZ(f,e,1,2,4,0,uY()|0)|0;uY()|0;p[a>>3]=+p[e>>3];r=g;return}function M_(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Y=0.0;b=r;r=r+256|0;c=b+232|0;d=b+228|0;e=b+40|0;f=b+32|0;g=b+24|0;h=b+16|0;i=b+8|0;j=b;l=b+224|0;m=b+88|0;n=b+72|0;o=b+60|0;q=b+48|0;k[l>>2]=0;if(!(Hc[k[(k[a>>2]|0)+252>>2]&511](a)|0)){s=0.0;r=b;return +s}if(!($p(a)|0)){s=0.0;r=b;return +s}cp(a,d,298);switch(k[d>>2]|0){case 301:{t=1;break}case 302:{t=2;break}case 300:{t=2;break}default:{u=m+56|0;v=m+4|0;k[m>>2]=27524;k[u>>2]=27544;B=0;wa(508,m+56|0,v|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;y=w;vva(u);Qb(y|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[u>>2]=27488;B=0;va(448,v|0);w=B;B=0;do if(w&1){z=Rb()|0;A=Q;C=z}else{k[v>>2]=27560;z=m+36|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;k[z+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,v|0,c|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(c);Yua(z);Ava(v);A=E;C=D;break}Yua(c);B=0;D=Ia(40,m|0,134695,17)|0;E=B;B=0;if(!(E&1)?(B=0,Xa(239,D|0,0)|0,D=B,B=0,!(D&1)):0){D=Ab(20)|0;B=0;eb(502,n|0,113956,102);E=B;B=0;do if(!(E&1)){B=0;eb(502,o|0,114059,20);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(n);H=G;I=F;break}B=0;wa(510,q|0,v|0);F=B;B=0;if(F&1){F=Rb()|0;J=Q;K=F;L=1}else{B=0;ua(163,D|0,n|0,o|0,53,q|0);F=B;B=0;if(F&1)M=1;else{B=0;eb(503,D|0,1240,229);B=0;M=0}F=Rb()|0;G=Q;Yua(q);J=G;K=F;L=M}Yua(o);Yua(n);if(L){H=J;I=K}else{N=J;O=K;k[m>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(z);Ava(v);vva(u);Qb(O|0)}}else{F=Rb()|0;H=Q;I=F}while(0);zb(D|0);N=H;O=I;k[m>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(z);Ava(v);vva(u);Qb(O|0)}E=Rb()|0;N=Q;O=E;k[m>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(z);Ava(v);vva(u);Qb(O|0)}while(0);x=A;y=C;vva(u);Qb(y|0)}}y=Hc[k[(k[a>>2]|0)+436>>2]&511](a)|0;Uo(y,l);a=Wo(y,179)|0;u=Wo(y,674)|0;C=Wo(y,203)|0;A=(t|0)==2;if(A){x=Wo(y,677)|0;P=x;R=Wo(y,204)|0}else{P=0;R=0}x=ed[k[(k[y>>2]|0)+308>>2]&511](y,4)|0;O=Hc[k[(k[x>>2]|0)+8>>2]&511](x)|0;if((O|0)<(Hc[k[(k[x>>2]|0)+12>>2]&511](x)|0)){v=(t|0)==1;t=x+8|0;if(A){S=0.0;A=O;while(1){Fc[k[(k[x>>2]|0)+24>>2]&1023](x,A);rd[k[(k[y>>2]|0)+260>>2]&511](y,e,k[l>>2]|0,x);rd[k[(k[a>>2]|0)+56>>2]&511](a,j,x,662);nd[k[(k[u>>2]|0)+48>>2]&1023](u,f,x);nd[k[(k[C>>2]|0)+48>>2]&1023](C,h,x);nd[k[(k[P>>2]|0)+48>>2]&1023](P,g,x);nd[k[(k[R>>2]|0)+48>>2]&1023](R,i,x);T=+$(+(+p[f>>3]))+2.220446049250313e-16;U=+ka(+(T/(+$(+(+p[h>>3]))+2.220446049250313e-16)));T=U*U;if(v)V=T;else{U=+$(+(+p[g>>3]))+2.220446049250313e-16;W=+ka(+(U/(+$(+(+p[i>>3]))+2.220446049250313e-16)));V=T+W*W}W=S+V*5.027554538268101e-10*+p[j>>3]*+p[e>>3]*+p[t>>3];A=A+1|0;if((A|0)>=(Hc[k[(k[x>>2]|0)+12>>2]&511](x)|0)){X=W;break}else S=W}}else{S=0.0;A=O;while(1){Fc[k[(k[x>>2]|0)+24>>2]&1023](x,A);rd[k[(k[y>>2]|0)+260>>2]&511](y,e,k[l>>2]|0,x);rd[k[(k[a>>2]|0)+56>>2]&511](a,j,x,662);nd[k[(k[u>>2]|0)+48>>2]&1023](u,f,x);nd[k[(k[C>>2]|0)+48>>2]&1023](C,h,x);V=+$(+(+p[f>>3]))+2.220446049250313e-16;W=+ka(+(V/(+$(+(+p[h>>3]))+2.220446049250313e-16)));V=W*W;if(v)Y=V;else{W=+$(+(+p[g>>3]))+2.220446049250313e-16;T=+ka(+(W/(+$(+(+p[i>>3]))+2.220446049250313e-16)));Y=V+T*T}T=S+Y*5.027554538268101e-10*+p[j>>3]*+p[e>>3]*+p[t>>3];A=A+1|0;if((A|0)>=(Hc[k[(k[x>>2]|0)+12>>2]&511](x)|0)){X=T;break}else S=T}}}else X=0.0;if((k[d>>2]|0)!=300?(ap(y),(y|0)!=0):0)Ec[k[(k[y>>2]|0)+4>>2]&1023](y);y=k[l>>2]|0;if(y)Tqa(y);k[l>>2]=0;if(!x){s=X;r=b;return +s}Ec[k[(k[x>>2]|0)+4>>2]&1023](x);s=X;r=b;return +s}function N_(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0.0;c=r;r=r+16|0;d=c+8|0;e=c;p[d>>3]=0.0;f=b+20|0;if((th(k[f>>2]|0)|0)>0){g=0.0;b=0;do{g=+O_(qh(k[f>>2]|0,b)|0)+g;p[d>>3]=g;b=b+1|0}while((b|0)<(th(k[f>>2]|0)|0))}nZ(d,e,1,2,4,0,uY()|0)|0;uY()|0;p[a>>3]=+p[e>>3];r=c;return}function O_(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Y=0.0,Z=0,_=0.0;b=r;r=r+256|0;c=b+240|0;d=b+236|0;e=b+48|0;f=b+40|0;g=b+32|0;h=b+24|0;i=b+16|0;j=b+8|0;l=b;m=b+232|0;n=b+96|0;o=b+80|0;q=b+68|0;s=b+56|0;k[m>>2]=0;if(!(Hc[k[(k[a>>2]|0)+252>>2]&511](a)|0)){t=0.0;r=b;return +t}if(!($p(a)|0)){t=0.0;r=b;return +t}cp(a,d,298);switch(k[d>>2]|0){case 301:{u=1;break}case 302:{u=2;break}case 300:{u=2;break}default:{v=n+56|0;w=n+4|0;k[n>>2]=27524;k[v>>2]=27544;B=0;wa(508,n+56|0,w|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;z=x;vva(v);Qb(z|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[v>>2]=27488;B=0;va(448,w|0);x=B;B=0;do if(x&1){A=Rb()|0;C=Q;D=A}else{k[w>>2]=27560;A=n+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[n+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,w|0,c|0);E=B;B=0;if(E&1){E=Rb()|0;F=Q;Yua(c);Yua(A);Ava(w);C=F;D=E;break}Yua(c);B=0;E=Ia(40,n|0,134695,17)|0;F=B;B=0;if(!(F&1)?(B=0,Xa(239,E|0,0)|0,E=B,B=0,!(E&1)):0){E=Ab(20)|0;B=0;eb(502,o|0,114080,108);F=B;B=0;do if(!(F&1)){B=0;eb(502,q|0,114189,23);G=B;B=0;if(G&1){G=Rb()|0;H=Q;Yua(o);I=H;J=G;break}B=0;wa(510,s|0,w|0);G=B;B=0;if(G&1){G=Rb()|0;K=Q;L=G;M=1}else{B=0;ua(163,E|0,o|0,q|0,58,s|0);G=B;B=0;if(G&1)N=1;else{B=0;eb(503,E|0,1240,229);B=0;N=0}G=Rb()|0;H=Q;Yua(s);K=H;L=G;M=N}Yua(q);Yua(o);if(M){I=K;J=L}else{O=K;P=L;k[n>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);Qb(P|0)}}else{G=Rb()|0;I=Q;J=G}while(0);zb(E|0);O=I;P=J;k[n>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);Qb(P|0)}F=Rb()|0;O=Q;P=F;k[n>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);Qb(P|0)}while(0);y=C;z=D;vva(v);Qb(z|0)}}z=Hc[k[(k[a>>2]|0)+436>>2]&511](a)|0;Uo(z,m);Bp(z,e,659);a=Wo(z,179)|0;v=Wo(z,674)|0;D=Wo(z,203)|0;C=(u|0)==2;if(C){y=Wo(z,677)|0;R=y;S=Wo(z,204)|0}else{R=0;S=0}y=ed[k[(k[z>>2]|0)+308>>2]&511](z,3)|0;P=Hc[k[(k[y>>2]|0)+8>>2]&511](y)|0;a:do if((P|0)<(Hc[k[(k[y>>2]|0)+12>>2]&511](y)|0)){w=y+8|0;n=(u|0)==1;if(C){T=0.0;O=P;while(1){Fc[k[(k[y>>2]|0)+24>>2]&1023](y,O);rd[k[(k[z>>2]|0)+260>>2]&511](z,f,k[m>>2]|0,y);rd[k[(k[a>>2]|0)+56>>2]&511](a,l,y,660);nd[k[(k[v>>2]|0)+48>>2]&1023](v,g,y);nd[k[(k[D>>2]|0)+48>>2]&1023](D,i,y);nd[k[(k[R>>2]|0)+48>>2]&1023](R,h,y);nd[k[(k[S>>2]|0)+48>>2]&1023](S,j,y);U=+p[g>>3]-+p[i>>3];V=+p[h>>3]-+p[j>>3];W=1.0/+p[e>>3]*+aa(+(U*U+V*V));V=T+W*+p[l>>3]*+p[f>>3]*+p[w>>3];O=O+1|0;if((O|0)>=(Hc[k[(k[y>>2]|0)+12>>2]&511](y)|0)){X=V;break a}else T=V}}else{Y=0.0;Z=P}while(1){Fc[k[(k[y>>2]|0)+24>>2]&1023](y,Z);rd[k[(k[z>>2]|0)+260>>2]&511](z,f,k[m>>2]|0,y);rd[k[(k[a>>2]|0)+56>>2]&511](a,l,y,660);nd[k[(k[v>>2]|0)+48>>2]&1023](v,g,y);nd[k[(k[D>>2]|0)+48>>2]&1023](D,i,y);T=1.0/+p[e>>3];V=+p[g>>3]-+p[i>>3];if(n)_=V*(T*V);else{W=+p[h>>3]-+p[j>>3];_=T*+aa(+(V*V+W*W))}W=Y+_*+p[l>>3]*+p[f>>3]*+p[w>>3];Z=Z+1|0;if((Z|0)>=(Hc[k[(k[y>>2]|0)+12>>2]&511](y)|0)){X=W;break}else Y=W}}else X=0.0;while(0);if((k[d>>2]|0)!=300){ap(z);Ec[k[(k[z>>2]|0)+4>>2]&1023](z)}z=k[m>>2]|0;if(z)Tqa(z);k[m>>2]=0;if(!y){t=X;r=b;return +t}Ec[k[(k[y>>2]|0)+4>>2]&1023](y);t=X;r=b;return +t}function P_(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0;g=r;r=r+16|0;f=g+8|0;e=g;p[f>>3]=0.0;if((th(b)|0)>0){h=0.0;d=0;do{h=+Q_(qh(b,d)|0)+h;p[f>>3]=h;d=d+1|0}while((d|0)<(th(b)|0))}nZ(f,e,1,2,4,0,uY()|0)|0;uY()|0;p[a>>3]=+p[e>>3];r=g;return}function Q_(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0.0,i=0,j=0,l=0,m=0,n=0,o=0,q=0.0,s=0,t=0.0,u=0.0,v=0.0;b=r;r=r+48|0;c=b+24|0;d=b+16|0;e=b+8|0;f=b;g=b+32|0;k[g>>2]=0;if(!($p(a)|0)){h=0.0;r=b;return +h}Uo(a,g);i=Wo(a,179)|0;j=Wo(a,353)|0;l=Wo(a,201)|0;m=ed[k[(k[a>>2]|0)+308>>2]&511](a,2)|0;n=Hc[k[(k[m>>2]|0)+8>>2]&511](m)|0;if((n|0)<(Hc[k[(k[m>>2]|0)+12>>2]&511](m)|0)){o=m+8|0;q=0.0;s=n;while(1){Fc[k[(k[m>>2]|0)+24>>2]&1023](m,s);rd[k[(k[a>>2]|0)+260>>2]&511](a,f,k[g>>2]|0,m);rd[k[(k[i>>2]|0)+56>>2]&511](i,e,m,669);nd[k[(k[j>>2]|0)+48>>2]&1023](j,c,m);nd[k[(k[l>>2]|0)+48>>2]&1023](l,d,m);t=+p[c>>3]-+p[d>>3];u=q+ +p[o>>3]*(+p[f>>3]*(+p[e>>3]*(t*(t*.5))));s=s+1|0;if((s|0)>=(Hc[k[(k[m>>2]|0)+12>>2]&511](m)|0)){v=u;break}else q=u}}else v=0.0;s=k[g>>2]|0;if(s)Tqa(s);k[g>>2]=0;Ec[k[(k[m>>2]|0)+4>>2]&1023](m);h=v;r=b;return +h}function R_(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0;g=r;r=r+16|0;f=g+8|0;e=g;p[f>>3]=0.0;if((th(b)|0)>0){h=0.0;d=0;do{h=+S_(qh(b,d)|0)+h;p[f>>3]=h;d=d+1|0}while((d|0)<(th(b)|0))}nZ(f,e,1,2,4,0,uY()|0)|0;uY()|0;p[a>>3]=+p[e>>3];r=g;return}function S_(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0.0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0.0,O=0.0,P=0.0,R=0.0,S=0.0,T=0.0,U=0.0;b=r;r=r+240|0;c=b+216|0;d=b+212|0;e=b+24|0;f=b+8|0;g=b;h=b+208|0;i=b+72|0;j=b+56|0;l=b+44|0;m=b+32|0;k[h>>2]=0;if(!(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0)){n=0.0;r=b;return +n}if(!($p(a)|0)){n=0.0;r=b;return +n}cp(a,d,298);switch(k[d>>2]|0){case 301:{o=1;break}case 302:{o=2;break}case 300:{o=2;break}default:{q=i+56|0;s=i+4|0;k[i>>2]=27524;k[q>>2]=27544;B=0;wa(508,i+56|0,s|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;v=t;vva(q);Qb(v|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[q>>2]=27488;B=0;va(448,s|0);t=B;B=0;do if(t&1){w=Rb()|0;x=Q;y=w}else{k[s>>2]=27560;w=i+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[i+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,s|0,c|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(c);Yua(w);Ava(s);x=A;y=z;break}Yua(c);B=0;z=Ia(40,i|0,134695,17)|0;A=B;B=0;if(!(A&1)?(B=0,Xa(239,z|0,0)|0,z=B,B=0,!(z&1)):0){z=Ab(20)|0;B=0;eb(502,j|0,114213,114);A=B;B=0;do if(!(A&1)){B=0;eb(502,l|0,114328,26);C=B;B=0;if(C&1){C=Rb()|0;D=Q;Yua(j);E=D;F=C;break}B=0;wa(510,m|0,s|0);C=B;B=0;if(C&1){C=Rb()|0;G=Q;H=C;I=1}else{B=0;ua(163,z|0,j|0,l|0,51,m|0);C=B;B=0;if(C&1)J=1;else{B=0;eb(503,z|0,1240,229);B=0;J=0}C=Rb()|0;D=Q;Yua(m);G=D;H=C;I=J}Yua(l);Yua(j);if(I){E=G;F=H}else{K=G;L=H;k[i>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(q);Qb(L|0)}}else{C=Rb()|0;E=Q;F=C}while(0);zb(z|0);K=E;L=F;k[i>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(q);Qb(L|0)}A=Rb()|0;K=Q;L=A;k[i>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(q);Qb(L|0)}while(0);u=x;v=y;vva(q);Qb(v|0)}}v=Hc[k[(k[a>>2]|0)+432>>2]&511](a)|0;Uo(v,h);a=Wo(v,179)|0;q=Wo(v,105)|0;y=ed[k[(k[v>>2]|0)+308>>2]&511](v,2)|0;x=Hc[k[(k[y>>2]|0)+8>>2]&511](y)|0;if((x|0)<(Hc[k[(k[y>>2]|0)+12>>2]&511](y)|0)){u=y+8|0;L=f+8|0;if((o|0)==2){M=0.0;o=x;while(1){Fc[k[(k[y>>2]|0)+24>>2]&1023](y,o);rd[k[(k[v>>2]|0)+260>>2]&511](v,e,k[h>>2]|0,y);rd[k[(k[a>>2]|0)+56>>2]&511](a,g,y,696);rd[k[(k[q>>2]|0)+60>>2]&511](q,f,k[h>>2]|0,y);N=+p[g>>3]*.5;O=+p[f>>3];P=+p[e>>3];R=+p[u>>3];S=+p[L>>3];T=M+R*(P*(O*(N*O)))+R*(P*(S*(N*S)));o=o+1|0;if((o|0)>=(Hc[k[(k[y>>2]|0)+12>>2]&511](y)|0)){U=T;break}else M=T}}else{M=0.0;o=x;while(1){Fc[k[(k[y>>2]|0)+24>>2]&1023](y,o);rd[k[(k[v>>2]|0)+260>>2]&511](v,e,k[h>>2]|0,y);rd[k[(k[a>>2]|0)+56>>2]&511](a,g,y,696);rd[k[(k[q>>2]|0)+60>>2]&511](q,f,k[h>>2]|0,y);T=+p[f>>3];S=M+ +p[u>>3]*(+p[e>>3]*(T*(+p[g>>3]*.5*T)));o=o+1|0;if((o|0)>=(Hc[k[(k[y>>2]|0)+12>>2]&511](y)|0)){U=S;break}else M=S}}}else U=0.0;if((k[d>>2]|0)!=300?(ap(v),(v|0)!=0):0)Ec[k[(k[v>>2]|0)+4>>2]&1023](v);v=k[h>>2]|0;if(v)Tqa(v);k[h>>2]=0;if(!y){n=U;r=b;return +n}Ec[k[(k[y>>2]|0)+4>>2]&1023](y);n=U;r=b;return +n}function T_(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0;g=r;r=r+16|0;f=g+8|0;e=g;p[f>>3]=0.0;if((th(b)|0)>0){h=0.0;d=0;do{h=+U_(qh(b,d)|0)+h;p[f>>3]=h;d=d+1|0}while((d|0)<(th(b)|0))}nZ(f,e,1,2,4,0,uY()|0)|0;uY()|0;p[a>>3]=+p[e>>3];r=g;return}function U_(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0.0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0.0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0;b=r;r=r+80|0;c=b+56|0;d=b+48|0;e=b+40|0;f=b+64|0;g=b+16|0;h=b+8|0;i=b;k[f>>2]=0;if(!($p(a)|0)){j=0.0;r=b;return +j}Uo(a,f);l=Wo(a,179)|0;m=Wo(a,353)|0;n=Wo(a,674)|0;o=Wo(a,677)|0;q=ed[k[(k[a>>2]|0)+308>>2]&511](a,2)|0;s=Hc[k[(k[q>>2]|0)+8>>2]&511](q)|0;if((s|0)<(Hc[k[(k[q>>2]|0)+12>>2]&511](q)|0)){t=g+8|0;u=q+8|0;v=0.0;w=s;while(1){Fc[k[(k[q>>2]|0)+24>>2]&1023](q,w);rd[k[(k[a>>2]|0)+260>>2]&511](a,e,k[f>>2]|0,q);rd[k[(k[l>>2]|0)+56>>2]&511](l,d,q,690);nd[k[(k[m>>2]|0)+48>>2]&1023](m,c,q);rd[k[(k[m>>2]|0)+60>>2]&511](m,g,k[f>>2]|0,q);nd[k[(k[n>>2]|0)+48>>2]&1023](n,h,q);nd[k[(k[o>>2]|0)+48>>2]&1023](o,i,q);x=+p[h>>3];y=+p[i>>3];z=+aa(+(x*x+y*y))+1.0e-09;A=x/z;p[h>>3]=A;x=y/z;p[i>>3]=x;z=A*+p[g>>3]+x*+p[t>>3];x=v+ +p[u>>3]*(+p[e>>3]*(z*(+p[d>>3]*.5*z)));w=w+1|0;if((w|0)>=(Hc[k[(k[q>>2]|0)+12>>2]&511](q)|0)){B=x;break}else v=x}}else B=0.0;w=k[f>>2]|0;if(w)Tqa(w);k[f>>2]=0;Ec[k[(k[q>>2]|0)+4>>2]&1023](q);j=B;r=b;return +j}function V_(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0;g=r;r=r+16|0;f=g+8|0;e=g;p[f>>3]=0.0;if((th(b)|0)>0){h=0.0;d=0;do{h=+W_(qh(b,d)|0)+h;p[f>>3]=h;d=d+1|0}while((d|0)<(th(b)|0))}nZ(f,e,1,2,4,0,uY()|0)|0;uY()|0;p[a>>3]=+p[e>>3];r=g;return}function W_(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0.0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0.0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0;b=r;r=r+80|0;c=b+56|0;d=b+48|0;e=b+40|0;f=b+64|0;g=b+16|0;h=b+8|0;i=b;k[f>>2]=0;if(!($p(a)|0)){j=0.0;r=b;return +j}Uo(a,f);l=Wo(a,179)|0;m=Wo(a,353)|0;n=Wo(a,674)|0;o=Wo(a,677)|0;q=ed[k[(k[a>>2]|0)+308>>2]&511](a,2)|0;s=Hc[k[(k[q>>2]|0)+8>>2]&511](q)|0;if((s|0)<(Hc[k[(k[q>>2]|0)+12>>2]&511](q)|0)){t=g+8|0;u=q+8|0;v=0.0;w=s;while(1){Fc[k[(k[q>>2]|0)+24>>2]&1023](q,w);rd[k[(k[a>>2]|0)+260>>2]&511](a,e,k[f>>2]|0,q);rd[k[(k[l>>2]|0)+56>>2]&511](l,d,q,691);nd[k[(k[m>>2]|0)+48>>2]&1023](m,c,q);rd[k[(k[m>>2]|0)+60>>2]&511](m,g,k[f>>2]|0,q);nd[k[(k[n>>2]|0)+48>>2]&1023](n,h,q);nd[k[(k[o>>2]|0)+48>>2]&1023](o,i,q);x=+p[h>>3];y=+p[i>>3];z=+aa(+(x*x+y*y))+1.0e-09;A=x/z;p[h>>3]=A;x=y/z;p[i>>3]=x;z=A*+p[t>>3]-x*+p[g>>3];x=v+ +p[u>>3]*(+p[e>>3]*(z*(+p[d>>3]*.5*z)));w=w+1|0;if((w|0)>=(Hc[k[(k[q>>2]|0)+12>>2]&511](q)|0)){B=x;break}else v=x}}else B=0.0;w=k[f>>2]|0;if(w)Tqa(w);k[f>>2]=0;Ec[k[(k[q>>2]|0)+4>>2]&1023](q);j=B;r=b;return +j}function X_(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0;g=r;r=r+16|0;f=g+8|0;e=g;p[f>>3]=0.0;if((th(b)|0)>0){h=0.0;d=0;do{h=+Y_(qh(b,d)|0)+h;p[f>>3]=h;d=d+1|0}while((d|0)<(th(b)|0))}nZ(f,e,1,2,4,0,uY()|0)|0;uY()|0;p[a>>3]=+p[e>>3];r=g;return}function Y_(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0.0,o=0,q=0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0.0,z=0.0,A=0.0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;b=r;r=r+240|0;c=b+216|0;d=b+212|0;e=b+24|0;f=b+8|0;g=b;h=b+208|0;i=b+72|0;j=b+56|0;l=b+44|0;m=b+32|0;k[h>>2]=0;if(!(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0)){n=0.0;r=b;return +n}if(!($p(a)|0)){n=0.0;r=b;return +n}cp(a,d,298);if(((k[d>>2]|0)+-300|0)>>>0<3){o=Hc[k[(k[a>>2]|0)+432>>2]&511](a)|0;Uo(o,h);a=Wo(o,179)|0;q=Wo(o,215)|0;s=ed[k[(k[o>>2]|0)+308>>2]&511](o,2)|0;t=Hc[k[(k[s>>2]|0)+8>>2]&511](s)|0;if((t|0)<(Hc[k[(k[s>>2]|0)+12>>2]&511](s)|0)){u=f+8|0;v=s+8|0;w=0.0;x=t;while(1){Fc[k[(k[s>>2]|0)+24>>2]&1023](s,x);rd[k[(k[o>>2]|0)+260>>2]&511](o,e,k[h>>2]|0,s);rd[k[(k[a>>2]|0)+56>>2]&511](a,g,s,694);rd[k[(k[q>>2]|0)+60>>2]&511](q,f,k[h>>2]|0,s);y=+p[f>>3];z=+p[u>>3];A=w+ +p[v>>3]*(+p[e>>3]*(+p[g>>3]*.5*(y*y+z*z)));x=x+1|0;if((x|0)>=(Hc[k[(k[s>>2]|0)+12>>2]&511](s)|0)){C=A;break}else w=A}}else C=0.0;if((k[d>>2]|0)!=300?(ap(o),(o|0)!=0):0)Ec[k[(k[o>>2]|0)+4>>2]&1023](o);o=k[h>>2]|0;if(o)Tqa(o);k[h>>2]=0;if(!s){n=C;r=b;return +n}Ec[k[(k[s>>2]|0)+4>>2]&1023](s);n=C;r=b;return +n}b=i+56|0;s=i+4|0;k[i>>2]=27524;k[b>>2]=27544;B=0;wa(508,i+56|0,s|0);h=B;B=0;if(h&1){h=Rb()|0;D=Q;E=h;vva(b);Qb(E|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[b>>2]=27488;B=0;va(448,s|0);h=B;B=0;do if(h&1){o=Rb()|0;F=Q;G=o}else{k[s>>2]=27560;o=i+36|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[o+12>>2]=0;k[i+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,s|0,c|0);d=B;B=0;if(d&1){d=Rb()|0;x=Q;Yua(c);Yua(o);Ava(s);F=x;G=d;break}Yua(c);B=0;d=Ia(40,i|0,134695,17)|0;x=B;B=0;if(!(x&1)?(B=0,Xa(239,d|0,0)|0,d=B,B=0,!(d&1)):0){d=Ab(20)|0;B=0;eb(502,j|0,114355,108);x=B;B=0;do if(!(x&1)){B=0;eb(502,l|0,114464,23);g=B;B=0;if(g&1){g=Rb()|0;e=Q;Yua(j);H=e;I=g;break}B=0;wa(510,m|0,s|0);g=B;B=0;if(g&1){g=Rb()|0;J=Q;K=g;L=1}else{B=0;ua(163,d|0,j|0,l|0,51,m|0);g=B;B=0;if(g&1)M=1;else{B=0;eb(503,d|0,1240,229);B=0;M=0}g=Rb()|0;e=Q;Yua(m);J=e;K=g;L=M}Yua(l);Yua(j);if(L){H=J;I=K}else{N=J;O=K;k[i>>2]=27468;k[b>>2]=27488;k[s>>2]=27560;Yua(o);Ava(s);vva(b);Qb(O|0)}}else{g=Rb()|0;H=Q;I=g}while(0);zb(d|0);N=H;O=I;k[i>>2]=27468;k[b>>2]=27488;k[s>>2]=27560;Yua(o);Ava(s);vva(b);Qb(O|0)}x=Rb()|0;N=Q;O=x;k[i>>2]=27468;k[b>>2]=27488;k[s>>2]=27560;Yua(o);Ava(s);vva(b);Qb(O|0)}while(0);D=F;E=G;vva(b);Qb(E|0);return +(0.0)}function Z_(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0;g=r;r=r+16|0;f=g+8|0;e=g;p[f>>3]=0.0;if((th(b)|0)>0){h=0.0;d=0;do{h=+__(qh(b,d)|0)+h;p[f>>3]=h;d=d+1|0}while((d|0)<(th(b)|0))}nZ(f,e,1,2,4,0,uY()|0)|0;uY()|0;p[a>>3]=+p[e>>3];r=g;return}function __(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0.0,o=0,q=0,s=0,t=0,u=0,v=0.0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;b=r;r=r+240|0;c=b+224|0;d=b+220|0;e=b+32|0;f=b+8|0;g=b;h=b+216|0;i=b+80|0;j=b+64|0;l=b+52|0;m=b+40|0;k[h>>2]=0;if(!($p(a)|0)){n=0.0;r=b;return +n}cp(a,d,298);if(((k[d>>2]|0)+-300|0)>>>0<3){Uo(a,h);d=Wo(a,179)|0;o=Wo(a,214)|0;q=ed[k[(k[a>>2]|0)+308>>2]&511](a,2)|0;s=Hc[k[(k[q>>2]|0)+8>>2]&511](q)|0;if((s|0)<(Hc[k[(k[q>>2]|0)+12>>2]&511](q)|0)){t=f+8|0;u=q+8|0;v=0.0;w=s;while(1){Fc[k[(k[q>>2]|0)+24>>2]&1023](q,w);rd[k[(k[a>>2]|0)+260>>2]&511](a,e,k[h>>2]|0,q);rd[k[(k[d>>2]|0)+56>>2]&511](d,g,q,695);rd[k[(k[o>>2]|0)+60>>2]&511](o,f,k[h>>2]|0,q);x=+p[f>>3];y=+p[t>>3];z=v+ +p[u>>3]*(+p[e>>3]*(+p[g>>3]*.5*(x*x+y*y)));w=w+1|0;if((w|0)>=(Hc[k[(k[q>>2]|0)+12>>2]&511](q)|0)){A=z;break}else v=z}}else A=0.0;w=k[h>>2]|0;if(w)Tqa(w);k[h>>2]=0;Ec[k[(k[q>>2]|0)+4>>2]&1023](q);n=A;r=b;return +n}b=i+56|0;q=i+4|0;k[i>>2]=27524;k[b>>2]=27544;B=0;wa(508,i+56|0,q|0);h=B;B=0;if(h&1){h=Rb()|0;C=Q;D=h;vva(b);Qb(D|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[b>>2]=27488;B=0;va(448,q|0);h=B;B=0;do if(h&1){w=Rb()|0;E=Q;F=w}else{k[q>>2]=27560;w=i+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[i+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,q|0,c|0);g=B;B=0;if(g&1){g=Rb()|0;e=Q;Yua(c);Yua(w);Ava(q);E=e;F=g;break}Yua(c);B=0;g=Ia(40,i|0,134695,17)|0;e=B;B=0;if(!(e&1)?(B=0,Xa(239,g|0,0)|0,g=B,B=0,!(g&1)):0){g=Ab(20)|0;B=0;eb(502,j|0,114488,102);e=B;B=0;do if(!(e&1)){B=0;eb(502,l|0,114591,20);u=B;B=0;if(u&1){u=Rb()|0;t=Q;Yua(j);G=t;H=u;break}B=0;wa(510,m|0,q|0);u=B;B=0;if(u&1){u=Rb()|0;I=Q;J=u;K=1}else{B=0;ua(163,g|0,j|0,l|0,48,m|0);u=B;B=0;if(u&1)L=1;else{B=0;eb(503,g|0,1240,229);B=0;L=0}u=Rb()|0;t=Q;Yua(m);I=t;J=u;K=L}Yua(l);Yua(j);if(K){G=I;H=J}else{M=I;N=J;k[i>>2]=27468;k[b>>2]=27488;k[q>>2]=27560;Yua(w);Ava(q);vva(b);Qb(N|0)}}else{u=Rb()|0;G=Q;H=u}while(0);zb(g|0);M=G;N=H;k[i>>2]=27468;k[b>>2]=27488;k[q>>2]=27560;Yua(w);Ava(q);vva(b);Qb(N|0)}e=Rb()|0;M=Q;N=e;k[i>>2]=27468;k[b>>2]=27488;k[q>>2]=27560;Yua(w);Ava(q);vva(b);Qb(N|0)}while(0);C=E;D=F;vva(b);Qb(D|0);return +(0.0)}function $_(a){a=a|0;var b=0;k[a>>2]=36788;b=a+8|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[b+16>>2]=0;k[b+20>>2]=0;return}function a$(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;h=r;r=r+192|0;i=h+176|0;j=h+40|0;l=h+24|0;m=h+12|0;n=h;k[a>>2]=36788;k[a+8>>2]=g;g=a+4|0;k[g>>2]=b;switch(c|0){case 622:{B=0;o=ya(423,16)|0;p=B;B=0;if(!(p&1)){B=0;ib(284,o|0,b|0,d|0,738);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Sqa(o);s=q;t=p;Qb(t|0)}k[a+12>>2]=o;B=0;o=ya(423,16)|0;p=B;B=0;if(!(p&1)){B=0;ib(284,o|0,k[g>>2]|0,d|0,738);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Sqa(o);s=q;t=p;Qb(t|0)}k[a+16>>2]=o;B=0;o=ya(423,16)|0;p=B;B=0;if(!(p&1)){B=0;ib(284,o|0,k[g>>2]|0,e|0,738);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Sqa(o);s=q;t=p;Qb(t|0)}k[a+20>>2]=o;B=0;o=ya(423,16)|0;p=B;B=0;if(!(p&1)){B=0;ib(284,o|0,k[g>>2]|0,f|0,738);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Sqa(o);s=q;t=p;Qb(t|0)}else{k[a+24>>2]=o;u=a+28|0;k[u>>2]=0;r=h;return}}else v=11}else v=11}else v=11}else v=11;break}case 626:{B=0;o=ya(423,16)|0;p=B;B=0;if(!(p&1)){B=0;ib(285,o|0,b|0,d|0,738);b=B;B=0;if(b&1){b=Rb()|0;p=Q;Sqa(o);s=p;t=b;Qb(t|0)}k[a+12>>2]=o;B=0;o=ya(423,16)|0;b=B;B=0;if(!(b&1)){B=0;ib(285,o|0,k[g>>2]|0,d|0,738);d=B;B=0;if(d&1){d=Rb()|0;b=Q;Sqa(o);s=b;t=d;Qb(t|0)}k[a+16>>2]=o;B=0;o=ya(423,16)|0;d=B;B=0;if(!(d&1)){B=0;ib(285,o|0,k[g>>2]|0,e|0,738);e=B;B=0;if(e&1){e=Rb()|0;d=Q;Sqa(o);s=d;t=e;Qb(t|0)}k[a+20>>2]=o;B=0;o=ya(423,16)|0;e=B;B=0;if(!(e&1)){B=0;ib(285,o|0,k[g>>2]|0,f|0,738);f=B;B=0;if(f&1){f=Rb()|0;g=Q;Sqa(o);s=g;t=f;Qb(t|0)}else{k[a+24>>2]=o;u=a+28|0;k[u>>2]=0;r=h;return}}else v=11}else v=11}else v=11}else v=11;break}default:{h=j+56|0;u=j+4|0;k[j>>2]=27524;k[h>>2]=27544;B=0;wa(508,j+56|0,u|0);a=B;B=0;if(a&1){a=Rb()|0;w=Q;x=a}else{k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[h>>2]=27488;B=0;va(448,u|0);a=B;B=0;do if(a&1){o=Rb()|0;y=Q;z=o}else{k[u>>2]=27560;o=j+36|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[o+12>>2]=0;k[j+52>>2]=16;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;B=0;wa(509,u|0,i|0);f=B;B=0;if(f&1){f=Rb()|0;g=Q;Yua(i);Yua(o);Ava(u);y=g;z=f;break}Yua(i);B=0;f=Ia(40,j|0,114627,14)|0;g=B;B=0;a:do if((((!(g&1)?(B=0,e=ya(427,c|0)|0,d=B,B=0,!(d&1)):0)?(d=Lta(e)|0,B=0,b=Ia(40,f|0,e|0,d|0)|0,d=B,B=0,!(d&1)):0)?(B=0,d=Ia(40,b|0,114642,34)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(239,d|0,0)|0,d=B,B=0,!(d&1)):0){d=Ab(20)|0;B=0;eb(502,l|0,114677,78);b=B;B=0;do if(!(b&1)){B=0;eb(502,m|0,114756,12);e=B;B=0;if(e&1){e=Rb()|0;p=Q;Yua(l);A=p;C=e;break}B=0;wa(510,n|0,u|0);e=B;B=0;if(e&1){e=Rb()|0;D=Q;E=e;F=1}else{B=0;ua(163,d|0,l|0,m|0,43,n|0);e=B;B=0;if(e&1)G=1;else{B=0;eb(503,d|0,1240,229);B=0;G=0}e=Rb()|0;p=Q;Yua(n);D=p;E=e;F=G}Yua(m);Yua(l);if(F){A=D;C=E}else{H=D;I=E;break a}}else{e=Rb()|0;A=Q;C=e}while(0);zb(d|0);H=A;I=C}else v=48;while(0);if((v|0)==48){f=Rb()|0;H=Q;I=f}k[j>>2]=27468;k[h>>2]=27488;k[u>>2]=27560;Yua(o);Ava(u);vva(h);s=H;t=I;Qb(t|0)}while(0);w=y;x=z}vva(h);J=w;K=x}}if((v|0)==11){v=Rb()|0;J=Q;K=v}s=J;t=K;Qb(t|0)}
function oz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0.0,n=0,o=0.0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;a=r;r=r+192|0;e=a+176|0;f=a+40|0;g=a+24|0;h=a+12|0;i=a;switch(d|0){case 736:{k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[b+16>>2]=0;k[b+20>>2]=0;r=a;return}case 739:case 738:{p[b>>3]=-1.0;p[b+32>>3]=-1.0;p[b+64>>3]=-1.0;p[b+8>>3]=1.0;p[b+40>>3]=0.0;p[b+72>>3]=0.0;p[b+16>>3]=0.0;p[b+48>>3]=1.0;p[b+80>>3]=0.0;p[b+24>>3]=0.0;p[b+56>>3]=0.0;p[b+88>>3]=1.0;r=a;return}case 741:case 740:{p[b>>3]=-1.0;p[b+40>>3]=-1.0;p[b+80>>3]=-1.0;p[b+8>>3]=1.0;p[b+48>>3]=0.0;p[b+88>>3]=0.0;p[b+16>>3]=0.0;p[b+56>>3]=1.0;p[b+96>>3]=0.0;p[b+24>>3]=0.0;p[b+64>>3]=0.0;p[b+104>>3]=1.0;j=c+48|0;l=c+56|0;m=+p[l>>3];n=c+64|0;o=+p[n>>3];q=c+40|0;p[b+32>>3]=(o*(m*+p[q>>3])-+p[j>>3]*m*o)*256.0;o=+p[j>>3];m=+p[n>>3];p[b+72>>3]=(m*(o*+p[q>>3])-o*+p[l>>3]*m)*256.0;m=+p[j>>3];o=+p[l>>3];p[b+112>>3]=(o*(m*+p[q>>3])-m*o*+p[n>>3])*256.0;r=a;return}case 742:{n=c+40|0;p[b>>3]=1.0-+p[n>>3]*4.0;p[b+80>>3]=1.0-+p[n>>3]*4.0;p[b+160>>3]=1.0-+p[n>>3]*4.0;q=c+48|0;p[b+8>>3]=+p[q>>3]*4.0+-1.0;p[b+88>>3]=0.0;p[b+168>>3]=0.0;p[b+16>>3]=0.0;l=c+56|0;p[b+96>>3]=+p[l>>3]*4.0+-1.0;p[b+176>>3]=0.0;p[b+24>>3]=0.0;p[b+104>>3]=0.0;j=c+64|0;p[b+184>>3]=+p[j>>3]*4.0+-1.0;p[b+32>>3]=+p[l>>3]*4.0;p[b+112>>3]=+p[q>>3]*4.0;p[b+192>>3]=0.0;p[b+40>>3]=+p[l>>3]*-4.0;p[b+120>>3]=(+p[n>>3]-+p[l>>3])*4.0;p[b+200>>3]=+p[l>>3]*-4.0;p[b+48>>3]=(+p[n>>3]-+p[q>>3])*4.0;p[b+128>>3]=+p[q>>3]*-4.0;p[b+208>>3]=+p[q>>3]*-4.0;p[b+56>>3]=+p[j>>3]*4.0;p[b+136>>3]=0.0;p[b+216>>3]=+p[q>>3]*4.0;p[b+64>>3]=0.0;p[b+144>>3]=+p[j>>3]*4.0;p[b+224>>3]=+p[l>>3]*4.0;p[b+72>>3]=+p[j>>3]*-4.0;p[b+152>>3]=+p[j>>3]*-4.0;p[b+232>>3]=(+p[n>>3]-+p[j>>3])*4.0;r=a;return}default:{a=f+56|0;j=f+4|0;k[f>>2]=27524;k[a>>2]=27544;B=0;wa(508,f+56|0,j|0);n=B;B=0;if(n&1){n=Rb()|0;s=Q;t=n;vva(a);Qb(t|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[a>>2]=27488;B=0;va(448,j|0);n=B;B=0;do if(n&1){b=Rb()|0;u=Q;v=b}else{k[j>>2]=27560;b=f+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,j|0,e|0);l=B;B=0;if(l&1){l=Rb()|0;q=Q;Yua(e);Yua(b);Ava(j);u=q;v=l;break}Yua(e);B=0;l=Ia(40,f|0,132447,13)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,d|0)|0,c=B,B=0,!(c&1)):0)?(c=Lta(q)|0,B=0,w=Ia(40,l|0,q|0,c|0)|0,c=B,B=0,!(c&1)):0)?(B=0,c=Ia(40,w|0,146481,18)|0,w=B,B=0,!(w&1)):0)?(B=0,Xa(239,c|0,0)|0,c=B,B=0,!(c&1)):0){c=Ab(20)|0;B=0;eb(502,g|0,73996,76);w=B;B=0;do if(!(w&1)){B=0;eb(502,h|0,75528,37);q=B;B=0;if(q&1){q=Rb()|0;l=Q;Yua(g);x=l;y=q;break}B=0;wa(510,i|0,j|0);q=B;B=0;if(q&1){q=Rb()|0;z=Q;A=q;C=1}else{B=0;ua(163,c|0,g|0,h|0,340,i|0);q=B;B=0;if(q&1)D=1;else{B=0;eb(503,c|0,1240,229);B=0;D=0}q=Rb()|0;l=Q;Yua(i);z=l;A=q;C=D}Yua(h);Yua(g);if(C){x=z;y=A}else{E=z;F=A;k[f>>2]=27468;k[a>>2]=27488;k[j>>2]=27560;Yua(b);Ava(j);vva(a);Qb(F|0)}}else{q=Rb()|0;x=Q;y=q}while(0);zb(c|0);E=x;F=y;k[f>>2]=27468;k[a>>2]=27488;k[j>>2]=27560;Yua(b);Ava(j);vva(a);Qb(F|0)}w=Rb()|0;E=Q;F=w;k[f>>2]=27468;k[a>>2]=27488;k[j>>2]=27560;Yua(b);Ava(j);vva(a);Qb(F|0)}while(0);s=u;t=v;vva(a);Qb(t|0)}}}function pz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;switch(b|0){case 754:{h=921;r=a;return h|0}case 755:case 753:case 751:case 752:case 750:case 749:{h=738;r=a;return h|0}default:{h=d+56|0;a=d+4|0;k[d>>2]=27524;k[h>>2]=27544;B=0;wa(508,d+56|0,a|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(h);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[h>>2]=27488;B=0;va(448,a|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[a>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,a|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(a);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,132447,13)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,b|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,146481,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,73996,76);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,75650,21);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,a|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,377,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[h>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(h);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[h>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(h);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[h>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(h);Qb(C|0)}while(0);j=n;l=o;vva(h);Qb(l|0)}}return 0}function qz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;if((b|0)==755){r=a;return 739}a=d+56|0;h=d+4|0;k[d>>2]=27524;k[a>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(a);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[a>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,132447,13)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,b|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,146481,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,73996,76);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,75211,19);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,387,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[a>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(a);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[a>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(a);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[a>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(a);Qb(C|0)}while(0);j=n;l=o;vva(a);Qb(l|0);return 0}function rz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;switch(b|0){case 752:{h=740;r=a;return h|0}case 751:{h=740;r=a;return h|0}case 753:{h=742;r=a;return h|0}case 754:{h=742;r=a;return h|0}case 755:{h=742;r=a;return h|0}case 750:case 749:{h=738;r=a;return h|0}default:{h=d+56|0;a=d+4|0;k[d>>2]=27524;k[h>>2]=27544;B=0;wa(508,d+56|0,a|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(h);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[h>>2]=27488;B=0;va(448,a|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[a>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,a|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(a);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,132447,13)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,b|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,146481,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,73996,76);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,75691,21);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,a|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,401,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[h>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(h);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[h>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(h);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[h>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(h);Qb(C|0)}while(0);j=n;l=o;vva(h);Qb(l|0)}}return 0}function sz(a){a=a|0;k[a>>2]=31308;k[a+4>>2]=31872;k[a+36>>2]=0;Tq(a+48|0);Qo(a);return}function tz(a){a=a|0;k[a>>2]=31308;k[a+4>>2]=31872;k[a+36>>2]=0;Tq(a+48|0);Qo(a);Sqa(a);return}function uz(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0.0,s=0,u=0,v=0,w=0,x=0,y=0,z=0;g=r;r=r+16|0;h=g;Po(a);i=a+48|0;B=0;ua(167,i|0,f|0,d+1|0,6,e|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;Qo(a);Qb(m|0)}B=0;j=B;B=0;if(j&1){j=Rb()|0;n=Q;o=j}else{k[a>>2]=31308;k[a+4>>2]=31872;j=a+8|0;k[j>>2]=b;k[a+12>>2]=c;B=0;c=Xa(246,e|0,107922)|0;b=B;B=0;do if(!(b&1)){q=+$(+(+p[c+(d<<3)>>3]));p[t>>3]=q;s=k[t+4>>2]|0;if(!(s>>>0>2146435072|(s|0)==2146435072&(k[t>>2]|0)>>>0>0)){B=0;s=Xa(246,e|0,107922)|0;u=B;B=0;if(u&1){v=10;break}if(!(+p[s+(d<<3)>>3]==-1.0)){B=0;s=Xa(246,e|0,107922)|0;u=B;B=0;if(u&1){v=10;break}k[h+4>>2]=~~+p[s+(d<<3)>>3]}else v=7}else v=7;if((v|0)==7)k[h+4>>2]=k[j>>2];B=0;s=Xa(246,e|0,107944)|0;u=B;B=0;if(!(u&1)){q=+$(+(+p[s+(d<<3)>>3]));p[t>>3]=q;s=k[t+4>>2]|0;if(!(s>>>0>2146435072|(s|0)==2146435072&(k[t>>2]|0)>>>0>0)){B=0;s=Xa(246,e|0,107944)|0;u=B;B=0;if(u&1){v=10;break}if(!(+p[s+(d<<3)>>3]==-1.0)){B=0;s=Xa(246,e|0,107944)|0;u=B;B=0;if(u&1){v=10;break}k[h>>2]=~~+p[s+(d<<3)>>3];w=h}else v=17}else v=17;if((v|0)==17){k[h>>2]=k[j>>2];w=h}B=0;wa(519,i|0,w|0);s=B;B=0;if(!(s&1)?(k[a+36>>2]=0,B=0,s=ya(423,36)|0,u=B,B=0,!(u&1)):0){B=0;va(486,s|0);u=B;B=0;if(u&1){u=Rb()|0;x=Q;Sqa(s);y=x;z=u;break}k[a+16>>2]=s;s=a+20|0;k[a+72>>2]=0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;B=0;s=ya(422,(f>>>0>1073741823?-1:f<<2)|0)|0;u=B;B=0;if(!(u&1)){k[a+40>>2]=s;r=g;return}else v=10}else v=10}else v=10}else v=10;while(0);if((v|0)==10){v=Rb()|0;y=Q;z=v}n=y;o=z}Tq(i);l=n;m=o;Qo(a);Qb(m|0)}function vz(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;b=Qqa(76)|0;B=0;va(461,b|0);c=B;B=0;if(c&1){c=Rb()|0;d=Q;e=c}else{c=b+48|0;B=0;va(462,c|0);f=B;B=0;do if(!(f&1)){B=0;g=B;B=0;if(g&1){g=Rb()|0;h=Q;Tq(c);i=h;j=g;break}k[b>>2]=31308;k[b+4>>2]=31872;g=k[a+48>>2]|0;h=(g|0)>0;if(h){l=Rqa(g>>>0>1073741823?-1:g<<2)|0;k[b+40>>2]=l;m=k[a+40>>2]|0;n=0;do{k[l+(n<<2)>>2]=k[m+(n<<2)>>2];n=n+1|0}while((n|0)!=(g|0))}else k[b+40>>2]=0;k[b+44>>2]=k[a+44>>2];k[c>>2]=g;n=a+52|0;m=k[n>>2]|0;a:do if(m){l=Rqa(g>>>0>1073741823?-1:g<<2)|0;o=b+52|0;k[o>>2]=l;if(h){l=g;p=m;q=0;while(1){r=k[p+(q<<2)>>2]|0;if(!r){k[(k[o>>2]|0)+(q<<2)>>2]=0;s=l}else{t=Bla(r)|0;k[(k[o>>2]|0)+(q<<2)>>2]=t;s=k[c>>2]|0}t=q+1|0;if((t|0)>=(s|0))break a;l=s;p=k[n>>2]|0;q=t}}}else k[b+52>>2]=0;while(0);n=a+56|0;m=Bla(k[n>>2]|0)|0;k[b+56>>2]=m;m=a+60|0;g=Bla(k[m>>2]|0)|0;k[b+60>>2]=g;g=a+64|0;h=Bla(k[g>>2]|0)|0;k[b+64>>2]=h;h=a+68|0;q=k[h>>2]|0;if(!q)k[b+68>>2]=0;else{p=Bla(q)|0;k[b+68>>2]=p}k[b+8>>2]=k[a+8>>2];k[b+12>>2]=k[a+12>>2];p=k[a+16>>2]|0;do if(!p){q=Qqa(36)|0;B=0;va(486,q|0);l=B;B=0;if(!(l&1)){k[b+16>>2]=q;break}l=Rb()|0;o=Q;Sqa(q);u=o;v=l;Qb(v|0)}else{l=hh(p)|0;k[b+16>>2]=l}while(0);k[b+36>>2]=k[a+36>>2];p=k[a+20>>2]|0;if(!p){k[b+20>>2]=0;w=k[n>>2]|0;x=Gla(w)|0;y=b+24|0;k[y>>2]=x;z=k[m>>2]|0;A=Fla(z)|0;C=b+28|0;k[C>>2]=A;D=k[g>>2]|0;E=Fla(D)|0;F=b+32|0;k[F>>2]=E;G=k[h>>2]|0;H=Gla(G)|0;I=b+72|0;k[I>>2]=H;return b|0}else{l=Rqa(24)|0;k[b+20>>2]=l;k[l>>2]=k[p>>2];k[l+4>>2]=k[p+4>>2];k[l+8>>2]=k[p+8>>2];k[l+12>>2]=k[p+12>>2];k[l+16>>2]=k[p+16>>2];k[l+20>>2]=k[p+20>>2];w=k[n>>2]|0;x=Gla(w)|0;y=b+24|0;k[y>>2]=x;z=k[m>>2]|0;A=Fla(z)|0;C=b+28|0;k[C>>2]=A;D=k[g>>2]|0;E=Fla(D)|0;F=b+32|0;k[F>>2]=E;G=k[h>>2]|0;H=Gla(G)|0;I=b+72|0;k[I>>2]=H;return b|0}}else{p=Rb()|0;i=Q;j=p}while(0);Qo(b);d=i;e=j}Sqa(b);u=d;v=e;Qb(v|0);return 0}function wz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;l=e;switch(d|0){case 0:{m=k[b>>2]|0;i[m>>0]=113;i[m+1>>0]=2;i[m+2>>0]=0;i[m+3>>0]=0;k[b>>2]=(k[b>>2]|0)+4;break}case 2:{k[c>>2]=(k[c>>2]|0)+4;break}case 1:{k[b>>2]=(k[b>>2]|0)+4;break}default:{m=g+56|0;n=g+4|0;k[g>>2]=27524;k[m>>2]=27544;B=0;wa(508,g+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;q=o;vva(m);Qb(q|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[m>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){s=Rb()|0;t=Q;u=s}else{k[n>>2]=27560;s=g+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,n|0,f|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(f);Yua(s);Ava(n);t=w;u=v;break}Yua(f);B=0;v=Ia(40,g|0,143951,43)|0;w=B;B=0;if(!(w&1)?(B=0,Xa(239,v|0,0)|0,v=B,B=0,!(v&1)):0){v=Ab(20)|0;B=0;eb(502,h|0,74107,73);w=B;B=0;do if(!(w&1)){B=0;eb(502,j|0,149525,8);x=B;B=0;if(x&1){x=Rb()|0;y=Q;Yua(h);z=y;A=x;break}B=0;wa(510,l|0,n|0);x=B;B=0;if(x&1){x=Rb()|0;C=Q;D=x;E=1}else{B=0;ua(163,v|0,h|0,j|0,127,l|0);x=B;B=0;if(x&1)F=1;else{B=0;eb(503,v|0,1240,229);B=0;F=0}x=Rb()|0;y=Q;Yua(l);C=y;D=x;E=F}Yua(j);Yua(h);if(E){z=C;A=D}else{G=C;H=D;k[g>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);Qb(H|0)}}else{x=Rb()|0;z=Q;A=x}while(0);zb(v|0);G=z;H=A;k[g>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);Qb(H|0)}w=Rb()|0;G=Q;H=w;k[g>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);Qb(H|0)}while(0);p=t;q=u;vva(m);Qb(q|0)}}q=a+48|0;Vq(q,b,c,d);dq(a,b,c,d,k[q>>2]|0);q=Gla(k[a+56>>2]|0)|0;k[a+24>>2]=q;q=Fla(k[a+60>>2]|0)|0;k[a+28>>2]=q;q=Fla(k[a+64>>2]|0)|0;k[a+32>>2]=q;q=Gla(k[a+68>>2]|0)|0;k[a+72>>2]=q;r=e;return}function xz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0.0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;e=r;r=r+224|0;f=e;g=e+72|0;h=e+208|0;i=e+60|0;j=e+48|0;if(!(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0)){r=e;return}if((d|0)==738){l=+p[c>>3];p[f>>3]=l;p[f+24>>3]=l;l=+p[c+8>>3];p[f+8>>3]=l;p[f+32>>3]=l;l=+p[c+16>>3];p[f+16>>3]=l;p[f+40>>3]=l;c=a;while(1){a=k[c+16>>2]|0;d=Qqa(16)|0;B=0;ib(285,d|0,b|0,f|0,738);m=B;B=0;if(m&1){n=d;o=6;break}mC(a,d)|0;if(Hc[k[(k[c>>2]|0)+252>>2]&511](c)|0){o=8;break}c=k[(k[c+72>>2]|0)+4>>2]|0}if((o|0)==6){c=Rb()|0;b=Q;Sqa(n);q=b;s=c;Qb(s|0)}else if((o|0)==8){r=e;return}}e=g+56|0;c=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,c|0);b=B;B=0;if(b&1){b=Rb()|0;t=Q;u=b;vva(e);Qb(u|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,c|0);b=B;B=0;do if(b&1){n=Rb()|0;v=Q;w=n}else{k[c>>2]=27560;n=g+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,c|0,f|0);d=B;B=0;if(d&1){d=Rb()|0;a=Q;Yua(f);Yua(n);Ava(c);v=a;w=d;break}Yua(f);B=0;d=Ia(40,g|0,149721,19)|0;a=B;B=0;a:do if(!(a&1)?(B=0,Xa(239,d|0,0)|0,m=B,B=0,!(m&1)):0){m=Ab(20)|0;B=0;eb(502,h|0,74107,73);x=B;B=0;do if(!(x&1)){B=0;eb(502,i|0,74181,13);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(h);A=z;C=y;break}B=0;wa(510,j|0,c|0);y=B;B=0;if(y&1){y=Rb()|0;D=Q;E=y;F=1}else{B=0;ua(163,m|0,h|0,i|0,164,j|0);y=B;B=0;if(y&1)G=1;else{B=0;eb(503,m|0,1240,229);B=0;G=0}y=Rb()|0;z=Q;Yua(j);D=z;E=y;F=G}Yua(i);Yua(h);if(F){A=D;C=E}else{H=D;I=E;break a}}else{y=Rb()|0;A=Q;C=y}while(0);zb(m|0);H=A;I=C}else o=24;while(0);if((o|0)==24){d=Rb()|0;H=Q;I=d}k[g>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(n);Ava(c);vva(e);q=H;s=I;Qb(s|0)}while(0);t=v;u=w;vva(e);Qb(u|0)}function yz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=k[a+16>>2]|0;a=Qqa(16)|0;B=0;ib(285,a|0,b|0,c|0,d|0);d=B;B=0;if(d&1){d=Rb()|0;Sqa(a);Qb(d|0)}else{mC(e,a)|0;return}}function zz(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,74195,18)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,74107,73);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,74214,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,175,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function Az(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0;b=r;r=r+336|0;c=b+176|0;d=b+168|0;e=b+160|0;f=b+152|0;g=b+144|0;h=b+96|0;i=b+48|0;j=b;Ko(b+184|0,k[a+24>>2]|0,6,0);l=a+16|0;a=oC(k[l>>2]|0,674)|0;m=oC(k[l>>2]|0,677)|0;n=oC(k[l>>2]|0,262)|0;o=oC(k[l>>2]|0,263)|0;q=oC(k[l>>2]|0,255)|0;s=Qqa(72)|0;B=0;va(493,s|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Sqa(s);v=u;w=t;Qb(w|0)}t=0;do{Fc[k[(k[s>>2]|0)+28>>2]&1023](s,t);nd[k[(k[a>>2]|0)+48>>2]&1023](a,c,s);nd[k[(k[m>>2]|0)+48>>2]&1023](m,d,s);x=+p[c>>3];y=+p[d>>3];nd[k[(k[n>>2]|0)+48>>2]&1023](n,e,s);nd[k[(k[o>>2]|0)+48>>2]&1023](o,g,s);nd[k[(k[q>>2]|0)+48>>2]&1023](q,f,s);z=+p[f>>3]*+p[e>>3]*+p[g>>3];A=z<0.0?0.0:z;p[j+(t<<3)>>3]=A;z=+aa(+(x*x+y*y))+1.0e-14;p[h+(t<<3)>>3]=+p[c>>3]*A/z;p[i+(t<<3)>>3]=A*+p[d>>3]/z;t=t+1|0}while((t|0)!=6);t=k[l>>2]|0;d=Qqa(16)|0;B=0;ib(285,d|0,258,h|0,738);h=B;B=0;if(h&1){h=Rb()|0;c=Q;Sqa(d);v=c;w=h;Qb(w|0)}mC(t,d)|0;d=k[l>>2]|0;t=Qqa(16)|0;B=0;ib(285,t|0,259,i|0,738);i=B;B=0;if(i&1){i=Rb()|0;h=Q;Sqa(t);v=h;w=i;Qb(w|0)}mC(d,t)|0;t=k[l>>2]|0;l=Qqa(16)|0;B=0;ib(285,l|0,248,j|0,738);j=B;B=0;if(!(j&1)){mC(t,l)|0;Ec[k[(k[s>>2]|0)+4>>2]&1023](s);r=b;return}b=Rb()|0;s=Q;Sqa(l);v=s;w=b;Qb(w|0)}function Bz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0;c=r;r=r+688|0;d=c+672|0;e=c+668|0;f=c+664|0;g=c+176|0;h=c+104|0;i=c+96|0;j=c+88|0;l=c+80|0;m=c+72|0;n=c+48|0;o=c;q=c+528|0;s=c+516|0;t=c+504|0;u=c+356|0;v=c+368|0;w=c+344|0;x=c+332|0;y=c+320|0;z=a+36|0;cO(k[z>>2]|0,e,477);A=a+16|0;kC(k[A>>2]|0,f,533);if((k[e>>2]|0)!=497){e=q+56|0;C=q+4|0;k[q>>2]=27524;k[e>>2]=27544;B=0;wa(508,q+56|0,C|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;F=D;vva(e);Qb(F|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[e>>2]=27488;B=0;va(448,C|0);D=B;B=0;do if(D&1){G=Rb()|0;H=Q;I=G}else{k[C>>2]=27560;G=q+36|0;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;k[G+12>>2]=0;k[q+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,C|0,d|0);J=B;B=0;if(J&1){J=Rb()|0;K=Q;Yua(d);Yua(G);Ava(C);H=K;I=J;break}Yua(d);B=0;J=Ia(40,q|0,74195,18)|0;K=B;B=0;a:do if(!(K&1)?(B=0,Xa(239,J|0,0)|0,L=B,B=0,!(L&1)):0){L=Ab(20)|0;B=0;eb(502,s|0,74107,73);M=B;B=0;do if(!(M&1)){B=0;eb(502,t|0,74235,18);N=B;B=0;if(N&1){N=Rb()|0;O=Q;Yua(s);P=N;R=O;break}B=0;wa(510,u|0,C|0);O=B;B=0;if(O&1){O=Rb()|0;S=Q;T=O;U=1}else{B=0;ua(163,L|0,s|0,t|0,257,u|0);O=B;B=0;if(O&1)V=1;else{B=0;eb(503,L|0,1240,229);B=0;V=0}O=Rb()|0;N=Q;Yua(u);S=N;T=O;U=V}Yua(t);Yua(s);if(U){P=T;R=S}else{W=T;X=S;break a}}else{O=Rb()|0;P=O;R=Q}while(0);zb(L|0);W=P;X=R}else Y=17;while(0);if((Y|0)==17){J=Rb()|0;W=J;X=Q}k[q>>2]=27468;k[e>>2]=27488;k[C>>2]=27560;Yua(G);Ava(C);vva(e);Z=X;_=W;Qb(_|0)}while(0);E=H;F=I;vva(e);Qb(F|0)}if((k[f>>2]|0)==542){dO(k[z>>2]|0,i,85);if(!(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0)){if(!(k[b>>2]|0)){r=c;return}z=k[k[b+4>>2]>>2]|0;Jc[k[(k[z>>2]|0)+20>>2]&1](z,(k[a+8>>2]|0)+-1|0,0.0,0);r=c;return}z=a+32|0;+WJ(k[z>>2]|0,265);+WJ(k[z>>2]|0,65);Ko(g,k[a+24>>2]|0,6,0);k[h>>2]=k[g>>2];k[h+4>>2]=k[g+4>>2];k[h+8>>2]=k[g+8>>2];k[h+12>>2]=k[g+12>>2];k[h+16>>2]=k[g+16>>2];k[h+20>>2]=k[g+20>>2];z=h+24|0;f=g+24|0;k[z>>2]=k[f>>2];k[z+4>>2]=k[f+4>>2];k[z+8>>2]=k[f+8>>2];k[z+12>>2]=k[f+12>>2];k[z+16>>2]=k[f+16>>2];k[z+20>>2]=k[f+20>>2];f=h+48|0;z=g+48|0;k[f>>2]=k[z>>2];k[f+4>>2]=k[z+4>>2];k[f+8>>2]=k[z+8>>2];k[f+12>>2]=k[z+12>>2];k[f+16>>2]=k[z+16>>2];k[f+20>>2]=k[z+20>>2];z=oC(k[A>>2]|0,653)|0;f=oC(k[A>>2]|0,674)|0;F=oC(k[A>>2]|0,677)|0;e=oC(k[A>>2]|0,679)|0;A=Qqa(72)|0;B=0;ua(169,A|0,0,1,2,2);I=B;B=0;if(I&1){I=Rb()|0;H=Q;Sqa(A);Z=H;_=I;Qb(_|0)}I=Hc[k[(k[A>>2]|0)+8>>2]&511](A)|0;if((I|0)<(Hc[k[(k[A>>2]|0)+12>>2]&511](A)|0)){H=a+28|0;E=o+16|0;W=A+8|0;X=I;$=0.0;aa=0.0;while(1){Fc[k[(k[A>>2]|0)+24>>2]&1023](A,X);Yo(a,o,g,A,f,F,e);I=k[H>>2]|0;Tc[k[(k[I>>2]|0)+108>>2]&15](I,l,3,g,A,f,F,e);nd[k[(k[z>>2]|0)+48>>2]&1023](z,j,A);ba=+p[l>>3]*2.0*+p[E>>3]-+p[j>>3]*+p[i>>3];nd[k[(k[a>>2]|0)+380>>2]&1023](a,n,h);eC(a,m,h,A);ca=+p[m>>3];da=+p[W>>3];ea=aa+ba*ca*da;ba=$+ca*da;X=X+1|0;if((X|0)>=(Hc[k[(k[A>>2]|0)+12>>2]&511](A)|0)){fa=ba;ga=ea;break}else{$=ba;aa=ea}}}else{fa=0.0;ga=0.0}if(!(k[b>>2]|0)){r=c;return}A=k[k[b+4>>2]>>2]|0;Jc[k[(k[A>>2]|0)+20>>2]&1](A,(k[a+8>>2]|0)+-1|0,ga/fa,0);r=c;return}c=v+56|0;a=v+4|0;k[v>>2]=27524;k[c>>2]=27544;B=0;wa(508,v+56|0,a|0);A=B;B=0;if(A&1){A=Rb()|0;ha=Q;ia=A;vva(c);Qb(ia|0)}k[v+128>>2]=0;k[v+132>>2]=-1;k[v>>2]=27468;k[c>>2]=27488;B=0;va(448,a|0);A=B;B=0;do if(A&1){b=Rb()|0;ja=Q;ka=b}else{k[a>>2]=27560;b=v+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[v+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,a|0,d|0);X=B;B=0;if(X&1){X=Rb()|0;W=Q;Yua(d);Yua(b);Ava(a);ja=W;ka=X;break}Yua(d);B=0;X=Ia(40,v|0,74195,18)|0;W=B;B=0;b:do if(!(W&1)?(B=0,Xa(239,X|0,0)|0,m=B,B=0,!(m&1)):0){m=Ab(20)|0;B=0;eb(502,w|0,74107,73);h=B;B=0;do if(!(h&1)){B=0;eb(502,x|0,74235,18);n=B;B=0;if(n&1){n=Rb()|0;i=Q;Yua(w);la=n;ma=i;break}B=0;wa(510,y|0,a|0);i=B;B=0;if(i&1){i=Rb()|0;na=1;oa=Q;pa=i}else{B=0;ua(163,m|0,w|0,x|0,258,y|0);i=B;B=0;if(i&1)qa=1;else{B=0;eb(503,m|0,1240,229);B=0;qa=0}i=Rb()|0;n=Q;Yua(y);na=qa;oa=n;pa=i}Yua(x);Yua(w);if(na){la=pa;ma=oa}else{ra=oa;sa=pa;break b}}else{i=Rb()|0;la=i;ma=Q}while(0);zb(m|0);ra=ma;sa=la}else Y=41;while(0);if((Y|0)==41){X=Rb()|0;ra=Q;sa=X}k[v>>2]=27468;k[c>>2]=27488;k[a>>2]=27560;Yua(b);Ava(a);vva(c);Z=ra;_=sa;Qb(_|0)}while(0);ha=ja;ia=ka;vva(c);Qb(ia|0)}function Cz(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0;b=r;r=r+544|0;c=b+392|0;d=b+384|0;e=b+336|0;f=b+288|0;g=b+240|0;h=b+192|0;i=b+144|0;j=b+96|0;l=b+48|0;m=b;Ko(c,k[a+24>>2]|0,6,0);n=a+16|0;o=oC(k[n>>2]|0,674)|0;q=oC(k[n>>2]|0,677)|0;s=oC(k[n>>2]|0,679)|0;t=Qqa(72)|0;B=0;va(493,t|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Sqa(t);w=v;x=u;Qb(x|0)}u=a+28|0;v=e+8|0;y=e+16|0;z=e+24|0;A=e+32|0;C=e+40|0;D=0;do{Fc[k[(k[t>>2]|0)+28>>2]&1023](t,D);Yo(a,e,c,t,o,q,s);E=k[u>>2]|0;Tc[k[(k[E>>2]|0)+108>>2]&15](E,d,3,c,t,o,q,s);F=+p[d>>3]*2.0;G=F*+p[e>>3];p[f+(D<<3)>>3]=G;H=F*+p[v>>3];p[g+(D<<3)>>3]=H;I=F*+p[y>>3];p[h+(D<<3)>>3]=I;J=F*+p[z>>3];p[i+(D<<3)>>3]=J;K=F*+p[A>>3];p[j+(D<<3)>>3]=K;L=F*+p[C>>3];p[l+(D<<3)>>3]=L;F=+aa(+((L*(L*2.0)+(G*G+H*H+I*I+J*(J*2.0)+K*(K*2.0)))*.5));p[m+(D<<3)>>3]=F;D=D+1|0}while((D|0)!=6);D=k[n>>2]|0;C=Qqa(16)|0;B=0;ib(285,C|0,716,f|0,738);f=B;B=0;if(f&1){f=Rb()|0;A=Q;Sqa(C);w=A;x=f;Qb(x|0)}mC(D,C)|0;C=k[n>>2]|0;D=Qqa(16)|0;B=0;ib(285,D|0,717,i|0,738);i=B;B=0;if(i&1){i=Rb()|0;f=Q;Sqa(D);w=f;x=i;Qb(x|0)}mC(C,D)|0;D=k[n>>2]|0;C=Qqa(16)|0;B=0;ib(285,C|0,718,j|0,738);j=B;B=0;if(j&1){j=Rb()|0;i=Q;Sqa(C);w=i;x=j;Qb(x|0)}mC(D,C)|0;C=k[n>>2]|0;D=Qqa(16)|0;B=0;ib(285,D|0,719,g|0,738);g=B;B=0;if(g&1){g=Rb()|0;j=Q;Sqa(D);w=j;x=g;Qb(x|0)}mC(C,D)|0;D=k[n>>2]|0;C=Qqa(16)|0;B=0;ib(285,C|0,720,l|0,738);l=B;B=0;if(l&1){l=Rb()|0;g=Q;Sqa(C);w=g;x=l;Qb(x|0)}mC(D,C)|0;C=k[n>>2]|0;D=Qqa(16)|0;B=0;ib(285,D|0,721,h|0,738);h=B;B=0;if(h&1){h=Rb()|0;l=Q;Sqa(D);w=l;x=h;Qb(x|0)}mC(C,D)|0;D=k[n>>2]|0;n=Qqa(16)|0;B=0;ib(285,n|0,722,m|0,738);m=B;B=0;if(!(m&1)){mC(D,n)|0;Ec[k[(k[t>>2]|0)+4>>2]&1023](t);r=b;return}b=Rb()|0;t=Q;Sqa(n);w=t;x=b;Qb(x|0)}function Dz(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0.0,H=0.0;b=r;r=r+496|0;c=b+352|0;d=b+344|0;e=b+336|0;f=b+288|0;g=b+240|0;h=b+192|0;i=b+144|0;j=b+96|0;l=b+48|0;m=b;Ko(c,k[a+24>>2]|0,6,0);n=a+16|0;o=oC(k[n>>2]|0,653)|0;q=oC(k[n>>2]|0,674)|0;s=oC(k[n>>2]|0,677)|0;t=oC(k[n>>2]|0,679)|0;u=Qqa(72)|0;B=0;va(493,u|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Sqa(u);x=w;y=v;Qb(y|0)}v=a+28|0;w=f+8|0;z=f+16|0;A=f+24|0;C=f+32|0;D=f+40|0;E=0;do{Fc[k[(k[u>>2]|0)+28>>2]&1023](u,E);Yo(a,f,c,u,q,s,t);F=k[v>>2]|0;Tc[k[(k[F>>2]|0)+108>>2]&15](F,e,3,c,u,q,s,t);nd[k[(k[o>>2]|0)+48>>2]&1023](o,d,u);G=+p[e>>3]*2.0;H=+p[d>>3];p[g+(E<<3)>>3]=G*+p[f>>3]-H;p[h+(E<<3)>>3]=G*+p[w>>3]-H;p[i+(E<<3)>>3]=G*+p[z>>3]-H;p[j+(E<<3)>>3]=G*+p[A>>3];p[l+(E<<3)>>3]=G*+p[C>>3];p[m+(E<<3)>>3]=G*+p[D>>3];E=E+1|0}while((E|0)!=6);E=k[n>>2]|0;D=Qqa(16)|0;B=0;ib(285,D|0,708,g|0,738);g=B;B=0;if(g&1){g=Rb()|0;C=Q;Sqa(D);x=C;y=g;Qb(y|0)}mC(E,D)|0;D=k[n>>2]|0;E=Qqa(16)|0;B=0;ib(285,E|0,709,j|0,738);j=B;B=0;if(j&1){j=Rb()|0;g=Q;Sqa(E);x=g;y=j;Qb(y|0)}mC(D,E)|0;E=k[n>>2]|0;D=Qqa(16)|0;B=0;ib(285,D|0,710,l|0,738);l=B;B=0;if(l&1){l=Rb()|0;j=Q;Sqa(D);x=j;y=l;Qb(y|0)}mC(E,D)|0;D=k[n>>2]|0;E=Qqa(16)|0;B=0;ib(285,E|0,711,h|0,738);h=B;B=0;if(h&1){h=Rb()|0;l=Q;Sqa(E);x=l;y=h;Qb(y|0)}mC(D,E)|0;E=k[n>>2]|0;D=Qqa(16)|0;B=0;ib(285,D|0,712,m|0,738);m=B;B=0;if(m&1){m=Rb()|0;h=Q;Sqa(D);x=h;y=m;Qb(y|0)}mC(E,D)|0;D=k[n>>2]|0;n=Qqa(16)|0;B=0;ib(285,n|0,713,i|0,738);i=B;B=0;if(!(i&1)){mC(D,n)|0;Ec[k[(k[u>>2]|0)+4>>2]&1023](u);r=b;return}b=Rb()|0;u=Q;Sqa(n);x=u;y=b;Qb(y|0)}function Ez(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0;c=r;r=r+16|0;h=c;cO(g,h,482);i=k[h>>2]|0;k[a+44>>2]=k[(k[a+40>>2]|0)+(i<<2)>>2];j=a+52|0;l=k[(k[j>>2]|0)+(i<<2)>>2]|0;if(l)Ela(l,d);d=a+56|0;Ela(k[d>>2]|0,e);e=a+60|0;Ela(k[e>>2]|0,f);l=a+64|0;Ela(k[l>>2]|0,f);f=a+68|0;Ela(k[f>>2]|0,b);b=k[(k[j>>2]|0)+(k[h>>2]<<2)>>2]|0;if(!b)k[a+20>>2]=0;else{h=Gla(b)|0;k[a+20>>2]=h}h=Gla(k[d>>2]|0)|0;k[a+24>>2]=h;h=Fla(k[e>>2]|0)|0;k[a+28>>2]=h;h=Fla(k[l>>2]|0)|0;k[a+32>>2]=h;h=Gla(k[f>>2]|0)|0;k[a+72>>2]=h;k[a+36>>2]=g;wC(k[a+16>>2]|0,g);r=c;return}function Fz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;e=r;r=r+448|0;f=e+424|0;g=e+400|0;h=e;i=e+264|0;j=e+248|0;l=e+96|0;m=e+84|0;n=e+112|0;o=e+72|0;q=e+60|0;s=e+48|0;do if((c|0)!=215){t=k[a+16>>2]|0;if((c|0)==227){u=oC(t,225)|0;break}else{u=oC(t,c)|0;break}}else u=oC(k[a+16>>2]|0,214)|0;while(0);if(!u){t=i+56|0;v=i+4|0;k[i>>2]=27524;k[t>>2]=27544;B=0;wa(508,i+56|0,v|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;y=w;vva(t);Qb(y|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[t>>2]=27488;B=0;va(448,v|0);w=B;B=0;do if(w&1){z=Rb()|0;A=Q;C=z}else{k[v>>2]=27560;z=i+36|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;k[z+12>>2]=0;k[i+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,v|0,f|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(f);Yua(z);Ava(v);A=E;C=D;break}Yua(f);B=0;D=Ia(40,i|0,109148,6)|0;E=B;B=0;a:do if((((!(E&1)?(B=0,F=ya(427,c|0)|0,G=B,B=0,!(G&1)):0)?(G=Lta(F)|0,B=0,H=Ia(40,D|0,F|0,G|0)|0,G=B,B=0,!(G&1)):0)?(B=0,G=Ia(40,H|0,114879,10)|0,H=B,B=0,!(H&1)):0)?(B=0,Xa(239,G|0,0)|0,G=B,B=0,!(G&1)):0){G=Ab(20)|0;B=0;eb(502,j|0,74107,73);H=B;B=0;do if(!(H&1)){B=0;eb(502,l|0,74254,23);F=B;B=0;if(F&1){F=Rb()|0;I=Q;Yua(j);J=F;K=I;break}B=0;wa(510,m|0,v|0);I=B;B=0;if(I&1){I=Rb()|0;L=Q;M=I;N=1}else{B=0;ua(163,G|0,j|0,l|0,480,m|0);I=B;B=0;if(I&1)O=1;else{B=0;eb(503,G|0,1240,229);B=0;O=0}I=Rb()|0;F=Q;Yua(m);L=F;M=I;N=O}Yua(l);Yua(j);if(N){J=M;K=L}else{P=M;R=L;break a}}else{I=Rb()|0;J=I;K=Q}while(0);zb(G|0);P=J;R=K}else S=25;while(0);if((S|0)==25){D=Rb()|0;P=D;R=Q}k[i>>2]=27468;k[t>>2]=27488;k[v>>2]=27560;Yua(z);Ava(v);vva(t);T=R;U=P;Qb(U|0)}while(0);x=A;y=C;vva(t);Qb(y|0)}if((Hc[k[(k[u>>2]|0)+20>>2]&511](u)|0)==559){Mp(a,g,d,0);p[h>>3]=+p[b+(k[g>>2]<<3)>>3];p[h+8>>3]=+p[b+(k[g+4>>2]<<3)>>3];p[h+16>>3]=+p[b+(k[g+8>>2]<<3)>>3];p[h+24>>3]=+p[b+(k[g+12>>2]<<3)>>3];p[h+32>>3]=+p[b+(k[g+16>>2]<<3)>>3];p[h+40>>3]=+p[b+(k[g+20>>2]<<3)>>3];g=Qqa(16)|0;B=0;ib(285,g|0,941,h|0,738);h=B;B=0;if(!(h&1)){q$(u,g);r=e;return}e=Rb()|0;u=Q;Sqa(g);T=u;U=e;Qb(U|0)}e=n+56|0;u=n+4|0;k[n>>2]=27524;k[e>>2]=27544;B=0;wa(508,n+56|0,u|0);g=B;B=0;if(g&1){g=Rb()|0;V=Q;W=g;vva(e);Qb(W|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[e>>2]=27488;B=0;va(448,u|0);g=B;B=0;do if(g&1){h=Rb()|0;X=Q;Y=h}else{k[u>>2]=27560;h=n+36|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;k[n+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,u|0,f|0);b=B;B=0;if(b&1){b=Rb()|0;d=Q;Yua(f);Yua(h);Ava(u);X=d;Y=b;break}Yua(f);B=0;b=Ia(40,n|0,109148,6)|0;d=B;B=0;b:do if((((!(d&1)?(B=0,a=ya(427,c|0)|0,y=B,B=0,!(y&1)):0)?(y=Lta(a)|0,B=0,t=Ia(40,b|0,a|0,y|0)|0,y=B,B=0,!(y&1)):0)?(B=0,y=Ia(40,t|0,74278,22)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,y|0,0)|0,y=B,B=0,!(y&1)):0){y=Ab(20)|0;B=0;eb(502,o|0,74107,73);t=B;B=0;do if(!(t&1)){B=0;eb(502,q|0,74254,23);a=B;B=0;if(a&1){a=Rb()|0;C=Q;Yua(o);Z=a;_=C;break}B=0;wa(510,s|0,u|0);C=B;B=0;if(C&1){C=Rb()|0;$=1;aa=Q;ba=C}else{B=0;ua(163,y|0,o|0,q|0,481,s|0);C=B;B=0;if(C&1)ca=1;else{B=0;eb(503,y|0,1240,229);B=0;ca=0}C=Rb()|0;a=Q;Yua(s);$=ca;aa=a;ba=C}Yua(q);Yua(o);if($){Z=ba;_=aa}else{da=aa;ea=ba;break b}}else{C=Rb()|0;Z=C;_=Q}while(0);zb(y|0);da=_;ea=Z}else S=52;while(0);if((S|0)==52){b=Rb()|0;da=Q;ea=b}k[n>>2]=27468;k[e>>2]=27488;k[u>>2]=27560;Yua(h);Ava(u);vva(e);T=da;U=ea;Qb(U|0)}while(0);V=X;W=Y;vva(e);Qb(W|0)}function Gz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0.0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0;e=r;r=r+512|0;f=e+488|0;g=e+352|0;h=e+340|0;i=e+328|0;j=e+176|0;l=e+192|0;m=e+136|0;n=e+124|0;o=e+112|0;q=e+152|0;s=e+64|0;t=e+16|0;u=e+8|0;v=e;do if((d|0)!=215){w=k[a+16>>2]|0;if((d|0)==227){x=oC(w,225)|0;break}else{x=oC(w,d)|0;break}}else x=oC(k[a+16>>2]|0,214)|0;while(0);if(!x){w=g+56|0;y=g+4|0;k[g>>2]=27524;k[w>>2]=27544;B=0;wa(508,g+56|0,y|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;C=z;vva(w);Qb(C|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[w>>2]=27488;B=0;va(448,y|0);z=B;B=0;do if(z&1){D=Rb()|0;E=Q;F=D}else{k[y>>2]=27560;D=g+36|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;k[D+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,y|0,f|0);G=B;B=0;if(G&1){G=Rb()|0;H=Q;Yua(f);Yua(D);Ava(y);E=H;F=G;break}Yua(f);B=0;G=Ia(40,g|0,109148,6)|0;H=B;B=0;a:do if((((!(H&1)?(B=0,I=ya(427,d|0)|0,J=B,B=0,!(J&1)):0)?(J=Lta(I)|0,B=0,K=Ia(40,G|0,I|0,J|0)|0,J=B,B=0,!(J&1)):0)?(B=0,J=Ia(40,K|0,114879,10)|0,K=B,B=0,!(K&1)):0)?(B=0,Xa(239,J|0,0)|0,J=B,B=0,!(J&1)):0){J=Ab(20)|0;B=0;eb(502,h|0,74107,73);K=B;B=0;do if(!(K&1)){B=0;eb(502,i|0,74301,16);I=B;B=0;if(I&1){I=Rb()|0;L=Q;Yua(h);M=I;N=L;break}B=0;wa(510,j|0,y|0);L=B;B=0;if(L&1){L=Rb()|0;O=Q;P=L;R=1}else{B=0;ua(163,J|0,h|0,i|0,502,j|0);L=B;B=0;if(L&1)S=1;else{B=0;eb(503,J|0,1240,229);B=0;S=0}L=Rb()|0;I=Q;Yua(j);O=I;P=L;R=S}Yua(i);Yua(h);if(R){M=P;N=O}else{T=P;U=O;break a}}else{L=Rb()|0;M=L;N=Q}while(0);zb(J|0);T=M;U=N}else V=25;while(0);if((V|0)==25){G=Rb()|0;T=G;U=Q}k[g>>2]=27468;k[w>>2]=27488;k[y>>2]=27560;Yua(D);Ava(y);vva(w);W=U;X=T;Qb(X|0)}while(0);A=E;C=F;vva(w);Qb(C|0)}if((Hc[k[(k[x>>2]|0)+20>>2]&511](x)|0)==559){Jp(a,q);Ip(a,f);a=Qqa(72)|0;B=0;va(493,a|0);C=B;B=0;if(C&1){C=Rb()|0;w=Q;Sqa(a);W=w;X=C;Qb(X|0)}C=0;do{Fc[k[(k[a>>2]|0)+28>>2]&1023](a,C);nd[k[(k[x>>2]|0)+48>>2]&1023](x,u,a);C$(x,v,a);Y=+(k[q+(C<<2)>>2]|0);p[s+(C<<3)>>3]=+p[u>>3]/Y;p[t+(C<<3)>>3]=+p[v>>3]/Y;C=C+1|0}while((C|0)!=6);Ec[k[(k[a>>2]|0)+4>>2]&1023](a);if(k[b>>2]|0){a=k[k[b+4>>2]>>2]|0;Dc[k[(k[a>>2]|0)+16>>2]&255](a,6,f,s,1)}if(!(k[c>>2]|0)){r=e;return}s=k[k[c+4>>2]>>2]|0;Dc[k[(k[s>>2]|0)+16>>2]&255](s,6,f,t,1);r=e;return}e=l+56|0;t=l+4|0;k[l>>2]=27524;k[e>>2]=27544;B=0;wa(508,l+56|0,t|0);s=B;B=0;if(s&1){s=Rb()|0;Z=Q;_=s;vva(e);Qb(_|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[e>>2]=27488;B=0;va(448,t|0);s=B;B=0;do if(s&1){c=Rb()|0;$=Q;aa=c}else{k[t>>2]=27560;c=l+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[l+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,t|0,f|0);a=B;B=0;if(a&1){a=Rb()|0;b=Q;Yua(f);Yua(c);Ava(t);$=b;aa=a;break}Yua(f);B=0;a=Ia(40,l|0,109148,6)|0;b=B;B=0;b:do if((((!(b&1)?(B=0,C=ya(427,d|0)|0,v=B,B=0,!(v&1)):0)?(v=Lta(C)|0,B=0,u=Ia(40,a|0,C|0,v|0)|0,v=B,B=0,!(v&1)):0)?(B=0,v=Ia(40,u|0,74278,22)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,v|0,0)|0,v=B,B=0,!(v&1)):0){v=Ab(20)|0;B=0;eb(502,m|0,74107,73);u=B;B=0;do if(!(u&1)){B=0;eb(502,n|0,74301,16);C=B;B=0;if(C&1){C=Rb()|0;q=Q;Yua(m);ba=C;ca=q;break}B=0;wa(510,o|0,t|0);q=B;B=0;if(q&1){q=Rb()|0;da=1;ea=Q;fa=q}else{B=0;ua(163,v|0,m|0,n|0,503,o|0);q=B;B=0;if(q&1)ga=1;else{B=0;eb(503,v|0,1240,229);B=0;ga=0}q=Rb()|0;C=Q;Yua(o);da=ga;ea=C;fa=q}Yua(n);Yua(m);if(da){ba=fa;ca=ea}else{ha=ea;ia=fa;break b}}else{q=Rb()|0;ba=q;ca=Q}while(0);zb(v|0);ha=ca;ia=ba}else V=52;while(0);if((V|0)==52){a=Rb()|0;ha=Q;ia=a}k[l>>2]=27468;k[e>>2]=27488;k[t>>2]=27560;Yua(c);Ava(t);vva(e);W=ha;X=ia;Qb(X|0)}while(0);Z=$;_=aa;vva(e);Qb(_|0)}function Hz(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0.0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;e=d;f=d+40|0;g=d+176|0;h=d+24|0;i=d+12|0;switch(c|0){case 215:{j=k[a+28>>2]|0;l=+Zc[k[(k[j>>2]|0)+52>>2]&255](j);p[b>>3]=l;r=d;return}case 227:{j=k[a+28>>2]|0;l=+Zc[k[(k[j>>2]|0)+60>>2]&255](j);p[b>>3]=l;r=d;return}case 671:{j=oC(k[a+16>>2]|0,671)|0;Fc[k[(k[j>>2]|0)+64>>2]&1023](j,e);p[b>>3]=+p[e>>3];r=d;return}default:{d=f+56|0;b=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,b|0);j=B;B=0;if(j&1){j=Rb()|0;m=Q;n=j;vva(d);Qb(n|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);j=B;B=0;do if(j&1){a=Rb()|0;o=Q;q=a}else{k[b>>2]=27560;a=f+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,b|0,e|0);s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(e);Yua(a);Ava(b);o=t;q=s;break}Yua(e);B=0;s=Ia(40,f|0,74318,14)|0;t=B;B=0;if((((!(t&1)?(B=0,t=ya(427,c|0)|0,u=B,B=0,!(u&1)):0)?(u=Lta(t)|0,B=0,v=Ia(40,s|0,t|0,u|0)|0,u=B,B=0,!(u&1)):0)?(B=0,u=Ia(40,v|0,146956,19)|0,v=B,B=0,!(v&1)):0)?(B=0,Xa(239,u|0,0)|0,u=B,B=0,!(u&1)):0){u=Ab(20)|0;B=0;eb(502,g|0,74107,73);v=B;B=0;do if(!(v&1)){B=0;eb(502,h|0,74333,15);t=B;B=0;if(t&1){t=Rb()|0;s=Q;Yua(g);w=s;x=t;break}B=0;wa(510,i|0,b|0);t=B;B=0;if(t&1){t=Rb()|0;y=Q;z=t;A=1}else{B=0;ua(163,u|0,g|0,h|0,554,i|0);t=B;B=0;if(t&1)C=1;else{B=0;eb(503,u|0,1240,229);B=0;C=0}t=Rb()|0;s=Q;Yua(i);y=s;z=t;A=C}Yua(h);Yua(g);if(A){w=y;x=z}else{D=y;E=z;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(E|0)}}else{t=Rb()|0;w=Q;x=t}while(0);zb(u|0);D=w;E=x;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(E|0)}v=Rb()|0;D=Q;E=v;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(E|0)}while(0);m=o;n=q;vva(d);Qb(n|0)}}}function Iz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0.0,h=0.0,i=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0;e=r;r=r+144|0;f=e;Ko(f,k[a+24>>2]|0,6,0);g=+p[f>>3];h=+p[f+8>>3];i=+p[f+16>>3];j=+p[f+24>>3];l=j<g?j:g;m=j>g?j:g;g=+p[f+32>>3];j=g<h?g:h;n=g>h?g:h;h=+p[f+40>>3];g=h<i?h:i;o=h>i?h:i;i=+p[f+48>>3];h=i<l?i:l;l=i>m?i:m;m=+p[f+56>>3];i=m<j?m:j;j=m>n?m:n;n=+p[f+64>>3];m=n<g?n:g;g=n>o?n:o;o=+p[f+72>>3];n=o<h?o:h;h=o>l?o:l;l=+p[f+80>>3];o=l<i?l:i;i=l>j?l:j;j=+p[f+88>>3];l=j<m?j:m;m=j>g?j:g;g=+p[f+96>>3];j=g<n?g:n;n=g>h?g:h;h=+p[f+104>>3];g=h<o?h:o;o=h>i?h:i;i=+p[f+112>>3];h=i<l?i:l;l=i>m?i:m;m=+p[f+120>>3];i=+p[f+128>>3];q=+p[f+136>>3];p[b>>3]=(m>n?m:n)-(m<j?m:j);p[c>>3]=(i>o?i:o)-(i<g?i:g);p[d>>3]=(q>l?q:l)-(q<h?q:h);r=e;return}function Jz(a){a=a|0;return k[a+44>>2]|0}function Kz(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0.0,l=0.0,m=0.0,n=0.0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0;b=r;r=r+336|0;c=b+324|0;d=b+320|0;e=b;f=b+184|0;g=b+168|0;h=b+156|0;i=b+144|0;if(!($p(a)|0)){j=0.0;r=b;return +j}if(!(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0)){j=0.0;r=b;return +j}cp(a,d,298);if((k[d>>2]|0)==302){Ko(e,k[a+24>>2]|0,6,0);l=+id[k[(k[a>>2]|0)+136>>2]&63](a,e);m=+p[e>>3];n=+p[e+8>>3];j=(1.0-l)*(+$(+((m-+p[e+48>>3])*(+p[e+32>>3]-n)-(m-+p[e+24>>3])*(+p[e+56>>3]-n)))*.5);r=b;return +j}b=f+56|0;e=f+4|0;k[f>>2]=27524;k[b>>2]=27544;B=0;wa(508,f+56|0,e|0);a=B;B=0;if(a&1){a=Rb()|0;o=Q;q=a;vva(b);Qb(q|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[b>>2]=27488;B=0;va(448,e|0);a=B;B=0;do if(a&1){s=Rb()|0;t=Q;u=s}else{k[e>>2]=27560;s=f+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,e|0,c|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(c);Yua(s);Ava(e);t=w;u=v;break}Yua(c);B=0;v=Ia(40,f|0,144639,5)|0;w=B;B=0;if((((!(w&1)?(B=0,w=ya(427,k[d>>2]|0)|0,x=B,B=0,!(x&1)):0)?(x=Lta(w)|0,B=0,y=Ia(40,v|0,w|0,x|0)|0,x=B,B=0,!(x&1)):0)?(B=0,x=Ia(40,y|0,146481,18)|0,y=B,B=0,!(y&1)):0)?(B=0,Xa(239,x|0,0)|0,x=B,B=0,!(x&1)):0){x=Ab(20)|0;B=0;eb(502,g|0,74107,73);y=B;B=0;do if(!(y&1)){B=0;eb(502,h|0,103020,12);w=B;B=0;if(w&1){w=Rb()|0;v=Q;Yua(g);z=v;A=w;break}B=0;wa(510,i|0,e|0);w=B;B=0;if(w&1){w=Rb()|0;C=Q;D=w;E=1}else{B=0;ua(163,x|0,g|0,h|0,600,i|0);w=B;B=0;if(w&1)F=1;else{B=0;eb(503,x|0,1240,229);B=0;F=0}w=Rb()|0;v=Q;Yua(i);C=v;D=w;E=F}Yua(h);Yua(g);if(E){z=C;A=D}else{G=C;H=D;k[f>>2]=27468;k[b>>2]=27488;k[e>>2]=27560;Yua(s);Ava(e);vva(b);Qb(H|0)}}else{w=Rb()|0;z=Q;A=w}while(0);zb(x|0);G=z;H=A;k[f>>2]=27468;k[b>>2]=27488;k[e>>2]=27560;Yua(s);Ava(e);vva(b);Qb(H|0)}y=Rb()|0;G=Q;H=y;k[f>>2]=27468;k[b>>2]=27488;k[e>>2]=27560;Yua(s);Ava(e);vva(b);Qb(H|0)}while(0);o=t;q=u;vva(b);Qb(q|0);return +(0.0)}function Lz(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0;d=r;r=r+112|0;e=d+108|0;f=d+104|0;g=d+96|0;h=d+88|0;i=d+80|0;j=d+72|0;l=d+48|0;m=d;if(!(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0)){r=d;return}n=a+16|0;kC(k[n>>2]|0,e,533);switch(k[e>>2]|0){case 536:case 537:case 540:{e=a+24|0;o=c+4|0;q=b+4|0;s=0;do{t=Co(k[(k[e>>2]|0)+(s<<2)>>2]|0)|0;if(k[b>>2]|0){u=k[k[q>>2]>>2]|0;Jc[k[(k[u>>2]|0)+20>>2]&1](u,t,9999.0,0)}t=Co(k[(k[e>>2]|0)+(s<<2)>>2]|0)|0;if(k[c>>2]|0){u=k[k[o>>2]>>2]|0;Jc[k[(k[u>>2]|0)+20>>2]&1](u,t,9999.0,0)}s=s+1|0}while((s|0)!=6);break}default:{k[f>>2]=0;Uo(a,f);s=oC(k[n>>2]|0,653)|0;o=oC(k[n>>2]|0,64)|0;e=oC(k[n>>2]|0,63)|0;q=oC(k[n>>2]|0,674)|0;t=oC(k[n>>2]|0,677)|0;u=oC(k[n>>2]|0,679)|0;n=ed[k[(k[a>>2]|0)+324>>2]&511](a,1)|0;Fc[k[(k[n>>2]|0)+24>>2]&1023](n,0);if(_p(a)|0){nd[k[(k[o>>2]|0)+48>>2]&1023](o,j,n);nd[k[(k[e>>2]|0)+48>>2]&1023](e,i,n);e=a+24|0;if(+p[j>>3]<+p[i>>3]){v=e;w=13}else{x=e;w=12}}else{Yo(a,m,k[f>>2]|0,n,q,t,u);e=k[a+28>>2]|0;Tc[k[(k[e>>2]|0)+108>>2]&15](e,h,3,k[f>>2]|0,n,q,t,u);nd[k[(k[s>>2]|0)+48>>2]&1023](s,g,n);nd[k[(k[o>>2]|0)+48>>2]&1023](o,j,n);y=+p[h>>3]*2.0;z=+p[g>>3];A=y*+p[m>>3]-z;B=y*+p[m+8>>3]-z;C=y*+p[m+16>>3]-z;z=y*+p[m+24>>3];D=y*+p[m+32>>3];E=y*+p[m+40>>3];nd[k[(k[a>>2]|0)+380>>2]&1023](a,l,k[f>>2]|0);y=+p[l>>3];F=+p[l+8>>3];G=+p[l+16>>3];l=a+32|0;+WJ(k[l>>2]|0,265);H=+WJ(k[l>>2]|0,266);I=H*+WJ(k[l>>2]|0,65);l=a+24|0;if(E*2.0*F*G+(D*2.0*y*G+(z*2.0*y*F+(y*(A*y)+F*(B*F)+G*(C*G))))<I*+p[j>>3]){v=l;w=13}else{x=l;w=12}}if((w|0)==12){l=c+4|0;j=Co(k[k[x>>2]>>2]|0)|0;if(k[c>>2]|0){a=k[k[l>>2]>>2]|0;Jc[k[(k[a>>2]|0)+20>>2]&1](a,j,1.0,0)}j=Co(k[(k[x>>2]|0)+4>>2]|0)|0;if(k[c>>2]|0){a=k[k[l>>2]>>2]|0;Jc[k[(k[a>>2]|0)+20>>2]&1](a,j,1.0,0)}j=Co(k[(k[x>>2]|0)+8>>2]|0)|0;if(k[c>>2]|0){a=k[k[l>>2]>>2]|0;Jc[k[(k[a>>2]|0)+20>>2]&1](a,j,1.0,0)}j=Co(k[(k[x>>2]|0)+12>>2]|0)|0;if(k[c>>2]|0){a=k[k[l>>2]>>2]|0;Jc[k[(k[a>>2]|0)+20>>2]&1](a,j,1.0,0)}j=Co(k[(k[x>>2]|0)+16>>2]|0)|0;if(k[c>>2]|0){a=k[k[l>>2]>>2]|0;Jc[k[(k[a>>2]|0)+20>>2]&1](a,j,1.0,0)}j=Co(k[(k[x>>2]|0)+20>>2]|0)|0;if(k[c>>2]|0){c=k[k[l>>2]>>2]|0;Jc[k[(k[c>>2]|0)+20>>2]&1](c,j,1.0,0)}}else if((w|0)==13){w=b+4|0;j=Co(k[k[v>>2]>>2]|0)|0;if(k[b>>2]|0){c=k[k[w>>2]>>2]|0;Jc[k[(k[c>>2]|0)+20>>2]&1](c,j,1.0,0)}j=Co(k[(k[v>>2]|0)+4>>2]|0)|0;if(k[b>>2]|0){c=k[k[w>>2]>>2]|0;Jc[k[(k[c>>2]|0)+20>>2]&1](c,j,1.0,0)}j=Co(k[(k[v>>2]|0)+8>>2]|0)|0;if(k[b>>2]|0){c=k[k[w>>2]>>2]|0;Jc[k[(k[c>>2]|0)+20>>2]&1](c,j,1.0,0)}j=Co(k[(k[v>>2]|0)+12>>2]|0)|0;if(k[b>>2]|0){c=k[k[w>>2]>>2]|0;Jc[k[(k[c>>2]|0)+20>>2]&1](c,j,1.0,0)}j=Co(k[(k[v>>2]|0)+16>>2]|0)|0;if(k[b>>2]|0){c=k[k[w>>2]>>2]|0;Jc[k[(k[c>>2]|0)+20>>2]&1](c,j,1.0,0)}j=Co(k[(k[v>>2]|0)+20>>2]|0)|0;if(k[b>>2]|0){b=k[k[w>>2]>>2]|0;Jc[k[(k[b>>2]|0)+20>>2]&1](b,j,1.0,0)}}if(n)Ec[k[(k[n>>2]|0)+4>>2]&1023](n);n=k[f>>2]|0;if(n)Tqa(n)}}r=d;return}function Mz(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,i=0.0,j=0.0,l=0,m=0.0,n=0.0,o=0.0,q=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0,D=0.0;a=r;r=r+80|0;f=a;g=d+24|0;h=+p[g>>3];i=+p[d+56>>3];j=+p[d+32>>3];l=d+48|0;m=+p[l>>3];n=+p[d>>3];o=+p[d+8>>3];q=+$(+(m*o+(h*i-j*m+j*n-h*o)-i*n));k[f>>2]=k[d>>2];k[f+4>>2]=k[d+4>>2];k[f+8>>2]=k[d+8>>2];k[f+12>>2]=k[d+12>>2];k[f+16>>2]=k[d+16>>2];k[f+20>>2]=k[d+20>>2];s=f+24|0;k[s>>2]=k[g>>2];k[s+4>>2]=k[g+4>>2];k[s+8>>2]=k[g+8>>2];k[s+12>>2]=k[g+12>>2];k[s+16>>2]=k[g+16>>2];k[s+20>>2]=k[g+20>>2];t=f+48|0;k[t>>2]=k[l>>2];k[t+4>>2]=k[l+4>>2];k[t+8>>2]=k[l+8>>2];k[t+12>>2]=k[l+12>>2];k[t+16>>2]=k[l+16>>2];k[t+20>>2]=k[l+20>>2];n=q*.5;if((e|0)<=0){r=a;return}u=f+56|0;v=f+32|0;w=f+8|0;q=+p[s>>3];i=+p[v>>3];x=0;do{y=x*3|0;z=c+(y<<3)|0;A=b+(y<<3)|0;k[f>>2]=k[z>>2];k[f+4>>2]=k[z+4>>2];k[f+8>>2]=k[z+8>>2];k[f+12>>2]=k[z+12>>2];k[f+16>>2]=k[z+16>>2];k[f+20>>2]=k[z+20>>2];o=+p[u>>3];h=+p[t>>3];j=+p[f>>3];m=+p[w>>3];B=+$(+(h*m+(q*o-i*h+i*j-q*m)-o*j))*.5/n;p[A>>3]=B;k[f>>2]=k[d>>2];k[f+4>>2]=k[d+4>>2];k[f+8>>2]=k[d+8>>2];k[f+12>>2]=k[d+12>>2];k[f+16>>2]=k[d+16>>2];k[f+20>>2]=k[d+20>>2];k[s>>2]=k[z>>2];k[s+4>>2]=k[z+4>>2];k[s+8>>2]=k[z+8>>2];k[s+12>>2]=k[z+12>>2];k[s+16>>2]=k[z+16>>2];k[s+20>>2]=k[z+20>>2];B=+p[s>>3];j=+p[v>>3];m=+p[f>>3];C=+p[w>>3];D=+$(+(h*C+(B*o-j*h+j*m-B*C)-o*m))*.5/n;p[A+8>>3]=D;k[s>>2]=k[g>>2];k[s+4>>2]=k[g+4>>2];k[s+8>>2]=k[g+8>>2];k[s+12>>2]=k[g+12>>2];k[s+16>>2]=k[g+16>>2];k[s+20>>2]=k[g+20>>2];k[t>>2]=k[z>>2];k[t+4>>2]=k[z+4>>2];k[t+8>>2]=k[z+8>>2];k[t+12>>2]=k[z+12>>2];k[t+16>>2]=k[z+16>>2];k[t+20>>2]=k[z+20>>2];q=+p[s>>3];D=+p[u>>3];i=+p[v>>3];o=+p[t>>3];B=+$(+(o*C+(q*D-i*o+i*m-q*C)-D*m))*.5/n;p[A+16>>3]=B;k[t>>2]=k[l>>2];k[t+4>>2]=k[l+4>>2];k[t+8>>2]=k[l+8>>2];k[t+12>>2]=k[l+12>>2];k[t+16>>2]=k[l+16>>2];k[t+20>>2]=k[l+20>>2];x=x+1|0}while((x|0)!=(e|0));r=a;return}function Nz(a){a=a|0;var b=0,c=0;if(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0){b=a;return b|0}else c=a;while(1){a=k[k[c+72>>2]>>2]|0;if(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0){b=a;break}else c=a}return b|0}function Oz(a){a=a|0;return k[a+44>>2]|0}function Pz(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,s=0,t=0;f=r;r=r+48|0;g=f;xp(a,g,928);h=+p[g>>3];if(h==0.0){j=h+1.0e-15;p[g>>3]=j;l=j}else l=h;a=g+8|0;h=+p[a>>3];if(h==0.0){j=h+1.0e-15;p[a>>3]=j;m=j}else m=h;a=g+16|0;h=+p[a>>3];if(h==0.0){j=h+1.0e-15;p[a>>3]=j;n=j}else n=h;do if(!(l>0.0&m>0.0&n>0.0))if(!(l<0.0&m<0.0&n<0.0)){h=l*m;a=!(h*n<0.0);if(h>0.0){o=n/(n-l);q=n/(n-m);s=a;t=2;break}if(m*n>0.0){o=l/(l-m);q=l/(l-n);s=a;t=0;break}if(l*n>0.0){o=m/(m-n);q=m/(m-l);s=a;t=1}else{o=0.0;q=0.0;s=a;t=0}}else{o=0.0;q=0.0;s=1;t=0}else{o=1.0;q=1.0;s=1;t=0}while(0);k[b>>2]=t;p[c>>3]=o;p[d>>3]=q;i[e>>0]=s&1;r=f;return}function Qz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0.0,o=0.0,q=0.0,s=0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,C=0.0,D=0.0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;c=r;r=r+336|0;d=c+312|0;e=c+128|0;f=c+120|0;g=c+72|0;h=c;i=c+176|0;j=c+160|0;l=c+148|0;m=c+136|0;xp(a,g,928);n=+p[g>>3];if(n==0.0){o=n+1.0e-15;p[g>>3]=o;q=o}else q=n;s=g+8|0;n=+p[s>>3];if(n==0.0){o=n+1.0e-15;p[s>>3]=o;t=o}else t=n;s=g+16|0;n=+p[s>>3];if(n==0.0){o=n+1.0e-15;p[s>>3]=o;u=o}else u=n;if(!(q>0.0&t>0.0&u>0.0))if(q<0.0&t<0.0&u<0.0)v=0.0;else{n=q*t;s=!(n*u>0.0);do if(!(n>0.0)){if(t*u>0.0){o=+p[b>>3];p[h>>3]=o;w=+p[b+8>>3];p[h+8>>3]=w;x=+p[b+16>>3];p[h+16>>3]=x;y=q/(q-t);z=q/(q-u);p[h+24>>3]=o+y*(+p[b+24>>3]-o);p[h+32>>3]=w+y*(+p[b+32>>3]-w);p[h+40>>3]=x+y*(+p[b+40>>3]-x);p[h+48>>3]=o+z*(+p[b+48>>3]-o);p[h+56>>3]=w+z*(+p[b+56>>3]-w);p[h+64>>3]=x+z*(+p[b+64>>3]-x);A=h;break}if(q*u>0.0){x=+p[b+24>>3];p[h+24>>3]=x;z=+p[b+32>>3];p[h+32>>3]=z;w=+p[b+40>>3];p[h+40>>3]=w;o=t/(t-q);y=t/(t-u);p[h>>3]=x+o*(+p[b>>3]-x);p[h+8>>3]=z+o*(+p[b+8>>3]-z);p[h+16>>3]=w+o*(+p[b+16>>3]-w);p[h+48>>3]=x+y*(+p[b+48>>3]-x);p[h+56>>3]=z+y*(+p[b+56>>3]-z);p[h+64>>3]=w+y*(+p[b+64>>3]-w);A=h;break}else{A=h;break}}else{w=+p[b+48>>3];p[h+48>>3]=w;y=+p[b+56>>3];p[h+56>>3]=y;z=+p[b+64>>3];p[h+64>>3]=z;x=u/(u-t);o=u/(u-q);p[h+24>>3]=w+x*(+p[b+24>>3]-w);p[h+32>>3]=y+x*(+p[b+32>>3]-y);p[h+40>>3]=z+x*(+p[b+40>>3]-z);p[h>>3]=w+o*(+p[b>>3]-w);p[h+8>>3]=y+o*(+p[b+8>>3]-y);p[h+16>>3]=z+o*(+p[b+16>>3]-z);A=h}while(0);eC(a,e,b,0);eC(a,f,A,0);if(s){q=+p[e>>3];u=q-+p[f>>3];p[f>>3]=u;C=u;D=q}else{C=+p[f>>3];D=+p[e>>3]}v=C/D}else v=1.0;if(!(v>1.0|v<0.0)){r=c;return +v}c=i+56|0;e=i+4|0;k[i>>2]=27524;k[c>>2]=27544;B=0;wa(508,i+56|0,e|0);f=B;B=0;if(f&1){f=Rb()|0;E=Q;F=f;vva(c);Qb(F|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[c>>2]=27488;B=0;va(448,e|0);f=B;B=0;do if(f&1){s=Rb()|0;G=Q;H=s}else{k[e>>2]=27560;s=i+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[i+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,e|0,d|0);A=B;B=0;if(A&1){A=Rb()|0;a=Q;Yua(d);Yua(s);Ava(e);G=a;H=A;break}Yua(d);B=0;A=Ia(40,i|0,74349,80)|0;a=B;B=0;if(!(a&1)?(B=0,Xa(239,A|0,0)|0,A=B,B=0,!(A&1)):0){A=Ab(20)|0;B=0;eb(502,j|0,74107,73);a=B;B=0;do if(!(a&1)){B=0;eb(502,l|0,74430,18);b=B;B=0;if(b&1){b=Rb()|0;h=Q;Yua(j);I=h;J=b;break}B=0;wa(510,m|0,e|0);b=B;B=0;if(b&1){b=Rb()|0;K=Q;L=b;M=1}else{B=0;ua(163,A|0,j|0,l|0,913,m|0);b=B;B=0;if(b&1)N=1;else{B=0;eb(503,A|0,1240,229);B=0;N=0}b=Rb()|0;h=Q;Yua(m);K=h;L=b;M=N}Yua(l);Yua(j);if(M){I=K;J=L}else{O=K;P=L;k[i>>2]=27468;k[c>>2]=27488;k[e>>2]=27560;Yua(s);Ava(e);vva(c);Qb(P|0)}}else{b=Rb()|0;I=Q;J=b}while(0);zb(A|0);O=I;P=J;k[i>>2]=27468;k[c>>2]=27488;k[e>>2]=27560;Yua(s);Ava(e);vva(c);Qb(P|0)}a=Rb()|0;O=Q;P=a;k[i>>2]=27468;k[c>>2]=27488;k[e>>2]=27560;Yua(s);Ava(e);vva(c);Qb(P|0)}while(0);E=G;F=H;vva(c);Qb(F|0);return +(0.0)}function Rz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;e=r;r=r+48|0;f=e;xp(a,f,d);d=Rqa(24)|0;if(!(+p[f>>3]>=0.0))g=0;else{k[d>>2]=0;g=1}if(!(+p[f+8>>3]>=0.0))h=g;else{k[d+(g<<2)>>2]=1;h=g+1|0}if(!(+p[f+16>>3]>=0.0))i=h;else{k[d+(h<<2)>>2]=2;i=h+1|0}h=k[d>>2]|0;f=d+4|0;g=k[f>>2]|0;if(((h+3-g|0)%3|0|0)==2)j=h;else{k[d>>2]=g;k[f>>2]=h;j=g}g=i*6|0;h=Rqa(g>>>0>536870911?-1:g<<3)|0;if((i|0)<=0){k[b>>2]=h;Tqa(d);r=e;return}g=(i<<1)+-1|0;f=j;j=0;while(1){a=j*3|0;l=(g-j|0)*3|0;m=f*3|0;p[h+(a<<3)>>3]=+p[c+(m<<3)>>3];p[h+(l<<3)>>3]=+p[c+(m+9<<3)>>3];p[h+(a+1<<3)>>3]=+p[c+(m+1<<3)>>3];p[h+(l+1<<3)>>3]=+p[c+(m+10<<3)>>3];p[h+(a+2<<3)>>3]=+p[c+(m+2<<3)>>3];p[h+(l+2<<3)>>3]=+p[c+(m+11<<3)>>3];m=j+1|0;if((m|0)==(i|0))break;f=k[d+(m<<2)>>2]|0;j=m}k[b>>2]=h;Tqa(d);r=e;return}function Sz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;i=e+12|0;j=e;l=oC(k[a+16>>2]|0,d)|0;if(l){m=Qqa(72)|0;B=0;va(493,m|0);n=B;B=0;if(!(n&1)){n=k[(k[m>>2]|0)+28>>2]|0;o=ed[k[(k[a>>2]|0)+160>>2]&511](a,c)|0;Fc[n&1023](m,o);nd[k[(k[l>>2]|0)+48>>2]&1023](l,b,m);Ec[k[(k[m>>2]|0)+4>>2]&1023](m);r=e;return}e=Rb()|0;b=Q;Sqa(m);p=e;q=b;Qb(p|0)}b=g+56|0;e=g+4|0;k[g>>2]=27524;k[b>>2]=27544;B=0;wa(508,g+56|0,e|0);m=B;B=0;if(m&1){m=Rb()|0;s=Q;t=m;vva(b);Qb(t|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[b>>2]=27488;B=0;va(448,e|0);m=B;B=0;do if(m&1){l=Rb()|0;u=Q;v=l}else{k[e>>2]=27560;l=g+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,e|0,f|0);o=B;B=0;if(o&1){o=Rb()|0;n=Q;Yua(f);Yua(l);Ava(e);u=n;v=o;break}Yua(f);B=0;o=Ia(40,g|0,74449,17)|0;n=B;B=0;a:do if((((!(n&1)?(B=0,c=ya(427,d|0)|0,a=B,B=0,!(a&1)):0)?(a=Lta(c)|0,B=0,w=Ia(40,o|0,c|0,a|0)|0,a=B,B=0,!(a&1)):0)?(B=0,a=Ia(40,w|0,74467,14)|0,w=B,B=0,!(w&1)):0)?(B=0,Xa(239,a|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,h|0,74107,73);w=B;B=0;do if(!(w&1)){B=0;eb(502,i|0,121355,13);c=B;B=0;if(c&1){c=Rb()|0;x=Q;Yua(h);y=c;z=x;break}B=0;wa(510,j|0,e|0);x=B;B=0;if(x&1){x=Rb()|0;A=x;C=Q;D=1}else{B=0;ua(163,a|0,h|0,i|0,963,j|0);x=B;B=0;if(x&1)E=1;else{B=0;eb(503,a|0,1240,229);B=0;E=0}x=Rb()|0;c=Q;Yua(j);A=x;C=c;D=E}Yua(i);Yua(h);if(D){y=A;z=C}else{F=A;G=C;break a}}else{c=Rb()|0;y=c;z=Q}while(0);zb(a|0);F=y;G=z}else H=20;while(0);if((H|0)==20){o=Rb()|0;F=o;G=Q}k[g>>2]=27468;k[b>>2]=27488;k[e>>2]=27560;Yua(l);Ava(e);vva(b);p=F;q=G;Qb(p|0)}while(0);s=u;t=v;vva(b);Qb(t|0)}function Tz(a,b){a=a|0;b=b|0;return k[(k[a+20>>2]|0)+(b<<2)>>2]|0}function Uz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;i=XB(a,k[a+44>>2]|0)|0;a:do if((i|0)>0){j=k[a+20>>2]|0;l=0;while(1){if((k[j+(l<<2)>>2]|0)==(b|0)){m=l;break}l=l+1|0;if((l|0)>=(i|0))break a}r=c;return m|0}while(0);m=e+56|0;c=e+4|0;k[e>>2]=27524;k[m>>2]=27544;B=0;wa(508,e+56|0,c|0);i=B;B=0;if(i&1){i=Rb()|0;n=Q;o=i;vva(m);Qb(o|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[m>>2]=27488;B=0;va(448,c|0);i=B;B=0;do if(i&1){b=Rb()|0;p=Q;q=b}else{k[c>>2]=27560;b=e+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,c|0,d|0);a=B;B=0;if(a&1){a=Rb()|0;l=Q;Yua(d);Yua(b);Ava(c);p=l;q=a;break}Yua(d);B=0;a=Ia(40,e|0,74482,43)|0;l=B;B=0;if(!(l&1)?(B=0,Xa(239,a|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,f|0,74107,73);l=B;B=0;do if(!(l&1)){B=0;eb(502,g|0,74526,12);j=B;B=0;if(j&1){j=Rb()|0;s=Q;Yua(f);t=s;u=j;break}B=0;wa(510,h|0,c|0);j=B;B=0;if(j&1){j=Rb()|0;v=Q;w=j;x=1}else{B=0;ua(163,a|0,f|0,g|0,995,h|0);j=B;B=0;if(j&1)y=1;else{B=0;eb(503,a|0,1240,229);B=0;y=0}j=Rb()|0;s=Q;Yua(h);v=s;w=j;x=y}Yua(g);Yua(f);if(x){t=v;u=w}else{z=v;A=w;k[e>>2]=27468;k[m>>2]=27488;k[c>>2]=27560;Yua(b);Ava(c);vva(m);Qb(A|0)}}else{j=Rb()|0;t=Q;u=j}while(0);zb(a|0);z=t;A=u;k[e>>2]=27468;k[m>>2]=27488;k[c>>2]=27560;Yua(b);Ava(c);vva(m);Qb(A|0)}l=Rb()|0;z=Q;A=l;k[e>>2]=27468;k[m>>2]=27488;k[c>>2]=27560;Yua(b);Ava(c);vva(m);Qb(A|0)}while(0);n=p;o=q;vva(m);Qb(o|0);return 0}function Vz(a){a=a|0;return XB(a,k[a+44>>2]|0)|0}function Wz(a,b){a=a|0;b=b|0;return XB(a,b)|0}function Xz(a){a=a|0;return 6}function Yz(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=r;r=r+64|0;e=d+56|0;f=d+8|0;g=d;k[e>>2]=0;rp(a,e,534,943);h=oC(k[a+16>>2]|0,c)|0;c=Qqa(72)|0;B=0;va(493,c|0);a=B;B=0;if(a&1){a=Rb()|0;Sqa(c);Qb(a|0)}Fc[k[(k[c>>2]|0)+28>>2]&1023](c,0);nd[k[(k[h>>2]|0)+48>>2]&1023](h,g,c);p[f>>3]=+p[g>>3];Fc[k[(k[c>>2]|0)+28>>2]&1023](c,1);nd[k[(k[h>>2]|0)+48>>2]&1023](h,g,c);p[f+8>>3]=+p[g>>3];Fc[k[(k[c>>2]|0)+28>>2]&1023](c,2);nd[k[(k[h>>2]|0)+48>>2]&1023](h,g,c);p[f+16>>3]=+p[g>>3];Fc[k[(k[c>>2]|0)+28>>2]&1023](c,3);nd[k[(k[h>>2]|0)+48>>2]&1023](h,g,c);p[f+24>>3]=+p[g>>3];Fc[k[(k[c>>2]|0)+28>>2]&1023](c,4);nd[k[(k[h>>2]|0)+48>>2]&1023](h,g,c);p[f+32>>3]=+p[g>>3];Fc[k[(k[c>>2]|0)+28>>2]&1023](c,5);nd[k[(k[h>>2]|0)+48>>2]&1023](h,g,c);p[f+40>>3]=+p[g>>3];if(k[b>>2]|0){g=k[k[b+4>>2]>>2]|0;Dc[k[(k[g>>2]|0)+16>>2]&255](g,6,k[e>>2]|0,f,0)}Ec[k[(k[c>>2]|0)+4>>2]&1023](c);c=k[e>>2]|0;if(!c){r=d;return}Tqa(c);r=d;return}function Zz(a){a=a|0;return k[(k[a+72>>2]|0)+4>>2]|0}function _z(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0;g=r;r=r+400|0;h=g+376|0;i=g+352|0;j=g+216|0;l=g+200|0;m=g+48|0;n=g+36|0;o=g+64|0;p=g+24|0;q=g+12|0;s=g;if(!(Tp(a,c)|0)){r=g;return}Mp(a,i,d,f);f=(c|0)==215?214:c;c=oC(k[a+16>>2]|0,f)|0;if(!c){a=j+56|0;d=j+4|0;k[j>>2]=27524;k[a>>2]=27544;B=0;wa(508,j+56|0,d|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;v=t;vva(a);Qb(v|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[a>>2]=27488;B=0;va(448,d|0);t=B;B=0;do if(t&1){w=Rb()|0;x=Q;y=w}else{k[d>>2]=27560;w=j+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[j+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,d|0,h|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(h);Yua(w);Ava(d);x=A;y=z;break}Yua(h);B=0;z=Ia(40,j|0,109148,6)|0;A=B;B=0;a:do if((((!(A&1)?(B=0,C=ya(427,f|0)|0,D=B,B=0,!(D&1)):0)?(D=Lta(C)|0,B=0,E=Ia(40,z|0,C|0,D|0)|0,D=B,B=0,!(D&1)):0)?(B=0,D=Ia(40,E|0,109155,21)|0,E=B,B=0,!(E&1)):0)?(B=0,Xa(239,D|0,0)|0,D=B,B=0,!(D&1)):0){D=Ab(20)|0;B=0;eb(502,l|0,74107,73);E=B;B=0;do if(!(E&1)){B=0;eb(502,m|0,74539,26);C=B;B=0;if(C&1){C=Rb()|0;F=Q;Yua(l);G=C;H=F;break}B=0;wa(510,n|0,d|0);F=B;B=0;if(F&1){F=Rb()|0;I=Q;J=F;K=1}else{B=0;ua(163,D|0,l|0,m|0,1090,n|0);F=B;B=0;if(F&1)L=1;else{B=0;eb(503,D|0,1240,229);B=0;L=0}F=Rb()|0;C=Q;Yua(n);I=C;J=F;K=L}Yua(m);Yua(l);if(K){G=J;H=I}else{M=J;N=I;break a}}else{F=Rb()|0;G=F;H=Q}while(0);zb(D|0);M=G;N=H}else O=21;while(0);if((O|0)==21){z=Rb()|0;M=z;N=Q}k[j>>2]=27468;k[a>>2]=27488;k[d>>2]=27560;Yua(w);Ava(d);vva(a);P=N;R=M;Qb(R|0)}while(0);u=x;v=y;vva(a);Qb(v|0)}if((Hc[k[(k[c>>2]|0)+20>>2]&511](c)|0)==559){w$(c,b,i,e);r=g;return}g=o+56|0;e=o+4|0;k[o>>2]=27524;k[g>>2]=27544;B=0;wa(508,o+56|0,e|0);i=B;B=0;if(i&1){i=Rb()|0;S=Q;T=i;vva(g);Qb(T|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[g>>2]=27488;B=0;va(448,e|0);i=B;B=0;do if(i&1){b=Rb()|0;U=Q;V=b}else{k[e>>2]=27560;b=o+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[o+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,e|0,h|0);c=B;B=0;if(c&1){c=Rb()|0;v=Q;Yua(h);Yua(b);Ava(e);U=v;V=c;break}Yua(h);B=0;c=Ia(40,o|0,74566,6)|0;v=B;B=0;b:do if((((!(v&1)?(B=0,a=ya(427,f|0)|0,y=B,B=0,!(y&1)):0)?(y=Lta(a)|0,B=0,x=Ia(40,c|0,a|0,y|0)|0,y=B,B=0,!(y&1)):0)?(B=0,y=Ia(40,x|0,74278,22)|0,x=B,B=0,!(x&1)):0)?(B=0,Xa(239,y|0,0)|0,y=B,B=0,!(y&1)):0){y=Ab(20)|0;B=0;eb(502,p|0,74107,73);x=B;B=0;do if(!(x&1)){B=0;eb(502,q|0,74539,26);a=B;B=0;if(a&1){a=Rb()|0;u=Q;Yua(p);W=a;X=u;break}B=0;wa(510,s|0,e|0);u=B;B=0;if(u&1){u=Rb()|0;Y=1;Z=Q;_=u}else{B=0;ua(163,y|0,p|0,q|0,1094,s|0);u=B;B=0;if(u&1)$=1;else{B=0;eb(503,y|0,1240,229);B=0;$=0}u=Rb()|0;a=Q;Yua(s);Y=$;Z=a;_=u}Yua(q);Yua(p);if(Y){W=_;X=Z}else{aa=Z;ba=_;break b}}else{u=Rb()|0;W=u;X=Q}while(0);zb(y|0);aa=X;ba=W}else O=48;while(0);if((O|0)==48){c=Rb()|0;aa=Q;ba=c}k[o>>2]=27468;k[g>>2]=27488;k[e>>2]=27560;Yua(b);Ava(e);vva(g);P=aa;R=ba;Qb(R|0)}while(0);S=U;T=V;vva(g);Qb(T|0)}function $z(a,b){a=a|0;b=b|0;var c=0;c=Rqa(72)|0;Ko(c,k[a+24>>2]|0,3,0);k[b>>2]=c;return}function aA(a,b){a=a|0;b=b|0;var c=0;c=Rqa(72)|0;Ko(c,(k[a+24>>2]|0)+12|0,3,0);k[b>>2]=c;return}function bA(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0.0,l=0.0,m=0.0,n=0.0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0;b=r;r=r+336|0;c=b+324|0;d=b+320|0;e=b;f=b+184|0;g=b+168|0;h=b+156|0;i=b+144|0;if(!($p(a)|0)){j=0.0;r=b;return +j}if(!(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0)){j=0.0;r=b;return +j}cp(a,d,298);if((k[d>>2]|0)==302){Ko(e,k[a+24>>2]|0,6,0);l=+id[k[(k[a>>2]|0)+136>>2]&63](a,e);m=+p[e>>3];n=+p[e+8>>3];j=l*(+$(+((m-+p[e+48>>3])*(+p[e+32>>3]-n)-(m-+p[e+24>>3])*(+p[e+56>>3]-n)))*.5);r=b;return +j}b=f+56|0;e=f+4|0;k[f>>2]=27524;k[b>>2]=27544;B=0;wa(508,f+56|0,e|0);a=B;B=0;if(a&1){a=Rb()|0;o=Q;q=a;vva(b);Qb(q|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[b>>2]=27488;B=0;va(448,e|0);a=B;B=0;do if(a&1){s=Rb()|0;t=Q;u=s}else{k[e>>2]=27560;s=f+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,e|0,c|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(c);Yua(s);Ava(e);t=w;u=v;break}Yua(c);B=0;v=Ia(40,f|0,144639,5)|0;w=B;B=0;if((((!(w&1)?(B=0,w=ya(427,k[d>>2]|0)|0,x=B,B=0,!(x&1)):0)?(x=Lta(w)|0,B=0,y=Ia(40,v|0,w|0,x|0)|0,x=B,B=0,!(x&1)):0)?(B=0,x=Ia(40,y|0,146481,18)|0,y=B,B=0,!(y&1)):0)?(B=0,Xa(239,x|0,0)|0,x=B,B=0,!(x&1)):0){x=Ab(20)|0;B=0;eb(502,g|0,74107,73);y=B;B=0;do if(!(y&1)){B=0;eb(502,h|0,103033,12);w=B;B=0;if(w&1){w=Rb()|0;v=Q;Yua(g);z=v;A=w;break}B=0;wa(510,i|0,e|0);w=B;B=0;if(w&1){w=Rb()|0;C=Q;D=w;E=1}else{B=0;ua(163,x|0,g|0,h|0,1129,i|0);w=B;B=0;if(w&1)F=1;else{B=0;eb(503,x|0,1240,229);B=0;F=0}w=Rb()|0;v=Q;Yua(i);C=v;D=w;E=F}Yua(h);Yua(g);if(E){z=C;A=D}else{G=C;H=D;k[f>>2]=27468;k[b>>2]=27488;k[e>>2]=27560;Yua(s);Ava(e);vva(b);Qb(H|0)}}else{w=Rb()|0;z=Q;A=w}while(0);zb(x|0);G=z;H=A;k[f>>2]=27468;k[b>>2]=27488;k[e>>2]=27560;Yua(s);Ava(e);vva(b);Qb(H|0)}y=Rb()|0;G=Q;H=y;k[f>>2]=27468;k[b>>2]=27488;k[e>>2]=27560;Yua(s);Ava(e);vva(b);Qb(H|0)}while(0);o=t;q=u;vva(b);Qb(q|0);return +(0.0)}function cA(a){a=a|0;var b=0.0,c=0.0;if(!($p(a)|0)){b=0.0;return +b}c=+WJ(k[a+32>>2]|0,265);b=c*+Zc[k[(k[a>>2]|0)+204>>2]&255](a);return +b}function dA(a){a=a|0;var b=0,c=0,d=0.0,e=0.0,f=0.0,g=0.0;b=r;r=r+144|0;c=b;if(!($p(a)|0)){d=0.0;r=b;return +d}Ko(c,k[a+24>>2]|0,6,0);e=+p[c>>3];f=+p[c+8>>3];g=+$(+((e-+p[c+48>>3])*(+p[c+32>>3]-f)-(e-+p[c+24>>3])*(+p[c+56>>3]-f)))*.5;d=g*((+p[c+88>>3]-+p[c+16>>3]+(+p[c+112>>3]-+p[c+40>>3])+(+p[c+136>>3]-+p[c+64>>3]))*.3333333333333333);r=b;return +d}function eA(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0.0,h=0,i=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0;b=r;r=r+176|0;c=b+160|0;d=b+152|0;e=b+144|0;f=b;if(!($p(a)|0)){g=0.0;r=b;return +g}if(_p(a)|0){g=0.0;r=b;return +g}if(!(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0)){g=0.0;r=b;return +g}h=a+32|0;i=+WJ(k[h>>2]|0,265);j=+WJ(k[h>>2]|0,266);Ko(f,k[a+24>>2]|0,6,0);l=+p[f>>3];m=+p[f+8>>3];n=+$(+((l-+p[f+48>>3])*(+p[f+32>>3]-m)-(l-+p[f+24>>3])*(+p[f+56>>3]-m)))*.5;f=a+16|0;a=oC(k[f>>2]|0,339)|0;h=oC(k[f>>2]|0,64)|0;o=oC(k[f>>2]|0,63)|0;Fc[k[(k[a>>2]|0)+64>>2]&1023](a,d);Fc[k[(k[h>>2]|0)+64>>2]&1023](h,c);Fc[k[(k[o>>2]|0)+64>>2]&1023](o,e);m=+p[d>>3]-+p[c>>3];g=n*(m+ +KY(j/i*+p[e>>3],0.0));r=b;return +g}function fA(a,b,c){a=a|0;b=+b;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;d=r;r=r+208|0;e=d+184|0;f=d+180|0;g=d+176|0;h=d+40|0;i=d+24|0;j=d+12|0;l=d;k[g>>2]=0;m=a+36|0;cO(k[m>>2]|0,f,198);hO(k[m>>2]|0,g,0,176);a:do if((k[f>>2]|0)>0){m=a+16|0;b:do if(c){n=0;while(1){o=k[(k[g>>2]|0)+(n<<2)>>2]|0;switch(o|0){case 215:{if(!(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0))break a;p=oC(k[m>>2]|0,214)|0;break}case 227:{if(!(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0))break a;p=oC(k[m>>2]|0,225)|0;break}default:p=oC(k[m>>2]|0,o)|0}if((Hc[k[(k[p>>2]|0)+20>>2]&511](p)|0)!=559){q=n;break b}F$(p,b);l$(p);s$(p);switch(k[(k[g>>2]|0)+(n<<2)>>2]|0){case 215:{nd[k[(k[a>>2]|0)+220>>2]&1023](a,214,-1);break}case 227:{nd[k[(k[a>>2]|0)+220>>2]&1023](a,225,-1);break}default:{}}n=n+1|0;if((n|0)>=(k[f>>2]|0))break a}}else{n=0;while(1){o=k[(k[g>>2]|0)+(n<<2)>>2]|0;switch(o|0){case 215:{if(!(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0))break a;s=oC(k[m>>2]|0,214)|0;break}case 227:{if(!(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0))break a;s=oC(k[m>>2]|0,225)|0;break}default:s=oC(k[m>>2]|0,o)|0}if((Hc[k[(k[s>>2]|0)+20>>2]&511](s)|0)!=559){q=n;break b}F$(s,b);l$(s);switch(k[(k[g>>2]|0)+(n<<2)>>2]|0){case 215:{nd[k[(k[a>>2]|0)+220>>2]&1023](a,214,-1);break}case 227:{nd[k[(k[a>>2]|0)+220>>2]&1023](a,225,-1);break}default:{}}n=n+1|0;if((n|0)>=(k[f>>2]|0))break a}}while(0);m=h+56|0;n=h+4|0;k[h>>2]=27524;k[m>>2]=27544;B=0;wa(508,h+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;t=Q;u=o;vva(m);Qb(u|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[m>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){v=Rb()|0;w=Q;x=v}else{k[n>>2]=27560;v=h+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[h+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,n|0,e|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(e);Yua(v);Ava(n);w=z;x=y;break}Yua(e);B=0;y=Ia(40,h|0,74566,6)|0;z=B;B=0;if((((!(z&1)?(B=0,z=ya(427,k[(k[g>>2]|0)+(q<<2)>>2]|0)|0,A=B,B=0,!(A&1)):0)?(A=Lta(z)|0,B=0,C=Ia(40,y|0,z|0,A|0)|0,A=B,B=0,!(A&1)):0)?(B=0,A=Ia(40,C|0,74278,22)|0,C=B,B=0,!(C&1)):0)?(B=0,Xa(239,A|0,0)|0,A=B,B=0,!(A&1)):0){A=Ab(20)|0;B=0;eb(502,i|0,74107,73);C=B;B=0;do if(!(C&1)){B=0;eb(502,j|0,74573,18);z=B;B=0;if(z&1){z=Rb()|0;y=Q;Yua(i);D=y;E=z;break}B=0;wa(510,l|0,n|0);z=B;B=0;if(z&1){z=Rb()|0;F=Q;G=z;H=1}else{B=0;ua(163,A|0,i|0,j|0,1227,l|0);z=B;B=0;if(z&1)I=1;else{B=0;eb(503,A|0,1240,229);B=0;I=0}z=Rb()|0;y=Q;Yua(l);F=y;G=z;H=I}Yua(j);Yua(i);if(H){D=F;E=G}else{J=F;K=G;k[h>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(v);Ava(n);vva(m);Qb(K|0)}}else{z=Rb()|0;D=Q;E=z}while(0);zb(A|0);J=D;K=E;k[h>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(v);Ava(n);vva(m);Qb(K|0)}C=Rb()|0;J=Q;K=C;k[h>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(v);Ava(n);vva(m);Qb(K|0)}while(0);t=w;u=x;vva(m);Qb(u|0)}while(0);u=k[g>>2]|0;if(!u){r=d;return}Tqa(u);r=d;return}function gA(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0;d=r;r=r+656|0;e=d+640|0;f=d+144|0;g=d+96|0;h=d+48|0;i=d;j=d+504|0;l=d+488|0;m=d+336|0;n=d+324|0;o=d+352|0;q=d+312|0;s=d+300|0;t=d+288|0;u=h;v=u+48|0;do{k[u>>2]=0;u=u+4|0}while((u|0)<(v|0));if(!(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0)){r=d;return}u=Qqa(16)|0;B=0;ib(285,u|0,353,h|0,738);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Sqa(u);x=w;y=v;Qb(y|0)}v=a+16|0;w=oC(k[v>>2]|0,b)|0;a:do if(w){z=f+88|0;A=f+16|0;C=g+24|0;D=f+112|0;E=f+40|0;F=g+8|0;G=g+32|0;H=f+136|0;I=f+64|0;J=g+16|0;K=g+40|0;L=i+24|0;M=w;N=a;O=0;P=0;b:while(1){do if(!O){if((Hc[k[(k[M>>2]|0)+20>>2]&511](M)|0)==626){R=Qqa(16)|0;B=0;ib(285,R|0,c|0,h|0,738);S=B;B=0;if(S&1){T=R;U=35;break b}V=R;break}if((Hc[k[(k[M>>2]|0)+20>>2]&511](M)|0)==559){R=Qqa(16)|0;B=0;ib(285,R|0,c|0,h|0,738);S=B;B=0;if(S&1){W=R;U=39;break b}V=R;break}if((Hc[k[(k[M>>2]|0)+20>>2]&511](M)|0)!=561){X=M;Y=M;U=44;break b}R=Qqa(16)|0;B=0;Oa(58,R|0,c|0,0.0);S=B;B=0;if(S&1){Z=R;U=43;break b}V=R}else V=P;while(0);Ko(f,k[N+24>>2]|0,6,0);_=+p[z>>3]-+p[A>>3];p[g>>3]=_;p[C>>3]=_;_=+p[D>>3]-+p[E>>3];p[F>>3]=_;p[G>>3]=_;_=+p[H>>3]-+p[I>>3];p[J>>3]=_;p[K>>3]=_;R=Qqa(16)|0;B=0;ib(285,R|0,353,g|0,738);S=B;B=0;if(S&1){$=R;U=77;break}do if((Hc[k[(k[M>>2]|0)+20>>2]&511](M)|0)==626){if((k[M+8>>2]|0)!=736){S=Hc[k[(k[M>>2]|0)+24>>2]&511](M)|0;Fc[k[(k[S>>2]|0)+132>>2]&1023](S,R);aa=S;break}Fc[k[(k[M>>2]|0)+44>>2]&1023](M,L);S=Qqa(16)|0;B=0;ba=ya(k[(k[M>>2]|0)+32>>2]|0,M|0)|0;ca=B;B=0;if(ca&1){da=S;U=78;break b}B=0;ib(285,S|0,ba|0,i|0,738);ba=B;B=0;if(ba&1){da=S;U=78;break b}Fc[k[(k[S>>2]|0)+132>>2]&1023](S,R);aa=S}else{S=Hc[k[(k[M>>2]|0)+24>>2]&511](M)|0;Fc[k[(k[S>>2]|0)+132>>2]&1023](S,R);aa=S}while(0);Xc[k[(k[V>>2]|0)+124>>2]&63](V,aa,1.0);Xc[k[(k[u>>2]|0)+124>>2]&63](u,R,1.0);Ec[k[(k[R>>2]|0)+4>>2]&1023](R);if(aa)Ec[k[(k[aa>>2]|0)+4>>2]&1023](aa);if(Hc[k[(k[N>>2]|0)+252>>2]&511](N)|0){ea=V;U=85;break}N=k[(k[N+72>>2]|0)+4>>2]|0;M=oC(k[N+16>>2]|0,b)|0;if(!M)break a;else{O=O+1|0;P=V}}if((U|0)==35){P=Rb()|0;O=Q;Sqa(T);x=O;y=P;Qb(y|0)}else if((U|0)==39){P=Rb()|0;O=Q;Sqa(W);x=O;y=P;Qb(y|0)}else if((U|0)==43){P=Rb()|0;O=Q;Sqa(Z);x=O;y=P;Qb(y|0)}else if((U|0)==44){P=o+56|0;O=o+4|0;k[o>>2]=27524;k[P>>2]=27544;B=0;wa(508,o+56|0,O|0);M=B;B=0;if(M&1){M=Rb()|0;fa=Q;ga=M;vva(P);Qb(ga|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[P>>2]=27488;B=0;va(448,O|0);M=B;B=0;do if(M&1){N=Rb()|0;ha=Q;ia=N}else{k[O>>2]=27560;N=o+36|0;k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;k[N+12>>2]=0;k[o+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,O|0,e|0);L=B;B=0;if(L&1){L=Rb()|0;K=Q;Yua(e);Yua(N);Ava(O);ha=K;ia=L;break}Yua(e);B=0;L=Ia(40,o|0,74648,7)|0;K=B;B=0;c:do if(((((!(K&1)?(B=0,J=ya(k[(k[Y>>2]|0)+20>>2]|0,X|0)|0,I=B,B=0,!(I&1)):0)?(B=0,I=ya(427,J|0)|0,J=B,B=0,!(J&1)):0)?(J=Lta(I)|0,B=0,H=Ia(40,L|0,I|0,J|0)|0,J=B,B=0,!(J&1)):0)?(B=0,J=Ia(40,H|0,146481,18)|0,H=B,B=0,!(H&1)):0)?(B=0,Xa(239,J|0,0)|0,J=B,B=0,!(J&1)):0){J=Ab(20)|0;B=0;eb(502,q|0,74107,73);H=B;B=0;do if(!(H&1)){B=0;eb(502,s|0,74624,23);I=B;B=0;if(I&1){I=Rb()|0;G=Q;Yua(q);ja=I;ka=G;break}B=0;wa(510,t|0,O|0);G=B;B=0;if(G&1){G=Rb()|0;la=1;ma=Q;na=G}else{B=0;ua(163,J|0,q|0,s|0,1287,t|0);G=B;B=0;if(G&1)oa=1;else{B=0;eb(503,J|0,1240,229);B=0;oa=0}G=Rb()|0;I=Q;Yua(t);la=oa;ma=I;na=G}Yua(s);Yua(q);if(la){ja=na;ka=ma}else{pa=ma;qa=na;break c}}else{G=Rb()|0;ja=G;ka=Q}while(0);zb(J|0);pa=ka;qa=ja}else U=63;while(0);if((U|0)==63){L=Rb()|0;pa=Q;qa=L}k[o>>2]=27468;k[P>>2]=27488;k[O>>2]=27560;Yua(N);Ava(O);vva(P);x=pa;y=qa;Qb(y|0)}while(0);fa=ha;ga=ia;vva(P);Qb(ga|0)}else if((U|0)==77){O=Rb()|0;M=Q;Sqa($);x=M;y=O;Qb(y|0)}else if((U|0)==78){O=Rb()|0;M=Q;Sqa(da);x=M;y=O;Qb(y|0)}else if((U|0)==85){O=ed[k[(k[ea>>2]|0)+152>>2]&511](ea,u)|0;Fc[k[(k[O>>2]|0)+80>>2]&1023](O,c);Ec[k[(k[u>>2]|0)+4>>2]&1023](u);Ec[k[(k[ea>>2]|0)+4>>2]&1023](ea);mC(k[v>>2]|0,O)|0;r=d;return}}while(0);d=j+56|0;v=j+4|0;k[j>>2]=27524;k[d>>2]=27544;B=0;wa(508,j+56|0,v|0);ea=B;B=0;if(ea&1){ea=Rb()|0;ra=Q;sa=ea;vva(d);Qb(sa|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[d>>2]=27488;B=0;va(448,v|0);ea=B;B=0;do if(ea&1){u=Rb()|0;ta=Q;xa=u}else{k[v>>2]=27560;u=j+36|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;k[u+12>>2]=0;k[j+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,v|0,e|0);c=B;B=0;if(c&1){c=Rb()|0;da=Q;Yua(e);Yua(u);Ava(v);ta=da;xa=c;break}Yua(e);B=0;c=Ia(40,j|0,74592,31)|0;da=B;B=0;d:do if(((!(da&1)?(B=0,$=ya(427,b|0)|0,ga=B,B=0,!(ga&1)):0)?(ga=Lta($)|0,B=0,ia=Ia(40,c|0,$|0,ga|0)|0,ga=B,B=0,!(ga&1)):0)?(B=0,Xa(239,ia|0,0)|0,ia=B,B=0,!(ia&1)):0){ia=Ab(20)|0;B=0;eb(502,l|0,74107,73);ga=B;B=0;do if(!(ga&1)){B=0;eb(502,m|0,74624,23);$=B;B=0;if($&1){$=Rb()|0;ha=Q;Yua(l);za=$;Aa=ha;break}B=0;wa(510,n|0,v|0);ha=B;B=0;if(ha&1){ha=Rb()|0;Ba=Q;Ca=ha;Da=1}else{B=0;ua(163,ia|0,l|0,m|0,1276,n|0);ha=B;B=0;if(ha&1)Ea=1;else{B=0;eb(503,ia|0,1240,229);B=0;Ea=0}ha=Rb()|0;$=Q;Yua(n);Ba=$;Ca=ha;Da=Ea}Yua(m);Yua(l);if(Da){za=Ca;Aa=Ba}else{Fa=Ca;Ga=Ba;break d}}else{ha=Rb()|0;za=ha;Aa=Q}while(0);zb(ia|0);Fa=za;Ga=Aa}else U=23;while(0);if((U|0)==23){c=Rb()|0;Fa=c;Ga=Q}k[j>>2]=27468;k[d>>2]=27488;k[v>>2]=27560;Yua(u);Ava(v);vva(d);x=Ga;y=Fa;Qb(y|0)}while(0);ra=ta;sa=xa;vva(d);Qb(sa|0)}function hA(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;j=(c|0)==-1;if(j)if(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0)l=0;else{r=d;return}else if((c|0)==1)if(Hc[k[(k[a>>2]|0)+252>>2]&511](a)|0)l=1;else{r=d;return}else l=0;m=oC(k[a+16>>2]|0,b)|0;if(m){Fc[k[(k[m>>2]|0)+136>>2]&1023](m,c);if(j?Hc[k[(k[a>>2]|0)+252>>2]&511](a)|0:0){r=d;return}if(l?Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0:0){r=d;return}if(!j){if(l)n=a;else{j=a;while(1){c=k[k[j+72>>2]>>2]|0;o=Hc[k[(k[m>>2]|0)+24>>2]&511](m)|0;mC(k[c+16>>2]|0,o)|0;j=c}}do{n=k[k[n+72>>2]>>2]|0;j=Hc[k[(k[m>>2]|0)+24>>2]&511](m)|0;mC(k[n+16>>2]|0,j)|0}while(!(Hc[k[(k[n>>2]|0)+248>>2]&511](n)|0));r=d;return}if(l)p=a;else{l=a;do{l=k[(k[l+72>>2]|0)+4>>2]|0;a=Hc[k[(k[m>>2]|0)+24>>2]&511](m)|0;mC(k[l+16>>2]|0,a)|0}while(!(Hc[k[(k[l>>2]|0)+252>>2]&511](l)|0));r=d;return}while(1){p=k[(k[p+72>>2]|0)+4>>2]|0;l=Hc[k[(k[m>>2]|0)+24>>2]&511](m)|0;mC(k[p+16>>2]|0,l)|0;if(Hc[k[(k[p>>2]|0)+252>>2]&511](p)|0){q=43;break}if(Hc[k[(k[p>>2]|0)+248>>2]&511](p)|0){q=43;break}}if((q|0)==43){r=d;return}}d=f+56|0;q=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,q|0);p=B;B=0;if(p&1){p=Rb()|0;s=Q;t=p;vva(d);Qb(t|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,q|0);p=B;B=0;do if(p&1){m=Rb()|0;u=Q;v=m}else{k[q>>2]=27560;m=f+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,q|0,e|0);l=B;B=0;if(l&1){l=Rb()|0;a=Q;Yua(e);Yua(m);Ava(q);u=a;v=l;break}Yua(e);B=0;l=Ia(40,f|0,74592,31)|0;a=B;B=0;if(((!(a&1)?(B=0,a=ya(427,b|0)|0,n=B,B=0,!(n&1)):0)?(n=Lta(a)|0,B=0,j=Ia(40,l|0,a|0,n|0)|0,n=B,B=0,!(n&1)):0)?(B=0,Xa(239,j|0,0)|0,j=B,B=0,!(j&1)):0){j=Ab(20)|0;B=0;eb(502,g|0,74107,73);n=B;B=0;do if(!(n&1)){B=0;eb(502,h|0,74656,12);a=B;B=0;if(a&1){a=Rb()|0;l=Q;Yua(g);w=a;x=l;break}B=0;wa(510,i|0,q|0);l=B;B=0;if(l&1){l=Rb()|0;y=l;z=Q;A=1}else{B=0;ua(163,j|0,g|0,h|0,1357,i|0);l=B;B=0;if(l&1)C=1;else{B=0;eb(503,j|0,1240,229);B=0;C=0}l=Rb()|0;a=Q;Yua(i);y=l;z=a;A=C}Yua(h);Yua(g);if(A){w=y;x=z}else{D=y;E=z;k[f>>2]=27468;k[d>>2]=27488;k[q>>2]=27560;Yua(m);Ava(q);vva(d);Qb(D|0)}}else{a=Rb()|0;w=a;x=Q}while(0);zb(j|0);D=w;E=x;k[f>>2]=27468;k[d>>2]=27488;k[q>>2]=27560;Yua(m);Ava(q);vva(d);Qb(D|0)}n=Rb()|0;D=n;E=Q;k[f>>2]=27468;k[d>>2]=27488;k[q>>2]=27560;Yua(m);Ava(q);vva(d);Qb(D|0)}while(0);s=u;t=v;vva(d);Qb(t|0)}function iA(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;j=oC(k[a+16>>2]|0,b)|0;if(j){Cc[k[(k[j>>2]|0)+120>>2]&63](j,c);r=d;return}d=f+56|0;j=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,j|0);a=B;B=0;if(a&1){a=Rb()|0;l=Q;m=a;vva(d);Qb(m|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,j|0);a=B;B=0;do if(a&1){n=Rb()|0;o=Q;p=n}else{k[j>>2]=27560;n=f+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,j|0,e|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(e);Yua(n);Ava(j);o=s;p=q;break}Yua(e);B=0;q=Ia(40,f|0,74669,36)|0;s=B;B=0;if(((!(s&1)?(B=0,s=ya(427,b|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,u|0,0)|0,u=B,B=0,!(u&1)):0){u=Ab(20)|0;B=0;eb(502,g|0,74107,73);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,74706,10);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(g);v=q;w=s;break}B=0;wa(510,i|0,j|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,u|0,g|0,h|0,1388,i|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,u|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(i);x=q;y=s;z=A}Yua(h);Yua(g);if(z){v=x;w=y}else{C=x;D=y;k[f>>2]=27468;k[d>>2]=27488;k[j>>2]=27560;Yua(n);Ava(j);vva(d);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(u|0);C=v;D=w;k[f>>2]=27468;k[d>>2]=27488;k[j>>2]=27560;Yua(n);Ava(j);vva(d);Qb(D|0)}t=Rb()|0;C=Q;D=t;k[f>>2]=27468;k[d>>2]=27488;k[j>>2]=27560;Yua(n);Ava(j);vva(d);Qb(D|0)}while(0);l=o;m=p;vva(d);Qb(m|0)}function jA(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0,ke=0,le=0,me=0,ne=0,oe=0,pe=0,qe=0,re=0,se=0,te=0,ue=0,ve=0,we=0,xe=0;d=r;r=r+384|0;e=d+368|0;f=d+344|0;g=d+104|0;h=d+56|0;j=d+8|0;l=d;m=d+380|0;n=d+336|0;o=d+332|0;q=d+328|0;s=d+192|0;t=d+176|0;u=d+164|0;v=d+152|0;k[n>>2]=0;Gka(c,l,106352);zka(c,m,139791);if((i[m>>0]|0)!=0?(Fka(c,o,113066),(i[m>>0]|0)!=0):0){Fka(c,q,113428);w=i[m>>0]|0}else w=0;x=b*6|0;y=k[c+72>>2]|0;k[f>>2]=k[y+(x<<2)>>2];z=f+4|0;k[z>>2]=k[y+((x|1)<<2)>>2];A=f+8|0;k[A>>2]=k[y+(x+2<<2)>>2];C=f+12|0;k[C>>2]=k[y+(x+3<<2)>>2];D=k[y+(x+4<<2)>>2]|0;E=f+16|0;k[E>>2]=D;F=k[y+(x+5<<2)>>2]|0;x=f+20|0;k[x>>2]=F;if(!(w<<24>>24)){G=D;H=F}else{Hka(c,n,0,113102);do if((k[o>>2]|0)>0){w=a+16|0;y=(k[f>>2]|0)+-1|0;I=(k[z>>2]|0)+-1|0;J=g+8|0;K=(k[A>>2]|0)+-1|0;L=g+16|0;M=(k[C>>2]|0)+-1|0;N=g+24|0;O=(k[E>>2]|0)+-1|0;P=g+32|0;R=(k[x>>2]|0)+-1|0;S=g+40|0;T=(k[f>>2]|0)+-1|0;U=(k[z>>2]|0)+-1|0;V=h+8|0;W=(k[A>>2]|0)+-1|0;X=h+16|0;Y=(k[C>>2]|0)+-1|0;Z=h+24|0;_=h+32|0;$=h+40|0;aa=j+8|0;ba=j+16|0;ca=j+24|0;da=k[E>>2]|0;ea=da+-1|0;fa=j+32|0;ga=k[x>>2]|0;ha=ga+-1|0;ia=j+40|0;ja=(k[f>>2]|0)+-1|0;ka=(k[z>>2]|0)+-1|0;la=g+8|0;na=(k[A>>2]|0)+-1|0;oa=g+16|0;pa=(k[C>>2]|0)+-1|0;qa=g+24|0;ra=(k[E>>2]|0)+-1|0;sa=g+32|0;ta=(k[x>>2]|0)+-1|0;xa=g+40|0;za=(k[f>>2]|0)+-1|0;Aa=(k[z>>2]|0)+-1|0;Ba=h+8|0;Ca=(k[A>>2]|0)+-1|0;Da=h+16|0;Ea=(k[C>>2]|0)+-1|0;Fa=h+24|0;Ga=(k[E>>2]|0)+-1|0;Ha=h+32|0;Ja=(k[x>>2]|0)+-1|0;Ka=h+40|0;La=(k[f>>2]|0)+-1|0;Ma=(k[z>>2]|0)+-1|0;Na=j+8|0;Oa=(k[A>>2]|0)+-1|0;Pa=j+16|0;Qa=(k[C>>2]|0)+-1|0;Ra=j+24|0;Sa=k[E>>2]|0;Ua=Sa+-1|0;Va=j+32|0;Wa=k[x>>2]|0;Ya=Wa+-1|0;Za=j+40|0;_a=(k[f>>2]|0)+-1|0;$a=(k[z>>2]|0)+-1|0;ab=g+8|0;bb=(k[A>>2]|0)+-1|0;cb=g+16|0;db=(k[C>>2]|0)+-1|0;fb=g+24|0;gb=(k[E>>2]|0)+-1|0;hb=g+32|0;jb=(k[x>>2]|0)+-1|0;kb=g+40|0;lb=(k[f>>2]|0)+-1|0;mb=(k[z>>2]|0)+-1|0;nb=h+8|0;ob=(k[A>>2]|0)+-1|0;pb=h+16|0;qb=(k[C>>2]|0)+-1|0;rb=h+24|0;sb=(k[E>>2]|0)+-1|0;tb=h+32|0;ub=(k[x>>2]|0)+-1|0;vb=h+40|0;wb=(k[f>>2]|0)+-1|0;xb=(k[z>>2]|0)+-1|0;yb=j+8|0;Bb=(k[A>>2]|0)+-1|0;Cb=j+16|0;Db=(k[C>>2]|0)+-1|0;Eb=j+24|0;Fb=k[E>>2]|0;Gb=Fb+-1|0;Hb=j+32|0;Ib=k[x>>2]|0;Jb=Ib+-1|0;Kb=j+40|0;Lb=(k[f>>2]|0)+-1|0;Mb=(k[z>>2]|0)+-1|0;Nb=g+8|0;Ob=(k[A>>2]|0)+-1|0;Pb=g+16|0;Sb=(k[C>>2]|0)+-1|0;Tb=g+24|0;Ub=(k[E>>2]|0)+-1|0;Vb=g+32|0;Wb=(k[x>>2]|0)+-1|0;Xb=g+40|0;Yb=(k[f>>2]|0)+-1|0;Zb=(k[z>>2]|0)+-1|0;_b=h+8|0;$b=(k[A>>2]|0)+-1|0;ac=h+16|0;bc=(k[C>>2]|0)+-1|0;cc=h+24|0;dc=(k[E>>2]|0)+-1|0;ec=h+32|0;fc=(k[x>>2]|0)+-1|0;gc=h+40|0;hc=(k[f>>2]|0)+-1|0;ic=(k[z>>2]|0)+-1|0;jc=j+8|0;kc=(k[A>>2]|0)+-1|0;lc=j+16|0;mc=(k[C>>2]|0)+-1|0;nc=j+24|0;oc=k[E>>2]|0;pc=oc+-1|0;qc=j+32|0;rc=k[x>>2]|0;sc=rc+-1|0;tc=j+40|0;uc=(k[f>>2]|0)+-1|0;vc=(k[z>>2]|0)+-1|0;wc=g+8|0;xc=(k[A>>2]|0)+-1|0;yc=g+16|0;zc=(k[C>>2]|0)+-1|0;Ac=g+24|0;Bc=(k[E>>2]|0)+-1|0;Cc=g+32|0;Dc=(k[x>>2]|0)+-1|0;Ec=g+40|0;Fc=(k[f>>2]|0)+-1|0;Gc=(k[z>>2]|0)+-1|0;Hc=h+8|0;Ic=(k[A>>2]|0)+-1|0;Jc=h+16|0;Kc=(k[C>>2]|0)+-1|0;Lc=h+24|0;Mc=(k[E>>2]|0)+-1|0;Nc=h+32|0;Oc=(k[x>>2]|0)+-1|0;Pc=h+40|0;Qc=(k[f>>2]|0)+-1|0;Rc=(k[z>>2]|0)+-1|0;Sc=j+8|0;Tc=(k[A>>2]|0)+-1|0;Uc=j+16|0;Vc=(k[C>>2]|0)+-1|0;Wc=j+24|0;Xc=k[E>>2]|0;Yc=Xc+-1|0;Zc=j+32|0;_c=k[x>>2]|0;$c=_c+-1|0;ad=j+40|0;bd=(k[f>>2]|0)+-1|0;cd=(k[z>>2]|0)+-1|0;dd=g+8|0;ed=(k[A>>2]|0)+-1|0;fd=g+16|0;gd=(k[C>>2]|0)+-1|0;hd=g+24|0;id=(k[E>>2]|0)+-1|0;jd=g+32|0;kd=(k[x>>2]|0)+-1|0;ld=g+40|0;md=(k[f>>2]|0)+-1|0;nd=(k[z>>2]|0)+-1|0;od=h+8|0;pd=(k[A>>2]|0)+-1|0;qd=h+16|0;rd=(k[C>>2]|0)+-1|0;sd=h+24|0;td=(k[E>>2]|0)+-1|0;ud=h+32|0;vd=(k[x>>2]|0)+-1|0;wd=h+40|0;xd=(k[f>>2]|0)+-1|0;yd=(k[z>>2]|0)+-1|0;zd=j+8|0;Ad=(k[A>>2]|0)+-1|0;Bd=j+16|0;Cd=(k[C>>2]|0)+-1|0;Dd=j+24|0;Ed=k[E>>2]|0;Fd=Ed+-1|0;Gd=j+32|0;Hd=k[x>>2]|0;Id=Hd+-1|0;Jd=j+40|0;Kd=F;Ld=D;Md=0;a:while(1){Nd=zY(k[(k[n>>2]|0)+(Md<<2)>>2]|0,1)|0;switch(Nd|0){case 36:{if(!(Jka(c,126035)|0)){Od=Kd;Pd=Ld}else{Qd=(Jka(c,126035)|0)+(y<<3)|0;p[g>>3]=+p[Qd>>3];Qd=(Jka(c,126035)|0)+(I<<3)|0;p[J>>3]=+p[Qd>>3];Qd=(Jka(c,126035)|0)+(K<<3)|0;p[L>>3]=+p[Qd>>3];Qd=(Jka(c,126035)|0)+(M<<3)|0;p[N>>3]=+p[Qd>>3];Qd=(Jka(c,126035)|0)+(O<<3)|0;p[P>>3]=+p[Qd>>3];Qd=(Jka(c,126035)|0)+(R<<3)|0;p[S>>3]=+p[Qd>>3];Qd=(ma(T,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113372)|0)+(Qd<<3)|0;p[h>>3]=+p[Rd>>3]/+p[l>>3];Rd=(ma(U,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113372)|0)+(Rd<<3)|0;p[V>>3]=+p[Qd>>3]/+p[l>>3];Qd=(ma(W,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113372)|0)+(Qd<<3)|0;p[X>>3]=+p[Rd>>3]/+p[l>>3];Rd=(ma(Y,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113372)|0)+(Rd<<3)|0;p[Z>>3]=+p[Qd>>3]/+p[l>>3];Qd=(ma(O,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113372)|0)+(Qd<<3)|0;p[_>>3]=+p[Rd>>3]/+p[l>>3];Rd=(ma(R,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113372)|0)+(Rd<<3)|0;p[$>>3]=+p[Qd>>3]/+p[l>>3];Qd=(ma(T,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113400)|0)+(Qd<<3)|0;p[j>>3]=+p[Rd>>3]/+p[l>>3];Rd=(ma(U,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113400)|0)+(Rd<<3)|0;p[aa>>3]=+p[Qd>>3]/+p[l>>3];Qd=(ma(W,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113400)|0)+(Qd<<3)|0;p[ba>>3]=+p[Rd>>3]/+p[l>>3];Rd=(ma(Y,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113400)|0)+(Rd<<3)|0;p[ca>>3]=+p[Qd>>3]/+p[l>>3];Qd=(ma(ea,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113400)|0)+(Qd<<3)|0;p[fa>>3]=+p[Rd>>3]/+p[l>>3];Rd=(ma(ha,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113400)|0)+(Rd<<3)|0;p[ia>>3]=+p[Qd>>3]/+p[l>>3];Qd=k[w>>2]|0;Rd=Qqa(32)|0;B=0;Ta(31,Rd|0,36,626,g|0,h|0,j|0,Md+1|0);Sd=B;B=0;if(Sd&1){Td=Rd;Ud=13;break a}mC(Qd,Rd)|0;Od=ga;Pd=da}break}case 674:{if(!(Jka(c,135923)|0)){Od=Kd;Pd=Ld}else{Rd=(Jka(c,135923)|0)+(ja<<3)|0;p[g>>3]=+p[Rd>>3];Rd=(Jka(c,135923)|0)+(ka<<3)|0;p[la>>3]=+p[Rd>>3];Rd=(Jka(c,135923)|0)+(na<<3)|0;p[oa>>3]=+p[Rd>>3];Rd=(Jka(c,135923)|0)+(pa<<3)|0;p[qa>>3]=+p[Rd>>3];Rd=(Jka(c,135923)|0)+(ra<<3)|0;p[sa>>3]=+p[Rd>>3];Rd=(Jka(c,135923)|0)+(ta<<3)|0;p[xa>>3]=+p[Rd>>3];Rd=(ma(za,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113372)|0)+(Rd<<3)|0;p[h>>3]=+p[Qd>>3]/+p[l>>3];Qd=(ma(Aa,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113372)|0)+(Qd<<3)|0;p[Ba>>3]=+p[Rd>>3]/+p[l>>3];Rd=(ma(Ca,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113372)|0)+(Rd<<3)|0;p[Da>>3]=+p[Qd>>3]/+p[l>>3];Qd=(ma(Ea,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113372)|0)+(Qd<<3)|0;p[Fa>>3]=+p[Rd>>3]/+p[l>>3];Rd=(ma(Ga,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113372)|0)+(Rd<<3)|0;p[Ha>>3]=+p[Qd>>3]/+p[l>>3];Qd=(ma(Ja,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113372)|0)+(Qd<<3)|0;p[Ka>>3]=+p[Rd>>3]/+p[l>>3];Rd=(ma(La,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113400)|0)+(Rd<<3)|0;p[j>>3]=+p[Qd>>3]/+p[l>>3];Qd=(ma(Ma,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113400)|0)+(Qd<<3)|0;p[Na>>3]=+p[Rd>>3]/+p[l>>3];Rd=(ma(Oa,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113400)|0)+(Rd<<3)|0;p[Pa>>3]=+p[Qd>>3]/+p[l>>3];Qd=(ma(Qa,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113400)|0)+(Qd<<3)|0;p[Ra>>3]=+p[Rd>>3]/+p[l>>3];Rd=(ma(Ua,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113400)|0)+(Rd<<3)|0;p[Va>>3]=+p[Qd>>3]/+p[l>>3];Qd=(ma(Ya,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113400)|0)+(Qd<<3)|0;p[Za>>3]=+p[Rd>>3]/+p[l>>3];Rd=k[w>>2]|0;Qd=Qqa(32)|0;B=0;Ta(31,Qd|0,674,626,g|0,h|0,j|0,Md+1|0);Sd=B;B=0;if(Sd&1){Vd=Qd;Ud=17;break a}mC(Rd,Qd)|0;Od=Wa;Pd=Sa}break}case 677:{if(!(Jka(c,135944)|0)){Od=Kd;Pd=Ld}else{Qd=(Jka(c,135944)|0)+(_a<<3)|0;p[g>>3]=+p[Qd>>3];Qd=(Jka(c,135944)|0)+($a<<3)|0;p[ab>>3]=+p[Qd>>3];Qd=(Jka(c,135944)|0)+(bb<<3)|0;p[cb>>3]=+p[Qd>>3];Qd=(Jka(c,135944)|0)+(db<<3)|0;p[fb>>3]=+p[Qd>>3];Qd=(Jka(c,135944)|0)+(gb<<3)|0;p[hb>>3]=+p[Qd>>3];Qd=(Jka(c,135944)|0)+(jb<<3)|0;p[kb>>3]=+p[Qd>>3];Qd=(ma(lb,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113372)|0)+(Qd<<3)|0;p[h>>3]=+p[Rd>>3]/+p[l>>3];Rd=(ma(mb,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113372)|0)+(Rd<<3)|0;p[nb>>3]=+p[Qd>>3]/+p[l>>3];Qd=(ma(ob,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113372)|0)+(Qd<<3)|0;p[pb>>3]=+p[Rd>>3]/+p[l>>3];Rd=(ma(qb,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113372)|0)+(Rd<<3)|0;p[rb>>3]=+p[Qd>>3]/+p[l>>3];Qd=(ma(sb,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113372)|0)+(Qd<<3)|0;p[tb>>3]=+p[Rd>>3]/+p[l>>3];Rd=(ma(ub,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113372)|0)+(Rd<<3)|0;p[vb>>3]=+p[Qd>>3]/+p[l>>3];Qd=(ma(wb,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113400)|0)+(Qd<<3)|0;p[j>>3]=+p[Rd>>3]/+p[l>>3];Rd=(ma(xb,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113400)|0)+(Rd<<3)|0;p[yb>>3]=+p[Qd>>3]/+p[l>>3];Qd=(ma(Bb,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113400)|0)+(Qd<<3)|0;p[Cb>>3]=+p[Rd>>3]/+p[l>>3];Rd=(ma(Db,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113400)|0)+(Rd<<3)|0;p[Eb>>3]=+p[Qd>>3]/+p[l>>3];Qd=(ma(Gb,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113400)|0)+(Qd<<3)|0;p[Hb>>3]=+p[Rd>>3]/+p[l>>3];Rd=(ma(Jb,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113400)|0)+(Rd<<3)|0;p[Kb>>3]=+p[Qd>>3]/+p[l>>3];Qd=k[w>>2]|0;Rd=Qqa(32)|0;B=0;Ta(31,Rd|0,677,626,g|0,h|0,j|0,Md+1|0);Sd=B;B=0;if(Sd&1){Wd=Rd;Ud=21;break a}mC(Qd,Rd)|0;Od=Ib;Pd=Fb}break}case 105:{if(!(Jka(c,135172)|0)){Od=Kd;Pd=Ld}else{Rd=(Jka(c,135172)|0)+(Lb<<3)|0;p[g>>3]=+p[Rd>>3];Rd=(Jka(c,135172)|0)+(Mb<<3)|0;p[Nb>>3]=+p[Rd>>3];Rd=(Jka(c,135172)|0)+(Ob<<3)|0;p[Pb>>3]=+p[Rd>>3];Rd=(Jka(c,135172)|0)+(Sb<<3)|0;p[Tb>>3]=+p[Rd>>3];Rd=(Jka(c,135172)|0)+(Ub<<3)|0;p[Vb>>3]=+p[Rd>>3];Rd=(Jka(c,135172)|0)+(Wb<<3)|0;p[Xb>>3]=+p[Rd>>3];Rd=(ma(Yb,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113372)|0)+(Rd<<3)|0;p[h>>3]=+p[Qd>>3];Qd=(ma(Zb,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113372)|0)+(Qd<<3)|0;p[_b>>3]=+p[Rd>>3];Rd=(ma($b,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113372)|0)+(Rd<<3)|0;p[ac>>3]=+p[Qd>>3];Qd=(ma(bc,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113372)|0)+(Qd<<3)|0;p[cc>>3]=+p[Rd>>3];Rd=(ma(dc,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113372)|0)+(Rd<<3)|0;p[ec>>3]=+p[Qd>>3];Qd=(ma(fc,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113372)|0)+(Qd<<3)|0;p[gc>>3]=+p[Rd>>3];Rd=(ma(hc,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113400)|0)+(Rd<<3)|0;p[j>>3]=+p[Qd>>3];Qd=(ma(ic,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113400)|0)+(Qd<<3)|0;p[jc>>3]=+p[Rd>>3];Rd=(ma(kc,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113400)|0)+(Rd<<3)|0;p[lc>>3]=+p[Qd>>3];Qd=(ma(mc,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113400)|0)+(Qd<<3)|0;p[nc>>3]=+p[Rd>>3];Rd=(ma(pc,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113400)|0)+(Rd<<3)|0;p[qc>>3]=+p[Qd>>3];Qd=(ma(sc,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113400)|0)+(Qd<<3)|0;p[tc>>3]=+p[Rd>>3];Rd=k[w>>2]|0;Qd=Qqa(32)|0;B=0;Ta(31,Qd|0,105,626,g|0,h|0,j|0,Md+1|0);Sd=B;B=0;if(Sd&1){Xd=Qd;Ud=25;break a}mC(Rd,Qd)|0;Od=rc;Pd=oc}break}case 215:{if(!(Jka(c,134991)|0)){Od=Kd;Pd=Ld}else{Qd=(Jka(c,134991)|0)+(uc<<3)|0;p[g>>3]=+p[Qd>>3];Qd=(Jka(c,134991)|0)+(vc<<3)|0;p[wc>>3]=+p[Qd>>3];Qd=(Jka(c,134991)|0)+(xc<<3)|0;p[yc>>3]=+p[Qd>>3];Qd=(Jka(c,134991)|0)+(zc<<3)|0;p[Ac>>3]=+p[Qd>>3];Qd=(Jka(c,134991)|0)+(Bc<<3)|0;p[Cc>>3]=+p[Qd>>3];Qd=(Jka(c,134991)|0)+(Dc<<3)|0;p[Ec>>3]=+p[Qd>>3];Qd=(ma(Fc,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113372)|0)+(Qd<<3)|0;p[h>>3]=+p[Rd>>3];Rd=(ma(Gc,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113372)|0)+(Rd<<3)|0;p[Hc>>3]=+p[Qd>>3];Qd=(ma(Ic,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113372)|0)+(Qd<<3)|0;p[Jc>>3]=+p[Rd>>3];Rd=(ma(Kc,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113372)|0)+(Rd<<3)|0;p[Lc>>3]=+p[Qd>>3];Qd=(ma(Mc,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113372)|0)+(Qd<<3)|0;p[Nc>>3]=+p[Rd>>3];Rd=(ma(Oc,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113372)|0)+(Rd<<3)|0;p[Pc>>3]=+p[Qd>>3];Qd=(ma(Qc,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113400)|0)+(Qd<<3)|0;p[j>>3]=+p[Rd>>3];Rd=(ma(Rc,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113400)|0)+(Rd<<3)|0;p[Sc>>3]=+p[Qd>>3];Qd=(ma(Tc,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113400)|0)+(Qd<<3)|0;p[Uc>>3]=+p[Rd>>3];Rd=(ma(Vc,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113400)|0)+(Rd<<3)|0;p[Wc>>3]=+p[Qd>>3];Qd=(ma(Yc,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113400)|0)+(Qd<<3)|0;p[Zc>>3]=+p[Rd>>3];Rd=(ma($c,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113400)|0)+(Rd<<3)|0;p[ad>>3]=+p[Qd>>3];Qd=k[w>>2]|0;Rd=Qqa(32)|0;B=0;Ta(31,Rd|0,214,626,g|0,h|0,j|0,Md+1|0);Sd=B;B=0;if(Sd&1){Yd=Rd;Ud=29;break a}mC(Qd,Rd)|0;Od=_c;Pd=Xc}break}case 227:{if(!(Jka(c,126277)|0)){Od=Kd;Pd=Ld}else{Rd=(Jka(c,126277)|0)+(bd<<3)|0;p[g>>3]=+p[Rd>>3];Rd=(Jka(c,126277)|0)+(cd<<3)|0;p[dd>>3]=+p[Rd>>3];Rd=(Jka(c,126277)|0)+(ed<<3)|0;p[fd>>3]=+p[Rd>>3];Rd=(Jka(c,126277)|0)+(gd<<3)|0;p[hd>>3]=+p[Rd>>3];Rd=(Jka(c,126277)|0)+(id<<3)|0;p[jd>>3]=+p[Rd>>3];Rd=(Jka(c,126277)|0)+(kd<<3)|0;p[ld>>3]=+p[Rd>>3];Rd=(ma(md,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113372)|0)+(Rd<<3)|0;p[h>>3]=+p[Qd>>3];Qd=(ma(nd,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113372)|0)+(Qd<<3)|0;p[od>>3]=+p[Rd>>3];Rd=(ma(pd,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113372)|0)+(Rd<<3)|0;p[qd>>3]=+p[Qd>>3];Qd=(ma(rd,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113372)|0)+(Qd<<3)|0;p[sd>>3]=+p[Rd>>3];Rd=(ma(td,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113372)|0)+(Rd<<3)|0;p[ud>>3]=+p[Qd>>3];Qd=(ma(vd,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113372)|0)+(Qd<<3)|0;p[wd>>3]=+p[Rd>>3];Rd=(ma(xd,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113400)|0)+(Rd<<3)|0;p[j>>3]=+p[Qd>>3];Qd=(ma(yd,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113400)|0)+(Qd<<3)|0;p[zd>>3]=+p[Rd>>3];Rd=(ma(Ad,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113400)|0)+(Rd<<3)|0;p[Bd>>3]=+p[Qd>>3];Qd=(ma(Cd,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113400)|0)+(Qd<<3)|0;p[Dd>>3]=+p[Rd>>3];Rd=(ma(Fd,k[o>>2]|0)|0)+Md|0;Qd=(Jka(c,113400)|0)+(Rd<<3)|0;p[Gd>>3]=+p[Qd>>3];Qd=(ma(Id,k[o>>2]|0)|0)+Md|0;Rd=(Jka(c,113400)|0)+(Qd<<3)|0;p[Jd>>3]=+p[Rd>>3];Rd=k[w>>2]|0;Qd=Qqa(32)|0;B=0;Ta(31,Qd|0,225,626,g|0,h|0,j|0,Md+1|0);Sd=B;B=0;if(Sd&1){Zd=Qd;Ud=33;break a}mC(Rd,Qd)|0;Od=Hd;Pd=Ed}break}default:{_d=Nd;Ud=34;break a}}Md=Md+1|0;Nd=k[o>>2]|0;if((Md|0)>=(Nd|0)){$d=Od;ae=Pd;be=Nd;Ud=8;break}else{Kd=Od;Ld=Pd}}if((Ud|0)==8){Ld=k[n>>2]|0;if((be|0)>0){ce=Ld;de=be;ee=0}else{fe=Ld;ge=ae;he=$d;break}while(1){Ld=ce+(ee<<2)|0;Kd=k[Ld>>2]|0;if(!Kd)ie=de;else{Tqa(Kd);ie=k[o>>2]|0}k[Ld>>2]=0;ee=ee+1|0;Ld=k[n>>2]|0;if((ee|0)>=(ie|0)){fe=Ld;ge=ae;he=$d;break}else{ce=Ld;de=ie}}}else if((Ud|0)==13){Ld=Rb()|0;Kd=Q;Sqa(Td);je=Kd;ke=Ld;Qb(ke|0)}else if((Ud|0)==17){Ld=Rb()|0;Kd=Q;Sqa(Vd);je=Kd;ke=Ld;Qb(ke|0)}else if((Ud|0)==21){Ld=Rb()|0;Kd=Q;Sqa(Wd);je=Kd;ke=Ld;Qb(ke|0)}else if((Ud|0)==25){Ld=Rb()|0;Kd=Q;Sqa(Xd);je=Kd;ke=Ld;Qb(ke|0)}else if((Ud|0)==29){Ld=Rb()|0;Kd=Q;Sqa(Yd);je=Kd;ke=Ld;Qb(ke|0)}else if((Ud|0)==33){Ld=Rb()|0;Kd=Q;Sqa(Zd);je=Kd;ke=Ld;Qb(ke|0)}else if((Ud|0)==34){Ld=s+56|0;Kd=s+4|0;k[s>>2]=27524;k[Ld>>2]=27544;B=0;wa(508,s+56|0,Kd|0);Md=B;B=0;if(Md&1){Md=Rb()|0;le=Q;me=Md;vva(Ld);Qb(me|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[Ld>>2]=27488;B=0;va(448,Kd|0);Md=B;B=0;do if(Md&1){Ed=Rb()|0;ne=Q;oe=Ed}else{k[Kd>>2]=27560;Ed=s+36|0;k[Ed>>2]=0;k[Ed+4>>2]=0;k[Ed+8>>2]=0;k[Ed+12>>2]=0;k[s+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,Kd|0,e|0);Hd=B;B=0;if(Hd&1){Hd=Rb()|0;w=Q;Yua(e);Yua(Ed);Ava(Kd);ne=w;oe=Hd;break}Yua(e);B=0;Hd=Ia(40,s|0,125582,8)|0;w=B;B=0;b:do if((((!(w&1)?(B=0,Jd=ya(427,_d|0)|0,Id=B,B=0,!(Id&1)):0)?(Id=Lta(Jd)|0,B=0,Gd=Ia(40,Hd|0,Jd|0,Id|0)|0,Id=B,B=0,!(Id&1)):0)?(B=0,Id=Ia(40,Gd|0,127493,20)|0,Gd=B,B=0,!(Gd&1)):0)?(B=0,Xa(239,Id|0,0)|0,Id=B,B=0,!(Id&1)):0){Id=Ab(20)|0;B=0;eb(502,t|0,74107,73);Gd=B;B=0;do if(!(Gd&1)){B=0;eb(502,u|0,144327,22);Jd=B;B=0;if(Jd&1){Jd=Rb()|0;Fd=Q;Yua(t);pe=Fd;qe=Jd;break}B=0;wa(510,v|0,Kd|0);Jd=B;B=0;if(Jd&1){Jd=Rb()|0;re=Q;se=Jd;te=1}else{B=0;ua(163,Id|0,t|0,u|0,1476,v|0);Jd=B;B=0;if(Jd&1)ue=1;else{B=0;eb(503,Id|0,1240,229);B=0;ue=0}Jd=Rb()|0;Fd=Q;Yua(v);re=Fd;se=Jd;te=ue}Yua(u);Yua(t);if(te){pe=re;qe=se}else{ve=re;we=se;break b}}else{Jd=Rb()|0;pe=Q;qe=Jd}while(0);zb(Id|0);ve=pe;we=qe}else Ud=52;while(0);if((Ud|0)==52){Hd=Rb()|0;ve=Q;we=Hd}k[s>>2]=27468;k[Ld>>2]=27488;k[Kd>>2]=27560;Yua(Ed);Ava(Kd);vva(Ld);je=ve;ke=we;Qb(ke|0)}while(0);le=ne;me=oe;vva(Ld);Qb(me|0)}}else{fe=k[n>>2]|0;ge=D;he=F}while(0);if(fe)Tqa(fe);k[n>>2]=0;G=ge;H=he}do if(Jka(c,129145)|0){he=k[a+16>>2]|0;ge=Qqa(12)|0;B=0;n=Xa(246,c|0,129145)|0;fe=B;B=0;if(!(fe&1)?(B=0,eb(508,ge|0,533,~~+p[n+(b<<3)>>3]|0),n=B,B=0,!(n&1)):0){mC(he,ge)|0;break}he=Rb()|0;n=Q;Sqa(ge);je=n;ke=he;Qb(ke|0)}while(0);if(!(i[m>>0]|0)){r=d;return}if(!(Jka(c,113331)|0)){r=d;return}m=Qqa(20)|0;B=0;wa(516,m|0,179);b=B;B=0;if(b&1){b=Rb()|0;he=Q;Sqa(m);je=he;ke=b;Qb(ke|0)}b=k[q>>2]|0;c:do if((b|0)>0){he=(k[f>>2]|0)+-1|0;n=(k[z>>2]|0)+-1|0;ge=g+8|0;fe=(k[A>>2]|0)+-1|0;F=g+16|0;D=(k[C>>2]|0)+-1|0;me=g+24|0;oe=G+-1|0;ne=g+32|0;le=H+-1|0;we=g+40|0;ve=b;s=0;while(1){Ud=(ma(he,ve)|0)+s|0;qe=(Jka(c,113331)|0)+(Ud<<3)|0;p[g>>3]=+p[qe>>3];qe=(ma(n,k[q>>2]|0)|0)+s|0;Ud=(Jka(c,113331)|0)+(qe<<3)|0;p[ge>>3]=+p[Ud>>3];Ud=(ma(fe,k[q>>2]|0)|0)+s|0;qe=(Jka(c,113331)|0)+(Ud<<3)|0;p[F>>3]=+p[qe>>3];qe=(ma(D,k[q>>2]|0)|0)+s|0;Ud=(Jka(c,113331)|0)+(qe<<3)|0;p[me>>3]=+p[Ud>>3];Ud=(ma(oe,k[q>>2]|0)|0)+s|0;qe=(Jka(c,113331)|0)+(Ud<<3)|0;p[ne>>3]=+p[qe>>3];qe=(ma(le,k[q>>2]|0)|0)+s|0;Ud=(Jka(c,113331)|0)+(qe<<3)|0;p[we>>3]=+p[Ud>>3];Ud=Qqa(16)|0;B=0;ib(285,Ud|0,179,g|0,738);qe=B;B=0;if(qe&1){xe=Ud;break}qe=(Jka(c,113303)|0)+(s<<3)|0;XH(m,Ud,~~+p[qe>>3]);s=s+1|0;ve=k[q>>2]|0;if((s|0)>=(ve|0))break c}ve=Rb()|0;s=Q;Sqa(xe);je=s;ke=ve;Qb(ke|0)}while(0);mC(k[a+16>>2]|0,m)|0;r=d;return}function kA(a,b,c){a=a|0;b=b|0;c=c|0;jA(a+-4|0,b,c);return}function lA(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0.0,x=0.0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0;d=r;r=r+368|0;e=d+356|0;f=d+352|0;g=d+216|0;h=d+200|0;i=d+48|0;j=d+36|0;l=d+64|0;m=d+24|0;n=d+12|0;o=d;k[f>>2]=0;q=XB(a,k[a+44>>2]|0)|0;rp(a,f,534,943);s=Rqa(q>>>0>536870911?-1:q<<3)|0;a:do if((q|0)>0){u=k[f>>2]|0;v=0;while(1){w=+p[b+(k[u+(v<<2)>>2]<<3)>>3];p[s+(v<<3)>>3]=w;x=+$(+w);p[t>>3]=x;y=k[t>>2]|0;z=k[t+4>>2]|0;if(z>>>0>2146435072|(z|0)==2146435072&y>>>0>0){A=6;break}v=v+1|0;if((y|0)==0&(z|0)==2146435072){A=30;break}if((v|0)>=(q|0))break a}if((A|0)==6){v=g+56|0;u=g+4|0;k[g>>2]=27524;k[v>>2]=27544;B=0;wa(508,g+56|0,u|0);z=B;B=0;if(z&1){z=Rb()|0;C=Q;D=z;vva(v);Qb(D|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[v>>2]=27488;B=0;va(448,u|0);z=B;B=0;do if(z&1){y=Rb()|0;E=Q;F=y}else{k[u>>2]=27560;y=g+36|0;k[y>>2]=0;k[y+4>>2]=0;k[y+8>>2]=0;k[y+12>>2]=0;k[g+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,u|0,e|0);G=B;B=0;if(G&1){G=Rb()|0;H=Q;Yua(e);Yua(y);Ava(u);E=H;F=G;break}Yua(e);B=0;G=Ia(40,g|0,135564,28)|0;H=B;B=0;b:do if(!(H&1)?(B=0,Xa(239,G|0,0)|0,I=B,B=0,!(I&1)):0){I=Ab(20)|0;B=0;eb(502,h|0,74107,73);J=B;B=0;do if(!(J&1)){B=0;eb(502,i|0,74717,29);K=B;B=0;if(K&1){K=Rb()|0;L=Q;Yua(h);M=K;N=L;break}B=0;wa(510,j|0,u|0);L=B;B=0;if(L&1){L=Rb()|0;O=Q;P=L;R=1}else{B=0;ua(163,I|0,h|0,i|0,1518,j|0);L=B;B=0;if(L&1)S=1;else{B=0;eb(503,I|0,1240,229);B=0;S=0}L=Rb()|0;K=Q;Yua(j);O=K;P=L;R=S}Yua(i);Yua(h);if(R){M=P;N=O}else{T=P;U=O;break b}}else{L=Rb()|0;M=L;N=Q}while(0);zb(I|0);T=M;U=N}else A=21;while(0);if((A|0)==21){G=Rb()|0;T=G;U=Q}k[g>>2]=27468;k[v>>2]=27488;k[u>>2]=27560;Yua(y);Ava(u);vva(v);V=U;W=T;Qb(W|0)}while(0);C=E;D=F;vva(v);Qb(D|0)}else if((A|0)==30){u=l+56|0;z=l+4|0;k[l>>2]=27524;k[u>>2]=27544;B=0;wa(508,l+56|0,z|0);G=B;B=0;if(G&1){G=Rb()|0;X=Q;Y=G;vva(u);Qb(Y|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[u>>2]=27488;B=0;va(448,z|0);G=B;B=0;do if(G&1){H=Rb()|0;Z=Q;_=H}else{k[z>>2]=27560;H=l+36|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;k[H+12>>2]=0;k[l+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,z|0,e|0);J=B;B=0;if(J&1){J=Rb()|0;L=Q;Yua(e);Yua(H);Ava(z);Z=L;_=J;break}Yua(e);B=0;J=Ia(40,l|0,135593,28)|0;L=B;B=0;c:do if(!(L&1)?(B=0,Xa(239,J|0,0)|0,K=B,B=0,!(K&1)):0){K=Ab(20)|0;B=0;eb(502,m|0,74107,73);aa=B;B=0;do if(!(aa&1)){B=0;eb(502,n|0,74717,29);ba=B;B=0;if(ba&1){ba=Rb()|0;ca=Q;Yua(m);da=ba;ea=ca;break}B=0;wa(510,o|0,z|0);ca=B;B=0;if(ca&1){ca=Rb()|0;fa=1;ga=Q;ha=ca}else{B=0;ua(163,K|0,m|0,n|0,1519,o|0);ca=B;B=0;if(ca&1)ia=1;else{B=0;eb(503,K|0,1240,229);B=0;ia=0}ca=Rb()|0;ba=Q;Yua(o);fa=ia;ga=ba;ha=ca}Yua(n);Yua(m);if(fa){da=ha;ea=ga}else{ja=ga;ka=ha;break c}}else{ca=Rb()|0;da=ca;ea=Q}while(0);zb(K|0);ja=ea;ka=da}else A=45;while(0);if((A|0)==45){J=Rb()|0;ja=Q;ka=J}k[l>>2]=27468;k[u>>2]=27488;k[z>>2]=27560;Yua(H);Ava(z);vva(u);V=ja;W=ka;Qb(W|0)}while(0);X=Z;Y=_;vva(u);Qb(Y|0)}}while(0);Y=k[a+16>>2]|0;a=Qqa(16)|0;B=0;ib(285,a|0,c|0,s|0,738);c=B;B=0;if(c&1){c=Rb()|0;_=Q;Sqa(a);V=_;W=c;Qb(W|0)}mC(Y,a)|0;Tqa(s);s=k[f>>2]|0;if(!s){r=d;return}Tqa(s);r=d;return}function mA(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0;d=r;r=r+416|0;e=d+404|0;f=d;g=d+400|0;h=d+264|0;i=d+248|0;j=d+96|0;l=d+84|0;m=d+112|0;n=d+72|0;o=d+60|0;q=d+48|0;k[g>>2]=0;if(!(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0)){r=d;return}rp(a,g,534,943);s=k[g>>2]|0;u=+p[b+(k[s>>2]<<3)>>3];p[f>>3]=u;p[f+24>>3]=u;v=+$(+u);p[t>>3]=v;w=k[t>>2]|0;x=k[t+4>>2]|0;do if(!(x>>>0>2146435072|(x|0)==2146435072&w>>>0>0)){if(!((w|0)==0&(x|0)==2146435072)){v=+p[b+(k[s+4>>2]<<3)>>3];p[f+8>>3]=v;p[f+32>>3]=v;u=+$(+v);p[t>>3]=u;y=k[t>>2]|0;z=k[t+4>>2]|0;if(z>>>0>2146435072|(z|0)==2146435072&y>>>0>0)break;if(!((y|0)==0&(z|0)==2146435072)){u=+p[b+(k[s+8>>2]<<3)>>3];p[f+16>>3]=u;p[f+40>>3]=u;v=+$(+u);p[t>>3]=v;z=k[t>>2]|0;y=k[t+4>>2]|0;if(y>>>0>2146435072|(y|0)==2146435072&z>>>0>0)break;if(!((z|0)==0&(y|0)==2146435072)){y=a;while(1){z=k[y+16>>2]|0;A=Qqa(16)|0;B=0;ib(285,A|0,c|0,f|0,738);C=B;B=0;if(C&1){D=A;E=53;break}mC(z,A)|0;if(Hc[k[(k[y>>2]|0)+252>>2]&511](y)|0)break;y=k[(k[y+72>>2]|0)+4>>2]|0}if((E|0)==53){y=Rb()|0;A=Q;Sqa(D);F=A;G=y;Qb(G|0)}y=k[g>>2]|0;if(y)Tqa(y);k[g>>2]=0;r=d;return}}}y=m+56|0;A=m+4|0;k[m>>2]=27524;k[y>>2]=27544;B=0;wa(508,m+56|0,A|0);z=B;B=0;if(z&1){z=Rb()|0;H=Q;I=z;vva(y);Qb(I|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[y>>2]=27488;B=0;va(448,A|0);z=B;B=0;do if(z&1){C=Rb()|0;J=Q;K=C}else{k[A>>2]=27560;C=m+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[m+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,A|0,e|0);L=B;B=0;if(L&1){L=Rb()|0;M=Q;Yua(e);Yua(C);Ava(A);J=M;K=L;break}Yua(e);B=0;L=Ia(40,m|0,135593,28)|0;M=B;B=0;a:do if(!(M&1)?(B=0,Xa(239,L|0,0)|0,N=B,B=0,!(N&1)):0){N=Ab(20)|0;B=0;eb(502,n|0,74107,73);O=B;B=0;do if(!(O&1)){B=0;eb(502,o|0,74747,38);P=B;B=0;if(P&1){P=Rb()|0;R=Q;Yua(n);S=P;T=R;break}B=0;wa(510,q|0,A|0);R=B;B=0;if(R&1){R=Rb()|0;U=1;V=Q;W=R}else{B=0;ua(163,N|0,n|0,o|0,1550,q|0);R=B;B=0;if(R&1)X=1;else{B=0;eb(503,N|0,1240,229);B=0;X=0}R=Rb()|0;P=Q;Yua(q);U=X;V=P;W=R}Yua(o);Yua(n);if(U){S=W;T=V}else{Y=V;Z=W;break a}}else{R=Rb()|0;S=R;T=Q}while(0);zb(N|0);Y=T;Z=S}else E=43;while(0);if((E|0)==43){L=Rb()|0;Y=Q;Z=L}k[m>>2]=27468;k[y>>2]=27488;k[A>>2]=27560;Yua(C);Ava(A);vva(y);F=Y;G=Z;Qb(G|0)}while(0);H=J;I=K;vva(y);Qb(I|0)}while(0);I=h+56|0;K=h+4|0;k[h>>2]=27524;k[I>>2]=27544;B=0;wa(508,h+56|0,K|0);J=B;B=0;if(J&1){J=Rb()|0;_=Q;aa=J;vva(I);Qb(aa|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[I>>2]=27488;B=0;va(448,K|0);J=B;B=0;do if(J&1){H=Rb()|0;ba=Q;ca=H}else{k[K>>2]=27560;H=h+36|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;k[H+12>>2]=0;k[h+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,K|0,e|0);Z=B;B=0;if(Z&1){Z=Rb()|0;Y=Q;Yua(e);Yua(H);Ava(K);ba=Y;ca=Z;break}Yua(e);B=0;Z=Ia(40,h|0,135564,28)|0;Y=B;B=0;b:do if(!(Y&1)?(B=0,Xa(239,Z|0,0)|0,m=B,B=0,!(m&1)):0){m=Ab(20)|0;B=0;eb(502,i|0,74107,73);S=B;B=0;do if(!(S&1)){B=0;eb(502,j|0,74747,38);T=B;B=0;if(T&1){T=Rb()|0;W=Q;Yua(i);da=T;ea=W;break}B=0;wa(510,l|0,K|0);W=B;B=0;if(W&1){W=Rb()|0;fa=Q;ga=W;ha=1}else{B=0;ua(163,m|0,i|0,j|0,1549,l|0);W=B;B=0;if(W&1)ia=1;else{B=0;eb(503,m|0,1240,229);B=0;ia=0}W=Rb()|0;T=Q;Yua(l);fa=T;ga=W;ha=ia}Yua(j);Yua(i);if(ha){da=ga;ea=fa}else{ja=ga;ka=fa;break b}}else{W=Rb()|0;da=W;ea=Q}while(0);zb(m|0);ja=da;ka=ea}else E=19;while(0);if((E|0)==19){Z=Rb()|0;ja=Z;ka=Q}k[h>>2]=27468;k[I>>2]=27488;k[K>>2]=27560;Yua(H);Ava(K);vva(I);F=ka;G=ja;Qb(G|0)}while(0);_=ba;aa=ca;vva(I);Qb(aa|0)}function nA(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,jb=0,kb=0,lb=0,mb=0;e=r;r=r+944|0;f=e+920|0;g=e+892|0;h=e;i=e+744|0;j=e+908|0;l=e+896|0;m=e+880|0;n=e+608|0;o=e+596|0;q=e+584|0;s=e+296|0;u=e+448|0;v=e+144|0;w=e+132|0;x=e+120|0;y=e+312|0;z=e+108|0;A=e+96|0;C=e+84|0;D=e+160|0;E=e+72|0;F=e+60|0;G=e+48|0;k[g>>2]=0;if(!(Tp(a,c)|0)){r=e;return}switch(d|0){case 628:{H=a+24|0;I=b+((Co(k[k[H>>2]>>2]|0)|0)<<3)|0;p[h>>3]=+p[I>>3];I=b+((Co(k[(k[H>>2]|0)+4>>2]|0)|0)<<3)|0;p[h+8>>3]=+p[I>>3];I=b+((Co(k[(k[H>>2]|0)+8>>2]|0)|0)<<3)|0;p[h+16>>3]=+p[I>>3];I=b+((Co(k[(k[H>>2]|0)+12>>2]|0)|0)<<3)|0;p[h+24>>3]=+p[I>>3];I=b+((Co(k[(k[H>>2]|0)+16>>2]|0)|0)<<3)|0;p[h+32>>3]=+p[I>>3];I=b+((Co(k[(k[H>>2]|0)+20>>2]|0)|0)<<3)|0;p[h+40>>3]=+p[I>>3];I=k[a+16>>2]|0;H=Qqa(16)|0;B=0;ib(285,H|0,c|0,h|0,738);J=B;B=0;if(J&1){J=Rb()|0;K=Q;Sqa(H);L=K;M=J;Qb(M|0)}else{mC(I,H)|0;r=e;return}break}case 629:{H=a+24|0;I=b+((Bo(k[k[H>>2]>>2]|0)|0)<<3)|0;p[h>>3]=+p[I>>3];I=b+((Bo(k[(k[H>>2]|0)+4>>2]|0)|0)<<3)|0;p[h+8>>3]=+p[I>>3];I=b+((Bo(k[(k[H>>2]|0)+8>>2]|0)|0)<<3)|0;p[h+16>>3]=+p[I>>3];I=b+((Bo(k[(k[H>>2]|0)+12>>2]|0)|0)<<3)|0;p[h+24>>3]=+p[I>>3];I=b+((Bo(k[(k[H>>2]|0)+16>>2]|0)|0)<<3)|0;p[h+32>>3]=+p[I>>3];I=b+((Bo(k[(k[H>>2]|0)+20>>2]|0)|0)<<3)|0;p[h+40>>3]=+p[I>>3];I=k[a+16>>2]|0;H=Qqa(16)|0;B=0;ib(285,H|0,c|0,h|0,738);J=B;B=0;if(J&1){J=Rb()|0;K=Q;Sqa(H);L=K;M=J;Qb(M|0)}else{mC(I,H)|0;r=e;return}break}case 549:{rp(a,g,534,943);H=k[g>>2]|0;N=+p[b+(k[H>>2]<<3)>>3];p[h>>3]=N;O=+$(+N);p[t>>3]=O;I=k[t>>2]|0;J=k[t+4>>2]|0;do if(!(J>>>0>2146435072|(J|0)==2146435072&I>>>0>0)){if(!((I|0)==0&(J|0)==2146435072)){O=+p[b+(k[H+4>>2]<<3)>>3];p[h+8>>3]=O;N=+$(+O);p[t>>3]=N;K=k[t>>2]|0;P=k[t+4>>2]|0;if(P>>>0>2146435072|(P|0)==2146435072&K>>>0>0)break;if(!((K|0)==0&(P|0)==2146435072)){N=+p[b+(k[H+8>>2]<<3)>>3];p[h+16>>3]=N;O=+$(+N);p[t>>3]=O;P=k[t>>2]|0;K=k[t+4>>2]|0;if(K>>>0>2146435072|(K|0)==2146435072&P>>>0>0)break;if(!((P|0)==0&(K|0)==2146435072)){O=+p[b+(k[H+12>>2]<<3)>>3];p[h+24>>3]=O;N=+$(+O);p[t>>3]=N;K=k[t>>2]|0;P=k[t+4>>2]|0;if(P>>>0>2146435072|(P|0)==2146435072&K>>>0>0)break;if(!((K|0)==0&(P|0)==2146435072)){N=+p[b+(k[H+16>>2]<<3)>>3];p[h+32>>3]=N;O=+$(+N);p[t>>3]=O;P=k[t>>2]|0;K=k[t+4>>2]|0;if(K>>>0>2146435072|(K|0)==2146435072&P>>>0>0)break;if(!((P|0)==0&(K|0)==2146435072)){O=+p[b+(k[H+20>>2]<<3)>>3];p[h+40>>3]=O;N=+$(+O);p[t>>3]=N;K=k[t>>2]|0;P=k[t+4>>2]|0;if(P>>>0>2146435072|(P|0)==2146435072&K>>>0>0)break;if(!((K|0)==0&(P|0)==2146435072)){P=k[a+16>>2]|0;K=Qqa(16)|0;B=0;ib(285,K|0,c|0,h|0,738);R=B;B=0;if(R&1){R=Rb()|0;S=Q;Sqa(K);L=S;M=R;Qb(M|0)}mC(P,K)|0;K=k[g>>2]|0;if(K)Tqa(K);k[g>>2]=0;r=e;return}}}}}}K=n+56|0;P=n+4|0;k[n>>2]=27524;k[K>>2]=27544;B=0;wa(508,n+56|0,P|0);R=B;B=0;if(R&1){R=Rb()|0;T=Q;U=R;vva(K);Qb(U|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[K>>2]=27488;B=0;va(448,P|0);R=B;B=0;do if(R&1){S=Rb()|0;V=Q;W=S}else{k[P>>2]=27560;S=n+36|0;k[S>>2]=0;k[S+4>>2]=0;k[S+8>>2]=0;k[S+12>>2]=0;k[n+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,P|0,f|0);X=B;B=0;if(X&1){X=Rb()|0;Y=Q;Yua(f);Yua(S);Ava(P);V=Y;W=X;break}Yua(f);B=0;X=Ia(40,n|0,135593,28)|0;Y=B;B=0;a:do if(!(Y&1)?(B=0,Xa(239,X|0,0)|0,Z=B,B=0,!(Z&1)):0){Z=Ab(20)|0;B=0;eb(502,o|0,74107,73);_=B;B=0;do if(!(_&1)){B=0;eb(502,q|0,74786,21);aa=B;B=0;if(aa&1){aa=Rb()|0;ba=Q;Yua(o);ca=ba;da=aa;break}B=0;wa(510,s|0,P|0);aa=B;B=0;if(aa&1){aa=Rb()|0;ea=1;fa=Q;ga=aa}else{B=0;ua(163,Z|0,o|0,q|0,1604,s|0);aa=B;B=0;if(aa&1)ha=1;else{B=0;eb(503,Z|0,1240,229);B=0;ha=0}aa=Rb()|0;ba=Q;Yua(s);ea=ha;fa=ba;ga=aa}Yua(q);Yua(o);if(ea){ca=fa;da=ga}else{ia=fa;ja=ga;break a}}else{aa=Rb()|0;ca=Q;da=aa}while(0);zb(Z|0);ia=ca;ja=da}else ka=51;while(0);if((ka|0)==51){X=Rb()|0;ia=Q;ja=X}k[n>>2]=27468;k[K>>2]=27488;k[P>>2]=27560;Yua(S);Ava(P);vva(K);L=ia;M=ja;Qb(M|0)}while(0);T=V;U=W;vva(K);Qb(U|0)}while(0);U=i+56|0;W=i+4|0;k[i>>2]=27524;k[U>>2]=27544;B=0;wa(508,i+56|0,W|0);V=B;B=0;if(V&1){V=Rb()|0;la=Q;ma=V;vva(U);Qb(ma|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[U>>2]=27488;B=0;va(448,W|0);V=B;B=0;do if(V&1){T=Rb()|0;na=Q;oa=T}else{k[W>>2]=27560;T=i+36|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;k[T+12>>2]=0;k[i+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,W|0,f|0);ja=B;B=0;if(ja&1){ja=Rb()|0;ia=Q;Yua(f);Yua(T);Ava(W);na=ia;oa=ja;break}Yua(f);B=0;ja=Ia(40,i|0,135564,28)|0;ia=B;B=0;b:do if(!(ia&1)?(B=0,Xa(239,ja|0,0)|0,n=B,B=0,!(n&1)):0){n=Ab(20)|0;B=0;eb(502,j|0,74107,73);da=B;B=0;do if(!(da&1)){B=0;eb(502,l|0,74786,21);ca=B;B=0;if(ca&1){ca=Rb()|0;ga=Q;Yua(j);pa=ga;qa=ca;break}B=0;wa(510,m|0,W|0);ca=B;B=0;if(ca&1){ca=Rb()|0;ra=Q;sa=ca;ta=1}else{B=0;ua(163,n|0,j|0,l|0,1603,m|0);ca=B;B=0;if(ca&1)xa=1;else{B=0;eb(503,n|0,1240,229);B=0;xa=0}ca=Rb()|0;ga=Q;Yua(m);ra=ga;sa=ca;ta=xa}Yua(l);Yua(j);if(ta){pa=ra;qa=sa}else{za=ra;Aa=sa;break b}}else{ca=Rb()|0;pa=Q;qa=ca}while(0);zb(n|0);za=pa;Aa=qa}else ka=27;while(0);if((ka|0)==27){ja=Rb()|0;za=Q;Aa=ja}k[i>>2]=27468;k[U>>2]=27488;k[W>>2]=27560;Yua(T);Ava(W);vva(U);L=za;M=Aa;Qb(M|0)}while(0);la=na;ma=oa;vva(U);Qb(ma|0);break}case 608:{ma=a+20|0;U=b+((Qn(k[k[ma>>2]>>2]|0)|0)<<3)|0;N=+p[U>>3];p[h>>3]=N;O=+$(+N);p[t>>3]=O;U=k[t>>2]|0;oa=k[t+4>>2]|0;do if(!(oa>>>0>2146435072|(oa|0)==2146435072&U>>>0>0)){if(!((U|0)==0&(oa|0)==2146435072)){na=b+((Qn(k[(k[ma>>2]|0)+4>>2]|0)|0)<<3)|0;O=+p[na>>3];p[h+8>>3]=O;N=+$(+O);p[t>>3]=N;na=k[t>>2]|0;la=k[t+4>>2]|0;if(la>>>0>2146435072|(la|0)==2146435072&na>>>0>0)break;if(!((na|0)==0&(la|0)==2146435072)){la=b+((Qn(k[(k[ma>>2]|0)+8>>2]|0)|0)<<3)|0;N=+p[la>>3];p[h+16>>3]=N;O=+$(+N);p[t>>3]=O;la=k[t>>2]|0;na=k[t+4>>2]|0;if(na>>>0>2146435072|(na|0)==2146435072&la>>>0>0)break;if(!((la|0)==0&(na|0)==2146435072)){na=b+((Qn(k[(k[ma>>2]|0)+12>>2]|0)|0)<<3)|0;O=+p[na>>3];p[h+24>>3]=O;N=+$(+O);p[t>>3]=N;na=k[t>>2]|0;la=k[t+4>>2]|0;if(la>>>0>2146435072|(la|0)==2146435072&na>>>0>0)break;if(!((na|0)==0&(la|0)==2146435072)){la=b+((Qn(k[(k[ma>>2]|0)+16>>2]|0)|0)<<3)|0;N=+p[la>>3];p[h+32>>3]=N;O=+$(+N);p[t>>3]=O;la=k[t>>2]|0;na=k[t+4>>2]|0;if(na>>>0>2146435072|(na|0)==2146435072&la>>>0>0)break;if(!((la|0)==0&(na|0)==2146435072)){na=b+((Qn(k[(k[ma>>2]|0)+20>>2]|0)|0)<<3)|0;O=+p[na>>3];p[h+40>>3]=O;N=+$(+O);p[t>>3]=N;na=k[t>>2]|0;la=k[t+4>>2]|0;if(la>>>0>2146435072|(la|0)==2146435072&na>>>0>0)break;if(!((na|0)==0&(la|0)==2146435072)){la=k[a+16>>2]|0;na=Qqa(16)|0;B=0;ib(285,na|0,c|0,h|0,738);Aa=B;B=0;if(Aa&1){Aa=Rb()|0;za=Q;Sqa(na);L=za;M=Aa;Qb(M|0)}mC(la,na)|0;na=k[g>>2]|0;if(na)Tqa(na);k[g>>2]=0;r=e;return}}}}}}na=y+56|0;la=y+4|0;k[y>>2]=27524;k[na>>2]=27544;B=0;wa(508,y+56|0,la|0);Aa=B;B=0;if(Aa&1){Aa=Rb()|0;Ba=Q;Ca=Aa;vva(na);Qb(Ca|0)}k[y+128>>2]=0;k[y+132>>2]=-1;k[y>>2]=27468;k[na>>2]=27488;B=0;va(448,la|0);Aa=B;B=0;do if(Aa&1){za=Rb()|0;Da=Q;Ea=za}else{k[la>>2]=27560;za=y+36|0;k[za>>2]=0;k[za+4>>2]=0;k[za+8>>2]=0;k[za+12>>2]=0;k[y+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,la|0,f|0);W=B;B=0;if(W&1){W=Rb()|0;i=Q;Yua(f);Yua(za);Ava(la);Da=i;Ea=W;break}Yua(f);B=0;W=Ia(40,y|0,135593,28)|0;i=B;B=0;c:do if(!(i&1)?(B=0,Xa(239,W|0,0)|0,qa=B,B=0,!(qa&1)):0){qa=Ab(20)|0;B=0;eb(502,z|0,74107,73);pa=B;B=0;do if(!(pa&1)){B=0;eb(502,A|0,74786,21);sa=B;B=0;if(sa&1){sa=Rb()|0;ra=Q;Yua(z);Fa=ra;Ga=sa;break}B=0;wa(510,C|0,la|0);sa=B;B=0;if(sa&1){sa=Rb()|0;Ha=1;Ja=Q;Ka=sa}else{B=0;ua(163,qa|0,z|0,A|0,1617,C|0);sa=B;B=0;if(sa&1)La=1;else{B=0;eb(503,qa|0,1240,229);B=0;La=0}sa=Rb()|0;ra=Q;Yua(C);Ha=La;Ja=ra;Ka=sa}Yua(A);Yua(z);if(Ha){Fa=Ja;Ga=Ka}else{Ma=Ja;Na=Ka;break c}}else{sa=Rb()|0;Fa=Q;Ga=sa}while(0);zb(qa|0);Ma=Fa;Na=Ga}else ka=103;while(0);if((ka|0)==103){W=Rb()|0;Ma=Q;Na=W}k[y>>2]=27468;k[na>>2]=27488;k[la>>2]=27560;Yua(za);Ava(la);vva(na);L=Ma;M=Na;Qb(M|0)}while(0);Ba=Da;Ca=Ea;vva(na);Qb(Ca|0)}while(0);Ca=u+56|0;Ea=u+4|0;k[u>>2]=27524;k[Ca>>2]=27544;B=0;wa(508,u+56|0,Ea|0);Da=B;B=0;if(Da&1){Da=Rb()|0;Oa=Q;Pa=Da;vva(Ca);Qb(Pa|0)}k[u+128>>2]=0;k[u+132>>2]=-1;k[u>>2]=27468;k[Ca>>2]=27488;B=0;va(448,Ea|0);Da=B;B=0;do if(Da&1){Ba=Rb()|0;Qa=Q;Ra=Ba}else{k[Ea>>2]=27560;Ba=u+36|0;k[Ba>>2]=0;k[Ba+4>>2]=0;k[Ba+8>>2]=0;k[Ba+12>>2]=0;k[u+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,Ea|0,f|0);Na=B;B=0;if(Na&1){Na=Rb()|0;Ma=Q;Yua(f);Yua(Ba);Ava(Ea);Qa=Ma;Ra=Na;break}Yua(f);B=0;Na=Ia(40,u|0,135564,28)|0;Ma=B;B=0;d:do if(!(Ma&1)?(B=0,Xa(239,Na|0,0)|0,y=B,B=0,!(y&1)):0){y=Ab(20)|0;B=0;eb(502,v|0,74107,73);Ga=B;B=0;do if(!(Ga&1)){B=0;eb(502,w|0,74786,21);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;Ka=Q;Yua(v);Sa=Ka;Ta=Fa;break}B=0;wa(510,x|0,Ea|0);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;Ua=1;Va=Q;Wa=Fa}else{B=0;ua(163,y|0,v|0,w|0,1616,x|0);Fa=B;B=0;if(Fa&1)Ya=1;else{B=0;eb(503,y|0,1240,229);B=0;Ya=0}Fa=Rb()|0;Ka=Q;Yua(x);Ua=Ya;Va=Ka;Wa=Fa}Yua(w);Yua(v);if(Ua){Sa=Va;Ta=Wa}else{Za=Va;_a=Wa;break d}}else{Fa=Rb()|0;Sa=Q;Ta=Fa}while(0);zb(y|0);Za=Sa;_a=Ta}else ka=79;while(0);if((ka|0)==79){Na=Rb()|0;Za=Q;_a=Na}k[u>>2]=27468;k[Ca>>2]=27488;k[Ea>>2]=27560;Yua(Ba);Ava(Ea);vva(Ca);L=Za;M=_a;Qb(M|0)}while(0);Oa=Qa;Pa=Ra;vva(Ca);Qb(Pa|0);break}default:{Pa=D+56|0;Ca=D+4|0;k[D>>2]=27524;k[Pa>>2]=27544;B=0;wa(508,D+56|0,Ca|0);Ra=B;B=0;if(Ra&1){Ra=Rb()|0;$a=Q;ab=Ra;vva(Pa);Qb(ab|0)}k[D+128>>2]=0;k[D+132>>2]=-1;k[D>>2]=27468;k[Pa>>2]=27488;B=0;va(448,Ca|0);Ra=B;B=0;do if(Ra&1){Qa=Rb()|0;bb=Q;cb=Qa}else{k[Ca>>2]=27560;Qa=D+36|0;k[Qa>>2]=0;k[Qa+4>>2]=0;k[Qa+8>>2]=0;k[Qa+12>>2]=0;k[D+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,Ca|0,f|0);Oa=B;B=0;if(Oa&1){Oa=Rb()|0;_a=Q;Yua(f);Yua(Qa);Ava(Ca);bb=_a;cb=Oa;break}Yua(f);B=0;Oa=Ia(40,D|0,74808,5)|0;_a=B;B=0;e:do if((((((!(_a&1)?(B=0,Za=Xa(242,Oa|0,d|0)|0,Ea=B,B=0,!(Ea&1)):0)?(B=0,Ea=Ia(40,Za|0,144166,2)|0,Za=B,B=0,!(Za&1)):0)?(B=0,Za=ya(427,d|0)|0,u=B,B=0,!(u&1)):0)?(u=Lta(Za)|0,B=0,Ta=Ia(40,Ea|0,Za|0,u|0)|0,u=B,B=0,!(u&1)):0)?(B=0,u=Ia(40,Ta|0,74814,21)|0,Ta=B,B=0,!(Ta&1)):0)?(B=0,Xa(239,u|0,0)|0,u=B,B=0,!(u&1)):0){u=Ab(20)|0;B=0;eb(502,E|0,74107,73);Ta=B;B=0;do if(!(Ta&1)){B=0;eb(502,F|0,74786,21);Za=B;B=0;if(Za&1){Za=Rb()|0;Ea=Q;Yua(E);db=Ea;fb=Za;break}B=0;wa(510,G|0,Ca|0);Za=B;B=0;if(Za&1){Za=Rb()|0;gb=1;hb=Q;jb=Za}else{B=0;ua(163,u|0,E|0,F|0,1627,G|0);Za=B;B=0;if(Za&1)kb=1;else{B=0;eb(503,u|0,1240,229);B=0;kb=0}Za=Rb()|0;Ea=Q;Yua(G);gb=kb;hb=Ea;jb=Za}Yua(F);Yua(E);if(gb){db=hb;fb=jb}else{lb=hb;mb=jb;break e}}else{Za=Rb()|0;db=Q;fb=Za}while(0);zb(u|0);lb=db;mb=fb}else ka=135;while(0);if((ka|0)==135){Oa=Rb()|0;lb=Q;mb=Oa}k[D>>2]=27468;k[Pa>>2]=27488;k[Ca>>2]=27560;Yua(Qa);Ava(Ca);vva(Pa);L=lb;M=mb;Qb(M|0)}while(0);$a=bb;ab=cb;vva(Pa);Qb(ab|0)}}}function oA(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;nA(a+-4|0,b,c,d);return}function pA(a){a=a|0;var b=0,c=0,d=0;b=r;r=r+48|0;c=b;xp(a,c,206);if(!($p(a)|0)){d=0;r=b;return d|0}d=((+p[c+16>>3]<0.0&1)+((+p[c+8>>3]<0.0&1)+(+p[c>>3]<0.0&1))|0)==1;r=b;return d|0}function qA(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+24|0;a=b+((Co(k[k[c>>2]>>2]|0)|0)<<3)|0;if(+p[a>>3]<0.0){d=1;return d|0}a=b+((Co(k[(k[c>>2]|0)+4>>2]|0)|0)<<3)|0;if(+p[a>>3]<0.0){d=1;return d|0}a=b+((Co(k[(k[c>>2]|0)+8>>2]|0)|0)<<3)|0;if(+p[a>>3]<0.0){d=1;return d|0}a=b+((Co(k[(k[c>>2]|0)+12>>2]|0)|0)<<3)|0;if(+p[a>>3]<0.0){d=1;return d|0}a=b+((Co(k[(k[c>>2]|0)+16>>2]|0)|0)<<3)|0;if(+p[a>>3]<0.0){d=1;return d|0}a=b+((Co(k[(k[c>>2]|0)+20>>2]|0)|0)<<3)|0;if(+p[a>>3]<0.0){d=1;return d|0}d=0;return d|0}function rA(a){a=a|0;var b=0,c=0;b=r;r=r+48|0;c=b;xp(a,c,287);r=b;return +p[c>>3]+ +p[c+8>>3]+ +p[c+16>>3]+ +p[c+24>>3]+ +p[c+32>>3]+ +p[c+40>>3]==3.0|0}function sA(a){a=a|0;var b=0,c=0;b=r;r=r+48|0;c=b;xp(a,c,288);r=b;return +p[c>>3]+ +p[c+8>>3]+ +p[c+16>>3]+ +p[c+24>>3]+ +p[c+32>>3]+ +p[c+40>>3]==3.0|0}function tA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0.0,f=0.0,g=0.0,h=0.0,i=0.0,j=0;c=r;r=r+48|0;d=c;xp(a,d,b);do if($p(a)|0){e=+p[d>>3];f=+p[d+8>>3];g=e*f;if(!(g<0.0)?(h=+p[d+16>>3],i=e*h,!(i<0.0)):0){if(!(g*h==0.0)){j=0;break}if(!(f*h+(g+i)<=0.0)){j=0;break}}j=1}else j=0;while(0);r=c;return j|0}function uA(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;aC(a,b,c,d);return}function vA(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;eC(a,b,c,d);return}function wA(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;dC(a,b,c,d);return}function xA(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;cC(a,b,c,d);return}function yA(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;eC(a,b,c,d);return}function zA(a,b){a=a|0;b=b|0;var c=0.0,d=0,e=0.0;if(!(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0)){c=0.0;return +c}nd[k[(k[a>>2]|0)+216>>2]&1023](a,674,673);nd[k[(k[a>>2]|0)+216>>2]&1023](a,677,676);d=AA(a,0,1,2)|0;e=+id[k[(k[d>>2]|0)+284>>2]&63](d,b);b=k[d+28>>2]|0;if(b)Ec[k[(k[b>>2]|0)+4>>2]&1023](b);if(d)Ec[k[(k[d>>2]|0)+4>>2]&1023](d);d=a+16|0;sC(k[d>>2]|0,673)|0;sC(k[d>>2]|0,676)|0;c=e;return +c}function AA(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;e=r;r=r+16|0;f=e;g=a+36|0;cO(k[g>>2]|0,f,482);h=Qqa(72)|0;B=0;va(461,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;Sqa(h);Qb(l|0)}i=h+48|0;B=0;va(462,i|0);m=B;B=0;do if(!(m&1)){B=0;n=B;B=0;if(n&1){n=Rb()|0;o=Q;Tq(i);p=o;q=n;break}else{k[h>>2]=30040;k[h+4>>2]=30604;k[h+8>>2]=k[a+8>>2];n=uC(k[a+16>>2]|0,b,c,d)|0;k[h+16>>2]=n;k[h+36>>2]=k[g>>2];k[h+44>>2]=738;Zq(a+48|0,i,b,c,d);n=k[a+28>>2]|0;o=ed[k[(k[n>>2]|0)+32>>2]&511](n,h)|0;k[h+28>>2]=o;o=Gla(k[(k[h+52>>2]|0)+(k[f>>2]<<2)>>2]|0)|0;k[h+20>>2]=o;o=Gla(k[h+56>>2]|0)|0;k[h+24>>2]=o;o=Fla(k[h+64>>2]|0)|0;k[h+32>>2]=o;r=e;return h|0}}else{o=Rb()|0;p=Q;q=o}while(0);Qo(h);j=p;l=q;Sqa(h);Qb(l|0);return 0}function BA(a,b,c,d,e,f){a=a|0;b=+b;c=+c;d=+d;e=+e;f=f|0;var g=0.0,h=0,i=0.0;if(!(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0)){g=0.0;return +g}nd[k[(k[a>>2]|0)+216>>2]&1023](a,674,673);nd[k[(k[a>>2]|0)+216>>2]&1023](a,677,676);h=AA(a,0,1,2)|0;i=+Mc[k[(k[h>>2]|0)+288>>2]&7](h,b,c,d,e,f);f=k[h+28>>2]|0;if(f)Ec[k[(k[f>>2]|0)+4>>2]&1023](f);if(h)Ec[k[(k[h>>2]|0)+4>>2]&1023](h);h=a+16|0;sC(k[h>>2]|0,673)|0;sC(k[h>>2]|0,676)|0;g=i;return +g}function CA(a,b){a=a|0;b=b|0;var c=0.0,d=0,e=0,f=0.0,g=0.0,h=0.0,i=0.0,j=0.0;a=0;c=-1.0;while(1){d=(k[31892+(a<<3)>>2]|0)*3|0;e=(k[31892+(a<<3)+4>>2]|0)*3|0;f=+p[b+(d<<3)>>3]-+p[b+(e<<3)>>3];g=+p[b+(d+1<<3)>>3]-+p[b+(e+1<<3)>>3];h=+p[b+(d+2<<3)>>3]-+p[b+(e+2<<3)>>3];i=+aa(+(f*f+g*g+h*h));h=c<0.0|i<c?i:c;a=a+1|0;if((a|0)==9){j=h;break}else c=h}return +j}function DA(a){a=a|0;var b=0;a=Qqa(72)|0;B=0;va(493,a|0);b=B;B=0;if(b&1){b=Rb()|0;Sqa(a);Qb(b|0)}else return a|0;return 0}function EA(a,b){a=a|0;b=b|0;a=Qqa(72)|0;B=0;eb(511,a|0,b|0,b|0);b=B;B=0;if(b&1){b=Rb()|0;Sqa(a);Qb(b|0)}else return a|0;return 0}function FA(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0;a=r;r=r+96|0;f=a;Mz(0,f,c,b,4);b=Qqa(72)|0;B=0;ib(290,b|0,f|0,d|0,e|0);e=B;B=0;if(e&1){e=Rb()|0;Sqa(b);Qb(e|0)}else{r=a;return b|0}return 0}function GA(a,b,c,d,e,f){a=a|0;b=b|0;c=+c;d=+d;e=e|0;f=f|0;a=Qqa(72)|0;B=0;Fa(2,a|0,b|0,+c,+d,e|0,f|0);f=B;B=0;if(f&1){f=Rb()|0;Sqa(a);Qb(f|0)}else return a|0;return 0}function HA(a,b){a=a|0;b=b|0;a=Qqa(72)|0;B=0;ua(169,a|0,0,1,2,b|0);b=B;B=0;if(b&1){b=Rb()|0;Sqa(a);Qb(b|0)}else return a|0;return 0}function IA(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;a=Qqa(72)|0;B=0;ib(291,a|0,b|0,c|0,d|0);d=B;B=0;if(d&1){d=Rb()|0;Sqa(a);Qb(d|0)}else return a|0;return 0}function JA(a,b){a=a|0;b=b|0;a=Qqa(72)|0;B=0;ua(169,a|0,3,4,5,b|0);b=B;B=0;if(b&1){b=Rb()|0;Sqa(a);Qb(b|0)}else return a|0;return 0}function KA(a,b,c){a=a|0;b=b|0;c=c|0;_B(a,b,c,k[a+44>>2]|0);return}function LA(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;YB(a,b,c,d,k[a+44>>2]|0);return}function MA(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;YB(a,b,c,d,Hc[k[(k[a>>2]|0)+504>>2]&511](a)|0);return}function NA(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;YB(a,b,c,d,740);return}function OA(a,b,c){a=a|0;b=b|0;c=c|0;_B(a,b,c,Hc[k[(k[a>>2]|0)+404>>2]&511](a)|0);return}function PA(a,b,c){a=a|0;b=b|0;c=c|0;_B(a,b,c,738);return}function QA(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;YB(a,b,c,d,738);return}function RA(a,b,c){a=a|0;b=b|0;c=c|0;_B(a,b,c,742);return}function SA(a,b,c){a=a|0;b=b|0;c=c|0;_B(a,b,c,Hc[k[(k[a>>2]|0)+504>>2]&511](a)|0);return}function TA(a,b,c){a=a|0;b=b|0;c=c|0;_B(a,b,c,Hc[k[(k[a>>2]|0)+460>>2]&511](a)|0);return}function UA(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=r;r=r+16|0;f=e;g=oC(k[a+16>>2]|0,d)|0;d=a+24|0;a=k[k[d>>2]>>2]|0;h=Hc[k[(k[a>>2]|0)+16>>2]&511](a)|0;if(!g){a=k[(k[d>>2]|0)+4>>2]|0;Hc[k[(k[a>>2]|0)+16>>2]&511](a)|0;a=k[(k[d>>2]|0)+8>>2]|0;Hc[k[(k[a>>2]|0)+16>>2]&511](a)|0;a=k[(k[d>>2]|0)+12>>2]|0;Hc[k[(k[a>>2]|0)+16>>2]&511](a)|0;a=k[(k[d>>2]|0)+16>>2]|0;Hc[k[(k[a>>2]|0)+16>>2]&511](a)|0;a=k[(k[d>>2]|0)+20>>2]|0;Hc[k[(k[a>>2]|0)+16>>2]&511](a)|0;i=0;r=e;return i|0}if((h|0)!=(c|0)){h=k[(k[d>>2]|0)+4>>2]|0;if((Hc[k[(k[h>>2]|0)+16>>2]&511](h)|0)!=(c|0)){h=k[(k[d>>2]|0)+8>>2]|0;if((Hc[k[(k[h>>2]|0)+16>>2]&511](h)|0)!=(c|0)){h=k[(k[d>>2]|0)+12>>2]|0;if((Hc[k[(k[h>>2]|0)+16>>2]&511](h)|0)!=(c|0)){h=k[(k[d>>2]|0)+16>>2]|0;if((Hc[k[(k[h>>2]|0)+16>>2]&511](h)|0)!=(c|0)){h=k[(k[d>>2]|0)+20>>2]|0;if((Hc[k[(k[h>>2]|0)+16>>2]&511](h)|0)==(c|0))j=5;else{i=0;r=e;return i|0}}else j=4}else j=3}else j=2}else j=1}else j=0;c=Qqa(72)|0;B=0;va(493,c|0);h=B;B=0;if(h&1){h=Rb()|0;Sqa(c);Qb(h|0)}Fc[k[(k[c>>2]|0)+28>>2]&1023](c,j);nd[k[(k[g>>2]|0)+48>>2]&1023](g,f,c);Ec[k[(k[c>>2]|0)+4>>2]&1023](c);p[b>>3]=+p[f>>3];i=1;r=e;return i|0}function VA(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0.0,f=0.0,g=0.0,h=0.0,i=0.0,j=0.0,k=0.0;d=+p[c+48>>3];e=+p[c>>3]-d;f=+p[c+24>>3]-d;d=+p[c+56>>3];g=+p[c+8>>3]-d;h=+p[c+32>>3]-d;d=+p[c+64>>3];i=+p[c+16>>3]-d;j=+p[c+40>>3]-d;d=g*j-i*h;k=i*f-j*e;j=h*e-g*f;f=+aa(+(j*j+(d*d+k*k)));p[b>>3]=-d/f;p[b+8>>3]=-k/f;p[b+16>>3]=-j/f;return}function WA(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0.0,g=0.0,h=0.0,i=0.0;a=r;r=r+48|0;d=a+24|0;e=a;f=+p[c>>3];p[d>>3]=+p[c+24>>3]-f;g=+p[c+8>>3];p[d+8>>3]=+p[c+32>>3]-g;h=+p[c+16>>3];p[d+16>>3]=+p[c+40>>3]-h;p[e>>3]=+p[c+48>>3]-f;p[e+8>>3]=+p[c+56>>3]-g;p[e+16>>3]=+p[c+64>>3]-h;IY(b,d,e);h=+p[b>>3];e=b+8|0;g=+p[e>>3];d=b+16|0;f=+p[d>>3];i=+aa(+(h*h+g*g+f*f));p[b>>3]=h/i;p[e>>3]=g/i;p[d>>3]=f/i;r=a;return}function XA(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0.0,f=0.0,g=0.0,h=0.0,i=0.0,j=0.0,k=0.0;d=+p[c+48>>3];e=+p[c>>3]-d;f=+p[c+24>>3]-d;d=+p[c+56>>3];g=+p[c+8>>3]-d;h=+p[c+32>>3]-d;d=+p[c+64>>3];i=+p[c+16>>3]-d;j=+p[c+40>>3]-d;d=g*j-i*h;k=i*f-j*e;j=h*e-g*f;f=+aa(+(j*j+(d*d+k*k)));p[b>>3]=d/f;p[b+8>>3]=k/f;p[b+16>>3]=j/f;return}function YA(a){a=a|0;return XB(a,Hc[k[(k[a>>2]|0)+404>>2]&511](a)|0)|0}function ZA(a){a=a|0;return XB(a,Hc[k[(k[a>>2]|0)+504>>2]&511](a)|0)|0}function _A(a){a=a|0;return 625}function $A(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0.0,i=0.0,j=0,l=0,m=0;c=r;r=r+144|0;d=c+96|0;e=c+48|0;f=c;g=a+32|0;h=+WJ(k[g>>2]|0,266);i=+WJ(k[g>>2]|0,265)/h;xp(a,d,353);xp(a,e,63);xp(a,f,928);g=a+24|0;a=b+4|0;j=0;do{if((+p[f+(j<<3)>>3]>0.0?+p[e+(j<<3)>>3]<-(i*+p[d+(j<<3)>>3]):0)?(l=Co(k[(k[g>>2]|0)+(j<<2)>>2]|0)|0,(k[b>>2]|0)!=0):0){m=k[k[a>>2]>>2]|0;Jc[k[(k[m>>2]|0)+20>>2]&1](m,l,1.0,0)}j=j+1|0}while((j|0)!=6);r=c;return}function aB(a){a=a|0;return fC(a,k[a+44>>2]|0)|0}function bB(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;d=r;r=r+32|0;e=d+16|0;f=d+12|0;g=d;cO(k[a+36>>2]|0,e,477);a:do if((c|0)!=0&(k[e>>2]|0)==497)switch(k[a+44>>2]|0){case 752:{kC(k[a+16>>2]|0,f,533);switch(k[f>>2]|0){case 538:case 541:break;default:{k[g>>2]=k[9691];k[g+4>>2]=k[9692];k[g+8>>2]=k[9693];VN(c,b,3,g)}}break a;break}case 741:{h=a+20|0;i=eo(k[(k[h>>2]|0)+24>>2]|0,534,943)|0;j=(eo(k[k[h>>2]>>2]|0,534,943)|0)+(eo(k[(k[h>>2]|0)+4>>2]|0,534,943)|0)+(eo(k[(k[h>>2]|0)+8>>2]|0,534,943)|0)+(eo(k[(k[h>>2]|0)+12>>2]|0,534,943)|0)+(eo(k[(k[h>>2]|0)+16>>2]|0,534,943)|0)+(eo(k[(k[h>>2]|0)+20>>2]|0,534,943)|0)|0;h=Rqa(i>>>0>1073741823?-1:i<<2)|0;if((i|0)>0){l=0;do{k[h+(l<<2)>>2]=l+j;l=l+1|0}while((l|0)!=(i|0))}VN(c,b,i,h);Tqa(h);break a;break}default:break a}while(0);if(!((b|0)!=0&(k[e>>2]|0)==497)){r=d;return}kC(k[a+16>>2]|0,f,533);b:do switch(k[f>>2]|0){case 538:case 541:break;default:{switch(k[a+44>>2]|0){case 752:{k[g>>2]=k[9691];k[g+4>>2]=k[9692];k[g+8>>2]=k[9693];NN(b,3,g);break b;break}case 741:break;default:break b}e=a+20|0;c=eo(k[(k[e>>2]|0)+24>>2]|0,534,943)|0;l=(eo(k[k[e>>2]>>2]|0,534,943)|0)+(eo(k[(k[e>>2]|0)+4>>2]|0,534,943)|0)+(eo(k[(k[e>>2]|0)+8>>2]|0,534,943)|0)+(eo(k[(k[e>>2]|0)+12>>2]|0,534,943)|0)+(eo(k[(k[e>>2]|0)+16>>2]|0,534,943)|0)+(eo(k[(k[e>>2]|0)+20>>2]|0,534,943)|0)|0;e=Rqa(c>>>0>1073741823?-1:c<<2)|0;if((c|0)>0){j=0;do{k[e+(j<<2)>>2]=j+l;j=j+1|0}while((j|0)!=(c|0))}NN(b,c,e);Tqa(e)}}while(0);r=d;return}function cB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0;b=r;r=r+448|0;c=b+432|0;d=b+428|0;e=b+424|0;f=b+420|0;g=b+64|0;h=b+56|0;i=b+48|0;j=b;l=b+272|0;m=b+408|0;n=b+256|0;o=b+108|0;q=b+120|0;s=b+96|0;t=b+84|0;u=b+72|0;k[f>>2]=0;v=a+16|0;kC(k[v>>2]|0,d,533);if(!(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0)){r=b;return}switch(k[d>>2]|0){case 538:case 541:case 542:break;default:{r=b;return}}VB(a,e,f,Hc[k[(k[a>>2]|0)+504>>2]&511](a)|0);d=oC(k[v>>2]|0,642)|0;w=oC(k[v>>2]|0,643)|0;x=oC(k[v>>2]|0,928)|0;v=Qqa(72)|0;B=0;va(493,v|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Sqa(v);A=z;C=y;Qb(C|0)}a:do if((k[e>>2]|0)>0){y=j+24|0;z=j+8|0;D=j+32|0;E=j+16|0;F=j+40|0;G=a+20|0;H=0;b:while(1){I=k[(k[v>>2]|0)+32>>2]|0;J=Hc[k[(k[a>>2]|0)+504>>2]&511](a)|0;nd[I&1023](v,J,k[(k[f>>2]|0)+(H<<2)>>2]|0);nd[k[(k[d>>2]|0)+48>>2]&1023](d,g,v);nd[k[(k[w>>2]|0)+48>>2]&1023](w,h,v);nd[k[(k[x>>2]|0)+48>>2]&1023](x,i,v);p[j>>3]=1.0;K=+p[g>>3];p[y>>3]=-K;p[z>>3]=0.0;p[D>>3]=-+p[h>>3];p[E>>3]=K;p[F>>3]=1.0;J=!(+p[i>>3]>=0.0);I=(co(k[(k[G>>2]|0)+(k[(k[f>>2]|0)+(H<<2)>>2]<<2)>>2]|0)|0)==543;L=k[(k[G>>2]|0)+(k[(k[f>>2]|0)+(H<<2)>>2]<<2)>>2]|0;do if(J){if(I){Zn(L,2);break}if((co(L)|0)!=538?(co(k[(k[G>>2]|0)+(k[(k[f>>2]|0)+(H<<2)>>2]<<2)>>2]|0)|0)!=541:0){M=H;N=48;break b}Zn(k[(k[G>>2]|0)+(k[(k[f>>2]|0)+(H<<2)>>2]<<2)>>2]|0,4)}else{if(I){Vn(L,2);break}if((co(L)|0)!=538?(co(k[(k[G>>2]|0)+(k[(k[f>>2]|0)+(H<<2)>>2]<<2)>>2]|0)|0)!=541:0){O=H;N=16;break b}Vn(k[(k[G>>2]|0)+(k[(k[f>>2]|0)+(H<<2)>>2]<<2)>>2]|0,4)}while(0);NY((k[(k[G>>2]|0)+(k[(k[f>>2]|0)+(H<<2)>>2]<<2)>>2]|0)+72|0,j);H=H+1|0;if((H|0)>=(k[e>>2]|0))break a}if((N|0)==16){H=l+56|0;F=l+4|0;k[l>>2]=27524;k[H>>2]=27544;B=0;wa(508,l+56|0,F|0);E=B;B=0;if(E&1){E=Rb()|0;P=Q;R=E;vva(H);Qb(R|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[H>>2]=27488;B=0;va(448,F|0);E=B;B=0;do if(E&1){D=Rb()|0;S=Q;T=D}else{k[F>>2]=27560;D=l+36|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;k[D+12>>2]=0;k[l+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,F|0,c|0);z=B;B=0;if(z&1){z=Rb()|0;y=Q;Yua(c);Yua(D);Ava(F);S=y;T=z;break}Yua(c);B=0;z=Ia(40,l|0,74836,27)|0;y=B;B=0;c:do if(((((!(y&1)?(B=0,L=ya(431,k[(k[G>>2]|0)+(k[(k[f>>2]|0)+(O<<2)>>2]<<2)>>2]|0)|0,I=B,B=0,!(I&1)):0)?(B=0,I=ya(427,L|0)|0,L=B,B=0,!(L&1)):0)?(L=Lta(I)|0,B=0,J=Ia(40,z|0,I|0,L|0)|0,L=B,B=0,!(L&1)):0)?(B=0,L=Ia(40,J|0,146481,18)|0,J=B,B=0,!(J&1)):0)?(B=0,Xa(239,L|0,0)|0,L=B,B=0,!(L&1)):0){L=Ab(20)|0;B=0;eb(502,m|0,74107,73);J=B;B=0;do if(!(J&1)){B=0;eb(502,n|0,74864,29);I=B;B=0;if(I&1){I=Rb()|0;U=Q;Yua(m);V=U;W=I;break}B=0;wa(510,o|0,F|0);I=B;B=0;if(I&1){I=Rb()|0;X=I;Y=Q;Z=1}else{B=0;ua(163,L|0,m|0,n|0,2161,o|0);I=B;B=0;if(I&1)_=1;else{B=0;eb(503,L|0,1240,229);B=0;_=0}I=Rb()|0;U=Q;Yua(o);X=I;Y=U;Z=_}Yua(n);Yua(m);if(Z){V=Y;W=X}else{$=Y;aa=X;break c}}else{U=Rb()|0;V=Q;W=U}while(0);zb(L|0);$=V;aa=W}else N=35;while(0);if((N|0)==35){z=Rb()|0;$=Q;aa=z}k[l>>2]=27468;k[H>>2]=27488;k[F>>2]=27560;Yua(D);Ava(F);vva(H);A=$;C=aa;Qb(C|0)}while(0);P=S;R=T;vva(H);Qb(R|0)}else if((N|0)==48){F=q+56|0;E=q+4|0;k[q>>2]=27524;k[F>>2]=27544;B=0;wa(508,q+56|0,E|0);z=B;B=0;if(z&1){z=Rb()|0;ba=Q;ca=z;vva(F);Qb(ca|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[F>>2]=27488;B=0;va(448,E|0);z=B;B=0;do if(z&1){y=Rb()|0;da=Q;ea=y}else{k[E>>2]=27560;y=q+36|0;k[y>>2]=0;k[y+4>>2]=0;k[y+8>>2]=0;k[y+12>>2]=0;k[q+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,E|0,c|0);J=B;B=0;if(J&1){J=Rb()|0;U=Q;Yua(c);Yua(y);Ava(E);da=U;ea=J;break}Yua(c);B=0;J=Ia(40,q|0,74836,27)|0;U=B;B=0;d:do if(((((!(U&1)?(B=0,I=ya(431,k[(k[G>>2]|0)+(k[(k[f>>2]|0)+(M<<2)>>2]<<2)>>2]|0)|0,fa=B,B=0,!(fa&1)):0)?(B=0,fa=ya(427,I|0)|0,I=B,B=0,!(I&1)):0)?(I=Lta(fa)|0,B=0,ga=Ia(40,J|0,fa|0,I|0)|0,I=B,B=0,!(I&1)):0)?(B=0,I=Ia(40,ga|0,146481,18)|0,ga=B,B=0,!(ga&1)):0)?(B=0,Xa(239,I|0,0)|0,I=B,B=0,!(I&1)):0){I=Ab(20)|0;B=0;eb(502,s|0,74107,73);ga=B;B=0;do if(!(ga&1)){B=0;eb(502,t|0,74864,29);fa=B;B=0;if(fa&1){fa=Rb()|0;ha=Q;Yua(s);ia=fa;ja=ha;break}B=0;wa(510,u|0,E|0);ha=B;B=0;if(ha&1){ha=Rb()|0;ka=1;la=Q;ma=ha}else{B=0;ua(163,I|0,s|0,t|0,2170,u|0);ha=B;B=0;if(ha&1)na=1;else{B=0;eb(503,I|0,1240,229);B=0;na=0}ha=Rb()|0;fa=Q;Yua(u);ka=na;la=fa;ma=ha}Yua(t);Yua(s);if(ka){ia=ma;ja=la}else{oa=la;pa=ma;break d}}else{ha=Rb()|0;ia=ha;ja=Q}while(0);zb(I|0);oa=ja;pa=ia}else N=67;while(0);if((N|0)==67){J=Rb()|0;oa=Q;pa=J}k[q>>2]=27468;k[F>>2]=27488;k[E>>2]=27560;Yua(y);Ava(E);vva(F);A=oa;C=pa;Qb(C|0)}while(0);ba=da;ca=ea;vva(F);Qb(ca|0)}}while(0);ca=k[f>>2]|0;if(ca)Tqa(ca);k[f>>2]=0;Ec[k[(k[v>>2]|0)+4>>2]&1023](v);r=b;return}function dB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;b=a+20|0;k[a+72>>2]=0;c=a+48|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[b+16>>2]=0;b=k[c>>2]|0;if((b|0)>0){d=a+52|0;e=b;b=0;while(1){f=k[(k[d>>2]|0)+(b<<2)>>2]|0;if(!f)g=e;else{Dla(f);g=k[c>>2]|0}b=b+1|0;if((b|0)>=(g|0))break;else e=g}}Dla(k[a+56>>2]|0);Dla(k[a+60>>2]|0);Dla(k[a+64>>2]|0);g=k[a+68>>2]|0;if(!g)return;Dla(g);return}function eB(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;e=r;r=r+272|0;f=e+248|0;g=e;h=e+224|0;i=e+88|0;j=e+72|0;l=e+60|0;m=e+48|0;n=(c|0)==215;if(n)if(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0)o=214;else{r=e;return}else if((c|0)==227)if(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0)o=225;else{r=e;return}else o=c;if(!(Tp(a,o)|0)){r=e;return}Mp(a,h,d,0);p[g>>3]=+p[b+(k[h>>2]<<3)>>3];p[g+8>>3]=+p[b+(k[h+4>>2]<<3)>>3];p[g+16>>3]=+p[b+(k[h+8>>2]<<3)>>3];p[g+24>>3]=+p[b+(k[h+12>>2]<<3)>>3];p[g+32>>3]=+p[b+(k[h+16>>2]<<3)>>3];p[g+40>>3]=+p[b+(k[h+20>>2]<<3)>>3];h=Qqa(16)|0;B=0;ib(285,h|0,o|0,g|0,738);g=B;B=0;if(g&1){g=Rb()|0;b=Q;Sqa(h);q=b;s=g;Qb(s|0)}g=oC(k[a+16>>2]|0,o)|0;if((Hc[k[(k[g>>2]|0)+20>>2]&511](g)|0)==559){r$(g,h);if(n){nd[k[(k[a>>2]|0)+220>>2]&1023](a,o,-1);r=e;return}if((c|0)!=227){r=e;return}nd[k[(k[a>>2]|0)+220>>2]&1023](a,o,-1);r=e;return}e=i+56|0;a=i+4|0;k[i>>2]=27524;k[e>>2]=27544;B=0;wa(508,i+56|0,a|0);c=B;B=0;if(c&1){c=Rb()|0;t=Q;u=c;vva(e);Qb(u|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[e>>2]=27488;B=0;va(448,a|0);c=B;B=0;do if(c&1){n=Rb()|0;v=Q;w=n}else{k[a>>2]=27560;n=i+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[i+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,a|0,f|0);h=B;B=0;if(h&1){h=Rb()|0;g=Q;Yua(f);Yua(n);Ava(a);v=g;w=h;break}Yua(f);B=0;h=Ia(40,i|0,74566,6)|0;g=B;B=0;a:do if((((!(g&1)?(B=0,b=ya(427,o|0)|0,d=B,B=0,!(d&1)):0)?(d=Lta(b)|0,B=0,x=Ia(40,h|0,b|0,d|0)|0,d=B,B=0,!(d&1)):0)?(B=0,d=Ia(40,x|0,74278,22)|0,x=B,B=0,!(x&1)):0)?(B=0,Xa(239,d|0,0)|0,d=B,B=0,!(d&1)):0){d=Ab(20)|0;B=0;eb(502,j|0,74107,73);x=B;B=0;do if(!(x&1)){B=0;eb(502,l|0,74894,26);b=B;B=0;if(b&1){b=Rb()|0;y=Q;Yua(j);z=y;A=b;break}B=0;wa(510,m|0,a|0);b=B;B=0;if(b&1){b=Rb()|0;C=Q;D=b;E=1}else{B=0;ua(163,d|0,j|0,l|0,2233,m|0);b=B;B=0;if(b&1)F=1;else{B=0;eb(503,d|0,1240,229);B=0;F=0}b=Rb()|0;y=Q;Yua(m);C=y;D=b;E=F}Yua(l);Yua(j);if(E){z=C;A=D}else{G=D;H=C;break a}}else{b=Rb()|0;z=Q;A=b}while(0);zb(d|0);G=A;H=z}else I=27;while(0);if((I|0)==27){h=Rb()|0;G=h;H=Q}k[i>>2]=27468;k[e>>2]=27488;k[a>>2]=27560;Yua(n);Ava(a);vva(e);q=H;s=G;Qb(s|0)}while(0);t=v;u=w;vva(e);Qb(u|0)}function fB(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;e=r;r=r+16|0;d=e;cO(f,d,482);f=k[d>>2]|0;k[a+44>>2]=k[(k[a+40>>2]|0)+(f<<2)>>2];d=k[(k[a+52>>2]|0)+(f<<2)>>2]|0;if(!d){k[a+20>>2]=0;r=e;return}else{f=Gla(d)|0;k[a+20>>2]=f;r=e;return}}function gB(a,b){a=a|0;b=b|0;k[a+44>>2]=b;return}function hB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;b=r;r=r+368|0;c=b+344|0;d=b+208|0;e=b+196|0;f=b+184|0;g=b+36|0;h=b+48|0;i=b+24|0;j=b+12|0;l=b;m=a+28|0;n=k[m>>2]|0;switch(Hc[k[(k[n>>2]|0)+20>>2]&511](n)|0){case 583:{nd[k[(k[a>>2]|0)+216>>2]&1023](a,214,215);n=k[m>>2]|0;if(Hc[k[(k[n>>2]|0)+100>>2]&511](n)|0)nd[k[(k[a>>2]|0)+216>>2]&1023](a,225,227);break}case 585:{nd[k[(k[a>>2]|0)+216>>2]&1023](a,218,219);nd[k[(k[a>>2]|0)+216>>2]&1023](a,220,221);nd[k[(k[a>>2]|0)+216>>2]&1023](a,222,223);break}default:{n=d+56|0;o=d+4|0;k[d>>2]=27524;k[n>>2]=27544;B=0;wa(508,d+56|0,o|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;s=p;vva(n);Qb(s|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[n>>2]=27488;B=0;va(448,o|0);p=B;B=0;do if(p&1){t=Rb()|0;u=Q;v=t}else{k[o>>2]=27560;t=d+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,o|0,c|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(c);Yua(t);Ava(o);u=x;v=w;break}Yua(c);B=0;w=Ia(40,d|0,134695,17)|0;x=B;B=0;a:do if(!(x&1)?(B=0,Xa(239,w|0,0)|0,y=B,B=0,!(y&1)):0){y=Ab(20)|0;B=0;eb(502,e|0,74107,73);z=B;B=0;do if(!(z&1)){B=0;eb(502,f|0,74921,17);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(e);D=C;E=A;break}B=0;wa(510,g|0,o|0);A=B;B=0;if(A&1){A=Rb()|0;F=A;G=Q;H=1}else{B=0;ua(163,y|0,e|0,f|0,2280,g|0);A=B;B=0;if(A&1)I=1;else{B=0;eb(503,y|0,1240,229);B=0;I=0}A=Rb()|0;C=Q;Yua(g);F=A;G=C;H=I}Yua(f);Yua(e);if(H){D=G;E=F}else{J=G;K=F;break a}}else{C=Rb()|0;D=Q;E=C}while(0);zb(y|0);J=D;K=E}else L=20;while(0);if((L|0)==20){w=Rb()|0;J=Q;K=w}k[d>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(t);Ava(o);vva(n);M=K;N=J;Qb(M|0)}while(0);q=u;s=v;vva(n);Qb(s|0)}}s=a+16|0;if(oC(k[s>>2]|0,674)|0)nd[k[(k[a>>2]|0)+216>>2]&1023](a,674,673);if(oC(k[s>>2]|0,677)|0)nd[k[(k[a>>2]|0)+216>>2]&1023](a,677,676);if(oC(k[s>>2]|0,258)|0)nd[k[(k[a>>2]|0)+216>>2]&1023](a,258,260);if(oC(k[s>>2]|0,259)|0)nd[k[(k[a>>2]|0)+216>>2]&1023](a,259,261);n=AA(a,0,1,2)|0;a=k[m>>2]|0;switch(Hc[k[(k[a>>2]|0)+20>>2]&511](a)|0){case 583:{sC(k[s>>2]|0,215)|0;sC(k[s>>2]|0,227)|0;O=k[s>>2]|0;sC(O,673)|0;P=k[s>>2]|0;sC(P,676)|0;R=k[s>>2]|0;sC(R,260)|0;S=k[s>>2]|0;sC(S,261)|0;r=b;return n|0}case 585:{O=k[s>>2]|0;sC(O,673)|0;P=k[s>>2]|0;sC(P,676)|0;R=k[s>>2]|0;sC(R,260)|0;S=k[s>>2]|0;sC(S,261)|0;r=b;return n|0}default:{n=h+56|0;b=h+4|0;k[h>>2]=27524;k[n>>2]=27544;B=0;wa(508,h+56|0,b|0);S=B;B=0;if(S&1){S=Rb()|0;T=Q;U=S;vva(n);Qb(U|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[n>>2]=27488;B=0;va(448,b|0);S=B;B=0;do if(S&1){s=Rb()|0;V=Q;W=s}else{k[b>>2]=27560;s=h+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,b|0,c|0);R=B;B=0;if(R&1){R=Rb()|0;P=Q;Yua(c);Yua(s);Ava(b);V=P;W=R;break}Yua(c);B=0;R=Ia(40,h|0,134695,17)|0;P=B;B=0;b:do if(!(P&1)?(B=0,Xa(239,R|0,0)|0,O=B,B=0,!(O&1)):0){O=Ab(20)|0;B=0;eb(502,i|0,74107,73);a=B;B=0;do if(!(a&1)){B=0;eb(502,j|0,74921,17);m=B;B=0;if(m&1){m=Rb()|0;v=Q;Yua(i);X=v;Y=m;break}B=0;wa(510,l|0,b|0);m=B;B=0;if(m&1){m=Rb()|0;Z=1;_=m;$=Q}else{B=0;ua(163,O|0,i|0,j|0,2295,l|0);m=B;B=0;if(m&1)aa=1;else{B=0;eb(503,O|0,1240,229);B=0;aa=0}m=Rb()|0;v=Q;Yua(l);Z=aa;_=m;$=v}Yua(j);Yua(i);if(Z){X=$;Y=_}else{ba=_;ca=$;break b}}else{v=Rb()|0;X=Q;Y=v}while(0);zb(O|0);ba=Y;ca=X}else L=53;while(0);if((L|0)==53){R=Rb()|0;ba=R;ca=Q}k[h>>2]=27468;k[n>>2]=27488;k[b>>2]=27560;Yua(s);Ava(b);vva(n);M=ba;N=ca;Qb(M|0)}while(0);T=V;U=W;vva(n);Qb(U|0)}}return 0}function iB(a){a=a|0;return AA(a,3,4,5)|0}function jB(a,b,c,d,e,f){a=a|0;b=+b;c=+c;d=+d;e=+e;f=+f;var g=0.0,h=0.0;g=b*b+c*c+d*d;d=+$(+(+aa(+g)));c=g==-G?G:d;if(c*e/(f*6.0)<1.0){h=e*e/(f*12.0);return +h}else{h=e/(c*2.0);return +h}return +(0.0)}function kB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0.0,v=0.0,w=0.0,x=0.0;b=r;r=r+128|0;c=b+112|0;d=b+64|0;e=b+56|0;f=b+48|0;g=b;k[c>>2]=0;Uo(a,c);h=a+16|0;i=oC(k[h>>2]|0,674)|0;j=oC(k[h>>2]|0,677)|0;l=oC(k[h>>2]|0,679)|0;m=Qqa(72)|0;B=0;va(493,m|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;Sqa(m);q=o;s=n;Qb(s|0)}n=d+8|0;o=d+24|0;t=0;do{Fc[k[(k[m>>2]|0)+28>>2]&1023](m,t);nd[k[(k[i>>2]|0)+48>>2]&1023](i,e,m);nd[k[(k[j>>2]|0)+48>>2]&1023](j,f,m);u=+p[e>>3];v=+p[f>>3];Yo(a,d,k[c>>2]|0,m,i,j,l);w=+p[e>>3];x=+p[f>>3];p[g+(t<<3)>>3]=(+p[d>>3]*(w*w)+ +p[n>>3]*(x*x)+ +p[o>>3]*(w*(x*2.0)))/(u*u+v*v+1.0e-14);t=t+1|0}while((t|0)!=6);t=k[h>>2]|0;h=Qqa(16)|0;B=0;ib(285,h|0,262,g|0,738);g=B;B=0;if(g&1){g=Rb()|0;o=Q;Sqa(h);q=o;s=g;Qb(s|0)}mC(t,h)|0;Ec[k[(k[m>>2]|0)+4>>2]&1023](m);m=k[c>>2]|0;if(!m){r=b;return}Tqa(m);r=b;return}function lB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0.0,v=0.0,w=0.0,x=0.0;b=r;r=r+128|0;c=b+112|0;d=b+64|0;e=b+56|0;f=b+48|0;g=b;k[c>>2]=0;Uo(a,c);h=a+16|0;i=oC(k[h>>2]|0,674)|0;j=oC(k[h>>2]|0,677)|0;l=oC(k[h>>2]|0,679)|0;m=Qqa(72)|0;B=0;va(493,m|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;Sqa(m);q=o;s=n;Qb(s|0)}n=d+8|0;o=d+24|0;t=0;do{Fc[k[(k[m>>2]|0)+28>>2]&1023](m,t);nd[k[(k[i>>2]|0)+48>>2]&1023](i,e,m);nd[k[(k[j>>2]|0)+48>>2]&1023](j,f,m);u=+p[e>>3];v=+p[f>>3];Yo(a,d,k[c>>2]|0,m,i,j,l);w=+p[e>>3];x=+p[f>>3];p[g+(t<<3)>>3]=(+p[n>>3]*(w*w)+ +p[d>>3]*(x*x)-+p[o>>3]*(w*(x*2.0)))/(u*u+v*v+1.0e-14);t=t+1|0}while((t|0)!=6);t=k[h>>2]|0;h=Qqa(16)|0;B=0;ib(285,h|0,263,g|0,738);g=B;B=0;if(g&1){g=Rb()|0;o=Q;Sqa(h);q=o;s=g;Qb(s|0)}mC(t,h)|0;Ec[k[(k[m>>2]|0)+4>>2]&1023](m);m=k[c>>2]|0;if(!m){r=b;return}Tqa(m);r=b;return}function mB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0.0,W=0.0,X=0.0,Y=0.0,Z=0.0,_=0.0,$=0.0,aa=0,ba=0;b=r;r=r+288|0;c=b+240|0;d=b+216|0;e=b+208|0;f=b+200|0;g=b+192|0;h=b+184|0;i=b+176|0;j=b+168|0;l=b+160|0;m=b+152|0;n=b+144|0;o=b;if(!(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0)){r=b;return}q=c;s=q+48|0;do{k[q>>2]=0;q=q+4|0}while((q|0)<(s|0));q=o+88|0;s=o+16|0;t=o+112|0;u=o+40|0;v=d+8|0;w=o+136|0;x=o+64|0;y=d+16|0;z=a+16|0;A=a;a:while(1){Ko(o,k[A+24>>2]|0,6,0);p[d>>3]=(+p[q>>3]-+p[s>>3])*.5;p[v>>3]=(+p[t>>3]-+p[u>>3])*.5;p[y>>3]=(+p[w>>3]-+p[x>>3])*.5;C=oC(k[z>>2]|0,674)|0;D=oC(k[z>>2]|0,677)|0;E=oC(k[z>>2]|0,671)|0;F=oC(k[z>>2]|0,653)|0;G=oC(k[z>>2]|0,716)|0;H=oC(k[z>>2]|0,717)|0;I=oC(k[z>>2]|0,719)|0;J=oC(k[z>>2]|0,339)|0;K=oC(k[z>>2]|0,353)|0;L=0;do{M=Qqa(72)|0;B=0;ib(291,M|0,L|0,L+3|0,11);N=B;B=0;if(N&1){O=M;P=8;break a}N=Hc[k[(k[M>>2]|0)+8>>2]&511](M)|0;if((N|0)<(Hc[k[(k[M>>2]|0)+12>>2]&511](M)|0)){R=d+(L<<3)|0;S=M+8|0;T=c+(L<<3)|0;U=N;do{Fc[k[(k[M>>2]|0)+24>>2]&1023](M,U);nd[k[(k[F>>2]|0)+48>>2]&1023](F,e,M);nd[k[(k[C>>2]|0)+48>>2]&1023](C,f,M);nd[k[(k[D>>2]|0)+48>>2]&1023](D,g,M);nd[k[(k[E>>2]|0)+48>>2]&1023](E,h,M);nd[k[(k[G>>2]|0)+48>>2]&1023](G,i,M);nd[k[(k[H>>2]|0)+48>>2]&1023](H,j,M);nd[k[(k[I>>2]|0)+48>>2]&1023](I,l,M);nd[k[(k[J>>2]|0)+48>>2]&1023](J,m,M);nd[k[(k[K>>2]|0)+48>>2]&1023](K,n,M);V=+p[m>>3];W=V-+Lp(A,o,M);V=+p[f>>3];X=+p[g>>3];Y=+p[h>>3];Z=+p[m>>3];_=+p[n>>3];if(W<Z&W<_){$=+p[R>>3]*+p[S>>3]*((V*V*+p[i>>3]+X*X*+p[l>>3]+V*(X*2.0)*+p[j>>3])/(Y*Y+1.0e-06));Y=+KY(Z,_);_=$*+VY(W,Y,+p[n>>3]);p[T>>3]=+p[T>>3]+_}U=U+1|0}while((U|0)<(Hc[k[(k[M>>2]|0)+12>>2]&511](M)|0))}Ec[k[(k[M>>2]|0)+4>>2]&1023](M);L=L+1|0}while((L|0)<3);if(Hc[k[(k[A>>2]|0)+252>>2]&511](A)|0)break;A=k[(k[A+72>>2]|0)+4>>2]|0}if((P|0)==8){P=Rb()|0;A=Q;Sqa(O);aa=A;ba=P;Qb(ba|0)}P=k[z>>2]|0;z=Qqa(16)|0;B=0;ib(285,z|0,246,c|0,738);c=B;B=0;if(c&1){c=Rb()|0;A=Q;Sqa(z);aa=A;ba=c;Qb(ba|0)}else{mC(P,z)|0;nd[k[(k[a>>2]|0)+220>>2]&1023](a,246,-1);r=b;return}}function nB(a){a=a|0;var b=0,c=0,d=0.0,e=0,f=0.0;b=r;r=r+16|0;c=b;kC(k[a+16>>2]|0,c,533);if(!($p(a)|0)){d=0.0;r=b;return +d}do if((k[c>>2]|0)!=536)if(Hc[k[(k[a>>2]|0)+252>>2]&511](a)|0)if((k[c>>2]|0)==536){e=5;break}else break;else{d=0.0;r=b;return +d}else e=5;while(0);if((e|0)==5){if(!(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0)){d=0.0;r=b;return +d}if((k[c>>2]|0)==536){c=AA(a,0,1,2)|0;f=+Zc[k[(k[c>>2]|0)+456>>2]&255](c);e=k[c+28>>2]|0;if(e)Ec[k[(k[e>>2]|0)+4>>2]&1023](e);if(!c){d=f;r=b;return +d}Ec[k[(k[c>>2]|0)+4>>2]&1023](c);d=f;r=b;return +d}}c=AA(a,3,4,5)|0;f=+Zc[k[(k[c>>2]|0)+456>>2]&255](c);a=k[c+28>>2]|0;if(a)Ec[k[(k[a>>2]|0)+4>>2]&1023](a);if(!c){d=f;r=b;return +d}Ec[k[(k[c>>2]|0)+4>>2]&1023](c);d=f;r=b;return +d}function oB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0.0,g=0.0,h=0.0,i=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,s=0.0,t=0.0;b=r;r=r+160|0;c=b+144|0;d=b;dO(k[a+36>>2]|0,c,356);e=a+16|0;f=+qC(k[e>>2]|0,674);g=+qC(k[e>>2]|0,677);h=+qC(k[e>>2]|0,679);Ko(d,k[a+24>>2]|0,6,0);i=+p[d>>3];j=+p[d+8>>3];l=+p[d+16>>3];m=+p[d+24>>3];n=m<i?m:i;o=m>i?m:i;i=+p[d+32>>3];m=i<j?i:j;q=i>j?i:j;j=+p[d+40>>3];i=j<l?j:l;s=j>l?j:l;l=+p[d+48>>3];j=l<n?l:n;n=l>o?l:o;o=+p[d+56>>3];l=o<m?o:m;m=o>q?o:q;q=+p[d+64>>3];o=q<i?q:i;i=q>s?q:s;s=+p[d+72>>3];q=s<j?s:j;j=s>n?s:n;n=+p[d+80>>3];s=n<l?n:l;l=n>m?n:m;m=+p[d+88>>3];n=m<o?m:o;o=m>i?m:i;i=+p[d+96>>3];m=i<q?i:q;q=i>j?i:j;j=+p[d+104>>3];i=j<s?j:s;s=j>l?j:l;l=+p[d+112>>3];j=l<n?l:n;n=l>o?l:o;o=+p[d+120>>3];l=+p[d+128>>3];t=+p[d+136>>3];r=b;return +(+p[c>>3]/(f/((o>q?o:q)-(o<m?o:m))+g/((l>s?l:s)-(l<i?l:i))+h/((t>n?t:n)-(t<j?t:j))))}function pB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0.0,m=0.0,n=0,o=0,q=0.0,s=0.0,t=0.0;b=r;r=r+192|0;c=b+176|0;d=b+180|0;e=b+168|0;f=b+160|0;g=b+152|0;h=b+144|0;j=b;if(!($p(a)|0)){l=0.0;r=b;return +l}if(!(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0)){l=0.0;r=b;return +l}m=+WJ(k[a+32>>2]|0,265);n=Wo(a,40)|0;Wo(a,928)|0;Ko(j,k[a+24>>2]|0,6,0);Dc[k[(k[a>>2]|0)+132>>2]&255](a,c,e,f,d);o=hd[k[(k[a>>2]|0)+320>>2]&7](a,k[c>>2]|0,+p[e>>3],+p[f>>3],(i[d>>0]|0)!=1,3)|0;d=Hc[k[(k[o>>2]|0)+8>>2]&511](o)|0;if((d|0)<(Hc[k[(k[o>>2]|0)+12>>2]&511](o)|0)){f=o+8|0;q=0.0;e=d;while(1){Fc[k[(k[o>>2]|0)+24>>2]&1023](o,e);rd[k[(k[a>>2]|0)+264>>2]&511](a,h,j,o);nd[k[(k[n>>2]|0)+48>>2]&1023](n,g,o);s=q+ +p[g>>3]*+p[h>>3]*+p[f>>3];e=e+1|0;if((e|0)>=(Hc[k[(k[o>>2]|0)+12>>2]&511](o)|0)){t=s;break}else q=s}}else t=0.0;Ec[k[(k[o>>2]|0)+4>>2]&1023](o);l=m*t;r=b;return +l}function qB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0.0,m=0.0,n=0,o=0,q=0.0,s=0.0,t=0.0;b=r;r=r+192|0;c=b+176|0;d=b+180|0;e=b+168|0;f=b+160|0;g=b+152|0;h=b+144|0;j=b;if(!($p(a)|0)){l=0.0;r=b;return +l}if(!(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0)){l=0.0;r=b;return +l}m=+WJ(k[a+32>>2]|0,265);n=Wo(a,39)|0;Wo(a,928)|0;Ko(j,k[a+24>>2]|0,6,0);Dc[k[(k[a>>2]|0)+132>>2]&255](a,c,e,f,d);o=hd[k[(k[a>>2]|0)+320>>2]&7](a,k[c>>2]|0,+p[e>>3],+p[f>>3],(i[d>>0]|0)!=0,3)|0;d=Hc[k[(k[o>>2]|0)+8>>2]&511](o)|0;if((d|0)<(Hc[k[(k[o>>2]|0)+12>>2]&511](o)|0)){f=o+8|0;q=0.0;e=d;while(1){Fc[k[(k[o>>2]|0)+24>>2]&1023](o,e);rd[k[(k[a>>2]|0)+264>>2]&511](a,h,j,o);nd[k[(k[n>>2]|0)+48>>2]&1023](n,g,o);s=q+ +p[g>>3]*+p[h>>3]*+p[f>>3];e=e+1|0;if((e|0)>=(Hc[k[(k[o>>2]|0)+12>>2]&511](o)|0)){t=s;break}else q=s}}else t=0.0;Ec[k[(k[o>>2]|0)+4>>2]&1023](o);l=m*t;r=b;return +l}function rB(a){a=a|0;var b=0,c=0,d=0,e=0.0,f=0.0,g=0.0,h=0.0,i=0.0;b=r;r=r+160|0;c=b+144|0;d=b;e=+WJ(k[a+32>>2]|0,265);if(!($p(a)|0)){f=0.0;r=b;return +f}if(!(Hc[k[(k[a>>2]|0)+252>>2]&511](a)|0)){f=0.0;r=b;return +f}Ko(d,k[a+24>>2]|0,6,0);g=+p[d>>3];h=+p[d+8>>3];i=+$(+((g-+p[d+48>>3])*(+p[d+32>>3]-h)-(g-+p[d+24>>3])*(+p[d+56>>3]-h)))*.5;d=oC(k[a+16>>2]|0,388)|0;Fc[k[(k[d>>2]|0)+64>>2]&1023](d,c);f=e*i*+p[c>>3];r=b;return +f}function sB(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0.0,ha=0,ia=0;g=r;r=r+272|0;h=g+256|0;i=g+232|0;j=g+8|0;l=g+96|0;m=g+80|0;n=g+68|0;o=g+56|0;Gka(c,g,106352);zka(c,g+268|0,134866);k[(k[a+40>>2]|0)+(d<<2)>>2]=f;q=b*6|0;s=c+72|0;t=k[s>>2]|0;u=t+(q<<2)|0;k[i>>2]=k[u>>2];k[i+4>>2]=k[u+4>>2];k[i+8>>2]=k[u+8>>2];k[i+12>>2]=k[u+12>>2];k[i+16>>2]=k[u+16>>2];k[i+20>>2]=k[u+20>>2];do switch(f|0){case 738:{v=Rqa(24)|0;w=k[c+100>>2]|0;k[v>>2]=(k[u>>2]|0)+w;k[v+4>>2]=(k[t+((q|1)<<2)>>2]|0)+w;k[v+8>>2]=(k[t+(q+2<<2)>>2]|0)+w;k[v+12>>2]=(k[t+(q+3<<2)>>2]|0)+w;k[v+16>>2]=(k[t+(q+4<<2)>>2]|0)+w;k[v+20>>2]=(k[t+(q+5<<2)>>2]|0)+w;x=6;y=v;break}case 741:case 740:{v=Rqa(28)|0;w=k[c+100>>2]|0;k[v>>2]=(k[u>>2]|0)+w;k[v+4>>2]=(k[t+((q|1)<<2)>>2]|0)+w;k[v+8>>2]=(k[t+(q+2<<2)>>2]|0)+w;k[v+12>>2]=(k[t+(q+3<<2)>>2]|0)+w;k[v+16>>2]=(k[t+(q+4<<2)>>2]|0)+w;k[v+20>>2]=(k[t+(q+5<<2)>>2]|0)+w;k[v+24>>2]=b+1+w+(k[c+52>>2]|0);x=7;y=v;break}case 746:{v=Rqa(36)|0;w=k[c+100>>2]|0;k[v>>2]=(k[u>>2]|0)+w;k[v+4>>2]=(k[t+((q|1)<<2)>>2]|0)+w;k[v+8>>2]=(k[t+(q+2<<2)>>2]|0)+w;k[v+12>>2]=(k[t+(q+3<<2)>>2]|0)+w;k[v+16>>2]=(k[t+(q+4<<2)>>2]|0)+w;k[v+20>>2]=(k[t+(q+5<<2)>>2]|0)+w;z=b*9|0;A=k[c+84>>2]|0;C=w+1+(k[c+52>>2]|0)|0;k[v+24>>2]=C+(k[A+(z<<2)>>2]|0);k[v+28>>2]=C+(k[A+(z+1<<2)>>2]|0);k[v+32>>2]=C+(k[A+(z+2<<2)>>2]|0);x=9;y=v;break}case 747:{v=Rqa(48)|0;z=k[c+100>>2]|0;k[v>>2]=(k[u>>2]|0)+z;k[v+4>>2]=(k[t+((q|1)<<2)>>2]|0)+z;k[v+8>>2]=(k[t+(q+2<<2)>>2]|0)+z;k[v+12>>2]=(k[t+(q+3<<2)>>2]|0)+z;k[v+16>>2]=(k[t+(q+4<<2)>>2]|0)+z;k[v+20>>2]=(k[t+(q+5<<2)>>2]|0)+z;A=k[c+52>>2]|0;C=b*9|0;w=k[c+84>>2]|0;D=w+(C<<2)|0;E=z+1+A|0;k[v+24>>2]=E+(k[D>>2]<<1);F=w+(C+1<<2)|0;k[v+28>>2]=E+(k[F>>2]<<1);G=w+(C+2<<2)|0;k[v+32>>2]=E+(k[G>>2]<<1);E=z+2+A|0;k[v+36>>2]=E+(k[D>>2]<<1);k[v+40>>2]=E+(k[F>>2]<<1);k[v+44>>2]=E+(k[G>>2]<<1);x=12;y=v;break}case 745:{v=Rqa(48)|0;G=k[c+100>>2]|0;k[v>>2]=(k[u>>2]|0)+G;k[v+4>>2]=(k[t+((q|1)<<2)>>2]|0)+G;k[v+8>>2]=(k[t+(q+2<<2)>>2]|0)+G;k[v+12>>2]=(k[t+(q+3<<2)>>2]|0)+G;k[v+16>>2]=(k[t+(q+4<<2)>>2]|0)+G;k[v+20>>2]=(k[t+(q+5<<2)>>2]|0)+G;E=b*9|0;F=k[c+84>>2]|0;D=G+1+(k[c+52>>2]|0)|0;k[v+24>>2]=D+(k[F+(E+3<<2)>>2]|0);k[v+28>>2]=D+(k[F+(E+4<<2)>>2]|0);k[v+32>>2]=D+(k[F+(E+5<<2)>>2]|0);k[v+36>>2]=D+(k[F+(E+6<<2)>>2]|0);k[v+40>>2]=D+(k[F+(E+7<<2)>>2]|0);k[v+44>>2]=D+(k[F+(E+8<<2)>>2]|0);x=12;y=v;break}case 748:{v=Rqa(120)|0;E=c+100|0;F=k[E>>2]|0;k[v>>2]=(k[u>>2]|0)+F;k[v+4>>2]=(k[t+((q|1)<<2)>>2]|0)+F;k[v+8>>2]=(k[t+(q+2<<2)>>2]|0)+F;k[v+12>>2]=(k[t+(q+3<<2)>>2]|0)+F;k[v+16>>2]=(k[t+(q+4<<2)>>2]|0)+F;k[v+20>>2]=(k[t+(q+5<<2)>>2]|0)+F;D=c+52|0;G=k[D>>2]|0;A=b*9|0;z=c+84|0;C=k[z>>2]|0;w=C+(A<<2)|0;H=F+1+G|0;k[v+24>>2]=H+((k[w>>2]|0)*3|0);F=A+1|0;I=C+(F<<2)|0;k[v+28>>2]=H+((k[I>>2]|0)*3|0);J=A+2|0;K=C+(J<<2)|0;k[v+32>>2]=H+((k[K>>2]|0)*3|0);k[v+36>>2]=H+((k[C+(A+3<<2)>>2]|0)*3|0);k[v+40>>2]=H+((k[C+(A+4<<2)>>2]|0)*3|0);k[v+44>>2]=H+((k[C+(A+5<<2)>>2]|0)*3|0);k[v+48>>2]=H+((k[C+(A+6<<2)>>2]|0)*3|0);H=k[E>>2]|0;L=H+1|0;M=L+G|0;k[v+52>>2]=M+((k[C+(A+7<<2)>>2]|0)*3|0);k[v+56>>2]=M+((k[C+(A+8<<2)>>2]|0)*3|0);A=H+2|0;C=A+G|0;k[v+60>>2]=C+((k[w>>2]|0)*3|0);k[v+64>>2]=C+((k[I>>2]|0)*3|0);k[v+68>>2]=C+((k[K>>2]|0)*3|0);K=k[D>>2]|0;D=H+3+K|0;k[v+72>>2]=D+((k[w>>2]|0)*3|0);w=k[z>>2]|0;k[v+76>>2]=D+((k[w+(F<<2)>>2]|0)*3|0);k[v+80>>2]=D+((k[w+(J<<2)>>2]|0)*3|0);J=k[c+64>>2]|0;w=b*5|0;D=k[c+88>>2]|0;F=D+(w+2<<2)|0;z=L+K|0;k[v+84>>2]=z+(((k[F>>2]|0)+J|0)*3|0);L=D+(w+3<<2)|0;k[v+88>>2]=z+(((k[L>>2]|0)+J|0)*3|0);H=D+(w+4<<2)|0;k[v+92>>2]=z+(((k[H>>2]|0)+J|0)*3|0);k[v+96>>2]=A+K+(((k[F>>2]|0)+J|0)*3|0);A=k[E>>2]|0;E=A+2+K|0;k[v+100>>2]=E+(((k[L>>2]|0)+J|0)*3|0);k[v+104>>2]=E+(((k[H>>2]|0)+J|0)*3|0);E=A+3+K|0;k[v+108>>2]=E+(((k[F>>2]|0)+J|0)*3|0);k[v+112>>2]=E+(((k[L>>2]|0)+J|0)*3|0);k[v+116>>2]=E+(((k[H>>2]|0)+J|0)*3|0);x=30;y=v;break}case 742:{v=Rqa(72)|0;J=c+100|0;H=k[J>>2]|0;k[v>>2]=(k[u>>2]|0)+H;k[v+4>>2]=(k[t+((q|1)<<2)>>2]|0)+H;k[v+8>>2]=(k[t+(q+2<<2)>>2]|0)+H;k[v+12>>2]=(k[t+(q+3<<2)>>2]|0)+H;k[v+16>>2]=(k[t+(q+4<<2)>>2]|0)+H;k[v+20>>2]=(k[t+(q+5<<2)>>2]|0)+H;E=k[c+52>>2]|0;L=b*9|0;F=k[c+84>>2]|0;K=H+1+E|0;k[v+24>>2]=K+(k[F+(L<<2)>>2]|0);k[v+28>>2]=K+(k[F+(L+1<<2)>>2]|0);k[v+32>>2]=K+(k[F+(L+2<<2)>>2]|0);k[v+36>>2]=K+(k[F+(L+3<<2)>>2]|0);k[v+40>>2]=K+(k[F+(L+4<<2)>>2]|0);k[v+44>>2]=K+(k[F+(L+5<<2)>>2]|0);k[v+48>>2]=K+(k[F+(L+6<<2)>>2]|0);k[v+52>>2]=K+(k[F+(L+7<<2)>>2]|0);K=(k[J>>2]|0)+1+E|0;k[v+56>>2]=K+(k[F+(L+8<<2)>>2]|0);L=b*5|0;F=k[c+88>>2]|0;E=K+(k[c+64>>2]|0)|0;k[v+60>>2]=E+(k[F+(L+2<<2)>>2]|0);k[v+64>>2]=E+(k[F+(L+3<<2)>>2]|0);k[v+68>>2]=E+(k[F+(L+4<<2)>>2]|0);x=18;y=v;break}case 744:case 743:{v=Rqa(76)|0;L=c+100|0;F=k[L>>2]|0;k[v>>2]=(k[u>>2]|0)+F;k[v+4>>2]=(k[t+((q|1)<<2)>>2]|0)+F;k[v+8>>2]=(k[t+(q+2<<2)>>2]|0)+F;k[v+12>>2]=(k[t+(q+3<<2)>>2]|0)+F;k[v+16>>2]=(k[t+(q+4<<2)>>2]|0)+F;k[v+20>>2]=(k[t+(q+5<<2)>>2]|0)+F;E=k[c+52>>2]|0;K=b*9|0;J=k[c+84>>2]|0;H=F+1+E|0;k[v+24>>2]=H+(k[J+(K<<2)>>2]|0);k[v+28>>2]=H+(k[J+(K+1<<2)>>2]|0);k[v+32>>2]=H+(k[J+(K+2<<2)>>2]|0);k[v+36>>2]=H+(k[J+(K+3<<2)>>2]|0);k[v+40>>2]=H+(k[J+(K+4<<2)>>2]|0);k[v+44>>2]=H+(k[J+(K+5<<2)>>2]|0);k[v+48>>2]=H+(k[J+(K+6<<2)>>2]|0);k[v+52>>2]=H+(k[J+(K+7<<2)>>2]|0);H=k[L>>2]|0;L=H+1+E|0;k[v+56>>2]=L+(k[J+(K+8<<2)>>2]|0);K=k[c+64>>2]|0;J=b*5|0;F=k[c+88>>2]|0;A=L+K|0;k[v+60>>2]=A+(k[F+(J+2<<2)>>2]|0);k[v+64>>2]=A+(k[F+(J+3<<2)>>2]|0);k[v+68>>2]=A+(k[F+(J+4<<2)>>2]|0);k[v+72>>2]=b+1+H+E+K+(k[c+60>>2]|0);x=19;y=v;break}case 750:case 749:{v=Rqa(48)|0;K=k[c+100>>2]|0;k[v>>2]=(k[u>>2]|0)+K;E=t+((q|1)<<2)|0;k[v+4>>2]=(k[E>>2]|0)+K;H=t+(q+2<<2)|0;k[v+8>>2]=(k[H>>2]|0)+K;J=t+(q+3<<2)|0;k[v+12>>2]=(k[J>>2]|0)+K;F=t+(q+4<<2)|0;k[v+16>>2]=(k[F>>2]|0)+K;A=t+(q+5<<2)|0;k[v+20>>2]=(k[A>>2]|0)+K;L=(k[c+52>>2]|0)+K|0;k[v+24>>2]=L+(k[u>>2]|0);k[v+28>>2]=L+(k[E>>2]|0);k[v+32>>2]=L+(k[H>>2]|0);k[v+36>>2]=L+(k[J>>2]|0);k[v+40>>2]=L+(k[F>>2]|0);k[v+44>>2]=L+(k[A>>2]|0);x=12;y=v;break}case 752:case 751:{v=Rqa(52)|0;A=k[c+100>>2]|0;k[v>>2]=(k[u>>2]|0)+A;L=t+((q|1)<<2)|0;k[v+4>>2]=(k[L>>2]|0)+A;F=t+(q+2<<2)|0;k[v+8>>2]=(k[F>>2]|0)+A;J=t+(q+3<<2)|0;k[v+12>>2]=(k[J>>2]|0)+A;H=t+(q+4<<2)|0;k[v+16>>2]=(k[H>>2]|0)+A;E=t+(q+5<<2)|0;k[v+20>>2]=(k[E>>2]|0)+A;K=k[c+52>>2]|0;k[v+24>>2]=b+1+A+K;z=K+A+(k[c+56>>2]|0)|0;k[v+28>>2]=z+(k[u>>2]|0);k[v+32>>2]=z+(k[L>>2]|0);k[v+36>>2]=z+(k[F>>2]|0);k[v+40>>2]=z+(k[J>>2]|0);k[v+44>>2]=z+(k[H>>2]|0);k[v+48>>2]=z+(k[E>>2]|0);x=13;y=v;break}case 753:{v=Rqa(96)|0;E=c+100|0;z=k[E>>2]|0;k[v>>2]=(k[u>>2]|0)+z;H=q|1;k[v+4>>2]=(k[t+(H<<2)>>2]|0)+z;J=q+2|0;k[v+8>>2]=(k[t+(J<<2)>>2]|0)+z;F=q+3|0;k[v+12>>2]=(k[t+(F<<2)>>2]|0)+z;L=q+4|0;k[v+16>>2]=(k[t+(L<<2)>>2]|0)+z;A=q+5|0;k[v+20>>2]=(k[t+(A<<2)>>2]|0)+z;K=c+52|0;w=k[K>>2]|0;D=b*9|0;C=k[c+84>>2]|0;I=z+1+w|0;k[v+24>>2]=I+(k[C+(D<<2)>>2]|0);k[v+28>>2]=I+(k[C+(D+1<<2)>>2]|0);k[v+32>>2]=I+(k[C+(D+2<<2)>>2]|0);k[v+36>>2]=I+(k[C+(D+3<<2)>>2]|0);k[v+40>>2]=I+(k[C+(D+4<<2)>>2]|0);k[v+44>>2]=I+(k[C+(D+5<<2)>>2]|0);k[v+48>>2]=I+(k[C+(D+6<<2)>>2]|0);k[v+52>>2]=I+(k[C+(D+7<<2)>>2]|0);I=k[E>>2]|0;E=I+1+w|0;k[v+56>>2]=E+(k[C+(D+8<<2)>>2]|0);D=k[c+64>>2]|0;C=b*5|0;z=k[c+88>>2]|0;G=E+D|0;k[v+60>>2]=G+(k[z+(C+2<<2)>>2]|0);k[v+64>>2]=G+(k[z+(C+3<<2)>>2]|0);k[v+68>>2]=G+(k[z+(C+4<<2)>>2]|0);C=k[c+60>>2]|0;z=k[s>>2]|0;k[v+72>>2]=w+I+D+C+(k[z+(q<<2)>>2]|0);w=(k[K>>2]|0)+I+D+C|0;k[v+76>>2]=w+(k[z+(H<<2)>>2]|0);k[v+80>>2]=w+(k[z+(J<<2)>>2]|0);k[v+84>>2]=w+(k[z+(F<<2)>>2]|0);k[v+88>>2]=w+(k[z+(L<<2)>>2]|0);k[v+92>>2]=w+(k[z+(A<<2)>>2]|0);x=24;y=v;break}case 754:{v=Rqa(72)|0;A=c+100|0;z=k[A>>2]|0;k[v>>2]=(k[u>>2]|0)+z;k[v+4>>2]=(k[t+((q|1)<<2)>>2]|0)+z;k[v+8>>2]=(k[t+(q+2<<2)>>2]|0)+z;k[v+12>>2]=(k[t+(q+3<<2)>>2]|0)+z;k[v+16>>2]=(k[t+(q+4<<2)>>2]|0)+z;k[v+20>>2]=(k[t+(q+5<<2)>>2]|0)+z;w=k[c+52>>2]|0;L=b*9|0;F=k[c+84>>2]|0;J=z+1+w|0;k[v+24>>2]=J+(k[F+(L<<2)>>2]|0);k[v+28>>2]=J+(k[F+(L+1<<2)>>2]|0);k[v+32>>2]=J+(k[F+(L+2<<2)>>2]|0);k[v+36>>2]=J+(k[F+(L+3<<2)>>2]|0);k[v+40>>2]=J+(k[F+(L+4<<2)>>2]|0);k[v+44>>2]=J+(k[F+(L+5<<2)>>2]|0);k[v+48>>2]=J+(k[F+(L+6<<2)>>2]|0);k[v+52>>2]=J+(k[F+(L+7<<2)>>2]|0);J=(k[A>>2]|0)+1+w|0;k[v+56>>2]=J+(k[F+(L+8<<2)>>2]|0);L=b*5|0;F=k[c+88>>2]|0;w=J+(k[c+64>>2]|0)|0;k[v+60>>2]=w+(k[F+(L+2<<2)>>2]|0);k[v+64>>2]=w+(k[F+(L+3<<2)>>2]|0);k[v+68>>2]=w+(k[F+(L+4<<2)>>2]|0);x=18;y=v;break}case 756:{v=Rqa(144)|0;L=c+100|0;F=k[L>>2]|0;k[v>>2]=(k[u>>2]|0)+F;w=q|1;k[v+4>>2]=(k[t+(w<<2)>>2]|0)+F;J=q+2|0;k[v+8>>2]=(k[t+(J<<2)>>2]|0)+F;A=q+3|0;k[v+12>>2]=(k[t+(A<<2)>>2]|0)+F;z=q+4|0;k[v+16>>2]=(k[t+(z<<2)>>2]|0)+F;H=q+5|0;k[v+20>>2]=(k[t+(H<<2)>>2]|0)+F;C=c+52|0;D=k[C>>2]|0;I=b*9|0;K=c+84|0;G=k[K>>2]|0;E=G+(I<<2)|0;M=F+1+D|0;k[v+24>>2]=M+((k[E>>2]|0)*3|0);F=I+1|0;N=G+(F<<2)|0;k[v+28>>2]=M+((k[N>>2]|0)*3|0);O=I+2|0;P=G+(O<<2)|0;k[v+32>>2]=M+((k[P>>2]|0)*3|0);k[v+36>>2]=M+((k[G+(I+3<<2)>>2]|0)*3|0);k[v+40>>2]=M+((k[G+(I+4<<2)>>2]|0)*3|0);k[v+44>>2]=M+((k[G+(I+5<<2)>>2]|0)*3|0);k[v+48>>2]=M+((k[G+(I+6<<2)>>2]|0)*3|0);M=k[L>>2]|0;R=M+1|0;S=R+D|0;k[v+52>>2]=S+((k[G+(I+7<<2)>>2]|0)*3|0);k[v+56>>2]=S+((k[G+(I+8<<2)>>2]|0)*3|0);I=M+2|0;G=I+D|0;k[v+60>>2]=G+((k[E>>2]|0)*3|0);k[v+64>>2]=G+((k[N>>2]|0)*3|0);k[v+68>>2]=G+((k[P>>2]|0)*3|0);P=k[C>>2]|0;G=M+3+P|0;k[v+72>>2]=G+((k[E>>2]|0)*3|0);E=k[K>>2]|0;k[v+76>>2]=G+((k[E+(F<<2)>>2]|0)*3|0);k[v+80>>2]=G+((k[E+(O<<2)>>2]|0)*3|0);O=c+64|0;E=k[O>>2]|0;G=b*5|0;F=k[c+88>>2]|0;K=F+(G+2<<2)|0;M=R+P|0;k[v+84>>2]=M+(((k[K>>2]|0)+E|0)*3|0);R=F+(G+3<<2)|0;k[v+88>>2]=M+(((k[R>>2]|0)+E|0)*3|0);N=F+(G+4<<2)|0;k[v+92>>2]=M+(((k[N>>2]|0)+E|0)*3|0);k[v+96>>2]=I+P+(((k[K>>2]|0)+E|0)*3|0);I=k[L>>2]|0;L=I+2+P|0;k[v+100>>2]=L+(((k[R>>2]|0)+E|0)*3|0);k[v+104>>2]=L+(((k[N>>2]|0)+E|0)*3|0);L=I+3+P|0;k[v+108>>2]=L+(((k[K>>2]|0)+E|0)*3|0);k[v+112>>2]=L+(((k[R>>2]|0)+E|0)*3|0);k[v+116>>2]=L+(((k[N>>2]|0)+E|0)*3|0);N=k[c+60>>2]|0;L=k[s>>2]|0;R=(N+E|0)*3|0;E=(k[C>>2]|0)+I|0;k[v+120>>2]=E+(k[L+(q<<2)>>2]|0)+R;k[v+124>>2]=E+(k[L+(w<<2)>>2]|0)+R;R=(N+(k[O>>2]|0)|0)*3|0;k[v+128>>2]=E+(k[L+(J<<2)>>2]|0)+R;k[v+132>>2]=E+(k[L+(A<<2)>>2]|0)+R;k[v+136>>2]=E+(k[L+(z<<2)>>2]|0)+R;k[v+140>>2]=E+(k[L+(H<<2)>>2]|0)+R;x=36;y=v;break}case 757:{v=Rqa(100)|0;R=c+100|0;H=k[R>>2]|0;k[v>>2]=(k[u>>2]|0)+H;L=q|1;k[v+4>>2]=(k[t+(L<<2)>>2]|0)+H;E=q+2|0;k[v+8>>2]=(k[t+(E<<2)>>2]|0)+H;z=q+3|0;k[v+12>>2]=(k[t+(z<<2)>>2]|0)+H;A=q+4|0;k[v+16>>2]=(k[t+(A<<2)>>2]|0)+H;J=q+5|0;k[v+20>>2]=(k[t+(J<<2)>>2]|0)+H;O=c+52|0;N=k[O>>2]|0;w=b*9|0;I=k[c+84>>2]|0;C=H+1+N|0;k[v+24>>2]=C+(k[I+(w<<2)>>2]|0);k[v+28>>2]=C+(k[I+(w+1<<2)>>2]|0);k[v+32>>2]=C+(k[I+(w+2<<2)>>2]|0);k[v+36>>2]=C+(k[I+(w+3<<2)>>2]|0);k[v+40>>2]=C+(k[I+(w+4<<2)>>2]|0);k[v+44>>2]=C+(k[I+(w+5<<2)>>2]|0);k[v+48>>2]=C+(k[I+(w+6<<2)>>2]|0);k[v+52>>2]=C+(k[I+(w+7<<2)>>2]|0);C=k[R>>2]|0;R=C+1+N|0;k[v+56>>2]=R+(k[I+(w+8<<2)>>2]|0);w=k[c+64>>2]|0;I=b*5|0;H=k[c+88>>2]|0;K=R+w|0;k[v+60>>2]=K+(k[H+(I+2<<2)>>2]|0);k[v+64>>2]=K+(k[H+(I+3<<2)>>2]|0);k[v+68>>2]=K+(k[H+(I+4<<2)>>2]|0);I=k[c+60>>2]|0;k[v+72>>2]=b+1+C+N+w+I;N=k[O>>2]|0;O=k[c+56>>2]|0;k[v+76>>2]=L+C+N+w+I+O;k[v+80>>2]=E+C+N+w+I+O;k[v+84>>2]=z+C+N+w+I+O;k[v+88>>2]=A+C+N+w+I+O;k[v+92>>2]=J+C+N+w+I+O;k[v+96>>2]=q+6+C+N+w+I+O;x=25;y=v;break}case 758:{v=Rqa(76)|0;O=c+100|0;I=k[O>>2]|0;k[v>>2]=(k[u>>2]|0)+I;k[v+4>>2]=(k[t+((q|1)<<2)>>2]|0)+I;k[v+8>>2]=(k[t+(q+2<<2)>>2]|0)+I;k[v+12>>2]=(k[t+(q+3<<2)>>2]|0)+I;k[v+16>>2]=(k[t+(q+4<<2)>>2]|0)+I;k[v+20>>2]=(k[t+(q+5<<2)>>2]|0)+I;w=k[c+52>>2]|0;N=b*9|0;C=k[c+84>>2]|0;J=I+1+w|0;k[v+24>>2]=J+(k[C+(N<<2)>>2]|0);k[v+28>>2]=J+(k[C+(N+1<<2)>>2]|0);k[v+32>>2]=J+(k[C+(N+2<<2)>>2]|0);k[v+36>>2]=J+(k[C+(N+3<<2)>>2]|0);k[v+40>>2]=J+(k[C+(N+4<<2)>>2]|0);k[v+44>>2]=J+(k[C+(N+5<<2)>>2]|0);k[v+48>>2]=J+(k[C+(N+6<<2)>>2]|0);k[v+52>>2]=J+(k[C+(N+7<<2)>>2]|0);J=k[O>>2]|0;O=J+1+w|0;k[v+56>>2]=O+(k[C+(N+8<<2)>>2]|0);N=k[c+64>>2]|0;C=b*5|0;I=k[c+88>>2]|0;A=O+N|0;k[v+60>>2]=A+(k[I+(C+2<<2)>>2]|0);k[v+64>>2]=A+(k[I+(C+3<<2)>>2]|0);k[v+68>>2]=A+(k[I+(C+4<<2)>>2]|0);k[v+72>>2]=b+1+J+w+N+(k[c+60>>2]|0);x=19;y=v;break}default:{v=l+56|0;N=l+4|0;k[l>>2]=27524;k[v>>2]=27544;B=0;wa(508,l+56|0,N|0);w=B;B=0;if(w&1){w=Rb()|0;T=Q;U=w;vva(v);Qb(U|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[v>>2]=27488;B=0;va(448,N|0);w=B;B=0;do if(w&1){J=Rb()|0;V=Q;W=J}else{k[N>>2]=27560;J=l+36|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;k[J+12>>2]=0;k[l+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,N|0,h|0);C=B;B=0;if(C&1){C=Rb()|0;I=Q;Yua(h);Yua(J);Ava(N);V=I;W=C;break}Yua(h);B=0;C=Ia(40,l|0,145867,15)|0;I=B;B=0;a:do if((((!(I&1)?(B=0,A=ya(427,f|0)|0,O=B,B=0,!(O&1)):0)?(O=Lta(A)|0,B=0,z=Ia(40,C|0,A|0,O|0)|0,O=B,B=0,!(O&1)):0)?(B=0,O=Ia(40,z|0,146481,18)|0,z=B,B=0,!(z&1)):0)?(B=0,Xa(239,O|0,0)|0,O=B,B=0,!(O&1)):0){O=Ab(20)|0;B=0;eb(502,m|0,74107,73);z=B;B=0;do if(!(z&1)){B=0;eb(502,n|0,74939,6);A=B;B=0;if(A&1){A=Rb()|0;E=Q;Yua(m);X=E;Y=A;break}B=0;wa(510,o|0,N|0);A=B;B=0;if(A&1){A=Rb()|0;Z=Q;_=A;$=1}else{B=0;ua(163,O|0,m|0,n|0,3063,o|0);A=B;B=0;if(A&1)aa=1;else{B=0;eb(503,O|0,1240,229);B=0;aa=0}A=Rb()|0;E=Q;Yua(o);Z=E;_=A;$=aa}Yua(n);Yua(m);if($){X=Z;Y=_}else{ba=Z;ca=_;break a}}else{A=Rb()|0;X=Q;Y=A}while(0);zb(O|0);ba=X;ca=Y}else da=35;while(0);if((da|0)==35){C=Rb()|0;ba=Q;ca=C}k[l>>2]=27468;k[v>>2]=27488;k[N>>2]=27560;Yua(J);Ava(N);vva(v);ea=ba;fa=ca;Qb(fa|0)}while(0);T=V;U=W;vva(v);Qb(U|0)}}while(0);Xq(a+48|0,y,x,d);k[a+20>>2]=0;Tqa(y);nd[k[(k[a>>2]|0)+548>>2]&1023](a,b,c);if((e|0)!=497){r=g;return}e=(Jka(c,129145)|0)+(b<<3)|0;do if(+p[e>>3]==541.0){if((Jka(c,135096)|0)!=0?(Jka(c,129435)|0)!=0:0){y=(k[i>>2]|0)+-1|0;d=(Jka(c,135096)|0)+(y<<3)|0;ga=+p[d>>3];d=(Jka(c,129435)|0)+(y<<3)|0;p[j>>3]=ga*+p[d>>3];d=i+4|0;y=(k[d>>2]|0)+-1|0;x=(Jka(c,135096)|0)+(y<<3)|0;ga=+p[x>>3];x=(Jka(c,129435)|0)+(y<<3)|0;y=j+8|0;p[y>>3]=ga*+p[x>>3];x=i+8|0;U=(k[x>>2]|0)+-1|0;W=(Jka(c,135096)|0)+(U<<3)|0;ga=+p[W>>3];W=(Jka(c,129435)|0)+(U<<3)|0;U=j+16|0;p[U>>3]=ga*+p[W>>3];W=i+12|0;V=(k[W>>2]|0)+-1|0;T=(Jka(c,135096)|0)+(V<<3)|0;ga=+p[T>>3];T=(Jka(c,129435)|0)+(V<<3)|0;V=j+24|0;p[V>>3]=ga*+p[T>>3];T=(k[i+16>>2]|0)+-1|0;ca=(Jka(c,135096)|0)+(T<<3)|0;ga=+p[ca>>3];ca=(Jka(c,129435)|0)+(T<<3)|0;ba=j+32|0;p[ba>>3]=ga*+p[ca>>3];ca=(k[i+20>>2]|0)+-1|0;l=(Jka(c,135096)|0)+(ca<<3)|0;ga=+p[l>>3];l=(Jka(c,129435)|0)+(ca<<3)|0;da=j+40|0;p[da>>3]=ga*+p[l>>3];l=a+16|0;Y=k[l>>2]|0;X=Qqa(16)|0;B=0;ib(285,X|0,683,j|0,738);_=B;B=0;if(_&1){_=Rb()|0;Z=Q;Sqa(X);ea=Z;fa=_;Qb(fa|0)}mC(Y,X)|0;X=(k[i>>2]|0)+-1|0;Y=(Jka(c,135096)|0)+(X<<3)|0;ga=+p[Y>>3];Y=(Jka(c,129435)|0)+(X<<3)|0;p[j>>3]=ga*(1.0-+p[Y>>3]);Y=(k[d>>2]|0)+-1|0;d=(Jka(c,135096)|0)+(Y<<3)|0;ga=+p[d>>3];d=(Jka(c,129435)|0)+(Y<<3)|0;p[y>>3]=ga*(1.0-+p[d>>3]);d=(k[x>>2]|0)+-1|0;x=(Jka(c,135096)|0)+(d<<3)|0;ga=+p[x>>3];x=(Jka(c,129435)|0)+(d<<3)|0;p[U>>3]=ga*(1.0-+p[x>>3]);x=(k[W>>2]|0)+-1|0;W=(Jka(c,135096)|0)+(x<<3)|0;ga=+p[W>>3];W=(Jka(c,129435)|0)+(x<<3)|0;p[V>>3]=ga*(1.0-+p[W>>3]);W=(Jka(c,135096)|0)+(T<<3)|0;ga=+p[W>>3];W=(Jka(c,129435)|0)+(T<<3)|0;p[ba>>3]=ga*(1.0-+p[W>>3]);W=(Jka(c,135096)|0)+(ca<<3)|0;ga=+p[W>>3];W=(Jka(c,129435)|0)+(ca<<3)|0;p[da>>3]=ga*(1.0-+p[W>>3]);W=k[l>>2]|0;l=Qqa(16)|0;B=0;ib(285,l|0,681,j|0,738);da=B;B=0;if(!(da&1)){mC(W,l)|0;break}W=Rb()|0;da=Q;Sqa(l);ea=da;fa=W;Qb(fa|0)}ha=j;ia=ha+48|0;do{k[ha>>2]=0;ha=ha+4|0}while((ha|0)<(ia|0));v=a+16|0;W=k[v>>2]|0;da=Qqa(16)|0;B=0;ib(285,da|0,683,j|0,738);l=B;B=0;if(l&1){l=Rb()|0;ca=Q;Sqa(da);ea=ca;fa=l;Qb(fa|0)}mC(W,da)|0;da=k[v>>2]|0;v=Qqa(16)|0;B=0;ib(285,v|0,681,j|0,738);W=B;B=0;if(!(W&1)){mC(da,v)|0;break}da=Rb()|0;W=Q;Sqa(v);ea=W;fa=da;Qb(fa|0)}while(0);e=(Jka(c,129145)|0)+(b<<3)|0;if(!(+p[e>>3]==538.0)){r=g;return}if((Jka(c,135096)|0)!=0?(Jka(c,129435)|0)!=0:0){e=(k[i>>2]|0)+-1|0;b=(Jka(c,135096)|0)+(e<<3)|0;ga=+p[b>>3];b=(Jka(c,129435)|0)+(e<<3)|0;p[j>>3]=ga*+p[b>>3];b=(k[i+4>>2]|0)+-1|0;da=(Jka(c,135096)|0)+(b<<3)|0;ga=+p[da>>3];da=(Jka(c,129435)|0)+(b<<3)|0;W=j+8|0;p[W>>3]=ga*+p[da>>3];da=(k[i+8>>2]|0)+-1|0;v=(Jka(c,135096)|0)+(da<<3)|0;ga=+p[v>>3];v=(Jka(c,129435)|0)+(da<<3)|0;l=j+16|0;p[l>>3]=ga*+p[v>>3];v=(k[i+12>>2]|0)+-1|0;ca=(Jka(c,135096)|0)+(v<<3)|0;ga=+p[ca>>3];ca=(Jka(c,129435)|0)+(v<<3)|0;ba=j+24|0;p[ba>>3]=ga*+p[ca>>3];ca=(k[i+16>>2]|0)+-1|0;T=(Jka(c,135096)|0)+(ca<<3)|0;ga=+p[T>>3];T=(Jka(c,129435)|0)+(ca<<3)|0;V=j+32|0;p[V>>3]=ga*+p[T>>3];T=(k[i+20>>2]|0)+-1|0;i=(Jka(c,135096)|0)+(T<<3)|0;ga=+p[i>>3];i=(Jka(c,129435)|0)+(T<<3)|0;x=j+40|0;p[x>>3]=ga*+p[i>>3];i=a+16|0;U=k[i>>2]|0;d=Qqa(16)|0;B=0;ib(285,d|0,683,j|0,738);y=B;B=0;if(y&1){y=Rb()|0;Y=Q;Sqa(d);ea=Y;fa=y;Qb(fa|0)}mC(U,d)|0;d=(Jka(c,135096)|0)+(e<<3)|0;ga=+p[d>>3];d=(Jka(c,129435)|0)+(e<<3)|0;p[j>>3]=ga*(1.0-+p[d>>3]);d=(Jka(c,135096)|0)+(b<<3)|0;ga=+p[d>>3];d=(Jka(c,129435)|0)+(b<<3)|0;p[W>>3]=ga*(1.0-+p[d>>3]);d=(Jka(c,135096)|0)+(da<<3)|0;ga=+p[d>>3];d=(Jka(c,129435)|0)+(da<<3)|0;p[l>>3]=ga*(1.0-+p[d>>3]);d=(Jka(c,135096)|0)+(v<<3)|0;ga=+p[d>>3];d=(Jka(c,129435)|0)+(v<<3)|0;p[ba>>3]=ga*(1.0-+p[d>>3]);d=(Jka(c,135096)|0)+(ca<<3)|0;ga=+p[d>>3];d=(Jka(c,129435)|0)+(ca<<3)|0;p[V>>3]=ga*(1.0-+p[d>>3]);d=(Jka(c,135096)|0)+(T<<3)|0;ga=+p[d>>3];d=(Jka(c,129435)|0)+(T<<3)|0;p[x>>3]=ga*(1.0-+p[d>>3]);d=k[i>>2]|0;i=Qqa(16)|0;B=0;ib(285,i|0,680,j|0,738);x=B;B=0;if(x&1){x=Rb()|0;T=Q;Sqa(i);ea=T;fa=x;Qb(fa|0)}else{mC(d,i)|0;r=g;return}}ha=j;ia=ha+48|0;do{k[ha>>2]=0;ha=ha+4|0}while((ha|0)<(ia|0));ha=a+16|0;a=k[ha>>2]|0;ia=Qqa(16)|0;B=0;ib(285,ia|0,683,j|0,738);i=B;B=0;if(i&1){i=Rb()|0;d=Q;Sqa(ia);ea=d;fa=i;Qb(fa|0)}mC(a,ia)|0;ia=k[ha>>2]|0;ha=Qqa(16)|0;B=0;ib(285,ha|0,680,j|0,738);j=B;B=0;if(j&1){j=Rb()|0;a=Q;Sqa(ha);ea=a;fa=j;Qb(fa|0)}else{mC(ia,ha)|0;r=g;return}}function tB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;b=r;r=r+32|0;c=b+16|0;d=b+8|0;e=b;if(!(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0)){r=b;return}cO(k[a+36>>2]|0,c,575);f=a+16|0;g=oC(k[f>>2]|0,k[c>>2]|0)|0;c=oC(k[f>>2]|0,287)|0;f=Qqa(72)|0;B=0;va(493,f|0);h=B;B=0;if(h&1){h=Rb()|0;Sqa(f);Qb(h|0)}h=a+44|0;if((XB(a,k[h>>2]|0)|0)>0){i=a+20|0;j=0;do{nd[k[(k[f>>2]|0)+32>>2]&1023](f,k[h>>2]|0,j);nd[k[(k[c>>2]|0)+48>>2]&1023](c,e,f);if(+p[e>>3]==1.0){nd[k[(k[g>>2]|0)+48>>2]&1023](g,d,f);Un(k[(k[i>>2]|0)+(j<<2)>>2]|0,0,+p[d>>3])}j=j+1|0}while((j|0)<(XB(a,k[h>>2]|0)|0))}Ec[k[(k[f>>2]|0)+4>>2]&1023](f);r=b;return}function uB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;b=r;r=r+16|0;c=b+8|0;d=b;if(!(Hc[k[(k[a>>2]|0)+252>>2]&511](a)|0)){r=b;return}cO(k[a+36>>2]|0,c,575);e=oC(k[a+16>>2]|0,k[c>>2]|0)|0;c=Qqa(72)|0;B=0;va(493,c|0);f=B;B=0;if(f&1){f=Rb()|0;Sqa(c);Qb(f|0)}f=a+20|0;nd[k[(k[c>>2]|0)+32>>2]&1023](c,738,3);nd[k[(k[e>>2]|0)+48>>2]&1023](e,d,c);Un(k[(k[f>>2]|0)+12>>2]|0,0,+p[d>>3]);nd[k[(k[c>>2]|0)+32>>2]&1023](c,738,4);nd[k[(k[e>>2]|0)+48>>2]&1023](e,d,c);Un(k[(k[f>>2]|0)+16>>2]|0,0,+p[d>>3]);nd[k[(k[c>>2]|0)+32>>2]&1023](c,738,5);nd[k[(k[e>>2]|0)+48>>2]&1023](e,d,c);Un(k[(k[f>>2]|0)+20>>2]|0,0,+p[d>>3]);Ec[k[(k[c>>2]|0)+4>>2]&1023](c);r=b;return}function vB(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0;e=a+24|0;a=c+4|0;f=0;g=0;while(1){h=b+((Co(k[(k[e>>2]|0)+(f<<2)>>2]|0)|0)<<3)|0;if(+p[h>>3]!=0.0){h=Co(k[(k[e>>2]|0)+(f<<2)>>2]|0)|0;if(k[c>>2]|0){i=k[k[a>>2]>>2]|0;Jc[k[(k[i>>2]|0)+20>>2]&1](i,h,-1.0,0)}h=d+((Co(k[(k[e>>2]|0)+(f<<2)>>2]|0)|0)<<3)|0;if(+p[h>>3]>=0.0)j=g+1|0;else j=g}else j=g;f=f+1|0;if((f|0)==6){l=j;break}else g=j}return l|0}function wB(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;WB(a,b,c,d,e,738);return}function xB(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ZB(a,b,c,d,738);return}function yB(a){a=a|0;return hC(a,k[a+44>>2]|0)|0}function zB(a,b){a=a|0;b=b|0;return Ao(k[(k[a+24>>2]|0)+(b<<2)>>2]|0)|0}function AB(a,b,c){a=a|0;b=b|0;c=c|0;a=Rqa(24)|0;k[a>>2]=0;k[a+4>>2]=3;k[a+8>>2]=1;k[a+12>>2]=4;k[a+16>>2]=2;k[a+20>>2]=5;k[b>>2]=a;k[c>>2]=3;return}function BB(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0;h=r;r=r+64|0;i=h+56|0;j=h+48|0;l=h;Yo(a,l,c,d,e,f,g);m=k[a+28>>2]|0;Tc[k[(k[m>>2]|0)+108>>2]&15](m,j,3,c,d,e,f,g);Fp(a,i,l,+p[j>>3]);p[b>>3]=+p[i>>3];r=h;return}function CB(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0.0,o=0.0,q=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;e=r;r=r+240|0;f=e+224|0;g=e;h=e+88|0;i=e+72|0;j=e+60|0;l=e+48|0;m=Rqa(96)|0;xp(a,g,d);n=+p[g>>3];o=+p[g+8>>3];q=+p[g+16>>3];if(n*o>0.0){s=q/(q-o);t=q/(q-n);g=q<0.0;d=g&1;u=+p[c+48>>3];a=g?3:0;p[m+(a<<3)>>3]=u+s*(+p[c+24>>3]-u);v=+p[c+56>>3];p[m+(a+1<<3)>>3]=v+s*(+p[c+32>>3]-v);w=+p[c+64>>3];p[m+(a+2<<3)>>3]=w+s*(+p[c+40>>3]-w);a=0-(d^1)&3;p[m+(a<<3)>>3]=u+t*(+p[c>>3]-u);p[m+(a+1<<3)>>3]=v+t*(+p[c+8>>3]-v);p[m+(a+2<<3)>>3]=w+t*(+p[c+16>>3]-w);w=+p[c+120>>3];a=(d^3)*3|0;p[m+(a<<3)>>3]=w+s*(+p[c+96>>3]-w);v=+p[c+128>>3];p[m+(a+1<<3)>>3]=v+s*(+p[c+104>>3]-v);u=+p[c+136>>3];p[m+(a+2<<3)>>3]=u+s*(+p[c+112>>3]-u);a=(d|2)*3|0;p[m+(a<<3)>>3]=w+t*(+p[c+72>>3]-w);p[m+(a+1<<3)>>3]=v+t*(+p[c+80>>3]-v);p[m+(a+2<<3)>>3]=u+t*(+p[c+88>>3]-u);k[b>>2]=m;r=e;return}if(o*q>0.0){u=n/(n-q);t=n/(n-o);a=n<0.0;d=a&1;v=+p[c>>3];g=a?3:0;p[m+(g<<3)>>3]=v+u*(+p[c+48>>3]-v);w=+p[c+8>>3];p[m+(g+1<<3)>>3]=w+u*(+p[c+56>>3]-w);s=+p[c+16>>3];p[m+(g+2<<3)>>3]=s+u*(+p[c+64>>3]-s);g=0-(d^1)&3;p[m+(g<<3)>>3]=v+t*(+p[c+24>>3]-v);p[m+(g+1<<3)>>3]=w+t*(+p[c+32>>3]-w);p[m+(g+2<<3)>>3]=s+t*(+p[c+40>>3]-s);s=+p[c+72>>3];g=(d^3)*3|0;p[m+(g<<3)>>3]=s+u*(+p[c+120>>3]-s);w=+p[c+80>>3];p[m+(g+1<<3)>>3]=w+u*(+p[c+128>>3]-w);v=+p[c+88>>3];p[m+(g+2<<3)>>3]=v+u*(+p[c+136>>3]-v);g=(d|2)*3|0;p[m+(g<<3)>>3]=s+t*(+p[c+96>>3]-s);p[m+(g+1<<3)>>3]=w+t*(+p[c+104>>3]-w);p[m+(g+2<<3)>>3]=v+t*(+p[c+112>>3]-v);k[b>>2]=m;r=e;return}if(n*q>0.0){v=o/(o-n);t=o/(o-q);g=o<0.0;d=g&1;w=+p[c+24>>3];a=g?3:0;p[m+(a<<3)>>3]=w+v*(+p[c>>3]-w);s=+p[c+32>>3];p[m+(a+1<<3)>>3]=s+v*(+p[c+8>>3]-s);u=+p[c+40>>3];p[m+(a+2<<3)>>3]=u+v*(+p[c+16>>3]-u);a=0-(d^1)&3;p[m+(a<<3)>>3]=w+t*(+p[c+48>>3]-w);p[m+(a+1<<3)>>3]=s+t*(+p[c+56>>3]-s);p[m+(a+2<<3)>>3]=u+t*(+p[c+64>>3]-u);u=+p[c+96>>3];a=(d^3)*3|0;p[m+(a<<3)>>3]=u+v*(+p[c+72>>3]-u);s=+p[c+104>>3];p[m+(a+1<<3)>>3]=s+v*(+p[c+80>>3]-s);w=+p[c+112>>3];p[m+(a+2<<3)>>3]=w+v*(+p[c+88>>3]-w);a=(d|2)*3|0;p[m+(a<<3)>>3]=u+t*(+p[c+120>>3]-u);p[m+(a+1<<3)>>3]=s+t*(+p[c+128>>3]-s);p[m+(a+2<<3)>>3]=w+t*(+p[c+136>>3]-w);k[b>>2]=m;r=e;return}a=n==0.0;d=o==0.0;if(a&d){p[m>>3]=+p[c>>3];p[m+8>>3]=+p[c+8>>3];p[m+16>>3]=+p[c+16>>3];p[m+24>>3]=+p[c+24>>3];p[m+32>>3]=+p[c+32>>3];p[m+40>>3]=+p[c+40>>3];p[m+48>>3]=+p[c+96>>3];p[m+56>>3]=+p[c+104>>3];p[m+64>>3]=+p[c+112>>3];p[m+72>>3]=+p[c+72>>3];p[m+80>>3]=+p[c+80>>3];p[m+88>>3]=+p[c+88>>3];k[b>>2]=m;r=e;return}g=q==0.0;if(a&g){p[m>>3]=+p[c+48>>3];p[m+8>>3]=+p[c+56>>3];p[m+16>>3]=+p[c+64>>3];p[m+24>>3]=+p[c>>3];p[m+32>>3]=+p[c+8>>3];p[m+40>>3]=+p[c+16>>3];p[m+48>>3]=+p[c+72>>3];p[m+56>>3]=+p[c+80>>3];p[m+64>>3]=+p[c+88>>3];p[m+72>>3]=+p[c+120>>3];p[m+80>>3]=+p[c+128>>3];p[m+88>>3]=+p[c+136>>3];k[b>>2]=m;r=e;return}if(d&g){p[m>>3]=+p[c+24>>3];p[m+8>>3]=+p[c+32>>3];p[m+16>>3]=+p[c+40>>3];p[m+24>>3]=+p[c+48>>3];p[m+32>>3]=+p[c+56>>3];p[m+40>>3]=+p[c+64>>3];p[m+48>>3]=+p[c+120>>3];p[m+56>>3]=+p[c+128>>3];p[m+64>>3]=+p[c+136>>3];p[m+72>>3]=+p[c+96>>3];p[m+80>>3]=+p[c+104>>3];p[m+88>>3]=+p[c+112>>3];k[b>>2]=m;r=e;return}e=h+56|0;m=h+4|0;k[h>>2]=27524;k[e>>2]=27544;B=0;wa(508,h+56|0,m|0);b=B;B=0;if(b&1){b=Rb()|0;x=Q;y=b;vva(e);Qb(y|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[e>>2]=27488;B=0;va(448,m|0);b=B;B=0;do if(b&1){c=Rb()|0;z=Q;A=c}else{k[m>>2]=27560;c=h+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[h+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,m|0,f|0);g=B;B=0;if(g&1){g=Rb()|0;d=Q;Yua(f);Yua(c);Ava(m);z=d;A=g;break}Yua(f);B=0;g=Ia(40,h|0,74946,16)|0;d=B;B=0;if(!(d&1)?(B=0,Xa(239,g|0,0)|0,g=B,B=0,!(g&1)):0){g=Ab(20)|0;B=0;eb(502,i|0,74107,73);d=B;B=0;do if(!(d&1)){B=0;eb(502,j|0,74963,23);a=B;B=0;if(a&1){a=Rb()|0;C=Q;Yua(i);D=C;E=a;break}B=0;wa(510,l|0,m|0);a=B;B=0;if(a&1){a=Rb()|0;F=Q;G=a;H=1}else{B=0;ua(163,g|0,i|0,j|0,3373,l|0);a=B;B=0;if(a&1)I=1;else{B=0;eb(503,g|0,1240,229);B=0;I=0}a=Rb()|0;C=Q;Yua(l);F=C;G=a;H=I}Yua(j);Yua(i);if(H){D=F;E=G}else{J=F;K=G;k[h>>2]=27468;k[e>>2]=27488;k[m>>2]=27560;Yua(c);Ava(m);vva(e);Qb(K|0)}}else{a=Rb()|0;D=Q;E=a}while(0);zb(g|0);J=D;K=E;k[h>>2]=27468;k[e>>2]=27488;k[m>>2]=27560;Yua(c);Ava(m);vva(e);Qb(K|0)}d=Rb()|0;J=Q;K=d;k[h>>2]=27468;k[e>>2]=27488;k[m>>2]=27560;Yua(c);Ava(m);vva(e);Qb(K|0)}while(0);x=z;y=A;vva(e);Qb(y|0)}function DB(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,74987,35)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,74107,73);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,75023,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,3382,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function EB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,75047,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,75327,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,50,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function FB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,75047,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,75312,14);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,54,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function GB(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,a|0,75047,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,75292,19);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(a);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,a|0,f|0,73,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(a);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(E|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function HB(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;f=r;r=r+192|0;e=f+176|0;d=f+40|0;c=f+24|0;b=f+12|0;a=f;f=d+56|0;g=d+4|0;k[d>>2]=27524;k[f>>2]=27544;B=0;wa(508,d+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(f);Qb(j|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[f>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=d+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[d+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,g|0,e|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(e);Yua(l);Ava(g);m=p;n=o;break}Yua(e);B=0;o=Ia(40,d|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,c|0,75047,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,b|0,75268,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(c);v=u;w=t;break}B=0;wa(510,a|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,c|0,b|0,74,a|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(a);x=u;y=t;z=A}Yua(b);Yua(c);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(D|0)}while(0);i=m;j=n;vva(f);Qb(j|0)}function IB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,75047,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,75251,16);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,100,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function JB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,75047,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,98621,7);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,111,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return +(0.0)}function KB(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,75047,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,99229,6);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,115,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0);return +(0.0)}function LB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,75047,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,75240,10);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,116,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return +(0.0)}function MB(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,75047,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,75231,8);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,119,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0);return 0}function NB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,75047,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,75211,19);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,158,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function OB(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=+h;var i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;f=r;r=r+192|0;e=f+176|0;d=f+40|0;c=f+24|0;b=f+12|0;a=f;f=d+56|0;i=d+4|0;k[d>>2]=27524;k[f>>2]=27544;B=0;wa(508,d+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(f);Qb(m|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[f>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=d+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[d+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,i|0,e|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(e);Yua(n);Ava(i);o=s;p=q;break}Yua(e);B=0;q=Ia(40,d|0,149435,20)|0;s=B;B=0;a:do if(!(s&1)?(B=0,Xa(239,q|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,c|0,75047,85);u=B;B=0;do if(!(u&1)){B=0;eb(502,b|0,75190,20);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(c);x=w;y=v;break}B=0;wa(510,a|0,i|0);v=B;B=0;if(v&1){v=Rb()|0;z=Q;A=v;C=1}else{B=0;ua(163,t|0,c|0,b|0,185,a|0);v=B;B=0;if(v&1)D=1;else{B=0;eb(503,t|0,1240,229);B=0;D=0}v=Rb()|0;w=Q;Yua(a);z=w;A=v;C=D}Yua(b);Yua(c);if(C){x=z;y=A}else{E=z;F=A;break a}}else{v=Rb()|0;x=Q;y=v}while(0);zb(t|0);E=x;F=y}else G=16;while(0);if((G|0)==16){q=Rb()|0;E=Q;F=q}k[d>>2]=27468;k[f>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(f);Qb(F|0)}while(0);l=o;m=p;vva(f);Qb(m|0)}function PB(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=+h;var i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;f=r;r=r+192|0;e=f+176|0;d=f+40|0;c=f+24|0;b=f+12|0;a=f;f=d+56|0;i=d+4|0;k[d>>2]=27524;k[f>>2]=27544;B=0;wa(508,d+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(f);Qb(m|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[f>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=d+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[d+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,i|0,e|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(e);Yua(n);Ava(i);o=s;p=q;break}Yua(e);B=0;q=Ia(40,d|0,149435,20)|0;s=B;B=0;a:do if(!(s&1)?(B=0,Xa(239,q|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,c|0,75047,85);u=B;B=0;do if(!(u&1)){B=0;eb(502,b|0,75166,23);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(c);x=w;y=v;break}B=0;wa(510,a|0,i|0);v=B;B=0;if(v&1){v=Rb()|0;z=Q;A=v;C=1}else{B=0;ua(163,t|0,c|0,b|0,186,a|0);v=B;B=0;if(v&1)D=1;else{B=0;eb(503,t|0,1240,229);B=0;D=0}v=Rb()|0;w=Q;Yua(a);z=w;A=v;C=D}Yua(b);Yua(c);if(C){x=z;y=A}else{E=z;F=A;break a}}else{v=Rb()|0;x=Q;y=v}while(0);zb(t|0);E=x;F=y}else G=16;while(0);if((G|0)==16){q=Rb()|0;E=Q;F=q}k[d>>2]=27468;k[f>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(f);Qb(F|0)}while(0);l=o;m=p;vva(f);Qb(m|0)}function QB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149435,20)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,75047,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,75153,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,188,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return +(0.0)}function RB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149435,20)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,75047,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,75143,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,187,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function SB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149435,20)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,75047,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,75133,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,174,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function TB(a){a=a|0;return}function UB(a){a=a|0;return}function VB(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;a=r;r=r+192|0;e=a+176|0;f=a+40|0;g=a+24|0;h=a+12|0;i=a;switch(d|0){case 739:case 738:{j=Rqa(12)|0;k[j>>2]=0;k[j+4>>2]=1;k[j+8>>2]=2;l=j;m=3;k[b>>2]=m;k[c>>2]=l;r=a;return}case 741:case 740:{j=Rqa(12)|0;k[j>>2]=0;k[j+4>>2]=1;k[j+8>>2]=2;l=j;m=3;k[b>>2]=m;k[c>>2]=l;r=a;return}case 745:{j=Rqa(24)|0;k[j>>2]=0;k[j+4>>2]=1;k[j+8>>2]=2;k[j+12>>2]=6;k[j+16>>2]=7;k[j+20>>2]=8;l=j;m=6;k[b>>2]=m;k[c>>2]=l;r=a;return}case 746:{j=Rqa(12)|0;k[j>>2]=0;k[j+4>>2]=1;k[j+8>>2]=2;l=j;m=3;k[b>>2]=m;k[c>>2]=l;r=a;return}case 747:{j=Rqa(12)|0;k[j>>2]=0;k[j+4>>2]=1;k[j+8>>2]=2;l=j;m=3;k[b>>2]=m;k[c>>2]=l;r=a;return}case 742:{j=Rqa(24)|0;k[j>>2]=0;k[j+4>>2]=1;k[j+8>>2]=2;k[j+12>>2]=9;k[j+16>>2]=10;k[j+20>>2]=11;l=j;m=6;k[b>>2]=m;k[c>>2]=l;r=a;return}case 743:{j=Rqa(24)|0;k[j>>2]=0;k[j+4>>2]=1;k[j+8>>2]=2;k[j+12>>2]=9;k[j+16>>2]=10;k[j+20>>2]=11;l=j;m=6;k[b>>2]=m;k[c>>2]=l;r=a;return}case 748:{j=Rqa(24)|0;k[j>>2]=0;k[j+4>>2]=1;k[j+8>>2]=2;k[j+12>>2]=9;k[j+16>>2]=10;k[j+20>>2]=11;l=j;m=6;k[b>>2]=m;k[c>>2]=l;r=a;return}default:{a=f+56|0;l=f+4|0;k[f>>2]=27524;k[a>>2]=27544;B=0;wa(508,f+56|0,l|0);c=B;B=0;if(c&1){c=Rb()|0;n=Q;o=c;vva(a);Qb(o|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[a>>2]=27488;B=0;va(448,l|0);c=B;B=0;do if(c&1){m=Rb()|0;p=Q;q=m}else{k[l>>2]=27560;m=f+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,l|0,e|0);b=B;B=0;if(b&1){b=Rb()|0;j=Q;Yua(e);Yua(m);Ava(l);p=j;q=b;break}Yua(e);B=0;b=Ia(40,f|0,132447,13)|0;j=B;B=0;if((((!(j&1)?(B=0,j=ya(427,d|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(j)|0,B=0,t=Ia(40,b|0,j|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,146481,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,g|0,75348,76);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,75425,16);j=B;B=0;if(j&1){j=Rb()|0;b=Q;Yua(g);u=b;v=j;break}B=0;wa(510,i|0,l|0);j=B;B=0;if(j&1){j=Rb()|0;w=Q;x=j;y=1}else{B=0;ua(163,s|0,g|0,h|0,115,i|0);j=B;B=0;if(j&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}j=Rb()|0;b=Q;Yua(i);w=b;x=j;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[a>>2]=27488;k[l>>2]=27560;Yua(m);Ava(l);vva(a);Qb(C|0)}}else{j=Rb()|0;u=Q;v=j}while(0);zb(s|0);A=u;C=v;k[f>>2]=27468;k[a>>2]=27488;k[l>>2]=27560;Yua(m);Ava(l);vva(a);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[f>>2]=27468;k[a>>2]=27488;k[l>>2]=27560;Yua(m);Ava(l);vva(a);Qb(C|0)}while(0);n=p;o=q;vva(a);Qb(o|0)}}}function WB(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0;g=r;r=r+720|0;h=g;i=XB(0,f)|0;YB(a,h,d,e,f);f=(i|0)>0;if(f){j=0.0;e=0;while(1){k=j+ +p[h+(e<<3)>>3]*+p[c+(e<<3)>>3];e=e+1|0;if((e|0)==(i|0)){l=k;break}else j=k}if(f){j=0.0;e=0;while(1){k=j+ +p[h+(e+i<<3)>>3]*+p[c+(e<<3)>>3];e=e+1|0;if((e|0)==(i|0)){m=k;break}else j=k}if(f){f=i<<1;j=0.0;e=0;while(1){k=j+ +p[h+(e+f<<3)>>3]*+p[c+(e<<3)>>3];e=e+1|0;if((e|0)==(i|0)){n=l;o=m;q=k;break}else j=k}}else{n=l;o=m;q=0.0}}else{n=l;o=0.0;q=0.0}}else{n=0.0;o=0.0;q=0.0}p[b>>3]=n;p[b+8>>3]=o;p[b+16>>3]=q;r=g;return}function XB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;do switch(b|0){case 736:{h=1;r=a;return h|0}case 738:{h=6;r=a;return h|0}case 739:{h=6;r=a;return h|0}case 740:{h=7;r=a;return h|0}case 741:{h=7;r=a;return h|0}case 742:{h=18;r=a;return h|0}case 743:{h=19;r=a;return h|0}case 744:{h=19;r=a;return h|0}case 745:{h=12;r=a;return h|0}case 746:{h=9;r=a;return h|0}case 748:{h=30;r=a;return h|0}case 747:{h=12;r=a;return h|0}case 749:{h=12;r=a;return h|0}case 750:{h=12;r=a;return h|0}case 752:{h=13;r=a;return h|0}case 751:{h=13;r=a;return h|0}case 753:{h=24;r=a;return h|0}case 754:{h=18;r=a;return h|0}case 756:{h=36;r=a;return h|0}case 757:{h=25;r=a;return h|0}case 758:{h=19;r=a;return h|0}case 921:{h=0;r=a;return h|0}default:{i=d+56|0;j=d+4|0;k[d>>2]=27524;k[i>>2]=27544;B=0;wa(508,d+56|0,j|0);l=B;B=0;if(l&1){l=Rb()|0;m=Q;n=l;vva(i);Qb(n|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[i>>2]=27488;B=0;va(448,j|0);l=B;B=0;do if(l&1){o=Rb()|0;p=Q;q=o}else{k[j>>2]=27560;o=d+36|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[o+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,j|0,c|0);s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(c);Yua(o);Ava(j);p=t;q=s;break}Yua(c);B=0;s=Ia(40,d|0,132447,13)|0;t=B;B=0;if((((!(t&1)?(B=0,t=ya(427,b|0)|0,u=B,B=0,!(u&1)):0)?(u=Lta(t)|0,B=0,v=Ia(40,s|0,t|0,u|0)|0,u=B,B=0,!(u&1)):0)?(B=0,u=Ia(40,v|0,146481,18)|0,v=B,B=0,!(v&1)):0)?(B=0,Xa(239,u|0,0)|0,u=B,B=0,!(u&1)):0){u=Ab(20)|0;B=0;eb(502,e|0,75348,76);v=B;B=0;do if(!(v&1)){B=0;eb(502,f|0,75442,13);t=B;B=0;if(t&1){t=Rb()|0;s=Q;Yua(e);w=s;x=t;break}B=0;wa(510,g|0,j|0);t=B;B=0;if(t&1){t=Rb()|0;y=Q;z=t;A=1}else{B=0;ua(163,u|0,e|0,f|0,1054,g|0);t=B;B=0;if(t&1)C=1;else{B=0;eb(503,u|0,1240,229);B=0;C=0}t=Rb()|0;s=Q;Yua(g);y=s;z=t;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;k[d>>2]=27468;k[i>>2]=27488;k[j>>2]=27560;Yua(o);Ava(j);vva(i);Qb(E|0)}}else{t=Rb()|0;w=Q;x=t}while(0);zb(u|0);D=w;E=x;k[d>>2]=27468;k[i>>2]=27488;k[j>>2]=27560;Yua(o);Ava(j);vva(i);Qb(E|0)}v=Rb()|0;D=Q;E=v;k[d>>2]=27468;k[i>>2]=27488;k[j>>2]=27560;Yua(o);Ava(j);vva(i);Qb(E|0)}while(0);m=p;n=q;vva(i);Qb(n|0)}}while(0);return 0}function YB(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0;a=r;r=r+864|0;f=a+792|0;g=a+720|0;h=a;i=XB(0,e)|0;bC(0,h,d,e);$B(0,f,c,d);eY(g,f);if((i|0)<=0){r=a;return}j=+p[g>>3];k=+p[g+8>>3];l=+p[g+16>>3];f=i<<1;m=+p[g+24>>3];n=+p[g+32>>3];o=+p[g+40>>3];q=+p[g+48>>3];s=+p[g+56>>3];t=+p[g+64>>3];g=0;do{u=+p[h+(g<<3)>>3];d=g+i|0;v=+p[h+(d<<3)>>3];c=g+f|0;w=+p[h+(c<<3)>>3];p[b+(g<<3)>>3]=j*u+k*v+l*w;p[b+(d<<3)>>3]=m*u+n*v+o*w;p[b+(c<<3)>>3]=q*u+s*v+t*w;g=g+1|0}while((g|0)!=(i|0));r=a;return}function ZB(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0.0,j=0.0,k=0.0;a=r;r=r+240|0;f=a;g=XB(0,e)|0;_B(0,f,d,e);if((g|0)>0){h=0;i=0.0}else{j=0.0;p[b>>3]=j;r=a;return}while(1){k=i+ +p[f+(h<<3)>>3]*+p[c+(h<<3)>>3];h=h+1|0;if((h|0)==(g|0)){j=k;break}else i=k}p[b>>3]=j;r=a;return}function _B(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0.0,l=0,m=0.0,n=0,o=0,q=0.0,s=0.0,t=0.0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;a=r;r=r+192|0;e=a+176|0;f=a+40|0;g=a+24|0;h=a+12|0;i=a;j=+p[c+64>>3];do switch(d|0){case 736:{p[b>>3]=1.0;r=a;return}case 739:case 738:{l=c+40|0;m=1.0-j;p[b>>3]=m*+p[l>>3]*.5;n=c+48|0;p[b+8>>3]=m*+p[n>>3]*.5;o=c+56|0;p[b+16>>3]=m*+p[o>>3]*.5;m=j+1.0;p[b+24>>3]=m*+p[l>>3]*.5;p[b+32>>3]=m*+p[n>>3]*.5;p[b+40>>3]=m*+p[o>>3]*.5;r=a;return}case 741:case 740:{o=c+40|0;m=1.0-j;p[b>>3]=m*+p[o>>3]*.5;n=c+48|0;p[b+8>>3]=m*+p[n>>3]*.5;l=c+56|0;p[b+16>>3]=m*+p[l>>3]*.5;q=j+1.0;p[b+24>>3]=q*+p[o>>3]*.5;p[b+32>>3]=q*+p[n>>3]*.5;p[b+40>>3]=q*+p[l>>3]*.5;p[b+48>>3]=m*(q*(+p[o>>3]*27.0*+p[n>>3]*+p[l>>3]));r=a;return}case 745:{l=c+40|0;q=+p[l>>3];m=1.0-j;p[b>>3]=m*(q*(q*2.0+-1.0))*.5;n=c+48|0;q=+p[n>>3];p[b+8>>3]=m*(q*(q*2.0+-1.0))*.5;o=c+56|0;q=+p[o>>3];p[b+16>>3]=m*(q*(q*2.0+-1.0))*.5;q=+p[l>>3];s=j+1.0;p[b+24>>3]=s*(q*(q*2.0+-1.0))*.5;q=+p[n>>3];p[b+32>>3]=s*(q*(q*2.0+-1.0))*.5;q=+p[o>>3];p[b+40>>3]=s*(q*(q*2.0+-1.0))*.5;p[b+48>>3]=m*(+p[o>>3]*4.0*+p[n>>3])*.5;p[b+56>>3]=m*(+p[o>>3]*4.0*+p[l>>3])*.5;p[b+64>>3]=m*(+p[l>>3]*4.0*+p[n>>3])*.5;p[b+72>>3]=s*(+p[o>>3]*4.0*+p[n>>3])*.5;p[b+80>>3]=s*(+p[o>>3]*4.0*+p[l>>3])*.5;p[b+88>>3]=s*(+p[l>>3]*4.0*+p[n>>3])*.5;r=a;return}case 746:{n=c+40|0;s=j+-1.0;p[b>>3]=s*(j*+p[n>>3])*.5;l=c+48|0;p[b+8>>3]=s*(j*+p[l>>3])*.5;o=c+56|0;p[b+16>>3]=s*(j*+p[o>>3])*.5;s=j+1.0;p[b+24>>3]=s*(j*+p[n>>3])*.5;p[b+32>>3]=s*(j*+p[l>>3])*.5;p[b+40>>3]=s*(j*+p[o>>3])*.5;s=1.0-j*j;p[b+48>>3]=s*+p[n>>3];p[b+56>>3]=s*+p[l>>3];p[b+64>>3]=s*+p[o>>3];r=a;return}case 742:{o=c+40|0;s=+p[o>>3];m=j+-1.0;p[b>>3]=m*(j*(s*(s*2.0+-1.0)))*.5;l=c+48|0;s=+p[l>>3];p[b+8>>3]=m*(j*(s*(s*2.0+-1.0)))*.5;n=c+56|0;s=+p[n>>3];p[b+16>>3]=m*(j*(s*(s*2.0+-1.0)))*.5;s=+p[o>>3];q=j+1.0;p[b+24>>3]=q*(j*(s*(s*2.0+-1.0)))*.5;s=+p[l>>3];p[b+32>>3]=q*(j*(s*(s*2.0+-1.0)))*.5;s=+p[n>>3];p[b+40>>3]=q*(j*(s*(s*2.0+-1.0)))*.5;s=+p[o>>3];t=1.0-j*j;p[b+48>>3]=t*(s*(s*2.0+-1.0));s=+p[l>>3];p[b+56>>3]=t*(s*(s*2.0+-1.0));s=+p[n>>3];p[b+64>>3]=t*(s*(s*2.0+-1.0));p[b+72>>3]=m*(j*(+p[n>>3]*4.0*+p[l>>3]))*.5;p[b+80>>3]=m*(j*(+p[n>>3]*4.0*+p[o>>3]))*.5;p[b+88>>3]=m*(j*(+p[o>>3]*4.0*+p[l>>3]))*.5;p[b+96>>3]=q*(j*(+p[n>>3]*4.0*+p[l>>3]))*.5;p[b+104>>3]=q*(j*(+p[n>>3]*4.0*+p[o>>3]))*.5;p[b+112>>3]=q*(j*(+p[o>>3]*4.0*+p[l>>3]))*.5;p[b+120>>3]=t*(+p[n>>3]*4.0*+p[l>>3]);p[b+128>>3]=t*(+p[n>>3]*4.0*+p[o>>3]);p[b+136>>3]=t*(+p[o>>3]*4.0*+p[l>>3]);r=a;return}case 744:case 743:{l=c+40|0;t=+p[l>>3];q=j+-1.0;p[b>>3]=q*(j*(t*(t*2.0+-1.0)))*.5;o=c+48|0;t=+p[o>>3];p[b+8>>3]=q*(j*(t*(t*2.0+-1.0)))*.5;n=c+56|0;t=+p[n>>3];p[b+16>>3]=q*(j*(t*(t*2.0+-1.0)))*.5;t=+p[l>>3];m=j+1.0;p[b+24>>3]=m*(j*(t*(t*2.0+-1.0)))*.5;t=+p[o>>3];p[b+32>>3]=m*(j*(t*(t*2.0+-1.0)))*.5;t=+p[n>>3];p[b+40>>3]=m*(j*(t*(t*2.0+-1.0)))*.5;t=+p[l>>3];s=1.0-j*j;p[b+48>>3]=s*(t*(t*2.0+-1.0));t=+p[o>>3];p[b+56>>3]=s*(t*(t*2.0+-1.0));t=+p[n>>3];p[b+64>>3]=s*(t*(t*2.0+-1.0));p[b+72>>3]=q*(j*(+p[n>>3]*4.0*+p[o>>3]))*.5;p[b+80>>3]=q*(j*(+p[n>>3]*4.0*+p[l>>3]))*.5;p[b+88>>3]=q*(j*(+p[l>>3]*4.0*+p[o>>3]))*.5;p[b+96>>3]=m*(j*(+p[n>>3]*4.0*+p[o>>3]))*.5;p[b+104>>3]=m*(j*(+p[n>>3]*4.0*+p[l>>3]))*.5;p[b+112>>3]=m*(j*(+p[l>>3]*4.0*+p[o>>3]))*.5;p[b+120>>3]=s*(+p[n>>3]*4.0*+p[o>>3]);p[b+128>>3]=s*(+p[n>>3]*4.0*+p[l>>3]);p[b+136>>3]=s*(+p[l>>3]*4.0*+p[o>>3]);p[b+144>>3]=(1.0-j)*(m*(+p[l>>3]*27.0*+p[o>>3]*+p[n>>3]));r=a;return}case 748:{n=c+40|0;m=+p[n>>3];s=j+-1.0;q=j+-.5;t=j+.5;p[b>>3]=t*(j*(q*(s*(m*(m*2.0+-1.0)*.6666666666666666))));o=c+48|0;m=+p[o>>3];p[b+8>>3]=t*(j*(q*(s*(m*(m*2.0+-1.0)*.6666666666666666))));l=c+56|0;m=+p[l>>3];p[b+16>>3]=t*(j*(q*(s*(m*(m*2.0+-1.0)*.6666666666666666))));m=+p[n>>3];u=j+1.0;p[b+24>>3]=u*(t*(j*(q*(m*(m*2.0+-1.0)*.6666666666666666))));m=+p[o>>3];p[b+32>>3]=u*(t*(j*(q*(m*(m*2.0+-1.0)*.6666666666666666))));m=+p[l>>3];p[b+40>>3]=u*(t*(j*(q*(m*(m*2.0+-1.0)*.6666666666666666))));m=+p[n>>3];p[b+48>>3]=u*(t*(q*(s*(m*(m*2.0+-1.0)*4.0))));m=+p[o>>3];p[b+56>>3]=u*(t*(q*(s*(m*(m*2.0+-1.0)*4.0))));m=+p[l>>3];p[b+64>>3]=u*(t*(q*(s*(m*(m*2.0+-1.0)*4.0))));p[b+72>>3]=t*(j*(q*(s*(+p[o>>3]*4.0*+p[l>>3]*.6666666666666666))));p[b+80>>3]=t*(j*(q*(s*(+p[n>>3]*4.0*+p[l>>3]*.6666666666666666))));p[b+88>>3]=t*(j*(q*(s*(+p[n>>3]*4.0*+p[o>>3]*.6666666666666666))));p[b+96>>3]=u*(t*(j*(q*(+p[o>>3]*4.0*+p[l>>3]*.6666666666666666))));p[b+104>>3]=u*(t*(j*(q*(+p[n>>3]*4.0*+p[l>>3]*.6666666666666666))));p[b+112>>3]=u*(t*(j*(q*(+p[n>>3]*4.0*+p[o>>3]*.6666666666666666))));m=+p[n>>3];p[b+120>>3]=u*(j*(q*(s*(m*(m*2.0+-1.0)*-2.6666666666666665))));m=+p[o>>3];p[b+128>>3]=u*(j*(q*(s*(m*(m*2.0+-1.0)*-2.6666666666666665))));m=+p[l>>3];p[b+136>>3]=u*(j*(q*(s*(m*(m*2.0+-1.0)*-2.6666666666666665))));m=+p[n>>3];p[b+144>>3]=u*(t*(j*(s*(m*(m*2.0+-1.0)*-2.6666666666666665))));m=+p[o>>3];p[b+152>>3]=u*(t*(j*(s*(m*(m*2.0+-1.0)*-2.6666666666666665))));m=+p[l>>3];p[b+160>>3]=u*(t*(j*(s*(m*(m*2.0+-1.0)*-2.6666666666666665))));p[b+168>>3]=u*(j*(q*(s*(+p[o>>3]*4.0*+p[l>>3]*-2.6666666666666665))));p[b+176>>3]=u*(j*(q*(s*(+p[n>>3]*4.0*+p[l>>3]*-2.6666666666666665))));p[b+184>>3]=u*(j*(q*(s*(+p[n>>3]*4.0*+p[o>>3]*-2.6666666666666665))));p[b+192>>3]=u*(t*(q*(s*(+p[o>>3]*4.0*+p[l>>3]*4.0))));p[b+200>>3]=u*(t*(q*(s*(+p[n>>3]*4.0*+p[l>>3]*4.0))));p[b+208>>3]=u*(t*(q*(s*(+p[n>>3]*4.0*+p[o>>3]*4.0))));p[b+216>>3]=u*(t*(j*(s*(+p[o>>3]*4.0*+p[l>>3]*-2.6666666666666665))));p[b+224>>3]=u*(t*(j*(s*(+p[n>>3]*4.0*+p[l>>3]*-2.6666666666666665))));p[b+232>>3]=u*(t*(j*(s*(+p[n>>3]*4.0*+p[o>>3]*-2.6666666666666665))));r=a;return}case 747:{o=c+40|0;s=j+-1.0;t=j+-.3333333333333333;u=j+.3333333333333333;p[b>>3]=u*(t*(s*(+p[o>>3]*-.5625)));n=c+48|0;p[b+8>>3]=u*(t*(s*(+p[n>>3]*-.5625)));l=c+56|0;p[b+16>>3]=u*(t*(s*(+p[l>>3]*-.5625)));q=j+1.0;p[b+24>>3]=q*(u*(t*(+p[o>>3]*.5625)));p[b+32>>3]=q*(u*(t*(+p[n>>3]*.5625)));p[b+40>>3]=q*(u*(t*(+p[l>>3]*.5625)));p[b+48>>3]=q*(t*(s*(+p[o>>3]*1.6875)));p[b+56>>3]=q*(t*(s*(+p[n>>3]*1.6875)));p[b+64>>3]=q*(t*(s*(+p[l>>3]*1.6875)));p[b+72>>3]=q*(u*(s*(+p[o>>3]*-1.6875)));p[b+80>>3]=q*(u*(s*(+p[n>>3]*-1.6875)));p[b+88>>3]=q*(u*(s*(+p[l>>3]*-1.6875)));r=a;return}default:{l=f+56|0;n=f+4|0;k[f>>2]=27524;k[l>>2]=27544;B=0;wa(508,f+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;v=Q;w=o;vva(l);Qb(w|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[l>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){x=Rb()|0;y=Q;z=x}else{k[n>>2]=27560;x=f+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,n|0,e|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(e);Yua(x);Ava(n);y=C;z=A;break}Yua(e);B=0;A=Ia(40,f|0,132447,13)|0;C=B;B=0;if((((!(C&1)?(B=0,C=ya(427,d|0)|0,D=B,B=0,!(D&1)):0)?(D=Lta(C)|0,B=0,E=Ia(40,A|0,C|0,D|0)|0,D=B,B=0,!(D&1)):0)?(B=0,D=Ia(40,E|0,146481,18)|0,E=B,B=0,!(E&1)):0)?(B=0,Xa(239,D|0,0)|0,D=B,B=0,!(D&1)):0){D=Ab(20)|0;B=0;eb(502,g|0,75348,76);E=B;B=0;do if(!(E&1)){B=0;eb(502,h|0,75456,17);C=B;B=0;if(C&1){C=Rb()|0;A=Q;Yua(g);F=A;G=C;break}B=0;wa(510,i|0,n|0);C=B;B=0;if(C&1){C=Rb()|0;H=Q;I=C;J=1}else{B=0;ua(163,D|0,g|0,h|0,431,i|0);C=B;B=0;if(C&1)K=1;else{B=0;eb(503,D|0,1240,229);B=0;K=0}C=Rb()|0;A=Q;Yua(i);H=A;I=C;J=K}Yua(h);Yua(g);if(J){F=H;G=I}else{L=H;M=I;k[f>>2]=27468;k[l>>2]=27488;k[n>>2]=27560;Yua(x);Ava(n);vva(l);Qb(M|0)}}else{C=Rb()|0;F=Q;G=C}while(0);zb(D|0);L=F;M=G;k[f>>2]=27468;k[l>>2]=27488;k[n>>2]=27560;Yua(x);Ava(n);vva(l);Qb(M|0)}E=Rb()|0;L=Q;M=E;k[f>>2]=27468;k[l>>2]=27488;k[n>>2]=27560;Yua(x);Ava(n);vva(l);Qb(M|0)}while(0);v=y;w=z;vva(l);Qb(w|0)}}while(0)}function $B(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0.0,f=0.0,g=0.0,h=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0;e=+p[d+48>>3]-+p[d+40>>3];f=+p[d+56>>3]*1.7320508075688772;g=+p[d+64>>3];h=+p[c>>3];i=+p[c+24>>3];j=+p[c+48>>3];k=+p[c+72>>3];l=+p[c+96>>3];m=+p[c+120>>3];n=+p[c+8>>3];o=+p[c+32>>3];q=+p[c+56>>3];r=+p[c+80>>3];s=+p[c+104>>3];t=+p[c+128>>3];u=+p[c+16>>3];v=+p[c+40>>3];w=+p[c+64>>3];x=+p[c+88>>3];y=+p[c+112>>3];z=+p[c+136>>3];A=h-i-k+l;p[b>>3]=(i-h-k+l)*.25+g*(A*.25);B=j*2.0;j=m*2.0;m=(h+i-B-k-l+j)*.14433756729740643;p[b+24>>3]=(-h-i+B-k-l+j)*.14433756729740643+g*m;p[b+48>>3]=(k+(l-h-i))*.25+(e*(A*0.0)+f*m);m=(n-o-r+s)*.25;p[b+8>>3]=(o-n-r+s)*.25+g*m;A=q*2.0;q=t*2.0;t=(n+o-A-r-s+q)*.14433756729740643;p[b+32>>3]=(-n-o+A-r-s+q)*.14433756729740643+g*t;p[b+56>>3]=(r-n+s-o)*.25+(e*m+f*t);t=(u-v-x+y)*.25;p[b+16>>3]=(v-u-x+y)*.25+g*t;m=w*2.0;w=z*2.0;z=(u+v-m-x-y+w)*.14433756729740643;p[b+40>>3]=(-u-v+m-x-y+w)*.14433756729740643+g*z;p[b+64>>3]=(x+(y-u-v))*.25+(e*t+f*z);return}function aC(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;a=r;r=r+272|0;e=a+248|0;f=a;g=a+112|0;h=a+96|0;i=a+84|0;j=a+72|0;$B(0,f,c,d);dY(b,f);if(!(+p[b>>3]<0.0)){r=a;return}a=g+56|0;b=g+4|0;k[g>>2]=27524;k[a>>2]=27544;B=0;wa(508,g+56|0,b|0);f=B;B=0;if(f&1){f=Rb()|0;l=Q;m=f;vva(a);Qb(m|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[a>>2]=27488;B=0;va(448,b|0);f=B;B=0;do if(f&1){d=Rb()|0;n=Q;o=d}else{k[b>>2]=27560;d=g+36|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[g+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,b|0,e|0);c=B;B=0;if(c&1){c=Rb()|0;q=Q;Yua(e);Yua(d);Ava(b);n=q;o=c;break}Yua(e);B=0;c=Ia(40,g|0,75474,30)|0;q=B;B=0;if(!(q&1)?(B=0,Xa(239,c|0,0)|0,c=B,B=0,!(c&1)):0){c=Ab(20)|0;B=0;eb(502,h|0,75348,76);q=B;B=0;do if(!(q&1)){B=0;eb(502,i|0,75505,22);s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(h);u=t;v=s;break}B=0;wa(510,j|0,b|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,c|0,h|0,i|0,249,j|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,c|0,1240,229);B=0;z=0}s=Rb()|0;t=Q;Yua(j);w=t;x=s;y=z}Yua(i);Yua(h);if(y){u=w;v=x}else{A=w;C=x;k[g>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(d);Ava(b);vva(a);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(c|0);A=u;C=v;k[g>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(d);Ava(b);vva(a);Qb(C|0)}q=Rb()|0;A=Q;C=q;k[g>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(d);Ava(b);vva(a);Qb(C|0)}while(0);l=n;m=o;vva(a);Qb(m|0)}function bC(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0.0,l=0.0,m=0.0,n=0,o=0,q=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0;a=r;r=r+192|0;e=a+176|0;f=a+40|0;g=a+24|0;h=a+12|0;i=a;j=+p[c+64>>3];do switch(d|0){case 736:{k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[b+16>>2]=0;k[b+20>>2]=0;r=a;return}case 739:case 738:{l=j+-1.0;p[b>>3]=l*.25;m=l*.14433756729740643;p[b+48>>3]=m;n=c+40|0;p[b+96>>3]=+p[n>>3]*-.5;l=1.0-j;p[b+8>>3]=l*.25;p[b+56>>3]=m;o=c+48|0;p[b+104>>3]=+p[o>>3]*-.5;p[b+16>>3]=0.0;p[b+64>>3]=l*.28867513459481287;q=c+56|0;p[b+112>>3]=+p[q>>3]*-.5;l=j+1.0;p[b+24>>3]=l*-.25;m=l*-.14433756729740643;p[b+72>>3]=m;p[b+120>>3]=+p[n>>3]*.5;p[b+32>>3]=l*.25;p[b+80>>3]=m;p[b+128>>3]=+p[o>>3]*.5;p[b+40>>3]=0.0;p[b+88>>3]=l*.28867513459481287;p[b+136>>3]=+p[q>>3]*.5;r=a;return}case 741:case 740:{l=j+-1.0;p[b>>3]=l*.25;m=l*.14433756729740643;p[b+56>>3]=m;q=c+40|0;p[b+112>>3]=+p[q>>3]*-.5;l=1.0-j;p[b+8>>3]=l*.25;p[b+64>>3]=m;o=c+48|0;p[b+120>>3]=+p[o>>3]*-.5;p[b+16>>3]=0.0;p[b+72>>3]=l*.28867513459481287;n=c+56|0;p[b+128>>3]=+p[n>>3]*-.5;m=j+1.0;p[b+24>>3]=m*-.25;s=m*-.14433756729740643;p[b+80>>3]=s;p[b+136>>3]=+p[q>>3]*.5;p[b+32>>3]=m*.25;p[b+88>>3]=s;p[b+144>>3]=+p[o>>3]*.5;p[b+40>>3]=0.0;p[b+96>>3]=m*.28867513459481287;p[b+152>>3]=+p[n>>3]*.5;s=l*(m*27.0);m=+p[n>>3];p[b+48>>3]=s*(+p[o>>3]*-.5*m+m*(+p[q>>3]*.5));m=+p[o>>3];l=+p[n>>3];t=+p[q>>3];p[b+104>>3]=s*1.7320508075688772*(m*(t*.3333333333333333)+(m*-.16666666666666666*l-l*(t*.16666666666666666)));p[b+160>>3]=j*(+p[q>>3]*-54.0*+p[o>>3]*+p[n>>3]);r=a;return}case 745:{t=1.0-j;l=t*.5;n=c+40|0;p[b>>3]=l*(.5-+p[n>>3]*2.0);p[b+96>>3]=l*(.28867513459481287-+p[n>>3]*1.1547005383792515);m=+p[n>>3];p[b+192>>3]=m*-.5*(m*2.0+-1.0);o=c+48|0;p[b+8>>3]=l*(+p[o>>3]*2.0+-.5);p[b+104>>3]=l*(.28867513459481287-+p[o>>3]*1.1547005383792515);m=+p[o>>3];p[b+200>>3]=m*-.5*(m*2.0+-1.0);p[b+16>>3]=0.0;q=c+56|0;p[b+112>>3]=l*(+p[q>>3]*2.309401076758503+-.5773502691896257);m=+p[q>>3];p[b+208>>3]=m*-.5*(m*2.0+-1.0);m=j+1.0;s=m*.5;p[b+24>>3]=s*(.5-+p[n>>3]*2.0);p[b+120>>3]=s*(.28867513459481287-+p[n>>3]*1.1547005383792515);u=+p[n>>3];p[b+216>>3]=u*.5*(u*2.0+-1.0);p[b+32>>3]=s*(+p[o>>3]*2.0+-.5);p[b+128>>3]=s*(.28867513459481287-+p[o>>3]*1.1547005383792515);u=+p[o>>3];p[b+224>>3]=u*.5*(u*2.0+-1.0);p[b+40>>3]=0.0;p[b+136>>3]=s*(+p[q>>3]*2.309401076758503+-.5773502691896257);u=+p[q>>3];p[b+232>>3]=u*.5*(u*2.0+-1.0);p[b+48>>3]=t*+p[q>>3];p[b+144>>3]=l*(+p[o>>3]*2.309401076758503-+p[q>>3]*1.1547005383792515);p[b+240>>3]=+p[q>>3]*-2.0*+p[o>>3];p[b+56>>3]=-(t*+p[q>>3]);p[b+152>>3]=l*(+p[n>>3]*2.309401076758503-+p[q>>3]*1.1547005383792515);p[b+248>>3]=+p[q>>3]*-2.0*+p[n>>3];p[b+64>>3]=t*(+p[n>>3]-+p[o>>3]);p[b+160>>3]=l*((+p[n>>3]+ +p[o>>3])*-1.1547005383792515);p[b+256>>3]=+p[n>>3]*-2.0*+p[o>>3];p[b+72>>3]=m*+p[q>>3];p[b+168>>3]=s*(+p[o>>3]*2.309401076758503-+p[q>>3]*1.1547005383792515);p[b+264>>3]=+p[q>>3]*2.0*+p[o>>3];p[b+80>>3]=-(m*+p[q>>3]);p[b+176>>3]=s*(+p[n>>3]*2.309401076758503-+p[q>>3]*1.1547005383792515);p[b+272>>3]=+p[q>>3]*2.0*+p[n>>3];p[b+88>>3]=m*(+p[n>>3]-+p[o>>3]);p[b+184>>3]=s*((+p[n>>3]+ +p[o>>3])*-1.1547005383792515);p[b+280>>3]=+p[n>>3]*2.0*+p[o>>3];r=a;return}case 746:{s=-j;m=j+-1.0;p[b>>3]=m*s*.25;l=j*-.14433756729740643;t=l*m;p[b+72>>3]=t;u=j*2.0;v=(u+-1.0)*.5;o=c+40|0;p[b+144>>3]=v*+p[o>>3];p[b+8>>3]=j*m*.25;p[b+80>>3]=t;n=c+48|0;p[b+152>>3]=v*+p[n>>3];p[b+16>>3]=0.0;t=j*.28867513459481287;p[b+88>>3]=t*m;q=c+56|0;p[b+160>>3]=v*+p[q>>3];v=j+1.0;p[b+24>>3]=v*s*.25;s=l*v;p[b+96>>3]=s;l=(u+1.0)*.5;p[b+168>>3]=l*+p[o>>3];p[b+32>>3]=j*v*.25;p[b+104>>3]=s;p[b+176>>3]=l*+p[n>>3];p[b+40>>3]=0.0;p[b+112>>3]=t*v;p[b+184>>3]=l*+p[q>>3];l=1.0-j*j;p[b+48>>3]=l*-.5;v=l*-.28867513459481287;p[b+120>>3]=v;t=j*-2.0;p[b+192>>3]=t*+p[o>>3];p[b+56>>3]=l*.5;p[b+128>>3]=v;p[b+200>>3]=t*+p[n>>3];p[b+64>>3]=0.0;p[b+136>>3]=l*.5773502691896257;p[b+208>>3]=t*+p[q>>3];r=a;return}case 742:{t=j*.5;l=j+-1.0;v=t*l;q=c+40|0;p[b>>3]=v*(.5-+p[q>>3]*2.0);p[b+144>>3]=v*(.28867513459481287-+p[q>>3]*1.1547005383792515);s=j*2.0;u=s+-1.0;m=u*.5;w=+p[q>>3];p[b+288>>3]=m*w*(w*2.0+-1.0);n=c+48|0;p[b+8>>3]=v*(+p[n>>3]*2.0+-.5);p[b+152>>3]=v*(.28867513459481287-+p[n>>3]*1.1547005383792515);w=+p[n>>3];p[b+296>>3]=m*w*(w*2.0+-1.0);p[b+16>>3]=0.0;o=c+56|0;p[b+160>>3]=v*(+p[o>>3]*2.309401076758503+-.5773502691896257);w=+p[o>>3];p[b+304>>3]=m*w*(w*2.0+-1.0);w=j+1.0;m=t*w;p[b+24>>3]=m*(.5-+p[q>>3]*2.0);p[b+168>>3]=m*(.28867513459481287-+p[q>>3]*1.1547005383792515);t=s+1.0;s=t*.5;x=+p[q>>3];p[b+312>>3]=s*x*(x*2.0+-1.0);p[b+32>>3]=m*(+p[n>>3]*2.0+-.5);p[b+176>>3]=m*(.28867513459481287-+p[n>>3]*1.1547005383792515);x=+p[n>>3];p[b+320>>3]=s*x*(x*2.0+-1.0);p[b+40>>3]=0.0;p[b+184>>3]=m*(+p[o>>3]*2.309401076758503+-.5773502691896257);x=+p[o>>3];p[b+328>>3]=s*x*(x*2.0+-1.0);x=1.0-j*j;p[b+48>>3]=x*(.5-+p[q>>3]*2.0);p[b+192>>3]=x*(.28867513459481287-+p[q>>3]*1.1547005383792515);s=j*-2.0;y=+p[q>>3];p[b+336>>3]=s*y*(y*2.0+-1.0);p[b+56>>3]=x*(+p[n>>3]*2.0+-.5);p[b+200>>3]=x*(.28867513459481287-+p[n>>3]*1.1547005383792515);y=+p[n>>3];p[b+344>>3]=s*y*(y*2.0+-1.0);p[b+64>>3]=0.0;p[b+208>>3]=x*(+p[o>>3]*2.309401076758503+-.5773502691896257);y=+p[o>>3];p[b+352>>3]=s*y*(y*2.0+-1.0);y=j*l;p[b+72>>3]=y*+p[o>>3];p[b+216>>3]=v*(+p[n>>3]*2.309401076758503-+p[o>>3]*1.1547005383792515);p[b+360>>3]=u*(+p[o>>3]*2.0*+p[n>>3]);z=-j;p[b+80>>3]=l*z*+p[o>>3];p[b+224>>3]=v*(+p[q>>3]*2.309401076758503-+p[o>>3]*1.1547005383792515);p[b+368>>3]=u*(+p[o>>3]*2.0*+p[q>>3]);p[b+88>>3]=y*(+p[q>>3]-+p[n>>3]);p[b+232>>3]=v*((+p[q>>3]+ +p[n>>3])*-1.1547005383792515);p[b+376>>3]=u*(+p[q>>3]*2.0*+p[n>>3]);u=j*w;p[b+96>>3]=u*+p[o>>3];p[b+240>>3]=m*(+p[n>>3]*2.309401076758503-+p[o>>3]*1.1547005383792515);p[b+384>>3]=t*(+p[o>>3]*2.0*+p[n>>3]);p[b+104>>3]=w*z*+p[o>>3];p[b+248>>3]=m*(+p[q>>3]*2.309401076758503-+p[o>>3]*1.1547005383792515);p[b+392>>3]=t*(+p[o>>3]*2.0*+p[q>>3]);p[b+112>>3]=u*(+p[q>>3]-+p[n>>3]);p[b+256>>3]=m*((+p[q>>3]+ +p[n>>3])*-1.1547005383792515);p[b+400>>3]=t*(+p[q>>3]*2.0*+p[n>>3]);p[b+120>>3]=x*(+p[o>>3]*2.0);p[b+264>>3]=x*(+p[n>>3]*2.309401076758503-+p[o>>3]*1.1547005383792515);t=s*4.0;p[b+408>>3]=t*+p[o>>3]*+p[n>>3];p[b+128>>3]=x*(+p[o>>3]*-2.0);p[b+272>>3]=x*(+p[q>>3]*2.309401076758503-+p[o>>3]*1.1547005383792515);p[b+416>>3]=t*+p[o>>3]*+p[q>>3];p[b+136>>3]=x*((+p[q>>3]-+p[n>>3])*2.0);p[b+280>>3]=x*((+p[q>>3]+ +p[n>>3])*-1.1547005383792515);p[b+424>>3]=t*+p[q>>3]*+p[n>>3];r=a;return}case 744:case 743:{t=j*.5;x=j+-1.0;s=t*x;n=c+40|0;p[b>>3]=s*(.5-+p[n>>3]*2.0);p[b+152>>3]=s*(.28867513459481287-+p[n>>3]*1.1547005383792515);m=j*2.0;u=m+-1.0;z=u*.5;w=+p[n>>3];p[b+304>>3]=z*w*(w*2.0+-1.0);q=c+48|0;p[b+8>>3]=s*(+p[q>>3]*2.0+-.5);p[b+160>>3]=s*(.28867513459481287-+p[q>>3]*1.1547005383792515);w=+p[q>>3];p[b+312>>3]=z*w*(w*2.0+-1.0);p[b+16>>3]=0.0;o=c+56|0;p[b+168>>3]=s*(+p[o>>3]*2.309401076758503+-.5773502691896257);w=+p[o>>3];p[b+320>>3]=z*w*(w*2.0+-1.0);w=j+1.0;z=t*w;p[b+24>>3]=z*(.5-+p[n>>3]*2.0);p[b+176>>3]=z*(.28867513459481287-+p[n>>3]*1.1547005383792515);t=m+1.0;m=t*.5;v=+p[n>>3];p[b+328>>3]=m*v*(v*2.0+-1.0);p[b+32>>3]=z*(+p[q>>3]*2.0+-.5);p[b+184>>3]=z*(.28867513459481287-+p[q>>3]*1.1547005383792515);v=+p[q>>3];p[b+336>>3]=m*v*(v*2.0+-1.0);p[b+40>>3]=0.0;p[b+192>>3]=z*(+p[o>>3]*2.309401076758503+-.5773502691896257);v=+p[o>>3];p[b+344>>3]=m*v*(v*2.0+-1.0);v=1.0-j*j;p[b+48>>3]=v*(.5-+p[n>>3]*2.0);p[b+200>>3]=v*(.28867513459481287-+p[n>>3]*1.1547005383792515);m=j*-2.0;y=+p[n>>3];p[b+352>>3]=m*y*(y*2.0+-1.0);p[b+56>>3]=v*(+p[q>>3]*2.0+-.5);p[b+208>>3]=v*(.28867513459481287-+p[q>>3]*1.1547005383792515);y=+p[q>>3];p[b+360>>3]=m*y*(y*2.0+-1.0);p[b+64>>3]=0.0;p[b+216>>3]=v*(+p[o>>3]*2.309401076758503+-.5773502691896257);y=+p[o>>3];p[b+368>>3]=m*y*(y*2.0+-1.0);y=j*x;p[b+72>>3]=y*+p[o>>3];p[b+224>>3]=s*(+p[q>>3]*2.309401076758503-+p[o>>3]*1.1547005383792515);p[b+376>>3]=u*(+p[o>>3]*2.0*+p[q>>3]);l=-j;p[b+80>>3]=x*l*+p[o>>3];p[b+232>>3]=s*(+p[n>>3]*2.309401076758503-+p[o>>3]*1.1547005383792515);p[b+384>>3]=u*(+p[o>>3]*2.0*+p[n>>3]);p[b+88>>3]=y*(+p[n>>3]-+p[q>>3]);p[b+240>>3]=s*((+p[n>>3]+ +p[q>>3])*-1.1547005383792515);p[b+392>>3]=u*(+p[n>>3]*2.0*+p[q>>3]);u=j*w;p[b+96>>3]=u*+p[o>>3];p[b+248>>3]=z*(+p[q>>3]*2.309401076758503-+p[o>>3]*1.1547005383792515);p[b+400>>3]=t*(+p[o>>3]*2.0*+p[q>>3]);p[b+104>>3]=w*l*+p[o>>3];p[b+256>>3]=z*(+p[n>>3]*2.309401076758503-+p[o>>3]*1.1547005383792515);p[b+408>>3]=t*(+p[o>>3]*2.0*+p[n>>3]);p[b+112>>3]=u*(+p[n>>3]-+p[q>>3]);p[b+264>>3]=z*((+p[n>>3]+ +p[q>>3])*-1.1547005383792515);p[b+416>>3]=t*(+p[n>>3]*2.0*+p[q>>3]);p[b+120>>3]=v*(+p[o>>3]*2.0);p[b+272>>3]=v*(+p[q>>3]*2.309401076758503-+p[o>>3]*1.1547005383792515);t=m*4.0;p[b+424>>3]=t*+p[o>>3]*+p[q>>3];p[b+128>>3]=v*(+p[o>>3]*-2.0);p[b+280>>3]=v*(+p[n>>3]*2.309401076758503-+p[o>>3]*1.1547005383792515);p[b+432>>3]=t*+p[o>>3]*+p[n>>3];p[b+136>>3]=v*((+p[n>>3]-+p[q>>3])*2.0);p[b+288>>3]=v*((+p[n>>3]+ +p[q>>3])*-1.1547005383792515);p[b+440>>3]=t*+p[n>>3]*+p[q>>3];t=(1.0-j)*(w*27.0);w=+p[o>>3];p[b+144>>3]=t*(+p[q>>3]*-.5*w+w*(+p[n>>3]*.5));w=+p[q>>3];v=+p[o>>3];m=+p[n>>3];p[b+296>>3]=t*1.7320508075688772*(w*(m*.3333333333333333)+(w*-.16666666666666666*v-v*(m*.16666666666666666)));p[b+448>>3]=j*(+p[n>>3]*-54.0*+p[q>>3]*+p[o>>3]);r=a;return}case 748:{o=c+40|0;m=j+-1.0;v=j+-.5;w=j+.5;p[b>>3]=w*(j*(v*(m*((.5-+p[o>>3]*2.0)*.6666666666666666))));p[b+240>>3]=w*(j*(v*(m*((.28867513459481287-+p[o>>3]*1.1547005383792515)*.6666666666666666))));t=+p[o>>3];z=j*2.0;u=z+-1.0;l=v*u;s=j*z;y=m*s+w*l;p[b+480>>3]=y*(t*(t*2.0+-1.0)*2.0/3.0);q=c+48|0;p[b+8>>3]=w*(j*(v*(m*((+p[q>>3]*2.0+-.5)*.6666666666666666))));p[b+248>>3]=w*(j*(v*(m*((.28867513459481287-+p[q>>3]*1.1547005383792515)*.6666666666666666))));t=+p[q>>3];p[b+488>>3]=y*(t*(t*2.0+-1.0)*2.0/3.0);p[b+16>>3]=0.0;n=c+56|0;p[b+256>>3]=w*(j*(v*(m*((+p[n>>3]*2.309401076758503+-.5773502691896257)*.6666666666666666))));t=+p[n>>3];p[b+496>>3]=y*(t*(t*2.0+-1.0)*2.0/3.0);t=j+1.0;p[b+24>>3]=t*(w*(j*(v*((.5-+p[o>>3]*2.0)*.6666666666666666))));p[b+264>>3]=t*(w*(j*(v*((.28867513459481287-+p[o>>3]*1.1547005383792515)*.6666666666666666))));x=+p[o>>3];A=t*s+w*(v*(z+1.0));p[b+504>>3]=A*(x*(x*2.0+-1.0)*2.0/3.0);p[b+32>>3]=t*(w*(j*(v*((+p[q>>3]*2.0+-.5)*.6666666666666666))));p[b+272>>3]=t*(w*(j*(v*((.28867513459481287-+p[q>>3]*1.1547005383792515)*.6666666666666666))));x=+p[q>>3];p[b+512>>3]=A*(x*(x*2.0+-1.0)*2.0/3.0);p[b+40>>3]=0.0;p[b+280>>3]=t*(w*(j*(v*((+p[n>>3]*2.309401076758503+-.5773502691896257)*.6666666666666666))));x=+p[n>>3];p[b+520>>3]=A*(x*(x*2.0+-1.0)*2.0/3.0);p[b+48>>3]=t*(w*(v*(m*((.5-+p[o>>3]*2.0)*4.0))));p[b+288>>3]=t*(w*(v*(m*((.28867513459481287-+p[o>>3]*1.1547005383792515)*4.0))));x=+p[o>>3];s=j*(j*(j*4.0))-j*2.5;p[b+528>>3]=s*(x*(x*2.0+-1.0)*4.0);p[b+56>>3]=t*(w*(v*(m*((+p[q>>3]*2.0+-.5)*4.0))));p[b+296>>3]=t*(w*(v*(m*((.28867513459481287-+p[q>>3]*1.1547005383792515)*4.0))));x=+p[q>>3];p[b+536>>3]=s*(x*(x*2.0+-1.0)*4.0);p[b+64>>3]=0.0;p[b+304>>3]=t*(w*(v*(m*((+p[n>>3]*2.309401076758503+-.5773502691896257)*4.0))));x=+p[n>>3];p[b+544>>3]=s*(x*(x*2.0+-1.0)*4.0);p[b+72>>3]=w*(j*(v*(m*(+p[n>>3]*2.0*2.0/3.0))));p[b+312>>3]=w*(j*(v*(m*((+p[q>>3]*2.309401076758503-+p[n>>3]*1.1547005383792515)*.6666666666666666))));p[b+552>>3]=y*(+p[q>>3]*4.0*+p[n>>3]*.6666666666666666);p[b+80>>3]=w*(j*(v*(m*(+p[n>>3]*-2.0*2.0/3.0))));p[b+320>>3]=w*(j*(v*(m*((+p[o>>3]*2.309401076758503-+p[n>>3]*1.1547005383792515)*.6666666666666666))));p[b+560>>3]=y*(+p[n>>3]*4.0*+p[o>>3]*.6666666666666666);p[b+88>>3]=w*(j*(v*(m*((+p[o>>3]-+p[q>>3])*2.0*.6666666666666666))));p[b+328>>3]=w*(j*(v*(m*((+p[q>>3]+ +p[o>>3])*-1.1547005383792515*.6666666666666666))));p[b+568>>3]=y*(+p[o>>3]*4.0*+p[q>>3]*.6666666666666666);p[b+96>>3]=t*(w*(j*(v*(+p[n>>3]*2.0*2.0/3.0))));p[b+336>>3]=t*(w*(j*(v*((+p[q>>3]*2.309401076758503-+p[n>>3]*1.1547005383792515)*.6666666666666666))));p[b+576>>3]=A*(+p[q>>3]*4.0*+p[n>>3]*.6666666666666666);p[b+104>>3]=t*(w*(j*(v*(+p[n>>3]*-2.0*2.0/3.0))));p[b+344>>3]=t*(w*(j*(v*((+p[o>>3]*2.309401076758503-+p[n>>3]*1.1547005383792515)*.6666666666666666))));p[b+584>>3]=A*(+p[n>>3]*4.0*+p[o>>3]*.6666666666666666);p[b+112>>3]=t*(w*(j*(v*((+p[o>>3]-+p[q>>3])*2.0*.6666666666666666))));p[b+352>>3]=t*(w*(j*(v*((+p[q>>3]+ +p[o>>3])*-1.1547005383792515*.6666666666666666))));p[b+592>>3]=A*(+p[o>>3]*4.0*+p[q>>3]*.6666666666666666);p[b+120>>3]=t*(j*(v*(m*((.5-+p[o>>3]*2.0)*-2.6666666666666665))));p[b+360>>3]=t*(j*(v*(m*((.28867513459481287-+p[o>>3]*1.1547005383792515)*-2.6666666666666665))));A=+p[o>>3];y=j*m;x=y*(z+.5)+t*l;p[b+600>>3]=x*(A*(A*2.0+-1.0)*-2.6666666666666665);p[b+128>>3]=t*(j*(v*(m*((+p[q>>3]*2.0+-.5)*-2.6666666666666665))));p[b+368>>3]=t*(j*(v*(m*((.28867513459481287-+p[q>>3]*1.1547005383792515)*-2.6666666666666665))));A=+p[q>>3];p[b+608>>3]=x*(A*(A*2.0+-1.0)*-2.6666666666666665);p[b+136>>3]=0.0;p[b+376>>3]=t*(j*(v*(m*((+p[n>>3]*2.309401076758503+-.5773502691896257)*-2.6666666666666665))));A=+p[n>>3];p[b+616>>3]=x*(A*(A*2.0+-1.0)*-2.6666666666666665);p[b+144>>3]=t*(w*(j*(m*((.5-+p[o>>3]*2.0)*-2.6666666666666665))));p[b+384>>3]=t*(w*(j*(m*((.28867513459481287-+p[o>>3]*1.1547005383792515)*-2.6666666666666665))));A=+p[o>>3];l=y*(z+1.5)+t*(w*u);p[b+624>>3]=l*(A*(A*2.0+-1.0)*-2.6666666666666665);p[b+152>>3]=t*(w*(j*(m*((+p[q>>3]*2.0+-.5)*-2.6666666666666665))));p[b+392>>3]=t*(w*(j*(m*((.28867513459481287-+p[q>>3]*1.1547005383792515)*-2.6666666666666665))));A=+p[q>>3];p[b+632>>3]=l*(A*(A*2.0+-1.0)*-2.6666666666666665);p[b+160>>3]=0.0;p[b+400>>3]=t*(j*(w*(m*((+p[n>>3]*2.309401076758503+-.5773502691896257)*-2.6666666666666665))));A=+p[n>>3];p[b+640>>3]=l*(A*(A*2.0+-1.0)*-2.6666666666666665);p[b+168>>3]=t*(j*(v*(m*(+p[n>>3]*2.0*-2.6666666666666665))));p[b+408>>3]=t*(j*(v*(m*((+p[q>>3]*2.309401076758503-+p[n>>3]*1.1547005383792515)*-2.6666666666666665))));p[b+648>>3]=x*(+p[q>>3]*4.0*+p[n>>3]*-2.6666666666666665);p[b+176>>3]=t*(j*(v*(m*(+p[n>>3]*-2.0*-2.6666666666666665))));p[b+416>>3]=t*(j*(v*(m*((+p[o>>3]*2.309401076758503-+p[n>>3]*1.1547005383792515)*-2.6666666666666665))));p[b+656>>3]=x*(+p[o>>3]*4.0*+p[n>>3]*-2.6666666666666665);p[b+184>>3]=t*(j*(v*(m*((+p[o>>3]-+p[q>>3])*2.0*-2.6666666666666665))));p[b+424>>3]=t*(j*(v*(m*((+p[q>>3]+ +p[o>>3])*-1.1547005383792515*-2.6666666666666665))));p[b+664>>3]=x*(+p[o>>3]*4.0*+p[q>>3]*-2.6666666666666665);p[b+192>>3]=t*(w*(v*(m*(+p[n>>3]*2.0*4.0))));p[b+432>>3]=t*(w*(v*(m*((+p[q>>3]*2.309401076758503-+p[n>>3]*1.1547005383792515)*4.0))));p[b+672>>3]=s*(+p[q>>3]*4.0*+p[n>>3]*4.0);p[b+200>>3]=t*(w*(v*(m*(+p[n>>3]*-2.0*4.0))));p[b+440>>3]=t*(w*(v*(m*((+p[o>>3]*2.309401076758503-+p[n>>3]*1.1547005383792515)*4.0))));p[b+680>>3]=s*(+p[o>>3]*4.0*+p[n>>3]*4.0);p[b+208>>3]=t*(w*(v*(m*((+p[o>>3]-+p[q>>3])*2.0*4.0))));p[b+448>>3]=t*(w*(v*(m*((+p[o>>3]+ +p[q>>3])*-1.1547005383792515*4.0))));p[b+688>>3]=s*(+p[o>>3]*4.0*+p[q>>3]*4.0);p[b+216>>3]=t*(w*(j*(m*(+p[n>>3]*2.0*-2.6666666666666665))));p[b+456>>3]=t*(w*(j*(m*((+p[q>>3]*2.309401076758503-+p[n>>3]*1.1547005383792515)*-2.6666666666666665))));p[b+696>>3]=l*(+p[q>>3]*4.0*+p[n>>3]*-2.6666666666666665);p[b+224>>3]=t*(w*(j*(m*(+p[n>>3]*-2.0*-2.6666666666666665))));p[b+464>>3]=t*(w*(j*(m*((+p[o>>3]*2.309401076758503-+p[n>>3]*1.1547005383792515)*-2.6666666666666665))));p[b+704>>3]=l*(+p[o>>3]*4.0*+p[n>>3]*-2.6666666666666665);p[b+232>>3]=t*(w*(j*(m*((+p[o>>3]-+p[q>>3])*2.0*-2.6666666666666665))));p[b+472>>3]=t*(w*(j*(m*((+p[o>>3]+ +p[q>>3])*-1.1547005383792515*-2.6666666666666665))));p[b+712>>3]=l*(+p[o>>3]*4.0*+p[q>>3]*-2.6666666666666665);r=a;return}case 747:{l=j+-1.0;m=j+-.3333333333333333;w=j+.3333333333333333;p[b>>3]=w*(m*(l*.28125));t=w*(m*(l*.16237976320958225));p[b+96>>3]=t;q=c+40|0;s=j*2.0;v=m*w;x=s*l+v;p[b+192>>3]=x*(+p[q>>3]*-.5625);p[b+8>>3]=w*(m*(l*-.28125));p[b+104>>3]=t;o=c+48|0;p[b+200>>3]=x*(+p[o>>3]*-.5625);p[b+16>>3]=0.0;p[b+112>>3]=w*(m*(l*-.3247595264191645));n=c+56|0;p[b+208>>3]=x*(+p[n>>3]*-.5625);x=j+1.0;p[b+24>>3]=x*(w*(m*-.28125));t=x*(w*(m*-.16237976320958225));p[b+120>>3]=t;A=s*x+v;p[b+216>>3]=A*(+p[q>>3]*.5625);p[b+32>>3]=x*(w*(m*.28125));p[b+128>>3]=t;p[b+224>>3]=A*(+p[o>>3]*.5625);p[b+40>>3]=0.0;p[b+136>>3]=x*(w*(m*.3247595264191645));p[b+232>>3]=A*(+p[n>>3]*.5625);A=l*-.84375;p[b+48>>3]=x*(m*A);t=x*(m*(l*-.4871392896287467));p[b+144>>3]=t;v=l*x;u=s*m+v;p[b+240>>3]=u*(+p[q>>3]*1.6875);z=l*.84375;p[b+56>>3]=x*(m*z);p[b+152>>3]=t;p[b+248>>3]=u*(+p[o>>3]*1.6875);p[b+64>>3]=0.0;p[b+160>>3]=x*(m*(l*.9742785792574934));p[b+256>>3]=u*(+p[n>>3]*1.6875);p[b+72>>3]=x*(w*z);z=x*(w*(l*.4871392896287467));p[b+168>>3]=z;u=s*w+v;p[b+264>>3]=u*(+p[q>>3]*-1.6875);p[b+80>>3]=x*(w*A);p[b+176>>3]=z;p[b+272>>3]=u*(+p[o>>3]*-1.6875);p[b+88>>3]=0.0;p[b+184>>3]=x*(w*(l*-.9742785792574934));p[b+280>>3]=u*(+p[n>>3]*-1.6875);r=a;return}default:{n=f+56|0;o=f+4|0;k[f>>2]=27524;k[n>>2]=27544;B=0;wa(508,f+56|0,o|0);q=B;B=0;if(q&1){q=Rb()|0;C=Q;D=q;vva(n);Qb(D|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[n>>2]=27488;B=0;va(448,o|0);q=B;B=0;do if(q&1){E=Rb()|0;F=Q;G=E}else{k[o>>2]=27560;E=f+36|0;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;k[E+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,o|0,e|0);H=B;B=0;if(H&1){H=Rb()|0;I=Q;Yua(e);Yua(E);Ava(o);F=I;G=H;break}Yua(e);B=0;H=Ia(40,f|0,132447,13)|0;I=B;B=0;if((((!(I&1)?(B=0,I=ya(427,d|0)|0,J=B,B=0,!(J&1)):0)?(J=Lta(I)|0,B=0,K=Ia(40,H|0,I|0,J|0)|0,J=B,B=0,!(J&1)):0)?(B=0,J=Ia(40,K|0,146481,18)|0,K=B,B=0,!(K&1)):0)?(B=0,Xa(239,J|0,0)|0,J=B,B=0,!(J&1)):0){J=Ab(20)|0;B=0;eb(502,g|0,75348,76);K=B;B=0;do if(!(K&1)){B=0;eb(502,h|0,75528,37);I=B;B=0;if(I&1){I=Rb()|0;H=Q;Yua(g);L=H;M=I;break}B=0;wa(510,i|0,o|0);I=B;B=0;if(I&1){I=Rb()|0;N=Q;O=I;P=1}else{B=0;ua(163,J|0,g|0,h|0,964,i|0);I=B;B=0;if(I&1)R=1;else{B=0;eb(503,J|0,1240,229);B=0;R=0}I=Rb()|0;H=Q;Yua(i);N=H;O=I;P=R}Yua(h);Yua(g);if(P){L=N;M=O}else{S=N;T=O;k[f>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(E);Ava(o);vva(n);Qb(T|0)}}else{I=Rb()|0;L=Q;M=I}while(0);zb(J|0);S=L;T=M;k[f>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(E);Ava(o);vva(n);Qb(T|0)}K=Rb()|0;S=Q;T=K;k[f>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(E);Ava(o);vva(n);Qb(T|0)}while(0);C=F;D=G;vva(n);Qb(D|0)}}while(0)}function cC(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0.0,j=0.0,l=0.0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;d=r;r=r+192|0;a=d+176|0;e=d+40|0;f=d+24|0;g=d+12|0;h=d;i=+p[c+24>>3]-+p[c>>3];j=+p[c+32>>3]-+p[c+8>>3];l=+aa(+(i*i+j*j))*(+p[c+64>>3]+(+p[c+88>>3]-+p[c+16>>3])-+p[c+40>>3])*.125;p[b>>3]=l;if(!(l<0.0)){r=d;return}d=e+56|0;b=e+4|0;k[e>>2]=27524;k[d>>2]=27544;B=0;wa(508,e+56|0,b|0);c=B;B=0;if(c&1){c=Rb()|0;m=Q;n=c;vva(d);Qb(n|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);c=B;B=0;do if(c&1){o=Rb()|0;q=Q;s=o}else{k[b>>2]=27560;o=e+36|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[o+12>>2]=0;k[e+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,b|0,a|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);Yua(o);Ava(b);q=u;s=t;break}Yua(a);B=0;t=Ia(40,e|0,75474,30)|0;u=B;B=0;if(!(u&1)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,75348,76);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,75566,26);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(f);x=w;y=v;break}B=0;wa(510,h|0,b|0);v=B;B=0;if(v&1){v=Rb()|0;z=Q;A=v;C=1}else{B=0;ua(163,t|0,f|0,g|0,990,h|0);v=B;B=0;if(v&1)D=1;else{B=0;eb(503,t|0,1240,229);B=0;D=0}v=Rb()|0;w=Q;Yua(h);z=w;A=v;C=D}Yua(g);Yua(f);if(C){x=z;y=A}else{E=z;F=A;k[e>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(o);Ava(b);vva(d);Qb(F|0)}}else{v=Rb()|0;x=Q;y=v}while(0);zb(t|0);E=x;F=y;k[e>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(o);Ava(b);vva(d);Qb(F|0)}u=Rb()|0;E=Q;F=u;k[e>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(o);Ava(b);vva(d);Qb(F|0)}while(0);m=q;n=s;vva(d);Qb(n|0)}function dC(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0.0,j=0.0,l=0.0,m=0.0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;d=r;r=r+192|0;a=d+176|0;e=d+40|0;f=d+24|0;g=d+12|0;h=d;i=+p[c+24>>3]-+p[c>>3];j=+p[c+32>>3]-+p[c+8>>3];l=+p[c+40>>3]-+p[c+16>>3];m=+aa(+(i*i+j*j+l*l))*.5;p[b>>3]=m;if(!(m<0.0)){r=d;return}d=e+56|0;b=e+4|0;k[e>>2]=27524;k[d>>2]=27544;B=0;wa(508,e+56|0,b|0);c=B;B=0;if(c&1){c=Rb()|0;n=Q;o=c;vva(d);Qb(o|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);c=B;B=0;do if(c&1){q=Rb()|0;s=Q;t=q}else{k[b>>2]=27560;q=e+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[e+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,b|0,a|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(a);Yua(q);Ava(b);s=v;t=u;break}Yua(a);B=0;u=Ia(40,e|0,75474,30)|0;v=B;B=0;if(!(v&1)?(B=0,Xa(239,u|0,0)|0,u=B,B=0,!(u&1)):0){u=Ab(20)|0;B=0;eb(502,f|0,75348,76);v=B;B=0;do if(!(v&1)){B=0;eb(502,g|0,75593,29);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(f);y=x;z=w;break}B=0;wa(510,h|0,b|0);w=B;B=0;if(w&1){w=Rb()|0;A=Q;C=w;D=1}else{B=0;ua(163,u|0,f|0,g|0,1006,h|0);w=B;B=0;if(w&1)E=1;else{B=0;eb(503,u|0,1240,229);B=0;E=0}w=Rb()|0;x=Q;Yua(h);A=x;C=w;D=E}Yua(g);Yua(f);if(D){y=A;z=C}else{F=A;G=C;k[e>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(q);Ava(b);vva(d);Qb(G|0)}}else{w=Rb()|0;y=Q;z=w}while(0);zb(u|0);F=y;G=z;k[e>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(q);Ava(b);vva(d);Qb(G|0)}v=Rb()|0;F=Q;G=v;k[e>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(q);Ava(b);vva(d);Qb(G|0)}while(0);n=s;o=t;vva(d);Qb(o|0)}function eC(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,H=0,I=0,J=0,K=0,L=0;d=r;r=r+192|0;a=d+176|0;e=d+40|0;f=d+24|0;g=d+12|0;h=d;i=+p[c>>3];j=+p[c+8>>3];l=+p[c+16>>3];m=+p[c+32>>3]-j;n=+p[c+64>>3]-l;o=+p[c+40>>3]-l;l=+p[c+56>>3]-j;j=m*n-o*l;q=+p[c+48>>3]-i;s=+p[c+24>>3]-i;i=o*q-s*n;n=s*l-m*q;q=n*n+(j*j+i*i);i=+$(+(+aa(+q)));j=q==-G?G:i*.28867513459481287;p[b>>3]=j;if(!(j<0.0)){r=d;return}d=e+56|0;b=e+4|0;k[e>>2]=27524;k[d>>2]=27544;B=0;wa(508,e+56|0,b|0);c=B;B=0;if(c&1){c=Rb()|0;t=Q;u=c;vva(d);Qb(u|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);c=B;B=0;do if(c&1){v=Rb()|0;w=Q;x=v}else{k[b>>2]=27560;v=e+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[e+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,b|0,a|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(a);Yua(v);Ava(b);w=z;x=y;break}Yua(a);B=0;y=Ia(40,e|0,75474,30)|0;z=B;B=0;if(!(z&1)?(B=0,Xa(239,y|0,0)|0,y=B,B=0,!(y&1)):0){y=Ab(20)|0;B=0;eb(502,f|0,75348,76);z=B;B=0;do if(!(z&1)){B=0;eb(502,g|0,75623,26);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(f);D=C;E=A;break}B=0;wa(510,h|0,b|0);A=B;B=0;if(A&1){A=Rb()|0;F=Q;H=A;I=1}else{B=0;ua(163,y|0,f|0,g|0,1026,h|0);A=B;B=0;if(A&1)J=1;else{B=0;eb(503,y|0,1240,229);B=0;J=0}A=Rb()|0;C=Q;Yua(h);F=C;H=A;I=J}Yua(g);Yua(f);if(I){D=F;E=H}else{K=F;L=H;k[e>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(v);Ava(b);vva(d);Qb(L|0)}}else{A=Rb()|0;D=Q;E=A}while(0);zb(y|0);K=D;L=E;k[e>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(v);Ava(b);vva(d);Qb(L|0)}z=Rb()|0;K=Q;L=z;k[e>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(v);Ava(b);vva(d);Qb(L|0)}while(0);t=w;u=x;vva(d);Qb(u|0)}function fC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;switch(b|0){case 754:{h=921;r=a;return h|0}case 757:{h=739;r=a;return h|0}case 758:{h=921;r=a;return h|0}case 756:case 753:case 751:case 752:case 750:case 749:{h=738;r=a;return h|0}default:{h=d+56|0;a=d+4|0;k[d>>2]=27524;k[h>>2]=27544;B=0;wa(508,d+56|0,a|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(h);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[h>>2]=27488;B=0;va(448,a|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[a>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,a|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(a);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,132447,13)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,b|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,146481,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,75348,76);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,75650,21);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,a|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,1072,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[h>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(h);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[h>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(h);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[h>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(h);Qb(C|0)}while(0);j=n;l=o;vva(h);Qb(l|0)}}return 0}function gC(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0;a=r;r=r+192|0;e=a+176|0;f=a+40|0;g=a+24|0;h=a+12|0;i=a;switch(d|0){case 739:case 738:{j=Rqa(12)|0;k[j>>2]=3;k[j+4>>2]=4;k[j+8>>2]=5;l=j;m=3;break}case 741:case 740:{j=Rqa(12)|0;k[j>>2]=3;k[j+4>>2]=4;k[j+8>>2]=5;l=j;m=3;break}case 745:{j=Rqa(24)|0;k[j>>2]=3;k[j+4>>2]=4;k[j+8>>2]=5;k[j+12>>2]=9;k[j+16>>2]=10;k[j+20>>2]=11;l=j;m=6;break}case 742:{j=Rqa(24)|0;k[j>>2]=3;k[j+4>>2]=4;k[j+8>>2]=5;k[j+12>>2]=12;k[j+16>>2]=13;k[j+20>>2]=14;l=j;m=6;break}case 746:{r=a;return}default:{j=f+56|0;n=f+4|0;k[f>>2]=27524;k[j>>2]=27544;B=0;wa(508,f+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;q=o;vva(j);Qb(q|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[j>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){s=Rb()|0;t=Q;u=s}else{k[n>>2]=27560;s=f+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,n|0,e|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(e);Yua(s);Ava(n);t=w;u=v;break}Yua(e);B=0;v=Ia(40,f|0,132447,13)|0;w=B;B=0;if((((!(w&1)?(B=0,w=ya(427,d|0)|0,x=B,B=0,!(x&1)):0)?(x=Lta(w)|0,B=0,y=Ia(40,v|0,w|0,x|0)|0,x=B,B=0,!(x&1)):0)?(B=0,x=Ia(40,y|0,146481,18)|0,y=B,B=0,!(y&1)):0)?(B=0,Xa(239,x|0,0)|0,x=B,B=0,!(x&1)):0){x=Ab(20)|0;B=0;eb(502,g|0,75348,76);y=B;B=0;do if(!(y&1)){B=0;eb(502,h|0,75672,18);w=B;B=0;if(w&1){w=Rb()|0;v=Q;Yua(g);z=v;A=w;break}B=0;wa(510,i|0,n|0);w=B;B=0;if(w&1){w=Rb()|0;C=Q;D=w;E=1}else{B=0;ua(163,x|0,g|0,h|0,1127,i|0);w=B;B=0;if(w&1)F=1;else{B=0;eb(503,x|0,1240,229);B=0;F=0}w=Rb()|0;v=Q;Yua(i);C=v;D=w;E=F}Yua(h);Yua(g);if(E){z=C;A=D}else{G=C;H=D;k[f>>2]=27468;k[j>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(j);Qb(H|0)}}else{w=Rb()|0;z=Q;A=w}while(0);zb(x|0);G=z;H=A;k[f>>2]=27468;k[j>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(j);Qb(H|0)}y=Rb()|0;G=Q;H=y;k[f>>2]=27468;k[j>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(j);Qb(H|0)}while(0);p=t;q=u;vva(j);Qb(q|0)}}k[b>>2]=m;k[c>>2]=l;r=a;return}function hC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;switch(b|0){case 752:{h=740;r=a;return h|0}case 751:{h=740;r=a;return h|0}case 753:{h=742;r=a;return h|0}case 754:{h=742;r=a;return h|0}case 756:{h=748;r=a;return h|0}case 757:{h=743;r=a;return h|0}case 758:{h=743;r=a;return h|0}case 750:case 749:{h=738;r=a;return h|0}default:{h=d+56|0;a=d+4|0;k[d>>2]=27524;k[h>>2]=27544;B=0;wa(508,d+56|0,a|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(h);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[h>>2]=27488;B=0;va(448,a|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[a>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,a|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(a);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,132447,13)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,b|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,146481,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,75348,76);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,75691,21);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,a|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,1157,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[h>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(h);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[h>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(h);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[h>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(h);Qb(C|0)}while(0);j=n;l=o;vva(h);Qb(l|0)}}return 0}function iC(a){a=a|0;gh(a);return}function jC(a){a=a|0;jh(a);return}function kC(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;j=k[a>>2]|0;l=a+4|0;a:do if(j>>>0<(k[l>>2]|0)>>>0){a=j;while(1){m=k[a>>2]|0;a=a+4|0;if((Hc[k[(k[m>>2]|0)+32>>2]&511](m)|0)==(c|0)){n=m;break}if(a>>>0>=(k[l>>2]|0)>>>0)break a}Fc[k[(k[n>>2]|0)+40>>2]&1023](n,b);r=d;return}while(0);d=f+56|0;b=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,b|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;p=n;vva(d);Qb(p|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);n=B;B=0;do if(n&1){l=Rb()|0;q=Q;s=l}else{k[b>>2]=27560;l=f+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,b|0,e|0);j=B;B=0;if(j&1){j=Rb()|0;a=Q;Yua(e);Yua(l);Ava(b);q=a;s=j;break}Yua(e);B=0;j=Ia(40,f|0,75713,36)|0;a=B;B=0;if((((((!(a&1)?(B=0,a=Xa(242,j|0,c|0)|0,j=B,B=0,!(j&1)):0)?(B=0,j=Ia(40,a|0,144166,2)|0,a=B,B=0,!(a&1)):0)?(B=0,a=ya(427,c|0)|0,m=B,B=0,!(m&1)):0)?(m=Lta(a)|0,B=0,t=Ia(40,j|0,a|0,m|0)|0,m=B,B=0,!(m&1)):0)?(B=0,m=Ia(40,t|0,141170,1)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,m|0,0)|0,m=B,B=0,!(m&1)):0){m=Ab(20)|0;B=0;eb(502,g|0,75750,72);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,121355,13);a=B;B=0;if(a&1){a=Rb()|0;j=Q;Yua(g);u=j;v=a;break}B=0;wa(510,i|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;w=Q;x=a;y=1}else{B=0;ua(163,m|0,g|0,h|0,77,i|0);a=B;B=0;if(a&1)z=1;else{B=0;eb(503,m|0,1240,229);B=0;z=0}a=Rb()|0;j=Q;Yua(i);w=j;x=a;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(d);Qb(C|0)}}else{a=Rb()|0;u=Q;v=a}while(0);zb(m|0);A=u;C=v;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(d);Qb(C|0)}while(0);o=q;p=s;vva(d);Qb(p|0)}function lC(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;j=k[a>>2]|0;l=a+4|0;a:do if(j>>>0<(k[l>>2]|0)>>>0){a=j;while(1){m=k[a>>2]|0;a=a+4|0;if((Hc[k[(k[m>>2]|0)+32>>2]&511](m)|0)==(c|0)){n=m;break}if(a>>>0>=(k[l>>2]|0)>>>0)break a}Fc[k[(k[n>>2]|0)+64>>2]&1023](n,b);r=d;return}while(0);d=f+56|0;b=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,b|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;p=n;vva(d);Qb(p|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);n=B;B=0;do if(n&1){l=Rb()|0;q=Q;s=l}else{k[b>>2]=27560;l=f+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,b|0,e|0);j=B;B=0;if(j&1){j=Rb()|0;a=Q;Yua(e);Yua(l);Ava(b);q=a;s=j;break}Yua(e);B=0;j=Ia(40,f|0,75713,36)|0;a=B;B=0;if((((((!(a&1)?(B=0,a=Xa(242,j|0,c|0)|0,j=B,B=0,!(j&1)):0)?(B=0,j=Ia(40,a|0,144166,2)|0,a=B,B=0,!(a&1)):0)?(B=0,a=ya(427,c|0)|0,m=B,B=0,!(m&1)):0)?(m=Lta(a)|0,B=0,t=Ia(40,j|0,a|0,m|0)|0,m=B,B=0,!(m&1)):0)?(B=0,m=Ia(40,t|0,141170,1)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,m|0,0)|0,m=B,B=0,!(m&1)):0){m=Ab(20)|0;B=0;eb(502,g|0,75750,72);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,77948,15);a=B;B=0;if(a&1){a=Rb()|0;j=Q;Yua(g);u=j;v=a;break}B=0;wa(510,i|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;w=Q;x=a;y=1}else{B=0;ua(163,m|0,g|0,h|0,131,i|0);a=B;B=0;if(a&1)z=1;else{B=0;eb(503,m|0,1240,229);B=0;z=0}a=Rb()|0;j=Q;Yua(i);w=j;x=a;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(d);Qb(C|0)}}else{a=Rb()|0;u=Q;v=a}while(0);zb(m|0);A=u;C=v;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(d);Qb(C|0)}while(0);o=q;p=s;vva(d);Qb(p|0)}function mC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;c=k[a>>2]|0;d=a+4|0;a:do if(c>>>0<(k[d>>2]|0)>>>0){e=c;while(1){f=k[e>>2]|0;g=Hc[k[(k[f>>2]|0)+32>>2]&511](f)|0;e=e+4|0;if((g|0)==(Hc[k[(k[b>>2]|0)+32>>2]&511](b)|0)){h=f;break}if(e>>>0>=(k[d>>2]|0)>>>0)break a}mh(a,h)|0}while(0);ih(a,b)|0;return 1}function nC(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;d=k[a>>2]|0;e=a+4|0;f=k[e>>2]|0;a:do if(d>>>0<f>>>0){g=d;while(1){h=k[g>>2]|0;g=g+4|0;if((Hc[k[(k[h>>2]|0)+32>>2]&511](h)|0)==(c|0)){i=h;break}h=k[e>>2]|0;if(g>>>0>=h>>>0){j=h;break a}}mh(a,i)|0;j=k[e>>2]|0}else j=f;while(0);f=k[a>>2]|0;if(f>>>0<j>>>0)l=f;else return;while(1){f=k[l>>2]|0;l=l+4|0;if((Hc[k[(k[f>>2]|0)+32>>2]&511](f)|0)==(b|0)){m=f;break}if(l>>>0>=(k[e>>2]|0)>>>0){n=9;break}}if((n|0)==9)return;Fc[k[(k[m>>2]|0)+80>>2]&1023](m,c);return}function oC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;c=k[a>>2]|0;d=a+4|0;if(c>>>0<(k[d>>2]|0)>>>0)e=c;else{f=0;return f|0}while(1){c=k[e>>2]|0;e=e+4|0;if((Hc[k[(k[c>>2]|0)+32>>2]&511](c)|0)==(b|0)){f=c;g=4;break}if(e>>>0>=(k[d>>2]|0)>>>0){f=0;g=4;break}}if((g|0)==4)return f|0;return 0}function pC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0.0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;i=k[a>>2]|0;j=a+4|0;a:do if(i>>>0<(k[j>>2]|0)>>>0){a=i;while(1){l=k[a>>2]|0;a=a+4|0;if((Hc[k[(k[l>>2]|0)+32>>2]&511](l)|0)==(b|0)){m=l;break}if(a>>>0>=(k[j>>2]|0)>>>0)break a}if(m){n=+Zc[k[(k[m>>2]|0)+108>>2]&255](m);r=c;return +n}}while(0);c=e+56|0;m=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,m|0);j=B;B=0;if(j&1){j=Rb()|0;o=Q;p=j;vva(c);Qb(p|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,m|0);j=B;B=0;do if(j&1){i=Rb()|0;q=Q;s=i}else{k[m>>2]=27560;i=e+36|0;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;k[i+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,m|0,d|0);a=B;B=0;if(a&1){a=Rb()|0;l=Q;Yua(d);Yua(i);Ava(m);q=l;s=a;break}Yua(d);B=0;a=Ia(40,e|0,109148,6)|0;l=B;B=0;if((((!(l&1)?(B=0,l=ya(427,b|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(l)|0,B=0,u=Ia(40,a|0,l|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,114879,10)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,75750,72);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,115200,3);l=B;B=0;if(l&1){l=Rb()|0;a=Q;Yua(f);v=a;w=l;break}B=0;wa(510,h|0,m|0);l=B;B=0;if(l&1){l=Rb()|0;x=Q;y=l;z=1}else{B=0;ua(163,t|0,f|0,g|0,238,h|0);l=B;B=0;if(l&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}l=Rb()|0;a=Q;Yua(h);x=a;y=l;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[c>>2]=27488;k[m>>2]=27560;Yua(i);Ava(m);vva(c);Qb(D|0)}}else{l=Rb()|0;v=Q;w=l}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[c>>2]=27488;k[m>>2]=27560;Yua(i);Ava(m);vva(c);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[c>>2]=27488;k[m>>2]=27560;Yua(i);Ava(m);vva(c);Qb(D|0)}while(0);o=q;p=s;vva(c);Qb(p|0);return +(0.0)}function qC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0.0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;i=k[a>>2]|0;j=a+4|0;a:do if(i>>>0<(k[j>>2]|0)>>>0){a=i;while(1){l=k[a>>2]|0;a=a+4|0;if((Hc[k[(k[l>>2]|0)+32>>2]&511](l)|0)==(b|0)){m=l;break}if(a>>>0>=(k[j>>2]|0)>>>0)break a}if(m){n=+Zc[k[(k[m>>2]|0)+100>>2]&255](m);r=c;return +n}}while(0);c=e+56|0;m=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,m|0);j=B;B=0;if(j&1){j=Rb()|0;o=Q;p=j;vva(c);Qb(p|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,m|0);j=B;B=0;do if(j&1){i=Rb()|0;q=Q;s=i}else{k[m>>2]=27560;i=e+36|0;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;k[i+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,m|0,d|0);a=B;B=0;if(a&1){a=Rb()|0;l=Q;Yua(d);Yua(i);Ava(m);q=l;s=a;break}Yua(d);B=0;a=Ia(40,e|0,109148,6)|0;l=B;B=0;if((((!(l&1)?(B=0,l=ya(427,b|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(l)|0,B=0,u=Ia(40,a|0,l|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,114879,10)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,75750,72);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,115211,6);l=B;B=0;if(l&1){l=Rb()|0;a=Q;Yua(f);v=a;w=l;break}B=0;wa(510,h|0,m|0);l=B;B=0;if(l&1){l=Rb()|0;x=Q;y=l;z=1}else{B=0;ua(163,t|0,f|0,g|0,258,h|0);l=B;B=0;if(l&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}l=Rb()|0;a=Q;Yua(h);x=a;y=l;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[c>>2]=27488;k[m>>2]=27560;Yua(i);Ava(m);vva(c);Qb(D|0)}}else{l=Rb()|0;v=Q;w=l}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[c>>2]=27488;k[m>>2]=27560;Yua(i);Ava(m);vva(c);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[c>>2]=27488;k[m>>2]=27560;Yua(i);Ava(m);vva(c);Qb(D|0)}while(0);o=q;p=s;vva(c);Qb(p|0);return +(0.0)}function rC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0.0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;i=k[a>>2]|0;j=a+4|0;a:do if(i>>>0<(k[j>>2]|0)>>>0){a=i;while(1){l=k[a>>2]|0;a=a+4|0;if((Hc[k[(k[l>>2]|0)+32>>2]&511](l)|0)==(b|0)){m=l;break}if(a>>>0>=(k[j>>2]|0)>>>0)break a}if(m){n=+Zc[k[(k[m>>2]|0)+112>>2]&255](m);r=c;return +n}}while(0);c=e+56|0;m=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,m|0);j=B;B=0;if(j&1){j=Rb()|0;o=Q;p=j;vva(c);Qb(p|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,m|0);j=B;B=0;do if(j&1){i=Rb()|0;q=Q;s=i}else{k[m>>2]=27560;i=e+36|0;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;k[i+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,m|0,d|0);a=B;B=0;if(a&1){a=Rb()|0;l=Q;Yua(d);Yua(i);Ava(m);q=l;s=a;break}Yua(d);B=0;a=Ia(40,e|0,109148,6)|0;l=B;B=0;if((((!(l&1)?(B=0,l=ya(427,b|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(l)|0,B=0,u=Ia(40,a|0,l|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,114879,10)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,75750,72);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,77944,3);l=B;B=0;if(l&1){l=Rb()|0;a=Q;Yua(f);v=a;w=l;break}B=0;wa(510,h|0,m|0);l=B;B=0;if(l&1){l=Rb()|0;x=Q;y=l;z=1}else{B=0;ua(163,t|0,f|0,g|0,278,h|0);l=B;B=0;if(l&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}l=Rb()|0;a=Q;Yua(h);x=a;y=l;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[c>>2]=27488;k[m>>2]=27560;Yua(i);Ava(m);vva(c);Qb(D|0)}}else{l=Rb()|0;v=Q;w=l}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[c>>2]=27488;k[m>>2]=27560;Yua(i);Ava(m);vva(c);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[c>>2]=27488;k[m>>2]=27560;Yua(i);Ava(m);vva(c);Qb(D|0)}while(0);o=q;p=s;vva(c);Qb(p|0);return +(0.0)}function sC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;c=k[a>>2]|0;d=a+4|0;if(c>>>0<(k[d>>2]|0)>>>0)e=c;else return 1;while(1){c=k[e>>2]|0;e=e+4|0;if((Hc[k[(k[c>>2]|0)+32>>2]&511](c)|0)==(b|0)){f=c;break}if(e>>>0>=(k[d>>2]|0)>>>0){g=5;break}}if((g|0)==5)return 1;mh(a,f)|0;return 1}function tC(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;j=k[a>>2]|0;l=a+4|0;a:do if(j>>>0<(k[l>>2]|0)>>>0){m=j;while(1){n=k[m>>2]|0;m=m+4|0;if((Hc[k[(k[n>>2]|0)+32>>2]&511](n)|0)==(b|0)){o=n;break}if(m>>>0>=(k[l>>2]|0)>>>0)break a}if(o){m=Hc[k[(k[o>>2]|0)+24>>2]&511](o)|0;Fc[k[(k[m>>2]|0)+80>>2]&1023](m,c);n=k[a>>2]|0;if(n>>>0>=(k[l>>2]|0)>>>0){ih(a,m)|0;r=d;return}p=n;while(1){n=k[p>>2]|0;q=Hc[k[(k[n>>2]|0)+32>>2]&511](n)|0;p=p+4|0;if((q|0)==(Hc[k[(k[m>>2]|0)+32>>2]&511](m)|0)){s=n;break}if(p>>>0>=(k[l>>2]|0)>>>0){t=35;break}}if((t|0)==35){ih(a,m)|0;r=d;return}mh(a,s)|0;ih(a,m)|0;r=d;return}}while(0);d=f+56|0;a=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,a|0);s=B;B=0;if(s&1){s=Rb()|0;u=Q;v=s;vva(d);Qb(v|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,a|0);s=B;B=0;do if(s&1){t=Rb()|0;w=Q;x=t}else{k[a>>2]=27560;t=f+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,a|0,e|0);l=B;B=0;if(l&1){l=Rb()|0;c=Q;Yua(e);Yua(t);Ava(a);w=c;x=l;break}Yua(e);B=0;l=Ia(40,f|0,75823,32)|0;c=B;B=0;if(((!(c&1)?(B=0,c=ya(427,b|0)|0,o=B,B=0,!(o&1)):0)?(o=Lta(c)|0,B=0,j=Ia(40,l|0,c|0,o|0)|0,o=B,B=0,!(o&1)):0)?(B=0,Xa(239,j|0,0)|0,j=B,B=0,!(j&1)):0){j=Ab(20)|0;B=0;eb(502,g|0,75750,72);o=B;B=0;do if(!(o&1)){B=0;eb(502,h|0,75856,14);c=B;B=0;if(c&1){c=Rb()|0;l=Q;Yua(g);y=l;z=c;break}B=0;wa(510,i|0,a|0);c=B;B=0;if(c&1){c=Rb()|0;A=Q;C=c;D=1}else{B=0;ua(163,j|0,g|0,h|0,344,i|0);c=B;B=0;if(c&1)E=1;else{B=0;eb(503,j|0,1240,229);B=0;E=0}c=Rb()|0;l=Q;Yua(i);A=l;C=c;D=E}Yua(h);Yua(g);if(D){y=A;z=C}else{F=A;G=C;k[f>>2]=27468;k[d>>2]=27488;k[a>>2]=27560;Yua(t);Ava(a);vva(d);Qb(G|0)}}else{c=Rb()|0;y=Q;z=c}while(0);zb(j|0);F=y;G=z;k[f>>2]=27468;k[d>>2]=27488;k[a>>2]=27560;Yua(t);Ava(a);vva(d);Qb(G|0)}o=Rb()|0;F=Q;G=o;k[f>>2]=27468;k[d>>2]=27488;k[a>>2]=27560;Yua(t);Ava(a);vva(d);Qb(G|0)}while(0);u=w;v=x;vva(d);Qb(v|0)}function uC(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;e=Qqa(36)|0;B=0;va(480,e|0);f=B;B=0;if(f&1){f=Rb()|0;Sqa(e);Qb(f|0)}f=k[a>>2]|0;g=a+4|0;if(f>>>0<(k[g>>2]|0)>>>0)h=f;else return e|0;do{f=k[h>>2]|0;ih(e,ld[k[(k[f>>2]|0)+144>>2]&127](f,b,c,d)|0)|0;h=h+4|0}while(h>>>0<(k[g>>2]|0)>>>0);return e|0}function vC(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;d=Qqa(36)|0;B=0;va(480,d|0);e=B;B=0;if(e&1){e=Rb()|0;Sqa(d);Qb(e|0)}e=k[a>>2]|0;f=a+4|0;if(e>>>0<(k[f>>2]|0)>>>0)g=e;else return d|0;do{e=k[g>>2]|0;ih(d,Rc[k[(k[e>>2]|0)+148>>2]&63](e,b,c)|0)|0;g=g+4|0}while(g>>>0<(k[f>>2]|0)>>>0);return d|0}function wC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=k[a>>2]|0;d=a+4|0;if(c>>>0<(k[d>>2]|0)>>>0)e=c;else return;do{c=k[e>>2]|0;Fc[k[(k[c>>2]|0)+84>>2]&1023](c,b);e=e+4|0}while(e>>>0<(k[d>>2]|0)>>>0);return}function xC(a){a=a|0;k[a>>2]=32164;k[a>>2]=31972;k[a+12>>2]=0;return}function yC(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;k[a>>2]=32164;B=0;e=B;B=0;if(e&1){e=Rb()|0;f=Q;g=e;Qb(g|0)}k[a>>2]=31972;k[a+4>>2]=b;b=a+8|0;k[b>>2]=d;B=0;e=Xa(249,a|0,d|0)|0;d=B;B=0;do if(!(d&1)?(B=0,h=ya(422,(e>>>0>536870911?-1:e<<3)|0)|0,i=B,B=0,!(i&1)):0){i=a+12|0;k[i>>2]=h;h=0;while(1){B=0;j=Xa(249,a|0,k[b>>2]|0)|0;l=B;B=0;if(l&1){m=9;break}if((h|0)>=(j|0)){m=7;break}p[(k[i>>2]|0)+(h<<3)>>3]=+p[c+(h<<3)>>3];h=h+1|0}if((m|0)==7)return;else if((m|0)==9){h=Rb()|0;n=h;o=Q;break}}else m=10;while(0);if((m|0)==10){m=Rb()|0;n=m;o=Q}f=o;g=n;Qb(g|0)}function zC(a){a=a|0;var b=0;k[a>>2]=31972;b=a+12|0;a=k[b>>2]|0;if(!a){k[b>>2]=0;return}Tqa(a);k[b>>2]=0;return}function AC(a){a=a|0;var b=0,c=0;k[a>>2]=31972;b=a+12|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;Sqa(a);return}function BC(a){a=a|0;Ec[k[(k[a>>2]|0)+12>>2]&1023](a);return}function CC(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;b=r;r=r+464|0;c=b+452|0;d=b+304|0;e=b+440|0;f=b+152|0;g=b+288|0;h=b+16|0;i=b;j=d+56|0;l=d+4|0;k[d>>2]=27524;k[j>>2]=27544;B=0;wa(508,d+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(j);Qb(o|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[j>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){q=Rb()|0;s=Q;t=q}else{k[l>>2]=27560;q=d+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,l|0,c|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(c);Yua(q);Ava(l);s=v;t=u;break}Yua(c);k[d+(k[(k[d>>2]|0)+-12>>2]|0)+12>>2]=15;B=0;u=Ia(40,d|0,75881,12)|0;v=B;B=0;do if((((!(v&1)?(k[u+(k[(k[u>>2]|0)+-12>>2]|0)+12>>2]=25,w=u+(k[(k[u>>2]|0)+-12>>2]|0)+4|0,k[w>>2]=k[w>>2]&-177|32,B=0,w=ya(427,k[a+4>>2]|0)|0,x=B,B=0,!(x&1)):0)?(x=Lta(w)|0,B=0,y=Ia(40,u|0,w|0,x|0)|0,x=B,B=0,!(x&1)):0)?(B=0,Ia(40,y|0,120962,2)|0,y=B,B=0,!(y&1)):0)?(B=0,wa(510,e|0,l|0),y=B,B=0,!(y&1)):0){B=0;ya(424,e|0)|0;y=B;B=0;if(y&1){y=Rb()|0;x=Q;Yua(e);z=x;A=y;break}Yua(e);k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(q);Ava(l);vva(j);y=a+8|0;a:do if((zt(a,k[y>>2]|0)|0)>0){x=f+56|0;w=f+4|0;C=f+56|0;D=f+128|0;E=f+132|0;F=f+36|0;G=f+52|0;H=a+12|0;I=0;while(1){k[f>>2]=27524;k[x>>2]=27544;B=0;wa(508,C|0,w|0);J=B;B=0;if(J&1){K=33;break}k[D>>2]=0;k[E>>2]=-1;k[f>>2]=27468;k[x>>2]=27488;B=0;va(448,w|0);J=B;B=0;if(J&1){K=34;break}k[w>>2]=27560;k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;k[F+12>>2]=0;k[G>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,w|0,c|0);J=B;B=0;if(J&1){K=32;break}Yua(c);B=0;J=Ia(40,f|0,149175,1)|0;L=B;B=0;if(L&1){K=42;break}B=0;Sa(1,J|0,+(+p[(k[H>>2]|0)+(I<<3)>>3]))|0;J=B;B=0;if(J&1){K=42;break}B=0;wa(510,g|0,w|0);J=B;B=0;if(J&1){K=42;break}B=0;ya(424,g|0)|0;J=B;B=0;if(J&1){K=43;break}Yua(g);k[f>>2]=27468;k[x>>2]=27488;k[w>>2]=27560;Yua(F);Ava(w);vva(x);I=I+1|0;if((I|0)>=(zt(a,k[y>>2]|0)|0))break a}if((K|0)==32){I=Rb()|0;H=Q;Yua(c);Yua(F);Ava(w);M=H;N=I;K=35}else if((K|0)==33){I=Rb()|0;O=Q;P=I;vva(x);Qb(P|0)}else if((K|0)==34){I=Rb()|0;M=Q;N=I;K=35}else if((K|0)==42){I=Rb()|0;R=Q;S=I;K=44}else if((K|0)==43){I=Rb()|0;H=Q;Yua(g);R=H;S=I;K=44}if((K|0)==35){O=M;P=N;vva(x);Qb(P|0)}else if((K|0)==44){k[f>>2]=27468;k[x>>2]=27488;k[w>>2]=27560;Yua(F);Ava(w);vva(x);T=R;U=S;Qb(U|0)}}while(0);y=h+56|0;I=h+4|0;k[h>>2]=27524;k[y>>2]=27544;B=0;wa(508,h+56|0,I|0);H=B;B=0;if(H&1){H=Rb()|0;V=Q;W=H;vva(y);Qb(W|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[y>>2]=27488;B=0;va(448,I|0);H=B;B=0;do if(H&1){G=Rb()|0;X=Q;Y=G}else{k[I>>2]=27560;G=h+36|0;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;k[G+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,I|0,c|0);E=B;B=0;if(E&1){E=Rb()|0;D=Q;Yua(c);Yua(G);Ava(I);X=D;Y=E;break}Yua(c);B=0;Ia(40,h|0,149198,2)|0;E=B;B=0;do if(!(E&1)?(B=0,wa(510,i|0,I|0),D=B,B=0,!(D&1)):0){B=0;ya(424,i|0)|0;D=B;B=0;if(D&1){D=Rb()|0;C=Q;Yua(i);Z=C;_=D;break}else{Yua(i);k[h>>2]=27468;k[y>>2]=27488;k[I>>2]=27560;Yua(G);Ava(I);vva(y);r=b;return}}else K=48;while(0);if((K|0)==48){E=Rb()|0;Z=Q;_=E}k[h>>2]=27468;k[y>>2]=27488;k[I>>2]=27560;Yua(G);Ava(I);vva(y);T=Z;U=_;Qb(U|0)}while(0);V=X;W=Y;vva(y);Qb(W|0)}else K=26;while(0);if((K|0)==26){u=Rb()|0;z=Q;A=u}k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(q);Ava(l);vva(j);T=z;U=A;Qb(U|0)}while(0);n=s;o=t;vva(j);Qb(o|0)}function DC(a){a=a|0;return -1}function EC(a){a=a|0;return 620}function FC(a){a=a|0;var b=0;b=Qqa(16)|0;B=0;ib(292,b|0,k[a+4>>2]|0,k[a+12>>2]|0,k[a+8>>2]|0);a=B;B=0;if(a&1){a=Rb()|0;Sqa(b);Qb(a|0)}else return b|0;return 0}function GC(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;e=r;r=r+368|0;f=e+344|0;g=e+208|0;h=e+196|0;j=e+184|0;m=e+36|0;n=e+48|0;o=e+24|0;p=e+12|0;q=e;s=(d|0)==0;a:do if(s){t=k[b>>2]|0;i[t>>0]=108;i[t+1>>0]=2;i[t+2>>0]=0;i[t+3>>0]=0;t=(k[b>>2]|0)+4|0;k[b>>2]=t;u=a+4|0;v=l[u>>0]|l[u+1>>0]<<8|l[u+2>>0]<<16|l[u+3>>0]<<24;i[t>>0]=v;i[t+1>>0]=v>>8;i[t+2>>0]=v>>16;i[t+3>>0]=v>>24;v=(k[b>>2]|0)+4|0;k[b>>2]=v;t=a+8|0;u=l[t>>0]|l[t+1>>0]<<8|l[t+2>>0]<<16|l[t+3>>0]<<24;i[v>>0]=u;i[v+1>>0]=u>>8;i[v+2>>0]=u>>16;i[v+3>>0]=u>>24;k[b>>2]=(k[b>>2]|0)+4;w=t}else switch(d|0){case 2:{k[c>>2]=(k[c>>2]|0)+12;w=a+8|0;break a;break}case 1:{t=(k[b>>2]|0)+4|0;k[b>>2]=t;u=a+4|0;v=l[t>>0]|l[t+1>>0]<<8|l[t+2>>0]<<16|l[t+3>>0]<<24;i[u>>0]=v;i[u+1>>0]=v>>8;i[u+2>>0]=v>>16;i[u+3>>0]=v>>24;v=(k[b>>2]|0)+4|0;k[b>>2]=v;u=a+8|0;t=l[v>>0]|l[v+1>>0]<<8|l[v+2>>0]<<16|l[v+3>>0]<<24;i[u>>0]=t;i[u+1>>0]=t>>8;i[u+2>>0]=t>>16;i[u+3>>0]=t>>24;k[b>>2]=(k[b>>2]|0)+4;w=u;break a;break}default:{u=g+56|0;t=g+4|0;k[g>>2]=27524;k[u>>2]=27544;B=0;wa(508,g+56|0,t|0);v=B;B=0;if(v&1){v=Rb()|0;x=Q;y=v;vva(u);Qb(y|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[u>>2]=27488;B=0;va(448,t|0);v=B;B=0;do if(v&1){z=Rb()|0;A=Q;C=z}else{k[t>>2]=27560;z=g+36|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;k[z+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,t|0,f|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(f);Yua(z);Ava(t);A=E;C=D;break}Yua(f);B=0;D=Ia(40,g|0,143951,43)|0;E=B;B=0;b:do if(!(E&1)?(B=0,Xa(239,D|0,0)|0,F=B,B=0,!(F&1)):0){F=Ab(20)|0;B=0;eb(502,h|0,75894,74);G=B;B=0;do if(!(G&1)){B=0;eb(502,j|0,149525,8);H=B;B=0;if(H&1){H=Rb()|0;I=Q;Yua(h);J=I;K=H;break}B=0;wa(510,m|0,t|0);H=B;B=0;if(H&1){H=Rb()|0;L=Q;M=H;N=1}else{B=0;ua(163,F|0,h|0,j|0,63,m|0);H=B;B=0;if(H&1)O=1;else{B=0;eb(503,F|0,1240,229);B=0;O=0}H=Rb()|0;I=Q;Yua(m);L=I;M=H;N=O}Yua(j);Yua(h);if(N){J=L;K=M}else{P=L;R=M;break b}}else{H=Rb()|0;J=Q;K=H}while(0);zb(F|0);P=J;R=K}else S=18;while(0);if((S|0)==18){D=Rb()|0;P=Q;R=D}k[g>>2]=27468;k[u>>2]=27488;k[t>>2]=27560;Yua(z);Ava(t);vva(u);T=R;U=P;Qb(T|0)}while(0);x=A;y=C;vva(u);Qb(y|0)}}while(0);y=zt(a,k[w>>2]|0)|0;w=a+12|0;if((y|0)<=0){k[w>>2]=0;r=e;return}a=(k[w>>2]|0)==0;if(s){i[k[b>>2]>>0]=a&1;s=(k[b>>2]|0)+1|0;k[b>>2]=s;if(a){r=e;return}C=y<<3;TEa(s|0,k[w>>2]|0,C|0)|0;k[b>>2]=(k[b>>2]|0)+C;r=e;return}switch(d|0){case 2:{d=(k[c>>2]|0)+1|0;k[c>>2]=d;if(a){r=e;return}k[c>>2]=d+(y<<3);r=e;return}case 1:{d=k[b>>2]|0;c=i[d>>0]|0;k[b>>2]=d+1;if(c&1){r=e;return}c=Rqa(y>>>0>536870911?-1:y<<3)|0;k[w>>2]=c;w=k[b>>2]|0;d=y<<3;TEa(c|0,w|0,d|0)|0;k[b>>2]=w+d;r=e;return}default:{e=n+56|0;d=n+4|0;k[n>>2]=27524;k[e>>2]=27544;B=0;wa(508,n+56|0,d|0);w=B;B=0;if(w&1){w=Rb()|0;V=Q;W=w;vva(e);Qb(W|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[e>>2]=27488;B=0;va(448,d|0);w=B;B=0;do if(w&1){b=Rb()|0;X=Q;Y=b}else{k[d>>2]=27560;b=n+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[n+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,d|0,f|0);c=B;B=0;if(c&1){c=Rb()|0;y=Q;Yua(f);Yua(b);Ava(d);X=y;Y=c;break}Yua(f);B=0;c=Ia(40,n|0,143951,43)|0;y=B;B=0;c:do if(!(y&1)?(B=0,Xa(239,c|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,o|0,75894,74);C=B;B=0;do if(!(C&1)){B=0;eb(502,p|0,149525,8);s=B;B=0;if(s&1){s=Rb()|0;A=Q;Yua(o);Z=s;_=A;break}B=0;wa(510,q|0,d|0);A=B;B=0;if(A&1){A=Rb()|0;$=1;aa=Q;ba=A}else{B=0;ua(163,a|0,o|0,p|0,70,q|0);A=B;B=0;if(A&1)ca=1;else{B=0;eb(503,a|0,1240,229);B=0;ca=0}A=Rb()|0;s=Q;Yua(q);$=ca;aa=s;ba=A}Yua(p);Yua(o);if($){Z=ba;_=aa}else{da=ba;ea=aa;break c}}else{A=Rb()|0;Z=A;_=Q}while(0);zb(a|0);da=Z;ea=_}else S=49;while(0);if((S|0)==49){c=Rb()|0;da=c;ea=Q}k[n>>2]=27468;k[e>>2]=27488;k[d>>2]=27560;Yua(b);Ava(d);vva(e);T=da;U=ea;Qb(T|0)}while(0);V=X;W=Y;vva(e);Qb(W|0)}}}function HC(a){a=a|0;return k[a+4>>2]|0}function IC(a,b){a=a|0;b=b|0;var c=0,d=0.0,e=0.0,f=0.0,g=0,h=0.0,i=0.0;c=zt(a,k[a+8>>2]|0)|0;d=+(c|0);if((c|0)<=0){e=0.0;f=e/d;p[b>>3]=f;return}g=k[a+12>>2]|0;a=0;h=0.0;while(1){i=h+ +p[g+(a<<3)>>3];a=a+1|0;if((a|0)==(c|0)){e=i;break}else h=i}f=e/d;p[b>>3]=f;return}function JC(a,b,c){a=a|0;b=b|0;c=c|0;Bt(a,b,k[a+12>>2]|0,c,k[a+8>>2]|0);return}function KC(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;yt(a,b,k[a+12>>2]|0,c,d,k[a+8>>2]|0);return}function LC(a,b){a=a|0;b=b|0;return}function MC(a){a=a|0;var b=0,c=0,d=0.0,e=0,f=0.0,g=0.0,h=0.0;b=zt(a,k[a+8>>2]|0)|0;c=k[a+12>>2]|0;d=+p[c>>3];if((b|0)>1){e=1;f=d}else{g=d;return +g}while(1){d=+p[c+(e<<3)>>3];h=d<f?d:f;e=e+1|0;if((e|0)==(b|0)){g=h;break}else f=h}return +g}function NC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,75969,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,51,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function OC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,75969,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,52,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function PC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,75969,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,53,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function QC(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;e=c+24|0;f=c+12|0;g=c;c=a+56|0;h=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=a+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,a|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,75969,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,121355,13);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,55,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[a>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(E|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function RC(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,75969,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,56,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function SC(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,75969,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121324,30);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,59,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function TC(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,75969,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,120910,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,60,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function UC(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,a|0,75969,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,120878,31);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(a);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,a|0,f|0,61,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(a);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(E|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function VC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,75969,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115254,10);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,62,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function WC(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,75969,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115244,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,63,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function XC(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;a=d+56|0;h=d+4|0;k[d>>2]=27524;k[a>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(a);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[a>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,75969,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,115231,12);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,64,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[a>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(a);Qb(E|0)}while(0);j=n;l=o;vva(a);Qb(l|0)}function YC(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,75969,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115218,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,69,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function ZC(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,75969,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115211,6);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,71,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function _C(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,75969,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115204,6);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,73,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function $C(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,75969,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115200,3);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,70,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function aD(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;a=d+56|0;h=d+4|0;k[d>>2]=27524;k[a>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(a);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[a>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,75969,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,120874,3);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,65,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[a>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(a);Qb(E|0)}while(0);j=n;l=o;vva(a);Qb(l|0)}
function Goa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0.0,h=0.0,j=0.0,l=0,m=0.0,n=0.0,o=0.0,q=0.0,s=0.0,t=0;b=r;r=r+16|0;c=b;d=Rqa(12040)|0;e=Rqa(11640)|0;bO(k[a+44>>2]|0,c,442);f=0;do{g=+(f|0)*.02+-13.75;h=g+13.75;if(h<.05)j=0.0;else{l=0;m=0.0;n=.05;while(1){o=n-g;q=m+n*+ja(+(o*o*-.01652892561983471))*.1;n=n+.1;if(n>h|(l|0)>598){j=q;break}else{l=l+1|0;m=q}}}p[d+(f<<3)>>3]=j*.07253496007298776;f=f+1|0}while((f|0)!=1376);p[d+11016>>3]=13.77;f=0;do{j=+(f|0)*.02+-12.5;m=j+-12.5;if(m>1.95)s=0.0;else{l=0;h=0.0;n=1.95;while(1){g=n-j;q=h+ +ja(+(g*g*-.02))*.1;n=n+-.1;if(n<m|(l|0)>598){s=q;break}else{l=l+1|0;h=q}}}p[e+(f<<3)>>3]=s*.07978845608028655;f=f+1|0}while((f|0)!=1351);p[e+10816>>3]=0.0;f=a+20|0;if((th(k[f>>2]|0)|0)>0)t=0;else{Tqa(d);Tqa(e);r=b;return}do{a=qh(k[f>>2]|0,t)|0;jq(a,d,e,5.5,(i[c>>0]|0)!=0);t=t+1|0}while((t|0)<(th(k[f>>2]|0)|0));Tqa(d);Tqa(e);r=b;return}function Hoa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0;b=r;r=r+16|0;c=b;dO(k[a+44>>2]|0,c,67);d=a+20|0;if((th(k[d>>2]|0)|0)>0)e=0;else{r=b;return}do{a=qh(k[d>>2]|0,e)|0;f=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;g=f>>>0>536870911?-1:f<<3;h=Rqa(g)|0;i=Rqa(g)|0;j=Rqa(g)|0;xp(a,h,339);xp(a,i,462);if((f|0)>0){l=+p[c>>3];g=0;do{m=+p[h+(g<<3)>>3];n=m*.00969+-15.86;if(m<1675.0)o=n;else{q=m+-1675.0;o=n*(1.0-q*.0011+q*(q*-.0000154))}p[j+(g<<3)>>3]=+p[i+(g<<3)>>3]+(o+-.235)/l;g=g+1|0}while((g|0)!=(f|0))}rd[k[(k[a>>2]|0)+48>>2]&511](a,388,j,738);Tqa(h);Tqa(i);Tqa(j);e=e+1|0}while((e|0)<(th(k[d>>2]|0)|0));r=b;return}function Ioa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0;b=a+20|0;if((th(k[b>>2]|0)|0)>0)c=0;else return;do{a=qh(k[b>>2]|0,c)|0;d=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;e=d>>>0>536870911?-1:d<<3;f=Rqa(e)|0;g=Rqa(e)|0;h=Rqa(e)|0;i=Rqa(e)|0;xp(a,f,467);xp(a,g,468);xp(a,h,469);if((d|0)>0){e=0;do{p[i+(e<<3)>>3]=+p[f+(e<<3)>>3]-+p[g+(e<<3)>>3]-+p[h+(e<<3)>>3];e=e+1|0}while((e|0)!=(d|0))}rd[k[(k[a>>2]|0)+48>>2]&511](a,388,i,738);Tqa(f);Tqa(g);Tqa(h);Tqa(i);c=c+1|0}while((c|0)<(th(k[b>>2]|0)|0));return}function Joa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;b=a+20|0;if((th(k[b>>2]|0)|0)>0)c=0;else return;do{a=qh(k[b>>2]|0,c)|0;d=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;e=d>>>0>536870911?-1:d<<3;f=Rqa(e)|0;g=Rqa(e)|0;h=Rqa(e)|0;i=Rqa(e)|0;j=Rqa(e)|0;xp(a,f,467);xp(a,g,468);xp(a,h,471);xp(a,i,472);if((d|0)>0){e=0;do{p[j+(e<<3)>>3]=+p[f+(e<<3)>>3]-+p[g+(e<<3)>>3]-+p[h+(e<<3)>>3]+ +p[i+(e<<3)>>3];e=e+1|0}while((e|0)!=(d|0))}rd[k[(k[a>>2]|0)+48>>2]&511](a,388,j,738);Tqa(f);Tqa(g);Tqa(h);Tqa(i);Tqa(j);c=c+1|0}while((c|0)<(th(k[b>>2]|0)|0));return}function Koa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;e=r;r=r+176|0;f=e+156|0;g=e+152|0;h=e+16|0;i=e;a:do if(BY()|0){j=h+56|0;l=h+4|0;k[h>>2]=27524;k[j>>2]=27544;B=0;wa(508,h+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(j);Qb(o|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[j>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){p=Rb()|0;q=Q;s=p}else{k[l>>2]=27560;p=h+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[h+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,l|0,f|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(f);Yua(p);Ava(l);q=u;s=t;break}Yua(f);B=0;Ia(40,h|0,146631,33)|0;t=B;B=0;do if(!(t&1)?(B=0,wa(510,i|0,l|0),u=B,B=0,!(u&1)):0){B=0;ya(425,i|0)|0;u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(i);w=u;x=v;break}else{Yua(i);k[h>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);break a}}else y=14;while(0);if((y|0)==14){t=Rb()|0;w=t;x=Q}k[h>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);z=w;A=x;Qb(z|0)}while(0);n=q;o=s;vva(j);Qb(o|0)}while(0);cO(d,g,478);o=en(c,k[g>>2]|0,937)|0;cO(d,f,477);d=fn(c,k[f>>2]|0,937)|0;if(!o){C=0;k[a>>2]=C;r=e;return}f=Qqa(8)|0;B=0;va(485,f|0);s=B;B=0;b:do if(s&1)y=24;else{do if(k[f>>2]|0){B=0;q=ya(423,4)|0;n=B;B=0;if(n&1){y=24;break b}B=0;eb(525,q|0,d|0,o|0);n=B;B=0;if(n&1){n=Rb()|0;x=Q;Sqa(q);D=x;E=n;break b}else{k[f+4>>2]=q;break}}while(0);if(bn(c,k[g>>2]|0)|0){if(!(k[b>>2]|0))F=0;else{j=k[k[b+4>>2]>>2]|0;F=Hc[k[(k[j>>2]|0)+52>>2]&511](j)|0}if((th(c)|0)>0){j=0;do{q=qh(c,j)|0;if(Tn(q,k[g>>2]|0)|0)ho(q,f,F,937);j=j+1|0}while((j|0)<(th(c)|0));G=F}else G=F}else G=0;if(k[f>>2]|0){j=k[k[f+4>>2]>>2]|0;Ec[k[(k[j>>2]|0)+12>>2]&1023](j)}if(!G){C=f;k[a>>2]=C;r=e;return}Tqa(G);C=f;k[a>>2]=C;r=e;return}while(0);if((y|0)==24){y=Rb()|0;D=Q;E=y}Sqa(f);z=E;A=D;Qb(z|0)}function Loa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;e=r;r=r+192|0;f=e+168|0;g=e+164|0;h=e+160|0;i=e+156|0;j=e+152|0;l=e+16|0;m=e;a:do if(BY()|0){n=l+56|0;o=l+4|0;k[l>>2]=27524;k[n>>2]=27544;B=0;wa(508,l+56|0,o|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;s=p;vva(n);Qb(s|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[n>>2]=27488;B=0;va(448,o|0);p=B;B=0;do if(p&1){t=Rb()|0;u=Q;v=t}else{k[o>>2]=27560;t=l+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[l+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,o|0,f|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(f);Yua(t);Ava(o);u=x;v=w;break}Yua(f);B=0;Ia(40,l|0,146665,44)|0;w=B;B=0;do if(!(w&1)?(B=0,wa(510,m|0,o|0),x=B,B=0,!(x&1)):0){B=0;ya(425,m|0)|0;x=B;B=0;if(x&1){x=Rb()|0;y=Q;Yua(m);z=y;A=x;break}else{Yua(m);k[l>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(t);Ava(o);vva(n);break a}}else C=14;while(0);if((C|0)==14){w=Rb()|0;z=Q;A=w}k[l>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(t);Ava(o);vva(n);D=z;E=A;Qb(E|0)}while(0);q=u;s=v;vva(n);Qb(s|0)}while(0);if(k[b>>2]|0){s=k[k[b+4>>2]>>2]|0;nd[k[(k[s>>2]|0)+20>>2]&1023](s,i,j)}if(!a){r=e;return}s=k[i>>2]|0;if(!(ma(k[j>>2]|0,s)|0)){r=e;return}if(!(k[b>>2]|0))F=s;else{s=k[k[b+4>>2]>>2]|0;nd[k[(k[s>>2]|0)+24>>2]&1023](s,g,h);F=k[i>>2]|0}i=Qqa(8)|0;h=k[g>>2]|0;B=0;va(485,i|0);g=B;B=0;b:do if(g&1)C=29;else{do if(k[i>>2]|0){B=0;s=ya(423,4)|0;j=B;B=0;if(j&1){C=29;break b}B=0;eb(525,s|0,h|0,F|0);j=B;B=0;if(j&1){j=Rb()|0;v=Q;Sqa(s);G=v;H=j;break b}else{k[i+4>>2]=s;break}}while(0);if(d){n=Qqa(8)|0;B=0;va(485,n|0);s=B;B=0;if(s&1){s=Rb()|0;Sqa(n);Qb(s|0)}if(k[c>>2]|0){s=k[c+4>>2]|0;j=Qqa(4)|0;v=k[s>>2]|0;u=Hc[k[(k[v>>2]|0)+36>>2]&511](v)|0;k[j>>2]=u;v=k[s>>2]|0;Fc[k[(k[v>>2]|0)+60>>2]&1023](v,u);k[n+4>>2]=j}if((k[n>>2]|0)!=0?(j=n+4|0,u=k[k[j>>2]>>2]|0,Cc[k[(k[u>>2]|0)+40>>2]&63](u,0.0),(k[n>>2]|0)!=0):0){u=k[k[j>>2]>>2]|0;Ec[k[(k[u>>2]|0)+12>>2]&1023](u)}if(!(k[b>>2]|0))I=n;else{u=k[k[b+4>>2]>>2]|0;nd[k[(k[u>>2]|0)+28>>2]&1023](u,k[k[n+4>>2]>>2]|0,k[k[i+4>>2]>>2]|0);I=n}}else if(!(k[b>>2]|0))I=0;else{n=k[k[b+4>>2]>>2]|0;nd[k[(k[n>>2]|0)+28>>2]&1023](n,k[k[c+4>>2]>>2]|0,k[k[i+4>>2]>>2]|0);I=0}if(k[a>>2]|0){n=k[k[a+4>>2]>>2]|0;Xc[k[(k[n>>2]|0)+44>>2]&63](n,k[k[i+4>>2]>>2]|0,-1.0)}if(I){if((k[I>>2]|0)!=0?(n=k[I+4>>2]|0,(n|0)!=0):0){u=k[n>>2]|0;if(u)Ec[k[(k[u>>2]|0)+4>>2]&1023](u);Sqa(n)}Sqa(I)}if((k[i>>2]|0)!=0?(n=k[i+4>>2]|0,(n|0)!=0):0){u=k[n>>2]|0;if(u)Ec[k[(k[u>>2]|0)+4>>2]&1023](u);Sqa(n)}Sqa(i);r=e;return}while(0);if((C|0)==29){C=Rb()|0;G=Q;H=C}Sqa(i);D=G;E=H;Qb(E|0)}function Moa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;e=d+176|0;f=d+172|0;g=d+168|0;h=d+164|0;i=d+160|0;j=d+156|0;l=d+152|0;m=d+16|0;n=d;k[f>>2]=1;k[g>>2]=0;k[h>>2]=0;k[i>>2]=0;k[j>>2]=0;a:do if(BY()|0){o=m+56|0;p=m+4|0;k[m>>2]=27524;k[o>>2]=27544;B=0;wa(508,m+56|0,p|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;t=q;vva(o);Qb(t|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[o>>2]=27488;B=0;va(448,p|0);q=B;B=0;do if(q&1){u=Rb()|0;v=Q;w=u}else{k[p>>2]=27560;u=m+36|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;k[u+12>>2]=0;k[m+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,p|0,e|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;Yua(e);Yua(u);Ava(p);v=y;w=x;break}Yua(e);B=0;Ia(40,m|0,146710,26)|0;x=B;B=0;if(!(x&1)?(B=0,wa(510,n|0,p|0),x=B,B=0,!(x&1)):0){B=0;ya(425,n|0)|0;x=B;B=0;if(!(x&1)){Yua(n);k[m>>2]=27468;k[o>>2]=27488;k[p>>2]=27560;Yua(u);Ava(p);vva(o);break a}x=Rb()|0;y=Q;Yua(n);z=x;A=y;k[m>>2]=27468;k[o>>2]=27488;k[p>>2]=27560;Yua(u);Ava(p);vva(o);Qb(z|0)}y=Rb()|0;z=y;A=Q;k[m>>2]=27468;k[o>>2]=27488;k[p>>2]=27560;Yua(u);Ava(p);vva(o);Qb(z|0)}while(0);s=v;t=w;vva(o);Qb(t|0)}while(0);t=c+44|0;cO(k[t>>2]|0,h,80);cO(k[t>>2]|0,l,477);t=c+36|0;if(lpa(k[t>>2]|0,k[l>>2]|0)|0)mpa(f,g,k[t>>2]|0,k[h>>2]|0,k[l>>2]|0);if((bL(k[t>>2]|0)|0)>0){h=0;do{c=qh(k[t>>2]|0,h)|0;if(ed[k[(k[c>>2]|0)+60>>2]&511](c,k[l>>2]|0)|0?(Hc[k[(k[c>>2]|0)+20>>2]&511](c)|0)==593:0){CM(c,i);k[g>>2]=(k[g>>2]|0)+(k[i>>2]|0)}h=h+1|0}while((h|0)<(bL(k[t>>2]|0)|0))}nZ(g,j,1,4,4,0,uY()|0)|0;uY()|0;t=k[j>>2]|0;k[g>>2]=t;if(!t){C=k[f>>2]|0;k[a>>2]=C;k[b>>2]=t;r=d;return}else{k[f>>2]=0;C=0;k[a>>2]=C;k[b>>2]=t;r=d;return}}function Noa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;b=r;r=r+352|0;c=b+328|0;d=b+192|0;e=b+180|0;f=b+176|0;g=b+40|0;h=b+24|0;i=b+12|0;j=b;a:do if(BY()|0){l=d+56|0;m=d+4|0;k[d>>2]=27524;k[l>>2]=27544;B=0;wa(508,d+56|0,m|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;p=n;vva(l);Qb(p|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[l>>2]=27488;B=0;va(448,m|0);n=B;B=0;do if(n&1){q=Rb()|0;s=Q;t=q}else{k[m>>2]=27560;q=d+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,m|0,c|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(c);Yua(q);Ava(m);s=v;t=u;break}Yua(c);B=0;Ia(40,d|0,146737,23)|0;u=B;B=0;do if(!(u&1)?(B=0,wa(510,e|0,m|0),v=B,B=0,!(v&1)):0){B=0;ya(425,e|0)|0;v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(e);x=v;y=w;break}else{Yua(e);k[d>>2]=27468;k[l>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(l);break a}}else z=14;while(0);if((z|0)==14){u=Rb()|0;x=u;y=Q}k[d>>2]=27468;k[l>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(l);A=x;C=y;Qb(A|0)}while(0);o=s;p=t;vva(l);Qb(p|0)}while(0);cO(k[a+44>>2]|0,f,477);p=a+36|0;if(!(lpa(k[p>>2]|0,k[f>>2]|0)|0)){if((bL(k[p>>2]|0)|0)<=0){r=b;return}a=0;do{t=qh(k[p>>2]|0,a)|0;if(ed[k[(k[t>>2]|0)+60>>2]&511](t,k[f>>2]|0)|0?(Hc[k[(k[t>>2]|0)+20>>2]&511](t)|0)==593:0)FM(t);a=a+1|0}while((a|0)<(bL(k[p>>2]|0)|0));r=b;return}b=g+56|0;p=g+4|0;k[g>>2]=27524;k[b>>2]=27544;B=0;wa(508,g+56|0,p|0);a=B;B=0;if(a&1){a=Rb()|0;D=Q;E=a;vva(b);Qb(E|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[b>>2]=27488;B=0;va(448,p|0);a=B;B=0;do if(a&1){f=Rb()|0;F=Q;G=f}else{k[p>>2]=27560;f=g+36|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;k[g+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,p|0,c|0);t=B;B=0;if(t&1){t=Rb()|0;s=Q;Yua(c);Yua(f);Ava(p);F=s;G=t;break}Yua(c);B=0;t=Ia(40,g|0,146761,41)|0;s=B;B=0;b:do if(!(s&1)?(B=0,Xa(239,t|0,0)|0,o=B,B=0,!(o&1)):0){o=Ab(20)|0;B=0;eb(502,h|0,146803,94);y=B;B=0;do if(!(y&1)){B=0;eb(502,i|0,146898,17);x=B;B=0;if(x&1){x=Rb()|0;d=Q;Yua(h);H=x;I=d;break}B=0;wa(510,j|0,p|0);d=B;B=0;if(d&1){d=Rb()|0;J=d;K=Q;L=1}else{B=0;ua(163,o|0,h|0,i|0,27,j|0);d=B;B=0;if(d&1)M=1;else{B=0;eb(503,o|0,1240,229);B=0;M=0}d=Rb()|0;x=Q;Yua(j);J=d;K=x;L=M}Yua(i);Yua(h);if(L){H=J;I=K}else{N=J;O=K;break b}}else{x=Rb()|0;H=x;I=Q}while(0);zb(o|0);N=H;O=I}else z=35;while(0);if((z|0)==35){t=Rb()|0;N=t;O=Q}k[g>>2]=27468;k[b>>2]=27488;k[p>>2]=27560;Yua(f);Ava(p);vva(b);A=N;C=O;Qb(A|0)}while(0);D=F;E=G;vva(b);Qb(E|0)}function Ooa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0;if((th(a)|0)>0)g=0;else return;do{f=qh(a,g)|0;Ec[k[(k[f>>2]|0)+412>>2]&1023](f);g=g+1|0}while((g|0)<(th(a)|0));return}function Poa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;g=r;r=r+176|0;h=g+152|0;i=g+16|0;j=g;if(!(BY()|0)){l=Qqa(20)|0;k[l>>2]=b;m=l+4|0;k[m>>2]=c;n=l+8|0;k[n>>2]=d;o=l+12|0;k[o>>2]=e;p=l+16|0;k[p>>2]=f;q=Qoa(l)|0;Sqa(l);k[a>>2]=q;r=g;return}s=i+56|0;t=i+4|0;k[i>>2]=27524;k[s>>2]=27544;B=0;wa(508,i+56|0,t|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;w=u;vva(s);Qb(w|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[s>>2]=27488;B=0;va(448,t|0);u=B;B=0;do if(u&1){x=Rb()|0;y=Q;z=x}else{k[t>>2]=27560;x=i+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[i+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,t|0,h|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(h);Yua(x);Ava(t);y=C;z=A;break}Yua(h);B=0;Ia(40,i|0,146916,25)|0;A=B;B=0;if(!(A&1)?(B=0,wa(510,j|0,t|0),A=B,B=0,!(A&1)):0){B=0;ya(425,j|0)|0;A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(j);D=C;E=A;k[i>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);Qb(E|0)}else{Yua(j);k[i>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);l=Qqa(20)|0;k[l>>2]=b;m=l+4|0;k[m>>2]=c;n=l+8|0;k[n>>2]=d;o=l+12|0;k[o>>2]=e;p=l+16|0;k[p>>2]=f;q=Qoa(l)|0;Sqa(l);k[a>>2]=q;r=g;return}}A=Rb()|0;D=Q;E=A;k[i>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);Qb(E|0)}while(0);v=y;w=z;vva(s);Qb(w|0)}function Qoa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;h=Qqa(8)|0;B=0;va(485,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;Sqa(h);l=j;m=i;Qb(m|0)}i=k[a>>2]|0;if((k[i>>2]|0)==1){iqa(h+4|0,k[i+4>>2]|0,k[(k[a+4>>2]|0)+4>>2]|0,k[a+16>>2]|0);r=b;return h|0}h=d+56|0;b=d+4|0;k[d>>2]=27524;k[h>>2]=27544;B=0;wa(508,d+56|0,b|0);i=B;B=0;if(i&1){i=Rb()|0;n=Q;o=i;vva(h);Qb(o|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[h>>2]=27488;B=0;va(448,b|0);i=B;B=0;do if(i&1){j=Rb()|0;p=Q;q=j}else{k[b>>2]=27560;j=d+36|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,b|0,c|0);s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(c);Yua(j);Ava(b);p=t;q=s;break}Yua(c);B=0;s=Ia(40,d|0,146942,13)|0;t=B;B=0;a:do if(((!(t&1)?(B=0,u=Xa(242,s|0,k[k[a>>2]>>2]|0)|0,v=B,B=0,!(v&1)):0)?(B=0,v=Ia(40,u|0,146956,19)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,v|0,0)|0,v=B,B=0,!(v&1)):0){v=Ab(20)|0;B=0;eb(502,e|0,146976,98);u=B;B=0;do if(!(u&1)){B=0;eb(502,f|0,147075,5);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(e);y=x;z=w;break}B=0;wa(510,g|0,b|0);w=B;B=0;if(w&1){w=Rb()|0;A=Q;C=w;D=1}else{B=0;ua(163,v|0,e|0,f|0,78,g|0);w=B;B=0;if(w&1)E=1;else{B=0;eb(503,v|0,1240,229);B=0;E=0}w=Rb()|0;x=Q;Yua(g);A=x;C=w;D=E}Yua(f);Yua(e);if(D){y=A;z=C}else{F=A;G=C;break a}}else{w=Rb()|0;y=Q;z=w}while(0);zb(v|0);F=y;G=z}else H=22;while(0);if((H|0)==22){s=Rb()|0;F=Q;G=s}k[d>>2]=27468;k[h>>2]=27488;k[b>>2]=27560;Yua(j);Ava(b);vva(h);l=F;m=G;Qb(m|0)}while(0);n=p;o=q;vva(h);Qb(o|0);return 0}function Roa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;g=r;r=r+176|0;h=g+156|0;i=g+152|0;j=g+16|0;l=g;a:do if(BY()|0){m=j+56|0;n=j+4|0;k[j>>2]=27524;k[m>>2]=27544;B=0;wa(508,j+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;q=o;vva(m);Qb(q|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[m>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){s=Rb()|0;t=Q;u=s}else{k[n>>2]=27560;s=j+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[j+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,n|0,h|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(h);Yua(s);Ava(n);t=w;u=v;break}Yua(h);B=0;Ia(40,j|0,147081,45)|0;v=B;B=0;do if(!(v&1)?(B=0,wa(510,l|0,n|0),w=B,B=0,!(w&1)):0){B=0;ya(425,l|0)|0;w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(l);y=x;z=w;break}else{Yua(l);k[j>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);break a}}else A=14;while(0);if((A|0)==14){v=Rb()|0;y=Q;z=v}k[j>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);C=y;D=z;Qb(D|0)}while(0);p=t;q=u;vva(m);Qb(q|0)}while(0);cO(e,i,478);q=en(d,k[i>>2]|0,943)|0;u=en(d,k[i>>2]|0,937)|0;t=(en(d,k[i>>2]|0,966)|0)!=0;if(t&f?(k[c>>2]|0)!=0:0){f=k[k[c+4>>2]>>2]|0;Cc[k[(k[f>>2]|0)+40>>2]&63](f,0.0)}f=Qqa(8)|0;B=0;va(485,f|0);i=B;B=0;b:do if(i&1)A=28;else{do if(k[f>>2]|0){B=0;p=ya(423,4)|0;z=B;B=0;if(z&1){A=28;break b}B=0;eb(505,p|0,q|0,0);z=B;B=0;if(z&1){z=Rb()|0;y=Q;Sqa(p);E=y;F=z;break b}else{k[f+4>>2]=p;break}}while(0);if(u)sqa(f,b,d,e,937);if(!t){k[a>>2]=f;r=g;return}sqa(f,c,d,e,966);k[a>>2]=f;r=g;return}while(0);if((A|0)==28){A=Rb()|0;E=Q;F=A}Sqa(f);C=E;D=F;Qb(D|0)}function Soa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;c=r;r=r+176|0;d=c+156|0;e=c+152|0;f=c+16|0;g=c;k[e>>2]=0;a:do if(CY()|0){h=f+56|0;i=f+4|0;k[f>>2]=27524;k[h>>2]=27544;B=0;wa(508,f+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(h);Qb(m|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[h>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=f+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[f+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;Ia(40,f|0,147127,35)|0;q=B;B=0;if(!(q&1)?(B=0,wa(510,g|0,i|0),q=B,B=0,!(q&1)):0){B=0;ya(425,g|0)|0;q=B;B=0;if(!(q&1)){Yua(g);k[f>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);break a}q=Rb()|0;s=Q;Yua(g);t=s;u=q;k[f>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);Qb(u|0)}q=Rb()|0;t=Q;u=q;k[f>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);Qb(u|0)}while(0);l=o;m=p;vva(h);Qb(m|0)}while(0);xh(a,b);Aoa(e,a);rqa(k[a+32>>2]|0,k[a+24>>2]|0,k[a+44>>2]|0,k[e>>2]|0);a=k[e>>2]|0;if(!a){r=c;return}if((k[a>>2]|0)!=0?(e=k[a+4>>2]|0,(e|0)!=0):0){b=k[e>>2]|0;if(b)Ec[k[(k[b>>2]|0)+4>>2]&1023](b);Sqa(e)}Sqa(a);r=c;return}function Toa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0.0,Bb=0.0,Cb=0.0,Db=0.0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0.0,Lb=0.0,Mb=0,Nb=0,Ob=0.0,Pb=0.0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Gc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0;b=r;r=r+1936|0;c=b+1920|0;d=b+1916|0;e=b+1912|0;f=b+1908|0;g=b+1880|0;h=b+1876|0;i=b+1860|0;j=b+1856|0;l=b+1840|0;m=b;n=b+1824|0;o=b+1808|0;q=b+1804|0;s=b+1656|0;u=b+1896|0;v=b+1884|0;w=b+1864|0;x=b+1520|0;y=b+1844|0;z=b+1368|0;A=b+1828|0;C=b+1216|0;D=b+1812|0;E=b+1080|0;F=b+1792|0;G=b+1504|0;H=b+1352|0;I=b+928|0;J=b+1064|0;K=b+792|0;L=b+776|0;M=b+640|0;N=b+492|0;O=b+480|0;P=b+192|0;R=b+504|0;S=b+44|0;T=b+344|0;U=b+32|0;V=b+208|0;W=b+20|0;X=b+56|0;Y=b+8|0;k[d>>2]=0;k[e>>2]=0;k[f>>2]=0;k[g>>2]=0;k[h>>2]=0;k[i>>2]=0;k[j>>2]=0;k[l>>2]=0;Z=Qqa(4)|0;k[Z>>2]=38696;_=Qqa(4)|0;k[_>>2]=38784;xh(a,497);aa=a+44|0;cO(k[aa>>2]|0,n,478);dO(k[aa>>2]|0,m,75);cO(k[aa>>2]|0,o,72);Eh(a);k[q>>2]=0;TZ(q,a,674,628);TZ(l,a,653,628);ba=a+24|0;ca=z+56|0;da=z+4|0;ea=z+56|0;fa=z+128|0;ga=z+132|0;ha=z+36|0;ia=z+52|0;ja=x+56|0;ka=x+4|0;la=x+56|0;ma=x+128|0;na=x+132|0;oa=x+36|0;pa=x+52|0;qa=I+56|0;ra=I+4|0;sa=I+56|0;ta=I+128|0;xa=I+132|0;za=I+36|0;Aa=I+52|0;Ba=R+56|0;Ca=R+4|0;Da=R+56|0;Ea=R+128|0;Fa=R+132|0;Ga=R+36|0;Ha=R+52|0;Ja=T+56|0;Ka=T+4|0;La=T+56|0;Ma=T+128|0;Na=T+132|0;Oa=T+36|0;Pa=T+52|0;Qa=K+56|0;Ra=K+4|0;Ta=K+56|0;Ua=K+128|0;Va=K+132|0;Wa=K+36|0;Ya=K+52|0;Za=C+56|0;_a=C+4|0;$a=C+56|0;ab=C+128|0;bb=C+132|0;cb=C+36|0;db=C+52|0;fb=0;gb=0;hb=0;ib=0;a:while(1){jb=fb+1|0;if(hb){if((k[hb>>2]|0)!=0?(kb=k[hb+4>>2]|0,(kb|0)!=0):0){lb=k[kb>>2]|0;if(lb)Ec[k[(k[lb>>2]|0)+4>>2]&1023](lb);Sqa(kb)}Sqa(hb)}kb=k[q>>2]|0;lb=Qqa(8)|0;B=0;va(485,lb|0);mb=B;B=0;if(mb&1){nb=lb;ob=11;break}if(k[kb>>2]|0){mb=k[kb+4>>2]|0;kb=Qqa(4)|0;pb=k[mb>>2]|0;qb=Hc[k[(k[pb>>2]|0)+36>>2]&511](pb)|0;k[kb>>2]=qb;pb=k[mb>>2]|0;Fc[k[(k[pb>>2]|0)+60>>2]&1023](pb,qb);k[lb+4>>2]=kb}kb=k[q>>2]|0;if(k[kb>>2]|0){qb=k[k[kb+4>>2]>>2]|0;Fc[k[(k[qb>>2]|0)+60>>2]&1023](qb,k[k[lb+4>>2]>>2]|0)}if(gb){if((k[gb>>2]|0)!=0?(qb=k[gb+4>>2]|0,(qb|0)!=0):0){kb=k[qb>>2]|0;if(kb)Ec[k[(k[kb>>2]|0)+4>>2]&1023](kb);Sqa(qb)}Sqa(gb)}qb=k[l>>2]|0;kb=0;pb=ib;while(1){kb=kb+1|0;if(pb){if((k[pb>>2]|0)!=0?(mb=k[pb+4>>2]|0,(mb|0)!=0):0){rb=k[mb>>2]|0;if(rb)Ec[k[(k[rb>>2]|0)+4>>2]&1023](rb);Sqa(mb)}Sqa(pb)}sb=k[q>>2]|0;xh(a,497);cO(k[aa>>2]|0,n,478);ooa(d,e,h,i,0,a);poa(j,k[ba>>2]|0,k[n>>2]|0);Loa(k[h>>2]|0,k[e>>2]|0,k[j>>2]|0,0);mb=k[e>>2]|0;if(mb){if((k[mb>>2]|0)!=0?(rb=k[mb+4>>2]|0,(rb|0)!=0):0){tb=k[rb>>2]|0;if(tb)Ec[k[(k[tb>>2]|0)+4>>2]&1023](tb);Sqa(rb)}Sqa(mb)}Poa(g,k[d>>2]|0,k[h>>2]|0,0,k[i>>2]|0,k[aa>>2]|0);mb=k[d>>2]|0;if(mb){if((k[mb>>2]|0)!=0?(rb=k[mb+4>>2]|0,(rb|0)!=0):0){tb=k[rb>>2]|0;if(tb)Ec[k[(k[tb>>2]|0)+4>>2]&1023](tb);Sqa(rb)}Sqa(mb)}mb=k[h>>2]|0;if(mb){if((k[mb>>2]|0)!=0?(rb=k[mb+4>>2]|0,(rb|0)!=0):0){tb=k[rb>>2]|0;if(tb)Ec[k[(k[tb>>2]|0)+4>>2]&1023](tb);Sqa(rb)}Sqa(mb)}mb=k[i>>2]|0;if(mb){if((k[mb>>2]|0)!=0?(rb=k[mb+4>>2]|0,(rb|0)!=0):0){tb=k[rb>>2]|0;if(tb)Ec[k[(k[tb>>2]|0)+4>>2]&1023](tb);Sqa(rb)}Sqa(mb)}Roa(f,k[g>>2]|0,k[j>>2]|0,k[ba>>2]|0,k[aa>>2]|0,0);mb=k[g>>2]|0;if(mb){if((k[mb>>2]|0)!=0?(rb=k[mb+4>>2]|0,(rb|0)!=0):0){tb=k[rb>>2]|0;if(tb)Ec[k[(k[tb>>2]|0)+4>>2]&1023](tb);Sqa(rb)}Sqa(mb)}mb=k[j>>2]|0;if(mb){if((k[mb>>2]|0)!=0?(rb=k[mb+4>>2]|0,(rb|0)!=0):0){tb=k[rb>>2]|0;if(tb)Ec[k[(k[tb>>2]|0)+4>>2]&1023](tb);Sqa(rb)}Sqa(mb)}xoa(a,k[f>>2]|0);mb=k[f>>2]|0;if(mb){if((k[mb>>2]|0)!=0?(rb=k[mb+4>>2]|0,(rb|0)!=0):0){tb=k[rb>>2]|0;if(tb)Ec[k[(k[tb>>2]|0)+4>>2]&1023](tb);Sqa(rb)}Sqa(mb)}TZ(q,a,674,628);mb=Qqa(8)|0;B=0;va(485,mb|0);rb=B;B=0;if(rb&1){ub=mb;ob=81;break a}if((k[sb>>2]|0)!=0?(rb=sb+4|0,tb=k[rb>>2]|0,vb=Qqa(4)|0,wb=k[tb>>2]|0,xb=Hc[k[(k[wb>>2]|0)+36>>2]&511](wb)|0,k[vb>>2]=xb,wb=k[tb>>2]|0,Fc[k[(k[wb>>2]|0)+60>>2]&1023](wb,xb),k[mb+4>>2]=vb,(k[sb>>2]|0)!=0):0){xb=k[k[rb>>2]>>2]|0;Fc[k[(k[xb>>2]|0)+60>>2]&1023](xb,k[vb>>2]|0)}do if((k[mb>>2]|0)!=0?(vb=mb+4|0,xb=k[k[vb>>2]>>2]|0,Xc[k[(k[xb>>2]|0)+48>>2]&63](xb,k[k[(k[q>>2]|0)+4>>2]>>2]|0,-1.0),(k[mb>>2]|0)!=0):0){xb=k[k[vb>>2]>>2]|0;yb=+id[k[(k[xb>>2]|0)+64>>2]&63](xb,1);if(!(k[mb>>2]|0)){Bb=yb;break}xb=k[vb>>2]|0;if(!xb){Bb=yb;break}vb=k[xb>>2]|0;if(vb)Ec[k[(k[vb>>2]|0)+4>>2]&1023](vb);Sqa(xb);Bb=yb}else Bb=0.0;while(0);Sqa(mb);if(!(k[sb>>2]|0))Cb=0.0;else{xb=k[k[sb+4>>2]>>2]|0;Cb=+id[k[(k[xb>>2]|0)+64>>2]&63](xb,1)}yb=+$(+Bb);p[t>>3]=yb;xb=k[t+4>>2]|0;if(xb>>>0>2146435072|(xb|0)==2146435072&(k[t>>2]|0)>>>0>0){ob=95;break a}yb=+$(+Cb);p[t>>3]=yb;xb=k[t+4>>2]|0;if(xb>>>0>2146435072|(xb|0)==2146435072&(k[t>>2]|0)>>>0>0){ob=95;break a}Db=Bb/Cb;xb=Db<+p[m>>3];Eb=EY()|0;if(xb){ob=119;break}if(Eb){k[z>>2]=27524;k[ca>>2]=27544;B=0;wa(508,ea|0,da|0);xb=B;B=0;if(xb&1){ob=144;break a}k[fa>>2]=0;k[ga>>2]=-1;k[z>>2]=27468;k[ca>>2]=27488;B=0;va(448,da|0);xb=B;B=0;if(xb&1){ob=145;break a}k[da>>2]=27560;k[ha>>2]=0;k[ha+4>>2]=0;k[ha+8>>2]=0;k[ha+12>>2]=0;k[ia>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,da|0,c|0);xb=B;B=0;if(xb&1){ob=143;break a}Yua(c);k[z+(k[(k[z>>2]|0)+-12>>2]|0)+12>>2]=50;xb=z+(k[(k[z>>2]|0)+-12>>2]|0)+4|0;k[xb>>2]=k[xb>>2]&-177|32;B=0;xb=Ia(40,z|0,148312,42)|0;vb=B;B=0;if(vb&1){ob=156;break a}B=0;vb=Sa(1,xb|0,+(Db*100.0))|0;xb=B;B=0;if(xb&1){ob=156;break a}B=0;xb=Ia(40,vb|0,148278,3)|0;vb=B;B=0;if(vb&1){ob=156;break a}B=0;vb=Sa(1,xb|0,+(+p[m>>3]*100.0))|0;xb=B;B=0;if(xb&1){ob=156;break a}B=0;Ia(40,vb|0,148274,3)|0;vb=B;B=0;if(vb&1){ob=156;break a}B=0;wa(510,A|0,da|0);vb=B;B=0;if(vb&1){ob=156;break a}B=0;ya(425,A|0)|0;vb=B;B=0;if(vb&1){ob=157;break a}Yua(A);k[z>>2]=27468;k[ca>>2]=27488;k[da>>2]=27560;Yua(ha);Ava(da);vva(ca)}if((kb|0)>=(k[o>>2]|0)){Fb=sb;Gb=sb;ob=160;break}else pb=sb}if((ob|0)==119){ob=0;if(Eb){k[x>>2]=27524;k[ja>>2]=27544;B=0;wa(508,la|0,ka|0);pb=B;B=0;if(pb&1){ob=124;break}k[ma>>2]=0;k[na>>2]=-1;k[x>>2]=27468;k[ja>>2]=27488;B=0;va(448,ka|0);pb=B;B=0;if(pb&1){ob=125;break}k[ka>>2]=27560;k[oa>>2]=0;k[oa+4>>2]=0;k[oa+8>>2]=0;k[oa+12>>2]=0;k[pa>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ka|0,c|0);pb=B;B=0;if(pb&1){ob=123;break}Yua(c);k[x+(k[(k[x>>2]|0)+-12>>2]|0)+12>>2]=50;pb=x+(k[(k[x>>2]|0)+-12>>2]|0)+4|0;k[pb>>2]=k[pb>>2]&-177|32;B=0;pb=Ia(40,x|0,148312,42)|0;kb=B;B=0;if(kb&1){ob=136;break}B=0;kb=Sa(1,pb|0,+(Db*100.0))|0;pb=B;B=0;if(pb&1){ob=136;break}B=0;pb=Ia(40,kb|0,148270,3)|0;kb=B;B=0;if(kb&1){ob=136;break}B=0;kb=Sa(1,pb|0,+(+p[m>>3]*100.0))|0;pb=B;B=0;if(pb&1){ob=136;break}B=0;Ia(40,kb|0,148274,3)|0;kb=B;B=0;if(kb&1){ob=136;break}B=0;wa(510,y|0,ka|0);kb=B;B=0;if(kb&1){ob=136;break}B=0;ya(425,y|0)|0;kb=B;B=0;if(kb&1){ob=137;break}Yua(y);k[x>>2]=27468;k[ja>>2]=27488;k[ka>>2]=27560;Yua(oa);Ava(ka);vva(ja);Hb=sb;Ib=sb}else{Hb=sb;Ib=sb}}else if((ob|0)==160){ob=0;k[C>>2]=27524;k[Za>>2]=27544;B=0;wa(508,$a|0,_a|0);kb=B;B=0;if(kb&1){ob=164;break}k[ab>>2]=0;k[bb>>2]=-1;k[C>>2]=27468;k[Za>>2]=27488;B=0;va(448,_a|0);kb=B;B=0;if(kb&1){ob=165;break}k[_a>>2]=27560;k[cb>>2]=0;k[cb+4>>2]=0;k[cb+8>>2]=0;k[cb+12>>2]=0;k[db>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,_a|0,c|0);kb=B;B=0;if(kb&1){ob=163;break}Yua(c);B=0;kb=Ia(40,C|0,147682,43)|0;pb=B;B=0;if(pb&1){ob=174;break}B=0;pb=Xa(242,kb|0,k[o>>2]|0)|0;kb=B;B=0;if(kb&1){ob=174;break}B=0;Ia(40,pb|0,148995,11)|0;pb=B;B=0;if(pb&1){ob=174;break}B=0;wa(510,D|0,_a|0);pb=B;B=0;if(pb&1){ob=174;break}B=0;ya(425,D|0)|0;pb=B;B=0;if(pb&1){ob=175;break}Yua(D);k[C>>2]=27468;k[Za>>2]=27488;k[_a>>2]=27560;Yua(cb);Ava(_a);vva(Za);Hb=Gb;Ib=Fb}xh(a,524);cO(k[aa>>2]|0,n,478);ooa(d,e,h,i,0,a);poa(j,k[ba>>2]|0,k[n>>2]|0);Loa(k[h>>2]|0,k[e>>2]|0,k[j>>2]|0,0);pb=k[e>>2]|0;if(pb){if((k[pb>>2]|0)!=0?(kb=k[pb+4>>2]|0,(kb|0)!=0):0){vb=k[kb>>2]|0;if(vb)Ec[k[(k[vb>>2]|0)+4>>2]&1023](vb);Sqa(kb)}Sqa(pb)}Poa(g,k[d>>2]|0,k[h>>2]|0,0,k[i>>2]|0,k[aa>>2]|0);pb=k[d>>2]|0;if(pb){if((k[pb>>2]|0)!=0?(kb=k[pb+4>>2]|0,(kb|0)!=0):0){vb=k[kb>>2]|0;if(vb)Ec[k[(k[vb>>2]|0)+4>>2]&1023](vb);Sqa(kb)}Sqa(pb)}pb=k[h>>2]|0;if(pb){if((k[pb>>2]|0)!=0?(kb=k[pb+4>>2]|0,(kb|0)!=0):0){vb=k[kb>>2]|0;if(vb)Ec[k[(k[vb>>2]|0)+4>>2]&1023](vb);Sqa(kb)}Sqa(pb)}pb=k[i>>2]|0;if(pb){if((k[pb>>2]|0)!=0?(kb=k[pb+4>>2]|0,(kb|0)!=0):0){vb=k[kb>>2]|0;if(vb)Ec[k[(k[vb>>2]|0)+4>>2]&1023](vb);Sqa(kb)}Sqa(pb)}Roa(l,k[g>>2]|0,k[j>>2]|0,k[ba>>2]|0,k[aa>>2]|0,0);pb=k[g>>2]|0;if(pb){if((k[pb>>2]|0)!=0?(kb=k[pb+4>>2]|0,(kb|0)!=0):0){vb=k[kb>>2]|0;if(vb)Ec[k[(k[vb>>2]|0)+4>>2]&1023](vb);Sqa(kb)}Sqa(pb)}pb=k[j>>2]|0;if(pb){if((k[pb>>2]|0)!=0?(kb=k[pb+4>>2]|0,(kb|0)!=0):0){vb=k[kb>>2]|0;if(vb)Ec[k[(k[vb>>2]|0)+4>>2]&1023](vb);Sqa(kb)}Sqa(pb)}xoa(a,k[l>>2]|0);pb=k[l>>2]|0;if(pb){if((k[pb>>2]|0)!=0?(kb=k[pb+4>>2]|0,(kb|0)!=0):0){vb=k[kb>>2]|0;if(vb)Ec[k[(k[vb>>2]|0)+4>>2]&1023](vb);Sqa(kb)}Sqa(pb)}TZ(l,a,653,628);pb=Qqa(8)|0;B=0;va(485,pb|0);kb=B;B=0;if(kb&1){Jb=pb;ob=228;break}if((k[Hb>>2]|0)!=0?(kb=Ib+4|0,vb=k[kb>>2]|0,xb=Qqa(4)|0,rb=k[vb>>2]|0,wb=Hc[k[(k[rb>>2]|0)+36>>2]&511](rb)|0,k[xb>>2]=wb,rb=k[vb>>2]|0,Fc[k[(k[rb>>2]|0)+60>>2]&1023](rb,wb),k[pb+4>>2]=xb,(k[Hb>>2]|0)!=0):0){wb=k[k[kb>>2]>>2]|0;Fc[k[(k[wb>>2]|0)+60>>2]&1023](wb,k[xb>>2]|0)}if((k[pb>>2]|0)!=0?(xb=pb+4|0,wb=k[k[xb>>2]>>2]|0,Xc[k[(k[wb>>2]|0)+48>>2]&63](wb,k[k[(k[q>>2]|0)+4>>2]>>2]|0,-1.0),(k[pb>>2]|0)!=0):0){wb=k[k[xb>>2]>>2]|0;yb=+id[k[(k[wb>>2]|0)+64>>2]&63](wb,1);if((k[pb>>2]|0)!=0?(wb=k[xb>>2]|0,(wb|0)!=0):0){xb=k[wb>>2]|0;if(xb)Ec[k[(k[xb>>2]|0)+4>>2]&1023](xb);Sqa(wb);Kb=yb}else Kb=yb}else Kb=0.0;Sqa(pb);if(!(k[Hb>>2]|0))Lb=0.0;else{pb=k[k[Ib+4>>2]>>2]|0;Lb=+id[k[(k[pb>>2]|0)+64>>2]&63](pb,1)}yb=+$(+Kb);p[t>>3]=yb;pb=k[t+4>>2]|0;if(pb>>>0>2146435072|(pb|0)==2146435072&(k[t>>2]|0)>>>0>0){ob=242;break}yb=+$(+Lb);p[t>>3]=yb;pb=k[t+4>>2]|0;if(pb>>>0>2146435072|(pb|0)==2146435072&(k[t>>2]|0)>>>0>0){ob=242;break}yb=Kb/Lb;pb=yb<+p[m>>3];wb=EY()|0;do if(pb){if(!wb){Mb=1;break}k[I>>2]=27524;k[qa>>2]=27544;B=0;wa(508,sa|0,ra|0);xb=B;B=0;if(xb&1){ob=271;break a}k[ta>>2]=0;k[xa>>2]=-1;k[I>>2]=27468;k[qa>>2]=27488;B=0;va(448,ra|0);xb=B;B=0;if(xb&1){ob=272;break a}k[ra>>2]=27560;k[za>>2]=0;k[za+4>>2]=0;k[za+8>>2]=0;k[za+12>>2]=0;k[Aa>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ra|0,c|0);xb=B;B=0;if(xb&1){ob=270;break a}Yua(c);k[I+(k[(k[I>>2]|0)+-12>>2]|0)+12>>2]=50;xb=I+(k[(k[I>>2]|0)+-12>>2]|0)+4|0;k[xb>>2]=k[xb>>2]&-177|32;B=0;xb=Ia(40,I|0,148312,42)|0;kb=B;B=0;if(kb&1){ob=283;break a}B=0;kb=Sa(1,xb|0,+(yb*100.0))|0;xb=B;B=0;if(xb&1){ob=283;break a}B=0;xb=Ia(40,kb|0,148270,3)|0;kb=B;B=0;if(kb&1){ob=283;break a}B=0;kb=Sa(1,xb|0,+(+p[m>>3]*100.0))|0;xb=B;B=0;if(xb&1){ob=283;break a}B=0;Ia(40,kb|0,148274,3)|0;kb=B;B=0;if(kb&1){ob=283;break a}B=0;wa(510,J|0,ra|0);kb=B;B=0;if(kb&1){ob=283;break a}B=0;ya(425,J|0)|0;kb=B;B=0;if(kb&1){ob=284;break a}Yua(J);k[I>>2]=27468;k[qa>>2]=27488;k[ra>>2]=27560;Yua(za);Ava(ra);vva(qa);Mb=1}else{if(!wb){Mb=0;break}k[K>>2]=27524;k[Qa>>2]=27544;B=0;wa(508,Ta|0,Ra|0);kb=B;B=0;if(kb&1){ob=291;break a}k[Ua>>2]=0;k[Va>>2]=-1;k[K>>2]=27468;k[Qa>>2]=27488;B=0;va(448,Ra|0);kb=B;B=0;if(kb&1){ob=292;break a}k[Ra>>2]=27560;k[Wa>>2]=0;k[Wa+4>>2]=0;k[Wa+8>>2]=0;k[Wa+12>>2]=0;k[Ya>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ra|0,c|0);kb=B;B=0;if(kb&1){ob=290;break a}Yua(c);k[K+(k[(k[K>>2]|0)+-12>>2]|0)+12>>2]=50;kb=K+(k[(k[K>>2]|0)+-12>>2]|0)+4|0;k[kb>>2]=k[kb>>2]&-177|32;B=0;kb=Ia(40,K|0,148312,42)|0;xb=B;B=0;if(xb&1){ob=303;break a}B=0;xb=Sa(1,kb|0,+(yb*100.0))|0;kb=B;B=0;if(kb&1){ob=303;break a}B=0;kb=Ia(40,xb|0,148278,3)|0;xb=B;B=0;if(xb&1){ob=303;break a}B=0;xb=Sa(1,kb|0,+(+p[m>>3]*100.0))|0;kb=B;B=0;if(kb&1){ob=303;break a}B=0;Ia(40,xb|0,148274,3)|0;xb=B;B=0;if(xb&1){ob=303;break a}B=0;wa(510,L|0,Ra|0);xb=B;B=0;if(xb&1){ob=303;break a}B=0;ya(425,L|0)|0;xb=B;B=0;if(xb&1){ob=304;break a}Yua(L);k[K>>2]=27468;k[Qa>>2]=27488;k[Ra>>2]=27560;Yua(Wa);Ava(Ra);vva(Qa);Mb=0}while(0);wb=Qqa(8)|0;B=0;va(485,wb|0);pb=B;B=0;if(pb&1){Nb=wb;ob=308;break}do if(k[qb>>2]|0){pb=qb+4|0;xb=k[pb>>2]|0;kb=Qqa(4)|0;rb=k[xb>>2]|0;vb=Hc[k[(k[rb>>2]|0)+36>>2]&511](rb)|0;k[kb>>2]=vb;rb=k[xb>>2]|0;Fc[k[(k[rb>>2]|0)+60>>2]&1023](rb,vb);k[wb+4>>2]=kb;if(!(k[qb>>2]|0))break;vb=k[k[pb>>2]>>2]|0;Fc[k[(k[vb>>2]|0)+60>>2]&1023](vb,k[kb>>2]|0)}while(0);do if(!(k[wb>>2]|0))Ob=0.0;else{kb=wb+4|0;vb=k[k[kb>>2]>>2]|0;Xc[k[(k[vb>>2]|0)+48>>2]&63](vb,k[k[(k[l>>2]|0)+4>>2]>>2]|0,-1.0);if(!(k[wb>>2]|0)){Ob=0.0;break}vb=k[k[kb>>2]>>2]|0;yb=+id[k[(k[vb>>2]|0)+64>>2]&63](vb,1);if(!(k[wb>>2]|0)){Ob=yb;break}vb=k[kb>>2]|0;if(!vb){Ob=yb;break}kb=k[vb>>2]|0;if(kb)Ec[k[(k[kb>>2]|0)+4>>2]&1023](kb);Sqa(vb);Ob=yb}while(0);Sqa(wb);if(!(k[qb>>2]|0))Pb=0.0;else{vb=k[k[qb+4>>2]>>2]|0;Pb=+id[k[(k[vb>>2]|0)+64>>2]&63](vb,1)}yb=+$(+Ob);p[t>>3]=yb;vb=k[t+4>>2]|0;if(vb>>>0>2146435072|(vb|0)==2146435072&(k[t>>2]|0)>>>0>0){ob=322;break}yb=+$(+Pb);p[t>>3]=yb;vb=k[t+4>>2]|0;if(vb>>>0>2146435072|(vb|0)==2146435072&(k[t>>2]|0)>>>0>0){ob=322;break}yb=Ob/Pb;vb=yb<+p[m>>3];kb=EY()|0;do if(vb){if(kb){k[R>>2]=27524;k[Ba>>2]=27544;B=0;wa(508,Da|0,Ca|0);pb=B;B=0;if(pb&1){ob=351;break a}k[Ea>>2]=0;k[Fa>>2]=-1;k[R>>2]=27468;k[Ba>>2]=27488;B=0;va(448,Ca|0);pb=B;B=0;if(pb&1){ob=352;break a}k[Ca>>2]=27560;k[Ga>>2]=0;k[Ga+4>>2]=0;k[Ga+8>>2]=0;k[Ga+12>>2]=0;k[Ha>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ca|0,c|0);pb=B;B=0;if(pb&1){ob=350;break a}Yua(c);k[R+(k[(k[R>>2]|0)+-12>>2]|0)+12>>2]=50;pb=R+(k[(k[R>>2]|0)+-12>>2]|0)+4|0;k[pb>>2]=k[pb>>2]&-177|32;B=0;pb=Ia(40,R|0,147272,42)|0;rb=B;B=0;if(rb&1){ob=363;break a}B=0;rb=Sa(1,pb|0,+(yb*100.0))|0;pb=B;B=0;if(pb&1){ob=363;break a}B=0;pb=Ia(40,rb|0,148270,3)|0;rb=B;B=0;if(rb&1){ob=363;break a}B=0;rb=Sa(1,pb|0,+(+p[m>>3]*100.0))|0;pb=B;B=0;if(pb&1){ob=363;break a}B=0;Ia(40,rb|0,148274,3)|0;rb=B;B=0;if(rb&1){ob=363;break a}B=0;wa(510,S|0,Ca|0);rb=B;B=0;if(rb&1){ob=363;break a}B=0;ya(425,S|0)|0;rb=B;B=0;if(rb&1){ob=364;break a}Yua(S);k[R>>2]=27468;k[Ba>>2]=27488;k[Ca>>2]=27560;Yua(Ga);Ava(Ca);vva(Ba)}if(Mb){Sb=qb;Tb=qb;Ub=lb;Vb=Ib;Wb=Hb;Xb=fb;ob=405;break a}}else{if(!kb)break;k[T>>2]=27524;k[Ja>>2]=27544;B=0;wa(508,La|0,Ka|0);rb=B;B=0;if(rb&1){ob=371;break a}k[Ma>>2]=0;k[Na>>2]=-1;k[T>>2]=27468;k[Ja>>2]=27488;B=0;va(448,Ka|0);rb=B;B=0;if(rb&1){ob=372;break a}k[Ka>>2]=27560;k[Oa>>2]=0;k[Oa+4>>2]=0;k[Oa+8>>2]=0;k[Oa+12>>2]=0;k[Pa>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ka|0,c|0);rb=B;B=0;if(rb&1){ob=370;break a}Yua(c);k[T+(k[(k[T>>2]|0)+-12>>2]|0)+12>>2]=50;rb=T+(k[(k[T>>2]|0)+-12>>2]|0)+4|0;k[rb>>2]=k[rb>>2]&-177|32;B=0;rb=Ia(40,T|0,147315,43)|0;pb=B;B=0;if(pb&1){ob=383;break a}B=0;pb=Sa(1,rb|0,+(yb*100.0))|0;rb=B;B=0;if(rb&1){ob=383;break a}B=0;rb=Ia(40,pb|0,148278,3)|0;pb=B;B=0;if(pb&1){ob=383;break a}B=0;pb=Sa(1,rb|0,+(+p[m>>3]*100.0))|0;rb=B;B=0;if(rb&1){ob=383;break a}B=0;Ia(40,pb|0,148274,3)|0;pb=B;B=0;if(pb&1){ob=383;break a}B=0;wa(510,U|0,Ka|0);pb=B;B=0;if(pb&1){ob=383;break a}B=0;ya(425,U|0)|0;pb=B;B=0;if(pb&1){ob=384;break a}Yua(U);k[T>>2]=27468;k[Ja>>2]=27488;k[Ka>>2]=27560;Yua(Oa);Ava(Ka);vva(Ja)}while(0);if((jb|0)<(k[o>>2]|0)){fb=jb;gb=qb;hb=lb;ib=Ib}else{Yb=lb;Zb=qb;_b=Hb;$b=Ib;ac=qb;bc=fb;ob=388;break}}b:switch(ob|0){case 11:{fb=Rb()|0;Sqa(nb);Qb(fb|0);break}case 81:{fb=Rb()|0;Sqa(ub);Qb(fb|0);break}case 95:{fb=s+56|0;ub=s+4|0;k[s>>2]=27524;k[fb>>2]=27544;B=0;wa(508,s+56|0,ub|0);nb=B;B=0;if(nb&1){nb=Rb()|0;cc=Q;dc=nb;vva(fb);Qb(dc|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[fb>>2]=27488;B=0;va(448,ub|0);nb=B;B=0;do if(nb&1){Ib=Rb()|0;ec=Q;fc=Ib}else{k[ub>>2]=27560;Ib=s+36|0;k[Ib>>2]=0;k[Ib+4>>2]=0;k[Ib+8>>2]=0;k[Ib+12>>2]=0;k[s+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ub|0,c|0);Hb=B;B=0;if(Hb&1){Hb=Rb()|0;ib=Q;Yua(c);Yua(Ib);Ava(ub);ec=ib;fc=Hb;break}Yua(c);B=0;Hb=Ia(40,s|0,148282,29)|0;ib=B;B=0;c:do if(!(ib&1)?(B=0,Xa(239,Hb|0,0)|0,hb=B,B=0,!(hb&1)):0){hb=Ab(20)|0;B=0;eb(502,u|0,147163,88);gb=B;B=0;do if(!(gb&1)){B=0;eb(502,v|0,147252,19);m=B;B=0;if(m&1){m=Rb()|0;Pa=Q;Yua(u);gc=Pa;hc=m;break}B=0;wa(510,w|0,ub|0);m=B;B=0;if(m&1){m=Rb()|0;ic=Q;jc=m;kc=1}else{B=0;ua(163,hb|0,u|0,v|0,77,w|0);m=B;B=0;if(m&1)lc=1;else{B=0;eb(503,hb|0,1240,229);B=0;lc=0}m=Rb()|0;Pa=Q;Yua(w);ic=Pa;jc=m;kc=lc}Yua(v);Yua(u);if(kc){gc=ic;hc=jc}else{mc=ic;nc=jc;break c}}else{m=Rb()|0;gc=Q;hc=m}while(0);zb(hb|0);mc=gc;nc=hc}else ob=110;while(0);if((ob|0)==110){Hb=Rb()|0;mc=Q;nc=Hb}k[s>>2]=27468;k[fb>>2]=27488;k[ub>>2]=27560;Yua(Ib);Ava(ub);vva(fb);oc=mc;pc=nc;Qb(pc|0)}while(0);cc=ec;dc=fc;vva(fb);Qb(dc|0);break}case 123:{dc=Rb()|0;fb=Q;Yua(c);Yua(oa);Ava(ka);qc=fb;rc=dc;ob=126;break}case 124:{dc=Rb()|0;sc=Q;tc=dc;vva(ja);Qb(tc|0);break}case 125:{dc=Rb()|0;qc=Q;rc=dc;ob=126;break}case 136:{dc=Rb()|0;uc=Q;vc=dc;ob=138;break}case 137:{dc=Rb()|0;fb=Q;Yua(y);uc=fb;vc=dc;ob=138;break}case 143:{dc=Rb()|0;fb=Q;Yua(c);Yua(ha);Ava(da);wc=fb;xc=dc;ob=146;break}case 144:{dc=Rb()|0;yc=Q;zc=dc;vva(ca);Qb(zc|0);break}case 145:{dc=Rb()|0;wc=Q;xc=dc;ob=146;break}case 156:{dc=Rb()|0;Ac=Q;Bc=dc;ob=158;break}case 157:{dc=Rb()|0;fb=Q;Yua(A);Ac=fb;Bc=dc;ob=158;break}case 163:{dc=Rb()|0;fb=Q;Yua(c);Yua(cb);Ava(_a);Cc=fb;Dc=dc;ob=166;break}case 164:{dc=Rb()|0;Gc=Q;Ic=dc;vva(Za);Qb(Ic|0);break}case 165:{dc=Rb()|0;Cc=Q;Dc=dc;ob=166;break}case 174:{dc=Rb()|0;Jc=Q;Kc=dc;ob=176;break}case 175:{dc=Rb()|0;fb=Q;Yua(D);Jc=fb;Kc=dc;ob=176;break}case 228:{dc=Rb()|0;Sqa(Jb);Qb(dc|0);break}case 242:{dc=E+56|0;Jb=E+4|0;k[E>>2]=27524;k[dc>>2]=27544;B=0;wa(508,E+56|0,Jb|0);fb=B;B=0;if(fb&1){fb=Rb()|0;Lc=Q;Mc=fb;vva(dc);Qb(Mc|0)}k[E+128>>2]=0;k[E+132>>2]=-1;k[E>>2]=27468;k[dc>>2]=27488;B=0;va(448,Jb|0);fb=B;B=0;do if(fb&1){D=Rb()|0;Nc=Q;Oc=D}else{k[Jb>>2]=27560;D=E+36|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;k[D+12>>2]=0;k[E+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Jb|0,c|0);A=B;B=0;if(A&1){A=Rb()|0;y=Q;Yua(c);Yua(D);Ava(Jb);Nc=y;Oc=A;break}Yua(c);B=0;A=Ia(40,E|0,148282,29)|0;y=B;B=0;d:do if(!(y&1)?(B=0,Xa(239,A|0,0)|0,fc=B,B=0,!(fc&1)):0){fc=Ab(20)|0;B=0;eb(502,F|0,147163,88);ec=B;B=0;do if(!(ec&1)){B=0;eb(502,G|0,147252,19);cc=B;B=0;if(cc&1){cc=Rb()|0;nc=Q;Yua(F);Pc=nc;Qc=cc;break}B=0;wa(510,H|0,Jb|0);cc=B;B=0;if(cc&1){cc=Rb()|0;Rc=1;Sc=Q;Tc=cc}else{B=0;ua(163,fc|0,F|0,G|0,109,H|0);cc=B;B=0;if(cc&1)Uc=1;else{B=0;eb(503,fc|0,1240,229);B=0;Uc=0}cc=Rb()|0;nc=Q;Yua(H);Rc=Uc;Sc=nc;Tc=cc}Yua(G);Yua(F);if(Rc){Pc=Sc;Qc=Tc}else{Vc=Sc;Wc=Tc;break d}}else{cc=Rb()|0;Pc=Q;Qc=cc}while(0);zb(fc|0);Vc=Pc;Wc=Qc}else ob=257;while(0);if((ob|0)==257){A=Rb()|0;Vc=Q;Wc=A}k[E>>2]=27468;k[dc>>2]=27488;k[Jb>>2]=27560;Yua(D);Ava(Jb);vva(dc);oc=Vc;pc=Wc;Qb(pc|0)}while(0);Lc=Nc;Mc=Oc;vva(dc);Qb(Mc|0);break}case 270:{Mc=Rb()|0;dc=Q;Yua(c);Yua(za);Ava(ra);Yc=dc;Zc=Mc;ob=273;break}case 271:{Mc=Rb()|0;_c=Q;$c=Mc;vva(qa);Qb($c|0);break}case 272:{Mc=Rb()|0;Yc=Q;Zc=Mc;ob=273;break}case 283:{Mc=Rb()|0;ad=Q;bd=Mc;ob=285;break}case 284:{Mc=Rb()|0;dc=Q;Yua(J);ad=dc;bd=Mc;ob=285;break}case 290:{Mc=Rb()|0;dc=Q;Yua(c);Yua(Wa);Ava(Ra);cd=dc;dd=Mc;ob=293;break}case 291:{Mc=Rb()|0;ed=Q;fd=Mc;vva(Qa);Qb(fd|0);break}case 292:{Mc=Rb()|0;cd=Q;dd=Mc;ob=293;break}case 303:{Mc=Rb()|0;gd=Q;hd=Mc;ob=305;break}case 304:{Mc=Rb()|0;dc=Q;Yua(L);gd=dc;hd=Mc;ob=305;break}case 308:{Mc=Rb()|0;Sqa(Nb);Qb(Mc|0);break}case 322:{Mc=M+56|0;Nb=M+4|0;k[M>>2]=27524;k[Mc>>2]=27544;B=0;wa(508,M+56|0,Nb|0);dc=B;B=0;if(dc&1){dc=Rb()|0;jd=Q;kd=dc;vva(Mc);Qb(kd|0)}k[M+128>>2]=0;k[M+132>>2]=-1;k[M>>2]=27468;k[Mc>>2]=27488;B=0;va(448,Nb|0);dc=B;B=0;do if(dc&1){L=Rb()|0;ld=Q;md=L}else{k[Nb>>2]=27560;L=M+36|0;k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;k[L+12>>2]=0;k[M+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Nb|0,c|0);J=B;B=0;if(J&1){J=Rb()|0;Oc=Q;Yua(c);Yua(L);Ava(Nb);ld=Oc;md=J;break}Yua(c);B=0;J=Ia(40,M|0,148282,29)|0;Oc=B;B=0;e:do if(!(Oc&1)?(B=0,Xa(239,J|0,0)|0,Nc=B,B=0,!(Nc&1)):0){Nc=Ab(20)|0;B=0;eb(502,N|0,147163,88);Lc=B;B=0;do if(!(Lc&1)){B=0;eb(502,O|0,147252,19);Wc=B;B=0;if(Wc&1){Wc=Rb()|0;Vc=Q;Yua(N);nd=Vc;od=Wc;break}B=0;wa(510,P|0,Nb|0);Wc=B;B=0;if(Wc&1){Wc=Rb()|0;pd=1;qd=Q;rd=Wc}else{B=0;ua(163,Nc|0,N|0,O|0,121,P|0);Wc=B;B=0;if(Wc&1)sd=1;else{B=0;eb(503,Nc|0,1240,229);B=0;sd=0}Wc=Rb()|0;Vc=Q;Yua(P);pd=sd;qd=Vc;rd=Wc}Yua(O);Yua(N);if(pd){nd=qd;od=rd}else{td=qd;ud=rd;break e}}else{Wc=Rb()|0;nd=Q;od=Wc}while(0);zb(Nc|0);td=nd;ud=od}else ob=337;while(0);if((ob|0)==337){J=Rb()|0;td=Q;ud=J}k[M>>2]=27468;k[Mc>>2]=27488;k[Nb>>2]=27560;Yua(L);Ava(Nb);vva(Mc);oc=td;pc=ud;Qb(pc|0)}while(0);jd=ld;kd=md;vva(Mc);Qb(kd|0);break}case 350:{kd=Rb()|0;Mc=Q;Yua(c);Yua(Ga);Ava(Ca);vd=Mc;wd=kd;ob=353;break}case 351:{kd=Rb()|0;xd=Q;yd=kd;vva(Ba);Qb(yd|0);break}case 352:{kd=Rb()|0;vd=Q;wd=kd;ob=353;break}case 363:{kd=Rb()|0;zd=Q;Ad=kd;ob=365;break}case 364:{kd=Rb()|0;Mc=Q;Yua(S);zd=Mc;Ad=kd;ob=365;break}case 370:{kd=Rb()|0;Mc=Q;Yua(c);Yua(Oa);Ava(Ka);Bd=Mc;Cd=kd;ob=373;break}case 371:{kd=Rb()|0;Dd=Q;Ed=kd;vva(Ja);Qb(Ed|0);break}case 372:{kd=Rb()|0;Bd=Q;Cd=kd;ob=373;break}case 383:{kd=Rb()|0;Fd=Q;Gd=kd;ob=385;break}case 384:{kd=Rb()|0;Mc=Q;Yua(U);Fd=Mc;Gd=kd;ob=385;break}case 388:{kd=V+56|0;Mc=V+4|0;k[V>>2]=27524;k[kd>>2]=27544;B=0;wa(508,V+56|0,Mc|0);U=B;B=0;if(U&1){U=Rb()|0;Hd=Q;Id=U;vva(kd);Qb(Id|0)}k[V+128>>2]=0;k[V+132>>2]=-1;k[V>>2]=27468;k[kd>>2]=27488;B=0;va(448,Mc|0);U=B;B=0;do if(U&1){S=Rb()|0;Jd=Q;Kd=S}else{k[Mc>>2]=27560;S=V+36|0;k[S>>2]=0;k[S+4>>2]=0;k[S+8>>2]=0;k[S+12>>2]=0;k[V+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Mc|0,c|0);md=B;B=0;if(md&1){md=Rb()|0;ld=Q;Yua(c);Yua(S);Ava(Mc);Jd=ld;Kd=md;break}Yua(c);B=0;md=Ia(40,V|0,147682,43)|0;ld=B;B=0;do if(((!(ld&1)?(B=0,jd=Xa(242,md|0,k[o>>2]|0)|0,ud=B,B=0,!(ud&1)):0)?(B=0,Ia(40,jd|0,148995,11)|0,jd=B,B=0,!(jd&1)):0)?(B=0,wa(510,W|0,Mc|0),jd=B,B=0,!(jd&1)):0){B=0;ya(425,W|0)|0;jd=B;B=0;if(jd&1){jd=Rb()|0;ud=Q;Yua(W);Ld=ud;Md=jd;break}else{Yua(W);k[V>>2]=27468;k[kd>>2]=27488;k[Mc>>2]=27560;Yua(S);Ava(Mc);vva(kd);Sb=Zb;Tb=ac;Ub=Yb;Vb=$b;Wb=_b;Xb=bc;ob=405;break b}}else ob=402;while(0);if((ob|0)==402){md=Rb()|0;Ld=Q;Md=md}k[V>>2]=27468;k[kd>>2]=27488;k[Mc>>2]=27560;Yua(S);Ava(Mc);vva(kd);oc=Ld;pc=Md;Qb(pc|0)}while(0);Hd=Jd;Id=Kd;vva(kd);Qb(Id|0);break}}switch(ob|0){case 126:{sc=qc;tc=rc;vva(ja);Qb(tc|0);break}case 138:{k[x>>2]=27468;k[ja>>2]=27488;k[ka>>2]=27560;Yua(oa);Ava(ka);vva(ja);oc=uc;pc=vc;Qb(pc|0);break}case 146:{yc=wc;zc=xc;vva(ca);Qb(zc|0);break}case 158:{k[z>>2]=27468;k[ca>>2]=27488;k[da>>2]=27560;Yua(ha);Ava(da);vva(ca);oc=Ac;pc=Bc;Qb(pc|0);break}case 166:{Gc=Cc;Ic=Dc;vva(Za);Qb(Ic|0);break}case 176:{k[C>>2]=27468;k[Za>>2]=27488;k[_a>>2]=27560;Yua(cb);Ava(_a);vva(Za);oc=Jc;pc=Kc;Qb(pc|0);break}case 273:{_c=Yc;$c=Zc;vva(qa);Qb($c|0);break}case 285:{k[I>>2]=27468;k[qa>>2]=27488;k[ra>>2]=27560;Yua(za);Ava(ra);vva(qa);oc=ad;pc=bd;Qb(pc|0);break}case 293:{ed=cd;fd=dd;vva(Qa);Qb(fd|0);break}case 305:{k[K>>2]=27468;k[Qa>>2]=27488;k[Ra>>2]=27560;Yua(Wa);Ava(Ra);vva(Qa);oc=gd;pc=hd;Qb(pc|0);break}case 353:{xd=vd;yd=wd;vva(Ba);Qb(yd|0);break}case 365:{k[R>>2]=27468;k[Ba>>2]=27488;k[Ca>>2]=27560;Yua(Ga);Ava(Ca);vva(Ba);oc=zd;pc=Ad;Qb(pc|0);break}case 373:{Dd=Bd;Ed=Cd;vva(Ja);Qb(Ed|0);break}case 385:{k[T>>2]=27468;k[Ja>>2]=27488;k[Ka>>2]=27560;Yua(Oa);Ava(Ka);vva(Ja);oc=Fd;pc=Gd;Qb(pc|0);break}case 405:{f:do if(EY()|0){Gd=X+56|0;Fd=X+4|0;k[X>>2]=27524;k[Gd>>2]=27544;B=0;wa(508,X+56|0,Fd|0);Ja=B;B=0;if(Ja&1){Ja=Rb()|0;Nd=Q;Od=Ja;vva(Gd);Qb(Od|0)}k[X+128>>2]=0;k[X+132>>2]=-1;k[X>>2]=27468;k[Gd>>2]=27488;B=0;va(448,Fd|0);Ja=B;B=0;do if(Ja&1){Ka=Rb()|0;Pd=Q;Qd=Ka}else{k[Fd>>2]=27560;Ka=X+36|0;k[Ka>>2]=0;k[Ka+4>>2]=0;k[Ka+8>>2]=0;k[Ka+12>>2]=0;k[X+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Fd|0,c|0);Oa=B;B=0;if(Oa&1){Oa=Rb()|0;T=Q;Yua(c);Yua(Ka);Ava(Fd);Pd=T;Qd=Oa;break}Yua(c);B=0;Oa=Ia(40,X|0,147767,32)|0;T=B;B=0;do if(((!(T&1)?(B=0,Ed=Xa(242,Oa|0,Xb|0)|0,Cd=B,B=0,!(Cd&1)):0)?(B=0,Ia(40,Ed|0,149177,1)|0,Ed=B,B=0,!(Ed&1)):0)?(B=0,wa(510,Y|0,Fd|0),Ed=B,B=0,!(Ed&1)):0){B=0;ya(425,Y|0)|0;Ed=B;B=0;if(Ed&1){Ed=Rb()|0;Cd=Q;Yua(Y);Rd=Cd;Sd=Ed;break}else{Yua(Y);k[X>>2]=27468;k[Gd>>2]=27488;k[Fd>>2]=27560;Yua(Ka);Ava(Fd);vva(Gd);break f}}else ob=420;while(0);if((ob|0)==420){Oa=Rb()|0;Rd=Q;Sd=Oa}k[X>>2]=27468;k[Gd>>2]=27488;k[Fd>>2]=27560;Yua(Ka);Ava(Fd);vva(Gd);oc=Rd;pc=Sd;Qb(pc|0)}while(0);Nd=Pd;Od=Qd;vva(Gd);Qb(Od|0)}while(0);Od=k[l>>2]|0;if(Od){if((k[Od>>2]|0)!=0?(l=k[Od+4>>2]|0,(l|0)!=0):0){Qd=k[l>>2]|0;if(Qd)Ec[k[(k[Qd>>2]|0)+4>>2]&1023](Qd);Sqa(l)}Sqa(Od)}if(Sb){if((k[Tb>>2]|0)!=0?(Tb=k[Sb+4>>2]|0,(Tb|0)!=0):0){Od=k[Tb>>2]|0;if(Od)Ec[k[(k[Od>>2]|0)+4>>2]&1023](Od);Sqa(Tb)}Sqa(Sb)}Sb=k[q>>2]|0;if(Sb){if((k[Sb>>2]|0)!=0?(q=k[Sb+4>>2]|0,(q|0)!=0):0){Tb=k[q>>2]|0;if(Tb)Ec[k[(k[Tb>>2]|0)+4>>2]&1023](Tb);Sqa(q)}Sqa(Sb)}if((k[Ub>>2]|0)!=0?(Sb=k[Ub+4>>2]|0,(Sb|0)!=0):0){q=k[Sb>>2]|0;if(q)Ec[k[(k[q>>2]|0)+4>>2]&1023](q);Sqa(Sb)}Sqa(Ub);if(!Vb){Td=k[Z>>2]|0;Ud=Td+4|0;Vd=k[Ud>>2]|0;Ec[Vd&1023](Z);Wd=k[_>>2]|0;Xd=Wd+4|0;Yd=k[Xd>>2]|0;Ec[Yd&1023](_);r=b;return}if((k[Wb>>2]|0)!=0?(Wb=k[Vb+4>>2]|0,(Wb|0)!=0):0){Ub=k[Wb>>2]|0;if(Ub)Ec[k[(k[Ub>>2]|0)+4>>2]&1023](Ub);Sqa(Wb)}Sqa(Vb);Td=k[Z>>2]|0;Ud=Td+4|0;Vd=k[Ud>>2]|0;Ec[Vd&1023](Z);Wd=k[_>>2]|0;Xd=Wd+4|0;Yd=k[Xd>>2]|0;Ec[Yd&1023](_);r=b;return}}}function Uoa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0;b=r;r=r+848|0;c=b+836|0;d=b+832|0;e=b+828|0;f=b+824|0;g=b+820|0;h=b+816|0;i=b+812|0;j=b+808|0;l=b+16|0;m=b;n=b+804|0;o=b+788|0;q=b+760|0;s=b+624|0;u=b+792|0;v=b+776|0;w=b+764|0;x=b+472|0;y=b+608|0;z=b+336|0;A=b+320|0;C=b+184|0;D=b+36|0;E=b+48|0;F=b+24|0;k[d>>2]=0;k[e>>2]=0;k[f>>2]=0;k[g>>2]=0;k[h>>2]=0;k[i>>2]=0;k[j>>2]=0;G=Qqa(4)|0;k[G>>2]=38696;H=a+44|0;cO(k[H>>2]|0,n,478);dO(k[H>>2]|0,l,75);cO(k[H>>2]|0,o,72);dO(k[H>>2]|0,b+8|0,916);dO(k[H>>2]|0,m,920);Eh(a);I=a+20|0;kaa(G,k[I>>2]|0,k[H>>2]|0);Aoa(f,a);k[q>>2]=0;TZ(q,a,674,628);J=a+24|0;K=z+56|0;L=z+4|0;M=z+56|0;N=z+128|0;O=z+132|0;P=z+36|0;R=z+52|0;S=0;T=0;U=0;while(1){V=S+1|0;if(T){if((k[T>>2]|0)!=0?(W=k[T+4>>2]|0,(W|0)!=0):0){X=k[W>>2]|0;if(X)Ec[k[(k[X>>2]|0)+4>>2]&1023](X);Sqa(W)}Sqa(T)}Y=k[f>>2]|0;if(U){if((k[U>>2]|0)!=0?(W=k[U+4>>2]|0,(W|0)!=0):0){X=k[W>>2]|0;if(X)Ec[k[(k[X>>2]|0)+4>>2]&1023](X);Sqa(W)}Sqa(U)}Z=k[q>>2]|0;if(+p[m>>3]>0.0)laa(G,k[I>>2]|0,k[H>>2]|0);ooa(d,e,h,i,0,a);poa(j,k[J>>2]|0,k[n>>2]|0);Loa(k[h>>2]|0,k[e>>2]|0,k[j>>2]|0,0);W=k[e>>2]|0;if(W){if((k[W>>2]|0)!=0?(X=k[W+4>>2]|0,(X|0)!=0):0){_=k[X>>2]|0;if(_)Ec[k[(k[_>>2]|0)+4>>2]&1023](_);Sqa(X)}Sqa(W)}Poa(g,k[d>>2]|0,k[h>>2]|0,0,k[i>>2]|0,k[H>>2]|0);W=k[d>>2]|0;if(W){if((k[W>>2]|0)!=0?(X=k[W+4>>2]|0,(X|0)!=0):0){_=k[X>>2]|0;if(_)Ec[k[(k[_>>2]|0)+4>>2]&1023](_);Sqa(X)}Sqa(W)}W=k[h>>2]|0;if(W){if((k[W>>2]|0)!=0?(X=k[W+4>>2]|0,(X|0)!=0):0){_=k[X>>2]|0;if(_)Ec[k[(k[_>>2]|0)+4>>2]&1023](_);Sqa(X)}Sqa(W)}W=k[i>>2]|0;if(W){if((k[W>>2]|0)!=0?(X=k[W+4>>2]|0,(X|0)!=0):0){_=k[X>>2]|0;if(_)Ec[k[(k[_>>2]|0)+4>>2]&1023](_);Sqa(X)}Sqa(W)}Roa(f,k[g>>2]|0,k[j>>2]|0,k[J>>2]|0,k[H>>2]|0,0);W=k[g>>2]|0;if(W){if((k[W>>2]|0)!=0?(X=k[W+4>>2]|0,(X|0)!=0):0){_=k[X>>2]|0;if(_)Ec[k[(k[_>>2]|0)+4>>2]&1023](_);Sqa(X)}Sqa(W)}W=k[j>>2]|0;if(W){if((k[W>>2]|0)!=0?(X=k[W+4>>2]|0,(X|0)!=0):0){_=k[X>>2]|0;if(_)Ec[k[(k[_>>2]|0)+4>>2]&1023](_);Sqa(X)}Sqa(W)}xoa(a,k[f>>2]|0);laa(G,k[I>>2]|0,k[H>>2]|0);maa(G,k[I>>2]|0,k[H>>2]|0);TZ(q,a,674,628);W=Qqa(8)|0;B=0;va(485,W|0);X=B;B=0;if(X&1){aa=W;ba=62;break}if((k[Z>>2]|0)!=0?(X=Z+4|0,_=k[X>>2]|0,ca=Qqa(4)|0,da=k[_>>2]|0,ea=Hc[k[(k[da>>2]|0)+36>>2]&511](da)|0,k[ca>>2]=ea,da=k[_>>2]|0,Fc[k[(k[da>>2]|0)+60>>2]&1023](da,ea),k[W+4>>2]=ca,(k[Z>>2]|0)!=0):0){ea=k[k[X>>2]>>2]|0;Fc[k[(k[ea>>2]|0)+60>>2]&1023](ea,k[ca>>2]|0)}if((k[W>>2]|0)!=0?(ca=W+4|0,ea=k[k[ca>>2]>>2]|0,Xc[k[(k[ea>>2]|0)+48>>2]&63](ea,k[k[(k[q>>2]|0)+4>>2]>>2]|0,-1.0),(k[W>>2]|0)!=0):0){ea=k[k[ca>>2]>>2]|0;fa=+id[k[(k[ea>>2]|0)+64>>2]&63](ea,1);if((k[W>>2]|0)!=0?(ea=k[ca>>2]|0,(ea|0)!=0):0){ca=k[ea>>2]|0;if(ca)Ec[k[(k[ca>>2]|0)+4>>2]&1023](ca);Sqa(ea);ga=fa}else ga=fa}else ga=0.0;Sqa(W);if(!(k[Z>>2]|0))ha=0.0;else{W=k[k[Z+4>>2]>>2]|0;ha=+id[k[(k[W>>2]|0)+64>>2]&63](W,1)}fa=+$(+ga);p[t>>3]=fa;W=k[t+4>>2]|0;if(W>>>0>2146435072|(W|0)==2146435072&(k[t>>2]|0)>>>0>0){ba=76;break}fa=+$(+ha);p[t>>3]=fa;W=k[t+4>>2]|0;if(W>>>0>2146435072|(W|0)==2146435072&(k[t>>2]|0)>>>0>0){ba=76;break}ia=ga/ha;W=ia<+p[l>>3];ja=EY()|0;if(W){ba=100;break}if(ja){k[z>>2]=27524;k[K>>2]=27544;B=0;wa(508,M|0,L|0);W=B;B=0;if(W&1){ba=125;break}k[N>>2]=0;k[O>>2]=-1;k[z>>2]=27468;k[K>>2]=27488;B=0;va(448,L|0);W=B;B=0;if(W&1){ba=126;break}k[L>>2]=27560;k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;k[P+12>>2]=0;k[R>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,L|0,c|0);W=B;B=0;if(W&1){ba=124;break}Yua(c);k[z+(k[(k[z>>2]|0)+-12>>2]|0)+12>>2]=50;W=z+(k[(k[z>>2]|0)+-12>>2]|0)+4|0;k[W>>2]=k[W>>2]&-177|32;B=0;W=Ia(40,z|0,148312,42)|0;ea=B;B=0;if(ea&1){ba=137;break}B=0;ea=Sa(1,W|0,+(ia*100.0))|0;W=B;B=0;if(W&1){ba=137;break}B=0;W=Ia(40,ea|0,148278,3)|0;ea=B;B=0;if(ea&1){ba=137;break}B=0;ea=Sa(1,W|0,+(+p[l>>3]*100.0))|0;W=B;B=0;if(W&1){ba=137;break}B=0;Ia(40,ea|0,148274,3)|0;ea=B;B=0;if(ea&1){ba=137;break}B=0;wa(510,A|0,L|0);ea=B;B=0;if(ea&1){ba=137;break}B=0;ya(425,A|0)|0;ea=B;B=0;if(ea&1){ba=138;break}Yua(A);k[z>>2]=27468;k[K>>2]=27488;k[L>>2]=27560;Yua(P);Ava(L);vva(K)}if((V|0)<(k[o>>2]|0)){S=V;T=Y;U=Z}else{ka=Y;la=Z;ma=Z;na=S;ba=141;break}}a:do if((ba|0)==62){U=Rb()|0;Sqa(aa);Qb(U|0)}else if((ba|0)==76){U=s+56|0;T=s+4|0;k[s>>2]=27524;k[U>>2]=27544;B=0;wa(508,s+56|0,T|0);R=B;B=0;if(R&1){R=Rb()|0;oa=Q;pa=R;vva(U);Qb(pa|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[U>>2]=27488;B=0;va(448,T|0);R=B;B=0;do if(R&1){O=Rb()|0;qa=Q;ra=O}else{k[T>>2]=27560;O=s+36|0;k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;k[O+12>>2]=0;k[s+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,T|0,c|0);N=B;B=0;if(N&1){N=Rb()|0;M=Q;Yua(c);Yua(O);Ava(T);qa=M;ra=N;break}Yua(c);B=0;N=Ia(40,s|0,148282,29)|0;M=B;B=0;b:do if(!(M&1)?(B=0,Xa(239,N|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,u|0,147359,94);H=B;B=0;do if(!(H&1)){B=0;eb(502,v|0,147454,25);I=B;B=0;if(I&1){I=Rb()|0;j=Q;Yua(u);sa=j;ta=I;break}B=0;wa(510,w|0,T|0);I=B;B=0;if(I&1){I=Rb()|0;xa=Q;za=I;Aa=1}else{B=0;ua(163,a|0,u|0,v|0,80,w|0);I=B;B=0;if(I&1)Ba=1;else{B=0;eb(503,a|0,1240,229);B=0;Ba=0}I=Rb()|0;j=Q;Yua(w);xa=j;za=I;Aa=Ba}Yua(v);Yua(u);if(Aa){sa=xa;ta=za}else{Ca=xa;Da=za;break b}}else{I=Rb()|0;sa=Q;ta=I}while(0);zb(a|0);Ca=sa;Da=ta}else ba=91;while(0);if((ba|0)==91){N=Rb()|0;Ca=Q;Da=N}k[s>>2]=27468;k[U>>2]=27488;k[T>>2]=27560;Yua(O);Ava(T);vva(U);Ea=Ca;Fa=Da;Qb(Fa|0)}while(0);oa=qa;pa=ra;vva(U);Qb(pa|0)}else if((ba|0)==100)if(ja){T=x+56|0;R=x+4|0;k[x>>2]=27524;k[T>>2]=27544;B=0;wa(508,x+56|0,R|0);N=B;B=0;if(N&1){N=Rb()|0;Ga=Q;Ha=N;vva(T);Qb(Ha|0)}k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[T>>2]=27488;B=0;va(448,R|0);N=B;B=0;do if(N&1){M=Rb()|0;Ja=Q;Ka=M}else{k[R>>2]=27560;M=x+36|0;k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;k[M+12>>2]=0;k[x+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,R|0,c|0);H=B;B=0;if(H&1){H=Rb()|0;I=Q;Yua(c);Yua(M);Ava(R);Ja=I;Ka=H;break}Yua(c);k[x+(k[(k[x>>2]|0)+-12>>2]|0)+12>>2]=50;H=x+(k[(k[x>>2]|0)+-12>>2]|0)+4|0;k[H>>2]=k[H>>2]&-177|32;B=0;H=Ia(40,x|0,148312,42)|0;I=B;B=0;do if(((((!(I&1)?(B=0,j=Sa(1,H|0,+(ia*100.0))|0,g=B,B=0,!(g&1)):0)?(B=0,g=Ia(40,j|0,148270,3)|0,j=B,B=0,!(j&1)):0)?(B=0,j=Sa(1,g|0,+(+p[l>>3]*100.0))|0,g=B,B=0,!(g&1)):0)?(B=0,Ia(40,j|0,148274,3)|0,j=B,B=0,!(j&1)):0)?(B=0,wa(510,y|0,R|0),j=B,B=0,!(j&1)):0){B=0;ya(425,y|0)|0;j=B;B=0;if(j&1){j=Rb()|0;g=Q;Yua(y);La=g;Ma=j;break}else{Yua(y);k[x>>2]=27468;k[T>>2]=27488;k[R>>2]=27560;Yua(M);Ava(R);vva(T);Na=Y;Oa=Z;Pa=Z;Qa=S;ba=158;break a}}else ba=117;while(0);if((ba|0)==117){H=Rb()|0;La=Q;Ma=H}k[x>>2]=27468;k[T>>2]=27488;k[R>>2]=27560;Yua(M);Ava(R);vva(T);Ea=La;Fa=Ma;Qb(Fa|0)}while(0);Ga=Ja;Ha=Ka;vva(T);Qb(Ha|0)}else{Na=Y;Oa=Z;Pa=Z;Qa=S;ba=158}else if((ba|0)==124){R=Rb()|0;N=Q;Yua(c);Yua(P);Ava(L);Ra=N;Ta=R;ba=127}else if((ba|0)==125){R=Rb()|0;Ua=Q;Va=R;vva(K);Qb(Va|0)}else if((ba|0)==126){R=Rb()|0;Ra=Q;Ta=R;ba=127}else if((ba|0)==137){R=Rb()|0;Wa=Q;Ya=R;ba=139}else if((ba|0)==138){R=Rb()|0;N=Q;Yua(A);Wa=N;Ya=R;ba=139}else if((ba|0)==141){R=C+56|0;N=C+4|0;k[C>>2]=27524;k[R>>2]=27544;B=0;wa(508,C+56|0,N|0);U=B;B=0;if(U&1){U=Rb()|0;Za=Q;_a=U;vva(R);Qb(_a|0)}k[C+128>>2]=0;k[C+132>>2]=-1;k[C>>2]=27468;k[R>>2]=27488;B=0;va(448,N|0);U=B;B=0;do if(U&1){H=Rb()|0;$a=Q;ab=H}else{k[N>>2]=27560;H=C+36|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;k[H+12>>2]=0;k[C+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,N|0,c|0);I=B;B=0;if(I&1){I=Rb()|0;O=Q;Yua(c);Yua(H);Ava(N);$a=O;ab=I;break}Yua(c);B=0;I=Ia(40,C|0,147682,43)|0;O=B;B=0;do if(((!(O&1)?(B=0,j=Xa(242,I|0,k[o>>2]|0)|0,g=B,B=0,!(g&1)):0)?(B=0,Ia(40,j|0,148995,11)|0,j=B,B=0,!(j&1)):0)?(B=0,wa(510,D|0,N|0),j=B,B=0,!(j&1)):0){B=0;ya(425,D|0)|0;j=B;B=0;if(j&1){j=Rb()|0;g=Q;Yua(D);bb=g;cb=j;break}else{Yua(D);k[C>>2]=27468;k[R>>2]=27488;k[N>>2]=27560;Yua(H);Ava(N);vva(R);Na=ka;Oa=la;Pa=ma;Qa=na;ba=158;break a}}else ba=155;while(0);if((ba|0)==155){I=Rb()|0;bb=Q;cb=I}k[C>>2]=27468;k[R>>2]=27488;k[N>>2]=27560;Yua(H);Ava(N);vva(R);Ea=bb;Fa=cb;Qb(Fa|0)}while(0);Za=$a;_a=ab;vva(R);Qb(_a|0)}while(0);if((ba|0)==127){Ua=Ra;Va=Ta;vva(K);Qb(Va|0)}else if((ba|0)==139){k[z>>2]=27468;k[K>>2]=27488;k[L>>2]=27560;Yua(P);Ava(L);vva(K);Ea=Wa;Fa=Ya;Qb(Fa|0)}else if((ba|0)==158){c:do if(EY()|0){Ya=E+56|0;Wa=E+4|0;k[E>>2]=27524;k[Ya>>2]=27544;B=0;wa(508,E+56|0,Wa|0);K=B;B=0;if(K&1){K=Rb()|0;db=Q;fb=K;vva(Ya);Qb(fb|0)}k[E+128>>2]=0;k[E+132>>2]=-1;k[E>>2]=27468;k[Ya>>2]=27488;B=0;va(448,Wa|0);K=B;B=0;do if(K&1){L=Rb()|0;gb=Q;hb=L}else{k[Wa>>2]=27560;L=E+36|0;k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;k[L+12>>2]=0;k[E+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Wa|0,c|0);P=B;B=0;if(P&1){P=Rb()|0;z=Q;Yua(c);Yua(L);Ava(Wa);gb=z;hb=P;break}Yua(c);B=0;P=Ia(40,E|0,147767,32)|0;z=B;B=0;do if(((!(z&1)?(B=0,Va=Xa(242,P|0,Qa|0)|0,Ta=B,B=0,!(Ta&1)):0)?(B=0,Ia(40,Va|0,149177,1)|0,Va=B,B=0,!(Va&1)):0)?(B=0,wa(510,F|0,Wa|0),Va=B,B=0,!(Va&1)):0){B=0;ya(425,F|0)|0;Va=B;B=0;if(Va&1){Va=Rb()|0;Ta=Q;Yua(F);ib=Ta;jb=Va;break}else{Yua(F);k[E>>2]=27468;k[Ya>>2]=27488;k[Wa>>2]=27560;Yua(L);Ava(Wa);vva(Ya);break c}}else ba=173;while(0);if((ba|0)==173){P=Rb()|0;ib=Q;jb=P}k[E>>2]=27468;k[Ya>>2]=27488;k[Wa>>2]=27560;Yua(L);Ava(Wa);vva(Ya);Ea=ib;Fa=jb;Qb(Fa|0)}while(0);db=gb;fb=hb;vva(Ya);Qb(fb|0)}while(0);fb=k[f>>2]|0;if(fb){if((k[fb>>2]|0)!=0?(f=k[fb+4>>2]|0,(f|0)!=0):0){hb=k[f>>2]|0;if(hb)Ec[k[(k[hb>>2]|0)+4>>2]&1023](hb);Sqa(f)}Sqa(fb)}if(Na){if((k[Na>>2]|0)!=0?(fb=k[Na+4>>2]|0,(fb|0)!=0):0){f=k[fb>>2]|0;if(f)Ec[k[(k[f>>2]|0)+4>>2]&1023](f);Sqa(fb)}Sqa(Na)}Na=k[q>>2]|0;if(Na){if((k[Na>>2]|0)!=0?(q=k[Na+4>>2]|0,(q|0)!=0):0){fb=k[q>>2]|0;if(fb)Ec[k[(k[fb>>2]|0)+4>>2]&1023](fb);Sqa(q)}Sqa(Na)}if(!Oa){kb=k[G>>2]|0;lb=kb+4|0;mb=k[lb>>2]|0;Ec[mb&1023](G);r=b;return}if((k[Pa>>2]|0)!=0?(Pa=k[Oa+4>>2]|0,(Pa|0)!=0):0){Na=k[Pa>>2]|0;if(Na)Ec[k[(k[Na>>2]|0)+4>>2]&1023](Na);Sqa(Pa)}Sqa(Oa);kb=k[G>>2]|0;lb=kb+4|0;mb=k[lb>>2]|0;Ec[mb&1023](G);r=b;return}}function Voa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0;b=r;r=r+224|0;c=b+208|0;d=b+204|0;e=b+200|0;f=b+196|0;g=b+192|0;h=b+188|0;i=b+184|0;j=b+180|0;l=b+176|0;m=b+40|0;n=b+24|0;o=b+12|0;p=b;k[d>>2]=0;k[e>>2]=0;k[f>>2]=0;k[g>>2]=0;k[h>>2]=0;k[i>>2]=0;k[j>>2]=0;q=a+44|0;cO(k[q>>2]|0,l,478);Eh(a);ooa(d,e,h,i,0,a);s=a+24|0;poa(j,k[s>>2]|0,k[l>>2]|0);Loa(k[h>>2]|0,k[e>>2]|0,k[j>>2]|0,0);l=k[e>>2]|0;if(l){if((k[l>>2]|0)!=0?(e=k[l+4>>2]|0,(e|0)!=0):0){t=k[e>>2]|0;if(t)Ec[k[(k[t>>2]|0)+4>>2]&1023](t);Sqa(e)}Sqa(l)}Poa(g,k[d>>2]|0,k[h>>2]|0,0,k[i>>2]|0,k[q>>2]|0);l=k[g>>2]|0;e=Qqa(8)|0;B=0;va(485,e|0);t=B;B=0;if(t&1){t=Rb()|0;Sqa(e);Qb(t|0)}if(k[l>>2]|0){t=k[l+4>>2]|0;l=Qqa(4)|0;u=k[t>>2]|0;v=Hc[k[(k[u>>2]|0)+36>>2]&511](u)|0;k[l>>2]=v;u=k[t>>2]|0;Fc[k[(k[u>>2]|0)+60>>2]&1023](u,v);k[e+4>>2]=l}l=k[d>>2]|0;if(k[l>>2]|0){v=k[k[l+4>>2]>>2]|0;nd[k[(k[v>>2]|0)+28>>2]&1023](v,k[k[(k[g>>2]|0)+4>>2]>>2]|0,k[k[e+4>>2]>>2]|0)}v=Qqa(8)|0;B=0;va(485,v|0);l=B;B=0;if(l&1){l=Rb()|0;Sqa(v);Qb(l|0)}if((k[e>>2]|0)!=0?(l=e+4|0,u=k[l>>2]|0,t=Qqa(4)|0,w=k[u>>2]|0,x=Hc[k[(k[w>>2]|0)+36>>2]&511](w)|0,k[t>>2]=x,w=k[u>>2]|0,Fc[k[(k[w>>2]|0)+60>>2]&1023](w,x),k[v+4>>2]=t,(k[e>>2]|0)!=0):0){x=k[k[l>>2]>>2]|0;Fc[k[(k[x>>2]|0)+60>>2]&1023](x,k[t>>2]|0)}if((k[v>>2]|0)!=0?(t=v+4|0,x=k[k[t>>2]>>2]|0,Xc[k[(k[x>>2]|0)+48>>2]&63](x,k[k[(k[h>>2]|0)+4>>2]>>2]|0,-1.0),(k[v>>2]|0)!=0):0){x=k[k[t>>2]>>2]|0;y=+id[k[(k[x>>2]|0)+64>>2]&63](x,1)}else y=0.0;x=k[h>>2]|0;if(!(k[x>>2]|0))z=0.0;else{t=k[k[x+4>>2]>>2]|0;z=+id[k[(k[t>>2]|0)+64>>2]&63](t,1)}A=y/z;if(A>1.0e-06){t=m+56|0;x=m+4|0;k[m>>2]=27524;k[t>>2]=27544;B=0;wa(508,m+56|0,x|0);l=B;B=0;if(l&1){l=Rb()|0;C=Q;D=l;vva(t);Qb(D|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[t>>2]=27488;B=0;va(448,x|0);l=B;B=0;do if(l&1){w=Rb()|0;E=Q;F=w}else{k[x>>2]=27560;w=m+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,x|0,c|0);u=B;B=0;if(u&1){u=Rb()|0;G=Q;Yua(c);Yua(w);Ava(x);E=G;F=u;break}Yua(c);B=0;u=Ia(40,m|0,147480,48)|0;G=B;B=0;if(((!(G&1)?(B=0,G=Sa(1,u|0,+A)|0,u=B,B=0,!(u&1)):0)?(B=0,u=Ia(40,G|0,149177,1)|0,G=B,B=0,!(G&1)):0)?(B=0,Xa(239,u|0,0)|0,u=B,B=0,!(u&1)):0){u=Ab(20)|0;B=0;eb(502,n|0,147529,92);G=B;B=0;do if(G&1){H=Rb()|0;I=Q;J=H}else{B=0;eb(502,o|0,147622,23);H=B;B=0;if(H&1){H=Rb()|0;K=Q;Yua(n);I=K;J=H;break}B=0;wa(510,p|0,x|0);H=B;B=0;if(H&1){H=Rb()|0;L=Q;M=H;N=1}else{B=0;ua(163,u|0,n|0,o|0,49,p|0);H=B;B=0;if(H&1)O=1;else{B=0;eb(503,u|0,1240,229);B=0;O=0}H=Rb()|0;K=Q;Yua(p);L=K;M=H;N=O}Yua(o);Yua(n);if(N){I=L;J=M;break}else{P=L;R=M}k[m>>2]=27468;k[t>>2]=27488;k[x>>2]=27560;Yua(w);Ava(x);vva(t);Qb(R|0)}while(0);zb(u|0);P=I;R=J;k[m>>2]=27468;k[t>>2]=27488;k[x>>2]=27560;Yua(w);Ava(x);vva(t);Qb(R|0)}G=Rb()|0;P=Q;R=G;k[m>>2]=27468;k[t>>2]=27488;k[x>>2]=27560;Yua(w);Ava(x);vva(t);Qb(R|0)}while(0);C=E;D=F;vva(t);Qb(D|0)}if((k[e>>2]|0)!=0?(D=k[e+4>>2]|0,(D|0)!=0):0){t=k[D>>2]|0;if(t)Ec[k[(k[t>>2]|0)+4>>2]&1023](t);Sqa(D)}Sqa(e);if((k[v>>2]|0)!=0?(e=k[v+4>>2]|0,(e|0)!=0):0){D=k[e>>2]|0;if(D)Ec[k[(k[D>>2]|0)+4>>2]&1023](D);Sqa(e)}Sqa(v);v=k[d>>2]|0;if(v){if((k[v>>2]|0)!=0?(d=k[v+4>>2]|0,(d|0)!=0):0){e=k[d>>2]|0;if(e)Ec[k[(k[e>>2]|0)+4>>2]&1023](e);Sqa(d)}Sqa(v)}v=k[h>>2]|0;if(v){if((k[v>>2]|0)!=0?(h=k[v+4>>2]|0,(h|0)!=0):0){d=k[h>>2]|0;if(d)Ec[k[(k[d>>2]|0)+4>>2]&1023](d);Sqa(h)}Sqa(v)}v=k[i>>2]|0;if(v){if((k[v>>2]|0)!=0?(i=k[v+4>>2]|0,(i|0)!=0):0){h=k[i>>2]|0;if(h)Ec[k[(k[h>>2]|0)+4>>2]&1023](h);Sqa(i)}Sqa(v)}Roa(f,k[g>>2]|0,k[j>>2]|0,k[s>>2]|0,k[q>>2]|0,0);q=k[g>>2]|0;if(q){if((k[q>>2]|0)!=0?(g=k[q+4>>2]|0,(g|0)!=0):0){s=k[g>>2]|0;if(s)Ec[k[(k[s>>2]|0)+4>>2]&1023](s);Sqa(g)}Sqa(q)}q=k[j>>2]|0;if(q){if((k[q>>2]|0)!=0?(j=k[q+4>>2]|0,(j|0)!=0):0){g=k[j>>2]|0;if(g)Ec[k[(k[g>>2]|0)+4>>2]&1023](g);Sqa(j)}Sqa(q)}xoa(a,k[f>>2]|0);a=k[f>>2]|0;if(!a){r=b;return}if((k[a>>2]|0)!=0?(f=k[a+4>>2]|0,(f|0)!=0):0){q=k[f>>2]|0;if(q)Ec[k[(k[q>>2]|0)+4>>2]&1023](q);Sqa(f)}Sqa(a);r=b;return}function Woa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0.0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0;c=r;r=r+544|0;d=c+524|0;e=c+520|0;f=c+516|0;g=c+512|0;h=c+508|0;j=c+504|0;l=c+500|0;m=c+496|0;n=c+536|0;o=c+492|0;q=c+488|0;s=c+484|0;t=c+480|0;u=c+476|0;v=c+16|0;w=c+8|0;x=c;y=c+328|0;z=c+464|0;A=c+176|0;C=c+312|0;D=c+40|0;E=c+24|0;k[e>>2]=0;k[f>>2]=0;k[g>>2]=0;k[h>>2]=0;k[j>>2]=0;k[l>>2]=0;k[m>>2]=0;F=a+44|0;cO(k[F>>2]|0,s,80);cO(k[F>>2]|0,t,72);dO(k[F>>2]|0,v,78);dO(k[F>>2]|0,w,75);dO(k[F>>2]|0,x,69);cO(k[F>>2]|0,u,478);Eh(a);if(b)G=hh(k[a+36>>2]|0)|0;else G=0;i[n>>0]=0;Aoa(g,a);H=a+24|0;Koa(h,k[g>>2]|0,k[H>>2]|0,k[F>>2]|0);uoa(a,(i[n>>0]|0)!=0,645);xoa(a,k[g>>2]|0);I=y+56|0;J=y+4|0;K=y+56|0;L=y+128|0;M=y+132|0;N=y+36|0;O=y+52|0;P=1;R=0;while(1){if(R){if((k[R>>2]|0)!=0?(S=k[R+4>>2]|0,(S|0)!=0):0){T=k[S>>2]|0;if(T)Ec[k[(k[T>>2]|0)+4>>2]&1023](T);Sqa(S)}Sqa(R)}S=k[h>>2]|0;T=k[g>>2]|0;if(T){if((k[T>>2]|0)!=0?(U=k[T+4>>2]|0,(U|0)!=0):0){V=k[U>>2]|0;if(V)Ec[k[(k[V>>2]|0)+4>>2]&1023](V);Sqa(U)}Sqa(T)}ooa(e,f,j,l,0,a);poa(m,k[H>>2]|0,k[u>>2]|0);Loa(k[j>>2]|0,k[f>>2]|0,k[m>>2]|0,0);T=k[f>>2]|0;if(T){if((k[T>>2]|0)!=0?(U=k[T+4>>2]|0,(U|0)!=0):0){V=k[U>>2]|0;if(V)Ec[k[(k[V>>2]|0)+4>>2]&1023](V);Sqa(U)}Sqa(T)}Poa(h,k[e>>2]|0,k[j>>2]|0,S,k[l>>2]|0,k[F>>2]|0);Roa(g,k[h>>2]|0,k[m>>2]|0,k[H>>2]|0,k[F>>2]|0,0);T=k[m>>2]|0;if(T){if((k[T>>2]|0)!=0?(U=k[T+4>>2]|0,(U|0)!=0):0){V=k[U>>2]|0;if(V)Ec[k[(k[V>>2]|0)+4>>2]&1023](V);Sqa(U)}Sqa(T)}Zoa(n,k[e>>2]|0,k[j>>2]|0,k[h>>2]|0,S,+p[v>>3],+p[w>>3],+p[x>>3]);T=k[e>>2]|0;if(T){if((k[T>>2]|0)!=0?(U=k[T+4>>2]|0,(U|0)!=0):0){V=k[U>>2]|0;if(V)Ec[k[(k[V>>2]|0)+4>>2]&1023](V);Sqa(U)}Sqa(T)}T=k[j>>2]|0;if(T){if((k[T>>2]|0)!=0?(U=k[T+4>>2]|0,(U|0)!=0):0){V=k[U>>2]|0;if(V)Ec[k[(k[V>>2]|0)+4>>2]&1023](V);Sqa(U)}Sqa(T)}T=k[l>>2]|0;if(T){if((k[T>>2]|0)!=0?(U=k[T+4>>2]|0,(U|0)!=0):0){V=k[U>>2]|0;if(V)Ec[k[(k[V>>2]|0)+4>>2]&1023](V);Sqa(U)}Sqa(T)}uoa(a,(i[n>>0]|0)!=0,645);xoa(a,k[g>>2]|0);Moa(o,q,a);if(EY()|0){k[y>>2]=27524;k[I>>2]=27544;B=0;wa(508,K|0,J|0);T=B;B=0;if(T&1){W=58;break}k[L>>2]=0;k[M>>2]=-1;k[y>>2]=27468;k[I>>2]=27488;B=0;va(448,J|0);T=B;B=0;if(T&1){W=59;break}k[J>>2]=27560;k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;k[N+12>>2]=0;k[O>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,J|0,d|0);T=B;B=0;if(T&1){W=57;break}Yua(d);B=0;T=Ia(40,y|0,147646,35)|0;U=B;B=0;if(U&1){W=68;break}B=0;U=Xa(242,T|0,k[q>>2]|0)|0;T=B;B=0;if(T&1){W=68;break}B=0;Ia(40,U|0,149177,1)|0;U=B;B=0;if(U&1){W=68;break}B=0;wa(510,z|0,J|0);U=B;B=0;if(U&1){W=68;break}B=0;ya(425,z|0)|0;U=B;B=0;if(U&1){W=69;break}Yua(z);k[y>>2]=27468;k[I>>2]=27488;k[J>>2]=27560;Yua(N);Ava(J);vva(I)}U=(i[n>>0]|0)==0;if((k[o>>2]|0)!=0|U){T=P+1|0;if(U)X=T;else{Y=T;Z=S;_=P;W=76;break}}else{if((k[q>>2]|0)<=(k[s>>2]|0)){$=S;aa=P;W=73;break}i[n>>0]=0;X=P+1|0}if((X|0)<(k[t>>2]|0)){P=X;R=S}else{ba=S;ca=P;W=81;break}}a:do if((W|0)==57){P=Rb()|0;R=Q;Yua(d);Yua(N);Ava(J);da=R;ea=P;W=60}else if((W|0)==58){P=Rb()|0;fa=Q;ga=P;vva(I);Qb(ga|0)}else if((W|0)==59){P=Rb()|0;da=Q;ea=P;W=60}else if((W|0)==68){P=Rb()|0;ha=Q;ia=P;W=70}else if((W|0)==69){P=Rb()|0;R=Q;Yua(z);ha=R;ia=P;W=70}else if((W|0)==73){i[n>>0]=1;Y=aa+1|0;Z=$;_=aa;W=76}else if((W|0)==81){P=A+56|0;R=A+4|0;k[A>>2]=27524;k[P>>2]=27544;B=0;wa(508,A+56|0,R|0);X=B;B=0;if(X&1){X=Rb()|0;ja=Q;ka=X;vva(P);Qb(ka|0)}k[A+128>>2]=0;k[A+132>>2]=-1;k[A>>2]=27468;k[P>>2]=27488;B=0;va(448,R|0);X=B;B=0;do if(X&1){s=Rb()|0;la=Q;ma=s}else{k[R>>2]=27560;s=A+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[A+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,R|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;o=Q;Yua(d);Yua(s);Ava(R);la=o;ma=q;break}Yua(d);B=0;q=Ia(40,A|0,147682,43)|0;o=B;B=0;do if(((!(o&1)?(B=0,O=Xa(242,q|0,k[t>>2]|0)|0,M=B,B=0,!(M&1)):0)?(B=0,Ia(40,O|0,148995,11)|0,O=B,B=0,!(O&1)):0)?(B=0,wa(510,C|0,R|0),O=B,B=0,!(O&1)):0){B=0;ya(425,C|0)|0;O=B;B=0;if(O&1){O=Rb()|0;M=Q;Yua(C);na=M;oa=O;break}Yua(C);k[A>>2]=27468;k[P>>2]=27488;k[R>>2]=27560;Yua(s);Ava(R);vva(P);i[n>>0]=1;O=k[a+48>>2]|0;M=Qqa(48)|0;B=0;L=ya(428,O|0)|0;K=B;B=0;if(!(K&1)?(pa=+(k[t>>2]|0),k[M>>2]=27904,k[M+4>>2]=L+1,p[M+16>>3]=pa,k[M+32>>2]=-9999,p[M+40>>3]=-9999.0,k[M+24>>2]=1,k[M+28>>2]=1,B=0,wa(512,M+8|0,70),L=B,B=0,!(L&1)):0){Oo(O,M)|0;uoa(a,(i[n>>0]|0)!=0,645);xoa(a,k[g>>2]|0);qa=ba;ra=ca;break a}O=Rb()|0;L=Q;Sqa(M);sa=L;ta=O;Qb(ta|0)}else W=97;while(0);if((W|0)==97){q=Rb()|0;na=Q;oa=q}k[A>>2]=27468;k[P>>2]=27488;k[R>>2]=27560;Yua(s);Ava(R);vva(P);sa=na;ta=oa;Qb(ta|0)}while(0);ja=la;ka=ma;vva(P);Qb(ka|0)}while(0);do if((W|0)==60){fa=da;ga=ea;vva(I);Qb(ga|0)}else if((W|0)==70){k[y>>2]=27468;k[I>>2]=27488;k[J>>2]=27560;Yua(N);Ava(J);vva(I);sa=ha;ta=ia;Qb(ta|0)}else if((W|0)==76){ka=k[a+48>>2]|0;ma=Qqa(48)|0;B=0;la=ya(428,ka|0)|0;ja=B;B=0;if(!(ja&1)?(k[ma>>2]=27904,k[ma+4>>2]=la+1,p[ma+16>>3]=+(Y|0),k[ma+32>>2]=-9999,p[ma+40>>3]=-9999.0,k[ma+24>>2]=1,k[ma+28>>2]=1,B=0,wa(512,ma+8|0,70),la=B,B=0,!(la&1)):0){Oo(ka,ma)|0;qa=Z;ra=_;break}ka=Rb()|0;la=Q;Sqa(ma);sa=la;ta=ka;Qb(ta|0)}while(0);b:do if(EY()|0){_=D+56|0;Z=D+4|0;k[D>>2]=27524;k[_>>2]=27544;B=0;wa(508,D+56|0,Z|0);Y=B;B=0;if(Y&1){Y=Rb()|0;ua=Q;xa=Y;vva(_);Qb(xa|0)}k[D+128>>2]=0;k[D+132>>2]=-1;k[D>>2]=27468;k[_>>2]=27488;B=0;va(448,Z|0);Y=B;B=0;do if(Y&1){ia=Rb()|0;za=Q;Aa=ia}else{k[Z>>2]=27560;ia=D+36|0;k[ia>>2]=0;k[ia+4>>2]=0;k[ia+8>>2]=0;k[ia+12>>2]=0;k[D+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Z|0,d|0);ha=B;B=0;if(ha&1){ha=Rb()|0;I=Q;Yua(d);Yua(ia);Ava(Z);za=I;Aa=ha;break}Yua(d);B=0;ha=Ia(40,D|0,147767,32)|0;I=B;B=0;do if(((!(I&1)?(B=0,J=Xa(242,ha|0,ra|0)|0,N=B,B=0,!(N&1)):0)?(B=0,Ia(40,J|0,149177,1)|0,J=B,B=0,!(J&1)):0)?(B=0,wa(510,E|0,Z|0),J=B,B=0,!(J&1)):0){B=0;ya(425,E|0)|0;J=B;B=0;if(J&1){J=Rb()|0;N=Q;Yua(E);Ba=N;Ca=J;break}else{Yua(E);k[D>>2]=27468;k[_>>2]=27488;k[Z>>2]=27560;Yua(ia);Ava(Z);vva(_);break b}}else W=116;while(0);if((W|0)==116){ha=Rb()|0;Ba=Q;Ca=ha}k[D>>2]=27468;k[_>>2]=27488;k[Z>>2]=27560;Yua(ia);Ava(Z);vva(_);sa=Ba;ta=Ca;Qb(ta|0)}while(0);ua=za;xa=Aa;vva(_);Qb(xa|0)}while(0);if(b){b=a+36|0;a=k[b>>2]|0;if(a){$K(a);Sqa(a)}k[b>>2]=G}G=k[h>>2]|0;if(G){if((k[G>>2]|0)!=0?(h=k[G+4>>2]|0,(h|0)!=0):0){b=k[h>>2]|0;if(b)Ec[k[(k[b>>2]|0)+4>>2]&1023](b);Sqa(h)}Sqa(G)}G=k[g>>2]|0;if(G){if((k[G>>2]|0)!=0?(g=k[G+4>>2]|0,(g|0)!=0):0){h=k[g>>2]|0;if(h)Ec[k[(k[h>>2]|0)+4>>2]&1023](h);Sqa(g)}Sqa(G)}if(!qa){r=c;return}if((k[qa>>2]|0)!=0?(G=k[qa+4>>2]|0,(G|0)!=0):0){g=k[G>>2]|0;if(g)Ec[k[(k[g>>2]|0)+4>>2]&1023](g);Sqa(G)}Sqa(qa);r=c;return}function Xoa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0;b=r;r=r+400|0;c=b+380|0;d=b+392|0;e=b+376|0;f=b+24|0;g=b+372|0;h=b+368|0;j=b+364|0;l=b+360|0;m=b+356|0;n=b+352|0;o=b+348|0;q=b+344|0;s=b+340|0;t=b+336|0;u=b+332|0;v=b+16|0;w=b+8|0;x=b;y=b+184|0;z=b+320|0;A=b+48|0;C=b+32|0;k[g>>2]=0;k[h>>2]=0;k[j>>2]=0;k[l>>2]=0;k[m>>2]=0;k[n>>2]=0;k[o>>2]=0;k[q>>2]=0;k[s>>2]=0;D=a+44|0;cO(k[D>>2]|0,t,72);cO(k[D>>2]|0,u,478);cO(k[D>>2]|0,e,71);dO(k[D>>2]|0,v,78);dO(k[D>>2]|0,w,75);dO(k[D>>2]|0,x,69);Eh(a);i[d>>0]=0;Aoa(l,a);E=a+24|0;Koa(m,k[l>>2]|0,k[E>>2]|0,k[D>>2]|0);uoa(a,0,645);xoa(a,k[l>>2]|0);F=1;G=0;H=0;while(1){if(H){if((k[H>>2]|0)!=0?(I=k[H+4>>2]|0,(I|0)!=0):0){J=k[I>>2]|0;if(J)Ec[k[(k[J>>2]|0)+4>>2]&1023](J);Sqa(I)}Sqa(H)}I=k[l>>2]|0;if(G){if((k[G>>2]|0)!=0?(J=k[G+4>>2]|0,(J|0)!=0):0){K=k[J>>2]|0;if(K)Ec[k[(k[K>>2]|0)+4>>2]&1023](K);Sqa(J)}Sqa(G)}J=k[m>>2]|0;if((F|0)==1|(k[e>>2]|0)==2){ooa(g,h,o,q,0,a);poa(s,k[E>>2]|0,k[u>>2]|0);Loa(k[o>>2]|0,k[h>>2]|0,k[s>>2]|0,0);K=k[h>>2]|0;if(K){if((k[K>>2]|0)!=0?(L=k[K+4>>2]|0,(L|0)!=0):0){M=k[L>>2]|0;if(M)Ec[k[(k[M>>2]|0)+4>>2]&1023](M);Sqa(L)}Sqa(K)}Poa(m,k[g>>2]|0,k[o>>2]|0,J,k[q>>2]|0,k[D>>2]|0);K=k[q>>2]|0;if(K){if((k[K>>2]|0)!=0?(L=k[K+4>>2]|0,(L|0)!=0):0){M=k[L>>2]|0;if(M)Ec[k[(k[M>>2]|0)+4>>2]&1023](M);Sqa(L)}Sqa(K)}K=k[g>>2]|0;if(K){if((k[K>>2]|0)!=0?(L=k[K+4>>2]|0,(L|0)!=0):0){M=k[L>>2]|0;if(M)Ec[k[(k[M>>2]|0)+4>>2]&1023](M);Sqa(L)}Sqa(K)}K=k[o>>2]|0;if(K){if((k[K>>2]|0)!=0?(L=k[K+4>>2]|0,(L|0)!=0):0){M=k[L>>2]|0;if(M)Ec[k[(k[M>>2]|0)+4>>2]&1023](M);Sqa(L)}Sqa(K)}Roa(l,k[m>>2]|0,k[s>>2]|0,k[E>>2]|0,k[D>>2]|0,0);K=k[s>>2]|0;if(K){if((k[K>>2]|0)!=0?(L=k[K+4>>2]|0,(L|0)!=0):0){M=k[L>>2]|0;if(M)Ec[k[(k[M>>2]|0)+4>>2]&1023](M);Sqa(L)}Sqa(K)}xoa(a,k[l>>2]|0);if(I){if((k[I>>2]|0)!=0?(K=k[I+4>>2]|0,(K|0)!=0):0){L=k[K>>2]|0;if(L)Ec[k[(k[L>>2]|0)+4>>2]&1023](L);Sqa(K)}Sqa(I)}K=k[l>>2]|0;if(J){if((k[J>>2]|0)!=0?(L=k[J+4>>2]|0,(L|0)!=0):0){M=k[L>>2]|0;if(M)Ec[k[(k[M>>2]|0)+4>>2]&1023](M);Sqa(L)}Sqa(J)}N=k[m>>2]|0;O=K}else{N=J;O=I}I=Qqa(8)|0;B=0;va(485,I|0);J=B;B=0;if(J&1){P=I;R=70;break}if(k[N>>2]|0){J=k[N+4>>2]|0;K=Qqa(4)|0;L=k[J>>2]|0;M=Hc[k[(k[L>>2]|0)+36>>2]&511](L)|0;k[K>>2]=M;L=k[J>>2]|0;Fc[k[(k[L>>2]|0)+60>>2]&1023](L,M);k[I+4>>2]=K;K=k[N>>2]|0;k[m>>2]=I;if(K){K=k[k[N+4>>2]>>2]|0;Fc[k[(k[K>>2]|0)+60>>2]&1023](K,k[k[I+4>>2]>>2]|0)}}else k[m>>2]=I;ooa(g,h,o,q,f,a);I=k[q>>2]|0;if(I){if((k[I>>2]|0)!=0?(K=k[I+4>>2]|0,(K|0)!=0):0){M=k[K>>2]|0;if(M)Ec[k[(k[M>>2]|0)+4>>2]&1023](M);Sqa(K)}Sqa(I)}poa(s,k[E>>2]|0,k[u>>2]|0);Loa(k[o>>2]|0,k[h>>2]|0,k[s>>2]|0,0);I=k[h>>2]|0;if(I){if((k[I>>2]|0)!=0?(K=k[I+4>>2]|0,(K|0)!=0):0){M=k[K>>2]|0;if(M)Ec[k[(k[M>>2]|0)+4>>2]&1023](M);Sqa(K)}Sqa(I)}I=k[o>>2]|0;K=Qqa(8)|0;B=0;va(485,K|0);M=B;B=0;if(M&1){S=K;R=89;break}if(k[I>>2]|0){M=k[I+4>>2]|0;I=Qqa(4)|0;L=k[M>>2]|0;J=Hc[k[(k[L>>2]|0)+36>>2]&511](L)|0;k[I>>2]=J;L=k[M>>2]|0;Fc[k[(k[L>>2]|0)+60>>2]&1023](L,J);k[K+4>>2]=I}I=k[g>>2]|0;if(k[I>>2]|0){J=k[k[I+4>>2]>>2]|0;nd[k[(k[J>>2]|0)+28>>2]&1023](J,k[k[(k[m>>2]|0)+4>>2]>>2]|0,k[k[K+4>>2]>>2]|0)}if((k[K>>2]|0)!=0?(J=K+4|0,I=k[k[J>>2]>>2]|0,Cc[k[(k[I>>2]|0)+68>>2]&63](I,-1.0),(k[K>>2]|0)!=0):0){I=k[k[J>>2]>>2]|0;Xc[k[(k[I>>2]|0)+44>>2]&63](I,k[k[(k[o>>2]|0)+4>>2]>>2]|0,1.0)}qqa(j,a,+p[f>>3]);Poa(n,k[j>>2]|0,K,0,0,k[D>>2]|0);I=k[j>>2]|0;if(I){if((k[I>>2]|0)!=0?(J=k[I+4>>2]|0,(J|0)!=0):0){L=k[J>>2]|0;if(L)Ec[k[(k[L>>2]|0)+4>>2]&1023](L);Sqa(J)}Sqa(I)}if((k[K>>2]|0)!=0?(I=k[K+4>>2]|0,(I|0)!=0):0){J=k[I>>2]|0;if(J)Ec[k[(k[J>>2]|0)+4>>2]&1023](J);Sqa(I)}Sqa(K);K=k[m>>2]|0;I=k[n>>2]|0;if(!(k[K>>2]|0))T=I;else{J=k[k[K+4>>2]>>2]|0;Xc[k[(k[J>>2]|0)+44>>2]&63](J,k[k[I+4>>2]>>2]|0,1.0);T=k[n>>2]|0}if(T){if((k[T>>2]|0)!=0?(I=k[T+4>>2]|0,(I|0)!=0):0){J=k[I>>2]|0;if(J)Ec[k[(k[J>>2]|0)+4>>2]&1023](J);Sqa(I)}Sqa(T)}Roa(l,k[m>>2]|0,k[s>>2]|0,k[E>>2]|0,k[D>>2]|0,0);I=k[s>>2]|0;if(I){do if(k[I>>2]|0){J=k[I+4>>2]|0;if(!J)break;K=k[J>>2]|0;if(K)Ec[k[(k[K>>2]|0)+4>>2]&1023](K);Sqa(J)}while(0);Sqa(I)}xoa(a,k[l>>2]|0);Zoa(d,k[g>>2]|0,k[o>>2]|0,k[m>>2]|0,N,+p[v>>3],+p[w>>3],+p[x>>3]);J=k[g>>2]|0;if(J){do if(k[J>>2]|0){K=k[J+4>>2]|0;if(!K)break;L=k[K>>2]|0;if(L)Ec[k[(k[L>>2]|0)+4>>2]&1023](L);Sqa(K)}while(0);Sqa(J)}I=k[o>>2]|0;if(I){do if(k[I>>2]|0){K=k[I+4>>2]|0;if(!K)break;L=k[K>>2]|0;if(L)Ec[k[(k[L>>2]|0)+4>>2]&1023](L);Sqa(K)}while(0);Sqa(I)}if(i[d>>0]|0){U=N;V=F;W=N;X=O;break}if((F|0)>=(k[t>>2]|0)){Y=N;Z=F;_=N;$=O;R=140;break}F=F+1|0;G=N;H=O}a:do if((R|0)==70){O=Rb()|0;Sqa(P);Qb(O|0)}else if((R|0)==89){O=Rb()|0;Sqa(S);Qb(O|0)}else if((R|0)==140){O=y+56|0;H=y+4|0;k[y>>2]=27524;k[O>>2]=27544;B=0;wa(508,y+56|0,H|0);N=B;B=0;if(N&1){N=Rb()|0;aa=Q;ba=N;vva(O);Qb(ba|0)}k[y+128>>2]=0;k[y+132>>2]=-1;k[y>>2]=27468;k[O>>2]=27488;B=0;va(448,H|0);N=B;B=0;do if(N&1){G=Rb()|0;ca=Q;da=G}else{k[H>>2]=27560;G=y+36|0;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;k[G+12>>2]=0;k[y+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,H|0,c|0);F=B;B=0;if(F&1){F=Rb()|0;d=Q;Yua(c);Yua(G);Ava(H);ca=d;da=F;break}Yua(c);B=0;F=Ia(40,y|0,147726,40)|0;d=B;B=0;do if(((!(d&1)?(B=0,o=Xa(242,F|0,k[t>>2]|0)|0,g=B,B=0,!(g&1)):0)?(B=0,Ia(40,o|0,148995,11)|0,o=B,B=0,!(o&1)):0)?(B=0,wa(510,z|0,H|0),o=B,B=0,!(o&1)):0){B=0;ya(425,z|0)|0;o=B;B=0;if(o&1){o=Rb()|0;g=Q;Yua(z);ea=g;fa=o;break}else{Yua(z);k[y>>2]=27468;k[O>>2]=27488;k[H>>2]=27560;Yua(G);Ava(H);vva(O);U=Y;V=Z;W=_;X=$;break a}}else R=154;while(0);if((R|0)==154){F=Rb()|0;ea=Q;fa=F}k[y>>2]=27468;k[O>>2]=27488;k[H>>2]=27560;Yua(G);Ava(H);vva(O);ga=ea;ha=fa;Qb(ha|0)}while(0);aa=ca;ba=da;vva(O);Qb(ba|0)}while(0);b:do if(EY()|0){ba=A+56|0;da=A+4|0;k[A>>2]=27524;k[ba>>2]=27544;B=0;wa(508,A+56|0,da|0);ca=B;B=0;if(ca&1){ca=Rb()|0;ia=Q;ja=ca;vva(ba);Qb(ja|0)}k[A+128>>2]=0;k[A+132>>2]=-1;k[A>>2]=27468;k[ba>>2]=27488;B=0;va(448,da|0);ca=B;B=0;do if(ca&1){aa=Rb()|0;ka=Q;la=aa}else{k[da>>2]=27560;aa=A+36|0;k[aa>>2]=0;k[aa+4>>2]=0;k[aa+8>>2]=0;k[aa+12>>2]=0;k[A+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,da|0,c|0);fa=B;B=0;if(fa&1){fa=Rb()|0;ea=Q;Yua(c);Yua(aa);Ava(da);ka=ea;la=fa;break}Yua(c);B=0;fa=Ia(40,A|0,147767,32)|0;ea=B;B=0;do if(((!(ea&1)?(B=0,y=Xa(242,fa|0,V+-1|0)|0,$=B,B=0,!($&1)):0)?(B=0,Ia(40,y|0,149177,1)|0,y=B,B=0,!(y&1)):0)?(B=0,wa(510,C|0,da|0),y=B,B=0,!(y&1)):0){B=0;ya(425,C|0)|0;y=B;B=0;if(y&1){y=Rb()|0;$=Q;Yua(C);ma=$;na=y;break}else{Yua(C);k[A>>2]=27468;k[ba>>2]=27488;k[da>>2]=27560;Yua(aa);Ava(da);vva(ba);break b}}else R=173;while(0);if((R|0)==173){fa=Rb()|0;ma=Q;na=fa}k[A>>2]=27468;k[ba>>2]=27488;k[da>>2]=27560;Yua(aa);Ava(da);vva(ba);ga=ma;ha=na;Qb(ha|0)}while(0);ia=ka;ja=la;vva(ba);Qb(ja|0)}while(0);ja=k[m>>2]|0;if(ja){if((k[ja>>2]|0)!=0?(m=k[ja+4>>2]|0,(m|0)!=0):0){la=k[m>>2]|0;if(la)Ec[k[(k[la>>2]|0)+4>>2]&1023](la);Sqa(m)}Sqa(ja)}ja=k[l>>2]|0;if(ja){if((k[ja>>2]|0)!=0?(l=k[ja+4>>2]|0,(l|0)!=0):0){m=k[l>>2]|0;if(m)Ec[k[(k[m>>2]|0)+4>>2]&1023](m);Sqa(l)}Sqa(ja)}if(X){if((k[X>>2]|0)!=0?(ja=k[X+4>>2]|0,(ja|0)!=0):0){l=k[ja>>2]|0;if(l)Ec[k[(k[l>>2]|0)+4>>2]&1023](l);Sqa(ja)}Sqa(X)}if(!W){r=b;return}if((k[U>>2]|0)!=0?(U=k[W+4>>2]|0,(U|0)!=0):0){X=k[U>>2]|0;if(X)Ec[k[(k[X>>2]|0)+4>>2]&1023](X);Sqa(U)}Sqa(W);r=b;return}function Yoa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;b=r;r=r+400|0;c=b+376|0;d=b+368|0;e=b+364|0;f=b+360|0;g=b+356|0;h=b+208|0;i=b+344|0;j=b+56|0;l=b+44|0;m=b+72|0;n=b+32|0;o=b+20|0;p=b+8|0;k[e>>2]=0;k[f>>2]=0;k[g>>2]=0;q=a+44|0;dO(k[q>>2]|0,b,358);cO(k[q>>2]|0,b+372|0,478);Eh(a);cO(k[q>>2]|0,d,477);switch(k[d>>2]|0){case 510:{q=Qqa(4)|0;k[q>>2]=39544;Oea(q,e,a);Pea(q,g,a);Nea(q,f,0,a);Ec[k[(k[q>>2]|0)+4>>2]&1023](q);break}case 496:{q=Qqa(4)|0;k[q>>2]=38620;P8(q,e,a);Q8(q,g,a);O8(q,f,0,a);Ec[k[(k[q>>2]|0)+4>>2]&1023](q);break}default:{q=h+56|0;a=h+4|0;k[h>>2]=27524;k[q>>2]=27544;B=0;wa(508,h+56|0,a|0);f=B;B=0;if(f&1){f=Rb()|0;s=Q;t=f;vva(q);Qb(t|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[q>>2]=27488;B=0;va(448,a|0);f=B;B=0;do if(f&1){g=Rb()|0;u=Q;v=g}else{k[a>>2]=27560;g=h+36|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,a|0,c|0);e=B;B=0;if(e&1){e=Rb()|0;b=Q;Yua(c);Yua(g);Ava(a);u=b;v=e;break}Yua(c);B=0;e=Ia(40,h|0,147800,14)|0;b=B;B=0;a:do if((((!(b&1)?(B=0,w=ya(427,k[d>>2]|0)|0,x=B,B=0,!(x&1)):0)?(x=Lta(w)|0,B=0,y=Ia(40,e|0,w|0,x|0)|0,x=B,B=0,!(x&1)):0)?(B=0,x=Ia(40,y|0,147815,23)|0,y=B,B=0,!(y&1)):0)?(B=0,Xa(239,x|0,0)|0,x=B,B=0,!(x&1)):0){x=Ab(20)|0;B=0;eb(502,i|0,147839,89);y=B;B=0;do if(!(y&1)){B=0;eb(502,j|0,147929,20);w=B;B=0;if(w&1){w=Rb()|0;z=Q;Yua(i);A=w;C=z;break}B=0;wa(510,l|0,a|0);z=B;B=0;if(z&1){z=Rb()|0;D=Q;E=z;F=1}else{B=0;ua(163,x|0,i|0,j|0,373,l|0);z=B;B=0;if(z&1)G=1;else{B=0;eb(503,x|0,1240,229);B=0;G=0}z=Rb()|0;w=Q;Yua(l);D=w;E=z;F=G}Yua(j);Yua(i);if(F){A=E;C=D}else{H=E;I=D;break a}}else{z=Rb()|0;A=z;C=Q}while(0);zb(x|0);H=A;I=C}else J=20;while(0);if((J|0)==20){e=Rb()|0;H=e;I=Q}k[h>>2]=27468;k[q>>2]=27488;k[a>>2]=27560;Yua(g);Ava(a);vva(q);K=I;L=H;Qb(L|0)}while(0);s=u;t=v;vva(q);Qb(t|0)}}t=m+56|0;q=m+4|0;k[m>>2]=27524;k[t>>2]=27544;B=0;wa(508,m+56|0,q|0);v=B;B=0;if(v&1){v=Rb()|0;M=Q;N=v;vva(t);Qb(N|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[t>>2]=27488;B=0;va(448,q|0);v=B;B=0;do if(v&1){u=Rb()|0;O=Q;P=u}else{k[q>>2]=27560;u=m+36|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;k[u+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,q|0,c|0);s=B;B=0;if(s&1){s=Rb()|0;H=Q;Yua(c);Yua(u);Ava(q);O=H;P=s;break}Yua(c);B=0;s=Ia(40,m|0,147950,27)|0;H=B;B=0;b:do if(!(H&1)?(B=0,Xa(239,s|0,0)|0,I=B,B=0,!(I&1)):0){I=Ab(20)|0;B=0;eb(502,n|0,147839,89);a=B;B=0;do if(!(a&1)){B=0;eb(502,o|0,147929,20);h=B;B=0;if(h&1){h=Rb()|0;C=Q;Yua(n);R=h;S=C;break}B=0;wa(510,p|0,q|0);C=B;B=0;if(C&1){C=Rb()|0;T=1;U=Q;V=C}else{B=0;ua(163,I|0,n|0,o|0,456,p|0);C=B;B=0;if(C&1)W=1;else{B=0;eb(503,I|0,1240,229);B=0;W=0}C=Rb()|0;h=Q;Yua(p);T=W;U=h;V=C}Yua(o);Yua(n);if(T){R=V;S=U}else{X=U;Y=V;break b}}else{C=Rb()|0;R=C;S=Q}while(0);zb(I|0);X=S;Y=R}else J=45;while(0);if((J|0)==45){s=Rb()|0;X=Q;Y=s}k[m>>2]=27468;k[t>>2]=27488;k[q>>2]=27560;Yua(u);Ava(q);vva(t);K=X;L=Y;Qb(L|0)}while(0);M=O;N=P;vva(t);Qb(N|0)}function Zoa(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=+h;var j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0.0,qa=0.0,ra=0.0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0.0,Da=0.0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0.0,nb=0.0,ob=0.0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0.0,Zb=0.0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0;j=r;r=r+2192|0;l=j+2176|0;m=j+1944|0;n=j+2164|0;o=j+1808|0;q=j+2152|0;s=j+1656|0;u=j+2140|0;v=j+1504|0;w=j+2128|0;x=j+2116|0;y=j+2104|0;z=j+1352|0;A=j+2092|0;C=j+1216|0;D=j+2080|0;E=j+1064|0;F=j+1792|0;G=j+1640|0;H=j+1488|0;I=j+928|0;J=j+1200|0;K=j+776|0;L=j+912|0;M=j+640|0;N=j+624|0;O=j+488|0;P=j+340|0;R=j+328|0;S=j+176|0;T=j+352|0;U=j+24|0;V=j+192|0;W=j+12|0;X=j+40|0;Y=j;a:do if(BY()|0){Z=m+56|0;_=m+4|0;k[m>>2]=27524;k[Z>>2]=27544;B=0;wa(508,m+56|0,_|0);aa=B;B=0;if(aa&1){aa=Rb()|0;ba=Q;ca=aa;vva(Z);Qb(ca|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[Z>>2]=27488;B=0;va(448,_|0);aa=B;B=0;do if(aa&1){da=Rb()|0;ea=Q;fa=da}else{k[_>>2]=27560;da=m+36|0;k[da>>2]=0;k[da+4>>2]=0;k[da+8>>2]=0;k[da+12>>2]=0;k[m+52>>2]=16;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;B=0;wa(509,_|0,l|0);ga=B;B=0;if(ga&1){ga=Rb()|0;ha=Q;Yua(l);Yua(da);Ava(_);ea=ha;fa=ga;break}Yua(l);B=0;Ia(40,m|0,147978,24)|0;ga=B;B=0;do if(!(ga&1)?(B=0,wa(510,n|0,_|0),ha=B,B=0,!(ha&1)):0){B=0;ya(425,n|0)|0;ha=B;B=0;if(ha&1){ha=Rb()|0;ia=Q;Yua(n);ja=ha;ka=ia;break}else{Yua(n);k[m>>2]=27468;k[Z>>2]=27488;k[_>>2]=27560;Yua(da);Ava(_);vva(Z);break a}}else la=14;while(0);if((la|0)==14){ga=Rb()|0;ja=ga;ka=Q}k[m>>2]=27468;k[Z>>2]=27488;k[_>>2]=27560;Yua(da);Ava(_);vva(Z);ma=ka;na=ja;Qb(na|0)}while(0);ba=ea;ca=fa;vva(Z);Qb(ca|0)}while(0);if(k[d>>2]|0){ca=k[k[d+4>>2]>>2]|0;Fc[k[(k[ca>>2]|0)+28>>2]&1023](ca,l);if(!(k[l>>2]|0)){oa=1;i[a>>0]=oa;r=j;return}}b:do if(EY()|0){ca=Qqa(8)|0;B=0;va(485,ca|0);fa=B;B=0;if(fa&1){fa=Rb()|0;Sqa(ca);Qb(fa|0)}if(k[d>>2]|0){fa=k[d+4>>2]|0;ea=Qqa(4)|0;ba=k[fa>>2]|0;ja=Hc[k[(k[ba>>2]|0)+36>>2]&511](ba)|0;k[ea>>2]=ja;ba=k[fa>>2]|0;Fc[k[(k[ba>>2]|0)+60>>2]&1023](ba,ja);k[ca+4>>2]=ea}if(k[b>>2]|0){ea=k[k[b+4>>2]>>2]|0;nd[k[(k[ea>>2]|0)+28>>2]&1023](ea,k[k[d+4>>2]>>2]|0,k[k[ca+4>>2]>>2]|0)}ea=Qqa(8)|0;B=0;va(485,ea|0);ja=B;B=0;if(ja&1){ja=Rb()|0;Sqa(ea);Qb(ja|0)}if((k[ca>>2]|0)!=0?(ja=ca+4|0,ba=k[ja>>2]|0,fa=Qqa(4)|0,ka=k[ba>>2]|0,m=Hc[k[(k[ka>>2]|0)+36>>2]&511](ka)|0,k[fa>>2]=m,ka=k[ba>>2]|0,Fc[k[(k[ka>>2]|0)+60>>2]&1023](ka,m),k[ea+4>>2]=fa,(k[ca>>2]|0)!=0):0){m=k[k[ja>>2]>>2]|0;Fc[k[(k[m>>2]|0)+60>>2]&1023](m,k[fa>>2]|0)}if((k[ea>>2]|0)!=0?(fa=ea+4|0,m=k[k[fa>>2]>>2]|0,Xc[k[(k[m>>2]|0)+48>>2]&63](m,k[k[c+4>>2]>>2]|0,-1.0),(k[ea>>2]|0)!=0):0){m=k[k[fa>>2]>>2]|0;pa=+id[k[(k[m>>2]|0)+64>>2]&63](m,1)}else pa=0.0;if(!(k[c>>2]|0))qa=0.0;else{m=k[k[c+4>>2]>>2]|0;qa=+id[k[(k[m>>2]|0)+64>>2]&63](m,1)}ra=pa/qa;m=o+56|0;fa=o+4|0;k[o>>2]=27524;k[m>>2]=27544;B=0;wa(508,o+56|0,fa|0);ja=B;B=0;if(ja&1){ja=Rb()|0;sa=Q;ta=ja;vva(m);Qb(ta|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[m>>2]=27488;B=0;va(448,fa|0);ja=B;B=0;do if(ja&1){ka=Rb()|0;xa=Q;za=ka}else{k[fa>>2]=27560;ka=o+36|0;k[ka>>2]=0;k[ka+4>>2]=0;k[ka+8>>2]=0;k[ka+12>>2]=0;k[o+52>>2]=16;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;B=0;wa(509,fa|0,l|0);ba=B;B=0;if(ba&1){ba=Rb()|0;n=Q;Yua(l);Yua(ka);Ava(fa);xa=n;za=ba;break}Yua(l);B=0;ba=Ia(40,o|0,149177,1)|0;n=B;B=0;do if(((!(n&1)?(B=0,_=Ia(40,ba|0,148003,38)|0,aa=B,B=0,!(aa&1)):0)?(B=0,aa=Sa(1,_|0,+ra)|0,_=B,B=0,!(_&1)):0)?(B=0,Ia(40,aa|0,149177,1)|0,aa=B,B=0,!(aa&1)):0){B=0;wa(510,q|0,fa|0);aa=B;B=0;if(aa&1){la=62;break}B=0;ya(425,q|0)|0;aa=B;B=0;if(aa&1){aa=Rb()|0;_=Q;Yua(q);Aa=_;Ba=aa;break}Yua(q);k[o>>2]=27468;k[m>>2]=27488;k[fa>>2]=27560;Yua(ka);Ava(fa);vva(m);do if(k[ca>>2]|0){aa=k[ca+4>>2]|0;if(!aa)break;_=k[aa>>2]|0;if(_)Ec[k[(k[_>>2]|0)+4>>2]&1023](_);Sqa(aa)}while(0);Sqa(ca);do if(k[ea>>2]|0){aa=k[ea+4>>2]|0;if(!aa)break;_=k[aa>>2]|0;if(_)Ec[k[(k[_>>2]|0)+4>>2]&1023](_);Sqa(aa)}while(0);Sqa(ea);break b}else la=62;while(0);if((la|0)==62){ba=Rb()|0;Aa=Q;Ba=ba}k[o>>2]=27468;k[m>>2]=27488;k[fa>>2]=27560;Yua(ka);Ava(fa);vva(m);ma=Aa;na=Ba;Qb(na|0)}while(0);sa=xa;ta=za;vva(m);Qb(ta|0)}while(0);ta=Qqa(8)|0;B=0;va(485,ta|0);za=B;B=0;if(za&1){za=Rb()|0;Sqa(ta);Qb(za|0)}if(k[d>>2]|0){za=k[d+4>>2]|0;xa=Qqa(4)|0;sa=k[za>>2]|0;Ba=Hc[k[(k[sa>>2]|0)+36>>2]&511](sa)|0;k[xa>>2]=Ba;sa=k[za>>2]|0;Fc[k[(k[sa>>2]|0)+60>>2]&1023](sa,Ba);k[ta+4>>2]=xa}if(k[b>>2]|0){xa=k[k[b+4>>2]>>2]|0;nd[k[(k[xa>>2]|0)+28>>2]&1023](xa,k[k[e+4>>2]>>2]|0,k[k[ta+4>>2]>>2]|0)}xa=Qqa(8)|0;B=0;va(485,xa|0);b=B;B=0;if(b&1){b=Rb()|0;Sqa(xa);Qb(b|0)}if((k[ta>>2]|0)!=0?(b=ta+4|0,Ba=k[b>>2]|0,sa=Qqa(4)|0,za=k[Ba>>2]|0,Aa=Hc[k[(k[za>>2]|0)+36>>2]&511](za)|0,k[sa>>2]=Aa,za=k[Ba>>2]|0,Fc[k[(k[za>>2]|0)+60>>2]&1023](za,Aa),k[xa+4>>2]=sa,(k[ta>>2]|0)!=0):0){Aa=k[k[b>>2]>>2]|0;Fc[k[(k[Aa>>2]|0)+60>>2]&1023](Aa,k[sa>>2]|0)}if((k[xa>>2]|0)!=0?(sa=xa+4|0,Aa=k[k[sa>>2]>>2]|0,Xc[k[(k[Aa>>2]|0)+48>>2]&63](Aa,k[k[c+4>>2]>>2]|0,-1.0),(k[xa>>2]|0)!=0):0){Aa=k[k[sa>>2]>>2]|0;Ca=+id[k[(k[Aa>>2]|0)+64>>2]&63](Aa,1)}else Ca=0.0;if(!(k[c>>2]|0))Da=0.0;else{Aa=k[k[c+4>>2]>>2]|0;Da=+id[k[(k[Aa>>2]|0)+64>>2]&63](Aa,1)}qa=Ca/Da;pa=+$(+qa);p[t>>3]=pa;Aa=k[t+4>>2]|0;if(Aa>>>0>2146435072|(Aa|0)==2146435072&(k[t>>2]|0)>>>0>0){Aa=s+56|0;c=s+4|0;k[s>>2]=27524;k[Aa>>2]=27544;B=0;wa(508,s+56|0,c|0);sa=B;B=0;if(sa&1){sa=Rb()|0;Ea=Q;Fa=sa;vva(Aa);Qb(Fa|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[Aa>>2]=27488;B=0;va(448,c|0);sa=B;B=0;do if(sa&1){b=Rb()|0;Ga=Q;Ha=b}else{k[c>>2]=27560;b=s+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[s+52>>2]=16;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;B=0;wa(509,c|0,l|0);za=B;B=0;if(za&1){za=Rb()|0;Ba=Q;Yua(l);Yua(b);Ava(c);Ga=Ba;Ha=za;break}Yua(l);B=0;za=Ia(40,s|0,148042,10)|0;Ba=B;B=0;do if((!(Ba&1)?(B=0,o=Sa(1,za|0,+Da)|0,q=B,B=0,!(q&1)):0)?(B=0,q=Ia(40,o|0,148053,19)|0,o=B,B=0,!(o&1)):0){B=0;o=Sa(1,q|0,+Ca)|0;q=B;B=0;if(q&1){la=112;break}B=0;Ia(40,o|0,148073,2)|0;o=B;B=0;if(o&1){la=112;break}B=0;wa(510,u|0,c|0);o=B;B=0;if(o&1){la=112;break}B=0;ya(425,u|0)|0;o=B;B=0;if(o&1){o=Rb()|0;q=Q;Yua(u);Ja=q;Ka=o;break}Yua(u);k[s>>2]=27468;k[Aa>>2]=27488;k[c>>2]=27560;Yua(b);Ava(c);vva(Aa);o=v+56|0;q=v+4|0;k[v>>2]=27524;k[o>>2]=27544;B=0;wa(508,v+56|0,q|0);fa=B;B=0;if(fa&1){fa=Rb()|0;La=Q;Ma=fa;vva(o);Qb(Ma|0)}k[v+128>>2]=0;k[v+132>>2]=-1;k[v>>2]=27468;k[o>>2]=27488;B=0;va(448,q|0);fa=B;B=0;do if(fa&1){ea=Rb()|0;Na=Q;Oa=ea}else{k[q>>2]=27560;ea=v+36|0;k[ea>>2]=0;k[ea+4>>2]=0;k[ea+8>>2]=0;k[ea+12>>2]=0;k[v+52>>2]=16;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;B=0;wa(509,q|0,l|0);ca=B;B=0;if(ca&1){ca=Rb()|0;ja=Q;Yua(l);Yua(ea);Ava(q);Na=ja;Oa=ca;break}Yua(l);B=0;ca=Ia(40,v|0,148076,52)|0;ja=B;B=0;c:do if(ja&1)la=115;else{B=0;Xa(239,ca|0,0)|0;Z=B;B=0;if(Z&1){la=115;break}Z=Ab(20)|0;B=0;eb(502,w|0,148129,80);ba=B;B=0;do if(!(ba&1)){B=0;eb(502,x|0,148210,11);n=B;B=0;if(n&1){n=Rb()|0;da=Q;Yua(w);Pa=n;Qa=da;break}B=0;wa(510,y|0,q|0);da=B;B=0;if(da&1){da=Rb()|0;Ra=1;Ta=Q;Ua=da}else{B=0;ua(163,Z|0,w|0,x|0,65,y|0);da=B;B=0;if(da&1)Va=1;else{B=0;eb(503,Z|0,1240,229);B=0;Va=0}da=Rb()|0;n=Q;Yua(y);Ra=Va;Ta=n;Ua=da}Yua(x);Yua(w);if(Ra){Pa=Ua;Qa=Ta}else{Wa=Ta;Ya=Ua;break c}}else{da=Rb()|0;Pa=da;Qa=Q}while(0);zb(Z|0);Wa=Qa;Ya=Pa}while(0);if((la|0)==115){ca=Rb()|0;Wa=Q;Ya=ca}k[v>>2]=27468;k[o>>2]=27488;k[q>>2]=27560;Yua(ea);Ava(q);vva(o);ma=Wa;na=Ya;Qb(na|0)}while(0);La=Na;Ma=Oa;vva(o);Qb(Ma|0)}else la=112;while(0);if((la|0)==112){za=Rb()|0;Ja=Q;Ka=za}k[s>>2]=27468;k[Aa>>2]=27488;k[c>>2]=27560;Yua(b);Ava(c);vva(Aa);ma=Ja;na=Ka;Qb(na|0)}while(0);Ea=Ga;Fa=Ha;vva(Aa);Qb(Fa|0)}if((k[ta>>2]|0)!=0?(Fa=k[ta+4>>2]|0,(Fa|0)!=0):0){Aa=k[Fa>>2]|0;if(Aa)Ec[k[(k[Aa>>2]|0)+4>>2]&1023](Aa);Sqa(Fa)}Sqa(ta);if((k[xa>>2]|0)!=0?(ta=k[xa+4>>2]|0,(ta|0)!=0):0){Fa=k[ta>>2]|0;if(Fa)Ec[k[(k[Fa>>2]|0)+4>>2]&1023](Fa);Sqa(ta)}Sqa(xa);xa=EY()|0;d:do if(qa<f)if(xa){ta=z+56|0;Fa=z+4|0;k[z>>2]=27524;k[ta>>2]=27544;B=0;wa(508,z+56|0,Fa|0);Aa=B;B=0;if(Aa&1){Aa=Rb()|0;Za=Q;_a=Aa;vva(ta);Qb(_a|0)}k[z+128>>2]=0;k[z+132>>2]=-1;k[z>>2]=27468;k[ta>>2]=27488;B=0;va(448,Fa|0);Aa=B;B=0;do if(Aa&1){Ha=Rb()|0;$a=Q;ab=Ha}else{k[Fa>>2]=27560;Ha=z+36|0;k[Ha>>2]=0;k[Ha+4>>2]=0;k[Ha+8>>2]=0;k[Ha+12>>2]=0;k[z+52>>2]=16;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;B=0;wa(509,Fa|0,l|0);Ga=B;B=0;if(Ga&1){Ga=Rb()|0;Ea=Q;Yua(l);Yua(Ha);Ava(Fa);$a=Ea;ab=Ga;break}Yua(l);k[z+(k[(k[z>>2]|0)+-12>>2]|0)+12>>2]=50;Ga=z+(k[(k[z>>2]|0)+-12>>2]|0)+4|0;k[Ga>>2]=k[Ga>>2]&-177|32;B=0;Ga=Ia(40,z|0,148222,47)|0;Ea=B;B=0;do if(!(Ea&1)){B=0;Ka=Sa(1,Ga|0,+(qa*100.0))|0;Ja=B;B=0;if(Ja&1){la=151;break}B=0;Ja=Ia(40,Ka|0,148270,3)|0;Ka=B;B=0;if(Ka&1){la=151;break}B=0;Ka=Sa(1,Ja|0,+(f*100.0))|0;Ja=B;B=0;if(Ja&1){la=151;break}B=0;Ia(40,Ka|0,148274,3)|0;Ka=B;B=0;if(Ka&1){la=151;break}B=0;wa(510,A|0,Fa|0);Ka=B;B=0;if(Ka&1){la=151;break}B=0;ya(425,A|0)|0;Ka=B;B=0;if(Ka&1){Ka=Rb()|0;Ja=Q;Yua(A);bb=Ja;cb=Ka;break}else{Yua(A);k[z>>2]=27468;k[ta>>2]=27488;k[Fa>>2]=27560;Yua(Ha);Ava(Fa);vva(ta);db=1;break d}}else la=151;while(0);if((la|0)==151){Ga=Rb()|0;bb=Q;cb=Ga}k[z>>2]=27468;k[ta>>2]=27488;k[Fa>>2]=27560;Yua(Ha);Ava(Fa);vva(ta);ma=bb;na=cb;Qb(na|0)}while(0);Za=$a;_a=ab;vva(ta);Qb(_a|0)}else db=1;else if(xa){Fa=C+56|0;Aa=C+4|0;k[C>>2]=27524;k[Fa>>2]=27544;B=0;wa(508,C+56|0,Aa|0);b=B;B=0;if(b&1){b=Rb()|0;fb=Q;gb=b;vva(Fa);Qb(gb|0)}k[C+128>>2]=0;k[C+132>>2]=-1;k[C>>2]=27468;k[Fa>>2]=27488;B=0;va(448,Aa|0);b=B;B=0;do if(b&1){Ga=Rb()|0;hb=Q;ib=Ga}else{k[Aa>>2]=27560;Ga=C+36|0;k[Ga>>2]=0;k[Ga+4>>2]=0;k[Ga+8>>2]=0;k[Ga+12>>2]=0;k[C+52>>2]=16;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;B=0;wa(509,Aa|0,l|0);Ea=B;B=0;if(Ea&1){Ea=Rb()|0;o=Q;Yua(l);Yua(Ga);Ava(Aa);hb=o;ib=Ea;break}Yua(l);k[C+(k[(k[C>>2]|0)+-12>>2]|0)+12>>2]=50;Ea=C+(k[(k[C>>2]|0)+-12>>2]|0)+4|0;k[Ea>>2]=k[Ea>>2]&-177|32;B=0;Ea=Ia(40,C|0,148222,47)|0;o=B;B=0;do if(!(o&1)){B=0;Ka=Sa(1,Ea|0,+(qa*100.0))|0;Ja=B;B=0;if(Ja&1){la=171;break}B=0;Ja=Ia(40,Ka|0,148278,3)|0;Ka=B;B=0;if(Ka&1){la=171;break}B=0;Ka=Sa(1,Ja|0,+(f*100.0))|0;Ja=B;B=0;if(Ja&1){la=171;break}B=0;Ia(40,Ka|0,148274,3)|0;Ka=B;B=0;if(Ka&1){la=171;break}B=0;wa(510,D|0,Aa|0);Ka=B;B=0;if(Ka&1){la=171;break}B=0;ya(425,D|0)|0;Ka=B;B=0;if(Ka&1){Ka=Rb()|0;Ja=Q;Yua(D);jb=Ja;kb=Ka;break}else{Yua(D);k[C>>2]=27468;k[Fa>>2]=27488;k[Aa>>2]=27560;Yua(Ga);Ava(Aa);vva(Fa);db=0;break d}}else la=171;while(0);if((la|0)==171){Ea=Rb()|0;jb=Q;kb=Ea}k[C>>2]=27468;k[Fa>>2]=27488;k[Aa>>2]=27560;Yua(Ga);Ava(Aa);vva(Fa);ma=jb;na=kb;Qb(na|0)}while(0);fb=hb;gb=ib;vva(Fa);Qb(gb|0)}else db=0;while(0);f=+$(+g);p[t>>3]=f;gb=k[t+4>>2]|0;ib=gb>>>0>2146435072|(gb|0)==2146435072&(k[t>>2]|0)>>>0>0;if(ib?!(EY()|0):0){lb=db;mb=0.0}else la=176;e:do if((la|0)==176){gb=Qqa(8)|0;B=0;va(485,gb|0);hb=B;B=0;if(hb&1){hb=Rb()|0;Sqa(gb);Qb(hb|0)}if((k[e>>2]|0)!=0?(hb=e+4|0,fb=k[hb>>2]|0,kb=Qqa(4)|0,jb=k[fb>>2]|0,C=Hc[k[(k[jb>>2]|0)+36>>2]&511](jb)|0,k[kb>>2]=C,jb=k[fb>>2]|0,Fc[k[(k[jb>>2]|0)+60>>2]&1023](jb,C),k[gb+4>>2]=kb,(k[e>>2]|0)!=0):0){C=k[k[hb>>2]>>2]|0;Fc[k[(k[C>>2]|0)+60>>2]&1023](C,k[kb>>2]|0)}do if(!(k[gb>>2]|0))nb=0.0;else{kb=gb+4|0;C=k[k[kb>>2]>>2]|0;Xc[k[(k[C>>2]|0)+48>>2]&63](C,k[k[d+4>>2]>>2]|0,-1.0);if(!(k[gb>>2]|0)){nb=0.0;break}C=k[k[kb>>2]>>2]|0;nb=+id[k[(k[C>>2]|0)+64>>2]&63](C,1)}while(0);if(!(k[e>>2]|0))ob=0.0;else{Fa=k[k[e+4>>2]>>2]|0;ob=+id[k[(k[Fa>>2]|0)+64>>2]&63](Fa,1)}f=+$(+nb);p[t>>3]=f;Fa=k[t+4>>2]|0;do if(!(Fa>>>0>2146435072|(Fa|0)==2146435072&(k[t>>2]|0)>>>0>0)){f=+$(+ob);p[t>>3]=f;C=k[t+4>>2]|0;if(C>>>0>2146435072|(C|0)==2146435072&(k[t>>2]|0)>>>0>0)break;do if(k[gb>>2]|0){C=k[gb+4>>2]|0;if(!C)break;kb=k[C>>2]|0;if(kb)Ec[k[(k[kb>>2]|0)+4>>2]&1023](kb);Sqa(C)}while(0);Sqa(gb);if(ib){Ga=M+56|0;C=M+4|0;k[M>>2]=27524;k[Ga>>2]=27544;B=0;wa(508,M+56|0,C|0);kb=B;B=0;if(kb&1){kb=Rb()|0;pb=Q;qb=kb;vva(Ga);Qb(qb|0)}k[M+128>>2]=0;k[M+132>>2]=-1;k[M>>2]=27468;k[Ga>>2]=27488;B=0;va(448,C|0);kb=B;B=0;do if(kb&1){hb=Rb()|0;rb=Q;sb=hb}else{k[C>>2]=27560;hb=M+36|0;k[hb>>2]=0;k[hb+4>>2]=0;k[hb+8>>2]=0;k[hb+12>>2]=0;k[M+52>>2]=16;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;B=0;wa(509,C|0,l|0);jb=B;B=0;if(jb&1){jb=Rb()|0;fb=Q;Yua(l);Yua(hb);Ava(C);rb=fb;sb=jb;break}Yua(l);k[M+(k[(k[M>>2]|0)+-12>>2]|0)+12>>2]=50;jb=M+(k[(k[M>>2]|0)+-12>>2]|0)+4|0;k[jb>>2]=k[jb>>2]&-177|32;B=0;jb=Ia(40,M|0,148312,42)|0;fb=B;B=0;do if(!(fb&1)){B=0;D=Sa(1,jb|0,+(nb/ob*100.0))|0;xa=B;B=0;if(xa&1){la=272;break}B=0;Ia(40,D|0,148274,3)|0;D=B;B=0;if(D&1){la=272;break}B=0;wa(510,N|0,C|0);D=B;B=0;if(D&1){la=272;break}B=0;ya(425,N|0)|0;D=B;B=0;if(D&1){D=Rb()|0;xa=Q;Yua(N);tb=xa;ub=D;break}else{Yua(N);k[M>>2]=27468;k[Ga>>2]=27488;k[C>>2]=27560;Yua(hb);Ava(C);vva(Ga);lb=db;mb=ob;break e}}else la=272;while(0);if((la|0)==272){jb=Rb()|0;tb=Q;ub=jb}k[M>>2]=27468;k[Ga>>2]=27488;k[C>>2]=27560;Yua(hb);Ava(C);vva(Ga);ma=tb;na=ub;Qb(na|0)}while(0);pb=rb;qb=sb;vva(Ga);Qb(qb|0)}f=nb/ob;C=EY()|0;if(f<g){if(!C){lb=db;mb=ob;break e}kb=I+56|0;jb=I+4|0;k[I>>2]=27524;k[kb>>2]=27544;B=0;wa(508,I+56|0,jb|0);fb=B;B=0;if(fb&1){fb=Rb()|0;vb=Q;wb=fb;vva(kb);Qb(wb|0)}k[I+128>>2]=0;k[I+132>>2]=-1;k[I>>2]=27468;k[kb>>2]=27488;B=0;va(448,jb|0);fb=B;B=0;do if(fb&1){ea=Rb()|0;xb=Q;yb=ea}else{k[jb>>2]=27560;ea=I+36|0;k[ea>>2]=0;k[ea+4>>2]=0;k[ea+8>>2]=0;k[ea+12>>2]=0;k[I+52>>2]=16;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;B=0;wa(509,jb|0,l|0);D=B;B=0;if(D&1){D=Rb()|0;xa=Q;Yua(l);Yua(ea);Ava(jb);xb=xa;yb=D;break}Yua(l);k[I+(k[(k[I>>2]|0)+-12>>2]|0)+12>>2]=50;D=I+(k[(k[I>>2]|0)+-12>>2]|0)+4|0;k[D>>2]=k[D>>2]&-177|32;B=0;D=Ia(40,I|0,148312,42)|0;xa=B;B=0;do if(!(xa&1)){B=0;_a=Sa(1,D|0,+(f*100.0))|0;ab=B;B=0;if(ab&1){la=235;break}B=0;ab=Ia(40,_a|0,148270,3)|0;_a=B;B=0;if(_a&1){la=235;break}B=0;_a=Sa(1,ab|0,+(g*100.0))|0;ab=B;B=0;if(ab&1){la=235;break}B=0;Ia(40,_a|0,148274,3)|0;_a=B;B=0;if(_a&1){la=235;break}B=0;wa(510,J|0,jb|0);_a=B;B=0;if(_a&1){la=235;break}B=0;ya(425,J|0)|0;_a=B;B=0;if(_a&1){_a=Rb()|0;ab=Q;Yua(J);Bb=ab;Cb=_a;break}else{Yua(J);k[I>>2]=27468;k[kb>>2]=27488;k[jb>>2]=27560;Yua(ea);Ava(jb);vva(kb);lb=db;mb=ob;break e}}else la=235;while(0);if((la|0)==235){D=Rb()|0;Bb=Q;Cb=D}k[I>>2]=27468;k[kb>>2]=27488;k[jb>>2]=27560;Yua(ea);Ava(jb);vva(kb);ma=Bb;na=Cb;Qb(na|0)}while(0);vb=xb;wb=yb;vva(kb);Qb(wb|0)}else{if(!C){lb=0;mb=ob;break e}jb=K+56|0;fb=K+4|0;k[K>>2]=27524;k[jb>>2]=27544;B=0;wa(508,K+56|0,fb|0);Ga=B;B=0;if(Ga&1){Ga=Rb()|0;Db=Q;Eb=Ga;vva(jb);Qb(Eb|0)}k[K+128>>2]=0;k[K+132>>2]=-1;k[K>>2]=27468;k[jb>>2]=27488;B=0;va(448,fb|0);Ga=B;B=0;do if(Ga&1){D=Rb()|0;Fb=Q;Gb=D}else{k[fb>>2]=27560;D=K+36|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;k[D+12>>2]=0;k[K+52>>2]=16;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;B=0;wa(509,fb|0,l|0);xa=B;B=0;if(xa&1){xa=Rb()|0;hb=Q;Yua(l);Yua(D);Ava(fb);Fb=hb;Gb=xa;break}Yua(l);k[K+(k[(k[K>>2]|0)+-12>>2]|0)+12>>2]=50;xa=K+(k[(k[K>>2]|0)+-12>>2]|0)+4|0;k[xa>>2]=k[xa>>2]&-177|32;B=0;xa=Ia(40,K|0,148312,42)|0;hb=B;B=0;do if(!(hb&1)){B=0;_a=Sa(1,xa|0,+(f*100.0))|0;ab=B;B=0;if(ab&1){la=255;break}B=0;ab=Ia(40,_a|0,148278,3)|0;_a=B;B=0;if(_a&1){la=255;break}B=0;_a=Sa(1,ab|0,+(g*100.0))|0;ab=B;B=0;if(ab&1){la=255;break}B=0;Ia(40,_a|0,148274,3)|0;_a=B;B=0;if(_a&1){la=255;break}B=0;wa(510,L|0,fb|0);_a=B;B=0;if(_a&1){la=255;break}B=0;ya(425,L|0)|0;_a=B;B=0;if(_a&1){_a=Rb()|0;ab=Q;Yua(L);Hb=ab;Ib=_a;break}else{Yua(L);k[K>>2]=27468;k[jb>>2]=27488;k[fb>>2]=27560;Yua(D);Ava(fb);vva(jb);lb=0;mb=ob;break e}}else la=255;while(0);if((la|0)==255){xa=Rb()|0;Hb=Q;Ib=xa}k[K>>2]=27468;k[jb>>2]=27488;k[fb>>2]=27560;Yua(D);Ava(fb);vva(jb);ma=Hb;na=Ib;Qb(na|0)}while(0);Db=Fb;Eb=Gb;vva(jb);Qb(Eb|0)}}while(0);gb=E+56|0;Fa=E+4|0;k[E>>2]=27524;k[gb>>2]=27544;B=0;wa(508,E+56|0,Fa|0);fb=B;B=0;if(fb&1){fb=Rb()|0;Jb=Q;Kb=fb;vva(gb);Qb(Kb|0)}k[E+128>>2]=0;k[E+132>>2]=-1;k[E>>2]=27468;k[gb>>2]=27488;B=0;va(448,Fa|0);fb=B;B=0;do if(fb&1){Ga=Rb()|0;Lb=Q;Mb=Ga}else{k[Fa>>2]=27560;Ga=E+36|0;k[Ga>>2]=0;k[Ga+4>>2]=0;k[Ga+8>>2]=0;k[Ga+12>>2]=0;k[E+52>>2]=16;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;B=0;wa(509,Fa|0,l|0);C=B;B=0;if(C&1){C=Rb()|0;kb=Q;Yua(l);Yua(Ga);Ava(Fa);Lb=kb;Mb=C;break}Yua(l);B=0;C=Ia(40,E|0,148282,29)|0;kb=B;B=0;f:do if(kb&1)la=203;else{B=0;Xa(239,C|0,0)|0;xa=B;B=0;if(xa&1){la=203;break}xa=Ab(20)|0;B=0;eb(502,F|0,148129,80);hb=B;B=0;do if(!(hb&1)){B=0;eb(502,G|0,148210,11);ea=B;B=0;if(ea&1){ea=Rb()|0;_a=Q;Yua(F);Nb=_a;Ob=ea;break}B=0;wa(510,H|0,Fa|0);ea=B;B=0;if(ea&1){ea=Rb()|0;Pb=1;Sb=Q;Tb=ea}else{B=0;ua(163,xa|0,F|0,G|0,89,H|0);ea=B;B=0;if(ea&1)Ub=1;else{B=0;eb(503,xa|0,1240,229);B=0;Ub=0}ea=Rb()|0;_a=Q;Yua(H);Pb=Ub;Sb=_a;Tb=ea}Yua(G);Yua(F);if(Pb){Nb=Sb;Ob=Tb}else{Vb=Sb;Wb=Tb;break f}}else{ea=Rb()|0;Nb=Q;Ob=ea}while(0);zb(xa|0);Vb=Nb;Wb=Ob}while(0);if((la|0)==203){C=Rb()|0;Vb=Q;Wb=C}k[E>>2]=27468;k[gb>>2]=27488;k[Fa>>2]=27560;Yua(Ga);Ava(Fa);vva(gb);ma=Vb;na=Wb;Qb(na|0)}while(0);Jb=Lb;Kb=Mb;vva(gb);Qb(Kb|0)}while(0);ob=+$(+h);p[t>>3]=ob;Kb=k[t+4>>2]|0;Mb=Kb>>>0>2146435072|(Kb|0)==2146435072&(k[t>>2]|0)>>>0>0;if(Mb?!(EY()|0):0)Xb=lb;else la=277;g:do if((la|0)==277){Kb=Qqa(8)|0;B=0;va(485,Kb|0);Lb=B;B=0;if(Lb&1){Lb=Rb()|0;Sqa(Kb);Qb(Lb|0)}do if(k[e>>2]|0){Lb=e+4|0;Jb=k[Lb>>2]|0;Wb=Qqa(4)|0;Vb=k[Jb>>2]|0;E=Hc[k[(k[Vb>>2]|0)+36>>2]&511](Vb)|0;k[Wb>>2]=E;Vb=k[Jb>>2]|0;Fc[k[(k[Vb>>2]|0)+60>>2]&1023](Vb,E);k[Kb+4>>2]=Wb;if(!(k[e>>2]|0))break;E=k[k[Lb>>2]>>2]|0;Fc[k[(k[E>>2]|0)+60>>2]&1023](E,k[Wb>>2]|0)}while(0);do if(!(k[Kb>>2]|0)){Yb=0.0;Zb=0.0}else{gb=Kb+4|0;Wb=k[k[gb>>2]>>2]|0;Xc[k[(k[Wb>>2]|0)+48>>2]&63](Wb,k[k[d+4>>2]>>2]|0,-1.0);if(!(k[Kb>>2]|0)){Yb=0.0;Zb=0.0;break}Wb=k[k[gb>>2]>>2]|0;ob=+id[k[(k[Wb>>2]|0)+64>>2]&63](Wb,1);if(!(k[Kb>>2]|0)){Yb=ob;Zb=0.0;break}Wb=k[k[gb>>2]>>2]|0;Yb=ob;Zb=+id[k[(k[Wb>>2]|0)+64>>2]&63](Wb,0)}while(0);ob=+$(+Yb);p[t>>3]=ob;Wb=k[t+4>>2]|0;do if(!(Wb>>>0>2146435072|(Wb|0)==2146435072&(k[t>>2]|0)>>>0>0)){ob=+$(+mb);p[t>>3]=ob;gb=k[t+4>>2]|0;if(gb>>>0>2146435072|(gb|0)==2146435072&(k[t>>2]|0)>>>0>0)break;do if(k[Kb>>2]|0){gb=k[Kb+4>>2]|0;if(!gb)break;E=k[gb>>2]|0;if(E)Ec[k[(k[E>>2]|0)+4>>2]&1023](E);Sqa(gb)}while(0);Sqa(Kb);if(Mb){Ga=X+56|0;gb=X+4|0;k[X>>2]=27524;k[Ga>>2]=27544;B=0;wa(508,X+56|0,gb|0);E=B;B=0;if(E&1){E=Rb()|0;_b=Q;$b=E;vva(Ga);Qb($b|0)}k[X+128>>2]=0;k[X+132>>2]=-1;k[X>>2]=27468;k[Ga>>2]=27488;B=0;va(448,gb|0);E=B;B=0;do if(E&1){Lb=Rb()|0;ac=Q;bc=Lb}else{k[gb>>2]=27560;Lb=X+36|0;k[Lb>>2]=0;k[Lb+4>>2]=0;k[Lb+8>>2]=0;k[Lb+12>>2]=0;k[X+52>>2]=16;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;B=0;wa(509,gb|0,l|0);Vb=B;B=0;if(Vb&1){Vb=Rb()|0;Jb=Q;Yua(l);Yua(Lb);Ava(gb);ac=Jb;bc=Vb;break}Yua(l);k[X+(k[(k[X>>2]|0)+-12>>2]|0)+12>>2]=50;Vb=X+(k[(k[X>>2]|0)+-12>>2]|0)+4|0;k[Vb>>2]=k[Vb>>2]&-177|32;B=0;Vb=Ia(40,X|0,148355,33)|0;Jb=B;B=0;do if(!(Jb&1)){B=0;Ob=Sa(1,Vb|0,+Zb)|0;Nb=B;B=0;if(Nb&1){la=372;break}B=0;Ia(40,Ob|0,149177,1)|0;Ob=B;B=0;if(Ob&1){la=372;break}B=0;wa(510,Y|0,gb|0);Ob=B;B=0;if(Ob&1){la=372;break}B=0;ya(425,Y|0)|0;Ob=B;B=0;if(Ob&1){Ob=Rb()|0;Nb=Q;Yua(Y);cc=Nb;dc=Ob;break}else{Yua(Y);k[X>>2]=27468;k[Ga>>2]=27488;k[gb>>2]=27560;Yua(Lb);Ava(gb);vva(Ga);Xb=lb;break g}}else la=372;while(0);if((la|0)==372){Vb=Rb()|0;cc=Q;dc=Vb}k[X>>2]=27468;k[Ga>>2]=27488;k[gb>>2]=27560;Yua(Lb);Ava(gb);vva(Ga);ma=cc;na=dc;Qb(na|0)}while(0);_b=ac;$b=bc;vva(Ga);Qb($b|0)}gb=EY()|0;if(Zb<h){if(!gb){Xb=lb;break g}E=T+56|0;Vb=T+4|0;k[T>>2]=27524;k[E>>2]=27544;B=0;wa(508,T+56|0,Vb|0);Jb=B;B=0;if(Jb&1){Jb=Rb()|0;ec=Q;fc=Jb;vva(E);Qb(fc|0)}k[T+128>>2]=0;k[T+132>>2]=-1;k[T>>2]=27468;k[E>>2]=27488;B=0;va(448,Vb|0);Jb=B;B=0;do if(Jb&1){xa=Rb()|0;gc=Q;hc=xa}else{k[Vb>>2]=27560;xa=T+36|0;k[xa>>2]=0;k[xa+4>>2]=0;k[xa+8>>2]=0;k[xa+12>>2]=0;k[T+52>>2]=16;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;B=0;wa(509,Vb|0,l|0);Ob=B;B=0;if(Ob&1){Ob=Rb()|0;Nb=Q;Yua(l);Yua(xa);Ava(Vb);gc=Nb;hc=Ob;break}Yua(l);k[T+(k[(k[T>>2]|0)+-12>>2]|0)+12>>2]=50;Ob=T+(k[(k[T>>2]|0)+-12>>2]|0)+4|0;k[Ob>>2]=k[Ob>>2]&-177|32;B=0;Ob=Ia(40,T|0,148355,33)|0;Nb=B;B=0;do if(!(Nb&1)){B=0;Tb=Sa(1,Ob|0,+Zb)|0;Sb=B;B=0;if(Sb&1){la=335;break}B=0;Sb=Ia(40,Tb|0,148270,3)|0;Tb=B;B=0;if(Tb&1){la=335;break}B=0;Tb=Sa(1,Sb|0,+h)|0;Sb=B;B=0;if(Sb&1){la=335;break}B=0;Ia(40,Tb|0,149177,1)|0;Tb=B;B=0;if(Tb&1){la=335;break}B=0;wa(510,U|0,Vb|0);Tb=B;B=0;if(Tb&1){la=335;break}B=0;ya(425,U|0)|0;Tb=B;B=0;if(Tb&1){Tb=Rb()|0;Sb=Q;Yua(U);ic=Sb;jc=Tb;break}else{Yua(U);k[T>>2]=27468;k[E>>2]=27488;k[Vb>>2]=27560;Yua(xa);Ava(Vb);vva(E);Xb=lb;break g}}else la=335;while(0);if((la|0)==335){Ob=Rb()|0;ic=Q;jc=Ob}k[T>>2]=27468;k[E>>2]=27488;k[Vb>>2]=27560;Yua(xa);Ava(Vb);vva(E);ma=ic;na=jc;Qb(na|0)}while(0);ec=gc;fc=hc;vva(E);Qb(fc|0)}else{if(!gb){Xb=0;break g}Vb=V+56|0;Jb=V+4|0;k[V>>2]=27524;k[Vb>>2]=27544;B=0;wa(508,V+56|0,Jb|0);Ga=B;B=0;if(Ga&1){Ga=Rb()|0;kc=Q;lc=Ga;vva(Vb);Qb(lc|0)}k[V+128>>2]=0;k[V+132>>2]=-1;k[V>>2]=27468;k[Vb>>2]=27488;B=0;va(448,Jb|0);Ga=B;B=0;do if(Ga&1){Ob=Rb()|0;mc=Q;nc=Ob}else{k[Jb>>2]=27560;Ob=V+36|0;k[Ob>>2]=0;k[Ob+4>>2]=0;k[Ob+8>>2]=0;k[Ob+12>>2]=0;k[V+52>>2]=16;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;B=0;wa(509,Jb|0,l|0);Nb=B;B=0;if(Nb&1){Nb=Rb()|0;Lb=Q;Yua(l);Yua(Ob);Ava(Jb);mc=Lb;nc=Nb;break}Yua(l);k[V+(k[(k[V>>2]|0)+-12>>2]|0)+12>>2]=50;Nb=V+(k[(k[V>>2]|0)+-12>>2]|0)+4|0;k[Nb>>2]=k[Nb>>2]&-177|32;B=0;Nb=Ia(40,V|0,148355,33)|0;Lb=B;B=0;do if(!(Lb&1)){B=0;Tb=Sa(1,Nb|0,+Zb)|0;Sb=B;B=0;if(Sb&1){la=355;break}B=0;Sb=Ia(40,Tb|0,148278,3)|0;Tb=B;B=0;if(Tb&1){la=355;break}B=0;Tb=Sa(1,Sb|0,+h)|0;Sb=B;B=0;if(Sb&1){la=355;break}B=0;Ia(40,Tb|0,149177,1)|0;Tb=B;B=0;if(Tb&1){la=355;break}B=0;wa(510,W|0,Jb|0);Tb=B;B=0;if(Tb&1){la=355;break}B=0;ya(425,W|0)|0;Tb=B;B=0;if(Tb&1){Tb=Rb()|0;Sb=Q;Yua(W);oc=Sb;pc=Tb;break}else{Yua(W);k[V>>2]=27468;k[Vb>>2]=27488;k[Jb>>2]=27560;Yua(Ob);Ava(Jb);vva(Vb);Xb=0;break g}}else la=355;while(0);if((la|0)==355){Nb=Rb()|0;oc=Q;pc=Nb}k[V>>2]=27468;k[Vb>>2]=27488;k[Jb>>2]=27560;Yua(Ob);Ava(Jb);vva(Vb);ma=oc;na=pc;Qb(na|0)}while(0);kc=mc;lc=nc;vva(Vb);Qb(lc|0)}}while(0);Kb=O+56|0;Wb=O+4|0;k[O>>2]=27524;k[Kb>>2]=27544;B=0;wa(508,O+56|0,Wb|0);Jb=B;B=0;if(Jb&1){Jb=Rb()|0;qc=Q;rc=Jb;vva(Kb);Qb(rc|0)}k[O+128>>2]=0;k[O+132>>2]=-1;k[O>>2]=27468;k[Kb>>2]=27488;B=0;va(448,Wb|0);Jb=B;B=0;do if(Jb&1){Ga=Rb()|0;sc=Q;tc=Ga}else{k[Wb>>2]=27560;Ga=O+36|0;k[Ga>>2]=0;k[Ga+4>>2]=0;k[Ga+8>>2]=0;k[Ga+12>>2]=0;k[O+52>>2]=16;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;B=0;wa(509,Wb|0,l|0);gb=B;B=0;if(gb&1){gb=Rb()|0;E=Q;Yua(l);Yua(Ga);Ava(Wb);sc=E;tc=gb;break}Yua(l);B=0;gb=Ia(40,O|0,148282,29)|0;E=B;B=0;h:do if(E&1)la=303;else{B=0;Xa(239,gb|0,0)|0;Nb=B;B=0;if(Nb&1){la=303;break}Nb=Ab(20)|0;B=0;eb(502,P|0,148129,80);Lb=B;B=0;do if(!(Lb&1)){B=0;eb(502,R|0,148210,11);xa=B;B=0;if(xa&1){xa=Rb()|0;Tb=Q;Yua(P);uc=Tb;vc=xa;break}B=0;wa(510,S|0,Wb|0);xa=B;B=0;if(xa&1){xa=Rb()|0;wc=1;xc=Q;yc=xa}else{B=0;ua(163,Nb|0,P|0,R|0,114,S|0);xa=B;B=0;if(xa&1)zc=1;else{B=0;eb(503,Nb|0,1240,229);B=0;zc=0}xa=Rb()|0;Tb=Q;Yua(S);wc=zc;xc=Tb;yc=xa}Yua(R);Yua(P);if(wc){uc=xc;vc=yc}else{Ac=xc;Bc=yc;break h}}else{xa=Rb()|0;uc=Q;vc=xa}while(0);zb(Nb|0);Ac=uc;Bc=vc}while(0);if((la|0)==303){gb=Rb()|0;Ac=Q;Bc=gb}k[O>>2]=27468;k[Kb>>2]=27488;k[Wb>>2]=27560;Yua(Ga);Ava(Wb);vva(Kb);ma=Ac;na=Bc;Qb(na|0)}while(0);qc=sc;rc=tc;vva(Kb);Qb(rc|0)}while(0);oa=Xb&1;i[a>>0]=oa;r=j;return}function _oa(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0;e=r;r=r+16|0;d=e+4|0;c=e;k[c>>2]=0;cO(f,d,198);hO(f,c,0,176);if((k[d>>2]|0)>0){f=0;do{if((th(a)|0)>0){b=0;do{h=qh(a,b)|0;rd[k[(k[h>>2]|0)+96>>2]&511](h,g,k[(k[c>>2]|0)+(f<<2)>>2]|0,f);b=b+1|0}while((b|0)<(th(a)|0))}f=f+1|0}while((f|0)<(k[d>>2]|0))}d=k[c>>2]|0;if(!d){r=e;return}Tqa(d);r=e;return}function $oa(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;f=r;r=r+16|0;e=f+4|0;c=f;k[c>>2]=0;cO(g,e,198);hO(g,c,0,176);g=Qqa(8)|0;j=k[e>>2]|0;B=0;l=ya(429,d|0)|0;d=B;B=0;a:do if(!(d&1)?(m=ma(l,j)|0,B=0,va(485,g|0),n=B,B=0,!(n&1)):0){do if(k[g>>2]|0){B=0;n=ya(423,4)|0;o=B;B=0;if(o&1)break a;B=0;eb(505,n|0,m|0,0);o=B;B=0;if(!(o&1)){k[g+4>>2]=n;break}o=Rb()|0;p=Q;Sqa(n);q=p;s=o;Sqa(g);Qb(s|0)}while(0);if((k[e>>2]|0)>0){m=0;do{if((th(b)|0)>0){o=0;do{p=qh(b,o)|0;Uc[k[(k[p>>2]|0)+184>>2]&63](p,g,k[(k[c>>2]|0)+(m<<2)>>2]|0,m,h,i);o=o+1|0}while((o|0)<(th(b)|0))}m=m+1|0}while((m|0)<(k[e>>2]|0))}if(k[g>>2]|0){m=k[k[g+4>>2]>>2]|0;Ec[k[(k[m>>2]|0)+12>>2]&1023](m)}m=k[c>>2]|0;if(!m){k[a>>2]=g;r=f;return}Tqa(m);k[a>>2]=g;r=f;return}while(0);f=Rb()|0;q=Q;s=f;Sqa(g);Qb(s|0)}function apa(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,l=0;f=r;r=r+16|0;e=f;k[e>>2]=0;$oa(e,b,0,d,0,0,g,h,i);i=k[e>>2]|0;if(!(k[i>>2]|0))if(!i){j=0;k[a>>2]=j;r=f;return}else l=0;else{e=k[k[i+4>>2]>>2]|0;l=Hc[k[(k[e>>2]|0)+52>>2]&511](e)|0}if((k[i>>2]|0)!=0?(e=k[i+4>>2]|0,(e|0)!=0):0){h=k[e>>2]|0;if(h)Ec[k[(k[h>>2]|0)+4>>2]&1023](h);Sqa(e)}Sqa(i);j=l;k[a>>2]=j;r=f;return}function bpa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;c=r;r=r+16|0;d=c+4|0;e=c;k[e>>2]=0;f=a+44|0;cO(k[f>>2]|0,d,198);hO(k[f>>2]|0,e,0,176);if((k[d>>2]|0)>0){f=a+20|0;a=0;do{if((th(k[f>>2]|0)|0)>0){g=0;do{h=qh(k[f>>2]|0,g)|0;rd[k[(k[h>>2]|0)+420>>2]&511](h,b,k[(k[e>>2]|0)+(a<<2)>>2]|0,a);g=g+1|0}while((g|0)<(th(k[f>>2]|0)|0))}a=a+1|0}while((a|0)<(k[d>>2]|0))}d=k[e>>2]|0;if(!d){r=c;return}Tqa(d);r=c;return}function cpa(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0.0,ba=0,ca=0,da=0.0,ea=0.0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0;g=r;r=r+528|0;f=g+512|0;d=g+508|0;i=g+504|0;j=g+500|0;l=g+352|0;m=g+488|0;n=g+216|0;o=g+200|0;q=g+48|0;s=g+36|0;u=g+64|0;v=g+24|0;w=g+12|0;x=g;k[j>>2]=0;a:do if(BY()|0){y=l+56|0;z=l+4|0;k[l>>2]=27524;k[y>>2]=27544;B=0;wa(508,l+56|0,z|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;D=A;vva(y);Qb(D|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[y>>2]=27488;B=0;va(448,z|0);A=B;B=0;do if(A&1){E=Rb()|0;F=Q;G=E}else{k[z>>2]=27560;E=l+36|0;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;k[E+12>>2]=0;k[l+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,z|0,f|0);H=B;B=0;if(H&1){H=Rb()|0;I=Q;Yua(f);Yua(E);Ava(z);F=I;G=H;break}Yua(f);B=0;Ia(40,l|0,148389,36)|0;H=B;B=0;do if(!(H&1)?(B=0,wa(510,m|0,z|0),I=B,B=0,!(I&1)):0){B=0;ya(425,m|0)|0;I=B;B=0;if(I&1){I=Rb()|0;J=Q;Yua(m);K=I;L=J;break}else{Yua(m);k[l>>2]=27468;k[y>>2]=27488;k[z>>2]=27560;Yua(E);Ava(z);vva(y);break a}}else M=14;while(0);if((M|0)==14){H=Rb()|0;K=H;L=Q}k[l>>2]=27468;k[y>>2]=27488;k[z>>2]=27560;Yua(E);Ava(z);vva(y);N=K;O=L;Qb(N|0)}while(0);C=F;D=G;vva(y);Qb(D|0)}while(0);cO(h,d,198);hO(h,j,0,176);D=nn(e)|0;cO(h,i,477);h=n_(k[i>>2]|0)|0;i=k[d>>2]|0;e=Rqa(i>>>0>1073741823?-1:i<<2)|0;G=Rqa(i>>>0>536870911?-1:i<<3)|0;F=G;C=Qqa(8)|0;L=ma(i,D)|0;b:do if((i|0)>0){K=C;l=C;m=L;z=0;while(1){B=0;va(485,K|0);A=B;B=0;if(A&1){P=l;M=33;break}if(k[l>>2]|0){B=0;A=ya(423,4)|0;H=B;B=0;if(H&1){P=l;M=33;break}B=0;eb(505,A|0,m|0,0);H=B;B=0;if(H&1){R=l;S=A;M=31;break}k[l+4>>2]=A}k[e+(z<<2)>>2]=l;z=z+1|0;A=k[d>>2]|0;H=Qqa(8)|0;J=ma(A,D)|0;if((z|0)>=(A|0)){T=H;U=H;V=J;break b}else{K=H;l=H;m=J}}if((M|0)==31){m=Rb()|0;l=Q;Sqa(S);W=R;X=l;Y=m}else if((M|0)==33){m=Rb()|0;W=P;X=Q;Y=m}Sqa(W);N=Y;O=X;Qb(N|0)}else{T=C;U=C;V=L}while(0);B=0;va(485,U|0);U=B;B=0;c:do if(U&1)M=38;else{do if(k[T>>2]|0){B=0;L=ya(423,4)|0;C=B;B=0;if(C&1){M=38;break c}B=0;eb(505,L|0,V|0,0);C=B;B=0;if(C&1){C=Rb()|0;X=Q;Sqa(L);Z=X;_=C;break c}else{k[T+4>>2]=L;break}}while(0);if((k[d>>2]|0)>0){L=0;do{C=e+(L<<2)|0;if((th(c)|0)>0){X=0;do{Y=qh(c,X)|0;Dc[k[(k[h>>2]|0)+56>>2]&255](h,k[C>>2]|0,Y,k[(k[j>>2]|0)+(L<<2)>>2]|0,L);X=X+1|0}while((X|0)<(th(c)|0))}X=k[C>>2]|0;if((k[X>>2]|0)!=0?(E=k[k[X+4>>2]>>2]|0,Ec[k[(k[E>>2]|0)+12>>2]&1023](E),E=k[C>>2]|0,(k[E>>2]|0)!=0):0){X=k[k[E+4>>2]>>2]|0;aa=+id[k[(k[X>>2]|0)+64>>2]&63](X,0)}else aa=0.0;p[G+(L<<3)>>3]=aa;L=L+1|0;X=k[d>>2]|0}while((L|0)<(X|0));ba=X;if((ba|0)>0){L=T+4|0;X=0;do{E=e+(X<<2)|0;Y=k[E>>2]|0;if(!(k[T>>2]|0))ca=Y;else{W=k[k[L>>2]>>2]|0;Xc[k[(k[W>>2]|0)+44>>2]&63](W,k[k[Y+4>>2]>>2]|0,1.0);ca=k[E>>2]|0}if(ca){if((k[ca>>2]|0)!=0?(E=k[ca+4>>2]|0,(E|0)!=0):0){Y=k[E>>2]|0;if(Y)Ec[k[(k[Y>>2]|0)+4>>2]&1023](Y);Sqa(E)}Sqa(ca)}X=X+1|0}while((X|0)<(k[d>>2]|0))}}if((k[T>>2]|0)!=0?(X=k[k[T+4>>2]>>2]|0,da=+id[k[(k[X>>2]|0)+64>>2]&63](X,0),!(da<=0.0)):0){ea=+$(+da);p[t>>3]=ea;X=k[t+4>>2]|0;if(!(X>>>0>2146435072|(X|0)==2146435072&(k[t>>2]|0)>>>0>0)){if(h)Ec[k[(k[h>>2]|0)+4>>2]&1023](h);Tqa(e);X=k[j>>2]|0;if(X)Tqa(X);k[j>>2]=0;if(!b)Tqa(G);else k[b>>2]=F;if(!a){r=g;return}k[a>>2]=T;r=g;return}X=u+56|0;L=u+4|0;k[u>>2]=27524;k[X>>2]=27544;B=0;wa(508,u+56|0,L|0);E=B;B=0;if(E&1){E=Rb()|0;fa=Q;ga=E;vva(X);Qb(ga|0)}k[u+128>>2]=0;k[u+132>>2]=-1;k[u>>2]=27468;k[X>>2]=27488;B=0;va(448,L|0);E=B;B=0;do if(E&1){Y=Rb()|0;ha=Q;ia=Y}else{k[L>>2]=27560;Y=u+36|0;k[Y>>2]=0;k[Y+4>>2]=0;k[Y+8>>2]=0;k[Y+12>>2]=0;k[u+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,L|0,f|0);W=B;B=0;if(W&1){W=Rb()|0;P=Q;Yua(f);Yua(Y);Ava(L);ha=P;ia=W;break}Yua(f);B=0;W=Ia(40,u|0,148545,37)|0;P=B;B=0;d:do if(!(P&1)?(B=0,Xa(239,W|0,0)|0,R=B,B=0,!(R&1)):0){R=Ab(20)|0;B=0;eb(502,v|0,148465,72);S=B;B=0;do if(!(S&1)){B=0;eb(502,w|0,148538,6);D=B;B=0;if(D&1){D=Rb()|0;i=Q;Yua(v);ja=i;ka=D;break}B=0;wa(510,x|0,L|0);D=B;B=0;if(D&1){D=Rb()|0;la=1;na=D;oa=Q}else{B=0;ua(163,R|0,v|0,w|0,58,x|0);D=B;B=0;if(D&1)pa=1;else{B=0;eb(503,R|0,1240,229);B=0;pa=0}D=Rb()|0;i=Q;Yua(x);la=pa;na=D;oa=i}Yua(w);Yua(v);if(la){ja=oa;ka=na}else{qa=na;ra=oa;break d}}else{i=Rb()|0;ja=Q;ka=i}while(0);zb(R|0);qa=ka;ra=ja}else M=96;while(0);if((M|0)==96){W=Rb()|0;qa=W;ra=Q}k[u>>2]=27468;k[X>>2]=27488;k[L>>2]=27560;Yua(Y);Ava(L);vva(X);N=qa;O=ra;Qb(N|0)}while(0);fa=ha;ga=ia;vva(X);Qb(ga|0)}L=n+56|0;E=n+4|0;k[n>>2]=27524;k[L>>2]=27544;B=0;wa(508,n+56|0,E|0);W=B;B=0;if(W&1){W=Rb()|0;sa=Q;ta=W;vva(L);Qb(ta|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[L>>2]=27488;B=0;va(448,E|0);W=B;B=0;do if(W&1){P=Rb()|0;xa=Q;za=P}else{k[E>>2]=27560;P=n+36|0;k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;k[P+12>>2]=0;k[n+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,E|0,f|0);C=B;B=0;if(C&1){C=Rb()|0;S=Q;Yua(f);Yua(P);Ava(E);xa=S;za=C;break}Yua(f);B=0;C=Ia(40,n|0,148426,38)|0;S=B;B=0;e:do if(!(S&1)?(B=0,Xa(239,C|0,0)|0,i=B,B=0,!(i&1)):0){i=Ab(20)|0;B=0;eb(502,o|0,148465,72);D=B;B=0;do if(!(D&1)){B=0;eb(502,q|0,148538,6);m=B;B=0;if(m&1){m=Rb()|0;l=Q;Yua(o);Aa=l;Ba=m;break}B=0;wa(510,s|0,E|0);m=B;B=0;if(m&1){m=Rb()|0;Ca=Q;Da=1;Ea=m}else{B=0;ua(163,i|0,o|0,q|0,57,s|0);m=B;B=0;if(m&1)Fa=1;else{B=0;eb(503,i|0,1240,229);B=0;Fa=0}m=Rb()|0;l=Q;Yua(s);Ca=l;Da=Fa;Ea=m}Yua(q);Yua(o);if(Da){Aa=Ca;Ba=Ea}else{Ga=Ea;Ha=Ca;break e}}else{m=Rb()|0;Aa=Q;Ba=m}while(0);zb(i|0);Ga=Ba;Ha=Aa}else M=72;while(0);if((M|0)==72){C=Rb()|0;Ga=C;Ha=Q}k[n>>2]=27468;k[L>>2]=27488;k[E>>2]=27560;Yua(P);Ava(E);vva(L);N=Ga;O=Ha;Qb(N|0)}while(0);sa=xa;ta=za;vva(L);Qb(ta|0)}while(0);if((M|0)==38){M=Rb()|0;Z=Q;_=M}Sqa(T);N=_;O=Z;Qb(N|0)}function dpa(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0;g=r;r=r+16|0;f=g;k[f>>2]=0;cpa(f,b,c,0,e,0,0,h);h=k[f>>2]|0;if(!(k[h>>2]|0)){i=h;j=0}else{e=k[k[h+4>>2]>>2]|0;h=Hc[k[(k[e>>2]|0)+52>>2]&511](e)|0;i=k[f>>2]|0;j=h}if(!i){k[a>>2]=j;r=g;return}if((k[i>>2]|0)!=0?(h=k[i+4>>2]|0,(h|0)!=0):0){f=k[h>>2]|0;if(f)Ec[k[(k[f>>2]|0)+4>>2]&1023](f);Sqa(h)}Sqa(i);k[a>>2]=j;r=g;return}function epa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0.0,hb=0.0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0.0,vb=0.0,wb=0.0,xb=0.0,yb=0,Bb=0,Cb=0.0,Db=0.0,Eb=0.0,Fb=0.0,Gb=0.0,Hb=0.0,Ib=0.0,Jb=0.0,Kb=0.0,Lb=0.0,Mb=0.0,Nb=0.0,Ob=0.0,Pb=0.0,Sb=0.0,Tb=0.0,Ub=0.0,Vb=0.0,Wb=0.0,Xb=0.0,Yb=0.0,Zb=0,_b=0,$b=0.0,ac=0.0,bc=0.0,cc=0.0,dc=0.0,ec=0.0,fc=0.0,gc=0.0,hc=0.0,ic=0.0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,hd=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0;g=r;r=r+1776|0;h=g+1760|0;i=g+1696|0;j=g+1560|0;l=g+1748|0;m=g+1408|0;n=g+1736|0;o=g+1256|0;q=g+1724|0;s=g+1120|0;u=g+1712|0;v=g+968|0;w=g+1700|0;x=g+1544|0;y=g+1392|0;z=g+816|0;A=g+1104|0;C=g+664|0;D=g+952|0;E=g+800|0;F=g+648|0;H=g+512|0;I=g+224|0;J=g+376|0;K=g+72|0;L=g+60|0;M=g+48|0;N=g+240|0;O=g+36|0;P=g+88|0;R=g+24|0;S=g+12|0;T=g;U=k[b+24>>2]|0;V=k[b+28>>2]|0;W=b+8|0;X=k[b+20>>2]|0;Y=k[b+16>>2]|0;k[i>>2]=0;Z=Rqa(U>>>0>536870911?-1:U<<3)|0;_=Rqa(V>>>0>536870911?-1:V<<3)|0;ba=j+56|0;ca=j+4|0;k[j>>2]=27524;k[ba>>2]=27544;B=0;wa(508,j+56|0,ca|0);da=B;B=0;if(da&1){da=Rb()|0;ea=Q;fa=da;vva(ba);Qb(fa|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[ba>>2]=27488;B=0;va(448,ca|0);da=B;B=0;do if(da&1){ga=Rb()|0;ha=Q;ia=ga}else{k[ca>>2]=27560;ga=j+36|0;k[ga>>2]=0;k[ga+4>>2]=0;k[ga+8>>2]=0;k[ga+12>>2]=0;k[j+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,ca|0,h|0);ja=B;B=0;if(ja&1){ja=Rb()|0;ka=Q;Yua(h);Yua(ga);Ava(ca);ha=ka;ia=ja;break}Yua(h);B=0;Ia(40,j|0,149177,1)|0;ja=B;B=0;do if(!(ja&1)?(B=0,wa(510,l|0,ca|0),ka=B,B=0,!(ka&1)):0){B=0;ya(425,l|0)|0;ka=B;B=0;if(ka&1){ka=Rb()|0;la=Q;Yua(l);ma=la;na=ka;break}Yua(l);k[j>>2]=27468;k[ba>>2]=27488;k[ca>>2]=27560;Yua(ga);Ava(ca);vva(ba);ka=m+56|0;la=m+4|0;k[m>>2]=27524;k[ka>>2]=27544;B=0;wa(508,m+56|0,la|0);oa=B;B=0;if(oa&1){oa=Rb()|0;pa=Q;qa=oa;vva(ka);Qb(qa|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[ka>>2]=27488;B=0;va(448,la|0);oa=B;B=0;do if(oa&1){ra=Rb()|0;sa=Q;ta=ra}else{k[la>>2]=27560;ra=m+36|0;k[ra>>2]=0;k[ra+4>>2]=0;k[ra+8>>2]=0;k[ra+12>>2]=0;k[m+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,la|0,h|0);xa=B;B=0;if(xa&1){xa=Rb()|0;za=Q;Yua(h);Yua(ra);Ava(la);sa=za;ta=xa;break}Yua(h);B=0;Ia(40,m|0,148583,63)|0;xa=B;B=0;do if(!(xa&1)?(B=0,wa(510,n|0,la|0),za=B,B=0,!(za&1)):0){B=0;ya(425,n|0)|0;za=B;B=0;if(za&1){za=Rb()|0;Aa=Q;Yua(n);Ba=Aa;Ca=za;break}Yua(n);k[m>>2]=27468;k[ka>>2]=27488;k[la>>2]=27560;Yua(ra);Ava(la);vva(ka);if((U|0)<=0){Tqa(_);k[a>>2]=Z;r=g;return}za=o+56|0;Aa=o+4|0;Da=o+56|0;Ea=o+128|0;Fa=o+132|0;Ga=o+36|0;Ha=o+52|0;Ja=s+56|0;Ka=s+4|0;La=s+56|0;Ma=s+128|0;Na=s+132|0;Oa=s+36|0;Pa=s+52|0;Qa=z+56|0;Ra=z+4|0;Ta=z+56|0;Ua=z+128|0;Va=z+132|0;Wa=z+36|0;Ya=z+52|0;Za=(V|0)>0;_a=H+56|0;$a=H+4|0;ab=H+56|0;bb=H+128|0;cb=H+132|0;db=H+36|0;fb=H+52|0;gb=+p[b>>3];hb=+p[W>>3];ib=N+56|0;jb=N+4|0;kb=N+56|0;lb=N+128|0;mb=N+132|0;nb=N+36|0;ob=N+52|0;pb=0;a:while(1){k[o>>2]=27524;k[za>>2]=27544;B=0;wa(508,Da|0,Aa|0);qb=B;B=0;if(qb&1){rb=36;break}k[Ea>>2]=0;k[Fa>>2]=-1;k[o>>2]=27468;k[za>>2]=27488;B=0;va(448,Aa|0);qb=B;B=0;if(qb&1){rb=37;break}k[Aa>>2]=27560;k[Ga>>2]=0;k[Ga+4>>2]=0;k[Ga+8>>2]=0;k[Ga+12>>2]=0;k[Ha>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,Aa|0,h|0);qb=B;B=0;if(qb&1){rb=35;break}Yua(h);B=0;qb=Ia(40,o|0,148647,28)|0;sb=B;B=0;if(sb&1){rb=76;break}sb=pb;pb=pb+1|0;B=0;tb=Xa(242,qb|0,pb|0)|0;qb=B;B=0;if(qb&1){rb=76;break}B=0;qb=Ia(40,tb|0,148676,1)|0;tb=B;B=0;if(tb&1){rb=76;break}B=0;tb=Xa(242,qb|0,U|0)|0;qb=B;B=0;if(qb&1){rb=76;break}B=0;Ia(40,tb|0,148678,33)|0;tb=B;B=0;if(tb&1){rb=76;break}B=0;wa(510,q|0,Aa|0);tb=B;B=0;if(tb&1){rb=76;break}B=0;ya(425,q|0)|0;tb=B;B=0;if(tb&1){rb=77;break}Yua(q);k[o>>2]=27468;k[za>>2]=27488;k[Aa>>2]=27560;Yua(Ga);Ava(Aa);vva(za);k[46652+(k[(k[11663]|0)+-12>>2]|0)+8>>2]=5;k[s>>2]=27524;k[Ja>>2]=27544;B=0;wa(508,La|0,Ka|0);tb=B;B=0;if(tb&1){rb=51;break}k[Ma>>2]=0;k[Na>>2]=-1;k[s>>2]=27468;k[Ja>>2]=27488;B=0;va(448,Ka|0);tb=B;B=0;if(tb&1){rb=52;break}k[Ka>>2]=27560;k[Oa>>2]=0;k[Oa+4>>2]=0;k[Oa+8>>2]=0;k[Oa+12>>2]=0;k[Pa>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,Ka|0,h|0);tb=B;B=0;if(tb&1){rb=50;break}Yua(h);B=0;tb=Ia(40,s|0,148712,5)|0;qb=B;B=0;if(qb&1){rb=79;break}k[tb+(k[(k[tb>>2]|0)+-12>>2]|0)+12>>2]=9;B=0;qb=Sa(1,tb|0,0.0)|0;tb=B;B=0;if(tb&1){rb=79;break}B=0;Ia(40,qb|0,148718,3)|0;qb=B;B=0;if(qb&1){rb=79;break}B=0;wa(510,u|0,Ka|0);qb=B;B=0;if(qb&1){rb=79;break}B=0;ya(425,u|0)|0;qb=B;B=0;if(qb&1){rb=80;break}Yua(u);k[s>>2]=27468;k[Ja>>2]=27488;k[Ka>>2]=27560;Yua(Oa);Ava(Ka);vva(Ja);ub=+gd[e&7](i,c,f);vb=+$(+ub);p[t>>3]=vb;qb=k[t+4>>2]|0;if(qb>>>0>2146435072|(qb|0)==2146435072&(k[t>>2]|0)>>>0>0){rb=61;break}k[z>>2]=27524;k[Qa>>2]=27544;B=0;wa(508,Ta|0,Ra|0);qb=B;B=0;if(qb&1){rb=94;break}k[Ua>>2]=0;k[Va>>2]=-1;k[z>>2]=27468;k[Qa>>2]=27488;B=0;va(448,Ra|0);qb=B;B=0;if(qb&1){rb=95;break}k[Ra>>2]=27560;k[Wa>>2]=0;k[Wa+4>>2]=0;k[Wa+8>>2]=0;k[Wa+12>>2]=0;k[Ya>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,Ra|0,h|0);qb=B;B=0;if(qb&1){rb=93;break}Yua(h);B=0;qb=Ia(40,z|0,148712,5)|0;tb=B;B=0;if(tb&1){rb=106;break}k[qb+(k[(k[qb>>2]|0)+-12>>2]|0)+12>>2]=9;B=0;tb=Sa(1,qb|0,1.0)|0;qb=B;B=0;if(qb&1){rb=106;break}B=0;Ia(40,tb|0,148718,3)|0;tb=B;B=0;if(tb&1){rb=106;break}B=0;wa(510,A|0,Ra|0);tb=B;B=0;if(tb&1){rb=106;break}B=0;ya(425,A|0)|0;tb=B;B=0;if(tb&1){rb=107;break}Yua(A);k[z>>2]=27468;k[Qa>>2]=27488;k[Ra>>2]=27560;Yua(Wa);Ava(Ra);vva(Qa);if(Za){tb=k[i>>2]|0;qb=0;do{p[_+(qb<<3)>>3]=+p[c+(qb<<3)>>3]+ +p[tb+(qb<<3)>>3];qb=qb+1|0}while((qb|0)!=(V|0))}vb=+id[d&63](_,f);wb=+$(+vb);p[t>>3]=wb;qb=k[t+4>>2]|0;if(qb>>>0>2146435072|(qb|0)==2146435072&(k[t>>2]|0)>>>0>0){rb=110;break}qb=Y+(sb<<3)|0;wb=+p[qb>>3];xb=+$(+wb);p[t>>3]=xb;tb=k[t+4>>2]|0;if(vb/ub<wb&(tb>>>0<2146435072|(tb|0)==2146435072&(k[t>>2]|0)>>>0<1)){tb=k[i>>2]|0;if(!Za){if(tb)rb=136}else{yb=0;do{Bb=c+(yb<<3)|0;p[Bb>>3]=+p[Bb>>3]+ +p[tb+(yb<<3)>>3];yb=yb+1|0}while((yb|0)!=(V|0));rb=136}if((rb|0)==136){rb=0;Tqa(tb)}k[i>>2]=0;p[Z+(sb<<3)>>3]=vb}else{k[H>>2]=27524;k[_a>>2]=27544;B=0;wa(508,ab|0,$a|0);yb=B;B=0;if(yb&1){rb=143;break}k[bb>>2]=0;k[cb>>2]=-1;k[H>>2]=27468;k[_a>>2]=27488;B=0;va(448,$a|0);yb=B;B=0;if(yb&1){rb=144;break}k[$a>>2]=27560;k[db>>2]=0;k[db+4>>2]=0;k[db+8>>2]=0;k[db+12>>2]=0;k[fb>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,$a|0,h|0);yb=B;B=0;if(yb&1){rb=142;break}Yua(h);B=0;yb=Ia(40,H|0,148712,5)|0;Bb=B;B=0;if(Bb&1){rb=155;break}k[yb+(k[(k[yb>>2]|0)+-12>>2]|0)+12>>2]=9;B=0;Bb=Sa(1,yb|0,.3819660112501051)|0;yb=B;B=0;if(yb&1){rb=155;break}B=0;Ia(40,Bb|0,148718,3)|0;Bb=B;B=0;if(Bb&1){rb=155;break}B=0;wa(510,I|0,$a|0);Bb=B;B=0;if(Bb&1){rb=155;break}B=0;ya(425,I|0)|0;Bb=B;B=0;if(Bb&1){rb=156;break}Yua(I);k[H>>2]=27468;k[_a>>2]=27488;k[$a>>2]=27560;Yua(db);Ava($a);vva(_a);if(Za){Bb=k[i>>2]|0;yb=0;do{p[_+(yb<<3)>>3]=+p[c+(yb<<3)>>3]+ +p[Bb+(yb<<3)>>3]*.3819660112501051;yb=yb+1|0}while((yb|0)!=(V|0))}wb=+id[d&63](_,f);xb=+$(+wb);p[t>>3]=xb;yb=k[t+4>>2]|0;if(yb>>>0>2146435072|(yb|0)==2146435072&(k[t>>2]|0)>>>0>0){rb=159;break}xb=+p[qb>>3];Cb=+$(+xb);p[t>>3]=Cb;yb=k[t+4>>2]|0;b:do if(!(wb/ub<xb)|(yb>>>0>2146435072|(yb|0)==2146435072&(k[t>>2]|0)>>>0>0)){Bb=X+(sb<<2)|0;Cb=0.0;Db=wb;Eb=wb;Fb=wb;Gb=0.0;tb=1;Hb=3.333902507043754e-05;Ib=6.667805014087508e-05;Jb=.3819660112501051;Kb=.3819660112501051;Lb=.3819660112501051;Mb=.5;Nb=1.0;Ob=0.0;while(1){do if(+aa(+(Gb*Gb))>Hb){Pb=Lb-Jb;Sb=Fb-Eb;Tb=Lb-Kb;Ub=Fb-Db;Vb=Sb*(Pb*Pb)-Tb*Tb*Ub;Wb=Sb*(Pb*2.0)-Tb*2.0*Ub;Ub=Wb>0.0?-Vb:Vb;Vb=+aa(+(Wb*Wb));Wb=Gb*(Vb*.5);if(!(+aa(+(Ub*Ub))<+aa(+(Wb*Wb)))){rb=190;break}if(!(Ub>(Ob-Lb)*Vb+1.4901161193847656e-08)){rb=190;break}if(!(Ub<(Nb-Lb)*Vb+-1.4901161193847656e-08)){rb=190;break}Wb=Ub/Vb;Vb=Lb+Wb;if(!(Vb-Ob<Ib|Nb-Vb<Ib)){Xb=Wb;Yb=Cb;break}Xb=Hb*(Mb-Lb<0.0?-1.0:1.0);Yb=Cb}else rb=190;while(0);if((rb|0)==190){rb=0;Wb=(!(Lb>=Mb)?Nb:Ob)-Lb;Xb=Wb*.3819660112501051;Yb=Wb}Wb=+aa(+(Xb*Xb));Vb=Lb+(Xb<0.0?-1.0:1.0)*(Wb>Hb?Wb:Hb);k[N>>2]=27524;k[ib>>2]=27544;B=0;wa(508,kb|0,jb|0);Zb=B;B=0;if(Zb&1){rb=195;break a}k[lb>>2]=0;k[mb>>2]=-1;k[N>>2]=27468;k[ib>>2]=27488;B=0;va(448,jb|0);Zb=B;B=0;if(Zb&1){rb=196;break a}k[jb>>2]=27560;k[nb>>2]=0;k[nb+4>>2]=0;k[nb+8>>2]=0;k[nb+12>>2]=0;k[ob>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,jb|0,h|0);Zb=B;B=0;if(Zb&1){rb=194;break a}Yua(h);B=0;Zb=Ia(40,N|0,148712,5)|0;_b=B;B=0;if(_b&1){rb=207;break a}k[Zb+(k[(k[Zb>>2]|0)+-12>>2]|0)+12>>2]=9;B=0;_b=Sa(1,Zb|0,+Vb)|0;Zb=B;B=0;if(Zb&1){rb=207;break a}B=0;Ia(40,_b|0,148718,3)|0;_b=B;B=0;if(_b&1){rb=207;break a}B=0;wa(510,O|0,jb|0);_b=B;B=0;if(_b&1){rb=207;break a}B=0;ya(425,O|0)|0;_b=B;B=0;if(_b&1){rb=208;break a}Yua(O);k[N>>2]=27468;k[ib>>2]=27488;k[jb>>2]=27560;Yua(nb);Ava(jb);vva(ib);if(Za){_b=k[i>>2]|0;Zb=0;do{p[_+(Zb<<3)>>3]=+p[c+(Zb<<3)>>3]+Vb*+p[_b+(Zb<<3)>>3];Zb=Zb+1|0}while((Zb|0)!=(V|0))}Wb=+id[d&63](_,f);Ub=+$(+Wb);p[t>>3]=Ub;Zb=k[t+4>>2]|0;if(Zb>>>0>2146435072|(Zb|0)==2146435072&(k[t>>2]|0)>>>0>0){rb=211;break a}tb=tb+1|0;do if(!(Wb<=Fb)){Zb=Vb<Lb;Ub=Zb?Vb:Ob;Tb=Zb?Nb:Vb;if(Kb==Lb|Wb<=Eb){$b=Eb;ac=Wb;bc=Fb;cc=Kb;dc=Vb;ec=Lb;fc=Tb;gc=Ub;break}Zb=Jb==Kb|(Jb==Lb|Wb<=Db);$b=Zb?Wb:Db;ac=Eb;bc=Fb;cc=Zb?Vb:Jb;dc=Kb;ec=Lb;fc=Tb;gc=Ub}else{Zb=!(Vb>=Lb);$b=Eb;ac=Fb;bc=Wb;cc=Kb;dc=Lb;ec=Vb;fc=Zb?Lb:Nb;gc=Zb?Ob:Lb}while(0);Mb=(gc+fc)*.5;Vb=ec*ec;Wb=+$(+(+aa(+Vb)));Hb=Vb==-G?G:Wb*1.4901161193847656e-08+3.3333333333333335e-05;Ib=Hb*2.0;Wb=ec-Mb;if(+aa(+(Wb*Wb))<Ib-(fc-gc)*.5){hc=bc;ic=ec;break b}if((tb|0)>=(k[Bb>>2]|0)){hc=bc;ic=ec;break b}Wb=+p[qb>>3];Vb=+$(+Wb);p[t>>3]=Vb;Zb=k[t+4>>2]|0;if(bc/ub<Wb&(gc==0.0&(Zb>>>0<2146435072|(Zb|0)==2146435072&(k[t>>2]|0)>>>0<1))){hc=bc;ic=ec;break}else{Cb=Xb;Db=$b;Eb=ac;Fb=bc;Gb=Yb;Jb=cc;Kb=dc;Lb=ec;Nb=fc;Ob=gc}}}else{hc=wb;ic=.3819660112501051}while(0);qb=hc>ub;wb=qb?ub:hc;yb=wb>vb;xb=yb?vb:wb;wb=yb?hb:qb?gb:ic;qb=k[i>>2]|0;if(!Za){if(qb)rb=243}else{yb=0;do{Bb=c+(yb<<3)|0;p[Bb>>3]=+p[Bb>>3]+wb*+p[qb+(yb<<3)>>3];yb=yb+1|0}while((yb|0)!=(V|0));rb=243}if((rb|0)==243){rb=0;Tqa(qb)}k[i>>2]=0;p[Z+(sb<<3)>>3]=xb}if((pb|0)>=(U|0)){rb=25;break}}switch(rb|0){case 25:{Tqa(_);k[a>>2]=Z;r=g;return}case 35:{pb=Rb()|0;Za=Q;Yua(h);Yua(Ga);Ava(Aa);jc=Za;kc=pb;rb=38;break}case 36:{pb=Rb()|0;lc=Q;mc=pb;vva(za);Qb(mc|0);break}case 37:{pb=Rb()|0;jc=Q;kc=pb;rb=38;break}case 50:{pb=Rb()|0;Za=Q;Yua(h);Yua(Oa);Ava(Ka);nc=Za;oc=pb;rb=53;break}case 51:{pb=Rb()|0;pc=Q;qc=pb;vva(Ja);Qb(qc|0);break}case 52:{pb=Rb()|0;nc=Q;oc=pb;rb=53;break}case 61:{pb=v+56|0;Za=v+4|0;k[v>>2]=27524;k[pb>>2]=27544;B=0;wa(508,v+56|0,Za|0);ob=B;B=0;if(ob&1){ob=Rb()|0;rc=Q;sc=ob;vva(pb);Qb(sc|0)}k[v+128>>2]=0;k[v+132>>2]=-1;k[v>>2]=27468;k[pb>>2]=27488;B=0;va(448,Za|0);ob=B;B=0;do if(ob&1){mb=Rb()|0;tc=Q;uc=mb}else{k[Za>>2]=27560;mb=v+36|0;k[mb>>2]=0;k[mb+4>>2]=0;k[mb+8>>2]=0;k[mb+12>>2]=0;k[v+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,Za|0,h|0);lb=B;B=0;if(lb&1){lb=Rb()|0;kb=Q;Yua(h);Yua(mb);Ava(Za);tc=kb;uc=lb;break}Yua(h);B=0;lb=Ia(40,v|0,148722,32)|0;kb=B;B=0;c:do if(kb&1)rb=82;else{B=0;Xa(239,lb|0,0)|0;fb=B;B=0;if(fb&1){rb=82;break}fb=Ab(20)|0;B=0;eb(502,w|0,148755,78);cb=B;B=0;do if(!(cb&1)){B=0;eb(502,x|0,148834,11);bb=B;B=0;if(bb&1){bb=Rb()|0;ab=Q;Yua(w);vc=ab;wc=bb;break}B=0;wa(510,y|0,Za|0);bb=B;B=0;if(bb&1){bb=Rb()|0;xc=1;yc=Q;zc=bb}else{B=0;ua(163,fb|0,w|0,x|0,69,y|0);bb=B;B=0;if(bb&1)Ac=1;else{B=0;eb(503,fb|0,1240,229);B=0;Ac=0}bb=Rb()|0;ab=Q;Yua(y);xc=Ac;yc=ab;zc=bb}Yua(x);Yua(w);if(xc){vc=yc;wc=zc}else{Bc=yc;Cc=zc;break c}}else{bb=Rb()|0;vc=Q;wc=bb}while(0);zb(fb|0);Bc=vc;Cc=wc}while(0);if((rb|0)==82){lb=Rb()|0;Bc=Q;Cc=lb}k[v>>2]=27468;k[pb>>2]=27488;k[Za>>2]=27560;Yua(mb);Ava(Za);vva(pb);Dc=Bc;Ec=Cc;Qb(Ec|0)}while(0);rc=tc;sc=uc;vva(pb);Qb(sc|0);break}case 76:{Za=Rb()|0;Fc=Q;Gc=Za;rb=78;break}case 77:{Za=Rb()|0;ob=Q;Yua(q);Fc=ob;Gc=Za;rb=78;break}case 79:{Za=Rb()|0;Hc=Q;Ic=Za;rb=81;break}case 80:{Za=Rb()|0;ob=Q;Yua(u);Hc=ob;Ic=Za;rb=81;break}case 93:{Za=Rb()|0;ob=Q;Yua(h);Yua(Wa);Ava(Ra);Jc=ob;Kc=Za;rb=96;break}case 94:{Za=Rb()|0;Lc=Q;Mc=Za;vva(Qa);Qb(Mc|0);break}case 95:{Za=Rb()|0;Jc=Q;Kc=Za;rb=96;break}case 106:{Za=Rb()|0;Nc=Q;Oc=Za;rb=108;break}case 107:{Za=Rb()|0;ob=Q;Yua(A);Nc=ob;Oc=Za;rb=108;break}case 110:{Za=C+56|0;ob=C+4|0;k[C>>2]=27524;k[Za>>2]=27544;B=0;wa(508,C+56|0,ob|0);lb=B;B=0;if(lb&1){lb=Rb()|0;Pc=Q;Qc=lb;vva(Za);Qb(Qc|0)}k[C+128>>2]=0;k[C+132>>2]=-1;k[C>>2]=27468;k[Za>>2]=27488;B=0;va(448,ob|0);lb=B;B=0;do if(lb&1){kb=Rb()|0;Rc=Q;Sc=kb}else{k[ob>>2]=27560;kb=C+36|0;k[kb>>2]=0;k[kb+4>>2]=0;k[kb+8>>2]=0;k[kb+12>>2]=0;k[C+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,ob|0,h|0);sb=B;B=0;if(sb&1){sb=Rb()|0;qb=Q;Yua(h);Yua(kb);Ava(ob);Rc=qb;Sc=sb;break}Yua(h);B=0;sb=Ia(40,C|0,148722,32)|0;qb=B;B=0;d:do if(qb&1)rb=125;else{B=0;Xa(239,sb|0,0)|0;cb=B;B=0;if(cb&1){rb=125;break}cb=Ab(20)|0;B=0;eb(502,D|0,148755,78);bb=B;B=0;do if(!(bb&1)){B=0;eb(502,E|0,148834,11);ab=B;B=0;if(ab&1){ab=Rb()|0;Ya=Q;Yua(D);Tc=Ya;Uc=ab;break}B=0;wa(510,F|0,ob|0);ab=B;B=0;if(ab&1){ab=Rb()|0;Vc=1;Wc=Q;Xc=ab}else{B=0;ua(163,cb|0,D|0,E|0,74,F|0);ab=B;B=0;if(ab&1)Yc=1;else{B=0;eb(503,cb|0,1240,229);B=0;Yc=0}ab=Rb()|0;Ya=Q;Yua(F);Vc=Yc;Wc=Ya;Xc=ab}Yua(E);Yua(D);if(Vc){Tc=Wc;Uc=Xc}else{Zc=Wc;_c=Xc;break d}}else{ab=Rb()|0;Tc=Q;Uc=ab}while(0);zb(cb|0);Zc=Tc;_c=Uc}while(0);if((rb|0)==125){sb=Rb()|0;Zc=Q;_c=sb}k[C>>2]=27468;k[Za>>2]=27488;k[ob>>2]=27560;Yua(kb);Ava(ob);vva(Za);Dc=Zc;Ec=_c;Qb(Ec|0)}while(0);Pc=Rc;Qc=Sc;vva(Za);Qb(Qc|0);break}case 142:{ob=Rb()|0;lb=Q;Yua(h);Yua(db);Ava($a);$c=lb;ad=ob;rb=145;break}case 143:{ob=Rb()|0;bd=Q;cd=ob;vva(_a);Qb(cd|0);break}case 144:{ob=Rb()|0;$c=Q;ad=ob;rb=145;break}case 155:{ob=Rb()|0;dd=Q;ed=ob;rb=157;break}case 156:{ob=Rb()|0;lb=Q;Yua(I);dd=lb;ed=ob;rb=157;break}case 159:{ob=J+56|0;lb=J+4|0;k[J>>2]=27524;k[ob>>2]=27544;B=0;wa(508,J+56|0,lb|0);pb=B;B=0;if(pb&1){pb=Rb()|0;fd=Q;hd=pb;vva(ob);Qb(hd|0)}k[J+128>>2]=0;k[J+132>>2]=-1;k[J>>2]=27468;k[ob>>2]=27488;B=0;va(448,lb|0);pb=B;B=0;do if(pb&1){sb=Rb()|0;jd=Q;kd=sb}else{k[lb>>2]=27560;sb=J+36|0;k[sb>>2]=0;k[sb+4>>2]=0;k[sb+8>>2]=0;k[sb+12>>2]=0;k[J+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,lb|0,h|0);qb=B;B=0;if(qb&1){qb=Rb()|0;mb=Q;Yua(h);Yua(sb);Ava(lb);jd=mb;kd=qb;break}Yua(h);B=0;qb=Ia(40,J|0,148722,32)|0;mb=B;B=0;e:do if(mb&1)rb=174;else{B=0;Xa(239,qb|0,0)|0;bb=B;B=0;if(bb&1){rb=174;break}bb=Ab(20)|0;B=0;eb(502,K|0,148755,78);fb=B;B=0;do if(!(fb&1)){B=0;eb(502,L|0,148834,11);ab=B;B=0;if(ab&1){ab=Rb()|0;Ya=Q;Yua(K);ld=Ya;md=ab;break}B=0;wa(510,M|0,lb|0);ab=B;B=0;if(ab&1){ab=Rb()|0;nd=Q;od=ab;pd=1}else{B=0;ua(163,bb|0,K|0,L|0,100,M|0);ab=B;B=0;if(ab&1)qd=1;else{B=0;eb(503,bb|0,1240,229);B=0;qd=0}ab=Rb()|0;Ya=Q;Yua(M);nd=Ya;od=ab;pd=qd}Yua(L);Yua(K);if(pd){ld=nd;md=od}else{rd=nd;sd=od;break e}}else{ab=Rb()|0;ld=Q;md=ab}while(0);zb(bb|0);rd=ld;sd=md}while(0);if((rb|0)==174){qb=Rb()|0;rd=Q;sd=qb}k[J>>2]=27468;k[ob>>2]=27488;k[lb>>2]=27560;Yua(sb);Ava(lb);vva(ob);Dc=rd;Ec=sd;Qb(Ec|0)}while(0);fd=jd;hd=kd;vva(ob);Qb(hd|0);break}case 194:{lb=Rb()|0;pb=Q;Yua(h);Yua(nb);Ava(jb);td=pb;ud=lb;rb=197;break}case 195:{lb=Rb()|0;vd=Q;wd=lb;vva(ib);Qb(wd|0);break}case 196:{lb=Rb()|0;td=Q;ud=lb;rb=197;break}case 207:{lb=Rb()|0;xd=Q;yd=lb;rb=209;break}case 208:{lb=Rb()|0;pb=Q;Yua(O);xd=pb;yd=lb;rb=209;break}case 211:{lb=P+56|0;pb=P+4|0;k[P>>2]=27524;k[lb>>2]=27544;B=0;wa(508,P+56|0,pb|0);Za=B;B=0;if(Za&1){Za=Rb()|0;zd=Q;Ad=Za;vva(lb);Qb(Ad|0)}k[P+128>>2]=0;k[P+132>>2]=-1;k[P>>2]=27468;k[lb>>2]=27488;B=0;va(448,pb|0);Za=B;B=0;do if(Za&1){qb=Rb()|0;Bd=Q;Cd=qb}else{k[pb>>2]=27560;qb=P+36|0;k[qb>>2]=0;k[qb+4>>2]=0;k[qb+8>>2]=0;k[qb+12>>2]=0;k[P+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,pb|0,h|0);mb=B;B=0;if(mb&1){mb=Rb()|0;kb=Q;Yua(h);Yua(qb);Ava(pb);Bd=kb;Cd=mb;break}Yua(h);B=0;mb=Ia(40,P|0,148722,32)|0;kb=B;B=0;f:do if(kb&1)rb=226;else{B=0;Xa(239,mb|0,0)|0;fb=B;B=0;if(fb&1){rb=226;break}fb=Ab(20)|0;B=0;eb(502,R|0,148755,78);cb=B;B=0;do if(!(cb&1)){B=0;eb(502,S|0,148834,11);ab=B;B=0;if(ab&1){ab=Rb()|0;Ya=Q;Yua(R);Dd=Ya;Ed=ab;break}B=0;wa(510,T|0,pb|0);ab=B;B=0;if(ab&1){ab=Rb()|0;Fd=1;Gd=Q;Hd=ab}else{B=0;ua(163,fb|0,R|0,S|0,185,T|0);ab=B;B=0;if(ab&1)Id=1;else{B=0;eb(503,fb|0,1240,229);B=0;Id=0}ab=Rb()|0;Ya=Q;Yua(T);Fd=Id;Gd=Ya;Hd=ab}Yua(S);Yua(R);if(Fd){Dd=Gd;Ed=Hd}else{Jd=Gd;Kd=Hd;break f}}else{ab=Rb()|0;Dd=Q;Ed=ab}while(0);zb(fb|0);Jd=Dd;Kd=Ed}while(0);if((rb|0)==226){mb=Rb()|0;Jd=Q;Kd=mb}k[P>>2]=27468;k[lb>>2]=27488;k[pb>>2]=27560;Yua(qb);Ava(pb);vva(lb);Dc=Jd;Ec=Kd;Qb(Ec|0)}while(0);zd=Bd;Ad=Cd;vva(lb);Qb(Ad|0);break}}switch(rb|0){case 38:{lc=jc;mc=kc;vva(za);Qb(mc|0);break}case 53:{pc=nc;qc=oc;vva(Ja);Qb(qc|0);break}case 78:{k[o>>2]=27468;k[za>>2]=27488;k[Aa>>2]=27560;Yua(Ga);Ava(Aa);vva(za);Dc=Fc;Ec=Gc;Qb(Ec|0);break}case 81:{k[s>>2]=27468;k[Ja>>2]=27488;k[Ka>>2]=27560;Yua(Oa);Ava(Ka);vva(Ja);Dc=Hc;Ec=Ic;Qb(Ec|0);break}case 96:{Lc=Jc;Mc=Kc;vva(Qa);Qb(Mc|0);break}case 108:{k[z>>2]=27468;k[Qa>>2]=27488;k[Ra>>2]=27560;Yua(Wa);Ava(Ra);vva(Qa);Dc=Nc;Ec=Oc;Qb(Ec|0);break}case 145:{bd=$c;cd=ad;vva(_a);Qb(cd|0);break}case 157:{k[H>>2]=27468;k[_a>>2]=27488;k[$a>>2]=27560;Yua(db);Ava($a);vva(_a);Dc=dd;Ec=ed;Qb(Ec|0);break}case 197:{vd=td;wd=ud;vva(ib);Qb(wd|0);break}case 209:{k[N>>2]=27468;k[ib>>2]=27488;k[jb>>2]=27560;Yua(nb);Ava(jb);vva(ib);Dc=xd;Ec=yd;Qb(Ec|0);break}}}else rb=29;while(0);if((rb|0)==29){xa=Rb()|0;Ba=Q;Ca=xa}k[m>>2]=27468;k[ka>>2]=27488;k[la>>2]=27560;Yua(ra);Ava(la);vva(ka);Dc=Ba;Ec=Ca;Qb(Ec|0)}while(0);pa=sa;qa=ta;vva(ka);Qb(qa|0)}else rb=26;while(0);if((rb|0)==26){ja=Rb()|0;ma=Q;na=ja}k[j>>2]=27468;k[ba>>2]=27488;k[ca>>2]=27560;Yua(ga);Ava(ca);vva(ba);Dc=ma;Ec=na;Qb(Ec|0)}while(0);ea=ha;fa=ia;vva(ba);Qb(fa|0)}function fpa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;b=r;r=r+624|0;c=b;d=b+617|0;e=b+600|0;f=b+464|0;g=b+604|0;h=b+312|0;j=b+448|0;l=b+176|0;m=b+160|0;n=b+24|0;o=b+12|0;p=a+44|0;bO(k[p>>2]|0,d,99);bO(k[p>>2]|0,b+616|0,759);cO(k[p>>2]|0,e,102);a:do if(CY()|0){p=f+56|0;q=f+4|0;k[f>>2]=27524;k[p>>2]=27544;B=0;wa(508,f+56|0,q|0);s=B;B=0;if(s&1){s=Rb()|0;t=Q;u=s;vva(p);Qb(u|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[p>>2]=27488;B=0;va(448,q|0);s=B;B=0;do if(s&1){v=Rb()|0;w=Q;x=v}else{k[q>>2]=27560;v=f+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,q|0,c|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(c);Yua(v);Ava(q);w=z;x=y;break}Yua(c);B=0;Ia(40,f|0,148846,24)|0;y=B;B=0;do if(!(y&1)?(B=0,wa(510,g|0,q|0),z=B,B=0,!(z&1)):0){B=0;ya(425,g|0)|0;z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(g);C=A;D=z;break}else{Yua(g);k[f>>2]=27468;k[p>>2]=27488;k[q>>2]=27560;Yua(v);Ava(q);vva(p);break a}}else E=14;while(0);if((E|0)==14){y=Rb()|0;C=Q;D=y}k[f>>2]=27468;k[p>>2]=27488;k[q>>2]=27560;Yua(v);Ava(q);vva(p);F=C;G=D;Qb(G|0)}while(0);t=w;u=x;vva(p);Qb(u|0)}while(0);xh(a,497);b:do if(CY()|0){u=h+56|0;x=h+4|0;k[h>>2]=27524;k[u>>2]=27544;B=0;wa(508,h+56|0,x|0);w=B;B=0;if(w&1){w=Rb()|0;H=Q;I=w;vva(u);Qb(I|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[u>>2]=27488;B=0;va(448,x|0);w=B;B=0;do if(w&1){t=Rb()|0;J=Q;K=t}else{k[x>>2]=27560;t=h+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,x|0,c|0);D=B;B=0;if(D&1){D=Rb()|0;C=Q;Yua(c);Yua(t);Ava(x);J=C;K=D;break}Yua(c);B=0;Ia(40,h|0,148846,24)|0;D=B;B=0;do if(!(D&1)?(B=0,wa(510,j|0,x|0),C=B,B=0,!(C&1)):0){B=0;ya(425,j|0)|0;C=B;B=0;if(C&1){C=Rb()|0;f=Q;Yua(j);L=f;M=C;break}else{Yua(j);k[h>>2]=27468;k[u>>2]=27488;k[x>>2]=27560;Yua(t);Ava(x);vva(u);break b}}else E=30;while(0);if((E|0)==30){D=Rb()|0;L=Q;M=D}k[h>>2]=27468;k[u>>2]=27488;k[x>>2]=27560;Yua(t);Ava(x);vva(u);F=L;G=M;Qb(G|0)}while(0);H=J;I=K;vva(u);Qb(I|0)}while(0);xh(a,497);do if(i[d>>0]|0)if((k[e>>2]&-5|0)==754){Toa(a);break}else{Woa(a,1);break}else Woa(a,1);while(0);pqa(0,a);c:do if(CY()|0){I=l+56|0;K=l+4|0;k[l>>2]=27524;k[I>>2]=27544;B=0;wa(508,l+56|0,K|0);J=B;B=0;if(J&1){J=Rb()|0;N=Q;O=J;vva(I);Qb(O|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[I>>2]=27488;B=0;va(448,K|0);J=B;B=0;do if(J&1){H=Rb()|0;P=Q;R=H}else{k[K>>2]=27560;H=l+36|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;k[H+12>>2]=0;k[l+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,K|0,c|0);M=B;B=0;if(M&1){M=Rb()|0;L=Q;Yua(c);Yua(H);Ava(K);P=L;R=M;break}Yua(c);B=0;Ia(40,l|0,148920,21)|0;M=B;B=0;do if(!(M&1)?(B=0,wa(510,m|0,K|0),L=B,B=0,!(L&1)):0){B=0;ya(425,m|0)|0;L=B;B=0;if(L&1){L=Rb()|0;h=Q;Yua(m);S=h;T=L;break}else{Yua(m);k[l>>2]=27468;k[I>>2]=27488;k[K>>2]=27560;Yua(H);Ava(K);vva(I);break c}}else E=51;while(0);if((E|0)==51){M=Rb()|0;S=Q;T=M}k[l>>2]=27468;k[I>>2]=27488;k[K>>2]=27560;Yua(H);Ava(K);vva(I);F=S;G=T;Qb(G|0)}while(0);N=P;O=R;vva(I);Qb(O|0)}while(0);yh(a,497,481);ipa(a);d:do if(CY()|0){O=n+56|0;R=n+4|0;k[n>>2]=27524;k[O>>2]=27544;B=0;wa(508,n+56|0,R|0);P=B;B=0;if(P&1){P=Rb()|0;U=Q;V=P;vva(O);Qb(V|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[O>>2]=27488;B=0;va(448,R|0);P=B;B=0;do if(P&1){N=Rb()|0;W=Q;X=N}else{k[R>>2]=27560;N=n+36|0;k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;k[N+12>>2]=0;k[n+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,R|0,c|0);T=B;B=0;if(T&1){T=Rb()|0;S=Q;Yua(c);Yua(N);Ava(R);W=S;X=T;break}Yua(c);B=0;Ia(40,n|0,148942,18)|0;T=B;B=0;do if(!(T&1)?(B=0,wa(510,o|0,R|0),S=B,B=0,!(S&1)):0){B=0;ya(425,o|0)|0;S=B;B=0;if(S&1){S=Rb()|0;l=Q;Yua(o);Y=l;Z=S;break}else{Yua(o);k[n>>2]=27468;k[O>>2]=27488;k[R>>2]=27560;Yua(N);Ava(R);vva(O);break d}}else E=67;while(0);if((E|0)==67){T=Rb()|0;Y=Q;Z=T}k[n>>2]=27468;k[O>>2]=27488;k[R>>2]=27560;Yua(N);Ava(R);vva(O);F=Y;G=Z;Qb(G|0)}while(0);U=W;V=X;vva(O);Qb(V|0)}while(0);if(!(i[d>>0]|0)){d=c;k[d>>2]=638;k[d+4>>2]=639;fi(a,a+48|0,c,2,1);r=b;return}if((k[e>>2]&-5|0)==754){e=c;k[e>>2]=638;k[e+4>>2]=639;fi(a,a+48|0,c,2,1);r=b;return}else{k[c>>2]=k[10489];k[c+4>>2]=k[10490];k[c+8>>2]=k[10491];fi(a,a+48|0,c,3,1);r=b;return}}function gpa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;b=r;r=r+480|0;c=b+452|0;d=b+464|0;e=b+304|0;f=b+440|0;g=b+152|0;h=b+288|0;j=b+16|0;l=b;bO(k[a+44>>2]|0,d,759);a:do if(CY()|0){m=e+56|0;n=e+4|0;k[e>>2]=27524;k[m>>2]=27544;B=0;wa(508,e+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;q=o;vva(m);Qb(q|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[m>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){s=Rb()|0;t=Q;u=s}else{k[n>>2]=27560;s=e+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,n|0,c|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(c);Yua(s);Ava(n);t=w;u=v;break}Yua(c);B=0;Ia(40,e|0,148871,23)|0;v=B;B=0;do if(!(v&1)?(B=0,wa(510,f|0,n|0),w=B,B=0,!(w&1)):0){B=0;ya(425,f|0)|0;w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(f);y=x;z=w;break}else{Yua(f);k[e>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);break a}}else A=14;while(0);if((A|0)==14){v=Rb()|0;y=Q;z=v}k[e>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);C=y;D=z;Qb(D|0)}while(0);p=t;q=u;vva(m);Qb(q|0)}while(0);xh(a,484);Voa(a);pqa(0,a);b:do if(CY()|0){q=g+56|0;u=g+4|0;k[g>>2]=27524;k[q>>2]=27544;B=0;wa(508,g+56|0,u|0);t=B;B=0;if(t&1){t=Rb()|0;E=Q;F=t;vva(q);Qb(F|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[q>>2]=27488;B=0;va(448,u|0);t=B;B=0;do if(t&1){p=Rb()|0;G=Q;H=p}else{k[u>>2]=27560;p=g+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[g+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,u|0,c|0);z=B;B=0;if(z&1){z=Rb()|0;y=Q;Yua(c);Yua(p);Ava(u);G=y;H=z;break}Yua(c);B=0;Ia(40,g|0,148920,21)|0;z=B;B=0;do if(!(z&1)?(B=0,wa(510,h|0,u|0),y=B,B=0,!(y&1)):0){B=0;ya(425,h|0)|0;y=B;B=0;if(y&1){y=Rb()|0;e=Q;Yua(h);I=e;J=y;break}else{Yua(h);k[g>>2]=27468;k[q>>2]=27488;k[u>>2]=27560;Yua(p);Ava(u);vva(q);break b}}else A=30;while(0);if((A|0)==30){z=Rb()|0;I=Q;J=z}k[g>>2]=27468;k[q>>2]=27488;k[u>>2]=27560;Yua(p);Ava(u);vva(q);C=I;D=J;Qb(D|0)}while(0);E=G;F=H;vva(q);Qb(F|0)}while(0);yh(a,484,479);ipa(a);if(!(i[d>>0]|0)){r=b;return}c:do if(CY()|0){d=j+56|0;F=j+4|0;k[j>>2]=27524;k[d>>2]=27544;B=0;wa(508,j+56|0,F|0);H=B;B=0;if(H&1){H=Rb()|0;K=Q;L=H;vva(d);Qb(L|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[d>>2]=27488;B=0;va(448,F|0);H=B;B=0;do if(H&1){G=Rb()|0;M=Q;N=G}else{k[F>>2]=27560;G=j+36|0;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;k[G+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,F|0,c|0);E=B;B=0;if(E&1){E=Rb()|0;J=Q;Yua(c);Yua(G);Ava(F);M=J;N=E;break}Yua(c);B=0;Ia(40,j|0,148942,18)|0;E=B;B=0;do if(!(E&1)?(B=0,wa(510,l|0,F|0),J=B,B=0,!(J&1)):0){B=0;ya(425,l|0)|0;J=B;B=0;if(J&1){J=Rb()|0;I=Q;Yua(l);O=I;P=J;break}else{Yua(l);k[j>>2]=27468;k[d>>2]=27488;k[F>>2]=27560;Yua(G);Ava(F);vva(d);break c}}else A=47;while(0);if((A|0)==47){E=Rb()|0;O=Q;P=E}k[j>>2]=27468;k[d>>2]=27488;k[F>>2]=27560;Yua(G);Ava(F);vva(d);C=O;D=P;Qb(D|0)}while(0);K=M;L=N;vva(d);Qb(L|0)}while(0);k[c>>2]=934;fi(a,a+48|0,c,1,1);r=b;return}function hpa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;b=r;r=r+480|0;c=b+452|0;d=b+304|0;e=b+440|0;f=b+152|0;g=b+288|0;h=b+16|0;i=b;bO(k[a+44>>2]|0,b+464|0,759);a:do if(CY()|0){j=d+56|0;l=d+4|0;k[d>>2]=27524;k[j>>2]=27544;B=0;wa(508,d+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(j);Qb(o|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[j>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){p=Rb()|0;q=Q;s=p}else{k[l>>2]=27560;p=d+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,l|0,c|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(c);Yua(p);Ava(l);q=u;s=t;break}Yua(c);B=0;Ia(40,d|0,148895,24)|0;t=B;B=0;do if(!(t&1)?(B=0,wa(510,e|0,l|0),u=B,B=0,!(u&1)):0){B=0;ya(425,e|0)|0;u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}else{Yua(e);k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);break a}}else y=14;while(0);if((y|0)==14){t=Rb()|0;w=Q;x=t}k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);z=w;A=x;Qb(A|0)}while(0);n=q;o=s;vva(j);Qb(o|0)}while(0);xh(a,486);Voa(a);pqa(0,a);b:do if(CY()|0){o=f+56|0;s=f+4|0;k[f>>2]=27524;k[o>>2]=27544;B=0;wa(508,f+56|0,s|0);q=B;B=0;if(q&1){q=Rb()|0;C=Q;D=q;vva(o);Qb(D|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[o>>2]=27488;B=0;va(448,s|0);q=B;B=0;do if(q&1){n=Rb()|0;E=Q;F=n}else{k[s>>2]=27560;n=f+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,s|0,c|0);x=B;B=0;if(x&1){x=Rb()|0;w=Q;Yua(c);Yua(n);Ava(s);E=w;F=x;break}Yua(c);B=0;Ia(40,f|0,148920,21)|0;x=B;B=0;do if(!(x&1)?(B=0,wa(510,g|0,s|0),w=B,B=0,!(w&1)):0){B=0;ya(425,g|0)|0;w=B;B=0;if(w&1){w=Rb()|0;d=Q;Yua(g);G=d;H=w;break}else{Yua(g);k[f>>2]=27468;k[o>>2]=27488;k[s>>2]=27560;Yua(n);Ava(s);vva(o);break b}}else y=30;while(0);if((y|0)==30){x=Rb()|0;G=Q;H=x}k[f>>2]=27468;k[o>>2]=27488;k[s>>2]=27560;Yua(n);Ava(s);vva(o);z=G;A=H;Qb(A|0)}while(0);C=E;D=F;vva(o);Qb(D|0)}while(0);yh(a,486,480);ipa(a);if(!(CY()|0)){k[c>>2]=934;I=a+48|0;fi(a,I,c,1,1);r=b;return}D=h+56|0;F=h+4|0;k[h>>2]=27524;k[D>>2]=27544;B=0;wa(508,h+56|0,F|0);E=B;B=0;if(E&1){E=Rb()|0;J=Q;K=E;vva(D);Qb(K|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[D>>2]=27488;B=0;va(448,F|0);E=B;B=0;do if(E&1){C=Rb()|0;L=Q;M=C}else{k[F>>2]=27560;C=h+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,F|0,c|0);H=B;B=0;if(H&1){H=Rb()|0;G=Q;Yua(c);Yua(C);Ava(F);L=G;M=H;break}Yua(c);B=0;Ia(40,h|0,148942,18)|0;H=B;B=0;do if(!(H&1)?(B=0,wa(510,i|0,F|0),G=B,B=0,!(G&1)):0){B=0;ya(425,i|0)|0;G=B;B=0;if(G&1){G=Rb()|0;f=Q;Yua(i);N=f;O=G;break}Yua(i);k[h>>2]=27468;k[D>>2]=27488;k[F>>2]=27560;Yua(C);Ava(F);vva(D);k[c>>2]=934;I=a+48|0;fi(a,I,c,1,1);r=b;return}else y=46;while(0);if((y|0)==46){H=Rb()|0;N=Q;O=H}k[h>>2]=27468;k[D>>2]=27488;k[F>>2]=27560;Yua(C);Ava(F);vva(D);z=N;A=O;Qb(A|0)}while(0);J=L;K=M;vva(D);Qb(K|0)}function ipa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;b=r;r=r+32|0;c=b+28|0;d=b+24|0;e=b+20|0;f=b+16|0;g=b+12|0;h=b+8|0;i=b+4|0;j=b;k[c>>2]=0;k[d>>2]=0;k[e>>2]=0;k[f>>2]=0;k[g>>2]=0;k[h>>2]=0;k[i>>2]=0;l=a+44|0;cO(k[l>>2]|0,j,478);Eh(a);ooa(c,d,g,h,0,a);m=a+24|0;poa(i,k[m>>2]|0,k[j>>2]|0);Loa(k[g>>2]|0,k[d>>2]|0,k[i>>2]|0,1);j=k[d>>2]|0;if(j){if((k[j>>2]|0)!=0?(d=k[j+4>>2]|0,(d|0)!=0):0){n=k[d>>2]|0;if(n)Ec[k[(k[n>>2]|0)+4>>2]&1023](n);Sqa(d)}Sqa(j)}Poa(f,k[c>>2]|0,k[g>>2]|0,0,k[h>>2]|0,k[l>>2]|0);j=k[c>>2]|0;if(j){if((k[j>>2]|0)!=0?(c=k[j+4>>2]|0,(c|0)!=0):0){d=k[c>>2]|0;if(d)Ec[k[(k[d>>2]|0)+4>>2]&1023](d);Sqa(c)}Sqa(j)}j=k[g>>2]|0;if(j){if((k[j>>2]|0)!=0?(g=k[j+4>>2]|0,(g|0)!=0):0){c=k[g>>2]|0;if(c)Ec[k[(k[c>>2]|0)+4>>2]&1023](c);Sqa(g)}Sqa(j)}j=k[h>>2]|0;if(j){if((k[j>>2]|0)!=0?(h=k[j+4>>2]|0,(h|0)!=0):0){g=k[h>>2]|0;if(g)Ec[k[(k[g>>2]|0)+4>>2]&1023](g);Sqa(h)}Sqa(j)}Roa(e,k[f>>2]|0,k[i>>2]|0,k[m>>2]|0,k[l>>2]|0,1);l=k[i>>2]|0;if(l){if((k[l>>2]|0)!=0?(i=k[l+4>>2]|0,(i|0)!=0):0){m=k[i>>2]|0;if(m)Ec[k[(k[m>>2]|0)+4>>2]&1023](m);Sqa(i)}Sqa(l)}xoa(a,k[e>>2]|0);a=k[e>>2]|0;if(a){if((k[a>>2]|0)!=0?(e=k[a+4>>2]|0,(e|0)!=0):0){l=k[e>>2]|0;if(l)Ec[k[(k[l>>2]|0)+4>>2]&1023](l);Sqa(e)}Sqa(a)}a=k[f>>2]|0;if(!a){r=b;return}if((k[a>>2]|0)!=0?(f=k[a+4>>2]|0,(f|0)!=0):0){e=k[f>>2]|0;if(e)Ec[k[(k[e>>2]|0)+4>>2]&1023](e);Sqa(f)}Sqa(a);r=b;return}function jpa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0;b=r;r=r+256|0;c=b+240|0;d=b+236|0;e=b+232|0;f=b+228|0;g=b+224|0;h=b+220|0;j=b+216|0;l=b+212|0;m=b+208|0;n=b+204|0;o=b+200|0;q=b+196|0;s=b+192|0;t=b+188|0;u=b+252|0;v=b+180|0;w=b+176|0;x=b+16|0;y=b+8|0;z=b;A=b+40|0;C=b+24|0;k[d>>2]=0;k[e>>2]=0;k[f>>2]=0;k[g>>2]=0;k[h>>2]=0;k[j>>2]=0;k[l>>2]=0;k[m>>2]=0;k[n>>2]=0;k[o>>2]=0;k[q>>2]=0;k[s>>2]=0;k[t>>2]=0;D=a+44|0;cO(k[D>>2]|0,b+184|0,80);cO(k[D>>2]|0,v,72);dO(k[D>>2]|0,x,78);dO(k[D>>2]|0,y,75);dO(k[D>>2]|0,z,69);Eh(a);i[u>>0]=0;xh(a,497);Aoa(f,a);E=a+24|0;Koa(g,k[f>>2]|0,k[E>>2]|0,k[D>>2]|0);F=1;G=0;while(1){xh(a,497);cO(k[D>>2]|0,w,478);xoa(a,k[f>>2]|0);H=k[f>>2]|0;if(H){if((k[H>>2]|0)!=0?(I=k[H+4>>2]|0,(I|0)!=0):0){J=k[I>>2]|0;if(J)Ec[k[(k[J>>2]|0)+4>>2]&1023](J);Sqa(I)}Sqa(H)}if(G){if((k[G>>2]|0)!=0?(H=k[G+4>>2]|0,(H|0)!=0):0){I=k[H>>2]|0;if(I)Ec[k[(k[I>>2]|0)+4>>2]&1023](I);Sqa(H)}Sqa(G)}H=k[g>>2]|0;ooa(d,e,h,j,0,a);poa(t,k[E>>2]|0,k[w>>2]|0);Loa(k[h>>2]|0,k[e>>2]|0,k[t>>2]|0,0);I=k[e>>2]|0;if(I){if((k[I>>2]|0)!=0?(J=k[I+4>>2]|0,(J|0)!=0):0){K=k[J>>2]|0;if(K)Ec[k[(k[K>>2]|0)+4>>2]&1023](K);Sqa(J)}Sqa(I)}Poa(g,k[d>>2]|0,k[h>>2]|0,H,k[j>>2]|0,k[D>>2]|0);Roa(f,k[g>>2]|0,k[t>>2]|0,k[E>>2]|0,k[D>>2]|0,0);I=k[t>>2]|0;if(I){if((k[I>>2]|0)!=0?(J=k[I+4>>2]|0,(J|0)!=0):0){K=k[J>>2]|0;if(K)Ec[k[(k[K>>2]|0)+4>>2]&1023](K);Sqa(J)}Sqa(I)}xoa(a,k[f>>2]|0);Zoa(u,k[d>>2]|0,k[h>>2]|0,k[g>>2]|0,H,+p[x>>3],+p[y>>3],+p[z>>3]);I=k[d>>2]|0;if(I){if((k[I>>2]|0)!=0?(J=k[I+4>>2]|0,(J|0)!=0):0){K=k[J>>2]|0;if(K)Ec[k[(k[K>>2]|0)+4>>2]&1023](K);Sqa(J)}Sqa(I)}I=k[h>>2]|0;if(I){if((k[I>>2]|0)!=0?(J=k[I+4>>2]|0,(J|0)!=0):0){K=k[J>>2]|0;if(K)Ec[k[(k[K>>2]|0)+4>>2]&1023](K);Sqa(J)}Sqa(I)}I=k[j>>2]|0;if(I){if((k[I>>2]|0)!=0?(J=k[I+4>>2]|0,(J|0)!=0):0){K=k[J>>2]|0;if(K)Ec[k[(k[K>>2]|0)+4>>2]&1023](K);Sqa(J)}Sqa(I)}xh(a,500);cO(k[D>>2]|0,w,478);ooa(l,m,q,s,0,a);poa(t,k[E>>2]|0,k[w>>2]|0);Loa(k[q>>2]|0,k[m>>2]|0,k[t>>2]|0,0);I=k[m>>2]|0;if(I){if((k[I>>2]|0)!=0?(J=k[I+4>>2]|0,(J|0)!=0):0){K=k[J>>2]|0;if(K)Ec[k[(k[K>>2]|0)+4>>2]&1023](K);Sqa(J)}Sqa(I)}Poa(o,k[l>>2]|0,k[q>>2]|0,0,k[s>>2]|0,k[D>>2]|0);I=k[l>>2]|0;if(I){if((k[I>>2]|0)!=0?(J=k[I+4>>2]|0,(J|0)!=0):0){K=k[J>>2]|0;if(K)Ec[k[(k[K>>2]|0)+4>>2]&1023](K);Sqa(J)}Sqa(I)}I=k[q>>2]|0;if(I){if((k[I>>2]|0)!=0?(J=k[I+4>>2]|0,(J|0)!=0):0){K=k[J>>2]|0;if(K)Ec[k[(k[K>>2]|0)+4>>2]&1023](K);Sqa(J)}Sqa(I)}I=k[s>>2]|0;if(I){if((k[I>>2]|0)!=0?(J=k[I+4>>2]|0,(J|0)!=0):0){K=k[J>>2]|0;if(K)Ec[k[(k[K>>2]|0)+4>>2]&1023](K);Sqa(J)}Sqa(I)}Roa(n,k[o>>2]|0,k[t>>2]|0,k[E>>2]|0,k[D>>2]|0,0);I=k[o>>2]|0;if(I){if((k[I>>2]|0)!=0?(J=k[I+4>>2]|0,(J|0)!=0):0){K=k[J>>2]|0;if(K)Ec[k[(k[K>>2]|0)+4>>2]&1023](K);Sqa(J)}Sqa(I)}I=k[t>>2]|0;if(I){if((k[I>>2]|0)!=0?(J=k[I+4>>2]|0,(J|0)!=0):0){K=k[J>>2]|0;if(K)Ec[k[(k[K>>2]|0)+4>>2]&1023](K);Sqa(J)}Sqa(I)}xoa(a,k[n>>2]|0);I=k[n>>2]|0;if(I){if((k[I>>2]|0)!=0?(J=k[I+4>>2]|0,(J|0)!=0):0){K=k[J>>2]|0;if(K)Ec[k[(k[K>>2]|0)+4>>2]&1023](K);Sqa(J)}Sqa(I)}F=F+1|0;if(i[u>>0]|0){L=H;break}if((F|0)>=(k[v>>2]|0)){M=H;N=102;break}else G=H}a:do if((N|0)==102){G=A+56|0;F=A+4|0;k[A>>2]=27524;k[G>>2]=27544;B=0;wa(508,A+56|0,F|0);u=B;B=0;if(u&1){u=Rb()|0;O=Q;P=u;vva(G);Qb(P|0)}k[A+128>>2]=0;k[A+132>>2]=-1;k[A>>2]=27468;k[G>>2]=27488;B=0;va(448,F|0);u=B;B=0;do if(u&1){n=Rb()|0;R=Q;S=n}else{k[F>>2]=27560;n=A+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[A+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,F|0,c|0);a=B;B=0;if(a&1){a=Rb()|0;t=Q;Yua(c);Yua(n);Ava(F);R=t;S=a;break}Yua(c);B=0;a=Ia(40,A|0,148961,33)|0;t=B;B=0;if(((!(t&1)?(B=0,t=Xa(242,a|0,k[v>>2]|0)|0,a=B,B=0,!(a&1)):0)?(B=0,Ia(40,t|0,148995,11)|0,t=B,B=0,!(t&1)):0)?(B=0,wa(510,C|0,F|0),t=B,B=0,!(t&1)):0){B=0;ya(425,C|0)|0;t=B;B=0;if(!(t&1)){Yua(C);k[A>>2]=27468;k[G>>2]=27488;k[F>>2]=27560;Yua(n);Ava(F);vva(G);L=M;break a}t=Rb()|0;a=Q;Yua(C);T=a;U=t;k[A>>2]=27468;k[G>>2]=27488;k[F>>2]=27560;Yua(n);Ava(F);vva(G);Qb(U|0)}t=Rb()|0;T=Q;U=t;k[A>>2]=27468;k[G>>2]=27488;k[F>>2]=27560;Yua(n);Ava(F);vva(G);Qb(U|0)}while(0);O=R;P=S;vva(G);Qb(P|0)}while(0);if(L){if((k[L>>2]|0)!=0?(P=k[L+4>>2]|0,(P|0)!=0):0){S=k[P>>2]|0;if(S)Ec[k[(k[S>>2]|0)+4>>2]&1023](S);Sqa(P)}Sqa(L)}L=k[g>>2]|0;if(L){if((k[L>>2]|0)!=0?(g=k[L+4>>2]|0,(g|0)!=0):0){P=k[g>>2]|0;if(P)Ec[k[(k[P>>2]|0)+4>>2]&1023](P);Sqa(g)}Sqa(L)}L=k[f>>2]|0;if(!L){r=b;return}if((k[L>>2]|0)!=0?(f=k[L+4>>2]|0,(f|0)!=0):0){g=k[f>>2]|0;if(g)Ec[k[(k[g>>2]|0)+4>>2]&1023](g);Sqa(f)}Sqa(L);r=b;return}function kpa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;b=r;r=r+320|0;c=b;d=b+312|0;e=b+308|0;f=b+160|0;g=b+296|0;h=b+24|0;j=b+12|0;l=a+44|0;bO(k[l>>2]|0,d,759);cO(k[l>>2]|0,e,298);a:do if(CY()|0){m=f+56|0;n=f+4|0;k[f>>2]=27524;k[m>>2]=27544;B=0;wa(508,f+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;q=o;vva(m);Qb(q|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[m>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){s=Rb()|0;t=Q;u=s}else{k[n>>2]=27560;s=f+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,n|0,c|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(c);Yua(s);Ava(n);t=w;u=v;break}Yua(c);B=0;Ia(40,f|0,149007,40)|0;v=B;B=0;do if(!(v&1)?(B=0,wa(510,g|0,n|0),w=B,B=0,!(w&1)):0){B=0;ya(425,g|0)|0;w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(g);y=x;z=w;break}else{Yua(g);k[f>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);break a}}else A=14;while(0);if((A|0)==14){v=Rb()|0;y=Q;z=v}k[f>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);C=y;D=z;Qb(D|0)}while(0);p=t;q=u;vva(m);Qb(q|0)}while(0);xh(a,493);oO(k[l>>2]|0,993,576);Voa(a);if(!((k[e>>2]|0)!=301?(oO(k[l>>2]|0,994,576),Voa(a),(k[e>>2]|0)!=301):0)){oO(k[l>>2]|0,993,575);y_(a)}if(!(i[d>>0]|0)){r=b;return}b:do if(CY()|0){d=h+56|0;l=h+4|0;k[h>>2]=27524;k[d>>2]=27544;B=0;wa(508,h+56|0,l|0);q=B;B=0;if(q&1){q=Rb()|0;E=Q;F=q;vva(d);Qb(F|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[d>>2]=27488;B=0;va(448,l|0);q=B;B=0;do if(q&1){u=Rb()|0;G=Q;H=u}else{k[l>>2]=27560;u=h+36|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;k[u+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,l|0,c|0);t=B;B=0;if(t&1){t=Rb()|0;p=Q;Yua(c);Yua(u);Ava(l);G=p;H=t;break}Yua(c);B=0;Ia(40,h|0,149048,16)|0;t=B;B=0;do if(!(t&1)?(B=0,wa(510,j|0,l|0),p=B,B=0,!(p&1)):0){B=0;ya(425,j|0)|0;p=B;B=0;if(p&1){p=Rb()|0;z=Q;Yua(j);I=z;J=p;break}else{Yua(j);k[h>>2]=27468;k[d>>2]=27488;k[l>>2]=27560;Yua(u);Ava(l);vva(d);break b}}else A=34;while(0);if((A|0)==34){t=Rb()|0;I=Q;J=t}k[h>>2]=27468;k[d>>2]=27488;k[l>>2]=27560;Yua(u);Ava(l);vva(d);C=I;D=J;Qb(D|0)}while(0);E=G;F=H;vva(d);Qb(F|0)}while(0);if((k[e>>2]|0)==301){k[c>>2]=993;fi(a,a+48|0,c,1,1);r=b;return}else{e=c;k[e>>2]=993;k[e+4>>2]=994;fi(a,a+48|0,c,2,1);r=b;return}}function lpa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;c=r;r=r+16|0;d=c+4|0;e=c;k[d>>2]=0;k[e>>2]=0;a:do if((bL(a)|0)>0){f=0;while(1){g=qh(a,f)|0;if(ed[k[(k[g>>2]|0)+60>>2]&511](g,b)|0?(ph(a,f)|0)==610:0)break;f=f+1|0;if((f|0)>=(bL(a)|0))break a}k[d>>2]=1}while(0);nZ(d,e,1,4,4,0,uY()|0)|0;uY()|0;r=c;return k[e>>2]|0}function mpa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;f=r;r=r+176|0;g=f+156|0;h=f+152|0;i=f+16|0;j=f;k[h>>2]=0;npa(h,c,e);l=k[h>>2]|0;m=(l|0)==0&1;if(opa(c,e)|0){k[h>>2]=0;n=0;o=1;k[a>>2]=o;k[b>>2]=n;r=f;return}if((l|0)>(d|0)){n=l;o=m;k[a>>2]=o;k[b>>2]=n;r=f;return}a:do if(BY()|0){d=i+56|0;h=i+4|0;k[i>>2]=27524;k[d>>2]=27544;B=0;wa(508,i+56|0,h|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;s=p;vva(d);Qb(s|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);p=B;B=0;do if(p&1){t=Rb()|0;u=Q;v=t}else{k[h>>2]=27560;t=i+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[i+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,h|0,g|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(g);Yua(t);Ava(h);u=x;v=w;break}Yua(g);B=0;Ia(40,i|0,149065,24)|0;w=B;B=0;if(!(w&1)?(B=0,wa(510,j|0,h|0),w=B,B=0,!(w&1)):0){B=0;ya(425,j|0)|0;w=B;B=0;if(!(w&1)){Yua(j);k[i>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(t);Ava(h);vva(d);break a}w=Rb()|0;x=Q;Yua(j);y=x;z=w;k[i>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(t);Ava(h);vva(d);Qb(z|0)}w=Rb()|0;y=Q;z=w;k[i>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(t);Ava(h);vva(d);Qb(z|0)}while(0);q=u;s=v;vva(d);Qb(s|0)}while(0);if((bL(c)|0)<=0){n=l;o=m;k[a>>2]=o;k[b>>2]=n;r=f;return}s=0;do{if((ph(c,s)|0)==610?(v=qh(c,s)|0,ed[k[(k[v>>2]|0)+60>>2]&511](v,e)|0):0)a1(v);s=s+1|0}while((s|0)<(bL(c)|0));n=l;o=m;k[a>>2]=o;k[b>>2]=n;r=f;return}function npa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=r;r=r+16|0;e=d+8|0;f=d+4|0;g=d;k[g>>2]=0;if((bL(b)|0)>0){h=0;do{if((ph(b,h)|0)==610?(i=qh(b,h)|0,ed[k[(k[i>>2]|0)+60>>2]&511](i,c)|0):0){$0(i,e)|0;k[g>>2]=(k[g>>2]|0)+(k[e>>2]|0)}h=h+1|0}while((h|0)<(bL(b)|0))}nZ(g,f,1,4,4,0,uY()|0)|0;uY()|0;k[a>>2]=k[f>>2];r=d;return}function opa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;c=r;r=r+16|0;d=c+4|0;e=c;k[d>>2]=0;k[e>>2]=0;a:do if((bL(a)|0)>0){f=0;while(1){if(((ph(a,f)|0)==610?(g=qh(a,f)|0,ed[k[(k[g>>2]|0)+60>>2]&511](g,b)|0):0)?b1(g)|0:0)break;f=f+1|0;if((f|0)>=(bL(a)|0))break a}k[d>>2]=1}while(0);nZ(d,e,1,4,1,0,uY()|0)|0;uY()|0;r=c;return k[e>>2]|0}function ppa(a){a=a|0;k[a>>2]=1073741823;return}function qpa(a){a=a|0;return k[a+64>>2]&16|0}function rpa(a){a=a|0;return k[a+64>>2]&64|0}function spa(a){a=a|0;var b=0;b=a+64|0;k[b>>2]=k[b>>2]|4;return}function tpa(a){a=a|0;var b=0;b=a+64|0;k[b>>2]=k[b>>2]|8;return}function upa(a){a=a|0;var b=0;b=a+64|0;k[b>>2]=k[b>>2]|16;return}function vpa(a){a=a|0;var b=0;b=a+64|0;k[b>>2]=k[b>>2]&1007;return}function wpa(a){a=a|0;var b=0;b=a+64|0;k[b>>2]=k[b>>2]|64;return}function xpa(a){a=a|0;return k[a+68>>2]&4|0}function ypa(a){a=a|0;return k[a+68>>2]&6|0}function zpa(a){a=a|0;var b=0;b=a+68|0;k[b>>2]=k[b>>2]|4;return}function Apa(a){a=a|0;var b=0;b=a+68|0;k[b>>2]=k[b>>2]|2;return}function Bpa(a){a=a|0;var b=0,c=0;b=a+80|0;c=a;a=c+72|0;do{k[c>>2]=0;c=c+4|0}while((c|0)<(a|0));p[b>>3]=.17453292519943295;return}function Cpa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0.0,T=0,U=0,V=0,W=0,X=0.0,Y=0,Z=0,_=0,$=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0.0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0.0,Db=0,Eb=0,Fb=0,Gb=0.0,Hb=0,Ib=0,Jb=0.0,Kb=0.0,Lb=0,Mb=0,Nb=0.0,Ob=0.0,Pb=0.0,Sb=0.0,Tb=0.0,Ub=0.0,Vb=0,Wb=0.0,Xb=0.0,Yb=0.0,Zb=0.0,_b=0,$b=0.0,ac=0.0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0;b=r;r=r+1056|0;c=b+1044|0;d=b+1032|0;e=b+1020|0;f=b+1008|0;g=b+996|0;h=b+984|0;i=b+968|0;j=b+832|0;l=b+680|0;m=b+696|0;n=b+392|0;q=b+544|0;s=b+108|0;t=b+408|0;u=b+96|0;v=b+84|0;w=b+72|0;x=b+256|0;y=b+60|0;z=b+48|0;A=b+36|0;C=b+120|0;D=b+24|0;E=b+12|0;F=b;G=a+4|0;H=k[G>>2]|0;I=Rqa(H>>>0>1073741823?-1:H<<2)|0;H=a+8|0;J=k[H>>2]|0;K=J<<1;L=Rqa(K>>>0>1073741823?-1:K<<2)|0;K=Rqa(J>>>0>1073741823?-1:J<<2)|0;Lpa(i);a:do if((k[G>>2]|0)>0){J=a+20|0;M=a+72|0;N=a+40|0;O=a+48|0;P=0;while(1){R=k[J>>2]|0;S=+p[M>>3];T=~~(S*(+p[R+(P*72|0)+16>>3]-+p[O>>3]));U=R+(P*72|0)|0;k[U>>2]=~~(S*(+p[R+(P*72|0)+8>>3]-+p[N>>3]));k[U+4>>2]=T;T=k[J>>2]|0;B=0;U=Ia(45,i|0,k[T+(P*72|0)>>2]|0,k[T+(P*72|0)+4>>2]|0)|0;T=B;B=0;if(T&1){V=78;break}T=k[J>>2]|0;if((U|0)!=0?(R=U+8|0,S=+p[R>>3]-+p[T+(P*72|0)+8>>3],W=U+16|0,X=+p[W>>3]-+p[T+(P*72|0)+16>>3],(S<0.0?-S:S)+(X<0.0?-X:X)<1.0e-20):0){Y=U;Z=R;_=W;$=P;V=8;break}B=0;wa(523,i|0,T+(P*72|0)|0);T=B;B=0;if(T&1){V=78;break}P=P+1|0;T=k[G>>2]|0;if((P|0)>=(T|0)){ba=T;V=3;break}}if((V|0)==3){if((ba|0)<=0){ca=0;V=99;break}WEa(I|0,-1,((ba|0)>1?ba:1)<<2|0)|0;ca=1;V=99;break}else if((V|0)==8){P=j+56|0;N=j+4|0;k[j>>2]=27524;k[P>>2]=27544;B=0;wa(508,j+56|0,N|0);O=B;B=0;if(O&1){O=Rb()|0;da=Q;ea=O}else{k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[P>>2]=27488;B=0;va(448,N|0);O=B;B=0;do if(O&1){M=Rb()|0;fa=Q;ga=M}else{k[N>>2]=27560;M=j+36|0;k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;k[M+12>>2]=0;k[j+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,N|0,h|0);T=B;B=0;if(T&1){T=Rb()|0;W=Q;Yua(h);Yua(M);Ava(N);fa=W;ga=T;break}Yua(h);B=0;T=Ia(40,j|0,149155,19)|0;W=B;B=0;do if(((((!(W&1)?(B=0,R=Xa(253,T|0,k[Y+48>>2]|0)|0,U=B,B=0,!(U&1)):0)?(B=0,U=Ia(40,R|0,149175,1)|0,R=B,B=0,!(R&1)):0)?(B=0,R=Xa(253,U|0,k[(k[J>>2]|0)+($*72|0)+48>>2]|0)|0,U=B,B=0,!(U&1)):0)?(B=0,Ia(40,R|0,149177,1)|0,R=B,B=0,!(R&1)):0)?(B=0,wa(510,l|0,N|0),R=B,B=0,!(R&1)):0){B=0;ya(424,l|0)|0;R=B;B=0;if(R&1){R=Rb()|0;U=Q;Yua(l);ha=R;ja=U;break}Yua(l);k[j>>2]=27468;k[P>>2]=27488;k[N>>2]=27560;Yua(M);Ava(N);vva(P);U=m+56|0;R=m+4|0;k[m>>2]=27524;k[U>>2]=27544;B=0;wa(508,m+56|0,R|0);ka=B;B=0;if(ka&1){ka=Rb()|0;la=Q;ma=ka}else{k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[U>>2]=27488;B=0;va(448,R|0);ka=B;B=0;do if(ka&1){na=Rb()|0;oa=Q;pa=na}else{k[R>>2]=27560;na=m+36|0;k[na>>2]=0;k[na+4>>2]=0;k[na+8>>2]=0;k[na+12>>2]=0;k[m+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,R|0,g|0);qa=B;B=0;if(qa&1){qa=Rb()|0;ra=Q;Yua(g);Yua(na);Ava(R);oa=ra;pa=qa;break}Yua(g);B=0;qa=Ia(40,m|0,149179,4)|0;ra=B;B=0;do if(ra&1)V=83;else{B=0;sa=Xa(253,qa|0,$+1|0)|0;ta=B;B=0;if(ta&1){V=83;break}B=0;Ia(40,sa|0,149177,1)|0;sa=B;B=0;if(sa&1){V=83;break}B=0;wa(510,n|0,R|0);sa=B;B=0;if(sa&1){V=83;break}B=0;ya(424,n|0)|0;sa=B;B=0;if(sa&1){sa=Rb()|0;ta=Q;Yua(n);xa=sa;za=ta;break}Yua(n);k[m>>2]=27468;k[U>>2]=27488;k[R>>2]=27560;Yua(na);Ava(R);vva(U);ta=q+56|0;sa=q+4|0;k[q>>2]=27524;k[ta>>2]=27544;B=0;wa(508,q+56|0,sa|0);Aa=B;B=0;if(Aa&1){Aa=Rb()|0;Ba=Q;Ca=Aa}else{k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[ta>>2]=27488;B=0;va(448,sa|0);Aa=B;B=0;do if(Aa&1){Da=Rb()|0;Ea=Q;Fa=Da}else{k[sa>>2]=27560;Da=q+36|0;k[Da>>2]=0;k[Da+4>>2]=0;k[Da+8>>2]=0;k[Da+12>>2]=0;k[q+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,sa|0,f|0);Ga=B;B=0;if(Ga&1){Ga=Rb()|0;Ha=Q;Yua(f);Yua(Da);Ava(sa);Ea=Ha;Fa=Ga;break}Yua(f);B=0;Ga=Ia(40,q|0,149184,9)|0;Ha=B;B=0;do if(Ha&1)V=86;else{B=0;Ja=Sa(1,Ga|0,+(+p[Z>>3]))|0;Ka=B;B=0;if(Ka&1){V=86;break}B=0;Ka=Ia(40,Ja|0,149175,1)|0;Ja=B;B=0;if(Ja&1){V=86;break}B=0;Ja=Sa(1,Ka|0,+(+p[_>>3]))|0;Ka=B;B=0;if(Ka&1){V=86;break}B=0;Ka=Ia(40,Ja|0,149194,3)|0;Ja=B;B=0;if(Ja&1){V=86;break}B=0;Ja=Sa(1,Ka|0,+(+p[(k[J>>2]|0)+($*72|0)+8>>3]))|0;Ka=B;B=0;if(Ka&1){V=86;break}B=0;Ka=Ia(40,Ja|0,149175,1)|0;Ja=B;B=0;if(Ja&1){V=86;break}B=0;Ja=Sa(1,Ka|0,+(+p[(k[J>>2]|0)+($*72|0)+16>>3]))|0;Ka=B;B=0;if(Ka&1){V=86;break}B=0;Ia(40,Ja|0,149198,2)|0;Ja=B;B=0;if(Ja&1){V=86;break}B=0;wa(510,s|0,sa|0);Ja=B;B=0;if(Ja&1){V=86;break}B=0;ya(424,s|0)|0;Ja=B;B=0;if(Ja&1){Ja=Rb()|0;Ka=Q;Yua(s);La=Ja;Ma=Ka;break}Yua(s);k[q>>2]=27468;k[ta>>2]=27488;k[sa>>2]=27560;Yua(Da);Ava(sa);vva(ta);Tqa(L);Tqa(I);Tqa(K);Ka=t+56|0;Ja=t+4|0;k[t>>2]=27524;k[Ka>>2]=27544;B=0;wa(508,t+56|0,Ja|0);Na=B;B=0;if(Na&1){Na=Rb()|0;Oa=Q;Pa=Na}else{k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[Ka>>2]=27488;B=0;va(448,Ja|0);Na=B;B=0;do if(Na&1){Qa=Rb()|0;Ra=Q;Ta=Qa}else{k[Ja>>2]=27560;Qa=t+36|0;k[Qa>>2]=0;k[Qa+4>>2]=0;k[Qa+8>>2]=0;k[Qa+12>>2]=0;k[t+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,Ja|0,e|0);Ua=B;B=0;if(Ua&1){Ua=Rb()|0;Va=Q;Yua(e);Yua(Qa);Ava(Ja);Ra=Va;Ta=Ua;break}Yua(e);B=0;Ua=Ia(40,t|0,149201,86)|0;Va=B;B=0;b:do if(Va&1)V=89;else{B=0;Xa(239,Ua|0,0)|0;Wa=B;B=0;if(Wa&1){V=89;break}Wa=Ab(20)|0;B=0;eb(502,u|0,149090,64);Ya=B;B=0;do if(!(Ya&1)){B=0;eb(502,v|0,149288,8);Za=B;B=0;if(Za&1){Za=Rb()|0;_a=Q;Yua(u);$a=_a;ab=Za;break}B=0;wa(510,w|0,Ja|0);Za=B;B=0;if(Za&1){Za=Rb()|0;bb=1;cb=Za;db=Q}else{B=0;ua(163,Wa|0,u|0,v|0,485,w|0);Za=B;B=0;if(Za&1)fb=1;else{B=0;eb(503,Wa|0,1240,229);B=0;fb=0}Za=Rb()|0;_a=Q;Yua(w);bb=fb;cb=Za;db=_a}Yua(v);Yua(u);if(bb){$a=db;ab=cb}else{gb=cb;hb=db;break b}}else{_a=Rb()|0;$a=Q;ab=_a}while(0);zb(Wa|0);gb=ab;hb=$a}while(0);if((V|0)==89){Ua=Rb()|0;gb=Ua;hb=Q}k[t>>2]=27468;k[Ka>>2]=27488;k[Ja>>2]=27560;Yua(Qa);Ava(Ja);vva(Ka);ib=gb;jb=hb;Opa(i);Qb(ib|0)}while(0);Oa=Ra;Pa=Ta}vva(Ka);kb=Oa;lb=Pa;break a}while(0);if((V|0)==86){Ga=Rb()|0;La=Ga;Ma=Q}k[q>>2]=27468;k[ta>>2]=27488;k[sa>>2]=27560;Yua(Da);Ava(sa);vva(ta);ib=La;jb=Ma;Opa(i);Qb(ib|0)}while(0);Ba=Ea;Ca=Fa}vva(ta);kb=Ba;lb=Ca;break a}while(0);if((V|0)==83){qa=Rb()|0;xa=qa;za=Q}k[m>>2]=27468;k[U>>2]=27488;k[R>>2]=27560;Yua(na);Ava(R);vva(U);ib=xa;jb=za;Opa(i);Qb(ib|0)}while(0);la=oa;ma=pa}vva(U);kb=la;lb=ma;break a}else V=80;while(0);if((V|0)==80){T=Rb()|0;ha=T;ja=Q}k[j>>2]=27468;k[P>>2]=27488;k[N>>2]=27560;Yua(M);Ava(N);vva(P);ib=ha;jb=ja;Opa(i);Qb(ib|0)}while(0);da=fa;ea=ga}vva(P);kb=da;lb=ea;break}else if((V|0)==78){N=Rb()|0;kb=Q;lb=N;break}}else{ca=0;V=99}while(0);c:do if((V|0)==99){ea=k[H>>2]|0;d:do if((ea|0)>0){da=k[a+24>>2]|0;ga=a+20|0;fa=0;ja=0;while(1){ha=k[da+(fa*72|0)+4>>2]|0;j=k[da+(fa*72|0)>>2]|0;X=+p[ha+8>>3]-+p[j+8>>3];S=+p[ha+16>>3]-+p[j+16>>3];if(+aa(+(X*X+S*S))==0.0){mb=fa;break}nb=+ia(+S,+X);o[K+(fa<<2)>>2]=nb;ma=k[ga>>2]|0;la=I+(((j-ma|0)/72|0)<<2)|0;k[L+(ja<<2)>>2]=k[la>>2];j=ja|1;k[la>>2]=ja;la=I+(((ha-ma|0)/72|0)<<2)|0;k[L+(j<<2)>>2]=k[la>>2];k[la>>2]=j;fa=fa+1|0;if((fa|0)>=(ea|0))break d;else ja=ja+2|0}Tqa(L);Tqa(I);Tqa(K);ja=x+56|0;fa=x+4|0;k[x>>2]=27524;k[ja>>2]=27544;B=0;wa(508,x+56|0,fa|0);ga=B;B=0;if(ga&1){ga=Rb()|0;ob=Q;pb=ga}else{k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[ja>>2]=27488;B=0;va(448,fa|0);ga=B;B=0;do if(ga&1){da=Rb()|0;qb=Q;rb=da}else{k[fa>>2]=27560;da=x+36|0;k[da>>2]=0;k[da+4>>2]=0;k[da+8>>2]=0;k[da+12>>2]=0;k[x+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,fa|0,d|0);M=B;B=0;if(M&1){M=Rb()|0;j=Q;Yua(d);Yua(da);Ava(fa);qb=j;rb=M;break}Yua(d);B=0;M=Ia(40,x|0,149297,15)|0;j=B;B=0;e:do if(((!(j&1)?(B=0,la=Xa(253,M|0,mb|0)|0,ma=B,B=0,!(ma&1)):0)?(B=0,ma=Ia(40,la|0,149313,5)|0,la=B,B=0,!(la&1)):0)?(B=0,Xa(239,ma|0,0)|0,ma=B,B=0,!(ma&1)):0){ma=Ab(20)|0;B=0;eb(502,y|0,149090,64);la=B;B=0;do if(!(la&1)){B=0;eb(502,z|0,149288,8);ha=B;B=0;if(ha&1){ha=Rb()|0;pa=Q;Yua(y);sb=ha;tb=pa;break}B=0;wa(510,A|0,fa|0);pa=B;B=0;if(pa&1){pa=Rb()|0;ub=1;vb=pa;wb=Q}else{B=0;ua(163,ma|0,y|0,z|0,563,A|0);pa=B;B=0;if(pa&1)xb=1;else{B=0;eb(503,ma|0,1240,229);B=0;xb=0}pa=Rb()|0;ha=Q;Yua(A);ub=xb;vb=pa;wb=ha}Yua(z);Yua(y);if(ub){sb=vb;tb=wb}else{yb=vb;Bb=wb;break e}}else{ha=Rb()|0;sb=ha;tb=Q}while(0);zb(ma|0);yb=sb;Bb=tb}else V=121;while(0);if((V|0)==121){M=Rb()|0;yb=M;Bb=Q}k[x>>2]=27468;k[ja>>2]=27488;k[fa>>2]=27560;Yua(da);Ava(fa);vva(ja);ib=yb;jb=Bb;Opa(i);Qb(ib|0)}while(0);ob=qb;pb=rb}vva(ja);kb=ob;lb=pb;break c}while(0);do if(ca){P=a+80|0;fa=a+24|0;ga=a+20|0;M=0;f:while(1){j=I+(M<<2)|0;U=k[j>>2]|0;g:do if((U|0)>-1){nb=-1.0e3;la=0;na=U;ha=0;pa=j;oa=j;while(1){za=la;xa=na;m=ha;Ca=oa;while(1){m=m+1|0;Ba=Ca;Ca=L+(xa<<2)|0;Fa=xa;xa=k[Ca>>2]|0;X=+o[K+(((Fa|0)/2|0)<<2)>>2];if(!(Fa&1))Cb=X;else Cb=X+(X<0.0?3.141592653589793:-3.141592653589793);if(!(nb>Cb)){Db=m;Eb=Ca;Fb=xa;Gb=Cb;Hb=za;V=136;break}k[Ca>>2]=k[Ba>>2];k[Ba>>2]=k[pa>>2];k[pa>>2]=xa;if((xa|0)<=-1)break;else za=1}if((V|0)==136){V=0;if((Fb|0)>-1){za=pa;nb=Gb;la=Hb;na=Fb;ha=Db;pa=Eb;oa=za;continue}if(!Hb){Ib=Db;break}}za=k[j>>2]|0;if((za|0)>-1){nb=-1.0e3;la=0;na=za;ha=0;pa=j;oa=j}else{V=155;break g}}if((Ib|0)==2){oa=k[j>>2]|0;pa=k[L+(oa<<2)>>2]|0;ha=(oa|0)/2|0;na=(pa|0)/2|0;nb=+o[K+(ha<<2)>>2];if(!(oa&1))Jb=nb;else Jb=nb+(nb<0.0?3.141592653589793:-3.141592653589793);nb=+o[K+(na<<2)>>2];if(!(pa&1))Kb=nb+(nb<0.0?3.141592653589793:-3.141592653589793);else Kb=nb;nb=Kb-Jb;X=nb<0.0?-nb:nb;nb=+p[P>>3];if(!(!(X>=nb)|!(X<=6.283185307179586-nb))?(B=0,va(540,(k[ga>>2]|0)+(M*72|0)|0),pa=B,B=0,pa&1):0){V=77;break f}pa=k[fa>>2]|0;if((k[pa+(ha*72|0)+64>>2]|0)==(k[pa+(na*72|0)+64>>2]|0)){B=0;oa=ya(436,pa+(ha*72|0)|0)|0;pa=B;B=0;if(pa&1){V=77;break f}if(oa)V=152}else V=152;if((V|0)==152?(V=0,B=0,va(541,(k[ga>>2]|0)+(M*72|0)|0),oa=B,B=0,oa&1):0){V=77;break f}oa=k[fa>>2]|0;if((k[oa+(ha*72|0)+8>>2]|0)!=(k[oa+(na*72|0)+8>>2]|0)?(B=0,va(541,(k[ga>>2]|0)+(M*72|0)|0),na=B,B=0,na&1):0){V=77;break f}}else V=155}else V=155;while(0);if((V|0)==155?(V=0,B=0,va(540,(k[ga>>2]|0)+(M*72|0)|0),U=B,B=0,U&1):0){V=77;break}U=k[j>>2]|0;if((U|0)>-1){da=U;while(1){na=k[L+(da<<2)>>2]|0;if((na|0)>-1)da=na;else{Lb=da;break}}k[L+(Lb<<2)>>2]=U}M=M+1|0;if((M|0)>=(k[G>>2]|0)){V=131;break}}if((V|0)==77){M=Rb()|0;kb=Q;lb=M;break c}else if((V|0)==131){Mb=k[H>>2]|0;break}}else Mb=ea;while(0);ea=(Mb|0)>0;h:do if(ea){M=a+24|0;ga=k[M>>2]|0;fa=0;P=0;while(1){ja=k[L+(P<<2)>>2]|0;da=(ja|0)/2|0;j=(ja|0)%2|0;if((k[ga+(da*72|0)+(j<<2)>>2]|0)!=(k[ga+(fa*72|0)>>2]|0))break;k[ga+(da*72|0)+48+(j<<2)>>2]=ga+(fa*72|0);ja=k[M>>2]|0;k[ja+(da*72|0)+56+(j<<2)>>2]=0;j=k[L+((P|1)<<2)>>2]|0;da=(j|0)/2|0;na=(j|0)%2|0;if((k[ja+(da*72|0)+(na<<2)>>2]|0)!=(k[ja+(fa*72|0)+4>>2]|0))break;k[ja+(da*72|0)+48+(na<<2)>>2]=ja+(fa*72|0);ga=k[M>>2]|0;k[ga+(da*72|0)+56+(na<<2)>>2]=1;fa=fa+1|0;if((fa|0)>=(Mb|0)){V=161;break}else P=P+2|0}if((V|0)==161){if(!ea){V=162;break}P=a+24|0;fa=0;while(1){ga=k[P>>2]|0;M=k[ga+(fa*72|0)+4>>2]|0;na=k[ga+(fa*72|0)>>2]|0;nb=+p[M+8>>3]-+p[na+8>>3];X=+p[M+16>>3]-+p[na+16>>3];S=+aa(+(nb*nb+X*X));Nb=+p[ga+(fa*72|0)+16>>3];Ob=+p[ga+(fa*72|0)+24>>3];Pb=+aa(+(Nb*Nb+Ob*Ob));if(Pb==0.0){B=0;M=ya(437,na|0)|0;na=B;B=0;if(na&1){V=75;break}na=k[P>>2]|0;if(!M){M=k[na+(fa*72|0)+4>>2]|0;da=k[(k[na+(fa*72|0)+48>>2]|0)+(1-(k[na+(fa*72|0)+56>>2]|0)<<2)>>2]|0;Sb=+p[M+8>>3]-+p[da+8>>3];Tb=+p[M+16>>3]-+p[da+16>>3];Ub=S/+aa(+(Sb*Sb+Tb*Tb));Vb=na;Wb=S;Xb=Sb*Ub;Yb=Tb*Ub}else{Vb=na;Wb=Pb;Xb=Nb;Yb=Ob}}else{Ub=S/Pb;Vb=ga;Wb=S;Xb=Nb*Ub;Yb=Ob*Ub}ga=nb*Xb+X*Yb<0.0;p[Vb+(fa*72|0)+16>>3]=ga?-Xb:Xb;p[Vb+(fa*72|0)+24>>3]=ga?-Yb:Yb;ga=k[P>>2]|0;Ub=+p[ga+(fa*72|0)+32>>3];Ob=+p[ga+(fa*72|0)+40>>3];Nb=+aa(+(Ub*Ub+Ob*Ob));if(Nb==0.0){B=0;na=ya(437,k[ga+(fa*72|0)+4>>2]|0)|0;da=B;B=0;if(da&1){V=75;break}da=k[P>>2]|0;if(!na){na=k[da+(fa*72|0)>>2]|0;M=k[(k[da+(fa*72|0)+52>>2]|0)+(1-(k[da+(fa*72|0)+60>>2]|0)<<2)>>2]|0;Pb=+p[na+8>>3]-+p[M+8>>3];Tb=+p[na+16>>3]-+p[M+16>>3];Sb=S/+aa(+(Pb*Pb+Tb*Tb));Zb=S;_b=da;$b=Pb*Sb;ac=Tb*Sb}else{Zb=Nb;_b=da;$b=Ub;ac=Ob}}else{Sb=S/Nb;Zb=S;_b=ga;$b=Ub*Sb;ac=Ob*Sb}ga=nb*$b+X*ac<0.0;p[_b+(fa*72|0)+32>>3]=ga?-$b:$b;p[_b+(fa*72|0)+40>>3]=ga?-ac:ac;if(Wb!=0.0?(B=0,va(542,(k[P>>2]|0)+(fa*72|0)|0),ga=B,B=0,ga&1):0){V=76;break}if(Zb!=0.0?(B=0,va(543,(k[P>>2]|0)+(fa*72|0)|0),ga=B,B=0,ga&1):0){V=76;break}fa=fa+1|0;ga=k[H>>2]|0;if((fa|0)>=(ga|0)){bc=P;cc=ga;break h}}if((V|0)==75){P=Rb()|0;kb=Q;lb=P;break c}else if((V|0)==76){P=Rb()|0;kb=Q;lb=P;break c}}P=C+56|0;fa=C+4|0;k[C>>2]=27524;k[P>>2]=27544;B=0;wa(508,C+56|0,fa|0);ga=B;B=0;if(ga&1){ga=Rb()|0;dc=Q;ec=ga}else{k[C+128>>2]=0;k[C+132>>2]=-1;k[C>>2]=27468;k[P>>2]=27488;B=0;va(448,fa|0);ga=B;B=0;do if(ga&1){da=Rb()|0;fc=Q;gc=da}else{k[fa>>2]=27560;da=C+36|0;k[da>>2]=0;k[da+4>>2]=0;k[da+8>>2]=0;k[da+12>>2]=0;k[C+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,fa|0,c|0);M=B;B=0;if(M&1){M=Rb()|0;na=Q;Yua(c);Yua(da);Ava(fa);fc=na;gc=M;break}Yua(c);B=0;M=Ia(40,C|0,149319,51)|0;na=B;B=0;i:do if(!(na&1)?(B=0,Xa(239,M|0,0)|0,ja=B,B=0,!(ja&1)):0){ja=Ab(20)|0;B=0;eb(502,D|0,149090,64);j=B;B=0;do if(!(j&1)){B=0;eb(502,E|0,149288,8);oa=B;B=0;if(oa&1){oa=Rb()|0;ha=Q;Yua(D);hc=oa;ic=ha;break}B=0;wa(510,F|0,fa|0);ha=B;B=0;if(ha&1){ha=Rb()|0;jc=ha;kc=Q;lc=1}else{B=0;ua(163,ja|0,D|0,E|0,657,F|0);ha=B;B=0;if(ha&1)mc=1;else{B=0;eb(503,ja|0,1240,229);B=0;mc=0}ha=Rb()|0;oa=Q;Yua(F);jc=ha;kc=oa;lc=mc}Yua(E);Yua(D);if(lc){hc=jc;ic=kc}else{nc=jc;oc=kc;break i}}else{oa=Rb()|0;hc=oa;ic=Q}while(0);zb(ja|0);nc=hc;oc=ic}else V=179;while(0);if((V|0)==179){M=Rb()|0;nc=M;oc=Q}k[C>>2]=27468;k[P>>2]=27488;k[fa>>2]=27560;Yua(da);Ava(fa);vva(P);ib=nc;jb=oc;Opa(i);Qb(ib|0)}while(0);dc=fc;ec=gc}vva(P);kb=dc;lb=ec;break c}else V=162;while(0);if((V|0)==162){bc=a+24|0;cc=Mb}ea=a+16|0;fa=a+36|0;ga=cc;M=0;j:while(1){if((ga|0)>0){na=0;while(1){B=0;va(544,(k[bc>>2]|0)+(na*72|0)|0);U=B;B=0;if(U&1){V=73;break j}na=na+1|0;U=k[H>>2]|0;if((na|0)>=(U|0)){pc=U;break}}}else pc=ga;k[ea>>2]=0;na=pc;P=0;U=0;while(1){if((U|0)==(na|0))break;if((na|0)>0){j=(P|0)==0;oa=0;ha=U;while(1){pa=k[bc>>2]|0;la=pa+(oa*72|0)|0;B=0;ma=ya(438,la|0)|0;za=B;B=0;xa=za&1;if(j){if(xa){V=72;break j}if(!ma){za=pa+(oa*72|0)|0;B=0;Ca=ya(439,k[za>>2]|0)|0;m=B;B=0;if(m&1){V=72;break j}if(Ca){Ca=k[za>>2]|0;za=k[fa>>2]|0;if(!za){qc=la;rc=0;sc=ha}else{m=k[ea>>2]|0;k[za+(m<<4)>>2]=la;k[za+(m<<4)+8>>2]=0;qc=la;rc=0;sc=ha}while(1){m=1-rc|0;B=0;va(545,qc|0);za=B;B=0;if(za&1){V=70;break j}za=sc+1|0;k[qc+12>>2]=k[ea>>2];ta=k[qc+(m<<2)>>2]|0;if((Ca|0)==(ta|0)){tc=m;uc=za;vc=qc;break}B=0;Ba=ya(439,ta|0)|0;ta=B;B=0;if(ta&1){V=70;break j}if(Ba){tc=m;uc=za;vc=qc;break}Ba=k[qc+56+(m<<2)>>2]|0;qc=k[qc+48+(m<<2)>>2]|0;rc=Ba;sc=za}Ca=k[fa>>2]|0;ja=k[ea>>2]|0;if(Ca){k[Ca+(ja<<4)+4>>2]=vc;k[Ca+(ja<<4)+12>>2]=tc}k[ea>>2]=ja+1;wc=uc}else wc=ha}else wc=ha;B=0;ja=ya(438,la|0)|0;Ca=B;B=0;if(Ca&1){V=72;break j}if(!ja){ja=pa+(oa*72|0)+4|0;B=0;Ca=ya(439,k[ja>>2]|0)|0;za=B;B=0;if(za&1){V=72;break j}if(Ca){Ca=k[ja>>2]|0;ja=k[fa>>2]|0;if(!ja){xc=la;yc=1;zc=wc}else{za=k[ea>>2]|0;k[ja+(za<<4)>>2]=la;k[ja+(za<<4)+8>>2]=1;xc=la;yc=1;zc=wc}while(1){za=1-yc|0;B=0;va(545,xc|0);ja=B;B=0;if(ja&1){V=71;break j}ja=zc+1|0;k[xc+12>>2]=k[ea>>2];Ba=k[xc+(za<<2)>>2]|0;if((Ca|0)==(Ba|0)){Ac=za;Bc=ja;Cc=xc;break}B=0;m=ya(439,Ba|0)|0;Ba=B;B=0;if(Ba&1){V=71;break j}if(m){Ac=za;Bc=ja;Cc=xc;break}m=k[xc+56+(za<<2)>>2]|0;xc=k[xc+48+(za<<2)>>2]|0;yc=m;zc=ja}Ca=k[fa>>2]|0;ja=k[ea>>2]|0;if(Ca){k[Ca+(ja<<4)+4>>2]=Cc;k[Ca+(ja<<4)+12>>2]=Ac}k[ea>>2]=ja+1;Dc=Bc}else Dc=wc}else Dc=wc}else{if(xa){V=222;break j}if(!ma){ja=k[pa+(oa*72|0)>>2]|0;Ca=k[fa>>2]|0;if(!Ca){Ec=la;Fc=0;Gc=ha}else{m=k[ea>>2]|0;k[Ca+(m<<4)>>2]=la;k[Ca+(m<<4)+8>>2]=0;Ec=la;Fc=0;Gc=ha}while(1){m=1-Fc|0;B=0;va(545,Ec|0);Ca=B;B=0;if(Ca&1){V=223;break j}Ca=Gc+1|0;k[Ec+12>>2]=k[ea>>2];za=k[Ec+(m<<2)>>2]|0;if((ja|0)==(za|0)){Hc=m;Ic=Ca;Jc=Ec;break}B=0;Ba=ya(439,za|0)|0;za=B;B=0;if(za&1){V=223;break j}if(Ba){Hc=m;Ic=Ca;Jc=Ec;break}Ba=k[Ec+56+(m<<2)>>2]|0;Ec=k[Ec+48+(m<<2)>>2]|0;Fc=Ba;Gc=Ca}ma=k[fa>>2]|0;xa=k[ea>>2]|0;if(ma){k[ma+(xa<<4)+4>>2]=Jc;k[ma+(xa<<4)+12>>2]=Hc}k[ea>>2]=xa+1;B=0;va(541,ja|0);xa=B;B=0;if(xa&1){V=222;break j}else Kc=Ic}else Kc=ha;B=0;xa=ya(438,la|0)|0;ma=B;B=0;if(ma&1){V=222;break j}if(!xa){xa=k[pa+(oa*72|0)+4>>2]|0;ma=k[fa>>2]|0;if(!ma){Lc=la;Mc=1;Nc=Kc}else{Ca=k[ea>>2]|0;k[ma+(Ca<<4)>>2]=la;k[ma+(Ca<<4)+8>>2]=1;Lc=la;Mc=1;Nc=Kc}while(1){Ca=1-Mc|0;B=0;va(545,Lc|0);ma=B;B=0;if(ma&1){V=224;break j}ma=Nc+1|0;k[Lc+12>>2]=k[ea>>2];Ba=k[Lc+(Ca<<2)>>2]|0;if((xa|0)==(Ba|0)){Oc=Ca;Pc=ma;Qc=Lc;break}B=0;m=ya(439,Ba|0)|0;Ba=B;B=0;if(Ba&1){V=224;break j}if(m){Oc=Ca;Pc=ma;Qc=Lc;break}m=k[Lc+56+(Ca<<2)>>2]|0;Lc=k[Lc+48+(Ca<<2)>>2]|0;Mc=m;Nc=ma}la=k[fa>>2]|0;pa=k[ea>>2]|0;if(la){k[la+(pa<<4)+4>>2]=Qc;k[la+(pa<<4)+12>>2]=Oc}k[ea>>2]=pa+1;B=0;va(541,xa|0);pa=B;B=0;if(pa&1){V=222;break j}else Dc=Pc}else Dc=Kc}oa=oa+1|0;pa=k[H>>2]|0;if((oa|0)>=(pa|0)){Rc=pa;Sc=Dc;break}else ha=Dc}}else{Rc=na;Sc=U}P=P+1|0;if((P|0)>=2)break;else{na=Rc;U=Sc}}if(!M){U=k[ea>>2]|0;B=0;na=ya(422,(U>>>0>268435455?-1:U<<4)|0)|0;P=B;B=0;if(P&1){V=74;break}if(U){P=na+(U<<4)|0;U=na;do{B=0;va(546,U|0);ha=B;B=0;if(ha&1){Tc=na;V=247;break j}U=U+16|0}while((U|0)!=(P|0))}k[fa>>2]=na}P=M+1|0;if((P|0)>=2){V=250;break}ga=k[H>>2]|0;M=P}switch(V|0){case 70:{M=Rb()|0;kb=Q;lb=M;break c;break}case 71:{M=Rb()|0;kb=Q;lb=M;break c;break}case 72:{M=Rb()|0;kb=Q;lb=M;break c;break}case 73:{M=Rb()|0;kb=Q;lb=M;break c;break}case 74:{M=Rb()|0;kb=Q;lb=M;break c;break}case 222:{M=Rb()|0;kb=Q;lb=M;break c;break}case 223:{M=Rb()|0;kb=Q;lb=M;break c;break}case 224:{M=Rb()|0;kb=Q;lb=M;break c;break}case 247:{M=Rb()|0;ga=Q;Tqa(Tc);ib=M;jb=ga;Opa(i);Qb(ib|0);break}case 250:{Tqa(L);Tqa(I);Tqa(K);Opa(i);r=b;return}}}while(0);ib=lb;jb=kb;Opa(i);Qb(ib|0)}function Dpa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;b=r;r=r+176|0;c=b+152|0;d=b+16|0;e=b;if((k[a>>2]|0)<=0){f=a+20|0;g=k[f>>2]|0;if(g)Tqa(g);k[f>>2]=0;f=a+24|0;g=k[f>>2]|0;if(g)Tqa(g);k[f>>2]=0;f=a+28|0;g=k[f>>2]|0;if(g){Opa(g);Sqa(g)}k[f>>2]=0;f=a+36|0;g=k[f>>2]|0;if(g)Tqa(g);k[f>>2]=0;k[a+16>>2]=0;f=k[a+32>>2]|0;if(f)Tqa(f);f=a+80|0;g=a;a=g+40|0;do{k[g>>2]=0;g=g+4|0}while((g|0)<(a|0));p[f>>3]=.17453292519943295;r=b;return}f=d+56|0;g=d+4|0;k[d>>2]=27524;k[f>>2]=27544;B=0;wa(508,d+56|0,g|0);a=B;B=0;if(a&1){a=Rb(0)|0;h=a;vva(f);Dd(h)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[f>>2]=27488;B=0;va(448,g|0);a=B;B=0;do if(a&1){i=Rb(0)|0;j=i}else{k[g>>2]=27560;i=d+36|0;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;k[i+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);l=B;B=0;if(l&1){l=Rb(0)|0;Yua(c);Yua(i);Ava(g);j=l;break}Yua(c);B=0;Ia(40,d|0,149371,63)|0;l=B;B=0;if(!(l&1)?(B=0,wa(510,e|0,g|0),l=B,B=0,!(l&1)):0){B=0;ya(424,e|0)|0;l=B;B=0;if(l&1){l=Rb(0)|0;Yua(e);m=l;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(i);Ava(g);vva(f);Dd(m)}else{Yua(e);k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(i);Ava(g);vva(f);r=b;return}}l=Rb(0)|0;m=l;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(i);Ava(g);vva(f);Dd(m)}while(0);h=j;vva(f);Dd(h)}function Epa(a,b){a=a|0;b=b|0;return (b-(k[a+24>>2]|0)|0)/72|0|0}function Fpa(a,b){a=a|0;b=b|0;return (b-(k[a+20>>2]|0)|0)/72|0|0}function Gpa(a,b){a=a|0;b=b|0;return (b-(k[a+24>>2]|0)|0)/72|0|0}function Hpa(){ppa(41968);return}function Ipa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;k[a>>2]=b;k[a+4>>2]=0;p[a+8>>3]=-1.0;k[a+16>>2]=-1;d=a+20|0;e=Rqa(b>>>0>44739242?-1:b*96|0)|0;if(b){f=e+(b*96|0)|0;b=e;do{g=b+32|0;h=g+40|0;do{k[g>>2]=0;g=g+4|0}while((g|0)<(h|0));b=b+96|0}while((b|0)!=(f|0))}k[d>>2]=e;k[a+24>>2]=0;k[a+28>>2]=c;e=Rqa(c>>>0>89478485?-1:c*48|0)|0;k[a+32>>2]=e;return}function Jpa(a){a=a|0;var b=0,c=0;b=a+20|0;c=k[b>>2]|0;if(c){Tqa(c);k[b>>2]=0}b=a+32|0;a=k[b>>2]|0;if(!a)return;Tqa(a);k[b>>2]=0;return}function Kpa(a,b){a=a|0;b=+b;var c=0.0;c=1.0/(b*b);p[a>>3]=c;p[a+8>>3]=0.0;p[a+16>>3]=c;return}function Lpa(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+8|0;k[b>>2]=0;k[a+12>>2]=0;c=Qqa(36)|0;B=0;va(480,c|0);d=B;B=0;if(d&1){d=Rb()|0;Sqa(c);Qb(d|0)}else{k[a>>2]=c;d=Qqa(24)|0;k[d>>2]=41980;e=d+4|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;k[e+16>>2]=0;ih(c,d)|0;k[b>>2]=(k[b>>2]|0)+1;k[a+4>>2]=d;return}}function Mpa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=a+8|0;k[d>>2]=0;k[a+12>>2]=0;e=Qqa(36)|0;B=0;va(480,e|0);f=B;B=0;if(f&1){f=Rb()|0;Sqa(e);Qb(f|0)}k[a>>2]=e;f=Qqa(24)|0;k[f>>2]=41980;g=f+4|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;k[g+16>>2]=0;ih(e,f)|0;k[d>>2]=(k[d>>2]|0)+1;k[a+4>>2]=f;if((c|0)==-1)h=k[b+44>>2]|0;else h=c;if((h|0)<=0)return;c=b+8|0;b=0;do{Npa(a,(k[c>>2]|0)+(b*72|0)|0);b=b+1|0}while((b|0)!=(h|0));return}function Npa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;c=r;r=r+16|0;d=c;e=k[b>>2]|0;f=k[b+4>>2]|0;g=a+4|0;h=k[g>>2]|0;a:do if(!h){i=g;j=12}else{l=h;m=1073741824;while(1){n=l+4|0;o=k[n>>2]|0;if((o|0)>=0){p=l;q=o;s=m;break}k[n>>2]=o+-1;m=m>>1;o=(m&e|0)!=0;n=l+8+(((m&f|0)!=0?(o?3:2):o&1)<<2)|0;l=k[n>>2]|0;if(!l){i=n;j=12;break a}}if((q|0)>3)if((k[p+20>>2]|0)==(b|0)){r=c;return}else j=7;else if((q|0)<=2)if((q|0)<=1){if((q|0)>0)j=11}else j=9;else j=7;if((j|0)==7)if((k[p+16>>2]|0)==(b|0)){r=c;return}else j=9;if((j|0)==9)if((k[p+12>>2]|0)==(b|0)){r=c;return}else j=11;if((j|0)==11?(k[p+8>>2]|0)==(b|0):0){r=c;return}l=d+4|0;m=d+8|0;n=d+12|0;o=a+8|0;t=p;u=s;while(1){v=t+4|0;w=k[v>>2]|0;if((w|0)!=4){x=w;y=t;break a}w=t+8|0;k[d>>2]=k[w>>2];k[l>>2]=k[t+12>>2];k[m>>2]=k[t+16>>2];k[n>>2]=k[t+20>>2];k[v>>2]=-4;u=u>>1;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;w=k[d>>2]|0;v=(k[w>>2]&u|0)!=0;z=t+8+(((k[w+4>>2]&u|0)!=0?(v?3:2):v&1)<<2)|0;v=k[z>>2]|0;if(!v){A=Qqa(24)|0;k[A>>2]=41980;B=A+4|0;k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;k[B+12>>2]=0;k[B+16>>2]=0;ih(k[a>>2]|0,A)|0;k[o>>2]=(k[o>>2]|0)+1;k[z>>2]=A;C=k[d>>2]|0;D=A}else{C=w;D=v}v=D+4|0;w=k[v>>2]|0;k[v>>2]=w+1;k[D+8+(w<<2)>>2]=C;w=k[l>>2]|0;v=(k[w>>2]&u|0)!=0;A=t+8+(((k[w+4>>2]&u|0)!=0?(v?3:2):v&1)<<2)|0;v=k[A>>2]|0;if(!v){z=Qqa(24)|0;k[z>>2]=41980;B=z+4|0;k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;k[B+12>>2]=0;k[B+16>>2]=0;ih(k[a>>2]|0,z)|0;k[o>>2]=(k[o>>2]|0)+1;k[A>>2]=z;E=k[l>>2]|0;F=z}else{E=w;F=v}v=F+4|0;w=k[v>>2]|0;k[v>>2]=w+1;k[F+8+(w<<2)>>2]=E;w=k[m>>2]|0;v=(k[w>>2]&u|0)!=0;z=t+8+(((k[w+4>>2]&u|0)!=0?(v?3:2):v&1)<<2)|0;v=k[z>>2]|0;if(!v){A=Qqa(24)|0;k[A>>2]=41980;B=A+4|0;k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;k[B+12>>2]=0;k[B+16>>2]=0;ih(k[a>>2]|0,A)|0;k[o>>2]=(k[o>>2]|0)+1;k[z>>2]=A;G=k[m>>2]|0;H=A}else{G=w;H=v}v=H+4|0;w=k[v>>2]|0;k[v>>2]=w+1;k[H+8+(w<<2)>>2]=G;w=k[n>>2]|0;v=(k[w>>2]&u|0)!=0;A=t+8+(((k[w+4>>2]&u|0)!=0?(v?3:2):v&1)<<2)|0;v=k[A>>2]|0;if(!v){z=Qqa(24)|0;k[z>>2]=41980;B=z+4|0;k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;k[B+12>>2]=0;k[B+16>>2]=0;ih(k[a>>2]|0,z)|0;k[o>>2]=(k[o>>2]|0)+1;k[A>>2]=z;I=k[n>>2]|0;J=z}else{I=w;J=v}v=J+4|0;w=k[v>>2]|0;k[v>>2]=w+1;k[J+8+(w<<2)>>2]=I;w=(u&e|0)!=0;v=t+8+(((u&f|0)!=0?(w?3:2):w&1)<<2)|0;t=k[v>>2]|0;if(!t){K=o;L=a;M=v;j=19;break}}}while(0);if((j|0)==12){K=a+8|0;L=a;M=i;j=19}if((j|0)==19){j=Qqa(24)|0;k[j>>2]=41980;i=j+4|0;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;k[i+12>>2]=0;k[i+16>>2]=0;ih(k[L>>2]|0,j)|0;k[K>>2]=(k[K>>2]|0)+1;k[M>>2]=j;x=k[j+4>>2]|0;y=j}k[y+4>>2]=x+1;k[y+8+(x<<2)>>2]=b;b=a+12|0;k[b>>2]=(k[b>>2]|0)+1;r=c;return}function Opa(a){a=a|0;var b=0;b=k[a>>2]|0;if(b){jh(b);Sqa(b)}k[a+4>>2]=0;return}function Ppa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=r;r=r+480|0;e=d+360|0;f=d+240|0;g=d+120|0;h=d;i=(b|0)<1073741824?((b|0)<0?0:b):1073741823;b=(c|0)<1073741824?((c|0)<0?0:c):1073741823;c=k[a+4>>2]|0;a=k[c+4>>2]|0;if(!a){j=0;r=d;return j|0}a:do if((a|0)<0){l=c;m=1073741824;n=0;o=0;while(1){p=m>>1;q=(p&i|0)!=0;s=(p&b|0)!=0?(q?3:2):q&1;q=k[l+8+(s<<2)>>2]|0;if(!q){t=l;u=m;v=n;w=o;break}x=k[q+4>>2]|0;if(!x){t=l;u=m;v=n;w=o;break}if((x|0)<0){l=q;m=p;n=((s&1|0)!=0?p:0)+n|0;o=((s&2|0)!=0?p:0)+o|0}else{y=x;z=q;break a}}k[e>>2]=t;o=k[t+4>>2]|0;n=(o|0)>0?o:4;k[f>>2]=n;k[g>>2]=v;k[h>>2]=w;o=n;n=t;m=u;l=u;q=0;x=0;b:while(1){p=m+i|0;s=i-m|0;A=m+b|0;B=b-m|0;C=o;D=n;E=l;F=q;c:while(1){G=f+(F<<2)|0;H=D+4|0;I=g+(F<<2)|0;J=h+(F<<2)|0;K=C;L=E;d:while(1){M=K;while(1){if(!M){N=L;break d}O=M+-1|0;k[G>>2]=O;if((k[H>>2]|0)>0){P=O;Q=D;R=L;S=F;break c}T=k[D+8+(O<<2)>>2]|0;if(!T)M=O;else{U=O;V=T;break}}M=L>>1;T=(k[I>>2]|0)+((U&1|0)!=0?M:0)|0;O=(k[J>>2]|0)+((U&2|0)!=0?M:0)|0;if((p|0)>(T|0)?(s|0)<(T+M|0)&(A|0)>(O|0)&(B|0)<(O+M|0):0){W=V;X=M;Y=T;Z=O;_=18;break}K=U;L=M<<1}if((_|0)==18){_=0;L=F+1|0;k[e+(L<<2)>>2]=W;K=k[W+4>>2]|0;J=(K|0)>0?K:4;k[f+(L<<2)>>2]=J;k[g+(L<<2)>>2]=Y;k[h+(L<<2)>>2]=Z;C=J;D=W;E=X;F=L;continue}L=F+-1|0;if(!F){j=x;break b}C=k[f+(L<<2)>>2]|0;D=k[e+(L<<2)>>2]|0;E=N<<1;F=L}F=k[Q+8+(P<<2)>>2]|0;E=i-(k[F>>2]|0)|0;D=(E|0)<0?0-E|0:E;E=b-(k[F+4>>2]|0)|0;C=(E|0)<0?0-E|0:E;E=(D|0)>(C|0)?D:C;C=(E|0)<(m|0);o=P;n=Q;m=C?E:m;l=R;q=S;x=C?F:x}r=d;return j|0}else{y=a;z=c}while(0);c=z+8|0;z=1073741824;a=0;S=0;while(1){R=k[c+(a<<2)>>2]|0;Q=i-(k[R>>2]|0)|0;P=(Q|0)<0?0-Q|0:Q;Q=b-(k[R+4>>2]|0)|0;N=(Q|0)<0?0-Q|0:Q;Q=(P|0)>(N|0)?P:N;N=(Q|0)<(z|0);P=N?R:S;a=a+1|0;if((a|0)==(y|0)){j=P;break}else{z=N?Q:z;S=P}}r=d;return j|0}function Qpa(a){a=a|0;Sqa(a);return}function Rpa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,149456,68);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,149562,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,32,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function Spa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,149456,68);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,149553,8);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,33,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function Tpa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,149456,68);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,149550,2);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,34,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function Upa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,149456,68);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,149539,10);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,35,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function Vpa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,149456,68);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,149534,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,36,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function Wpa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149435,20)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,149456,68);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,149525,8);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,37,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function Xpa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;k[a>>2]=c;k[a+4>>2]=b;k[a+8>>2]=0;d=Rqa(c>>>0>1073741823?-1:c<<2)|0;k[a+12>>2]=d;e=Rqa(b>>>0>357913941?-1:b*12|0)|0;k[a+16>>2]=e;if(!c)return;WEa(d|0,-1,c<<2|0)|0;return}function Ypa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;j=(k[a+12>>2]|0)+(((((b|0)<0?0-b|0:b)|0)%(k[a>>2]|0)|0)<<2)|0;l=k[j>>2]|0;a:do if((l|0)>-1){m=k[a+16>>2]|0;n=l;while(1){if((k[m+(n*12|0)>>2]|0)==(b|0)?(k[m+(n*12|0)+4>>2]|0)==(c|0):0){o=n;break}n=k[m+(n*12|0)+8>>2]|0;if((n|0)<=-1)break a}r=d;return o|0}while(0);l=a+4|0;n=a+8|0;m=k[n>>2]|0;if((k[l>>2]|0)>(m|0)){p=k[a+16>>2]|0;k[p+(m*12|0)>>2]=b;k[p+(m*12|0)+4>>2]=c;k[p+(m*12|0)+8>>2]=k[j>>2];k[j>>2]=m;m=k[n>>2]|0;k[n>>2]=m+1;o=m;r=d;return o|0}o=f+56|0;d=f+4|0;k[f>>2]=27524;k[o>>2]=27544;B=0;wa(508,f+56|0,d|0);m=B;B=0;if(m&1){m=Rb()|0;q=Q;s=m;vva(o);Qb(s|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[o>>2]=27488;B=0;va(448,d|0);m=B;B=0;do if(m&1){j=Rb()|0;t=Q;u=j}else{k[d>>2]=27560;j=f+36|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,d|0,e|0);p=B;B=0;if(p&1){p=Rb()|0;c=Q;Yua(e);Yua(j);Ava(d);t=c;u=p;break}Yua(e);B=0;p=Ia(40,f|0,149606,37)|0;c=B;B=0;if((((!(c&1)?(B=0,c=Xa(253,p|0,k[n>>2]|0)|0,p=B,B=0,!(p&1)):0)?(B=0,p=Ia(40,c|0,149644,8)|0,c=B,B=0,!(c&1)):0)?(B=0,c=Xa(253,p|0,k[l>>2]|0)|0,p=B,B=0,!(p&1)):0)?(B=0,Xa(239,c|0,0)|0,c=B,B=0,!(c&1)):0){c=Ab(20)|0;B=0;eb(502,g|0,149653,63);p=B;B=0;do if(!(p&1)){B=0;eb(502,h|0,149717,3);b=B;B=0;if(b&1){b=Rb()|0;a=Q;Yua(g);v=a;w=b;break}B=0;wa(510,i|0,d|0);b=B;B=0;if(b&1){b=Rb()|0;x=Q;y=b;z=1}else{B=0;ua(163,c|0,g|0,h|0,50,i|0);b=B;B=0;if(b&1)A=1;else{B=0;eb(503,c|0,1240,229);B=0;A=0}b=Rb()|0;a=Q;Yua(i);x=a;y=b;z=A}Yua(h);Yua(g);if(z){v=x;w=y}else{C=x;D=y;k[f>>2]=27468;k[o>>2]=27488;k[d>>2]=27560;Yua(j);Ava(d);vva(o);Qb(D|0)}}else{b=Rb()|0;v=Q;w=b}while(0);zb(c|0);C=v;D=w;k[f>>2]=27468;k[o>>2]=27488;k[d>>2]=27560;Yua(j);Ava(d);vva(o);Qb(D|0)}p=Rb()|0;C=Q;D=p;k[f>>2]=27468;k[o>>2]=27488;k[d>>2]=27560;Yua(j);Ava(d);vva(o);Qb(D|0)}while(0);q=t;s=u;vva(o);Qb(s|0);return 0}function Zpa(a,b){a=a|0;b=b|0;return k[(k[a+16>>2]|0)+(b*12|0)>>2]|0}function _pa(a,b){a=a|0;b=b|0;return k[(k[a+16>>2]|0)+(b*12|0)+4>>2]|0}function $pa(a){a=a|0;return k[a+8>>2]|0}function aqa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if((b|0)>(c|0)){d=Ypa(a,c,b)|0;return d|0}else{d=Ypa(a,b,c)|0;return d|0}return 0}function bqa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;if((b|0)>(c|0)){d=k[(k[a+12>>2]|0)+(((((c|0)<0?0-c|0:c)|0)%(k[a>>2]|0)|0)<<2)>>2]|0;if((d|0)<=-1){e=-1;return e|0}f=k[a+16>>2]|0;g=d;while(1){if((k[f+(g*12|0)>>2]|0)==(c|0)?(k[f+(g*12|0)+4>>2]|0)==(b|0):0){e=g;h=12;break}g=k[f+(g*12|0)+8>>2]|0;if((g|0)<=-1){e=-1;h=12;break}}if((h|0)==12)return e|0}else{g=k[(k[a+12>>2]|0)+(((((b|0)<0?0-b|0:b)|0)%(k[a>>2]|0)|0)<<2)>>2]|0;if((g|0)<=-1){e=-1;return e|0}f=k[a+16>>2]|0;a=g;while(1){if((k[f+(a*12|0)>>2]|0)==(b|0)?(k[f+(a*12|0)+4>>2]|0)==(c|0):0){e=a;h=12;break}a=k[f+(a*12|0)+8>>2]|0;if((a|0)<=-1){e=-1;h=12;break}}if((h|0)==12)return e|0}return 0}function cqa(a){a=a|0;k[a>>2]=0;p[a+8>>3]=0.0;k[a+16>>2]=0;return}function dqa(a,b,c){a=a|0;b=b|0;c=c|0;k[a>>2]=b;p[a+8>>3]=-1.0;k[a+16>>2]=c;return}function eqa(a){a=a|0;return +p[a+8>>3]<0.0|0}function fqa(a){a=a|0;return +p[a+8>>3]>=0.0|0}function gqa(a){a=a|0;var b=0,c=0;if(!(+p[a+8>>3]<0.0)){b=0;return b|0}c=k[a+16>>2]|0;if(!c){b=0;return b|0}b=ypa(c)|0;return b|0}function hqa(a){a=a|0;k[(k[a>>2]|0)+64>>2]=a;j[(k[a>>2]|0)+60>>1]=8;return}function iqa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=Qqa(4)|0;f=k[b>>2]|0;b=Rc[k[(k[f>>2]|0)+48>>2]&63](f,k[c>>2]|0,d)|0;k[e>>2]=b;k[a>>2]=e;return}function jqa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;if(!e){kqa(a,b,0,d);return}b=k[d+52>>2]|0;d=Rqa(b)|0;if((b|0)>0){e=0;do{i[d+e>>0]=(k[c+(e<<2)>>2]|0)!=0&1;e=e+1|0}while((e|0)!=(b|0))}k[a>>2]=d;return}function kqa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0;c=r;r=r+368|0;e=c+344|0;f=c+208|0;g=c+196|0;h=c+184|0;j=c+36|0;l=c+48|0;m=c+24|0;n=c+12|0;o=c;nqa(d);p=k[d+56>>2]|0;q=p*3|0;s=Rqa(q)|0;if(p)WEa(s|0,0,q|0)|0;q=d+40|0;if((k[q>>2]&-2|0)!=300){t=f+56|0;u=f+4|0;k[f>>2]=27524;k[t>>2]=27544;B=0;wa(508,f+56|0,u|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;x=v;vva(t);Qb(x|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[t>>2]=27488;B=0;va(448,u|0);v=B;B=0;do if(v&1){y=Rb()|0;z=Q;A=y}else{k[u>>2]=27560;y=f+36|0;k[y>>2]=0;k[y+4>>2]=0;k[y+8>>2]=0;k[y+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,u|0,e|0);C=B;B=0;if(C&1){C=Rb()|0;D=Q;Yua(e);Yua(y);Ava(u);z=D;A=C;break}Yua(e);B=0;C=Ia(40,f|0,149721,19)|0;D=B;B=0;a:do if(!(D&1)?(B=0,Xa(239,C|0,0)|0,E=B,B=0,!(E&1)):0){E=Ab(20)|0;B=0;eb(502,g|0,149741,92);F=B;B=0;do if(!(F&1)){B=0;eb(502,h|0,149834,38);G=B;B=0;if(G&1){G=Rb()|0;H=Q;Yua(g);I=G;J=H;break}B=0;wa(510,j|0,u|0);H=B;B=0;if(H&1){H=Rb()|0;K=H;L=Q;M=1}else{B=0;ua(163,E|0,g|0,h|0,77,j|0);H=B;B=0;if(H&1)N=1;else{B=0;eb(503,E|0,1240,229);B=0;N=0}H=Rb()|0;G=Q;Yua(j);K=H;L=G;M=N}Yua(h);Yua(g);if(M){I=K;J=L}else{O=K;P=L;break a}}else{G=Rb()|0;I=G;J=Q}while(0);zb(E|0);O=I;P=J}else R=23;while(0);if((R|0)==23){C=Rb()|0;O=C;P=Q}k[f>>2]=27468;k[t>>2]=27488;k[u>>2]=27560;Yua(y);Ava(u);vva(t);S=P;T=O;Qb(T|0)}while(0);w=z;x=A;vva(t);Qb(x|0)}if((p|0)>0){x=0;do{if(i[b+x>>0]|0){t=x*3|0;i[s+t>>0]=1;i[s+(t+1)>>0]=1;i[s+(t+2)>>0]=1}x=x+1|0}while((x|0)<(p|0))}doa(d);if((k[q>>2]|0)!=300){k[a>>2]=s;r=c;return}q=k[d+60>>2]|0;if((q|0)<=0){k[a>>2]=s;r=c;return}p=k[d+76>>2]|0;x=d+72|0;d=0;b:while(1){t=d<<2;A=(k[p+((t|3)<<2)>>2]|0)+-1|0;c:do if(((A|0)!=-2?(i[b+((k[p+((t|2)<<2)>>2]|0)+-1)>>0]|0)!=0:0)?(i[b+A>>0]|0)==0:0){z=k[p+(t<<2)>>2]|0;w=A*3|0;O=k[x>>2]|0;P=w+1|0;u=w+2|0;switch(((k[O+(u<<2)>>2]|0)==(z|0)?2:(k[O+(P<<2)>>2]|0)==(z|0)?1:(k[O+(w<<2)>>2]|0)==(z|0)?0:-9999)|0){case 0:{i[s+w>>0]=1;i[s+u>>0]=1;break c;break}case 1:{i[s+P>>0]=1;i[s+w>>0]=1;break c;break}case 2:{i[s+u>>0]=1;i[s+P>>0]=1;break c;break}default:break b}}while(0);d=d+1|0;if((d|0)>=(q|0)){R=64;break}}if((R|0)==64){k[a>>2]=s;r=c;return}c=l+56|0;s=l+4|0;k[l>>2]=27524;k[c>>2]=27544;B=0;wa(508,l+56|0,s|0);a=B;B=0;if(a&1){a=Rb()|0;U=Q;V=a;vva(c);Qb(V|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[c>>2]=27488;B=0;va(448,s|0);a=B;B=0;do if(a&1){q=Rb()|0;W=Q;X=q}else{k[s>>2]=27560;q=l+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[l+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,s|0,e|0);d=B;B=0;if(d&1){d=Rb()|0;x=Q;Yua(e);Yua(q);Ava(s);W=x;X=d;break}Yua(e);B=0;d=Ia(40,l|0,149873,25)|0;x=B;B=0;d:do if(!(x&1)?(B=0,Xa(239,d|0,0)|0,p=B,B=0,!(p&1)):0){p=Ab(20)|0;B=0;eb(502,m|0,149741,92);b=B;B=0;do if(!(b&1)){B=0;eb(502,n|0,149834,38);A=B;B=0;if(A&1){A=Rb()|0;t=Q;Yua(m);Y=A;Z=t;break}B=0;wa(510,o|0,s|0);t=B;B=0;if(t&1){t=Rb()|0;_=1;$=Q;aa=t}else{B=0;ua(163,p|0,m|0,n|0,125,o|0);t=B;B=0;if(t&1)ba=1;else{B=0;eb(503,p|0,1240,229);B=0;ba=0}t=Rb()|0;A=Q;Yua(o);_=ba;$=A;aa=t}Yua(n);Yua(m);if(_){Y=aa;Z=$}else{ca=$;da=aa;break d}}else{t=Rb()|0;Y=t;Z=Q}while(0);zb(p|0);ca=Z;da=Y}else R=55;while(0);if((R|0)==55){d=Rb()|0;ca=Q;da=d}k[l>>2]=27468;k[c>>2]=27488;k[s>>2]=27560;Yua(q);Ava(s);vva(c);S=ca;T=da;Qb(T|0)}while(0);U=W;V=X;vva(c);Qb(V|0)}function lqa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;nqa(b);switch(k[b+48>>2]|0){case 621:{j=3;break}case 623:{j=6;break}case 625:{j=9;break}default:{l=e+56|0;m=e+4|0;k[e>>2]=27524;k[l>>2]=27544;B=0;wa(508,e+56|0,m|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;p=n;vva(l);Qb(p|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[l>>2]=27488;B=0;va(448,m|0);n=B;B=0;do if(n&1){q=Rb()|0;s=Q;t=q}else{k[m>>2]=27560;q=e+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,m|0,d|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(d);Yua(q);Ava(m);s=v;t=u;break}Yua(d);B=0;u=Ia(40,e|0,150248,32)|0;v=B;B=0;if(!(v&1)?(B=0,Xa(239,u|0,0)|0,u=B,B=0,!(u&1)):0){u=Ab(20)|0;B=0;eb(502,f|0,149899,92);v=B;B=0;do if(!(v&1)){B=0;eb(502,g|0,149992,17);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(f);y=x;z=w;break}B=0;wa(510,h|0,m|0);w=B;B=0;if(w&1){w=Rb()|0;A=Q;C=w;D=1}else{B=0;ua(163,u|0,f|0,g|0,24,h|0);w=B;B=0;if(w&1)E=1;else{B=0;eb(503,u|0,1240,229);B=0;E=0}w=Rb()|0;x=Q;Yua(h);A=x;C=w;D=E}Yua(g);Yua(f);if(D){y=A;z=C}else{F=A;G=C;k[e>>2]=27468;k[l>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(l);Qb(G|0)}}else{w=Rb()|0;y=Q;z=w}while(0);zb(u|0);F=y;G=z;k[e>>2]=27468;k[l>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(l);Qb(G|0)}v=Rb()|0;F=Q;G=v;k[e>>2]=27468;k[l>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(l);Qb(G|0)}while(0);o=s;p=t;vva(l);Qb(p|0)}}p=k[b+64>>2]|0;l=Rqa(p)|0;if(p)WEa(l|0,0,p|0)|0;p=k[b+56>>2]|0;if((p|0)<=0){k[a>>2]=l;r=c;return}t=k[b+32>>2]|0;s=b+84|0;b=0;do{if(i[t+b>>0]|0){o=ma(b,j)|0;G=k[s>>2]|0;m=0;do{i[l+(k[G+(m+o<<2)>>2]|0)>>0]=1;m=m+1|0}while((m|0)<(j|0))}b=b+1|0}while((b|0)<(p|0));k[a>>2]=l;r=c;return}function mqa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;doa(b);switch(k[b+40>>2]|0){case 301:case 300:{j=3;break}case 302:{j=5;break}default:{l=e+56|0;m=e+4|0;k[e>>2]=27524;k[l>>2]=27544;B=0;wa(508,e+56|0,m|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;p=n;vva(l);Qb(p|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[l>>2]=27488;B=0;va(448,m|0);n=B;B=0;do if(n&1){q=Rb()|0;s=Q;t=q}else{k[m>>2]=27560;q=e+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,m|0,d|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(d);Yua(q);Ava(m);s=v;t=u;break}Yua(d);B=0;u=Ia(40,e|0,150248,32)|0;v=B;B=0;if(!(v&1)?(B=0,Xa(239,u|0,0)|0,u=B,B=0,!(u&1)):0){u=Ab(20)|0;B=0;eb(502,f|0,150010,92);v=B;B=0;do if(!(v&1)){B=0;eb(502,g|0,150103,17);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(f);y=x;z=w;break}B=0;wa(510,h|0,m|0);w=B;B=0;if(w&1){w=Rb()|0;A=Q;C=w;D=1}else{B=0;ua(163,u|0,f|0,g|0,30,h|0);w=B;B=0;if(w&1)E=1;else{B=0;eb(503,u|0,1240,229);B=0;E=0}w=Rb()|0;x=Q;Yua(h);A=x;C=w;D=E}Yua(g);Yua(f);if(D){y=A;z=C}else{F=A;G=C;k[e>>2]=27468;k[l>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(l);Qb(G|0)}}else{w=Rb()|0;y=Q;z=w}while(0);zb(u|0);F=y;G=z;k[e>>2]=27468;k[l>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(l);Qb(G|0)}v=Rb()|0;F=Q;G=v;k[e>>2]=27468;k[l>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(l);Qb(G|0)}while(0);o=s;p=t;vva(l);Qb(p|0)}}p=k[b+60>>2]|0;l=Rqa(p)|0;if(p)WEa(l|0,0,p|0)|0;p=k[b+56>>2]|0;if((p|0)<=0){k[a>>2]=l;r=c;return}t=k[b+32>>2]|0;s=b+88|0;b=0;do{if(i[t+b>>0]|0){o=ma(b,j)|0;G=k[s>>2]|0;m=0;do{i[l+(k[G+(m+o<<2)>>2]|0)>>0]=1;m=m+1|0}while((m|0)<(j|0))}b=b+1|0}while((b|0)<(p|0));k[a>>2]=l;r=c;return}function nqa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;b=r;r=r+368|0;c=b+344|0;d=b+208|0;e=b+196|0;f=b+184|0;g=b+36|0;h=b+48|0;i=b+24|0;j=b+12|0;l=b;m=a+80|0;if(k[m>>2]|0){r=b;return}n=k[a+52>>2]|0;if((n|0)<3){o=d+56|0;p=d+4|0;k[d>>2]=27524;k[o>>2]=27544;B=0;wa(508,d+56|0,p|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;t=q;vva(o);Qb(t|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[o>>2]=27488;B=0;va(448,p|0);q=B;B=0;do if(q&1){u=Rb()|0;v=Q;w=u}else{k[p>>2]=27560;u=d+36|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;k[u+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,p|0,c|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;Yua(c);Yua(u);Ava(p);v=y;w=x;break}Yua(c);B=0;x=Ia(40,d|0,150121,27)|0;y=B;B=0;a:do if(!(y&1)?(B=0,Xa(239,x|0,0)|0,z=B,B=0,!(z&1)):0){z=Ab(20)|0;B=0;eb(502,e|0,150149,86);A=B;B=0;do if(!(A&1)){B=0;eb(502,f|0,150236,11);C=B;B=0;if(C&1){C=Rb()|0;D=Q;Yua(e);E=D;F=C;break}B=0;wa(510,g|0,p|0);C=B;B=0;if(C&1){C=Rb()|0;G=C;H=Q;I=1}else{B=0;ua(163,z|0,e|0,f|0,15,g|0);C=B;B=0;if(C&1)J=1;else{B=0;eb(503,z|0,1240,229);B=0;J=0}C=Rb()|0;D=Q;Yua(g);G=C;H=D;I=J}Yua(f);Yua(e);if(I){E=H;F=G}else{K=G;L=H;break a}}else{D=Rb()|0;E=Q;F=D}while(0);zb(z|0);K=F;L=E}else M=18;while(0);if((M|0)==18){x=Rb()|0;K=x;L=Q}k[d>>2]=27468;k[o>>2]=27488;k[p>>2]=27560;Yua(u);Ava(p);vva(o);N=K;O=L;Qb(N|0)}while(0);s=v;t=w;vva(o);Qb(t|0)}switch(k[a+48>>2]|0){case 621:{t=Rqa(24)|0;o=Rqa(12)|0;k[t>>2]=1;k[t+4>>2]=2;k[o>>2]=1;k[t+8>>2]=2;k[t+12>>2]=0;k[o+4>>2]=1;k[t+16>>2]=0;k[t+20>>2]=1;k[o+8>>2]=1;P=t;R=o;S=3;T=3;break}case 623:{o=Rqa(48)|0;t=Rqa(24)|0;k[o>>2]=1;k[o+4>>2]=2;k[t>>2]=1;k[o+8>>2]=0;k[o+12>>2]=2;k[t+4>>2]=1;k[o+16>>2]=0;k[o+20>>2]=1;k[t+8>>2]=1;k[o+24>>2]=1;k[o+28>>2]=3;k[t+12>>2]=1;k[o+32>>2]=2;k[o+36>>2]=3;k[t+16>>2]=1;k[o+40>>2]=0;k[o+44>>2]=3;k[t+20>>2]=1;P=o;R=t;S=6;T=4;break}case 625:{t=Rqa(72)|0;o=Rqa(36)|0;k[t>>2]=0;k[t+4>>2]=3;k[o>>2]=2;k[t+8>>2]=1;k[t+12>>2]=4;k[o+4>>2]=2;k[t+16>>2]=2;k[t+20>>2]=5;k[o+8>>2]=2;k[t+24>>2]=1;k[t+28>>2]=2;k[o+12>>2]=1;k[t+32>>2]=2;k[t+36>>2]=0;k[o+16>>2]=1;k[t+40>>2]=0;k[t+44>>2]=1;k[o+20>>2]=1;k[t+48>>2]=4;k[t+52>>2]=5;k[o+24>>2]=1;k[t+56>>2]=5;k[t+60>>2]=3;k[o+28>>2]=1;k[t+64>>2]=3;k[t+68>>2]=4;k[o+32>>2]=1;P=t;R=o;S=9;T=6;break}default:{o=h+56|0;t=h+4|0;k[h>>2]=27524;k[o>>2]=27544;B=0;wa(508,h+56|0,t|0);w=B;B=0;if(w&1){w=Rb()|0;U=Q;V=w;vva(o);Qb(V|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[o>>2]=27488;B=0;va(448,t|0);w=B;B=0;do if(w&1){v=Rb()|0;W=Q;X=v}else{k[t>>2]=27560;v=h+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,t|0,c|0);s=B;B=0;if(s&1){s=Rb()|0;L=Q;Yua(c);Yua(v);Ava(t);W=L;X=s;break}Yua(c);B=0;s=Ia(40,h|0,150248,32)|0;L=B;B=0;b:do if(!(L&1)?(B=0,Xa(239,s|0,0)|0,K=B,B=0,!(K&1)):0){K=Ab(20)|0;B=0;eb(502,i|0,150149,86);p=B;B=0;do if(!(p&1)){B=0;eb(502,j|0,150236,11);d=B;B=0;if(d&1){d=Rb()|0;E=Q;Yua(i);Y=d;Z=E;break}B=0;wa(510,l|0,t|0);E=B;B=0;if(E&1){E=Rb()|0;_=1;$=E;aa=Q}else{B=0;ua(163,K|0,i|0,j|0,64,l|0);E=B;B=0;if(E&1)ba=1;else{B=0;eb(503,K|0,1240,229);B=0;ba=0}E=Rb()|0;d=Q;Yua(l);_=ba;$=E;aa=d}Yua(j);Yua(i);if(_){Y=$;Z=aa}else{ca=$;da=aa;break b}}else{d=Rb()|0;Y=d;Z=Q}while(0);zb(K|0);ca=Y;da=Z}else M=45;while(0);if((M|0)==45){s=Rb()|0;ca=s;da=Q}k[h>>2]=27468;k[o>>2]=27488;k[t>>2]=27560;Yua(v);Ava(t);vva(o);N=ca;O=da;Qb(N|0)}while(0);U=W;V=X;vva(o);Qb(V|0)}}V=k[a+56>>2]|0;o=ma(V,S)|0;X=o*3|0;W=Rqa(X>>>0>1073741823?-1:X<<2)|0;X=o>>>0>1073741823?-1:o<<2;o=Rqa(X)|0;U=Rqa(n>>>0>1073741823?-1:n<<2)|0;N=Rqa(X)|0;WEa(U|0,-1,n<<2|0)|0;if((V|0)>0){n=k[a+72>>2]|0;X=0;da=0;while(1){O=ma(X,T)|0;ca=ma(X,S)|0;t=0;h=da;while(1){Z=t<<1;Y=k[n+((k[P+(Z<<2)>>2]|0)+O<<2)>>2]|0;aa=Y+-1|0;$=k[n+((k[P+((Z|1)<<2)>>2]|0)+O<<2)>>2]|0;Z=$+-1|0;_=($|0)<(Y|0);Y=_?Z:aa;$=U+(Y<<2)|0;i=k[$>>2]|0;j=(_?aa:Z)+1|0;c:do if((i|0)==-1)M=60;else{Z=i;while(1){if((k[W+((Z*3|0)+1<<2)>>2]|0)==(j|0)){ea=Z;break}Z=k[N+(Z<<2)>>2]|0;if((Z|0)==-1){M=60;break c}}k[o+(t+ca<<2)>>2]=ea;fa=h}while(0);if((M|0)==60){M=0;K=h*3|0;k[W+(K<<2)>>2]=Y+1;k[W+(K+1<<2)>>2]=j;k[W+(K+2<<2)>>2]=k[R+(t<<2)>>2];k[o+(t+ca<<2)>>2]=h;k[N+(h<<2)>>2]=i;k[$>>2]=h;fa=h+1|0}t=t+1|0;if((t|0)>=(S|0)){ga=fa;break}else h=fa}X=X+1|0;if((X|0)>=(V|0)){ha=ga;break}else da=ga}}else ha=0;Tqa(U);Tqa(N);Tqa(R);R=ha*3|0;N=Rqa(R>>>0>1073741823?-1:R<<2)|0;if((ha|0)>0)TEa(N|0,W|0,((R|0)>1?R:1)<<2|0)|0;Tqa(W);Tqa(P);k[m>>2]=N;k[a+84>>2]=o;k[a+64>>2]=ha;r=b;return}function oqa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0;c=r;r=r+368|0;d=c+344|0;e=c+208|0;f=c+196|0;g=c+184|0;h=c+36|0;j=c+48|0;l=c+24|0;m=c+12|0;n=c;switch(k[b+48>>2]|0){case 621:{o=3;break}case 623:{o=6;break}case 625:{o=9;break}default:{p=e+56|0;q=e+4|0;k[e>>2]=27524;k[p>>2]=27544;B=0;wa(508,e+56|0,q|0);s=B;B=0;if(s&1){s=Rb()|0;t=Q;u=s;vva(p);Qb(u|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[p>>2]=27488;B=0;va(448,q|0);s=B;B=0;do if(s&1){v=Rb()|0;w=Q;x=v}else{k[q>>2]=27560;v=e+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,q|0,d|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(d);Yua(v);Ava(q);w=z;x=y;break}Yua(d);B=0;y=Ia(40,e|0,150248,32)|0;z=B;B=0;a:do if(!(z&1)?(B=0,Xa(239,y|0,0)|0,A=B,B=0,!(A&1)):0){A=Ab(20)|0;B=0;eb(502,f|0,150149,86);C=B;B=0;do if(!(C&1)){B=0;eb(502,g|0,150281,19);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(f);F=D;G=E;break}B=0;wa(510,h|0,q|0);E=B;B=0;if(E&1){E=Rb()|0;H=Q;I=E;J=1}else{B=0;ua(163,A|0,f|0,g|0,159,h|0);E=B;B=0;if(E&1)K=1;else{B=0;eb(503,A|0,1240,229);B=0;K=0}E=Rb()|0;D=Q;Yua(h);H=D;I=E;J=K}Yua(g);Yua(f);if(J){F=I;G=H}else{L=I;M=H;break a}}else{E=Rb()|0;F=E;G=Q}while(0);zb(A|0);L=F;M=G}else N=19;while(0);if((N|0)==19){y=Rb()|0;L=y;M=Q}k[e>>2]=27468;k[p>>2]=27488;k[q>>2]=27560;Yua(v);Ava(q);vva(p);O=M;P=L;Qb(P|0)}while(0);t=w;u=x;vva(p);Qb(u|0)}}u=b+80|0;if(!(k[u>>2]|0))nqa(b);p=k[b+64>>2]|0;x=Rqa(p)|0;w=(p|0)==0;if(!w)WEa(x|0,0,p|0)|0;switch(k[b+44>>2]|0){case 2:{t=Rqa(p>>>0>1073741823?-1:p<<2)|0;if(!w)WEa(t|0,0,p<<2|0)|0;w=k[b+56>>2]|0;if((w|0)>0){L=k[b+84>>2]|0;M=0;do{q=ma(M,o)|0;e=0;do{G=t+(k[L+(e+q<<2)>>2]<<2)|0;k[G>>2]=(k[G>>2]|0)+1;e=e+1|0}while((e|0)<(o|0));M=M+1|0}while((M|0)<(w|0))}if((p|0)>0){w=0;do{if((k[t+(w<<2)>>2]|0)==1)i[x+w>>0]=1;w=w+1|0}while((w|0)<(p|0))}Tqa(t);k[a>>2]=x;r=c;return}case 3:{t=b+76|0;if(!(k[t>>2]|0))doa(b);p=k[b+60>>2]|0;if((p|0)<=0){k[a>>2]=x;r=c;return}w=k[b+68>>2]|0;M=k[t>>2]|0;t=b+84|0;b=0;do{L=ma(w,b)|0;if((k[M+(L+1<<2)>>2]|0)==-1?(e=k[M+(L+3<<2)>>2]|0,q=ma((k[M+(L<<2)>>2]|0)+-1|0,o)|0,v=k[t>>2]|0,G=k[u>>2]|0,(e|0)>0):0){F=ma(w,b)|0;H=0;do{I=k[v+(H+q<<2)>>2]|0;J=I*3|0;f=k[G+(J<<2)>>2]|0;g=k[G+(J+1<<2)>>2]|0;J=0;do{if((k[M+(J+4+F<<2)>>2]|0)==(f|0)){R=0;N=55;break}J=J+1|0}while((J|0)<(e|0));b:do if((N|0)==55){while(1){N=0;if((k[M+(R+4+L<<2)>>2]|0)==(g|0))break;R=R+1|0;if((R|0)>=(e|0))break b;else N=55}i[x+I>>0]=1}while(0);H=H+1|0}while((H|0)<(o|0))}b=b+1|0}while((b|0)<(p|0));k[a>>2]=x;r=c;return}default:{c=j+56|0;x=j+4|0;k[j>>2]=27524;k[c>>2]=27544;B=0;wa(508,j+56|0,x|0);a=B;B=0;if(a&1){a=Rb()|0;S=Q;T=a;vva(c);Qb(T|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[c>>2]=27488;B=0;va(448,x|0);a=B;B=0;do if(a&1){p=Rb()|0;U=Q;V=p}else{k[x>>2]=27560;p=j+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[j+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,x|0,d|0);b=B;B=0;if(b&1){b=Rb()|0;o=Q;Yua(d);Yua(p);Ava(x);U=o;V=b;break}Yua(d);B=0;b=Ia(40,j|0,150301,23)|0;o=B;B=0;c:do if(!(o&1)?(B=0,Xa(239,b|0,0)|0,R=B,B=0,!(R&1)):0){R=Ab(20)|0;B=0;eb(502,l|0,150149,86);M=B;B=0;do if(!(M&1)){B=0;eb(502,m|0,150281,19);w=B;B=0;if(w&1){w=Rb()|0;u=Q;Yua(l);W=w;X=u;break}B=0;wa(510,n|0,x|0);u=B;B=0;if(u&1){u=Rb()|0;Y=1;Z=Q;_=u}else{B=0;ua(163,R|0,l|0,m|0,229,n|0);u=B;B=0;if(u&1)$=1;else{B=0;eb(503,R|0,1240,229);B=0;$=0}u=Rb()|0;w=Q;Yua(n);Y=$;Z=w;_=u}Yua(m);Yua(l);if(Y){W=_;X=Z}else{aa=Z;ba=_;break c}}else{u=Rb()|0;W=u;X=Q}while(0);zb(R|0);aa=X;ba=W}else N=74;while(0);if((N|0)==74){b=Rb()|0;aa=Q;ba=b}k[j>>2]=27468;k[c>>2]=27488;k[x>>2]=27560;Yua(p);Ava(x);vva(c);O=aa;P=ba;Qb(P|0)}while(0);S=U;T=V;vva(c);Qb(T|0)}}}function pqa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0.0,h=0,i=0;c=r;r=r+16|0;d=c+8|0;e=c;p[d>>3]=0.0;f=b+20|0;if((th(k[f>>2]|0)|0)>0){g=0.0;h=0;do{i=qh(k[f>>2]|0,h)|0;g=+Zc[k[(k[i>>2]|0)+456>>2]&255](i)+g;p[d>>3]=g;h=h+1|0}while((h|0)<(th(k[f>>2]|0)|0))}nZ(d,e,1,2,4,0,uY()|0)|0;uY()|0;g=+p[e>>3];p[d>>3]=g;voa(b,g,659);if(!a){r=c;return}p[a>>3]=+p[d>>3];r=c;return}function qqa(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;d=r;r=r+16|0;e=d+8|0;f=d+4|0;g=d;k[g>>2]=0;h=b+44|0;cO(k[h>>2]|0,e,478);cO(k[h>>2]|0,f,477);h=n_(k[f>>2]|0)|0;loa(g,0,0,0,b);f=b+20|0;if((th(k[f>>2]|0)|0)>0){i=0;do{j=qh(k[f>>2]|0,i)|0;l=ed[k[(k[h>>2]|0)+40>>2]&511](h,j)|0;if(l){JN(l,k[g>>2]|0);HN(l);Sqa(l)}i=i+1|0}while((i|0)<(th(k[f>>2]|0)|0))}f=b+36|0;if((bL(k[f>>2]|0)|0)>0){b=0;do{i=qh(k[f>>2]|0,b)|0;if(ed[k[(k[i>>2]|0)+60>>2]&511](i,k[e>>2]|0)|0)Fc[k[(k[i>>2]|0)+36>>2]&1023](i,k[g>>2]|0);if(ed[k[(k[i>>2]|0)+60>>2]&511](i,k[e>>2]|0)|0)Xc[k[(k[i>>2]|0)+68>>2]&63](i,k[g>>2]|0,c);b=b+1|0}while((b|0)<(bL(k[f>>2]|0)|0))}f=k[g>>2]|0;if(k[f>>2]|0){b=k[k[f+4>>2]>>2]|0;Ec[k[(k[b>>2]|0)+12>>2]&1023](b)}if(!h){m=k[g>>2]|0;k[a>>2]=m;r=d;return}Ec[k[(k[h>>2]|0)+4>>2]&1023](h);m=k[g>>2]|0;k[a>>2]=m;r=d;return}function rqa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;e=r;r=r+16|0;f=e;cO(c,f,478);if(!(k[d>>2]|0))g=0;else{c=k[k[d+4>>2]>>2]|0;g=Hc[k[(k[c>>2]|0)+52>>2]&511](c)|0}if((th(a)|0)>0){c=0;do{d=qh(a,c)|0;if(ed[k[(k[d>>2]|0)+40>>2]&511](d,k[f>>2]|0)|0?(Hc[k[(k[d>>2]|0)+20>>2]&511](d)|0)==614:0)YK(d,b,g);c=c+1|0}while((c|0)<(th(a)|0))}if(!g){r=e;return}Tqa(g);r=e;return}function sqa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=r;r=r+16|0;g=f;cO(d,g,478);if(!(k[b>>2]|0))h=0;else{d=k[k[b+4>>2]>>2]|0;h=Hc[k[(k[d>>2]|0)+52>>2]&511](d)|0}if((bn(c,k[g>>2]|0)|0)!=0?(th(c)|0)>0:0){d=0;do{b=qh(c,d)|0;if(Tn(b,k[g>>2]|0)|0)go(b,a,h,e);d=d+1|0}while((d|0)<(th(c)|0))}if(h)Tqa(h);if(!(k[a>>2]|0)){r=f;return}h=k[k[a+4>>2]>>2]|0;Ec[k[(k[h>>2]|0)+12>>2]&1023](h);r=f;return}function tqa(a){a=a|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;return}function uqa(a){a=a|0;var b=0;b=r;r=r+16|0;mta(a,b)|0;r=b;return}function vqa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;f=k[d>>2]|0;if((f|0)!=(k[d+4>>2]|0)){wqa(150347,150340,915,20);g=20;return g|0}if((f|0)==(k[e>>2]|0)){Kqa(101,a,b,c,f,k[d+12>>2]|0,k[d+8>>2]|0,k[e+8>>2]|0,k[e+4>>2]|0);g=0;return g|0}else{wqa(150325,150340,919,19);g=19;return g|0}return 0}function wqa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=k[10503]|0;if(!e){xqa(150369,b,c,a);Usa(k[10620]|0)|0;f=k[10618]|0;jta(150375,35,1,f)|0;Usa(f)|0;mc()}else{rd[e&511](a,b,c,d);return}}function xqa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=r;r=r+16|0;f=e;g=k[10504]|0;if(!g){h=k[10618]|0;k[10504]=h;i=h}else i=g;g=k[10505]|0;if(!g){k[f>>2]=b;k[f+4>>2]=c;k[f+8>>2]=a;k[f+12>>2]=d;Zsa(i,150411,f)|0;r=e;return}else{rd[g&511](a,b,c,d);r=e;return}}function yqa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0.0,t=0.0,u=0,v=0,w=0;d=k[a>>2]|0;if((d|0)!=(k[a+4>>2]|0)){wqa(150431,150471,64,20);e=20;return e|0}if((k[b>>2]|0)!=(d|0)){wqa(150476,150471,68,19);e=19;return e|0}k[c>>2]=1;Eqa(b);f=d+-1|0;if(!f){e=0;return e|0}g=a+8|0;h=a+12|0;i=0;do{j=i;i=i+1|0;l=i>>>0<d>>>0;if(l){m=k[h>>2]|0;n=k[g>>2]|0;o=m+((ma(n,j)|0)+j<<3)|0;q=i;r=j;s=+$(+(+p[o>>3]));while(1){o=m+((ma(n,q)|0)+j<<3)|0;t=+$(+(+p[o>>3]));o=t>s;u=o?q:r;q=q+1|0;if((q|0)==(d|0)){v=u;break}else{r=u;s=o?t:s}}if((v|0)!=(j|0)){Bqa(a,j,v)|0;Gqa(b,j,v)|0;k[c>>2]=0-(k[c>>2]|0)}}r=k[g>>2]|0;q=ma(r,j)|0;n=k[h>>2]|0;s=+p[n+(q+j<<3)>>3];if(s!=0.0&l){m=i;do{o=ma(r,m)|0;u=n+(o+j<<3)|0;t=+p[u>>3]/s;p[u>>3]=t;u=i;do{w=n+(o+u<<3)|0;p[w>>3]=+p[w>>3]-t*+p[n+(q+u<<3)>>3];u=u+1|0}while((u|0)!=(d|0));m=m+1|0}while((m|0)!=(d|0))}}while((i|0)!=(f|0));e=0;return e|0}function zqa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=k[a>>2]|0;if((e|0)!=(k[a+4>>2]|0)){wqa(150518,150471,131,20);f=20;return f|0}if((e|0)!=(k[b>>2]|0)){wqa(150476,150471,135,19);f=19;return f|0}if((e|0)!=(k[c>>2]|0)){wqa(150543,150471,139,19);f=19;return f|0}if((e|0)!=(k[d>>2]|0)){wqa(150573,150471,143,19);f=19;return f|0}a:do if(e){g=k[a+8>>2]|0;h=k[a+12>>2]|0;i=0;while(1){j=h+((ma(i,g)|0)+i<<3)|0;i=i+1|0;if(!(+p[j>>3]!=0.0))break;if(i>>>0>=e>>>0)break a}wqa(150610,150471,147,1);f=1;return f|0}while(0);Iqa(d,c)|0;f=Aqa(a,b,d)|0;return f|0}function Aqa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=k[a>>2]|0;if((d|0)!=(k[a+4>>2]|0)){wqa(150518,150471,171,20);e=20;return e|0}if((d|0)!=(k[b>>2]|0)){wqa(150476,150471,175,19);e=19;return e|0}if((d|0)!=(k[c>>2]|0)){wqa(150629,150471,179,19);e=19;return e|0}a:do if(d){f=k[a+8>>2]|0;g=k[a+12>>2]|0;h=0;while(1){i=g+((ma(h,f)|0)+h<<3)|0;h=h+1|0;if(!(+p[i>>3]!=0.0))break;if(h>>>0>=d>>>0)break a}wqa(150610,150471,183,1);e=1;return e|0}while(0);Hqa(b,c)|0;vqa(122,111,132,a,c)|0;vqa(121,111,131,a,c)|0;e=0;return e|0}function Bqa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0.0;d=k[a>>2]|0;e=k[a+4>>2]|0;if(d>>>0<=b>>>0){wqa(150670,150702,29,4);f=4;return f|0}if(d>>>0<=c>>>0){wqa(150718,150702,34,4);f=4;return f|0}if((b|0)==(c|0)){f=0;return f|0}d=k[a+12>>2]|0;g=k[a+8>>2]|0;a=d+((ma(g,b)|0)<<3)|0;b=d+((ma(g,c)|0)<<3)|0;if(!e){f=0;return f|0}else h=0;do{c=a+(h<<3)|0;i=+p[c>>3];g=b+(h<<3)|0;p[c>>3]=+p[g>>3];p[g>>3]=i;h=h+1|0}while((h|0)!=(e|0));f=0;return f|0}function Cqa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;if(!c){wqa(150751,151211,29,4);k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[a+16>>2]=0;k[a+20>>2]=0;return}if(!d){wqa(150796,151211,34,4);k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[a+16>>2]=0;k[a+20>>2]=0;return}else{k[a>>2]=c;k[a+4>>2]=d;k[a+8>>2]=d;k[a+12>>2]=b;k[a+16>>2]=0;k[a+20>>2]=0;return}}function Dqa(a){a=a|0;var b=0,c=0,d=0;if(!a){wqa(150841,150887,33,1);b=0;return b|0}c=lua(8)|0;if(!c){wqa(150894,150887,41,8);b=0;return b|0}d=lua(a<<2)|0;k[c+4>>2]=d;if(!d){mua(c);wqa(150942,150887,51,8);b=0;return b|0}else{k[c>>2]=a;b=c;return b|0}return 0}function Eqa(a){a=a|0;var b=0,c=0;b=k[a>>2]|0;if(!b)return;c=k[a+4>>2]|0;a=0;do{k[c+(a<<2)>>2]=a;a=a+1|0}while((a|0)!=(b|0));return}function Fqa(a){a=a|0;if(!a)return;mua(k[a+4>>2]|0);mua(a);return}function Gqa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=k[a>>2]|0;if(d>>>0<=b>>>0){wqa(150988,151016,43,4);e=4;return e|0}if(d>>>0<=c>>>0){wqa(151030,151016,48,4);e=4;return e|0}if((b|0)==(c|0)){e=0;return e|0}d=k[a+4>>2]|0;a=d+(b<<2)|0;b=k[a>>2]|0;f=d+(c<<2)|0;k[a>>2]=k[f>>2];k[f>>2]=b;e=0;return e|0}function Hqa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0.0,l=0,m=0,n=0;c=k[b>>2]|0;if((c|0)!=(k[a>>2]|0)){wqa(151059,151106,144,19);d=19;return d|0}e=k[a+4>>2]|0;a=k[b+8>>2]|0;f=k[b+4>>2]|0;if(!c){d=0;return d|0}else g=0;do{b=g;while(1){h=k[e+(b<<2)>>2]|0;if(h>>>0>g>>>0)b=h;else{i=h;break}}if(i>>>0>=g>>>0?(b=k[e+(i<<2)>>2]|0,(b|0)!=(g|0)):0){h=a+((ma(g,f)|0)<<3)|0;j=+p[h>>3];h=i;l=b;while(1){b=ma(h,f)|0;m=a+((ma(l,f)|0)<<3)|0;p[a+(b<<3)>>3]=+p[m>>3];b=k[e+(l<<2)>>2]|0;if((b|0)==(g|0)){n=m;break}else{m=l;l=b;h=m}}p[n>>3]=j}g=g+1|0}while((g|0)!=(c|0));d=0;return d|0}function Iqa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0;c=k[b>>2]|0;if((c|0)!=(k[a>>2]|0)){wqa(151125,151154,29,19);d=19;return d|0}e=k[b+4>>2]|0;f=k[a+4>>2]|0;if(!c){d=0;return d|0}g=k[b+8>>2]|0;b=k[a+8>>2]|0;a=0;do{h=ma(a,f)|0;i=g+((ma(a,e)|0)<<3)|0;p[b+(h<<3)>>3]=+p[i>>3];a=a+1|0}while((a|0)!=(c|0));d=0;return d|0}function Jqa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;if(!c){wqa(151170,151211,28,4);d=0;e=0;f=0}else{d=b;e=1;f=c}k[a>>2]=f;k[a+4>>2]=e;k[a+8>>2]=d;k[a+12>>2]=0;k[a+16>>2]=0;return}function Kqa(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0,M=0,N=0,O=0.0;j=r;r=r+16|0;k=j+8|0;l=(d|0)==131;m=(c|0)!=113?c:112;n=(i|0)==0?9:(((e|0)<1?1:e)|0)>(g|0)?7:(e|0)<0?5:(d+-131|0)>>>0>1?4:(c+-111|0)>>>0<3?((b+-121|0)>>>0>1?2:(a+-101|0)>>>0>1&1):3;if(n)Lqa(n,151227,159121,j);if(!e){r=j;return}n=(a|0)==101;c=(m|0)==111;d=n&c;o=(b|0)==121;if(!(o&d)?(q=(a|0)==102,a=(m|0)==112,m=q&a,s=(b|0)==122,!(s&m)):0){if(s&d|o&m){m=(i|0)>0;d=ma(1-e|0,i)|0;b=m?0:d;if(l){d=h+(b<<3)|0;p[d>>3]=+p[d>>3]/+p[f>>3]}d=b+i|0;if((e|0)<=1){r=j;return}b=ma(1-e|0,i)|0;if(m){m=1;t=d;while(1){u=h+(t<<3)|0;v=ma(m,g)|0;w=0;x=0;y=+p[u>>3];while(1){z=y-+p[f+(w+v<<3)>>3]*+p[h+(x<<3)>>3];w=w+1|0;if((w|0)==(m|0)){A=z;break}else{x=x+i|0;y=z}}if(l){x=f+((ma(m,g)|0)+m<<3)|0;B=A/+p[x>>3]}else B=A;p[u>>3]=B;m=m+1|0;if((m|0)==(e|0))break;else t=t+i|0}r=j;return}else{t=1;m=d;while(1){d=h+(m<<3)|0;x=ma(t,g)|0;w=0;v=b;B=+p[d>>3];while(1){A=B-+p[f+(w+x<<3)>>3]*+p[h+(v<<3)>>3];w=w+1|0;if((w|0)==(t|0)){C=A;break}else{v=v+i|0;B=A}}if(l){v=f+((ma(t,g)|0)+t<<3)|0;D=C/+p[v>>3]}else D=C;p[d>>3]=D;t=t+1|0;if((t|0)==(e|0))break;else m=m+i|0}r=j;return}}m=n&a;if(!(o&m)?(a=q&c,!(s&a)):0){if(!(s&m|o&a))Lqa(0,151227,151245,k);k=ma(1-e|0,i)|0;a=e+-1|0;o=((i|0)>0?0:k)+(ma(a,i)|0)|0;if(l){k=h+(o<<3)|0;m=f+((ma(a,g)|0)+a<<3)|0;p[k>>3]=+p[k>>3]/+p[m>>3]}m=o-i|0;if((e|0)<=1){r=j;return}if(l){k=o;s=a;c=m;while(1){q=s;s=s+-1|0;n=h+(c<<3)|0;D=+p[n>>3];if((q|0)<(e|0)){t=q;b=k;C=D;while(1){v=f+((ma(t,g)|0)+s<<3)|0;B=C-+p[v>>3]*+p[h+(b<<3)>>3];t=t+1|0;if((t|0)==(e|0)){E=B;break}else{b=b+i|0;C=B}}}else E=D;b=f+((ma(s,g)|0)+s<<3)|0;p[n>>3]=E/+p[b>>3];if((q|0)<=1)break;else{b=c;c=c-i|0;k=b}}r=j;return}else{k=o;o=a;a=m;while(1){m=o;o=o+-1|0;c=h+(a<<3)|0;E=+p[c>>3];if((m|0)<(e|0)){s=m;b=k;C=E;while(1){t=f+((ma(s,g)|0)+o<<3)|0;B=C-+p[t>>3]*+p[h+(b<<3)>>3];s=s+1|0;if((s|0)==(e|0)){F=B;break}else{b=b+i|0;C=B}}}else F=E;p[c>>3]=F;if((m|0)<=1)break;else{b=a;a=a-i|0;k=b}}r=j;return}}k=(i|0)>0;a=ma(1-e|0,i)|0;o=k?0:a;if(l){a=h+(o<<3)|0;p[a>>3]=+p[a>>3]/+p[f>>3]}a=o+i|0;if((e|0)<=1){r=j;return}o=ma(1-e|0,i)|0;if(k){k=1;b=a;while(1){s=h+(b<<3)|0;q=0;n=0;F=+p[s>>3];while(1){t=f+((ma(q,g)|0)+k<<3)|0;C=F-+p[t>>3]*+p[h+(n<<3)>>3];q=q+1|0;if((q|0)==(k|0)){G=C;break}else{n=n+i|0;F=C}}if(l){n=f+((ma(k,g)|0)+k<<3)|0;H=G/+p[n>>3]}else H=G;p[s>>3]=H;k=k+1|0;if((k|0)==(e|0))break;else b=b+i|0}r=j;return}else{b=1;k=a;while(1){a=h+(k<<3)|0;n=0;q=o;H=+p[a>>3];while(1){m=f+((ma(n,g)|0)+b<<3)|0;G=H-+p[m>>3]*+p[h+(q<<3)>>3];n=n+1|0;if((n|0)==(b|0)){I=G;break}else{q=q+i|0;H=G}}if(l){q=f+((ma(b,g)|0)+b<<3)|0;J=I/+p[q>>3]}else J=I;p[a>>3]=J;b=b+1|0;if((b|0)==(e|0))break;else k=k+i|0}r=j;return}}k=ma(1-e|0,i)|0;b=e+-1|0;o=((i|0)>0?0:k)+(ma(b,i)|0)|0;if(l){k=h+(o<<3)|0;q=f+((ma(b,g)|0)+b<<3)|0;p[k>>3]=+p[k>>3]/+p[q>>3]}q=o-i|0;if((e|0)<=1){r=j;return}if(l){l=o;k=b;n=q;while(1){s=k;k=k+-1|0;m=h+(n<<3)|0;J=+p[m>>3];c=ma(k,g)|0;if((s|0)<(e|0)){t=s;d=l;I=J;while(1){H=I-+p[f+(t+c<<3)>>3]*+p[h+(d<<3)>>3];t=t+1|0;if((t|0)==(e|0)){K=H;break}else{d=d+i|0;I=H}}}else K=J;p[m>>3]=K/+p[f+(c+k<<3)>>3];if((s|0)<=1)break;else{d=n;n=n-i|0;l=d}}r=j;return}else{L=o;M=b;N=q}while(1){q=M;M=M+-1|0;b=h+(N<<3)|0;K=+p[b>>3];if((q|0)<(e|0)){o=ma(M,g)|0;l=q;n=L;I=K;while(1){H=I-+p[f+(l+o<<3)>>3]*+p[h+(n<<3)>>3];l=l+1|0;if((l|0)==(e|0)){O=H;break}else{n=n+i|0;I=H}}}else O=K;p[b>>3]=O;if((q|0)<=1)break;else{n=N;N=N-i|0;L=n}}r=j;return}function Lqa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;e=r;r=r+32|0;f=e;g=e+8|0;k[g>>2]=d;d=k[10618]|0;if(!a){uta(d,c,g)|0;mc()}k[f>>2]=a;k[f+4>>2]=b;Zsa(d,151268,f)|0;uta(d,c,g)|0;mc()}function Mqa(a,b){a=a|0;b=b|0;var c=0,d=0;c=r;r=r+16|0;d=c;k[d>>2]=b;b=k[10618]|0;uta(b,a,d)|0;_sa(10,b)|0;mc()}function Nqa(a){a=a|0;yb(151591,151620,1164,151728)}function Oqa(a){a=a|0;yb(151749,151772,303,151728)}function Pqa(){var a=0,b=0;a=r;r=r+16|0;if(!(_b(42216,6)|0)){b=Tb(k[10553]|0)|0;r=a;return b|0}else Mqa(151880,a);return 0}function Qqa(a){a=a|0;var b=0,c=0,d=0;b=(a|0)==0?1:a;while(1){a=lua(b)|0;if(a){c=a;d=6;break}a=_qa()|0;if(!a){d=5;break}od[a&15]()}if((d|0)==5){b=Ab(4)|0;k[b>>2]=42036;jc(b|0,25200,348)}else if((d|0)==6)return c|0;return 0}function Rqa(a){a=a|0;return Qqa(a)|0}function Sqa(a){a=a|0;mua(a);return}function Tqa(a){a=a|0;Sqa(a);return}function Uqa(a){a=a|0;k[a>>2]=42036;return}function Vqa(a){a=a|0;return}function Wqa(a){a=a|0;Sqa(a);return}function Xqa(a){a=a|0;return 151929}function Yqa(a){a=a|0;var b=0;b=r;r=r+16|0;B=0;fb(a|0);a=B;B=0;if(!(a&1)){B=0;wa(524,151944,b|0);B=0}a=Rb(0)|0;Nb(a|0)|0;B=0;wa(524,151984,b+8|0);B=0;b=Rb(0)|0;B=0;fb(4);a=B;B=0;if(a&1){a=Rb(0)|0;Dd(a)}else Dd(b)}function Zqa(){var a=0,b=0;B=0;a=bb(2)|0;b=B;B=0;if(b&1){b=Rb(0)|0;Dd(b)}if(((a|0)!=0?(b=k[a>>2]|0,(b|0)!=0):0)?(a=b+48|0,(k[a>>2]&-256|0)==1126902528?(k[a+4>>2]|0)==1129074247:0):0)Yqa(k[b+12>>2]|0);b=k[10506]|0;k[10506]=b+0;Yqa(b)}function _qa(){var a=0;a=k[10512]|0;k[10512]=a+0;return a|0}function $qa(a){a=a|0;return}function ara(a){a=a|0;k[a>>2]=42060;Jra(a+4|0);return}function bra(a){a=a|0;ara(a);Sqa(a);return}function cra(a){a=a|0;return k[a+4>>2]|0}function dra(a){a=a|0;return}function era(a){a=a|0;k[a>>2]=42080;return}function fra(a){a=a|0;return}function gra(a){a=a|0;Sqa(a);return}function hra(a){a=a|0;return 152034}function ira(a){a=a|0;return}function jra(a){a=a|0;return}function kra(a){a=a|0;return}function lra(a){a=a|0;Sqa(a);return}function mra(a){a=a|0;Sqa(a);return}function nra(a){a=a|0;Sqa(a);return}function ora(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=r;r=r+64|0;e=d;if((a|0)!=(b|0))if((b|0)!=0?(f=ura(b,25264,25280,0)|0,(f|0)!=0):0){b=e;g=b+56|0;do{k[b>>2]=0;b=b+4|0}while((b|0)<(g|0));k[e>>2]=f;k[e+8>>2]=a;k[e+12>>2]=-1;k[e+48>>2]=1;rd[k[(k[f>>2]|0)+28>>2]&511](f,e,k[c>>2]|0,1);if((k[e+24>>2]|0)==1){k[c>>2]=k[e+16>>2];h=1}else h=0;i=h}else i=0;else i=1;r=d;return i|0}function pra(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;a=b+16|0;e=k[a>>2]|0;do if(e){if((e|0)!=(c|0)){f=b+36|0;k[f>>2]=(k[f>>2]|0)+1;k[b+24>>2]=2;i[b+54>>0]=1;break}f=b+24|0;if((k[f>>2]|0)==2)k[f>>2]=d}else{k[a>>2]=c;k[b+24>>2]=d;k[b+36>>2]=1}while(0);return}function qra(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;if((a|0)==(k[b+8>>2]|0))pra(0,b,c,d);return}function rra(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;if((a|0)==(k[b+8>>2]|0))pra(0,b,c,d);else{e=k[a+8>>2]|0;rd[k[(k[e>>2]|0)+28>>2]&511](e,b,c,d)}return}function sra(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;e=k[a+4>>2]|0;f=e>>8;if(!(e&1))g=f;else g=k[(k[c>>2]|0)+f>>2]|0;f=k[a>>2]|0;rd[k[(k[f>>2]|0)+28>>2]&511](f,b,c+g|0,(e&2|0)!=0?d:2);return}function tra(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;a:do if((a|0)!=(k[b+8>>2]|0)){e=k[a+12>>2]|0;f=a+16+(e<<3)|0;sra(a+16|0,b,c,d);if((e|0)>1){e=b+54|0;g=a+24|0;do{sra(g,b,c,d);if(i[e>>0]|0)break a;g=g+8|0}while(g>>>0<f>>>0)}}else pra(0,b,c,d);while(0);return}function ura(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;e=r;r=r+64|0;f=e;g=k[a>>2]|0;h=a+(k[g+-8>>2]|0)|0;l=k[g+-4>>2]|0;k[f>>2]=c;k[f+4>>2]=a;k[f+8>>2]=b;k[f+12>>2]=d;d=f+16|0;b=f+20|0;a=f+24|0;g=f+28|0;m=f+32|0;n=f+40|0;o=(l|0)==(c|0);p=d;q=p+36|0;do{k[p>>2]=0;p=p+4|0}while((p|0)<(q|0));j[d+36>>1]=0;i[d+38>>0]=0;a:do if(o){k[f+48>>2]=1;Uc[k[(k[c>>2]|0)+20>>2]&63](c,f,h,h,1,0);s=(k[a>>2]|0)==1?h:0}else{Dc[k[(k[l>>2]|0)+24>>2]&255](l,f,h,1,0);switch(k[f+36>>2]|0){case 0:{s=(k[n>>2]|0)==1&(k[g>>2]|0)==1&(k[m>>2]|0)==1?k[b>>2]|0:0;break a;break}case 1:break;default:{s=0;break a}}if((k[a>>2]|0)!=1?!((k[n>>2]|0)==0&(k[g>>2]|0)==1&(k[m>>2]|0)==1):0){s=0;break}s=k[d>>2]|0}while(0);r=e;return s|0}function vra(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;i[b+53>>0]=1;do if((k[b+4>>2]|0)==(d|0)){i[b+52>>0]=1;a=b+16|0;f=k[a>>2]|0;if(!f){k[a>>2]=c;k[b+24>>2]=e;k[b+36>>2]=1;if(!((e|0)==1?(k[b+48>>2]|0)==1:0))break;i[b+54>>0]=1;break}if((f|0)!=(c|0)){f=b+36|0;k[f>>2]=(k[f>>2]|0)+1;i[b+54>>0]=1;break}f=b+24|0;a=k[f>>2]|0;if((a|0)==2){k[f>>2]=e;g=e}else g=a;if((g|0)==1?(k[b+48>>2]|0)==1:0)i[b+54>>0]=1}while(0);return}function wra(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;a:do if((a|0)==(k[b+8>>2]|0)){if((k[b+4>>2]|0)==(c|0)?(f=b+28|0,(k[f>>2]|0)!=1):0)k[f>>2]=d}else{if((a|0)!=(k[b>>2]|0)){f=k[a+12>>2]|0;g=a+16+(f<<3)|0;yra(a+16|0,b,c,d,e);h=a+24|0;if((f|0)<=1)break;f=k[a+8>>2]|0;if((f&2|0)==0?(j=b+36|0,(k[j>>2]|0)!=1):0){if(!(f&1)){f=b+54|0;l=h;while(1){if(i[f>>0]|0)break a;if((k[j>>2]|0)==1)break a;yra(l,b,c,d,e);l=l+8|0;if(l>>>0>=g>>>0)break a}}l=b+24|0;f=b+54|0;m=h;while(1){if(i[f>>0]|0)break a;if((k[j>>2]|0)==1?(k[l>>2]|0)==1:0)break a;yra(m,b,c,d,e);m=m+8|0;if(m>>>0>=g>>>0)break a}}m=b+54|0;l=h;while(1){if(i[m>>0]|0)break a;yra(l,b,c,d,e);l=l+8|0;if(l>>>0>=g>>>0)break a}}if((k[b+16>>2]|0)!=(c|0)?(g=b+20|0,(k[g>>2]|0)!=(c|0)):0){k[b+32>>2]=d;l=b+44|0;if((k[l>>2]|0)==4)break;m=a+16+(k[a+12>>2]<<3)|0;h=b+52|0;j=b+53|0;f=b+54|0;n=a+8|0;o=b+24|0;p=0;q=0;r=a+16|0;b:while(1){if(r>>>0>=m>>>0){s=p;t=q;u=20;break}i[h>>0]=0;i[j>>0]=0;xra(r,b,c,c,1,e);if(i[f>>0]|0){s=p;t=q;u=20;break}do if(i[j>>0]|0){if(!(i[h>>0]|0))if(!(k[n>>2]&1)){s=p;t=1;u=20;break b}else{v=p;w=1;break}if((k[o>>2]|0)==1){x=1;break b}if(!(k[n>>2]&2)){x=1;break b}else{v=1;w=1}}else{v=p;w=q}while(0);p=v;q=w;r=r+8|0}if((u|0)==20)if((!s?(k[g>>2]=c,r=b+40|0,k[r>>2]=(k[r>>2]|0)+1,(k[b+36>>2]|0)==1):0)?(k[o>>2]|0)==2:0){i[f>>0]=1;x=t}else x=t;k[l>>2]=x?3:4;break}if((d|0)==1)k[b+32>>2]=1}while(0);return}function xra(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;g=k[a+4>>2]|0;h=g>>8;if(!(g&1))i=h;else i=k[(k[d>>2]|0)+h>>2]|0;h=k[a>>2]|0;Uc[k[(k[h>>2]|0)+20>>2]&63](h,b,c,d+i|0,(g&2|0)!=0?e:2,f);return}function yra(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=k[a+4>>2]|0;g=f>>8;if(!(f&1))h=g;else h=k[(k[c>>2]|0)+g>>2]|0;g=k[a>>2]|0;Dc[k[(k[g>>2]|0)+24>>2]&255](g,b,c+h|0,(f&2|0)!=0?d:2,e);return}function zra(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;do if((a|0)==(k[b+8>>2]|0)){if((k[b+4>>2]|0)==(c|0)?(f=b+28|0,(k[f>>2]|0)!=1):0)k[f>>2]=d}else{if((a|0)!=(k[b>>2]|0)){f=k[a+8>>2]|0;Dc[k[(k[f>>2]|0)+24>>2]&255](f,b,c,d,e);break}if((k[b+16>>2]|0)!=(c|0)?(f=b+20|0,(k[f>>2]|0)!=(c|0)):0){k[b+32>>2]=d;g=b+44|0;if((k[g>>2]|0)==4)break;h=b+52|0;i[h>>0]=0;j=b+53|0;i[j>>0]=0;l=k[a+8>>2]|0;Uc[k[(k[l>>2]|0)+20>>2]&63](l,b,c,c,1,e);if(i[j>>0]|0)if(!(i[h>>0]|0)){m=1;n=13}else o=1;else{m=0;n=13}if((n|0)==13){k[f>>2]=c;f=b+40|0;k[f>>2]=(k[f>>2]|0)+1;if((k[b+36>>2]|0)==1?(k[b+24>>2]|0)==2:0){i[b+54>>0]=1;o=m}else o=m}k[g>>2]=o?3:4;break}if((d|0)==1)k[b+32>>2]=1}while(0);return}function Ara(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;do if((a|0)==(k[b+8>>2]|0)){if((k[b+4>>2]|0)==(c|0)?(e=b+28|0,(k[e>>2]|0)!=1):0)k[e>>2]=d}else if((a|0)==(k[b>>2]|0)){if((k[b+16>>2]|0)!=(c|0)?(e=b+20|0,(k[e>>2]|0)!=(c|0)):0){k[b+32>>2]=d;k[e>>2]=c;e=b+40|0;k[e>>2]=(k[e>>2]|0)+1;if((k[b+36>>2]|0)==1?(k[b+24>>2]|0)==2:0)i[b+54>>0]=1;k[b+44>>2]=4;break}if((d|0)==1)k[b+32>>2]=1}while(0);return}function Bra(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;if((a|0)==(k[b+8>>2]|0))vra(0,b,c,d,e);else{g=b+52|0;h=j[g>>1]|0;l=h&255;m=b+53|0;n=(h&65535)>>>8&255;h=k[a+12>>2]|0;o=a+16+(h<<3)|0;i[g>>0]=0;i[m>>0]=0;xra(a+16|0,b,c,d,e,f);a:do if((h|0)>1){p=b+24|0;q=a+8|0;r=b+54|0;s=a+24|0;do{if(i[r>>0]|0)break a;t=j[g>>1]|0;if(!((t&255)<<24>>24)){if((t&65535)>=256?(k[q>>2]&1|0)==0:0)break a}else{if((k[p>>2]|0)==1)break a;if(!(k[q>>2]&2))break a}i[g>>0]=0;i[m>>0]=0;xra(s,b,c,d,e,f);s=s+8|0}while(s>>>0<o>>>0)}while(0);i[g>>0]=l;i[m>>0]=n}return}function Cra(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0;if((a|0)==(k[b+8>>2]|0))vra(0,b,c,d,e);else{g=k[a+8>>2]|0;Uc[k[(k[g>>2]|0)+20>>2]&63](g,b,c,d,e,f)}return}function Dra(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;if((a|0)==(k[b+8>>2]|0))vra(0,b,c,d,e);return}function Era(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=r;r=r+16|0;e=d;k[e>>2]=k[c>>2];f=Rc[k[(k[a>>2]|0)+16>>2]&63](a,b,e)|0;if(f)k[c>>2]=k[e>>2];r=d;return f&1|0}function Fra(a){a=a|0;var b=0;if(!a)b=0;else b=(ura(a,25264,25312,0)|0)!=0;return b&1|0}function Gra(){var a=0;a=Ab(4)|0;Uqa(a);jc(a|0,25200,348)}function Hra(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;a=r;r=r+48|0;b=a+32|0;c=a+24|0;d=a+16|0;e=a;f=a+36|0;a=Pqa()|0;if((a|0)!=0?(g=k[a>>2]|0,(g|0)!=0):0){a=g+48|0;h=k[a>>2]|0;i=k[a+4>>2]|0;if(!((h&-256|0)==1126902528&(i|0)==1129074247)){k[c>>2]=k[10555];Mqa(152237,c)}if((h|0)==1126902529&(i|0)==1129074247)j=k[g+44>>2]|0;else j=g+80|0;k[f>>2]=j;j=k[g>>2]|0;g=k[j+4>>2]|0;if(Rc[k[(k[6304]|0)+16>>2]&63](25216,j,f)|0){j=k[f>>2]|0;f=k[10555]|0;i=Hc[k[(k[j>>2]|0)+8>>2]&511](j)|0;k[e>>2]=f;k[e+4>>2]=g;k[e+8>>2]=i;Mqa(152151,e)}else{k[d>>2]=k[10555];k[d+4>>2]=g;Mqa(152196,d)}}Mqa(152275,b)}function Ira(){var a=0;a=r;r=r+16|0;if(!(cc(42212,547)|0)){r=a;return}else Mqa(152048,a)}function Jra(a){a=a|0;var b=0,c=0;b=(k[a>>2]|0)+-4|0;c=k[b>>2]|0;k[b>>2]=c+-1;if((c+-1|0)<0)Sqa((k[a>>2]|0)+-12|0);return}function Kra(a){a=a|0;var b=0;b=r;r=r+16|0;mua(a);if(!(hc(k[10553]|0,0)|0)){r=b;return}else Mqa(152098,b)}function Lra(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;d=Bta(a,b,c)|0;return d|0}function Mra(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;d=Cta(a,b,c)|0;return d|0}function Nra(){return 42488}function Ora(){return 42492}function Pra(){return 42496}function Qra(a){a=a|0;return ((a|0)==32|(a+-9|0)>>>0<5)&1|0}function Rra(a){a=a|0;var b=0;if((a+-48|0)>>>0<10)b=1;else b=((a|32)+-97|0)>>>0<6;return b&1|0}function Sra(){var a=0,b=0;if(!(k[10556]|0))a=42500;else{b=(Yb()|0)+60|0;a=k[b>>2]|0}return a|0}function Tra(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=0;while(1){if((l[152296+b>>0]|0)==(a|0)){c=b;d=2;break}b=b+1|0;if((b|0)==87){e=87;f=152384;d=5;break}}if((d|0)==2)if(!c)g=152384;else{e=c;f=152384;d=5}if((d|0)==5)while(1){d=0;c=f;while(1){b=c+1|0;if(!(i[c>>0]|0)){h=b;break}else c=b}e=e+-1|0;if(!e){g=h;break}else{f=h;d=5}}return g|0}function Ura(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0.0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0.0,Z=0,_=0.0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0.0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0.0,ua=0,va=0.0,wa=0.0,xa=0,ya=0.0,za=0,Aa=0.0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0.0,La=0,Ma=0,Na=0,Oa=0,Pa=0.0,Qa=0,Ra=0,Sa=0,Ta=0.0,Ua=0.0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0.0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0.0,fd=0.0,gd=0.0,hd=0.0,id=0.0,jd=0.0,kd=0.0,ld=0,md=0,nd=0.0,od=0,pd=0.0;d=r;r=r+512|0;e=d;switch(b|0){case 0:{f=24;g=-149;h=4;break}case 1:{f=53;g=-1074;h=4;break}case 2:{f=53;g=-1074;h=4;break}default:j=0.0}a:do if((h|0)==4){b=a+4|0;m=a+100|0;do{n=k[b>>2]|0;if(n>>>0<(k[m>>2]|0)>>>0){k[b>>2]=n+1;o=l[n>>0]|0}else o=Xra(a)|0}while((Qra(o)|0)!=0);p=o;b:do switch(p|0){case 43:case 45:{n=1-(((p|0)==45&1)<<1)|0;q=k[b>>2]|0;if(q>>>0<(k[m>>2]|0)>>>0){k[b>>2]=q+1;s=l[q>>0]|0;t=n;break b}else{s=Xra(a)|0;t=n;break b}break}default:{s=p;t=1}}while(0);n=s;q=0;while(1){if((n|32|0)!=(i[154188+q>>0]|0)){u=n;v=q;break}do if(q>>>0<7){w=k[b>>2]|0;if(w>>>0<(k[m>>2]|0)>>>0){k[b>>2]=w+1;x=l[w>>0]|0;break}else{x=Xra(a)|0;break}}else x=n;while(0);w=q+1|0;if(w>>>0<8){n=x;q=w}else{u=x;v=w;break}}c:do switch(v|0){case 8:break;case 3:{h=23;break}default:{q=(c|0)!=0;if(q&v>>>0>3)if((v|0)==8)break c;else{h=23;break c}d:do if(!v){n=u;w=0;while(1){if((n|32|0)!=(i[157069+w>>0]|0)){y=n;z=w;break d}do if(w>>>0<2){A=k[b>>2]|0;if(A>>>0<(k[m>>2]|0)>>>0){k[b>>2]=A+1;B=l[A>>0]|0;break}else{B=Xra(a)|0;break}}else B=n;while(0);A=w+1|0;if(A>>>0<3){n=B;w=A}else{y=B;z=A;break}}}else{y=u;z=v}while(0);switch(z|0){case 3:{w=k[b>>2]|0;if(w>>>0<(k[m>>2]|0)>>>0){k[b>>2]=w+1;C=l[w>>0]|0}else C=Xra(a)|0;if((C|0)==40)D=1;else{if(!(k[m>>2]|0)){j=F;break a}k[b>>2]=(k[b>>2]|0)+-1;j=F;break a}while(1){w=k[b>>2]|0;if(w>>>0<(k[m>>2]|0)>>>0){k[b>>2]=w+1;E=l[w>>0]|0}else E=Xra(a)|0;if(!((E+-48|0)>>>0<10|(E+-65|0)>>>0<26)?!((E|0)==95|(E+-97|0)>>>0<26):0){H=E;I=D;break}D=D+1|0}if((H|0)==41){j=F;break a}w=(k[m>>2]|0)==0;if(!w)k[b>>2]=(k[b>>2]|0)+-1;if(!q){n=Sra()|0;k[n>>2]=22;Wra(a,0);j=0.0;break a}if(!I){j=F;break a}else J=I;while(1){J=J+-1|0;if(!w)k[b>>2]=(k[b>>2]|0)+-1;if(!J){j=F;break a}}break}case 0:{do if((y|0)==48){w=k[b>>2]|0;if(w>>>0<(k[m>>2]|0)>>>0){k[b>>2]=w+1;K=l[w>>0]|0}else K=Xra(a)|0;if((K|32|0)!=120){if(!(k[m>>2]|0)){L=48;break}k[b>>2]=(k[b>>2]|0)+-1;L=48;break}w=k[b>>2]|0;if(w>>>0<(k[m>>2]|0)>>>0){k[b>>2]=w+1;M=l[w>>0]|0;N=0}else{M=Xra(a)|0;N=0}e:while(1){switch(M|0){case 46:{O=N;h=74;break e;break}case 48:break;default:{P=0;R=0;S=0;T=0;U=M;V=N;W=0;X=0;Y=1.0;Z=0;_=0.0;break e}}w=k[b>>2]|0;if(w>>>0<(k[m>>2]|0)>>>0){k[b>>2]=w+1;M=l[w>>0]|0;N=1;continue}else{M=Xra(a)|0;N=1;continue}}if((h|0)==74){w=k[b>>2]|0;if(w>>>0<(k[m>>2]|0)>>>0){k[b>>2]=w+1;aa=l[w>>0]|0}else aa=Xra(a)|0;if((aa|0)==48){w=0;q=0;while(1){n=k[b>>2]|0;if(n>>>0<(k[m>>2]|0)>>>0){k[b>>2]=n+1;ba=l[n>>0]|0}else ba=Xra(a)|0;n=QEa(w|0,q|0,-1,-1)|0;A=Q;if((ba|0)==48){w=n;q=A}else{P=0;R=0;S=n;T=A;U=ba;V=1;W=1;X=0;Y=1.0;Z=0;_=0.0;break}}}else{P=0;R=0;S=0;T=0;U=aa;V=O;W=1;X=0;Y=1.0;Z=0;_=0.0}}while(1){q=U+-48|0;w=U|32;if(q>>>0>=10){A=(U|0)==46;if(!(A|(w+-97|0)>>>0<6)){ca=R;da=S;ea=P;fa=T;ga=U;ha=V;ia=W;ja=Z;ka=_;break}if(A)if(!W){la=R;na=P;oa=R;pa=P;qa=V;ra=1;sa=X;ta=Y;ua=Z;va=_}else{ca=R;da=S;ea=P;fa=T;ga=46;ha=V;ia=W;ja=Z;ka=_;break}else h=86}else h=86;if((h|0)==86){h=0;A=(U|0)>57?w+-87|0:q;do if(!((P|0)<0|(P|0)==0&R>>>0<8)){if((P|0)<0|(P|0)==0&R>>>0<14){wa=Y*.0625;xa=X;ya=wa;za=Z;Aa=_+wa*+(A|0);break}if((X|0)!=0|(A|0)==0){xa=X;ya=Y;za=Z;Aa=_}else{xa=1;ya=Y;za=Z;Aa=_+Y*.5}}else{xa=X;ya=Y;za=A+(Z<<4)|0;Aa=_}while(0);A=QEa(R|0,P|0,1,0)|0;la=S;na=T;oa=A;pa=Q;qa=1;ra=W;sa=xa;ta=ya;ua=za;va=Aa}A=k[b>>2]|0;if(A>>>0<(k[m>>2]|0)>>>0){k[b>>2]=A+1;P=pa;R=oa;S=la;T=na;U=l[A>>0]|0;V=qa;W=ra;X=sa;Y=ta;Z=ua;_=va;continue}else{P=pa;R=oa;S=la;T=na;U=Xra(a)|0;V=qa;W=ra;X=sa;Y=ta;Z=ua;_=va;continue}}if(!ha){A=(k[m>>2]|0)==0;if(!A)k[b>>2]=(k[b>>2]|0)+-1;if(c){if(!A?(A=k[b>>2]|0,k[b>>2]=A+-1,(ia|0)!=0):0)k[b>>2]=A+-2}else Wra(a,0);j=+(t|0)*0.0;break a}A=(ia|0)==0;q=A?ca:da;w=A?ea:fa;if((ea|0)<0|(ea|0)==0&ca>>>0<8){A=ca;n=ea;Ba=ja;while(1){Ca=Ba<<4;A=QEa(A|0,n|0,1,0)|0;n=Q;if(!((n|0)<0|(n|0)==0&A>>>0<8)){Da=Ca;break}else Ba=Ca}}else Da=ja;if((ga|32|0)==112){Ba=Uta(a,c)|0;A=Q;if((Ba|0)==0&(A|0)==-2147483648){if(!c){Wra(a,0);j=0.0;break a}if(!(k[m>>2]|0)){Ea=0;Fa=0}else{k[b>>2]=(k[b>>2]|0)+-1;Ea=0;Fa=0}}else{Ea=Ba;Fa=A}}else if(!(k[m>>2]|0)){Ea=0;Fa=0}else{k[b>>2]=(k[b>>2]|0)+-1;Ea=0;Fa=0}A=XEa(q|0,w|0,2)|0;Ba=QEa(A|0,Q|0,-32,-1)|0;A=QEa(Ba|0,Q|0,Ea|0,Fa|0)|0;Ba=Q;if(!Da){j=+(t|0)*0.0;break a}if((Ba|0)>0|(Ba|0)==0&A>>>0>(0-g|0)>>>0){n=Sra()|0;k[n>>2]=34;j=+(t|0)*1797693134862315708145274.0e284*1797693134862315708145274.0e284;break a}n=g+-106|0;Ca=((n|0)<0)<<31>>31;if((Ba|0)<(Ca|0)|(Ba|0)==(Ca|0)&A>>>0<n>>>0){n=Sra()|0;k[n>>2]=34;j=+(t|0)*2.2250738585072014e-308*2.2250738585072014e-308;break a}if((Da|0)>-1){n=A;Ca=Ba;Ga=Da;wa=ka;while(1){Ha=!(wa>=.5);Ia=Ha&1|Ga<<1;Ja=Ia^1;Ka=wa+(Ha?wa:wa+-1.0);Ha=QEa(n|0,Ca|0,-1,-1)|0;La=Q;if((Ia|0)>-1){n=Ha;Ca=La;Ga=Ja;wa=Ka}else{Ma=Ha;Na=La;Oa=Ja;Pa=Ka;break}}}else{Ma=A;Na=Ba;Oa=Da;Pa=ka}Ga=REa(32,0,g|0,((g|0)<0)<<31>>31|0)|0;Ca=QEa(Ma|0,Na|0,Ga|0,Q|0)|0;Ga=Q;if(0>(Ga|0)|0==(Ga|0)&f>>>0>Ca>>>0)if((Ca|0)<0){Qa=0;h=127}else{Ra=Ca;h=125}else{Ra=f;h=125}if((h|0)==125)if((Ra|0)<53){Qa=Ra;h=127}else{Sa=Ra;Ta=+(t|0);Ua=0.0}if((h|0)==127){wa=+(t|0);Sa=Qa;Ta=wa;Ua=+gsa(+qsa(1.0,84-Qa|0),wa)}Ca=(Oa&1|0)==0&(Pa!=0.0&(Sa|0)<32);wa=Ta*(Ca?0.0:Pa)+(Ua+Ta*+(((Ca&1)+Oa|0)>>>0))-Ua;if(!(wa!=0.0)){Ca=Sra()|0;k[Ca>>2]=34}j=+rsa(wa,Ma);break a}else L=y;while(0);Ca=g+f|0;Ga=0-Ca|0;n=L;w=0;f:while(1){switch(n|0){case 46:{Va=w;h=138;break f;break}case 48:break;default:{Wa=n;Xa=0;Ya=0;Za=w;_a=0;break f}}q=k[b>>2]|0;if(q>>>0<(k[m>>2]|0)>>>0){k[b>>2]=q+1;n=l[q>>0]|0;w=1;continue}else{n=Xra(a)|0;w=1;continue}}if((h|0)==138){w=k[b>>2]|0;if(w>>>0<(k[m>>2]|0)>>>0){k[b>>2]=w+1;$a=l[w>>0]|0}else $a=Xra(a)|0;if(($a|0)==48){w=0;n=0;while(1){q=QEa(w|0,n|0,-1,-1)|0;Ja=Q;La=k[b>>2]|0;if(La>>>0<(k[m>>2]|0)>>>0){k[b>>2]=La+1;ab=l[La>>0]|0}else ab=Xra(a)|0;if((ab|0)==48){w=q;n=Ja}else{Wa=ab;Xa=q;Ya=Ja;Za=1;_a=1;break}}}else{Wa=$a;Xa=0;Ya=0;Za=Va;_a=1}}k[e>>2]=0;n=Wa+-48|0;w=(Wa|0)==46;g:do if(w|n>>>0<10){Ja=e+496|0;q=Wa;La=0;Ha=0;Ia=w;bb=n;cb=Xa;db=Ya;eb=Za;fb=_a;gb=0;hb=0;ib=0;h:while(1){do if(Ia)if(!fb){jb=La;kb=Ha;lb=La;mb=Ha;nb=eb;ob=1;pb=gb;qb=hb;rb=ib}else{sb=cb;tb=db;ub=La;vb=Ha;wb=eb;xb=gb;yb=hb;zb=ib;break h}else{Ab=QEa(La|0,Ha|0,1,0)|0;Bb=Q;Cb=(q|0)!=48;if((hb|0)>=125){if(!Cb){jb=cb;kb=db;lb=Ab;mb=Bb;nb=eb;ob=fb;pb=gb;qb=hb;rb=ib;break}k[Ja>>2]=k[Ja>>2]|1;jb=cb;kb=db;lb=Ab;mb=Bb;nb=eb;ob=fb;pb=gb;qb=hb;rb=ib;break}Db=e+(hb<<2)|0;if(!gb)Eb=bb;else Eb=q+-48+((k[Db>>2]|0)*10|0)|0;k[Db>>2]=Eb;Db=gb+1|0;Fb=(Db|0)==9;jb=cb;kb=db;lb=Ab;mb=Bb;nb=1;ob=fb;pb=Fb?0:Db;qb=(Fb&1)+hb|0;rb=Cb?Ab:ib}while(0);Ab=k[b>>2]|0;if(Ab>>>0<(k[m>>2]|0)>>>0){k[b>>2]=Ab+1;Gb=l[Ab>>0]|0}else Gb=Xra(a)|0;bb=Gb+-48|0;Ia=(Gb|0)==46;if(!(Ia|bb>>>0<10)){Hb=Gb;Ib=lb;Jb=jb;Kb=mb;Lb=kb;Mb=nb;Nb=ob;Ob=pb;Pb=qb;Qb=rb;h=161;break g}else{q=Gb;La=lb;Ha=mb;cb=jb;db=kb;eb=nb;fb=ob;gb=pb;hb=qb;ib=rb}}Rb=ub;Sb=vb;Tb=sb;Ub=tb;Vb=(wb|0)!=0;Wb=xb;Xb=yb;Yb=zb;h=169}else{Hb=Wa;Ib=0;Jb=Xa;Kb=0;Lb=Ya;Mb=Za;Nb=_a;Ob=0;Pb=0;Qb=0;h=161}while(0);do if((h|0)==161){n=(Nb|0)==0;w=n?Ib:Jb;ib=n?Kb:Lb;n=(Mb|0)!=0;if(!((Hb|32|0)==101&n))if((Hb|0)>-1){Rb=Ib;Sb=Kb;Tb=w;Ub=ib;Vb=n;Wb=Ob;Xb=Pb;Yb=Qb;h=169;break}else{Zb=Ib;_b=Kb;$b=n;ac=w;bc=ib;cc=Ob;dc=Pb;ec=Qb;h=171;break}n=Uta(a,c)|0;hb=Q;if((n|0)==0&(hb|0)==-2147483648){if(!c){Wra(a,0);fc=0.0;break}if(!(k[m>>2]|0)){gc=0;hc=0}else{k[b>>2]=(k[b>>2]|0)+-1;gc=0;hc=0}}else{gc=n;hc=hb}hb=QEa(gc|0,hc|0,w|0,ib|0)|0;ic=hb;jc=Ib;kc=Q;lc=Kb;mc=Ob;nc=Pb;oc=Qb;h=173}while(0);if((h|0)==169)if(k[m>>2]|0){k[b>>2]=(k[b>>2]|0)+-1;if(Vb){ic=Tb;jc=Rb;kc=Ub;lc=Sb;mc=Wb;nc=Xb;oc=Yb;h=173}else h=172}else{Zb=Rb;_b=Sb;$b=Vb;ac=Tb;bc=Ub;cc=Wb;dc=Xb;ec=Yb;h=171}if((h|0)==171)if($b){ic=ac;jc=Zb;kc=bc;lc=_b;mc=cc;nc=dc;oc=ec;h=173}else h=172;do if((h|0)==172){hb=Sra()|0;k[hb>>2]=22;Wra(a,0);fc=0.0}else if((h|0)==173){hb=k[e>>2]|0;if(!hb){fc=+(t|0)*0.0;break}if(((lc|0)<0|(lc|0)==0&jc>>>0<10)&((ic|0)==(jc|0)&(kc|0)==(lc|0))?f>>>0>30|(hb>>>f|0)==0:0){fc=+(t|0)*+(hb>>>0);break}hb=(g|0)/-2|0;ib=((hb|0)<0)<<31>>31;if((kc|0)>(ib|0)|(kc|0)==(ib|0)&ic>>>0>hb>>>0){hb=Sra()|0;k[hb>>2]=34;fc=+(t|0)*1797693134862315708145274.0e284*1797693134862315708145274.0e284;break}hb=g+-106|0;ib=((hb|0)<0)<<31>>31;if((kc|0)<(ib|0)|(kc|0)==(ib|0)&ic>>>0<hb>>>0){hb=Sra()|0;k[hb>>2]=34;fc=+(t|0)*2.2250738585072014e-308*2.2250738585072014e-308;break}if(!mc)pc=nc;else{if((mc|0)<9){hb=e+(nc<<2)|0;ib=k[hb>>2]|0;w=mc;while(1){n=ib*10|0;w=w+1|0;if((w|0)==9){qc=n;break}else ib=n}k[hb>>2]=qc}pc=nc+1|0}if((oc|0)<9?(oc|0)<=(ic|0)&(ic|0)<18:0){if((ic|0)==9){fc=+(t|0)*+((k[e>>2]|0)>>>0);break}if((ic|0)<9){fc=+(t|0)*+((k[e>>2]|0)>>>0)/+(k[42504+(8-ic<<2)>>2]|0);break}ib=f+27+(ma(ic,-3)|0)|0;w=k[e>>2]|0;if((ib|0)>30|(w>>>ib|0)==0){fc=+(t|0)*+(w>>>0)*+(k[42504+(ic+-10<<2)>>2]|0);break}}w=(ic|0)%9|0;if(!w){rc=0;sc=0;tc=ic;uc=pc}else{ib=(ic|0)>-1?w:w+9|0;w=k[42504+(8-ib<<2)>>2]|0;if(pc){n=1e9/(w|0)|0;gb=0;fb=0;eb=0;db=ic;while(1){cb=e+(eb<<2)|0;Ha=k[cb>>2]|0;La=((Ha>>>0)/(w>>>0)|0)+fb|0;k[cb>>2]=La;cb=ma((Ha>>>0)%(w>>>0)|0,n)|0;Ha=(eb|0)==(gb|0)&(La|0)==0;eb=eb+1|0;La=Ha?db+-9|0:db;q=Ha?eb&127:gb;if((eb|0)==(pc|0)){vc=cb;wc=q;xc=La;break}else{gb=q;fb=cb;db=La}}if(!vc){yc=wc;zc=xc;Ac=pc}else{k[e+(pc<<2)>>2]=vc;yc=wc;zc=xc;Ac=pc+1|0}}else{yc=0;zc=ic;Ac=0}rc=yc;sc=0;tc=9-ib+zc|0;uc=Ac}i:while(1){db=(tc|0)<18;fb=(tc|0)==18;gb=e+(rc<<2)|0;eb=sc;n=uc;while(1){if(!db){if(!fb){Bc=rc;Cc=eb;Dc=tc;Ec=n;break i}if((k[gb>>2]|0)>>>0>=9007199){Bc=rc;Cc=eb;Dc=18;Ec=n;break i}}w=0;hb=n+127|0;La=n;while(1){cb=hb&127;q=e+(cb<<2)|0;Ha=XEa(k[q>>2]|0,0,29)|0;bb=QEa(Ha|0,Q|0,w|0,0)|0;Ha=Q;if(Ha>>>0>0|(Ha|0)==0&bb>>>0>1e9){Ia=cFa(bb|0,Ha|0,1e9,0)|0;Ja=dFa(bb|0,Ha|0,1e9,0)|0;Fc=Ja;Gc=Ia}else{Fc=bb;Gc=0}k[q>>2]=Fc;q=(cb|0)==(rc|0);bb=(cb|0)!=(La+127&127|0)|q?La:(Fc|0)==0?cb:La;if(q){Hc=Gc;Ic=bb;break}else{w=Gc;hb=cb+-1|0;La=bb}}La=eb+-29|0;if(!Hc){eb=La;n=Ic}else{Jc=La;Kc=Hc;Lc=Ic;break}}n=rc+127&127;if((n|0)==(Lc|0)){eb=Lc+127&127;gb=e+((Lc+126&127)<<2)|0;k[gb>>2]=k[gb>>2]|k[e+(eb<<2)>>2];Mc=eb}else Mc=Lc;k[e+(n<<2)>>2]=Kc;rc=n;sc=Jc;tc=tc+9|0;uc=Mc}j:while(1){Nc=Ec+1&127;ib=e+((Ec+127&127)<<2)|0;n=Bc;eb=Cc;gb=Dc;while(1){fb=(gb|0)==18;db=(gb|0)>27?9:1;La=fb^1;Oc=n;Pc=eb;while(1){Qc=Oc&127;Rc=(Qc|0)==(Ec|0);do if(!Rc){hb=k[e+(Qc<<2)>>2]|0;if(hb>>>0<9007199){h=219;break}if(hb>>>0>9007199)break;hb=Oc+1&127;if((hb|0)==(Ec|0)){h=219;break}w=k[e+(hb<<2)>>2]|0;if(w>>>0<254740991){h=219;break}if(!(w>>>0>254740991|La)){Sc=Qc;Tc=Oc;Uc=Pc;Vc=Ec;break j}}else h=219;while(0);if((h|0)==219?(h=0,fb):0){h=220;break j}w=Pc+db|0;if((Oc|0)==(Ec|0)){Oc=Ec;Pc=w}else{Wc=w;Xc=Oc;break}}fb=(1<<db)+-1|0;La=1e9>>>db;w=Xc;hb=0;bb=Xc;cb=gb;while(1){q=e+(bb<<2)|0;Ia=k[q>>2]|0;Ja=(Ia>>>db)+hb|0;k[q>>2]=Ja;q=ma(Ia&fb,La)|0;Ia=(bb|0)==(w|0)&(Ja|0)==0;bb=bb+1&127;Ja=Ia?cb+-9|0:cb;Ha=Ia?bb:w;if((bb|0)==(Ec|0)){Yc=q;Zc=Ha;_c=Ja;break}else{w=Ha;hb=q;cb=Ja}}if(!Yc){n=Zc;eb=Wc;gb=_c;continue}if((Nc|0)!=(Zc|0)){$c=Wc;ad=Yc;bd=Zc;cd=_c;break}k[ib>>2]=k[ib>>2]|1;n=Zc;eb=Wc;gb=_c}k[e+(Ec<<2)>>2]=ad;Bc=bd;Cc=$c;Dc=cd;Ec=Nc}if((h|0)==220)if(Rc){k[e+(Nc+-1<<2)>>2]=0;Sc=Ec;Tc=Oc;Uc=Pc;Vc=Nc}else{Sc=Qc;Tc=Oc;Uc=Pc;Vc=Ec}wa=+((k[e+(Sc<<2)>>2]|0)>>>0);gb=Tc+1&127;if((gb|0)==(Vc|0)){eb=Tc+2&127;k[e+(eb+-1<<2)>>2]=0;dd=eb}else dd=Vc;Ka=+(t|0);ed=Ka*(wa*1.0e9+ +((k[e+(gb<<2)>>2]|0)>>>0));gb=Uc+53|0;eb=gb-g|0;n=(eb|0)<(f|0);ib=n&1;cb=n?((eb|0)<0?0:eb):f;if((cb|0)<53){wa=+gsa(+qsa(1.0,105-cb|0),ed);fd=+lsa(ed,+qsa(1.0,53-cb|0));gd=wa;hd=fd;id=wa+(ed-fd)}else{gd=0.0;hd=0.0;id=ed}hb=Tc+2&127;do if((hb|0)==(dd|0))jd=hd;else{w=k[e+(hb<<2)>>2]|0;do if(w>>>0>=5e8){if(w>>>0>5e8){kd=Ka*.75+hd;break}if((Tc+3&127|0)==(dd|0)){kd=Ka*.5+hd;break}else{kd=Ka*.75+hd;break}}else{if((w|0)==0?(Tc+3&127|0)==(dd|0):0){kd=hd;break}kd=Ka*.25+hd}while(0);if((53-cb|0)<=1){jd=kd;break}if(+lsa(kd,1.0)!=0.0){jd=kd;break}jd=kd+1.0}while(0);Ka=id+jd-gd;do if((gb&2147483647|0)>(-2-Ca|0)){if(!(+$(+Ka)>=9007199254740992.0)){ld=ib;md=Uc;nd=Ka}else{ld=n&(cb|0)==(eb|0)?0:ib;md=Uc+1|0;nd=Ka*.5}if((md+50|0)<=(Ga|0)?!(jd!=0.0&(ld|0)!=0):0){od=md;pd=nd;break}hb=Sra()|0;k[hb>>2]=34;od=md;pd=nd}else{od=Uc;pd=Ka}while(0);fc=+rsa(pd,od)}while(0);j=fc;break a;break}default:{if(k[m>>2]|0)k[b>>2]=(k[b>>2]|0)+-1;Ga=Sra()|0;k[Ga>>2]=22;Wra(a,0);j=0.0;break a}}}}while(0);if((h|0)==23){Ga=(k[m>>2]|0)==0;if(!Ga)k[b>>2]=(k[b>>2]|0)+-1;if((c|0)!=0&v>>>0>3){Ca=v;do{if(!Ga)k[b>>2]=(k[b>>2]|0)+-1;Ca=Ca+-1|0}while(Ca>>>0>3)}}j=+(t|0)*G}while(0);r=d;return +j}function Vra(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0;a:do if(b>>>0>36){f=Sra()|0;k[f>>2]=22;g=0;h=0}else{f=a+4|0;j=a+100|0;do{m=k[f>>2]|0;if(m>>>0<(k[j>>2]|0)>>>0){k[f>>2]=m+1;n=l[m>>0]|0}else n=Xra(a)|0}while((Qra(n)|0)!=0);o=n;b:do switch(o|0){case 43:case 45:{m=((o|0)==45)<<31>>31;p=k[f>>2]|0;if(p>>>0<(k[j>>2]|0)>>>0){k[f>>2]=p+1;q=l[p>>0]|0;r=m;break b}else{q=Xra(a)|0;r=m;break b}break}default:{q=o;r=0}}while(0);m=(b|0)==0;do if((b&-17|0)==0&(q|0)==48){p=k[f>>2]|0;if(p>>>0<(k[j>>2]|0)>>>0){k[f>>2]=p+1;s=l[p>>0]|0}else s=Xra(a)|0;if((s|32|0)!=120)if(m){t=8;u=s;v=46;break}else{w=b;x=s;v=32;break}p=k[f>>2]|0;if(p>>>0<(k[j>>2]|0)>>>0){k[f>>2]=p+1;y=l[p>>0]|0}else y=Xra(a)|0;if((l[154198+y>>0]|0)>15){p=(k[j>>2]|0)==0;if(!p)k[f>>2]=(k[f>>2]|0)+-1;if(!c){Wra(a,0);g=0;h=0;break a}if(p){g=0;h=0;break a}k[f>>2]=(k[f>>2]|0)+-1;g=0;h=0;break a}else{t=16;u=y;v=46}}else{p=m?10:b;if((l[154198+q>>0]|0)>>>0<p>>>0){w=p;x=q;v=32}else{if(k[j>>2]|0)k[f>>2]=(k[f>>2]|0)+-1;Wra(a,0);p=Sra()|0;k[p>>2]=22;g=0;h=0;break a}}while(0);if((v|0)==32)if((w|0)==10){m=x+-48|0;if(m>>>0<10){p=m;m=0;while(1){z=(m*10|0)+p|0;A=k[f>>2]|0;if(A>>>0<(k[j>>2]|0)>>>0){k[f>>2]=A+1;B=l[A>>0]|0}else B=Xra(a)|0;p=B+-48|0;if(!(p>>>0<10&z>>>0<429496729)){C=z;D=B;break}else m=z}E=C;F=0;G=D}else{E=0;F=0;G=x}m=G+-48|0;if(m>>>0<10){p=E;z=F;A=m;m=G;while(1){H=bFa(p|0,z|0,10,0)|0;I=Q;J=((A|0)<0)<<31>>31;K=~J;if(I>>>0>K>>>0|(I|0)==(K|0)&H>>>0>~A>>>0){L=A;M=p;N=z;O=m;break}K=QEa(H|0,I|0,A|0,J|0)|0;J=Q;I=k[f>>2]|0;if(I>>>0<(k[j>>2]|0)>>>0){k[f>>2]=I+1;P=l[I>>0]|0}else P=Xra(a)|0;I=P+-48|0;if(I>>>0<10&(J>>>0<429496729|(J|0)==429496729&K>>>0<2576980378)){p=K;z=J;A=I;m=P}else{L=I;M=K;N=J;O=P;break}}if(L>>>0>9){R=N;S=M;T=r}else{U=10;V=M;W=N;X=O;v=72}}else{R=F;S=E;T=r}}else{t=w;u=x;v=46}c:do if((v|0)==46){if(!(t+-1&t)){m=i[154454+((t*23|0)>>>5&7)>>0]|0;A=i[154198+u>>0]|0;z=A&255;if(z>>>0<t>>>0){p=z;z=0;while(1){J=p|z<<m;K=k[f>>2]|0;if(K>>>0<(k[j>>2]|0)>>>0){k[f>>2]=K+1;Y=l[K>>0]|0}else Y=Xra(a)|0;K=i[154198+Y>>0]|0;p=K&255;if(!(J>>>0<134217728&p>>>0<t>>>0)){Z=J;_=K;$=Y;break}else z=J}aa=_;ba=0;ca=Z;da=$}else{aa=A;ba=0;ca=0;da=u}z=SEa(-1,-1,m|0)|0;p=Q;if((aa&255)>>>0>=t>>>0|(ba>>>0>p>>>0|(ba|0)==(p|0)&ca>>>0>z>>>0)){U=t;V=ca;W=ba;X=da;v=72;break}else{ea=ca;fa=ba;ga=aa}while(1){J=XEa(ea|0,fa|0,m|0)|0;K=Q;I=ga&255|J;J=k[f>>2]|0;if(J>>>0<(k[j>>2]|0)>>>0){k[f>>2]=J+1;ha=l[J>>0]|0}else ha=Xra(a)|0;ga=i[154198+ha>>0]|0;if((ga&255)>>>0>=t>>>0|(K>>>0>p>>>0|(K|0)==(p|0)&I>>>0>z>>>0)){U=t;V=I;W=K;X=ha;v=72;break c}else{ea=I;fa=K}}}z=i[154198+u>>0]|0;p=z&255;if(p>>>0<t>>>0){m=p;p=0;while(1){A=m+(ma(p,t)|0)|0;K=k[f>>2]|0;if(K>>>0<(k[j>>2]|0)>>>0){k[f>>2]=K+1;ia=l[K>>0]|0}else ia=Xra(a)|0;K=i[154198+ia>>0]|0;m=K&255;if(!(A>>>0<119304647&m>>>0<t>>>0)){ja=A;ka=K;la=ia;break}else p=A}na=ka;oa=ja;pa=0;qa=la}else{na=z;oa=0;pa=0;qa=u}if((na&255)>>>0<t>>>0){p=cFa(-1,-1,t|0,0)|0;m=Q;A=pa;K=oa;I=na;J=qa;while(1){if(A>>>0>m>>>0|(A|0)==(m|0)&K>>>0>p>>>0){U=t;V=K;W=A;X=J;v=72;break c}H=bFa(K|0,A|0,t|0,0)|0;ra=Q;sa=I&255;if(ra>>>0>4294967295|(ra|0)==-1&H>>>0>~sa>>>0){U=t;V=K;W=A;X=J;v=72;break c}ta=QEa(sa|0,0,H|0,ra|0)|0;ra=Q;H=k[f>>2]|0;if(H>>>0<(k[j>>2]|0)>>>0){k[f>>2]=H+1;ua=l[H>>0]|0}else ua=Xra(a)|0;I=i[154198+ua>>0]|0;if((I&255)>>>0>=t>>>0){U=t;V=ta;W=ra;X=ua;v=72;break}else{A=ra;K=ta;J=ua}}}else{U=t;V=oa;W=pa;X=qa;v=72}}while(0);if((v|0)==72)if((l[154198+X>>0]|0)>>>0<U>>>0){do{J=k[f>>2]|0;if(J>>>0<(k[j>>2]|0)>>>0){k[f>>2]=J+1;va=l[J>>0]|0}else va=Xra(a)|0}while((l[154198+va>>0]|0)>>>0<U>>>0);J=Sra()|0;k[J>>2]=34;R=e;S=d;T=(d&1|0)==0&0==0?r:0}else{R=W;S=V;T=r}if(k[j>>2]|0)k[f>>2]=(k[f>>2]|0)+-1;if(!(R>>>0<e>>>0|(R|0)==(e|0)&S>>>0<d>>>0)){if(!((d&1|0)!=0|0!=0|(T|0)!=0)){J=Sra()|0;k[J>>2]=34;J=QEa(d|0,e|0,-1,-1)|0;g=Q;h=J;break}if(R>>>0>e>>>0|(R|0)==(e|0)&S>>>0>d>>>0){J=Sra()|0;k[J>>2]=34;g=e;h=d;break}}J=((T|0)<0)<<31>>31;K=REa(S^T|0,R^J|0,T|0,J|0)|0;g=Q;h=K}while(0);Q=g;return h|0}function Wra(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;k[a+104>>2]=b;c=k[a+8>>2]|0;d=k[a+4>>2]|0;e=c-d|0;k[a+108>>2]=e;if((b|0)!=0&(e|0)>(b|0))k[a+100>>2]=d+b;else k[a+100>>2]=c;return}function Xra(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0;b=a+104|0;c=k[b>>2]|0;if((c|0)!=0?(k[a+108>>2]|0)>=(c|0):0)d=4;else{c=Ssa(a)|0;if((c|0)>=0){e=k[b>>2]|0;b=k[a+8>>2]|0;if(e){f=k[a+4>>2]|0;g=e-(k[a+108>>2]|0)|0;e=b;if((b-f|0)<(g|0)){h=e;d=9}else{k[a+100>>2]=f+(g+-1);j=e}}else{h=b;d=9}if((d|0)==9){k[a+100>>2]=b;j=h}h=a+4|0;if(!j)m=k[h>>2]|0;else{b=k[h>>2]|0;h=a+108|0;k[h>>2]=j+1-b+(k[h>>2]|0);m=b}b=m+-1|0;if((l[b>>0]|0|0)==(c|0))n=c;else{i[b>>0]=c;n=c}}else d=4}if((d|0)==4){k[a+100>>2]=0;n=-1}return n|0}function Yra(a){a=a|0;var b=0,c=0;if(a>>>0>4294963200){b=Sra()|0;k[b>>2]=0-a;c=-1}else c=a;return c|0}function Zra(a){a=a|0;return 0}function _ra(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return d|0}function $ra(a,b){a=a|0;b=b|0;return -1|0}function asa(a){a=a|0;mua(a);return}function bsa(a,b){a=a|0;b=b|0;return (a+-48|0)>>>0<10|0}function csa(a,b){a=a|0;b=b|0;return Rra(a)|0}function dsa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(((i[b>>0]|0)!=0?(Ita(b,159108)|0)!=0:0)?(Ita(b,154463)|0)!=0:0)d=0;else if(!c)d=nua(1,4)|0;else d=c;return d|0}function esa(a){a=a|0;var b=0,c=0;b=(Yb()|0)+176|0;c=k[b>>2]|0;if(a)k[b>>2]=a;return c|0}function fsa(a,b){a=+a;b=+b;var c=0,d=0;p[t>>3]=b;c=k[t+4>>2]|0;b=+$(+a);p[t>>3]=b;d=c&-2147483648|k[t+4>>2];k[t>>2]=k[t>>2];k[t+4>>2]=d;return +(+p[t>>3])}function gsa(a,b){a=+a;b=+b;return +(+fsa(a,b))}function hsa(a){a=+a;var b=0,c=0,d=0,e=0.0,f=0.0,g=0,h=0.0,i=0.0,j=0,l=0.0,m=0,n=0.0,o=0.0;p[t>>3]=a;b=k[t+4>>2]|0;c=b&2147483647;d=SEa(k[t>>2]|0,b|0,63)|0;do if(c>>>0>1078159481){e=+$(+a);p[t>>3]=e;b=k[t+4>>2]|0;if(!(b>>>0>2146435072|(b|0)==2146435072&(k[t>>2]|0)>>>0>0))if(!d)if(a>709.782712893384)f=a*8988465674311579538646525.0e283;else g=11;else f=-1.0;else f=a}else{if(c>>>0<=1071001154)if(c>>>0<1016070144){f=a;break}else{h=a;i=0.0;j=0;g=14;break}if(c>>>0<1072734898)if(!d){l=a+-.6931471803691238;m=1;n=1.9082149292705877e-10;g=12;break}else{l=a+.6931471803691238;m=-1;n=-1.9082149292705877e-10;g=12;break}else g=11}while(0);if((g|0)==11){c=~~(a*1.4426950408889634+((d|0)!=0?-.5:.5));e=+(c|0);l=a-e*.6931471803691238;m=c;n=e*1.9082149292705877e-10;g=12}if((g|0)==12){e=l-n;h=e;i=l-e-n;j=m;g=14}a:do if((g|0)==14){n=h*.5;e=h*n;l=e*(e*(e*(e*(4.008217827329362e-06-e*2.0109921818362437e-07)+-7.93650757867488e-05)+1.5873015872548146e-03)+-.03333333333333313)+1.0;a=3.0-n*l;n=e*((l-a)/(6.0-h*a));if(!j){f=h-(h*n-e);break}a=h*(n-i)-i-e;switch(j|0){case -1:{f=(h-a)*.5+-.5;break a;break}case 1:{if(h<-.25){f=(a-(h+.5))*-2.0;break a}else{f=(h-a)*2.0+1.0;break a}break}default:{m=XEa(j+1023|0,0,52)|0;c=Q;k[t>>2]=m;k[t+4>>2]=c;e=+p[t>>3];if(j>>>0>56){n=h-a+1.0;f=((j|0)==1024?n*2.0*8988465674311579538646525.0e283:e*n)+-1.0;break a}c=XEa(1023-j|0,0,52)|0;m=Q;if((j|0)<20){k[t>>2]=c;k[t+4>>2]=m;o=1.0-+p[t>>3]+(h-a)}else{k[t>>2]=c;k[t+4>>2]=m;o=h-(+p[t>>3]+a)+1.0}f=e*o;break a}}}while(0);return +f}function isa(a,b){a=+a;b=+b;var c=0,d=0,e=0.0,f=0,g=0,h=0,i=0,j=0,l=0.0;p[t>>3]=a;c=k[t>>2]|0;d=k[t+4>>2]|0;e=+$(+a);p[t>>3]=e;f=k[t+4>>2]|0;do if(!(f>>>0>2146435072|(f|0)==2146435072&(k[t>>2]|0)>>>0>0)){e=+$(+b);p[t>>3]=e;g=k[t+4>>2]|0;if(!(g>>>0>2146435072|(g|0)==2146435072&(k[t>>2]|0)>>>0>0)){p[t>>3]=b;g=k[t>>2]|0;h=k[t+4>>2]|0;i=SEa(c|0,d|0,63)|0;j=SEa(g|0,h|0,63)|0;if((i|0)==(j|0)){l=a<b?b:a;break}else{l=(d|0)<0?b:a;break}}else l=a}else l=b;while(0);return +l}function jsa(a,b){a=+a;b=+b;var c=0,d=0,e=0.0,f=0,g=0,h=0,i=0,j=0,l=0.0;p[t>>3]=a;c=k[t>>2]|0;d=k[t+4>>2]|0;e=+$(+a);p[t>>3]=e;f=k[t+4>>2]|0;do if(!(f>>>0>2146435072|(f|0)==2146435072&(k[t>>2]|0)>>>0>0)){e=+$(+b);p[t>>3]=e;g=k[t+4>>2]|0;if(!(g>>>0>2146435072|(g|0)==2146435072&(k[t>>2]|0)>>>0>0)){p[t>>3]=b;g=k[t>>2]|0;h=k[t+4>>2]|0;i=SEa(c|0,d|0,63)|0;j=SEa(g|0,h|0,63)|0;if((i|0)==(j|0)){l=a<b?a:b;break}else{l=(d|0)<0?a:b;break}}else l=a}else l=b;while(0);return +l}function ksa(a,b){a=+a;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0.0,n=0,o=0,q=0,r=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0.0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0;p[t>>3]=a;c=k[t>>2]|0;d=k[t+4>>2]|0;p[t>>3]=b;e=k[t>>2]|0;f=k[t+4>>2]|0;g=SEa(c|0,d|0,52)|0;h=g&2047;g=SEa(e|0,f|0,52)|0;i=g&2047;g=d&-2147483648;j=XEa(e|0,f|0,1)|0;l=Q;a:do if(!((j|0)==0&(l|0)==0)?(m=+$(+b),p[t>>3]=m,n=k[t+4>>2]|0,!(n>>>0>2146435072|(n|0)==2146435072&(k[t>>2]|0)>>>0>0|(h|0)==2047)):0){n=XEa(c|0,d|0,1)|0;o=Q;if(!(o>>>0>l>>>0|(o|0)==(l|0)&n>>>0>j>>>0))return +((n|0)==(j|0)&(o|0)==(l|0)?a*0.0:a);if(!h){o=XEa(c|0,d|0,12)|0;n=Q;if((n|0)>-1|(n|0)==-1&o>>>0>4294967295){q=o;o=n;n=0;while(1){r=n+-1|0;q=XEa(q|0,o|0,1)|0;o=Q;if(!((o|0)>-1|(o|0)==-1&q>>>0>4294967295)){s=r;break}else n=r}}else s=0;n=XEa(c|0,d|0,1-s|0)|0;u=n;v=Q;w=s}else{u=c;v=d&1048575|1048576;w=h}if(!i){n=XEa(e|0,f|0,12)|0;q=Q;if((q|0)>-1|(q|0)==-1&n>>>0>4294967295){o=n;n=q;q=0;while(1){r=q+-1|0;o=XEa(o|0,n|0,1)|0;n=Q;if(!((n|0)>-1|(n|0)==-1&o>>>0>4294967295)){x=r;break}else q=r}}else x=0;q=XEa(e|0,f|0,1-x|0)|0;y=q;z=Q;A=x}else{y=e;z=f&1048575|1048576;A=i}q=REa(u|0,v|0,y|0,z|0)|0;o=Q;n=(o|0)>-1|(o|0)==-1&q>>>0>4294967295;b:do if((w|0)>(A|0)){r=n;B=q;C=o;D=u;E=v;F=w;while(1){if(r)if((D|0)==(y|0)&(E|0)==(z|0))break;else{G=B;H=C}else{G=D;H=E}I=XEa(G|0,H|0,1)|0;J=Q;K=F+-1|0;L=REa(I|0,J|0,y|0,z|0)|0;M=Q;N=(M|0)>-1|(M|0)==-1&L>>>0>4294967295;if((K|0)>(A|0)){r=N;B=L;C=M;D=I;E=J;F=K}else{O=N;P=I;R=J;S=L;T=M;U=K;break b}}V=a*0.0;break a}else{O=n;P=u;R=v;S=q;T=o;U=w}while(0);if(O)if((P|0)==(y|0)&(R|0)==(z|0)){V=a*0.0;break}else{W=T;X=S}else{W=R;X=P}if(W>>>0<1048576|(W|0)==1048576&X>>>0<0){o=X;q=W;n=U;while(1){F=XEa(o|0,q|0,1)|0;E=Q;D=n+-1|0;if(E>>>0<1048576|(E|0)==1048576&F>>>0<0){o=F;q=E;n=D}else{Y=F;Z=E;_=D;break}}}else{Y=X;Z=W;_=U}if((_|0)>0){n=QEa(Y|0,Z|0,0,-1048576)|0;q=Q;o=XEa(_|0,0,52)|0;aa=q|Q;ba=n|o}else{o=SEa(Y|0,Z|0,1-_|0)|0;aa=Q;ba=o}k[t>>2]=ba;k[t+4>>2]=aa|g;V=+p[t>>3]}else ca=3;while(0);if((ca|0)==3){m=a*b;V=m/m}return +V}function lsa(a,b){a=+a;b=+b;return +(+ksa(a,b))}function msa(a,b){a=+a;b=b|0;var c=0,d=0,e=0,f=0,g=0.0,h=0.0,i=0,j=0.0;p[t>>3]=a;c=k[t>>2]|0;d=k[t+4>>2]|0;e=SEa(c|0,d|0,52)|0;f=e&2047;switch(f|0){case 0:{if(a!=0.0){g=+msa(a*18446744073709551616.0,b);h=g;i=(k[b>>2]|0)+-64|0}else{h=a;i=0}k[b>>2]=i;j=h;break}case 2047:{j=a;break}default:{k[b>>2]=f+-1022;k[t>>2]=c;k[t+4>>2]=d&-2146435073|1071644672;j=+p[t>>3]}}return +j}function nsa(a,b){a=+a;b=b|0;return +(+msa(a,b))}function osa(a,b){a=+a;b=b|0;return +(+qsa(a,b))}function psa(a){a=+a;var b=0,c=0,d=0,e=0.0,f=0.0,g=0,h=0,i=0,j=0,l=0,m=0,n=0.0,o=0.0,q=0.0,r=0.0,s=0.0;p[t>>3]=a;b=k[t>>2]|0;c=k[t+4>>2]|0;d=(c|0)<0;do if(d|c>>>0<1048576){e=+$(+a);p[t>>3]=e;if((k[t>>2]|0)==0&(k[t+4>>2]|0)==0){f=-1.0/(a*a);break}if(d){f=(a-a)/0.0;break}else{p[t>>3]=a*18014398509481984.0;g=k[t+4>>2]|0;h=k[t>>2]|0;i=g;j=g;l=-1077;m=9;break}}else if(c>>>0<=2146435071)if((b|0)==0&0==0&(c|0)==1072693248)f=0.0;else{h=b;i=c;j=c;l=-1023;m=9}else f=a;while(0);if((m|0)==9){m=j+614242|0;k[t>>2]=h;k[t+4>>2]=(m&1048575)+1072079006;a=+p[t>>3]+-1.0;e=a*(a*.5);n=a/(a+2.0);o=n*n;q=o*o;p[t>>3]=a-e;h=k[t+4>>2]|0;k[t>>2]=0;k[t+4>>2]=h;r=+p[t>>3];s=a-r-e+n*(e+(q*(q*(q*.15313837699209373+.22222198432149784)+.3999999999940942)+o*(q*(q*(q*.14798198605116586+.1818357216161805)+.2857142874366239)+.6666666666666735)));q=r*.4342944818781689;o=+(l+(m>>>20)|0);e=o*.30102999566361177;n=e+q;f=n+(q+(e-n)+(s*.4342944818781689+(o*3.694239077158931e-13+(r+s)*2.5082946711645275e-11)))}return +f}function qsa(a,b){a=+a;b=b|0;var c=0.0,d=0,e=0,f=0,g=0.0;if((b|0)>1023){c=a*8988465674311579538646525.0e283;d=b+-1023|0;if((d|0)>1023){e=b+-2046|0;f=(e|0)>1023?1023:e;g=c*8988465674311579538646525.0e283}else{f=d;g=c}}else if((b|0)<-1022){c=a*2.2250738585072014e-308;d=b+1022|0;if((d|0)<-1022){e=b+2044|0;f=(e|0)<-1022?-1022:e;g=c*2.2250738585072014e-308}else{f=d;g=c}}else{f=b;g=a}b=XEa(f+1023|0,0,52)|0;f=Q;k[t>>2]=b;k[t+4>>2]=f;return +(g*+p[t>>3])}function rsa(a,b){a=+a;b=b|0;return +(+qsa(a,b))}function ssa(a){a=+a;var b=0,c=0.0,d=0,e=0.0;p[t>>3]=a;b=k[t+4>>2]|0;c=+$(+a);p[t>>3]=c;d=k[t+4>>2]|0;do if(d>>>0>1071748074)if(d>>>0>1077149696){e=1.0-0.0/c;break}else{e=1.0-2.0/(+hsa(c*2.0)+2.0);break}else{if(d>>>0>1070618798){a=+hsa(c*2.0);e=a/(a+2.0);break}if(d>>>0>1048575){a=+hsa(c*-2.0);e=-a/(a+2.0)}else e=c}while(0);return +((b|0)<0?-e:e)}function tsa(a,b,c){a=a|0;b=b|0;c=c|0;return usa(0,a,b,(c|0)!=0?c:42536)|0}function usa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;e=r;r=r+16|0;f=e;g=(d|0)==0?42540:d;d=k[g>>2]|0;a:do if(!b)if(!d)h=0;else j=15;else{l=(a|0)==0?f:a;if(!c)h=-2;else{if(!d){m=i[b>>0]|0;n=m&255;if(m<<24>>24>-1){k[l>>2]=n;h=m<<24>>24!=0&1;break}m=n+-194|0;if(m>>>0>50){j=15;break}n=k[42268+(m<<2)>>2]|0;m=c+-1|0;if(!m)o=n;else{p=m;q=n;s=b+1|0;j=9}}else{p=c;q=d;s=b;j=9}b:do if((j|0)==9){n=i[s>>0]|0;m=(n&255)>>>3;if((m+-16|m+(q>>26))>>>0>7){j=15;break a}else{t=p;u=n;v=q;w=s}while(1){w=w+1|0;v=(u&255)+-128|v<<6;t=t+-1|0;if((v|0)>=0){x=v;y=t;break}if(!t){o=v;break b}u=i[w>>0]|0;if((u&-64)<<24>>24!=-128){j=15;break a}}k[g>>2]=0;k[l>>2]=x;h=c-y|0;break a}while(0);k[g>>2]=o;h=-2}}while(0);if((j|0)==15){k[g>>2]=0;g=Sra()|0;k[g>>2]=84;h=-1}r=e;return h|0}function vsa(a){a=a|0;var b=0;if(!a)b=1;else b=(k[a>>2]|0)==0;return b&1|0}function wsa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;f=r;r=r+1040|0;g=f+8|0;h=f;i=k[b>>2]|0;k[h>>2]=i;j=(a|0)!=0;l=j?d:256;d=j?a:g;a=i;a:do if((l|0)!=0&(i|0)!=0){m=c;n=l;o=a;p=0;q=d;while(1){s=m>>>2;t=s>>>0>=n>>>0;if(!(m>>>0>131|t)){u=m;v=n;w=o;x=p;y=q;break a}z=t?n:s;s=m-z|0;t=xsa(q,h,z,e)|0;if((t|0)==-1){A=s;B=q;break}z=(q|0)==(g|0);C=z?0:t;D=n-C|0;E=z?q:q+(t<<2)|0;z=t+p|0;t=k[h>>2]|0;if((n|0)!=(C|0)&(t|0)!=0){m=s;n=D;o=t;p=z;q=E}else{u=s;v=D;w=t;x=z;y=E;break a}}u=A;v=0;w=k[h>>2]|0;x=-1;y=B}else{u=c;v=l;w=a;x=0;y=d}while(0);b:do if((w|0)!=0?(v|0)!=0&(u|0)!=0:0){d=u;a=v;l=w;c=x;B=y;while(1){A=usa(B,l,d,e)|0;if((A+2|0)>>>0<3){F=A;G=c;break}l=(k[h>>2]|0)+A|0;k[h>>2]=l;a=a+-1|0;g=c+1|0;if(!((a|0)!=0&(d|0)!=(A|0))){H=g;break b}else{d=d-A|0;c=g;B=B+4|0}}switch(F|0){case -1:{H=-1;break b;break}case 0:{k[h>>2]=0;H=G;break b;break}default:{k[e>>2]=0;H=G;break b}}}else H=x;while(0);if(j)k[b>>2]=k[h>>2];r=f;return H|0}function xsa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0;e=k[b>>2]|0;if((d|0)!=0?(f=k[d>>2]|0,(f|0)!=0):0)if(!a){g=c;h=f;j=e;m=16}else{k[d>>2]=0;n=a;o=c;p=f;q=e;m=37}else if(!a){r=c;s=e;m=7}else{t=a;u=c;v=e;m=6}a:while(1)if((m|0)==6){m=0;if(!u){w=v;m=26;break}else{x=t;y=u;z=v}while(1){e=i[z>>0]|0;do if(((e&255)+-1|0)>>>0<127?y>>>0>4&(z&3|0)==0:0){f=x;d=y;A=z;while(1){B=k[A>>2]|0;if((B+-16843009|B)&-2139062144){C=f;D=d;E=B;F=A;m=32;break}k[f>>2]=B&255;k[f+4>>2]=l[A+1>>0];k[f+8>>2]=l[A+2>>0];B=A+4|0;G=f+16|0;k[f+12>>2]=l[A+3>>0];H=d+-4|0;if(H>>>0>4){f=G;d=H;A=B}else{I=B;J=G;K=H;m=31;break}}if((m|0)==31){m=0;L=J;M=K;N=i[I>>0]|0;O=I;break}else if((m|0)==32){m=0;L=C;M=D;N=E&255;O=F;break}}else{L=x;M=y;N=e;O=z}while(0);e=N&255;if((e+-1|0)>>>0>=127){P=L;Q=M;R=e;S=O;break}A=O+1|0;k[L>>2]=e;y=M+-1|0;if(!y){w=A;m=26;break a}else{x=L+4|0;z=A}}A=R+-194|0;if(A>>>0>50){T=P;U=Q;V=S;m=48;break}n=P;o=Q;p=k[42268+(A<<2)>>2]|0;q=S+1|0;m=37;continue}else if((m|0)==7){m=0;A=i[s>>0]|0;if(((A&255)+-1|0)>>>0<127?(s&3|0)==0:0){e=k[s>>2]|0;d=e&255;if(!((e+-16843009|e)&-2139062144)){e=r;f=s;while(1){H=f+4|0;G=e+-4|0;B=k[H>>2]|0;if(!((B+-16843009|B)&-2139062144)){e=G;f=H}else{W=H;X=G;Y=B;break}}Z=X;_=Y&255;$=W}else{Z=r;_=d;$=s}}else{Z=r;_=A;$=s}f=_&255;if((f+-1|0)>>>0<127){r=Z+-1|0;s=$+1|0;m=7;continue}else{aa=Z;ba=f;ca=$}f=ba+-194|0;if(f>>>0>50){T=a;U=aa;V=ca;m=48;break}g=aa;h=k[42268+(f<<2)>>2]|0;j=ca+1|0;m=16;continue}else if((m|0)==16){m=0;f=(l[j>>0]|0)>>>3;if((f+-16|f+(h>>26))>>>0>7){m=17;break}f=j+1|0;if(h&33554432){if((i[f>>0]&-64)<<24>>24!=-128){m=20;break}e=j+2|0;if(!(h&524288))da=e;else{if((i[e>>0]&-64)<<24>>24!=-128){m=23;break}da=j+3|0}}else da=f;r=g+-1|0;s=da;m=7;continue}else if((m|0)==37){m=0;f=l[q>>0]|0;e=f>>>3;if((e+-16|e+(p>>26))>>>0>7){m=38;break}e=q+1|0;B=f+-128|p<<6;if((B|0)<0){f=l[e>>0]|0;if((f&192|0)!=128){m=41;break}G=q+2|0;H=f+-128|B<<6;if((H|0)<0){f=l[G>>0]|0;if((f&192|0)!=128){m=44;break}ea=f+-128|H<<6;fa=q+3|0}else{ea=H;fa=G}}else{ea=B;fa=e}k[n>>2]=ea;t=n+4|0;u=o+-1|0;v=fa;m=6;continue}if((m|0)==17){ga=a;ha=g;ia=h;ja=j+-1|0;m=47}else if((m|0)==20){ga=a;ha=g;ia=h;ja=j+-1|0;m=47}else if((m|0)==23){ga=a;ha=g;ia=h;ja=j+-1|0;m=47}else if((m|0)==26){k[b>>2]=w;ka=c}else if((m|0)==38){ga=n;ha=o;ia=p;ja=q+-1|0;m=47}else if((m|0)==41){la=n;ma=q+-1|0;m=52}else if((m|0)==44){la=n;ma=q+-1|0;m=52}if((m|0)==47)if(!ia){T=ga;U=ha;V=ja;m=48}else{la=ga;ma=ja;m=52}if((m|0)==48)if(!(i[V>>0]|0)){if(T){k[T>>2]=0;k[b>>2]=0}ka=c-U|0}else{la=T;ma=V;m=52}if((m|0)==52){m=Sra()|0;k[m>>2]=84;if(!la)ka=-1;else{k[b>>2]=ma;ka=-1}}return ka|0}function ysa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,m=0;d=r;r=r+16|0;e=d;a:do if(!b)f=0;else{do if(c){g=(a|0)==0?e:a;h=i[b>>0]|0;j=h&255;if(h<<24>>24>-1){k[g>>2]=j;f=h<<24>>24!=0&1;break a}h=j+-194|0;if(h>>>0<=50){j=b+1|0;m=k[42268+(h<<2)>>2]|0;if(c>>>0<4?(m&-2147483648>>>((c*6|0)+-6|0)|0)!=0:0)break;h=l[j>>0]|0;j=h>>>3;if((j+-16|j+(m>>26))>>>0<=7){j=h+-128|m<<6;if((j|0)>=0){k[g>>2]=j;f=2;break a}m=l[b+2>>0]|0;if((m&192|0)==128){h=m+-128|j<<6;if((h|0)>=0){k[g>>2]=h;f=3;break a}j=l[b+3>>0]|0;if((j&192|0)==128){k[g>>2]=j+-128|h<<6;f=4;break a}}}}}while(0);h=Sra()|0;k[h>>2]=84;f=-1}while(0);r=d;return f|0}function zsa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;do if(a){if(b>>>0<128){i[a>>0]=b;d=1;break}if(b>>>0<2048){i[a>>0]=b>>>6|192;i[a+1>>0]=b&63|128;d=2;break}if(b>>>0<55296|(b&-8192|0)==57344){i[a>>0]=b>>>12|224;i[a+1>>0]=b>>>6&63|128;i[a+2>>0]=b&63|128;d=3;break}if((b+-65536|0)>>>0<1048576){i[a>>0]=b>>>18|240;i[a+1>>0]=b>>>12&63|128;i[a+2>>0]=b>>>6&63|128;i[a+3>>0]=b&63|128;d=4;break}else{c=Sra()|0;k[c>>2]=84;d=-1;break}}else d=1;while(0);return d|0}function Asa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;e=r;r=r+272|0;f=e+8|0;g=e;h=k[b>>2]|0;k[g>>2]=h;i=(a|0)!=0;j=i?d:256;d=i?a:f;a=h;a:do if((j|0)!=0&(h|0)!=0){l=c;m=j;n=a;o=0;p=d;while(1){q=l>>>0>=m>>>0;if(!(q|l>>>0>32)){s=l;t=m;u=n;v=o;w=p;break a}x=q?m:l;q=l-x|0;y=Bsa(p,g,x,0)|0;if((y|0)==-1){z=q;A=p;break}x=(p|0)==(f|0);B=x?0:y;C=m-B|0;D=x?p:p+y|0;x=y+o|0;y=k[g>>2]|0;if((m|0)!=(B|0)&(y|0)!=0){l=q;m=C;n=y;o=x;p=D}else{s=q;t=C;u=y;v=x;w=D;break a}}s=z;t=0;u=k[g>>2]|0;v=-1;w=A}else{s=c;t=j;u=a;v=0;w=d}while(0);b:do if((u|0)!=0?(t|0)!=0&(s|0)!=0:0){d=s;a=t;j=u;c=v;A=w;while(1){z=zsa(A,k[j>>2]|0,0)|0;if((z+1|0)>>>0<2){E=z;F=c;break}j=(k[g>>2]|0)+4|0;k[g>>2]=j;d=d+-1|0;f=c+1|0;if(!((a|0)!=(z|0)&(d|0)!=0)){G=f;break b}else{a=a-z|0;c=f;A=A+z|0}}if(!E){k[g>>2]=0;G=F}else G=-1}else G=v;while(0);if(i)k[b>>2]=k[g>>2];r=e;return G|0}function Bsa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;d=r;r=r+16|0;e=d;a:do if(!a){f=k[b>>2]|0;g=k[f>>2]|0;if(!g)h=0;else{j=0;l=g;g=f;while(1){if(l>>>0>127){f=zsa(e,l,0)|0;if((f|0)==-1){h=-1;break a}else m=f}else m=1;f=m+j|0;g=g+4|0;l=k[g>>2]|0;if(!l){h=f;break}else j=f}}}else{b:do if(c>>>0>3){j=a;l=c;g=k[b>>2]|0;while(1){f=k[g>>2]|0;if((f+-1|0)>>>0>126){if(!f){n=j;o=l;break}p=zsa(j,f,0)|0;if((p|0)==-1){h=-1;break a}q=j+p|0;s=l-p|0;t=g}else{i[j>>0]=f;q=j+1|0;s=l+-1|0;t=k[b>>2]|0}g=t+4|0;k[b>>2]=g;if(s>>>0<=3){u=q;v=s;break b}else{j=q;l=s}}i[n>>0]=0;k[b>>2]=0;h=c-o|0;break a}else{u=a;v=c}while(0);if(v){l=u;j=v;g=k[b>>2]|0;while(1){f=k[g>>2]|0;if((f+-1|0)>>>0>126){if(!f){w=l;x=j;y=19;break}p=zsa(e,f,0)|0;if((p|0)==-1){h=-1;break a}if(j>>>0<p>>>0){z=j;y=22;break}zsa(l,k[g>>2]|0,0)|0;A=l+p|0;B=j-p|0;C=g}else{i[l>>0]=f;A=l+1|0;B=j+-1|0;C=k[b>>2]|0}g=C+4|0;k[b>>2]=g;if(!B){h=c;break a}else{l=A;j=B}}if((y|0)==19){i[w>>0]=0;k[b>>2]=0;h=c-x|0;break}else if((y|0)==22){h=c-z|0;break}}else h=c}while(0);r=d;return h|0}function Csa(a,b){a=a|0;b=b|0;var c=0;if(!a)c=0;else c=zsa(a,b,0)|0;return c|0}function Dsa(a){a=a|0;var b=0;b=25360;k[b>>2]=a+-1;k[b+4>>2]=0;return}function Esa(){var a=0,b=0,c=0;a=25360;b=bFa(k[a>>2]|0,k[a+4>>2]|0,1284865837,1481765933)|0;a=QEa(b|0,Q|0,1,0)|0;b=Q;c=25360;k[c>>2]=a;k[c+4>>2]=b;c=SEa(a|0,b|0,33)|0;return c|0}function Fsa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;c=r;r=r+112|0;d=c+40|0;e=c+24|0;f=c+16|0;g=c;h=c+52|0;j=i[b>>0]|0;if(Dta(154469,j<<24>>24,4)|0){l=lua(1144)|0;if(!l)m=0;else{n=l;o=n+112|0;do{k[n>>2]=0;n=n+4|0}while((n|0)<(o|0));if(!(Gta(b,43)|0))k[l>>2]=j<<24>>24==114?8:4;if(!(Gta(b,101)|0))p=j;else{k[g>>2]=a;k[g+4>>2]=2;k[g+8>>2]=1;Wb(221,g|0)|0;p=i[b>>0]|0}if(p<<24>>24==97){k[f>>2]=a;k[f+4>>2]=3;p=Wb(221,f|0)|0;if(!(p&1024)){k[e>>2]=a;k[e+4>>2]=4;k[e+8>>2]=p|1024;Wb(221,e|0)|0}e=k[l>>2]|128;k[l>>2]=e;q=e}else q=k[l>>2]|0;k[l+60>>2]=a;k[l+44>>2]=l+120;k[l+48>>2]=1024;e=l+75|0;i[e>>0]=-1;if((q&8|0)==0?(k[d>>2]=a,k[d+4>>2]=21505,k[d+8>>2]=h,(qb(54,d|0)|0)==0):0)i[e>>0]=10;k[l+32>>2]=20;k[l+36>>2]=18;k[l+40>>2]=19;k[l+12>>2]=363;if(!(k[10557]|0))k[l+76>>2]=-1;lc(42252);e=k[10562]|0;k[l+56>>2]=e;if(e)k[e+52>>2]=l;k[10562]=l;dc(42252);m=l}}else{l=Sra()|0;k[l>>2]=22;m=0}r=c;return m|0}function Gsa(a){a=a|0;var b=0,c=0,d=0,e=0;b=(Gta(a,43)|0)==0;c=i[a>>0]|0;d=b?c<<24>>24!=114&1:2;b=(Gta(a,120)|0)==0;e=b?d:d|128;d=(Gta(a,101)|0)==0;a=d?e:e|524288;e=c<<24>>24==114?a:a|64;a=c<<24>>24==119?e|512:e;return (c<<24>>24==97?a|1024:a)|0}function Hsa(a){a=a|0;return 0}function Isa(a){a=a|0;return}function Jsa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0;c=r;r=r+16|0;d=c;e=b&255;i[d>>0]=e;f=a+16|0;g=k[f>>2]|0;if(!g)if(!(Rsa(a)|0)){h=k[f>>2]|0;j=4}else m=-1;else{h=g;j=4}do if((j|0)==4){g=a+20|0;f=k[g>>2]|0;if(f>>>0<h>>>0?(n=b&255,(n|0)!=(i[a+75>>0]|0)):0){k[g>>2]=f+1;i[f>>0]=e;m=n;break}if((Rc[k[a+36>>2]&63](a,d,1)|0)==1)m=l[d>>0]|0;else m=-1}while(0);r=c;return m|0}function Ksa(a){a=a|0;var b=0,c=0;b=r;r=r+16|0;c=b;k[c>>2]=k[a+60>>2];a=Yra(sb(6,c|0)|0)|0;r=b;return a|0}function Lsa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;d=r;r=r+48|0;e=d+16|0;f=d;g=d+32|0;k[g>>2]=b;h=g+4|0;j=a+48|0;l=k[j>>2]|0;k[h>>2]=c-((l|0)!=0&1);m=a+44|0;k[g+8>>2]=k[m>>2];k[g+12>>2]=l;if(!(k[10556]|0)){k[e>>2]=k[a+60>>2];k[e+4>>2]=g;k[e+8>>2]=2;n=Yra(wc(145,e|0)|0)|0}else{rb(548,a|0);k[f>>2]=k[a+60>>2];k[f+4>>2]=g;k[f+8>>2]=2;g=Yra(wc(145,f|0)|0)|0;jb(0);n=g}if((n|0)>=1){g=k[h>>2]|0;if(n>>>0>g>>>0){h=k[m>>2]|0;m=a+4|0;k[m>>2]=h;f=h;k[a+8>>2]=f+(n-g);if(!(k[j>>2]|0))o=c;else{k[m>>2]=f+1;i[b+(c+-1)>>0]=i[f>>0]|0;o=c}}else o=n}else{k[a>>2]=k[a>>2]|n&48^16;k[a+8>>2]=0;k[a+4>>2]=0;o=n}r=d;return o|0}function Msa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;d=r;r=r+32|0;e=d;f=d+20|0;k[e>>2]=k[a+60>>2];k[e+4>>2]=0;k[e+8>>2]=b;k[e+12>>2]=f;k[e+16>>2]=c;if((Yra(uc(140,e|0)|0)|0)<0){k[f>>2]=-1;g=-1}else g=k[f>>2]|0;r=d;return g|0}function Nsa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=r;r=r+48|0;e=d+16|0;f=d;g=d+32|0;h=a+28|0;i=k[h>>2]|0;k[g>>2]=i;j=a+20|0;l=(k[j>>2]|0)-i|0;k[g+4>>2]=l;k[g+8>>2]=b;k[g+12>>2]=c;b=a+60|0;i=a+44|0;m=g;g=2;n=l+c|0;while(1){if(!(k[10556]|0)){k[e>>2]=k[b>>2];k[e+4>>2]=m;k[e+8>>2]=g;o=Yra(xc(146,e|0)|0)|0}else{rb(549,a|0);k[f>>2]=k[b>>2];k[f+4>>2]=m;k[f+8>>2]=g;l=Yra(xc(146,f|0)|0)|0;jb(0);o=l}if((n|0)==(o|0)){p=6;break}if((o|0)<0){q=m;s=g;p=8;break}l=n-o|0;t=k[m+4>>2]|0;if(o>>>0<=t>>>0)if((g|0)==2){k[h>>2]=(k[h>>2]|0)+o;u=t;v=o;w=m;x=2}else{u=t;v=o;w=m;x=g}else{y=k[i>>2]|0;k[h>>2]=y;k[j>>2]=y;u=k[m+12>>2]|0;v=o-t|0;w=m+8|0;x=g+-1|0}k[w>>2]=(k[w>>2]|0)+v;k[w+4>>2]=u-v;m=w;g=x;n=l}if((p|0)==6){n=k[i>>2]|0;k[a+16>>2]=n+(k[a+48>>2]|0);i=n;k[h>>2]=i;k[j>>2]=i;z=c}else if((p|0)==8){k[a+16>>2]=0;k[h>>2]=0;k[j>>2]=0;k[a>>2]=k[a>>2]|32;if((s|0)==2)z=0;else z=c-(k[q+4>>2]|0)|0}r=d;return z|0}function Osa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=r;r=r+80|0;e=d;k[a+36>>2]=18;if((k[a>>2]&64|0)==0?(k[e>>2]=k[a+60>>2],k[e+4>>2]=21505,k[e+8>>2]=d+12,(qb(54,e|0)|0)!=0):0)i[a+75>>0]=-1;e=Nsa(a,b,c)|0;r=d;return e|0}function Psa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=a+84|0;e=k[d>>2]|0;f=c+256|0;g=Dta(e,0,f)|0;h=(g|0)==0?f:g-e|0;g=h>>>0<c>>>0?h:c;TEa(b|0,e|0,g|0)|0;k[a+4>>2]=e+g;b=e+h|0;k[a+8>>2]=b;k[d>>2]=b;return g|0}function Qsa(a){a=a|0;var b=0,c=0,d=0;b=a+74|0;c=i[b>>0]|0;i[b>>0]=c+255|c;c=a+20|0;b=a+44|0;if((k[c>>2]|0)>>>0>(k[b>>2]|0)>>>0)Rc[k[a+36>>2]&63](a,0,0)|0;k[a+16>>2]=0;k[a+28>>2]=0;k[c>>2]=0;c=k[a>>2]|0;if(c&20)if(!(c&4))d=-1;else{k[a>>2]=c|32;d=-1}else{c=k[b>>2]|0;k[a+8>>2]=c;k[a+4>>2]=c;d=0}return d|0}function Rsa(a){a=a|0;var b=0,c=0,d=0;b=a+74|0;c=i[b>>0]|0;i[b>>0]=c+255|c;c=k[a>>2]|0;if(!(c&8)){k[a+8>>2]=0;k[a+4>>2]=0;b=k[a+44>>2]|0;k[a+28>>2]=b;k[a+20>>2]=b;k[a+16>>2]=b+(k[a+48>>2]|0);d=0}else{k[a>>2]=c|32;d=-1}return d|0}function Ssa(a){a=a|0;var b=0,c=0,d=0;b=r;r=r+16|0;c=b;if((k[a+8>>2]|0)==0?(Qsa(a)|0)!=0:0)d=-1;else if((Rc[k[a+32>>2]&63](a,c,1)|0)==1)d=l[c>>0]|0;else d=-1;r=b;return d|0}function Tsa(a){a=a|0;var b=0,c=0,d=0,e=0;b=(k[a>>2]&1|0)!=0;if(!b){lc(42252);c=k[a+52>>2]|0;d=a+56|0;if(c)k[c+56>>2]=k[d>>2];e=k[d>>2]|0;if(e)k[e+52>>2]=c;if((k[10562]|0)==(a|0))k[10562]=e;dc(42252)}e=Usa(a)|0;c=Hc[k[a+12>>2]&511](a)|0|e;e=k[a+92>>2]|0;if(e)mua(e);if(!b)mua(a);return c|0}function Usa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0;do if(a){if((k[a+76>>2]|0)<=-1){b=Xta(a)|0;break}c=(Hsa(a)|0)==0;d=Xta(a)|0;if(c)b=d;else{Isa(a);b=d}}else{if(!(k[10621]|0))e=0;else e=Usa(k[10621]|0)|0;lc(42252);d=k[10562]|0;if(!d)f=e;else{c=d;d=e;while(1){if((k[c+76>>2]|0)>-1)g=Hsa(c)|0;else g=0;if((k[c+20>>2]|0)>>>0>(k[c+28>>2]|0)>>>0)h=Xta(c)|0|d;else h=d;if(g)Isa(c);c=k[c+56>>2]|0;if(!c){f=h;break}else d=h}}dc(42252);b=f}while(0);return b|0}function Vsa(a,b){a=a|0;b=b|0;var c=0,d=0;c=gta(a)|0;if((c|0)<0)d=-1;else{k[b>>2]=c;d=0}return d|0}function Wsa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;if((k[c+76>>2]|0)>-1)d=Hsa(c)|0;else d=0;e=b+-1|0;if((b|0)<2){b=c+74|0;f=i[b>>0]|0;i[b>>0]=f+255|f;if(d)Isa(c);if(!e){i[a>>0]=0;g=a}else g=0}else{a:do if(e){f=c+4|0;b=c+8|0;h=e;j=a;while(1){m=k[f>>2]|0;n=m;o=(k[b>>2]|0)-n|0;p=Dta(m,10,o)|0;q=(p|0)==0;r=q?o:1-n+p|0;p=r>>>0<h>>>0;n=p?r:h;TEa(j|0,m|0,n|0)|0;m=(k[f>>2]|0)+n|0;k[f>>2]=m;r=j+n|0;o=h-n|0;if(!(q&p)){s=r;t=17;break a}if(m>>>0>=(k[b>>2]|0)>>>0){p=Ssa(c)|0;if((p|0)<0){u=r;break}else v=p}else{k[f>>2]=m+1;v=l[m>>0]|0}h=o+-1|0;o=r+1|0;i[r>>0]=v;if(!((h|0)!=0&(v&255|0)!=10)){s=o;t=17;break a}else j=o}if((u|0)!=(a|0)?(k[c>>2]&16|0)!=0:0){s=u;t=17}else w=0}else{s=a;t=17}while(0);if((t|0)==17)if(!a)w=0;else{i[s>>0]=0;w=a}if(!d)g=w;else{Isa(c);g=w}}return g|0}function Xsa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;d=(Gta(c,43)|0)==0;do if((b|0)!=0?(e=i[c>>0]|0,f=e<<24>>24,(Dta(154469,f,4)|0)!=0):0){if((a|0)==0&b>>>0>4294966151){g=Sra()|0;k[g>>2]=12;h=0;break}g=(a|0)!=0;j=nua(g?1164:b+1164|0,1)|0;if(!j)h=0;else{l=j+112|0;k[j+84>>2]=l;k[j+60>>2]=-1;i[j+75>>0]=-1;k[j+44>>2]=j+140;k[j+48>>2]=1024;m=g?a:j+1164|0;k[j+124>>2]=m;k[j+120>>2]=b;k[j+128>>2]=f;if(d)k[j>>2]=e<<24>>24==114?8:4;switch(e<<24>>24){case 114:{k[j+116>>2]=b;break}case 97:{e=Nta(m,b)|0;k[l>>2]=e;k[j+116>>2]=e;break}default:{}}k[j+32>>2]=46;k[j+36>>2]=47;k[j+40>>2]=48;k[j+12>>2]=440;if(!(k[10557]|0))k[j+76>>2]=-1;lc(42252);e=k[10562]|0;k[j+56>>2]=e;if(e)k[e+52>>2]=j;k[10562]=j;dc(42252);h=j}}else n=3;while(0);if((n|0)==3){n=Sra()|0;k[n>>2]=22;h=0}return h|0}function Ysa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;c=r;r=r+32|0;d=c+16|0;e=c;if(Dta(154469,i[b>>0]|0,4)|0){f=Gsa(b)|0|32768;k[e>>2]=a;k[e+4>>2]=f;k[e+8>>2]=438;f=Yra(nc(5,e|0)|0)|0;if((f|0)>=0){e=Fsa(f,b)|0;if(!e){k[d>>2]=f;sb(6,d|0)|0;g=0}else g=e}else g=0}else{e=Sra()|0;k[e>>2]=22;g=0}r=c;return g|0}function Zsa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=r;r=r+16|0;e=d;k[e>>2]=c;c=uta(a,b,e)|0;r=d;return c|0}function _sa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;if((k[b+76>>2]|0)>=0?(Hsa(b)|0)!=0:0){if((i[b+75>>0]|0)!=(a|0)?(c=b+20|0,d=k[c>>2]|0,d>>>0<(k[b+16>>2]|0)>>>0):0){k[c>>2]=d+1;i[d>>0]=a;e=a&255}else e=Jsa(b,a)|0;Isa(b);f=e}else g=3;do if((g|0)==3){if((i[b+75>>0]|0)!=(a|0)?(e=b+20|0,d=k[e>>2]|0,d>>>0<(k[b+16>>2]|0)>>>0):0){k[e>>2]=d+1;i[d>>0]=a;f=a&255;break}f=Jsa(b,a)|0}while(0);return f|0}function $sa(a,b){a=a|0;b=b|0;return (jta(a,Lta(a)|0,1,b)|0)+-1|0}function ata(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;e=ma(c,b)|0;if((k[d+76>>2]|0)>-1)f=Hsa(d)|0;else f=0;g=d+74|0;h=i[g>>0]|0;i[g>>0]=h+255|h;h=d+4|0;g=k[h>>2]|0;j=(k[d+8>>2]|0)-g|0;l=g;if((j|0)>0){g=j>>>0<e>>>0?j:e;TEa(a|0,l|0,g|0)|0;k[h>>2]=l+g;m=a+g|0;n=e-g|0}else{m=a;n=e}a:do if(!n)o=13;else{a=d+32|0;g=m;l=n;while(1){if(Qsa(d)|0){p=l;break}h=Rc[k[a>>2]&63](d,g,l)|0;if((h+1|0)>>>0<2){p=l;break}if((l|0)==(h|0)){o=13;break a}else{g=g+h|0;l=l-h|0}}if(f)Isa(d);q=((e-p|0)>>>0)/(b>>>0)|0}while(0);if((o|0)==13)if(!f)q=c;else{Isa(d);q=c}return q|0}function bta(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;if((c|0)==1)d=b-(k[a+8>>2]|0)+(k[a+4>>2]|0)|0;else d=b;b=a+20|0;e=a+28|0;if((k[b>>2]|0)>>>0>(k[e>>2]|0)>>>0?(Rc[k[a+36>>2]&63](a,0,0)|0,(k[b>>2]|0)==0):0)f=-1;else{k[a+16>>2]=0;k[e>>2]=0;k[b>>2]=0;if((Rc[k[a+40>>2]&63](a,d,c)|0)<0)f=-1;else{k[a+8>>2]=0;k[a+4>>2]=0;k[a>>2]=k[a>>2]&-17;f=0}}return f|0}function cta(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;if((k[a+76>>2]|0)>-1){d=(Hsa(a)|0)==0;e=bta(a,b,c)|0;if(d)f=e;else{Isa(a);f=e}}else f=bta(a,b,c)|0;return f|0}function dta(a,b,c){a=a|0;b=b|0;c=c|0;return cta(a,b,c)|0}function eta(a,b){a=a|0;b=b|0;return cta(a,k[b>>2]|0,0)|0}function fta(a){a=a|0;var b=0,c=0,d=0;if(!(k[a>>2]&128))b=1;else b=(k[a+20>>2]|0)>>>0>(k[a+28>>2]|0)>>>0?2:1;c=Rc[k[a+40>>2]&63](a,0,b)|0;if((c|0)<0)d=c;else d=c-(k[a+8>>2]|0)+(k[a+4>>2]|0)+(k[a+20>>2]|0)-(k[a+28>>2]|0)|0;return d|0}function gta(a){a=a|0;var b=0,c=0,d=0;if((k[a+76>>2]|0)>-1){b=(Hsa(a)|0)==0;c=fta(a)|0;if(b)d=c;else d=c}else d=fta(a)|0;return d|0}function hta(a){a=a|0;return gta(a)|0}function ita(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;d=c+16|0;e=k[d>>2]|0;if(!e)if(!(Rsa(c)|0)){f=k[d>>2]|0;g=5}else h=0;else{f=e;g=5}a:do if((g|0)==5){e=c+20|0;d=k[e>>2]|0;j=d;if((f-d|0)>>>0<b>>>0){h=Rc[k[c+36>>2]&63](c,a,b)|0;break}b:do if((i[c+75>>0]|0)>-1){d=b;while(1){if(!d){l=b;m=a;n=j;o=0;break b}p=d+-1|0;if((i[a+p>>0]|0)==10){q=d;break}else d=p}if((Rc[k[c+36>>2]&63](c,a,q)|0)>>>0<q>>>0){h=q;break a}l=b-q|0;m=a+q|0;n=k[e>>2]|0;o=q}else{l=b;m=a;n=j;o=0}while(0);TEa(n|0,m|0,l|0)|0;k[e>>2]=(k[e>>2]|0)+l;h=o+l|0}while(0);return h|0}function jta(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=ma(c,b)|0;if((k[d+76>>2]|0)>-1){f=(Hsa(d)|0)==0;g=ita(a,e,d)|0;if(f)h=g;else{Isa(d);h=g}}else h=ita(a,e,d)|0;if((h|0)==(e|0))i=c;else i=(h>>>0)/(b>>>0)|0;return i|0}function kta(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;if((k[a+76>>2]|0)>=0?(Hsa(a)|0)!=0:0){b=a+4|0;c=k[b>>2]|0;if(c>>>0<(k[a+8>>2]|0)>>>0){k[b>>2]=c+1;d=l[c>>0]|0}else d=Ssa(a)|0;e=d}else f=3;do if((f|0)==3){d=a+4|0;c=k[d>>2]|0;if(c>>>0<(k[a+8>>2]|0)>>>0){k[d>>2]=c+1;e=l[c>>0]|0;break}else{e=Ssa(a)|0;break}}while(0);return e|0}function lta(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=lua(1160)|0;if(!c)d=0;else{e=c;f=e+120|0;do{k[e>>2]=0;e=e+4|0}while((e|0)<(f|0));e=c+112|0;k[c+84>>2]=e;k[e>>2]=a;k[c+116>>2]=b;b=c+120|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[c>>2]=4;k[c+60>>2]=-1;k[c+44>>2]=c+136;k[c+48>>2]=1024;i[c+75>>0]=-1;k[c+36>>2]=49;k[c+40>>2]=50;k[c+12>>2]=441;if(!(k[10557]|0))k[c+76>>2]=-1;lc(42252);b=k[10562]|0;k[c+56>>2]=b;if(b)k[b+52>>2]=c;k[10562]=c;dc(42252);d=c}return d|0}function mta(a,b){a=a|0;b=b|0;var c=0,d=0;c=r;r=r+16|0;d=c;k[d>>2]=b;b=uta(k[10620]|0,a,d)|0;r=c;return b|0}function nta(a){a=a|0;return _sa(a,k[10620]|0)|0}function ota(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;b=k[10620]|0;if((k[b+76>>2]|0)>-1)c=Hsa(b)|0;else c=0;do if(($sa(a,b)|0)<0)d=1;else{if((i[b+75>>0]|0)!=10?(e=b+20|0,f=k[e>>2]|0,f>>>0<(k[b+16>>2]|0)>>>0):0){k[e>>2]=f+1;i[f>>0]=10;d=0;break}d=(Jsa(b,10)|0)<0}while(0);if(c)Isa(b);return d<<31>>31|0}function pta(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=r;r=r+16|0;f=e;k[f>>2]=d;d=wta(a,b,c,f)|0;r=e;return d|0}function qta(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=r;r=r+16|0;e=d;k[e>>2]=c;c=xta(a,b,e)|0;r=d;return c|0}function rta(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=r;r=r+16|0;e=d;k[e>>2]=c;c=yta(a,b,e)|0;r=d;return c|0}function sta(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;do if((a|0)!=-1){if((k[b+76>>2]|0)>-1)c=Hsa(b)|0;else c=0;if(!((k[b+8>>2]|0)==0?(Qsa(b)|0)!=0:0))d=6;if((d|0)==6?(e=b+4|0,f=k[e>>2]|0,f>>>0>((k[b+44>>2]|0)+-8|0)>>>0):0){g=f+-1|0;k[e>>2]=g;i[g>>0]=a;k[b>>2]=k[b>>2]&-17;if(!c){h=a;break}Isa(b);h=a;break}if(c){Isa(b);h=-1}else h=-1}else h=-1;while(0);return h|0}function tta(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=r;r=r+16|0;e=d;f=lua(240)|0;do if(f){k[e>>2]=k[c>>2];g=wta(f,240,b,e)|0;if(g>>>0<240){h=oua(f,g+1|0)|0;k[a>>2]=(h|0)!=0?h:f;i=g;break}mua(f);if((g|0)>=0?(h=g+1|0,g=lua(h)|0,k[a>>2]=g,(g|0)!=0):0)i=wta(g,h,b,c)|0;else i=-1}else i=-1;while(0);r=d;return i|0}function uta(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;d=r;r=r+224|0;e=d+120|0;f=d+80|0;g=d;h=d+136|0;j=f;l=j+40|0;do{k[j>>2]=0;j=j+4|0}while((j|0)<(l|0));k[e>>2]=k[c>>2];if((dua(0,b,e,g,f)|0)<0)m=-1;else{if((k[a+76>>2]|0)>-1)n=Hsa(a)|0;else n=0;c=k[a>>2]|0;j=c&32;if((i[a+74>>0]|0)<1)k[a>>2]=c&-33;c=a+48|0;if(!(k[c>>2]|0)){l=a+44|0;o=k[l>>2]|0;k[l>>2]=h;p=a+28|0;k[p>>2]=h;q=a+20|0;k[q>>2]=h;k[c>>2]=80;s=a+16|0;k[s>>2]=h+80;h=dua(a,b,e,g,f)|0;if(!o)t=h;else{Rc[k[a+36>>2]&63](a,0,0)|0;u=(k[q>>2]|0)==0?-1:h;k[l>>2]=o;k[c>>2]=0;k[s>>2]=0;k[p>>2]=0;k[q>>2]=0;t=u}}else t=dua(a,b,e,g,f)|0;f=k[a>>2]|0;k[a>>2]=f|j;if(n)Isa(a);m=(f&32|0)==0?t:-1}r=d;return m|0}
function qN(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,80946,87);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,60,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function rN(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;b=r;r=r+192|0;a=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,h|0,a|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(a);Yua(m);Ava(h);n=q;o=p;break}Yua(a);B=0;p=Ia(40,d|0,144350,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,80946,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,144370,27);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,68,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(E|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function sN(a,b,c){a=a|0;b=+b;c=c|0;return}function tN(a,b,c){a=a|0;b=b|0;c=c|0;return}function uN(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,118532,20)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,80946,87);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,118553,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,52,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function vN(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,80946,87);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144327,22);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,53,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function wN(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return}function xN(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return}function yN(a,b,c){a=a|0;b=+b;c=c|0;return}function zN(a,b,c){a=a|0;b=b|0;c=c|0;return}function AN(a,b,c){a=a|0;b=b|0;c=c|0;uN(a+-4|0,b,c)}function BN(a,b,c){a=a|0;b=b|0;c=c|0;vN(a+-4|0,b,c)}function CN(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;if(b){DN(a,b);r=c;return}c=e+56|0;b=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;i=Q;j=a;vva(c);Qb(j|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,b|0);a=B;B=0;do if(a&1){l=Rb()|0;m=Q;n=l}else{k[b>>2]=27560;l=e+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,b|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(b);m=p;n=o;break}Yua(d);B=0;o=Ia(40,e|0,81034,38)|0;p=B;B=0;if(!(p&1)?(B=0,Xa(239,o|0,0)|0,o=B,B=0,!(o&1)):0){o=Ab(20)|0;B=0;eb(502,f|0,81073,79);p=B;B=0;do if(!(p&1)){B=0;eb(502,g|0,81153,13);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(f);t=s;u=q;break}B=0;wa(510,h|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;v=Q;w=q;x=1}else{B=0;ua(163,o|0,f|0,g|0,45,h|0);q=B;B=0;if(q&1)y=1;else{B=0;eb(503,o|0,1240,229);B=0;y=0}q=Rb()|0;s=Q;Yua(h);v=s;w=q;x=y}Yua(g);Yua(f);if(x){t=v;u=w}else{z=v;A=w;k[e>>2]=27468;k[c>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(c);Qb(A|0)}}else{q=Rb()|0;t=Q;u=q}while(0);zb(o|0);z=t;A=u;k[e>>2]=27468;k[c>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(c);Qb(A|0)}p=Rb()|0;z=Q;A=p;k[e>>2]=27468;k[c>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(c);Qb(A|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function DN(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;c=k[b>>2]|0;k[a>>2]=c;d=k[b+4>>2]|0;k[a+4>>2]=d;i[a+8>>0]=i[b+8>>0]|0;e=ma(c,d)|0;d=Rqa(e>>>0>536870911?-1:e<<3)|0;k[a+12>>2]=d;f=k[b+12>>2]|0;if(!f)yb(142353,81465,137,142345);if(e){g=0;do{p[d+(g<<3)>>3]=+p[f+(g<<3)>>3];g=g+1|0}while((g|0)!=(e|0))}e=Rqa(c>>>0>1073741823?-1:c<<2)|0;k[a+16>>2]=e;g=k[b+16>>2]|0;if(!g)yb(142353,81465,137,142345);if(c){f=0;do{k[e+(f<<2)>>2]=k[g+(f<<2)>>2];f=f+1|0}while((f|0)!=(c|0))}c=k[b+20>>2]|0;k[a+20>>2]=c;if(c){f=c>>>0>1073741823?-1:c<<2;g=Rqa(f)|0;k[a+24>>2]=g;e=k[b+24>>2]|0;if(!e)yb(142353,81465,137,142345);else h=0;do{k[g+(h<<2)>>2]=k[e+(h<<2)>>2];h=h+1|0}while((h|0)!=(c|0));h=Rqa(f)|0;k[a+28>>2]=h;f=k[b+28>>2]|0;if(!f)yb(142353,81465,137,142345);else{e=0;do{k[h+(e<<2)>>2]=k[f+(e<<2)>>2];e=e+1|0}while((e|0)!=(c|0))}}else{k[a+24>>2]=0;k[a+28>>2]=0}c=k[b+32>>2]|0;k[a+32>>2]=c;if(c){e=c>>>0>1073741823?-1:c<<2;f=Rqa(e)|0;k[a+36>>2]=f;h=k[b+36>>2]|0;if(!h)yb(142353,81465,137,142345);else j=0;do{k[f+(j<<2)>>2]=k[h+(j<<2)>>2];j=j+1|0}while((j|0)!=(c|0));j=Rqa(e)|0;k[a+40>>2]=j;e=k[b+40>>2]|0;if(!e)yb(142353,81465,137,142345);else{h=0;do{k[j+(h<<2)>>2]=k[e+(h<<2)>>2];h=h+1|0}while((h|0)!=(c|0))}}else{k[a+36>>2]=0;k[a+40>>2]=0}c=k[b+44>>2]|0;k[a+44>>2]=c;if(c){h=c>>>0>1073741823?-1:c<<2;e=Rqa(h)|0;k[a+48>>2]=e;j=k[b+48>>2]|0;if(!j)yb(142353,81465,137,142345);else l=0;do{k[e+(l<<2)>>2]=k[j+(l<<2)>>2];l=l+1|0}while((l|0)!=(c|0));l=Rqa(h)|0;k[a+52>>2]=l;h=k[b+52>>2]|0;if(!h)yb(142353,81465,137,142345);else{j=0;do{k[l+(j<<2)>>2]=k[h+(j<<2)>>2];j=j+1|0}while((j|0)!=(c|0))}}else{k[a+48>>2]=0;k[a+52>>2]=0}c=k[b+56>>2]|0;k[a+56>>2]=c;if(!c){k[a+60>>2]=0;k[a+64>>2]=0;return}j=c>>>0>1073741823?-1:c<<2;h=Rqa(j)|0;k[a+60>>2]=h;l=k[b+60>>2]|0;if(!l)yb(142353,81465,137,142345);else m=0;do{k[h+(m<<2)>>2]=k[l+(m<<2)>>2];m=m+1|0}while((m|0)!=(c|0));m=Rqa(j)|0;k[a+64>>2]=m;a=k[b+64>>2]|0;if(!a)yb(142353,81465,137,142345);else n=0;do{k[m+(n<<2)>>2]=k[a+(n<<2)>>2];n=n+1|0}while((n|0)!=(c|0));return}function EN(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0,oa=0,pa=0,qa=0;d=r;r=r+368|0;e=d+344|0;f=d+208|0;g=d+196|0;h=d+184|0;j=d+36|0;l=d+48|0;m=d+24|0;n=d+12|0;o=d;q=(b|0)!=0;s=(c|0)!=0;if(!(q|s)){t=f+56|0;u=f+4|0;k[f>>2]=27524;k[t>>2]=27544;B=0;wa(508,f+56|0,u|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;x=v;vva(t);Qb(x|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[t>>2]=27488;B=0;va(448,u|0);v=B;B=0;do if(v&1){y=Rb()|0;z=Q;A=y}else{k[u>>2]=27560;y=f+36|0;k[y>>2]=0;k[y+4>>2]=0;k[y+8>>2]=0;k[y+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,u|0,e|0);C=B;B=0;if(C&1){C=Rb()|0;D=Q;Yua(e);Yua(y);Ava(u);z=D;A=C;break}Yua(e);B=0;C=Ia(40,f|0,81335,35)|0;D=B;B=0;a:do if(!(D&1)?(B=0,Xa(239,C|0,0)|0,E=B,B=0,!(E&1)):0){E=Ab(20)|0;B=0;eb(502,g|0,81073,79);F=B;B=0;do if(!(F&1)){B=0;eb(502,h|0,81153,13);G=B;B=0;if(G&1){G=Rb()|0;H=Q;Yua(g);I=G;J=H;break}B=0;wa(510,j|0,u|0);H=B;B=0;if(H&1){H=Rb()|0;K=H;L=Q;M=1}else{B=0;ua(163,E|0,g|0,h|0,60,j|0);H=B;B=0;if(H&1)N=1;else{B=0;eb(503,E|0,1240,229);B=0;N=0}H=Rb()|0;G=Q;Yua(j);K=H;L=G;M=N}Yua(h);Yua(g);if(M){I=K;J=L}else{O=K;P=L;break a}}else{G=Rb()|0;I=G;J=Q}while(0);zb(E|0);O=I;P=J}else R=17;while(0);if((R|0)==17){C=Rb()|0;O=C;P=Q}k[f>>2]=27468;k[t>>2]=27488;k[u>>2]=27560;Yua(y);Ava(u);vva(t);S=P;T=O;Qb(T|0)}while(0);w=z;x=A;vva(t);Qb(x|0)}if(!q){DN(a,c);r=d;return}if(!s){DN(a,b);r=d;return}if((i[b+8>>0]|0)!=0?(i[c+8>>0]|0)!=0:0){s=k[c>>2]|0;q=Rqa(s>>>0>1073741823?-1:s<<2)|0;x=k[b>>2]|0;if((s|0)>0){t=c+16|0;A=b+16|0;z=(x|0)>0;w=x;O=0;while(1){b:do if(z){P=k[(k[t>>2]|0)+(O<<2)>>2]|0;u=k[A>>2]|0;f=0;while(1){if((P|0)==(k[u+(f<<2)>>2]|0)){U=f;break}f=f+1|0;if((f|0)>=(x|0)){R=61;break b}}k[q+(O<<2)>>2]=U;V=w}else R=61;while(0);if((R|0)==61){R=0;k[q+(O<<2)>>2]=w;V=w+1|0}O=O+1|0;if((O|0)>=(s|0)){W=V;break}else w=V}}else W=x;k[a>>2]=W;x=a+4|0;k[x>>2]=W;i[a+8>>0]=1;V=Rqa(W>>>0>1073741823?-1:W<<2)|0;k[a+16>>2]=V;w=ma(W,W)|0;W=Rqa(w>>>0>536870911?-1:w<<3)|0;if(w)WEa(W|0,0,w<<3|0)|0;k[a+12>>2]=W;if((k[b>>2]|0)>0){w=b+4|0;s=k[b+16>>2]|0;O=b+12|0;U=0;do{A=k[w>>2]|0;if((A|0)>0){t=k[O>>2]|0;z=ma(k[x>>2]|0,U)|0;y=ma(A,U)|0;f=0;do{u=W+(z+f<<3)|0;p[u>>3]=+p[t+(y+f<<3)>>3]+ +p[u>>3];f=f+1|0}while((f|0)<(A|0))}k[V+(U<<2)>>2]=k[s+(U<<2)>>2];U=U+1|0}while((U|0)<(k[b>>2]|0))}if((k[c>>2]|0)>0){U=c+4|0;s=k[c+16>>2]|0;O=c+12|0;w=0;do{A=k[U>>2]|0;if((A|0)>0){f=k[O>>2]|0;y=k[q+(w<<2)>>2]|0;t=ma(k[x>>2]|0,y)|0;z=ma(A,w)|0;u=0;do{P=W+(t+(k[q+(u<<2)>>2]|0)<<3)|0;p[P>>3]=+p[f+(z+u<<3)>>3]+ +p[P>>3];u=u+1|0}while((u|0)<(A|0));X=y}else X=k[q+(w<<2)>>2]|0;k[V+(X<<2)>>2]=k[s+(w<<2)>>2];w=w+1|0}while((w|0)<(k[c>>2]|0))}w=b+20|0;s=k[w>>2]|0;X=c+20|0;V=k[X>>2]|0;if((V|0)>0){W=k[c+24>>2]|0;x=k[b>>2]|0;O=s;U=0;while(1){y=((k[q+(k[W+(U<<2)>>2]<<2)>>2]|0)>=(x|0)&1)+O|0;U=U+1|0;if((U|0)>=(V|0)){Y=y;break}else O=y}}else Y=s;k[a+20>>2]=Y;if(Y){s=Y>>>0>1073741823?-1:Y<<2;Y=Rqa(s)|0;k[a+24>>2]=Y;O=Rqa(s)|0;k[a+28>>2]=O;s=k[w>>2]|0;if((s|0)>0){V=k[b+24>>2]|0;U=k[b+28>>2]|0;x=0;do{k[Y+(x<<2)>>2]=k[V+(x<<2)>>2];k[O+(x<<2)>>2]=k[U+(x<<2)>>2];x=x+1|0;W=k[w>>2]|0}while((x|0)<(W|0));Z=W}else Z=s;s=k[X>>2]|0;if((s|0)>0){x=k[c+24>>2]|0;w=c+28|0;U=s;s=Z;Z=0;while(1){V=k[q+(k[x+(Z<<2)>>2]<<2)>>2]|0;if((V|0)<(k[b>>2]|0)){_=U;$=s}else{k[Y+(s<<2)>>2]=V;k[O+(s<<2)>>2]=k[(k[w>>2]|0)+(Z<<2)>>2];_=k[X>>2]|0;$=s+1|0}Z=Z+1|0;if((Z|0)>=(_|0))break;else{U=_;s=$}}}}else{k[a+24>>2]=0;k[a+28>>2]=0}$=b+32|0;s=k[$>>2]|0;_=c+32|0;U=k[_>>2]|0;if((U|0)>0){Z=k[c+36>>2]|0;X=k[b>>2]|0;w=0;O=s;while(1){Y=((k[q+(k[Z+(w<<2)>>2]<<2)>>2]|0)>=(X|0)&1)+O|0;w=w+1|0;if((w|0)>=(U|0)){aa=Y;break}else O=Y}}else aa=s;k[a+32>>2]=aa;if(aa){s=aa>>>0>1073741823?-1:aa<<2;aa=Rqa(s)|0;k[a+36>>2]=aa;O=Rqa(s)|0;k[a+40>>2]=O;s=k[$>>2]|0;if((s|0)>0){U=k[b+36>>2]|0;w=k[b+40>>2]|0;X=0;do{k[aa+(X<<2)>>2]=k[U+(X<<2)>>2];k[O+(X<<2)>>2]=k[w+(X<<2)>>2];X=X+1|0;Z=k[$>>2]|0}while((X|0)<(Z|0));ba=Z}else ba=s;s=k[_>>2]|0;if((s|0)>0){X=k[c+36>>2]|0;$=c+40|0;c=s;s=ba;ba=0;while(1){w=k[q+(k[X+(ba<<2)>>2]<<2)>>2]|0;if((w|0)<(k[b>>2]|0)){ca=c;da=s}else{k[aa+(s<<2)>>2]=w;k[O+(s<<2)>>2]=k[(k[$>>2]|0)+(ba<<2)>>2];ca=k[_>>2]|0;da=s+1|0}ba=ba+1|0;if((ba|0)>=(ca|0))break;else{c=ca;s=da}}}}else{k[a+36>>2]=0;k[a+40>>2]=0}da=a+44|0;k[da>>2]=0;k[da+4>>2]=0;k[da+8>>2]=0;k[da+12>>2]=0;k[da+16>>2]=0;k[da+20>>2]=0;Tqa(q);r=d;return}d=l+56|0;q=l+4|0;k[l>>2]=27524;k[d>>2]=27544;B=0;wa(508,l+56|0,q|0);da=B;B=0;if(da&1){da=Rb()|0;ea=Q;fa=da;vva(d);Qb(fa|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[d>>2]=27488;B=0;va(448,q|0);da=B;B=0;do if(da&1){a=Rb()|0;ga=Q;ha=a}else{k[q>>2]=27560;a=l+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[l+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,q|0,e|0);s=B;B=0;if(s&1){s=Rb()|0;ca=Q;Yua(e);Yua(a);Ava(q);ga=ca;ha=s;break}Yua(e);B=0;s=Ia(40,l|0,81167,57)|0;ca=B;B=0;c:do if(!(ca&1)?(B=0,Xa(239,s|0,0)|0,c=B,B=0,!(c&1)):0){c=Ab(20)|0;B=0;eb(502,m|0,81073,79);ba=B;B=0;do if(!(ba&1)){B=0;eb(502,n|0,81153,13);_=B;B=0;if(_&1){_=Rb()|0;$=Q;Yua(m);ia=_;ja=$;break}B=0;wa(510,o|0,q|0);$=B;B=0;if($&1){$=Rb()|0;ka=1;la=Q;na=$}else{B=0;ua(163,c|0,m|0,n|0,72,o|0);$=B;B=0;if($&1)oa=1;else{B=0;eb(503,c|0,1240,229);B=0;oa=0}$=Rb()|0;_=Q;Yua(o);ka=oa;la=_;na=$}Yua(n);Yua(m);if(ka){ia=na;ja=la}else{pa=la;qa=na;break c}}else{$=Rb()|0;ia=$;ja=Q}while(0);zb(c|0);pa=ja;qa=ia}else R=46;while(0);if((R|0)==46){s=Rb()|0;pa=Q;qa=s}k[l>>2]=27468;k[d>>2]=27488;k[q>>2]=27560;Yua(a);Ava(q);vva(d);S=pa;T=qa;Qb(T|0)}while(0);ea=ga;fa=ha;vva(d);Qb(fa|0)}function FN(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;e=Qqa(68)|0;B=0;eb(515,e|0,b|0,c|0);c=B;B=0;if(c&1){c=Rb()|0;b=Q;Sqa(e);f=c;g=b;Qb(f|0)}b=Qqa(68)|0;B=0;eb(515,b|0,e|0,d|0);d=B;B=0;if(!(d&1)){DN(a,b);HN(e);Sqa(e);HN(b);Sqa(b);return}e=Rb()|0;a=Q;Sqa(b);f=e;g=a;Qb(f|0)}function GN(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0;i[a+8>>0]=1;d=po(b,c,943,e)|0;k[a>>2]=d;k[a+4>>2]=d;f=ma(d,d)|0;d=Rqa(f>>>0>536870911?-1:f<<3)|0;if(f)WEa(d|0,0,f<<3|0)|0;k[a+12>>2]=d;d=oo(b,c,943,e)|0;k[a+16>>2]=d;d=po(b,c,937,e)|0;k[a+20>>2]=d;d=no(b,c,937,e)|0;k[a+24>>2]=d;d=oo(b,c,937,e)|0;k[a+28>>2]=d;d=po(b,c,966,e)|0;k[a+32>>2]=d;d=no(b,c,966,e)|0;k[a+36>>2]=d;d=oo(b,c,966,e)|0;k[a+40>>2]=d;d=a+44|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[d+16>>2]=0;k[d+20>>2]=0;return}function HN(a){a=a|0;var b=0,c=0;b=a+12|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+16|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+24|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+28|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+36|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+40|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+48|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+52|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+60|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+64|0;a=k[b>>2]|0;if(!a){k[b>>2]=0;return}Tqa(a);k[b>>2]=0;return}function IN(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;j=d;if(!c){JN(a,b);r=d;return}if(i[a+8>>0]|0){l=a+20|0;m=k[l>>2]|0;if(m){n=ma(m,m)|0;o=Rqa(n>>>0>536870911?-1:n<<3)|0;if((m|0)>0){n=k[a+4>>2]|0;q=k[a+24>>2]|0;s=k[a+12>>2]|0;t=0;do{u=ma(k[q+(t<<2)>>2]|0,n)|0;v=ma(m,t)|0;w=0;do{p[o+(v+w<<3)>>3]=+p[s+(u+(k[q+(w<<2)>>2]|0)<<3)>>3];w=w+1|0}while((w|0)<(m|0));t=t+1|0}while((t|0)!=(m|0))}t=k[a+28>>2]|0;if(k[b>>2]|0){q=k[k[b+4>>2]>>2]|0;ad[k[(k[q>>2]|0)+40>>2]&63](q,m,t,m,t,o,1)}Tqa(o)}o=k[a+32>>2]|0;if(!o){r=d;return}t=k[l>>2]|0;if(!t){r=d;return}l=ma(t,o)|0;m=Rqa(l>>>0>536870911?-1:l<<3)|0;if((t|0)>0&(o|0)>0){l=k[a+4>>2]|0;q=k[a+24>>2]|0;b=k[a+36>>2]|0;s=k[a+12>>2]|0;n=0;do{w=ma(k[q+(n<<2)>>2]|0,l)|0;u=ma(o,n)|0;v=0;do{p[m+(u+v<<3)>>3]=+p[s+((k[b+(v<<2)>>2]|0)+w<<3)>>3];v=v+1|0}while((v|0)<(o|0));n=n+1|0}while((n|0)<(t|0))}if(k[c>>2]|0){n=k[k[c+4>>2]>>2]|0;ad[k[(k[n>>2]|0)+40>>2]&63](n,t,k[a+28>>2]|0,o,k[a+40>>2]|0,m,1)}Tqa(m);r=d;return}d=f+56|0;m=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,m|0);a=B;B=0;if(a&1){a=Rb()|0;x=Q;y=a;vva(d);Qb(y|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,m|0);a=B;B=0;do if(a&1){o=Rb()|0;z=Q;A=o}else{k[m>>2]=27560;o=f+36|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[o+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,m|0,e|0);t=B;B=0;if(t&1){t=Rb()|0;n=Q;Yua(e);Yua(o);Ava(m);z=n;A=t;break}Yua(e);B=0;t=Ia(40,f|0,81225,62)|0;n=B;B=0;if(!(n&1)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,g|0,81073,79);n=B;B=0;do if(!(n&1)){B=0;eb(502,h|0,81288,11);c=B;B=0;if(c&1){c=Rb()|0;b=Q;Yua(g);C=b;D=c;break}B=0;wa(510,j|0,m|0);c=B;B=0;if(c&1){c=Rb()|0;E=Q;F=c;G=1}else{B=0;ua(163,t|0,g|0,h|0,290,j|0);c=B;B=0;if(c&1)H=1;else{B=0;eb(503,t|0,1240,229);B=0;H=0}c=Rb()|0;b=Q;Yua(j);E=b;F=c;G=H}Yua(h);Yua(g);if(G){C=E;D=F}else{I=E;J=F;k[f>>2]=27468;k[d>>2]=27488;k[m>>2]=27560;Yua(o);Ava(m);vva(d);Qb(J|0)}}else{c=Rb()|0;C=Q;D=c}while(0);zb(t|0);I=C;J=D;k[f>>2]=27468;k[d>>2]=27488;k[m>>2]=27560;Yua(o);Ava(m);vva(d);Qb(J|0)}n=Rb()|0;I=Q;J=n;k[f>>2]=27468;k[d>>2]=27488;k[m>>2]=27560;Yua(o);Ava(m);vva(d);Qb(J|0)}while(0);x=z;y=A;vva(d);Qb(y|0)}function JN(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;if(i[a+8>>0]|0){j=k[a+20>>2]|0;if(!j){r=c;return}l=ma(j,j)|0;m=Rqa(l>>>0>536870911?-1:l<<3)|0;if((j|0)>0){l=k[a+12>>2]|0;n=k[a+4>>2]|0;o=k[a+24>>2]|0;q=0;do{s=l+((ma(k[o+(q<<2)>>2]|0,n)|0)<<3)|0;t=m+((ma(j,q)|0)<<3)|0;u=0;do{p[t+(u<<3)>>3]=+p[s+(k[o+(u<<2)>>2]<<3)>>3];u=u+1|0}while((u|0)<(j|0));q=q+1|0}while((q|0)!=(j|0))}q=k[a+28>>2]|0;if(k[b>>2]|0){a=k[k[b+4>>2]>>2]|0;ad[k[(k[a>>2]|0)+40>>2]&63](a,j,q,j,q,m,1)}Tqa(m);r=c;return}c=e+56|0;m=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,m|0);q=B;B=0;if(q&1){q=Rb()|0;v=Q;w=q;vva(c);Qb(w|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,m|0);q=B;B=0;do if(q&1){j=Rb()|0;x=Q;y=j}else{k[m>>2]=27560;j=e+36|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,m|0,d|0);a=B;B=0;if(a&1){a=Rb()|0;b=Q;Yua(d);Yua(j);Ava(m);x=b;y=a;break}Yua(d);B=0;a=Ia(40,e|0,81225,62)|0;b=B;B=0;if(!(b&1)?(B=0,Xa(239,a|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,f|0,81073,79);b=B;B=0;do if(!(b&1)){B=0;eb(502,g|0,81288,11);o=B;B=0;if(o&1){o=Rb()|0;n=Q;Yua(f);z=n;A=o;break}B=0;wa(510,h|0,m|0);o=B;B=0;if(o&1){o=Rb()|0;C=Q;D=o;E=1}else{B=0;ua(163,a|0,f|0,g|0,326,h|0);o=B;B=0;if(o&1)F=1;else{B=0;eb(503,a|0,1240,229);B=0;F=0}o=Rb()|0;n=Q;Yua(h);C=n;D=o;E=F}Yua(g);Yua(f);if(E){z=C;A=D}else{G=C;H=D;k[e>>2]=27468;k[c>>2]=27488;k[m>>2]=27560;Yua(j);Ava(m);vva(c);Qb(H|0)}}else{o=Rb()|0;z=Q;A=o}while(0);zb(a|0);G=z;H=A;k[e>>2]=27468;k[c>>2]=27488;k[m>>2]=27560;Yua(j);Ava(m);vva(c);Qb(H|0)}b=Rb()|0;G=Q;H=b;k[e>>2]=27468;k[c>>2]=27488;k[m>>2]=27560;Yua(j);Ava(m);vva(c);Qb(H|0)}while(0);v=x;w=y;vva(c);Qb(w|0)}function KN(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;if(i[a+8>>0]|0){j=k[a+20>>2]|0;if(!j){r=c;return}l=Rqa(j>>>0>536870911?-1:j<<3)|0;if((j|0)>0){m=k[a+4>>2]|0;n=k[a+24>>2]|0;o=k[a+12>>2]|0;q=0;do{s=k[n+(q<<2)>>2]|0;t=o+((ma(s,m)|0)+s<<3)|0;p[l+(q<<3)>>3]=+p[t>>3];q=q+1|0}while((q|0)<(j|0))}if(k[b>>2]|0){q=k[k[b+4>>2]>>2]|0;Dc[k[(k[q>>2]|0)+16>>2]&255](q,j,k[a+28>>2]|0,l,1)}Tqa(l);r=c;return}c=e+56|0;l=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,l|0);a=B;B=0;if(a&1){a=Rb()|0;u=Q;v=a;vva(c);Qb(v|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,l|0);a=B;B=0;do if(a&1){j=Rb()|0;w=Q;x=j}else{k[l>>2]=27560;j=e+36|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,l|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;b=Q;Yua(d);Yua(j);Ava(l);w=b;x=q;break}Yua(d);B=0;q=Ia(40,e|0,81225,62)|0;b=B;B=0;if(!(b&1)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,f|0,81073,79);b=B;B=0;do if(!(b&1)){B=0;eb(502,g|0,81300,19);m=B;B=0;if(m&1){m=Rb()|0;o=Q;Yua(f);y=o;z=m;break}B=0;wa(510,h|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;A=Q;C=m;D=1}else{B=0;ua(163,q|0,f|0,g|0,359,h|0);m=B;B=0;if(m&1)E=1;else{B=0;eb(503,q|0,1240,229);B=0;E=0}m=Rb()|0;o=Q;Yua(h);A=o;C=m;D=E}Yua(g);Yua(f);if(D){y=A;z=C}else{F=A;G=C;k[e>>2]=27468;k[c>>2]=27488;k[l>>2]=27560;Yua(j);Ava(l);vva(c);Qb(G|0)}}else{m=Rb()|0;y=Q;z=m}while(0);zb(q|0);F=y;G=z;k[e>>2]=27468;k[c>>2]=27488;k[l>>2]=27560;Yua(j);Ava(l);vva(c);Qb(G|0)}b=Rb()|0;F=Q;G=b;k[e>>2]=27468;k[c>>2]=27488;k[l>>2]=27560;Yua(j);Ava(l);vva(c);Qb(G|0)}while(0);u=w;v=x;vva(c);Qb(v|0)}function LN(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;if(i[a+8>>0]|0){h=k[a>>2]|0;if((h|0)<=0){r=b;return}j=k[a+4>>2]|0;l=a+12|0;if((j|0)>0)m=0;else{r=b;return}do{a=ma(j,m)|0;n=a+m|0;o=0;do{if((m|0)!=(o|0)){q=k[l>>2]|0;s=q+(a+o<<3)|0;t=q+(n<<3)|0;p[t>>3]=+p[s>>3]+ +p[t>>3];p[s>>3]=0.0}o=o+1|0}while((o|0)<(j|0));m=m+1|0}while((m|0)<(h|0));r=b;return}b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);m=B;B=0;if(m&1){m=Rb()|0;u=Q;v=m;vva(b);Qb(v|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);m=B;B=0;do if(m&1){j=Rb()|0;w=Q;x=j}else{k[h>>2]=27560;j=d+36|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);l=B;B=0;if(l&1){l=Rb()|0;o=Q;Yua(c);Yua(j);Ava(h);w=o;x=l;break}Yua(c);B=0;l=Ia(40,d|0,134695,17)|0;o=B;B=0;if(!(o&1)?(B=0,Xa(239,l|0,0)|0,l=B,B=0,!(l&1)):0){l=Ab(20)|0;B=0;eb(502,e|0,81073,79);o=B;B=0;do if(!(o&1)){B=0;eb(502,f|0,81320,4);n=B;B=0;if(n&1){n=Rb()|0;a=Q;Yua(e);y=a;z=n;break}B=0;wa(510,g|0,h|0);n=B;B=0;if(n&1){n=Rb()|0;A=Q;C=n;D=1}else{B=0;ua(163,l|0,e|0,f|0,379,g|0);n=B;B=0;if(n&1)E=1;else{B=0;eb(503,l|0,1240,229);B=0;E=0}n=Rb()|0;a=Q;Yua(g);A=a;C=n;D=E}Yua(f);Yua(e);if(D){y=A;z=C}else{F=A;G=C;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(j);Ava(h);vva(b);Qb(G|0)}}else{n=Rb()|0;y=Q;z=n}while(0);zb(l|0);F=y;G=z;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(j);Ava(h);vva(b);Qb(G|0)}o=Rb()|0;F=Q;G=o;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(j);Ava(h);vva(b);Qb(G|0)}while(0);u=w;v=x;vva(b);Qb(v|0)}function MN(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;h=Qqa(68)|0;B=0;wa(520,h|0,a|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;Sqa(h);m=l;n=j;Qb(n|0)}j=h+4|0;l=k[j>>2]|0;k[a>>2]=l;o=k[h>>2]|0;k[a+4>>2]=o;a:do if((l|0)>0&(o|0)>0){q=k[h+12>>2]|0;s=k[a+12>>2]|0;t=l;u=0;while(1){v=ma(o,u)|0;w=0;do{x=q+((ma(t,w)|0)+u<<3)|0;p[s+(v+w<<3)>>3]=+p[x>>3];w=w+1|0}while((w|0)<(o|0));w=u+1|0;if((w|0)>=(l|0))break a;t=k[j>>2]|0;u=w}}while(0);if(i[a+8>>0]|0){HN(h);Sqa(h);r=b;return}b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);a=B;B=0;if(a&1){a=Rb()|0;y=Q;z=a;vva(b);Qb(z|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);a=B;B=0;do if(a&1){j=Rb()|0;A=Q;C=j}else{k[h>>2]=27560;j=d+36|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);l=B;B=0;if(l&1){l=Rb()|0;o=Q;Yua(c);Yua(j);Ava(h);A=o;C=l;break}Yua(c);B=0;l=Ia(40,d|0,134695,17)|0;o=B;B=0;b:do if(!(o&1)?(B=0,Xa(239,l|0,0)|0,u=B,B=0,!(u&1)):0){u=Ab(20)|0;B=0;eb(502,e|0,81073,79);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,81325,9);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(e);D=q;E=s;break}B=0;wa(510,g|0,h|0);s=B;B=0;if(s&1){s=Rb()|0;F=Q;G=s;H=1}else{B=0;ua(163,u|0,e|0,f|0,407,g|0);s=B;B=0;if(s&1)I=1;else{B=0;eb(503,u|0,1240,229);B=0;I=0}s=Rb()|0;q=Q;Yua(g);F=q;G=s;H=I}Yua(f);Yua(e);if(H){D=F;E=G}else{J=F;K=G;break b}}else{s=Rb()|0;D=Q;E=s}while(0);zb(u|0);J=D;K=E}else L=25;while(0);if((L|0)==25){l=Rb()|0;J=Q;K=l}k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(j);Ava(h);vva(b);m=J;n=K;Qb(n|0)}while(0);y=A;z=C;vva(b);Qb(z|0)}function NN(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;d=k[a>>2]|0;e=d-b|0;f=Rqa(e>>>0>1073741823?-1:e<<2)|0;a:do if((d|0)>0){if((b|0)>0){g=0;h=0}else{i=0;while(1){k[f+(i<<2)>>2]=i;i=i+1|0;if((i|0)>=(d|0))break a}}while(1){i=0;while(1){if((h|0)==(k[c+(i<<2)>>2]|0)){j=g;break}i=i+1|0;if((i|0)>=(b|0)){l=7;break}}if((l|0)==7){l=0;k[f+(g<<2)>>2]=h;j=g+1|0}h=h+1|0;if((h|0)>=(d|0))break;else g=j}}while(0);j=ma(e,e)|0;g=j>>>0>536870911?-1:j<<3;d=Rqa(g)|0;h=ma(e,b)|0;i=h>>>0>536870911?-1:h<<3;h=Rqa(i)|0;m=Rqa(i)|0;i=ma(b,b)|0;n=i>>>0>536870911?-1:i<<3;i=Rqa(n)|0;o=(e|0)>0;if(o){q=k[a+4>>2]|0;r=k[a+12>>2]|0;s=0;do{t=ma(q,k[f+(s<<2)>>2]|0)|0;u=ma(s,e)|0;v=0;do{p[d+(v+u<<3)>>3]=+p[r+(t+(k[f+(v<<2)>>2]|0)<<3)>>3];v=v+1|0}while((v|0)!=(e|0));s=s+1|0}while((s|0)!=(e|0));if(o){if((b|0)>0){s=k[a+4>>2]|0;r=k[a+12>>2]|0;q=0;do{v=ma(s,k[f+(q<<2)>>2]|0)|0;t=ma(q,b)|0;u=0;do{p[h+(u+t<<3)>>3]=+p[r+(v+(k[c+(u<<2)>>2]|0)<<3)>>3];u=u+1|0}while((u|0)!=(b|0));q=q+1|0}while((q|0)!=(e|0));l=20}}else l=20}else l=20;do if((l|0)==20?(q=(b|0)>0,q):0){if(o){r=k[a+4>>2]|0;s=k[a+12>>2]|0;u=0;do{v=ma(r,k[c+(u<<2)>>2]|0)|0;t=ma(u,e)|0;w=0;do{p[m+(w+t<<3)>>3]=+p[s+(v+(k[f+(w<<2)>>2]|0)<<3)>>3];w=w+1|0}while((w|0)!=(e|0));u=u+1|0}while((u|0)!=(b|0));if(!q)break}u=k[a+4>>2]|0;s=k[a+12>>2]|0;r=0;do{w=ma(u,k[c+(r<<2)>>2]|0)|0;v=ma(r,b)|0;t=0;do{p[i+(t+v<<3)>>3]=+p[s+(w+(k[c+(t<<2)>>2]|0)<<3)>>3];t=t+1|0}while((t|0)!=(b|0));r=r+1|0}while((r|0)!=(b|0))}while(0);c=Rqa(n)|0;switch(b|0){case 1:{p[c>>3]=1.0/+p[i>>3];break}case 2:{bY(c,i);break}case 3:{eY(c,i);break}default:$X(c,b,b,0,0,0)|0}n=Rqa(g)|0;ZX(h,e,b,0,c,b,b,0,m,b,e,0,n,0)|0;if(j){b=0;do{g=n+(b<<3)|0;p[g>>3]=+p[d+(b<<3)>>3]-+p[g>>3];b=b+1|0}while((b|0)<(j|0))}j=a+4|0;b=ma(k[j>>2]|0,k[a>>2]|0)|0;if((b|0)>0)WEa(k[a+12>>2]|0,0,((b|0)>1?b:1)<<3|0)|0;if(!o){Tqa(d);Tqa(h);Tqa(m);Tqa(i);Tqa(c);Tqa(n);Tqa(f);return}o=k[j>>2]|0;j=k[a+12>>2]|0;a=0;do{b=ma(a,e)|0;g=ma(o,k[f+(a<<2)>>2]|0)|0;l=0;do{p[j+(g+(k[f+(l<<2)>>2]|0)<<3)>>3]=+p[n+(l+b<<3)>>3];l=l+1|0}while((l|0)!=(e|0));a=a+1|0}while((a|0)!=(e|0));Tqa(d);Tqa(h);Tqa(m);Tqa(i);Tqa(c);Tqa(n);Tqa(f);return}function ON(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;j=(b|0)!=0;l=(c|0)!=0;if(!(j|l)){m=f+56|0;n=f+4|0;k[f>>2]=27524;k[m>>2]=27544;B=0;wa(508,f+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;q=Q;s=o;vva(m);Qb(s|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[m>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){t=Rb()|0;u=Q;v=t}else{k[n>>2]=27560;t=f+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,n|0,e|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(e);Yua(t);Ava(n);u=x;v=w;break}Yua(e);B=0;w=Ia(40,f|0,81335,35)|0;x=B;B=0;if(!(x&1)?(B=0,Xa(239,w|0,0)|0,w=B,B=0,!(w&1)):0){w=Ab(20)|0;B=0;eb(502,g|0,81371,79);x=B;B=0;do if(!(x&1)){B=0;eb(502,h|0,81451,13);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(g);A=z;C=y;break}B=0;wa(510,i|0,n|0);y=B;B=0;if(y&1){y=Rb()|0;D=Q;E=y;F=1}else{B=0;ua(163,w|0,g|0,h|0,40,i|0);y=B;B=0;if(y&1)G=1;else{B=0;eb(503,w|0,1240,229);B=0;G=0}y=Rb()|0;z=Q;Yua(i);D=z;E=y;F=G}Yua(h);Yua(g);if(F){A=D;C=E}else{H=D;I=E;k[f>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(t);Ava(n);vva(m);Qb(I|0)}}else{y=Rb()|0;A=Q;C=y}while(0);zb(w|0);H=A;I=C;k[f>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(t);Ava(n);vva(m);Qb(I|0)}x=Rb()|0;H=Q;I=x;k[f>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(t);Ava(n);vva(m);Qb(I|0)}while(0);q=u;s=v;vva(m);Qb(s|0)}if(!j){PN(a,c);r=d;return}if(!l){PN(a,b);r=d;return}l=k[c>>2]|0;j=Rqa(l>>>0>1073741823?-1:l<<2)|0;s=k[b>>2]|0;if((l|0)>0){m=c+8|0;v=b+8|0;u=(s|0)>0;q=s;I=0;while(1){a:do if(u){n=k[(k[m>>2]|0)+(I<<2)>>2]|0;f=k[v>>2]|0;H=0;while(1){if((n|0)==(k[f+(H<<2)>>2]|0)){J=H;break}H=H+1|0;if((H|0)>=(s|0)){K=36;break a}}k[j+(I<<2)>>2]=J;L=q}else K=36;while(0);if((K|0)==36){K=0;k[j+(I<<2)>>2]=q;L=q+1|0}I=I+1|0;if((I|0)>=(l|0)){M=L;break}else q=L}}else M=s;k[a>>2]=M;s=Rqa(M>>>0>1073741823?-1:M<<2)|0;k[a+8>>2]=s;L=Rqa(M>>>0>536870911?-1:M<<3)|0;if(M)WEa(L|0,0,M<<3|0)|0;k[a+4>>2]=L;if((k[b>>2]|0)>0){M=k[b+4>>2]|0;q=k[b+8>>2]|0;l=0;do{I=L+(l<<3)|0;p[I>>3]=+p[M+(l<<3)>>3]+ +p[I>>3];k[s+(l<<2)>>2]=k[q+(l<<2)>>2];l=l+1|0}while((l|0)<(k[b>>2]|0))}if((k[c>>2]|0)>0){l=k[c+4>>2]|0;q=k[c+8>>2]|0;M=0;do{I=k[j+(M<<2)>>2]|0;K=L+(I<<3)|0;p[K>>3]=+p[l+(M<<3)>>3]+ +p[K>>3];k[s+(I<<2)>>2]=k[q+(M<<2)>>2];M=M+1|0}while((M|0)<(k[c>>2]|0))}M=b+12|0;q=k[M>>2]|0;s=c+12|0;l=k[s>>2]|0;if((l|0)>0){L=k[c+16>>2]|0;I=k[b>>2]|0;K=q;J=0;while(1){v=((k[j+(k[L+(J<<2)>>2]<<2)>>2]|0)>=(I|0)&1)+K|0;J=J+1|0;if((J|0)>=(l|0)){N=v;break}else K=v}}else N=q;k[a+12>>2]=N;if(N){q=N>>>0>1073741823?-1:N<<2;N=Rqa(q)|0;k[a+16>>2]=N;K=Rqa(q)|0;k[a+20>>2]=K;q=k[M>>2]|0;if((q|0)>0){l=k[b+16>>2]|0;J=k[b+20>>2]|0;I=0;do{k[N+(I<<2)>>2]=k[l+(I<<2)>>2];k[K+(I<<2)>>2]=k[J+(I<<2)>>2];I=I+1|0;L=k[M>>2]|0}while((I|0)<(L|0));O=L}else O=q;q=k[s>>2]|0;if((q|0)>0){I=k[c+16>>2]|0;M=c+20|0;c=q;q=O;O=0;while(1){J=k[j+(k[I+(O<<2)>>2]<<2)>>2]|0;if((J|0)<(k[b>>2]|0)){P=c;R=q}else{k[N+(q<<2)>>2]=J;k[K+(q<<2)>>2]=k[(k[M>>2]|0)+(O<<2)>>2];P=k[s>>2]|0;R=q+1|0}O=O+1|0;if((O|0)>=(P|0))break;else{c=P;q=R}}}}else{k[a+16>>2]=0;k[a+20>>2]=0}Tqa(j);r=d;return}function PN(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0;c=k[b>>2]|0;k[a>>2]=c;d=Rqa(c>>>0>536870911?-1:c<<3)|0;k[a+4>>2]=d;e=k[b+4>>2]|0;if(!e)yb(142353,81465,137,142345);f=(c|0)==0;if(!f){g=0;do{p[d+(g<<3)>>3]=+p[e+(g<<3)>>3];g=g+1|0}while((g|0)!=(c|0))}g=Rqa(c>>>0>1073741823?-1:c<<2)|0;k[a+8>>2]=g;e=k[b+8>>2]|0;if(!e)yb(142353,81465,137,142345);if(!f){f=0;do{k[g+(f<<2)>>2]=k[e+(f<<2)>>2];f=f+1|0}while((f|0)!=(c|0))}c=k[b+12>>2]|0;k[a+12>>2]=c;if(!c){k[a+16>>2]=0;k[a+20>>2]=0;return}f=c>>>0>1073741823?-1:c<<2;e=Rqa(f)|0;k[a+16>>2]=e;g=k[b+16>>2]|0;if(!g)yb(142353,81465,137,142345);else h=0;do{k[e+(h<<2)>>2]=k[g+(h<<2)>>2];h=h+1|0}while((h|0)!=(c|0));h=Rqa(f)|0;k[a+20>>2]=h;a=k[b+20>>2]|0;if(!a)yb(142353,81465,137,142345);else i=0;do{k[h+(i<<2)>>2]=k[a+(i<<2)>>2];i=i+1|0}while((i|0)!=(c|0));return}function QN(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;e=Qqa(24)|0;B=0;eb(516,e|0,b|0,c|0);c=B;B=0;if(c&1){c=Rb()|0;b=Q;Sqa(e);f=c;g=b;Qb(f|0)}b=Qqa(24)|0;B=0;eb(516,b|0,e|0,d|0);d=B;B=0;if(d&1){d=Rb()|0;c=Q;Sqa(b);f=d;g=c;Qb(f|0)}PN(a,b);a=e+4|0;f=k[a>>2]|0;if(f)Tqa(f);k[a>>2]=0;a=e+8|0;f=k[a>>2]|0;if(f)Tqa(f);k[a>>2]=0;a=e+16|0;f=k[a>>2]|0;if(f)Tqa(f);k[a>>2]=0;a=k[e+20>>2]|0;if(a)Tqa(a);Sqa(e);e=b+4|0;a=k[e>>2]|0;if(a)Tqa(a);k[e>>2]=0;e=b+8|0;a=k[e>>2]|0;if(a)Tqa(a);k[e>>2]=0;e=b+16|0;a=k[e>>2]|0;if(a)Tqa(a);k[e>>2]=0;e=k[b+20>>2]|0;if(!e){Sqa(b);return}Tqa(e);Sqa(b);return}function RN(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0;d=po(b,c,943,e)|0;k[a>>2]=d;f=Rqa(d>>>0>536870911?-1:d<<3)|0;if(d)WEa(f|0,0,d<<3|0)|0;k[a+4>>2]=f;f=oo(b,c,943,e)|0;k[a+8>>2]=f;f=po(b,c,937,e)|0;k[a+12>>2]=f;f=no(b,c,937,e)|0;k[a+16>>2]=f;f=oo(b,c,937,e)|0;k[a+20>>2]=f;return}function SN(a){a=a|0;var b=0,c=0;b=a+4|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+8|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+16|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+20|0;a=k[b>>2]|0;if(!a){k[b>>2]=0;return}Tqa(a);k[b>>2]=0;return}function TN(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;c=k[a+12>>2]|0;if(!c)return;d=Rqa(c>>>0>536870911?-1:c<<3)|0;if((c|0)>0){e=k[a+16>>2]|0;f=k[a+4>>2]|0;g=0;do{p[d+(g<<3)>>3]=+p[f+(k[e+(g<<2)>>2]<<3)>>3];g=g+1|0}while((g|0)<(c|0))}if(k[b>>2]|0){g=k[k[b+4>>2]>>2]|0;Dc[k[(k[g>>2]|0)+16>>2]&255](g,c,k[a+20>>2]|0,d,1)}Tqa(d);return}function UN(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;c=k[a+12>>2]|0;if(!c)return;d=Rqa(c>>>0>536870911?-1:c<<3)|0;if((c|0)>0){e=k[a+16>>2]|0;f=k[a+4>>2]|0;g=0;do{p[d+(g<<3)>>3]=+p[f+(k[e+(g<<2)>>2]<<3)>>3];g=g+1|0}while((g|0)<(c|0))}if(k[b>>2]|0){g=k[k[b+4>>2]>>2]|0;Dc[k[(k[g>>2]|0)+16>>2]&255](g,c,k[a+20>>2]|0,d,0)}Tqa(d);return}function VN(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0;e=k[a>>2]|0;f=e-c|0;g=Rqa(f>>>0>1073741823?-1:f<<2)|0;a:do if((e|0)>0){if((c|0)>0){h=0;i=0}else{j=0;while(1){k[g+(j<<2)>>2]=j;j=j+1|0;if((j|0)>=(e|0))break a}}while(1){j=0;while(1){if((i|0)==(k[d+(j<<2)>>2]|0)){l=h;break}j=j+1|0;if((j|0)>=(c|0)){m=7;break}}if((m|0)==7){m=0;k[g+(h<<2)>>2]=i;l=h+1|0}i=i+1|0;if((i|0)>=(e|0))break;else h=l}}while(0);l=ma(f,c)|0;h=Rqa(l>>>0>536870911?-1:l<<3)|0;l=ma(c,c)|0;e=l>>>0>536870911?-1:l<<3;l=Rqa(e)|0;i=Rqa(c>>>0>536870911?-1:c<<3)|0;j=f>>>0>536870911?-1:f<<3;n=Rqa(j)|0;o=(f|0)>0;if(o)if((c|0)>0){q=k[b+4>>2]|0;r=k[b+12>>2]|0;s=0;do{t=ma(q,k[g+(s<<2)>>2]|0)|0;u=ma(s,c)|0;v=0;do{p[h+(v+u<<3)>>3]=+p[r+(t+(k[d+(v<<2)>>2]|0)<<3)>>3];v=v+1|0}while((v|0)!=(c|0));s=s+1|0}while((s|0)!=(f|0));m=15}else m=23;else m=15;if((m|0)==15){s=(c|0)>0;if(s){r=k[b+4>>2]|0;q=k[b+12>>2]|0;b=0;do{v=ma(r,k[d+(b<<2)>>2]|0)|0;t=ma(b,c)|0;u=0;do{p[l+(u+t<<3)>>3]=+p[q+(v+(k[d+(u<<2)>>2]|0)<<3)>>3];u=u+1|0}while((u|0)!=(c|0));b=b+1|0}while((b|0)!=(c|0));if(s){s=k[a+4>>2]|0;b=0;do{p[i+(b<<3)>>3]=+p[s+(k[d+(b<<2)>>2]<<3)>>3];b=b+1|0}while((b|0)!=(c|0))}}if(o)m=23}if((m|0)==23){m=k[a+4>>2]|0;b=0;do{p[n+(b<<3)>>3]=+p[m+(k[g+(b<<2)>>2]<<3)>>3];b=b+1|0}while((b|0)!=(f|0))}b=Rqa(e)|0;switch(c|0){case 1:{p[b>>3]=1.0/+p[l>>3];break}case 2:{bY(b,l);break}case 3:{eY(b,l);break}default:$X(b,c,c,0,0,0)|0}e=Rqa(j)|0;ZX(h,f,c,0,b,c,c,0,i,c,1,0,e,0)|0;if(o){c=0;do{j=e+(c<<3)|0;p[j>>3]=+p[n+(c<<3)>>3]-+p[j>>3];c=c+1|0}while((c|0)!=(f|0))}c=k[a>>2]|0;if((c|0)>0)WEa(k[a+4>>2]|0,0,((c|0)>1?c:1)<<3|0)|0;if(!o){Tqa(h);Tqa(l);Tqa(b);Tqa(i);Tqa(n);Tqa(e);Tqa(g);return}o=k[a+4>>2]|0;a=0;do{p[o+(k[g+(a<<2)>>2]<<3)>>3]=+p[e+(a<<3)>>3];a=a+1|0}while((a|0)!=(f|0));Tqa(h);Tqa(l);Tqa(b);Tqa(i);Tqa(n);Tqa(e);Tqa(g);return}function WN(a){a=a|0;WEa(a|0,0,4064)|0;return}function XN(a){a=a|0;var b=0,c=0;b=0;do{c=k[a+(b<<2)>>2]|0;if(c)Ec[k[(k[c>>2]|0)+4>>2]&1023](c);b=b+1|0}while((b|0)!=1016);return}function YN(a,b){a=a|0;b=b|0;var c=0;c=a+((Hc[k[(k[b>>2]|0)+24>>2]&511](b)|0)+-1<<2)|0;a=k[c>>2]|0;if(!a){k[c>>2]=b;return}Ec[k[(k[a>>2]|0)+4>>2]&1023](a);k[c>>2]=0;k[c>>2]=b;return}function ZN(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0;e=r;r=r+368|0;f=e+344|0;g=e+208|0;h=e+196|0;j=e+184|0;m=e+36|0;n=e+48|0;o=e+24|0;p=e+12|0;q=e;s=(d|0)==0;a:do if(s){t=k[b>>2]|0;i[t>>0]=39;i[t+1>>0]=2;i[t+2>>0]=0;i[t+3>>0]=0;k[b>>2]=(k[b>>2]|0)+4;u=0;v=0}else switch(d|0){case 2:{k[c>>2]=(k[c>>2]|0)+4;u=0;v=0;break a;break}case 1:{t=k[b>>2]|0;w=t+4|0;k[b>>2]=w;x=l[w>>0]|l[w+1>>0]<<8|l[w+2>>0]<<16|l[w+3>>0]<<24;k[b>>2]=t+8;if((x|0)>0)y=0;else{r=e;return}b:while(1){t=k[b>>2]|0;w=l[t>>0]|l[t+1>>0]<<8|l[t+2>>0]<<16|l[t+3>>0]<<24;k[b>>2]=t+4;do switch(w|0){case 566:{t=Qqa(16)|0;B=0;va(494,t|0);z=B;B=0;if(z&1){A=t;C=72;break b}rd[k[(k[t>>2]|0)+20>>2]&511](t,b,c,1);z=a+((Hc[k[(k[t>>2]|0)+24>>2]&511](t)|0)+-1<<2)|0;D=k[z>>2]|0;if(D){Ec[k[(k[D>>2]|0)+4>>2]&1023](D);k[z>>2]=0}k[z>>2]=t;break}case 580:{t=Qqa(12)|0;B=0;va(495,t|0);z=B;B=0;if(z&1){E=t;C=77;break b}rd[k[(k[t>>2]|0)+20>>2]&511](t,b,c,1);z=a+((Hc[k[(k[t>>2]|0)+24>>2]&511](t)|0)+-1<<2)|0;D=k[z>>2]|0;if(D){Ec[k[(k[D>>2]|0)+4>>2]&1023](D);k[z>>2]=0}k[z>>2]=t;break}case 693:{t=Qqa(20)|0;B=0;va(496,t|0);z=B;B=0;if(z&1){F=t;C=82;break b}rd[k[(k[t>>2]|0)+20>>2]&511](t,b,c,1);z=a+((Hc[k[(k[t>>2]|0)+24>>2]&511](t)|0)+-1<<2)|0;D=k[z>>2]|0;if(D){Ec[k[(k[D>>2]|0)+4>>2]&1023](D);k[z>>2]=0}k[z>>2]=t;break}case 581:{t=Qqa(16)|0;B=0;va(497,t|0);z=B;B=0;if(z&1){G=t;C=87;break b}rd[k[(k[t>>2]|0)+20>>2]&511](t,b,c,1);z=a+((Hc[k[(k[t>>2]|0)+24>>2]&511](t)|0)+-1<<2)|0;D=k[z>>2]|0;if(D){Ec[k[(k[D>>2]|0)+4>>2]&1023](D);k[z>>2]=0}k[z>>2]=t;break}case 557:{t=Qqa(12)|0;B=0;va(498,t|0);z=B;B=0;if(z&1){H=t;C=92;break b}rd[k[(k[t>>2]|0)+20>>2]&511](t,b,c,1);z=a+((Hc[k[(k[t>>2]|0)+24>>2]&511](t)|0)+-1<<2)|0;D=k[z>>2]|0;if(D){Ec[k[(k[D>>2]|0)+4>>2]&1023](D);k[z>>2]=0}k[z>>2]=t;break}case 563:{t=Qqa(12)|0;B=0;va(499,t|0);z=B;B=0;if(z&1){I=t;C=97;break b}rd[k[(k[t>>2]|0)+20>>2]&511](t,b,c,1);z=a+((Hc[k[(k[t>>2]|0)+24>>2]&511](t)|0)+-1<<2)|0;D=k[z>>2]|0;if(D){Ec[k[(k[D>>2]|0)+4>>2]&1023](D);k[z>>2]=0}k[z>>2]=t;break}case 564:{t=Qqa(24)|0;B=0;va(500,t|0);z=B;B=0;if(z&1){J=t;C=102;break b}rd[k[(k[t>>2]|0)+20>>2]&511](t,b,c,1);z=a+((Hc[k[(k[t>>2]|0)+24>>2]&511](t)|0)+-1<<2)|0;D=k[z>>2]|0;if(D){Ec[k[(k[D>>2]|0)+4>>2]&1023](D);k[z>>2]=0}k[z>>2]=t;break}case 565:{t=Qqa(20)|0;B=0;va(501,t|0);z=B;B=0;if(z&1){K=t;C=107;break b}rd[k[(k[t>>2]|0)+20>>2]&511](t,b,c,1);z=a+((Hc[k[(k[t>>2]|0)+24>>2]&511](t)|0)+-1<<2)|0;D=k[z>>2]|0;if(D){Ec[k[(k[D>>2]|0)+4>>2]&1023](D);k[z>>2]=0}k[z>>2]=t;break}case 567:{t=Qqa(16)|0;B=0;va(502,t|0);z=B;B=0;if(z&1){L=t;C=112;break b}rd[k[(k[t>>2]|0)+20>>2]&511](t,b,c,1);z=a+((Hc[k[(k[t>>2]|0)+24>>2]&511](t)|0)+-1<<2)|0;D=k[z>>2]|0;if(D){Ec[k[(k[D>>2]|0)+4>>2]&1023](D);k[z>>2]=0}k[z>>2]=t;break}case 572:{t=Qqa(12)|0;B=0;va(503,t|0);z=B;B=0;if(z&1){M=t;C=115;break b}rd[k[(k[t>>2]|0)+20>>2]&511](t,b,c,1);Ec[k[(k[t>>2]|0)+4>>2]&1023](t);break}case 618:{t=Qqa(12)|0;B=0;va(504,t|0);z=B;B=0;if(z&1){N=t;C=120;break b}rd[k[(k[t>>2]|0)+20>>2]&511](t,b,c,1);z=a+((Hc[k[(k[t>>2]|0)+24>>2]&511](t)|0)+-1<<2)|0;D=k[z>>2]|0;if(D){Ec[k[(k[D>>2]|0)+4>>2]&1023](D);k[z>>2]=0}k[z>>2]=t;break}case 617:{t=Qqa(16)|0;B=0;va(505,t|0);z=B;B=0;if(z&1){O=t;C=125;break b}rd[k[(k[t>>2]|0)+20>>2]&511](t,b,c,1);z=a+((Hc[k[(k[t>>2]|0)+24>>2]&511](t)|0)+-1<<2)|0;D=k[z>>2]|0;if(D){Ec[k[(k[D>>2]|0)+4>>2]&1023](D);k[z>>2]=0}k[z>>2]=t;break}case 582:{t=Qqa(24)|0;B=0;va(506,t|0);z=B;B=0;if(z&1){P=t;C=130;break b}rd[k[(k[t>>2]|0)+20>>2]&511](t,b,c,1);z=a+((Hc[k[(k[t>>2]|0)+24>>2]&511](t)|0)+-1<<2)|0;D=k[z>>2]|0;if(D){Ec[k[(k[D>>2]|0)+4>>2]&1023](D);k[z>>2]=0}k[z>>2]=t;break}default:{}}while(0);y=y+1|0;if((y|0)>=(x|0)){C=132;break}}switch(C|0){case 72:{x=Rb()|0;w=Q;Sqa(A);R=w;S=x;Qb(S|0);break}case 77:{x=Rb()|0;w=Q;Sqa(E);R=w;S=x;Qb(S|0);break}case 82:{x=Rb()|0;w=Q;Sqa(F);R=w;S=x;Qb(S|0);break}case 87:{x=Rb()|0;w=Q;Sqa(G);R=w;S=x;Qb(S|0);break}case 92:{x=Rb()|0;w=Q;Sqa(H);R=w;S=x;Qb(S|0);break}case 97:{x=Rb()|0;w=Q;Sqa(I);R=w;S=x;Qb(S|0);break}case 102:{x=Rb()|0;w=Q;Sqa(J);R=w;S=x;Qb(S|0);break}case 107:{x=Rb()|0;w=Q;Sqa(K);R=w;S=x;Qb(S|0);break}case 112:{x=Rb()|0;w=Q;Sqa(L);R=w;S=x;Qb(S|0);break}case 115:{x=Rb()|0;w=Q;Sqa(M);R=w;S=x;Qb(S|0);break}case 120:{x=Rb()|0;w=Q;Sqa(N);R=w;S=x;Qb(S|0);break}case 125:{x=Rb()|0;w=Q;Sqa(O);R=w;S=x;Qb(S|0);break}case 130:{x=Rb()|0;w=Q;Sqa(P);R=w;S=x;Qb(S|0);break}case 132:{r=e;return}}break}default:{x=g+56|0;w=g+4|0;k[g>>2]=27524;k[x>>2]=27544;B=0;wa(508,g+56|0,w|0);t=B;B=0;if(t&1){t=Rb()|0;T=Q;U=t;vva(x);Qb(U|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[x>>2]=27488;B=0;va(448,w|0);t=B;B=0;do if(t&1){z=Rb()|0;V=Q;W=z}else{k[w>>2]=27560;z=g+36|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;k[z+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,w|0,f|0);D=B;B=0;if(D&1){D=Rb()|0;X=Q;Yua(f);Yua(z);Ava(w);V=X;W=D;break}Yua(f);B=0;D=Ia(40,g|0,143951,43)|0;X=B;B=0;c:do if(!(X&1)?(B=0,Xa(239,D|0,0)|0,Y=B,B=0,!(Y&1)):0){Y=Ab(20)|0;B=0;eb(502,h|0,81558,76);Z=B;B=0;do if(!(Z&1)){B=0;eb(502,j|0,149525,8);_=B;B=0;if(_&1){_=Rb()|0;$=Q;Yua(h);aa=$;ba=_;break}B=0;wa(510,m|0,w|0);_=B;B=0;if(_&1){_=Rb()|0;ca=Q;da=_;ea=1}else{B=0;ua(163,Y|0,h|0,j|0,96,m|0);_=B;B=0;if(_&1)fa=1;else{B=0;eb(503,Y|0,1240,229);B=0;fa=0}_=Rb()|0;$=Q;Yua(m);ca=$;da=_;ea=fa}Yua(j);Yua(h);if(ea){aa=ca;ba=da}else{ga=ca;ha=da;break c}}else{_=Rb()|0;aa=Q;ba=_}while(0);zb(Y|0);ga=aa;ha=ba}else C=20;while(0);if((C|0)==20){D=Rb()|0;ga=Q;ha=D}k[g>>2]=27468;k[x>>2]=27488;k[w>>2]=27560;Yua(z);Ava(w);vva(x);R=ga;S=ha;Qb(S|0)}while(0);T=V;U=W;vva(x);Qb(U|0)}}while(0);while(1){U=((k[a+(u<<2)>>2]|0)!=0&1)+v|0;u=u+1|0;if((u|0)==1016){ia=U;break}else v=U}if(s){s=k[b>>2]|0;i[s>>0]=ia;i[s+1>>0]=ia>>8;i[s+2>>0]=ia>>16;i[s+3>>0]=ia>>24;k[b>>2]=(k[b>>2]|0)+4;ia=0;do{s=a+(ia<<2)|0;v=k[s>>2]|0;if(v){u=Hc[k[(k[v>>2]|0)+12>>2]&511](v)|0;v=k[b>>2]|0;i[v>>0]=u;i[v+1>>0]=u>>8;i[v+2>>0]=u>>16;i[v+3>>0]=u>>24;k[b>>2]=(k[b>>2]|0)+4;u=k[s>>2]|0;rd[k[(k[u>>2]|0)+20>>2]&511](u,b,c,0)}ia=ia+1|0}while((ia|0)!=1016);r=e;return}switch(d|0){case 2:{k[c>>2]=(k[c>>2]|0)+4;d=0;do{ia=a+(d<<2)|0;u=k[ia>>2]|0;if(u){Hc[k[(k[u>>2]|0)+12>>2]&511](u)|0;k[c>>2]=(k[c>>2]|0)+4;u=k[ia>>2]|0;rd[k[(k[u>>2]|0)+20>>2]&511](u,b,c,2)}d=d+1|0}while((d|0)!=1016);r=e;return}case 1:{k[b>>2]=(k[b>>2]|0)+4;d=0;do{u=a+(d<<2)|0;ia=k[u>>2]|0;if(ia){Hc[k[(k[ia>>2]|0)+12>>2]&511](ia)|0;k[b>>2]=(k[b>>2]|0)+4;ia=k[u>>2]|0;rd[k[(k[ia>>2]|0)+20>>2]&511](ia,b,c,1)}d=d+1|0}while((d|0)<1016);r=e;return}default:{e=n+56|0;d=n+4|0;k[n>>2]=27524;k[e>>2]=27544;B=0;wa(508,n+56|0,d|0);c=B;B=0;if(c&1){c=Rb()|0;ja=Q;ka=c;vva(e);Qb(ka|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[e>>2]=27488;B=0;va(448,d|0);c=B;B=0;do if(c&1){b=Rb()|0;la=Q;ma=b}else{k[d>>2]=27560;b=n+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[n+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,d|0,f|0);a=B;B=0;if(a&1){a=Rb()|0;ia=Q;Yua(f);Yua(b);Ava(d);la=ia;ma=a;break}Yua(f);B=0;a=Ia(40,n|0,143951,43)|0;ia=B;B=0;d:do if(!(ia&1)?(B=0,Xa(239,a|0,0)|0,u=B,B=0,!(u&1)):0){u=Ab(20)|0;B=0;eb(502,o|0,81558,76);s=B;B=0;do if(!(s&1)){B=0;eb(502,p|0,149525,8);v=B;B=0;if(v&1){v=Rb()|0;U=Q;Yua(o);na=U;oa=v;break}B=0;wa(510,q|0,d|0);v=B;B=0;if(v&1){v=Rb()|0;pa=1;qa=Q;ra=v}else{B=0;ua(163,u|0,o|0,p|0,104,q|0);v=B;B=0;if(v&1)sa=1;else{B=0;eb(503,u|0,1240,229);B=0;sa=0}v=Rb()|0;U=Q;Yua(q);pa=sa;qa=U;ra=v}Yua(p);Yua(o);if(pa){na=qa;oa=ra}else{ta=qa;xa=ra;break d}}else{v=Rb()|0;na=Q;oa=v}while(0);zb(u|0);ta=na;xa=oa}else C=55;while(0);if((C|0)==55){a=Rb()|0;ta=Q;xa=a}k[n>>2]=27468;k[e>>2]=27488;k[d>>2]=27560;Yua(b);Ava(d);vva(e);R=ta;S=xa;Qb(S|0)}while(0);ja=la;ka=ma;vva(e);Qb(ka|0)}}}function _N(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,81558,76);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,149562,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,214,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function $N(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,81558,76);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,149553,8);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,218,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function aO(a,b){a=a|0;b=b|0;return (k[a+(b+-1<<2)>>2]|0)!=0|0}function bO(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;j=k[a+(c+-1<<2)>>2]|0;if(j){Fc[k[(k[j>>2]|0)+28>>2]&1023](j,b);r=d;return}d=f+56|0;b=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,b|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(d);Qb(m|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);j=B;B=0;do if(j&1){a=Rb()|0;n=Q;o=a}else{k[b>>2]=27560;a=f+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,b|0,e|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(e);Yua(a);Ava(b);n=q;o=p;break}Yua(e);B=0;p=Ia(40,f|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,c|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,81635,8)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,g|0,81558,76);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,81644,9);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(g);u=p;v=q;break}B=0;wa(510,i|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,g|0,h|0,240,i|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(i);w=p;x=q;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(C|0)}while(0);l=n;m=o;vva(d);Qb(m|0)}function cO(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;j=k[a+(c+-1<<2)>>2]|0;if(j){Fc[k[(k[j>>2]|0)+32>>2]&1023](j,b);r=d;return}d=f+56|0;b=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,b|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(d);Qb(m|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);j=B;B=0;do if(j&1){a=Rb()|0;n=Q;o=a}else{k[b>>2]=27560;a=f+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,b|0,e|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(e);Yua(a);Ava(b);n=q;o=p;break}Yua(e);B=0;p=Ia(40,f|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,c|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,81635,8)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,g|0,81558,76);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,81644,9);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(g);u=p;v=q;break}B=0;wa(510,i|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,g|0,h|0,250,i|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(i);w=p;x=q;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(C|0)}while(0);l=n;m=o;vva(d);Qb(m|0)}function dO(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;j=k[a+(c+-1<<2)>>2]|0;if(j){Fc[k[(k[j>>2]|0)+44>>2]&1023](j,b);r=d;return}d=f+56|0;b=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,b|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(d);Qb(m|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);j=B;B=0;do if(j&1){a=Rb()|0;n=Q;o=a}else{k[b>>2]=27560;a=f+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,b|0,e|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(e);Yua(a);Ava(b);n=q;o=p;break}Yua(e);B=0;p=Ia(40,f|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,c|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,81635,8)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,g|0,81558,76);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,81644,9);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(g);u=p;v=q;break}B=0;wa(510,i|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,g|0,h|0,260,i|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(i);w=p;x=q;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(C|0)}while(0);l=n;m=o;vva(d);Qb(m|0)}function eO(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;i=e+12|0;j=e;l=k[a+(c+-1<<2)>>2]|0;if(l){Xc[k[(k[l>>2]|0)+48>>2]&63](l,b,d);r=e;return}e=g+56|0;b=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,b|0);l=B;B=0;if(l&1){l=Rb()|0;m=Q;n=l;vva(e);Qb(n|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,b|0);l=B;B=0;do if(l&1){a=Rb()|0;o=Q;p=a}else{k[b>>2]=27560;a=g+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,b|0,f|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(f);Yua(a);Ava(b);o=s;p=q;break}Yua(f);B=0;q=Ia(40,g|0,85329,10)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,c|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,81635,8)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,h|0,81558,76);u=B;B=0;do if(!(u&1)){B=0;eb(502,i|0,81644,9);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(h);v=q;w=s;break}B=0;wa(510,j|0,b|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,h|0,i|0,270,j|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(j);x=q;y=s;z=A}Yua(i);Yua(h);if(z){v=x;w=y}else{C=x;D=y;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(e);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(e);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(e);Qb(D|0)}while(0);m=o;n=p;vva(e);Qb(n|0)}function fO(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;j=k[a+(c+-1<<2)>>2]|0;if(j){Fc[k[(k[j>>2]|0)+52>>2]&1023](j,b);r=d;return}d=f+56|0;b=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,b|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(d);Qb(m|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);j=B;B=0;do if(j&1){a=Rb()|0;n=Q;o=a}else{k[b>>2]=27560;a=f+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,b|0,e|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(e);Yua(a);Ava(b);n=q;o=p;break}Yua(e);B=0;p=Ia(40,f|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,c|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,81635,8)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,g|0,81558,76);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,81644,9);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(g);u=p;v=q;break}B=0;wa(510,i|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,g|0,h|0,280,i|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(i);w=p;x=q;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(C|0)}while(0);l=n;m=o;vva(d);Qb(m|0)}function gO(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;i=e+12|0;j=e;l=k[a+(d+-1<<2)>>2]|0;if(l){nd[k[(k[l>>2]|0)+56>>2]&1023](l,b,c);r=e;return}e=g+56|0;c=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,c|0);b=B;B=0;if(b&1){b=Rb()|0;m=Q;n=b;vva(e);Qb(n|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,c|0);b=B;B=0;do if(b&1){l=Rb()|0;o=Q;p=l}else{k[c>>2]=27560;l=g+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,c|0,f|0);a=B;B=0;if(a&1){a=Rb()|0;q=Q;Yua(f);Yua(l);Ava(c);o=q;p=a;break}Yua(f);B=0;a=Ia(40,g|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,d|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,a|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,81635,8)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,h|0,81558,76);t=B;B=0;do if(!(t&1)){B=0;eb(502,i|0,81644,9);q=B;B=0;if(q&1){q=Rb()|0;a=Q;Yua(h);u=a;v=q;break}B=0;wa(510,j|0,c|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,h|0,i|0,291,j|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;a=Q;Yua(j);w=a;x=q;y=z}Yua(i);Yua(h);if(y){u=w;v=x}else{A=w;C=x;k[g>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(l);Ava(c);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[g>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(l);Ava(c);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[g>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(l);Ava(c);vva(e);Qb(C|0)}while(0);m=o;n=p;vva(e);Qb(n|0)}function hO(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;i=e+12|0;j=e;l=k[a+(d+-1<<2)>>2]|0;if(l){nd[k[(k[l>>2]|0)+36>>2]&1023](l,b,c);r=e;return}e=g+56|0;c=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,c|0);b=B;B=0;if(b&1){b=Rb()|0;m=Q;n=b;vva(e);Qb(n|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,c|0);b=B;B=0;do if(b&1){l=Rb()|0;o=Q;p=l}else{k[c>>2]=27560;l=g+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,c|0,f|0);a=B;B=0;if(a&1){a=Rb()|0;q=Q;Yua(f);Yua(l);Ava(c);o=q;p=a;break}Yua(f);B=0;a=Ia(40,g|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,d|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,a|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,81635,8)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,h|0,81558,76);t=B;B=0;do if(!(t&1)){B=0;eb(502,i|0,81644,9);q=B;B=0;if(q&1){q=Rb()|0;a=Q;Yua(h);u=a;v=q;break}B=0;wa(510,j|0,c|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,h|0,i|0,301,j|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;a=Q;Yua(j);w=a;x=q;y=z}Yua(i);Yua(h);if(y){u=w;v=x}else{A=w;C=x;k[g>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(l);Ava(c);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[g>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(l);Ava(c);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[g>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(l);Ava(c);vva(e);Qb(C|0)}while(0);m=o;n=p;vva(e);Qb(n|0)}function iO(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;i=e+12|0;j=e;l=k[a+(d+-1<<2)>>2]|0;if(l){nd[k[(k[l>>2]|0)+60>>2]&1023](l,b,c);r=e;return}e=g+56|0;c=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,c|0);b=B;B=0;if(b&1){b=Rb()|0;m=Q;n=b;vva(e);Qb(n|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,c|0);b=B;B=0;do if(b&1){l=Rb()|0;o=Q;p=l}else{k[c>>2]=27560;l=g+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,c|0,f|0);a=B;B=0;if(a&1){a=Rb()|0;q=Q;Yua(f);Yua(l);Ava(c);o=q;p=a;break}Yua(f);B=0;a=Ia(40,g|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,d|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,a|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,81635,8)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,h|0,81558,76);t=B;B=0;do if(!(t&1)){B=0;eb(502,i|0,81644,9);q=B;B=0;if(q&1){q=Rb()|0;a=Q;Yua(h);u=a;v=q;break}B=0;wa(510,j|0,c|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,h|0,i|0,323,j|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;a=Q;Yua(j);w=a;x=q;y=z}Yua(i);Yua(h);if(y){u=w;v=x}else{A=w;C=x;k[g>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(l);Ava(c);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[g>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(l);Ava(c);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[g>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(l);Ava(c);vva(e);Qb(C|0)}while(0);m=o;n=p;vva(e);Qb(n|0)}function jO(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;f=r;r=r+192|0;g=f+176|0;h=f+40|0;i=f+24|0;j=f+12|0;l=f;m=k[a+(e+-1<<2)>>2]|0;if(m){rd[k[(k[m>>2]|0)+64>>2]&511](m,b,c,d);r=f;return}f=h+56|0;d=h+4|0;k[h>>2]=27524;k[f>>2]=27544;B=0;wa(508,h+56|0,d|0);c=B;B=0;if(c&1){c=Rb()|0;n=Q;o=c;vva(f);Qb(o|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[f>>2]=27488;B=0;va(448,d|0);c=B;B=0;do if(c&1){b=Rb()|0;p=Q;q=b}else{k[d>>2]=27560;b=h+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[h+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,d|0,g|0);m=B;B=0;if(m&1){m=Rb()|0;a=Q;Yua(g);Yua(b);Ava(d);p=a;q=m;break}Yua(g);B=0;m=Ia(40,h|0,85329,10)|0;a=B;B=0;if((((!(a&1)?(B=0,a=ya(427,e|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(a)|0,B=0,t=Ia(40,m|0,a|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,81635,8)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,i|0,81558,76);t=B;B=0;do if(!(t&1)){B=0;eb(502,j|0,81644,9);a=B;B=0;if(a&1){a=Rb()|0;m=Q;Yua(i);u=m;v=a;break}B=0;wa(510,l|0,d|0);a=B;B=0;if(a&1){a=Rb()|0;w=Q;x=a;y=1}else{B=0;ua(163,s|0,i|0,j|0,333,l|0);a=B;B=0;if(a&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}a=Rb()|0;m=Q;Yua(l);w=m;x=a;y=z}Yua(j);Yua(i);if(y){u=w;v=x}else{A=w;C=x;k[h>>2]=27468;k[f>>2]=27488;k[d>>2]=27560;Yua(b);Ava(d);vva(f);Qb(C|0)}}else{a=Rb()|0;u=Q;v=a}while(0);zb(s|0);A=u;C=v;k[h>>2]=27468;k[f>>2]=27488;k[d>>2]=27560;Yua(b);Ava(d);vva(f);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[h>>2]=27468;k[f>>2]=27488;k[d>>2]=27560;Yua(b);Ava(d);vva(f);Qb(C|0)}while(0);n=p;o=q;vva(f);Qb(o|0)}function kO(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;g=r;r=r+192|0;h=g+176|0;i=g+40|0;j=g+24|0;l=g+12|0;m=g;n=k[a+(f+-1<<2)>>2]|0;if(n){Dc[k[(k[n>>2]|0)+68>>2]&255](n,b,c,d,e);r=g;return}g=i+56|0;e=i+4|0;k[i>>2]=27524;k[g>>2]=27544;B=0;wa(508,i+56|0,e|0);d=B;B=0;if(d&1){d=Rb()|0;o=Q;p=d;vva(g);Qb(p|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[g>>2]=27488;B=0;va(448,e|0);d=B;B=0;do if(d&1){c=Rb()|0;q=Q;s=c}else{k[e>>2]=27560;c=i+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[i+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,e|0,h|0);b=B;B=0;if(b&1){b=Rb()|0;n=Q;Yua(h);Yua(c);Ava(e);q=n;s=b;break}Yua(h);B=0;b=Ia(40,i|0,85329,10)|0;n=B;B=0;if((((!(n&1)?(B=0,n=ya(427,f|0)|0,a=B,B=0,!(a&1)):0)?(a=Lta(n)|0,B=0,t=Ia(40,b|0,n|0,a|0)|0,a=B,B=0,!(a&1)):0)?(B=0,a=Ia(40,t|0,81635,8)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,a|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,j|0,81558,76);t=B;B=0;do if(!(t&1)){B=0;eb(502,l|0,81644,9);n=B;B=0;if(n&1){n=Rb()|0;b=Q;Yua(j);u=b;v=n;break}B=0;wa(510,m|0,e|0);n=B;B=0;if(n&1){n=Rb()|0;w=Q;x=n;y=1}else{B=0;ua(163,a|0,j|0,l|0,343,m|0);n=B;B=0;if(n&1)z=1;else{B=0;eb(503,a|0,1240,229);B=0;z=0}n=Rb()|0;b=Q;Yua(m);w=b;x=n;y=z}Yua(l);Yua(j);if(y){u=w;v=x}else{A=w;C=x;k[i>>2]=27468;k[g>>2]=27488;k[e>>2]=27560;Yua(c);Ava(e);vva(g);Qb(C|0)}}else{n=Rb()|0;u=Q;v=n}while(0);zb(a|0);A=u;C=v;k[i>>2]=27468;k[g>>2]=27488;k[e>>2]=27560;Yua(c);Ava(e);vva(g);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[i>>2]=27468;k[g>>2]=27488;k[e>>2]=27560;Yua(c);Ava(e);vva(g);Qb(C|0)}while(0);o=q;p=s;vva(g);Qb(p|0)}function lO(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;j=k[a+(c+-1<<2)>>2]|0;if(j){Fc[k[(k[j>>2]|0)+80>>2]&1023](j,b);r=d;return}d=f+56|0;b=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,b|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(d);Qb(m|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);j=B;B=0;do if(j&1){a=Rb()|0;n=Q;o=a}else{k[b>>2]=27560;a=f+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,b|0,e|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(e);Yua(a);Ava(b);n=q;o=p;break}Yua(e);B=0;p=Ia(40,f|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,c|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,81635,8)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,g|0,81558,76);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,81644,9);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(g);u=p;v=q;break}B=0;wa(510,i|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,g|0,h|0,373,i|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(i);w=p;x=q;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(C|0)}while(0);l=n;m=o;vva(d);Qb(m|0)}function mO(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=k[a+(c+-1<<2)>>2]|0;if(d){Fc[k[(k[d>>2]|0)+88>>2]&1023](d,b);return}d=Qqa(12)|0;B=0;eb(517,d|0,c|0,b|0);b=B;B=0;if(b&1){b=Rb()|0;Sqa(d);Qb(b|0)}b=a+((Hc[k[(k[d>>2]|0)+24>>2]&511](d)|0)+-1<<2)|0;a=k[b>>2]|0;if(a){Ec[k[(k[a>>2]|0)+4>>2]&1023](a);k[b>>2]=0}k[b>>2]=d;return}function nO(a,b){a=a|0;b=b|0;return k[a+(b+-1<<2)>>2]|0}function oO(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=k[a+(c+-1<<2)>>2]|0;if(d){Fc[k[(k[d>>2]|0)+92>>2]&1023](d,b);return}d=Qqa(12)|0;B=0;eb(518,d|0,c|0,b|0);b=B;B=0;if(b&1){b=Rb()|0;Sqa(d);Qb(b|0)}b=a+((Hc[k[(k[d>>2]|0)+24>>2]&511](d)|0)+-1<<2)|0;a=k[b>>2]|0;if(a){Ec[k[(k[a>>2]|0)+4>>2]&1023](a);k[b>>2]=0}k[b>>2]=d;return}function pO(a,b,c){a=a|0;b=+b;c=c|0;var d=0;d=k[a+(c+-1<<2)>>2]|0;if(d){Cc[k[(k[d>>2]|0)+96>>2]&63](d,b);return}d=Qqa(16)|0;B=0;Oa(59,d|0,c|0,+b);c=B;B=0;if(c&1){c=Rb()|0;Sqa(d);Qb(c|0)}c=a+((Hc[k[(k[d>>2]|0)+24>>2]&511](d)|0)+-1<<2)|0;a=k[c>>2]|0;if(a){Ec[k[(k[a>>2]|0)+4>>2]&1023](a);k[c>>2]=0}k[c>>2]=d;return}function qO(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=k[a+(d+-1<<2)>>2]|0;if(e){nd[k[(k[e>>2]|0)+116>>2]&1023](e,b,c);return}e=Qqa(16)|0;B=0;ib(293,e|0,d|0,b|0,c|0);c=B;B=0;if(c&1){c=Rb()|0;Sqa(e);Qb(c|0)}c=a+((Hc[k[(k[e>>2]|0)+24>>2]&511](e)|0)+-1<<2)|0;a=k[c>>2]|0;if(a){Ec[k[(k[a>>2]|0)+4>>2]&1023](a);k[c>>2]=0}k[c>>2]=e;return}function rO(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=k[a+(c+-1<<2)>>2]|0;if(d){Fc[k[(k[d>>2]|0)+132>>2]&1023](d,b);return}d=Qqa(12)|0;B=0;eb(519,d|0,c|0,b|0);b=B;B=0;if(b&1){b=Rb()|0;Sqa(d);Qb(b|0)}b=a+((Hc[k[(k[d>>2]|0)+24>>2]&511](d)|0)+-1<<2)|0;a=k[b>>2]|0;if(a){Ec[k[(k[a>>2]|0)+4>>2]&1023](a);k[b>>2]=0}k[b>>2]=d;return}function sO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0;c=r;r=r+208|0;d=c+192|0;e=c+184|0;f=c+180|0;g=c+176|0;h=c+40|0;i=c+24|0;j=c+12|0;l=c;k[e>>2]=0;k[f>>2]=0;k[g>>2]=0;gO(a,f,g,959);iO(a,e,c+188|0,958);a=k[g>>2]|0;if(!a){m=0;r=c;return m|0}n=(a|0)>0;a:do if(n){o=k[e>>2]|0;q=+(b|0);s=0;while(1){if(+p[o+(s<<3)>>3]==q){t=s;u=6;break}s=s+1|0;if((s|0)>=(a|0)){u=7;break}}if((u|0)==6)if((t|0)==-1)u=7;else v=t;if((u|0)==7){if(!n)break;s=k[e>>2]|0;o=0;while(1){if(+p[s+(o<<3)>>3]==483.0){w=o;break}o=o+1|0;if((o|0)>=(a|0))break a}if((w|0)==-1)break;else v=w}o=(k[f>>2]|0)+(v<<2)|0;s=Rqa((Lta(k[o>>2]|0)|0)+1|0)|0;Jta(s,k[o>>2]|0)|0;o=k[e>>2]|0;if(o)Tqa(o);k[e>>2]=0;o=k[g>>2]|0;x=k[f>>2]|0;if((o|0)>0){y=x;z=o;o=0;while(1){A=k[y+(o<<2)>>2]|0;if(!A){C=z;D=y}else{Tqa(A);C=k[g>>2]|0;D=k[f>>2]|0}o=o+1|0;if((o|0)>=(C|0)){E=D;break}else{y=D;z=C}}}else E=x;if(E)Tqa(E);k[f>>2]=0;m=s;r=c;return m|0}while(0);m=h+56|0;c=h+4|0;k[h>>2]=27524;k[m>>2]=27544;B=0;wa(508,h+56|0,c|0);f=B;B=0;if(f&1){f=Rb()|0;F=Q;G=f;vva(m);Qb(G|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[m>>2]=27488;B=0;va(448,c|0);f=B;B=0;do if(f&1){E=Rb()|0;H=Q;I=E}else{k[c>>2]=27560;E=h+36|0;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;k[E+12>>2]=0;k[h+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,c|0,d|0);C=B;B=0;if(C&1){C=Rb()|0;D=Q;Yua(d);Yua(E);Ava(c);H=D;I=C;break}Yua(d);B=0;C=Ia(40,h|0,81654,51)|0;D=B;B=0;if(((!(D&1)?(B=0,D=ya(427,b|0)|0,g=B,B=0,!(g&1)):0)?(g=Lta(D)|0,B=0,e=Ia(40,C|0,D|0,g|0)|0,g=B,B=0,!(g&1)):0)?(B=0,Xa(239,e|0,0)|0,e=B,B=0,!(e&1)):0){e=Ab(20)|0;B=0;eb(502,i|0,81558,76);g=B;B=0;do if(!(g&1)){B=0;eb(502,j|0,81706,19);D=B;B=0;if(D&1){D=Rb()|0;C=Q;Yua(i);J=C;K=D;break}B=0;wa(510,l|0,c|0);D=B;B=0;if(D&1){D=Rb()|0;L=Q;M=D;N=1}else{B=0;ua(163,e|0,i|0,j|0,584,l|0);D=B;B=0;if(D&1)O=1;else{B=0;eb(503,e|0,1240,229);B=0;O=0}D=Rb()|0;C=Q;Yua(l);L=C;M=D;N=O}Yua(j);Yua(i);if(N){J=L;K=M}else{P=L;R=M;k[h>>2]=27468;k[m>>2]=27488;k[c>>2]=27560;Yua(E);Ava(c);vva(m);Qb(R|0)}}else{D=Rb()|0;J=Q;K=D}while(0);zb(e|0);P=J;R=K;k[h>>2]=27468;k[m>>2]=27488;k[c>>2]=27560;Yua(E);Ava(c);vva(m);Qb(R|0)}g=Rb()|0;P=Q;R=g;k[h>>2]=27468;k[m>>2]=27488;k[c>>2]=27560;Yua(E);Ava(c);vva(m);Qb(R|0)}while(0);F=H;G=I;vva(m);Qb(G|0);return 0}function tO(a,b){a=a|0;b=b|0;var c=0;c=sO(a,b)|0;pZ(c);if(!c)return;Tqa(c);return}function uO(a){a=a|0;k[a>>2]=34448;return}function vO(a,b,c){a=a|0;b=b|0;c=c|0;k[a>>2]=34448;k[a+4>>2]=b;i[a+8>>0]=c&1;return}function wO(a){a=a|0;k[a>>2]=34448;return}function xO(a){a=a|0;Sqa(a);return}function yO(a){a=a|0;zO(a);return}function zO(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;b=r;r=r+176|0;c=b+152|0;d=b+16|0;e=b;f=d+56|0;g=d+4|0;k[d>>2]=27524;k[f>>2]=27544;B=0;wa(508,d+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;j=Q;l=h;vva(f);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[f>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){m=Rb()|0;n=Q;o=m}else{k[g>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(g);n=q;o=p;break}Yua(c);k[d+(k[(k[d>>2]|0)+-12>>2]|0)+12>>2]=22;B=0;p=Ia(40,d|0,81737,13)|0;q=B;B=0;if((((((!(q&1)?(k[p+(k[(k[p>>2]|0)+-12>>2]|0)+12>>2]=35,q=p+(k[(k[p>>2]|0)+-12>>2]|0)+4|0,k[q>>2]=k[q>>2]&-177|32,B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,149175,1)|0,t=B,B=0,!(t&1)):0)?(t=(i[a+8>>0]|0)!=0,B=0,q=Ia(40,s|0,(t?159247:159252)|0,(t?4:5)|0)|0,t=B,B=0,!(t&1)):0)?(B=0,Ia(40,q|0,149177,1)|0,q=B,B=0,!(q&1)):0)?(B=0,wa(510,e|0,g|0),q=B,B=0,!(q&1)):0){B=0;ya(424,e|0)|0;q=B;B=0;if(!(q&1)){Yua(e);k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(m);Ava(g);vva(f);r=b;return}q=Rb()|0;t=Q;Yua(e);u=t;v=q;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(m);Ava(g);vva(f);Qb(v|0)}q=Rb()|0;u=Q;v=q;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(m);Ava(g);vva(f);Qb(v|0)}while(0);j=n;l=o;vva(f);Qb(l|0)}function AO(a){a=a|0;return 557}function BO(a){a=a|0;var b=0,c=0,d=0;b=Qqa(12)|0;c=k[a+4>>2]|0;d=i[a+8>>0]|0;k[b>>2]=34448;k[b+4>>2]=c;i[b+8>>0]=d;return b|0}function CO(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;switch(d|0){case 0:{d=k[b>>2]|0;i[d>>0]=45;i[d+1>>0]=2;i[d+2>>0]=0;i[d+3>>0]=0;d=(k[b>>2]|0)+4|0;k[b>>2]=d;n=a+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;i[o>>0]=i[a+8>>0]|0;k[b>>2]=(k[b>>2]|0)+1;r=e;return}case 2:{k[c>>2]=(k[c>>2]|0)+9;r=e;return}case 1:{c=(k[b>>2]|0)+4|0;k[b>>2]=c;o=a+4|0;d=l[c>>0]|l[c+1>>0]<<8|l[c+2>>0]<<16|l[c+3>>0]<<24;i[o>>0]=d;i[o+1>>0]=d>>8;i[o+2>>0]=d>>16;i[o+3>>0]=d>>24;d=(k[b>>2]|0)+4|0;k[b>>2]=d;i[a+8>>0]=i[d>>0]|0;k[b>>2]=(k[b>>2]|0)+1;r=e;return}default:{e=g+56|0;b=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,b|0);d=B;B=0;if(d&1){d=Rb()|0;p=Q;q=d;vva(e);Qb(q|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,b|0);d=B;B=0;do if(d&1){a=Rb()|0;s=Q;t=a}else{k[b>>2]=27560;a=g+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,b|0,f|0);o=B;B=0;if(o&1){o=Rb()|0;c=Q;Yua(f);Yua(a);Ava(b);s=c;t=o;break}Yua(f);B=0;o=Ia(40,g|0,143951,43)|0;c=B;B=0;if(!(c&1)?(B=0,Xa(239,o|0,0)|0,o=B,B=0,!(o&1)):0){o=Ab(20)|0;B=0;eb(502,h|0,81751,75);c=B;B=0;do if(!(c&1)){B=0;eb(502,j|0,149525,8);n=B;B=0;if(n&1){n=Rb()|0;u=Q;Yua(h);v=u;w=n;break}B=0;wa(510,m|0,b|0);n=B;B=0;if(n&1){n=Rb()|0;x=n;y=Q;z=1}else{B=0;ua(163,o|0,h|0,j|0,58,m|0);n=B;B=0;if(n&1)A=1;else{B=0;eb(503,o|0,1240,229);B=0;A=0}n=Rb()|0;u=Q;Yua(m);x=n;y=u;z=A}Yua(j);Yua(h);if(z){v=y;w=x}else{C=y;D=x;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(e);Qb(D|0)}}else{u=Rb()|0;v=Q;w=u}while(0);zb(o|0);C=v;D=w;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(e);Qb(D|0)}c=Rb()|0;C=Q;D=c;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(e);Qb(D|0)}while(0);p=s;q=t;vva(e);Qb(q|0)}}}function DO(a){a=a|0;return k[a+4>>2]|0}function EO(a,b){a=a|0;b=b|0;i[b>>0]=i[a+8>>0]|0;return}function FO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85796,25)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,81827,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,43,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function GO(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85760,35)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,81827,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,44,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function HO(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85760,35)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,81827,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,45,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function IO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86549,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,81827,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,46,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function JO(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;b=r;r=r+192|0;d=b+176|0;e=b+40|0;f=b+24|0;g=b+12|0;h=b;b=e+56|0;i=e+4|0;k[e>>2]=27524;k[b>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(b);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[b>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,86115,6)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,k[a+4>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,86504,44)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,81827,85);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,86325,17);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,f|0,g|0,47,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}while(0);l=o;m=p;vva(b);Qb(m|0)}function KO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86480,23)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,81827,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,48,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function LO(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86450,29)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,81827,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,49,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function MO(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86416,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,81827,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,50,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function NO(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86416,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,81827,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,51,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function OO(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;f=e+12|0;g=e;e=c+56|0;h=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(e);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;p=Ia(40,c|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85695,29)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,b|0,81827,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(b);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,b|0,f|0,52,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(b);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}function PO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86364,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,81827,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,53,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function QO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86343,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,81827,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,54,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function RO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85673,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,81827,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,55,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function SO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85648,24)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,81827,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,56,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function TO(a,b){a=a|0;b=b|0;i[a+8>>0]=b&1;return}function UO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,81941,19)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,81827,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,59,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function VO(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;c=e+56|0;i=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(c);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,86115,6)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,k[a+4>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,81913,27)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,81827,85);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,86106,8);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,f|0,g|0,60,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}while(0);l=o;m=p;vva(c);Qb(m|0)}function WO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86273,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,81827,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,61,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function XO(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86245,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,81827,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,62,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function YO(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86213,31)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,81827,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,63,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function ZO(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86213,31)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,81827,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,64,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function _O(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86188,24)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,81827,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,65,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function $O(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86188,24)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,81827,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,66,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function aP(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86169,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,81827,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,67,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function bP(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86150,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,81827,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,68,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function cP(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85465,19)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,81827,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,69,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function dP(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;f=e+12|0;g=e;e=c+56|0;h=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(e);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;p=Ia(40,c|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85340,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,b|0,81827,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(b);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,b|0,f|0,70,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(b);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}function eP(a,b){a=a|0;b=b|0;k[a+4>>2]=b;return}function fP(a){a=a|0;k[a>>2]=34600;return}function gP(a,b,c){a=a|0;b=b|0;c=c|0;k[a>>2]=34600;k[a+4>>2]=b;k[a+8>>2]=c;return}function hP(a){a=a|0;k[a>>2]=34600;return}function iP(a){a=a|0;Sqa(a);return}function jP(a){a=a|0;kP(a);return}function kP(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;b=r;r=r+176|0;c=b+152|0;d=b+16|0;e=b;f=d+56|0;g=d+4|0;k[d>>2]=27524;k[f>>2]=27544;B=0;wa(508,d+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(f);Qb(j|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[f>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=d+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);k[d+(k[(k[d>>2]|0)+-12>>2]|0)+12>>2]=22;B=0;o=Ia(40,d|0,81971,12)|0;p=B;B=0;if((((((!(p&1)?(k[o+(k[(k[o>>2]|0)+-12>>2]|0)+12>>2]=35,p=o+(k[(k[o>>2]|0)+-12>>2]|0)+4|0,k[p>>2]=k[p>>2]&-177|32,B=0,p=ya(427,k[a+4>>2]|0)|0,q=B,B=0,!(q&1)):0)?(q=Lta(p)|0,B=0,s=Ia(40,o|0,p|0,q|0)|0,q=B,B=0,!(q&1)):0)?(B=0,q=Ia(40,s|0,149175,1)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Xa(242,q|0,k[a+8>>2]|0)|0,q=B,B=0,!(q&1)):0)?(B=0,Ia(40,s|0,149177,1)|0,s=B,B=0,!(s&1)):0)?(B=0,wa(510,e|0,g|0),s=B,B=0,!(s&1)):0){B=0;ya(424,e|0)|0;s=B;B=0;if(!(s&1)){Yua(e);k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);r=b;return}s=Rb()|0;q=Q;Yua(e);t=q;u=s;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(u|0)}s=Rb()|0;t=Q;u=s;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(u|0)}while(0);i=m;j=n;vva(f);Qb(j|0)}function lP(a){a=a|0;return 580}function mP(a){a=a|0;var b=0,c=0,d=0;b=Qqa(12)|0;c=k[a+4>>2]|0;d=k[a+8>>2]|0;k[b>>2]=34600;k[b+4>>2]=c;k[b+8>>2]=d;return b|0}function nP(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;switch(d|0){case 0:{d=k[b>>2]|0;i[d>>0]=68;i[d+1>>0]=2;i[d+2>>0]=0;i[d+3>>0]=0;d=(k[b>>2]|0)+4|0;k[b>>2]=d;n=a+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;d=a+8|0;n=l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24;i[o>>0]=n;i[o+1>>0]=n>>8;i[o+2>>0]=n>>16;i[o+3>>0]=n>>24;k[b>>2]=(k[b>>2]|0)+4;r=e;return}case 2:{k[c>>2]=(k[c>>2]|0)+12;r=e;return}case 1:{c=(k[b>>2]|0)+4|0;k[b>>2]=c;n=a+4|0;o=l[c>>0]|l[c+1>>0]<<8|l[c+2>>0]<<16|l[c+3>>0]<<24;i[n>>0]=o;i[n+1>>0]=o>>8;i[n+2>>0]=o>>16;i[n+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;n=a+8|0;a=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[n>>0]=a;i[n+1>>0]=a>>8;i[n+2>>0]=a>>16;i[n+3>>0]=a>>24;k[b>>2]=(k[b>>2]|0)+4;r=e;return}default:{e=g+56|0;b=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;p=Q;q=a;vva(e);Qb(q|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,b|0);a=B;B=0;do if(a&1){n=Rb()|0;s=Q;t=n}else{k[b>>2]=27560;n=g+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,b|0,f|0);o=B;B=0;if(o&1){o=Rb()|0;c=Q;Yua(f);Yua(n);Ava(b);s=c;t=o;break}Yua(f);B=0;o=Ia(40,g|0,143951,43)|0;c=B;B=0;if(!(c&1)?(B=0,Xa(239,o|0,0)|0,o=B,B=0,!(o&1)):0){o=Ab(20)|0;B=0;eb(502,h|0,81984,74);c=B;B=0;do if(!(c&1)){B=0;eb(502,j|0,149525,8);d=B;B=0;if(d&1){d=Rb()|0;u=Q;Yua(h);v=u;w=d;break}B=0;wa(510,m|0,b|0);d=B;B=0;if(d&1){d=Rb()|0;x=d;y=Q;z=1}else{B=0;ua(163,o|0,h|0,j|0,59,m|0);d=B;B=0;if(d&1)A=1;else{B=0;eb(503,o|0,1240,229);B=0;A=0}d=Rb()|0;u=Q;Yua(m);x=d;y=u;z=A}Yua(j);Yua(h);if(z){v=y;w=x}else{C=y;D=x;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(n);Ava(b);vva(e);Qb(D|0)}}else{u=Rb()|0;v=Q;w=u}while(0);zb(o|0);C=v;D=w;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(n);Ava(b);vva(e);Qb(D|0)}c=Rb()|0;C=Q;D=c;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(n);Ava(b);vva(e);Qb(D|0)}while(0);p=s;q=t;vva(e);Qb(q|0)}}}function oP(a){a=a|0;return k[a+4>>2]|0}function pP(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86577,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82059,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,43,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function qP(a,b){a=a|0;b=b|0;k[b>>2]=k[a+8>>2];return}function rP(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85760,35)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82059,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,45,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function sP(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85760,35)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82059,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,46,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function tP(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86549,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82059,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,47,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function uP(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;b=r;r=r+192|0;d=b+176|0;e=b+40|0;f=b+24|0;g=b+12|0;h=b;b=e+56|0;i=e+4|0;k[e>>2]=27524;k[b>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(b);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[b>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,86115,6)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,k[a+4>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,86504,44)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,82059,84);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,86325,17);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,f|0,g|0,48,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}while(0);l=o;m=p;vva(b);Qb(m|0)}function vP(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86480,23)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82059,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,49,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function wP(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86450,29)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82059,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,50,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function xP(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86416,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82059,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,51,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function yP(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86416,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82059,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,52,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function zP(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;f=e+12|0;g=e;e=c+56|0;h=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(e);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;p=Ia(40,c|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85695,29)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,b|0,82059,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(b);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,b|0,f|0,53,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(b);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}function AP(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86364,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82059,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,54,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function BP(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86343,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82059,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,55,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function CP(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85673,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82059,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,56,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function DP(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85648,24)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82059,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,57,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function EP(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,82197,19)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82059,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,59,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function FP(a,b){a=a|0;b=b|0;k[a+8>>2]=b;return}function GP(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;c=e+56|0;i=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(c);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,86115,6)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,k[a+4>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,82170,26)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,82059,84);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,86106,8);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,f|0,g|0,63,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}while(0);l=o;m=p;vva(c);Qb(m|0)}function HP(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86273,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82059,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,64,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function IP(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86245,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82059,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,65,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function JP(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86213,31)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82059,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,66,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function KP(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86213,31)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82059,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,67,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function LP(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,82144,25)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82059,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,61,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function MP(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,82144,25)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82059,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,62,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function NP(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86169,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82059,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,68,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function OP(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86150,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82059,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,69,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function PP(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85465,19)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82059,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,70,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function QP(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;f=e+12|0;g=e;e=c+56|0;h=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(e);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;p=Ia(40,c|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85340,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,b|0,82059,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(b);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,b|0,f|0,71,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(b);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}function RP(a,b){a=a|0;b=b|0;k[a+4>>2]=b;return}function SP(a){a=a|0;k[a>>2]=34752;return}function TP(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;k[a>>2]=34752;k[a+4>>2]=b;k[a+12>>2]=d;if(!d){k[a+8>>2]=0;return}b=Rqa(d>>>0>1073741823?-1:d<<2)|0;k[a+8>>2]=b;if(!c)yb(142353,85118,137,142345);TEa(b|0,c|0,d<<2|0)|0;return}function UP(a){a=a|0;var b=0;k[a>>2]=34752;b=a+8|0;a=k[b>>2]|0;if(a)Tqa(a);k[b>>2]=0;return}function VP(a){a=a|0;var b=0;k[a>>2]=34752;b=k[a+8>>2]|0;if(!b){Sqa(a);return}Tqa(b);Sqa(a);return}function WP(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;b=r;r=r+464|0;c=b+452|0;d=b+304|0;e=b+440|0;f=b+152|0;g=b+288|0;h=b+16|0;i=b;j=d+56|0;l=d+4|0;k[d>>2]=27524;k[j>>2]=27544;B=0;wa(508,d+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(j);Qb(o|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[j>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){p=Rb()|0;q=Q;s=p}else{k[l>>2]=27560;p=d+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,l|0,c|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(c);Yua(p);Ava(l);q=u;s=t;break}Yua(c);B=0;Ia(40,d|0,82231,13)|0;t=B;B=0;do if(!(t&1)?(B=0,wa(510,e|0,l|0),u=B,B=0,!(u&1)):0){B=0;ya(424,e|0)|0;u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}Yua(e);k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);u=f+56|0;v=f+4|0;k[f>>2]=27524;k[u>>2]=27544;B=0;wa(508,f+56|0,v|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;A=y;vva(u);Qb(A|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[u>>2]=27488;B=0;va(448,v|0);y=B;B=0;do if(y&1){C=Rb()|0;D=Q;E=C}else{k[v>>2]=27560;C=f+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,v|0,c|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(c);Yua(C);Ava(v);D=G;E=F;break}Yua(c);B=0;F=Ia(40,f|0,85228,9)|0;G=B;B=0;do if((((((!(G&1)?(H=a+4|0,B=0,I=Xa(242,F|0,k[H>>2]|0)|0,J=B,B=0,!(J&1)):0)?(B=0,J=Ia(40,I|0,144166,2)|0,I=B,B=0,!(I&1)):0)?(B=0,I=ya(427,k[H>>2]|0)|0,H=B,B=0,!(H&1)):0)?(H=Lta(I)|0,B=0,K=Ia(40,J|0,I|0,H|0)|0,H=B,B=0,!(H&1)):0)?(B=0,Ia(40,K|0,145593,2)|0,K=B,B=0,!(K&1)):0)?(B=0,wa(510,g|0,v|0),K=B,B=0,!(K&1)):0){B=0;ya(424,g|0)|0;K=B;B=0;if(K&1){K=Rb()|0;H=Q;Yua(g);L=H;M=K;break}Yua(g);k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(C);Ava(v);vva(u);K=h+56|0;H=h+4|0;k[h>>2]=27524;k[K>>2]=27544;B=0;wa(508,h+56|0,H|0);I=B;B=0;if(I&1){I=Rb()|0;N=Q;O=I;vva(K);Qb(O|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[K>>2]=27488;B=0;va(448,H|0);I=B;B=0;do if(I&1){J=Rb()|0;P=Q;R=J}else{k[H>>2]=27560;J=h+36|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;k[J+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,H|0,c|0);S=B;B=0;if(S&1){S=Rb()|0;T=Q;Yua(c);Yua(J);Ava(H);P=T;R=S;break}Yua(c);B=0;S=Ia(40,h|0,82245,16)|0;T=B;B=0;do if(!(T&1)){B=0;U=Xa(242,S|0,k[a+12>>2]|0)|0;V=B;B=0;if(V&1){W=48;break}B=0;Ia(40,U|0,149177,1)|0;U=B;B=0;if(U&1){W=48;break}B=0;wa(510,i|0,H|0);U=B;B=0;if(U&1){W=48;break}B=0;ya(424,i|0)|0;U=B;B=0;if(U&1){U=Rb()|0;V=Q;Yua(i);X=V;Y=U;break}else{Yua(i);k[h>>2]=27468;k[K>>2]=27488;k[H>>2]=27560;Yua(J);Ava(H);vva(K);r=b;return}}else W=48;while(0);if((W|0)==48){S=Rb()|0;X=Q;Y=S}k[h>>2]=27468;k[K>>2]=27488;k[H>>2]=27560;Yua(J);Ava(H);vva(K);Z=X;_=Y;Qb(_|0)}while(0);N=P;O=R;vva(K);Qb(O|0)}else W=45;while(0);if((W|0)==45){F=Rb()|0;L=Q;M=F}k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(C);Ava(v);vva(u);Z=L;_=M;Qb(_|0)}while(0);z=D;A=E;vva(u);Qb(A|0)}else W=42;while(0);if((W|0)==42){t=Rb()|0;w=Q;x=t}k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);Z=w;_=x;Qb(_|0)}while(0);n=q;o=s;vva(j);Qb(o|0)}function XP(a){a=a|0;return 581}function YP(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;b=Qqa(16)|0;c=k[a+4>>2]|0;d=k[a+8>>2]|0;e=k[a+12>>2]|0;k[b>>2]=34752;k[b+4>>2]=c;k[b+12>>2]=e;if(!e){k[b+8>>2]=0;return b|0}B=0;c=ya(422,(e>>>0>1073741823?-1:e<<2)|0)|0;a=B;B=0;if(a&1){f=Rb()|0;g=Q;Sqa(b);Qb(f|0)}k[b+8>>2]=c;if(!d){B=0;ib(283,142353,85118,137,142345);B=0;f=Rb()|0;g=Q;Sqa(b);Qb(f|0)}else{TEa(c|0,d|0,e<<2|0)|0;return b|0}return 0}function ZP(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;e=r;r=r+368|0;f=e+344|0;g=e+208|0;h=e+196|0;j=e+184|0;m=e+36|0;n=e+48|0;o=e+24|0;p=e+12|0;q=e;s=(d|0)==0;a:do if(s){t=k[b>>2]|0;i[t>>0]=69;i[t+1>>0]=2;i[t+2>>0]=0;i[t+3>>0]=0;t=(k[b>>2]|0)+4|0;k[b>>2]=t;u=a+4|0;v=l[u>>0]|l[u+1>>0]<<8|l[u+2>>0]<<16|l[u+3>>0]<<24;i[t>>0]=v;i[t+1>>0]=v>>8;i[t+2>>0]=v>>16;i[t+3>>0]=v>>24;v=(k[b>>2]|0)+4|0;k[b>>2]=v;t=a+12|0;u=l[t>>0]|l[t+1>>0]<<8|l[t+2>>0]<<16|l[t+3>>0]<<24;i[v>>0]=u;i[v+1>>0]=u>>8;i[v+2>>0]=u>>16;i[v+3>>0]=u>>24;k[b>>2]=(k[b>>2]|0)+4;w=t}else switch(d|0){case 2:{k[c>>2]=(k[c>>2]|0)+12;w=a+12|0;break a;break}case 1:{t=(k[b>>2]|0)+4|0;k[b>>2]=t;u=a+4|0;v=l[t>>0]|l[t+1>>0]<<8|l[t+2>>0]<<16|l[t+3>>0]<<24;i[u>>0]=v;i[u+1>>0]=v>>8;i[u+2>>0]=v>>16;i[u+3>>0]=v>>24;v=(k[b>>2]|0)+4|0;k[b>>2]=v;u=a+12|0;t=l[v>>0]|l[v+1>>0]<<8|l[v+2>>0]<<16|l[v+3>>0]<<24;i[u>>0]=t;i[u+1>>0]=t>>8;i[u+2>>0]=t>>16;i[u+3>>0]=t>>24;k[b>>2]=(k[b>>2]|0)+4;w=u;break a;break}default:{u=g+56|0;t=g+4|0;k[g>>2]=27524;k[u>>2]=27544;B=0;wa(508,g+56|0,t|0);v=B;B=0;if(v&1){v=Rb()|0;x=Q;y=v;vva(u);Qb(y|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[u>>2]=27488;B=0;va(448,t|0);v=B;B=0;do if(v&1){z=Rb()|0;A=Q;C=z}else{k[t>>2]=27560;z=g+36|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;k[z+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,t|0,f|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(f);Yua(z);Ava(t);A=E;C=D;break}Yua(f);B=0;D=Ia(40,g|0,143951,43)|0;E=B;B=0;b:do if(!(E&1)?(B=0,Xa(239,D|0,0)|0,F=B,B=0,!(F&1)):0){F=Ab(20)|0;B=0;eb(502,h|0,82262,77);G=B;B=0;do if(!(G&1)){B=0;eb(502,j|0,149525,8);H=B;B=0;if(H&1){H=Rb()|0;I=Q;Yua(h);J=I;K=H;break}B=0;wa(510,m|0,t|0);H=B;B=0;if(H&1){H=Rb()|0;L=Q;M=H;N=1}else{B=0;ua(163,F|0,h|0,j|0,89,m|0);H=B;B=0;if(H&1)O=1;else{B=0;eb(503,F|0,1240,229);B=0;O=0}H=Rb()|0;I=Q;Yua(m);L=I;M=H;N=O}Yua(j);Yua(h);if(N){J=L;K=M}else{P=L;R=M;break b}}else{H=Rb()|0;J=Q;K=H}while(0);zb(F|0);P=J;R=K}else S=18;while(0);if((S|0)==18){D=Rb()|0;P=Q;R=D}k[g>>2]=27468;k[u>>2]=27488;k[t>>2]=27560;Yua(z);Ava(t);vva(u);T=P;U=R;Qb(U|0)}while(0);x=A;y=C;vva(u);Qb(y|0)}}while(0);y=k[w>>2]|0;C=a+8|0;if(!y){k[C>>2]=0;r=e;return}a=(k[C>>2]|0)==0;if(s){i[k[b>>2]>>0]=a&1;s=(k[b>>2]|0)+1|0;k[b>>2]=s;if(a){r=e;return}TEa(s|0,k[C>>2]|0,k[w>>2]<<2|0)|0;k[b>>2]=(k[b>>2]|0)+(k[w>>2]<<2);r=e;return}switch(d|0){case 2:{d=(k[c>>2]|0)+1|0;k[c>>2]=d;if(a){r=e;return}k[c>>2]=d+(k[w>>2]<<2);r=e;return}case 1:{w=k[b>>2]|0;d=i[w>>0]|0;k[b>>2]=w+1;if(d&1){r=e;return}d=Rqa(y>>>0>1073741823?-1:y<<2)|0;k[C>>2]=d;C=k[b>>2]|0;w=y<<2;TEa(d|0,C|0,w|0)|0;k[b>>2]=C+w;r=e;return}default:{e=n+56|0;w=n+4|0;k[n>>2]=27524;k[e>>2]=27544;B=0;wa(508,n+56|0,w|0);C=B;B=0;if(C&1){C=Rb()|0;V=Q;W=C;vva(e);Qb(W|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[e>>2]=27488;B=0;va(448,w|0);C=B;B=0;do if(C&1){b=Rb()|0;X=Q;Y=b}else{k[w>>2]=27560;b=n+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[n+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,w|0,f|0);d=B;B=0;if(d&1){d=Rb()|0;y=Q;Yua(f);Yua(b);Ava(w);X=y;Y=d;break}Yua(f);B=0;d=Ia(40,n|0,143951,43)|0;y=B;B=0;c:do if(!(y&1)?(B=0,Xa(239,d|0,0)|0,c=B,B=0,!(c&1)):0){c=Ab(20)|0;B=0;eb(502,o|0,82262,77);a=B;B=0;do if(!(a&1)){B=0;eb(502,p|0,149525,8);s=B;B=0;if(s&1){s=Rb()|0;A=Q;Yua(o);Z=A;_=s;break}B=0;wa(510,q|0,w|0);s=B;B=0;if(s&1){s=Rb()|0;$=1;aa=Q;ba=s}else{B=0;ua(163,c|0,o|0,p|0,94,q|0);s=B;B=0;if(s&1)ca=1;else{B=0;eb(503,c|0,1240,229);B=0;ca=0}s=Rb()|0;A=Q;Yua(q);$=ca;aa=A;ba=s}Yua(p);Yua(o);if($){Z=aa;_=ba}else{da=aa;ea=ba;break c}}else{s=Rb()|0;Z=Q;_=s}while(0);zb(c|0);da=Z;ea=_}else S=49;while(0);if((S|0)==49){d=Rb()|0;da=Q;ea=d}k[n>>2]=27468;k[e>>2]=27488;k[w>>2]=27560;Yua(b);Ava(w);vva(e);T=da;U=ea;Qb(U|0)}while(0);V=X;W=Y;vva(e);Qb(W|0)}}}function _P(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;d=k[a+12>>2]|0;if(d){e=Rqa(d>>>0>1073741823?-1:d<<2)|0;f=k[a+8>>2]|0;if(!f)yb(142353,85118,137,142345);else{a=0;do{k[e+(a<<2)>>2]=k[f+(a<<2)>>2];a=a+1|0}while((a|0)!=(d|0));g=e}}else g=0;if(!c){k[b>>2]=g;return}k[c>>2]=d;k[b>>2]=g;return}function $P(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=a+8|0;e=k[d>>2]|0;if(e)Tqa(e);k[d>>2]=0;if(!c){k[d>>2]=0;f=a+12|0;k[f>>2]=c;return}e=Rqa(c>>>0>1073741823?-1:c<<2)|0;k[d>>2]=e;if(!b)yb(142353,85118,137,142345);TEa(e|0,b|0,c<<2|0)|0;f=a+12|0;k[f>>2]=c;return}function aQ(a){a=a|0;return k[a+4>>2]|0}function bQ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86577,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82340,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,44,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function cQ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85796,25)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82340,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,45,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function dQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,82481,23)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82340,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,47,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function eQ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86549,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82340,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,48,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function fQ(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;b=r;r=r+192|0;d=b+176|0;e=b+40|0;f=b+24|0;g=b+12|0;h=b;b=e+56|0;i=e+4|0;k[e>>2]=27524;k[b>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(b);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[b>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,86115,6)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,k[a+4>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,86504,44)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,82340,87);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,86325,17);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,f|0,g|0,49,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}while(0);l=o;m=p;vva(b);Qb(m|0)}function gQ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86480,23)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82340,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,50,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function hQ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86450,29)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82340,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,51,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function iQ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,82428,52)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82340,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,52,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function jQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86416,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82340,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,53,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function kQ(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;f=e+12|0;g=e;e=c+56|0;h=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(e);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;p=Ia(40,c|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85695,29)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,b|0,82340,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(b);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,b|0,f|0,54,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(b);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}function lQ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86364,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82340,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,55,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function mQ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86343,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82340,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,56,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function nQ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85673,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82340,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,57,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function oQ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85648,24)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82340,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,58,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function pQ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85625,22)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82340,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,60,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function qQ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85601,23)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82340,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,61,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function rQ(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;c=e+56|0;i=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(c);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,86115,6)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,k[a+4>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,85579,21)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,82340,87);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,86106,8);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,f|0,g|0,62,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}while(0);l=o;m=p;vva(c);Qb(m|0)}function sQ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86273,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82340,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,63,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function tQ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86245,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82340,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,64,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function uQ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,84826,35)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82340,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,65,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function vQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,84826,35)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82340,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,66,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function wQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85485,28)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82340,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,68,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function xQ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86169,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82340,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,69,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function yQ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86150,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82340,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,70,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function zQ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85465,19)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82340,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,71,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function AQ(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;f=e+12|0;g=e;e=c+56|0;h=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(e);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;p=Ia(40,c|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85340,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,b|0,82340,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(b);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,b|0,f|0,72,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(b);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}function BQ(a,b){a=a|0;b=b|0;k[a+4>>2]=b;return}function CQ(a){a=a|0;k[a>>2]=34904;return}function DQ(a){a=a|0;var b=0;k[a>>2]=34904;b=a+8|0;a=k[b>>2]|0;if(a)Tqa(a);k[b>>2]=0;return}function EQ(a){a=a|0;var b=0;k[a>>2]=34904;b=k[a+8>>2]|0;if(!b){Sqa(a);return}Tqa(b);Sqa(a);return}function FQ(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;b=r;r=r+464|0;c=b+452|0;d=b+304|0;e=b+440|0;f=b+152|0;g=b+288|0;h=b+16|0;i=b;j=d+56|0;l=d+4|0;k[d>>2]=27524;k[j>>2]=27544;B=0;wa(508,d+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(j);Qb(o|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[j>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){p=Rb()|0;q=Q;s=p}else{k[l>>2]=27560;p=d+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,l|0,c|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(c);Yua(p);Ava(l);q=u;s=t;break}Yua(c);B=0;Ia(40,d|0,82519,13)|0;t=B;B=0;do if(!(t&1)?(B=0,wa(510,e|0,l|0),u=B,B=0,!(u&1)):0){B=0;ya(424,e|0)|0;u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}Yua(e);k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);u=f+56|0;v=f+4|0;k[f>>2]=27524;k[u>>2]=27544;B=0;wa(508,f+56|0,v|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;A=y;vva(u);Qb(A|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[u>>2]=27488;B=0;va(448,v|0);y=B;B=0;do if(y&1){C=Rb()|0;D=Q;E=C}else{k[v>>2]=27560;C=f+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,v|0,c|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(c);Yua(C);Ava(v);D=G;E=F;break}Yua(c);B=0;F=Ia(40,f|0,85228,9)|0;G=B;B=0;do if((((((!(G&1)?(H=a+4|0,B=0,I=Xa(242,F|0,k[H>>2]|0)|0,J=B,B=0,!(J&1)):0)?(B=0,J=Ia(40,I|0,144166,2)|0,I=B,B=0,!(I&1)):0)?(B=0,I=ya(427,k[H>>2]|0)|0,H=B,B=0,!(H&1)):0)?(H=Lta(I)|0,B=0,K=Ia(40,J|0,I|0,H|0)|0,H=B,B=0,!(H&1)):0)?(B=0,Ia(40,K|0,145593,2)|0,K=B,B=0,!(K&1)):0)?(B=0,wa(510,g|0,v|0),K=B,B=0,!(K&1)):0){B=0;ya(424,g|0)|0;K=B;B=0;if(K&1){K=Rb()|0;H=Q;Yua(g);L=H;M=K;break}Yua(g);k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(C);Ava(v);vva(u);K=h+56|0;H=h+4|0;k[h>>2]=27524;k[K>>2]=27544;B=0;wa(508,h+56|0,H|0);I=B;B=0;if(I&1){I=Rb()|0;N=Q;O=I;vva(K);Qb(O|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[K>>2]=27488;B=0;va(448,H|0);I=B;B=0;do if(I&1){J=Rb()|0;P=Q;R=J}else{k[H>>2]=27560;J=h+36|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;k[J+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,H|0,c|0);S=B;B=0;if(S&1){S=Rb()|0;T=Q;Yua(c);Yua(J);Ava(H);P=T;R=S;break}Yua(c);B=0;S=Ia(40,h|0,83531,16)|0;T=B;B=0;do if(!(T&1)){B=0;U=Xa(242,S|0,k[a+12>>2]|0)|0;V=B;B=0;if(V&1){W=50;break}B=0;V=Ia(40,U|0,83548,1)|0;U=B;B=0;if(U&1){W=50;break}B=0;U=Xa(242,V|0,k[a+16>>2]|0)|0;V=B;B=0;if(V&1){W=50;break}B=0;Ia(40,U|0,149177,1)|0;U=B;B=0;if(U&1){W=50;break}B=0;wa(510,i|0,H|0);U=B;B=0;if(U&1){W=50;break}B=0;ya(424,i|0)|0;U=B;B=0;if(U&1){U=Rb()|0;V=Q;Yua(i);X=V;Y=U;break}else{Yua(i);k[h>>2]=27468;k[K>>2]=27488;k[H>>2]=27560;Yua(J);Ava(H);vva(K);r=b;return}}else W=50;while(0);if((W|0)==50){S=Rb()|0;X=Q;Y=S}k[h>>2]=27468;k[K>>2]=27488;k[H>>2]=27560;Yua(J);Ava(H);vva(K);Z=X;_=Y;Qb(_|0)}while(0);N=P;O=R;vva(K);Qb(O|0)}else W=47;while(0);if((W|0)==47){F=Rb()|0;L=Q;M=F}k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(C);Ava(v);vva(u);Z=L;_=M;Qb(_|0)}while(0);z=D;A=E;vva(u);Qb(A|0)}else W=44;while(0);if((W|0)==44){t=Rb()|0;w=Q;x=t}k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);Z=w;_=x;Qb(_|0)}while(0);n=q;o=s;vva(j);Qb(o|0)}function GQ(a){a=a|0;return 693}function HQ(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=Qqa(20)|0;c=k[a+4>>2]|0;d=k[a+8>>2]|0;e=k[a+12>>2]|0;f=k[a+16>>2]|0;k[b>>2]=34904;k[b+4>>2]=c;k[b+12>>2]=e;k[b+16>>2]=f;c=ma(f,e)|0;B=0;e=ya(422,(c>>>0>1073741823?-1:c<<2)|0)|0;f=B;B=0;if(f&1){g=Rb()|0;h=Q;Sqa(b);Qb(g|0)}k[b+8>>2]=e;if(!d){B=0;ib(283,142353,85118,137,142345);B=0;g=Rb()|0;h=Q;Sqa(b);Qb(g|0)}if(!c)return b|0;TEa(e|0,d|0,c<<2|0)|0;return b|0}function IQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;switch(d|0){case 0:{d=k[b>>2]|0;i[d>>0]=181;i[d+1>>0]=2;i[d+2>>0]=0;i[d+3>>0]=0;d=(k[b>>2]|0)+4|0;k[b>>2]=d;n=a+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;d=a+12|0;n=l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24;i[o>>0]=n;i[o+1>>0]=n>>8;i[o+2>>0]=n>>16;i[o+3>>0]=n>>24;n=(k[b>>2]|0)+4|0;k[b>>2]=n;o=a+16|0;p=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[n>>0]=p;i[n+1>>0]=p>>8;i[n+2>>0]=p>>16;i[n+3>>0]=p>>24;p=(k[b>>2]|0)+4|0;k[b>>2]=p;n=a+8|0;q=(k[n>>2]|0)==0;i[p>>0]=q&1;p=(k[b>>2]|0)+1|0;k[b>>2]=p;if(q){r=e;return}TEa(p|0,k[n>>2]|0,ma(k[d>>2]<<2,k[o>>2]|0)|0)|0;n=ma(k[d>>2]<<2,k[o>>2]|0)|0;k[b>>2]=(k[b>>2]|0)+n;r=e;return}case 2:{n=(k[a+8>>2]|0)==0;o=(k[c>>2]|0)+17|0;k[c>>2]=o;if(n){r=e;return}n=(ma(k[a+12>>2]<<2,k[a+16>>2]|0)|0)+o|0;k[c>>2]=n;r=e;return}case 1:{n=(k[b>>2]|0)+4|0;k[b>>2]=n;c=a+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[c>>0]=o;i[c+1>>0]=o>>8;i[c+2>>0]=o>>16;i[c+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;c=a+12|0;n=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[c>>0]=n;i[c+1>>0]=n>>8;i[c+2>>0]=n>>16;i[c+3>>0]=n>>24;c=(k[b>>2]|0)+4|0;k[b>>2]=c;o=a+16|0;d=l[c>>0]|l[c+1>>0]<<8|l[c+2>>0]<<16|l[c+3>>0]<<24;i[o>>0]=d;i[o+1>>0]=d>>8;i[o+2>>0]=d>>16;i[o+3>>0]=d>>24;o=k[b>>2]|0;c=o+4|0;k[b>>2]=c;p=i[c>>0]|0;k[b>>2]=o+5;if(p&1){r=e;return}p=ma(d,n)|0;o=Rqa(p>>>0>1073741823?-1:p<<2)|0;k[a+8>>2]=o;a=k[b>>2]|0;p=ma(n<<2,d)|0;TEa(o|0,a|0,p|0)|0;k[b>>2]=a+p;r=e;return}default:{e=g+56|0;p=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,p|0);a=B;B=0;if(a&1){a=Rb()|0;s=Q;t=a;vva(e);Qb(t|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,p|0);a=B;B=0;do if(a&1){b=Rb()|0;u=Q;v=b}else{k[p>>2]=27560;b=g+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,p|0,f|0);o=B;B=0;if(o&1){o=Rb()|0;d=Q;Yua(f);Yua(b);Ava(p);u=d;v=o;break}Yua(f);B=0;o=Ia(40,g|0,143951,43)|0;d=B;B=0;if(!(d&1)?(B=0,Xa(239,o|0,0)|0,o=B,B=0,!(o&1)):0){o=Ab(20)|0;B=0;eb(502,h|0,82533,77);d=B;B=0;do if(!(d&1)){B=0;eb(502,j|0,149525,8);n=B;B=0;if(n&1){n=Rb()|0;c=Q;Yua(h);w=c;x=n;break}B=0;wa(510,m|0,p|0);n=B;B=0;if(n&1){n=Rb()|0;y=Q;z=n;A=1}else{B=0;ua(163,o|0,h|0,j|0,77,m|0);n=B;B=0;if(n&1)C=1;else{B=0;eb(503,o|0,1240,229);B=0;C=0}n=Rb()|0;c=Q;Yua(m);y=c;z=n;A=C}Yua(j);Yua(h);if(A){w=y;x=z}else{D=y;E=z;k[g>>2]=27468;k[e>>2]=27488;k[p>>2]=27560;Yua(b);Ava(p);vva(e);Qb(E|0)}}else{n=Rb()|0;w=Q;x=n}while(0);zb(o|0);D=w;E=x;k[g>>2]=27468;k[e>>2]=27488;k[p>>2]=27560;Yua(b);Ava(p);vva(e);Qb(E|0)}d=Rb()|0;D=Q;E=d;k[g>>2]=27468;k[e>>2]=27488;k[p>>2]=27560;Yua(b);Ava(p);vva(e);Qb(E|0)}while(0);s=u;t=v;vva(e);Qb(t|0)}}}function JQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=k[a+12>>2]|0;f=a+16|0;g=ma(k[f>>2]|0,e)|0;h=Rqa(g>>>0>1073741823?-1:g<<2)|0;i=k[a+8>>2]|0;if(!i)yb(142353,85118,137,142345);if(g){a=0;do{k[h+(a<<2)>>2]=k[i+(a<<2)>>2];a=a+1|0}while((a|0)!=(g|0))}if(c)k[c>>2]=e;if(!d){k[b>>2]=h;return}k[d>>2]=k[f>>2];k[b>>2]=h;return}function KQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;e=a+8|0;f=k[e>>2]|0;if(f)Tqa(f);f=ma(d,c)|0;g=Rqa(f>>>0>1073741823?-1:f<<2)|0;k[e>>2]=g;if(!b)yb(142353,85118,137,142345);if(f)TEa(g|0,b|0,f<<2|0)|0;k[a+12>>2]=c;k[a+16>>2]=d;return}function LQ(a){a=a|0;return k[a+4>>2]|0}function MQ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86577,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82611,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,44,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function NQ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85796,25)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82611,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,45,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function OQ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85760,35)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82611,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,46,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function PQ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86549,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82611,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,48,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function QQ(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;b=r;r=r+192|0;d=b+176|0;e=b+40|0;f=b+24|0;g=b+12|0;h=b;b=e+56|0;i=e+4|0;k[e>>2]=27524;k[b>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(b);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[b>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,86115,6)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,k[a+4>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,86504,44)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,82611,87);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,86325,17);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,f|0,g|0,49,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}while(0);l=o;m=p;vva(b);Qb(m|0)}function RQ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86480,23)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82611,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,50,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function SQ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86450,29)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82611,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,51,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function TQ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86416,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82611,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,52,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function UQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85695,29)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82611,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,53,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function VQ(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;f=e+12|0;g=e;e=c+56|0;h=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(e);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;p=Ia(40,c|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85695,29)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,b|0,82611,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(b);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,b|0,f|0,54,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(b);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}function WQ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86364,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82611,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,55,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function XQ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86343,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82611,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,56,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function YQ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85673,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82611,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,57,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function ZQ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85648,24)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82611,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,58,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function _Q(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85625,22)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82611,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,60,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function $Q(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85601,23)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82611,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,61,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function aR(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;c=e+56|0;i=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(c);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,86115,6)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,k[a+4>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,85579,21)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,82611,87);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,86106,8);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,f|0,g|0,62,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}while(0);l=o;m=p;vva(c);Qb(m|0)}function bR(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86273,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82611,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,63,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function cR(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86245,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82611,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,64,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function dR(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85543,35)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82611,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,65,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function eR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85543,35)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82611,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,66,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function fR(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85514,28)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82611,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,67,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function gR(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86169,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82611,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,69,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function hR(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86150,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82611,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,70,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function iR(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85465,19)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82611,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,71,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function jR(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;f=e+12|0;g=e;e=c+56|0;h=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(e);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;p=Ia(40,c|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85340,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,b|0,82611,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(b);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,b|0,f|0,72,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(b);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}function kR(a,b){a=a|0;b=b|0;k[a+4>>2]=b;return}function lR(a){a=a|0;k[a>>2]=35056;return}function mR(a,b,c){a=a|0;b=b|0;c=+c;k[a>>2]=35056;k[a+4>>2]=b;p[a+8>>3]=c;return}function nR(a){a=a|0;k[a>>2]=35056;return}function oR(a){a=a|0;Sqa(a);return}function pR(a){a=a|0;qR(a);return}function qR(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0;b=r;r=r+176|0;c=b+152|0;d=b+16|0;e=b;f=d+56|0;g=d+4|0;k[d>>2]=27524;k[f>>2]=27544;B=0;wa(508,d+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(f);Qb(j|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[f>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=d+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;q=Q;Yua(c);Yua(l);Ava(g);m=q;n=o;break}Yua(c);k[d+(k[(k[d>>2]|0)+-12>>2]|0)+12>>2]=22;B=0;o=Ia(40,d|0,82713,15)|0;q=B;B=0;if((((((!(q&1)?(k[o+(k[(k[o>>2]|0)+-12>>2]|0)+12>>2]=35,q=o+(k[(k[o>>2]|0)+-12>>2]|0)+4|0,k[q>>2]=k[q>>2]&-177|32,B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,o|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,149175,1)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Sa(1,s|0,+(+p[a+8>>3]))|0,s=B,B=0,!(s&1)):0)?(B=0,Ia(40,t|0,149177,1)|0,t=B,B=0,!(t&1)):0)?(B=0,wa(510,e|0,g|0),t=B,B=0,!(t&1)):0){B=0;ya(424,e|0)|0;t=B;B=0;if(!(t&1)){Yua(e);k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);r=b;return}t=Rb()|0;s=Q;Yua(e);u=s;v=t;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(v|0)}t=Rb()|0;u=Q;v=t;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(v|0)}while(0);i=m;j=n;vva(f);Qb(j|0)}function rR(a){a=a|0;return 566}function sR(a){a=a|0;var b=0,c=0,d=0.0;b=Qqa(16)|0;c=k[a+4>>2]|0;d=+p[a+8>>3];k[b>>2]=35056;k[b+4>>2]=c;p[b+8>>3]=d;return b|0}function tR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;switch(d|0){case 0:{d=k[b>>2]|0;i[d>>0]=54;i[d+1>>0]=2;i[d+2>>0]=0;i[d+3>>0]=0;d=(k[b>>2]|0)+4|0;k[b>>2]=d;n=a+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;d=a+8|0;n=d;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d+4|0;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o;o=n;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=n+4|0;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;k[b>>2]=(k[b>>2]|0)+8;r=e;return}case 2:{k[c>>2]=(k[c>>2]|0)+16;r=e;return}case 1:{c=(k[b>>2]|0)+4|0;k[b>>2]=c;d=a+4|0;q=l[c>>0]|l[c+1>>0]<<8|l[c+2>>0]<<16|l[c+3>>0]<<24;i[d>>0]=q;i[d+1>>0]=q>>8;i[d+2>>0]=q>>16;i[d+3>>0]=q>>24;q=(k[b>>2]|0)+4|0;k[b>>2]=q;d=a+8|0;i[t>>0]=i[q>>0];i[t+1>>0]=i[q+1>>0];i[t+2>>0]=i[q+2>>0];i[t+3>>0]=i[q+3>>0];i[t+4>>0]=i[q+4>>0];i[t+5>>0]=i[q+5>>0];i[t+6>>0]=i[q+6>>0];i[t+7>>0]=i[q+7>>0];p[t>>3]=+p[t>>3];i[d>>0]=i[t>>0];i[d+1>>0]=i[t+1>>0];i[d+2>>0]=i[t+2>>0];i[d+3>>0]=i[t+3>>0];i[d+4>>0]=i[t+4>>0];i[d+5>>0]=i[t+5>>0];i[d+6>>0]=i[t+6>>0];i[d+7>>0]=i[t+7>>0];k[b>>2]=(k[b>>2]|0)+8;r=e;return}default:{e=g+56|0;b=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,b|0);d=B;B=0;if(d&1){d=Rb()|0;s=Q;u=d;vva(e);Qb(u|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,b|0);d=B;B=0;do if(d&1){q=Rb()|0;v=Q;w=q}else{k[b>>2]=27560;q=g+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,b|0,f|0);a=B;B=0;if(a&1){a=Rb()|0;c=Q;Yua(f);Yua(q);Ava(b);v=c;w=a;break}Yua(f);B=0;a=Ia(40,g|0,143951,43)|0;c=B;B=0;if(!(c&1)?(B=0,Xa(239,a|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,h|0,82729,77);c=B;B=0;do if(!(c&1)){B=0;eb(502,j|0,149525,8);n=B;B=0;if(n&1){n=Rb()|0;o=Q;Yua(h);x=o;y=n;break}B=0;wa(510,m|0,b|0);n=B;B=0;if(n&1){n=Rb()|0;z=n;A=Q;C=1}else{B=0;ua(163,a|0,h|0,j|0,56,m|0);n=B;B=0;if(n&1)D=1;else{B=0;eb(503,a|0,1240,229);B=0;D=0}n=Rb()|0;o=Q;Yua(m);z=n;A=o;C=D}Yua(j);Yua(h);if(C){x=A;y=z}else{E=A;F=z;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(q);Ava(b);vva(e);Qb(F|0)}}else{o=Rb()|0;x=Q;y=o}while(0);zb(a|0);E=x;F=y;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(q);Ava(b);vva(e);Qb(F|0)}c=Rb()|0;E=Q;F=c;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(q);Ava(b);vva(e);Qb(F|0)}while(0);s=v;u=w;vva(e);Qb(u|0)}}}function uR(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,82807,21)|0;q=B;B=0;if((((((!(q&1)?(q=a+4|0,B=0,s=Xa(242,p|0,k[q>>2]|0)|0,p=B,B=0,!(p&1)):0)?(B=0,p=Ia(40,s|0,144166,2)|0,s=B,B=0,!(s&1)):0)?(B=0,s=ya(427,k[q>>2]|0)|0,q=B,B=0,!(q&1)):0)?(q=Lta(s)|0,B=0,t=Ia(40,p|0,s|0,q|0)|0,q=B,B=0,!(q&1)):0)?(B=0,q=Ia(40,t|0,82829,26)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,e|0,82729,77);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);s=B;B=0;if(s&1){s=Rb()|0;p=Q;Yua(e);u=p;v=s;break}B=0;wa(510,g|0,h|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,q|0,e|0,f|0,66,g|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,q|0,1240,229);B=0;z=0}s=Rb()|0;p=Q;Yua(g);w=p;x=s;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(q|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function vR(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,82807,21)|0;q=B;B=0;if((((((!(q&1)?(q=a+4|0,B=0,s=Xa(242,p|0,k[q>>2]|0)|0,p=B,B=0,!(p&1)):0)?(B=0,p=Ia(40,s|0,144166,2)|0,s=B,B=0,!(s&1)):0)?(B=0,s=ya(427,k[q>>2]|0)|0,q=B,B=0,!(q&1)):0)?(q=Lta(s)|0,B=0,t=Ia(40,p|0,s|0,q|0)|0,q=B,B=0,!(q&1)):0)?(B=0,q=Ia(40,t|0,82856,23)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,e|0,82729,77);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);s=B;B=0;if(s&1){s=Rb()|0;p=Q;Yua(e);u=p;v=s;break}B=0;wa(510,g|0,h|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,q|0,e|0,f|0,70,g|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,q|0,1240,229);B=0;z=0}s=Rb()|0;p=Q;Yua(g);w=p;x=s;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(q|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function wR(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,82807,21)|0;q=B;B=0;if((((((!(q&1)?(q=a+4|0,B=0,s=Xa(242,p|0,k[q>>2]|0)|0,p=B,B=0,!(p&1)):0)?(B=0,p=Ia(40,s|0,144166,2)|0,s=B,B=0,!(s&1)):0)?(B=0,s=ya(427,k[q>>2]|0)|0,q=B,B=0,!(q&1)):0)?(q=Lta(s)|0,B=0,t=Ia(40,p|0,s|0,q|0)|0,q=B,B=0,!(q&1)):0)?(B=0,q=Ia(40,t|0,82880,36)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,e|0,82729,77);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);s=B;B=0;if(s&1){s=Rb()|0;p=Q;Yua(e);u=p;v=s;break}B=0;wa(510,g|0,h|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,q|0,e|0,f|0,74,g|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,q|0,1240,229);B=0;z=0}s=Rb()|0;p=Q;Yua(g);w=p;x=s;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(q|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function xR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,82807,21)|0;q=B;B=0;if((((((!(q&1)?(q=a+4|0,B=0,s=Xa(242,p|0,k[q>>2]|0)|0,p=B,B=0,!(p&1)):0)?(B=0,p=Ia(40,s|0,144166,2)|0,s=B,B=0,!(s&1)):0)?(B=0,s=ya(427,k[q>>2]|0)|0,q=B,B=0,!(q&1)):0)?(q=Lta(s)|0,B=0,t=Ia(40,p|0,s|0,q|0)|0,q=B,B=0,!(q&1)):0)?(B=0,q=Ia(40,t|0,82880,36)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,e|0,82729,77);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);s=B;B=0;if(s&1){s=Rb()|0;p=Q;Yua(e);u=p;v=s;break}B=0;wa(510,g|0,h|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,q|0,e|0,f|0,78,g|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,q|0,1240,229);B=0;z=0}s=Rb()|0;p=Q;Yua(g);w=p;x=s;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(q|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function yR(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,82807,21)|0;q=B;B=0;if((((((!(q&1)?(q=a+4|0,B=0,s=Xa(242,p|0,k[q>>2]|0)|0,p=B,B=0,!(p&1)):0)?(B=0,p=Ia(40,s|0,144166,2)|0,s=B,B=0,!(s&1)):0)?(B=0,s=ya(427,k[q>>2]|0)|0,q=B,B=0,!(q&1)):0)?(q=Lta(s)|0,B=0,t=Ia(40,p|0,s|0,q|0)|0,q=B,B=0,!(q&1)):0)?(B=0,q=Ia(40,t|0,82917,38)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,e|0,82729,77);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);s=B;B=0;if(s&1){s=Rb()|0;p=Q;Yua(e);u=p;v=s;break}B=0;wa(510,g|0,h|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,q|0,e|0,f|0,82,g|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,q|0,1240,229);B=0;z=0}s=Rb()|0;p=Q;Yua(g);w=p;x=s;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(q|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function zR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,82807,21)|0;q=B;B=0;if((((((!(q&1)?(q=a+4|0,B=0,s=Xa(242,p|0,k[q>>2]|0)|0,p=B,B=0,!(p&1)):0)?(B=0,p=Ia(40,s|0,144166,2)|0,s=B,B=0,!(s&1)):0)?(B=0,s=ya(427,k[q>>2]|0)|0,q=B,B=0,!(q&1)):0)?(q=Lta(s)|0,B=0,t=Ia(40,p|0,s|0,q|0)|0,q=B,B=0,!(q&1)):0)?(B=0,q=Ia(40,t|0,82917,38)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,e|0,82729,77);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);s=B;B=0;if(s&1){s=Rb()|0;p=Q;Yua(e);u=p;v=s;break}B=0;wa(510,g|0,h|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,q|0,e|0,f|0,86,g|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,q|0,1240,229);B=0;z=0}s=Rb()|0;p=Q;Yua(g);w=p;x=s;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(q|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function AR(a){a=a|0;return k[a+4>>2]|0}function BR(a,b){a=a|0;b=b|0;p[b>>3]=+p[a+8>>3];return}
function m5(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;b=r;r=r+512|0;c=b+492|0;d=b+344|0;e=b+480|0;f=b+332|0;g=b+320|0;h=b+184|0;i=b+36|0;j=b+48|0;l=b+24|0;m=b+12|0;n=b;o=k[a>>2]|0;p=k[o+8>>2]|0;if(!p){q=d+56|0;s=d+4|0;k[d>>2]=27524;k[q>>2]=27544;B=0;wa(508,d+56|0,s|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;v=t;vva(q);Qb(v|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[q>>2]=27488;B=0;va(448,s|0);t=B;B=0;do if(t&1){w=Rb()|0;x=Q;y=w}else{k[s>>2]=27560;w=d+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,s|0,c|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(c);Yua(w);Ava(s);x=A;y=z;break}Yua(c);B=0;z=Ia(40,d|0,123992,7)|0;A=B;B=0;a:do if(!(A&1)?(B=0,Xa(239,z|0,0)|0,C=B,B=0,!(C&1)):0){C=Ab(20)|0;B=0;eb(502,e|0,121503,60);D=B;B=0;do if(!(D&1)){B=0;eb(502,f|0,124e3,18);E=B;B=0;if(E&1){E=Rb()|0;F=Q;Yua(e);G=E;H=F;break}B=0;wa(510,g|0,s|0);F=B;B=0;if(F&1){F=Rb()|0;I=F;J=Q;K=1}else{B=0;ua(163,C|0,e|0,f|0,2963,g|0);F=B;B=0;if(F&1)L=1;else{B=0;eb(503,C|0,1240,229);B=0;L=0}F=Rb()|0;E=Q;Yua(g);I=F;J=E;K=L}Yua(f);Yua(e);if(K){G=I;H=J}else{M=I;N=J;break a}}else{E=Rb()|0;G=E;H=Q}while(0);zb(C|0);M=G;N=H}else O=17;while(0);if((O|0)==17){z=Rb()|0;M=z;N=Q}k[d>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(q);P=M;R=N;Qb(P|0)}while(0);u=x;v=y;vva(q);Qb(v|0)}v=Rqa(p>>>0>1073741823?-1:p<<2)|0;if((p|0)>0)WEa(v|0,0,((p|0)>1?p:1)<<2|0)|0;p=a+52|0;if((k[p>>2]|0)>0){q=a+16|0;y=k[q>>2]|0;x=v+((Epa(o,k[y+12>>2]|0)|0)<<2)|0;k[x>>2]=y;y=k[p>>2]|0;if((y|0)>1){x=1;do{o=k[q>>2]|0;u=v+((Epa(k[a>>2]|0,k[o+(x*24|0)+12>>2]|0)|0)<<2)|0;k[u>>2]=o+(x*24|0);x=x+1|0;o=k[p>>2]|0}while((x|0)<(o|0));S=o}else S=y;if((S|0)>0){S=a+16|0;y=0;do{x=k[S>>2]|0;q=x+(y*24|0)|0;o=k[x+(y*24|0)+12>>2]|0;b:do if(!(ypa(k[o>>2]|0)|0)){x=o;u=0;do{N=k[x+56+(u<<2)>>2]|0;x=k[x+48+(u<<2)>>2]|0;M=v+((Epa(k[a>>2]|0,x)|0)<<2)|0;if(k[M>>2]|0)break b;u=1-N|0;N=v+((Epa(k[a>>2]|0,x)|0)<<2)|0;k[N>>2]=q}while((ypa(k[x+(u<<2)>>2]|0)|0)==0)}while(0);q=k[S>>2]|0;o=q+(y*24|0)|0;w=k[q+(y*24|0)+12>>2]|0;c:do if(!(ypa(k[w+4>>2]|0)|0)){q=w;u=1;do{x=k[q+56+(u<<2)>>2]|0;q=k[q+48+(u<<2)>>2]|0;C=v+((Epa(k[a>>2]|0,q)|0)<<2)|0;if(k[C>>2]|0)break c;u=1-x|0;x=v+((Epa(k[a>>2]|0,q)|0)<<2)|0;k[x>>2]=o}while((ypa(k[q+(u<<2)>>2]|0)|0)==0)}while(0);y=y+1|0}while((y|0)<(k[p>>2]|0))}}p=k[a>>2]|0;if((k[p+8>>2]|0)<=0){r=b;return v|0}y=h+56|0;S=h+4|0;o=h+56|0;w=h+128|0;u=h+132|0;q=h+36|0;x=h+52|0;C=p;p=0;N=0;while(1){if(!(k[v+(p<<2)>>2]|0)){M=N+1|0;if((M|0)<10){k[h>>2]=27524;k[y>>2]=27544;B=0;wa(508,o|0,S|0);s=B;B=0;if(s&1){O=44;break}k[w>>2]=0;k[u>>2]=-1;k[h>>2]=27468;k[y>>2]=27488;B=0;va(448,S|0);s=B;B=0;if(s&1){O=45;break}k[S>>2]=27560;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[x>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,S|0,c|0);s=B;B=0;if(s&1){O=43;break}Yua(c);B=0;s=Ia(40,h|0,124019,26)|0;d=B;B=0;if(d&1){O=54;break}B=0;d=Xa(253,s|0,p|0)|0;s=B;B=0;if(s&1){O=54;break}B=0;Ia(40,d|0,124046,21)|0;d=B;B=0;if(d&1){O=54;break}B=0;wa(510,i|0,S|0);d=B;B=0;if(d&1){O=54;break}B=0;ya(424,i|0)|0;d=B;B=0;if(d&1){O=55;break}Yua(i);k[h>>2]=27468;k[y>>2]=27488;k[S>>2]=27560;Yua(q);Ava(S);vva(y);T=k[a>>2]|0;U=M}else{T=C;U=M}}else{T=C;U=N}p=p+1|0;if((p|0)>=(k[T+8>>2]|0)){V=U;O=58;break}else{C=T;N=U}}if((O|0)==43){U=Rb()|0;N=Q;Yua(c);Yua(q);Ava(S);W=N;X=U;O=46}else if((O|0)==44){U=Rb()|0;Y=Q;Z=U;vva(y);Qb(Z|0)}else if((O|0)==45){U=Rb()|0;W=Q;X=U;O=46}else if((O|0)==54){U=Rb()|0;_=U;$=Q;O=56}else if((O|0)==55){U=Rb()|0;N=Q;Yua(i);_=U;$=N;O=56}else if((O|0)==58){if(!V){r=b;return v|0}v=j+56|0;b=j+4|0;k[j>>2]=27524;k[v>>2]=27544;B=0;wa(508,j+56|0,b|0);V=B;B=0;if(V&1){V=Rb()|0;aa=Q;ba=V;vva(v);Qb(ba|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[v>>2]=27488;B=0;va(448,b|0);V=B;B=0;do if(V&1){N=Rb()|0;ca=Q;da=N}else{k[b>>2]=27560;N=j+36|0;k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;k[N+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,b|0,c|0);U=B;B=0;if(U&1){U=Rb()|0;i=Q;Yua(c);Yua(N);Ava(b);ca=i;da=U;break}Yua(c);B=0;U=Ia(40,j|0,124068,9)|0;i=B;B=0;d:do if(!(i&1)?(B=0,Xa(239,U|0,0)|0,T=B,B=0,!(T&1)):0){T=Ab(20)|0;B=0;eb(502,l|0,121503,60);C=B;B=0;do if(!(C&1)){B=0;eb(502,m|0,124e3,18);p=B;B=0;if(p&1){p=Rb()|0;a=Q;Yua(l);ea=a;fa=p;break}B=0;wa(510,n|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;ga=1;ha=p;ia=Q}else{B=0;ua(163,T|0,l|0,m|0,2996,n|0);p=B;B=0;if(p&1)ja=1;else{B=0;eb(503,T|0,1240,229);B=0;ja=0}p=Rb()|0;a=Q;Yua(n);ga=ja;ha=p;ia=a}Yua(m);Yua(l);if(ga){ea=ia;fa=ha}else{ka=ha;la=ia;break d}}else{a=Rb()|0;ea=Q;fa=a}while(0);zb(T|0);ka=fa;la=ea}else O=74;while(0);if((O|0)==74){U=Rb()|0;ka=U;la=Q}k[j>>2]=27468;k[v>>2]=27488;k[b>>2]=27560;Yua(N);Ava(b);vva(v);P=ka;R=la;Qb(P|0)}while(0);aa=ca;ba=da;vva(v);Qb(ba|0)}if((O|0)==46){Y=W;Z=X;vva(y);Qb(Z|0)}else if((O|0)==56){k[h>>2]=27468;k[y>>2]=27488;k[S>>2]=27560;Yua(q);Ava(S);vva(y);P=_;R=$;Qb(P|0)}return 0}function n5(a,b){a=a|0;b=b|0;return (b-(k[a+12>>2]|0)|0)/48|0|0}function o5(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0;e=r;r=r+720|0;f=e+700|0;g=e+8|0;h=e+688|0;i=e+676|0;l=e+664|0;m=e+528|0;n=e+512|0;o=e+228|0;p=e+216|0;q=e+376|0;s=e+204|0;t=e+192|0;u=e+180|0;v=e+240|0;w=e+168|0;x=e+156|0;y=e+144|0;z=e;if(!d){A=k[a+20>>2]|0;if(!A){C=g+56|0;D=g+4|0;k[g>>2]=27524;k[C>>2]=27544;B=0;wa(508,g+56|0,D|0);E=B;B=0;if(E&1){E=Rb()|0;F=Q;G=E;vva(C);Qb(G|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[C>>2]=27488;B=0;va(448,D|0);E=B;B=0;do if(E&1){H=Rb()|0;I=Q;J=H}else{k[D>>2]=27560;H=g+36|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;k[H+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,D|0,f|0);K=B;B=0;if(K&1){K=Rb()|0;L=Q;Yua(f);Yua(H);Ava(D);I=L;J=K;break}Yua(f);B=0;K=Ia(40,g|0,124078,55)|0;L=B;B=0;a:do if(!(L&1)?(B=0,Xa(239,K|0,0)|0,M=B,B=0,!(M&1)):0){M=Ab(20)|0;B=0;eb(502,h|0,121503,60);N=B;B=0;do if(!(N&1)){B=0;eb(502,i|0,124134,21);O=B;B=0;if(O&1){O=Rb()|0;P=Q;Yua(h);R=P;S=O;break}B=0;wa(510,l|0,D|0);O=B;B=0;if(O&1){O=Rb()|0;T=Q;U=O;V=1}else{B=0;ua(163,M|0,h|0,i|0,4042,l|0);O=B;B=0;if(O&1)W=1;else{B=0;eb(503,M|0,1240,229);B=0;W=0}O=Rb()|0;P=Q;Yua(l);T=P;U=O;V=W}Yua(i);Yua(h);if(V){R=T;S=U}else{X=T;Y=U;break a}}else{O=Rb()|0;R=Q;S=O}while(0);zb(M|0);X=R;Y=S}else Z=19;while(0);if((Z|0)==19){K=Rb()|0;X=Q;Y=K}k[g>>2]=27468;k[C>>2]=27488;k[D>>2]=27560;Yua(H);Ava(D);vva(C);_=X;$=Y;Qb($|0)}while(0);F=I;G=J;vva(C);Qb(G|0)}G=Ppa(A,k[b>>2]|0,k[b+4>>2]|0)|0;if(!G){A=m+56|0;C=m+4|0;k[m>>2]=27524;k[A>>2]=27544;B=0;wa(508,m+56|0,C|0);J=B;B=0;if(J&1){J=Rb()|0;aa=Q;ba=J;vva(A);Qb(ba|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[A>>2]=27488;B=0;va(448,C|0);J=B;B=0;do if(J&1){I=Rb()|0;ca=Q;da=I}else{k[C>>2]=27560;I=m+36|0;k[I>>2]=0;k[I+4>>2]=0;k[I+8>>2]=0;k[I+12>>2]=0;k[m+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,C|0,f|0);F=B;B=0;if(F&1){F=Rb()|0;Y=Q;Yua(f);Yua(I);Ava(C);ca=Y;da=F;break}Yua(f);B=0;F=Ia(40,m|0,124156,79)|0;Y=B;B=0;b:do if(!(Y&1)?(B=0,Xa(239,F|0,0)|0,X=B,B=0,!(X&1)):0){X=Ab(20)|0;B=0;eb(502,n|0,121503,60);D=B;B=0;do if(!(D&1)){B=0;eb(502,o|0,124134,21);S=B;B=0;if(S&1){S=Rb()|0;R=Q;Yua(n);ea=S;fa=R;break}B=0;wa(510,p|0,C|0);R=B;B=0;if(R&1){R=Rb()|0;ga=1;ha=Q;ia=R}else{B=0;ua(163,X|0,n|0,o|0,4048,p|0);R=B;B=0;if(R&1)ja=1;else{B=0;eb(503,X|0,1240,229);B=0;ja=0}R=Rb()|0;S=Q;Yua(p);ga=ja;ha=S;ia=R}Yua(o);Yua(n);if(ga){ea=ia;fa=ha}else{ka=ha;la=ia;break b}}else{R=Rb()|0;ea=R;fa=Q}while(0);zb(X|0);ka=fa;la=ea}else Z=43;while(0);if((Z|0)==43){F=Rb()|0;ka=Q;la=F}k[m>>2]=27468;k[A>>2]=27488;k[C>>2]=27560;Yua(I);Ava(C);vva(A);_=ka;$=la;Qb($|0)}while(0);aa=ca;ba=da;vva(A);Qb(ba|0)}ba=k[G+64>>2]|0;if(!ba){A=q+56|0;da=q+4|0;k[q>>2]=27524;k[A>>2]=27544;B=0;wa(508,q+56|0,da|0);ca=B;B=0;if(ca&1){ca=Rb()|0;ma=Q;na=ca;vva(A);Qb(na|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[A>>2]=27488;B=0;va(448,da|0);ca=B;B=0;do if(ca&1){aa=Rb()|0;oa=Q;pa=aa}else{k[da>>2]=27560;aa=q+36|0;k[aa>>2]=0;k[aa+4>>2]=0;k[aa+8>>2]=0;k[aa+12>>2]=0;k[q+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,da|0,f|0);la=B;B=0;if(la&1){la=Rb()|0;ka=Q;Yua(f);Yua(aa);Ava(da);oa=ka;pa=la;break}Yua(f);B=0;la=Ia(40,q|0,124236,43)|0;ka=B;B=0;c:do if(((!(ka&1)?(B=0,C=Xa(253,la|0,((G-(k[a+8>>2]|0)|0)/72|0)+1|0)|0,m=B,B=0,!(m&1)):0)?(B=0,m=Ia(40,C|0,124280,10)|0,C=B,B=0,!(C&1)):0)?(B=0,Xa(239,m|0,0)|0,m=B,B=0,!(m&1)):0){m=Ab(20)|0;B=0;eb(502,s|0,121503,60);C=B;B=0;do if(!(C&1)){B=0;eb(502,t|0,124134,21);ea=B;B=0;if(ea&1){ea=Rb()|0;fa=Q;Yua(s);qa=fa;ra=ea;break}B=0;wa(510,u|0,da|0);ea=B;B=0;if(ea&1){ea=Rb()|0;sa=1;ta=Q;xa=ea}else{B=0;ua(163,m|0,s|0,t|0,4049,u|0);ea=B;B=0;if(ea&1)ya=1;else{B=0;eb(503,m|0,1240,229);B=0;ya=0}ea=Rb()|0;fa=Q;Yua(u);sa=ya;ta=fa;xa=ea}Yua(t);Yua(s);if(sa){qa=ta;ra=xa}else{za=ta;Aa=xa;break c}}else{ea=Rb()|0;qa=Q;ra=ea}while(0);zb(m|0);za=qa;Aa=ra}else Z=69;while(0);if((Z|0)==69){la=Rb()|0;za=Q;Aa=la}k[q>>2]=27468;k[A>>2]=27488;k[da>>2]=27560;Yua(aa);Ava(da);vva(A);_=za;$=Aa;Qb($|0)}while(0);ma=oa;na=pa;vva(A);Qb(na|0)}else Ba=ba}else Ba=d;d=Ba+32|0;ba=k[d>>2]|0;na=k[d+4>>2]|0;d=b+4|0;d:do if((na|0)<0){A=0;pa=Ba;while(1){if(k[pa>>2]|0)if(!(k[pa+4>>2]|0))Ca=1;else Ca=(k[pa+8>>2]|0)!=0?-1:2;else Ca=0;oa=j[52950+(Ca<<1)>>1]|0;ma=j[52956+(Ca<<1)>>1]|0;Aa=k[pa+(oa<<2)>>2]|0;za=k[pa+(ma<<2)>>2]|0;da=k[b>>2]|0;q=(k[Aa>>2]|0)-da|0;ra=k[d>>2]|0;qa=(k[Aa+4>>2]|0)-ra|0;Aa=(k[za>>2]|0)-da|0;da=(k[za+4>>2]|0)-ra|0;ra=bFa(da|0,((da|0)<0)<<31>>31|0,q|0,((q|0)<0)<<31>>31|0)|0;q=Q;da=bFa(qa|0,((qa|0)<0)<<31>>31|0,Aa|0,((Aa|0)<0)<<31>>31|0)|0;Aa=REa(ra|0,q|0,da|0,Q|0)|0;da=c+(Ca<<3)|0;q=da;k[q>>2]=Aa;k[q+4>>2]=Q;q=c+(ma<<3)|0;k[q>>2]=-1;k[q+4>>2]=-1;q=c+(oa<<3)|0;k[q>>2]=-1;k[q+4>>2]=-1;q=da;da=k[q+4>>2]|0;if((da|0)>0|(da|0)==0&(k[q>>2]|0)>>>0>0){Da=pa;break}q=Z4(pa,j[52944+(Ca<<1)>>1]|0)|0;da=A+1|0;oa=q+32|0;ma=k[oa+4>>2]|0;if((ma|0)<0){A=da;pa=q}else{Ea=ma;Fa=k[oa>>2]|0;Ga=da;Ha=q;break d}}r=e;return Da|0}else{Ea=na;Fa=ba;Ga=0;Ha=Ba}while(0);Ba=k[Ha+4>>2]|0;ba=k[Ba>>2]|0;na=k[Ba+4>>2]|0;Ba=k[Ha+8>>2]|0;Ca=k[Ba+4>>2]|0;if(!((Ea|0)>0|(Ea|0)==0&Fa>>>0>0)){Da=Ha;r=e;return Da|0}Fa=(k[d>>2]|0)-na|0;Ea=(k[Ba>>2]|0)-ba|0;Ba=bFa(Fa|0,((Fa|0)<0)<<31>>31|0,Ea|0,((Ea|0)<0)<<31>>31|0)|0;Ea=Q;Fa=Ca-na|0;na=(k[b>>2]|0)-ba|0;ba=bFa(Fa|0,((Fa|0)<0)<<31>>31|0,na|0,((na|0)<0)<<31>>31|0)|0;na=REa(Ba|0,Ea|0,ba|0,Q|0)|0;ba=c+8|0;Ea=c+16|0;Ba=f+4|0;Fa=g+4|0;Ca=na;na=Q;pa=Ha+32|0;A=Ga;Ga=0;aa=Ha;while(1){Ha=A;A=A+1|0;if((Ha|0)>9998){Ja=A;Z=85;break}Ha=j[52944+(Ga<<1)>>1]|0;q=c+(Ha<<3)|0;da=q;k[da>>2]=Ca;k[da+4>>2]=na;da=j[52950+(Ha<<1)>>1]|0;oa=j[52956+(Ha<<1)>>1]|0;ma=k[aa+(Ha<<2)>>2]|0;Ha=k[ma>>2]|0;Aa=k[ma+4>>2]|0;ma=k[aa+(da<<2)>>2]|0;ra=(k[ma>>2]|0)-Ha|0;qa=(k[ma+4>>2]|0)-Aa|0;ma=(k[b>>2]|0)-Ha|0;Ha=(k[d>>2]|0)-Aa|0;Aa=bFa(Ha|0,((Ha|0)<0)<<31>>31|0,ra|0,((ra|0)<0)<<31>>31|0)|0;ra=Q;Ha=bFa(qa|0,((qa|0)<0)<<31>>31|0,ma|0,((ma|0)<0)<<31>>31|0)|0;ma=REa(Aa|0,ra|0,Ha|0,Q|0)|0;Ha=Q;ra=c+(oa<<3)|0;k[ra>>2]=ma;k[ra+4>>2]=Ha;ra=pa;oa=q;q=REa(k[ra>>2]|0,k[ra+4>>2]|0,k[oa>>2]|0,k[oa+4>>2]|0)|0;oa=REa(q|0,Q|0,ma|0,Ha|0)|0;Ha=c+(da<<3)|0;k[Ha>>2]=oa;k[Ha+4>>2]=Q;if((k[c+4>>2]|0)<0){k[f>>2]=0;Ka=1}else Ka=0;if((k[ba+4>>2]|0)<0){k[f+(Ka<<2)>>2]=1;La=Ka+1|0}else La=Ka;if((k[Ea+4>>2]|0)>=0)if(!La){Ma=Ca;Na=na;Oa=Ga;Pa=aa;Z=124;break}else Qa=La;else{k[f+(La<<2)>>2]=2;Qa=La+1|0}Ha=(Qa|0)==2;if(Ha?(Esa()|0)<1073741823:0){oa=k[f>>2]|0;k[f>>2]=k[Ba>>2];k[Ba>>2]=oa}oa=k[f>>2]|0;M4(g,aa,oa);da=H4(g)|0;if(Ha&(k[da+4>>2]|0)<0){da=k[Ba>>2]|0;M4(z,aa,da);Ha=z;ma=k[Ha>>2]|0;q=k[Ha+4>>2]|0;Ha=g;k[Ha>>2]=ma;k[Ha+4>>2]=q;Ra=ma;Sa=q;Ta=da}else{Ra=k[g>>2]|0;Sa=k[Fa>>2]|0;Ta=oa}oa=c+(j[52944+(Ta<<1)>>1]<<3)|0;da=REa(0,0,k[oa>>2]|0,k[oa+4>>2]|0)|0;oa=Q;pa=Ra+32|0;q=pa;ma=k[q>>2]|0;Ha=k[q+4>>2]|0;if(!((Ha|0)>0|(Ha|0)==0&ma>>>0>0)){Ua=Ha;Va=da;Wa=oa;Ya=ma;Za=Sa;_a=Ra;break}else{Ca=da;na=oa;Ga=Sa;aa=Ra}}if((Z|0)==85){Ra=v+56|0;aa=v+4|0;k[v>>2]=27524;k[Ra>>2]=27544;B=0;wa(508,v+56|0,aa|0);Sa=B;B=0;if(Sa&1){Sa=Rb()|0;$a=Q;ab=Sa;vva(Ra);Qb(ab|0)}k[v+128>>2]=0;k[v+132>>2]=-1;k[v>>2]=27468;k[Ra>>2]=27488;B=0;va(448,aa|0);Sa=B;B=0;do if(Sa&1){Ga=Rb()|0;bb=Q;cb=Ga}else{k[aa>>2]=27560;Ga=v+36|0;k[Ga>>2]=0;k[Ga+4>>2]=0;k[Ga+8>>2]=0;k[Ga+12>>2]=0;k[v+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,aa|0,f|0);na=B;B=0;if(na&1){na=Rb()|0;Ca=Q;Yua(f);Yua(Ga);Ava(aa);bb=Ca;cb=na;break}Yua(f);B=0;na=Ia(40,v|0,124291,49)|0;Ca=B;B=0;e:do if(((!(Ca&1)?(B=0,pa=Xa(242,na|0,Ja|0)|0,Ta=B,B=0,!(Ta&1)):0)?(B=0,Ta=Ia(40,pa|0,124341,2)|0,pa=B,B=0,!(pa&1)):0)?(B=0,Xa(239,Ta|0,0)|0,Ta=B,B=0,!(Ta&1)):0){Ta=Ab(20)|0;B=0;eb(502,w|0,121503,60);pa=B;B=0;do if(!(pa&1)){B=0;eb(502,x|0,124134,21);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;g=Q;Yua(w);db=g;fb=Fa;break}B=0;wa(510,y|0,aa|0);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;gb=1;hb=Q;ib=Fa}else{B=0;ua(163,Ta|0,w|0,x|0,4084,y|0);Fa=B;B=0;if(Fa&1)jb=1;else{B=0;eb(503,Ta|0,1240,229);B=0;jb=0}Fa=Rb()|0;g=Q;Yua(y);gb=jb;hb=g;ib=Fa}Yua(x);Yua(w);if(gb){db=hb;fb=ib}else{kb=hb;lb=ib;break e}}else{Fa=Rb()|0;db=Q;fb=Fa}while(0);zb(Ta|0);kb=db;lb=fb}else Z=102;while(0);if((Z|0)==102){na=Rb()|0;kb=Q;lb=na}k[v>>2]=27468;k[Ra>>2]=27488;k[aa>>2]=27560;Yua(Ga);Ava(aa);vva(Ra);_=kb;$=lb;Qb($|0)}while(0);$a=bb;ab=cb;vva(Ra);Qb(ab|0)}else if((Z|0)==124){Z=Pa+32|0;Ua=k[Z+4>>2]|0;Va=Ma;Wa=Na;Ya=k[Z>>2]|0;Za=Oa;_a=Pa}if((Ua|0)>=0){Da=_a;r=e;return Da|0}k[c>>2]=-1;k[c+4>>2]=-1;k[c+8>>2]=-1;k[c+12>>2]=-1;k[c+16>>2]=-1;k[c+20>>2]=-1;Ua=c+(j[52944+(Za<<1)>>1]<<3)|0;k[Ua>>2]=Va;k[Ua+4>>2]=Wa;Da=_a;r=e;return Da|0}function p5(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0;d=+p[b+104>>3];e=~~(d*(+p[c+8>>3]-+p[b+80>>3]));k[a>>2]=~~(d*(+p[c>>3]-+p[b+72>>3]));k[a+4>>2]=e;return}function q5(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,ya=0,za=0.0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0;f=r;r=r+576|0;g=f+560|0;h=f+400|0;i=f+548|0;j=f+536|0;l=f+248|0;n=f+264|0;o=f+100|0;q=f+88|0;s=f+76|0;t=f+72|0;u=f+68|0;v=f+112|0;w=f+56|0;x=f+44|0;y=f+32|0;z=f+24|0;A=f+16|0;C=f+8|0;D=f;if(k[c>>2]|0)if(k[c+4>>2]|0)if(!(k[c+8>>2]|0))E=2;else{F=h+56|0;G=h+4|0;k[h>>2]=27524;k[F>>2]=27544;B=0;wa(508,h+56|0,G|0);H=B;B=0;if(H&1){H=Rb()|0;I=Q;J=H;vva(F);Qb(J|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[F>>2]=27488;B=0;va(448,G|0);H=B;B=0;do if(H&1){K=Rb()|0;L=Q;M=K}else{k[G>>2]=27560;K=h+36|0;k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;k[K+12>>2]=0;k[h+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,G|0,g|0);N=B;B=0;if(N&1){N=Rb()|0;O=Q;Yua(g);Yua(K);Ava(G);L=O;M=N;break}Yua(g);B=0;N=Ia(40,h|0,124344,3)|0;O=B;B=0;a:do if(!(O&1)?(B=0,Xa(239,N|0,0)|0,P=B,B=0,!(P&1)):0){P=Ab(20)|0;B=0;eb(502,i|0,121503,60);R=B;B=0;do if(!(R&1)){B=0;eb(502,j|0,124348,17);S=B;B=0;if(S&1){S=Rb()|0;T=Q;Yua(i);U=S;V=T;break}B=0;wa(510,l|0,G|0);T=B;B=0;if(T&1){T=Rb()|0;W=T;X=Q;Y=1}else{B=0;ua(163,P|0,i|0,j|0,4842,l|0);T=B;B=0;if(T&1)Z=1;else{B=0;eb(503,P|0,1240,229);B=0;Z=0}T=Rb()|0;S=Q;Yua(l);W=T;X=S;Y=Z}Yua(j);Yua(i);if(Y){U=W;V=X}else{_=W;$=X;break a}}else{S=Rb()|0;U=S;V=Q}while(0);zb(P|0);_=U;$=V}else aa=19;while(0);if((aa|0)==19){N=Rb()|0;_=N;$=Q}k[h>>2]=27468;k[F>>2]=27488;k[G>>2]=27560;Yua(K);Ava(G);vva(F);ba=_;ca=$;Qb(ba|0)}while(0);I=L;J=M;vva(F);Qb(J|0)}else E=1;else E=0;J=m[52944+(E<<1)>>1]|0;k[a>>2]=c;c=a+4|0;k[c>>2]=J&3;J=k[b>>2]|0;E=k[b+4>>2]|0;b=D+4|0;F=C+4|0;M=A+4|0;L=z+4|0;I=1;$=0;while(1){k[t>>2]=0;_=G4(a,t)|0;k[u>>2]=1;G=G4(a,u)|0;h=_;_=k[h>>2]|0;V=k[h+4>>2]|0;h=G;G=k[h>>2]|0;U=k[h+4>>2]|0;h=G-_|0;X=U-V|0;W=J-_|0;_=E-V|0;V=((h|0)<0)<<31>>31;Y=bFa(W|0,((W|0)<0)<<31>>31|0,h|0,V|0)|0;W=Q;i=((X|0)<0)<<31>>31;j=bFa(_|0,((_|0)<0)<<31>>31|0,X|0,i|0)|0;_=QEa(j|0,Q|0,Y|0,W|0)|0;W=Q;if((W|0)<0){if(($|0)>0){aa=53;break}Y=m[52956+(k[c>>2]<<1)>>1]|0;k[D>>2]=k[a>>2];k[b>>2]=Y&3;F4(C,D);da=52956+(k[F>>2]<<1)|0;ea=C;fa=-1}else{Y=G-J|0;G=U-E|0;U=bFa(Y|0,((Y|0)<0)<<31>>31|0,h|0,V|0)|0;V=Q;h=bFa(G|0,((G|0)<0)<<31>>31|0,X|0,i|0)|0;i=QEa(h|0,Q|0,U|0,V|0)|0;V=Q;if((V|0)>=0){ga=_;ha=W;ia=i;ja=V;aa=57;break}if(($|0)<0){aa=56;break}V=m[52950+(k[c>>2]<<1)>>1]|0;k[A>>2]=k[a>>2];k[M>>2]=V&3;F4(z,A);da=52950+(k[L>>2]<<1)|0;ea=z;fa=1}V=(m[da>>1]|0)&3;i=a;k[i>>2]=k[ea>>2];k[i+4>>2]=V;if((I|0)>998){aa=28;break}else{I=I+1|0;$=fa}}if((aa|0)==28){fa=n+56|0;$=n+4|0;k[n>>2]=27524;k[fa>>2]=27544;B=0;wa(508,n+56|0,$|0);I=B;B=0;if(I&1){I=Rb()|0;ka=Q;la=I;vva(fa);Qb(la|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[fa>>2]=27488;B=0;va(448,$|0);I=B;B=0;do if(I&1){ea=Rb()|0;ma=Q;na=ea}else{k[$>>2]=27560;ea=n+36|0;k[ea>>2]=0;k[ea+4>>2]=0;k[ea+8>>2]=0;k[ea+12>>2]=0;k[n+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,$|0,g|0);a=B;B=0;if(a&1){a=Rb()|0;da=Q;Yua(g);Yua(ea);Ava($);ma=da;na=a;break}Yua(g);B=0;a=Ia(40,n|0,124366,9)|0;da=B;B=0;b:do if(!(da&1)?(B=0,Xa(239,a|0,0)|0,z=B,B=0,!(z&1)):0){z=Ab(20)|0;B=0;eb(502,o|0,121503,60);L=B;B=0;do if(!(L&1)){B=0;eb(502,q|0,124348,17);A=B;B=0;if(A&1){A=Rb()|0;M=Q;Yua(o);oa=M;pa=A;break}B=0;wa(510,s|0,$|0);A=B;B=0;if(A&1){A=Rb()|0;qa=1;ra=A;sa=Q}else{B=0;ua(163,z|0,o|0,q|0,4850,s|0);A=B;B=0;if(A&1)ta=1;else{B=0;eb(503,z|0,1240,229);B=0;ta=0}A=Rb()|0;M=Q;Yua(s);qa=ta;ra=A;sa=M}Yua(q);Yua(o);if(qa){oa=sa;pa=ra}else{xa=ra;ya=sa;break b}}else{M=Rb()|0;oa=Q;pa=M}while(0);zb(z|0);xa=pa;ya=oa}else aa=43;while(0);if((aa|0)==43){a=Rb()|0;xa=a;ya=Q}k[n>>2]=27468;k[fa>>2]=27488;k[$>>2]=27560;Yua(ea);Ava($);vva(fa);ba=xa;ca=ya;Qb(ba|0)}while(0);ka=ma;la=na;vva(fa);Qb(la|0)}else if((aa|0)==53){p[d>>3]=1.0;p[e>>3]=0.0;r=f;return}else if((aa|0)==56){p[d>>3]=0.0;p[e>>3]=1.0;r=f;return}else if((aa|0)==57){la=QEa(ga|0,ha|0,ia|0,ja|0)|0;fa=Q;za=+(la>>>0)+4294967296.0*+(fa|0);if(!((la|0)==0&(fa|0)==0)){p[d>>3]=(+(ia>>>0)+4294967296.0*+(ja|0))/za;p[e>>3]=(+(ga>>>0)+4294967296.0*+(ha|0))/za;r=f;return}f=v+56|0;ha=v+4|0;k[v>>2]=27524;k[f>>2]=27544;B=0;wa(508,v+56|0,ha|0);ga=B;B=0;if(ga&1){ga=Rb()|0;Aa=Q;Ba=ga;vva(f);Qb(Ba|0)}k[v+128>>2]=0;k[v+132>>2]=-1;k[v>>2]=27468;k[f>>2]=27488;B=0;va(448,ha|0);ga=B;B=0;do if(ga&1){e=Rb()|0;Ca=Q;Da=e}else{k[ha>>2]=27560;e=v+36|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;k[v+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,ha|0,g|0);ja=B;B=0;if(ja&1){ja=Rb()|0;ia=Q;Yua(g);Yua(e);Ava(ha);Ca=ia;Da=ja;break}Yua(g);B=0;ja=Ia(40,v|0,124376,6)|0;ia=B;B=0;c:do if(!(ia&1)?(B=0,Xa(239,ja|0,0)|0,d=B,B=0,!(d&1)):0){d=Ab(20)|0;B=0;eb(502,w|0,121503,60);fa=B;B=0;do if(!(fa&1)){B=0;eb(502,x|0,124348,17);la=B;B=0;if(la&1){la=Rb()|0;na=Q;Yua(w);Ea=na;Fa=la;break}B=0;wa(510,y|0,ha|0);la=B;B=0;if(la&1){la=Rb()|0;Ga=1;Ha=la;Ja=Q}else{B=0;ua(163,d|0,w|0,x|0,4867,y|0);la=B;B=0;if(la&1)Ka=1;else{B=0;eb(503,d|0,1240,229);B=0;Ka=0}la=Rb()|0;na=Q;Yua(y);Ga=Ka;Ha=la;Ja=na}Yua(x);Yua(w);if(Ga){Ea=Ja;Fa=Ha}else{La=Ha;Ma=Ja;break c}}else{na=Rb()|0;Ea=Q;Fa=na}while(0);zb(d|0);La=Fa;Ma=Ea}else aa=73;while(0);if((aa|0)==73){ja=Rb()|0;La=ja;Ma=Q}k[v>>2]=27468;k[f>>2]=27488;k[ha>>2]=27560;Yua(e);Ava(ha);vva(f);ba=La;ca=Ma;Qb(ba|0)}while(0);Aa=Ca;Ba=Da;vva(f);Qb(Ba|0)}}function r5(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,l=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0;h=r;r=r+544|0;i=h+524|0;l=h;n=h+376|0;o=h+512|0;p=h+364|0;q=h+352|0;s=h+216|0;t=h+68|0;u=h+56|0;v=h+44|0;w=h+80|0;x=h+32|0;y=h+20|0;z=h+8|0;if(C4(c)|0){A=0;r=h;return A|0}F4(l,c);C=k[c>>2]|0;D=k[l>>2]|0;E=k[c+4>>2]|0;F=E&65535;G=l+4|0;H=k[G>>2]|0;I=H&65535;J=E<<16;E=J>>16;if(J>>>0>131072){J=n+56|0;K=n+4|0;k[n>>2]=27524;k[J>>2]=27544;B=0;wa(508,n+56|0,K|0);L=B;B=0;if(L&1){L=Rb()|0;M=Q;N=L;vva(J);Qb(N|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[J>>2]=27488;B=0;va(448,K|0);L=B;B=0;do if(L&1){O=Rb()|0;P=Q;R=O}else{k[K>>2]=27560;O=n+36|0;k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;k[O+12>>2]=0;k[n+52>>2]=16;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;B=0;wa(509,K|0,i|0);S=B;B=0;if(S&1){S=Rb()|0;T=Q;Yua(i);Yua(O);Ava(K);P=T;R=S;break}Yua(i);B=0;S=Ia(40,n|0,124383,13)|0;T=B;B=0;a:do if(!(T&1)?(B=0,Xa(239,S|0,0)|0,U=B,B=0,!(U&1)):0){U=Ab(20)|0;B=0;eb(502,o|0,121503,60);V=B;B=0;do if(!(V&1)){B=0;eb(502,p|0,124397,18);W=B;B=0;if(W&1){W=Rb()|0;X=Q;Yua(o);Y=X;Z=W;break}B=0;wa(510,q|0,K|0);W=B;B=0;if(W&1){W=Rb()|0;_=Q;$=W;aa=1}else{B=0;ua(163,U|0,o|0,p|0,5008,q|0);W=B;B=0;if(W&1)ba=1;else{B=0;eb(503,U|0,1240,229);B=0;ba=0}W=Rb()|0;X=Q;Yua(q);_=X;$=W;aa=ba}Yua(p);Yua(o);if(aa){Y=_;Z=$}else{ca=$;da=_;break a}}else{W=Rb()|0;Y=Q;Z=W}while(0);zb(U|0);ca=Z;da=Y}else ea=18;while(0);if((ea|0)==18){S=Rb()|0;ca=S;da=Q}k[n>>2]=27468;k[J>>2]=27488;k[K>>2]=27560;Yua(O);Ava(K);vva(J);fa=ca;ga=da;Qb(fa|0)}while(0);M=P;N=R;vva(J);Qb(N|0)}N=k[C+(j[52932+(E<<2)>>1]<<2)>>2]|0;J=k[C+(j[52944+(E<<1)>>1]<<2)>>2]|0;E=k[D+(j[52944+(H<<16>>16<<1)>>1]<<2)>>2]|0;H=k[a>>2]|0;R=k[H>>2]|0;P=k[H+4>>2]|0;H=k[b>>2]|0;M=E;da=k[M>>2]|0;ca=k[M+4>>2]|0;M=(k[H>>2]|0)-R|0;K=(k[H+4>>2]|0)-P|0;H=da-R|0;R=ca-P|0;P=bFa(R|0,((R|0)<0)<<31>>31|0,M|0,((M|0)<0)<<31>>31|0)|0;M=Q;R=bFa(H|0,((H|0)<0)<<31>>31|0,K|0,((K|0)<0)<<31>>31|0)|0;K=REa(P|0,M|0,R|0,Q|0)|0;R=Q;M=C+32|0;P=k[M>>2]|0;H=k[M+4>>2]|0;M=D+32|0;n=k[M>>2]|0;Y=k[M+4>>2]|0;M=QEa(n|0,Y|0,P|0,H|0)|0;Z=Q;if((H|0)<0|(H|0)==0&P>>>0<1|((Y|0)<0|(Y|0)==0&n>>>0<1)){n=s+56|0;Y=s+4|0;k[s>>2]=27524;k[n>>2]=27544;B=0;wa(508,s+56|0,Y|0);P=B;B=0;if(P&1){P=Rb()|0;ha=Q;ia=P;vva(n);Qb(ia|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[n>>2]=27488;B=0;va(448,Y|0);P=B;B=0;do if(P&1){H=Rb()|0;ja=Q;ka=H}else{k[Y>>2]=27560;H=s+36|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;k[H+12>>2]=0;k[s+52>>2]=16;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;B=0;wa(509,Y|0,i|0);_=B;B=0;if(_&1){_=Rb()|0;$=Q;Yua(i);Yua(H);Ava(Y);ja=$;ka=_;break}Yua(i);B=0;_=Ia(40,s|0,124416,23)|0;$=B;B=0;b:do if(!($&1)?(B=0,Xa(239,_|0,0)|0,aa=B,B=0,!(aa&1)):0){aa=Ab(20)|0;B=0;eb(502,t|0,121503,60);o=B;B=0;do if(!(o&1)){B=0;eb(502,u|0,124397,18);p=B;B=0;if(p&1){p=Rb()|0;ba=Q;Yua(t);la=ba;ma=p;break}B=0;wa(510,v|0,Y|0);p=B;B=0;if(p&1){p=Rb()|0;na=1;oa=p;pa=Q}else{B=0;ua(163,aa|0,t|0,u|0,5019,v|0);p=B;B=0;if(p&1)qa=1;else{B=0;eb(503,aa|0,1240,229);B=0;qa=0}p=Rb()|0;ba=Q;Yua(v);na=qa;oa=p;pa=ba}Yua(u);Yua(t);if(na){la=pa;ma=oa}else{ra=oa;sa=pa;break b}}else{ba=Rb()|0;la=Q;ma=ba}while(0);zb(aa|0);ra=ma;sa=la}else ea=42;while(0);if((ea|0)==42){_=Rb()|0;ra=_;sa=Q}k[s>>2]=27468;k[n>>2]=27488;k[Y>>2]=27560;Yua(H);Ava(Y);vva(n);fa=ra;ga=sa;Qb(fa|0)}while(0);ha=ja;ia=ka;vva(n);Qb(ia|0)}ia=e;n=k[ia+4>>2]|0;ka=f;ja=k[ka>>2]|0;ha=k[ka+4>>2]|0;if(!((n|0)>-1|(n|0)==-1&(k[ia>>2]|0)>>>0>4294967295|((ha|0)<0|(ha|0)==0&ja>>>0<1))){ia=J;n=k[ia>>2]|0;ka=k[ia+4>>2]|0;ia=N;N=(k[ia>>2]|0)-n|0;sa=(k[ia+4>>2]|0)-ka|0;ia=da-n|0;n=ca-ka|0;ka=bFa(n|0,((n|0)<0)<<31>>31|0,N|0,((N|0)<0)<<31>>31|0)|0;N=Q;n=bFa(sa|0,((sa|0)<0)<<31>>31|0,ia|0,((ia|0)<0)<<31>>31|0)|0;ia=REa(ka|0,N|0,n|0,Q|0)|0;n=Q;N=REa(M|0,Z|0,ia|0,n|0)|0;Z=Q;do if(((n|0)>0|(n|0)==0&ia>>>0>0)&((Z|0)>0|(Z|0)==0&N>>>0>0)){M=d;ka=k[M+4>>2]|0;sa=ha|R;if(!((sa|0)>-1|(sa|0)==-1&(ja|K)>>>0>4294967295|((R|0)<0|(R|0)==0&K>>>0<1)&((ka|0)<0|(ka|0)==0&(k[M>>2]|0)>>>0<1))?(Esa()|0)>=1073741823:0){ta=0;break}k[g>>2]=(k[g>>2]|0)+1;s5(C,F,D,I,J,E,ia,n,N,Z);ta=1}else ta=0;while(0);do if((R|0)>=0){if((R|0)>0|(R|0)==0&K>>>0>0){Z=ta?d:f;N=k[Z+4>>2]|0;n=d;k[n>>2]=k[Z>>2];k[n+4>>2]=N;N=f;k[N>>2]=K;k[N+4>>2]=R;if(ta){xa=1;break}N=m[52950+(k[G>>2]<<1)>>1]&3;n=c;k[n>>2]=k[l>>2];k[n+4>>2]=N;xa=1;break}N=k[a>>2]|0;k[a>>2]=k[b>>2];k[b>>2]=N;N=e;n=k[N>>2]|0;Z=k[N+4>>2]|0;N=f;ia=k[N+4>>2]|0;E=e;k[E>>2]=k[N>>2];k[E+4>>2]=ia;ia=f;k[ia>>2]=n;k[ia+4>>2]=Z;Z=d;ia=k[Z>>2]|0;n=k[Z+4>>2]|0;Z=d;k[Z>>2]=K;k[Z+4>>2]=R;Z=c;E=k[Z>>2]|0;N=k[Z+4>>2]|0;Z=l;J=k[Z+4>>2]|0;I=c;k[I>>2]=k[Z>>2];k[I+4>>2]=J;J=l;k[J>>2]=E;k[J+4>>2]=N;J=d;I=REa(0,0,k[J>>2]|0,k[J+4>>2]|0)|0;J=d;k[J>>2]=I;k[J+4>>2]=Q;J=REa(0,0,ia|0,n|0)|0;I=Q;Z=e;D=REa(0,0,k[Z>>2]|0,k[Z+4>>2]|0)|0;Z=e;k[Z>>2]=D;k[Z+4>>2]=Q;Z=f;D=REa(0,0,k[Z>>2]|0,k[Z+4>>2]|0)|0;Z=f;k[Z>>2]=D;k[Z+4>>2]=Q;if(ta){if((n|0)>0|(n|0)==0&ia>>>0>0){ia=e;k[ia>>2]=J;k[ia+4>>2]=I;ia=m[52956+(N<<1)>>1]&3;Z=c;k[Z>>2]=E;k[Z+4>>2]=ia;xa=-1;break}if((n|0)<0){n=f;k[n>>2]=J;k[n+4>>2]=I;xa=-1;break}else{I=m[52950+(N<<1)>>1]&3;N=c;k[N>>2]=E;k[N+4>>2]=I;xa=0;break}}else xa=-1}else{I=ta?d:e;N=k[I+4>>2]|0;E=d;k[E>>2]=k[I>>2];k[E+4>>2]=N;N=e;k[N>>2]=K;k[N+4>>2]=R;N=m[52956+(k[G>>2]<<1)>>1]&3;E=c;k[E>>2]=k[l>>2];k[E+4>>2]=N;xa=1}while(0);A=xa;r=h;return A|0}A=w+56|0;h=w+4|0;k[w>>2]=27524;k[A>>2]=27544;B=0;wa(508,w+56|0,h|0);xa=B;B=0;if(xa&1){xa=Rb()|0;ya=Q;za=xa;vva(A);Qb(za|0)}k[w+128>>2]=0;k[w+132>>2]=-1;k[w>>2]=27468;k[A>>2]=27488;B=0;va(448,h|0);xa=B;B=0;do if(xa&1){l=Rb()|0;Aa=Q;Ba=l}else{k[h>>2]=27560;l=w+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[w+52>>2]=16;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;B=0;wa(509,h|0,i|0);c=B;B=0;if(c&1){c=Rb()|0;G=Q;Yua(i);Yua(l);Ava(h);Aa=G;Ba=c;break}Yua(i);B=0;c=Ia(40,w|0,124440,24)|0;G=B;B=0;c:do if(!(G&1)?(B=0,Xa(239,c|0,0)|0,R=B,B=0,!(R&1)):0){R=Ab(20)|0;B=0;eb(502,x|0,121503,60);K=B;B=0;do if(!(K&1)){B=0;eb(502,y|0,124397,18);e=B;B=0;if(e&1){e=Rb()|0;d=Q;Yua(x);Ca=d;Da=e;break}B=0;wa(510,z|0,h|0);e=B;B=0;if(e&1){e=Rb()|0;Ea=1;Fa=e;Ga=Q}else{B=0;ua(163,R|0,x|0,y|0,5022,z|0);e=B;B=0;if(e&1)Ha=1;else{B=0;eb(503,R|0,1240,229);B=0;Ha=0}e=Rb()|0;d=Q;Yua(z);Ea=Ha;Fa=e;Ga=d}Yua(y);Yua(x);if(Ea){Ca=Ga;Da=Fa}else{Ja=Fa;Ka=Ga;break c}}else{d=Rb()|0;Ca=Q;Da=d}while(0);zb(R|0);Ja=Da;Ka=Ca}else ea=66;while(0);if((ea|0)==66){c=Rb()|0;Ja=c;Ka=Q}k[w>>2]=27468;k[A>>2]=27488;k[h>>2]=27560;Yua(l);Ava(h);vva(A);fa=Ja;ga=Ka;Qb(fa|0)}while(0);ya=Aa;za=Ba;vva(A);Qb(za|0);return 0}function s5(a,b,c,d,e,f,g,h,i,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;m=r;r=r+48|0;n=m+40|0;o=m+32|0;p=m+24|0;q=m+16|0;s=m+8|0;t=m;u=b<<16>>16;b=j[52950+(u<<1)>>1]|0;v=d<<16>>16;d=j[52950+(v<<1)>>1]|0;w=j[52956+(u<<1)>>1]|0;x=j[52956+(v<<1)>>1]|0;k[a+(j[52932+(u<<2)+2>>1]<<2)>>2]=f;k[c+(j[52932+(v<<2)+2>>1]<<2)>>2]=e;M4(n,a,b);M4(o,c,d);k[p>>2]=a;k[p+4>>2]=b&3;k[q>>2]=c;k[q+4>>2]=d&3;k[s>>2]=a;k[s+4>>2]=u&3;k[t>>2]=c;k[t+4>>2]=v&3;I4(n,t,D4(n)|0);I4(o,s,D4(o)|0);Y4(a,w);Y4(c,x);I4(p,q,0);q=a+32|0;k[q>>2]=g;k[q+4>>2]=h;h=c+32|0;k[h>>2]=i;k[h+4>>2]=l;X4(a);X4(c);r=m;return}function t5(){ppa(38e3);return}function u5(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;e=r;r=r+144|0;f=e+104|0;g=e+84|0;h=e+64|0;i=e+40|0;j=e+20|0;l=e;m=ma(d,d)|0;n=Rqa(m>>>0>536870911?-1:m<<3)|0;if(!b)yb(142353,124465,137,142345);if(m)TEa(n|0,b|0,m<<3|0)|0;Cqa(i,n,d,d);k[f>>2]=k[i>>2];k[f+4>>2]=k[i+4>>2];k[f+8>>2]=k[i+8>>2];k[f+12>>2]=k[i+12>>2];k[f+16>>2]=k[i+16>>2];k[f+20>>2]=k[i+20>>2];Jqa(j,c,d);k[g>>2]=k[j>>2];k[g+4>>2]=k[j+4>>2];k[g+8>>2]=k[j+8>>2];k[g+12>>2]=k[j+12>>2];k[g+16>>2]=k[j+16>>2];Jqa(l,a,d);k[h>>2]=k[l>>2];k[h+4>>2]=k[l+4>>2];k[h+8>>2]=k[l+8>>2];k[h+12>>2]=k[l+12>>2];k[h+16>>2]=k[l+16>>2];l=Dqa(d)|0;yqa(f,l,e+128|0)|0;zqa(f,l,g,h)|0;Tqa(n);Fqa(l);r=e;return}function v5(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;g=r;r=r+368|0;h=g+344|0;i=g+208|0;j=g+196|0;l=g+184|0;m=g+36|0;n=g+48|0;o=g+24|0;p=g+12|0;q=g;if((d|0)==(f|0)){if((c|0)==(d|0)){s=Rqa(d>>>0>536870911?-1:d<<3)|0;u5(s,b,e,d);k[a>>2]=s;r=g;return}g=n+56|0;s=n+4|0;k[n>>2]=27524;k[g>>2]=27544;B=0;wa(508,n+56|0,s|0);a=B;B=0;if(a&1){a=Rb()|0;t=Q;u=a;vva(g);Qb(u|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[g>>2]=27488;B=0;va(448,s|0);a=B;B=0;do if(a&1){e=Rb()|0;v=Q;w=e}else{k[s>>2]=27560;e=n+36|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;k[n+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,s|0,h|0);b=B;B=0;if(b&1){b=Rb()|0;x=Q;Yua(h);Yua(e);Ava(s);v=x;w=b;break}Yua(h);B=0;b=Ia(40,n|0,124711,34)|0;x=B;B=0;a:do if(!(x&1)?(B=0,Xa(239,b|0,0)|0,y=B,B=0,!(y&1)):0){y=Ab(20)|0;B=0;eb(502,o|0,124619,77);z=B;B=0;do if(!(z&1)){B=0;eb(502,p|0,124697,13);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(o);D=C;E=A;break}B=0;wa(510,q|0,s|0);A=B;B=0;if(A&1){A=Rb()|0;F=1;G=A;H=Q}else{B=0;ua(163,y|0,o|0,p|0,39,q|0);A=B;B=0;if(A&1)I=1;else{B=0;eb(503,y|0,1240,229);B=0;I=0}A=Rb()|0;C=Q;Yua(q);F=I;G=A;H=C}Yua(p);Yua(o);if(F){D=H;E=G}else{J=G;K=H;break a}}else{C=Rb()|0;D=Q;E=C}while(0);zb(y|0);J=E;K=D}else L=47;while(0);if((L|0)==47){b=Rb()|0;J=b;K=Q}k[n>>2]=27468;k[g>>2]=27488;k[s>>2]=27560;Yua(e);Ava(s);vva(g);M=J;N=K;Qb(M|0)}while(0);t=v;u=w;vva(g);Qb(u|0)}u=i+56|0;g=i+4|0;k[i>>2]=27524;k[u>>2]=27544;B=0;wa(508,i+56|0,g|0);w=B;B=0;if(w&1){w=Rb()|0;O=Q;P=w;vva(u);Qb(P|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[u>>2]=27488;B=0;va(448,g|0);w=B;B=0;do if(w&1){v=Rb()|0;R=Q;S=v}else{k[g>>2]=27560;v=i+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[i+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,g|0,h|0);t=B;B=0;if(t&1){t=Rb()|0;K=Q;Yua(h);Yua(v);Ava(g);R=K;S=t;break}Yua(h);B=0;t=Ia(40,i|0,124556,31)|0;K=B;B=0;b:do if(((((((!(K&1)?(B=0,J=Xa(242,t|0,f|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,J|0,124588,25)|0,J=B,B=0,!(J&1)):0)?(B=0,J=Xa(242,s|0,c|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,J|0,124614,1)|0,J=B,B=0,!(J&1)):0)?(B=0,J=Xa(242,s|0,d|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,J|0,124616,2)|0,J=B,B=0,!(J&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,j|0,124619,77);J=B;B=0;do if(!(J&1)){B=0;eb(502,l|0,124697,13);n=B;B=0;if(n&1){n=Rb()|0;D=Q;Yua(j);T=D;U=n;break}B=0;wa(510,m|0,g|0);n=B;B=0;if(n&1){n=Rb()|0;V=n;W=Q;X=1}else{B=0;ua(163,s|0,j|0,l|0,38,m|0);n=B;B=0;if(n&1)Y=1;else{B=0;eb(503,s|0,1240,229);B=0;Y=0}n=Rb()|0;D=Q;Yua(m);V=n;W=D;X=Y}Yua(l);Yua(j);if(X){T=W;U=V}else{Z=V;_=W;break b}}else{D=Rb()|0;T=Q;U=D}while(0);zb(s|0);Z=U;_=T}else L=23;while(0);if((L|0)==23){t=Rb()|0;Z=t;_=Q}k[i>>2]=27468;k[u>>2]=27488;k[g>>2]=27560;Yua(v);Ava(g);vva(u);M=Z;N=_;Qb(M|0)}while(0);O=R;P=S;vva(u);Qb(P|0)}function w5(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,124780,91);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,135838,17);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,9,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function x5(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,124780,91);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,135856,11);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,12,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function y5(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,124780,91);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,145111,11);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,15,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function z5(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 1}function A5(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,124780,91);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,136133,14);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,21,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function B5(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,124780,91);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,136199,16);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,24,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function C5(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,124780,91);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138209,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,29,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function D5(a,b){a=a|0;b=b|0;return 0}function E5(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,124780,91);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,36,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function F5(a,b){a=a|0;b=b|0;var c=0;a=Qqa(4)|0;k[a>>2]=38240;c=ed[k[38284>>2]&511](a,b)|0;Ec[k[(k[a>>2]|0)+4>>2]&1023](a);MN(c);return c|0}function G5(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0;a=r;r=r+448|0;c=a+432|0;d=a+428|0;e=a+280|0;f=a+416|0;g=a+264|0;h=a+248|0;i=a+260|0;j=a+48|0;l=a+40|0;m=a+32|0;n=a+24|0;o=a+16|0;q=a+8|0;s=a;t=a+244|0;u=a+240|0;v=a+104|0;w=a+88|0;x=a+76|0;y=a+64|0;cp(b,d,298);a:do switch(k[d>>2]|0){case 300:{z=b;break}case 302:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){z=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;break a}else{A=0;r=a;return A|0}break}default:{C=e+56|0;D=e+4|0;k[e>>2]=27524;k[C>>2]=27544;B=0;wa(508,e+56|0,D|0);E=B;B=0;if(E&1){E=Rb()|0;F=Q;G=E;vva(C);Qb(G|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[C>>2]=27488;B=0;va(448,D|0);E=B;B=0;do if(E&1){H=Rb()|0;I=Q;J=H}else{k[D>>2]=27560;H=e+36|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;k[H+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,D|0,c|0);K=B;B=0;if(K&1){K=Rb()|0;L=Q;Yua(c);Yua(H);Ava(D);I=L;J=K;break}Yua(c);B=0;K=Ia(40,e|0,144639,5)|0;L=B;B=0;b:do if((((!(L&1)?(B=0,M=ya(427,k[d>>2]|0)|0,N=B,B=0,!(N&1)):0)?(N=Lta(M)|0,B=0,O=Ia(40,K|0,M|0,N|0)|0,N=B,B=0,!(N&1)):0)?(B=0,N=Ia(40,O|0,146481,18)|0,O=B,B=0,!(O&1)):0)?(B=0,Xa(239,N|0,0)|0,N=B,B=0,!(N&1)):0){N=Ab(20)|0;B=0;eb(502,f|0,124780,91);O=B;B=0;do if(!(O&1)){B=0;eb(502,g|0,144203,13);M=B;B=0;if(M&1){M=Rb()|0;P=Q;Yua(f);R=M;S=P;break}B=0;wa(510,h|0,D|0);P=B;B=0;if(P&1){P=Rb()|0;T=P;U=Q;V=1}else{B=0;ua(163,N|0,f|0,g|0,64,h|0);P=B;B=0;if(P&1)W=1;else{B=0;eb(503,N|0,1240,229);B=0;W=0}P=Rb()|0;M=Q;Yua(h);T=P;U=M;V=W}Yua(g);Yua(f);if(V){R=T;S=U}else{X=T;Y=U;break b}}else{M=Rb()|0;R=M;S=Q}while(0);zb(N|0);X=R;Y=S}else Z=22;while(0);if((Z|0)==22){K=Rb()|0;X=K;Y=Q}k[e>>2]=27468;k[C>>2]=27488;k[D>>2]=27560;Yua(H);Ava(D);vva(C);_=X;$=Y;Qb(_|0)}while(0);F=I;G=J;vva(C);Qb(G|0)}}while(0);k[t>>2]=0;k[u>>2]=0;G=Hc[k[(k[z>>2]|0)+164>>2]&511](z)|0;J=iq(z,536)|0;I=Rqa(G>>>0>536870911?-1:G<<3)|0;F=G<<1;Y=Rqa(F>>>0>536870911?-1:F<<3)|0;Uo(z,u);cp(z,i,199);qp(z,t,0,180);F=Wo(z,353)|0;X=Wo(z,201)|0;e=Wo(z,179)|0;S=Wo(z,674)|0;R=Wo(z,677)|0;U=ed[k[(k[z>>2]|0)+308>>2]&511](z,2)|0;T=Hc[k[(k[U>>2]|0)+8>>2]&511](U)|0;c:do if((T|0)<(Hc[k[(k[U>>2]|0)+12>>2]&511](U)|0)){V=(G|0)>0;f=j+8|0;g=U+8|0;W=J+4|0;h=(G|0)<1;b=T;d:while(1){Fc[k[(k[U>>2]|0)+24>>2]&1023](U,b);rd[k[(k[z>>2]|0)+260>>2]&511](z,n,k[u>>2]|0,U);nd[k[(k[z>>2]|0)+336>>2]&1023](z,I,U);rd[k[(k[z>>2]|0)+340>>2]&511](z,Y,k[u>>2]|0,U);nd[k[(k[F>>2]|0)+48>>2]&1023](F,o,U);rd[k[(k[F>>2]|0)+60>>2]&511](F,j,k[u>>2]|0,U);nd[k[(k[X>>2]|0)+48>>2]&1023](X,q,U);e:do if((k[i>>2]|0)>0){D=0;while(1){rd[k[(k[e>>2]|0)+56>>2]&511](e,s,U,k[(k[t>>2]|0)+(D<<2)>>2]|0);f:do switch(k[(k[t>>2]|0)+(D<<2)>>2]|0){case 669:{if(V){E=k[W>>2]|0;K=0;do{L=E+(K<<3)|0;p[L>>3]=(+p[q>>3]-+p[o>>3])*+p[s>>3]*+p[n>>3]*+p[g>>3]*+p[I+(K<<3)>>3]+ +p[L>>3];K=K+1|0}while((K|0)!=(G|0))}break}case 689:{if(V){K=k[W>>2]|0;E=0;do{L=K+(E<<3)|0;p[L>>3]=+p[L>>3]-+p[s>>3]*+p[j>>3]*+p[Y+(E<<3)>>3]*+p[n>>3]*+p[g>>3];E=E+1|0}while((E|0)!=(G|0));if(V){E=k[W>>2]|0;K=0;do{L=E+(K<<3)|0;p[L>>3]=+p[L>>3]-+p[s>>3]*+p[f>>3]*+p[Y+(K+G<<3)>>3]*+p[n>>3]*+p[g>>3];K=K+1|0}while((K|0)!=(G|0))}}break}case 690:{nd[k[(k[S>>2]|0)+48>>2]&1023](S,l,U);nd[k[(k[R>>2]|0)+48>>2]&1023](R,m,U);ba=+p[l>>3];ca=+p[m>>3];da=+aa(+(ba*ba+ca*ca))+1.0e-09;ea=ba/da;p[l>>3]=ea;ba=ca/da;p[m>>3]=ba;if(V){K=k[W>>2]|0;da=ea;ea=ba;E=0;while(1){L=K+(E<<3)|0;p[L>>3]=+p[L>>3]-+p[g>>3]*(+p[n>>3]*(+p[s>>3]*(+p[j>>3]*da+ +p[f>>3]*ea)*(da*+p[Y+(E<<3)>>3]+ea*+p[Y+(E+G<<3)>>3])));L=E+1|0;if((L|0)==(G|0))break f;da=+p[l>>3];ea=+p[m>>3];E=L}}break}case 691:{nd[k[(k[S>>2]|0)+48>>2]&1023](S,l,U);nd[k[(k[R>>2]|0)+48>>2]&1023](R,m,U);ea=+p[l>>3];da=+p[m>>3];ba=+aa(+(ea*ea+da*da))+1.0e-09;ca=ea/ba;p[l>>3]=ca;ea=da/ba;p[m>>3]=ea;if(V){E=k[W>>2]|0;ba=ea;ea=ca;K=0;while(1){ca=-ba;L=E+(K<<3)|0;p[L>>3]=+p[L>>3]-+p[g>>3]*(+p[n>>3]*(+p[s>>3]*(+p[j>>3]*ca+ +p[f>>3]*ea)*(+p[Y+(K<<3)>>3]*ca+ea*+p[Y+(K+G<<3)>>3])));L=K+1|0;if((L|0)==(G|0))break f;ba=+p[m>>3];ea=+p[l>>3];K=L}}break}case 692:{ea=+p[o>>3];if(!(!(ea<0.0)|h)){K=k[W>>2]|0;ba=ea;E=0;while(1){L=K+(E<<3)|0;p[L>>3]=+p[s>>3]*-2.0*ba*+p[n>>3]*+p[g>>3]*+p[I+(E<<3)>>3]+ +p[L>>3];L=E+1|0;if((L|0)==(G|0))break f;ba=+p[o>>3];E=L}}break}default:{fa=D;break d}}while(0);D=D+1|0;if((D|0)>=(k[i>>2]|0))break e}}while(0);b=b+1|0;if((b|0)>=(Hc[k[(k[U>>2]|0)+12>>2]&511](U)|0))break c}b=v+56|0;g=v+4|0;k[v>>2]=27524;k[b>>2]=27544;B=0;wa(508,v+56|0,g|0);W=B;B=0;if(W&1){W=Rb()|0;ga=Q;ha=W;vva(b);Qb(ha|0)}k[v+128>>2]=0;k[v+132>>2]=-1;k[v>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);W=B;B=0;do if(W&1){h=Rb()|0;ia=Q;ja=h}else{k[g>>2]=27560;h=v+36|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;k[v+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);f=B;B=0;if(f&1){f=Rb()|0;V=Q;Yua(c);Yua(h);Ava(g);ia=V;ja=f;break}Yua(c);B=0;f=Ia(40,v|0,125591,9)|0;V=B;B=0;g:do if((((!(V&1)?(B=0,C=ya(427,k[(k[t>>2]|0)+(fa<<2)>>2]|0)|0,H=B,B=0,!(H&1)):0)?(H=Lta(C)|0,B=0,D=Ia(40,f|0,C|0,H|0)|0,H=B,B=0,!(H&1)):0)?(B=0,H=Ia(40,D|0,146481,18)|0,D=B,B=0,!(D&1)):0)?(B=0,Xa(239,H|0,0)|0,H=B,B=0,!(H&1)):0){H=Ab(20)|0;B=0;eb(502,w|0,124780,91);D=B;B=0;do if(!(D&1)){B=0;eb(502,x|0,144203,13);C=B;B=0;if(C&1){C=Rb()|0;N=Q;Yua(w);ka=N;la=C;break}B=0;wa(510,y|0,g|0);C=B;B=0;if(C&1){C=Rb()|0;ma=1;na=C;oa=Q}else{B=0;ua(163,H|0,w|0,x|0,140,y|0);C=B;B=0;if(C&1)pa=1;else{B=0;eb(503,H|0,1240,229);B=0;pa=0}C=Rb()|0;N=Q;Yua(y);ma=pa;na=C;oa=N}Yua(x);Yua(w);if(ma){ka=oa;la=na}else{qa=na;ra=oa;break g}}else{N=Rb()|0;ka=Q;la=N}while(0);zb(H|0);qa=la;ra=ka}else Z=79;while(0);if((Z|0)==79){f=Rb()|0;qa=f;ra=Q}k[v>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(h);Ava(g);vva(b);_=qa;$=ra;Qb(_|0)}while(0);ga=ia;ha=ja;vva(b);Qb(ha|0)}while(0);ha=k[t>>2]|0;if(ha)Tqa(ha);k[t>>2]=0;t=k[u>>2]|0;if(t)Tqa(t);k[u>>2]=0;Tqa(I);Tqa(Y);if((k[d>>2]|0)!=300?(ap(z),(z|0)!=0):0)Ec[k[(k[z>>2]|0)+4>>2]&1023](z);if(U)Ec[k[(k[U>>2]|0)+4>>2]&1023](U);A=J;r=a;return A|0}function H5(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,124780,91);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138230,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,155,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function I5(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0;a=r;r=r+544|0;f=a+524|0;g=a+520|0;h=a+516|0;i=a+368|0;j=a+504|0;l=a+356|0;m=a+344|0;n=a+208|0;o=a+60|0;p=a+48|0;q=a+36|0;s=a+72|0;t=a+24|0;u=a+12|0;v=a;if(!($p(c)|0)){r=a;return}k[g>>2]=0;cp(c,h,199);qp(c,g,0,180);switch(d|0){case 36:case 674:case 677:break;default:{w=i+56|0;x=i+4|0;k[i>>2]=27524;k[w>>2]=27544;B=0;wa(508,i+56|0,x|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;A=y;vva(w);Qb(A|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[w>>2]=27488;B=0;va(448,x|0);y=B;B=0;do if(y&1){C=Rb()|0;D=Q;E=C}else{k[x>>2]=27560;C=i+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[i+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,x|0,f|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(f);Yua(C);Ava(x);D=G;E=F;break}Yua(f);B=0;F=Ia(40,i|0,125582,8)|0;G=B;B=0;a:do if((((!(G&1)?(B=0,H=ya(427,d|0)|0,I=B,B=0,!(I&1)):0)?(I=Lta(H)|0,B=0,J=Ia(40,F|0,H|0,I|0)|0,I=B,B=0,!(I&1)):0)?(B=0,I=Ia(40,J|0,144645,14)|0,J=B,B=0,!(J&1)):0)?(B=0,Xa(239,I|0,0)|0,I=B,B=0,!(I&1)):0){I=Ab(20)|0;B=0;eb(502,j|0,124780,91);J=B;B=0;do if(!(J&1)){B=0;eb(502,l|0,138252,9);H=B;B=0;if(H&1){H=Rb()|0;K=Q;Yua(j);L=K;M=H;break}B=0;wa(510,m|0,x|0);H=B;B=0;if(H&1){H=Rb()|0;N=Q;O=H;P=1}else{B=0;ua(163,I|0,j|0,l|0,179,m|0);H=B;B=0;if(H&1)R=1;else{B=0;eb(503,I|0,1240,229);B=0;R=0}H=Rb()|0;K=Q;Yua(m);N=K;O=H;P=R}Yua(l);Yua(j);if(P){L=N;M=O}else{S=N;T=O;break a}}else{H=Rb()|0;L=Q;M=H}while(0);zb(I|0);S=L;T=M}else U=23;while(0);if((U|0)==23){F=Rb()|0;S=Q;T=F}k[i>>2]=27468;k[w>>2]=27488;k[x>>2]=27560;Yua(C);Ava(x);vva(w);V=S;W=T;Qb(W|0)}while(0);z=D;A=E;vva(w);Qb(A|0)}}A=k[h>>2]|0;b:do if((A|0)>0){h=k[g>>2]|0;w=0;c:while(1){switch(k[h+(w<<2)>>2]|0){case 692:case 691:case 690:case 689:case 669:break;default:{X=w;break c}}w=w+1|0;if((w|0)>=(A|0))break b}w=n+56|0;h=n+4|0;k[n>>2]=27524;k[w>>2]=27544;B=0;wa(508,n+56|0,h|0);C=B;B=0;if(C&1){C=Rb()|0;Y=Q;Z=C;vva(w);Qb(Z|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[w>>2]=27488;B=0;va(448,h|0);C=B;B=0;do if(C&1){E=Rb()|0;_=Q;$=E}else{k[h>>2]=27560;E=n+36|0;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;k[E+12>>2]=0;k[n+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,h|0,f|0);D=B;B=0;if(D&1){D=Rb()|0;z=Q;Yua(f);Yua(E);Ava(h);_=z;$=D;break}Yua(f);B=0;D=Ia(40,n|0,125591,9)|0;z=B;B=0;d:do if((((!(z&1)?(B=0,T=ya(427,k[(k[g>>2]|0)+(X<<2)>>2]|0)|0,S=B,B=0,!(S&1)):0)?(S=Lta(T)|0,B=0,x=Ia(40,D|0,T|0,S|0)|0,S=B,B=0,!(S&1)):0)?(B=0,S=Ia(40,x|0,146481,18)|0,x=B,B=0,!(x&1)):0)?(B=0,Xa(239,S|0,0)|0,S=B,B=0,!(S&1)):0){S=Ab(20)|0;B=0;eb(502,o|0,124780,91);x=B;B=0;do if(!(x&1)){B=0;eb(502,p|0,138252,9);T=B;B=0;if(T&1){T=Rb()|0;i=Q;Yua(o);aa=T;ba=i;break}B=0;wa(510,q|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;ca=1;da=Q;ea=i}else{B=0;ua(163,S|0,o|0,p|0,189,q|0);i=B;B=0;if(i&1)fa=1;else{B=0;eb(503,S|0,1240,229);B=0;fa=0}i=Rb()|0;T=Q;Yua(q);ca=fa;da=T;ea=i}Yua(p);Yua(o);if(ca){aa=ea;ba=da}else{ga=da;ha=ea;break d}}else{i=Rb()|0;aa=i;ba=Q}while(0);zb(S|0);ga=ba;ha=aa}else U=50;while(0);if((U|0)==50){D=Rb()|0;ga=Q;ha=D}k[n>>2]=27468;k[w>>2]=27488;k[h>>2]=27560;Yua(E);Ava(h);vva(w);V=ga;W=ha;Qb(W|0)}while(0);Y=_;Z=$;vva(w);Qb(Z|0)}while(0);switch(d|0){case 36:{J5(0,c,b,e);break}case 674:{K5(0,c,b,e);break}case 677:{L5(0,c,b,e);break}default:{e=s+56|0;b=s+4|0;k[s>>2]=27524;k[e>>2]=27544;B=0;wa(508,s+56|0,b|0);c=B;B=0;if(c&1){c=Rb()|0;ia=Q;ja=c;vva(e);Qb(ja|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[e>>2]=27488;B=0;va(448,b|0);c=B;B=0;do if(c&1){Z=Rb()|0;ka=Q;la=Z}else{k[b>>2]=27560;Z=s+36|0;k[Z>>2]=0;k[Z+4>>2]=0;k[Z+8>>2]=0;k[Z+12>>2]=0;k[s+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,b|0,f|0);$=B;B=0;if($&1){$=Rb()|0;_=Q;Yua(f);Yua(Z);Ava(b);ka=_;la=$;break}Yua(f);B=0;$=Ia(40,s|0,125227,32)|0;_=B;B=0;e:do if(((!(_&1)?(B=0,Y=ya(427,d|0)|0,ha=B,B=0,!(ha&1)):0)?(ha=Lta(Y)|0,B=0,ga=Ia(40,$|0,Y|0,ha|0)|0,ha=B,B=0,!(ha&1)):0)?(B=0,Xa(239,ga|0,0)|0,ga=B,B=0,!(ga&1)):0){ga=Ab(20)|0;B=0;eb(502,t|0,124780,91);ha=B;B=0;do if(!(ha&1)){B=0;eb(502,u|0,138252,9);Y=B;B=0;if(Y&1){Y=Rb()|0;n=Q;Yua(t);ma=Y;na=n;break}B=0;wa(510,v|0,b|0);n=B;B=0;if(n&1){n=Rb()|0;oa=1;pa=Q;qa=n}else{B=0;ua(163,ga|0,t|0,u|0,197,v|0);n=B;B=0;if(n&1)ra=1;else{B=0;eb(503,ga|0,1240,229);B=0;ra=0}n=Rb()|0;Y=Q;Yua(v);oa=ra;pa=Y;qa=n}Yua(u);Yua(t);if(oa){ma=qa;na=pa}else{sa=pa;ta=qa;break e}}else{n=Rb()|0;ma=n;na=Q}while(0);zb(ga|0);sa=na;ta=ma}else U=80;while(0);if((U|0)==80){$=Rb()|0;sa=Q;ta=$}k[s>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(Z);Ava(b);vva(e);V=sa;W=ta;Qb(W|0)}while(0);ia=ka;ja=la;vva(e);Qb(ja|0)}}ja=k[g>>2]|0;if(ja)Tqa(ja);r=a;return}function J5(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;a=Hc[k[(k[b>>2]|0)+172>>2]&511](b)|0;e=a>>>0>536870911?-1:a<<3;f=Rqa(e)|0;if(a)WEa(f|0,0,a<<3|0)|0;g=Rqa(e)|0;e=Rqa(a>>>0>1073741823?-1:a<<2)|0;Mp(b,e,d,0);xp(b,g,934);if((a|0)>0){b=0;do{p[f+(b<<3)>>3]=-+p[g+(b<<3)>>3];b=b+1|0}while((b|0)!=(a|0))}if(!(k[c>>2]|0)){Tqa(f);Tqa(g);Tqa(e);return}b=k[k[c+4>>2]>>2]|0;Dc[k[(k[b>>2]|0)+16>>2]&255](b,a,e,f,0);Tqa(f);Tqa(g);Tqa(e);return}function K5(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0.0,x=0;a=r;r=r+80|0;e=a+56|0;f=a+48|0;g=a+24|0;h=a;i=a+64|0;k[i>>2]=0;j=Hc[k[(k[b>>2]|0)+172>>2]&511](b)|0;l=j>>>0>536870911?-1:j<<3;m=Rqa(l)|0;n=Rqa(l)|0;if(j)WEa(n|0,0,j<<3|0)|0;l=Rqa(j>>>0>1073741823?-1:j<<2)|0;Uo(b,i);Mp(b,l,d,0);d=Wo(b,353)|0;o=Wo(b,934)|0;q=ed[k[(k[b>>2]|0)+308>>2]&511](b,4)|0;s=Hc[k[(k[q>>2]|0)+8>>2]&511](q)|0;a:do if((s|0)<(Hc[k[(k[q>>2]|0)+12>>2]&511](q)|0)){t=q+8|0;if((j|0)>0)u=s;else{v=s;while(1){Fc[k[(k[q>>2]|0)+24>>2]&1023](q,v);rd[k[(k[o>>2]|0)+60>>2]&511](o,g,k[i>>2]|0,q);nd[k[(k[d>>2]|0)+48>>2]&1023](d,e,q);rd[k[(k[d>>2]|0)+60>>2]&511](d,h,k[i>>2]|0,q);rd[k[(k[b>>2]|0)+260>>2]&511](b,f,k[i>>2]|0,q);nd[k[(k[b>>2]|0)+356>>2]&1023](b,m,q);v=v+1|0;if((v|0)>=(Hc[k[(k[q>>2]|0)+12>>2]&511](q)|0))break a}}do{Fc[k[(k[q>>2]|0)+24>>2]&1023](q,u);rd[k[(k[o>>2]|0)+60>>2]&511](o,g,k[i>>2]|0,q);nd[k[(k[d>>2]|0)+48>>2]&1023](d,e,q);rd[k[(k[d>>2]|0)+60>>2]&511](d,h,k[i>>2]|0,q);rd[k[(k[b>>2]|0)+260>>2]&511](b,f,k[i>>2]|0,q);nd[k[(k[b>>2]|0)+356>>2]&1023](b,m,q);w=+p[e>>3]*+p[g>>3]*+p[f>>3];v=0;do{x=n+(v<<3)|0;p[x>>3]=+p[x>>3]+w*+p[t>>3]*+p[m+(v<<3)>>3];v=v+1|0}while((v|0)!=(j|0));u=u+1|0}while((u|0)<(Hc[k[(k[q>>2]|0)+12>>2]&511](q)|0))}while(0);if(k[c>>2]|0){u=k[k[c+4>>2]>>2]|0;Dc[k[(k[u>>2]|0)+16>>2]&255](u,j,l,n,1)}j=k[i>>2]|0;if(j)Tqa(j);k[i>>2]=0;Tqa(m);Tqa(n);Tqa(l);if(!q){r=a;return}Ec[k[(k[q>>2]|0)+4>>2]&1023](q);r=a;return}function L5(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0;a=r;r=r+80|0;e=a+56|0;f=a+48|0;g=a+24|0;h=a;i=a+64|0;k[i>>2]=0;j=Hc[k[(k[b>>2]|0)+172>>2]&511](b)|0;l=j>>>0>536870911?-1:j<<3;m=Rqa(l)|0;n=Rqa(l)|0;if(j)WEa(n|0,0,j<<3|0)|0;l=Rqa(j>>>0>1073741823?-1:j<<2)|0;Uo(b,i);Mp(b,l,d,0);d=Wo(b,353)|0;o=Wo(b,934)|0;q=ed[k[(k[b>>2]|0)+308>>2]&511](b,4)|0;s=Hc[k[(k[q>>2]|0)+8>>2]&511](q)|0;a:do if((s|0)<(Hc[k[(k[q>>2]|0)+12>>2]&511](q)|0)){t=g+8|0;u=q+8|0;if((j|0)>0)v=s;else{w=s;while(1){Fc[k[(k[q>>2]|0)+24>>2]&1023](q,w);rd[k[(k[o>>2]|0)+60>>2]&511](o,g,k[i>>2]|0,q);nd[k[(k[d>>2]|0)+48>>2]&1023](d,e,q);rd[k[(k[d>>2]|0)+60>>2]&511](d,h,k[i>>2]|0,q);rd[k[(k[b>>2]|0)+260>>2]&511](b,f,k[i>>2]|0,q);nd[k[(k[b>>2]|0)+356>>2]&1023](b,m,q);w=w+1|0;if((w|0)>=(Hc[k[(k[q>>2]|0)+12>>2]&511](q)|0))break a}}do{Fc[k[(k[q>>2]|0)+24>>2]&1023](q,v);rd[k[(k[o>>2]|0)+60>>2]&511](o,g,k[i>>2]|0,q);nd[k[(k[d>>2]|0)+48>>2]&1023](d,e,q);rd[k[(k[d>>2]|0)+60>>2]&511](d,h,k[i>>2]|0,q);rd[k[(k[b>>2]|0)+260>>2]&511](b,f,k[i>>2]|0,q);nd[k[(k[b>>2]|0)+356>>2]&1023](b,m,q);x=+p[e>>3]*+p[t>>3]*+p[f>>3];w=0;do{y=n+(w<<3)|0;p[y>>3]=+p[y>>3]+x*+p[u>>3]*+p[m+(w<<3)>>3];w=w+1|0}while((w|0)!=(j|0));v=v+1|0}while((v|0)<(Hc[k[(k[q>>2]|0)+12>>2]&511](q)|0))}while(0);if(k[c>>2]|0){v=k[k[c+4>>2]>>2]|0;Dc[k[(k[v>>2]|0)+16>>2]&255](v,j,l,n,1)}j=k[i>>2]|0;if(j)Tqa(j);k[i>>2]=0;Tqa(m);Tqa(n);Tqa(l);if(!q){r=a;return}Ec[k[(k[q>>2]|0)+4>>2]&1023](q);r=a;return}function M5(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;a=r;r=r+192|0;d=a+180|0;e=a+176|0;f=a+40|0;g=a+24|0;h=a+12|0;i=a;cp(c,e,298);switch(k[e>>2]|0){case 300:{nd[k[(k[c>>2]|0)+232>>2]&1023](c,b,934);r=a;return}case 302:{nd[k[(k[c>>2]|0)+228>>2]&1023](c,b,934);r=a;return}default:{a=f+56|0;b=f+4|0;k[f>>2]=27524;k[a>>2]=27544;B=0;wa(508,f+56|0,b|0);c=B;B=0;if(c&1){c=Rb()|0;j=Q;l=c;vva(a);Qb(l|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[a>>2]=27488;B=0;va(448,b|0);c=B;B=0;do if(c&1){m=Rb()|0;n=Q;o=m}else{k[b>>2]=27560;m=f+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[f+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,b|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(b);n=q;o=p;break}Yua(d);B=0;p=Ia(40,f|0,144639,5)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[e>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,146481,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,g|0,124780,91);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,137199,23);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(g);u=p;v=q;break}B=0;wa(510,i|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,g|0,h|0,333,i|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(i);w=p;x=q;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(a);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[f>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(a);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[f>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(a);Qb(C|0)}while(0);j=n;l=o;vva(a);Qb(l|0)}}}function N5(a,b){a=a|0;b=b|0;return}function O5(a){a=a|0;return}function P5(a){a=a|0;Sqa(a);return}function Q5(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,124917,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,135838,17);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,9,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function R5(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,124917,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,135856,11);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,12,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function S5(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,124917,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,145111,11);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,15,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function T5(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 1}function U5(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,124917,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,136133,14);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,21,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function V5(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,124917,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,136199,16);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,24,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function W5(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,124917,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138209,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,29,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function X5(a,b){a=a|0;b=b|0;return 0}function Y5(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,124917,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,36,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function Z5(a,b){a=a|0;b=b|0;var c=0;a=Qqa(4)|0;k[a>>2]=38316;c=ed[k[38360>>2]&511](a,b)|0;Ec[k[(k[a>>2]|0)+4>>2]&1023](a);return c|0}function _5(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;a=r;r=r+240|0;c=a+220|0;d=a+216|0;e=a+24|0;f=a+16|0;g=a+8|0;h=a;i=a+212|0;j=a+208|0;l=a+72|0;m=a+56|0;n=a+44|0;o=a+32|0;k[i>>2]=0;k[j>>2]=0;q=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;s=iq(b,536)|0;t=Rqa(q>>>0>536870911?-1:q<<3)|0;u=q<<1;v=Rqa(u>>>0>536870911?-1:u<<3)|0;Uo(b,j);cp(b,d,199);qp(b,i,0,180);u=Wo(b,339)|0;w=Wo(b,202)|0;x=Wo(b,179)|0;Wo(b,674)|0;Wo(b,677)|0;y=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;z=Hc[k[(k[y>>2]|0)+8>>2]&511](y)|0;a:do if((z|0)<(Hc[k[(k[y>>2]|0)+12>>2]&511](y)|0)){A=(q|0)>0;C=y+8|0;D=s+4|0;E=z;b:while(1){Fc[k[(k[y>>2]|0)+24>>2]&1023](y,E);rd[k[(k[b>>2]|0)+260>>2]&511](b,e,k[j>>2]|0,y);nd[k[(k[b>>2]|0)+336>>2]&1023](b,t,y);rd[k[(k[b>>2]|0)+340>>2]&511](b,v,k[j>>2]|0,y);nd[k[(k[u>>2]|0)+48>>2]&1023](u,f,y);nd[k[(k[w>>2]|0)+48>>2]&1023](w,g,y);c:do if((k[d>>2]|0)>0){F=k[i>>2]|0;if(A){G=F;H=0}else{I=F;F=0;while(1){rd[k[(k[x>>2]|0)+56>>2]&511](x,h,y,k[I+(F<<2)>>2]|0);I=k[i>>2]|0;if((k[I+(F<<2)>>2]|0)!=670){J=F;break b}F=F+1|0;if((F|0)>=(k[d>>2]|0))break c}}do{rd[k[(k[x>>2]|0)+56>>2]&511](x,h,y,k[G+(H<<2)>>2]|0);G=k[i>>2]|0;if((k[G+(H<<2)>>2]|0)!=670){J=H;break b}F=k[D>>2]|0;I=0;do{K=F+(I<<3)|0;p[K>>3]=(+p[g>>3]-+p[f>>3])*+p[h>>3]*+p[e>>3]*+p[C>>3]*+p[t+(I<<3)>>3]+ +p[K>>3];I=I+1|0}while((I|0)!=(q|0));H=H+1|0}while((H|0)<(k[d>>2]|0))}while(0);E=E+1|0;if((E|0)>=(Hc[k[(k[y>>2]|0)+12>>2]&511](y)|0))break a}E=l+56|0;C=l+4|0;k[l>>2]=27524;k[E>>2]=27544;B=0;wa(508,l+56|0,C|0);D=B;B=0;if(D&1){D=Rb()|0;L=Q;M=D;vva(E);Qb(M|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[E>>2]=27488;B=0;va(448,C|0);D=B;B=0;do if(D&1){A=Rb()|0;N=Q;O=A}else{k[C>>2]=27560;A=l+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[l+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,C|0,c|0);I=B;B=0;if(I&1){I=Rb()|0;F=Q;Yua(c);Yua(A);Ava(C);N=F;O=I;break}Yua(c);B=0;I=Ia(40,l|0,125591,9)|0;F=B;B=0;if((((!(F&1)?(B=0,F=ya(427,k[(k[i>>2]|0)+(J<<2)>>2]|0)|0,K=B,B=0,!(K&1)):0)?(K=Lta(F)|0,B=0,P=Ia(40,I|0,F|0,K|0)|0,K=B,B=0,!(K&1)):0)?(B=0,K=Ia(40,P|0,146481,18)|0,P=B,B=0,!(P&1)):0)?(B=0,Xa(239,K|0,0)|0,K=B,B=0,!(K&1)):0){K=Ab(20)|0;B=0;eb(502,m|0,124917,92);P=B;B=0;do if(!(P&1)){B=0;eb(502,n|0,144203,13);F=B;B=0;if(F&1){F=Rb()|0;I=Q;Yua(m);R=I;S=F;break}B=0;wa(510,o|0,C|0);F=B;B=0;if(F&1){F=Rb()|0;T=Q;U=F;V=1}else{B=0;ua(163,K|0,m|0,n|0,94,o|0);F=B;B=0;if(F&1)W=1;else{B=0;eb(503,K|0,1240,229);B=0;W=0}F=Rb()|0;I=Q;Yua(o);T=I;U=F;V=W}Yua(n);Yua(m);if(V){R=T;S=U}else{X=T;Y=U;k[l>>2]=27468;k[E>>2]=27488;k[C>>2]=27560;Yua(A);Ava(C);vva(E);Qb(Y|0)}}else{F=Rb()|0;R=Q;S=F}while(0);zb(K|0);X=R;Y=S;k[l>>2]=27468;k[E>>2]=27488;k[C>>2]=27560;Yua(A);Ava(C);vva(E);Qb(Y|0)}P=Rb()|0;X=Q;Y=P;k[l>>2]=27468;k[E>>2]=27488;k[C>>2]=27560;Yua(A);Ava(C);vva(E);Qb(Y|0)}while(0);L=N;M=O;vva(E);Qb(M|0)}while(0);M=k[i>>2]|0;if(M)Tqa(M);k[i>>2]=0;i=k[j>>2]|0;if(i)Tqa(i);k[j>>2]=0;Tqa(t);Tqa(v);if(!y){r=a;return s|0}Ec[k[(k[y>>2]|0)+4>>2]&1023](y);r=a;return s|0}function $5(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,124917,92);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138230,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,109,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function a6(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0;a=r;r=r+384|0;f=a+360|0;g=a+356|0;h=a+352|0;i=a+216|0;j=a+200|0;l=a+48|0;m=a+36|0;n=a+64|0;o=a+24|0;p=a+12|0;q=a;if(!($p(c)|0)){r=a;return}k[g>>2]=0;cp(c,h,199);qp(c,g,0,180);s=k[h>>2]|0;a:do if((s|0)>0){h=k[g>>2]|0;t=0;while(1){if((k[h+(t<<2)>>2]|0)!=670){u=t;break}t=t+1|0;if((t|0)>=(s|0))break a}t=i+56|0;h=i+4|0;k[i>>2]=27524;k[t>>2]=27544;B=0;wa(508,i+56|0,h|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;x=v;vva(t);Qb(x|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[t>>2]=27488;B=0;va(448,h|0);v=B;B=0;do if(v&1){y=Rb()|0;z=Q;A=y}else{k[h>>2]=27560;y=i+36|0;k[y>>2]=0;k[y+4>>2]=0;k[y+8>>2]=0;k[y+12>>2]=0;k[i+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,h|0,f|0);C=B;B=0;if(C&1){C=Rb()|0;D=Q;Yua(f);Yua(y);Ava(h);z=D;A=C;break}Yua(f);B=0;C=Ia(40,i|0,125591,9)|0;D=B;B=0;b:do if((((!(D&1)?(B=0,E=ya(427,k[(k[g>>2]|0)+(u<<2)>>2]|0)|0,F=B,B=0,!(F&1)):0)?(F=Lta(E)|0,B=0,G=Ia(40,C|0,E|0,F|0)|0,F=B,B=0,!(F&1)):0)?(B=0,F=Ia(40,G|0,146481,18)|0,G=B,B=0,!(G&1)):0)?(B=0,Xa(239,F|0,0)|0,F=B,B=0,!(F&1)):0){F=Ab(20)|0;B=0;eb(502,j|0,124917,92);G=B;B=0;do if(!(G&1)){B=0;eb(502,l|0,138252,9);E=B;B=0;if(E&1){E=Rb()|0;H=Q;Yua(j);I=E;J=H;break}B=0;wa(510,m|0,h|0);H=B;B=0;if(H&1){H=Rb()|0;K=Q;L=H;M=1}else{B=0;ua(163,F|0,j|0,l|0,134,m|0);H=B;B=0;if(H&1)N=1;else{B=0;eb(503,F|0,1240,229);B=0;N=0}H=Rb()|0;E=Q;Yua(m);K=E;L=H;M=N}Yua(l);Yua(j);if(M){I=L;J=K}else{O=L;P=K;break b}}else{H=Rb()|0;I=H;J=Q}while(0);zb(F|0);O=I;P=J}else R=23;while(0);if((R|0)==23){C=Rb()|0;O=C;P=Q}k[i>>2]=27468;k[t>>2]=27488;k[h>>2]=27560;Yua(y);Ava(h);vva(t);S=P;T=O;Qb(T|0)}while(0);w=z;x=A;vva(t);Qb(x|0)}while(0);switch(d|0){case 379:{b6(0,c,b,e);break}case 36:{c6(0,c,b,e);break}default:{e=n+56|0;b=n+4|0;k[n>>2]=27524;k[e>>2]=27544;B=0;wa(508,n+56|0,b|0);c=B;B=0;if(c&1){c=Rb()|0;U=Q;V=c;vva(e);Qb(V|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[e>>2]=27488;B=0;va(448,b|0);c=B;B=0;do if(c&1){x=Rb()|0;W=Q;X=x}else{k[b>>2]=27560;x=n+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[n+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,b|0,f|0);A=B;B=0;if(A&1){A=Rb()|0;z=Q;Yua(f);Yua(x);Ava(b);W=z;X=A;break}Yua(f);B=0;A=Ia(40,n|0,125227,32)|0;z=B;B=0;c:do if(((!(z&1)?(B=0,w=ya(427,d|0)|0,O=B,B=0,!(O&1)):0)?(O=Lta(w)|0,B=0,P=Ia(40,A|0,w|0,O|0)|0,O=B,B=0,!(O&1)):0)?(B=0,Xa(239,P|0,0)|0,P=B,B=0,!(P&1)):0){P=Ab(20)|0;B=0;eb(502,o|0,124917,92);O=B;B=0;do if(!(O&1)){B=0;eb(502,p|0,138252,9);w=B;B=0;if(w&1){w=Rb()|0;i=Q;Yua(o);Y=w;Z=i;break}B=0;wa(510,q|0,b|0);i=B;B=0;if(i&1){i=Rb()|0;_=1;$=Q;aa=i}else{B=0;ua(163,P|0,o|0,p|0,141,q|0);i=B;B=0;if(i&1)ba=1;else{B=0;eb(503,P|0,1240,229);B=0;ba=0}i=Rb()|0;w=Q;Yua(q);_=ba;$=w;aa=i}Yua(p);Yua(o);if(_){Y=aa;Z=$}else{ca=$;da=aa;break c}}else{i=Rb()|0;Y=i;Z=Q}while(0);zb(P|0);ca=Z;da=Y}else R=52;while(0);if((R|0)==52){A=Rb()|0;ca=Q;da=A}k[n>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(x);Ava(b);vva(e);S=ca;T=da;Qb(T|0)}while(0);U=W;V=X;vva(e);Qb(V|0)}}V=k[g>>2]|0;if(V)Tqa(V);r=a;return}function b6(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0,D=0.0,E=0.0,F=0;a=r;r=r+64|0;e=a+40|0;f=a+24|0;g=a+16|0;h=a+8|0;i=a;j=a+56|0;k[j>>2]=0;l=Hc[k[(k[b>>2]|0)+172>>2]&511](b)|0;m=l>>>0>536870911?-1:l<<3;n=Rqa(m)|0;o=Rqa(m)|0;if(l)WEa(o|0,0,l<<3|0)|0;m=Rqa(l>>>0>1073741823?-1:l<<2)|0;Uo(b,j);Mp(b,m,d,0);d=Wo(b,934)|0;q=Wo(b,339)|0;s=Wo(b,380)|0;t=Wo(b,379)|0;u=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;v=Hc[k[(k[u>>2]|0)+8>>2]&511](u)|0;a:do if((v|0)<(Hc[k[(k[u>>2]|0)+12>>2]&511](u)|0)){w=u+8|0;x=f+8|0;y=e+8|0;if((l|0)>0)z=v;else{A=v;while(1){Fc[k[(k[u>>2]|0)+24>>2]&1023](u,A);rd[k[(k[b>>2]|0)+260>>2]&511](b,i,k[j>>2]|0,u);nd[k[(k[b>>2]|0)+356>>2]&1023](b,n,u);nd[k[(k[s>>2]|0)+48>>2]&1023](s,g,u);nd[k[(k[t>>2]|0)+48>>2]&1023](t,h,u);rd[k[(k[d>>2]|0)+60>>2]&511](d,e,k[j>>2]|0,u);rd[k[(k[q>>2]|0)+60>>2]&511](q,f,k[j>>2]|0,u);A=A+1|0;if((A|0)>=(Hc[k[(k[u>>2]|0)+12>>2]&511](u)|0))break a}}do{Fc[k[(k[u>>2]|0)+24>>2]&1023](u,z);rd[k[(k[b>>2]|0)+260>>2]&511](b,i,k[j>>2]|0,u);nd[k[(k[b>>2]|0)+356>>2]&1023](b,n,u);nd[k[(k[s>>2]|0)+48>>2]&1023](s,g,u);nd[k[(k[t>>2]|0)+48>>2]&1023](t,h,u);rd[k[(k[d>>2]|0)+60>>2]&511](d,e,k[j>>2]|0,u);rd[k[(k[q>>2]|0)+60>>2]&511](q,f,k[j>>2]|0,u);B=+p[i>>3];C=+p[g>>3];D=+ja(+(+p[h>>3]));E=+p[f>>3]*+p[e>>3]+ +p[x>>3]*+p[y>>3];A=0;do{F=o+(A<<3)|0;p[F>>3]=+p[F>>3]-B*+p[w>>3]*+p[n+(A<<3)>>3]*D*C*E;A=A+1|0}while((A|0)!=(l|0));z=z+1|0}while((z|0)<(Hc[k[(k[u>>2]|0)+12>>2]&511](u)|0))}while(0);if(k[c>>2]|0){z=k[k[c+4>>2]>>2]|0;Dc[k[(k[z>>2]|0)+16>>2]&255](z,l,m,o,1)}Tqa(o);o=k[j>>2]|0;if(o)Tqa(o);k[j>>2]=0;Tqa(n);Tqa(m);if(!u){r=a;return}Ec[k[(k[u>>2]|0)+4>>2]&1023](u);r=a;return}function c6(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0.0,u=0.0,v=0;a=r;r=r+32|0;e=a+8|0;f=a;g=a+16|0;k[g>>2]=0;h=Hc[k[(k[b>>2]|0)+172>>2]&511](b)|0;i=h>>>0>536870911?-1:h<<3;j=Rqa(i)|0;l=Rqa(i)|0;if(h)WEa(l|0,0,h<<3|0)|0;i=Rqa(h>>>0>1073741823?-1:h<<2)|0;Uo(b,g);Mp(b,i,d,0);d=Wo(b,934)|0;m=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;n=Hc[k[(k[m>>2]|0)+8>>2]&511](m)|0;a:do if((n|0)<(Hc[k[(k[m>>2]|0)+12>>2]&511](m)|0)){o=m+8|0;if((h|0)>0)q=n;else{s=n;while(1){Fc[k[(k[m>>2]|0)+24>>2]&1023](m,s);rd[k[(k[b>>2]|0)+260>>2]&511](b,f,k[g>>2]|0,m);nd[k[(k[b>>2]|0)+356>>2]&1023](b,j,m);nd[k[(k[d>>2]|0)+48>>2]&1023](d,e,m);s=s+1|0;if((s|0)>=(Hc[k[(k[m>>2]|0)+12>>2]&511](m)|0))break a}}do{Fc[k[(k[m>>2]|0)+24>>2]&1023](m,q);rd[k[(k[b>>2]|0)+260>>2]&511](b,f,k[g>>2]|0,m);nd[k[(k[b>>2]|0)+356>>2]&1023](b,j,m);nd[k[(k[d>>2]|0)+48>>2]&1023](d,e,m);t=+p[f>>3];u=+p[e>>3];s=0;do{v=l+(s<<3)|0;p[v>>3]=+p[v>>3]-t*+p[o>>3]*+p[j+(s<<3)>>3]*u;s=s+1|0}while((s|0)!=(h|0));q=q+1|0}while((q|0)<(Hc[k[(k[m>>2]|0)+12>>2]&511](m)|0))}while(0);if(k[c>>2]|0){q=k[k[c+4>>2]>>2]|0;Dc[k[(k[q>>2]|0)+16>>2]&255](q,h,i,l,1)}Tqa(l);l=k[g>>2]|0;if(l)Tqa(l);k[g>>2]=0;Tqa(j);Tqa(i);if(!m){r=a;return}Ec[k[(k[m>>2]|0)+4>>2]&1023](m);r=a;return}function d6(a,b,c){a=a|0;b=b|0;c=c|0;nd[k[(k[c>>2]|0)+232>>2]&1023](c,b,934);return}function e6(a,b){a=a|0;b=b|0;return}function f6(a){a=a|0;Sqa(a);return}function g6(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,125033,80);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,135838,17);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,9,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function h6(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,125033,80);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,135856,11);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,12,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function i6(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,125033,80);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,145111,11);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,15,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function j6(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,125033,80);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,135868,11);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,18,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0);return 0}function k6(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,125033,80);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,136133,14);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,21,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function l6(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,125033,80);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,136199,16);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,24,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function m6(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,125033,80);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138209,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,29,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function n6(a,b){a=a|0;b=b|0;return 0}function o6(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,125033,80);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,36,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function p6(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;a=r;r=r+192|0;c=a+180|0;d=a+176|0;e=a+40|0;f=a+24|0;g=a+12|0;h=a;Ap(b,d,533);switch(k[d>>2]|0){case 536:{i=q6(0,b)|0;r=a;return i|0}case 539:{i=r6(0,b)|0;r=a;return i|0}case 540:{i=s6(0,b)|0;r=a;return i|0}case 542:{i=t6(0,b)|0;r=a;return i|0}case 534:{i=0;r=a;return i|0}default:{i=e+56|0;a=e+4|0;k[e>>2]=27524;k[i>>2]=27544;B=0;wa(508,e+56|0,a|0);b=B;B=0;if(b&1){b=Rb()|0;j=Q;l=b;vva(i);Qb(l|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[i>>2]=27488;B=0;va(448,a|0);b=B;B=0;do if(b&1){m=Rb()|0;n=Q;o=m}else{k[a>>2]=27560;m=e+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,a|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(a);n=q;o=p;break}Yua(c);B=0;p=Ia(40,e|0,127478,14)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[d>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,144645,14)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,f|0,125033,80);t=B;B=0;do if(!(t&1)){B=0;eb(502,g|0,144189,13);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(f);u=p;v=q;break}B=0;wa(510,h|0,a|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,f|0,g|0,53,h|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(h);w=p;x=q;y=z}Yua(g);Yua(f);if(y){u=w;v=x}else{A=w;C=x;k[e>>2]=27468;k[i>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(i);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[e>>2]=27468;k[i>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(i);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[e>>2]=27468;k[i>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(i);Qb(C|0)}while(0);j=n;l=o;vva(i);Qb(l|0)}}return 0}function q6(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Y=0,Z=0,_=0;a=r;r=r+240|0;c=a+220|0;d=a+216|0;e=a+40|0;f=a+204|0;g=a+192|0;h=a+180|0;j=a+32|0;l=a+24|0;m=a;n=a+176|0;cp(b,d,298);a:do switch(k[d>>2]|0){case 300:{o=b;break}case 302:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){o=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;break a}else{q=0;r=a;return q|0}break}default:{s=e+56|0;t=e+4|0;k[e>>2]=27524;k[s>>2]=27544;B=0;wa(508,e+56|0,t|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;w=u;vva(s);Qb(w|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[s>>2]=27488;B=0;va(448,t|0);u=B;B=0;do if(u&1){x=Rb()|0;y=Q;z=x}else{k[t>>2]=27560;x=e+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,t|0,c|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(c);Yua(x);Ava(t);y=C;z=A;break}Yua(c);B=0;A=Ia(40,e|0,144639,5)|0;C=B;B=0;if((((!(C&1)?(B=0,C=ya(427,k[d>>2]|0)|0,D=B,B=0,!(D&1)):0)?(D=Lta(C)|0,B=0,E=Ia(40,A|0,C|0,D|0)|0,D=B,B=0,!(D&1)):0)?(B=0,D=Ia(40,E|0,146481,18)|0,E=B,B=0,!(E&1)):0)?(B=0,Xa(239,D|0,0)|0,D=B,B=0,!(D&1)):0){D=Ab(20)|0;B=0;eb(502,f|0,125033,80);E=B;B=0;do if(!(E&1)){B=0;eb(502,g|0,128218,16);C=B;B=0;if(C&1){C=Rb()|0;A=Q;Yua(f);F=C;G=A;break}B=0;wa(510,h|0,t|0);A=B;B=0;if(A&1){A=Rb()|0;H=A;I=Q;J=1}else{B=0;ua(163,D|0,f|0,g|0,243,h|0);A=B;B=0;if(A&1)K=1;else{B=0;eb(503,D|0,1240,229);B=0;K=0}A=Rb()|0;C=Q;Yua(h);H=A;I=C;J=K}Yua(g);Yua(f);if(J){F=H;G=I}else{L=H;M=I;k[e>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);Qb(L|0)}}else{C=Rb()|0;F=C;G=Q}while(0);zb(D|0);L=F;M=G;k[e>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);Qb(L|0)}E=Rb()|0;L=E;M=Q;k[e>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);Qb(L|0)}while(0);v=y;w=z;vva(s);Qb(w|0)}}while(0);k[n>>2]=0;w=Hc[k[(k[o>>2]|0)+164>>2]&511](o)|0;op(o,c,184);z=Qqa(4)|0;k[z>>2]=38696;y=ed[k[38740>>2]&511](z,b)|0;Ec[k[(k[z>>2]|0)+4>>2]&1023](z);if(!(i[c>>0]|0)){Uo(o,n);c=Wo(o,674)|0;z=Wo(o,677)|0;b=Wo(o,353)|0;v=w<<1;L=Rqa(v>>>0>536870911?-1:v<<3)|0;M=ed[k[(k[o>>2]|0)+308>>2]&511](o,2)|0;G=Hc[k[(k[M>>2]|0)+8>>2]&511](M)|0;if((G|0)<(Hc[k[(k[M>>2]|0)+12>>2]&511](M)|0)){F=o+28|0;I=m+8|0;H=m+16|0;J=(w|0)>0;f=M+8|0;g=y+12|0;K=G;do{Fc[k[(k[M>>2]|0)+24>>2]&1023](M,K);rd[k[(k[o>>2]|0)+260>>2]&511](o,e,k[n>>2]|0,M);rd[k[(k[o>>2]|0)+340>>2]&511](o,L,k[n>>2]|0,M);nd[k[(k[b>>2]|0)+48>>2]&1023](b,j,M);Xo(o,m,k[n>>2]|0,M,c,z);G=k[F>>2]|0;nd[k[(k[G>>2]|0)+132>>2]&1023](G,l,m);N=+p[m>>3];O=+p[I>>3];P=N*2.0+O;R=+p[H>>3];S=N+O*2.0;if(J){G=k[g>>2]|0;h=0;do{t=L+(h<<3)|0;u=L+(h+w<<3)|0;E=h<<1;C=ma(E,v)|0;A=ma(E|1,v)|0;E=0;do{O=+p[t>>3];N=+p[u>>3];T=P*O+R*N;U=+p[L+(E<<3)>>3];V=+p[L+(E+w<<3)>>3];W=P*U+R*V;X=R*O+S*N;N=R*U+S*V;Y=E<<1;Z=Y+C|0;_=G+(Z<<3)|0;p[_>>3]=+p[_>>3]+T*(W*(+p[j>>3]*(+p[l>>3]*(+p[f>>3]*+p[e>>3]*2.0))));_=G+((Z|1)<<3)|0;p[_>>3]=+p[_>>3]+T*(N*(+p[j>>3]*(+p[l>>3]*(+p[f>>3]*+p[e>>3]*2.0))));_=Y+A|0;Y=G+(_<<3)|0;p[Y>>3]=+p[Y>>3]+X*(W*(+p[j>>3]*(+p[l>>3]*(+p[f>>3]*+p[e>>3]*2.0))));Y=G+((_|1)<<3)|0;p[Y>>3]=+p[Y>>3]+X*(N*(+p[j>>3]*(+p[l>>3]*(+p[f>>3]*+p[e>>3]*2.0))));E=E+1|0}while((E|0)!=(w|0));h=h+1|0}while((h|0)!=(w|0))}K=K+1|0}while((K|0)<(Hc[k[(k[M>>2]|0)+12>>2]&511](M)|0))}Fq(o,y,971);Ec[k[(k[M>>2]|0)+4>>2]&1023](M);Tqa(L);L=k[n>>2]|0;if(L)Tqa(L);k[n>>2]=0;if((k[d>>2]|0)!=300?(ap(o),(o|0)!=0):0)Ec[k[(k[o>>2]|0)+4>>2]&1023](o)}else if((k[d>>2]|0)!=300?(ap(o),(o|0)!=0):0)Ec[k[(k[o>>2]|0)+4>>2]&1023](o);q=y;r=a;return q|0}function r6(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;a=r;r=r+192|0;c=a+176|0;d=a+188|0;e=a+40|0;f=a+24|0;g=a+12|0;h=a;j=Qqa(4)|0;k[j>>2]=38696;l=ed[k[38740>>2]&511](j,b)|0;Ec[k[(k[j>>2]|0)+4>>2]&1023](j);op(b,d,184);if(i[d>>0]|0){r=a;return l|0}l=e+56|0;a=e+4|0;k[e>>2]=27524;k[l>>2]=27544;B=0;wa(508,e+56|0,a|0);d=B;B=0;if(d&1){d=Rb()|0;m=Q;n=d;vva(l);Qb(n|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[l>>2]=27488;B=0;va(448,a|0);d=B;B=0;do if(d&1){b=Rb()|0;o=Q;p=b}else{k[a>>2]=27560;b=e+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,a|0,c|0);j=B;B=0;if(j&1){j=Rb()|0;q=Q;Yua(c);Yua(b);Ava(a);o=q;p=j;break}Yua(c);B=0;j=Ia(40,e|0,125114,46)|0;q=B;B=0;if(!(q&1)?(B=0,Xa(239,j|0,0)|0,j=B,B=0,!(j&1)):0){j=Ab(20)|0;B=0;eb(502,f|0,125033,80);q=B;B=0;do if(!(q&1)){B=0;eb(502,g|0,125161,17);s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(f);u=t;v=s;break}B=0;wa(510,h|0,a|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,j|0,f|0,g|0,223,h|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,j|0,1240,229);B=0;z=0}s=Rb()|0;t=Q;Yua(h);w=t;x=s;y=z}Yua(g);Yua(f);if(y){u=w;v=x}else{A=w;C=x;k[e>>2]=27468;k[l>>2]=27488;k[a>>2]=27560;Yua(b);Ava(a);vva(l);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(j|0);A=u;C=v;k[e>>2]=27468;k[l>>2]=27488;k[a>>2]=27560;Yua(b);Ava(a);vva(l);Qb(C|0)}q=Rb()|0;A=Q;C=q;k[e>>2]=27468;k[l>>2]=27488;k[a>>2]=27560;Yua(b);Ava(a);vva(l);Qb(C|0)}while(0);m=o;n=p;vva(l);Qb(n|0);return 0}function s6(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0,X=0,Y=0;a=r;r=r+64|0;c=a+60|0;d=a+48|0;e=a+40|0;f=a;g=a+56|0;k[g>>2]=0;h=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;op(b,c,184);j=Qqa(4)|0;k[j>>2]=38696;l=ed[k[38740>>2]&511](j,b)|0;Ec[k[(k[j>>2]|0)+4>>2]&1023](j);if(i[c>>0]|0){r=a;return l|0}Uo(b,g);c=Wo(b,674)|0;j=Wo(b,677)|0;m=h*3|0;n=Rqa(m>>>0>536870911?-1:m<<3)|0;m=ed[k[(k[b>>2]|0)+308>>2]&511](b,5)|0;o=Hc[k[(k[m>>2]|0)+8>>2]&511](m)|0;if((o|0)<(Hc[k[(k[m>>2]|0)+12>>2]&511](m)|0)){q=b+28|0;s=f+8|0;t=f+16|0;u=f+24|0;v=f+32|0;w=(h|0)>0;x=h<<1;y=m+8|0;z=l+12|0;A=o;do{Fc[k[(k[m>>2]|0)+24>>2]&1023](m,A);rd[k[(k[b>>2]|0)+260>>2]&511](b,d,k[g>>2]|0,m);rd[k[(k[b>>2]|0)+340>>2]&511](b,n,k[g>>2]|0,m);ep(b,f,k[g>>2]|0,m,c,j);o=k[q>>2]|0;nd[k[(k[o>>2]|0)+120>>2]&1023](o,e,f);B=+p[f>>3];C=+p[s>>3];D=B*2.0+C;E=+p[t>>3];F=B+C*2.0;C=+p[u>>3];B=+p[v>>3];if(w){o=k[z>>2]|0;G=0;do{H=n+(G<<3)|0;I=n+(G+h<<3)|0;J=n+(G+x<<3)|0;K=G<<1;L=ma(K,x)|0;M=ma(K|1,x)|0;K=0;do{N=+p[H>>3];O=+p[I>>3];P=+p[J>>3];Q=D*N+E*O+C*P;R=+p[n+(K<<3)>>3];S=+p[n+(K+h<<3)>>3];T=+p[n+(K+x<<3)>>3];U=D*R+E*S+C*T;V=E*N+F*O+B*P;P=E*R+F*S+B*T;W=K<<1;X=W+L|0;Y=o+(X<<3)|0;p[Y>>3]=+p[Y>>3]+Q*(U*(+p[e>>3]*(+p[y>>3]*+p[d>>3]*2.0)));Y=o+((X|1)<<3)|0;p[Y>>3]=+p[Y>>3]+Q*(P*(+p[e>>3]*(+p[y>>3]*+p[d>>3]*2.0)));Y=W+M|0;W=o+(Y<<3)|0;p[W>>3]=+p[W>>3]+V*(U*(+p[e>>3]*(+p[y>>3]*+p[d>>3]*2.0)));W=o+((Y|1)<<3)|0;p[W>>3]=+p[W>>3]+V*(P*(+p[e>>3]*(+p[y>>3]*+p[d>>3]*2.0)));K=K+1|0}while((K|0)!=(h|0));G=G+1|0}while((G|0)!=(h|0))}A=A+1|0}while((A|0)<(Hc[k[(k[m>>2]|0)+12>>2]&511](m)|0))}Fq(b,l,971);Ec[k[(k[m>>2]|0)+4>>2]&1023](m);Tqa(n);n=k[g>>2]|0;if(n)Tqa(n);k[g>>2]=0;r=a;return l|0}function t6(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0.0,Y=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,ya=0;a=r;r=r+256|0;c=a+240|0;d=a+252|0;e=a+236|0;f=a+48|0;g=a+40|0;h=a;j=a+232|0;l=a+96|0;m=a+80|0;n=a+68|0;o=a+56|0;k[j>>2]=0;cp(b,e,299);q=Hc[k[(k[b>>2]|0)+396>>2]&511](b)|0;s=Hc[k[(k[b>>2]|0)+392>>2]&511](b)|0;t=(ma(k[e>>2]|0,q)|0)+s|0;op(b,d,184);s=Qqa(4)|0;k[s>>2]=38696;u=ed[k[38740>>2]&511](s,b)|0;Ec[k[(k[s>>2]|0)+4>>2]&1023](s);if(i[d>>0]|0){r=a;return u|0}Uo(b,j);d=Wo(b,674)|0;s=Wo(b,677)|0;if((k[e>>2]|0)==3){Wo(b,679)|0;v=ma(k[e>>2]|0,q)|0;e=Rqa(v>>>0>536870911?-1:v<<3)|0;v=ed[k[(k[b>>2]|0)+308>>2]&511](b,5)|0;w=Hc[k[(k[v>>2]|0)+8>>2]&511](v)|0;if((w|0)<(Hc[k[(k[v>>2]|0)+12>>2]&511](v)|0)){x=b+28|0;y=h+16|0;z=h+24|0;A=h+8|0;C=h+32|0;D=(q|0)>0;E=q<<1;F=v+8|0;G=u+12|0;H=w;do{Fc[k[(k[v>>2]|0)+24>>2]&1023](v,H);rd[k[(k[b>>2]|0)+260>>2]&511](b,f,k[j>>2]|0,v);rd[k[(k[b>>2]|0)+340>>2]&511](b,e,k[j>>2]|0,v);ep(b,h,k[j>>2]|0,v,d,s);w=k[x>>2]|0;nd[k[(k[w>>2]|0)+112>>2]&1023](w,g,h);I=+p[h>>3];J=+p[y>>3];K=+p[z>>3];L=+p[A>>3];M=+p[C>>3];N=-I-L;if(D){w=k[G>>2]|0;O=0;do{P=e+(O<<3)|0;R=e+(O+q<<3)|0;S=e+(O+E<<3)|0;T=O<<2;U=ma(T,t)|0;V=ma(T|1,t)|0;W=ma(T|2,t)|0;T=0;do{X=+p[P>>3];Y=+p[R>>3];Z=+p[S>>3];_=I*X+J*Y+K*Z;$=+p[e+(T<<3)>>3];aa=+p[e+(T+q<<3)>>3];ba=+p[e+(T+E<<3)>>3];ca=I*$+J*aa+K*ba;da=J*X+L*Y+M*Z;ea=J*$+L*aa+M*ba;fa=K*X+M*Y+N*Z;Z=K*$+M*aa+N*ba;ga=T<<2;ha=ga+U|0;ia=w+(ha<<3)|0;p[ia>>3]=+p[ia>>3]+_*(ca*(+p[g>>3]*(+p[F>>3]*+p[f>>3]*2.0)));ia=w+((ha|1)<<3)|0;p[ia>>3]=+p[ia>>3]+_*(ea*(+p[g>>3]*(+p[F>>3]*+p[f>>3]*2.0)));ia=w+((ha|2)<<3)|0;p[ia>>3]=+p[ia>>3]+_*(Z*(+p[g>>3]*(+p[F>>3]*+p[f>>3]*2.0)));ia=ga+V|0;ha=w+(ia<<3)|0;p[ha>>3]=+p[ha>>3]+da*(ca*(+p[g>>3]*(+p[F>>3]*+p[f>>3]*2.0)));ha=w+(ia+1<<3)|0;p[ha>>3]=+p[ha>>3]+da*(ea*(+p[g>>3]*(+p[F>>3]*+p[f>>3]*2.0)));ha=w+(ia+2<<3)|0;p[ha>>3]=+p[ha>>3]+da*(Z*(+p[g>>3]*(+p[F>>3]*+p[f>>3]*2.0)));ha=ga+W|0;ga=w+(ha<<3)|0;p[ga>>3]=+p[ga>>3]+fa*(ca*(+p[g>>3]*(+p[F>>3]*+p[f>>3]*2.0)));ga=w+((ha|1)<<3)|0;p[ga>>3]=+p[ga>>3]+fa*(ea*(+p[g>>3]*(+p[F>>3]*+p[f>>3]*2.0)));ga=w+(ha+2<<3)|0;p[ga>>3]=+p[ga>>3]+fa*(Z*(+p[g>>3]*(+p[F>>3]*+p[f>>3]*2.0)));T=T+1|0}while((T|0)!=(q|0));O=O+1|0}while((O|0)!=(q|0))}H=H+1|0}while((H|0)<(Hc[k[(k[v>>2]|0)+12>>2]&511](v)|0))}Fq(b,u,972);Ec[k[(k[v>>2]|0)+4>>2]&1023](v);Tqa(e);e=k[j>>2]|0;if(e)Tqa(e);k[j>>2]=0;r=a;return u|0}u=l+56|0;a=l+4|0;k[l>>2]=27524;k[u>>2]=27544;B=0;wa(508,l+56|0,a|0);j=B;B=0;if(j&1){j=Rb()|0;ja=Q;ka=j;vva(u);Qb(ka|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[u>>2]=27488;B=0;va(448,a|0);j=B;B=0;do if(j&1){e=Rb()|0;la=Q;na=e}else{k[a>>2]=27560;e=l+36|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;k[l+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,a|0,c|0);v=B;B=0;if(v&1){v=Rb()|0;b=Q;Yua(c);Yua(e);Ava(a);la=b;na=v;break}Yua(c);B=0;v=Ia(40,l|0,144350,19)|0;b=B;B=0;if(!(b&1)?(B=0,Xa(239,v|0,0)|0,v=B,B=0,!(v&1)):0){v=Ab(20)|0;B=0;eb(502,m|0,125033,80);b=B;B=0;do if(!(b&1)){B=0;eb(502,n|0,125179,15);H=B;B=0;if(H&1){H=Rb()|0;q=Q;Yua(m);oa=q;pa=H;break}B=0;wa(510,o|0,a|0);H=B;B=0;if(H&1){H=Rb()|0;qa=Q;ra=H;sa=1}else{B=0;ua(163,v|0,m|0,n|0,92,o|0);H=B;B=0;if(H&1)ta=1;else{B=0;eb(503,v|0,1240,229);B=0;ta=0}H=Rb()|0;q=Q;Yua(o);qa=q;ra=H;sa=ta}Yua(n);Yua(m);if(sa){oa=qa;pa=ra}else{xa=qa;ya=ra;k[l>>2]=27468;k[u>>2]=27488;k[a>>2]=27560;Yua(e);Ava(a);vva(u);Qb(ya|0)}}else{H=Rb()|0;oa=Q;pa=H}while(0);zb(v|0);xa=oa;ya=pa;k[l>>2]=27468;k[u>>2]=27488;k[a>>2]=27560;Yua(e);Ava(a);vva(u);Qb(ya|0)}b=Rb()|0;xa=Q;ya=b;k[l>>2]=27468;k[u>>2]=27488;k[a>>2]=27560;Yua(e);Ava(a);vva(u);Qb(ya|0)}while(0);ja=la;ka=na;vva(u);Qb(ka|0);return 0}function u6(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;a=r;r=r+192|0;c=a+180|0;d=a+176|0;e=a+40|0;f=a+24|0;g=a+12|0;h=a;Ap(b,d,533);switch(k[d>>2]|0){case 536:{i=v6(0,b)|0;r=a;return i|0}case 539:{i=v6(0,b)|0;r=a;return i|0}case 540:{i=w6(0,b)|0;r=a;return i|0}case 542:{i=x6(0,b)|0;r=a;return i|0}case 534:{i=0;r=a;return i|0}default:{i=e+56|0;a=e+4|0;k[e>>2]=27524;k[i>>2]=27544;B=0;wa(508,e+56|0,a|0);b=B;B=0;if(b&1){b=Rb()|0;j=Q;l=b;vva(i);Qb(l|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[i>>2]=27488;B=0;va(448,a|0);b=B;B=0;do if(b&1){m=Rb()|0;n=Q;o=m}else{k[a>>2]=27560;m=e+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,a|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(a);n=q;o=p;break}Yua(c);B=0;p=Ia(40,e|0,127478,14)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[d>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,144645,14)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,f|0,125033,80);t=B;B=0;do if(!(t&1)){B=0;eb(502,g|0,144203,13);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(f);u=p;v=q;break}B=0;wa(510,h|0,a|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,f|0,g|0,330,h|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(h);w=p;x=q;y=z}Yua(g);Yua(f);if(y){u=w;v=x}else{A=w;C=x;k[e>>2]=27468;k[i>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(i);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[e>>2]=27468;k[i>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(i);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[e>>2]=27468;k[i>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(i);Qb(C|0)}while(0);j=n;l=o;vva(i);Qb(l|0)}}return 0}function v6(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,ba=0,ca=0,da=0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,la=0.0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0;a=r;r=r+448|0;c=a+424|0;d=a+420|0;e=a+272|0;f=a+408|0;g=a+256|0;h=a+240|0;i=a+252|0;j=a+48|0;l=a+40|0;m=a+32|0;n=a+24|0;o=a+16|0;q=a+8|0;s=a;t=a+236|0;u=a+232|0;v=a+96|0;w=a+80|0;x=a+68|0;y=a+56|0;cp(b,d,298);a:do switch(k[d>>2]|0){case 300:{z=b;break}case 301:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){z=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;break a}else{A=0;r=a;return A|0}break}case 302:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){z=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;break a}else{A=0;r=a;return A|0}break}default:{C=e+56|0;D=e+4|0;k[e>>2]=27524;k[C>>2]=27544;B=0;wa(508,e+56|0,D|0);E=B;B=0;if(E&1){E=Rb()|0;F=Q;G=E;vva(C);Qb(G|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[C>>2]=27488;B=0;va(448,D|0);E=B;B=0;do if(E&1){H=Rb()|0;I=Q;J=H}else{k[D>>2]=27560;H=e+36|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;k[H+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,D|0,c|0);K=B;B=0;if(K&1){K=Rb()|0;L=Q;Yua(c);Yua(H);Ava(D);I=L;J=K;break}Yua(c);B=0;K=Ia(40,e|0,144639,5)|0;L=B;B=0;b:do if((((!(L&1)?(B=0,M=ya(427,k[d>>2]|0)|0,N=B,B=0,!(N&1)):0)?(N=Lta(M)|0,B=0,O=Ia(40,K|0,M|0,N|0)|0,N=B,B=0,!(N&1)):0)?(B=0,N=Ia(40,O|0,146481,18)|0,O=B,B=0,!(O&1)):0)?(B=0,Xa(239,N|0,0)|0,N=B,B=0,!(N&1)):0){N=Ab(20)|0;B=0;eb(502,f|0,125033,80);O=B;B=0;do if(!(O&1)){B=0;eb(502,g|0,128235,16);M=B;B=0;if(M&1){M=Rb()|0;P=Q;Yua(f);R=M;S=P;break}B=0;wa(510,h|0,D|0);P=B;B=0;if(P&1){P=Rb()|0;T=P;U=Q;V=1}else{B=0;ua(163,N|0,f|0,g|0,824,h|0);P=B;B=0;if(P&1)W=1;else{B=0;eb(503,N|0,1240,229);B=0;W=0}P=Rb()|0;M=Q;Yua(h);T=P;U=M;V=W}Yua(g);Yua(f);if(V){R=T;S=U}else{X=T;Y=U;break b}}else{M=Rb()|0;R=M;S=Q}while(0);zb(N|0);X=R;Y=S}else Z=24;while(0);if((Z|0)==24){K=Rb()|0;X=K;Y=Q}k[e>>2]=27468;k[C>>2]=27488;k[D>>2]=27560;Yua(H);Ava(D);vva(C);_=X;ba=Y;Qb(_|0)}while(0);F=I;G=J;vva(C);Qb(G|0)}}while(0);k[t>>2]=0;k[u>>2]=0;G=Hc[k[(k[z>>2]|0)+164>>2]&511](z)|0;J=iq(z,536)|0;I=Rqa(G>>>0>536870911?-1:G<<3)|0;Uo(z,u);cp(z,i,199);qp(z,t,0,180);F=Wo(z,179)|0;Y=Wo(z,674)|0;X=Wo(z,203)|0;if((k[d>>2]|0)==301){ca=0;da=0}else{e=Wo(z,677)|0;ca=e;da=Wo(z,204)|0}e=k[i>>2]|0;c:do if((e|0)>0){S=k[t>>2]|0;R=0;while(1){if((k[S+(R<<2)>>2]|0)==660)break;R=R+1|0;if((R|0)>=(e|0))break c}Bp(z,s,659)}while(0);e=ed[k[(k[z>>2]|0)+308>>2]&511](z,4)|0;R=Hc[k[(k[e>>2]|0)+8>>2]&511](e)|0;d:do if((R|0)<(Hc[k[(k[e>>2]|0)+12>>2]&511](e)|0)){S=(G|0)>0;C=e+8|0;U=J+4|0;T=R;e:while(1){Fc[k[(k[e>>2]|0)+24>>2]&1023](e,T);rd[k[(k[z>>2]|0)+260>>2]&511](z,j,k[u>>2]|0,e);nd[k[(k[z>>2]|0)+336>>2]&1023](z,I,e);nd[k[(k[Y>>2]|0)+48>>2]&1023](Y,l,e);nd[k[(k[X>>2]|0)+48>>2]&1023](X,n,e);if((k[d>>2]|0)!=301){nd[k[(k[ca>>2]|0)+48>>2]&1023](ca,m,e);nd[k[(k[da>>2]|0)+48>>2]&1023](da,o,e)}f:do if((k[i>>2]|0)>0){V=k[t>>2]|0;f=0;while(1){rd[k[(k[F>>2]|0)+56>>2]&511](F,q,e,k[V+(f<<2)>>2]|0);V=k[t>>2]|0;switch(k[V+(f<<2)>>2]|0){case 658:{if(S){g=k[U>>2]|0;if((k[d>>2]|0)==301){W=0;do{h=g+(W<<3)|0;p[h>>3]=(+p[n>>3]-+p[l>>3])*+p[q>>3]*+p[j>>3]*+p[C>>3]*+p[I+(W<<3)>>3]+ +p[h>>3];W=W+1|0}while((W|0)!=(G|0))}else{W=0;do{ea=+p[o>>3]-+p[m>>3];h=I+(W<<3)|0;b=W<<1;D=g+(b<<3)|0;p[D>>3]=(+p[n>>3]-+p[l>>3])*+p[q>>3]*+p[j>>3]*+p[C>>3]*+p[h>>3]+ +p[D>>3];D=g+((b|1)<<3)|0;p[D>>3]=ea*+p[q>>3]*+p[j>>3]*+p[C>>3]*+p[h>>3]+ +p[D>>3];W=W+1|0}while((W|0)!=(G|0))}}break}case 663:{if(S){W=k[U>>2]|0;if((k[d>>2]|0)==301){g=0;do{ea=+p[n>>3];fa=3.170979198376458e-05/(ea+2.220446049250313e-16);D=W+(g<<3)|0;p[D>>3]=+p[D>>3]+ +p[I+(g<<3)>>3]*(+p[C>>3]*(+p[j>>3]*(+p[q>>3]*((ea==0.0?0.0:fa*fa)*(ea-+p[l>>3])))));g=g+1|0}while((g|0)!=(G|0))}else{g=0;do{ea=+p[n>>3];fa=3.170979198376458e-05/(ea+2.220446049250313e-16);ga=+p[o>>3];ha=3.170979198376458e-05/(ga+2.220446049250313e-16);ia=(ga-+p[m>>3])*(ga==0.0?0.0:ha*ha);D=I+(g<<3)|0;h=g<<1;b=W+(h<<3)|0;p[b>>3]=(ea==0.0?0.0:fa*fa)*(ea-+p[l>>3])*+p[q>>3]*+p[j>>3]*+p[C>>3]*+p[D>>3]+ +p[b>>3];b=W+((h|1)<<3)|0;p[b>>3]=ia*+p[q>>3]*+p[j>>3]*+p[C>>3]*+p[D>>3]+ +p[b>>3];g=g+1|0}while((g|0)!=(G|0))}}break}case 661:{if(S){g=k[U>>2]|0;if((k[d>>2]|0)==301){W=0;do{ia=+p[l>>3];ea=+$(+ia)+2.220446049250313e-16;fa=ia*(-8.044087261228962e-09/(ea*ea)*+ka(+(ea/(+$(+(+p[n>>3]))+2.220446049250313e-16))));b=g+(W<<3)|0;p[b>>3]=+p[b>>3]+ +p[I+(W<<3)>>3]*(+p[C>>3]*(+p[j>>3]*(+p[q>>3]*fa)));W=W+1|0}while((W|0)!=(G|0))}else{W=0;do{fa=+p[l>>3];ea=+p[m>>3];ia=+aa(+(fa*fa+ea*ea))+2.220446049250313e-16;ha=+p[n>>3];ga=+p[o>>3];ja=-8.044087261228962e-09/(ia*ia)*+ka(+(ia/(+aa(+(ha*ha+ga*ga))+2.220446049250313e-16)));b=I+(W<<3)|0;D=W<<1;h=g+(D<<3)|0;p[h>>3]=+p[h>>3]+ +p[b>>3]*(+p[C>>3]*(+p[j>>3]*(+p[q>>3]*(fa*ja))));h=g+((D|1)<<3)|0;p[h>>3]=ea*ja*+p[q>>3]*+p[j>>3]*+p[C>>3]*+p[b>>3]+ +p[h>>3];W=W+1|0}while((W|0)!=(G|0))}}break}case 660:{if(S){W=k[U>>2]|0;if((k[d>>2]|0)==301){g=0;do{ja=+p[l>>3];ea=+p[n>>3];fa=(ea-ja)*(1.0/(+p[s>>3]*2.0*+$(+(ja-ea))+2.220446049250313e-16));h=W+(g<<3)|0;p[h>>3]=+p[h>>3]+ +p[I+(g<<3)>>3]*(+p[C>>3]*(+p[j>>3]*(+p[q>>3]*fa)));g=g+1|0}while((g|0)!=(G|0))}else{g=0;do{fa=+p[l>>3];ea=+p[n>>3];ja=fa-ea;ga=+p[m>>3];ha=+p[o>>3];ia=ga-ha;la=1.0/(+p[s>>3]*2.0*+aa(+(ja*ja+ia*ia))+2.220446049250313e-16);h=I+(g<<3)|0;b=g<<1;D=W+(b<<3)|0;p[D>>3]=+p[D>>3]+ +p[h>>3]*(+p[C>>3]*(+p[j>>3]*(+p[q>>3]*((ea-fa)*la))));D=W+((b|1)<<3)|0;p[D>>3]=(ha-ga)*la*+p[q>>3]*+p[j>>3]*+p[C>>3]*+p[h>>3]+ +p[D>>3];g=g+1|0}while((g|0)!=(G|0))}}break}case 662:{if(S){g=k[U>>2]|0;if((k[d>>2]|0)==301){W=0;do{la=+p[l>>3];ga=+$(+la)+2.220446049250313e-16;ha=+ka(+(ga/(+$(+(+p[n>>3]))+2.220446049250313e-16)))*-1.0055109076536202e-09/(la+2.220446049250313e-16);D=g+(W<<3)|0;p[D>>3]=ha*+p[q>>3]*+p[j>>3]*+p[C>>3]*+p[I+(W<<3)>>3]+ +p[D>>3];W=W+1|0}while((W|0)!=(G|0))}else{W=0;do{ha=+p[l>>3];la=+$(+ha)+2.220446049250313e-16;ga=+ka(+(la/(+$(+(+p[n>>3]))+2.220446049250313e-16)))*-1.0055109076536202e-09/(ha+2.220446049250313e-16);ha=+p[m>>3];la=+$(+ha)+2.220446049250313e-16;fa=+ka(+(la/(+$(+(+p[o>>3]))+2.220446049250313e-16)))*-1.0055109076536202e-09/(ha+2.220446049250313e-16);D=I+(W<<3)|0;h=W<<1;b=g+(h<<3)|0;p[b>>3]=ga*+p[q>>3]*+p[j>>3]*+p[C>>3]*+p[D>>3]+ +p[b>>3];b=g+((h|1)<<3)|0;p[b>>3]=fa*+p[q>>3]*+p[j>>3]*+p[C>>3]*+p[D>>3]+ +p[b>>3];W=W+1|0}while((W|0)!=(G|0))}}break}case 695:case 694:case 691:case 690:case 689:case 696:break;default:{ma=f;break e}}f=f+1|0;if((f|0)>=(k[i>>2]|0))break f}}while(0);T=T+1|0;if((T|0)>=(Hc[k[(k[e>>2]|0)+12>>2]&511](e)|0))break d}T=v+56|0;C=v+4|0;k[v>>2]=27524;k[T>>2]=27544;B=0;wa(508,v+56|0,C|0);U=B;B=0;if(U&1){U=Rb()|0;na=Q;oa=U;vva(T);Qb(oa|0)}k[v+128>>2]=0;k[v+132>>2]=-1;k[v>>2]=27468;k[T>>2]=27488;B=0;va(448,C|0);U=B;B=0;do if(U&1){S=Rb()|0;pa=Q;qa=S}else{k[C>>2]=27560;S=v+36|0;k[S>>2]=0;k[S+4>>2]=0;k[S+8>>2]=0;k[S+12>>2]=0;k[v+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,C|0,c|0);H=B;B=0;if(H&1){H=Rb()|0;f=Q;Yua(c);Yua(S);Ava(C);pa=f;qa=H;break}Yua(c);B=0;H=Ia(40,v|0,125591,9)|0;f=B;B=0;g:do if((((!(f&1)?(B=0,V=ya(427,k[(k[t>>2]|0)+(ma<<2)>>2]|0)|0,N=B,B=0,!(N&1)):0)?(N=Lta(V)|0,B=0,W=Ia(40,H|0,V|0,N|0)|0,N=B,B=0,!(N&1)):0)?(B=0,N=Ia(40,W|0,146481,18)|0,W=B,B=0,!(W&1)):0)?(B=0,Xa(239,N|0,0)|0,N=B,B=0,!(N&1)):0){N=Ab(20)|0;B=0;eb(502,w|0,125033,80);W=B;B=0;do if(!(W&1)){B=0;eb(502,x|0,128235,16);V=B;B=0;if(V&1){V=Rb()|0;g=Q;Yua(w);ra=g;sa=V;break}B=0;wa(510,y|0,C|0);V=B;B=0;if(V&1){V=Rb()|0;ta=1;xa=V;za=Q}else{B=0;ua(163,N|0,w|0,x|0,1033,y|0);V=B;B=0;if(V&1)Aa=1;else{B=0;eb(503,N|0,1240,229);B=0;Aa=0}V=Rb()|0;g=Q;Yua(y);ta=Aa;xa=V;za=g}Yua(x);Yua(w);if(ta){ra=za;sa=xa}else{Ba=xa;Ca=za;break g}}else{g=Rb()|0;ra=Q;sa=g}while(0);zb(N|0);Ba=sa;Ca=ra}else Z=86;while(0);if((Z|0)==86){H=Rb()|0;Ba=H;Ca=Q}k[v>>2]=27468;k[T>>2]=27488;k[C>>2]=27560;Yua(S);Ava(C);vva(T);_=Ba;ba=Ca;Qb(_|0)}while(0);na=pa;oa=qa;vva(T);Qb(oa|0)}while(0);if((k[d>>2]|0)!=301)xq(z,J,971);oa=k[t>>2]|0;if(oa)Tqa(oa);k[t>>2]=0;t=k[u>>2]|0;if(t)Tqa(t);k[u>>2]=0;Tqa(I);if((k[d>>2]|0)!=300?(ap(z),(z|0)!=0):0)Ec[k[(k[z>>2]|0)+4>>2]&1023](z);if(e)Ec[k[(k[e>>2]|0)+4>>2]&1023](e);A=J;r=a;return A|0}function w6(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0.0,S=0,T=0,U=0.0,V=0.0,W=0.0,X=0.0,Y=0.0,Z=0.0,_=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,la=0,ma=0,na=0;a=r;r=r+272|0;c=a+248|0;d=a+244|0;e=a+240|0;f=a+48|0;g=a+40|0;h=a+32|0;i=a+24|0;j=a+16|0;l=a+8|0;m=a;n=a+236|0;o=a+232|0;q=a+96|0;s=a+80|0;t=a+68|0;u=a+56|0;if(!(Hc[k[(k[b>>2]|0)+252>>2]&511](b)|0)){v=0;r=a;return v|0}k[n>>2]=0;k[o>>2]=0;cp(b,e,298);w=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;x=iq(b,540)|0;y=Rqa(w>>>0>536870911?-1:w<<3)|0;Fc[k[(k[b>>2]|0)+192>>2]&1023](b,o);cp(b,d,199);qp(b,n,0,180);z=Wo(b,179)|0;A=Wo(b,674)|0;C=Wo(b,203)|0;if((k[e>>2]|0)==301){D=0;E=0}else{F=Wo(b,677)|0;D=F;E=Wo(b,204)|0}F=k[d>>2]|0;a:do if((F|0)>0){G=k[n>>2]|0;H=0;while(1){if((k[G+(H<<2)>>2]|0)==660)break;H=H+1|0;if((H|0)>=(F|0))break a}Bp(b,m,659)}while(0);F=ed[k[(k[b>>2]|0)+332>>2]&511](b,4)|0;H=Hc[k[(k[F>>2]|0)+8>>2]&511](F)|0;b:do if((H|0)<(Hc[k[(k[F>>2]|0)+12>>2]&511](F)|0)){G=(w|0)>0;I=F+8|0;J=x+4|0;K=H;c:while(1){Fc[k[(k[F>>2]|0)+24>>2]&1023](F,K);rd[k[(k[b>>2]|0)+276>>2]&511](b,f,k[o>>2]|0,F);nd[k[(k[b>>2]|0)+336>>2]&1023](b,y,F);nd[k[(k[A>>2]|0)+48>>2]&1023](A,g,F);nd[k[(k[C>>2]|0)+48>>2]&1023](C,i,F);if((k[e>>2]|0)!=301){nd[k[(k[D>>2]|0)+48>>2]&1023](D,h,F);nd[k[(k[E>>2]|0)+48>>2]&1023](E,j,F)}d:do if((k[d>>2]|0)>0){L=k[n>>2]|0;M=0;while(1){rd[k[(k[z>>2]|0)+56>>2]&511](z,l,F,k[L+(M<<2)>>2]|0);L=k[n>>2]|0;switch(k[L+(M<<2)>>2]|0){case 658:{if(G){N=k[J>>2]|0;if((k[e>>2]|0)==301){O=0;do{P=N+(O<<3)|0;p[P>>3]=(+p[i>>3]-+p[g>>3])*+p[l>>3]*+p[f>>3]*+p[I>>3]*+p[y+(O<<3)>>3]+ +p[P>>3];O=O+1|0}while((O|0)!=(w|0))}else{O=0;do{R=+p[j>>3]-+p[h>>3];P=y+(O<<3)|0;S=O<<1;T=N+(S<<3)|0;p[T>>3]=(+p[i>>3]-+p[g>>3])*+p[l>>3]*+p[f>>3]*+p[I>>3]*+p[P>>3]+ +p[T>>3];T=N+((S|1)<<3)|0;p[T>>3]=R*+p[l>>3]*+p[f>>3]*+p[I>>3]*+p[P>>3]+ +p[T>>3];O=O+1|0}while((O|0)!=(w|0))}}break}case 663:{if(G){O=k[J>>2]|0;if((k[e>>2]|0)==301){N=0;do{R=+p[i>>3];U=3.170979198376458e-05/(R+2.220446049250313e-16);T=O+(N<<3)|0;p[T>>3]=+p[T>>3]+ +p[y+(N<<3)>>3]*(+p[I>>3]*(+p[f>>3]*(+p[l>>3]*((R==0.0?0.0:U*U)*(R-+p[g>>3])))));N=N+1|0}while((N|0)!=(w|0))}else{N=0;do{R=+p[i>>3];U=3.170979198376458e-05/(R+2.220446049250313e-16);V=+p[j>>3];W=3.170979198376458e-05/(V+2.220446049250313e-16);X=(V-+p[h>>3])*(V==0.0?0.0:W*W);T=y+(N<<3)|0;P=N<<1;S=O+(P<<3)|0;p[S>>3]=(R==0.0?0.0:U*U)*(R-+p[g>>3])*+p[l>>3]*+p[f>>3]*+p[I>>3]*+p[T>>3]+ +p[S>>3];S=O+((P|1)<<3)|0;p[S>>3]=X*+p[l>>3]*+p[f>>3]*+p[I>>3]*+p[T>>3]+ +p[S>>3];N=N+1|0}while((N|0)!=(w|0))}}break}case 661:{if(G){N=k[J>>2]|0;if((k[e>>2]|0)==301){O=0;do{X=+p[g>>3];R=+$(+X)+2.220446049250313e-16;U=X*(-8.044087261228962e-09/(R*R)*+ka(+(R/(+$(+(+p[i>>3]))+2.220446049250313e-16))));S=N+(O<<3)|0;p[S>>3]=+p[S>>3]+ +p[y+(O<<3)>>3]*(+p[I>>3]*(+p[f>>3]*(+p[l>>3]*U)));O=O+1|0}while((O|0)!=(w|0))}else{O=0;do{U=+p[g>>3];R=+p[h>>3];X=+aa(+(U*U+R*R))+2.220446049250313e-16;W=+p[i>>3];V=+p[j>>3];Y=-8.044087261228962e-09/(X*X)*+ka(+(X/(+aa(+(W*W+V*V))+2.220446049250313e-16)));S=y+(O<<3)|0;T=O<<1;P=N+(T<<3)|0;p[P>>3]=+p[P>>3]+ +p[S>>3]*(+p[I>>3]*(+p[f>>3]*(+p[l>>3]*(U*Y))));P=N+((T|1)<<3)|0;p[P>>3]=R*Y*+p[l>>3]*+p[f>>3]*+p[I>>3]*+p[S>>3]+ +p[P>>3];O=O+1|0}while((O|0)!=(w|0))}}break}case 660:{if(G){O=k[J>>2]|0;if((k[e>>2]|0)==301){N=0;do{Y=+p[g>>3];R=+p[i>>3];U=(R-Y)*(1.0/(+p[m>>3]*2.0*+$(+(Y-R))+2.220446049250313e-16));P=O+(N<<3)|0;p[P>>3]=+p[P>>3]+ +p[y+(N<<3)>>3]*(+p[I>>3]*(+p[f>>3]*(+p[l>>3]*U)));N=N+1|0}while((N|0)!=(w|0))}else{N=0;do{U=+p[g>>3];R=+p[i>>3];Y=U-R;V=+p[h>>3];W=+p[j>>3];X=V-W;Z=1.0/(+p[m>>3]*2.0*+aa(+(Y*Y+X*X))+2.220446049250313e-16);P=y+(N<<3)|0;S=N<<1;T=O+(S<<3)|0;p[T>>3]=+p[T>>3]+ +p[P>>3]*(+p[I>>3]*(+p[f>>3]*(+p[l>>3]*((R-U)*Z))));T=O+((S|1)<<3)|0;p[T>>3]=(W-V)*Z*+p[l>>3]*+p[f>>3]*+p[I>>3]*+p[P>>3]+ +p[T>>3];N=N+1|0}while((N|0)!=(w|0))}}break}case 662:{if(G){N=k[J>>2]|0;if((k[e>>2]|0)==301){O=0;do{Z=+p[g>>3];V=+$(+Z)+2.220446049250313e-16;W=+ka(+(V/(+$(+(+p[i>>3]))+2.220446049250313e-16)))*-1.0055109076536202e-09/(Z+2.220446049250313e-16);T=N+(O<<3)|0;p[T>>3]=W*+p[l>>3]*+p[f>>3]*+p[I>>3]*+p[y+(O<<3)>>3]+ +p[T>>3];O=O+1|0}while((O|0)!=(w|0))}else{O=0;do{W=+p[g>>3];Z=+$(+W)+2.220446049250313e-16;V=+ka(+(Z/(+$(+(+p[i>>3]))+2.220446049250313e-16)))*-1.0055109076536202e-09/(W+2.220446049250313e-16);W=+p[h>>3];Z=+$(+W)+2.220446049250313e-16;U=+ka(+(Z/(+$(+(+p[j>>3]))+2.220446049250313e-16)))*-1.0055109076536202e-09/(W+2.220446049250313e-16);T=y+(O<<3)|0;P=O<<1;S=N+(P<<3)|0;p[S>>3]=V*+p[l>>3]*+p[f>>3]*+p[I>>3]*+p[T>>3]+ +p[S>>3];S=N+((P|1)<<3)|0;p[S>>3]=U*+p[l>>3]*+p[f>>3]*+p[I>>3]*+p[T>>3]+ +p[S>>3];O=O+1|0}while((O|0)!=(w|0))}}break}case 695:case 694:case 691:case 690:case 689:case 696:break;default:{_=M;break c}}M=M+1|0;if((M|0)>=(k[d>>2]|0))break d}}while(0);K=K+1|0;if((K|0)>=(Hc[k[(k[F>>2]|0)+12>>2]&511](F)|0))break b}K=q+56|0;I=q+4|0;k[q>>2]=27524;k[K>>2]=27544;B=0;wa(508,q+56|0,I|0);J=B;B=0;if(J&1){J=Rb()|0;ba=Q;ca=J;vva(K);Qb(ca|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[K>>2]=27488;B=0;va(448,I|0);J=B;B=0;do if(J&1){G=Rb()|0;da=Q;ea=G}else{k[I>>2]=27560;G=q+36|0;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;k[G+12>>2]=0;k[q+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,I|0,c|0);M=B;B=0;if(M&1){M=Rb()|0;L=Q;Yua(c);Yua(G);Ava(I);da=L;ea=M;break}Yua(c);B=0;M=Ia(40,q|0,125591,9)|0;L=B;B=0;if((((!(L&1)?(B=0,L=ya(427,k[(k[n>>2]|0)+(_<<2)>>2]|0)|0,O=B,B=0,!(O&1)):0)?(O=Lta(L)|0,B=0,N=Ia(40,M|0,L|0,O|0)|0,O=B,B=0,!(O&1)):0)?(B=0,O=Ia(40,N|0,146481,18)|0,N=B,B=0,!(N&1)):0)?(B=0,Xa(239,O|0,0)|0,O=B,B=0,!(O&1)):0){O=Ab(20)|0;B=0;eb(502,s|0,125033,80);N=B;B=0;do if(!(N&1)){B=0;eb(502,t|0,125195,15);L=B;B=0;if(L&1){L=Rb()|0;M=Q;Yua(s);fa=M;ga=L;break}B=0;wa(510,u|0,I|0);L=B;B=0;if(L&1){L=Rb()|0;ha=Q;ia=L;ja=1}else{B=0;ua(163,O|0,s|0,t|0,788,u|0);L=B;B=0;if(L&1)la=1;else{B=0;eb(503,O|0,1240,229);B=0;la=0}L=Rb()|0;M=Q;Yua(u);ha=M;ia=L;ja=la}Yua(t);Yua(s);if(ja){fa=ha;ga=ia}else{ma=ha;na=ia;k[q>>2]=27468;k[K>>2]=27488;k[I>>2]=27560;Yua(G);Ava(I);vva(K);Qb(na|0)}}else{L=Rb()|0;fa=Q;ga=L}while(0);zb(O|0);ma=fa;na=ga;k[q>>2]=27468;k[K>>2]=27488;k[I>>2]=27560;Yua(G);Ava(I);vva(K);Qb(na|0)}N=Rb()|0;ma=Q;na=N;k[q>>2]=27468;k[K>>2]=27488;k[I>>2]=27560;Yua(G);Ava(I);vva(K);Qb(na|0)}while(0);ba=da;ca=ea;vva(K);Qb(ca|0)}while(0);if((k[e>>2]|0)!=301)xq(b,x,971);b=k[n>>2]|0;if(b)Tqa(b);k[n>>2]=0;n=k[o>>2]|0;if(n)Tqa(n);k[o>>2]=0;Tqa(y);if(F)Ec[k[(k[F>>2]|0)+4>>2]&1023](F);v=x;r=a;return v|0}function x6(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0,N=0,O=0.0,P=0,R=0,S=0,T=0,U=0.0,V=0,W=0,X=0.0,Y=0.0,Z=0.0,_=0.0,ba=0.0,ca=0.0,da=0.0,ea=0,fa=0.0,ga=0,ha=0,ia=0,ja=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0;a=r;r=r+272|0;c=a+248|0;d=a+244|0;e=a+240|0;f=a+48|0;g=a+40|0;h=a+32|0;i=a+24|0;j=a+16|0;l=a+8|0;m=a;n=a+236|0;o=a+232|0;q=a+96|0;s=a+80|0;t=a+68|0;u=a+56|0;if(!(Hc[k[(k[b>>2]|0)+252>>2]&511](b)|0)){v=0;r=a;return v|0}k[n>>2]=0;k[o>>2]=0;cp(b,e,298);w=Hc[k[(k[b>>2]|0)+396>>2]&511](b)|0;x=Hc[k[(k[b>>2]|0)+392>>2]&511](b)|0;y=x+w|0;z=Rqa(y>>>0>1073741823?-1:y<<2)|0;y=(w|0)>0;if((k[e>>2]|0)==301){if(y){A=0;do{k[z+(A<<2)>>2]=971;A=A+1|0}while((A|0)!=(w|0))}}else if(y){A=0;do{k[z+(A<<2)>>2]=972;A=A+1|0}while((A|0)!=(w|0))}if((x|0)>0){A=0;do{k[z+(A+w<<2)>>2]=653;A=A+1|0}while((A|0)!=(x|0))}x=iq(b,542)|0;A=Rqa(w>>>0>536870911?-1:w<<3)|0;Fc[k[(k[b>>2]|0)+192>>2]&1023](b,o);cp(b,d,199);qp(b,n,0,180);C=Wo(b,179)|0;D=Wo(b,674)|0;E=Wo(b,203)|0;if((k[e>>2]|0)==301){F=0;G=0}else{H=Wo(b,677)|0;F=H;G=Wo(b,204)|0}H=k[d>>2]|0;a:do if((H|0)>0){I=k[n>>2]|0;J=0;while(1){if((k[I+(J<<2)>>2]|0)==660)break;J=J+1|0;if((J|0)>=(H|0))break a}Bp(b,m,659)}while(0);H=ed[k[(k[b>>2]|0)+332>>2]&511](b,4)|0;J=Hc[k[(k[H>>2]|0)+8>>2]&511](H)|0;b:do if((J|0)<(Hc[k[(k[H>>2]|0)+12>>2]&511](H)|0)){I=H+8|0;K=x+4|0;L=0.0;M=J;c:while(1){Fc[k[(k[H>>2]|0)+24>>2]&1023](H,M);rd[k[(k[b>>2]|0)+276>>2]&511](b,f,k[o>>2]|0,H);nd[k[(k[b>>2]|0)+368>>2]&1023](b,A,H);nd[k[(k[D>>2]|0)+48>>2]&1023](D,g,H);nd[k[(k[E>>2]|0)+48>>2]&1023](E,i,H);if((k[e>>2]|0)!=301){nd[k[(k[F>>2]|0)+48>>2]&1023](F,h,H);nd[k[(k[G>>2]|0)+48>>2]&1023](G,j,H)}d:do if((k[d>>2]|0)>0){N=k[n>>2]|0;O=L;P=0;while(1){rd[k[(k[C>>2]|0)+56>>2]&511](C,l,H,k[N+(P<<2)>>2]|0);N=k[n>>2]|0;switch(k[N+(P<<2)>>2]|0){case 658:{if(y){R=k[K>>2]|0;if((k[e>>2]|0)==301){S=0;do{T=R+(S<<1<<3)|0;p[T>>3]=(+p[i>>3]-+p[g>>3])*+p[l>>3]*+p[f>>3]*+p[I>>3]*+p[A+(S<<3)>>3]+ +p[T>>3];S=S+1|0}while((S|0)!=(w|0));U=O}else{S=0;do{T=A+(S<<3)|0;V=S*3|0;W=R+(V<<3)|0;p[W>>3]=(+p[i>>3]-+p[g>>3])*+p[l>>3]*+p[f>>3]*+p[I>>3]*+p[T>>3]+ +p[W>>3];X=+p[j>>3]-+p[h>>3];W=R+(V+1<<3)|0;p[W>>3]=X*+p[l>>3]*+p[f>>3]*+p[I>>3]*+p[T>>3]+ +p[W>>3];S=S+1|0}while((S|0)!=(w|0));U=X}}else U=O;break}case 663:{if(y){S=k[K>>2]|0;if((k[e>>2]|0)==301){R=0;do{X=+p[i>>3];Y=3.170979198376458e-05/(X+2.220446049250313e-16);W=A+(R<<3)|0;T=R<<1;V=S+(T<<3)|0;p[V>>3]=+p[V>>3]+ +p[W>>3]*(+p[I>>3]*(+p[f>>3]*(+p[l>>3]*((X==0.0?0.0:Y*Y)*(X-+p[g>>3])))));V=S+((T|1)<<3)|0;p[V>>3]=O*+p[l>>3]*+p[f>>3]*+p[I>>3]*+p[W>>3]+ +p[V>>3];R=R+1|0}while((R|0)!=(w|0));U=O}else{R=0;do{X=+p[i>>3];Y=3.170979198376458e-05/(X+2.220446049250313e-16);Z=+p[j>>3];_=3.170979198376458e-05/(Z+2.220446049250313e-16);ba=(Z-+p[h>>3])*(Z==0.0?0.0:_*_);V=A+(R<<3)|0;W=R*3|0;T=S+(W<<3)|0;p[T>>3]=(X==0.0?0.0:Y*Y)*(X-+p[g>>3])*+p[l>>3]*+p[f>>3]*+p[I>>3]*+p[V>>3]+ +p[T>>3];T=S+(W+1<<3)|0;p[T>>3]=ba*+p[l>>3]*+p[f>>3]*+p[I>>3]*+p[V>>3]+ +p[T>>3];R=R+1|0}while((R|0)!=(w|0));U=ba}}else U=O;break}case 661:{if(y){R=k[K>>2]|0;if((k[e>>2]|0)==301){S=0;do{ba=+p[g>>3];X=+$(+ba)+2.220446049250313e-16;Y=ba*(-8.044087261228962e-09/(X*X)*+ka(+(X/(+$(+(+p[i>>3]))+2.220446049250313e-16))));T=R+(S<<1<<3)|0;p[T>>3]=+p[T>>3]+ +p[A+(S<<3)>>3]*(+p[I>>3]*(+p[f>>3]*(+p[l>>3]*Y)));S=S+1|0}while((S|0)!=(w|0));U=O}else{S=0;do{Y=+p[g>>3];X=+p[h>>3];ba=+aa(+(Y*Y+X*X))+2.220446049250313e-16;_=+p[i>>3];Z=+p[j>>3];ca=-8.044087261228962e-09/(ba*ba)*+ka(+(ba/(+aa(+(_*_+Z*Z))+2.220446049250313e-16)));Z=X*ca;T=A+(S<<3)|0;V=S*3|0;W=R+(V<<3)|0;p[W>>3]=+p[W>>3]+ +p[T>>3]*(+p[I>>3]*(+p[f>>3]*(+p[l>>3]*(Y*ca))));W=R+(V+1<<3)|0;p[W>>3]=Z*+p[l>>3]*+p[f>>3]*+p[I>>3]*+p[T>>3]+ +p[W>>3];S=S+1|0}while((S|0)!=(w|0));U=Z}}else U=O;break}case 660:{if(y){S=k[K>>2]|0;if((k[e>>2]|0)==301){R=0;do{Z=+p[g>>3];ca=+p[i>>3];Y=(ca-Z)*(1.0/(+p[m>>3]*2.0*+$(+(Z-ca))+2.220446049250313e-16));W=S+(R<<1<<3)|0;p[W>>3]=+p[W>>3]+ +p[A+(R<<3)>>3]*(+p[I>>3]*(+p[f>>3]*(+p[l>>3]*Y)));R=R+1|0}while((R|0)!=(w|0));U=O}else{R=0;do{Y=+p[g>>3];ca=+p[i>>3];Z=Y-ca;X=+p[h>>3];_=+p[j>>3];ba=X-_;da=1.0/(+p[m>>3]*2.0*+aa(+(Z*Z+ba*ba))+2.220446049250313e-16);ba=(_-X)*da;W=A+(R<<3)|0;T=R*3|0;V=S+(T<<3)|0;p[V>>3]=+p[V>>3]+ +p[W>>3]*(+p[I>>3]*(+p[f>>3]*(+p[l>>3]*((ca-Y)*da))));V=S+(T+1<<3)|0;p[V>>3]=ba*+p[l>>3]*+p[f>>3]*+p[I>>3]*+p[W>>3]+ +p[V>>3];R=R+1|0}while((R|0)!=(w|0));U=ba}}else U=O;break}case 662:{if(y){R=k[K>>2]|0;if((k[e>>2]|0)==301){S=0;do{ba=+p[g>>3];da=+$(+ba)+2.220446049250313e-16;Y=+ka(+(da/(+$(+(+p[i>>3]))+2.220446049250313e-16)))*-1.0055109076536202e-09/(ba+2.220446049250313e-16);V=R+(S<<1<<3)|0;p[V>>3]=Y*+p[l>>3]*+p[f>>3]*+p[I>>3]*+p[A+(S<<3)>>3]+ +p[V>>3];S=S+1|0}while((S|0)!=(w|0));U=O}else{S=0;do{Y=+p[g>>3];ba=+$(+Y)+2.220446049250313e-16;da=+ka(+(ba/(+$(+(+p[i>>3]))+2.220446049250313e-16)))*-1.0055109076536202e-09/(Y+2.220446049250313e-16);Y=+p[h>>3];ba=+$(+Y)+2.220446049250313e-16;ca=+ka(+(ba/(+$(+(+p[j>>3]))+2.220446049250313e-16)))*-1.0055109076536202e-09/(Y+2.220446049250313e-16);V=A+(S<<3)|0;W=S*3|0;T=R+(W<<3)|0;p[T>>3]=da*+p[l>>3]*+p[f>>3]*+p[I>>3]*+p[V>>3]+ +p[T>>3];T=R+(W+1<<3)|0;p[T>>3]=ca*+p[l>>3]*+p[f>>3]*+p[I>>3]*+p[V>>3]+ +p[T>>3];S=S+1|0}while((S|0)!=(w|0));U=ca}}else U=O;break}case 694:case 691:case 690:case 689:case 696:{U=O;break}default:{ea=P;break c}}P=P+1|0;if((P|0)>=(k[d>>2]|0)){fa=U;break d}else O=U}}else fa=L;while(0);M=M+1|0;if((M|0)>=(Hc[k[(k[H>>2]|0)+12>>2]&511](H)|0))break b;else L=fa}M=q+56|0;I=q+4|0;k[q>>2]=27524;k[M>>2]=27544;B=0;wa(508,q+56|0,I|0);K=B;B=0;if(K&1){K=Rb()|0;ga=Q;ha=K;vva(M);Qb(ha|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[M>>2]=27488;B=0;va(448,I|0);K=B;B=0;do if(K&1){P=Rb()|0;ia=Q;ja=P}else{k[I>>2]=27560;P=q+36|0;k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;k[P+12>>2]=0;k[q+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,I|0,c|0);N=B;B=0;if(N&1){N=Rb()|0;S=Q;Yua(c);Yua(P);Ava(I);ia=S;ja=N;break}Yua(c);B=0;N=Ia(40,q|0,125591,9)|0;S=B;B=0;if((((!(S&1)?(B=0,S=ya(427,k[(k[n>>2]|0)+(ea<<2)>>2]|0)|0,R=B,B=0,!(R&1)):0)?(R=Lta(S)|0,B=0,T=Ia(40,N|0,S|0,R|0)|0,R=B,B=0,!(R&1)):0)?(B=0,R=Ia(40,T|0,146481,18)|0,T=B,B=0,!(T&1)):0)?(B=0,Xa(239,R|0,0)|0,R=B,B=0,!(R&1)):0){R=Ab(20)|0;B=0;eb(502,s|0,125033,80);T=B;B=0;do if(T&1){S=Rb()|0;la=Q;ma=S}else{B=0;eb(502,t|0,125211,15);S=B;B=0;if(S&1){S=Rb()|0;N=Q;Yua(s);la=N;ma=S;break}B=0;wa(510,u|0,I|0);S=B;B=0;if(S&1){S=Rb()|0;na=Q;oa=S;pa=1}else{B=0;ua(163,R|0,s|0,t|0,553,u|0);S=B;B=0;if(S&1)qa=1;else{B=0;eb(503,R|0,1240,229);B=0;qa=0}S=Rb()|0;N=Q;Yua(u);na=N;oa=S;pa=qa}Yua(t);Yua(s);if(pa){la=na;ma=oa;break}else{ra=na;sa=oa}k[q>>2]=27468;k[M>>2]=27488;k[I>>2]=27560;Yua(P);Ava(I);vva(M);Qb(sa|0)}while(0);zb(R|0);ra=la;sa=ma;k[q>>2]=27468;k[M>>2]=27488;k[I>>2]=27560;Yua(P);Ava(I);vva(M);Qb(sa|0)}T=Rb()|0;ra=Q;sa=T;k[q>>2]=27468;k[M>>2]=27488;k[I>>2]=27560;Yua(P);Ava(I);vva(M);Qb(sa|0)}while(0);ga=ia;ha=ja;vva(M);Qb(ha|0)}while(0);zq(b,x,z);Tqa(z);z=k[n>>2]|0;if(z)Tqa(z);k[n>>2]=0;n=k[o>>2]|0;if(n)Tqa(n);k[o>>2]=0;Tqa(A);if(H)Ec[k[(k[H>>2]|0)+4>>2]&1023](H);v=x;r=a;return v|0}function y6(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,125033,80);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138230,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,1050,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function z6(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0;a=r;r=r+1408|0;f=a+1396|0;g=a+1356|0;h=a+1340|0;i=a+1324|0;j=a+1176|0;l=a+1384|0;m=a+1372|0;n=a+1360|0;o=a+1040|0;p=a+1344|0;q=a+1328|0;s=a+1312|0;t=a+904|0;u=a+888|0;v=a+740|0;w=a+728|0;x=a+752|0;y=a+304|0;z=a+156|0;A=a+144|0;C=a+592|0;D=a+132|0;E=a+120|0;F=a+108|0;G=a+456|0;H=a+96|0;I=a+84|0;J=a+72|0;K=a+320|0;L=a+60|0;M=a+48|0;N=a+36|0;O=a+168|0;P=a+24|0;R=a+12|0;S=a;if(!($p(c)|0)){r=a;return}Ap(c,g,533);k[h>>2]=0;cp(c,i,199);qp(c,h,0,180);switch(d|0){case 104:case 105:case 214:case 215:case 227:break;default:{T=j+56|0;U=j+4|0;k[j>>2]=27524;k[T>>2]=27544;B=0;wa(508,j+56|0,U|0);V=B;B=0;if(V&1){V=Rb()|0;W=Q;X=V;vva(T);Qb(X|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[T>>2]=27488;B=0;va(448,U|0);V=B;B=0;do if(V&1){Y=Rb()|0;Z=Q;_=Y}else{k[U>>2]=27560;Y=j+36|0;k[Y>>2]=0;k[Y+4>>2]=0;k[Y+8>>2]=0;k[Y+12>>2]=0;k[j+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,U|0,f|0);$=B;B=0;if($&1){$=Rb()|0;aa=Q;Yua(f);Yua(Y);Ava(U);Z=aa;_=$;break}Yua(f);B=0;$=Ia(40,j|0,125582,8)|0;aa=B;B=0;a:do if((((!(aa&1)?(B=0,ba=ya(427,d|0)|0,ca=B,B=0,!(ca&1)):0)?(ca=Lta(ba)|0,B=0,da=Ia(40,$|0,ba|0,ca|0)|0,ca=B,B=0,!(ca&1)):0)?(B=0,ca=Ia(40,da|0,144645,14)|0,da=B,B=0,!(da&1)):0)?(B=0,Xa(239,ca|0,0)|0,ca=B,B=0,!(ca&1)):0){ca=Ab(20)|0;B=0;eb(502,l|0,125033,80);da=B;B=0;do if(!(da&1)){B=0;eb(502,m|0,138252,9);ba=B;B=0;if(ba&1){ba=Rb()|0;ea=Q;Yua(l);fa=ea;ga=ba;break}B=0;wa(510,n|0,U|0);ba=B;B=0;if(ba&1){ba=Rb()|0;ha=Q;ia=ba;ja=1}else{B=0;ua(163,ca|0,l|0,m|0,1080,n|0);ba=B;B=0;if(ba&1)ka=1;else{B=0;eb(503,ca|0,1240,229);B=0;ka=0}ba=Rb()|0;ea=Q;Yua(n);ha=ea;ia=ba;ja=ka}Yua(m);Yua(l);if(ja){fa=ha;ga=ia}else{la=ha;ma=ia;break a}}else{ba=Rb()|0;fa=Q;ga=ba}while(0);zb(ca|0);la=fa;ma=ga}else na=22;while(0);if((na|0)==22){$=Rb()|0;la=Q;ma=$}k[j>>2]=27468;k[T>>2]=27488;k[U>>2]=27560;Yua(Y);Ava(U);vva(T);oa=la;pa=ma;Qb(pa|0)}while(0);W=Z;X=_;vva(T);Qb(X|0)}}b:do if((k[i>>2]|0)>0){X=0;c:while(1){switch(k[(k[h>>2]|0)+(X<<2)>>2]|0){case 660:case 662:case 661:case 663:case 658:break;case 696:{A6(0,c,b,e);break}case 694:{B6(0,c,b,e);break}case 695:{C6(0,c,b,e);break}default:{qa=X;break c}}X=X+1|0;if((X|0)>=(k[i>>2]|0))break b}X=o+56|0;Y=o+4|0;k[o>>2]=27524;k[X>>2]=27544;B=0;wa(508,o+56|0,Y|0);T=B;B=0;if(T&1){T=Rb()|0;ra=Q;sa=T;vva(X);Qb(sa|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[X>>2]=27488;B=0;va(448,Y|0);T=B;B=0;do if(T&1){_=Rb()|0;ta=Q;xa=_}else{k[Y>>2]=27560;_=o+36|0;k[_>>2]=0;k[_+4>>2]=0;k[_+8>>2]=0;k[_+12>>2]=0;k[o+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,Y|0,f|0);Z=B;B=0;if(Z&1){Z=Rb()|0;W=Q;Yua(f);Yua(_);Ava(Y);ta=W;xa=Z;break}Yua(f);B=0;Z=Ia(40,o|0,125591,9)|0;W=B;B=0;d:do if((((!(W&1)?(B=0,ma=ya(427,k[(k[h>>2]|0)+(qa<<2)>>2]|0)|0,la=B,B=0,!(la&1)):0)?(la=Lta(ma)|0,B=0,U=Ia(40,Z|0,ma|0,la|0)|0,la=B,B=0,!(la&1)):0)?(B=0,la=Ia(40,U|0,146481,18)|0,U=B,B=0,!(U&1)):0)?(B=0,Xa(239,la|0,0)|0,la=B,B=0,!(la&1)):0){la=Ab(20)|0;B=0;eb(502,p|0,125033,80);U=B;B=0;do if(!(U&1)){B=0;eb(502,q|0,138252,9);ma=B;B=0;if(ma&1){ma=Rb()|0;j=Q;Yua(p);za=j;Aa=ma;break}B=0;wa(510,s|0,Y|0);ma=B;B=0;if(ma&1){ma=Rb()|0;Ba=1;Ca=Q;Da=ma}else{B=0;ua(163,la|0,p|0,q|0,1093,s|0);ma=B;B=0;if(ma&1)Ea=1;else{B=0;eb(503,la|0,1240,229);B=0;Ea=0}ma=Rb()|0;j=Q;Yua(s);Ba=Ea;Ca=j;Da=ma}Yua(q);Yua(p);if(Ba){za=Ca;Aa=Da}else{Fa=Ca;Ga=Da;break d}}else{ma=Rb()|0;za=Q;Aa=ma}while(0);zb(la|0);Fa=za;Ga=Aa}else na=52;while(0);if((na|0)==52){Z=Rb()|0;Fa=Q;Ga=Z}k[o>>2]=27468;k[X>>2]=27488;k[Y>>2]=27560;Yua(_);Ava(Y);vva(X);oa=Fa;pa=Ga;Qb(pa|0)}while(0);ra=ta;sa=xa;vva(X);Qb(sa|0)}while(0);e:do switch(d|0){case 105:{switch(k[g>>2]|0){case 534:{break e;break}case 536:{D6(0,c,b,e);break e;break}case 539:{D6(0,c,b,e);break e;break}case 540:{E6(0,c,b,e);break e;break}case 542:{F6(0,c,b,e);break e;break}default:{sa=t+56|0;xa=t+4|0;k[t>>2]=27524;k[sa>>2]=27544;B=0;wa(508,t+56|0,xa|0);ta=B;B=0;if(ta&1){ta=Rb()|0;Ha=Q;Ja=ta;vva(sa);Qb(Ja|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[sa>>2]=27488;B=0;va(448,xa|0);ta=B;B=0;do if(ta&1){ra=Rb()|0;Ka=Q;La=ra}else{k[xa>>2]=27560;ra=t+36|0;k[ra>>2]=0;k[ra+4>>2]=0;k[ra+8>>2]=0;k[ra+12>>2]=0;k[t+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,xa|0,f|0);Ga=B;B=0;if(Ga&1){Ga=Rb()|0;Fa=Q;Yua(f);Yua(ra);Ava(xa);Ka=Fa;La=Ga;break}Yua(f);B=0;Ga=Ia(40,t|0,128699,14)|0;Fa=B;B=0;f:do if((((!(Fa&1)?(B=0,o=ya(427,k[g>>2]|0)|0,Aa=B,B=0,!(Aa&1)):0)?(Aa=Lta(o)|0,B=0,za=Ia(40,Ga|0,o|0,Aa|0)|0,Aa=B,B=0,!(Aa&1)):0)?(B=0,Aa=Ia(40,za|0,146481,18)|0,za=B,B=0,!(za&1)):0)?(B=0,Xa(239,Aa|0,0)|0,Aa=B,B=0,!(Aa&1)):0){Aa=Ab(20)|0;B=0;eb(502,u|0,125033,80);za=B;B=0;do if(!(za&1)){B=0;eb(502,v|0,138252,9);o=B;B=0;if(o&1){o=Rb()|0;Da=Q;Yua(u);Ma=Da;Na=o;break}B=0;wa(510,w|0,xa|0);o=B;B=0;if(o&1){o=Rb()|0;Oa=1;Pa=Q;Qa=o}else{B=0;ua(163,Aa|0,u|0,v|0,1105,w|0);o=B;B=0;if(o&1)Ra=1;else{B=0;eb(503,Aa|0,1240,229);B=0;Ra=0}o=Rb()|0;Da=Q;Yua(w);Oa=Ra;Pa=Da;Qa=o}Yua(v);Yua(u);if(Oa){Ma=Pa;Na=Qa}else{Sa=Pa;Ta=Qa;break f}}else{o=Rb()|0;Ma=Q;Na=o}while(0);zb(Aa|0);Sa=Ma;Ta=Na}else na=85;while(0);if((na|0)==85){Ga=Rb()|0;Sa=Q;Ta=Ga}k[t>>2]=27468;k[sa>>2]=27488;k[xa>>2]=27560;Yua(ra);Ava(xa);vva(sa);oa=Sa;pa=Ta;Qb(pa|0)}while(0);Ha=Ka;Ja=La;vva(sa);Qb(Ja|0)}}break}case 104:{switch(k[g>>2]|0){case 534:{break e;break}case 536:{G6(0,c,b,e);break e;break}case 539:{D6(0,c,b,e);break e;break}case 540:{H6(0,c,b,e);break e;break}case 542:{I6(0,c,b,e);break e;break}default:{xa=x+56|0;ta=x+4|0;k[x>>2]=27524;k[xa>>2]=27544;B=0;wa(508,x+56|0,ta|0);X=B;B=0;if(X&1){X=Rb()|0;Ua=Q;Va=X;vva(xa);Qb(Va|0)}k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[xa>>2]=27488;B=0;va(448,ta|0);X=B;B=0;do if(X&1){Ga=Rb()|0;Wa=Q;Ya=Ga}else{k[ta>>2]=27560;Ga=x+36|0;k[Ga>>2]=0;k[Ga+4>>2]=0;k[Ga+8>>2]=0;k[Ga+12>>2]=0;k[x+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,ta|0,f|0);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;_=Q;Yua(f);Yua(Ga);Ava(ta);Wa=_;Ya=Fa;break}Yua(f);B=0;Fa=Ia(40,x|0,128699,14)|0;_=B;B=0;g:do if((((!(_&1)?(B=0,za=ya(427,k[g>>2]|0)|0,la=B,B=0,!(la&1)):0)?(la=Lta(za)|0,B=0,o=Ia(40,Fa|0,za|0,la|0)|0,la=B,B=0,!(la&1)):0)?(B=0,la=Ia(40,o|0,146481,18)|0,o=B,B=0,!(o&1)):0)?(B=0,Xa(239,la|0,0)|0,la=B,B=0,!(la&1)):0){la=Ab(20)|0;B=0;eb(502,y|0,125033,80);o=B;B=0;do if(!(o&1)){B=0;eb(502,z|0,138252,9);za=B;B=0;if(za&1){za=Rb()|0;Da=Q;Yua(y);Za=Da;_a=za;break}B=0;wa(510,A|0,ta|0);za=B;B=0;if(za&1){za=Rb()|0;$a=Q;ab=1;bb=za}else{B=0;ua(163,la|0,y|0,z|0,1115,A|0);za=B;B=0;if(za&1)cb=1;else{B=0;eb(503,la|0,1240,229);B=0;cb=0}za=Rb()|0;Da=Q;Yua(A);$a=Da;ab=cb;bb=za}Yua(z);Yua(y);if(ab){Za=$a;_a=bb}else{db=$a;fb=bb;break g}}else{za=Rb()|0;Za=Q;_a=za}while(0);zb(la|0);db=Za;fb=_a}else na=116;while(0);if((na|0)==116){Fa=Rb()|0;db=Q;fb=Fa}k[x>>2]=27468;k[xa>>2]=27488;k[ta>>2]=27560;Yua(Ga);Ava(ta);vva(xa);oa=db;pa=fb;Qb(pa|0)}while(0);Ua=Wa;Va=Ya;vva(xa);Qb(Va|0)}}break}case 215:{switch(k[g>>2]|0){case 534:{break e;break}case 536:{J6(0,c,b,e);break e;break}case 539:{J6(0,c,b,e);break e;break}case 540:{J6(0,c,b,e);break e;break}case 542:{J6(0,c,b,e);break e;break}default:{ta=C+56|0;X=C+4|0;k[C>>2]=27524;k[ta>>2]=27544;B=0;wa(508,C+56|0,X|0);sa=B;B=0;if(sa&1){sa=Rb()|0;gb=Q;hb=sa;vva(ta);Qb(hb|0)}k[C+128>>2]=0;k[C+132>>2]=-1;k[C>>2]=27468;k[ta>>2]=27488;B=0;va(448,X|0);sa=B;B=0;do if(sa&1){Fa=Rb()|0;ib=Q;jb=Fa}else{k[X>>2]=27560;Fa=C+36|0;k[Fa>>2]=0;k[Fa+4>>2]=0;k[Fa+8>>2]=0;k[Fa+12>>2]=0;k[C+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,X|0,f|0);_=B;B=0;if(_&1){_=Rb()|0;ra=Q;Yua(f);Yua(Fa);Ava(X);ib=ra;jb=_;break}Yua(f);B=0;_=Ia(40,C|0,128699,14)|0;ra=B;B=0;h:do if((((!(ra&1)?(B=0,o=ya(427,k[g>>2]|0)|0,Aa=B,B=0,!(Aa&1)):0)?(Aa=Lta(o)|0,B=0,za=Ia(40,_|0,o|0,Aa|0)|0,Aa=B,B=0,!(Aa&1)):0)?(B=0,Aa=Ia(40,za|0,146481,18)|0,za=B,B=0,!(za&1)):0)?(B=0,Xa(239,Aa|0,0)|0,Aa=B,B=0,!(Aa&1)):0){Aa=Ab(20)|0;B=0;eb(502,D|0,125033,80);za=B;B=0;do if(!(za&1)){B=0;eb(502,E|0,138252,9);o=B;B=0;if(o&1){o=Rb()|0;Da=Q;Yua(D);kb=Da;lb=o;break}B=0;wa(510,F|0,X|0);o=B;B=0;if(o&1){o=Rb()|0;mb=1;nb=Q;ob=o}else{B=0;ua(163,Aa|0,D|0,E|0,1125,F|0);o=B;B=0;if(o&1)pb=1;else{B=0;eb(503,Aa|0,1240,229);B=0;pb=0}o=Rb()|0;Da=Q;Yua(F);mb=pb;nb=Da;ob=o}Yua(E);Yua(D);if(mb){kb=nb;lb=ob}else{qb=nb;rb=ob;break h}}else{o=Rb()|0;kb=Q;lb=o}while(0);zb(Aa|0);qb=kb;rb=lb}else na=147;while(0);if((na|0)==147){_=Rb()|0;qb=Q;rb=_}k[C>>2]=27468;k[ta>>2]=27488;k[X>>2]=27560;Yua(Fa);Ava(X);vva(ta);oa=qb;pa=rb;Qb(pa|0)}while(0);gb=ib;hb=jb;vva(ta);Qb(hb|0)}}break}case 214:{switch(k[g>>2]|0){case 534:{break e;break}case 536:{K6(0,c,b,e);break e;break}case 540:{L6(0,c,b,e);break e;break}case 542:{L6(0,c,b,e);break e;break}default:{X=G+56|0;sa=G+4|0;k[G>>2]=27524;k[X>>2]=27544;B=0;wa(508,G+56|0,sa|0);xa=B;B=0;if(xa&1){xa=Rb()|0;sb=Q;tb=xa;vva(X);Qb(tb|0)}k[G+128>>2]=0;k[G+132>>2]=-1;k[G>>2]=27468;k[X>>2]=27488;B=0;va(448,sa|0);xa=B;B=0;do if(xa&1){_=Rb()|0;ub=Q;vb=_}else{k[sa>>2]=27560;_=G+36|0;k[_>>2]=0;k[_+4>>2]=0;k[_+8>>2]=0;k[_+12>>2]=0;k[G+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,sa|0,f|0);ra=B;B=0;if(ra&1){ra=Rb()|0;Ga=Q;Yua(f);Yua(_);Ava(sa);ub=Ga;vb=ra;break}Yua(f);B=0;ra=Ia(40,G|0,128699,14)|0;Ga=B;B=0;i:do if((((!(Ga&1)?(B=0,za=ya(427,k[g>>2]|0)|0,la=B,B=0,!(la&1)):0)?(la=Lta(za)|0,B=0,o=Ia(40,ra|0,za|0,la|0)|0,la=B,B=0,!(la&1)):0)?(B=0,la=Ia(40,o|0,146481,18)|0,o=B,B=0,!(o&1)):0)?(B=0,Xa(239,la|0,0)|0,la=B,B=0,!(la&1)):0){la=Ab(20)|0;B=0;eb(502,H|0,125033,80);o=B;B=0;do if(!(o&1)){B=0;eb(502,I|0,138252,9);za=B;B=0;if(za&1){za=Rb()|0;Da=Q;Yua(H);wb=Da;xb=za;break}B=0;wa(510,J|0,sa|0);za=B;B=0;if(za&1){za=Rb()|0;yb=1;Bb=Q;Cb=za}else{B=0;ua(163,la|0,H|0,I|0,1134,J|0);za=B;B=0;if(za&1)Db=1;else{B=0;eb(503,la|0,1240,229);B=0;Db=0}za=Rb()|0;Da=Q;Yua(J);yb=Db;Bb=Da;Cb=za}Yua(I);Yua(H);if(yb){wb=Bb;xb=Cb}else{Eb=Bb;Fb=Cb;break i}}else{za=Rb()|0;wb=Q;xb=za}while(0);zb(la|0);Eb=wb;Fb=xb}else na=177;while(0);if((na|0)==177){ra=Rb()|0;Eb=Q;Fb=ra}k[G>>2]=27468;k[X>>2]=27488;k[sa>>2]=27560;Yua(_);Ava(sa);vva(X);oa=Eb;pa=Fb;Qb(pa|0)}while(0);sb=ub;tb=vb;vva(X);Qb(tb|0)}}break}case 227:{switch(k[g>>2]|0){case 534:{break e;break}case 536:{M6(0,c,b,e);break e;break}default:{}}sa=K+56|0;xa=K+4|0;k[K>>2]=27524;k[sa>>2]=27544;B=0;wa(508,K+56|0,xa|0);ta=B;B=0;if(ta&1){ta=Rb()|0;Gb=Q;Hb=ta;vva(sa);Qb(Hb|0)}k[K+128>>2]=0;k[K+132>>2]=-1;k[K>>2]=27468;k[sa>>2]=27488;B=0;va(448,xa|0);ta=B;B=0;do if(ta&1){ra=Rb()|0;Ib=Q;Jb=ra}else{k[xa>>2]=27560;ra=K+36|0;k[ra>>2]=0;k[ra+4>>2]=0;k[ra+8>>2]=0;k[ra+12>>2]=0;k[K+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,xa|0,f|0);Ga=B;B=0;if(Ga&1){Ga=Rb()|0;Fa=Q;Yua(f);Yua(ra);Ava(xa);Ib=Fa;Jb=Ga;break}Yua(f);B=0;Ga=Ia(40,K|0,128699,14)|0;Fa=B;B=0;j:do if((((!(Fa&1)?(B=0,o=ya(427,k[g>>2]|0)|0,Aa=B,B=0,!(Aa&1)):0)?(Aa=Lta(o)|0,B=0,za=Ia(40,Ga|0,o|0,Aa|0)|0,Aa=B,B=0,!(Aa&1)):0)?(B=0,Aa=Ia(40,za|0,146481,18)|0,za=B,B=0,!(za&1)):0)?(B=0,Xa(239,Aa|0,0)|0,Aa=B,B=0,!(Aa&1)):0){Aa=Ab(20)|0;B=0;eb(502,L|0,125033,80);za=B;B=0;do if(!(za&1)){B=0;eb(502,M|0,138252,9);o=B;B=0;if(o&1){o=Rb()|0;Da=Q;Yua(L);Kb=Da;Lb=o;break}B=0;wa(510,N|0,xa|0);o=B;B=0;if(o&1){o=Rb()|0;Mb=1;Nb=Q;Ob=o}else{B=0;ua(163,Aa|0,L|0,M|0,1141,N|0);o=B;B=0;if(o&1)Pb=1;else{B=0;eb(503,Aa|0,1240,229);B=0;Pb=0}o=Rb()|0;Da=Q;Yua(N);Mb=Pb;Nb=Da;Ob=o}Yua(M);Yua(L);if(Mb){Kb=Nb;Lb=Ob}else{Sb=Nb;Tb=Ob;break j}}else{o=Rb()|0;Kb=Q;Lb=o}while(0);zb(Aa|0);Sb=Kb;Tb=Lb}else na=205;while(0);if((na|0)==205){Ga=Rb()|0;Sb=Q;Tb=Ga}k[K>>2]=27468;k[sa>>2]=27488;k[xa>>2]=27560;Yua(ra);Ava(xa);vva(sa);oa=Sb;pa=Tb;Qb(pa|0)}while(0);Gb=Ib;Hb=Jb;vva(sa);Qb(Hb|0);break}default:{xa=O+56|0;ta=O+4|0;k[O>>2]=27524;k[xa>>2]=27544;B=0;wa(508,O+56|0,ta|0);X=B;B=0;if(X&1){X=Rb()|0;Ub=Q;Vb=X;vva(xa);Qb(Vb|0)}k[O+128>>2]=0;k[O+132>>2]=-1;k[O>>2]=27468;k[xa>>2]=27488;B=0;va(448,ta|0);X=B;B=0;do if(X&1){Ga=Rb()|0;Wb=Q;Xb=Ga}else{k[ta>>2]=27560;Ga=O+36|0;k[Ga>>2]=0;k[Ga+4>>2]=0;k[Ga+8>>2]=0;k[Ga+12>>2]=0;k[O+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,ta|0,f|0);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;_=Q;Yua(f);Yua(Ga);Ava(ta);Wb=_;Xb=Fa;break}Yua(f);B=0;Fa=Ia(40,O|0,125227,32)|0;_=B;B=0;k:do if(((!(_&1)?(B=0,za=ya(427,d|0)|0,la=B,B=0,!(la&1)):0)?(la=Lta(za)|0,B=0,o=Ia(40,Fa|0,za|0,la|0)|0,la=B,B=0,!(la&1)):0)?(B=0,Xa(239,o|0,0)|0,o=B,B=0,!(o&1)):0){o=Ab(20)|0;B=0;eb(502,P|0,125033,80);la=B;B=0;do if(!(la&1)){B=0;eb(502,R|0,138252,9);za=B;B=0;if(za&1){za=Rb()|0;Da=Q;Yua(P);Yb=Da;Zb=za;break}B=0;wa(510,S|0,ta|0);za=B;B=0;if(za&1){za=Rb()|0;_b=1;$b=Q;ac=za}else{B=0;ua(163,o|0,P|0,R|0,1144,S|0);za=B;B=0;if(za&1)bc=1;else{B=0;eb(503,o|0,1240,229);B=0;bc=0}za=Rb()|0;Da=Q;Yua(S);_b=bc;$b=Da;ac=za}Yua(R);Yua(P);if(_b){Yb=$b;Zb=ac}else{cc=$b;dc=ac;break k}}else{za=Rb()|0;Yb=Q;Zb=za}while(0);zb(o|0);cc=Yb;dc=Zb}else na=230;while(0);if((na|0)==230){Fa=Rb()|0;cc=Q;dc=Fa}k[O>>2]=27468;k[xa>>2]=27488;k[ta>>2]=27560;Yua(Ga);Ava(ta);vva(xa);oa=cc;pa=dc;Qb(pa|0)}while(0);Ub=Wb;Vb=Xb;vva(xa);Qb(Vb|0)}}while(0);Vb=k[h>>2]|0;if(Vb)Tqa(Vb);r=a;return}function A6(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0.0,O=0.0,P=0.0,R=0.0;a=r;r=r+224|0;e=a+160|0;f=a+212|0;g=a+24|0;h=a+200|0;i=a+188|0;j=a+176|0;l=a;m=a+172|0;if(_p(b)|0){r=a;return}cp(b,f,298);switch(k[f>>2]|0){case 300:{n=b;o=2;q=33;break}case 301:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){n=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;o=1;q=33}break}case 302:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){n=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;o=2;q=33}break}default:{b=g+56|0;s=g+4|0;k[g>>2]=27524;k[b>>2]=27544;B=0;wa(508,g+56|0,s|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;v=t;vva(b);Qb(v|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[b>>2]=27488;B=0;va(448,s|0);t=B;B=0;do if(t&1){w=Rb()|0;x=Q;y=w}else{k[s>>2]=27560;w=g+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[g+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,s|0,e|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(e);Yua(w);Ava(s);x=A;y=z;break}Yua(e);B=0;z=Ia(40,g|0,144639,5)|0;A=B;B=0;if((((!(A&1)?(B=0,A=ya(427,k[f>>2]|0)|0,C=B,B=0,!(C&1)):0)?(C=Lta(A)|0,B=0,D=Ia(40,z|0,A|0,C|0)|0,C=B,B=0,!(C&1)):0)?(B=0,C=Ia(40,D|0,146481,18)|0,D=B,B=0,!(D&1)):0)?(B=0,Xa(239,C|0,0)|0,C=B,B=0,!(C&1)):0){C=Ab(20)|0;B=0;eb(502,h|0,125033,80);D=B;B=0;do if(!(D&1)){B=0;eb(502,i|0,125260,21);A=B;B=0;if(A&1){A=Rb()|0;z=Q;Yua(h);E=A;F=z;break}B=0;wa(510,j|0,s|0);z=B;B=0;if(z&1){z=Rb()|0;G=z;H=Q;I=1}else{B=0;ua(163,C|0,h|0,i|0,1580,j|0);z=B;B=0;if(z&1)J=1;else{B=0;eb(503,C|0,1240,229);B=0;J=0}z=Rb()|0;A=Q;Yua(j);G=z;H=A;I=J}Yua(i);Yua(h);if(I){E=G;F=H}else{K=G;L=H;k[g>>2]=27468;k[b>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(b);Qb(K|0)}}else{A=Rb()|0;E=A;F=Q}while(0);zb(C|0);K=E;L=F;k[g>>2]=27468;k[b>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(b);Qb(K|0)}D=Rb()|0;K=D;L=Q;k[g>>2]=27468;k[b>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(b);Qb(K|0)}while(0);u=x;v=y;vva(b);Qb(v|0)}}if((q|0)==33){k[m>>2]=0;q=Hc[k[(k[n>>2]|0)+172>>2]&511](n)|0;v=q<<1;b=Rqa(v>>>0>536870911?-1:v<<3)|0;v=Rqa(q>>>0>536870911?-1:q<<3)|0;if(q)WEa(v|0,0,q<<3|0)|0;y=Rqa(q>>>0>1073741823?-1:q<<2)|0;Uo(n,m);Mp(n,y,d,0);d=Wo(n,105)|0;x=Wo(n,179)|0;u=ed[k[(k[n>>2]|0)+308>>2]&511](n,2)|0;K=Hc[k[(k[u>>2]|0)+8>>2]&511](u)|0;if((K|0)<(Hc[k[(k[u>>2]|0)+12>>2]&511](u)|0)){s=(q|0)>0;L=(o|0)==2;o=u+8|0;F=l+8|0;E=K;do{Fc[k[(k[u>>2]|0)+24>>2]&1023](u,E);rd[k[(k[n>>2]|0)+260>>2]&511](n,e,k[m>>2]|0,u);rd[k[(k[n>>2]|0)+360>>2]&511](n,b,k[m>>2]|0,u);rd[k[(k[x>>2]|0)+56>>2]&511](x,g,u,696);rd[k[(k[d>>2]|0)+60>>2]&511](d,l,k[m>>2]|0,u);if(s){M=+p[g>>3];N=+p[e>>3];O=+p[l>>3];if(L){P=+p[F>>3];R=M*N;K=0;do{H=v+(K<<3)|0;p[H>>3]=+p[H>>3]-R*+p[o>>3]*(+p[b+(K<<3)>>3]*O+ +p[b+(K+q<<3)>>3]*P);K=K+1|0}while((K|0)!=(q|0))}else{P=M*N;K=0;do{w=v+(K<<3)|0;p[w>>3]=+p[w>>3]-P*+p[o>>3]*+p[b+(K<<3)>>3]*O;K=K+1|0}while((K|0)!=(q|0))}}E=E+1|0}while((E|0)<(Hc[k[(k[u>>2]|0)+12>>2]&511](u)|0))}if(k[c>>2]|0){E=k[k[c+4>>2]>>2]|0;Dc[k[(k[E>>2]|0)+16>>2]&255](E,q,y,v,1)}q=k[m>>2]|0;if(q)Tqa(q);k[m>>2]=0;Tqa(b);Tqa(v);Tqa(y);if(u)Ec[k[(k[u>>2]|0)+4>>2]&1023](u);if((k[f>>2]|0)!=300?(ap(n),(n|0)!=0):0)Ec[k[(k[n>>2]|0)+4>>2]&1023](n)}r=a;return}function B6(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0;a=r;r=r+224|0;e=a+160|0;f=a+212|0;g=a+24|0;h=a+200|0;i=a+188|0;j=a+176|0;l=a;m=a+172|0;cp(b,f,298);a:do switch(k[f>>2]|0){case 300:{n=b;break}case 301:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){n=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;break a}else{r=a;return}break}case 302:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){n=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;break a}else{r=a;return}break}default:{o=g+56|0;q=g+4|0;k[g>>2]=27524;k[o>>2]=27544;B=0;wa(508,g+56|0,q|0);s=B;B=0;if(s&1){s=Rb()|0;t=Q;u=s;vva(o);Qb(u|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[o>>2]=27488;B=0;va(448,q|0);s=B;B=0;do if(s&1){v=Rb()|0;w=Q;x=v}else{k[q>>2]=27560;v=g+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[g+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,q|0,e|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(e);Yua(v);Ava(q);w=z;x=y;break}Yua(e);B=0;y=Ia(40,g|0,144639,5)|0;z=B;B=0;if((((!(z&1)?(B=0,z=ya(427,k[f>>2]|0)|0,A=B,B=0,!(A&1)):0)?(A=Lta(z)|0,B=0,C=Ia(40,y|0,z|0,A|0)|0,A=B,B=0,!(A&1)):0)?(B=0,A=Ia(40,C|0,146481,18)|0,C=B,B=0,!(C&1)):0)?(B=0,Xa(239,A|0,0)|0,A=B,B=0,!(A&1)):0){A=Ab(20)|0;B=0;eb(502,h|0,125033,80);C=B;B=0;do if(!(C&1)){B=0;eb(502,i|0,125282,21);z=B;B=0;if(z&1){z=Rb()|0;y=Q;Yua(h);D=z;E=y;break}B=0;wa(510,j|0,q|0);y=B;B=0;if(y&1){y=Rb()|0;F=y;G=Q;H=1}else{B=0;ua(163,A|0,h|0,i|0,1175,j|0);y=B;B=0;if(y&1)I=1;else{B=0;eb(503,A|0,1240,229);B=0;I=0}y=Rb()|0;z=Q;Yua(j);F=y;G=z;H=I}Yua(i);Yua(h);if(H){D=F;E=G}else{J=F;K=G;k[g>>2]=27468;k[o>>2]=27488;k[q>>2]=27560;Yua(v);Ava(q);vva(o);Qb(J|0)}}else{z=Rb()|0;D=z;E=Q}while(0);zb(A|0);J=D;K=E;k[g>>2]=27468;k[o>>2]=27488;k[q>>2]=27560;Yua(v);Ava(q);vva(o);Qb(J|0)}C=Rb()|0;J=C;K=Q;k[g>>2]=27468;k[o>>2]=27488;k[q>>2]=27560;Yua(v);Ava(q);vva(o);Qb(J|0)}while(0);t=w;u=x;vva(o);Qb(u|0)}}while(0);k[m>>2]=0;u=Hc[k[(k[n>>2]|0)+172>>2]&511](n)|0;x=u<<1;w=Rqa(x>>>0>536870911?-1:x<<3)|0;x=Rqa(u>>>0>536870911?-1:u<<3)|0;if(u)WEa(x|0,0,u<<3|0)|0;t=Rqa(u>>>0>1073741823?-1:u<<2)|0;Uo(n,m);Mp(n,t,d,0);d=Wo(n,215)|0;J=Wo(n,179)|0;K=ed[k[(k[n>>2]|0)+308>>2]&511](n,2)|0;E=Hc[k[(k[K>>2]|0)+8>>2]&511](K)|0;if((E|0)<(Hc[k[(k[K>>2]|0)+12>>2]&511](K)|0)){D=(u|0)>0;G=K+8|0;F=l+8|0;H=E;do{Fc[k[(k[K>>2]|0)+24>>2]&1023](K,H);rd[k[(k[n>>2]|0)+260>>2]&511](n,e,k[m>>2]|0,K);rd[k[(k[n>>2]|0)+360>>2]&511](n,w,k[m>>2]|0,K);rd[k[(k[J>>2]|0)+56>>2]&511](J,g,K,694);rd[k[(k[d>>2]|0)+60>>2]&511](d,l,k[m>>2]|0,K);if(D){L=+p[g>>3];M=+p[e>>3];N=+p[l>>3];if((k[f>>2]|0)==301){O=L*M;E=0;do{h=x+(E<<3)|0;p[h>>3]=+p[h>>3]-O*+p[G>>3]*+p[w+(E<<3)>>3]*N;E=E+1|0}while((E|0)!=(u|0))}else{O=+p[F>>3];P=L*M;E=0;do{o=x+(E<<3)|0;p[o>>3]=+p[o>>3]-P*+p[G>>3]*(+p[w+(E<<3)>>3]*N+ +p[w+(E+u<<3)>>3]*O);E=E+1|0}while((E|0)!=(u|0))}}H=H+1|0}while((H|0)<(Hc[k[(k[K>>2]|0)+12>>2]&511](K)|0))}if(k[c>>2]|0){H=k[k[c+4>>2]>>2]|0;Dc[k[(k[H>>2]|0)+16>>2]&255](H,u,t,x,1)}u=k[m>>2]|0;if(u)Tqa(u);k[m>>2]=0;Tqa(w);Tqa(x);Tqa(t);if(K)Ec[k[(k[K>>2]|0)+4>>2]&1023](K);if((k[f>>2]|0)!=300?(ap(n),(n|0)!=0):0)Ec[k[(k[n>>2]|0)+4>>2]&1023](n);r=a;return}function C6(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0;a=r;r=r+224|0;e=a+160|0;f=a+212|0;g=a+24|0;h=a+200|0;i=a+188|0;j=a+176|0;l=a;m=a+172|0;cp(b,f,298);if(((k[f>>2]|0)+-300|0)>>>0<3){k[m>>2]=0;n=Hc[k[(k[b>>2]|0)+172>>2]&511](b)|0;o=n*3|0;q=Rqa(o>>>0>536870911?-1:o<<3)|0;o=Rqa(n>>>0>536870911?-1:n<<3)|0;if(n)WEa(o|0,0,n<<3|0)|0;s=Rqa(n>>>0>1073741823?-1:n<<2)|0;Uo(b,m);Mp(b,s,d,0);d=Wo(b,214)|0;t=Wo(b,179)|0;u=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;v=Hc[k[(k[u>>2]|0)+8>>2]&511](u)|0;if((v|0)<(Hc[k[(k[u>>2]|0)+12>>2]&511](u)|0)){w=(n|0)>0;x=u+8|0;y=l+8|0;z=n<<1;A=l+16|0;C=v;do{Fc[k[(k[u>>2]|0)+24>>2]&1023](u,C);rd[k[(k[b>>2]|0)+260>>2]&511](b,e,k[m>>2]|0,u);rd[k[(k[b>>2]|0)+360>>2]&511](b,q,k[m>>2]|0,u);rd[k[(k[t>>2]|0)+56>>2]&511](t,g,u,695);rd[k[(k[d>>2]|0)+60>>2]&511](d,l,k[m>>2]|0,u);if(w){D=+p[g>>3];E=+p[e>>3];F=+p[l>>3];G=+p[y>>3];if((k[f>>2]|0)==301){H=+p[A>>3];I=D*E;v=0;do{J=o+(v<<3)|0;p[J>>3]=+p[J>>3]-I*+p[x>>3]*(+p[q+(v<<3)>>3]*F+ +p[q+(v+n<<3)>>3]*G+ +p[q+(v+z<<3)>>3]*H);v=v+1|0}while((v|0)!=(n|0))}else{H=D*E;v=0;do{J=o+(v<<3)|0;p[J>>3]=+p[J>>3]-H*+p[x>>3]*(+p[q+(v<<3)>>3]*F+ +p[q+(v+n<<3)>>3]*G);v=v+1|0}while((v|0)!=(n|0))}}C=C+1|0}while((C|0)<(Hc[k[(k[u>>2]|0)+12>>2]&511](u)|0))}if(k[c>>2]|0){C=k[k[c+4>>2]>>2]|0;Dc[k[(k[C>>2]|0)+16>>2]&255](C,n,s,o,1)}n=k[m>>2]|0;if(n)Tqa(n);k[m>>2]=0;Tqa(q);Tqa(o);Tqa(s);if(!u){r=a;return}Ec[k[(k[u>>2]|0)+4>>2]&1023](u);r=a;return}a=g+56|0;u=g+4|0;k[g>>2]=27524;k[a>>2]=27544;B=0;wa(508,g+56|0,u|0);s=B;B=0;if(s&1){s=Rb()|0;K=Q;L=s;vva(a);Qb(L|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[a>>2]=27488;B=0;va(448,u|0);s=B;B=0;do if(s&1){o=Rb()|0;M=Q;N=o}else{k[u>>2]=27560;o=g+36|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[o+12>>2]=0;k[g+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,u|0,e|0);q=B;B=0;if(q&1){q=Rb()|0;m=Q;Yua(e);Yua(o);Ava(u);M=m;N=q;break}Yua(e);B=0;q=Ia(40,g|0,144639,5)|0;m=B;B=0;if((((!(m&1)?(B=0,m=ya(427,k[f>>2]|0)|0,n=B,B=0,!(n&1)):0)?(n=Lta(m)|0,B=0,C=Ia(40,q|0,m|0,n|0)|0,n=B,B=0,!(n&1)):0)?(B=0,n=Ia(40,C|0,146481,18)|0,C=B,B=0,!(C&1)):0)?(B=0,Xa(239,n|0,0)|0,n=B,B=0,!(n&1)):0){n=Ab(20)|0;B=0;eb(502,h|0,125033,80);C=B;B=0;do if(!(C&1)){B=0;eb(502,i|0,125304,18);m=B;B=0;if(m&1){m=Rb()|0;q=Q;Yua(h);O=m;P=q;break}B=0;wa(510,j|0,u|0);q=B;B=0;if(q&1){q=Rb()|0;R=q;S=Q;T=1}else{B=0;ua(163,n|0,h|0,i|0,1342,j|0);q=B;B=0;if(q&1)U=1;else{B=0;eb(503,n|0,1240,229);B=0;U=0}q=Rb()|0;m=Q;Yua(j);R=q;S=m;T=U}Yua(i);Yua(h);if(T){O=R;P=S}else{V=R;W=S;k[g>>2]=27468;k[a>>2]=27488;k[u>>2]=27560;Yua(o);Ava(u);vva(a);Qb(V|0)}}else{m=Rb()|0;O=m;P=Q}while(0);zb(n|0);V=O;W=P;k[g>>2]=27468;k[a>>2]=27488;k[u>>2]=27560;Yua(o);Ava(u);vva(a);Qb(V|0)}C=Rb()|0;V=C;W=Q;k[g>>2]=27468;k[a>>2]=27488;k[u>>2]=27560;Yua(o);Ava(u);vva(a);Qb(V|0)}while(0);K=M;L=N;vva(a);Qb(L|0)}function D6(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0.0;a=r;r=r+256|0;e=a+48|0;f=a+240|0;g=a+104|0;h=a+88|0;i=a+76|0;j=a+64|0;l=a+40|0;m=a+32|0;n=a+24|0;o=a+16|0;q=a+8|0;s=a;t=a+60|0;if(_p(b)|0){r=a;return}cp(b,f,298);switch(k[f>>2]|0){case 300:{u=b;v=2;w=33;break}case 301:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){u=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;v=1;w=33}break}case 302:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){u=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;v=2;w=33}break}default:{b=g+56|0;x=g+4|0;k[g>>2]=27524;k[b>>2]=27544;B=0;wa(508,g+56|0,x|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;A=y;vva(b);Qb(A|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[b>>2]=27488;B=0;va(448,x|0);y=B;B=0;do if(y&1){C=Rb()|0;D=Q;E=C}else{k[x>>2]=27560;C=g+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[g+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,x|0,e|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(e);Yua(C);Ava(x);D=G;E=F;break}Yua(e);B=0;F=Ia(40,g|0,144639,5)|0;G=B;B=0;a:do if((((!(G&1)?(B=0,H=ya(427,k[f>>2]|0)|0,I=B,B=0,!(I&1)):0)?(I=Lta(H)|0,B=0,J=Ia(40,F|0,H|0,I|0)|0,I=B,B=0,!(I&1)):0)?(B=0,I=Ia(40,J|0,146481,18)|0,J=B,B=0,!(J&1)):0)?(B=0,Xa(239,I|0,0)|0,I=B,B=0,!(I&1)):0){I=Ab(20)|0;B=0;eb(502,h|0,125033,80);J=B;B=0;do if(!(J&1)){B=0;eb(502,i|0,125323,16);H=B;B=0;if(H&1){H=Rb()|0;K=Q;Yua(h);L=H;M=K;break}B=0;wa(510,j|0,x|0);K=B;B=0;if(K&1){K=Rb()|0;N=K;O=Q;P=1}else{B=0;ua(163,I|0,h|0,i|0,1837,j|0);K=B;B=0;if(K&1)R=1;else{B=0;eb(503,I|0,1240,229);B=0;R=0}K=Rb()|0;H=Q;Yua(j);N=K;O=H;P=R}Yua(i);Yua(h);if(P){L=N;M=O}else{S=N;T=O;break a}}else{H=Rb()|0;L=H;M=Q}while(0);zb(I|0);S=L;T=M}else w=25;while(0);if((w|0)==25){F=Rb()|0;S=F;T=Q}k[g>>2]=27468;k[b>>2]=27488;k[x>>2]=27560;Yua(C);Ava(x);vva(b);U=S;V=T;Qb(U|0)}while(0);z=D;A=E;vva(b);Qb(A|0)}}if((w|0)==33){k[t>>2]=0;w=Hc[k[(k[u>>2]|0)+172>>2]&511](u)|0;A=w>>>0>536870911?-1:w<<3;b=Rqa(A)|0;E=Rqa(A)|0;if(w)WEa(E|0,0,w<<3|0)|0;A=Rqa(w>>>0>1073741823?-1:w<<2)|0;D=Qqa(16)|0;B=0;eb(524,D|0,u|0,v|0);v=B;B=0;if(v&1){v=Rb()|0;z=Q;Sqa(D);U=v;V=z;Qb(U|0)}Uo(u,t);Mp(u,A,d,0);d=Wo(u,674)|0;U=Wo(u,677)|0;z=Wo(u,638)|0;V=Wo(u,639)|0;v=Wo(u,105)|0;T=ed[k[(k[u>>2]|0)+308>>2]&511](u,4)|0;S=Hc[k[(k[T>>2]|0)+8>>2]&511](T)|0;b:do if((S|0)<(Hc[k[(k[T>>2]|0)+12>>2]&511](T)|0)){x=T+8|0;if((w|0)>0)W=S;else{g=S;while(1){Fc[k[(k[T>>2]|0)+24>>2]&1023](T,g);nd[k[(k[z>>2]|0)+48>>2]&1023](z,q,T);nd[k[(k[V>>2]|0)+48>>2]&1023](V,s,T);nd[k[(k[d>>2]|0)+48>>2]&1023](d,n,T);nd[k[(k[U>>2]|0)+48>>2]&1023](U,o,T);nd[k[(k[v>>2]|0)+48>>2]&1023](v,l,T);cla(D,m,T);rd[k[(k[u>>2]|0)+260>>2]&511](u,e,k[t>>2]|0,T);nd[k[(k[u>>2]|0)+356>>2]&1023](u,b,T);g=g+1|0;if((g|0)>=(Hc[k[(k[T>>2]|0)+12>>2]&511](T)|0))break b}}do{Fc[k[(k[T>>2]|0)+24>>2]&1023](T,W);nd[k[(k[z>>2]|0)+48>>2]&1023](z,q,T);nd[k[(k[V>>2]|0)+48>>2]&1023](V,s,T);nd[k[(k[d>>2]|0)+48>>2]&1023](d,n,T);nd[k[(k[U>>2]|0)+48>>2]&1023](U,o,T);nd[k[(k[v>>2]|0)+48>>2]&1023](v,l,T);cla(D,m,T);rd[k[(k[u>>2]|0)+260>>2]&511](u,e,k[t>>2]|0,T);nd[k[(k[u>>2]|0)+356>>2]&1023](u,b,T);X=+p[e>>3]*(+p[l>>3]*-2.0*+p[m>>3]*(+p[q>>3]*+p[n>>3]+ +p[s>>3]*+p[o>>3]));g=0;do{C=E+(g<<3)|0;p[C>>3]=+p[C>>3]+ +p[b+(g<<3)>>3]*(+p[x>>3]*X);g=g+1|0}while((g|0)!=(w|0));W=W+1|0}while((W|0)<(Hc[k[(k[T>>2]|0)+12>>2]&511](T)|0))}while(0);if(k[c>>2]|0){W=k[k[c+4>>2]>>2]|0;Dc[k[(k[W>>2]|0)+16>>2]&255](W,w,A,E,1)}w=k[t>>2]|0;if(w)Tqa(w);k[t>>2]=0;Tqa(b);Tqa(E);Tqa(A);if(T)Ec[k[(k[T>>2]|0)+4>>2]&1023](T);bla(D);Sqa(D);if((k[f>>2]|0)!=300?(ap(u),(u|0)!=0):0)Ec[k[(k[u>>2]|0)+4>>2]&1023](u)}r=a;return}function E6(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0;a=r;r=r+64|0;e=a+48|0;f=a+40|0;g=a+32|0;h=a+24|0;i=a+16|0;j=a+8|0;l=a;m=a+60|0;n=a+56|0;if(_p(b)|0){r=a;return}if(!(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0)){r=a;return}k[m>>2]=0;cp(b,n,298);o=Hc[k[(k[b>>2]|0)+172>>2]&511](b)|0;q=o>>>0>536870911?-1:o<<3;s=Rqa(q)|0;t=Rqa(q)|0;if(o)WEa(t|0,0,o<<3|0)|0;q=Rqa(o>>>0>1073741823?-1:o<<2)|0;u=(k[n>>2]|0)==301?2:3;v=Qqa(16)|0;B=0;eb(524,v|0,b|0,u|0);u=B;B=0;if(u&1){u=Rb()|0;Sqa(v);Qb(u|0)}Fc[k[(k[b>>2]|0)+188>>2]&1023](b,m);Mp(b,q,d,0);d=Wo(b,674)|0;u=Wo(b,638)|0;w=Wo(b,105)|0;if((k[n>>2]|0)==301){x=0;y=0}else{z=Wo(b,677)|0;x=Wo(b,639)|0;y=z}z=ed[k[(k[b>>2]|0)+324>>2]&511](b,4)|0;A=Hc[k[(k[z>>2]|0)+8>>2]&511](z)|0;if((A|0)<(Hc[k[(k[z>>2]|0)+12>>2]&511](z)|0)){C=(o|0)>0;D=z+8|0;E=A;do{Fc[k[(k[z>>2]|0)+24>>2]&1023](z,E);nd[k[(k[u>>2]|0)+48>>2]&1023](u,j,z);nd[k[(k[d>>2]|0)+48>>2]&1023](d,h,z);if((k[n>>2]|0)!=301){nd[k[(k[x>>2]|0)+48>>2]&1023](x,l,z);nd[k[(k[y>>2]|0)+48>>2]&1023](y,i,z)}nd[k[(k[w>>2]|0)+48>>2]&1023](w,f,z);cla(v,g,z);rd[k[(k[b>>2]|0)+264>>2]&511](b,e,k[m>>2]|0,z);nd[k[(k[b>>2]|0)+356>>2]&1023](b,s,z);if(C){F=+p[f>>3];G=+p[g>>3];H=+p[j>>3];I=+p[h>>3];if((k[n>>2]|0)==301){J=F*-2.0*G*(H*I)*+p[e>>3];A=0;do{K=t+(A<<3)|0;p[K>>3]=+p[K>>3]+J*+p[D>>3]*+p[s+(A<<3)>>3];A=A+1|0}while((A|0)!=(o|0))}else{J=+p[e>>3]*(F*-2.0*G*(H*I+ +p[l>>3]*+p[i>>3]));A=0;do{K=t+(A<<3)|0;p[K>>3]=+p[K>>3]+ +p[s+(A<<3)>>3]*(+p[D>>3]*J);A=A+1|0}while((A|0)!=(o|0))}}E=E+1|0}while((E|0)<(Hc[k[(k[z>>2]|0)+12>>2]&511](z)|0))}if(k[c>>2]|0){E=k[k[c+4>>2]>>2]|0;Dc[k[(k[E>>2]|0)+16>>2]&255](E,o,q,t,1)}o=k[m>>2]|0;if(o)Tqa(o);k[m>>2]=0;Tqa(s);Tqa(t);Tqa(q);if(z)Ec[k[(k[z>>2]|0)+4>>2]&1023](z);bla(v);Sqa(v);r=a;return}function F6(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0.0,O=0.0,P=0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0;a=r;r=r+112|0;e=a+100|0;f=a+88|0;g=a+80|0;h=a+72|0;i=a+48|0;j=a+40|0;l=a+32|0;m=a+24|0;n=a+16|0;o=a+8|0;q=a;s=a+96|0;if(_p(b)|0){r=a;return}if(!(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0)){r=a;return}k[s>>2]=0;t=Hc[k[(k[b>>2]|0)+172>>2]&511](b)|0;u=t>>>0>536870911?-1:t<<3;v=Rqa(u)|0;w=Rqa(u)|0;if(t)WEa(w|0,0,t<<3|0)|0;u=Rqa(t>>>0>1073741823?-1:t<<2)|0;cp(b,e,298);x=(k[e>>2]|0)==301?2:3;y=Qqa(16)|0;B=0;eb(524,y|0,b|0,x|0);x=B;B=0;if(x&1){x=Rb()|0;Sqa(y);Qb(x|0)}Fc[k[(k[b>>2]|0)+188>>2]&1023](b,s);Mp(b,u,d,0);d=Wo(b,674)|0;x=Wo(b,677)|0;z=Wo(b,638)|0;A=Wo(b,639)|0;if((k[e>>2]|0)==301){C=0;D=0}else{E=Wo(b,679)|0;C=Wo(b,640)|0;D=E}E=Wo(b,105)|0;F=ed[k[(k[b>>2]|0)+324>>2]&511](b,4)|0;G=Hc[k[(k[F>>2]|0)+8>>2]&511](F)|0;if((G|0)<(Hc[k[(k[F>>2]|0)+12>>2]&511](F)|0)){H=(t|0)>0;I=F+8|0;J=i+16|0;K=i+8|0;L=G;do{Fc[k[(k[F>>2]|0)+24>>2]&1023](F,L);nd[k[(k[z>>2]|0)+48>>2]&1023](z,n,F);nd[k[(k[A>>2]|0)+48>>2]&1023](A,o,F);nd[k[(k[d>>2]|0)+48>>2]&1023](d,j,F);nd[k[(k[x>>2]|0)+48>>2]&1023](x,l,F);if((k[e>>2]|0)!=301){nd[k[(k[C>>2]|0)+48>>2]&1023](C,q,F);nd[k[(k[D>>2]|0)+48>>2]&1023](D,m,F)}nd[k[(k[E>>2]|0)+48>>2]&1023](E,g,F);cla(y,h,F);nd[k[(k[b>>2]|0)+380>>2]&1023](b,i,k[s>>2]|0);rd[k[(k[b>>2]|0)+264>>2]&511](b,f,k[s>>2]|0,F);nd[k[(k[b>>2]|0)+356>>2]&1023](b,v,F);if((k[e>>2]|0)==301){if(H){M=+p[g>>3];N=+p[h>>3];O=+p[f>>3]*(+p[n>>3]*-2.0*M*N*+p[j>>3]-+p[l>>3]*(N*(M*(+p[o>>3]*2.0))));G=0;do{P=w+(G<<3)|0;p[P>>3]=+p[P>>3]+ +p[v+(G<<3)>>3]*(+p[I>>3]*O);G=G+1|0}while((G|0)!=(t|0))}}else if(H){O=+p[j>>3];M=+p[m>>3];N=+p[i>>3];Q=+p[J>>3];R=+p[l>>3];S=+p[K>>3];T=+p[g>>3]*2.0*+p[h>>3];U=+p[f>>3]*(-(+p[n>>3]*(T*(O-M*N*Q)))-+p[o>>3]*(T*(R-Q*(M*S)))-+p[q>>3]*(T*(-(O*N*Q)-Q*(R*S))));G=0;do{P=w+(G<<3)|0;p[P>>3]=+p[P>>3]+ +p[v+(G<<3)>>3]*(+p[I>>3]*U);G=G+1|0}while((G|0)!=(t|0))}L=L+1|0}while((L|0)<(Hc[k[(k[F>>2]|0)+12>>2]&511](F)|0))}if(k[c>>2]|0){L=k[k[c+4>>2]>>2]|0;Dc[k[(k[L>>2]|0)+16>>2]&255](L,t,u,w,1)}t=k[s>>2]|0;if(t)Tqa(t);k[s>>2]=0;Tqa(v);Tqa(w);Tqa(u);if(F)Ec[k[(k[F>>2]|0)+4>>2]&1023](F);bla(y);Sqa(y);r=a;return}function G6(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0.0;a=r;r=r+272|0;e=a+208|0;f=a+260|0;g=a+72|0;h=a+248|0;i=a+236|0;j=a+224|0;l=a+64|0;m=a+56|0;n=a+48|0;o=a+40|0;q=a+32|0;s=a+220|0;t=a+24|0;u=a+16|0;v=a+8|0;w=a;if(_p(b)|0){r=a;return}cp(b,f,298);switch(k[f>>2]|0){case 300:{x=b;y=2;z=33;break}case 301:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){x=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;y=1;z=33}break}case 302:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){x=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;y=2;z=33}break}default:{b=g+56|0;A=g+4|0;k[g>>2]=27524;k[b>>2]=27544;B=0;wa(508,g+56|0,A|0);C=B;B=0;if(C&1){C=Rb()|0;D=Q;E=C;vva(b);Qb(E|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[b>>2]=27488;B=0;va(448,A|0);C=B;B=0;do if(C&1){F=Rb()|0;G=Q;H=F}else{k[A>>2]=27560;F=g+36|0;k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;k[F+12>>2]=0;k[g+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,A|0,e|0);I=B;B=0;if(I&1){I=Rb()|0;J=Q;Yua(e);Yua(F);Ava(A);G=J;H=I;break}Yua(e);B=0;I=Ia(40,g|0,144639,5)|0;J=B;B=0;a:do if((((!(J&1)?(B=0,K=ya(427,k[f>>2]|0)|0,L=B,B=0,!(L&1)):0)?(L=Lta(K)|0,B=0,M=Ia(40,I|0,K|0,L|0)|0,L=B,B=0,!(L&1)):0)?(B=0,L=Ia(40,M|0,146481,18)|0,M=B,B=0,!(M&1)):0)?(B=0,Xa(239,L|0,0)|0,L=B,B=0,!(L&1)):0){L=Ab(20)|0;B=0;eb(502,h|0,125033,80);M=B;B=0;do if(!(M&1)){B=0;eb(502,i|0,125340,21);K=B;B=0;if(K&1){K=Rb()|0;N=Q;Yua(h);O=K;P=N;break}B=0;wa(510,j|0,A|0);N=B;B=0;if(N&1){N=Rb()|0;R=N;S=Q;T=1}else{B=0;ua(163,L|0,h|0,i|0,2099,j|0);N=B;B=0;if(N&1)U=1;else{B=0;eb(503,L|0,1240,229);B=0;U=0}N=Rb()|0;K=Q;Yua(j);R=N;S=K;T=U}Yua(i);Yua(h);if(T){O=R;P=S}else{V=R;W=S;break a}}else{K=Rb()|0;O=K;P=Q}while(0);zb(L|0);V=O;W=P}else z=25;while(0);if((z|0)==25){I=Rb()|0;V=I;W=Q}k[g>>2]=27468;k[b>>2]=27488;k[A>>2]=27560;Yua(F);Ava(A);vva(b);X=V;Y=W;Qb(X|0)}while(0);D=G;E=H;vva(b);Qb(E|0)}}if((z|0)==33){k[s>>2]=0;z=Hc[k[(k[x>>2]|0)+172>>2]&511](x)|0;E=z>>>0>536870911?-1:z<<3;b=Rqa(E)|0;H=Rqa(E)|0;if(z)WEa(H|0,0,z<<3|0)|0;E=Rqa(z>>>0>1073741823?-1:z<<2)|0;G=Qqa(16)|0;B=0;eb(524,G|0,x|0,y|0);y=B;B=0;if(y&1){y=Rb()|0;D=Q;Sqa(G);X=y;Y=D;Qb(X|0)}Uo(x,s);Mp(x,E,d,0);d=Wo(x,674)|0;X=Wo(x,677)|0;D=Wo(x,638)|0;Y=Wo(x,639)|0;y=Wo(x,108)|0;W=Wo(x,110)|0;V=Wo(x,104)|0;A=Wo(x,217)|0;P=Wo(x,115)|0;O=ed[k[(k[x>>2]|0)+308>>2]&511](x,4)|0;S=Hc[k[(k[O>>2]|0)+8>>2]&511](O)|0;if((S|0)<(Hc[k[(k[O>>2]|0)+12>>2]&511](O)|0)){R=(z|0)>0;T=O+8|0;h=S;do{Fc[k[(k[O>>2]|0)+24>>2]&1023](O,h);nd[k[(k[D>>2]|0)+48>>2]&1023](D,o,O);nd[k[(k[Y>>2]|0)+48>>2]&1023](Y,q,O);nd[k[(k[d>>2]|0)+48>>2]&1023](d,m,O);nd[k[(k[X>>2]|0)+48>>2]&1023](X,n,O);cla(G,l,O);rd[k[(k[x>>2]|0)+260>>2]&511](x,e,k[s>>2]|0,O);nd[k[(k[x>>2]|0)+356>>2]&1023](x,b,O);nd[k[(k[y>>2]|0)+48>>2]&1023](y,g,O);nd[k[(k[W>>2]|0)+48>>2]&1023](W,t,O);nd[k[(k[V>>2]|0)+48>>2]&1023](V,u,O);nd[k[(k[P>>2]|0)+48>>2]&1023](P,v,O);nd[k[(k[A>>2]|0)+48>>2]&1023](A,w,O);if(R){Z=+p[e>>3]*(+p[l>>3]*(+p[o>>3]*+p[m>>3]+ +p[q>>3]*+p[n>>3]));S=0;do{i=H+(S<<3)|0;p[i>>3]=+p[i>>3]-+p[b+(S<<3)>>3]*(+p[T>>3]*Z);S=S+1|0}while((S|0)!=(z|0))}h=h+1|0}while((h|0)<(Hc[k[(k[O>>2]|0)+12>>2]&511](O)|0))}if(k[c>>2]|0){h=k[k[c+4>>2]>>2]|0;Dc[k[(k[h>>2]|0)+16>>2]&255](h,z,E,H,1)}z=k[s>>2]|0;if(z)Tqa(z);k[s>>2]=0;Tqa(b);Tqa(H);Tqa(E);if(O)Ec[k[(k[O>>2]|0)+4>>2]&1023](O);bla(G);Sqa(G);if((k[f>>2]|0)!=300?(ap(x),(x|0)!=0):0)Ec[k[(k[x>>2]|0)+4>>2]&1023](x)}r=a;return}function H6(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0;a=r;r=r+64|0;e=a+40|0;f=a+32|0;g=a+24|0;h=a+16|0;i=a+8|0;j=a;l=a+52|0;m=a+48|0;if(_p(b)|0){r=a;return}if(!(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0)){r=a;return}k[l>>2]=0;cp(b,m,298);n=Hc[k[(k[b>>2]|0)+172>>2]&511](b)|0;o=n>>>0>536870911?-1:n<<3;q=Rqa(o)|0;s=Rqa(o)|0;if(n)WEa(s|0,0,n<<3|0)|0;o=Rqa(n>>>0>1073741823?-1:n<<2)|0;t=(k[m>>2]|0)==301?2:3;u=Qqa(16)|0;B=0;eb(524,u|0,b|0,t|0);t=B;B=0;if(t&1){t=Rb()|0;Sqa(u);Qb(t|0)}Fc[k[(k[b>>2]|0)+188>>2]&1023](b,l);Mp(b,o,d,0);d=Wo(b,674)|0;t=Wo(b,638)|0;if((k[m>>2]|0)==301){v=0;w=0}else{x=Wo(b,677)|0;v=Wo(b,639)|0;w=x}x=ed[k[(k[b>>2]|0)+324>>2]&511](b,4)|0;y=Hc[k[(k[x>>2]|0)+8>>2]&511](x)|0;if((y|0)<(Hc[k[(k[x>>2]|0)+12>>2]&511](x)|0)){z=(n|0)>0;A=x+8|0;C=y;do{Fc[k[(k[x>>2]|0)+24>>2]&1023](x,C);nd[k[(k[t>>2]|0)+48>>2]&1023](t,i,x);nd[k[(k[d>>2]|0)+48>>2]&1023](d,g,x);if((k[m>>2]|0)!=301){nd[k[(k[v>>2]|0)+48>>2]&1023](v,j,x);nd[k[(k[w>>2]|0)+48>>2]&1023](w,h,x)}cla(u,f,x);rd[k[(k[b>>2]|0)+264>>2]&511](b,e,k[l>>2]|0,x);nd[k[(k[b>>2]|0)+356>>2]&1023](b,q,x);if(z){D=+p[f>>3];E=+p[i>>3];F=+p[g>>3];if((k[m>>2]|0)==301){G=D*(E*F)*+p[e>>3];y=0;do{H=s+(y<<3)|0;p[H>>3]=+p[H>>3]-G*+p[A>>3]*+p[q+(y<<3)>>3];y=y+1|0}while((y|0)!=(n|0))}else{G=D*(E*F+ +p[j>>3]*+p[h>>3])*+p[e>>3];y=0;do{H=s+(y<<3)|0;p[H>>3]=+p[H>>3]-G*+p[A>>3]*+p[q+(y<<3)>>3];y=y+1|0}while((y|0)!=(n|0))}}C=C+1|0}while((C|0)<(Hc[k[(k[x>>2]|0)+12>>2]&511](x)|0))}if(k[c>>2]|0){C=k[k[c+4>>2]>>2]|0;Dc[k[(k[C>>2]|0)+16>>2]&255](C,n,o,s,1)}n=k[l>>2]|0;if(n)Tqa(n);k[l>>2]=0;Tqa(q);Tqa(s);Tqa(o);if(x)Ec[k[(k[x>>2]|0)+4>>2]&1023](x);bla(u);Sqa(u);r=a;return}function I6(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0.0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0;a=r;r=r+96|0;e=a+92|0;f=a+80|0;g=a+72|0;h=a+48|0;i=a+40|0;j=a+32|0;l=a+24|0;m=a+16|0;n=a+8|0;o=a;q=a+88|0;if(_p(b)|0){r=a;return}if(!(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0)){r=a;return}k[q>>2]=0;s=Hc[k[(k[b>>2]|0)+172>>2]&511](b)|0;t=s>>>0>536870911?-1:s<<3;u=Rqa(t)|0;v=Rqa(t)|0;if(s)WEa(v|0,0,s<<3|0)|0;t=Rqa(s>>>0>1073741823?-1:s<<2)|0;cp(b,e,298);w=(k[e>>2]|0)==301?2:3;x=Qqa(16)|0;B=0;eb(524,x|0,b|0,w|0);w=B;B=0;if(w&1){w=Rb()|0;Sqa(x);Qb(w|0)}Fc[k[(k[b>>2]|0)+188>>2]&1023](b,q);Mp(b,t,d,0);d=Wo(b,674)|0;w=Wo(b,677)|0;y=Wo(b,638)|0;z=Wo(b,639)|0;if((k[e>>2]|0)==301){A=0;C=0}else{D=Wo(b,679)|0;A=Wo(b,640)|0;C=D}D=ed[k[(k[b>>2]|0)+324>>2]&511](b,4)|0;E=Hc[k[(k[D>>2]|0)+8>>2]&511](D)|0;if((E|0)<(Hc[k[(k[D>>2]|0)+12>>2]&511](D)|0)){F=(s|0)>0;G=D+8|0;H=h+16|0;I=h+8|0;J=E;do{Fc[k[(k[D>>2]|0)+24>>2]&1023](D,J);nd[k[(k[y>>2]|0)+48>>2]&1023](y,m,D);nd[k[(k[z>>2]|0)+48>>2]&1023](z,n,D);nd[k[(k[d>>2]|0)+48>>2]&1023](d,i,D);nd[k[(k[w>>2]|0)+48>>2]&1023](w,j,D);if((k[e>>2]|0)!=301){nd[k[(k[A>>2]|0)+48>>2]&1023](A,o,D);nd[k[(k[C>>2]|0)+48>>2]&1023](C,l,D)}cla(x,g,D);nd[k[(k[b>>2]|0)+380>>2]&1023](b,h,k[q>>2]|0);rd[k[(k[b>>2]|0)+264>>2]&511](b,f,k[q>>2]|0,D);nd[k[(k[b>>2]|0)+356>>2]&1023](b,u,D);if((k[e>>2]|0)==301){if(F){K=+p[g>>3];L=+p[f>>3]*(-(+p[m>>3]*K*+p[i>>3])-K*+p[n>>3]*+p[j>>3]);E=0;do{M=v+(E<<3)|0;p[M>>3]=+p[M>>3]+ +p[u+(E<<3)>>3]*(+p[G>>3]*L);E=E+1|0}while((E|0)!=(s|0))}}else if(F){L=+p[g>>3];K=+p[i>>3];N=+p[l>>3];O=+p[h>>3];P=+p[H>>3];Q=+p[j>>3];R=+p[I>>3];S=+p[f>>3]*(-(+p[m>>3]*(L*(K-N*O*P)))-+p[n>>3]*(L*(Q-P*(N*R)))-+p[o>>3]*(L*(-(K*O*P)-P*(Q*R))));E=0;do{M=v+(E<<3)|0;p[M>>3]=+p[M>>3]+ +p[u+(E<<3)>>3]*(+p[G>>3]*S);E=E+1|0}while((E|0)!=(s|0))}J=J+1|0}while((J|0)<(Hc[k[(k[D>>2]|0)+12>>2]&511](D)|0))}if(k[c>>2]|0){J=k[k[c+4>>2]>>2]|0;Dc[k[(k[J>>2]|0)+16>>2]&255](J,s,t,v,1)}s=k[q>>2]|0;if(s)Tqa(s);k[q>>2]=0;Tqa(u);Tqa(v);Tqa(t);if(D)Ec[k[(k[D>>2]|0)+4>>2]&1023](D);bla(x);Sqa(x);r=a;return}function J6(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0.0,S=0.0,T=0.0;a=r;r=r+304|0;e=a+240|0;f=a+292|0;g=a+104|0;h=a+280|0;i=a+268|0;j=a+256|0;l=a+96|0;m=a+72|0;n=a+48|0;o=a+24|0;q=a;s=a+252|0;cp(b,f,298);a:do switch(k[f>>2]|0){case 300:{t=b;u=2;break}case 301:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){t=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;u=1;break a}else{r=a;return}break}case 302:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){t=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;u=2;break a}else{r=a;return}break}default:{v=g+56|0;w=g+4|0;k[g>>2]=27524;k[v>>2]=27544;B=0;wa(508,g+56|0,w|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;z=x;vva(v);Qb(z|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[v>>2]=27488;B=0;va(448,w|0);x=B;B=0;do if(x&1){A=Rb()|0;C=Q;D=A}else{k[w>>2]=27560;A=g+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[g+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,w|0,e|0);E=B;B=0;if(E&1){E=Rb()|0;F=Q;Yua(e);Yua(A);Ava(w);C=F;D=E;break}Yua(e);B=0;E=Ia(40,g|0,144639,5)|0;F=B;B=0;if((((!(F&1)?(B=0,F=ya(427,k[f>>2]|0)|0,G=B,B=0,!(G&1)):0)?(G=Lta(F)|0,B=0,H=Ia(40,E|0,F|0,G|0)|0,G=B,B=0,!(G&1)):0)?(B=0,G=Ia(40,H|0,146481,18)|0,H=B,B=0,!(H&1)):0)?(B=0,Xa(239,G|0,0)|0,G=B,B=0,!(G&1)):0){G=Ab(20)|0;B=0;eb(502,h|0,125033,80);H=B;B=0;do if(!(H&1)){B=0;eb(502,i|0,125362,16);F=B;B=0;if(F&1){F=Rb()|0;E=Q;Yua(h);I=F;J=E;break}B=0;wa(510,j|0,w|0);E=B;B=0;if(E&1){E=Rb()|0;K=E;L=Q;M=1}else{B=0;ua(163,G|0,h|0,i|0,1263,j|0);E=B;B=0;if(E&1)N=1;else{B=0;eb(503,G|0,1240,229);B=0;N=0}E=Rb()|0;F=Q;Yua(j);K=E;L=F;M=N}Yua(i);Yua(h);if(M){I=K;J=L}else{O=K;P=L;k[g>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);Qb(O|0)}}else{F=Rb()|0;I=F;J=Q}while(0);zb(G|0);O=I;P=J;k[g>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);Qb(O|0)}H=Rb()|0;O=H;P=Q;k[g>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);Qb(O|0)}while(0);y=C;z=D;vva(v);Qb(z|0)}}while(0);k[s>>2]=0;z=Hc[k[(k[t>>2]|0)+172>>2]&511](t)|0;D=z>>>0>536870911?-1:z<<3;C=Rqa(D)|0;y=Rqa(D)|0;if(z)WEa(y|0,0,z<<3|0)|0;D=Rqa(z>>>0>1073741823?-1:z<<2)|0;Uo(t,s);Mp(t,D,d,0);d=Wo(t,353)|0;O=Wo(t,674)|0;P=Wo(t,677)|0;J=Wo(t,638)|0;I=Wo(t,639)|0;Wo(t,215)|0;L=ed[k[(k[t>>2]|0)+308>>2]&511](t,4)|0;K=Hc[k[(k[L>>2]|0)+8>>2]&511](L)|0;if((K|0)<(Hc[k[(k[L>>2]|0)+12>>2]&511](L)|0)){M=(z|0)>0;h=n+8|0;i=m+8|0;N=o+8|0;j=q+8|0;b=L+8|0;w=K;do{Fc[k[(k[L>>2]|0)+24>>2]&1023](L,w);nd[k[(k[d>>2]|0)+48>>2]&1023](d,g,L);rd[k[(k[O>>2]|0)+60>>2]&511](O,m,k[s>>2]|0,L);rd[k[(k[P>>2]|0)+60>>2]&511](P,n,k[s>>2]|0,L);rd[k[(k[J>>2]|0)+60>>2]&511](J,o,k[s>>2]|0,L);rd[k[(k[I>>2]|0)+60>>2]&511](I,q,k[s>>2]|0,L);gp(t,l,u,k[s>>2]|0,L,O,P);rd[k[(k[t>>2]|0)+260>>2]&511](t,e,k[s>>2]|0,L);nd[k[(k[t>>2]|0)+356>>2]&1023](t,C,L);if(M){R=+p[m>>3];S=+p[h>>3];T=+p[e>>3]*(+p[l>>3]*+p[g>>3]*((R+S*2.0)*2.0*+p[j>>3]+(+p[o>>3]*((R*2.0+S)*2.0)+(+p[i>>3]+ +p[n>>3])*(+p[N>>3]+ +p[q>>3]))));K=0;do{x=y+(K<<3)|0;p[x>>3]=+p[x>>3]-+p[C+(K<<3)>>3]*(+p[b>>3]*T);K=K+1|0}while((K|0)!=(z|0))}w=w+1|0}while((w|0)<(Hc[k[(k[L>>2]|0)+12>>2]&511](L)|0))}if(k[c>>2]|0){w=k[k[c+4>>2]>>2]|0;Dc[k[(k[w>>2]|0)+16>>2]&255](w,z,D,y,1)}z=k[s>>2]|0;if(z)Tqa(z);k[s>>2]=0;Tqa(C);Tqa(y);Tqa(D);if(L)Ec[k[(k[L>>2]|0)+4>>2]&1023](L);if((k[f>>2]|0)!=300?(ap(t),(t|0)!=0):0)Ec[k[(k[t>>2]|0)+4>>2]&1023](t);r=a;return}function K6(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0.0,S=0.0,T=0.0;a=r;r=r+304|0;e=a+240|0;f=a+292|0;g=a+104|0;h=a+280|0;i=a+268|0;j=a+256|0;l=a+96|0;m=a+72|0;n=a+48|0;o=a+24|0;q=a;s=a+252|0;cp(b,f,298);a:do switch(k[f>>2]|0){case 300:{t=b;u=2;break}case 301:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){t=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;u=1;break a}else{r=a;return}break}case 302:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){t=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;u=2;break a}else{r=a;return}break}default:{v=g+56|0;w=g+4|0;k[g>>2]=27524;k[v>>2]=27544;B=0;wa(508,g+56|0,w|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;z=x;vva(v);Qb(z|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[v>>2]=27488;B=0;va(448,w|0);x=B;B=0;do if(x&1){A=Rb()|0;C=Q;D=A}else{k[w>>2]=27560;A=g+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[g+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,w|0,e|0);E=B;B=0;if(E&1){E=Rb()|0;F=Q;Yua(e);Yua(A);Ava(w);C=F;D=E;break}Yua(e);B=0;E=Ia(40,g|0,144639,5)|0;F=B;B=0;if((((!(F&1)?(B=0,F=ya(427,k[f>>2]|0)|0,G=B,B=0,!(G&1)):0)?(G=Lta(F)|0,B=0,H=Ia(40,E|0,F|0,G|0)|0,G=B,B=0,!(G&1)):0)?(B=0,G=Ia(40,H|0,146481,18)|0,H=B,B=0,!(H&1)):0)?(B=0,Xa(239,G|0,0)|0,G=B,B=0,!(G&1)):0){G=Ab(20)|0;B=0;eb(502,h|0,125033,80);H=B;B=0;do if(!(H&1)){B=0;eb(502,i|0,125379,13);F=B;B=0;if(F&1){F=Rb()|0;E=Q;Yua(h);I=F;J=E;break}B=0;wa(510,j|0,w|0);E=B;B=0;if(E&1){E=Rb()|0;K=E;L=Q;M=1}else{B=0;ua(163,G|0,h|0,i|0,1493,j|0);E=B;B=0;if(E&1)N=1;else{B=0;eb(503,G|0,1240,229);B=0;N=0}E=Rb()|0;F=Q;Yua(j);K=E;L=F;M=N}Yua(i);Yua(h);if(M){I=K;J=L}else{O=K;P=L;k[g>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);Qb(O|0)}}else{F=Rb()|0;I=F;J=Q}while(0);zb(G|0);O=I;P=J;k[g>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);Qb(O|0)}H=Rb()|0;O=H;P=Q;k[g>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);Qb(O|0)}while(0);y=C;z=D;vva(v);Qb(z|0)}}while(0);k[s>>2]=0;z=Hc[k[(k[t>>2]|0)+172>>2]&511](t)|0;D=z>>>0>536870911?-1:z<<3;C=Rqa(D)|0;y=Rqa(D)|0;if(z)WEa(y|0,0,z<<3|0)|0;D=Rqa(z>>>0>1073741823?-1:z<<2)|0;Uo(t,s);Mp(t,D,d,0);d=Wo(t,353)|0;O=Wo(t,674)|0;P=Wo(t,677)|0;J=Wo(t,638)|0;I=Wo(t,639)|0;Wo(t,214)|0;L=ed[k[(k[t>>2]|0)+308>>2]&511](t,4)|0;K=Hc[k[(k[L>>2]|0)+8>>2]&511](L)|0;if((K|0)<(Hc[k[(k[L>>2]|0)+12>>2]&511](L)|0)){M=(z|0)>0;h=n+8|0;i=m+8|0;N=o+8|0;j=q+8|0;b=L+8|0;w=K;do{Fc[k[(k[L>>2]|0)+24>>2]&1023](L,w);nd[k[(k[d>>2]|0)+48>>2]&1023](d,g,L);rd[k[(k[O>>2]|0)+60>>2]&511](O,m,k[s>>2]|0,L);rd[k[(k[P>>2]|0)+60>>2]&511](P,n,k[s>>2]|0,L);rd[k[(k[J>>2]|0)+60>>2]&511](J,o,k[s>>2]|0,L);rd[k[(k[I>>2]|0)+60>>2]&511](I,q,k[s>>2]|0,L);gp(t,l,u,k[s>>2]|0,L,O,P);rd[k[(k[t>>2]|0)+260>>2]&511](t,e,k[s>>2]|0,L);nd[k[(k[t>>2]|0)+356>>2]&1023](t,C,L);if(M){R=+p[m>>3];S=+p[h>>3];T=+p[e>>3]*(+p[l>>3]*+p[g>>3]*((R+S*2.0)*2.0*+p[j>>3]+(+p[o>>3]*((R*2.0+S)*2.0)+(+p[i>>3]+ +p[n>>3])*(+p[N>>3]+ +p[q>>3]))));K=0;do{x=y+(K<<3)|0;p[x>>3]=+p[x>>3]-+p[C+(K<<3)>>3]*(+p[b>>3]*T);K=K+1|0}while((K|0)!=(z|0))}w=w+1|0}while((w|0)<(Hc[k[(k[L>>2]|0)+12>>2]&511](L)|0))}if(k[c>>2]|0){w=k[k[c+4>>2]>>2]|0;Dc[k[(k[w>>2]|0)+16>>2]&255](w,z,D,y,1)}z=k[s>>2]|0;if(z)Tqa(z);k[s>>2]=0;Tqa(C);Tqa(y);Tqa(D);if(L)Ec[k[(k[L>>2]|0)+4>>2]&1023](L);if((k[f>>2]|0)!=300?(ap(t),(t|0)!=0):0)Ec[k[(k[t>>2]|0)+4>>2]&1023](t);r=a;return}function L6(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0.0,M=0,N=0.0;a=r;r=r+128|0;e=a+124|0;f=a+112|0;g=a+104|0;h=a+96|0;i=a+72|0;j=a+48|0;l=a+24|0;m=a;n=a+120|0;cp(b,e,298);k[n>>2]=0;o=Hc[k[(k[b>>2]|0)+172>>2]&511](b)|0;q=o>>>0>536870911?-1:o<<3;s=Rqa(q)|0;t=Rqa(q)|0;if(o)WEa(t|0,0,o<<3|0)|0;q=Rqa(o>>>0>1073741823?-1:o<<2)|0;Uo(b,n);Mp(b,q,d,0);d=Wo(b,353)|0;u=Wo(b,674)|0;v=Wo(b,638)|0;Wo(b,214)|0;if((k[e>>2]|0)==301){w=0;x=0}else{y=Wo(b,677)|0;w=Wo(b,639)|0;x=y}y=ed[k[(k[b>>2]|0)+308>>2]&511](b,4)|0;z=Hc[k[(k[y>>2]|0)+8>>2]&511](y)|0;if((z|0)<(Hc[k[(k[y>>2]|0)+12>>2]&511](y)|0)){A=(o|0)>0;B=y+8|0;C=j+8|0;D=i+8|0;E=l+8|0;F=m+8|0;G=z;do{Fc[k[(k[y>>2]|0)+24>>2]&1023](y,G);nd[k[(k[d>>2]|0)+48>>2]&1023](d,g,y);rd[k[(k[u>>2]|0)+60>>2]&511](u,i,k[n>>2]|0,y);rd[k[(k[v>>2]|0)+60>>2]&511](v,l,k[n>>2]|0,y);if((k[e>>2]|0)==301)H=2;else{rd[k[(k[w>>2]|0)+60>>2]&511](w,m,k[n>>2]|0,y);rd[k[(k[x>>2]|0)+60>>2]&511](x,j,k[n>>2]|0,y);H=3}dp(b,h,H,k[n>>2]|0,y,u,x);rd[k[(k[b>>2]|0)+260>>2]&511](b,f,k[n>>2]|0,y);nd[k[(k[b>>2]|0)+356>>2]&1023](b,s,y);if(A){I=+p[h>>3];J=+p[g>>3];K=+p[i>>3];if((k[e>>2]|0)==301){L=I*J*-4.0*K*+p[l>>3]*+p[f>>3];z=0;do{M=t+(z<<3)|0;p[M>>3]=+p[M>>3]+L*+p[B>>3]*+p[s+(z<<3)>>3];z=z+1|0}while((z|0)!=(o|0))}else{L=+p[C>>3];N=+p[f>>3]*(I*J*((K+L*2.0)*2.0*+p[F>>3]+(+p[l>>3]*((K*2.0+L)*2.0)+(+p[D>>3]+ +p[j>>3])*(+p[E>>3]+ +p[m>>3]))));z=0;do{M=t+(z<<3)|0;p[M>>3]=+p[M>>3]-+p[s+(z<<3)>>3]*(+p[B>>3]*N);z=z+1|0}while((z|0)!=(o|0))}}G=G+1|0}while((G|0)<(Hc[k[(k[y>>2]|0)+12>>2]&511](y)|0))}if(k[c>>2]|0){G=k[k[c+4>>2]>>2]|0;Dc[k[(k[G>>2]|0)+16>>2]&255](G,o,q,t,1)}o=k[n>>2]|0;if(o)Tqa(o);k[n>>2]=0;Tqa(s);Tqa(t);Tqa(q);if(!y){r=a;return}Ec[k[(k[y>>2]|0)+4>>2]&1023](y);r=a;return}function M6(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0.0,S=0.0,T=0.0;a=r;r=r+304|0;e=a+240|0;f=a+292|0;g=a+104|0;h=a+280|0;i=a+268|0;j=a+256|0;l=a+96|0;m=a+72|0;n=a+48|0;o=a+24|0;q=a;s=a+252|0;cp(b,f,298);a:do switch(k[f>>2]|0){case 300:{t=b;u=2;break}case 301:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){t=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;u=1;break a}else{r=a;return}break}case 302:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){t=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;u=2;break a}else{r=a;return}break}default:{v=g+56|0;w=g+4|0;k[g>>2]=27524;k[v>>2]=27544;B=0;wa(508,g+56|0,w|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;z=x;vva(v);Qb(z|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[v>>2]=27488;B=0;va(448,w|0);x=B;B=0;do if(x&1){A=Rb()|0;C=Q;D=A}else{k[w>>2]=27560;A=g+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[g+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,w|0,e|0);E=B;B=0;if(E&1){E=Rb()|0;F=Q;Yua(e);Yua(A);Ava(w);C=F;D=E;break}Yua(e);B=0;E=Ia(40,g|0,144639,5)|0;F=B;B=0;if((((!(F&1)?(B=0,F=ya(427,k[f>>2]|0)|0,G=B,B=0,!(G&1)):0)?(G=Lta(F)|0,B=0,H=Ia(40,E|0,F|0,G|0)|0,G=B,B=0,!(G&1)):0)?(B=0,G=Ia(40,H|0,146481,18)|0,H=B,B=0,!(H&1)):0)?(B=0,Xa(239,G|0,0)|0,G=B,B=0,!(G&1)):0){G=Ab(20)|0;B=0;eb(502,h|0,125033,80);H=B;B=0;do if(!(H&1)){B=0;eb(502,i|0,125393,13);F=B;B=0;if(F&1){F=Rb()|0;E=Q;Yua(h);I=F;J=E;break}B=0;wa(510,j|0,w|0);E=B;B=0;if(E&1){E=Rb()|0;K=E;L=Q;M=1}else{B=0;ua(163,G|0,h|0,i|0,2222,j|0);E=B;B=0;if(E&1)N=1;else{B=0;eb(503,G|0,1240,229);B=0;N=0}E=Rb()|0;F=Q;Yua(j);K=E;L=F;M=N}Yua(i);Yua(h);if(M){I=K;J=L}else{O=K;P=L;k[g>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);Qb(O|0)}}else{F=Rb()|0;I=F;J=Q}while(0);zb(G|0);O=I;P=J;k[g>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);Qb(O|0)}H=Rb()|0;O=H;P=Q;k[g>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);Qb(O|0)}while(0);y=C;z=D;vva(v);Qb(z|0)}}while(0);k[s>>2]=0;z=Hc[k[(k[t>>2]|0)+172>>2]&511](t)|0;D=z>>>0>536870911?-1:z<<3;C=Rqa(D)|0;y=Rqa(D)|0;if(z)WEa(y|0,0,z<<3|0)|0;D=Rqa(z>>>0>1073741823?-1:z<<2)|0;Uo(t,s);Mp(t,D,d,0);d=Wo(t,353)|0;O=Wo(t,674)|0;P=Wo(t,677)|0;J=Wo(t,638)|0;I=Wo(t,639)|0;Wo(t,215)|0;L=ed[k[(k[t>>2]|0)+308>>2]&511](t,4)|0;K=Hc[k[(k[L>>2]|0)+8>>2]&511](L)|0;if((K|0)<(Hc[k[(k[L>>2]|0)+12>>2]&511](L)|0)){M=(z|0)>0;h=n+8|0;i=m+8|0;N=o+8|0;j=q+8|0;b=L+8|0;w=K;do{Fc[k[(k[L>>2]|0)+24>>2]&1023](L,w);nd[k[(k[d>>2]|0)+48>>2]&1023](d,g,L);rd[k[(k[O>>2]|0)+60>>2]&511](O,m,k[s>>2]|0,L);rd[k[(k[P>>2]|0)+60>>2]&511](P,n,k[s>>2]|0,L);rd[k[(k[J>>2]|0)+60>>2]&511](J,o,k[s>>2]|0,L);rd[k[(k[I>>2]|0)+60>>2]&511](I,q,k[s>>2]|0,L);ip(t,l,u,k[s>>2]|0,L,O,P);rd[k[(k[t>>2]|0)+260>>2]&511](t,e,k[s>>2]|0,L);nd[k[(k[t>>2]|0)+356>>2]&1023](t,C,L);if(M){R=+p[m>>3];S=+p[h>>3];T=+p[e>>3]*(+p[l>>3]*+p[g>>3]*((R+S*2.0)*2.0*+p[j>>3]+(+p[o>>3]*((R*2.0+S)*2.0)+(+p[i>>3]+ +p[n>>3])*(+p[N>>3]+ +p[q>>3]))));K=0;do{x=y+(K<<3)|0;p[x>>3]=+p[x>>3]-+p[C+(K<<3)>>3]*(+p[b>>3]*T);K=K+1|0}while((K|0)!=(z|0))}w=w+1|0}while((w|0)<(Hc[k[(k[L>>2]|0)+12>>2]&511](L)|0))}if(k[c>>2]|0){w=k[k[c+4>>2]>>2]|0;Dc[k[(k[w>>2]|0)+16>>2]&255](w,z,D,y,1)}z=k[s>>2]|0;if(z)Tqa(z);k[s>>2]=0;Tqa(C);Tqa(y);Tqa(D);if(L)Ec[k[(k[L>>2]|0)+4>>2]&1023](L);if((k[f>>2]|0)!=300?(ap(t),(t|0)!=0):0)Ec[k[(k[t>>2]|0)+4>>2]&1023](t);r=a;return}function N6(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;a=r;r=r+16|0;d=a;Ap(c,d,533);if((k[d>>2]&-9|0)==534){O6(0,b,c);r=a;return}else{P6(0,b,c);r=a;return}}function O6(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0.0,Ea=0.0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0;a=r;r=r+1616|0;d=a+1600|0;e=a+1572|0;f=a+1556|0;g=a+1552|0;h=a;i=a+1524|0;j=a+1376|0;l=a+1588|0;m=a+1576|0;n=a+1560|0;o=a+1224|0;q=a+1540|0;s=a+1528|0;u=a+1512|0;v=a+1072|0;w=a+1360|0;x=a+1208|0;y=a+1056|0;z=a+920|0;A=a+768|0;C=a+616|0;D=a+328|0;E=a+784|0;F=a+176|0;G=a+164|0;H=a+152|0;I=a+632|0;J=a+140|0;K=a+128|0;L=a+116|0;M=a+480|0;N=a+104|0;O=a+92|0;P=a+80|0;R=a+344|0;S=a+68|0;T=a+56|0;U=a+44|0;V=a+192|0;W=a+32|0;X=a+20|0;Y=a+8|0;k[f>>2]=0;k[g>>2]=0;cp(c,i,298);switch(k[i>>2]|0){case 302:case 300:{Z=3;break}case 301:{Z=2;break}default:{_=j+56|0;aa=j+4|0;k[j>>2]=27524;k[_>>2]=27544;B=0;wa(508,j+56|0,aa|0);ba=B;B=0;if(ba&1){ba=Rb()|0;ca=Q;da=ba;vva(_);Qb(da|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[_>>2]=27488;B=0;va(448,aa|0);ba=B;B=0;do if(ba&1){ea=Rb()|0;fa=Q;ga=ea}else{k[aa>>2]=27560;ea=j+36|0;k[ea>>2]=0;k[ea+4>>2]=0;k[ea+8>>2]=0;k[ea+12>>2]=0;k[j+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,aa|0,d|0);ha=B;B=0;if(ha&1){ha=Rb()|0;ia=Q;Yua(d);Yua(ea);Ava(aa);fa=ia;ga=ha;break}Yua(d);B=0;ha=Ia(40,j|0,144639,5)|0;ia=B;B=0;a:do if((((!(ia&1)?(B=0,ja=ya(427,k[i>>2]|0)|0,ka=B,B=0,!(ka&1)):0)?(ka=Lta(ja)|0,B=0,la=Ia(40,ha|0,ja|0,ka|0)|0,ka=B,B=0,!(ka&1)):0)?(B=0,ka=Ia(40,la|0,146481,18)|0,la=B,B=0,!(la&1)):0)?(B=0,Xa(239,ka|0,0)|0,ka=B,B=0,!(ka&1)):0){ka=Ab(20)|0;B=0;eb(502,l|0,125033,80);la=B;B=0;do if(!(la&1)){B=0;eb(502,m|0,128297,25);ja=B;B=0;if(ja&1){ja=Rb()|0;na=Q;Yua(l);oa=ja;pa=na;break}B=0;wa(510,n|0,aa|0);na=B;B=0;if(na&1){na=Rb()|0;qa=na;ra=Q;sa=1}else{B=0;ua(163,ka|0,l|0,m|0,2310,n|0);na=B;B=0;if(na&1)ta=1;else{B=0;eb(503,ka|0,1240,229);B=0;ta=0}na=Rb()|0;ja=Q;Yua(n);qa=na;ra=ja;sa=ta}Yua(m);Yua(l);if(sa){oa=qa;pa=ra}else{xa=qa;za=ra;break a}}else{ja=Rb()|0;oa=ja;pa=Q}while(0);zb(ka|0);xa=oa;za=pa}else Aa=21;while(0);if((Aa|0)==21){ha=Rb()|0;xa=ha;za=Q}k[j>>2]=27468;k[_>>2]=27488;k[aa>>2]=27560;Yua(ea);Ava(aa);vva(_);Ba=xa;Ca=za;Qb(Ba|0)}while(0);ca=fa;da=ga;vva(_);Qb(da|0)}}da=Hc[k[(k[c>>2]|0)+396>>2]&511](c)|0;_=Hc[k[(k[c>>2]|0)+392>>2]&511](c)|0;ga=ma(da,Z)|0;fa=_+ga|0;ca=Rqa(fa>>>0>536870911?-1:fa<<3)|0;fa=da>>>0>536870911?-1:da<<3;za=Rqa(fa)|0;xa=Rqa(fa)|0;aa=Rqa(fa)|0;fa=Rqa(_>>>0>536870911?-1:_<<3)|0;j=_+da|0;pa=Rqa(j>>>0>1073741823?-1:j<<2)|0;j=(da|0)>0;if((Z|0)==2){if(j){oa=0;do{k[pa+(oa<<2)>>2]=971;oa=oa+1|0}while((oa|0)!=(da|0))}}else if(j){oa=0;do{k[pa+(oa<<2)>>2]=972;oa=oa+1|0}while((oa|0)!=(da|0))}oa=(_|0)>0;if(oa){ra=0;do{k[pa+(ra+da<<2)>>2]=653;ra=ra+1|0}while((ra|0)!=(_|0))}tp(c,f,943);sp(c,g,943);if((ga|0)>0){ra=k[f>>2]|0;qa=0;do{p[ca+(qa<<3)>>3]=+p[b+(k[ra+(qa<<2)>>2]<<3)>>3];qa=qa+1|0}while((qa|0)!=(ga|0))}if(oa){qa=k[g>>2]|0;ra=0;do{p[ca+(ra+ga<<3)>>3]=+p[b+(k[qa+(ra<<2)>>2]<<3)>>3];ra=ra+1|0}while((ra|0)!=(_|0))}Cq(c,ca,pa);b:do if(j){c:do if((Z|0)==3){ra=0;while(1){qa=ra*3|0;Da=+p[ca+(qa<<3)>>3];p[za+(ra<<3)>>3]=Da;Ea=+$(+Da);p[t>>3]=Ea;b=k[t>>2]|0;sa=k[t+4>>2]|0;if(sa>>>0>2146435072|(sa|0)==2146435072&b>>>0>0){Aa=54;break c}if((b|0)==0&(sa|0)==2146435072){Aa=78;break c}Ea=+p[ca+(qa+1<<3)>>3];p[xa+(ra<<3)>>3]=Ea;Da=+$(+Ea);p[t>>3]=Da;sa=k[t>>2]|0;b=k[t+4>>2]|0;if(b>>>0>2146435072|(b|0)==2146435072&sa>>>0>0){Aa=102;break c}if((sa|0)==0&(b|0)==2146435072){Aa=126;break c}Da=+p[ca+(qa+2<<3)>>3];p[aa+(ra<<3)>>3]=Da;Ea=+$(+Da);p[t>>3]=Ea;qa=k[t>>2]|0;b=k[t+4>>2]|0;if(b>>>0>2146435072|(b|0)==2146435072&qa>>>0>0){Aa=149;break}if((qa|0)==0&(b|0)==2146435072){Aa=172;break}ra=ra+1|0;if((ra|0)>=(da|0))break b}if((Aa|0)==149){ra=I+56|0;ka=I+4|0;k[I>>2]=27524;k[ra>>2]=27544;B=0;wa(508,I+56|0,ka|0);b=B;B=0;if(b&1){b=Rb()|0;Fa=Q;Ga=b;vva(ra);Qb(Ga|0)}k[I+128>>2]=0;k[I+132>>2]=-1;k[I>>2]=27468;k[ra>>2]=27488;B=0;va(448,ka|0);b=B;B=0;do if(b&1){qa=Rb()|0;Ha=Q;Ja=qa}else{k[ka>>2]=27560;qa=I+36|0;k[qa>>2]=0;k[qa+4>>2]=0;k[qa+8>>2]=0;k[qa+12>>2]=0;k[I+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,ka|0,d|0);sa=B;B=0;if(sa&1){sa=Rb()|0;l=Q;Yua(d);Yua(qa);Ava(ka);Ha=l;Ja=sa;break}Yua(d);B=0;sa=Ia(40,I|0,135564,28)|0;l=B;B=0;d:do if(!(l&1)?(B=0,Xa(239,sa|0,0)|0,m=B,B=0,!(m&1)):0){m=Ab(20)|0;B=0;eb(502,J|0,125033,80);ta=B;B=0;do if(!(ta&1)){B=0;eb(502,K|0,128297,25);n=B;B=0;if(n&1){n=Rb()|0;ba=Q;Yua(J);Ka=n;La=ba;break}B=0;wa(510,L|0,ka|0);ba=B;B=0;if(ba&1){ba=Rb()|0;Ma=1;Na=ba;Oa=Q}else{B=0;ua(163,m|0,J|0,K|0,2353,L|0);ba=B;B=0;if(ba&1)Pa=1;else{B=0;eb(503,m|0,1240,229);B=0;Pa=0}ba=Rb()|0;n=Q;Yua(L);Ma=Pa;Na=ba;Oa=n}Yua(K);Yua(J);if(Ma){Ka=Na;La=Oa}else{Qa=Na;Ra=Oa;break d}}else{n=Rb()|0;Ka=n;La=Q}while(0);zb(m|0);Qa=Ka;Ra=La}else Aa=164;while(0);if((Aa|0)==164){sa=Rb()|0;Qa=sa;Ra=Q}k[I>>2]=27468;k[ra>>2]=27488;k[ka>>2]=27560;Yua(qa);Ava(ka);vva(ra);Ba=Qa;Ca=Ra;Qb(Ba|0)}while(0);Fa=Ha;Ga=Ja;vva(ra);Qb(Ga|0)}else if((Aa|0)==172){ka=M+56|0;b=M+4|0;k[M>>2]=27524;k[ka>>2]=27544;B=0;wa(508,M+56|0,b|0);sa=B;B=0;if(sa&1){sa=Rb()|0;Sa=Q;Ta=sa;vva(ka);Qb(Ta|0)}k[M+128>>2]=0;k[M+132>>2]=-1;k[M>>2]=27468;k[ka>>2]=27488;B=0;va(448,b|0);sa=B;B=0;do if(sa&1){l=Rb()|0;Ua=Q;Va=l}else{k[b>>2]=27560;l=M+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[M+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,b|0,d|0);ta=B;B=0;if(ta&1){ta=Rb()|0;n=Q;Yua(d);Yua(l);Ava(b);Ua=n;Va=ta;break}Yua(d);B=0;ta=Ia(40,M|0,135593,28)|0;n=B;B=0;e:do if(!(n&1)?(B=0,Xa(239,ta|0,0)|0,ba=B,B=0,!(ba&1)):0){ba=Ab(20)|0;B=0;eb(502,N|0,125033,80);ha=B;B=0;do if(!(ha&1)){B=0;eb(502,O|0,128297,25);ia=B;B=0;if(ia&1){ia=Rb()|0;la=Q;Yua(N);Wa=ia;Ya=la;break}B=0;wa(510,P|0,b|0);la=B;B=0;if(la&1){la=Rb()|0;Za=1;_a=la;$a=Q}else{B=0;ua(163,ba|0,N|0,O|0,2354,P|0);la=B;B=0;if(la&1)ab=1;else{B=0;eb(503,ba|0,1240,229);B=0;ab=0}la=Rb()|0;ia=Q;Yua(P);Za=ab;_a=la;$a=ia}Yua(O);Yua(N);if(Za){Wa=_a;Ya=$a}else{bb=_a;cb=$a;break e}}else{ia=Rb()|0;Wa=ia;Ya=Q}while(0);zb(ba|0);bb=Wa;cb=Ya}else Aa=187;while(0);if((Aa|0)==187){ta=Rb()|0;bb=ta;cb=Q}k[M>>2]=27468;k[ka>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(ka);Ba=bb;Ca=cb;Qb(Ba|0)}while(0);Sa=Ua;Ta=Va;vva(ka);Qb(Ta|0)}}else{b=0;while(1){sa=ma(b,Z)|0;Ea=+p[ca+(sa<<3)>>3];p[za+(b<<3)>>3]=Ea;Da=+$(+Ea);p[t>>3]=Da;ra=k[t>>2]|0;ta=k[t+4>>2]|0;if(ta>>>0>2146435072|(ta|0)==2146435072&ra>>>0>0){Aa=54;break c}if((ra|0)==0&(ta|0)==2146435072){Aa=78;break c}Da=+p[ca+(sa+1<<3)>>3];p[xa+(b<<3)>>3]=Da;Ea=+$(+Da);p[t>>3]=Ea;sa=k[t>>2]|0;ta=k[t+4>>2]|0;if(ta>>>0>2146435072|(ta|0)==2146435072&sa>>>0>0){Aa=102;break c}if((sa|0)==0&(ta|0)==2146435072){Aa=126;break c}b=b+1|0;if((b|0)>=(da|0))break b}}while(0);if((Aa|0)==54){ea=o+56|0;b=o+4|0;k[o>>2]=27524;k[ea>>2]=27544;B=0;wa(508,o+56|0,b|0);ka=B;B=0;if(ka&1){ka=Rb()|0;db=Q;fb=ka;vva(ea);Qb(fb|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[ea>>2]=27488;B=0;va(448,b|0);ka=B;B=0;do if(ka&1){ta=Rb()|0;gb=Q;hb=ta}else{k[b>>2]=27560;ta=o+36|0;k[ta>>2]=0;k[ta+4>>2]=0;k[ta+8>>2]=0;k[ta+12>>2]=0;k[o+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,b|0,d|0);sa=B;B=0;if(sa&1){sa=Rb()|0;ra=Q;Yua(d);Yua(ta);Ava(b);gb=ra;hb=sa;break}Yua(d);B=0;sa=Ia(40,o|0,135564,28)|0;ra=B;B=0;f:do if(!(ra&1)?(B=0,Xa(239,sa|0,0)|0,n=B,B=0,!(n&1)):0){n=Ab(20)|0;B=0;eb(502,q|0,125033,80);qa=B;B=0;do if(!(qa&1)){B=0;eb(502,s|0,128297,25);ha=B;B=0;if(ha&1){ha=Rb()|0;m=Q;Yua(q);ib=ha;jb=m;break}B=0;wa(510,u|0,b|0);m=B;B=0;if(m&1){m=Rb()|0;kb=1;lb=m;mb=Q}else{B=0;ua(163,n|0,q|0,s|0,2346,u|0);m=B;B=0;if(m&1)nb=1;else{B=0;eb(503,n|0,1240,229);B=0;nb=0}m=Rb()|0;ha=Q;Yua(u);kb=nb;lb=m;mb=ha}Yua(s);Yua(q);if(kb){ib=lb;jb=mb}else{ob=lb;pb=mb;break f}}else{ha=Rb()|0;ib=ha;jb=Q}while(0);zb(n|0);ob=ib;pb=jb}else Aa=69;while(0);if((Aa|0)==69){sa=Rb()|0;ob=sa;pb=Q}k[o>>2]=27468;k[ea>>2]=27488;k[b>>2]=27560;Yua(ta);Ava(b);vva(ea);Ba=ob;Ca=pb;Qb(Ba|0)}while(0);db=gb;fb=hb;vva(ea);Qb(fb|0)}else if((Aa|0)==78){b=v+56|0;ka=v+4|0;k[v>>2]=27524;k[b>>2]=27544;B=0;wa(508,v+56|0,ka|0);sa=B;B=0;if(sa&1){sa=Rb()|0;qb=Q;rb=sa;vva(b);Qb(rb|0)}k[v+128>>2]=0;k[v+132>>2]=-1;k[v>>2]=27468;k[b>>2]=27488;B=0;va(448,ka|0);sa=B;B=0;do if(sa&1){ra=Rb()|0;sb=Q;tb=ra}else{k[ka>>2]=27560;ra=v+36|0;k[ra>>2]=0;k[ra+4>>2]=0;k[ra+8>>2]=0;k[ra+12>>2]=0;k[v+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,ka|0,d|0);qa=B;B=0;if(qa&1){qa=Rb()|0;l=Q;Yua(d);Yua(ra);Ava(ka);sb=l;tb=qa;break}Yua(d);B=0;qa=Ia(40,v|0,135593,28)|0;l=B;B=0;g:do if(!(l&1)?(B=0,Xa(239,qa|0,0)|0,ha=B,B=0,!(ha&1)):0){ha=Ab(20)|0;B=0;eb(502,w|0,125033,80);m=B;B=0;do if(!(m&1)){B=0;eb(502,x|0,128297,25);ia=B;B=0;if(ia&1){ia=Rb()|0;la=Q;Yua(w);ub=ia;vb=la;break}B=0;wa(510,y|0,ka|0);la=B;B=0;if(la&1){la=Rb()|0;wb=1;xb=la;yb=Q}else{B=0;ua(163,ha|0,w|0,x|0,2347,y|0);la=B;B=0;if(la&1)Bb=1;else{B=0;eb(503,ha|0,1240,229);B=0;Bb=0}la=Rb()|0;ia=Q;Yua(y);wb=Bb;xb=la;yb=ia}Yua(x);Yua(w);if(wb){ub=xb;vb=yb}else{Cb=xb;Db=yb;break g}}else{ia=Rb()|0;ub=ia;vb=Q}while(0);zb(ha|0);Cb=ub;Db=vb}else Aa=93;while(0);if((Aa|0)==93){qa=Rb()|0;Cb=qa;Db=Q}k[v>>2]=27468;k[b>>2]=27488;k[ka>>2]=27560;Yua(ra);Ava(ka);vva(b);Ba=Cb;Ca=Db;Qb(Ba|0)}while(0);qb=sb;rb=tb;vva(b);Qb(rb|0)}else if((Aa|0)==102){ka=z+56|0;sa=z+4|0;k[z>>2]=27524;k[ka>>2]=27544;B=0;wa(508,z+56|0,sa|0);ea=B;B=0;if(ea&1){ea=Rb()|0;Eb=Q;Fb=ea;vva(ka);Qb(Fb|0)}k[z+128>>2]=0;k[z+132>>2]=-1;k[z>>2]=27468;k[ka>>2]=27488;B=0;va(448,sa|0);ea=B;B=0;do if(ea&1){qa=Rb()|0;Gb=Q;Hb=qa}else{k[sa>>2]=27560;qa=z+36|0;k[qa>>2]=0;k[qa+4>>2]=0;k[qa+8>>2]=0;k[qa+12>>2]=0;k[z+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,sa|0,d|0);l=B;B=0;if(l&1){l=Rb()|0;ta=Q;Yua(d);Yua(qa);Ava(sa);Gb=ta;Hb=l;break}Yua(d);B=0;l=Ia(40,z|0,135564,28)|0;ta=B;B=0;h:do if(!(ta&1)?(B=0,Xa(239,l|0,0)|0,m=B,B=0,!(m&1)):0){m=Ab(20)|0;B=0;eb(502,A|0,125033,80);n=B;B=0;do if(!(n&1)){B=0;eb(502,C|0,128297,25);ia=B;B=0;if(ia&1){ia=Rb()|0;la=Q;Yua(A);Ib=ia;Jb=la;break}B=0;wa(510,D|0,sa|0);la=B;B=0;if(la&1){la=Rb()|0;Kb=1;Lb=la;Mb=Q}else{B=0;ua(163,m|0,A|0,C|0,2349,D|0);la=B;B=0;if(la&1)Nb=1;else{B=0;eb(503,m|0,1240,229);B=0;Nb=0}la=Rb()|0;ia=Q;Yua(D);Kb=Nb;Lb=la;Mb=ia}Yua(C);Yua(A);if(Kb){Ib=Lb;Jb=Mb}else{Ob=Lb;Pb=Mb;break h}}else{ia=Rb()|0;Ib=ia;Jb=Q}while(0);zb(m|0);Ob=Ib;Pb=Jb}else Aa=117;while(0);if((Aa|0)==117){l=Rb()|0;Ob=l;Pb=Q}k[z>>2]=27468;k[ka>>2]=27488;k[sa>>2]=27560;Yua(qa);Ava(sa);vva(ka);Ba=Ob;Ca=Pb;Qb(Ba|0)}while(0);Eb=Gb;Fb=Hb;vva(ka);Qb(Fb|0)}else if((Aa|0)==126){sa=E+56|0;ea=E+4|0;k[E>>2]=27524;k[sa>>2]=27544;B=0;wa(508,E+56|0,ea|0);b=B;B=0;if(b&1){b=Rb()|0;Sb=Q;Tb=b;vva(sa);Qb(Tb|0)}k[E+128>>2]=0;k[E+132>>2]=-1;k[E>>2]=27468;k[sa>>2]=27488;B=0;va(448,ea|0);b=B;B=0;do if(b&1){l=Rb()|0;Ub=Q;Vb=l}else{k[ea>>2]=27560;l=E+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[E+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,ea|0,d|0);ta=B;B=0;if(ta&1){ta=Rb()|0;ra=Q;Yua(d);Yua(l);Ava(ea);Ub=ra;Vb=ta;break}Yua(d);B=0;ta=Ia(40,E|0,135593,28)|0;ra=B;B=0;i:do if(!(ra&1)?(B=0,Xa(239,ta|0,0)|0,n=B,B=0,!(n&1)):0){n=Ab(20)|0;B=0;eb(502,F|0,125033,80);ha=B;B=0;do if(!(ha&1)){B=0;eb(502,G|0,128297,25);ia=B;B=0;if(ia&1){ia=Rb()|0;la=Q;Yua(F);Wb=ia;Xb=la;break}B=0;wa(510,H|0,ea|0);la=B;B=0;if(la&1){la=Rb()|0;Yb=1;Zb=la;_b=Q}else{B=0;ua(163,n|0,F|0,G|0,2350,H|0);la=B;B=0;if(la&1)$b=1;else{B=0;eb(503,n|0,1240,229);B=0;$b=0}la=Rb()|0;ia=Q;Yua(H);Yb=$b;Zb=la;_b=ia}Yua(G);Yua(F);if(Yb){Wb=Zb;Xb=_b}else{ac=Zb;bc=_b;break i}}else{ia=Rb()|0;Wb=ia;Xb=Q}while(0);zb(n|0);ac=Wb;bc=Xb}else Aa=141;while(0);if((Aa|0)==141){ta=Rb()|0;ac=ta;bc=Q}k[E>>2]=27468;k[sa>>2]=27488;k[ea>>2]=27560;Yua(l);Ava(ea);vva(sa);Ba=ac;Ca=bc;Qb(Ba|0)}while(0);Sb=Ub;Tb=Vb;vva(sa);Qb(Tb|0)}}while(0);do if(oa){Tb=0;while(1){Ea=+p[ca+(Tb+ga<<3)>>3];p[fa+(Tb<<3)>>3]=Ea;Da=+$(+Ea);p[t>>3]=Da;Vb=k[t>>2]|0;Ub=k[t+4>>2]|0;if(Ub>>>0>2146435072|(Ub|0)==2146435072&Vb>>>0>0){Aa=198;break}Tb=Tb+1|0;if((Vb|0)==0&(Ub|0)==2146435072){Aa=222;break}if((Tb|0)>=(_|0)){Aa=245;break}}if((Aa|0)==198){Tb=R+56|0;sa=R+4|0;k[R>>2]=27524;k[Tb>>2]=27544;B=0;wa(508,R+56|0,sa|0);Ub=B;B=0;if(Ub&1){Ub=Rb()|0;cc=Q;dc=Ub;vva(Tb);Qb(dc|0)}k[R+128>>2]=0;k[R+132>>2]=-1;k[R>>2]=27468;k[Tb>>2]=27488;B=0;va(448,sa|0);Ub=B;B=0;do if(Ub&1){Vb=Rb()|0;ec=Q;fc=Vb}else{k[sa>>2]=27560;Vb=R+36|0;k[Vb>>2]=0;k[Vb+4>>2]=0;k[Vb+8>>2]=0;k[Vb+12>>2]=0;k[R+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,sa|0,d|0);Sb=B;B=0;if(Sb&1){Sb=Rb()|0;bc=Q;Yua(d);Yua(Vb);Ava(sa);ec=bc;fc=Sb;break}Yua(d);B=0;Sb=Ia(40,R|0,135564,28)|0;bc=B;B=0;j:do if(!(bc&1)?(B=0,Xa(239,Sb|0,0)|0,ac=B,B=0,!(ac&1)):0){ac=Ab(20)|0;B=0;eb(502,S|0,125033,80);E=B;B=0;do if(!(E&1)){B=0;eb(502,T|0,128297,25);Xb=B;B=0;if(Xb&1){Xb=Rb()|0;Wb=Q;Yua(S);gc=Xb;hc=Wb;break}B=0;wa(510,U|0,sa|0);Wb=B;B=0;if(Wb&1){Wb=Rb()|0;ic=1;jc=Wb;kc=Q}else{B=0;ua(163,ac|0,S|0,T|0,2359,U|0);Wb=B;B=0;if(Wb&1)lc=1;else{B=0;eb(503,ac|0,1240,229);B=0;lc=0}Wb=Rb()|0;Xb=Q;Yua(U);ic=lc;jc=Wb;kc=Xb}Yua(T);Yua(S);if(ic){gc=jc;hc=kc}else{mc=jc;nc=kc;break j}}else{Xb=Rb()|0;gc=Xb;hc=Q}while(0);zb(ac|0);mc=gc;nc=hc}else Aa=213;while(0);if((Aa|0)==213){Sb=Rb()|0;mc=Sb;nc=Q}k[R>>2]=27468;k[Tb>>2]=27488;k[sa>>2]=27560;Yua(Vb);Ava(sa);vva(Tb);Ba=mc;Ca=nc;Qb(Ba|0)}while(0);cc=ec;dc=fc;vva(Tb);Qb(dc|0)}else if((Aa|0)==222){sa=V+56|0;Ub=V+4|0;k[V>>2]=27524;k[sa>>2]=27544;B=0;wa(508,V+56|0,Ub|0);Sb=B;B=0;if(Sb&1){Sb=Rb()|0;oc=Q;pc=Sb;vva(sa);Qb(pc|0)}k[V+128>>2]=0;k[V+132>>2]=-1;k[V>>2]=27468;k[sa>>2]=27488;B=0;va(448,Ub|0);Sb=B;B=0;do if(Sb&1){bc=Rb()|0;qc=Q;rc=bc}else{k[Ub>>2]=27560;bc=V+36|0;k[bc>>2]=0;k[bc+4>>2]=0;k[bc+8>>2]=0;k[bc+12>>2]=0;k[V+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Ub|0,d|0);l=B;B=0;if(l&1){l=Rb()|0;E=Q;Yua(d);Yua(bc);Ava(Ub);qc=E;rc=l;break}Yua(d);B=0;l=Ia(40,V|0,135593,28)|0;E=B;B=0;k:do if(!(E&1)?(B=0,Xa(239,l|0,0)|0,n=B,B=0,!(n&1)):0){n=Ab(20)|0;B=0;eb(502,W|0,125033,80);Xb=B;B=0;do if(!(Xb&1)){B=0;eb(502,X|0,128297,25);Wb=B;B=0;if(Wb&1){Wb=Rb()|0;_b=Q;Yua(W);sc=Wb;tc=_b;break}B=0;wa(510,Y|0,Ub|0);_b=B;B=0;if(_b&1){_b=Rb()|0;uc=1;vc=_b;wc=Q}else{B=0;ua(163,n|0,W|0,X|0,2360,Y|0);_b=B;B=0;if(_b&1)xc=1;else{B=0;eb(503,n|0,1240,229);B=0;xc=0}_b=Rb()|0;Wb=Q;Yua(Y);uc=xc;vc=_b;wc=Wb}Yua(X);Yua(W);if(uc){sc=vc;tc=wc}else{yc=vc;zc=wc;break k}}else{Wb=Rb()|0;sc=Wb;tc=Q}while(0);zb(n|0);yc=sc;zc=tc}else Aa=237;while(0);if((Aa|0)==237){l=Rb()|0;yc=l;zc=Q}k[V>>2]=27468;k[sa>>2]=27488;k[Ub>>2]=27560;Yua(bc);Ava(Ub);vva(sa);Ba=yc;Ca=zc;Qb(Ba|0)}while(0);oc=qc;pc=rc;vva(sa);Qb(pc|0)}else if((Aa|0)==245){pp(c,h,85);if(!oa)break;Da=+p[h>>3];Ub=0;do{Sb=fa+(Ub<<3)|0;p[Sb>>3]=+p[Sb>>3]*Da;Ub=Ub+1|0}while((Ub|0)!=(_|0))}}else pp(c,h,85);while(0);h=k[c>>2]|0;_=k[h+48>>2]|0;oa=Hc[k[h+504>>2]&511](c)|0;rd[_&511](c,638,za,oa);oa=k[c>>2]|0;_=k[oa+48>>2]|0;h=Hc[k[oa+504>>2]&511](c)|0;rd[_&511](c,639,xa,h);if((k[i>>2]|0)!=301){i=k[c>>2]|0;h=k[i+48>>2]|0;_=Hc[k[i+504>>2]&511](c)|0;rd[h&511](c,640,aa,_)}cp(c,e,102);switch(k[e>>2]|0){case 754:case 758:break;default:{e=k[c>>2]|0;_=k[e+48>>2]|0;h=Hc[k[e+404>>2]&511](c)|0;rd[_&511](c,637,fa,h)}}h=k[f>>2]|0;if(h)Tqa(h);k[f>>2]=0;f=k[g>>2]|0;if(!f){k[g>>2]=0;Tqa(pa);Tqa(fa);Tqa(aa);Tqa(xa);Tqa(za);Tqa(ca);r=a;return}Tqa(f);k[g>>2]=0;Tqa(pa);Tqa(fa);Tqa(aa);Tqa(xa);Tqa(za);Tqa(ca);r=a;return}function P6(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0;a=r;r=r+720|0;d=a+704|0;e=a+700|0;f=a+684|0;g=a+536|0;h=a+688|0;i=a+672|0;j=a+520|0;l=a+384|0;m=a+232|0;n=a+84|0;o=a+72|0;q=a+248|0;s=a+60|0;u=a+48|0;v=a+36|0;w=a+96|0;x=a+24|0;y=a+12|0;z=a;k[e>>2]=0;cp(c,f,298);A=Hc[k[(k[c>>2]|0)+164>>2]&511](c)|0;C=A<<((k[f>>2]|0)!=301&1);rp(c,e,534,943);D=Rqa(C>>>0>536870911?-1:C<<3)|0;E=A>>>0>536870911?-1:A<<3;F=Rqa(E)|0;G=Rqa(E)|0;if((C|0)>0){E=k[e>>2]|0;H=0;do{p[D+(H<<3)>>3]=+p[b+(k[E+(H<<2)>>2]<<3)>>3];H=H+1|0}while((H|0)!=(C|0))}if((k[f>>2]|0)!=301)Aq(c,D,971);a:do if((A|0)>0){b:do if((k[f>>2]|0)!=301){C=0;while(1){H=C<<1;I=+p[D+(H<<3)>>3];p[F+(C<<3)>>3]=I;J=+p[D+((H|1)<<3)>>3];p[G+(C<<3)>>3]=J;K=+$(+I);p[t>>3]=K;H=k[t>>2]|0;E=k[t+4>>2]|0;if(E>>>0>2146435072|(E|0)==2146435072&H>>>0>0){L=12;break b}if((H|0)==0&(E|0)==2146435072){L=36;break b}K=+$(+J);p[t>>3]=K;E=k[t>>2]|0;H=k[t+4>>2]|0;if(H>>>0>2146435072|(H|0)==2146435072&E>>>0>0){L=60;break}if((E|0)==0&(H|0)==2146435072){L=84;break}C=C+1|0;if((C|0)>=(A|0))break a}if((L|0)==60){C=q+56|0;H=q+4|0;k[q>>2]=27524;k[C>>2]=27544;B=0;wa(508,q+56|0,H|0);E=B;B=0;if(E&1){E=Rb()|0;M=Q;N=E;vva(C);Qb(N|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[C>>2]=27488;B=0;va(448,H|0);E=B;B=0;do if(E&1){b=Rb()|0;O=Q;P=b}else{k[H>>2]=27560;b=q+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[q+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,H|0,d|0);R=B;B=0;if(R&1){R=Rb()|0;S=Q;Yua(d);Yua(b);Ava(H);O=S;P=R;break}Yua(d);B=0;R=Ia(40,q|0,135564,28)|0;S=B;B=0;c:do if(!(S&1)?(B=0,Xa(239,R|0,0)|0,T=B,B=0,!(T&1)):0){T=Ab(20)|0;B=0;eb(502,s|0,125033,80);U=B;B=0;do if(!(U&1)){B=0;eb(502,u|0,125407,28);V=B;B=0;if(V&1){V=Rb()|0;W=Q;Yua(s);X=V;Y=W;break}B=0;wa(510,v|0,H|0);W=B;B=0;if(W&1){W=Rb()|0;Z=1;_=Q;aa=W}else{B=0;ua(163,T|0,s|0,u|0,2420,v|0);W=B;B=0;if(W&1)ba=1;else{B=0;eb(503,T|0,1240,229);B=0;ba=0}W=Rb()|0;V=Q;Yua(v);Z=ba;_=V;aa=W}Yua(u);Yua(s);if(Z){X=aa;Y=_}else{ca=_;da=aa;break c}}else{W=Rb()|0;X=W;Y=Q}while(0);zb(T|0);ca=Y;da=X}else L=75;while(0);if((L|0)==75){R=Rb()|0;ca=Q;da=R}k[q>>2]=27468;k[C>>2]=27488;k[H>>2]=27560;Yua(b);Ava(H);vva(C);ea=ca;fa=da;Qb(fa|0)}while(0);M=O;N=P;vva(C);Qb(N|0)}else if((L|0)==84){H=w+56|0;E=w+4|0;k[w>>2]=27524;k[H>>2]=27544;B=0;wa(508,w+56|0,E|0);R=B;B=0;if(R&1){R=Rb()|0;ga=Q;ha=R;vva(H);Qb(ha|0)}k[w+128>>2]=0;k[w+132>>2]=-1;k[w>>2]=27468;k[H>>2]=27488;B=0;va(448,E|0);R=B;B=0;do if(R&1){S=Rb()|0;ia=Q;ja=S}else{k[E>>2]=27560;S=w+36|0;k[S>>2]=0;k[S+4>>2]=0;k[S+8>>2]=0;k[S+12>>2]=0;k[w+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,E|0,d|0);U=B;B=0;if(U&1){U=Rb()|0;W=Q;Yua(d);Yua(S);Ava(E);ia=W;ja=U;break}Yua(d);B=0;U=Ia(40,w|0,135593,28)|0;W=B;B=0;d:do if(!(W&1)?(B=0,Xa(239,U|0,0)|0,V=B,B=0,!(V&1)):0){V=Ab(20)|0;B=0;eb(502,x|0,125033,80);ka=B;B=0;do if(!(ka&1)){B=0;eb(502,y|0,125407,28);la=B;B=0;if(la&1){la=Rb()|0;ma=Q;Yua(x);na=la;oa=ma;break}B=0;wa(510,z|0,E|0);ma=B;B=0;if(ma&1){ma=Rb()|0;pa=1;qa=Q;ra=ma}else{B=0;ua(163,V|0,x|0,y|0,2421,z|0);ma=B;B=0;if(ma&1)sa=1;else{B=0;eb(503,V|0,1240,229);B=0;sa=0}ma=Rb()|0;la=Q;Yua(z);pa=sa;qa=la;ra=ma}Yua(y);Yua(x);if(pa){na=ra;oa=qa}else{ta=qa;xa=ra;break d}}else{ma=Rb()|0;na=ma;oa=Q}while(0);zb(V|0);ta=oa;xa=na}else L=99;while(0);if((L|0)==99){U=Rb()|0;ta=Q;xa=U}k[w>>2]=27468;k[H>>2]=27488;k[E>>2]=27560;Yua(S);Ava(E);vva(H);ea=ta;fa=xa;Qb(fa|0)}while(0);ga=ia;ha=ja;vva(H);Qb(ha|0)}}else{E=0;while(1){K=+p[D+(E<<3)>>3];p[F+(E<<3)>>3]=K;p[G+(E<<3)>>3]=0.0;J=+$(+K);p[t>>3]=J;R=k[t>>2]|0;C=k[t+4>>2]|0;if(C>>>0>2146435072|(C|0)==2146435072&R>>>0>0){L=12;break b}if((R|0)==0&(C|0)==2146435072){L=36;break b}E=E+1|0;if((E|0)>=(A|0))break a}}while(0);if((L|0)==12){E=g+56|0;H=g+4|0;k[g>>2]=27524;k[E>>2]=27544;B=0;wa(508,g+56|0,H|0);C=B;B=0;if(C&1){C=Rb()|0;ya=Q;za=C;vva(E);Qb(za|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[E>>2]=27488;B=0;va(448,H|0);C=B;B=0;do if(C&1){R=Rb()|0;Aa=Q;Ba=R}else{k[H>>2]=27560;R=g+36|0;k[R>>2]=0;k[R+4>>2]=0;k[R+8>>2]=0;k[R+12>>2]=0;k[g+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,H|0,d|0);U=B;B=0;if(U&1){U=Rb()|0;W=Q;Yua(d);Yua(R);Ava(H);Aa=W;Ba=U;break}Yua(d);B=0;U=Ia(40,g|0,135564,28)|0;W=B;B=0;e:do if(!(W&1)?(B=0,Xa(239,U|0,0)|0,b=B,B=0,!(b&1)):0){b=Ab(20)|0;B=0;eb(502,h|0,125033,80);ka=B;B=0;do if(!(ka&1)){B=0;eb(502,i|0,125407,28);T=B;B=0;if(T&1){T=Rb()|0;ma=Q;Yua(h);Ca=ma;Da=T;break}B=0;wa(510,j|0,H|0);T=B;B=0;if(T&1){T=Rb()|0;Ea=Q;Fa=T;Ga=1}else{B=0;ua(163,b|0,h|0,i|0,2418,j|0);T=B;B=0;if(T&1)Ha=1;else{B=0;eb(503,b|0,1240,229);B=0;Ha=0}T=Rb()|0;ma=Q;Yua(j);Ea=ma;Fa=T;Ga=Ha}Yua(i);Yua(h);if(Ga){Ca=Ea;Da=Fa}else{Ja=Ea;Ka=Fa;break e}}else{T=Rb()|0;Ca=Q;Da=T}while(0);zb(b|0);Ja=Ca;Ka=Da}else L=27;while(0);if((L|0)==27){U=Rb()|0;Ja=Q;Ka=U}k[g>>2]=27468;k[E>>2]=27488;k[H>>2]=27560;Yua(R);Ava(H);vva(E);ea=Ja;fa=Ka;Qb(fa|0)}while(0);ya=Aa;za=Ba;vva(E);Qb(za|0)}else if((L|0)==36){H=l+56|0;C=l+4|0;k[l>>2]=27524;k[H>>2]=27544;B=0;wa(508,l+56|0,C|0);U=B;B=0;if(U&1){U=Rb()|0;La=Q;Ma=U;vva(H);Qb(Ma|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[H>>2]=27488;B=0;va(448,C|0);U=B;B=0;do if(U&1){W=Rb()|0;Na=Q;Oa=W}else{k[C>>2]=27560;W=l+36|0;k[W>>2]=0;k[W+4>>2]=0;k[W+8>>2]=0;k[W+12>>2]=0;k[l+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,C|0,d|0);ka=B;B=0;if(ka&1){ka=Rb()|0;S=Q;Yua(d);Yua(W);Ava(C);Na=S;Oa=ka;break}Yua(d);B=0;ka=Ia(40,l|0,135593,28)|0;S=B;B=0;f:do if(!(S&1)?(B=0,Xa(239,ka|0,0)|0,T=B,B=0,!(T&1)):0){T=Ab(20)|0;B=0;eb(502,m|0,125033,80);ma=B;B=0;do if(!(ma&1)){B=0;eb(502,n|0,125407,28);la=B;B=0;if(la&1){la=Rb()|0;Pa=Q;Yua(m);Qa=la;Ra=Pa;break}B=0;wa(510,o|0,C|0);Pa=B;B=0;if(Pa&1){Pa=Rb()|0;Sa=1;Ta=Q;Ua=Pa}else{B=0;ua(163,T|0,m|0,n|0,2419,o|0);Pa=B;B=0;if(Pa&1)Va=1;else{B=0;eb(503,T|0,1240,229);B=0;Va=0}Pa=Rb()|0;la=Q;Yua(o);Sa=Va;Ta=la;Ua=Pa}Yua(n);Yua(m);if(Sa){Qa=Ua;Ra=Ta}else{Wa=Ta;Ya=Ua;break f}}else{Pa=Rb()|0;Qa=Pa;Ra=Q}while(0);zb(T|0);Wa=Ra;Ya=Qa}else L=51;while(0);if((L|0)==51){ka=Rb()|0;Wa=Q;Ya=ka}k[l>>2]=27468;k[H>>2]=27488;k[C>>2]=27560;Yua(W);Ava(C);vva(H);ea=Wa;fa=Ya;Qb(fa|0)}while(0);La=Na;Ma=Oa;vva(H);Qb(Ma|0)}}while(0);Ma=k[c>>2]|0;Oa=k[Ma+48>>2]|0;Na=Hc[k[Ma+128>>2]&511](c)|0;rd[Oa&511](c,638,F,Na);Na=k[c>>2]|0;Oa=k[Na+48>>2]|0;Ma=Hc[k[Na+128>>2]&511](c)|0;rd[Oa&511](c,639,G,Ma);Tqa(D);Tqa(F);Tqa(G);G=k[e>>2]|0;if(!G){r=a;return}Tqa(G);r=a;return}function Q6(a,b){a=a|0;b=b|0;return}function R6(a){a=a|0;Sqa(a);return}function S6(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;a=r;r=r+16|0;d=a;Fka(c,d,125463);if((k[d>>2]|0)==3){r=a;return}qoa(b,c,125629,484,738,0);r=a;return}function T6(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;a=r;r=r+16|0;d=a+8|0;e=a;f=a+12|0;Fka(c,f,125463);if((k[f>>2]|0)!=3){r=a;return}doa(c);k[e>>2]=137052;Ska(c,1,e);e=c+60|0;f=k[e>>2]|0;a:do if((f|0)>0){g=c+76|0;h=c+32|0;j=c+104|0;l=f;m=0;while(1){if(!(i[(k[h>>2]|0)+((k[(k[g>>2]|0)+((m<<2|2)<<2)>>2]|0)+-1)>>0]|0)){n=m+1|0;o=l}else{p=Qqa(48)|0;q=m+1|0;B=0;La(36,p|0,q+(k[j>>2]|0)|0,m|0,m|0,c|0,484);s=B;B=0;if(s&1){t=p;break}ih(b,p)|0;n=q;o=k[e>>2]|0}if((n|0)<(o|0)){l=o;m=n}else break a}m=Rb()|0;Sqa(t);Qb(m|0)}while(0);k[d>>2]=137052;Lka(c,1,d);r=a;return}function U6(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;a=r;r=r+208|0;d=a+8|0;e=a;f=a+196|0;g=a+192|0;h=a+56|0;i=a+40|0;j=a+28|0;l=a+16|0;Fka(c,g,125463);m=(k[c+40>>2]|0)==302;do if((k[g>>2]|0)==3){if(m){n=h+56|0;o=h+4|0;k[h>>2]=27524;k[n>>2]=27544;B=0;wa(508,h+56|0,o|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;s=p;vva(n);Qb(s|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[n>>2]=27488;B=0;va(448,o|0);p=B;B=0;do if(p&1){t=Rb()|0;u=Q;v=t}else{k[o>>2]=27560;t=h+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[h+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,o|0,f|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(f);Yua(t);Ava(o);u=x;v=w;break}Yua(f);B=0;w=Ia(40,h|0,132101,25)|0;x=B;B=0;if(!(x&1)?(B=0,Xa(239,w|0,0)|0,w=B,B=0,!(w&1)):0){w=Ab(20)|0;B=0;eb(502,i|0,125497,84);x=B;B=0;do if(!(x&1)){B=0;eb(502,j|0,145111,11);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(i);A=z;C=y;break}B=0;wa(510,l|0,o|0);y=B;B=0;if(y&1){y=Rb()|0;D=Q;E=y;F=1}else{B=0;ua(163,w|0,i|0,j|0,59,l|0);y=B;B=0;if(y&1)G=1;else{B=0;eb(503,w|0,1240,229);B=0;G=0}y=Rb()|0;z=Q;Yua(l);D=z;E=y;F=G}Yua(j);Yua(i);if(F){A=D;C=E}else{H=D;I=E;k[h>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(t);Ava(o);vva(n);Qb(I|0)}}else{y=Rb()|0;A=Q;C=y}while(0);zb(w|0);H=A;I=C;k[h>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(t);Ava(o);vva(n);Qb(I|0)}x=Rb()|0;H=Q;I=x;k[h>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(t);Ava(o);vva(n);Qb(I|0)}while(0);q=u;s=v;vva(n);Qb(s|0)}}else{if(m?(k[e>>2]=136615,k[e+4>>2]=136636,Ska(c,2,e),(k[g>>2]|0)==3):0)break;hoa(b,c,484,738,534);k[d>>2]=136615;J=d+4|0;k[J>>2]=136636;Lka(c,2,d);r=a;return}while(0);hoa(b,c,484,739,534);k[d>>2]=136615;J=d+4|0;k[J>>2]=136636;Lka(c,2,d);r=a;return}function V6(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 1}function W6(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;a=r;r=r+16|0;f=a;Fka(c,f,125463);g=(k[f>>2]|0)==3?739:738;f=c+56|0;h=k[f>>2]|0;if((h|0)>0){j=c+32|0;l=h;h=0;m=0;while(1){if(!(i[(k[j>>2]|0)+m>>0]|0)){n=l;o=h}else{p=qh(b,h)|0;Uc[k[(k[p>>2]|0)+480>>2]&63](p,m,c,d,e,g);n=k[f>>2]|0;o=h+1|0}m=m+1|0;if((m|0)>=(n|0))break;else{l=n;h=o}}}Zka(c,b,137052,353);Zka(c,b,134925,339);Zka(c,b,134945,64);Yka(c,b,137955,999,0.0);Zka(c,b,137867,206);Zka(c,b,135923,674);Zka(c,b,135944,677);Zka(c,b,134027,39);Zka(c,b,134252,388);Zka(c,b,126035,36);if((k[c+40>>2]|0)==300){r=a;return}Zka(c,b,136615,287);Zka(c,b,136636,288);r=a;return}function X6(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;YN(b,Ika(c,125463,35)|0);return}function Y6(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,125497,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138209,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,119,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function Z6(a,b){a=a|0;b=b|0;return 0}function _6(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,125497,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,126,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function $6(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;if(!(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0)){i=0;r=c;return i|0}j=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;switch(Hc[k[(k[b>>2]|0)+112>>2]&511](b)|0){case 742:case 738:{l=a7(a,j)|0;break}case 739:{l=b7(a,j)|0;break}default:{a=e+56|0;m=e+4|0;k[e>>2]=27524;k[a>>2]=27544;B=0;wa(508,e+56|0,m|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;p=n;vva(a);Qb(p|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[a>>2]=27488;B=0;va(448,m|0);n=B;B=0;do if(n&1){q=Rb()|0;s=Q;t=q}else{k[m>>2]=27560;q=e+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,m|0,d|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(d);Yua(q);Ava(m);s=v;t=u;break}Yua(d);B=0;u=Ia(40,e|0,132447,13)|0;v=B;B=0;if(((((!(v&1)?(B=0,v=ya(k[(k[b>>2]|0)+112>>2]|0,b|0)|0,w=B,B=0,!(w&1)):0)?(B=0,w=ya(427,v|0)|0,v=B,B=0,!(v&1)):0)?(v=Lta(w)|0,B=0,x=Ia(40,u|0,w|0,v|0)|0,v=B,B=0,!(v&1)):0)?(B=0,v=Ia(40,x|0,146481,18)|0,x=B,B=0,!(x&1)):0)?(B=0,Xa(239,v|0,0)|0,v=B,B=0,!(v&1)):0){v=Ab(20)|0;B=0;eb(502,f|0,125497,84);x=B;B=0;do if(!(x&1)){B=0;eb(502,g|0,144189,13);w=B;B=0;if(w&1){w=Rb()|0;u=Q;Yua(f);y=u;z=w;break}B=0;wa(510,h|0,m|0);w=B;B=0;if(w&1){w=Rb()|0;A=Q;C=w;D=1}else{B=0;ua(163,v|0,f|0,g|0,142,h|0);w=B;B=0;if(w&1)E=1;else{B=0;eb(503,v|0,1240,229);B=0;E=0}w=Rb()|0;u=Q;Yua(h);A=u;C=w;D=E}Yua(g);Yua(f);if(D){y=A;z=C}else{F=A;G=C;k[e>>2]=27468;k[a>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(a);Qb(G|0)}}else{w=Rb()|0;y=Q;z=w}while(0);zb(v|0);F=y;G=z;k[e>>2]=27468;k[a>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(a);Qb(G|0)}x=Rb()|0;F=Q;G=x;k[e>>2]=27468;k[a>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(a);Qb(G|0)}while(0);o=s;p=t;vva(a);Qb(p|0)}}cp(b,d,298);if((k[d>>2]|0)!=300?(ap(j),(j|0)!=0):0)Ec[k[(k[j>>2]|0)+4>>2]&1023](j);i=l;r=c;return i|0}function a7(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0.0,I=0,J=0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0,Q=0,R=0,S=0,T=0;a=r;r=r+112|0;c=a+96|0;d=a+92|0;e=a+80|0;f=a+72|0;g=a+64|0;h=a+48|0;i=a+32|0;j=a+88|0;l=a;k[j>>2]=0;m=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;n=gq(b,534)|0;o=m<<1;q=o>>>0>536870911?-1:o<<3;o=Rqa(q)|0;s=Rqa(q)|0;Uo(b,j);cp(b,d,298);cp(b,c,35);if((k[d>>2]|0)==300){d=Wo(b,674)|0;t=d;u=Wo(b,677)|0}else{d=Wo(b,673)|0;t=d;u=Wo(b,676)|0}v=+Zc[k[(k[b>>2]|0)+72>>2]&255](b);d=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;q=Hc[k[(k[d>>2]|0)+8>>2]&511](d)|0;a:do if((q|0)<(Hc[k[(k[d>>2]|0)+12>>2]&511](d)|0)){w=i+8|0;x=d+8|0;y=l+8|0;z=l+16|0;A=l+24|0;B=n+12|0;C=v*.5;D=q;while(1){Fc[k[(k[d>>2]|0)+24>>2]&1023](d,D);rd[k[(k[b>>2]|0)+260>>2]&511](b,e,k[j>>2]|0,d);E=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;F=Rqa(E>>>0>536870911?-1:E<<3)|0;nd[k[(k[b>>2]|0)+336>>2]&1023](b,F,d);if((E|0)>0){G=0;do{H=+p[F+(G<<3)>>3];p[o+(G<<3)>>3]=H;p[o+(G+E<<3)>>3]=H;G=G+1|0}while((G|0)!=(E|0))}Tqa(F);E=k[j>>2]|0;G=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;I=G<<1;J=Rqa(I>>>0>536870911?-1:I<<3)|0;rd[k[(k[b>>2]|0)+340>>2]&511](b,J,E,d);if((G|0)>0){E=0;do{p[s+(E<<3)>>3]=+p[J+(E<<3)>>3];I=E+G|0;p[s+(I<<3)>>3]=+p[J+(I<<3)>>3];E=E+1|0}while((E|0)!=(G|0))}Tqa(J);nd[k[(k[t>>2]|0)+48>>2]&1023](t,f,d);nd[k[(k[u>>2]|0)+48>>2]&1023](u,g,d);rd[k[(k[t>>2]|0)+60>>2]&511](t,h,k[j>>2]|0,d);rd[k[(k[u>>2]|0)+60>>2]&511](u,i,k[j>>2]|0,d);H=+p[w>>3];K=+p[x>>3]*+p[e>>3];p[l>>3]=+p[h>>3]*K;k[y>>2]=0;k[y+4>>2]=0;k[y+8>>2]=0;k[y+12>>2]=0;p[A>>3]=H*K;ZX(o,2,m,1,l,2,2,0,o,2,m,0,k[B>>2]|0,1)|0;p[l>>3]=K*+p[f>>3];p[A>>3]=K*+p[g>>3];ZX(o,2,m,1,l,2,2,0,s,2,m,0,k[B>>2]|0,1)|0;G=k[c>>2]|0;switch(G|0){case 1:{H=+p[f>>3];L=+p[g>>3];M=v/(+aa(+(H*H+L*L))*2.0);N=H*M;p[l>>3]=H*N;O=M*L;p[z>>3]=O*H;p[y>>3]=L*N;p[A>>3]=L*O;P=16;break}case 2:{Fc[k[(k[t>>2]|0)+64>>2]&1023](t,f);Fc[k[(k[u>>2]|0)+64>>2]&1023](u,g);O=C*+$(+(+p[f>>3]));p[l>>3]=O;k[y>>2]=0;k[y+4>>2]=0;k[y+8>>2]=0;k[y+12>>2]=0;O=C*+$(+(+p[g>>3]));p[A>>3]=O;Q=k[c>>2]|0;P=15;break}default:{Q=G;P=15}}if((P|0)==15?(P=0,(Q+-1|0)>>>0<2):0)P=16;if((P|0)==16){P=0;p[l>>3]=K*+p[l>>3];p[z>>3]=K*+p[z>>3];p[y>>3]=K*+p[y>>3];p[A>>3]=K*+p[A>>3];ZX(s,2,m,1,l,2,2,0,s,2,m,0,k[B>>2]|0,1)|0}D=D+1|0;if((D|0)>=(Hc[k[(k[d>>2]|0)+12>>2]&511](d)|0))break a}}while(0);m=k[j>>2]|0;if(!m){k[j>>2]=0;Tqa(o);Tqa(s);R=k[d>>2]|0;S=R+4|0;T=k[S>>2]|0;Ec[T&1023](d);r=a;return n|0}Tqa(m);k[j>>2]=0;Tqa(o);Tqa(s);R=k[d>>2]|0;S=R+4|0;T=k[S>>2]|0;Ec[T&1023](d);r=a;return n|0}function b7(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0,F=0,G=0;a=r;r=r+96|0;c=a+92|0;d=a+80|0;e=a+72|0;f=a+64|0;g=a+48|0;h=a+32|0;i=a+88|0;j=a;k[i>>2]=0;l=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;m=gq(b,534)|0;n=l<<1;o=n>>>0>536870911?-1:n<<3;n=Rqa(o)|0;q=Rqa(o)|0;Uo(b,i);cp(b,c,298);if((k[c>>2]|0)==300){c=Wo(b,674)|0;s=c;t=Wo(b,677)|0}else{c=Wo(b,673)|0;s=c;t=Wo(b,676)|0}c=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;o=Hc[k[(k[c>>2]|0)+8>>2]&511](c)|0;if((o|0)<(Hc[k[(k[c>>2]|0)+12>>2]&511](c)|0)){u=c+8|0;v=j+8|0;w=j+24|0;x=m+12|0;y=o;do{Fc[k[(k[c>>2]|0)+24>>2]&1023](c,y);rd[k[(k[b>>2]|0)+260>>2]&511](b,d,k[i>>2]|0,c);nd[k[(k[s>>2]|0)+48>>2]&1023](s,e,c);nd[k[(k[t>>2]|0)+48>>2]&1023](t,f,c);rd[k[(k[s>>2]|0)+60>>2]&511](s,g,k[i>>2]|0,c);rd[k[(k[t>>2]|0)+60>>2]&511](t,h,k[i>>2]|0,c);o=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;z=Rqa(o>>>0>536870911?-1:o<<3)|0;nd[k[(k[b>>2]|0)+336>>2]&1023](b,z,c);if((o|0)>0){A=0;do{B=+p[z+(A<<3)>>3];p[q+(A<<3)>>3]=B;p[q+(A+o<<3)>>3]=B;A=A+1|0}while((A|0)!=(o|0))}Tqa(z);o=k[i>>2]|0;A=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;C=A<<1;D=Rqa(C>>>0>536870911?-1:C<<3)|0;rd[k[(k[b>>2]|0)+340>>2]&511](b,D,o,c);if((A|0)>0){o=0;do{p[n+(o<<3)>>3]=+p[D+(o<<3)>>3];C=o+A|0;p[n+(C<<3)>>3]=+p[D+(C<<3)>>3];o=o+1|0}while((o|0)!=(A|0))}Tqa(D);B=-(+p[u>>3]*+p[d>>3]);p[j>>3]=+p[e>>3]*B;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;p[w>>3]=+p[f>>3]*B;ZX(n,2,l,1,j,2,2,0,q,2,l,0,k[x>>2]|0,1)|0;y=y+1|0}while((y|0)<(Hc[k[(k[c>>2]|0)+12>>2]&511](c)|0))}y=k[i>>2]|0;if(!y){k[i>>2]=0;Tqa(n);Tqa(q);E=k[c>>2]|0;F=E+4|0;G=k[F>>2]|0;Ec[G&1023](c);r=a;return m|0}Tqa(y);k[i>>2]=0;Tqa(n);Tqa(q);E=k[c>>2]|0;F=E+4|0;G=k[F>>2]|0;Ec[G&1023](c);r=a;return m|0}function c7(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;if(!(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0)){h=0;r=a;return h|0}i=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;switch(Hc[k[(k[b>>2]|0)+112>>2]&511](b)|0){case 742:case 738:{j=d7(0,i)|0;break}case 739:{j=e7(0,i)|0;break}default:{l=d+56|0;m=d+4|0;k[d>>2]=27524;k[l>>2]=27544;B=0;wa(508,d+56|0,m|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;p=n;vva(l);Qb(p|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[l>>2]=27488;B=0;va(448,m|0);n=B;B=0;do if(n&1){q=Rb()|0;s=Q;t=q}else{k[m>>2]=27560;q=d+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,m|0,c|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(c);Yua(q);Ava(m);s=v;t=u;break}Yua(c);B=0;u=Ia(40,d|0,132447,13)|0;v=B;B=0;if(((((!(v&1)?(B=0,v=ya(k[(k[b>>2]|0)+112>>2]|0,b|0)|0,w=B,B=0,!(w&1)):0)?(B=0,w=ya(427,v|0)|0,v=B,B=0,!(v&1)):0)?(v=Lta(w)|0,B=0,x=Ia(40,u|0,w|0,v|0)|0,v=B,B=0,!(v&1)):0)?(B=0,v=Ia(40,x|0,146481,18)|0,x=B,B=0,!(x&1)):0)?(B=0,Xa(239,v|0,0)|0,v=B,B=0,!(v&1)):0){v=Ab(20)|0;B=0;eb(502,e|0,125497,84);x=B;B=0;do if(!(x&1)){B=0;eb(502,f|0,144203,13);w=B;B=0;if(w&1){w=Rb()|0;u=Q;Yua(e);y=u;z=w;break}B=0;wa(510,g|0,m|0);w=B;B=0;if(w&1){w=Rb()|0;A=Q;C=w;D=1}else{B=0;ua(163,v|0,e|0,f|0,334,g|0);w=B;B=0;if(w&1)E=1;else{B=0;eb(503,v|0,1240,229);B=0;E=0}w=Rb()|0;u=Q;Yua(g);A=u;C=w;D=E}Yua(f);Yua(e);if(D){y=A;z=C}else{F=A;G=C;k[d>>2]=27468;k[l>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(l);Qb(G|0)}}else{w=Rb()|0;y=Q;z=w}while(0);zb(v|0);F=y;G=z;k[d>>2]=27468;k[l>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(l);Qb(G|0)}x=Rb()|0;F=Q;G=x;k[d>>2]=27468;k[l>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(l);Qb(G|0)}while(0);o=s;p=t;vva(l);Qb(p|0)}}cp(b,c,298);if((k[c>>2]|0)!=300?(ap(i),(i|0)!=0):0)Ec[k[(k[i>>2]|0)+4>>2]&1023](i);h=j;r=a;return h|0}function d7(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;a=r;r=r+48|0;c=a+24|0;d=a+16|0;e=a+8|0;f=a;g=a+32|0;k[g>>2]=0;h=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;i=iq(b,534)|0;j=Rqa(h>>>0>536870911?-1:h<<3)|0;Uo(b,g);l=Wo(b,39)|0;m=Wo(b,388)|0;n=Wo(b,36)|0;o=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;q=Hc[k[(k[o>>2]|0)+8>>2]&511](o)|0;a:do if((q|0)<(Hc[k[(k[o>>2]|0)+12>>2]&511](o)|0)){s=o+8|0;t=i+4|0;if((h|0)>0)u=q;else{v=q;while(1){Fc[k[(k[o>>2]|0)+24>>2]&1023](o,v);rd[k[(k[b>>2]|0)+260>>2]&511](b,f,k[g>>2]|0,o);nd[k[(k[b>>2]|0)+336>>2]&1023](b,j,o);nd[k[(k[m>>2]|0)+48>>2]&1023](m,e,o);nd[k[(k[l>>2]|0)+48>>2]&1023](l,d,o);nd[k[(k[n>>2]|0)+48>>2]&1023](n,c,o);v=v+1|0;if((v|0)>=(Hc[k[(k[o>>2]|0)+12>>2]&511](o)|0))break a}}do{Fc[k[(k[o>>2]|0)+24>>2]&1023](o,u);rd[k[(k[b>>2]|0)+260>>2]&511](b,f,k[g>>2]|0,o);nd[k[(k[b>>2]|0)+336>>2]&1023](b,j,o);nd[k[(k[m>>2]|0)+48>>2]&1023](m,e,o);nd[k[(k[l>>2]|0)+48>>2]&1023](l,d,o);nd[k[(k[n>>2]|0)+48>>2]&1023](n,c,o);v=k[t>>2]|0;w=0;do{x=v+(w<<3)|0;p[x>>3]=+p[x>>3]+ +p[j+(w<<3)>>3]*(+p[f>>3]*+p[s>>3]*(+p[e>>3]-+p[d>>3]-+p[c>>3]));w=w+1|0}while((w|0)!=(h|0));u=u+1|0}while((u|0)<(Hc[k[(k[o>>2]|0)+12>>2]&511](o)|0))}while(0);u=k[g>>2]|0;if(!u){k[g>>2]=0;Tqa(j);y=k[o>>2]|0;z=y+4|0;A=k[z>>2]|0;Ec[A&1023](o);r=a;return i|0}Tqa(u);k[g>>2]=0;Tqa(j);y=k[o>>2]|0;z=y+4|0;A=k[z>>2]|0;Ec[A&1023](o);r=a;return i|0}function e7(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;a=r;r=r+48|0;c=a+24|0;d=a+16|0;e=a+8|0;f=a;g=a+32|0;k[g>>2]=0;h=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;i=iq(b,534)|0;j=Rqa(h>>>0>536870911?-1:h<<3)|0;Uo(b,g);l=Wo(b,39)|0;m=Wo(b,388)|0;n=Wo(b,36)|0;o=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;q=Hc[k[(k[o>>2]|0)+8>>2]&511](o)|0;a:do if((q|0)<(Hc[k[(k[o>>2]|0)+12>>2]&511](o)|0)){s=o+8|0;t=i+4|0;if((h|0)>0)u=q;else{v=q;while(1){Fc[k[(k[o>>2]|0)+24>>2]&1023](o,v);rd[k[(k[b>>2]|0)+260>>2]&511](b,f,k[g>>2]|0,o);nd[k[(k[b>>2]|0)+336>>2]&1023](b,j,o);nd[k[(k[m>>2]|0)+48>>2]&1023](m,e,o);nd[k[(k[l>>2]|0)+48>>2]&1023](l,d,o);nd[k[(k[n>>2]|0)+48>>2]&1023](n,c,o);v=v+1|0;if((v|0)>=(Hc[k[(k[o>>2]|0)+12>>2]&511](o)|0))break a}}do{Fc[k[(k[o>>2]|0)+24>>2]&1023](o,u);rd[k[(k[b>>2]|0)+260>>2]&511](b,f,k[g>>2]|0,o);nd[k[(k[b>>2]|0)+336>>2]&1023](b,j,o);nd[k[(k[m>>2]|0)+48>>2]&1023](m,e,o);nd[k[(k[l>>2]|0)+48>>2]&1023](l,d,o);nd[k[(k[n>>2]|0)+48>>2]&1023](n,c,o);v=k[t>>2]|0;w=0;do{x=v+(w<<3)|0;p[x>>3]=+p[x>>3]+ +p[j+(w<<3)>>3]*(+p[f>>3]*+p[s>>3]*(+p[e>>3]-+p[d>>3]-+p[c>>3]));w=w+1|0}while((w|0)!=(h|0));u=u+1|0}while((u|0)<(Hc[k[(k[o>>2]|0)+12>>2]&511](o)|0))}while(0);u=k[g>>2]|0;if(!u){k[g>>2]=0;Tqa(j);y=k[o>>2]|0;z=y+4|0;A=k[z>>2]|0;Ec[A&1023](o);r=a;return i|0}Tqa(u);k[g>>2]=0;Tqa(j);y=k[o>>2]|0;z=y+4|0;A=k[z>>2]|0;Ec[A&1023](o);r=a;return i|0}function f7(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,125497,84);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138230,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,480,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function g7(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0.0,Ea=0.0,Fa=0.0,Ga=0.0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0;a=r;r=r+688|0;f=a+668|0;g=a+120|0;h=a+112|0;i=a+104|0;j=a+96|0;l=a+72|0;m=a+64|0;n=a+56|0;o=a+40|0;q=a+24|0;s=a+16|0;t=a+8|0;u=a;v=a+664|0;w=a+660|0;x=a+656|0;y=a+640|0;z=a+504|0;A=a+644|0;C=a+488|0;D=a+336|0;E=a+352|0;F=a+188|0;G=a+176|0;H=a+164|0;I=a+200|0;J=a+152|0;K=a+140|0;L=a+128|0;if(!($p(c)|0)){r=a;return}k[v>>2]=0;k[w>>2]=0;cp(c,x,199);qp(c,w,0,180);cp(c,y,476);if((k[y>>2]|0)!=489){y=z+56|0;M=z+4|0;k[z>>2]=27524;k[y>>2]=27544;B=0;wa(508,z+56|0,M|0);N=B;B=0;if(N&1){N=Rb()|0;O=Q;P=N;vva(y);Qb(P|0)}k[z+128>>2]=0;k[z+132>>2]=-1;k[z>>2]=27468;k[y>>2]=27488;B=0;va(448,M|0);N=B;B=0;do if(N&1){R=Rb()|0;S=Q;T=R}else{k[M>>2]=27560;R=z+36|0;k[R>>2]=0;k[R+4>>2]=0;k[R+8>>2]=0;k[R+12>>2]=0;k[z+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,M|0,f|0);U=B;B=0;if(U&1){U=Rb()|0;V=Q;Yua(f);Yua(R);Ava(M);S=V;T=U;break}Yua(f);B=0;U=Ia(40,z|0,149721,19)|0;V=B;B=0;a:do if(!(V&1)?(B=0,Xa(239,U|0,0)|0,W=B,B=0,!(W&1)):0){W=Ab(20)|0;B=0;eb(502,A|0,125497,84);X=B;B=0;do if(!(X&1)){B=0;eb(502,C|0,138252,9);Y=B;B=0;if(Y&1){Y=Rb()|0;Z=Q;Yua(A);_=Y;$=Z;break}B=0;wa(510,D|0,M|0);Z=B;B=0;if(Z&1){Z=Rb()|0;ba=Z;ca=Q;da=1}else{B=0;ua(163,W|0,A|0,C|0,500,D|0);Z=B;B=0;if(Z&1)ea=1;else{B=0;eb(503,W|0,1240,229);B=0;ea=0}Z=Rb()|0;Y=Q;Yua(D);ba=Z;ca=Y;da=ea}Yua(C);Yua(A);if(da){_=ba;$=ca}else{fa=ba;ga=ca;break a}}else{Y=Rb()|0;_=Y;$=Q}while(0);zb(W|0);fa=_;ga=$}else ha=18;while(0);if((ha|0)==18){U=Rb()|0;fa=U;ga=Q}k[z>>2]=27468;k[y>>2]=27488;k[M>>2]=27560;Yua(R);Ava(M);vva(y);ia=ga;ja=fa;Qb(ja|0)}while(0);O=S;P=T;vva(y);Qb(P|0)}if((d|0)!=353){P=E+56|0;y=E+4|0;k[E>>2]=27524;k[P>>2]=27544;B=0;wa(508,E+56|0,y|0);T=B;B=0;if(T&1){T=Rb()|0;ka=Q;la=T;vva(P);Qb(la|0)}k[E+128>>2]=0;k[E+132>>2]=-1;k[E>>2]=27468;k[P>>2]=27488;B=0;va(448,y|0);T=B;B=0;do if(T&1){S=Rb()|0;ma=Q;na=S}else{k[y>>2]=27560;S=E+36|0;k[S>>2]=0;k[S+4>>2]=0;k[S+8>>2]=0;k[S+12>>2]=0;k[E+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,y|0,f|0);O=B;B=0;if(O&1){O=Rb()|0;fa=Q;Yua(f);Yua(S);Ava(y);ma=fa;na=O;break}Yua(f);B=0;O=Ia(40,E|0,125582,8)|0;fa=B;B=0;b:do if((((!(fa&1)?(B=0,ga=ya(427,d|0)|0,M=B,B=0,!(M&1)):0)?(M=Lta(ga)|0,B=0,z=Ia(40,O|0,ga|0,M|0)|0,M=B,B=0,!(M&1)):0)?(B=0,M=Ia(40,z|0,144645,14)|0,z=B,B=0,!(z&1)):0)?(B=0,Xa(239,M|0,0)|0,M=B,B=0,!(M&1)):0){M=Ab(20)|0;B=0;eb(502,F|0,125497,84);z=B;B=0;do if(!(z&1)){B=0;eb(502,G|0,138252,9);ga=B;B=0;if(ga&1){ga=Rb()|0;$=Q;Yua(F);oa=$;pa=ga;break}B=0;wa(510,H|0,y|0);ga=B;B=0;if(ga&1){ga=Rb()|0;qa=1;ra=ga;sa=Q}else{B=0;ua(163,M|0,F|0,G|0,501,H|0);ga=B;B=0;if(ga&1)ta=1;else{B=0;eb(503,M|0,1240,229);B=0;ta=0}ga=Rb()|0;$=Q;Yua(H);qa=ta;ra=ga;sa=$}Yua(G);Yua(F);if(qa){oa=sa;pa=ra}else{xa=ra;za=sa;break b}}else{$=Rb()|0;oa=Q;pa=$}while(0);zb(M|0);xa=pa;za=oa}else ha=45;while(0);if((ha|0)==45){O=Rb()|0;xa=O;za=Q}k[E>>2]=27468;k[P>>2]=27488;k[y>>2]=27560;Yua(S);Ava(y);vva(P);ia=za;ja=xa;Qb(ja|0)}while(0);ka=ma;la=na;vva(P);Qb(la|0)}la=Hc[k[(k[c>>2]|0)+172>>2]&511](c)|0;P=la>>>0>536870911?-1:la<<3;na=Rqa(P)|0;ma=la<<1;ka=Rqa(ma>>>0>536870911?-1:ma<<3)|0;ma=Rqa(P)|0;if(la)WEa(ma|0,0,la<<3|0)|0;P=Rqa(la>>>0>1073741823?-1:la<<2)|0;Uo(c,v);Mp(c,P,e,0);e=Wo(c,353)|0;xa=Wo(c,201)|0;za=Wo(c,179)|0;y=Wo(c,674)|0;E=Wo(c,677)|0;oa=Wo(c,388)|0;pa=Wo(c,39)|0;sa=Wo(c,36)|0;ra=ed[k[(k[c>>2]|0)+308>>2]&511](c,4)|0;qa=Hc[k[(k[ra>>2]|0)+8>>2]&511](ra)|0;c:do if((qa|0)<(Hc[k[(k[ra>>2]|0)+12>>2]&511](ra)|0)){F=(la|0)>0;G=l+8|0;ta=ra+8|0;H=q+8|0;d=qa;d:while(1){Fc[k[(k[ra>>2]|0)+24>>2]&1023](ra,d);nd[k[(k[e>>2]|0)+48>>2]&1023](e,i,ra);rd[k[(k[e>>2]|0)+60>>2]&511](e,l,k[v>>2]|0,ra);nd[k[(k[xa>>2]|0)+48>>2]&1023](xa,j,ra);rd[k[(k[c>>2]|0)+260>>2]&511](c,g,k[v>>2]|0,ra);nd[k[(k[c>>2]|0)+356>>2]&1023](c,na,ra);rd[k[(k[c>>2]|0)+360>>2]&511](c,ka,k[v>>2]|0,ra);e:do if((k[x>>2]|0)>0){T=0;while(1){rd[k[(k[za>>2]|0)+56>>2]&511](za,h,ra,k[(k[w>>2]|0)+(T<<2)>>2]|0);switch(k[(k[w>>2]|0)+(T<<2)>>2]|0){case 669:{if(F){Aa=(+p[j>>3]-+p[i>>3])*+p[h>>3]*+p[g>>3];O=0;do{fa=ma+(O<<3)|0;p[fa>>3]=+p[fa>>3]+Aa*+p[ta>>3]*+p[na+(O<<3)>>3];O=O+1|0}while((O|0)!=(la|0))}break}case 689:{if(F){Aa=+p[g>>3];Ba=+p[h>>3]*+p[l>>3];O=0;do{fa=ma+(O<<3)|0;p[fa>>3]=+p[fa>>3]-Ba*+p[ka+(O<<3)>>3]*Aa*+p[ta>>3];O=O+1|0}while((O|0)!=(la|0));if(F){Aa=+p[g>>3];Ba=+p[h>>3]*+p[G>>3];O=0;do{fa=ma+(O<<3)|0;p[fa>>3]=+p[fa>>3]-Ba*+p[ka+(O+la<<3)>>3]*Aa*+p[ta>>3];O=O+1|0}while((O|0)!=(la|0))}}break}case 690:{nd[k[(k[y>>2]|0)+48>>2]&1023](y,m,ra);nd[k[(k[E>>2]|0)+48>>2]&1023](E,n,ra);Aa=+p[m>>3];Ba=+p[n>>3];Ca=+aa(+(Aa*Aa+Ba*Ba))+1.0e-09;Da=Aa/Ca;p[m>>3]=Da;Aa=Ba/Ca;p[n>>3]=Aa;if(F){Ca=+p[g>>3];Ba=+p[h>>3]*(+p[l>>3]*Da+ +p[G>>3]*Aa);O=0;do{fa=ma+(O<<3)|0;p[fa>>3]=+p[fa>>3]-+p[ta>>3]*(Ca*(Ba*(Da*+p[ka+(O<<3)>>3]+Aa*+p[ka+(O+la<<3)>>3])));O=O+1|0}while((O|0)!=(la|0))}break}case 691:{nd[k[(k[y>>2]|0)+48>>2]&1023](y,m,ra);nd[k[(k[E>>2]|0)+48>>2]&1023](E,n,ra);Aa=+p[m>>3];Da=+p[n>>3];Ba=+aa(+(Aa*Aa+Da*Da))+1.0e-09;Ca=Aa/Ba;p[m>>3]=Ca;Aa=Da/Ba;p[n>>3]=Aa;if(F){Ba=+p[g>>3];Da=-Aa;Aa=+p[h>>3]*(+p[l>>3]*Da+ +p[G>>3]*Ca);O=0;do{fa=ma+(O<<3)|0;p[fa>>3]=+p[fa>>3]-+p[ta>>3]*(Ba*(Aa*(+p[ka+(O<<3)>>3]*Da+Ca*+p[ka+(O+la<<3)>>3])));O=O+1|0}while((O|0)!=(la|0))}break}case 641:{nd[k[(k[oa>>2]|0)+48>>2]&1023](oa,u,ra);nd[k[(k[pa>>2]|0)+48>>2]&1023](pa,t,ra);nd[k[(k[sa>>2]|0)+48>>2]&1023](sa,s,ra);nd[k[(k[y>>2]|0)+48>>2]&1023](y,m,ra);rd[k[(k[y>>2]|0)+60>>2]&511](y,o,k[v>>2]|0,ra);nd[k[(k[E>>2]|0)+48>>2]&1023](E,n,ra);rd[k[(k[E>>2]|0)+60>>2]&511](E,q,k[v>>2]|0,ra);if(F){Ca=+p[m>>3];Da=+p[n>>3];Aa=+p[h>>3]*+p[g>>3];Ba=+p[o>>3]+ +p[H>>3];Ea=Ca*+p[l>>3]+Da*+p[G>>3]+ +p[i>>3]*Ba;Fa=+p[u>>3]-+p[t>>3]-+p[s>>3];O=0;do{Ga=Ca*+p[ka+(O<<3)>>3]+Da*+p[ka+(O+la<<3)>>3]+Ba*+p[na+(O<<3)>>3];fa=ma+(O<<3)|0;p[fa>>3]=+p[fa>>3]-Aa*+p[ta>>3]*(Ea*Ga-Ga*Fa);O=O+1|0}while((O|0)!=(la|0))}break}default:{Ha=T;break d}}T=T+1|0;if((T|0)>=(k[x>>2]|0))break e}}while(0);d=d+1|0;if((d|0)>=(Hc[k[(k[ra>>2]|0)+12>>2]&511](ra)|0))break c}d=I+56|0;ta=I+4|0;k[I>>2]=27524;k[d>>2]=27544;B=0;wa(508,I+56|0,ta|0);G=B;B=0;if(G&1){G=Rb()|0;Ja=Q;Ka=G;vva(d);Qb(Ka|0)}k[I+128>>2]=0;k[I+132>>2]=-1;k[I>>2]=27468;k[d>>2]=27488;B=0;va(448,ta|0);G=B;B=0;do if(G&1){H=Rb()|0;La=Q;Ma=H}else{k[ta>>2]=27560;H=I+36|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;k[H+12>>2]=0;k[I+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,ta|0,f|0);F=B;B=0;if(F&1){F=Rb()|0;S=Q;Yua(f);Yua(H);Ava(ta);La=S;Ma=F;break}Yua(f);B=0;F=Ia(40,I|0,125591,9)|0;S=B;B=0;f:do if((((!(S&1)?(B=0,M=ya(427,k[(k[w>>2]|0)+(Ha<<2)>>2]|0)|0,T=B,B=0,!(T&1)):0)?(T=Lta(M)|0,B=0,O=Ia(40,F|0,M|0,T|0)|0,T=B,B=0,!(T&1)):0)?(B=0,T=Ia(40,O|0,146481,18)|0,O=B,B=0,!(O&1)):0)?(B=0,Xa(239,T|0,0)|0,T=B,B=0,!(T&1)):0){T=Ab(20)|0;B=0;eb(502,J|0,125497,84);O=B;B=0;do if(!(O&1)){B=0;eb(502,K|0,138252,9);M=B;B=0;if(M&1){M=Rb()|0;fa=Q;Yua(J);Na=fa;Oa=M;break}B=0;wa(510,L|0,ta|0);M=B;B=0;if(M&1){M=Rb()|0;Pa=1;Qa=M;Ra=Q}else{B=0;ua(163,T|0,J|0,K|0,582,L|0);M=B;B=0;if(M&1)Sa=1;else{B=0;eb(503,T|0,1240,229);B=0;Sa=0}M=Rb()|0;fa=Q;Yua(L);Pa=Sa;Qa=M;Ra=fa}Yua(K);Yua(J);if(Pa){Na=Ra;Oa=Qa}else{Ta=Qa;Ua=Ra;break f}}else{fa=Rb()|0;Na=Q;Oa=fa}while(0);zb(T|0);Ta=Oa;Ua=Na}else ha=102;while(0);if((ha|0)==102){F=Rb()|0;Ta=F;Ua=Q}k[I>>2]=27468;k[d>>2]=27488;k[ta>>2]=27560;Yua(H);Ava(ta);vva(d);ia=Ua;ja=Ta;Qb(ja|0)}while(0);Ja=La;Ka=Ma;vva(d);Qb(Ka|0)}while(0);if(k[b>>2]|0){Ka=k[k[b+4>>2]>>2]|0;Dc[k[(k[Ka>>2]|0)+16>>2]&255](Ka,la,P,ma,1)}la=k[v>>2]|0;if(la)Tqa(la);k[v>>2]=0;Tqa(na);Tqa(ma);Tqa(P);P=k[w>>2]|0;if(P)Tqa(P);k[w>>2]=0;if(ra)Ec[k[(k[ra>>2]|0)+4>>2]&1023](ra);r=a;return}function h7(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;a=r;r=r+192|0;d=a+180|0;e=a+176|0;f=a+40|0;g=a+24|0;h=a+12|0;i=a;cp(c,e,298);switch(k[e>>2]|0){case 300:{nd[k[(k[c>>2]|0)+232>>2]&1023](c,b,353);r=a;return}case 302:{nd[k[(k[c>>2]|0)+228>>2]&1023](c,b,353);r=a;return}default:{a=f+56|0;b=f+4|0;k[f>>2]=27524;k[a>>2]=27544;B=0;wa(508,f+56|0,b|0);c=B;B=0;if(c&1){c=Rb()|0;j=Q;l=c;vva(a);Qb(l|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[a>>2]=27488;B=0;va(448,b|0);c=B;B=0;do if(c&1){m=Rb()|0;n=Q;o=m}else{k[b>>2]=27560;m=f+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[f+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,b|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(b);n=q;o=p;break}Yua(d);B=0;p=Ia(40,f|0,144639,5)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[e>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,146481,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,g|0,125497,84);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,137199,23);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(g);u=p;v=q;break}B=0;wa(510,i|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,g|0,h|0,609,i|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(i);w=p;x=q;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(a);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[f>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(a);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[f>>2]=27468;k[a>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(a);Qb(C|0)}while(0);j=n;l=o;vva(a);Qb(l|0)}}}function i7(a,b){a=a|0;b=b|0;return}function j7(a){a=a|0;Sqa(a);return}function k7(a,b,c){a=a|0;b=b|0;c=c|0;qoa(b,c,125629,486,738,0);return}function l7(a,b,c){a=a|0;b=b|0;c=c|0;return}function m7(a,b,c){a=a|0;b=b|0;c=c|0;hoa(b,c,486,738,534);return}function n7(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 1}function o7(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0;Zka(c,b,137052,353);Zka(c,b,134925,339);Zka(c,b,134945,64);Yka(c,b,137955,999,0.0);Zka(c,b,137867,206);Zka(c,b,134027,39);Zka(c,b,134252,388);Zka(c,b,126035,36);Zka(c,b,125662,379);a=c+56|0;f=k[a>>2]|0;if((f|0)<=0)return;g=c+32|0;h=f;f=0;j=0;while(1){if(!(i[(k[g>>2]|0)+j>>0]|0)){l=h;m=f}else{n=qh(b,f)|0;Uc[k[(k[n>>2]|0)+480>>2]&63](n,j,c,d,e,738);l=k[a>>2]|0;m=f+1|0}j=j+1|0;if((j|0)>=(l|0))break;else{h=l;f=m}}return}function p7(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return}function q7(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,125688,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138209,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,59,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function r7(a,b){a=a|0;b=b|0;return 0}function s7(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0.0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;a=r;r=r+224|0;c=a+204|0;d=a+8|0;e=a;f=a+200|0;g=a+64|0;h=a+48|0;i=a+36|0;j=a+24|0;k[f>>2]=0;l=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;m=Rqa(l>>>0>536870911?-1:l<<3)|0;Uo(b,f);n=Wo(b,664)|0;o=Wo(b,665)|0;q=Wo(b,339)|0;s=Wo(b,214)|0;t=+Dp(b,265);u=t*+Dp(b,65);v=Hc[k[(k[b>>2]|0)+304>>2]&511](b)|0;a:do if((l|0)>0){w=d+8|0;b:do if((n|0)!=0&(o|0)!=0){x=0;while(1){y=k[(k[v>>2]|0)+32>>2]|0;z=Hc[k[(k[b>>2]|0)+128>>2]&511](b)|0;nd[y&1023](v,z,x);nd[k[(k[s>>2]|0)+48>>2]&1023](s,e,v);nd[k[(k[n>>2]|0)+48>>2]&1023](n,d,v);nd[k[(k[o>>2]|0)+48>>2]&1023](o,w,v);t=+p[d>>3];A=+p[w>>3];C=+aa(+(t*t+A*A));if(C==0.0)break b;if(C<1.0e-05){D=t/C*1.0e5;p[d>>3]=D;E=A/C*1.0e5;p[w>>3]=E;F=D;G=E}else{F=t;G=A}A=+ba(+u,3.0)*3.90625e+21*1.0000000000000001e-24/+ba(+(+p[e>>3]*.3968502629920499),3.0)*(F*F+G*G)/5.0;p[m+(x<<3)>>3]=A;x=x+1|0;if((x|0)>=(l|0))break a}}else{x=0;while(1){z=k[(k[v>>2]|0)+32>>2]|0;y=Hc[k[(k[b>>2]|0)+128>>2]&511](b)|0;nd[z&1023](v,y,x);nd[k[(k[s>>2]|0)+48>>2]&1023](s,e,v);rd[k[(k[q>>2]|0)+60>>2]&511](q,d,k[f>>2]|0,v);A=+p[d>>3];t=+p[w>>3];E=+aa(+(A*A+t*t));if(E==0.0)break b;if(E<1.0e-05){D=A/E*1.0e5;p[d>>3]=D;C=t/E*1.0e5;p[w>>3]=C;H=D;I=C}else{H=A;I=t}t=+ba(+u,3.0)*3.90625e+21*1.0000000000000001e-24/+ba(+(+p[e>>3]*.3968502629920499),3.0)*(H*H+I*I)/5.0;p[m+(x<<3)>>3]=t;x=x+1|0;if((x|0)>=(l|0))break a}}while(0);w=g+56|0;x=g+4|0;k[g>>2]=27524;k[w>>2]=27544;B=0;wa(508,g+56|0,x|0);y=B;B=0;if(y&1){y=Rb()|0;J=Q;K=y;vva(w);Qb(K|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[w>>2]=27488;B=0;va(448,x|0);y=B;B=0;do if(y&1){z=Rb()|0;L=Q;M=z}else{k[x>>2]=27560;z=g+36|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;k[z+12>>2]=0;k[g+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,x|0,c|0);N=B;B=0;if(N&1){N=Rb()|0;O=Q;Yua(c);Yua(z);Ava(x);L=O;M=N;break}Yua(c);B=0;N=Ia(40,g|0,125774,21)|0;O=B;B=0;if(!(O&1)?(B=0,Xa(239,N|0,0)|0,N=B,B=0,!(N&1)):0){N=Ab(20)|0;B=0;eb(502,h|0,125688,85);O=B;B=0;do if(!(O&1)){B=0;eb(502,i|0,125796,8);P=B;B=0;if(P&1){P=Rb()|0;R=Q;Yua(h);S=R;T=P;break}B=0;wa(510,j|0,x|0);P=B;B=0;if(P&1){P=Rb()|0;U=Q;V=P;W=1}else{B=0;ua(163,N|0,h|0,i|0,103,j|0);P=B;B=0;if(P&1)X=1;else{B=0;eb(503,N|0,1240,229);B=0;X=0}P=Rb()|0;R=Q;Yua(j);U=R;V=P;W=X}Yua(i);Yua(h);if(W){S=U;T=V}else{Y=U;Z=V;k[g>>2]=27468;k[w>>2]=27488;k[x>>2]=27560;Yua(z);Ava(x);vva(w);Qb(Z|0)}}else{P=Rb()|0;S=Q;T=P}while(0);zb(N|0);Y=S;Z=T;k[g>>2]=27468;k[w>>2]=27488;k[x>>2]=27560;Yua(z);Ava(x);vva(w);Qb(Z|0)}O=Rb()|0;Y=Q;Z=O;k[g>>2]=27468;k[w>>2]=27488;k[x>>2]=27560;Yua(z);Ava(x);vva(w);Qb(Z|0)}while(0);J=L;K=M;vva(w);Qb(K|0)}while(0);K=k[b>>2]|0;M=k[K+48>>2]|0;L=Hc[k[K+128>>2]&511](b)|0;rd[M&511](b,380,m,L);Tqa(m);m=k[f>>2]|0;if(m)Tqa(m);k[f>>2]=0;if(!v){r=a;return}Ec[k[(k[v>>2]|0)+4>>2]&1023](v);r=a;return}function t7(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,125688,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,130,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function u7(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0;a=r;r=r+32|0;c=a+16|0;d=a+8|0;e=a;f=a+24|0;k[f>>2]=0;g=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;h=gq(b,534)|0;i=g<<1;j=Rqa(i>>>0>536870911?-1:i<<3)|0;Uo(b,f);i=Wo(b,379)|0;l=Wo(b,380)|0;if(!l){s7(0,b);m=Wo(b,380)|0}else m=l;l=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;n=Hc[k[(k[l>>2]|0)+8>>2]&511](l)|0;if((n|0)<(Hc[k[(k[l>>2]|0)+12>>2]&511](l)|0)){o=(g|0)>0;q=l+8|0;s=h+12|0;t=n;do{Fc[k[(k[l>>2]|0)+24>>2]&1023](l,t);rd[k[(k[b>>2]|0)+340>>2]&511](b,j,k[f>>2]|0,l);rd[k[(k[b>>2]|0)+260>>2]&511](b,c,k[f>>2]|0,l);nd[k[(k[m>>2]|0)+48>>2]&1023](m,d,l);nd[k[(k[i>>2]|0)+48>>2]&1023](i,e,l);if(o){n=k[s>>2]|0;u=0;do{v=j+(u<<3)|0;w=j+(u+g<<3)|0;x=ma(u,g)|0;y=0;do{z=+p[d>>3]*+ja(+(+p[e>>3]));A=n+(y+x<<3)|0;p[A>>3]=+p[A>>3]+z*+p[q>>3]*+p[c>>3]*(+p[v>>3]*+p[j+(y<<3)>>3]+ +p[w>>3]*+p[j+(y+g<<3)>>3]);y=y+1|0}while((y|0)!=(g|0));u=u+1|0}while((u|0)!=(g|0))}t=t+1|0}while((t|0)<(Hc[k[(k[l>>2]|0)+12>>2]&511](l)|0))}t=k[f>>2]|0;if(!t){k[f>>2]=0;Tqa(j);B=k[l>>2]|0;C=B+4|0;D=k[C>>2]|0;Ec[D&1023](l);r=a;return h|0}Tqa(t);k[f>>2]=0;Tqa(j);B=k[l>>2]|0;C=B+4|0;D=k[C>>2]|0;Ec[D&1023](l);r=a;return h|0}function v7(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;a=r;r=r+48|0;c=a+24|0;d=a+16|0;e=a+8|0;f=a;g=a+32|0;k[g>>2]=0;h=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;i=iq(b,534)|0;j=Rqa(h>>>0>536870911?-1:h<<3)|0;Uo(b,g);l=Wo(b,388)|0;m=Wo(b,39)|0;n=Wo(b,36)|0;o=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;q=Hc[k[(k[o>>2]|0)+8>>2]&511](o)|0;a:do if((q|0)<(Hc[k[(k[o>>2]|0)+12>>2]&511](o)|0)){s=o+8|0;t=i+4|0;if((h|0)>0)u=q;else{v=q;while(1){Fc[k[(k[o>>2]|0)+24>>2]&1023](o,v);rd[k[(k[b>>2]|0)+260>>2]&511](b,f,k[g>>2]|0,o);nd[k[(k[b>>2]|0)+336>>2]&1023](b,j,o);nd[k[(k[l>>2]|0)+48>>2]&1023](l,e,o);nd[k[(k[m>>2]|0)+48>>2]&1023](m,d,o);nd[k[(k[n>>2]|0)+48>>2]&1023](n,c,o);v=v+1|0;if((v|0)>=(Hc[k[(k[o>>2]|0)+12>>2]&511](o)|0))break a}}do{Fc[k[(k[o>>2]|0)+24>>2]&1023](o,u);rd[k[(k[b>>2]|0)+260>>2]&511](b,f,k[g>>2]|0,o);nd[k[(k[b>>2]|0)+336>>2]&1023](b,j,o);nd[k[(k[l>>2]|0)+48>>2]&1023](l,e,o);nd[k[(k[m>>2]|0)+48>>2]&1023](m,d,o);nd[k[(k[n>>2]|0)+48>>2]&1023](n,c,o);v=k[t>>2]|0;w=0;do{x=v+(w<<3)|0;p[x>>3]=+p[x>>3]+ +p[f>>3]*+p[s>>3]*((+p[e>>3]-+p[d>>3]-+p[c>>3])*+p[j+(w<<3)>>3]);w=w+1|0}while((w|0)!=(h|0));u=u+1|0}while((u|0)<(Hc[k[(k[o>>2]|0)+12>>2]&511](o)|0))}while(0);u=k[g>>2]|0;if(!u){k[g>>2]=0;Tqa(j);y=k[o>>2]|0;z=y+4|0;A=k[z>>2]|0;Ec[A&1023](o);r=a;return i|0}Tqa(u);k[g>>2]=0;Tqa(j);y=k[o>>2]|0;z=y+4|0;A=k[z>>2]|0;Ec[A&1023](o);r=a;return i|0}function w7(a,b,c){a=a|0;b=b|0;c=c|0;nd[k[(k[c>>2]|0)+176>>2]&1023](c,b,339);return}function x7(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,125688,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,222,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function y7(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0.0,v=0.0,w=0.0;a=r;r=r+48|0;d=a+24|0;e=a+16|0;f=a+8|0;g=a;h=a+40|0;k[h>>2]=0;nd[k[(k[c>>2]|0)+232>>2]&1023](c,b,339);b=Hc[k[(k[c>>2]|0)+172>>2]&511](c)|0;i=b>>>0>536870911?-1:b<<3;j=Rqa(i)|0;l=Rqa(i)|0;m=Rqa(i)|0;Uo(c,h);i=Wo(c,377)|0;Wo(c,353)|0;n=Wo(c,339)|0;o=Wo(c,64)|0;q=Hc[k[(k[c>>2]|0)+304>>2]&511](c)|0;if((b|0)>0){s=d+8|0;if(!i){t=0;do{Fc[k[(k[q>>2]|0)+28>>2]&1023](q,t);p[g>>3]=0.0;nd[k[(k[o>>2]|0)+48>>2]&1023](o,f,q);nd[k[(k[n>>2]|0)+48>>2]&1023](n,e,q);rd[k[(k[n>>2]|0)+60>>2]&511](n,d,k[h>>2]|0,q);u=+p[g>>3]*(-1.0/(+p[e>>3]-+p[f>>3]));v=+p[d>>3]*u;p[l+(t<<3)>>3]=v;w=+p[s>>3]*u;p[m+(t<<3)>>3]=w;u=+aa(+(v*v+w*w));p[j+(t<<3)>>3]=u;t=t+1|0}while((t|0)!=(b|0))}else{t=0;do{Fc[k[(k[q>>2]|0)+28>>2]&1023](q,t);nd[k[(k[i>>2]|0)+48>>2]&1023](i,g,q);nd[k[(k[o>>2]|0)+48>>2]&1023](o,f,q);nd[k[(k[n>>2]|0)+48>>2]&1023](n,e,q);rd[k[(k[n>>2]|0)+60>>2]&511](n,d,k[h>>2]|0,q);u=+p[g>>3]*(-1.0/(+p[e>>3]-+p[f>>3]));w=+p[d>>3]*u;p[l+(t<<3)>>3]=w;v=+p[s>>3]*u;p[m+(t<<3)>>3]=v;u=+aa(+(w*w+v*v));p[j+(t<<3)>>3]=u;t=t+1|0}while((t|0)!=(b|0))}}rd[k[(k[c>>2]|0)+48>>2]&511](c,674,l,738);rd[k[(k[c>>2]|0)+48>>2]&511](c,677,m,738);rd[k[(k[c>>2]|0)+48>>2]&511](c,671,j,738);if(q)Ec[k[(k[q>>2]|0)+4>>2]&1023](q);Tqa(m);Tqa(l);Tqa(j);j=k[h>>2]|0;if(!j){r=a;return}Tqa(j);r=a;return}function z7(a,b){a=a|0;b=b|0;return}function A7(a){a=a|0;Sqa(a);return}function B7(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,125836,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,135868,11);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,9,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0);return 0}function C7(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,125836,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,136199,16);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,12,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function D7(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,125836,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,136133,14);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,15,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function E7(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,125836,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,145111,11);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,18,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function F7(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,125836,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,135838,17);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,21,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function G7(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,125836,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,135856,11);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,24,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function H7(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,125836,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138209,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,29,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function I7(a,b){a=a|0;b=b|0;return 0}function J7(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,125836,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,36,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function K7(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,125836,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144189,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,39,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function L7(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,125836,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144203,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,42,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function M7(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,125836,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138230,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,45,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function N7(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,125836,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,48,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function O7(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,125836,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,137199,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,51,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function P7(a,b){a=a|0;b=b|0;return}function Q7(a){a=a|0;Sqa(a);return}function R7(a,b,c){a=a|0;b=b|0;c=c|0;return}function S7(a,b,c){a=a|0;b=b|0;c=c|0;return}function T7(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;a=r;r=r+192|0;d=a+176|0;e=a+40|0;f=a+24|0;g=a+12|0;h=a;if((k[c+40>>2]|0)!=302){hoa(b,c,490,738,534);r=a;return}a=e+56|0;c=e+4|0;k[e>>2]=27524;k[a>>2]=27544;B=0;wa(508,e+56|0,c|0);b=B;B=0;if(b&1){b=Rb()|0;i=Q;j=b;vva(a);Qb(j|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[a>>2]=27488;B=0;va(448,c|0);b=B;B=0;do if(b&1){l=Rb()|0;m=Q;n=l}else{k[c>>2]=27560;l=e+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,c|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(c);m=p;n=o;break}Yua(d);B=0;o=Ia(40,e|0,132101,25)|0;p=B;B=0;if(!(p&1)?(B=0,Xa(239,o|0,0)|0,o=B,B=0,!(o&1)):0){o=Ab(20)|0;B=0;eb(502,f|0,125951,83);p=B;B=0;do if(!(p&1)){B=0;eb(502,g|0,145111,11);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(f);t=s;u=q;break}B=0;wa(510,h|0,c|0);q=B;B=0;if(q&1){q=Rb()|0;v=Q;w=q;x=1}else{B=0;ua(163,o|0,f|0,g|0,20,h|0);q=B;B=0;if(q&1)y=1;else{B=0;eb(503,o|0,1240,229);B=0;y=0}q=Rb()|0;s=Q;Yua(h);v=s;w=q;x=y}Yua(g);Yua(f);if(x){t=v;u=w}else{z=v;A=w;k[e>>2]=27468;k[a>>2]=27488;k[c>>2]=27560;Yua(l);Ava(c);vva(a);Qb(A|0)}}else{q=Rb()|0;t=Q;u=q}while(0);zb(o|0);z=t;A=u;k[e>>2]=27468;k[a>>2]=27488;k[c>>2]=27560;Yua(l);Ava(c);vva(a);Qb(A|0)}p=Rb()|0;z=Q;A=p;k[e>>2]=27468;k[a>>2]=27488;k[c>>2]=27560;Yua(l);Ava(c);vva(a);Qb(A|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function U7(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 1}function V7(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0;a=c+56|0;f=k[a>>2]|0;if((f|0)>0){g=c+32|0;h=f;f=0;j=0;while(1){if(!(i[(k[g>>2]|0)+j>>0]|0)){l=h;m=f}else{n=qh(b,f)|0;Uc[k[(k[n>>2]|0)+480>>2]&63](n,j,c,d,e,738);l=k[a>>2]|0;m=f+1|0}j=j+1|0;if((j|0)>=(l|0))break;else{h=l;f=m}}}Zka(c,b,137052,353);Zka(c,b,134925,339);Zka(c,b,134945,64);Yka(c,b,137955,999,0.0);Zka(c,b,137867,206);Zka(c,b,135923,674);Zka(c,b,135944,677);Zka(c,b,134027,39);Zka(c,b,134252,388);Zka(c,b,126035,36);if((k[c+40>>2]|0)==300)return;Zka(c,b,136615,287);Zka(c,b,136636,288);return}function W7(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return}function X7(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,125951,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138209,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,61,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function Y7(a,b){a=a|0;b=b|0;return 0}function Z7(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,125951,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,68,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function _7(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0,z=0.0,A=0.0,B=0.0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0.0,P=0,Q=0,R=0,S=0;a=r;r=r+80|0;c=a+56|0;d=a+48|0;e=a+40|0;f=a+32|0;g=a+16|0;h=a;i=a+64|0;k[i>>2]=0;j=Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0;l=gq(b,534)|0;m=j<<1;n=j>>>0>536870911?-1:j<<3;o=Rqa(n)|0;q=Rqa(m>>>0>536870911?-1:m<<3)|0;m=Rqa(n)|0;s=Rqa(n)|0;t=Rqa(n)|0;u=Rqa(n)|0;v=Rqa(n)|0;Uo(b,i);n=Wo(b,353)|0;w=+Zc[k[(k[b>>2]|0)+72>>2]&255](b);vp(b,u,704);vp(b,v,705);vp(b,t,353);x=(j|0)>0;if(x){y=0;do{z=+p[u+(y<<3)>>3];A=+p[v+(y<<3)>>3];B=+aa(+(z*z+A*A+1.0e-10));C=+p[t+(y<<3)>>3];p[m+(y<<3)>>3]=-(z*C)/B;p[s+(y<<3)>>3]=-(C*A)/B;y=y+1|0}while((y|0)!=(j|0))}y=ed[k[(k[b>>2]|0)+308>>2]&511](b,2)|0;D=Hc[k[(k[y>>2]|0)+8>>2]&511](y)|0;if((D|0)<(Hc[k[(k[y>>2]|0)+12>>2]&511](y)|0)){E=y+8|0;F=h+8|0;G=l+12|0;H=D;do{Fc[k[(k[y>>2]|0)+24>>2]&1023](y,H);nd[k[(k[n>>2]|0)+48>>2]&1023](n,d,y);if(+p[d>>3]<50.0)p[d>>3]=50.0;Dc[k[(k[b>>2]|0)+496>>2]&255](b,g,m,k[i>>2]|0,y);Dc[k[(k[b>>2]|0)+496>>2]&255](b,h,s,k[i>>2]|0,y);rd[k[(k[b>>2]|0)+500>>2]&511](b,e,m,y);rd[k[(k[b>>2]|0)+500>>2]&511](b,f,s,y);B=w/(+p[d>>3]*2.0+1.0e-10);rd[k[(k[b>>2]|0)+260>>2]&511](b,c,k[i>>2]|0,y);nd[k[(k[b>>2]|0)+336>>2]&1023](b,o,y);rd[k[(k[b>>2]|0)+340>>2]&511](b,q,k[i>>2]|0,y);if(x){D=k[G>>2]|0;I=0;do{J=o+(I<<3)|0;K=q+(I<<3)|0;L=q+(I+j<<3)|0;M=ma(I,j)|0;N=0;do{A=+p[J>>3];C=+p[g>>3]+ +p[F>>3];z=+p[e>>3];O=+p[f>>3];P=D+(N+M<<3)|0;p[P>>3]=+p[P>>3]+ +p[E>>3]*+p[c>>3]*((A+B*(A*C+ +p[K>>3]*z+ +p[L>>3]*O))*(C*+p[o+(N<<3)>>3]+z*+p[q+(N<<3)>>3]+O*+p[q+(N+j<<3)>>3]));N=N+1|0}while((N|0)!=(j|0));I=I+1|0}while((I|0)!=(j|0))}H=H+1|0}while((H|0)<(Hc[k[(k[y>>2]|0)+12>>2]&511](y)|0))}H=k[i>>2]|0;if(!H){k[i>>2]=0;Tqa(o);Tqa(q);Tqa(t);Tqa(u);Tqa(v);Tqa(m);Tqa(s);Q=k[y>>2]|0;R=Q+4|0;S=k[R>>2]|0;Ec[S&1023](y);r=a;return l|0}Tqa(H);k[i>>2]=0;Tqa(o);Tqa(q);Tqa(t);Tqa(u);Tqa(v);Tqa(m);Tqa(s);Q=k[y>>2]|0;R=Q+4|0;S=k[R>>2]|0;Ec[S&1023](y);r=a;return l|0}function $7(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0;a=r;r=r+272|0;c=a+208|0;d=a+260|0;e=a+72|0;f=a+248|0;g=a+236|0;h=a+224|0;i=a+64|0;j=a+56|0;l=a+48|0;m=a+40|0;n=a+32|0;o=a+16|0;q=a;s=a+220|0;cp(b,d,298);a:do switch(k[d>>2]|0){case 300:{t=b;break}case 302:{if(Hc[k[(k[b>>2]|0)+248>>2]&511](b)|0){t=Hc[k[(k[b>>2]|0)+432>>2]&511](b)|0;break a}else{u=0;r=a;return u|0}break}default:{v=e+56|0;w=e+4|0;k[e>>2]=27524;k[v>>2]=27544;B=0;wa(508,e+56|0,w|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;z=x;vva(v);Qb(z|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[v>>2]=27488;B=0;va(448,w|0);x=B;B=0;do if(x&1){A=Rb()|0;C=Q;D=A}else{k[w>>2]=27560;A=e+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,w|0,c|0);E=B;B=0;if(E&1){E=Rb()|0;F=Q;Yua(c);Yua(A);Ava(w);C=F;D=E;break}Yua(c);B=0;E=Ia(40,e|0,144639,5)|0;F=B;B=0;if((((!(F&1)?(B=0,F=ya(427,k[d>>2]|0)|0,G=B,B=0,!(G&1)):0)?(G=Lta(F)|0,B=0,H=Ia(40,E|0,F|0,G|0)|0,G=B,B=0,!(G&1)):0)?(B=0,G=Ia(40,H|0,146481,18)|0,H=B,B=0,!(H&1)):0)?(B=0,Xa(239,G|0,0)|0,G=B,B=0,!(G&1)):0){G=Ab(20)|0;B=0;eb(502,f|0,125951,83);H=B;B=0;do if(!(H&1)){B=0;eb(502,g|0,144203,13);F=B;B=0;if(F&1){F=Rb()|0;E=Q;Yua(f);I=F;J=E;break}B=0;wa(510,h|0,w|0);E=B;B=0;if(E&1){E=Rb()|0;K=E;L=Q;M=1}else{B=0;ua(163,G|0,f|0,g|0,164,h|0);E=B;B=0;if(E&1)N=1;else{B=0;eb(503,G|0,1240,229);B=0;N=0}E=Rb()|0;F=Q;Yua(h);K=E;L=F;M=N}Yua(g);Yua(f);if(M){I=K;J=L}else{O=K;P=L;k[e>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);Qb(O|0)}}else{F=Rb()|0;I=F;J=Q}while(0);zb(G|0);O=I;P=J;k[e>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);Qb(O|0)}H=Rb()|0;O=H;P=Q;k[e>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);Qb(O|0)}while(0);y=C;z=D;vva(v);Qb(z|0)}}while(0);k[s>>2]=0;z=Hc[k[(k[t>>2]|0)+164>>2]&511](t)|0;D=iq(t,534)|0;C=z>>>0>536870911?-1:z<<3;y=Rqa(C)|0;O=z<<1;P=Rqa(O>>>0>536870911?-1:O<<3)|0;O=Rqa(C)|0;J=Rqa(C)|0;I=Rqa(C)|0;Uo(t,s);C=Wo(t,388)|0;L=Wo(t,39)|0;K=Wo(t,36)|0;M=Wo(t,353)|0;R=+Zc[k[(k[t>>2]|0)+72>>2]&255](t);vp(t,J,704);vp(t,I,705);vp(t,O,353);f=(z|0)>0;if(f){g=0;do{N=J+(g<<3)|0;S=+p[N>>3];h=I+(g<<3)|0;T=+p[h>>3];U=+aa(+(S*S+T*T+1.0e-10));V=+p[O+(g<<3)>>3];p[N>>3]=-(S*V)/U;p[h>>3]=-(V*T)/U;g=g+1|0}while((g|0)!=(z|0))}g=ed[k[(k[t>>2]|0)+308>>2]&511](t,2)|0;h=Hc[k[(k[g>>2]|0)+8>>2]&511](g)|0;if((h|0)<(Hc[k[(k[g>>2]|0)+12>>2]&511](g)|0)){N=g+8|0;w=q+8|0;x=D+4|0;H=h;do{Fc[k[(k[g>>2]|0)+24>>2]&1023](g,H);rd[k[(k[t>>2]|0)+260>>2]&511](t,j,k[s>>2]|0,g);nd[k[(k[t>>2]|0)+336>>2]&1023](t,y,g);rd[k[(k[t>>2]|0)+340>>2]&511](t,P,k[s>>2]|0,g);Dc[k[(k[b>>2]|0)+496>>2]&255](b,o,J,k[s>>2]|0,g);Dc[k[(k[b>>2]|0)+496>>2]&255](b,q,I,k[s>>2]|0,g);rd[k[(k[b>>2]|0)+500>>2]&511](b,m,J,g);rd[k[(k[b>>2]|0)+500>>2]&511](b,n,I,g);nd[k[(k[C>>2]|0)+48>>2]&1023](C,i,g);nd[k[(k[L>>2]|0)+48>>2]&1023](L,e,g);nd[k[(k[K>>2]|0)+48>>2]&1023](K,c,g);nd[k[(k[M>>2]|0)+48>>2]&1023](M,l,g);U=+p[l>>3];if(U<50.0){p[l>>3]=50.0;W=50.0}else W=U;U=R/(W*2.0+1.0e-10);if(f){h=k[x>>2]|0;F=0;do{T=+p[y+(F<<3)>>3];E=h+(F<<3)|0;p[E>>3]=+p[E>>3]+ +p[j>>3]*+p[N>>3]*(+p[i>>3]-+p[e>>3]-+p[c>>3])*(T+U*(T*(+p[o>>3]+ +p[w>>3])+ +p[m>>3]*+p[P+(F<<3)>>3]+ +p[n>>3]*+p[P+(F+z<<3)>>3]));F=F+1|0}while((F|0)!=(z|0))}H=H+1|0}while((H|0)<(Hc[k[(k[g>>2]|0)+12>>2]&511](g)|0))}H=k[s>>2]|0;if(H)Tqa(H);k[s>>2]=0;Tqa(y);Tqa(P);Tqa(O);Tqa(J);Tqa(I);Ec[k[(k[g>>2]|0)+4>>2]&1023](g);if((k[d>>2]|0)!=300?(ap(t),(t|0)!=0):0)Ec[k[(k[t>>2]|0)+4>>2]&1023](t);u=D;r=a;return u|0}function a8(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,125951,83);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138230,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,242,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}
function CR(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;b=r;r=r+192|0;d=b+176|0;e=b+40|0;f=b+24|0;g=b+12|0;h=b;b=e+56|0;i=e+4|0;k[e>>2]=27524;k[b>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(b);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[b>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,86115,6)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,k[a+4>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,86504,44)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,82956,87);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,86325,17);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,f|0,g|0,49,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}while(0);l=o;m=p;vva(b);Qb(m|0)}function DR(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86480,23)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82956,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,48,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function ER(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86450,29)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82956,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,50,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function FR(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;f=e+12|0;g=e;e=c+56|0;h=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(e);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;p=Ia(40,c|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85695,29)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,b|0,82956,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(b);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,b|0,f|0,53,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(b);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}function GR(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86364,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82956,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,54,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function HR(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86343,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82956,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,55,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function IR(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85673,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82956,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,56,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function JR(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85648,24)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82956,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,57,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function KR(a,b){a=a|0;b=b|0;p[a+8>>3]=+(b&1);return}function LR(a,b){a=a|0;b=b|0;p[a+8>>3]=+(b|0);return}function MR(a,b){a=a|0;b=+b;p[a+8>>3]=b;return}function NR(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86273,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82956,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,62,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function OR(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86245,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82956,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,63,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function PR(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86213,31)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82956,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,64,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function QR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86213,31)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82956,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,65,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function RR(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86188,24)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82956,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,66,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function SR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86188,24)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82956,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,67,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function TR(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86169,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82956,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,68,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function UR(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86150,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82956,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,69,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function VR(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85465,19)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,82956,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,70,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function WR(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;f=e+12|0;g=e;e=c+56|0;h=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(e);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;p=Ia(40,c|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85340,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,b|0,82956,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(b);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,b|0,f|0,71,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(b);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}function XR(a,b){a=a|0;b=b|0;k[a+4>>2]=b;return}function YR(a){a=a|0;k[a>>2]=35208;return}function ZR(a,b,c){a=a|0;b=b|0;c=c|0;k[a>>2]=35208;k[a+4>>2]=b;k[a+8>>2]=c;return}function _R(a){a=a|0;k[a>>2]=35208;return}function $R(a){a=a|0;Sqa(a);return}function aS(a){a=a|0;bS(a);return}function bS(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;b=r;r=r+176|0;c=b+152|0;d=b+16|0;e=b;f=d+56|0;g=d+4|0;k[d>>2]=27524;k[f>>2]=27544;B=0;wa(508,d+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(f);Qb(j|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[f>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=d+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);k[d+(k[(k[d>>2]|0)+-12>>2]|0)+12>>2]=22;B=0;o=Ia(40,d|0,83055,13)|0;p=B;B=0;if((((((!(p&1)?(k[o+(k[(k[o>>2]|0)+-12>>2]|0)+12>>2]=35,p=o+(k[(k[o>>2]|0)+-12>>2]|0)+4|0,k[p>>2]=k[p>>2]&-177|32,B=0,p=ya(427,k[a+4>>2]|0)|0,q=B,B=0,!(q&1)):0)?(q=Lta(p)|0,B=0,s=Ia(40,o|0,p|0,q|0)|0,q=B,B=0,!(q&1)):0)?(B=0,q=Ia(40,s|0,149175,1)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Xa(245,q|0,k[a+8>>2]|0)|0,q=B,B=0,!(q&1)):0)?(B=0,Ia(40,s|0,149177,1)|0,s=B,B=0,!(s&1)):0)?(B=0,wa(510,e|0,g|0),s=B,B=0,!(s&1)):0){B=0;ya(424,e|0)|0;s=B;B=0;if(!(s&1)){Yua(e);k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);r=b;return}s=Rb()|0;q=Q;Yua(e);t=q;u=s;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(u|0)}s=Rb()|0;t=Q;u=s;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(u|0)}while(0);i=m;j=n;vva(f);Qb(j|0)}function cS(a){a=a|0;return 572}function dS(a){a=a|0;var b=0,c=0,d=0;b=Qqa(12)|0;c=k[a+4>>2]|0;d=k[a+8>>2]|0;k[b>>2]=35208;k[b+4>>2]=c;k[b+8>>2]=d;return b|0}function eS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;switch(d|0){case 0:{d=k[b>>2]|0;i[d>>0]=60;i[d+1>>0]=2;i[d+2>>0]=0;i[d+3>>0]=0;d=(k[b>>2]|0)+4|0;k[b>>2]=d;n=a+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;d=a+8|0;n=l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24;i[o>>0]=n;i[o+1>>0]=n>>8;i[o+2>>0]=n>>16;i[o+3>>0]=n>>24;k[b>>2]=(k[b>>2]|0)+4;r=e;return}case 2:{k[c>>2]=(k[c>>2]|0)+12;r=e;return}case 1:{c=(k[b>>2]|0)+4|0;k[b>>2]=c;n=a+4|0;o=l[c>>0]|l[c+1>>0]<<8|l[c+2>>0]<<16|l[c+3>>0]<<24;i[n>>0]=o;i[n+1>>0]=o>>8;i[n+2>>0]=o>>16;i[n+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;n=a+8|0;a=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[n>>0]=a;i[n+1>>0]=a>>8;i[n+2>>0]=a>>16;i[n+3>>0]=a>>24;k[b>>2]=(k[b>>2]|0)+4;k[n>>2]=0;r=e;return}default:{e=g+56|0;n=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,n|0);b=B;B=0;if(b&1){b=Rb()|0;p=Q;q=b;vva(e);Qb(q|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,n|0);b=B;B=0;do if(b&1){a=Rb()|0;s=Q;t=a}else{k[n>>2]=27560;a=g+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,n|0,f|0);o=B;B=0;if(o&1){o=Rb()|0;c=Q;Yua(f);Yua(a);Ava(n);s=c;t=o;break}Yua(f);B=0;o=Ia(40,g|0,143951,43)|0;c=B;B=0;if(!(c&1)?(B=0,Xa(239,o|0,0)|0,o=B,B=0,!(o&1)):0){o=Ab(20)|0;B=0;eb(502,h|0,83069,75);c=B;B=0;do if(!(c&1)){B=0;eb(502,j|0,149525,8);d=B;B=0;if(d&1){d=Rb()|0;u=Q;Yua(h);v=u;w=d;break}B=0;wa(510,m|0,n|0);d=B;B=0;if(d&1){d=Rb()|0;x=d;y=Q;z=1}else{B=0;ua(163,o|0,h|0,j|0,59,m|0);d=B;B=0;if(d&1)A=1;else{B=0;eb(503,o|0,1240,229);B=0;A=0}d=Rb()|0;u=Q;Yua(m);x=d;y=u;z=A}Yua(j);Yua(h);if(z){v=y;w=x}else{C=y;D=x;k[g>>2]=27468;k[e>>2]=27488;k[n>>2]=27560;Yua(a);Ava(n);vva(e);Qb(D|0)}}else{u=Rb()|0;v=Q;w=u}while(0);zb(o|0);C=v;D=w;k[g>>2]=27468;k[e>>2]=27488;k[n>>2]=27560;Yua(a);Ava(n);vva(e);Qb(D|0)}c=Rb()|0;C=Q;D=c;k[g>>2]=27468;k[e>>2]=27488;k[n>>2]=27560;Yua(a);Ava(n);vva(e);Qb(D|0)}while(0);p=s;q=t;vva(e);Qb(q|0)}}}function fS(a){a=a|0;return k[a+4>>2]|0}function gS(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86577,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83165,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,42,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function hS(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86549,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83165,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,43,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function iS(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86549,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83165,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,44,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function jS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86549,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83165,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,45,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function kS(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86549,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83165,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,46,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function lS(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;b=r;r=r+192|0;d=b+176|0;e=b+40|0;f=b+24|0;g=b+12|0;h=b;b=e+56|0;i=e+4|0;k[e>>2]=27524;k[b>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(b);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[b>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,86115,6)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,k[a+4>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,86504,44)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,83165,85);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,86325,17);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,f|0,g|0,47,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}while(0);l=o;m=p;vva(b);Qb(m|0)}function mS(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86480,23)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83165,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,48,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function nS(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86450,29)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83165,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,49,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function oS(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86416,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83165,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,50,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function pS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86416,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83165,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,51,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function qS(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;f=e+12|0;g=e;e=c+56|0;h=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(e);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;p=Ia(40,c|0,83145,19)|0;q=B;B=0;if((((((!(q&1)?(q=a+4|0,B=0,s=Xa(242,p|0,k[q>>2]|0)|0,p=B,B=0,!(p&1)):0)?(B=0,p=Ia(40,s|0,144166,2)|0,s=B,B=0,!(s&1)):0)?(B=0,s=ya(427,k[q>>2]|0)|0,q=B,B=0,!(q&1)):0)?(q=Lta(s)|0,B=0,t=Ia(40,p|0,s|0,q|0)|0,q=B,B=0,!(q&1)):0)?(B=0,q=Ia(40,t|0,86385,30)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,83165,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);s=B;B=0;if(s&1){s=Rb()|0;p=Q;Yua(b);u=p;v=s;break}B=0;wa(510,g|0,h|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,q|0,b|0,f|0,52,g|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,q|0,1240,229);B=0;z=0}s=Rb()|0;p=Q;Yua(g);w=p;x=s;y=z}Yua(f);Yua(b);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(q|0);A=u;C=v;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}function rS(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86364,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83165,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,53,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function sS(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86343,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83165,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,54,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function tS(a,b){a=a|0;b=b|0;k[b>>2]=k[a+8>>2];return}function uS(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85648,24)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83165,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,56,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function vS(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86273,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83165,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,58,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function wS(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86273,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83165,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,59,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function xS(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;c=e+56|0;i=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(c);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,86115,6)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,k[a+4>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,86273,21)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,83165,85);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,86106,8);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,f|0,g|0,60,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}while(0);l=o;m=p;vva(c);Qb(m|0)}function yS(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86273,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83165,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,61,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function zS(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86245,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83165,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,62,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function AS(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86213,31)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83165,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,63,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function BS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86213,31)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83165,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,64,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function CS(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86188,24)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83165,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,65,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function DS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86188,24)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83165,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,66,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function ES(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86169,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83165,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,67,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function FS(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86150,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83165,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,68,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function GS(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,83145,19)|0;q=B;B=0;if((((((!(q&1)?(q=a+4|0,B=0,s=Xa(242,p|0,k[q>>2]|0)|0,p=B,B=0,!(p&1)):0)?(B=0,p=Ia(40,s|0,144166,2)|0,s=B,B=0,!(s&1)):0)?(B=0,s=ya(427,k[q>>2]|0)|0,q=B,B=0,!(q&1)):0)?(q=Lta(s)|0,B=0,t=Ia(40,p|0,s|0,q|0)|0,q=B,B=0,!(q&1)):0)?(B=0,q=Ia(40,t|0,83906,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,e|0,83165,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);s=B;B=0;if(s&1){s=Rb()|0;p=Q;Yua(e);u=p;v=s;break}B=0;wa(510,g|0,h|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,q|0,e|0,f|0,69,g|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,q|0,1240,229);B=0;z=0}s=Rb()|0;p=Q;Yua(g);w=p;x=s;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(q|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function HS(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;f=e+12|0;g=e;e=c+56|0;h=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(e);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;p=Ia(40,c|0,83145,19)|0;q=B;B=0;if((((((!(q&1)?(q=a+4|0,B=0,s=Xa(242,p|0,k[q>>2]|0)|0,p=B,B=0,!(p&1)):0)?(B=0,p=Ia(40,s|0,144166,2)|0,s=B,B=0,!(s&1)):0)?(B=0,s=ya(427,k[q>>2]|0)|0,q=B,B=0,!(q&1)):0)?(q=Lta(s)|0,B=0,t=Ia(40,p|0,s|0,q|0)|0,q=B,B=0,!(q&1)):0)?(B=0,q=Ia(40,t|0,85982,34)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,83165,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);s=B;B=0;if(s&1){s=Rb()|0;p=Q;Yua(b);u=p;v=s;break}B=0;wa(510,g|0,h|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,q|0,b|0,f|0,70,g|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,q|0,1240,229);B=0;z=0}s=Rb()|0;p=Q;Yua(g);w=p;x=s;y=z}Yua(f);Yua(b);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(q|0);A=u;C=v;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}function IS(a,b){a=a|0;b=b|0;k[a+4>>2]=b;return}function JS(a){a=a|0;k[a>>2]=35360;return}function KS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;k[a>>2]=35360;k[a+4>>2]=b;k[a+12>>2]=d;if(!d){k[a+8>>2]=0;return}b=Rqa(d>>>0>1073741823?-1:d<<2)|0;e=a+8|0;k[e>>2]=b;if((d|0)>0)f=0;else return;while(1){b=k[c+(f<<2)>>2]|0;a=(Lta(b)|0)+1|0;g=Rqa(a)|0;if(!b){h=5;break}if(a){j=0;do{i[g+j>>0]=i[b+j>>0]|0;j=j+1|0}while((j|0)!=(a|0))}k[(k[e>>2]|0)+(f<<2)>>2]=g;f=f+1|0;if((f|0)>=(d|0)){h=9;break}}if((h|0)==5)yb(142353,85118,137,142345);else if((h|0)==9)return}function LS(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;k[a>>2]=35360;b=a+12|0;c=k[b>>2]|0;d=a+8|0;a=k[d>>2]|0;if((c|0)>0){e=c;c=a;f=0;while(1){g=k[c+(f<<2)>>2]|0;if(!g){h=e;i=c}else{Tqa(g);h=k[b>>2]|0;i=k[d>>2]|0}f=f+1|0;if((f|0)>=(h|0)){j=i;break}else{e=h;c=i}}}else j=a;if(!j){k[d>>2]=0;return}Tqa(j);k[d>>2]=0;return}function MS(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;k[a>>2]=35360;b=a+12|0;c=k[b>>2]|0;d=a+8|0;e=k[d>>2]|0;if((c|0)>0){f=c;c=e;g=0;while(1){h=k[c+(g<<2)>>2]|0;if(!h){i=f;j=c}else{Tqa(h);i=k[b>>2]|0;j=k[d>>2]|0}g=g+1|0;if((g|0)>=(i|0)){l=j;break}else{f=i;c=j}}}else l=e;if(!l){Sqa(a);return}Tqa(l);Sqa(a);return}function NS(a){a=a|0;OS(a);return}function OS(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;b=r;r=r+464|0;c=b+452|0;d=b+304|0;e=b+440|0;f=b+152|0;g=b+288|0;h=b+16|0;i=b;j=d+56|0;l=d+4|0;k[d>>2]=27524;k[j>>2]=27544;B=0;wa(508,d+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(j);Qb(o|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[j>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){p=Rb()|0;q=Q;s=p}else{k[l>>2]=27560;p=d+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,l|0,c|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(c);Yua(p);Ava(l);q=u;s=t;break}Yua(c);k[d+(k[(k[d>>2]|0)+-12>>2]|0)+12>>2]=22;B=0;t=Ia(40,d|0,83270,20)|0;u=B;B=0;do if((((!(u&1)?(k[t+(k[(k[t>>2]|0)+-12>>2]|0)+12>>2]=35,v=t+(k[(k[t>>2]|0)+-12>>2]|0)+4|0,k[v>>2]=k[v>>2]&-177|32,B=0,v=ya(427,k[a+4>>2]|0)|0,w=B,B=0,!(w&1)):0)?(w=Lta(v)|0,B=0,x=Ia(40,t|0,v|0,w|0)|0,w=B,B=0,!(w&1)):0)?(B=0,Ia(40,x|0,83291,2)|0,x=B,B=0,!(x&1)):0)?(B=0,wa(510,e|0,l|0),x=B,B=0,!(x&1)):0){B=0;ya(424,e|0)|0;x=B;B=0;if(x&1){x=Rb()|0;w=Q;Yua(e);y=w;z=x;break}Yua(e);k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);x=a+12|0;a:do if((k[x>>2]|0)>0){w=f+56|0;v=f+4|0;A=f+56|0;C=f+128|0;D=f+132|0;E=f+36|0;F=f+52|0;G=a+8|0;H=0;while(1){k[f>>2]=27524;k[w>>2]=27544;B=0;wa(508,A|0,v|0);I=B;B=0;if(I&1){J=33;break}k[C>>2]=0;k[D>>2]=-1;k[f>>2]=27468;k[w>>2]=27488;B=0;va(448,v|0);I=B;B=0;if(I&1){J=34;break}k[v>>2]=27560;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;k[E+12>>2]=0;k[F>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,v|0,c|0);I=B;B=0;if(I&1){J=32;break}Yua(c);B=0;I=Ia(40,f|0,83297,2)|0;K=B;B=0;if(K&1){J=43;break}K=k[(k[G>>2]|0)+(H<<2)>>2]|0;L=Lta(K)|0;B=0;M=Ia(40,I|0,K|0,L|0)|0;L=B;B=0;if(L&1){J=43;break}B=0;Ia(40,M|0,83300,1)|0;M=B;B=0;if(M&1){J=43;break}B=0;wa(510,g|0,v|0);M=B;B=0;if(M&1){J=43;break}B=0;ya(424,g|0)|0;M=B;B=0;if(M&1){J=44;break}Yua(g);k[f>>2]=27468;k[w>>2]=27488;k[v>>2]=27560;Yua(E);Ava(v);vva(w);H=H+1|0;if((H|0)>=(k[x>>2]|0))break a}if((J|0)==32){H=Rb()|0;G=Q;Yua(c);Yua(E);Ava(v);N=G;O=H;J=35}else if((J|0)==33){H=Rb()|0;P=Q;R=H;vva(w);Qb(R|0)}else if((J|0)==34){H=Rb()|0;N=Q;O=H;J=35}else if((J|0)==43){H=Rb()|0;S=Q;T=H;J=45}else if((J|0)==44){H=Rb()|0;G=Q;Yua(g);S=G;T=H;J=45}if((J|0)==35){P=N;R=O;vva(w);Qb(R|0)}else if((J|0)==45){k[f>>2]=27468;k[w>>2]=27488;k[v>>2]=27560;Yua(E);Ava(v);vva(w);U=S;V=T;Qb(V|0)}}while(0);x=h+56|0;H=h+4|0;k[h>>2]=27524;k[x>>2]=27544;B=0;wa(508,h+56|0,H|0);G=B;B=0;if(G&1){G=Rb()|0;W=Q;X=G;vva(x);Qb(X|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[x>>2]=27488;B=0;va(448,H|0);G=B;B=0;do if(G&1){F=Rb()|0;Y=Q;Z=F}else{k[H>>2]=27560;F=h+36|0;k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;k[F+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,H|0,c|0);D=B;B=0;if(D&1){D=Rb()|0;C=Q;Yua(c);Yua(F);Ava(H);Y=C;Z=D;break}Yua(c);B=0;Ia(40,h|0,83294,2)|0;D=B;B=0;do if(!(D&1)?(B=0,wa(510,i|0,H|0),C=B,B=0,!(C&1)):0){B=0;ya(424,i|0)|0;C=B;B=0;if(C&1){C=Rb()|0;A=Q;Yua(i);_=A;$=C;break}else{Yua(i);k[h>>2]=27468;k[x>>2]=27488;k[H>>2]=27560;Yua(F);Ava(H);vva(x);r=b;return}}else J=49;while(0);if((J|0)==49){D=Rb()|0;_=Q;$=D}k[h>>2]=27468;k[x>>2]=27488;k[H>>2]=27560;Yua(F);Ava(H);vva(x);U=_;V=$;Qb(V|0)}while(0);W=Y;X=Z;vva(x);Qb(X|0)}else J=26;while(0);if((J|0)==26){t=Rb()|0;y=Q;z=t}k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);U=y;V=z;Qb(V|0)}while(0);n=q;o=s;vva(j);Qb(o|0)}function PS(a){a=a|0;return 617}function QS(a){a=a|0;var b=0;b=Qqa(16)|0;B=0;ib(294,b|0,k[a+4>>2]|0,k[a+8>>2]|0,k[a+12>>2]|0);a=B;B=0;if(a&1){a=Rb()|0;Sqa(b);Qb(a|0)}else return b|0;return 0}function RS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0;e=r;r=r+368|0;f=e+344|0;g=e+208|0;h=e+196|0;j=e+184|0;m=e+36|0;n=e+48|0;o=e+24|0;p=e+12|0;q=e;s=(d|0)==0;t=(d|0)==2;if((d&-3|0)==0?(u=k[a+12>>2]|0,(u|0)!=0):0){v=Rqa(u>>>0>1073741823?-1:u<<2)|0;if((u|0)>0){w=k[a+8>>2]|0;x=0;do{y=(Lta(k[w+(x<<2)>>2]|0)|0)+1|0;k[v+(x<<2)>>2]=y;x=x+1|0}while((x|0)<(u|0));z=v}else z=v}else z=0;do if(s){v=k[b>>2]|0;i[v>>0]=105;i[v+1>>0]=2;i[v+2>>0]=0;i[v+3>>0]=0;v=(k[b>>2]|0)+4|0;k[b>>2]=v;u=a+4|0;x=l[u>>0]|l[u+1>>0]<<8|l[u+2>>0]<<16|l[u+3>>0]<<24;i[v>>0]=x;i[v+1>>0]=x>>8;i[v+2>>0]=x>>16;i[v+3>>0]=x>>24;x=(k[b>>2]|0)+4|0;k[b>>2]=x;v=a+12|0;u=l[v>>0]|l[v+1>>0]<<8|l[v+2>>0]<<16|l[v+3>>0]<<24;i[x>>0]=u;i[x+1>>0]=u>>8;i[x+2>>0]=u>>16;i[x+3>>0]=u>>24;k[b>>2]=(k[b>>2]|0)+4;A=v}else{if(t){k[c>>2]=(k[c>>2]|0)+12;A=a+12|0;break}if((d|0)==1){v=(k[b>>2]|0)+4|0;k[b>>2]=v;u=a+4|0;x=l[v>>0]|l[v+1>>0]<<8|l[v+2>>0]<<16|l[v+3>>0]<<24;i[u>>0]=x;i[u+1>>0]=x>>8;i[u+2>>0]=x>>16;i[u+3>>0]=x>>24;x=(k[b>>2]|0)+4|0;k[b>>2]=x;u=a+12|0;v=l[x>>0]|l[x+1>>0]<<8|l[x+2>>0]<<16|l[x+3>>0]<<24;i[u>>0]=v;i[u+1>>0]=v>>8;i[u+2>>0]=v>>16;i[u+3>>0]=v>>24;k[b>>2]=(k[b>>2]|0)+4;A=u;break}u=g+56|0;v=g+4|0;k[g>>2]=27524;k[u>>2]=27544;B=0;wa(508,g+56|0,v|0);x=B;B=0;if(x&1){x=Rb()|0;C=Q;D=x;vva(u);Qb(D|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[u>>2]=27488;B=0;va(448,v|0);x=B;B=0;do if(x&1){w=Rb()|0;E=Q;F=w}else{k[v>>2]=27560;w=g+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,v|0,f|0);y=B;B=0;if(y&1){y=Rb()|0;G=Q;Yua(f);Yua(w);Ava(v);E=G;F=y;break}Yua(f);B=0;y=Ia(40,g|0,143951,43)|0;G=B;B=0;a:do if(!(G&1)?(B=0,Xa(239,y|0,0)|0,H=B,B=0,!(H&1)):0){H=Ab(20)|0;B=0;eb(502,h|0,83302,82);I=B;B=0;do if(!(I&1)){B=0;eb(502,j|0,149525,8);J=B;B=0;if(J&1){J=Rb()|0;K=Q;Yua(h);L=K;M=J;break}B=0;wa(510,m|0,v|0);J=B;B=0;if(J&1){J=Rb()|0;N=Q;O=J;P=1}else{B=0;ua(163,H|0,h|0,j|0,92,m|0);J=B;B=0;if(J&1)R=1;else{B=0;eb(503,H|0,1240,229);B=0;R=0}J=Rb()|0;K=Q;Yua(m);N=K;O=J;P=R}Yua(j);Yua(h);if(P){L=N;M=O}else{S=N;T=O;break a}}else{J=Rb()|0;L=Q;M=J}while(0);zb(H|0);S=L;T=M}else U=24;while(0);if((U|0)==24){y=Rb()|0;S=Q;T=y}k[g>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(w);Ava(v);vva(u);V=S;W=T;Qb(W|0)}while(0);C=E;D=F;vva(u);Qb(D|0)}while(0);D=k[A>>2]|0;b:do if(D){F=(z|0)==0;do if(s){i[k[b>>2]>>0]=F&1;E=(k[b>>2]|0)+1|0;k[b>>2]=E;if(F){X=0;Y=0}else{TEa(E|0,z|0,k[A>>2]<<2|0)|0;k[b>>2]=(k[b>>2]|0)+(k[A>>2]<<2);X=0;Y=z}}else{if(t){E=(k[c>>2]|0)+1|0;k[c>>2]=E;if(F){X=0;Y=0;break}k[c>>2]=E+(k[A>>2]<<2);X=0;Y=z;break}E=k[b>>2]|0;C=i[E>>0]|0;T=E+1|0;k[b>>2]=T;E=D>>>0>1073741823?-1:D<<2;if(!(C&1)){C=Rqa(E)|0;S=D<<2;TEa(C|0,T|0,S|0)|0;k[b>>2]=T+S;Z=C}else Z=z;C=Rqa(E)|0;k[a+8>>2]=C;X=1;Y=Z}while(0);if((k[A>>2]|0)>0){F=a+8|0;if(s){u=k[b>>2]|0;C=0;while(1){E=(k[(k[F>>2]|0)+(C<<2)>>2]|0)==0;i[u>>0]=E&1;S=(k[b>>2]|0)+1|0;k[b>>2]=S;if(E)_=S;else{E=Y+(C<<2)|0;TEa(S|0,k[(k[F>>2]|0)+(C<<2)>>2]|0,k[E>>2]|0)|0;S=(k[b>>2]|0)+(k[E>>2]|0)|0;k[b>>2]=S;_=S}C=C+1|0;if((C|0)>=(k[A>>2]|0)){$=Y;break b}else u=_}}else aa=0;while(1){if(t){u=(k[(k[F>>2]|0)+(aa<<2)>>2]|0)==0;C=(k[c>>2]|0)+1|0;k[c>>2]=C;if(!u)k[c>>2]=C+(k[Y+(aa<<2)>>2]|0)}else{if(!X)break;C=k[b>>2]|0;u=i[C>>0]|0;k[b>>2]=C+1;if(!(u&1)){u=Y+(aa<<2)|0;C=Rqa(k[u>>2]|0)|0;k[(k[F>>2]|0)+(aa<<2)>>2]=C;TEa(k[(k[F>>2]|0)+(aa<<2)>>2]|0,k[b>>2]|0,k[u>>2]|0)|0;k[b>>2]=(k[b>>2]|0)+(k[u>>2]|0)}}aa=aa+1|0;if((aa|0)>=(k[A>>2]|0)){$=Y;break b}}F=n+56|0;u=n+4|0;k[n>>2]=27524;k[F>>2]=27544;B=0;wa(508,n+56|0,u|0);C=B;B=0;if(C&1){C=Rb()|0;ba=Q;ca=C;vva(F);Qb(ca|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[F>>2]=27488;B=0;va(448,u|0);C=B;B=0;do if(C&1){S=Rb()|0;da=Q;ea=S}else{k[u>>2]=27560;S=n+36|0;k[S>>2]=0;k[S+4>>2]=0;k[S+8>>2]=0;k[S+12>>2]=0;k[n+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,u|0,f|0);E=B;B=0;if(E&1){E=Rb()|0;T=Q;Yua(f);Yua(S);Ava(u);da=T;ea=E;break}Yua(f);B=0;E=Ia(40,n|0,143951,43)|0;T=B;B=0;c:do if(!(T&1)?(B=0,Xa(239,E|0,0)|0,g=B,B=0,!(g&1)):0){g=Ab(20)|0;B=0;eb(502,o|0,83302,82);M=B;B=0;do if(!(M&1)){B=0;eb(502,p|0,149525,8);L=B;B=0;if(L&1){L=Rb()|0;O=Q;Yua(o);fa=O;ga=L;break}B=0;wa(510,q|0,u|0);L=B;B=0;if(L&1){L=Rb()|0;ha=1;ia=Q;ja=L}else{B=0;ua(163,g|0,o|0,p|0,100,q|0);L=B;B=0;if(L&1)ka=1;else{B=0;eb(503,g|0,1240,229);B=0;ka=0}L=Rb()|0;O=Q;Yua(q);ha=ka;ia=O;ja=L}Yua(p);Yua(o);if(ha){fa=ia;ga=ja}else{la=ia;ma=ja;break c}}else{L=Rb()|0;fa=Q;ga=L}while(0);zb(g|0);la=fa;ma=ga}else U=69;while(0);if((U|0)==69){E=Rb()|0;la=Q;ma=E}k[n>>2]=27468;k[F>>2]=27488;k[u>>2]=27560;Yua(S);Ava(u);vva(F);V=la;W=ma;Qb(W|0)}while(0);ba=da;ca=ea;vva(F);Qb(ca|0)}else $=Y}else{k[a+8>>2]=0;$=z}while(0);if(!$){r=e;return}Tqa($);r=e;return}function SS(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;d=k[a+12>>2]|0;a:do if(d){e=Rqa(d>>>0>1073741823?-1:d<<2)|0;if((d|0)>0){f=k[a+8>>2]|0;g=0;while(1){h=k[f+(g<<2)>>2]|0;j=(Lta(h)|0)+1|0;l=Rqa(j)|0;if(!h)break;if(j){m=0;do{i[l+m>>0]=i[h+m>>0]|0;m=m+1|0}while((m|0)!=(j|0))}k[e+(g<<2)>>2]=l;g=g+1|0;if((g|0)>=(d|0)){n=e;break a}}yb(142353,85118,137,142345)}else n=e}else n=0;while(0);if(!c){k[b>>2]=n;return}k[c>>2]=d;k[b>>2]=n;return}function TS(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;d=a+12|0;e=k[d>>2]|0;f=a+8|0;a=k[f>>2]|0;if((e|0)>0){g=e;e=a;h=0;while(1){j=k[e+(h<<2)>>2]|0;if(!j){l=g;m=e}else{Tqa(j);l=k[d>>2]|0;m=k[f>>2]|0}h=h+1|0;if((h|0)>=(l|0)){n=m;break}else{g=l;e=m}}}else n=a;if(n)Tqa(n);k[d>>2]=c;d=Rqa(c>>>0>1073741823?-1:c<<2)|0;k[f>>2]=d;if((c|0)>0)o=0;else return;while(1){d=k[b+(o<<2)>>2]|0;n=(Lta(d)|0)+1|0;a=Rqa(n)|0;if(!d){p=10;break}if(n){m=0;do{i[a+m>>0]=i[d+m>>0]|0;m=m+1|0}while((m|0)!=(n|0))}k[(k[f>>2]|0)+(o<<2)>>2]=a;o=o+1|0;if((o|0)>=(c|0)){p=13;break}}if((p|0)==10)yb(142353,85118,137,142345);else if((p|0)==13)return}function US(a){a=a|0;return k[a+4>>2]|0}function VS(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86577,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83385,92);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,43,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function WS(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85796,25)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83385,92);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,44,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function XS(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85760,35)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83385,92);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,45,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function YS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85760,35)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83385,92);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,46,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function ZS(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86549,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83385,92);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,47,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function _S(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;b=r;r=r+192|0;d=b+176|0;e=b+40|0;f=b+24|0;g=b+12|0;h=b;b=e+56|0;i=e+4|0;k[e>>2]=27524;k[b>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(b);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[b>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,86115,6)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,k[a+4>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,86504,44)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,83385,92);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,86325,17);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,f|0,g|0,48,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}while(0);l=o;m=p;vva(b);Qb(m|0)}function $S(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86480,23)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83385,92);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,49,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function aT(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86416,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83385,92);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,51,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function bT(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86416,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83385,92);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,52,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function cT(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;f=e+12|0;g=e;e=c+56|0;h=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(e);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;p=Ia(40,c|0,83478,18)|0;q=B;B=0;if((((((!(q&1)?(q=a+4|0,B=0,s=Xa(242,p|0,k[q>>2]|0)|0,p=B,B=0,!(p&1)):0)?(B=0,p=Ia(40,s|0,144166,2)|0,s=B,B=0,!(s&1)):0)?(B=0,s=ya(427,k[q>>2]|0)|0,q=B,B=0,!(q&1)):0)?(q=Lta(s)|0,B=0,t=Ia(40,p|0,s|0,q|0)|0,q=B,B=0,!(q&1)):0)?(B=0,q=Ia(40,t|0,86385,30)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,83385,92);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);s=B;B=0;if(s&1){s=Rb()|0;p=Q;Yua(b);u=p;v=s;break}B=0;wa(510,g|0,h|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,q|0,b|0,f|0,53,g|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,q|0,1240,229);B=0;z=0}s=Rb()|0;p=Q;Yua(g);w=p;x=s;y=z}Yua(f);Yua(b);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(q|0);A=u;C=v;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}function dT(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86364,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83385,92);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,54,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function eT(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86343,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83385,92);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,55,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function fT(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85673,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83385,92);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,56,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function gT(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85648,24)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83385,92);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,57,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function hT(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85625,22)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83385,92);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,59,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function iT(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85601,23)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83385,92);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,60,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function jT(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;c=e+56|0;i=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(c);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,86115,6)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,k[a+4>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,85579,21)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,83385,92);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,86106,8);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,f|0,g|0,61,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}while(0);l=o;m=p;vva(c);Qb(m|0)}function kT(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86273,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83385,92);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,62,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function lT(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86213,31)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83385,92);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,64,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function mT(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86213,31)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83385,92);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,65,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function nT(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86188,24)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83385,92);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,66,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function oT(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86188,24)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83385,92);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,67,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function pT(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86169,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83385,92);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,68,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function qT(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86150,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83385,92);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,69,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function rT(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85465,19)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83385,92);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,70,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function sT(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;f=e+12|0;g=e;e=c+56|0;h=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(e);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;p=Ia(40,c|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85340,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,b|0,83385,92);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(b);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,b|0,f|0,71,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(b);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}function tT(a,b){a=a|0;b=b|0;k[a+4>>2]=b;return}function uT(a){a=a|0;k[a>>2]=35512;return}function vT(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;k[a>>2]=35512;k[a+4>>2]=b;k[a+12>>2]=d;k[a+16>>2]=e;b=ma(e,d)|0;d=Rqa(b>>>0>536870911?-1:b<<3)|0;k[a+8>>2]=d;if(!c)yb(142353,85118,137,142345);if(!b)return;TEa(d|0,c|0,b<<3|0)|0;return}function wT(a){a=a|0;var b=0;k[a>>2]=35512;b=a+8|0;a=k[b>>2]|0;if(a)Tqa(a);k[b>>2]=0;return}function xT(a){a=a|0;var b=0;k[a>>2]=35512;b=k[a+8>>2]|0;if(!b){Sqa(a);return}Tqa(b);Sqa(a);return}function yT(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;b=r;r=r+464|0;c=b+452|0;d=b+304|0;e=b+440|0;f=b+152|0;g=b+288|0;h=b+16|0;i=b;j=d+56|0;l=d+4|0;k[d>>2]=27524;k[j>>2]=27544;B=0;wa(508,d+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(j);Qb(o|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[j>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){p=Rb()|0;q=Q;s=p}else{k[l>>2]=27560;p=d+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,l|0,c|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(c);Yua(p);Ava(l);q=u;s=t;break}Yua(c);B=0;Ia(40,d|0,83514,16)|0;t=B;B=0;do if(!(t&1)?(B=0,wa(510,e|0,l|0),u=B,B=0,!(u&1)):0){B=0;ya(424,e|0)|0;u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}Yua(e);k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);u=f+56|0;v=f+4|0;k[f>>2]=27524;k[u>>2]=27544;B=0;wa(508,f+56|0,v|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;A=y;vva(u);Qb(A|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[u>>2]=27488;B=0;va(448,v|0);y=B;B=0;do if(y&1){C=Rb()|0;D=Q;E=C}else{k[v>>2]=27560;C=f+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,v|0,c|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(c);Yua(C);Ava(v);D=G;E=F;break}Yua(c);B=0;F=Ia(40,f|0,85228,9)|0;G=B;B=0;do if((((((!(G&1)?(H=a+4|0,B=0,I=Xa(242,F|0,k[H>>2]|0)|0,J=B,B=0,!(J&1)):0)?(B=0,J=Ia(40,I|0,144166,2)|0,I=B,B=0,!(I&1)):0)?(B=0,I=ya(427,k[H>>2]|0)|0,H=B,B=0,!(H&1)):0)?(H=Lta(I)|0,B=0,K=Ia(40,J|0,I|0,H|0)|0,H=B,B=0,!(H&1)):0)?(B=0,Ia(40,K|0,145593,2)|0,K=B,B=0,!(K&1)):0)?(B=0,wa(510,g|0,v|0),K=B,B=0,!(K&1)):0){B=0;ya(424,g|0)|0;K=B;B=0;if(K&1){K=Rb()|0;H=Q;Yua(g);L=H;M=K;break}Yua(g);k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(C);Ava(v);vva(u);K=h+56|0;H=h+4|0;k[h>>2]=27524;k[K>>2]=27544;B=0;wa(508,h+56|0,H|0);I=B;B=0;if(I&1){I=Rb()|0;N=Q;O=I;vva(K);Qb(O|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[K>>2]=27488;B=0;va(448,H|0);I=B;B=0;do if(I&1){J=Rb()|0;P=Q;R=J}else{k[H>>2]=27560;J=h+36|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;k[J+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,H|0,c|0);S=B;B=0;if(S&1){S=Rb()|0;T=Q;Yua(c);Yua(J);Ava(H);P=T;R=S;break}Yua(c);B=0;S=Ia(40,h|0,83531,16)|0;T=B;B=0;do if(!(T&1)){B=0;U=Xa(242,S|0,k[a+12>>2]|0)|0;V=B;B=0;if(V&1){W=50;break}B=0;V=Ia(40,U|0,83548,1)|0;U=B;B=0;if(U&1){W=50;break}B=0;U=Xa(242,V|0,k[a+16>>2]|0)|0;V=B;B=0;if(V&1){W=50;break}B=0;Ia(40,U|0,149177,1)|0;U=B;B=0;if(U&1){W=50;break}B=0;wa(510,i|0,H|0);U=B;B=0;if(U&1){W=50;break}B=0;ya(424,i|0)|0;U=B;B=0;if(U&1){U=Rb()|0;V=Q;Yua(i);X=V;Y=U;break}else{Yua(i);k[h>>2]=27468;k[K>>2]=27488;k[H>>2]=27560;Yua(J);Ava(H);vva(K);r=b;return}}else W=50;while(0);if((W|0)==50){S=Rb()|0;X=Q;Y=S}k[h>>2]=27468;k[K>>2]=27488;k[H>>2]=27560;Yua(J);Ava(H);vva(K);Z=X;_=Y;Qb(_|0)}while(0);N=P;O=R;vva(K);Qb(O|0)}else W=47;while(0);if((W|0)==47){F=Rb()|0;L=Q;M=F}k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(C);Ava(v);vva(u);Z=L;_=M;Qb(_|0)}while(0);z=D;A=E;vva(u);Qb(A|0)}else W=44;while(0);if((W|0)==44){t=Rb()|0;w=Q;x=t}k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);Z=w;_=x;Qb(_|0)}while(0);n=q;o=s;vva(j);Qb(o|0)}function zT(a){a=a|0;return 565}function AT(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=Qqa(20)|0;c=k[a+4>>2]|0;d=k[a+8>>2]|0;e=k[a+12>>2]|0;f=k[a+16>>2]|0;k[b>>2]=35512;k[b+4>>2]=c;k[b+12>>2]=e;k[b+16>>2]=f;c=ma(f,e)|0;B=0;e=ya(422,(c>>>0>536870911?-1:c<<3)|0)|0;f=B;B=0;if(f&1){g=Rb()|0;h=Q;Sqa(b);Qb(g|0)}k[b+8>>2]=e;if(!d){B=0;ib(283,142353,85118,137,142345);B=0;g=Rb()|0;h=Q;Sqa(b);Qb(g|0)}if(!c)return b|0;TEa(e|0,d|0,c<<3|0)|0;return b|0}function BT(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;switch(d|0){case 0:{d=k[b>>2]|0;i[d>>0]=53;i[d+1>>0]=2;i[d+2>>0]=0;i[d+3>>0]=0;d=(k[b>>2]|0)+4|0;k[b>>2]=d;n=a+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;d=a+12|0;n=l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24;i[o>>0]=n;i[o+1>>0]=n>>8;i[o+2>>0]=n>>16;i[o+3>>0]=n>>24;n=(k[b>>2]|0)+4|0;k[b>>2]=n;o=a+16|0;p=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[n>>0]=p;i[n+1>>0]=p>>8;i[n+2>>0]=p>>16;i[n+3>>0]=p>>24;p=(k[b>>2]|0)+4|0;k[b>>2]=p;n=a+8|0;q=(k[n>>2]|0)==0;i[p>>0]=q&1;p=(k[b>>2]|0)+1|0;k[b>>2]=p;if(q){r=e;return}TEa(p|0,k[n>>2]|0,ma(k[d>>2]<<3,k[o>>2]|0)|0)|0;n=ma(k[d>>2]<<3,k[o>>2]|0)|0;k[b>>2]=(k[b>>2]|0)+n;r=e;return}case 2:{n=(k[a+8>>2]|0)==0;o=(k[c>>2]|0)+17|0;k[c>>2]=o;if(n){r=e;return}n=(ma(k[a+12>>2]<<3,k[a+16>>2]|0)|0)+o|0;k[c>>2]=n;r=e;return}case 1:{n=(k[b>>2]|0)+4|0;k[b>>2]=n;c=a+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[c>>0]=o;i[c+1>>0]=o>>8;i[c+2>>0]=o>>16;i[c+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;c=a+12|0;n=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[c>>0]=n;i[c+1>>0]=n>>8;i[c+2>>0]=n>>16;i[c+3>>0]=n>>24;c=(k[b>>2]|0)+4|0;k[b>>2]=c;o=a+16|0;d=l[c>>0]|l[c+1>>0]<<8|l[c+2>>0]<<16|l[c+3>>0]<<24;i[o>>0]=d;i[o+1>>0]=d>>8;i[o+2>>0]=d>>16;i[o+3>>0]=d>>24;o=k[b>>2]|0;c=o+4|0;k[b>>2]=c;p=i[c>>0]|0;k[b>>2]=o+5;if(p&1){r=e;return}p=ma(d,n)|0;o=Rqa(p>>>0>536870911?-1:p<<3)|0;k[a+8>>2]=o;a=k[b>>2]|0;p=ma(n<<3,d)|0;TEa(o|0,a|0,p|0)|0;k[b>>2]=a+p;r=e;return}default:{e=g+56|0;p=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,p|0);a=B;B=0;if(a&1){a=Rb()|0;s=Q;t=a;vva(e);Qb(t|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,p|0);a=B;B=0;do if(a&1){b=Rb()|0;u=Q;v=b}else{k[p>>2]=27560;b=g+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,p|0,f|0);o=B;B=0;if(o&1){o=Rb()|0;d=Q;Yua(f);Yua(b);Ava(p);u=d;v=o;break}Yua(f);B=0;o=Ia(40,g|0,143951,43)|0;d=B;B=0;if(!(d&1)?(B=0,Xa(239,o|0,0)|0,o=B,B=0,!(o&1)):0){o=Ab(20)|0;B=0;eb(502,h|0,83550,80);d=B;B=0;do if(!(d&1)){B=0;eb(502,j|0,149525,8);n=B;B=0;if(n&1){n=Rb()|0;c=Q;Yua(h);w=c;x=n;break}B=0;wa(510,m|0,p|0);n=B;B=0;if(n&1){n=Rb()|0;y=Q;z=n;A=1}else{B=0;ua(163,o|0,h|0,j|0,77,m|0);n=B;B=0;if(n&1)C=1;else{B=0;eb(503,o|0,1240,229);B=0;C=0}n=Rb()|0;c=Q;Yua(m);y=c;z=n;A=C}Yua(j);Yua(h);if(A){w=y;x=z}else{D=y;E=z;k[g>>2]=27468;k[e>>2]=27488;k[p>>2]=27560;Yua(b);Ava(p);vva(e);Qb(E|0)}}else{n=Rb()|0;w=Q;x=n}while(0);zb(o|0);D=w;E=x;k[g>>2]=27468;k[e>>2]=27488;k[p>>2]=27560;Yua(b);Ava(p);vva(e);Qb(E|0)}d=Rb()|0;D=Q;E=d;k[g>>2]=27468;k[e>>2]=27488;k[p>>2]=27560;Yua(b);Ava(p);vva(e);Qb(E|0)}while(0);s=u;t=v;vva(e);Qb(t|0)}}}function CT(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=k[a+12>>2]|0;f=a+16|0;g=ma(k[f>>2]|0,e)|0;h=Rqa(g>>>0>536870911?-1:g<<3)|0;i=k[a+8>>2]|0;if(!i)yb(142353,85118,137,142345);if(g){a=0;do{p[h+(a<<3)>>3]=+p[i+(a<<3)>>3];a=a+1|0}while((a|0)!=(g|0))}if(c)k[c>>2]=e;if(!d){k[b>>2]=h;return}k[d>>2]=k[f>>2];k[b>>2]=h;return}function DT(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,83631,18)|0;q=B;B=0;if((((((!(q&1)?(q=a+4|0,B=0,s=Xa(242,p|0,k[q>>2]|0)|0,p=B,B=0,!(p&1)):0)?(B=0,p=Ia(40,s|0,144166,2)|0,s=B,B=0,!(s&1)):0)?(B=0,s=ya(427,k[q>>2]|0)|0,q=B,B=0,!(q&1)):0)?(q=Lta(s)|0,B=0,t=Ia(40,p|0,s|0,q|0)|0,q=B,B=0,!(q&1)):0)?(B=0,q=Ia(40,t|0,84703,31)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,e|0,83550,80);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);s=B;B=0;if(s&1){s=Rb()|0;p=Q;Yua(e);u=p;v=s;break}B=0;wa(510,g|0,h|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,q|0,e|0,f|0,100,g|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,q|0,1240,229);B=0;z=0}s=Rb()|0;p=Q;Yua(g);w=p;x=s;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(q|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function ET(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;e=a+8|0;f=k[e>>2]|0;if(f)Tqa(f);f=ma(d,c)|0;g=Rqa(f>>>0>536870911?-1:f<<3)|0;k[e>>2]=g;if(!b)yb(142353,85118,137,142345);if(f)TEa(g|0,b|0,f<<3|0)|0;k[a+12>>2]=c;k[a+16>>2]=d;return}function FT(a){a=a|0;return k[a+4>>2]|0}function GT(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86577,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83650,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,44,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function HT(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85796,25)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83650,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,45,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function IT(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85760,35)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83650,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,46,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function JT(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86549,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83650,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,48,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function KT(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;b=r;r=r+192|0;d=b+176|0;e=b+40|0;f=b+24|0;g=b+12|0;h=b;b=e+56|0;i=e+4|0;k[e>>2]=27524;k[b>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(b);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[b>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,86115,6)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,k[a+4>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,86504,44)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,83650,90);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,86325,17);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,f|0,g|0,49,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}while(0);l=o;m=p;vva(b);Qb(m|0)}function LT(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86480,23)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83650,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,50,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function MT(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86450,29)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83650,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,51,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function NT(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86416,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83650,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,52,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function OT(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;f=e+12|0;g=e;e=c+56|0;h=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(e);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;p=Ia(40,c|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85695,29)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,b|0,83650,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(b);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,b|0,f|0,54,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(b);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}function PT(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86364,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83650,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,55,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function QT(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86343,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83650,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,56,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function RT(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85673,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83650,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,57,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function ST(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85648,24)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83650,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,58,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function TT(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85625,22)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83650,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,60,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function UT(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85601,23)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83650,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,61,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function VT(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;c=e+56|0;i=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(c);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,86115,6)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,k[a+4>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,85579,21)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,83650,90);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,86106,8);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,f|0,g|0,62,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}while(0);l=o;m=p;vva(c);Qb(m|0)}function WT(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86273,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83650,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,63,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function XT(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86245,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83650,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,64,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function YT(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85543,35)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83650,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,65,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function ZT(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85514,28)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83650,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,67,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function _T(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85485,28)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83650,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,68,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function $T(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86169,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83650,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,69,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function aU(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86150,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83650,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,70,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function bU(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85465,19)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83650,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,71,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function cU(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;f=e+12|0;g=e;e=c+56|0;h=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(e);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;p=Ia(40,c|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85340,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,b|0,83650,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(b);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,b|0,f|0,72,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(b);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}function dU(a,b){a=a|0;b=b|0;k[a+4>>2]=b;return}function eU(a){a=a|0;k[a>>2]=35664;return}function fU(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,r=0;k[a>>2]=35664;k[a+4>>2]=b;b=a+12|0;k[b>>2]=d;if(!d){k[a+8>>2]=0;k[a+16>>2]=0;k[a+20>>2]=0;return}g=d>>>0>1073741823?-1:d<<2;h=Rqa(g)|0;i=a+8|0;k[i>>2]=h;h=Rqa(g)|0;j=a+16|0;k[j>>2]=h;l=Rqa(g)|0;g=a+20|0;k[g>>2]=l;if((d|0)<=0)return;d=h;h=l;l=0;while(1){a=k[e+(l<<2)>>2]|0;m=k[f+(l<<2)>>2]|0;k[d+(l<<2)>>2]=a;k[h+(l<<2)>>2]=m;n=ma(m,a)|0;if(!n)o=0;else{a=Rqa(n>>>0>536870911?-1:n<<3)|0;m=k[c+(l<<2)>>2]|0;if(!m){q=6;break}else r=0;do{p[a+(r<<3)>>3]=+p[m+(r<<3)>>3];r=r+1|0}while((r|0)!=(n|0));o=a}k[(k[i>>2]|0)+(l<<2)>>2]=o;a=l+1|0;if((a|0)>=(k[b>>2]|0)){q=11;break}d=k[j>>2]|0;h=k[g>>2]|0;l=a}if((q|0)==6)yb(142353,85118,137,142345);else if((q|0)==11)return}function gU(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;k[a>>2]=35664;b=a+16|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+20|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+12|0;c=k[b>>2]|0;d=a+8|0;a=k[d>>2]|0;if((c|0)>0){e=a;f=c;c=0;while(1){g=k[e+(c<<2)>>2]|0;if(!g){h=f;i=e}else{Tqa(g);h=k[b>>2]|0;i=k[d>>2]|0}c=c+1|0;if((c|0)>=(h|0)){j=i;break}else{e=i;f=h}}}else j=a;if(!j){k[d>>2]=0;return}Tqa(j);k[d>>2]=0;return}function hU(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;k[a>>2]=35664;b=a+16|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+20|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+12|0;c=k[b>>2]|0;d=a+8|0;e=k[d>>2]|0;if((c|0)>0){f=e;g=c;c=0;while(1){h=k[f+(c<<2)>>2]|0;if(!h){i=g;j=f}else{Tqa(h);i=k[b>>2]|0;j=k[d>>2]|0}c=c+1|0;if((c|0)>=(i|0)){l=j;break}else{f=j;g=i}}}else l=e;if(!l){Sqa(a);return}Tqa(l);Sqa(a);return}function iU(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0;b=r;r=r+624|0;c=b+604|0;d=b+456|0;e=b+592|0;f=b+304|0;g=b+440|0;h=b+152|0;i=b+288|0;j=b+16|0;l=b;m=d+56|0;n=d+4|0;k[d>>2]=27524;k[m>>2]=27544;B=0;wa(508,d+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;q=o;vva(m);Qb(q|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[m>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){s=Rb()|0;t=Q;u=s}else{k[n>>2]=27560;s=d+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,n|0,c|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(c);Yua(s);Ava(n);t=w;u=v;break}Yua(c);B=0;Ia(40,d|0,83763,21)|0;v=B;B=0;do if(!(v&1)?(B=0,wa(510,e|0,n|0),w=B,B=0,!(w&1)):0){B=0;ya(424,e|0)|0;w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(e);y=x;z=w;break}Yua(e);k[d>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);w=f+56|0;x=f+4|0;k[f>>2]=27524;k[w>>2]=27544;B=0;wa(508,f+56|0,x|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;D=A;vva(w);Qb(D|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[w>>2]=27488;B=0;va(448,x|0);A=B;B=0;do if(A&1){E=Rb()|0;F=Q;G=E}else{k[x>>2]=27560;E=f+36|0;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;k[E+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,x|0,c|0);H=B;B=0;if(H&1){H=Rb()|0;I=Q;Yua(c);Yua(E);Ava(x);F=I;G=H;break}Yua(c);B=0;H=Ia(40,f|0,85228,9)|0;I=B;B=0;do if((((((!(I&1)?(J=a+4|0,B=0,K=Xa(242,H|0,k[J>>2]|0)|0,L=B,B=0,!(L&1)):0)?(B=0,L=Ia(40,K|0,144166,2)|0,K=B,B=0,!(K&1)):0)?(B=0,K=ya(427,k[J>>2]|0)|0,J=B,B=0,!(J&1)):0)?(J=Lta(K)|0,B=0,M=Ia(40,L|0,K|0,J|0)|0,J=B,B=0,!(J&1)):0)?(B=0,Ia(40,M|0,145593,2)|0,M=B,B=0,!(M&1)):0)?(B=0,wa(510,g|0,x|0),M=B,B=0,!(M&1)):0){B=0;ya(424,g|0)|0;M=B;B=0;if(M&1){M=Rb()|0;J=Q;Yua(g);N=J;O=M;break}Yua(g);k[f>>2]=27468;k[w>>2]=27488;k[x>>2]=27560;Yua(E);Ava(x);vva(w);M=h+56|0;J=h+4|0;k[h>>2]=27524;k[M>>2]=27544;B=0;wa(508,h+56|0,J|0);K=B;B=0;if(K&1){K=Rb()|0;P=Q;R=K;vva(M);Qb(R|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[M>>2]=27488;B=0;va(448,J|0);K=B;B=0;do if(K&1){L=Rb()|0;S=Q;T=L}else{k[J>>2]=27560;L=h+36|0;k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;k[L+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,J|0,c|0);U=B;B=0;if(U&1){U=Rb()|0;V=Q;Yua(c);Yua(L);Ava(J);S=V;T=U;break}Yua(c);B=0;U=Ia(40,h|0,83785,15)|0;V=B;B=0;do if(V&1)W=61;else{B=0;X=Xa(242,U|0,k[a+12>>2]|0)|0;Y=B;B=0;if(Y&1){W=61;break}B=0;Ia(40,X|0,149177,1)|0;X=B;B=0;if(X&1){W=61;break}B=0;wa(510,i|0,J|0);X=B;B=0;if(X&1){W=61;break}B=0;ya(424,i|0)|0;X=B;B=0;if(X&1){X=Rb()|0;Y=Q;Yua(i);Z=Y;_=X;break}Yua(i);k[h>>2]=27468;k[M>>2]=27488;k[J>>2]=27560;Yua(L);Ava(J);vva(M);X=j+56|0;Y=j+4|0;k[j>>2]=27524;k[X>>2]=27544;B=0;wa(508,j+56|0,Y|0);$=B;B=0;if($&1){$=Rb()|0;aa=Q;ba=$;vva(X);Qb(ba|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[X>>2]=27488;B=0;va(448,Y|0);$=B;B=0;do if($&1){ca=Rb()|0;da=Q;ea=ca}else{k[Y>>2]=27560;ca=j+36|0;k[ca>>2]=0;k[ca+4>>2]=0;k[ca+8>>2]=0;k[ca+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Y|0,c|0);fa=B;B=0;if(fa&1){fa=Rb()|0;ga=Q;Yua(c);Yua(ca);Ava(Y);da=ga;ea=fa;break}Yua(c);B=0;fa=Ia(40,j|0,83801,18)|0;ga=B;B=0;do if(!(ga&1)){B=0;ha=Xa(245,fa|0,k[a+8>>2]|0)|0;ia=B;B=0;if(ia&1){W=64;break}B=0;Ia(40,ha|0,149177,1)|0;ha=B;B=0;if(ha&1){W=64;break}B=0;wa(510,l|0,Y|0);ha=B;B=0;if(ha&1){W=64;break}B=0;ya(424,l|0)|0;ha=B;B=0;if(ha&1){ha=Rb()|0;ia=Q;Yua(l);ja=ia;ka=ha;break}else{Yua(l);k[j>>2]=27468;k[X>>2]=27488;k[Y>>2]=27560;Yua(ca);Ava(Y);vva(X);r=b;return}}else W=64;while(0);if((W|0)==64){fa=Rb()|0;ja=Q;ka=fa}k[j>>2]=27468;k[X>>2]=27488;k[Y>>2]=27560;Yua(ca);Ava(Y);vva(X);la=ja;ma=ka;Qb(ma|0)}while(0);aa=da;ba=ea;vva(X);Qb(ba|0)}while(0);if((W|0)==61){U=Rb()|0;Z=Q;_=U}k[h>>2]=27468;k[M>>2]=27488;k[J>>2]=27560;Yua(L);Ava(J);vva(M);la=Z;ma=_;Qb(ma|0)}while(0);P=S;R=T;vva(M);Qb(R|0)}else W=58;while(0);if((W|0)==58){H=Rb()|0;N=Q;O=H}k[f>>2]=27468;k[w>>2]=27488;k[x>>2]=27560;Yua(E);Ava(x);vva(w);la=N;ma=O;Qb(ma|0)}while(0);C=F;D=G;vva(w);Qb(D|0)}else W=55;while(0);if((W|0)==55){v=Rb()|0;y=Q;z=v}k[d>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);la=y;ma=z;Qb(ma|0)}while(0);p=t;q=u;vva(m);Qb(q|0)}function jU(a){a=a|0;return 564}function kU(a){a=a|0;var b=0;b=Qqa(24)|0;B=0;La(31,b|0,k[a+4>>2]|0,k[a+8>>2]|0,k[a+12>>2]|0,k[a+16>>2]|0,k[a+20>>2]|0);a=B;B=0;if(a&1){a=Rb()|0;Sqa(b);Qb(a|0)}else return b|0;return 0}function lU(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0;e=r;r=r+528|0;f=e+516|0;g=e+368|0;h=e+504|0;j=e+356|0;m=e+344|0;n=e+208|0;o=e+60|0;p=e+48|0;q=e+36|0;s=e+72|0;t=e+24|0;u=e+12|0;v=e;w=(d|0)==0;a:do if(w){x=k[b>>2]|0;i[x>>0]=52;i[x+1>>0]=2;i[x+2>>0]=0;i[x+3>>0]=0;x=(k[b>>2]|0)+4|0;k[b>>2]=x;y=a+4|0;z=l[y>>0]|l[y+1>>0]<<8|l[y+2>>0]<<16|l[y+3>>0]<<24;i[x>>0]=z;i[x+1>>0]=z>>8;i[x+2>>0]=z>>16;i[x+3>>0]=z>>24;z=(k[b>>2]|0)+4|0;k[b>>2]=z;x=a+12|0;y=l[x>>0]|l[x+1>>0]<<8|l[x+2>>0]<<16|l[x+3>>0]<<24;i[z>>0]=y;i[z+1>>0]=y>>8;i[z+2>>0]=y>>16;i[z+3>>0]=y>>24;k[b>>2]=(k[b>>2]|0)+4;A=x}else switch(d|0){case 2:{k[c>>2]=(k[c>>2]|0)+12;A=a+12|0;break a;break}case 1:{x=(k[b>>2]|0)+4|0;k[b>>2]=x;y=a+4|0;z=l[x>>0]|l[x+1>>0]<<8|l[x+2>>0]<<16|l[x+3>>0]<<24;i[y>>0]=z;i[y+1>>0]=z>>8;i[y+2>>0]=z>>16;i[y+3>>0]=z>>24;z=(k[b>>2]|0)+4|0;k[b>>2]=z;y=a+12|0;x=l[z>>0]|l[z+1>>0]<<8|l[z+2>>0]<<16|l[z+3>>0]<<24;i[y>>0]=x;i[y+1>>0]=x>>8;i[y+2>>0]=x>>16;i[y+3>>0]=x>>24;k[b>>2]=(k[b>>2]|0)+4;A=y;break a;break}default:{y=g+56|0;x=g+4|0;k[g>>2]=27524;k[y>>2]=27544;B=0;wa(508,g+56|0,x|0);z=B;B=0;if(z&1){z=Rb()|0;C=Q;D=z;vva(y);Qb(D|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[y>>2]=27488;B=0;va(448,x|0);z=B;B=0;do if(z&1){E=Rb()|0;F=Q;G=E}else{k[x>>2]=27560;E=g+36|0;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;k[E+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,x|0,f|0);H=B;B=0;if(H&1){H=Rb()|0;I=Q;Yua(f);Yua(E);Ava(x);F=I;G=H;break}Yua(f);B=0;H=Ia(40,g|0,143951,43)|0;I=B;B=0;b:do if(!(I&1)?(B=0,Xa(239,H|0,0)|0,J=B,B=0,!(J&1)):0){J=Ab(20)|0;B=0;eb(502,h|0,83820,85);K=B;B=0;do if(!(K&1)){B=0;eb(502,j|0,149525,8);L=B;B=0;if(L&1){L=Rb()|0;M=Q;Yua(h);N=M;O=L;break}B=0;wa(510,m|0,x|0);L=B;B=0;if(L&1){L=Rb()|0;P=Q;R=L;S=1}else{B=0;ua(163,J|0,h|0,j|0,126,m|0);L=B;B=0;if(L&1)T=1;else{B=0;eb(503,J|0,1240,229);B=0;T=0}L=Rb()|0;M=Q;Yua(m);P=M;R=L;S=T}Yua(j);Yua(h);if(S){N=P;O=R}else{U=P;V=R;break b}}else{L=Rb()|0;N=Q;O=L}while(0);zb(J|0);U=N;V=O}else W=18;while(0);if((W|0)==18){H=Rb()|0;U=Q;V=H}k[g>>2]=27468;k[y>>2]=27488;k[x>>2]=27560;Yua(E);Ava(x);vva(y);X=U;Y=V;Qb(Y|0)}while(0);C=F;D=G;vva(y);Qb(D|0)}}while(0);D=k[A>>2]|0;if(!D){k[a+8>>2]=0;k[a+16>>2]=0;k[a+20>>2]=0;r=e;return}G=a+16|0;F=(k[G>>2]|0)==0;c:do if(w){i[k[b>>2]>>0]=F&1;C=(k[b>>2]|0)+1|0;k[b>>2]=C;if(F)Z=C;else{TEa(C|0,k[G>>2]|0,k[A>>2]<<2|0)|0;C=(k[b>>2]|0)+(k[A>>2]<<2)|0;k[b>>2]=C;Z=C}C=a+20|0;V=(k[C>>2]|0)==0;i[Z>>0]=V&1;U=(k[b>>2]|0)+1|0;k[b>>2]=U;if(V){_=0;$=C}else{TEa(U|0,k[C>>2]|0,k[A>>2]<<2|0)|0;k[b>>2]=(k[b>>2]|0)+(k[A>>2]<<2);_=0;$=C}}else switch(d|0){case 2:{C=(k[c>>2]|0)+1|0;k[c>>2]=C;if(F)aa=C;else{U=C+(k[A>>2]<<2)|0;k[c>>2]=U;aa=U}U=a+20|0;C=(k[U>>2]|0)==0;V=aa+1|0;k[c>>2]=V;if(C){_=0;$=U;break c}k[c>>2]=V+(k[A>>2]<<2);_=0;$=U;break c;break}case 1:{U=k[b>>2]|0;V=i[U>>0]|0;C=U+1|0;k[b>>2]=C;if(!(V&1)){V=Rqa(D>>>0>1073741823?-1:D<<2)|0;k[G>>2]=V;U=k[b>>2]|0;g=D<<2;TEa(V|0,U|0,g|0)|0;V=U+g|0;k[b>>2]=V;ba=V}else ba=C;C=a+20|0;V=i[ba>>0]|0;k[b>>2]=ba+1;if(!(V&1)){V=Rqa(D>>>0>1073741823?-1:D<<2)|0;k[C>>2]=V;g=k[b>>2]|0;U=D<<2;TEa(V|0,g|0,U|0)|0;k[b>>2]=g+U}U=Rqa(D>>>0>1073741823?-1:D<<2)|0;k[a+8>>2]=U;_=1;$=C;break c;break}default:{C=n+56|0;U=n+4|0;k[n>>2]=27524;k[C>>2]=27544;B=0;wa(508,n+56|0,U|0);g=B;B=0;if(g&1){g=Rb()|0;ca=Q;da=g;vva(C);Qb(da|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[C>>2]=27488;B=0;va(448,U|0);g=B;B=0;do if(g&1){V=Rb()|0;ea=Q;fa=V}else{k[U>>2]=27560;V=n+36|0;k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;k[V+12>>2]=0;k[n+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,U|0,f|0);O=B;B=0;if(O&1){O=Rb()|0;N=Q;Yua(f);Yua(V);Ava(U);ea=N;fa=O;break}Yua(f);B=0;O=Ia(40,n|0,143951,43)|0;N=B;B=0;d:do if(!(N&1)?(B=0,Xa(239,O|0,0)|0,R=B,B=0,!(R&1)):0){R=Ab(20)|0;B=0;eb(502,o|0,83820,85);P=B;B=0;do if(!(P&1)){B=0;eb(502,p|0,149525,8);S=B;B=0;if(S&1){S=Rb()|0;h=Q;Yua(o);ga=h;ha=S;break}B=0;wa(510,q|0,U|0);S=B;B=0;if(S&1){S=Rb()|0;ia=Q;ja=1;ka=S}else{B=0;ua(163,R|0,o|0,p|0,131,q|0);S=B;B=0;if(S&1)la=1;else{B=0;eb(503,R|0,1240,229);B=0;la=0}S=Rb()|0;h=Q;Yua(q);ia=h;ja=la;ka=S}Yua(p);Yua(o);if(ja){ga=ia;ha=ka}else{na=ia;oa=ka;break d}}else{S=Rb()|0;ga=Q;ha=S}while(0);zb(R|0);na=ga;oa=ha}else W=49;while(0);if((W|0)==49){O=Rb()|0;na=Q;oa=O}k[n>>2]=27468;k[C>>2]=27488;k[U>>2]=27560;Yua(V);Ava(U);vva(C);X=na;Y=oa;Qb(Y|0)}while(0);ca=ea;da=fa;vva(C);Qb(da|0)}}while(0);if((k[A>>2]|0)<=0){r=e;return}da=a+8|0;a=(d|0)==2;d=0;e:while(1){fa=(k[(k[da>>2]|0)+(d<<2)>>2]|0)==0;do if(w){i[k[b>>2]>>0]=fa&1;ea=(k[b>>2]|0)+1|0;k[b>>2]=ea;if(!fa){TEa(ea|0,k[(k[da>>2]|0)+(d<<2)>>2]|0,ma(k[(k[G>>2]|0)+(d<<2)>>2]<<3,k[(k[$>>2]|0)+(d<<2)>>2]|0)|0)|0;ea=ma(k[(k[G>>2]|0)+(d<<2)>>2]<<3,k[(k[$>>2]|0)+(d<<2)>>2]|0)|0;k[b>>2]=(k[b>>2]|0)+ea}}else{if(a){ea=(k[c>>2]|0)+1|0;k[c>>2]=ea;if(fa)break;ca=(ma(k[(k[G>>2]|0)+(d<<2)>>2]<<3,k[(k[$>>2]|0)+(d<<2)>>2]|0)|0)+ea|0;k[c>>2]=ca;break}if(!_)break e;ca=k[b>>2]|0;ea=i[ca>>0]|0;k[b>>2]=ca+1;if(!(ea&1)){ea=ma(k[(k[$>>2]|0)+(d<<2)>>2]|0,k[(k[G>>2]|0)+(d<<2)>>2]|0)|0;ca=Rqa(ea>>>0>536870911?-1:ea<<3)|0;k[(k[da>>2]|0)+(d<<2)>>2]=ca;TEa(k[(k[da>>2]|0)+(d<<2)>>2]|0,k[b>>2]|0,ma(k[(k[G>>2]|0)+(d<<2)>>2]<<3,k[(k[$>>2]|0)+(d<<2)>>2]|0)|0)|0;ca=ma(k[(k[G>>2]|0)+(d<<2)>>2]<<3,k[(k[$>>2]|0)+(d<<2)>>2]|0)|0;k[b>>2]=(k[b>>2]|0)+ca}}while(0);d=d+1|0;if((d|0)>=(k[A>>2]|0)){W=104;break}}if((W|0)==104){r=e;return}e=s+56|0;A=s+4|0;k[s>>2]=27524;k[e>>2]=27544;B=0;wa(508,s+56|0,A|0);d=B;B=0;if(d&1){d=Rb()|0;pa=Q;qa=d;vva(e);Qb(qa|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[e>>2]=27488;B=0;va(448,A|0);d=B;B=0;do if(d&1){b=Rb()|0;ra=Q;sa=b}else{k[A>>2]=27560;b=s+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[s+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,A|0,f|0);$=B;B=0;if($&1){$=Rb()|0;G=Q;Yua(f);Yua(b);Ava(A);ra=G;sa=$;break}Yua(f);B=0;$=Ia(40,s|0,143951,43)|0;G=B;B=0;f:do if(!(G&1)?(B=0,Xa(239,$|0,0)|0,da=B,B=0,!(da&1)):0){da=Ab(20)|0;B=0;eb(502,t|0,83820,85);_=B;B=0;do if(!(_&1)){B=0;eb(502,u|0,149525,8);c=B;B=0;if(c&1){c=Rb()|0;a=Q;Yua(t);ta=a;xa=c;break}B=0;wa(510,v|0,A|0);c=B;B=0;if(c&1){c=Rb()|0;ya=1;za=Q;Aa=c}else{B=0;ua(163,da|0,t|0,u|0,135,v|0);c=B;B=0;if(c&1)Ba=1;else{B=0;eb(503,da|0,1240,229);B=0;Ba=0}c=Rb()|0;a=Q;Yua(v);ya=Ba;za=a;Aa=c}Yua(u);Yua(t);if(ya){ta=za;xa=Aa}else{Ca=za;Da=Aa;break f}}else{c=Rb()|0;ta=Q;xa=c}while(0);zb(da|0);Ca=ta;Da=xa}else W=90;while(0);if((W|0)==90){$=Rb()|0;Ca=Q;Da=$}k[s>>2]=27468;k[e>>2]=27488;k[A>>2]=27560;Yua(b);Ava(A);vva(e);X=Ca;Y=Da;Qb(Y|0)}while(0);pa=ra;qa=sa;vva(e);Qb(qa|0)}function mU(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;f=k[a+12>>2]|0;a:do if(f){g=f>>>0>1073741823?-1:f<<2;h=Rqa(g)|0;i=Rqa(g)|0;j=Rqa(g)|0;g=k[a+16>>2]|0;if(!g)yb(142353,85118,137,142345);else l=0;do{k[i+(l<<2)>>2]=k[g+(l<<2)>>2];l=l+1|0}while((l|0)!=(f|0));m=k[a+20>>2]|0;if(!m)yb(142353,85118,137,142345);else n=0;do{k[j+(n<<2)>>2]=k[m+(n<<2)>>2];n=n+1|0}while((n|0)!=(f|0));if((f|0)>0){o=a+8|0;q=0;while(1){r=ma(k[m+(q<<2)>>2]|0,k[g+(q<<2)>>2]|0)|0;if(!r)s=0;else{t=k[(k[o>>2]|0)+(q<<2)>>2]|0;u=Rqa(r>>>0>536870911?-1:r<<3)|0;if(!t)break;else v=0;do{p[u+(v<<3)>>3]=+p[t+(v<<3)>>3];v=v+1|0}while((v|0)!=(r|0));s=u}k[h+(q<<2)>>2]=s;q=q+1|0;if((q|0)>=(f|0)){w=h;x=i;y=j;break a}}yb(142353,85118,137,142345)}else{w=h;x=i;y=j}}else{w=0;x=0;y=0}while(0);if(c)k[c>>2]=f;if(d)k[d>>2]=x;if(!e){k[b>>2]=w;return}k[e>>2]=y;k[b>>2]=w;return}function nU(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0;f=a+16|0;g=k[f>>2]|0;if(g)Tqa(g);k[f>>2]=0;g=a+20|0;h=k[g>>2]|0;if(h)Tqa(h);k[g>>2]=0;h=a+12|0;i=k[h>>2]|0;j=a+8|0;a=k[j>>2]|0;if((i|0)>0){l=a;m=i;i=0;while(1){n=k[l+(i<<2)>>2]|0;if(!n){o=m;q=l}else{Tqa(n);o=k[h>>2]|0;q=k[j>>2]|0}i=i+1|0;if((i|0)>=(o|0)){r=q;break}else{l=q;m=o}}}else r=a;if(r)Tqa(r);k[h>>2]=c;r=c>>>0>1073741823?-1:c<<2;a=Rqa(r)|0;k[j>>2]=a;a=Rqa(r)|0;k[f>>2]=a;f=Rqa(r)|0;k[g>>2]=f;if(!d)yb(142353,85118,137,142345);g=(c|0)==0;if(!g){r=0;do{k[a+(r<<2)>>2]=k[d+(r<<2)>>2];r=r+1|0}while((r|0)!=(c|0))}if(!e)yb(142353,85118,137,142345);if(g)return;else s=0;do{k[f+(s<<2)>>2]=k[e+(s<<2)>>2];s=s+1|0}while((s|0)!=(c|0));c=k[h>>2]|0;if((c|0)>0)t=0;else return;while(1){h=k[b+(t<<2)>>2]|0;s=ma(k[e+(t<<2)>>2]|0,k[d+(t<<2)>>2]|0)|0;f=Rqa(s>>>0>536870911?-1:s<<3)|0;g=f;if(!h){u=22;break}if(s){r=0;do{p[f+(r<<3)>>3]=+p[h+(r<<3)>>3];r=r+1|0}while((r|0)!=(s|0))}k[(k[j>>2]|0)+(t<<2)>>2]=g;t=t+1|0;if((t|0)>=(c|0)){u=25;break}}if((u|0)==22)yb(142353,85118,137,142345);else if((u|0)==25)return}function oU(a){a=a|0;return k[a+4>>2]|0}function pU(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,84532,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83927,95);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,45,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function qU(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,84507,24)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83927,95);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,46,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function rU(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,84472,34)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83927,95);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,47,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function sU(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,84472,34)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83927,95);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,48,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function tU(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,84445,26)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83927,95);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,49,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function uU(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;b=r;r=r+192|0;d=b+176|0;e=b+40|0;f=b+24|0;g=b+12|0;h=b;b=e+56|0;i=e+4|0;k[e>>2]=27524;k[b>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(b);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[b>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,86115,6)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,k[a+4>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,86504,44)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,83927,95);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,86325,17);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,f|0,g|0,50,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}while(0);l=o;m=p;vva(b);Qb(m|0)}function vU(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,84422,22)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83927,95);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,51,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function wU(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,84393,28)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83927,95);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,52,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function xU(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,84360,32)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83927,95);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,53,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function yU(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,84360,32)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83927,95);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,54,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function zU(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,84340,19)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83927,95);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,56,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function AU(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,84320,19)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83927,95);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,57,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function BU(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,84299,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83927,95);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,58,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function CU(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85648,24)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83927,95);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,59,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function DU(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,84277,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83927,95);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,61,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function EU(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,84254,22)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83927,95);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,62,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function FU(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;c=e+56|0;i=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(c);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,86115,6)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,k[a+4>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,84233,20)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,83927,95);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,86106,8);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,f|0,g|0,63,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}while(0);l=o;m=p;vva(c);Qb(m|0)}function GU(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,84212,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83927,95);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,64,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function HU(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,84185,26)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83927,95);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,65,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function IU(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,84150,34)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83927,95);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,66,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function JU(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,84115,34)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83927,95);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,67,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function KU(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,84087,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83927,95);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,68,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function LU(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,84059,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83927,95);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,69,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function MU(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,84041,17)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83927,95);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,70,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function NU(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,84023,17)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,83927,95);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,71,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function OU(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,85058,19)|0;q=B;B=0;if((((((!(q&1)?(q=a+4|0,B=0,s=Xa(242,p|0,k[q>>2]|0)|0,p=B,B=0,!(p&1)):0)?(B=0,p=Ia(40,s|0,144166,2)|0,s=B,B=0,!(s&1)):0)?(B=0,s=ya(427,k[q>>2]|0)|0,q=B,B=0,!(q&1)):0)?(q=Lta(s)|0,B=0,t=Ia(40,p|0,s|0,q|0)|0,q=B,B=0,!(q&1)):0)?(B=0,q=Ia(40,t|0,83906,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,e|0,83927,95);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);s=B;B=0;if(s&1){s=Rb()|0;p=Q;Yua(e);u=p;v=s;break}B=0;wa(510,g|0,h|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,q|0,e|0,f|0,72,g|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,q|0,1240,229);B=0;z=0}s=Rb()|0;p=Q;Yua(g);w=p;x=s;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(q|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function PU(a,b){a=a|0;b=b|0;k[a+4>>2]=b;return}function QU(a){a=a|0;k[a>>2]=35816;return}function RU(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;k[a>>2]=35816;k[a+4>>2]=b;k[a+12>>2]=d;if(!d){k[a+8>>2]=0;return}b=Rqa(d>>>0>536870911?-1:d<<3)|0;k[a+8>>2]=b;if(!c)yb(142353,85118,137,142345);TEa(b|0,c|0,d<<3|0)|0;return}function SU(a){a=a|0;var b=0;k[a>>2]=35816;b=a+8|0;a=k[b>>2]|0;if(a)Tqa(a);k[b>>2]=0;return}function TU(a){a=a|0;var b=0;k[a>>2]=35816;b=k[a+8>>2]|0;if(!b){Sqa(a);return}Tqa(b);Sqa(a);return}function UU(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;b=r;r=r+176|0;c=b+152|0;d=b+16|0;e=b;f=d+56|0;g=d+4|0;k[d>>2]=27524;k[f>>2]=27544;B=0;wa(508,d+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(f);Qb(j|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[f>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=d+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);k[d+(k[(k[d>>2]|0)+-12>>2]|0)+12>>2]=22;B=0;o=Ia(40,d|0,84570,18)|0;p=B;B=0;if((((((!(p&1)?(k[o+(k[(k[o>>2]|0)+-12>>2]|0)+12>>2]=35,p=o+(k[(k[o>>2]|0)+-12>>2]|0)+4|0,k[p>>2]=k[p>>2]&-177|32,B=0,p=ya(427,k[a+4>>2]|0)|0,q=B,B=0,!(q&1)):0)?(q=Lta(p)|0,B=0,s=Ia(40,o|0,p|0,q|0)|0,q=B,B=0,!(q&1)):0)?(B=0,q=Ia(40,s|0,84589,7)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Xa(242,q|0,k[a+12>>2]|0)|0,q=B,B=0,!(q&1)):0)?(B=0,Ia(40,s|0,149177,1)|0,s=B,B=0,!(s&1)):0)?(B=0,wa(510,e|0,g|0),s=B,B=0,!(s&1)):0){B=0;ya(424,e|0)|0;s=B;B=0;if(!(s&1)){Yua(e);k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);r=b;return}s=Rb()|0;q=Q;Yua(e);t=q;u=s;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(u|0)}s=Rb()|0;t=Q;u=s;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(u|0)}while(0);i=m;j=n;vva(f);Qb(j|0)}function VU(a){a=a|0;return 567}function WU(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;b=Qqa(16)|0;c=k[a+4>>2]|0;d=k[a+8>>2]|0;e=k[a+12>>2]|0;k[b>>2]=35816;k[b+4>>2]=c;k[b+12>>2]=e;if(!e){k[b+8>>2]=0;return b|0}B=0;c=ya(422,(e>>>0>536870911?-1:e<<3)|0)|0;a=B;B=0;if(a&1){f=Rb()|0;g=Q;Sqa(b);Qb(f|0)}k[b+8>>2]=c;if(!d){B=0;ib(283,142353,85118,137,142345);B=0;f=Rb()|0;g=Q;Sqa(b);Qb(f|0)}else{TEa(c|0,d|0,e<<3|0)|0;return b|0}return 0}function XU(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;switch(d|0){case 0:{d=k[b>>2]|0;i[d>>0]=55;i[d+1>>0]=2;i[d+2>>0]=0;i[d+3>>0]=0;d=(k[b>>2]|0)+4|0;k[b>>2]=d;n=a+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;d=a+12|0;n=l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24;i[o>>0]=n;i[o+1>>0]=n>>8;i[o+2>>0]=n>>16;i[o+3>>0]=n>>24;n=(k[b>>2]|0)+4|0;k[b>>2]=n;o=a+8|0;p=(k[o>>2]|0)==0;i[n>>0]=p&1;n=(k[b>>2]|0)+1|0;k[b>>2]=n;if(p){r=e;return}TEa(n|0,k[o>>2]|0,k[d>>2]<<3|0)|0;k[b>>2]=(k[b>>2]|0)+(k[d>>2]<<3);r=e;return}case 2:{d=(k[a+8>>2]|0)==0;o=(k[c>>2]|0)+13|0;k[c>>2]=o;if(d){r=e;return}k[c>>2]=o+(k[a+12>>2]<<3);r=e;return}case 1:{o=(k[b>>2]|0)+4|0;k[b>>2]=o;c=a+4|0;d=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[c>>0]=d;i[c+1>>0]=d>>8;i[c+2>>0]=d>>16;i[c+3>>0]=d>>24;d=(k[b>>2]|0)+4|0;k[b>>2]=d;c=a+12|0;o=l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24;i[c>>0]=o;i[c+1>>0]=o>>8;i[c+2>>0]=o>>16;i[c+3>>0]=o>>24;c=k[b>>2]|0;d=c+4|0;k[b>>2]=d;n=i[d>>0]|0;k[b>>2]=c+5;if(n&1){r=e;return}n=Rqa(o>>>0>536870911?-1:o<<3)|0;k[a+8>>2]=n;a=k[b>>2]|0;c=o<<3;TEa(n|0,a|0,c|0)|0;k[b>>2]=a+c;r=e;return}default:{e=g+56|0;c=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,c|0);a=B;B=0;if(a&1){a=Rb()|0;q=Q;s=a;vva(e);Qb(s|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,c|0);a=B;B=0;do if(a&1){b=Rb()|0;t=Q;u=b}else{k[c>>2]=27560;b=g+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,c|0,f|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;Yua(f);Yua(b);Ava(c);t=o;u=n;break}Yua(f);B=0;n=Ia(40,g|0,143951,43)|0;o=B;B=0;if(!(o&1)?(B=0,Xa(239,n|0,0)|0,n=B,B=0,!(n&1)):0){n=Ab(20)|0;B=0;eb(502,h|0,84597,80);o=B;B=0;do if(!(o&1)){B=0;eb(502,j|0,149525,8);d=B;B=0;if(d&1){d=Rb()|0;p=Q;Yua(h);v=p;w=d;break}B=0;wa(510,m|0,c|0);d=B;B=0;if(d&1){d=Rb()|0;x=Q;y=d;z=1}else{B=0;ua(163,n|0,h|0,j|0,69,m|0);d=B;B=0;if(d&1)A=1;else{B=0;eb(503,n|0,1240,229);B=0;A=0}d=Rb()|0;p=Q;Yua(m);x=p;y=d;z=A}Yua(j);Yua(h);if(z){v=x;w=y}else{C=x;D=y;k[g>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(b);Ava(c);vva(e);Qb(D|0)}}else{d=Rb()|0;v=Q;w=d}while(0);zb(n|0);C=v;D=w;k[g>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(b);Ava(c);vva(e);Qb(D|0)}o=Rb()|0;C=Q;D=o;k[g>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(b);Ava(c);vva(e);Qb(D|0)}while(0);q=t;s=u;vva(e);Qb(s|0)}}}function YU(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=k[a+12>>2]|0;e=Rqa(d>>>0>536870911?-1:d<<3)|0;f=k[a+8>>2]|0;if(!f)yb(142353,85118,137,142345);if(d){a=0;do{p[e+(a<<3)>>3]=+p[f+(a<<3)>>3];a=a+1|0}while((a|0)!=(d|0))}if(!c){k[b>>2]=e;return}k[c>>2]=d;k[b>>2]=e;return}function ZU(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;e=k[a+12>>2]|0;f=Rqa(e>>>0>536870911?-1:e<<3)|0;g=k[a+8>>2]|0;if(!g)yb(142353,85118,137,142345);if(e){a=0;do{p[f+(a<<3)>>3]=+p[g+(a<<3)>>3];a=a+1|0}while((a|0)!=(e|0))}if(c)k[c>>2]=e;if(!d){k[b>>2]=f;return}k[d>>2]=1;k[b>>2]=f;return}function _U(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,84678,24)|0;q=B;B=0;if((((((!(q&1)?(q=a+4|0,B=0,s=Xa(242,p|0,k[q>>2]|0)|0,p=B,B=0,!(p&1)):0)?(B=0,p=Ia(40,s|0,144166,2)|0,s=B,B=0,!(s&1)):0)?(B=0,s=ya(427,k[q>>2]|0)|0,q=B,B=0,!(q&1)):0)?(q=Lta(s)|0,B=0,t=Ia(40,p|0,s|0,q|0)|0,q=B,B=0,!(q&1)):0)?(B=0,q=Ia(40,t|0,84703,31)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,e|0,84597,80);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);s=B;B=0;if(s&1){s=Rb()|0;p=Q;Yua(e);u=p;v=s;break}B=0;wa(510,g|0,h|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,q|0,e|0,f|0,109,g|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,q|0,1240,229);B=0;z=0}s=Rb()|0;p=Q;Yua(g);w=p;x=s;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(q|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function $U(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=a+8|0;e=k[d>>2]|0;if(e)Tqa(e);e=Rqa(c>>>0>536870911?-1:c<<3)|0;k[d>>2]=e;if(!b)yb(142353,85118,137,142345);if(!c){f=a+12|0;k[f>>2]=c;return}TEa(e|0,b|0,c<<3|0)|0;f=a+12|0;k[f>>2]=c;return}function aV(a,b,c){a=a|0;b=b|0;c=c|0;if(c)k[c>>2]=k[a+12>>2];k[b>>2]=k[a+8>>2];return}function bV(a){a=a|0;return k[a+4>>2]|0}function cV(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86577,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84735,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,43,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function dV(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85796,25)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84735,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,44,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function eV(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85760,35)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84735,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,46,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function fV(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86549,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84735,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,47,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function gV(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;b=r;r=r+192|0;d=b+176|0;e=b+40|0;f=b+24|0;g=b+12|0;h=b;b=e+56|0;i=e+4|0;k[e>>2]=27524;k[b>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(b);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[b>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,86115,6)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,k[a+4>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,86504,44)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,84735,90);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,86325,17);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,f|0,g|0,48,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}while(0);l=o;m=p;vva(b);Qb(m|0)}function hV(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86480,23)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84735,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,49,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function iV(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86450,29)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84735,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,50,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function jV(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;f=e+12|0;g=e;e=c+56|0;h=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(e);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;p=Ia(40,c|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85695,29)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,b|0,84735,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(b);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,b|0,f|0,53,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(b);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}function kV(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86364,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84735,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,54,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function lV(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86343,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84735,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,55,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function mV(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85673,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84735,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,56,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function nV(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85648,24)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84735,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,57,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function oV(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85625,22)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84735,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,59,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function pV(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85601,23)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84735,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,60,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function qV(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;c=e+56|0;i=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(c);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,86115,6)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,k[a+4>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,85579,21)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,84735,90);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,86106,8);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,f|0,g|0,61,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}while(0);l=o;m=p;vva(c);Qb(m|0)}function rV(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86273,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84735,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,62,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function sV(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86245,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84735,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,63,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function tV(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,84826,35)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84735,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,65,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}
function uV(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85485,28)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84735,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,66,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function vV(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85485,28)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84735,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,67,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function wV(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86169,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84735,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,68,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function xV(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86150,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84735,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,69,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function yV(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85465,19)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84735,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,70,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function zV(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;f=e+12|0;g=e;e=c+56|0;h=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(e);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;p=Ia(40,c|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85340,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,b|0,84735,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(b);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,b|0,f|0,71,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(b);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}function AV(a,b){a=a|0;b=b|0;k[a+4>>2]=b;return}function BV(a){a=a|0;k[a>>2]=35968;return}function CV(a,b,c){a=a|0;b=b|0;c=c|0;k[a>>2]=35968;k[a+4>>2]=b;b=Rqa((Lta(c)|0)+1|0)|0;k[a+8>>2]=b;a=(Lta(c)|0)+1|0;if(!c)yb(142353,85118,137,142345);if(!a)return;TEa(b|0,c|0,a|0)|0;return}function DV(a){a=a|0;var b=0;k[a>>2]=35968;b=a+8|0;a=k[b>>2]|0;if(a)Tqa(a);k[b>>2]=0;return}function EV(a){a=a|0;var b=0;k[a>>2]=35968;b=k[a+8>>2]|0;if(!b){Sqa(a);return}Tqa(b);Sqa(a);return}function FV(a){a=a|0;GV(a);return}function GV(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;b=r;r=r+176|0;c=b+152|0;d=b+16|0;e=b;f=d+56|0;g=d+4|0;k[d>>2]=27524;k[f>>2]=27544;B=0;wa(508,d+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(f);Qb(j|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[f>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=d+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);k[d+(k[(k[d>>2]|0)+-12>>2]|0)+12>>2]=22;B=0;o=Ia(40,d|0,84876,15)|0;p=B;B=0;if((((((!(p&1)?(k[o+(k[(k[o>>2]|0)+-12>>2]|0)+12>>2]=35,p=o+(k[(k[o>>2]|0)+-12>>2]|0)+4|0,k[p>>2]=k[p>>2]&-177|32,B=0,p=ya(427,k[a+4>>2]|0)|0,q=B,B=0,!(q&1)):0)?(q=Lta(p)|0,B=0,s=Ia(40,o|0,p|0,q|0)|0,q=B,B=0,!(q&1)):0)?(B=0,q=Ia(40,s|0,149175,1)|0,s=B,B=0,!(s&1)):0)?(s=k[a+8>>2]|0,p=Lta(s)|0,B=0,o=Ia(40,q|0,s|0,p|0)|0,p=B,B=0,!(p&1)):0)?(B=0,Ia(40,o|0,149177,1)|0,o=B,B=0,!(o&1)):0)?(B=0,wa(510,e|0,g|0),o=B,B=0,!(o&1)):0){B=0;ya(424,e|0)|0;o=B;B=0;if(!(o&1)){Yua(e);k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);r=b;return}o=Rb()|0;p=Q;Yua(e);t=p;u=o;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(u|0)}o=Rb()|0;t=Q;u=o;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(u|0)}while(0);i=m;j=n;vva(f);Qb(j|0)}function HV(a){a=a|0;return 618}function IV(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;b=Qqa(12)|0;c=k[a+4>>2]|0;d=k[a+8>>2]|0;k[b>>2]=35968;k[b+4>>2]=c;c=(Lta(d)|0)+1|0;B=0;a=ya(422,c|0)|0;c=B;B=0;if(c&1){e=Rb()|0;f=Q;Sqa(b);Qb(e|0)}k[b+8>>2]=a;c=(Lta(d)|0)+1|0;if(!d){B=0;ib(283,142353,85118,137,142345);B=0;e=Rb()|0;f=Q;Sqa(b);Qb(e|0)}if(!c)return b|0;TEa(a|0,d|0,c|0)|0;return b|0}function JV(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;if(!(d&-3))n=(Lta(k[a+8>>2]|0)|0)+1|0;else n=0;switch(d|0){case 0:{d=k[b>>2]|0;i[d>>0]=106;i[d+1>>0]=2;i[d+2>>0]=0;i[d+3>>0]=0;d=(k[b>>2]|0)+4|0;k[b>>2]=d;o=a+4|0;p=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[d>>0]=p;i[d+1>>0]=p>>8;i[d+2>>0]=p>>16;i[d+3>>0]=p>>24;p=(k[b>>2]|0)+4|0;k[b>>2]=p;i[p>>0]=n;i[p+1>>0]=n>>8;i[p+2>>0]=n>>16;i[p+3>>0]=n>>24;p=(k[b>>2]|0)+4|0;k[b>>2]=p;d=a+8|0;o=(k[d>>2]|0)==0;i[p>>0]=o&1;p=(k[b>>2]|0)+1|0;k[b>>2]=p;if(o){r=e;return}TEa(p|0,k[d>>2]|0,n|0)|0;k[b>>2]=(k[b>>2]|0)+n;r=e;return}case 2:{d=(k[a+8>>2]|0)==0;p=(k[c>>2]|0)+13|0;k[c>>2]=p;if(d){r=e;return}k[c>>2]=p+n;r=e;return}case 1:{n=(k[b>>2]|0)+4|0;k[b>>2]=n;p=a+4|0;c=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[p>>0]=c;i[p+1>>0]=c>>8;i[p+2>>0]=c>>16;i[p+3>>0]=c>>24;c=k[b>>2]|0;p=c+4|0;k[b>>2]=p;n=l[p>>0]|l[p+1>>0]<<8|l[p+2>>0]<<16|l[p+3>>0]<<24;p=c+8|0;k[b>>2]=p;d=i[p>>0]|0;k[b>>2]=c+9;if(d&1){r=e;return}d=Rqa(n)|0;k[a+8>>2]=d;a=k[b>>2]|0;TEa(d|0,a|0,n|0)|0;k[b>>2]=a+n;r=e;return}default:{e=g+56|0;n=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,n|0);a=B;B=0;if(a&1){a=Rb()|0;q=Q;s=a;vva(e);Qb(s|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,n|0);a=B;B=0;do if(a&1){b=Rb()|0;t=Q;u=b}else{k[n>>2]=27560;b=g+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,n|0,f|0);d=B;B=0;if(d&1){d=Rb()|0;c=Q;Yua(f);Yua(b);Ava(n);t=c;u=d;break}Yua(f);B=0;d=Ia(40,g|0,143951,43)|0;c=B;B=0;if(!(c&1)?(B=0,Xa(239,d|0,0)|0,d=B,B=0,!(d&1)):0){d=Ab(20)|0;B=0;eb(502,h|0,84892,77);c=B;B=0;do if(!(c&1)){B=0;eb(502,j|0,149525,8);p=B;B=0;if(p&1){p=Rb()|0;o=Q;Yua(h);v=o;w=p;break}B=0;wa(510,m|0,n|0);p=B;B=0;if(p&1){p=Rb()|0;x=Q;y=p;z=1}else{B=0;ua(163,d|0,h|0,j|0,64,m|0);p=B;B=0;if(p&1)A=1;else{B=0;eb(503,d|0,1240,229);B=0;A=0}p=Rb()|0;o=Q;Yua(m);x=o;y=p;z=A}Yua(j);Yua(h);if(z){v=x;w=y}else{C=x;D=y;k[g>>2]=27468;k[e>>2]=27488;k[n>>2]=27560;Yua(b);Ava(n);vva(e);Qb(D|0)}}else{p=Rb()|0;v=Q;w=p}while(0);zb(d|0);C=v;D=w;k[g>>2]=27468;k[e>>2]=27488;k[n>>2]=27560;Yua(b);Ava(n);vva(e);Qb(D|0)}c=Rb()|0;C=Q;D=c;k[g>>2]=27468;k[e>>2]=27488;k[n>>2]=27560;Yua(b);Ava(n);vva(e);Qb(D|0)}while(0);q=t;s=u;vva(e);Qb(s|0)}}}function KV(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=k[a+8>>2]|0;a=(Lta(c)|0)+1|0;d=Rqa(a)|0;if(!c)yb(142353,85118,137,142345);if(!a){k[b>>2]=d;return}else e=0;do{i[d+e>>0]=i[c+e>>0]|0;e=e+1|0}while((e|0)!=(a|0));k[b>>2]=d;return}function LV(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+8|0;a=k[c>>2]|0;if(a)Tqa(a);k[c>>2]=0;a=(Lta(b)|0)+1|0;d=Rqa(a)|0;k[c>>2]=d;if(!b)yb(142353,85118,137,142345);if(!a)return;TEa(d|0,b|0,a|0)|0;return}function MV(a){a=a|0;return k[a+4>>2]|0}function NV(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86577,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84970,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,43,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function OV(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85796,25)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84970,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,44,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function PV(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85760,35)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84970,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,45,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function QV(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85760,35)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84970,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,46,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function RV(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86549,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84970,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,47,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function SV(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;b=r;r=r+192|0;d=b+176|0;e=b+40|0;f=b+24|0;g=b+12|0;h=b;b=e+56|0;i=e+4|0;k[e>>2]=27524;k[b>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(b);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[b>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,86115,6)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,k[a+4>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,86504,44)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,84970,87);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,86325,17);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,f|0,g|0,48,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}while(0);l=o;m=p;vva(b);Qb(m|0)}function TV(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86450,29)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84970,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,50,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function UV(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86416,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84970,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,51,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function VV(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86416,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84970,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,52,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function WV(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;f=e+12|0;g=e;e=c+56|0;h=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(e);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;p=Ia(40,c|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85695,29)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,b|0,84970,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(b);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,b|0,f|0,53,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(b);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}function XV(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86364,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84970,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,54,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function YV(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86343,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84970,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,55,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function ZV(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,85058,19)|0;q=B;B=0;if((((((!(q&1)?(q=a+4|0,B=0,s=Xa(242,p|0,k[q>>2]|0)|0,p=B,B=0,!(p&1)):0)?(B=0,p=Ia(40,s|0,144166,2)|0,s=B,B=0,!(s&1)):0)?(B=0,s=ya(427,k[q>>2]|0)|0,q=B,B=0,!(q&1)):0)?(q=Lta(s)|0,B=0,t=Ia(40,p|0,s|0,q|0)|0,q=B,B=0,!(q&1)):0)?(B=0,q=Ia(40,t|0,85078,22)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,e|0,84970,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);s=B;B=0;if(s&1){s=Rb()|0;p=Q;Yua(e);u=p;v=s;break}B=0;wa(510,g|0,h|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,q|0,e|0,f|0,56,g|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,q|0,1240,229);B=0;z=0}s=Rb()|0;p=Q;Yua(g);w=p;x=s;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(q|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function _V(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85648,24)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84970,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,57,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function $V(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85625,22)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84970,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,59,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function aW(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85601,23)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84970,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,60,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function bW(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;c=e+56|0;i=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(c);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,86115,6)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,k[a+4>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,85579,21)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,84970,87);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,86106,8);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,f|0,g|0,61,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}while(0);l=o;m=p;vva(c);Qb(m|0)}function cW(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86245,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84970,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,63,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function dW(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86213,31)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84970,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,64,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function eW(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86213,31)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84970,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,65,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function fW(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86188,24)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84970,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,66,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function gW(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86188,24)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84970,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,67,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function hW(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86169,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84970,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,68,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function iW(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86150,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84970,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,69,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function jW(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85465,19)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,84970,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,70,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function kW(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;f=e+12|0;g=e;e=c+56|0;h=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(e);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;p=Ia(40,c|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85340,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,b|0,84970,87);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(b);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,b|0,f|0,71,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(b);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}function lW(a,b){a=a|0;b=b|0;k[a+4>>2]=b;return}function mW(a){a=a|0;k[a>>2]=36120;return}function nW(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0;k[a>>2]=36120;k[a+4>>2]=b;k[a+8>>2]=f;i[a+12>>0]=e&1;e=f>>>0>536870911?-1:f<<3;b=Rqa(e)|0;k[a+16>>2]=b;if(!c)yb(142353,85118,137,142345);g=(f|0)==0;if(!g)TEa(b|0,c|0,f<<3|0)|0;c=Rqa(e)|0;k[a+20>>2]=c;if(!d)yb(142353,85118,137,142345);if(g)return;TEa(c|0,d|0,f<<3|0)|0;return}function oW(a){a=a|0;var b=0,c=0;k[a>>2]=36120;b=a+16|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+20|0;a=k[b>>2]|0;if(!a){k[b>>2]=0;return}Tqa(a);k[b>>2]=0;return}function pW(a){a=a|0;var b=0,c=0;k[a>>2]=36120;b=a+16|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=k[a+20>>2]|0;if(!b){Sqa(a);return}Tqa(b);Sqa(a);return}function qW(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;b=r;r=r+464|0;c=b+452|0;d=b+304|0;e=b+440|0;f=b+152|0;g=b+288|0;h=b+16|0;i=b;j=d+56|0;l=d+4|0;k[d>>2]=27524;k[j>>2]=27544;B=0;wa(508,d+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(j);Qb(o|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[j>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){p=Rb()|0;q=Q;s=p}else{k[l>>2]=27560;p=d+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,l|0,c|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(c);Yua(p);Ava(l);q=u;s=t;break}Yua(c);B=0;Ia(40,d|0,85211,16)|0;t=B;B=0;do if(!(t&1)?(B=0,wa(510,e|0,l|0),u=B,B=0,!(u&1)):0){B=0;ya(424,e|0)|0;u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}Yua(e);k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);u=f+56|0;v=f+4|0;k[f>>2]=27524;k[u>>2]=27544;B=0;wa(508,f+56|0,v|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;A=y;vva(u);Qb(A|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[u>>2]=27488;B=0;va(448,v|0);y=B;B=0;do if(y&1){C=Rb()|0;D=Q;E=C}else{k[v>>2]=27560;C=f+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,v|0,c|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(c);Yua(C);Ava(v);D=G;E=F;break}Yua(c);B=0;F=Ia(40,f|0,85228,9)|0;G=B;B=0;do if((((((!(G&1)?(H=a+4|0,B=0,I=Xa(242,F|0,k[H>>2]|0)|0,J=B,B=0,!(J&1)):0)?(B=0,J=Ia(40,I|0,144166,2)|0,I=B,B=0,!(I&1)):0)?(B=0,I=ya(427,k[H>>2]|0)|0,H=B,B=0,!(H&1)):0)?(H=Lta(I)|0,B=0,K=Ia(40,J|0,I|0,H|0)|0,H=B,B=0,!(H&1)):0)?(B=0,Ia(40,K|0,145593,2)|0,K=B,B=0,!(K&1)):0)?(B=0,wa(510,g|0,v|0),K=B,B=0,!(K&1)):0){B=0;ya(424,g|0)|0;K=B;B=0;if(K&1){K=Rb()|0;H=Q;Yua(g);L=H;M=K;break}Yua(g);k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(C);Ava(v);vva(u);K=h+56|0;H=h+4|0;k[h>>2]=27524;k[K>>2]=27544;B=0;wa(508,h+56|0,H|0);I=B;B=0;if(I&1){I=Rb()|0;N=Q;O=I;vva(K);Qb(O|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[K>>2]=27488;B=0;va(448,H|0);I=B;B=0;do if(I&1){J=Rb()|0;P=Q;R=J}else{k[H>>2]=27560;J=h+36|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;k[J+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,H|0,c|0);S=B;B=0;if(S&1){S=Rb()|0;T=Q;Yua(c);Yua(J);Ava(H);P=T;R=S;break}Yua(c);B=0;S=Ia(40,h|0,85238,9)|0;T=B;B=0;do if(!(T&1)){B=0;U=Xa(242,S|0,k[a+8>>2]|0)|0;V=B;B=0;if(V&1){W=48;break}B=0;Ia(40,U|0,149177,1)|0;U=B;B=0;if(U&1){W=48;break}B=0;wa(510,i|0,H|0);U=B;B=0;if(U&1){W=48;break}B=0;ya(424,i|0)|0;U=B;B=0;if(U&1){U=Rb()|0;V=Q;Yua(i);X=V;Y=U;break}else{Yua(i);k[h>>2]=27468;k[K>>2]=27488;k[H>>2]=27560;Yua(J);Ava(H);vva(K);r=b;return}}else W=48;while(0);if((W|0)==48){S=Rb()|0;X=Q;Y=S}k[h>>2]=27468;k[K>>2]=27488;k[H>>2]=27560;Yua(J);Ava(H);vva(K);Z=X;_=Y;Qb(_|0)}while(0);N=P;O=R;vva(K);Qb(O|0)}else W=45;while(0);if((W|0)==45){F=Rb()|0;L=Q;M=F}k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(C);Ava(v);vva(u);Z=L;_=M;Qb(_|0)}while(0);z=D;A=E;vva(u);Qb(A|0)}else W=42;while(0);if((W|0)==42){t=Rb()|0;w=Q;x=t}k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);Z=w;_=x;Qb(_|0)}while(0);n=q;o=s;vva(j);Qb(o|0)}function rW(a){a=a|0;return 582}function sW(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;b=Qqa(24)|0;c=k[a+4>>2]|0;d=k[a+16>>2]|0;e=k[a+20>>2]|0;f=i[a+12>>0]|0;g=k[a+8>>2]|0;k[b>>2]=36120;k[b+4>>2]=c;k[b+8>>2]=g;i[b+12>>0]=f;f=g>>>0>536870911?-1:g<<3;B=0;c=ya(422,f|0)|0;a=B;B=0;do if(!(a&1)){k[b+16>>2]=c;if(!d){B=0;ib(283,142353,85118,137,142345);B=0;break}h=(g|0)==0;if(!h)TEa(c|0,d|0,g<<3|0)|0;B=0;j=ya(422,f|0)|0;l=B;B=0;if(!(l&1)){k[b+20>>2]=j;if(!e){B=0;ib(283,142353,85118,137,142345);B=0;break}if(h)return b|0;TEa(j|0,e|0,g<<3|0)|0;return b|0}}while(0);g=Rb()|0;Sqa(b);Qb(g|0);return 0}function tW(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;switch(d|0){case 0:{d=k[b>>2]|0;i[d>>0]=70;i[d+1>>0]=2;i[d+2>>0]=0;i[d+3>>0]=0;d=(k[b>>2]|0)+4|0;k[b>>2]=d;n=a+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;i[o>>0]=i[a+12>>0]|0;o=(k[b>>2]|0)+1|0;k[b>>2]=o;d=a+8|0;n=l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24;i[o>>0]=n;i[o+1>>0]=n>>8;i[o+2>>0]=n>>16;i[o+3>>0]=n>>24;n=(k[b>>2]|0)+4|0;k[b>>2]=n;TEa(n|0,k[a+16>>2]|0,k[d>>2]<<3|0)|0;n=k[d>>2]<<3;o=(k[b>>2]|0)+n|0;k[b>>2]=o;TEa(o|0,k[a+20>>2]|0,n|0)|0;k[b>>2]=(k[b>>2]|0)+(k[d>>2]<<3);r=e;return}case 2:{d=(k[c>>2]|0)+13|0;k[c>>2]=d;n=a+8|0;o=(k[n>>2]<<3)+d|0;k[c>>2]=o;k[c>>2]=(k[n>>2]<<3)+o;r=e;return}case 1:{o=(k[b>>2]|0)+4|0;k[b>>2]=o;n=a+4|0;c=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[n>>0]=c;i[n+1>>0]=c>>8;i[n+2>>0]=c>>16;i[n+3>>0]=c>>24;c=(k[b>>2]|0)+4|0;k[b>>2]=c;i[a+12>>0]=i[c>>0]|0;c=(k[b>>2]|0)+1|0;k[b>>2]=c;n=a+8|0;o=l[c>>0]|l[c+1>>0]<<8|l[c+2>>0]<<16|l[c+3>>0]<<24;i[n>>0]=o;i[n+1>>0]=o>>8;i[n+2>>0]=o>>16;i[n+3>>0]=o>>24;k[b>>2]=(k[b>>2]|0)+4;c=o>>>0>536870911?-1:o<<3;d=Rqa(c)|0;k[a+16>>2]=d;p=Rqa(c)|0;c=a+20|0;k[c>>2]=p;p=k[b>>2]|0;a=o<<3;TEa(d|0,p|0,a|0)|0;d=p+a|0;k[b>>2]=d;TEa(k[c>>2]|0,d|0,a|0)|0;k[b>>2]=(k[b>>2]|0)+(k[n>>2]<<3);r=e;return}default:{e=g+56|0;n=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,n|0);b=B;B=0;if(b&1){b=Rb()|0;q=Q;s=b;vva(e);Qb(s|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,n|0);b=B;B=0;do if(b&1){a=Rb()|0;t=Q;u=a}else{k[n>>2]=27560;a=g+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,n|0,f|0);d=B;B=0;if(d&1){d=Rb()|0;c=Q;Yua(f);Yua(a);Ava(n);t=c;u=d;break}Yua(f);B=0;d=Ia(40,g|0,143951,43)|0;c=B;B=0;if(!(c&1)?(B=0,Xa(239,d|0,0)|0,d=B,B=0,!(d&1)):0){d=Ab(20)|0;B=0;eb(502,h|0,85248,80);c=B;B=0;do if(!(c&1)){B=0;eb(502,j|0,149525,8);p=B;B=0;if(p&1){p=Rb()|0;o=Q;Yua(h);v=o;w=p;break}B=0;wa(510,m|0,n|0);p=B;B=0;if(p&1){p=Rb()|0;x=Q;y=p;z=1}else{B=0;ua(163,d|0,h|0,j|0,78,m|0);p=B;B=0;if(p&1)A=1;else{B=0;eb(503,d|0,1240,229);B=0;A=0}p=Rb()|0;o=Q;Yua(m);x=o;y=p;z=A}Yua(j);Yua(h);if(z){v=x;w=y}else{C=x;D=y;k[g>>2]=27468;k[e>>2]=27488;k[n>>2]=27560;Yua(a);Ava(n);vva(e);Qb(D|0)}}else{p=Rb()|0;v=Q;w=p}while(0);zb(d|0);C=v;D=w;k[g>>2]=27468;k[e>>2]=27488;k[n>>2]=27560;Yua(a);Ava(n);vva(e);Qb(D|0)}c=Rb()|0;C=Q;D=c;k[g>>2]=27468;k[e>>2]=27488;k[n>>2]=27560;Yua(a);Ava(n);vva(e);Qb(D|0)}while(0);q=t;s=u;vva(e);Qb(s|0)}}}function uW(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0.0,f=0.0,g=0,h=0,j=0,l=0.0,m=0,n=0,o=0.0,q=0.0,r=0,s=0.0,t=0,u=0;d=k[a+20>>2]|0;e=+p[d>>3];if(e>c){f=+p[k[a+16>>2]>>3];p[b>>3]=f;return}g=k[a+8>>2]|0;h=g+-1|0;if(!(+p[d+(h<<3)>>3]<c)?(i[a+12>>0]|0)!=0:0){if((g|0)<=0){f=0.0;p[b>>3]=f;return}a:do if(e==c)j=0;else{l=e;m=0;while(1){n=m+1|0;if(l<c?(o=+p[d+(n<<3)>>3],o>c):0){q=l;r=n;s=o;t=m;break}if((n|0)>=(g|0)){f=0.0;u=14;break}l=+p[d+(n<<3)>>3];if(l==c){j=n;break a}else m=n}if((u|0)==14){p[b>>3]=f;return}l=(c-q)/(s-q);m=k[a+16>>2]|0;f=(1.0-l)*+p[m+(t<<3)>>3]+l*+p[m+(r<<3)>>3];p[b>>3]=f;return}while(0);f=+p[(k[a+16>>2]|0)+(j<<3)>>3];p[b>>3]=f;return}f=+p[(k[a+16>>2]|0)+(h<<3)>>3];p[b>>3]=f;return}function vW(a){a=a|0;return k[a+4>>2]|0}function wW(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86577,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,85374,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,45,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function xW(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85796,25)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,85374,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,46,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function yW(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85760,35)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,85374,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,47,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function zW(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85725,34)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,85374,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,48,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function AW(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86549,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,85374,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,49,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function BW(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86480,23)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,85374,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,51,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function CW(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86450,29)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,85374,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,52,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function DW(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86416,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,85374,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,53,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function EW(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86416,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,85374,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,54,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function FW(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;f=e+12|0;g=e;e=c+56|0;h=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(e);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;p=Ia(40,c|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85695,29)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,b|0,85374,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(b);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,b|0,f|0,55,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(b);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}function GW(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86364,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,85374,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,56,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function HW(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86343,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,85374,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,57,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function IW(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85673,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,85374,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,58,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function JW(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85648,24)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,85374,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,59,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function KW(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85625,22)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,85374,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,61,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function LW(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85601,23)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,85374,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,62,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function MW(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;c=e+56|0;i=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(c);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,85329,10)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,k[a+4>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,85579,21)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,85374,90);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,86106,8);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,f|0,g|0,63,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}while(0);l=o;m=p;vva(c);Qb(m|0)}function NW(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86273,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,85374,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,64,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function OW(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86245,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,85374,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,65,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function PW(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85543,35)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,85374,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,66,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function QW(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86213,31)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,85374,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,67,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function RW(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85514,28)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,85374,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,68,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function SW(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85485,28)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,85374,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,69,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function TW(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86169,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,85374,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,70,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function UW(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86150,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,85374,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,71,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function VW(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85465,19)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,85374,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,72,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function WW(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;f=e+12|0;g=e;e=c+56|0;h=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(e);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;p=Ia(40,c|0,85329,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85340,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,b|0,85374,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(b);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,b|0,f|0,73,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(b);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}function XW(a,b){a=a|0;b=b|0;k[a+4>>2]=b;return}function YW(a){a=a|0;k[a>>2]=36272;k[a+8>>2]=0;return}function ZW(a,b,c){a=a|0;b=b|0;c=c|0;k[a>>2]=36272;k[a+4>>2]=b;b=hh(c)|0;k[a+8>>2]=b;return}function _W(a){a=a|0;var b=0;k[a>>2]=36272;b=k[a+8>>2]|0;if(!b)return;jh(b);Sqa(b);return}function $W(a){a=a|0;var b=0;k[a>>2]=36272;b=k[a+8>>2]|0;if(!b){Sqa(a);return}jh(b);Sqa(b);Sqa(a);return}function aX(a){a=a|0;bX(a);return}function bX(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;b=r;r=r+320|0;c=b+300|0;d=b+152|0;e=b+288|0;f=b+16|0;g=b;h=d+56|0;i=d+4|0;k[d>>2]=27524;k[h>>2]=27544;B=0;wa(508,d+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(h);Qb(m|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[h>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=d+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,i|0,c|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(c);Yua(n);Ava(i);o=s;p=q;break}Yua(c);k[d+(k[(k[d>>2]|0)+-12>>2]|0)+12>>2]=22;B=0;q=Ia(40,d|0,85837,16)|0;s=B;B=0;do if((((!(s&1)?(k[q+(k[(k[q>>2]|0)+-12>>2]|0)+12>>2]=35,t=q+(k[(k[q>>2]|0)+-12>>2]|0)+4|0,k[t>>2]=k[t>>2]&-177|32,t=a+4|0,B=0,u=ya(427,k[t>>2]|0)|0,v=B,B=0,!(v&1)):0)?(v=Lta(u)|0,B=0,w=Ia(40,q|0,u|0,v|0)|0,v=B,B=0,!(v&1)):0)?(B=0,Ia(40,w|0,85854,13)|0,w=B,B=0,!(w&1)):0)?(B=0,wa(510,e|0,i|0),w=B,B=0,!(w&1)):0){B=0;ya(424,e|0)|0;w=B;B=0;if(w&1){w=Rb()|0;v=Q;Yua(e);x=v;y=w;break}Yua(e);k[d>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);oh(k[a+8>>2]|0);w=f+56|0;v=f+4|0;k[f>>2]=27524;k[w>>2]=27544;B=0;wa(508,f+56|0,v|0);u=B;B=0;if(u&1){u=Rb()|0;z=Q;A=u;vva(w);Qb(A|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[w>>2]=27488;B=0;va(448,v|0);u=B;B=0;do if(u&1){C=Rb()|0;D=Q;E=C}else{k[v>>2]=27560;C=f+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,v|0,c|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(c);Yua(C);Ava(v);D=G;E=F;break}Yua(c);k[f+(k[(k[f>>2]|0)+-12>>2]|0)+12>>2]=22;B=0;F=Ia(40,f|0,85837,16)|0;G=B;B=0;do if(((!(G&1)?(k[F+(k[(k[F>>2]|0)+-12>>2]|0)+12>>2]=35,H=F+(k[(k[F>>2]|0)+-12>>2]|0)+4|0,k[H>>2]=k[H>>2]&-177|32,B=0,H=ya(427,k[t>>2]|0)|0,I=B,B=0,!(I&1)):0)?(I=Lta(H)|0,B=0,J=Ia(40,F|0,H|0,I|0)|0,I=B,B=0,!(I&1)):0)?(B=0,Ia(40,J|0,85868,11)|0,J=B,B=0,!(J&1)):0){B=0;wa(510,g|0,v|0);J=B;B=0;if(J&1){K=33;break}B=0;ya(424,g|0)|0;J=B;B=0;if(J&1){J=Rb()|0;I=Q;Yua(g);L=I;M=J;break}else{Yua(g);k[f>>2]=27468;k[w>>2]=27488;k[v>>2]=27560;Yua(C);Ava(v);vva(w);r=b;return}}else K=33;while(0);if((K|0)==33){F=Rb()|0;L=Q;M=F}k[f>>2]=27468;k[w>>2]=27488;k[v>>2]=27560;Yua(C);Ava(v);vva(w);N=L;O=M;Qb(O|0)}while(0);z=D;A=E;vva(w);Qb(A|0)}else K=30;while(0);if((K|0)==30){q=Rb()|0;x=Q;y=q}k[d>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);N=x;O=y;Qb(O|0)}while(0);l=o;m=p;vva(h);Qb(m|0)}function cX(a){a=a|0;return 563}function dX(a){a=a|0;var b=0,c=0,d=0;b=Qqa(12)|0;c=k[a+4>>2]|0;d=k[a+8>>2]|0;k[b>>2]=36272;k[b+4>>2]=c;B=0;c=ya(432,d|0)|0;d=B;B=0;if(d&1){d=Rb()|0;Sqa(b);Qb(d|0)}else{k[b+8>>2]=c;return b|0}return 0}function eX(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;switch(d|0){case 1:{n=Qqa(36)|0;B=0;va(480,n|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Sqa(n);q=o;s=p;Qb(q|0)}else{k[a+8>>2]=n;n=(k[b>>2]|0)+4|0;k[b>>2]=n;p=a+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[p>>0]=o;i[p+1>>0]=o>>8;i[p+2>>0]=o>>16;i[p+3>>0]=o>>24;k[b>>2]=(k[b>>2]|0)+4;t=a+8|0;u=k[t>>2]|0;lh(u,b,c,d);r=e;return}break}case 0:{o=k[b>>2]|0;i[o>>0]=51;i[o+1>>0]=2;i[o+2>>0]=0;i[o+3>>0]=0;o=(k[b>>2]|0)+4|0;k[b>>2]=o;p=a+4|0;n=l[p>>0]|l[p+1>>0]<<8|l[p+2>>0]<<16|l[p+3>>0]<<24;i[o>>0]=n;i[o+1>>0]=n>>8;i[o+2>>0]=n>>16;i[o+3>>0]=n>>24;k[b>>2]=(k[b>>2]|0)+4;t=a+8|0;u=k[t>>2]|0;lh(u,b,c,d);r=e;return}case 2:{k[c>>2]=(k[c>>2]|0)+8;t=a+8|0;u=k[t>>2]|0;lh(u,b,c,d);r=e;return}default:{e=g+56|0;d=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,d|0);c=B;B=0;if(c&1){c=Rb()|0;v=Q;w=c;vva(e);Qb(w|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,d|0);c=B;B=0;do if(c&1){b=Rb()|0;x=Q;y=b}else{k[d>>2]=27560;b=g+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,d|0,f|0);u=B;B=0;if(u&1){u=Rb()|0;t=Q;Yua(f);Yua(b);Ava(d);x=t;y=u;break}Yua(f);B=0;u=Ia(40,g|0,143951,43)|0;t=B;B=0;a:do if(!(t&1)?(B=0,Xa(239,u|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,h|0,85880,78);n=B;B=0;do if(!(n&1)){B=0;eb(502,j|0,149525,8);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(h);z=p;A=o;break}B=0;wa(510,m|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;C=o;D=Q;E=1}else{B=0;ua(163,a|0,h|0,j|0,64,m|0);o=B;B=0;if(o&1)F=1;else{B=0;eb(503,a|0,1240,229);B=0;F=0}o=Rb()|0;p=Q;Yua(m);C=o;D=p;E=F}Yua(j);Yua(h);if(E){z=D;A=C}else{G=D;H=C;break a}}else{p=Rb()|0;z=Q;A=p}while(0);zb(a|0);G=z;H=A}else I=19;while(0);if((I|0)==19){u=Rb()|0;G=Q;H=u}k[g>>2]=27468;k[e>>2]=27488;k[d>>2]=27560;Yua(b);Ava(d);vva(e);q=H;s=G;Qb(q|0)}while(0);v=x;w=y;vva(e);Qb(w|0)}}}function fX(a,b){a=a|0;b=b|0;var c=0;c=hh(k[a+8>>2]|0)|0;k[b>>2]=c;return}function gX(a){a=a|0;return k[a+4>>2]|0}function hX(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86577,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,86017,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,43,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function iX(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86549,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,86017,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,44,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function jX(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86549,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,86017,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,45,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function kX(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86549,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,86017,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,46,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function lX(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86549,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,86017,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,47,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function mX(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;b=r;r=r+192|0;d=b+176|0;e=b+40|0;f=b+24|0;g=b+12|0;h=b;b=e+56|0;i=e+4|0;k[e>>2]=27524;k[b>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(b);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[b>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,86115,6)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,k[a+4>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,86504,44)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,86017,88);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,86325,17);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,f|0,g|0,48,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}while(0);l=o;m=p;vva(b);Qb(m|0)}function nX(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86480,23)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,86017,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,50,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function oX(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86450,29)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,86017,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,51,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function pX(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86416,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,86017,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,52,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function qX(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86416,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,86017,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,53,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function rX(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;f=e+12|0;g=e;e=c+56|0;h=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(e);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;p=Ia(40,c|0,85959,22)|0;q=B;B=0;if((((((!(q&1)?(q=a+4|0,B=0,s=Xa(242,p|0,k[q>>2]|0)|0,p=B,B=0,!(p&1)):0)?(B=0,p=Ia(40,s|0,144166,2)|0,s=B,B=0,!(s&1)):0)?(B=0,s=ya(427,k[q>>2]|0)|0,q=B,B=0,!(q&1)):0)?(q=Lta(s)|0,B=0,t=Ia(40,p|0,s|0,q|0)|0,q=B,B=0,!(q&1)):0)?(B=0,q=Ia(40,t|0,86385,30)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,86017,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);s=B;B=0;if(s&1){s=Rb()|0;p=Q;Yua(b);u=p;v=s;break}B=0;wa(510,g|0,h|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,q|0,b|0,f|0,54,g|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,q|0,1240,229);B=0;z=0}s=Rb()|0;p=Q;Yua(g);w=p;x=s;y=z}Yua(f);Yua(b);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(q|0);A=u;C=v;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}function sX(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86364,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,86017,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,55,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function tX(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86343,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,86017,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,56,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function uX(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86295,29)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,86017,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,49,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function vX(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86273,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,86017,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,59,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function wX(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86273,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,86017,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,60,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function xX(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;c=e+56|0;i=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(c);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,86115,6)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,k[a+4>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,86273,21)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,86017,88);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,86106,8);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,f|0,g|0,61,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}while(0);l=o;m=p;vva(c);Qb(m|0)}function yX(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86273,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,86017,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,62,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function zX(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86245,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,86017,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,64,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function AX(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86213,31)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,86017,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,65,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function BX(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86213,31)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,86017,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,66,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function CX(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86188,24)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,86017,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,67,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function DX(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86188,24)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,86017,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,68,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function EX(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86169,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,86017,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,69,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function FX(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86150,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,86017,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,70,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function GX(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+4>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86122,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,86017,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,63,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function HX(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;f=e+12|0;g=e;e=c+56|0;h=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(e);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;p=Ia(40,c|0,85959,22)|0;q=B;B=0;if((((((!(q&1)?(q=a+4|0,B=0,s=Xa(242,p|0,k[q>>2]|0)|0,p=B,B=0,!(p&1)):0)?(B=0,p=Ia(40,s|0,144166,2)|0,s=B,B=0,!(s&1)):0)?(B=0,s=ya(427,k[q>>2]|0)|0,q=B,B=0,!(q&1)):0)?(q=Lta(s)|0,B=0,t=Ia(40,p|0,s|0,q|0)|0,q=B,B=0,!(q&1)):0)?(B=0,q=Ia(40,t|0,85982,34)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,86017,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);s=B;B=0;if(s&1){s=Rb()|0;p=Q;Yua(b);u=p;v=s;break}B=0;wa(510,g|0,h|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,q|0,b|0,f|0,72,g|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,q|0,1240,229);B=0;z=0}s=Rb()|0;p=Q;Yua(g);w=p;x=s;y=z}Yua(f);Yua(b);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(q|0);A=u;C=v;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}function IX(a,b){a=a|0;b=b|0;k[a+4>>2]=b;return}function JX(a){a=a|0;k[a>>2]=36424;p[a+8>>3]=F;p[a+72>>3]=F;p[a+136>>3]=F;p[a+16>>3]=F;p[a+80>>3]=F;p[a+144>>3]=F;p[a+24>>3]=F;p[a+88>>3]=F;p[a+152>>3]=F;p[a+32>>3]=F;p[a+96>>3]=F;p[a+160>>3]=F;p[a+40>>3]=F;p[a+104>>3]=F;p[a+168>>3]=F;p[a+48>>3]=F;p[a+112>>3]=F;p[a+176>>3]=F;p[a+56>>3]=F;p[a+120>>3]=F;p[a+184>>3]=F;p[a+64>>3]=F;p[a+128>>3]=F;p[a+192>>3]=F;return}function KX(a){a=a|0;return}function LX(a){a=a|0;Sqa(a);return}function MX(a){a=a|0;var b=0;b=Qqa(200)|0;k[b>>2]=36424;p[b+48>>3]=F;p[b+112>>3]=F;p[b+176>>3]=F;p[b+56>>3]=F;p[b+120>>3]=F;p[b+184>>3]=F;p[b+64>>3]=F;p[b+128>>3]=F;p[b+192>>3]=F;p[b+8>>3]=+p[a+8>>3];p[b+72>>3]=+p[a+72>>3];p[b+136>>3]=+p[a+136>>3];p[b+16>>3]=+p[a+16>>3];p[b+80>>3]=+p[a+80>>3];p[b+144>>3]=+p[a+144>>3];p[b+24>>3]=+p[a+24>>3];p[b+88>>3]=+p[a+88>>3];p[b+152>>3]=+p[a+152>>3];p[b+32>>3]=+p[a+32>>3];p[b+96>>3]=+p[a+96>>3];p[b+160>>3]=+p[a+160>>3];p[b+40>>3]=+p[a+40>>3];p[b+104>>3]=+p[a+104>>3];p[b+168>>3]=+p[a+168>>3];p[b+48>>3]=+p[a+48>>3];p[b+112>>3]=+p[a+112>>3];p[b+176>>3]=+p[a+176>>3];p[b+56>>3]=+p[a+56>>3];p[b+120>>3]=+p[a+120>>3];p[b+184>>3]=+p[a+184>>3];p[b+64>>3]=+p[a+64>>3];p[b+128>>3]=+p[a+128>>3];p[b+192>>3]=+p[a+192>>3];return b|0}function NX(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;a=r;r=r+496|0;b=a+476|0;c=a+328|0;d=a+464|0;e=a+192|0;f=a+176|0;g=a+40|0;h=a+24|0;i=a+12|0;j=a;a=c+56|0;l=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(a);Qb(o|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){p=Rb()|0;q=Q;s=p}else{k[l>>2]=27560;p=c+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,l|0,b|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);Yua(p);Ava(l);q=u;s=t;break}Yua(b);B=0;Ia(40,c|0,86609,10)|0;t=B;B=0;do if(!(t&1)?(B=0,wa(510,d|0,l|0),u=B,B=0,!(u&1)):0){B=0;ya(424,d|0)|0;u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(d);w=v;x=u;break}Yua(d);k[c>>2]=27468;k[a>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(a);u=e+56|0;v=e+4|0;k[e>>2]=27524;k[u>>2]=27544;B=0;wa(508,e+56|0,v|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;A=y;vva(u);Qb(A|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[u>>2]=27488;B=0;va(448,v|0);y=B;B=0;do if(y&1){C=Rb()|0;D=Q;E=C}else{k[v>>2]=27560;C=e+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[e+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,v|0,b|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(b);Yua(C);Ava(v);D=G;E=F;break}Yua(b);B=0;Ia(40,e|0,86620,15)|0;F=B;B=0;do if(!(F&1)?(B=0,wa(510,f|0,v|0),G=B,B=0,!(G&1)):0){B=0;ya(424,f|0)|0;G=B;B=0;if(G&1){G=Rb()|0;H=Q;Yua(f);I=H;J=G;break}Yua(f);k[e>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(C);Ava(v);vva(u);G=g+56|0;H=g+4|0;k[g>>2]=27524;k[G>>2]=27544;B=0;wa(508,g+56|0,H|0);K=B;B=0;if(K&1){K=Rb()|0;L=Q;M=K;vva(G);Qb(M|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[G>>2]=27488;B=0;va(448,H|0);K=B;B=0;do if(K&1){N=Rb()|0;O=Q;P=N}else{k[H>>2]=27560;N=g+36|0;k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;k[N+12>>2]=0;k[g+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,H|0,b|0);R=B;B=0;if(R&1){R=Rb()|0;S=Q;Yua(b);Yua(N);Ava(H);O=S;P=R;break}Yua(b);B=0;R=Ia(40,g|0,149721,19)|0;S=B;B=0;a:do if(S&1)T=44;else{B=0;Xa(239,R|0,0)|0;U=B;B=0;if(U&1){T=44;break}U=Ab(20)|0;B=0;eb(502,h|0,86636,67);V=B;B=0;do if(!(V&1)){B=0;eb(502,i|0,149562,4);W=B;B=0;if(W&1){W=Rb()|0;X=Q;Yua(h);Y=X;Z=W;break}B=0;wa(510,j|0,H|0);W=B;B=0;if(W&1){W=Rb()|0;_=1;$=Q;aa=W}else{B=0;ua(163,U|0,h|0,i|0,47,j|0);W=B;B=0;if(W&1)ba=1;else{B=0;eb(503,U|0,1240,229);B=0;ba=0}W=Rb()|0;X=Q;Yua(j);_=ba;$=X;aa=W}Yua(i);Yua(h);if(_){Y=$;Z=aa}else{ca=$;da=aa;break a}}else{W=Rb()|0;Y=Q;Z=W}while(0);zb(U|0);ca=Y;da=Z}while(0);if((T|0)==44){R=Rb()|0;ca=Q;da=R}k[g>>2]=27468;k[G>>2]=27488;k[H>>2]=27560;Yua(N);Ava(H);vva(G);ea=ca;fa=da;Qb(fa|0)}while(0);L=O;M=P;vva(G);Qb(M|0)}else T=41;while(0);if((T|0)==41){F=Rb()|0;I=Q;J=F}k[e>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(C);Ava(v);vva(u);ea=I;fa=J;Qb(fa|0)}while(0);z=D;A=E;vva(u);Qb(A|0)}else T=38;while(0);if((T|0)==38){t=Rb()|0;w=Q;x=t}k[c>>2]=27468;k[a>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(a);ea=w;fa=x;Qb(fa|0)}while(0);n=q;o=s;vva(a);Qb(o|0)}function OX(a){a=a|0;Ec[k[(k[a>>2]|0)+8>>2]&1023](a);return}function PX(a){a=a|0;return -1}function QX(a){a=a|0;return 595}function RX(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;l=e;switch(d|0){case 0:{d=k[b>>2]|0;i[d>>0]=83;i[d+1>>0]=2;i[d+2>>0]=0;i[d+3>>0]=0;d=(k[b>>2]|0)+4|0;k[b>>2]=d;i[d>>0]=0;d=(k[b>>2]|0)+1|0;k[b>>2]=d;m=d;d=a+8|0;n=m+64|0;do{i[m>>0]=i[d>>0]|0;m=m+1|0;d=d+1|0}while((m|0)<(n|0));o=(k[b>>2]|0)+64|0;k[b>>2]=o;i[o>>0]=0;o=(k[b>>2]|0)+1|0;k[b>>2]=o;m=o;d=a+72|0;n=m+64|0;do{i[m>>0]=i[d>>0]|0;m=m+1|0;d=d+1|0}while((m|0)<(n|0));o=(k[b>>2]|0)+64|0;k[b>>2]=o;i[o>>0]=0;o=(k[b>>2]|0)+1|0;k[b>>2]=o;m=o;d=a+136|0;n=m+64|0;do{i[m>>0]=i[d>>0]|0;m=m+1|0;d=d+1|0}while((m|0)<(n|0));k[b>>2]=(k[b>>2]|0)+64;r=e;return}case 2:{k[c>>2]=(k[c>>2]|0)+199;r=e;return}case 1:{c=k[b>>2]|0;d=c+4|0;k[b>>2]=d;m=c+5|0;n=(i[d>>0]&1)==0;d=c+69|0;c=n?d:m;k[b>>2]=n?d:m;m=(i[c>>0]&1)==0?c+65|0:c+1|0;k[b>>2]=m;c=i[m>>0]|0;k[b>>2]=m+1;if(c&1){r=e;return}k[b>>2]=m+65;r=e;return}default:{e=g+56|0;m=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,m|0);b=B;B=0;if(b&1){b=Rb()|0;p=Q;q=b;vva(e);Qb(q|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,m|0);b=B;B=0;do if(b&1){c=Rb()|0;s=Q;t=c}else{k[m>>2]=27560;c=g+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,m|0,f|0);d=B;B=0;if(d&1){d=Rb()|0;n=Q;Yua(f);Yua(c);Ava(m);s=n;t=d;break}Yua(f);B=0;d=Ia(40,g|0,143951,43)|0;n=B;B=0;if(!(n&1)?(B=0,Xa(239,d|0,0)|0,d=B,B=0,!(d&1)):0){d=Ab(20)|0;B=0;eb(502,h|0,86636,67);n=B;B=0;do if(!(n&1)){B=0;eb(502,j|0,149525,8);a=B;B=0;if(a&1){a=Rb()|0;o=Q;Yua(h);u=o;v=a;break}B=0;wa(510,l|0,m|0);a=B;B=0;if(a&1){a=Rb()|0;w=Q;x=a;y=1}else{B=0;ua(163,d|0,h|0,j|0,69,l|0);a=B;B=0;if(a&1)z=1;else{B=0;eb(503,d|0,1240,229);B=0;z=0}a=Rb()|0;o=Q;Yua(l);w=o;x=a;y=z}Yua(j);Yua(h);if(y){u=w;v=x}else{A=w;C=x;k[g>>2]=27468;k[e>>2]=27488;k[m>>2]=27560;Yua(c);Ava(m);vva(e);Qb(C|0)}}else{a=Rb()|0;u=Q;v=a}while(0);zb(d|0);A=u;C=v;k[g>>2]=27468;k[e>>2]=27488;k[m>>2]=27560;Yua(c);Ava(m);vva(e);Qb(C|0)}n=Rb()|0;A=Q;C=n;k[g>>2]=27468;k[e>>2]=27488;k[m>>2]=27560;Yua(c);Ava(m);vva(e);Qb(C|0)}while(0);p=s;q=t;vva(e);Qb(q|0)}}}function SX(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0.0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0;d=r;r=r+528|0;e=d+516|0;f=d+368|0;g=d+504|0;h=d+356|0;i=d+344|0;j=d+208|0;l=d+60|0;m=d+48|0;n=d+36|0;o=d+72|0;q=d+24|0;s=d+12|0;u=d;if(!c)uY()|0;c=Ub()|0;v=a+8+(b<<3)|0;w=+$(+(+p[v>>3]));p[t>>3]=w;x=k[t+4>>2]|0;if(!(x>>>0>2146435072|(x|0)==2146435072&(k[t>>2]|0)>>>0>0)){x=f+56|0;y=f+4|0;k[f>>2]=27524;k[x>>2]=27544;B=0;wa(508,f+56|0,y|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;C=z;vva(x);Qb(C|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[x>>2]=27488;B=0;va(448,y|0);z=B;B=0;do if(z&1){D=Rb()|0;E=Q;F=D}else{k[y>>2]=27560;D=f+36|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;k[D+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,y|0,e|0);G=B;B=0;if(G&1){G=Rb()|0;H=Q;Yua(e);Yua(D);Ava(y);E=H;F=G;break}Yua(e);B=0;G=Ia(40,f|0,86704,18)|0;H=B;B=0;a:do if(!(H&1)?(B=0,Xa(239,G|0,0)|0,I=B,B=0,!(I&1)):0){I=Ab(20)|0;B=0;eb(502,g|0,86636,67);J=B;B=0;do if(!(J&1)){B=0;eb(502,h|0,86723,3);K=B;B=0;if(K&1){K=Rb()|0;L=Q;Yua(g);M=L;N=K;break}B=0;wa(510,i|0,y|0);K=B;B=0;if(K&1){K=Rb()|0;O=K;P=Q;R=1}else{B=0;ua(163,I|0,g|0,h|0,110,i|0);K=B;B=0;if(K&1)S=1;else{B=0;eb(503,I|0,1240,229);B=0;S=0}K=Rb()|0;L=Q;Yua(i);O=K;P=L;R=S}Yua(h);Yua(g);if(R){M=P;N=O}else{T=P;U=O;break a}}else{L=Rb()|0;M=Q;N=L}while(0);zb(I|0);T=M;U=N}else V=19;while(0);if((V|0)==19){G=Rb()|0;T=Q;U=G}k[f>>2]=27468;k[x>>2]=27488;k[y>>2]=27560;Yua(D);Ava(y);vva(x);W=T;X=U;Qb(X|0)}while(0);A=E;C=F;vva(x);Qb(C|0)}p[v>>3]=+(c|0);w=+$(+(+p[a+72+(b<<3)>>3]));p[t>>3]=w;c=k[t+4>>2]|0;if(!(c>>>0>2146435072|(c|0)==2146435072&(k[t>>2]|0)>>>0>0)){c=j+56|0;v=j+4|0;k[j>>2]=27524;k[c>>2]=27544;B=0;wa(508,j+56|0,v|0);C=B;B=0;if(C&1){C=Rb()|0;Y=Q;Z=C;vva(c);Qb(Z|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[c>>2]=27488;B=0;va(448,v|0);C=B;B=0;do if(C&1){x=Rb()|0;_=Q;aa=x}else{k[v>>2]=27560;x=j+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[j+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,v|0,e|0);F=B;B=0;if(F&1){F=Rb()|0;E=Q;Yua(e);Yua(x);Ava(v);_=E;aa=F;break}Yua(e);B=0;F=Ia(40,j|0,86704,18)|0;E=B;B=0;b:do if(!(E&1)?(B=0,Xa(239,F|0,0)|0,A=B,B=0,!(A&1)):0){A=Ab(20)|0;B=0;eb(502,l|0,86636,67);U=B;B=0;do if(!(U&1)){B=0;eb(502,m|0,86723,3);T=B;B=0;if(T&1){T=Rb()|0;y=Q;Yua(l);ba=T;ca=y;break}B=0;wa(510,n|0,v|0);y=B;B=0;if(y&1){y=Rb()|0;da=1;ea=Q;fa=y}else{B=0;ua(163,A|0,l|0,m|0,112,n|0);y=B;B=0;if(y&1)ga=1;else{B=0;eb(503,A|0,1240,229);B=0;ga=0}y=Rb()|0;T=Q;Yua(n);da=ga;ea=T;fa=y}Yua(m);Yua(l);if(da){ba=fa;ca=ea}else{ha=ea;ia=fa;break b}}else{y=Rb()|0;ba=y;ca=Q}while(0);zb(A|0);ha=ca;ia=ba}else V=43;while(0);if((V|0)==43){F=Rb()|0;ha=Q;ia=F}k[j>>2]=27468;k[c>>2]=27488;k[v>>2]=27560;Yua(x);Ava(v);vva(c);W=ha;X=ia;Qb(X|0)}while(0);Y=_;Z=aa;vva(c);Qb(Z|0)}w=+$(+(+p[a+136+(b<<3)>>3]));p[t>>3]=w;b=k[t+4>>2]|0;if(b>>>0>2146435072|(b|0)==2146435072&(k[t>>2]|0)>>>0>0){r=d;return}d=o+56|0;b=o+4|0;k[o>>2]=27524;k[d>>2]=27544;B=0;wa(508,o+56|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;ja=Q;ka=a;vva(d);Qb(ka|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);a=B;B=0;do if(a&1){Z=Rb()|0;la=Q;ma=Z}else{k[b>>2]=27560;Z=o+36|0;k[Z>>2]=0;k[Z+4>>2]=0;k[Z+8>>2]=0;k[Z+12>>2]=0;k[o+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,b|0,e|0);c=B;B=0;if(c&1){c=Rb()|0;aa=Q;Yua(e);Yua(Z);Ava(b);la=aa;ma=c;break}Yua(e);B=0;c=Ia(40,o|0,86704,18)|0;aa=B;B=0;c:do if(!(aa&1)?(B=0,Xa(239,c|0,0)|0,_=B,B=0,!(_&1)):0){_=Ab(20)|0;B=0;eb(502,q|0,86636,67);Y=B;B=0;do if(!(Y&1)){B=0;eb(502,s|0,86723,3);ia=B;B=0;if(ia&1){ia=Rb()|0;ha=Q;Yua(q);na=ia;oa=ha;break}B=0;wa(510,u|0,b|0);ha=B;B=0;if(ha&1){ha=Rb()|0;pa=1;qa=Q;ra=ha}else{B=0;ua(163,_|0,q|0,s|0,114,u|0);ha=B;B=0;if(ha&1)sa=1;else{B=0;eb(503,_|0,1240,229);B=0;sa=0}ha=Rb()|0;ia=Q;Yua(u);pa=sa;qa=ia;ra=ha}Yua(s);Yua(q);if(pa){na=ra;oa=qa}else{ta=qa;xa=ra;break c}}else{ha=Rb()|0;na=ha;oa=Q}while(0);zb(_|0);ta=oa;xa=na}else V=67;while(0);if((V|0)==67){c=Rb()|0;ta=Q;xa=c}k[o>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(Z);Ava(b);vva(d);W=ta;X=xa;Qb(X|0)}while(0);ja=la;ka=ma;vva(d);Qb(ka|0)}function TX(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0.0,q=0.0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0.0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0;d=r;r=r+368|0;e=d+344|0;f=d+208|0;g=d+196|0;h=d+184|0;i=d+36|0;j=d+48|0;l=d+24|0;m=d+12|0;n=d;o=+p[a+8+(b<<3)>>3];q=+$(+o);p[t>>3]=q;b=k[t+4>>2]|0;if(b>>>0>2146435072|(b|0)==2146435072&(k[t>>2]|0)>>>0>0){b=f+56|0;s=f+4|0;k[f>>2]=27524;k[b>>2]=27544;B=0;wa(508,f+56|0,s|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;w=u;vva(b);Qb(w|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[b>>2]=27488;B=0;va(448,s|0);u=B;B=0;do if(u&1){x=Rb()|0;y=Q;z=x}else{k[s>>2]=27560;x=f+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,s|0,e|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(e);Yua(x);Ava(s);y=C;z=A;break}Yua(e);B=0;A=Ia(40,f|0,86727,11)|0;C=B;B=0;a:do if(!(C&1)?(B=0,Xa(239,A|0,0)|0,D=B,B=0,!(D&1)):0){D=Ab(20)|0;B=0;eb(502,g|0,86636,67);E=B;B=0;do if(!(E&1)){B=0;eb(502,h|0,86739,9);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(g);H=F;I=G;break}B=0;wa(510,i|0,s|0);G=B;B=0;if(G&1){G=Rb()|0;J=G;K=Q;L=1}else{B=0;ua(163,D|0,g|0,h|0,124,i|0);G=B;B=0;if(G&1)M=1;else{B=0;eb(503,D|0,1240,229);B=0;M=0}G=Rb()|0;F=Q;Yua(i);J=G;K=F;L=M}Yua(h);Yua(g);if(L){H=J;I=K}else{N=J;O=K;break a}}else{F=Rb()|0;H=F;I=Q}while(0);zb(D|0);N=H;O=I}else P=17;while(0);if((P|0)==17){A=Rb()|0;N=A;O=Q}k[f>>2]=27468;k[b>>2]=27488;k[s>>2]=27560;Yua(x);Ava(s);vva(b);R=N;S=O;Qb(R|0)}while(0);v=y;w=z;vva(b);Qb(w|0)}q=+p[a+8+(c<<3)>>3];T=+$(+q);p[t>>3]=T;c=k[t+4>>2]|0;if(!(c>>>0>2146435072|(c|0)==2146435072&(k[t>>2]|0)>>>0>0)){r=d;return +((q-o)/1.0e6)}d=j+56|0;c=j+4|0;k[j>>2]=27524;k[d>>2]=27544;B=0;wa(508,j+56|0,c|0);a=B;B=0;if(a&1){a=Rb()|0;U=Q;V=a;vva(d);Qb(V|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[d>>2]=27488;B=0;va(448,c|0);a=B;B=0;do if(a&1){w=Rb()|0;W=Q;X=w}else{k[c>>2]=27560;w=j+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[j+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,c|0,e|0);b=B;B=0;if(b&1){b=Rb()|0;z=Q;Yua(e);Yua(w);Ava(c);W=z;X=b;break}Yua(e);B=0;b=Ia(40,j|0,86727,11)|0;z=B;B=0;b:do if(!(z&1)?(B=0,Xa(239,b|0,0)|0,y=B,B=0,!(y&1)):0){y=Ab(20)|0;B=0;eb(502,l|0,86636,67);v=B;B=0;do if(!(v&1)){B=0;eb(502,m|0,86739,9);O=B;B=0;if(O&1){O=Rb()|0;N=Q;Yua(l);Y=N;Z=O;break}B=0;wa(510,n|0,c|0);O=B;B=0;if(O&1){O=Rb()|0;_=1;aa=O;ba=Q}else{B=0;ua(163,y|0,l|0,m|0,130,n|0);O=B;B=0;if(O&1)ca=1;else{B=0;eb(503,y|0,1240,229);B=0;ca=0}O=Rb()|0;N=Q;Yua(n);_=ca;aa=O;ba=N}Yua(m);Yua(l);if(_){Y=ba;Z=aa}else{da=aa;ea=ba;break b}}else{N=Rb()|0;Y=Q;Z=N}while(0);zb(y|0);da=Z;ea=Y}else P=41;while(0);if((P|0)==41){b=Rb()|0;da=b;ea=Q}k[j>>2]=27468;k[d>>2]=27488;k[c>>2]=27560;Yua(w);Ava(c);vva(d);R=da;S=ea;Qb(R|0)}while(0);U=W;V=X;vva(d);Qb(V|0);return +(0.0)}function UX(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0.0,q=0.0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0.0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0;d=r;r=r+368|0;e=d+344|0;f=d+208|0;g=d+196|0;h=d+184|0;i=d+36|0;j=d+48|0;l=d+24|0;m=d+12|0;n=d;o=+p[a+72+(b<<3)>>3];q=+$(+o);p[t>>3]=q;b=k[t+4>>2]|0;if(b>>>0>2146435072|(b|0)==2146435072&(k[t>>2]|0)>>>0>0){b=f+56|0;s=f+4|0;k[f>>2]=27524;k[b>>2]=27544;B=0;wa(508,f+56|0,s|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;w=u;vva(b);Qb(w|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[b>>2]=27488;B=0;va(448,s|0);u=B;B=0;do if(u&1){x=Rb()|0;y=Q;z=x}else{k[s>>2]=27560;x=f+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,s|0,e|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(e);Yua(x);Ava(s);y=C;z=A;break}Yua(e);B=0;A=Ia(40,f|0,86727,11)|0;C=B;B=0;a:do if(!(C&1)?(B=0,Xa(239,A|0,0)|0,D=B,B=0,!(D&1)):0){D=Ab(20)|0;B=0;eb(502,g|0,86636,67);E=B;B=0;do if(!(E&1)){B=0;eb(502,h|0,86749,10);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(g);H=F;I=G;break}B=0;wa(510,i|0,s|0);G=B;B=0;if(G&1){G=Rb()|0;J=G;K=Q;L=1}else{B=0;ua(163,D|0,g|0,h|0,145,i|0);G=B;B=0;if(G&1)M=1;else{B=0;eb(503,D|0,1240,229);B=0;M=0}G=Rb()|0;F=Q;Yua(i);J=G;K=F;L=M}Yua(h);Yua(g);if(L){H=J;I=K}else{N=J;O=K;break a}}else{F=Rb()|0;H=F;I=Q}while(0);zb(D|0);N=H;O=I}else P=17;while(0);if((P|0)==17){A=Rb()|0;N=A;O=Q}k[f>>2]=27468;k[b>>2]=27488;k[s>>2]=27560;Yua(x);Ava(s);vva(b);R=N;S=O;Qb(R|0)}while(0);v=y;w=z;vva(b);Qb(w|0)}q=+p[a+72+(c<<3)>>3];T=+$(+q);p[t>>3]=T;c=k[t+4>>2]|0;if(!(c>>>0>2146435072|(c|0)==2146435072&(k[t>>2]|0)>>>0>0)){r=d;return +(q-o)}d=j+56|0;c=j+4|0;k[j>>2]=27524;k[d>>2]=27544;B=0;wa(508,j+56|0,c|0);a=B;B=0;if(a&1){a=Rb()|0;U=Q;V=a;vva(d);Qb(V|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[d>>2]=27488;B=0;va(448,c|0);a=B;B=0;do if(a&1){w=Rb()|0;W=Q;X=w}else{k[c>>2]=27560;w=j+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[j+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,c|0,e|0);b=B;B=0;if(b&1){b=Rb()|0;z=Q;Yua(e);Yua(w);Ava(c);W=z;X=b;break}Yua(e);B=0;b=Ia(40,j|0,86727,11)|0;z=B;B=0;b:do if(!(z&1)?(B=0,Xa(239,b|0,0)|0,y=B,B=0,!(y&1)):0){y=Ab(20)|0;B=0;eb(502,l|0,86636,67);v=B;B=0;do if(!(v&1)){B=0;eb(502,m|0,86749,10);O=B;B=0;if(O&1){O=Rb()|0;N=Q;Yua(l);Y=N;Z=O;break}B=0;wa(510,n|0,c|0);O=B;B=0;if(O&1){O=Rb()|0;_=1;aa=O;ba=Q}else{B=0;ua(163,y|0,l|0,m|0,151,n|0);O=B;B=0;if(O&1)ca=1;else{B=0;eb(503,y|0,1240,229);B=0;ca=0}O=Rb()|0;N=Q;Yua(n);_=ca;aa=O;ba=N}Yua(m);Yua(l);if(_){Y=ba;Z=aa}else{da=aa;ea=ba;break b}}else{N=Rb()|0;Y=Q;Z=N}while(0);zb(y|0);da=Z;ea=Y}else P=41;while(0);if((P|0)==41){b=Rb()|0;da=b;ea=Q}k[j>>2]=27468;k[d>>2]=27488;k[c>>2]=27560;Yua(w);Ava(c);vva(d);R=da;S=ea;Qb(R|0)}while(0);U=W;V=X;vva(d);Qb(V|0);return +(0.0)}function VX(a,b,c){a=a|0;b=b|0;c=c|0;return (~~+TX(a,b,c)|0)/3600|0|0}function WX(a,b,c){a=a|0;b=b|0;c=c|0;return ((~~+TX(a,b,c)|0)%3600|0|0)/60|0|0}function XX(a,b,c){a=a|0;b=b|0;c=c|0;return (~~+TX(a,b,c)|0)%60|0|0}function YX(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0.0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;i=+$(+(+p[a+72+(b<<3)>>3]));p[t>>3]=i;j=k[t+4>>2]|0;if(!(j>>>0>2146435072|(j|0)==2146435072&(k[t>>2]|0)>>>0>0)){r=c;return +(+p[a+136+(b<<3)>>3])}b=e+56|0;a=e+4|0;k[e>>2]=27524;k[b>>2]=27544;B=0;wa(508,e+56|0,a|0);c=B;B=0;if(c&1){c=Rb()|0;l=Q;m=c;vva(b);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[b>>2]=27488;B=0;va(448,a|0);c=B;B=0;do if(c&1){j=Rb()|0;n=Q;o=j}else{k[a>>2]=27560;j=e+36|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,a|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(j);Ava(a);n=s;o=q;break}Yua(d);B=0;q=Ia(40,e|0,86727,11)|0;s=B;B=0;if(!(s&1)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,f|0,86636,67);s=B;B=0;do if(!(s&1)){B=0;eb(502,g|0,86760,6);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(f);w=v;x=u;break}B=0;wa(510,h|0,a|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,q|0,f|0,g|0,181,h|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,q|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(h);y=v;z=u;A=C}Yua(g);Yua(f);if(A){w=y;x=z}else{D=y;E=z;k[e>>2]=27468;k[b>>2]=27488;k[a>>2]=27560;Yua(j);Ava(a);vva(b);Qb(E|0)}}else{u=Rb()|0;w=Q;x=u}while(0);zb(q|0);D=w;E=x;k[e>>2]=27468;k[b>>2]=27488;k[a>>2]=27560;Yua(j);Ava(a);vva(b);Qb(E|0)}s=Rb()|0;D=Q;E=s;k[e>>2]=27468;k[b>>2]=27488;k[a>>2]=27560;Yua(j);Ava(a);vva(b);Qb(E|0)}while(0);l=n;m=o;vva(b);Qb(m|0);return +(0.0)}function ZX(a,b,c,d,e,f,g,h,i,j,l,m,n,o){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0;p=r;r=r+5504|0;q=p+5492|0;s=p;t=p+5320|0;u=p+5480|0;v=p+5468|0;w=p+5456|0;x=p+5184|0;y=p+5168|0;z=p+4884|0;A=p+4872|0;C=p+5032|0;D=p+4860|0;E=p+4848|0;F=p+4836|0;G=p+4896|0;H=p+4824|0;I=p+4812|0;J=p+4800|0;K=(d|0)==0;L=K?b:c;M=K?c:b;if(!h)if((M|0)==(f|0))N=g;else{K=t+56|0;O=t+4|0;k[t>>2]=27524;k[K>>2]=27544;B=0;wa(508,t+56|0,O|0);P=B;B=0;if(P&1){P=Rb()|0;R=Q;S=P;vva(K);Qb(S|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[K>>2]=27488;B=0;va(448,O|0);P=B;B=0;do if(P&1){T=Rb()|0;U=Q;V=T}else{k[O>>2]=27560;T=t+36|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;k[T+12>>2]=0;k[t+52>>2]=16;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;B=0;wa(509,O|0,q|0);W=B;B=0;if(W&1){W=Rb()|0;X=Q;Yua(q);Yua(T);Ava(O);U=X;V=W;break}Yua(q);B=0;W=Ia(40,t|0,86767,44)|0;X=B;B=0;a:do if(!(X&1)?(B=0,Xa(239,W|0,0)|0,Y=B,B=0,!(Y&1)):0){Y=Ab(20)|0;B=0;eb(502,u|0,86812,76);Z=B;B=0;do if(!(Z&1)){B=0;eb(502,v|0,86889,14);_=B;B=0;if(_&1){_=Rb()|0;$=Q;Yua(u);aa=$;ba=_;break}B=0;wa(510,w|0,O|0);_=B;B=0;if(_&1){_=Rb()|0;ca=Q;da=_;ea=1}else{B=0;ua(163,Y|0,u|0,v|0,40,w|0);_=B;B=0;if(_&1)fa=1;else{B=0;eb(503,Y|0,1240,229);B=0;fa=0}_=Rb()|0;$=Q;Yua(w);ca=$;da=_;ea=fa}Yua(v);Yua(u);if(ea){aa=ca;ba=da}else{ga=ca;ha=da;break a}}else{_=Rb()|0;aa=Q;ba=_}while(0);zb(Y|0);ga=aa;ha=ba}else ia=18;while(0);if((ia|0)==18){W=Rb()|0;ga=Q;ha=W}k[t>>2]=27468;k[K>>2]=27488;k[O>>2]=27560;Yua(T);Ava(O);vva(K);ja=ga;ka=ha;Qb(ka|0)}while(0);R=U;S=V;vva(K);Qb(S|0)}else if((M|0)==(g|0))N=f;else{S=x+56|0;K=x+4|0;k[x>>2]=27524;k[S>>2]=27544;B=0;wa(508,x+56|0,K|0);V=B;B=0;if(V&1){V=Rb()|0;la=Q;na=V;vva(S);Qb(na|0)}k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[S>>2]=27488;B=0;va(448,K|0);V=B;B=0;do if(V&1){U=Rb()|0;oa=Q;pa=U}else{k[K>>2]=27560;U=x+36|0;k[U>>2]=0;k[U+4>>2]=0;k[U+8>>2]=0;k[U+12>>2]=0;k[x+52>>2]=16;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;B=0;wa(509,K|0,q|0);R=B;B=0;if(R&1){R=Rb()|0;ha=Q;Yua(q);Yua(U);Ava(K);oa=ha;pa=R;break}Yua(q);B=0;R=Ia(40,x|0,86767,44)|0;ha=B;B=0;b:do if(!(ha&1)?(B=0,Xa(239,R|0,0)|0,ga=B,B=0,!(ga&1)):0){ga=Ab(20)|0;B=0;eb(502,y|0,86812,76);O=B;B=0;do if(!(O&1)){B=0;eb(502,z|0,86889,14);t=B;B=0;if(t&1){t=Rb()|0;ba=Q;Yua(y);qa=t;ra=ba;break}B=0;wa(510,A|0,K|0);ba=B;B=0;if(ba&1){ba=Rb()|0;sa=1;ta=Q;xa=ba}else{B=0;ua(163,ga|0,y|0,z|0,44,A|0);ba=B;B=0;if(ba&1)ya=1;else{B=0;eb(503,ga|0,1240,229);B=0;ya=0}ba=Rb()|0;t=Q;Yua(A);sa=ya;ta=t;xa=ba}Yua(z);Yua(y);if(sa){qa=xa;ra=ta}else{za=ta;Aa=xa;break b}}else{ba=Rb()|0;qa=ba;ra=Q}while(0);zb(ga|0);za=ra;Aa=qa}else ia=42;while(0);if((ia|0)==42){R=Rb()|0;za=Q;Aa=R}k[x>>2]=27468;k[S>>2]=27488;k[K>>2]=27560;Yua(U);Ava(K);vva(S);ja=za;ka=Aa;Qb(ka|0)}while(0);la=oa;na=pa;vva(S);Qb(na|0)}if(!m)if((N|0)==(j|0))Ba=l;else{na=C+56|0;S=C+4|0;k[C>>2]=27524;k[na>>2]=27544;B=0;wa(508,C+56|0,S|0);pa=B;B=0;if(pa&1){pa=Rb()|0;Ca=Q;Da=pa;vva(na);Qb(Da|0)}k[C+128>>2]=0;k[C+132>>2]=-1;k[C>>2]=27468;k[na>>2]=27488;B=0;va(448,S|0);pa=B;B=0;do if(pa&1){oa=Rb()|0;Ea=Q;Fa=oa}else{k[S>>2]=27560;oa=C+36|0;k[oa>>2]=0;k[oa+4>>2]=0;k[oa+8>>2]=0;k[oa+12>>2]=0;k[C+52>>2]=16;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;B=0;wa(509,S|0,q|0);la=B;B=0;if(la&1){la=Rb()|0;Aa=Q;Yua(q);Yua(oa);Ava(S);Ea=Aa;Fa=la;break}Yua(q);B=0;la=Ia(40,C|0,86904,44)|0;Aa=B;B=0;c:do if(!(Aa&1)?(B=0,Xa(239,la|0,0)|0,za=B,B=0,!(za&1)):0){za=Ab(20)|0;B=0;eb(502,D|0,86812,76);K=B;B=0;do if(!(K&1)){B=0;eb(502,E|0,86889,14);x=B;B=0;if(x&1){x=Rb()|0;qa=Q;Yua(D);Ga=x;Ha=qa;break}B=0;wa(510,F|0,S|0);qa=B;B=0;if(qa&1){qa=Rb()|0;Ja=1;Ka=Q;La=qa}else{B=0;ua(163,za|0,D|0,E|0,49,F|0);qa=B;B=0;if(qa&1)Ma=1;else{B=0;eb(503,za|0,1240,229);B=0;Ma=0}qa=Rb()|0;x=Q;Yua(F);Ja=Ma;Ka=x;La=qa}Yua(E);Yua(D);if(Ja){Ga=La;Ha=Ka}else{Na=Ka;Oa=La;break c}}else{qa=Rb()|0;Ga=qa;Ha=Q}while(0);zb(za|0);Na=Ha;Oa=Ga}else ia=67;while(0);if((ia|0)==67){la=Rb()|0;Na=Q;Oa=la}k[C>>2]=27468;k[na>>2]=27488;k[S>>2]=27560;Yua(oa);Ava(S);vva(na);ja=Na;ka=Oa;Qb(ka|0)}while(0);Ca=Ea;Da=Fa;vva(na);Qb(Da|0)}else if((N|0)==(l|0))Ba=j;else{Da=G+56|0;na=G+4|0;k[G>>2]=27524;k[Da>>2]=27544;B=0;wa(508,G+56|0,na|0);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;Pa=Q;Qa=Fa;vva(Da);Qb(Qa|0)}k[G+128>>2]=0;k[G+132>>2]=-1;k[G>>2]=27468;k[Da>>2]=27488;B=0;va(448,na|0);Fa=B;B=0;do if(Fa&1){Ea=Rb()|0;Ra=Q;Sa=Ea}else{k[na>>2]=27560;Ea=G+36|0;k[Ea>>2]=0;k[Ea+4>>2]=0;k[Ea+8>>2]=0;k[Ea+12>>2]=0;k[G+52>>2]=16;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;B=0;wa(509,na|0,q|0);Ca=B;B=0;if(Ca&1){Ca=Rb()|0;Oa=Q;Yua(q);Yua(Ea);Ava(na);Ra=Oa;Sa=Ca;break}Yua(q);B=0;Ca=Ia(40,G|0,86904,44)|0;Oa=B;B=0;d:do if(!(Oa&1)?(B=0,Xa(239,Ca|0,0)|0,Na=B,B=0,!(Na&1)):0){Na=Ab(20)|0;B=0;eb(502,H|0,86812,76);S=B;B=0;do if(!(S&1)){B=0;eb(502,I|0,86889,14);C=B;B=0;if(C&1){C=Rb()|0;Ga=Q;Yua(H);Ta=C;Ua=Ga;break}B=0;wa(510,J|0,na|0);Ga=B;B=0;if(Ga&1){Ga=Rb()|0;Va=1;Wa=Q;Ya=Ga}else{B=0;ua(163,Na|0,H|0,I|0,53,J|0);Ga=B;B=0;if(Ga&1)Za=1;else{B=0;eb(503,Na|0,1240,229);B=0;Za=0}Ga=Rb()|0;C=Q;Yua(J);Va=Za;Wa=C;Ya=Ga}Yua(I);Yua(H);if(Va){Ta=Ya;Ua=Wa}else{_a=Wa;$a=Ya;break d}}else{Ga=Rb()|0;Ta=Ga;Ua=Q}while(0);zb(Na|0);_a=Ua;$a=Ta}else ia=91;while(0);if((ia|0)==91){Ca=Rb()|0;_a=Q;$a=Ca}k[G>>2]=27468;k[Da>>2]=27488;k[na>>2]=27560;Yua(Ea);Ava(na);vva(Da);ja=_a;ka=$a;Qb(ka|0)}while(0);Pa=Ra;Qa=Sa;vva(Da);Qb(Qa|0)}Qa=ma(N,L)|0;if((Qa|0)>600){Da=Rqa(Qa>>>0>536870911?-1:Qa<<3)|0;ab=Da;bb=Da}else{ab=s;bb=0}if((ma(Ba+M|0,Qa)|0)>(ma(ma(N+L|0,M)|0,Ba)|0)){_X(e,f,g,h,i,j,l,m,ab,0)|0;_X(a,b,c,d,ab,M,Ba,0,n,o)|0}else{_X(a,b,c,d,e,f,g,h,ab,0)|0;_X(ab,L,N,0,i,j,l,m,n,o)|0}if(!bb){r=p;return 1}Tqa(bb);r=p;return 1}function _X(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0;l=r;r=r+192|0;m=l+176|0;n=l+40|0;o=l+24|0;q=l+12|0;s=l;t=(d|0)==0;d=t?b:c;u=t?c:1;v=t?1:c;w=t?c:b;b=(h|0)==0;h=b?g:f;c=b?g:1;t=b?1:g;if((w|0)==((b?f:g)|0)){if((j|0)==0?(j=ma(h,d)|0,(j|0)>0):0)WEa(i|0,0,j<<3|0)|0;if((d|0)<=0){r=l;return 1}j=(w|0)>0;if((h|0)>0){x=0;y=0}else{r=l;return 1}while(1){g=ma(x,u)|0;if(j){f=y;b=0;while(1){z=ma(b,t)|0;A=i+(f<<3)|0;C=+p[A>>3];D=g;E=z;z=0;while(1){C=C+ +p[a+(D<<3)>>3]*+p[e+(E<<3)>>3];p[A>>3]=C;z=z+1|0;if((z|0)==(w|0))break;else{D=D+v|0;E=E+c|0}}b=b+1|0;if((b|0)==(h|0))break;else f=f+1|0}}x=x+1|0;if((x|0)==(d|0))break;else y=h+y|0}r=l;return 1}l=n+56|0;y=n+4|0;k[n>>2]=27524;k[l>>2]=27544;B=0;wa(508,n+56|0,y|0);h=B;B=0;if(h&1){h=Rb()|0;F=Q;G=h;vva(l);Qb(G|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[l>>2]=27488;B=0;va(448,y|0);h=B;B=0;do if(h&1){d=Rb()|0;H=Q;I=d}else{k[y>>2]=27560;d=n+36|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[n+52>>2]=16;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;B=0;wa(509,y|0,m|0);x=B;B=0;if(x&1){x=Rb()|0;c=Q;Yua(m);Yua(d);Ava(y);H=c;I=x;break}Yua(m);B=0;x=Ia(40,n|0,86949,43)|0;c=B;B=0;if(!(c&1)?(B=0,Xa(239,x|0,0)|0,x=B,B=0,!(x&1)):0){x=Ab(20)|0;B=0;eb(502,o|0,86812,76);c=B;B=0;do if(!(c&1)){B=0;eb(502,q|0,86993,14);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(o);J=w;K=v;break}B=0;wa(510,s|0,y|0);v=B;B=0;if(v&1){v=Rb()|0;L=Q;M=v;N=1}else{B=0;ua(163,x|0,o|0,q|0,124,s|0);v=B;B=0;if(v&1)O=1;else{B=0;eb(503,x|0,1240,229);B=0;O=0}v=Rb()|0;w=Q;Yua(s);L=w;M=v;N=O}Yua(q);Yua(o);if(N){J=L;K=M}else{P=L;R=M;k[n>>2]=27468;k[l>>2]=27488;k[y>>2]=27560;Yua(d);Ava(y);vva(l);Qb(R|0)}}else{v=Rb()|0;J=Q;K=v}while(0);zb(x|0);P=J;R=K;k[n>>2]=27468;k[l>>2]=27488;k[y>>2]=27560;Yua(d);Ava(y);vva(l);Qb(R|0)}c=Rb()|0;P=Q;R=c;k[n>>2]=27468;k[l>>2]=27488;k[y>>2]=27560;Yua(d);Ava(y);vva(l);Qb(R|0)}while(0);F=H;G=I;vva(l);Qb(G|0);return 0}function $X(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0.0,V=0.0,W=0.0,X=0.0,Y=0,Z=0,_=0.0,aa=0,ba=0,ca=0.0,da=0,ea=0,fa=0.0,ga=0.0,ha=0,ia=0.0,ja=0,ka=0.0,la=0.0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,ya=0,za=0,Aa=0,Ba=0;g=r;r=r+368|0;h=g+344|0;i=g+208|0;j=g+196|0;l=g+184|0;m=g+36|0;n=g+48|0;o=g+24|0;q=g+12|0;s=g;if((d|0)==0&(e|0)!=0){t=i+56|0;u=i+4|0;k[i>>2]=27524;k[t>>2]=27544;B=0;wa(508,i+56|0,u|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;x=v;vva(t);Qb(x|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[t>>2]=27488;B=0;va(448,u|0);v=B;B=0;do if(v&1){y=Rb()|0;z=Q;A=y}else{k[u>>2]=27560;y=i+36|0;k[y>>2]=0;k[y+4>>2]=0;k[y+8>>2]=0;k[y+12>>2]=0;k[i+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,u|0,h|0);C=B;B=0;if(C&1){C=Rb()|0;D=Q;Yua(h);Yua(y);Ava(u);z=D;A=C;break}Yua(h);B=0;C=Ia(40,i|0,87008,28)|0;D=B;B=0;a:do if(((!(D&1)?(B=0,E=Xa(242,C|0,e|0)|0,F=B,B=0,!(F&1)):0)?(B=0,F=Ia(40,E|0,157077,1)|0,E=B,B=0,!(E&1)):0)?(B=0,Xa(239,F|0,0)|0,F=B,B=0,!(F&1)):0){F=Ab(20)|0;B=0;eb(502,j|0,86812,76);E=B;B=0;do if(!(E&1)){B=0;eb(502,l|0,87037,13);G=B;B=0;if(G&1){G=Rb()|0;H=Q;Yua(j);I=G;J=H;break}B=0;wa(510,m|0,u|0);H=B;B=0;if(H&1){H=Rb()|0;K=H;L=Q;M=1}else{B=0;ua(163,F|0,j|0,l|0,166,m|0);H=B;B=0;if(H&1)N=1;else{B=0;eb(503,F|0,1240,229);B=0;N=0}H=Rb()|0;G=Q;Yua(m);K=H;L=G;M=N}Yua(l);Yua(j);if(M){I=K;J=L}else{O=K;P=L;break a}}else{G=Rb()|0;I=G;J=Q}while(0);zb(F|0);O=I;P=J}else R=19;while(0);if((R|0)==19){C=Rb()|0;O=C;P=Q}k[i>>2]=27468;k[t>>2]=27488;k[u>>2]=27560;Yua(y);Ava(u);vva(t);S=P;T=O;Qb(T|0)}while(0);w=z;x=A;vva(t);Qb(x|0)}x=c>>>0>1073741823?-1:c<<2;t=Rqa(x)|0;A=Rqa(x)|0;z=Rqa(x)|0;x=(c|0)>0;b:do if(x){w=(e|0)>0;U=1.0;O=0;P=0;u=0;while(1){i=P;J=u;I=0;V=0.0;while(1){if(!(k[z+(I<<2)>>2]|0)){L=ma(I,b)|0;K=i;M=J;j=0;W=V;while(1){if((k[z+(j<<2)>>2]|0)==0?(X=+p[a+(j+L<<3)>>3],+$(+X)>+$(+W)):0){Y=j;Z=I;_=X}else{Y=K;Z=M;_=W}j=j+1|0;if((j|0)==(c|0)){aa=Y;ba=Z;ca=_;break}else{K=Y;M=Z;W=_}}}else{aa=i;ba=J;ca=V}I=I+1|0;if((I|0)==(c|0)){da=aa;ea=ba;fa=ca;break}else{i=aa;J=ba;V=ca}}if(+$(+fa)<2.220446049250313e-16){ga=fa;break}k[t+(O<<2)>>2]=ea;k[A+(O<<2)>>2]=da;J=z+(da<<2)|0;k[J>>2]=(k[J>>2]|0)+1;if((ea|0)==(da|0)){ha=ma(da,b)|0;ia=U}else{J=ma(ea,b)|0;i=ma(da,b)|0;I=0;do{F=a+(I+J<<3)|0;V=+p[F>>3];M=a+(I+i<<3)|0;p[F>>3]=+p[M>>3];p[M>>3]=V;I=I+1|0}while((I|0)!=(c|0));I=ma(ea,e)|0;J=ma(da,e)|0;if(w){M=0;do{F=d+(M+I<<3)|0;V=+p[F>>3];K=d+(M+J<<3)|0;p[F>>3]=+p[K>>3];p[K>>3]=V;M=M+1|0}while((M|0)!=(e|0))}ha=i;ia=-U}p[a+(ha+da<<3)>>3]=1.0;M=0;do{J=a+(M+ha<<3)|0;p[J>>3]=+p[J>>3]/fa;M=M+1|0}while((M|0)!=(c|0));M=ma(da,e)|0;if(w){i=0;do{J=d+(i+M<<3)|0;p[J>>3]=+p[J>>3]/fa;i=i+1|0}while((i|0)!=(e|0));if(w){i=0;do{if((i|0)!=(da|0)?(J=ma(i,b)|0,I=a+(J+da<<3)|0,V=+p[I>>3],p[I>>3]=0.0,+$(+V)>2.220446049250313e-16):0){I=0;do{K=a+(I+J<<3)|0;p[K>>3]=+p[K>>3]-V*+p[a+(I+ha<<3)>>3];I=I+1|0}while((I|0)!=(c|0));I=ma(i,e)|0;J=0;do{K=d+(J+I<<3)|0;p[K>>3]=+p[K>>3]-V*+p[d+(J+M<<3)>>3];J=J+1|0}while((J|0)!=(e|0))}i=i+1|0}while((i|0)!=(c|0))}else{ja=0;R=86}}else{ja=0;R=86}if((R|0)==86)while(1){R=0;if((ja|0)!=(da|0)?(i=ma(ja,b)|0,M=a+(i+da<<3)|0,V=+p[M>>3],p[M>>3]=0.0,+$(+V)>2.220446049250313e-16):0){M=0;do{J=a+(M+i<<3)|0;p[J>>3]=+p[J>>3]-V*+p[a+(M+ha<<3)>>3];M=M+1|0}while((M|0)!=(c|0))}ja=ja+1|0;if((ja|0)==(c|0))break;else R=86}V=fa*ia;M=O+1|0;if((M|0)<(c|0)){U=V;O=M;P=da;u=ea}else{ka=V;R=37;break}}if((R|0)==37){if(!x){la=ka;break}u=c+-1|0;P=0;while(1){O=u-P|0;w=k[t+(O<<2)>>2]|0;y=k[A+(O<<2)>>2]|0;if((w|0)!=(y|0)){O=0;M=0;while(1){i=a+(O+w<<3)|0;U=+p[i>>3];J=a+(O+y<<3)|0;p[i>>3]=+p[J>>3];p[J>>3]=U;M=M+1|0;if((M|0)==(c|0))break;else O=O+b|0}}P=P+1|0;if((P|0)==(c|0)){la=ka;break b}}}Tqa(t);Tqa(A);Tqa(z);P=n+56|0;u=n+4|0;k[n>>2]=27524;k[P>>2]=27544;B=0;wa(508,n+56|0,u|0);O=B;B=0;if(O&1){O=Rb()|0;na=Q;oa=O;vva(P);Qb(oa|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[P>>2]=27488;B=0;va(448,u|0);O=B;B=0;do if(O&1){M=Rb()|0;pa=Q;qa=M}else{k[u>>2]=27560;M=n+36|0;k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;k[M+12>>2]=0;k[n+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,u|0,h|0);y=B;B=0;if(y&1){y=Rb()|0;w=Q;Yua(h);Yua(M);Ava(u);pa=w;qa=y;break}Yua(h);B=0;y=Ia(40,n|0,87051,6)|0;w=B;B=0;c:do if(((!(w&1)?(B=0,J=Sa(1,y|0,+ga)|0,i=B,B=0,!(i&1)):0)?(B=0,i=Ia(40,J|0,87058,26)|0,J=B,B=0,!(J&1)):0)?(B=0,Xa(239,i|0,0)|0,i=B,B=0,!(i&1)):0){i=Ab(20)|0;B=0;eb(502,o|0,86812,76);J=B;B=0;do if(!(J&1)){B=0;eb(502,q|0,87037,13);I=B;B=0;if(I&1){I=Rb()|0;K=Q;Yua(o);ra=I;sa=K;break}B=0;wa(510,s|0,u|0);K=B;B=0;if(K&1){K=Rb()|0;ta=1;xa=Q;ya=K}else{B=0;ua(163,i|0,o|0,q|0,205,s|0);K=B;B=0;if(K&1)za=1;else{B=0;eb(503,i|0,1240,229);B=0;za=0}K=Rb()|0;I=Q;Yua(s);ta=za;xa=I;ya=K}Yua(q);Yua(o);if(ta){ra=ya;sa=xa}else{Aa=xa;Ba=ya;break c}}else{K=Rb()|0;ra=K;sa=Q}while(0);zb(i|0);Aa=sa;Ba=ra}else R=60;while(0);if((R|0)==60){y=Rb()|0;Aa=Q;Ba=y}k[n>>2]=27468;k[P>>2]=27488;k[u>>2]=27560;Yua(M);Ava(u);vva(P);S=Aa;T=Ba;Qb(T|0)}while(0);na=pa;oa=qa;vva(P);Qb(oa|0)}else la=1.0;while(0);if(!f){Tqa(t);Tqa(A);Tqa(z);r=g;return 1}p[f>>3]=la;Tqa(t);Tqa(A);Tqa(z);r=g;return 1}function aY(a,b){a=a|0;b=b|0;p[a>>3]=+p[b>>3]*+p[b+24>>3]-+p[b+16>>3]*+p[b+8>>3];return}function bY(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0.0,j=0,l=0,m=0.0,n=0.0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;i=+p[b+24>>3];j=b+16|0;l=b+8|0;m=+p[b>>3]*i-+p[j>>3]*+p[l>>3];if(!(+$(+m)<2.220446049250313e-16)){n=1.0/m;p[a>>3]=i*n;p[a+8>>3]=-(n*+p[l>>3]);p[a+16>>3]=-(n*+p[j>>3]);p[a+24>>3]=n*+p[b>>3];r=c;return}c=e+56|0;b=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;o=Q;q=a;vva(c);Qb(q|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,b|0);a=B;B=0;do if(a&1){j=Rb()|0;s=Q;t=j}else{k[b>>2]=27560;j=e+36|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,b|0,d|0);l=B;B=0;if(l&1){l=Rb()|0;u=Q;Yua(d);Yua(j);Ava(b);s=u;t=l;break}Yua(d);B=0;l=Ia(40,e|0,87085,40)|0;u=B;B=0;if(!(u&1)?(B=0,Xa(239,l|0,0)|0,l=B,B=0,!(l&1)):0){l=Ab(20)|0;B=0;eb(502,f|0,86812,76);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,87126,15);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(f);x=w;y=v;break}B=0;wa(510,h|0,b|0);v=B;B=0;if(v&1){v=Rb()|0;z=Q;A=v;C=1}else{B=0;ua(163,l|0,f|0,g|0,336,h|0);v=B;B=0;if(v&1)D=1;else{B=0;eb(503,l|0,1240,229);B=0;D=0}v=Rb()|0;w=Q;Yua(h);z=w;A=v;C=D}Yua(g);Yua(f);if(C){x=z;y=A}else{E=z;F=A;k[e>>2]=27468;k[c>>2]=27488;k[b>>2]=27560;Yua(j);Ava(b);vva(c);Qb(F|0)}}else{v=Rb()|0;x=Q;y=v}while(0);zb(l|0);E=x;F=y;k[e>>2]=27468;k[c>>2]=27488;k[b>>2]=27560;Yua(j);Ava(b);vva(c);Qb(F|0)}u=Rb()|0;E=Q;F=u;k[e>>2]=27468;k[c>>2]=27488;k[b>>2]=27560;Yua(j);Ava(b);vva(c);Qb(F|0)}while(0);o=s;q=t;vva(c);Qb(q|0)}function cY(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;var h=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0;h=-e-g;i=f*f;j=h*h-(e*g-i)*4.0;k=i+(e*e+g*g);do if(!(k<1.0e-30)){if(j<k*1.0e-05){l=h*-.5;m=l;n=l;o=1.0;q=0.0;break}l=+aa(+j);r=(-h-l)*.5;s=(l-h)*.5;l=e-r;t=i+l*l;u=g-r;v=i+u*u;if(v<t){w=+aa(+t);m=r;n=s;o=-f/w;q=l/w;break}else{w=+aa(+v);m=r;n=s;o=-u/w;q=f/w;break}}else{m=0.0;n=0.0;o=1.0;q=0.0}while(0);p[a>>3]=m;p[b>>3]=n;p[c>>3]=o;p[d>>3]=q;return}function dY(a,b){a=a|0;b=b|0;var c=0.0,d=0.0,e=0.0,f=0.0,g=0.0,h=0.0,i=0.0,j=0.0,k=0.0;c=+p[b>>3];d=+p[b+32>>3];e=+p[b+64>>3];f=+p[b+40>>3];g=+p[b+56>>3];h=+p[b+24>>3];i=+p[b+8>>3];j=+p[b+16>>3];k=+p[b+48>>3];p[a>>3]=c*d*e-c*f*g-e*(h*i)+g*(h*j)+f*(i*k)-d*(j*k);return}function eY(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0.0,j=0,l=0.0,m=0,n=0.0,o=0,q=0.0,s=0,t=0.0,u=0,v=0.0,w=0,x=0.0,y=0,z=0.0,A=0,C=0.0,D=0.0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;i=+p[b>>3];j=b+32|0;l=+p[j>>3];m=b+64|0;n=+p[m>>3];o=b+40|0;q=+p[o>>3];s=b+56|0;t=+p[s>>3];u=b+24|0;v=+p[u>>3];w=b+8|0;x=+p[w>>3];y=b+16|0;z=+p[y>>3];A=b+48|0;C=+p[A>>3];D=i*l*n-i*q*t-n*(v*x)+t*(v*z)+q*(x*C)-l*(z*C);if(!(+$(+D)<2.220446049250313e-16)){C=1.0/D;p[a>>3]=(l*n-q*t)*C;p[a+8>>3]=C*(+p[y>>3]*+p[s>>3]-+p[w>>3]*+p[m>>3]);p[a+16>>3]=C*(+p[w>>3]*+p[o>>3]-+p[y>>3]*+p[j>>3]);p[a+24>>3]=C*(+p[o>>3]*+p[A>>3]-+p[u>>3]*+p[m>>3]);p[a+32>>3]=C*(+p[b>>3]*+p[m>>3]-+p[y>>3]*+p[A>>3]);p[a+40>>3]=C*(+p[y>>3]*+p[u>>3]-+p[b>>3]*+p[o>>3]);p[a+48>>3]=C*(+p[u>>3]*+p[s>>3]-+p[j>>3]*+p[A>>3]);p[a+56>>3]=C*(+p[w>>3]*+p[A>>3]-+p[b>>3]*+p[s>>3]);p[a+64>>3]=C*(+p[b>>3]*+p[j>>3]-+p[w>>3]*+p[u>>3]);r=c;return}c=e+56|0;u=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,u|0);w=B;B=0;if(w&1){w=Rb()|0;E=Q;F=w;vva(c);Qb(F|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,u|0);w=B;B=0;do if(w&1){j=Rb()|0;G=Q;H=j}else{k[u>>2]=27560;j=e+36|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,u|0,d|0);b=B;B=0;if(b&1){b=Rb()|0;a=Q;Yua(d);Yua(j);Ava(u);G=a;H=b;break}Yua(d);B=0;b=Ia(40,e|0,87085,40)|0;a=B;B=0;if(!(a&1)?(B=0,Xa(239,b|0,0)|0,b=B,B=0,!(b&1)):0){b=Ab(20)|0;B=0;eb(502,f|0,86812,76);a=B;B=0;do if(!(a&1)){B=0;eb(502,g|0,87142,15);s=B;B=0;if(s&1){s=Rb()|0;A=Q;Yua(f);I=A;J=s;break}B=0;wa(510,h|0,u|0);s=B;B=0;if(s&1){s=Rb()|0;K=Q;L=s;M=1}else{B=0;ua(163,b|0,f|0,g|0,456,h|0);s=B;B=0;if(s&1)N=1;else{B=0;eb(503,b|0,1240,229);B=0;N=0}s=Rb()|0;A=Q;Yua(h);K=A;L=s;M=N}Yua(g);Yua(f);if(M){I=K;J=L}else{O=K;P=L;k[e>>2]=27468;k[c>>2]=27488;k[u>>2]=27560;Yua(j);Ava(u);vva(c);Qb(P|0)}}else{s=Rb()|0;I=Q;J=s}while(0);zb(b|0);O=I;P=J;k[e>>2]=27468;k[c>>2]=27488;k[u>>2]=27560;Yua(j);Ava(u);vva(c);Qb(P|0)}a=Rb()|0;O=Q;P=a;k[e>>2]=27468;k[c>>2]=27488;k[u>>2]=27560;Yua(j);Ava(u);vva(c);Qb(P|0)}while(0);E=G;F=H;vva(c);Qb(F|0)}function fY(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=r;r=r+80|0;e=d;eY(e,b);b=c+8|0;f=c+16|0;p[a>>3]=+p[e>>3]*+p[c>>3]+ +p[e+8>>3]*+p[b>>3]+ +p[e+16>>3]*+p[f>>3];p[a+8>>3]=+p[e+24>>3]*+p[c>>3]+ +p[e+32>>3]*+p[b>>3]+ +p[e+40>>3]*+p[f>>3];p[a+16>>3]=+p[e+48>>3]*+p[c>>3]+ +p[e+56>>3]*+p[b>>3]+ +p[e+64>>3]*+p[f>>3];r=d;return}function gY(a,b){a=a|0;b=b|0;var c=0.0,d=0.0,e=0.0,f=0.0,g=0.0,h=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0;c=+p[b>>3];d=+p[b+8>>3];e=+p[b+16>>3];f=+p[b+24>>3];g=+p[b+32>>3];h=+p[b+40>>3];i=+p[b+48>>3];j=+p[b+56>>3];k=+p[b+64>>3];l=+p[b+72>>3];m=+p[b+80>>3];n=+p[b+88>>3];o=+p[b+96>>3];q=+p[b+104>>3];r=+p[b+112>>3];s=+p[b+120>>3];p[a>>3]=j*l*r+(n*(i*q)+(h*m*s-n*(h*r)-i*l*s))-m*(j*q);t=i*k;u=i*o;v=j*k;w=j*o;p[a+32>>3]=-(v*r+(n*u+(g*m*s-n*(g*r)-t*s))-m*w);x=g*l;y=g*q;z=h*k;A=h*o;p[a+64>>3]=v*q+(n*A+(x*s-n*y-z*s))-l*w;p[a+96>>3]=-(t*q+(m*A+(x*r-m*y-z*r))-l*u);u=d*m;z=d*r;y=e*l;x=e*q;A=f*l;t=f*q;p[a+8>>3]=-(A*r+(n*x+(u*s-n*z-y*s))-m*t);w=c*m;v=c*r;B=e*k;C=e*o;D=f*k;E=f*o;p[a+40>>3]=D*r+(n*C+(w*s-n*v-B*s))-m*E;F=c*l;G=c*q;H=d*k;k=d*o;p[a+72>>3]=-(D*q+(n*k+(F*s-n*G-H*s))-l*E);p[a+104>>3]=B*q+(m*k+(F*r-m*G-H*r))-l*C;o=d*i;I=e*h;J=f*h;p[a+16>>3]=J*r+(j*x+(o*s-j*z-I*s))-i*t;t=c*i;z=e*g;e=f*g;p[a+48>>3]=-(e*r+(j*C+(t*s-j*v-z*s))-i*E);v=c*h;c=d*g;p[a+80>>3]=e*q+(j*k+(v*s-j*G-c*s))-h*E;p[a+112>>3]=-(z*q+(i*k+(v*r-i*G-c*r))-h*C);p[a+24>>3]=-(J*m+(j*y+(o*n-j*u-I*n))-i*A);p[a+56>>3]=e*m+(j*B+(t*n-j*w-z*n))-i*D;p[a+88>>3]=-(e*l+(j*H+(v*n-j*F-c*n))-h*D);p[a+120>>3]=z*l+(i*H+(v*m-i*F-c*m))-h*B;return}function hY(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;i=+p[b+32>>3];j=+p[b+40>>3];l=+p[b+48>>3];m=+p[b+56>>3];n=+p[b+64>>3];o=+p[b+72>>3];q=+p[b+80>>3];s=+p[b+88>>3];t=+p[b+96>>3];u=+p[b+104>>3];v=+p[b+112>>3];w=+p[b+120>>3];x=l*n;y=l*t;z=m*n;A=m*t;C=i*o;D=i*u;E=j*n;n=j*t;t=+p[b+16>>3]*(z*u+(s*n+(C*w-s*D-E*w))-o*A)+(+p[b>>3]*(m*o*v+(s*(l*u)+(j*q*w-s*(j*v)-l*o*w))-q*(m*u))-+p[b+8>>3]*(z*v+(s*y+(i*q*w-s*(i*v)-x*w))-q*A))-+p[b+24>>3]*(x*u+(q*n+(C*v-q*D-E*v))-o*y);if(!(+$(+t)<2.220446049250313e-16)){y=1.0/t;gY(a,b);p[a>>3]=y*+p[a>>3];b=a+8|0;p[b>>3]=y*+p[b>>3];b=a+16|0;p[b>>3]=y*+p[b>>3];b=a+24|0;p[b>>3]=y*+p[b>>3];b=a+32|0;p[b>>3]=y*+p[b>>3];b=a+40|0;p[b>>3]=y*+p[b>>3];b=a+48|0;p[b>>3]=y*+p[b>>3];b=a+56|0;p[b>>3]=y*+p[b>>3];b=a+64|0;p[b>>3]=y*+p[b>>3];b=a+72|0;p[b>>3]=y*+p[b>>3];b=a+80|0;p[b>>3]=y*+p[b>>3];b=a+88|0;p[b>>3]=y*+p[b>>3];b=a+96|0;p[b>>3]=y*+p[b>>3];b=a+104|0;p[b>>3]=y*+p[b>>3];b=a+112|0;p[b>>3]=y*+p[b>>3];b=a+120|0;p[b>>3]=y*+p[b>>3];r=c;return}c=e+56|0;b=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;F=Q;G=a;vva(c);Qb(G|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,b|0);a=B;B=0;do if(a&1){H=Rb()|0;I=Q;J=H}else{k[b>>2]=27560;H=e+36|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;k[H+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,b|0,d|0);K=B;B=0;if(K&1){K=Rb()|0;L=Q;Yua(d);Yua(H);Ava(b);I=L;J=K;break}Yua(d);B=0;K=Ia(40,e|0,87085,40)|0;L=B;B=0;if(!(L&1)?(B=0,Xa(239,K|0,0)|0,K=B,B=0,!(K&1)):0){K=Ab(20)|0;B=0;eb(502,f|0,86812,76);L=B;B=0;do if(!(L&1)){B=0;eb(502,g|0,87158,15);M=B;B=0;if(M&1){M=Rb()|0;N=Q;Yua(f);O=N;P=M;break}B=0;wa(510,h|0,b|0);M=B;B=0;if(M&1){M=Rb()|0;R=Q;S=M;T=1}else{B=0;ua(163,K|0,f|0,g|0,560,h|0);M=B;B=0;if(M&1)U=1;else{B=0;eb(503,K|0,1240,229);B=0;U=0}M=Rb()|0;N=Q;Yua(h);R=N;S=M;T=U}Yua(g);Yua(f);if(T){O=R;P=S}else{V=R;W=S;k[e>>2]=27468;k[c>>2]=27488;k[b>>2]=27560;Yua(H);Ava(b);vva(c);Qb(W|0)}}else{M=Rb()|0;O=Q;P=M}while(0);zb(K|0);V=O;W=P;k[e>>2]=27468;k[c>>2]=27488;k[b>>2]=27560;Yua(H);Ava(b);vva(c);Qb(W|0)}L=Rb()|0;V=Q;W=L;k[e>>2]=27468;k[c>>2]=27488;k[b>>2]=27560;Yua(H);Ava(b);vva(c);Qb(W|0)}while(0);F=I;G=J;vva(c);Qb(G|0)}function iY(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;d=r;r=r+128|0;e=d;hY(e,b);b=c+8|0;f=c+16|0;g=c+24|0;p[a>>3]=+p[e>>3]*+p[c>>3]+ +p[e+8>>3]*+p[b>>3]+ +p[e+16>>3]*+p[f>>3]+ +p[e+24>>3]*+p[g>>3];p[a+8>>3]=+p[e+32>>3]*+p[c>>3]+ +p[e+40>>3]*+p[b>>3]+ +p[e+48>>3]*+p[f>>3]+ +p[e+56>>3]*+p[g>>3];p[a+16>>3]=+p[e+64>>3]*+p[c>>3]+ +p[e+72>>3]*+p[b>>3]+ +p[e+80>>3]*+p[f>>3]+ +p[e+88>>3]*+p[g>>3];p[a+24>>3]=+p[e+96>>3]*+p[c>>3]+ +p[e+104>>3]*+p[b>>3]+ +p[e+112>>3]*+p[f>>3]+ +p[e+120>>3]*+p[g>>3];r=d;return}function jY(a,b,c,d){a=a|0;b=+b;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=k[a>>2]|0;f=d+1|0;g=Rqa(f>>>0>536870911?-1:f<<3)|0;if((d|0)>0){f=e;h=0;do{i=h;h=h+1|0;p[g+(h<<3)>>3]=+p[f+(i<<3)>>3]}while((h|0)!=(d|0))}if(c)p[g>>3]=b;else p[g+(d<<3)>>3]=b;if(!e){k[a>>2]=g;return}Tqa(e);k[a>>2]=g;return}function kY(a,b){a=a|0;b=b|0;var c=0,d=0.0,e=0.0,f=0.0;if((b|0)>0){c=0;d=0.0}else{e=0.0;return +e}while(1){f=d+ +p[a+(c<<3)>>3];c=c+1|0;if((c|0)==(b|0)){e=f;break}else d=f}return +e}function lY(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;b=k[a>>2]|0;e=Rqa(d>>>0>536870911?-1:d<<3)|0;if((d|0)>0){f=b;g=0;do{p[e+(g<<3)>>3]=+p[f+(k[c+(g<<2)>>2]<<3)>>3];g=g+1|0}while((g|0)!=(d|0))}if(!b){k[a>>2]=e;return}Tqa(b);k[a>>2]=e;return}function mY(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,f=0,g=0,h=0;e=k[a>>2]|0;f=b+1|0;g=Rqa(f>>>0>536870911?-1:f<<3)|0;if((c|0)>0){f=0;do{p[g+(f<<3)>>3]=+p[e+(f<<3)>>3];f=f+1|0}while((f|0)!=(c|0))}f=e+(c<<3)|0;p[g+(c<<3)>>3]=+p[f>>3]*d;p[g+(c+1<<3)>>3]=+p[f>>3]*d;f=c+2|0;if((f|0)>(b|0)){Tqa(e);k[a>>2]=g;return}else h=f;while(1){p[g+(h<<3)>>3]=+p[e+(h+-1<<3)>>3];if((h|0)<(b|0))h=h+1|0;else break}Tqa(e);k[a>>2]=g;return}function nY(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;c=r;r=r+368|0;d=c+344|0;e=c+208|0;f=c+196|0;g=c+184|0;h=c+36|0;i=c+48|0;j=c+24|0;l=c+12|0;m=c;if(vY()|0){n=e+56|0;o=e+4|0;k[e>>2]=27524;k[n>>2]=27544;B=0;wa(508,e+56|0,o|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;s=p;vva(n);Qb(s|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[n>>2]=27488;B=0;va(448,o|0);p=B;B=0;do if(p&1){t=Rb()|0;u=Q;v=t}else{k[o>>2]=27560;t=e+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,o|0,d|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(d);Yua(t);Ava(o);u=x;v=w;break}Yua(d);B=0;w=Ia(40,e|0,87174,44)|0;x=B;B=0;a:do if(!(x&1)?(B=0,Xa(239,w|0,0)|0,y=B,B=0,!(y&1)):0){y=Ab(20)|0;B=0;eb(502,f|0,87219,72);z=B;B=0;do if(!(z&1)){B=0;eb(502,g|0,87292,7);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(f);D=A;E=C;break}B=0;wa(510,h|0,o|0);C=B;B=0;if(C&1){C=Rb()|0;F=Q;G=C;H=1}else{B=0;ua(163,y|0,f|0,g|0,22,h|0);C=B;B=0;if(C&1)I=1;else{B=0;eb(503,y|0,1240,229);B=0;I=0}C=Rb()|0;A=Q;Yua(h);F=A;G=C;H=I}Yua(g);Yua(f);if(H){D=G;E=F}else{J=G;K=F;break a}}else{C=Rb()|0;D=C;E=Q}while(0);zb(y|0);J=D;K=E}else L=17;while(0);if((L|0)==17){w=Rb()|0;J=w;K=Q}k[e>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(t);Ava(o);vva(n);M=K;N=J;Qb(N|0)}while(0);q=u;s=v;vva(n);Qb(s|0)}s=Ysa(a,b)|0;if(s){r=c;return s|0}s=i+56|0;c=i+4|0;k[i>>2]=27524;k[s>>2]=27544;B=0;wa(508,i+56|0,c|0);b=B;B=0;if(b&1){b=Rb()|0;O=Q;P=b;vva(s);Qb(P|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[s>>2]=27488;B=0;va(448,c|0);b=B;B=0;do if(b&1){n=Rb()|0;R=Q;S=n}else{k[c>>2]=27560;n=i+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[i+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,c|0,d|0);v=B;B=0;if(v&1){v=Rb()|0;u=Q;Yua(d);Yua(n);Ava(c);R=u;S=v;break}Yua(d);B=0;v=Ia(40,i|0,87300,20)|0;u=B;B=0;b:do if(((!(u&1)?(q=Lta(a)|0,B=0,J=Ia(40,v|0,a|0,q|0)|0,q=B,B=0,!(q&1)):0)?(B=0,q=Ia(40,J|0,87321,30)|0,J=B,B=0,!(J&1)):0)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,j|0,87219,72);J=B;B=0;do if(!(J&1)){B=0;eb(502,l|0,87292,7);K=B;B=0;if(K&1){K=Rb()|0;o=Q;Yua(j);T=K;U=o;break}B=0;wa(510,m|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;V=1;W=Q;X=o}else{B=0;ua(163,q|0,j|0,l|0,26,m|0);o=B;B=0;if(o&1)Y=1;else{B=0;eb(503,q|0,1240,229);B=0;Y=0}o=Rb()|0;K=Q;Yua(m);V=Y;W=K;X=o}Yua(l);Yua(j);if(V){T=X;U=W}else{Z=W;_=X;break b}}else{o=Rb()|0;T=o;U=Q}while(0);zb(q|0);Z=U;_=T}else L=43;while(0);if((L|0)==43){v=Rb()|0;Z=Q;_=v}k[i>>2]=27468;k[s>>2]=27488;k[c>>2]=27560;Yua(n);Ava(c);vva(s);M=Z;N=_;Qb(N|0)}while(0);O=R;P=S;vva(s);Qb(P|0);return 0}function oY(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;j=vY()|0;l=wY()|0;if((l|0)>0){m=0;n=0;while(1){if((j|0)==(n|0))o=Ysa(a,b)|0;else o=m;uY()|0;n=n+1|0;if((n|0)==(l|0)){p=o;break}else m=o}}else p=0;if(!((p|0)==0&c)){r=d;return p|0}p=f+56|0;d=f+4|0;k[f>>2]=27524;k[p>>2]=27544;B=0;wa(508,f+56|0,d|0);c=B;B=0;if(c&1){c=Rb()|0;q=Q;s=c;vva(p);Qb(s|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[p>>2]=27488;B=0;va(448,d|0);c=B;B=0;do if(c&1){o=Rb()|0;t=Q;u=o}else{k[d>>2]=27560;o=f+36|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[o+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,d|0,e|0);m=B;B=0;if(m&1){m=Rb()|0;l=Q;Yua(e);Yua(o);Ava(d);t=l;u=m;break}Yua(e);B=0;m=Ia(40,f|0,87300,20)|0;l=B;B=0;if(((!(l&1)?(l=Lta(a)|0,B=0,n=Ia(40,m|0,a|0,l|0)|0,l=B,B=0,!(l&1)):0)?(B=0,l=Ia(40,n|0,87321,30)|0,n=B,B=0,!(n&1)):0)?(B=0,Xa(239,l|0,0)|0,l=B,B=0,!(l&1)):0){l=Ab(20)|0;B=0;eb(502,g|0,87219,72);n=B;B=0;do if(!(n&1)){B=0;eb(502,h|0,87352,6);m=B;B=0;if(m&1){m=Rb()|0;b=Q;Yua(g);v=b;w=m;break}B=0;wa(510,i|0,d|0);m=B;B=0;if(m&1){m=Rb()|0;x=Q;y=m;z=1}else{B=0;ua(163,l|0,g|0,h|0,43,i|0);m=B;B=0;if(m&1)A=1;else{B=0;eb(503,l|0,1240,229);B=0;A=0}m=Rb()|0;b=Q;Yua(i);x=b;y=m;z=A}Yua(h);Yua(g);if(z){v=x;w=y}else{C=x;D=y;k[f>>2]=27468;k[p>>2]=27488;k[d>>2]=27560;Yua(o);Ava(d);vva(p);Qb(D|0)}}else{m=Rb()|0;v=Q;w=m}while(0);zb(l|0);C=v;D=w;k[f>>2]=27468;k[p>>2]=27488;k[d>>2]=27560;Yua(o);Ava(d);vva(p);Qb(D|0)}n=Rb()|0;C=Q;D=n;k[f>>2]=27468;k[p>>2]=27488;k[d>>2]=27560;Yua(o);Ava(d);vva(p);Qb(D|0)}while(0);q=t;s=u;vva(p);Qb(s|0);return 0}function pY(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;if(!(Tsa(a)|0)){r=c;return}c=e+56|0;a=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,a|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,a|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[a>>2]=27560;m=e+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,a|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(a);n=q;o=p;break}Yua(d);B=0;p=Ia(40,e|0,87359,21)|0;q=B;B=0;if((!(q&1)?(q=Lta(b)|0,B=0,s=Ia(40,p|0,b|0,q|0)|0,q=B,B=0,!(q&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,f|0,87381,73);q=B;B=0;do if(!(q&1)){B=0;eb(502,g|0,87455,7);p=B;B=0;if(p&1){p=Rb()|0;t=Q;Yua(f);u=t;v=p;break}B=0;wa(510,h|0,a|0);p=B;B=0;if(p&1){p=Rb()|0;w=Q;x=p;y=1}else{B=0;ua(163,s|0,f|0,g|0,18,h|0);p=B;B=0;if(p&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}p=Rb()|0;t=Q;Yua(h);w=t;x=p;y=z}Yua(g);Yua(f);if(y){u=w;v=x}else{A=w;C=x;k[e>>2]=27468;k[c>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(c);Qb(C|0)}}else{p=Rb()|0;u=Q;v=p}while(0);zb(s|0);A=u;C=v;k[e>>2]=27468;k[c>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(c);Qb(C|0)}q=Rb()|0;A=Q;C=q;k[e>>2]=27468;k[c>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function qY(a){a=a|0;if(vY()|0)return 1;uqa((i[a>>0]&1)==0?a+1|0:k[a+8>>2]|0);return 1}function rY(a){a=a|0;uqa((i[a>>0]&1)==0?a+1|0:k[a+8>>2]|0);return 1}function sY(a){a=a|0;i[53730]=1;k[6862]=a;return}function tY(){i[53730]=0;return}function uY(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;if(i[53730]|0){r=a;return k[6862]|0}a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;j=Q;l=h;vva(a);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){m=Rb()|0;n=Q;o=m}else{k[g>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(g);n=q;o=p;break}Yua(b);B=0;p=Ia(40,c|0,87463,33)|0;q=B;B=0;if(!(q&1)?(B=0,Xa(239,p|0,0)|0,p=B,B=0,!(p&1)):0){p=Ab(20)|0;B=0;eb(502,d|0,87497,74);q=B;B=0;do if(!(q&1)){B=0;eb(502,e|0,87572,7);s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(d);u=t;v=s;break}B=0;wa(510,f|0,g|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,p|0,d|0,e|0,31,f|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,p|0,1240,229);B=0;z=0}s=Rb()|0;t=Q;Yua(f);w=t;x=s;y=z}Yua(e);Yua(d);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(m);Ava(g);vva(a);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(p|0);A=u;C=v;k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(m);Ava(g);vva(a);Qb(C|0)}q=Rb()|0;A=Q;C=q;k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(m);Ava(g);vva(a);Qb(C|0)}while(0);j=n;l=o;vva(a);Qb(l|0);return 0}function vY(){var a=0,b=0,c=0;a=r;r=r+16|0;b=a;k[b>>2]=0;if(!(i[53730]|0)){c=0;r=a;return c|0}iZ(k[6862]|0,b)|0;c=k[b>>2]|0;r=a;return c|0}function wY(){var a=0,b=0,c=0;a=r;r=r+16|0;b=a;k[b>>2]=1;if(!(i[53730]|0)){c=1;r=a;return c|0}jZ(k[6862]|0,b)|0;c=k[b>>2]|0;r=a;return c|0}function xY(a){a=a|0;var b=0;do switch(a|0){case 0:{b=87588;break}case 1:{b=87604;break}case 2:{b=87613;break}case 3:{b=87626;break}case 4:{b=87636;break}case 5:{b=87654;break}case 6:{b=87664;break}case 7:{b=87672;break}case 8:{b=87680;break}case 9:{b=87699;break}case 10:{b=87721;break}case 11:{b=87749;break}case 12:{b=87778;break}case 13:{b=87807;break}case 14:{b=87838;break}case 15:{b=87863;break}case 16:{b=87887;break}case 17:{b=87917;break}case 18:{b=87948;break}case 19:{b=87979;break}case 20:{b=88006;break}case 21:{b=88023;break}case 22:{b=88034;break}case 23:{b=88049;break}case 24:{b=88073;break}case 25:{b=88099;break}case 26:{b=88123;break}case 27:{b=88155;break}case 28:{b=88168;break}case 29:{b=88185;break}case 30:{b=88202;break}case 31:{b=88219;break}case 32:{b=88236;break}case 33:{b=88259;break}case 34:{b=88284;break}case 35:{b=88313;break}case 36:{b=88343;break}case 37:{b=88374;break}case 38:{b=88388;break}case 39:{b=88416;break}case 40:{b=88452;break}case 41:{b=88488;break}case 42:{b=88522;break}case 43:{b=88554;break}case 44:{b=88587;break}case 45:{b=88615;break}case 46:{b=88647;break}case 47:{b=88675;break}case 48:{b=88707;break}case 49:{b=88728;break}case 50:{b=88746;break}case 51:{b=88771;break}case 52:{b=88798;break}case 53:{b=88828;break}case 54:{b=88848;break}case 55:{b=88868;break}case 56:{b=88896;break}case 57:{b=88929;break}case 58:{b=88957;break}case 59:{b=88985;break}case 60:{b=89002;break}case 61:{b=89025;break}case 62:{b=89048;break}case 63:{b=89074;break}case 64:{b=89078;break}case 65:{b=89083;break}case 66:{b=89094;break}case 67:{b=89124;break}case 68:{b=89137;break}case 69:{b=89153;break}case 70:{b=89173;break}case 71:{b=89206;break}case 72:{b=89228;break}case 73:{b=89249;break}case 74:{b=89276;break}case 75:{b=89301;break}case 76:{b=89321;break}case 77:{b=89354;break}case 78:{b=89384;break}case 79:{b=89404;break}case 80:{b=89433;break}case 81:{b=89467;break}case 82:{b=89495;break}case 83:{b=89514;break}case 84:{b=89533;break}case 85:{b=89552;break}case 86:{b=89582;break}case 87:{b=89609;break}case 88:{b=89641;break}case 89:{b=89655;break}case 90:{b=89669;break}case 91:{b=89683;break}case 92:{b=89705;break}case 93:{b=89726;break}case 94:{b=89747;break}case 95:{b=89775;break}case 96:{b=89793;break}case 97:{b=89811;break}case 98:{b=89830;break}case 99:{b=89847;break}case 100:{b=89864;break}case 101:{b=89882;break}case 102:{b=89899;break}case 103:{b=89916;break}case 104:{b=89943;break}case 105:{b=89954;break}case 106:{b=89974;break}case 107:{b=90001;break}case 108:{b=90011;break}case 109:{b=90021;break}case 110:{b=90031;break}case 111:{b=90041;break}case 112:{b=90053;break}case 113:{b=90067;break}case 114:{b=90077;break}case 115:{b=90096;break}case 116:{b=90122;break}case 117:{b=90139;break}case 118:{b=90164;break}case 119:{b=90179;break}case 120:{b=90195;break}case 121:{b=90225;break}case 122:{b=90254;break}case 123:{b=90266;break}case 124:{b=90279;break}case 125:{b=90295;break}case 126:{b=90316;break}case 127:{b=90334;break}case 128:{b=90342;break}case 129:{b=90353;break}case 130:{b=90367;break}case 131:{b=90381;break}case 132:{b=90398;break}case 133:{b=90417;break}case 134:{b=90435;break}case 135:{b=90462;break}case 136:{b=90497;break}case 137:{b=90525;break}case 138:{b=90554;break}case 139:{b=90587;break}case 140:{b=90619;break}case 141:{b=90641;break}case 142:{b=90670;break}case 143:{b=90698;break}case 144:{b=90728;break}case 145:{b=90751;break}case 146:{b=90782;break}case 147:{b=90813;break}case 148:{b=90840;break}case 149:{b=90864;break}case 150:{b=90891;break}case 151:{b=90915;break}case 152:{b=90942;break}case 153:{b=90970;break}case 154:{b=90999;break}case 155:{b=91024;break}case 156:{b=91048;break}case 157:{b=91073;break}case 158:{b=91098;break}case 159:{b=91121;break}case 160:{b=91144;break}case 161:{b=91172;break}case 162:{b=91187;break}case 163:{b=91205;break}case 164:{b=91224;break}case 165:{b=91246;break}case 166:{b=91263;break}case 167:{b=91277;break}case 168:{b=91296;break}case 169:{b=91317;break}case 170:{b=91337;break}case 171:{b=91361;break}case 172:{b=91382;break}case 173:{b=91400;break}case 174:{b=91421;break}case 175:{b=91438;break}case 176:{b=91460;break}case 177:{b=91487;break}case 178:{b=91518;break}case 179:{b=91549;break}case 180:{b=91584;break}case 181:{b=91607;break}case 182:{b=91632;break}case 183:{b=91651;break}case 184:{b=91665;break}case 185:{b=91692;break}case 186:{b=91715;break}case 187:{b=91739;break}case 188:{b=91756;break}case 189:{b=91774;break}case 190:{b=91789;break}case 191:{b=91804;break}case 192:{b=91819;break}case 193:{b=91834;break}case 194:{b=91849;break}case 195:{b=91868;break}case 196:{b=91891;break}case 197:{b=91907;break}case 198:{b=91922;break}case 199:{b=91952;break}case 200:{b=91978;break}case 201:{b=92001;break}case 202:{b=92023;break}case 203:{b=92043;break}case 204:{b=92058;break}case 205:{b=92073;break}case 206:{b=92088;break}case 207:{b=92104;break}case 208:{b=92122;break}case 209:{b=92139;break}case 210:{b=92153;break}case 211:{b=92175;break}case 212:{b=92195;break}case 213:{b=92217;break}case 214:{b=92245;break}case 215:{b=92264;break}case 216:{b=92286;break}case 217:{b=92307;break}case 218:{b=92326;break}case 219:{b=92346;break}case 220:{b=92369;break}case 221:{b=92389;break}case 222:{b=92412;break}case 223:{b=92432;break}case 224:{b=92455;break}case 225:{b=92470;break}case 226:{b=92478;break}case 227:{b=92486;break}case 228:{b=92497;break}case 229:{b=92507;break}case 230:{b=92516;break}case 231:{b=92525;break}case 232:{b=92534;break}case 233:{b=92543;break}case 234:{b=92563;break}case 235:{b=92577;break}case 236:{b=92599;break}case 237:{b=92611;break}case 238:{b=92631;break}case 239:{b=92645;break}case 240:{b=92661;break}case 241:{b=92677;break}case 242:{b=92695;break}case 243:{b=92730;break}case 244:{b=92762;break}case 245:{b=92769;break}case 246:{b=92779;break}case 247:{b=92801;break}case 248:{b=92812;break}case 249:{b=92831;break}case 250:{b=92850;break}case 251:{b=92867;break}case 252:{b=92878;break}case 253:{b=92898;break}case 254:{b=92913;break}case 255:{b=92937;break}case 256:{b=92959;break}case 257:{b=92987;break}case 258:{b=93003;break}case 259:{b=93016;break}case 260:{b=93029;break}case 261:{b=93049;break}case 262:{b=93069;break}case 263:{b=93088;break}case 264:{b=93112;break}case 265:{b=93132;break}case 266:{b=93148;break}case 267:{b=93169;break}case 268:{b=93192;break}case 269:{b=93209;break}case 270:{b=93242;break}case 271:{b=93271;break}case 272:{b=93305;break}case 273:{b=93338;break}case 274:{b=93366;break}case 275:{b=93394;break}case 276:{b=93417;break}case 277:{b=93439;break}case 278:{b=93469;break}case 279:{b=93484;break}case 280:{b=93497;break}case 281:{b=93515;break}case 282:{b=93538;break}case 283:{b=93559;break}case 284:{b=93578;break}case 285:{b=93601;break}case 286:{b=93622;break}case 287:{b=93640;break}case 288:{b=93657;break}case 289:{b=93677;break}case 290:{b=93698;break}case 291:{b=93704;break}case 292:{b=93710;break}case 293:{b=93716;break}case 294:{b=93724;break}case 295:{b=93733;break}case 296:{b=93739;break}case 297:{b=93755;break}case 298:{b=93768;break}case 299:{b=93779;break}case 300:{b=93795;break}case 301:{b=93814;break}case 302:{b=93831;break}case 303:{b=93840;break}case 304:{b=93856;break}case 305:{b=93874;break}case 306:{b=93909;break}case 307:{b=93936;break}case 308:{b=93962;break}case 309:{b=93989;break}case 310:{b=94015;break}case 311:{b=94042;break}case 312:{b=94069;break}case 313:{b=94102;break}case 314:{b=94132;break}case 315:{b=94144;break}case 316:{b=94161;break}case 317:{b=94185;break}case 318:{b=94212;break}case 319:{b=94234;break}case 320:{b=94255;break}case 321:{b=94268;break}case 322:{b=94291;break}case 323:{b=94314;break}case 324:{b=94328;break}case 325:{b=94344;break}case 326:{b=94367;break}case 327:{b=94384;break}case 328:{b=94399;break}case 329:{b=94423;break}case 330:{b=94450;break}case 331:{b=94469;break}case 332:{b=94484;break}case 333:{b=94504;break}case 334:{b=94526;break}case 335:{b=94548;break}case 336:{b=94567;break}case 337:{b=94598;break}case 338:{b=94616;break}case 339:{b=94644;break}case 340:{b=94652;break}case 341:{b=94670;break}case 342:{b=94695;break}case 343:{b=94709;break}case 344:{b=94724;break}case 345:{b=94745;break}case 346:{b=94764;break}case 347:{b=94788;break}case 348:{b=94810;break}case 349:{b=94831;break}case 350:{b=94858;break}case 351:{b=94882;break}case 352:{b=94901;break}case 353:{b=94925;break}case 354:{b=94935;break}case 355:{b=94957;break}case 356:{b=94979;break}case 357:{b=95006;break}case 358:{b=95028;break}case 359:{b=95049;break}case 360:{b=95076;break}case 361:{b=95091;break}case 362:{b=95110;break}case 363:{b=95135;break}case 364:{b=95160;break}case 365:{b=95185;break}case 366:{b=95204;break}case 367:{b=95219;break}case 368:{b=95246;break}case 369:{b=95267;break}case 370:{b=95290;break}case 371:{b=95305;break}case 372:{b=95334;break}case 373:{b=95360;break}case 374:{b=95370;break}case 375:{b=95399;break}case 376:{b=95435;break}case 377:{b=95459;break}case 378:{b=95496;break}case 379:{b=95516;break}case 380:{b=95538;break}case 381:{b=95557;break}case 382:{b=95561;break}case 383:{b=95573;break}case 384:{b=95585;break}case 385:{b=95608;break}case 386:{b=95628;break}case 387:{b=95645;break}case 388:{b=95656;break}case 389:{b=95671;break}case 390:{b=95679;break}case 391:{b=95701;break}case 392:{b=95707;break}case 393:{b=95712;break}case 394:{b=95721;break}case 395:{b=95730;break}case 396:{b=95735;break}case 397:{b=95742;break}case 398:{b=95750;break}case 399:{b=95758;break}case 400:{b=95767;break}case 401:{b=95772;break}case 402:{b=95778;break}case 403:{b=95784;break}case 404:{b=95790;break}case 405:{b=95796;break}case 406:{b=95804;break}case 407:{b=95813;break}case 408:{b=95823;break}case 409:{b=95831;break}case 410:{b=95840;break}case 411:{b=95849;break}case 412:{b=95855;break}case 413:{b=95863;break}case 414:{b=95871;break}case 415:{b=95885;break}case 416:{b=95894;break}case 417:{b=95902;break}case 418:{b=95913;break}case 419:{b=95922;break}case 420:{b=95931;break}case 421:{b=95936;break}case 422:{b=95941;break}case 423:{b=95947;break}case 424:{b=95954;break}case 425:{b=95961;break}case 426:{b=95967;break}case 427:{b=95983;break}case 428:{b=95988;break}case 429:{b=95993;break}case 430:{b=95998;break}case 431:{b=96015;break}case 432:{b=96027;break}case 433:{b=96042;break}case 434:{b=96055;break}case 435:{b=96073;break}case 436:{b=96083;break}case 437:{b=96102;break}case 438:{b=96121;break}case 439:{b=96128;break}case 440:{b=96140;break}case 441:{b=96159;break}case 442:{b=96173;break}case 443:{b=96185;break}case 444:{b=96197;break}case 445:{b=96225;break}case 446:{b=96246;break}case 447:{b=96272;break}case 448:{b=96291;break}case 449:{b=96308;break}case 450:{b=96318;break}case 451:{b=96325;break}case 452:{b=96332;break}case 453:{b=96341;break}case 454:{b=96353;break}case 455:{b=96361;break}case 456:{b=96370;break}case 457:{b=96380;break}case 458:{b=96391;break}case 459:{b=96402;break}case 460:{b=96415;break}case 461:{b=96438;break}case 462:{b=96446;break}case 463:{b=96456;break}case 464:{b=96464;break}case 465:{b=96472;break}case 466:{b=96483;break}case 467:{b=96497;break}case 468:{b=96513;break}case 469:{b=96528;break}case 470:{b=96538;break}case 471:{b=96556;break}case 472:{b=96564;break}case 473:{b=96576;break}case 474:{b=96583;break}case 475:{b=96592;break}case 476:{b=96610;break}case 477:{b=96623;break}case 478:{b=96636;break}case 479:{b=96654;break}case 480:{b=96686;break}case 481:{b=96719;break}case 482:{b=96740;break}case 483:{b=96756;break}case 484:{b=96772;break}case 485:{b=96797;break}case 486:{b=96822;break}case 487:{b=96848;break}case 488:{b=96874;break}case 489:{b=96903;break}case 490:{b=96932;break}case 491:{b=96956;break}case 492:{b=96980;break}case 493:{b=97004;break}case 494:{b=97029;break}case 495:{b=97046;break}case 496:{b=97070;break}case 497:{b=97094;break}case 498:{b=97116;break}case 499:{b=97141;break}case 500:{b=97163;break}case 501:{b=97193;break}case 502:{b=97210;break}case 503:{b=97224;break}case 504:{b=97238;break}case 505:{b=97262;break}case 506:{b=97293;break}case 507:{b=97322;break}case 508:{b=97347;break}case 509:{b=97365;break}case 510:{b=97381;break}case 511:{b=97403;break}case 512:{b=97425;break}case 513:{b=97449;break}case 514:{b=97472;break}case 515:{b=97494;break}case 516:{b=97518;break}case 517:{b=97541;break}case 518:{b=97562;break}case 519:{b=97582;break}case 520:{b=97603;break}case 521:{b=97618;break}case 522:{b=97634;break}case 523:{b=97650;break}case 524:{b=97668;break}case 525:{b=97690;break}case 526:{b=97702;break}case 527:{b=97714;break}case 528:{b=97738;break}case 529:{b=97762;break}case 530:{b=97779;break}case 531:{b=97801;break}case 532:{b=97823;break}case 533:{b=97851;break}case 534:{b=97865;break}case 535:{b=97883;break}case 536:{b=97900;break}case 537:{b=97917;break}case 538:{b=97936;break}case 539:{b=97955;break}case 540:{b=97973;break}case 541:{b=97989;break}case 542:{b=98007;break}case 543:{b=98023;break}case 544:{b=98034;break}case 545:{b=98045;break}case 546:{b=98053;break}case 547:{b=98065;break}case 548:{b=98071;break}case 549:{b=98081;break}case 550:{b=98087;break}case 551:{b=98096;break}case 552:{b=98107;break}case 553:{b=98116;break}case 554:{b=98124;break}case 555:{b=98137;break}case 556:{b=98148;break}case 557:{b=98158;break}case 558:{b=98168;break}case 559:{b=114756;break}case 560:{b=98176;break}case 561:{b=98189;break}case 562:{b=98201;break}case 563:{b=98218;break}case 564:{b=98231;break}case 565:{b=98251;break}case 566:{b=98266;break}case 567:{b=98278;break}case 568:{b=98293;break}case 569:{b=98301;break}case 570:{b=98313;break}case 571:{b=98318;break}case 572:{b=98333;break}case 573:{b=98343;break}case 574:{b=98349;break}case 575:{b=98358;break}case 576:{b=98373;break}case 577:{b=98390;break}case 578:{b=98410;break}case 579:{b=98424;break}case 580:{b=98450;break}case 581:{b=98459;break}case 582:{b=98471;break}case 583:{b=98486;break}case 584:{b=98493;break}case 585:{b=98506;break}case 586:{b=98515;break}case 587:{b=98522;break}case 588:{b=98527;break}case 589:{b=98541;break}case 590:{b=98559;break}case 591:{b=98571;break}case 592:{b=98577;break}case 593:{b=98584;break}case 594:{b=98592;break}case 595:{b=98600;break}case 596:{b=98609;break}case 597:{b=98621;break}case 598:{b=98629;break}case 599:{b=98641;break}case 600:{b=98663;break}case 601:{b=98679;break}case 602:{b=98692;break}case 603:{b=98709;break}case 604:{b=98736;break}case 605:{b=98754;break}case 606:{b=98772;break}case 607:{b=98790;break}case 608:{b=98807;break}case 609:{b=98815;break}case 610:{b=98827;break}case 611:{b=98837;break}case 612:{b=98851;break}case 613:{b=98859;break}case 614:{b=98876;break}case 615:{b=98887;break}case 616:{b=98897;break}case 617:{b=98910;break}case 618:{b=98927;break}case 619:{b=98939;break}case 620:{b=98943;break}case 621:{b=98952;break}case 622:{b=98957;break}case 623:{b=98967;break}case 624:{b=98973;break}case 625:{b=98984;break}case 626:{b=98990;break}case 627:{b=99001;break}case 628:{b=99008;break}case 629:{b=99018;break}case 630:{b=99028;break}case 631:{b=99032;break}case 632:{b=99036;break}case 633:{b=99044;break}case 634:{b=99050;break}case 635:{b=99057;break}case 636:{b=99062;break}case 637:{b=99067;break}case 638:{b=99076;break}case 639:{b=99085;break}case 640:{b=99094;break}case 641:{b=99103;break}case 642:{b=99126;break}case 643:{b=99136;break}case 644:{b=99146;break}case 645:{b=99155;break}case 646:{b=99165;break}case 647:{b=99170;break}case 648:{b=99188;break}case 649:{b=99197;break}case 650:{b=99206;break}case 651:{b=99215;break}case 652:{b=99229;break}case 653:{b=99236;break}case 654:{b=99245;break}case 655:{b=99260;break}case 656:{b=99287;break}case 657:{b=99302;break}case 658:{b=113694;break}case 659:{b=99320;break}case 660:{b=114189;break}case 661:{b=113936;break}case 662:{b=114059;break}case 663:{b=113815;break}case 664:{b=99332;break}case 665:{b=99346;break}case 666:{b=99360;break}case 667:{b=99372;break}case 668:{b=99390;break}case 669:{b=99405;break}case 670:{b=99424;break}case 671:{b=99441;break}case 672:{b=99445;break}case 673:{b=99454;break}case 674:{b=99464;break}case 675:{b=99467;break}case 676:{b=99476;break}case 677:{b=99486;break}case 678:{b=99489;break}case 679:{b=99498;break}case 680:{b=99501;break}case 681:{b=99507;break}case 682:{b=99512;break}case 683:{b=99521;break}case 684:{b=99526;break}case 685:{b=99533;break}case 686:{b=99540;break}case 687:{b=99547;break}case 688:{b=99556;break}case 689:{b=99571;break}case 690:{b=99592;break}case 691:{b=99615;break}case 692:{b=99639;break}case 693:{b=99657;break}case 694:{b=114464;break}case 695:{b=114591;break}case 696:{b=114328;break}case 697:{b=99669;break}case 698:{b=99684;break}case 699:{b=99698;break}case 700:{b=99710;break}case 701:{b=99724;break}case 702:{b=99739;break}case 703:{b=99756;break}case 704:{b=99773;break}case 705:{b=99788;break}case 706:{b=99803;break}case 707:{b=99811;break}case 708:{b=99824;break}case 709:{b=99839;break}case 710:{b=99854;break}case 711:{b=99869;break}case 712:{b=99884;break}case 713:{b=99899;break}case 714:{b=99914;break}case 715:{b=99933;break}case 716:{b=99950;break}case 717:{b=99969;break}case 718:{b=99988;break}case 719:{b=100007;break}case 720:{b=100026;break}case 721:{b=100045;break}case 722:{b=100064;break}case 723:{b=100090;break}case 724:{b=100098;break}case 725:{b=100109;break}case 726:{b=100122;break}case 727:{b=100135;break}case 728:{b=100148;break}case 729:{b=100161;break}case 730:{b=100174;break}case 731:{b=100187;break}case 732:{b=100198;break}case 733:{b=100212;break}case 734:{b=100233;break}case 735:{b=100241;break}case 736:{b=100246;break}case 737:{b=100249;break}case 738:{b=100257;break}case 739:{b=100260;break}case 740:{b=100265;break}case 741:{b=100274;break}case 742:{b=100292;break}case 743:{b=100295;break}case 744:{b=100304;break}case 745:{b=100322;break}case 746:{b=100328;break}case 747:{b=100334;break}case 748:{b=100340;break}case 749:{b=100346;break}case 750:{b=100351;break}case 751:{b=100359;break}case 752:{b=100364;break}case 753:{b=100378;break}case 754:{b=100389;break}case 755:{b=100402;break}case 756:{b=100414;break}case 757:{b=100426;break}case 758:{b=100442;break}case 759:{b=100460;break}case 760:{b=100472;break}case 761:{b=100491;break}case 762:{b=100512;break}case 763:{b=100536;break}case 764:{b=100554;break}case 765:{b=100556;break}case 766:{b=100577;break}case 767:{b=100582;break}case 768:{b=100587;break}case 769:{b=100602;break}case 770:{b=100619;break}case 771:{b=100637;break}case 772:{b=100655;break}case 773:{b=100673;break}case 774:{b=100691;break}case 775:{b=100709;break}case 776:{b=100727;break}case 777:{b=100745;break}case 778:{b=100763;break}case 779:{b=100781;break}case 780:{b=100800;break}case 781:{b=100819;break}case 782:{b=100838;break}case 783:{b=100857;break}case 784:{b=100876;break}case 785:{b=100895;break}case 786:{b=100914;break}case 787:{b=100933;break}case 788:{b=100952;break}case 789:{b=100971;break}case 790:{b=100990;break}case 791:{b=101009;break}case 792:{b=101028;break}case 793:{b=101047;break}case 794:{b=101066;break}case 795:{b=101085;break}case 796:{b=101104;break}case 797:{b=101123;break}case 798:{b=101142;break}case 799:{b=101161;break}case 800:{b=101180;break}case 801:{b=101199;break}case 802:{b=101218;break}case 803:{b=101237;break}case 804:{b=101256;break}case 805:{b=101275;break}case 806:{b=101294;break}case 807:{b=101313;break}case 808:{b=101332;break}case 809:{b=101351;break}case 810:{b=101370;break}case 811:{b=101389;break}case 812:{b=101408;break}case 813:{b=101427;break}case 814:{b=101446;break}case 815:{b=101465;break}case 816:{b=101484;break}case 817:{b=101503;break}case 818:{b=101522;break}case 819:{b=101541;break}case 820:{b=101560;break}case 821:{b=101579;break}case 822:{b=101598;break}case 823:{b=101617;break}case 824:{b=101636;break}case 825:{b=101655;break}case 826:{b=101674;break}case 827:{b=101693;break}case 828:{b=101712;break}case 829:{b=101731;break}case 830:{b=101750;break}case 831:{b=101769;break}case 832:{b=101788;break}case 833:{b=101807;break}case 834:{b=101826;break}case 835:{b=101845;break}case 836:{b=101864;break}case 837:{b=101883;break}case 838:{b=101902;break}case 839:{b=101921;break}case 840:{b=101940;break}case 841:{b=101959;break}case 842:{b=101978;break}case 843:{b=101997;break}case 844:{b=102016;break}case 845:{b=102035;break}case 846:{b=102054;break}case 847:{b=102073;break}case 848:{b=102092;break}case 849:{b=102111;break}case 850:{b=102130;break}case 851:{b=102149;break}case 852:{b=102168;break}case 853:{b=102187;break}case 854:{b=102206;break}case 855:{b=102225;break}case 856:{b=102244;break}case 857:{b=102263;break}case 858:{b=102282;break}case 859:{b=102301;break}case 860:{b=102320;break}case 861:{b=102339;break}case 862:{b=102358;break}case 863:{b=102377;break}case 864:{b=102396;break}case 865:{b=102415;break}case 866:{b=102434;break}case 867:{b=102453;break}case 868:{b=102472;break}case 869:{b=102491;break}case 870:{b=102511;break}case 871:{b=102532;break}case 872:{b=102547;break}case 873:{b=102566;break}case 874:{b=102595;break}case 875:{b=102618;break}case 876:{b=102629;break}case 877:{b=102644;break}case 878:{b=102669;break}case 879:{b=102689;break}case 880:{b=102704;break}case 881:{b=102715;break}case 882:{b=102736;break}case 883:{b=102752;break}case 884:{b=102770;break}case 885:{b=102792;break}case 886:{b=102804;break}case 887:{b=102828;break}case 888:{b=102842;break}case 889:{b=102860;break}case 890:{b=102879;break}case 891:{b=102905;break}case 892:{b=102911;break}case 893:{b=102924;break}case 894:{b=102930;break}case 895:{b=102943;break}case 896:{b=102950;break}case 897:{b=102957;break}case 898:{b=102963;break}case 899:{b=102969;break}case 900:{b=102978;break}case 901:{b=102984;break}case 902:{b=102990;break}case 903:{b=102999;break}case 904:{b=103005;break}case 905:{b=103011;break}case 906:{b=103020;break}case 907:{b=103033;break}case 908:{b=103046;break}case 909:{b=103054;break}case 910:{b=103064;break}case 911:{b=103089;break}case 912:{b=103106;break}case 913:{b=103123;break}case 914:{b=103132;break}case 915:{b=103141;break}case 916:{b=103153;break}case 917:{b=103174;break}case 918:{b=103198;break}case 919:{b=103225;break}case 920:{b=103254;break}case 921:{b=103279;break}case 922:{b=103284;break}case 923:{b=103304;break}case 924:{b=103318;break}case 925:{b=103338;break}case 926:{b=103359;break}case 927:{b=103367;break}case 928:{b=103381;break}case 929:{b=103405;break}case 930:{b=138571;break}case 931:{b=138932;break}case 932:{b=139212;break}case 933:{b=103414;break}case 934:{b=103423;break}case 935:{b=103431;break}case 936:{b=103440;break}case 937:{b=103454;break}case 938:{b=103459;break}case 939:{b=103469;break}case 940:{b=103479;break}case 941:{b=103489;break}case 942:{b=103498;break}case 943:{b=103521;break}case 944:{b=103526;break}case 945:{b=103532;break}case 946:{b=103540;break}case 947:{b=103550;break}case 948:{b=103556;break}case 949:{b=103568;break}case 950:{b=103588;break}case 951:{b=103612;break}case 952:{b=103630;break}case 953:{b=103647;break}case 954:{b=103656;break}case 955:{b=103671;break}case 956:{b=103685;break}case 957:{b=103698;break}case 958:{b=103714;break}case 959:{b=103738;break}case 960:{b=103761;break}case 961:{b=103772;break}case 962:{b=103782;break}case 963:{b=103793;break}case 964:{b=103801;break}case 965:{b=103808;break}case 966:{b=103817;break}case 967:{b=103822;break}case 968:{b=103830;break}case 969:{b=103845;break}case 970:{b=103860;break}case 971:{b=103874;break}case 972:{b=103877;break}case 973:{b=103881;break}case 974:{b=103887;break}case 975:{b=103896;break}case 976:{b=103906;break}case 977:{b=103910;break}case 978:{b=103914;break}case 979:{b=103920;break}case 980:{b=103924;break}case 981:{b=103931;break}case 982:{b=103945;break}case 983:{b=103956;break}case 984:{b=103969;break}case 985:{b=103976;break}case 986:{b=103986;break}case 987:{b=104002;break}case 988:{b=104011;break}case 989:{b=104021;break}case 990:{b=104036;break}case 991:{b=104048;break}case 992:{b=104070;break}case 993:{b=104092;break}case 994:{b=104115;break}case 995:{b=104138;break}case 996:{b=104161;break}case 997:{b=104185;break}case 998:{b=104206;break}case 999:{b=104227;break}case 1e3:{b=104236;break}case 1001:{b=104253;break}case 1002:{b=104280;break}case 1003:{b=104300;break}case 1004:{b=104319;break}case 1005:{b=104338;break}case 1006:{b=104356;break}case 1007:{b=104374;break}case 1008:{b=104396;break}case 1009:{b=104418;break}case 1010:{b=104436;break}case 1011:{b=104456;break}case 1012:{b=104477;break}case 1013:{b=104498;break}case 1014:{b=104517;break}case 1015:{b=104541;break}case 1016:{b=104570;break}case 1017:{b=104602;break}case 1018:{b=104616;break}default:b=87580}while(0);return b|0}function yY(a,b){a=a|0;b=b|0;var c=0,d=0;c=xY(b)|0;b=(Lta(c)|0)+1|0;d=Rqa(b)|0;TEa(d|0,c|0,b|0)|0;k[a>>2]=d;return}function zY(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;do if(Ita(a,87588)|0)if(Ita(a,87604)|0)if(Ita(a,87613)|0)if(Ita(a,87626)|0)if(Ita(a,87636)|0)if(Ita(a,87654)|0)if(Ita(a,87664)|0)if(Ita(a,87672)|0)if(Ita(a,87680)|0)if(Ita(a,87699)|0)if(Ita(a,87721)|0)if(Ita(a,87749)|0)if(Ita(a,87778)|0)if(Ita(a,87807)|0)if(Ita(a,87838)|0)if(Ita(a,87863)|0)if(Ita(a,87887)|0)if(Ita(a,87917)|0)if(!(Ita(a,87948)|0))i=18;else{if(!(Ita(a,87979)|0)){i=19;break}if(!(Ita(a,88006)|0)){i=20;break}if(!(Ita(a,88023)|0)){i=21;break}if(!(Ita(a,88034)|0)){i=22;break}if(!(Ita(a,88049)|0)){i=23;break}if(!(Ita(a,88073)|0)){i=24;break}if(!(Ita(a,88099)|0)){i=25;break}if(!(Ita(a,88123)|0)){i=26;break}if(!(Ita(a,88155)|0)){i=27;break}if(!(Ita(a,88168)|0)){i=28;break}if(!(Ita(a,88185)|0)){i=29;break}if(!(Ita(a,88202)|0)){i=30;break}if(!(Ita(a,88219)|0)){i=31;break}if(!(Ita(a,88236)|0)){i=32;break}if(!(Ita(a,88259)|0)){i=33;break}if(!(Ita(a,88284)|0)){i=34;break}if(!(Ita(a,88313)|0)){i=35;break}if(!(Ita(a,88343)|0)){i=36;break}if(!(Ita(a,88374)|0)){i=37;break}if(!(Ita(a,88388)|0)){i=38;break}if(!(Ita(a,88416)|0)){i=39;break}if(!(Ita(a,88452)|0)){i=40;break}if(!(Ita(a,88488)|0)){i=41;break}if(!(Ita(a,88522)|0)){i=42;break}if(!(Ita(a,88554)|0)){i=43;break}if(!(Ita(a,88587)|0)){i=44;break}if(!(Ita(a,88615)|0)){i=45;break}if(!(Ita(a,88647)|0)){i=46;break}if(!(Ita(a,88675)|0)){i=47;break}if(!(Ita(a,88707)|0)){i=48;break}if(!(Ita(a,88728)|0)){i=49;break}if(!(Ita(a,88746)|0)){i=50;break}if(!(Ita(a,88771)|0)){i=51;break}if(!(Ita(a,88798)|0)){i=52;break}if(!(Ita(a,88828)|0)){i=53;break}if(!(Ita(a,88848)|0)){i=54;break}if(!(Ita(a,88868)|0)){i=55;break}if(!(Ita(a,88896)|0)){i=56;break}if(!(Ita(a,88929)|0)){i=57;break}if(!(Ita(a,88957)|0)){i=58;break}if(!(Ita(a,88985)|0)){i=59;break}if(!(Ita(a,89002)|0)){i=60;break}if(!(Ita(a,89025)|0)){i=61;break}if(!(Ita(a,89048)|0)){i=62;break}if(!(Ita(a,89074)|0)){i=63;break}if(!(Ita(a,89078)|0)){i=64;break}if(!(Ita(a,89083)|0)){i=65;break}if(!(Ita(a,89094)|0)){i=66;break}if(!(Ita(a,89124)|0)){i=67;break}if(!(Ita(a,89137)|0)){i=68;break}if(!(Ita(a,89153)|0)){i=69;break}if(!(Ita(a,89173)|0)){i=70;break}if(!(Ita(a,89206)|0)){i=71;break}if(!(Ita(a,89228)|0)){i=72;break}if(!(Ita(a,89249)|0)){i=73;break}if(!(Ita(a,89276)|0)){i=74;break}if(!(Ita(a,89301)|0)){i=75;break}if(!(Ita(a,89321)|0)){i=76;break}if(!(Ita(a,89354)|0)){i=77;break}if(!(Ita(a,89384)|0)){i=78;break}if(!(Ita(a,89404)|0)){i=79;break}if(!(Ita(a,89433)|0)){i=80;break}if(!(Ita(a,89467)|0)){i=81;break}if(!(Ita(a,89495)|0)){i=82;break}if(!(Ita(a,89514)|0)){i=83;break}if(!(Ita(a,89533)|0)){i=84;break}if(!(Ita(a,89552)|0)){i=85;break}if(!(Ita(a,89582)|0)){i=86;break}if(!(Ita(a,89609)|0)){i=87;break}if(!(Ita(a,89641)|0)){i=88;break}if(!(Ita(a,89655)|0)){i=89;break}if(!(Ita(a,89669)|0)){i=90;break}if(!(Ita(a,89683)|0)){i=91;break}if(!(Ita(a,89705)|0)){i=92;break}if(!(Ita(a,89726)|0)){i=93;break}if(!(Ita(a,89747)|0)){i=94;break}if(!(Ita(a,89775)|0)){i=95;break}if(!(Ita(a,89793)|0)){i=96;break}if(!(Ita(a,89811)|0)){i=97;break}if(!(Ita(a,89830)|0)){i=98;break}if(!(Ita(a,89847)|0)){i=99;break}if(!(Ita(a,89864)|0)){i=100;break}if(!(Ita(a,89882)|0)){i=101;break}if(!(Ita(a,89899)|0)){i=102;break}if(!(Ita(a,89916)|0)){i=103;break}if(!(Ita(a,89943)|0)){i=104;break}if(!(Ita(a,89954)|0)){i=105;break}if(!(Ita(a,89974)|0)){i=106;break}if(!(Ita(a,90001)|0)){i=107;break}if(!(Ita(a,90011)|0)){i=108;break}if(!(Ita(a,90021)|0)){i=109;break}if(!(Ita(a,90031)|0)){i=110;break}if(!(Ita(a,90041)|0)){i=111;break}if(!(Ita(a,90053)|0)){i=112;break}if(!(Ita(a,90067)|0)){i=113;break}if(!(Ita(a,90077)|0)){i=114;break}if(!(Ita(a,90096)|0)){i=115;break}if(!(Ita(a,90122)|0)){i=116;break}if(!(Ita(a,90139)|0)){i=117;break}if(!(Ita(a,90164)|0)){i=118;break}if(!(Ita(a,90179)|0)){i=119;break}if(!(Ita(a,90195)|0)){i=120;break}if(!(Ita(a,90225)|0)){i=121;break}if(!(Ita(a,90254)|0)){i=122;break}if(!(Ita(a,90266)|0)){i=123;break}if(!(Ita(a,90279)|0)){i=124;break}if(!(Ita(a,90295)|0)){i=125;break}if(!(Ita(a,90316)|0)){i=126;break}if(!(Ita(a,90334)|0)){i=127;break}if(!(Ita(a,90342)|0)){i=128;break}if(!(Ita(a,90353)|0)){i=129;break}if(!(Ita(a,90367)|0)){i=130;break}if(!(Ita(a,90381)|0)){i=131;break}if(!(Ita(a,90398)|0)){i=132;break}if(!(Ita(a,90417)|0)){i=133;break}if(!(Ita(a,90435)|0)){i=134;break}if(!(Ita(a,90462)|0)){i=135;break}if(!(Ita(a,90497)|0)){i=136;break}if(!(Ita(a,90525)|0)){i=137;break}if(!(Ita(a,90554)|0)){i=138;break}if(!(Ita(a,90587)|0)){i=139;break}if(!(Ita(a,90619)|0)){i=140;break}if(!(Ita(a,90641)|0)){i=141;break}if(!(Ita(a,90670)|0)){i=142;break}if(!(Ita(a,90698)|0)){i=143;break}if(!(Ita(a,90728)|0)){i=144;break}if(!(Ita(a,90751)|0)){i=145;break}if(!(Ita(a,90782)|0)){i=146;break}if(!(Ita(a,90813)|0)){i=147;break}if(!(Ita(a,90840)|0)){i=148;break}if(!(Ita(a,90864)|0)){i=149;break}if(!(Ita(a,90891)|0)){i=150;break}if(!(Ita(a,90915)|0)){i=151;break}if(!(Ita(a,90942)|0)){i=152;break}if(!(Ita(a,90970)|0)){i=153;break}if(!(Ita(a,90999)|0)){i=154;break}if(!(Ita(a,91024)|0)){i=155;break}if(!(Ita(a,91048)|0)){i=156;break}if(!(Ita(a,91073)|0)){i=157;break}if(!(Ita(a,91098)|0)){i=158;break}if(!(Ita(a,91121)|0)){i=159;break}if(!(Ita(a,91144)|0)){i=160;break}if(!(Ita(a,91172)|0)){i=161;break}if(!(Ita(a,91187)|0)){i=162;break}if(!(Ita(a,91205)|0)){i=163;break}if(!(Ita(a,91224)|0)){i=164;break}if(!(Ita(a,91246)|0)){i=165;break}if(!(Ita(a,91263)|0)){i=166;break}if(!(Ita(a,91277)|0)){i=167;break}if(!(Ita(a,91296)|0)){i=168;break}if(!(Ita(a,91317)|0)){i=169;break}if(!(Ita(a,91337)|0)){i=170;break}if(!(Ita(a,91361)|0)){i=171;break}if(!(Ita(a,91382)|0)){i=172;break}if(!(Ita(a,91400)|0)){i=173;break}if(!(Ita(a,91421)|0)){i=174;break}if(!(Ita(a,91438)|0)){i=175;break}if(!(Ita(a,91460)|0)){i=176;break}if(!(Ita(a,91487)|0)){i=177;break}if(!(Ita(a,91518)|0)){i=178;break}if(!(Ita(a,91549)|0)){i=179;break}if(!(Ita(a,91584)|0)){i=180;break}if(!(Ita(a,91607)|0)){i=181;break}if(!(Ita(a,91632)|0)){i=182;break}if(!(Ita(a,91651)|0)){i=183;break}if(!(Ita(a,91665)|0)){i=184;break}if(!(Ita(a,91692)|0)){i=185;break}if(!(Ita(a,91715)|0)){i=186;break}if(!(Ita(a,91739)|0)){i=187;break}if(!(Ita(a,91756)|0)){i=188;break}if(!(Ita(a,91774)|0)){i=189;break}if(!(Ita(a,91789)|0)){i=190;break}if(!(Ita(a,91804)|0)){i=191;break}if(!(Ita(a,91819)|0)){i=192;break}if(!(Ita(a,91834)|0)){i=193;break}if(!(Ita(a,91849)|0)){i=194;break}if(!(Ita(a,91868)|0)){i=195;break}if(!(Ita(a,91891)|0)){i=196;break}if(!(Ita(a,91907)|0)){i=197;break}if(!(Ita(a,91922)|0)){i=198;break}if(!(Ita(a,91952)|0)){i=199;break}if(!(Ita(a,91978)|0)){i=200;break}if(!(Ita(a,92001)|0)){i=201;break}if(!(Ita(a,92023)|0)){i=202;break}if(!(Ita(a,92043)|0)){i=203;break}if(!(Ita(a,92058)|0)){i=204;break}if(!(Ita(a,92073)|0)){i=205;break}if(!(Ita(a,92088)|0)){i=206;break}if(!(Ita(a,92104)|0)){i=207;break}if(!(Ita(a,92122)|0)){i=208;break}if(!(Ita(a,92139)|0)){i=209;break}if(!(Ita(a,92153)|0)){i=210;break}if(!(Ita(a,92175)|0)){i=211;break}if(!(Ita(a,92195)|0)){i=212;break}if(!(Ita(a,92217)|0)){i=213;break}if(!(Ita(a,92245)|0)){i=214;break}if(!(Ita(a,92264)|0)){i=215;break}if(!(Ita(a,92286)|0)){i=216;break}if(!(Ita(a,92307)|0)){i=217;break}if(!(Ita(a,92326)|0)){i=218;break}if(!(Ita(a,92346)|0)){i=219;break}if(!(Ita(a,92369)|0)){i=220;break}if(!(Ita(a,92389)|0)){i=221;break}if(!(Ita(a,92412)|0)){i=222;break}if(!(Ita(a,92432)|0)){i=223;break}if(!(Ita(a,92455)|0)){i=224;break}if(!(Ita(a,92470)|0)){i=225;break}if(!(Ita(a,92478)|0)){i=226;break}if(!(Ita(a,92486)|0)){i=227;break}if(!(Ita(a,92497)|0)){i=228;break}if(!(Ita(a,92507)|0)){i=229;break}if(!(Ita(a,92516)|0)){i=230;break}if(!(Ita(a,92525)|0)){i=231;break}if(!(Ita(a,92534)|0)){i=232;break}if(!(Ita(a,92543)|0)){i=233;break}if(!(Ita(a,92563)|0)){i=234;break}if(!(Ita(a,92577)|0)){i=235;break}if(!(Ita(a,92599)|0)){i=236;break}if(!(Ita(a,92611)|0)){i=237;break}if(!(Ita(a,92631)|0)){i=238;break}if(!(Ita(a,92645)|0)){i=239;break}if(!(Ita(a,92661)|0)){i=240;break}if(!(Ita(a,92677)|0)){i=241;break}if(!(Ita(a,92695)|0)){i=242;break}if(!(Ita(a,92730)|0)){i=243;break}if(!(Ita(a,92762)|0)){i=244;break}if(!(Ita(a,92769)|0)){i=245;break}if(!(Ita(a,92779)|0)){i=246;break}if(!(Ita(a,92801)|0)){i=247;break}if(!(Ita(a,92812)|0)){i=248;break}if(!(Ita(a,92831)|0)){i=249;break}if(!(Ita(a,92850)|0)){i=250;break}if(!(Ita(a,92867)|0)){i=251;break}if(!(Ita(a,92878)|0)){i=252;break}if(!(Ita(a,92898)|0)){i=253;break}if(!(Ita(a,92913)|0)){i=254;break}if(!(Ita(a,92937)|0)){i=255;break}if(!(Ita(a,92959)|0)){i=256;break}if(!(Ita(a,92987)|0)){i=257;break}if(!(Ita(a,93003)|0)){i=258;break}if(!(Ita(a,93016)|0)){i=259;break}if(!(Ita(a,93029)|0)){i=260;break}if(!(Ita(a,93049)|0)){i=261;break}if(!(Ita(a,93069)|0)){i=262;break}if(!(Ita(a,93088)|0)){i=263;break}if(!(Ita(a,93112)|0)){i=264;break}if(!(Ita(a,93132)|0)){i=265;break}if(!(Ita(a,93148)|0)){i=266;break}if(!(Ita(a,93169)|0)){i=267;break}if(!(Ita(a,93192)|0)){i=268;break}if(!(Ita(a,93209)|0)){i=269;break}if(!(Ita(a,93242)|0)){i=270;break}if(!(Ita(a,93271)|0)){i=271;break}if(!(Ita(a,93305)|0)){i=272;break}if(!(Ita(a,93338)|0)){i=273;break}if(!(Ita(a,93366)|0)){i=274;break}if(!(Ita(a,93394)|0)){i=275;break}if(!(Ita(a,93417)|0)){i=276;break}if(!(Ita(a,93439)|0)){i=277;break}if(!(Ita(a,93469)|0)){i=278;break}if(!(Ita(a,93484)|0)){i=279;break}if(!(Ita(a,93497)|0)){i=280;break}if(!(Ita(a,93515)|0)){i=281;break}if(!(Ita(a,93538)|0)){i=282;break}if(!(Ita(a,93559)|0)){i=283;break}if(!(Ita(a,93578)|0)){i=284;break}if(!(Ita(a,93601)|0)){i=285;break}if(!(Ita(a,93622)|0)){i=286;break}if(!(Ita(a,93640)|0)){i=287;break}if(!(Ita(a,93657)|0)){i=288;break}if(!(Ita(a,93677)|0)){i=289;break}if(!(Ita(a,93698)|0)){i=290;break}if(!(Ita(a,93704)|0)){i=291;break}if(!(Ita(a,93710)|0)){i=292;break}if(!(Ita(a,93716)|0)){i=293;break}if(!(Ita(a,93724)|0)){i=294;break}if(!(Ita(a,93733)|0)){i=295;break}if(!(Ita(a,93739)|0)){i=296;break}if(!(Ita(a,93755)|0)){i=297;break}if(!(Ita(a,93768)|0)){i=298;break}if(!(Ita(a,93779)|0)){i=299;break}if(!(Ita(a,93795)|0)){i=300;break}if(!(Ita(a,93814)|0)){i=301;break}if(!(Ita(a,93831)|0)){i=302;break}if(!(Ita(a,93840)|0)){i=303;break}if(!(Ita(a,93856)|0)){i=304;break}if(!(Ita(a,93874)|0)){i=305;break}if(!(Ita(a,93909)|0)){i=306;break}if(!(Ita(a,93936)|0)){i=307;break}if(!(Ita(a,93962)|0)){i=308;break}if(!(Ita(a,93989)|0)){i=309;break}if(!(Ita(a,94015)|0)){i=310;break}if(!(Ita(a,94042)|0)){i=311;break}if(!(Ita(a,94069)|0)){i=312;break}if(!(Ita(a,94102)|0)){i=313;break}if(!(Ita(a,94132)|0)){i=314;break}if(!(Ita(a,94144)|0)){i=315;break}if(!(Ita(a,94161)|0)){i=316;break}if(!(Ita(a,94185)|0)){i=317;break}if(!(Ita(a,94212)|0)){i=318;break}if(!(Ita(a,94234)|0)){i=319;break}if(!(Ita(a,94255)|0)){i=320;break}if(!(Ita(a,94268)|0)){i=321;break}if(!(Ita(a,94291)|0)){i=322;break}if(!(Ita(a,94314)|0)){i=323;break}if(!(Ita(a,94328)|0)){i=324;break}if(!(Ita(a,94344)|0)){i=325;break}if(!(Ita(a,94367)|0)){i=326;break}if(!(Ita(a,94384)|0)){i=327;break}if(!(Ita(a,94399)|0)){i=328;break}if(!(Ita(a,94423)|0)){i=329;break}if(!(Ita(a,94450)|0)){i=330;break}if(!(Ita(a,94469)|0)){i=331;break}if(!(Ita(a,94484)|0)){i=332;break}if(!(Ita(a,94504)|0)){i=333;break}if(!(Ita(a,94526)|0)){i=334;break}if(!(Ita(a,94548)|0)){i=335;break}if(!(Ita(a,94567)|0)){i=336;break}if(!(Ita(a,94598)|0)){i=337;break}if(!(Ita(a,94616)|0)){i=338;break}if(!(Ita(a,94644)|0)){i=339;break}if(!(Ita(a,94652)|0)){i=340;break}if(!(Ita(a,94670)|0)){i=341;break}if(!(Ita(a,94695)|0)){i=342;break}if(!(Ita(a,94709)|0)){i=343;break}if(!(Ita(a,94724)|0)){i=344;break}if(!(Ita(a,94745)|0)){i=345;break}if(!(Ita(a,94764)|0)){i=346;break}if(!(Ita(a,94788)|0)){i=347;break}if(!(Ita(a,94810)|0)){i=348;break}if(!(Ita(a,94831)|0)){i=349;break}if(!(Ita(a,94858)|0)){i=350;break}if(!(Ita(a,94882)|0)){i=351;break}if(!(Ita(a,94901)|0)){i=352;break}if(!(Ita(a,94925)|0)){i=353;break}if(!(Ita(a,94935)|0)){i=354;break}if(!(Ita(a,94957)|0)){i=355;break}if(!(Ita(a,94979)|0)){i=356;break}if(!(Ita(a,95006)|0)){i=357;break}if(!(Ita(a,95028)|0)){i=358;break}if(!(Ita(a,95049)|0)){i=359;break}if(!(Ita(a,95076)|0)){i=360;break}if(!(Ita(a,95091)|0)){i=361;break}if(!(Ita(a,95110)|0)){i=362;break}if(!(Ita(a,95135)|0)){i=363;break}if(!(Ita(a,95160)|0)){i=364;break}if(!(Ita(a,95185)|0)){i=365;break}if(!(Ita(a,95204)|0)){i=366;break}if(!(Ita(a,95219)|0)){i=367;break}if(!(Ita(a,95246)|0)){i=368;break}if(!(Ita(a,95267)|0)){i=369;break}if(!(Ita(a,95290)|0)){i=370;break}if(!(Ita(a,95305)|0)){i=371;break}if(!(Ita(a,95334)|0)){i=372;break}if(!(Ita(a,95360)|0)){i=373;break}if(!(Ita(a,95370)|0)){i=374;break}if(!(Ita(a,95399)|0)){i=375;break}if(!(Ita(a,95435)|0)){i=376;break}if(!(Ita(a,95459)|0)){i=377;break}if(!(Ita(a,95496)|0)){i=378;break}if(!(Ita(a,95516)|0)){i=379;break}if(!(Ita(a,95538)|0)){i=380;break}if(!(Ita(a,95557)|0)){i=381;break}if(!(Ita(a,95561)|0)){i=382;break}if(!(Ita(a,95573)|0)){i=383;break}if(!(Ita(a,95585)|0)){i=384;break}if(!(Ita(a,95608)|0)){i=385;break}if(!(Ita(a,95628)|0)){i=386;break}if(!(Ita(a,95645)|0)){i=387;break}if(!(Ita(a,95656)|0)){i=388;break}if(!(Ita(a,95671)|0)){i=389;break}if(!(Ita(a,95679)|0)){i=390;break}if(!(Ita(a,95701)|0)){i=391;break}if(!(Ita(a,95707)|0)){i=392;break}if(!(Ita(a,95712)|0)){i=393;break}if(!(Ita(a,95721)|0)){i=394;break}if(!(Ita(a,95730)|0)){i=395;break}if(!(Ita(a,95735)|0)){i=396;break}if(!(Ita(a,95742)|0)){i=397;break}if(!(Ita(a,95750)|0)){i=398;break}if(!(Ita(a,95758)|0)){i=399;break}if(!(Ita(a,95767)|0)){i=400;break}if(!(Ita(a,95772)|0)){i=401;break}if(!(Ita(a,95778)|0)){i=402;break}if(!(Ita(a,95784)|0)){i=403;break}if(!(Ita(a,95790)|0)){i=404;break}if(!(Ita(a,95796)|0)){i=405;break}if(!(Ita(a,95804)|0)){i=406;break}if(!(Ita(a,95813)|0)){i=407;break}if(!(Ita(a,95823)|0)){i=408;break}if(!(Ita(a,95831)|0)){i=409;break}if(!(Ita(a,95840)|0)){i=410;break}if(!(Ita(a,95849)|0)){i=411;break}if(!(Ita(a,95855)|0)){i=412;break}if(!(Ita(a,95863)|0)){i=413;break}if(!(Ita(a,95871)|0)){i=414;break}if(!(Ita(a,95885)|0)){i=415;break}if(!(Ita(a,95894)|0)){i=416;break}if(!(Ita(a,95902)|0)){i=417;break}if(!(Ita(a,95913)|0)){i=418;break}if(!(Ita(a,95922)|0)){i=419;break}if(!(Ita(a,95931)|0)){i=420;break}if(!(Ita(a,95936)|0)){i=421;break}if(!(Ita(a,95941)|0)){i=422;break}if(!(Ita(a,95947)|0)){i=423;break}if(!(Ita(a,95954)|0)){i=424;break}if(!(Ita(a,95961)|0)){i=425;break}if(!(Ita(a,95967)|0)){i=426;break}if(!(Ita(a,95983)|0)){i=427;break}if(!(Ita(a,95988)|0)){i=428;break}if(!(Ita(a,95993)|0)){i=429;break}if(!(Ita(a,95998)|0)){i=430;break}if(!(Ita(a,96015)|0)){i=431;break}if(!(Ita(a,96027)|0)){i=432;break}if(!(Ita(a,96042)|0)){i=433;break}if(!(Ita(a,96055)|0)){i=434;break}if(!(Ita(a,96073)|0)){i=435;break}if(!(Ita(a,96083)|0)){i=436;break}if(!(Ita(a,96102)|0)){i=437;break}if(!(Ita(a,96121)|0)){i=438;break}if(!(Ita(a,96128)|0)){i=439;break}if(!(Ita(a,96140)|0)){i=440;break}if(!(Ita(a,96159)|0)){i=441;break}if(!(Ita(a,96173)|0)){i=442;break}if(!(Ita(a,96185)|0)){i=443;break}if(!(Ita(a,96197)|0)){i=444;break}if(!(Ita(a,96225)|0)){i=445;break}if(!(Ita(a,96246)|0)){i=446;break}if(!(Ita(a,96272)|0)){i=447;break}if(!(Ita(a,96291)|0)){i=448;break}if(!(Ita(a,96308)|0)){i=449;break}if(!(Ita(a,96318)|0)){i=450;break}if(!(Ita(a,96325)|0)){i=451;break}if(!(Ita(a,96332)|0)){i=452;break}if(!(Ita(a,96341)|0)){i=453;break}if(!(Ita(a,96353)|0)){i=454;break}if(!(Ita(a,96361)|0)){i=455;break}if(!(Ita(a,96370)|0)){i=456;break}if(!(Ita(a,96380)|0)){i=457;break}if(!(Ita(a,96391)|0)){i=458;break}if(!(Ita(a,96402)|0)){i=459;break}if(!(Ita(a,96415)|0)){i=460;break}if(!(Ita(a,96438)|0)){i=461;break}if(!(Ita(a,96446)|0)){i=462;break}if(!(Ita(a,96456)|0)){i=463;break}if(!(Ita(a,96464)|0)){i=464;break}if(!(Ita(a,96472)|0)){i=465;break}if(!(Ita(a,96483)|0)){i=466;break}if(!(Ita(a,96497)|0)){i=467;break}if(!(Ita(a,96513)|0)){i=468;break}if(!(Ita(a,96528)|0)){i=469;break}if(!(Ita(a,96538)|0)){i=470;break}if(!(Ita(a,96556)|0)){i=471;break}if(!(Ita(a,96564)|0)){i=472;break}if(!(Ita(a,96576)|0)){i=473;break}if(!(Ita(a,96583)|0)){i=474;break}if(!(Ita(a,96592)|0)){i=475;break}if(!(Ita(a,96610)|0)){i=476;break}if(!(Ita(a,96623)|0)){i=477;break}if(!(Ita(a,96636)|0)){i=478;break}if(!(Ita(a,96654)|0)){i=479;break}if(!(Ita(a,96686)|0)){i=480;break}if(!(Ita(a,96719)|0)){i=481;break}if(!(Ita(a,96740)|0)){i=482;break}if(!(Ita(a,96756)|0)){i=483;break}if(!(Ita(a,96772)|0)){i=484;break}if(!(Ita(a,96797)|0)){i=485;break}if(!(Ita(a,96822)|0)){i=486;break}if(!(Ita(a,96848)|0)){i=487;break}if(!(Ita(a,96874)|0)){i=488;break}if(!(Ita(a,96903)|0)){i=489;break}if(!(Ita(a,96932)|0)){i=490;break}if(!(Ita(a,96956)|0)){i=491;break}if(!(Ita(a,96980)|0)){i=492;break}if(!(Ita(a,97004)|0)){i=493;break}if(!(Ita(a,97029)|0)){i=494;break}if(!(Ita(a,97046)|0)){i=495;break}if(!(Ita(a,97070)|0)){i=496;break}if(!(Ita(a,97094)|0)){i=497;break}if(!(Ita(a,97116)|0)){i=498;break}if(!(Ita(a,97141)|0)){i=499;break}if(!(Ita(a,97163)|0)){i=500;break}if(!(Ita(a,97193)|0)){i=501;break}if(!(Ita(a,97210)|0)){i=502;break}if(!(Ita(a,97224)|0)){i=503;break}if(!(Ita(a,97238)|0)){i=504;break}if(!(Ita(a,97262)|0)){i=505;break}if(!(Ita(a,97293)|0)){i=506;break}if(!(Ita(a,97322)|0)){i=507;break}if(!(Ita(a,97347)|0)){i=508;break}if(!(Ita(a,97365)|0)){i=509;break}if(!(Ita(a,97381)|0)){i=510;break}if(!(Ita(a,97403)|0)){i=511;break}if(!(Ita(a,97425)|0)){i=512;break}if(!(Ita(a,97449)|0)){i=513;break}if(!(Ita(a,97472)|0)){i=514;break}if(!(Ita(a,97494)|0)){i=515;break}if(!(Ita(a,97518)|0)){i=516;break}if(!(Ita(a,97541)|0)){i=517;break}if(!(Ita(a,97562)|0)){i=518;break}if(!(Ita(a,97582)|0)){i=519;break}if(!(Ita(a,97603)|0)){i=520;break}if(!(Ita(a,97618)|0)){i=521;break}if(!(Ita(a,97634)|0)){i=522;break}if(!(Ita(a,97650)|0)){i=523;break}if(!(Ita(a,97668)|0)){i=524;break}if(!(Ita(a,97690)|0)){i=525;break}if(!(Ita(a,97702)|0)){i=526;break}if(!(Ita(a,97714)|0)){i=527;break}if(!(Ita(a,97738)|0)){i=528;break}if(!(Ita(a,97762)|0)){i=529;break}if(!(Ita(a,97779)|0)){i=530;break}if(!(Ita(a,97801)|0)){i=531;break}if(!(Ita(a,97823)|0)){i=532;break}if(!(Ita(a,97851)|0)){i=533;break}if(!(Ita(a,97865)|0)){i=534;break}if(!(Ita(a,97883)|0)){i=535;break}if(!(Ita(a,97900)|0)){i=536;break}if(!(Ita(a,97917)|0)){i=537;break}if(!(Ita(a,97936)|0)){i=538;break}if(!(Ita(a,97955)|0)){i=539;break}if(!(Ita(a,97973)|0)){i=540;break}if(!(Ita(a,97989)|0)){i=541;break}if(!(Ita(a,98007)|0)){i=542;break}if(!(Ita(a,98023)|0)){i=543;break}if(!(Ita(a,98034)|0)){i=544;break}if(!(Ita(a,98045)|0)){i=545;break}if(!(Ita(a,98053)|0)){i=546;break}if(!(Ita(a,98065)|0)){i=547;break}if(!(Ita(a,98071)|0)){i=548;break}if(!(Ita(a,98081)|0)){i=549;break}if(!(Ita(a,98087)|0)){i=550;break}if(!(Ita(a,98096)|0)){i=551;break}if(!(Ita(a,98107)|0)){i=552;break}if(!(Ita(a,98116)|0)){i=553;break}if(!(Ita(a,98124)|0)){i=554;break}if(!(Ita(a,98137)|0)){i=555;break}if(!(Ita(a,98148)|0)){i=556;break}if(!(Ita(a,98158)|0)){i=557;break}if(!(Ita(a,98168)|0)){i=558;break}if(!(Ita(a,114756)|0)){i=559;break}if(!(Ita(a,98176)|0)){i=560;break}if(!(Ita(a,98189)|0)){i=561;break}if(!(Ita(a,98201)|0)){i=562;break}if(!(Ita(a,98218)|0)){i=563;break}if(!(Ita(a,98231)|0)){i=564;break}if(!(Ita(a,98251)|0)){i=565;break}if(!(Ita(a,98266)|0)){i=566;break}if(!(Ita(a,98278)|0)){i=567;break}if(!(Ita(a,98293)|0)){i=568;break}if(!(Ita(a,98301)|0)){i=569;break}if(!(Ita(a,98313)|0)){i=570;break}if(!(Ita(a,98318)|0)){i=571;break}if(!(Ita(a,98333)|0)){i=572;break}if(!(Ita(a,98343)|0)){i=573;break}if(!(Ita(a,98349)|0)){i=574;break}if(!(Ita(a,98358)|0)){i=575;break}if(!(Ita(a,98373)|0)){i=576;break}if(!(Ita(a,98390)|0)){i=577;break}if(!(Ita(a,98410)|0)){i=578;break}if(!(Ita(a,98424)|0)){i=579;break}if(!(Ita(a,98450)|0)){i=580;break}if(!(Ita(a,98459)|0)){i=581;break}if(!(Ita(a,98471)|0)){i=582;break}if(!(Ita(a,98486)|0)){i=583;break}if(!(Ita(a,98493)|0)){i=584;break}if(!(Ita(a,98506)|0)){i=585;break}if(!(Ita(a,98515)|0)){i=586;break}if(!(Ita(a,98522)|0)){i=587;break}if(!(Ita(a,98527)|0)){i=588;break}if(!(Ita(a,98541)|0)){i=589;break}if(!(Ita(a,98559)|0)){i=590;break}if(!(Ita(a,98571)|0)){i=591;break}if(!(Ita(a,98577)|0)){i=592;break}if(!(Ita(a,98584)|0)){i=593;break}if(!(Ita(a,98592)|0)){i=594;break}if(!(Ita(a,98600)|0)){i=595;break}if(!(Ita(a,98609)|0)){i=596;break}if(!(Ita(a,98621)|0)){i=597;break}if(!(Ita(a,98629)|0)){i=598;break}if(!(Ita(a,98641)|0)){i=599;break}if(!(Ita(a,98663)|0)){i=600;break}if(!(Ita(a,98679)|0)){i=601;break}if(!(Ita(a,98692)|0)){i=602;break}if(!(Ita(a,98709)|0)){i=603;break}if(!(Ita(a,98736)|0)){i=604;break}if(!(Ita(a,98754)|0)){i=605;break}if(!(Ita(a,98772)|0)){i=606;break}if(!(Ita(a,98790)|0)){i=607;break}if(!(Ita(a,98807)|0)){i=608;break}if(!(Ita(a,98815)|0)){i=609;break}if(!(Ita(a,98827)|0)){i=610;break}if(!(Ita(a,98837)|0)){i=611;break}if(!(Ita(a,98851)|0)){i=612;break}if(!(Ita(a,98859)|0)){i=613;break}if(!(Ita(a,98876)|0)){i=614;break}if(!(Ita(a,98887)|0)){i=615;break}if(!(Ita(a,98897)|0)){i=616;break}if(!(Ita(a,98910)|0)){i=617;break}if(!(Ita(a,98927)|0)){i=618;break}if(!(Ita(a,98939)|0)){i=619;break}if(!(Ita(a,98943)|0)){i=620;break}if(!(Ita(a,98952)|0)){i=621;break}if(!(Ita(a,98957)|0)){i=622;break}if(!(Ita(a,98967)|0)){i=623;break}if(!(Ita(a,98973)|0)){i=624;break}if(!(Ita(a,98984)|0)){i=625;break}if(!(Ita(a,98990)|0)){i=626;break}if(!(Ita(a,99001)|0)){i=627;break}if(!(Ita(a,99008)|0)){i=628;break}if(!(Ita(a,99018)|0)){i=629;break}if(!(Ita(a,99028)|0)){i=630;break}if(!(Ita(a,99032)|0)){i=631;break}if(!(Ita(a,99036)|0)){i=632;break}if(!(Ita(a,99044)|0)){i=633;break}if(!(Ita(a,99050)|0)){i=634;break}if(!(Ita(a,99057)|0)){i=635;break}if(!(Ita(a,99062)|0)){i=636;break}if(!(Ita(a,99067)|0)){i=637;break}if(!(Ita(a,99076)|0)){i=638;break}if(!(Ita(a,99085)|0)){i=639;break}if(!(Ita(a,99094)|0)){i=640;break}if(!(Ita(a,99103)|0)){i=641;break}if(!(Ita(a,99126)|0)){i=642;break}if(!(Ita(a,99136)|0)){i=643;break}if(!(Ita(a,99146)|0)){i=644;break}if(!(Ita(a,99155)|0)){i=645;break}if(!(Ita(a,99165)|0)){i=646;break}if(!(Ita(a,99170)|0)){i=647;break}if(!(Ita(a,99188)|0)){i=648;break}if(!(Ita(a,99197)|0)){i=649;break}if(!(Ita(a,99206)|0)){i=650;break}if(!(Ita(a,99215)|0)){i=651;break}if(!(Ita(a,99229)|0)){i=652;break}if(!(Ita(a,99236)|0)){i=653;break}if(!(Ita(a,99245)|0)){i=654;break}if(!(Ita(a,99260)|0)){i=655;break}if(!(Ita(a,99287)|0)){i=656;break}if(!(Ita(a,99302)|0)){i=657;break}if(!(Ita(a,113694)|0)){i=658;break}if(!(Ita(a,99320)|0)){i=659;break}if(!(Ita(a,114189)|0)){i=660;break}if(!(Ita(a,113936)|0)){i=661;break}if(!(Ita(a,114059)|0)){i=662;break}if(!(Ita(a,113815)|0)){i=663;break}if(!(Ita(a,99332)|0)){i=664;break}if(!(Ita(a,99346)|0)){i=665;break}if(!(Ita(a,99360)|0)){i=666;break}if(!(Ita(a,99372)|0)){i=667;break}if(!(Ita(a,99390)|0)){i=668;break}if(!(Ita(a,99405)|0)){i=669;break}if(!(Ita(a,99424)|0)){i=670;break}if(!(Ita(a,99441)|0)){i=671;break}if(!(Ita(a,99445)|0)){i=672;break}if(!(Ita(a,99454)|0)){i=673;break}if(!(Ita(a,99464)|0)){i=674;break}if(!(Ita(a,99467)|0)){i=675;break}if(!(Ita(a,99476)|0)){i=676;break}if(!(Ita(a,99486)|0)){i=677;break}if(!(Ita(a,99489)|0)){i=678;break}if(!(Ita(a,99498)|0)){i=679;break}if(!(Ita(a,99501)|0)){i=680;break}if(!(Ita(a,99507)|0)){i=681;break}if(!(Ita(a,99512)|0)){i=682;break}if(!(Ita(a,99521)|0)){i=683;break}if(!(Ita(a,99526)|0)){i=684;break}if(!(Ita(a,99533)|0)){i=685;break}if(!(Ita(a,99540)|0)){i=686;break}if(!(Ita(a,99547)|0)){i=687;break}if(!(Ita(a,99556)|0)){i=688;break}if(!(Ita(a,99571)|0)){i=689;break}if(!(Ita(a,99592)|0)){i=690;break}if(!(Ita(a,99615)|0)){i=691;break}if(!(Ita(a,99639)|0)){i=692;break}if(!(Ita(a,99657)|0)){i=693;break}if(!(Ita(a,114464)|0)){i=694;break}if(!(Ita(a,114591)|0)){i=695;break}if(!(Ita(a,114328)|0)){i=696;break}if(!(Ita(a,99669)|0)){i=697;break}if(!(Ita(a,99684)|0)){i=698;break}if(!(Ita(a,99698)|0)){i=699;break}if(!(Ita(a,99710)|0)){i=700;break}if(!(Ita(a,99724)|0)){i=701;break}if(!(Ita(a,99739)|0)){i=702;break}if(!(Ita(a,99756)|0)){i=703;break}if(!(Ita(a,99773)|0)){i=704;break}if(!(Ita(a,99788)|0)){i=705;break}if(!(Ita(a,99803)|0)){i=706;break}if(!(Ita(a,99811)|0)){i=707;break}if(!(Ita(a,99824)|0)){i=708;break}if(!(Ita(a,99839)|0)){i=709;break}if(!(Ita(a,99854)|0)){i=710;break}if(!(Ita(a,99869)|0)){i=711;break}if(!(Ita(a,99884)|0)){i=712;break}if(!(Ita(a,99899)|0)){i=713;break}if(!(Ita(a,99914)|0)){i=714;break}if(!(Ita(a,99933)|0)){i=715;break}if(!(Ita(a,99950)|0)){i=716;break}if(!(Ita(a,99969)|0)){i=717;break}if(!(Ita(a,99988)|0)){i=718;break}if(!(Ita(a,100007)|0)){i=719;break}if(!(Ita(a,100026)|0)){i=720;break}if(!(Ita(a,100045)|0)){i=721;break}if(!(Ita(a,100064)|0)){i=722;break}if(!(Ita(a,100090)|0)){i=723;break}if(!(Ita(a,100098)|0)){i=724;break}if(!(Ita(a,100109)|0)){i=725;break}if(!(Ita(a,100122)|0)){i=726;break}if(!(Ita(a,100135)|0)){i=727;break}if(!(Ita(a,100148)|0)){i=728;break}if(!(Ita(a,100161)|0)){i=729;break}if(!(Ita(a,100174)|0)){i=730;break}if(!(Ita(a,100187)|0)){i=731;break}if(!(Ita(a,100198)|0)){i=732;break}if(!(Ita(a,100212)|0)){i=733;break}if(!(Ita(a,100233)|0)){i=734;break}if(!(Ita(a,100241)|0)){i=735;break}if(!(Ita(a,100246)|0)){i=736;break}if(!(Ita(a,100249)|0)){i=737;break}if(!(Ita(a,100257)|0)){i=738;break}if(!(Ita(a,100260)|0)){i=739;break}if(!(Ita(a,100265)|0)){i=740;break}if(!(Ita(a,100274)|0)){i=741;break}if(!(Ita(a,100292)|0)){i=742;break}if(!(Ita(a,100295)|0)){i=743;break}if(!(Ita(a,100304)|0)){i=744;break}if(!(Ita(a,100322)|0)){i=745;break}if(!(Ita(a,100328)|0)){i=746;break}if(!(Ita(a,100334)|0)){i=747;break}if(!(Ita(a,100340)|0)){i=748;break}if(!(Ita(a,100346)|0)){i=749;break}if(!(Ita(a,100351)|0)){i=750;break}if(!(Ita(a,100359)|0)){i=751;break}if(!(Ita(a,100364)|0)){i=752;break}if(!(Ita(a,100378)|0)){i=753;break}if(!(Ita(a,100389)|0)){i=754;break}if(!(Ita(a,100402)|0)){i=755;break}if(!(Ita(a,100414)|0)){i=756;break}if(!(Ita(a,100426)|0)){i=757;break}if(!(Ita(a,100442)|0)){i=758;break}if(!(Ita(a,100460)|0)){i=759;break}if(!(Ita(a,100472)|0)){i=760;break}if(!(Ita(a,100491)|0)){i=761;break}if(!(Ita(a,100512)|0)){i=762;break}if(!(Ita(a,100536)|0)){i=763;break}if(!(Ita(a,100554)|0)){i=764;break}if(!(Ita(a,100556)|0)){i=765;break}if(!(Ita(a,100577)|0)){i=766;break}if(!(Ita(a,100582)|0)){i=767;break}if(!(Ita(a,100587)|0)){i=768;break}if(!(Ita(a,100602)|0)){i=769;break}if(!(Ita(a,100619)|0)){i=770;break}if(!(Ita(a,100637)|0)){i=771;break}if(!(Ita(a,100655)|0)){i=772;break}if(!(Ita(a,100673)|0)){i=773;break}if(!(Ita(a,100691)|0)){i=774;break}if(!(Ita(a,100709)|0)){i=775;break}if(!(Ita(a,100727)|0)){i=776;break}if(!(Ita(a,100745)|0)){i=777;break}if(!(Ita(a,100763)|0)){i=778;break}if(!(Ita(a,100781)|0)){i=779;break}if(!(Ita(a,100800)|0)){i=780;break}if(!(Ita(a,100819)|0)){i=781;break}if(!(Ita(a,100838)|0)){i=782;break}if(!(Ita(a,100857)|0)){i=783;break}if(!(Ita(a,100876)|0)){i=784;break}if(!(Ita(a,100895)|0)){i=785;break}if(!(Ita(a,100914)|0)){i=786;break}if(!(Ita(a,100933)|0)){i=787;break}if(!(Ita(a,100952)|0)){i=788;break}if(!(Ita(a,100971)|0)){i=789;break}if(!(Ita(a,100990)|0)){i=790;break}if(!(Ita(a,101009)|0)){i=791;break}if(!(Ita(a,101028)|0)){i=792;break}if(!(Ita(a,101047)|0)){i=793;break}if(!(Ita(a,101066)|0)){i=794;break}if(!(Ita(a,101085)|0)){i=795;break}if(!(Ita(a,101104)|0)){i=796;break}if(!(Ita(a,101123)|0)){i=797;break}if(!(Ita(a,101142)|0)){i=798;break}if(!(Ita(a,101161)|0)){i=799;break}if(!(Ita(a,101180)|0)){i=800;break}if(!(Ita(a,101199)|0)){i=801;break}if(!(Ita(a,101218)|0)){i=802;break}if(!(Ita(a,101237)|0)){i=803;break}if(!(Ita(a,101256)|0)){i=804;break}if(!(Ita(a,101275)|0)){i=805;break}if(!(Ita(a,101294)|0)){i=806;break}if(!(Ita(a,101313)|0)){i=807;break}if(!(Ita(a,101332)|0)){i=808;break}if(!(Ita(a,101351)|0)){i=809;break}if(!(Ita(a,101370)|0)){i=810;break}if(!(Ita(a,101389)|0)){i=811;break}if(!(Ita(a,101408)|0)){i=812;break}if(!(Ita(a,101427)|0)){i=813;break}if(!(Ita(a,101446)|0)){i=814;break}if(!(Ita(a,101465)|0)){i=815;break}if(!(Ita(a,101484)|0)){i=816;break}if(!(Ita(a,101503)|0)){i=817;break}if(!(Ita(a,101522)|0)){i=818;break}if(!(Ita(a,101541)|0)){i=819;break}if(!(Ita(a,101560)|0)){i=820;break}if(!(Ita(a,101579)|0)){i=821;break}if(!(Ita(a,101598)|0)){i=822;break}if(!(Ita(a,101617)|0)){i=823;break}if(!(Ita(a,101636)|0)){i=824;break}if(!(Ita(a,101655)|0)){i=825;break}if(!(Ita(a,101674)|0)){i=826;break}if(!(Ita(a,101693)|0)){i=827;break}if(!(Ita(a,101712)|0)){i=828;break}if(!(Ita(a,101731)|0)){i=829;break}if(!(Ita(a,101750)|0)){i=830;break}if(!(Ita(a,101769)|0)){i=831;break}if(!(Ita(a,101788)|0)){i=832;break}if(!(Ita(a,101807)|0)){i=833;break}if(!(Ita(a,101826)|0)){i=834;break}if(!(Ita(a,101845)|0)){i=835;break}if(!(Ita(a,101864)|0)){i=836;break}if(!(Ita(a,101883)|0)){i=837;break}if(!(Ita(a,101902)|0)){i=838;break}if(!(Ita(a,101921)|0)){i=839;break}if(!(Ita(a,101940)|0)){i=840;break}if(!(Ita(a,101959)|0)){i=841;break}if(!(Ita(a,101978)|0)){i=842;break}if(!(Ita(a,101997)|0)){i=843;break}if(!(Ita(a,102016)|0)){i=844;break}if(!(Ita(a,102035)|0)){i=845;break}if(!(Ita(a,102054)|0)){i=846;break}if(!(Ita(a,102073)|0)){i=847;break}if(!(Ita(a,102092)|0)){i=848;break}if(!(Ita(a,102111)|0)){i=849;break}if(!(Ita(a,102130)|0)){i=850;break}if(!(Ita(a,102149)|0)){i=851;break}if(!(Ita(a,102168)|0)){i=852;break}if(!(Ita(a,102187)|0)){i=853;break}if(!(Ita(a,102206)|0)){i=854;break}if(!(Ita(a,102225)|0)){i=855;break}if(!(Ita(a,102244)|0)){i=856;break}if(!(Ita(a,102263)|0)){i=857;break}if(!(Ita(a,102282)|0)){i=858;break}if(!(Ita(a,102301)|0)){i=859;break}if(!(Ita(a,102320)|0)){i=860;break}if(!(Ita(a,102339)|0)){i=861;break}if(!(Ita(a,102358)|0)){i=862;break}if(!(Ita(a,102377)|0)){i=863;break}if(!(Ita(a,102396)|0)){i=864;break}if(!(Ita(a,102415)|0)){i=865;break}if(!(Ita(a,102434)|0)){i=866;break}if(!(Ita(a,102453)|0)){i=867;break}if(!(Ita(a,102472)|0)){i=868;break}if(!(Ita(a,102491)|0)){i=869;break}if(!(Ita(a,102511)|0)){i=870;break}if(!(Ita(a,102532)|0)){i=871;break}if(!(Ita(a,102547)|0)){i=872;break}if(!(Ita(a,102566)|0)){i=873;break}if(!(Ita(a,102595)|0)){i=874;break}if(!(Ita(a,102618)|0)){i=875;break}if(!(Ita(a,102629)|0)){i=876;break}if(!(Ita(a,102644)|0)){i=877;break}if(!(Ita(a,102669)|0)){i=878;break}if(!(Ita(a,102689)|0)){i=879;break}if(!(Ita(a,102704)|0)){i=880;break}if(!(Ita(a,102715)|0)){i=881;break}if(!(Ita(a,102736)|0)){i=882;break}if(!(Ita(a,102752)|0)){i=883;break}if(!(Ita(a,102770)|0)){i=884;break}if(!(Ita(a,102792)|0)){i=885;break}if(!(Ita(a,102804)|0)){i=886;break}if(!(Ita(a,102828)|0)){i=887;break}if(!(Ita(a,102842)|0)){i=888;break}if(!(Ita(a,102860)|0)){i=889;break}if(!(Ita(a,102879)|0)){i=890;break}if(!(Ita(a,102905)|0)){i=891;break}if(!(Ita(a,102911)|0)){i=892;break}if(!(Ita(a,102924)|0)){i=893;break}if(!(Ita(a,102930)|0)){i=894;break}if(!(Ita(a,102943)|0)){i=895;break}if(!(Ita(a,102950)|0)){i=896;break}if(!(Ita(a,102957)|0)){i=897;break}if(!(Ita(a,102963)|0)){i=898;break}if(!(Ita(a,102969)|0)){i=899;break}if(!(Ita(a,102978)|0)){i=900;break}if(!(Ita(a,102984)|0)){i=901;break}if(!(Ita(a,102990)|0)){i=902;break}if(!(Ita(a,102999)|0)){i=903;break}if(!(Ita(a,103005)|0)){i=904;break}if(!(Ita(a,103011)|0)){i=905;break}if(!(Ita(a,103020)|0)){i=906;break}if(!(Ita(a,103033)|0)){i=907;break}if(!(Ita(a,103046)|0)){i=908;break}if(!(Ita(a,103054)|0)){i=909;break}if(!(Ita(a,103064)|0)){i=910;break}if(!(Ita(a,103089)|0)){i=911;break}if(!(Ita(a,103106)|0)){i=912;break}if(!(Ita(a,103123)|0)){i=913;break}if(!(Ita(a,103132)|0)){i=914;break}if(!(Ita(a,103141)|0)){i=915;break}if(!(Ita(a,103153)|0)){i=916;break}if(!(Ita(a,103174)|0)){i=917;break}if(!(Ita(a,103198)|0)){i=918;break}if(!(Ita(a,103225)|0)){i=919;break}if(!(Ita(a,103254)|0)){i=920;break}if(!(Ita(a,103279)|0)){i=921;break}if(!(Ita(a,103284)|0)){i=922;break}if(!(Ita(a,103304)|0)){i=923;break}if(!(Ita(a,103318)|0)){i=924;break}if(!(Ita(a,103338)|0)){i=925;break}if(!(Ita(a,103359)|0)){i=926;break}if(!(Ita(a,103367)|0)){i=927;break}if(!(Ita(a,103381)|0)){i=928;break}if(!(Ita(a,103405)|0)){i=929;break}if(!(Ita(a,138571)|0)){i=930;break}if(!(Ita(a,138932)|0)){i=931;break}if(!(Ita(a,139212)|0)){i=932;break}if(!(Ita(a,103414)|0)){i=933;break}if(!(Ita(a,103423)|0)){i=934;break}if(!(Ita(a,103431)|0)){i=935;break}if(!(Ita(a,103440)|0)){i=936;break}if(!(Ita(a,103454)|0)){i=937;break}if(!(Ita(a,103459)|0)){i=938;break}if(!(Ita(a,103469)|0)){i=939;break}if(!(Ita(a,103479)|0)){i=940;break}if(!(Ita(a,103489)|0)){i=941;break}if(!(Ita(a,103498)|0)){i=942;break}if(!(Ita(a,103521)|0)){i=943;break}if(!(Ita(a,103526)|0)){i=944;break}if(!(Ita(a,103532)|0)){i=945;break}if(!(Ita(a,103540)|0)){i=946;break}if(!(Ita(a,103550)|0)){i=947;break}if(!(Ita(a,103556)|0)){i=948;break}if(!(Ita(a,103568)|0)){i=949;break}if(!(Ita(a,103588)|0)){i=950;break}if(!(Ita(a,103612)|0)){i=951;break}if(!(Ita(a,103630)|0)){i=952;break}if(!(Ita(a,103647)|0)){i=953;break}if(!(Ita(a,103656)|0)){i=954;break}if(!(Ita(a,103671)|0)){i=955;break}if(!(Ita(a,103685)|0)){i=956;break}if(!(Ita(a,103698)|0)){i=957;break}if(!(Ita(a,103714)|0)){i=958;break}if(!(Ita(a,103738)|0)){i=959;break}if(!(Ita(a,103761)|0)){i=960;break}if(!(Ita(a,103772)|0)){i=961;break}if(!(Ita(a,103782)|0)){i=962;break}if(!(Ita(a,103793)|0)){i=963;break}if(!(Ita(a,103801)|0)){i=964;break}if(!(Ita(a,103808)|0)){i=965;break}if(!(Ita(a,103817)|0)){i=966;break}if(!(Ita(a,103822)|0)){i=967;break}if(!(Ita(a,103830)|0)){i=968;break}if(!(Ita(a,103845)|0)){i=969;break}if(!(Ita(a,103860)|0)){i=970;break}if(!(Ita(a,103874)|0)){i=971;break}if(!(Ita(a,103877)|0)){i=972;break}if(!(Ita(a,103881)|0)){i=973;break}if(!(Ita(a,103887)|0)){i=974;break}if(!(Ita(a,103896)|0)){i=975;break}if(!(Ita(a,103906)|0)){i=976;break}if(!(Ita(a,103910)|0)){i=977;break}if(!(Ita(a,103914)|0)){i=978;break}if(!(Ita(a,103920)|0)){i=979;break}if(!(Ita(a,103924)|0)){i=980;break}if(!(Ita(a,103931)|0)){i=981;break}if(!(Ita(a,103945)|0)){i=982;break}if(!(Ita(a,103956)|0)){i=983;break}if(!(Ita(a,103969)|0)){i=984;break}if(!(Ita(a,103976)|0)){i=985;break}if(!(Ita(a,103986)|0)){i=986;break}if(!(Ita(a,104002)|0)){i=987;break}if(!(Ita(a,104011)|0)){i=988;break}if(!(Ita(a,104021)|0)){i=989;break}if(!(Ita(a,104036)|0)){i=990;break}if(!(Ita(a,104048)|0)){i=991;break}if(!(Ita(a,104070)|0)){i=992;break}if(!(Ita(a,104092)|0)){i=993;break}if(!(Ita(a,104115)|0)){i=994;break}if(!(Ita(a,104138)|0)){i=995;break}if(!(Ita(a,104161)|0)){i=996;break}if(!(Ita(a,104185)|0)){i=997;break}if(!(Ita(a,104206)|0)){i=998;break}if(!(Ita(a,104227)|0)){i=999;break}if(!(Ita(a,104236)|0)){i=1e3;break}if(!(Ita(a,104253)|0)){i=1001;break}if(!(Ita(a,104280)|0)){i=1002;break}if(!(Ita(a,104300)|0)){i=1003;break}if(!(Ita(a,104319)|0)){i=1004;break}if(!(Ita(a,104338)|0)){i=1005;break}if(!(Ita(a,104356)|0)){i=1006;break}if(!(Ita(a,104374)|0)){i=1007;break}if(!(Ita(a,104396)|0)){i=1008;break}if(!(Ita(a,104418)|0)){i=1009;break}if(!(Ita(a,104436)|0)){i=1010;break}if(!(Ita(a,104456)|0)){i=1011;break}if(!(Ita(a,104477)|0)){i=1012;break}if(!(Ita(a,104498)|0)){i=1013;break}if(!(Ita(a,104517)|0)){i=1014;break}if(!(Ita(a,104541)|0)){i=1015;break}if(!(Ita(a,104570)|0)){i=1016;break}if(!(Ita(a,104602)|0)){i=1017;break}j=(Ita(a,104616)|0)==0;if(j|b^1){i=j?1018:-1;break}j=e+56|0;l=e+4|0;k[e>>2]=27524;k[j>>2]=27544;B=0;wa(508,e+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(j);Qb(o|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[j>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){p=Rb()|0;q=Q;s=p}else{k[l>>2]=27560;p=e+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,l|0,d|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);Yua(p);Ava(l);q=u;s=t;break}Yua(d);B=0;t=Ia(40,e|0,104643,5)|0;u=B;B=0;do if(!(u&1)){v=Lta(a)|0;B=0;w=Ia(40,t|0,a|0,v|0)|0;v=B;B=0;if(v&1)break;B=0;v=Ia(40,w|0,114879,10)|0;w=B;B=0;if(w&1)break;B=0;Xa(239,v|0,0)|0;v=B;B=0;if(v&1)break;v=Ab(20)|0;B=0;eb(502,f|0,104649,76);w=B;B=0;do if(w&1){x=Rb()|0;y=Q;z=x}else{B=0;eb(502,g|0,104726,13);x=B;B=0;if(x&1){x=Rb()|0;A=Q;Yua(f);y=A;z=x;break}B=0;wa(510,h|0,l|0);x=B;B=0;if(x&1){x=Rb()|0;C=Q;D=x;E=1}else{B=0;ua(163,v|0,f|0,g|0,1066,h|0);x=B;B=0;if(x&1)F=1;else{B=0;eb(503,v|0,1240,229);B=0;F=0}x=Rb()|0;A=Q;Yua(h);C=A;D=x;E=F}Yua(g);Yua(f);if(E){y=C;z=D;break}else{G=C;H=D}k[e>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);Qb(H|0)}while(0);zb(v|0);G=y;H=z;k[e>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);Qb(H|0)}while(0);t=Rb()|0;G=Q;H=t;k[e>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);Qb(H|0)}while(0);n=q;o=s;vva(j);Qb(o|0)}else i=17;else i=16;else i=15;else i=14;else i=13;else i=12;else i=11;else i=10;else i=9;else i=8;else i=7;else i=6;else i=5;else i=4;else i=3;else i=2;else i=1;else i=0;while(0);r=c;return i|0}function AY(){return (k[9114]&1|0)!=0|0}function BY(){return (k[9114]&2|0)!=0|0}function CY(){return (k[9114]&4|0)!=0|0}function DY(){return (k[9114]&8|0)!=0|0}function EY(){return (k[9114]&16|0)!=0|0}function FY(){return (k[9114]&32|0)!=0|0}function GY(){return (k[9114]&256|0)!=0|0}
function Ala(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0;b=r;r=r+1968|0;c=b+1952|0;d=b+1744|0;e=b+1940|0;f=b+1592|0;g=b+1928|0;h=b+1456|0;i=b+1916|0;j=b+1304|0;l=b+1904|0;m=b+1168|0;n=b+1892|0;o=b+1016|0;p=b+1880|0;q=b+880|0;s=b+1728|0;t=b+744|0;u=b+1440|0;v=b+592|0;w=b+1152|0;x=b+456|0;y=b+728|0;z=b+304|0;A=b+440|0;C=b+168|0;D=b+152|0;E=b+16|0;F=b;if(!(k[a>>2]|0)){G=E+56|0;H=E+4|0;k[E>>2]=27524;k[G>>2]=27544;B=0;wa(508,E+56|0,H|0);I=B;B=0;if(I&1){I=Rb()|0;J=Q;K=I;vva(G);Qb(K|0)}k[E+128>>2]=0;k[E+132>>2]=-1;k[E>>2]=27468;k[G>>2]=27488;B=0;va(448,H|0);I=B;B=0;do if(I&1){L=Rb()|0;M=Q;N=L}else{k[H>>2]=27560;L=E+36|0;k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;k[L+12>>2]=0;k[E+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,H|0,c|0);O=B;B=0;if(O&1){O=Rb()|0;P=Q;Yua(c);Yua(L);Ava(H);M=P;N=O;break}Yua(c);B=0;Ia(40,E|0,142729,16)|0;O=B;B=0;do if(!(O&1)?(B=0,wa(510,F|0,H|0),P=B,B=0,!(P&1)):0){B=0;ya(424,F|0)|0;P=B;B=0;if(P&1){P=Rb()|0;R=Q;Yua(F);S=R;T=P;break}Yua(F);k[E>>2]=27468;k[G>>2]=27488;k[H>>2]=27560;Yua(L);Ava(H);vva(G);r=b;return}else U=202;while(0);if((U|0)==202){O=Rb()|0;S=Q;T=O}k[E>>2]=27468;k[G>>2]=27488;k[H>>2]=27560;Yua(L);Ava(H);vva(G);V=S;W=T;Qb(W|0)}while(0);J=M;K=N;vva(G);Qb(K|0)}K=d+56|0;G=d+4|0;k[d>>2]=27524;k[K>>2]=27544;B=0;wa(508,d+56|0,G|0);N=B;B=0;if(N&1){N=Rb()|0;X=Q;Y=N;vva(K);Qb(Y|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[K>>2]=27488;B=0;va(448,G|0);N=B;B=0;do if(N&1){M=Rb()|0;Z=Q;_=M}else{k[G>>2]=27560;M=d+36|0;k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;k[M+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,G|0,c|0);J=B;B=0;if(J&1){J=Rb()|0;T=Q;Yua(c);Yua(M);Ava(G);Z=T;_=J;break}Yua(c);B=0;Ia(40,d|0,142679,10)|0;J=B;B=0;do if(!(J&1)?(B=0,wa(510,e|0,G|0),T=B,B=0,!(T&1)):0){B=0;ya(424,e|0)|0;T=B;B=0;if(T&1){T=Rb()|0;S=Q;Yua(e);$=S;aa=T;break}Yua(e);k[d>>2]=27468;k[K>>2]=27488;k[G>>2]=27560;Yua(M);Ava(G);vva(K);T=f+56|0;S=f+4|0;k[f>>2]=27524;k[T>>2]=27544;B=0;wa(508,f+56|0,S|0);H=B;B=0;if(H&1){H=Rb()|0;ba=Q;ca=H;vva(T);Qb(ca|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[T>>2]=27488;B=0;va(448,S|0);H=B;B=0;do if(H&1){E=Rb()|0;da=Q;ea=E}else{k[S>>2]=27560;E=f+36|0;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;k[E+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,S|0,c|0);F=B;B=0;if(F&1){F=Rb()|0;I=Q;Yua(c);Yua(E);Ava(S);da=I;ea=F;break}Yua(c);B=0;F=Ia(40,f|0,142690,10)|0;I=B;B=0;do if(((!(I&1)?(B=0,O=Xa(242,F|0,k[a>>2]|0)|0,P=B,B=0,!(P&1)):0)?(B=0,Ia(40,O|0,149177,1)|0,O=B,B=0,!(O&1)):0)?(B=0,wa(510,g|0,S|0),O=B,B=0,!(O&1)):0){B=0;ya(424,g|0)|0;O=B;B=0;if(O&1){O=Rb()|0;P=Q;Yua(g);fa=P;ga=O;break}Yua(g);k[f>>2]=27468;k[T>>2]=27488;k[S>>2]=27560;Yua(E);Ava(S);vva(T);O=h+56|0;P=h+4|0;k[h>>2]=27524;k[O>>2]=27544;B=0;wa(508,h+56|0,P|0);R=B;B=0;if(R&1){R=Rb()|0;ha=Q;ia=R;vva(O);Qb(ia|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[O>>2]=27488;B=0;va(448,P|0);R=B;B=0;do if(R&1){ja=Rb()|0;ka=Q;la=ja}else{k[P>>2]=27560;ja=h+36|0;k[ja>>2]=0;k[ja+4>>2]=0;k[ja+8>>2]=0;k[ja+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,P|0,c|0);ma=B;B=0;if(ma&1){ma=Rb()|0;na=Q;Yua(c);Yua(ja);Ava(P);ka=na;la=ma;break}Yua(c);B=0;Ia(40,h|0,142701,11)|0;ma=B;B=0;do if(ma&1)U=58;else{B=0;wa(510,i|0,P|0);na=B;B=0;if(na&1){U=58;break}B=0;ya(424,i|0)|0;na=B;B=0;if(na&1){na=Rb()|0;oa=Q;Yua(i);pa=oa;qa=na;break}Yua(i);k[h>>2]=27468;k[O>>2]=27488;k[P>>2]=27560;Yua(ja);Ava(P);vva(O);a:do if((k[a>>2]|0)>0){na=j+56|0;oa=j+4|0;ra=j+56|0;sa=j+128|0;ta=j+132|0;ua=j+36|0;xa=j+52|0;za=a+8|0;Aa=0;while(1){k[j>>2]=27524;k[na>>2]=27544;B=0;wa(508,ra|0,oa|0);Ba=B;B=0;if(Ba&1){U=43;break}k[sa>>2]=0;k[ta>>2]=-1;k[j>>2]=27468;k[na>>2]=27488;B=0;va(448,oa|0);Ba=B;B=0;if(Ba&1){U=44;break}k[oa>>2]=27560;k[ua>>2]=0;k[ua+4>>2]=0;k[ua+8>>2]=0;k[ua+12>>2]=0;k[xa>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,oa|0,c|0);Ba=B;B=0;if(Ba&1){U=42;break}Yua(c);B=0;Ba=Xa(242,j|0,k[(k[za>>2]|0)+(Aa<<2)>>2]|0)|0;Ca=B;B=0;if(Ca&1){U=61;break}B=0;Ia(40,Ba|0,149175,1)|0;Ba=B;B=0;if(Ba&1){U=61;break}B=0;wa(510,l|0,oa|0);Ba=B;B=0;if(Ba&1){U=61;break}B=0;ya(424,l|0)|0;Ba=B;B=0;if(Ba&1){U=62;break}Yua(l);k[j>>2]=27468;k[na>>2]=27488;k[oa>>2]=27560;Yua(ua);Ava(oa);vva(na);Aa=Aa+1|0;if((Aa|0)>=(k[a>>2]|0))break a}if((U|0)==42){Aa=Rb()|0;za=Q;Yua(c);Yua(ua);Ava(oa);Da=za;Ea=Aa;U=45}else if((U|0)==43){Aa=Rb()|0;Fa=Q;Ga=Aa;vva(na);Qb(Ga|0)}else if((U|0)==44){Aa=Rb()|0;Da=Q;Ea=Aa;U=45}else if((U|0)==61){Aa=Rb()|0;Ha=Q;Ja=Aa;U=63}else if((U|0)==62){Aa=Rb()|0;za=Q;Yua(l);Ha=za;Ja=Aa;U=63}if((U|0)==45){Fa=Da;Ga=Ea;vva(na);Qb(Ga|0)}else if((U|0)==63){k[j>>2]=27468;k[na>>2]=27488;k[oa>>2]=27560;Yua(ua);Ava(oa);vva(na);V=Ha;W=Ja;Qb(W|0)}}while(0);Aa=m+56|0;za=m+4|0;k[m>>2]=27524;k[Aa>>2]=27544;B=0;wa(508,m+56|0,za|0);xa=B;B=0;if(xa&1){xa=Rb()|0;Ka=Q;La=xa;vva(Aa);Qb(La|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[Aa>>2]=27488;B=0;va(448,za|0);xa=B;B=0;do if(xa&1){ta=Rb()|0;Ma=Q;Na=ta}else{k[za>>2]=27560;ta=m+36|0;k[ta>>2]=0;k[ta+4>>2]=0;k[ta+8>>2]=0;k[ta+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,za|0,c|0);sa=B;B=0;if(sa&1){sa=Rb()|0;ra=Q;Yua(c);Yua(ta);Ava(za);Ma=ra;Na=sa;break}Yua(c);B=0;Ia(40,m|0,149177,1)|0;sa=B;B=0;do if(sa&1)U=101;else{B=0;wa(510,n|0,za|0);ra=B;B=0;if(ra&1){U=101;break}B=0;ya(424,n|0)|0;ra=B;B=0;if(ra&1){ra=Rb()|0;Ba=Q;Yua(n);Oa=Ba;Pa=ra;break}Yua(n);k[m>>2]=27468;k[Aa>>2]=27488;k[za>>2]=27560;Yua(ta);Ava(za);vva(Aa);ra=o+56|0;Ba=o+4|0;k[o>>2]=27524;k[ra>>2]=27544;B=0;wa(508,o+56|0,Ba|0);Ca=B;B=0;if(Ca&1){Ca=Rb()|0;Qa=Q;Ra=Ca;vva(ra);Qb(Ra|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[ra>>2]=27488;B=0;va(448,Ba|0);Ca=B;B=0;do if(Ca&1){Sa=Rb()|0;Ta=Q;Ua=Sa}else{k[Ba>>2]=27560;Sa=o+36|0;k[Sa>>2]=0;k[Sa+4>>2]=0;k[Sa+8>>2]=0;k[Sa+12>>2]=0;k[o+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ba|0,c|0);Va=B;B=0;if(Va&1){Va=Rb()|0;Wa=Q;Yua(c);Yua(Sa);Ava(Ba);Ta=Wa;Ua=Va;break}Yua(c);B=0;Ia(40,o|0,142713,15)|0;Va=B;B=0;do if(Va&1)U=104;else{B=0;wa(510,p|0,Ba|0);Wa=B;B=0;if(Wa&1){U=104;break}B=0;ya(424,p|0)|0;Wa=B;B=0;if(Wa&1){Wa=Rb()|0;Ya=Q;Yua(p);Za=Ya;_a=Wa;break}Yua(p);k[o>>2]=27468;k[ra>>2]=27488;k[Ba>>2]=27560;Yua(Sa);Ava(Ba);vva(ra);b:do if((k[a>>2]|0)>0){Wa=q+56|0;Ya=q+4|0;$a=q+56|0;ab=q+128|0;bb=q+132|0;cb=q+36|0;db=q+52|0;eb=a+12|0;fb=0;while(1){k[q>>2]=27524;k[Wa>>2]=27544;B=0;wa(508,$a|0,Ya|0);gb=B;B=0;if(gb&1){U=92;break}k[ab>>2]=0;k[bb>>2]=-1;k[q>>2]=27468;k[Wa>>2]=27488;B=0;va(448,Ya|0);gb=B;B=0;if(gb&1){U=93;break}k[Ya>>2]=27560;k[cb>>2]=0;k[cb+4>>2]=0;k[cb+8>>2]=0;k[cb+12>>2]=0;k[db>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ya|0,c|0);gb=B;B=0;if(gb&1){U=91;break}Yua(c);B=0;gb=Xa(242,q|0,k[(k[eb>>2]|0)+(fb<<2)>>2]|0)|0;hb=B;B=0;if(hb&1){U=107;break}B=0;Ia(40,gb|0,149175,1)|0;gb=B;B=0;if(gb&1){U=107;break}B=0;wa(510,s|0,Ya|0);gb=B;B=0;if(gb&1){U=107;break}B=0;ya(424,s|0)|0;gb=B;B=0;if(gb&1){U=108;break}Yua(s);k[q>>2]=27468;k[Wa>>2]=27488;k[Ya>>2]=27560;Yua(cb);Ava(Ya);vva(Wa);fb=fb+1|0;if((fb|0)>=(k[a>>2]|0))break b}if((U|0)==91){fb=Rb()|0;eb=Q;Yua(c);Yua(cb);Ava(Ya);ib=eb;jb=fb;U=94}else if((U|0)==92){fb=Rb()|0;kb=Q;lb=fb;vva(Wa);Qb(lb|0)}else if((U|0)==93){fb=Rb()|0;ib=Q;jb=fb;U=94}else if((U|0)==107){fb=Rb()|0;mb=Q;nb=fb;U=109}else if((U|0)==108){fb=Rb()|0;eb=Q;Yua(s);mb=eb;nb=fb;U=109}if((U|0)==94){kb=ib;lb=jb;vva(Wa);Qb(lb|0)}else if((U|0)==109){k[q>>2]=27468;k[Wa>>2]=27488;k[Ya>>2]=27560;Yua(cb);Ava(Ya);vva(Wa);V=mb;W=nb;Qb(W|0)}}while(0);fb=t+56|0;eb=t+4|0;k[t>>2]=27524;k[fb>>2]=27544;B=0;wa(508,t+56|0,eb|0);db=B;B=0;if(db&1){db=Rb()|0;ob=Q;pb=db;vva(fb);Qb(pb|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[fb>>2]=27488;B=0;va(448,eb|0);db=B;B=0;do if(db&1){bb=Rb()|0;qb=Q;rb=bb}else{k[eb>>2]=27560;bb=t+36|0;k[bb>>2]=0;k[bb+4>>2]=0;k[bb+8>>2]=0;k[bb+12>>2]=0;k[t+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,eb|0,c|0);ab=B;B=0;if(ab&1){ab=Rb()|0;$a=Q;Yua(c);Yua(bb);Ava(eb);qb=$a;rb=ab;break}Yua(c);B=0;Ia(40,t|0,149177,1)|0;ab=B;B=0;do if(ab&1)U=134;else{B=0;wa(510,u|0,eb|0);$a=B;B=0;if($a&1){U=134;break}B=0;ya(424,u|0)|0;$a=B;B=0;if($a&1){$a=Rb()|0;gb=Q;Yua(u);sb=gb;tb=$a;break}Yua(u);k[t>>2]=27468;k[fb>>2]=27488;k[eb>>2]=27560;Yua(bb);Ava(eb);vva(fb);$a=a+4|0;if(!(k[$a>>2]|0)){gb=v+56|0;hb=v+4|0;k[v>>2]=27524;k[gb>>2]=27544;B=0;wa(508,v+56|0,hb|0);ub=B;B=0;if(ub&1){ub=Rb()|0;vb=Q;wb=ub;vva(gb);Qb(wb|0)}k[v+128>>2]=0;k[v+132>>2]=-1;k[v>>2]=27468;k[gb>>2]=27488;B=0;va(448,hb|0);ub=B;B=0;do if(ub&1){xb=Rb()|0;yb=Q;zb=xb}else{k[hb>>2]=27560;xb=v+36|0;k[xb>>2]=0;k[xb+4>>2]=0;k[xb+8>>2]=0;k[xb+12>>2]=0;k[v+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,hb|0,c|0);Ab=B;B=0;if(Ab&1){Ab=Rb()|0;Bb=Q;Yua(c);Yua(xb);Ava(hb);yb=Bb;zb=Ab;break}Yua(c);B=0;Ia(40,v|0,142746,37)|0;Ab=B;B=0;do if(Ab&1)U=137;else{B=0;wa(510,w|0,hb|0);Bb=B;B=0;if(Bb&1){U=137;break}B=0;ya(424,w|0)|0;Bb=B;B=0;if(Bb&1){Bb=Rb()|0;Cb=Q;Yua(w);Db=Cb;Eb=Bb;break}Yua(w);k[v>>2]=27468;k[gb>>2]=27488;k[hb>>2]=27560;Yua(xb);Ava(hb);vva(gb);r=b;return}while(0);if((U|0)==137){Ab=Rb()|0;Db=Q;Eb=Ab}k[v>>2]=27468;k[gb>>2]=27488;k[hb>>2]=27560;Yua(xb);Ava(hb);vva(gb);V=Db;W=Eb;Qb(W|0)}while(0);vb=yb;wb=zb;vva(gb);Qb(wb|0)}hb=x+56|0;ub=x+4|0;k[x>>2]=27524;k[hb>>2]=27544;B=0;wa(508,x+56|0,ub|0);Ab=B;B=0;if(Ab&1){Ab=Rb()|0;Fb=Q;Gb=Ab;vva(hb);Qb(Gb|0)}k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[hb>>2]=27488;B=0;va(448,ub|0);Ab=B;B=0;do if(Ab&1){Bb=Rb()|0;Hb=Q;Ib=Bb}else{k[ub>>2]=27560;Bb=x+36|0;k[Bb>>2]=0;k[Bb+4>>2]=0;k[Bb+8>>2]=0;k[Bb+12>>2]=0;k[x+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ub|0,c|0);Cb=B;B=0;if(Cb&1){Cb=Rb()|0;Jb=Q;Yua(c);Yua(Bb);Ava(ub);Hb=Jb;Ib=Cb;break}Yua(c);B=0;Ia(40,x|0,142784,18)|0;Cb=B;B=0;do if(!(Cb&1)){B=0;wa(510,y|0,ub|0);Jb=B;B=0;if(Jb&1){U=168;break}B=0;ya(424,y|0)|0;Jb=B;B=0;if(Jb&1){Jb=Rb()|0;Kb=Q;Yua(y);Lb=Kb;Mb=Jb;break}Yua(y);k[x>>2]=27468;k[hb>>2]=27488;k[ub>>2]=27560;Yua(Bb);Ava(ub);vva(hb);if((k[a>>2]|0)<=0){r=b;return}Jb=z+56|0;Kb=z+4|0;Nb=z+56|0;Ob=z+128|0;Pb=z+132|0;Sb=z+36|0;Tb=z+52|0;Ub=C+56|0;Vb=C+4|0;Wb=C+56|0;Xb=C+128|0;Yb=C+132|0;Zb=C+36|0;_b=C+52|0;$b=0;while(1){k[z>>2]=27524;k[Jb>>2]=27544;B=0;wa(508,Nb|0,Kb|0);ac=B;B=0;if(ac&1){U=157;break}k[Ob>>2]=0;k[Pb>>2]=-1;k[z>>2]=27468;k[Jb>>2]=27488;B=0;va(448,Kb|0);ac=B;B=0;if(ac&1){U=158;break}k[Kb>>2]=27560;k[Sb>>2]=0;k[Sb+4>>2]=0;k[Sb+8>>2]=0;k[Sb+12>>2]=0;k[Tb>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Kb|0,c|0);ac=B;B=0;if(ac&1){U=156;break}Yua(c);B=0;ac=Ia(40,z|0,142803,16)|0;bc=B;B=0;if(bc&1){U=171;break}B=0;bc=Xa(242,ac|0,$b|0)|0;ac=B;B=0;if(ac&1){U=171;break}B=0;Ia(40,bc|0,149177,1)|0;bc=B;B=0;if(bc&1){U=171;break}B=0;wa(510,A|0,Kb|0);bc=B;B=0;if(bc&1){U=171;break}B=0;ya(424,A|0)|0;bc=B;B=0;if(bc&1){U=172;break}Yua(A);k[z>>2]=27468;k[Jb>>2]=27488;k[Kb>>2]=27560;Yua(Sb);Ava(Kb);vva(Jb);bc=k[(k[$a>>2]|0)+($b<<2)>>2]|0;if(!bc){k[C>>2]=27524;k[Ub>>2]=27544;B=0;wa(508,Wb|0,Vb|0);ac=B;B=0;if(ac&1){U=178;break}k[Xb>>2]=0;k[Yb>>2]=-1;k[C>>2]=27468;k[Ub>>2]=27488;B=0;va(448,Vb|0);ac=B;B=0;if(ac&1){U=179;break}k[Vb>>2]=27560;k[Zb>>2]=0;k[Zb+4>>2]=0;k[Zb+8>>2]=0;k[Zb+12>>2]=0;k[_b>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Vb|0,c|0);ac=B;B=0;if(ac&1){U=177;break}Yua(c);B=0;Ia(40,C|0,142820,50)|0;ac=B;B=0;if(ac&1){U=186;break}B=0;wa(510,D|0,Vb|0);ac=B;B=0;if(ac&1){U=186;break}B=0;ya(424,D|0)|0;ac=B;B=0;if(ac&1){U=187;break}Yua(D);k[C>>2]=27468;k[Ub>>2]=27488;k[Vb>>2]=27560;Yua(Zb);Ava(Vb);vva(Ub)}else Ec[k[(k[bc>>2]|0)+12>>2]&1023](bc);$b=$b+1|0;if(($b|0)>=(k[a>>2]|0)){U=205;break}}switch(U|0){case 156:{$b=Rb()|0;_b=Q;Yua(c);Yua(Sb);Ava(Kb);cc=_b;dc=$b;U=159;break}case 157:{$b=Rb()|0;ec=Q;fc=$b;vva(Jb);Qb(fc|0);break}case 158:{$b=Rb()|0;cc=Q;dc=$b;U=159;break}case 171:{$b=Rb()|0;gc=Q;hc=$b;U=173;break}case 172:{$b=Rb()|0;_b=Q;Yua(A);gc=_b;hc=$b;U=173;break}case 177:{$b=Rb()|0;_b=Q;Yua(c);Yua(Zb);Ava(Vb);ic=_b;jc=$b;U=180;break}case 178:{$b=Rb()|0;kc=Q;lc=$b;vva(Ub);Qb(lc|0);break}case 179:{$b=Rb()|0;ic=Q;jc=$b;U=180;break}case 186:{$b=Rb()|0;mc=Q;nc=$b;U=188;break}case 187:{$b=Rb()|0;_b=Q;Yua(D);mc=_b;nc=$b;U=188;break}case 205:{r=b;return}}if((U|0)==159){ec=cc;fc=dc;vva(Jb);Qb(fc|0)}else if((U|0)==173){k[z>>2]=27468;k[Jb>>2]=27488;k[Kb>>2]=27560;Yua(Sb);Ava(Kb);vva(Jb);V=gc;W=hc;Qb(W|0)}else if((U|0)==180){kc=ic;lc=jc;vva(Ub);Qb(lc|0)}else if((U|0)==188){k[C>>2]=27468;k[Ub>>2]=27488;k[Vb>>2]=27560;Yua(Zb);Ava(Vb);vva(Ub);V=mc;W=nc;Qb(W|0)}}else U=168;while(0);if((U|0)==168){Cb=Rb()|0;Lb=Q;Mb=Cb}k[x>>2]=27468;k[hb>>2]=27488;k[ub>>2]=27560;Yua(Bb);Ava(ub);vva(hb);V=Lb;W=Mb;Qb(W|0)}while(0);Fb=Hb;Gb=Ib;vva(hb);Qb(Gb|0)}while(0);if((U|0)==134){ab=Rb()|0;sb=Q;tb=ab}k[t>>2]=27468;k[fb>>2]=27488;k[eb>>2]=27560;Yua(bb);Ava(eb);vva(fb);V=sb;W=tb;Qb(W|0)}while(0);ob=qb;pb=rb;vva(fb);Qb(pb|0)}while(0);if((U|0)==104){Va=Rb()|0;Za=Q;_a=Va}k[o>>2]=27468;k[ra>>2]=27488;k[Ba>>2]=27560;Yua(Sa);Ava(Ba);vva(ra);V=Za;W=_a;Qb(W|0)}while(0);Qa=Ta;Ra=Ua;vva(ra);Qb(Ra|0)}while(0);if((U|0)==101){sa=Rb()|0;Oa=Q;Pa=sa}k[m>>2]=27468;k[Aa>>2]=27488;k[za>>2]=27560;Yua(ta);Ava(za);vva(Aa);V=Oa;W=Pa;Qb(W|0)}while(0);Ka=Ma;La=Na;vva(Aa);Qb(La|0)}while(0);if((U|0)==58){ma=Rb()|0;pa=Q;qa=ma}k[h>>2]=27468;k[O>>2]=27488;k[P>>2]=27560;Yua(ja);Ava(P);vva(O);V=pa;W=qa;Qb(W|0)}while(0);ha=ka;ia=la;vva(O);Qb(ia|0)}else U=55;while(0);if((U|0)==55){F=Rb()|0;fa=Q;ga=F}k[f>>2]=27468;k[T>>2]=27488;k[S>>2]=27560;Yua(E);Ava(S);vva(T);V=fa;W=ga;Qb(W|0)}while(0);ba=da;ca=ea;vva(T);Qb(ca|0)}else U=52;while(0);if((U|0)==52){J=Rb()|0;$=Q;aa=J}k[d>>2]=27468;k[K>>2]=27488;k[G>>2]=27560;Yua(M);Ava(G);vva(K);V=$;W=aa;Qb(W|0)}while(0);X=Z;Y=_;vva(K);Qb(Y|0)}function Bla(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;b=Qqa(16)|0;c=k[a+8>>2]|0;d=k[a>>2]|0;k[b>>2]=d;if((d|0)<1){k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;return b|0}e=d>>>0>1073741823?-1:d<<2;B=0;f=ya(422,e|0)|0;g=B;B=0;if(g&1){h=Rb()|0;i=Q;Sqa(b);Qb(h|0)}g=b+4|0;k[g>>2]=f;B=0;j=ya(422,e|0)|0;l=B;B=0;if(l&1){h=Rb()|0;i=Q;Sqa(b);Qb(h|0)}l=b+8|0;k[l>>2]=j;B=0;m=ya(422,e|0)|0;e=B;B=0;if(e&1){h=Rb()|0;i=Q;Sqa(b);Qb(h|0)}h=b+12|0;k[h>>2]=m;k[j>>2]=k[c>>2];k[f>>2]=0;k[m>>2]=0;if((d|0)>1){k[j+4>>2]=k[c+4>>2];k[f+4>>2]=0;k[(k[h>>2]|0)+4>>2]=0;f=k[b>>2]|0;if((f|0)>2){j=2;do{d=k[g>>2]|0;k[(k[l>>2]|0)+(j<<2)>>2]=k[c+(j<<2)>>2];k[d+(j<<2)>>2]=0;k[(k[h>>2]|0)+(j<<2)>>2]=0;j=j+1|0;d=k[b>>2]|0}while((j|0)<(d|0));n=d}else n=f;if((n|0)<=0)return b|0}n=a+4|0;f=b+4|0;j=a+12|0;a=b+12|0;h=0;do{k[(k[f>>2]|0)+(h<<2)>>2]=k[(k[n>>2]|0)+(h<<2)>>2];k[(k[a>>2]|0)+(h<<2)>>2]=k[(k[j>>2]|0)+(h<<2)>>2];h=h+1|0}while((h|0)<(k[b>>2]|0));return b|0}function Cla(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0;e=r;r=r+368|0;f=e+344|0;g=e+208|0;h=e+196|0;j=e+184|0;m=e+36|0;n=e+48|0;o=e+24|0;p=e+12|0;q=e;s=(d|0)==1;if(s){t=k[a>>2]|0;if((t|0)>0){u=a+4|0;v=0;do{k[(k[u>>2]|0)+(v<<2)>>2]=0;v=v+1|0}while((v|0)!=(t|0));w=5}else{x=a;w=33}}else w=5;a:do if((w|0)==5)switch(d|0){case 0:{t=k[b>>2]|0;i[t>>0]=58;i[t+1>>0]=2;i[t+2>>0]=0;i[t+3>>0]=0;t=(k[b>>2]|0)+4|0;k[b>>2]=t;v=l[a>>0]|l[a+1>>0]<<8|l[a+2>>0]<<16|l[a+3>>0]<<24;i[t>>0]=v;i[t+1>>0]=v>>8;i[t+2>>0]=v>>16;i[t+3>>0]=v>>24;k[b>>2]=(k[b>>2]|0)+4;y=a;z=1;break a;break}case 2:{k[c>>2]=(k[c>>2]|0)+8;y=a;z=0;break a;break}default:{if(s){x=a;w=33;break a}v=g+56|0;t=g+4|0;k[g>>2]=27524;k[v>>2]=27544;B=0;wa(508,g+56|0,t|0);u=B;B=0;if(u&1){u=Rb()|0;A=Q;C=u;vva(v);Qb(C|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[v>>2]=27488;B=0;va(448,t|0);u=B;B=0;do if(u&1){D=Rb()|0;E=Q;F=D}else{k[t>>2]=27560;D=g+36|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;k[D+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,t|0,f|0);G=B;B=0;if(G&1){G=Rb()|0;H=Q;Yua(f);Yua(D);Ava(t);E=H;F=G;break}Yua(f);B=0;G=Ia(40,g|0,143951,43)|0;H=B;B=0;b:do if(!(H&1)?(B=0,Xa(239,G|0,0)|0,I=B,B=0,!(I&1)):0){I=Ab(20)|0;B=0;eb(502,h|0,142871,63);J=B;B=0;do if(!(J&1)){B=0;eb(502,j|0,149525,8);K=B;B=0;if(K&1){K=Rb()|0;L=Q;Yua(h);M=L;N=K;break}B=0;wa(510,m|0,t|0);K=B;B=0;if(K&1){K=Rb()|0;O=Q;P=K;R=1}else{B=0;ua(163,I|0,h|0,j|0,126,m|0);K=B;B=0;if(K&1)S=1;else{B=0;eb(503,I|0,1240,229);B=0;S=0}K=Rb()|0;L=Q;Yua(m);O=L;P=K;R=S}Yua(j);Yua(h);if(R){M=O;N=P}else{T=O;U=P;break b}}else{K=Rb()|0;M=Q;N=K}while(0);zb(I|0);T=M;U=N}else w=23;while(0);if((w|0)==23){G=Rb()|0;T=Q;U=G}k[g>>2]=27468;k[v>>2]=27488;k[t>>2]=27560;Yua(D);Ava(t);vva(v);V=T;W=U;Qb(W|0)}while(0);A=E;C=F;vva(v);Qb(C|0)}}while(0);if((w|0)==33){C=(k[b>>2]|0)+4|0;k[b>>2]=C;F=l[C>>0]|l[C+1>>0]<<8|l[C+2>>0]<<16|l[C+3>>0]<<24;i[x>>0]=F;i[x+1>>0]=F>>8;i[x+2>>0]=F>>16;i[x+3>>0]=F>>24;k[b>>2]=(k[b>>2]|0)+4;y=x;z=0}x=k[y>>2]|0;F=a+8|0;if((x|0)<1){k[F>>2]=0;k[a+4>>2]=0;k[a+12>>2]=0;k[y>>2]=0;r=e;return}C=(k[F>>2]|0)==0;if(z){i[k[b>>2]>>0]=C&1;z=(k[b>>2]|0)+1|0;k[b>>2]=z;if(C)X=z;else{TEa(z|0,k[F>>2]|0,k[y>>2]<<2|0)|0;z=(k[b>>2]|0)+(k[y>>2]<<2)|0;k[b>>2]=z;X=z}z=a+12|0;E=(k[z>>2]|0)==0;i[X>>0]=E&1;X=(k[b>>2]|0)+1|0;k[b>>2]=X;if(E)Y=X;else{TEa(X|0,k[z>>2]|0,k[y>>2]<<2|0)|0;z=(k[b>>2]|0)+(k[y>>2]<<2)|0;k[b>>2]=z;Y=z}z=a+4|0;X=(k[z>>2]|0)==0;i[Y>>0]=X&1;Y=(k[b>>2]|0)+1|0;k[b>>2]=Y;if(X){r=e;return}TEa(Y|0,k[z>>2]|0,k[y>>2]<<2|0)|0;k[b>>2]=(k[b>>2]|0)+(k[y>>2]<<2);r=e;return}if((d|0)==2){d=(k[c>>2]|0)+1|0;k[c>>2]=d;if(C)Z=d;else{C=d+(k[y>>2]<<2)|0;k[c>>2]=C;Z=C}C=(k[a+12>>2]|0)==0;d=Z+1|0;k[c>>2]=d;if(C)_=d;else{C=d+(k[y>>2]<<2)|0;k[c>>2]=C;_=C}C=(k[a+4>>2]|0)==0;d=_+1|0;k[c>>2]=d;if(C){r=e;return}k[c>>2]=d+(k[y>>2]<<2);r=e;return}if(s){s=k[b>>2]|0;y=i[s>>0]|0;d=s+1|0;k[b>>2]=d;if(!(y&1)){y=Rqa(x>>>0>1073741823?-1:x<<2)|0;k[F>>2]=y;F=k[b>>2]|0;s=x<<2;TEa(y|0,F|0,s|0)|0;y=F+s|0;k[b>>2]=y;$=y}else $=d;d=i[$>>0]|0;y=$+1|0;k[b>>2]=y;if(!(d&1)){d=Rqa(x>>>0>1073741823?-1:x<<2)|0;k[a+12>>2]=d;$=k[b>>2]|0;s=x<<2;TEa(d|0,$|0,s|0)|0;d=$+s|0;k[b>>2]=d;aa=d}else aa=y;y=i[aa>>0]|0;k[b>>2]=aa+1;if(y&1){r=e;return}y=Rqa(x>>>0>1073741823?-1:x<<2)|0;k[a+4>>2]=y;a=k[b>>2]|0;aa=x<<2;TEa(y|0,a|0,aa|0)|0;k[b>>2]=a+aa;r=e;return}e=n+56|0;aa=n+4|0;k[n>>2]=27524;k[e>>2]=27544;B=0;wa(508,n+56|0,aa|0);a=B;B=0;if(a&1){a=Rb()|0;ba=Q;ca=a;vva(e);Qb(ca|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[e>>2]=27488;B=0;va(448,aa|0);a=B;B=0;do if(a&1){b=Rb()|0;da=Q;ea=b}else{k[aa>>2]=27560;b=n+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[n+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,aa|0,f|0);y=B;B=0;if(y&1){y=Rb()|0;x=Q;Yua(f);Yua(b);Ava(aa);da=x;ea=y;break}Yua(f);B=0;y=Ia(40,n|0,143951,43)|0;x=B;B=0;c:do if(!(x&1)?(B=0,Xa(239,y|0,0)|0,d=B,B=0,!(d&1)):0){d=Ab(20)|0;B=0;eb(502,o|0,142871,63);s=B;B=0;do if(!(s&1)){B=0;eb(502,p|0,149525,8);$=B;B=0;if($&1){$=Rb()|0;F=Q;Yua(o);fa=F;ga=$;break}B=0;wa(510,q|0,aa|0);$=B;B=0;if($&1){$=Rb()|0;ha=1;ia=Q;ja=$}else{B=0;ua(163,d|0,o|0,p|0,136,q|0);$=B;B=0;if($&1)ka=1;else{B=0;eb(503,d|0,1240,229);B=0;ka=0}$=Rb()|0;F=Q;Yua(q);ha=ka;ia=F;ja=$}Yua(p);Yua(o);if(ha){fa=ia;ga=ja}else{la=ia;ma=ja;break c}}else{$=Rb()|0;fa=Q;ga=$}while(0);zb(d|0);la=fa;ma=ga}else w=56;while(0);if((w|0)==56){y=Rb()|0;la=Q;ma=y}k[n>>2]=27468;k[e>>2]=27488;k[aa>>2]=27560;Yua(b);Ava(aa);vva(e);V=la;W=ma;Qb(W|0)}while(0);ba=da;ca=ea;vva(e);Qb(ca|0)}function Dla(a){a=a|0;var b=0,c=0;b=k[a>>2]|0;if((b|0)<=0)return;c=a+4|0;a=0;do{k[(k[c>>2]|0)+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(b|0));return}function Ela(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;if((k[a>>2]|0)<=0){r=c;return}i=a+8|0;j=a+4|0;l=a+12|0;m=0;a:while(1){b:do if((k[(k[i>>2]|0)+(m<<2)>>2]|0)!=-1){n=k[(k[j>>2]|0)+(m<<2)>>2]|0;if(n){o=Hc[k[(k[n>>2]|0)+16>>2]&511](n)|0;if((o|0)==(k[(k[i>>2]|0)+(m<<2)>>2]|0))break;k[(k[j>>2]|0)+(m<<2)>>2]=0}o=k[l>>2]|0;n=o+(m<<2)|0;p=k[n>>2]|0;do if((p|0)!=-9999){q=qh(b,p)|0;s=Hc[k[(k[q>>2]|0)+16>>2]&511](q)|0;if((s|0)==(k[(k[i>>2]|0)+(m<<2)>>2]|0)){k[(k[j>>2]|0)+(m<<2)>>2]=q;break b}else{q=k[l>>2]|0;k[q+(m<<2)>>2]=-9999;t=q;break}}else{k[n>>2]=-9999;t=o}while(0);if((k[(k[j>>2]|0)+(m<<2)>>2]|0)==0?(o=rh(b,t+(m<<2)|0,k[(k[i>>2]|0)+(m<<2)>>2]|0)|0,k[(k[j>>2]|0)+(m<<2)>>2]=o,o=k[(k[j>>2]|0)+(m<<2)>>2]|0,n=Hc[k[(k[o>>2]|0)+16>>2]&511](o)|0,(n|0)!=(k[(k[i>>2]|0)+(m<<2)>>2]|0)):0){u=m;break a}}while(0);m=m+1|0;if((m|0)>=(k[a>>2]|0)){v=43;break}}if((v|0)==43){r=c;return}c=e+56|0;v=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,v|0);a=B;B=0;if(a&1){a=Rb()|0;w=Q;x=a;vva(c);Qb(x|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,v|0);a=B;B=0;do if(a&1){m=Rb()|0;y=Q;z=m}else{k[v>>2]=27560;m=e+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,v|0,d|0);t=B;B=0;if(t&1){t=Rb()|0;b=Q;Yua(d);Yua(m);Ava(v);y=b;z=t;break}Yua(d);B=0;t=Ia(40,e|0,142935,10)|0;b=B;B=0;if((((((!(b&1)?(b=k[(k[j>>2]|0)+(u<<2)>>2]|0,B=0,l=ya(k[(k[b>>2]|0)+16>>2]|0,b|0)|0,b=B,B=0,!(b&1)):0)?(B=0,b=Xa(242,t|0,l|0)|0,l=B,B=0,!(l&1)):0)?(B=0,l=Ia(40,b|0,142946,4)|0,b=B,B=0,!(b&1)):0)?(B=0,b=Xa(242,l|0,k[(k[i>>2]|0)+(u<<2)>>2]|0)|0,l=B,B=0,!(l&1)):0)?(B=0,l=Ia(40,b|0,142951,22)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(239,l|0,0)|0,l=B,B=0,!(l&1)):0){l=Ab(20)|0;B=0;eb(502,f|0,142871,63);b=B;B=0;do if(!(b&1)){B=0;eb(502,g|0,142974,9);t=B;B=0;if(t&1){t=Rb()|0;n=Q;Yua(f);A=n;C=t;break}B=0;wa(510,h|0,v|0);t=B;B=0;if(t&1){t=Rb()|0;D=Q;E=t;F=1}else{B=0;ua(163,l|0,f|0,g|0,193,h|0);t=B;B=0;if(t&1)G=1;else{B=0;eb(503,l|0,1240,229);B=0;G=0}t=Rb()|0;n=Q;Yua(h);D=n;E=t;F=G}Yua(g);Yua(f);if(F){A=D;C=E}else{H=D;I=E;k[e>>2]=27468;k[c>>2]=27488;k[v>>2]=27560;Yua(m);Ava(v);vva(c);Qb(I|0)}}else{t=Rb()|0;A=Q;C=t}while(0);zb(l|0);H=A;I=C;k[e>>2]=27468;k[c>>2]=27488;k[v>>2]=27560;Yua(m);Ava(v);vva(c);Qb(I|0)}b=Rb()|0;H=Q;I=b;k[e>>2]=27468;k[c>>2]=27488;k[v>>2]=27560;Yua(m);Ava(v);vva(c);Qb(I|0)}while(0);w=y;x=z;vva(c);Qb(x|0)}function Fla(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;b=r;r=r+368|0;c=b+344|0;d=b+208|0;e=b+196|0;f=b+184|0;g=b+36|0;h=b+48|0;i=b+24|0;j=b+12|0;l=b;if((k[a>>2]|0)==1){m=k[a+4>>2]|0;if(m){r=b;return k[m>>2]|0}m=h+56|0;b=h+4|0;k[h>>2]=27524;k[m>>2]=27544;B=0;wa(508,h+56|0,b|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;p=n;vva(m);Qb(p|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[m>>2]=27488;B=0;va(448,b|0);n=B;B=0;do if(n&1){q=Rb()|0;s=Q;t=q}else{k[b>>2]=27560;q=h+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,b|0,c|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(c);Yua(q);Ava(b);s=v;t=u;break}Yua(c);B=0;u=Ia(40,h|0,143058,59)|0;v=B;B=0;a:do if(!(v&1)?(B=0,Xa(239,u|0,0)|0,w=B,B=0,!(w&1)):0){w=Ab(20)|0;B=0;eb(502,i|0,142871,63);x=B;B=0;do if(!(x&1)){B=0;eb(502,j|0,143049,8);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(i);A=y;C=z;break}B=0;wa(510,l|0,b|0);z=B;B=0;if(z&1){z=Rb()|0;D=1;E=Q;F=z}else{B=0;ua(163,w|0,i|0,j|0,204,l|0);z=B;B=0;if(z&1)G=1;else{B=0;eb(503,w|0,1240,229);B=0;G=0}z=Rb()|0;y=Q;Yua(l);D=G;E=y;F=z}Yua(j);Yua(i);if(D){A=F;C=E}else{H=E;I=F;break a}}else{z=Rb()|0;A=z;C=Q}while(0);zb(w|0);H=C;I=A}else J=44;while(0);if((J|0)==44){u=Rb()|0;H=Q;I=u}k[h>>2]=27468;k[m>>2]=27488;k[b>>2]=27560;Yua(q);Ava(b);vva(m);K=H;L=I;Qb(L|0)}while(0);o=s;p=t;vva(m);Qb(p|0)}p=d+56|0;m=d+4|0;k[d>>2]=27524;k[p>>2]=27544;B=0;wa(508,d+56|0,m|0);t=B;B=0;if(t&1){t=Rb()|0;M=Q;N=t;vva(p);Qb(N|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[p>>2]=27488;B=0;va(448,m|0);t=B;B=0;do if(t&1){s=Rb()|0;O=Q;P=s}else{k[m>>2]=27560;s=d+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,m|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;I=Q;Yua(c);Yua(s);Ava(m);O=I;P=o;break}Yua(c);B=0;o=Ia(40,d|0,142984,55)|0;I=B;B=0;b:do if((((!(I&1)?(B=0,H=Xa(242,o|0,k[a>>2]|0)|0,b=B,B=0,!(b&1)):0)?(B=0,b=Ia(40,H|0,143040,8)|0,H=B,B=0,!(H&1)):0)?(B=0,H=Ia(40,b|0,149177,1)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(239,H|0,0)|0,H=B,B=0,!(H&1)):0){H=Ab(20)|0;B=0;eb(502,e|0,142871,63);b=B;B=0;do if(!(b&1)){B=0;eb(502,f|0,143049,8);h=B;B=0;if(h&1){h=Rb()|0;A=Q;Yua(e);R=h;S=A;break}B=0;wa(510,g|0,m|0);A=B;B=0;if(A&1){A=Rb()|0;T=Q;U=A;V=1}else{B=0;ua(163,H|0,e|0,f|0,201,g|0);A=B;B=0;if(A&1)W=1;else{B=0;eb(503,H|0,1240,229);B=0;W=0}A=Rb()|0;h=Q;Yua(g);T=h;U=A;V=W}Yua(f);Yua(e);if(V){R=U;S=T}else{X=U;Y=T;break b}}else{A=Rb()|0;R=A;S=Q}while(0);zb(H|0);X=R;Y=S}else J=20;while(0);if((J|0)==20){o=Rb()|0;X=o;Y=Q}k[d>>2]=27468;k[p>>2]=27488;k[m>>2]=27560;Yua(s);Ava(m);vva(p);K=Y;L=X;Qb(L|0)}while(0);M=O;N=P;vva(p);Qb(N|0);return 0}function Gla(a){a=a|0;return k[a+4>>2]|0}function Hla(a){a=a|0;return k[a>>2]|0}function Ila(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0;d=r;r=r+368|0;e=d+344|0;f=d+208|0;g=d+196|0;h=d+184|0;i=d+36|0;j=d+48|0;l=d+24|0;m=d+12|0;n=d;o=Qqa(16)|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[o+12>>2]=0;p=k[a>>2]|0;if(!p){k[o>>2]=0;r=d;return o|0}if((p|0)<(c|0)){p=f+56|0;q=f+4|0;k[f>>2]=27524;k[p>>2]=27544;B=0;wa(508,f+56|0,q|0);s=B;B=0;if(s&1){s=Rb()|0;t=Q;u=s;vva(p);Qb(u|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[p>>2]=27488;B=0;va(448,q|0);s=B;B=0;do if(s&1){v=Rb()|0;w=Q;x=v}else{k[q>>2]=27560;v=f+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,q|0,e|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(e);Yua(v);Ava(q);w=z;x=y;break}Yua(e);B=0;y=Ia(40,f|0,143118,23)|0;z=B;B=0;a:do if(((((!(z&1)?(B=0,A=Xa(242,y|0,c|0)|0,C=B,B=0,!(C&1)):0)?(B=0,C=Ia(40,A|0,143142,24)|0,A=B,B=0,!(A&1)):0)?(B=0,A=Xa(242,C|0,k[a>>2]|0)|0,C=B,B=0,!(C&1)):0)?(B=0,C=Ia(40,A|0,143040,8)|0,A=B,B=0,!(A&1)):0)?(B=0,Xa(239,C|0,0)|0,C=B,B=0,!(C&1)):0){C=Ab(20)|0;B=0;eb(502,g|0,142871,63);A=B;B=0;do if(!(A&1)){B=0;eb(502,h|0,143167,5);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(g);F=D;G=E;break}B=0;wa(510,i|0,q|0);E=B;B=0;if(E&1){E=Rb()|0;H=Q;I=E;J=1}else{B=0;ua(163,C|0,g|0,h|0,237,i|0);E=B;B=0;if(E&1)K=1;else{B=0;eb(503,C|0,1240,229);B=0;K=0}E=Rb()|0;D=Q;Yua(i);H=D;I=E;J=K}Yua(h);Yua(g);if(J){F=I;G=H}else{L=I;M=H;break a}}else{E=Rb()|0;F=E;G=Q}while(0);zb(C|0);L=F;M=G}else N=23;while(0);if((N|0)==23){y=Rb()|0;L=y;M=Q}k[f>>2]=27468;k[p>>2]=27488;k[q>>2]=27560;Yua(v);Ava(q);vva(p);O=M;P=L;Qb(P|0)}while(0);t=w;u=x;vva(p);Qb(u|0)}else{k[o>>2]=c;if((c|0)>=1){u=c>>>0>1073741823?-1:c<<2;p=Rqa(u)|0;k[o+4>>2]=p;x=Rqa(u)|0;k[o+8>>2]=x;w=Rqa(u)|0;k[o+12>>2]=w;u=a+4|0;t=a+8|0;L=a+12|0;a=0;do{M=b+(a<<2)|0;q=k[M>>2]|0;k[p+(a<<2)>>2]=k[(k[u>>2]|0)+(q<<2)>>2];k[x+(a<<2)>>2]=k[(k[t>>2]|0)+(q<<2)>>2];k[w+(a<<2)>>2]=k[(k[L>>2]|0)+(k[M>>2]<<2)>>2];a=a+1|0}while((a|0)<(c|0));r=d;return o|0}o=j+56|0;d=j+4|0;k[j>>2]=27524;k[o>>2]=27544;B=0;wa(508,j+56|0,d|0);c=B;B=0;if(c&1){c=Rb()|0;R=Q;S=c;vva(o);Qb(S|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[o>>2]=27488;B=0;va(448,d|0);c=B;B=0;do if(c&1){a=Rb()|0;T=Q;U=a}else{k[d>>2]=27560;a=j+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[j+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,d|0,e|0);L=B;B=0;if(L&1){L=Rb()|0;w=Q;Yua(e);Yua(a);Ava(d);T=w;U=L;break}Yua(e);B=0;L=Ia(40,j|0,143173,43)|0;w=B;B=0;b:do if(!(w&1)?(B=0,Xa(239,L|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,l|0,142871,63);x=B;B=0;do if(!(x&1)){B=0;eb(502,m|0,143167,5);u=B;B=0;if(u&1){u=Rb()|0;p=Q;Yua(l);V=u;W=p;break}B=0;wa(510,n|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;X=1;Y=Q;Z=p}else{B=0;ua(163,t|0,l|0,m|0,241,n|0);p=B;B=0;if(p&1)_=1;else{B=0;eb(503,t|0,1240,229);B=0;_=0}p=Rb()|0;u=Q;Yua(n);X=_;Y=u;Z=p}Yua(m);Yua(l);if(X){V=Z;W=Y}else{$=Y;aa=Z;break b}}else{p=Rb()|0;V=p;W=Q}while(0);zb(t|0);$=W;aa=V}else N=47;while(0);if((N|0)==47){L=Rb()|0;$=Q;aa=L}k[j>>2]=27468;k[o>>2]=27488;k[d>>2]=27560;Yua(a);Ava(d);vva(o);O=$;P=aa;Qb(P|0)}while(0);R=T;S=U;vva(o);Qb(S|0)}return 0}function Jla(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;d=r;r=r+16|0;e=d;k[a>>2]=40876;k[a+4>>2]=41040;k[a+8>>2]=b;k[e>>2]=c+1;B=0;c=ya(423,16)|0;b=B;B=0;if(b&1){b=Rb()|0;f=Q;g=b;Qb(g|0)}B=0;eb(509,c|0,e|0,1);e=B;B=0;if(!(e&1)){k[a+12>>2]=c;k[a+16>>2]=0;r=d;return}d=Rb()|0;a=Q;Sqa(c);f=a;g=d;Qb(g|0)}function Kla(a){a=a|0;var b=0;k[a>>2]=40876;k[a+4>>2]=41040;b=k[a+12>>2]|0;if(!b)return;yla(b);Sqa(b);return}function Lla(a){a=a|0;var b=0;k[a>>2]=40876;k[a+4>>2]=41040;b=k[a+12>>2]|0;if(!b){Sqa(a);return}yla(b);Sqa(b);Sqa(a);return}function Mla(a){a=a|0;var b=0,c=0;b=Qqa(20)|0;k[b>>2]=40876;k[b+4>>2]=41040;k[b+8>>2]=k[a+8>>2];c=a+12|0;a=Bla(k[c>>2]|0)|0;k[b+12>>2]=a;a=Fla(k[c>>2]|0)|0;k[b+16>>2]=a;return b|0}function Nla(a,b){a=a|0;b=b|0;var c=0,d=0;c=Qqa(20)|0;k[c>>2]=40876;k[c+4>>2]=41040;k[c+8>>2]=k[a+8>>2];d=Bla(k[a+12>>2]|0)|0;k[c+12>>2]=d;k[c+16>>2]=b;return c|0}function Ola(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;b=r;r=r+464|0;c=b+452|0;d=b+304|0;e=b+440|0;f=b+152|0;g=b+288|0;h=b+16|0;i=b;j=d+56|0;l=d+4|0;k[d>>2]=27524;k[j>>2]=27544;B=0;wa(508,d+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(j);Qb(o|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[j>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){p=Rb()|0;q=Q;s=p}else{k[l>>2]=27560;p=d+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,l|0,c|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(c);Yua(p);Ava(l);q=u;s=t;break}Yua(c);B=0;Ia(40,d|0,143227,10)|0;t=B;B=0;do if(!(t&1)?(B=0,wa(510,e|0,l|0),u=B,B=0,!(u&1)):0){B=0;ya(424,e|0)|0;u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}Yua(e);k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);u=f+56|0;v=f+4|0;k[f>>2]=27524;k[u>>2]=27544;B=0;wa(508,f+56|0,v|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;A=y;vva(u);Qb(A|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[u>>2]=27488;B=0;va(448,v|0);y=B;B=0;do if(y&1){C=Rb()|0;D=Q;E=C}else{k[v>>2]=27560;C=f+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,v|0,c|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(c);Yua(C);Ava(v);D=G;E=F;break}Yua(c);B=0;F=Ia(40,f|0,143238,8)|0;G=B;B=0;do if(((!(G&1)?(B=0,H=Xa(242,F|0,k[a+8>>2]|0)|0,I=B,B=0,!(I&1)):0)?(B=0,Ia(40,H|0,149177,1)|0,H=B,B=0,!(H&1)):0)?(B=0,wa(510,g|0,v|0),H=B,B=0,!(H&1)):0){B=0;ya(424,g|0)|0;H=B;B=0;if(H&1){H=Rb()|0;I=Q;Yua(g);J=I;K=H;break}Yua(g);k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(C);Ava(v);vva(u);H=h+56|0;I=h+4|0;k[h>>2]=27524;k[H>>2]=27544;B=0;wa(508,h+56|0,I|0);L=B;B=0;if(L&1){L=Rb()|0;M=Q;N=L;vva(H);Qb(N|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[H>>2]=27488;B=0;va(448,I|0);L=B;B=0;do if(L&1){O=Rb()|0;P=Q;R=O}else{k[I>>2]=27560;O=h+36|0;k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;k[O+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,I|0,c|0);S=B;B=0;if(S&1){S=Rb()|0;T=Q;Yua(c);Yua(O);Ava(I);P=T;R=S;break}Yua(c);B=0;Ia(40,h|0,143247,12)|0;S=B;B=0;do if(!(S&1)){B=0;wa(510,i|0,I|0);T=B;B=0;if(T&1){U=43;break}B=0;ya(424,i|0)|0;T=B;B=0;if(T&1){T=Rb()|0;V=Q;Yua(i);W=V;X=T;break}else{Yua(i);k[h>>2]=27468;k[H>>2]=27488;k[I>>2]=27560;Yua(O);Ava(I);vva(H);zla(k[a+12>>2]|0);r=b;return}}else U=43;while(0);if((U|0)==43){S=Rb()|0;W=Q;X=S}k[h>>2]=27468;k[H>>2]=27488;k[I>>2]=27560;Yua(O);Ava(I);vva(H);Y=W;Z=X;Qb(Z|0)}while(0);M=P;N=R;vva(H);Qb(N|0)}else U=40;while(0);if((U|0)==40){F=Rb()|0;J=Q;K=F}k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(C);Ava(v);vva(u);Y=J;Z=K;Qb(Z|0)}while(0);z=D;A=E;vva(u);Qb(A|0)}else U=37;while(0);if((U|0)==37){t=Rb()|0;w=Q;x=t}k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);Y=w;Z=x;Qb(Z|0)}while(0);n=q;o=s;vva(j);Qb(o|0)}function Pla(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;b=r;r=r+464|0;c=b+452|0;d=b+304|0;e=b+440|0;f=b+152|0;g=b+288|0;h=b+16|0;i=b;j=d+56|0;l=d+4|0;k[d>>2]=27524;k[j>>2]=27544;B=0;wa(508,d+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(j);Qb(o|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[j>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){p=Rb()|0;q=Q;s=p}else{k[l>>2]=27560;p=d+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,l|0,c|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(c);Yua(p);Ava(l);q=u;s=t;break}Yua(c);B=0;Ia(40,d|0,143227,10)|0;t=B;B=0;do if(!(t&1)?(B=0,wa(510,e|0,l|0),u=B,B=0,!(u&1)):0){B=0;ya(424,e|0)|0;u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}Yua(e);k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);u=f+56|0;v=f+4|0;k[f>>2]=27524;k[u>>2]=27544;B=0;wa(508,f+56|0,v|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;A=y;vva(u);Qb(A|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[u>>2]=27488;B=0;va(448,v|0);y=B;B=0;do if(y&1){C=Rb()|0;D=Q;E=C}else{k[v>>2]=27560;C=f+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,v|0,c|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(c);Yua(C);Ava(v);D=G;E=F;break}Yua(c);B=0;F=Ia(40,f|0,143238,8)|0;G=B;B=0;do if(((!(G&1)?(B=0,H=Xa(242,F|0,k[a+8>>2]|0)|0,I=B,B=0,!(I&1)):0)?(B=0,Ia(40,H|0,149177,1)|0,H=B,B=0,!(H&1)):0)?(B=0,wa(510,g|0,v|0),H=B,B=0,!(H&1)):0){B=0;ya(424,g|0)|0;H=B;B=0;if(H&1){H=Rb()|0;I=Q;Yua(g);J=I;K=H;break}Yua(g);k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(C);Ava(v);vva(u);H=h+56|0;I=h+4|0;k[h>>2]=27524;k[H>>2]=27544;B=0;wa(508,h+56|0,I|0);L=B;B=0;if(L&1){L=Rb()|0;M=Q;N=L;vva(H);Qb(N|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[H>>2]=27488;B=0;va(448,I|0);L=B;B=0;do if(L&1){O=Rb()|0;P=Q;R=O}else{k[I>>2]=27560;O=h+36|0;k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;k[O+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,I|0,c|0);S=B;B=0;if(S&1){S=Rb()|0;T=Q;Yua(c);Yua(O);Ava(I);P=T;R=S;break}Yua(c);B=0;Ia(40,h|0,143247,12)|0;S=B;B=0;do if(!(S&1)){B=0;wa(510,i|0,I|0);T=B;B=0;if(T&1){U=43;break}B=0;ya(424,i|0)|0;T=B;B=0;if(T&1){T=Rb()|0;V=Q;Yua(i);W=V;X=T;break}else{Yua(i);k[h>>2]=27468;k[H>>2]=27488;k[I>>2]=27560;Yua(O);Ava(I);vva(H);zla(k[a+12>>2]|0);r=b;return}}else U=43;while(0);if((U|0)==43){S=Rb()|0;W=Q;X=S}k[h>>2]=27468;k[H>>2]=27488;k[I>>2]=27560;Yua(O);Ava(I);vva(H);Y=W;Z=X;Qb(Z|0)}while(0);M=P;N=R;vva(H);Qb(N|0)}else U=40;while(0);if((U|0)==40){F=Rb()|0;J=Q;K=F}k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(C);Ava(v);vva(u);Y=J;Z=K;Qb(Z|0)}while(0);z=D;A=E;vva(u);Qb(A|0)}else U=37;while(0);if((U|0)==37){t=Rb()|0;w=Q;x=t}k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);Y=w;Z=x;Qb(Z|0)}while(0);n=q;o=s;vva(j);Qb(o|0)}function Qla(a){a=a|0;return k[a+8>>2]|0}function Rla(a){a=a|0;return 585}function Sla(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;switch(d|0){case 1:{n=Qqa(16)|0;B=0;va(489,n|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Sqa(n);q=o;s=p;Qb(q|0)}else{k[a+12>>2]=n;n=(k[b>>2]|0)+4|0;k[b>>2]=n;p=a+8|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[p>>0]=o;i[p+1>>0]=o>>8;i[p+2>>0]=o>>16;i[p+3>>0]=o>>24;k[b>>2]=(k[b>>2]|0)+4;t=a+12|0;u=k[t>>2]|0;Cla(u,b,c,d);v=k[t>>2]|0;w=Fla(v)|0;x=a+16|0;k[x>>2]=w;r=e;return}break}case 0:{o=k[b>>2]|0;i[o>>0]=73;i[o+1>>0]=2;i[o+2>>0]=0;i[o+3>>0]=0;o=(k[b>>2]|0)+4|0;k[b>>2]=o;p=a+8|0;n=l[p>>0]|l[p+1>>0]<<8|l[p+2>>0]<<16|l[p+3>>0]<<24;i[o>>0]=n;i[o+1>>0]=n>>8;i[o+2>>0]=n>>16;i[o+3>>0]=n>>24;k[b>>2]=(k[b>>2]|0)+4;t=a+12|0;u=k[t>>2]|0;Cla(u,b,c,d);v=k[t>>2]|0;w=Fla(v)|0;x=a+16|0;k[x>>2]=w;r=e;return}case 2:{k[c>>2]=(k[c>>2]|0)+8;t=a+12|0;u=k[t>>2]|0;Cla(u,b,c,d);v=k[t>>2]|0;w=Fla(v)|0;x=a+16|0;k[x>>2]=w;r=e;return}default:{e=g+56|0;w=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,w|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;z=x;vva(e);Qb(z|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,w|0);x=B;B=0;do if(x&1){a=Rb()|0;A=Q;C=a}else{k[w>>2]=27560;a=g+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,w|0,f|0);v=B;B=0;if(v&1){v=Rb()|0;t=Q;Yua(f);Yua(a);Ava(w);A=t;C=v;break}Yua(f);B=0;v=Ia(40,g|0,143951,43)|0;t=B;B=0;a:do if(!(t&1)?(B=0,Xa(239,v|0,0)|0,d=B,B=0,!(d&1)):0){d=Ab(20)|0;B=0;eb(502,h|0,143260,77);c=B;B=0;do if(!(c&1)){B=0;eb(502,j|0,149525,8);b=B;B=0;if(b&1){b=Rb()|0;u=Q;Yua(h);D=u;E=b;break}B=0;wa(510,m|0,w|0);b=B;B=0;if(b&1){b=Rb()|0;F=b;G=Q;H=1}else{B=0;ua(163,d|0,h|0,j|0,118,m|0);b=B;B=0;if(b&1)I=1;else{B=0;eb(503,d|0,1240,229);B=0;I=0}b=Rb()|0;u=Q;Yua(m);F=b;G=u;H=I}Yua(j);Yua(h);if(H){D=G;E=F}else{J=G;K=F;break a}}else{u=Rb()|0;D=Q;E=u}while(0);zb(d|0);J=D;K=E}else L=19;while(0);if((L|0)==19){v=Rb()|0;J=Q;K=v}k[g>>2]=27468;k[e>>2]=27488;k[w>>2]=27560;Yua(a);Ava(w);vva(e);q=K;s=J;Qb(q|0)}while(0);y=A;z=C;vva(e);Qb(z|0)}}}function Tla(a,b){a=a|0;b=b|0;var c=0;c=a+12|0;Ela(k[c>>2]|0,b);b=Fla(k[c>>2]|0)|0;k[a+16>>2]=b;return}function Ula(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,143260,77);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,143338,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,140,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function Vla(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,143260,77);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,143343,7);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,144,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function Wla(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,143260,77);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,143351,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,148,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function Xla(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,143260,77);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,143356,7);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,153,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function Yla(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,143260,77);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,143364,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,157,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function Zla(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,143260,77);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,143369,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,161,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function _la(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,143260,77);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,143374,7);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,166,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function $la(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,143260,77);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,143382,8);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,171,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function ama(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;b=r;r=r+192|0;a=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,h|0,a|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(a);Yua(m);Ava(h);n=q;o=p;break}Yua(a);B=0;p=Ia(40,d|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,143260,77);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,143391,12);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,175,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(E|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function bma(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;b=r;r=r+192|0;a=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,h|0,a|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(a);Yua(m);Ava(h);n=q;o=p;break}Yua(a);B=0;p=Ia(40,d|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,143260,77);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,143404,14);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,224,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(E|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function cma(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;b=r;r=r+192|0;a=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,h|0,a|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(a);Yua(m);Ava(h);n=q;o=p;break}Yua(a);B=0;p=Ia(40,d|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,143260,77);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,143419,14);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,228,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(E|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function dma(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;b=r;r=r+192|0;a=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,h|0,a|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(a);Yua(m);Ava(h);n=q;o=p;break}Yua(a);B=0;p=Ia(40,d|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,143260,77);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,143434,15);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,232,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(E|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function ema(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,143260,77);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,143450,22);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,236,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function fma(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,143260,77);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,143473,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,240,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function gma(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,143260,77);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,143497,31);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,244,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function hma(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,143260,77);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,143529,33);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,248,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function ima(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return}function jma(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return}function kma(a,b,c){a=a|0;b=+b;c=c|0;return}function lma(a,b,c){a=a|0;b=+b;c=c|0;return}function mma(a,b,c){a=a|0;b=b|0;c=c|0;return}function nma(a,b,c){a=a|0;b=b|0;c=c|0;return}function oma(a,b,c){a=a|0;b=b|0;c=c|0;return}function pma(a,b,c){a=a|0;b=b|0;c=c|0;return}function qma(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0.0;i=r;r=r+128|0;j=i+112|0;l=i+104|0;m=i+96|0;n=i+72|0;o=i+48|0;q=i+24|0;s=i+16|0;t=i+8|0;u=i;nd[k[(k[f>>2]|0)+48>>2]&1023](f,j,e);rd[k[(k[f>>2]|0)+60>>2]&511](f,n,d,e);nd[k[(k[g>>2]|0)+48>>2]&1023](g,l,e);rd[k[(k[g>>2]|0)+60>>2]&511](g,o,d,e);if((c|0)==3){nd[k[(k[h>>2]|0)+48>>2]&1023](h,m,e);rd[k[(k[h>>2]|0)+60>>2]&511](h,q,d,e);v=q}else{p[m>>3]=0.0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[q+16>>2]=0;k[q+20>>2]=0;v=q}q=a+16|0;a=oC(k[(k[q>>2]|0)+16>>2]|0,220)|0;d=oC(k[(k[q>>2]|0)+16>>2]|0,222)|0;h=oC(k[(k[q>>2]|0)+16>>2]|0,218)|0;nd[k[(k[a>>2]|0)+48>>2]&1023](a,t,e);nd[k[(k[d>>2]|0)+48>>2]&1023](d,u,e);nd[k[(k[h>>2]|0)+48>>2]&1023](h,s,e);w=+rma(0,+p[s>>3],+p[t>>3],+p[u>>3],+p[j>>3],+p[l>>3],+p[m>>3],n,o,v);p[b>>3]=w;r=i;return}function rma(a,b,c,d,e,f,g,h,i,j){a=a|0;b=+b;c=+c;d=+d;e=+e;f=+f;g=+g;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0.0,o=0.0,q=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0;a=r;r=r+48|0;k=a+32|0;l=a+24|0;m=a;n=+aa(+(e*e+f*f+g*g));if(n<1.0e-12){o=0.0;q=0.0;s=0.0}else{t=1.0/(+aa(+n)*2.0);u=e*2.0;v=f*2.0;w=g*2.0;o=t*(u*+p[h+16>>3]+v*+p[i+16>>3]+w*+p[j+16>>3]);q=t*(u*+p[h+8>>3]+v*+p[i+8>>3]+w*+p[j+8>>3]);s=t*(u*+p[h>>3]+v*+p[i>>3]+w*+p[j>>3])}p[m>>3]=s;p[m+8>>3]=q;p[m+16>>3]=o;_Y(k,l,e,f,g,n,h,i,j,m);n=+aZ(+p[k>>3],+p[l>>3]);g=+p[k>>3];f=1.0/(+ba(+(g*(g*((n*((d-c)*n)+c)*b))),.3333333333333333)*2.0);r=a;return +f}function sma(a,b,c){a=a|0;b=b|0;c=c|0;nd[k[(k[a>>2]|0)+84>>2]&1023](a,b,c);return}function tma(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0.0;h=r;r=r+112|0;i=h+104|0;j=h+96|0;l=h+72|0;m=h+48|0;n=h+24|0;o=h+16|0;q=h+8|0;s=h;nd[k[(k[f>>2]|0)+48>>2]&1023](f,i,e);rd[k[(k[f>>2]|0)+60>>2]&511](f,l,d,e);if((c|0)==3){nd[k[(k[g>>2]|0)+48>>2]&1023](g,j,e);rd[k[(k[g>>2]|0)+60>>2]&511](g,m,d,e);t=m;u=+p[m+8>>3]}else{p[l+16>>3]=0.0;p[j>>3]=0.0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[m+16>>2]=0;k[m+20>>2]=0;t=m;u=0.0};k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;p[n+16>>3]=-+p[l>>3]-u;m=a+16|0;a=oC(k[(k[m>>2]|0)+16>>2]|0,220)|0;d=oC(k[(k[m>>2]|0)+16>>2]|0,222)|0;g=oC(k[(k[m>>2]|0)+16>>2]|0,218)|0;nd[k[(k[a>>2]|0)+48>>2]&1023](a,q,e);nd[k[(k[d>>2]|0)+48>>2]&1023](d,s,e);nd[k[(k[g>>2]|0)+48>>2]&1023](g,o,e);u=+rma(0,+p[o>>3],+p[q>>3],+p[s>>3],+p[i>>3],+p[j>>3],0.0,l,t,n);p[b>>3]=u;r=h;return}function uma(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,143260,77);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,143563,30);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,352,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function vma(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;g=r;r=r+192|0;f=g+176|0;e=g+40|0;d=g+24|0;c=g+12|0;b=g;g=e+56|0;a=e+4|0;k[e>>2]=27524;k[g>>2]=27544;B=0;wa(508,e+56|0,a|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(g);Qb(j|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[g>>2]=27488;B=0;va(448,a|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[a>>2]=27560;l=e+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[e+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,a|0,f|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(f);Yua(l);Ava(a);m=p;n=o;break}Yua(f);B=0;o=Ia(40,e|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,143260,77);s=B;B=0;do if(!(s&1)){B=0;eb(502,c|0,143594,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,b|0,a|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,c|0,355,b|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(b);x=u;y=t;z=A}Yua(c);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[e>>2]=27468;k[g>>2]=27488;k[a>>2]=27560;Yua(l);Ava(a);vva(g);Qb(D|0)}while(0);i=m;j=n;vva(g);Qb(j|0)}function wma(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0.0;h=r;r=r+112|0;i=h+104|0;j=h+96|0;l=h+72|0;m=h+48|0;n=h+24|0;o=h+16|0;q=h+8|0;s=h;nd[k[(k[f>>2]|0)+48>>2]&1023](f,i,e);rd[k[(k[f>>2]|0)+60>>2]&511](f,l,d,e);if((c|0)==2){nd[k[(k[g>>2]|0)+48>>2]&1023](g,j,e);rd[k[(k[g>>2]|0)+60>>2]&511](g,m,d,e);t=m;u=+p[m+8>>3]}else{d=l+8|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;p[j>>3]=0.0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[m+16>>2]=0;k[m+20>>2]=0;t=m;u=0.0};k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;p[n+16>>3]=-+p[l>>3]-u;m=a+16|0;a=oC(k[(k[m>>2]|0)+16>>2]|0,221)|0;d=oC(k[(k[m>>2]|0)+16>>2]|0,223)|0;g=oC(k[(k[m>>2]|0)+16>>2]|0,219)|0;nd[k[(k[a>>2]|0)+48>>2]&1023](a,q,e);nd[k[(k[d>>2]|0)+48>>2]&1023](d,s,e);nd[k[(k[g>>2]|0)+48>>2]&1023](g,o,e);u=+rma(0,+p[o>>3],+p[q>>3],+p[s>>3],+p[i>>3],+p[j>>3],0.0,l,t,n);p[b>>3]=u;r=h;return}function xma(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,143260,77);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,143608,31);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,394,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function yma(a){a=a|0;k[a+16>>2]=0;Dla(k[a+12>>2]|0);return}function zma(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,143656,77);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144327,22);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,52,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function Ama(a,b,c){a=a|0;b=b|0;c=c|0;zma(a+-4|0,b,c)}function Bma(a,b){a=a|0;b=b|0;var c=0,d=0;if((th(a)|0)>0)c=0;else return;do{d=qh(a,c)|0;if(ed[k[(k[d>>2]|0)+40>>2]&511](d,b)|0)Ec[k[(k[d>>2]|0)+32>>2]&1023](d);c=c+1|0}while((c|0)<(th(a)|0));return}function Cma(a){a=a|0;var b=0,c=0,d=0,e=0;b=r;r=r+16|0;c=b+4|0;d=b;e=th(a)|0;k[c>>2]=e;nZ(c,d,1,4,4,0,uY()|0)|0;uY()|0;r=b;return k[d>>2]|0}function Dma(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0;f=r;r=r+16|0;g=f+8|0;h=f+4|0;i=f;k[a>>2]=41068;k[a+4>>2]=41188;k[a+8>>2]=b;k[a+12>>2]=e;k[g>>2]=c+1+(k[d+100>>2]|0);k[i>>2]=k[(k[d+92>>2]|0)+(c<<2)>>2];k[h>>2]=(k[d+56>>2]|0)+1;B=0;d=ya(423,16)|0;c=B;B=0;if(!(c&1)){B=0;eb(509,d|0,g|0,1);g=B;B=0;if(g&1){g=Rb()|0;c=Q;Sqa(d);j=c;l=g;Qb(l|0)}k[a+16>>2]=d;B=0;d=ya(423,16)|0;g=B;B=0;if(!(g&1)){B=0;eb(509,d|0,i|0,1);i=B;B=0;if(i&1){i=Rb()|0;g=Q;Sqa(d);j=g;l=i;Qb(l|0)}k[a+20>>2]=d;B=0;d=ya(423,16)|0;i=B;B=0;if(!(i&1)){B=0;eb(509,d|0,h|0,1);h=B;B=0;if(!(h&1)){k[a+24>>2]=d;h=a+28|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;r=f;return}f=Rb()|0;h=Q;Sqa(d);j=h;l=f;Qb(l|0)}}}f=Rb()|0;j=Q;l=f;Qb(l|0)}function Ema(a){a=a|0;var b=0;k[a>>2]=41068;k[a+4>>2]=41188;b=k[a+16>>2]|0;if(b){yla(b);Sqa(b)}b=k[a+20>>2]|0;if(b){yla(b);Sqa(b)}b=k[a+24>>2]|0;if(!b)return;yla(b);Sqa(b);return}function Fma(a){a=a|0;var b=0;k[a>>2]=41068;k[a+4>>2]=41188;b=k[a+16>>2]|0;if(b){yla(b);Sqa(b)}b=k[a+20>>2]|0;if(b){yla(b);Sqa(b)}b=k[a+24>>2]|0;if(!b){Sqa(a);return}yla(b);Sqa(b);Sqa(a);return}function Gma(a){a=a|0;var b=0,c=0,d=0,e=0;b=Qqa(44)|0;k[b>>2]=41068;k[b+4>>2]=41188;c=b+16|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[b+8>>2]=k[a+8>>2];k[b+12>>2]=k[a+12>>2];k[b+40>>2]=k[a+40>>2];d=Bla(k[a+16>>2]|0)|0;k[c>>2]=d;c=Bla(k[a+24>>2]|0)|0;k[b+24>>2]=c;e=Bla(k[a+20>>2]|0)|0;k[b+20>>2]=e;a=Fla(d)|0;k[b+28>>2]=a;a=Fla(c)|0;k[b+36>>2]=a;a=Fla(e)|0;k[b+32>>2]=a;return b|0}function Hma(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;a:do switch(d|0){case 0:{n=k[b>>2]|0;i[n>>0]=80;i[n+1>>0]=2;i[n+2>>0]=0;i[n+3>>0]=0;n=(k[b>>2]|0)+4|0;k[b>>2]=n;o=a+8|0;p=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[n>>0]=p;i[n+1>>0]=p>>8;i[n+2>>0]=p>>16;i[n+3>>0]=p>>24;p=(k[b>>2]|0)+4|0;k[b>>2]=p;n=a+12|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[p>>0]=o;i[p+1>>0]=o>>8;i[p+2>>0]=o>>16;i[p+3>>0]=o>>24;k[b>>2]=(k[b>>2]|0)+4;break}case 2:{k[c>>2]=(k[c>>2]|0)+12;break}case 1:{o=(k[b>>2]|0)+4|0;k[b>>2]=o;p=a+8|0;n=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[p>>0]=n;i[p+1>>0]=n>>8;i[p+2>>0]=n>>16;i[p+3>>0]=n>>24;n=(k[b>>2]|0)+4|0;k[b>>2]=n;p=a+12|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[p>>0]=o;i[p+1>>0]=o>>8;i[p+2>>0]=o>>16;i[p+3>>0]=o>>24;k[b>>2]=(k[b>>2]|0)+4;o=Qqa(16)|0;B=0;va(489,o|0);p=B;B=0;if(p&1){p=Rb()|0;n=Q;Sqa(o);q=n;s=p;Qb(s|0)}k[a+16>>2]=o;o=Qqa(16)|0;B=0;va(489,o|0);p=B;B=0;if(p&1){p=Rb()|0;n=Q;Sqa(o);q=n;s=p;Qb(s|0)}k[a+20>>2]=o;o=Qqa(16)|0;B=0;va(489,o|0);p=B;B=0;if(!(p&1)){k[a+24>>2]=o;break a}p=Rb()|0;n=Q;Sqa(o);q=n;s=p;Qb(s|0);break}default:{p=g+56|0;n=g+4|0;k[g>>2]=27524;k[p>>2]=27544;B=0;wa(508,g+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;t=Q;u=o;vva(p);Qb(u|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[p>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){v=Rb()|0;w=Q;x=v}else{k[n>>2]=27560;v=g+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,n|0,f|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(f);Yua(v);Ava(n);w=z;x=y;break}Yua(f);B=0;y=Ia(40,g|0,143951,43)|0;z=B;B=0;b:do if(!(z&1)?(B=0,Xa(239,y|0,0)|0,A=B,B=0,!(A&1)):0){A=Ab(20)|0;B=0;eb(502,h|0,143742,71);C=B;B=0;do if(!(C&1)){B=0;eb(502,j|0,149525,8);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(h);F=E;G=D;break}B=0;wa(510,m|0,n|0);D=B;B=0;if(D&1){D=Rb()|0;H=D;I=Q;J=1}else{B=0;ua(163,A|0,h|0,j|0,104,m|0);D=B;B=0;if(D&1)K=1;else{B=0;eb(503,A|0,1240,229);B=0;K=0}D=Rb()|0;E=Q;Yua(m);H=D;I=E;J=K}Yua(j);Yua(h);if(J){F=I;G=H}else{L=I;M=H;break b}}else{E=Rb()|0;F=Q;G=E}while(0);zb(A|0);L=F;M=G}else N=17;while(0);if((N|0)==17){y=Rb()|0;L=Q;M=y}k[g>>2]=27468;k[p>>2]=27488;k[n>>2]=27560;Yua(v);Ava(n);vva(p);q=L;s=M;Qb(s|0)}while(0);t=w;u=x;vva(p);Qb(u|0)}}while(0);u=a+16|0;Cla(k[u>>2]|0,b,c,d);x=a+20|0;Cla(k[x>>2]|0,b,c,d);w=a+24|0;Cla(k[w>>2]|0,b,c,d);d=Fla(k[u>>2]|0)|0;k[a+28>>2]=d;d=Fla(k[w>>2]|0)|0;k[a+36>>2]=d;d=Fla(k[x>>2]|0)|0;k[a+32>>2]=d;r=e;return}function Ima(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0;b=r;r=r+624|0;c=b+604|0;d=b+456|0;e=b+592|0;f=b+304|0;g=b+440|0;h=b+152|0;i=b+288|0;j=b+16|0;l=b;b=d+56|0;m=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,m|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;p=n;vva(b);Qb(p|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,m|0);n=B;B=0;do if(n&1){q=Rb()|0;s=Q;t=q}else{k[m>>2]=27560;q=d+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,m|0,c|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(c);Yua(q);Ava(m);s=v;t=u;break}Yua(c);B=0;Ia(40,d|0,143814,8)|0;u=B;B=0;do if(!(u&1)?(B=0,wa(510,e|0,m|0),v=B,B=0,!(v&1)):0){B=0;ya(424,e|0)|0;v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(e);x=w;y=v;break}Yua(e);k[d>>2]=27468;k[b>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(b);v=f+56|0;w=f+4|0;k[f>>2]=27524;k[v>>2]=27544;B=0;wa(508,f+56|0,w|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;C=z;vva(v);Qb(C|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[v>>2]=27488;B=0;va(448,w|0);z=B;B=0;do if(z&1){D=Rb()|0;E=Q;F=D}else{k[w>>2]=27560;D=f+36|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;k[D+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,w|0,c|0);G=B;B=0;if(G&1){G=Rb()|0;H=Q;Yua(c);Yua(D);Ava(w);E=H;F=G;break}Yua(c);B=0;G=Ia(40,f|0,144086,7)|0;H=B;B=0;do if(((!(H&1)?(B=0,I=Xa(242,G|0,k[a+8>>2]|0)|0,J=B,B=0,!(J&1)):0)?(B=0,Ia(40,I|0,149177,1)|0,I=B,B=0,!(I&1)):0)?(B=0,wa(510,g|0,w|0),I=B,B=0,!(I&1)):0){B=0;ya(424,g|0)|0;I=B;B=0;if(I&1){I=Rb()|0;J=Q;Yua(g);K=J;L=I;break}Yua(g);k[f>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(D);Ava(w);vva(v);I=h+56|0;J=h+4|0;k[h>>2]=27524;k[I>>2]=27544;B=0;wa(508,h+56|0,J|0);M=B;B=0;if(M&1){M=Rb()|0;N=Q;O=M;vva(I);Qb(O|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[I>>2]=27488;B=0;va(448,J|0);M=B;B=0;do if(M&1){P=Rb()|0;R=Q;S=P}else{k[J>>2]=27560;P=h+36|0;k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;k[P+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,J|0,c|0);T=B;B=0;if(T&1){T=Rb()|0;U=Q;Yua(c);Yua(P);Ava(J);R=U;S=T;break}Yua(c);B=0;T=Ia(40,h|0,144094,18)|0;U=B;B=0;do if(U&1)V=57;else{B=0;W=ya(427,k[a+12>>2]|0)|0;X=B;B=0;if(X&1){V=57;break}X=Lta(W)|0;B=0;Y=Ia(40,T|0,W|0,X|0)|0;X=B;B=0;if(X&1){V=57;break}B=0;Ia(40,Y|0,149177,1)|0;Y=B;B=0;if(Y&1){V=57;break}B=0;wa(510,i|0,J|0);Y=B;B=0;if(Y&1){V=57;break}B=0;ya(424,i|0)|0;Y=B;B=0;if(Y&1){Y=Rb()|0;X=Q;Yua(i);Z=X;_=Y;break}Yua(i);k[h>>2]=27468;k[I>>2]=27488;k[J>>2]=27560;Yua(P);Ava(J);vva(I);Ala(k[a+16>>2]|0);Ala(k[a+20>>2]|0);Ala(k[a+24>>2]|0);Y=j+56|0;X=j+4|0;k[j>>2]=27524;k[Y>>2]=27544;B=0;wa(508,j+56|0,X|0);W=B;B=0;if(W&1){W=Rb()|0;$=Q;aa=W;vva(Y);Qb(aa|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[Y>>2]=27488;B=0;va(448,X|0);W=B;B=0;do if(W&1){ba=Rb()|0;ca=Q;da=ba}else{k[X>>2]=27560;ba=j+36|0;k[ba>>2]=0;k[ba+4>>2]=0;k[ba+8>>2]=0;k[ba+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,X|0,c|0);ea=B;B=0;if(ea&1){ea=Rb()|0;fa=Q;Yua(c);Yua(ba);Ava(X);ca=fa;da=ea;break}Yua(c);B=0;Ia(40,j|0,144113,14)|0;ea=B;B=0;do if(!(ea&1)){B=0;wa(510,l|0,X|0);fa=B;B=0;if(fa&1){V=60;break}B=0;ya(424,l|0)|0;fa=B;B=0;if(fa&1){fa=Rb()|0;ga=Q;Yua(l);ha=ga;ia=fa;break}else{Yua(l);k[j>>2]=27468;k[Y>>2]=27488;k[X>>2]=27560;Yua(ba);Ava(X);vva(Y);$N(k[a+40>>2]|0)}}else V=60;while(0);if((V|0)==60){ea=Rb()|0;ha=Q;ia=ea}k[j>>2]=27468;k[Y>>2]=27488;k[X>>2]=27560;Yua(ba);Ava(X);vva(Y);ja=ha;ka=ia;Qb(ka|0)}while(0);$=ca;aa=da;vva(Y);Qb(aa|0)}while(0);if((V|0)==57){T=Rb()|0;Z=Q;_=T}k[h>>2]=27468;k[I>>2]=27488;k[J>>2]=27560;Yua(P);Ava(J);vva(I);ja=Z;ka=_;Qb(ka|0)}while(0);N=R;O=S;vva(I);Qb(O|0)}else V=54;while(0);if((V|0)==54){G=Rb()|0;K=Q;L=G}k[f>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(D);Ava(w);vva(v);ja=K;ka=L;Qb(ka|0)}while(0);A=E;C=F;vva(v);Qb(C|0)}else V=51;while(0);if((V|0)==51){u=Rb()|0;x=Q;y=u}k[d>>2]=27468;k[b>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(b);ja=x;ka=y;Qb(ka|0)}while(0);o=s;p=t;vva(b);Qb(p|0)}function Jma(a){a=a|0;Ec[k[(k[a>>2]|0)+12>>2]&1023](a);return}function Kma(a){a=a|0;return k[a+8>>2]|0}function Lma(a){a=a|0;return 592}function Mma(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;e=a+16|0;Ela(k[e>>2]|0,d);d=a+20|0;Ela(k[d>>2]|0,b);b=a+24|0;Ela(k[b>>2]|0,f);f=Fla(k[e>>2]|0)|0;k[a+28>>2]=f;f=Fla(k[d>>2]|0)|0;k[a+32>>2]=f;f=Fla(k[b>>2]|0)|0;k[a+36>>2]=f;k[a+40>>2]=g;return}function Nma(a,b,c){a=a|0;b=b|0;c=c|0;return}function Oma(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;d=c;e=c+188|0;f=c+40|0;g=c+176|0;h=c+24|0;i=c+12|0;j=a+40|0;cO(k[j>>2]|0,e,477);if((k[e>>2]|0)==507){e=a+28|0;if(fo(k[e>>2]|0)|0){r=c;return}l=Qqa(24)|0;B=0;ua(166,l|0,e|0,1,k[j>>2]|0,534);j=B;B=0;if(j&1){j=Rb()|0;Sqa(l);Qb(j|0)}j=k[a+32>>2]|0;rd[k[(k[j>>2]|0)+144>>2]&511](j,d,k[e>>2]|0,171);p[k[l+4>>2]>>3]=+p[d>>3];TN(l,b);SN(l);Sqa(l);r=c;return}c=f+56|0;l=f+4|0;k[f>>2]=27524;k[c>>2]=27544;B=0;wa(508,f+56|0,l|0);b=B;B=0;if(b&1){b=Rb()|0;m=Q;n=b;vva(c);Qb(n|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[c>>2]=27488;B=0;va(448,l|0);b=B;B=0;do if(b&1){e=Rb()|0;o=Q;q=e}else{k[l>>2]=27560;e=f+36|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;k[f+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,l|0,d|0);j=B;B=0;if(j&1){j=Rb()|0;a=Q;Yua(d);Yua(e);Ava(l);o=a;q=j;break}Yua(d);B=0;j=Ia(40,f|0,143823,32)|0;a=B;B=0;if(!(a&1)?(B=0,Xa(239,j|0,0)|0,j=B,B=0,!(j&1)):0){j=Ab(20)|0;B=0;eb(502,g|0,143742,71);a=B;B=0;do if(!(a&1)){B=0;eb(502,h|0,144203,13);s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(g);u=t;v=s;break}B=0;wa(510,i|0,l|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,j|0,g|0,h|0,185,i|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,j|0,1240,229);B=0;z=0}s=Rb()|0;t=Q;Yua(i);w=t;x=s;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[c>>2]=27488;k[l>>2]=27560;Yua(e);Ava(l);vva(c);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(j|0);A=u;C=v;k[f>>2]=27468;k[c>>2]=27488;k[l>>2]=27560;Yua(e);Ava(l);vva(c);Qb(C|0)}a=Rb()|0;A=Q;C=a;k[f>>2]=27468;k[c>>2]=27488;k[l>>2]=27560;Yua(e);Ava(l);vva(c);Qb(C|0)}while(0);m=o;n=q;vva(c);Qb(n|0)}function Pma(a,b){a=a|0;b=b|0;var c=0;c=Rn(k[a+28>>2]|0)|0;k[b>>2]=c;return}function Qma(a,b){a=a|0;b=b|0;var c=0;c=Qn(k[a+28>>2]|0)|0;k[b>>2]=c;return}function Rma(a){a=a|0;return 1}function Sma(a,b){a=a|0;b=b|0;return (k[a+12>>2]|0)==(b|0)|0}function Tma(a){a=a|0;return 1}function Uma(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;return}function Vma(a,b,c){a=a|0;b=b|0;c=+c;return}function Wma(a){a=a|0;var b=0;b=a+28|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;Dla(k[a+16>>2]|0);Dla(k[a+20>>2]|0);Dla(k[a+24>>2]|0);return}function Xma(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return}function Yma(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0;g=r;r=r+192|0;j=g+176|0;l=g+40|0;m=g+24|0;n=g+12|0;o=g;p=a+28|0;a=e+(Rn(k[p>>2]|0)|0)|0;if(i[a>>0]|0){q=0;s=0;t=q&1;k[b>>2]=t;k[c>>2]=s;r=g;return}a=e+(Rn(k[p>>2]|0)|0)|0;i[a>>0]=1;a=0;while(1){e=f+(a<<2)|0;if((k[e>>2]|0)>-1)a=a+1|0;else{u=e;break}}a=Rn(k[p>>2]|0)|0;k[u>>2]=a;switch(h|0){case 937:{if(!(k[d+28>>2]|0)){q=0;s=0;t=q&1;k[b>>2]=t;k[c>>2]=s;r=g;return}h=(fo(k[p>>2]|0)|0)==0;q=h;s=h&1^1;t=q&1;k[b>>2]=t;k[c>>2]=s;r=g;return}case 943:{if(!(k[d+24>>2]|0)){q=0;s=0;t=q&1;k[b>>2]=t;k[c>>2]=s;r=g;return}h=(fo(k[p>>2]|0)|0)==0;q=h;s=h&1^1;t=q&1;k[b>>2]=t;k[c>>2]=s;r=g;return}case 966:{if(!(k[d+32>>2]|0)){q=0;s=0;t=q&1;k[b>>2]=t;k[c>>2]=s;r=g;return}d=(fo(k[p>>2]|0)|0)==0;q=d;s=d&1^1;t=q&1;k[b>>2]=t;k[c>>2]=s;r=g;return}default:{g=l+56|0;s=l+4|0;k[l>>2]=27524;k[g>>2]=27544;B=0;wa(508,l+56|0,s|0);c=B;B=0;if(c&1){c=Rb()|0;v=Q;w=c;vva(g);Qb(w|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[g>>2]=27488;B=0;va(448,s|0);c=B;B=0;do if(c&1){t=Rb()|0;x=Q;y=t}else{k[s>>2]=27560;t=l+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[l+52>>2]=16;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;B=0;wa(509,s|0,j|0);b=B;B=0;if(b&1){b=Rb()|0;q=Q;Yua(j);Yua(t);Ava(s);x=q;y=b;break}Yua(j);B=0;b=Ia(40,l|0,145010,13)|0;q=B;B=0;if(!(q&1)?(B=0,Xa(239,b|0,0)|0,b=B,B=0,!(b&1)):0){b=Ab(20)|0;B=0;eb(502,m|0,143742,71);q=B;B=0;do if(!(q&1)){B=0;eb(502,n|0,144217,23);d=B;B=0;if(d&1){d=Rb()|0;p=Q;Yua(m);z=p;A=d;break}B=0;wa(510,o|0,s|0);d=B;B=0;if(d&1){d=Rb()|0;C=Q;D=d;E=1}else{B=0;ua(163,b|0,m|0,n|0,296,o|0);d=B;B=0;if(d&1)F=1;else{B=0;eb(503,b|0,1240,229);B=0;F=0}d=Rb()|0;p=Q;Yua(o);C=p;D=d;E=F}Yua(n);Yua(m);if(E){z=C;A=D}else{G=C;H=D;k[l>>2]=27468;k[g>>2]=27488;k[s>>2]=27560;Yua(t);Ava(s);vva(g);Qb(H|0)}}else{d=Rb()|0;z=Q;A=d}while(0);zb(b|0);G=z;H=A;k[l>>2]=27468;k[g>>2]=27488;k[s>>2]=27560;Yua(t);Ava(s);vva(g);Qb(H|0)}q=Rb()|0;G=Q;H=q;k[l>>2]=27468;k[g>>2]=27488;k[s>>2]=27560;Yua(t);Ava(s);vva(g);Qb(H|0)}while(0);v=x;w=y;vva(g);Qb(w|0)}}}function Zma(a,b,c){a=a|0;b=+b;c=c|0;return}function _ma(a,b,c){a=a|0;b=+b;c=c|0;return}function $ma(a,b,c){a=a|0;b=b|0;c=c|0;return}function ana(a,b,c){a=a|0;b=b|0;c=c|0;return}function bna(a,b,c){a=a|0;b=b|0;c=c|0;return}function cna(a,b,c){a=a|0;b=b|0;c=c|0;return}function dna(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return}function ena(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return}function fna(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,143856,80);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,70,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function gna(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;b=r;r=r+192|0;a=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,h|0,a|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(a);Yua(m);Ava(h);n=q;o=p;break}Yua(a);B=0;p=Ia(40,d|0,144350,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,143856,80);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,144370,27);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,75,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(E|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function hna(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,143856,80);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144327,22);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,62,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function ina(a,b,c){a=a|0;b=b|0;c=c|0;hna(a+-4|0,b,c)}function jna(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;g=r;r=r+32|0;h=g+16|0;i=g+8|0;j=g;k[a>>2]=41216;k[a+4>>2]=41336;l=c*3|0;c=k[e+(l<<2)>>2]|0;k[i>>2]=c;m=k[e+(l+1<<2)>>2]|0;k[i+4>>2]=m;n=k[d+100>>2]|0;k[j>>2]=c+n;k[j+4>>2]=m+n;k[h>>2]=k[e+(l+2<<2)>>2];k[a+8>>2]=b;k[a+12>>2]=f;B=0;f=ya(423,16)|0;b=B;B=0;if(!(b&1)){B=0;eb(509,f|0,j|0,2);j=B;B=0;if(j&1){j=Rb()|0;b=Q;Sqa(f);o=b;p=j;Qb(p|0)}k[a+20>>2]=f;B=0;f=ya(423,16)|0;j=B;B=0;if(!(j&1)){B=0;eb(509,f|0,i|0,2);i=B;B=0;if(i&1){i=Rb()|0;j=Q;Sqa(f);o=j;p=i;Qb(p|0)}k[a+24>>2]=f;B=0;f=ya(423,16)|0;i=B;B=0;if(!(i&1)){B=0;eb(509,f|0,h|0,1);h=B;B=0;if(!(h&1)){k[a+16>>2]=f;k[a+40>>2]=0;k[a+28>>2]=0;k[a+36>>2]=0;r=g;return}g=Rb()|0;a=Q;Sqa(f);o=a;p=g;Qb(p|0)}}}g=Rb()|0;o=Q;p=g;Qb(p|0)}function kna(a){a=a|0;var b=0;k[a>>2]=41216;k[a+4>>2]=41336;k[a+40>>2]=0;b=k[a+16>>2]|0;if(b){yla(b);Sqa(b)}b=k[a+20>>2]|0;if(b){yla(b);Sqa(b)}b=k[a+24>>2]|0;if(!b)return;yla(b);Sqa(b);return}function lna(a){a=a|0;var b=0;k[a>>2]=41216;k[a+4>>2]=41336;k[a+40>>2]=0;b=k[a+16>>2]|0;if(b){yla(b);Sqa(b)}b=k[a+20>>2]|0;if(b){yla(b);Sqa(b)}b=k[a+24>>2]|0;if(!b){Sqa(a);return}yla(b);Sqa(b);Sqa(a);return}function mna(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;b=Qqa(44)|0;k[b>>2]=41216;k[b+4>>2]=41336;c=b+16|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[b+8>>2]=k[a+8>>2];k[b+12>>2]=k[a+12>>2];k[b+40>>2]=k[a+40>>2];d=Bla(k[a+20>>2]|0)|0;k[b+20>>2]=d;e=Bla(k[a+24>>2]|0)|0;k[b+24>>2]=e;f=Bla(k[a+16>>2]|0)|0;k[c>>2]=f;c=Gla(d)|0;k[b+36>>2]=c;c=Gla(e)|0;k[b+32>>2]=c;c=Fla(f)|0;k[b+28>>2]=c;return b|0}function nna(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;a:do switch(d|0){case 0:{n=k[b>>2]|0;i[n>>0]=78;i[n+1>>0]=2;i[n+2>>0]=0;i[n+3>>0]=0;n=(k[b>>2]|0)+4|0;k[b>>2]=n;o=a+8|0;p=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[n>>0]=p;i[n+1>>0]=p>>8;i[n+2>>0]=p>>16;i[n+3>>0]=p>>24;p=(k[b>>2]|0)+4|0;k[b>>2]=p;n=a+12|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[p>>0]=o;i[p+1>>0]=o>>8;i[p+2>>0]=o>>16;i[p+3>>0]=o>>24;k[b>>2]=(k[b>>2]|0)+4;break}case 2:{k[c>>2]=(k[c>>2]|0)+12;break}case 1:{o=(k[b>>2]|0)+4|0;k[b>>2]=o;p=a+8|0;n=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[p>>0]=n;i[p+1>>0]=n>>8;i[p+2>>0]=n>>16;i[p+3>>0]=n>>24;n=(k[b>>2]|0)+4|0;k[b>>2]=n;p=a+12|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[p>>0]=o;i[p+1>>0]=o>>8;i[p+2>>0]=o>>16;i[p+3>>0]=o>>24;k[b>>2]=(k[b>>2]|0)+4;o=Qqa(16)|0;B=0;va(489,o|0);p=B;B=0;if(p&1){p=Rb()|0;n=Q;Sqa(o);q=n;s=p;Qb(s|0)}k[a+20>>2]=o;o=Qqa(16)|0;B=0;va(489,o|0);p=B;B=0;if(p&1){p=Rb()|0;n=Q;Sqa(o);q=n;s=p;Qb(s|0)}k[a+24>>2]=o;o=Qqa(16)|0;B=0;va(489,o|0);p=B;B=0;if(!(p&1)){k[a+16>>2]=o;break a}p=Rb()|0;n=Q;Sqa(o);q=n;s=p;Qb(s|0);break}default:{p=g+56|0;n=g+4|0;k[g>>2]=27524;k[p>>2]=27544;B=0;wa(508,g+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;t=Q;u=o;vva(p);Qb(u|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[p>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){v=Rb()|0;w=Q;x=v}else{k[n>>2]=27560;v=g+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,n|0,f|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(f);Yua(v);Ava(n);w=z;x=y;break}Yua(f);B=0;y=Ia(40,g|0,143951,43)|0;z=B;B=0;b:do if(!(z&1)?(B=0,Xa(239,y|0,0)|0,A=B,B=0,!(A&1)):0){A=Ab(20)|0;B=0;eb(502,h|0,143995,76);C=B;B=0;do if(!(C&1)){B=0;eb(502,j|0,149525,8);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(h);F=E;G=D;break}B=0;wa(510,m|0,n|0);D=B;B=0;if(D&1){D=Rb()|0;H=D;I=Q;J=1}else{B=0;ua(163,A|0,h|0,j|0,108,m|0);D=B;B=0;if(D&1)K=1;else{B=0;eb(503,A|0,1240,229);B=0;K=0}D=Rb()|0;E=Q;Yua(m);H=D;I=E;J=K}Yua(j);Yua(h);if(J){F=I;G=H}else{L=I;M=H;break b}}else{E=Rb()|0;F=Q;G=E}while(0);zb(A|0);L=F;M=G}else N=17;while(0);if((N|0)==17){y=Rb()|0;L=Q;M=y}k[g>>2]=27468;k[p>>2]=27488;k[n>>2]=27560;Yua(v);Ava(n);vva(p);q=L;s=M;Qb(s|0)}while(0);t=w;u=x;vva(p);Qb(u|0)}}while(0);u=a+20|0;Cla(k[u>>2]|0,b,c,d);x=a+16|0;Cla(k[x>>2]|0,b,c,d);w=a+24|0;Cla(k[w>>2]|0,b,c,d);d=Gla(k[u>>2]|0)|0;k[a+36>>2]=d;d=Gla(k[w>>2]|0)|0;k[a+32>>2]=d;d=Fla(k[x>>2]|0)|0;k[a+28>>2]=d;r=e;return}function ona(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0;b=r;r=r+768|0;c=b+752|0;d=b+592|0;e=b+740|0;f=b+456|0;g=b+728|0;h=b+304|0;i=b+440|0;j=b+152|0;l=b+288|0;m=b+16|0;n=b;o=d+56|0;p=d+4|0;k[d>>2]=27524;k[o>>2]=27544;B=0;wa(508,d+56|0,p|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;t=q;vva(o);Qb(t|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[o>>2]=27488;B=0;va(448,p|0);q=B;B=0;do if(q&1){u=Rb()|0;v=Q;w=u}else{k[p>>2]=27560;u=d+36|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;k[u+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,p|0,c|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;Yua(c);Yua(u);Ava(p);v=y;w=x;break}Yua(c);B=0;Ia(40,d|0,144072,13)|0;x=B;B=0;do if(!(x&1)?(B=0,wa(510,e|0,p|0),y=B,B=0,!(y&1)):0){B=0;ya(424,e|0)|0;y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(e);A=z;C=y;break}Yua(e);k[d>>2]=27468;k[o>>2]=27488;k[p>>2]=27560;Yua(u);Ava(p);vva(o);y=f+56|0;z=f+4|0;k[f>>2]=27524;k[y>>2]=27544;B=0;wa(508,f+56|0,z|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;F=D;vva(y);Qb(F|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[y>>2]=27488;B=0;va(448,z|0);D=B;B=0;do if(D&1){G=Rb()|0;H=Q;I=G}else{k[z>>2]=27560;G=f+36|0;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;k[G+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,z|0,c|0);J=B;B=0;if(J&1){J=Rb()|0;K=Q;Yua(c);Yua(G);Ava(z);H=K;I=J;break}Yua(c);B=0;J=Ia(40,f|0,144086,7)|0;K=B;B=0;do if(((!(K&1)?(B=0,L=Xa(242,J|0,k[a+8>>2]|0)|0,M=B,B=0,!(M&1)):0)?(B=0,Ia(40,L|0,149177,1)|0,L=B,B=0,!(L&1)):0)?(B=0,wa(510,g|0,z|0),L=B,B=0,!(L&1)):0){B=0;ya(424,g|0)|0;L=B;B=0;if(L&1){L=Rb()|0;M=Q;Yua(g);N=M;O=L;break}Yua(g);k[f>>2]=27468;k[y>>2]=27488;k[z>>2]=27560;Yua(G);Ava(z);vva(y);L=h+56|0;M=h+4|0;k[h>>2]=27524;k[L>>2]=27544;B=0;wa(508,h+56|0,M|0);P=B;B=0;if(P&1){P=Rb()|0;R=Q;S=P;vva(L);Qb(S|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[L>>2]=27488;B=0;va(448,M|0);P=B;B=0;do if(P&1){T=Rb()|0;U=Q;V=T}else{k[M>>2]=27560;T=h+36|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;k[T+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,M|0,c|0);W=B;B=0;if(W&1){W=Rb()|0;X=Q;Yua(c);Yua(T);Ava(M);U=X;V=W;break}Yua(c);B=0;W=Ia(40,h|0,144094,18)|0;X=B;B=0;do if(X&1)Y=58;else{B=0;Z=ya(427,k[a+12>>2]|0)|0;_=B;B=0;if(_&1){Y=58;break}_=Lta(Z)|0;B=0;$=Ia(40,W|0,Z|0,_|0)|0;_=B;B=0;if(_&1){Y=58;break}B=0;Ia(40,$|0,149177,1)|0;$=B;B=0;if($&1){Y=58;break}B=0;wa(510,i|0,M|0);$=B;B=0;if($&1){Y=58;break}B=0;ya(424,i|0)|0;$=B;B=0;if($&1){$=Rb()|0;_=Q;Yua(i);aa=_;ba=$;break}Yua(i);k[h>>2]=27468;k[L>>2]=27488;k[M>>2]=27560;Yua(T);Ava(M);vva(L);Ala(k[a+20>>2]|0);Ala(k[a+24>>2]|0);Ala(k[a+16>>2]|0);$=j+56|0;_=j+4|0;k[j>>2]=27524;k[$>>2]=27544;B=0;wa(508,j+56|0,_|0);Z=B;B=0;if(Z&1){Z=Rb()|0;ca=Q;da=Z;vva($);Qb(da|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[$>>2]=27488;B=0;va(448,_|0);Z=B;B=0;do if(Z&1){ea=Rb()|0;fa=Q;ga=ea}else{k[_>>2]=27560;ea=j+36|0;k[ea>>2]=0;k[ea+4>>2]=0;k[ea+8>>2]=0;k[ea+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,_|0,c|0);ha=B;B=0;if(ha&1){ha=Rb()|0;ia=Q;Yua(c);Yua(ea);Ava(_);fa=ia;ga=ha;break}Yua(c);B=0;Ia(40,j|0,144113,14)|0;ha=B;B=0;do if(ha&1)Y=61;else{B=0;wa(510,l|0,_|0);ia=B;B=0;if(ia&1){Y=61;break}B=0;ya(424,l|0)|0;ia=B;B=0;if(ia&1){ia=Rb()|0;ja=Q;Yua(l);ka=ja;la=ia;break}Yua(l);k[j>>2]=27468;k[$>>2]=27488;k[_>>2]=27560;Yua(ea);Ava(_);vva($);ia=k[a+40>>2]|0;if(ia)$N(ia);ia=m+56|0;ja=m+4|0;k[m>>2]=27524;k[ia>>2]=27544;B=0;wa(508,m+56|0,ja|0);ma=B;B=0;if(ma&1){ma=Rb()|0;na=Q;oa=ma;vva(ia);Qb(oa|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[ia>>2]=27488;B=0;va(448,ja|0);ma=B;B=0;do if(ma&1){pa=Rb()|0;qa=Q;ra=pa}else{k[ja>>2]=27560;pa=m+36|0;k[pa>>2]=0;k[pa+4>>2]=0;k[pa+8>>2]=0;k[pa+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ja|0,c|0);sa=B;B=0;if(sa&1){sa=Rb()|0;ta=Q;Yua(c);Yua(pa);Ava(ja);qa=ta;ra=sa;break}Yua(c);B=0;Ia(40,m|0,144128,11)|0;sa=B;B=0;do if(!(sa&1)){B=0;wa(510,n|0,ja|0);ta=B;B=0;if(ta&1){Y=76;break}B=0;ya(424,n|0)|0;ta=B;B=0;if(ta&1){ta=Rb()|0;ua=Q;Yua(n);xa=ua;za=ta;break}else{Yua(n);k[m>>2]=27468;k[ia>>2]=27488;k[ja>>2]=27560;Yua(pa);Ava(ja);vva(ia);r=b;return}}else Y=76;while(0);if((Y|0)==76){sa=Rb()|0;xa=Q;za=sa}k[m>>2]=27468;k[ia>>2]=27488;k[ja>>2]=27560;Yua(pa);Ava(ja);vva(ia);Aa=xa;Ba=za;Qb(Ba|0)}while(0);na=qa;oa=ra;vva(ia);Qb(oa|0)}while(0);if((Y|0)==61){ha=Rb()|0;ka=Q;la=ha}k[j>>2]=27468;k[$>>2]=27488;k[_>>2]=27560;Yua(ea);Ava(_);vva($);Aa=ka;Ba=la;Qb(Ba|0)}while(0);ca=fa;da=ga;vva($);Qb(da|0)}while(0);if((Y|0)==58){W=Rb()|0;aa=Q;ba=W}k[h>>2]=27468;k[L>>2]=27488;k[M>>2]=27560;Yua(T);Ava(M);vva(L);Aa=aa;Ba=ba;Qb(Ba|0)}while(0);R=U;S=V;vva(L);Qb(S|0)}else Y=55;while(0);if((Y|0)==55){J=Rb()|0;N=Q;O=J}k[f>>2]=27468;k[y>>2]=27488;k[z>>2]=27560;Yua(G);Ava(z);vva(y);Aa=N;Ba=O;Qb(Ba|0)}while(0);E=H;F=I;vva(y);Qb(F|0)}else Y=52;while(0);if((Y|0)==52){x=Rb()|0;A=Q;C=x}k[d>>2]=27468;k[o>>2]=27488;k[p>>2]=27560;Yua(u);Ava(p);vva(o);Aa=A;Ba=C;Qb(Ba|0)}while(0);s=v;t=w;vva(o);Qb(t|0)}function pna(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0;b=r;r=r+624|0;c=b+604|0;d=b+456|0;e=b+592|0;f=b+304|0;g=b+440|0;h=b+152|0;i=b+288|0;j=b+16|0;l=b;m=d+56|0;n=d+4|0;k[d>>2]=27524;k[m>>2]=27544;B=0;wa(508,d+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;q=o;vva(m);Qb(q|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[m>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){s=Rb()|0;t=Q;u=s}else{k[n>>2]=27560;s=d+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,n|0,c|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(c);Yua(s);Ava(n);t=w;u=v;break}Yua(c);B=0;Ia(40,d|0,144072,13)|0;v=B;B=0;do if(!(v&1)?(B=0,wa(510,e|0,n|0),w=B,B=0,!(w&1)):0){B=0;ya(424,e|0)|0;w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(e);y=x;z=w;break}Yua(e);k[d>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);w=f+56|0;x=f+4|0;k[f>>2]=27524;k[w>>2]=27544;B=0;wa(508,f+56|0,x|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;D=A;vva(w);Qb(D|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[w>>2]=27488;B=0;va(448,x|0);A=B;B=0;do if(A&1){E=Rb()|0;F=Q;G=E}else{k[x>>2]=27560;E=f+36|0;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;k[E+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,x|0,c|0);H=B;B=0;if(H&1){H=Rb()|0;I=Q;Yua(c);Yua(E);Ava(x);F=I;G=H;break}Yua(c);B=0;H=Ia(40,f|0,144086,7)|0;I=B;B=0;do if(((!(I&1)?(B=0,J=Xa(242,H|0,k[a+8>>2]|0)|0,K=B,B=0,!(K&1)):0)?(B=0,Ia(40,J|0,149177,1)|0,J=B,B=0,!(J&1)):0)?(B=0,wa(510,g|0,x|0),J=B,B=0,!(J&1)):0){B=0;ya(424,g|0)|0;J=B;B=0;if(J&1){J=Rb()|0;K=Q;Yua(g);L=K;M=J;break}Yua(g);k[f>>2]=27468;k[w>>2]=27488;k[x>>2]=27560;Yua(E);Ava(x);vva(w);J=h+56|0;K=h+4|0;k[h>>2]=27524;k[J>>2]=27544;B=0;wa(508,h+56|0,K|0);N=B;B=0;if(N&1){N=Rb()|0;O=Q;P=N;vva(J);Qb(P|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[J>>2]=27488;B=0;va(448,K|0);N=B;B=0;do if(N&1){R=Rb()|0;S=Q;T=R}else{k[K>>2]=27560;R=h+36|0;k[R>>2]=0;k[R+4>>2]=0;k[R+8>>2]=0;k[R+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,K|0,c|0);U=B;B=0;if(U&1){U=Rb()|0;V=Q;Yua(c);Yua(R);Ava(K);S=V;T=U;break}Yua(c);B=0;U=Ia(40,h|0,144094,18)|0;V=B;B=0;do if(V&1)W=59;else{B=0;X=ya(427,k[a+12>>2]|0)|0;Y=B;B=0;if(Y&1){W=59;break}Y=Lta(X)|0;B=0;Z=Ia(40,U|0,X|0,Y|0)|0;Y=B;B=0;if(Y&1){W=59;break}B=0;Ia(40,Z|0,149177,1)|0;Z=B;B=0;if(Z&1){W=59;break}B=0;wa(510,i|0,K|0);Z=B;B=0;if(Z&1){W=59;break}B=0;ya(424,i|0)|0;Z=B;B=0;if(Z&1){Z=Rb()|0;Y=Q;Yua(i);_=Y;$=Z;break}Yua(i);k[h>>2]=27468;k[J>>2]=27488;k[K>>2]=27560;Yua(R);Ava(K);vva(J);zla(k[a+20>>2]|0);zla(k[a+24>>2]|0);zla(k[a+16>>2]|0);Z=j+56|0;Y=j+4|0;k[j>>2]=27524;k[Z>>2]=27544;B=0;wa(508,j+56|0,Y|0);X=B;B=0;if(X&1){X=Rb()|0;aa=Q;ba=X;vva(Z);Qb(ba|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[Z>>2]=27488;B=0;va(448,Y|0);X=B;B=0;do if(X&1){ca=Rb()|0;da=Q;ea=ca}else{k[Y>>2]=27560;ca=j+36|0;k[ca>>2]=0;k[ca+4>>2]=0;k[ca+8>>2]=0;k[ca+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Y|0,c|0);fa=B;B=0;if(fa&1){fa=Rb()|0;ga=Q;Yua(c);Yua(ca);Ava(Y);da=ga;ea=fa;break}Yua(c);B=0;fa=Ia(40,j|0,144140,15)|0;ga=B;B=0;do if(!(ga&1)){B=0;ha=Xa(245,fa|0,k[a+40>>2]|0)|0;ia=B;B=0;if(ia&1){W=62;break}B=0;Ia(40,ha|0,149177,1)|0;ha=B;B=0;if(ha&1){W=62;break}B=0;wa(510,l|0,Y|0);ha=B;B=0;if(ha&1){W=62;break}B=0;ya(424,l|0)|0;ha=B;B=0;if(ha&1){ha=Rb()|0;ia=Q;Yua(l);ja=ia;ka=ha;break}else{Yua(l);k[j>>2]=27468;k[Z>>2]=27488;k[Y>>2]=27560;Yua(ca);Ava(Y);vva(Z);r=b;return}}else W=62;while(0);if((W|0)==62){fa=Rb()|0;ja=Q;ka=fa}k[j>>2]=27468;k[Z>>2]=27488;k[Y>>2]=27560;Yua(ca);Ava(Y);vva(Z);la=ja;ma=ka;Qb(ma|0)}while(0);aa=da;ba=ea;vva(Z);Qb(ba|0)}while(0);if((W|0)==59){U=Rb()|0;_=Q;$=U}k[h>>2]=27468;k[J>>2]=27488;k[K>>2]=27560;Yua(R);Ava(K);vva(J);la=_;ma=$;Qb(ma|0)}while(0);O=S;P=T;vva(J);Qb(P|0)}else W=56;while(0);if((W|0)==56){H=Rb()|0;L=Q;M=H}k[f>>2]=27468;k[w>>2]=27488;k[x>>2]=27560;Yua(E);Ava(x);vva(w);la=L;ma=M;Qb(ma|0)}while(0);C=F;D=G;vva(w);Qb(D|0)}else W=53;while(0);if((W|0)==53){v=Rb()|0;y=Q;z=v}k[d>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);la=y;ma=z;Qb(ma|0)}while(0);p=t;q=u;vva(m);Qb(q|0)}function qna(a){a=a|0;return k[a+8>>2]|0}function rna(a){a=a|0;return 590}function sna(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;f=a+20|0;Ela(k[f>>2]|0,d);d=a+24|0;Ela(k[d>>2]|0,e);e=a+16|0;Ela(k[e>>2]|0,b);b=Gla(k[f>>2]|0)|0;k[a+36>>2]=b;b=Gla(k[d>>2]|0)|0;k[a+32>>2]=b;b=Fla(k[e>>2]|0)|0;k[a+28>>2]=b;k[a+40>>2]=g;return}function tna(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+180|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;cO(k[a+40>>2]|0,d,477);if((k[d>>2]|0)==507){r=c;return}c=e+56|0;a=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,a|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,a|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[a>>2]=27560;m=e+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[e+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,a|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(a);n=q;o=p;break}Yua(b);B=0;p=Ia(40,e|0,144156,9)|0;q=B;B=0;if((((((!(q&1)?(B=0,q=Xa(242,p|0,k[d>>2]|0)|0,p=B,B=0,!(p&1)):0)?(B=0,p=Ia(40,q|0,144166,2)|0,q=B,B=0,!(q&1)):0)?(B=0,q=ya(427,k[d>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,144169,19)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,f|0,143995,76);t=B;B=0;do if(!(t&1)){B=0;eb(502,g|0,144189,13);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(f);u=p;v=q;break}B=0;wa(510,h|0,a|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,f|0,g|0,196,h|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(h);w=p;x=q;y=z}Yua(g);Yua(f);if(y){u=w;v=x}else{A=w;C=x;k[e>>2]=27468;k[c>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[e>>2]=27468;k[c>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[e>>2]=27468;k[c>>2]=27488;k[a>>2]=27560;Yua(m);Ava(a);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function una(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;d=c+180|0;e=c+176|0;f=c+40|0;g=c+24|0;h=c+12|0;i=c;cO(k[a+40>>2]|0,e,477);if((k[e>>2]|0)==507){j=vna(a)|0;if(!j){r=c;return}TN(j,b);SN(j);Sqa(j);r=c;return}c=f+56|0;j=f+4|0;k[f>>2]=27524;k[c>>2]=27544;B=0;wa(508,f+56|0,j|0);b=B;B=0;if(b&1){b=Rb()|0;l=Q;m=b;vva(c);Qb(m|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[c>>2]=27488;B=0;va(448,j|0);b=B;B=0;do if(b&1){a=Rb()|0;n=Q;o=a}else{k[j>>2]=27560;a=f+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[f+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,j|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(a);Ava(j);n=q;o=p;break}Yua(d);B=0;p=Ia(40,f|0,144156,9)|0;q=B;B=0;if((((((!(q&1)?(B=0,q=Xa(242,p|0,k[e>>2]|0)|0,p=B,B=0,!(p&1)):0)?(B=0,p=Ia(40,q|0,144166,2)|0,q=B,B=0,!(q&1)):0)?(B=0,q=ya(427,k[e>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,144169,19)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,g|0,143995,76);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,144203,13);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(g);u=p;v=q;break}B=0;wa(510,i|0,j|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,g|0,h|0,219,i|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(i);w=p;x=q;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[c>>2]=27488;k[j>>2]=27560;Yua(a);Ava(j);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[f>>2]=27468;k[c>>2]=27488;k[j>>2]=27560;Yua(a);Ava(j);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[f>>2]=27468;k[c>>2]=27488;k[j>>2]=27560;Yua(a);Ava(j);vva(c);Qb(C|0)}while(0);l=n;m=o;vva(c);Qb(m|0)}function vna(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0;b=r;r=r+80|0;c=b+72|0;d=b+64|0;e=b+16|0;f=b;g=k[a+28>>2]|0;if(!($p(g)|0)){h=0;r=b;return h|0}if(_p(g)|0){h=0;r=b;return h|0}i=Qqa(24)|0;j=a+36|0;B=0;ua(166,i|0,k[j>>2]|0,2,k[a+40>>2]|0,534);l=B;B=0;if(l&1){l=Rb()|0;m=Q;Sqa(i);n=l;o=m;Qb(n|0)}Ko(e,k[a+32>>2]|0,2,0);a=oC(k[g+16>>2]|0,173)|0;m=ed[k[(k[g>>2]|0)+160>>2]&511](g,k[k[j>>2]>>2]|0)|0;l=ed[k[(k[g>>2]|0)+160>>2]&511](g,k[(k[j>>2]|0)+4>>2]|0)|0;j=Qqa(64)|0;B=0;ib(289,j|0,m|0,l|0,2);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Sqa(j);n=q;o=s;Qb(n|0)}n=Hc[k[(k[j>>2]|0)+8>>2]&511](j)|0;if((n|0)<(Hc[k[(k[j>>2]|0)+12>>2]&511](j)|0)){s=j+8|0;o=i+4|0;q=f+8|0;t=n;do{Fc[k[(k[j>>2]|0)+24>>2]&1023](j,t);yw(g,c,e,j);zw(g,f,j,m,l,Hc[k[(k[g>>2]|0)+112>>2]&511](g)|0);nd[k[(k[a>>2]|0)+48>>2]&1023](a,d,j);n=k[o>>2]|0;p[n>>3]=+p[s>>3]*+p[c>>3]*+p[d>>3]*+p[f>>3]+ +p[n>>3];u=n+8|0;p[u>>3]=+p[s>>3]*+p[c>>3]*+p[d>>3]*+p[q>>3]+ +p[u>>3];t=t+1|0}while((t|0)<(Hc[k[(k[j>>2]|0)+12>>2]&511](j)|0))}Ec[k[(k[j>>2]|0)+4>>2]&1023](j);h=i;r=b;return h|0}function wna(a,b){a=a|0;b=b|0;var c=0;c=a+36|0;a=Rn(k[k[c>>2]>>2]|0)|0;k[b>>2]=a;a=Rn(k[(k[c>>2]|0)+4>>2]|0)|0;k[b+4>>2]=a;return}function xna(a,b){a=a|0;b=b|0;var c=0;c=a+36|0;a=Qn(k[k[c>>2]>>2]|0)|0;k[b>>2]=a;a=Qn(k[(k[c>>2]|0)+4>>2]|0)|0;k[b+4>>2]=a;return}function yna(a){a=a|0;return 2}function zna(a,b){a=a|0;b=b|0;return (k[a+12>>2]|0)==(b|0)|0}function Ana(a){a=a|0;return 0}function Bna(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;return}function Cna(a,b,c){a=a|0;b=b|0;c=+c;return}function Dna(a){a=a|0;var b=0;b=a+28|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;Dla(k[a+20>>2]|0);Dla(k[a+24>>2]|0);Dla(k[a+16>>2]|0);return}function Ena(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return}function Fna(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0;g=r;r=r+192|0;d=g+176|0;j=g+40|0;l=g+24|0;m=g+12|0;n=g;if((Hc[k[(k[a>>2]|0)+56>>2]&511](a)|0)<=0){o=0;p=0;k[b>>2]=o;k[c>>2]=p;r=g;return}q=a+36|0;if((h|0)==937){s=0;t=0;u=0;while(1){v=e+(Rn(k[(k[q>>2]|0)+(t<<2)>>2]|0)|0)|0;do if(!(i[v>>0]|0)){w=e+(Rn(k[(k[q>>2]|0)+(t<<2)>>2]|0)|0)|0;i[w>>0]=1;w=0;while(1){x=f+(w<<2)|0;if((k[x>>2]|0)>-1)w=w+1|0;else{y=x;break}}w=Rn(k[(k[q>>2]|0)+(t<<2)>>2]|0)|0;k[y>>2]=w;w=k[(k[q>>2]|0)+(t<<2)>>2]|0;if(k[w+28>>2]|0)if(!(fo(w)|0)){z=s+1|0;A=u;break}else{z=s;A=u+1|0;break}else{z=s;A=u}}else{z=s;A=u}while(0);t=t+1|0;if((t|0)>=(Hc[k[(k[a>>2]|0)+56>>2]&511](a)|0)){o=z;p=A;break}else{s=z;u=A}}k[b>>2]=o;k[c>>2]=p;r=g;return}else{C=0;D=0;E=0}a:while(1){A=e+(Rn(k[(k[q>>2]|0)+(D<<2)>>2]|0)|0)|0;b:do if(!(i[A>>0]|0)){u=e+(Rn(k[(k[q>>2]|0)+(D<<2)>>2]|0)|0)|0;i[u>>0]=1;u=0;while(1){z=f+(u<<2)|0;if((k[z>>2]|0)>-1)u=u+1|0;else{F=z;break}}u=Rn(k[(k[q>>2]|0)+(D<<2)>>2]|0)|0;k[F>>2]=u;switch(h|0){case 966:{u=k[(k[q>>2]|0)+(D<<2)>>2]|0;if(!(k[u+32>>2]|0)){G=C;H=E;break b}if(!(fo(u)|0)){G=C+1|0;H=E;break b}else{G=C;H=E+1|0;break b}break}case 943:{u=k[(k[q>>2]|0)+(D<<2)>>2]|0;if(!(k[u+24>>2]|0)){G=C;H=E;break b}if(!(fo(u)|0)){G=C+1|0;H=E;break b}else{G=C;H=E+1|0;break b}break}default:break a}}else{G=C;H=E}while(0);D=D+1|0;if((D|0)>=(Hc[k[(k[a>>2]|0)+56>>2]&511](a)|0)){o=G;p=H;I=11;break}else{C=G;E=H}}if((I|0)==11){k[b>>2]=o;k[c>>2]=p;r=g;return}g=j+56|0;p=j+4|0;k[j>>2]=27524;k[g>>2]=27544;B=0;wa(508,j+56|0,p|0);c=B;B=0;if(c&1){c=Rb()|0;J=Q;K=c;vva(g);Qb(K|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[g>>2]=27488;B=0;va(448,p|0);c=B;B=0;do if(c&1){o=Rb()|0;L=Q;M=o}else{k[p>>2]=27560;o=j+36|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[o+12>>2]=0;k[j+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,p|0,d|0);b=B;B=0;if(b&1){b=Rb()|0;I=Q;Yua(d);Yua(o);Ava(p);L=I;M=b;break}Yua(d);B=0;b=Ia(40,j|0,145010,13)|0;I=B;B=0;if(!(I&1)?(B=0,Xa(239,b|0,0)|0,b=B,B=0,!(b&1)):0){b=Ab(20)|0;B=0;eb(502,l|0,143995,76);I=B;B=0;do if(!(I&1)){B=0;eb(502,m|0,144217,23);H=B;B=0;if(H&1){H=Rb()|0;E=Q;Yua(l);N=E;O=H;break}B=0;wa(510,n|0,p|0);H=B;B=0;if(H&1){H=Rb()|0;P=Q;R=H;S=1}else{B=0;ua(163,b|0,l|0,m|0,336,n|0);H=B;B=0;if(H&1)T=1;else{B=0;eb(503,b|0,1240,229);B=0;T=0}H=Rb()|0;E=Q;Yua(n);P=E;R=H;S=T}Yua(m);Yua(l);if(S){N=P;O=R}else{U=P;V=R;k[j>>2]=27468;k[g>>2]=27488;k[p>>2]=27560;Yua(o);Ava(p);vva(g);Qb(V|0)}}else{H=Rb()|0;N=Q;O=H}while(0);zb(b|0);U=N;V=O;k[j>>2]=27468;k[g>>2]=27488;k[p>>2]=27560;Yua(o);Ava(p);vva(g);Qb(V|0)}I=Rb()|0;U=Q;V=I;k[j>>2]=27468;k[g>>2]=27488;k[p>>2]=27560;Yua(o);Ava(p);vva(g);Qb(V|0)}while(0);J=L;K=M;vva(g);Qb(K|0)}function Gna(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,144241,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,59,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function Hna(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;b=r;r=r+192|0;a=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,h|0,a|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(a);Yua(m);Ava(h);n=q;o=p;break}Yua(a);B=0;p=Ia(40,d|0,144350,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,144241,85);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,144370,27);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,67,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(E|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function Ina(a,b,c){a=a|0;b=+b;c=c|0;return}function Jna(a,b,c){a=a|0;b=b|0;c=c|0;return}function Kna(a,b,c){a=a|0;b=b|0;c=c|0;return}function Lna(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,144241,85);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144327,22);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,52,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function Mna(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return}function Nna(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return}function Ona(a,b,c){a=a|0;b=+b;c=c|0;return}function Pna(a,b,c){a=a|0;b=b|0;c=c|0;return}function Qna(a,b,c){a=a|0;b=b|0;c=c|0;return}function Rna(a,b,c){a=a|0;b=b|0;c=c|0;Lna(a+-4|0,b,c)}function Sna(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0.0;d=c>>>0>536870911?-1:c<<3;e=Rqa(d)|0;k[a>>2]=e;e=Rqa(d)|0;k[b>>2]=e;if((c|0)>=8){b=Rqa(d)|0;f=Rqa(d)|0;p[b>>3]=0.0;p[f>>3]=2.0;WEa(b+8|0,0,(c<<3)+-8|0)|0;d=1;do{g=1.0/(4.0-1.0/+(ma(d,d)|0));p[f+(d<<3)>>3]=g;d=d+1|0}while((d|0)!=(c|0));Tna(k[a>>2]|0,e,c,b,f);Tqa(f);Tqa(b);return}if((c|0)<=0)return;b=c+-1|0;f=k[41356+(b<<2)>>2]|0;d=k[a>>2]|0;a=k[41384+(b<<2)>>2]|0;b=0;do{p[d+(b<<3)>>3]=+p[f+(b<<3)>>3];p[e+(b<<3)>>3]=+p[a+(b<<3)>>3];b=b+1|0}while((b|0)!=(c|0));return}function Tna(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0.0,D=0,E=0,F=0.0,G=0.0,H=0.0,I=0.0,J=0,K=0.0,L=0.0,M=0.0,N=0.0,O=0,P=0.0,R=0,S=0.0,T=0.0,U=0,V=0.0,W=0.0,X=0.0,Y=0.0,Z=0.0,_=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0;f=r;r=r+192|0;g=f+176|0;h=f+40|0;i=f+24|0;j=f+12|0;l=f;if((c|0)==1){p[a>>3]=+p[d>>3];p[b>>3]=+p[e>>3];r=f;return}m=Rqa(c>>>0>536870911?-1:c<<3)|0;p[a>>3]=+p[d>>3];p[b>>3]=1.0;n=c+-1|0;p[m+(n<<3)>>3]=0.0;o=(c|0)>1;if(o){q=1;do{p[a+(q<<3)>>3]=+p[d+(q<<3)>>3];s=+aa(+(+p[e+(q<<3)>>3]));p[m+(q+-1<<3)>>3]=s;p[b+(q<<3)>>3]=0.0;q=q+1|0}while((q|0)!=(c|0));q=(c|0)>0;a:do if(q){d=1;t=0;b:while(1){u=a+(t<<3)|0;v=t;t=t+1|0;w=a+(t<<3)|0;x=m+(v<<3)|0;y=0;while(1){z=v;while(1){if((z|0)>=(c|0)|(z|0)==(n|0)){A=z;break}s=+$(+(+p[m+(z<<3)>>3]));C=+$(+(+p[a+(z<<3)>>3]));D=z+1|0;if(!(s<=(C+ +$(+(+p[a+(D<<3)>>3])))*2.220446049250313e-16))z=D;else{A=z;break}}C=+p[u>>3];if((A|0)==(v|0)){E=y;break}y=y+1|0;s=+p[x>>3];F=(+p[w>>3]-C)/(s*2.0);G=+aa(+(F*F+1.0));H=+$(+G);G=+p[a+(A<<3)>>3]-C+s/(F+(F>=0.0?H:-H));if((A|0)>(v|0)){z=d+A|0;H=1.0;F=G;D=1;s=0.0;I=1.0;while(1){J=A-D|0;K=+p[m+(J<<3)>>3];L=I*K;M=H*K;if(!(+$(+L)>=+$(+F))){K=L/F;N=+aa(+(K*K+1.0));O=J+1|0;p[m+(O<<3)>>3]=F*N;P=1.0/N;R=O;S=P;T=K*P}else{P=F/L;K=+aa(+(P*P+1.0));O=J+1|0;p[m+(O<<3)>>3]=L*K;L=1.0/K;R=O;S=P*L;T=L}O=a+(R<<3)|0;L=+p[O>>3]-s;P=M*(S*2.0)+T*(+p[a+(J<<3)>>3]-L);K=T*P;p[O>>3]=L+K;L=S*P-M;O=b+(R<<3)|0;M=+p[O>>3];U=b+(J<<3)|0;P=+p[U>>3];p[O>>3]=S*M+T*P;p[U>>3]=S*P-T*M;D=D+1|0;if((D|0)==(z|0)){V=K;W=L;break}else{H=S;F=L;s=K;I=T}}X=+p[u>>3];Y=W;Z=V}else{X=C;Y=G;Z=0.0}p[u>>3]=X-Z;p[x>>3]=Y;p[m+(A<<3)>>3]=0.0;if((y|0)>=30)break b}if((E|0)>29)break;if((t|0)>=(c|0)){_=q;break a}else d=d+-1|0}Tqa(m);d=h+56|0;t=h+4|0;k[h>>2]=27524;k[d>>2]=27544;B=0;wa(508,h+56|0,t|0);y=B;B=0;if(y&1){y=Rb()|0;ba=Q;ca=y;vva(d);Qb(ca|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[d>>2]=27488;B=0;va(448,t|0);y=B;B=0;do if(y&1){x=Rb()|0;da=Q;ea=x}else{k[t>>2]=27560;x=h+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[h+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,t|0,g|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(g);Yua(x);Ava(t);da=v;ea=u;break}Yua(g);B=0;u=Ia(40,h|0,144419,30)|0;v=B;B=0;if((!(v&1)?(B=0,v=Xa(242,u|0,30)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,v|0,0)|0,v=B,B=0,!(v&1)):0){v=Ab(20)|0;B=0;eb(502,i|0,144450,78);u=B;B=0;do if(!(u&1)){B=0;eb(502,j|0,144529,10);w=B;B=0;if(w&1){w=Rb()|0;z=Q;Yua(i);fa=z;ga=w;break}B=0;wa(510,l|0,t|0);w=B;B=0;if(w&1){w=Rb()|0;ha=Q;ia=w;ja=1}else{B=0;ua(163,v|0,i|0,j|0,1662,l|0);w=B;B=0;if(w&1)ka=1;else{B=0;eb(503,v|0,1240,229);B=0;ka=0}w=Rb()|0;z=Q;Yua(l);ha=z;ia=w;ja=ka}Yua(j);Yua(i);if(ja){fa=ha;ga=ia}else{la=ha;ma=ia;k[h>>2]=27468;k[d>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(d);Qb(ma|0)}}else{w=Rb()|0;fa=Q;ga=w}while(0);zb(v|0);la=fa;ma=ga;k[h>>2]=27468;k[d>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(d);Qb(ma|0)}u=Rb()|0;la=Q;ma=u;k[h>>2]=27468;k[d>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(d);Qb(ma|0)}while(0);ba=da;ca=ea;vva(d);Qb(ca|0)}else _=0;while(0);if(o){o=0;do{ca=a+(o<<3)|0;Y=+p[ca>>3];ea=o;o=o+1|0;if((o|0)<(c|0)){da=o;ba=ea;Z=Y;while(1){X=+p[a+(da<<3)>>3];ma=X<Z;h=ma?da:ba;da=da+1|0;if((da|0)==(c|0)){na=h;break}else{ba=h;Z=ma?X:Z}}if((na|0)>(ea|0)){ba=a+(na<<3)|0;p[ca>>3]=+p[ba>>3];p[ba>>3]=Y;ba=b+(ea<<3)|0;Z=+p[ba>>3];da=b+(na<<3)|0;p[ba>>3]=+p[da>>3];p[da>>3]=Z}}}while((o|0)!=(n|0))}if(_){_=0;do{n=b+(_<<3)|0;Z=+p[n>>3];p[n>>3]=Z*(+p[e>>3]*Z);_=_+1|0}while((_|0)!=(c|0))}}Tqa(m);r=f;return}function Una(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0;g=r;r=r+16|0;h=g+4|0;i=g;k[h>>2]=0;k[i>>2]=0;if((f|0)<21){j=f+-1|0;l=k[41412+(j<<2)>>2]|0;k[a>>2]=l;m=l>>>0>536870911?-1:l<<3;n=Rqa(m)|0;k[b>>2]=n;n=Rqa(m)|0;k[c>>2]=n;n=Rqa(m)|0;k[d>>2]=n;n=Rqa(m)|0;k[e>>2]=n;m=k[41492+(j<<2)>>2]|0;o=k[b>>2]|0;q=k[41572+(j<<2)>>2]|0;s=k[c>>2]|0;t=k[41652+(j<<2)>>2]|0;u=k[d>>2]|0;v=k[41732+(j<<2)>>2]|0;j=0;do{p[o+(j<<3)>>3]=+p[m+(j<<3)>>3];p[s+(j<<3)>>3]=+p[q+(j<<3)>>3];p[u+(j<<3)>>3]=+p[t+(j<<3)>>3];p[n+(j<<3)>>3]=+p[v+(j<<3)>>3];j=j+1|0}while((j|0)<(l|0));r=g;return}l=(f|0)/2|0;f=l+1|0;j=ma(f,f)|0;k[a>>2]=j;a=j>>>0>536870911?-1:j<<3;j=Rqa(a)|0;k[b>>2]=j;j=Rqa(a)|0;k[c>>2]=j;j=Rqa(a)|0;k[d>>2]=j;j=Rqa(a)|0;k[e>>2]=j;Sna(h,i,f);f=k[h>>2]|0;j=k[i>>2]|0;a=k[e>>2]|0;e=k[b>>2]|0;b=k[c>>2]|0;c=k[d>>2]|0;d=0;v=0;while(1){n=f+(v<<3)|0;t=j+(v<<3)|0;u=0;q=d;while(1){w=+p[n>>3];x=1.0-w;y=x*.5*+p[f+(u<<3)>>3];p[a+(q<<3)>>3]=x*.4330127018922193*(+p[j+(u<<3)>>3]*+p[t>>3]);x=(w+1.0)*.8660254037844386/1.7320508075688772;p[e+(q<<3)>>3]=(1.0-y-x)*.5;p[b+(q<<3)>>3]=(y+1.0-x)*.5;p[c+(q<<3)>>3]=x;s=q+1|0;if((u|0)<(l|0)){u=u+1|0;q=s}else{z=s;break}}if((v|0)<(l|0)){d=z;v=v+1|0}else break}Tqa(j);k[i>>2]=0;Tqa(f);k[h>>2]=0;r=g;return}function Vna(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0,G=0;h=r;r=r+16|0;i=h+4|0;j=h;k[i>>2]=0;k[j>>2]=0;if((g|0)<7){l=g+-1|0;m=k[41812+(l<<2)>>2]|0;k[a>>2]=m;n=m>>>0>536870911?-1:m<<3;o=Rqa(n)|0;k[b>>2]=o;o=Rqa(n)|0;k[c>>2]=o;o=Rqa(n)|0;k[d>>2]=o;o=Rqa(n)|0;k[e>>2]=o;o=Rqa(n)|0;k[f>>2]=o;n=k[41836+(l<<2)>>2]|0;q=k[b>>2]|0;s=k[41860+(l<<2)>>2]|0;t=k[c>>2]|0;u=k[41884+(l<<2)>>2]|0;v=k[d>>2]|0;w=k[41908+(l<<2)>>2]|0;x=k[e>>2]|0;y=k[41932+(l<<2)>>2]|0;l=0;do{p[q+(l<<3)>>3]=+p[n+(l<<3)>>3];p[t+(l<<3)>>3]=+p[s+(l<<3)>>3];p[v+(l<<3)>>3]=+p[u+(l<<3)>>3];p[x+(l<<3)>>3]=+p[w+(l<<3)>>3];p[o+(l<<3)>>3]=+p[y+(l<<3)>>3];l=l+1|0}while((l|0)<(m|0));r=h;return}m=(g|0)/2|0;g=m+1|0;l=ma(ma(g,g)|0,g)|0;k[a>>2]=l;a=l>>>0>536870911?-1:l<<3;l=Rqa(a)|0;k[b>>2]=l;l=Rqa(a)|0;k[c>>2]=l;l=Rqa(a)|0;k[d>>2]=l;l=Rqa(a)|0;k[e>>2]=l;l=Rqa(a)|0;k[f>>2]=l;Sna(i,j,g);g=k[i>>2]|0;l=k[j>>2]|0;a=k[f>>2]|0;f=k[b>>2]|0;b=k[c>>2]|0;c=k[d>>2]|0;d=k[e>>2]|0;e=0;y=0;while(1){o=g+(y<<3)|0;w=l+(y<<3)|0;x=e;u=0;while(1){v=g+(u<<3)|0;s=l+(u<<3)|0;t=0;n=x;while(1){z=+p[v>>3];A=1.0-z;B=+p[o>>3];C=1.0-B;D=A*.25*C*+p[g+(t<<3)>>3];E=z*3.0;z=(E+5.0-B-E*B)*.14433756729740646;E=(B+1.0)*.816496580927726;p[a+(n<<3)>>3]=A*.08838834764831845*(C*C)*(+p[l+(t<<3)>>3]*+p[s>>3]*+p[w>>3]);C=z/1.7320508075688772;A=E/2.449489742783178;p[f+(n<<3)>>3]=(1.0-D-C-A)*.5;p[b+(n<<3)>>3]=(D+1.0-C-A)*.5;A=E/2.8284271247461903;p[c+(n<<3)>>3]=(z-A)/1.7320508075688772;p[d+(n<<3)>>3]=A*1.7320508075688772;q=n+1|0;if((t|0)<(m|0)){t=t+1|0;n=q}else{F=q;break}}if((u|0)<(m|0)){x=F;u=u+1|0}else{G=F;break}}if((y|0)<(m|0)){e=G;y=y+1|0}else break}Tqa(l);k[j>>2]=0;Tqa(g);k[i>>2]=0;r=h;return}function Wna(a,b,c,d,e,f){a=a|0;b=+b;c=+c;d=+d;e=+e;f=+f;var g=0.0,h=0.0,i=0.0,j=0,k=0.0,l=0.0,m=0.0,n=0.0;if(d==0.0){g=0.0;p[a>>3]=g;return 0}h=(e+1.0)/e+-1.0;e=h*b*2.302585092994046;i=c*2.302585092994046;j=0;k=+psa(f);while(1){f=+ba(10.0,+k);l=+ba(+f,+h);m=k-(f*c+l*b-d)/(i*f+e*l);if(+$(+(m-k))/+$(+m)<1.0e-12){n=m;break}if((j|0)>49){n=m;break}else{j=j+1|0;k=m}}g=+ba(10.0,+(n>50.0?50.0:n));p[a>>3]=g;return 0}function Xna(a){a=+a;var b=0.0,c=0.0;b=a+-273.15;do if(!(b<=-45.0)){if(b>=-45.0&b<=-40.0){a=b+45.0;c=a*a*.007395902726819-+ba(+a,3.0)*.000396645116301-a*.253161292268336+5.772078366321591;break}if(b>=-40.0&b<=-35.0){a=b+40.0;c=a*a*.001446225982305+ +ba(+a,3.0)*.000408322072669-a*.208950648722716+4.641588833612773;break}if(b>=-35.0&b<=-30.0){a=b+35.0;c=a*a*.007571057072334-+ba(+a,3.0)*.000423888728124-a*.163864233449525+3.684031498640382;break}if(b>=-30.0&b<=-25.0){a=b+30.0;c=a*a*.001212726150476+ +ba(+a,3.0)*.000147154327025-a*.119945317335478+3.001000667185614;break}if(b>=-25.0&b<=-20.0){a=b+25.0;c=a*a*.003420041055847-+ba(+a,3.0)*.000193435838672-a*.096781481303861+2.44998652514822;break}if(b>=-20.0&b<=-15.0){a=b+20.0;c=a*a*.000518503475772+ +ba(+a,3.0)*.000219771255067-a*.077088758645767+2.027400665191131;break}if(b>=-15.0&b<=-10.0){a=b+15.0;c=a*a*.003815072301777-+ba(+a,3.0)*.000653438900191-a*.055420879758021+1.682390865739973;break}if(b>=-10.0&b<=-5.0){a=b+10.0;c=+ba(+a,3.0)*.000692439419762-a*a*.005986511201093-a*.066278074254598+1.418983411970382;break}if(b>=-5.0&b<=-2.0){a=b+5.0;c=a*a*.004400080095332-+ba(+a,3.0)*.00013228200411-a*.074210229783403+1.024485188140279;break}else{a=b+2.0;c=a*a*.003209542058346-+ba(+a,3.0)*.00013228200411-a*.051381363322371+.837883605537096;break}}else{a=b+50.0;c=a*a*.013345579471334-+ba(+a,3.0)*.000396645116301-a*.356868703259105+7.272363035371383}while(0);b=c*1.0e8;return +(b<0.0?1.0e6:b)}function Yna(a,b,c){a=+a;b=+b;c=+c;var d=0.0;d=+Xna(a);return +(d*+ba(+(+LY(0.0,+KY(.01,b))*181.25+1.0),+(-1.0/c)))}function Zna(a){a=+a;var b=0.0,c=0.0;b=a+-273.15;do if(!(b<=-45.0)){if(b>=-45.0&b<=-40.0){a=b+45.0;c=a*a*.007279645014004-+ba(+a,3.0)*.000292866376675-a*.230243014094813+5.154964909039554;break}if(b>=-40.0&b<=-35.0){a=b+40.0;c=a*a*.002886649363879+ +ba(+a,3.0)*.000072737147457-a*.179411542205399+4.149132666831214;break}if(b>=-35.0&b<=-30.0){a=b+35.0;c=a*a*.003977706575736-+ba(+a,3.0)*.000086144770023-a*.145089762507325+3.333333333333331;break}if(b>=-30.0&b<=-25.0){a=b+30.0;c=a*a*.002685535025386-+ba(+a,3.0)*.000043984685769-a*.111773554501713+2.696559088937191;break}if(b>=-25.0&b<=-20.0){a=b+25.0;c=a*a*.002025764738854-+ba(+a,3.0)*.000029799523463-a*.088217055680511+2.199331606342181;break}if(b>=-20.0&b<=-15.0){a=b+20.0;c=a*a*.00157877188691+ +ba(+a,3.0)*.000136920904777-a*.07019437255169+1.805165505978111;break}if(b>=-15.0&b<=-10.0){a=b+15.0;c=a*a*.003632585458564-+ba(+a,3.0)*.000899763781026-a*.044137585824322+1.510778053489523;break}if(b>=-10.0&b<=-5.0){a=b+10.0;c=+ba(+a,3.0)*.00167696432507-a*a*.009863871256831-a*.075294014815659+1.268434288203714;break}if(b>=-5.0&b<=-2.0){a=b+5.0;c=a*a*.015290593619213-+ba(+a,3.0)*.003748937622487-a*.048160403003748+.854987973338348;break}else{a=b+2.0;c=+ba(+a,3.0)*-.003748937622488-a*a*.018449844983174-a*.057638157095631+.74690079109286;break}}else{a=b+50.0;c=a*a*.01167264066413-+ba(+a,3.0)*.000292866376675-a*.325004442485481+6.524779401948101}while(0);b=c*1.0e8;return +(b<0.0?1.0e6:b)}function _na(a,b,c){a=+a;b=+b;c=+c;var d=0.0,e=0.0;d=a-b*.000866;b=d*8.314;if(d<263.15)e=+ja(+(-6.0e4/b))*3.61e-13;else e=+ja(+(-139.0e3/b))*1730.0;return +(+ba(+e,+(-1.0/c)))}function $na(a,b,c,d,e,f,g){a=+a;b=+b;c=+c;d=+d;e=+e;f=+f;g=+g;var h=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0;h=b*d;d=(273.15-h-e)*f;if(d>a){b=h+(a/f+e);e=b*8.314;if(!(b<=263.15)){i=e;j=0.0;k=6}else{l=+ja(+(-6.0e4/e))*3.61e-13;m=0.0}}else{e=(a-d)/g;if(e>.01){i=2270.9691;j=.01;k=6}else{i=2270.9691;j=e;k=6}}if((k|0)==6){l=+ja(+(-139.0e3/i))*1730.0;m=j}return +(+ba(+(l*(m*181.25+1.0)),+(-1.0/c)))}function aoa(a,b){a=+a;b=+b;var c=0.0,d=0,e=0.0,f=0.0;do if(!(a<=.01)){if(!(!(a>.01)|!(a<=.02))){c=(a+-.01)*1.5854895991882293e-08+0.0;break}if(!(a>.02)|!(a<=.03))c=1.5854895991882295e-09;else c=(a+-.02)*1.4269406392694067e-07+1.5854895991882293e-10}else c=0.0;while(0);d=a>.01;if(b==0.0){e=c*31536.0e3;return +(d&a-e<.01?a+-.01:e)}if(!d){f=c;return +f}if(!(a-c*b<.01)){f=c;return +f}f=(a+-.01)/b;return +f}function boa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;c=r;r=r+16|0;d=c+4|0;e=c;iZ(b,e)|0;jZ(b,d)|0;b=k[d>>2]|0;d=Rqa(b>>>0>1073741823?-1:b<<2)|0;f=~~+_(+(+(a|0)/+(b|0)));if((b|0)>0){g=0;do{k[d+(g<<2)>>2]=f;g=g+1|0}while((g|0)<(b|0))}g=a-(ma(f,b)|0)|0;if((g|0)>0)h=0;else{i=k[e>>2]|0;j=d+(i<<2)|0;l=k[j>>2]|0;Tqa(d);r=c;return l|0}do{b=d+(h<<2)|0;k[b>>2]=(k[b>>2]|0)+1;h=h+1|0}while((h|0)!=(g|0));i=k[e>>2]|0;j=d+(i<<2)|0;l=k[j>>2]|0;Tqa(d);r=c;return l|0}function coa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;e=r;r=r+16|0;f=e+4|0;g=e+8|0;h=e;k[f>>2]=c;jZ(d,h)|0;iZ(d,g)|0;c=k[h>>2]|0;h=Rqa(c>>>0>1073741823?-1:c<<2)|0;dZ(f,1,4,h,1,4,d)|0;d=k[h>>2]|0;f=k[g>>2]|0;if((f|0)<1){i=0;j=d;k[a>>2]=i;k[b>>2]=j;Tqa(h);r=e;return}else{l=d;m=1;n=0;o=d}while(1){d=l+n|0;l=k[h+(m<<2)>>2]|0;g=l+o|0;if((m|0)>=(f|0)){i=d;j=g;break}else{m=m+1|0;n=d;o=g}}k[a>>2]=i;k[b>>2]=j;Tqa(h);r=e;return}function doa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;b=r;r=r+368|0;c=b+344|0;d=b+208|0;e=b+196|0;f=b+184|0;g=b+36|0;h=b+48|0;j=b+24|0;l=b+12|0;m=b;n=a+76|0;if(k[n>>2]|0){r=b;return}o=k[a+52>>2]|0;if((o|0)<3){p=d+56|0;q=d+4|0;k[d>>2]=27524;k[p>>2]=27544;B=0;wa(508,d+56|0,q|0);s=B;B=0;if(s&1){s=Rb()|0;t=Q;u=s;vva(p);Qb(u|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[p>>2]=27488;B=0;va(448,q|0);s=B;B=0;do if(s&1){v=Rb()|0;w=Q;x=v}else{k[q>>2]=27560;v=d+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,q|0,c|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(c);Yua(v);Ava(q);w=z;x=y;break}Yua(c);B=0;y=Ia(40,d|0,150121,27)|0;z=B;B=0;a:do if(!(z&1)?(B=0,Xa(239,y|0,0)|0,A=B,B=0,!(A&1)):0){A=Ab(20)|0;B=0;eb(502,e|0,144540,86);C=B;B=0;do if(!(C&1)){B=0;eb(502,f|0,144627,11);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(e);F=E;G=D;break}B=0;wa(510,g|0,q|0);D=B;B=0;if(D&1){D=Rb()|0;H=D;I=Q;J=1}else{B=0;ua(163,A|0,e|0,f|0,15,g|0);D=B;B=0;if(D&1)K=1;else{B=0;eb(503,A|0,1240,229);B=0;K=0}D=Rb()|0;E=Q;Yua(g);H=D;I=E;J=K}Yua(f);Yua(e);if(J){F=I;G=H}else{L=H;M=I;break a}}else{E=Rb()|0;F=Q;G=E}while(0);zb(A|0);L=G;M=F}else N=18;while(0);if((N|0)==18){y=Rb()|0;L=y;M=Q}k[d>>2]=27468;k[p>>2]=27488;k[q>>2]=27560;Yua(v);Ava(q);vva(p);O=L;P=M;Qb(O|0)}while(0);t=w;u=x;vva(p);Qb(u|0)}switch(k[a+40>>2]|0){case 301:case 300:{u=k[a+56>>2]|0;p=u*3|0;x=u*12|0;w=Rqa(x>>>0>1073741823?-1:x<<2)|0;x=Rqa(p)|0;if((u|0)!=0?(WEa(x|0,0,p|0)|0,t=(u|0)>0,t):0){M=0;do{k[w+((M<<2|3)<<2)>>2]=-1;M=M+1|0}while((M|0)<(p|0));R=t}else R=0;t=Rqa(o>>>0>1073741823?-1:o<<2)|0;M=Rqa(p>>>0>1073741823?-1:p<<2)|0;if((o|0)>0)WEa(t|0,-1,((o|0)>1?o:1)<<2|0)|0;if(R){R=k[a+72>>2]|0;o=0;p=0;while(1){L=o*3|0;o=o+1|0;q=0;d=p;while(1){F=q+L|0;G=R+(F<<2)|0;I=k[G>>2]|0;H=k[R+(((q|0)==2?L:F+1|0)<<2)>>2]|0;F=(H|0)<(I|0);J=F?H:I;e=F?I:H;H=t+(J<<2)|0;I=k[H>>2]|0;b:do if((I|0)==-1)N=63;else{F=I;while(1){f=F<<2;if((k[w+((f|1)<<2)>>2]|0)==(e|0)){S=f;break}F=k[M+(F<<2)>>2]|0;if((F|0)==-1){N=63;break b}}k[w+((S|3)<<2)>>2]=o;T=d}while(0);if((N|0)==63){N=0;A=d<<2;k[w+(A<<2)>>2]=J;k[w+((A|1)<<2)>>2]=e;k[w+((A|2)<<2)>>2]=o;if((J|0)!=(k[G>>2]|0))i[x+d>>0]=1;k[M+(d<<2)>>2]=I;k[H>>2]=d;T=d+1|0}q=q+1|0;if((q|0)==3){U=T;break}else d=T}if((o|0)>=(u|0)){V=U;break}else p=U}}else V=0;Tqa(t);Tqa(M);M=V<<2;t=Rqa(M>>>0>1073741823?-1:M<<2)|0;if((V|0)>0){M=0;do{U=M<<2;p=k[w+(U<<2)>>2]|0;if(!(i[x+M>>0]|0)){k[t+(U<<2)>>2]=p;u=U|1;k[t+(u<<2)>>2]=k[w+(u<<2)>>2]}else{u=U|1;k[t+(U<<2)>>2]=k[w+(u<<2)>>2];k[t+(u<<2)>>2]=p}p=U|2;k[t+(p<<2)>>2]=k[w+(p<<2)>>2];p=U|3;k[t+(p<<2)>>2]=k[w+(p<<2)>>2];M=M+1|0}while((M|0)!=(V|0))}Tqa(w);Tqa(x);k[n>>2]=t;k[a+60>>2]=V;r=b;return}case 302:{eoa(a);r=b;return}default:{b=h+56|0;a=h+4|0;k[h>>2]=27524;k[b>>2]=27544;B=0;wa(508,h+56|0,a|0);V=B;B=0;if(V&1){V=Rb()|0;W=Q;X=V;vva(b);Qb(X|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[b>>2]=27488;B=0;va(448,a|0);V=B;B=0;do if(V&1){t=Rb()|0;Y=Q;Z=t}else{k[a>>2]=27560;t=h+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,a|0,c|0);n=B;B=0;if(n&1){n=Rb()|0;x=Q;Yua(c);Yua(t);Ava(a);Y=x;Z=n;break}Yua(c);B=0;n=Ia(40,h|0,150248,32)|0;x=B;B=0;c:do if(!(x&1)?(B=0,Xa(239,n|0,0)|0,w=B,B=0,!(w&1)):0){w=Ab(20)|0;B=0;eb(502,j|0,144540,86);M=B;B=0;do if(!(M&1)){B=0;eb(502,l|0,144627,11);p=B;B=0;if(p&1){p=Rb()|0;U=Q;Yua(j);_=p;$=U;break}B=0;wa(510,m|0,a|0);U=B;B=0;if(U&1){U=Rb()|0;aa=1;ba=U;ca=Q}else{B=0;ua(163,w|0,j|0,l|0,27,m|0);U=B;B=0;if(U&1)da=1;else{B=0;eb(503,w|0,1240,229);B=0;da=0}U=Rb()|0;p=Q;Yua(m);aa=da;ba=U;ca=p}Yua(l);Yua(j);if(aa){_=ba;$=ca}else{ea=ba;fa=ca;break c}}else{p=Rb()|0;_=p;$=Q}while(0);zb(w|0);ea=_;fa=$}else N=43;while(0);if((N|0)==43){n=Rb()|0;ea=n;fa=Q}k[h>>2]=27468;k[b>>2]=27488;k[a>>2]=27560;Yua(t);Ava(a);vva(b);O=ea;P=fa;Qb(O|0)}while(0);W=Y;X=Z;vva(b);Qb(X|0)}}}function eoa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;h=a+48|0;switch(k[h>>2]|0){case 625:{i=Rqa(100)|0;j=Rqa(20)|0;k[j>>2]=1;k[j+4>>2]=1;k[i>>2]=3;k[i+4>>2]=0;k[i+8>>2]=1;k[i+12>>2]=2;k[i+20>>2]=3;k[i+24>>2]=3;k[i+28>>2]=4;k[i+32>>2]=5;k[j+8>>2]=2;k[j+12>>2]=2;k[j+16>>2]=2;k[i+40>>2]=4;k[i+44>>2]=1;k[i+48>>2]=2;k[i+52>>2]=5;k[i+56>>2]=4;k[i+60>>2]=4;k[i+64>>2]=2;k[i+68>>2]=0;k[i+72>>2]=3;k[i+76>>2]=5;k[i+80>>2]=4;k[i+84>>2]=0;k[i+88>>2]=1;k[i+92>>2]=4;k[i+96>>2]=3;l=5;m=i;n=j;o=6;p=4;break}case 623:{j=Rqa(64)|0;i=Rqa(16)|0;k[i>>2]=1;k[i+4>>2]=1;k[i+8>>2]=1;k[i+12>>2]=1;k[j>>2]=3;k[j+4>>2]=0;k[j+8>>2]=1;k[j+12>>2]=2;k[j+16>>2]=3;k[j+20>>2]=0;k[j+24>>2]=3;k[j+28>>2]=1;k[j+32>>2]=3;k[j+36>>2]=1;k[j+40>>2]=3;k[j+44>>2]=2;k[j+48>>2]=3;k[j+52>>2]=0;k[j+56>>2]=2;k[j+60>>2]=3;l=4;m=j;n=i;o=4;p=3;break}default:{i=d+56|0;j=d+4|0;k[d>>2]=27524;k[i>>2]=27544;B=0;wa(508,d+56|0,j|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;t=q;vva(i);Qb(t|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[i>>2]=27488;B=0;va(448,j|0);q=B;B=0;do if(q&1){u=Rb()|0;v=Q;w=u}else{k[j>>2]=27560;u=d+36|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;k[u+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,j|0,c|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;Yua(c);Yua(u);Ava(j);v=y;w=x;break}Yua(c);B=0;x=Ia(40,d|0,144639,5)|0;y=B;B=0;if((((!(y&1)?(B=0,y=ya(427,k[h>>2]|0)|0,z=B,B=0,!(z&1)):0)?(z=Lta(y)|0,B=0,A=Ia(40,x|0,y|0,z|0)|0,z=B,B=0,!(z&1)):0)?(B=0,z=Ia(40,A|0,144645,14)|0,A=B,B=0,!(A&1)):0)?(B=0,Xa(239,z|0,0)|0,z=B,B=0,!(z&1)):0){z=Ab(20)|0;B=0;eb(502,e|0,144540,86);A=B;B=0;do if(!(A&1)){B=0;eb(502,f|0,144660,13);y=B;B=0;if(y&1){y=Rb()|0;x=Q;Yua(e);C=x;D=y;break}B=0;wa(510,g|0,j|0);y=B;B=0;if(y&1){y=Rb()|0;E=Q;F=y;G=1}else{B=0;ua(163,z|0,e|0,f|0,173,g|0);y=B;B=0;if(y&1)H=1;else{B=0;eb(503,z|0,1240,229);B=0;H=0}y=Rb()|0;x=Q;Yua(g);E=x;F=y;G=H}Yua(f);Yua(e);if(G){C=E;D=F}else{I=E;J=F;k[d>>2]=27468;k[i>>2]=27488;k[j>>2]=27560;Yua(u);Ava(j);vva(i);Qb(J|0)}}else{y=Rb()|0;C=Q;D=y}while(0);zb(z|0);I=C;J=D;k[d>>2]=27468;k[i>>2]=27488;k[j>>2]=27560;Yua(u);Ava(j);vva(i);Qb(J|0)}A=Rb()|0;I=Q;J=A;k[d>>2]=27468;k[i>>2]=27488;k[j>>2]=27560;Yua(u);Ava(j);vva(i);Qb(J|0)}while(0);s=v;t=w;vva(i);Qb(t|0)}}t=k[a+56>>2]|0;i=ma(t,l)|0;w=i>>>0>1073741823?-1:i<<2;v=Rqa(w)|0;s=p+4|0;J=ma(i,s)|0;j=Rqa(J>>>0>1073741823?-1:J<<2)|0;if((i|0)>0){J=0;do{d=j+((ma(J,s)|0)+1<<2)|0;k[d>>2]=-1;J=J+1|0}while((J|0)!=(i|0))}i=k[a+52>>2]|0;J=Rqa(i>>>0>1073741823?-1:i<<2)|0;d=Rqa(w)|0;if((i|0)>0)WEa(J|0,-1,((i|0)>1?i:1)<<2|0)|0;i=Rqa(p<<2)|0;if((t|0)>0){p=i+4|0;w=i+8|0;I=i+-4|0;D=a+72|0;C=0;F=0;while(1){E=ma(C,l)|0;G=ma(C,o)|0;C=C+1|0;e=0;f=F;while(1){H=ma(e,l)|0;g=k[m+(H<<2)>>2]|0;h=(g|0)>0;if(h){c=H+1|0;H=k[D>>2]|0;q=0;do{k[i+(q<<2)>>2]=(k[H+((k[m+(c+q<<2)>>2]|0)+G<<2)>>2]|0)+-1;q=q+1|0}while((q|0)!=(g|0));if((g|0)>=2){q=((g|0)/2|0)+1|0;c=g;a:while(1){if((q|0)<2){H=I+(c<<2)|0;A=k[H>>2]|0;y=c+-1|0;k[H>>2]=k[i>>2];if((y|0)==1){K=A;break}else{L=A;M=q;N=y}}else{y=q+-1|0;L=k[I+(y<<2)>>2]|0;M=y;N=c}y=M<<1;b:do if((y|0)>(N|0))O=M;else{A=y;H=M;while(1){if((A|0)<(N|0)){x=A|1;P=(k[I+(A<<2)>>2]|0)<(k[I+(x<<2)>>2]|0)?x:A}else P=A;x=k[I+(P<<2)>>2]|0;R=I+(H<<2)|0;if((L|0)>=(x|0)){S=R;break}k[R>>2]=x;A=P<<1;if((A|0)>(N|0)){O=P;break b}else H=P}k[S>>2]=L;q=M;c=N;continue a}while(0);k[I+(O<<2)>>2]=L;q=M;c=N}k[i>>2]=K;T=K}else U=41}else U=41;if((U|0)==41){U=0;T=k[i>>2]|0}c=J+(T<<2)|0;q=k[c>>2]|0;c:do if((q|0)==-1)U=60;else{y=(k[p>>2]|0)+1|0;H=q;while(1){A=ma(H,s)|0;if((k[j+(A+5<<2)>>2]|0)==(y|0)?(k[j+(A+6<<2)>>2]|0)==((k[w>>2]|0)+1|0):0){V=A;W=H;break}H=k[d+(H<<2)>>2]|0;if((H|0)==-1){U=60;break c}}k[j+(V+1<<2)>>2]=C;k[v+(e+E<<2)>>2]=W;X=f}while(0);if((U|0)==60){U=0;H=ma(f,s)|0;k[j+(H<<2)>>2]=C;k[j+(H+2<<2)>>2]=k[n+(e<<2)>>2];k[j+(H+3<<2)>>2]=g;if(h?(y=H+4|0,k[j+(H+4<<2)>>2]=T+1,(g|0)!=1):0){H=1;do{k[j+(y+H<<2)>>2]=(k[i+(H<<2)>>2]|0)+1;H=H+1|0}while((H|0)!=(g|0))}k[v+(e+E<<2)>>2]=f;k[d+(f<<2)>>2]=q;k[c>>2]=f;X=f+1|0}e=e+1|0;if((e|0)>=(l|0)){Y=X;break}else f=X}if((C|0)>=(t|0)){Z=Y;break}else F=Y}}else Z=0;Tqa(J);Tqa(d);Tqa(i);Tqa(m);Tqa(n);n=ma(Z,s)|0;m=Rqa(n>>>0>1073741823?-1:n<<2)|0;if(!n){Tqa(j);_=a+76|0;k[_>>2]=m;$=a+60|0;k[$>>2]=Z;aa=a+68|0;k[aa>>2]=s;ba=a+88|0;k[ba>>2]=v;r=b;return}TEa(m|0,j|0,n<<2|0)|0;Tqa(j);_=a+76|0;k[_>>2]=m;$=a+60|0;k[$>>2]=Z;aa=a+68|0;k[aa>>2]=s;ba=a+88|0;k[ba>>2]=v;r=b;return}function foa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;h=a+92|0;if(k[h>>2]|0){r=b;return}j=k[a+52>>2]|0;l=Rqa(j>>>0>1073741823?-1:j<<2)|0;if(j)WEa(l|0,0,j<<2|0)|0;switch(k[a+48>>2]|0){case 621:{m=3;break}case 625:{m=6;break}case 623:{m=4;break}default:{j=d+56|0;n=d+4|0;k[d>>2]=27524;k[j>>2]=27544;B=0;wa(508,d+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;q=o;vva(j);Qb(q|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[j>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){s=Rb()|0;t=Q;u=s}else{k[n>>2]=27560;s=d+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,n|0,c|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(c);Yua(s);Ava(n);t=w;u=v;break}Yua(c);B=0;v=Ia(40,d|0,144674,10)|0;w=B;B=0;if((((!(w&1)?(B=0,w=ya(427,k[a+40>>2]|0)|0,x=B,B=0,!(x&1)):0)?(x=Lta(w)|0,B=0,y=Ia(40,v|0,w|0,x|0)|0,x=B,B=0,!(x&1)):0)?(B=0,x=Ia(40,y|0,146481,18)|0,y=B,B=0,!(y&1)):0)?(B=0,Xa(239,x|0,0)|0,x=B,B=0,!(x&1)):0){x=Ab(20)|0;B=0;eb(502,e|0,144685,112);y=B;B=0;do if(!(y&1)){B=0;eb(502,f|0,144798,37);w=B;B=0;if(w&1){w=Rb()|0;v=Q;Yua(e);z=v;A=w;break}B=0;wa(510,g|0,n|0);w=B;B=0;if(w&1){w=Rb()|0;C=Q;D=w;E=1}else{B=0;ua(163,x|0,e|0,f|0,36,g|0);w=B;B=0;if(w&1)F=1;else{B=0;eb(503,x|0,1240,229);B=0;F=0}w=Rb()|0;v=Q;Yua(g);C=v;D=w;E=F}Yua(f);Yua(e);if(E){z=C;A=D}else{G=C;H=D;k[d>>2]=27468;k[j>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(j);Qb(H|0)}}else{w=Rb()|0;z=Q;A=w}while(0);zb(x|0);G=z;H=A;k[d>>2]=27468;k[j>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(j);Qb(H|0)}y=Rb()|0;G=Q;H=y;k[d>>2]=27468;k[j>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(j);Qb(H|0)}while(0);p=t;q=u;vva(j);Qb(q|0)}}q=k[a+56>>2]|0;if((q|0)>0){j=k[a+32>>2]|0;u=a+72|0;a=0;while(1){if(!(i[j+a>>0]|0))I=a+1|0;else{t=ma(a,m)|0;p=k[u>>2]|0;H=a+1|0;n=0;do{k[l+((k[p+(n+t<<2)>>2]|0)+-1<<2)>>2]=H;n=n+1|0}while((n|0)<(m|0));I=H}if((I|0)<(q|0))a=I;else break}}k[h>>2]=l;r=b;return}function goa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;h=a+96|0;if(k[h>>2]|0){r=b;return}i=k[a+52>>2]|0;j=Rqa(i>>>0>1073741823?-1:i<<2)|0;if(i)WEa(j|0,0,i<<2|0)|0;switch(k[a+48>>2]|0){case 621:{l=3;break}case 623:{l=4;break}case 625:{l=6;break}default:{i=d+56|0;m=d+4|0;k[d>>2]=27524;k[i>>2]=27544;B=0;wa(508,d+56|0,m|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;p=n;vva(i);Qb(p|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[i>>2]=27488;B=0;va(448,m|0);n=B;B=0;do if(n&1){q=Rb()|0;s=Q;t=q}else{k[m>>2]=27560;q=d+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,m|0,c|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(c);Yua(q);Ava(m);s=v;t=u;break}Yua(c);B=0;u=Ia(40,d|0,144836,22)|0;v=B;B=0;if(!(v&1)?(B=0,Xa(239,u|0,0)|0,u=B,B=0,!(u&1)):0){u=Ab(20)|0;B=0;eb(502,e|0,144859,112);v=B;B=0;do if(!(v&1)){B=0;eb(502,f|0,144972,37);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(e);y=x;z=w;break}B=0;wa(510,g|0,m|0);w=B;B=0;if(w&1){w=Rb()|0;A=Q;C=w;D=1}else{B=0;ua(163,u|0,e|0,f|0,42,g|0);w=B;B=0;if(w&1)E=1;else{B=0;eb(503,u|0,1240,229);B=0;E=0}w=Rb()|0;x=Q;Yua(g);A=x;C=w;D=E}Yua(f);Yua(e);if(D){y=A;z=C}else{F=A;G=C;k[d>>2]=27468;k[i>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(i);Qb(G|0)}}else{w=Rb()|0;y=Q;z=w}while(0);zb(u|0);F=y;G=z;k[d>>2]=27468;k[i>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(i);Qb(G|0)}v=Rb()|0;F=Q;G=v;k[d>>2]=27468;k[i>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(i);Qb(G|0)}while(0);o=s;p=t;vva(i);Qb(p|0)}}p=k[a+56>>2]|0;if((p|0)>0){i=k[a+72>>2]|0;a=0;do{t=ma(a,l)|0;s=0;do{o=j+((k[i+(s+t<<2)>>2]|0)+-1<<2)|0;k[o>>2]=(k[o>>2]|0)+1;s=s+1|0}while((s|0)<(l|0));a=a+1|0}while((a|0)<(p|0))}k[h>>2]=j;r=b;return}function hoa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0,ke=0,le=0,me=0,ne=0,oe=0,pe=0,qe=0,re=0,se=0,te=0,ue=0,ve=0,we=0,xe=0,ye=0,ze=0,Ae=0,Be=0,Ce=0,De=0,Ee=0,Fe=0,Ge=0,He=0,Ie=0,Je=0,Ke=0,Le=0,Me=0,Ne=0,Oe=0,Pe=0,Qe=0,Re=0,Se=0,Te=0,Ue=0,Ve=0,We=0,Xe=0,Ye=0,Ze=0,_e=0,$e=0,af=0,bf=0,cf=0,df=0,ef=0,ff=0,gf=0,hf=0,jf=0,kf=0,lf=0,mf=0,nf=0,of=0,pf=0,qf=0,rf=0,sf=0,tf=0,uf=0,vf=0,wf=0,xf=0,yf=0,zf=0,Af=0,Bf=0,Cf=0,Df=0,Ef=0,Ff=0,Gf=0,Hf=0,If=0,Jf=0,Kf=0,Lf=0,Mf=0,Nf=0,Of=0,Pf=0,Qf=0,Rf=0,Sf=0,Tf=0,Uf=0,Vf=0,Wf=0,Xf=0,Yf=0,Zf=0,_f=0,$f=0,ag=0,bg=0,cg=0,dg=0,eg=0,fg=0,gg=0,hg=0,ig=0,jg=0,kg=0,lg=0,mg=0,ng=0,og=0,pg=0,qg=0,rg=0,sg=0,tg=0,ug=0,vg=0,wg=0,xg=0,yg=0,zg=0,Ag=0,Bg=0,Cg=0,Dg=0,Eg=0,Fg=0,Gg=0,Hg=0,Ig=0,Jg=0,Kg=0,Lg=0,Mg=0,Ng=0,Og=0,Pg=0,Qg=0,Rg=0,Sg=0,Tg=0,Ug=0,Vg=0,Wg=0,Xg=0,Yg=0,Zg=0,_g=0,$g=0,ah=0,bh=0,ch=0,dh=0,eh=0,fh=0,gh=0,hh=0,jh=0,kh=0,lh=0,mh=0,nh=0,oh=0,ph=0,qh=0,rh=0,sh=0,th=0,uh=0,vh=0,wh=0,xh=0,yh=0,zh=0,Ah=0,Bh=0,Ch=0,Dh=0,Eh=0,Fh=0,Gh=0,Hh=0,Ih=0,Jh=0,Kh=0,Lh=0,Mh=0,Nh=0,Oh=0,Ph=0,Qh=0,Rh=0,Sh=0,Th=0,Uh=0,Vh=0,Wh=0,Xh=0,Yh=0,Zh=0,_h=0,$h=0,ai=0,bi=0,ci=0,di=0,ei=0,fi=0,gi=0,hi=0,ii=0,ji=0,ki=0,li=0,mi=0,ni=0,oi=0,pi=0,qi=0,ri=0,si=0,ti=0,ui=0,vi=0,wi=0,xi=0,yi=0,zi=0,Ai=0,Bi=0,Ci=0,Di=0,Ei=0,Fi=0,Gi=0,Hi=0,Ii=0,Ji=0,Ki=0,Li=0,Mi=0,Ni=0,Oi=0,Pi=0,Qi=0,Ri=0,Si=0;f=r;r=r+2112|0;g=f+2100|0;h=f+2024|0;j=f+2020|0;l=f+1992|0;m=f+1856|0;n=f+2088|0;o=f+2076|0;p=f+2064|0;q=f+1704|0;s=f+2052|0;t=f+2040|0;u=f+2028|0;v=f+1552|0;w=f+2008|0;x=f+1996|0;y=f+1840|0;z=f+1416|0;A=f+1688|0;C=f+1404|0;D=f+1392|0;E=f+1256|0;F=f+1104|0;G=f+952|0;H=f+800|0;I=f+1120|0;J=f+512|0;K=f+228|0;L=f+216|0;M=f+968|0;N=f+204|0;O=f+192|0;P=f+180|0;R=f+816|0;S=f+168|0;T=f+156|0;U=f+144|0;V=f+664|0;W=f+132|0;X=f+120|0;Y=f+108|0;Z=f+528|0;_=f+96|0;$=f+84|0;aa=f+72|0;ba=f+376|0;ca=f+60|0;da=f+48|0;ea=f+36|0;fa=f+240|0;ga=f+24|0;ha=f+12|0;ia=f;ja=b+100|0;ka=k[ja>>2]|0;k[h>>2]=0;k[j>>2]=0;k[l>>2]=0;a:do switch(d|0){case 738:{la=b+52|0;na=k[la>>2]|0;if((na|0)>0){oa=b+36|0;pa=ka+1|0;qa=na;na=0;ra=0;while(1){if(!(k[(k[oa>>2]|0)+(na<<2)>>2]|0)){sa=qa;ta=ra}else{xa=Qqa(144)|0;B=0;Ka(13,xa|0,pa+na|0,na|0,ra|0,na|0,b|0,c|0,e|0);za=B;B=0;if(za&1){Aa=xa;break}ih(a,xa)|0;sa=k[la>>2]|0;ta=ra+1|0}na=na+1|0;if((na|0)>=(sa|0))break a;else{qa=sa;ra=ta}}ra=Rb()|0;qa=Q;Sqa(Aa);Ba=qa;Ca=ra;Qb(Ca|0)}break}case 739:{jqa(l,k[b+32>>2]|0,k[b+36>>2]|0,b,0);ra=b+56|0;if((k[ra>>2]|0)>0){qa=b+72|0;na=0;la=0;while(1){pa=na*3|0;oa=pa+ka|0;xa=k[l>>2]|0;if(!(i[xa+pa>>0]|0)){Da=xa;Ea=la}else{xa=Qqa(144)|0;B=0;Ka(13,xa|0,oa+1|0,oa|0,la|0,(k[(k[qa>>2]|0)+(pa<<2)>>2]|0)+-1|0,b|0,c|0,e|0);za=B;B=0;if(za&1){Fa=xa;break}ih(a,xa)|0;Da=k[l>>2]|0;Ea=la+1|0}xa=pa+1|0;if(!(i[Da+xa>>0]|0)){Ga=Da;Ha=Ea}else{za=Qqa(144)|0;B=0;Ka(13,za|0,oa+2|0,oa+1|0,Ea|0,(k[(k[qa>>2]|0)+(xa<<2)>>2]|0)+-1|0,b|0,c|0,e|0);xa=B;B=0;if(xa&1){Fa=za;break}ih(a,za)|0;Ga=k[l>>2]|0;Ha=Ea+1|0}za=pa+2|0;if(!(i[Ga+za>>0]|0))Ja=Ha;else{pa=Qqa(144)|0;B=0;Ka(13,pa|0,oa+3|0,oa+2|0,Ha|0,(k[(k[qa>>2]|0)+(za<<2)>>2]|0)+-1|0,b|0,c|0,e|0);za=B;B=0;if(za&1){Fa=pa;break}ih(a,pa)|0;Ja=Ha+1|0}na=na+1|0;if((na|0)>=(k[ra>>2]|0))break a;else la=Ja}la=Rb()|0;ra=Q;Sqa(Fa);Ba=ra;Ca=la;Qb(Ca|0)}break}case 740:{la=b+52|0;ra=k[la>>2]|0;b:do if((ra|0)>0){na=b+36|0;qa=ka+1|0;pa=ra;za=0;oa=0;while(1){if(!(k[(k[na>>2]|0)+(za<<2)>>2]|0)){La=pa;Ma=oa}else{xa=Qqa(144)|0;B=0;Ka(13,xa|0,qa+za|0,za|0,oa|0,za|0,b|0,c|0,e|0);Na=B;B=0;if(Na&1){Oa=xa;break}ih(a,xa)|0;La=k[la>>2]|0;Ma=oa+1|0}za=za+1|0;if((za|0)>=(La|0)){Pa=Ma;break b}else{pa=La;oa=Ma}}oa=Rb()|0;pa=Q;Sqa(Oa);Ba=pa;Ca=oa;Qb(Ca|0)}else Pa=0;while(0);ra=b+56|0;oa=k[ra>>2]|0;if((oa|0)>0){pa=b+32|0;za=ka+1|0;qa=oa;oa=0;na=Pa;while(1){if(!(i[(k[pa>>2]|0)+oa>>0]|0)){Qa=qa;Ra=na}else{xa=Qqa(144)|0;Na=k[la>>2]|0;B=0;Ka(13,xa|0,za+oa+Na|0,Na+oa|0,na|0,0,b|0,c|0,e|0);Na=B;B=0;if(Na&1){Sa=xa;break}ih(a,xa)|0;Qa=k[ra>>2]|0;Ra=na+1|0}oa=oa+1|0;if((oa|0)>=(Qa|0))break a;else{qa=Qa;na=Ra}}na=Rb()|0;qa=Q;Sqa(Sa);Ba=qa;Ca=na;Qb(Ca|0)}break}case 741:{na=b+52|0;qa=k[na>>2]|0;c:do if((qa|0)>0){oa=b+36|0;ra=ka+1|0;za=qa;la=0;pa=0;while(1){if(!(k[(k[oa>>2]|0)+(la<<2)>>2]|0)){Ta=za;Ua=pa}else{xa=Qqa(144)|0;B=0;Ka(13,xa|0,ra+la|0,la|0,pa|0,la|0,b|0,c|0,e|0);Na=B;B=0;if(Na&1){Va=xa;break}ih(a,xa)|0;Ta=k[na>>2]|0;Ua=pa+1|0}la=la+1|0;if((la|0)>=(Ta|0)){Wa=Ua;break c}else{za=Ta;pa=Ua}}pa=Rb()|0;za=Q;Sqa(Va);Ba=za;Ca=pa;Qb(Ca|0)}else Wa=0;while(0);qa=b+56|0;pa=k[qa>>2]|0;if((pa|0)>0){za=b+32|0;la=ka+1|0;ra=pa;pa=0;oa=Wa;while(1){if(!(i[(k[za>>2]|0)+pa>>0]|0)){Ya=ra;Za=oa}else{xa=Qqa(144)|0;Na=k[na>>2]|0;B=0;Ka(13,xa|0,la+pa+Na|0,Na+pa|0,oa|0,0,b|0,c|0,e|0);Na=B;B=0;if(Na&1){_a=xa;break}En(xa);ih(a,xa)|0;Ya=k[qa>>2]|0;Za=oa+1|0}pa=pa+1|0;if((pa|0)>=(Ya|0))break a;else{ra=Ya;oa=Za}}oa=Rb()|0;ra=Q;Sqa(_a);Ba=ra;Ca=oa;Qb(Ca|0)}break}case 746:{lqa(j,b);oa=b+52|0;ra=k[oa>>2]|0;d:do if((ra|0)>0){pa=b+36|0;qa=ka+1|0;la=ra;na=0;za=0;while(1){if(!(k[(k[pa>>2]|0)+(na<<2)>>2]|0)){$a=la;ab=za}else{xa=Qqa(144)|0;B=0;Ka(13,xa|0,qa+na|0,na|0,za|0,na|0,b|0,c|0,e|0);Na=B;B=0;if(Na&1){bb=xa;break}ih(a,xa)|0;$a=k[oa>>2]|0;ab=za+1|0}na=na+1|0;if((na|0)>=($a|0)){cb=$a;db=ab;break d}else{la=$a;za=ab}}za=Rb()|0;la=Q;Sqa(bb);Ba=la;Ca=za;Qb(Ca|0)}else{cb=ra;db=0}while(0);ra=b+64|0;za=k[ra>>2]|0;if((za|0)>0){la=b+80|0;na=ka+1|0;qa=za;za=cb;pa=0;xa=db;e:while(1){do if((k[(k[la>>2]|0)+((pa*3|0)+2<<2)>>2]|0)==2){if(!(i[(k[j>>2]|0)+pa>>0]|0)){fb=qa;gb=za+1|0;hb=xa;break}Na=Qqa(144)|0;ib=za+1|0;B=0;Ka(13,Na|0,na+pa+(k[oa>>2]|0)|0,ib|0,xa|0,0,b|0,c|0,e|0);jb=B;B=0;if(jb&1){kb=Na;break e}ih(a,Na)|0;fb=k[ra>>2]|0;gb=ib;hb=xa+1|0}else{fb=qa;gb=za;hb=xa}while(0);pa=pa+1|0;if((pa|0)>=(fb|0))break a;else{qa=fb;za=gb;xa=hb}}xa=Rb()|0;za=Q;Sqa(kb);Ba=za;Ca=xa;Qb(Ca|0)}break}case 747:{lqa(j,b);xa=b+52|0;za=k[xa>>2]|0;f:do if((za|0)>0){qa=b+36|0;pa=ka+1|0;ra=za;oa=0;na=0;while(1){if(!(k[(k[qa>>2]|0)+(oa<<2)>>2]|0)){lb=ra;mb=na}else{la=Qqa(144)|0;B=0;Ka(13,la|0,pa+oa|0,oa|0,na|0,oa|0,b|0,c|0,e|0);ib=B;B=0;if(ib&1){nb=la;break}ih(a,la)|0;lb=k[xa>>2]|0;mb=na+1|0}oa=oa+1|0;if((oa|0)>=(lb|0)){ob=lb;pb=mb;break f}else{ra=lb;na=mb}}na=Rb()|0;ra=Q;Sqa(nb);Ba=ra;Ca=na;Qb(Ca|0)}else{ob=za;pb=0}while(0);za=b+64|0;na=k[za>>2]|0;if((na|0)>0){ra=b+80|0;oa=ka+1|0;pa=ka+2|0;qa=na;na=ob;la=0;ib=pb;g:while(1){do if((k[(k[ra>>2]|0)+((la*3|0)+2<<2)>>2]|0)==2){if(!(i[(k[j>>2]|0)+la>>0]|0)){qb=qa;rb=na+2|0;sb=ib;break}Na=Qqa(144)|0;jb=la<<1;B=0;Ka(13,Na|0,oa+jb+(k[xa>>2]|0)|0,na+1|0,ib|0,0,b|0,c|0,e|0);tb=B;B=0;if(tb&1){ub=Na;vb=83;break g}ih(a,Na)|0;Na=Qqa(144)|0;tb=na+2|0;B=0;Ka(13,Na|0,pa+jb+(k[xa>>2]|0)|0,tb|0,ib+1|0,0,b|0,c|0,e|0);jb=B;B=0;if(jb&1){wb=Na;vb=84;break g}ih(a,Na)|0;qb=k[za>>2]|0;rb=tb;sb=ib+2|0}else{qb=qa;rb=na;sb=ib}while(0);la=la+1|0;if((la|0)>=(qb|0))break a;else{qa=qb;na=rb;ib=sb}}if((vb|0)==83){ib=Rb()|0;na=Q;Sqa(ub);Ba=na;Ca=ib;Qb(Ca|0)}else if((vb|0)==84){ib=Rb()|0;na=Q;Sqa(wb);Ba=na;Ca=ib;Qb(Ca|0)}}break}case 745:{lqa(j,b);ib=b+52|0;na=k[ib>>2]|0;h:do if((na|0)>0){qa=b+36|0;la=ka+1|0;za=na;xa=0;pa=0;while(1){if(!(k[(k[qa>>2]|0)+(xa<<2)>>2]|0)){xb=za;yb=pa}else{oa=Qqa(144)|0;B=0;Ka(13,oa|0,la+xa|0,xa|0,pa|0,xa|0,b|0,c|0,e|0);ra=B;B=0;if(ra&1){Bb=oa;break}ih(a,oa)|0;xb=k[ib>>2]|0;yb=pa+1|0}xa=xa+1|0;if((xa|0)>=(xb|0)){Cb=xb;Db=yb;break h}else{za=xb;pa=yb}}pa=Rb()|0;za=Q;Sqa(Bb);Ba=za;Ca=pa;Qb(Ca|0)}else{Cb=na;Db=0}while(0);na=b+64|0;pa=k[na>>2]|0;if((pa|0)>0){za=b+80|0;xa=ka+1|0;la=pa;pa=Cb;qa=0;oa=Db;i:while(1){do if((k[(k[za>>2]|0)+((qa*3|0)+2<<2)>>2]|0)==2){Eb=la;Fb=pa;Gb=oa}else{if(!(i[(k[j>>2]|0)+qa>>0]|0)){Eb=la;Fb=pa+1|0;Gb=oa;break}ra=Qqa(144)|0;tb=pa+1|0;B=0;Ka(13,ra|0,xa+qa+(k[ib>>2]|0)|0,tb|0,oa|0,0,b|0,c|0,e|0);Na=B;B=0;if(Na&1){Hb=ra;break i}ih(a,ra)|0;Eb=k[na>>2]|0;Fb=tb;Gb=oa+1|0}while(0);qa=qa+1|0;if((qa|0)>=(Eb|0))break a;else{la=Eb;pa=Fb;oa=Gb}}oa=Rb()|0;pa=Q;Sqa(Hb);Ba=pa;Ca=oa;Qb(Ca|0)}break}case 742:{lqa(j,b);oa=b+52|0;pa=k[oa>>2]|0;j:do if((pa|0)>0){la=b+36|0;qa=ka+1|0;na=pa;ib=0;xa=0;while(1){if(!(k[(k[la>>2]|0)+(ib<<2)>>2]|0)){Ib=na;Jb=xa}else{za=Qqa(144)|0;B=0;Ka(13,za|0,qa+ib|0,ib|0,xa|0,ib|0,b|0,c|0,e|0);tb=B;B=0;if(tb&1){Kb=za;break}ih(a,za)|0;Ib=k[oa>>2]|0;Jb=xa+1|0}ib=ib+1|0;if((ib|0)>=(Ib|0)){Lb=Ib;Mb=Jb;break j}else{na=Ib;xa=Jb}}xa=Rb()|0;na=Q;Sqa(Kb);Ba=na;Ca=xa;Qb(Ca|0)}else{Lb=pa;Mb=0}while(0);pa=b+64|0;xa=k[pa>>2]|0;do if((xa|0)>0){na=ka+1|0;ib=xa;qa=0;la=Mb;while(1){if(!(i[(k[j>>2]|0)+qa>>0]|0)){Nb=ib;Ob=la}else{za=Qqa(144)|0;tb=k[oa>>2]|0;B=0;Ka(13,za|0,na+qa+tb|0,tb+qa|0,la|0,0,b|0,c|0,e|0);tb=B;B=0;if(tb&1){Pb=za;break}ih(a,za)|0;Nb=k[pa>>2]|0;Ob=la+1|0}qa=qa+1|0;if((qa|0)>=(Nb|0)){Sb=Nb;Tb=Ob;vb=116;break}else{ib=Nb;la=Ob}}if((vb|0)==116){Ub=Sb;Vb=k[oa>>2]|0;Wb=Tb;break}la=Rb()|0;ib=Q;Sqa(Pb);Ba=ib;Ca=la;Qb(Ca|0)}else{Ub=xa;Vb=Lb;Wb=Mb}while(0);if((k[b+48>>2]|0)==625?(mqa(h,b),xa=b+60|0,la=k[xa>>2]|0,(la|0)>0):0){ib=b+68|0;qa=b+76|0;na=ka+1+Ub+Vb|0;za=la;la=0;tb=Wb;k:while(1){ra=(ma(k[ib>>2]|0,la)|0)+2|0;switch(k[(k[qa>>2]|0)+(ra<<2)>>2]|0){case 2:{if(!(i[(k[h>>2]|0)+la>>0]|0)){Xb=za;Yb=tb}else{ra=Qqa(144)|0;B=0;Ka(13,ra|0,na+la|0,(k[oa>>2]|0)+la+(k[pa>>2]|0)|0,tb|0,0,b|0,c|0,e|0);Na=B;B=0;if(Na&1){Zb=ra;vb=124;break k}ih(a,ra)|0;Xb=k[xa>>2]|0;Yb=tb+1|0}break}case 1:{Xb=za;Yb=tb;break}default:break k}la=la+1|0;if((la|0)>=(Xb|0))break a;else{za=Xb;tb=Yb}}if((vb|0)==124){tb=Rb()|0;za=Q;Sqa(Zb);Ba=za;Ca=tb;Qb(Ca|0)}tb=m+56|0;za=m+4|0;k[m>>2]=27524;k[tb>>2]=27544;B=0;wa(508,m+56|0,za|0);la=B;B=0;if(la&1){la=Rb()|0;_b=Q;$b=la;vva(tb);Qb($b|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[tb>>2]=27488;B=0;va(448,za|0);la=B;B=0;do if(la&1){xa=Rb()|0;ac=Q;bc=xa}else{k[za>>2]=27560;xa=m+36|0;k[xa>>2]=0;k[xa+4>>2]=0;k[xa+8>>2]=0;k[xa+12>>2]=0;k[m+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,za|0,g|0);pa=B;B=0;if(pa&1){pa=Rb()|0;oa=Q;Yua(g);Yua(xa);Ava(za);ac=oa;bc=pa;break}Yua(g);B=0;pa=Ia(40,m|0,145010,13)|0;oa=B;B=0;l:do if(!(oa&1)?(B=0,Xa(239,pa|0,0)|0,na=B,B=0,!(na&1)):0){na=Ab(20)|0;B=0;eb(502,n|0,145024,86);qa=B;B=0;do if(!(qa&1)){B=0;eb(502,o|0,145111,11);ib=B;B=0;if(ib&1){ib=Rb()|0;ra=Q;Yua(n);cc=ra;dc=ib;break}B=0;wa(510,p|0,za|0);ib=B;B=0;if(ib&1){ib=Rb()|0;ec=Q;fc=ib;gc=1}else{B=0;ua(163,na|0,n|0,o|0,159,p|0);ib=B;B=0;if(ib&1)hc=1;else{B=0;eb(503,na|0,1240,229);B=0;hc=0}ib=Rb()|0;ra=Q;Yua(p);ec=ra;fc=ib;gc=hc}Yua(o);Yua(n);if(gc){cc=ec;dc=fc}else{ic=ec;jc=fc;break l}}else{ib=Rb()|0;cc=Q;dc=ib}while(0);zb(na|0);ic=cc;jc=dc}else vb=140;while(0);if((vb|0)==140){pa=Rb()|0;ic=Q;jc=pa}k[m>>2]=27468;k[tb>>2]=27488;k[za>>2]=27560;Yua(xa);Ava(za);vva(tb);Ba=ic;Ca=jc;Qb(Ca|0)}while(0);_b=ac;$b=bc;vva(tb);Qb($b|0)}break}case 743:{lqa(j,b);za=b+52|0;la=k[za>>2]|0;m:do if((la|0)>0){pa=b+36|0;oa=ka+1|0;qa=la;ib=0;ra=0;while(1){if(!(k[(k[pa>>2]|0)+(ib<<2)>>2]|0)){kc=qa;lc=ra}else{Na=Qqa(144)|0;B=0;Ka(13,Na|0,oa+ib|0,ib|0,ra|0,ib|0,b|0,c|0,e|0);jb=B;B=0;if(jb&1){mc=Na;break}ih(a,Na)|0;kc=k[za>>2]|0;lc=ra+1|0}ib=ib+1|0;if((ib|0)>=(kc|0)){nc=kc;oc=lc;break m}else{qa=kc;ra=lc}}ra=Rb()|0;qa=Q;Sqa(mc);Ba=qa;Ca=ra;Qb(Ca|0)}else{nc=la;oc=0}while(0);la=b+64|0;tb=k[la>>2]|0;do if((tb|0)>0){ra=ka+1|0;qa=tb;ib=0;oa=oc;while(1){if(!(i[(k[j>>2]|0)+ib>>0]|0)){pc=qa;qc=oa}else{pa=Qqa(144)|0;xa=k[za>>2]|0;B=0;Ka(13,pa|0,ra+ib+xa|0,xa+ib|0,oa|0,0,b|0,c|0,e|0);xa=B;B=0;if(xa&1){rc=pa;break}ih(a,pa)|0;pc=k[la>>2]|0;qc=oa+1|0}ib=ib+1|0;if((ib|0)>=(pc|0)){sc=pc;tc=qc;vb=163;break}else{qa=pc;oa=qc}}if((vb|0)==163){uc=sc;vc=k[za>>2]|0;wc=tc;break}oa=Rb()|0;qa=Q;Sqa(rc);Ba=qa;Ca=oa;Qb(Ca|0)}else{uc=tb;vc=nc;wc=oc}while(0);tb=uc+ka+vc|0;if((k[b+48>>2]|0)==625){mqa(h,b);oa=b+60|0;qa=k[oa>>2]|0;n:do if((qa|0)>0){ib=b+68|0;ra=b+76|0;pa=tb+1|0;xa=qa;Na=0;jb=wc;o:while(1){xc=(ma(k[ib>>2]|0,Na)|0)+2|0;switch(k[(k[ra>>2]|0)+(xc<<2)>>2]|0){case 2:{if(!(i[(k[h>>2]|0)+Na>>0]|0)){yc=xa;zc=jb}else{xc=Qqa(144)|0;B=0;Ka(13,xc|0,pa+Na|0,(k[za>>2]|0)+Na+(k[la>>2]|0)|0,jb|0,0,b|0,c|0,e|0);Ac=B;B=0;if(Ac&1){Bc=xc;vb=171;break o}ih(a,xc)|0;yc=k[oa>>2]|0;zc=jb+1|0}break}case 1:{yc=xa;zc=jb;break}default:break o}Na=Na+1|0;if((Na|0)>=(yc|0)){Cc=yc;Dc=zc;break n}else{xa=yc;jb=zc}}if((vb|0)==171){jb=Rb()|0;xa=Q;Sqa(Bc);Ba=xa;Ca=jb;Qb(Ca|0)}jb=q+56|0;xa=q+4|0;k[q>>2]=27524;k[jb>>2]=27544;B=0;wa(508,q+56|0,xa|0);Na=B;B=0;if(Na&1){Na=Rb()|0;Ec=Q;Fc=Na;vva(jb);Qb(Fc|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[jb>>2]=27488;B=0;va(448,xa|0);Na=B;B=0;do if(Na&1){pa=Rb()|0;Gc=Q;Hc=pa}else{k[xa>>2]=27560;pa=q+36|0;k[pa>>2]=0;k[pa+4>>2]=0;k[pa+8>>2]=0;k[pa+12>>2]=0;k[q+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,xa|0,g|0);ra=B;B=0;if(ra&1){ra=Rb()|0;ib=Q;Yua(g);Yua(pa);Ava(xa);Gc=ib;Hc=ra;break}Yua(g);B=0;ra=Ia(40,q|0,145010,13)|0;ib=B;B=0;p:do if(!(ib&1)?(B=0,Xa(239,ra|0,0)|0,xc=B,B=0,!(xc&1)):0){xc=Ab(20)|0;B=0;eb(502,s|0,145024,86);Ac=B;B=0;do if(!(Ac&1)){B=0;eb(502,t|0,145111,11);Ic=B;B=0;if(Ic&1){Ic=Rb()|0;Jc=Q;Yua(s);Kc=Jc;Lc=Ic;break}B=0;wa(510,u|0,xa|0);Ic=B;B=0;if(Ic&1){Ic=Rb()|0;Mc=1;Nc=Q;Oc=Ic}else{B=0;ua(163,xc|0,s|0,t|0,190,u|0);Ic=B;B=0;if(Ic&1)Pc=1;else{B=0;eb(503,xc|0,1240,229);B=0;Pc=0}Ic=Rb()|0;Jc=Q;Yua(u);Mc=Pc;Nc=Jc;Oc=Ic}Yua(t);Yua(s);if(Mc){Kc=Nc;Lc=Oc}else{Qc=Nc;Rc=Oc;break p}}else{Ic=Rb()|0;Kc=Q;Lc=Ic}while(0);zb(xc|0);Qc=Kc;Rc=Lc}else vb=187;while(0);if((vb|0)==187){ra=Rb()|0;Qc=Q;Rc=ra}k[q>>2]=27468;k[jb>>2]=27488;k[xa>>2]=27560;Yua(pa);Ava(xa);vva(jb);Ba=Qc;Ca=Rc;Qb(Ca|0)}while(0);Ec=Gc;Fc=Hc;vva(jb);Qb(Fc|0)}else{Cc=qa;Dc=wc}while(0);Sc=Cc+tb|0;Tc=Dc}else{Sc=tb;Tc=wc}qa=b+56|0;oa=k[qa>>2]|0;if((oa|0)>0){la=b+32|0;za=Sc+1|0;xa=oa;oa=0;Na=Tc;while(1){if(!(i[(k[la>>2]|0)+oa>>0]|0)){Uc=xa;Vc=Na}else{ra=Qqa(144)|0;B=0;Ka(13,ra|0,za+oa|0,oa+Sc-(k[ja>>2]|0)|0,Na|0,0,b|0,c|0,e|0);ib=B;B=0;if(ib&1){Wc=ra;break}ih(a,ra)|0;Uc=k[qa>>2]|0;Vc=Na+1|0}oa=oa+1|0;if((oa|0)>=(Uc|0))break a;else{xa=Uc;Na=Vc}}Na=Rb()|0;xa=Q;Sqa(Wc);Ba=xa;Ca=Na;Qb(Ca|0)}break}case 748:{lqa(j,b);mqa(h,b);Na=b+52|0;xa=k[Na>>2]|0;q:do if((xa|0)>0){oa=b+36|0;qa=ka+1|0;za=xa;la=0;tb=0;while(1){if(!(k[(k[oa>>2]|0)+(la<<2)>>2]|0)){Xc=za;Yc=tb}else{ra=Qqa(144)|0;B=0;Ka(13,ra|0,qa+la|0,la|0,tb|0,la|0,b|0,c|0,e|0);ib=B;B=0;if(ib&1){Zc=ra;break}ih(a,ra)|0;Xc=k[Na>>2]|0;Yc=tb+1|0}la=la+1|0;if((la|0)>=(Xc|0)){_c=Xc;$c=Yc;break q}else{za=Xc;tb=Yc}}tb=Rb()|0;za=Q;Sqa(Zc);Ba=za;Ca=tb;Qb(Ca|0)}else{_c=xa;$c=0}while(0);xa=b+64|0;tb=k[xa>>2]|0;r:do if((tb|0)>0){za=b+80|0;la=ka+1|0;qa=ka+2|0;oa=ka+3|0;jb=_c;ra=0;ib=$c;s:while(1){na=ra*3|0;t:do switch(k[(k[za>>2]|0)+(na+2<<2)>>2]|0){case 2:{if(!(i[(k[j>>2]|0)+ra>>0]|0)){ad=jb+3|0;bd=ib;break t}Ac=Qqa(144)|0;B=0;Ka(13,Ac|0,la+na+(k[Na>>2]|0)|0,jb+1|0,ib|0,0,b|0,c|0,e|0);Ic=B;B=0;if(Ic&1){cd=Ac;vb=220;break s}ih(a,Ac)|0;Ac=Qqa(144)|0;B=0;Ka(13,Ac|0,qa+na+(k[Na>>2]|0)|0,jb+2|0,ib+1|0,0,b|0,c|0,e|0);Ic=B;B=0;if(Ic&1){dd=Ac;vb=221;break s}ih(a,Ac)|0;Ac=Qqa(144)|0;Ic=jb+3|0;B=0;Ka(13,Ac|0,oa+na+(k[Na>>2]|0)|0,Ic|0,ib+2|0,0,b|0,c|0,e|0);Jc=B;B=0;if(Jc&1){ed=Ac;vb=222;break s}ih(a,Ac)|0;ad=Ic;bd=ib+3|0;break}case 1:{if(!(i[(k[j>>2]|0)+ra>>0]|0)){ad=jb+1|0;bd=ib;break t}Ic=Qqa(144)|0;Ac=jb+1|0;B=0;Ka(13,Ic|0,la+na+(k[Na>>2]|0)|0,Ac|0,ib|0,0,b|0,c|0,e|0);Jc=B;B=0;if(Jc&1){fd=Ic;vb=227;break s}ih(a,Ic)|0;ad=Ac;bd=ib+1|0;break}default:{vb=228;break s}}while(0);ra=ra+1|0;na=k[xa>>2]|0;if((ra|0)>=(na|0)){gd=na;hd=ad;id=bd;break r}else{jb=ad;ib=bd}}if((vb|0)==220){ib=Rb()|0;jb=Q;Sqa(cd);Ba=jb;Ca=ib;Qb(Ca|0)}else if((vb|0)==221){ib=Rb()|0;jb=Q;Sqa(dd);Ba=jb;Ca=ib;Qb(Ca|0)}else if((vb|0)==222){ib=Rb()|0;jb=Q;Sqa(ed);Ba=jb;Ca=ib;Qb(Ca|0)}else if((vb|0)==227){ib=Rb()|0;jb=Q;Sqa(fd);Ba=jb;Ca=ib;Qb(Ca|0)}else if((vb|0)==228){ib=v+56|0;jb=v+4|0;k[v>>2]=27524;k[ib>>2]=27544;B=0;wa(508,v+56|0,jb|0);ra=B;B=0;if(ra&1){ra=Rb()|0;jd=Q;kd=ra;vva(ib);Qb(kd|0)}k[v+128>>2]=0;k[v+132>>2]=-1;k[v>>2]=27468;k[ib>>2]=27488;B=0;va(448,jb|0);ra=B;B=0;do if(ra&1){la=Rb()|0;ld=Q;md=la}else{k[jb>>2]=27560;la=v+36|0;k[la>>2]=0;k[la+4>>2]=0;k[la+8>>2]=0;k[la+12>>2]=0;k[v+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,jb|0,g|0);oa=B;B=0;if(oa&1){oa=Rb()|0;qa=Q;Yua(g);Yua(la);Ava(jb);ld=qa;md=oa;break}Yua(g);B=0;oa=Ia(40,v|0,145010,13)|0;qa=B;B=0;u:do if(!(qa&1)?(B=0,Xa(239,oa|0,0)|0,za=B,B=0,!(za&1)):0){za=Ab(20)|0;B=0;eb(502,w|0,145024,86);na=B;B=0;do if(!(na&1)){B=0;eb(502,x|0,145111,11);pa=B;B=0;if(pa&1){pa=Rb()|0;Ac=Q;Yua(w);nd=Ac;od=pa;break}B=0;wa(510,y|0,jb|0);pa=B;B=0;if(pa&1){pa=Rb()|0;pd=1;qd=Q;rd=pa}else{B=0;ua(163,za|0,w|0,x|0,230,y|0);pa=B;B=0;if(pa&1)sd=1;else{B=0;eb(503,za|0,1240,229);B=0;sd=0}pa=Rb()|0;Ac=Q;Yua(y);pd=sd;qd=Ac;rd=pa}Yua(x);Yua(w);if(pd){nd=qd;od=rd}else{td=qd;ud=rd;break u}}else{pa=Rb()|0;nd=Q;od=pa}while(0);zb(za|0);td=nd;ud=od}else vb=243;while(0);if((vb|0)==243){oa=Rb()|0;td=Q;ud=oa}k[v>>2]=27468;k[ib>>2]=27488;k[jb>>2]=27560;Yua(la);Ava(jb);vva(ib);Ba=td;Ca=ud;Qb(Ca|0)}while(0);jd=ld;kd=md;vva(ib);Qb(kd|0)}}else{gd=tb;hd=_c;id=$c}while(0);tb=b+60|0;xa=k[tb>>2]|0;if((xa|0)>0){jb=b+68|0;ra=b+76|0;oa=(k[Na>>2]|0)+ka|0;qa=xa;xa=hd;na=0;xc=id;v:while(1){pa=(ma(k[jb>>2]|0,na)|0)+2|0;w:do switch(k[(k[ra>>2]|0)+(pa<<2)>>2]|0){case 2:{if(!(i[(k[h>>2]|0)+na>>0]|0)){vd=qa;wd=xa+3|0;xd=xc;break w}Ac=Qqa(144)|0;Ic=oa+((na+gd|0)*3|0)|0;B=0;Ka(13,Ac|0,Ic+1|0,xa+1|0,xc|0,0,b|0,c|0,e|0);Jc=B;B=0;if(Jc&1){yd=Ac;vb=261;break v}ih(a,Ac)|0;Ac=Qqa(144)|0;B=0;Ka(13,Ac|0,Ic+2|0,xa+2|0,xc+1|0,0,b|0,c|0,e|0);Jc=B;B=0;if(Jc&1){zd=Ac;vb=262;break v}ih(a,Ac)|0;Ac=Qqa(144)|0;Jc=xa+3|0;B=0;Ka(13,Ac|0,Ic+3|0,Jc|0,xc+2|0,0,b|0,c|0,e|0);Ic=B;B=0;if(Ic&1){Ad=Ac;vb=263;break v}ih(a,Ac)|0;vd=k[tb>>2]|0;wd=Jc;xd=xc+3|0;break}case 1:{vd=qa;wd=xa;xd=xc;break}default:{vb=264;break v}}while(0);na=na+1|0;if((na|0)>=(vd|0))break a;else{qa=vd;xa=wd;xc=xd}}if((vb|0)==261){xc=Rb()|0;xa=Q;Sqa(yd);Ba=xa;Ca=xc;Qb(Ca|0)}else if((vb|0)==262){xc=Rb()|0;xa=Q;Sqa(zd);Ba=xa;Ca=xc;Qb(Ca|0)}else if((vb|0)==263){xc=Rb()|0;xa=Q;Sqa(Ad);Ba=xa;Ca=xc;Qb(Ca|0)}else if((vb|0)==264){xc=z+56|0;xa=z+4|0;k[z>>2]=27524;k[xc>>2]=27544;B=0;wa(508,z+56|0,xa|0);qa=B;B=0;if(qa&1){qa=Rb()|0;Bd=Q;Cd=qa;vva(xc);Qb(Cd|0)}k[z+128>>2]=0;k[z+132>>2]=-1;k[z>>2]=27468;k[xc>>2]=27488;B=0;va(448,xa|0);qa=B;B=0;do if(qa&1){na=Rb()|0;Dd=Q;Ed=na}else{k[xa>>2]=27560;na=z+36|0;k[na>>2]=0;k[na+4>>2]=0;k[na+8>>2]=0;k[na+12>>2]=0;k[z+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,xa|0,g|0);tb=B;B=0;if(tb&1){tb=Rb()|0;oa=Q;Yua(g);Yua(na);Ava(xa);Dd=oa;Ed=tb;break}Yua(g);B=0;tb=Ia(40,z|0,145010,13)|0;oa=B;B=0;x:do if(!(oa&1)?(B=0,Xa(239,tb|0,0)|0,ra=B,B=0,!(ra&1)):0){ra=Ab(20)|0;B=0;eb(502,A|0,145024,86);jb=B;B=0;do if(!(jb&1)){B=0;eb(502,C|0,145111,11);Na=B;B=0;if(Na&1){Na=Rb()|0;pa=Q;Yua(A);Fd=pa;Gd=Na;break}B=0;wa(510,D|0,xa|0);Na=B;B=0;if(Na&1){Na=Rb()|0;Hd=Q;Id=Na;Jd=1}else{B=0;ua(163,ra|0,A|0,C|0,250,D|0);Na=B;B=0;if(Na&1)Kd=1;else{B=0;eb(503,ra|0,1240,229);B=0;Kd=0}Na=Rb()|0;pa=Q;Yua(D);Hd=pa;Id=Na;Jd=Kd}Yua(C);Yua(A);if(Jd){Fd=Hd;Gd=Id}else{Ld=Hd;Md=Id;break x}}else{Na=Rb()|0;Fd=Q;Gd=Na}while(0);zb(ra|0);Ld=Fd;Md=Gd}else vb=279;while(0);if((vb|0)==279){tb=Rb()|0;Ld=Q;Md=tb}k[z>>2]=27468;k[xc>>2]=27488;k[xa>>2]=27560;Yua(na);Ava(xa);vva(xc);Ba=Ld;Ca=Md;Qb(Ca|0)}while(0);Bd=Dd;Cd=Ed;vva(xc);Qb(Cd|0)}}break}case 749:{xa=b+52|0;qa=k[xa>>2]|0;if((qa|0)>0){tb=b+36|0;oa=ka+1|0;jb=qa;qa=0;la=0;while(1){if(!(k[(k[tb>>2]|0)+(qa<<2)>>2]|0)){Nd=jb;Od=la}else{Na=Qqa(144)|0;B=0;Ka(13,Na|0,oa+qa|0,qa|0,la|0,qa|0,b|0,c|0,543);pa=B;B=0;if(pa&1){Pd=Na;vb=291;break}ih(a,Na)|0;Nd=k[xa>>2]|0;Od=la+1|0}qa=qa+1|0;if((qa|0)>=(Nd|0)){Qd=Nd;Rd=Od;break}else{jb=Nd;la=Od}}if((vb|0)==291){la=Rb()|0;jb=Q;Sqa(Pd);Ba=jb;Ca=la;Qb(Ca|0)}if((Qd|0)>0){la=b+36|0;jb=ka+1+Qd|0;qa=Qd;oa=0;tb=Rd;while(1){if(!(k[(k[la>>2]|0)+(oa<<2)>>2]|0)){Sd=qa;Td=tb}else{xc=Qqa(144)|0;B=0;Ka(13,xc|0,jb+oa|0,qa+oa|0,tb|0,oa|0,b|0,c|0,544);Na=B;B=0;if(Na&1){Ud=xc;break}ih(a,xc)|0;Sd=k[xa>>2]|0;Td=tb+1|0}oa=oa+1|0;if((oa|0)>=(Sd|0))break a;else{qa=Sd;tb=Td}}tb=Rb()|0;qa=Q;Sqa(Ud);Ba=qa;Ca=tb;Qb(Ca|0)}}break}case 750:{tb=b+52|0;qa=k[tb>>2]|0;if((qa|0)>0){oa=b+36|0;xa=ka+1|0;jb=qa;qa=0;la=0;while(1){if(!(k[(k[oa>>2]|0)+(qa<<2)>>2]|0)){Vd=jb;Wd=la}else{xc=Qqa(144)|0;B=0;Ka(13,xc|0,xa+qa|0,qa|0,la|0,qa|0,b|0,c|0,543);Na=B;B=0;if(Na&1){Xd=xc;vb=303;break}ih(a,xc)|0;Vd=k[tb>>2]|0;Wd=la+1|0}qa=qa+1|0;if((qa|0)>=(Vd|0)){Yd=Vd;Zd=Wd;break}else{jb=Vd;la=Wd}}if((vb|0)==303){la=Rb()|0;jb=Q;Sqa(Xd);Ba=jb;Ca=la;Qb(Ca|0)}if((Yd|0)>0){la=b+36|0;jb=ka+1+Yd|0;qa=Yd;xa=0;oa=Zd;while(1){if(!(k[(k[la>>2]|0)+(xa<<2)>>2]|0)){_d=qa;$d=oa}else{xc=Qqa(144)|0;B=0;Ka(13,xc|0,jb+xa|0,qa+xa|0,oa|0,xa|0,b|0,c|0,544);Na=B;B=0;if(Na&1){ae=xc;break}ih(a,xc)|0;_d=k[tb>>2]|0;$d=oa+1|0}xa=xa+1|0;if((xa|0)>=(_d|0))break a;else{qa=_d;oa=$d}}oa=Rb()|0;qa=Q;Sqa(ae);Ba=qa;Ca=oa;Qb(Ca|0)}}break}case 752:{oa=b+52|0;qa=k[oa>>2]|0;y:do if((qa|0)>0){xa=b+36|0;tb=ka+1|0;jb=qa;la=0;xc=0;while(1){if(!(k[(k[xa>>2]|0)+(la<<2)>>2]|0)){be=jb;ce=xc}else{Na=Qqa(144)|0;B=0;Ka(13,Na|0,tb+la|0,la|0,xc|0,la|0,b|0,c|0,543);pa=B;B=0;if(pa&1){de=Na;break}ih(a,Na)|0;be=k[oa>>2]|0;ce=xc+1|0}la=la+1|0;if((la|0)>=(be|0)){ee=be;fe=ce;break y}else{jb=be;xc=ce}}xc=Rb()|0;jb=Q;Sqa(de);Ba=jb;Ca=xc;Qb(Ca|0)}else{ee=qa;fe=0}while(0);qa=b+56|0;xc=k[qa>>2]|0;do if((xc|0)>0){jb=b+32|0;la=ka+1|0;tb=xc;xa=0;na=fe;while(1){if(!(i[(k[jb>>2]|0)+xa>>0]|0)){ge=tb;he=na}else{Na=Qqa(144)|0;pa=k[oa>>2]|0;B=0;Ka(13,Na|0,la+xa+pa|0,pa+xa|0,na|0,0,b|0,c|0,543);pa=B;B=0;if(pa&1){ie=Na;break}En(Na);ih(a,Na)|0;ge=k[qa>>2]|0;he=na+1|0}xa=xa+1|0;if((xa|0)>=(ge|0)){je=ge;ke=he;vb=324;break}else{tb=ge;na=he}}if((vb|0)==324){le=je;me=k[oa>>2]|0;ne=ke;break}na=Rb()|0;tb=Q;Sqa(ie);Ba=tb;Ca=na;Qb(Ca|0)}else{le=xc;me=ee;ne=fe}while(0);if((me|0)>0){xc=b+36|0;na=ka+1+le+me|0;tb=me;xa=0;la=ne;while(1){if(!(k[(k[xc>>2]|0)+(xa<<2)>>2]|0)){oe=tb;pe=la}else{jb=Qqa(144)|0;B=0;Ka(13,jb|0,na+xa|0,tb+xa+(k[qa>>2]|0)|0,la|0,xa|0,b|0,c|0,544);Na=B;B=0;if(Na&1){qe=jb;break}ih(a,jb)|0;oe=k[oa>>2]|0;pe=la+1|0}xa=xa+1|0;if((xa|0)>=(oe|0))break a;else{tb=oe;la=pe}}la=Rb()|0;tb=Q;Sqa(qe);Ba=tb;Ca=la;Qb(Ca|0)}break}case 751:{la=b+52|0;tb=k[la>>2]|0;z:do if((tb|0)>0){xa=b+36|0;oa=ka+1|0;qa=tb;na=0;xc=0;while(1){if(!(k[(k[xa>>2]|0)+(na<<2)>>2]|0)){re=qa;se=xc}else{jb=Qqa(144)|0;B=0;Ka(13,jb|0,oa+na|0,na|0,xc|0,na|0,b|0,c|0,543);Na=B;B=0;if(Na&1){te=jb;break}ih(a,jb)|0;re=k[la>>2]|0;se=xc+1|0}na=na+1|0;if((na|0)>=(re|0)){ue=re;ve=se;break z}else{qa=re;xc=se}}xc=Rb()|0;qa=Q;Sqa(te);Ba=qa;Ca=xc;Qb(Ca|0)}else{ue=tb;ve=0}while(0);tb=b+56|0;xc=k[tb>>2]|0;do if((xc|0)>0){qa=b+32|0;na=ka+1|0;oa=xc;xa=0;jb=ve;while(1){if(!(i[(k[qa>>2]|0)+xa>>0]|0)){we=oa;xe=jb}else{Na=Qqa(144)|0;pa=k[la>>2]|0;B=0;Ka(13,Na|0,na+xa+pa|0,pa+xa|0,jb|0,0,b|0,c|0,543);pa=B;B=0;if(pa&1){ye=Na;break}ih(a,Na)|0;we=k[tb>>2]|0;xe=jb+1|0}xa=xa+1|0;if((xa|0)>=(we|0)){ze=we;Ae=xe;vb=344;break}else{oa=we;jb=xe}}if((vb|0)==344){Be=ze;Ce=k[la>>2]|0;De=Ae;break}jb=Rb()|0;oa=Q;Sqa(ye);Ba=oa;Ca=jb;Qb(Ca|0)}else{Be=xc;Ce=ue;De=ve}while(0);if((Ce|0)>0){xc=b+36|0;jb=ka+1+Be+Ce|0;oa=Ce;xa=0;na=De;while(1){if(!(k[(k[xc>>2]|0)+(xa<<2)>>2]|0)){Ee=oa;Fe=na}else{qa=Qqa(144)|0;B=0;Ka(13,qa|0,jb+xa|0,oa+xa+(k[tb>>2]|0)|0,na|0,xa|0,b|0,c|0,544);Na=B;B=0;if(Na&1){Ge=qa;break}ih(a,qa)|0;Ee=k[la>>2]|0;Fe=na+1|0}xa=xa+1|0;if((xa|0)>=(Ee|0))break a;else{oa=Ee;na=Fe}}na=Rb()|0;oa=Q;Sqa(Ge);Ba=oa;Ca=na;Qb(Ca|0)}break}case 755:case 753:{lqa(j,b);na=b+52|0;oa=k[na>>2]|0;A:do if((oa|0)>0){xa=b+36|0;la=ka+1|0;tb=oa;jb=0;xc=0;while(1){if(!(k[(k[xa>>2]|0)+(jb<<2)>>2]|0)){He=tb;Ie=xc}else{qa=Qqa(144)|0;B=0;Ka(13,qa|0,la+jb|0,jb|0,xc|0,jb|0,b|0,c|0,543);Na=B;B=0;if(Na&1){Je=qa;break}ih(a,qa)|0;He=k[na>>2]|0;Ie=xc+1|0}jb=jb+1|0;if((jb|0)>=(He|0)){Ke=He;Le=Ie;break A}else{tb=He;xc=Ie}}xc=Rb()|0;tb=Q;Sqa(Je);Ba=tb;Ca=xc;Qb(Ca|0)}else{Ke=oa;Le=0}while(0);oa=b+64|0;xc=k[oa>>2]|0;do if((xc|0)>0){tb=ka+1|0;jb=xc;la=0;xa=Le;while(1){if(!(i[(k[j>>2]|0)+la>>0]|0)){Me=jb;Ne=xa}else{qa=Qqa(144)|0;Na=k[na>>2]|0;B=0;Ka(13,qa|0,tb+la+Na|0,Na+la|0,xa|0,0,b|0,c|0,543);Na=B;B=0;if(Na&1){Oe=qa;break}ih(a,qa)|0;Me=k[oa>>2]|0;Ne=xa+1|0}la=la+1|0;if((la|0)>=(Me|0)){Pe=Me;Qe=Ne;vb=366;break}else{jb=Me;xa=Ne}}if((vb|0)==366){Re=Pe;Se=k[na>>2]|0;Te=Qe;break}xa=Rb()|0;jb=Q;Sqa(Oe);Ba=jb;Ca=xa;Qb(Ca|0)}else{Re=xc;Se=Ke;Te=Le}while(0);xc=Re+ka+Se|0;xa=b+48|0;if((k[xa>>2]|0)==625){mqa(h,b);jb=b+60|0;la=k[jb>>2]|0;B:do if((la|0)>0){tb=b+68|0;qa=b+76|0;Na=xc+1|0;pa=la;ib=0;Jc=Te;C:while(1){Ac=(ma(k[tb>>2]|0,ib)|0)+2|0;switch(k[(k[qa>>2]|0)+(Ac<<2)>>2]|0){case 2:{if(!(i[(k[h>>2]|0)+ib>>0]|0)){Ue=pa;Ve=Jc}else{Ac=Qqa(144)|0;B=0;Ka(13,Ac|0,Na+ib|0,(k[na>>2]|0)+ib+(k[oa>>2]|0)|0,Jc|0,0,b|0,c|0,543);Ic=B;B=0;if(Ic&1){We=Ac;vb=374;break C}ih(a,Ac)|0;Ue=k[jb>>2]|0;Ve=Jc+1|0}break}case 1:{Ue=pa;Ve=Jc;break}default:break C}ib=ib+1|0;if((ib|0)>=(Ue|0)){Xe=Ue;Ye=Ve;break B}else{pa=Ue;Jc=Ve}}if((vb|0)==374){Jc=Rb()|0;pa=Q;Sqa(We);Ba=pa;Ca=Jc;Qb(Ca|0)}Jc=E+56|0;pa=E+4|0;k[E>>2]=27524;k[Jc>>2]=27544;B=0;wa(508,E+56|0,pa|0);ib=B;B=0;if(ib&1){ib=Rb()|0;Ze=Q;_e=ib;vva(Jc);Qb(_e|0)}k[E+128>>2]=0;k[E+132>>2]=-1;k[E>>2]=27468;k[Jc>>2]=27488;B=0;va(448,pa|0);ib=B;B=0;do if(ib&1){Na=Rb()|0;$e=Q;af=Na}else{k[pa>>2]=27560;Na=E+36|0;k[Na>>2]=0;k[Na+4>>2]=0;k[Na+8>>2]=0;k[Na+12>>2]=0;k[E+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,pa|0,g|0);qa=B;B=0;if(qa&1){qa=Rb()|0;tb=Q;Yua(g);Yua(Na);Ava(pa);$e=tb;af=qa;break}Yua(g);B=0;qa=Ia(40,E|0,145010,13)|0;tb=B;B=0;D:do if(!(tb&1)?(B=0,Xa(239,qa|0,0)|0,Ac=B,B=0,!(Ac&1)):0){Ac=Ab(20)|0;B=0;eb(502,F|0,145024,86);Ic=B;B=0;do if(!(Ic&1)){B=0;eb(502,G|0,145111,11);bf=B;B=0;if(bf&1){bf=Rb()|0;cf=Q;Yua(F);df=cf;ef=bf;break}B=0;wa(510,H|0,pa|0);bf=B;B=0;if(bf&1){bf=Rb()|0;ff=1;gf=Q;hf=bf}else{B=0;ua(163,Ac|0,F|0,G|0,361,H|0);bf=B;B=0;if(bf&1)jf=1;else{B=0;eb(503,Ac|0,1240,229);B=0;jf=0}bf=Rb()|0;cf=Q;Yua(H);ff=jf;gf=cf;hf=bf}Yua(G);Yua(F);if(ff){df=gf;ef=hf}else{kf=gf;lf=hf;break D}}else{bf=Rb()|0;df=Q;ef=bf}while(0);zb(Ac|0);kf=df;lf=ef}else vb=390;while(0);if((vb|0)==390){qa=Rb()|0;kf=Q;lf=qa}k[E>>2]=27468;k[Jc>>2]=27488;k[pa>>2]=27560;Yua(Na);Ava(pa);vva(Jc);Ba=kf;Ca=lf;Qb(Ca|0)}while(0);Ze=$e;_e=af;vva(Jc);Qb(_e|0)}else{Xe=la;Ye=Te}while(0);mf=Ye;nf=(k[xa>>2]|0)==625?Xe:0}else{mf=Te;nf=0}la=k[na>>2]|0;if((la|0)>0){jb=b+36|0;pa=xc+1+nf|0;ib=la;la=0;qa=mf;while(1){if(!(k[(k[jb>>2]|0)+(la<<2)>>2]|0)){of=ib;pf=qa}else{tb=Qqa(144)|0;B=0;Ka(13,tb|0,pa+la|0,la+nf+ib+(k[oa>>2]|0)|0,qa|0,la|0,b|0,c|0,544);ra=B;B=0;if(ra&1){qf=tb;break}ih(a,tb)|0;of=k[na>>2]|0;pf=qa+1|0}la=la+1|0;if((la|0)>=(of|0))break a;else{ib=of;qa=pf}}qa=Rb()|0;ib=Q;Sqa(qf);Ba=ib;Ca=qa;Qb(Ca|0)}break}case 754:{lqa(j,b);qa=b+52|0;ib=k[qa>>2]|0;E:do if((ib|0)>0){la=b+36|0;na=ka+1|0;oa=ib;pa=0;jb=0;while(1){if(!(k[(k[la>>2]|0)+(pa<<2)>>2]|0)){rf=oa;sf=jb}else{xc=Qqa(144)|0;B=0;Ka(13,xc|0,na+pa|0,pa|0,jb|0,pa|0,b|0,c|0,543);xa=B;B=0;if(xa&1){tf=xc;break}ih(a,xc)|0;rf=k[qa>>2]|0;sf=jb+1|0}pa=pa+1|0;if((pa|0)>=(rf|0)){uf=rf;vf=sf;break E}else{oa=rf;jb=sf}}jb=Rb()|0;oa=Q;Sqa(tf);Ba=oa;Ca=jb;Qb(Ca|0)}else{uf=ib;vf=0}while(0);ib=b+64|0;jb=k[ib>>2]|0;do if((jb|0)>0){oa=ka+1|0;pa=jb;na=0;la=vf;while(1){if(!(i[(k[j>>2]|0)+na>>0]|0)){wf=pa;xf=la}else{Jc=Qqa(144)|0;xc=k[qa>>2]|0;B=0;Ka(13,Jc|0,oa+na+xc|0,xc+na|0,la|0,0,b|0,c|0,543);xc=B;B=0;if(xc&1){yf=Jc;break}ih(a,Jc)|0;wf=k[ib>>2]|0;xf=la+1|0}na=na+1|0;if((na|0)>=(wf|0)){zf=wf;Af=xf;vb=421;break}else{pa=wf;la=xf}}if((vb|0)==421){Bf=zf;Cf=k[qa>>2]|0;Df=Af;break}la=Rb()|0;pa=Q;Sqa(yf);Ba=pa;Ca=la;Qb(Ca|0)}else{Bf=jb;Cf=uf;Df=vf}while(0);if((k[b+48>>2]|0)==625?(mqa(h,b),jb=b+60|0,la=k[jb>>2]|0,(la|0)>0):0){pa=b+68|0;na=b+76|0;oa=ka+1+Bf+Cf|0;Jc=la;la=0;xc=Df;F:while(1){xa=(ma(k[pa>>2]|0,la)|0)+2|0;switch(k[(k[na>>2]|0)+(xa<<2)>>2]|0){case 2:{if(!(i[(k[h>>2]|0)+la>>0]|0)){Ef=Jc;Ff=xc}else{xa=Qqa(144)|0;B=0;Ka(13,xa|0,oa+la|0,(k[qa>>2]|0)+la+(k[ib>>2]|0)|0,xc|0,0,b|0,c|0,543);tb=B;B=0;if(tb&1){Gf=xa;vb=429;break F}ih(a,xa)|0;Ef=k[jb>>2]|0;Ff=xc+1|0}break}case 1:{Ef=Jc;Ff=xc;break}default:break F}la=la+1|0;if((la|0)>=(Ef|0))break a;else{Jc=Ef;xc=Ff}}if((vb|0)==429){xc=Rb()|0;Jc=Q;Sqa(Gf);Ba=Jc;Ca=xc;Qb(Ca|0)}xc=I+56|0;Jc=I+4|0;k[I>>2]=27524;k[xc>>2]=27544;B=0;wa(508,I+56|0,Jc|0);la=B;B=0;if(la&1){la=Rb()|0;Hf=Q;If=la;vva(xc);Qb(If|0)}k[I+128>>2]=0;k[I+132>>2]=-1;k[I>>2]=27468;k[xc>>2]=27488;B=0;va(448,Jc|0);la=B;B=0;do if(la&1){jb=Rb()|0;Jf=Q;Kf=jb}else{k[Jc>>2]=27560;jb=I+36|0;k[jb>>2]=0;k[jb+4>>2]=0;k[jb+8>>2]=0;k[jb+12>>2]=0;k[I+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,Jc|0,g|0);ib=B;B=0;if(ib&1){ib=Rb()|0;qa=Q;Yua(g);Yua(jb);Ava(Jc);Jf=qa;Kf=ib;break}Yua(g);B=0;ib=Ia(40,I|0,145010,13)|0;qa=B;B=0;G:do if(!(qa&1)?(B=0,Xa(239,ib|0,0)|0,oa=B,B=0,!(oa&1)):0){oa=Ab(20)|0;B=0;eb(502,J|0,145024,86);na=B;B=0;do if(!(na&1)){B=0;eb(502,K|0,145111,11);pa=B;B=0;if(pa&1){pa=Rb()|0;xa=Q;Yua(J);Lf=xa;Mf=pa;break}B=0;wa(510,L|0,Jc|0);pa=B;B=0;if(pa&1){pa=Rb()|0;Nf=1;Of=Q;Pf=pa}else{B=0;ua(163,oa|0,J|0,K|0,408,L|0);pa=B;B=0;if(pa&1)Qf=1;else{B=0;eb(503,oa|0,1240,229);B=0;Qf=0}pa=Rb()|0;xa=Q;Yua(L);Nf=Qf;Of=xa;Pf=pa}Yua(K);Yua(J);if(Nf){Lf=Of;Mf=Pf}else{Rf=Of;Sf=Pf;break G}}else{pa=Rb()|0;Lf=Q;Mf=pa}while(0);zb(oa|0);Rf=Lf;Sf=Mf}else vb=445;while(0);if((vb|0)==445){ib=Rb()|0;Rf=Q;Sf=ib}k[I>>2]=27468;k[xc>>2]=27488;k[Jc>>2]=27560;Yua(jb);Ava(Jc);vva(xc);Ba=Rf;Ca=Sf;Qb(Ca|0)}while(0);Hf=Jf;If=Kf;vva(xc);Qb(If|0)}break}case 756:{lqa(j,b);mqa(h,b);Jc=b+52|0;la=k[Jc>>2]|0;H:do if((la|0)>0){ib=b+36|0;qa=ka+1|0;na=la;Na=0;pa=0;while(1){if(!(k[(k[ib>>2]|0)+(Na<<2)>>2]|0)){Tf=na;Uf=pa}else{xa=Qqa(144)|0;B=0;Ka(13,xa|0,qa+Na|0,Na|0,pa|0,Na|0,b|0,c|0,543);tb=B;B=0;if(tb&1){Vf=xa;break}ih(a,xa)|0;Tf=k[Jc>>2]|0;Uf=pa+1|0}Na=Na+1|0;if((Na|0)>=(Tf|0)){Wf=Tf;Xf=Uf;break H}else{na=Tf;pa=Uf}}pa=Rb()|0;na=Q;Sqa(Vf);Ba=na;Ca=pa;Qb(Ca|0)}else{Wf=la;Xf=0}while(0);la=b+64|0;xc=k[la>>2]|0;do if((xc|0)>0){pa=b+80|0;na=ka+1|0;Na=ka+2|0;qa=ka+3|0;ib=Wf;jb=0;xa=Xf;I:while(1){tb=jb*3|0;J:do switch(k[(k[pa>>2]|0)+(tb+2<<2)>>2]|0){case 2:{if(!(i[(k[j>>2]|0)+jb>>0]|0)){Yf=ib+3|0;Zf=xa;break J}ra=Qqa(144)|0;B=0;Ka(13,ra|0,na+tb+(k[Jc>>2]|0)|0,ib+1|0,xa|0,0,b|0,c|0,543);Ic=B;B=0;if(Ic&1){_f=ra;vb=470;break I}ih(a,ra)|0;ra=Qqa(144)|0;B=0;Ka(13,ra|0,Na+tb+(k[Jc>>2]|0)|0,ib+2|0,xa+1|0,0,b|0,c|0,543);Ic=B;B=0;if(Ic&1){$f=ra;vb=471;break I}ih(a,ra)|0;ra=Qqa(144)|0;Ic=ib+3|0;B=0;Ka(13,ra|0,qa+tb+(k[Jc>>2]|0)|0,Ic|0,xa+2|0,0,b|0,c|0,543);za=B;B=0;if(za&1){ag=ra;vb=472;break I}ih(a,ra)|0;Yf=Ic;Zf=xa+3|0;break}case 1:{if(!(i[(k[j>>2]|0)+jb>>0]|0)){Yf=ib+1|0;Zf=xa;break J}Ic=Qqa(144)|0;ra=ib+1|0;B=0;Ka(13,Ic|0,na+tb+(k[Jc>>2]|0)|0,ra|0,xa|0,0,b|0,c|0,543);za=B;B=0;if(za&1){bg=Ic;vb=477;break I}ih(a,Ic)|0;Yf=ra;Zf=xa+1|0;break}default:{vb=478;break I}}while(0);jb=jb+1|0;tb=k[la>>2]|0;if((jb|0)>=(tb|0)){cg=tb;dg=Yf;eg=Zf;vb=502;break}else{ib=Yf;xa=Zf}}if((vb|0)==470){xa=Rb()|0;ib=Q;Sqa(_f);Ba=ib;Ca=xa;Qb(Ca|0)}else if((vb|0)==471){xa=Rb()|0;ib=Q;Sqa($f);Ba=ib;Ca=xa;Qb(Ca|0)}else if((vb|0)==472){xa=Rb()|0;ib=Q;Sqa(ag);Ba=ib;Ca=xa;Qb(Ca|0)}else if((vb|0)==477){xa=Rb()|0;ib=Q;Sqa(bg);Ba=ib;Ca=xa;Qb(Ca|0)}else if((vb|0)==478){xa=M+56|0;ib=M+4|0;k[M>>2]=27524;k[xa>>2]=27544;B=0;wa(508,M+56|0,ib|0);jb=B;B=0;if(jb&1){jb=Rb()|0;fg=Q;gg=jb;vva(xa);Qb(gg|0)}k[M+128>>2]=0;k[M+132>>2]=-1;k[M>>2]=27468;k[xa>>2]=27488;B=0;va(448,ib|0);jb=B;B=0;do if(jb&1){na=Rb()|0;hg=Q;ig=na}else{k[ib>>2]=27560;na=M+36|0;k[na>>2]=0;k[na+4>>2]=0;k[na+8>>2]=0;k[na+12>>2]=0;k[M+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,ib|0,g|0);qa=B;B=0;if(qa&1){qa=Rb()|0;Na=Q;Yua(g);Yua(na);Ava(ib);hg=Na;ig=qa;break}Yua(g);B=0;qa=Ia(40,M|0,145010,13)|0;Na=B;B=0;K:do if(!(Na&1)?(B=0,Xa(239,qa|0,0)|0,pa=B,B=0,!(pa&1)):0){pa=Ab(20)|0;B=0;eb(502,N|0,145024,86);tb=B;B=0;do if(!(tb&1)){B=0;eb(502,O|0,145111,11);oa=B;B=0;if(oa&1){oa=Rb()|0;ra=Q;Yua(N);jg=ra;kg=oa;break}B=0;wa(510,P|0,ib|0);oa=B;B=0;if(oa&1){oa=Rb()|0;lg=1;mg=Q;ng=oa}else{B=0;ua(163,pa|0,N|0,O|0,446,P|0);oa=B;B=0;if(oa&1)og=1;else{B=0;eb(503,pa|0,1240,229);B=0;og=0}oa=Rb()|0;ra=Q;Yua(P);lg=og;mg=ra;ng=oa}Yua(O);Yua(N);if(lg){jg=mg;kg=ng}else{pg=mg;qg=ng;break K}}else{oa=Rb()|0;jg=Q;kg=oa}while(0);zb(pa|0);pg=jg;qg=kg}else vb=493;while(0);if((vb|0)==493){qa=Rb()|0;pg=Q;qg=qa}k[M>>2]=27468;k[xa>>2]=27488;k[ib>>2]=27560;Yua(na);Ava(ib);vva(xa);Ba=pg;Ca=qg;Qb(Ca|0)}while(0);fg=hg;gg=ig;vva(xa);Qb(gg|0)}else if((vb|0)==502){rg=cg;sg=k[Jc>>2]|0;tg=dg;ug=eg;break}}else{rg=xc;sg=Wf;tg=Wf;ug=Xf}while(0);xc=(rg*3|0)+ka+sg|0;la=b+60|0;ib=k[la>>2]|0;do if((ib|0)>0){jb=b+68|0;qa=b+76|0;Na=ib;tb=tg;Ac=0;oa=ug;L:while(1){ra=(ma(k[jb>>2]|0,Ac)|0)+2|0;M:do switch(k[(k[qa>>2]|0)+(ra<<2)>>2]|0){case 2:{if(!(i[(k[h>>2]|0)+Ac>>0]|0)){vg=Na;wg=tb+3|0;xg=oa;break M}Ic=Qqa(144)|0;za=(Ac*3|0)+xc|0;B=0;Ka(13,Ic|0,za+1|0,tb+1|0,oa|0,0,b|0,c|0,543);bf=B;B=0;if(bf&1){yg=Ic;vb=512;break L}ih(a,Ic)|0;Ic=Qqa(144)|0;B=0;Ka(13,Ic|0,za+2|0,tb+2|0,oa+1|0,0,b|0,c|0,543);bf=B;B=0;if(bf&1){zg=Ic;vb=513;break L}ih(a,Ic)|0;Ic=Qqa(144)|0;bf=tb+3|0;B=0;Ka(13,Ic|0,za+3|0,bf|0,oa+2|0,0,b|0,c|0,543);za=B;B=0;if(za&1){Ag=Ic;vb=514;break L}ih(a,Ic)|0;vg=k[la>>2]|0;wg=bf;xg=oa+3|0;break}case 1:{vg=Na;wg=tb;xg=oa;break}default:{vb=515;break L}}while(0);Ac=Ac+1|0;if((Ac|0)>=(vg|0)){Bg=vg;Cg=wg;Dg=xg;vb=539;break}else{Na=vg;tb=wg;oa=xg}}if((vb|0)==512){oa=Rb()|0;tb=Q;Sqa(yg);Ba=tb;Ca=oa;Qb(Ca|0)}else if((vb|0)==513){oa=Rb()|0;tb=Q;Sqa(zg);Ba=tb;Ca=oa;Qb(Ca|0)}else if((vb|0)==514){oa=Rb()|0;tb=Q;Sqa(Ag);Ba=tb;Ca=oa;Qb(Ca|0)}else if((vb|0)==515){oa=R+56|0;tb=R+4|0;k[R>>2]=27524;k[oa>>2]=27544;B=0;wa(508,R+56|0,tb|0);Na=B;B=0;if(Na&1){Na=Rb()|0;Eg=Q;Fg=Na;vva(oa);Qb(Fg|0)}k[R+128>>2]=0;k[R+132>>2]=-1;k[R>>2]=27468;k[oa>>2]=27488;B=0;va(448,tb|0);Na=B;B=0;do if(Na&1){Ac=Rb()|0;Gg=Q;Hg=Ac}else{k[tb>>2]=27560;Ac=R+36|0;k[Ac>>2]=0;k[Ac+4>>2]=0;k[Ac+8>>2]=0;k[Ac+12>>2]=0;k[R+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,tb|0,g|0);qa=B;B=0;if(qa&1){qa=Rb()|0;jb=Q;Yua(g);Yua(Ac);Ava(tb);Gg=jb;Hg=qa;break}Yua(g);B=0;qa=Ia(40,R|0,145010,13)|0;jb=B;B=0;N:do if(!(jb&1)?(B=0,Xa(239,qa|0,0)|0,xa=B,B=0,!(xa&1)):0){xa=Ab(20)|0;B=0;eb(502,S|0,145024,86);ra=B;B=0;do if(!(ra&1)){B=0;eb(502,T|0,145111,11);na=B;B=0;if(na&1){na=Rb()|0;bf=Q;Yua(S);Ig=bf;Jg=na;break}B=0;wa(510,U|0,tb|0);na=B;B=0;if(na&1){na=Rb()|0;Kg=1;Lg=Q;Mg=na}else{B=0;ua(163,xa|0,S|0,T|0,466,U|0);na=B;B=0;if(na&1)Ng=1;else{B=0;eb(503,xa|0,1240,229);B=0;Ng=0}na=Rb()|0;bf=Q;Yua(U);Kg=Ng;Lg=bf;Mg=na}Yua(T);Yua(S);if(Kg){Ig=Lg;Jg=Mg}else{Og=Lg;Pg=Mg;break N}}else{na=Rb()|0;Ig=Q;Jg=na}while(0);zb(xa|0);Og=Ig;Pg=Jg}else vb=530;while(0);if((vb|0)==530){qa=Rb()|0;Og=Q;Pg=qa}k[R>>2]=27468;k[oa>>2]=27488;k[tb>>2]=27560;Yua(Ac);Ava(tb);vva(oa);Ba=Og;Ca=Pg;Qb(Ca|0)}while(0);Eg=Gg;Fg=Hg;vva(oa);Qb(Fg|0)}else if((vb|0)==539){Qg=Bg;Rg=k[Jc>>2]|0;Sg=Cg;Tg=Dg;break}}else{Qg=ib;Rg=sg;Sg=tg;Tg=ug}while(0);if((Rg|0)>0){ib=b+36|0;la=xc+1+(Qg*3|0)|0;tb=Rg;Na=Sg;qa=0;jb=Tg;while(1){if(!(k[(k[ib>>2]|0)+(qa<<2)>>2]|0)){Ug=Na+1|0;Vg=tb;Wg=jb}else{ra=Qqa(144)|0;pa=Na+1|0;B=0;Ka(13,ra|0,la+qa|0,pa|0,jb|0,qa|0,b|0,c|0,544);na=B;B=0;if(na&1){Xg=ra;break}ih(a,ra)|0;Ug=pa;Vg=k[Jc>>2]|0;Wg=jb+1|0}qa=qa+1|0;if((qa|0)>=(Vg|0))break a;else{tb=Vg;Na=Ug;jb=Wg}}jb=Rb()|0;Na=Q;Sqa(Xg);Ba=Na;Ca=jb;Qb(Ca|0)}break}case 757:{lqa(j,b);jb=b+52|0;Na=k[jb>>2]|0;O:do if((Na|0)>0){tb=b+36|0;qa=ka+1|0;Jc=Na;la=0;ib=0;while(1){if(!(k[(k[tb>>2]|0)+(la<<2)>>2]|0)){Yg=Jc;Zg=ib}else{xc=Qqa(144)|0;B=0;Ka(13,xc|0,qa+la|0,la|0,ib|0,la|0,b|0,c|0,543);pa=B;B=0;if(pa&1){_g=xc;break}ih(a,xc)|0;Yg=k[jb>>2]|0;Zg=ib+1|0}la=la+1|0;if((la|0)>=(Yg|0)){$g=Yg;ah=Zg;break O}else{Jc=Yg;ib=Zg}}ib=Rb()|0;Jc=Q;Sqa(_g);Ba=Jc;Ca=ib;Qb(Ca|0)}else{$g=Na;ah=0}while(0);Na=b+64|0;ib=k[Na>>2]|0;do if((ib|0)>0){Jc=ka+1|0;la=ib;qa=0;tb=ah;while(1){if(!(i[(k[j>>2]|0)+qa>>0]|0)){bh=la;ch=tb}else{oa=Qqa(144)|0;xc=k[jb>>2]|0;B=0;Ka(13,oa|0,Jc+qa+xc|0,xc+qa|0,tb|0,0,b|0,c|0,543);xc=B;B=0;if(xc&1){dh=oa;break}ih(a,oa)|0;bh=k[Na>>2]|0;ch=tb+1|0}qa=qa+1|0;if((qa|0)>=(bh|0)){eh=bh;fh=ch;vb=562;break}else{la=bh;tb=ch}}if((vb|0)==562){gh=eh;hh=k[jb>>2]|0;jh=fh;break}tb=Rb()|0;la=Q;Sqa(dh);Ba=la;Ca=tb;Qb(Ca|0)}else{gh=ib;hh=$g;jh=ah}while(0);ib=gh+ka+hh|0;tb=b+48|0;if((k[tb>>2]|0)==625){mqa(h,b);la=b+60|0;qa=k[la>>2]|0;P:do if((qa|0)>0){Jc=b+68|0;oa=b+76|0;xc=ib+1|0;pa=qa;ra=0;na=jh;Q:while(1){bf=(ma(k[Jc>>2]|0,ra)|0)+2|0;switch(k[(k[oa>>2]|0)+(bf<<2)>>2]|0){case 2:{if(!(i[(k[h>>2]|0)+ra>>0]|0)){kh=pa;lh=na}else{bf=Qqa(144)|0;B=0;Ka(13,bf|0,xc+ra|0,(k[jb>>2]|0)+ra+(k[Na>>2]|0)|0,na|0,0,b|0,c|0,543);Ic=B;B=0;if(Ic&1){mh=bf;vb=570;break Q}ih(a,bf)|0;kh=k[la>>2]|0;lh=na+1|0}break}case 1:{kh=pa;lh=na;break}default:break Q}ra=ra+1|0;if((ra|0)>=(kh|0)){nh=kh;oh=lh;break P}else{pa=kh;na=lh}}if((vb|0)==570){na=Rb()|0;pa=Q;Sqa(mh);Ba=pa;Ca=na;Qb(Ca|0)}na=V+56|0;pa=V+4|0;k[V>>2]=27524;k[na>>2]=27544;B=0;wa(508,V+56|0,pa|0);ra=B;B=0;if(ra&1){ra=Rb()|0;ph=Q;qh=ra;vva(na);Qb(qh|0)}k[V+128>>2]=0;k[V+132>>2]=-1;k[V>>2]=27468;k[na>>2]=27488;B=0;va(448,pa|0);ra=B;B=0;do if(ra&1){xc=Rb()|0;rh=Q;sh=xc}else{k[pa>>2]=27560;xc=V+36|0;k[xc>>2]=0;k[xc+4>>2]=0;k[xc+8>>2]=0;k[xc+12>>2]=0;k[V+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,pa|0,g|0);oa=B;B=0;if(oa&1){oa=Rb()|0;Jc=Q;Yua(g);Yua(xc);Ava(pa);rh=Jc;sh=oa;break}Yua(g);B=0;oa=Ia(40,V|0,145010,13)|0;Jc=B;B=0;R:do if(!(Jc&1)?(B=0,Xa(239,oa|0,0)|0,bf=B,B=0,!(bf&1)):0){bf=Ab(20)|0;B=0;eb(502,W|0,145024,86);Ic=B;B=0;do if(!(Ic&1)){B=0;eb(502,X|0,145111,11);za=B;B=0;if(za&1){za=Rb()|0;cf=Q;Yua(W);th=cf;uh=za;break}B=0;wa(510,Y|0,pa|0);za=B;B=0;if(za&1){za=Rb()|0;vh=1;wh=Q;xh=za}else{B=0;ua(163,bf|0,W|0,X|0,507,Y|0);za=B;B=0;if(za&1)yh=1;else{B=0;eb(503,bf|0,1240,229);B=0;yh=0}za=Rb()|0;cf=Q;Yua(Y);vh=yh;wh=cf;xh=za}Yua(X);Yua(W);if(vh){th=wh;uh=xh}else{zh=wh;Ah=xh;break R}}else{za=Rb()|0;th=Q;uh=za}while(0);zb(bf|0);zh=th;Ah=uh}else vb=586;while(0);if((vb|0)==586){oa=Rb()|0;zh=Q;Ah=oa}k[V>>2]=27468;k[na>>2]=27488;k[pa>>2]=27560;Yua(xc);Ava(pa);vva(na);Ba=zh;Ca=Ah;Qb(Ca|0)}while(0);ph=rh;qh=sh;vva(na);Qb(qh|0)}else{nh=qa;oh=jh}while(0);Bh=nh+ib|0;Ch=oh}else{Bh=ib;Ch=jh}qa=b+56|0;la=k[qa>>2]|0;S:do if((la|0)>0){Na=b+32|0;jb=Bh+1|0;pa=la;ra=0;oa=Ch;while(1){if(!(i[(k[Na>>2]|0)+ra>>0]|0)){Dh=pa;Eh=oa}else{Jc=Qqa(144)|0;B=0;Ka(13,Jc|0,jb+ra|0,ra+Bh-(k[ja>>2]|0)|0,oa|0,0,b|0,c|0,543);Ac=B;B=0;if(Ac&1){Fh=Jc;break}ih(a,Jc)|0;Dh=k[qa>>2]|0;Eh=oa+1|0}ra=ra+1|0;if((ra|0)>=(Dh|0)){Gh=Dh;Hh=Eh;break S}else{pa=Dh;oa=Eh}}oa=Rb()|0;pa=Q;Sqa(Fh);Ba=pa;Ca=oa;Qb(Ca|0)}else{Gh=la;Hh=Ch}while(0);la=Gh+Bh|0;switch(k[tb>>2]|0){case 621:{Ih=3;break}case 623:{Ih=4;break}case 625:{Ih=6;break}default:{ib=Z+56|0;oa=Z+4|0;k[Z>>2]=27524;k[ib>>2]=27544;B=0;wa(508,Z+56|0,oa|0);pa=B;B=0;if(pa&1){pa=Rb()|0;Jh=Q;Kh=pa;vva(ib);Qb(Kh|0)}k[Z+128>>2]=0;k[Z+132>>2]=-1;k[Z>>2]=27468;k[ib>>2]=27488;B=0;va(448,oa|0);pa=B;B=0;do if(pa&1){ra=Rb()|0;Lh=Q;Mh=ra}else{k[oa>>2]=27560;ra=Z+36|0;k[ra>>2]=0;k[ra+4>>2]=0;k[ra+8>>2]=0;k[ra+12>>2]=0;k[Z+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,oa|0,g|0);jb=B;B=0;if(jb&1){jb=Rb()|0;Na=Q;Yua(g);Yua(ra);Ava(oa);Lh=Na;Mh=jb;break}Yua(g);B=0;jb=Ia(40,Z|0,150248,32)|0;Na=B;B=0;T:do if(!(Na&1)?(B=0,Xa(239,jb|0,0)|0,na=B,B=0,!(na&1)):0){na=Ab(20)|0;B=0;eb(502,_|0,145024,86);Jc=B;B=0;do if(!(Jc&1)){B=0;eb(502,$|0,145111,11);Ac=B;B=0;if(Ac&1){Ac=Rb()|0;Ic=Q;Yua(_);Nh=Ic;Oh=Ac;break}B=0;wa(510,aa|0,oa|0);Ac=B;B=0;if(Ac&1){Ac=Rb()|0;Ph=1;Qh=Q;Rh=Ac}else{B=0;ua(163,na|0,_|0,$|0,524,aa|0);Ac=B;B=0;if(Ac&1)Sh=1;else{B=0;eb(503,na|0,1240,229);B=0;Sh=0}Ac=Rb()|0;Ic=Q;Yua(aa);Ph=Sh;Qh=Ic;Rh=Ac}Yua($);Yua(_);if(Ph){Nh=Qh;Oh=Rh}else{Th=Qh;Uh=Rh;break T}}else{Ac=Rb()|0;Nh=Q;Oh=Ac}while(0);zb(na|0);Th=Nh;Uh=Oh}else vb=621;while(0);if((vb|0)==621){jb=Rb()|0;Th=Q;Uh=jb}k[Z>>2]=27468;k[ib>>2]=27488;k[oa>>2]=27560;Yua(ra);Ava(oa);vva(ib);Ba=Th;Ca=Uh;Qb(Ca|0)}while(0);Jh=Lh;Kh=Mh;vva(ib);Qb(Kh|0)}}if((Gh|0)>0){oa=b+32|0;pa=la+1|0;tb=b+72|0;jb=Gh;Na=0;Jc=Hh;U:while(1){if(!(i[(k[oa>>2]|0)+Na>>0]|0)){Vh=jb;Wh=Jc}else{xc=ma(Na,Ih)|0;Ac=pa+xc|0;Ic=xc+la|0;xa=0;za=Jc;while(1){cf=Qqa(144)|0;B=0;Ka(13,cf|0,Ac+xa|0,Ic+xa-(k[ja>>2]|0)|0,za|0,(k[(k[tb>>2]|0)+(xa+xc<<2)>>2]|0)+-1|0,b|0,c|0,544);Xh=B;B=0;if(Xh&1){Yh=cf;break U}Xh=za+1|0;ih(a,cf)|0;xa=xa+1|0;if((xa|0)>=(Ih|0)){Zh=Xh;break}else za=Xh}Vh=k[qa>>2]|0;Wh=Zh}Na=Na+1|0;if((Na|0)>=(Vh|0))break a;else{jb=Vh;Jc=Wh}}Jc=Rb()|0;jb=Q;Sqa(Yh);Ba=jb;Ca=Jc;Qb(Ca|0)}break}case 758:{lqa(j,b);Jc=b+52|0;jb=k[Jc>>2]|0;V:do if((jb|0)>0){Na=b+36|0;qa=ka+1|0;tb=jb;la=0;pa=0;while(1){if(!(k[(k[Na>>2]|0)+(la<<2)>>2]|0)){_h=tb;$h=pa}else{oa=Qqa(144)|0;B=0;Ka(13,oa|0,qa+la|0,la|0,pa|0,la|0,b|0,c|0,543);ib=B;B=0;if(ib&1){ai=oa;break}ih(a,oa)|0;_h=k[Jc>>2]|0;$h=pa+1|0}la=la+1|0;if((la|0)>=(_h|0)){bi=_h;ci=$h;break V}else{tb=_h;pa=$h}}pa=Rb()|0;tb=Q;Sqa(ai);Ba=tb;Ca=pa;Qb(Ca|0)}else{bi=jb;ci=0}while(0);jb=b+64|0;pa=k[jb>>2]|0;do if((pa|0)>0){tb=ka+1|0;la=pa;qa=0;Na=ci;while(1){if(!(i[(k[j>>2]|0)+qa>>0]|0)){di=la;ei=Na}else{oa=Qqa(144)|0;ib=k[Jc>>2]|0;B=0;Ka(13,oa|0,tb+qa+ib|0,ib+qa|0,Na|0,0,b|0,c|0,543);ib=B;B=0;if(ib&1){fi=oa;break}ih(a,oa)|0;di=k[jb>>2]|0;ei=Na+1|0}qa=qa+1|0;if((qa|0)>=(di|0)){gi=di;hi=ei;vb=652;break}else{la=di;Na=ei}}if((vb|0)==652){ii=gi;ji=k[Jc>>2]|0;ki=hi;break}Na=Rb()|0;la=Q;Sqa(fi);Ba=la;Ca=Na;Qb(Ca|0)}else{ii=pa;ji=bi;ki=ci}while(0);pa=ii+ka+ji|0;if((k[b+48>>2]|0)==625){mqa(h,b);Na=b+60|0;la=k[Na>>2]|0;W:do if((la|0)>0){qa=b+68|0;tb=b+76|0;oa=pa+1|0;ib=la;za=0;xa=ki;X:while(1){xc=(ma(k[qa>>2]|0,za)|0)+2|0;switch(k[(k[tb>>2]|0)+(xc<<2)>>2]|0){case 2:{if(!(i[(k[h>>2]|0)+za>>0]|0)){li=ib;mi=xa}else{xc=Qqa(144)|0;B=0;Ka(13,xc|0,oa+za|0,(k[Jc>>2]|0)+za+(k[jb>>2]|0)|0,xa|0,0,b|0,c|0,543);Ic=B;B=0;if(Ic&1){ni=xc;vb=660;break X}ih(a,xc)|0;li=k[Na>>2]|0;mi=xa+1|0}break}case 1:{li=ib;mi=xa;break}default:break X}za=za+1|0;if((za|0)>=(li|0)){oi=li;pi=mi;break W}else{ib=li;xa=mi}}if((vb|0)==660){xa=Rb()|0;ib=Q;Sqa(ni);Ba=ib;Ca=xa;Qb(Ca|0)}xa=ba+56|0;ib=ba+4|0;k[ba>>2]=27524;k[xa>>2]=27544;B=0;wa(508,ba+56|0,ib|0);za=B;B=0;if(za&1){za=Rb()|0;qi=Q;ri=za;vva(xa);Qb(ri|0)}k[ba+128>>2]=0;k[ba+132>>2]=-1;k[ba>>2]=27468;k[xa>>2]=27488;B=0;va(448,ib|0);za=B;B=0;do if(za&1){oa=Rb()|0;si=Q;ti=oa}else{k[ib>>2]=27560;oa=ba+36|0;k[oa>>2]=0;k[oa+4>>2]=0;k[oa+8>>2]=0;k[oa+12>>2]=0;k[ba+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,ib|0,g|0);tb=B;B=0;if(tb&1){tb=Rb()|0;qa=Q;Yua(g);Yua(oa);Ava(ib);si=qa;ti=tb;break}Yua(g);B=0;tb=Ia(40,ba|0,145010,13)|0;qa=B;B=0;Y:do if(!(qa&1)?(B=0,Xa(239,tb|0,0)|0,xc=B,B=0,!(xc&1)):0){xc=Ab(20)|0;B=0;eb(502,ca|0,145024,86);Ic=B;B=0;do if(!(Ic&1)){B=0;eb(502,da|0,145111,11);Ac=B;B=0;if(Ac&1){Ac=Rb()|0;ra=Q;Yua(ca);ui=ra;vi=Ac;break}B=0;wa(510,ea|0,ib|0);Ac=B;B=0;if(Ac&1){Ac=Rb()|0;wi=1;xi=Q;yi=Ac}else{B=0;ua(163,xc|0,ca|0,da|0,563,ea|0);Ac=B;B=0;if(Ac&1)zi=1;else{B=0;eb(503,xc|0,1240,229);B=0;zi=0}Ac=Rb()|0;ra=Q;Yua(ea);wi=zi;xi=ra;yi=Ac}Yua(da);Yua(ca);if(wi){ui=xi;vi=yi}else{Ai=xi;Bi=yi;break Y}}else{Ac=Rb()|0;ui=Q;vi=Ac}while(0);zb(xc|0);Ai=ui;Bi=vi}else vb=676;while(0);if((vb|0)==676){tb=Rb()|0;Ai=Q;Bi=tb}k[ba>>2]=27468;k[xa>>2]=27488;k[ib>>2]=27560;Yua(oa);Ava(ib);vva(xa);Ba=Ai;Ca=Bi;Qb(Ca|0)}while(0);qi=si;ri=ti;vva(xa);Qb(ri|0)}else{oi=la;pi=ki}while(0);Ci=oi+pa|0;Di=pi}else{Ci=pa;Di=ki}la=b+56|0;Na=k[la>>2]|0;if((Na|0)>0){jb=b+32|0;Jc=Ci+1|0;ib=Na;Na=0;za=Di;while(1){if(!(i[(k[jb>>2]|0)+Na>>0]|0)){Ei=ib;Fi=za}else{tb=Qqa(144)|0;B=0;Ka(13,tb|0,Jc+Na|0,Na+Ci-(k[ja>>2]|0)|0,za|0,0,b|0,c|0,543);qa=B;B=0;if(qa&1){Gi=tb;break}ih(a,tb)|0;Ei=k[la>>2]|0;Fi=za+1|0}Na=Na+1|0;if((Na|0)>=(Ei|0))break a;else{ib=Ei;za=Fi}}za=Rb()|0;ib=Q;Sqa(Gi);Ba=ib;Ca=za;Qb(Ca|0)}break}default:{za=fa+56|0;ib=fa+4|0;k[fa>>2]=27524;k[za>>2]=27544;B=0;wa(508,fa+56|0,ib|0);Na=B;B=0;if(Na&1){Na=Rb()|0;Hi=Q;Ii=Na;vva(za);Qb(Ii|0)}k[fa+128>>2]=0;k[fa+132>>2]=-1;k[fa>>2]=27468;k[za>>2]=27488;B=0;va(448,ib|0);Na=B;B=0;do if(Na&1){la=Rb()|0;Ji=Q;Ki=la}else{k[ib>>2]=27560;la=fa+36|0;k[la>>2]=0;k[la+4>>2]=0;k[la+8>>2]=0;k[la+12>>2]=0;k[fa+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,ib|0,g|0);Jc=B;B=0;if(Jc&1){Jc=Rb()|0;jb=Q;Yua(g);Yua(la);Ava(ib);Ji=jb;Ki=Jc;break}Yua(g);B=0;Jc=Ia(40,fa|0,145867,15)|0;jb=B;B=0;Z:do if((((!(jb&1)?(B=0,pa=ya(427,d|0)|0,tb=B,B=0,!(tb&1)):0)?(tb=Lta(pa)|0,B=0,qa=Ia(40,Jc|0,pa|0,tb|0)|0,tb=B,B=0,!(tb&1)):0)?(B=0,tb=Ia(40,qa|0,146481,18)|0,qa=B,B=0,!(qa&1)):0)?(B=0,Xa(239,tb|0,0)|0,tb=B,B=0,!(tb&1)):0){tb=Ab(20)|0;B=0;eb(502,ga|0,145024,86);qa=B;B=0;do if(!(qa&1)){B=0;eb(502,ha|0,145111,11);pa=B;B=0;if(pa&1){pa=Rb()|0;na=Q;Yua(ga);Li=pa;Mi=na;break}B=0;wa(510,ia|0,ib|0);na=B;B=0;if(na&1){na=Rb()|0;Ni=1;Oi=Q;Pi=na}else{B=0;ua(163,tb|0,ga|0,ha|0,578,ia|0);na=B;B=0;if(na&1)Qi=1;else{B=0;eb(503,tb|0,1240,229);B=0;Qi=0}na=Rb()|0;pa=Q;Yua(ia);Ni=Qi;Oi=pa;Pi=na}Yua(ha);Yua(ga);if(Ni){Li=Pi;Mi=Oi}else{Ri=Oi;Si=Pi;break Z}}else{na=Rb()|0;Li=na;Mi=Q}while(0);zb(tb|0);Ri=Mi;Si=Li}else vb=711;while(0);if((vb|0)==711){Jc=Rb()|0;Ri=Q;Si=Jc}k[fa>>2]=27468;k[za>>2]=27488;k[ib>>2]=27560;Yua(la);Ava(ib);vva(za);Ba=Ri;Ca=Si;Qb(Ca|0)}while(0);Hi=Ji;Ii=Ki;vva(za);Qb(Ii|0)}}while(0);Ii=k[h>>2]|0;if(Ii)Tqa(Ii);k[h>>2]=0;h=k[j>>2]|0;if(h)Tqa(h);k[j>>2]=0;j=k[l>>2]|0;if(!j){r=f;return}Tqa(j);r=f;return}function ioa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;f=nn(d)|0;g=Qqa(8)|0;B=0;va(485,g|0);h=B;B=0;a:do if(h&1)i=21;else{do if(k[g>>2]|0){B=0;j=ya(423,4)|0;l=B;B=0;if(l&1){i=21;break a}B=0;eb(505,j|0,f|0,0);l=B;B=0;if(l&1){l=Rb()|0;m=Q;Sqa(j);n=m;o=l;break a}else{k[g+4>>2]=j;break}}while(0);j=Qqa(8)|0;B=0;va(485,j|0);l=B;B=0;b:do if(l&1)i=23;else{do if(k[j>>2]|0){B=0;m=ya(423,4)|0;p=B;B=0;if(p&1){i=23;break b}B=0;eb(505,m|0,f|0,0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Sqa(m);r=q;s=p;break b}else{k[j+4>>2]=m;break}}while(0);m=Qqa(8)|0;B=0;va(485,m|0);p=B;B=0;c:do if(p&1)i=25;else{do if(k[m>>2]|0){B=0;q=ya(423,4)|0;t=B;B=0;if(t&1){i=25;break c}B=0;eb(505,q|0,f|0,0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Sqa(q);v=u;w=t;break c}else{k[m+4>>2]=q;break}}while(0);if((th(d)|0)>0){q=0;do{Jo(qh(d,q)|0,g,j,m,e);q=q+1|0}while((q|0)<(th(d)|0))}if(k[g>>2]|0){q=k[k[g+4>>2]>>2]|0;Ec[k[(k[q>>2]|0)+12>>2]&1023](q)}if(k[j>>2]|0){q=k[k[j+4>>2]>>2]|0;Ec[k[(k[q>>2]|0)+12>>2]&1023](q)}if(k[m>>2]|0){q=k[k[m+4>>2]>>2]|0;Ec[k[(k[q>>2]|0)+12>>2]&1023](q)}if(!(k[g>>2]|0))x=0;else{q=k[k[g+4>>2]>>2]|0;x=Hc[k[(k[q>>2]|0)+52>>2]&511](q)|0}q=x;if(!(k[j>>2]|0))y=0;else{t=k[k[j+4>>2]>>2]|0;y=Hc[k[(k[t>>2]|0)+52>>2]&511](t)|0}if(!(k[m>>2]|0))z=0;else{t=k[k[m+4>>2]>>2]|0;z=Hc[k[(k[t>>2]|0)+52>>2]&511](t)|0}if((k[g>>2]|0)!=0?(t=k[g+4>>2]|0,(t|0)!=0):0){u=k[t>>2]|0;if(u)Ec[k[(k[u>>2]|0)+4>>2]&1023](u);Sqa(t)}Sqa(g);if((k[j>>2]|0)!=0?(t=k[j+4>>2]|0,(t|0)!=0):0){u=k[t>>2]|0;if(u)Ec[k[(k[u>>2]|0)+4>>2]&1023](u);Sqa(t)}Sqa(j);do if(k[m>>2]|0){t=k[m+4>>2]|0;if(!t)break;u=k[t>>2]|0;if(u)Ec[k[(k[u>>2]|0)+4>>2]&1023](u);Sqa(t)}while(0);Sqa(m);do if(!a){if(!x)break;Tqa(x)}else k[a>>2]=q;while(0);do if(!b){if(!y)break;Tqa(y)}else k[b>>2]=y;while(0);if(c){k[c>>2]=z;return}if(!z)return;Tqa(z);return}while(0);if((i|0)==25){p=Rb()|0;v=Q;w=p}Sqa(m);A=v;C=w;Qb(C|0)}while(0);if((i|0)==23){l=Rb()|0;r=Q;s=l}Sqa(j);A=r;C=s;Qb(C|0)}while(0);if((i|0)==21){i=Rb()|0;n=Q;o=i}Sqa(g);A=n;C=o;Qb(C|0)}function joa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=a+20|0;if((th(k[d>>2]|0)|0)>0)e=0;else return;do{Sp(qh(k[d>>2]|0,e)|0,b,c);e=e+1|0}while((e|0)<(th(k[d>>2]|0)|0));return}function koa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=a+20|0;if((th(k[d>>2]|0)|0)>0)e=0;else return;do{a=qh(k[d>>2]|0,e)|0;nd[k[(k[a>>2]|0)+220>>2]&1023](a,b,c);e=e+1|0}while((e|0)<(th(k[d>>2]|0)|0));return}function loa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0;f=r;r=r+16|0;g=f+8|0;h=f+4|0;i=f;k[h>>2]=0;k[i>>2]=0;j=e+44|0;cO(k[j>>2]|0,g,478);cO(k[j>>2]|0,f+12|0,277);j=e+24|0;l=en(k[j>>2]|0,k[g>>2]|0,937)|0;m=en(k[j>>2]|0,k[g>>2]|0,966)|0;n=fn(k[j>>2]|0,k[g>>2]|0,937)|0;o=fn(k[j>>2]|0,k[g>>2]|0,966)|0;an(k[j>>2]|0,k[g>>2]|0,943)|0;g=qZ()|0;j=(a|0)!=0;a:do if(j){if(!(Ita(g,145123)|0)){p=Qqa(8)|0;B=0;va(539,p|0);q=B;B=0;do if(!(q&1)){if(!(k[p>>2]|0)){s=p;break a}B=0;t=ya(423,4)|0;u=B;B=0;if(!(u&1)){B=0;Ta(32,t|0,n|0,n|0,l|0,l|0,0,0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Sqa(t);w=v;x=u;break}else{k[p+4>>2]=t;s=p;break a}}else y=9}else y=9;while(0);if((y|0)==9){q=Rb()|0;w=Q;x=q}Sqa(p);z=w;A=x;Qb(A|0)}moa(h,i,e,937,937);q=Qqa(8)|0;t=k[h>>2]|0;u=k[i>>2]|0;B=0;va(539,q|0);v=B;B=0;b:do if(v&1)y=22;else{do if(k[q>>2]|0){B=0;C=ya(423,4)|0;D=B;B=0;if(D&1){y=22;break b}B=0;Ta(32,C|0,n|0,n|0,l|0,l|0,t|0,u|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Sqa(C);F=E;G=D;break b}else{k[q+4>>2]=C;break}}while(0);if(t)Tqa(t);k[h>>2]=0;if(u)Tqa(u);k[i>>2]=0;s=q;break a}while(0);if((y|0)==22){u=Rb()|0;F=Q;G=u}Sqa(q);z=F;A=G;Qb(A|0)}else s=0;while(0);G=(b|0)==0;c:do if(G)H=0;else{if(!(Ita(g,145123)|0)){F=Qqa(8)|0;B=0;va(539,F|0);x=B;B=0;do if(!(x&1)){if(!(k[F>>2]|0)){H=F;break c}B=0;w=ya(423,4)|0;u=B;B=0;if(!(u&1)){B=0;Ta(32,w|0,n|0,o|0,l|0,m|0,0,0);u=B;B=0;if(u&1){u=Rb()|0;t=Q;Sqa(w);I=t;J=u;break}else{k[F+4>>2]=w;H=F;break c}}else y=32}else y=32;while(0);if((y|0)==32){x=Rb()|0;I=Q;J=x}Sqa(F);z=I;A=J;Qb(A|0)}moa(h,i,e,937,966);x=Qqa(8)|0;q=k[h>>2]|0;w=k[i>>2]|0;B=0;va(539,x|0);u=B;B=0;d:do if(u&1)y=45;else{do if(k[x>>2]|0){B=0;t=ya(423,4)|0;v=B;B=0;if(v&1){y=45;break d}B=0;Ta(32,t|0,n|0,o|0,l|0,m|0,q|0,w|0);v=B;B=0;if(v&1){v=Rb()|0;p=Q;Sqa(t);K=p;L=v;break d}else{k[x+4>>2]=t;break}}while(0);if(q)Tqa(q);k[h>>2]=0;if(w)Tqa(w);k[i>>2]=0;H=x;break c}while(0);if((y|0)==45){w=Rb()|0;K=Q;L=w}Sqa(x);z=K;A=L;Qb(A|0)}while(0);L=(c|0)==0;e:do if(L)M=0;else{K=Qqa(8)|0;B=0;va(485,K|0);i=B;B=0;do if(!(i&1)){if(!(k[K>>2]|0)){M=K;break e}B=0;h=ya(423,4)|0;m=B;B=0;if(!(m&1)){B=0;eb(525,h|0,n|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;o=Q;Sqa(h);N=o;O=m;break}else{k[K+4>>2]=h;M=K;break e}}else y=54}else y=54;while(0);if((y|0)==54){i=Rb()|0;N=Q;O=i}Sqa(K);z=N;A=O;Qb(A|0)}while(0);O=(d|0)==0;f:do if(O)P=0;else{N=Qqa(8)|0;B=0;va(485,N|0);i=B;B=0;do if(!(i&1)){if(!(k[N>>2]|0)){P=N;break f}B=0;x=ya(423,4)|0;h=B;B=0;if(!(h&1)){B=0;eb(525,x|0,n|0,l|0);h=B;B=0;if(h&1){h=Rb()|0;m=Q;Sqa(x);R=m;S=h;break}else{k[N+4>>2]=x;P=N;break f}}else y=63}else y=63;while(0);if((y|0)==63){i=Rb()|0;R=Q;S=i}Sqa(N);z=R;A=S;Qb(A|0)}while(0);if(g)Tqa(g);if(j)k[a>>2]=s;if(!G)k[b>>2]=H;if(!L)k[c>>2]=M;if(O){r=f;return}k[d>>2]=P;r=f;return}function moa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0;f=r;r=r+208|0;g=f+188|0;h=f+184|0;j=f+180|0;l=f+176|0;m=f+40|0;n=f+24|0;o=f+12|0;p=f;cO(k[c+44>>2]|0,h,478);q=c+24|0;s=bn(k[q>>2]|0,k[h>>2]|0)|0;t=th(k[q>>2]|0)|0;u=an(k[q>>2]|0,k[h>>2]|0,943)|0;en(k[q>>2]|0,k[h>>2]|0,d)|0;v=en(k[q>>2]|0,k[h>>2]|0,e)|0;w=fn(k[q>>2]|0,k[h>>2]|0,d)|0;x=fn(k[q>>2]|0,k[h>>2]|0,e)|0;y=c+20|0;z=Pq(k[y>>2]|0)|0;A=c+36|0;c=cL(k[A>>2]|0,k[h>>2]|0)|0;C=t>>>0>1073741823?-1:t<<2;D=Rqa(C)|0;E=(t|0)>0;if(E)WEa(D|0,-1,t<<2|0)|0;F=ma(th(k[y>>2]|0)|0,z)|0;G=Rqa(F>>>0>1073741823?-1:F<<2)|0;F=ma(th(k[y>>2]|0)|0,z)|0;H=Rqa(F>>>0>1073741823?-1:F<<2)|0;if((th(k[y>>2]|0)|0)>0){F=0;I=0;while(1){J=qh(k[y>>2]|0,F)|0;K=Hc[k[(k[J>>2]|0)+164>>2]&511](J)|0;L=Rqa(K>>>0>1073741823?-1:K<<2)|0;Ep(J,L);if((Hc[k[(k[J>>2]|0)+164>>2]&511](J)|0)>0){K=0;M=I;while(1){N=k[L+(K<<2)>>2]|0;k[H+(M<<2)>>2]=F;O=D+(N<<2)|0;k[G+(M<<2)>>2]=k[O>>2];N=M+1|0;k[O>>2]=M;K=K+1|0;if((K|0)>=(Hc[k[(k[J>>2]|0)+164>>2]&511](J)|0)){P=N;break}else M=N}}else P=I;if((z|0)>(Hc[k[(k[J>>2]|0)+164>>2]&511](J)|0)){M=0;K=P;while(1){N=K+1|0;M=M+1|0;if((M|0)>=(z-(Hc[k[(k[J>>2]|0)+164>>2]&511](J)|0)|0)){R=N;break}else K=N}}else R=P;Tqa(L);F=F+1|0;if((F|0)>=(th(k[y>>2]|0)|0))break;else I=R}}R=Rqa(C)|0;if(E)WEa(R|0,-1,t<<2|0)|0;I=ma(gL(k[A>>2]|0,k[h>>2]|0)|0,c)|0;F=Rqa(I>>>0>1073741823?-1:I<<2)|0;I=ma(gL(k[A>>2]|0,k[h>>2]|0)|0,c)|0;P=Rqa(I>>>0>1073741823?-1:I<<2)|0;if((bL(k[A>>2]|0)|0)>0){I=0;z=0;while(1){K=qh(k[A>>2]|0,I)|0;if(ed[k[(k[K>>2]|0)+60>>2]&511](K,k[h>>2]|0)|0){J=Hc[k[(k[K>>2]|0)+56>>2]&511](K)|0;M=Rqa(J>>>0>1073741823?-1:J<<2)|0;Fc[k[(k[K>>2]|0)+48>>2]&1023](K,M);if((Hc[k[(k[K>>2]|0)+56>>2]&511](K)|0)>0){J=0;N=z;while(1){O=k[M+(J<<2)>>2]|0;k[P+(N<<2)>>2]=I;S=R+(O<<2)|0;k[F+(N<<2)>>2]=k[S>>2];O=N+1|0;k[S>>2]=N;J=J+1|0;if((J|0)>=(Hc[k[(k[K>>2]|0)+56>>2]&511](K)|0)){T=O;break}else N=O}}else T=z;if((c|0)>(Hc[k[(k[K>>2]|0)+56>>2]&511](K)|0)){N=0;J=T;while(1){L=J+1|0;N=N+1|0;if((N|0)>=(c-(Hc[k[(k[K>>2]|0)+56>>2]&511](K)|0)|0)){U=L;break}else J=L}}else U=T;Tqa(M);V=U}else V=z;I=I+1|0;if((I|0)>=(bL(k[A>>2]|0)|0))break;else z=V}}V=Rqa(t)|0;z=Rqa(C)|0;C=s>>>0>1073741823?-1:s<<2;I=Rqa(C)|0;if(!s){U=Rqa(C)|0;T=Rqa(C)|0;W=Rqa(C)|0;X=U;Y=T}else{T=s<<2;WEa(I|0,0,T|0)|0;U=Rqa(C)|0;WEa(U|0,0,T|0)|0;c=Rqa(C)|0;WEa(c|0,0,T|0)|0;J=Rqa(C)|0;WEa(J|0,0,T|0)|0;W=J;X=U;Y=c}if(E){WEa(V|0,0,t|0)|0;WEa(z|0,-1,t<<2|0)|0}if((th(k[q>>2]|0)|0)>0){t=0;do{E=qh(k[q>>2]|0,t)|0;if(Tn(E,k[h>>2]|0)|0){c=k[z>>2]|0;if((c|0)>-1){U=c;c=z;J=0;do{i[V+U>>0]=0;k[c>>2]=-1;J=J+1|0;c=z+(J<<2)|0;U=k[c>>2]|0}while((U|0)>-1)}U=D+((Rn(E)|0)<<2)|0;c=k[U>>2]|0;if((c|0)!=-1){U=c;do{rq(qh(k[y>>2]|0,k[H+(U<<2)>>2]|0)|0,j,l,E,V,z,d,e);c=(fo(E)|0)==0;J=k[j>>2]|0;if(c){c=I+((Qn(E)|0)<<2)|0;k[c>>2]=(k[c>>2]|0)+J;c=k[l>>2]|0;M=X+((Qn(E)|0)<<2)|0;k[M>>2]=(k[M>>2]|0)+c}else{c=(k[l>>2]|0)+J|0;J=Y+((Qn(E)|0)<<2)|0;k[J>>2]=c+(k[J>>2]|0)}U=k[G+(U<<2)>>2]|0}while((U|0)!=-1)}U=R+((Rn(E)|0)<<2)|0;J=k[U>>2]|0;if((J|0)!=-1){U=J;do{J=qh(k[A>>2]|0,k[P+(U<<2)>>2]|0)|0;Tc[k[(k[J>>2]|0)+88>>2]&15](J,j,l,E,V,z,d,e);J=(fo(E)|0)==0;c=k[j>>2]|0;if(J){J=I+((Qn(E)|0)<<2)|0;k[J>>2]=(k[J>>2]|0)+c;J=k[l>>2]|0;M=X+((Qn(E)|0)<<2)|0;k[M>>2]=(k[M>>2]|0)+J}else{J=(k[l>>2]|0)+c|0;c=Y+((Qn(E)|0)<<2)|0;k[c>>2]=J+(k[c>>2]|0)}U=k[F+(U<<2)>>2]|0}while((U|0)!=-1)}}t=t+1|0}while((t|0)<(th(k[q>>2]|0)|0))}Tqa(V);Tqa(z);Tqa(H);Tqa(D);Tqa(G);Tqa(P);Tqa(R);Tqa(F);fZ(Y,W,s,4,4,uY()|0)|0;Tqa(Y);if((d|0)==937){d=w>>>0>1073741823?-1:w<<2;w=Rqa(d)|0;Y=Rqa(d)|0;if((th(k[q>>2]|0)|0)<=0){Tqa(I);Tqa(X);Tqa(W);k[a>>2]=w;k[b>>2]=Y;r=f;return}d=v-x|0;v=0;s=0;while(1){F=qh(k[q>>2]|0,s)|0;if((Tn(F,k[h>>2]|0)|0?(fo(F)|0)==0:0)?(R=F+28|0,(k[R>>2]|0)>0):0){P=v;G=0;while(1){D=I+((Qn(F)|0)<<2)|0;H=k[D>>2]|0;D=W+((Qn(F)|0)<<2)|0;z=ma((k[D>>2]|0)+H|0,u)|0;H=w+(P<<2)|0;k[H>>2]=z;z=X+((Qn(F)|0)<<2)|0;D=k[z>>2]|0;z=W+((Qn(F)|0)<<2)|0;V=ma((k[z>>2]|0)+D|0,u)|0;D=Y+(P<<2)|0;k[D>>2]=V;if((k[H>>2]|0)>(x|0))k[H>>2]=x;if((V|0)>(d|0))k[D>>2]=d;D=P+1|0;G=G+1|0;if((G|0)>=(k[R>>2]|0)){Z=D;break}else P=D}}else Z=v;s=s+1|0;if((s|0)>=(th(k[q>>2]|0)|0))break;else v=Z}Tqa(I);Tqa(X);Tqa(W);k[a>>2]=w;k[b>>2]=Y;r=f;return}f=m+56|0;Y=m+4|0;k[m>>2]=27524;k[f>>2]=27544;B=0;wa(508,m+56|0,Y|0);b=B;B=0;if(b&1){b=Rb()|0;_=Q;$=b;vva(f);Qb($|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[f>>2]=27488;B=0;va(448,Y|0);b=B;B=0;do if(b&1){w=Rb()|0;aa=Q;ba=w}else{k[Y>>2]=27560;w=m+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[m+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,Y|0,g|0);a=B;B=0;if(a&1){a=Rb()|0;W=Q;Yua(g);Yua(w);Ava(Y);aa=W;ba=a;break}Yua(g);B=0;a=Ia(40,m|0,145128,20)|0;W=B;B=0;if(!(W&1)?(B=0,Xa(239,a|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,n|0,145149,106);W=B;B=0;do if(!(W&1)){B=0;eb(502,o|0,145256,14);X=B;B=0;if(X&1){X=Rb()|0;I=Q;Yua(n);ca=I;da=X;break}B=0;wa(510,p|0,Y|0);X=B;B=0;if(X&1){X=Rb()|0;ea=Q;fa=X;ga=1}else{B=0;ua(163,a|0,n|0,o|0,273,p|0);X=B;B=0;if(X&1)ha=1;else{B=0;eb(503,a|0,1240,229);B=0;ha=0}X=Rb()|0;I=Q;Yua(p);ea=I;fa=X;ga=ha}Yua(o);Yua(n);if(ga){ca=ea;da=fa}else{ia=ea;ja=fa;k[m>>2]=27468;k[f>>2]=27488;k[Y>>2]=27560;Yua(w);Ava(Y);vva(f);Qb(ja|0)}}else{X=Rb()|0;ca=Q;da=X}while(0);zb(a|0);ia=ca;ja=da;k[m>>2]=27468;k[f>>2]=27488;k[Y>>2]=27560;Yua(w);Ava(Y);vva(f);Qb(ja|0)}W=Rb()|0;ia=Q;ja=W;k[m>>2]=27468;k[f>>2]=27488;k[Y>>2]=27560;Yua(w);Ava(Y);vva(f);Qb(ja|0)}while(0);_=aa;$=ba;vva(f);Qb($|0)}function noa(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;g=r;r=r+528|0;f=g+516|0;c=g+368|0;b=g+504|0;h=g+356|0;i=g+344|0;j=g+208|0;l=g+60|0;m=g+48|0;n=g+36|0;o=g+72|0;p=g+24|0;q=g+12|0;s=g;switch(bZ()|0){case 973:{t=Qqa(16)|0;k[t>>2]=28724;k[t+4>>2]=d;k[t+8>>2]=e;u=t+12|0;k[u>>2]=0;v=ma(e,d)|0;if(!v){k[a>>2]=t;r=g;return}B=0;d=ya(422,(v>>>0>536870911?-1:v<<3)|0)|0;e=B;B=0;if(e&1){e=Rb()|0;w=Q;Sqa(t);x=w;y=e;Qb(y|0)}else{WEa(d|0,0,v<<3|0)|0;k[u>>2]=d;k[a>>2]=t;r=g;return}break}case 974:{g=c+56|0;t=c+4|0;k[c>>2]=27524;k[g>>2]=27544;B=0;wa(508,c+56|0,t|0);a=B;B=0;if(a&1){a=Rb()|0;z=Q;A=a;vva(g);Qb(A|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[g>>2]=27488;B=0;va(448,t|0);a=B;B=0;do if(a&1){d=Rb()|0;C=Q;D=d}else{k[t>>2]=27560;d=c+36|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[c+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,t|0,f|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(f);Yua(d);Ava(t);C=v;D=u;break}Yua(f);B=0;u=Ia(40,c|0,145271,44)|0;v=B;B=0;a:do if(!(v&1)?(B=0,Xa(239,u|0,0)|0,e=B,B=0,!(e&1)):0){e=Ab(20)|0;B=0;eb(502,b|0,145316,134);w=B;B=0;do if(!(w&1)){B=0;eb(502,h|0,145451,7);E=B;B=0;if(E&1){E=Rb()|0;F=Q;Yua(b);G=F;H=E;break}B=0;wa(510,i|0,t|0);E=B;B=0;if(E&1){E=Rb()|0;I=E;J=Q;K=1}else{B=0;ua(163,e|0,b|0,h|0,131,i|0);E=B;B=0;if(E&1)L=1;else{B=0;eb(503,e|0,1240,229);B=0;L=0}E=Rb()|0;F=Q;Yua(i);I=E;J=F;K=L}Yua(h);Yua(b);if(K){G=J;H=I}else{M=J;N=I;break a}}else{F=Rb()|0;G=Q;H=F}while(0);zb(e|0);M=G;N=H}else O=22;while(0);if((O|0)==22){u=Rb()|0;M=Q;N=u}k[c>>2]=27468;k[g>>2]=27488;k[t>>2]=27560;Yua(d);Ava(t);vva(g);x=M;y=N;Qb(y|0)}while(0);z=C;A=D;vva(g);Qb(A|0);break}case 975:{A=j+56|0;g=j+4|0;k[j>>2]=27524;k[A>>2]=27544;B=0;wa(508,j+56|0,g|0);D=B;B=0;if(D&1){D=Rb()|0;P=Q;R=D;vva(A);Qb(R|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[A>>2]=27488;B=0;va(448,g|0);D=B;B=0;do if(D&1){C=Rb()|0;S=Q;T=C}else{k[g>>2]=27560;C=j+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[j+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,g|0,f|0);z=B;B=0;if(z&1){z=Rb()|0;N=Q;Yua(f);Yua(C);Ava(g);S=N;T=z;break}Yua(f);B=0;z=Ia(40,j|0,145459,45)|0;N=B;B=0;b:do if(!(N&1)?(B=0,Xa(239,z|0,0)|0,M=B,B=0,!(M&1)):0){M=Ab(20)|0;B=0;eb(502,l|0,145316,134);t=B;B=0;do if(!(t&1)){B=0;eb(502,m|0,145451,7);c=B;B=0;if(c&1){c=Rb()|0;H=Q;Yua(l);U=c;V=H;break}B=0;wa(510,n|0,g|0);H=B;B=0;if(H&1){H=Rb()|0;W=1;X=Q;Y=H}else{B=0;ua(163,M|0,l|0,m|0,138,n|0);H=B;B=0;if(H&1)Z=1;else{B=0;eb(503,M|0,1240,229);B=0;Z=0}H=Rb()|0;c=Q;Yua(n);W=Z;X=c;Y=H}Yua(m);Yua(l);if(W){U=Y;V=X}else{_=X;$=Y;break b}}else{H=Rb()|0;U=H;V=Q}while(0);zb(M|0);_=V;$=U}else O=45;while(0);if((O|0)==45){z=Rb()|0;_=Q;$=z}k[j>>2]=27468;k[A>>2]=27488;k[g>>2]=27560;Yua(C);Ava(g);vva(A);x=_;y=$;Qb(y|0)}while(0);P=S;R=T;vva(A);Qb(R|0);break}default:{R=o+56|0;A=o+4|0;k[o>>2]=27524;k[R>>2]=27544;B=0;wa(508,o+56|0,A|0);T=B;B=0;if(T&1){T=Rb()|0;aa=Q;ba=T;vva(R);Qb(ba|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[R>>2]=27488;B=0;va(448,A|0);T=B;B=0;do if(T&1){S=Rb()|0;ca=Q;da=S}else{k[A>>2]=27560;S=o+36|0;k[S>>2]=0;k[S+4>>2]=0;k[S+8>>2]=0;k[S+12>>2]=0;k[o+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,A|0,f|0);P=B;B=0;if(P&1){P=Rb()|0;$=Q;Yua(f);Yua(S);Ava(A);ca=$;da=P;break}Yua(f);B=0;P=Ia(40,o|0,145505,30)|0;$=B;B=0;c:do if(!($&1)?(B=0,Xa(239,P|0,0)|0,_=B,B=0,!(_&1)):0){_=Ab(20)|0;B=0;eb(502,p|0,145316,134);g=B;B=0;do if(!(g&1)){B=0;eb(502,q|0,145451,7);j=B;B=0;if(j&1){j=Rb()|0;U=Q;Yua(p);ea=j;fa=U;break}B=0;wa(510,s|0,A|0);U=B;B=0;if(U&1){U=Rb()|0;ga=1;ha=Q;ia=U}else{B=0;ua(163,_|0,p|0,q|0,142,s|0);U=B;B=0;if(U&1)ja=1;else{B=0;eb(503,_|0,1240,229);B=0;ja=0}U=Rb()|0;j=Q;Yua(s);ga=ja;ha=j;ia=U}Yua(q);Yua(p);if(ga){ea=ia;fa=ha}else{ka=ha;la=ia;break c}}else{U=Rb()|0;ea=U;fa=Q}while(0);zb(_|0);ka=fa;la=ea}else O=68;while(0);if((O|0)==68){P=Rb()|0;ka=Q;la=P}k[o>>2]=27468;k[R>>2]=27488;k[A>>2]=27560;Yua(S);Ava(A);vva(R);x=ka;y=la;Qb(y|0)}while(0);aa=ca;ba=da;vva(R);Qb(ba|0)}}}function ooa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,R=0.0,S=0.0,T=0,U=0,V=0,W=0,X=0,Y=0;g=r;r=r+352|0;h=g+336|0;i=g+332|0;j=g+328|0;l=g+324|0;m=g+320|0;n=g+316|0;o=g+312|0;q=g+308|0;s=g+304|0;t=g+168|0;u=g+152|0;v=g+16|0;w=g;k[n>>2]=0;k[o>>2]=0;k[q>>2]=0;k[s>>2]=0;a:do if(BY()|0){x=t+56|0;y=t+4|0;k[t>>2]=27524;k[x>>2]=27544;B=0;wa(508,t+56|0,y|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;C=z;vva(x);Qb(C|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[x>>2]=27488;B=0;va(448,y|0);z=B;B=0;do if(z&1){D=Rb()|0;E=Q;F=D}else{k[y>>2]=27560;D=t+36|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;k[D+12>>2]=0;k[t+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,y|0,h|0);G=B;B=0;if(G&1){G=Rb()|0;H=Q;Yua(h);Yua(D);Ava(y);E=H;F=G;break}Yua(h);B=0;Ia(40,t|0,145536,22)|0;G=B;B=0;do if(!(G&1)?(B=0,wa(510,u|0,y|0),H=B,B=0,!(H&1)):0){B=0;ya(425,u|0)|0;H=B;B=0;if(H&1){H=Rb()|0;I=Q;Yua(u);J=H;K=I;break}else{Yua(u);k[t>>2]=27468;k[x>>2]=27488;k[y>>2]=27560;Yua(D);Ava(y);vva(x);break a}}else L=14;while(0);if((L|0)==14){G=Rb()|0;J=G;K=Q}k[t>>2]=27468;k[x>>2]=27488;k[y>>2]=27560;Yua(D);Ava(y);vva(x);M=J;N=K;Qb(M|0)}while(0);A=E;C=F;vva(x);Qb(C|0)}while(0);C=f+44|0;cO(k[C>>2]|0,l,478);cO(k[C>>2]|0,m,477);C=n_(k[m>>2]|0)|0;m=f+36|0;F=aL(k[m>>2]|0,k[l>>2]|0)|0;if(F){k[h>>2]=0;loa(h,0,0,0,f);E=f+20|0;if((th(k[E>>2]|0)|0)>0){A=0;do{K=qh(k[E>>2]|0,A)|0;J=ed[k[(k[C>>2]|0)+44>>2]&511](C,K)|0;t=ed[k[(k[C>>2]|0)+48>>2]&511](C,K)|0;nd[k[(k[K>>2]|0)+408>>2]&1023](K,J,t);if(J){IN(J,k[h>>2]|0,0);HN(J);Sqa(J)}if(t){SN(t);Sqa(t)}A=A+1|0}while((A|0)<(th(k[E>>2]|0)|0))}if((bL(k[m>>2]|0)|0)>0){E=0;do{A=qh(k[m>>2]|0,E)|0;if(ed[k[(k[A>>2]|0)+60>>2]&511](A,k[l>>2]|0)|0)nd[k[(k[A>>2]|0)+40>>2]&1023](A,k[h>>2]|0,0);E=E+1|0}while((E|0)<(bL(k[m>>2]|0)|0))}E=k[h>>2]|0;if(k[E>>2]|0){A=k[k[E+4>>2]>>2]|0;Ec[k[(k[A>>2]|0)+12>>2]&1023](A);A=k[h>>2]|0;if(!(k[A>>2]|0)){O=A;P=0.0}else{t=k[k[A+4>>2]>>2]|0;R=+id[k[(k[t>>2]|0)+16>>2]&63](t,0);O=k[h>>2]|0;P=R}}else{O=E;P=0.0}if(O){if((k[O>>2]|0)!=0?(E=k[O+4>>2]|0,(E|0)!=0):0){t=k[E>>2]|0;if(t)Ec[k[(k[t>>2]|0)+4>>2]&1023](t);Sqa(E)}Sqa(O)}S=P}else S=0.0;loa(n,o,s,q,f);b:do if(BY()|0){O=k[n>>2]|0;if(k[O>>2]|0){E=k[k[O+4>>2]>>2]|0;nd[k[(k[E>>2]|0)+20>>2]&1023](E,i,j)}E=v+56|0;O=v+4|0;k[v>>2]=27524;k[E>>2]=27544;B=0;wa(508,v+56|0,O|0);t=B;B=0;if(t&1){t=Rb()|0;T=Q;U=t;vva(E);Qb(U|0)}k[v+128>>2]=0;k[v+132>>2]=-1;k[v>>2]=27468;k[E>>2]=27488;B=0;va(448,O|0);t=B;B=0;do if(t&1){A=Rb()|0;V=Q;W=A}else{k[O>>2]=27560;A=v+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[v+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,O|0,h|0);J=B;B=0;if(J&1){J=Rb()|0;K=Q;Yua(h);Yua(A);Ava(O);V=K;W=J;break}Yua(h);B=0;J=Ia(40,v|0,145559,29)|0;K=B;B=0;do if(((((!(K&1)?(B=0,u=Xa(242,J|0,k[i>>2]|0)|0,y=B,B=0,!(y&1)):0)?(B=0,y=Ia(40,u|0,145589,3)|0,u=B,B=0,!(u&1)):0)?(B=0,u=Xa(242,y|0,k[j>>2]|0)|0,y=B,B=0,!(y&1)):0)?(B=0,Ia(40,u|0,145593,2)|0,u=B,B=0,!(u&1)):0)?(B=0,wa(510,w|0,O|0),u=B,B=0,!(u&1)):0){B=0;ya(425,w|0)|0;u=B;B=0;if(u&1){u=Rb()|0;y=Q;Yua(w);X=u;Y=y;break}else{Yua(w);k[v>>2]=27468;k[E>>2]=27488;k[O>>2]=27560;Yua(A);Ava(O);vva(E);break b}}else L=62;while(0);if((L|0)==62){J=Rb()|0;X=J;Y=Q}k[v>>2]=27468;k[E>>2]=27488;k[O>>2]=27560;Yua(A);Ava(O);vva(E);M=X;N=Y;Qb(M|0)}while(0);T=V;U=W;vva(E);Qb(U|0)}while(0);U=f+20|0;if((th(k[U>>2]|0)|0)>0){f=0;do{W=qh(k[U>>2]|0,f)|0;V=ed[k[(k[C>>2]|0)+44>>2]&511](C,W)|0;T=ed[k[(k[C>>2]|0)+48>>2]&511](C,W)|0;nd[k[(k[W>>2]|0)+408>>2]&1023](W,V,T);W=(V|0)==0;if(!W)IN(V,k[n>>2]|0,k[o>>2]|0);M=(T|0)==0;if(!M)TN(T,k[q>>2]|0);if(!W){HN(V);Sqa(V)}if(!M){SN(T);Sqa(T)}f=f+1|0}while((f|0)<(th(k[U>>2]|0)|0))}if((bL(k[m>>2]|0)|0)>0){f=0;do{T=qh(k[m>>2]|0,f)|0;if(ed[k[(k[T>>2]|0)+60>>2]&511](T,k[l>>2]|0)|0){nd[k[(k[T>>2]|0)+40>>2]&1023](T,k[n>>2]|0,k[o>>2]|0);Fc[k[(k[T>>2]|0)+44>>2]&1023](T,k[q>>2]|0)}f=f+1|0}while((f|0)<(bL(k[m>>2]|0)|0))}if(F?(bL(k[m>>2]|0)|0)>0:0){F=0;do{f=qh(k[m>>2]|0,F)|0;if(ed[k[(k[f>>2]|0)+60>>2]&511](f,k[l>>2]|0)|0){md[k[(k[f>>2]|0)+72>>2]&31](f,k[n>>2]|0,k[o>>2]|0,S);Xc[k[(k[f>>2]|0)+76>>2]&63](f,k[q>>2]|0,S)}F=F+1|0}while((F|0)<(bL(k[m>>2]|0)|0))}m=(d|0)!=0;if(m?(th(k[U>>2]|0)|0)>0:0){F=0;do{l=qh(k[U>>2]|0,F)|0;f=ed[k[(k[C>>2]|0)+36>>2]&511](C,l)|0;if(f){UN(f,k[s>>2]|0);SN(f);Sqa(f)}F=F+1|0}while((F|0)<(th(k[U>>2]|0)|0))}U=k[n>>2]|0;if(k[U>>2]|0){F=k[k[U+4>>2]>>2]|0;Ec[k[(k[F>>2]|0)+12>>2]&1023](F)}F=k[o>>2]|0;if(k[F>>2]|0){U=k[k[F+4>>2]>>2]|0;Ec[k[(k[U>>2]|0)+12>>2]&1023](U)}U=k[q>>2]|0;if(k[U>>2]|0){F=k[k[U+4>>2]>>2]|0;Ec[k[(k[F>>2]|0)+12>>2]&1023](F)}F=k[s>>2]|0;if(k[F>>2]|0){U=k[k[F+4>>2]>>2]|0;Ec[k[(k[U>>2]|0)+12>>2]&1023](U)}if(C)Ec[k[(k[C>>2]|0)+4>>2]&1023](C);C=k[n>>2]|0;if(!a){if(C){if((k[C>>2]|0)!=0?(n=k[C+4>>2]|0,(n|0)!=0):0){U=k[n>>2]|0;if(U)Ec[k[(k[U>>2]|0)+4>>2]&1023](U);Sqa(n)}Sqa(C)}}else k[a>>2]=C;C=k[o>>2]|0;if(!b){if(C){if((k[C>>2]|0)!=0?(o=k[C+4>>2]|0,(o|0)!=0):0){a=k[o>>2]|0;if(a)Ec[k[(k[a>>2]|0)+4>>2]&1023](a);Sqa(o)}Sqa(C)}}else k[b>>2]=C;C=k[q>>2]|0;if(!c){if(C){if((k[C>>2]|0)!=0?(q=k[C+4>>2]|0,(q|0)!=0):0){b=k[q>>2]|0;if(b)Ec[k[(k[b>>2]|0)+4>>2]&1023](b);Sqa(q)}Sqa(C)}}else k[c>>2]=C;C=k[s>>2]|0;if(!m){if(C){do if(k[C>>2]|0){m=k[C+4>>2]|0;if(!m)break;s=k[m>>2]|0;if(s)Ec[k[(k[s>>2]|0)+4>>2]&1023](s);Sqa(m)}while(0);Sqa(C)}}else k[d>>2]=C;if(!e){r=g;return}p[e>>3]=S;r=g;return}function poa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;d=r;r=r+176|0;e=d+152|0;f=d+16|0;g=d;a:do if(BY()|0){h=f+56|0;i=f+4|0;k[f>>2]=27524;k[h>>2]=27544;B=0;wa(508,f+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(h);Qb(m|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[h>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=f+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,i|0,e|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(e);Yua(n);Ava(i);o=s;p=q;break}Yua(e);B=0;Ia(40,f|0,145596,28)|0;q=B;B=0;do if(!(q&1)?(B=0,wa(510,g|0,i|0),s=B,B=0,!(s&1)):0){B=0;ya(425,g|0)|0;s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(g);u=t;v=s;break}else{Yua(g);k[f>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);break a}}else w=14;while(0);if((w|0)==14){q=Rb()|0;u=Q;v=q}k[f>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);x=u;y=v;Qb(y|0)}while(0);l=o;m=p;vva(h);Qb(m|0)}while(0);m=en(b,c,966)|0;p=fn(b,c,966)|0;o=Qqa(8)|0;B=0;va(485,o|0);l=B;B=0;b:do if(l&1)w=24;else{do if(k[o>>2]|0){B=0;v=ya(423,4)|0;u=B;B=0;if(u&1){w=24;break b}B=0;eb(525,v|0,p|0,m|0);u=B;B=0;if(u&1){u=Rb()|0;f=Q;Sqa(v);z=f;A=u;break b}else{k[o+4>>2]=v;break}}while(0);if((th(b)|0)>0){h=0;do{v=qh(b,h)|0;if(Tn(v,c)|0)_n(v,o);h=h+1|0}while((h|0)<(th(b)|0))}if(!(k[o>>2]|0)){k[a>>2]=o;r=d;return}h=k[k[o+4>>2]>>2]|0;Ec[k[(k[h>>2]|0)+12>>2]&1023](h);k[a>>2]=o;r=d;return}while(0);if((w|0)==24){w=Rb()|0;z=Q;A=w}Sqa(o);x=z;y=A;Qb(y|0)}function qoa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0;g=r;r=r+384|0;h=g+372|0;i=g+368|0;j=g+364|0;l=g+360|0;m=g+356|0;n=g+352|0;o=g+216|0;p=g+200|0;q=g+48|0;s=g+36|0;t=g+64|0;u=g+24|0;v=g+12|0;w=g;k[l>>2]=0;Oka(b,i,j,c)|0;if((k[i>>2]|0)!=7){i=o+56|0;x=o+4|0;k[o>>2]=27524;k[i>>2]=27544;B=0;wa(508,o+56|0,x|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;A=y;vva(i);Qb(A|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[i>>2]=27488;B=0;va(448,x|0);y=B;B=0;do if(y&1){C=Rb()|0;D=Q;E=C}else{k[x>>2]=27560;C=o+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[o+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,x|0,h|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(h);Yua(C);Ava(x);D=G;E=F;break}Yua(h);B=0;F=Ia(40,o|0,145625,46)|0;G=B;B=0;a:do if((!(G&1)?(H=Lta(c)|0,B=0,I=Ia(40,F|0,c|0,H|0)|0,H=B,B=0,!(H&1)):0)?(B=0,Xa(239,I|0,0)|0,I=B,B=0,!(I&1)):0){I=Ab(20)|0;B=0;eb(502,p|0,145672,102);H=B;B=0;do if(!(H&1)){B=0;eb(502,q|0,145775,21);J=B;B=0;if(J&1){J=Rb()|0;K=Q;Yua(p);L=J;M=K;break}B=0;wa(510,s|0,x|0);K=B;B=0;if(K&1){K=Rb()|0;N=Q;O=K;P=1}else{B=0;ua(163,I|0,p|0,q|0,19,s|0);K=B;B=0;if(K&1)R=1;else{B=0;eb(503,I|0,1240,229);B=0;R=0}K=Rb()|0;J=Q;Yua(s);N=J;O=K;P=R}Yua(q);Yua(p);if(P){L=O;M=N}else{S=O;T=N;break a}}else{K=Rb()|0;L=K;M=Q}while(0);zb(I|0);S=L;T=M}else U=18;while(0);if((U|0)==18){F=Rb()|0;S=F;T=Q}k[o>>2]=27468;k[i>>2]=27488;k[x>>2]=27560;Yua(C);Ava(x);vva(i);V=T;W=S;Qb(W|0)}while(0);z=D;A=E;vva(i);Qb(A|0)}if((k[j>>2]|0)==1){Qka(b,l,m,n,c);roa(a,b,k[l>>2]|0,k[m>>2]|0,k[n>>2]|0,d,e,f);f=k[l>>2]|0;if(!f){r=g;return}Tqa(f);r=g;return}g=t+56|0;f=t+4|0;k[t>>2]=27524;k[g>>2]=27544;B=0;wa(508,t+56|0,f|0);l=B;B=0;if(l&1){l=Rb()|0;X=Q;Y=l;vva(g);Qb(Y|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[g>>2]=27488;B=0;va(448,f|0);l=B;B=0;do if(l&1){e=Rb()|0;Z=Q;_=e}else{k[f>>2]=27560;e=t+36|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;k[t+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,f|0,h|0);d=B;B=0;if(d&1){d=Rb()|0;n=Q;Yua(h);Yua(e);Ava(f);Z=n;_=d;break}Yua(h);B=0;d=Ia(40,t|0,145797,41)|0;n=B;B=0;b:do if((!(n&1)?(m=Lta(c)|0,B=0,b=Ia(40,d|0,c|0,m|0)|0,m=B,B=0,!(m&1)):0)?(B=0,Xa(239,b|0,0)|0,b=B,B=0,!(b&1)):0){b=Ab(20)|0;B=0;eb(502,u|0,145672,102);m=B;B=0;do if(!(m&1)){B=0;eb(502,v|0,145775,21);a=B;B=0;if(a&1){a=Rb()|0;j=Q;Yua(u);$=a;aa=j;break}B=0;wa(510,w|0,f|0);j=B;B=0;if(j&1){j=Rb()|0;ba=1;ca=Q;da=j}else{B=0;ua(163,b|0,u|0,v|0,20,w|0);j=B;B=0;if(j&1)ea=1;else{B=0;eb(503,b|0,1240,229);B=0;ea=0}j=Rb()|0;a=Q;Yua(w);ba=ea;ca=a;da=j}Yua(v);Yua(u);if(ba){$=da;aa=ca}else{fa=ca;ga=da;break b}}else{j=Rb()|0;$=j;aa=Q}while(0);zb(b|0);fa=aa;ga=$}else U=43;while(0);if((U|0)==43){d=Rb()|0;fa=Q;ga=d}k[t>>2]=27468;k[g>>2]=27488;k[f>>2]=27560;Yua(e);Ava(f);vva(g);V=fa;W=ga;Qb(W|0)}while(0);X=Z;Y=_;vva(g);Qb(Y|0)}function roa(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,La=0,Ma=0,Na=0,Oa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0.0,ab=0.0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0.0,kb=0,lb=0,mb=0,nb=0,ob=0.0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0.0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0.0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0.0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0.0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0,ke=0,le=0,me=0,ne=0,oe=0,pe=0,qe=0,re=0,se=0;j=r;r=r+1088|0;l=j+1064|0;m=j+1036|0;n=j+1020|0;o=j+1016|0;q=j+880|0;s=j+1052|0;u=j+1040|0;v=j+1024|0;w=j+728|0;x=j+864|0;y=j+712|0;z=j+560|0;A=j+576|0;C=j+272|0;D=j+120|0;E=j+108|0;F=j+424|0;G=j+96|0;H=j+84|0;I=j+72|0;J=j+288|0;K=j+60|0;L=j+48|0;M=j+36|0;N=j+136|0;O=j+24|0;P=j+12|0;R=j;k[m>>2]=0;k[n>>2]=0;k[o>>2]=0;a:do switch(g|0){case 741:case 738:{S=0;break}case 740:{switch(k[b+48>>2]|0){case 621:{S=3;break a;break}case 623:{S=4;break a;break}case 625:{S=6;break a;break}default:{T=q+56|0;U=q+4|0;k[q>>2]=27524;k[T>>2]=27544;B=0;wa(508,q+56|0,U|0);V=B;B=0;if(V&1){V=Rb()|0;W=Q;X=V;vva(T);Qb(X|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[T>>2]=27488;B=0;va(448,U|0);V=B;B=0;do if(V&1){Y=Rb()|0;Z=Q;_=Y}else{k[U>>2]=27560;Y=q+36|0;k[Y>>2]=0;k[Y+4>>2]=0;k[Y+8>>2]=0;k[Y+12>>2]=0;k[q+52>>2]=16;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;B=0;wa(509,U|0,l|0);aa=B;B=0;if(aa&1){aa=Rb()|0;ba=Q;Yua(l);Yua(Y);Ava(U);Z=ba;_=aa;break}Yua(l);B=0;aa=Ia(40,q|0,145839,27)|0;ba=B;B=0;b:do if(!(ba&1)?(B=0,Xa(239,aa|0,0)|0,ca=B,B=0,!(ca&1)):0){ca=Ab(20)|0;B=0;eb(502,s|0,145672,102);da=B;B=0;do if(!(da&1)){B=0;eb(502,u|0,145775,21);ea=B;B=0;if(ea&1){ea=Rb()|0;fa=Q;Yua(s);ga=fa;ha=ea;break}B=0;wa(510,v|0,U|0);ea=B;B=0;if(ea&1){ea=Rb()|0;ia=Q;ja=ea;ka=1}else{B=0;ua(163,ca|0,s|0,u|0,77,v|0);ea=B;B=0;if(ea&1)la=1;else{B=0;eb(503,ca|0,1240,229);B=0;la=0}ea=Rb()|0;fa=Q;Yua(v);ia=fa;ja=ea;ka=la}Yua(u);Yua(s);if(ka){ga=ia;ha=ja}else{na=ia;oa=ja;break b}}else{ea=Rb()|0;ga=Q;ha=ea}while(0);zb(ca|0);na=ga;oa=ha}else pa=20;while(0);if((pa|0)==20){aa=Rb()|0;na=Q;oa=aa}k[q>>2]=27468;k[T>>2]=27488;k[U>>2]=27560;Yua(Y);Ava(U);vva(T);qa=na;ra=oa;Qb(ra|0)}while(0);W=Z;X=_;vva(T);Qb(X|0)}}break}case 746:{lqa(m,b);S=0;break}case 747:{lqa(m,b);S=0;break}case 745:{lqa(m,b);S=0;break}case 742:{lqa(m,b);if((k[b+48>>2]|0)==625)mqa(n,b);oqa(o,b);S=0;break}case 743:{lqa(m,b);U=b+48|0;if((k[U>>2]|0)==625)mqa(n,b);oqa(o,b);switch(k[U>>2]|0){case 621:{S=3;break a;break}case 623:{S=4;break a;break}case 625:{S=6;break a;break}default:{U=w+56|0;V=w+4|0;k[w>>2]=27524;k[U>>2]=27544;B=0;wa(508,w+56|0,V|0);aa=B;B=0;if(aa&1){aa=Rb()|0;sa=Q;ta=aa;vva(U);Qb(ta|0)}k[w+128>>2]=0;k[w+132>>2]=-1;k[w>>2]=27468;k[U>>2]=27488;B=0;va(448,V|0);aa=B;B=0;do if(aa&1){ba=Rb()|0;xa=Q;za=ba}else{k[V>>2]=27560;ba=w+36|0;k[ba>>2]=0;k[ba+4>>2]=0;k[ba+8>>2]=0;k[ba+12>>2]=0;k[w+52>>2]=16;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;B=0;wa(509,V|0,l|0);da=B;B=0;if(da&1){da=Rb()|0;ea=Q;Yua(l);Yua(ba);Ava(V);xa=ea;za=da;break}Yua(l);B=0;da=Ia(40,w|0,145839,27)|0;ea=B;B=0;c:do if(!(ea&1)?(B=0,Xa(239,da|0,0)|0,fa=B,B=0,!(fa&1)):0){fa=Ab(20)|0;B=0;eb(502,x|0,145672,102);Aa=B;B=0;do if(!(Aa&1)){B=0;eb(502,y|0,145775,21);Ba=B;B=0;if(Ba&1){Ba=Rb()|0;Ca=Q;Yua(x);Da=Ca;Ea=Ba;break}B=0;wa(510,z|0,V|0);Ba=B;B=0;if(Ba&1){Ba=Rb()|0;Fa=1;Ga=Q;Ha=Ba}else{B=0;ua(163,fa|0,x|0,y|0,109,z|0);Ba=B;B=0;if(Ba&1)Ja=1;else{B=0;eb(503,fa|0,1240,229);B=0;Ja=0}Ba=Rb()|0;Ca=Q;Yua(z);Fa=Ja;Ga=Ca;Ha=Ba}Yua(y);Yua(x);if(Fa){Da=Ga;Ea=Ha}else{La=Ga;Ma=Ha;break c}}else{Ba=Rb()|0;Da=Q;Ea=Ba}while(0);zb(fa|0);La=Da;Ma=Ea}else pa=54;while(0);if((pa|0)==54){da=Rb()|0;La=Q;Ma=da}k[w>>2]=27468;k[U>>2]=27488;k[V>>2]=27560;Yua(ba);Ava(V);vva(U);qa=La;ra=Ma;Qb(ra|0)}while(0);sa=xa;ta=za;vva(U);Qb(ta|0)}}break}case 748:{lqa(m,b);mqa(n,b);S=0;break}default:{V=A+56|0;aa=A+4|0;k[A>>2]=27524;k[V>>2]=27544;B=0;wa(508,A+56|0,aa|0);T=B;B=0;if(T&1){T=Rb()|0;Na=Q;Oa=T;vva(V);Qb(Oa|0)}k[A+128>>2]=0;k[A+132>>2]=-1;k[A>>2]=27468;k[V>>2]=27488;B=0;va(448,aa|0);T=B;B=0;do if(T&1){da=Rb()|0;Qa=Q;Ra=da}else{k[aa>>2]=27560;da=A+36|0;k[da>>2]=0;k[da+4>>2]=0;k[da+8>>2]=0;k[da+12>>2]=0;k[A+52>>2]=16;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;B=0;wa(509,aa|0,l|0);ea=B;B=0;if(ea&1){ea=Rb()|0;Y=Q;Yua(l);Yua(da);Ava(aa);Qa=Y;Ra=ea;break}Yua(l);B=0;ea=Ia(40,A|0,145867,15)|0;Y=B;B=0;d:do if((((!(Y&1)?(B=0,Aa=ya(427,g|0)|0,ca=B,B=0,!(ca&1)):0)?(ca=Lta(Aa)|0,B=0,Ba=Ia(40,ea|0,Aa|0,ca|0)|0,ca=B,B=0,!(ca&1)):0)?(B=0,ca=Ia(40,Ba|0,146481,18)|0,Ba=B,B=0,!(Ba&1)):0)?(B=0,Xa(239,ca|0,0)|0,ca=B,B=0,!(ca&1)):0){ca=Ab(20)|0;B=0;eb(502,C|0,145672,102);Ba=B;B=0;do if(!(Ba&1)){B=0;eb(502,D|0,145775,21);Aa=B;B=0;if(Aa&1){Aa=Rb()|0;Ca=Q;Yua(C);Sa=Ca;Ta=Aa;break}B=0;wa(510,E|0,aa|0);Aa=B;B=0;if(Aa&1){Aa=Rb()|0;Ua=1;Va=Q;Wa=Aa}else{B=0;ua(163,ca|0,C|0,D|0,117,E|0);Aa=B;B=0;if(Aa&1)Ya=1;else{B=0;eb(503,ca|0,1240,229);B=0;Ya=0}Aa=Rb()|0;Ca=Q;Yua(E);Ua=Ya;Va=Ca;Wa=Aa}Yua(D);Yua(C);if(Ua){Sa=Va;Ta=Wa}else{Za=Va;_a=Wa;break d}}else{Aa=Rb()|0;Sa=Q;Ta=Aa}while(0);zb(ca|0);Za=Sa;_a=Ta}else pa=81;while(0);if((pa|0)==81){ea=Rb()|0;Za=Q;_a=ea}k[A>>2]=27468;k[V>>2]=27488;k[aa>>2]=27560;Yua(da);Ava(aa);vva(V);qa=Za;ra=_a;Qb(ra|0)}while(0);Na=Qa;Oa=Ra;vva(V);Qb(Oa|0)}}while(0);Oa=b+52|0;Ra=k[Oa>>2]|0;e:do if((Ra|0)==(d|0))do switch(g|0){case 738:{if((d|0)<=0)break e;Qa=b+36|0;Na=b+108|0;_a=b+100|0;Za=d;A=0;Ta=0;while(1){if((k[(k[Qa>>2]|0)+(Ta<<2)>>2]|0)!=0?($a=+p[c+(Ta<<3)>>3],ab=+$(+$a),p[t>>3]=ab,Sa=k[t+4>>2]|0,!(Sa>>>0>2146435072|(Sa|0)==2146435072&(k[t>>2]|0)>>>0>0)):0){Sa=Qqa(32)|0;Wa=A+1|0;B=0;Pa(1,Sa|0,Wa+(k[Na>>2]|0)|0,Ta+1+(k[_a>>2]|0)|0,h|0,+$a,f|0);Va=B;B=0;if(Va&1){bb=Sa;break}ih(a,Sa)|0;cb=k[Oa>>2]|0;db=Wa}else{cb=Za;db=A}Ta=Ta+1|0;if((Ta|0)>=(cb|0))break e;else{Za=cb;A=db}}A=Rb()|0;Za=Q;Sqa(bb);qa=Za;ra=A;Qb(ra|0);break}case 742:{f:do if((d|0)>0){A=b+36|0;Za=b+108|0;Ta=b+100|0;_a=d;Na=0;Qa=0;while(1){if((k[(k[A>>2]|0)+(Qa<<2)>>2]|0)!=0?($a=+p[c+(Qa<<3)>>3],ab=+$(+$a),p[t>>3]=ab,da=k[t+4>>2]|0,!(da>>>0>2146435072|(da|0)==2146435072&(k[t>>2]|0)>>>0>0)):0){da=Qqa(32)|0;Wa=Na+1|0;B=0;Pa(1,da|0,Wa+(k[Za>>2]|0)|0,Qa+1+(k[Ta>>2]|0)|0,h|0,+$a,f|0);Sa=B;B=0;if(Sa&1){fb=da;break}ih(a,da)|0;gb=k[Oa>>2]|0;hb=Wa}else{gb=_a;hb=Na}Qa=Qa+1|0;if((Qa|0)>=(gb|0)){ib=hb;break f}else{_a=gb;Na=hb}}Na=Rb()|0;_a=Q;Sqa(fb);qa=_a;ra=Na;Qb(ra|0)}else ib=0;while(0);Na=b+64|0;_a=k[Na>>2]|0;g:do if((_a|0)>0){Qa=b+80|0;Ta=b+108|0;Za=b+100|0;A=_a;ca=ib;Wa=0;while(1){if((((i[(k[m>>2]|0)+Wa>>0]|0)!=0?(i[(k[o>>2]|0)+Wa>>0]|0)!=0:0)?(da=Wa*3|0,Sa=k[Qa>>2]|0,$a=+p[c+((k[Sa+(da<<2)>>2]|0)+-1<<3)>>3],ab=+$(+$a),p[t>>3]=ab,Va=k[t+4>>2]|0,!(Va>>>0>2146435072|(Va|0)==2146435072&(k[t>>2]|0)>>>0>0)):0)?(ab=+p[c+((k[Sa+(da+1<<2)>>2]|0)+-1<<3)>>3],jb=+$(+ab),p[t>>3]=jb,da=k[t+4>>2]|0,!(da>>>0>2146435072|(da|0)==2146435072&(k[t>>2]|0)>>>0>0)):0){da=Qqa(32)|0;Sa=ca+1|0;B=0;Pa(1,da|0,Sa+(k[Ta>>2]|0)|0,Wa+1+(k[Za>>2]|0)+(k[Oa>>2]|0)|0,h|0,+(($a+ab)*.5),f|0);Va=B;B=0;if(Va&1){kb=da;break}ih(a,da)|0;lb=k[Na>>2]|0;mb=Sa}else{lb=A;mb=ca}Wa=Wa+1|0;if((Wa|0)>=(lb|0)){nb=mb;break g}else{A=lb;ca=mb}}ca=Rb()|0;A=Q;Sqa(kb);qa=A;ra=ca;Qb(ra|0)}else nb=ib;while(0);if((k[b+48>>2]|0)!=625)break e;_a=b+60|0;ca=k[_a>>2]|0;if((ca|0)<=0)break e;A=b+68|0;Wa=b+76|0;Za=b+108|0;Ta=b+100|0;Qa=ca;ca=nb;Sa=0;while(1){da=ma(k[A>>2]|0,Sa)|0;Va=k[Wa>>2]|0;if((k[Va+(da+2<<2)>>2]|0)==2?(i[(k[n>>2]|0)+Sa>>0]|0)!=0:0){Ua=k[Va+(da+3<<2)>>2]|0;if((Ua|0)>0){C=0;ab=0.0;while(1){$a=ab+ +p[c+((k[Va+(C+4+da<<2)>>2]|0)+-1<<3)>>3];C=C+1|0;if((C|0)==(Ua|0)){ob=$a;break}else ab=$a}}else ob=0.0;ab=ob/+(Ua|0);$a=+$(+ab);p[t>>3]=$a;C=k[t+4>>2]|0;if(!(C>>>0>2146435072|(C|0)==2146435072&(k[t>>2]|0)>>>0>0)){C=Qqa(32)|0;da=ca+1|0;B=0;Pa(1,C|0,da+(k[Za>>2]|0)|0,Sa+1+(k[Ta>>2]|0)+(k[Oa>>2]|0)+(k[Na>>2]|0)|0,h|0,+ab,f|0);Va=B;B=0;if(Va&1){pb=C;break}ih(a,C)|0;qb=k[_a>>2]|0;rb=da}else{qb=Qa;rb=ca}}else{qb=Qa;rb=ca}Sa=Sa+1|0;if((Sa|0)>=(qb|0))break e;else{Qa=qb;ca=rb}}ca=Rb()|0;Qa=Q;Sqa(pb);qa=Qa;ra=ca;Qb(ra|0);break}case 743:{h:do if((d|0)>0){ca=b+36|0;Qa=b+108|0;Sa=b+100|0;_a=d;Na=0;Ta=0;while(1){if((k[(k[ca>>2]|0)+(Ta<<2)>>2]|0)!=0?(ab=+p[c+(Ta<<3)>>3],$a=+$(+ab),p[t>>3]=$a,Za=k[t+4>>2]|0,!(Za>>>0>2146435072|(Za|0)==2146435072&(k[t>>2]|0)>>>0>0)):0){Za=Qqa(32)|0;Wa=Na+1|0;B=0;Pa(1,Za|0,Wa+(k[Qa>>2]|0)|0,Ta+1+(k[Sa>>2]|0)|0,h|0,+ab,f|0);A=B;B=0;if(A&1){sb=Za;break}ih(a,Za)|0;tb=k[Oa>>2]|0;ub=Wa}else{tb=_a;ub=Na}Ta=Ta+1|0;if((Ta|0)>=(tb|0)){vb=ub;break h}else{_a=tb;Na=ub}}Na=Rb()|0;_a=Q;Sqa(sb);qa=_a;ra=Na;Qb(ra|0)}else vb=0;while(0);Na=b+64|0;_a=k[Na>>2]|0;i:do if((_a|0)>0){Ta=b+80|0;Sa=b+108|0;Qa=b+100|0;ca=_a;Ua=vb;Wa=0;while(1){if((((i[(k[m>>2]|0)+Wa>>0]|0)!=0?(i[(k[o>>2]|0)+Wa>>0]|0)!=0:0)?(Za=Wa*3|0,A=k[Ta>>2]|0,ab=+p[c+((k[A+(Za<<2)>>2]|0)+-1<<3)>>3],$a=+$(+ab),p[t>>3]=$a,da=k[t+4>>2]|0,!(da>>>0>2146435072|(da|0)==2146435072&(k[t>>2]|0)>>>0>0)):0)?($a=+p[c+((k[A+(Za+1<<2)>>2]|0)+-1<<3)>>3],jb=+$(+$a),p[t>>3]=jb,Za=k[t+4>>2]|0,!(Za>>>0>2146435072|(Za|0)==2146435072&(k[t>>2]|0)>>>0>0)):0){Za=Qqa(32)|0;A=Ua+1|0;B=0;Pa(1,Za|0,A+(k[Sa>>2]|0)|0,Wa+1+(k[Qa>>2]|0)+(k[Oa>>2]|0)|0,h|0,+((ab+$a)*.5),f|0);da=B;B=0;if(da&1){wb=Za;break}ih(a,Za)|0;xb=k[Na>>2]|0;yb=A}else{xb=ca;yb=Ua}Wa=Wa+1|0;if((Wa|0)>=(xb|0)){Bb=yb;break i}else{ca=xb;Ua=yb}}Ua=Rb()|0;ca=Q;Sqa(wb);qa=ca;ra=Ua;Qb(ra|0)}else Bb=vb;while(0);_a=b+48|0;j:do if((k[_a>>2]|0)==625?(Ua=b+60|0,ca=k[Ua>>2]|0,(ca|0)>0):0){Wa=b+68|0;Qa=b+76|0;Sa=b+108|0;Ta=b+100|0;A=ca;ca=Bb;Za=0;while(1){da=ma(k[Wa>>2]|0,Za)|0;C=k[Qa>>2]|0;if((k[C+(da+2<<2)>>2]|0)==2?(i[(k[n>>2]|0)+Za>>0]|0)!=0:0){Va=k[C+(da+3<<2)>>2]|0;if((Va|0)>0){D=0;$a=0.0;while(1){ab=$a+ +p[c+((k[C+(D+4+da<<2)>>2]|0)+-1<<3)>>3];D=D+1|0;if((D|0)==(Va|0)){Cb=ab;break}else $a=ab}}else Cb=0.0;$a=Cb/+(Va|0);ab=+$(+$a);p[t>>3]=ab;D=k[t+4>>2]|0;if(!(D>>>0>2146435072|(D|0)==2146435072&(k[t>>2]|0)>>>0>0)){D=Qqa(32)|0;da=ca+1|0;B=0;Pa(1,D|0,da+(k[Sa>>2]|0)|0,Za+1+(k[Ta>>2]|0)+(k[Oa>>2]|0)+(k[Na>>2]|0)|0,h|0,+$a,f|0);C=B;B=0;if(C&1){Db=D;break}ih(a,D)|0;Eb=k[Ua>>2]|0;Fb=da}else{Eb=A;Fb=ca}}else{Eb=A;Fb=ca}Za=Za+1|0;if((Za|0)>=(Eb|0)){Gb=Fb;break j}else{A=Eb;ca=Fb}}ca=Rb()|0;A=Q;Sqa(Db);qa=A;ra=ca;Qb(ra|0)}else Gb=Bb;while(0);ca=b+56|0;A=k[ca>>2]|0;if((A|0)<=0)break e;Za=b+32|0;Ua=b+72|0;$a=+(S|0);Ta=b+100|0;Sa=b+60|0;Qa=b+108|0;if((S|0)>1){Wa=A;da=Gb;D=0;while(1){if(i[(k[Za>>2]|0)+D>>0]|0){C=ma(D,S)|0;Ya=k[Ua>>2]|0;E=1;ab=+p[c+((k[Ya+(C<<2)>>2]|0)+-1<<3)>>3];while(1){jb=ab+ +p[c+((k[Ya+(E+C<<2)>>2]|0)+-1<<3)>>3];E=E+1|0;if((E|0)==(S|0)){Hb=jb;break}else ab=jb}ab=Hb/$a;jb=+$(+ab);p[t>>3]=jb;E=k[t+4>>2]|0;if(!(E>>>0>2146435072|(E|0)==2146435072&(k[t>>2]|0)>>>0>0)){E=D+1+(k[Ta>>2]|0)+(k[Oa>>2]|0)+(k[Na>>2]|0)|0;if((k[_a>>2]|0)==625)Ib=(k[Sa>>2]|0)+E|0;else Ib=E;E=Qqa(32)|0;C=da+1|0;B=0;Pa(1,E|0,C+(k[Qa>>2]|0)|0,Ib|0,h|0,+ab,f|0);Ya=B;B=0;if(Ya&1){Jb=E;break}ih(a,E)|0;Kb=k[ca>>2]|0;Lb=C}else{Kb=Wa;Lb=da}}else{Kb=Wa;Lb=da}D=D+1|0;if((D|0)>=(Kb|0))break e;else{Wa=Kb;da=Lb}}da=Rb()|0;Mb=da;Nb=Q;Ob=Jb}else{da=A;Wa=Gb;D=0;while(1){if((i[(k[Za>>2]|0)+D>>0]|0)!=0?(C=ma(D,S)|0,ab=+p[c+((k[(k[Ua>>2]|0)+(C<<2)>>2]|0)+-1<<3)>>3]/$a,jb=+$(+ab),p[t>>3]=jb,C=k[t+4>>2]|0,!(C>>>0>2146435072|(C|0)==2146435072&(k[t>>2]|0)>>>0>0)):0){C=D+1+(k[Ta>>2]|0)+(k[Oa>>2]|0)+(k[Na>>2]|0)|0;if((k[_a>>2]|0)==625)Pb=(k[Sa>>2]|0)+C|0;else Pb=C;C=Qqa(32)|0;E=Wa+1|0;B=0;Pa(1,C|0,E+(k[Qa>>2]|0)|0,Pb|0,h|0,+ab,f|0);Ya=B;B=0;if(Ya&1){Sb=C;break}ih(a,C)|0;Tb=k[ca>>2]|0;Ub=E}else{Tb=da;Ub=Wa}D=D+1|0;if((D|0)>=(Tb|0))break e;else{da=Tb;Wa=Ub}}Wa=Rb()|0;Mb=Wa;Nb=Q;Ob=Sb}Sqa(Ob);qa=Nb;ra=Mb;Qb(ra|0);break}case 748:{k:do if((d|0)>0){Wa=b+36|0;da=b+108|0;D=b+100|0;ca=d;Qa=0;Sa=0;while(1){if((k[(k[Wa>>2]|0)+(Sa<<2)>>2]|0)!=0?($a=+p[c+(Sa<<3)>>3],ab=+$(+$a),p[t>>3]=ab,_a=k[t+4>>2]|0,!(_a>>>0>2146435072|(_a|0)==2146435072&(k[t>>2]|0)>>>0>0)):0){_a=Qqa(32)|0;Na=Qa+1|0;B=0;Pa(1,_a|0,Na+(k[da>>2]|0)|0,Sa+1+(k[D>>2]|0)|0,h|0,+$a,f|0);Ta=B;B=0;if(Ta&1){Vb=_a;break}ih(a,_a)|0;Wb=k[Oa>>2]|0;Xb=Na}else{Wb=ca;Xb=Qa}Sa=Sa+1|0;if((Sa|0)>=(Wb|0)){Yb=Xb;break k}else{ca=Wb;Qa=Xb}}Qa=Rb()|0;ca=Q;Sqa(Vb);qa=ca;ra=Qa;Qb(ra|0)}else Yb=0;while(0);Qa=b+64|0;l:do if((k[Qa>>2]|0)>0){ca=b+80|0;Sa=b+108|0;D=b+100|0;da=Yb;Wa=0;while(1){Na=Wa*3|0;_a=Na+2|0;Ta=k[ca>>2]|0;Ua=k[Ta+(_a<<2)>>2]|0;if((Ua|0)==2)if(((i[(k[m>>2]|0)+Wa>>0]|0)!=0?(Za=c+((k[Ta+(Na<<2)>>2]|0)+-1<<3)|0,$a=+p[Za>>3],ab=+$(+$a),p[t>>3]=ab,A=k[t+4>>2]|0,!(A>>>0>2146435072|(A|0)==2146435072&(k[t>>2]|0)>>>0>0)):0)?(A=Na+1|0,E=c+((k[Ta+(A<<2)>>2]|0)+-1<<3)|0,ab=+p[E>>3],jb=+$(+ab),p[t>>3]=jb,C=k[t+4>>2]|0,!(C>>>0>2146435072|(C|0)==2146435072&(k[t>>2]|0)>>>0>0)):0){C=Qqa(32)|0;B=0;Pa(1,C|0,da+1+(k[Sa>>2]|0)|0,A+(k[D>>2]|0)+(k[Oa>>2]|0)|0,h|0,+($a*.5+ab*.5),f|0);A=B;B=0;if(A&1){Zb=C;pa=210;break}ih(a,C)|0;C=Qqa(32)|0;B=0;Pa(1,C|0,da+2+(k[Sa>>2]|0)|0,_a+(k[D>>2]|0)+(k[Oa>>2]|0)|0,h|0,+(+p[Za>>3]*.5+ +p[E>>3]*.5),f|0);A=B;B=0;if(A&1){_b=C;pa=211;break}ih(a,C)|0;C=Qqa(32)|0;A=da+3|0;B=0;Pa(1,C|0,A+(k[Sa>>2]|0)|0,Na+3+(k[D>>2]|0)+(k[Oa>>2]|0)|0,h|0,+(+p[Za>>3]*.5+ +p[E>>3]*.5),f|0);E=B;B=0;if(E&1){$b=C;pa=212;break}ih(a,C)|0;C=k[ca>>2]|0;ac=k[C+(_a<<2)>>2]|0;bc=C;cc=A;pa=213}else dc=da;else{ac=Ua;bc=Ta;cc=da;pa=213}if((pa|0)==213){pa=0;if((((ac|0)==1?(i[(k[m>>2]|0)+Wa>>0]|0)!=0:0)?(ab=+p[c+((k[bc+(Na<<2)>>2]|0)+-1<<3)>>3],$a=+$(+ab),p[t>>3]=$a,Ta=k[t+4>>2]|0,!(Ta>>>0>2146435072|(Ta|0)==2146435072&(k[t>>2]|0)>>>0>0)):0)?(Ta=Na+1|0,$a=+p[c+((k[bc+(Ta<<2)>>2]|0)+-1<<3)>>3],jb=+$(+$a),p[t>>3]=jb,Na=k[t+4>>2]|0,!(Na>>>0>2146435072|(Na|0)==2146435072&(k[t>>2]|0)>>>0>0)):0){Na=Qqa(32)|0;Ua=cc+1|0;B=0;Pa(1,Na|0,Ua+(k[Sa>>2]|0)|0,Ta+(k[D>>2]|0)+(k[Oa>>2]|0)|0,h|0,+(ab*.5+$a*.5),f|0);Ta=B;B=0;if(Ta&1){ec=Na;pa=219;break}ih(a,Na)|0;dc=Ua}else dc=cc}Wa=Wa+1|0;if((Wa|0)>=(k[Qa>>2]|0)){fc=dc;break l}else da=dc}if((pa|0)==210){da=Rb()|0;Wa=Q;Sqa(Zb);qa=Wa;ra=da;Qb(ra|0)}else if((pa|0)==211){da=Rb()|0;Wa=Q;Sqa(_b);qa=Wa;ra=da;Qb(ra|0)}else if((pa|0)==212){da=Rb()|0;Wa=Q;Sqa($b);qa=Wa;ra=da;Qb(ra|0)}else if((pa|0)==219){da=Rb()|0;Wa=Q;Sqa(ec);qa=Wa;ra=da;Qb(ra|0)}}else fc=Yb;while(0);da=b+60|0;Wa=k[da>>2]|0;if((Wa|0)<=0)break e;D=b+68|0;Sa=b+76|0;ca=b+108|0;Ua=b+100|0;Na=Wa;Wa=fc;Ta=0;while(1){A=ma(k[D>>2]|0,Ta)|0;C=k[Sa>>2]|0;if((k[C+(A+2<<2)>>2]|0)==2?(i[(k[n>>2]|0)+Ta>>0]|0)!=0:0){_a=k[C+(A+3<<2)>>2]|0;if((_a|0)>0){E=0;$a=0.0;while(1){ab=$a+ +p[c+((k[C+(E+4+A<<2)>>2]|0)+-1<<3)>>3];E=E+1|0;if((E|0)==(_a|0)){gc=ab;break}else $a=ab}}else gc=0.0;$a=gc/+(_a|0);ab=+$(+$a);p[t>>3]=ab;E=k[t+4>>2]|0;if(!(E>>>0>2146435072|(E|0)==2146435072&(k[t>>2]|0)>>>0>0)){E=Qqa(32)|0;A=Ta*3|0;B=0;Pa(1,E|0,Wa+1+(k[ca>>2]|0)|0,A+1+(k[Ua>>2]|0)+(k[Oa>>2]|0)+((k[Qa>>2]|0)*3|0)|0,h|0,+$a,f|0);C=B;B=0;if(C&1){hc=E;pa=230;break}ih(a,E)|0;E=Qqa(32)|0;B=0;Pa(1,E|0,Wa+2+(k[ca>>2]|0)|0,A+2+(k[Ua>>2]|0)+(k[Oa>>2]|0)+((k[Qa>>2]|0)*3|0)|0,h|0,+$a,f|0);C=B;B=0;if(C&1){ic=E;pa=231;break}ih(a,E)|0;E=Qqa(32)|0;C=Wa+3|0;B=0;Pa(1,E|0,C+(k[ca>>2]|0)|0,A+3+(k[Ua>>2]|0)+(k[Oa>>2]|0)+((k[Qa>>2]|0)*3|0)|0,h|0,+$a,f|0);A=B;B=0;if(A&1){jc=E;pa=232;break}ih(a,E)|0;kc=k[da>>2]|0;lc=C}else{kc=Na;lc=Wa}}else{kc=Na;lc=Wa}Ta=Ta+1|0;if((Ta|0)>=(kc|0))break e;else{Na=kc;Wa=lc}}if((pa|0)==230){Wa=Rb()|0;Na=Q;Sqa(hc);qa=Na;ra=Wa;Qb(ra|0)}else if((pa|0)==231){Wa=Rb()|0;Na=Q;Sqa(ic);qa=Na;ra=Wa;Qb(ra|0)}else if((pa|0)==232){Wa=Rb()|0;Na=Q;Sqa(jc);qa=Na;ra=Wa;Qb(ra|0)}break}case 740:{m:do if((d|0)>0){Wa=b+36|0;Na=b+108|0;Ta=b+100|0;da=d;Qa=0;Ua=0;while(1){if((k[(k[Wa>>2]|0)+(Ua<<2)>>2]|0)!=0?($a=+p[c+(Ua<<3)>>3],ab=+$(+$a),p[t>>3]=ab,ca=k[t+4>>2]|0,!(ca>>>0>2146435072|(ca|0)==2146435072&(k[t>>2]|0)>>>0>0)):0){ca=Qqa(32)|0;Sa=Qa+1|0;B=0;Pa(1,ca|0,Sa+(k[Na>>2]|0)|0,Ua+1+(k[Ta>>2]|0)|0,h|0,+$a,f|0);D=B;B=0;if(D&1){mc=ca;break}ih(a,ca)|0;nc=k[Oa>>2]|0;oc=Sa}else{nc=da;oc=Qa}Ua=Ua+1|0;if((Ua|0)>=(nc|0)){pc=oc;break m}else{da=nc;Qa=oc}}Qa=Rb()|0;da=Q;Sqa(mc);qa=da;ra=Qa;Qb(ra|0)}else pc=0;while(0);Qa=b+56|0;da=k[Qa>>2]|0;if((da|0)<=0)break e;Ua=b+32|0;Ta=b+72|0;$a=+(S|0);Na=b+108|0;Wa=b+100|0;if((S|0)>1){_a=da;Sa=pc;ca=0;while(1){if(i[(k[Ua>>2]|0)+ca>>0]|0){D=ma(ca,S)|0;C=k[Ta>>2]|0;E=1;ab=+p[c+((k[C+(D<<2)>>2]|0)+-1<<3)>>3];while(1){jb=ab+ +p[c+((k[C+(E+D<<2)>>2]|0)+-1<<3)>>3];E=E+1|0;if((E|0)==(S|0)){qc=jb;break}else ab=jb}ab=qc/$a;jb=+$(+ab);p[t>>3]=jb;E=k[t+4>>2]|0;if(!(E>>>0>2146435072|(E|0)==2146435072&(k[t>>2]|0)>>>0>0)){E=Qqa(32)|0;D=Sa+1|0;B=0;Pa(1,E|0,D+(k[Na>>2]|0)|0,ca+1+(k[Wa>>2]|0)+(k[Oa>>2]|0)|0,h|0,+ab,f|0);C=B;B=0;if(C&1){rc=E;break}ih(a,E)|0;sc=k[Qa>>2]|0;tc=D}else{sc=_a;tc=Sa}}else{sc=_a;tc=Sa}ca=ca+1|0;if((ca|0)>=(sc|0))break e;else{_a=sc;Sa=tc}}Sa=Rb()|0;uc=Sa;vc=Q;wc=rc}else{Sa=da;_a=pc;ca=0;while(1){if((i[(k[Ua>>2]|0)+ca>>0]|0)!=0?(D=ma(ca,S)|0,ab=+p[c+((k[(k[Ta>>2]|0)+(D<<2)>>2]|0)+-1<<3)>>3]/$a,jb=+$(+ab),p[t>>3]=jb,D=k[t+4>>2]|0,!(D>>>0>2146435072|(D|0)==2146435072&(k[t>>2]|0)>>>0>0)):0){D=Qqa(32)|0;E=_a+1|0;B=0;Pa(1,D|0,E+(k[Na>>2]|0)|0,ca+1+(k[Wa>>2]|0)+(k[Oa>>2]|0)|0,h|0,+ab,f|0);C=B;B=0;if(C&1){xc=D;break}ih(a,D)|0;yc=k[Qa>>2]|0;zc=E}else{yc=Sa;zc=_a}ca=ca+1|0;if((ca|0)>=(yc|0))break e;else{Sa=yc;_a=zc}}_a=Rb()|0;uc=_a;vc=Q;wc=xc}Sqa(wc);qa=vc;ra=uc;Qb(ra|0);break}case 741:{if((d|0)<=0)break e;_a=b+36|0;Sa=b+108|0;ca=b+100|0;Qa=d;Wa=0;Na=0;while(1){if((k[(k[_a>>2]|0)+(Na<<2)>>2]|0)!=0?($a=+p[c+(Na<<3)>>3],ab=+$(+$a),p[t>>3]=ab,Ta=k[t+4>>2]|0,!(Ta>>>0>2146435072|(Ta|0)==2146435072&(k[t>>2]|0)>>>0>0)):0){Ta=Qqa(32)|0;Ua=Wa+1|0;B=0;Pa(1,Ta|0,Ua+(k[Sa>>2]|0)|0,Na+1+(k[ca>>2]|0)|0,h|0,+$a,f|0);da=B;B=0;if(da&1){Ac=Ta;break}ih(a,Ta)|0;Bc=k[Oa>>2]|0;Cc=Ua}else{Bc=Qa;Cc=Wa}Na=Na+1|0;if((Na|0)>=(Bc|0))break e;else{Qa=Bc;Wa=Cc}}Wa=Rb()|0;Qa=Q;Sqa(Ac);qa=Qa;ra=Wa;Qb(ra|0);break}case 746:{n:do if((d|0)>0){Wa=b+36|0;Qa=b+108|0;Na=b+100|0;ca=d;Sa=0;_a=0;while(1){if((k[(k[Wa>>2]|0)+(_a<<2)>>2]|0)!=0?($a=+p[c+(_a<<3)>>3],ab=+$(+$a),p[t>>3]=ab,Ua=k[t+4>>2]|0,!(Ua>>>0>2146435072|(Ua|0)==2146435072&(k[t>>2]|0)>>>0>0)):0){Ua=Qqa(32)|0;Ta=Sa+1|0;B=0;Pa(1,Ua|0,Ta+(k[Qa>>2]|0)|0,_a+1+(k[Na>>2]|0)|0,h|0,+$a,f|0);da=B;B=0;if(da&1){Dc=Ua;break}ih(a,Ua)|0;Ec=k[Oa>>2]|0;Fc=Ta}else{Ec=ca;Fc=Sa}_a=_a+1|0;if((_a|0)>=(Ec|0)){Gc=Fc;break n}else{ca=Ec;Sa=Fc}}Sa=Rb()|0;ca=Q;Sqa(Dc);qa=ca;ra=Sa;Qb(ra|0)}else Gc=0;while(0);Sa=b+64|0;ca=k[Sa>>2]|0;if((ca|0)<=0)break e;_a=b+80|0;Na=b+108|0;Qa=b+100|0;Wa=ca;ca=Gc;Ta=0;while(1){Ua=Ta*3|0;da=k[_a>>2]|0;if((((k[da+(Ua+2<<2)>>2]|0)==2?(i[(k[m>>2]|0)+Ta>>0]|0)!=0:0)?($a=+p[c+((k[da+(Ua<<2)>>2]|0)+-1<<3)>>3],ab=+$(+$a),p[t>>3]=ab,E=k[t+4>>2]|0,!(E>>>0>2146435072|(E|0)==2146435072&(k[t>>2]|0)>>>0>0)):0)?(ab=+p[c+((k[da+(Ua+1<<2)>>2]|0)+-1<<3)>>3],jb=+$(+ab),p[t>>3]=jb,Ua=k[t+4>>2]|0,!(Ua>>>0>2146435072|(Ua|0)==2146435072&(k[t>>2]|0)>>>0>0)):0){Ua=Qqa(32)|0;da=ca+1|0;B=0;Pa(1,Ua|0,da+(k[Na>>2]|0)|0,Ta+1+(k[Qa>>2]|0)+(k[Oa>>2]|0)|0,h|0,+(($a+ab)*.5),f|0);E=B;B=0;if(E&1){Hc=Ua;break}ih(a,Ua)|0;Ic=k[Sa>>2]|0;Jc=da}else{Ic=Wa;Jc=ca}Ta=Ta+1|0;if((Ta|0)>=(Ic|0))break e;else{Wa=Ic;ca=Jc}}ca=Rb()|0;Wa=Q;Sqa(Hc);qa=Wa;ra=ca;Qb(ra|0);break}case 747:{o:do if((d|0)>0){ca=b+36|0;Wa=b+108|0;Ta=b+100|0;Sa=d;Qa=0;Na=0;while(1){if((k[(k[ca>>2]|0)+(Na<<2)>>2]|0)!=0?(ab=+p[c+(Na<<3)>>3],$a=+$(+ab),p[t>>3]=$a,_a=k[t+4>>2]|0,!(_a>>>0>2146435072|(_a|0)==2146435072&(k[t>>2]|0)>>>0>0)):0){_a=Qqa(32)|0;da=Qa+1|0;B=0;Pa(1,_a|0,da+(k[Wa>>2]|0)|0,Na+1+(k[Ta>>2]|0)|0,h|0,+ab,f|0);Ua=B;B=0;if(Ua&1){Kc=_a;break}ih(a,_a)|0;Lc=k[Oa>>2]|0;Mc=da}else{Lc=Sa;Mc=Qa}Na=Na+1|0;if((Na|0)>=(Lc|0)){Nc=Mc;break o}else{Sa=Lc;Qa=Mc}}Qa=Rb()|0;Sa=Q;Sqa(Kc);qa=Sa;ra=Qa;Qb(ra|0)}else Nc=0;while(0);Qa=b+64|0;Sa=k[Qa>>2]|0;if((Sa|0)<=0)break e;Na=b+80|0;Ta=b+108|0;Wa=b+100|0;ca=Sa;Sa=Nc;da=0;while(1){_a=da*3|0;Ua=k[Na>>2]|0;if((((k[Ua+(_a+2<<2)>>2]|0)==2?(i[(k[m>>2]|0)+da>>0]|0)!=0:0)?(E=c+((k[Ua+(_a<<2)>>2]|0)+-1<<3)|0,ab=+p[E>>3],$a=+$(+ab),p[t>>3]=$a,D=k[t+4>>2]|0,!(D>>>0>2146435072|(D|0)==2146435072&(k[t>>2]|0)>>>0>0)):0)?(D=c+((k[Ua+(_a+1<<2)>>2]|0)+-1<<3)|0,$a=+p[D>>3],jb=+$(+$a),p[t>>3]=jb,_a=k[t+4>>2]|0,!(_a>>>0>2146435072|(_a|0)==2146435072&(k[t>>2]|0)>>>0>0)):0){_a=Qqa(32)|0;Ua=da<<1;B=0;Pa(1,_a|0,Sa+1+(k[Ta>>2]|0)|0,(Ua|1)+(k[Wa>>2]|0)+(k[Oa>>2]|0)|0,h|0,+(ab*.6666666666666666+$a*.3333333333333333),f|0);C=B;B=0;if(C&1){Oc=_a;pa=294;break}ih(a,_a)|0;_a=Qqa(32)|0;C=Sa+2|0;B=0;Pa(1,_a|0,C+(k[Ta>>2]|0)|0,Ua+2+(k[Wa>>2]|0)+(k[Oa>>2]|0)|0,h|0,+(+p[E>>3]*.3333333333333333+ +p[D>>3]*.6666666666666666),f|0);D=B;B=0;if(D&1){Pc=_a;pa=295;break}ih(a,_a)|0;Qc=k[Qa>>2]|0;Rc=C}else{Qc=ca;Rc=Sa}da=da+1|0;if((da|0)>=(Qc|0))break e;else{ca=Qc;Sa=Rc}}if((pa|0)==294){Sa=Rb()|0;ca=Q;Sqa(Oc);qa=ca;ra=Sa;Qb(ra|0)}else if((pa|0)==295){Sa=Rb()|0;ca=Q;Sqa(Pc);qa=ca;ra=Sa;Qb(ra|0)}break}case 745:{p:do if((d|0)>0){Sa=b+36|0;ca=b+108|0;da=b+100|0;Qa=d;Wa=0;Ta=0;while(1){if((k[(k[Sa>>2]|0)+(Ta<<2)>>2]|0)!=0?($a=+p[c+(Ta<<3)>>3],ab=+$(+$a),p[t>>3]=ab,Na=k[t+4>>2]|0,!(Na>>>0>2146435072|(Na|0)==2146435072&(k[t>>2]|0)>>>0>0)):0){Na=Qqa(32)|0;C=Wa+1|0;B=0;Pa(1,Na|0,C+(k[ca>>2]|0)|0,Ta+1+(k[da>>2]|0)|0,h|0,+$a,f|0);_a=B;B=0;if(_a&1){Sc=Na;break}ih(a,Na)|0;Tc=k[Oa>>2]|0;Uc=C}else{Tc=Qa;Uc=Wa}Ta=Ta+1|0;if((Ta|0)>=(Tc|0)){Vc=Uc;break p}else{Qa=Tc;Wa=Uc}}Wa=Rb()|0;Qa=Q;Sqa(Sc);qa=Qa;ra=Wa;Qb(ra|0)}else Vc=0;while(0);Wa=b+64|0;Qa=k[Wa>>2]|0;if((Qa|0)<=0)break e;Ta=b+80|0;da=b+108|0;ca=b+100|0;Sa=Qa;Qa=Vc;C=0;while(1){Na=C*3|0;_a=k[Ta>>2]|0;if((((k[_a+(Na+2<<2)>>2]|0)!=2?(i[(k[m>>2]|0)+C>>0]|0)!=0:0)?($a=+p[c+((k[_a+(Na<<2)>>2]|0)+-1<<3)>>3],ab=+$(+$a),p[t>>3]=ab,D=k[t+4>>2]|0,!(D>>>0>2146435072|(D|0)==2146435072&(k[t>>2]|0)>>>0>0)):0)?(ab=+p[c+((k[_a+(Na+1<<2)>>2]|0)+-1<<3)>>3],jb=+$(+ab),p[t>>3]=jb,Na=k[t+4>>2]|0,!(Na>>>0>2146435072|(Na|0)==2146435072&(k[t>>2]|0)>>>0>0)):0){Na=Qqa(32)|0;_a=Qa+1|0;B=0;Pa(1,Na|0,_a+(k[da>>2]|0)|0,C+1+(k[ca>>2]|0)+(k[Oa>>2]|0)|0,h|0,+(($a+ab)*.5),f|0);D=B;B=0;if(D&1){Wc=Na;break}ih(a,Na)|0;Xc=k[Wa>>2]|0;Yc=_a}else{Xc=Sa;Yc=Qa}C=C+1|0;if((C|0)>=(Xc|0))break e;else{Sa=Xc;Qa=Yc}}Qa=Rb()|0;Sa=Q;Sqa(Wc);qa=Sa;ra=Qa;Qb(ra|0);break}default:{Qa=F+56|0;Sa=F+4|0;k[F>>2]=27524;k[Qa>>2]=27544;B=0;wa(508,F+56|0,Sa|0);C=B;B=0;if(C&1){C=Rb()|0;Zc=Q;_c=C;vva(Qa);Qb(_c|0)}k[F+128>>2]=0;k[F+132>>2]=-1;k[F>>2]=27468;k[Qa>>2]=27488;B=0;va(448,Sa|0);C=B;B=0;do if(C&1){Wa=Rb()|0;$c=Q;ad=Wa}else{k[Sa>>2]=27560;Wa=F+36|0;k[Wa>>2]=0;k[Wa+4>>2]=0;k[Wa+8>>2]=0;k[Wa+12>>2]=0;k[F+52>>2]=16;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;B=0;wa(509,Sa|0,l|0);ca=B;B=0;if(ca&1){ca=Rb()|0;da=Q;Yua(l);Yua(Wa);Ava(Sa);$c=da;ad=ca;break}Yua(l);B=0;ca=Ia(40,F|0,145867,15)|0;da=B;B=0;q:do if((((!(da&1)?(B=0,Ta=ya(427,g|0)|0,_a=B,B=0,!(_a&1)):0)?(_a=Lta(Ta)|0,B=0,Na=Ia(40,ca|0,Ta|0,_a|0)|0,_a=B,B=0,!(_a&1)):0)?(B=0,_a=Ia(40,Na|0,146481,18)|0,Na=B,B=0,!(Na&1)):0)?(B=0,Xa(239,_a|0,0)|0,_a=B,B=0,!(_a&1)):0){_a=Ab(20)|0;B=0;eb(502,G|0,145672,102);Na=B;B=0;do if(!(Na&1)){B=0;eb(502,H|0,145775,21);Ta=B;B=0;if(Ta&1){Ta=Rb()|0;D=Q;Yua(G);bd=D;cd=Ta;break}B=0;wa(510,I|0,Sa|0);Ta=B;B=0;if(Ta&1){Ta=Rb()|0;dd=Q;ed=Ta;fd=1}else{B=0;ua(163,_a|0,G|0,H|0,396,I|0);Ta=B;B=0;if(Ta&1)gd=1;else{B=0;eb(503,_a|0,1240,229);B=0;gd=0}Ta=Rb()|0;D=Q;Yua(I);dd=D;ed=Ta;fd=gd}Yua(H);Yua(G);if(fd){bd=dd;cd=ed}else{hd=dd;id=ed;break q}}else{Ta=Rb()|0;bd=Q;cd=Ta}while(0);zb(_a|0);hd=bd;id=cd}else pa=331;while(0);if((pa|0)==331){ca=Rb()|0;hd=Q;id=ca}k[F>>2]=27468;k[Qa>>2]=27488;k[Sa>>2]=27560;Yua(Wa);Ava(Sa);vva(Qa);qa=hd;ra=id;Qb(ra|0)}while(0);Zc=$c;_c=ad;vva(Qa);Qb(_c|0)}}while(0);else{if((Ra+1|0)!=(d|0)){V=N+56|0;Sa=N+4|0;k[N>>2]=27524;k[V>>2]=27544;B=0;wa(508,N+56|0,Sa|0);C=B;B=0;if(C&1){C=Rb()|0;jd=Q;kd=C;vva(V);Qb(kd|0)}k[N+128>>2]=0;k[N+132>>2]=-1;k[N>>2]=27468;k[V>>2]=27488;B=0;va(448,Sa|0);C=B;B=0;do if(C&1){ca=Rb()|0;ld=Q;md=ca}else{k[Sa>>2]=27560;ca=N+36|0;k[ca>>2]=0;k[ca+4>>2]=0;k[ca+8>>2]=0;k[ca+12>>2]=0;k[N+52>>2]=16;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;B=0;wa(509,Sa|0,l|0);da=B;B=0;if(da&1){da=Rb()|0;Na=Q;Yua(l);Yua(ca);Ava(Sa);ld=Na;md=da;break}Yua(l);B=0;da=Ia(40,N|0,145883,31)|0;Na=B;B=0;r:do if(!(Na&1)?(B=0,Xa(239,da|0,0)|0,Va=B,B=0,!(Va&1)):0){Va=Ab(20)|0;B=0;eb(502,O|0,145672,102);Ta=B;B=0;do if(!(Ta&1)){B=0;eb(502,P|0,145775,21);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(O);nd=E;od=D;break}B=0;wa(510,R|0,Sa|0);D=B;B=0;if(D&1){D=Rb()|0;pd=1;qd=Q;rd=D}else{B=0;ua(163,Va|0,O|0,P|0,551,R|0);D=B;B=0;if(D&1)sd=1;else{B=0;eb(503,Va|0,1240,229);B=0;sd=0}D=Rb()|0;E=Q;Yua(R);pd=sd;qd=E;rd=D}Yua(P);Yua(O);if(pd){nd=qd;od=rd}else{td=qd;ud=rd;break r}}else{D=Rb()|0;nd=Q;od=D}while(0);zb(Va|0);td=nd;ud=od}else pa=474;while(0);if((pa|0)==474){da=Rb()|0;td=Q;ud=da}k[N>>2]=27468;k[V>>2]=27488;k[Sa>>2]=27560;Yua(ca);Ava(Sa);vva(V);qa=td;ra=ud;Qb(ra|0)}while(0);jd=ld;kd=md;vva(V);Qb(kd|0)}Sa=e>>>0>536870911?-1:e<<3;C=Rqa(Sa)|0;da=(e|0)>0;if(da)TEa(C|0,c+((ma(d+-1|0,e)|0)<<3)|0,e<<3|0)|0;s:do switch(g|0){case 738:{if((Ra|0)>0){Na=b+36|0;Qa=b+108|0;Ta=b+100|0;if(!da){Wa=0;while(1){Wa=Wa+1|0;if((Wa|0)>=(Ra|0))break s}}Wa=e<<3;ca=Ra;D=0;E=0;while(1){Ua=ma(E,e)|0;if(!(k[(k[Na>>2]|0)+(E<<2)>>2]|0)){vd=ca;wd=D}else{A=Rqa(Sa)|0;TEa(A|0,c+(Ua<<3)|0,Wa|0)|0;Za=0;Ya=0;do{ab=+$(+(+p[c+(Za+Ua<<3)>>3]));p[t>>3]=ab;ta=k[t+4>>2]|0;Ya=Ya|(ta>>>0<2146435072|(ta|0)==2146435072&(k[t>>2]|0)>>>0<1);Za=Za+1|0}while((Za|0)!=(e|0));if(Ya){Za=Qqa(36)|0;Ua=D+1|0;B=0;Ka(11,Za|0,Ua+(k[Qa>>2]|0)|0,E+1+(k[Ta>>2]|0)|0,h|0,e|0,C|0,A|0,f|0);Va=B;B=0;if(Va&1){xd=Za;break}ih(a,Za)|0;yd=Ua}else yd=D;Tqa(A);vd=k[Oa>>2]|0;wd=yd}E=E+1|0;if((E|0)>=(vd|0))break s;else{ca=vd;D=wd}}D=Rb()|0;ca=Q;Sqa(xd);qa=ca;ra=D;Qb(ra|0)}break}case 742:{t:do if((Ra|0)>0){D=b+36|0;ca=b+108|0;E=b+100|0;if(!da){Ta=0;while(1){Ta=Ta+1|0;if((Ta|0)>=(Ra|0)){zd=0;break t}}}Ta=e<<3;A=Ra;Ya=0;Qa=0;while(1){Wa=ma(Qa,e)|0;if(!(k[(k[D>>2]|0)+(Qa<<2)>>2]|0)){Ad=A;Bd=Ya}else{Na=Rqa(Sa)|0;TEa(Na|0,c+(Wa<<3)|0,Ta|0)|0;Ua=0;Za=0;do{ab=+$(+(+p[c+(Ua+Wa<<3)>>3]));p[t>>3]=ab;Va=k[t+4>>2]|0;Za=Za|(Va>>>0<2146435072|(Va|0)==2146435072&(k[t>>2]|0)>>>0<1);Ua=Ua+1|0}while((Ua|0)!=(e|0));if(Za){Ua=Qqa(36)|0;Wa=Ya+1|0;B=0;Ka(11,Ua|0,Wa+(k[ca>>2]|0)|0,Qa+1+(k[E>>2]|0)|0,h|0,e|0,C|0,Na|0,f|0);_a=B;B=0;if(_a&1){Cd=Ua;break}ih(a,Ua)|0;Dd=Wa}else Dd=Ya;Tqa(Na);Ad=k[Oa>>2]|0;Bd=Dd}Qa=Qa+1|0;if((Qa|0)>=(Ad|0)){zd=Bd;break t}else{A=Ad;Ya=Bd}}Ya=Rb()|0;A=Q;Sqa(Cd);qa=A;ra=Ya;Qb(ra|0)}else zd=0;while(0);Ya=b+64|0;A=k[Ya>>2]|0;if((A|0)>0){Qa=b+80|0;E=b+108|0;ca=b+100|0;if(da){Ed=A;Fd=zd;Gd=0}else{Ta=0;while(1){Ta=Ta+1|0;if((Ta|0)>=(A|0))break s}}while(1){if(!(i[(k[m>>2]|0)+Gd>>0]|0)){Hd=Ed;Id=Fd}else{A=Gd*3|0;Ta=k[Qa>>2]|0;D=(k[Ta+(A<<2)>>2]|0)+-1|0;Wa=(k[Ta+(A+1<<2)>>2]|0)+-1|0;A=Rqa(Sa)|0;Ta=ma(D,e)|0;D=ma(Wa,e)|0;Wa=0;Ua=0;do{ab=(+p[c+(Wa+Ta<<3)>>3]+ +p[c+(Wa+D<<3)>>3])*.5;p[A+(Wa<<3)>>3]=ab;$a=+$(+ab);p[t>>3]=$a;_a=k[t+4>>2]|0;Ua=Ua|(_a>>>0<2146435072|(_a|0)==2146435072&(k[t>>2]|0)>>>0<1);Wa=Wa+1|0}while((Wa|0)!=(e|0));if(Ua){Wa=Qqa(36)|0;D=Fd+1|0;B=0;Ka(11,Wa|0,D+(k[E>>2]|0)|0,Gd+1+(k[ca>>2]|0)+(k[Oa>>2]|0)|0,h|0,e|0,C|0,A|0,f|0);Ta=B;B=0;if(Ta&1){Jd=Wa;break}ih(a,Wa)|0;Kd=D}else Kd=Fd;Tqa(A);Hd=k[Ya>>2]|0;Id=Kd}Gd=Gd+1|0;if((Gd|0)>=(Hd|0))break s;else{Ed=Hd;Fd=Id}}Ya=Rb()|0;ca=Q;Sqa(Jd);qa=ca;ra=Ya;Qb(ra|0)}break}case 746:{u:do if((Ra|0)>0){Ya=b+36|0;ca=b+108|0;E=b+100|0;if(!da){Qa=0;while(1){Qa=Qa+1|0;if((Qa|0)>=(Ra|0)){Ld=0;break u}}}Qa=e<<3;A=Ra;Ua=0;D=0;while(1){Wa=ma(D,e)|0;if(!(k[(k[Ya>>2]|0)+(D<<2)>>2]|0)){Md=A;Nd=Ua}else{Ta=Rqa(Sa)|0;TEa(Ta|0,c+(Wa<<3)|0,Qa|0)|0;_a=0;Va=0;do{$a=+$(+(+p[c+(_a+Wa<<3)>>3]));p[t>>3]=$a;ta=k[t+4>>2]|0;Va=Va|(ta>>>0<2146435072|(ta|0)==2146435072&(k[t>>2]|0)>>>0<1);_a=_a+1|0}while((_a|0)!=(e|0));if(Va){_a=Qqa(36)|0;Wa=Ua+1|0;B=0;Ka(11,_a|0,Wa+(k[ca>>2]|0)|0,D+1+(k[E>>2]|0)|0,h|0,e|0,C|0,Ta|0,f|0);Na=B;B=0;if(Na&1){Od=_a;break}ih(a,_a)|0;Pd=Wa}else Pd=Ua;Tqa(Ta);Md=k[Oa>>2]|0;Nd=Pd}D=D+1|0;if((D|0)>=(Md|0)){Ld=Nd;break u}else{A=Md;Ua=Nd}}Ua=Rb()|0;A=Q;Sqa(Od);qa=A;ra=Ua;Qb(ra|0)}else Ld=0;while(0);Ua=b+64|0;A=k[Ua>>2]|0;if((A|0)>0){D=b+80|0;E=b+108|0;ca=b+100|0;if(da){Qd=A;Rd=Ld;Sd=0}else{Qa=0;while(1){Qa=Qa+1|0;if((Qa|0)>=(A|0))break s}}while(1){A=Sd*3|0;Qa=k[D>>2]|0;if((k[Qa+(A+2<<2)>>2]|0)==2?(i[(k[m>>2]|0)+Sd>>0]|0)!=0:0){Ya=(k[Qa+(A<<2)>>2]|0)+-1|0;Wa=(k[Qa+(A+1<<2)>>2]|0)+-1|0;A=Rqa(Sa)|0;Qa=ma(Ya,e)|0;Ya=ma(Wa,e)|0;Wa=0;_a=0;do{$a=(+p[c+(Wa+Qa<<3)>>3]+ +p[c+(Wa+Ya<<3)>>3])*.5;p[A+(Wa<<3)>>3]=$a;ab=+$(+$a);p[t>>3]=ab;Na=k[t+4>>2]|0;_a=_a|(Na>>>0<2146435072|(Na|0)==2146435072&(k[t>>2]|0)>>>0<1);Wa=Wa+1|0}while((Wa|0)!=(e|0));if(_a){Wa=Qqa(36)|0;Ya=Rd+1|0;B=0;Ka(11,Wa|0,Ya+(k[E>>2]|0)|0,Sd+1+(k[ca>>2]|0)+(k[Oa>>2]|0)|0,h|0,e|0,C|0,A|0,f|0);Qa=B;B=0;if(Qa&1){Td=Wa;break}ih(a,Wa)|0;Ud=Ya}else Ud=Rd;Tqa(A);Vd=k[Ua>>2]|0;Wd=Ud}else{Vd=Qd;Wd=Rd}Sd=Sd+1|0;if((Sd|0)>=(Vd|0))break s;else{Qd=Vd;Rd=Wd}}Ua=Rb()|0;ca=Q;Sqa(Td);qa=ca;ra=Ua;Qb(ra|0)}break}case 745:{v:do if((Ra|0)>0){Ua=b+36|0;ca=b+108|0;E=b+100|0;if(!da){D=0;while(1){D=D+1|0;if((D|0)>=(Ra|0)){Xd=0;break v}}}D=e<<3;A=Ra;_a=0;Ya=0;while(1){Wa=ma(Ya,e)|0;if(!(k[(k[Ua>>2]|0)+(Ya<<2)>>2]|0)){Yd=A;Zd=_a}else{Qa=Rqa(Sa)|0;TEa(Qa|0,c+(Wa<<3)|0,D|0)|0;Na=0;Za=0;do{ab=+$(+(+p[c+(Na+Wa<<3)>>3]));p[t>>3]=ab;ta=k[t+4>>2]|0;Za=Za|(ta>>>0<2146435072|(ta|0)==2146435072&(k[t>>2]|0)>>>0<1);Na=Na+1|0}while((Na|0)!=(e|0));if(Za){Na=Qqa(36)|0;Wa=_a+1|0;B=0;Ka(11,Na|0,Wa+(k[ca>>2]|0)|0,Ya+1+(k[E>>2]|0)|0,h|0,e|0,C|0,Qa|0,f|0);Ta=B;B=0;if(Ta&1){_d=Na;break}ih(a,Na)|0;$d=Wa}else $d=_a;Tqa(Qa);Yd=k[Oa>>2]|0;Zd=$d}Ya=Ya+1|0;if((Ya|0)>=(Yd|0)){Xd=Zd;break v}else{A=Yd;_a=Zd}}_a=Rb()|0;A=Q;Sqa(_d);qa=A;ra=_a;Qb(ra|0)}else Xd=0;while(0);_a=b+64|0;A=k[_a>>2]|0;if((A|0)>0){Ya=b+80|0;E=b+108|0;ca=b+100|0;if(da){ae=A;be=Xd;ce=0}else{D=0;while(1){D=D+1|0;if((D|0)>=(A|0))break s}}while(1){A=ce*3|0;D=k[Ya>>2]|0;if((k[D+(A+2<<2)>>2]|0)!=2?(i[(k[m>>2]|0)+ce>>0]|0)!=0:0){Ua=(k[D+(A<<2)>>2]|0)+-1|0;Wa=(k[D+(A+1<<2)>>2]|0)+-1|0;A=Rqa(Sa)|0;D=ma(Ua,e)|0;Ua=ma(Wa,e)|0;Wa=0;Na=0;do{ab=(+p[c+(Wa+D<<3)>>3]+ +p[c+(Wa+Ua<<3)>>3])*.5;p[A+(Wa<<3)>>3]=ab;$a=+$(+ab);p[t>>3]=$a;Ta=k[t+4>>2]|0;Na=Na|(Ta>>>0<2146435072|(Ta|0)==2146435072&(k[t>>2]|0)>>>0<1);Wa=Wa+1|0}while((Wa|0)!=(e|0));if(Na){Wa=Qqa(36)|0;Ua=be+1|0;B=0;Ka(11,Wa|0,Ua+(k[E>>2]|0)|0,ce+1+(k[ca>>2]|0)+(k[Oa>>2]|0)|0,h|0,e|0,C|0,A|0,f|0);D=B;B=0;if(D&1){de=Wa;break}ih(a,Wa)|0;ee=Ua}else ee=be;Tqa(A);fe=k[_a>>2]|0;ge=ee}else{fe=ae;ge=be}ce=ce+1|0;if((ce|0)>=(fe|0))break s;else{ae=fe;be=ge}}_a=Rb()|0;ca=Q;Sqa(de);qa=ca;ra=_a;Qb(ra|0)}break}default:{_a=J+56|0;ca=J+4|0;k[J>>2]=27524;k[_a>>2]=27544;B=0;wa(508,J+56|0,ca|0);E=B;B=0;if(E&1){E=Rb()|0;he=Q;ie=E;vva(_a);Qb(ie|0)}k[J+128>>2]=0;k[J+132>>2]=-1;k[J>>2]=27468;k[_a>>2]=27488;B=0;va(448,ca|0);E=B;B=0;do if(E&1){Ya=Rb()|0;je=Q;ke=Ya}else{k[ca>>2]=27560;Ya=J+36|0;k[Ya>>2]=0;k[Ya+4>>2]=0;k[Ya+8>>2]=0;k[Ya+12>>2]=0;k[J+52>>2]=16;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;B=0;wa(509,ca|0,l|0);Ua=B;B=0;if(Ua&1){Ua=Rb()|0;Wa=Q;Yua(l);Yua(Ya);Ava(ca);je=Wa;ke=Ua;break}Yua(l);B=0;Ua=Ia(40,J|0,145867,15)|0;Wa=B;B=0;w:do if((((!(Wa&1)?(B=0,D=ya(427,g|0)|0,Ta=B,B=0,!(Ta&1)):0)?(Ta=Lta(D)|0,B=0,Va=Ia(40,Ua|0,D|0,Ta|0)|0,Ta=B,B=0,!(Ta&1)):0)?(B=0,Ta=Ia(40,Va|0,146481,18)|0,Va=B,B=0,!(Va&1)):0)?(B=0,Xa(239,Ta|0,0)|0,Ta=B,B=0,!(Ta&1)):0){Ta=Ab(20)|0;B=0;eb(502,K|0,145672,102);Va=B;B=0;do if(!(Va&1)){B=0;eb(502,L|0,145775,21);D=B;B=0;if(D&1){D=Rb()|0;ta=Q;Yua(K);le=ta;me=D;break}B=0;wa(510,M|0,ca|0);D=B;B=0;if(D&1){D=Rb()|0;ne=1;oe=Q;pe=D}else{B=0;ua(163,Ta|0,K|0,L|0,547,M|0);D=B;B=0;if(D&1)qe=1;else{B=0;eb(503,Ta|0,1240,229);B=0;qe=0}D=Rb()|0;ta=Q;Yua(M);ne=qe;oe=ta;pe=D}Yua(L);Yua(K);if(ne){le=oe;me=pe}else{re=oe;se=pe;break w}}else{D=Rb()|0;le=Q;me=D}while(0);zb(Ta|0);re=le;se=me}else pa=451;while(0);if((pa|0)==451){Ua=Rb()|0;re=Q;se=Ua}k[J>>2]=27468;k[_a>>2]=27488;k[ca>>2]=27560;Yua(Ya);Ava(ca);vva(_a);qa=re;ra=se;Qb(ra|0)}while(0);he=je;ie=ke;vva(_a);Qb(ie|0)}}while(0);Tqa(C)}while(0);ie=k[m>>2]|0;if(ie)Tqa(ie);k[m>>2]=0;m=k[n>>2]|0;if(m)Tqa(m);k[n>>2]=0;n=k[o>>2]|0;if(!n){r=j;return}Tqa(n);r=j;return}function soa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0;g=r;r=r+384|0;h=g+372|0;i=g+368|0;j=g+364|0;l=g+360|0;m=g+356|0;n=g+352|0;o=g+216|0;p=g+200|0;q=g+48|0;s=g+36|0;t=g+64|0;u=g+24|0;v=g+12|0;w=g;k[l>>2]=0;Oka(b,i,j,c)|0;if((k[i>>2]|0)!=7){i=o+56|0;x=o+4|0;k[o>>2]=27524;k[i>>2]=27544;B=0;wa(508,o+56|0,x|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;A=y;vva(i);Qb(A|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[i>>2]=27488;B=0;va(448,x|0);y=B;B=0;do if(y&1){C=Rb()|0;D=Q;E=C}else{k[x>>2]=27560;C=o+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[o+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,x|0,h|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(h);Yua(C);Ava(x);D=G;E=F;break}Yua(h);B=0;F=Ia(40,o|0,145625,46)|0;G=B;B=0;a:do if((!(G&1)?(H=Lta(c)|0,B=0,I=Ia(40,F|0,c|0,H|0)|0,H=B,B=0,!(H&1)):0)?(B=0,Xa(239,I|0,0)|0,I=B,B=0,!(I&1)):0){I=Ab(20)|0;B=0;eb(502,p|0,145672,102);H=B;B=0;do if(!(H&1)){B=0;eb(502,q|0,145915,28);J=B;B=0;if(J&1){J=Rb()|0;K=Q;Yua(p);L=J;M=K;break}B=0;wa(510,s|0,x|0);K=B;B=0;if(K&1){K=Rb()|0;N=Q;O=K;P=1}else{B=0;ua(163,I|0,p|0,q|0,40,s|0);K=B;B=0;if(K&1)R=1;else{B=0;eb(503,I|0,1240,229);B=0;R=0}K=Rb()|0;J=Q;Yua(s);N=J;O=K;P=R}Yua(q);Yua(p);if(P){L=O;M=N}else{S=O;T=N;break a}}else{K=Rb()|0;L=K;M=Q}while(0);zb(I|0);S=L;T=M}else U=18;while(0);if((U|0)==18){F=Rb()|0;S=F;T=Q}k[o>>2]=27468;k[i>>2]=27488;k[x>>2]=27560;Yua(C);Ava(x);vva(i);V=T;W=S;Qb(W|0)}while(0);z=D;A=E;vva(i);Qb(A|0)}if((k[j>>2]|0)==1){Qka(b,l,m,n,c);toa(a,b,k[l>>2]|0,k[m>>2]|0,0,d,e,f);f=k[l>>2]|0;if(!f){r=g;return}Tqa(f);r=g;return}g=t+56|0;f=t+4|0;k[t>>2]=27524;k[g>>2]=27544;B=0;wa(508,t+56|0,f|0);l=B;B=0;if(l&1){l=Rb()|0;X=Q;Y=l;vva(g);Qb(Y|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[g>>2]=27488;B=0;va(448,f|0);l=B;B=0;do if(l&1){e=Rb()|0;Z=Q;_=e}else{k[f>>2]=27560;e=t+36|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;k[t+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,f|0,h|0);d=B;B=0;if(d&1){d=Rb()|0;m=Q;Yua(h);Yua(e);Ava(f);Z=m;_=d;break}Yua(h);B=0;d=Ia(40,t|0,145797,41)|0;m=B;B=0;b:do if((!(m&1)?(b=Lta(c)|0,B=0,a=Ia(40,d|0,c|0,b|0)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(239,a|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,u|0,145672,102);b=B;B=0;do if(!(b&1)){B=0;eb(502,v|0,145915,28);n=B;B=0;if(n&1){n=Rb()|0;j=Q;Yua(u);$=n;aa=j;break}B=0;wa(510,w|0,f|0);j=B;B=0;if(j&1){j=Rb()|0;ba=1;ca=Q;da=j}else{B=0;ua(163,a|0,u|0,v|0,41,w|0);j=B;B=0;if(j&1)ea=1;else{B=0;eb(503,a|0,1240,229);B=0;ea=0}j=Rb()|0;n=Q;Yua(w);ba=ea;ca=n;da=j}Yua(v);Yua(u);if(ba){$=da;aa=ca}else{fa=ca;ga=da;break b}}else{j=Rb()|0;$=j;aa=Q}while(0);zb(a|0);fa=aa;ga=$}else U=43;while(0);if((U|0)==43){d=Rb()|0;fa=Q;ga=d}k[t>>2]=27468;k[g>>2]=27488;k[f>>2]=27560;Yua(e);Ava(f);vva(g);V=fa;W=ga;Qb(W|0)}while(0);X=Z;Y=_;vva(g);Qb(Y|0)}function toa(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0.0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0;e=r;r=r+368|0;i=e+344|0;j=e+208|0;l=e+196|0;m=e+184|0;n=e+36|0;o=e+48|0;q=e+24|0;s=e+12|0;u=e;if((g|0)!=738){v=j+56|0;w=j+4|0;k[j>>2]=27524;k[v>>2]=27544;B=0;wa(508,j+56|0,w|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;z=x;vva(v);Qb(z|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[v>>2]=27488;B=0;va(448,w|0);x=B;B=0;do if(x&1){A=Rb()|0;C=Q;D=A}else{k[w>>2]=27560;A=j+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[j+52>>2]=16;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;B=0;wa(509,w|0,i|0);E=B;B=0;if(E&1){E=Rb()|0;F=Q;Yua(i);Yua(A);Ava(w);C=F;D=E;break}Yua(i);B=0;E=Ia(40,j|0,145867,15)|0;F=B;B=0;a:do if((((!(F&1)?(B=0,G=ya(427,g|0)|0,H=B,B=0,!(H&1)):0)?(H=Lta(G)|0,B=0,I=Ia(40,E|0,G|0,H|0)|0,H=B,B=0,!(H&1)):0)?(B=0,H=Ia(40,I|0,146481,18)|0,I=B,B=0,!(I&1)):0)?(B=0,Xa(239,H|0,0)|0,H=B,B=0,!(H&1)):0){H=Ab(20)|0;B=0;eb(502,l|0,145672,102);I=B;B=0;do if(!(I&1)){B=0;eb(502,m|0,145915,28);G=B;B=0;if(G&1){G=Rb()|0;J=Q;Yua(l);K=J;L=G;break}B=0;wa(510,n|0,w|0);G=B;B=0;if(G&1){G=Rb()|0;M=Q;N=G;O=1}else{B=0;ua(163,H|0,l|0,m|0,571,n|0);G=B;B=0;if(G&1)P=1;else{B=0;eb(503,H|0,1240,229);B=0;P=0}G=Rb()|0;J=Q;Yua(n);M=J;N=G;O=P}Yua(m);Yua(l);if(O){K=M;L=N}else{R=M;S=N;break a}}else{G=Rb()|0;K=Q;L=G}while(0);zb(H|0);R=K;S=L}else T=20;while(0);if((T|0)==20){E=Rb()|0;R=Q;S=E}k[j>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);U=R;V=S;Qb(V|0)}while(0);y=C;z=D;vva(v);Qb(z|0)}z=b+52|0;if((k[z>>2]|0)==(d|0)){if((d|0)<=0){r=e;return}v=b+36|0;D=b+108|0;C=b+100|0;b=d;d=0;y=0;while(1){if((k[(k[v>>2]|0)+(y<<2)>>2]|0)!=0?(W=+$(+(+p[c+(y<<3)>>3])),p[t>>3]=W,S=k[t+4>>2]|0,!(S>>>0>2146435072|(S|0)==2146435072&(k[t>>2]|0)>>>0>0)):0){S=Qqa(40)|0;R=d+1|0;B=0;ua(174,S|0,R+(k[D>>2]|0)|0,y+1+(k[C>>2]|0)|0,h|0,f|0);w=B;B=0;if(w&1){X=S;break}ih(a,S)|0;Y=k[z>>2]|0;Z=R}else{Y=b;Z=d}y=y+1|0;if((y|0)>=(Y|0)){T=60;break}else{b=Y;d=Z}}if((T|0)==60){r=e;return}e=Rb()|0;Z=Q;Sqa(X);U=Z;V=e;Qb(V|0)}e=o+56|0;Z=o+4|0;k[o>>2]=27524;k[e>>2]=27544;B=0;wa(508,o+56|0,Z|0);X=B;B=0;if(X&1){X=Rb()|0;_=Q;aa=X;vva(e);Qb(aa|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[e>>2]=27488;B=0;va(448,Z|0);X=B;B=0;do if(X&1){d=Rb()|0;ba=Q;ca=d}else{k[Z>>2]=27560;d=o+36|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[o+52>>2]=16;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;B=0;wa(509,Z|0,i|0);Y=B;B=0;if(Y&1){Y=Rb()|0;b=Q;Yua(i);Yua(d);Ava(Z);ba=b;ca=Y;break}Yua(i);B=0;Y=Ia(40,o|0,145883,31)|0;b=B;B=0;b:do if(!(b&1)?(B=0,Xa(239,Y|0,0)|0,y=B,B=0,!(y&1)):0){y=Ab(20)|0;B=0;eb(502,q|0,145672,102);z=B;B=0;do if(!(z&1)){B=0;eb(502,s|0,145915,28);a=B;B=0;if(a&1){a=Rb()|0;f=Q;Yua(q);da=a;ea=f;break}B=0;wa(510,u|0,Z|0);f=B;B=0;if(f&1){f=Rb()|0;fa=1;ga=Q;ha=f}else{B=0;ua(163,y|0,q|0,s|0,592,u|0);f=B;B=0;if(f&1)ia=1;else{B=0;eb(503,y|0,1240,229);B=0;ia=0}f=Rb()|0;a=Q;Yua(u);fa=ia;ga=a;ha=f}Yua(s);Yua(q);if(fa){da=ha;ea=ga}else{ja=ga;ka=ha;break b}}else{f=Rb()|0;da=f;ea=Q}while(0);zb(y|0);ja=ea;ka=da}else T=52;while(0);if((T|0)==52){Y=Rb()|0;ja=Q;ka=Y}k[o>>2]=27468;k[e>>2]=27488;k[Z>>2]=27560;Yua(d);Ava(Z);vva(e);U=ja;V=ka;Qb(V|0)}while(0);_=ba;aa=ca;vva(e);Qb(aa|0)}function uoa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;d=r;r=r+176|0;e=d+152|0;f=d+16|0;g=d;a:do if(BY()|0){h=f+56|0;i=f+4|0;k[f>>2]=27524;k[h>>2]=27544;B=0;wa(508,f+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(h);Qb(m|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[h>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=f+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,i|0,e|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(e);Yua(n);Ava(i);o=s;p=q;break}Yua(e);B=0;Ia(40,f|0,145944,31)|0;q=B;B=0;if(!(q&1)?(B=0,wa(510,g|0,i|0),q=B,B=0,!(q&1)):0){B=0;ya(425,g|0)|0;q=B;B=0;if(!(q&1)){Yua(g);k[f>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);break a}q=Rb()|0;s=Q;Yua(g);t=q;u=s;k[f>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);Qb(t|0)}s=Rb()|0;t=s;u=Q;k[f>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);Qb(t|0)}while(0);l=o;m=p;vva(h);Qb(m|0)}while(0);m=a+20|0;if((th(k[m>>2]|0)|0)>0){p=0;do{o=qh(k[m>>2]|0,p)|0;nd[k[(k[o>>2]|0)+40>>2]&1023](o,b,c);p=p+1|0}while((p|0)<(th(k[m>>2]|0)|0))}m=a+36|0;if((bL(k[m>>2]|0)|0)>0){p=0;do{o=(qh(k[m>>2]|0,p)|0)+4|0;nd[k[(k[o>>2]|0)+12>>2]&1023](o,b,c);p=p+1|0}while((p|0)<(bL(k[m>>2]|0)|0))}m=a+40|0;if((th(k[m>>2]|0)|0)>0)v=0;else{r=d;return}do{a=(qh(k[m>>2]|0,v)|0)+4|0;nd[k[(k[a>>2]|0)+12>>2]&1023](a,b,c);v=v+1|0}while((v|0)<(th(k[m>>2]|0)|0));r=d;return}function voa(a,b,c){a=a|0;b=+b;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;d=r;r=r+176|0;e=d+152|0;f=d+16|0;g=d;a:do if(BY()|0){h=f+56|0;i=f+4|0;k[f>>2]=27524;k[h>>2]=27544;B=0;wa(508,f+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(h);Qb(m|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[h>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=f+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,i|0,e|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(e);Yua(n);Ava(i);o=s;p=q;break}Yua(e);B=0;Ia(40,f|0,145944,31)|0;q=B;B=0;if(!(q&1)?(B=0,wa(510,g|0,i|0),q=B,B=0,!(q&1)):0){B=0;ya(425,g|0)|0;q=B;B=0;if(!(q&1)){Yua(g);k[f>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);break a}q=Rb()|0;s=Q;Yua(g);t=q;u=s;k[f>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);Qb(t|0)}s=Rb()|0;t=s;u=Q;k[f>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);Qb(t|0)}while(0);l=o;m=p;vva(h);Qb(m|0)}while(0);m=a+20|0;if((th(k[m>>2]|0)|0)>0){p=0;do{o=qh(k[m>>2]|0,p)|0;Nc[k[(k[o>>2]|0)+32>>2]&31](o,b,c);p=p+1|0}while((p|0)<(th(k[m>>2]|0)|0))}m=a+36|0;if((bL(k[m>>2]|0)|0)>0){p=0;do{o=(qh(k[m>>2]|0,p)|0)+4|0;Nc[k[(k[o>>2]|0)+4>>2]&31](o,b,c);p=p+1|0}while((p|0)<(bL(k[m>>2]|0)|0))}m=a+40|0;if((th(k[m>>2]|0)|0)>0)v=0;else{r=d;return}do{a=(qh(k[m>>2]|0,v)|0)+4|0;Nc[k[(k[a>>2]|0)+4>>2]&31](a,b,c);v=v+1|0}while((v|0)<(th(k[m>>2]|0)|0));r=d;return}function woa(a,b,c){a=a|0;b=+b;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;d=r;r=r+176|0;e=d+152|0;f=d+16|0;g=d;a:do if(BY()|0){h=f+56|0;i=f+4|0;k[f>>2]=27524;k[h>>2]=27544;B=0;wa(508,f+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(h);Qb(m|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[h>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=f+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,i|0,e|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(e);Yua(n);Ava(i);o=s;p=q;break}Yua(e);B=0;Ia(40,f|0,145944,31)|0;q=B;B=0;if(!(q&1)?(B=0,wa(510,g|0,i|0),q=B,B=0,!(q&1)):0){B=0;ya(425,g|0)|0;q=B;B=0;if(!(q&1)){Yua(g);k[f>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);break a}q=Rb()|0;s=Q;Yua(g);t=s;u=q;k[f>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);Qb(u|0)}q=Rb()|0;t=Q;u=q;k[f>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);Qb(u|0)}while(0);l=o;m=p;vva(h);Qb(m|0)}while(0);if((th(a)|0)>0)v=0;else{r=d;return}do{m=qh(a,v)|0;Nc[k[(k[m>>2]|0)+32>>2]&31](m,b,c);v=v+1|0}while((v|0)<(th(a)|0));r=d;return}function xoa(a,b){a=a|0;b=b|0;var c=0;if(!(k[b>>2]|0)){yoa(a,0);return}c=k[k[b+4>>2]>>2]|0;b=Hc[k[(k[c>>2]|0)+52>>2]&511](c)|0;yoa(a,b);if(!b)return;Tqa(b);return}function yoa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;c=r;r=r+176|0;d=c+156|0;e=c+152|0;f=c+16|0;g=c;cO(k[a+44>>2]|0,e,477);a:do if(BY()|0){h=f+56|0;i=f+4|0;k[f>>2]=27524;k[h>>2]=27544;B=0;wa(508,f+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(h);Qb(m|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[h>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=f+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[f+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;Ia(40,f|0,145976,33)|0;q=B;B=0;if(!(q&1)?(B=0,wa(510,g|0,i|0),q=B,B=0,!(q&1)):0){B=0;ya(425,g|0)|0;q=B;B=0;if(!(q&1)){Yua(g);k[f>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);break a}q=Rb()|0;s=Q;Yua(g);t=q;u=s;k[f>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);Qb(t|0)}s=Rb()|0;t=s;u=Q;k[f>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);Qb(t|0)}while(0);l=o;m=p;vva(h);Qb(m|0)}while(0);m=n_(k[e>>2]|0)|0;e=a+20|0;if((th(k[e>>2]|0)|0)<=0){if(!m){r=c;return}}else{a=0;do{p=qh(k[e>>2]|0,a)|0;nd[k[(k[m>>2]|0)+60>>2]&1023](m,b,p);a=a+1|0}while((a|0)<(th(k[e>>2]|0)|0))}Ec[k[(k[m>>2]|0)+4>>2]&1023](m);r=c;return}function zoa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;b=r;r=r+352|0;c=b+332|0;d=b+328|0;e=b+192|0;f=b+176|0;g=b+40|0;h=b+24|0;i=b+12|0;j=b;cO(k[a+44>>2]|0,d,37);switch(k[d>>2]|0){case 62:{a:do if(CY()|0){l=e+56|0;m=e+4|0;k[e>>2]=27524;k[l>>2]=27544;B=0;wa(508,e+56|0,m|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;p=n;vva(l);Qb(p|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[l>>2]=27488;B=0;va(448,m|0);n=B;B=0;do if(n&1){q=Rb()|0;s=Q;t=q}else{k[m>>2]=27560;q=e+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,m|0,c|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(c);Yua(q);Ava(m);s=v;t=u;break}Yua(c);B=0;Ia(40,e|0,146010,42)|0;u=B;B=0;do if(!(u&1)?(B=0,wa(510,f|0,m|0),v=B,B=0,!(v&1)):0){B=0;ya(425,f|0)|0;v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(f);x=w;y=v;break}else{Yua(f);k[e>>2]=27468;k[l>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(l);break a}}else z=15;while(0);if((z|0)==15){u=Rb()|0;x=Q;y=u}k[e>>2]=27468;k[l>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(l);A=x;C=y;Qb(C|0)}while(0);o=s;p=t;vva(l);Qb(p|0)}while(0);p=a+20|0;if((th(k[p>>2]|0)|0)>0)D=0;else{r=b;return}do{cq(qh(k[p>>2]|0,D)|0);D=D+1|0}while((D|0)<(th(k[p>>2]|0)|0));r=b;return}case 60:case 61:case 59:{r=b;return}default:{b=g+56|0;p=g+4|0;k[g>>2]=27524;k[b>>2]=27544;B=0;wa(508,g+56|0,p|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;F=D;vva(b);Qb(F|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[b>>2]=27488;B=0;va(448,p|0);D=B;B=0;do if(D&1){a=Rb()|0;G=Q;H=a}else{k[p>>2]=27560;a=g+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[g+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,p|0,c|0);t=B;B=0;if(t&1){t=Rb()|0;s=Q;Yua(c);Yua(a);Ava(p);G=s;H=t;break}Yua(c);B=0;t=Ia(40,g|0,146460,20)|0;s=B;B=0;b:do if((((!(s&1)?(B=0,o=ya(427,k[d>>2]|0)|0,y=B,B=0,!(y&1)):0)?(y=Lta(o)|0,B=0,x=Ia(40,t|0,o|0,y|0)|0,y=B,B=0,!(y&1)):0)?(B=0,y=Ia(40,x|0,146481,18)|0,x=B,B=0,!(x&1)):0)?(B=0,Xa(239,y|0,0)|0,y=B,B=0,!(y&1)):0){y=Ab(20)|0;B=0;eb(502,h|0,146053,90);x=B;B=0;do if(!(x&1)){B=0;eb(502,i|0,146144,15);o=B;B=0;if(o&1){o=Rb()|0;e=Q;Yua(h);I=e;J=o;break}B=0;wa(510,j|0,p|0);o=B;B=0;if(o&1){o=Rb()|0;K=1;L=Q;M=o}else{B=0;ua(163,y|0,h|0,i|0,29,j|0);o=B;B=0;if(o&1)N=1;else{B=0;eb(503,y|0,1240,229);B=0;N=0}o=Rb()|0;e=Q;Yua(j);K=N;L=e;M=o}Yua(i);Yua(h);if(K){I=L;J=M}else{O=L;P=M;break b}}else{o=Rb()|0;I=Q;J=o}while(0);zb(y|0);O=I;P=J}else z=38;while(0);if((z|0)==38){t=Rb()|0;O=Q;P=t}k[g>>2]=27468;k[b>>2]=27488;k[p>>2]=27560;Yua(a);Ava(p);vva(b);A=O;C=P;Qb(C|0)}while(0);E=G;F=H;vva(b);Qb(F|0)}}}function Aoa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0;c=r;r=r+352|0;d=c+336|0;e=c+332|0;f=c+328|0;g=c+192|0;h=c+176|0;i=c+40|0;j=c+24|0;l=c+12|0;m=c;a:do if(BY()|0){n=g+56|0;o=g+4|0;k[g>>2]=27524;k[n>>2]=27544;B=0;wa(508,g+56|0,o|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;s=p;vva(n);Qb(s|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[n>>2]=27488;B=0;va(448,o|0);p=B;B=0;do if(p&1){t=Rb()|0;u=Q;v=t}else{k[o>>2]=27560;t=g+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[g+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,o|0,d|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(d);Yua(t);Ava(o);u=x;v=w;break}Yua(d);B=0;Ia(40,g|0,146160,28)|0;w=B;B=0;do if(!(w&1)?(B=0,wa(510,h|0,o|0),x=B,B=0,!(x&1)):0){B=0;ya(425,h|0)|0;x=B;B=0;if(x&1){x=Rb()|0;y=Q;Yua(h);z=x;A=y;break}else{Yua(h);k[g>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(t);Ava(o);vva(n);break a}}else C=14;while(0);if((C|0)==14){w=Rb()|0;z=w;A=Q}k[g>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(t);Ava(o);vva(n);D=z;E=A;Qb(D|0)}while(0);q=u;s=v;vva(n);Qb(s|0)}while(0);s=b+44|0;cO(k[s>>2]|0,e,478);cO(k[s>>2]|0,f,477);s=en(k[b+24>>2]|0,k[e>>2]|0,943)|0;if(s){v=Qqa(8)|0;B=0;va(485,v|0);u=B;B=0;b:do if(u&1)C=52;else{do if(k[v>>2]|0){B=0;q=ya(423,4)|0;A=B;B=0;if(A&1){C=52;break b}B=0;eb(505,q|0,s|0,0);A=B;B=0;if(A&1){A=Rb()|0;z=Q;Sqa(q);F=z;G=A;break b}else{k[v+4>>2]=q;break}}while(0);n=n_(k[f>>2]|0)|0;q=b+20|0;if((th(k[q>>2]|0)|0)<=0){if(n)C=55}else{A=0;do{z=qh(k[q>>2]|0,A)|0;nd[k[(k[n>>2]|0)+52>>2]&1023](n,v,z);A=A+1|0}while((A|0)<(th(k[q>>2]|0)|0));C=55}if((C|0)==55)Ec[k[(k[n>>2]|0)+4>>2]&1023](n);if(!(k[v>>2]|0)){k[a>>2]=v;r=c;return}q=k[k[v+4>>2]>>2]|0;Ec[k[(k[q>>2]|0)+12>>2]&1023](q);k[a>>2]=v;r=c;return}while(0);if((C|0)==52){c=Rb()|0;F=Q;G=c}Sqa(v);D=G;E=F;Qb(D|0)}F=i+56|0;G=i+4|0;k[i>>2]=27524;k[F>>2]=27544;B=0;wa(508,i+56|0,G|0);v=B;B=0;if(v&1){v=Rb()|0;H=Q;I=v;vva(F);Qb(I|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[F>>2]=27488;B=0;va(448,G|0);v=B;B=0;do if(v&1){c=Rb()|0;J=Q;K=c}else{k[G>>2]=27560;c=i+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[i+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,G|0,d|0);a=B;B=0;if(a&1){a=Rb()|0;b=Q;Yua(d);Yua(c);Ava(G);J=b;K=a;break}Yua(d);B=0;a=Ia(40,i|0,146189,56)|0;b=B;B=0;c:do if(((!(b&1)?(B=0,f=ya(427,k[e>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(f)|0,B=0,u=Ia(40,a|0,f|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,Xa(239,u|0,0)|0,u=B,B=0,!(u&1)):0){u=Ab(20)|0;B=0;eb(502,j|0,146246,104);s=B;B=0;do if(!(s&1)){B=0;eb(502,l|0,146351,22);f=B;B=0;if(f&1){f=Rb()|0;q=Q;Yua(j);L=f;M=q;break}B=0;wa(510,m|0,G|0);q=B;B=0;if(q&1){q=Rb()|0;N=q;O=1;P=Q}else{B=0;ua(163,u|0,j|0,l|0,26,m|0);q=B;B=0;if(q&1)R=1;else{B=0;eb(503,u|0,1240,229);B=0;R=0}q=Rb()|0;f=Q;Yua(m);N=q;O=R;P=f}Yua(l);Yua(j);if(O){L=N;M=P}else{S=N;T=P;break c}}else{f=Rb()|0;L=f;M=Q}while(0);zb(u|0);S=L;T=M}else C=35;while(0);if((C|0)==35){a=Rb()|0;S=a;T=Q}k[i>>2]=27468;k[F>>2]=27488;k[G>>2]=27560;Yua(c);Ava(G);vva(F);D=S;E=T;Qb(D|0)}while(0);H=J;I=K;vva(F);Qb(I|0)}function Boa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;b=r;r=r+496|0;c=b+480|0;d=b+476|0;e=b+328|0;f=b+464|0;g=b+192|0;h=b+176|0;i=b+40|0;j=b+24|0;l=b+12|0;m=b;cO(k[a+44>>2]|0,d,37);switch(k[d>>2]|0){case 60:{a:do if(CY()|0){n=e+56|0;o=e+4|0;k[e>>2]=27524;k[n>>2]=27544;B=0;wa(508,e+56|0,o|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;s=p;vva(n);Qb(s|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[n>>2]=27488;B=0;va(448,o|0);p=B;B=0;do if(p&1){t=Rb()|0;u=Q;v=t}else{k[o>>2]=27560;t=e+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,o|0,c|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(c);Yua(t);Ava(o);u=x;v=w;break}Yua(c);B=0;Ia(40,e|0,146374,42)|0;w=B;B=0;do if(!(w&1)?(B=0,wa(510,f|0,o|0),x=B,B=0,!(x&1)):0){B=0;ya(425,f|0)|0;x=B;B=0;if(x&1){x=Rb()|0;y=Q;Yua(f);z=y;A=x;break}else{Yua(f);k[e>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(t);Ava(o);vva(n);break a}}else C=15;while(0);if((C|0)==15){w=Rb()|0;z=Q;A=w}k[e>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(t);Ava(o);vva(n);D=z;E=A;Qb(E|0)}while(0);q=u;s=v;vva(n);Qb(s|0)}while(0);s=a+20|0;if((th(k[s>>2]|0)|0)>0)F=0;else{r=b;return}do{bq(qh(k[s>>2]|0,F)|0);F=F+1|0}while((F|0)<(th(k[s>>2]|0)|0));r=b;return}case 61:{b:do if(CY()|0){s=g+56|0;F=g+4|0;k[g>>2]=27524;k[s>>2]=27544;B=0;wa(508,g+56|0,F|0);v=B;B=0;if(v&1){v=Rb()|0;G=Q;H=v;vva(s);Qb(H|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[s>>2]=27488;B=0;va(448,F|0);v=B;B=0;do if(v&1){u=Rb()|0;I=Q;J=u}else{k[F>>2]=27560;u=g+36|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;k[u+12>>2]=0;k[g+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,F|0,c|0);q=B;B=0;if(q&1){q=Rb()|0;A=Q;Yua(c);Yua(u);Ava(F);I=A;J=q;break}Yua(c);B=0;Ia(40,g|0,146417,42)|0;q=B;B=0;do if(!(q&1)?(B=0,wa(510,h|0,F|0),A=B,B=0,!(A&1)):0){B=0;ya(425,h|0)|0;A=B;B=0;if(A&1){A=Rb()|0;z=Q;Yua(h);K=z;L=A;break}else{Yua(h);k[g>>2]=27468;k[s>>2]=27488;k[F>>2]=27560;Yua(u);Ava(F);vva(s);break b}}else C=33;while(0);if((C|0)==33){q=Rb()|0;K=Q;L=q}k[g>>2]=27468;k[s>>2]=27488;k[F>>2]=27560;Yua(u);Ava(F);vva(s);D=K;E=L;Qb(E|0)}while(0);G=I;H=J;vva(s);Qb(H|0)}while(0);H=a+20|0;if((th(k[H>>2]|0)|0)>0)M=0;else{r=b;return}do{fq(qh(k[H>>2]|0,M)|0);M=M+1|0}while((M|0)<(th(k[H>>2]|0)|0));r=b;return}case 62:case 59:{r=b;return}default:{b=i+56|0;H=i+4|0;k[i>>2]=27524;k[b>>2]=27544;B=0;wa(508,i+56|0,H|0);M=B;B=0;if(M&1){M=Rb()|0;N=Q;O=M;vva(b);Qb(O|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[b>>2]=27488;B=0;va(448,H|0);M=B;B=0;do if(M&1){a=Rb()|0;P=Q;R=a}else{k[H>>2]=27560;a=i+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[i+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,H|0,c|0);J=B;B=0;if(J&1){J=Rb()|0;I=Q;Yua(c);Yua(a);Ava(H);P=I;R=J;break}Yua(c);B=0;J=Ia(40,i|0,146460,20)|0;I=B;B=0;c:do if((((!(I&1)?(B=0,G=ya(427,k[d>>2]|0)|0,L=B,B=0,!(L&1)):0)?(L=Lta(G)|0,B=0,K=Ia(40,J|0,G|0,L|0)|0,L=B,B=0,!(L&1)):0)?(B=0,L=Ia(40,K|0,146481,18)|0,K=B,B=0,!(K&1)):0)?(B=0,Xa(239,L|0,0)|0,L=B,B=0,!(L&1)):0){L=Ab(20)|0;B=0;eb(502,j|0,146500,106);K=B;B=0;do if(!(K&1)){B=0;eb(502,l|0,146607,23);G=B;B=0;if(G&1){G=Rb()|0;g=Q;Yua(j);S=g;T=G;break}B=0;wa(510,m|0,H|0);G=B;B=0;if(G&1){G=Rb()|0;U=1;V=Q;W=G}else{B=0;ua(163,L|0,j|0,l|0,32,m|0);G=B;B=0;if(G&1)X=1;else{B=0;eb(503,L|0,1240,229);B=0;X=0}G=Rb()|0;g=Q;Yua(m);U=X;V=g;W=G}Yua(l);Yua(j);if(U){S=V;T=W}else{Y=V;Z=W;break c}}else{G=Rb()|0;S=Q;T=G}while(0);zb(L|0);Y=S;Z=T}else C=56;while(0);if((C|0)==56){J=Rb()|0;Y=Q;Z=J}k[i>>2]=27468;k[b>>2]=27488;k[H>>2]=27560;Yua(a);Ava(H);vva(b);D=Y;E=Z;Qb(E|0)}while(0);N=P;O=R;vva(b);Qb(O|0)}}}function Coa(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0.0,n=0.0,o=0.0,q=0.0,r=0.0,s=0.0;b=a+20|0;if((th(k[b>>2]|0)|0)>0)c=0;else return;do{a=qh(k[b>>2]|0,c)|0;d=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;e=d>>>0>536870911?-1:d<<3;f=Rqa(e)|0;g=Rqa(e)|0;h=Rqa(e)|0;i=Rqa(e)|0;j=Rqa(e)|0;l=Rqa(e)|0;xp(a,f,461);xp(a,g,462);xp(a,h,463);xp(a,i,464);xp(a,j,339);e=a+32|0;m=+WJ(k[e>>2]|0,265);n=+WJ(k[e>>2]|0,267);if((d|0)>0){e=0;do{o=+p[g+(e<<3)>>3];q=+p[j+(e<<3)>>3];r=+p[f+(e<<3)>>3];if(o>0.0)s=+p[h+(e<<3)>>3]*(q-r);else s=+p[i+(e<<3)>>3]*(q-r);p[l+(e<<3)>>3]=n*((o+s)/1.0e3)/m;e=e+1|0}while((e|0)!=(d|0))}rd[k[(k[a>>2]|0)+48>>2]&511](a,388,l,738);Tqa(f);Tqa(g);Tqa(h);Tqa(i);Tqa(j);Tqa(l);c=c+1|0}while((c|0)<(th(k[b>>2]|0)|0));return}function Doa(a){a=a|0;var b=0,c=0;b=a+20|0;if((th(k[b>>2]|0)|0)>0)c=0;else return;do{jp(qh(k[b>>2]|0,c)|0);c=c+1|0}while((c|0)<(th(k[b>>2]|0)|0));return}function Eoa(a){a=a|0;var b=0,c=0;b=a+20|0;if((th(k[b>>2]|0)|0)>0)c=0;else return;do{kp(qh(k[b>>2]|0,c)|0);c=c+1|0}while((c|0)<(th(k[b>>2]|0)|0));return}function Foa(a){a=a|0;var b=0,c=0;b=a+20|0;if((th(k[b>>2]|0)|0)>0)c=0;else return;do{lp(qh(k[b>>2]|0,c)|0);c=c+1|0}while((c|0)<(th(k[b>>2]|0)|0));return}
function p1(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0;b=r;r=r+768|0;c=b+752|0;d=b+592|0;e=b+740|0;f=b+456|0;g=b+728|0;h=b+304|0;i=b+440|0;j=b+152|0;l=b+288|0;m=b+16|0;n=b;o=d+56|0;q=d+4|0;k[d>>2]=27524;k[o>>2]=27544;B=0;wa(508,d+56|0,q|0);s=B;B=0;if(s&1){s=Rb()|0;t=Q;u=s;vva(o);Qb(u|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[o>>2]=27488;B=0;va(448,q|0);s=B;B=0;do if(s&1){v=Rb()|0;w=Q;x=v}else{k[q>>2]=27560;v=d+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,q|0,c|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(c);Yua(v);Ava(q);w=z;x=y;break}Yua(c);B=0;y=Ia(40,d|0,119576,15)|0;z=B;B=0;do if(((((!(z&1)?(A=k[a+12>>2]|0,C=Lta(A)|0,B=0,D=Ia(40,y|0,A|0,C|0)|0,C=B,B=0,!(C&1)):0)?(B=0,C=Ia(40,D|0,149175,1)|0,D=B,B=0,!(D&1)):0)?(B=0,D=Xa(242,C|0,k[a+8>>2]|0)|0,C=B,B=0,!(C&1)):0)?(B=0,Ia(40,D|0,149177,1)|0,D=B,B=0,!(D&1)):0)?(B=0,wa(510,e|0,q|0),D=B,B=0,!(D&1)):0){B=0;ya(424,e|0)|0;D=B;B=0;if(D&1){D=Rb()|0;C=Q;Yua(e);E=C;F=D;break}Yua(e);k[d>>2]=27468;k[o>>2]=27488;k[q>>2]=27560;Yua(v);Ava(q);vva(o);D=f+56|0;C=f+4|0;k[f>>2]=27524;k[D>>2]=27544;B=0;wa(508,f+56|0,C|0);A=B;B=0;if(A&1){A=Rb()|0;G=Q;H=A;vva(D);Qb(H|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[D>>2]=27488;B=0;va(448,C|0);A=B;B=0;do if(A&1){I=Rb()|0;J=Q;K=I}else{k[C>>2]=27560;I=f+36|0;k[I>>2]=0;k[I+4>>2]=0;k[I+8>>2]=0;k[I+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,C|0,c|0);L=B;B=0;if(L&1){L=Rb()|0;M=Q;Yua(c);Yua(I);Ava(C);J=M;K=L;break}Yua(c);B=0;L=Ia(40,f|0,119592,11)|0;M=B;B=0;do if((!(M&1)?(N=k[a+16>>2]|0,O=Lta(N)|0,B=0,P=Ia(40,L|0,N|0,O|0)|0,O=B,B=0,!(O&1)):0)?(B=0,Ia(40,P|0,149177,1)|0,P=B,B=0,!(P&1)):0){B=0;wa(510,g|0,C|0);P=B;B=0;if(P&1){R=72;break}B=0;ya(424,g|0)|0;P=B;B=0;if(P&1){P=Rb()|0;O=Q;Yua(g);S=O;T=P;break}Yua(g);k[f>>2]=27468;k[D>>2]=27488;k[C>>2]=27560;Yua(I);Ava(C);vva(D);P=h+56|0;O=h+4|0;k[h>>2]=27524;k[P>>2]=27544;B=0;wa(508,h+56|0,O|0);N=B;B=0;if(N&1){N=Rb()|0;U=Q;V=N;vva(P);Qb(V|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[P>>2]=27488;B=0;va(448,O|0);N=B;B=0;do if(N&1){W=Rb()|0;X=Q;Y=W}else{k[O>>2]=27560;W=h+36|0;k[W>>2]=0;k[W+4>>2]=0;k[W+8>>2]=0;k[W+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,O|0,c|0);Z=B;B=0;if(Z&1){Z=Rb()|0;_=Q;Yua(c);Yua(W);Ava(O);X=_;Y=Z;break}Yua(c);B=0;Z=Ia(40,h|0,119604,11)|0;_=B;B=0;do if(_&1)R=75;else{$=k[a+20>>2]|0;aa=Lta($)|0;B=0;ba=Ia(40,Z|0,$|0,aa|0)|0;aa=B;B=0;if(aa&1){R=75;break}B=0;Ia(40,ba|0,149177,1)|0;ba=B;B=0;if(ba&1){R=75;break}B=0;wa(510,i|0,O|0);ba=B;B=0;if(ba&1){R=75;break}B=0;ya(424,i|0)|0;ba=B;B=0;if(ba&1){ba=Rb()|0;aa=Q;Yua(i);ca=aa;da=ba;break}Yua(i);k[h>>2]=27468;k[P>>2]=27488;k[O>>2]=27560;Yua(W);Ava(O);vva(P);ba=j+56|0;aa=j+4|0;k[j>>2]=27524;k[ba>>2]=27544;B=0;wa(508,j+56|0,aa|0);$=B;B=0;if($&1){$=Rb()|0;ea=Q;fa=$;vva(ba);Qb(fa|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[ba>>2]=27488;B=0;va(448,aa|0);$=B;B=0;do if($&1){ga=Rb()|0;ha=Q;ia=ga}else{k[aa>>2]=27560;ga=j+36|0;k[ga>>2]=0;k[ga+4>>2]=0;k[ga+8>>2]=0;k[ga+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,aa|0,c|0);ja=B;B=0;if(ja&1){ja=Rb()|0;ka=Q;Yua(c);Yua(ga);Ava(aa);ha=ka;ia=ja;break}Yua(c);B=0;ja=Ia(40,j|0,119616,11)|0;ka=B;B=0;do if(ka&1)R=78;else{B=0;la=Sa(1,ja|0,+(+p[a+24>>3]))|0;ma=B;B=0;if(ma&1){R=78;break}B=0;Ia(40,la|0,149177,1)|0;la=B;B=0;if(la&1){R=78;break}B=0;wa(510,l|0,aa|0);la=B;B=0;if(la&1){R=78;break}B=0;ya(424,l|0)|0;la=B;B=0;if(la&1){la=Rb()|0;ma=Q;Yua(l);na=ma;oa=la;break}Yua(l);k[j>>2]=27468;k[ba>>2]=27488;k[aa>>2]=27560;Yua(ga);Ava(aa);vva(ba);la=m+56|0;ma=m+4|0;k[m>>2]=27524;k[la>>2]=27544;B=0;wa(508,m+56|0,ma|0);pa=B;B=0;if(pa&1){pa=Rb()|0;qa=Q;ra=pa;vva(la);Qb(ra|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[la>>2]=27488;B=0;va(448,ma|0);pa=B;B=0;do if(pa&1){sa=Rb()|0;ta=Q;ua=sa}else{k[ma>>2]=27560;sa=m+36|0;k[sa>>2]=0;k[sa+4>>2]=0;k[sa+8>>2]=0;k[sa+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ma|0,c|0);xa=B;B=0;if(xa&1){xa=Rb()|0;za=Q;Yua(c);Yua(sa);Ava(ma);ta=za;ua=xa;break}Yua(c);B=0;xa=Ia(40,m|0,119628,10)|0;za=B;B=0;do if(!(za&1)){B=0;Aa=Sa(1,xa|0,+(+p[a+32>>3]))|0;Ba=B;B=0;if(Ba&1){R=81;break}B=0;Ia(40,Aa|0,149177,1)|0;Aa=B;B=0;if(Aa&1){R=81;break}B=0;wa(510,n|0,ma|0);Aa=B;B=0;if(Aa&1){R=81;break}B=0;ya(424,n|0)|0;Aa=B;B=0;if(Aa&1){Aa=Rb()|0;Ba=Q;Yua(n);Ca=Ba;Da=Aa;break}else{Yua(n);k[m>>2]=27468;k[la>>2]=27488;k[ma>>2]=27560;Yua(sa);Ava(ma);vva(la);r=b;return}}else R=81;while(0);if((R|0)==81){xa=Rb()|0;Ca=Q;Da=xa}k[m>>2]=27468;k[la>>2]=27488;k[ma>>2]=27560;Yua(sa);Ava(ma);vva(la);Ea=Ca;Fa=Da;Qb(Fa|0)}while(0);qa=ta;ra=ua;vva(la);Qb(ra|0)}while(0);if((R|0)==78){ja=Rb()|0;na=Q;oa=ja}k[j>>2]=27468;k[ba>>2]=27488;k[aa>>2]=27560;Yua(ga);Ava(aa);vva(ba);Ea=na;Fa=oa;Qb(Fa|0)}while(0);ea=ha;fa=ia;vva(ba);Qb(fa|0)}while(0);if((R|0)==75){Z=Rb()|0;ca=Q;da=Z}k[h>>2]=27468;k[P>>2]=27488;k[O>>2]=27560;Yua(W);Ava(O);vva(P);Ea=ca;Fa=da;Qb(Fa|0)}while(0);U=X;V=Y;vva(P);Qb(V|0)}else R=72;while(0);if((R|0)==72){L=Rb()|0;S=Q;T=L}k[f>>2]=27468;k[D>>2]=27488;k[C>>2]=27560;Yua(I);Ava(C);vva(D);Ea=S;Fa=T;Qb(Fa|0)}while(0);G=J;H=K;vva(D);Qb(H|0)}else R=69;while(0);if((R|0)==69){y=Rb()|0;E=Q;F=y}k[d>>2]=27468;k[o>>2]=27488;k[q>>2]=27560;Yua(v);Ava(q);vva(o);Ea=E;Fa=F;Qb(Fa|0)}while(0);t=w;u=x;vva(o);Qb(u|0)}function q1(a){a=a|0;Ec[k[(k[a>>2]|0)+8>>2]&1023](a);return}function r1(a){a=a|0;return -1}function s1(a){a=a|0;return 601}function t1(a){a=a|0;var b=0;b=Qqa(40)|0;B=0;Na(1,b|0,k[a+12>>2]|0,k[a+8>>2]|0,k[a+16>>2]|0,k[a+20>>2]|0,+(+p[a+24>>3]),+(+p[a+32>>3]));a=B;B=0;if(a&1){a=Rb()|0;Sqa(b);Qb(a|0)}else return b|0;return 0}function u1(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149435,20)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,119474,101);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,149525,8);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,91,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function v1(a){a=a|0;var b=0,c=0;b=k[a+12>>2]|0;a=Rqa((Lta(b)|0)+1|0)|0;c=(Lta(b)|0)+1|0;if(!b)yb(142353,118972,137,142345);if(!c)return a|0;TEa(a|0,b|0,c|0)|0;return a|0}function w1(a){a=a|0;return k[a+8>>2]|0}function x1(a,b){a=a|0;b=b|0;var c=0.0,d=0.0;c=+O2(b,k[a+16>>2]|0);d=+O2(b,k[a+20>>2]|0);return +(c*+p[a+24>>3]+d*+p[a+32>>3])}function y1(a){a=a|0;var b=0,c=0;k[a+-4>>2]=37304;k[a>>2]=37356;b=a+8|0;c=k[b>>2]|0;if(c){Tqa(c);k[b>>2]=0}b=a+12|0;c=k[b>>2]|0;if(c){Tqa(c);k[b>>2]=0}b=a+16|0;a=k[b>>2]|0;if(!a)return;Tqa(a);k[b>>2]=0;return}function z1(a){a=a|0;var b=0,c=0,d=0;b=a+-4|0;k[b>>2]=37304;k[a>>2]=37356;c=a+8|0;d=k[c>>2]|0;if(d){Tqa(d);k[c>>2]=0}c=a+12|0;d=k[c>>2]|0;if(d){Tqa(d);k[c>>2]=0}c=k[a+16>>2]|0;if(!c){Sqa(b);return}Tqa(c);Sqa(b);return}function A1(a){a=a|0;var b=0,c=0;b=k[a+8>>2]|0;a=Rqa((Lta(b)|0)+1|0)|0;c=(Lta(b)|0)+1|0;if(!b)yb(142353,118972,137,142345);if(!c)return a|0;TEa(a|0,b|0,c|0)|0;return a|0}function B1(a){a=a|0;return k[a+4>>2]|0}function C1(a,b){a=a|0;b=b|0;var c=0.0,d=0.0;c=+O2(b,k[a+12>>2]|0);d=+O2(b,k[a+16>>2]|0);return +(c*+p[a+20>>3]+d*+p[a+28>>3])}function D1(a){a=a|0;var b=0,c=0;k[a>>2]=37384;k[a+4>>2]=37436;b=a+12|0;c=k[b>>2]|0;if(c){Tqa(c);k[b>>2]=0}b=a+16|0;a=k[b>>2]|0;if(!a)return;Tqa(a);k[b>>2]=0;return}function E1(a){a=a|0;var b=0,c=0;k[a>>2]=37384;k[a+4>>2]=37436;b=a+12|0;c=k[b>>2]|0;if(c){Tqa(c);k[b>>2]=0}b=k[a+16>>2]|0;if(!b){Sqa(a);return}Tqa(b);Sqa(a);return}function F1(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;b=r;r=r+464|0;c=b+452|0;d=b+304|0;e=b+440|0;f=b+152|0;g=b+288|0;h=b+16|0;i=b;j=d+56|0;l=d+4|0;k[d>>2]=27524;k[j>>2]=27544;B=0;wa(508,d+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(j);Qb(o|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[j>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){p=Rb()|0;q=Q;s=p}else{k[l>>2]=27560;p=d+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,l|0,c|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(c);Yua(p);Ava(l);q=u;s=t;break}Yua(c);B=0;t=Ia(40,d|0,119764,10)|0;u=B;B=0;do if(((((!(u&1)?(v=k[a+12>>2]|0,w=Lta(v)|0,B=0,x=Ia(40,t|0,v|0,w|0)|0,w=B,B=0,!(w&1)):0)?(B=0,w=Ia(40,x|0,149175,1)|0,x=B,B=0,!(x&1)):0)?(B=0,x=Xa(242,w|0,k[a+8>>2]|0)|0,w=B,B=0,!(w&1)):0)?(B=0,Ia(40,x|0,149177,1)|0,x=B,B=0,!(x&1)):0)?(B=0,wa(510,e|0,l|0),x=B,B=0,!(x&1)):0){B=0;ya(424,e|0)|0;x=B;B=0;if(x&1){x=Rb()|0;w=Q;Yua(e);y=w;z=x;break}Yua(e);k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);x=f+56|0;w=f+4|0;k[f>>2]=27524;k[x>>2]=27544;B=0;wa(508,f+56|0,w|0);v=B;B=0;if(v&1){v=Rb()|0;A=Q;C=v;vva(x);Qb(C|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[x>>2]=27488;B=0;va(448,w|0);v=B;B=0;do if(v&1){D=Rb()|0;E=Q;F=D}else{k[w>>2]=27560;D=f+36|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;k[D+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,w|0,c|0);G=B;B=0;if(G&1){G=Rb()|0;H=Q;Yua(c);Yua(D);Ava(w);E=H;F=G;break}Yua(c);B=0;G=Ia(40,f|0,119775,14)|0;H=B;B=0;do if((!(H&1)?(B=0,I=Xa(245,G|0,k[a+16>>2]|0)|0,J=B,B=0,!(J&1)):0)?(B=0,Ia(40,I|0,149177,1)|0,I=B,B=0,!(I&1)):0){B=0;wa(510,g|0,w|0);I=B;B=0;if(I&1){K=46;break}B=0;ya(424,g|0)|0;I=B;B=0;if(I&1){I=Rb()|0;J=Q;Yua(g);L=J;M=I;break}Yua(g);k[f>>2]=27468;k[x>>2]=27488;k[w>>2]=27560;Yua(D);Ava(w);vva(x);I=h+56|0;J=h+4|0;k[h>>2]=27524;k[I>>2]=27544;B=0;wa(508,h+56|0,J|0);N=B;B=0;if(N&1){N=Rb()|0;O=Q;P=N;vva(I);Qb(P|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[I>>2]=27488;B=0;va(448,J|0);N=B;B=0;do if(N&1){R=Rb()|0;S=Q;T=R}else{k[J>>2]=27560;R=h+36|0;k[R>>2]=0;k[R+4>>2]=0;k[R+8>>2]=0;k[R+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,J|0,c|0);U=B;B=0;if(U&1){U=Rb()|0;V=Q;Yua(c);Yua(R);Ava(J);S=V;T=U;break}Yua(c);B=0;U=Ia(40,h|0,119790,7)|0;V=B;B=0;do if(!(V&1)){B=0;W=Xa(242,U|0,k[a+20>>2]|0)|0;X=B;B=0;if(X&1){K=49;break}B=0;Ia(40,W|0,149177,1)|0;W=B;B=0;if(W&1){K=49;break}B=0;wa(510,i|0,J|0);W=B;B=0;if(W&1){K=49;break}B=0;ya(424,i|0)|0;W=B;B=0;if(W&1){W=Rb()|0;X=Q;Yua(i);Y=X;Z=W;break}else{Yua(i);k[h>>2]=27468;k[I>>2]=27488;k[J>>2]=27560;Yua(R);Ava(J);vva(I);r=b;return}}else K=49;while(0);if((K|0)==49){U=Rb()|0;Y=Q;Z=U}k[h>>2]=27468;k[I>>2]=27488;k[J>>2]=27560;Yua(R);Ava(J);vva(I);_=Y;$=Z;Qb($|0)}while(0);O=S;P=T;vva(I);Qb(P|0)}else K=46;while(0);if((K|0)==46){G=Rb()|0;L=Q;M=G}k[f>>2]=27468;k[x>>2]=27488;k[w>>2]=27560;Yua(D);Ava(w);vva(x);_=L;$=M;Qb($|0)}while(0);A=E;C=F;vva(x);Qb(C|0)}else K=43;while(0);if((K|0)==43){t=Rb()|0;y=Q;z=t}k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);_=y;$=z;Qb($|0)}while(0);n=q;o=s;vva(j);Qb(o|0)}function G1(a){a=a|0;Ec[k[(k[a>>2]|0)+8>>2]&1023](a);return}function H1(a){a=a|0;return -1}function I1(a){a=a|0;return 597}function J1(a){a=a|0;var b=0;b=Qqa(24)|0;B=0;ua(173,b|0,k[a+12>>2]|0,k[a+8>>2]|0,k[a+16>>2]|0,k[a+20>>2]|0);a=B;B=0;if(a&1){a=Rb()|0;Sqa(b);Qb(a|0)}else return b|0;return 0}function K1(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149435,20)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,119667,96);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,149525,8);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,80,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function L1(a){a=a|0;var b=0,c=0;b=k[a+12>>2]|0;a=Rqa((Lta(b)|0)+1|0)|0;c=(Lta(b)|0)+1|0;if(!b)yb(142353,118972,137,142345);if(!c)return a|0;TEa(a|0,b|0,c|0)|0;return a|0}function M1(a){a=a|0;return k[a+8>>2]|0}function N1(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0.0,h=0;c=r;r=r+16|0;d=c+8|0;e=c;p[d>>3]=0.0;p[e>>3]=0.0;f=b+20|0;if((th(k[f>>2]|0)|0)>0){b=a+16|0;g=0.0;a=0;do{h=qh(k[f>>2]|0,a)|0;g=+id[k[(k[h>>2]|0)+280>>2]&63](h,k[b>>2]|0)+g;p[d>>3]=g;a=a+1|0}while((a|0)<(th(k[f>>2]|0)|0))}fZ(d,e,1,2,4,uY()|0)|0;r=c;return +(+p[e>>3])}function O1(a){a=a|0;var b=0,c=0;b=a+-4|0;k[b>>2]=37384;k[b+4>>2]=37436;a=b+12|0;c=k[a>>2]|0;if(c){Tqa(c);k[a>>2]=0}a=b+16|0;b=k[a>>2]|0;if(!b)return;Tqa(b);k[a>>2]=0;return}function P1(a){a=a|0;var b=0,c=0;b=a+-4|0;k[b>>2]=37384;k[b+4>>2]=37436;a=b+12|0;c=k[a>>2]|0;if(c){Tqa(c);k[a>>2]=0}a=k[b+16>>2]|0;if(!a){Sqa(b);return}Tqa(a);Sqa(b);return}function Q1(a){a=a|0;var b=0,c=0;b=k[a+-4+12>>2]|0;a=Rqa((Lta(b)|0)+1|0)|0;c=(Lta(b)|0)+1|0;if(!b)yb(142353,118972,137,142345);if(!c)return a|0;TEa(a|0,b|0,c|0)|0;return a|0}function R1(a){a=a|0;return k[a+-4+8>>2]|0}function S1(a,b){a=a|0;b=b|0;return +(+N1(a+-4|0,b))}function T1(a){a=a|0;var b=0;k[a>>2]=37224;k[a+4>>2]=37276;b=a+12|0;a=k[b>>2]|0;if(!a)return;Tqa(a);k[b>>2]=0;return}function U1(a){a=a|0;var b=0;k[a>>2]=37224;k[a+4>>2]=37276;b=k[a+12>>2]|0;if(!b){Sqa(a);return}Tqa(b);Sqa(a);return}function V1(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;b=r;r=r+464|0;c=b+452|0;d=b+304|0;e=b+440|0;f=b+152|0;g=b+288|0;h=b+16|0;i=b;j=d+56|0;l=d+4|0;k[d>>2]=27524;k[j>>2]=27544;B=0;wa(508,d+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(j);Qb(o|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[j>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){p=Rb()|0;q=Q;s=p}else{k[l>>2]=27560;p=d+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,l|0,c|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(c);Yua(p);Ava(l);q=u;s=t;break}Yua(c);B=0;t=Ia(40,d|0,119907,13)|0;u=B;B=0;do if(((((!(u&1)?(v=k[a+12>>2]|0,w=Lta(v)|0,B=0,x=Ia(40,t|0,v|0,w|0)|0,w=B,B=0,!(w&1)):0)?(B=0,w=Ia(40,x|0,149175,1)|0,x=B,B=0,!(x&1)):0)?(B=0,x=Xa(242,w|0,k[a+8>>2]|0)|0,w=B,B=0,!(w&1)):0)?(B=0,Ia(40,x|0,149177,1)|0,x=B,B=0,!(x&1)):0)?(B=0,wa(510,e|0,l|0),x=B,B=0,!(x&1)):0){B=0;ya(424,e|0)|0;x=B;B=0;if(x&1){x=Rb()|0;w=Q;Yua(e);y=w;z=x;break}Yua(e);k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);x=f+56|0;w=f+4|0;k[f>>2]=27524;k[x>>2]=27544;B=0;wa(508,f+56|0,w|0);v=B;B=0;if(v&1){v=Rb()|0;A=Q;C=v;vva(x);Qb(C|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[x>>2]=27488;B=0;va(448,w|0);v=B;B=0;do if(v&1){D=Rb()|0;E=Q;F=D}else{k[w>>2]=27560;D=f+36|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;k[D+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,w|0,c|0);G=B;B=0;if(G&1){G=Rb()|0;H=Q;Yua(c);Yua(D);Ava(w);E=H;F=G;break}Yua(c);B=0;G=Ia(40,f|0,119921,16)|0;H=B;B=0;do if((!(H&1)?(I=a+16|0,B=0,J=Xa(242,G|0,k[I>>2]|0)|0,K=B,B=0,!(K&1)):0)?(B=0,K=Ia(40,J|0,149175,1)|0,J=B,B=0,!(J&1)):0){B=0;J=ya(427,k[I>>2]|0)|0;I=B;B=0;if(I&1){L=49;break}I=Lta(J)|0;B=0;M=Ia(40,K|0,J|0,I|0)|0;I=B;B=0;if(I&1){L=49;break}B=0;Ia(40,M|0,149177,1)|0;M=B;B=0;if(M&1){L=49;break}B=0;wa(510,g|0,w|0);M=B;B=0;if(M&1){L=49;break}B=0;ya(424,g|0)|0;M=B;B=0;if(M&1){M=Rb()|0;I=Q;Yua(g);N=I;O=M;break}Yua(g);k[f>>2]=27468;k[x>>2]=27488;k[w>>2]=27560;Yua(D);Ava(w);vva(x);M=h+56|0;I=h+4|0;k[h>>2]=27524;k[M>>2]=27544;B=0;wa(508,h+56|0,I|0);J=B;B=0;if(J&1){J=Rb()|0;P=Q;R=J;vva(M);Qb(R|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[M>>2]=27488;B=0;va(448,I|0);J=B;B=0;do if(J&1){K=Rb()|0;S=Q;T=K}else{k[I>>2]=27560;K=h+36|0;k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;k[K+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,I|0,c|0);U=B;B=0;if(U&1){U=Rb()|0;V=Q;Yua(c);Yua(K);Ava(I);S=V;T=U;break}Yua(c);B=0;U=Ia(40,h|0,119938,10)|0;V=B;B=0;do if(!(V&1)){B=0;W=Xa(242,U|0,k[a+20>>2]|0)|0;X=B;B=0;if(X&1){L=52;break}B=0;Ia(40,W|0,149177,1)|0;W=B;B=0;if(W&1){L=52;break}B=0;wa(510,i|0,I|0);W=B;B=0;if(W&1){L=52;break}B=0;ya(424,i|0)|0;W=B;B=0;if(W&1){W=Rb()|0;X=Q;Yua(i);Y=X;Z=W;break}else{Yua(i);k[h>>2]=27468;k[M>>2]=27488;k[I>>2]=27560;Yua(K);Ava(I);vva(M);r=b;return}}else L=52;while(0);if((L|0)==52){U=Rb()|0;Y=Q;Z=U}k[h>>2]=27468;k[M>>2]=27488;k[I>>2]=27560;Yua(K);Ava(I);vva(M);_=Y;$=Z;Qb($|0)}while(0);P=S;R=T;vva(M);Qb(R|0)}else L=49;while(0);if((L|0)==49){G=Rb()|0;N=Q;O=G}k[f>>2]=27468;k[x>>2]=27488;k[w>>2]=27560;Yua(D);Ava(w);vva(x);_=N;$=O;Qb($|0)}while(0);A=E;C=F;vva(x);Qb(C|0)}else L=46;while(0);if((L|0)==46){t=Rb()|0;y=Q;z=t}k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);_=y;$=z;Qb($|0)}while(0);n=q;o=s;vva(j);Qb(o|0)}function W1(a){a=a|0;Ec[k[(k[a>>2]|0)+8>>2]&1023](a);return}function X1(a){a=a|0;return -1}function Y1(a){a=a|0;return 875}function Z1(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;b=Qqa(24)|0;c=k[a+12>>2]|0;d=k[a+8>>2]|0;e=k[a+16>>2]|0;f=k[a+20>>2]|0;k[b>>2]=37224;k[b+4>>2]=37276;k[b+8>>2]=d;d=(Lta(c)|0)+1|0;B=0;a=ya(422,d|0)|0;d=B;B=0;if(d&1){g=Rb()|0;h=Q;Sqa(b);Qb(g|0)}k[b+12>>2]=a;d=(Lta(c)|0)+1|0;if(!c){B=0;ib(283,142353,118972,137,142345);B=0;g=Rb()|0;h=Q;Sqa(b);Qb(g|0)}if(!d){i=b+16|0;k[i>>2]=e;j=b+20|0;k[j>>2]=f;return b|0}TEa(a|0,c|0,d|0)|0;i=b+16|0;k[i>>2]=e;j=b+20|0;k[j>>2]=f;return b|0}function _1(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149435,20)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,119807,99);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,149525,8);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,82,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function $1(a){a=a|0;var b=0,c=0;b=k[a+12>>2]|0;a=Rqa((Lta(b)|0)+1|0)|0;c=(Lta(b)|0)+1|0;if(!b)yb(142353,118972,137,142345);if(!c)return a|0;TEa(a|0,b|0,c|0)|0;return a|0}function a2(a){a=a|0;return k[a+8>>2]|0}function b2(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=r;r=r+16|0;d=c;e=b+44|0;oO(k[e>>2]|0,k[a+20>>2]|0,944);AZ(d,k[a+16>>2]|0,k[b+20>>2]|0,k[b+24>>2]|0,k[b+28>>2]|0,k[b+36>>2]|0,k[b+40>>2]|0,k[e>>2]|0);r=c;return +(+p[d>>3])}function c2(a){a=a|0;var b=0;b=a+-4|0;k[b>>2]=37224;k[b+4>>2]=37276;a=b+12|0;b=k[a>>2]|0;if(!b)return;Tqa(b);k[a>>2]=0;return}function d2(a){a=a|0;var b=0;b=a+-4|0;k[b>>2]=37224;k[b+4>>2]=37276;a=k[b+12>>2]|0;if(!a){Sqa(b);return}Tqa(a);Sqa(b);return}function e2(a){a=a|0;var b=0,c=0;b=k[a+-4+12>>2]|0;a=Rqa((Lta(b)|0)+1|0)|0;c=(Lta(b)|0)+1|0;if(!b)yb(142353,118972,137,142345);if(!c)return a|0;TEa(a|0,b|0,c|0)|0;return a|0}function f2(a){a=a|0;return k[a+-4+8>>2]|0}function g2(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=r;r=r+16|0;d=c;e=a+-4|0;a=b+44|0;oO(k[a>>2]|0,k[e+20>>2]|0,944);AZ(d,k[e+16>>2]|0,k[b+20>>2]|0,k[b+24>>2]|0,k[b+28>>2]|0,k[b+36>>2]|0,k[b+40>>2]|0,k[a>>2]|0);r=c;return +(+p[d>>3])}function h2(a){a=a|0;var b=0,c=0;k[a>>2]=37464;k[a+4>>2]=37516;b=a+12|0;c=k[b>>2]|0;if(c){Tqa(c);k[b>>2]=0}b=a+28|0;c=k[b>>2]|0;if(c){Tqa(c);k[b>>2]=0}p[a+40>>3]=0.0;k[a+48>>2]=0;return}function i2(a){a=a|0;var b=0,c=0;k[a>>2]=37464;k[a+4>>2]=37516;b=a+12|0;c=k[b>>2]|0;if(c){Tqa(c);k[b>>2]=0}b=k[a+28>>2]|0;if(!b){Sqa(a);return}Tqa(b);Sqa(a);return}function j2(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0;b=r;r=r+928|0;c=b+904|0;d=b+744|0;e=b+892|0;f=b+592|0;g=b+880|0;h=b+440|0;j=b+728|0;l=b+304|0;m=b+576|0;n=b+152|0;o=b+288|0;p=b+16|0;q=b;s=d+56|0;t=d+4|0;k[d>>2]=27524;k[s>>2]=27544;B=0;wa(508,d+56|0,t|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;w=u;vva(s);Qb(w|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[s>>2]=27488;B=0;va(448,t|0);u=B;B=0;do if(u&1){x=Rb()|0;y=Q;z=x}else{k[t>>2]=27560;x=d+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,t|0,c|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(c);Yua(x);Ava(t);y=C;z=A;break}Yua(c);B=0;A=Ia(40,d|0,120058,9)|0;C=B;B=0;do if(((((!(C&1)?(D=k[a+12>>2]|0,E=Lta(D)|0,B=0,F=Ia(40,A|0,D|0,E|0)|0,E=B,B=0,!(E&1)):0)?(B=0,E=Ia(40,F|0,149175,1)|0,F=B,B=0,!(F&1)):0)?(B=0,F=Xa(242,E|0,k[a+8>>2]|0)|0,E=B,B=0,!(E&1)):0)?(B=0,Ia(40,F|0,149177,1)|0,F=B,B=0,!(F&1)):0)?(B=0,wa(510,e|0,t|0),F=B,B=0,!(F&1)):0){B=0;ya(424,e|0)|0;F=B;B=0;if(F&1){F=Rb()|0;E=Q;Yua(e);G=E;H=F;break}Yua(e);k[d>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);F=f+56|0;E=f+4|0;k[f>>2]=27524;k[F>>2]=27544;B=0;wa(508,f+56|0,E|0);D=B;B=0;if(D&1){D=Rb()|0;I=Q;J=D;vva(F);Qb(J|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[F>>2]=27488;B=0;va(448,E|0);D=B;B=0;do if(D&1){K=Rb()|0;L=Q;M=K}else{k[E>>2]=27560;K=f+36|0;k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;k[K+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,E|0,c|0);N=B;B=0;if(N&1){N=Rb()|0;O=Q;Yua(c);Yua(K);Ava(E);L=O;M=N;break}Yua(c);B=0;N=Ia(40,f|0,119921,16)|0;O=B;B=0;do if((!(O&1)?(P=a+16|0,B=0,R=Xa(242,N|0,k[P>>2]|0)|0,S=B,B=0,!(S&1)):0)?(B=0,S=Ia(40,R|0,149175,1)|0,R=B,B=0,!(R&1)):0){B=0;R=ya(427,k[P>>2]|0)|0;P=B;B=0;if(P&1){T=94;break}P=Lta(R)|0;B=0;U=Ia(40,S|0,R|0,P|0)|0;P=B;B=0;if(P&1){T=94;break}B=0;Ia(40,U|0,149177,1)|0;U=B;B=0;if(U&1){T=94;break}B=0;wa(510,g|0,E|0);U=B;B=0;if(U&1){T=94;break}B=0;ya(424,g|0)|0;U=B;B=0;if(U&1){U=Rb()|0;P=Q;Yua(g);V=P;W=U;break}Yua(g);k[f>>2]=27468;k[F>>2]=27488;k[E>>2]=27560;Yua(K);Ava(E);vva(F);U=h+56|0;P=h+4|0;k[h>>2]=27524;k[U>>2]=27544;B=0;wa(508,h+56|0,P|0);R=B;B=0;if(R&1){R=Rb()|0;X=Q;Y=R;vva(U);Qb(Y|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[U>>2]=27488;B=0;va(448,P|0);R=B;B=0;do if(R&1){S=Rb()|0;Z=Q;_=S}else{k[P>>2]=27560;S=h+36|0;k[S>>2]=0;k[S+4>>2]=0;k[S+8>>2]=0;k[S+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,P|0,c|0);$=B;B=0;if($&1){$=Rb()|0;aa=Q;Yua(c);Yua(S);Ava(P);Z=aa;_=$;break}Yua(c);B=0;$=Ia(40,h|0,120068,22)|0;aa=B;B=0;do if(aa&1)T=97;else{ba=a+20|0;B=0;ca=Xa(242,$|0,k[ba>>2]|0)|0;da=B;B=0;if(da&1){T=97;break}B=0;da=Ia(40,ca|0,149175,1)|0;ca=B;B=0;if(ca&1){T=97;break}B=0;ca=ya(427,k[ba>>2]|0)|0;ba=B;B=0;if(ba&1){T=97;break}ba=Lta(ca)|0;B=0;ea=Ia(40,da|0,ca|0,ba|0)|0;ba=B;B=0;if(ba&1){T=97;break}B=0;Ia(40,ea|0,149177,1)|0;ea=B;B=0;if(ea&1){T=97;break}B=0;wa(510,j|0,P|0);ea=B;B=0;if(ea&1){T=97;break}B=0;ya(424,j|0)|0;ea=B;B=0;if(ea&1){ea=Rb()|0;ba=Q;Yua(j);fa=ba;ga=ea;break}Yua(j);k[h>>2]=27468;k[U>>2]=27488;k[P>>2]=27560;Yua(S);Ava(P);vva(U);ea=l+56|0;ba=l+4|0;k[l>>2]=27524;k[ea>>2]=27544;B=0;wa(508,l+56|0,ba|0);ca=B;B=0;if(ca&1){ca=Rb()|0;ha=Q;ia=ca;vva(ea);Qb(ia|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[ea>>2]=27488;B=0;va(448,ba|0);ca=B;B=0;do if(ca&1){da=Rb()|0;ja=Q;ka=da}else{k[ba>>2]=27560;da=l+36|0;k[da>>2]=0;k[da+4>>2]=0;k[da+8>>2]=0;k[da+12>>2]=0;k[l+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ba|0,c|0);la=B;B=0;if(la&1){la=Rb()|0;ma=Q;Yua(c);Yua(da);Ava(ba);ja=ma;ka=la;break}Yua(c);B=0;la=Ia(40,l|0,120091,18)|0;ma=B;B=0;do if(ma&1)T=100;else{na=a+24|0;B=0;oa=Xa(242,la|0,k[na>>2]|0)|0;pa=B;B=0;if(pa&1){T=100;break}B=0;pa=Ia(40,oa|0,149175,1)|0;oa=B;B=0;if(oa&1){T=100;break}B=0;oa=ya(427,k[na>>2]|0)|0;na=B;B=0;if(na&1){T=100;break}na=Lta(oa)|0;B=0;qa=Ia(40,pa|0,oa|0,na|0)|0;na=B;B=0;if(na&1){T=100;break}B=0;Ia(40,qa|0,149177,1)|0;qa=B;B=0;if(qa&1){T=100;break}B=0;wa(510,m|0,ba|0);qa=B;B=0;if(qa&1){T=100;break}B=0;ya(424,m|0)|0;qa=B;B=0;if(qa&1){qa=Rb()|0;na=Q;Yua(m);ra=na;sa=qa;break}Yua(m);k[l>>2]=27468;k[ea>>2]=27488;k[ba>>2]=27560;Yua(da);Ava(ba);vva(ea);qa=n+56|0;na=n+4|0;k[n>>2]=27524;k[qa>>2]=27544;B=0;wa(508,n+56|0,na|0);oa=B;B=0;if(oa&1){oa=Rb()|0;ta=Q;ua=oa;vva(qa);Qb(ua|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[qa>>2]=27488;B=0;va(448,na|0);oa=B;B=0;do if(oa&1){pa=Rb()|0;xa=Q;za=pa}else{k[na>>2]=27560;pa=n+36|0;k[pa>>2]=0;k[pa+4>>2]=0;k[pa+8>>2]=0;k[pa+12>>2]=0;k[n+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,na|0,c|0);Aa=B;B=0;if(Aa&1){Aa=Rb()|0;Ba=Q;Yua(c);Yua(pa);Ava(na);xa=Ba;za=Aa;break}Yua(c);B=0;Aa=Ia(40,n|0,120110,23)|0;Ba=B;B=0;do if(Ba&1)T=103;else{Ca=k[a+28>>2]|0;Da=Lta(Ca)|0;B=0;Ea=Ia(40,Aa|0,Ca|0,Da|0)|0;Da=B;B=0;if(Da&1){T=103;break}B=0;Ia(40,Ea|0,149177,1)|0;Ea=B;B=0;if(Ea&1){T=103;break}B=0;wa(510,o|0,na|0);Ea=B;B=0;if(Ea&1){T=103;break}B=0;ya(424,o|0)|0;Ea=B;B=0;if(Ea&1){Ea=Rb()|0;Da=Q;Yua(o);Fa=Da;Ga=Ea;break}Yua(o);k[n>>2]=27468;k[qa>>2]=27488;k[na>>2]=27560;Yua(pa);Ava(na);vva(qa);Ea=p+56|0;Da=p+4|0;k[p>>2]=27524;k[Ea>>2]=27544;B=0;wa(508,p+56|0,Da|0);Ca=B;B=0;if(Ca&1){Ca=Rb()|0;Ha=Q;Ja=Ca;vva(Ea);Qb(Ja|0)}k[p+128>>2]=0;k[p+132>>2]=-1;k[p>>2]=27468;k[Ea>>2]=27488;B=0;va(448,Da|0);Ca=B;B=0;do if(Ca&1){Ka=Rb()|0;La=Q;Ma=Ka}else{k[Da>>2]=27560;Ka=p+36|0;k[Ka>>2]=0;k[Ka+4>>2]=0;k[Ka+8>>2]=0;k[Ka+12>>2]=0;k[p+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Da|0,c|0);Na=B;B=0;if(Na&1){Na=Rb()|0;Oa=Q;Yua(c);Yua(Ka);Ava(Da);La=Oa;Ma=Na;break}Yua(c);B=0;Na=Ia(40,p|0,120134,11)|0;Oa=B;B=0;do if(!(Oa&1)){B=0;Pa=Xa(247,Na|0,(i[a+32>>0]|0)!=0|0)|0;Qa=B;B=0;if(Qa&1){T=106;break}B=0;Ia(40,Pa|0,149177,1)|0;Pa=B;B=0;if(Pa&1){T=106;break}B=0;wa(510,q|0,Da|0);Pa=B;B=0;if(Pa&1){T=106;break}B=0;ya(424,q|0)|0;Pa=B;B=0;if(Pa&1){Pa=Rb()|0;Qa=Q;Yua(q);Ra=Qa;Sa=Pa;break}else{Yua(q);k[p>>2]=27468;k[Ea>>2]=27488;k[Da>>2]=27560;Yua(Ka);Ava(Da);vva(Ea);r=b;return}}else T=106;while(0);if((T|0)==106){Na=Rb()|0;Ra=Q;Sa=Na}k[p>>2]=27468;k[Ea>>2]=27488;k[Da>>2]=27560;Yua(Ka);Ava(Da);vva(Ea);Ta=Ra;Ua=Sa;Qb(Ua|0)}while(0);Ha=La;Ja=Ma;vva(Ea);Qb(Ja|0)}while(0);if((T|0)==103){Aa=Rb()|0;Fa=Q;Ga=Aa}k[n>>2]=27468;k[qa>>2]=27488;k[na>>2]=27560;Yua(pa);Ava(na);vva(qa);Ta=Fa;Ua=Ga;Qb(Ua|0)}while(0);ta=xa;ua=za;vva(qa);Qb(ua|0)}while(0);if((T|0)==100){la=Rb()|0;ra=Q;sa=la}k[l>>2]=27468;k[ea>>2]=27488;k[ba>>2]=27560;Yua(da);Ava(ba);vva(ea);Ta=ra;Ua=sa;Qb(Ua|0)}while(0);ha=ja;ia=ka;vva(ea);Qb(ia|0)}while(0);if((T|0)==97){$=Rb()|0;fa=Q;ga=$}k[h>>2]=27468;k[U>>2]=27488;k[P>>2]=27560;Yua(S);Ava(P);vva(U);Ta=fa;Ua=ga;Qb(Ua|0)}while(0);X=Z;Y=_;vva(U);Qb(Y|0)}else T=94;while(0);if((T|0)==94){N=Rb()|0;V=Q;W=N}k[f>>2]=27468;k[F>>2]=27488;k[E>>2]=27560;Yua(K);Ava(E);vva(F);Ta=V;Ua=W;Qb(Ua|0)}while(0);I=L;J=M;vva(F);Qb(J|0)}else T=91;while(0);if((T|0)==91){A=Rb()|0;G=Q;H=A}k[d>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);Ta=G;Ua=H;Qb(Ua|0)}while(0);v=y;w=z;vva(s);Qb(w|0)}function k2(a){a=a|0;Ec[k[(k[a>>2]|0)+8>>2]&1023](a);return}function l2(a){a=a|0;return -1}function m2(a){a=a|0;return 652}function n2(a){a=a|0;var b=0,c=0;b=Qqa(56)|0;B=0;Ka(12,b|0,k[a+12>>2]|0,k[a+8>>2]|0,k[a+16>>2]|0,k[a+20>>2]|0,k[a+28>>2]|0,(i[a+32>>0]|0)!=0|0,k[a+24>>2]|0);c=B;B=0;if(c&1){c=Rb()|0;Sqa(b);Qb(c|0)}else{p[b+40>>3]=+p[a+40>>3];k[b+48>>2]=k[a+48>>2];return b|0}return 0}function o2(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149435,20)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,119962,95);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,149525,8);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,107,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function p2(a){a=a|0;var b=0,c=0;b=k[a+12>>2]|0;a=Rqa((Lta(b)|0)+1|0)|0;c=(Lta(b)|0)+1|0;if(!b)yb(142353,118972,137,142345);if(!c)return a|0;TEa(a|0,b|0,c|0)|0;return a|0}function q2(a){a=a|0;return k[a+8>>2]|0}function r2(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0.0,q=0,s=0,t=0.0,u=0.0,v=0.0,w=0,x=0,y=0,z=0.0,A=0.0;c=r;r=r+64|0;d=c+56|0;e=c+48|0;f=c+40|0;g=c+32|0;h=c+24|0;j=c+16|0;l=c+8|0;m=c;n=b+44|0;dO(k[n>>2]|0,e,354);dO(k[n>>2]|0,f,355);dO(k[n>>2]|0,d,767);dO(k[n>>2]|0,g,358);if(!(i[a+32>>0]|0)){n=a+48|0;if(!(k[n>>2]|0)){o=+P2(b,k[a+16>>2]|0);q=qh(k[b+20>>2]|0,0)|0;s=Wo(q,k[a+20>>2]|0)|0;Fc[k[(k[s>>2]|0)+64>>2]&1023](s,h);s=a+40|0;t=+p[s>>3]+ +p[g>>3]*(o-+p[h>>3]);p[s>>3]=t;o=+p[d>>3];if(o==+p[f>>3])k[n>>2]=1;u=t/(o-+p[e>>3])}else u=+p[a+40>>3]/(+p[d>>3]-+p[e>>3]);v=u;r=c;return +v}p[h>>3]=0.0;p[j>>3]=0.0;p[l>>3]=0.0;n=a+48|0;if(!(k[n>>2]|0)){s=b+20|0;if((th(k[s>>2]|0)|0)>0){b=a+16|0;q=a+20|0;w=a+24|0;x=0;do{y=qh(k[s>>2]|0,x)|0;u=+Vc[k[(k[y>>2]|0)+296>>2]&7](y,k[b>>2]|0,k[q>>2]|0,k[w>>2]|0);p[h>>3]=u+ +p[h>>3];u=+id[k[(k[y>>2]|0)+300>>2]&63](y,k[w>>2]|0);p[l>>3]=u+ +p[l>>3];x=x+1|0}while((x|0)<(th(k[s>>2]|0)|0))}fZ(h,j,1,2,4,uY()|0)|0;fZ(l,m,1,2,4,uY()|0)|0;u=+p[m>>3];p[l>>3]=u;o=+p[j>>3];if(u!=0.0)z=o/u;else z=o;p[h>>3]=z;h=a+40|0;o=+p[h>>3]+z*+p[g>>3];p[h>>3]=o;z=+p[d>>3];if(z==+p[f>>3])k[n>>2]=1;A=o/(z-+p[e>>3])}else A=+p[a+40>>3]/(+p[d>>3]-+p[e>>3]);v=A;r=c;return +v}function s2(a){a=a|0;var b=0,c=0;k[a+-4>>2]=37464;k[a>>2]=37516;b=a+8|0;c=k[b>>2]|0;if(c){Tqa(c);k[b>>2]=0}b=a+24|0;c=k[b>>2]|0;if(c){Tqa(c);k[b>>2]=0}p[a+36>>3]=0.0;k[a+44>>2]=0;return}function t2(a){a=a|0;var b=0,c=0,d=0;b=a+-4|0;k[b>>2]=37464;k[a>>2]=37516;c=a+8|0;d=k[c>>2]|0;if(d){Tqa(d);k[c>>2]=0}c=k[a+24>>2]|0;if(!c){Sqa(b);return}Tqa(c);Sqa(b);return}function u2(a){a=a|0;var b=0,c=0;b=k[a+8>>2]|0;a=Rqa((Lta(b)|0)+1|0)|0;c=(Lta(b)|0)+1|0;if(!b)yb(142353,118972,137,142345);if(!c)return a|0;TEa(a|0,b|0,c|0)|0;return a|0}function v2(a){a=a|0;return k[a+4>>2]|0}function w2(a,b){a=a|0;b=b|0;return +(+r2(a+-4|0,b))}function x2(a){a=a|0;var b=0,c=0;k[a>>2]=37544;k[a+4>>2]=37596;b=a+20|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+24|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+28|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+32|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+36|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+12|0;a=k[b>>2]|0;if(!a){k[b>>2]=0;return}Tqa(a);k[b>>2]=0;return}function y2(a){a=a|0;x2(a);Sqa(a);return}function z2(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0;b=r;r=r+624|0;c=b+604|0;d=b+456|0;e=b+592|0;f=b+304|0;g=b+440|0;h=b+152|0;i=b+288|0;j=b+16|0;l=b;m=d+56|0;n=d+4|0;k[d>>2]=27524;k[m>>2]=27544;B=0;wa(508,d+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;q=Q;s=o;vva(m);Qb(s|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[m>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){t=Rb()|0;u=Q;v=t}else{k[n>>2]=27560;t=d+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,n|0,c|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(c);Yua(t);Ava(n);u=x;v=w;break}Yua(c);B=0;w=Ia(40,d|0,120258,17)|0;x=B;B=0;do if(((((!(x&1)?(y=k[a+12>>2]|0,z=Lta(y)|0,B=0,A=Ia(40,w|0,y|0,z|0)|0,z=B,B=0,!(z&1)):0)?(B=0,z=Ia(40,A|0,149175,1)|0,A=B,B=0,!(A&1)):0)?(B=0,A=Xa(242,z|0,k[a+8>>2]|0)|0,z=B,B=0,!(z&1)):0)?(B=0,Ia(40,A|0,149177,1)|0,A=B,B=0,!(A&1)):0)?(B=0,wa(510,e|0,n|0),A=B,B=0,!(A&1)):0){B=0;ya(424,e|0)|0;A=B;B=0;if(A&1){A=Rb()|0;z=Q;Yua(e);C=z;D=A;break}Yua(e);k[d>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(t);Ava(n);vva(m);A=f+56|0;z=f+4|0;k[f>>2]=27524;k[A>>2]=27544;B=0;wa(508,f+56|0,z|0);y=B;B=0;if(y&1){y=Rb()|0;E=Q;F=y;vva(A);Qb(F|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[A>>2]=27488;B=0;va(448,z|0);y=B;B=0;do if(y&1){G=Rb()|0;H=Q;I=G}else{k[z>>2]=27560;G=f+36|0;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;k[G+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,z|0,c|0);J=B;B=0;if(J&1){J=Rb()|0;K=Q;Yua(c);Yua(G);Ava(z);H=K;I=J;break}Yua(c);B=0;J=Ia(40,f|0,120276,17)|0;K=B;B=0;do if((!(K&1)?(L=a+16|0,B=0,M=Xa(242,J|0,k[L>>2]|0)|0,N=B,B=0,!(N&1)):0)?(B=0,Ia(40,M|0,149177,1)|0,M=B,B=0,!(M&1)):0){B=0;wa(510,g|0,z|0);M=B;B=0;if(M&1){O=46;break}B=0;ya(424,g|0)|0;M=B;B=0;if(M&1){M=Rb()|0;N=Q;Yua(g);P=N;R=M;break}Yua(g);k[f>>2]=27468;k[A>>2]=27488;k[z>>2]=27560;Yua(G);Ava(z);vva(A);if(!(k[L>>2]|0)){r=b;return}M=h+56|0;N=h+4|0;k[h>>2]=27524;k[M>>2]=27544;B=0;wa(508,h+56|0,N|0);S=B;B=0;if(S&1){S=Rb()|0;T=Q;U=S;vva(M);Qb(U|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[M>>2]=27488;B=0;va(448,N|0);S=B;B=0;do if(S&1){V=Rb()|0;W=Q;X=V}else{k[N>>2]=27560;V=h+36|0;k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;k[V+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,N|0,c|0);Y=B;B=0;if(Y&1){Y=Rb()|0;Z=Q;Yua(c);Yua(V);Ava(N);W=Z;X=Y;break}Yua(c);B=0;Ia(40,h|0,120294,28)|0;Y=B;B=0;do if(!(Y&1)){B=0;wa(510,i|0,N|0);Z=B;B=0;if(Z&1){O=49;break}B=0;ya(424,i|0)|0;Z=B;B=0;if(Z&1){Z=Rb()|0;_=Q;Yua(i);$=_;aa=Z;break}Yua(i);k[h>>2]=27468;k[M>>2]=27488;k[N>>2]=27560;Yua(V);Ava(N);vva(M);if((k[L>>2]|0)<=0){r=b;return}Z=j+56|0;_=j+4|0;ba=j+56|0;ca=j+128|0;da=j+132|0;ea=j+36|0;fa=j+52|0;ga=a+36|0;ha=a+20|0;ia=a+24|0;ja=a+28|0;ka=a+32|0;la=0;while(1){k[j>>2]=27524;k[Z>>2]=27544;B=0;wa(508,ba|0,_|0);ma=B;B=0;if(ma&1){O=56;break}k[ca>>2]=0;k[da>>2]=-1;k[j>>2]=27468;k[Z>>2]=27488;B=0;va(448,_|0);ma=B;B=0;if(ma&1){O=57;break}k[_>>2]=27560;k[ea>>2]=0;k[ea+4>>2]=0;k[ea+8>>2]=0;k[ea+12>>2]=0;k[fa>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,_|0,c|0);ma=B;B=0;if(ma&1){O=55;break}Yua(c);B=0;ma=Xa(242,j|0,k[(k[ga>>2]|0)+(la<<2)>>2]|0)|0;na=B;B=0;if(na&1){O=73;break}B=0;na=Ia(40,ma|0,149175,1)|0;ma=B;B=0;if(ma&1){O=73;break}B=0;ma=Sa(1,na|0,+(+p[(k[ha>>2]|0)+(la<<3)>>3]))|0;na=B;B=0;if(na&1){O=73;break}B=0;na=Ia(40,ma|0,149175,1)|0;ma=B;B=0;if(ma&1){O=73;break}B=0;ma=Sa(1,na|0,+(+p[(k[ia>>2]|0)+(la<<3)>>3]))|0;na=B;B=0;if(na&1){O=73;break}B=0;na=Ia(40,ma|0,149175,1)|0;ma=B;B=0;if(ma&1){O=73;break}B=0;ma=Sa(1,na|0,+(+p[(k[ja>>2]|0)+(la<<3)>>3]))|0;na=B;B=0;if(na&1){O=73;break}B=0;na=Ia(40,ma|0,149175,1)|0;ma=B;B=0;if(ma&1){O=73;break}B=0;ma=Sa(1,na|0,+(+p[(k[ka>>2]|0)+(la<<3)>>3]))|0;na=B;B=0;if(na&1){O=73;break}B=0;Ia(40,ma|0,149177,1)|0;ma=B;B=0;if(ma&1){O=73;break}B=0;wa(510,l|0,_|0);ma=B;B=0;if(ma&1){O=73;break}B=0;ya(424,l|0)|0;ma=B;B=0;if(ma&1){O=74;break}Yua(l);k[j>>2]=27468;k[Z>>2]=27488;k[_>>2]=27560;Yua(ea);Ava(_);vva(Z);la=la+1|0;if((la|0)>=(k[L>>2]|0)){O=76;break}}if((O|0)==55){la=Rb()|0;ka=Q;Yua(c);Yua(ea);Ava(_);oa=ka;pa=la;O=58}else if((O|0)==56){la=Rb()|0;qa=Q;ra=la;vva(Z);Qb(ra|0)}else if((O|0)==57){la=Rb()|0;oa=Q;pa=la;O=58}else if((O|0)==73){la=Rb()|0;sa=Q;ta=la;O=75}else if((O|0)==74){la=Rb()|0;ka=Q;Yua(l);sa=ka;ta=la;O=75}else if((O|0)==76){r=b;return}if((O|0)==58){qa=oa;ra=pa;vva(Z);Qb(ra|0)}else if((O|0)==75){k[j>>2]=27468;k[Z>>2]=27488;k[_>>2]=27560;Yua(ea);Ava(_);vva(Z);ua=sa;xa=ta;Qb(xa|0)}}else O=49;while(0);if((O|0)==49){Y=Rb()|0;$=Q;aa=Y}k[h>>2]=27468;k[M>>2]=27488;k[N>>2]=27560;Yua(V);Ava(N);vva(M);ua=$;xa=aa;Qb(xa|0)}while(0);T=W;U=X;vva(M);Qb(U|0)}else O=46;while(0);if((O|0)==46){J=Rb()|0;P=Q;R=J}k[f>>2]=27468;k[A>>2]=27488;k[z>>2]=27560;Yua(G);Ava(z);vva(A);ua=P;xa=R;Qb(xa|0)}while(0);E=H;F=I;vva(A);Qb(F|0)}else O=43;while(0);if((O|0)==43){w=Rb()|0;C=Q;D=w}k[d>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(t);Ava(n);vva(m);ua=C;xa=D;Qb(xa|0)}while(0);q=u;s=v;vva(m);Qb(s|0)}function A2(a){a=a|0;Ec[k[(k[a>>2]|0)+8>>2]&1023](a);return}function B2(a){a=a|0;return -1}function C2(a){a=a|0;return 871}function D2(a){a=a|0;var b=0;b=Qqa(40)|0;B=0;Va(1,b|0,k[a+12>>2]|0,k[a+8>>2]|0,k[a+16>>2]|0,k[a+20>>2]|0,k[a+24>>2]|0,k[a+28>>2]|0,k[a+32>>2]|0,k[a+36>>2]|0);a=B;B=0;if(a&1){a=Rb()|0;Sqa(b);Qb(a|0)}else return b|0;return 0}function E2(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149435,20)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,120154,103);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,149525,8);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,124,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function F2(a){a=a|0;var b=0,c=0;b=k[a+12>>2]|0;a=Rqa((Lta(b)|0)+1|0)|0;c=(Lta(b)|0)+1|0;if(!b)yb(142353,118972,137,142345);if(!c)return a|0;TEa(a|0,b|0,c|0)|0;return a|0}function G2(a){a=a|0;return k[a+8>>2]|0}function H2(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0.0,i=0,j=0,l=0,m=0,n=0,o=0.0,q=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0;c=r;r=r+16|0;d=c+8|0;e=c;p[d>>3]=0.0;p[e>>3]=0.0;f=a+16|0;if((k[f>>2]|0)<=0){g=uY()|0;fZ(d,e,1,2,4,g)|0;h=+p[e>>3];r=c;return +h}i=b+20|0;b=a+36|0;j=a+20|0;l=a+24|0;m=a+28|0;n=a+32|0;o=0.0;a=0;while(1){a:do if((th(k[i>>2]|0)|0)>0){q=0;while(1){s=qh(k[i>>2]|0,q)|0;t=Hc[k[(k[s>>2]|0)+16>>2]&511](s)|0;q=q+1|0;if((t|0)==(k[(k[b>>2]|0)+(a<<2)>>2]|0)){u=s;v=s;w=t;break}if((q|0)>=(th(k[i>>2]|0)|0)){x=o;break a}}y=+Mc[k[(k[u>>2]|0)+288>>2]&7](v,+p[(k[j>>2]|0)+(a<<3)>>3],+p[(k[l>>2]|0)+(a<<3)>>3],+p[(k[m>>2]|0)+(a<<3)>>3],+p[(k[n>>2]|0)+(a<<3)>>3],w)+o;p[d>>3]=y;x=y}else x=o;while(0);a=a+1|0;if((a|0)>=(k[f>>2]|0))break;else o=x}g=uY()|0;fZ(d,e,1,2,4,g)|0;h=+p[e>>3];r=c;return +h}function I2(a){a=a|0;x2(a+-4|0);return}function J2(a){a=a|0;var b=0;b=a+-4|0;x2(b);Sqa(b);return}function K2(a){a=a|0;var b=0,c=0;b=k[a+-4+12>>2]|0;a=Rqa((Lta(b)|0)+1|0)|0;c=(Lta(b)|0)+1|0;if(!b)yb(142353,118972,137,142345);if(!c)return a|0;TEa(a|0,b|0,c|0)|0;return a|0}function L2(a){a=a|0;return k[a+-4+8>>2]|0}function M2(a,b){a=a|0;b=b|0;return +(+H2(a+-4|0,b))}function N2(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0;k[a>>2]=37544;k[a+4>>2]=37596;k[a+8>>2]=c;c=Rqa((Lta(b)|0)+1|0)|0;k[a+12>>2]=c;j=(Lta(b)|0)+1|0;if(!b)yb(142353,118972,137,142345);if(j)TEa(c|0,b|0,j|0)|0;k[a+16>>2]=d;if(!d)return;j=d>>>0>536870911?-1:d<<3;b=Rqa(j)|0;k[a+20>>2]=b;if(!e)yb(142353,118972,137,142345);TEa(b|0,e|0,d<<3|0)|0;e=Rqa(j)|0;k[a+24>>2]=e;if(!f)yb(142353,118972,137,142345);TEa(e|0,f|0,d<<3|0)|0;f=Rqa(j)|0;k[a+28>>2]=f;if(!g)yb(142353,118972,137,142345);TEa(f|0,g|0,d<<3|0)|0;g=Rqa(j)|0;k[a+32>>2]=g;if(!h)yb(142353,118972,137,142345);TEa(g|0,h|0,d<<3|0)|0;h=Rqa(d>>>0>1073741823?-1:d<<2)|0;k[a+36>>2]=h;if(!i)yb(142353,118972,137,142345);TEa(h|0,i|0,d<<2|0)|0;return}function O2(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0.0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;i=(nO(k[a+44>>2]|0,769)|0)+8|0;j=k[i>>2]|0;a:do if((th(j)|0)>0){i=0;while(1){l=qh(j,i)|0;if(!l)m=0;else m=ura(l,168,1336,-2)|0;l=Hc[k[(k[m>>2]|0)+8>>2]&511](m)|0;if(!(Ita(l,b)|0)){n=m;o=l;break}if(l)Tqa(l);i=i+1|0;if((i|0)>=(th(j)|0))break a}p=+id[k[(k[n>>2]|0)+16>>2]&63](n,a);if(!o){r=c;return +p}Tqa(o);r=c;return +p}while(0);c=e+56|0;o=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,o|0);a=B;B=0;if(a&1){a=Rb()|0;q=Q;s=a;vva(c);Qb(s|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,o|0);a=B;B=0;do if(a&1){n=Rb()|0;t=Q;u=n}else{k[o>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,o|0,d|0);j=B;B=0;if(j&1){j=Rb()|0;m=Q;Yua(d);Yua(n);Ava(o);t=m;u=j;break}Yua(d);B=0;j=Ia(40,e|0,120343,50)|0;m=B;B=0;if(((!(m&1)?(m=Lta(b)|0,B=0,i=Ia(40,j|0,b|0,m|0)|0,m=B,B=0,!(m&1)):0)?(B=0,m=Ia(40,i|0,120394,46)|0,i=B,B=0,!(i&1)):0)?(B=0,Xa(239,m|0,0)|0,m=B,B=0,!(m&1)):0){m=Ab(20)|0;B=0;eb(502,f|0,120441,112);i=B;B=0;do if(!(i&1)){B=0;eb(502,g|0,120554,26);j=B;B=0;if(j&1){j=Rb()|0;l=Q;Yua(f);v=l;w=j;break}B=0;wa(510,h|0,o|0);j=B;B=0;if(j&1){j=Rb()|0;x=Q;y=j;z=1}else{B=0;ua(163,m|0,f|0,g|0,37,h|0);j=B;B=0;if(j&1)A=1;else{B=0;eb(503,m|0,1240,229);B=0;A=0}j=Rb()|0;l=Q;Yua(h);x=l;y=j;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[c>>2]=27488;k[o>>2]=27560;Yua(n);Ava(o);vva(c);Qb(D|0)}}else{j=Rb()|0;v=Q;w=j}while(0);zb(m|0);C=v;D=w;k[e>>2]=27468;k[c>>2]=27488;k[o>>2]=27560;Yua(n);Ava(o);vva(c);Qb(D|0)}i=Rb()|0;C=Q;D=i;k[e>>2]=27468;k[c>>2]=27488;k[o>>2]=27560;Yua(n);Ava(o);vva(c);Qb(D|0)}while(0);q=t;s=u;vva(c);Qb(s|0);return +(0.0)}function P2(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0.0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;i=(nO(k[a+44>>2]|0,769)|0)+8|0;j=k[i>>2]|0;a:do if((th(j)|0)>0){i=0;while(1){l=qh(j,i)|0;if(!l)m=0;else m=ura(l,168,1336,-2)|0;i=i+1|0;if((Hc[k[(k[m>>2]|0)+12>>2]&511](m)|0)==(b|0)){n=m;break}if((i|0)>=(th(j)|0))break a}o=+id[k[(k[n>>2]|0)+16>>2]&63](n,a);r=c;return +o}while(0);c=e+56|0;a=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,a|0);n=B;B=0;if(n&1){n=Rb()|0;p=Q;q=n;vva(c);Qb(q|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,a|0);n=B;B=0;do if(n&1){j=Rb()|0;s=Q;t=j}else{k[a>>2]=27560;j=e+36|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,a|0,d|0);m=B;B=0;if(m&1){m=Rb()|0;i=Q;Yua(d);Yua(j);Ava(a);s=i;t=m;break}Yua(d);B=0;m=Ia(40,e|0,120343,50)|0;i=B;B=0;if(((!(i&1)?(B=0,i=Xa(242,m|0,b|0)|0,m=B,B=0,!(m&1)):0)?(B=0,m=Ia(40,i|0,120394,46)|0,i=B,B=0,!(i&1)):0)?(B=0,Xa(239,m|0,0)|0,m=B,B=0,!(m&1)):0){m=Ab(20)|0;B=0;eb(502,f|0,120441,112);i=B;B=0;do if(!(i&1)){B=0;eb(502,g|0,120554,26);l=B;B=0;if(l&1){l=Rb()|0;u=Q;Yua(f);v=u;w=l;break}B=0;wa(510,h|0,a|0);l=B;B=0;if(l&1){l=Rb()|0;x=Q;y=l;z=1}else{B=0;ua(163,m|0,f|0,g|0,64,h|0);l=B;B=0;if(l&1)A=1;else{B=0;eb(503,m|0,1240,229);B=0;A=0}l=Rb()|0;u=Q;Yua(h);x=u;y=l;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[c>>2]=27488;k[a>>2]=27560;Yua(j);Ava(a);vva(c);Qb(D|0)}}else{l=Rb()|0;v=Q;w=l}while(0);zb(m|0);C=v;D=w;k[e>>2]=27468;k[c>>2]=27488;k[a>>2]=27560;Yua(j);Ava(a);vva(c);Qb(D|0)}i=Rb()|0;C=Q;D=i;k[e>>2]=27468;k[c>>2]=27488;k[a>>2]=27560;Yua(j);Ava(a);vva(c);Qb(D|0)}while(0);p=s;q=t;vva(c);Qb(q|0);return +(0.0)}function Q2(a){a=a|0;k[a>>2]=32164;k[a>>2]=37624;k[a+12>>2]=0;return}function R2(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;k[a>>2]=32164;B=0;e=B;B=0;if(e&1){e=Rb()|0;f=e;g=Q;Qb(f|0)}k[a>>2]=37624;k[a+4>>2]=b;k[a+8>>2]=d;B=0;b=Xa(251,a|0,d|0)|0;d=B;B=0;if(!(d&1)){if((b|0)<=0){k[a+12>>2]=0;return}B=0;d=ya(422,(b>>>0>536870911?-1:b<<3)|0)|0;e=B;B=0;if(!(e&1)){k[a+12>>2]=d;a=0;do{p[d+(a<<3)>>3]=+p[c+(a<<3)>>3];a=a+1|0}while((a|0)!=(b|0));return}}b=Rb()|0;f=b;g=Q;Qb(f|0)}function S2(a){a=a|0;var b=0;k[a>>2]=37624;b=a+12|0;a=k[b>>2]|0;if(!a){k[b>>2]=0;return}Tqa(a);k[b>>2]=0;return}function T2(a){a=a|0;var b=0,c=0;k[a>>2]=37624;b=a+12|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;Sqa(a);return}function U2(a){a=a|0;Ec[k[(k[a>>2]|0)+12>>2]&1023](a);return}function V2(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;b=r;r=r+464|0;c=b+452|0;d=b+304|0;e=b+440|0;f=b+152|0;g=b+288|0;h=b+16|0;i=b;j=d+56|0;l=d+4|0;k[d>>2]=27524;k[j>>2]=27544;B=0;wa(508,d+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(j);Qb(o|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[j>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){q=Rb()|0;s=Q;t=q}else{k[l>>2]=27560;q=d+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,l|0,c|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(c);Yua(q);Ava(l);s=v;t=u;break}Yua(c);k[d+(k[(k[d>>2]|0)+-12>>2]|0)+12>>2]=15;B=0;u=Ia(40,d|0,120594,14)|0;v=B;B=0;do if((((!(v&1)?(k[u+(k[(k[u>>2]|0)+-12>>2]|0)+12>>2]=25,w=u+(k[(k[u>>2]|0)+-12>>2]|0)+4|0,k[w>>2]=k[w>>2]&-177|32,B=0,w=ya(427,k[a+4>>2]|0)|0,x=B,B=0,!(x&1)):0)?(x=Lta(w)|0,B=0,y=Ia(40,u|0,w|0,x|0)|0,x=B,B=0,!(x&1)):0)?(B=0,Ia(40,y|0,120962,2)|0,y=B,B=0,!(y&1)):0)?(B=0,wa(510,e|0,l|0),y=B,B=0,!(y&1)):0){B=0;ya(424,e|0)|0;y=B;B=0;if(y&1){y=Rb()|0;x=Q;Yua(e);z=x;A=y;break}Yua(e);k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(q);Ava(l);vva(j);y=a+8|0;a:do if((XB(a,k[y>>2]|0)|0)>0){x=f+56|0;w=f+4|0;C=f+56|0;D=f+128|0;E=f+132|0;F=f+36|0;G=f+52|0;H=a+12|0;I=0;while(1){k[f>>2]=27524;k[x>>2]=27544;B=0;wa(508,C|0,w|0);J=B;B=0;if(J&1){K=33;break}k[D>>2]=0;k[E>>2]=-1;k[f>>2]=27468;k[x>>2]=27488;B=0;va(448,w|0);J=B;B=0;if(J&1){K=34;break}k[w>>2]=27560;k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;k[F+12>>2]=0;k[G>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,w|0,c|0);J=B;B=0;if(J&1){K=32;break}Yua(c);B=0;J=Ia(40,f|0,149175,1)|0;L=B;B=0;if(L&1){K=42;break}B=0;Sa(1,J|0,+(+p[(k[H>>2]|0)+(I<<3)>>3]))|0;J=B;B=0;if(J&1){K=42;break}B=0;wa(510,g|0,w|0);J=B;B=0;if(J&1){K=42;break}B=0;ya(424,g|0)|0;J=B;B=0;if(J&1){K=43;break}Yua(g);k[f>>2]=27468;k[x>>2]=27488;k[w>>2]=27560;Yua(F);Ava(w);vva(x);I=I+1|0;if((I|0)>=(XB(a,k[y>>2]|0)|0))break a}if((K|0)==32){I=Rb()|0;H=Q;Yua(c);Yua(F);Ava(w);M=H;N=I;K=35}else if((K|0)==33){I=Rb()|0;O=Q;P=I;vva(x);Qb(P|0)}else if((K|0)==34){I=Rb()|0;M=Q;N=I;K=35}else if((K|0)==42){I=Rb()|0;R=Q;S=I;K=44}else if((K|0)==43){I=Rb()|0;H=Q;Yua(g);R=H;S=I;K=44}if((K|0)==35){O=M;P=N;vva(x);Qb(P|0)}else if((K|0)==44){k[f>>2]=27468;k[x>>2]=27488;k[w>>2]=27560;Yua(F);Ava(w);vva(x);T=R;U=S;Qb(U|0)}}while(0);y=h+56|0;I=h+4|0;k[h>>2]=27524;k[y>>2]=27544;B=0;wa(508,h+56|0,I|0);H=B;B=0;if(H&1){H=Rb()|0;V=Q;W=H;vva(y);Qb(W|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[y>>2]=27488;B=0;va(448,I|0);H=B;B=0;do if(H&1){G=Rb()|0;X=Q;Y=G}else{k[I>>2]=27560;G=h+36|0;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;k[G+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,I|0,c|0);E=B;B=0;if(E&1){E=Rb()|0;D=Q;Yua(c);Yua(G);Ava(I);X=D;Y=E;break}Yua(c);B=0;Ia(40,h|0,149198,2)|0;E=B;B=0;do if(!(E&1)?(B=0,wa(510,i|0,I|0),D=B,B=0,!(D&1)):0){B=0;ya(424,i|0)|0;D=B;B=0;if(D&1){D=Rb()|0;C=Q;Yua(i);Z=C;_=D;break}else{Yua(i);k[h>>2]=27468;k[y>>2]=27488;k[I>>2]=27560;Yua(G);Ava(I);vva(y);r=b;return}}else K=48;while(0);if((K|0)==48){E=Rb()|0;Z=Q;_=E}k[h>>2]=27468;k[y>>2]=27488;k[I>>2]=27560;Yua(G);Ava(I);vva(y);T=Z;U=_;Qb(U|0)}while(0);V=X;W=Y;vva(y);Qb(W|0)}else K=26;while(0);if((K|0)==26){u=Rb()|0;z=Q;A=u}k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(q);Ava(l);vva(j);T=z;U=A;Qb(U|0)}while(0);n=s;o=t;vva(j);Qb(o|0)}function W2(a){a=a|0;return -1}function X2(a){a=a|0;return 626}function Y2(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;b=Qqa(16)|0;c=k[a+4>>2]|0;d=k[a+12>>2]|0;e=k[a+8>>2]|0;k[b>>2]=32164;B=0;a=B;B=0;if(a&1){a=Rb()|0;f=a;g=Q;Sqa(b);Qb(f|0)}k[b>>2]=37624;k[b+4>>2]=c;k[b+8>>2]=e;B=0;c=Xa(251,b|0,e|0)|0;e=B;B=0;if(!(e&1)){if((c|0)<=0){k[b+12>>2]=0;return b|0}B=0;e=ya(422,(c>>>0>536870911?-1:c<<3)|0)|0;a=B;B=0;if(!(a&1)){k[b+12>>2]=e;a=0;do{p[e+(a<<3)>>3]=+p[d+(a<<3)>>3];a=a+1|0}while((a|0)!=(c|0));return b|0}}c=Rb()|0;f=c;g=Q;Sqa(b);Qb(f|0);return 0}function Z2(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;e=r;r=r+368|0;f=e+344|0;g=e+208|0;h=e+196|0;j=e+184|0;m=e+36|0;n=e+48|0;o=e+24|0;p=e+12|0;q=e;s=(d|0)==0;a:do if(s){t=k[b>>2]|0;i[t>>0]=114;i[t+1>>0]=2;i[t+2>>0]=0;i[t+3>>0]=0;t=(k[b>>2]|0)+4|0;k[b>>2]=t;u=a+4|0;v=l[u>>0]|l[u+1>>0]<<8|l[u+2>>0]<<16|l[u+3>>0]<<24;i[t>>0]=v;i[t+1>>0]=v>>8;i[t+2>>0]=v>>16;i[t+3>>0]=v>>24;v=(k[b>>2]|0)+4|0;k[b>>2]=v;t=a+8|0;u=l[t>>0]|l[t+1>>0]<<8|l[t+2>>0]<<16|l[t+3>>0]<<24;i[v>>0]=u;i[v+1>>0]=u>>8;i[v+2>>0]=u>>16;i[v+3>>0]=u>>24;k[b>>2]=(k[b>>2]|0)+4;w=t}else switch(d|0){case 2:{k[c>>2]=(k[c>>2]|0)+12;w=a+8|0;break a;break}case 1:{t=(k[b>>2]|0)+4|0;k[b>>2]=t;u=a+4|0;v=l[t>>0]|l[t+1>>0]<<8|l[t+2>>0]<<16|l[t+3>>0]<<24;i[u>>0]=v;i[u+1>>0]=v>>8;i[u+2>>0]=v>>16;i[u+3>>0]=v>>24;v=(k[b>>2]|0)+4|0;k[b>>2]=v;u=a+8|0;t=l[v>>0]|l[v+1>>0]<<8|l[v+2>>0]<<16|l[v+3>>0]<<24;i[u>>0]=t;i[u+1>>0]=t>>8;i[u+2>>0]=t>>16;i[u+3>>0]=t>>24;k[b>>2]=(k[b>>2]|0)+4;w=u;break a;break}default:{u=g+56|0;t=g+4|0;k[g>>2]=27524;k[u>>2]=27544;B=0;wa(508,g+56|0,t|0);v=B;B=0;if(v&1){v=Rb()|0;x=Q;y=v;vva(u);Qb(y|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[u>>2]=27488;B=0;va(448,t|0);v=B;B=0;do if(v&1){z=Rb()|0;A=Q;C=z}else{k[t>>2]=27560;z=g+36|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;k[z+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,t|0,f|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(f);Yua(z);Ava(t);A=E;C=D;break}Yua(f);B=0;D=Ia(40,g|0,143951,43)|0;E=B;B=0;b:do if(!(E&1)?(B=0,Xa(239,D|0,0)|0,F=B,B=0,!(F&1)):0){F=Ab(20)|0;B=0;eb(502,h|0,120609,76);G=B;B=0;do if(!(G&1)){B=0;eb(502,j|0,149525,8);H=B;B=0;if(H&1){H=Rb()|0;I=Q;Yua(h);J=I;K=H;break}B=0;wa(510,m|0,t|0);H=B;B=0;if(H&1){H=Rb()|0;L=Q;M=H;N=1}else{B=0;ua(163,F|0,h|0,j|0,71,m|0);H=B;B=0;if(H&1)O=1;else{B=0;eb(503,F|0,1240,229);B=0;O=0}H=Rb()|0;I=Q;Yua(m);L=I;M=H;N=O}Yua(j);Yua(h);if(N){J=L;K=M}else{P=L;R=M;break b}}else{H=Rb()|0;J=Q;K=H}while(0);zb(F|0);P=J;R=K}else S=18;while(0);if((S|0)==18){D=Rb()|0;P=Q;R=D}k[g>>2]=27468;k[u>>2]=27488;k[t>>2]=27560;Yua(z);Ava(t);vva(u);T=R;U=P;Qb(T|0)}while(0);x=A;y=C;vva(u);Qb(y|0)}}while(0);y=XB(a,k[w>>2]|0)|0;w=a+12|0;if((y|0)<=0){k[w>>2]=0;r=e;return}a=(k[w>>2]|0)==0;if(s){i[k[b>>2]>>0]=a&1;s=(k[b>>2]|0)+1|0;k[b>>2]=s;if(a){r=e;return}C=y<<3;TEa(s|0,k[w>>2]|0,C|0)|0;k[b>>2]=(k[b>>2]|0)+C;r=e;return}switch(d|0){case 2:{d=(k[c>>2]|0)+1|0;k[c>>2]=d;if(a){r=e;return}k[c>>2]=d+(y<<3);r=e;return}case 1:{d=k[b>>2]|0;c=i[d>>0]|0;k[b>>2]=d+1;if(c&1){r=e;return}c=Rqa(y>>>0>536870911?-1:y<<3)|0;k[w>>2]=c;w=k[b>>2]|0;d=y<<3;TEa(c|0,w|0,d|0)|0;k[b>>2]=w+d;r=e;return}default:{e=n+56|0;d=n+4|0;k[n>>2]=27524;k[e>>2]=27544;B=0;wa(508,n+56|0,d|0);w=B;B=0;if(w&1){w=Rb()|0;V=Q;W=w;vva(e);Qb(W|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[e>>2]=27488;B=0;va(448,d|0);w=B;B=0;do if(w&1){b=Rb()|0;X=Q;Y=b}else{k[d>>2]=27560;b=n+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[n+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,d|0,f|0);c=B;B=0;if(c&1){c=Rb()|0;y=Q;Yua(f);Yua(b);Ava(d);X=y;Y=c;break}Yua(f);B=0;c=Ia(40,n|0,143951,43)|0;y=B;B=0;c:do if(!(y&1)?(B=0,Xa(239,c|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,o|0,120609,76);C=B;B=0;do if(!(C&1)){B=0;eb(502,p|0,149525,8);s=B;B=0;if(s&1){s=Rb()|0;A=Q;Yua(o);Z=s;_=A;break}B=0;wa(510,q|0,d|0);A=B;B=0;if(A&1){A=Rb()|0;$=1;aa=Q;ba=A}else{B=0;ua(163,a|0,o|0,p|0,78,q|0);A=B;B=0;if(A&1)ca=1;else{B=0;eb(503,a|0,1240,229);B=0;ca=0}A=Rb()|0;s=Q;Yua(q);$=ca;aa=s;ba=A}Yua(p);Yua(o);if($){Z=ba;_=aa}else{da=ba;ea=aa;break c}}else{A=Rb()|0;Z=A;_=Q}while(0);zb(a|0);da=Z;ea=_}else S=49;while(0);if((S|0)==49){c=Rb()|0;da=c;ea=Q}k[n>>2]=27468;k[e>>2]=27488;k[d>>2]=27560;Yua(b);Ava(d);vva(e);T=da;U=ea;Qb(T|0)}while(0);V=X;W=Y;vva(e);Qb(W|0)}}}function _2(a){a=a|0;return k[a+4>>2]|0}function $2(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;e=r;r=r+32|0;f=e;if((k[a+8>>2]|0)==736){g=Qqa(16)|0;B=0;ib(284,g|0,k[a+4>>2]|0,k[a+12>>2]|0,736);h=B;B=0;if(!(h&1)){i=g;r=e;return i|0}h=Rb()|0;j=Q;Sqa(g);l=j;m=h;Qb(m|0)}h=k[a+12>>2]|0;p[f>>3]=+p[h+(b<<3)>>3];p[f+8>>3]=+p[h+(c<<3)>>3];p[f+16>>3]=+p[h+(d<<3)>>3];d=Qqa(16)|0;B=0;ib(284,d|0,k[a+4>>2]|0,f|0,738);f=B;B=0;if(f&1){f=Rb()|0;a=Q;Sqa(d);l=a;m=f;Qb(m|0)}else{i=d;r=e;return i|0}return 0}function a3(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,145010,13)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,120609,76);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121282,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,123,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0);return 0}function b3(a){a=a|0;return ((k[a+8>>2]|0)==736?736:738)|0}function c3(a){a=a|0;return XB(a,k[a+8>>2]|0)|0}function d3(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;c=XB(a,k[a+8>>2]|0)|0;if((c|0)<=0)return;e=k[a+12>>2]|0;a=ma(c,d)|0;d=0;do{p[b+(d+a<<3)>>3]=+p[e+(d<<3)>>3];d=d+1|0}while((d|0)!=(c|0));return}function e3(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;if((k[a+8>>2]|0)==736){r=b;return}b=d+56|0;a=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,a|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,a|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[a>>2]=27560;l=d+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,a|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(a);m=p;n=o;break}Yua(c);B=0;o=Ia(40,d|0,149721,19)|0;p=B;B=0;if(!(p&1)?(B=0,Xa(239,o|0,0)|0,o=B,B=0,!(o&1)):0){o=Ab(20)|0;B=0;eb(502,e|0,120609,76);p=B;B=0;do if(!(p&1)){B=0;eb(502,f|0,121355,13);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(e);t=s;u=q;break}B=0;wa(510,g|0,a|0);q=B;B=0;if(q&1){q=Rb()|0;v=Q;w=q;x=1}else{B=0;ua(163,o|0,e|0,f|0,160,g|0);q=B;B=0;if(q&1)y=1;else{B=0;eb(503,o|0,1240,229);B=0;y=0}q=Rb()|0;s=Q;Yua(g);v=s;w=q;x=y}Yua(f);Yua(e);if(x){t=v;u=w}else{z=v;A=w;k[d>>2]=27468;k[b>>2]=27488;k[a>>2]=27560;Yua(l);Ava(a);vva(b);Qb(A|0)}}else{q=Rb()|0;t=Q;u=q}while(0);zb(o|0);z=t;A=u;k[d>>2]=27468;k[b>>2]=27488;k[a>>2]=27560;Yua(l);Ava(a);vva(b);Qb(A|0)}p=Rb()|0;z=Q;A=p;k[d>>2]=27468;k[b>>2]=27488;k[a>>2]=27560;Yua(l);Ava(a);vva(b);Qb(A|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function f3(a,b,c){a=a|0;b=b|0;c=c|0;ZB(a,b,k[a+12>>2]|0,c,k[a+8>>2]|0);return}function g3(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;WB(a,b,k[a+12>>2]|0,c,d,k[a+8>>2]|0);return}function h3(a,b){a=a|0;b=b|0;k[a+4>>2]=b;return}function i3(a,b){a=a|0;b=b|0;var c=0,d=0.0,e=0.0,f=0.0,g=0,h=0.0,i=0.0;c=XB(a,k[a+8>>2]|0)|0;d=+(c|0);if((c|0)<=0){e=0.0;f=e/d;p[b>>3]=f;return}g=k[a+12>>2]|0;a=0;h=0.0;while(1){i=h+ +p[g+(a<<3)>>3];a=a+1|0;if((a|0)==(c|0)){e=i;break}else h=i}f=e/d;p[b>>3]=f;return}function j3(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0.0,f=0.0,g=0,h=0.0,i=0.0;c=XB(a,k[a+8>>2]|0)|0;d=k[a+12>>2]|0;e=+p[d>>3];f=e*e;if((c|0)>1){g=1;h=f}else{i=f;p[b>>3]=i;return}while(1){f=+p[d+(g<<3)>>3];e=f*f;f=e<h?e:h;g=g+1|0;if((g|0)==(c|0)){i=f;break}else h=f}p[b>>3]=i;return}function k3(a,b){a=a|0;b=+b;var c=0,d=0,e=0;c=XB(a,k[a+8>>2]|0)|0;if((c|0)<=0)return;d=k[a+12>>2]|0;a=0;do{e=d+(a<<3)|0;if(+p[e>>3]<b)p[e>>3]=b;a=a+1|0}while((a|0)!=(c|0));return}function l3(a){a=a|0;var b=0,c=0.0,d=0,e=0.0,f=0.0,g=0.0;b=XB(a,k[a+8>>2]|0)|0;if((b|0)<=0){c=0.0;return +c}d=k[a+12>>2]|0;a=0;e=0.0;while(1){f=+$(+(+p[d+(a<<3)>>3]));g=f>e?f:e;a=a+1|0;if((a|0)==(b|0)){c=g;break}else e=g}return +c}function m3(a){a=a|0;var b=0,c=0,d=0.0,e=0,f=0.0,g=0.0,h=0.0;b=XB(a,k[a+8>>2]|0)|0;c=k[a+12>>2]|0;d=+p[c>>3];if((b|0)>1){e=1;f=d}else{g=d;return +g}while(1){d=+p[c+(e<<3)>>3];h=d>f?d:f;e=e+1|0;if((e|0)==(b|0)){g=h;break}else f=h}return +g}function n3(a){a=a|0;var b=0,c=0,d=0.0,e=0,f=0.0,g=0.0,h=0.0;b=XB(a,k[a+8>>2]|0)|0;c=k[a+12>>2]|0;d=+$(+(+p[c>>3]));if((b|0)>1){e=1;f=d}else{g=d;return +g}while(1){d=+$(+(+p[c+(e<<3)>>3]));h=d>f?d:f;e=e+1|0;if((e|0)==(b|0)){g=h;break}else f=h}return +g}function o3(a){a=a|0;var b=0,c=0,d=0.0,e=0,f=0.0,g=0.0,h=0.0;b=XB(a,k[a+8>>2]|0)|0;c=k[a+12>>2]|0;d=+p[c>>3];if((b|0)>1){e=1;f=d}else{g=d;return +g}while(1){d=+p[c+(e<<3)>>3];h=d<f?d:f;e=e+1|0;if((e|0)==(b|0)){g=h;break}else f=h}return +g}function p3(a){a=a|0;var b=0,c=0,d=0.0,e=0,f=0.0,g=0.0,h=0.0;b=XB(a,k[a+8>>2]|0)|0;c=k[a+12>>2]|0;d=+$(+(+p[c>>3]));if((b|0)>1){e=1;f=d}else{g=d;return +g}while(1){d=+$(+(+p[c+(e<<3)>>3]));h=d<f?d:f;e=e+1|0;if((e|0)==(b|0)){g=h;break}else f=h}return +g}function q3(a,b){a=a|0;b=+b;var c=0,d=0,e=0;c=XB(a,k[a+8>>2]|0)|0;if((c|0)<=0)return;d=k[a+12>>2]|0;a=0;do{e=d+(a<<3)|0;p[e>>3]=+p[e>>3]*b;a=a+1|0}while((a|0)!=(c|0));return}function r3(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;d=r;r=r+368|0;e=d+344|0;f=d+208|0;g=d+196|0;h=d+184|0;i=d+36|0;j=d+48|0;l=d+24|0;m=d+12|0;n=d;o=a+8|0;q=XB(a,k[o>>2]|0)|0;if((Hc[k[(k[b>>2]|0)+20>>2]&511](b)|0)==559)s=k[b+12>>2]|0;else s=b;if((Hc[k[(k[s>>2]|0)+20>>2]&511](s)|0)!=626){b=f+56|0;t=f+4|0;k[f>>2]=27524;k[b>>2]=27544;B=0;wa(508,f+56|0,t|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;w=u;vva(b);Qb(w|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[b>>2]=27488;B=0;va(448,t|0);u=B;B=0;do if(u&1){x=Rb()|0;y=Q;z=x}else{k[t>>2]=27560;x=f+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,t|0,e|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(e);Yua(x);Ava(t);y=C;z=A;break}Yua(e);B=0;A=Ia(40,f|0,121046,50)|0;C=B;B=0;a:do if((((!(C&1)?(B=0,D=ya(k[(k[s>>2]|0)+20>>2]|0,s|0)|0,E=B,B=0,!(E&1)):0)?(B=0,E=ya(427,D|0)|0,D=B,B=0,!(D&1)):0)?(D=Lta(E)|0,B=0,F=Ia(40,A|0,E|0,D|0)|0,D=B,B=0,!(D&1)):0)?(B=0,Xa(239,F|0,0)|0,F=B,B=0,!(F&1)):0){F=Ab(20)|0;B=0;eb(502,g|0,120609,76);D=B;B=0;do if(!(D&1)){B=0;eb(502,h|0,121097,4);E=B;B=0;if(E&1){E=Rb()|0;G=Q;Yua(g);H=E;I=G;break}B=0;wa(510,i|0,t|0);G=B;B=0;if(G&1){G=Rb()|0;J=Q;K=G;L=1}else{B=0;ua(163,F|0,g|0,h|0,288,i|0);G=B;B=0;if(G&1)M=1;else{B=0;eb(503,F|0,1240,229);B=0;M=0}G=Rb()|0;E=Q;Yua(i);J=E;K=G;L=M}Yua(h);Yua(g);if(L){H=K;I=J}else{N=K;O=J;break a}}else{G=Rb()|0;H=G;I=Q}while(0);zb(F|0);N=H;O=I}else P=22;while(0);if((P|0)==22){A=Rb()|0;N=A;O=Q}k[f>>2]=27468;k[b>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(b);R=O;S=N;Qb(S|0)}while(0);v=y;w=z;vva(b);Qb(w|0)}w=s+8|0;if((k[w>>2]|0)==(k[o>>2]|0)){if((q|0)<=0){r=d;return}o=k[a+12>>2]|0;a=k[s+12>>2]|0;s=0;do{b=o+(s<<3)|0;p[b>>3]=+p[b>>3]+ +p[a+(s<<3)>>3]*c;s=s+1|0}while((s|0)!=(q|0));r=d;return}d=j+56|0;q=j+4|0;k[j>>2]=27524;k[d>>2]=27544;B=0;wa(508,j+56|0,q|0);s=B;B=0;if(s&1){s=Rb()|0;T=Q;U=s;vva(d);Qb(U|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[d>>2]=27488;B=0;va(448,q|0);s=B;B=0;do if(s&1){a=Rb()|0;V=Q;W=a}else{k[q>>2]=27560;a=j+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[j+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,q|0,e|0);o=B;B=0;if(o&1){o=Rb()|0;b=Q;Yua(e);Yua(a);Ava(q);V=b;W=o;break}Yua(e);B=0;o=Ia(40,j|0,121046,50)|0;b=B;B=0;b:do if(((!(b&1)?(B=0,z=ya(427,k[w>>2]|0)|0,y=B,B=0,!(y&1)):0)?(y=Lta(z)|0,B=0,v=Ia(40,o|0,z|0,y|0)|0,y=B,B=0,!(y&1)):0)?(B=0,Xa(239,v|0,0)|0,v=B,B=0,!(v&1)):0){v=Ab(20)|0;B=0;eb(502,l|0,120609,76);y=B;B=0;do if(!(y&1)){B=0;eb(502,m|0,121097,4);z=B;B=0;if(z&1){z=Rb()|0;N=Q;Yua(l);X=z;Y=N;break}B=0;wa(510,n|0,q|0);N=B;B=0;if(N&1){N=Rb()|0;Z=1;_=Q;$=N}else{B=0;ua(163,v|0,l|0,m|0,290,n|0);N=B;B=0;if(N&1)aa=1;else{B=0;eb(503,v|0,1240,229);B=0;aa=0}N=Rb()|0;z=Q;Yua(n);Z=aa;_=z;$=N}Yua(m);Yua(l);if(Z){X=$;Y=_}else{ba=_;ca=$;break b}}else{N=Rb()|0;X=N;Y=Q}while(0);zb(v|0);ba=Y;ca=X}else P=50;while(0);if((P|0)==50){o=Rb()|0;ba=Q;ca=o}k[j>>2]=27468;k[d>>2]=27488;k[q>>2]=27560;Yua(a);Ava(q);vva(d);R=ba;S=ca;Qb(S|0)}while(0);T=V;U=W;vva(d);Qb(U|0)}function s3(a,b,c){a=a|0;b=+b;c=+c;var d=0,e=0.0,f=0,g=0,h=0,i=0;d=XB(a,k[a+8>>2]|0)|0;e=+$(+b);p[t>>3]=e;f=k[t+4>>2]|0;g=(d|0)>0;if((f>>>0<2146435072|(f|0)==2146435072&(k[t>>2]|0)>>>0<1)&g){f=k[a+12>>2]|0;h=0;do{i=f+(h<<3)|0;if(+p[i>>3]<b)p[i>>3]=b;h=h+1|0}while((h|0)!=(d|0))}b=+$(+c);p[t>>3]=b;h=k[t+4>>2]|0;if(!((h>>>0<2146435072|(h|0)==2146435072&(k[t>>2]|0)>>>0<1)&g))return;g=k[a+12>>2]|0;a=0;do{h=g+(a<<3)|0;if(+p[h>>3]>c)p[h>>3]=c;a=a+1|0}while((a|0)!=(d|0));return}function t3(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;i=a+8|0;if((k[i>>2]|0)==738){j=k[a+12>>2]|0;if((b|0)==-1){p[j+24>>3]=+p[j>>3];p[j+32>>3]=+p[j+8>>3];p[j+40>>3]=+p[j+16>>3];r=c;return}else{p[j>>3]=+p[j+24>>3];p[j+8>>3]=+p[j+32>>3];p[j+16>>3]=+p[j+40>>3];r=c;return}}c=e+56|0;j=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,j|0);b=B;B=0;if(b&1){b=Rb()|0;l=Q;m=b;vva(c);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,j|0);b=B;B=0;do if(b&1){a=Rb()|0;n=Q;o=a}else{k[j>>2]=27560;a=e+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,j|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(a);Ava(j);n=s;o=q;break}Yua(d);B=0;q=Ia(40,e|0,120686,27)|0;s=B;B=0;if(((!(s&1)?(B=0,s=ya(427,k[i>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,u|0,0)|0,u=B,B=0,!(u&1)):0){u=Ab(20)|0;B=0;eb(502,f|0,120609,76);t=B;B=0;do if(!(t&1)){B=0;eb(502,g|0,121296,7);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,j|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,u|0,f|0,g|0,319,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,u|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[c>>2]=27488;k[j>>2]=27560;Yua(a);Ava(j);vva(c);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(u|0);C=v;D=w;k[e>>2]=27468;k[c>>2]=27488;k[j>>2]=27560;Yua(a);Ava(j);vva(c);Qb(D|0)}t=Rb()|0;C=Q;D=t;k[e>>2]=27468;k[c>>2]=27488;k[j>>2]=27560;Yua(a);Ava(j);vva(c);Qb(D|0)}while(0);l=n;m=o;vva(c);Qb(m|0)}function u3(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0.0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0;c=r;r=r+368|0;d=c+352|0;e=c;f=c+216|0;g=c+204|0;h=c+192|0;i=c+44|0;j=c+56|0;l=c+32|0;m=c+20|0;n=c+8|0;if((Hc[k[(k[b>>2]|0)+32>>2]&511](b)|0)!=353){o=f+56|0;q=f+4|0;k[f>>2]=27524;k[o>>2]=27544;B=0;wa(508,f+56|0,q|0);s=B;B=0;if(s&1){s=Rb()|0;t=Q;u=s;vva(o);Qb(u|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[o>>2]=27488;B=0;va(448,q|0);s=B;B=0;do if(s&1){v=Rb()|0;w=Q;x=v}else{k[q>>2]=27560;v=f+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[f+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,q|0,d|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(d);Yua(v);Ava(q);w=z;x=y;break}Yua(d);B=0;y=Ia(40,f|0,120714,48)|0;z=B;B=0;a:do if(((((!(z&1)?(B=0,A=ya(k[(k[b>>2]|0)+32>>2]|0,b|0)|0,C=B,B=0,!(C&1)):0)?(B=0,C=ya(427,A|0)|0,A=B,B=0,!(A&1)):0)?(A=Lta(C)|0,B=0,D=Ia(40,y|0,C|0,A|0)|0,A=B,B=0,!(A&1)):0)?(B=0,A=Ia(40,D|0,141170,1)|0,D=B,B=0,!(D&1)):0)?(B=0,Xa(239,A|0,0)|0,A=B,B=0,!(A&1)):0){A=Ab(20)|0;B=0;eb(502,g|0,120609,76);D=B;B=0;do if(!(D&1)){B=0;eb(502,h|0,121304,19);C=B;B=0;if(C&1){C=Rb()|0;E=Q;Yua(g);F=C;G=E;break}B=0;wa(510,i|0,q|0);E=B;B=0;if(E&1){E=Rb()|0;H=E;I=Q;J=1}else{B=0;ua(163,A|0,g|0,h|0,329,i|0);E=B;B=0;if(E&1)K=1;else{B=0;eb(503,A|0,1240,229);B=0;K=0}E=Rb()|0;C=Q;Yua(i);H=E;I=C;J=K}Yua(h);Yua(g);if(J){F=H;G=I}else{L=H;M=I;break a}}else{C=Rb()|0;F=C;G=Q}while(0);zb(A|0);L=F;M=G}else N=21;while(0);if((N|0)==21){y=Rb()|0;L=y;M=Q}k[f>>2]=27468;k[o>>2]=27488;k[q>>2]=27560;Yua(v);Ava(q);vva(o);O=L;P=M;Qb(O|0)}while(0);t=w;u=x;vva(o);Qb(u|0)}u=a+8|0;switch(k[u>>2]|0){case 742:case 740:case 738:{k[u>>2]=738;o=Qqa(72)|0;B=0;va(493,o|0);x=B;B=0;if(!(x&1)){x=a+12|0;Fc[k[(k[o>>2]|0)+28>>2]&1023](o,0);nd[k[(k[b>>2]|0)+48>>2]&1023](b,e,o);a=k[x>>2]|0;w=a+24|0;R=+p[e>>3]*((+p[a>>3]+ +p[w>>3])*.5);p[a>>3]=R;p[w>>3]=R;Fc[k[(k[o>>2]|0)+28>>2]&1023](o,1);nd[k[(k[b>>2]|0)+48>>2]&1023](b,e,o);w=k[x>>2]|0;a=w+8|0;t=w+32|0;R=+p[e>>3]*((+p[a>>3]+ +p[t>>3])*.5);p[a>>3]=R;p[t>>3]=R;Fc[k[(k[o>>2]|0)+28>>2]&1023](o,2);nd[k[(k[b>>2]|0)+48>>2]&1023](b,e,o);b=k[x>>2]|0;x=b+16|0;t=b+40|0;R=+p[e>>3]*((+p[x>>3]+ +p[t>>3])*.5);p[x>>3]=R;p[t>>3]=R;Ec[k[(k[o>>2]|0)+4>>2]&1023](o);r=c;return}c=Rb()|0;t=Q;Sqa(o);O=c;P=t;Qb(O|0);break}default:{}}t=j+56|0;c=j+4|0;k[j>>2]=27524;k[t>>2]=27544;B=0;wa(508,j+56|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;S=Q;T=o;vva(t);Qb(T|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[t>>2]=27488;B=0;va(448,c|0);o=B;B=0;do if(o&1){x=Rb()|0;U=Q;V=x}else{k[c>>2]=27560;x=j+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[j+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,c|0,d|0);e=B;B=0;if(e&1){e=Rb()|0;b=Q;Yua(d);Yua(x);Ava(c);U=b;V=e;break}Yua(d);B=0;e=Ia(40,j|0,120686,27)|0;b=B;B=0;b:do if(((!(b&1)?(B=0,a=ya(427,k[u>>2]|0)|0,w=B,B=0,!(w&1)):0)?(w=Lta(a)|0,B=0,M=Ia(40,e|0,a|0,w|0)|0,w=B,B=0,!(w&1)):0)?(B=0,Xa(239,M|0,0)|0,M=B,B=0,!(M&1)):0){M=Ab(20)|0;B=0;eb(502,l|0,120609,76);w=B;B=0;do if(!(w&1)){B=0;eb(502,m|0,121304,19);a=B;B=0;if(a&1){a=Rb()|0;L=Q;Yua(l);W=L;X=a;break}B=0;wa(510,n|0,c|0);a=B;B=0;if(a&1){a=Rb()|0;Y=1;Z=a;_=Q}else{B=0;ua(163,M|0,l|0,m|0,349,n|0);a=B;B=0;if(a&1)$=1;else{B=0;eb(503,M|0,1240,229);B=0;$=0}a=Rb()|0;L=Q;Yua(n);Y=$;Z=a;_=L}Yua(m);Yua(l);if(Y){W=_;X=Z}else{aa=Z;ba=_;break b}}else{L=Rb()|0;W=Q;X=L}while(0);zb(M|0);aa=X;ba=W}else N=50;while(0);if((N|0)==50){e=Rb()|0;aa=e;ba=Q}k[j>>2]=27468;k[t>>2]=27488;k[c>>2]=27560;Yua(x);Ava(c);vva(t);O=aa;P=ba;Qb(O|0)}while(0);S=U;T=V;vva(t);Qb(T|0)}function v3(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0;c=r;r=r+368|0;d=c+344|0;e=c+208|0;f=c+196|0;g=c+184|0;h=c+36|0;i=c+48|0;j=c+24|0;l=c+12|0;m=c;n=a+8|0;o=XB(a,k[n>>2]|0)|0;if((Hc[k[(k[b>>2]|0)+20>>2]&511](b)|0)!=626){q=e+56|0;s=e+4|0;k[e>>2]=27524;k[q>>2]=27544;B=0;wa(508,e+56|0,s|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;v=t;vva(q);Qb(v|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[q>>2]=27488;B=0;va(448,s|0);t=B;B=0;do if(t&1){w=Rb()|0;x=Q;y=w}else{k[s>>2]=27560;w=e+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,s|0,d|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(d);Yua(w);Ava(s);x=A;y=z;break}Yua(d);B=0;z=Ia(40,e|0,121102,50)|0;A=B;B=0;a:do if((((!(A&1)?(B=0,C=ya(k[(k[b>>2]|0)+20>>2]|0,b|0)|0,D=B,B=0,!(D&1)):0)?(B=0,D=ya(427,C|0)|0,C=B,B=0,!(C&1)):0)?(C=Lta(D)|0,B=0,E=Ia(40,z|0,D|0,C|0)|0,C=B,B=0,!(C&1)):0)?(B=0,Xa(239,E|0,0)|0,E=B,B=0,!(E&1)):0){E=Ab(20)|0;B=0;eb(502,f|0,120609,76);C=B;B=0;do if(!(C&1)){B=0;eb(502,g|0,121179,15);D=B;B=0;if(D&1){D=Rb()|0;F=Q;Yua(f);G=D;H=F;break}B=0;wa(510,h|0,s|0);F=B;B=0;if(F&1){F=Rb()|0;I=Q;J=F;K=1}else{B=0;ua(163,E|0,f|0,g|0,363,h|0);F=B;B=0;if(F&1)L=1;else{B=0;eb(503,E|0,1240,229);B=0;L=0}F=Rb()|0;D=Q;Yua(h);I=D;J=F;K=L}Yua(g);Yua(f);if(K){G=J;H=I}else{M=J;N=I;break a}}else{F=Rb()|0;G=F;H=Q}while(0);zb(E|0);M=G;N=H}else O=20;while(0);if((O|0)==20){z=Rb()|0;M=z;N=Q}k[e>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(q);P=N;R=M;Qb(R|0)}while(0);u=x;v=y;vva(q);Qb(v|0)}v=b+8|0;q=k[v>>2]|0;if((q|0)==(k[n>>2]|0)){n=Rqa(o>>>0>536870911?-1:o<<3)|0;if((o|0)>0){y=k[a+12>>2]|0;x=k[b+12>>2]|0;b=0;do{p[n+(b<<3)>>3]=+p[y+(b<<3)>>3]/+p[x+(b<<3)>>3];b=b+1|0}while((b|0)!=(o|0))}o=Qqa(16)|0;b=k[a+4>>2]|0;k[o>>2]=32164;B=0;a=B;B=0;if(a&1){a=Rb()|0;S=a;T=Q}else{k[o>>2]=37624;k[o+4>>2]=b;k[o+8>>2]=q;B=0;b=Xa(251,o|0,q|0)|0;q=B;B=0;if(!(q&1)){if((b|0)<=0){k[o+12>>2]=0;Tqa(n);r=c;return o|0}B=0;q=ya(422,(b>>>0>536870911?-1:b<<3)|0)|0;a=B;B=0;if(!(a&1)){k[o+12>>2]=q;TEa(q|0,n|0,b<<3|0)|0;Tqa(n);r=c;return o|0}}c=Rb()|0;S=c;T=Q}Sqa(o);P=T;R=S;Qb(R|0)}S=i+56|0;T=i+4|0;k[i>>2]=27524;k[S>>2]=27544;B=0;wa(508,i+56|0,T|0);o=B;B=0;if(o&1){o=Rb()|0;U=Q;V=o;vva(S);Qb(V|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[S>>2]=27488;B=0;va(448,T|0);o=B;B=0;do if(o&1){c=Rb()|0;W=Q;X=c}else{k[T>>2]=27560;c=i+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[i+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,T|0,d|0);n=B;B=0;if(n&1){n=Rb()|0;b=Q;Yua(d);Yua(c);Ava(T);W=b;X=n;break}Yua(d);B=0;n=Ia(40,i|0,121102,50)|0;b=B;B=0;b:do if(((!(b&1)?(B=0,q=ya(427,k[v>>2]|0)|0,a=B,B=0,!(a&1)):0)?(a=Lta(q)|0,B=0,x=Ia(40,n|0,q|0,a|0)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(239,x|0,0)|0,x=B,B=0,!(x&1)):0){x=Ab(20)|0;B=0;eb(502,j|0,120609,76);a=B;B=0;do if(!(a&1)){B=0;eb(502,l|0,121179,15);q=B;B=0;if(q&1){q=Rb()|0;y=Q;Yua(j);Y=q;Z=y;break}B=0;wa(510,m|0,T|0);y=B;B=0;if(y&1){y=Rb()|0;_=1;$=Q;aa=y}else{B=0;ua(163,x|0,j|0,l|0,365,m|0);y=B;B=0;if(y&1)ba=1;else{B=0;eb(503,x|0,1240,229);B=0;ba=0}y=Rb()|0;q=Q;Yua(m);_=ba;$=q;aa=y}Yua(l);Yua(j);if(_){Y=aa;Z=$}else{ca=$;da=aa;break b}}else{y=Rb()|0;Y=y;Z=Q}while(0);zb(x|0);ca=Z;da=Y}else O=46;while(0);if((O|0)==46){n=Rb()|0;ca=Q;da=n}k[i>>2]=27468;k[S>>2]=27488;k[T>>2]=27560;Yua(c);Ava(T);vva(S);P=ca;R=da;Qb(R|0)}while(0);U=W;V=X;vva(S);Qb(V|0);return 0}function w3(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0.0,U=0.0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0;c=r;r=r+368|0;d=c+344|0;e=c+208|0;f=c+196|0;g=c+184|0;h=c+36|0;i=c+48|0;j=c+24|0;l=c+12|0;m=c;n=a+8|0;o=XB(a,k[n>>2]|0)|0;q=Rqa(o>>>0>536870911?-1:o<<3)|0;if((Hc[k[(k[b>>2]|0)+20>>2]&511](b)|0)!=626){s=e+56|0;t=e+4|0;k[e>>2]=27524;k[s>>2]=27544;B=0;wa(508,e+56|0,t|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;w=u;vva(s);Qb(w|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[s>>2]=27488;B=0;va(448,t|0);u=B;B=0;do if(u&1){x=Rb()|0;y=Q;z=x}else{k[t>>2]=27560;x=e+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,t|0,d|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(d);Yua(x);Ava(t);y=C;z=A;break}Yua(d);B=0;A=Ia(40,e|0,121102,50)|0;C=B;B=0;a:do if((((!(C&1)?(B=0,D=ya(k[(k[b>>2]|0)+20>>2]|0,b|0)|0,E=B,B=0,!(E&1)):0)?(B=0,E=ya(427,D|0)|0,D=B,B=0,!(D&1)):0)?(D=Lta(E)|0,B=0,F=Ia(40,A|0,E|0,D|0)|0,D=B,B=0,!(D&1)):0)?(B=0,Xa(239,F|0,0)|0,F=B,B=0,!(F&1)):0){F=Ab(20)|0;B=0;eb(502,f|0,120609,76);D=B;B=0;do if(!(D&1)){B=0;eb(502,g|0,121153,12);E=B;B=0;if(E&1){E=Rb()|0;G=Q;Yua(f);H=E;I=G;break}B=0;wa(510,h|0,t|0);G=B;B=0;if(G&1){G=Rb()|0;J=Q;K=G;L=1}else{B=0;ua(163,F|0,f|0,g|0,397,h|0);G=B;B=0;if(G&1)M=1;else{B=0;eb(503,F|0,1240,229);B=0;M=0}G=Rb()|0;E=Q;Yua(h);J=E;K=G;L=M}Yua(g);Yua(f);if(L){H=K;I=J}else{N=K;O=J;break a}}else{G=Rb()|0;H=G;I=Q}while(0);zb(F|0);N=H;O=I}else P=20;while(0);if((P|0)==20){A=Rb()|0;N=A;O=Q}k[e>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);R=O;S=N;Qb(S|0)}while(0);v=y;w=z;vva(s);Qb(w|0)}w=b+8|0;s=k[w>>2]|0;if((s|0)==(k[n>>2]|0)){if((o|0)>0){n=k[a+12>>2]|0;z=k[b+12>>2]|0;b=0;do{T=+p[n+(b<<3)>>3];U=+p[z+(b<<3)>>3];p[q+(b<<3)>>3]=T>U?U:T;b=b+1|0}while((b|0)!=(o|0))}o=Qqa(16)|0;b=k[a+4>>2]|0;k[o>>2]=32164;B=0;a=B;B=0;if(a&1){a=Rb()|0;V=a;W=Q}else{k[o>>2]=37624;k[o+4>>2]=b;k[o+8>>2]=s;B=0;b=Xa(251,o|0,s|0)|0;s=B;B=0;if(!(s&1)){if((b|0)<=0){k[o+12>>2]=0;Tqa(q);r=c;return o|0}B=0;s=ya(422,(b>>>0>536870911?-1:b<<3)|0)|0;a=B;B=0;if(!(a&1)){k[o+12>>2]=s;TEa(s|0,q|0,b<<3|0)|0;Tqa(q);r=c;return o|0}}c=Rb()|0;V=c;W=Q}Sqa(o);R=W;S=V;Qb(S|0)}V=i+56|0;W=i+4|0;k[i>>2]=27524;k[V>>2]=27544;B=0;wa(508,i+56|0,W|0);o=B;B=0;if(o&1){o=Rb()|0;X=Q;Y=o;vva(V);Qb(Y|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[V>>2]=27488;B=0;va(448,W|0);o=B;B=0;do if(o&1){c=Rb()|0;Z=Q;_=c}else{k[W>>2]=27560;c=i+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[i+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,W|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;b=Q;Yua(d);Yua(c);Ava(W);Z=b;_=q;break}Yua(d);B=0;q=Ia(40,i|0,121102,50)|0;b=B;B=0;b:do if(((!(b&1)?(B=0,s=ya(427,k[w>>2]|0)|0,a=B,B=0,!(a&1)):0)?(a=Lta(s)|0,B=0,z=Ia(40,q|0,s|0,a|0)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(239,z|0,0)|0,z=B,B=0,!(z&1)):0){z=Ab(20)|0;B=0;eb(502,j|0,120609,76);a=B;B=0;do if(!(a&1)){B=0;eb(502,l|0,121153,12);s=B;B=0;if(s&1){s=Rb()|0;n=Q;Yua(j);$=s;aa=n;break}B=0;wa(510,m|0,W|0);n=B;B=0;if(n&1){n=Rb()|0;ba=1;ca=Q;da=n}else{B=0;ua(163,z|0,j|0,l|0,399,m|0);n=B;B=0;if(n&1)ea=1;else{B=0;eb(503,z|0,1240,229);B=0;ea=0}n=Rb()|0;s=Q;Yua(m);ba=ea;ca=s;da=n}Yua(l);Yua(j);if(ba){$=da;aa=ca}else{fa=ca;ga=da;break b}}else{n=Rb()|0;$=n;aa=Q}while(0);zb(z|0);fa=aa;ga=$}else P=48;while(0);if((P|0)==48){q=Rb()|0;fa=Q;ga=q}k[i>>2]=27468;k[V>>2]=27488;k[W>>2]=27560;Yua(c);Ava(W);vva(V);R=fa;S=ga;Qb(S|0)}while(0);X=Z;Y=_;vva(V);Qb(Y|0);return 0}function x3(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0.0,U=0.0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0;c=r;r=r+368|0;d=c+344|0;e=c+208|0;f=c+196|0;g=c+184|0;h=c+36|0;i=c+48|0;j=c+24|0;l=c+12|0;m=c;n=a+8|0;o=XB(a,k[n>>2]|0)|0;q=Rqa(o>>>0>536870911?-1:o<<3)|0;if((Hc[k[(k[b>>2]|0)+20>>2]&511](b)|0)!=626){s=e+56|0;t=e+4|0;k[e>>2]=27524;k[s>>2]=27544;B=0;wa(508,e+56|0,t|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;w=u;vva(s);Qb(w|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[s>>2]=27488;B=0;va(448,t|0);u=B;B=0;do if(u&1){x=Rb()|0;y=Q;z=x}else{k[t>>2]=27560;x=e+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,t|0,d|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(d);Yua(x);Ava(t);y=C;z=A;break}Yua(d);B=0;A=Ia(40,e|0,121102,50)|0;C=B;B=0;a:do if((((!(C&1)?(B=0,D=ya(k[(k[b>>2]|0)+20>>2]|0,b|0)|0,E=B,B=0,!(E&1)):0)?(B=0,E=ya(427,D|0)|0,D=B,B=0,!(D&1)):0)?(D=Lta(E)|0,B=0,F=Ia(40,A|0,E|0,D|0)|0,D=B,B=0,!(D&1)):0)?(B=0,Xa(239,F|0,0)|0,F=B,B=0,!(F&1)):0){F=Ab(20)|0;B=0;eb(502,f|0,120609,76);D=B;B=0;do if(!(D&1)){B=0;eb(502,g|0,121166,12);E=B;B=0;if(E&1){E=Rb()|0;G=Q;Yua(f);H=E;I=G;break}B=0;wa(510,h|0,t|0);G=B;B=0;if(G&1){G=Rb()|0;J=Q;K=G;L=1}else{B=0;ua(163,F|0,f|0,g|0,427,h|0);G=B;B=0;if(G&1)M=1;else{B=0;eb(503,F|0,1240,229);B=0;M=0}G=Rb()|0;E=Q;Yua(h);J=E;K=G;L=M}Yua(g);Yua(f);if(L){H=K;I=J}else{N=K;O=J;break a}}else{G=Rb()|0;H=G;I=Q}while(0);zb(F|0);N=H;O=I}else P=20;while(0);if((P|0)==20){A=Rb()|0;N=A;O=Q}k[e>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);R=O;S=N;Qb(S|0)}while(0);v=y;w=z;vva(s);Qb(w|0)}w=b+8|0;s=k[w>>2]|0;if((s|0)==(k[n>>2]|0)){if((o|0)>0){n=k[a+12>>2]|0;z=k[b+12>>2]|0;b=0;do{T=+p[n+(b<<3)>>3];U=+p[z+(b<<3)>>3];p[q+(b<<3)>>3]=T<U?U:T;b=b+1|0}while((b|0)!=(o|0))}o=Qqa(16)|0;b=k[a+4>>2]|0;k[o>>2]=32164;B=0;a=B;B=0;if(a&1){a=Rb()|0;V=a;W=Q}else{k[o>>2]=37624;k[o+4>>2]=b;k[o+8>>2]=s;B=0;b=Xa(251,o|0,s|0)|0;s=B;B=0;if(!(s&1)){if((b|0)<=0){k[o+12>>2]=0;Tqa(q);r=c;return o|0}B=0;s=ya(422,(b>>>0>536870911?-1:b<<3)|0)|0;a=B;B=0;if(!(a&1)){k[o+12>>2]=s;TEa(s|0,q|0,b<<3|0)|0;Tqa(q);r=c;return o|0}}c=Rb()|0;V=c;W=Q}Sqa(o);R=W;S=V;Qb(S|0)}V=i+56|0;W=i+4|0;k[i>>2]=27524;k[V>>2]=27544;B=0;wa(508,i+56|0,W|0);o=B;B=0;if(o&1){o=Rb()|0;X=Q;Y=o;vva(V);Qb(Y|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[V>>2]=27488;B=0;va(448,W|0);o=B;B=0;do if(o&1){c=Rb()|0;Z=Q;_=c}else{k[W>>2]=27560;c=i+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[i+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,W|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;b=Q;Yua(d);Yua(c);Ava(W);Z=b;_=q;break}Yua(d);B=0;q=Ia(40,i|0,121102,50)|0;b=B;B=0;b:do if(((!(b&1)?(B=0,s=ya(427,k[w>>2]|0)|0,a=B,B=0,!(a&1)):0)?(a=Lta(s)|0,B=0,z=Ia(40,q|0,s|0,a|0)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(239,z|0,0)|0,z=B,B=0,!(z&1)):0){z=Ab(20)|0;B=0;eb(502,j|0,120609,76);a=B;B=0;do if(!(a&1)){B=0;eb(502,l|0,121166,12);s=B;B=0;if(s&1){s=Rb()|0;n=Q;Yua(j);$=s;aa=n;break}B=0;wa(510,m|0,W|0);n=B;B=0;if(n&1){n=Rb()|0;ba=1;ca=Q;da=n}else{B=0;ua(163,z|0,j|0,l|0,429,m|0);n=B;B=0;if(n&1)ea=1;else{B=0;eb(503,z|0,1240,229);B=0;ea=0}n=Rb()|0;s=Q;Yua(m);ba=ea;ca=s;da=n}Yua(l);Yua(j);if(ba){$=da;aa=ca}else{fa=ca;ga=da;break b}}else{n=Rb()|0;$=n;aa=Q}while(0);zb(z|0);fa=aa;ga=$}else P=48;while(0);if((P|0)==48){q=Rb()|0;fa=Q;ga=q}k[i>>2]=27468;k[V>>2]=27488;k[W>>2]=27560;Yua(c);Ava(W);vva(V);R=fa;S=ga;Qb(S|0)}while(0);X=Z;Y=_;vva(V);Qb(Y|0);return 0}function y3(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(!(k[b>>2]|0))return;d=k[k[b+4>>2]>>2]|0;Dc[k[(k[d>>2]|0)+16>>2]&255](d,6,c,k[a+12>>2]|0,0);return}function z3(a,b){a=a|0;b=b|0;return}function A3(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,120787,86);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,50,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function B3(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,120787,86);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,51,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function C3(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;e=c+24|0;f=c+12|0;g=c;c=a+56|0;h=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=a+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,a|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,120787,86);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,121355,13);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,54,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[a>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(E|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function D3(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,120787,86);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,55,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function E3(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,120787,86);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121324,30);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,58,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function F3(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,120787,86);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,120910,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,59,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function G3(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,a|0,120787,86);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,120878,31);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(a);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,a|0,f|0,60,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(a);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(E|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function H3(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;a=d+56|0;h=d+4|0;k[d>>2]=27524;k[a>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(a);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[a>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,120763,23)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,120787,86);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,120874,3);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,64,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[a>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(a);Qb(E|0)}while(0);j=n;l=o;vva(a);Qb(l|0)}function I3(a){a=a|0;return 1}function J3(a){a=a|0;k[a>>2]=32164;k[a>>2]=37816;k[a+12>>2]=0;return}function K3(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;k[a>>2]=32164;B=0;e=B;B=0;if(e&1){e=Rb()|0;f=e;g=Q;Qb(f|0)}k[a>>2]=37816;k[a+4>>2]=b;k[a+8>>2]=d;B=0;b=Xa(252,a|0,d|0)|0;d=B;B=0;if(!(d&1)){if((b|0)<=0){k[a+12>>2]=0;return}B=0;d=ya(422,(b>>>0>536870911?-1:b<<3)|0)|0;e=B;B=0;if(!(e&1)){k[a+12>>2]=d;a=0;do{p[d+(a<<3)>>3]=+p[c+(a<<3)>>3];a=a+1|0}while((a|0)!=(b|0));return}}b=Rb()|0;f=b;g=Q;Qb(f|0)}function L3(a){a=a|0;var b=0;k[a>>2]=37816;b=a+12|0;a=k[b>>2]|0;if(!a){k[b>>2]=0;return}Tqa(a);k[b>>2]=0;return}function M3(a){a=a|0;var b=0,c=0;k[a>>2]=37816;b=a+12|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;Sqa(a);return}function N3(a){a=a|0;Ec[k[(k[a>>2]|0)+12>>2]&1023](a);return}function O3(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;b=r;r=r+464|0;c=b+452|0;d=b+304|0;e=b+440|0;f=b+152|0;g=b+288|0;h=b+16|0;i=b;j=d+56|0;l=d+4|0;k[d>>2]=27524;k[j>>2]=27544;B=0;wa(508,d+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(j);Qb(o|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[j>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){q=Rb()|0;s=Q;t=q}else{k[l>>2]=27560;q=d+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,l|0,c|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(c);Yua(q);Ava(l);s=v;t=u;break}Yua(c);k[d+(k[(k[d>>2]|0)+-12>>2]|0)+12>>2]=15;B=0;u=Ia(40,d|0,120947,14)|0;v=B;B=0;do if((((!(v&1)?(k[u+(k[(k[u>>2]|0)+-12>>2]|0)+12>>2]=25,w=u+(k[(k[u>>2]|0)+-12>>2]|0)+4|0,k[w>>2]=k[w>>2]&-177|32,B=0,w=ya(427,k[a+4>>2]|0)|0,x=B,B=0,!(x&1)):0)?(x=Lta(w)|0,B=0,y=Ia(40,u|0,w|0,x|0)|0,x=B,B=0,!(x&1)):0)?(B=0,Ia(40,y|0,120962,2)|0,y=B,B=0,!(y&1)):0)?(B=0,wa(510,e|0,l|0),y=B,B=0,!(y&1)):0){B=0;ya(424,e|0)|0;y=B;B=0;if(y&1){y=Rb()|0;x=Q;Yua(e);z=x;A=y;break}Yua(e);k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(q);Ava(l);vva(j);y=a+8|0;a:do if((iz(a,k[y>>2]|0)|0)>0){x=f+56|0;w=f+4|0;C=f+56|0;D=f+128|0;E=f+132|0;F=f+36|0;G=f+52|0;H=a+12|0;I=0;while(1){k[f>>2]=27524;k[x>>2]=27544;B=0;wa(508,C|0,w|0);J=B;B=0;if(J&1){K=33;break}k[D>>2]=0;k[E>>2]=-1;k[f>>2]=27468;k[x>>2]=27488;B=0;va(448,w|0);J=B;B=0;if(J&1){K=34;break}k[w>>2]=27560;k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;k[F+12>>2]=0;k[G>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,w|0,c|0);J=B;B=0;if(J&1){K=32;break}Yua(c);B=0;J=Ia(40,f|0,149175,1)|0;L=B;B=0;if(L&1){K=42;break}B=0;Sa(1,J|0,+(+p[(k[H>>2]|0)+(I<<3)>>3]))|0;J=B;B=0;if(J&1){K=42;break}B=0;wa(510,g|0,w|0);J=B;B=0;if(J&1){K=42;break}B=0;ya(424,g|0)|0;J=B;B=0;if(J&1){K=43;break}Yua(g);k[f>>2]=27468;k[x>>2]=27488;k[w>>2]=27560;Yua(F);Ava(w);vva(x);I=I+1|0;if((I|0)>=(iz(a,k[y>>2]|0)|0))break a}if((K|0)==32){I=Rb()|0;H=Q;Yua(c);Yua(F);Ava(w);M=H;N=I;K=35}else if((K|0)==33){I=Rb()|0;O=Q;P=I;vva(x);Qb(P|0)}else if((K|0)==34){I=Rb()|0;M=Q;N=I;K=35}else if((K|0)==42){I=Rb()|0;R=Q;S=I;K=44}else if((K|0)==43){I=Rb()|0;H=Q;Yua(g);R=H;S=I;K=44}if((K|0)==35){O=M;P=N;vva(x);Qb(P|0)}else if((K|0)==44){k[f>>2]=27468;k[x>>2]=27488;k[w>>2]=27560;Yua(F);Ava(w);vva(x);T=R;U=S;Qb(U|0)}}while(0);I=h+56|0;H=h+4|0;k[h>>2]=27524;k[I>>2]=27544;B=0;wa(508,h+56|0,H|0);G=B;B=0;if(G&1){G=Rb()|0;V=Q;W=G;vva(I);Qb(W|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[I>>2]=27488;B=0;va(448,H|0);G=B;B=0;do if(G&1){E=Rb()|0;X=Q;Y=E}else{k[H>>2]=27560;E=h+36|0;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;k[E+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,H|0,c|0);D=B;B=0;if(D&1){D=Rb()|0;C=Q;Yua(c);Yua(E);Ava(H);X=C;Y=D;break}Yua(c);B=0;D=Ia(40,h|0,120965,3)|0;C=B;B=0;do if((!(C&1)?(B=0,J=ya(427,k[y>>2]|0)|0,L=B,B=0,!(L&1)):0)?(L=Lta(J)|0,B=0,Z=Ia(40,D|0,J|0,L|0)|0,L=B,B=0,!(L&1)):0){B=0;Ia(40,Z|0,145593,2)|0;Z=B;B=0;if(Z&1){K=51;break}B=0;wa(510,i|0,H|0);Z=B;B=0;if(Z&1){K=51;break}B=0;ya(424,i|0)|0;Z=B;B=0;if(Z&1){Z=Rb()|0;L=Q;Yua(i);_=L;$=Z;break}else{Yua(i);k[h>>2]=27468;k[I>>2]=27488;k[H>>2]=27560;Yua(E);Ava(H);vva(I);r=b;return}}else K=51;while(0);if((K|0)==51){D=Rb()|0;_=Q;$=D}k[h>>2]=27468;k[I>>2]=27488;k[H>>2]=27560;Yua(E);Ava(H);vva(I);T=_;U=$;Qb(U|0)}while(0);V=X;W=Y;vva(I);Qb(W|0)}else K=26;while(0);if((K|0)==26){u=Rb()|0;z=Q;A=u}k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(q);Ava(l);vva(j);T=z;U=A;Qb(U|0)}while(0);n=s;o=t;vva(j);Qb(o|0)}function P3(a){a=a|0;return -1}function Q3(a){a=a|0;return 624}function R3(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;b=Qqa(16)|0;c=k[a+4>>2]|0;d=k[a+12>>2]|0;e=k[a+8>>2]|0;k[b>>2]=32164;B=0;a=B;B=0;if(a&1){a=Rb()|0;f=a;g=Q;Sqa(b);Qb(f|0)}k[b>>2]=37816;k[b+4>>2]=c;k[b+8>>2]=e;B=0;c=Xa(252,b|0,e|0)|0;e=B;B=0;if(!(e&1)){if((c|0)<=0){k[b+12>>2]=0;return b|0}B=0;e=ya(422,(c>>>0>536870911?-1:c<<3)|0)|0;a=B;B=0;if(!(a&1)){k[b+12>>2]=e;a=0;do{p[e+(a<<3)>>3]=+p[d+(a<<3)>>3];a=a+1|0}while((a|0)!=(c|0));return b|0}}c=Rb()|0;f=c;g=Q;Sqa(b);Qb(f|0);return 0}function S3(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;e=r;r=r+368|0;f=e+344|0;g=e+208|0;h=e+196|0;j=e+184|0;m=e+36|0;n=e+48|0;o=e+24|0;p=e+12|0;q=e;s=(d|0)==0;a:do if(s){t=k[b>>2]|0;i[t>>0]=112;i[t+1>>0]=2;i[t+2>>0]=0;i[t+3>>0]=0;t=(k[b>>2]|0)+4|0;k[b>>2]=t;u=a+4|0;v=l[u>>0]|l[u+1>>0]<<8|l[u+2>>0]<<16|l[u+3>>0]<<24;i[t>>0]=v;i[t+1>>0]=v>>8;i[t+2>>0]=v>>16;i[t+3>>0]=v>>24;v=(k[b>>2]|0)+4|0;k[b>>2]=v;t=a+8|0;u=l[t>>0]|l[t+1>>0]<<8|l[t+2>>0]<<16|l[t+3>>0]<<24;i[v>>0]=u;i[v+1>>0]=u>>8;i[v+2>>0]=u>>16;i[v+3>>0]=u>>24;k[b>>2]=(k[b>>2]|0)+4;w=t}else switch(d|0){case 2:{k[c>>2]=(k[c>>2]|0)+12;w=a+8|0;break a;break}case 1:{t=(k[b>>2]|0)+4|0;k[b>>2]=t;u=a+4|0;v=l[t>>0]|l[t+1>>0]<<8|l[t+2>>0]<<16|l[t+3>>0]<<24;i[u>>0]=v;i[u+1>>0]=v>>8;i[u+2>>0]=v>>16;i[u+3>>0]=v>>24;v=(k[b>>2]|0)+4|0;k[b>>2]=v;u=a+8|0;t=l[v>>0]|l[v+1>>0]<<8|l[v+2>>0]<<16|l[v+3>>0]<<24;i[u>>0]=t;i[u+1>>0]=t>>8;i[u+2>>0]=t>>16;i[u+3>>0]=t>>24;k[b>>2]=(k[b>>2]|0)+4;w=u;break a;break}default:{u=g+56|0;t=g+4|0;k[g>>2]=27524;k[u>>2]=27544;B=0;wa(508,g+56|0,t|0);v=B;B=0;if(v&1){v=Rb()|0;x=Q;y=v;vva(u);Qb(y|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[u>>2]=27488;B=0;va(448,t|0);v=B;B=0;do if(v&1){z=Rb()|0;A=Q;C=z}else{k[t>>2]=27560;z=g+36|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;k[z+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,t|0,f|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(f);Yua(z);Ava(t);A=E;C=D;break}Yua(f);B=0;D=Ia(40,g|0,143951,43)|0;E=B;B=0;b:do if(!(E&1)?(B=0,Xa(239,D|0,0)|0,F=B,B=0,!(F&1)):0){F=Ab(20)|0;B=0;eb(502,h|0,120969,76);G=B;B=0;do if(!(G&1)){B=0;eb(502,j|0,149525,8);H=B;B=0;if(H&1){H=Rb()|0;I=Q;Yua(h);J=I;K=H;break}B=0;wa(510,m|0,t|0);H=B;B=0;if(H&1){H=Rb()|0;L=Q;M=H;N=1}else{B=0;ua(163,F|0,h|0,j|0,71,m|0);H=B;B=0;if(H&1)O=1;else{B=0;eb(503,F|0,1240,229);B=0;O=0}H=Rb()|0;I=Q;Yua(m);L=I;M=H;N=O}Yua(j);Yua(h);if(N){J=L;K=M}else{P=L;R=M;break b}}else{H=Rb()|0;J=Q;K=H}while(0);zb(F|0);P=J;R=K}else S=18;while(0);if((S|0)==18){D=Rb()|0;P=Q;R=D}k[g>>2]=27468;k[u>>2]=27488;k[t>>2]=27560;Yua(z);Ava(t);vva(u);T=R;U=P;Qb(T|0)}while(0);x=A;y=C;vva(u);Qb(y|0)}}while(0);y=iz(a,k[w>>2]|0)|0;w=a+12|0;if((y|0)<=0){k[w>>2]=0;r=e;return}a=(k[w>>2]|0)==0;if(s){i[k[b>>2]>>0]=a&1;s=(k[b>>2]|0)+1|0;k[b>>2]=s;if(a){r=e;return}C=y<<3;TEa(s|0,k[w>>2]|0,C|0)|0;k[b>>2]=(k[b>>2]|0)+C;r=e;return}switch(d|0){case 2:{d=(k[c>>2]|0)+1|0;k[c>>2]=d;if(a){r=e;return}k[c>>2]=d+(y<<3);r=e;return}case 1:{d=k[b>>2]|0;c=i[d>>0]|0;k[b>>2]=d+1;if(c&1){r=e;return}c=Rqa(y>>>0>536870911?-1:y<<3)|0;k[w>>2]=c;w=k[b>>2]|0;d=y<<3;TEa(c|0,w|0,d|0)|0;k[b>>2]=w+d;r=e;return}default:{e=n+56|0;d=n+4|0;k[n>>2]=27524;k[e>>2]=27544;B=0;wa(508,n+56|0,d|0);w=B;B=0;if(w&1){w=Rb()|0;V=Q;W=w;vva(e);Qb(W|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[e>>2]=27488;B=0;va(448,d|0);w=B;B=0;do if(w&1){b=Rb()|0;X=Q;Y=b}else{k[d>>2]=27560;b=n+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[n+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,d|0,f|0);c=B;B=0;if(c&1){c=Rb()|0;y=Q;Yua(f);Yua(b);Ava(d);X=y;Y=c;break}Yua(f);B=0;c=Ia(40,n|0,143951,43)|0;y=B;B=0;c:do if(!(y&1)?(B=0,Xa(239,c|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,o|0,120969,76);C=B;B=0;do if(!(C&1)){B=0;eb(502,p|0,149525,8);s=B;B=0;if(s&1){s=Rb()|0;A=Q;Yua(o);Z=s;_=A;break}B=0;wa(510,q|0,d|0);A=B;B=0;if(A&1){A=Rb()|0;$=1;aa=Q;ba=A}else{B=0;ua(163,a|0,o|0,p|0,78,q|0);A=B;B=0;if(A&1)ca=1;else{B=0;eb(503,a|0,1240,229);B=0;ca=0}A=Rb()|0;s=Q;Yua(q);$=ca;aa=s;ba=A}Yua(p);Yua(o);if($){Z=ba;_=aa}else{da=ba;ea=aa;break c}}else{A=Rb()|0;Z=A;_=Q}while(0);zb(a|0);da=Z;ea=_}else S=49;while(0);if((S|0)==49){c=Rb()|0;da=c;ea=Q}k[n>>2]=27468;k[e>>2]=27488;k[d>>2]=27560;Yua(b);Ava(d);vva(e);T=da;U=ea;Qb(T|0)}while(0);V=X;W=Y;vva(e);Qb(W|0)}}}function T3(a){a=a|0;return k[a+4>>2]|0}function U3(a){a=a|0;return ((k[a+8>>2]|0)==736?736:738)|0}function V3(a){a=a|0;return iz(a,k[a+8>>2]|0)|0}function W3(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;c=iz(a,k[a+8>>2]|0)|0;if((c|0)<=0)return;e=k[a+12>>2]|0;a=ma(c,d)|0;d=0;do{p[b+(d+a<<3)>>3]=+p[e+(d<<3)>>3];d=d+1|0}while((d|0)!=(c|0));return}function X3(a,b,c){a=a|0;b=b|0;c=c|0;kz(a,b,k[a+12>>2]|0,c,k[a+8>>2]|0);return}function Y3(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;hz(a,b,k[a+12>>2]|0,c,d,k[a+8>>2]|0);return}function Z3(a,b){a=a|0;b=b|0;k[a+4>>2]=b;return}function _3(a,b){a=a|0;b=b|0;var c=0,d=0.0,e=0.0,f=0.0,g=0,h=0.0,i=0.0;c=iz(a,k[a+8>>2]|0)|0;d=+(c|0);if((c|0)<=0){e=0.0;f=e/d;p[b>>3]=f;return}g=k[a+12>>2]|0;a=0;h=0.0;while(1){i=h+ +p[g+(a<<3)>>3];a=a+1|0;if((a|0)==(c|0)){e=i;break}else h=i}f=e/d;p[b>>3]=f;return}function $3(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=Rqa(8)|0;f=Rqa(8)|0;Fc[k[(k[a>>2]|0)+64>>2]&1023](a,e);p[f>>3]=0.0;k[b>>2]=e;k[c>>2]=f;k[d>>2]=1;return}function a4(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0;f=Rqa(8)|0;g=Rqa(8)|0;Fc[k[(k[a>>2]|0)+64>>2]&1023](a,f);p[g>>3]=e;k[b>>2]=f;k[c>>2]=g;k[d>>2]=1;return}function b4(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;e=r;r=r+32|0;f=e;if((k[a+8>>2]|0)==736){g=Qqa(16)|0;B=0;ib(284,g|0,k[a+4>>2]|0,k[a+12>>2]|0,736);h=B;B=0;if(!(h&1)){i=g;r=e;return i|0}h=Rb()|0;j=Q;Sqa(g);l=j;m=h;Qb(m|0)}h=k[a+12>>2]|0;p[f>>3]=+p[h+(b<<3)>>3];p[f+8>>3]=+p[h+(c<<3)>>3];p[f+16>>3]=+p[h+(d<<3)>>3];d=Qqa(16)|0;B=0;ib(284,d|0,k[a+4>>2]|0,f|0,738);f=B;B=0;if(f&1){f=Rb()|0;a=Q;Sqa(d);l=a;m=f;Qb(m|0)}else{i=d;r=e;return i|0}return 0}function c4(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0.0,f=0.0,g=0,h=0.0,i=0.0;c=iz(a,k[a+8>>2]|0)|0;d=k[a+12>>2]|0;e=+p[d>>3];f=e*e;if((c|0)>1){g=1;h=f}else{i=f;p[b>>3]=i;return}while(1){f=+p[d+(g<<3)>>3];e=f*f;f=e<h?e:h;g=g+1|0;if((g|0)==(c|0)){i=f;break}else h=f}p[b>>3]=i;return}function d4(a,b){a=a|0;b=+b;var c=0,d=0,e=0;c=iz(a,k[a+8>>2]|0)|0;if((c|0)<=0)return;d=k[a+12>>2]|0;a=0;do{e=d+(a<<3)|0;if(+p[e>>3]<b)p[e>>3]=b;a=a+1|0}while((a|0)!=(c|0));return}function e4(a){a=a|0;var b=0,c=0.0,d=0,e=0.0,f=0.0,g=0.0;b=iz(a,k[a+8>>2]|0)|0;if((b|0)<=0){c=0.0;return +c}d=k[a+12>>2]|0;a=0;e=0.0;while(1){f=+$(+(+p[d+(a<<3)>>3]));g=f>e?f:e;a=a+1|0;if((a|0)==(b|0)){c=g;break}else e=g}return +c}function f4(a){a=a|0;var b=0,c=0,d=0.0,e=0,f=0.0,g=0.0,h=0.0;b=iz(a,k[a+8>>2]|0)|0;c=k[a+12>>2]|0;d=+p[c>>3];if((b|0)>1){e=1;f=d}else{g=d;return +g}while(1){d=+p[c+(e<<3)>>3];h=d>f?d:f;e=e+1|0;if((e|0)==(b|0)){g=h;break}else f=h}return +g}function g4(a){a=a|0;var b=0,c=0,d=0.0,e=0,f=0.0,g=0.0,h=0.0;b=iz(a,k[a+8>>2]|0)|0;c=k[a+12>>2]|0;d=+$(+(+p[c>>3]));if((b|0)>1){e=1;f=d}else{g=d;return +g}while(1){d=+$(+(+p[c+(e<<3)>>3]));h=d>f?d:f;e=e+1|0;if((e|0)==(b|0)){g=h;break}else f=h}return +g}function h4(a){a=a|0;var b=0,c=0,d=0.0,e=0,f=0.0,g=0.0,h=0.0;b=iz(a,k[a+8>>2]|0)|0;c=k[a+12>>2]|0;d=+p[c>>3];if((b|0)>1){e=1;f=d}else{g=d;return +g}while(1){d=+p[c+(e<<3)>>3];h=d<f?d:f;e=e+1|0;if((e|0)==(b|0)){g=h;break}else f=h}return +g}function i4(a){a=a|0;var b=0,c=0,d=0.0,e=0,f=0.0,g=0.0,h=0.0;b=iz(a,k[a+8>>2]|0)|0;c=k[a+12>>2]|0;d=+$(+(+p[c>>3]));if((b|0)>1){e=1;f=d}else{g=d;return +g}while(1){d=+$(+(+p[c+(e<<3)>>3]));h=d<f?d:f;e=e+1|0;if((e|0)==(b|0)){g=h;break}else f=h}return +g}function j4(a,b){a=a|0;b=+b;var c=0,d=0,e=0;c=iz(a,k[a+8>>2]|0)|0;if((c|0)<=0)return;d=k[a+12>>2]|0;a=0;do{e=d+(a<<3)|0;p[e>>3]=+p[e>>3]*b;a=a+1|0}while((a|0)!=(c|0));return}function k4(a,b){a=a|0;b=+b;var c=0,d=0;c=iz(a,k[a+8>>2]|0)|0;if((c|0)<=0)return;d=k[a+12>>2]|0;a=0;do{p[d+(a<<3)>>3]=b;a=a+1|0}while((a|0)!=(c|0));return}function l4(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;d=r;r=r+368|0;e=d+344|0;f=d+208|0;g=d+196|0;h=d+184|0;i=d+36|0;j=d+48|0;l=d+24|0;m=d+12|0;n=d;o=a+8|0;q=iz(a,k[o>>2]|0)|0;if((Hc[k[(k[b>>2]|0)+20>>2]&511](b)|0)!=624){s=f+56|0;t=f+4|0;k[f>>2]=27524;k[s>>2]=27544;B=0;wa(508,f+56|0,t|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;w=u;vva(s);Qb(w|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[s>>2]=27488;B=0;va(448,t|0);u=B;B=0;do if(u&1){x=Rb()|0;y=Q;z=x}else{k[t>>2]=27560;x=f+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,t|0,e|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(e);Yua(x);Ava(t);y=C;z=A;break}Yua(e);B=0;A=Ia(40,f|0,121046,50)|0;C=B;B=0;a:do if((((!(C&1)?(B=0,D=ya(k[(k[b>>2]|0)+20>>2]|0,b|0)|0,E=B,B=0,!(E&1)):0)?(B=0,E=ya(427,D|0)|0,D=B,B=0,!(D&1)):0)?(D=Lta(E)|0,B=0,F=Ia(40,A|0,E|0,D|0)|0,D=B,B=0,!(D&1)):0)?(B=0,Xa(239,F|0,0)|0,F=B,B=0,!(F&1)):0){F=Ab(20)|0;B=0;eb(502,g|0,120969,76);D=B;B=0;do if(!(D&1)){B=0;eb(502,h|0,121097,4);E=B;B=0;if(E&1){E=Rb()|0;G=Q;Yua(g);H=E;I=G;break}B=0;wa(510,i|0,t|0);G=B;B=0;if(G&1){G=Rb()|0;J=Q;K=G;L=1}else{B=0;ua(163,F|0,g|0,h|0,313,i|0);G=B;B=0;if(G&1)M=1;else{B=0;eb(503,F|0,1240,229);B=0;M=0}G=Rb()|0;E=Q;Yua(i);J=E;K=G;L=M}Yua(h);Yua(g);if(L){H=K;I=J}else{N=K;O=J;break a}}else{G=Rb()|0;H=G;I=Q}while(0);zb(F|0);N=H;O=I}else P=20;while(0);if((P|0)==20){A=Rb()|0;N=A;O=Q}k[f>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);R=O;S=N;Qb(S|0)}while(0);v=y;w=z;vva(s);Qb(w|0)}if((k[b+8>>2]|0)==(k[o>>2]|0)){if((q|0)<=0){r=d;return}o=k[a+12>>2]|0;a=k[b+12>>2]|0;w=0;do{s=o+(w<<3)|0;p[s>>3]=+p[s>>3]+ +p[a+(w<<3)>>3]*c;w=w+1|0}while((w|0)!=(q|0));r=d;return}d=j+56|0;q=j+4|0;k[j>>2]=27524;k[d>>2]=27544;B=0;wa(508,j+56|0,q|0);w=B;B=0;if(w&1){w=Rb()|0;T=Q;U=w;vva(d);Qb(U|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[d>>2]=27488;B=0;va(448,q|0);w=B;B=0;do if(w&1){a=Rb()|0;V=Q;W=a}else{k[q>>2]=27560;a=j+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[j+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,q|0,e|0);o=B;B=0;if(o&1){o=Rb()|0;s=Q;Yua(e);Yua(a);Ava(q);V=s;W=o;break}Yua(e);B=0;o=Ia(40,j|0,121046,50)|0;s=B;B=0;b:do if((((!(s&1)?(B=0,z=ya(k[(k[b>>2]|0)+20>>2]|0,b|0)|0,y=B,B=0,!(y&1)):0)?(B=0,y=ya(427,z|0)|0,z=B,B=0,!(z&1)):0)?(z=Lta(y)|0,B=0,v=Ia(40,o|0,y|0,z|0)|0,z=B,B=0,!(z&1)):0)?(B=0,Xa(239,v|0,0)|0,v=B,B=0,!(v&1)):0){v=Ab(20)|0;B=0;eb(502,l|0,120969,76);z=B;B=0;do if(!(z&1)){B=0;eb(502,m|0,121097,4);y=B;B=0;if(y&1){y=Rb()|0;N=Q;Yua(l);X=y;Y=N;break}B=0;wa(510,n|0,q|0);N=B;B=0;if(N&1){N=Rb()|0;Z=1;_=Q;$=N}else{B=0;ua(163,v|0,l|0,m|0,315,n|0);N=B;B=0;if(N&1)aa=1;else{B=0;eb(503,v|0,1240,229);B=0;aa=0}N=Rb()|0;y=Q;Yua(n);Z=aa;_=y;$=N}Yua(m);Yua(l);if(Z){X=$;Y=_}else{ba=_;ca=$;break b}}else{N=Rb()|0;X=N;Y=Q}while(0);zb(v|0);ba=Y;ca=X}else P=49;while(0);if((P|0)==49){o=Rb()|0;ba=Q;ca=o}k[j>>2]=27468;k[d>>2]=27488;k[q>>2]=27560;Yua(a);Ava(q);vva(d);R=ba;S=ca;Qb(S|0)}while(0);T=V;U=W;vva(d);Qb(U|0)}function m4(a,b,c){a=a|0;b=+b;c=+c;var d=0,e=0.0,f=0,g=0,h=0,i=0;d=iz(a,k[a+8>>2]|0)|0;e=+$(+b);p[t>>3]=e;f=k[t+4>>2]|0;g=(d|0)>0;if((f>>>0<2146435072|(f|0)==2146435072&(k[t>>2]|0)>>>0<1)&g){f=k[a+12>>2]|0;h=0;do{i=f+(h<<3)|0;if(+p[i>>3]<b)p[i>>3]=b;h=h+1|0}while((h|0)!=(d|0))}b=+$(+c);p[t>>3]=b;h=k[t+4>>2]|0;if(!((h>>>0<2146435072|(h|0)==2146435072&(k[t>>2]|0)>>>0<1)&g))return;g=k[a+12>>2]|0;a=0;do{h=g+(a<<3)|0;if(+p[h>>3]>c)p[h>>3]=c;a=a+1|0}while((a|0)!=(d|0));return}function n4(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(!(k[b>>2]|0))return;d=k[k[b+4>>2]>>2]|0;Dc[k[(k[d>>2]|0)+16>>2]&255](d,4,c,k[a+12>>2]|0,0);return}function o4(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0.0,U=0.0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0;c=r;r=r+368|0;d=c+344|0;e=c+208|0;f=c+196|0;g=c+184|0;h=c+36|0;i=c+48|0;j=c+24|0;l=c+12|0;m=c;n=a+8|0;o=iz(a,k[n>>2]|0)|0;q=Rqa(o>>>0>536870911?-1:o<<3)|0;if((Hc[k[(k[b>>2]|0)+20>>2]&511](b)|0)!=624){s=e+56|0;t=e+4|0;k[e>>2]=27524;k[s>>2]=27544;B=0;wa(508,e+56|0,t|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;w=u;vva(s);Qb(w|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[s>>2]=27488;B=0;va(448,t|0);u=B;B=0;do if(u&1){x=Rb()|0;y=Q;z=x}else{k[t>>2]=27560;x=e+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,t|0,d|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(d);Yua(x);Ava(t);y=C;z=A;break}Yua(d);B=0;A=Ia(40,e|0,121102,50)|0;C=B;B=0;a:do if((((!(C&1)?(B=0,D=ya(k[(k[b>>2]|0)+20>>2]|0,b|0)|0,E=B,B=0,!(E&1)):0)?(B=0,E=ya(427,D|0)|0,D=B,B=0,!(D&1)):0)?(D=Lta(E)|0,B=0,F=Ia(40,A|0,E|0,D|0)|0,D=B,B=0,!(D&1)):0)?(B=0,Xa(239,F|0,0)|0,F=B,B=0,!(F&1)):0){F=Ab(20)|0;B=0;eb(502,f|0,120969,76);D=B;B=0;do if(!(D&1)){B=0;eb(502,g|0,121153,12);E=B;B=0;if(E&1){E=Rb()|0;G=Q;Yua(f);H=E;I=G;break}B=0;wa(510,h|0,t|0);G=B;B=0;if(G&1){G=Rb()|0;J=Q;K=G;L=1}else{B=0;ua(163,F|0,f|0,g|0,348,h|0);G=B;B=0;if(G&1)M=1;else{B=0;eb(503,F|0,1240,229);B=0;M=0}G=Rb()|0;E=Q;Yua(h);J=E;K=G;L=M}Yua(g);Yua(f);if(L){H=K;I=J}else{N=K;O=J;break a}}else{G=Rb()|0;H=G;I=Q}while(0);zb(F|0);N=H;O=I}else P=20;while(0);if((P|0)==20){A=Rb()|0;N=A;O=Q}k[e>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);R=O;S=N;Qb(S|0)}while(0);v=y;w=z;vva(s);Qb(w|0)}w=b+8|0;s=k[w>>2]|0;if((s|0)==(k[n>>2]|0)){if((o|0)>0){n=k[a+12>>2]|0;z=k[b+12>>2]|0;b=0;do{T=+p[n+(b<<3)>>3];U=+p[z+(b<<3)>>3];p[q+(b<<3)>>3]=T>U?U:T;b=b+1|0}while((b|0)!=(o|0))}o=Qqa(16)|0;b=k[a+4>>2]|0;k[o>>2]=32164;B=0;a=B;B=0;if(a&1){a=Rb()|0;V=a;W=Q}else{k[o>>2]=37816;k[o+4>>2]=b;k[o+8>>2]=s;B=0;b=Xa(252,o|0,s|0)|0;s=B;B=0;if(!(s&1)){if((b|0)<=0){k[o+12>>2]=0;Tqa(q);r=c;return o|0}B=0;s=ya(422,(b>>>0>536870911?-1:b<<3)|0)|0;a=B;B=0;if(!(a&1)){k[o+12>>2]=s;TEa(s|0,q|0,b<<3|0)|0;Tqa(q);r=c;return o|0}}c=Rb()|0;V=c;W=Q}Sqa(o);R=W;S=V;Qb(S|0)}V=i+56|0;W=i+4|0;k[i>>2]=27524;k[V>>2]=27544;B=0;wa(508,i+56|0,W|0);o=B;B=0;if(o&1){o=Rb()|0;X=Q;Y=o;vva(V);Qb(Y|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[V>>2]=27488;B=0;va(448,W|0);o=B;B=0;do if(o&1){c=Rb()|0;Z=Q;_=c}else{k[W>>2]=27560;c=i+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[i+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,W|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;b=Q;Yua(d);Yua(c);Ava(W);Z=b;_=q;break}Yua(d);B=0;q=Ia(40,i|0,121102,50)|0;b=B;B=0;b:do if(((!(b&1)?(B=0,s=ya(427,k[w>>2]|0)|0,a=B,B=0,!(a&1)):0)?(a=Lta(s)|0,B=0,z=Ia(40,q|0,s|0,a|0)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(239,z|0,0)|0,z=B,B=0,!(z&1)):0){z=Ab(20)|0;B=0;eb(502,j|0,120969,76);a=B;B=0;do if(!(a&1)){B=0;eb(502,l|0,121153,12);s=B;B=0;if(s&1){s=Rb()|0;n=Q;Yua(j);$=s;aa=n;break}B=0;wa(510,m|0,W|0);n=B;B=0;if(n&1){n=Rb()|0;ba=1;ca=Q;da=n}else{B=0;ua(163,z|0,j|0,l|0,350,m|0);n=B;B=0;if(n&1)ea=1;else{B=0;eb(503,z|0,1240,229);B=0;ea=0}n=Rb()|0;s=Q;Yua(m);ba=ea;ca=s;da=n}Yua(l);Yua(j);if(ba){$=da;aa=ca}else{fa=ca;ga=da;break b}}else{n=Rb()|0;$=n;aa=Q}while(0);zb(z|0);fa=aa;ga=$}else P=48;while(0);if((P|0)==48){q=Rb()|0;fa=Q;ga=q}k[i>>2]=27468;k[V>>2]=27488;k[W>>2]=27560;Yua(c);Ava(W);vva(V);R=fa;S=ga;Qb(S|0)}while(0);X=Z;Y=_;vva(V);Qb(Y|0);return 0}function p4(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0.0,U=0.0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0;c=r;r=r+368|0;d=c+344|0;e=c+208|0;f=c+196|0;g=c+184|0;h=c+36|0;i=c+48|0;j=c+24|0;l=c+12|0;m=c;n=a+8|0;o=iz(a,k[n>>2]|0)|0;q=Rqa(o>>>0>536870911?-1:o<<3)|0;if((Hc[k[(k[b>>2]|0)+20>>2]&511](b)|0)!=624){s=e+56|0;t=e+4|0;k[e>>2]=27524;k[s>>2]=27544;B=0;wa(508,e+56|0,t|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;w=u;vva(s);Qb(w|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[s>>2]=27488;B=0;va(448,t|0);u=B;B=0;do if(u&1){x=Rb()|0;y=Q;z=x}else{k[t>>2]=27560;x=e+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,t|0,d|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(d);Yua(x);Ava(t);y=C;z=A;break}Yua(d);B=0;A=Ia(40,e|0,121102,50)|0;C=B;B=0;a:do if((((!(C&1)?(B=0,D=ya(k[(k[b>>2]|0)+20>>2]|0,b|0)|0,E=B,B=0,!(E&1)):0)?(B=0,E=ya(427,D|0)|0,D=B,B=0,!(D&1)):0)?(D=Lta(E)|0,B=0,F=Ia(40,A|0,E|0,D|0)|0,D=B,B=0,!(D&1)):0)?(B=0,Xa(239,F|0,0)|0,F=B,B=0,!(F&1)):0){F=Ab(20)|0;B=0;eb(502,f|0,120969,76);D=B;B=0;do if(!(D&1)){B=0;eb(502,g|0,121166,12);E=B;B=0;if(E&1){E=Rb()|0;G=Q;Yua(f);H=E;I=G;break}B=0;wa(510,h|0,t|0);G=B;B=0;if(G&1){G=Rb()|0;J=Q;K=G;L=1}else{B=0;ua(163,F|0,f|0,g|0,379,h|0);G=B;B=0;if(G&1)M=1;else{B=0;eb(503,F|0,1240,229);B=0;M=0}G=Rb()|0;E=Q;Yua(h);J=E;K=G;L=M}Yua(g);Yua(f);if(L){H=K;I=J}else{N=K;O=J;break a}}else{G=Rb()|0;H=G;I=Q}while(0);zb(F|0);N=H;O=I}else P=20;while(0);if((P|0)==20){A=Rb()|0;N=A;O=Q}k[e>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);R=O;S=N;Qb(S|0)}while(0);v=y;w=z;vva(s);Qb(w|0)}w=b+8|0;s=k[w>>2]|0;if((s|0)==(k[n>>2]|0)){if((o|0)>0){n=k[a+12>>2]|0;z=k[b+12>>2]|0;b=0;do{T=+p[n+(b<<3)>>3];U=+p[z+(b<<3)>>3];p[q+(b<<3)>>3]=T<U?U:T;b=b+1|0}while((b|0)!=(o|0))}o=Qqa(16)|0;b=k[a+4>>2]|0;k[o>>2]=32164;B=0;a=B;B=0;if(a&1){a=Rb()|0;V=a;W=Q}else{k[o>>2]=37816;k[o+4>>2]=b;k[o+8>>2]=s;B=0;b=Xa(252,o|0,s|0)|0;s=B;B=0;if(!(s&1)){if((b|0)<=0){k[o+12>>2]=0;Tqa(q);r=c;return o|0}B=0;s=ya(422,(b>>>0>536870911?-1:b<<3)|0)|0;a=B;B=0;if(!(a&1)){k[o+12>>2]=s;TEa(s|0,q|0,b<<3|0)|0;Tqa(q);r=c;return o|0}}c=Rb()|0;V=c;W=Q}Sqa(o);R=W;S=V;Qb(S|0)}V=i+56|0;W=i+4|0;k[i>>2]=27524;k[V>>2]=27544;B=0;wa(508,i+56|0,W|0);o=B;B=0;if(o&1){o=Rb()|0;X=Q;Y=o;vva(V);Qb(Y|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[V>>2]=27488;B=0;va(448,W|0);o=B;B=0;do if(o&1){c=Rb()|0;Z=Q;_=c}else{k[W>>2]=27560;c=i+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[i+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,W|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;b=Q;Yua(d);Yua(c);Ava(W);Z=b;_=q;break}Yua(d);B=0;q=Ia(40,i|0,121102,50)|0;b=B;B=0;b:do if(((!(b&1)?(B=0,s=ya(427,k[w>>2]|0)|0,a=B,B=0,!(a&1)):0)?(a=Lta(s)|0,B=0,z=Ia(40,q|0,s|0,a|0)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(239,z|0,0)|0,z=B,B=0,!(z&1)):0){z=Ab(20)|0;B=0;eb(502,j|0,120969,76);a=B;B=0;do if(!(a&1)){B=0;eb(502,l|0,121166,12);s=B;B=0;if(s&1){s=Rb()|0;n=Q;Yua(j);$=s;aa=n;break}B=0;wa(510,m|0,W|0);n=B;B=0;if(n&1){n=Rb()|0;ba=1;ca=Q;da=n}else{B=0;ua(163,z|0,j|0,l|0,381,m|0);n=B;B=0;if(n&1)ea=1;else{B=0;eb(503,z|0,1240,229);B=0;ea=0}n=Rb()|0;s=Q;Yua(m);ba=ea;ca=s;da=n}Yua(l);Yua(j);if(ba){$=da;aa=ca}else{fa=ca;ga=da;break b}}else{n=Rb()|0;$=n;aa=Q}while(0);zb(z|0);fa=aa;ga=$}else P=48;while(0);if((P|0)==48){q=Rb()|0;fa=Q;ga=q}k[i>>2]=27468;k[V>>2]=27488;k[W>>2]=27560;Yua(c);Ava(W);vva(V);R=fa;S=ga;Qb(S|0)}while(0);X=Z;Y=_;vva(V);Qb(Y|0);return 0}function q4(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0;c=r;r=r+368|0;d=c+344|0;e=c+208|0;f=c+196|0;g=c+184|0;h=c+36|0;i=c+48|0;j=c+24|0;l=c+12|0;m=c;n=a+8|0;o=iz(a,k[n>>2]|0)|0;if((Hc[k[(k[b>>2]|0)+20>>2]&511](b)|0)!=624){q=e+56|0;s=e+4|0;k[e>>2]=27524;k[q>>2]=27544;B=0;wa(508,e+56|0,s|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;v=t;vva(q);Qb(v|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[q>>2]=27488;B=0;va(448,s|0);t=B;B=0;do if(t&1){w=Rb()|0;x=Q;y=w}else{k[s>>2]=27560;w=e+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,s|0,d|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(d);Yua(w);Ava(s);x=A;y=z;break}Yua(d);B=0;z=Ia(40,e|0,121102,50)|0;A=B;B=0;a:do if((((!(A&1)?(B=0,C=ya(k[(k[b>>2]|0)+20>>2]|0,b|0)|0,D=B,B=0,!(D&1)):0)?(B=0,D=ya(427,C|0)|0,C=B,B=0,!(C&1)):0)?(C=Lta(D)|0,B=0,E=Ia(40,z|0,D|0,C|0)|0,C=B,B=0,!(C&1)):0)?(B=0,Xa(239,E|0,0)|0,E=B,B=0,!(E&1)):0){E=Ab(20)|0;B=0;eb(502,f|0,120969,76);C=B;B=0;do if(!(C&1)){B=0;eb(502,g|0,121179,15);D=B;B=0;if(D&1){D=Rb()|0;F=Q;Yua(f);G=D;H=F;break}B=0;wa(510,h|0,s|0);F=B;B=0;if(F&1){F=Rb()|0;I=Q;J=F;K=1}else{B=0;ua(163,E|0,f|0,g|0,408,h|0);F=B;B=0;if(F&1)L=1;else{B=0;eb(503,E|0,1240,229);B=0;L=0}F=Rb()|0;D=Q;Yua(h);I=D;J=F;K=L}Yua(g);Yua(f);if(K){G=J;H=I}else{M=J;N=I;break a}}else{F=Rb()|0;G=F;H=Q}while(0);zb(E|0);M=G;N=H}else O=20;while(0);if((O|0)==20){z=Rb()|0;M=z;N=Q}k[e>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(q);P=N;R=M;Qb(R|0)}while(0);u=x;v=y;vva(q);Qb(v|0)}v=b+8|0;q=k[v>>2]|0;if((q|0)==(k[n>>2]|0)){n=Rqa(o>>>0>536870911?-1:o<<3)|0;if((o|0)>0){y=k[a+12>>2]|0;x=k[b+12>>2]|0;b=0;do{p[n+(b<<3)>>3]=+p[y+(b<<3)>>3]/+p[x+(b<<3)>>3];b=b+1|0}while((b|0)!=(o|0))}o=Qqa(16)|0;b=k[a+4>>2]|0;k[o>>2]=32164;B=0;a=B;B=0;if(a&1){a=Rb()|0;S=a;T=Q}else{k[o>>2]=37816;k[o+4>>2]=b;k[o+8>>2]=q;B=0;b=Xa(252,o|0,q|0)|0;q=B;B=0;if(!(q&1)){if((b|0)<=0){k[o+12>>2]=0;Tqa(n);r=c;return o|0}B=0;q=ya(422,(b>>>0>536870911?-1:b<<3)|0)|0;a=B;B=0;if(!(a&1)){k[o+12>>2]=q;TEa(q|0,n|0,b<<3|0)|0;Tqa(n);r=c;return o|0}}c=Rb()|0;S=c;T=Q}Sqa(o);P=T;R=S;Qb(R|0)}S=i+56|0;T=i+4|0;k[i>>2]=27524;k[S>>2]=27544;B=0;wa(508,i+56|0,T|0);o=B;B=0;if(o&1){o=Rb()|0;U=Q;V=o;vva(S);Qb(V|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[S>>2]=27488;B=0;va(448,T|0);o=B;B=0;do if(o&1){c=Rb()|0;W=Q;X=c}else{k[T>>2]=27560;c=i+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[i+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,T|0,d|0);n=B;B=0;if(n&1){n=Rb()|0;b=Q;Yua(d);Yua(c);Ava(T);W=b;X=n;break}Yua(d);B=0;n=Ia(40,i|0,121102,50)|0;b=B;B=0;b:do if(((!(b&1)?(B=0,q=ya(427,k[v>>2]|0)|0,a=B,B=0,!(a&1)):0)?(a=Lta(q)|0,B=0,x=Ia(40,n|0,q|0,a|0)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(239,x|0,0)|0,x=B,B=0,!(x&1)):0){x=Ab(20)|0;B=0;eb(502,j|0,120969,76);a=B;B=0;do if(!(a&1)){B=0;eb(502,l|0,121179,15);q=B;B=0;if(q&1){q=Rb()|0;y=Q;Yua(j);Y=q;Z=y;break}B=0;wa(510,m|0,T|0);y=B;B=0;if(y&1){y=Rb()|0;_=1;$=Q;aa=y}else{B=0;ua(163,x|0,j|0,l|0,410,m|0);y=B;B=0;if(y&1)ba=1;else{B=0;eb(503,x|0,1240,229);B=0;ba=0}y=Rb()|0;q=Q;Yua(m);_=ba;$=q;aa=y}Yua(l);Yua(j);if(_){Y=aa;Z=$}else{ca=$;da=aa;break b}}else{y=Rb()|0;Y=y;Z=Q}while(0);zb(x|0);ca=Z;da=Y}else O=46;while(0);if((O|0)==46){n=Rb()|0;ca=Q;da=n}k[i>>2]=27468;k[S>>2]=27488;k[T>>2]=27560;Yua(c);Ava(T);vva(S);P=ca;R=da;Qb(R|0)}while(0);U=W;V=X;vva(S);Qb(V|0);return 0}function r4(a,b){a=a|0;b=b|0;return}function s4(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,121195,86);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,51,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function t4(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,121195,86);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,52,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function u4(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,121195,86);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,53,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function v4(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;e=c+24|0;f=c+12|0;g=c;c=a+56|0;h=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=a+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,a|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,121195,86);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,121355,13);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,55,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[a>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(E|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function w4(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,121195,86);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,56,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function x4(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,121195,86);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121324,30);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,59,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function y4(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,134695,17)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,121195,86);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121304,19);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,75,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function z4(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,134695,17)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,121195,86);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121296,7);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,74,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function A4(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,134695,17)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,121195,86);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121282,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,39,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0);return 0}function B4(a){a=a|0;return 1}function C4(a){a=a|0;return (m[(k[a>>2]|0)+24+(k[a+4>>2]<<1)>>1]|0)&4|0}function D4(a){a=a|0;return (m[(k[a>>2]|0)+24+(k[a+4>>2]<<1)>>1]|0)&1012|0}function E4(a){a=a|0;W4(k[a>>2]|0,k[a+4>>2]|0);return}function F4(a,b){a=a|0;b=b|0;M4(a,k[b>>2]|0,k[b+4>>2]|0);return}function G4(a,b){a=a|0;b=b|0;return k[(k[a>>2]|0)+(j[52932+(k[a+4>>2]<<2)+(k[b>>2]<<1)>>1]<<2)>>2]|0}function H4(a){a=a|0;return (k[a>>2]|0)+32|0}function I4(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=k[a>>2]|0;if(!d)e=0;else{f=k[a+4>>2]|0;k[d+12+(f<<2)>>2]=k[b>>2];d=k[a>>2]|0;j[d+24+(f<<1)>>1]=k[b+4>>2]|c;e=d}d=k[b>>2]|0;if(!d)return;f=k[b+4>>2]|0;k[d+12+(f<<2)>>2]=e;j[(k[b>>2]|0)+24+(f<<1)>>1]=k[a+4>>2]|c;return}function J4(a){a=a|0;return}function K4(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0;f=r;r=r+368|0;g=f+344|0;h=f+208|0;i=f+196|0;l=f+184|0;m=f+36|0;n=f+48|0;o=f+24|0;p=f+12|0;q=f;s=k[b+8>>2]|0;t=k[b+44>>2]|0;if((d|c|e|0)<0){b=h+56|0;u=h+4|0;k[h>>2]=27524;k[b>>2]=27544;B=0;wa(508,h+56|0,u|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;x=v;vva(b);Qb(x|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[b>>2]=27488;B=0;va(448,u|0);v=B;B=0;do if(v&1){y=Rb()|0;z=Q;A=y}else{k[u>>2]=27560;y=h+36|0;k[y>>2]=0;k[y+4>>2]=0;k[y+8>>2]=0;k[y+12>>2]=0;k[h+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,u|0,g|0);C=B;B=0;if(C&1){C=Rb()|0;D=Q;Yua(g);Yua(y);Ava(u);z=D;A=C;break}Yua(g);B=0;C=Ia(40,h|0,121369,17)|0;D=B;B=0;a:do if(!(D&1)?(B=0,Xa(239,C|0,0)|0,E=B,B=0,!(E&1)):0){E=Ab(20)|0;B=0;eb(502,i|0,121387,64);F=B;B=0;do if(!(F&1)){B=0;eb(502,l|0,121452,8);G=B;B=0;if(G&1){G=Rb()|0;H=Q;Yua(i);I=H;J=G;break}B=0;wa(510,m|0,u|0);G=B;B=0;if(G&1){G=Rb()|0;K=G;L=Q;M=1}else{B=0;ua(163,E|0,i|0,l|0,21,m|0);G=B;B=0;if(G&1)N=1;else{B=0;eb(503,E|0,1240,229);B=0;N=0}G=Rb()|0;H=Q;Yua(m);K=G;L=H;M=N}Yua(l);Yua(i);if(M){I=L;J=K}else{O=L;P=K;break a}}else{H=Rb()|0;I=Q;J=H}while(0);zb(E|0);O=I;P=J}else R=17;while(0);if((R|0)==17){C=Rb()|0;O=Q;P=C}k[h>>2]=27468;k[b>>2]=27488;k[u>>2]=27560;Yua(y);Ava(u);vva(b);S=O;T=P;Qb(T|0)}while(0);w=z;x=A;vva(b);Qb(x|0)}if((t|0)>(e|0)&((t|0)>(c|0)&(t|0)>(d|0))){k[a>>2]=s+(c*72|0);k[a+4>>2]=s+(d*72|0);k[a+8>>2]=s+(e*72|0);e=a+12|0;s=a+32|0;k[s>>2]=0;k[s+4>>2]=0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;j[e+16>>1]=0;r=f;return}f=n+56|0;e=n+4|0;k[n>>2]=27524;k[f>>2]=27544;B=0;wa(508,n+56|0,e|0);s=B;B=0;if(s&1){s=Rb()|0;U=Q;V=s;vva(f);Qb(V|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[f>>2]=27488;B=0;va(448,e|0);s=B;B=0;do if(s&1){a=Rb()|0;W=Q;X=a}else{k[e>>2]=27560;a=n+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[n+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,e|0,g|0);d=B;B=0;if(d&1){d=Rb()|0;c=Q;Yua(g);Yua(a);Ava(e);W=c;X=d;break}Yua(g);B=0;d=Ia(40,n|0,121461,26)|0;c=B;B=0;b:do if(!(c&1)?(B=0,Xa(239,d|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,o|0,121387,64);x=B;B=0;do if(!(x&1)){B=0;eb(502,p|0,121452,8);b=B;B=0;if(b&1){b=Rb()|0;A=Q;Yua(o);Y=b;Z=A;break}B=0;wa(510,q|0,e|0);A=B;B=0;if(A&1){A=Rb()|0;_=1;$=Q;aa=A}else{B=0;ua(163,t|0,o|0,p|0,24,q|0);A=B;B=0;if(A&1)ba=1;else{B=0;eb(503,t|0,1240,229);B=0;ba=0}A=Rb()|0;b=Q;Yua(q);_=ba;$=b;aa=A}Yua(p);Yua(o);if(_){Y=aa;Z=$}else{ca=$;da=aa;break b}}else{A=Rb()|0;Y=A;Z=Q}while(0);zb(t|0);ca=Z;da=Y}else R=41;while(0);if((R|0)==41){d=Rb()|0;ca=Q;da=d}k[n>>2]=27468;k[f>>2]=27488;k[e>>2]=27560;Yua(a);Ava(e);vva(f);S=ca;T=da;Qb(T|0)}while(0);U=W;V=X;vva(f);Qb(V|0)}function L4(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;k[a>>2]=b;k[a+4>>2]=c;k[a+8>>2]=d;d=a+12|0;c=a+32|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;j[d+16>>1]=0;if(!b){b=c;k[b>>2]=-1;k[b+4>>2]=-1;k[a+40>>2]=0;return}else{a=c;k[a>>2]=0;k[a+4>>2]=0;return}}function M4(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=(m[b+24+(c<<1)>>1]|0)&3;k[a>>2]=k[b+12+(c<<2)>>2];k[a+4>>2]=d;return}function N4(a,b){a=a|0;b=b|0;return (m[a+24+(b<<1)>>1]|0)&1020|0}function O4(a,b){a=a|0;b=b|0;return (m[a+24+(b<<1)>>1]|0)&16|0}function P4(a,b){a=a|0;b=b|0;return (m[a+24+(b<<1)>>1]|0)&4|0}function Q4(a,b){a=a|0;b=b|0;return (m[a+24+((b&3)<<1)>>1]|0)&3|0}function R4(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,l=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;l=j[52944+(b<<16>>16<<1)>>1]|0;b=j[52956+(l<<1)>>1]|0;n=0;o=l;l=m[a+24+(b<<1)>>1]&3;p=a;q=k[a+12+(b<<2)>>2]|0;a:while(1){b=o;s=l;t=p;u=q;while(1){if(S4(t,b&65535,c)|0){v=s;w=u;break}x=j[52950+(b<<1)>>1]|0;y=k[t+12+(x<<2)>>2]|0;if((y|0)==(a|0)){z=n;A=30;break a}else{C=t;b=j[52950+((m[t+24+(x<<1)>>1]&3)<<1)>>1]|0;s=x;t=y;u=C}}if((n|0)>19999)break;n=n+1|0;o=j[52950+((m[w+24+(v<<1)>>1]&3)<<1)>>1]|0;l=v;p=k[w+12+(v<<2)>>2]|0;q=w}if((A|0)==30){r=d;return z|0}z=f+56|0;d=f+4|0;k[f>>2]=27524;k[z>>2]=27544;B=0;wa(508,f+56|0,d|0);A=B;B=0;if(A&1){A=Rb()|0;D=Q;E=A;vva(z);Qb(E|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[z>>2]=27488;B=0;va(448,d|0);A=B;B=0;do if(A&1){w=Rb()|0;F=Q;G=w}else{k[d>>2]=27560;w=f+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,d|0,e|0);q=B;B=0;if(q&1){q=Rb()|0;v=Q;Yua(e);Yua(w);Ava(d);F=v;G=q;break}Yua(e);B=0;q=Ia(40,f|0,121488,8)|0;v=B;B=0;if(!(v&1)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,g|0,121387,64);v=B;B=0;do if(!(v&1)){B=0;eb(502,h|0,121497,5);p=B;B=0;if(p&1){p=Rb()|0;l=Q;Yua(g);H=l;I=p;break}B=0;wa(510,i|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;J=Q;K=p;L=1}else{B=0;ua(163,q|0,g|0,h|0,130,i|0);p=B;B=0;if(p&1)M=1;else{B=0;eb(503,q|0,1240,229);B=0;M=0}p=Rb()|0;l=Q;Yua(i);J=l;K=p;L=M}Yua(h);Yua(g);if(L){H=J;I=K}else{N=J;O=K;k[f>>2]=27468;k[z>>2]=27488;k[d>>2]=27560;Yua(w);Ava(d);vva(z);Qb(O|0)}}else{p=Rb()|0;H=Q;I=p}while(0);zb(q|0);N=H;O=I;k[f>>2]=27468;k[z>>2]=27488;k[d>>2]=27560;Yua(w);Ava(d);vva(z);Qb(O|0)}v=Rb()|0;N=Q;O=v;k[f>>2]=27468;k[z>>2]=27488;k[d>>2]=27560;Yua(w);Ava(d);vva(z);Qb(O|0)}while(0);D=F;E=G;vva(z);Qb(E|0);return 0}function S4(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,l=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0.0,$=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0,za=0,Aa=0;d=b<<16>>16;if((d+3|0)>>>0>6){e=0;return e|0}f=k[a+12+(d<<2)>>2]|0;g=a+24+(d<<1)|0;h=j[g>>1]|0;i=h<<16>>16;if((i+3|0)>>>0>6){e=0;return e|0}l=k[a+(j[52932+(d<<2)>>1]<<2)>>2]|0;n=k[a+(j[52932+(d<<2)+2>>1]<<2)>>2]|0;o=k[a+(j[52944+(d<<1)>>1]<<2)>>2]|0;d=k[f+(j[52944+(i<<1)>>1]<<2)>>2]|0;i=a+32|0;q=k[i>>2]|0;r=k[i+4>>2]|0;i=f+32|0;s=k[i>>2]|0;t=k[i+4>>2]|0;i=QEa(s|0,t|0,q|0,r|0)|0;u=Q;v=(r|0)<0;w=REa(0,0,q|0,r|0)|0;x=v?Q:r;y=(t|0)<0;z=REa(0,0,s|0,t|0)|0;A=QEa((y?z:s)|0,(y?Q:t)|0,(v?w:q)|0,x|0)|0;x=Q;w=(r|0)<(t|0)|(r|0)==(t|0)&q>>>0<s>>>0;v=w?q:s;y=w?r:t;do if(l){if(!n){w=k[o>>2]|0;z=(k[l>>2]|0)-w|0;B=k[o+4>>2]|0;C=(k[l+4>>2]|0)-B|0;D=(k[d>>2]|0)-w|0;w=(k[d+4>>2]|0)-B|0;B=bFa(w|0,((w|0)<0)<<31>>31|0,z|0,((z|0)<0)<<31>>31|0)|0;z=Q;w=bFa(D|0,((D|0)<0)<<31>>31|0,C|0,((C|0)<0)<<31>>31|0)|0;C=REa(B|0,z|0,w|0,Q|0)|0;w=Q;E=C;F=w;G=s;H=t;I=((w|0)>0|(w|0)==0&C>>>0>0)&1;J=16;break}if((o|0)!=0&(d|0)!=0){C=k[l>>2]|0;w=k[o>>2]|0;z=C-w|0;B=k[l+4>>2]|0;D=k[o+4>>2]|0;K=B-D|0;L=k[d>>2]|0;M=L-w|0;N=k[d+4>>2]|0;O=N-D|0;P=((O|0)<0)<<31>>31;R=bFa(O|0,P|0,z|0,((z|0)<0)<<31>>31|0)|0;z=Q;S=bFa(M|0,((M|0)<0)<<31>>31|0,K|0,((K|0)<0)<<31>>31|0)|0;K=REa(R|0,z|0,S|0,Q|0)|0;S=Q;z=REa(0,0,K|0,S|0)|0;R=Q;M=REa(i|0,u|0,K|0,S|0)|0;T=Q;U=(S|0)<0;V=(T|0)<0;W=REa(0,0,M|0,T|0)|0;X=QEa((V?W:M)|0,(V?Q:T)|0,(U?z:K)|0,(U?R:S)|0)|0;R=Q;U=(R|0)<(x|0)|(R|0)==(x|0)&X>>>0<A>>>0;X=U&1;R=(S|0)<(T|0)|(S|0)==(T|0)&K>>>0<M>>>0;z=R?S:T;if(((z|0)>0|(z|0)==0&(R?K:M)>>>0>0)&(U^1)){U=(v|0)==0&(y|0)==0;if(U){E=K;F=S;G=M;H=T;I=U&1;J=16}else{if(!c){U=n;R=k[U>>2]|0;z=k[U+4>>2]|0;U=l;V=k[U>>2]|0;W=k[U+4>>2]|0;U=o;Y=k[U>>2]|0;Z=k[U+4>>2]|0;_=+p[o+24>>3];$=+p[o+32>>3];ba=+p[o+40>>3];ca=+(R-V|0);da=+(z-W|0);ea=-(ca*$+da*ba);fa=ca*_+da*$;ga=+(Y-V|0);ha=+(Z-W|0);ia=-(ga*$+ha*ba);ja=ga*_+ha*$;ka=ja*ea;la=fa*ia;ma=(ka-la)*2.0;if((ma<0.0?-ma:ma)>((ka<0.0?-ka:ka)+(la<0.0?-la:la))*.001?(la=+p[d+24>>3],ka=+p[d+32>>3],na=+p[d+40>>3],oa=-(ca*ka+da*na),pa=ca*la+da*ka,da=-(ga*ka+ha*na),ca=ga*la+ha*ka,ha=ca*oa,ga=pa*da,qa=(ha-ga)*2.0,(qa<0.0?-qa:qa)>((ha<0.0?-ha:ha)+(ga<0.0?-ga:ga))*.001):0){ga=+(V+R|0)*.5;ha=+(W+z|0)*.5;ra=+(L|0);sa=+(N|0);ta=+(Y|0);ua=+(D|0);va=+(Y-R|0);wa=+(Z-z|0);xa=(va*ja-wa*ia)/ma;ma=ga+xa*ea;ea=ha+fa*xa;xa=ma-ra;fa=ea-sa;ia=ma-ta;ma=ea-ua;ea=(va*ca-wa*da)/qa;qa=ga+ea*oa;oa=ha+pa*ea;ea=qa-ra;ra=oa-sa;sa=qa-ta;ta=oa-ua;E=K;F=S;G=M;H=T;I=+aa(+(ba*(fa*fa)+(_*(xa*xa)+$*(fa*(xa*2.0)))))/+aa(+(ba*(ma*ma)+(_*(ia*ia)+$*(ma*(ia*2.0)))))+ +aa(+(na*(ra*ra)+(la*(ea*ea)+ka*(ra*(ea*2.0)))))/+aa(+(na*(ta*ta)+(la*(sa*sa)+ka*(ta*(sa*2.0)))))<2.0&1;J=16;break}else{ya=R;za=Y;Aa=V}}else{ya=k[n>>2]|0;za=w;Aa=C}C=ya-za|0;w=L-za|0;V=k[n+4>>2]|0;Y=V-D|0;D=ya-Aa|0;R=L-Aa|0;L=V-B|0;V=N-B|0;B=bFa(w|0,((w|0)<0)<<31>>31|0,C|0,((C|0)<0)<<31>>31|0)|0;C=Q;w=bFa(O|0,P|0,Y|0,((Y|0)<0)<<31>>31|0)|0;Y=QEa(w|0,Q|0,B|0,C|0)|0;sa=+(Y>>>0)+4294967296.0*+(Q|0);Y=bFa(D|0,((D|0)<0)<<31>>31|0,R|0,((R|0)<0)<<31>>31|0)|0;R=Q;D=bFa(L|0,((L|0)<0)<<31>>31|0,V|0,((V|0)<0)<<31>>31|0)|0;V=QEa(D|0,Q|0,Y|0,R|0)|0;E=K;F=S;G=M;H=T;I=(+(s>>>0)+4294967296.0*+(t|0))*sa<(+(M>>>0)+4294967296.0*+(T|0))*(+(V>>>0)+4294967296.0*+(Q|0))&1;J=16}}else{E=K;F=S;G=M;H=T;I=X;J=16}}}else{X=k[d>>2]|0;T=(k[n>>2]|0)-X|0;M=k[d+4>>2]|0;S=(k[n+4>>2]|0)-M|0;K=(k[o>>2]|0)-X|0;X=(k[o+4>>2]|0)-M|0;M=bFa(X|0,((X|0)<0)<<31>>31|0,T|0,((T|0)<0)<<31>>31|0)|0;T=Q;X=bFa(K|0,((K|0)<0)<<31>>31|0,S|0,((S|0)<0)<<31>>31|0)|0;S=REa(M|0,T|0,X|0,Q|0)|0;X=Q;E=q;F=r;G=S;H=X;I=((X|0)>0|(X|0)==0&S>>>0>0)&1;J=16}while(0);if((J|0)==16?(I|0)!=0:0){s5(a,b,f,h,o,d,E,F,G,H);e=I;return e|0}I=f+24+((h&3)<<1)|0;j[I>>1]=m[I>>1]|8;j[g>>1]=m[g>>1]|8;e=0;return e|0}function T4(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=b&3;b=k[a+12+(c<<2)>>2]|0;d=a+24+(c<<1)|0;e=m[d>>1]|0;j[d>>1]=e&55;if(!b)return;d=e&3;k[b+12+(d<<2)>>2]=a;j[b+24+(d<<1)>>1]=e&52|c;return}function U4(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=b<<16>>16;k[a+12+(e<<2)>>2]=c;j[a+24+(e<<1)>>1]=d;if(!c)return;e=d<<16>>16;k[c+12+(e<<2)>>2]=a;j[c+24+(e<<1)>>1]=b;return}function V4(a,b){a=a|0;b=b|0;var c=0,d=0;c=k[a+12+(b<<2)>>2]|0;d=a+24+(b<<1)|0;if(c){b=c+24+(((m[d>>1]|0)&3)<<1)|0;j[b>>1]=m[b>>1]|0|16}j[d>>1]=m[d>>1]|0|16;return}function W4(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+24+(b<<1)|0;d=(k[a+12+(b<<2)>>2]|0)+24+(((m[c>>1]|0)&3)<<1)|0;j[d>>1]=m[d>>1]|0|4;j[c>>1]=m[c>>1]|0|4;return}function X4(a){a=a|0;var b=0,c=0;b=k[a>>2]|0;if(b){k[b+64>>2]=a;j[(k[a>>2]|0)+60>>1]=0}b=a+4|0;c=k[b>>2]|0;if(c){k[c+64>>2]=a;j[(k[b>>2]|0)+60>>1]=1}b=a+8|0;c=k[b>>2]|0;if(!c)return;k[c+64>>2]=a;j[(k[b>>2]|0)+60>>1]=2;return}function Y4(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+24+(b<<1)|0;d=(k[a+12+(b<<2)>>2]|0)+24+(((m[c>>1]|0)&3)<<1)|0;j[d>>1]=(m[d>>1]|0)&55;j[c>>1]=(m[c>>1]|0)&55;return}function Z4(a,b){a=a|0;b=b|0;return k[a+12+((b&3)<<2)>>2]|0}function _4(a){a=a|0;var b=0,c=0,d=0;b=a+56|0;c=a;d=c+48|0;do{k[c>>2]=0;c=c+4|0}while((c|0)<(d|0));ppa(b);k[a+52>>2]=0;return}function $4(a){a=a|0;return k[a+48>>2]|0}function a5(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=a+64|0;e=k[d>>2]|0;if((e|0)!=0?(f=a+60|0,a=j[f>>1]|0,(a&65535)<3):0){g=R4(e,a,c)|0;if(!b){k[d>>2]=0;j[f>>1]=0;h=g}else h=g}else h=0;return h|0}function b5(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0.0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0.0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0,ke=0,le=0,me=0,ne=0,oe=0,pe=0,qe=0,re=0,se=0,te=0,ue=0,ve=0,we=0,xe=0,ye=0,ze=0,Ae=0,Be=0,Ce=0,De=0,Ee=0,Fe=0,Ge=0,He=0,Ie=0,Je=0,Ke=0,Le=0,Me=0,Ne=0,Oe=0,Pe=0,Qe=0,Re=0,Se=0,Te=0,Ue=0,Ve=0,We=0,Xe=0,Ye=0,Ze=0,_e=0,$e=0,af=0,bf=0,cf=0,df=0,ef=0,ff=0,gf=0,hf=0,jf=0,kf=0,lf=0,mf=0,nf=0.0,of=0.0,pf=0,qf=0,rf=0,sf=0,tf=0,uf=0,vf=0,wf=0,xf=0,yf=0,zf=0,Af=0,Bf=0,Cf=0.0,Df=0,Ef=0,Ff=0,Gf=0,Hf=0,If=0,Jf=0,Kf=0,Lf=0,Mf=0,Nf=0,Of=0,Pf=0,Qf=0,Rf=0,Sf=0,Tf=0,Uf=0,Vf=0,Wf=0,Xf=0,Yf=0,Zf=0,_f=0;c=r;r=r+4080|0;d=c+4064|0;e=c+3736|0;f=c+4052|0;g=c+3584|0;h=c+4040|0;i=c+4028|0;l=c+4016|0;m=c+3448|0;n=c+4004|0;o=c+3992|0;q=c+3980|0;s=c+3296|0;t=c+3968|0;u=c+3956|0;v=c+3944|0;w=c+3160|0;x=c+3932|0;y=c+3008|0;z=c+3920|0;A=c+2872|0;C=c+3908|0;D=c+2720|0;E=c+3896|0;F=c+2584|0;H=c+3884|0;I=c+3872|0;J=c+3720|0;K=c+2432|0;L=c+3432|0;M=c+2296|0;N=c+3144|0;O=c+2144|0;P=c+2856|0;R=c+2008|0;S=c+2568|0;T=c+1872|0;U=c+2280|0;V=c+1720|0;W=c+1856|0;X=c+1584|0;Y=c+1568|0;Z=c+1432|0;_=c+1280|0;$=c+1296|0;ba=c+1128|0;ca=c+844|0;da=c+832|0;ea=c+1144|0;fa=c+544|0;ga=c+392|0;ha=c+240|0;ia=c+992|0;ja=c+228|0;ka=c+216|0;la=c+204|0;ma=c+856|0;na=c+192|0;oa=c+696|0;pa=c+180|0;qa=c+168|0;ra=c+156|0;sa=c+560|0;ta=c+144|0;xa=c+48|0;za=c+408|0;Aa=c+132|0;Ba=c+120|0;Ca=c+108|0;Da=c+256|0;Ea=c+96|0;Fa=c+84|0;Ga=c+72|0;Ha=c+24|0;Ja=c;a:do if(b){Ka=k[b+108>>2]|0;La=+p[b+48>>3]*3.141592653589793/180.0;if((Ka|0)>1){Ma=e+56|0;Na=e+4|0;k[e>>2]=27524;k[Ma>>2]=27544;B=0;wa(508,e+56|0,Na|0);Oa=B;B=0;if(Oa&1){Oa=Rb()|0;Pa=Q;Qa=Oa;vva(Ma);Qb(Qa|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[Ma>>2]=27488;B=0;va(448,Na|0);Oa=B;B=0;do if(Oa&1){Ra=Rb()|0;Sa=Q;Ta=Ra}else{k[Na>>2]=27560;Ra=e+36|0;k[Ra>>2]=0;k[Ra+4>>2]=0;k[Ra+8>>2]=0;k[Ra+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Na|0,d|0);Ua=B;B=0;if(Ua&1){Ua=Rb()|0;Va=Q;Yua(d);Yua(Ra);Ava(Na);Sa=Va;Ta=Ua;break}Yua(d);B=0;Ia(40,e|0,121577,49)|0;Ua=B;B=0;do if(!(Ua&1)?(B=0,wa(510,f|0,Na|0),Va=B,B=0,!(Va&1)):0){B=0;ya(424,f|0)|0;Va=B;B=0;if(Va&1){Va=Rb()|0;Wa=Q;Yua(f);Ya=Wa;Za=Va;break}else{Yua(f);k[e>>2]=27468;k[Ma>>2]=27488;k[Na>>2]=27560;Yua(Ra);Ava(Na);vva(Ma);_a=La;$a=Ka;break a}}else ab=15;while(0);if((ab|0)==15){Ua=Rb()|0;Ya=Q;Za=Ua}k[e>>2]=27468;k[Ma>>2]=27488;k[Na>>2]=27560;Yua(Ra);Ava(Na);vva(Ma);bb=Za;cb=Ya;Qb(bb|0)}while(0);Pa=Sa;Qa=Ta;vva(Ma);Qb(Qa|0)}else{_a=La;$a=Ka}}else{_a=.17453292519943295;$a=0}while(0);Qa=a+48|0;Ta=k[Qa>>2]|0;if((Ta|0)>=1?(Sa=a+44|0,Pa=k[Sa>>2]|0,(Pa|0)>=1):0){if(_a>=0.0)p[(k[a>>2]|0)+80>>3]=_a;Ya=Qqa(20)|0;B=0;eb(522,Ya|0,Ta*3|0,Pa|0);Pa=B;B=0;if(Pa&1){Pa=Rb()|0;Ta=Q;Sqa(Ya);bb=Pa;cb=Ta;Qb(bb|0)}Ta=k[Qa>>2]|0;Pa=Ta*3|0;Za=Rqa(Pa>>>0>1073741823?-1:Pa<<2)|0;if((Ta|0)>0)WEa(Za|0,-1,((Pa|0)>1?Pa:1)<<2|0)|0;Pa=a+52|0;Ta=k[Pa>>2]|0;if((Ta|0)>0){e=a+16|0;f=a+8|0;b=0;do{Na=k[e>>2]|0;Oa=k[f>>2]|0;aqa(Ya,((k[Na+(b*24|0)>>2]|0)-Oa|0)/72|0,((k[Na+(b*24|0)+4>>2]|0)-Oa|0)/72|0)|0;b=b+1|0;Oa=k[Pa>>2]|0}while((b|0)<(Oa|0));db=Oa}else db=Ta;if((db|0)!=($pa(Ya)|0)){Tqa(Za);db=m+56|0;Ta=m+4|0;k[m>>2]=27524;k[db>>2]=27544;B=0;wa(508,m+56|0,Ta|0);b=B;B=0;if(b&1){b=Rb()|0;fb=Q;gb=b;vva(db);Qb(gb|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[db>>2]=27488;B=0;va(448,Ta|0);b=B;B=0;do if(b&1){f=Rb()|0;hb=Q;ib=f}else{k[Ta>>2]=27560;f=m+36|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;k[m+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Ta|0,d|0);e=B;B=0;if(e&1){e=Rb()|0;Oa=Q;Yua(d);Yua(f);Ava(Ta);hb=Oa;ib=e;break}Yua(d);B=0;e=Ia(40,m|0,121686,44)|0;Oa=B;B=0;b:do if((((!(Oa&1)?(B=0,Na=Xa(253,e|0,k[Pa>>2]|0)|0,Ua=B,B=0,!(Ua&1)):0)?(B=0,Ua=Ia(40,Na|0,121731,7)|0,Na=B,B=0,!(Na&1)):0)?(B=0,Na=ya(435,Ya|0)|0,Va=B,B=0,!(Va&1)):0)?(B=0,Va=Xa(253,Ua|0,Na|0)|0,Na=B,B=0,!(Na&1)):0){B=0;Xa(239,Va|0,0)|0;Va=B;B=0;if(Va&1){ab=72;break}Va=Ab(20)|0;B=0;eb(502,n|0,121503,60);Na=B;B=0;do if(!(Na&1)){B=0;eb(502,o|0,121664,21);Ua=B;B=0;if(Ua&1){Ua=Rb()|0;Wa=Q;Yua(n);jb=Wa;kb=Ua;break}B=0;wa(510,q|0,Ta|0);Ua=B;B=0;if(Ua&1){Ua=Rb()|0;lb=1;mb=Ua;nb=Q}else{B=0;ua(163,Va|0,n|0,o|0,1316,q|0);Ua=B;B=0;if(Ua&1)ob=1;else{B=0;eb(503,Va|0,1240,229);B=0;ob=0}Ua=Rb()|0;Wa=Q;Yua(q);lb=ob;mb=Ua;nb=Wa}Yua(o);Yua(n);if(lb){jb=nb;kb=mb}else{pb=mb;qb=nb;break b}}else{Wa=Rb()|0;jb=Q;kb=Wa}while(0);zb(Va|0);pb=kb;qb=jb}else ab=72;while(0);if((ab|0)==72){e=Rb()|0;pb=e;qb=Q}k[m>>2]=27468;k[db>>2]=27488;k[Ta>>2]=27560;Yua(f);Ava(Ta);vva(db);bb=pb;cb=qb;Qb(bb|0)}while(0);fb=hb;gb=ib;vva(db);Qb(gb|0)}gb=k[Pa>>2]|0;c:do if((k[Qa>>2]|0)>0){db=a+12|0;ib=a+8|0;hb=0;d:while(1){fb=hb*3|0;qb=0;do{pb=k[db>>2]|0;Ta=j[52932+(qb<<2)>>1]|0;m=k[ib>>2]|0;jb=j[52932+(qb<<2)+2>>1]|0;kb=aqa(Ya,((k[pb+(hb*48|0)+(Ta<<2)>>2]|0)-m|0)/72|0,((k[pb+(hb*48|0)+(jb<<2)>>2]|0)-m|0)/72|0)|0;m=O4((k[db>>2]|0)+(hb*48|0)|0,qb)|0;pb=Za+(kb<<2)|0;nb=k[pb>>2]|0;if((nb|0)==-1)rb=qb+fb|0;else{if((nb|0)<=-1){sb=Ta;tb=jb;ub=kb;vb=pb;wb=hb;xb=qb;break d}if(Z4((k[db>>2]|0)+(hb*48|0)|0,qb)|0){ab=88;break d}jb=k[pb>>2]|0;if(Z4((k[db>>2]|0)+(((jb|0)/3|0)*48|0)|0,(jb|0)%3|0)|0){ab=88;break d}jb=k[db>>2]|0;Ta=k[pb>>2]|0;U4(jb+(hb*48|0)|0,qb&65535,jb+(((Ta|0)/3|0)*48|0)|0,((Ta|0)%3|0)&65535);if(m)V4((k[db>>2]|0)+(hb*48|0)|0,qb);if((kb|0)<(k[Pa>>2]|0))W4((k[db>>2]|0)+(hb*48|0)|0,qb);rb=-2-(k[pb>>2]|0)|0}k[pb>>2]=rb;qb=qb+1|0}while((qb|0)<3);hb=hb+1|0;if((hb|0)>=(k[Qa>>2]|0))break c}if((ab|0)==88){hb=s+56|0;f=s+4|0;k[s>>2]=27524;k[hb>>2]=27544;B=0;wa(508,s+56|0,f|0);qb=B;B=0;if(qb&1){qb=Rb()|0;yb=Q;Bb=qb;vva(hb);Qb(Bb|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[hb>>2]=27488;B=0;va(448,f|0);qb=B;B=0;do if(qb&1){fb=Rb()|0;Cb=Q;Db=fb}else{k[f>>2]=27560;fb=s+36|0;k[fb>>2]=0;k[fb+4>>2]=0;k[fb+8>>2]=0;k[fb+12>>2]=0;k[s+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,f|0,d|0);Va=B;B=0;if(Va&1){Va=Rb()|0;pb=Q;Yua(d);Yua(fb);Ava(f);Cb=pb;Db=Va;break}Yua(d);B=0;Va=Ia(40,s|0,121739,87)|0;pb=B;B=0;e:do if(!(pb&1)?(B=0,Xa(239,Va|0,0)|0,kb=B,B=0,!(kb&1)):0){kb=Ab(20)|0;B=0;eb(502,t|0,121503,60);m=B;B=0;do if(!(m&1)){B=0;eb(502,u|0,121664,21);Ta=B;B=0;if(Ta&1){Ta=Rb()|0;jb=Q;Yua(t);Eb=jb;Fb=Ta;break}B=0;wa(510,v|0,f|0);Ta=B;B=0;if(Ta&1){Ta=Rb()|0;Gb=1;Hb=Ta;Ib=Q}else{B=0;ua(163,kb|0,t|0,u|0,1336,v|0);Ta=B;B=0;if(Ta&1)Jb=1;else{B=0;eb(503,kb|0,1240,229);B=0;Jb=0}Ta=Rb()|0;jb=Q;Yua(v);Gb=Jb;Hb=Ta;Ib=jb}Yua(u);Yua(t);if(Gb){Eb=Ib;Fb=Hb}else{Kb=Hb;Lb=Ib;break e}}else{jb=Rb()|0;Eb=Q;Fb=jb}while(0);zb(kb|0);Kb=Fb;Lb=Eb}else ab=103;while(0);if((ab|0)==103){Va=Rb()|0;Kb=Va;Lb=Q}k[s>>2]=27468;k[hb>>2]=27488;k[f>>2]=27560;Yua(fb);Ava(f);vva(hb);bb=Kb;cb=Lb;Qb(bb|0)}while(0);yb=Cb;Bb=Db;vva(hb);Qb(Bb|0)}f=w+56|0;qb=w+4|0;k[w>>2]=27524;k[f>>2]=27544;B=0;wa(508,w+56|0,qb|0);Va=B;B=0;if(Va&1){Va=Rb()|0;Mb=Q;Nb=Va;vva(f);Qb(Nb|0)}k[w+128>>2]=0;k[w+132>>2]=-1;k[w>>2]=27468;k[f>>2]=27488;B=0;va(448,qb|0);Va=B;B=0;do if(Va&1){pb=Rb()|0;Ob=Q;Pb=pb}else{k[qb>>2]=27560;pb=w+36|0;k[pb>>2]=0;k[pb+4>>2]=0;k[pb+8>>2]=0;k[pb+12>>2]=0;k[w+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,qb|0,d|0);m=B;B=0;if(m&1){m=Rb()|0;jb=Q;Yua(d);Yua(pb);Ava(qb);Ob=jb;Pb=m;break}Yua(d);B=0;m=Ia(40,w|0,121827,10)|0;jb=B;B=0;do if(((!(jb&1)?(B=0,Ta=Xa(253,m|0,((k[(k[db>>2]|0)+(wb*48|0)+(sb<<2)>>2]|0)-(k[ib>>2]|0)|0)/72|0|0)|0,nb=B,B=0,!(nb&1)):0)?(B=0,nb=Ia(40,Ta|0,121838,1)|0,Ta=B,B=0,!(Ta&1)):0)?(B=0,Ta=Xa(253,nb|0,((k[(k[db>>2]|0)+(wb*48|0)+(tb<<2)>>2]|0)-(k[ib>>2]|0)|0)/72|0|0)|0,nb=B,B=0,!(nb&1)):0){B=0;nb=Ia(40,Ta|0,121840,36)|0;Ta=B;B=0;if(Ta&1){ab=195;break}B=0;Ta=Xa(253,nb|0,ub|0)|0;nb=B;B=0;if(nb&1){ab=195;break}B=0;Ia(40,Ta|0,145593,2)|0;Ta=B;B=0;if(Ta&1){ab=195;break}B=0;wa(510,x|0,qb|0);Ta=B;B=0;if(Ta&1){ab=195;break}B=0;ya(424,x|0)|0;Ta=B;B=0;if(Ta&1){Ta=Rb()|0;nb=Q;Yua(x);Sb=nb;Tb=Ta;break}Yua(x);k[w>>2]=27468;k[f>>2]=27488;k[qb>>2]=27560;Yua(pb);Ava(qb);vva(f);Ta=y+56|0;nb=y+4|0;k[y>>2]=27524;k[Ta>>2]=27544;B=0;wa(508,y+56|0,nb|0);mb=B;B=0;if(mb&1){mb=Rb()|0;Ub=Q;Vb=mb;vva(Ta);Qb(Vb|0)}k[y+128>>2]=0;k[y+132>>2]=-1;k[y>>2]=27468;k[Ta>>2]=27488;B=0;va(448,nb|0);mb=B;B=0;do if(mb&1){lb=Rb()|0;Wb=Q;Xb=lb}else{k[nb>>2]=27560;lb=y+36|0;k[lb>>2]=0;k[lb+4>>2]=0;k[lb+8>>2]=0;k[lb+12>>2]=0;k[y+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,nb|0,d|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;Yua(d);Yua(lb);Ava(nb);Wb=o;Xb=n;break}Yua(d);B=0;n=Ia(40,y|0,121877,5)|0;o=B;B=0;do if(o&1)ab=198;else{B=0;ob=Xa(242,n|0,xb|0)|0;q=B;B=0;if(q&1){ab=198;break}B=0;q=Ia(40,ob|0,121883,13)|0;ob=B;B=0;if(ob&1){ab=198;break}B=0;ob=Xa(242,q|0,wb|0)|0;q=B;B=0;if(q&1){ab=198;break}B=0;Ia(40,ob|0,149177,1)|0;ob=B;B=0;if(ob&1){ab=198;break}B=0;wa(510,z|0,nb|0);ob=B;B=0;if(ob&1){ab=198;break}B=0;ya(424,z|0)|0;ob=B;B=0;if(ob&1){ob=Rb()|0;q=Q;Yua(z);Yb=ob;Zb=q;break}Yua(z);k[y>>2]=27468;k[Ta>>2]=27488;k[nb>>2]=27560;Yua(lb);Ava(nb);vva(Ta);q=A+56|0;ob=A+4|0;k[A>>2]=27524;k[q>>2]=27544;B=0;wa(508,A+56|0,ob|0);b=B;B=0;if(b&1){b=Rb()|0;_b=Q;$b=b;vva(q);Qb($b|0)}k[A+128>>2]=0;k[A+132>>2]=-1;k[A>>2]=27468;k[q>>2]=27488;B=0;va(448,ob|0);b=B;B=0;do if(b&1){e=Rb()|0;ac=Q;bc=e}else{k[ob>>2]=27560;e=A+36|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;k[A+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,ob|0,d|0);Oa=B;B=0;if(Oa&1){Oa=Rb()|0;Ka=Q;Yua(d);Yua(e);Ava(ob);ac=Ka;bc=Oa;break}Yua(d);B=0;Oa=Ia(40,A|0,121877,5)|0;Ka=B;B=0;do if(Ka&1)ab=201;else{B=0;Ma=Xa(253,Oa|0,(2-(k[vb>>2]|0)|0)%3|0|0)|0;Na=B;B=0;if(Na&1){ab=201;break}B=0;Na=Ia(40,Ma|0,121883,13)|0;Ma=B;B=0;if(Ma&1){ab=201;break}B=0;Ma=Xa(253,Na|0,(2-(k[vb>>2]|0)|0)/3|0|0)|0;Na=B;B=0;if(Na&1){ab=201;break}B=0;Ia(40,Ma|0,149177,1)|0;Ma=B;B=0;if(Ma&1){ab=201;break}B=0;wa(510,C|0,ob|0);Ma=B;B=0;if(Ma&1){ab=201;break}B=0;ya(424,C|0)|0;Ma=B;B=0;if(Ma&1){Ma=Rb()|0;Na=Q;Yua(C);cc=Ma;dc=Na;break}Yua(C);k[A>>2]=27468;k[q>>2]=27488;k[ob>>2]=27560;Yua(e);Ava(ob);vva(q);Na=D+56|0;Ma=D+4|0;k[D>>2]=27524;k[Na>>2]=27544;B=0;wa(508,D+56|0,Ma|0);Ra=B;B=0;if(Ra&1){Ra=Rb()|0;ec=Q;fc=Ra;vva(Na);Qb(fc|0)}k[D+128>>2]=0;k[D+132>>2]=-1;k[D>>2]=27468;k[Na>>2]=27488;B=0;va(448,Ma|0);Ra=B;B=0;do if(Ra&1){Wa=Rb()|0;gc=Q;hc=Wa}else{k[Ma>>2]=27560;Wa=D+36|0;k[Wa>>2]=0;k[Wa+4>>2]=0;k[Wa+8>>2]=0;k[Wa+12>>2]=0;k[D+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Ma|0,d|0);Ua=B;B=0;if(Ua&1){Ua=Rb()|0;ic=Q;Yua(d);Yua(Wa);Ava(Ma);gc=ic;hc=Ua;break}Yua(d);B=0;Ua=Ia(40,D|0,121877,5)|0;ic=B;B=0;do if(ic&1)ab=204;else{jc=2-(k[vb>>2]|0)|0;B=0;kc=Xa(254,(k[db>>2]|0)+(((jc|0)/3|0)*48|0)|0,(jc|0)%3|0|0)|0;jc=B;B=0;if(jc&1){ab=204;break}B=0;jc=Xa(255,Ua|0,kc|0)|0;kc=B;B=0;if(kc&1){ab=204;break}B=0;kc=Ia(40,jc|0,121883,13)|0;jc=B;B=0;if(jc&1){ab=204;break}jc=2-(k[vb>>2]|0)|0;B=0;lc=Xa(256,(k[db>>2]|0)+(((jc|0)/3|0)*48|0)|0,(jc|0)%3|0|0)|0;jc=B;B=0;if(jc&1){ab=204;break}B=0;jc=Xa(253,kc|0,(lc-(k[db>>2]|0)|0)/48|0|0)|0;lc=B;B=0;if(lc&1){ab=204;break}B=0;Ia(40,jc|0,149177,1)|0;jc=B;B=0;if(jc&1){ab=204;break}B=0;wa(510,E|0,Ma|0);jc=B;B=0;if(jc&1){ab=204;break}B=0;ya(424,E|0)|0;jc=B;B=0;if(jc&1){jc=Rb()|0;lc=Q;Yua(E);mc=jc;nc=lc;break}Yua(E);k[D>>2]=27468;k[Na>>2]=27488;k[Ma>>2]=27560;Yua(Wa);Ava(Ma);vva(Na);lc=F+56|0;jc=F+4|0;k[F>>2]=27524;k[lc>>2]=27544;B=0;wa(508,F+56|0,jc|0);kc=B;B=0;if(kc&1){kc=Rb()|0;oc=Q;pc=kc;vva(lc);Qb(pc|0)}k[F+128>>2]=0;k[F+132>>2]=-1;k[F>>2]=27468;k[lc>>2]=27488;B=0;va(448,jc|0);kc=B;B=0;do if(kc&1){qc=Rb()|0;rc=Q;sc=qc}else{k[jc>>2]=27560;qc=F+36|0;k[qc>>2]=0;k[qc+4>>2]=0;k[qc+8>>2]=0;k[qc+12>>2]=0;k[F+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,jc|0,d|0);tc=B;B=0;if(tc&1){tc=Rb()|0;uc=Q;Yua(d);Yua(qc);Ava(jc);rc=uc;sc=tc;break}Yua(d);B=0;tc=Ia(40,F|0,121897,40)|0;uc=B;B=0;f:do if(uc&1)ab=207;else{B=0;Xa(239,tc|0,0)|0;vc=B;B=0;if(vc&1){ab=207;break}vc=Ab(20)|0;B=0;eb(502,H|0,121503,60);wc=B;B=0;do if(!(wc&1)){B=0;eb(502,I|0,121664,21);xc=B;B=0;if(xc&1){xc=Rb()|0;yc=Q;Yua(H);zc=yc;Ac=xc;break}B=0;wa(510,J|0,jc|0);xc=B;B=0;if(xc&1){xc=Rb()|0;Bc=xc;Cc=Q;Dc=1}else{B=0;ua(163,vc|0,H|0,I|0,1354,J|0);xc=B;B=0;if(xc&1)Ec=1;else{B=0;eb(503,vc|0,1240,229);B=0;Ec=0}xc=Rb()|0;yc=Q;Yua(J);Bc=xc;Cc=yc;Dc=Ec}Yua(I);Yua(H);if(Dc){zc=Cc;Ac=Bc}else{Fc=Bc;Gc=Cc;break f}}else{yc=Rb()|0;zc=Q;Ac=yc}while(0);zb(vc|0);Fc=Ac;Gc=zc}while(0);if((ab|0)==207){tc=Rb()|0;Fc=tc;Gc=Q}k[F>>2]=27468;k[lc>>2]=27488;k[jc>>2]=27560;Yua(qc);Ava(jc);vva(lc);bb=Fc;cb=Gc;Qb(bb|0)}while(0);oc=rc;pc=sc;vva(lc);Qb(pc|0)}while(0);if((ab|0)==204){Ua=Rb()|0;mc=Ua;nc=Q}k[D>>2]=27468;k[Na>>2]=27488;k[Ma>>2]=27560;Yua(Wa);Ava(Ma);vva(Na);bb=mc;cb=nc;Qb(bb|0)}while(0);ec=gc;fc=hc;vva(Na);Qb(fc|0)}while(0);if((ab|0)==201){Oa=Rb()|0;cc=Oa;dc=Q}k[A>>2]=27468;k[q>>2]=27488;k[ob>>2]=27560;Yua(e);Ava(ob);vva(q);bb=cc;cb=dc;Qb(bb|0)}while(0);_b=ac;$b=bc;vva(q);Qb($b|0)}while(0);if((ab|0)==198){n=Rb()|0;Yb=n;Zb=Q}k[y>>2]=27468;k[Ta>>2]=27488;k[nb>>2]=27560;Yua(lb);Ava(nb);vva(Ta);bb=Yb;cb=Zb;Qb(bb|0)}while(0);Ub=Wb;Vb=Xb;vva(Ta);Qb(Vb|0)}else ab=195;while(0);if((ab|0)==195){m=Rb()|0;Sb=Q;Tb=m}k[w>>2]=27468;k[f>>2]=27488;k[qb>>2]=27560;Yua(pb);Ava(qb);vva(f);bb=Tb;cb=Sb;Qb(bb|0)}while(0);Mb=Ob;Nb=Pb;vva(f);Qb(Nb|0)}while(0);Nb=$pa(Ya)|0;Pb=k[Ya+12>>2]|0;if(Pb)Tqa(Pb);Pb=k[Ya+16>>2]|0;if(Pb)Tqa(Pb);Sqa(Ya);g:do if(($a|0)>5){Ya=K+56|0;Pb=K+4|0;k[K>>2]=27524;k[Ya>>2]=27544;B=0;wa(508,K+56|0,Pb|0);Ob=B;B=0;if(Ob&1){Ob=Rb()|0;Hc=Q;Ic=Ob;vva(Ya);Qb(Ic|0)}k[K+128>>2]=0;k[K+132>>2]=-1;k[K>>2]=27468;k[Ya>>2]=27488;B=0;va(448,Pb|0);Ob=B;B=0;do if(Ob&1){Mb=Rb()|0;Jc=Q;Kc=Mb}else{k[Pb>>2]=27560;Mb=K+36|0;k[Mb>>2]=0;k[Mb+4>>2]=0;k[Mb+8>>2]=0;k[Mb+12>>2]=0;k[K+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Pb|0,d|0);Sb=B;B=0;if(Sb&1){Sb=Rb()|0;Tb=Q;Yua(d);Yua(Mb);Ava(Pb);Jc=Tb;Kc=Sb;break}Yua(d);B=0;Ia(40,K|0,121938,23)|0;Sb=B;B=0;do if(Sb&1)ab=301;else{B=0;wa(510,L|0,Pb|0);Tb=B;B=0;if(Tb&1){ab=301;break}B=0;ya(424,L|0)|0;Tb=B;B=0;if(Tb&1){Tb=Rb()|0;w=Q;Yua(L);Lc=Tb;Mc=w;break}Yua(L);k[K>>2]=27468;k[Ya>>2]=27488;k[Pb>>2]=27560;Yua(Mb);Ava(Pb);vva(Ya);w=M+56|0;Tb=M+4|0;k[M>>2]=27524;k[w>>2]=27544;B=0;wa(508,M+56|0,Tb|0);Vb=B;B=0;if(Vb&1){Vb=Rb()|0;Nc=Q;Oc=Vb;vva(w);Qb(Oc|0)}k[M+128>>2]=0;k[M+132>>2]=-1;k[M>>2]=27468;k[w>>2]=27488;B=0;va(448,Tb|0);Vb=B;B=0;do if(Vb&1){Xb=Rb()|0;Pc=Q;Qc=Xb}else{k[Tb>>2]=27560;Xb=M+36|0;k[Xb>>2]=0;k[Xb+4>>2]=0;k[Xb+8>>2]=0;k[Xb+12>>2]=0;k[M+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Tb|0,d|0);Wb=B;B=0;if(Wb&1){Wb=Rb()|0;Ub=Q;Yua(d);Yua(Xb);Ava(Tb);Pc=Ub;Qc=Wb;break}Yua(d);B=0;Wb=Ia(40,M|0,121962,38)|0;Ub=B;B=0;do if(Ub&1)ab=304;else{B=0;Zb=Xa(253,Wb|0,k[Sa>>2]|0)|0;Yb=B;B=0;if(Yb&1){ab=304;break}B=0;Ia(40,Zb|0,149177,1)|0;Zb=B;B=0;if(Zb&1){ab=304;break}B=0;wa(510,N|0,Tb|0);Zb=B;B=0;if(Zb&1){ab=304;break}B=0;ya(424,N|0)|0;Zb=B;B=0;if(Zb&1){Zb=Rb()|0;Yb=Q;Yua(N);Rc=Zb;Sc=Yb;break}Yua(N);k[M>>2]=27468;k[w>>2]=27488;k[Tb>>2]=27560;Yua(Xb);Ava(Tb);vva(w);Yb=O+56|0;Zb=O+4|0;k[O>>2]=27524;k[Yb>>2]=27544;B=0;wa(508,O+56|0,Zb|0);y=B;B=0;if(y&1){y=Rb()|0;Tc=Q;Uc=y;vva(Yb);Qb(Uc|0)}k[O+128>>2]=0;k[O+132>>2]=-1;k[O>>2]=27468;k[Yb>>2]=27488;B=0;va(448,Zb|0);y=B;B=0;do if(y&1){$b=Rb()|0;Vc=Q;Wc=$b}else{k[Zb>>2]=27560;$b=O+36|0;k[$b>>2]=0;k[$b+4>>2]=0;k[$b+8>>2]=0;k[$b+12>>2]=0;k[O+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Zb|0,d|0);bc=B;B=0;if(bc&1){bc=Rb()|0;ac=Q;Yua(d);Yua($b);Ava(Zb);Vc=ac;Wc=bc;break}Yua(d);B=0;bc=Ia(40,O|0,122001,38)|0;ac=B;B=0;do if(ac&1)ab=307;else{B=0;_b=Xa(253,bc|0,k[Qa>>2]|0)|0;dc=B;B=0;if(dc&1){ab=307;break}B=0;Ia(40,_b|0,149177,1)|0;_b=B;B=0;if(_b&1){ab=307;break}B=0;wa(510,P|0,Zb|0);_b=B;B=0;if(_b&1){ab=307;break}B=0;ya(424,P|0)|0;_b=B;B=0;if(_b&1){_b=Rb()|0;dc=Q;Yua(P);Xc=_b;Yc=dc;break}Yua(P);k[O>>2]=27468;k[Yb>>2]=27488;k[Zb>>2]=27560;Yua($b);Ava(Zb);vva(Yb);dc=R+56|0;_b=R+4|0;k[R>>2]=27524;k[dc>>2]=27544;B=0;wa(508,R+56|0,_b|0);cc=B;B=0;if(cc&1){cc=Rb()|0;Zc=Q;_c=cc;vva(dc);Qb(_c|0)}k[R+128>>2]=0;k[R+132>>2]=-1;k[R>>2]=27468;k[dc>>2]=27488;B=0;va(448,_b|0);cc=B;B=0;do if(cc&1){A=Rb()|0;$c=Q;ad=A}else{k[_b>>2]=27560;A=R+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[R+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,_b|0,d|0);fc=B;B=0;if(fc&1){fc=Rb()|0;hc=Q;Yua(d);Yua(A);Ava(_b);$c=hc;ad=fc;break}Yua(d);B=0;fc=Ia(40,R|0,122040,38)|0;hc=B;B=0;do if(hc&1)ab=310;else{B=0;gc=Xa(253,fc|0,k[Pa>>2]|0)|0;ec=B;B=0;if(ec&1){ab=310;break}B=0;Ia(40,gc|0,149177,1)|0;gc=B;B=0;if(gc&1){ab=310;break}B=0;wa(510,S|0,_b|0);gc=B;B=0;if(gc&1){ab=310;break}B=0;ya(424,S|0)|0;gc=B;B=0;if(gc&1){gc=Rb()|0;ec=Q;Yua(S);bd=ec;cd=gc;break}Yua(S);k[R>>2]=27468;k[dc>>2]=27488;k[_b>>2]=27560;Yua(A);Ava(_b);vva(dc);gc=T+56|0;ec=T+4|0;k[T>>2]=27524;k[gc>>2]=27544;B=0;wa(508,T+56|0,ec|0);nc=B;B=0;if(nc&1){nc=Rb()|0;dd=Q;ed=nc;vva(gc);Qb(ed|0)}k[T+128>>2]=0;k[T+132>>2]=-1;k[T>>2]=27468;k[gc>>2]=27488;B=0;va(448,ec|0);nc=B;B=0;do if(nc&1){mc=Rb()|0;fd=Q;gd=mc}else{k[ec>>2]=27560;mc=T+36|0;k[mc>>2]=0;k[mc+4>>2]=0;k[mc+8>>2]=0;k[mc+12>>2]=0;k[T+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,ec|0,d|0);D=B;B=0;if(D&1){D=Rb()|0;pc=Q;Yua(d);Yua(mc);Ava(ec);fd=pc;gd=D;break}Yua(d);B=0;D=Ia(40,T|0,122079,38)|0;pc=B;B=0;do if(pc&1)ab=313;else{B=0;sc=Xa(253,D|0,Nb|0)|0;rc=B;B=0;if(rc&1){ab=313;break}B=0;Ia(40,sc|0,149177,1)|0;sc=B;B=0;if(sc&1){ab=313;break}B=0;wa(510,U|0,ec|0);sc=B;B=0;if(sc&1){ab=313;break}B=0;ya(424,U|0)|0;sc=B;B=0;if(sc&1){sc=Rb()|0;rc=Q;Yua(U);hd=sc;id=rc;break}Yua(U);k[T>>2]=27468;k[gc>>2]=27488;k[ec>>2]=27560;Yua(mc);Ava(ec);vva(gc);rc=V+56|0;sc=V+4|0;k[V>>2]=27524;k[rc>>2]=27544;B=0;wa(508,V+56|0,sc|0);oc=B;B=0;if(oc&1){oc=Rb()|0;jd=Q;kd=oc;vva(rc);Qb(kd|0)}k[V+128>>2]=0;k[V+132>>2]=-1;k[V>>2]=27468;k[rc>>2]=27488;B=0;va(448,sc|0);oc=B;B=0;do if(oc&1){Gc=Rb()|0;ld=Q;md=Gc}else{k[sc>>2]=27560;Gc=V+36|0;k[Gc>>2]=0;k[Gc+4>>2]=0;k[Gc+8>>2]=0;k[Gc+12>>2]=0;k[V+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,sc|0,d|0);Fc=B;B=0;if(Fc&1){Fc=Rb()|0;F=Q;Yua(d);Yua(Gc);Ava(sc);ld=F;md=Fc;break}Yua(d);B=0;Fc=Ia(40,V|0,122118,45)|0;F=B;B=0;do if(!(F&1)){B=0;zc=Xa(253,Fc|0,(k[Qa>>2]|0)-Nb+(k[Sa>>2]|0)|0)|0;Ac=B;B=0;if(Ac&1){ab=316;break}B=0;Ia(40,zc|0,149177,1)|0;zc=B;B=0;if(zc&1){ab=316;break}B=0;wa(510,W|0,sc|0);zc=B;B=0;if(zc&1){ab=316;break}B=0;ya(424,W|0)|0;zc=B;B=0;if(zc&1){zc=Rb()|0;Ac=Q;Yua(W);nd=zc;od=Ac;break}else{Yua(W);k[V>>2]=27468;k[rc>>2]=27488;k[sc>>2]=27560;Yua(Gc);Ava(sc);vva(rc);break g}}else ab=316;while(0);if((ab|0)==316){Fc=Rb()|0;nd=Fc;od=Q}k[V>>2]=27468;k[rc>>2]=27488;k[sc>>2]=27560;Yua(Gc);Ava(sc);vva(rc);bb=nd;cb=od;Qb(bb|0)}while(0);jd=ld;kd=md;vva(rc);Qb(kd|0)}while(0);if((ab|0)==313){D=Rb()|0;hd=D;id=Q}k[T>>2]=27468;k[gc>>2]=27488;k[ec>>2]=27560;Yua(mc);Ava(ec);vva(gc);bb=hd;cb=id;Qb(bb|0)}while(0);dd=fd;ed=gd;vva(gc);Qb(ed|0)}while(0);if((ab|0)==310){fc=Rb()|0;bd=Q;cd=fc}k[R>>2]=27468;k[dc>>2]=27488;k[_b>>2]=27560;Yua(A);Ava(_b);vva(dc);bb=cd;cb=bd;Qb(bb|0)}while(0);Zc=$c;_c=ad;vva(dc);Qb(_c|0)}while(0);if((ab|0)==307){bc=Rb()|0;Xc=bc;Yc=Q}k[O>>2]=27468;k[Yb>>2]=27488;k[Zb>>2]=27560;Yua($b);Ava(Zb);vva(Yb);bb=Xc;cb=Yc;Qb(bb|0)}while(0);Tc=Vc;Uc=Wc;vva(Yb);Qb(Uc|0)}while(0);if((ab|0)==304){Wb=Rb()|0;Rc=Wb;Sc=Q}k[M>>2]=27468;k[w>>2]=27488;k[Tb>>2]=27560;Yua(Xb);Ava(Tb);vva(w);bb=Rc;cb=Sc;Qb(bb|0)}while(0);Nc=Pc;Oc=Qc;vva(w);Qb(Oc|0)}while(0);if((ab|0)==301){Sb=Rb()|0;Lc=Sb;Mc=Q}k[K>>2]=27468;k[Ya>>2]=27488;k[Pb>>2]=27560;Yua(Mb);Ava(Pb);vva(Ya);bb=Lc;cb=Mc;Qb(bb|0)}while(0);Hc=Jc;Ic=Kc;vva(Ya);Qb(Ic|0)}while(0);Ic=(Nb|0)>0;if(Ic){Kc=a+12|0;Jc=0;Hc=0;Mc=0;while(1){Lc=k[Za+(Jc<<2)>>2]|0;if((Lc|0)<-1){K=-2-Lc|0;Oc=(K|0)/3|0;Qc=Z4((k[Kc>>2]|0)+(Oc*48|0)|0,(K|0)%3|0)|0;pd=(((Jc|0)<(gb|0)?1:(k[(k[Kc>>2]|0)+(Oc*48|0)+40>>2]|0)!=(k[Qc+40>>2]|0))&1)+Hc|0;qd=Mc}else{pd=Hc;qd=(Lc>>>31^1)+Mc|0}Jc=Jc+1|0;if((Jc|0)==(Nb|0)){rd=pd;sd=qd;break}else{Hc=pd;Mc=qd}}}else{rd=0;sd=0}qd=rd+sd|0;do if(qd){k[Pa>>2]=qd;sd=a+16|0;rd=k[sd>>2]|0;Mc=Rqa(qd>>>0>178956970?-1:qd*24|0)|0;k[sd>>2]=Mc;h:do if(($a|0)>4){Mc=X+56|0;pd=X+4|0;k[X>>2]=27524;k[Mc>>2]=27544;B=0;wa(508,X+56|0,pd|0);Hc=B;B=0;if(Hc&1){Hc=Rb()|0;td=Q;ud=Hc;vva(Mc);Qb(ud|0)}k[X+128>>2]=0;k[X+132>>2]=-1;k[X>>2]=27468;k[Mc>>2]=27488;B=0;va(448,pd|0);Hc=B;B=0;do if(Hc&1){Jc=Rb()|0;vd=Q;wd=Jc}else{k[pd>>2]=27560;Jc=X+36|0;k[Jc>>2]=0;k[Jc+4>>2]=0;k[Jc+8>>2]=0;k[Jc+12>>2]=0;k[X+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,pd|0,d|0);Kc=B;B=0;if(Kc&1){Kc=Rb()|0;Lc=Q;Yua(d);Yua(Jc);Ava(pd);vd=Lc;wd=Kc;break}Yua(d);B=0;Kc=Ia(40,X|0,122164,29)|0;Lc=B;B=0;do if(!(Lc&1)){B=0;Qc=Xa(253,Kc|0,k[Pa>>2]|0)|0;Oc=B;B=0;if(Oc&1){ab=341;break}B=0;Ia(40,Qc|0,149177,1)|0;Qc=B;B=0;if(Qc&1){ab=341;break}B=0;wa(510,Y|0,pd|0);Qc=B;B=0;if(Qc&1){ab=341;break}B=0;ya(424,Y|0)|0;Qc=B;B=0;if(Qc&1){Qc=Rb()|0;Oc=Q;Yua(Y);xd=Qc;yd=Oc;break}else{Yua(Y);k[X>>2]=27468;k[Mc>>2]=27488;k[pd>>2]=27560;Yua(Jc);Ava(pd);vva(Mc);break h}}else ab=341;while(0);if((ab|0)==341){Kc=Rb()|0;xd=Kc;yd=Q}k[X>>2]=27468;k[Mc>>2]=27488;k[pd>>2]=27560;Yua(Jc);Ava(pd);vva(Mc);bb=xd;cb=yd;Qb(bb|0)}while(0);td=vd;ud=wd;vva(Mc);Qb(ud|0)}while(0);i:do if(Ic){Ya=a+12|0;pd=Z+56|0;Hc=Z+4|0;Mb=Z+56|0;Kc=Z+128|0;Lc=Z+132|0;w=Z+36|0;Oc=Z+52|0;Qc=0;K=0;j:while(1){Pc=k[Za+(Qc<<2)>>2]|0;do if((Pc|0)<-1){Nc=-2-Pc|0;Sc=(Nc|0)/3|0;Rc=(Nc|0)%3|0;Nc=Z4((k[Ya>>2]|0)+(Sc*48|0)|0,Rc)|0;if((Qc|0)<(gb|0)?1:(k[(k[Ya>>2]|0)+(Sc*48|0)+40>>2]|0)!=(k[Nc+40>>2]|0)){zd=Sc;Ad=Rc;ab=348}else Bd=K}else{if((Pc|0)<=-1){Bd=K;break}zd=(Pc|0)/3|0;Ad=(Pc|0)%3|0;ab=348}while(0);do if((ab|0)==348){ab=0;Pc=K+1|0;if((K|0)<=-1){Bd=Pc;break}if((K|0)>=(k[Pa>>2]|0)){Bd=Pc;break}k[(k[sd>>2]|0)+(K*24|0)>>2]=k[(k[Ya>>2]|0)+(zd*48|0)+(j[52932+(Ad<<2)>>1]<<2)>>2];k[(k[sd>>2]|0)+(K*24|0)+4>>2]=k[(k[Ya>>2]|0)+(zd*48|0)+(j[52932+(Ad<<2)+2>>1]<<2)>>2];Jc=k[sd>>2]|0;Rc=Jc+(K*24|0)+12|0;k[Rc>>2]=0;if((Qc|0)>=(gb|0)){Sc=$4(k[Jc+(K*24|0)>>2]|0)|0;Nc=$4(k[(k[sd>>2]|0)+(K*24|0)+4>>2]|0)|0;k[(k[sd>>2]|0)+(K*24|0)+8>>2]=(Sc|0)<(Nc|0)?Sc:Nc;Bd=Pc;break}k[Jc+(K*24|0)+8>>2]=k[rd+(Qc*24|0)+8>>2];k[Rc>>2]=k[rd+(Qc*24|0)+12>>2];k[Z>>2]=27524;k[pd>>2]=27544;B=0;wa(508,Mb|0,Hc|0);Rc=B;B=0;if(Rc&1){ab=355;break j}k[Kc>>2]=0;k[Lc>>2]=-1;k[Z>>2]=27468;k[pd>>2]=27488;B=0;va(448,Hc|0);Rc=B;B=0;if(Rc&1){ab=356;break j}k[Hc>>2]=27560;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[Oc>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Hc|0,d|0);Rc=B;B=0;if(Rc&1){ab=354;break j}Yua(d);B=0;Ia(40,Z|0,122194,9)|0;Rc=B;B=0;if(Rc&1){ab=363;break j}B=0;wa(510,_|0,Hc|0);Rc=B;B=0;if(Rc&1){ab=363;break j}B=0;ya(424,_|0)|0;Rc=B;B=0;if(Rc&1){ab=364;break j}Yua(_);k[Z>>2]=27468;k[pd>>2]=27488;k[Hc>>2]=27560;Yua(w);Ava(Hc);vva(pd);Bd=Pc}while(0);Qc=Qc+1|0;if((Qc|0)>=(Nb|0)){Cd=Bd;break i}else K=Bd}if((ab|0)==354){K=Rb()|0;Qc=Q;Yua(d);Yua(w);Ava(Hc);Dd=Qc;Ed=K;ab=357}else if((ab|0)==355){K=Rb()|0;Fd=Q;Gd=K;vva(pd);Qb(Gd|0)}else if((ab|0)==356){K=Rb()|0;Dd=Q;Ed=K;ab=357}else if((ab|0)==363){K=Rb()|0;Hd=K;Id=Q;ab=365}else if((ab|0)==364){K=Rb()|0;Qc=Q;Yua(_);Hd=K;Id=Qc;ab=365}if((ab|0)==357){Fd=Dd;Gd=Ed;vva(pd);Qb(Gd|0)}else if((ab|0)==365){k[Z>>2]=27468;k[pd>>2]=27488;k[Hc>>2]=27560;Yua(w);Ava(Hc);vva(pd);bb=Hd;cb=Id;Qb(bb|0)}}else Cd=0;while(0);if((Cd|0)==(k[Pa>>2]|0)){if(!rd)break;Tqa(rd);break}sd=$+56|0;Qc=$+4|0;k[$>>2]=27524;k[sd>>2]=27544;B=0;wa(508,$+56|0,Qc|0);K=B;B=0;if(K&1){K=Rb()|0;Jd=Q;Kd=K;vva(sd);Qb(Kd|0)}k[$+128>>2]=0;k[$+132>>2]=-1;k[$>>2]=27468;k[sd>>2]=27488;B=0;va(448,Qc|0);K=B;B=0;do if(K&1){Oc=Rb()|0;Ld=Q;Md=Oc}else{k[Qc>>2]=27560;Oc=$+36|0;k[Oc>>2]=0;k[Oc+4>>2]=0;k[Oc+8>>2]=0;k[Oc+12>>2]=0;k[$+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Qc|0,d|0);Lc=B;B=0;if(Lc&1){Lc=Rb()|0;Kc=Q;Yua(d);Yua(Oc);Ava(Qc);Ld=Kc;Md=Lc;break}Yua(d);B=0;Lc=Ia(40,$|0,122204,64)|0;Kc=B;B=0;k:do if(Kc&1)ab=384;else{B=0;Xa(239,Lc|0,0)|0;Mb=B;B=0;if(Mb&1){ab=384;break}Mb=Ab(20)|0;B=0;eb(502,ba|0,121503,60);Ya=B;B=0;do if(!(Ya&1)){B=0;eb(502,ca|0,121664,21);Mc=B;B=0;if(Mc&1){Mc=Rb()|0;Pc=Q;Yua(ba);Nd=Mc;Od=Pc;break}B=0;wa(510,da|0,Qc|0);Pc=B;B=0;if(Pc&1){Pc=Rb()|0;Pd=1;Qd=Pc;Rd=Q}else{B=0;ua(163,Mb|0,ba|0,ca|0,1436,da|0);Pc=B;B=0;if(Pc&1)Sd=1;else{B=0;eb(503,Mb|0,1240,229);B=0;Sd=0}Pc=Rb()|0;Mc=Q;Yua(da);Pd=Sd;Qd=Pc;Rd=Mc}Yua(ca);Yua(ba);if(Pd){Nd=Qd;Od=Rd}else{Td=Qd;Ud=Rd;break k}}else{Mc=Rb()|0;Nd=Mc;Od=Q}while(0);zb(Mb|0);Td=Nd;Ud=Od}while(0);if((ab|0)==384){Lc=Rb()|0;Td=Lc;Ud=Q}k[$>>2]=27468;k[sd>>2]=27488;k[Qc>>2]=27560;Yua(Oc);Ava(Qc);vva(sd);bb=Td;cb=Ud;Qb(bb|0)}while(0);Jd=Ld;Kd=Md;vva(sd);Qb(Kd|0)}while(0);Kd=k[Sa>>2]|0;if((Kd|0)>0){Md=k[a+8>>2]|0;Ld=0;do{k[Md+(Ld*72|0)+64>>2]=0;Ld=Ld+1|0;Jd=k[Sa>>2]|0}while((Ld|0)<(Jd|0));Vd=Jd}else Vd=Kd;Kd=k[Pa>>2]|0;if((Kd|0)>0){Ld=k[a+16>>2]|0;Md=0;do{Jd=(k[Ld+(Md*24|0)>>2]|0)+64|0;k[Jd>>2]=(k[Jd>>2]|0)+1;Jd=(k[Ld+(Md*24|0)+4>>2]|0)+64|0;k[Jd>>2]=(k[Jd>>2]|0)+1;Md=Md+1|0;Jd=k[Pa>>2]|0}while((Md|0)<(Jd|0));Wd=Jd;Xd=k[Sa>>2]|0;Yd=Wd}else{Xd=Vd;Yd=Kd}if((Xd|0)>0){Xd=k[a+8>>2]|0;Kd=0;do{Vd=Xd+(Kd*72|0)+64|0;k[Vd>>2]=(k[Vd>>2]|0)==2?-1:-2;Kd=Kd+1|0}while((Kd|0)<(k[Sa>>2]|0));Zd=k[Pa>>2]|0}else Zd=Yd;l:do if((Zd|0)>0){Yd=a+16|0;Kd=0;m:while(1){Xd=Kd<<1;Vd=k[Yd>>2]|0;Wd=k[Vd+(Kd*24|0)>>2]|0;Md=Wd+64|0;Ld=k[Md>>2]|0;do if((Ld|0)<0){k[Vd+(Kd*24|0)+16>>2]=0;if((Ld|0)!=-1)break;k[Md>>2]=Xd}else{Jd=(Ld|0)%2|0;Ud=(Ld|0)/2|0;if((Wd|0)!=(k[Vd+(Ud*24|0)+(Jd<<2)>>2]|0))break m;k[Vd+(Kd*24|0)+16>>2]=Vd+(Ud*24|0);Td=k[Yd>>2]|0;k[Td+(Ud*24|0)+16+(Jd<<2)>>2]=Td+(Kd*24|0);k[Md>>2]=-3}while(0);Md=k[Yd>>2]|0;Vd=k[Md+(Kd*24|0)+4>>2]|0;Wd=Vd+64|0;Ld=k[Wd>>2]|0;do if((Ld|0)<0){k[Md+(Kd*24|0)+20>>2]=0;if((Ld|0)!=-1)break;k[Wd>>2]=Xd|1}else{Oc=(Ld|0)%2|0;Td=(Ld|0)/2|0;if((Vd|0)!=(k[Md+(Td*24|0)+(Oc<<2)>>2]|0))break m;k[Md+(Kd*24|0)+20>>2]=Md+(Td*24|0);Jd=k[Yd>>2]|0;k[Jd+(Td*24|0)+16+(Oc<<2)>>2]=Jd+(Kd*24|0);k[Wd>>2]=-3}while(0);Kd=Kd+1|0;if((Kd|0)>=(k[Pa>>2]|0))break l}Kd=ea+56|0;Yd=ea+4|0;k[ea>>2]=27524;k[Kd>>2]=27544;B=0;wa(508,ea+56|0,Yd|0);sd=B;B=0;if(sd&1){sd=Rb()|0;_d=Q;$d=sd;vva(Kd);Qb($d|0)}k[ea+128>>2]=0;k[ea+132>>2]=-1;k[ea>>2]=27468;k[Kd>>2]=27488;B=0;va(448,Yd|0);sd=B;B=0;do if(sd&1){Wd=Rb()|0;ae=Q;be=Wd}else{k[Yd>>2]=27560;Wd=ea+36|0;k[Wd>>2]=0;k[Wd+4>>2]=0;k[Wd+8>>2]=0;k[Wd+12>>2]=0;k[ea+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Yd|0,d|0);Md=B;B=0;if(Md&1){Md=Rb()|0;Vd=Q;Yua(d);Yua(Wd);Ava(Yd);ae=Vd;be=Md;break}Yua(d);B=0;Md=Ia(40,ea|0,122269,78)|0;Vd=B;B=0;n:do if(Vd&1)ab=426;else{B=0;Xa(239,Md|0,0)|0;Ld=B;B=0;if(Ld&1){ab=426;break}Ld=Ab(20)|0;B=0;eb(502,fa|0,121503,60);Xd=B;B=0;do if(!(Xd&1)){B=0;eb(502,ga|0,121664,21);Jd=B;B=0;if(Jd&1){Jd=Rb()|0;Oc=Q;Yua(fa);ce=Oc;de=Jd;break}B=0;wa(510,ha|0,Yd|0);Jd=B;B=0;if(Jd&1){Jd=Rb()|0;ee=1;fe=Jd;ge=Q}else{B=0;ua(163,Ld|0,fa|0,ga|0,1481,ha|0);Jd=B;B=0;if(Jd&1)he=1;else{B=0;eb(503,Ld|0,1240,229);B=0;he=0}Jd=Rb()|0;Oc=Q;Yua(ha);ee=he;fe=Jd;ge=Oc}Yua(ga);Yua(fa);if(ee){ce=ge;de=fe}else{ie=fe;je=ge;break n}}else{Oc=Rb()|0;ce=Q;de=Oc}while(0);zb(Ld|0);ie=de;je=ce}while(0);if((ab|0)==426){Md=Rb()|0;ie=Md;je=Q}k[ea>>2]=27468;k[Kd>>2]=27488;k[Yd>>2]=27560;Yua(Wd);Ava(Yd);vva(Kd);bb=ie;cb=je;Qb(bb|0)}while(0);_d=ae;$d=be;vva(Kd);Qb($d|0)}while(0);$d=a+60|0;if(k[$d>>2]|0){be=ia+56|0;ae=ia+4|0;k[ia>>2]=27524;k[be>>2]=27544;B=0;wa(508,ia+56|0,ae|0);_d=B;B=0;if(_d&1){_d=Rb()|0;ke=Q;le=_d;vva(be);Qb(le|0)}k[ia+128>>2]=0;k[ia+132>>2]=-1;k[ia>>2]=27468;k[be>>2]=27488;B=0;va(448,ae|0);_d=B;B=0;do if(_d&1){je=Rb()|0;me=Q;ne=je}else{k[ae>>2]=27560;je=ia+36|0;k[je>>2]=0;k[je+4>>2]=0;k[je+8>>2]=0;k[je+12>>2]=0;k[ia+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,ae|0,d|0);ie=B;B=0;if(ie&1){ie=Rb()|0;ea=Q;Yua(d);Yua(je);Ava(ae);me=ea;ne=ie;break}Yua(d);B=0;ie=Ia(40,ia|0,122348,24)|0;ea=B;B=0;o:do if(ea&1)ab=452;else{B=0;Xa(239,ie|0,0)|0;ce=B;B=0;if(ce&1){ab=452;break}ce=Ab(20)|0;B=0;eb(502,ja|0,121503,60);de=B;B=0;do if(!(de&1)){B=0;eb(502,ka|0,121664,21);ge=B;B=0;if(ge&1){ge=Rb()|0;fe=Q;Yua(ja);oe=ge;pe=fe;break}B=0;wa(510,la|0,ae|0);fe=B;B=0;if(fe&1){fe=Rb()|0;qe=1;re=fe;se=Q}else{B=0;ua(163,ce|0,ja|0,ka|0,1498,la|0);fe=B;B=0;if(fe&1)te=1;else{B=0;eb(503,ce|0,1240,229);B=0;te=0}fe=Rb()|0;ge=Q;Yua(la);qe=te;re=fe;se=ge}Yua(ka);Yua(ja);if(qe){oe=re;pe=se}else{ue=re;ve=se;break o}}else{ge=Rb()|0;oe=ge;pe=Q}while(0);zb(ce|0);ue=oe;ve=pe}while(0);if((ab|0)==452){ie=Rb()|0;ue=ie;ve=Q}k[ia>>2]=27468;k[be>>2]=27488;k[ae>>2]=27560;Yua(je);Ava(ae);vva(be);bb=ue;cb=ve;Qb(bb|0)}while(0);ke=me;le=ne;vva(be);Qb(le|0)}k[$d>>2]=0;le=k[Qa>>2]|0;be=Rqa(le>>>0>1073741823?-1:le<<2)|0;if((le|0)>0){WEa(be|0,-1,((le|0)>1?le:1)<<2|0)|0;ne=a+12|0;me=Za+4|0;ke=0;ve=le;le=0;while(1){ue=be+(le<<2)|0;if((k[ue>>2]|0)<0){k[ue>>2]=ke;ue=k[(k[ne>>2]|0)+(le*48|0)+40>>2]|0;k[Za>>2]=le;k[me>>2]=0;ae=1;p:while(1){ia=Za+(ae<<2)|0;pe=Za+(ae+-1<<2)|0;oe=k[ia>>2]|0;k[ia>>2]=oe+1;q:do if((oe|0)<3){se=oe;r:while(1){re=(k[ne>>2]|0)+((k[pe>>2]|0)*48|0)|0;qe=Z4(re,se)|0;do if((qe|0)!=0&(P4(re,se)|0)==0){ja=(qe-(k[ne>>2]|0)|0)/48|0;ka=be+(ja<<2)|0;if((k[ka>>2]|0)!=-1)break;if((k[qe+40>>2]|0)==(ue|0)){we=ja;xe=ka;break r}}while(0);se=k[ia>>2]|0;k[ia>>2]=se+1;if((se|0)>=3)break q}se=k[$d>>2]|0;k[xe>>2]=se;k[Za+(ae+1<<2)>>2]=we;Ld=ae+2|0;k[Za+(Ld<<2)>>2]=0;if((ae|0)>-2){ae=Ld;continue p}else{ye=se;break p}}while(0);if((ae|0)>2)ae=ae+-2|0;else{ab=471;break}}if((ab|0)==471){ab=0;ye=k[$d>>2]|0}ae=ye+1|0;k[$d>>2]=ae;ze=k[Qa>>2]|0;Ae=ae}else{ze=ve;Ae=ke}le=le+1|0;if((le|0)>=(ze|0)){Be=Ae;break}else{ke=Ae;ve=ze}}}else Be=0;ze=($a|0)>3;s:do if(ze){$a=ma+56|0;ve=ma+4|0;k[ma>>2]=27524;k[$a>>2]=27544;B=0;wa(508,ma+56|0,ve|0);Ae=B;B=0;if(Ae&1){Ae=Rb()|0;Ce=Q;De=Ae;vva($a);Qb(De|0)}k[ma+128>>2]=0;k[ma+132>>2]=-1;k[ma>>2]=27468;k[$a>>2]=27488;B=0;va(448,ve|0);Ae=B;B=0;do if(Ae&1){ke=Rb()|0;Ee=Q;Fe=ke}else{k[ve>>2]=27560;ke=ma+36|0;k[ke>>2]=0;k[ke+4>>2]=0;k[ke+8>>2]=0;k[ke+12>>2]=0;k[ma+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,ve|0,d|0);le=B;B=0;if(le&1){le=Rb()|0;ye=Q;Yua(d);Yua(ke);Ava(ve);Ee=ye;Fe=le;break}Yua(d);B=0;le=Ia(40,ma|0,122373,33)|0;ye=B;B=0;do if(!(ye&1)){B=0;we=Xa(253,le|0,k[$d>>2]|0)|0;xe=B;B=0;if(xe&1){ab=489;break}B=0;Ia(40,we|0,149177,1)|0;we=B;B=0;if(we&1){ab=489;break}B=0;wa(510,na|0,ve|0);we=B;B=0;if(we&1){ab=489;break}B=0;ya(424,na|0)|0;we=B;B=0;if(we&1){we=Rb()|0;xe=Q;Yua(na);Ge=we;He=xe;break}else{Yua(na);k[ma>>2]=27468;k[$a>>2]=27488;k[ve>>2]=27560;Yua(ke);Ava(ve);vva($a);Ie=k[$d>>2]|0;break s}}else ab=489;while(0);if((ab|0)==489){le=Rb()|0;Ge=le;He=Q}k[ma>>2]=27468;k[$a>>2]=27488;k[ve>>2]=27560;Yua(ke);Ava(ve);vva($a);bb=Ge;cb=He;Qb(bb|0)}while(0);Ce=Ee;De=Fe;vva($a);Qb(De|0)}else Ie=Be;while(0);Be=Rqa(Ie>>>0>268435455?-1:Ie<<4)|0;De=a+28|0;k[De>>2]=Be;if((Ie|0)>0){Fe=0;do{k[Be+(Fe<<4)>>2]=0;Fe=Fe+1|0}while((Fe|0)<(Ie|0))}if((k[Qa>>2]|0)>0){Fe=a+12|0;Be=0;Ee=0;while(1){Ce=be+(Be<<2)|0;He=Z4((k[Fe>>2]|0)+(Be*48|0)|0,0)|0;if((He|0)!=0?(Ge=k[Fe>>2]|0,(k[He+40>>2]|0)==(k[Ge+(Be*48|0)+40>>2]|0)):0){Je=Ge;Ke=Ee}else ab=498;do if((ab|0)==498){ab=0;Ge=k[Ce>>2]|0;He=k[De>>2]|0;ma=He+(Ge<<4)|0;na=k[Fe>>2]|0;if(k[ma>>2]|0){Je=na;Ke=Ee;break}k[ma>>2]=na+(Be*48|0);k[He+(Ge<<4)+4>>2]=k[na+(Be*48|0)+40>>2];k[He+(Ge<<4)+8>>2]=0;k[He+(Ge<<4)+12>>2]=0;Je=na;Ke=Ee+1|0}while(0);$a=Z4(Je+(Be*48|0)|0,1)|0;if(($a|0)!=0?(na=k[Fe>>2]|0,(k[$a+40>>2]|0)==(k[na+(Be*48|0)+40>>2]|0)):0){Le=na;Me=Ke}else ab=652;do if((ab|0)==652){ab=0;na=k[Ce>>2]|0;$a=k[De>>2]|0;Ge=$a+(na<<4)|0;He=k[Fe>>2]|0;if(k[Ge>>2]|0){Le=He;Me=Ke;break}k[Ge>>2]=He+(Be*48|0);k[$a+(na<<4)+4>>2]=k[He+(Be*48|0)+40>>2];k[$a+(na<<4)+8>>2]=1;k[$a+(na<<4)+12>>2]=0;Le=He;Me=Ke+1|0}while(0);He=Z4(Le+(Be*48|0)|0,2)|0;if((He|0)!=0?(k[He+40>>2]|0)==(k[(k[Fe>>2]|0)+(Be*48|0)+40>>2]|0):0)Ne=Me;else ab=656;do if((ab|0)==656){ab=0;He=k[Ce>>2]|0;na=k[De>>2]|0;$a=na+(He<<4)|0;if(k[$a>>2]|0){Ne=Me;break}Ge=k[Fe>>2]|0;k[$a>>2]=Ge+(Be*48|0);k[na+(He<<4)+4>>2]=k[Ge+(Be*48|0)+40>>2];k[na+(He<<4)+8>>2]=2;k[na+(He<<4)+12>>2]=0;Ne=Me+1|0}while(0);Be=Be+1|0;if((Be|0)>=(k[Qa>>2]|0)){Oe=Ne;break}else Ee=Ne}Pe=k[$d>>2]|0;Qe=Oe}else{Pe=Ie;Qe=0}Tqa(be);if((Qe|0)!=(Pe|0)){Pe=oa+56|0;Qe=oa+4|0;k[oa>>2]=27524;k[Pe>>2]=27544;B=0;wa(508,oa+56|0,Qe|0);be=B;B=0;if(be&1){be=Rb()|0;Re=Q;Se=be;vva(Pe);Qb(Se|0)}k[oa+128>>2]=0;k[oa+132>>2]=-1;k[oa>>2]=27468;k[Pe>>2]=27488;B=0;va(448,Qe|0);be=B;B=0;do if(be&1){Ie=Rb()|0;Te=Q;Ue=Ie}else{k[Qe>>2]=27560;Ie=oa+36|0;k[Ie>>2]=0;k[Ie+4>>2]=0;k[Ie+8>>2]=0;k[Ie+12>>2]=0;k[oa+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Qe|0,d|0);Oe=B;B=0;if(Oe&1){Oe=Rb()|0;Ne=Q;Yua(d);Yua(Ie);Ava(Qe);Te=Ne;Ue=Oe;break}Yua(d);B=0;Oe=Ia(40,oa|0,122407,16)|0;Ne=B;B=0;t:do if(Ne&1)ab=518;else{B=0;Xa(239,Oe|0,0)|0;Ee=B;B=0;if(Ee&1){ab=518;break}Ee=Ab(20)|0;B=0;eb(502,pa|0,121503,60);Be=B;B=0;do if(!(Be&1)){B=0;eb(502,qa|0,121664,21);Me=B;B=0;if(Me&1){Me=Rb()|0;Fe=Q;Yua(pa);Ve=Me;We=Fe;break}B=0;wa(510,ra|0,Qe|0);Fe=B;B=0;if(Fe&1){Fe=Rb()|0;Xe=1;Ye=Fe;Ze=Q}else{B=0;ua(163,Ee|0,pa|0,qa|0,1567,ra|0);Fe=B;B=0;if(Fe&1)_e=1;else{B=0;eb(503,Ee|0,1240,229);B=0;_e=0}Fe=Rb()|0;Me=Q;Yua(ra);Xe=_e;Ye=Fe;Ze=Me}Yua(qa);Yua(pa);if(Xe){Ve=Ye;We=Ze}else{$e=Ye;af=Ze;break t}}else{Me=Rb()|0;Ve=Me;We=Q}while(0);zb(Ee|0);$e=Ve;af=We}while(0);if((ab|0)==518){Oe=Rb()|0;$e=Oe;af=Q}k[oa>>2]=27468;k[Pe>>2]=27488;k[Qe>>2]=27560;Yua(Ie);Ava(Qe);vva(Pe);bb=$e;cb=af;Qb(bb|0)}while(0);Re=Te;Se=Ue;vva(Pe);Qb(Se|0)}Tqa(Za);Za=k[Sa>>2]|0;Se=Rqa(Za>>>0>1073741823?-1:Za<<2)|0;Pe=(Za|0)>0;if(Pe)WEa(Se|0,-1,((Za|0)>1?Za:1)<<2|0)|0;Ue=k[Pa>>2]|0;if((Ue|0)>0){Te=k[a+16>>2]|0;Re=k[a+8>>2]|0;af=0;do{k[Se+((((k[Te+(af*24|0)>>2]|0)-Re|0)/72|0)<<2)>>2]=0;k[Se+((((k[Te+(af*24|0)+4>>2]|0)-Re|0)/72|0)<<2)>>2]=0;af=af+1|0}while((af|0)<(Ue|0))}if(Pe){Pe=0;af=0;while(1){Re=Se+(Pe<<2)|0;if(!(k[Re>>2]|0)){k[Re>>2]=af;bf=af+1|0}else bf=af;Pe=Pe+1|0;if((Pe|0)>=(Za|0)){cf=bf;break}else af=bf}}else cf=0;k[(k[a>>2]|0)+4>>2]=cf;k[(k[a>>2]|0)+8>>2]=Ue;bf=Rqa(cf>>>0>59652323?-1:cf*72|0)|0;do if(!cf)df=Ue;else{af=bf+(cf*72|0)|0;Za=bf;while(1){B=0;va(530,Za|0);Pe=B;B=0;if(Pe&1)break;k[Za+68>>2]=0;Za=Za+72|0;if((Za|0)==(af|0)){ab=539;break}}if((ab|0)==539){df=k[Pa>>2]|0;break}af=Rb()|0;Za=Q;Tqa(bf);bb=af;cb=Za;Qb(bb|0)}while(0);k[(k[a>>2]|0)+20>>2]=bf;bf=Rqa(df>>>0>59652323?-1:df*72|0)|0;if(df){cf=bf+(df*72|0)|0;df=bf;do{Ue=df+16|0;df=df+72|0;k[Ue>>2]=0;k[Ue+4>>2]=0;k[Ue+8>>2]=0;k[Ue+12>>2]=0;k[Ue+16>>2]=0;k[Ue+20>>2]=0;k[Ue+24>>2]=0;k[Ue+28>>2]=0}while((df|0)!=(cf|0))}k[(k[a>>2]|0)+24>>2]=bf;bf=k[$d>>2]|0;k[(k[a>>2]|0)+12>>2]=bf;cf=Rqa(bf>>>0>357913941?-1:bf*12|0)|0;k[(k[a>>2]|0)+32>>2]=cf;u:do if(ze){cf=sa+56|0;bf=sa+4|0;k[sa>>2]=27524;k[cf>>2]=27544;B=0;wa(508,sa+56|0,bf|0);df=B;B=0;if(df&1){df=Rb()|0;ef=Q;ff=df;vva(cf);Qb(ff|0)}k[sa+128>>2]=0;k[sa+132>>2]=-1;k[sa>>2]=27468;k[cf>>2]=27488;B=0;va(448,bf|0);df=B;B=0;do if(df&1){Ue=Rb()|0;gf=Q;hf=Ue}else{k[bf>>2]=27560;Ue=sa+36|0;k[Ue>>2]=0;k[Ue+4>>2]=0;k[Ue+8>>2]=0;k[Ue+12>>2]=0;k[sa+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,bf|0,d|0);Za=B;B=0;if(Za&1){Za=Rb()|0;af=Q;Yua(d);Yua(Ue);Ava(bf);gf=af;hf=Za;break}Yua(d);B=0;Za=Ia(40,sa|0,122424,24)|0;af=B;B=0;do if(!(af&1)){B=0;Ie=Xa(253,Za|0,k[(k[a>>2]|0)+4>>2]|0)|0;Pe=B;B=0;if(Pe&1){ab=561;break}B=0;Pe=Ia(40,Ie|0,122449,22)|0;Ie=B;B=0;if(Ie&1){ab=561;break}B=0;Ie=Xa(253,Pe|0,k[(k[a>>2]|0)+8>>2]|0)|0;Pe=B;B=0;if(Pe&1){ab=561;break}B=0;Ia(40,Ie|0,149177,1)|0;Ie=B;B=0;if(Ie&1){ab=561;break}B=0;wa(510,ta|0,bf|0);Ie=B;B=0;if(Ie&1){ab=561;break}B=0;ya(424,ta|0)|0;Ie=B;B=0;if(Ie&1){Ie=Rb()|0;Pe=Q;Yua(ta);jf=Ie;kf=Pe;break}else{Yua(ta);k[sa>>2]=27468;k[cf>>2]=27488;k[bf>>2]=27560;Yua(Ue);Ava(bf);vva(cf);break u}}else ab=561;while(0);if((ab|0)==561){Za=Rb()|0;jf=Za;kf=Q}k[sa>>2]=27468;k[cf>>2]=27488;k[bf>>2]=27560;Yua(Ue);Ava(bf);vva(cf);bb=jf;cb=kf;Qb(bb|0)}while(0);ef=gf;ff=hf;vva(cf);Qb(ff|0)}while(0);ff=k[(k[a>>2]|0)+4>>2]|0;k[a+152>>2]=ff;hf=Rqa(ff>>>0>178956970?-1:ff*24|0)|0;v:do if(ff){gf=hf+(ff*24|0)|0;ef=hf;while(1){B=0;va(531,ef|0);kf=B;B=0;if(kf&1)break;ef=ef+24|0;if((ef|0)==(gf|0))break v}gf=Rb()|0;ef=Q;Tqa(hf);bb=gf;cb=ef;Qb(bb|0)}while(0);ff=a+156|0;k[ff>>2]=hf;k[a+160>>2]=0;k[a+164>>2]=0;hf=k[Sa>>2]|0;if((hf|0)>0){ef=a+8|0;gf=hf;hf=0;while(1){cf=k[Se+(hf<<2)>>2]|0;if((cf|0)>-1){kf=k[(k[a>>2]|0)+20>>2]|0;jf=kf+(cf*72|0)|0;sa=(k[ef>>2]|0)+(hf*72|0)|0;ta=jf+68|0;do{k[jf>>2]=k[sa>>2];jf=jf+4|0;sa=sa+4|0}while((jf|0)<(ta|0));k[kf+(cf*72|0)+64>>2]=0;sa=(k[ff>>2]|0)+(cf*24|0)|0;dqa(xa,(k[ef>>2]|0)+(hf*72|0)|0,(k[(k[a>>2]|0)+20>>2]|0)+(cf*72|0)|0);k[sa>>2]=k[xa>>2];k[sa+4>>2]=k[xa+4>>2];k[sa+8>>2]=k[xa+8>>2];k[sa+12>>2]=k[xa+12>>2];k[sa+16>>2]=k[xa+16>>2];lf=k[Sa>>2]|0}else lf=gf;hf=hf+1|0;if((hf|0)>=(lf|0))break;else gf=lf}}lf=k[a>>2]|0;gf=lf+40|0;hf=(k[lf+20>>2]|0)+8|0;k[gf>>2]=k[hf>>2];k[gf+4>>2]=k[hf+4>>2];k[gf+8>>2]=k[hf+8>>2];k[gf+12>>2]=k[hf+12>>2];hf=k[a>>2]|0;gf=hf+56|0;lf=(k[hf+20>>2]|0)+8|0;k[gf>>2]=k[lf>>2];k[gf+4>>2]=k[lf+4>>2];k[gf+8>>2]=k[lf+8>>2];k[gf+12>>2]=k[lf+12>>2];lf=k[a>>2]|0;if((k[lf+4>>2]|0)>0){gf=lf;hf=0;while(1){xa=gf+40|0;La=+p[xa>>3];_a=+p[(k[gf+20>>2]|0)+(hf*72|0)+8>>3];p[xa>>3]=La<_a?La:_a;xa=k[a>>2]|0;ef=xa+48|0;_a=+p[ef>>3];La=+p[(k[xa+20>>2]|0)+(hf*72|0)+16>>3];p[ef>>3]=_a<La?_a:La;ef=k[a>>2]|0;xa=ef+56|0;La=+p[xa>>3];_a=+p[(k[ef+20>>2]|0)+(hf*72|0)+8>>3];p[xa>>3]=La>_a?La:_a;xa=k[a>>2]|0;ef=xa+64|0;_a=+p[ef>>3];La=+p[(k[xa+20>>2]|0)+(hf*72|0)+16>>3];p[ef>>3]=_a>La?_a:La;hf=hf+1|0;ef=k[a>>2]|0;if((hf|0)>=(k[ef+4>>2]|0)){mf=ef;break}else gf=ef}}else mf=lf;lf=mf+40|0;La=+p[lf>>3];gf=mf+48|0;_a=+p[gf>>3];nf=(+p[mf+56>>3]-La)*.05;of=(+p[mf+64>>3]-_a)*.05;p[lf>>3]=La-nf;p[gf>>3]=_a-of;gf=k[a>>2]|0;lf=gf+56|0;p[lf>>3]=nf+ +p[lf>>3];lf=gf+64|0;p[lf>>3]=of+ +p[lf>>3];lf=k[a>>2]|0;of=+p[lf+56>>3]-+p[lf+40>>3];nf=+p[lf+64>>3]-+p[lf+48>>3];p[lf+72>>3]=1073741823.0/(of>nf?of:nf);lf=k[a>>2]|0;if(+p[lf+72>>3]<=0.0){Tqa(Se);gf=za+56|0;mf=za+4|0;k[za>>2]=27524;k[gf>>2]=27544;B=0;wa(508,za+56|0,mf|0);hf=B;B=0;if(hf&1){hf=Rb()|0;pf=Q;qf=hf;vva(gf);Qb(qf|0)}k[za+128>>2]=0;k[za+132>>2]=-1;k[za>>2]=27468;k[gf>>2]=27488;B=0;va(448,mf|0);hf=B;B=0;do if(hf&1){ef=Rb()|0;rf=Q;sf=ef}else{k[mf>>2]=27560;ef=za+36|0;k[ef>>2]=0;k[ef+4>>2]=0;k[ef+8>>2]=0;k[ef+12>>2]=0;k[za+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,mf|0,d|0);xa=B;B=0;if(xa&1){xa=Rb()|0;ff=Q;Yua(d);Yua(ef);Ava(mf);rf=ff;sf=xa;break}Yua(d);B=0;xa=Ia(40,za|0,122472,60)|0;ff=B;B=0;w:do if(ff&1)ab=592;else{B=0;Xa(239,xa|0,0)|0;sa=B;B=0;if(sa&1){ab=592;break}sa=Ab(20)|0;B=0;eb(502,Aa|0,121503,60);jf=B;B=0;do if(!(jf&1)){B=0;eb(502,Ba|0,121664,21);ta=B;B=0;if(ta&1){ta=Rb()|0;ze=Q;Yua(Aa);tf=ta;uf=ze;break}B=0;wa(510,Ca|0,mf|0);ze=B;B=0;if(ze&1){ze=Rb()|0;vf=1;wf=ze;xf=Q}else{B=0;ua(163,sa|0,Aa|0,Ba|0,1628,Ca|0);ze=B;B=0;if(ze&1)yf=1;else{B=0;eb(503,sa|0,1240,229);B=0;yf=0}ze=Rb()|0;ta=Q;Yua(Ca);vf=yf;wf=ze;xf=ta}Yua(Ba);Yua(Aa);if(vf){tf=wf;uf=xf}else{zf=wf;Af=xf;break w}}else{ta=Rb()|0;tf=ta;uf=Q}while(0);zb(sa|0);zf=tf;Af=uf}while(0);if((ab|0)==592){xa=Rb()|0;zf=xa;Af=Q}k[za>>2]=27468;k[gf>>2]=27488;k[mf>>2]=27560;Yua(ef);Ava(mf);vva(gf);bb=zf;cb=Af;Qb(bb|0)}while(0);pf=rf;qf=sf;vva(gf);Qb(qf|0)}qf=lf+4|0;lf=k[qf>>2]|0;gf=Rqa(lf>>>0>536870911?-1:lf<<3)|0;lf=k[qf>>2]|0;if((lf|0)>0)WEa(gf|0,0,((lf|0)>1?lf:1)<<3|0)|0;lf=Qqa(20)|0;B=0;eb(522,lf|0,k[Pa>>2]|0,k[Sa>>2]|0);Sa=B;B=0;if(Sa&1){Sa=Rb()|0;qf=Q;Sqa(lf);bb=Sa;cb=qf;Qb(bb|0)}x:do if((k[Pa>>2]|0)>0){qf=a+16|0;Sa=a+8|0;nf=G;sf=0;while(1){rf=k[qf>>2]|0;pf=k[Sa>>2]|0;Af=((k[rf+(sf*24|0)>>2]|0)-pf|0)/72|0;zf=((k[rf+(sf*24|0)+4>>2]|0)-pf|0)/72|0;pf=k[Se+(Af<<2)>>2]|0;rf=k[Se+(zf<<2)>>2]|0;mf=k[a>>2]|0;k[(k[mf+24>>2]|0)+(sf*72|0)>>2]=(k[mf+20>>2]|0)+(pf*72|0);mf=k[a>>2]|0;k[(k[mf+24>>2]|0)+(sf*72|0)+4>>2]=(k[mf+20>>2]|0)+(rf*72|0);k[(k[(k[a>>2]|0)+24>>2]|0)+(sf*72|0)+64>>2]=0;mf=(k[(k[a>>2]|0)+24>>2]|0)+(sf*72|0)+16|0;k[mf>>2]=0;k[mf+4>>2]=0;k[mf+8>>2]=0;k[mf+12>>2]=0;mf=(k[(k[a>>2]|0)+24>>2]|0)+(sf*72|0)+32|0;k[mf>>2]=0;k[mf+4>>2]=0;k[mf+8>>2]=0;k[mf+12>>2]=0;mf=k[qf>>2]|0;za=mf+(sf*24|0)+12|0;uf=(k[za>>2]|0)==0;k[za>>2]=(k[(k[a>>2]|0)+24>>2]|0)+(sf*72|0);if(uf)Bf=mf;else{Apa(k[(k[(k[a>>2]|0)+24>>2]|0)+(sf*72|0)>>2]|0);Apa(k[(k[(k[a>>2]|0)+24>>2]|0)+(sf*72|0)+4>>2]|0);wpa((k[(k[a>>2]|0)+24>>2]|0)+(sf*72|0)|0);Bf=k[qf>>2]|0}mf=k[(k[a>>2]|0)+20>>2]|0;of=+p[mf+(pf*72|0)+8>>3]-+p[mf+(rf*72|0)+8>>3];_a=+p[mf+(pf*72|0)+16>>3]-+p[mf+(rf*72|0)+16>>3];La=+aa(+(of*of+_a*_a));uf=mf+(rf*72|0)+64|0;k[uf>>2]=(k[uf>>2]|0)+1;uf=(k[(k[a>>2]|0)+20>>2]|0)+(pf*72|0)+64|0;k[uf>>2]=(k[uf>>2]|0)+1;uf=gf+(pf<<3)|0;p[uf>>3]=La+ +p[uf>>3];uf=gf+(rf<<3)|0;p[uf>>3]=La+ +p[uf>>3];k[(k[(k[a>>2]|0)+24>>2]|0)+(sf*72|0)+8>>2]=k[Bf+(sf*24|0)+8>>2];if((aqa(lf,Af,zf)|0)!=(sf|0))break;_a=nf<La?nf:La;sf=sf+1|0;if((sf|0)>=(k[Pa>>2]|0)){Cf=_a;break x}else nf=_a}Tqa(gf);Tqa(Se);sf=Da+56|0;qf=Da+4|0;k[Da>>2]=27524;k[sf>>2]=27544;B=0;wa(508,Da+56|0,qf|0);Sa=B;B=0;if(Sa&1){Sa=Rb()|0;Df=Q;Ef=Sa;vva(sf);Qb(Ef|0)}k[Da+128>>2]=0;k[Da+132>>2]=-1;k[Da>>2]=27468;k[sf>>2]=27488;B=0;va(448,qf|0);Sa=B;B=0;do if(Sa&1){ef=Rb()|0;Ff=Q;Gf=ef}else{k[qf>>2]=27560;ef=Da+36|0;k[ef>>2]=0;k[ef+4>>2]=0;k[ef+8>>2]=0;k[ef+12>>2]=0;k[Da+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,qf|0,d|0);zf=B;B=0;if(zf&1){zf=Rb()|0;Af=Q;Yua(d);Yua(ef);Ava(qf);Ff=Af;Gf=zf;break}Yua(d);B=0;zf=Ia(40,Da|0,122533,37)|0;Af=B;B=0;y:do if(Af&1)ab=626;else{B=0;Xa(239,zf|0,0)|0;uf=B;B=0;if(uf&1){ab=626;break}uf=Ab(20)|0;B=0;eb(502,Ea|0,121503,60);rf=B;B=0;do if(!(rf&1)){B=0;eb(502,Fa|0,121664,21);pf=B;B=0;if(pf&1){pf=Rb()|0;mf=Q;Yua(Ea);Hf=pf;If=mf;break}B=0;wa(510,Ga|0,qf|0);mf=B;B=0;if(mf&1){mf=Rb()|0;Jf=1;Kf=mf;Lf=Q}else{B=0;ua(163,uf|0,Ea|0,Fa|0,1681,Ga|0);mf=B;B=0;if(mf&1)Mf=1;else{B=0;eb(503,uf|0,1240,229);B=0;Mf=0}mf=Rb()|0;pf=Q;Yua(Ga);Jf=Mf;Kf=mf;Lf=pf}Yua(Fa);Yua(Ea);if(Jf){Hf=Kf;If=Lf}else{Nf=Kf;Of=Lf;break y}}else{pf=Rb()|0;Hf=pf;If=Q}while(0);zb(uf|0);Nf=Hf;Of=If}while(0);if((ab|0)==626){zf=Rb()|0;Nf=zf;Of=Q}k[Da>>2]=27468;k[sf>>2]=27488;k[qf>>2]=27560;Yua(ef);Ava(qf);vva(sf);bb=Nf;cb=Of;Qb(bb|0)}while(0);Df=Ff;Ef=Gf;vva(sf);Qb(Ef|0)}else Cf=G;while(0);Ef=k[a>>2]|0;if((k[Ef+4>>2]|0)>0){Gf=Ef;Ef=0;do{Ff=k[Gf+20>>2]|0;Df=k[Ff+(Ef*72|0)+64>>2]|0;Of=Ff+(Ef*72|0)+24|0;if((Df|0)>0){Kpa(Ha,+p[gf+(Ef<<3)>>3]/+(Df|0));k[Of>>2]=k[Ha>>2];k[Of+4>>2]=k[Ha+4>>2];k[Of+8>>2]=k[Ha+8>>2];k[Of+12>>2]=k[Ha+12>>2];k[Of+16>>2]=k[Ha+16>>2];k[Of+20>>2]=k[Ha+20>>2]}else{Kpa(Ja,Cf);k[Of>>2]=k[Ja>>2];k[Of+4>>2]=k[Ja+4>>2];k[Of+8>>2]=k[Ja+8>>2];k[Of+12>>2]=k[Ja+12>>2];k[Of+16>>2]=k[Ja+16>>2];k[Of+20>>2]=k[Ja+20>>2]}Ef=Ef+1|0;Gf=k[a>>2]|0}while((Ef|0)<(k[Gf+4>>2]|0))}Tqa(gf);if((k[$d>>2]|0)>0){gf=a+12|0;Gf=a+8|0;Ef=a+16|0;Ja=k[De>>2]|0;Ha=k[Gf>>2]|0;Of=0;do{Df=k[gf>>2]|0;Ff=((k[Ja+(Of<<4)>>2]|0)-Df|0)/48|0;Nf=k[Ja+(Of<<4)+8>>2]|0;Da=Df;Df=((k[Da+(Ff*48|0)+(j[52932+(Nf<<2)>>1]<<2)>>2]|0)-Ha|0)/72|0;If=bqa(lf,Df,((k[Da+(Ff*48|0)+(j[52932+(Nf<<2)+2>>1]<<2)>>2]|0)-Ha|0)/72|0)|0;Ha=k[Gf>>2]|0;Nf=k[Ef>>2]|0;Ff=(Ha+(Df*72|0)|0)==(k[Nf+(If*24|0)>>2]|0)?1:-1;Ja=k[De>>2]|0;k[Ja+(Of<<4)+8>>2]=Ff;k[Ja+(Of<<4)+12>>2]=Nf+(If*24|0);Nf=k[a>>2]|0;k[(k[Nf+32>>2]|0)+(Of*12|0)>>2]=(k[Nf+24>>2]|0)+(If*72|0);k[(k[(k[a>>2]|0)+32>>2]|0)+(Of*12|0)+4>>2]=Ff;k[(k[(k[a>>2]|0)+32>>2]|0)+(Of*12|0)+8>>2]=k[Ja+(Of<<4)+4>>2];Of=Of+1|0}while((Of|0)<(k[$d>>2]|0))}$d=k[lf+12>>2]|0;if($d)Tqa($d);$d=k[lf+16>>2]|0;if($d)Tqa($d);Sqa(lf);Tqa(Se);if((k[Qa>>2]|0)<=0){r=c;return}Se=a+12|0;a=0;do{lf=(k[Se>>2]|0)+(a*48|0)|0;U4(lf,0,0,(N4(lf,0)|0)&65535);lf=(k[Se>>2]|0)+(a*48|0)|0;U4(lf,1,0,(N4(lf,1)|0)&65535);lf=(k[Se>>2]|0)+(a*48|0)|0;U4(lf,2,0,(N4(lf,2)|0)&65535);a=a+1|0}while((a|0)<(k[Qa>>2]|0));r=c;return}c=g+56|0;Qa=g+4|0;k[g>>2]=27524;k[c>>2]=27544;B=0;wa(508,g+56|0,Qa|0);a=B;B=0;if(a&1){a=Rb()|0;Pf=Q;Qf=a;vva(c);Qb(Qf|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[c>>2]=27488;B=0;va(448,Qa|0);a=B;B=0;do if(a&1){Se=Rb()|0;Rf=Q;Sf=Se}else{k[Qa>>2]=27560;Se=g+36|0;k[Se>>2]=0;k[Se+4>>2]=0;k[Se+8>>2]=0;k[Se+12>>2]=0;k[g+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Qa|0,d|0);lf=B;B=0;if(lf&1){lf=Rb()|0;$d=Q;Yua(d);Yua(Se);Ava(Qa);Rf=$d;Sf=lf;break}Yua(d);B=0;lf=Ia(40,g|0,121627,36)|0;$d=B;B=0;z:do if(!($d&1)?(B=0,Xa(239,lf|0,0)|0,Of=B,B=0,!(Of&1)):0){Of=Ab(20)|0;B=0;eb(502,h|0,121503,60);Ja=B;B=0;do if(!(Ja&1)){B=0;eb(502,i|0,121664,21);De=B;B=0;if(De&1){De=Rb()|0;Ha=Q;Yua(h);Tf=Ha;Uf=De;break}B=0;wa(510,l|0,Qa|0);De=B;B=0;if(De&1){De=Rb()|0;Vf=Q;Wf=De;Xf=1}else{B=0;ua(163,Of|0,h|0,i|0,1294,l|0);De=B;B=0;if(De&1)Yf=1;else{B=0;eb(503,Of|0,1240,229);B=0;Yf=0}De=Rb()|0;Ha=Q;Yua(l);Vf=Ha;Wf=De;Xf=Yf}Yua(i);Yua(h);if(Xf){Tf=Vf;Uf=Wf}else{Zf=Wf;_f=Vf;break z}}else{De=Rb()|0;Tf=Q;Uf=De}while(0);zb(Of|0);Zf=Uf;_f=Tf}else ab=35;while(0);if((ab|0)==35){lf=Rb()|0;Zf=lf;_f=Q}k[g>>2]=27468;k[c>>2]=27488;k[Qa>>2]=27560;Yua(Se);Ava(Qa);vva(c);bb=Zf;cb=_f;Qb(bb|0)}while(0);Pf=Rf;Qf=Sf;vva(c);Qb(Qf|0)}function c5(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0.0,C=0.0,D=0.0,E=0,F=0,G=0.0,H=0.0,I=0,J=0.0,K=0.0,L=0.0,M=0,N=0,O=0.0,P=0.0,R=0.0,S=0.0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0;b=r;r=r+512|0;c=b+492|0;d=b+344|0;e=b+480|0;f=b+332|0;g=b+320|0;h=b+184|0;i=b+36|0;j=b+48|0;l=b+24|0;m=b+12|0;n=b;o=a+72|0;q=a+8|0;s=k[q>>2]|0;t=s+8|0;k[o>>2]=k[t>>2];k[o+4>>2]=k[t+4>>2];k[o+8>>2]=k[t+8>>2];k[o+12>>2]=k[t+12>>2];u=a+88|0;k[u>>2]=k[t>>2];k[u+4>>2]=k[t+4>>2];k[u+8>>2]=k[t+8>>2];k[u+12>>2]=k[t+12>>2];t=a+44|0;v=k[t>>2]|0;w=(v|0)>0;if(w){x=a+80|0;y=a+96|0;z=+p[o>>3];A=+p[x>>3];C=+p[u>>3];D=+p[y>>3];E=0;while(1){F=s+(E*72|0)+8|0;G=+p[F>>3];H=z<G?z:G;p[o>>3]=H;I=s+(E*72|0)+16|0;G=+p[I>>3];J=A<G?A:G;p[x>>3]=J;G=+p[F>>3];K=C>G?C:G;p[u>>3]=K;G=+p[I>>3];L=D>G?D:G;p[y>>3]=L;E=E+1|0;if((E|0)>=(v|0)){M=y;N=x;O=K;P=H;R=L;S=J;break}else{z=H;A=J;C=K;D=L}}}else{x=a+96|0;y=a+80|0;M=x;N=y;O=+p[u>>3];P=+p[o>>3];R=+p[x>>3];S=+p[y>>3]}D=(O-P)*.05;C=(R-S)*.05;A=P-D;P=S-C;y=a+72|0;p[y>>3]=A;p[N>>3]=P;S=D+O;O=C+R;p[a+88>>3]=S;p[M>>3]=O;R=S-A;S=O-P;O=1073741823.0/(R>S?R:S);M=a+104|0;p[M>>3]=O;if(O<=0.0){x=d+56|0;o=d+4|0;k[d>>2]=27524;k[x>>2]=27544;B=0;wa(508,d+56|0,o|0);u=B;B=0;if(u&1){u=Rb()|0;T=Q;U=u;vva(x);Qb(U|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[x>>2]=27488;B=0;va(448,o|0);u=B;B=0;do if(u&1){v=Rb()|0;V=Q;W=v}else{k[o>>2]=27560;v=d+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,o|0,c|0);E=B;B=0;if(E&1){E=Rb()|0;I=Q;Yua(c);Yua(v);Ava(o);V=I;W=E;break}Yua(c);B=0;E=Ia(40,d|0,122571,65)|0;I=B;B=0;a:do if(!(I&1)?(B=0,Xa(239,E|0,0)|0,F=B,B=0,!(F&1)):0){F=Ab(20)|0;B=0;eb(502,e|0,121503,60);X=B;B=0;do if(!(X&1)){B=0;eb(502,f|0,122637,10);Y=B;B=0;if(Y&1){Y=Rb()|0;Z=Q;Yua(e);_=Z;$=Y;break}B=0;wa(510,g|0,o|0);Y=B;B=0;if(Y&1){Y=Rb()|0;aa=Y;ba=Q;ca=1}else{B=0;ua(163,F|0,e|0,f|0,3790,g|0);Y=B;B=0;if(Y&1)da=1;else{B=0;eb(503,F|0,1240,229);B=0;da=0}Y=Rb()|0;Z=Q;Yua(g);aa=Y;ba=Z;ca=da}Yua(f);Yua(e);if(ca){_=ba;$=aa}else{ea=ba;fa=aa;break a}}else{Z=Rb()|0;_=Q;$=Z}while(0);zb(F|0);ea=_;fa=$}else ga=22;while(0);if((ga|0)==22){E=Rb()|0;ea=Q;fa=E}k[d>>2]=27468;k[x>>2]=27488;k[o>>2]=27560;Yua(v);Ava(o);vva(x);ha=fa;ia=ea;Qb(ha|0)}while(0);T=V;U=W;vva(x);Qb(U|0)}b:do if(w){U=s;S=A;R=O;C=P;x=0;while(1){W=~~(R*(+p[U+(x*72|0)+16>>3]-C));V=U+(x*72|0)|0;k[V>>2]=~~(R*(+p[U+(x*72|0)+8>>3]-S));k[V+4>>2]=W;W=x+1|0;if((W|0)>=(k[t>>2]|0))break b;U=k[q>>2]|0;S=+p[y>>3];R=+p[M>>3];C=+p[N>>3];x=W}}while(0);N=a+48|0;M=k[N>>2]|0;if((M|0)<=0){r=b;return}y=a+12|0;a=h+56|0;q=h+4|0;t=h+56|0;s=h+128|0;w=h+132|0;x=h+36|0;U=h+52|0;v=M;M=0;W=0;while(1){V=k[y>>2]|0;T=k[V+(M*48|0)>>2]|0;ea=k[V+(M*48|0)+4>>2]|0;fa=k[V+(M*48|0)+8>>2]|0;if((T|0)!=0&(ea|0)!=0&(fa|0)!=0){o=T;T=k[o>>2]|0;d=k[o+4>>2]|0;o=ea;ea=fa;fa=(k[o>>2]|0)-T|0;$=(k[o+4>>2]|0)-d|0;o=(k[ea>>2]|0)-T|0;T=(k[ea+4>>2]|0)-d|0;d=bFa(T|0,((T|0)<0)<<31>>31|0,fa|0,((fa|0)<0)<<31>>31|0)|0;fa=Q;T=bFa(o|0,((o|0)<0)<<31>>31|0,$|0,(($|0)<0)<<31>>31|0)|0;$=REa(d|0,fa|0,T|0,Q|0)|0;T=Q;fa=V+(M*48|0)+32|0;k[fa>>2]=$;k[fa+4>>2]=T;if((T|0)<0|(T|0)==0&$>>>0<1){$=W+1|0;if(($|0)<20){k[h>>2]=27524;k[a>>2]=27544;B=0;wa(508,t|0,q|0);T=B;B=0;if(T&1){ga=41;break}k[s>>2]=0;k[w>>2]=-1;k[h>>2]=27468;k[a>>2]=27488;B=0;va(448,q|0);T=B;B=0;if(T&1){ga=42;break}k[q>>2]=27560;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[U>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,q|0,c|0);T=B;B=0;if(T&1){ga=40;break}Yua(c);B=0;T=Ia(40,h|0,122648,17)|0;fa=B;B=0;if(fa&1){ga=53;break}B=0;fa=Xa(253,T|0,M+1|0)|0;T=B;B=0;if(T&1){ga=53;break}B=0;T=Ia(40,fa|0,122666,10)|0;fa=B;B=0;if(fa&1){ga=53;break}fa=(k[y>>2]|0)+(M*48|0)+32|0;B=0;d=Ia(44,T|0,k[fa>>2]|0,k[fa+4>>2]|0)|0;fa=B;B=0;if(fa&1){ga=53;break}B=0;Ia(40,d|0,145593,2)|0;d=B;B=0;if(d&1){ga=53;break}B=0;wa(510,i|0,q|0);d=B;B=0;if(d&1){ga=53;break}B=0;ya(424,i|0)|0;d=B;B=0;if(d&1){ga=54;break}Yua(i);k[h>>2]=27468;k[a>>2]=27488;k[q>>2]=27560;Yua(x);Ava(q);vva(a);ja=k[N>>2]|0;ka=$}else{ja=v;ka=$}}else{ja=v;ka=W}}else{$=V+(M*48|0)+32|0;k[$>>2]=-1;k[$+4>>2]=-1;ja=v;ka=W}M=M+1|0;if((M|0)>=(ja|0)){la=ka;ga=58;break}else{v=ja;W=ka}}if((ga|0)==40){ka=Rb()|0;W=Q;Yua(c);Yua(x);Ava(q);ma=W;na=ka;ga=43}else if((ga|0)==41){ka=Rb()|0;oa=Q;pa=ka;vva(a);Qb(pa|0)}else if((ga|0)==42){ka=Rb()|0;ma=Q;na=ka;ga=43}else if((ga|0)==53){ka=Rb()|0;qa=ka;ra=Q;ga=55}else if((ga|0)==54){ka=Rb()|0;W=Q;Yua(i);qa=ka;ra=W;ga=55}else if((ga|0)==58){if(!la){r=b;return}b=j+56|0;la=j+4|0;k[j>>2]=27524;k[b>>2]=27544;B=0;wa(508,j+56|0,la|0);W=B;B=0;if(W&1){W=Rb()|0;sa=Q;ta=W;vva(b);Qb(ta|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[b>>2]=27488;B=0;va(448,la|0);W=B;B=0;do if(W&1){ka=Rb()|0;xa=Q;za=ka}else{k[la>>2]=27560;ka=j+36|0;k[ka>>2]=0;k[ka+4>>2]=0;k[ka+8>>2]=0;k[ka+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,la|0,c|0);i=B;B=0;if(i&1){i=Rb()|0;ja=Q;Yua(c);Yua(ka);Ava(la);xa=ja;za=i;break}Yua(c);B=0;i=Ia(40,j|0,122677,58)|0;ja=B;B=0;c:do if(!(ja&1)?(B=0,Xa(239,i|0,0)|0,v=B,B=0,!(v&1)):0){v=Ab(20)|0;B=0;eb(502,l|0,121503,60);M=B;B=0;do if(!(M&1)){B=0;eb(502,m|0,122637,10);N=B;B=0;if(N&1){N=Rb()|0;y=Q;Yua(l);Aa=y;Ba=N;break}B=0;wa(510,n|0,la|0);N=B;B=0;if(N&1){N=Rb()|0;Ca=1;Da=N;Ea=Q}else{B=0;ua(163,v|0,l|0,m|0,3826,n|0);N=B;B=0;if(N&1)Fa=1;else{B=0;eb(503,v|0,1240,229);B=0;Fa=0}N=Rb()|0;y=Q;Yua(n);Ca=Fa;Da=N;Ea=y}Yua(m);Yua(l);if(Ca){Aa=Ea;Ba=Da}else{Ga=Da;Ha=Ea;break c}}else{y=Rb()|0;Aa=Q;Ba=y}while(0);zb(v|0);Ga=Ba;Ha=Aa}else ga=74;while(0);if((ga|0)==74){i=Rb()|0;Ga=i;Ha=Q}k[j>>2]=27468;k[b>>2]=27488;k[la>>2]=27560;Yua(ka);Ava(la);vva(b);ha=Ga;ia=Ha;Qb(ha|0)}while(0);sa=xa;ta=za;vva(b);Qb(ta|0)}if((ga|0)==43){oa=ma;pa=na;vva(a);Qb(pa|0)}else if((ga|0)==55){k[h>>2]=27468;k[a>>2]=27488;k[q>>2]=27560;Yua(x);Ava(q);vva(a);ha=qa;ia=ra;Qb(ha|0)}}function d5(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0;b=r;r=r+2512|0;c=b+48|0;d=b+2256|0;e=b+2500|0;f=b+2488|0;g=b+2476|0;h=b+2120|0;i=b+2464|0;l=b+2452|0;m=b+2440|0;n=b+1968|0;o=b+2428|0;p=b+1816|0;q=b+2416|0;s=b+1664|0;t=b+2404|0;u=b+2392|0;v=b+2104|0;w=b+1528|0;x=b+1952|0;y=b+1800|0;z=b+1512|0;A=b+1504|0;C=b+1368|0;D=b+1352|0;E=b+1340|0;F=b+1328|0;G=b+1184|0;H=b+1040|0;I=b;J=b+1192|0;K=b+616|0;L=b+464|0;M=b+180|0;N=b+1048|0;O=b+168|0;P=b+904|0;R=b+156|0;S=b+768|0;T=b+144|0;U=b+632|0;V=b+132|0;W=b+480|0;X=b+120|0;Y=b+328|0;Z=b+108|0;_=b+192|0;$=b+96|0;aa=b+84|0;ba=b+72|0;ca=a+44|0;da=k[ca>>2]|0;if((da|0)>0){ea=a+24|0;fa=0;do{k[(k[ea>>2]|0)+(fa<<2)>>2]=0;fa=fa+1|0}while((fa|0)<(da|0))}k[a+60>>2]=0;fa=Qqa(20)|0;ea=a+48|0;B=0;eb(522,fa|0,(k[ea>>2]|0)*3|0,da|0);da=B;B=0;if(da&1){da=Rb()|0;ga=Q;Sqa(fa);ha=da;ia=ga;Qb(ha|0)}ga=a+52|0;da=k[ga>>2]|0;if((da|0)>0){ja=a+16|0;ka=a+8|0;la=0;ma=0;while(1){na=k[ja>>2]|0;oa=k[ka>>2]|0;pa=((la|0)==(aqa(fa,((k[na+(la*24|0)>>2]|0)-oa|0)/72|0,((k[na+(la*24|0)+4>>2]|0)-oa|0)/72|0)|0)&1)+ma|0;la=la+1|0;oa=k[ga>>2]|0;if((la|0)>=(oa|0)){qa=oa;ra=pa;break}else ma=pa}}else{qa=da;ra=0}if((ra|0)!=(qa|0)){qa=d+56|0;da=d+4|0;k[d>>2]=27524;k[qa>>2]=27544;B=0;wa(508,d+56|0,da|0);ma=B;B=0;if(ma&1){ma=Rb()|0;sa=Q;ta=ma;vva(qa);Qb(ta|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[qa>>2]=27488;B=0;va(448,da|0);ma=B;B=0;do if(ma&1){la=Rb()|0;xa=Q;za=la}else{k[da>>2]=27560;la=d+36|0;k[la>>2]=0;k[la+4>>2]=0;k[la+8>>2]=0;k[la+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,da|0,c|0);ka=B;B=0;if(ka&1){ka=Rb()|0;ja=Q;Yua(c);Yua(la);Ava(da);xa=ja;za=ka;break}Yua(c);B=0;ka=Ia(40,d|0,122736,10)|0;ja=B;B=0;a:do if(((!(ja&1)?(B=0,pa=Xa(253,ka|0,ra-(k[ga>>2]|0)|0)|0,oa=B,B=0,!(oa&1)):0)?(B=0,oa=Ia(40,pa|0,122747,25)|0,pa=B,B=0,!(pa&1)):0)?(B=0,Xa(239,oa|0,0)|0,oa=B,B=0,!(oa&1)):0){oa=Ab(20)|0;B=0;eb(502,e|0,121503,60);pa=B;B=0;do if(!(pa&1)){B=0;eb(502,f|0,122773,23);na=B;B=0;if(na&1){na=Rb()|0;Aa=Q;Yua(e);Ba=Aa;Ca=na;break}B=0;wa(510,g|0,da|0);na=B;B=0;if(na&1){na=Rb()|0;Da=Q;Ea=na;Fa=1}else{B=0;ua(163,oa|0,e|0,f|0,3431,g|0);na=B;B=0;if(na&1)Ga=1;else{B=0;eb(503,oa|0,1240,229);B=0;Ga=0}na=Rb()|0;Aa=Q;Yua(g);Da=Aa;Ea=na;Fa=Ga}Yua(f);Yua(e);if(Fa){Ba=Da;Ca=Ea}else{Ha=Ea;Ja=Da;break a}}else{na=Rb()|0;Ba=Q;Ca=na}while(0);zb(oa|0);Ha=Ca;Ja=Ba}else Ka=27;while(0);if((Ka|0)==27){ka=Rb()|0;Ha=ka;Ja=Q}k[d>>2]=27468;k[qa>>2]=27488;k[da>>2]=27560;Yua(la);Ava(da);vva(qa);ha=Ha;ia=Ja;Qb(ha|0)}while(0);sa=xa;ta=za;vva(qa);Qb(ta|0)}ta=k[ea>>2]|0;qa=ta*3|0;za=Rqa(qa>>>0>1073741823?-1:qa<<2)|0;b:do if((ta|0)>0){WEa(za|0,-1,((qa|0)>1?qa:1)<<2|0)|0;xa=a+12|0;sa=a+8|0;Ja=0;c:while(1){Ha=Ja*3|0;da=0;do{d=k[xa>>2]|0;Ba=j[52932+(da<<2)>>1]|0;Ca=k[sa>>2]|0;Da=j[52932+(da<<2)+2>>1]|0;Ea=aqa(fa,((k[d+(Ja*48|0)+(Ba<<2)>>2]|0)-Ca|0)/72|0,((k[d+(Ja*48|0)+(Da<<2)>>2]|0)-Ca|0)/72|0)|0;Ca=O4((k[xa>>2]|0)+(Ja*48|0)|0,da)|0;d=za+(Ea<<2)|0;Fa=k[d>>2]|0;if((Fa|0)==-1)La=da+Ha|0;else{if((Fa|0)<=-1){Ma=Ba;Na=Da;Oa=Ja;break c}Da=k[xa>>2]|0;U4(Da+(Ja*48|0)|0,da&65535,Da+(((Fa|0)/3|0)*48|0)|0,((Fa|0)%3|0)&65535);if(Ca)V4((k[xa>>2]|0)+(Ja*48|0)|0,da);if((Ea|0)<(k[ga>>2]|0))W4((k[xa>>2]|0)+(Ja*48|0)|0,da);La=-2-(k[d>>2]|0)|0}k[d>>2]=La;da=da+1|0}while((da|0)<3);Ja=Ja+1|0;if((Ja|0)>=(k[ea>>2]|0))break b}Ja=h+56|0;la=h+4|0;k[h>>2]=27524;k[Ja>>2]=27544;B=0;wa(508,h+56|0,la|0);da=B;B=0;if(da&1){da=Rb()|0;Pa=Q;Qa=da;vva(Ja);Qb(Qa|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[Ja>>2]=27488;B=0;va(448,la|0);da=B;B=0;do if(da&1){Ha=Rb()|0;Ra=Q;Sa=Ha}else{k[la>>2]=27560;Ha=h+36|0;k[Ha>>2]=0;k[Ha+4>>2]=0;k[Ha+8>>2]=0;k[Ha+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,la|0,c|0);oa=B;B=0;if(oa&1){oa=Rb()|0;d=Q;Yua(c);Yua(Ha);Ava(la);Ra=d;Sa=oa;break}Yua(c);B=0;oa=Ia(40,h|0,121827,10)|0;d=B;B=0;d:do if(((((!(d&1)?(B=0,Ea=Xa(253,oa|0,((k[(k[xa>>2]|0)+(Oa*48|0)+(Ma<<2)>>2]|0)-(k[sa>>2]|0)|0)/72|0|0)|0,Ca=B,B=0,!(Ca&1)):0)?(B=0,Ca=Ia(40,Ea|0,122797,3)|0,Ea=B,B=0,!(Ea&1)):0)?(B=0,Ea=Xa(253,Ca|0,((k[(k[xa>>2]|0)+(Oa*48|0)+(Na<<2)>>2]|0)-(k[sa>>2]|0)|0)/72|0|0)|0,Ca=B,B=0,!(Ca&1)):0)?(B=0,Ca=Ia(40,Ea|0,122801,34)|0,Ea=B,B=0,!(Ea&1)):0)?(B=0,Xa(239,Ca|0,0)|0,Ca=B,B=0,!(Ca&1)):0){Ca=Ab(20)|0;B=0;eb(502,i|0,121503,60);Ea=B;B=0;do if(!(Ea&1)){B=0;eb(502,l|0,122773,23);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;Da=Q;Yua(i);Ta=Da;Ua=Fa;break}B=0;wa(510,m|0,la|0);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;Va=1;Wa=Fa;Ya=Q}else{B=0;ua(163,Ca|0,i|0,l|0,3463,m|0);Fa=B;B=0;if(Fa&1)Za=1;else{B=0;eb(503,Ca|0,1240,229);B=0;Za=0}Fa=Rb()|0;Da=Q;Yua(m);Va=Za;Wa=Fa;Ya=Da}Yua(l);Yua(i);if(Va){Ta=Ya;Ua=Wa}else{_a=Wa;$a=Ya;break d}}else{Da=Rb()|0;Ta=Q;Ua=Da}while(0);zb(Ca|0);_a=Ua;$a=Ta}else Ka=68;while(0);if((Ka|0)==68){oa=Rb()|0;_a=oa;$a=Q}k[h>>2]=27468;k[Ja>>2]=27488;k[la>>2]=27560;Yua(Ha);Ava(la);vva(Ja);ha=_a;ia=$a;Qb(ha|0)}while(0);Pa=Ra;Qa=Sa;vva(Ja);Qb(Qa|0)}while(0);e:do if(($pa(fa)|0)>0){Qa=a+8|0;Sa=a+24|0;Ra=n+56|0;Pa=n+4|0;$a=n+56|0;_a=n+128|0;h=n+132|0;Ta=n+36|0;Ua=n+52|0;Ya=p+56|0;Wa=p+4|0;Va=p+56|0;i=p+128|0;l=p+132|0;Za=p+36|0;m=p+52|0;Na=0;Oa=0;f:while(1){do if((k[za+(Na<<2)>>2]|0)>-1){if((Na|0)<(k[ga>>2]|0)){Ma=Zpa(fa,Na)|0;k[(k[Sa>>2]|0)+(Ma<<2)>>2]=(k[Qa>>2]|0)+(Ma*72|0);Ma=_pa(fa,Na)|0;k[(k[Sa>>2]|0)+(Ma<<2)>>2]=(k[Qa>>2]|0)+(Ma*72|0);ab=Oa;break}Ma=Oa+1|0;if((Ma|0)>=10){if((Ma|0)!=10){ab=Ma;break}k[p>>2]=27524;k[Ya>>2]=27544;B=0;wa(508,Va|0,Wa|0);La=B;B=0;if(La&1){Ka=109;break f}k[i>>2]=0;k[l>>2]=-1;k[p>>2]=27468;k[Ya>>2]=27488;B=0;va(448,Wa|0);La=B;B=0;if(La&1){Ka=110;break f}k[Wa>>2]=27560;k[Za>>2]=0;k[Za+4>>2]=0;k[Za+8>>2]=0;k[Za+12>>2]=0;k[m>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Wa|0,c|0);La=B;B=0;if(La&1){Ka=108;break f}Yua(c);B=0;Ia(40,p|0,122861,39)|0;La=B;B=0;if(La&1){Ka=117;break f}B=0;wa(510,q|0,Wa|0);La=B;B=0;if(La&1){Ka=117;break f}B=0;ya(424,q|0)|0;La=B;B=0;if(La&1){Ka=118;break f}Yua(q);k[p>>2]=27468;k[Ya>>2]=27488;k[Wa>>2]=27560;Yua(Za);Ava(Wa);vva(Ya);ab=10;break}k[n>>2]=27524;k[Ra>>2]=27544;B=0;wa(508,$a|0,Pa|0);La=B;B=0;if(La&1){Ka=85;break f}k[_a>>2]=0;k[h>>2]=-1;k[n>>2]=27468;k[Ra>>2]=27488;B=0;va(448,Pa|0);La=B;B=0;if(La&1){Ka=86;break f}k[Pa>>2]=27560;k[Ta>>2]=0;k[Ta+4>>2]=0;k[Ta+8>>2]=0;k[Ta+12>>2]=0;k[Ua>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Pa|0,c|0);La=B;B=0;if(La&1){Ka=84;break f}Yua(c);B=0;La=Ia(40,n|0,122836,20)|0;qa=B;B=0;if(qa&1){Ka=101;break f}B=0;qa=Xa(253,La|0,Na|0)|0;La=B;B=0;if(La&1){Ka=101;break f}B=0;La=Ia(40,qa|0,122857,3)|0;qa=B;B=0;if(qa&1){Ka=101;break f}B=0;qa=Xa(257,fa|0,Na|0)|0;ta=B;B=0;if(ta&1){Ka=101;break f}B=0;ta=Xa(253,La|0,qa|0)|0;qa=B;B=0;if(qa&1){Ka=101;break f}B=0;qa=Ia(40,ta|0,149175,1)|0;ta=B;B=0;if(ta&1){Ka=101;break f}B=0;ta=Xa(258,fa|0,Na|0)|0;La=B;B=0;if(La&1){Ka=101;break f}B=0;La=Xa(253,qa|0,ta|0)|0;ta=B;B=0;if(ta&1){Ka=101;break f}B=0;Ia(40,La|0,149177,1)|0;La=B;B=0;if(La&1){Ka=101;break f}B=0;wa(510,o|0,Pa|0);La=B;B=0;if(La&1){Ka=101;break f}B=0;ya(424,o|0)|0;La=B;B=0;if(La&1){Ka=102;break f}Yua(o);k[n>>2]=27468;k[Ra>>2]=27488;k[Pa>>2]=27560;Yua(Ta);Ava(Pa);vva(Ra);ab=Ma}else ab=Oa;while(0);Na=Na+1|0;if((Na|0)>=($pa(fa)|0)){bb=ab;Ka=121;break}else Oa=ab}switch(Ka|0){case 84:{Oa=Rb()|0;Na=Q;Yua(c);Yua(Ta);Ava(Pa);cb=Na;db=Oa;Ka=87;break}case 85:{Oa=Rb()|0;fb=Q;gb=Oa;vva(Ra);Qb(gb|0);break}case 86:{Oa=Rb()|0;cb=Q;db=Oa;Ka=87;break}case 101:{hb=Rb()|0;ib=Q;Ka=103;break}case 102:{Oa=Rb()|0;Na=Q;Yua(o);hb=Oa;ib=Na;Ka=103;break}case 108:{Na=Rb()|0;Oa=Q;Yua(c);Yua(Za);Ava(Wa);jb=Oa;kb=Na;Ka=111;break}case 109:{Na=Rb()|0;lb=Q;mb=Na;vva(Ya);Qb(mb|0);break}case 110:{Na=Rb()|0;jb=Q;kb=Na;Ka=111;break}case 117:{nb=Rb()|0;ob=Q;Ka=119;break}case 118:{Na=Rb()|0;Oa=Q;Yua(q);nb=Na;ob=Oa;Ka=119;break}case 121:{if(!bb)break e;Oa=s+56|0;Na=s+4|0;k[s>>2]=27524;k[Oa>>2]=27544;B=0;wa(508,s+56|0,Na|0);Ua=B;B=0;if(Ua&1){Ua=Rb()|0;pb=Q;qb=Ua;vva(Oa);Qb(qb|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[Oa>>2]=27488;B=0;va(448,Na|0);Ua=B;B=0;do if(Ua&1){h=Rb()|0;rb=Q;sb=h}else{k[Na>>2]=27560;h=s+36|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;k[s+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Na|0,c|0);_a=B;B=0;if(_a&1){_a=Rb()|0;$a=Q;Yua(c);Yua(h);Ava(Na);rb=$a;sb=_a;break}Yua(c);B=0;_a=Xa(253,s|0,bb|0)|0;$a=B;B=0;g:do if((!($a&1)?(B=0,m=Ia(40,_a|0,122901,65)|0,l=B,B=0,!(l&1)):0)?(B=0,Xa(239,m|0,0)|0,m=B,B=0,!(m&1)):0){m=Ab(20)|0;B=0;eb(502,t|0,121503,60);l=B;B=0;do if(!(l&1)){B=0;eb(502,u|0,122773,23);i=B;B=0;if(i&1){i=Rb()|0;Va=Q;Yua(t);tb=i;ub=Va;break}B=0;wa(510,v|0,Na|0);Va=B;B=0;if(Va&1){Va=Rb()|0;vb=1;wb=Va;xb=Q}else{B=0;ua(163,m|0,t|0,u|0,3501,v|0);Va=B;B=0;if(Va&1)yb=1;else{B=0;eb(503,m|0,1240,229);B=0;yb=0}Va=Rb()|0;i=Q;Yua(v);vb=yb;wb=Va;xb=i}Yua(u);Yua(t);if(vb){tb=wb;ub=xb}else{Bb=wb;Cb=xb;break g}}else{i=Rb()|0;tb=i;ub=Q}while(0);zb(m|0);Bb=tb;Cb=ub}else Ka=140;while(0);if((Ka|0)==140){_a=Rb()|0;Bb=_a;Cb=Q}k[s>>2]=27468;k[Oa>>2]=27488;k[Na>>2]=27560;Yua(h);Ava(Na);vva(Oa);ha=Bb;ia=Cb;Qb(ha|0)}while(0);pb=rb;qb=sb;vva(Oa);Qb(qb|0);break}}if((Ka|0)==87){fb=cb;gb=db;vva(Ra);Qb(gb|0)}else if((Ka|0)==103){k[n>>2]=27468;k[Ra>>2]=27488;k[Pa>>2]=27560;Yua(Ta);Ava(Pa);vva(Ra);ha=hb;ia=ib;Qb(ha|0)}else if((Ka|0)==111){lb=jb;mb=kb;vva(Ya);Qb(mb|0)}else if((Ka|0)==119){k[p>>2]=27468;k[Ya>>2]=27488;k[Wa>>2]=27560;Yua(Za);Ava(Wa);vva(Ya);ha=nb;ia=ob;Qb(ha|0)}}while(0);ob=k[ca>>2]|0;if((ob|0)>0){nb=a+8|0;p=a+24|0;mb=0;kb=0;while(1){k[(k[nb>>2]|0)+(mb*72|0)+64>>2]=0;j[(k[nb>>2]|0)+(mb*72|0)+60>>1]=0;jb=k[p>>2]|0;lb=k[jb+(mb<<2)>>2]|0;if(!lb)Db=kb;else{k[jb+(kb<<2)>>2]=lb;Db=kb+1|0}mb=mb+1|0;if((mb|0)>=(ob|0)){Eb=Db;break}else kb=Db}}else Eb=0;Db=a+12|0;kb=k[Db>>2]|0;ob=k[ea>>2]|0;mb=a+40|0;p=k[mb>>2]|0;nb=a+28|0;lb=k[nb>>2]|0;k[nb>>2]=0;jb=Eb<<1;ib=Rqa(jb>>>0>89478485?-1:jb*48|0)|0;h:do if(Eb){hb=ib+(jb*48|0)|0;n=ib;while(1){B=0;va(532,n|0);gb=B;B=0;if(gb&1)break;n=n+48|0;if((n|0)==(hb|0))break h}hb=Rb()|0;n=Q;Tqa(ib);ha=hb;ia=n;Qb(ha|0)}while(0);k[Db>>2]=ib;k[ea>>2]=2;k[mb>>2]=jb;jb=a+24|0;ib=k[jb>>2]|0;n=k[ib>>2]|0;hb=k[ib+4>>2]|0;Ya=k[n>>2]|0;Wa=(k[hb>>2]|0)-Ya|0;Za=((Wa|0)<0)<<31>>31;Ra=k[n+4>>2]|0;n=(k[hb+4>>2]|0)-Ra|0;hb=((n|0)<0)<<31>>31;Pa=2;while(1){Ta=ib+(Pa<<2)|0;Oa=k[Ta>>2]|0;gb=(k[Oa>>2]|0)-Ya|0;db=(k[Oa+4>>2]|0)-Ra|0;cb=bFa(db|0,((db|0)<0)<<31>>31|0,Wa|0,Za|0)|0;db=Q;fb=bFa(gb|0,((gb|0)<0)<<31>>31|0,n|0,hb|0)|0;if(!((cb|0)==(fb|0)&(db|0)==(Q|0))){Fb=Ta;Gb=Oa;break}Pa=Pa+1|0;if((Pa|0)>=(Eb|0)){Ka=158;break}}if((Ka|0)==158){Pa=w+56|0;hb=w+4|0;k[w>>2]=27524;k[Pa>>2]=27544;B=0;wa(508,w+56|0,hb|0);n=B;B=0;if(n&1){n=Rb()|0;Hb=Q;Ib=n;vva(Pa);Qb(Ib|0)}k[w+128>>2]=0;k[w+132>>2]=-1;k[w>>2]=27468;k[Pa>>2]=27488;B=0;va(448,hb|0);n=B;B=0;do if(n&1){Za=Rb()|0;Jb=Q;Kb=Za}else{k[hb>>2]=27560;Za=w+36|0;k[Za>>2]=0;k[Za+4>>2]=0;k[Za+8>>2]=0;k[Za+12>>2]=0;k[w+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,hb|0,c|0);Wa=B;B=0;if(Wa&1){Wa=Rb()|0;Ra=Q;Yua(c);Yua(Za);Ava(hb);Jb=Ra;Kb=Wa;break}Yua(c);B=0;Wa=Ia(40,w|0,122967,53)|0;Ra=B;B=0;i:do if(!(Ra&1)?(B=0,Xa(239,Wa|0,0)|0,Ya=B,B=0,!(Ya&1)):0){Ya=Ab(20)|0;B=0;eb(502,x|0,121503,60);Oa=B;B=0;do if(!(Oa&1)){B=0;eb(502,y|0,122773,23);Ta=B;B=0;if(Ta&1){Ta=Rb()|0;db=Q;Yua(x);Lb=Ta;Mb=db;break}B=0;wa(510,z|0,hb|0);db=B;B=0;if(db&1){db=Rb()|0;Nb=1;Ob=db;Pb=Q}else{B=0;ua(163,Ya|0,x|0,y|0,3528,z|0);db=B;B=0;if(db&1)Sb=1;else{B=0;eb(503,Ya|0,1240,229);B=0;Sb=0}db=Rb()|0;Ta=Q;Yua(z);Nb=Sb;Ob=db;Pb=Ta}Yua(y);Yua(x);if(Nb){Lb=Ob;Mb=Pb}else{Tb=Ob;Ub=Pb;break i}}else{Ta=Rb()|0;Lb=Ta;Mb=Q}while(0);zb(Ya|0);Tb=Lb;Ub=Mb}else Ka=174;while(0);if((Ka|0)==174){Wa=Rb()|0;Tb=Wa;Ub=Q}k[w>>2]=27468;k[Pa>>2]=27488;k[hb>>2]=27560;Yua(Za);Ava(hb);vva(Pa);ha=Tb;ia=Ub;Qb(ha|0)}while(0);Hb=Jb;Ib=Kb;vva(Pa);Qb(Ib|0)}Ib=ib+8|0;ib=k[Ib>>2]|0;k[Ib>>2]=Gb;k[Fb>>2]=ib;ib=k[jb>>2]|0;Fb=k[ib>>2]|0;Gb=k[ib+4>>2]|0;k[k[Db>>2]>>2]=0;k[(k[Db>>2]|0)+4>>2]=Fb;k[(k[Db>>2]|0)+8>>2]=Gb;k[(k[Db>>2]|0)+48>>2]=0;k[(k[Db>>2]|0)+56>>2]=Fb;k[(k[Db>>2]|0)+52>>2]=Gb;ib=k[Db>>2]|0;U4(ib,0,ib+48|0,0);ib=k[Db>>2]|0;U4(ib,1,ib+48|0,2);ib=k[Db>>2]|0;U4(ib,2,ib+48|0,1);ib=k[Db>>2]|0;Ib=ib+32|0;k[Ib>>2]=-1;k[Ib+4>>2]=-1;Ib=ib+80|0;k[Ib>>2]=-1;k[Ib+4>>2]=-1;X4(ib);X4((k[Db>>2]|0)+48|0);ib=k[Db>>2]|0;k[ib+40>>2]=ib+48;ib=k[Db>>2]|0;k[ib+88>>2]=ib;ib=a+20|0;Ib=Qqa(16)|0;B=0;eb(523,Ib|0,a|0,0);Pa=B;B=0;if(Pa&1){Pa=Rb()|0;Kb=Q;Sqa(Ib);ha=Pa;ia=Kb;Qb(ha|0)}k[ib>>2]=Ib;Npa(Ib,Fb);Npa(k[ib>>2]|0,Gb);if((Eb|0)>2){Gb=2;do{Fb=k[(k[jb>>2]|0)+(Gb<<2)>>2]|0;Ib=o5(a,Fb,c,0)|0;Npa(k[ib>>2]|0,Fb);j5(a,Fb,Ib,c);a5(Fb,1,1)|0;Gb=Gb+1|0}while((Gb|0)!=(Eb|0))}k[A>>2]=0;k[A+4>>2]=0;Eb=k[ga>>2]|0;if((Eb|0)>0){Gb=a+16|0;jb=Eb;Eb=0;Fb=0;Ib=0;while(1){if(((k[za+(Eb<<2)>>2]|0)>-1?(Kb=k[Gb>>2]|0,Pa=k[Kb+(Eb*24|0)>>2]|0,Jb=k[Kb+(Eb*24|0)+4>>2]|0,(k[Pa+64>>2]|0)!=0):0)?(k[Jb+64>>2]|0)!=0:0){Kb=((k5(Pa,Jb,A)|0)>>>31)+Ib|0;Vb=k[ga>>2]|0;Wb=Fb+1|0;Xb=Kb}else{Vb=jb;Wb=Fb;Xb=Ib}Eb=Eb+1|0;if((Eb|0)>=(Vb|0)){Yb=Wb;Zb=Xb;break}else{jb=Vb;Fb=Wb;Ib=Xb}}if(Zb){Xb=C+56|0;Ib=C+4|0;k[C>>2]=27524;k[Xb>>2]=27544;B=0;wa(508,C+56|0,Ib|0);Wb=B;B=0;if(Wb&1){Wb=Rb()|0;_b=Q;$b=Wb;vva(Xb);Qb($b|0)}k[C+128>>2]=0;k[C+132>>2]=-1;k[C>>2]=27468;k[Xb>>2]=27488;B=0;va(448,Ib|0);Wb=B;B=0;do if(Wb&1){Fb=Rb()|0;ac=Q;bc=Fb}else{k[Ib>>2]=27560;Fb=C+36|0;k[Fb>>2]=0;k[Fb+4>>2]=0;k[Fb+8>>2]=0;k[Fb+12>>2]=0;k[C+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ib|0,c|0);Vb=B;B=0;if(Vb&1){Vb=Rb()|0;jb=Q;Yua(c);Yua(Fb);Ava(Ib);ac=jb;bc=Vb;break}Yua(c);B=0;Vb=Ia(40,C|0,123021,8)|0;jb=B;B=0;j:do if(!(jb&1)?(B=0,Eb=Xa(253,Vb|0,Zb|0)|0,A=B,B=0,!(A&1)):0){B=0;A=Ia(40,Eb|0,123030,22)|0;Eb=B;B=0;if(Eb&1){Ka=213;break}B=0;Eb=Xa(253,A|0,Yb|0)|0;A=B;B=0;if(A&1){Ka=213;break}B=0;Xa(239,Eb|0,0)|0;Eb=B;B=0;if(Eb&1){Ka=213;break}Eb=Ab(20)|0;B=0;eb(502,D|0,121503,60);A=B;B=0;do if(!(A&1)){B=0;eb(502,E|0,122773,23);Gb=B;B=0;if(Gb&1){Gb=Rb()|0;Kb=Q;Yua(D);cc=Gb;dc=Kb;break}B=0;wa(510,F|0,Ib|0);Kb=B;B=0;if(Kb&1){Kb=Rb()|0;ec=1;fc=Kb;gc=Q}else{B=0;ua(163,Eb|0,D|0,E|0,3588,F|0);Kb=B;B=0;if(Kb&1)hc=1;else{B=0;eb(503,Eb|0,1240,229);B=0;hc=0}Kb=Rb()|0;Gb=Q;Yua(F);ec=hc;fc=Kb;gc=Gb}Yua(E);Yua(D);if(ec){cc=fc;dc=gc}else{ic=fc;jc=gc;break j}}else{Gb=Rb()|0;cc=Gb;dc=Q}while(0);zb(Eb|0);ic=cc;jc=dc}else Ka=213;while(0);if((Ka|0)==213){Vb=Rb()|0;ic=Vb;jc=Q}k[C>>2]=27468;k[Xb>>2]=27488;k[Ib>>2]=27560;Yua(Fb);Ava(Ib);vva(Xb);ha=ic;ia=jc;Qb(ha|0)}while(0);_b=ac;$b=bc;vva(Xb);Qb($b|0)}}l5(a,1);$b=k[ea>>2]|0;if(($b|0)>0){Xb=c+4|0;bc=a+8|0;ac=$b;_b=0;while(1){jc=k[Db>>2]|0;if(!(k[jc+(_b*48|0)+40>>2]|0))kc=ac;else{ic=jc;jc=0;while(1){M4(c,ic+(_b*48|0)|0,jc);Ib=k[c>>2]|0;if(!(k[Ib+40>>2]|0)){C=k[Xb>>2]|0;k[G>>2]=0;dc=G4(c,G)|0;k[H>>2]=1;cc=G4(c,H)|0;if(!dc)lc=k[ca>>2]|0;else lc=(dc-(k[bc>>2]|0)|0)/72|0;if(!cc)mc=k[ca>>2]|0;else mc=(cc-(k[bc>>2]|0)|0)/72|0;cc=za+((aqa(fa,lc,mc)|0)<<2)|0;dc=k[cc>>2]|0;U4(Ib,C&65535,kb+(((dc|0)/3|0)*48|0)|0,((dc|0)%3|0)&65535);E4(c);k[cc>>2]=-2-(k[cc>>2]|0)}cc=jc+1|0;if((cc|0)==3)break;ic=k[Db>>2]|0;jc=cc}kc=k[ea>>2]|0}_b=_b+1|0;if((_b|0)>=(kc|0)){nc=kc;break}else ac=kc}if((nc|0)>0){kc=k[Db>>2]|0;ac=0;_b=0;while(1){mc=kc+(_b*48|0)+40|0;if(!(k[mc>>2]|0)){k[mc>>2]=ac+ob;oc=kc;pc=ac+1|0}else{L4(I,0,0,0);qc=kc+(_b*48|0)|0;rc=I;sc=qc+44|0;do{k[qc>>2]=k[rc>>2];qc=qc+4|0;rc=rc+4|0}while((qc|0)<(sc|0));mc=k[Db>>2]|0;k[mc+(_b*48|0)+40>>2]=-1;oc=mc;pc=ac}_b=_b+1|0;mc=k[ea>>2]|0;if((_b|0)>=(mc|0)){tc=oc;uc=mc;break}else{kc=oc;ac=pc}}if((uc|0)>0){pc=uc;ac=tc;oc=0;kc=ob;while(1){if((k[ac+(oc*48|0)+40>>2]|0)>-1){qc=kb+(kc*48|0)|0;rc=ac+(oc*48|0)|0;sc=qc+44|0;do{k[qc>>2]=k[rc>>2];qc=qc+4|0;rc=rc+4|0}while((qc|0)<(sc|0));k[kb+(kc*48|0)+40>>2]=0;vc=k[Db>>2]|0;wc=k[ea>>2]|0;xc=kc+1|0}else{vc=ac;wc=pc;xc=kc}oc=oc+1|0;if((oc|0)>=(wc|0)){yc=wc;zc=vc;Ac=xc;break}else{pc=wc;ac=vc;kc=xc}}}else{yc=uc;zc=tc;Ac=ob}}else{Bc=nc;Ka=224}}else{Bc=$b;Ka=224}if((Ka|0)==224){yc=Bc;zc=k[Db>>2]|0;Ac=ob}ob=zc+(yc*48|0)|0;if((Ac|0)>0){yc=0;Bc=0;while(1){$b=kb+(yc*48|0)|0;nc=Z4($b,0)|0;tc=Q4($b,0)|0;uc=P4($b,0)|0;if(nc)if((nc>>>0<ob>>>0?nc>>>0>=(k[Db>>2]|0)>>>0:0)?(U4($b,0,kb+((k[nc+40>>2]|0)*48|0)|0,tc),(uc|0)!=0):0){W4($b,0);Cc=Bc}else Cc=Bc;else Cc=Bc+1|0;uc=Z4($b,1)|0;tc=Q4($b,1)|0;nc=P4($b,1)|0;if(uc)if((uc>>>0<ob>>>0?uc>>>0>=(k[Db>>2]|0)>>>0:0)?(U4($b,1,kb+((k[uc+40>>2]|0)*48|0)|0,tc),(nc|0)!=0):0){W4($b,1);Dc=Cc}else Dc=Cc;else Dc=Cc+1|0;nc=Z4($b,2)|0;tc=Q4($b,2)|0;uc=P4($b,2)|0;do if(nc)if(nc>>>0<ob>>>0?nc>>>0>=(k[Db>>2]|0)>>>0:0){U4($b,2,kb+((k[nc+40>>2]|0)*48|0)|0,tc);if(!uc){Ec=Dc;break}W4($b,2);Ec=Dc}else Ec=Dc;else Ec=Dc+1|0;while(0);yc=yc+1|0;if((yc|0)==(Ac|0)){Fc=Ec;break}else Bc=Ec}Gc=k[Db>>2]|0;Hc=Fc}else{Gc=zc;Hc=0}k[ea>>2]=Ac;k[mb>>2]=p;if(Gc)Tqa(Gc);Gc=k[nb>>2]|0;if(Gc)Tqa(Gc);k[Db>>2]=kb;k[nb>>2]=lb;if(Hc){lb=J+56|0;nb=J+4|0;k[J>>2]=27524;k[lb>>2]=27544;B=0;wa(508,J+56|0,nb|0);kb=B;B=0;if(kb&1){kb=Rb()|0;Ic=Q;Jc=kb;vva(lb);Qb(Jc|0)}k[J+128>>2]=0;k[J+132>>2]=-1;k[J>>2]=27468;k[lb>>2]=27488;B=0;va(448,nb|0);kb=B;B=0;do if(kb&1){Db=Rb()|0;Kc=Q;Lc=Db}else{k[nb>>2]=27560;Db=J+36|0;k[Db>>2]=0;k[Db+4>>2]=0;k[Db+8>>2]=0;k[Db+12>>2]=0;k[J+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,nb|0,c|0);Gc=B;B=0;if(Gc&1){Gc=Rb()|0;p=Q;Yua(c);Yua(Db);Ava(nb);Kc=p;Lc=Gc;break}Yua(c);B=0;Gc=Ia(40,J|0,123053,34)|0;p=B;B=0;k:do if(p&1)Ka=276;else{B=0;mb=Xa(253,Gc|0,Hc|0)|0;Ac=B;B=0;if(Ac&1){Ka=276;break}B=0;Xa(239,mb|0,0)|0;mb=B;B=0;if(mb&1){Ka=276;break}mb=Ab(20)|0;B=0;eb(502,K|0,121503,60);Ac=B;B=0;do if(!(Ac&1)){B=0;eb(502,L|0,122773,23);ea=B;B=0;if(ea&1){ea=Rb()|0;zc=Q;Yua(K);Mc=ea;Nc=zc;break}B=0;wa(510,M|0,nb|0);zc=B;B=0;if(zc&1){zc=Rb()|0;Oc=1;Pc=zc;Qc=Q}else{B=0;ua(163,mb|0,K|0,L|0,3663,M|0);zc=B;B=0;if(zc&1)Rc=1;else{B=0;eb(503,mb|0,1240,229);B=0;Rc=0}zc=Rb()|0;ea=Q;Yua(M);Oc=Rc;Pc=zc;Qc=ea}Yua(L);Yua(K);if(Oc){Mc=Pc;Nc=Qc}else{Sc=Pc;Tc=Qc;break k}}else{ea=Rb()|0;Mc=ea;Nc=Q}while(0);zb(mb|0);Sc=Mc;Tc=Nc}while(0);if((Ka|0)==276){Gc=Rb()|0;Sc=Gc;Tc=Q}k[J>>2]=27468;k[lb>>2]=27488;k[nb>>2]=27560;Yua(Db);Ava(nb);vva(lb);ha=Sc;ia=Tc;Qb(ha|0)}while(0);Ic=Kc;Jc=Lc;vva(lb);Qb(Jc|0)}l5(a,0);Jc=k[fa+12>>2]|0;if(Jc)Tqa(Jc);Jc=k[fa+16>>2]|0;if(Jc)Tqa(Jc);Sqa(fa);Tqa(za);do if((k[ca>>2]|0)>0){za=a+8|0;fa=0;do{Npa(k[ib>>2]|0,(k[za>>2]|0)+(fa*72|0)|0);fa=fa+1|0;Jc=k[ca>>2]|0}while((fa|0)<(Jc|0));Uc=Jc;if((Uc|0)<=0)break;fa=a+8|0;za=0;do{k[(k[fa>>2]|0)+(za*72|0)+64>>2]=0;za=za+1|0}while((za|0)!=(Uc|0))}while(0);Uc=a+152|0;if((k[Uc>>2]|0)>0){ca=a+156|0;ib=0;do{hqa((k[ca>>2]|0)+(ib*24|0)|0);ib=ib+1|0}while((ib|0)<(k[Uc>>2]|0))}Uc=a+160|0;if((k[Uc>>2]|0)>0){ib=a+164|0;ca=0;do{hqa((k[ib>>2]|0)+(ca*24|0)|0);ca=ca+1|0}while((ca|0)<(k[Uc>>2]|0))}Uc=k[ga>>2]|0;if((Uc|0)<=0){r=b;return}ca=a+16|0;ib=Uc;Uc=0;while(1){za=k[ca>>2]|0;if(!(k[za+(Uc*24|0)+12>>2]|0))Vc=ib;else{if(!(k[za+(Uc*24|0)+16>>2]|0)){if(!(gqa(k[(k[za+(Uc*24|0)>>2]|0)+64>>2]|0)|0)){Wc=Uc;Xc=0;break}Yc=k[ca>>2]|0}else Yc=za;if((k[Yc+(Uc*24|0)+20>>2]|0)==0?(gqa(k[(k[Yc+(Uc*24|0)+4>>2]|0)+64>>2]|0)|0)==0:0){Wc=Uc;Xc=1;break}Vc=k[ga>>2]|0}Uc=Uc+1|0;if((Uc|0)>=(Vc|0)){Ka=441;break}else ib=Vc}if((Ka|0)==441){r=b;return}b=N+56|0;Vc=N+4|0;k[N>>2]=27524;k[b>>2]=27544;B=0;wa(508,N+56|0,Vc|0);ib=B;B=0;if(ib&1){ib=Rb()|0;Zc=Q;_c=ib;vva(b);Qb(_c|0)}k[N+128>>2]=0;k[N+132>>2]=-1;k[N>>2]=27468;k[b>>2]=27488;B=0;va(448,Vc|0);ib=B;B=0;do if(ib&1){Uc=Rb()|0;$c=Q;ad=Uc}else{k[Vc>>2]=27560;Uc=N+36|0;k[Uc>>2]=0;k[Uc+4>>2]=0;k[Uc+8>>2]=0;k[Uc+12>>2]=0;k[N+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Vc|0,c|0);ga=B;B=0;if(ga&1){ga=Rb()|0;Yc=Q;Yua(c);Yua(Uc);Ava(Vc);$c=Yc;ad=ga;break}Yua(c);B=0;ga=Ia(40,N|0,123088,68)|0;Yc=B;B=0;do if(Yc&1)Ka=355;else{B=0;za=Xa(253,ga|0,Wc+1|0)|0;fa=B;B=0;if(fa&1){Ka=355;break}B=0;fa=Ia(40,za|0,121573,3)|0;za=B;B=0;if(za&1){Ka=355;break}za=a+8|0;B=0;Db=Xa(253,fa|0,(((k[(k[ca>>2]|0)+(Wc*24|0)>>2]|0)-(k[za>>2]|0)|0)/72|0)+1|0)|0;fa=B;B=0;if(fa&1){Ka=355;break}B=0;fa=Ia(40,Db|0,149175,1)|0;Db=B;B=0;if(Db&1){Ka=355;break}B=0;Db=Xa(253,fa|0,(((k[(k[ca>>2]|0)+(Wc*24|0)+4>>2]|0)-(k[za>>2]|0)|0)/72|0)+1|0)|0;fa=B;B=0;if(fa&1){Ka=355;break}B=0;Ia(40,Db|0,149198,2)|0;Db=B;B=0;if(Db&1){Ka=355;break}B=0;wa(510,O|0,Vc|0);Db=B;B=0;if(Db&1){Ka=355;break}B=0;ya(424,O|0)|0;Db=B;B=0;if(Db&1){Db=Rb()|0;fa=Q;Yua(O);bd=Db;cd=fa;break}Yua(O);k[N>>2]=27468;k[b>>2]=27488;k[Vc>>2]=27560;Yua(Uc);Ava(Vc);vva(b);fa=P+56|0;Db=P+4|0;k[P>>2]=27524;k[fa>>2]=27544;B=0;wa(508,P+56|0,Db|0);Jc=B;B=0;if(Jc&1){Jc=Rb()|0;dd=Q;ed=Jc;vva(fa);Qb(ed|0)}k[P+128>>2]=0;k[P+132>>2]=-1;k[P>>2]=27468;k[fa>>2]=27488;B=0;va(448,Db|0);Jc=B;B=0;do if(Jc&1){lb=Rb()|0;fd=Q;gd=lb}else{k[Db>>2]=27560;lb=P+36|0;k[lb>>2]=0;k[lb+4>>2]=0;k[lb+8>>2]=0;k[lb+12>>2]=0;k[P+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Db|0,c|0);Lc=B;B=0;if(Lc&1){Lc=Rb()|0;Kc=Q;Yua(c);Yua(lb);Ava(Db);fd=Kc;gd=Lc;break}Yua(c);B=0;Lc=Ia(40,P|0,123157,40)|0;Kc=B;B=0;do if(Kc&1)Ka=358;else{B=0;Ic=Xa(259,k[a>>2]|0,k[(k[ca>>2]|0)+(Wc*24|0)+12>>2]|0)|0;Tc=B;B=0;if(Tc&1){Ka=358;break}B=0;Tc=Xa(253,Lc|0,Ic+1|0)|0;Ic=B;B=0;if(Ic&1){Ka=358;break}B=0;Ia(40,Tc|0,149177,1)|0;Tc=B;B=0;if(Tc&1){Ka=358;break}B=0;wa(510,R|0,Db|0);Tc=B;B=0;if(Tc&1){Ka=358;break}B=0;ya(424,R|0)|0;Tc=B;B=0;if(Tc&1){Tc=Rb()|0;Ic=Q;Yua(R);hd=Tc;id=Ic;break}Yua(R);k[P>>2]=27468;k[fa>>2]=27488;k[Db>>2]=27560;Yua(lb);Ava(Db);vva(fa);l:do if(!(eqa(k[(k[(k[ca>>2]|0)+(Wc*24|0)+(Xc<<2)>>2]|0)+64>>2]|0)|0)){if(!(fqa(k[(k[(k[ca>>2]|0)+(Wc*24|0)+(Xc<<2)>>2]|0)+64>>2]|0)|0)){Ic=W+56|0;Tc=W+4|0;k[W>>2]=27524;k[Ic>>2]=27544;B=0;wa(508,W+56|0,Tc|0);Sc=B;B=0;if(Sc&1){Sc=Rb()|0;jd=Q;kd=Sc;vva(Ic);Qb(kd|0)}k[W+128>>2]=0;k[W+132>>2]=-1;k[W>>2]=27468;k[Ic>>2]=27488;B=0;va(448,Tc|0);Sc=B;B=0;do if(Sc&1){nb=Rb()|0;ld=Q;md=nb}else{k[Tc>>2]=27560;nb=W+36|0;k[nb>>2]=0;k[nb+4>>2]=0;k[nb+8>>2]=0;k[nb+12>>2]=0;k[W+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Tc|0,c|0);J=B;B=0;if(J&1){J=Rb()|0;Nc=Q;Yua(c);Yua(nb);Ava(Tc);ld=Nc;md=J;break}Yua(c);B=0;J=Ia(40,W|0,123307,15)|0;Nc=B;B=0;do if(!(Nc&1)){B=0;Mc=Xa(245,J|0,k[(k[(k[ca>>2]|0)+(Wc*24|0)+(Xc<<2)>>2]|0)+64>>2]|0)|0;Qc=B;B=0;if(Qc&1){Ka=399;break}B=0;Ia(40,Mc|0,149177,1)|0;Mc=B;B=0;if(Mc&1){Ka=399;break}B=0;wa(510,X|0,Tc|0);Mc=B;B=0;if(Mc&1){Ka=399;break}B=0;ya(424,X|0)|0;Mc=B;B=0;if(Mc&1){Mc=Rb()|0;Qc=Q;Yua(X);nd=Mc;od=Qc;break}else{Yua(X);k[W>>2]=27468;k[Ic>>2]=27488;k[Tc>>2]=27560;Yua(nb);Ava(Tc);vva(Ic);break l}}else Ka=399;while(0);if((Ka|0)==399){J=Rb()|0;nd=J;od=Q}k[W>>2]=27468;k[Ic>>2]=27488;k[Tc>>2]=27560;Yua(nb);Ava(Tc);vva(Ic);ha=nd;ia=od;Qb(ha|0)}while(0);jd=ld;kd=md;vva(Ic);Qb(kd|0)}Tc=U+56|0;Sc=U+4|0;k[U>>2]=27524;k[Tc>>2]=27544;B=0;wa(508,U+56|0,Sc|0);J=B;B=0;if(J&1){J=Rb()|0;pd=Q;qd=J;vva(Tc);Qb(qd|0)}k[U+128>>2]=0;k[U+132>>2]=-1;k[U>>2]=27468;k[Tc>>2]=27488;B=0;va(448,Sc|0);J=B;B=0;do if(J&1){Nc=Rb()|0;rd=Q;sd=Nc}else{k[Sc>>2]=27560;Nc=U+36|0;k[Nc>>2]=0;k[Nc+4>>2]=0;k[Nc+8>>2]=0;k[Nc+12>>2]=0;k[U+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Sc|0,c|0);Qc=B;B=0;if(Qc&1){Qc=Rb()|0;Mc=Q;Yua(c);Yua(Nc);Ava(Sc);rd=Mc;sd=Qc;break}Yua(c);B=0;Qc=Ia(40,U|0,123198,18)|0;Mc=B;B=0;do if(!(Mc&1)){B=0;Pc=Xa(253,Qc|0,(((k[(k[ca>>2]|0)+(Wc*24|0)+(Xc<<2)>>2]|0)-(k[za>>2]|0)|0)/72|0)+1|0)|0;Oc=B;B=0;if(Oc&1){Ka=382;break}B=0;Oc=Ia(40,Pc|0,123265,41)|0;Pc=B;B=0;if(Pc&1){Ka=382;break}B=0;Pc=Xa(259,k[a>>2]|0,k[(k[(k[(k[ca>>2]|0)+(Wc*24|0)+(Xc<<2)>>2]|0)+64>>2]|0)+16>>2]|0)|0;K=B;B=0;if(K&1){Ka=382;break}B=0;K=Xa(253,Oc|0,Pc+1|0)|0;Pc=B;B=0;if(Pc&1){Ka=382;break}B=0;Ia(40,K|0,149177,1)|0;K=B;B=0;if(K&1){Ka=382;break}B=0;wa(510,V|0,Sc|0);K=B;B=0;if(K&1){Ka=382;break}B=0;ya(424,V|0)|0;K=B;B=0;if(K&1){K=Rb()|0;Pc=Q;Yua(V);td=K;ud=Pc;break}else{Yua(V);k[U>>2]=27468;k[Tc>>2]=27488;k[Sc>>2]=27560;Yua(Nc);Ava(Sc);vva(Tc);break l}}else Ka=382;while(0);if((Ka|0)==382){Qc=Rb()|0;td=Qc;ud=Q}k[U>>2]=27468;k[Tc>>2]=27488;k[Sc>>2]=27560;Yua(Nc);Ava(Sc);vva(Tc);ha=td;ia=ud;Qb(ha|0)}while(0);pd=rd;qd=sd;vva(Tc);Qb(qd|0)}else{Sc=S+56|0;J=S+4|0;k[S>>2]=27524;k[Sc>>2]=27544;B=0;wa(508,S+56|0,J|0);Ic=B;B=0;if(Ic&1){Ic=Rb()|0;vd=Q;wd=Ic;vva(Sc);Qb(wd|0)}k[S+128>>2]=0;k[S+132>>2]=-1;k[S>>2]=27468;k[Sc>>2]=27488;B=0;va(448,J|0);Ic=B;B=0;do if(Ic&1){Qc=Rb()|0;xd=Q;yd=Qc}else{k[J>>2]=27560;Qc=S+36|0;k[Qc>>2]=0;k[Qc+4>>2]=0;k[Qc+8>>2]=0;k[Qc+12>>2]=0;k[S+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,J|0,c|0);Mc=B;B=0;if(Mc&1){Mc=Rb()|0;nb=Q;Yua(c);Yua(Qc);Ava(J);xd=nb;yd=Mc;break}Yua(c);B=0;Mc=Ia(40,S|0,123198,18)|0;nb=B;B=0;do if(!(nb&1)){B=0;Pc=Xa(253,Mc|0,(((k[(k[ca>>2]|0)+(Wc*24|0)+(Xc<<2)>>2]|0)-(k[za>>2]|0)|0)/72|0)+1|0)|0;K=B;B=0;if(K&1){Ka=361;break}B=0;K=Ia(40,Pc|0,123217,47)|0;Pc=B;B=0;if(Pc&1){Ka=361;break}B=0;Pc=Xa(260,k[a>>2]|0,k[(k[(k[(k[ca>>2]|0)+(Wc*24|0)+(Xc<<2)>>2]|0)+64>>2]|0)+16>>2]|0)|0;Oc=B;B=0;if(Oc&1){Ka=361;break}B=0;Oc=Xa(253,K|0,Pc+1|0)|0;Pc=B;B=0;if(Pc&1){Ka=361;break}B=0;Ia(40,Oc|0,149177,1)|0;Oc=B;B=0;if(Oc&1){Ka=361;break}B=0;wa(510,T|0,J|0);Oc=B;B=0;if(Oc&1){Ka=361;break}B=0;ya(424,T|0)|0;Oc=B;B=0;if(Oc&1){Oc=Rb()|0;Pc=Q;Yua(T);zd=Oc;Ad=Pc;break}else{Yua(T);k[S>>2]=27468;k[Sc>>2]=27488;k[J>>2]=27560;Yua(Qc);Ava(J);vva(Sc);break l}}else Ka=361;while(0);if((Ka|0)==361){Mc=Rb()|0;zd=Mc;Ad=Q}k[S>>2]=27468;k[Sc>>2]=27488;k[J>>2]=27560;Yua(Qc);Ava(J);vva(Sc);ha=zd;ia=Ad;Qb(ha|0)}while(0);vd=xd;wd=yd;vva(Sc);Qb(wd|0)}while(0);J=Y+56|0;Ic=Y+4|0;k[Y>>2]=27524;k[J>>2]=27544;B=0;wa(508,Y+56|0,Ic|0);Tc=B;B=0;if(Tc&1){Tc=Rb()|0;Bd=Q;Cd=Tc;vva(J);Qb(Cd|0)}k[Y+128>>2]=0;k[Y+132>>2]=-1;k[Y>>2]=27468;k[J>>2]=27488;B=0;va(448,Ic|0);Tc=B;B=0;do if(Tc&1){Mc=Rb()|0;Dd=Q;Ed=Mc}else{k[Ic>>2]=27560;Mc=Y+36|0;k[Mc>>2]=0;k[Mc+4>>2]=0;k[Mc+8>>2]=0;k[Mc+12>>2]=0;k[Y+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ic|0,c|0);nb=B;B=0;if(nb&1){nb=Rb()|0;Nc=Q;Yua(c);Yua(Mc);Ava(Ic);Dd=Nc;Ed=nb;break}Yua(c);B=0;Ia(40,Y|0,123323,98)|0;nb=B;B=0;do if(nb&1)Ka=428;else{B=0;wa(510,Z|0,Ic|0);Nc=B;B=0;if(Nc&1){Ka=428;break}B=0;ya(424,Z|0)|0;Nc=B;B=0;if(Nc&1){Nc=Rb()|0;Pc=Q;Yua(Z);Fd=Nc;Gd=Pc;break}Yua(Z);k[Y>>2]=27468;k[J>>2]=27488;k[Ic>>2]=27560;Yua(Mc);Ava(Ic);vva(J);Pc=_+56|0;Nc=_+4|0;k[_>>2]=27524;k[Pc>>2]=27544;B=0;wa(508,_+56|0,Nc|0);Oc=B;B=0;if(Oc&1){Oc=Rb()|0;Hd=Q;Id=Oc;vva(Pc);Qb(Id|0)}k[_+128>>2]=0;k[_+132>>2]=-1;k[_>>2]=27468;k[Pc>>2]=27488;B=0;va(448,Nc|0);Oc=B;B=0;do if(Oc&1){K=Rb()|0;Jd=Q;Kd=K}else{k[Nc>>2]=27560;K=_+36|0;k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;k[K+12>>2]=0;k[_+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Nc|0,c|0);L=B;B=0;if(L&1){L=Rb()|0;Rc=Q;Yua(c);Yua(K);Ava(Nc);Jd=Rc;Kd=L;break}Yua(c);B=0;L=Ia(40,_|0,123422,31)|0;Rc=B;B=0;m:do if(Rc&1)Ka=431;else{B=0;Xa(239,L|0,0)|0;M=B;B=0;if(M&1){Ka=431;break}M=Ab(20)|0;B=0;eb(502,$|0,121503,60);Hc=B;B=0;do if(!(Hc&1)){B=0;eb(502,aa|0,122773,23);kb=B;B=0;if(kb&1){kb=Rb()|0;Gc=Q;Yua($);Ld=kb;Md=Gc;break}B=0;wa(510,ba|0,Nc|0);Gc=B;B=0;if(Gc&1){Gc=Rb()|0;Nd=1;Od=Gc;Pd=Q}else{B=0;ua(163,M|0,$|0,aa|0,3693,ba|0);Gc=B;B=0;if(Gc&1)Qd=1;else{B=0;eb(503,M|0,1240,229);B=0;Qd=0}Gc=Rb()|0;kb=Q;Yua(ba);Nd=Qd;Od=Gc;Pd=kb}Yua(aa);Yua($);if(Nd){Ld=Od;Md=Pd}else{Rd=Od;Sd=Pd;break m}}else{kb=Rb()|0;Ld=kb;Md=Q}while(0);zb(M|0);Rd=Ld;Sd=Md}while(0);if((Ka|0)==431){L=Rb()|0;Rd=L;Sd=Q}k[_>>2]=27468;k[Pc>>2]=27488;k[Nc>>2]=27560;Yua(K);Ava(Nc);vva(Pc);ha=Rd;ia=Sd;Qb(ha|0)}while(0);Hd=Jd;Id=Kd;vva(Pc);Qb(Id|0)}while(0);if((Ka|0)==428){nb=Rb()|0;Fd=nb;Gd=Q}k[Y>>2]=27468;k[J>>2]=27488;k[Ic>>2]=27560;Yua(Mc);Ava(Ic);vva(J);ha=Fd;ia=Gd;Qb(ha|0)}while(0);Bd=Dd;Cd=Ed;vva(J);Qb(Cd|0)}while(0);if((Ka|0)==358){Lc=Rb()|0;hd=Lc;id=Q}k[P>>2]=27468;k[fa>>2]=27488;k[Db>>2]=27560;Yua(lb);Ava(Db);vva(fa);ha=hd;ia=id;Qb(ha|0)}while(0);dd=fd;ed=gd;vva(fa);Qb(ed|0)}while(0);if((Ka|0)==355){ga=Rb()|0;bd=ga;cd=Q}k[N>>2]=27468;k[b>>2]=27488;k[Vc>>2]=27560;Yua(Uc);Ava(Vc);vva(b);ha=bd;ia=cd;Qb(ha|0)}while(0);Zc=$c;_c=ad;vva(b);Qb(_c|0)}function e5(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0;g=Qqa(88)|0;B=0;va(533,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;Sqa(g);j=i;l=h;Qb(l|0)}k[a>>2]=g;k[a+4>>2]=a;g=a+72|0;h=a+112|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;k[g+16>>2]=0;k[g+20>>2]=0;k[g+24>>2]=0;k[g+28>>2]=0;Ipa(h,256,16);B=0;va(534,19999999);g=B;B=0;if(!(g&1)){k[a+32>>2]=0;k[a+20>>2]=0;g=a+44|0;k[a+16>>2]=0;k[a+28>>2]=0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;k[g+16>>2]=0;k[a+36>>2]=0;g=a+40|0;i=a+152|0;m=i+48|0;do{k[i>>2]=0;i=i+4|0}while((i|0)<(m|0));k[a+8>>2]=0;k[a+24>>2]=0;k[a+12>>2]=0;k[g>>2]=0;B=0;La(35,a|0,b|0,c|0,d|0,e|0,f|0);f=B;B=0;if((!(f&1)?(B=0,wa(521,a|0,0),f=B,B=0,!(f&1)):0)?(B=0,va(535,a|0),a=B,B=0,!(a&1)):0)return}a=Rb()|0;f=Q;Jpa(h);j=f;l=a;Qb(l|0)}function f5(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0;g=r;r=r+416|0;h=g+392|0;j=g;l=g+24|0;m=g+256|0;n=g+108|0;o=g+120|0;q=g+96|0;s=g+84|0;t=g+72|0;Kpa(j,1.0);u=a+44|0;k[u>>2]=e;v=a+36|0;k[v>>2]=e;w=a+48|0;k[w>>2]=f;f=Rqa(e>>>0>59652323?-1:e*72|0)|0;do if(e){x=f+(e*72|0)|0;y=f;while(1){B=0;va(530,y|0);z=B;B=0;if(z&1){A=5;break}y=y+72|0;if((y|0)==(x|0)){A=6;break}}if((A|0)==5){x=Rb()|0;Tqa(f);Qb(x|0)}else if((A|0)==6){C=k[u>>2]|0;break}}else C=0;while(0);e=a+8|0;k[e>>2]=f;x=Rqa(C>>>0>1073741823?-1:C<<2)|0;k[a+24>>2]=x;if((C|0)>0){x=f;f=0;do{p[x+(f*72|0)+8>>3]=+p[c+(f<<3)>>3];p[x+(f*72|0)+16>>3]=+p[d+(f<<3)>>3];k[x+(f*72|0)+48>>2]=1;k[x+(f*72|0)+56>>2]=k[9500];y=x+(f*72|0)+24|0;k[y>>2]=k[j>>2];k[y+4>>2]=k[j+4>>2];k[y+8>>2]=k[j+8>>2];k[y+12>>2]=k[j+12>>2];k[y+16>>2]=k[j+16>>2];k[y+20>>2]=k[j+20>>2];x=k[e>>2]|0;k[x+(f*72|0)+64>>2]=0;f=f+1|0;y=k[u>>2]|0}while((f|0)<(y|0));D=y}else D=C;C=(k[v>>2]<<1)+-2|0;k[a+40>>2]=C;v=Rqa(C>>>0>89478485?-1:C*48|0)|0;do if(!C)E=D;else{f=v+(C*48|0)|0;x=v;while(1){B=0;va(532,x|0);e=B;B=0;if(e&1)break;x=x+48|0;if((x|0)==(f|0)){A=14;break}}if((A|0)==14){E=k[u>>2]|0;break}f=Rb()|0;x=Q;Tqa(v);F=x;G=f;Qb(G|0)}while(0);C=a+12|0;k[C>>2]=v;D=Rqa(E)|0;if((E|0)>0)WEa(D|0,0,((E|0)>1?E:1)|0)|0;a:do if((k[w>>2]|0)>0){E=v;f=0;while(1){x=f*3|0;e=(k[b+(x<<2)>>2]|0)+-1|0;j=(k[b+(x+1<<2)>>2]|0)+-1|0;d=(k[b+(x+2<<2)>>2]|0)+-1|0;K4(l,a,e,j,d);x=E+(f*48|0)|0;c=l;y=x+44|0;do{k[x>>2]=k[c>>2];x=x+4|0;c=c+4|0}while((x|0)<(y|0));k[E+(f*48|0)+40>>2]=1;i[D+d>>0]=1;i[D+j>>0]=1;i[D+e>>0]=1;c=f+1|0;if((c|0)>=(k[w>>2]|0))break a;E=k[C>>2]|0;f=c}}while(0);b5(a,0);Cpa(k[a>>2]|0);a=k[u>>2]|0;if((a|0)<=0){Tqa(D);r=g;return}C=m+56|0;w=m+4|0;l=m+56|0;b=m+128|0;v=m+132|0;f=m+36|0;E=m+52|0;c=a;a=0;x=0;while(1){if(!(i[D+a>>0]|0)){k[m>>2]=27524;k[C>>2]=27544;B=0;wa(508,l|0,w|0);y=B;B=0;if(y&1){A=30;break}k[b>>2]=0;k[v>>2]=-1;k[m>>2]=27468;k[C>>2]=27488;B=0;va(448,w|0);y=B;B=0;if(y&1){A=31;break}k[w>>2]=27560;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;k[E>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,w|0,h|0);y=B;B=0;if(y&1){A=29;break}Yua(h);B=0;y=Ia(40,m|0,123454,7)|0;z=B;B=0;if(z&1){A=40;break}z=a+1|0;B=0;H=Xa(253,y|0,z|0)|0;y=B;B=0;if(y&1){A=40;break}B=0;Ia(40,H|0,123462,32)|0;H=B;B=0;if(H&1){A=40;break}B=0;wa(510,n|0,w|0);H=B;B=0;if(H&1){A=40;break}B=0;ya(424,n|0)|0;H=B;B=0;if(H&1){A=41;break}Yua(n);k[m>>2]=27468;k[C>>2]=27488;k[w>>2]=27560;Yua(f);Ava(w);vva(C);I=z;J=k[u>>2]|0;K=1}else{I=a+1|0;J=c;K=x}if((I|0)<(J|0)){c=J;a=I;x=K}else{A=44;break}}if((A|0)==29){x=Rb()|0;I=Q;Yua(h);Yua(f);Ava(w);L=I;M=x;A=32}else if((A|0)==30){x=Rb()|0;N=Q;O=x;vva(C);Qb(O|0)}else if((A|0)==31){x=Rb()|0;L=Q;M=x;A=32}else if((A|0)==40){x=Rb()|0;P=Q;R=x;A=42}else if((A|0)==41){x=Rb()|0;I=Q;Yua(n);P=I;R=x;A=42}else if((A|0)==44){if(!K){Tqa(D);r=g;return}g=o+56|0;D=o+4|0;k[o>>2]=27524;k[g>>2]=27544;B=0;wa(508,o+56|0,D|0);K=B;B=0;if(K&1){K=Rb()|0;S=Q;T=K;vva(g);Qb(T|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[g>>2]=27488;B=0;va(448,D|0);K=B;B=0;do if(K&1){x=Rb()|0;U=Q;V=x}else{k[D>>2]=27560;x=o+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[o+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,D|0,h|0);I=B;B=0;if(I&1){I=Rb()|0;n=Q;Yua(h);Yua(x);Ava(D);U=n;V=I;break}Yua(h);B=0;I=Ia(40,o|0,123495,35)|0;n=B;B=0;b:do if(!(n&1)?(B=0,Xa(239,I|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,q|0,121503,60);J=B;B=0;do if(!(J&1)){B=0;eb(502,s|0,121564,8);c=B;B=0;if(c&1){c=Rb()|0;u=Q;Yua(q);W=c;X=u;break}B=0;wa(510,t|0,D|0);u=B;B=0;if(u&1){u=Rb()|0;Y=1;Z=Q;_=u}else{B=0;ua(163,a|0,q|0,s|0,307,t|0);u=B;B=0;if(u&1)$=1;else{B=0;eb(503,a|0,1240,229);B=0;$=0}u=Rb()|0;c=Q;Yua(t);Y=$;Z=c;_=u}Yua(s);Yua(q);if(Y){W=_;X=Z}else{aa=Z;ba=_;break b}}else{u=Rb()|0;W=u;X=Q}while(0);zb(a|0);aa=X;ba=W}else A=60;while(0);if((A|0)==60){I=Rb()|0;aa=Q;ba=I}k[o>>2]=27468;k[g>>2]=27488;k[D>>2]=27560;Yua(x);Ava(D);vva(g);F=aa;G=ba;Qb(G|0)}while(0);S=U;T=V;vva(g);Qb(T|0)}if((A|0)==32){N=L;O=M;vva(C);Qb(O|0)}else if((A|0)==42){k[m>>2]=27468;k[C>>2]=27488;k[w>>2]=27560;Yua(f);Ava(w);vva(C);F=P;G=R;Qb(G|0)}}function g5(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;i=a+48|0;if((k[i>>2]|0)>0){j=0;do{k[b+(j<<2)>>2]=-1;j=j+1|0}while((j|0)<(k[i>>2]|0))}i=a+60|0;if((k[i>>2]|0)<=0){l=0;r=c;return l|0}j=k[a+28>>2]|0;m=a+12|0;a=0;n=0;while(1){o=k[j+(a<<4)>>2]|0;if(!o)break;p=k[m>>2]|0;q=n;s=o;while(1){t=q+1|0;k[b+(((s-p|0)/48|0)<<2)>>2]=a;s=k[s+40>>2]|0;if((o|0)==(s|0)){u=t;break}else q=t}a=a+1|0;if((a|0)>=(k[i>>2]|0)){l=u;v=5;break}else n=u}if((v|0)==5){r=c;return l|0}l=e+56|0;c=e+4|0;k[e>>2]=27524;k[l>>2]=27544;B=0;wa(508,e+56|0,c|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;x=v;vva(l);Qb(x|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[l>>2]=27488;B=0;va(448,c|0);v=B;B=0;do if(v&1){u=Rb()|0;y=Q;z=u}else{k[c>>2]=27560;u=e+36|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;k[u+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,c|0,d|0);n=B;B=0;if(n&1){n=Rb()|0;i=Q;Yua(d);Yua(u);Ava(c);y=i;z=n;break}Yua(d);B=0;n=Ia(40,e|0,123531,31)|0;i=B;B=0;if(!(i&1)?(B=0,Xa(239,n|0,0)|0,n=B,B=0,!(n&1)):0){n=Ab(20)|0;B=0;eb(502,f|0,121503,60);i=B;B=0;do if(!(i&1)){B=0;eb(502,g|0,123563,21);a=B;B=0;if(a&1){a=Rb()|0;b=Q;Yua(f);A=b;C=a;break}B=0;wa(510,h|0,c|0);a=B;B=0;if(a&1){a=Rb()|0;D=Q;E=a;F=1}else{B=0;ua(163,n|0,f|0,g|0,4145,h|0);a=B;B=0;if(a&1)G=1;else{B=0;eb(503,n|0,1240,229);B=0;G=0}a=Rb()|0;b=Q;Yua(h);D=b;E=a;F=G}Yua(g);Yua(f);if(F){A=D;C=E}else{H=D;I=E;k[e>>2]=27468;k[l>>2]=27488;k[c>>2]=27560;Yua(u);Ava(c);vva(l);Qb(I|0)}}else{a=Rb()|0;A=Q;C=a}while(0);zb(n|0);H=A;I=C;k[e>>2]=27468;k[l>>2]=27488;k[c>>2]=27560;Yua(u);Ava(c);vva(l);Qb(I|0)}i=Rb()|0;H=Q;I=i;k[e>>2]=27468;k[l>>2]=27488;k[c>>2]=27560;Yua(u);Ava(c);vva(l);Qb(I|0)}while(0);w=y;x=z;vva(l);Qb(x|0);return 0}function h5(a,b){a=a|0;b=b|0;return (b-(k[a+8>>2]|0)|0)/72|0|0}function i5(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;b=a+8|0;c=k[b>>2]|0;if(c)Tqa(c);c=a+16|0;d=k[c>>2]|0;if(d)Tqa(d);d=a+12|0;e=k[d>>2]|0;if(e)Tqa(e);e=a+20|0;f=k[e>>2]|0;if(f){Opa(f);Sqa(f)}f=a+24|0;g=k[f>>2]|0;if(g)Tqa(g);g=a+28|0;h=k[g>>2]|0;if(h)Tqa(h);h=k[a+164>>2]|0;if(h)Tqa(h);h=k[a+156>>2]|0;if(h)Tqa(h);h=k[a+172>>2]|0;if(h)Tqa(h);h=k[a+180>>2]|0;if(h)Tqa(h);h=k[a>>2]|0;i=k[h>>2]|0;if((i|0)<=0){if(!((h|0)==0|(i|0)!=0)){Dpa(h);Sqa(h)}}else k[h>>2]=i+-1;i=k[a+4>>2]|0;do if((i|0)!=(a|0)){h=i+32|0;j=k[h>>2]|0;if((j|0)>0){k[h>>2]=j+-1;break}if(!j){i5(i);Sqa(i)}}while(0);B=0;va(534,19999999);i=B;B=0;if(i&1){i=Rb(0)|0;Jpa(a+112|0);Dd(i)}else{k[a+32>>2]=0;k[e>>2]=0;e=a+44|0;k[c>>2]=0;k[g>>2]=0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;k[e+16>>2]=0;k[a+36>>2]=0;e=a+40|0;g=a+152|0;c=g+48|0;do{k[g>>2]=0;g=g+4|0}while((g|0)<(c|0));k[b>>2]=0;k[f>>2]=0;k[d>>2]=0;k[e>>2]=0;Jpa(a+112|0);return}}function j5(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0;e=r;r=r+752|0;f=e+728|0;g=e+704|0;h=e;i=e+544|0;l=e+716|0;m=e+692|0;n=e+680|0;o=e+408|0;p=e+392|0;q=e+244|0;s=e+232|0;t=e+256|0;u=e+84|0;v=e+72|0;w=e+60|0;x=e+96|0;y=e+48|0;z=e+36|0;A=e+24|0;C=k[c>>2]|0;D=k[c+4>>2]|0;E=k[c+8>>2]|0;F=c+32|0;G=F;H=k[G>>2]|0;I=k[G+4>>2]|0;G=(C|0)!=0;if(G)if(D){J=(E|0)!=0;if(!(J&(I|0)<0)){K=J?-1:2;L=J;M=4}}else{K=1;L=0;M=4}else{K=0;L=0;M=4}if((M|0)==4?!(((I|0)>0|(I|0)==0&H>>>0>0)&(K|0)>-1):0){do if(!d){if(L){K=b;H=k[K>>2]|0;I=k[K+4>>2]|0;K=D;J=k[K>>2]|0;N=k[K+4>>2]|0;K=E;O=k[K>>2]|0;P=k[K+4>>2]|0;K=J-H|0;R=N-I|0;S=O-H|0;T=P-I|0;U=bFa(T|0,((T|0)<0)<<31>>31|0,K|0,((K|0)<0)<<31>>31|0)|0;K=Q;T=bFa(S|0,((S|0)<0)<<31>>31|0,R|0,((R|0)<0)<<31>>31|0)|0;R=REa(U|0,K|0,T|0,Q|0)|0;T=Q;K=h;k[K>>2]=R;k[K+4>>2]=T;K=C;U=k[K>>2]|0;S=k[K+4>>2]|0;K=H-U|0;H=((K|0)<0)<<31>>31;V=I-S|0;I=((V|0)<0)<<31>>31;W=O-U|0;O=P-S|0;P=bFa(O|0,((O|0)<0)<<31>>31|0,K|0,H|0)|0;O=Q;X=bFa(W|0,((W|0)<0)<<31>>31|0,V|0,I|0)|0;W=REa(P|0,O|0,X|0,Q|0)|0;X=h+8|0;k[X>>2]=W;k[X+4>>2]=Q;X=J-U|0;U=N-S|0;S=bFa(V|0,I|0,X|0,((X|0)<0)<<31>>31|0)|0;X=Q;I=bFa(K|0,H|0,U|0,((U|0)<0)<<31>>31|0)|0;U=REa(S|0,X|0,I|0,Q|0)|0;I=h+16|0;k[I>>2]=U;k[I+4>>2]=Q;Y=h;Z=R;_=T;break}do if(G){T=h;k[T>>2]=-1;k[T+4>>2]=-1;if(!D){T=C;R=k[T>>2]|0;I=k[T+4>>2]|0;T=b;U=E;X=(k[T>>2]|0)-R|0;S=(k[T+4>>2]|0)-I|0;T=(k[U>>2]|0)-R|0;R=(k[U+4>>2]|0)-I|0;I=bFa(R|0,((R|0)<0)<<31>>31|0,X|0,((X|0)<0)<<31>>31|0)|0;X=Q;R=bFa(T|0,((T|0)<0)<<31>>31|0,S|0,((S|0)<0)<<31>>31|0)|0;S=REa(I|0,X|0,R|0,Q|0)|0;$=S;aa=Q;ba=-1;ca=-1;M=36;break}S=h+8|0;k[S>>2]=-1;k[S+4>>2]=-1;if(!E){S=C;R=k[S>>2]|0;X=k[S+4>>2]|0;S=D;I=b;T=(k[S>>2]|0)-R|0;U=(k[S+4>>2]|0)-X|0;S=(k[I>>2]|0)-R|0;R=(k[I+4>>2]|0)-X|0;X=bFa(R|0,((R|0)<0)<<31>>31|0,T|0,((T|0)<0)<<31>>31|0)|0;T=Q;R=bFa(S|0,((S|0)<0)<<31>>31|0,U|0,((U|0)<0)<<31>>31|0)|0;U=REa(X|0,T|0,R|0,Q|0)|0;da=U;ea=Q;fa=-1;ga=-1}else{da=-1;ea=-1;fa=-1;ga=-1}}else{U=b;R=k[U>>2]|0;T=k[U+4>>2]|0;U=D;X=E;S=(k[U>>2]|0)-R|0;I=(k[U+4>>2]|0)-T|0;U=(k[X>>2]|0)-R|0;R=(k[X+4>>2]|0)-T|0;T=bFa(R|0,((R|0)<0)<<31>>31|0,S|0,((S|0)<0)<<31>>31|0)|0;S=Q;R=bFa(U|0,((U|0)<0)<<31>>31|0,I|0,((I|0)<0)<<31>>31|0)|0;I=REa(T|0,S|0,R|0,Q|0)|0;R=Q;S=h;k[S>>2]=I;k[S+4>>2]=R;$=-1;aa=-1;ba=I;ca=R;M=36}while(0);if((M|0)==36){R=h+8|0;k[R>>2]=$;k[R+4>>2]=aa;da=-1;ea=-1;fa=ba;ga=ca}R=h+16|0;k[R>>2]=da;k[R+4>>2]=ea;Y=h;Z=fa;_=ga}else{R=d;Y=d;Z=k[R>>2]|0;_=k[R+4>>2]|0}while(0);d=(Z|0)==0&(_|0)==0;_=Y+8|0;Z=_;ga=(k[Z>>2]|0)==0&(k[Z+4>>2]|0)==0;Z=Y+16|0;fa=Z;h=(k[fa>>2]|0)==0&(k[fa+4>>2]|0)==0;fa=h?2:ga?1:(d^1)<<31>>31;switch((h&1)+(ga?(d?2:1):d&1)|0){case 0:{ha=0;break}case 1:{d=j[52944+(fa<<1)>>1]|0;M4(f,c,d<<16>>16);ga=F;h=k[ga+4>>2]|0;if((h|0)>-1|(h|0)==-1&(k[ga>>2]|0)>>>0>4294967295?(ga=k[f>>2]|0,(k[ga+32+4>>2]|0)<0):0){j5(a,b,ga,0);r=e;return}ha=d;break}default:{d=o+56|0;ga=o+4|0;k[o>>2]=27524;k[d>>2]=27544;B=0;wa(508,o+56|0,ga|0);h=B;B=0;if(h&1){h=Rb()|0;ia=Q;ja=h;vva(d);Qb(ja|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[d>>2]=27488;B=0;va(448,ga|0);h=B;B=0;do if(h&1){ea=Rb()|0;ka=Q;la=ea}else{k[ga>>2]=27560;ea=o+36|0;k[ea>>2]=0;k[ea+4>>2]=0;k[ea+8>>2]=0;k[ea+12>>2]=0;k[o+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,ga|0,f|0);da=B;B=0;if(da&1){da=Rb()|0;ca=Q;Yua(f);Yua(ea);Ava(ga);ka=ca;la=da;break}Yua(f);B=0;da=Ia(40,o|0,123648,52)|0;ca=B;B=0;a:do if(!(ca&1)?(B=0,Xa(239,da|0,0)|0,ba=B,B=0,!(ba&1)):0){ba=Ab(20)|0;B=0;eb(502,p|0,121503,60);aa=B;B=0;do if(!(aa&1)){B=0;eb(502,q|0,123638,9);$=B;B=0;if($&1){$=Rb()|0;E=Q;Yua(p);ma=E;na=$;break}B=0;wa(510,s|0,ga|0);$=B;B=0;if($&1){$=Rb()|0;oa=1;pa=Q;qa=$}else{B=0;ua(163,ba|0,p|0,q|0,1180,s|0);$=B;B=0;if($&1)ra=1;else{B=0;eb(503,ba|0,1240,229);B=0;ra=0}$=Rb()|0;E=Q;Yua(s);oa=ra;pa=E;qa=$}Yua(q);Yua(p);if(oa){ma=pa;na=qa}else{sa=pa;ta=qa;break a}}else{$=Rb()|0;ma=Q;na=$}while(0);zb(ba|0);sa=ma;ta=na}else M=60;while(0);if((M|0)==60){da=Rb()|0;sa=Q;ta=da}k[o>>2]=27468;k[d>>2]=27488;k[ga>>2]=27560;Yua(ea);Ava(ga);vva(d);xa=sa;ya=ta;Qb(ya|0)}while(0);ia=ka;ja=la;vva(d);Qb(ja|0)}}Y4(c,0);Y4(c,1);Y4(c,2);k[g>>2]=c;ja=a+48|0;d=k[ja>>2]|0;la=d+1|0;ka=k[a+12>>2]|0;ia=ka+(d*48|0)|0;k[g+4>>2]=ia;ta=d+2|0;k[ja>>2]=ta;ja=ka+(la*48|0)|0;k[g+8>>2]=ja;if((ta|0)>(k[a+40>>2]|0)){a=t+56|0;ta=t+4|0;k[t>>2]=27524;k[a>>2]=27544;B=0;wa(508,t+56|0,ta|0);sa=B;B=0;if(sa&1){sa=Rb()|0;za=Q;Aa=sa;vva(a);Qb(Aa|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[a>>2]=27488;B=0;va(448,ta|0);sa=B;B=0;do if(sa&1){ga=Rb()|0;Ba=Q;Ca=ga}else{k[ta>>2]=27560;ga=t+36|0;k[ga>>2]=0;k[ga+4>>2]=0;k[ga+8>>2]=0;k[ga+12>>2]=0;k[t+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,ta|0,f|0);o=B;B=0;if(o&1){o=Rb()|0;na=Q;Yua(f);Yua(ga);Ava(ta);Ba=na;Ca=o;break}Yua(f);B=0;o=Ia(40,t|0,123701,20)|0;na=B;B=0;b:do if(!(na&1)?(B=0,Xa(239,o|0,0)|0,ma=B,B=0,!(ma&1)):0){ma=Ab(20)|0;B=0;eb(502,u|0,121503,60);qa=B;B=0;do if(!(qa&1)){B=0;eb(502,v|0,123638,9);pa=B;B=0;if(pa&1){pa=Rb()|0;oa=Q;Yua(u);Da=oa;Ea=pa;break}B=0;wa(510,w|0,ta|0);pa=B;B=0;if(pa&1){pa=Rb()|0;Fa=1;Ga=Q;Ha=pa}else{B=0;ua(163,ma|0,u|0,v|0,1193,w|0);pa=B;B=0;if(pa&1)Ja=1;else{B=0;eb(503,ma|0,1240,229);B=0;Ja=0}pa=Rb()|0;oa=Q;Yua(w);Fa=Ja;Ga=oa;Ha=pa}Yua(v);Yua(u);if(Fa){Da=Ga;Ea=Ha}else{Ka=Ga;La=Ha;break b}}else{pa=Rb()|0;Da=Q;Ea=pa}while(0);zb(ma|0);Ka=Da;La=Ea}else M=84;while(0);if((M|0)==84){o=Rb()|0;Ka=Q;La=o}k[t>>2]=27468;k[a>>2]=27488;k[ta>>2]=27560;Yua(ga);Ava(ta);vva(a);xa=Ka;ya=La;Qb(ya|0)}while(0);za=Ba;Aa=Ca;vva(a);Qb(Aa|0)}Aa=ja;a=ja;Ca=c;Ba=a+44|0;do{k[a>>2]=k[Ca>>2];a=a+4|0;Ca=Ca+4|0}while((a|0)<(Ba|0));UEa(ia|0,c|0,44)|0;k[c+40>>2]=ia;k[ka+(d*48|0)+40>>2]=Aa;k[c>>2]=b;k[ka+(d*48|0)+4>>2]=b;k[ka+(la*48|0)+8>>2]=b;b=Y;Y=k[b+4>>2]|0;Aa=F;k[Aa>>2]=k[b>>2];k[Aa+4>>2]=Y;Y=_;_=k[Y+4>>2]|0;Aa=ka+(d*48|0)+32|0;k[Aa>>2]=k[Y>>2];k[Aa+4>>2]=_;_=Z;Z=k[_+4>>2]|0;Aa=ka+(la*48|0)+32|0;k[Aa>>2]=k[_>>2];k[Aa+4>>2]=Z;T4(c,0);T4(ia,1);T4(ja,2);U4(c,2,ja,0);U4(ia,0,c,1);U4(ja,1,ia,2);X4(c);X4(ia);X4(ja);if((fa|0)<=-1){r=e;return}if(S4(k[g+(fa<<2)>>2]|0,ha,0)|0){r=e;return}e=x+56|0;ha=x+4|0;k[x>>2]=27524;k[e>>2]=27544;B=0;wa(508,x+56|0,ha|0);fa=B;B=0;if(fa&1){fa=Rb()|0;Ma=Q;Na=fa;vva(e);Qb(Na|0)}k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[e>>2]=27488;B=0;va(448,ha|0);fa=B;B=0;do if(fa&1){g=Rb()|0;Oa=Q;Pa=g}else{k[ha>>2]=27560;g=x+36|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;k[x+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,ha|0,f|0);ja=B;B=0;if(ja&1){ja=Rb()|0;ia=Q;Yua(f);Yua(g);Ava(ha);Oa=ia;Pa=ja;break}Yua(f);B=0;ja=Ia(40,x|0,123722,29)|0;ia=B;B=0;c:do if(!(ia&1)?(B=0,Xa(239,ja|0,0)|0,c=B,B=0,!(c&1)):0){c=Ab(20)|0;B=0;eb(502,y|0,121503,60);Z=B;B=0;do if(!(Z&1)){B=0;eb(502,z|0,123638,9);Aa=B;B=0;if(Aa&1){Aa=Rb()|0;_=Q;Yua(y);Qa=_;Ra=Aa;break}B=0;wa(510,A|0,ha|0);Aa=B;B=0;if(Aa&1){Aa=Rb()|0;Sa=1;Ta=Q;Ua=Aa}else{B=0;ua(163,c|0,y|0,z|0,1229,A|0);Aa=B;B=0;if(Aa&1)Va=1;else{B=0;eb(503,c|0,1240,229);B=0;Va=0}Aa=Rb()|0;_=Q;Yua(A);Sa=Va;Ta=_;Ua=Aa}Yua(z);Yua(y);if(Sa){Qa=Ta;Ra=Ua}else{Wa=Ta;Ya=Ua;break c}}else{Aa=Rb()|0;Qa=Q;Ra=Aa}while(0);zb(c|0);Wa=Qa;Ya=Ra}else M=109;while(0);if((M|0)==109){ja=Rb()|0;Wa=Q;Ya=ja}k[x>>2]=27468;k[e>>2]=27488;k[ha>>2]=27560;Yua(g);Ava(ha);vva(e);xa=Wa;ya=Ya;Qb(ya|0)}while(0);Ma=Oa;Na=Pa;vva(e);Qb(Na|0)}Na=i+56|0;e=i+4|0;k[i>>2]=27524;k[Na>>2]=27544;B=0;wa(508,i+56|0,e|0);Pa=B;B=0;if(Pa&1){Pa=Rb()|0;Za=Q;_a=Pa;vva(Na);Qb(_a|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[Na>>2]=27488;B=0;va(448,e|0);Pa=B;B=0;do if(Pa&1){Oa=Rb()|0;$a=Q;ab=Oa}else{k[e>>2]=27560;Oa=i+36|0;k[Oa>>2]=0;k[Oa+4>>2]=0;k[Oa+8>>2]=0;k[Oa+12>>2]=0;k[i+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,e|0,f|0);Ma=B;B=0;if(Ma&1){Ma=Rb()|0;Ya=Q;Yua(f);Yua(Oa);Ava(e);$a=Ya;ab=Ma;break}Yua(f);B=0;Ma=Ia(40,i|0,123585,52)|0;Ya=B;B=0;d:do if(!(Ya&1)?(B=0,Xa(239,Ma|0,0)|0,Wa=B,B=0,!(Wa&1)):0){Wa=Ab(20)|0;B=0;eb(502,l|0,121503,60);ha=B;B=0;do if(!(ha&1)){B=0;eb(502,m|0,123638,9);x=B;B=0;if(x&1){x=Rb()|0;Ra=Q;Yua(l);bb=Ra;cb=x;break}B=0;wa(510,n|0,e|0);x=B;B=0;if(x&1){x=Rb()|0;db=Q;fb=x;gb=1}else{B=0;ua(163,Wa|0,l|0,m|0,1138,n|0);x=B;B=0;if(x&1)hb=1;else{B=0;eb(503,Wa|0,1240,229);B=0;hb=0}x=Rb()|0;Ra=Q;Yua(n);db=Ra;fb=x;gb=hb}Yua(m);Yua(l);if(gb){bb=db;cb=fb}else{ib=db;jb=fb;break d}}else{x=Rb()|0;bb=Q;cb=x}while(0);zb(Wa|0);ib=bb;jb=cb}else M=20;while(0);if((M|0)==20){Ma=Rb()|0;ib=Q;jb=Ma}k[i>>2]=27468;k[Na>>2]=27488;k[e>>2]=27560;Yua(Oa);Ava(e);vva(Na);xa=ib;ya=jb;Qb(ya|0)}while(0);Za=$a;_a=ab;vva(Na);Qb(_a|0)}function k5(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,l=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0;d=r;r=r+976|0;e=d+952|0;f=d+912|0;g=d+776|0;h=d+940|0;i=d+928|0;l=d+916|0;n=d+32|0;o=d+768|0;p=d+24|0;q=d+16|0;s=d+624|0;t=d+620|0;u=d+632|0;v=d+600|0;w=d+452|0;x=d+440|0;y=d+8|0;z=d+160|0;A=d+156|0;C=d+616|0;D=d+612|0;E=d+464|0;F=d+144|0;G=d+132|0;H=d+120|0;I=d;J=d+304|0;K=d+108|0;L=d+96|0;M=d+84|0;N=d+80|0;O=d+76|0;P=d+168|0;R=d+64|0;S=d+52|0;T=d+40|0;k[f>>2]=0;U=a+64|0;if((k[U>>2]|0)!=0?(k[b+64>>2]|0)!=0:0){k[c>>2]=0;k[c+4>>2]=0;V=m[52932+(j[a+60>>1]<<2)>>1]|0;k[n>>2]=k[U>>2];k[n+4>>2]=V&3;k[o>>2]=0;V=G4(n,o)|0;do if(!V){o=p;k[o>>2]=-1;k[o+4>>2]=-1;F4(s,n);o=m[52956+(k[s+4>>2]<<1)>>1]&3;U=n;k[U>>2]=k[s>>2];k[U+4>>2]=o;k[t>>2]=0;o=G4(n,t)|0;if(o){U=o;W=k[U>>2]|0;X=k[U+4>>2]|0;U=a;Y=b;Z=(k[U>>2]|0)-W|0;_=(k[U+4>>2]|0)-X|0;U=(k[Y>>2]|0)-W|0;W=(k[Y+4>>2]|0)-X|0;X=bFa(W|0,((W|0)<0)<<31>>31|0,Z|0,((Z|0)<0)<<31>>31|0)|0;Z=Q;W=bFa(U|0,((U|0)<0)<<31>>31|0,_|0,((_|0)<0)<<31>>31|0)|0;_=REa(X|0,Z|0,W|0,Q|0)|0;$=q;aa=b;ba=a;ca=_;da=Q;ea=o;break}o=u+56|0;_=u+4|0;k[u>>2]=27524;k[o>>2]=27544;B=0;wa(508,u+56|0,_|0);W=B;B=0;if(W&1){W=Rb()|0;fa=Q;ga=W;vva(o);Qb(ga|0)}k[u+128>>2]=0;k[u+132>>2]=-1;k[u>>2]=27468;k[o>>2]=27488;B=0;va(448,_|0);W=B;B=0;do if(W&1){Z=Rb()|0;ha=Q;ia=Z}else{k[_>>2]=27560;Z=u+36|0;k[Z>>2]=0;k[Z+4>>2]=0;k[Z+8>>2]=0;k[Z+12>>2]=0;k[u+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,_|0,e|0);X=B;B=0;if(X&1){X=Rb()|0;U=Q;Yua(e);Yua(Z);Ava(_);ha=U;ia=X;break}Yua(e);B=0;X=Ia(40,u|0,123775,3)|0;U=B;B=0;a:do if(!(U&1)?(B=0,Xa(239,X|0,0)|0,Y=B,B=0,!(Y&1)):0){Y=Ab(20)|0;B=0;eb(502,v|0,121503,60);ja=B;B=0;do if(!(ja&1)){B=0;eb(502,w|0,123765,9);ka=B;B=0;if(ka&1){ka=Rb()|0;la=Q;Yua(v);ma=ka;na=la;break}B=0;wa(510,x|0,_|0);la=B;B=0;if(la&1){la=Rb()|0;oa=1;pa=la;qa=Q}else{B=0;ua(163,Y|0,v|0,w|0,4897,x|0);la=B;B=0;if(la&1)ra=1;else{B=0;eb(503,Y|0,1240,229);B=0;ra=0}la=Rb()|0;ka=Q;Yua(x);oa=ra;pa=la;qa=ka}Yua(w);Yua(v);if(oa){ma=pa;na=qa}else{sa=pa;ta=qa;break a}}else{ka=Rb()|0;ma=ka;na=Q}while(0);zb(Y|0);sa=ma;ta=na}else xa=44;while(0);if((xa|0)==44){X=Rb()|0;sa=X;ta=Q}k[u>>2]=27468;k[o>>2]=27488;k[_>>2]=27560;Yua(Z);Ava(_);vva(o);ya=sa;za=ta;Qb(ya|0)}while(0);fa=ha;ga=ia;vva(o);Qb(ga|0)}else{_=V;W=k[_>>2]|0;X=k[_+4>>2]|0;_=a;U=b;ja=(k[_>>2]|0)-W|0;ka=(k[_+4>>2]|0)-X|0;_=(k[U>>2]|0)-W|0;W=(k[U+4>>2]|0)-X|0;X=bFa(W|0,((W|0)<0)<<31>>31|0,ja|0,((ja|0)<0)<<31>>31|0)|0;ja=Q;W=bFa(_|0,((_|0)<0)<<31>>31|0,ka|0,((ka|0)<0)<<31>>31|0)|0;ka=REa(X|0,ja|0,W|0,Q|0)|0;W=Q;ja=p;k[ja>>2]=ka;k[ja+4>>2]=W;$=q;aa=b;ba=a;ca=ka;da=W;ea=V}while(0);V=p;k[V>>2]=ca;k[V+4>>2]=da;V=z+4|0;$=y+4|0;ga=ca;ca=da;da=0;ia=ea;while(1){if((ia|0)==(b|0)){xa=142;break}F4(z,n);ha=m[52956+(k[V>>2]<<1)>>1]|0;k[y>>2]=k[z>>2];k[$>>2]=ha&3;k[A>>2]=0;ha=ia;ia=G4(y,A)|0;fa=q;k[fa>>2]=ga;k[fa+4>>2]=ca;fa=(ia|0)!=0;if(fa){ta=ia;sa=k[ta>>2]|0;u=k[ta+4>>2]|0;ta=ba;na=aa;ma=(k[ta>>2]|0)-sa|0;qa=(k[ta+4>>2]|0)-u|0;ta=(k[na>>2]|0)-sa|0;sa=(k[na+4>>2]|0)-u|0;u=bFa(sa|0,((sa|0)<0)<<31>>31|0,ma|0,((ma|0)<0)<<31>>31|0)|0;ma=Q;sa=bFa(ta|0,((ta|0)<0)<<31>>31|0,qa|0,((qa|0)<0)<<31>>31|0)|0;qa=REa(u|0,ma|0,sa|0,Q|0)|0;Aa=qa;Ba=Q}else{Aa=ga;Ba=ca}qa=p;k[qa>>2]=Aa;k[qa+4>>2]=Ba;if(((Ba|0)>0|(Ba|0)==0&Aa>>>0>0)&(ca|0)<0){Ca=fa;Da=ha;xa=58;break}ha=y;fa=k[ha+4>>2]|0;qa=n;k[qa>>2]=k[ha>>2];k[qa+4>>2]=fa;if((da|0)>1998){xa=118;break}if((ea|0)==(ia|0)){Ea=-1;xa=143;break}else{ga=Aa;ca=Ba;da=da+1|0}}if((xa|0)==58){k[C>>2]=a;k[D>>2]=b;da=m[52956+(k[$>>2]<<1)>>1]&3;$=y;k[$>>2]=k[y>>2];k[$+4>>2]=da;if(!((Da|0)!=0&Ca)){Ca=E+56|0;Da=E+4|0;k[E>>2]=27524;k[Ca>>2]=27544;B=0;wa(508,E+56|0,Da|0);da=B;B=0;if(da&1){da=Rb()|0;Fa=Q;Ga=da;vva(Ca);Qb(Ga|0)}k[E+128>>2]=0;k[E+132>>2]=-1;k[E>>2]=27468;k[Ca>>2]=27488;B=0;va(448,Da|0);da=B;B=0;do if(da&1){$=Rb()|0;Ha=Q;Ja=$}else{k[Da>>2]=27560;$=E+36|0;k[$>>2]=0;k[$+4>>2]=0;k[$+8>>2]=0;k[$+12>>2]=0;k[E+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,Da|0,e|0);Ba=B;B=0;if(Ba&1){Ba=Rb()|0;ca=Q;Yua(e);Yua($);Ava(Da);Ha=ca;Ja=Ba;break}Yua(e);B=0;Ba=Ia(40,E|0,123779,10)|0;ca=B;B=0;b:do if(!(ca&1)?(B=0,Xa(239,Ba|0,0)|0,Aa=B,B=0,!(Aa&1)):0){Aa=Ab(20)|0;B=0;eb(502,F|0,121503,60);ga=B;B=0;do if(!(ga&1)){B=0;eb(502,G|0,123765,9);ia=B;B=0;if(ia&1){ia=Rb()|0;ea=Q;Yua(F);Ka=ia;La=ea;break}B=0;wa(510,H|0,Da|0);ea=B;B=0;if(ea&1){ea=Rb()|0;Ma=1;Na=ea;Oa=Q}else{B=0;ua(163,Aa|0,F|0,G|0,4914,H|0);ea=B;B=0;if(ea&1)Pa=1;else{B=0;eb(503,Aa|0,1240,229);B=0;Pa=0}ea=Rb()|0;ia=Q;Yua(H);Ma=Pa;Na=ea;Oa=ia}Yua(G);Yua(F);if(Ma){Ka=Na;La=Oa}else{Qa=Na;Ra=Oa;break b}}else{ia=Rb()|0;Ka=ia;La=Q}while(0);zb(Aa|0);Qa=Ka;Ra=La}else xa=74;while(0);if((xa|0)==74){Ba=Rb()|0;Qa=Ba;Ra=Q}k[E>>2]=27468;k[Ca>>2]=27488;k[Da>>2]=27560;Yua($);Ava(Da);vva(Ca);ya=Qa;za=Ra;Qb(ya|0)}while(0);Fa=Ha;Ga=Ja;vva(Ca);Qb(Ga|0)}Ga=I;k[Ga>>2]=0;k[Ga+4>>2]=0;Ga=0;Ca=0;while(1){if(!(r5(C,D,y,I,q,p,f)|0)){xa=112;break}Ja=QEa(Ga|0,Ca|0,1,0)|0;Ha=Q;if((Ca|0)>0|(Ca|0)==0&Ga>>>0>1e7){Sa=Ja;Ta=Ha;break}else{Ga=Ja;Ca=Ha}}if((xa|0)==112){k[N>>2]=0;Ca=G4(y,N)|0;k[O>>2]=1;N=G4(y,O)|0;if(!((Ca|0)==(a|0)&(N|0)==(b|0))?!((Ca|0)==(b|0)&(N|0)==(a|0)):0){N=y;Ca=k[N+4>>2]|0;O=c;k[O>>2]=k[N>>2];k[O+4>>2]=Ca;Ua=-2}else{E4(y);a5(a,1,0)|0;a5(b,1,0)|0;Ca=y;y=k[Ca+4>>2]|0;O=c;k[O>>2]=k[Ca>>2];k[O+4>>2]=y;Ua=k[f>>2]|0}Ea=Ua;r=d;return Ea|0}Ua=J+56|0;y=J+4|0;k[J>>2]=27524;k[Ua>>2]=27544;B=0;wa(508,J+56|0,y|0);O=B;B=0;if(O&1){O=Rb()|0;Va=Q;Wa=O;vva(Ua);Qb(Wa|0)}k[J+128>>2]=0;k[J+132>>2]=-1;k[J>>2]=27468;k[Ua>>2]=27488;B=0;va(448,y|0);O=B;B=0;do if(O&1){Ca=Rb()|0;Ya=Q;Za=Ca}else{k[y>>2]=27560;Ca=J+36|0;k[Ca>>2]=0;k[Ca+4>>2]=0;k[Ca+8>>2]=0;k[Ca+12>>2]=0;k[J+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,y|0,e|0);N=B;B=0;if(N&1){N=Rb()|0;Ga=Q;Yua(e);Yua(Ca);Ava(y);Ya=Ga;Za=N;break}Yua(e);B=0;N=Ia(40,J|0,123790,33)|0;Ga=B;B=0;c:do if(((((!(Ga&1)?(B=0,p=Xa(242,N|0,k[f>>2]|0)|0,q=B,B=0,!(q&1)):0)?(B=0,q=Ia(40,p|0,123824,18)|0,p=B,B=0,!(p&1)):0)?(B=0,p=Ia(44,q|0,Sa|0,Ta|0)|0,q=B,B=0,!(q&1)):0)?(B=0,q=Ia(40,p|0,123843,9)|0,p=B,B=0,!(p&1)):0)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,K|0,121503,60);p=B;B=0;do if(!(p&1)){B=0;eb(502,L|0,123765,9);I=B;B=0;if(I&1){I=Rb()|0;D=Q;Yua(K);_a=I;$a=D;break}B=0;wa(510,M|0,y|0);D=B;B=0;if(D&1){D=Rb()|0;ab=1;bb=D;cb=Q}else{B=0;ua(163,q|0,K|0,L|0,4919,M|0);D=B;B=0;if(D&1)db=1;else{B=0;eb(503,q|0,1240,229);B=0;db=0}D=Rb()|0;I=Q;Yua(M);ab=db;bb=D;cb=I}Yua(L);Yua(K);if(ab){_a=bb;$a=cb}else{fb=bb;gb=cb;break c}}else{I=Rb()|0;_a=I;$a=Q}while(0);zb(q|0);fb=_a;gb=$a}else xa=104;while(0);if((xa|0)==104){N=Rb()|0;fb=N;gb=Q}k[J>>2]=27468;k[Ua>>2]=27488;k[y>>2]=27560;Yua(Ca);Ava(y);vva(Ua);ya=fb;za=gb;Qb(ya|0)}while(0);Va=Ya;Wa=Za;vva(Ua);Qb(Wa|0)}else if((xa|0)==118){Wa=P+56|0;Ua=P+4|0;k[P>>2]=27524;k[Wa>>2]=27544;B=0;wa(508,P+56|0,Ua|0);Za=B;B=0;if(Za&1){Za=Rb()|0;hb=Q;ib=Za;vva(Wa);Qb(ib|0)}k[P+128>>2]=0;k[P+132>>2]=-1;k[P>>2]=27468;k[Wa>>2]=27488;B=0;va(448,Ua|0);Za=B;B=0;do if(Za&1){Ya=Rb()|0;jb=Q;kb=Ya}else{k[Ua>>2]=27560;Ya=P+36|0;k[Ya>>2]=0;k[Ya+4>>2]=0;k[Ya+8>>2]=0;k[Ya+12>>2]=0;k[P+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,Ua|0,e|0);Va=B;B=0;if(Va&1){Va=Rb()|0;gb=Q;Yua(e);Yua(Ya);Ava(Ua);jb=gb;kb=Va;break}Yua(e);B=0;Va=Ia(40,P|0,123853,7)|0;gb=B;B=0;d:do if(!(gb&1)?(B=0,Xa(239,Va|0,0)|0,fb=B,B=0,!(fb&1)):0){fb=Ab(20)|0;B=0;eb(502,R|0,121503,60);y=B;B=0;do if(!(y&1)){B=0;eb(502,S|0,123765,9);J=B;B=0;if(J&1){J=Rb()|0;$a=Q;Yua(R);lb=J;mb=$a;break}B=0;wa(510,T|0,Ua|0);$a=B;B=0;if($a&1){$a=Rb()|0;nb=1;ob=$a;pb=Q}else{B=0;ua(163,fb|0,R|0,S|0,4938,T|0);$a=B;B=0;if($a&1)qb=1;else{B=0;eb(503,fb|0,1240,229);B=0;qb=0}$a=Rb()|0;J=Q;Yua(T);nb=qb;ob=$a;pb=J}Yua(S);Yua(R);if(nb){lb=ob;mb=pb}else{rb=ob;sb=pb;break d}}else{J=Rb()|0;lb=J;mb=Q}while(0);zb(fb|0);rb=lb;sb=mb}else xa=133;while(0);if((xa|0)==133){Va=Rb()|0;rb=Va;sb=Q}k[P>>2]=27468;k[Wa>>2]=27488;k[Ua>>2]=27560;Yua(Ya);Ava(Ua);vva(Wa);ya=rb;za=sb;Qb(ya|0)}while(0);hb=jb;ib=kb;vva(Wa);Qb(ib|0)}else if((xa|0)==142){E4(n);ib=n;n=k[ib+4>>2]|0;Wa=c;k[Wa>>2]=k[ib>>2];k[Wa+4>>2]=n;a5(a,1,0)|0;a5(b,1,0)|0;Ea=0;r=d;return Ea|0}else if((xa|0)==143){r=d;return Ea|0}}Ea=g+56|0;d=g+4|0;k[g>>2]=27524;k[Ea>>2]=27544;B=0;wa(508,g+56|0,d|0);b=B;B=0;if(b&1){b=Rb()|0;tb=Q;ub=b;vva(Ea);Qb(ub|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[Ea>>2]=27488;B=0;va(448,d|0);b=B;B=0;do if(b&1){a=Rb()|0;vb=Q;wb=a}else{k[d>>2]=27560;a=g+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[g+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,d|0,e|0);n=B;B=0;if(n&1){n=Rb()|0;Wa=Q;Yua(e);Yua(a);Ava(d);vb=Wa;wb=n;break}Yua(e);B=0;n=Ia(40,g|0,123752,12)|0;Wa=B;B=0;e:do if(!(Wa&1)?(B=0,Xa(239,n|0,0)|0,ib=B,B=0,!(ib&1)):0){ib=Ab(20)|0;B=0;eb(502,h|0,121503,60);c=B;B=0;do if(!(c&1)){B=0;eb(502,i|0,123765,9);kb=B;B=0;if(kb&1){kb=Rb()|0;jb=Q;Yua(h);xb=kb;yb=jb;break}B=0;wa(510,l|0,d|0);jb=B;B=0;if(jb&1){jb=Rb()|0;Bb=jb;Cb=Q;Db=1}else{B=0;ua(163,ib|0,h|0,i|0,4880,l|0);jb=B;B=0;if(jb&1)Eb=1;else{B=0;eb(503,ib|0,1240,229);B=0;Eb=0}jb=Rb()|0;kb=Q;Yua(l);Bb=jb;Cb=kb;Db=Eb}Yua(i);Yua(h);if(Db){xb=Bb;yb=Cb}else{Fb=Bb;Gb=Cb;break e}}else{kb=Rb()|0;xb=kb;yb=Q}while(0);zb(ib|0);Fb=xb;Gb=yb}else xa=18;while(0);if((xa|0)==18){n=Rb()|0;Fb=n;Gb=Q}k[g>>2]=27468;k[Ea>>2]=27488;k[d>>2]=27560;Yua(a);Ava(d);vva(Ea);ya=Fb;za=Gb;Qb(ya|0)}while(0);tb=vb;ub=wb;vva(Ea);Qb(ub|0);return 0}function l5(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,l=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0;c=r;r=r+912|0;d=c+896|0;e=c+696|0;f=c+880|0;g=c+868|0;h=c+856|0;i=c+560|0;l=c+844|0;n=c+832|0;o=c+548|0;q=c;s=c+544|0;t=c+264|0;u=c+408|0;v=c+116|0;w=c+104|0;x=c+92|0;y=c+272|0;z=c+80|0;A=c+68|0;C=c+56|0;D=c+48|0;E=c+128|0;F=c+32|0;G=c+20|0;H=c+8|0;I=a+48|0;J=k[I>>2]|0;K=Rqa(J>>>0>2147483647?-1:J<<1)|0;L=Rqa(J>>>0>1073741823?-1:J<<2)|0;M=(J|0)>0;if(M){N=a+12|0;O=0;do{k[(k[N>>2]|0)+(O*48|0)+40>>2]=0;O=O+1|0}while((O|0)<(J|0));if(M){M=a+12|0;O=J;N=0;P=0;while(1){R=k[M>>2]|0;S=R+(P*48|0)|0;T=R+(P*48|0)+40|0;if(!(k[T>>2]|0)){k[T>>2]=S;k[L>>2]=S;j[K>>1]=3;S=3;R=0;while(1){U=K+(R<<1)|0;V=S+-1<<16>>16;j[U>>1]=V;a:do if(!(S<<16>>16))W=R;else{X=U;Y=V;Z=R;while(1){_=L+(Z<<2)|0;$=Y;while(1){aa=$<<16>>16;ba=k[_>>2]|0;if((P4(ba,aa)|0)==0?(ca=Z4(ba,aa)|0,aa=ca+40|0,(k[aa>>2]|0)==0):0){da=ca;ea=aa;break}aa=j[X>>1]|0;$=aa+-1<<16>>16;j[X>>1]=$;if(!(aa<<16>>16)){W=Z;break a}}$=Z+1|0;k[ea>>2]=k[T>>2];k[T>>2]=da;_=K+($<<1)|0;k[L+($<<2)>>2]=da;j[_>>1]=2;X=_;Y=2;Z=$}}while(0);V=W+-1|0;if((W|0)<=0)break;S=j[K+(V<<1)>>1]|0;R=V}fa=k[I>>2]|0;ga=N+1|0}else{fa=O;ga=N}P=P+1|0;if((P|0)>=(fa|0)){ha=fa;ia=ga;break}else{O=fa;N=ga}}ga=a+64|0;k[ga>>2]=0;if((ha|0)>0){N=a+12|0;fa=0;O=ia;P=0;while(1){W=k[N>>2]|0;do if(k[W+(P*48|0)+40>>2]|0){if(((k[W+(P*48|0)>>2]|0)!=0?(k[W+(P*48|0)+4>>2]|0)!=0:0)?(k[W+(P*48|0)+8>>2]|0)!=0:0){ja=fa;ka=O;break}da=O+-1|0;ea=W+(P*48|0)|0;M=fa+-1|0;k[ga>>2]=M;if(!ea){ja=M;ka=da}else{R=M;M=ea;while(1){ea=R+1|0;S=M+40|0;M=k[S>>2]|0;k[S>>2]=0;if(!M){la=ea;break}else R=ea}k[ga>>2]=la;ja=la;ka=da}}else{ja=fa;ka=O}while(0);P=P+1|0;if((P|0)>=(ha|0)){ma=ga;na=ha;oa=ja;pa=ka;break}else{fa=ja;O=ka}}}else{ma=ga;na=ha;oa=0;pa=ia}}else qa=18}else qa=18;if((qa|0)==18){ia=a+64|0;k[ia>>2]=0;ma=ia;na=J;oa=0;pa=0}Tqa(K);if(!((pa|0)!=0&(na|0)!=(oa|0))){oa=e+56|0;na=e+4|0;k[e>>2]=27524;k[oa>>2]=27544;B=0;wa(508,e+56|0,na|0);K=B;B=0;if(K&1){K=Rb()|0;ra=Q;sa=K;vva(oa);Qb(sa|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[oa>>2]=27488;B=0;va(448,na|0);K=B;B=0;do if(K&1){J=Rb()|0;ta=Q;xa=J}else{k[na>>2]=27560;J=e+36|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;k[J+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,na|0,d|0);ia=B;B=0;if(ia&1){ia=Rb()|0;ha=Q;Yua(d);Yua(J);Ava(na);ta=ha;xa=ia;break}Yua(d);B=0;ia=Ia(40,e|0,123861,52)|0;ha=B;B=0;b:do if(!(ha&1)?(B=0,Xa(239,ia|0,0)|0,ga=B,B=0,!(ga&1)):0){ga=Ab(20)|0;B=0;eb(502,f|0,121503,60);ka=B;B=0;do if(!(ka&1)){B=0;eb(502,g|0,123914,13);O=B;B=0;if(O&1){O=Rb()|0;ja=Q;Yua(f);ya=O;za=ja;break}B=0;wa(510,h|0,na|0);ja=B;B=0;if(ja&1){ja=Rb()|0;Aa=1;Ba=ja;Ca=Q}else{B=0;ua(163,ga|0,f|0,g|0,2503,h|0);ja=B;B=0;if(ja&1)Da=1;else{B=0;eb(503,ga|0,1240,229);B=0;Da=0}ja=Rb()|0;O=Q;Yua(h);Aa=Da;Ba=ja;Ca=O}Yua(g);Yua(f);if(Aa){ya=Ba;za=Ca}else{Ea=Ba;Fa=Ca;break b}}else{O=Rb()|0;ya=O;za=Q}while(0);zb(ga|0);Ea=ya;Fa=za}else qa=45;while(0);if((qa|0)==45){ia=Rb()|0;Ea=ia;Fa=Q}k[e>>2]=27468;k[oa>>2]=27488;k[na>>2]=27560;Yua(J);Ava(na);vva(oa);Ga=Ea;Ha=Fa;Qb(Ga|0)}while(0);ra=ta;sa=xa;vva(oa);Qb(sa|0)}Tqa(L);L=(b|0)!=0;if((!L?(b=k[a>>2]|0,(k[b+32>>2]|0)!=0):0)?(sa=k[b+12>>2]|0,(sa|0)!=0):0){b=a+60|0;oa=a+28|0;xa=k[oa>>2]|0;ta=(xa|0)==0;if((sa|0)==(k[b>>2]|0))if(ta)qa=137;else Ja=k[a>>2]|0;else if(ta)qa=137;else{Tqa(xa);k[oa>>2]=0;qa=137}if((qa|0)==137){xa=k[a>>2]|0;ta=k[xa+12>>2]|0;sa=Rqa(ta>>>0>268435455?-1:ta<<4)|0;k[oa>>2]=sa;Ja=xa}k[b>>2]=k[Ja+12>>2];Ja=k[a+44>>2]|0;if((Ja|0)>0){xa=a+8|0;sa=0;do{ta=k[xa>>2]|0;j[ta+(sa*72|0)+60>>1]=0;k[ta+(sa*72|0)+64>>2]=0;sa=sa+1|0}while((sa|0)!=(Ja|0))}Ja=k[I>>2]|0;if((Ja|0)>0){sa=a+12|0;xa=0;do{X4((k[sa>>2]|0)+(xa*48|0)|0);xa=xa+1|0;ta=k[I>>2]|0}while((xa|0)<(ta|0));Ka=ta}else Ka=Ja;Ja=Rqa(Ka>>>0>1073741823?-1:Ka<<2)|0;Ka=m5(a)|0;xa=k[I>>2]|0;if((xa|0)>0){sa=k[a+12>>2]|0;ta=0;do{k[Ja+(ta<<2)>>2]=(k[sa+(ta*48|0)+40>>2]|0)!=0?-1:-2;ta=ta+1|0}while((ta|0)<(xa|0))}xa=k[b>>2]|0;c:do if((xa|0)>0){ta=q+4|0;sa=D+4|0;ra=a+12|0;Fa=0;Ea=0;d:while(1){na=k[(k[a>>2]|0)+32>>2]|0;e=k[na+(Fa*12|0)>>2]|0;k[(k[oa>>2]|0)+(Fa<<4)+4>>2]=k[na+(Fa*12|0)+8>>2];na=Ka+((Gpa(k[a>>2]|0,e)|0)<<2)|0;za=k[na>>2]|0;na=k[za>>2]|0;ya=k[za+4>>2]|0;Ca=k[na+64>>2]|0;Ba=k[(k[(k[a>>2]|0)+32>>2]|0)+(Fa*12|0)+4>>2]|0;Aa=k[e>>2]|0;f=k[e+4>>2]|0;e=(+p[Aa+8>>3]-+p[f+8>>3])*(+p[na+8>>3]-+p[ya+8>>3])+(+p[Aa+16>>3]-+p[f+16>>3])*(+p[na+16>>3]-+p[ya+16>>3])<0.0?0-Ba|0:Ba;Ba=k[oa>>2]|0;k[Ba+(Fa<<4)+8>>2]=e;k[Ba+(Fa<<4)+12>>2]=za;za=m[52932+(j[na+60>>1]<<2)>>1]|0;k[q>>2]=Ca;k[ta>>2]=za&3;while(1){k[s>>2]=0;if((G4(q,s)|0)==(ya|0))break;F4(D,q);za=k[D>>2]|0;na=m[52956+(k[sa>>2]<<1)>>1]&3;Ba=q;k[Ba>>2]=za;k[Ba+4>>2]=na;if((Ca|0)==(za|0)){La=Fa;qa=214;break d}}if((e|0)>0){F4(t,q);Ca=k[t>>2]|0;ya=k[oa>>2]|0;k[ya+(Fa<<4)>>2]=Ca;Ma=ya;Na=Ca}else{Ca=k[q>>2]|0;ya=k[oa>>2]|0;k[ya+(Fa<<4)>>2]=Ca;Ma=ya;Na=Ca}Ca=k[ra>>2]|0;ya=Ca;if(Na>>>0<Ca>>>0){Oa=Fa;qa=159;break}if(Na>>>0>=(Ca+((k[I>>2]|0)*48|0)|0)>>>0){Oa=Fa;qa=159;break}if((k[Na+32+4>>2]|0)<0){Oa=Fa;qa=159;break}if(!(k[Na+40>>2]|0)){Oa=Fa;qa=159;break}if((k[Ja+(((Na-ya|0)/48|0)<<2)>>2]|0)>-1)Pa=Ea;else{if((Fa|0)==(Ea|0))Qa=ya;else{ya=Ma+(Fa<<4)|0;Ca=Ma+(Ea<<4)|0;k[d>>2]=k[ya>>2];k[d+4>>2]=k[ya+4>>2];k[d+8>>2]=k[ya+8>>2];k[d+12>>2]=k[ya+12>>2];k[ya>>2]=k[Ca>>2];k[ya+4>>2]=k[Ca+4>>2];k[ya+8>>2]=k[Ca+8>>2];k[ya+12>>2]=k[Ca+12>>2];k[Ca>>2]=k[d>>2];k[Ca+4>>2]=k[d+4>>2];k[Ca+8>>2]=k[d+8>>2];k[Ca+12>>2]=k[d+12>>2];Qa=k[ra>>2]|0}Ca=Ea+1|0;ya=Na;while(1){ga=Ja+(((ya-Qa|0)/48|0)<<2)|0;if((k[ga>>2]|0)>-1){qa=188;break d}k[ga>>2]=Fa;ya=k[ya+40>>2]|0;if((ya|0)==(Na|0)){Pa=Ca;break}}}Fa=Fa+1|0;Ca=k[b>>2]|0;if((Fa|0)>=(Ca|0)){Ra=Ca;Sa=Pa;break c}else Ea=Pa}if((qa|0)==159){Ea=u+56|0;Fa=u+4|0;k[u>>2]=27524;k[Ea>>2]=27544;B=0;wa(508,u+56|0,Fa|0);ra=B;B=0;if(ra&1){ra=Rb()|0;Ta=Q;Ua=ra;vva(Ea);Qb(Ua|0)}k[u+128>>2]=0;k[u+132>>2]=-1;k[u>>2]=27468;k[Ea>>2]=27488;B=0;va(448,Fa|0);ra=B;B=0;do if(ra&1){sa=Rb()|0;Va=Q;Wa=sa}else{k[Fa>>2]=27560;sa=u+36|0;k[sa>>2]=0;k[sa+4>>2]=0;k[sa+8>>2]=0;k[sa+12>>2]=0;k[u+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Fa|0,d|0);ta=B;B=0;if(ta&1){ta=Rb()|0;J=Q;Yua(d);Yua(sa);Ava(Fa);Va=J;Wa=ta;break}Yua(d);B=0;ta=Ia(40,u|0,123944,28)|0;J=B;B=0;e:do if(!(J&1)?(B=0,Ca=Xa(242,ta|0,Oa|0)|0,ya=B,B=0,!(ya&1)):0){B=0;Xa(239,Ca|0,0)|0;Ca=B;B=0;if(Ca&1){qa=175;break}Ca=Ab(20)|0;B=0;eb(502,v|0,121503,60);ya=B;B=0;do if(!(ya&1)){B=0;eb(502,w|0,123914,13);e=B;B=0;if(e&1){e=Rb()|0;ga=Q;Yua(v);Ya=e;Za=ga;break}B=0;wa(510,x|0,Fa|0);ga=B;B=0;if(ga&1){ga=Rb()|0;_a=ga;$a=Q;ab=1}else{B=0;ua(163,Ca|0,v|0,w|0,2627,x|0);ga=B;B=0;if(ga&1)bb=1;else{B=0;eb(503,Ca|0,1240,229);B=0;bb=0}ga=Rb()|0;e=Q;Yua(x);_a=ga;$a=e;ab=bb}Yua(w);Yua(v);if(ab){Ya=_a;Za=$a}else{cb=_a;db=$a;break e}}else{e=Rb()|0;Ya=e;Za=Q}while(0);zb(Ca|0);cb=Ya;db=Za}else qa=175;while(0);if((qa|0)==175){ta=Rb()|0;cb=ta;db=Q}k[u>>2]=27468;k[Ea>>2]=27488;k[Fa>>2]=27560;Yua(sa);Ava(Fa);vva(Ea);Ga=cb;Ha=db;Qb(Ga|0)}while(0);Ta=Va;Ua=Wa;vva(Ea);Qb(Ua|0)}else if((qa|0)==188){Fa=y+56|0;ra=y+4|0;k[y>>2]=27524;k[Fa>>2]=27544;B=0;wa(508,y+56|0,ra|0);ta=B;B=0;if(ta&1){ta=Rb()|0;fb=Q;gb=ta;vva(Fa);Qb(gb|0)}k[y+128>>2]=0;k[y+132>>2]=-1;k[y>>2]=27468;k[Fa>>2]=27488;B=0;va(448,ra|0);ta=B;B=0;do if(ta&1){J=Rb()|0;hb=Q;ib=J}else{k[ra>>2]=27560;J=y+36|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;k[J+12>>2]=0;k[y+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,ra|0,d|0);ya=B;B=0;if(ya&1){ya=Rb()|0;e=Q;Yua(d);Yua(J);Ava(ra);hb=e;ib=ya;break}Yua(d);B=0;ya=Ia(40,y|0,123973,18)|0;e=B;B=0;f:do if(!(e&1)?(B=0,Xa(239,ya|0,0)|0,ga=B,B=0,!(ga&1)):0){ga=Ab(20)|0;B=0;eb(502,z|0,121503,60);za=B;B=0;do if(!(za&1)){B=0;eb(502,A|0,123914,13);na=B;B=0;if(na&1){na=Rb()|0;Ba=Q;Yua(z);jb=na;kb=Ba;break}B=0;wa(510,C|0,ra|0);Ba=B;B=0;if(Ba&1){Ba=Rb()|0;lb=1;mb=Ba;nb=Q}else{B=0;ua(163,ga|0,z|0,A|0,2642,C|0);Ba=B;B=0;if(Ba&1)ob=1;else{B=0;eb(503,ga|0,1240,229);B=0;ob=0}Ba=Rb()|0;na=Q;Yua(C);lb=ob;mb=Ba;nb=na}Yua(A);Yua(z);if(lb){jb=mb;kb=nb}else{pb=mb;qb=nb;break f}}else{na=Rb()|0;jb=na;kb=Q}while(0);zb(ga|0);pb=jb;qb=kb}else qa=203;while(0);if((qa|0)==203){ya=Rb()|0;pb=ya;qb=Q}k[y>>2]=27468;k[Fa>>2]=27488;k[ra>>2]=27560;Yua(J);Ava(ra);vva(Fa);Ga=pb;Ha=qb;Qb(Ga|0)}while(0);fb=hb;gb=ib;vva(Fa);Qb(gb|0)}else if((qa|0)==214){ra=E+56|0;ta=E+4|0;k[E>>2]=27524;k[ra>>2]=27544;B=0;wa(508,E+56|0,ta|0);Ea=B;B=0;if(Ea&1){Ea=Rb()|0;rb=Q;sb=Ea;vva(ra);Qb(sb|0)}k[E+128>>2]=0;k[E+132>>2]=-1;k[E>>2]=27468;k[ra>>2]=27488;B=0;va(448,ta|0);Ea=B;B=0;do if(Ea&1){ya=Rb()|0;tb=Q;ub=ya}else{k[ta>>2]=27560;ya=E+36|0;k[ya>>2]=0;k[ya+4>>2]=0;k[ya+8>>2]=0;k[ya+12>>2]=0;k[E+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,ta|0,d|0);e=B;B=0;if(e&1){e=Rb()|0;sa=Q;Yua(d);Yua(ya);Ava(ta);tb=sa;ub=e;break}Yua(d);B=0;e=Ia(40,E|0,123944,28)|0;sa=B;B=0;g:do if(!(sa&1)?(B=0,za=Xa(242,e|0,La|0)|0,Ca=B,B=0,!(Ca&1)):0){B=0;Xa(239,za|0,0)|0;za=B;B=0;if(za&1){qa=230;break}za=Ab(20)|0;B=0;eb(502,F|0,121503,60);Ca=B;B=0;do if(!(Ca&1)){B=0;eb(502,G|0,123914,13);na=B;B=0;if(na&1){na=Rb()|0;Ba=Q;Yua(F);vb=na;wb=Ba;break}B=0;wa(510,H|0,ta|0);Ba=B;B=0;if(Ba&1){Ba=Rb()|0;xb=1;yb=Ba;Bb=Q}else{B=0;ua(163,za|0,F|0,G|0,2651,H|0);Ba=B;B=0;if(Ba&1)Cb=1;else{B=0;eb(503,za|0,1240,229);B=0;Cb=0}Ba=Rb()|0;na=Q;Yua(H);xb=Cb;yb=Ba;Bb=na}Yua(G);Yua(F);if(xb){vb=yb;wb=Bb}else{Db=yb;Eb=Bb;break g}}else{na=Rb()|0;vb=na;wb=Q}while(0);zb(za|0);Db=vb;Eb=wb}else qa=230;while(0);if((qa|0)==230){e=Rb()|0;Db=e;Eb=Q}k[E>>2]=27468;k[ra>>2]=27488;k[ta>>2]=27560;Yua(ya);Ava(ta);vva(ra);Ga=Db;Ha=Eb;Qb(Ga|0)}while(0);rb=tb;sb=ub;vva(ra);Qb(sb|0)}}else{Ra=xa;Sa=0}while(0);if((Sa|0)<(Ra|0))k[b>>2]=Sa;Sa=k[I>>2]|0;if((Sa|0)>0){b=a+12|0;Ra=0;do{if((k[Ja+(Ra<<2)>>2]|0)==-1){k[ma>>2]=(k[ma>>2]|0)+1;k[(k[b>>2]|0)+(Ra*48|0)+40>>2]=0}Ra=Ra+1|0}while((Ra|0)<(Sa|0))}Tqa(Ka);Tqa(Ja)}else{Ja=a+28|0;Ka=k[Ja>>2]|0;if(Ka)Tqa(Ka);Ka=Rqa(pa>>>0>268435455?-1:pa<<4)|0;k[Ja>>2]=Ka;Sa=a+60|0;k[Sa>>2]=pa;if((pa|0)>0){Ra=0;do{k[Ka+(Ra<<4)>>2]=0;b=Ra;Ra=Ra+1|0;k[Ka+(b<<4)+4>>2]=Ra}while((Ra|0)<(pa|0))}Ra=k[I>>2]|0;b=Rqa(Ra>>>0>1073741823?-1:Ra<<2)|0;xa=(Ra|0)>0;if(xa){sb=k[a+12>>2]|0;ub=0;do{k[b+(ub<<2)>>2]=(k[sb+(ub*48|0)+40>>2]|0)!=0?-1:-2;ub=ub+1|0}while((ub|0)<(Ra|0));if(xa){xa=a+12|0;ub=0;sb=0;while(1){tb=b+(ub<<2)|0;if((k[tb>>2]|0)==-1){rb=k[xa>>2]|0;Eb=rb+(ub*48|0)|0;Db=k[rb+(ub*48|0)+40>>2]|0;k[tb>>2]=sb;k[Ka+(sb<<4)>>2]=Eb;E=rb;rb=Db;do{k[b+(((rb-E|0)/48|0)<<2)>>2]=sb;rb=k[rb+40>>2]|0}while((rb|0)!=(Eb|0));k[tb>>2]=sb;Fb=sb+1|0}else Fb=sb;ub=ub+1|0;if((ub|0)>=(Ra|0)){Gb=Fb;break}else sb=Fb}}else Gb=0}else Gb=0;if((Gb|0)!=(pa|0)){Tqa(b);Gb=i+56|0;Fb=i+4|0;k[i>>2]=27524;k[Gb>>2]=27544;B=0;wa(508,i+56|0,Fb|0);sb=B;B=0;if(sb&1){sb=Rb()|0;Hb=Q;Ib=sb;vva(Gb);Qb(Ib|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[Gb>>2]=27488;B=0;va(448,Fb|0);sb=B;B=0;do if(sb&1){ub=Rb()|0;Jb=Q;Kb=ub}else{k[Fb>>2]=27560;ub=i+36|0;k[ub>>2]=0;k[ub+4>>2]=0;k[ub+8>>2]=0;k[ub+12>>2]=0;k[i+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Fb|0,d|0);Ka=B;B=0;if(Ka&1){Ka=Rb()|0;xa=Q;Yua(d);Yua(ub);Ava(Fb);Jb=xa;Kb=Ka;break}Yua(d);B=0;Ka=Ia(40,i|0,123928,15)|0;xa=B;B=0;h:do if(!(xa&1)?(B=0,Xa(239,Ka|0,0)|0,Eb=B,B=0,!(Eb&1)):0){Eb=Ab(20)|0;B=0;eb(502,l|0,121503,60);rb=B;B=0;do if(!(rb&1)){B=0;eb(502,n|0,123914,13);E=B;B=0;if(E&1){E=Rb()|0;ra=Q;Yua(l);Lb=E;Mb=ra;break}B=0;wa(510,o|0,Fb|0);ra=B;B=0;if(ra&1){ra=Rb()|0;Nb=1;Ob=ra;Pb=Q}else{B=0;ua(163,Eb|0,l|0,n|0,2540,o|0);ra=B;B=0;if(ra&1)Sb=1;else{B=0;eb(503,Eb|0,1240,229);B=0;Sb=0}ra=Rb()|0;E=Q;Yua(o);Nb=Sb;Ob=ra;Pb=E}Yua(n);Yua(l);if(Nb){Lb=Ob;Mb=Pb}else{Tb=Ob;Ub=Pb;break h}}else{E=Rb()|0;Lb=E;Mb=Q}while(0);zb(Eb|0);Tb=Lb;Ub=Mb}else qa=86;while(0);if((qa|0)==86){Ka=Rb()|0;Tb=Ka;Ub=Q}k[i>>2]=27468;k[Gb>>2]=27488;k[Fb>>2]=27560;Yua(ub);Ava(Fb);vva(Gb);Ga=Tb;Ha=Ub;Qb(Ga|0)}while(0);Hb=Jb;Ib=Kb;vva(Gb);Qb(Ib|0)}if(L){L=a+12|0;Ib=Ra;Ra=pa;i:while(1){if((Ra|0)!=0&(Ib|0)>0){pa=0;Gb=Ra;while(1){if(!Gb)break i;Kb=b+(pa<<2)|0;Jb=0;Hb=Gb;while(1){Ga=Z4((k[L>>2]|0)+(pa*48|0)|0,Jb)|0;if(!Ga)Vb=-2;else Vb=k[b+(((Ga-(k[L>>2]|0)|0)/48|0)<<2)>>2]|0;Ga=k[Kb>>2]|0;do if((Ga|0)==(Vb|0))Wb=Hb;else{Ub=(Vb|0)>-1;do if(Ub){Ha=k[Ja>>2]|0;Tb=k[Ha+(Vb<<4)+4>>2]|0;if(!((Ga|0)>-1&(Tb|0)<0)){Xb=Hb;break}Fb=Ha+(Ga<<4)+4|0;if((k[Fb>>2]|0)<=-1){Xb=Hb;break}k[Fb>>2]=Tb+-1;Xb=Hb+-1|0}else Xb=Hb;while(0);if((Ga|0)<=-1){if(!Ub){Wb=Xb;break}Tb=(k[Ja>>2]|0)+(Vb<<4)+4|0;if((k[Tb>>2]|0)<=-1){Wb=Xb;break}k[Tb>>2]=-1;Wb=Xb+-1|0;break}Tb=k[Ja>>2]|0;Fb=Tb+(Ga<<4)+4|0;Ha=k[Fb>>2]|0;do if(Ub&(Ha|0)<0){i=Tb+(Vb<<4)+4|0;if((k[i>>2]|0)<=-1){Yb=Xb;break}k[i>>2]=Ha+-1;Yb=Xb+-1|0}else Yb=Xb;while(0);if((Vb|0)>=0){Wb=Yb;break}if((k[Fb>>2]|0)<=-1){Wb=Yb;break}k[Fb>>2]=-1;Wb=Yb+-1|0}while(0);Jb=Jb+1|0;if(!((Wb|0)!=0&(Jb|0)<3)){Zb=Wb;break}else Hb=Wb}Hb=k[I>>2]|0;pa=pa+1|0;if(!((Zb|0)!=0&(pa|0)<(Hb|0))){_b=Hb;$b=Zb;break}else Gb=Zb}}else{_b=Ib;$b=Ra}if(!$b)break;else{Ib=_b;Ra=$b}}$b=k[Sa>>2]|0;if(($b|0)>0){Ra=$b;$b=0;_b=0;while(1){Ib=k[Ja>>2]|0;Zb=Ib+($b<<4)|0;if(!(k[Ib+($b<<4)+4>>2]&1)){Wb=k[Zb>>2]|0;if(!Wb){ac=Ra;bc=_b}else{Yb=k[ma>>2]|0;Vb=Wb;while(1){Wb=Yb+1|0;Xb=Vb+40|0;Vb=k[Xb>>2]|0;k[Xb>>2]=0;if(!Vb){cc=Wb;break}else Yb=Wb}k[ma>>2]=cc;ac=Ra;bc=_b}}else{if(($b|0)==(_b|0))dc=Ra;else{Yb=Ib+(_b<<4)|0;k[d>>2]=k[Zb>>2];k[d+4>>2]=k[Zb+4>>2];k[d+8>>2]=k[Zb+8>>2];k[d+12>>2]=k[Zb+12>>2];k[Zb>>2]=k[Yb>>2];k[Zb+4>>2]=k[Yb+4>>2];k[Zb+8>>2]=k[Yb+8>>2];k[Zb+12>>2]=k[Yb+12>>2];k[Yb>>2]=k[d>>2];k[Yb+4>>2]=k[d+4>>2];k[Yb+8>>2]=k[d+8>>2];k[Yb+12>>2]=k[d+12>>2];dc=k[Sa>>2]|0}ac=dc;bc=_b+1|0}$b=$b+1|0;if(($b|0)>=(ac|0)){ec=bc;break}else{Ra=ac;_b=bc}}}else ec=0;k[Sa>>2]=ec}Tqa(b)}k[ma>>2]=0;b=k[I>>2]|0;if((b|0)<=0){r=c;return}I=k[a+12>>2]|0;a=0;ec=0;while(1){if(!(k[I+(ec*48|0)+40>>2]|0)){Sa=a+1|0;k[ma>>2]=Sa;fc=Sa}else fc=a;ec=ec+1|0;if((ec|0)>=(b|0))break;else a=fc}r=c;return}
function lf(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0;h=r;r=r+160|0;i=h+64|0;j=h+56|0;l=h+48|0;m=h+40|0;n=h+32|0;o=h+24|0;q=h+16|0;s=h+8|0;t=h+152|0;u=h+148|0;v=h+144|0;w=h+140|0;x=h+136|0;y=h+132|0;z=h+128|0;A=h+120|0;B=h+112|0;C=h+104|0;D=h+96|0;E=h+88|0;F=h+80|0;G=h;H=h+72|0;k[t>>2]=a;k[u>>2]=b;k[v>>2]=c;k[w>>2]=d;k[x>>2]=e;k[y>>2]=f;k[z>>2]=g;if((k[(k[u>>2]|0)+116>>2]|0)>2){k[s>>2]=k[w>>2];mta(58246,s)|0}if((k[w>>2]|0)==2){Be(k[t>>2]|0,k[u>>2]|0,k[y>>2]|0);k[(k[k[y>>2]>>2]|0)+((k[27620+(k[(k[y>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[k[v>>2]>>2];k[(k[k[y>>2]>>2]|0)+((k[27632+(k[(k[y>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[(k[v>>2]|0)+4>>2];Be(k[t>>2]|0,k[u>>2]|0,k[z>>2]|0);k[(k[k[z>>2]>>2]|0)+((k[27620+(k[(k[z>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[(k[v>>2]|0)+4>>2];k[(k[k[z>>2]>>2]|0)+((k[27632+(k[(k[z>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[k[v>>2]>>2];k[(k[k[y>>2]>>2]|0)+(k[(k[y>>2]|0)+4>>2]<<2)>>2]=k[k[z>>2]>>2]|k[(k[z>>2]|0)+4>>2];k[(k[k[z>>2]>>2]|0)+(k[(k[z>>2]|0)+4>>2]<<2)>>2]=k[k[y>>2]>>2]|k[(k[y>>2]|0)+4>>2];k[(k[y>>2]|0)+4>>2]=k[27632+(k[(k[y>>2]|0)+4>>2]<<2)>>2];k[(k[z>>2]|0)+4>>2]=k[27620+(k[(k[z>>2]|0)+4>>2]<<2)>>2];k[(k[k[y>>2]>>2]|0)+(k[(k[y>>2]|0)+4>>2]<<2)>>2]=k[k[z>>2]>>2]|k[(k[z>>2]|0)+4>>2];k[(k[k[z>>2]>>2]|0)+(k[(k[z>>2]|0)+4>>2]<<2)>>2]=k[k[y>>2]>>2]|k[(k[y>>2]|0)+4>>2];k[(k[y>>2]|0)+4>>2]=k[27632+(k[(k[y>>2]|0)+4>>2]<<2)>>2];k[(k[z>>2]|0)+4>>2]=k[27620+(k[(k[z>>2]|0)+4>>2]<<2)>>2];k[(k[k[y>>2]>>2]|0)+(k[(k[y>>2]|0)+4>>2]<<2)>>2]=k[k[z>>2]>>2]|k[(k[z>>2]|0)+4>>2];k[(k[k[z>>2]>>2]|0)+(k[(k[z>>2]|0)+4>>2]<<2)>>2]=k[k[y>>2]>>2]|k[(k[y>>2]|0)+4>>2];if((k[(k[u>>2]|0)+116>>2]|0)>2){mta(58276,q)|0;ee(k[t>>2]|0,k[u>>2]|0,k[y>>2]|0);mta(58276,o)|0;ee(k[t>>2]|0,k[u>>2]|0,k[z>>2]|0)}k[k[y>>2]>>2]=k[k[z>>2]>>2];k[(k[y>>2]|0)+4>>2]=k[27632+(k[(k[z>>2]|0)+4>>2]<<2)>>2];r=h;return}if((k[w>>2]|0)!=3){k[H>>2]=k[w>>2]>>1;lf(k[t>>2]|0,k[u>>2]|0,k[v>>2]|0,k[H>>2]|0,1-(k[x>>2]|0)|0,k[y>>2]|0,E);lf(k[t>>2]|0,k[u>>2]|0,(k[v>>2]|0)+(k[H>>2]<<2)|0,(k[w>>2]|0)-(k[H>>2]|0)|0,1-(k[x>>2]|0)|0,F,k[z>>2]|0);if((k[(k[u>>2]|0)+116>>2]|0)>1){o=(k[w>>2]|0)-(k[H>>2]|0)|0;k[i>>2]=k[H>>2];k[i+4>>2]=o;mta(58288,i)|0}kf(k[t>>2]|0,k[u>>2]|0,k[y>>2]|0,E,F,k[z>>2]|0,k[x>>2]|0);r=h;return}Be(k[t>>2]|0,k[u>>2]|0,A);Be(k[t>>2]|0,k[u>>2]|0,B);Be(k[t>>2]|0,k[u>>2]|0,C);Be(k[t>>2]|0,k[u>>2]|0,D);I=+Ie(k[t>>2]|0,k[u>>2]|0,k[k[v>>2]>>2]|0,k[(k[v>>2]|0)+4>>2]|0,k[(k[v>>2]|0)+8>>2]|0);p[G>>3]=I;x=+p[G>>3]==0.0;k[(k[A>>2]|0)+((k[27620+(k[A+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[k[v>>2]>>2];F=k[v>>2]|0;do if(!x){k[(k[B>>2]|0)+((k[27632+(k[B+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[F>>2];k[(k[D>>2]|0)+((k[27620+(k[D+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[k[v>>2]>>2];E=k[v>>2]|0;if(+p[G>>3]>0.0){k[(k[A>>2]|0)+((k[27632+(k[A+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[E+4>>2];k[(k[B>>2]|0)+((k[27620+(k[B+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[(k[v>>2]|0)+4>>2];k[(k[C>>2]|0)+((k[27632+(k[C+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[(k[v>>2]|0)+4>>2];k[(k[A>>2]|0)+((k[A+4>>2]|0)+3<<2)>>2]=k[(k[v>>2]|0)+8>>2];k[(k[C>>2]|0)+((k[27620+(k[C+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[(k[v>>2]|0)+8>>2];k[(k[D>>2]|0)+((k[27632+(k[D+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[(k[v>>2]|0)+8>>2]}else{k[(k[A>>2]|0)+((k[27632+(k[A+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[E+8>>2];k[(k[B>>2]|0)+((k[27620+(k[B+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[(k[v>>2]|0)+8>>2];k[(k[C>>2]|0)+((k[27632+(k[C+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[(k[v>>2]|0)+8>>2];k[(k[A>>2]|0)+((k[A+4>>2]|0)+3<<2)>>2]=k[(k[v>>2]|0)+4>>2];k[(k[C>>2]|0)+((k[27620+(k[C+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[(k[v>>2]|0)+4>>2];k[(k[D>>2]|0)+((k[27632+(k[D+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[(k[v>>2]|0)+4>>2]}k[(k[A>>2]|0)+(k[A+4>>2]<<2)>>2]=k[B>>2]|k[B+4>>2];k[(k[B>>2]|0)+(k[B+4>>2]<<2)>>2]=k[A>>2]|k[A+4>>2];k[A+4>>2]=k[27620+(k[A+4>>2]<<2)>>2];k[(k[A>>2]|0)+(k[A+4>>2]<<2)>>2]=k[C>>2]|k[C+4>>2];k[(k[C>>2]|0)+(k[C+4>>2]<<2)>>2]=k[A>>2]|k[A+4>>2];k[A+4>>2]=k[27620+(k[A+4>>2]<<2)>>2];k[(k[A>>2]|0)+(k[A+4>>2]<<2)>>2]=k[D>>2]|k[D+4>>2];k[(k[D>>2]|0)+(k[D+4>>2]<<2)>>2]=k[A>>2]|k[A+4>>2];k[B+4>>2]=k[27632+(k[B+4>>2]<<2)>>2];k[C+4>>2]=k[27620+(k[C+4>>2]<<2)>>2];k[(k[B>>2]|0)+(k[B+4>>2]<<2)>>2]=k[C>>2]|k[C+4>>2];k[(k[C>>2]|0)+(k[C+4>>2]<<2)>>2]=k[B>>2]|k[B+4>>2];k[B+4>>2]=k[27632+(k[B+4>>2]<<2)>>2];k[D+4>>2]=k[27632+(k[D+4>>2]<<2)>>2];k[(k[B>>2]|0)+(k[B+4>>2]<<2)>>2]=k[D>>2]|k[D+4>>2];k[(k[D>>2]|0)+(k[D+4>>2]<<2)>>2]=k[B>>2]|k[B+4>>2];k[C+4>>2]=k[27620+(k[C+4>>2]<<2)>>2];k[D+4>>2]=k[27632+(k[D+4>>2]<<2)>>2];k[(k[C>>2]|0)+(k[C+4>>2]<<2)>>2]=k[D>>2]|k[D+4>>2];k[(k[D>>2]|0)+(k[D+4>>2]<<2)>>2]=k[C>>2]|k[C+4>>2];k[k[y>>2]>>2]=k[B>>2];k[(k[y>>2]|0)+4>>2]=k[B+4>>2];if(+p[G>>3]>0.0){k[k[z>>2]>>2]=k[C>>2];k[(k[z>>2]|0)+4>>2]=k[C+4>>2];break}else{k[k[z>>2]>>2]=k[k[y>>2]>>2];k[(k[z>>2]|0)+4>>2]=k[27620+(k[(k[y>>2]|0)+4>>2]<<2)>>2];break}}else{k[(k[A>>2]|0)+((k[27632+(k[A+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[F+4>>2];k[(k[B>>2]|0)+((k[27620+(k[B+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[(k[v>>2]|0)+4>>2];k[(k[B>>2]|0)+((k[27632+(k[B+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[k[v>>2]>>2];k[(k[C>>2]|0)+((k[27620+(k[C+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[(k[v>>2]|0)+8>>2];k[(k[C>>2]|0)+((k[27632+(k[C+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[(k[v>>2]|0)+4>>2];k[(k[D>>2]|0)+((k[27620+(k[D+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[(k[v>>2]|0)+4>>2];k[(k[D>>2]|0)+((k[27632+(k[D+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[(k[v>>2]|0)+8>>2];k[(k[A>>2]|0)+(k[A+4>>2]<<2)>>2]=k[B>>2]|k[B+4>>2];k[(k[B>>2]|0)+(k[B+4>>2]<<2)>>2]=k[A>>2]|k[A+4>>2];k[(k[C>>2]|0)+(k[C+4>>2]<<2)>>2]=k[D>>2]|k[D+4>>2];k[(k[D>>2]|0)+(k[D+4>>2]<<2)>>2]=k[C>>2]|k[C+4>>2];k[A+4>>2]=k[27620+(k[A+4>>2]<<2)>>2];k[B+4>>2]=k[27632+(k[B+4>>2]<<2)>>2];k[C+4>>2]=k[27620+(k[C+4>>2]<<2)>>2];k[D+4>>2]=k[27632+(k[D+4>>2]<<2)>>2];k[(k[A>>2]|0)+(k[A+4>>2]<<2)>>2]=k[D>>2]|k[D+4>>2];k[(k[D>>2]|0)+(k[D+4>>2]<<2)>>2]=k[A>>2]|k[A+4>>2];k[(k[B>>2]|0)+(k[B+4>>2]<<2)>>2]=k[C>>2]|k[C+4>>2];k[(k[C>>2]|0)+(k[C+4>>2]<<2)>>2]=k[B>>2]|k[B+4>>2];k[A+4>>2]=k[27620+(k[A+4>>2]<<2)>>2];k[B+4>>2]=k[27632+(k[B+4>>2]<<2)>>2];k[C+4>>2]=k[27620+(k[C+4>>2]<<2)>>2];k[D+4>>2]=k[27632+(k[D+4>>2]<<2)>>2];k[(k[A>>2]|0)+(k[A+4>>2]<<2)>>2]=k[B>>2]|k[B+4>>2];k[(k[B>>2]|0)+(k[B+4>>2]<<2)>>2]=k[A>>2]|k[A+4>>2];k[(k[C>>2]|0)+(k[C+4>>2]<<2)>>2]=k[D>>2]|k[D+4>>2];k[(k[D>>2]|0)+(k[D+4>>2]<<2)>>2]=k[C>>2]|k[C+4>>2];k[k[y>>2]>>2]=k[B>>2];k[(k[y>>2]|0)+4>>2]=k[B+4>>2];k[k[z>>2]>>2]=k[C>>2];k[(k[z>>2]|0)+4>>2]=k[C+4>>2]}while(0);if((k[(k[u>>2]|0)+116>>2]|0)<=2){r=h;return}mta(58276,n)|0;ee(k[t>>2]|0,k[u>>2]|0,A);mta(58276,m)|0;ee(k[t>>2]|0,k[u>>2]|0,B);mta(58276,l)|0;ee(k[t>>2]|0,k[u>>2]|0,C);mta(58276,j)|0;ee(k[t>>2]|0,k[u>>2]|0,D);r=h;return}function mf(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;d=r;r=r+64|0;e=d+48|0;f=d+44|0;g=d+40|0;h=d+32|0;i=d+24|0;j=d+16|0;l=d+12|0;m=d+8|0;n=d+4|0;k[e>>2]=a;k[f>>2]=b;k[g>>2]=c;if(k[(k[f>>2]|0)+116>>2]|0)mta(58339,d)|0;k[h>>2]=k[k[g>>2]>>2];k[h+4>>2]=k[27632+(k[(k[g>>2]|0)+4>>2]<<2)>>2];k[n>>2]=k[(k[h>>2]|0)+(k[h+4>>2]<<2)>>2];k[h+4>>2]=k[n>>2]&3;k[h>>2]=k[n>>2]^k[h+4>>2];k[k[(k[e>>2]|0)+49768>>2]>>2]=k[h>>2]|k[h+4>>2];k[i>>2]=k[k[g>>2]>>2];k[i+4>>2]=k[(k[g>>2]|0)+4>>2];k[m>>2]=0;do{k[m>>2]=(k[m>>2]|0)+1;k[j>>2]=k[i>>2];k[j+4>>2]=k[27620+(k[i+4>>2]<<2)>>2];k[i+4>>2]=k[27632+(k[i+4>>2]<<2)>>2];k[n>>2]=k[(k[i>>2]|0)+(k[i+4>>2]<<2)>>2];k[i+4>>2]=k[n>>2]&3;k[i>>2]=k[n>>2]^k[i+4>>2];if(((k[k[f>>2]>>2]|0)==0?(k[i>>2]|0)!=(k[(k[e>>2]|0)+49768>>2]|0):0)?(k[l>>2]=k[(k[i>>2]|0)+((k[27620+(k[i+4>>2]<<2)>>2]|0)+3<<2)>>2],(k[(k[l>>2]|0)+(k[(k[e>>2]|0)+49696>>2]<<2)>>2]|0)==0):0)k[(k[l>>2]|0)+(k[(k[e>>2]|0)+49696>>2]<<2)>>2]=1;k[(k[i>>2]|0)+(k[i+4>>2]<<2)>>2]=k[(k[e>>2]|0)+49768>>2];k[n>>2]=k[(k[j>>2]|0)+(k[j+4>>2]<<2)>>2];k[i+4>>2]=k[n>>2]&3;k[i>>2]=k[n>>2]^k[i+4>>2];re(k[e>>2]|0,k[j>>2]|0);if((k[i>>2]|0)==(k[k[g>>2]>>2]|0))o=(k[i+4>>2]|0)==(k[(k[g>>2]|0)+4>>2]|0);else o=0}while(o^1);r=d;return k[m>>2]|0}function nf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;c=r;r=r+80|0;d=c+24|0;e=c+8|0;f=c+64|0;g=c+60|0;h=c+56|0;i=c+48|0;j=c+40|0;l=c+36|0;m=c+32|0;n=c+28|0;k[f>>2]=a;k[g>>2]=b;if(k[(k[g>>2]|0)+116>>2]|0)mta(58368,c)|0;b=ae(k[(k[f>>2]|0)+49648>>2]<<2)|0;k[h>>2]=b;me((k[f>>2]|0)+112|0);k[m>>2]=0;while(1){if((k[m>>2]|0)>=(k[(k[f>>2]|0)+49648>>2]|0))break;b=we(k[f>>2]|0)|0;k[(k[h>>2]|0)+(k[m>>2]<<2)>>2]=b;k[m>>2]=(k[m>>2]|0)+1}gf(k[h>>2]|0,k[(k[f>>2]|0)+49648>>2]|0);k[m>>2]=0;k[n>>2]=1;while(1){o=k[m>>2]|0;if((k[n>>2]|0)>=(k[(k[f>>2]|0)+49648>>2]|0))break;if(+p[k[(k[h>>2]|0)+(o<<2)>>2]>>3]==+p[k[(k[h>>2]|0)+(k[n>>2]<<2)>>2]>>3]?+p[(k[(k[h>>2]|0)+(k[m>>2]<<2)>>2]|0)+8>>3]==+p[(k[(k[h>>2]|0)+(k[n>>2]<<2)>>2]|0)+8>>3]:0){if(!(k[(k[g>>2]|0)+112>>2]|0)){q=+p[(k[(k[h>>2]|0)+(k[n>>2]<<2)>>2]|0)+8>>3];p[e>>3]=+p[k[(k[h>>2]|0)+(k[n>>2]<<2)>>2]>>3];p[e+8>>3]=q;mta(58389,e)|0}k[(k[(k[h>>2]|0)+(k[n>>2]<<2)>>2]|0)+((k[(k[f>>2]|0)+49696>>2]|0)+1<<2)>>2]=-32767;b=(k[f>>2]|0)+49668|0;k[b>>2]=(k[b>>2]|0)+1}else{k[m>>2]=(k[m>>2]|0)+1;k[(k[h>>2]|0)+(k[m>>2]<<2)>>2]=k[(k[h>>2]|0)+(k[n>>2]<<2)>>2]}k[n>>2]=(k[n>>2]|0)+1}k[m>>2]=o+1;if((k[(k[g>>2]|0)+100>>2]|0)!=0?(k[l>>2]=k[m>>2]>>1,((k[m>>2]|0)-(k[l>>2]|0)|0)>=2):0){if((k[l>>2]|0)>=2)jf(k[h>>2]|0,k[l>>2]|0,1);jf((k[h>>2]|0)+(k[l>>2]<<2)|0,(k[m>>2]|0)-(k[l>>2]|0)|0,1)}if(!(k[(k[g>>2]|0)+116>>2]|0)){s=k[f>>2]|0;t=k[g>>2]|0;u=k[h>>2]|0;v=k[m>>2]|0;lf(s,t,u,v,0,i,j);w=k[h>>2]|0;be(w);x=k[f>>2]|0;y=k[g>>2]|0;z=mf(x,y,i)|0;r=c;return z|0}mta(58463,d)|0;s=k[f>>2]|0;t=k[g>>2]|0;u=k[h>>2]|0;v=k[m>>2]|0;lf(s,t,u,v,0,i,j);w=k[h>>2]|0;be(w);x=k[f>>2]|0;y=k[g>>2]|0;z=mf(x,y,i)|0;r=c;return z|0}function of(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;c=r;r=r+48|0;d=c+36|0;e=c+32|0;f=c+24|0;g=c;k[d>>2]=a;k[e>>2]=b;if(k[(k[e>>2]|0)+116>>2]|0)mta(58489,c+8|0)|0;p[g>>3]=+p[(k[d>>2]|0)+49616>>3]-+p[(k[d>>2]|0)+49608>>3];if(+p[(k[d>>2]|0)+49632>>3]-+p[(k[d>>2]|0)+49624>>3]>+p[g>>3])p[g>>3]=+p[(k[d>>2]|0)+49632>>3]-+p[(k[d>>2]|0)+49624>>3];if(+p[g>>3]==0.0)p[g>>3]=1.0;b=ae(k[(k[d>>2]|0)+112+28>>2]|0)|0;k[(k[d>>2]|0)+49756>>2]=b;b=ae(k[(k[d>>2]|0)+112+28>>2]|0)|0;k[(k[d>>2]|0)+49760>>2]=b;b=ae(k[(k[d>>2]|0)+112+28>>2]|0)|0;k[(k[d>>2]|0)+49764>>2]=b;p[k[(k[d>>2]|0)+49756>>2]>>3]=+p[(k[d>>2]|0)+49608>>3]-+p[g>>3]*50.0;p[(k[(k[d>>2]|0)+49756>>2]|0)+8>>3]=+p[(k[d>>2]|0)+49624>>3]-+p[g>>3]*40.0;p[k[(k[d>>2]|0)+49760>>2]>>3]=+p[(k[d>>2]|0)+49616>>3]+ +p[g>>3]*50.0;p[(k[(k[d>>2]|0)+49760>>2]|0)+8>>3]=+p[(k[d>>2]|0)+49624>>3]-+p[g>>3]*40.0;p[k[(k[d>>2]|0)+49764>>2]>>3]=(+p[(k[d>>2]|0)+49608>>3]+ +p[(k[d>>2]|0)+49616>>3])*.5;p[(k[(k[d>>2]|0)+49764>>2]|0)+8>>3]=+p[(k[d>>2]|0)+49632>>3]+ +p[g>>3]*60.0;Be(k[d>>2]|0,k[e>>2]|0,f);k[(k[f>>2]|0)+((k[27620+(k[f+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[(k[d>>2]|0)+49756>>2];k[(k[f>>2]|0)+((k[27632+(k[f+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[(k[d>>2]|0)+49760>>2];k[(k[f>>2]|0)+((k[f+4>>2]|0)+3<<2)>>2]=k[(k[d>>2]|0)+49764>>2];k[k[(k[d>>2]|0)+49768>>2]>>2]=k[f>>2];if((k[(k[e>>2]|0)+116>>2]|0)<=2){r=c;return}mta(58276,c+16|0)|0;ee(k[d>>2]|0,k[e>>2]|0,f);r=c;return}function pf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;c=r;r=r+80|0;d=c+68|0;e=c+64|0;f=c+56|0;g=c+48|0;h=c+40|0;i=c+32|0;j=c+24|0;l=c+16|0;m=c+12|0;n=c+8|0;o=c+4|0;k[d>>2]=a;k[e>>2]=b;if(k[(k[e>>2]|0)+116>>2]|0)mta(58526,c)|0;k[i>>2]=k[(k[d>>2]|0)+49768>>2];k[i+4>>2]=0;k[o>>2]=k[(k[i>>2]|0)+(k[i+4>>2]<<2)>>2];k[i+4>>2]=k[o>>2]&3;k[i>>2]=k[o>>2]^k[i+4>>2];k[j>>2]=k[i>>2];k[j+4>>2]=k[27632+(k[i+4>>2]<<2)>>2];k[i+4>>2]=k[27620+(k[i+4>>2]<<2)>>2];k[o>>2]=k[(k[i>>2]|0)+(k[i+4>>2]<<2)>>2];k[i+4>>2]=k[o>>2]&3;k[i>>2]=k[o>>2]^k[i+4>>2];k[g>>2]=k[i>>2];k[g+4>>2]=k[27632+(k[i+4>>2]<<2)>>2];k[o>>2]=k[(k[g>>2]|0)+(k[g+4>>2]<<2)>>2];k[g+4>>2]=k[o>>2]&3;k[g>>2]=k[o>>2]^k[g+4>>2];k[h>>2]=k[i>>2];k[h+4>>2]=k[27620+(k[i+4>>2]<<2)>>2];k[o>>2]=k[(k[h>>2]|0)+(k[h+4>>2]<<2)>>2];k[h+4>>2]=k[o>>2]&3;k[h>>2]=k[o>>2]^k[h+4>>2];if((k[h>>2]|0)==(k[(k[d>>2]|0)+49768>>2]|0)){k[g+4>>2]=k[27632+(k[g+4>>2]<<2)>>2];k[o>>2]=k[(k[g>>2]|0)+(k[g+4>>2]<<2)>>2];k[g+4>>2]=k[o>>2]&3;k[g>>2]=k[o>>2]^k[g+4>>2]}k[k[(k[d>>2]|0)+49768>>2]>>2]=k[g>>2]|k[g+4>>2];k[n>>2]=-2;while(1){if((k[i>>2]|0)==(k[j>>2]|0))p=(k[i+4>>2]|0)==(k[j+4>>2]|0);else p=0;if(!(p^1))break;k[n>>2]=(k[n>>2]|0)+1;k[l>>2]=k[i>>2];k[l+4>>2]=k[27632+(k[i+4>>2]<<2)>>2];k[o>>2]=k[(k[l>>2]|0)+(k[l+4>>2]<<2)>>2];k[l+4>>2]=k[o>>2]&3;k[l>>2]=k[o>>2]^k[l+4>>2];if(((k[k[e>>2]>>2]|0)==0?(k[l>>2]|0)!=(k[(k[d>>2]|0)+49768>>2]|0):0)?(k[m>>2]=k[(k[l>>2]|0)+((k[27620+(k[l+4>>2]<<2)>>2]|0)+3<<2)>>2],(k[(k[m>>2]|0)+(k[(k[d>>2]|0)+49696>>2]<<2)>>2]|0)==0):0)k[(k[m>>2]|0)+(k[(k[d>>2]|0)+49696>>2]<<2)>>2]=1;k[(k[l>>2]|0)+(k[l+4>>2]<<2)>>2]=k[(k[d>>2]|0)+49768>>2];k[f>>2]=k[i>>2];k[f+4>>2]=k[27620+(k[i+4>>2]<<2)>>2];k[o>>2]=k[(k[f>>2]|0)+(k[f+4>>2]<<2)>>2];k[i+4>>2]=k[o>>2]&3;k[i>>2]=k[o>>2]^k[i+4>>2];re(k[d>>2]|0,k[f>>2]|0);if((k[i>>2]|0)!=(k[(k[d>>2]|0)+49768>>2]|0))continue;k[i>>2]=k[l>>2];k[i+4>>2]=k[l+4>>2]}re(k[d>>2]|0,k[j>>2]|0);be(k[(k[d>>2]|0)+49756>>2]|0);be(k[(k[d>>2]|0)+49760>>2]|0);be(k[(k[d>>2]|0)+49764>>2]|0);r=c;return k[n>>2]|0}function qf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0.0;c=r;r=r+48|0;d=c+8|0;e=c+44|0;f=c+40|0;g=c+32|0;h=c+24|0;k[e>>2]=a;k[f>>2]=b;of(k[e>>2]|0,k[f>>2]|0);if(k[(k[f>>2]|0)+116>>2]|0)mta(58563,c)|0;me((k[e>>2]|0)+112|0);b=we(k[e>>2]|0)|0;k[h>>2]=b;while(1){i=k[e>>2]|0;if(!(k[h>>2]|0))break;k[g>>2]=k[i+49768>>2];if((cf(k[e>>2]|0,k[f>>2]|0,k[h>>2]|0,g,0,0,0)|0)==3){if(!(k[(k[f>>2]|0)+112>>2]|0)){j=+p[(k[h>>2]|0)+8>>3];p[d>>3]=+p[k[h>>2]>>3];p[d+8>>3]=j;mta(58389,d)|0}k[(k[h>>2]|0)+((k[(k[e>>2]|0)+49696>>2]|0)+1<<2)>>2]=-32767;b=(k[e>>2]|0)+49668|0;k[b>>2]=(k[b>>2]|0)+1}b=we(k[e>>2]|0)|0;k[h>>2]=b}h=pf(i,k[f>>2]|0)|0;r=c;return h|0}function rf(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;d=r;r=r+48|0;e=d+36|0;f=d+32|0;g=d+28|0;h=d+8|0;i=d;j=d+24|0;l=d+20|0;m=d+16|0;k[e>>2]=a;k[f>>2]=b;k[g>>2]=c;p[h>>3]=+p[k[g>>2]>>3];p[i>>3]=+p[(k[g>>2]|0)+8>>3];k[j>>2]=k[f>>2];k[m>>2]=(k[j>>2]|0)>0&1;a:while(1){if(!(k[m>>2]|0))break;k[l>>2]=(k[j>>2]|0)-1>>1;do if(!(+p[(k[(k[e>>2]|0)+(k[l>>2]<<2)>>2]|0)+8>>3]<+p[i>>3])){if(+p[(k[(k[e>>2]|0)+(k[l>>2]<<2)>>2]|0)+8>>3]==+p[i>>3]?+p[k[(k[e>>2]|0)+(k[l>>2]<<2)>>2]>>3]<=+p[h>>3]:0)break;k[(k[e>>2]|0)+(k[j>>2]<<2)>>2]=k[(k[e>>2]|0)+(k[l>>2]<<2)>>2];k[(k[(k[e>>2]|0)+(k[j>>2]<<2)>>2]|0)+20>>2]=k[j>>2];k[j>>2]=k[l>>2];k[m>>2]=(k[j>>2]|0)>0&1;continue a}while(0);k[m>>2]=0}k[(k[e>>2]|0)+(k[j>>2]<<2)>>2]=k[g>>2];k[(k[g>>2]|0)+20>>2]=k[j>>2];r=d;return}function sf(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0;d=r;r=r+48|0;e=d+44|0;f=d+40|0;g=d+36|0;h=d+32|0;i=d+8|0;j=d;l=d+28|0;m=d+24|0;n=d+20|0;o=d+16|0;k[e>>2]=a;k[f>>2]=b;k[g>>2]=c;k[h>>2]=k[(k[e>>2]|0)+(k[g>>2]<<2)>>2];p[i>>3]=+p[k[h>>2]>>3];p[j>>3]=+p[(k[h>>2]|0)+8>>3];k[l>>2]=(k[g>>2]<<1)+1;k[o>>2]=(k[l>>2]|0)<(k[f>>2]|0)&1;while(1){if(!(k[o>>2]|0))break;do if(+p[(k[(k[e>>2]|0)+(k[l>>2]<<2)>>2]|0)+8>>3]<+p[j>>3])q=6;else{if(+p[(k[(k[e>>2]|0)+(k[l>>2]<<2)>>2]|0)+8>>3]==+p[j>>3]?+p[k[(k[e>>2]|0)+(k[l>>2]<<2)>>2]>>3]<+p[i>>3]:0){q=6;break}k[n>>2]=k[g>>2]}while(0);if((q|0)==6){q=0;k[n>>2]=k[l>>2]}k[m>>2]=(k[l>>2]|0)+1;do if((k[m>>2]|0)<(k[f>>2]|0)){if(!(+p[(k[(k[e>>2]|0)+(k[m>>2]<<2)>>2]|0)+8>>3]<+p[(k[(k[e>>2]|0)+(k[n>>2]<<2)>>2]|0)+8>>3])){if(!(+p[(k[(k[e>>2]|0)+(k[m>>2]<<2)>>2]|0)+8>>3]==+p[(k[(k[e>>2]|0)+(k[n>>2]<<2)>>2]|0)+8>>3]))break;if(!(+p[k[(k[e>>2]|0)+(k[m>>2]<<2)>>2]>>3]<+p[k[(k[e>>2]|0)+(k[n>>2]<<2)>>2]>>3]))break}k[n>>2]=k[m>>2]}while(0);if((k[n>>2]|0)==(k[g>>2]|0)){k[o>>2]=0;continue}else{k[(k[e>>2]|0)+(k[g>>2]<<2)>>2]=k[(k[e>>2]|0)+(k[n>>2]<<2)>>2];k[(k[(k[e>>2]|0)+(k[g>>2]<<2)>>2]|0)+20>>2]=k[g>>2];k[(k[e>>2]|0)+(k[n>>2]<<2)>>2]=k[h>>2];k[(k[h>>2]|0)+20>>2]=k[n>>2];k[g>>2]=k[n>>2];k[l>>2]=(k[g>>2]<<1)+1;k[o>>2]=(k[l>>2]|0)<(k[f>>2]|0)&1;continue}}r=d;return}function tf(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;d=r;r=r+48|0;e=d+36|0;f=d+32|0;g=d+28|0;h=d+24|0;i=d+8|0;j=d;l=d+20|0;m=d+16|0;k[e>>2]=a;k[f>>2]=b;k[g>>2]=c;k[h>>2]=k[(k[e>>2]|0)+((k[f>>2]|0)-1<<2)>>2];if((k[g>>2]|0)<=0){n=k[h>>2]|0;o=k[g>>2]|0;q=k[e>>2]|0;s=q+(o<<2)|0;k[s>>2]=n;t=k[g>>2]|0;u=k[h>>2]|0;v=u+20|0;k[v>>2]=t;w=k[e>>2]|0;x=k[f>>2]|0;y=x-1|0;z=k[g>>2]|0;sf(w,y,z);r=d;return}p[i>>3]=+p[k[h>>2]>>3];p[j>>3]=+p[(k[h>>2]|0)+8>>3];do{k[l>>2]=(k[g>>2]|0)-1>>1;do if(+p[(k[(k[e>>2]|0)+(k[l>>2]<<2)>>2]|0)+8>>3]<+p[j>>3])A=6;else{if(+p[(k[(k[e>>2]|0)+(k[l>>2]<<2)>>2]|0)+8>>3]==+p[j>>3]?+p[k[(k[e>>2]|0)+(k[l>>2]<<2)>>2]>>3]<=+p[i>>3]:0){A=6;break}k[(k[e>>2]|0)+(k[g>>2]<<2)>>2]=k[(k[e>>2]|0)+(k[l>>2]<<2)>>2];k[(k[(k[e>>2]|0)+(k[g>>2]<<2)>>2]|0)+20>>2]=k[g>>2];k[g>>2]=k[l>>2];k[m>>2]=(k[g>>2]|0)>0&1}while(0);if((A|0)==6){A=0;k[m>>2]=0}}while((k[m>>2]|0)!=0);n=k[h>>2]|0;o=k[g>>2]|0;q=k[e>>2]|0;s=q+(o<<2)|0;k[s>>2]=n;t=k[g>>2]|0;u=k[h>>2]|0;v=u+20|0;k[v>>2]=t;w=k[e>>2]|0;x=k[f>>2]|0;y=x-1|0;z=k[g>>2]|0;sf(w,y,z);r=d;return}function uf(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;e=r;r=r+32|0;f=e+24|0;g=e+20|0;h=e+16|0;i=e+12|0;j=e+8|0;l=e+4|0;m=e;k[f>>2]=a;k[g>>2]=b;k[h>>2]=c;k[i>>2]=d;k[l>>2]=((k[(k[f>>2]|0)+49648>>2]|0)*3|0)/2|0;d=ae(k[l>>2]<<2)|0;k[k[g>>2]>>2]=d;d=ae((k[l>>2]|0)*24|0)|0;k[k[h>>2]>>2]=d;me((k[f>>2]|0)+112|0);k[m>>2]=0;while(1){if((k[m>>2]|0)>=(k[(k[f>>2]|0)+49648>>2]|0))break;d=we(k[f>>2]|0)|0;k[j>>2]=d;k[(k[k[h>>2]>>2]|0)+((k[m>>2]|0)*24|0)+16>>2]=k[j>>2];p[(k[k[h>>2]>>2]|0)+((k[m>>2]|0)*24|0)>>3]=+p[k[j>>2]>>3];p[(k[k[h>>2]>>2]|0)+((k[m>>2]|0)*24|0)+8>>3]=+p[(k[j>>2]|0)+8>>3];rf(k[k[g>>2]>>2]|0,k[m>>2]|0,(k[k[h>>2]>>2]|0)+((k[m>>2]|0)*24|0)|0);k[m>>2]=(k[m>>2]|0)+1}k[k[i>>2]>>2]=0;k[m>>2]=(k[l>>2]|0)-1;while(1){if((k[m>>2]|0)<(k[(k[f>>2]|0)+49648>>2]|0))break;k[(k[k[h>>2]>>2]|0)+((k[m>>2]|0)*24|0)+16>>2]=k[k[i>>2]>>2];k[k[i>>2]>>2]=(k[k[h>>2]>>2]|0)+((k[m>>2]|0)*24|0);k[m>>2]=(k[m>>2]|0)+-1}r=e;return}function vf(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0;d=r;r=r+64|0;e=d+52|0;f=d+48|0;g=d+44|0;h=d+40|0;i=d+36|0;j=d+32|0;l=d+24|0;m=d+16|0;n=d+8|0;o=d;k[f>>2]=a;k[g>>2]=b;k[h>>2]=c;c=(k[f>>2]|0)+49744|0;k[c>>2]=(k[c>>2]|0)+1;k[i>>2]=k[(k[k[g>>2]>>2]|0)+((k[27632+(k[(k[g>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];k[j>>2]=k[(k[k[g>>2]>>2]|0)+((k[(k[g>>2]|0)+4>>2]|0)+3<<2)>>2];do if(!(+p[(k[i>>2]|0)+8>>3]<+p[(k[j>>2]|0)+8>>3])){if(+p[(k[i>>2]|0)+8>>3]==+p[(k[j>>2]|0)+8>>3]?+p[k[i>>2]>>3]<+p[k[j>>2]>>3]:0){q=4;break}if(+p[k[h>>2]>>3]<=+p[k[i>>2]>>3]){k[e>>2]=0;s=k[e>>2]|0;r=d;return s|0}}else q=4;while(0);if((q|0)==4?+p[k[h>>2]>>3]>=+p[k[j>>2]>>3]:0){k[e>>2]=1;s=k[e>>2]|0;r=d;return s|0}p[l>>3]=+p[k[i>>2]>>3]-+p[k[h>>2]>>3];p[m>>3]=+p[(k[i>>2]|0)+8>>3]-+p[(k[h>>2]|0)+8>>3];p[n>>3]=+p[k[j>>2]>>3]-+p[k[h>>2]>>3];p[o>>3]=+p[(k[j>>2]|0)+8>>3]-+p[(k[h>>2]|0)+8>>3];k[e>>2]=+p[m>>3]*(+p[n>>3]*+p[n>>3]+ +p[o>>3]*+p[o>>3])>+p[o>>3]*(+p[l>>3]*+p[l>>3]+ +p[m>>3]*+p[m>>3])&1;s=k[e>>2]|0;r=d;return s|0}function wf(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0;f=r;r=r+96|0;g=f+92|0;h=f+88|0;i=f+84|0;j=f+80|0;l=f+72|0;m=f+64|0;n=f+56|0;o=f+48|0;q=f+40|0;s=f+32|0;t=f+24|0;u=f+16|0;v=f+8|0;w=f;k[g>>2]=a;k[h>>2]=b;k[i>>2]=c;k[j>>2]=d;p[l>>3]=e;d=(k[g>>2]|0)+49752|0;k[d>>2]=(k[d>>2]|0)+1;p[m>>3]=+p[k[h>>2]>>3]-+p[k[j>>2]>>3];p[n>>3]=+p[(k[h>>2]|0)+8>>3]-+p[(k[j>>2]|0)+8>>3];p[o>>3]=+p[k[i>>2]>>3]-+p[k[j>>2]>>3];p[q>>3]=+p[(k[i>>2]|0)+8>>3]-+p[(k[j>>2]|0)+8>>3];p[s>>3]=+p[k[h>>2]>>3]-+p[k[i>>2]>>3];p[t>>3]=+p[(k[h>>2]|0)+8>>3]-+p[(k[i>>2]|0)+8>>3];p[u>>3]=+p[m>>3]*+p[m>>3]+ +p[n>>3]*+p[n>>3];p[v>>3]=+p[o>>3]*+p[o>>3]+ +p[q>>3]*+p[q>>3];p[w>>3]=+p[s>>3]*+p[s>>3]+ +p[t>>3]*+p[t>>3];e=+p[m>>3]*+p[v>>3]-+p[o>>3]*+p[u>>3]+ +aa(+(+p[u>>3]*+p[v>>3]*+p[w>>3]));r=f;return +(+p[(k[j>>2]|0)+8>>3]+e/(+p[l>>3]*2.0))}function xf(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;e=r;r=r+32|0;f=e+24|0;g=e+20|0;h=e+16|0;i=e+12|0;j=e+8|0;l=e+4|0;m=e;k[f>>2]=a;k[g>>2]=b;k[h>>2]=c;k[i>>2]=d;k[l>>2]=k[(k[k[f>>2]>>2]|0)+((k[27620+(k[(k[f>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];if(!(k[l>>2]|0)){r=e;return}k[j>>2]=k[l>>2];k[m>>2]=k[(k[j>>2]|0)+20>>2];k[(k[j>>2]|0)+16>>2]=k[k[g>>2]>>2];k[k[g>>2]>>2]=k[j>>2];tf(k[h>>2]|0,k[k[i>>2]>>2]|0,k[m>>2]|0);m=k[i>>2]|0;k[m>>2]=(k[m>>2]|0)+-1;k[(k[k[f>>2]>>2]|0)+((k[27620+(k[(k[f>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2]=0;r=e;return}function yf(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;e=r;r=r+64|0;f=e+48|0;g=e+44|0;h=e+40|0;i=e+36|0;j=e+32|0;l=e+28|0;m=e+24|0;n=e+20|0;o=e+16|0;p=e+12|0;q=e+8|0;s=e+4|0;t=e;k[g>>2]=a;k[h>>2]=b;k[i>>2]=c;k[j>>2]=d;if(!(k[h>>2]|0)){k[f>>2]=0;u=k[f>>2]|0;r=e;return u|0}k[q>>2]=k[(k[k[h>>2]>>2]|0)+((k[27632+(k[(k[h>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];d=k[g>>2]|0;c=k[h>>2]|0;if((k[q>>2]|0)!=(k[(k[h>>2]|0)+8>>2]|0)){b=yf(d,k[c+12>>2]|0,k[i>>2]|0,k[j>>2]|0)|0;k[n>>2]=b;b=yf(k[g>>2]|0,k[(k[h>>2]|0)+16>>2]|0,k[i>>2]|0,k[j>>2]|0)|0;k[o>>2]=b;le((k[g>>2]|0)+392|0,k[h>>2]|0);b=k[o>>2]|0;if(!(k[n>>2]|0)){k[f>>2]=b;u=k[f>>2]|0;r=e;return u|0}a=k[n>>2]|0;if(!b){k[f>>2]=a;u=k[f>>2]|0;r=e;return u|0}b=k[(k[o>>2]|0)+12>>2]|0;if(!(k[a+16>>2]|0)){k[(k[n>>2]|0)+16>>2]=b;k[(k[o>>2]|0)+12>>2]=k[n>>2];k[f>>2]=k[o>>2];u=k[f>>2]|0;r=e;return u|0}a=k[(k[n>>2]|0)+16>>2]|0;if(!b){k[(k[o>>2]|0)+12>>2]=a;k[(k[n>>2]|0)+16>>2]=k[o>>2];k[f>>2]=k[n>>2];u=k[f>>2]|0;r=e;return u|0}k[p>>2]=a;while(1){if(!(k[(k[p>>2]|0)+16>>2]|0))break;k[p>>2]=k[(k[p>>2]|0)+16>>2]}k[(k[p>>2]|0)+16>>2]=k[o>>2];k[f>>2]=k[n>>2];u=k[f>>2]|0;r=e;return u|0}n=vf(d,c,k[i>>2]|0)|0;k[s>>2]=n;n=k[h>>2]|0;if(k[s>>2]|0){k[k[j>>2]>>2]=k[n>>2];k[(k[j>>2]|0)+4>>2]=k[(k[h>>2]|0)+4>>2];k[l>>2]=k[(k[h>>2]|0)+16>>2]}else k[l>>2]=k[n+12>>2];if(!(k[l>>2]|0)){k[f>>2]=k[h>>2];u=k[f>>2]|0;r=e;return u|0}k[q>>2]=k[(k[k[l>>2]>>2]|0)+((k[27632+(k[(k[l>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];if((k[q>>2]|0)!=(k[(k[l>>2]|0)+8>>2]|0)?(q=yf(k[g>>2]|0,k[l>>2]|0,k[i>>2]|0,k[j>>2]|0)|0,k[l>>2]=q,(k[l>>2]|0)==0):0){q=k[h>>2]|0;if(k[s>>2]|0)k[q+16>>2]=0;else k[q+12>>2]=0;k[f>>2]=k[h>>2];u=k[f>>2]|0;r=e;return u|0}q=vf(k[g>>2]|0,k[l>>2]|0,k[i>>2]|0)|0;k[t>>2]=q;if(k[t>>2]|0){k[k[j>>2]>>2]=k[k[l>>2]>>2];k[(k[j>>2]|0)+4>>2]=k[(k[l>>2]|0)+4>>2];q=yf(k[g>>2]|0,k[(k[l>>2]|0)+16>>2]|0,k[i>>2]|0,k[j>>2]|0)|0;k[m>>2]=q;k[(k[l>>2]|0)+16>>2]=k[m>>2]}else{q=yf(k[g>>2]|0,k[(k[l>>2]|0)+12>>2]|0,k[i>>2]|0,k[j>>2]|0)|0;k[m>>2]=q;k[(k[l>>2]|0)+12>>2]=k[m>>2]}if(!(k[m>>2]|0)){q=k[l>>2]|0;if(k[s>>2]|0){k[(k[h>>2]|0)+16>>2]=k[q+12>>2];k[(k[l>>2]|0)+12>>2]=k[h>>2]}else{k[(k[h>>2]|0)+12>>2]=k[q+16>>2];k[(k[l>>2]|0)+16>>2]=k[h>>2]}k[f>>2]=k[l>>2];u=k[f>>2]|0;r=e;return u|0}q=(k[s>>2]|0)!=0;if(k[t>>2]|0){if(q){k[(k[h>>2]|0)+16>>2]=k[(k[l>>2]|0)+12>>2];k[(k[l>>2]|0)+12>>2]=k[h>>2]}else{k[(k[h>>2]|0)+12>>2]=k[(k[m>>2]|0)+16>>2];k[(k[m>>2]|0)+16>>2]=k[h>>2]}k[(k[l>>2]|0)+16>>2]=k[(k[m>>2]|0)+12>>2];k[(k[m>>2]|0)+12>>2]=k[l>>2]}else{if(q){k[(k[h>>2]|0)+16>>2]=k[(k[m>>2]|0)+12>>2];k[(k[m>>2]|0)+12>>2]=k[h>>2]}else{k[(k[h>>2]|0)+12>>2]=k[(k[l>>2]|0)+16>>2];k[(k[l>>2]|0)+16>>2]=k[h>>2]}k[(k[l>>2]|0)+12>>2]=k[(k[m>>2]|0)+16>>2];k[(k[m>>2]|0)+16>>2]=k[l>>2]}k[f>>2]=k[m>>2];u=k[f>>2]|0;r=e;return u|0}function zf(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0;e=r;r=r+32|0;f=e+16|0;g=e+12|0;h=e+8|0;i=e+4|0;j=e;k[f>>2]=a;k[g>>2]=b;k[h>>2]=c;k[i>>2]=d;d=ke((k[f>>2]|0)+392|0)|0;k[j>>2]=d;k[k[j>>2]>>2]=k[k[h>>2]>>2];k[(k[j>>2]|0)+4>>2]=k[(k[h>>2]|0)+4>>2];k[(k[j>>2]|0)+8>>2]=k[(k[k[h>>2]>>2]|0)+((k[27632+(k[(k[h>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];if(!(k[g>>2]|0)){k[(k[j>>2]|0)+12>>2]=0;k[(k[j>>2]|0)+16>>2]=0;l=k[j>>2]|0;r=e;return l|0}h=(vf(k[f>>2]|0,k[g>>2]|0,k[i>>2]|0)|0)!=0;i=k[g>>2]|0;if(h){k[(k[j>>2]|0)+12>>2]=i;k[(k[j>>2]|0)+16>>2]=k[(k[g>>2]|0)+16>>2];k[(k[g>>2]|0)+16>>2]=0;l=k[j>>2]|0;r=e;return l|0}else{k[(k[j>>2]|0)+12>>2]=k[i+12>>2];k[(k[j>>2]|0)+16>>2]=k[g>>2];k[(k[g>>2]|0)+12>>2]=0;l=k[j>>2]|0;r=e;return l|0}return 0}function Af(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;var i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;i=r;r=r+128|0;j=i+112|0;l=i+108|0;m=i+104|0;n=i+100|0;o=i+96|0;q=i+92|0;s=i+88|0;t=i+72|0;u=i+64|0;v=i+56|0;w=i+48|0;x=i+40|0;y=i+32|0;z=i+24|0;A=i+16|0;B=i;k[j>>2]=a;k[l>>2]=b;k[m>>2]=c;k[n>>2]=d;k[o>>2]=e;k[q>>2]=f;k[s>>2]=g;p[t>>3]=h;h=+Ie(k[j>>2]|0,k[l>>2]|0,k[o>>2]|0,k[q>>2]|0,k[s>>2]|0);p[u>>3]=h;p[v>>3]=+p[k[o>>2]>>3]-+p[k[s>>2]>>3];p[w>>3]=+p[(k[o>>2]|0)+8>>3]-+p[(k[s>>2]|0)+8>>3];p[x>>3]=+p[k[q>>2]>>3]-+p[k[s>>2]>>3];p[y>>3]=+p[(k[q>>2]|0)+8>>3]-+p[(k[s>>2]|0)+8>>3];p[z>>3]=+p[v>>3]*+p[v>>3]+ +p[w>>3]*+p[w>>3];p[A>>3]=+p[x>>3]*+p[x>>3]+ +p[y>>3]*+p[y>>3];p[B>>3]=+p[k[s>>2]>>3]-(+p[w>>3]*+p[A>>3]-+p[y>>3]*+p[z>>3])/(+p[u>>3]*2.0);p[B+8>>3]=+p[t>>3];t=k[j>>2]|0;u=yf(k[j>>2]|0,k[m>>2]|0,B,i+80|0)|0;m=zf(t,u,k[n>>2]|0,B)|0;r=i;return m|0}function Bf(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;g=r;r=r+32|0;h=g+28|0;i=g+24|0;j=g+20|0;l=g+16|0;m=g+12|0;n=g+8|0;o=g+4|0;p=g;k[h>>2]=a;k[i>>2]=b;k[j>>2]=c;k[l>>2]=d;k[m>>2]=e;k[n>>2]=f;k[k[m>>2]>>2]=k[k[j>>2]>>2];k[(k[m>>2]|0)+4>>2]=k[(k[j>>2]|0)+4>>2];f=yf(k[h>>2]|0,k[i>>2]|0,k[l>>2]|0,k[m>>2]|0)|0;k[i>>2]=f;k[o>>2]=0;while(1){if(k[o>>2]|0){q=7;break}if(!(vf(k[h>>2]|0,k[m>>2]|0,k[l>>2]|0)|0)){q=7;break}k[(k[m>>2]|0)+4>>2]=k[27632+(k[(k[m>>2]|0)+4>>2]<<2)>>2];k[p>>2]=k[(k[k[m>>2]>>2]|0)+(k[(k[m>>2]|0)+4>>2]<<2)>>2];k[(k[m>>2]|0)+4>>2]=k[p>>2]&3;k[k[m>>2]>>2]=k[p>>2]^k[(k[m>>2]|0)+4>>2];if((k[k[m>>2]>>2]|0)==(k[k[j>>2]>>2]|0))s=(k[(k[m>>2]|0)+4>>2]|0)==(k[(k[j>>2]|0)+4>>2]|0);else s=0;k[o>>2]=s&1}if((q|0)==7){k[k[n>>2]>>2]=k[o>>2];r=g;return k[i>>2]|0}return 0}function Cf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0;c=r;r=r+224|0;d=c+56|0;e=c+40|0;f=c+32|0;g=c+212|0;h=c+208|0;i=c+204|0;j=c+196|0;l=c+192|0;m=c+188|0;n=c+184|0;o=c+176|0;q=c+168|0;s=c+160|0;t=c+152|0;u=c+144|0;v=c+136|0;w=c+128|0;x=c+120|0;y=c+116|0;z=c+112|0;A=c+108|0;B=c+104|0;C=c+100|0;D=c+96|0;E=c+92|0;F=c+88|0;G=c+8|0;H=c;I=c+84|0;J=c+80|0;K=c+76|0;L=c+72|0;k[g>>2]=a;k[h>>2]=b;ie((k[g>>2]|0)+392|0,20,508,508,0);k[n>>2]=0;if(k[(k[h>>2]|0)+116>>2]|0)mta(58600,c+16|0)|0;uf(k[g>>2]|0,i,c+200|0,j);k[I>>2]=k[(k[g>>2]|0)+49648>>2];if(k[(k[h>>2]|0)+116>>2]|0)mta(58463,c+24|0)|0;Be(k[g>>2]|0,k[h>>2]|0,t);Be(k[g>>2]|0,k[h>>2]|0,u);k[(k[t>>2]|0)+(k[t+4>>2]<<2)>>2]=k[u>>2]|k[u+4>>2];k[(k[u>>2]|0)+(k[u+4>>2]<<2)>>2]=k[t>>2]|k[t+4>>2];k[t+4>>2]=k[27620+(k[t+4>>2]<<2)>>2];k[u+4>>2]=k[27632+(k[u+4>>2]<<2)>>2];k[(k[t>>2]|0)+(k[t+4>>2]<<2)>>2]=k[u>>2]|k[u+4>>2];k[(k[u>>2]|0)+(k[u+4>>2]<<2)>>2]=k[t>>2]|k[t+4>>2];k[t+4>>2]=k[27620+(k[t+4>>2]<<2)>>2];k[u+4>>2]=k[27632+(k[u+4>>2]<<2)>>2];k[(k[t>>2]|0)+(k[t+4>>2]<<2)>>2]=k[u>>2]|k[u+4>>2];k[(k[u>>2]|0)+(k[u+4>>2]<<2)>>2]=k[t>>2]|k[t+4>>2];k[y>>2]=k[(k[k[i>>2]>>2]|0)+16>>2];k[(k[k[i>>2]>>2]|0)+16>>2]=k[j>>2];k[j>>2]=k[k[i>>2]>>2];tf(k[i>>2]|0,k[I>>2]|0,0);k[I>>2]=(k[I>>2]|0)+-1;do{if(!(k[I>>2]|0)){mta(58635,f)|0;$d(1)}k[z>>2]=k[(k[k[i>>2]>>2]|0)+16>>2];k[(k[k[i>>2]>>2]|0)+16>>2]=k[j>>2];k[j>>2]=k[k[i>>2]>>2];tf(k[i>>2]|0,k[I>>2]|0,0);k[I>>2]=(k[I>>2]|0)+-1;if(+p[k[y>>2]>>3]==+p[k[z>>2]>>3]?+p[(k[y>>2]|0)+8>>3]==+p[(k[z>>2]|0)+8>>3]:0){if(!(k[(k[h>>2]|0)+112>>2]|0)){M=+p[(k[z>>2]|0)+8>>3];p[e>>3]=+p[k[z>>2]>>3];p[e+8>>3]=M;mta(58389,e)|0}k[(k[z>>2]|0)+((k[(k[g>>2]|0)+49696>>2]|0)+1<<2)>>2]=-32767;b=(k[g>>2]|0)+49668|0;k[b>>2]=(k[b>>2]|0)+1}if(!(+p[k[y>>2]>>3]==+p[k[z>>2]>>3]))break}while(+p[(k[y>>2]|0)+8>>3]==+p[(k[z>>2]|0)+8>>3]);k[(k[t>>2]|0)+((k[27620+(k[t+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[y>>2];k[(k[t>>2]|0)+((k[27632+(k[t+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[z>>2];k[(k[u>>2]|0)+((k[27620+(k[u+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[z>>2];k[(k[u>>2]|0)+((k[27632+(k[u+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[y>>2];k[o>>2]=k[t>>2];k[o+4>>2]=k[27632+(k[t+4>>2]<<2)>>2];k[B>>2]=k[z>>2];while(1){if((k[I>>2]|0)<=0)break;k[l>>2]=k[k[i>>2]>>2];tf(k[i>>2]|0,k[I>>2]|0,0);k[I>>2]=(k[I>>2]|0)+-1;k[J>>2]=1;z=k[(k[l>>2]|0)+16>>2]|0;do if(+p[k[l>>2]>>3]<+p[(k[g>>2]|0)+49608>>3]){k[s+4>>2]=z&3;k[s>>2]=k[(k[l>>2]|0)+16>>2]^k[s+4>>2];k[L>>2]=k[(k[s>>2]|0)+(k[s+4>>2]<<2)>>2];k[v+4>>2]=k[L>>2]&3;k[v>>2]=k[L>>2]^k[v+4>>2];k[v+4>>2]=k[27620+(k[v+4>>2]<<2)>>2];xf(v,j,k[i>>2]|0,I);k[w>>2]=k[s>>2];k[w+4>>2]=k[27632+(k[s+4>>2]<<2)>>2];k[L>>2]=k[(k[w>>2]|0)+(k[w+4>>2]<<2)>>2];k[w+4>>2]=k[L>>2]&3;k[w>>2]=k[L>>2]^k[w+4>>2];xf(w,j,k[i>>2]|0,I);if((k[v>>2]|0)==(k[o>>2]|0)?(k[v+4>>2]|0)==(k[o+4>>2]|0):0){k[o>>2]=k[s>>2];k[o+4>>2]=k[27632+(k[s+4>>2]<<2)>>2]}af(k[g>>2]|0,k[h>>2]|0,s);k[(k[s>>2]|0)+((k[s+4>>2]|0)+3<<2)>>2]=0;k[t>>2]=k[s>>2];k[t+4>>2]=k[27632+(k[s+4>>2]<<2)>>2];k[u>>2]=k[s>>2];k[u+4>>2]=k[27620+(k[s+4>>2]<<2)>>2];k[L>>2]=k[(k[t>>2]|0)+(k[t+4>>2]<<2)>>2];k[v+4>>2]=k[L>>2]&3;k[v>>2]=k[L>>2]^k[v+4>>2];if(!(Qe(10)|0)){k[L>>2]=k[(k[s>>2]|0)+(k[s+4>>2]<<2)>>2];k[s+4>>2]=k[L>>2]&3;k[s>>2]=k[L>>2]^k[s+4>>2];k[D>>2]=k[(k[s>>2]|0)+((k[27632+(k[s+4>>2]<<2)>>2]|0)+3<<2)>>2];k[E>>2]=k[(k[s>>2]|0)+((k[s+4>>2]|0)+3<<2)>>2];k[F>>2]=k[(k[s>>2]|0)+((k[27620+(k[s+4>>2]<<2)>>2]|0)+3<<2)>>2];y=Af(k[g>>2]|0,k[h>>2]|0,k[n>>2]|0,t,k[D>>2]|0,k[E>>2]|0,k[F>>2]|0,+p[(k[l>>2]|0)+8>>3])|0;k[n>>2]=y}}else{k[A>>2]=z;if(+p[k[A>>2]>>3]==+p[k[B>>2]>>3]?+p[(k[A>>2]|0)+8>>3]==+p[(k[B>>2]|0)+8>>3]:0){if(!(k[(k[h>>2]|0)+112>>2]|0)){M=+p[(k[A>>2]|0)+8>>3];p[d>>3]=+p[k[A>>2]>>3];p[d+8>>3]=M;mta(58389,d)|0}k[(k[A>>2]|0)+((k[(k[g>>2]|0)+49696>>2]|0)+1<<2)>>2]=-32767;y=(k[g>>2]|0)+49668|0;k[y>>2]=(k[y>>2]|0)+1;k[J>>2]=0;break}k[B>>2]=k[A>>2];y=Bf(k[g>>2]|0,k[n>>2]|0,o,k[A>>2]|0,q,K)|0;k[n>>2]=y;xf(q,j,k[i>>2]|0,I);k[w>>2]=k[q>>2];k[w+4>>2]=k[q+4>>2];k[L>>2]=k[(k[q>>2]|0)+(k[q+4>>2]<<2)>>2];k[v+4>>2]=k[L>>2]&3;k[v>>2]=k[L>>2]^k[v+4>>2];Be(k[g>>2]|0,k[h>>2]|0,t);Be(k[g>>2]|0,k[h>>2]|0,u);k[C>>2]=k[(k[w>>2]|0)+((k[27632+(k[w+4>>2]<<2)>>2]|0)+3<<2)>>2];k[(k[t>>2]|0)+((k[27620+(k[t+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[C>>2];k[(k[t>>2]|0)+((k[27632+(k[t+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[A>>2];k[(k[u>>2]|0)+((k[27620+(k[u+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[A>>2];k[(k[u>>2]|0)+((k[27632+(k[u+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[C>>2];k[(k[t>>2]|0)+(k[t+4>>2]<<2)>>2]=k[u>>2]|k[u+4>>2];k[(k[u>>2]|0)+(k[u+4>>2]<<2)>>2]=k[t>>2]|k[t+4>>2];k[t+4>>2]=k[27620+(k[t+4>>2]<<2)>>2];k[u+4>>2]=k[27632+(k[u+4>>2]<<2)>>2];k[(k[t>>2]|0)+(k[t+4>>2]<<2)>>2]=k[u>>2]|k[u+4>>2];k[(k[u>>2]|0)+(k[u+4>>2]<<2)>>2]=k[t>>2]|k[t+4>>2];k[t+4>>2]=k[27620+(k[t+4>>2]<<2)>>2];k[u+4>>2]=k[27632+(k[u+4>>2]<<2)>>2];k[(k[t>>2]|0)+(k[t+4>>2]<<2)>>2]=k[v>>2]|k[v+4>>2];k[(k[v>>2]|0)+(k[v+4>>2]<<2)>>2]=k[t>>2]|k[t+4>>2];k[(k[u>>2]|0)+(k[u+4>>2]<<2)>>2]=k[w>>2]|k[w+4>>2];k[(k[w>>2]|0)+(k[w+4>>2]<<2)>>2]=k[u>>2]|k[u+4>>2];if(((k[K>>2]|0)==0?(k[w>>2]|0)==(k[o>>2]|0):0)?(k[w+4>>2]|0)==(k[o+4>>2]|0):0){k[o>>2]=k[t>>2];k[o+4>>2]=k[t+4>>2]}if(!(Qe(10)|0)){y=zf(k[g>>2]|0,k[n>>2]|0,t,k[A>>2]|0)|0;k[n>>2]=y;break}if(!(Qe(10)|0)){k[x>>2]=k[u>>2];k[x+4>>2]=k[27620+(k[u+4>>2]<<2)>>2];y=zf(k[g>>2]|0,k[n>>2]|0,x,k[A>>2]|0)|0;k[n>>2]=y}}while(0);k[(k[l>>2]|0)+16>>2]=k[j>>2];k[j>>2]=k[l>>2];if(!(k[J>>2]|0))continue;k[D>>2]=k[(k[v>>2]|0)+((k[v+4>>2]|0)+3<<2)>>2];k[E>>2]=k[(k[t>>2]|0)+((k[27632+(k[t+4>>2]<<2)>>2]|0)+3<<2)>>2];k[F>>2]=k[(k[t>>2]|0)+((k[t+4>>2]|0)+3<<2)>>2];M=+Ie(k[g>>2]|0,k[h>>2]|0,k[D>>2]|0,k[E>>2]|0,k[F>>2]|0);p[G>>3]=M;if(+p[G>>3]>0.0){k[m>>2]=k[j>>2];k[j>>2]=k[(k[j>>2]|0)+16>>2];p[k[m>>2]>>3]=+p[(k[g>>2]|0)+49640>>3];M=+wf(k[g>>2]|0,k[D>>2]|0,k[E>>2]|0,k[F>>2]|0,+p[G>>3]);p[(k[m>>2]|0)+8>>3]=M;k[(k[m>>2]|0)+16>>2]=k[t>>2]|k[t+4>>2];rf(k[i>>2]|0,k[I>>2]|0,k[m>>2]|0);k[I>>2]=(k[I>>2]|0)+1;k[(k[t>>2]|0)+((k[27620+(k[t+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[m>>2]}k[D>>2]=k[(k[u>>2]|0)+((k[u+4>>2]|0)+3<<2)>>2];k[E>>2]=k[(k[u>>2]|0)+((k[27620+(k[u+4>>2]<<2)>>2]|0)+3<<2)>>2];k[F>>2]=k[(k[w>>2]|0)+((k[w+4>>2]|0)+3<<2)>>2];M=+Ie(k[g>>2]|0,k[h>>2]|0,k[D>>2]|0,k[E>>2]|0,k[F>>2]|0);p[H>>3]=M;if(!(+p[H>>3]>0.0))continue;k[m>>2]=k[j>>2];k[j>>2]=k[(k[j>>2]|0)+16>>2];p[k[m>>2]>>3]=+p[(k[g>>2]|0)+49640>>3];M=+wf(k[g>>2]|0,k[D>>2]|0,k[E>>2]|0,k[F>>2]|0,+p[H>>3]);p[(k[m>>2]|0)+8>>3]=M;k[(k[m>>2]|0)+16>>2]=k[w>>2]|k[w+4>>2];rf(k[i>>2]|0,k[I>>2]|0,k[m>>2]|0);k[I>>2]=(k[I>>2]|0)+1;k[(k[w>>2]|0)+((k[27620+(k[w+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[m>>2]}je((k[g>>2]|0)+392|0);k[o+4>>2]=k[27632+(k[o+4>>2]<<2)>>2];m=mf(k[g>>2]|0,k[h>>2]|0,o)|0;r=c;return m|0}function Df(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;c=r;r=r+48|0;d=c+24|0;e=c+16|0;f=c+8|0;g=c+40|0;h=c+36|0;i=c+32|0;j=c+28|0;k[h>>2]=a;k[i>>2]=b;k[(k[h>>2]|0)+49684>>2]=0;qe(k[h>>2]|0,k[i>>2]|0);do if(!(k[(k[i>>2]|0)+112>>2]|0)){mta(58678,c)|0;if(k[(k[i>>2]|0)+92>>2]|0){mta(58715,f)|0;break}if(k[(k[i>>2]|0)+96>>2]|0){mta(58739,e)|0;break}else{mta(58761,d)|0;break}}while(0);do if(!(k[(k[i>>2]|0)+92>>2]|0)){d=k[h>>2]|0;e=k[i>>2]|0;if(k[(k[i>>2]|0)+96>>2]|0){f=Cf(d,e)|0;k[j>>2]=f;break}else{f=nf(d,e)|0;k[j>>2]=f;break}}else{f=qf(k[h>>2]|0,k[i>>2]|0)|0;k[j>>2]=f}while(0);if(!(k[(k[h>>2]|0)+40>>2]|0)){k[g>>2]=0;l=k[g>>2]|0;r=c;return l|0}else{k[g>>2]=k[j>>2];l=k[g>>2]|0;r=c;return l|0}return 0}function Ef(a,b,c,d,e,f,g,h,i,j,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;l=l|0;var m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0;m=r;r=r+272|0;n=m+48|0;o=m+40|0;q=m+32|0;s=m+24|0;t=m+16|0;u=m+264|0;v=m+260|0;w=m+256|0;x=m+252|0;y=m+248|0;z=m+244|0;A=m+240|0;B=m+236|0;C=m+232|0;D=m+228|0;E=m+224|0;F=m+220|0;G=m+216|0;H=m+208|0;I=m+200|0;J=m+192|0;K=m+184|0;L=m+176|0;M=m+168|0;N=m+164|0;O=m+160|0;P=m+156|0;Q=m+152|0;R=m+148|0;S=m+144|0;T=m+140|0;U=m+136|0;V=m+132|0;W=m+128|0;X=m+124|0;Y=m;Z=m+112|0;_=m+104|0;$=m+96|0;aa=m+92|0;ba=m+88|0;ca=m+84|0;da=m+80|0;ea=m+76|0;fa=m+72|0;ga=m+68|0;ha=m+64|0;ia=m+60|0;ja=m+56|0;ka=m+52|0;k[u>>2]=a;k[v>>2]=b;k[w>>2]=c;k[x>>2]=d;k[y>>2]=e;k[z>>2]=f;k[A>>2]=g;k[B>>2]=h;k[C>>2]=i;k[D>>2]=j;k[E>>2]=l;k[(k[u>>2]|0)+49652>>2]=k[z>>2];k[aa>>2]=k[A>>2];if((k[aa>>2]|0)<3){mta(58792,m+8|0)|0;$d(1)}k[(k[u>>2]|0)+49684>>2]=k[B>>2];qe(k[u>>2]|0,k[v>>2]|0);k[ga>>2]=1;while(1){if((k[ga>>2]|0)>(k[(k[u>>2]|0)+49652>>2]|0))break;Be(k[u>>2]|0,k[v>>2]|0,H);k[(k[H>>2]|0)+12>>2]=k[H>>2];k[ga>>2]=(k[ga>>2]|0)+1}k[ba>>2]=0;a:do if(k[k[v>>2]>>2]|0){k[(k[u>>2]|0)+49656>>2]=k[E>>2];k[ba>>2]=(k[D>>2]|0)!=0&1;k[ha>>2]=1;while(1){if((k[ha>>2]|0)>(k[(k[u>>2]|0)+49656>>2]|0))break a;Ce(k[u>>2]|0,M);k[(k[M>>2]|0)+8>>2]=k[M>>2];k[ha>>2]=(k[ha>>2]|0)+1}}while(0);k[F>>2]=0;k[G>>2]=0;if(!(k[(k[v>>2]|0)+112>>2]|0))mta(58842,t)|0;t=ae(k[(k[u>>2]|0)+112+40>>2]<<2)|0;k[N>>2]=t;k[ia>>2]=0;while(1){if((k[ia>>2]|0)>=(k[(k[u>>2]|0)+112+40>>2]|0))break;k[(k[N>>2]|0)+(k[ia>>2]<<2)>>2]=k[(k[u>>2]|0)+49768>>2];k[ia>>2]=(k[ia>>2]|0)+1}if(k[(k[v>>2]|0)+116>>2]|0)mta(58864,s)|0;me(k[u>>2]|0);s=se(k[u>>2]|0)|0;k[H>>2]=s;k[ga>>2]=k[(k[v>>2]|0)+40>>2];while(1){if(!(k[H>>2]|0))break;k[ja>>2]=0;while(1){if((k[ja>>2]|0)>=3)break;s=k[F>>2]|0;k[F>>2]=s+1;k[Z+(k[ja>>2]<<2)>>2]=k[(k[w>>2]|0)+(s<<2)>>2];if(!((k[Z+(k[ja>>2]<<2)>>2]|0)>=(k[(k[v>>2]|0)+40>>2]|0)?(k[Z+(k[ja>>2]<<2)>>2]|0)<((k[(k[v>>2]|0)+40>>2]|0)+(k[(k[u>>2]|0)+49648>>2]|0)|0):0)){k[q>>2]=k[ga>>2];mta(58889,q)|0;$d(1)}k[ja>>2]=(k[ja>>2]|0)+1}k[ja>>2]=3;while(1){if((k[ja>>2]|0)>=(k[aa>>2]|0))break;s=k[F>>2]|0;k[F>>2]=s+1;k[$>>2]=k[(k[w>>2]|0)+(s<<2)>>2];if(((k[$>>2]|0)>=(k[(k[v>>2]|0)+40>>2]|0)?(k[$>>2]|0)<((k[(k[v>>2]|0)+40>>2]|0)+(k[(k[u>>2]|0)+49648>>2]|0)|0):0)?(s=ze(k[u>>2]|0,k[v>>2]|0,k[$>>2]|0)|0,k[V>>2]=s,(k[(k[V>>2]|0)+((k[(k[u>>2]|0)+49696>>2]|0)+1<<2)>>2]|0)!=-32768):0)ve(k[u>>2]|0,k[V>>2]|0);k[ja>>2]=(k[ja>>2]|0)+1}k[ja>>2]=0;while(1){if((k[ja>>2]|0)>=(k[(k[u>>2]|0)+49684>>2]|0))break;s=k[G>>2]|0;k[G>>2]=s+1;p[(k[H>>2]|0)+((k[(k[u>>2]|0)+49708>>2]|0)+(k[ja>>2]|0)<<3)>>3]=+p[(k[x>>2]|0)+(s<<3)>>3];k[ja>>2]=(k[ja>>2]|0)+1}if(k[(k[v>>2]|0)+12>>2]|0){p[Y>>3]=+p[(k[y>>2]|0)+((k[ga>>2]|0)-(k[(k[v>>2]|0)+40>>2]|0)<<3)>>3];p[(k[H>>2]|0)+(k[(k[u>>2]|0)+49712>>2]<<3)>>3]=+p[Y>>3]}k[H+4>>2]=0;s=ze(k[u>>2]|0,k[v>>2]|0,k[Z>>2]|0)|0;k[(k[H>>2]|0)+((k[27620+(k[H+4>>2]<<2)>>2]|0)+3<<2)>>2]=s;s=ze(k[u>>2]|0,k[v>>2]|0,k[Z+4>>2]|0)|0;k[(k[H>>2]|0)+((k[27632+(k[H+4>>2]<<2)>>2]|0)+3<<2)>>2]=s;s=ze(k[u>>2]|0,k[v>>2]|0,k[Z+8>>2]|0)|0;k[(k[H>>2]|0)+((k[H+4>>2]|0)+3<<2)>>2]=s;k[H+4>>2]=0;while(1){if((k[H+4>>2]|0)>=3)break;k[da>>2]=k[Z+(k[H+4>>2]<<2)>>2];k[P>>2]=k[(k[N>>2]|0)+((k[da>>2]|0)-(k[(k[v>>2]|0)+40>>2]|0)<<2)>>2];k[(k[H>>2]|0)+(6+(k[H+4>>2]|0)<<2)>>2]=k[P>>2];k[(k[N>>2]|0)+((k[da>>2]|0)-(k[(k[v>>2]|0)+40>>2]|0)<<2)>>2]=k[H>>2]|k[H+4>>2];k[J+4>>2]=k[P>>2]&3;k[J>>2]=k[P>>2]^k[J+4>>2];if((k[J>>2]|0)!=(k[(k[u>>2]|0)+49768>>2]|0)){k[Q>>2]=k[(k[H>>2]|0)+((k[27632+(k[H+4>>2]<<2)>>2]|0)+3<<2)>>2];k[R>>2]=k[(k[H>>2]|0)+((k[H+4>>2]|0)+3<<2)>>2];do{k[S>>2]=k[(k[J>>2]|0)+((k[27632+(k[J+4>>2]<<2)>>2]|0)+3<<2)>>2];k[T>>2]=k[(k[J>>2]|0)+((k[J+4>>2]|0)+3<<2)>>2];if((k[R>>2]|0)==(k[S>>2]|0)){k[I>>2]=k[H>>2];k[I+4>>2]=k[27632+(k[H+4>>2]<<2)>>2];k[(k[I>>2]|0)+(k[I+4>>2]<<2)>>2]=k[J>>2]|k[J+4>>2];k[(k[J>>2]|0)+(k[J+4>>2]<<2)>>2]=k[I>>2]|k[I+4>>2]}if((k[Q>>2]|0)==(k[T>>2]|0)){k[K>>2]=k[J>>2];k[K+4>>2]=k[27632+(k[J+4>>2]<<2)>>2];k[(k[H>>2]|0)+(k[H+4>>2]<<2)>>2]=k[K>>2]|k[K+4>>2];k[(k[K>>2]|0)+(k[K+4>>2]<<2)>>2]=k[H>>2]|k[H+4>>2]}k[P>>2]=k[(k[J>>2]|0)+(6+(k[J+4>>2]|0)<<2)>>2];k[J+4>>2]=k[P>>2]&3;k[J>>2]=k[P>>2]^k[J+4>>2]}while((k[J>>2]|0)!=(k[(k[u>>2]|0)+49768>>2]|0))}s=H+4|0;k[s>>2]=(k[s>>2]|0)+1}s=se(k[u>>2]|0)|0;k[H>>2]=s;k[ga>>2]=(k[ga>>2]|0)+1}k[F>>2]=0;k[ea>>2]=0;b:do if(k[k[v>>2]>>2]|0){if(k[(k[v>>2]|0)+116>>2]|0)mta(58940,o)|0;k[ca>>2]=0;me((k[u>>2]|0)+56|0);ga=ue(k[u>>2]|0)|0;k[M>>2]=ga;k[ha>>2]=k[(k[v>>2]|0)+40>>2];while(1){if(!(k[M>>2]|0))break b;ga=k[F>>2]|0;k[F>>2]=ga+1;k[_>>2]=k[(k[C>>2]|0)+(ga<<2)>>2];ga=k[F>>2]|0;k[F>>2]=ga+1;k[_+4>>2]=k[(k[C>>2]|0)+(ga<<2)>>2];if(k[ba>>2]|0)k[ca>>2]=k[(k[D>>2]|0)+((k[ha>>2]|0)-(k[(k[v>>2]|0)+40>>2]|0)<<2)>>2];k[ja>>2]=0;while(1){if((k[ja>>2]|0)>=2)break;if(!((k[_+(k[ja>>2]<<2)>>2]|0)>=(k[(k[v>>2]|0)+40>>2]|0)?(k[_+(k[ja>>2]<<2)>>2]|0)<((k[(k[v>>2]|0)+40>>2]|0)+(k[(k[u>>2]|0)+49648>>2]|0)|0):0)){k[n>>2]=k[ha>>2];mta(58978,n)|0;$d(1)}k[ja>>2]=(k[ja>>2]|0)+1}k[M+4>>2]=0;ga=ze(k[u>>2]|0,k[v>>2]|0,k[_>>2]|0)|0;k[W>>2]=ga;ga=ze(k[u>>2]|0,k[v>>2]|0,k[_+4>>2]|0)|0;k[X>>2]=ga;k[(k[M>>2]|0)+(2+(k[M+4>>2]|0)<<2)>>2]=k[W>>2];k[(k[M>>2]|0)+(3-(k[M+4>>2]|0)<<2)>>2]=k[X>>2];k[(k[M>>2]|0)+(4+(k[M+4>>2]|0)<<2)>>2]=k[W>>2];k[(k[M>>2]|0)+(5-(k[M+4>>2]|0)<<2)>>2]=k[X>>2];k[(k[M>>2]|0)+32>>2]=k[ca>>2];k[M+4>>2]=0;while(1){if((k[M+4>>2]|0)>=2)break;k[da>>2]=k[_+(1-(k[M+4>>2]|0)<<2)>>2];k[O>>2]=(k[N>>2]|0)+((k[da>>2]|0)-(k[(k[v>>2]|0)+40>>2]|0)<<2);k[P>>2]=k[(k[N>>2]|0)+((k[da>>2]|0)-(k[(k[v>>2]|0)+40>>2]|0)<<2)>>2];k[J+4>>2]=k[P>>2]&3;k[J>>2]=k[P>>2]^k[J+4>>2];k[U>>2]=k[(k[M>>2]|0)+(2+(k[M+4>>2]|0)<<2)>>2];k[fa>>2]=1;while(1){if(!(k[fa>>2]|0))break;if((k[J>>2]|0)==(k[(k[u>>2]|0)+49768>>2]|0))break;k[S>>2]=k[(k[J>>2]|0)+((k[27632+(k[J+4>>2]<<2)>>2]|0)+3<<2)>>2];if((k[U>>2]|0)==(k[S>>2]|0)){k[k[O>>2]>>2]=k[(k[J>>2]|0)+(6+(k[J+4>>2]|0)<<2)>>2];k[(k[J>>2]|0)+(6+(k[J+4>>2]|0)<<2)>>2]=k[M>>2]|k[M+4>>2];k[(k[M>>2]|0)+(6+(k[M+4>>2]|0)<<2)>>2]=k[J>>2]|k[J+4>>2];k[ka>>2]=k[(k[J>>2]|0)+(k[J+4>>2]<<2)>>2];k[L+4>>2]=k[ka>>2]&3;k[L>>2]=k[ka>>2]^k[L+4>>2];if((k[L>>2]|0)==(k[(k[u>>2]|0)+49768>>2]|0)){$e(k[u>>2]|0,k[v>>2]|0,J,1);k[ea>>2]=(k[ea>>2]|0)+1}k[fa>>2]=0}k[O>>2]=(k[J>>2]|0)+(6+(k[J+4>>2]|0)<<2);k[P>>2]=k[(k[J>>2]|0)+(6+(k[J+4>>2]|0)<<2)>>2];k[J+4>>2]=k[P>>2]&3;k[J>>2]=k[P>>2]^k[J+4>>2]}ga=M+4|0;k[ga>>2]=(k[ga>>2]|0)+1}ga=ue(k[u>>2]|0)|0;k[M>>2]=ga;k[ha>>2]=(k[ha>>2]|0)+1}}while(0);k[ia>>2]=0;while(1){if((k[ia>>2]|0)>=(k[(k[u>>2]|0)+112+40>>2]|0))break;k[P>>2]=k[(k[N>>2]|0)+(k[ia>>2]<<2)>>2];k[J+4>>2]=k[P>>2]&3;k[J>>2]=k[P>>2]^k[J+4>>2];while(1){if((k[J>>2]|0)==(k[(k[u>>2]|0)+49768>>2]|0))break;k[P>>2]=k[(k[J>>2]|0)+(6+(k[J+4>>2]|0)<<2)>>2];k[(k[J>>2]|0)+(6+(k[J+4>>2]|0)<<2)>>2]=k[(k[u>>2]|0)+49776>>2];k[ka>>2]=k[(k[J>>2]|0)+(k[J+4>>2]<<2)>>2];k[L+4>>2]=k[ka>>2]&3;k[L>>2]=k[ka>>2]^k[L+4>>2];if((k[L>>2]|0)==(k[(k[u>>2]|0)+49768>>2]|0)){$e(k[u>>2]|0,k[v>>2]|0,J,1);k[ea>>2]=(k[ea>>2]|0)+1}k[J+4>>2]=k[P>>2]&3;k[J>>2]=k[P>>2]^k[J+4>>2]}k[ia>>2]=(k[ia>>2]|0)+1}be(k[N>>2]|0);r=m;return k[ea>>2]|0}function Ff(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0;e=r;r=r+160|0;f=e+80|0;g=e+64|0;h=e+56|0;i=e+40|0;j=e+24|0;l=e+16|0;m=e+144|0;n=e+140|0;o=e+136|0;q=e+132|0;s=e+128|0;t=e+120|0;u=e+116|0;v=e+112|0;w=e+108|0;x=e+8|0;y=e;z=e+104|0;A=e+100|0;B=e+96|0;k[n>>2]=a;k[o>>2]=b;k[q>>2]=c;k[s>>2]=d;k[u>>2]=k[(k[k[q>>2]>>2]|0)+((k[27620+(k[(k[q>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];k[w>>2]=k[(k[k[q>>2]>>2]|0)+((k[27632+(k[(k[q>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];k[v>>2]=k[(k[k[q>>2]>>2]|0)+((k[(k[q>>2]|0)+4>>2]|0)+3<<2)>>2];C=+Ie(k[n>>2]|0,k[o>>2]|0,k[s>>2]|0,k[u>>2]|0,k[v>>2]|0);p[x>>3]=C;k[z>>2]=+p[x>>3]>0.0&1;C=+Ie(k[n>>2]|0,k[o>>2]|0,k[u>>2]|0,k[s>>2]|0,k[w>>2]|0);p[y>>3]=C;k[A>>2]=+p[y>>3]>0.0&1;do if((k[z>>2]|0)!=0&(k[A>>2]|0)!=0){k[t>>2]=k[k[q>>2]>>2];k[t+4>>2]=k[27632+(k[(k[q>>2]|0)+4>>2]<<2)>>2];k[B>>2]=k[(k[t>>2]|0)+(k[t+4>>2]<<2)>>2];k[t+4>>2]=k[B>>2]&3;k[t>>2]=k[B>>2]^k[t+4>>2];if((k[t>>2]|0)==(k[(k[n>>2]|0)+49768>>2]|0)){k[z>>2]=0;break}else{k[A>>2]=0;break}}while(0);while(1){if(!(k[z>>2]|0))break;k[(k[q>>2]|0)+4>>2]=k[27632+(k[(k[q>>2]|0)+4>>2]<<2)>>2];k[B>>2]=k[(k[k[q>>2]>>2]|0)+(k[(k[q>>2]|0)+4>>2]<<2)>>2];k[(k[q>>2]|0)+4>>2]=k[B>>2]&3;k[k[q>>2]>>2]=k[B>>2]^k[(k[q>>2]|0)+4>>2];if((k[k[q>>2]>>2]|0)==(k[(k[n>>2]|0)+49768>>2]|0)){mta(59028,l)|0;C=+p[(k[u>>2]|0)+8>>3];p[j>>3]=+p[k[u>>2]>>3];p[j+8>>3]=C;mta(59082,j)|0;C=+p[(k[s>>2]|0)+8>>3];p[i>>3]=+p[k[s>>2]>>3];p[i+8>>3]=C;mta(59124,i)|0;ce()}k[v>>2]=k[(k[k[q>>2]>>2]|0)+((k[(k[q>>2]|0)+4>>2]|0)+3<<2)>>2];p[y>>3]=+p[x>>3];C=+Ie(k[n>>2]|0,k[o>>2]|0,k[s>>2]|0,k[u>>2]|0,k[v>>2]|0);p[x>>3]=C;k[z>>2]=+p[x>>3]>0.0&1}while(1){if(!(k[A>>2]|0))break;k[B>>2]=k[(k[k[q>>2]>>2]|0)+(k[(k[q>>2]|0)+4>>2]<<2)>>2];k[(k[q>>2]|0)+4>>2]=k[B>>2]&3;k[k[q>>2]>>2]=k[B>>2]^k[(k[q>>2]|0)+4>>2];k[(k[q>>2]|0)+4>>2]=k[27620+(k[(k[q>>2]|0)+4>>2]<<2)>>2];if((k[k[q>>2]>>2]|0)==(k[(k[n>>2]|0)+49768>>2]|0)){mta(59028,h)|0;C=+p[(k[u>>2]|0)+8>>3];p[g>>3]=+p[k[u>>2]>>3];p[g+8>>3]=C;mta(59082,g)|0;C=+p[(k[s>>2]|0)+8>>3];p[f>>3]=+p[k[s>>2]>>3];p[f+8>>3]=C;mta(59124,f)|0;ce()}k[w>>2]=k[(k[k[q>>2]>>2]|0)+((k[27632+(k[(k[q>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];p[x>>3]=+p[y>>3];C=+Ie(k[n>>2]|0,k[o>>2]|0,k[u>>2]|0,k[s>>2]|0,k[w>>2]|0);p[y>>3]=C;k[A>>2]=+p[y>>3]>0.0&1}if(+p[x>>3]==0.0){k[m>>2]=1;D=k[m>>2]|0;r=e;return D|0}if(+p[y>>3]==0.0){k[m>>2]=2;D=k[m>>2]|0;r=e;return D|0}else{k[m>>2]=0;D=k[m>>2]|0;r=e;return D|0}return 0}function Gf(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0;f=r;r=r+240|0;g=f+152|0;h=f+144|0;i=f+136|0;j=f+128|0;l=f+80|0;m=f+224|0;n=f+220|0;o=f+216|0;q=f+212|0;s=f+208|0;t=f+200|0;u=f+196|0;v=f+192|0;w=f+188|0;x=f+184|0;y=f+180|0;z=f+176|0;A=f+172|0;B=f+168|0;C=f+56|0;D=f+48|0;E=f+40|0;F=f+32|0;G=f+24|0;H=f+16|0;I=f+8|0;J=f;K=f+164|0;L=f+160|0;M=f+156|0;k[m>>2]=a;k[n>>2]=b;k[o>>2]=c;k[q>>2]=d;k[s>>2]=e;k[u>>2]=k[(k[k[o>>2]>>2]|0)+((k[(k[o>>2]|0)+4>>2]|0)+3<<2)>>2];k[v>>2]=k[(k[k[o>>2]>>2]|0)+((k[27620+(k[(k[o>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];k[w>>2]=k[(k[k[o>>2]>>2]|0)+((k[27632+(k[(k[o>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];p[E>>3]=+p[k[w>>2]>>3]-+p[k[v>>2]>>3];p[F>>3]=+p[(k[w>>2]|0)+8>>3]-+p[(k[v>>2]|0)+8>>3];p[C>>3]=+p[k[s>>2]>>3]-+p[k[u>>2]>>3];p[D>>3]=+p[(k[s>>2]|0)+8>>3]-+p[(k[u>>2]|0)+8>>3];p[G>>3]=+p[k[v>>2]>>3]-+p[k[s>>2]>>3];p[H>>3]=+p[(k[v>>2]|0)+8>>3]-+p[(k[s>>2]|0)+8>>3];p[J>>3]=+p[F>>3]*+p[C>>3]-+p[E>>3]*+p[D>>3];if(+p[J>>3]==0.0){mta(59143,f+64|0)|0;mta(59184,f+72|0)|0;ce()}p[I>>3]=(+p[D>>3]*+p[G>>3]-+p[C>>3]*+p[H>>3])/+p[J>>3];J=ke((k[m>>2]|0)+112|0)|0;k[z>>2]=J;k[K>>2]=0;while(1){if((k[K>>2]|0)>=(2+(k[(k[m>>2]|0)+49680>>2]|0)|0))break;p[(k[z>>2]|0)+(k[K>>2]<<3)>>3]=+p[(k[v>>2]|0)+(k[K>>2]<<3)>>3]+ +p[I>>3]*(+p[(k[w>>2]|0)+(k[K>>2]<<3)>>3]-+p[(k[v>>2]|0)+(k[K>>2]<<3)>>3]);k[K>>2]=(k[K>>2]|0)+1}k[(k[z>>2]|0)+(k[(k[m>>2]|0)+49696>>2]<<2)>>2]=k[(k[k[q>>2]>>2]|0)+32>>2];k[(k[z>>2]|0)+((k[(k[m>>2]|0)+49696>>2]|0)+1<<2)>>2]=0;if((k[(k[n>>2]|0)+116>>2]|0)>1){N=+p[(k[v>>2]|0)+8>>3];O=+p[k[w>>2]>>3];P=+p[(k[w>>2]|0)+8>>3];Q=+p[k[z>>2]>>3];R=+p[(k[z>>2]|0)+8>>3];p[l>>3]=+p[k[v>>2]>>3];p[l+8>>3]=N;p[l+16>>3]=O;p[l+24>>3]=P;p[l+32>>3]=Q;p[l+40>>3]=R;mta(59238,l)|0}l=cf(k[m>>2]|0,k[n>>2]|0,k[z>>2]|0,k[o>>2]|0,k[q>>2]|0,0,0)|0;k[A>>2]=l;if(k[A>>2]|0){mta(59311,j)|0;mta(59353,i)|0;ce()}k[(k[z>>2]|0)+(k[(k[m>>2]|0)+49700>>2]<<2)>>2]=k[k[o>>2]>>2]|k[(k[o>>2]|0)+4>>2];if((k[(k[m>>2]|0)+49692>>2]|0)>0){i=(k[m>>2]|0)+49692|0;k[i>>2]=(k[i>>2]|0)+-1}k[(k[q>>2]|0)+4>>2]=1-(k[(k[q>>2]|0)+4>>2]|0);k[M>>2]=k[(k[k[q>>2]>>2]|0)+(k[(k[q>>2]|0)+4>>2]<<2)>>2];k[t+4>>2]=k[M>>2]&1;k[t>>2]=k[M>>2]&-4;k[(k[k[q>>2]>>2]|0)+(k[(k[q>>2]|0)+4>>2]<<2)>>2]=k[(k[m>>2]|0)+49776>>2];k[(k[t>>2]|0)+(k[t+4>>2]<<2)>>2]=k[(k[m>>2]|0)+49776>>2];do{k[(k[k[q>>2]>>2]|0)+(4+(k[(k[q>>2]|0)+4>>2]|0)<<2)>>2]=k[z>>2];k[M>>2]=k[(k[k[q>>2]>>2]|0)+(1-(k[(k[q>>2]|0)+4>>2]|0)<<2)>>2];k[(k[q>>2]|0)+4>>2]=k[M>>2]&1;k[k[q>>2]>>2]=k[M>>2]&-4}while((k[k[q>>2]>>2]|0)!=(k[(k[m>>2]|0)+49776>>2]|0));do{k[(k[t>>2]|0)+(4+(k[t+4>>2]|0)<<2)>>2]=k[z>>2];k[M>>2]=k[(k[t>>2]|0)+(1-(k[t+4>>2]|0)<<2)>>2];k[t+4>>2]=k[M>>2]&1;k[t>>2]=k[M>>2]&-4}while((k[t>>2]|0)!=(k[(k[m>>2]|0)+49776>>2]|0));t=Ff(k[m>>2]|0,k[n>>2]|0,k[o>>2]|0,k[u>>2]|0)|0;k[B>>2]=t;k[y>>2]=k[(k[k[o>>2]>>2]|0)+((k[27632+(k[(k[o>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];k[x>>2]=k[(k[k[o>>2]>>2]|0)+((k[(k[o>>2]|0)+4>>2]|0)+3<<2)>>2];if(+p[k[x>>2]>>3]==+p[k[u>>2]>>3]?+p[(k[x>>2]|0)+8>>3]==+p[(k[u>>2]|0)+8>>3]:0){k[(k[o>>2]|0)+4>>2]=k[27632+(k[(k[o>>2]|0)+4>>2]<<2)>>2];k[L>>2]=k[(k[k[o>>2]>>2]|0)+(k[(k[o>>2]|0)+4>>2]<<2)>>2];k[(k[o>>2]|0)+4>>2]=k[L>>2]&3;k[k[o>>2]>>2]=k[L>>2]^k[(k[o>>2]|0)+4>>2];r=f;return}if(!(+p[k[y>>2]>>3]!=+p[k[u>>2]>>3])?!(+p[(k[y>>2]|0)+8>>3]!=+p[(k[u>>2]|0)+8>>3]):0){r=f;return}mta(59311,h)|0;mta(59384,g)|0;ce();r=f;return}function Hf(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0;f=r;r=r+64|0;g=f+52|0;h=f+48|0;i=f+44|0;j=f+40|0;l=f+36|0;m=f+32|0;n=f+24|0;o=f+16|0;q=f+12|0;s=f+8|0;t=f+4|0;u=f;k[h>>2]=a;k[i>>2]=b;k[j>>2]=c;k[l>>2]=d;k[m>>2]=e;e=Ff(k[h>>2]|0,k[i>>2]|0,k[j>>2]|0,k[l>>2]|0)|0;k[t>>2]=e;k[s>>2]=k[(k[k[j>>2]>>2]|0)+((k[27632+(k[(k[j>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];k[q>>2]=k[(k[k[j>>2]>>2]|0)+((k[(k[j>>2]|0)+4>>2]|0)+3<<2)>>2];if(!(+p[k[q>>2]>>3]==+p[k[l>>2]>>3]?+p[(k[q>>2]|0)+8>>3]==+p[(k[l>>2]|0)+8>>3]:0))v=3;do if((v|0)==3){if(+p[k[s>>2]>>3]==+p[k[l>>2]>>3]?+p[(k[s>>2]|0)+8>>3]==+p[(k[l>>2]|0)+8>>3]:0)break;if((k[t>>2]|0)==1){k[(k[j>>2]|0)+4>>2]=k[27632+(k[(k[j>>2]|0)+4>>2]<<2)>>2];$e(k[h>>2]|0,k[i>>2]|0,k[j>>2]|0,k[m>>2]|0);e=Hf(k[h>>2]|0,k[i>>2]|0,k[j>>2]|0,k[l>>2]|0,k[m>>2]|0)|0;k[g>>2]=e;w=k[g>>2]|0;r=f;return w|0}if((k[t>>2]|0)==2){$e(k[h>>2]|0,k[i>>2]|0,k[j>>2]|0,k[m>>2]|0);k[(k[j>>2]|0)+4>>2]=k[27620+(k[(k[j>>2]|0)+4>>2]<<2)>>2];e=Hf(k[h>>2]|0,k[i>>2]|0,k[j>>2]|0,k[l>>2]|0,k[m>>2]|0)|0;k[g>>2]=e;w=k[g>>2]|0;r=f;return w|0}k[n>>2]=k[k[j>>2]>>2];k[n+4>>2]=k[27620+(k[(k[j>>2]|0)+4>>2]<<2)>>2];k[u>>2]=k[(k[n>>2]|0)+(6+(k[n+4>>2]|0)<<2)>>2];k[o+4>>2]=k[u>>2]&1;k[o>>2]=k[u>>2]&-4;if((k[o>>2]|0)==(k[(k[h>>2]|0)+49776>>2]|0)){k[g>>2]=0;w=k[g>>2]|0;r=f;return w|0}else{Gf(k[h>>2]|0,k[i>>2]|0,n,o,k[l>>2]|0);k[k[j>>2]>>2]=k[n>>2];k[(k[j>>2]|0)+4>>2]=k[n+4>>2];$e(k[h>>2]|0,k[i>>2]|0,k[j>>2]|0,k[m>>2]|0);e=Hf(k[h>>2]|0,k[i>>2]|0,k[j>>2]|0,k[l>>2]|0,k[m>>2]|0)|0;k[g>>2]=e;w=k[g>>2]|0;r=f;return w|0}}while(0);if(+p[k[q>>2]>>3]==+p[k[l>>2]>>3]?+p[(k[q>>2]|0)+8>>3]==+p[(k[l>>2]|0)+8>>3]:0)k[(k[j>>2]|0)+4>>2]=k[27632+(k[(k[j>>2]|0)+4>>2]<<2)>>2];$e(k[h>>2]|0,k[i>>2]|0,k[j>>2]|0,k[m>>2]|0);k[g>>2]=1;w=k[g>>2]|0;r=f;return w|0}function If(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0;f=r;r=r+160|0;g=f+80|0;h=f+72|0;i=f+56|0;j=f+40|0;l=f+8|0;m=f+152|0;n=f+148|0;o=f+144|0;q=f+140|0;s=f+136|0;t=f+128|0;u=f+120|0;v=f+112|0;w=f+104|0;x=f+100|0;y=f+96|0;z=f+92|0;A=f+88|0;B=f+84|0;k[m>>2]=a;k[n>>2]=b;k[o>>2]=c;k[q>>2]=d;k[s>>2]=e;if((k[(k[n>>2]|0)+116>>2]|0)>2){mta(59440,f)|0;C=+p[(k[o>>2]|0)+8>>3];D=+p[k[q>>2]>>3];E=+p[(k[q>>2]|0)+8>>3];p[l>>3]=+p[k[o>>2]>>3];p[l+8>>3]=C;p[l+16>>3]=D;p[l+24>>3]=E;mta(59500,l)|0}l=ke((k[m>>2]|0)+112|0)|0;k[w>>2]=l;k[A>>2]=0;while(1){if((k[A>>2]|0)>=(2+(k[(k[m>>2]|0)+49680>>2]|0)|0))break;p[(k[w>>2]|0)+(k[A>>2]<<3)>>3]=(+p[(k[o>>2]|0)+(k[A>>2]<<3)>>3]+ +p[(k[q>>2]|0)+(k[A>>2]<<3)>>3])*.5;k[A>>2]=(k[A>>2]|0)+1}k[(k[w>>2]|0)+(k[(k[m>>2]|0)+49696>>2]<<2)>>2]=k[s>>2];k[(k[w>>2]|0)+((k[(k[m>>2]|0)+49696>>2]|0)+1<<2)>>2]=1;k[t>>2]=k[(k[m>>2]|0)+49768>>2];A=cf(k[m>>2]|0,k[n>>2]|0,k[w>>2]|0,t,0,0,0)|0;k[z>>2]=A;if((k[z>>2]|0)!=3){if((k[z>>2]|0)==2){if((k[(k[n>>2]|0)+116>>2]|0)>2){E=+p[(k[w>>2]|0)+8>>3];p[i>>3]=+p[k[w>>2]>>3];p[i+8>>3]=E;mta(59587,i)|0}k[B>>2]=k[(k[t>>2]|0)+(6+(k[t+4>>2]|0)<<2)>>2];k[v+4>>2]=k[B>>2]&1;k[v>>2]=k[B>>2]&-4;B=cf(k[m>>2]|0,k[n>>2]|0,k[w>>2]|0,t,v,0,0)|0;k[z>>2]=B;if(k[z>>2]|0){mta(59632,h)|0;mta(59353,g)|0;ce()}}if((k[(k[m>>2]|0)+49692>>2]|0)>0){g=(k[m>>2]|0)+49692|0;k[g>>2]=(k[g>>2]|0)+-1}}else{if((k[(k[n>>2]|0)+116>>2]|0)>2){E=+p[(k[w>>2]|0)+8>>3];p[j>>3]=+p[k[w>>2]>>3];p[j+8>>3]=E;mta(59533,j)|0}ve(k[m>>2]|0,k[w>>2]|0);k[w>>2]=k[(k[t>>2]|0)+((k[27620+(k[t+4>>2]<<2)>>2]|0)+3<<2)>>2]}k[u>>2]=k[t>>2];k[u+4>>2]=k[t+4>>2];Ff(k[m>>2]|0,k[n>>2]|0,u,k[q>>2]|0)|0;if(!(Hf(k[m>>2]|0,k[n>>2]|0,t,k[o>>2]|0,k[s>>2]|0)|0)){k[x>>2]=k[(k[t>>2]|0)+((k[27620+(k[t+4>>2]<<2)>>2]|0)+3<<2)>>2];If(k[m>>2]|0,k[n>>2]|0,k[x>>2]|0,k[o>>2]|0,k[s>>2]|0)}if(Hf(k[m>>2]|0,k[n>>2]|0,u,k[q>>2]|0,k[s>>2]|0)|0){r=f;return}k[y>>2]=k[(k[u>>2]|0)+((k[27620+(k[u+4>>2]<<2)>>2]|0)+3<<2)>>2];If(k[m>>2]|0,k[n>>2]|0,k[y>>2]|0,k[q>>2]|0,k[s>>2]|0);r=f;return}function Jf(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;e=r;r=r+64|0;f=e+60|0;g=e+56|0;h=e+52|0;i=e+48|0;j=e+40|0;l=e+32|0;m=e+24|0;n=e+20|0;o=e+16|0;p=e+12|0;q=e+8|0;s=e+4|0;t=e;k[f>>2]=a;k[g>>2]=b;k[h>>2]=c;k[i>>2]=d;k[j>>2]=k[k[h>>2]>>2];k[j+4>>2]=k[27620+(k[(k[h>>2]|0)+4>>2]<<2)>>2];k[s>>2]=k[(k[j>>2]|0)+(k[j+4>>2]<<2)>>2];k[l+4>>2]=k[s>>2]&3;k[l>>2]=k[s>>2]^k[l+4>>2];if((k[l>>2]|0)==(k[(k[f>>2]|0)+49768>>2]|0)){r=e;return}k[t>>2]=k[(k[j>>2]|0)+(6+(k[j+4>>2]|0)<<2)>>2];k[m+4>>2]=k[t>>2]&1;k[m>>2]=k[t>>2]&-4;if((k[m>>2]|0)!=(k[(k[f>>2]|0)+49776>>2]|0)){r=e;return}k[n>>2]=k[(k[j>>2]|0)+((k[j+4>>2]|0)+3<<2)>>2];k[o>>2]=k[(k[j>>2]|0)+((k[27620+(k[j+4>>2]<<2)>>2]|0)+3<<2)>>2];k[p>>2]=k[(k[j>>2]|0)+((k[27632+(k[j+4>>2]<<2)>>2]|0)+3<<2)>>2];k[q>>2]=k[(k[l>>2]|0)+((k[l+4>>2]|0)+3<<2)>>2];m=k[f>>2]|0;t=k[g>>2]|0;if(k[i>>2]|0){if(+Ie(m,t,k[n>>2]|0,k[o>>2]|0,k[q>>2]|0)<=0.0){r=e;return}}else if(+Ie(m,t,k[q>>2]|0,k[p>>2]|0,k[n>>2]|0)<=0.0){r=e;return}if(+Ie(k[f>>2]|0,k[g>>2]|0,k[p>>2]|0,k[o>>2]|0,k[q>>2]|0)>0.0?+Ke(k[f>>2]|0,k[g>>2]|0,k[o>>2]|0,k[q>>2]|0,k[p>>2]|0,k[n>>2]|0)<=0.0:0){r=e;return}af(k[f>>2]|0,k[g>>2]|0,j);k[(k[h>>2]|0)+4>>2]=k[27632+(k[(k[h>>2]|0)+4>>2]<<2)>>2];Jf(k[f>>2]|0,k[g>>2]|0,k[h>>2]|0,k[i>>2]|0);Jf(k[f>>2]|0,k[g>>2]|0,l,k[i>>2]|0);r=e;return}function Kf(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0;f=r;r=r+80|0;g=f+72|0;h=f+68|0;i=f+64|0;j=f+60|0;l=f+56|0;m=f+48|0;n=f+40|0;o=f+32|0;q=f+28|0;s=f+24|0;t=f;u=f+20|0;v=f+16|0;w=f+12|0;x=f+8|0;k[g>>2]=a;k[h>>2]=b;k[i>>2]=c;k[j>>2]=d;k[l>>2]=e;k[q>>2]=k[(k[k[i>>2]>>2]|0)+((k[27620+(k[(k[i>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];k[m>>2]=k[k[i>>2]>>2];k[m+4>>2]=k[27620+(k[(k[i>>2]|0)+4>>2]<<2)>>2];af(k[g>>2]|0,k[h>>2]|0,m);k[u>>2]=0;k[v>>2]=0;do{k[s>>2]=k[(k[m>>2]|0)+((k[27620+(k[m+4>>2]<<2)>>2]|0)+3<<2)>>2];if(+p[k[s>>2]>>3]==+p[k[j>>2]>>3]?+p[(k[s>>2]|0)+8>>3]==+p[(k[j>>2]|0)+8>>3]:0){k[w>>2]=k[(k[m>>2]|0)+(k[m+4>>2]<<2)>>2];k[n+4>>2]=k[w>>2]&3;k[n>>2]=k[w>>2]^k[n+4>>2];k[n+4>>2]=k[27620+(k[n+4>>2]<<2)>>2];Jf(k[g>>2]|0,k[h>>2]|0,m,0);Jf(k[g>>2]|0,k[h>>2]|0,n,1);k[v>>2]=1}else y=5;do if((y|0)==5){y=0;z=+Ie(k[g>>2]|0,k[h>>2]|0,k[q>>2]|0,k[j>>2]|0,k[s>>2]|0);p[t>>3]=z;if(+p[t>>3]==0.0){k[u>>2]=1;k[w>>2]=k[(k[m>>2]|0)+(k[m+4>>2]<<2)>>2];k[n+4>>2]=k[w>>2]&3;k[n>>2]=k[w>>2]^k[n+4>>2];k[n+4>>2]=k[27620+(k[n+4>>2]<<2)>>2];Jf(k[g>>2]|0,k[h>>2]|0,m,0);Jf(k[g>>2]|0,k[h>>2]|0,n,1);k[v>>2]=1;break}if(+p[t>>3]>0.0){k[w>>2]=k[(k[m>>2]|0)+(k[m+4>>2]<<2)>>2];k[n+4>>2]=k[w>>2]&3;k[n>>2]=k[w>>2]^k[n+4>>2];k[n+4>>2]=k[27620+(k[n+4>>2]<<2)>>2];Jf(k[g>>2]|0,k[h>>2]|0,n,1);k[m+4>>2]=k[27632+(k[m+4>>2]<<2)>>2]}else{Jf(k[g>>2]|0,k[h>>2]|0,m,0);k[w>>2]=k[(k[m>>2]|0)+(k[m+4>>2]<<2)>>2];k[m+4>>2]=k[w>>2]&3;k[m>>2]=k[w>>2]^k[m+4>>2];k[m+4>>2]=k[27620+(k[m+4>>2]<<2)>>2]}k[x>>2]=k[(k[m>>2]|0)+(6+(k[m+4>>2]|0)<<2)>>2];k[o+4>>2]=k[x>>2]&1;k[o>>2]=k[x>>2]&-4;if((k[o>>2]|0)==(k[(k[g>>2]|0)+49776>>2]|0)){af(k[g>>2]|0,k[h>>2]|0,m);break}else{k[u>>2]=1;Gf(k[g>>2]|0,k[h>>2]|0,m,o,k[j>>2]|0);k[v>>2]=1;break}}while(0)}while((k[v>>2]|0)!=0^1);$e(k[g>>2]|0,k[h>>2]|0,m,k[l>>2]|0);if(!(k[u>>2]|0)){r=f;return}if(Hf(k[g>>2]|0,k[h>>2]|0,m,k[j>>2]|0,k[l>>2]|0)|0){r=f;return}Kf(k[g>>2]|0,k[h>>2]|0,m,k[j>>2]|0,k[l>>2]|0);r=f;return}function Lf(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0.0;f=r;r=r+144|0;g=f+64|0;h=f+56|0;i=f+40|0;j=f+32|0;l=f;m=f+128|0;n=f+124|0;o=f+120|0;q=f+116|0;s=f+112|0;t=f+104|0;u=f+96|0;v=f+88|0;w=f+84|0;x=f+80|0;k[m>>2]=a;k[n>>2]=b;k[o>>2]=c;k[q>>2]=d;k[s>>2]=e;if((k[(k[n>>2]|0)+116>>2]|0)>1){y=+p[(k[o>>2]|0)+8>>3];z=+p[k[q>>2]>>3];A=+p[(k[q>>2]|0)+8>>3];p[l>>3]=+p[k[o>>2]>>3];p[l+8>>3]=y;p[l+16>>3]=z;p[l+24>>3]=A;mta(59669,l)|0}k[w>>2]=0;k[v>>2]=k[(k[o>>2]|0)+(k[(k[m>>2]|0)+49700>>2]<<2)>>2];if(k[v>>2]|0){k[t+4>>2]=k[v>>2]&3;k[t>>2]=k[v>>2]^k[t+4>>2];k[w>>2]=k[(k[t>>2]|0)+((k[27620+(k[t+4>>2]<<2)>>2]|0)+3<<2)>>2]}if((k[w>>2]|0)!=(k[o>>2]|0)?(k[t>>2]=k[(k[m>>2]|0)+49768>>2],k[t+4>>2]=0,k[x>>2]=k[(k[t>>2]|0)+(k[t+4>>2]<<2)>>2],k[t+4>>2]=k[x>>2]&3,k[t>>2]=k[x>>2]^k[t+4>>2],(_e(k[m>>2]|0,k[n>>2]|0,k[o>>2]|0,t)|0)!=2):0){mta(59717,j)|0;A=+p[(k[o>>2]|0)+8>>3];p[i>>3]=+p[k[o>>2]>>3];p[i+8>>3]=A;mta(59783,i)|0;ce()}k[(k[m>>2]|0)+49784>>2]=k[t>>2];k[(k[m>>2]|0)+49784+4>>2]=k[t+4>>2];if(Hf(k[m>>2]|0,k[n>>2]|0,t,k[q>>2]|0,k[s>>2]|0)|0){r=f;return}k[o>>2]=k[(k[t>>2]|0)+((k[27620+(k[t+4>>2]<<2)>>2]|0)+3<<2)>>2];k[w>>2]=0;k[v>>2]=k[(k[q>>2]|0)+(k[(k[m>>2]|0)+49700>>2]<<2)>>2];if(k[v>>2]|0){k[u+4>>2]=k[v>>2]&3;k[u>>2]=k[v>>2]^k[u+4>>2];k[w>>2]=k[(k[u>>2]|0)+((k[27620+(k[u+4>>2]<<2)>>2]|0)+3<<2)>>2]}if((k[w>>2]|0)!=(k[q>>2]|0)?(k[u>>2]=k[(k[m>>2]|0)+49768>>2],k[u+4>>2]=0,k[x>>2]=k[(k[u>>2]|0)+(k[u+4>>2]<<2)>>2],k[u+4>>2]=k[x>>2]&3,k[u>>2]=k[x>>2]^k[u+4>>2],(_e(k[m>>2]|0,k[n>>2]|0,k[q>>2]|0,u)|0)!=2):0){mta(59717,h)|0;A=+p[(k[q>>2]|0)+8>>3];p[g>>3]=+p[k[q>>2]>>3];p[g+8>>3]=A;mta(59783,g)|0;ce()}k[(k[m>>2]|0)+49784>>2]=k[u>>2];k[(k[m>>2]|0)+49784+4>>2]=k[u+4>>2];if(Hf(k[m>>2]|0,k[n>>2]|0,u,k[o>>2]|0,k[s>>2]|0)|0){r=f;return}k[q>>2]=k[(k[u>>2]|0)+((k[27620+(k[u+4>>2]<<2)>>2]|0)+3<<2)>>2];u=k[m>>2]|0;m=k[n>>2]|0;if(k[(k[n>>2]|0)+104>>2]|0){If(u,m,k[o>>2]|0,k[q>>2]|0,k[s>>2]|0);r=f;return}else{Kf(u,m,t,k[q>>2]|0,k[s>>2]|0);r=f;return}}function Mf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;c=r;r=r+48|0;d=c+36|0;e=c+32|0;f=c+24|0;g=c+16|0;h=c+8|0;i=c;k[d>>2]=a;k[e>>2]=b;k[f>>2]=k[(k[d>>2]|0)+49768>>2];k[f+4>>2]=0;k[i>>2]=k[(k[f>>2]|0)+(k[f+4>>2]<<2)>>2];k[f+4>>2]=k[i>>2]&3;k[f>>2]=k[i>>2]^k[f+4>>2];k[h>>2]=k[f>>2];k[h+4>>2]=k[f+4>>2];do{$e(k[d>>2]|0,k[e>>2]|0,f,1);k[f+4>>2]=k[27620+(k[f+4>>2]<<2)>>2];k[i>>2]=k[(k[f>>2]|0)+(k[f+4>>2]<<2)>>2];k[g+4>>2]=k[i>>2]&3;k[g>>2]=k[i>>2]^k[g+4>>2];k[g+4>>2]=k[27620+(k[g+4>>2]<<2)>>2];while(1){if((k[g>>2]|0)==(k[(k[d>>2]|0)+49768>>2]|0))break;k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];k[i>>2]=k[(k[f>>2]|0)+(k[f+4>>2]<<2)>>2];k[g+4>>2]=k[i>>2]&3;k[g>>2]=k[i>>2]^k[g+4>>2];k[g+4>>2]=k[27620+(k[g+4>>2]<<2)>>2]}if((k[f>>2]|0)==(k[h>>2]|0))j=(k[f+4>>2]|0)==(k[h+4>>2]|0);else j=0}while(j^1);r=c;return}function Nf(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;f=r;r=r+112|0;g=f+40|0;h=f+32|0;i=f+24|0;j=f+16|0;l=f+8|0;m=f;n=f+92|0;o=f+88|0;q=f+84|0;s=f+80|0;t=f+76|0;u=f+96|0;v=f+72|0;w=f+68|0;x=f+64|0;y=f+60|0;z=f+56|0;A=f+52|0;B=f+48|0;C=f+44|0;k[n>>2]=a;k[o>>2]=b;k[q>>2]=c;k[s>>2]=d;k[t>>2]=e;a:do if(k[k[o>>2]>>2]|0){if(!(k[(k[o>>2]|0)+112>>2]|0))mta(59819,m)|0;Jta(u,59867)|0;k[(k[n>>2]|0)+49656>>2]=k[t>>2];k[y>>2]=(k[s>>2]|0)!=0&1;k[v>>2]=0;if(!(k[(k[n>>2]|0)+40>>2]|0)){r=f;return}if((k[(k[n>>2]|0)+49656>>2]|0)>0?(Ye(k[n>>2]|0,k[o>>2]|0),(k[(k[o>>2]|0)+116>>2]|0)!=0):0)mta(59873,l)|0;k[B>>2]=0;k[C>>2]=0;while(1){if((k[C>>2]|0)>=(k[(k[n>>2]|0)+49656>>2]|0))break a;e=k[v>>2]|0;k[v>>2]=e+1;k[z>>2]=k[(k[q>>2]|0)+(e<<2)>>2];e=k[v>>2]|0;k[v>>2]=e+1;k[A>>2]=k[(k[q>>2]|0)+(e<<2)>>2];if(k[y>>2]|0)k[B>>2]=k[(k[s>>2]|0)+(k[C>>2]<<2)>>2];do if((k[z>>2]|0)>=(k[(k[o>>2]|0)+40>>2]|0)?(k[z>>2]|0)<((k[(k[o>>2]|0)+40>>2]|0)+(k[(k[n>>2]|0)+49648>>2]|0)|0):0){if((k[A>>2]|0)>=(k[(k[o>>2]|0)+40>>2]|0)?(k[A>>2]|0)<((k[(k[o>>2]|0)+40>>2]|0)+(k[(k[n>>2]|0)+49648>>2]|0)|0):0){e=ze(k[n>>2]|0,k[o>>2]|0,k[z>>2]|0)|0;k[w>>2]=e;e=ze(k[n>>2]|0,k[o>>2]|0,k[A>>2]|0)|0;k[x>>2]=e;if(+p[k[w>>2]>>3]==+p[k[x>>2]>>3]?+p[(k[w>>2]|0)+8>>3]==+p[(k[x>>2]|0)+8>>3]:0){if(k[(k[o>>2]|0)+112>>2]|0)break;k[h>>2]=(k[(k[o>>2]|0)+40>>2]|0)+(k[C>>2]|0);k[h+4>>2]=u;mta(60013,h)|0;break}Lf(k[n>>2]|0,k[o>>2]|0,k[w>>2]|0,k[x>>2]|0,k[B>>2]|0);break}if(!(k[(k[o>>2]|0)+112>>2]|0)){k[i>>2]=(k[(k[o>>2]|0)+40>>2]|0)+(k[C>>2]|0);k[i+4>>2]=u;mta(59957,i)|0}}else D=14;while(0);if((D|0)==14?(D=0,(k[(k[o>>2]|0)+112>>2]|0)==0):0){k[j>>2]=(k[(k[o>>2]|0)+40>>2]|0)+(k[C>>2]|0);k[j+4>>2]=u;mta(59902,j)|0}k[C>>2]=(k[C>>2]|0)+1}}else k[(k[n>>2]|0)+49656>>2]=0;while(0);if((k[(k[o>>2]|0)+28>>2]|0)==0?(k[k[o>>2]>>2]|0)!=0:0){r=f;return}if(k[(k[o>>2]|0)+116>>2]|0)mta(60070,g)|0;Mf(k[n>>2]|0,k[o>>2]|0);r=f;return}function Of(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;c=r;r=r+64|0;d=c+60|0;e=c+56|0;f=c+48|0;g=c+40|0;h=c+32|0;i=c+24|0;j=c+20|0;l=c+16|0;m=c+12|0;n=c+8|0;o=c+4|0;k[d>>2]=a;k[e>>2]=b;if(k[(k[e>>2]|0)+116>>2]|0)mta(60110,c)|0;k[f>>2]=k[(k[d>>2]|0)+49768>>2];k[f+4>>2]=0;k[n>>2]=k[(k[f>>2]|0)+(k[f+4>>2]<<2)>>2];k[f+4>>2]=k[n>>2]&3;k[f>>2]=k[n>>2]^k[f+4>>2];k[h>>2]=k[f>>2];k[h+4>>2]=k[f+4>>2];do{do if(!(k[(k[f>>2]|0)+24>>2]&2)){k[o>>2]=k[(k[f>>2]|0)+(6+(k[f+4>>2]|0)<<2)>>2];k[i+4>>2]=k[o>>2]&1;k[i>>2]=k[o>>2]&-4;if((k[i>>2]|0)==(k[(k[d>>2]|0)+49776>>2]|0)){if(k[(k[f>>2]|0)+24>>2]&2)break;k[(k[f>>2]|0)+24>>2]=k[(k[f>>2]|0)+24>>2]|2;e=ke((k[d>>2]|0)+168|0)|0;k[j>>2]=e;k[k[j>>2]>>2]=k[f>>2];break}if(!(k[(k[i>>2]|0)+32>>2]|0)){k[(k[i>>2]|0)+32>>2]=1;k[l>>2]=k[(k[f>>2]|0)+((k[27620+(k[f+4>>2]<<2)>>2]|0)+3<<2)>>2];k[m>>2]=k[(k[f>>2]|0)+((k[27632+(k[f+4>>2]<<2)>>2]|0)+3<<2)>>2];if(!(k[(k[l>>2]|0)+(k[(k[d>>2]|0)+49696>>2]<<2)>>2]|0))k[(k[l>>2]|0)+(k[(k[d>>2]|0)+49696>>2]<<2)>>2]=1;if(!(k[(k[m>>2]|0)+(k[(k[d>>2]|0)+49696>>2]<<2)>>2]|0))k[(k[m>>2]|0)+(k[(k[d>>2]|0)+49696>>2]<<2)>>2]=1}}while(0);k[f+4>>2]=k[27620+(k[f+4>>2]<<2)>>2];k[n>>2]=k[(k[f>>2]|0)+(k[f+4>>2]<<2)>>2];k[g+4>>2]=k[n>>2]&3;k[g>>2]=k[n>>2]^k[g+4>>2];k[g+4>>2]=k[27620+(k[g+4>>2]<<2)>>2];while(1){if((k[g>>2]|0)==(k[(k[d>>2]|0)+49768>>2]|0))break;k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];k[n>>2]=k[(k[f>>2]|0)+(k[f+4>>2]<<2)>>2];k[g+4>>2]=k[n>>2]&3;k[g>>2]=k[n>>2]^k[g+4>>2];k[g+4>>2]=k[27620+(k[g+4>>2]<<2)>>2]}if((k[f>>2]|0)==(k[h>>2]|0))p=(k[f+4>>2]|0)==(k[h+4>>2]|0);else p=0}while(p^1);r=c;return}function Pf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0,I=0,J=0;c=r;r=r+208|0;d=c+112|0;e=c+104|0;f=c+56|0;g=c+8|0;h=c+204|0;i=c+200|0;j=c+192|0;l=c+184|0;m=c+180|0;n=c+176|0;o=c+168|0;q=c+160|0;s=c+156|0;t=c+152|0;u=c+148|0;v=c+144|0;w=c+140|0;x=c+136|0;y=c+132|0;z=c+128|0;k[h>>2]=a;k[i>>2]=b;if(k[(k[i>>2]|0)+116>>2]|0)mta(60171,c)|0;me((k[h>>2]|0)+168|0);b=ne((k[h>>2]|0)+168|0)|0;k[m>>2]=b;while(1){if(!(k[m>>2]|0))break;k[j>>2]=k[k[m>>2]>>2];k[(k[j>>2]|0)+24>>2]=k[(k[j>>2]|0)+24>>2]&-3;if((k[(k[i>>2]|0)+116>>2]|0)>2){k[j+4>>2]=0;k[u>>2]=k[(k[j>>2]|0)+((k[27620+(k[j+4>>2]<<2)>>2]|0)+3<<2)>>2];k[v>>2]=k[(k[j>>2]|0)+((k[27632+(k[j+4>>2]<<2)>>2]|0)+3<<2)>>2];k[w>>2]=k[(k[j>>2]|0)+((k[j+4>>2]|0)+3<<2)>>2];A=+p[(k[u>>2]|0)+8>>3];B=+p[k[v>>2]>>3];C=+p[(k[v>>2]|0)+8>>3];D=+p[k[w>>2]>>3];E=+p[(k[w>>2]|0)+8>>3];p[g>>3]=+p[k[u>>2]>>3];p[g+8>>3]=A;p[g+16>>3]=B;p[g+24>>3]=C;p[g+32>>3]=D;p[g+40>>3]=E;mta(60213,g)|0}k[j+4>>2]=0;while(1){if((k[j+4>>2]|0)>=3)break;k[y>>2]=k[(k[j>>2]|0)+(k[j+4>>2]<<2)>>2];k[l+4>>2]=k[y>>2]&3;k[l>>2]=k[y>>2]^k[l+4>>2];k[z>>2]=k[(k[j>>2]|0)+(6+(k[j+4>>2]|0)<<2)>>2];k[o+4>>2]=k[z>>2]&1;k[o>>2]=k[z>>2]&-4;do if((k[l>>2]|0)!=(k[(k[h>>2]|0)+49768>>2]|0)?(k[(k[l>>2]|0)+24>>2]&2|0)==0:0){if((k[o>>2]|0)==(k[(k[h>>2]|0)+49776>>2]|0)){if((k[(k[i>>2]|0)+116>>2]|0)>2){k[u>>2]=k[(k[l>>2]|0)+((k[27620+(k[l+4>>2]<<2)>>2]|0)+3<<2)>>2];k[v>>2]=k[(k[l>>2]|0)+((k[27632+(k[l+4>>2]<<2)>>2]|0)+3<<2)>>2];k[w>>2]=k[(k[l>>2]|0)+((k[l+4>>2]|0)+3<<2)>>2];E=+p[(k[u>>2]|0)+8>>3];D=+p[k[v>>2]>>3];C=+p[(k[v>>2]|0)+8>>3];B=+p[k[w>>2]>>3];A=+p[(k[w>>2]|0)+8>>3];p[f>>3]=+p[k[u>>2]>>3];p[f+8>>3]=E;p[f+16>>3]=D;p[f+24>>3]=C;p[f+32>>3]=B;p[f+40>>3]=A;mta(60272,f)|0}k[(k[l>>2]|0)+24>>2]=k[(k[l>>2]|0)+24>>2]|2;b=ke((k[h>>2]|0)+168|0)|0;k[n>>2]=b;k[k[n>>2]>>2]=k[l>>2];break}k[(k[o>>2]|0)+(6+(k[o+4>>2]|0)<<2)>>2]=k[(k[h>>2]|0)+49768>>2];if(!(k[(k[o>>2]|0)+32>>2]|0))k[(k[o>>2]|0)+32>>2]=1;k[s>>2]=k[(k[l>>2]|0)+((k[27620+(k[l+4>>2]<<2)>>2]|0)+3<<2)>>2];k[t>>2]=k[(k[l>>2]|0)+((k[27632+(k[l+4>>2]<<2)>>2]|0)+3<<2)>>2];if(!(k[(k[s>>2]|0)+(k[(k[h>>2]|0)+49696>>2]<<2)>>2]|0))k[(k[s>>2]|0)+(k[(k[h>>2]|0)+49696>>2]<<2)>>2]=1;if(!(k[(k[t>>2]|0)+(k[(k[h>>2]|0)+49696>>2]<<2)>>2]|0))k[(k[t>>2]|0)+(k[(k[h>>2]|0)+49696>>2]<<2)>>2]=1}else F=11;while(0);if(((F|0)==11?(F=0,(k[o>>2]|0)!=(k[(k[h>>2]|0)+49776>>2]|0)):0)?(te(k[h>>2]|0,k[o>>2]|0),(k[l>>2]|0)!=(k[(k[h>>2]|0)+49768>>2]|0)):0){k[(k[l>>2]|0)+24>>2]=k[(k[l>>2]|0)+24>>2]&-3;k[(k[l>>2]|0)+(6+(k[l+4>>2]|0)<<2)>>2]=k[(k[h>>2]|0)+49776>>2];k[(k[l>>2]|0)+24>>2]=k[(k[l>>2]|0)+24>>2]|2}b=j+4|0;k[b>>2]=(k[b>>2]|0)+1}k[(k[j>>2]|0)+24>>2]=k[(k[j>>2]|0)+24>>2]|2;b=ne((k[h>>2]|0)+168|0)|0;k[m>>2]=b}if(k[(k[i>>2]|0)+116>>2]|0)mta(60330,e)|0;me((k[h>>2]|0)+168|0);e=ne((k[h>>2]|0)+168|0)|0;k[m>>2]=e;while(1){if(!(k[m>>2]|0))break;k[j>>2]=k[k[m>>2]>>2];k[j+4>>2]=0;while(1){G=j+4|0;if((k[j+4>>2]|0)>=3)break;k[q>>2]=k[(k[j>>2]|0)+((k[27620+(k[G>>2]<<2)>>2]|0)+3<<2)>>2];if(k[q>>2]|0){k[x>>2]=1;k[(k[j>>2]|0)+((k[27620+(k[j+4>>2]<<2)>>2]|0)+3<<2)>>2]=0;k[l>>2]=k[j>>2];k[l+4>>2]=k[27632+(k[j+4>>2]<<2)>>2];k[y>>2]=k[(k[l>>2]|0)+(k[l+4>>2]<<2)>>2];k[l+4>>2]=k[y>>2]&3;k[l>>2]=k[y>>2]^k[l+4>>2];while(1){if((k[l>>2]|0)!=(k[(k[h>>2]|0)+49768>>2]|0)){if((k[l>>2]|0)==(k[j>>2]|0))H=(k[l+4>>2]|0)==(k[j+4>>2]|0);else H=0;I=H^1}else I=0;J=k[l>>2]|0;if(!I)break;if(k[J+24>>2]&2)k[(k[l>>2]|0)+((k[27620+(k[l+4>>2]<<2)>>2]|0)+3<<2)>>2]=0;else k[x>>2]=0;k[l+4>>2]=k[27632+(k[l+4>>2]<<2)>>2];k[y>>2]=k[(k[l>>2]|0)+(k[l+4>>2]<<2)>>2];k[l+4>>2]=k[y>>2]&3;k[l>>2]=k[y>>2]^k[l+4>>2]}a:do if((J|0)==(k[(k[h>>2]|0)+49768>>2]|0)){k[y>>2]=k[(k[j>>2]|0)+(k[j+4>>2]<<2)>>2];k[l+4>>2]=k[y>>2]&3;k[l>>2]=k[y>>2]^k[l+4>>2];k[l+4>>2]=k[27620+(k[l+4>>2]<<2)>>2];while(1){if((k[l>>2]|0)==(k[(k[h>>2]|0)+49768>>2]|0))break a;if(k[(k[l>>2]|0)+24>>2]&2)k[(k[l>>2]|0)+((k[27620+(k[l+4>>2]<<2)>>2]|0)+3<<2)>>2]=0;else k[x>>2]=0;k[y>>2]=k[(k[l>>2]|0)+(k[l+4>>2]<<2)>>2];k[l+4>>2]=k[y>>2]&3;k[l>>2]=k[y>>2]^k[l+4>>2];k[l+4>>2]=k[27620+(k[l+4>>2]<<2)>>2]}}while(0);if(k[x>>2]|0){if((k[(k[i>>2]|0)+116>>2]|0)>1){A=+p[(k[q>>2]|0)+8>>3];p[d>>3]=+p[k[q>>2]>>3];p[d+8>>3]=A;mta(60360,d)|0}k[(k[q>>2]|0)+((k[(k[h>>2]|0)+49696>>2]|0)+1<<2)>>2]=-32767;e=(k[h>>2]|0)+49668|0;k[e>>2]=(k[e>>2]|0)+1}}e=j+4|0;k[e>>2]=(k[e>>2]|0)+1}k[G>>2]=0;while(1){if((k[j+4>>2]|0)>=3)break;k[y>>2]=k[(k[j>>2]|0)+(k[j+4>>2]<<2)>>2];k[l+4>>2]=k[y>>2]&3;k[l>>2]=k[y>>2]^k[l+4>>2];e=k[h>>2]|0;if((k[l>>2]|0)==(k[(k[h>>2]|0)+49768>>2]|0)){o=e+49688|0;k[o>>2]=(k[o>>2]|0)+-1}else{k[(k[l>>2]|0)+(k[l+4>>2]<<2)>>2]=k[e+49768>>2];e=(k[h>>2]|0)+49688|0;k[e>>2]=(k[e>>2]|0)+1}e=j+4|0;k[e>>2]=(k[e>>2]|0)+1}re(k[h>>2]|0,k[j>>2]|0);e=ne((k[h>>2]|0)+168|0)|0;k[m>>2]=e}he((k[h>>2]|0)+168|0);r=c;return}function Qf(a,b,c,d){a=a|0;b=b|0;c=+c;d=+d;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0.0,B=0.0;e=r;r=r+192|0;f=e+120|0;g=e+72|0;h=e+24|0;i=e+180|0;j=e+176|0;l=e+8|0;m=e;n=e+168|0;o=e+160|0;q=e+156|0;s=e+152|0;t=e+144|0;u=e+140|0;v=e+136|0;w=e+132|0;x=e+128|0;y=e+124|0;k[i>>2]=a;k[j>>2]=b;p[l>>3]=c;p[m>>3]=d;if((k[(k[j>>2]|0)+116>>2]|0)>1)mta(60171,e+16|0)|0;me((k[i>>2]|0)+168|0);b=ne((k[i>>2]|0)+168|0)|0;k[q>>2]=b;while(1){if(!(k[q>>2]|0))break;k[n>>2]=k[k[q>>2]>>2];k[(k[n>>2]|0)+24>>2]=k[(k[n>>2]|0)+24>>2]&-3;if(k[(k[j>>2]|0)+24>>2]|0)p[(k[n>>2]|0)+((k[(k[i>>2]|0)+49708>>2]|0)+(k[(k[i>>2]|0)+49684>>2]|0)<<3)>>3]=+p[l>>3];if(k[(k[j>>2]|0)+12>>2]|0)p[(k[n>>2]|0)+(k[(k[i>>2]|0)+49712>>2]<<3)>>3]=+p[m>>3];if((k[(k[j>>2]|0)+116>>2]|0)>2){k[n+4>>2]=0;k[u>>2]=k[(k[n>>2]|0)+((k[27620+(k[n+4>>2]<<2)>>2]|0)+3<<2)>>2];k[v>>2]=k[(k[n>>2]|0)+((k[27632+(k[n+4>>2]<<2)>>2]|0)+3<<2)>>2];k[w>>2]=k[(k[n>>2]|0)+((k[n+4>>2]|0)+3<<2)>>2];d=+p[(k[u>>2]|0)+8>>3];c=+p[k[v>>2]>>3];z=+p[(k[v>>2]|0)+8>>3];A=+p[k[w>>2]>>3];B=+p[(k[w>>2]|0)+8>>3];p[h>>3]=+p[k[u>>2]>>3];p[h+8>>3]=d;p[h+16>>3]=c;p[h+24>>3]=z;p[h+32>>3]=A;p[h+40>>3]=B;mta(60213,h)|0}k[n+4>>2]=0;while(1){if((k[n+4>>2]|0)>=3)break;k[x>>2]=k[(k[n>>2]|0)+(k[n+4>>2]<<2)>>2];k[o+4>>2]=k[x>>2]&3;k[o>>2]=k[x>>2]^k[o+4>>2];k[y>>2]=k[(k[n>>2]|0)+(6+(k[n+4>>2]|0)<<2)>>2];k[t+4>>2]=k[y>>2]&1;k[t>>2]=k[y>>2]&-4;if(((k[o>>2]|0)!=(k[(k[i>>2]|0)+49768>>2]|0)?(k[(k[o>>2]|0)+24>>2]&2|0)==0:0)?(k[t>>2]|0)==(k[(k[i>>2]|0)+49776>>2]|0):0){if((k[(k[j>>2]|0)+116>>2]|0)>2){k[u>>2]=k[(k[o>>2]|0)+((k[27620+(k[o+4>>2]<<2)>>2]|0)+3<<2)>>2];k[v>>2]=k[(k[o>>2]|0)+((k[27632+(k[o+4>>2]<<2)>>2]|0)+3<<2)>>2];k[w>>2]=k[(k[o>>2]|0)+((k[o+4>>2]|0)+3<<2)>>2];B=+p[(k[u>>2]|0)+8>>3];A=+p[k[v>>2]>>3];z=+p[(k[v>>2]|0)+8>>3];c=+p[k[w>>2]>>3];d=+p[(k[w>>2]|0)+8>>3];p[g>>3]=+p[k[u>>2]>>3];p[g+8>>3]=B;p[g+16>>3]=A;p[g+24>>3]=z;p[g+32>>3]=c;p[g+40>>3]=d;mta(60272,g)|0}k[(k[o>>2]|0)+24>>2]=k[(k[o>>2]|0)+24>>2]|2;b=ke((k[i>>2]|0)+168|0)|0;k[s>>2]=b;k[k[s>>2]>>2]=k[o>>2]}b=n+4|0;k[b>>2]=(k[b>>2]|0)+1}k[(k[n>>2]|0)+24>>2]=k[(k[n>>2]|0)+24>>2]|2;b=ne((k[i>>2]|0)+168|0)|0;k[q>>2]=b}if((k[(k[j>>2]|0)+116>>2]|0)>1)mta(60396,f)|0;me((k[i>>2]|0)+168|0);f=ne((k[i>>2]|0)+168|0)|0;k[q>>2]=f;while(1){if(!(k[q>>2]|0))break;k[n>>2]=k[k[q>>2]>>2];k[(k[n>>2]|0)+24>>2]=k[(k[n>>2]|0)+24>>2]&-3;f=ne((k[i>>2]|0)+168|0)|0;k[q>>2]=f}he((k[i>>2]|0)+168|0);r=e;return}function Rf(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;g=r;r=r+112|0;h=g+32|0;i=g+24|0;j=g+16|0;l=g+8|0;m=g;n=g+108|0;o=g+104|0;q=g+100|0;s=g+96|0;t=g+92|0;u=g+88|0;v=g+80|0;w=g+72|0;x=g+64|0;y=g+60|0;z=g+56|0;A=g+52|0;B=g+48|0;C=g+44|0;D=g+40|0;E=g+36|0;k[n>>2]=a;k[o>>2]=b;k[q>>2]=c;k[s>>2]=d;k[t>>2]=e;k[u>>2]=f;do if(!(k[(k[o>>2]|0)+112>>2]|0)){if((k[(k[o>>2]|0)+80>>2]|0)!=0?(k[(k[o>>2]|0)+28>>2]|0)!=0:0)break;mta(60427,m)|0;if((k[s>>2]|0)>0?(k[(k[o>>2]|0)+116>>2]|0)!=0:0)mta(60457,l)|0}while(0);if((k[u>>2]|0)>0){l=ae(k[u>>2]<<3)|0;k[x>>2]=l}else k[x>>2]=0;if((k[s>>2]|0)>0?(k[(k[o>>2]|0)+80>>2]|0)==0:0)F=12;else F=11;if((F|0)==11?((k[u>>2]|0)>0?1:(k[(k[o>>2]|0)+28>>2]|0)==0):0)F=12;if((F|0)==12)ie((k[n>>2]|0)+168|0,4,1020,1020,0);if(!(k[(k[o>>2]|0)+28>>2]|0))Of(k[n>>2]|0,k[o>>2]|0);a:do if((k[s>>2]|0)>0?(k[(k[o>>2]|0)+80>>2]|0)==0:0){k[D>>2]=0;while(1){if((k[D>>2]|0)>=(k[s>>2]<<1|0))break a;if((((((+p[(k[q>>2]|0)+(k[D>>2]<<3)>>3]>=+p[(k[n>>2]|0)+49608>>3]?+p[(k[q>>2]|0)+(k[D>>2]<<3)>>3]<=+p[(k[n>>2]|0)+49616>>3]:0)?+p[(k[q>>2]|0)+((k[D>>2]|0)+1<<3)>>3]>=+p[(k[n>>2]|0)+49624>>3]:0)?+p[(k[q>>2]|0)+((k[D>>2]|0)+1<<3)>>3]<=+p[(k[n>>2]|0)+49632>>3]:0)?(k[v>>2]=k[(k[n>>2]|0)+49768>>2],k[v+4>>2]=0,k[E>>2]=k[(k[v>>2]|0)+(k[v+4>>2]<<2)>>2],k[v+4>>2]=k[E>>2]&3,k[v>>2]=k[E>>2]^k[v+4>>2],k[A>>2]=k[(k[v>>2]|0)+((k[27620+(k[v+4>>2]<<2)>>2]|0)+3<<2)>>2],k[B>>2]=k[(k[v>>2]|0)+((k[27632+(k[v+4>>2]<<2)>>2]|0)+3<<2)>>2],+Ie(k[n>>2]|0,k[o>>2]|0,k[A>>2]|0,k[B>>2]|0,(k[q>>2]|0)+(k[D>>2]<<3)|0)>0.0):0)?(l=_e(k[n>>2]|0,k[o>>2]|0,(k[q>>2]|0)+(k[D>>2]<<3)|0,v)|0,k[C>>2]=l,(k[C>>2]|0)!=3):0)?(k[(k[v>>2]|0)+24>>2]&2|0)==0:0){k[(k[v>>2]|0)+24>>2]=k[(k[v>>2]|0)+24>>2]|2;l=ke((k[n>>2]|0)+168|0)|0;k[y>>2]=l;k[k[y>>2]>>2]=k[v>>2]}k[D>>2]=(k[D>>2]|0)+2}}while(0);b:do if((k[u>>2]|0)>0){k[D>>2]=0;while(1){if((k[D>>2]|0)>=(k[u>>2]|0))break b;k[(k[x>>2]|0)+(k[D>>2]<<3)>>2]=k[(k[n>>2]|0)+49768>>2];if((((((+p[(k[t>>2]|0)+(k[D>>2]<<2<<3)>>3]>=+p[(k[n>>2]|0)+49608>>3]?+p[(k[t>>2]|0)+(k[D>>2]<<2<<3)>>3]<=+p[(k[n>>2]|0)+49616>>3]:0)?+p[(k[t>>2]|0)+((k[D>>2]<<2)+1<<3)>>3]>=+p[(k[n>>2]|0)+49624>>3]:0)?+p[(k[t>>2]|0)+((k[D>>2]<<2)+1<<3)>>3]<=+p[(k[n>>2]|0)+49632>>3]:0)?(k[v>>2]=k[(k[n>>2]|0)+49768>>2],k[v+4>>2]=0,k[E>>2]=k[(k[v>>2]|0)+(k[v+4>>2]<<2)>>2],k[v+4>>2]=k[E>>2]&3,k[v>>2]=k[E>>2]^k[v+4>>2],k[A>>2]=k[(k[v>>2]|0)+((k[27620+(k[v+4>>2]<<2)>>2]|0)+3<<2)>>2],k[B>>2]=k[(k[v>>2]|0)+((k[27632+(k[v+4>>2]<<2)>>2]|0)+3<<2)>>2],+Ie(k[n>>2]|0,k[o>>2]|0,k[A>>2]|0,k[B>>2]|0,(k[t>>2]|0)+(k[D>>2]<<2<<3)|0)>0.0):0)?(y=_e(k[n>>2]|0,k[o>>2]|0,(k[t>>2]|0)+(k[D>>2]<<2<<3)|0,v)|0,k[C>>2]=y,(k[C>>2]|0)!=3):0)?(k[(k[v>>2]|0)+24>>2]&2|0)==0:0){k[(k[x>>2]|0)+(k[D>>2]<<3)>>2]=k[v>>2];k[(k[x>>2]|0)+(k[D>>2]<<3)+4>>2]=k[v+4>>2]}k[D>>2]=(k[D>>2]|0)+1}}while(0);if((k[(k[n>>2]|0)+168+40>>2]|0)>0)Pf(k[n>>2]|0,k[o>>2]|0);if((k[u>>2]|0)>0){do if(!(k[(k[o>>2]|0)+112>>2]|0)){if(!(k[(k[o>>2]|0)+24>>2]|0)){mta(60576,h)|0;break}if(k[(k[o>>2]|0)+12>>2]|0){mta(60491,j)|0;break}else{mta(60544,i)|0;break}}while(0);c:do if((k[(k[o>>2]|0)+24>>2]|0)!=0?(k[(k[o>>2]|0)+4>>2]|0)==0:0){me(k[n>>2]|0);k[w+4>>2]=0;i=se(k[n>>2]|0)|0;k[w>>2]=i;while(1){if(!(k[w>>2]|0))break c;p[(k[w>>2]|0)+((k[(k[n>>2]|0)+49708>>2]|0)+(k[(k[n>>2]|0)+49684>>2]|0)<<3)>>3]=0.0;i=se(k[n>>2]|0)|0;k[w>>2]=i}}while(0);k[D>>2]=0;while(1){if((k[D>>2]|0)>=(k[u>>2]|0))break;if((k[(k[x>>2]|0)+(k[D>>2]<<3)>>2]|0)!=(k[(k[n>>2]|0)+49768>>2]|0)?(k[(k[(k[x>>2]|0)+(k[D>>2]<<3)>>2]|0)+4>>2]|0)!=0:0){k[(k[(k[x>>2]|0)+(k[D>>2]<<3)>>2]|0)+24>>2]=k[(k[(k[x>>2]|0)+(k[D>>2]<<3)>>2]|0)+24>>2]|2;w=ke((k[n>>2]|0)+168|0)|0;k[z>>2]=w;k[k[z>>2]>>2]=k[(k[x>>2]|0)+(k[D>>2]<<3)>>2];Qf(k[n>>2]|0,k[o>>2]|0,+p[(k[t>>2]|0)+((k[D>>2]<<2)+2<<3)>>3],+p[(k[t>>2]|0)+((k[D>>2]<<2)+3<<3)>>3])}k[D>>2]=(k[D>>2]|0)+1}if((k[(k[o>>2]|0)+24>>2]|0)!=0?(k[(k[o>>2]|0)+4>>2]|0)==0:0){D=(k[n>>2]|0)+49684|0;k[D>>2]=(k[D>>2]|0)+1}}if((k[s>>2]|0)>0?(k[(k[o>>2]|0)+80>>2]|0)==0:0)F=66;else F=65;if((F|0)==65?((k[u>>2]|0)>0?1:(k[(k[o>>2]|0)+28>>2]|0)==0):0)F=66;if((F|0)==66)je((k[n>>2]|0)+168|0);if((k[u>>2]|0)<=0){r=g;return}be(k[x>>2]|0);r=g;return}function Sf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;c=r;r=r+32|0;d=c+20|0;e=c+16|0;f=c+8|0;g=c;k[d>>2]=a;k[e>>2]=b;me((k[d>>2]|0)+56|0);k[f+4>>2]=0;b=ue(k[d>>2]|0)|0;k[f>>2]=b;while(1){if(!(k[f>>2]|0))break;b=We(k[d>>2]|0,k[e>>2]|0,f)|0;k[g>>2]=b;b=ue(k[d>>2]|0)|0;k[f>>2]=b}r=c;return}function Tf(){var a=0;a=r;r=r+16|0;mta(60614,a)|0;mta(60677,a+8|0)|0;r=a;return}function Uf(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0;d=r;r=r+256|0;e=d+136|0;f=d+128|0;g=d+120|0;h=d+112|0;i=d+104|0;j=d+88|0;l=d+40|0;m=d+240|0;n=d+236|0;o=d+232|0;q=d+224|0;s=d+216|0;t=d+208|0;u=d+200|0;v=d+192|0;w=d+188|0;x=d+184|0;y=d+180|0;z=d+176|0;A=d+172|0;B=d+32|0;C=d+24|0;D=d+16|0;E=d+8|0;F=d;G=d+168|0;H=d+164|0;I=d+160|0;J=d+156|0;K=d+152|0;L=d+148|0;M=d+144|0;N=d+140|0;k[m>>2]=a;k[n>>2]=b;k[o>>2]=c;a:while(1){if((k[(k[m>>2]|0)+224+40>>2]|0)<=0){O=50;break}if(!(k[(k[m>>2]|0)+49692>>2]|0)){O=50;break}me((k[m>>2]|0)+224|0);c=ye(k[m>>2]|0)|0;k[v>>2]=c;while(1){if(!(k[v>>2]|0))continue a;if(!(k[(k[m>>2]|0)+49692>>2]|0))continue a;k[u+4>>2]=k[k[v>>2]>>2]&1;k[u>>2]=k[k[v>>2]>>2]&-4;k[w>>2]=k[(k[u>>2]|0)+(2+(k[u+4>>2]|0)<<2)>>2];k[x>>2]=k[(k[u>>2]|0)+(3-(k[u+4>>2]|0)<<2)>>2];if(((k[(k[u>>2]|0)+4>>2]|0)!=0?(k[w>>2]|0)==(k[(k[v>>2]|0)+4>>2]|0):0)?(k[x>>2]|0)==(k[(k[v>>2]|0)+8>>2]|0):0){k[M>>2]=k[(k[u>>2]|0)+(6+(k[u+4>>2]|0)<<2)>>2];k[q+4>>2]=k[M>>2]&3;k[q>>2]=k[M>>2]^k[q+4>>2];k[s>>2]=k[q>>2];k[s+4>>2]=k[27620+(k[q+4>>2]<<2)>>2];k[N>>2]=k[(k[s>>2]|0)+(6+(k[s+4>>2]|0)<<2)>>2];k[t+4>>2]=k[N>>2]&1;k[t>>2]=k[N>>2]&-4;k[G>>2]=(k[t>>2]|0)!=(k[(k[m>>2]|0)+49776>>2]|0)&1;k[s+4>>2]=k[27620+(k[s+4>>2]<<2)>>2];k[N>>2]=k[(k[s>>2]|0)+(6+(k[s+4>>2]|0)<<2)>>2];k[t+4>>2]=k[N>>2]&1;k[t>>2]=k[N>>2]&-4;k[I>>2]=(k[t>>2]|0)!=(k[(k[m>>2]|0)+49776>>2]|0)&1;b:do if(!(((k[G>>2]|0)!=0?1:(k[(k[n>>2]|0)+88>>2]|0)!=0)|(k[I>>2]|0)!=0)){k[y>>2]=k[(k[q>>2]|0)+((k[q+4>>2]|0)+3<<2)>>2];while(1){if((k[(k[y>>2]|0)+((k[(k[m>>2]|0)+49696>>2]|0)+1<<2)>>2]|0)!=2)break b;if(!((+p[k[w>>2]>>3]-+p[k[y>>2]>>3])*(+p[k[x>>2]>>3]-+p[k[y>>2]>>3])+(+p[(k[w>>2]|0)+8>>3]-+p[(k[y>>2]|0)+8>>3])*(+p[(k[x>>2]|0)+8>>3]-+p[(k[y>>2]|0)+8>>3])<0.0))break b;ef(k[m>>2]|0,k[n>>2]|0,s);k[M>>2]=k[(k[u>>2]|0)+(6+(k[u+4>>2]|0)<<2)>>2];k[q+4>>2]=k[M>>2]&3;k[q>>2]=k[M>>2]^k[q+4>>2];k[y>>2]=k[(k[q>>2]|0)+((k[q+4>>2]|0)+3<<2)>>2];k[s>>2]=k[q>>2];k[s+4>>2]=k[27632+(k[q+4>>2]<<2)>>2]}}while(0);k[M>>2]=k[(k[q>>2]|0)+(k[q+4>>2]<<2)>>2];k[s+4>>2]=k[M>>2]&3;k[s>>2]=k[M>>2]^k[s+4>>2];c:do if((k[s>>2]|0)!=(k[(k[m>>2]|0)+49768>>2]|0)?(k[s+4>>2]=k[27620+(k[s+4>>2]<<2)>>2],k[N>>2]=k[(k[s>>2]|0)+(6+(k[s+4>>2]|0)<<2)>>2],k[t+4>>2]=k[N>>2]&1,k[t>>2]=k[N>>2]&-4,k[J>>2]=(k[t>>2]|0)!=(k[(k[m>>2]|0)+49776>>2]|0)&1,k[I>>2]=((k[I>>2]|0)!=0?1:(k[J>>2]|0)!=0)&1,k[s+4>>2]=k[27620+(k[s+4>>2]<<2)>>2],k[N>>2]=k[(k[s>>2]|0)+(6+(k[s+4>>2]|0)<<2)>>2],k[t+4>>2]=k[N>>2]&1,k[t>>2]=k[N>>2]&-4,k[H>>2]=(k[t>>2]|0)!=(k[(k[m>>2]|0)+49776>>2]|0)&1,k[G>>2]=((k[G>>2]|0)!=0?1:(k[H>>2]|0)!=0)&1,!(((k[H>>2]|0)!=0?1:(k[(k[n>>2]|0)+88>>2]|0)!=0)|(k[J>>2]|0)!=0)):0){k[y>>2]=k[(k[s>>2]|0)+((k[27620+(k[s+4>>2]<<2)>>2]|0)+3<<2)>>2];while(1){if((k[(k[y>>2]|0)+((k[(k[m>>2]|0)+49696>>2]|0)+1<<2)>>2]|0)!=2)break c;if(!((+p[k[w>>2]>>3]-+p[k[y>>2]>>3])*(+p[k[x>>2]>>3]-+p[k[y>>2]>>3])+(+p[(k[w>>2]|0)+8>>3]-+p[(k[y>>2]|0)+8>>3])*(+p[(k[x>>2]|0)+8>>3]-+p[(k[y>>2]|0)+8>>3])<0.0))break c;ef(k[m>>2]|0,k[n>>2]|0,s);k[M>>2]=k[(k[q>>2]|0)+(k[q+4>>2]<<2)>>2];k[s+4>>2]=k[M>>2]&3;k[s>>2]=k[M>>2]^k[s+4>>2];k[y>>2]=k[(k[s>>2]|0)+((k[s+4>>2]|0)+3<<2)>>2];k[s+4>>2]=k[27632+(k[s+4>>2]<<2)>>2]}}while(0);if((k[G>>2]|0)!=0|(k[I>>2]|0)!=0){P=+aa(+((+p[k[x>>2]>>3]-+p[k[w>>2]>>3])*(+p[k[x>>2]>>3]-+p[k[w>>2]>>3])+(+p[(k[x>>2]|0)+8>>3]-+p[(k[w>>2]|0)+8>>3])*(+p[(k[x>>2]|0)+8>>3]-+p[(k[w>>2]|0)+8>>3])));p[B>>3]=P;p[C>>3]=1.0;while(1){if(!(+p[B>>3]>+p[C>>3]*3.0))break;p[C>>3]=+p[C>>3]*2.0}while(1){Q=+p[C>>3];if(!(+p[B>>3]<+p[C>>3]*1.5))break;p[C>>3]=Q*.5}p[D>>3]=Q/+p[B>>3];if(k[I>>2]|0)p[D>>3]=1.0-+p[D>>3]}else p[D>>3]=.5;c=ke((k[m>>2]|0)+112|0)|0;k[z>>2]=c;k[L>>2]=0;while(1){if((k[L>>2]|0)>=(2+(k[(k[m>>2]|0)+49680>>2]|0)|0))break;p[(k[z>>2]|0)+(k[L>>2]<<3)>>3]=+p[(k[w>>2]|0)+(k[L>>2]<<3)>>3]+ +p[D>>3]*(+p[(k[x>>2]|0)+(k[L>>2]<<3)>>3]-+p[(k[w>>2]|0)+(k[L>>2]<<3)>>3]);k[L>>2]=(k[L>>2]|0)+1}if(((k[(k[n>>2]|0)+84>>2]|0)==0?(P=+Ie(k[m>>2]|0,k[n>>2]|0,k[w>>2]|0,k[x>>2]|0,k[z>>2]|0),p[E>>3]=P,p[F>>3]=(+p[k[w>>2]>>3]-+p[k[x>>2]>>3])*(+p[k[w>>2]>>3]-+p[k[x>>2]>>3])+(+p[(k[w>>2]|0)+8>>3]-+p[(k[x>>2]|0)+8>>3])*(+p[(k[w>>2]|0)+8>>3]-+p[(k[x>>2]|0)+8>>3]),+p[E>>3]!=0.0&+p[F>>3]!=0.0):0)?(p[E>>3]=+p[E>>3]/+p[F>>3],+p[E>>3]==+p[E>>3]):0){c=k[z>>2]|0;p[c>>3]=+p[c>>3]+ +p[E>>3]*(+p[(k[x>>2]|0)+8>>3]-+p[(k[w>>2]|0)+8>>3]);c=(k[z>>2]|0)+8|0;p[c>>3]=+p[c>>3]+ +p[E>>3]*(+p[k[w>>2]>>3]-+p[k[x>>2]>>3])}k[(k[z>>2]|0)+(k[(k[m>>2]|0)+49696>>2]<<2)>>2]=k[(k[u>>2]|0)+32>>2];k[(k[z>>2]|0)+((k[(k[m>>2]|0)+49696>>2]|0)+1<<2)>>2]=1;if((k[(k[n>>2]|0)+116>>2]|0)>1){P=+p[(k[w>>2]|0)+8>>3];R=+p[k[x>>2]>>3];S=+p[(k[x>>2]|0)+8>>3];T=+p[k[z>>2]>>3];U=+p[(k[z>>2]|0)+8>>3];p[l>>3]=+p[k[w>>2]>>3];p[l+8>>3]=P;p[l+16>>3]=R;p[l+24>>3]=S;p[l+32>>3]=T;p[l+40>>3]=U;mta(59238,l)|0}if(+p[k[z>>2]>>3]==+p[k[w>>2]>>3]?+p[(k[z>>2]|0)+8>>3]==+p[(k[w>>2]|0)+8>>3]:0)O=43;else O=41;if(((O|0)==41?(O=0,+p[k[z>>2]>>3]==+p[k[x>>2]>>3]):0)?+p[(k[z>>2]|0)+8>>3]==+p[(k[x>>2]|0)+8>>3]:0)O=43;if((O|0)==43){O=0;U=+p[(k[z>>2]|0)+8>>3];p[j>>3]=+p[k[z>>2]>>3];p[j+8>>3]=U;mta(60736,j)|0;mta(60785,i)|0;mta(60840,h)|0;mta(60890,g)|0;Tf();$d(1)}c=cf(k[m>>2]|0,k[n>>2]|0,k[z>>2]|0,q,u,1,k[o>>2]|0)|0;k[A>>2]=c;if((k[A>>2]|0)!=0&(k[A>>2]|0)!=1){mta(60920,f)|0;mta(59353,e)|0;ce()}if((k[(k[m>>2]|0)+49692>>2]|0)>0){c=(k[m>>2]|0)+49692|0;k[c>>2]=(k[c>>2]|0)+-1}c=We(k[m>>2]|0,k[n>>2]|0,u)|0;k[K>>2]=c;k[N>>2]=k[(k[u>>2]|0)+(1-(k[u+4>>2]|0)<<2)>>2];k[u+4>>2]=k[N>>2]&1;k[u>>2]=k[N>>2]&-4;c=We(k[m>>2]|0,k[n>>2]|0,u)|0;k[K>>2]=c}xe(k[m>>2]|0,k[v>>2]|0);c=ye(k[m>>2]|0)|0;k[v>>2]=c}}if((O|0)==50){r=d;return}}function Vf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=r;r=r+32|0;d=c+20|0;e=c+16|0;f=c+8|0;k[d>>2]=a;k[e>>2]=b;if(k[(k[e>>2]|0)+116>>2]|0)mta(60955,c)|0;me(k[d>>2]|0);k[f+4>>2]=0;b=se(k[d>>2]|0)|0;k[f>>2]=b;while(1){if(!(k[f>>2]|0))break;Xe(k[d>>2]|0,k[e>>2]|0,f);b=se(k[d>>2]|0)|0;k[f>>2]=b}r=c;return}function Wf(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0;d=r;r=r+256|0;e=d+200|0;f=d+192|0;g=d+184|0;h=d+176|0;i=d+128|0;j=d+120|0;l=d+104|0;m=d+88|0;n=d+72|0;o=d+24|0;q=d+248|0;s=d+244|0;t=d+240|0;u=d+232|0;v=d+228|0;w=d+224|0;x=d+220|0;y=d+216|0;z=d+8|0;A=d;B=d+212|0;C=d+208|0;D=d+204|0;k[q>>2]=a;k[s>>2]=b;k[t>>2]=c;k[u+4>>2]=k[k[t>>2]>>2]&3;k[u>>2]=k[k[t>>2]>>2]^k[u+4>>2];k[v>>2]=k[(k[u>>2]|0)+((k[27620+(k[u+4>>2]<<2)>>2]|0)+3<<2)>>2];k[w>>2]=k[(k[u>>2]|0)+((k[27632+(k[u+4>>2]<<2)>>2]|0)+3<<2)>>2];k[x>>2]=k[(k[u>>2]|0)+((k[u+4>>2]|0)+3<<2)>>2];if(!(k[(k[u>>2]|0)+4>>2]|0)){r=d;return}if((k[v>>2]|0)!=(k[(k[t>>2]|0)+16>>2]|0)){r=d;return}if((k[w>>2]|0)!=(k[(k[t>>2]|0)+20>>2]|0)){r=d;return}if((k[x>>2]|0)!=(k[(k[t>>2]|0)+24>>2]|0)){r=d;return}if((k[(k[s>>2]|0)+116>>2]|0)>1){mta(60990,d+16|0)|0;E=+p[(k[v>>2]|0)+8>>3];F=+p[k[w>>2]>>3];G=+p[(k[w>>2]|0)+8>>3];H=+p[k[x>>2]>>3];I=+p[(k[x>>2]|0)+8>>3];p[o>>3]=+p[k[v>>2]>>3];p[o+8>>3]=E;p[o+16>>3]=F;p[o+24>>3]=G;p[o+32>>3]=H;p[o+40>>3]=I;mta(57292,o)|0}k[C>>2]=0;o=ke((k[q>>2]|0)+112|0)|0;k[y>>2]=o;Oe(k[q>>2]|0,k[s>>2]|0,k[v>>2]|0,k[w>>2]|0,k[x>>2]|0,k[y>>2]|0,z,A,1);if(+p[k[y>>2]>>3]==+p[k[v>>2]>>3]?+p[(k[y>>2]|0)+8>>3]==+p[(k[v>>2]|0)+8>>3]:0)J=13;else J=9;do if((J|0)==9){if(+p[k[y>>2]>>3]==+p[k[w>>2]>>3]?+p[(k[y>>2]|0)+8>>3]==+p[(k[w>>2]|0)+8>>3]:0){J=13;break}if(+p[k[y>>2]>>3]==+p[k[x>>2]>>3]?+p[(k[y>>2]|0)+8>>3]==+p[(k[x>>2]|0)+8>>3]:0){J=13;break}k[D>>2]=2;while(1){if((k[D>>2]|0)>=(2+(k[(k[q>>2]|0)+49680>>2]|0)|0))break;p[(k[y>>2]|0)+(k[D>>2]<<3)>>3]=+p[(k[v>>2]|0)+(k[D>>2]<<3)>>3]+ +p[z>>3]*(+p[(k[w>>2]|0)+(k[D>>2]<<3)>>3]-+p[(k[v>>2]|0)+(k[D>>2]<<3)>>3])+ +p[A>>3]*(+p[(k[x>>2]|0)+(k[D>>2]<<3)>>3]-+p[(k[v>>2]|0)+(k[D>>2]<<3)>>3]);k[D>>2]=(k[D>>2]|0)+1}k[(k[y>>2]|0)+(k[(k[q>>2]|0)+49696>>2]<<2)>>2]=0;k[(k[y>>2]|0)+((k[(k[q>>2]|0)+49696>>2]|0)+1<<2)>>2]=2;if(+p[A>>3]<+p[z>>3])k[u+4>>2]=k[27632+(k[u+4>>2]<<2)>>2];o=cf(k[q>>2]|0,k[s>>2]|0,k[y>>2]|0,u,0,1,1)|0;k[B>>2]=o;if(!(k[B>>2]|0)){if((k[(k[q>>2]|0)+49692>>2]|0)<=0)break;o=(k[q>>2]|0)+49692|0;k[o>>2]=(k[o>>2]|0)+-1;break}if((k[B>>2]|0)==1){ff(k[q>>2]|0,k[s>>2]|0);if((k[(k[s>>2]|0)+116>>2]|0)>1){I=+p[(k[y>>2]|0)+8>>3];p[m>>3]=+p[k[y>>2]>>3];p[m+8>>3]=I;mta(61101,m)|0}ve(k[q>>2]|0,k[y>>2]|0);break}if((k[B>>2]|0)==2){ve(k[q>>2]|0,k[y>>2]|0);break}if(!(k[(k[s>>2]|0)+112>>2]|0)){I=+p[(k[y>>2]|0)+8>>3];p[l>>3]=+p[k[y>>2]>>3];p[l+8>>3]=I;mta(61038,l)|0;k[C>>2]=1}ve(k[q>>2]|0,k[y>>2]|0)}while(0);if((J|0)==13){if(!(k[(k[s>>2]|0)+112>>2]|0)){I=+p[(k[y>>2]|0)+8>>3];p[n>>3]=+p[k[y>>2]>>3];p[n+8>>3]=I;mta(61038,n)|0;k[C>>2]=1}ve(k[q>>2]|0,k[y>>2]|0)}if(!(k[C>>2]|0)){r=d;return}if(k[(k[s>>2]|0)+116>>2]|0){mta(61130,j)|0;I=+p[(k[v>>2]|0)+8>>3];H=+p[k[w>>2]>>3];G=+p[(k[w>>2]|0)+8>>3];F=+p[k[x>>2]>>3];E=+p[(k[x>>2]|0)+8>>3];p[i>>3]=+p[k[v>>2]>>3];p[i+8>>3]=I;p[i+16>>3]=H;p[i+24>>3]=G;p[i+32>>3]=F;p[i+40>>3]=E;mta(57292,i)|0}mta(61183,h)|0;mta(61241,g)|0;mta(61301,f)|0;mta(61357,e)|0;Tf();r=d;return}function Xf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0;c=r;r=r+96|0;d=c+72|0;e=c+64|0;f=c+56|0;g=c+48|0;h=c+40|0;i=c+32|0;j=c+24|0;l=c+16|0;m=c+88|0;n=c+84|0;o=c+80|0;q=c+76|0;k[m>>2]=a;k[n>>2]=b;if(!(k[(k[n>>2]|0)+112>>2]|0))mta(61398,c)|0;ie((k[m>>2]|0)+224|0,12,252,252,0);if(k[(k[n>>2]|0)+116>>2]|0)mta(61441,c+8|0)|0;Sf(k[m>>2]|0,k[n>>2]|0);if((k[(k[n>>2]|0)+116>>2]|0)!=0?(k[(k[m>>2]|0)+224+40>>2]|0)>0:0)mta(61480,l)|0;Uf(k[m>>2]|0,k[n>>2]|0,0);if(!(((!(+p[(k[n>>2]|0)+136>>3]>0.0)?(k[(k[n>>2]|0)+12>>2]|0)==0:0)?(k[(k[n>>2]|0)+16>>2]|0)==0:0)?(k[(k[n>>2]|0)+20>>2]|0)==0:0))s=12;a:do if((s|0)==12){ie((k[m>>2]|0)+280|0,32,4092,4092,0);k[q>>2]=0;while(1){if((k[q>>2]|0)>=4096)break;k[(k[m>>2]|0)+448+(k[q>>2]<<2)>>2]=0;k[q>>2]=(k[q>>2]|0)+1}k[(k[m>>2]|0)+49600>>2]=-1;Vf(k[m>>2]|0,k[n>>2]|0);ie((k[m>>2]|0)+336|0,8,252,252,0);k[(k[m>>2]|0)+49720>>2]=1;if(k[(k[n>>2]|0)+116>>2]|0)mta(61517,j)|0;while(1){if((k[(k[m>>2]|0)+280+40>>2]|0)<=0)break a;if(!(k[(k[m>>2]|0)+49692>>2]|0))break a;l=Ve(k[m>>2]|0)|0;k[o>>2]=l;Wf(k[m>>2]|0,k[n>>2]|0,k[o>>2]|0);l=k[m>>2]|0;if((k[(k[m>>2]|0)+224+40>>2]|0)>0){Te(l,k[n>>2]|0,k[o>>2]|0);Uf(k[m>>2]|0,k[n>>2]|0,1);continue}else{le(l+280|0,k[o>>2]|0);continue}}}while(0);if(k[(k[n>>2]|0)+112>>2]|0){r=c;return}if(!(k[(k[n>>2]|0)+88>>2]|0)){r=c;return}if((k[(k[m>>2]|0)+224+40>>2]|0)<=0){r=c;return}if(k[(k[m>>2]|0)+49692>>2]|0){r=c;return}mta(61545,i)|0;if((k[(k[m>>2]|0)+224+40>>2]|0)==1)mta(61603,h)|0;else{k[g>>2]=k[(k[m>>2]|0)+224+40>>2];mta(61666,g)|0}mta(61730,f)|0;mta(61790,e)|0;mta(61852,d)|0;r=c;return}function Yf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0.0;c=r;r=r+80|0;d=c+8|0;e=c+76|0;f=c+72|0;g=c+64|0;h=c+56|0;i=c+48|0;j=c+44|0;l=c+40|0;m=c+36|0;n=c+32|0;o=c+28|0;q=c+24|0;k[e>>2]=a;k[f>>2]=b;if(!(k[(k[f>>2]|0)+112>>2]|0))mta(61895,c)|0;k[(k[e>>2]|0)+112+12>>2]=0;me(k[e>>2]|0);b=se(k[e>>2]|0)|0;k[g>>2]=b;while(1){if(!(k[g>>2]|0))break;k[g+4>>2]=0;while(1){if((k[g+4>>2]|0)>=3)break;k[o>>2]=k[(k[g>>2]|0)+(k[g+4>>2]<<2)>>2];k[h+4>>2]=k[o>>2]&3;k[h>>2]=k[o>>2]^k[h+4>>2];if(!((k[g>>2]|0)>>>0>=(k[h>>2]|0)>>>0?(k[h>>2]|0)!=(k[(k[e>>2]|0)+49768>>2]|0):0)){k[l>>2]=k[(k[g>>2]|0)+((k[27620+(k[g+4>>2]<<2)>>2]|0)+3<<2)>>2];k[m>>2]=k[(k[g>>2]|0)+((k[27632+(k[g+4>>2]<<2)>>2]|0)+3<<2)>>2];b=ke((k[e>>2]|0)+112|0)|0;k[j>>2]=b;k[n>>2]=0;while(1){if((k[n>>2]|0)>=(2+(k[(k[e>>2]|0)+49680>>2]|0)|0))break;p[(k[j>>2]|0)+(k[n>>2]<<3)>>3]=(+p[(k[l>>2]|0)+(k[n>>2]<<3)>>3]+ +p[(k[m>>2]|0)+(k[n>>2]<<3)>>3])*.5;k[n>>2]=(k[n>>2]|0)+1}k[(k[j>>2]|0)+(k[(k[e>>2]|0)+49696>>2]<<2)>>2]=(k[h>>2]|0)==(k[(k[e>>2]|0)+49768>>2]|0)&1;k[(k[j>>2]|0)+((k[(k[e>>2]|0)+49696>>2]|0)+1<<2)>>2]=(k[h>>2]|0)==(k[(k[e>>2]|0)+49768>>2]|0)?2:1;if((k[(k[f>>2]|0)+120>>2]|0)!=0?(k[q>>2]=k[(k[g>>2]|0)+(6+(k[g+4>>2]|0)<<2)>>2],k[i+4>>2]=k[q>>2]&1,k[i>>2]=k[q>>2]&-4,(k[i>>2]|0)!=(k[(k[e>>2]|0)+49776>>2]|0)):0){k[(k[j>>2]|0)+(k[(k[e>>2]|0)+49696>>2]<<2)>>2]=k[(k[i>>2]|0)+32>>2];k[(k[j>>2]|0)+((k[(k[e>>2]|0)+49696>>2]|0)+1<<2)>>2]=1}if((k[(k[f>>2]|0)+116>>2]|0)>1){s=+p[(k[j>>2]|0)+8>>3];p[d>>3]=+p[k[j>>2]>>3];p[d+8>>3]=s;mta(61940,d)|0}k[(k[g>>2]|0)+((k[(k[e>>2]|0)+49704>>2]|0)+(k[g+4>>2]|0)<<2)>>2]=k[j>>2];if((k[h>>2]|0)!=(k[(k[e>>2]|0)+49768>>2]|0))k[(k[h>>2]|0)+((k[(k[e>>2]|0)+49704>>2]|0)+(k[h+4>>2]|0)<<2)>>2]=k[j>>2]}b=g+4|0;k[b>>2]=(k[b>>2]|0)+1}b=se(k[e>>2]|0)|0;k[g>>2]=b}r=c;return}function Zf(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0;h=r;r=r+80|0;i=h+64|0;j=h+60|0;l=h+56|0;m=h+52|0;n=h+48|0;o=h+44|0;q=h+40|0;s=h+36|0;t=h+8|0;u=h;v=h+32|0;w=h+28|0;x=h+24|0;y=h+20|0;k[i>>2]=a;k[j>>2]=b;k[l>>2]=c;k[m>>2]=d;k[n>>2]=e;k[o>>2]=f;k[q>>2]=g;k[(k[i>>2]|0)+49648>>2]=k[o>>2];k[(k[i>>2]|0)+49676>>2]=2;k[(k[i>>2]|0)+49680>>2]=k[q>>2];k[(k[i>>2]|0)+49724>>2]=0;if((k[(k[i>>2]|0)+49648>>2]|0)<3){mta(61968,h+16|0)|0;$d(1)}if(!(k[(k[i>>2]|0)+49680>>2]|0))k[(k[j>>2]|0)+32>>2]=0;pe(k[i>>2]|0,k[j>>2]|0);k[x>>2]=0;k[y>>2]=0;k[v>>2]=0;while(1){z=k[i>>2]|0;if((k[v>>2]|0)>=(k[(k[i>>2]|0)+49648>>2]|0))break;j=ke(z+112|0)|0;k[s>>2]=j;j=k[x>>2]|0;k[x>>2]=j+1;A=+p[(k[l>>2]|0)+(j<<3)>>3];p[k[s>>2]>>3]=A;p[t>>3]=A;j=k[x>>2]|0;k[x>>2]=j+1;A=+p[(k[l>>2]|0)+(j<<3)>>3];p[(k[s>>2]|0)+8>>3]=A;p[u>>3]=A;k[w>>2]=0;while(1){if((k[w>>2]|0)>=(k[q>>2]|0))break;j=k[y>>2]|0;k[y>>2]=j+1;p[(k[s>>2]|0)+(2+(k[w>>2]|0)<<3)>>3]=+p[(k[m>>2]|0)+(j<<3)>>3];k[w>>2]=(k[w>>2]|0)+1}if(k[n>>2]|0)k[(k[s>>2]|0)+(k[(k[i>>2]|0)+49696>>2]<<2)>>2]=k[(k[n>>2]|0)+(k[v>>2]<<2)>>2];else k[(k[s>>2]|0)+(k[(k[i>>2]|0)+49696>>2]<<2)>>2]=0;k[(k[s>>2]|0)+((k[(k[i>>2]|0)+49696>>2]|0)+1<<2)>>2]=0;A=+p[t>>3];j=k[i>>2]|0;if(!(k[v>>2]|0)){p[j+49616>>3]=A;p[(k[i>>2]|0)+49608>>3]=A;B=+p[u>>3];p[(k[i>>2]|0)+49632>>3]=B;p[(k[i>>2]|0)+49624>>3]=B}else{if(A<+p[j+49608>>3])C=+p[t>>3];else C=+p[(k[i>>2]|0)+49608>>3];p[(k[i>>2]|0)+49608>>3]=C;if(+p[t>>3]>+p[(k[i>>2]|0)+49616>>3])D=+p[t>>3];else D=+p[(k[i>>2]|0)+49616>>3];p[(k[i>>2]|0)+49616>>3]=D;if(+p[u>>3]<+p[(k[i>>2]|0)+49624>>3])E=+p[u>>3];else E=+p[(k[i>>2]|0)+49624>>3];p[(k[i>>2]|0)+49624>>3]=E;if(+p[u>>3]>+p[(k[i>>2]|0)+49632>>3])F=+p[u>>3];else F=+p[(k[i>>2]|0)+49632>>3];p[(k[i>>2]|0)+49632>>3]=F}k[v>>2]=(k[v>>2]|0)+1}p[(k[i>>2]|0)+49640>>3]=+p[z+49608>>3]*10.0-+p[(k[i>>2]|0)+49616>>3]*9.0;r=h;return}function _f(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0.0;f=r;r=r+64|0;g=f+56|0;h=f+52|0;i=f+48|0;j=f+44|0;l=f+40|0;m=f+36|0;n=f+32|0;o=f+28|0;q=f+24|0;s=f+20|0;t=f+16|0;u=f+12|0;v=f+8|0;w=f+4|0;k[g>>2]=a;k[h>>2]=b;k[i>>2]=c;k[j>>2]=d;k[l>>2]=e;e=k[(k[g>>2]|0)+112+40>>2]|0;if(k[(k[h>>2]|0)+36>>2]|0)k[u>>2]=e-(k[(k[g>>2]|0)+49668>>2]|0);else k[u>>2]=e;if(!(k[(k[h>>2]|0)+112>>2]|0))mta(62024,f)|0;if(!(k[k[i>>2]>>2]|0)){e=ae(k[u>>2]<<1<<3)|0;k[k[i>>2]>>2]=e}if((k[(k[g>>2]|0)+49680>>2]|0)>0?(k[k[j>>2]>>2]|0)==0:0){e=ae((ma(k[u>>2]|0,k[(k[g>>2]|0)+49680>>2]|0)|0)<<3)|0;k[k[j>>2]>>2]=e}if((k[(k[h>>2]|0)+60>>2]|0)==0?(k[k[l>>2]>>2]|0)==0:0){e=ae(k[u>>2]<<2)|0;k[k[l>>2]>>2]=e}k[m>>2]=k[k[i>>2]>>2];k[n>>2]=k[k[j>>2]>>2];k[o>>2]=k[k[l>>2]>>2];k[q>>2]=0;k[s>>2]=0;me((k[g>>2]|0)+112|0);k[v>>2]=k[(k[h>>2]|0)+40>>2];l=we(k[g>>2]|0)|0;k[t>>2]=l;while(1){if(!(k[t>>2]|0))break;if(!((k[(k[h>>2]|0)+36>>2]|0)!=0?(k[(k[t>>2]|0)+((k[(k[g>>2]|0)+49696>>2]|0)+1<<2)>>2]|0)==-32767:0)){x=+p[k[t>>2]>>3];l=k[q>>2]|0;k[q>>2]=l+1;p[(k[m>>2]|0)+(l<<3)>>3]=x;x=+p[(k[t>>2]|0)+8>>3];l=k[q>>2]|0;k[q>>2]=l+1;p[(k[m>>2]|0)+(l<<3)>>3]=x;k[w>>2]=0;while(1){if((k[w>>2]|0)>=(k[(k[g>>2]|0)+49680>>2]|0))break;x=+p[(k[t>>2]|0)+(2+(k[w>>2]|0)<<3)>>3];l=k[s>>2]|0;k[s>>2]=l+1;p[(k[n>>2]|0)+(l<<3)>>3]=x;k[w>>2]=(k[w>>2]|0)+1}if(!(k[(k[h>>2]|0)+60>>2]|0))k[(k[o>>2]|0)+((k[v>>2]|0)-(k[(k[h>>2]|0)+40>>2]|0)<<2)>>2]=k[(k[t>>2]|0)+(k[(k[g>>2]|0)+49696>>2]<<2)>>2];k[(k[t>>2]|0)+(k[(k[g>>2]|0)+49696>>2]<<2)>>2]=k[v>>2];k[v>>2]=(k[v>>2]|0)+1}l=we(k[g>>2]|0)|0;k[t>>2]=l}r=f;return}function $f(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;c=r;r=r+16|0;d=c+12|0;e=c+8|0;f=c+4|0;g=c;k[d>>2]=a;k[e>>2]=b;me((k[d>>2]|0)+112|0);k[g>>2]=k[(k[e>>2]|0)+40>>2];b=we(k[d>>2]|0)|0;k[f>>2]=b;while(1){if(!(k[f>>2]|0))break;k[(k[f>>2]|0)+(k[(k[d>>2]|0)+49696>>2]<<2)>>2]=k[g>>2];if(!((k[(k[e>>2]|0)+36>>2]|0)!=0?(k[(k[f>>2]|0)+((k[(k[d>>2]|0)+49696>>2]|0)+1<<2)>>2]|0)==-32767:0))k[g>>2]=(k[g>>2]|0)+1;b=we(k[d>>2]|0)|0;k[f>>2]=b}r=c;return}function ag(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0;e=r;r=r+80|0;f=e+76|0;g=e+72|0;h=e+68|0;i=e+64|0;j=e+60|0;l=e+56|0;m=e+52|0;n=e+48|0;o=e+40|0;q=e+32|0;s=e+28|0;t=e+24|0;u=e+20|0;v=e+16|0;w=e+12|0;x=e+8|0;y=e+4|0;k[f>>2]=a;k[g>>2]=b;k[h>>2]=c;k[i>>2]=d;if(!(k[(k[g>>2]|0)+112>>2]|0))mta(62043,e)|0;if(!(k[k[h>>2]>>2]|0)){d=ae((ma(k[(k[f>>2]|0)+40>>2]|0,(ma((k[(k[g>>2]|0)+124>>2]|0)+1|0,(k[(k[g>>2]|0)+124>>2]|0)+2|0)|0)/2|0)|0)<<2)|0;k[k[h>>2]>>2]=d}if((k[(k[f>>2]|0)+49684>>2]|0)>0?(k[k[i>>2]>>2]|0)==0:0){d=ae((ma(k[(k[f>>2]|0)+40>>2]|0,k[(k[f>>2]|0)+49684>>2]|0)|0)<<3)|0;k[k[i>>2]>>2]=d}k[j>>2]=k[k[h>>2]>>2];k[l>>2]=k[k[i>>2]>>2];k[m>>2]=0;k[n>>2]=0;me(k[f>>2]|0);i=se(k[f>>2]|0)|0;k[o>>2]=i;k[o+4>>2]=0;k[x>>2]=k[(k[g>>2]|0)+40>>2];while(1){if(!(k[o>>2]|0))break;k[q>>2]=k[(k[o>>2]|0)+((k[27620+(k[o+4>>2]<<2)>>2]|0)+3<<2)>>2];k[s>>2]=k[(k[o>>2]|0)+((k[27632+(k[o+4>>2]<<2)>>2]|0)+3<<2)>>2];k[t>>2]=k[(k[o>>2]|0)+((k[o+4>>2]|0)+3<<2)>>2];i=k[f>>2]|0;if((k[(k[g>>2]|0)+124>>2]|0)==1){h=k[(k[q>>2]|0)+(k[i+49696>>2]<<2)>>2]|0;d=k[m>>2]|0;k[m>>2]=d+1;k[(k[j>>2]|0)+(d<<2)>>2]=h;h=k[(k[s>>2]|0)+(k[(k[f>>2]|0)+49696>>2]<<2)>>2]|0;d=k[m>>2]|0;k[m>>2]=d+1;k[(k[j>>2]|0)+(d<<2)>>2]=h;h=k[(k[t>>2]|0)+(k[(k[f>>2]|0)+49696>>2]<<2)>>2]|0;d=k[m>>2]|0;k[m>>2]=d+1;k[(k[j>>2]|0)+(d<<2)>>2]=h}else{k[u>>2]=k[(k[o>>2]|0)+((k[i+49704>>2]|0)+1<<2)>>2];k[v>>2]=k[(k[o>>2]|0)+((k[(k[f>>2]|0)+49704>>2]|0)+2<<2)>>2];k[w>>2]=k[(k[o>>2]|0)+(k[(k[f>>2]|0)+49704>>2]<<2)>>2];i=k[(k[q>>2]|0)+(k[(k[f>>2]|0)+49696>>2]<<2)>>2]|0;h=k[m>>2]|0;k[m>>2]=h+1;k[(k[j>>2]|0)+(h<<2)>>2]=i;i=k[(k[s>>2]|0)+(k[(k[f>>2]|0)+49696>>2]<<2)>>2]|0;h=k[m>>2]|0;k[m>>2]=h+1;k[(k[j>>2]|0)+(h<<2)>>2]=i;i=k[(k[t>>2]|0)+(k[(k[f>>2]|0)+49696>>2]<<2)>>2]|0;h=k[m>>2]|0;k[m>>2]=h+1;k[(k[j>>2]|0)+(h<<2)>>2]=i;i=k[(k[u>>2]|0)+(k[(k[f>>2]|0)+49696>>2]<<2)>>2]|0;h=k[m>>2]|0;k[m>>2]=h+1;k[(k[j>>2]|0)+(h<<2)>>2]=i;i=k[(k[v>>2]|0)+(k[(k[f>>2]|0)+49696>>2]<<2)>>2]|0;h=k[m>>2]|0;k[m>>2]=h+1;k[(k[j>>2]|0)+(h<<2)>>2]=i;i=k[(k[w>>2]|0)+(k[(k[f>>2]|0)+49696>>2]<<2)>>2]|0;h=k[m>>2]|0;k[m>>2]=h+1;k[(k[j>>2]|0)+(h<<2)>>2]=i}k[y>>2]=0;while(1){z=k[f>>2]|0;if((k[y>>2]|0)>=(k[(k[f>>2]|0)+49684>>2]|0))break;A=+p[(k[o>>2]|0)+((k[z+49708>>2]|0)+(k[y>>2]|0)<<3)>>3];i=k[n>>2]|0;k[n>>2]=i+1;p[(k[l>>2]|0)+(i<<3)>>3]=A;k[y>>2]=(k[y>>2]|0)+1}i=se(z)|0;k[o>>2]=i;k[x>>2]=(k[x>>2]|0)+1}r=e;return}function bg(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;e=r;r=r+64|0;f=e+48|0;g=e+44|0;h=e+40|0;i=e+36|0;j=e+32|0;l=e+28|0;m=e+24|0;n=e+16|0;o=e+12|0;p=e+8|0;q=e+4|0;k[f>>2]=a;k[g>>2]=b;k[h>>2]=c;k[i>>2]=d;if(!(k[(k[g>>2]|0)+112>>2]|0))mta(62063,e)|0;if(!(k[k[h>>2]>>2]|0)){d=ae(k[(k[f>>2]|0)+56+40>>2]<<1<<2)|0;k[k[h>>2]>>2]=d}if((k[(k[g>>2]|0)+60>>2]|0)==0?(k[k[i>>2]>>2]|0)==0:0){d=ae(k[(k[f>>2]|0)+56+40>>2]<<2)|0;k[k[i>>2]>>2]=d}k[j>>2]=k[k[h>>2]>>2];k[l>>2]=k[k[i>>2]>>2];k[m>>2]=0;me((k[f>>2]|0)+56|0);i=ue(k[f>>2]|0)|0;k[n>>2]=i;k[n+4>>2]=0;k[q>>2]=k[(k[g>>2]|0)+40>>2];while(1){if(!(k[n>>2]|0))break;k[o>>2]=k[(k[n>>2]|0)+(2+(k[n+4>>2]|0)<<2)>>2];k[p>>2]=k[(k[n>>2]|0)+(3-(k[n+4>>2]|0)<<2)>>2];i=k[(k[o>>2]|0)+(k[(k[f>>2]|0)+49696>>2]<<2)>>2]|0;h=k[m>>2]|0;k[m>>2]=h+1;k[(k[j>>2]|0)+(h<<2)>>2]=i;i=k[(k[p>>2]|0)+(k[(k[f>>2]|0)+49696>>2]<<2)>>2]|0;h=k[m>>2]|0;k[m>>2]=h+1;k[(k[j>>2]|0)+(h<<2)>>2]=i;if(!(k[(k[g>>2]|0)+60>>2]|0))k[(k[l>>2]|0)+((k[q>>2]|0)-(k[(k[g>>2]|0)+40>>2]|0)<<2)>>2]=k[(k[n>>2]|0)+32>>2];i=ue(k[f>>2]|0)|0;k[n>>2]=i;k[q>>2]=(k[q>>2]|0)+1}r=e;return}function cg(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;e=r;r=r+80|0;f=e+72|0;g=e+68|0;h=e+64|0;i=e+60|0;j=e+56|0;l=e+52|0;m=e+48|0;n=e+40|0;o=e+32|0;p=e+24|0;q=e+20|0;s=e+16|0;t=e+12|0;u=e+8|0;v=e+4|0;k[f>>2]=a;k[g>>2]=b;k[h>>2]=c;k[i>>2]=d;if(!(k[(k[g>>2]|0)+112>>2]|0))mta(62082,e)|0;if(!(k[k[h>>2]>>2]|0)){d=ae(k[(k[f>>2]|0)+49672>>2]<<1<<2)|0;k[k[h>>2]>>2]=d}if((k[(k[g>>2]|0)+60>>2]|0)==0?(k[k[i>>2]>>2]|0)==0:0){d=ae(k[(k[f>>2]|0)+49672>>2]<<2)|0;k[k[i>>2]>>2]=d}k[j>>2]=k[k[h>>2]>>2];k[l>>2]=k[k[i>>2]>>2];k[m>>2]=0;me(k[f>>2]|0);i=se(k[f>>2]|0)|0;k[n>>2]=i;k[t>>2]=k[(k[g>>2]|0)+40>>2];while(1){if(!(k[n>>2]|0))break;k[n+4>>2]=0;while(1){if((k[n+4>>2]|0)>=3)break;k[u>>2]=k[(k[n>>2]|0)+(k[n+4>>2]<<2)>>2];k[o+4>>2]=k[u>>2]&3;k[o>>2]=k[u>>2]^k[o+4>>2];if(!((k[n>>2]|0)>>>0>=(k[o>>2]|0)>>>0?(k[o>>2]|0)!=(k[(k[f>>2]|0)+49768>>2]|0):0)){k[q>>2]=k[(k[n>>2]|0)+((k[27620+(k[n+4>>2]<<2)>>2]|0)+3<<2)>>2];k[s>>2]=k[(k[n>>2]|0)+((k[27632+(k[n+4>>2]<<2)>>2]|0)+3<<2)>>2];i=k[(k[q>>2]|0)+(k[(k[f>>2]|0)+49696>>2]<<2)>>2]|0;h=k[m>>2]|0;k[m>>2]=h+1;k[(k[j>>2]|0)+(h<<2)>>2]=i;i=k[(k[s>>2]|0)+(k[(k[f>>2]|0)+49696>>2]<<2)>>2]|0;h=k[m>>2]|0;k[m>>2]=h+1;k[(k[j>>2]|0)+(h<<2)>>2]=i;do if(!(k[(k[g>>2]|0)+60>>2]|0)){if(!(k[(k[g>>2]|0)+120>>2]|0)){k[(k[l>>2]|0)+((k[t>>2]|0)-(k[(k[g>>2]|0)+40>>2]|0)<<2)>>2]=(k[o>>2]|0)==(k[(k[f>>2]|0)+49768>>2]|0)&1;break}k[v>>2]=k[(k[n>>2]|0)+(6+(k[n+4>>2]|0)<<2)>>2];k[p+4>>2]=k[v>>2]&1;k[p>>2]=k[v>>2]&-4;if((k[p>>2]|0)==(k[(k[f>>2]|0)+49776>>2]|0)){k[(k[l>>2]|0)+((k[t>>2]|0)-(k[(k[g>>2]|0)+40>>2]|0)<<2)>>2]=0;break}else{k[(k[l>>2]|0)+((k[t>>2]|0)-(k[(k[g>>2]|0)+40>>2]|0)<<2)>>2]=k[(k[p>>2]|0)+32>>2];break}}while(0);k[t>>2]=(k[t>>2]|0)+1}i=n+4|0;k[i>>2]=(k[i>>2]|0)+1}i=se(k[f>>2]|0)|0;k[n>>2]=i}r=e;return}function dg(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0;i=r;r=r+160|0;j=i+40|0;l=i+148|0;m=i+144|0;n=i+140|0;o=i+136|0;q=i+132|0;s=i+128|0;t=i+124|0;u=i+120|0;v=i+116|0;w=i+112|0;x=i+108|0;y=i+104|0;z=i+100|0;A=i+96|0;B=i+88|0;C=i+80|0;D=i+76|0;E=i+72|0;F=i+68|0;G=i+16|0;H=i+8|0;I=i;J=i+64|0;K=i+60|0;L=i+56|0;M=i+52|0;N=i+48|0;O=i+44|0;k[l>>2]=a;k[m>>2]=b;k[n>>2]=c;k[o>>2]=d;k[q>>2]=e;k[s>>2]=f;k[t>>2]=g;k[u>>2]=h;if(!(k[(k[m>>2]|0)+112>>2]|0))mta(62098,i+32|0)|0;if(!(k[k[n>>2]>>2]|0)){h=ae(k[(k[l>>2]|0)+40>>2]<<1<<3)|0;k[k[n>>2]>>2]=h}if(!(k[k[o>>2]>>2]|0)){h=ae((ma(k[(k[l>>2]|0)+40>>2]|0,k[(k[l>>2]|0)+49680>>2]|0)|0)<<3)|0;k[k[o>>2]>>2]=h}k[k[q>>2]>>2]=0;k[v>>2]=k[k[n>>2]>>2];k[w>>2]=k[k[o>>2]>>2];k[z>>2]=0;k[A>>2]=0;me(k[l>>2]|0);o=se(k[l>>2]|0)|0;k[B>>2]=o;k[B+4>>2]=0;k[J>>2]=k[(k[m>>2]|0)+40>>2];while(1){if(!(k[B>>2]|0))break;k[D>>2]=k[(k[B>>2]|0)+((k[27620+(k[B+4>>2]<<2)>>2]|0)+3<<2)>>2];k[E>>2]=k[(k[B>>2]|0)+((k[27632+(k[B+4>>2]<<2)>>2]|0)+3<<2)>>2];k[F>>2]=k[(k[B>>2]|0)+((k[B+4>>2]|0)+3<<2)>>2];Oe(k[l>>2]|0,k[m>>2]|0,k[D>>2]|0,k[E>>2]|0,k[F>>2]|0,G,H,I,0);P=+p[G>>3];o=k[z>>2]|0;k[z>>2]=o+1;p[(k[v>>2]|0)+(o<<3)>>3]=P;P=+p[G+8>>3];o=k[z>>2]|0;k[z>>2]=o+1;p[(k[v>>2]|0)+(o<<3)>>3]=P;k[N>>2]=2;while(1){if((k[N>>2]|0)>=(2+(k[(k[l>>2]|0)+49680>>2]|0)|0))break;P=+p[(k[D>>2]|0)+(k[N>>2]<<3)>>3]+ +p[H>>3]*(+p[(k[E>>2]|0)+(k[N>>2]<<3)>>3]-+p[(k[D>>2]|0)+(k[N>>2]<<3)>>3])+ +p[I>>3]*(+p[(k[F>>2]|0)+(k[N>>2]<<3)>>3]-+p[(k[D>>2]|0)+(k[N>>2]<<3)>>3]);o=k[A>>2]|0;k[A>>2]=o+1;p[(k[w>>2]|0)+(o<<3)>>3]=P;k[N>>2]=(k[N>>2]|0)+1}k[(k[B>>2]|0)+24>>2]=k[J>>2];o=se(k[l>>2]|0)|0;k[B>>2]=o;k[J>>2]=(k[J>>2]|0)+1}if(!(k[(k[m>>2]|0)+112>>2]|0))mta(62125,j)|0;if(!(k[k[s>>2]>>2]|0)){j=ae(k[(k[l>>2]|0)+49672>>2]<<1<<2)|0;k[k[s>>2]>>2]=j}k[k[t>>2]>>2]=0;if(!(k[k[u>>2]>>2]|0)){t=ae(k[(k[l>>2]|0)+49672>>2]<<1<<3)|0;k[k[u>>2]>>2]=t}k[x>>2]=k[k[s>>2]>>2];k[y>>2]=k[k[u>>2]>>2];k[z>>2]=0;me(k[l>>2]|0);u=se(k[l>>2]|0)|0;k[B>>2]=u;k[K>>2]=k[(k[m>>2]|0)+40>>2];while(1){if(!(k[B>>2]|0))break;k[B+4>>2]=0;while(1){if((k[B+4>>2]|0)>=3)break;k[O>>2]=k[(k[B>>2]|0)+(k[B+4>>2]<<2)>>2];k[C+4>>2]=k[O>>2]&3;k[C>>2]=k[O>>2]^k[C+4>>2];if(!((k[B>>2]|0)>>>0>=(k[C>>2]|0)>>>0?(k[C>>2]|0)!=(k[(k[l>>2]|0)+49768>>2]|0):0)){k[L>>2]=k[(k[B>>2]|0)+24>>2];if((k[C>>2]|0)==(k[(k[l>>2]|0)+49768>>2]|0)){k[D>>2]=k[(k[B>>2]|0)+((k[27620+(k[B+4>>2]<<2)>>2]|0)+3<<2)>>2];k[E>>2]=k[(k[B>>2]|0)+((k[27632+(k[B+4>>2]<<2)>>2]|0)+3<<2)>>2];k[(k[x>>2]|0)+(k[z>>2]<<2)>>2]=k[L>>2];P=+p[(k[E>>2]|0)+8>>3]-+p[(k[D>>2]|0)+8>>3];m=k[z>>2]|0;k[z>>2]=m+1;p[(k[y>>2]|0)+(m<<3)>>3]=P;k[(k[x>>2]|0)+(k[z>>2]<<2)>>2]=-1;P=+p[k[D>>2]>>3]-+p[k[E>>2]>>3];m=k[z>>2]|0;k[z>>2]=m+1;p[(k[y>>2]|0)+(m<<3)>>3]=P}else{k[M>>2]=k[(k[C>>2]|0)+24>>2];k[(k[x>>2]|0)+(k[z>>2]<<2)>>2]=k[L>>2];m=k[z>>2]|0;k[z>>2]=m+1;p[(k[y>>2]|0)+(m<<3)>>3]=0.0;k[(k[x>>2]|0)+(k[z>>2]<<2)>>2]=k[M>>2];m=k[z>>2]|0;k[z>>2]=m+1;p[(k[y>>2]|0)+(m<<3)>>3]=0.0}k[K>>2]=(k[K>>2]|0)+1}m=B+4|0;k[m>>2]=(k[m>>2]|0)+1}m=se(k[l>>2]|0)|0;k[B>>2]=m}r=i;return}function eg(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;d=r;r=r+64|0;e=d+56|0;f=d+52|0;g=d+48|0;h=d+44|0;i=d+40|0;j=d+32|0;l=d+24|0;m=d+20|0;n=d+16|0;o=d+12|0;p=d+8|0;q=d+4|0;k[e>>2]=a;k[f>>2]=b;k[g>>2]=c;if(!(k[(k[f>>2]|0)+112>>2]|0))mta(62149,d)|0;if(!(k[k[g>>2]>>2]|0)){c=ae((k[(k[e>>2]|0)+40>>2]|0)*3<<2)|0;k[k[g>>2]>>2]=c}k[h>>2]=k[k[g>>2]>>2];k[i>>2]=0;me(k[e>>2]|0);g=se(k[e>>2]|0)|0;k[j>>2]=g;k[j+4>>2]=0;k[m>>2]=k[(k[f>>2]|0)+40>>2];while(1){if(!(k[j>>2]|0))break;k[(k[j>>2]|0)+24>>2]=k[m>>2];g=se(k[e>>2]|0)|0;k[j>>2]=g;k[m>>2]=(k[m>>2]|0)+1}k[(k[(k[e>>2]|0)+49768>>2]|0)+24>>2]=-1;me(k[e>>2]|0);g=se(k[e>>2]|0)|0;k[j>>2]=g;k[m>>2]=k[(k[f>>2]|0)+40>>2];while(1){if(!(k[j>>2]|0))break;k[j+4>>2]=1;k[q>>2]=k[(k[j>>2]|0)+(k[j+4>>2]<<2)>>2];k[l+4>>2]=k[q>>2]&3;k[l>>2]=k[q>>2]^k[l+4>>2];k[n>>2]=k[(k[l>>2]|0)+24>>2];k[j+4>>2]=2;k[q>>2]=k[(k[j>>2]|0)+(k[j+4>>2]<<2)>>2];k[l+4>>2]=k[q>>2]&3;k[l>>2]=k[q>>2]^k[l+4>>2];k[o>>2]=k[(k[l>>2]|0)+24>>2];k[j+4>>2]=0;k[q>>2]=k[(k[j>>2]|0)+(k[j+4>>2]<<2)>>2];k[l+4>>2]=k[q>>2]&3;k[l>>2]=k[q>>2]^k[l+4>>2];k[p>>2]=k[(k[l>>2]|0)+24>>2];f=k[n>>2]|0;g=k[i>>2]|0;k[i>>2]=g+1;k[(k[h>>2]|0)+(g<<2)>>2]=f;f=k[o>>2]|0;g=k[i>>2]|0;k[i>>2]=g+1;k[(k[h>>2]|0)+(g<<2)>>2]=f;f=k[p>>2]|0;g=k[i>>2]|0;k[i>>2]=g+1;k[(k[h>>2]|0)+(g<<2)>>2]=f;f=se(k[e>>2]|0)|0;k[j>>2]=f;k[m>>2]=(k[m>>2]|0)+1}r=d;return}function fg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0.0,$=0,ba=0.0,da=0.0;c=r;r=r+848|0;d=c+640|0;e=c+616|0;f=c+608|0;g=c+592|0;h=c+584|0;i=c+544|0;j=c+496|0;l=c+456|0;m=c+448|0;n=c+432|0;o=c+416|0;q=c+400|0;s=c+836|0;t=c+832|0;u=c+824|0;v=c+808|0;w=c+328|0;x=c+200|0;y=c+176|0;z=c+152|0;A=c+128|0;B=c+120|0;C=c+112|0;D=c+104|0;E=c+96|0;F=c+88|0;G=c+80|0;H=c+72|0;I=c+64|0;J=c+56|0;K=c+48|0;L=c+40|0;M=c+32|0;N=c+24|0;O=c+16|0;P=c+8|0;Q=c;R=c+736|0;S=c+672|0;T=c+668|0;U=c+664|0;V=c+660|0;W=c+656|0;X=c+652|0;Y=c+648|0;Z=c+644|0;k[s>>2]=a;k[t>>2]=b;mta(62169,c+392|0)|0;p[P>>3]=.17453292519943295;p[Q>>3]=57.29577951308232;k[W>>2]=0;while(1){if((k[W>>2]|0)>=8)break;_=+ca(+(+p[P>>3]*+((k[W>>2]|0)+1|0)));p[w+(k[W>>2]<<3)>>3]=_;p[w+(k[W>>2]<<3)>>3]=+p[w+(k[W>>2]<<3)>>3]*+p[w+(k[W>>2]<<3)>>3];k[W>>2]=(k[W>>2]|0)+1}k[W>>2]=0;while(1){if((k[W>>2]|0)>=18)break;k[R+(k[W>>2]<<2)>>2]=0;k[W>>2]=(k[W>>2]|0)+1}p[x>>3]=1.5;p[x+8>>3]=2.0;p[x+16>>3]=2.5;p[x+24>>3]=3.0;p[x+32>>3]=4.0;p[x+40>>3]=6.0;p[x+48>>3]=10.0;p[x+56>>3]=15.0;p[x+64>>3]=25.0;p[x+72>>3]=50.0;p[x+80>>3]=100.0;p[x+88>>3]=300.0;p[x+96>>3]=1.0e3;p[x+104>>3]=1.0e4;p[x+112>>3]=1.0e5;p[x+120>>3]=0.0;k[W>>2]=0;while(1){if((k[W>>2]|0)>=16)break;k[S+(k[W>>2]<<2)>>2]=0;k[W>>2]=(k[W>>2]|0)+1}p[M>>3]=0.0;p[K>>3]=+p[(k[s>>2]|0)+49616>>3]-+p[(k[s>>2]|0)+49608>>3]+ +p[(k[s>>2]|0)+49632>>3]-+p[(k[s>>2]|0)+49624>>3];p[K>>3]=+p[K>>3]*+p[K>>3];p[E>>3]=+p[K>>3];p[F>>3]=0.0;p[H>>3]=+p[K>>3];p[I>>3]=0.0;p[M>>3]=0.0;p[N>>3]=0.0;p[O>>3]=2.0;k[V>>2]=1;me(k[s>>2]|0);P=se(k[s>>2]|0)|0;k[u>>2]=P;k[u+4>>2]=0;while(1){if(!(k[u>>2]|0))break;k[v>>2]=k[(k[u>>2]|0)+((k[27620+(k[u+4>>2]<<2)>>2]|0)+3<<2)>>2];k[v+4>>2]=k[(k[u>>2]|0)+((k[27632+(k[u+4>>2]<<2)>>2]|0)+3<<2)>>2];k[v+8>>2]=k[(k[u>>2]|0)+((k[u+4>>2]|0)+3<<2)>>2];p[G>>3]=0.0;k[W>>2]=0;while(1){if((k[W>>2]|0)>=3)break;k[Y>>2]=k[27620+(k[W>>2]<<2)>>2];k[Z>>2]=k[27632+(k[W>>2]<<2)>>2];p[y+(k[W>>2]<<3)>>3]=+p[k[v+(k[Y>>2]<<2)>>2]>>3]-+p[k[v+(k[Z>>2]<<2)>>2]>>3];p[z+(k[W>>2]<<3)>>3]=+p[(k[v+(k[Y>>2]<<2)>>2]|0)+8>>3]-+p[(k[v+(k[Z>>2]<<2)>>2]|0)+8>>3];p[A+(k[W>>2]<<3)>>3]=+p[y+(k[W>>2]<<3)>>3]*+p[y+(k[W>>2]<<3)>>3]+ +p[z+(k[W>>2]<<3)>>3]*+p[z+(k[W>>2]<<3)>>3];if(+p[A+(k[W>>2]<<3)>>3]>+p[G>>3])p[G>>3]=+p[A+(k[W>>2]<<3)>>3];if(+p[A+(k[W>>2]<<3)>>3]>+p[F>>3])p[F>>3]=+p[A+(k[W>>2]<<3)>>3];if(+p[A+(k[W>>2]<<3)>>3]<+p[E>>3])p[E>>3]=+p[A+(k[W>>2]<<3)>>3];k[W>>2]=(k[W>>2]|0)+1}_=+Ie(k[s>>2]|0,k[t>>2]|0,k[v>>2]|0,k[v+4>>2]|0,k[v+8>>2]|0);p[D>>3]=_;if(+p[D>>3]<+p[H>>3])p[H>>3]=+p[D>>3];if(+p[D>>3]>+p[I>>3])p[I>>3]=+p[D>>3];p[J>>3]=+p[D>>3]*+p[D>>3]/+p[G>>3];if(+p[J>>3]<+p[K>>3])p[K>>3]=+p[J>>3];p[L>>3]=+p[G>>3]/+p[J>>3];if(+p[L>>3]>+p[M>>3])p[M>>3]=+p[L>>3];k[T>>2]=0;while(1){$=k[T>>2]|0;if(!(+p[L>>3]>+p[x+(k[T>>2]<<3)>>3]*+p[x+(k[T>>2]<<3)>>3]?(k[T>>2]|0)<15:0))break;k[T>>2]=$+1}P=S+($<<2)|0;k[P>>2]=(k[P>>2]|0)+1;k[W>>2]=0;while(1){if((k[W>>2]|0)>=3)break;k[Y>>2]=k[27620+(k[W>>2]<<2)>>2];k[Z>>2]=k[27632+(k[W>>2]<<2)>>2];p[B>>3]=+p[y+(k[Y>>2]<<3)>>3]*+p[y+(k[Z>>2]<<3)>>3]+ +p[z+(k[Y>>2]<<3)>>3]*+p[z+(k[Z>>2]<<3)>>3];p[C>>3]=+p[B>>3]*+p[B>>3]/(+p[A+(k[Y>>2]<<3)>>3]*+p[A+(k[Z>>2]<<3)>>3]);k[U>>2]=8;k[X>>2]=7;while(1){if((k[X>>2]|0)<0)break;if(+p[C>>3]>+p[w+(k[X>>2]<<3)>>3])k[U>>2]=k[X>>2];k[X>>2]=(k[X>>2]|0)+-1}P=k[U>>2]|0;do if(+p[B>>3]<=0.0){b=R+(P<<2)|0;k[b>>2]=(k[b>>2]|0)+1;if(+p[C>>3]>+p[N>>3])p[N>>3]=+p[C>>3];if((k[V>>2]|0)!=0?+p[C>>3]<+p[O>>3]:0)p[O>>3]=+p[C>>3]}else{b=R+(17-P<<2)|0;k[b>>2]=(k[b>>2]|0)+1;if((k[V>>2]|0)==0?!(+p[C>>3]>+p[O>>3]):0)break;p[O>>3]=+p[C>>3];k[V>>2]=0}while(0);k[W>>2]=(k[W>>2]|0)+1}P=se(k[s>>2]|0)|0;k[u>>2]=P}_=+aa(+(+p[E>>3]));p[E>>3]=_;_=+aa(+(+p[F>>3]));p[F>>3]=_;_=+aa(+(+p[K>>3]));p[K>>3]=_;_=+aa(+(+p[M>>3]));p[M>>3]=_;p[H>>3]=+p[H>>3]*.5;p[I>>3]=+p[I>>3]*.5;if(+p[N>>3]>=1.0)p[N>>3]=0.0;else{_=+p[Q>>3]*+fa(+(+aa(+(+p[N>>3]))));p[N>>3]=_}do if(!(+p[O>>3]>=1.0)){_=+p[Q>>3]*+fa(+(+aa(+(+p[O>>3]))));if(k[V>>2]|0){p[O>>3]=_;break}else{p[O>>3]=180.0-_;break}}else p[O>>3]=180.0;while(0);_=+p[I>>3];p[q>>3]=+p[H>>3];p[q+8>>3]=_;mta(62196,q)|0;_=+p[F>>3];p[o>>3]=+p[E>>3];p[o+8>>3]=_;mta(62247,o)|0;_=+p[M>>3];p[n>>3]=+p[K>>3];p[n+8>>3]=_;mta(62298,n)|0;mta(62361,m)|0;m=k[S>>2]|0;_=+p[x+56>>3];ba=+p[x+64>>3];n=k[S+32>>2]|0;p[l>>3]=+p[x>>3];k[l+8>>2]=m;p[l+16>>3]=_;p[l+24>>3]=ba;k[l+32>>2]=n;mta(62397,l)|0;k[W>>2]=1;while(1){if((k[W>>2]|0)>=7)break;ba=+p[x+(k[W>>2]<<3)>>3];l=k[S+(k[W>>2]<<2)>>2]|0;_=+p[x+((k[W>>2]|0)+7<<3)>>3];da=+p[x+((k[W>>2]|0)+8<<3)>>3];n=k[S+((k[W>>2]|0)+8<<2)>>2]|0;p[j>>3]=+p[x+((k[W>>2]|0)-1<<3)>>3];p[j+8>>3]=ba;k[j+16>>2]=l;p[j+24>>3]=_;p[j+32>>3]=da;k[j+40>>2]=n;mta(62457,j)|0;k[W>>2]=(k[W>>2]|0)+1}da=+p[x+56>>3];j=k[S+28>>2]|0;_=+p[x+112>>3];n=k[S+60>>2]|0;p[i>>3]=+p[x+48>>3];p[i+8>>3]=da;k[i+16>>2]=j;p[i+24>>3]=_;k[i+32>>2]=n;mta(62516,i)|0;mta(62575,h)|0;_=+p[O>>3];p[g>>3]=+p[N>>3];p[g+8>>3]=_;mta(62639,g)|0;mta(62693,f)|0;k[W>>2]=0;while(1){if((k[W>>2]|0)>=9)break;f=((k[W>>2]|0)*10|0)+10|0;g=k[R+(k[W>>2]<<2)>>2]|0;N=((k[W>>2]|0)*10|0)+90|0;O=((k[W>>2]|0)*10|0)+100|0;h=k[R+((k[W>>2]|0)+9<<2)>>2]|0;k[e>>2]=(k[W>>2]|0)*10;k[e+4>>2]=f;k[e+8>>2]=g;k[e+12>>2]=N;k[e+16>>2]=O;k[e+20>>2]=h;mta(62713,e)|0;k[W>>2]=(k[W>>2]|0)+1}mta(149177,d)|0;r=c;return}function gg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;c=r;r=r+256|0;d=c+232|0;e=c+224|0;f=c+216|0;g=c+208|0;h=c+200|0;i=c+192|0;j=c+184|0;l=c+176|0;m=c+168|0;n=c+160|0;o=c+152|0;p=c+144|0;q=c+136|0;s=c+128|0;t=c+120|0;u=c+112|0;v=c+104|0;w=c+96|0;x=c+88|0;y=c+80|0;z=c+72|0;A=c+64|0;B=c+56|0;C=c+48|0;D=c+40|0;E=c+32|0;F=c+24|0;G=c+16|0;H=c+8|0;I=c+240|0;J=c+236|0;k[I>>2]=a;k[J>>2]=b;mta(62774,c)|0;k[H>>2]=k[(k[I>>2]|0)+49648>>2];mta(62789,H)|0;if(k[(k[J>>2]|0)+4>>2]|0){k[G>>2]=k[(k[I>>2]|0)+49652>>2];mta(62811,G)|0}if((k[k[J>>2]>>2]|0)!=0?(k[F>>2]=k[(k[I>>2]|0)+49656>>2],mta(62834,F)|0,(k[(k[J>>2]|0)+4>>2]|0)==0):0){k[E>>2]=k[(k[I>>2]|0)+49660>>2];mta(62856,E)|0}k[D>>2]=(k[(k[I>>2]|0)+112+40>>2]|0)-(k[(k[I>>2]|0)+49668>>2]|0);mta(62875,D)|0;k[C>>2]=k[(k[I>>2]|0)+40>>2];mta(62898,C)|0;k[B>>2]=k[(k[I>>2]|0)+49672>>2];mta(62921,B)|0;k[A>>2]=k[(k[I>>2]|0)+49688>>2];mta(62940,A)|0;if(!((k[k[J>>2]>>2]|0)==0?(k[(k[J>>2]|0)+4>>2]|0)==0:0)){k[z>>2]=(k[(k[I>>2]|0)+56+40>>2]|0)-(k[(k[I>>2]|0)+49688>>2]|0);mta(62977,z)|0;k[y>>2]=k[(k[I>>2]|0)+56+40>>2];mta(63014,y)|0}mta(149177,x)|0;if(!(k[(k[J>>2]|0)+116>>2]|0)){r=c;return}fg(k[I>>2]|0,k[J>>2]|0);mta(63059,w)|0;k[v>>2]=k[(k[I>>2]|0)+112+44>>2];mta(63091,v)|0;k[u>>2]=k[(k[I>>2]|0)+44>>2];mta(63126,u)|0;if((k[(k[I>>2]|0)+56+44>>2]|0)>0){k[t>>2]=k[(k[I>>2]|0)+56+44>>2];mta(63162,t)|0}if((k[(k[I>>2]|0)+168+44>>2]|0)>0){k[s>>2]=k[(k[I>>2]|0)+168+44>>2];mta(63200,s)|0}if((k[(k[I>>2]|0)+224+44>>2]|0)>0){k[q>>2]=k[(k[I>>2]|0)+224+44>>2];mta(63231,q)|0}if((k[(k[I>>2]|0)+280+44>>2]|0)>0){k[p>>2]=k[(k[I>>2]|0)+280+44>>2];mta(63280,p)|0}if((k[(k[I>>2]|0)+336+44>>2]|0)>0){k[o>>2]=k[(k[I>>2]|0)+336+44>>2];mta(63320,o)|0}if((k[(k[I>>2]|0)+392+44>>2]|0)>0){k[n>>2]=k[(k[I>>2]|0)+392+44>>2];mta(63369,n)|0}n=ma(k[(k[I>>2]|0)+112+44>>2]|0,k[(k[I>>2]|0)+112+28>>2]|0)|0;o=n+(ma(k[(k[I>>2]|0)+44>>2]|0,k[(k[I>>2]|0)+28>>2]|0)|0)|0;n=o+(ma(k[(k[I>>2]|0)+56+44>>2]|0,k[(k[I>>2]|0)+56+28>>2]|0)|0)|0;o=n+(ma(k[(k[I>>2]|0)+168+44>>2]|0,k[(k[I>>2]|0)+168+28>>2]|0)|0)|0;n=o+(ma(k[(k[I>>2]|0)+224+44>>2]|0,k[(k[I>>2]|0)+224+28>>2]|0)|0)|0;o=n+(ma(k[(k[I>>2]|0)+280+44>>2]|0,k[(k[I>>2]|0)+280+28>>2]|0)|0)|0;n=o+(ma(k[(k[I>>2]|0)+336+44>>2]|0,k[(k[I>>2]|0)+336+28>>2]|0)|0)|0;o=n+(ma(k[(k[I>>2]|0)+392+44>>2]|0,k[(k[I>>2]|0)+392+28>>2]|0)|0)|0;k[m>>2]=o;mta(63412,m)|0;mta(63457,l)|0;l=k[I>>2]|0;if(k[(k[J>>2]|0)+32>>2]|0){k[i>>2]=k[l+49740>>2];mta(63516,i)|0}else{k[j>>2]=k[l+49732>>2];mta(63483,j)|0}k[h>>2]=k[(k[I>>2]|0)+49736>>2];mta(63555,h)|0;if((k[(k[I>>2]|0)+49744>>2]|0)>0){k[g>>2]=k[(k[I>>2]|0)+49744>>2];mta(63594,g)|0}if((k[(k[I>>2]|0)+49752>>2]|0)>0){k[f>>2]=k[(k[I>>2]|0)+49752>>2];mta(63637,f)|0}if((k[(k[I>>2]|0)+49748>>2]|0)>0){k[e>>2]=k[(k[I>>2]|0)+49748>>2];mta(63679,e)|0}mta(149177,d)|0;r=c;return}function hg(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;e=r;r=r+50016|0;f=e+49984|0;g=e+49976|0;h=e+49968|0;i=e+49960|0;j=e+50008|0;l=e+50004|0;m=e+5e4|0;n=e+49996|0;o=e+168|0;p=e;q=e+49992|0;s=e+49988|0;k[j>>2]=a;k[l>>2]=b;k[m>>2]=c;k[n>>2]=d;Pe(o);de(1,j,p);k[o+49692>>2]=k[p+132>>2];Zf(o,p,k[k[l>>2]>>2]|0,k[(k[l>>2]|0)+4>>2]|0,k[(k[l>>2]|0)+8>>2]|0,k[(k[l>>2]|0)+12>>2]|0,k[(k[l>>2]|0)+16>>2]|0);if(k[p+4>>2]|0){j=Ef(o,p,k[(k[l>>2]|0)+20>>2]|0,k[(k[l>>2]|0)+24>>2]|0,k[(k[l>>2]|0)+28>>2]|0,k[(k[l>>2]|0)+36>>2]|0,k[(k[l>>2]|0)+40>>2]|0,k[(k[l>>2]|0)+44>>2]|0,k[(k[l>>2]|0)+48>>2]|0,k[(k[l>>2]|0)+52>>2]|0,k[(k[l>>2]|0)+56>>2]|0)|0;k[o+49688>>2]=j}else{j=Df(o,p)|0;k[o+49688>>2]=j}k[o+49756>>2]=0;k[o+49760>>2]=0;k[o+49764>>2]=0;if((k[p+120>>2]|0)!=0?(k[o+49716>>2]=1,(k[p+4>>2]|0)==0):0)Nf(o,p,k[(k[l>>2]|0)+48>>2]|0,k[(k[l>>2]|0)+52>>2]|0,k[(k[l>>2]|0)+56>>2]|0);if((k[p>>2]|0)!=0?(k[o+40>>2]|0)>0:0){k[q>>2]=k[(k[l>>2]|0)+60>>2];k[o+49660>>2]=k[(k[l>>2]|0)+64>>2];k[s>>2]=k[(k[l>>2]|0)+68>>2];k[o+49664>>2]=k[(k[l>>2]|0)+72>>2];if(!(k[p+4>>2]|0))Rf(o,p,k[q>>2]|0,k[o+49660>>2]|0,k[s>>2]|0,k[o+49664>>2]|0)}else{k[o+49660>>2]=0;k[o+49664>>2]=0}if((k[p+8>>2]|0)!=0?(k[o+40>>2]|0)>0:0)Xf(o,p);k[o+49672>>2]=(((k[o+40>>2]|0)*3|0)+(k[o+49688>>2]|0)|0)/2|0;if((k[p+124>>2]|0)>1)Yf(o,p);if(!(k[p+112>>2]|0))mta(149177,i)|0;i=k[o+112+40>>2]|0;if(k[p+36>>2]|0)k[(k[m>>2]|0)+12>>2]=i-(k[o+49668>>2]|0);else k[(k[m>>2]|0)+12>>2]=i;k[(k[m>>2]|0)+16>>2]=k[o+49680>>2];k[(k[m>>2]|0)+36>>2]=k[o+40>>2];i=(ma((k[p+124>>2]|0)+1|0,(k[p+124>>2]|0)+2|0)|0)/2|0;k[(k[m>>2]|0)+40>>2]=i;k[(k[m>>2]|0)+44>>2]=k[o+49684>>2];k[(k[m>>2]|0)+88>>2]=k[o+49672>>2];if(k[p+120>>2]|0)k[(k[m>>2]|0)+56>>2]=k[o+56+40>>2];else k[(k[m>>2]|0)+56>>2]=k[o+49688>>2];if(k[n>>2]|0){k[(k[n>>2]|0)+12>>2]=k[o+40>>2];k[(k[n>>2]|0)+16>>2]=k[o+49680>>2];k[(k[n>>2]|0)+88>>2]=k[o+49672>>2]}do if(k[p+68>>2]|0)t=30;else{if((k[p+76>>2]|0)!=0?(k[o+49724>>2]|0)!=0:0){t=30;break}_f(o,p,k[m>>2]|0,(k[m>>2]|0)+4|0,(k[m>>2]|0)+8|0)}while(0);if((t|0)==30){if(!(k[p+112>>2]|0))mta(63732,h)|0;$f(o,p)}if(k[p+72>>2]|0){if(!(k[p+112>>2]|0))mta(63755,g)|0}else ag(o,p,(k[m>>2]|0)+20|0,(k[m>>2]|0)+24|0);if(!((k[p>>2]|0)==0?(k[p+28>>2]|0)==0:0))t=40;do if((t|0)==40){if((k[p+64>>2]|0)==0?(k[p+76>>2]|0)==0:0){bg(o,p,(k[m>>2]|0)+48|0,(k[m>>2]|0)+52|0);k[(k[m>>2]|0)+64>>2]=k[o+49660>>2];k[(k[m>>2]|0)+72>>2]=k[o+49664>>2];if(k[p>>2]|0){k[(k[m>>2]|0)+60>>2]=k[(k[l>>2]|0)+60>>2];k[(k[m>>2]|0)+68>>2]=k[(k[l>>2]|0)+68>>2];break}else{k[(k[m>>2]|0)+60>>2]=0;k[(k[m>>2]|0)+68>>2]=0;break}}if(!(k[p+112>>2]|0))mta(63779,f)|0}while(0);if(k[p+44>>2]|0)cg(o,p,(k[m>>2]|0)+76|0,(k[m>>2]|0)+80|0);if(k[p+48>>2]|0)dg(o,p,k[n>>2]|0,(k[n>>2]|0)+4|0,(k[n>>2]|0)+8|0,(k[n>>2]|0)+76|0,(k[n>>2]|0)+80|0,(k[n>>2]|0)+84|0);if(k[p+52>>2]|0)eg(o,p,(k[m>>2]|0)+32|0);if(!(k[p+112>>2]|0))gg(o,p);if(!(k[p+108>>2]|0)){Ae(o,p);r=e;return}Re(o,p);Se(o,p);Ae(o,p);r=e;return}function ig(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;if(!((a|0)!=0&(c|0)!=0))return;f=ma(e,d)|0;e=Rqa(f>>>0>536870911?-1:f<<3)|0;if((f|0)>0){g=0;do{p[e+(g<<3)>>3]=+(k[c+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(f|0))}k[a>>2]=e;k[b>>2]=d;return}function jg(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if(!((a|0)!=0&(d|0)!=0))return;g=ma(f,e)|0;h=Rqa(g>>>0>536870911?-1:g<<3)|0;if((g|0)>0){i=0;do{p[h+(i<<3)>>3]=+(k[d+(i<<2)>>2]|0);i=i+1|0}while((i|0)!=(g|0))}k[a>>2]=h;k[b>>2]=e;k[c>>2]=f;return}function kg(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;if(!((a|0)!=0&(d|0)!=0))return;g=ma(f,e)|0;h=Rqa(g>>>0>536870911?-1:g<<3)|0;if((g|0)>0)TEa(h|0,d|0,g<<3|0)|0;k[a>>2]=h;if(b)k[b>>2]=e;if(!c)return;k[c>>2]=f;return}function lg(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;if(!((a|0)!=0&(c|0)!=0))return;e=Rqa(d>>>0>536870911?-1:d<<3)|0;if((d|0)>0)TEa(e|0,c|0,d<<3|0)|0;k[a>>2]=e;k[b>>2]=d;return}function mg(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;if(!((a|0)!=0&(c|0)!=0))return;e=Rqa(d>>>0>536870911?-1:d<<3)|0;if((d|0)>0){f=0;do{p[e+(f<<3)>>3]=+(k[c+(f<<2)>>2]|0);f=f+1|0}while((f|0)!=(d|0))}k[a>>2]=e;k[b>>2]=d;return}function ng(a,b){a=a|0;b=+b;p[a>>3]=b;return}function og(a,b){a=a|0;b=b|0;return}function pg(a,b){a=a|0;b=b|0;var c=0,d=0;c=Rqa((Lta(b)|0)+1|0)|0;d=(Lta(b)|0)+1|0;if(!b)yb(142353,63802,137,142345);if(!d){k[a>>2]=c;return}TEa(c|0,b|0,d|0)|0;k[a>>2]=c;return}function qg(a,b){a=a|0;b=b|0;var c=0,d=0;c=Rqa((Lta(b)|0)+1|0)|0;d=(Lta(b)|0)+1|0;if(!b)yb(142353,63802,137,142345);if(!d){k[a>>2]=c;return}TEa(c|0,b|0,d|0)|0;k[a>>2]=c;return}function rg(a,b){a=a|0;b=b|0;k[a>>2]=b;return}function sg(a,b){a=a|0;b=+b;p[a>>3]=b;return}function tg(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=Rqa(d>>>0>536870911?-1:d<<3)|0;if(!c)yb(142353,63802,137,142345);if(!d){k[a>>2]=e;k[b>>2]=d;return}TEa(e|0,c|0,d<<3|0)|0;k[a>>2]=e;k[b>>2]=d;return}function ug(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;if(!((a|0)!=0&(d|0)!=0))return;g=ma(f,e)|0;h=Rqa(g>>>0>536870911?-1:g<<3)|0;if((g|0)>0)TEa(h|0,d|0,g<<3|0)|0;if(b)k[b>>2]=e;if(c)k[c>>2]=f;k[a>>2]=h;return}function vg(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;if(!((a|0)!=0&(d|0)!=0))return;g=ma(f,e)|0;h=Rqa(g>>>0>1073741823?-1:g<<2)|0;if(g)TEa(h|0,d|0,g<<2|0)|0;if(b)k[b>>2]=e;if(c)k[c>>2]=f;k[a>>2]=h;return}function wg(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;e=Qqa(36)|0;B=0;va(452,e|0);f=B;B=0;if(f&1){f=Rb()|0;Sqa(e);Qb(f|0)}if(!d){k[a>>2]=e;return}f=Qqa(24)|0;k[f>>2]=27652;g=f+4|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;i[g+16>>0]=0;k[f+8>>2]=d;g=d>>>0>536870911?-1:d<<3;h=Rqa(g)|0;k[f+12>>2]=h;if(!b)yb(142353,63802,137,142345);j=d<<3;TEa(h|0,b|0,j|0)|0;b=Rqa(g)|0;k[f+16>>2]=b;if(!c)yb(142353,63802,137,142345);TEa(b|0,c|0,j|0)|0;ih(e,f)|0;k[a>>2]=e;return}function xg(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,h=0,i=0,j=0;c=Qqa(36)|0;B=0;va(453,c|0);b=B;B=0;if(b&1){b=Rb()|0;Sqa(c);Qb(b|0)}else{b=Qqa(32)|0;k[b>>2]=27692;f=b+4|0;k[f>>2]=0;g=b+16|0;k[g>>2]=0;h=b+20|0;k[h>>2]=0;i=b+24|0;k[i>>2]=0;j=Rqa((Lta(d)|0)+1|0)|0;k[f>>2]=j;TEa(j|0,d|0,(Lta(d)|0)+1|0)|0;p[b+8>>3]=e;k[g>>2]=1;k[h>>2]=1;k[i>>2]=0;q_(c,b)|0;k[a>>2]=c;return}}function yg(a){a=a|0;var b=0,c=0;k[a>>2]=27692;b=a+4|0;c=k[b>>2]|0;if(c){Tqa(c);k[b>>2]=0}b=a+24|0;a=k[b>>2]|0;if(!a)return;Tqa(a);k[b>>2]=0;return}function zg(a){a=a|0;var b=0,c=0;k[a>>2]=27692;b=a+4|0;c=k[b>>2]|0;if(c){Tqa(c);k[b>>2]=0}b=k[a+24>>2]|0;if(!b){Sqa(a);return}Tqa(b);Sqa(a);return}function Ag(a){a=a|0;Ec[k[(k[a>>2]|0)+12>>2]&1023](a);return}function Bg(a){a=a|0;var b=0,c=0,d=0,e=0;b=r;r=r+96|0;c=b;d=c;e=d+81|0;do{i[d>>0]=0;d=d+1|0}while((d|0)<(e|0));Fc[k[(k[a>>2]|0)+32>>2]&1023](a,c);r=b;return}function Cg(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,64133,114);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,149550,2);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,77,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function Dg(a){a=a|0;return 981}function Eg(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,64133,114);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,149534,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,83,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function Fg(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149435,20)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,64027,105);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,149525,8);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,28,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function Gg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0;c=r;r=r+1008|0;d=c+904|0;e=c+916|0;f=c+744|0;g=c+892|0;h=c+592|0;i=c+880|0;j=c+440|0;l=c+728|0;m=c+304|0;n=c+576|0;o=c+168|0;q=c+152|0;s=c+16|0;t=c;u=f+56|0;v=f+4|0;k[f>>2]=27524;k[u>>2]=27544;B=0;wa(508,f+56|0,v|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;y=w;vva(u);Qb(y|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[u>>2]=27488;B=0;va(448,v|0);w=B;B=0;do if(w&1){z=Rb()|0;A=Q;C=z}else{k[v>>2]=27560;z=f+36|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;k[z+12>>2]=0;k[f+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,v|0,d|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(d);Yua(z);Ava(v);A=E;C=D;break}Yua(d);D=Lta(b)|0;B=0;E=Ia(40,f|0,b|0,D|0)|0;D=B;B=0;do if((((!(D&1)?(B=0,F=Ia(40,E|0,63914,16)|0,G=B,B=0,!(G&1)):0)?(G=k[a+4>>2]|0,H=Lta(G)|0,B=0,I=Ia(40,F|0,G|0,H|0)|0,H=B,B=0,!(H&1)):0)?(B=0,Ia(40,I|0,63931,2)|0,I=B,B=0,!(I&1)):0)?(B=0,wa(510,g|0,v|0),I=B,B=0,!(I&1)):0){B=0;ya(425,g|0)|0;I=B;B=0;if(I&1){I=Rb()|0;H=Q;Yua(g);J=H;K=I;break}Yua(g);k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(z);Ava(v);vva(u);I=h+56|0;H=h+4|0;k[h>>2]=27524;k[I>>2]=27544;B=0;wa(508,h+56|0,H|0);G=B;B=0;if(G&1){G=Rb()|0;L=Q;M=G;vva(I);Qb(M|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[I>>2]=27488;B=0;va(448,H|0);G=B;B=0;do if(G&1){F=Rb()|0;N=Q;O=F}else{k[H>>2]=27560;F=h+36|0;k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;k[F+12>>2]=0;k[h+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,H|0,d|0);P=B;B=0;if(P&1){P=Rb()|0;R=Q;Yua(d);Yua(F);Ava(H);N=R;O=P;break}Yua(d);P=Lta(b)|0;B=0;R=Ia(40,h|0,b|0,P|0)|0;P=B;B=0;do if(((!(P&1)?(B=0,S=Ia(40,R|0,63934,16)|0,T=B,B=0,!(T&1)):0)?(B=0,T=Xa(242,S|0,k[a+16>>2]|0)|0,S=B,B=0,!(S&1)):0)?(B=0,Ia(40,T|0,149177,1)|0,T=B,B=0,!(T&1)):0){B=0;wa(510,i|0,H|0);T=B;B=0;if(T&1){U=41;break}B=0;ya(425,i|0)|0;T=B;B=0;if(T&1){T=Rb()|0;S=Q;Yua(i);V=S;W=T;break}Yua(i);k[h>>2]=27468;k[I>>2]=27488;k[H>>2]=27560;Yua(F);Ava(H);vva(I);T=j+56|0;S=j+4|0;k[j>>2]=27524;k[T>>2]=27544;B=0;wa(508,j+56|0,S|0);X=B;B=0;if(X&1){X=Rb()|0;Y=Q;Z=X;vva(T);Qb(Z|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[T>>2]=27488;B=0;va(448,S|0);X=B;B=0;do if(X&1){_=Rb()|0;$=Q;aa=_}else{k[S>>2]=27560;_=j+36|0;k[_>>2]=0;k[_+4>>2]=0;k[_+8>>2]=0;k[_+12>>2]=0;k[j+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,S|0,d|0);ba=B;B=0;if(ba&1){ba=Rb()|0;ca=Q;Yua(d);Yua(_);Ava(S);$=ca;aa=ba;break}Yua(d);ba=Lta(b)|0;B=0;ca=Ia(40,j|0,b|0,ba|0)|0;ba=B;B=0;do if(ba&1)U=50;else{B=0;da=Ia(40,ca|0,63951,16)|0;ea=B;B=0;if(ea&1){U=50;break}ea=a+20|0;B=0;fa=Xa(242,da|0,k[ea>>2]|0)|0;da=B;B=0;if(da&1){U=50;break}B=0;Ia(40,fa|0,149177,1)|0;fa=B;B=0;if(fa&1){U=50;break}B=0;wa(510,l|0,S|0);fa=B;B=0;if(fa&1){U=50;break}B=0;ya(425,l|0)|0;fa=B;B=0;if(fa&1){fa=Rb()|0;da=Q;Yua(l);ga=da;ha=fa;break}Yua(l);k[j>>2]=27468;k[T>>2]=27488;k[S>>2]=27560;Yua(_);Ava(S);vva(T);fa=k[a+24>>2]|0;a:do if(!fa){da=o+56|0;ia=o+4|0;k[o>>2]=27524;k[da>>2]=27544;B=0;wa(508,o+56|0,ia|0);ja=B;B=0;if(ja&1){ja=Rb()|0;ka=Q;la=ja;vva(da);Qb(la|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[da>>2]=27488;B=0;va(448,ia|0);ja=B;B=0;do if(ja&1){ma=Rb()|0;na=Q;oa=ma}else{k[ia>>2]=27560;ma=o+36|0;k[ma>>2]=0;k[ma+4>>2]=0;k[ma+8>>2]=0;k[ma+12>>2]=0;k[o+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,ia|0,d|0);pa=B;B=0;if(pa&1){pa=Rb()|0;qa=Q;Yua(d);Yua(ma);Ava(ia);na=qa;oa=pa;break}Yua(d);pa=Lta(b)|0;B=0;qa=Ia(40,o|0,b|0,pa|0)|0;pa=B;B=0;do if(!(pa&1)){B=0;Ia(40,qa|0,63985,24)|0;ra=B;B=0;if(ra&1){U=84;break}B=0;wa(510,q|0,ia|0);ra=B;B=0;if(ra&1){U=84;break}B=0;ya(425,q|0)|0;ra=B;B=0;if(ra&1){ra=Rb()|0;sa=Q;Yua(q);ta=sa;ua=ra;break}else{Yua(q);k[o>>2]=27468;k[da>>2]=27488;k[ia>>2]=27560;Yua(ma);Ava(ia);vva(da);break a}}else U=84;while(0);if((U|0)==84){qa=Rb()|0;ta=Q;ua=qa}k[o>>2]=27468;k[da>>2]=27488;k[ia>>2]=27560;Yua(ma);Ava(ia);vva(da);xa=ta;za=ua;Qb(za|0)}while(0);ka=na;la=oa;vva(da);Qb(la|0)}else{s_(e,fa,k[ea>>2]|0)|0;ia=m+56|0;ja=m+4|0;k[m>>2]=27524;k[ia>>2]=27544;B=0;wa(508,m+56|0,ja|0);qa=B;B=0;if(qa&1){qa=Rb()|0;Aa=Q;Ba=qa;vva(ia);Qb(Ba|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[ia>>2]=27488;B=0;va(448,ja|0);qa=B;B=0;do if(qa&1){pa=Rb()|0;Ca=Q;Da=pa}else{k[ja>>2]=27560;pa=m+36|0;k[pa>>2]=0;k[pa+4>>2]=0;k[pa+8>>2]=0;k[pa+12>>2]=0;k[m+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,ja|0,d|0);ra=B;B=0;if(ra&1){ra=Rb()|0;sa=Q;Yua(d);Yua(pa);Ava(ja);Ca=sa;Da=ra;break}Yua(d);ra=Lta(b)|0;B=0;sa=Ia(40,m|0,b|0,ra|0)|0;ra=B;B=0;do if(!(ra&1)){B=0;Ea=Ia(40,sa|0,63968,16)|0;Fa=B;B=0;if(Fa&1){U=68;break}Fa=Lta(e)|0;B=0;Ga=Ia(40,Ea|0,e|0,Fa|0)|0;Fa=B;B=0;if(Fa&1){U=68;break}B=0;Ia(40,Ga|0,149177,1)|0;Ga=B;B=0;if(Ga&1){U=68;break}B=0;wa(510,n|0,ja|0);Ga=B;B=0;if(Ga&1){U=68;break}B=0;ya(425,n|0)|0;Ga=B;B=0;if(Ga&1){Ga=Rb()|0;Fa=Q;Yua(n);Ha=Fa;Ja=Ga;break}else{Yua(n);k[m>>2]=27468;k[ia>>2]=27488;k[ja>>2]=27560;Yua(pa);Ava(ja);vva(ia);break a}}else U=68;while(0);if((U|0)==68){sa=Rb()|0;Ha=Q;Ja=sa}k[m>>2]=27468;k[ia>>2]=27488;k[ja>>2]=27560;Yua(pa);Ava(ja);vva(ia);xa=Ha;za=Ja;Qb(za|0)}while(0);Aa=Ca;Ba=Da;vva(ia);Qb(Ba|0)}while(0);ea=s+56|0;fa=s+4|0;k[s>>2]=27524;k[ea>>2]=27544;B=0;wa(508,s+56|0,fa|0);ja=B;B=0;if(ja&1){ja=Rb()|0;Ka=Q;La=ja;vva(ea);Qb(La|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[ea>>2]=27488;B=0;va(448,fa|0);ja=B;B=0;do if(ja&1){qa=Rb()|0;Ma=Q;Na=qa}else{k[fa>>2]=27560;qa=s+36|0;k[qa>>2]=0;k[qa+4>>2]=0;k[qa+8>>2]=0;k[qa+12>>2]=0;k[s+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,fa|0,d|0);da=B;B=0;if(da&1){da=Rb()|0;sa=Q;Yua(d);Yua(qa);Ava(fa);Ma=sa;Na=da;break}Yua(d);da=Lta(b)|0;B=0;sa=Ia(40,s|0,b|0,da|0)|0;da=B;B=0;do if(!(da&1)){B=0;ra=Ia(40,sa|0,64010,16)|0;ma=B;B=0;if(ma&1){U=102;break}B=0;ma=Sa(1,ra|0,+(+p[a+8>>3]))|0;ra=B;B=0;if(ra&1){U=102;break}B=0;Ia(40,ma|0,149177,1)|0;ma=B;B=0;if(ma&1){U=102;break}B=0;wa(510,t|0,fa|0);ma=B;B=0;if(ma&1){U=102;break}B=0;ya(424,t|0)|0;ma=B;B=0;if(ma&1){ma=Rb()|0;ra=Q;Yua(t);Oa=ra;Pa=ma;break}else{Yua(t);k[s>>2]=27468;k[ea>>2]=27488;k[fa>>2]=27560;Yua(qa);Ava(fa);vva(ea);r=c;return}}else U=102;while(0);if((U|0)==102){sa=Rb()|0;Oa=Q;Pa=sa}k[s>>2]=27468;k[ea>>2]=27488;k[fa>>2]=27560;Yua(qa);Ava(fa);vva(ea);xa=Oa;za=Pa;Qb(za|0)}while(0);Ka=Ma;La=Na;vva(ea);Qb(La|0)}while(0);if((U|0)==50){ca=Rb()|0;ga=Q;ha=ca}k[j>>2]=27468;k[T>>2]=27488;k[S>>2]=27560;Yua(_);Ava(S);vva(T);xa=ga;za=ha;Qb(za|0)}while(0);Y=$;Z=aa;vva(T);Qb(Z|0)}else U=41;while(0);if((U|0)==41){R=Rb()|0;V=Q;W=R}k[h>>2]=27468;k[I>>2]=27488;k[H>>2]=27560;Yua(F);Ava(H);vva(I);xa=V;za=W;Qb(za|0)}while(0);L=N;M=O;vva(I);Qb(M|0)}else U=24;while(0);if((U|0)==24){E=Rb()|0;J=Q;K=E}k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(z);Ava(v);vva(u);xa=J;za=K;Qb(za|0)}while(0);x=A;y=C;vva(u);Qb(y|0)}function Hg(a){a=a|0;return k[a+4>>2]|0}function Ig(a){a=a|0;return k[a+16>>2]|0}function Jg(a){a=a|0;return k[a+20>>2]|0}function Kg(a){a=a|0;return k[a+24>>2]|0}function Lg(a){a=a|0;var b=0,c=0;k[a>>2]=27652;b=a+12|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+16|0;a=k[b>>2]|0;if(!a){k[b>>2]=0;return}Tqa(a);k[b>>2]=0;return}function Mg(a){a=a|0;var b=0,c=0;k[a>>2]=27652;b=a+12|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=k[a+16>>2]|0;if(!b){Sqa(a);return}Tqa(b);Sqa(a);return}function Ng(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0;b=r;r=r+768|0;c=b+752|0;d=b+592|0;e=b+740|0;f=b+456|0;g=b+728|0;h=b+304|0;j=b+440|0;l=b+152|0;m=b+288|0;n=b+16|0;o=b;q=d+56|0;s=d+4|0;k[d>>2]=27524;k[q>>2]=27544;B=0;wa(508,d+56|0,s|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;v=t;vva(q);Qb(v|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[q>>2]=27488;B=0;va(448,s|0);t=B;B=0;do if(t&1){w=Rb()|0;x=Q;y=w}else{k[s>>2]=27560;w=d+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,s|0,c|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(c);Yua(w);Ava(s);x=A;y=z;break}Yua(c);B=0;z=Ia(40,d|0,64382,10)|0;A=B;B=0;do if(((!(A&1)?(B=0,C=Xa(242,z|0,k[a+4>>2]|0)|0,D=B,B=0,!(D&1)):0)?(B=0,Ia(40,C|0,149177,1)|0,C=B,B=0,!(C&1)):0)?(B=0,wa(510,e|0,s|0),C=B,B=0,!(C&1)):0){B=0;ya(424,e|0)|0;C=B;B=0;if(C&1){C=Rb()|0;D=Q;Yua(e);E=D;F=C;break}Yua(e);k[d>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(q);C=f+56|0;D=f+4|0;k[f>>2]=27524;k[C>>2]=27544;B=0;wa(508,f+56|0,D|0);G=B;B=0;if(G&1){G=Rb()|0;H=Q;I=G;vva(C);Qb(I|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[C>>2]=27488;B=0;va(448,D|0);G=B;B=0;do if(G&1){J=Rb()|0;K=Q;L=J}else{k[D>>2]=27560;J=f+36|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;k[J+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,D|0,c|0);M=B;B=0;if(M&1){M=Rb()|0;N=Q;Yua(c);Yua(J);Ava(D);K=N;L=M;break}Yua(c);B=0;M=Ia(40,f|0,64393,10)|0;N=B;B=0;do if(((!(N&1)?(O=a+8|0,B=0,P=Xa(242,M|0,k[O>>2]|0)|0,R=B,B=0,!(R&1)):0)?(B=0,Ia(40,P|0,149177,1)|0,P=B,B=0,!(P&1)):0)?(B=0,wa(510,g|0,D|0),P=B,B=0,!(P&1)):0){B=0;ya(424,g|0)|0;P=B;B=0;if(P&1){P=Rb()|0;R=Q;Yua(g);S=R;T=P;break}Yua(g);k[f>>2]=27468;k[C>>2]=27488;k[D>>2]=27560;Yua(J);Ava(D);vva(C);P=h+56|0;R=h+4|0;k[h>>2]=27524;k[P>>2]=27544;B=0;wa(508,h+56|0,R|0);U=B;B=0;if(U&1){U=Rb()|0;V=Q;W=U;vva(P);Qb(W|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[P>>2]=27488;B=0;va(448,R|0);U=B;B=0;do if(U&1){X=Rb()|0;Y=Q;Z=X}else{k[R>>2]=27560;X=h+36|0;k[X>>2]=0;k[X+4>>2]=0;k[X+8>>2]=0;k[X+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,R|0,c|0);_=B;B=0;if(_&1){_=Rb()|0;$=Q;Yua(c);Yua(X);Ava(R);Y=$;Z=_;break}Yua(c);B=0;_=Ia(40,h|0,64404,10)|0;$=B;B=0;do if($&1)aa=60;else{ba=(i[a+20>>0]|0)!=0;B=0;ca=Ia(40,_|0,(ba?159247:159252)|0,(ba?4:5)|0)|0;ba=B;B=0;if(ba&1){aa=60;break}B=0;Ia(40,ca|0,149177,1)|0;ca=B;B=0;if(ca&1){aa=60;break}B=0;wa(510,j|0,R|0);ca=B;B=0;if(ca&1){aa=60;break}B=0;ya(424,j|0)|0;ca=B;B=0;if(ca&1){ca=Rb()|0;ba=Q;Yua(j);da=ba;ea=ca;break}Yua(j);k[h>>2]=27468;k[P>>2]=27488;k[R>>2]=27560;Yua(X);Ava(R);vva(P);if(!(k[O>>2]|0)){r=b;return}ca=l+56|0;ba=l+4|0;k[l>>2]=27524;k[ca>>2]=27544;B=0;wa(508,l+56|0,ba|0);fa=B;B=0;if(fa&1){fa=Rb()|0;ga=Q;ha=fa;vva(ca);Qb(ha|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[ca>>2]=27488;B=0;va(448,ba|0);fa=B;B=0;do if(fa&1){ia=Rb()|0;ja=Q;ka=ia}else{k[ba>>2]=27560;ia=l+36|0;k[ia>>2]=0;k[ia+4>>2]=0;k[ia+8>>2]=0;k[ia+12>>2]=0;k[l+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ba|0,c|0);la=B;B=0;if(la&1){la=Rb()|0;ma=Q;Yua(c);Yua(ia);Ava(ba);ja=ma;ka=la;break}Yua(c);B=0;Ia(40,l|0,64415,10)|0;la=B;B=0;do if(!(la&1)){B=0;wa(510,m|0,ba|0);ma=B;B=0;if(ma&1){aa=63;break}B=0;ya(424,m|0)|0;ma=B;B=0;if(ma&1){ma=Rb()|0;na=Q;Yua(m);oa=na;pa=ma;break}Yua(m);k[l>>2]=27468;k[ca>>2]=27488;k[ba>>2]=27560;Yua(ia);Ava(ba);vva(ca);if((k[O>>2]|0)<=0){r=b;return}ma=n+56|0;na=n+4|0;qa=n+56|0;ra=n+128|0;sa=n+132|0;ta=n+36|0;ua=n+52|0;xa=a+12|0;za=a+16|0;Aa=0;while(1){k[n>>2]=27524;k[ma>>2]=27544;B=0;wa(508,qa|0,na|0);Ba=B;B=0;if(Ba&1){aa=70;break}k[ra>>2]=0;k[sa>>2]=-1;k[n>>2]=27468;k[ma>>2]=27488;B=0;va(448,na|0);Ba=B;B=0;if(Ba&1){aa=71;break}k[na>>2]=27560;k[ta>>2]=0;k[ta+4>>2]=0;k[ta+8>>2]=0;k[ta+12>>2]=0;k[ua>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,na|0,c|0);Ba=B;B=0;if(Ba&1){aa=69;break}Yua(c);B=0;Ba=Xa(242,n|0,Aa|0)|0;Ca=B;B=0;if(Ca&1){aa=83;break}B=0;Ca=Ia(40,Ba|0,160061,2)|0;Ba=B;B=0;if(Ba&1){aa=83;break}B=0;Ba=Sa(1,Ca|0,+(+p[(k[xa>>2]|0)+(Aa<<3)>>3]))|0;Ca=B;B=0;if(Ca&1){aa=83;break}B=0;Ca=Ia(40,Ba|0,148718,3)|0;Ba=B;B=0;if(Ba&1){aa=83;break}B=0;Ba=Sa(1,Ca|0,+(+p[(k[za>>2]|0)+(Aa<<3)>>3]))|0;Ca=B;B=0;if(Ca&1){aa=83;break}B=0;Ia(40,Ba|0,149177,1)|0;Ba=B;B=0;if(Ba&1){aa=83;break}B=0;wa(510,o|0,na|0);Ba=B;B=0;if(Ba&1){aa=83;break}B=0;ya(424,o|0)|0;Ba=B;B=0;if(Ba&1){aa=84;break}Yua(o);k[n>>2]=27468;k[ma>>2]=27488;k[na>>2]=27560;Yua(ta);Ava(na);vva(ma);Aa=Aa+1|0;if((Aa|0)>=(k[O>>2]|0)){aa=86;break}}if((aa|0)==69){Aa=Rb()|0;za=Q;Yua(c);Yua(ta);Ava(na);Da=za;Ea=Aa;aa=72}else if((aa|0)==70){Aa=Rb()|0;Fa=Q;Ga=Aa;vva(ma);Qb(Ga|0)}else if((aa|0)==71){Aa=Rb()|0;Da=Q;Ea=Aa;aa=72}else if((aa|0)==83){Aa=Rb()|0;Ha=Q;Ja=Aa;aa=85}else if((aa|0)==84){Aa=Rb()|0;za=Q;Yua(o);Ha=za;Ja=Aa;aa=85}else if((aa|0)==86){r=b;return}if((aa|0)==72){Fa=Da;Ga=Ea;vva(ma);Qb(Ga|0)}else if((aa|0)==85){k[n>>2]=27468;k[ma>>2]=27488;k[na>>2]=27560;Yua(ta);Ava(na);vva(ma);Ka=Ha;La=Ja;Qb(La|0)}}else aa=63;while(0);if((aa|0)==63){la=Rb()|0;oa=Q;pa=la}k[l>>2]=27468;k[ca>>2]=27488;k[ba>>2]=27560;Yua(ia);Ava(ba);vva(ca);Ka=oa;La=pa;Qb(La|0)}while(0);ga=ja;ha=ka;vva(ca);Qb(ha|0)}while(0);if((aa|0)==60){_=Rb()|0;da=Q;ea=_}k[h>>2]=27468;k[P>>2]=27488;k[R>>2]=27560;Yua(X);Ava(R);vva(P);Ka=da;La=ea;Qb(La|0)}while(0);V=Y;W=Z;vva(P);Qb(W|0)}else aa=57;while(0);if((aa|0)==57){M=Rb()|0;S=Q;T=M}k[f>>2]=27468;k[C>>2]=27488;k[D>>2]=27560;Yua(J);Ava(D);vva(C);Ka=S;La=T;Qb(La|0)}while(0);H=K;I=L;vva(C);Qb(I|0)}else aa=54;while(0);if((aa|0)==54){z=Rb()|0;E=Q;F=z}k[d>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(q);Ka=E;La=F;Qb(La|0)}while(0);u=x;v=y;vva(q);Qb(v|0)}function Og(a){a=a|0;Ec[k[(k[a>>2]|0)+8>>2]&1023](a);return}function Pg(a){a=a|0;return k[a+4>>2]|0}function Qg(a){a=a|0;return 558}function Rg(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;b=Qqa(24)|0;c=k[a+4>>2]|0;d=k[a+8>>2]|0;e=k[a+12>>2]|0;f=k[a+16>>2]|0;g=i[a+20>>0]|0;k[b>>2]=27652;k[b+4>>2]=c;k[b+8>>2]=d;i[b+20>>0]=g;if(!d)return b|0;g=d>>>0>536870911?-1:d<<3;B=0;c=ya(422,g|0)|0;a=B;B=0;do if(!(a&1)){k[b+12>>2]=c;if(!e){B=0;ib(283,142353,63802,137,142345);B=0;break}h=d<<3;TEa(c|0,e|0,h|0)|0;B=0;j=ya(422,g|0)|0;l=B;B=0;if(!(l&1)){k[b+16>>2]=j;if(!f){B=0;ib(283,142353,63802,137,142345);B=0;break}TEa(j|0,f|0,h|0)|0;return b|0}}while(0);f=Rb()|0;Sqa(b);Qb(f|0);return 0}function Sg(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149435,20)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,64283,98);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,149525,8);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,86,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function Tg(a,b,c,d,e,f,g,h,i,j,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;l=+l;var m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;m=r;r=r+464|0;n=m;o=m+200|0;q=m+108|0;s=m+16|0;t=m+208|0;k[o>>2]=0;u=q+12|0;k[u>>2]=0;if((th(i)|0)>0){v=0;w=0;while(1){x=(qh(i,w)|0)+8|0;y=(k[x>>2]|0)+-1+v|0;k[u>>2]=y;w=w+1|0;if((w|0)>=(th(i)|0)){z=y;break}else v=y}}else z=0;if((th(j)|0)>0){v=z;w=0;while(1){y=(qh(j,w)|0)+8|0;x=v+(k[y>>2]|0)|0;k[u>>2]=x;w=w+1|0;if((w|0)>=(th(j)|0)){A=x;break}else v=x}}else A=z;k[q+16>>2]=1;z=A<<1;v=Rqa(z>>>0>536870911?-1:z<<3)|0;k[q>>2]=v;if((th(i)|0)>0){z=0;w=0;while(1){x=qh(i,w)|0;y=k[x+8>>2]|0;if((y|0)>1){B=k[x+12>>2]|0;C=k[x+16>>2]|0;x=y+-1|0;y=z;D=0;while(1){E=y<<1;p[v+(E<<3)>>3]=+p[B+(D<<3)>>3];p[v+((E|1)<<3)>>3]=+p[C+(D<<3)>>3];E=y+1|0;D=D+1|0;if((D|0)>=(x|0)){F=E;break}else y=E}}else F=z;w=w+1|0;if((w|0)>=(th(i)|0)){G=F;break}else z=F}}else G=0;if((th(j)|0)>0){F=G;G=0;while(1){z=qh(j,G)|0;w=k[z+8>>2]|0;if((w|0)>0){y=k[z+12>>2]|0;x=k[z+16>>2]|0;z=F;D=0;while(1){C=z<<1;p[v+(C<<3)>>3]=+p[y+(D<<3)>>3];p[v+((C|1)<<3)>>3]=+p[x+(D<<3)>>3];C=z+1|0;D=D+1|0;if((D|0)>=(w|0)){H=C;break}else z=C}}else H=F;G=G+1|0;if((G|0)>=(th(j)|0))break;else F=H}}H=Rqa(A>>>0>536870911?-1:A<<3)|0;k[q+4>>2]=H;if((A|0)>0){WEa(H|0,0,((A|0)>1?A:1)<<3|0)|0;I=k[u>>2]|0}else I=A;H=Rqa(A>>>0>1073741823?-1:A<<2)|0;k[q+8>>2]=H;if((I|0)>0){I=k[u>>2]|0;u=0;do{k[H+(u<<2)>>2]=0;u=u+1|0}while((u|0)<(I|0))}I=q+56|0;k[I>>2]=0;if((th(i)|0)>0){u=0;H=0;while(1){A=(qh(i,H)|0)+8|0;F=(k[A>>2]|0)+-1+u|0;k[I>>2]=F;H=H+1|0;if((H|0)>=(th(i)|0)){J=F;break}else u=F}}else J=0;if((th(j)|0)>0){u=J;H=0;while(1){F=(qh(j,H)|0)+8|0;A=(k[F>>2]|0)+-1+u|0;k[I>>2]=A;H=H+1|0;if((H|0)>=(th(j)|0)){K=A;break}else u=A}}else K=J;J=K<<1;u=Rqa(J>>>0>1073741823?-1:J<<2)|0;k[q+48>>2]=u;J=Rqa(K>>>0>1073741823?-1:K<<2)|0;if(K)WEa(J|0,0,K<<2|0)|0;k[q+52>>2]=J;if((th(i)|0)>0){K=0;H=0;while(1){I=(qh(i,H)|0)+8|0;A=(k[I>>2]|0)>2;F=K<<1;k[u+(F<<2)>>2]=K;if(A){A=F;G=K;v=0;while(1){z=G+1|0;k[u+((A|1)<<2)>>2]=z;k[J+(G<<2)>>2]=0;v=v+1|0;w=(v|0)<((k[I>>2]|0)+-2|0);D=z<<1;k[u+(D<<2)>>2]=z;if(!w){L=D;M=z;break}else{A=D;G=z}}}else{L=F;M=K}k[u+((L|1)<<2)>>2]=K;k[J+(M<<2)>>2]=0;G=M+1|0;H=H+1|0;if((H|0)>=(th(i)|0)){N=G;break}else K=G}}else N=0;if((th(j)|0)>0){K=N;H=N;N=0;while(1){M=(qh(j,N)|0)+8|0;if((k[M>>2]|0)>1){L=N+2|0;G=K;A=H;I=0;while(1){v=A<<1;k[u+(v<<2)>>2]=G;z=G+1|0;k[u+((v|1)<<2)>>2]=z;k[J+(A<<2)>>2]=L;v=A+1|0;I=I+1|0;if((I|0)>=((k[M>>2]|0)+-1|0)){O=z;P=v;break}else{G=z;A=v}}}else{O=K;P=H}N=N+1|0;if((N|0)>=(th(j)|0))break;else{K=O+1|0;H=P}}}k[q+72>>2]=0;P=(th(i)|0)+-1|0;k[q+64>>2]=P;if((P|0)!=0?(H=P<<1,P=Rqa(H>>>0>536870911?-1:H<<3)|0,k[q+60>>2]=P,(th(i)|0)>1):0){H=0;do{O=H;H=H+1|0;K=qh(i,H)|0;j=O<<1;dh(P+(j<<3)|0,P+((j|1)<<3)|0,(k[K+8>>2]|0)+-1|0,k[K+12>>2]|0,k[K+16>>2]|0)|0}while((H|0)<((th(i)|0)+-1|0))}k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;i=s+20|0;k[i>>2]=0;k[s+24>>2]=0;k[s+32>>2]=0;H=s+48|0;k[H>>2]=0;P=s+52|0;k[P>>2]=0;k[s+76>>2]=0;k[s+80>>2]=0;k[n>>2]=64444;p[n+8>>3]=l;qta(t,64438,n)|0;hg(t,q,s,0);q=s+36|0;t=k[q>>2]|0;n=t*3|0;K=Rqa(n>>>0>1073741823?-1:n<<2)|0;n=s+12|0;j=k[n>>2]|0;O=j>>>0>536870911?-1:j<<3;N=Rqa(O)|0;J=Rqa(O)|0;O=s+56|0;u=k[O>>2]|0;A=u*3|0;G=Rqa(A>>>0>1073741823?-1:A<<2)|0;k[o>>2]=G;A=Rqa(u>>>0>1073741823?-1:u<<2)|0;if((t|0)>0){M=k[i>>2]|0;i=k[s+40>>2]|0;I=(i|0)>0;L=0;do{if(I){F=L*3|0;v=ma(i,L)|0;z=0;do{k[K+(z+F<<2)>>2]=(k[M+(v+z<<2)>>2]|0)+1;z=z+1|0}while((z|0)<(i|0))}L=L+1|0}while((L|0)<(t|0))}if((j|0)>0){L=k[s>>2]|0;s=0;do{i=s<<1;p[N+(s<<3)>>3]=+p[L+(i<<3)>>3];p[J+(s<<3)>>3]=+p[L+((i|1)<<3)>>3];s=s+1|0}while((s|0)<(j|0))}if((u|0)<=0){Q=u;R=t;ch(o,Q,K,R)|0;S=k[O>>2]|0;T=k[q>>2]|0;eh(o,S,K,T)|0;k[a>>2]=K;k[b>>2]=N;k[c>>2]=J;U=k[o>>2]|0;k[d>>2]=U;k[e>>2]=A;V=k[q>>2]|0;k[f>>2]=V;W=k[n>>2]|0;k[g>>2]=W;X=k[O>>2]|0;k[h>>2]=X;r=m;return}t=k[H>>2]|0;H=k[P>>2]|0;P=0;do{u=P<<1;j=P*3|0;k[G+(j<<2)>>2]=(k[t+(u<<2)>>2]|0)+1;k[G+(j+1<<2)>>2]=(k[t+((u|1)<<2)>>2]|0)+1;k[A+(P<<2)>>2]=k[H+(P<<2)>>2];P=P+1|0;u=k[O>>2]|0}while((P|0)<(u|0));Y=u;Q=Y;R=k[q>>2]|0;ch(o,Q,K,R)|0;S=k[O>>2]|0;T=k[q>>2]|0;eh(o,S,K,T)|0;k[a>>2]=K;k[b>>2]=N;k[c>>2]=J;U=k[o>>2]|0;k[d>>2]=U;k[e>>2]=A;V=k[q>>2]|0;k[f>>2]=V;W=k[n>>2]|0;k[g>>2]=W;X=k[O>>2]|0;k[h>>2]=X;r=m;return}function Ug(a,b,c,d,e,f,g,h,i,l,m,n,o){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;l=l|0;m=m|0;n=n|0;o=o|0;var q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0.0,Ea=0.0,Fa=0,Ga=0.0,Ha=0,Ja=0,Ka=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0;q=r;r=r+480|0;s=q+460|0;t=q+96|0;u=q+80|0;v=q+56|0;w=q+48|0;x=q+40|0;y=q+16|0;z=q+312|0;A=q+448|0;C=q+300|0;D=q+288|0;E=q+8|0;G=q;H=q+144|0;I=q+152|0;J=q+128|0;K=q+116|0;L=q+104|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;k[u+12>>2]=0;M=(h|0)==(e|0);if(!(M|(h|0)==(f|0))){N=z+56|0;O=z+4|0;k[z>>2]=27524;k[N>>2]=27544;B=0;wa(508,z+56|0,O|0);P=B;B=0;if(P&1){P=Rb()|0;R=Q;S=P;vva(N);Qb(S|0)}k[z+128>>2]=0;k[z+132>>2]=-1;k[z>>2]=27468;k[N>>2]=27488;B=0;va(448,O|0);P=B;B=0;do if(P&1){T=Rb()|0;U=Q;V=T}else{k[O>>2]=27560;T=z+36|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;k[T+12>>2]=0;k[z+52>>2]=16;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;B=0;wa(509,O|0,s|0);W=B;B=0;if(W&1){W=Rb()|0;X=Q;Yua(s);Yua(T);Ava(O);U=X;V=W;break}Yua(s);B=0;W=Ia(40,z|0,64454,33)|0;X=B;B=0;a:do if(((((((!(X&1)?(B=0,Y=Xa(242,W|0,e|0)|0,Z=B,B=0,!(Z&1)):0)?(B=0,Z=Ia(40,Y|0,64488,4)|0,Y=B,B=0,!(Y&1)):0)?(B=0,Y=Xa(242,Z|0,f|0)|0,Z=B,B=0,!(Z&1)):0)?(B=0,Z=Ia(40,Y|0,64493,12)|0,Y=B,B=0,!(Y&1)):0)?(B=0,Y=Xa(242,Z|0,h|0)|0,Z=B,B=0,!(Z&1)):0)?(B=0,Z=Ia(40,Y|0,141170,1)|0,Y=B,B=0,!(Y&1)):0)?(B=0,Xa(239,Z|0,0)|0,Z=B,B=0,!(Z&1)):0){Z=Ab(20)|0;B=0;eb(502,A|0,64506,106);Y=B;B=0;do if(!(Y&1)){B=0;eb(502,C|0,64613,23);_=B;B=0;if(_&1){_=Rb()|0;$=Q;Yua(A);aa=_;ba=$;break}B=0;wa(510,D|0,O|0);$=B;B=0;if($&1){$=Rb()|0;ca=Q;da=$;ea=1}else{B=0;ua(163,Z|0,A|0,C|0,35,D|0);$=B;B=0;if($&1)fa=1;else{B=0;eb(503,Z|0,1240,229);B=0;fa=0}$=Rb()|0;_=Q;Yua(D);ca=_;da=$;ea=fa}Yua(C);Yua(A);if(ea){aa=da;ba=ca}else{ga=da;ha=ca;break a}}else{$=Rb()|0;aa=$;ba=Q}while(0);zb(Z|0);ga=aa;ha=ba}else ia=23;while(0);if((ia|0)==23){W=Rb()|0;ga=W;ha=Q}k[z>>2]=27468;k[N>>2]=27488;k[O>>2]=27560;Yua(T);Ava(O);vva(N);ja=ha;ka=ga;Qb(ka|0)}while(0);R=U;S=V;vva(N);Qb(S|0)}if(!(r_(o,64637)|0))la=0;else{Vg(o,t,64637);la=1}o=ma(n,i)|0;S=Rqa(o>>>0>536870911?-1:o<<3)|0;o=Qqa(200)|0;B=0;La(30,o|0,b|0,c|0,d|0,e|0,f|0);b=B;B=0;if(b&1){b=Rb()|0;N=Q;Sqa(o);ja=N;ka=b;Qb(ka|0)}b=o+48|0;N=k[b>>2]|0;V=Rqa(N>>>0>1073741823?-1:N<<2)|0;g5(o,V)|0;N=k[o+44>>2]|0;if((N|0)>0){U=o+8|0;R=0;do{ga=k[U>>2]|0;j[ga+(R*72|0)+60>>1]=0;k[ga+(R*72|0)+64>>2]=0;R=R+1|0}while((R|0)!=(N|0))}if((k[b>>2]|0)>0){N=o+12|0;R=0;do{X4((k[N>>2]|0)+(R*48|0)|0);R=R+1|0}while((R|0)<(k[b>>2]|0))}na=+p[c>>3];oa=+p[d>>3];if((e|0)>1){b=1;pa=na;qa=na;ra=oa;sa=oa;while(1){ta=+p[c+(b<<3)>>3];xa=ta<qa?ta:qa;ya=ta>pa?ta:pa;ta=+p[d+(b<<3)>>3];za=ta<sa?ta:sa;Aa=ta>ra?ta:ra;b=b+1|0;if((b|0)==(e|0)){Ba=ya;Ca=xa;Da=Aa;Ea=za;break}else{pa=ya;qa=xa;ra=Aa;sa=za}}}else{Ba=na;Ca=na;Da=oa;Ea=oa}if((n|0)<=0){i5(o);Sqa(o);Tqa(V);k[a>>2]=S;r=q;return 1}e=(i|0)>0;oa=+p[t>>3];t=u+8|0;b=y+8|0;d=v+8|0;c=y+16|0;R=v+16|0;N=z+4|0;U=i<<3;ga=0;b:while(1){ha=S+(ma(U,ga)|0)|0;O=l+(ga<<3)|0;na=+p[O>>3];do if(la){if(!(na<Ca|na>Ba)?(ba=m+(ga<<3)|0,sa=+p[ba>>3],!(sa<Ea|sa>Da)):0){Fa=ba;Ga=sa;ia=52;break}if(e){ba=ma(ga,i)|0;aa=0;do{p[S+(aa+ba<<3)>>3]=oa;aa=aa+1|0}while((aa|0)!=(i|0))}}else{aa=m+(ga<<3)|0;Fa=aa;Ga=+p[aa>>3];ia=52}while(0);if((ia|0)==52){ia=0;p[u>>3]=na;p[t>>3]=Ga;p5(E,o,u);T=o5(o,E,y,0)|0;aa=T+32|0;ba=aa;Z=k[ba>>2]|0;ca=k[ba+4>>2]|0;do if((ca|0)>0|(ca|0)==0&Z>>>0>0){ba=y;sa=+(Z>>>0)+4294967296.0*+(ca|0);p[v>>3]=(+((k[ba>>2]|0)>>>0)+4294967296.0*+(k[ba+4>>2]|0))/sa;ba=b;p[d>>3]=(+((k[ba>>2]|0)>>>0)+4294967296.0*+(k[ba+4>>2]|0))/sa;ba=c;p[R>>3]=(+((k[ba>>2]|0)>>>0)+4294967296.0*+(k[ba+4>>2]|0))/sa;ba=h5(o,k[T>>2]|0)|0;da=h5(o,k[T+4>>2]|0)|0;ea=h5(o,k[T+8>>2]|0)|0;A=n5(o,T)|0;if((k[V+(A<<2)>>2]|0)<0?la:0){if(e){C=ma(ga,i)|0;fa=0;do{p[S+(fa+C<<3)>>3]=oa;fa=fa+1|0}while((fa|0)!=(i|0))}}else{Ha=ba;Ja=da;Ka=ea;Ma=A;ia=63}}else{if(!la){fa=E;C=k[fa+4>>2]|0;D=G;k[D>>2]=k[fa>>2];k[D+4>>2]=C;k[s>>2]=k[G>>2];k[s+4>>2]=k[G+4>>2];q5(H,s,T,w,x);F4(z,H);C=k[N>>2]|0;D=k[z>>2]|0;sa=+p[w>>3];p[v+(j[52932+(C<<2)+2>>1]<<3)>>3]=sa;ra=+p[x>>3];p[v+(j[52932+(C<<2)>>1]<<3)>>3]=ra;p[v+(j[52944+(C<<1)>>1]<<3)>>3]=1.0-sa-ra;C=h5(o,k[D>>2]|0)|0;fa=h5(o,k[D+4>>2]|0)|0;h=h5(o,k[D+8>>2]|0)|0;Ha=C;Ja=fa;Ka=h;Ma=n5(o,D)|0;ia=63;break}if(e){D=ma(ga,i)|0;h=0;do{p[S+(h+D<<3)>>3]=oa;h=h+1|0}while((h|0)!=(i|0))}}while(0);c:do if((ia|0)==63){ia=0;if(M){if(!e)break;na=+p[v>>3];T=ma(Ha,i)|0;ra=+p[d>>3];ca=ma(Ja,i)|0;sa=+p[R>>3];Z=ma(Ka,i)|0;h=ma(ga,i)|0;D=0;while(1){p[S+(D+h<<3)>>3]=na*+p[g+(D+T<<3)>>3]+ra*+p[g+(D+ca<<3)>>3]+sa*+p[g+(D+Z<<3)>>3];D=D+1|0;if((D|0)==(i|0))break c}}if((k[aa+4>>2]|0)>=0?(k[V+(Ma<<2)>>2]|0)>=0:0){if(!((Ma|0)>-1&(Ma|0)<(f|0))){Na=O;Oa=Fa;Pa=Ma;break b}if(!e)break;TEa(ha|0,g+((ma(Ma,i)|0)<<3)|0,U|0)|0;break}if(e){D=ma(ga,i)|0;Z=0;do{p[S+(Z+D<<3)>>3]=F;Z=Z+1|0}while((Z|0)!=(i|0))}}while(0)}ga=ga+1|0;if((ga|0)>=(n|0)){ia=108;break}}if((ia|0)==108){i5(o);Sqa(o);Tqa(V);k[a>>2]=S;r=q;return 1}q=I+56|0;S=I+4|0;k[I>>2]=27524;k[q>>2]=27544;B=0;wa(508,I+56|0,S|0);a=B;B=0;if(a&1){a=Rb()|0;Qa=Q;Ra=a;vva(q);Qb(Ra|0)}k[I+128>>2]=0;k[I+132>>2]=-1;k[I>>2]=27468;k[q>>2]=27488;B=0;va(448,S|0);a=B;B=0;do if(a&1){V=Rb()|0;Ta=Q;Ua=V}else{k[S>>2]=27560;V=I+36|0;k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;k[V+12>>2]=0;k[I+52>>2]=16;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;B=0;wa(509,S|0,s|0);o=B;B=0;if(o&1){o=Rb()|0;n=Q;Yua(s);Yua(V);Ava(S);Ta=n;Ua=o;break}Yua(s);B=0;o=Ia(40,I|0,64645,16)|0;n=B;B=0;d:do if(((((((!(n&1)?(B=0,ga=Xa(242,o|0,Pa|0)|0,i=B,B=0,!(i&1)):0)?(B=0,i=Ia(40,ga|0,64662,11)|0,ga=B,B=0,!(ga&1)):0)?(B=0,ga=Xa(242,i|0,f|0)|0,i=B,B=0,!(i&1)):0)?(B=0,i=Ia(40,ga|0,64674,50)|0,ga=B,B=0,!(ga&1)):0)?(B=0,ga=Sa(1,i|0,+(+p[Na>>3]))|0,i=B,B=0,!(i&1)):0)?(B=0,i=Ia(40,ga|0,149175,1)|0,ga=B,B=0,!(ga&1)):0)?(B=0,ga=Sa(1,i|0,+(+p[Oa>>3]))|0,i=B,B=0,!(i&1)):0){B=0;i=Ia(40,ga|0,141170,1)|0;ga=B;B=0;if(ga&1){ia=98;break}B=0;Xa(239,i|0,0)|0;i=B;B=0;if(i&1){ia=98;break}i=Ab(20)|0;B=0;eb(502,J|0,64506,106);ga=B;B=0;do if(!(ga&1)){B=0;eb(502,K|0,64613,23);e=B;B=0;if(e&1){e=Rb()|0;U=Q;Yua(J);Va=e;Wa=U;break}B=0;wa(510,L|0,S|0);U=B;B=0;if(U&1){U=Rb()|0;Ya=1;Za=Q;_a=U}else{B=0;ua(163,i|0,J|0,K|0,146,L|0);U=B;B=0;if(U&1)$a=1;else{B=0;eb(503,i|0,1240,229);B=0;$a=0}U=Rb()|0;e=Q;Yua(L);Ya=$a;Za=e;_a=U}Yua(K);Yua(J);if(Ya){Va=_a;Wa=Za}else{ab=Za;bb=_a;break d}}else{U=Rb()|0;Va=U;Wa=Q}while(0);zb(i|0);ab=Wa;bb=Va}else ia=98;while(0);if((ia|0)==98){o=Rb()|0;ab=Q;bb=o}k[I>>2]=27468;k[q>>2]=27488;k[S>>2]=27560;Yua(V);Ava(S);vva(q);ja=ab;ka=bb;Qb(ka|0)}while(0);Qa=Ta;Ra=Ua;vva(q);Qb(Ra|0);return 0}function Vg(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;j=r_(a,c)|0;if(j){p[b>>3]=+p[j+8>>3];r=d;return}d=f+56|0;j=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,j|0);b=B;B=0;if(b&1){b=Rb()|0;l=Q;m=b;vva(d);Qb(m|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,j|0);b=B;B=0;do if(b&1){a=Rb()|0;n=Q;o=a}else{k[j>>2]=27560;a=f+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,j|0,e|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(e);Yua(a);Ava(j);n=s;o=q;break}Yua(e);B=0;q=Ia(40,f|0,64725,16)|0;s=B;B=0;if(((!(s&1)?(s=Lta(c)|0,B=0,t=Ia(40,q|0,c|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,64742,51)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,g|0,64794,112);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,64907,3);q=B;B=0;if(q&1){q=Rb()|0;u=Q;Yua(g);v=u;w=q;break}B=0;wa(510,i|0,j|0);q=B;B=0;if(q&1){q=Rb()|0;x=Q;y=q;z=1}else{B=0;ua(163,s|0,g|0,h|0,36,i|0);q=B;B=0;if(q&1)A=1;else{B=0;eb(503,s|0,1240,229);B=0;A=0}q=Rb()|0;u=Q;Yua(i);x=u;y=q;z=A}Yua(h);Yua(g);if(z){v=x;w=y}else{C=x;D=y;k[f>>2]=27468;k[d>>2]=27488;k[j>>2]=27560;Yua(a);Ava(j);vva(d);Qb(D|0)}}else{q=Rb()|0;v=Q;w=q}while(0);zb(s|0);C=v;D=w;k[f>>2]=27468;k[d>>2]=27488;k[j>>2]=27560;Yua(a);Ava(j);vva(d);Qb(D|0)}t=Rb()|0;C=Q;D=t;k[f>>2]=27468;k[d>>2]=27488;k[j>>2]=27560;Yua(a);Ava(j);vva(d);Qb(D|0)}while(0);l=n;m=o;vva(d);Qb(m|0)}function Wg(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var l=0,m=0,n=0,o=0,q=0;l=r;r=r+32|0;m=l;n=Rqa(i>>>0>536870911?-1:i<<3)|0;if(i)WEa(n|0,0,i<<3|0)|0;o=Rqa(h>>>0>536870911?-1:h<<3)|0;if(h)WEa(o|0,0,h<<3|0)|0;k[m>>2]=f;k[m+4>>2]=i;k[m+8>>2]=j;k[m+12>>2]=n;k[m+16>>2]=d;k[m+20>>2]=e;_g(426,m,1);if(!(Ita(g,64911)|0))if((h|0)>0)q=0;else{k[a>>2]=n;k[b>>2]=o;r=l;return 1}else if((Ita(g,64919)|0)==0&(h|0)>0)q=0;else{k[a>>2]=n;k[b>>2]=o;r=l;return 1}do{g=c+(q*3<<3)|0;if((+p[n+(~~+p[g>>3]+-1<<3)>>3]==1.0?+p[n+(~~+p[g+8>>3]+-1<<3)>>3]==1.0:0)?+p[n+(~~+p[g+16>>3]+-1<<3)>>3]==1.0:0)p[o+(q<<3)>>3]=1.0;q=q+1|0}while((q|0)<(h|0));k[a>>2]=n;k[b>>2]=o;r=l;return 1}function Xg(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0.0,s=0.0,t=0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0,I=0.0;b=r;r=r+16|0;c=b+4|0;d=b;e=k[a>>2]|0;f=k[e>>2]|0;g=k[e+8>>2]|0;h=k[e+12>>2]|0;i=k[e+16>>2]|0;j=k[e+20>>2]|0;$g(d,c,k[e+4>>2]|0,k[a+8>>2]|0,k[a+4>>2]|0);if((th(f)|0)>0)l=0;else{r=b;return 0}do{a=qh(f,l)|0;e=k[a+12>>2]|0;m=k[a+16>>2]|0;n=k[a+8>>2]|0;a=k[d>>2]|0;o=k[c>>2]|0;q=+p[e>>3];s=+p[m>>3];if((n|0)>1){t=1;u=q;v=q;w=s;x=s;while(1){y=+p[e+(t<<3)>>3];z=y<v?y:v;A=y>u?y:u;y=+p[m+(t<<3)>>3];B=y<x?y:x;C=y>w?y:w;t=t+1|0;if((t|0)==(n|0)){D=A;E=z;F=C;G=B;break}else{u=A;v=z;w=C;x=B}}}else{D=q;E=q;F=s;G=s}if((a|0)<(o|0)){t=a;do{H=h+(t<<3)|0;if(!(+p[H>>3]!=0.0)){x=+p[i+(t<<3)>>3];w=+p[j+(t<<3)>>3];if(w>F|(x<E|x>D|w<G))I=0.0;else I=+(bh(n,e,m,x,w,g)|0);p[H>>3]=I}t=t+1|0}while((t|0)!=(o|0))}l=l+1|0}while((l|0)<(th(f)|0));r=b;return 0}function Yg(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0;f=r;r=r+192|0;g=f+176|0;h=f+40|0;i=f+24|0;j=f+12|0;l=f;m=e*51|0;n=Rqa(m>>>0>1073741823?-1:m<<2)|0;if(e)WEa(n|0,0,e*204|0)|0;if((d|0)>0){m=0;do{o=m*3|0;m=m+1|0;p=(k[c+(o<<2)>>2]|0)*51|0;q=p+-51|0;s=n+(p+-1<<2)|0;p=k[s>>2]|0;a:do if((p|0)>0){t=n+(q<<2)|0;u=0;while(1){if((m|0)==(k[t+(u<<2)>>2]|0))break a;u=u+1|0;if((u|0)>=(p|0)){v=10;break}}}else v=10;while(0);b:do if((v|0)==10){v=0;k[n+(q+p<<2)>>2]=m;k[s>>2]=p+1;u=(k[c+(o+1<<2)>>2]|0)*51|0;t=u+-51|0;w=n+(u+-1<<2)|0;u=k[w>>2]|0;if((u|0)>0){x=n+(t<<2)|0;y=0;do{if((m|0)==(k[x+(y<<2)>>2]|0))break b;y=y+1|0}while((y|0)<(u|0))}k[n+(t+u<<2)>>2]=m;k[w>>2]=u+1;y=(k[c+(o+2<<2)>>2]|0)*51|0;x=y+-51|0;z=n+(y+-1<<2)|0;y=k[z>>2]|0;if((y|0)>0){A=n+(x<<2)|0;C=0;do{if((m|0)==(k[A+(C<<2)>>2]|0))break b;C=C+1|0}while((C|0)<(y|0))}k[n+(x+y<<2)>>2]=m;k[z>>2]=y+1}while(0)}while((m|0)!=(d|0))}if((e|0)>0)D=0;else{k[a>>2]=n;k[b>>2]=51;r=f;return}while(1){d=n+(D*51<<2)+200|0;D=D+1|0;if((k[d>>2]|0)>50){E=d;break}if((D|0)>=(e|0)){v=38;break}}if((v|0)==38){k[a>>2]=n;k[b>>2]=51;r=f;return}f=h+56|0;b=h+4|0;k[h>>2]=27524;k[f>>2]=27544;B=0;wa(508,h+56|0,b|0);n=B;B=0;if(n&1){n=Rb()|0;F=Q;G=n;vva(f);Qb(G|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[f>>2]=27488;B=0;va(448,b|0);n=B;B=0;do if(n&1){a=Rb()|0;H=Q;I=a}else{k[b>>2]=27560;a=h+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[h+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,b|0,g|0);v=B;B=0;if(v&1){v=Rb()|0;e=Q;Yua(g);Yua(a);Ava(b);H=e;I=v;break}Yua(g);B=0;v=Ia(40,h|0,64936,32)|0;e=B;B=0;if(((!(e&1)?(B=0,e=Xa(242,v|0,k[E>>2]|0)|0,v=B,B=0,!(v&1)):0)?(B=0,v=Ia(40,e|0,64969,39)|0,e=B,B=0,!(e&1)):0)?(B=0,Xa(239,v|0,0)|0,v=B,B=0,!(v&1)):0){v=Ab(20)|0;B=0;eb(502,i|0,65009,94);e=B;B=0;do if(!(e&1)){B=0;eb(502,j|0,65104,17);D=B;B=0;if(D&1){D=Rb()|0;d=Q;Yua(i);J=d;K=D;break}B=0;wa(510,l|0,b|0);D=B;B=0;if(D&1){D=Rb()|0;L=Q;M=D;N=1}else{B=0;ua(163,v|0,i|0,j|0,67,l|0);D=B;B=0;if(D&1)O=1;else{B=0;eb(503,v|0,1240,229);B=0;O=0}D=Rb()|0;d=Q;Yua(l);L=d;M=D;N=O}Yua(j);Yua(i);if(N){J=L;K=M}else{P=L;R=M;k[h>>2]=27468;k[f>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(f);Qb(R|0)}}else{D=Rb()|0;J=Q;K=D}while(0);zb(v|0);P=J;R=K;k[h>>2]=27468;k[f>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(f);Qb(R|0)}e=Rb()|0;P=Q;R=e;k[h>>2]=27468;k[f>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(f);Qb(R|0)}while(0);F=H;G=I;vva(f);Qb(G|0)}function Zg(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;e=f+-1|0;g=c*3|0;h=Rqa(g>>>0>1073741823?-1:g<<2)|0;if(!c){k[a>>2]=h;return}WEa(h|0,0,c*12|0)|0;if((c|0)>0)i=0;else{k[a>>2]=h;return}do{g=i*3|0;j=b+(g<<2)|0;l=j+4|0;m=j+8|0;n=h+(g<<2)|0;o=h+(g+1<<2)|0;p=h+(g+2<<2)|0;q=0;do{r=ma((k[b+(q+g<<2)>>2]|0)+-1|0,f)|0;s=k[d+(e+r<<2)>>2]|0;if((s|0)>0){t=k[j>>2]|0;u=k[l>>2]|0;v=k[m>>2]|0;w=0;do{x=k[d+(w+r<<2)>>2]|0;y=b+((x*3|0)+-3<<2)|0;z=k[y>>2]|0;A=k[y+4>>2]|0;B=k[y+8>>2]|0;do if((((t|0)==(A|0)&1)+((t|0)==(z|0)&1)+((t|0)==(B|0)&1)+((u|0)==(z|0)&1)+((u|0)==(A|0)&1)+((u|0)==(B|0)&1)+((v|0)==(z|0)&1)+((v|0)==(A|0)&1)+((v|0)==(B|0)&1)|0)==2){y=k[n>>2]|0;if(y){if((x|0)==(y|0))break;y=k[o>>2]|0;if(y){if((x|0)==(y|0))break;if(!(k[p>>2]|0))C=p;else break}else C=o}else C=n;k[C>>2]=x}while(0);w=w+1|0}while((w|0)!=(s|0))}q=q+1|0}while((q|0)!=3);i=i+1|0}while((i|0)!=(c|0));k[a>>2]=h;return}function _g(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;c=r;r=r+16|0;d=c;k[d>>2]=b;k[d+4>>2]=0;k[d+8>>2]=1;Hc[a&511](d)|0;r=c;return}function $g(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;f=~~+_(+(+(c|0)/+(d|0)));if((e|0)<0){g=-1;h=-1}else{i=ma(f,e)|0;g=i;h=(d+-1|0)==(e|0)?c:i+f|0}k[a>>2]=g;k[b>>2]=h;return}function ah(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0;if((g|0)>0)i=0;else return 1;do{j=a+(i<<3)|0;do if(!(+p[j>>3]!=0.0))if(!(bh(d,b,c,+p[e+(i<<3)>>3],+p[f+(i<<3)>>3],h)|0)){p[j>>3]=0.0;break}else{p[j>>3]=1.0;break}while(0);i=i+1|0}while((i|0)!=(g|0));return 1}function bh(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;var g=0,h=0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0,x=0.0,y=0,z=0;g=a+-1|0;a:do if((f|0)!=2){if((a|0)<=0){h=0;return h|0}i=+p[b+(g<<3)>>3];j=+p[c+(g<<3)>>3];k=0;while(1){l=j;j=+p[c+(k<<3)>>3];m=j-l;n=i;i=+p[b+(k<<3)>>3];o=i-n;q=m*m+o*o;r=e-l;l=d-n;n=r*r+l*l;s=q*n;t=+$(+(+aa(+s)));k=k+1|0;if(!(n<=q?m*r+o*l!=(s==-G?G:t):1)){h=f;break}if((k|0)>=(a|0))break a}return h|0}while(0);if((a|0)>0){u=0;v=0;w=g}else{h=0;return h|0}while(1){g=c+(v<<3)|0;i=+p[g>>3];j=+p[c+(w<<3)>>3];if(!(i<=e&j>e))if(j<=e?(t=+p[g>>3],t>e):0){x=t;y=10}else z=u;else{x=i;y=10}if((y|0)==10){y=0;i=+p[b+(v<<3)>>3];if(i+(+p[b+(w<<3)>>3]-i)*(e-x)/(j-x)>d)z=(u|0)==0&1;else z=u}g=v+1|0;if((g|0)==(a|0)){h=z;break}else{f=v;u=z;v=g;w=f}}return h|0}function ch(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;e=k[a>>2]|0;if((b|0)>0)f=0;else{k[a>>2]=e;return 1}do{g=f*3|0;h=(fh(k[e+(g<<2)>>2]|0,k[e+(g+1<<2)>>2]|0,c,d)|0)+1|0;k[e+(g+2<<2)>>2]=h;f=f+1|0}while((f|0)!=(b|0));k[a>>2]=e;return 1}function dh(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0.0,k=0.0,l=0,m=0.0,n=0.0,o=0.0,q=0.0;f=r;r=r+32|0;g=f+16|0;h=f+8|0;i=f;p[g>>3]=0.0;j=+p[d>>3];k=+p[e>>3];l=c+-1|0;m=(j+ +p[d+(l<<3)>>3])*.5;n=(k+ +p[e+(l<<3)>>3])*.5;o=(n-k)*.17632698070846498;p[h>>3]=m+o;k=(j-m)*.17632698070846498;p[i>>3]=n+k;ah(g,h,i,1,d,e,c,2)|0;if(+p[g>>3]!=0.0){p[a>>3]=m-o;q=n-k;p[b>>3]=q;r=f;return 1}else{p[a>>3]=+p[h>>3];q=+p[i>>3];p[b>>3]=q;r=f;return 1}return 0}function eh(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0;d=k[a>>2]|0;if((b|0)>0)e=0;else return 1;do{a=e*3|0;f=d+(a<<2)|0;g=k[f>>2]|0;h=d+(a+1<<2)|0;i=k[h>>2]|0;j=(k[d+(a+2<<2)>>2]|0)*3|0;a=k[c+(j+-3<<2)>>2]|0;do if((a|0)==(g|0)){if((k[c+(j+-1<<2)>>2]|0)==(i|0)){k[f>>2]=i;k[h>>2]=g}}else{l=k[c+(j+-2<<2)>>2]|0;if((l|0)==(g|0)){if((a|0)!=(i|0))break;k[f>>2]=i;k[h>>2]=g;break}else{if((l|0)!=(i|0))break;k[f>>2]=i;k[h>>2]=g;break}}while(0);e=e+1|0}while((e|0)!=(b|0));return 1}function fh(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;if((d|0)>0)e=0;else{f=-1;return f|0}while(1){g=e*3|0;h=k[c+(g<<2)>>2]|0;if(!(((h|0)!=(a|0)?(k[c+(g+1<<2)>>2]|0)!=(a|0):0)?(k[c+(g+2<<2)>>2]|0)!=(a|0):0)){if((h|0)==(b|0)){f=e;i=9;break}if((k[c+(g+1<<2)>>2]|0)==(b|0)){f=e;i=9;break}if((k[c+(g+2<<2)>>2]|0)==(b|0)){f=e;i=9;break}}e=e+1|0;if((e|0)>=(d|0)){f=-1;i=9;break}}if((i|0)==9)return f|0;return 0}function gh(a){a=a|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+16>>2]=0;k[a+24>>2]=0;k[a+20>>2]=0;k[a+12>>2]=-1;k[a+28>>2]=0;k[a+32>>2]=0;return}function hh(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;b=r;r=r+16|0;c=b;d=Qqa(36)|0;e=k[a+12>>2]|0;k[d>>2]=0;f=d+4|0;k[f>>2]=0;g=d+8|0;k[g>>2]=0;k[d+12>>2]=e;e=d+16|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;k[e+16>>2]=0;h=a+16|0;i=k[h>>2]|0;k[e>>2]=i;e=a+24|0;j=k[e>>2]|0;k[d+24>>2]=j;k[d+20>>2]=k[a+20>>2];l=k[a>>2]|0;m=a+4|0;if(l>>>0<(k[m>>2]|0)>>>0){n=l;do{l=k[n>>2]|0;o=Hc[k[(k[l>>2]|0)+24>>2]&511](l)|0;k[c>>2]=o;l=k[f>>2]|0;if((l|0)==(k[g>>2]|0))uh(d,c);else{k[l>>2]=o;k[f>>2]=(k[f>>2]|0)+4}n=n+4|0}while(n>>>0<(k[m>>2]|0)>>>0);p=k[h>>2]|0;q=k[e>>2]|0}else{p=i;q=j}j=(q|0)>0&(p|0)!=0;if(j?(p=k[a+32>>2]|0,(p|0)!=0):0){i=Rqa(q>>>0>1073741823?-1:q<<2)|0;k[d+32>>2]=i;if(!q)s=14;else{e=0;do{k[i+(e<<2)>>2]=k[p+(e<<2)>>2];e=e+1|0}while((e|0)!=(q|0));s=13}}else{k[d+32>>2]=0;s=13}if((s|0)==13?j:0)s=14;if((s|0)==14?(s=k[a+28>>2]|0,(s|0)!=0):0){a=Rqa(q>>>0>1073741823?-1:q<<2)|0;k[d+28>>2]=a;if(!q){r=b;return d|0}else t=0;do{k[a+(t<<2)>>2]=k[s+(t<<2)>>2];t=t+1|0}while((t|0)!=(q|0));r=b;return d|0}k[d+28>>2]=0;r=b;return d|0}function ih(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=r;r=r+16|0;d=c;k[d>>2]=b;e=a+4|0;f=k[e>>2]|0;if((f|0)==(k[a+8>>2]|0)){uh(a,d);r=c;return 1}else{k[f>>2]=b;k[e>>2]=(k[e>>2]|0)+4;r=c;return 1}return 0}function jh(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;b=a+4|0;c=k[b>>2]|0;d=k[a>>2]|0;if(d>>>0<c>>>0){e=d;f=c;while(1){f=f+-4|0;g=k[f>>2]|0;if(!g)h=e;else{Ec[k[(k[g>>2]|0)+4>>2]&1023](g);h=k[a>>2]|0}if(h>>>0>=f>>>0){i=h;break}else e=h}j=k[b>>2]|0;l=i}else{j=c;l=d}if((j|0)!=(l|0))k[b>>2]=j+(~((j+-4-l|0)>>>2)<<2);l=a+28|0;j=k[l>>2]|0;if(j)Tqa(j);k[l>>2]=0;l=a+32|0;j=k[l>>2]|0;if(j)Tqa(j);k[l>>2]=0;l=k[a>>2]|0;if(!l)return;a=k[b>>2]|0;if((a|0)!=(l|0))k[b>>2]=a+(~((a+-4-l|0)>>>2)<<2);Sqa(l);return}function kh(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;b=a+4|0;c=k[b>>2]|0;d=k[a>>2]|0;if(d>>>0<c>>>0){e=d;f=c;while(1){f=f+-4|0;g=k[f>>2]|0;if(!g)h=e;else{Ec[k[(k[g>>2]|0)+4>>2]&1023](g);h=k[a>>2]|0}if(h>>>0>=f>>>0){i=h;break}else e=h}j=k[b>>2]|0;l=i}else{j=c;l=d}if((j|0)==(l|0))return;k[b>>2]=j+(~((j+-4-l|0)>>>2)<<2);return}function lh(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0;e=r;r=r+528|0;f=e+516|0;g=e+272|0;h=e+504|0;j=e+492|0;m=e+480|0;n=e+136|0;o=e+468|0;p=e+456|0;q=e+444|0;s=e;t=e+432|0;u=e+420|0;v=e+408|0;w=(d|0)==0;x=(d|0)==2;y=(d&-3|0)==0;z=a+4|0;if(!y){A=k[z>>2]|0;C=k[a>>2]|0;if(C>>>0<A>>>0){D=A;E=C;while(1){D=D+-4|0;F=k[D>>2]|0;if(!F)G=E;else{Ec[k[(k[F>>2]|0)+4>>2]&1023](F);G=k[a>>2]|0}if(G>>>0>=D>>>0){H=G;break}else E=G}I=k[z>>2]|0;J=H}else{I=A;J=C}if((I|0)==(J|0))K=0;else{k[z>>2]=I+(~((I+-4-J|0)>>>2)<<2);K=0}}else K=(k[z>>2]|0)-(k[a>>2]|0)>>2;do if(w){J=k[b>>2]|0;i[J>>0]=33;i[J+1>>0]=2;i[J+2>>0]=0;i[J+3>>0]=0;J=(k[b>>2]|0)+4|0;k[b>>2]=J;I=a+12|0;C=l[I>>0]|l[I+1>>0]<<8|l[I+2>>0]<<16|l[I+3>>0]<<24;i[J>>0]=C;i[J+1>>0]=C>>8;i[J+2>>0]=C>>16;i[J+3>>0]=C>>24;C=(k[b>>2]|0)+4|0;k[b>>2]=C;J=a+16|0;I=l[J>>0]|l[J+1>>0]<<8|l[J+2>>0]<<16|l[J+3>>0]<<24;i[C>>0]=I;i[C+1>>0]=I>>8;i[C+2>>0]=I>>16;i[C+3>>0]=I>>24;I=(k[b>>2]|0)+4|0;k[b>>2]=I;C=a+20|0;J=l[C>>0]|l[C+1>>0]<<8|l[C+2>>0]<<16|l[C+3>>0]<<24;i[I>>0]=J;i[I+1>>0]=J>>8;i[I+2>>0]=J>>16;i[I+3>>0]=J>>24;J=(k[b>>2]|0)+4|0;k[b>>2]=J;I=a+24|0;C=l[I>>0]|l[I+1>>0]<<8|l[I+2>>0]<<16|l[I+3>>0]<<24;i[J>>0]=C;i[J+1>>0]=C>>8;i[J+2>>0]=C>>16;i[J+3>>0]=C>>24;k[b>>2]=(k[b>>2]|0)+4}else{if(x){k[c>>2]=(k[c>>2]|0)+20;break}if((d|0)==1){C=(k[b>>2]|0)+4|0;k[b>>2]=C;J=a+12|0;I=l[C>>0]|l[C+1>>0]<<8|l[C+2>>0]<<16|l[C+3>>0]<<24;i[J>>0]=I;i[J+1>>0]=I>>8;i[J+2>>0]=I>>16;i[J+3>>0]=I>>24;I=(k[b>>2]|0)+4|0;k[b>>2]=I;J=a+16|0;C=l[I>>0]|l[I+1>>0]<<8|l[I+2>>0]<<16|l[I+3>>0]<<24;i[J>>0]=C;i[J+1>>0]=C>>8;i[J+2>>0]=C>>16;i[J+3>>0]=C>>24;C=(k[b>>2]|0)+4|0;k[b>>2]=C;J=a+20|0;I=l[C>>0]|l[C+1>>0]<<8|l[C+2>>0]<<16|l[C+3>>0]<<24;i[J>>0]=I;i[J+1>>0]=I>>8;i[J+2>>0]=I>>16;i[J+3>>0]=I>>24;I=(k[b>>2]|0)+4|0;k[b>>2]=I;J=a+24|0;C=l[I>>0]|l[I+1>>0]<<8|l[I+2>>0]<<16|l[I+3>>0]<<24;i[J>>0]=C;i[J+1>>0]=C>>8;i[J+2>>0]=C>>16;i[J+3>>0]=C>>24;k[b>>2]=(k[b>>2]|0)+4;break}C=g+56|0;J=g+4|0;k[g>>2]=27524;k[C>>2]=27544;B=0;wa(508,g+56|0,J|0);I=B;B=0;if(I&1){I=Rb()|0;L=Q;M=I;vva(C);Qb(M|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[C>>2]=27488;B=0;va(448,J|0);I=B;B=0;do if(I&1){A=Rb()|0;N=Q;O=A}else{k[J>>2]=27560;A=g+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,J|0,f|0);H=B;B=0;if(H&1){H=Rb()|0;G=Q;Yua(f);Yua(A);Ava(J);N=G;O=H;break}Yua(f);B=0;H=Ia(40,g|0,143951,43)|0;G=B;B=0;a:do if(!(G&1)?(B=0,Xa(239,H|0,0)|0,E=B,B=0,!(E&1)):0){E=Ab(20)|0;B=0;eb(502,h|0,65122,73);D=B;B=0;do if(!(D&1)){B=0;eb(502,j|0,149525,8);F=B;B=0;if(F&1){F=Rb()|0;P=Q;Yua(h);R=P;S=F;break}B=0;wa(510,m|0,J|0);F=B;B=0;if(F&1){F=Rb()|0;T=Q;U=F;V=1}else{B=0;ua(163,E|0,h|0,j|0,107,m|0);F=B;B=0;if(F&1)W=1;else{B=0;eb(503,E|0,1240,229);B=0;W=0}F=Rb()|0;P=Q;Yua(m);T=P;U=F;V=W}Yua(j);Yua(h);if(V){R=T;S=U}else{X=T;Y=U;break a}}else{F=Rb()|0;R=Q;S=F}while(0);zb(E|0);X=R;Y=S}else Z=28;while(0);if((Z|0)==28){H=Rb()|0;X=Q;Y=H}k[g>>2]=27468;k[C>>2]=27488;k[J>>2]=27560;Yua(A);Ava(J);vva(C);_=X;$=Y;Qb($|0)}while(0);L=N;M=O;vva(C);Qb(M|0)}while(0);if(y){if(((k[a+16>>2]|0)!=0?(k[a+24>>2]|0)>0:0)?(y=k[a+32>>2]|0,(y|0)!=0):0){M=a+28|0;aa=M;ba=(k[M>>2]|0)==0;ca=y}else{y=a+28|0;k[y>>2]=0;k[a+32>>2]=0;aa=y;ba=1;ca=0}do if(!w)if(x){y=(k[c>>2]|0)+1|0;k[c>>2]=y;if(ba)da=y;else{M=y+(k[a+24>>2]<<2)|0;k[c>>2]=M;da=M}M=da+1|0;k[c>>2]=M;if(!ca)ea=M;else{y=M+(k[a+24>>2]<<2)|0;k[c>>2]=y;ea=y}k[c>>2]=ea+4;break}else{y=k[b>>2]|0;M=i[y>>0]|0;O=y+1|0;k[b>>2]=O;if(!(M&1)){M=k[a+24>>2]|0;y=Rqa(M>>>0>1073741823?-1:M<<2)|0;k[aa>>2]=y;N=k[b>>2]|0;L=M<<2;TEa(y|0,N|0,L|0)|0;y=N+L|0;k[b>>2]=y;fa=y}else fa=O;O=i[fa>>0]|0;y=fa+1|0;k[b>>2]=y;if(!(O&1)){O=k[a+24>>2]|0;L=Rqa(O>>>0>1073741823?-1:O<<2)|0;k[a+32>>2]=L;N=k[b>>2]|0;M=O<<2;TEa(L|0,N|0,M|0)|0;L=N+M|0;k[b>>2]=L;ga=L}else ga=y;k[b>>2]=ga+4;break}else{i[k[b>>2]>>0]=ba&1;y=(k[b>>2]|0)+1|0;k[b>>2]=y;if(ba)ha=y;else{L=a+24|0;TEa(y|0,k[aa>>2]|0,k[L>>2]<<2|0)|0;y=(k[b>>2]|0)+(k[L>>2]<<2)|0;k[b>>2]=y;ha=y}y=a+32|0;L=(k[y>>2]|0)==0;i[ha>>0]=L&1;M=(k[b>>2]|0)+1|0;k[b>>2]=M;if(L)ia=M;else{L=a+24|0;TEa(M|0,k[y>>2]|0,k[L>>2]<<2|0)|0;y=(k[b>>2]|0)+(k[L>>2]<<2)|0;k[b>>2]=y;ia=y}i[ia>>0]=K;i[ia+1>>0]=K>>8;i[ia+2>>0]=K>>16;i[ia+3>>0]=K>>24;k[b>>2]=(k[b>>2]|0)+4}while(0);ia=k[a>>2]|0;if(ia>>>0>=(k[z>>2]|0)>>>0){r=e;return}if(w){ha=ia;do{aa=k[ha>>2]|0;ba=Hc[k[(k[aa>>2]|0)+20>>2]&511](aa)|0;aa=k[b>>2]|0;i[aa>>0]=ba;i[aa+1>>0]=ba>>8;i[aa+2>>0]=ba>>16;i[aa+3>>0]=ba>>24;k[b>>2]=(k[b>>2]|0)+4;ba=k[ha>>2]|0;rd[k[(k[ba>>2]|0)+28>>2]&511](ba,b,c,0);ha=ha+4|0}while(ha>>>0<(k[z>>2]|0)>>>0);r=e;return}if(x){ha=ia;do{ba=k[ha>>2]|0;Hc[k[(k[ba>>2]|0)+20>>2]&511](ba)|0;k[c>>2]=(k[c>>2]|0)+4;ba=k[ha>>2]|0;rd[k[(k[ba>>2]|0)+28>>2]&511](ba,b,c,2);ha=ha+4|0}while(ha>>>0<(k[z>>2]|0)>>>0);r=e;return}else{ha=ia;do{ia=k[ha>>2]|0;Hc[k[(k[ia>>2]|0)+20>>2]&511](ia)|0;k[b>>2]=(k[b>>2]|0)+4;ia=k[ha>>2]|0;rd[k[(k[ia>>2]|0)+28>>2]&511](ia,b,c,d);ha=ha+4|0}while(ha>>>0<(k[z>>2]|0)>>>0);r=e;return}}ha=a+28|0;ia=(k[ha>>2]|0)==0;do if(w){i[k[b>>2]>>0]=ia&1;ba=(k[b>>2]|0)+1|0;k[b>>2]=ba;if(ia)ja=ba;else{aa=a+24|0;TEa(ba|0,k[ha>>2]|0,k[aa>>2]<<2|0)|0;ba=(k[b>>2]|0)+(k[aa>>2]<<2)|0;k[b>>2]=ba;ja=ba}ba=a+32|0;aa=(k[ba>>2]|0)==0;i[ja>>0]=aa&1;ga=(k[b>>2]|0)+1|0;k[b>>2]=ga;if(aa)ka=ba;else{aa=a+24|0;TEa(ga|0,k[ba>>2]|0,k[aa>>2]<<2|0)|0;k[b>>2]=(k[b>>2]|0)+(k[aa>>2]<<2);ka=ba}}else if(x){ba=(k[c>>2]|0)+1|0;k[c>>2]=ba;if(ia)la=ba;else{aa=ba+(k[a+24>>2]<<2)|0;k[c>>2]=aa;la=aa}aa=a+32|0;ba=(k[aa>>2]|0)==0;ga=la+1|0;k[c>>2]=ga;if(ba){ka=aa;break}k[c>>2]=ga+(k[a+24>>2]<<2);ka=aa;break}else{aa=k[b>>2]|0;ga=i[aa>>0]|0;ba=aa+1|0;k[b>>2]=ba;if(!(ga&1)){ga=k[a+24>>2]|0;aa=Rqa(ga>>>0>1073741823?-1:ga<<2)|0;k[ha>>2]=aa;fa=k[b>>2]|0;ea=ga<<2;TEa(aa|0,fa|0,ea|0)|0;aa=fa+ea|0;k[b>>2]=aa;ma=aa}else ma=ba;ba=a+32|0;aa=i[ma>>0]|0;k[b>>2]=ma+1;if(aa&1){ka=ba;break}aa=k[a+24>>2]|0;ea=Rqa(aa>>>0>1073741823?-1:aa<<2)|0;k[ba>>2]=ea;fa=k[b>>2]|0;ga=aa<<2;TEa(ea|0,fa|0,ga|0)|0;k[b>>2]=fa+ga;ka=ba;break}while(0);if(!((k[a+16>>2]|0)!=0?(k[a+24>>2]|0)>0:0)){k[ha>>2]=0;k[ka>>2]=0}do if(w){ka=k[b>>2]|0;i[ka>>0]=K;i[ka+1>>0]=K>>8;i[ka+2>>0]=K>>16;i[ka+3>>0]=K>>24;k[b>>2]=(k[b>>2]|0)+4;na=K}else{if(x){k[c>>2]=(k[c>>2]|0)+4;na=K;break}if((d|0)==1){ka=k[b>>2]|0;ha=l[ka>>0]|l[ka+1>>0]<<8|l[ka+2>>0]<<16|l[ka+3>>0]<<24;k[b>>2]=ka+4;na=ha;break}ha=n+56|0;ka=n+4|0;k[n>>2]=27524;k[ha>>2]=27544;B=0;wa(508,n+56|0,ka|0);ma=B;B=0;if(ma&1){ma=Rb()|0;oa=Q;pa=ma;vva(ha);Qb(pa|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[ha>>2]=27488;B=0;va(448,ka|0);ma=B;B=0;do if(ma&1){la=Rb()|0;qa=Q;ra=la}else{k[ka>>2]=27560;la=n+36|0;k[la>>2]=0;k[la+4>>2]=0;k[la+8>>2]=0;k[la+12>>2]=0;k[n+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,ka|0,f|0);ia=B;B=0;if(ia&1){ia=Rb()|0;ja=Q;Yua(f);Yua(la);Ava(ka);qa=ja;ra=ia;break}Yua(f);B=0;ia=Ia(40,n|0,143951,43)|0;ja=B;B=0;b:do if(!(ja&1)?(B=0,Xa(239,ia|0,0)|0,ba=B,B=0,!(ba&1)):0){ba=Ab(20)|0;B=0;eb(502,o|0,65122,73);ga=B;B=0;do if(!(ga&1)){B=0;eb(502,p|0,149525,8);fa=B;B=0;if(fa&1){fa=Rb()|0;ea=Q;Yua(o);sa=fa;ta=ea;break}B=0;wa(510,q|0,ka|0);ea=B;B=0;if(ea&1){ea=Rb()|0;xa=1;za=Q;Aa=ea}else{B=0;ua(163,ba|0,o|0,p|0,138,q|0);ea=B;B=0;if(ea&1)Ba=1;else{B=0;eb(503,ba|0,1240,229);B=0;Ba=0}ea=Rb()|0;fa=Q;Yua(q);xa=Ba;za=fa;Aa=ea}Yua(p);Yua(o);if(xa){sa=Aa;ta=za}else{Ca=za;Da=Aa;break b}}else{ea=Rb()|0;sa=ea;ta=Q}while(0);zb(ba|0);Ca=ta;Da=sa}else Z=106;while(0);if((Z|0)==106){ia=Rb()|0;Ca=Q;Da=ia}k[n>>2]=27468;k[ha>>2]=27488;k[ka>>2]=27560;Yua(la);Ava(ka);vva(ha);_=Ca;$=Da;Qb($|0)}while(0);oa=qa;pa=ra;vva(ha);Qb(pa|0)}while(0);if((na|0)<=0){r=e;return}pa=a+8|0;ra=k[7517]|0;qa=k[7834]|0;oa=k[7671]|0;Da=k[7369]|0;Ca=0;n=0;c:while(1){do if(!w)if(x){k[c>>2]=(k[c>>2]|0)+4;Ea=n;break}else{sa=k[b>>2]|0;ta=l[sa>>0]|l[sa+1>>0]<<8|l[sa+2>>0]<<16|l[sa+3>>0]<<24;k[b>>2]=sa+4;Ea=ta;break}else{ta=k[b>>2]|0;i[ta>>0]=n;i[ta+1>>0]=n>>8;i[ta+2>>0]=n>>16;i[ta+3>>0]=n>>24;k[b>>2]=(k[b>>2]|0)+4;Ea=n}while(0);do switch(Ea|0){case 587:{ha=Qqa(144)|0;B=0;va(454,ha|0);ta=B;B=0;if(ta&1){Fa=ha;Z=127;break c}rd[k[(k[ha>>2]|0)+28>>2]&511](ha,b,c,d);k[f>>2]=ha;ta=k[z>>2]|0;if((ta|0)==(k[pa>>2]|0))uh(a,f);else{k[ta>>2]=ha;k[z>>2]=(k[z>>2]|0)+4}break}case 627:{ha=Qqa(88)|0;B=0;va(455,ha|0);ta=B;B=0;if(ta&1){Ga=ha;Z=133;break c}rd[k[(k[ha>>2]|0)+28>>2]&511](ha,b,c,d);k[f>>2]=ha;ta=k[z>>2]|0;if((ta|0)==(k[pa>>2]|0))uh(a,f);else{k[ta>>2]=ha;k[z>>2]=(k[z>>2]|0)+4}break}case 583:{ha=Qqa(24)|0;B=0;va(456,ha|0);ta=B;B=0;if(ta&1){Ha=ha;Z=139;break c}rd[k[(k[ha>>2]|0)+28>>2]&511](ha,b,c,d);k[f>>2]=ha;ta=k[z>>2]|0;if((ta|0)==(k[pa>>2]|0))uh(a,f);else{k[ta>>2]=ha;k[z>>2]=(k[z>>2]|0)+4}break}case 586:{ha=Qqa(376)|0;B=0;va(457,ha|0);ta=B;B=0;if(ta&1){Ja=ha;Z=145;break c}rd[k[(k[ha>>2]|0)+28>>2]&511](ha,b,c,d);k[f>>2]=ha;ta=k[z>>2]|0;if((ta|0)==(k[pa>>2]|0))uh(a,f);else{k[ta>>2]=ha;k[z>>2]=(k[z>>2]|0)+4}break}case 615:{ha=Qqa(32)|0;B=0;va(458,ha|0);ta=B;B=0;if(ta&1){Ka=ha;Z=151;break c}rd[k[(k[ha>>2]|0)+28>>2]&511](ha,b,c,d);k[f>>2]=ha;ta=k[z>>2]|0;if((ta|0)==(k[pa>>2]|0))uh(a,f);else{k[ta>>2]=ha;k[z>>2]=(k[z>>2]|0)+4}break}case 614:{ha=Qqa(40)|0;B=0;va(459,ha|0);ta=B;B=0;if(ta&1){La=ha;Z=157;break c}rd[k[(k[ha>>2]|0)+28>>2]&511](ha,b,c,d);k[f>>2]=ha;ta=k[z>>2]|0;if((ta|0)==(k[pa>>2]|0))uh(a,f);else{k[ta>>2]=ha;k[z>>2]=(k[z>>2]|0)+4}break}case 616:{ha=Qqa(36)|0;B=0;va(460,ha|0);ta=B;B=0;if(ta&1){Ma=ha;Z=163;break c}rd[k[(k[ha>>2]|0)+28>>2]&511](ha,b,c,d);k[f>>2]=ha;ta=k[z>>2]|0;if((ta|0)==(k[pa>>2]|0))uh(a,f);else{k[ta>>2]=ha;k[z>>2]=(k[z>>2]|0)+4}break}case 621:{ha=Qqa(72)|0;B=0;va(461,ha|0);ta=B;B=0;if(ta&1){Na=ha;Z=174;break c}ta=ha+48|0;B=0;va(462,ta|0);sa=B;B=0;if(sa&1){Oa=ha;Pa=ha;Z=167;break c}B=0;sa=B;B=0;if(sa&1){Qa=ha;Ra=ha;Sa=ta;Z=168;break c}k[ha>>2]=30040;k[ha+4>>2]=30604;rd[ra&511](ha,b,c,d);k[f>>2]=ha;ta=k[z>>2]|0;if((ta|0)==(k[pa>>2]|0))uh(a,f);else{k[ta>>2]=ha;k[z>>2]=(k[z>>2]|0)+4}break}case 625:{ha=Qqa(76)|0;B=0;va(461,ha|0);ta=B;B=0;if(ta&1){Ta=ha;Z=186;break c}ta=ha+48|0;B=0;va(462,ta|0);sa=B;B=0;if(sa&1){Ua=ha;Va=ha;Z=179;break c}B=0;sa=B;B=0;if(sa&1){Wa=ha;Ya=ha;Za=ta;Z=180;break c}k[ha>>2]=31308;k[ha+4>>2]=31872;rd[qa&511](ha,b,c,d);k[f>>2]=ha;ta=k[z>>2]|0;if((ta|0)==(k[pa>>2]|0))uh(a,f);else{k[ta>>2]=ha;k[z>>2]=(k[z>>2]|0)+4}break}case 623:{ha=Qqa(72)|0;B=0;va(461,ha|0);ta=B;B=0;if(ta&1){_a=ha;Z=198;break c}ta=ha+48|0;B=0;va(462,ta|0);sa=B;B=0;if(sa&1){$a=ha;ab=ha;Z=191;break c}B=0;sa=B;B=0;if(sa&1){bb=ha;cb=ha;db=ta;Z=192;break c}k[ha>>2]=30656;k[ha+4>>2]=31220;rd[oa&511](ha,b,c,d);k[f>>2]=ha;ta=k[z>>2]|0;if((ta|0)==(k[pa>>2]|0))uh(a,f);else{k[ta>>2]=ha;k[z>>2]=(k[z>>2]|0)+4}break}case 619:{ha=Qqa(72)|0;B=0;va(461,ha|0);ta=B;B=0;if(ta&1){fb=ha;Z=210;break c}ta=ha+48|0;B=0;va(462,ta|0);sa=B;B=0;if(sa&1){gb=ha;hb=ha;Z=203;break c}B=0;sa=B;B=0;if(sa&1){ib=ha;jb=ha;kb=ta;Z=204;break c}k[ha>>2]=29448;k[ha+4>>2]=30012;rd[Da&511](ha,b,c,d);k[f>>2]=ha;ta=k[z>>2]|0;if((ta|0)==(k[pa>>2]|0))uh(a,f);else{k[ta>>2]=ha;k[z>>2]=(k[z>>2]|0)+4}break}case 556:{ha=Qqa(12)|0;B=0;va(463,ha|0);ta=B;B=0;if(ta&1){lb=ha;Z=217;break c}rd[k[(k[ha>>2]|0)+28>>2]&511](ha,b,c,d);k[f>>2]=ha;ta=k[z>>2]|0;if((ta|0)==(k[pa>>2]|0))uh(a,f);else{k[ta>>2]=ha;k[z>>2]=(k[z>>2]|0)+4}break}case 561:{ha=Qqa(16)|0;B=0;va(464,ha|0);ta=B;B=0;if(ta&1){mb=ha;Z=223;break c}rd[k[(k[ha>>2]|0)+28>>2]&511](ha,b,c,d);k[f>>2]=ha;ta=k[z>>2]|0;if((ta|0)==(k[pa>>2]|0))uh(a,f);else{k[ta>>2]=ha;k[z>>2]=(k[z>>2]|0)+4}break}case 574:{ha=Qqa(12)|0;B=0;va(465,ha|0);ta=B;B=0;if(ta&1){nb=ha;Z=229;break c}rd[k[(k[ha>>2]|0)+28>>2]&511](ha,b,c,d);k[f>>2]=ha;ta=k[z>>2]|0;if((ta|0)==(k[pa>>2]|0))uh(a,f);else{k[ta>>2]=ha;k[z>>2]=(k[z>>2]|0)+4}break}case 559:{ha=Qqa(32)|0;B=0;va(466,ha|0);ta=B;B=0;if(ta&1){ob=ha;Z=235;break c}rd[k[(k[ha>>2]|0)+28>>2]&511](ha,b,c,d);k[f>>2]=ha;ta=k[z>>2]|0;if((ta|0)==(k[pa>>2]|0))uh(a,f);else{k[ta>>2]=ha;k[z>>2]=(k[z>>2]|0)+4}break}case 697:{ha=Qqa(24)|0;B=0;va(467,ha|0);ta=B;B=0;if(ta&1){pb=ha;Z=241;break c}rd[k[(k[ha>>2]|0)+28>>2]&511](ha,b,c,d);k[f>>2]=ha;ta=k[z>>2]|0;if((ta|0)==(k[pa>>2]|0))uh(a,f);else{k[ta>>2]=ha;k[z>>2]=(k[z>>2]|0)+4}break}case 622:{ha=Qqa(16)|0;B=0;va(468,ha|0);ta=B;B=0;if(ta&1){qb=ha;Z=247;break c}rd[k[(k[ha>>2]|0)+28>>2]&511](ha,b,c,d);k[f>>2]=ha;ta=k[z>>2]|0;if((ta|0)==(k[pa>>2]|0))uh(a,f);else{k[ta>>2]=ha;k[z>>2]=(k[z>>2]|0)+4}break}case 626:{ha=Qqa(16)|0;B=0;va(469,ha|0);ta=B;B=0;if(ta&1){rb=ha;Z=253;break c}rd[k[(k[ha>>2]|0)+28>>2]&511](ha,b,c,d);k[f>>2]=ha;ta=k[z>>2]|0;if((ta|0)==(k[pa>>2]|0))uh(a,f);else{k[ta>>2]=ha;k[z>>2]=(k[z>>2]|0)+4}break}case 624:{ha=Qqa(16)|0;B=0;va(470,ha|0);ta=B;B=0;if(ta&1){sb=ha;Z=259;break c}rd[k[(k[ha>>2]|0)+28>>2]&511](ha,b,c,d);k[f>>2]=ha;ta=k[z>>2]|0;if((ta|0)==(k[pa>>2]|0))uh(a,f);else{k[ta>>2]=ha;k[z>>2]=(k[z>>2]|0)+4}break}case 620:{ha=Qqa(16)|0;B=0;va(471,ha|0);ta=B;B=0;if(ta&1){tb=ha;Z=265;break c}rd[k[(k[ha>>2]|0)+28>>2]&511](ha,b,c,d);k[f>>2]=ha;ta=k[z>>2]|0;if((ta|0)==(k[pa>>2]|0))uh(a,f);else{k[ta>>2]=ha;k[z>>2]=(k[z>>2]|0)+4}break}case 610:{ha=Qqa(128)|0;B=0;va(472,ha|0);ta=B;B=0;if(ta&1){ub=ha;Z=271;break c}rd[k[(k[ha>>2]|0)+28>>2]&511](ha,b,c,d);k[f>>2]=ha;ta=k[z>>2]|0;if((ta|0)==(k[pa>>2]|0))uh(a,f);else{k[ta>>2]=ha;k[z>>2]=(k[z>>2]|0)+4}break}case 588:{ha=Qqa(48)|0;B=0;va(473,ha|0);ta=B;B=0;if(ta&1){vb=ha;Z=277;break c}rd[k[(k[ha>>2]|0)+28>>2]&511](ha,b,c,d);k[f>>2]=ha;ta=k[z>>2]|0;if((ta|0)==(k[pa>>2]|0))uh(a,f);else{k[ta>>2]=ha;k[z>>2]=(k[z>>2]|0)+4}break}case 593:{ha=Qqa(52)|0;B=0;va(474,ha|0);ta=B;B=0;if(ta&1){wb=ha;Z=283;break c}rd[k[(k[ha>>2]|0)+28>>2]&511](ha,b,c,d);k[f>>2]=ha;ta=k[z>>2]|0;if((ta|0)==(k[pa>>2]|0))uh(a,f);else{k[ta>>2]=ha;k[z>>2]=(k[z>>2]|0)+4}break}case 594:{ha=Qqa(28)|0;B=0;va(475,ha|0);ta=B;B=0;if(ta&1){xb=ha;Z=289;break c}rd[k[(k[ha>>2]|0)+28>>2]&511](ha,b,c,d);k[f>>2]=ha;ta=k[z>>2]|0;if((ta|0)==(k[pa>>2]|0))uh(a,f);else{k[ta>>2]=ha;k[z>>2]=(k[z>>2]|0)+4}break}default:{yb=Ea;Z=290;break c}}while(0);Ca=Ca+1|0;if((Ca|0)>=(na|0)){Z=318;break}else n=Ea}switch(Z|0){case 127:{Ea=Rb()|0;n=Q;Sqa(Fa);_=n;$=Ea;Qb($|0);break}case 133:{Ea=Rb()|0;n=Q;Sqa(Ga);_=n;$=Ea;Qb($|0);break}case 139:{Ea=Rb()|0;n=Q;Sqa(Ha);_=n;$=Ea;Qb($|0);break}case 145:{Ea=Rb()|0;n=Q;Sqa(Ja);_=n;$=Ea;Qb($|0);break}case 151:{Ea=Rb()|0;n=Q;Sqa(Ka);_=n;$=Ea;Qb($|0);break}case 157:{Ea=Rb()|0;n=Q;Sqa(La);_=n;$=Ea;Qb($|0);break}case 163:{Ea=Rb()|0;n=Q;Sqa(Ma);_=n;$=Ea;Qb($|0);break}case 167:{Ea=Rb()|0;Bb=Q;Cb=Ea;Db=Pa;Eb=Oa;Z=169;break}case 168:{Oa=Rb()|0;Pa=Q;Tq(Sa);Bb=Pa;Cb=Oa;Db=Ra;Eb=Qa;Z=169;break}case 174:{Qa=Rb()|0;Fb=Na;Gb=Q;Hb=Qa;Z=175;break}case 179:{Qa=Rb()|0;Ib=Q;Jb=Qa;Kb=Va;Lb=Ua;Z=181;break}case 180:{Ua=Rb()|0;Va=Q;Tq(Za);Ib=Va;Jb=Ua;Kb=Ya;Lb=Wa;Z=181;break}case 186:{Wa=Rb()|0;Mb=Ta;Nb=Q;Ob=Wa;Z=187;break}case 191:{Wa=Rb()|0;Pb=Q;Sb=Wa;Tb=ab;Ub=$a;Z=193;break}case 192:{$a=Rb()|0;ab=Q;Tq(db);Pb=ab;Sb=$a;Tb=cb;Ub=bb;Z=193;break}case 198:{bb=Rb()|0;Vb=_a;Wb=Q;Xb=bb;Z=199;break}case 203:{bb=Rb()|0;Yb=Q;Zb=bb;_b=hb;$b=gb;Z=205;break}case 204:{gb=Rb()|0;hb=Q;Tq(kb);Yb=hb;Zb=gb;_b=jb;$b=ib;Z=205;break}case 210:{ib=Rb()|0;ac=fb;bc=Q;cc=ib;Z=211;break}case 217:{ib=Rb()|0;fb=Q;Sqa(lb);_=fb;$=ib;Qb($|0);break}case 223:{ib=Rb()|0;fb=Q;Sqa(mb);_=fb;$=ib;Qb($|0);break}case 229:{ib=Rb()|0;fb=Q;Sqa(nb);_=fb;$=ib;Qb($|0);break}case 235:{ib=Rb()|0;fb=Q;Sqa(ob);_=fb;$=ib;Qb($|0);break}case 241:{ib=Rb()|0;fb=Q;Sqa(pb);_=fb;$=ib;Qb($|0);break}case 247:{ib=Rb()|0;fb=Q;Sqa(qb);_=fb;$=ib;Qb($|0);break}case 253:{ib=Rb()|0;fb=Q;Sqa(rb);_=fb;$=ib;Qb($|0);break}case 259:{ib=Rb()|0;fb=Q;Sqa(sb);_=fb;$=ib;Qb($|0);break}case 265:{ib=Rb()|0;fb=Q;Sqa(tb);_=fb;$=ib;Qb($|0);break}case 271:{ib=Rb()|0;fb=Q;Sqa(ub);_=fb;$=ib;Qb($|0);break}case 277:{ib=Rb()|0;fb=Q;Sqa(vb);_=fb;$=ib;Qb($|0);break}case 283:{ib=Rb()|0;fb=Q;Sqa(wb);_=fb;$=ib;Qb($|0);break}case 289:{ib=Rb()|0;fb=Q;Sqa(xb);_=fb;$=ib;Qb($|0);break}case 290:{ib=s+56|0;fb=s+4|0;k[s>>2]=27524;k[ib>>2]=27544;B=0;wa(508,s+56|0,fb|0);xb=B;B=0;if(xb&1){xb=Rb()|0;dc=Q;ec=xb;vva(ib);Qb(ec|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[ib>>2]=27488;B=0;va(448,fb|0);xb=B;B=0;do if(xb&1){wb=Rb()|0;fc=Q;gc=wb}else{k[fb>>2]=27560;wb=s+36|0;k[wb>>2]=0;k[wb+4>>2]=0;k[wb+8>>2]=0;k[wb+12>>2]=0;k[s+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,fb|0,f|0);vb=B;B=0;if(vb&1){vb=Rb()|0;ub=Q;Yua(f);Yua(wb);Ava(fb);fc=ub;gc=vb;break}Yua(f);B=0;vb=Ia(40,s|0,65196,31)|0;ub=B;B=0;d:do if(((((!(ub&1)?(B=0,tb=Xa(242,vb|0,yb|0)|0,sb=B,B=0,!(sb&1)):0)?(B=0,sb=Ia(40,tb|0,160061,2)|0,tb=B,B=0,!(tb&1)):0)?(B=0,tb=ya(427,yb|0)|0,rb=B,B=0,!(rb&1)):0)?(rb=Lta(tb)|0,B=0,qb=Ia(40,sb|0,tb|0,rb|0)|0,rb=B,B=0,!(rb&1)):0)?(B=0,Xa(239,qb|0,0)|0,qb=B,B=0,!(qb&1)):0){qb=Ab(20)|0;B=0;eb(502,t|0,65122,73);rb=B;B=0;do if(!(rb&1)){B=0;eb(502,u|0,149525,8);tb=B;B=0;if(tb&1){tb=Rb()|0;sb=Q;Yua(t);hc=tb;ic=sb;break}B=0;wa(510,v|0,fb|0);sb=B;B=0;if(sb&1){sb=Rb()|0;jc=1;kc=Q;lc=sb}else{B=0;ua(163,qb|0,t|0,u|0,295,v|0);sb=B;B=0;if(sb&1)mc=1;else{B=0;eb(503,qb|0,1240,229);B=0;mc=0}sb=Rb()|0;tb=Q;Yua(v);jc=mc;kc=tb;lc=sb}Yua(u);Yua(t);if(jc){hc=lc;ic=kc}else{nc=kc;oc=lc;break d}}else{sb=Rb()|0;hc=sb;ic=Q}while(0);zb(qb|0);nc=ic;oc=hc}else Z=309;while(0);if((Z|0)==309){vb=Rb()|0;nc=Q;oc=vb}k[s>>2]=27468;k[ib>>2]=27488;k[fb>>2]=27560;Yua(wb);Ava(fb);vva(ib);_=nc;$=oc;Qb($|0)}while(0);dc=fc;ec=gc;vva(ib);Qb(ec|0);break}case 318:{r=e;return}}if((Z|0)==169){Qo(Db);Fb=Eb;Gb=Bb;Hb=Cb;Z=175}else if((Z|0)==181){Qo(Kb);Mb=Lb;Nb=Ib;Ob=Jb;Z=187}else if((Z|0)==193){Qo(Tb);Vb=Ub;Wb=Pb;Xb=Sb;Z=199}else if((Z|0)==205){Qo(_b);ac=$b;bc=Yb;cc=Zb;Z=211}if((Z|0)==175){Sqa(Fb);_=Gb;$=Hb;Qb($|0)}else if((Z|0)==187){Sqa(Mb);_=Nb;$=Ob;Qb($|0)}else if((Z|0)==199){Sqa(Vb);_=Wb;$=Xb;Qb($|0)}else if((Z|0)==211){Sqa(ac);_=bc;$=cc;Qb($|0)}}function mh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;if(!b)return 1;c=k[a>>2]|0;d=a+4|0;a=k[d>>2]|0;e=a;a:do if((c|0)==(a|0))f=c;else{g=c;while(1){if((k[g>>2]|0)==(b|0)){f=g;break a}g=g+4|0;if((g|0)==(a|0)){f=a;break}}}while(0);a=k[f>>2]|0;if(!a)h=e;else{Ec[k[(k[a>>2]|0)+4>>2]&1023](a);h=k[d>>2]|0}a=f+4|0;e=h-a|0;UEa(f|0,a|0,e|0)|0;a=f+(e>>2<<2)|0;e=k[d>>2]|0;if((e|0)==(a|0))return 1;k[d>>2]=e+(~((e+-4-a|0)>>>2)<<2);return 1}function nh(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;b=r;r=r+176|0;c=b+152|0;d=b+16|0;e=b;f=d+56|0;g=d+4|0;k[d>>2]=27524;k[f>>2]=27544;B=0;wa(508,d+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(f);Qb(j|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[f>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=d+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,d|0,65228,14)|0;p=B;B=0;if(((!(p&1)?(p=a+4|0,B=0,q=Xa(243,o|0,(k[p>>2]|0)-(k[a>>2]|0)>>2|0)|0,o=B,B=0,!(o&1)):0)?(B=0,Ia(40,q|0,65243,9)|0,q=B,B=0,!(q&1)):0)?(B=0,wa(510,e|0,g|0),q=B,B=0,!(q&1)):0){B=0;ya(425,e|0)|0;q=B;B=0;if(q&1){q=Rb()|0;o=Q;Yua(e);s=q;t=o;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(s|0)}Yua(e);k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);o=k[a>>2]|0;if(o>>>0<(k[p>>2]|0)>>>0)u=o;else{r=b;return}do{o=k[u>>2]|0;Ec[k[(k[o>>2]|0)+12>>2]&1023](o);u=u+4|0}while(u>>>0<(k[p>>2]|0)>>>0);r=b;return}p=Rb()|0;s=p;t=Q;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(s|0)}while(0);i=m;j=n;vva(f);Qb(j|0)}function oh(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;b=r;r=r+176|0;c=b+152|0;d=b+16|0;e=b;f=d+56|0;g=d+4|0;k[d>>2]=27524;k[f>>2]=27544;B=0;wa(508,d+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(f);Qb(j|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[f>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=d+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,d|0,65228,14)|0;p=B;B=0;if(((!(p&1)?(p=a+4|0,B=0,q=Xa(243,o|0,(k[p>>2]|0)-(k[a>>2]|0)>>2|0)|0,o=B,B=0,!(o&1)):0)?(B=0,Ia(40,q|0,65243,9)|0,q=B,B=0,!(q&1)):0)?(B=0,wa(510,e|0,g|0),q=B,B=0,!(q&1)):0){B=0;ya(425,e|0)|0;q=B;B=0;if(q&1){q=Rb()|0;o=Q;Yua(e);s=q;t=o;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(s|0)}Yua(e);k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);o=k[a>>2]|0;if(o>>>0<(k[p>>2]|0)>>>0)u=o;else{r=b;return}do{o=k[u>>2]|0;Ec[k[(k[o>>2]|0)+8>>2]&1023](o);u=u+4|0}while(u>>>0<(k[p>>2]|0)>>>0);r=b;return}p=Rb()|0;s=p;t=Q;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(s|0)}while(0);i=m;j=n;vva(f);Qb(j|0)}function ph(a,b){a=a|0;b=b|0;var c=0;c=k[(k[a>>2]|0)+(b<<2)>>2]|0;return Hc[k[(k[c>>2]|0)+20>>2]&511](c)|0}function qh(a,b){a=a|0;b=b|0;return k[(k[a>>2]|0)+(b<<2)>>2]|0}function rh(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;d=r;r=r+368|0;e=d+356|0;f=d+352|0;g=d+216|0;h=d+200|0;i=d+48|0;j=d+36|0;l=d+64|0;m=d+24|0;n=d+12|0;o=d;if((k[a+16>>2]|0)!=0?(p=(k[a+4>>2]|0)-(k[a>>2]|0)>>2,p>>>0<=(k[a+24>>2]|0)>>>0):0){if(UY(f,c,k[a+28>>2]|0,p)|0){p=k[(k[a+32>>2]|0)+(k[f>>2]<<2)>>2]|0;if(!b){q=k[a>>2]|0;s=q+(p<<2)|0;t=k[s>>2]|0;r=d;return t|0}k[b>>2]=p;q=k[a>>2]|0;s=q+(p<<2)|0;t=k[s>>2]|0;r=d;return t|0}t=l+56|0;d=l+4|0;k[l>>2]=27524;k[t>>2]=27544;B=0;wa(508,l+56|0,d|0);s=B;B=0;if(s&1){s=Rb()|0;u=Q;v=s;vva(t);Qb(v|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[t>>2]=27488;B=0;va(448,d|0);s=B;B=0;do if(s&1){p=Rb()|0;w=Q;x=p}else{k[d>>2]=27560;p=l+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[l+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,d|0,e|0);q=B;B=0;if(q&1){q=Rb()|0;b=Q;Yua(e);Yua(p);Ava(d);w=b;x=q;break}Yua(e);B=0;q=Ia(40,l|0,65316,30)|0;b=B;B=0;a:do if(((((!(b&1)?(B=0,f=Xa(242,q|0,c|0)|0,y=B,B=0,!(y&1)):0)?(B=0,y=Ia(40,f|0,65347,12)|0,f=B,B=0,!(f&1)):0)?(B=0,f=ya(427,k[a+12>>2]|0)|0,z=B,B=0,!(z&1)):0)?(z=Lta(f)|0,B=0,A=Ia(40,y|0,f|0,z|0)|0,z=B,B=0,!(z&1)):0)?(B=0,Xa(239,A|0,0)|0,A=B,B=0,!(A&1)):0){A=Ab(20)|0;B=0;eb(502,m|0,65122,73);z=B;B=0;do if(!(z&1)){B=0;eb(502,n|0,65302,13);f=B;B=0;if(f&1){f=Rb()|0;y=Q;Yua(m);C=f;D=y;break}B=0;wa(510,o|0,d|0);y=B;B=0;if(y&1){y=Rb()|0;E=1;F=Q;G=y}else{B=0;ua(163,A|0,m|0,n|0,403,o|0);y=B;B=0;if(y&1)H=1;else{B=0;eb(503,A|0,1240,229);B=0;H=0}y=Rb()|0;f=Q;Yua(o);E=H;F=f;G=y}Yua(n);Yua(m);if(E){C=G;D=F}else{I=F;J=G;break a}}else{y=Rb()|0;C=y;D=Q}while(0);zb(A|0);I=D;J=C}else K=46;while(0);if((K|0)==46){q=Rb()|0;I=Q;J=q}k[l>>2]=27468;k[t>>2]=27488;k[d>>2]=27560;Yua(p);Ava(d);vva(t);L=I;M=J;Qb(M|0)}while(0);u=w;v=x;vva(t);Qb(v|0)}v=g+56|0;t=g+4|0;k[g>>2]=27524;k[v>>2]=27544;B=0;wa(508,g+56|0,t|0);x=B;B=0;if(x&1){x=Rb()|0;N=Q;O=x;vva(v);Qb(O|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[v>>2]=27488;B=0;va(448,t|0);x=B;B=0;do if(x&1){w=Rb()|0;P=Q;R=w}else{k[t>>2]=27560;w=g+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[g+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,t|0,e|0);u=B;B=0;if(u&1){u=Rb()|0;J=Q;Yua(e);Yua(w);Ava(t);P=J;R=u;break}Yua(e);B=0;u=Ia(40,g|0,65253,48)|0;J=B;B=0;b:do if(!(J&1)?(B=0,Xa(239,u|0,0)|0,I=B,B=0,!(I&1)):0){I=Ab(20)|0;B=0;eb(502,h|0,65122,73);d=B;B=0;do if(!(d&1)){B=0;eb(502,i|0,65302,13);l=B;B=0;if(l&1){l=Rb()|0;C=Q;Yua(h);S=l;T=C;break}B=0;wa(510,j|0,t|0);C=B;B=0;if(C&1){C=Rb()|0;U=Q;V=C;W=1}else{B=0;ua(163,I|0,h|0,i|0,399,j|0);C=B;B=0;if(C&1)X=1;else{B=0;eb(503,I|0,1240,229);B=0;X=0}C=Rb()|0;l=Q;Yua(j);U=l;V=C;W=X}Yua(i);Yua(h);if(W){S=V;T=U}else{Y=V;Z=U;break b}}else{C=Rb()|0;S=C;T=Q}while(0);zb(I|0);Y=S;Z=T}else K=18;while(0);if((K|0)==18){u=Rb()|0;Y=u;Z=Q}k[g>>2]=27468;k[v>>2]=27488;k[t>>2]=27560;Yua(w);Ava(t);vva(v);L=Z;M=Y;Qb(M|0)}while(0);N=P;O=R;vva(v);Qb(O|0);return 0}function sh(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;b=a+4|0;c=k[b>>2]|0;a:do if((c|0)!=(k[a>>2]|0)){d=a+28|0;e=k[d>>2]|0;if(e){Tqa(e);k[d>>2]=0}e=a+32|0;f=k[e>>2]|0;if(f){Tqa(f);k[e>>2]=0}f=k[b>>2]|0;g=k[a>>2]|0;h=f-g>>2;i=h>>>0>1073741823?-1:h<<2;h=Rqa(i)|0;k[d>>2]=h;h=Rqa(i)|0;k[e>>2]=h;if((f|0)==(g|0)){j=f;l=f}else{f=g;g=h;h=0;while(1){k[g+(h<<2)>>2]=h;i=k[f+(h<<2)>>2]|0;m=Hc[k[(k[i>>2]|0)+16>>2]&511](i)|0;k[(k[d>>2]|0)+(h<<2)>>2]=m;m=h+1|0;i=k[b>>2]|0;n=k[a>>2]|0;if(m>>>0>=i-n>>2>>>0){j=i;l=n;break a}f=n;g=k[e>>2]|0;h=m}}}else{j=c;l=c}while(0);k[a+24>>2]=j-l>>2;k[a+16>>2]=1;return}function th(a){a=a|0;return (k[a+4>>2]|0)-(k[a>>2]|0)>>2|0}function uh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;c=a+4|0;d=k[a>>2]|0;e=((k[c>>2]|0)-d>>2)+1|0;if(e>>>0>1073741823){Oqa(a);f=k[a>>2]|0}else f=d;d=a+8|0;g=(k[d>>2]|0)-f|0;if(g>>2>>>0<536870911){h=g>>1;g=h>>>0<e>>>0?e:h;h=k[c>>2]|0;e=h-f>>2;if(!g){i=0;j=0;l=e;m=h}else{n=g;o=h;p=e;q=6}}else{e=k[c>>2]|0;n=1073741823;o=e;p=e-f>>2;q=6}if((q|0)==6){i=n;j=Qqa(n<<2)|0;l=p;m=o}o=j+(l<<2)|0;k[o>>2]=k[b>>2];b=m-f|0;m=o+(0-(b>>2)<<2)|0;TEa(m|0,f|0,b|0)|0;k[a>>2]=m;k[c>>2]=o+4;k[d>>2]=j+(i<<2);if(!f)return;Sqa(f);return}function vh(a){a=a|0;var b=0,c=0;b=a+8|0;c=k[b>>2]|0;if(c){Tqa(c);k[b>>2]=0}b=k[a+20>>2]|0;if(b){Mq(b);Sqa(b)}b=k[a+24>>2]|0;if(b){_m(b);Sqa(b)}b=k[a+28>>2]|0;if(b){kn(b);Sqa(b)}b=k[a+32>>2]|0;if(b){jh(b);Sqa(b)}b=k[a+36>>2]|0;if(b){$K(b);Sqa(b)}b=k[a+40>>2]|0;if(b){GI(b);Sqa(b)}b=k[a+44>>2]|0;if(b){XN(b);Sqa(b)}b=k[a+48>>2]|0;if(b){Mo(b);Sqa(b)}b=k[a+16>>2]|0;if(!b)return;Ec[k[(k[b>>2]|0)+4>>2]&1023](b);return}function wh(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;a=r;r=r+336|0;f=a+304|0;g=a+184|0;h=a+48|0;j=a+40|0;l=a+325|0;m=a+324|0;n=a+323|0;o=a+322|0;p=a+321|0;q=a+320|0;s=a+319|0;t=a+318|0;u=a+317|0;v=a+316|0;w=a;x=a+28|0;y=a+16|0;z=a+4|0;do switch(e|0){case 499:{Fka(d,j,128764);zka(d,f,129324);zka(d,h,132257);k[g>>2]=497;k[g+4>>2]=500;if(!(i[f>>0]|0))A=2;else{k[g+8>>2]=498;A=3}k[g+(A<<2)>>2]=493;k[g+(A+1<<2)>>2]=515;C=A+3|0;k[g+(A+2<<2)>>2]=517;if((k[j>>2]&-5|0)==754){k[g+(C<<2)>>2]=524;D=A|4}else D=C;E=D;break}case 518:{zka(d,f,129324);zka(d,h,135466);k[g>>2]=497;k[g+4>>2]=500;if(!(i[f>>0]|0))F=2;else{k[g+8>>2]=498;F=3}C=F+1|0;G=g+(F<<2)|0;if(!(i[h>>0]|0)){k[G>>2]=521;k[g+(C<<2)>>2]=509;H=F+2|0}else{k[G>>2]=501;H=C}k[g+(H<<2)>>2]=493;E=H+1|0;break}case 522:{zka(d,f,135466);if(!(i[f>>0]|0)){k[g>>2]=521;k[g+4>>2]=509;I=2}else{k[g>>2]=501;I=1}E=I;break}case 508:{k[g>>2]=504;k[g+4>>2]=505;k[g+8>>2]=506;k[g+12>>2]=493;k[g+16>>2]=492;E=5;break}case 511:{k[g>>2]=510;k[g+4>>2]=382;E=2;break}case 485:{k[g>>2]=484;E=1;break}case 487:{k[g>>2]=493;k[g+4>>2]=520;k[g+8>>2]=486;E=3;break}case 489:{k[g>>2]=484;E=1;break}case 491:{k[g>>2]=490;k[g+4>>2]=520;E=2;break}case 519:{k[g>>2]=493;E=1;break}case 494:{k[g>>2]=493;E=1;break}case 525:{k[g>>2]=526;E=1;break}case 997:{k[g>>2]=998;E=1;break}case 383:{k[g>>2]=382;E=1;break}case 495:{k[g>>2]=496;E=1;break}case 523:{zka(d,f,129324);zka(d,h,132257);zka(d,j,106786);zka(d,l,135466);zka(d,p,134882);zka(d,m,106757);zka(d,o,106728);zka(d,n,132209);zka(d,s,106828);zka(d,q,106859);zka(d,t,132238);zka(d,u,106884);zka(d,v,106809);if(!(i[o>>0]|0))J=0;else{Fka(d,w,128764);k[g>>2]=497;k[g+4>>2]=500;if(!(i[f>>0]|0))K=2;else{k[g+8>>2]=498;K=3}C=K+1|0;k[g+(K<<2)>>2]=517;if((k[w>>2]&-5|0)==754){k[g+(C<<2)>>2]=524;L=K+2|0}else L=C;J=L}do if((i[j>>0]|0)!=0?(k[d+40>>2]|0)==302:0){C=J+1|0;G=g+(J<<2)|0;if(!(i[l>>0]|0)){k[G>>2]=521;k[g+(C<<2)>>2]=509;M=J+2|0;break}else{k[G>>2]=501;M=C;break}}else M=J;while(0);if(!((i[n>>0]|i[m>>0])<<24>>24))N=M;else{k[g+(M<<2)>>2]=510;N=M+1|0}if(!(i[t>>0]|0))O=N;else{k[g+(N<<2)>>2]=382;O=N+1|0}if(!(i[p>>0]|0))P=O;else{k[g+(O<<2)>>2]=529;k[g+(O+1<<2)>>2]=531;k[g+(O+2<<2)>>2]=532;P=O+3|0}if(!(i[q>>0]|0))R=P;else{k[g+(P<<2)>>2]=504;k[g+(P+1<<2)>>2]=507;k[g+(P+2<<2)>>2]=505;k[g+(P+3<<2)>>2]=506;k[g+(P+4<<2)>>2]=492;R=P+5|0}if(!(i[s>>0]|0))S=R;else{k[g+(R<<2)>>2]=496;S=R+1|0}if(!(i[u>>0]|0))T=S;else{k[g+(S<<2)>>2]=998;T=S+1|0}if(!(i[v>>0]|0))U=T;else{k[g+(T<<2)>>2]=526;U=T+1|0}if(((k[d+40>>2]|0)+-301|0)>>>0<2){k[g+(U<<2)>>2]=515;k[g+(U+1<<2)>>2]=516;k[g+(U+2<<2)>>2]=512;k[g+(U+3<<2)>>2]=513;V=U+4|0}else V=U;k[g+(V<<2)>>2]=493;E=V+1|0;break}default:{C=h+56|0;G=h+4|0;k[h>>2]=27524;k[C>>2]=27544;B=0;wa(508,h+56|0,G|0);W=B;B=0;if(W&1){W=Rb()|0;X=Q;Y=W;vva(C);Qb(Y|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[C>>2]=27488;B=0;va(448,G|0);W=B;B=0;do if(W&1){Z=Rb()|0;_=Q;$=Z}else{k[G>>2]=27560;Z=h+36|0;k[Z>>2]=0;k[Z+4>>2]=0;k[Z+8>>2]=0;k[Z+12>>2]=0;k[h+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,G|0,f|0);aa=B;B=0;if(aa&1){aa=Rb()|0;ba=Q;Yua(f);Yua(Z);Ava(G);_=ba;$=aa;break}Yua(f);B=0;aa=Ia(40,h|0,110535,15)|0;ba=B;B=0;if((((!(ba&1)?(B=0,ba=ya(427,e|0)|0,ca=B,B=0,!(ca&1)):0)?(ca=Lta(ba)|0,B=0,da=Ia(40,aa|0,ba|0,ca|0)|0,ca=B,B=0,!(ca&1)):0)?(B=0,ca=Ia(40,da|0,146956,19)|0,da=B,B=0,!(da&1)):0)?(B=0,Xa(239,ca|0,0)|0,ca=B,B=0,!(ca&1)):0){ca=Ab(20)|0;B=0;eb(502,x|0,65553,67);da=B;B=0;do if(!(da&1)){B=0;eb(502,y|0,65621,20);ba=B;B=0;if(ba&1){ba=Rb()|0;aa=Q;Yua(x);ea=ba;fa=aa;break}B=0;wa(510,z|0,G|0);aa=B;B=0;if(aa&1){aa=Rb()|0;ga=Q;ha=aa;ia=1}else{B=0;ua(163,ca|0,x|0,y|0,622,z|0);aa=B;B=0;if(aa&1)ja=1;else{B=0;eb(503,ca|0,1240,229);B=0;ja=0}aa=Rb()|0;ba=Q;Yua(z);ga=ba;ha=aa;ia=ja}Yua(y);Yua(x);if(ia){ea=ha;fa=ga}else{ka=ha;la=ga;k[h>>2]=27468;k[C>>2]=27488;k[G>>2]=27560;Yua(Z);Ava(G);vva(C);Qb(ka|0)}}else{aa=Rb()|0;ea=aa;fa=Q}while(0);zb(ca|0);ka=ea;la=fa;k[h>>2]=27468;k[C>>2]=27488;k[G>>2]=27560;Yua(Z);Ava(G);vva(C);Qb(ka|0)}da=Rb()|0;ka=da;la=Q;k[h>>2]=27468;k[C>>2]=27488;k[G>>2]=27560;Yua(Z);Ava(G);vva(C);Qb(ka|0)}while(0);X=_;Y=$;vva(C);Qb(Y|0)}}while(0);Y=Rqa(E>>>0>1073741823?-1:E<<2)|0;if((E|0)>0)TEa(Y|0,g|0,E<<2|0)|0;if(c)k[c>>2]=E;if(!b){Tqa(Y);r=a;return}else{k[b>>2]=Y;r=a;return}}function xh(a,b){a=a|0;b=b|0;yh(a,b,b);return}function yh(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0;d=r;r=r+352|0;e=d+328|0;f=d+192|0;g=d+176|0;h=d+24|0;i=d+12|0;j=d+40|0;l=d;m=k[a>>2]|0;a:do if((m|0)>0){n=k[a+8>>2]|0;o=0;while(1){if((k[n+(o<<2)>>2]|0)==(b|0)){p=o;break}o=o+1|0;if((o|0)>=(m|0))break a}if((p|0)!=-1){k[a+12>>2]=p;o=a+44|0;oO(k[o>>2]|0,p,482);oO(k[o>>2]|0,c,477);oO(k[o>>2]|0,b,478);n=a+20|0;q=k[n>>2]|0;s=a+36|0;t=a+24|0;u=a+28|0;v=a+40|0;Nq(q,q,k[s>>2]|0,k[t>>2]|0,k[u>>2]|0,k[v>>2]|0,k[o>>2]|0);q=k[s>>2]|0;fL(q,k[n>>2]|0,q,k[t>>2]|0,k[u>>2]|0,k[v>>2]|0,k[o>>2]|0);if(!(aO(k[o>>2]|0,959)|0)){r=d;return}tO(k[o>>2]|0,c);if(!(DY()|0)){r=d;return}o=j+56|0;v=j+4|0;k[j>>2]=27524;k[o>>2]=27544;B=0;wa(508,j+56|0,v|0);u=B;B=0;if(u&1){u=Rb()|0;w=Q;x=u;vva(o);Qb(x|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[o>>2]=27488;B=0;va(448,v|0);u=B;B=0;do if(u&1){t=Rb()|0;y=Q;z=t}else{k[v>>2]=27560;t=j+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[j+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,v|0,e|0);q=B;B=0;if(q&1){q=Rb()|0;n=Q;Yua(e);Yua(t);Ava(v);y=n;z=q;break}Yua(e);B=0;q=Ia(40,j|0,65823,46)|0;n=B;B=0;do if((((!(n&1)?(B=0,s=ya(427,c|0)|0,A=B,B=0,!(A&1)):0)?(A=Lta(s)|0,B=0,C=Ia(40,q|0,s|0,A|0)|0,A=B,B=0,!(A&1)):0)?(B=0,Ia(40,C|0,149177,1)|0,C=B,B=0,!(C&1)):0)?(B=0,wa(510,l|0,v|0),C=B,B=0,!(C&1)):0){B=0;ya(425,l|0)|0;C=B;B=0;if(C&1){C=Rb()|0;A=Q;Yua(l);D=A;E=C;break}Yua(l);k[j>>2]=27468;k[o>>2]=27488;k[v>>2]=27560;Yua(t);Ava(v);vva(o);r=d;return}else F=49;while(0);if((F|0)==49){q=Rb()|0;D=Q;E=q}k[j>>2]=27468;k[o>>2]=27488;k[v>>2]=27560;Yua(t);Ava(v);vva(o);G=D;H=E;Qb(H|0)}while(0);w=y;x=z;vva(o);Qb(x|0)}}while(0);x=f+56|0;z=f+4|0;k[f>>2]=27524;k[x>>2]=27544;B=0;wa(508,f+56|0,z|0);y=B;B=0;if(y&1){y=Rb()|0;I=Q;J=y;vva(x);Qb(J|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[x>>2]=27488;B=0;va(448,z|0);y=B;B=0;do if(y&1){w=Rb()|0;K=Q;L=w}else{k[z>>2]=27560;w=f+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,z|0,e|0);E=B;B=0;if(E&1){E=Rb()|0;D=Q;Yua(e);Yua(w);Ava(z);K=D;L=E;break}Yua(e);B=0;E=Ia(40,f|0,65753,39)|0;D=B;B=0;b:do if((((!(D&1)?(B=0,j=ya(427,b|0)|0,d=B,B=0,!(d&1)):0)?(d=Lta(j)|0,B=0,l=Ia(40,E|0,j|0,d|0)|0,d=B,B=0,!(d&1)):0)?(B=0,d=Ia(40,l|0,65793,29)|0,l=B,B=0,!(l&1)):0)?(B=0,Xa(239,d|0,0)|0,d=B,B=0,!(d&1)):0){d=Ab(20)|0;B=0;eb(502,g|0,65553,67);l=B;B=0;do if(!(l&1)){B=0;eb(502,h|0,71356,23);j=B;B=0;if(j&1){j=Rb()|0;c=Q;Yua(g);M=c;N=j;break}B=0;wa(510,i|0,z|0);j=B;B=0;if(j&1){j=Rb()|0;O=Q;P=j;R=1}else{B=0;ua(163,d|0,g|0,h|0,292,i|0);j=B;B=0;if(j&1)S=1;else{B=0;eb(503,d|0,1240,229);B=0;S=0}j=Rb()|0;c=Q;Yua(i);O=c;P=j;R=S}Yua(h);Yua(g);if(R){M=O;N=P}else{T=O;U=P;break b}}else{j=Rb()|0;M=Q;N=j}while(0);zb(d|0);T=M;U=N}else F=25;while(0);if((F|0)==25){E=Rb()|0;T=Q;U=E}k[f>>2]=27468;k[x>>2]=27488;k[z>>2]=27560;Yua(w);Ava(z);vva(x);G=T;H=U;Qb(H|0)}while(0);I=K;J=L;vva(x);Qb(J|0)}function zh(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0.0,H=0.0,I=0.0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0;b=r;r=r+624|0;c=b+608|0;d=b+620|0;e=b+604|0;f=b+588|0;g=b+440|0;h=b+592|0;j=b+304|0;l=b+576|0;m=b+152|0;n=b+288|0;o=b+16|0;q=b;i[d>>0]=0;k[f>>2]=0;s=g+56|0;t=g+4|0;k[g>>2]=27524;k[s>>2]=27544;B=0;wa(508,g+56|0,t|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;w=u;vva(s);Qb(w|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[s>>2]=27488;B=0;va(448,t|0);u=B;B=0;do if(u&1){x=Rb()|0;y=Q;z=x}else{k[t>>2]=27560;x=g+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[g+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,t|0,c|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(c);Yua(x);Ava(t);y=C;z=A;break}Yua(c);B=0;Ia(40,g|0,136216,25)|0;A=B;B=0;do if(!(A&1)?(B=0,wa(510,h|0,t|0),C=B,B=0,!(C&1)):0){B=0;ya(425,h|0)|0;C=B;B=0;if(C&1){C=Rb()|0;D=Q;Yua(h);E=D;F=C;break}Yua(h);k[g>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);C=a+44|0;cO(k[C>>2]|0,e,476);i_(f,k[C>>2]|0,k[e>>2]|0,0);D=a+16|0;SX(k[D>>2]|0,3,0);Ec[k[f>>2]&1023](a);SX(k[D>>2]|0,4,0);SX(k[D>>2]|0,5,0);k_(a);SX(k[D>>2]|0,6,0);bO(k[C>>2]|0,d,331);if(!(i[d>>0]|0)){r=b;return}G=+TX(k[D>>2]|0,3,4);H=+UX(k[D>>2]|0,3,4);I=+YX(k[D>>2]|0,4);D=j+56|0;C=j+4|0;k[j>>2]=27524;k[D>>2]=27544;B=0;wa(508,j+56|0,C|0);J=B;B=0;if(J&1){J=Rb()|0;K=Q;L=J;vva(D);Qb(L|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[D>>2]=27488;B=0;va(448,C|0);J=B;B=0;do if(J&1){M=Rb()|0;N=Q;O=M}else{k[C>>2]=27560;M=j+36|0;k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;k[M+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,C|0,c|0);P=B;B=0;if(P&1){P=Rb()|0;R=Q;Yua(c);Yua(M);Ava(C);N=R;O=P;break}Yua(c);B=0;P=Ia(40,j|0,65870,32)|0;R=B;B=0;do if(((!(R&1)?(B=0,S=Sa(1,P|0,+G)|0,T=B,B=0,!(T&1)):0)?(B=0,Ia(40,S|0,65903,9)|0,S=B,B=0,!(S&1)):0)?(B=0,wa(510,l|0,C|0),S=B,B=0,!(S&1)):0){B=0;ya(425,l|0)|0;S=B;B=0;if(S&1){S=Rb()|0;T=Q;Yua(l);U=T;V=S;break}Yua(l);k[j>>2]=27468;k[D>>2]=27488;k[C>>2]=27560;Yua(M);Ava(C);vva(D);S=m+56|0;T=m+4|0;k[m>>2]=27524;k[S>>2]=27544;B=0;wa(508,m+56|0,T|0);W=B;B=0;if(W&1){W=Rb()|0;X=Q;Y=W;vva(S);Qb(Y|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[S>>2]=27488;B=0;va(448,T|0);W=B;B=0;do if(W&1){Z=Rb()|0;_=Q;$=Z}else{k[T>>2]=27560;Z=m+36|0;k[Z>>2]=0;k[Z+4>>2]=0;k[Z+8>>2]=0;k[Z+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,T|0,c|0);aa=B;B=0;if(aa&1){aa=Rb()|0;ba=Q;Yua(c);Yua(Z);Ava(T);_=ba;$=aa;break}Yua(c);B=0;aa=Ia(40,m|0,65913,32)|0;ba=B;B=0;do if(ba&1)ca=65;else{B=0;da=Sa(1,aa|0,+H)|0;ea=B;B=0;if(ea&1){ca=65;break}B=0;Ia(40,da|0,65946,7)|0;da=B;B=0;if(da&1){ca=65;break}B=0;wa(510,n|0,T|0);da=B;B=0;if(da&1){ca=65;break}B=0;ya(425,n|0)|0;da=B;B=0;if(da&1){da=Rb()|0;ea=Q;Yua(n);fa=ea;ga=da;break}Yua(n);k[m>>2]=27468;k[S>>2]=27488;k[T>>2]=27560;Yua(Z);Ava(T);vva(S);da=o+56|0;ea=o+4|0;k[o>>2]=27524;k[da>>2]=27544;B=0;wa(508,o+56|0,ea|0);ha=B;B=0;if(ha&1){ha=Rb()|0;ia=Q;ja=ha;vva(da);Qb(ja|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[da>>2]=27488;B=0;va(448,ea|0);ha=B;B=0;do if(ha&1){ka=Rb()|0;la=Q;ma=ka}else{k[ea>>2]=27560;ka=o+36|0;k[ka>>2]=0;k[ka+4>>2]=0;k[ka+8>>2]=0;k[ka+12>>2]=0;k[o+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ea|0,c|0);na=B;B=0;if(na&1){na=Rb()|0;oa=Q;Yua(c);Yua(ka);Ava(ea);la=oa;ma=na;break}Yua(c);B=0;na=Ia(40,o|0,65954,32)|0;oa=B;B=0;do if(oa&1)ca=68;else{B=0;pa=Sa(1,na|0,+I)|0;qa=B;B=0;if(qa&1){ca=68;break}B=0;Ia(40,pa|0,65987,7)|0;pa=B;B=0;if(pa&1){ca=68;break}B=0;wa(510,q|0,ea|0);pa=B;B=0;if(pa&1){ca=68;break}B=0;ya(425,q|0)|0;pa=B;B=0;if(pa&1){pa=Rb()|0;qa=Q;Yua(q);ra=qa;sa=pa;break}Yua(q);k[o>>2]=27468;k[da>>2]=27488;k[ea>>2]=27560;Yua(ka);Ava(ea);vva(da);pa=a+48|0;qa=k[pa>>2]|0;ta=Qqa(48)|0;B=0;ua=ya(428,qa|0)|0;xa=B;B=0;do if(!(xa&1)){k[ta>>2]=27904;k[ta+4>>2]=ua+1;p[ta+16>>3]=G;k[ta+32>>2]=0;p[ta+40>>3]=0.0;k[ta+24>>2]=1;k[ta+28>>2]=1;B=0;wa(512,ta+8|0,334);za=B;B=0;if(za&1)break;ih(qa,ta)|0;za=k[pa>>2]|0;Aa=Qqa(48)|0;B=0;Ba=ya(428,za|0)|0;Ca=B;B=0;do if(!(Ca&1)){k[Aa>>2]=27904;k[Aa+4>>2]=Ba+1;p[Aa+16>>3]=I;k[Aa+32>>2]=0;p[Aa+40>>3]=0.0;k[Aa+24>>2]=1;k[Aa+28>>2]=1;B=0;wa(512,Aa+8|0,332);Da=B;B=0;if(Da&1)break;ih(za,Aa)|0;Da=k[pa>>2]|0;Ea=Qqa(48)|0;B=0;Fa=ya(428,Da|0)|0;Ga=B;B=0;do if(!(Ga&1)){k[Ea>>2]=27904;k[Ea+4>>2]=Fa+1;p[Ea+16>>3]=H;k[Ea+32>>2]=0;p[Ea+40>>3]=0.0;k[Ea+24>>2]=1;k[Ea+28>>2]=1;B=0;wa(512,Ea+8|0,333);Ha=B;B=0;if(Ha&1)break;ih(Da,Ea)|0;r=b;return}while(0);Da=Rb()|0;Fa=Q;Sqa(Ea);Ja=Fa;Ka=Da;Qb(Ka|0)}while(0);za=Rb()|0;Ba=Q;Sqa(Aa);Ja=Ba;Ka=za;Qb(Ka|0)}while(0);pa=Rb()|0;qa=Q;Sqa(ta);Ja=qa;Ka=pa;Qb(Ka|0)}while(0);if((ca|0)==68){na=Rb()|0;ra=Q;sa=na}k[o>>2]=27468;k[da>>2]=27488;k[ea>>2]=27560;Yua(ka);Ava(ea);vva(da);Ja=ra;Ka=sa;Qb(Ka|0)}while(0);ia=la;ja=ma;vva(da);Qb(ja|0)}while(0);if((ca|0)==65){aa=Rb()|0;fa=Q;ga=aa}k[m>>2]=27468;k[S>>2]=27488;k[T>>2]=27560;Yua(Z);Ava(T);vva(S);Ja=fa;Ka=ga;Qb(Ka|0)}while(0);X=_;Y=$;vva(S);Qb(Y|0)}else ca=62;while(0);if((ca|0)==62){P=Rb()|0;U=Q;V=P}k[j>>2]=27468;k[D>>2]=27488;k[C>>2]=27560;Yua(M);Ava(C);vva(D);Ja=U;Ka=V;Qb(Ka|0)}while(0);K=N;L=O;vva(D);Qb(L|0)}else ca=59;while(0);if((ca|0)==59){A=Rb()|0;E=Q;F=A}k[g>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);Ja=E;Ka=F;Qb(Ka|0)}while(0);v=y;w=z;vva(s);Qb(w|0)}function Ah(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;b=r;r=r+16|0;c=b+8|0;d=b+4|0;e=b;k[c>>2]=0;fO(k[a+44>>2]|0,c,957);f=oY(k[c>>2]|0,108824,1)|0;k[d>>2]=0;Bh(a,0,d,2);g=Rqa(k[d>>2]|0)|0;k[e>>2]=g;Bh(a,e,0,0);k[e>>2]=g;jta(g,k[d>>2]|0,1,f)|0;pY(f,k[c>>2]|0);f=k[e>>2]|0;if(f)Tqa(f);k[e>>2]=0;e=k[c>>2]|0;if(!e){r=b;return}Tqa(e);r=b;return}function Bh(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;n=(d|0)==1;do if(n){o=a+16|0;p=k[o>>2]|0;if(p)Ec[k[(k[p>>2]|0)+4>>2]&1023](p);p=a+36|0;q=k[p>>2]|0;if(q){$K(q);Sqa(q)}q=a+40|0;s=k[q>>2]|0;if(s){GI(s);Sqa(s)}s=a+44|0;t=k[s>>2]|0;if(t){XN(t);Sqa(t)}t=a+32|0;u=k[t>>2]|0;if(u){jh(u);Sqa(u)}u=a+48|0;v=k[u>>2]|0;if(v){Mo(v);Sqa(v)}v=a+24|0;w=k[v>>2]|0;if(w){_m(w);Sqa(w)}w=a+28|0;x=k[w>>2]|0;if(x){kn(x);Sqa(x)}x=a+20|0;y=k[x>>2]|0;if(y){Mq(y);Sqa(y)}y=a+8|0;z=k[y>>2]|0;if(z)Tqa(z);k[y>>2]=0;y=Qqa(200)|0;B=0;va(476,y|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Sqa(y);C=A;D=z;Qb(D|0)}k[o>>2]=y;y=Qqa(36)|0;B=0;va(477,y|0);o=B;B=0;if(o&1){o=Rb()|0;z=Q;Sqa(y);C=z;D=o;Qb(D|0)}k[p>>2]=y;y=Qqa(36)|0;B=0;va(478,y|0);p=B;B=0;if(p&1){p=Rb()|0;o=Q;Sqa(y);C=o;D=p;Qb(D|0)}k[q>>2]=y;y=Qqa(4064)|0;B=0;va(479,y|0);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Sqa(y);C=p;D=q;Qb(D|0)}k[s>>2]=y;y=Qqa(36)|0;B=0;va(480,y|0);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Sqa(y);C=q;D=s;Qb(D|0)}k[y+12>>2]=546;k[t>>2]=y;y=Qqa(36)|0;B=0;va(481,y|0);t=B;B=0;if(t&1){t=Rb()|0;s=Q;Sqa(y);C=s;D=t;Qb(D|0)}k[u>>2]=y;y=Qqa(36)|0;B=0;va(482,y|0);u=B;B=0;if(u&1){u=Rb()|0;t=Q;Sqa(y);C=t;D=u;Qb(D|0)}k[v>>2]=y;y=Qqa(36)|0;B=0;va(483,y|0);v=B;B=0;if(v&1){v=Rb()|0;u=Q;Sqa(y);C=u;D=v;Qb(D|0)}k[w>>2]=y;y=Qqa(36)|0;B=0;va(484,y|0);w=B;B=0;if(!(w&1)){k[x>>2]=y;break}x=Rb()|0;w=Q;Sqa(y);C=w;D=x;Qb(D|0)}while(0);a:do switch(d|0){case 0:{x=k[b>>2]|0;i[x>>0]=1;i[x+1>>0]=0;i[x+2>>0]=0;i[x+3>>0]=0;x=(k[b>>2]|0)+4|0;k[b>>2]=x;w=a+4|0;y=l[w>>0]|l[w+1>>0]<<8|l[w+2>>0]<<16|l[w+3>>0]<<24;i[x>>0]=y;i[x+1>>0]=y>>8;i[x+2>>0]=y>>16;i[x+3>>0]=y>>24;y=(k[b>>2]|0)+4|0;k[b>>2]=y;x=a+12|0;w=l[x>>0]|l[x+1>>0]<<8|l[x+2>>0]<<16|l[x+3>>0]<<24;i[y>>0]=w;i[y+1>>0]=w>>8;i[y+2>>0]=w>>16;i[y+3>>0]=w>>24;w=(k[b>>2]|0)+4|0;k[b>>2]=w;y=l[a>>0]|l[a+1>>0]<<8|l[a+2>>0]<<16|l[a+3>>0]<<24;i[w>>0]=y;i[w+1>>0]=y>>8;i[w+2>>0]=y>>16;i[w+3>>0]=y>>24;y=(k[b>>2]|0)+4|0;k[b>>2]=y;w=a+8|0;x=(k[w>>2]|0)==0;i[y>>0]=x&1;y=(k[b>>2]|0)+1|0;k[b>>2]=y;if(x)E=w;else{TEa(y|0,k[w>>2]|0,k[a>>2]<<2|0)|0;k[b>>2]=(k[b>>2]|0)+(k[a>>2]<<2);E=w}break}case 2:{w=a+8|0;y=(k[w>>2]|0)==0;x=(k[c>>2]|0)+17|0;k[c>>2]=x;if(y)E=w;else{k[c>>2]=x+(k[a>>2]<<2);E=w}break}default:{if(n){w=(k[b>>2]|0)+4|0;k[b>>2]=w;x=a+4|0;y=l[w>>0]|l[w+1>>0]<<8|l[w+2>>0]<<16|l[w+3>>0]<<24;i[x>>0]=y;i[x+1>>0]=y>>8;i[x+2>>0]=y>>16;i[x+3>>0]=y>>24;y=(k[b>>2]|0)+4|0;k[b>>2]=y;x=a+12|0;w=l[y>>0]|l[y+1>>0]<<8|l[y+2>>0]<<16|l[y+3>>0]<<24;i[x>>0]=w;i[x+1>>0]=w>>8;i[x+2>>0]=w>>16;i[x+3>>0]=w>>24;w=(k[b>>2]|0)+4|0;k[b>>2]=w;x=l[w>>0]|l[w+1>>0]<<8|l[w+2>>0]<<16|l[w+3>>0]<<24;i[a>>0]=x;i[a+1>>0]=x>>8;i[a+2>>0]=x>>16;i[a+3>>0]=x>>24;w=k[b>>2]|0;y=w+4|0;k[b>>2]=y;v=a+8|0;u=i[y>>0]|0;k[b>>2]=w+5;if(u&1){E=v;break a}u=Rqa(x>>>0>1073741823?-1:x<<2)|0;k[v>>2]=u;w=k[b>>2]|0;y=x<<2;TEa(u|0,w|0,y|0)|0;k[b>>2]=w+y;E=v;break a}v=g+56|0;y=g+4|0;k[g>>2]=27524;k[v>>2]=27544;B=0;wa(508,g+56|0,y|0);w=B;B=0;if(w&1){w=Rb()|0;F=Q;G=w;vva(v);Qb(G|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[v>>2]=27488;B=0;va(448,y|0);w=B;B=0;do if(w&1){u=Rb()|0;H=Q;I=u}else{k[y>>2]=27560;u=g+36|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;k[u+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,y|0,f|0);x=B;B=0;if(x&1){x=Rb()|0;t=Q;Yua(f);Yua(u);Ava(y);H=t;I=x;break}Yua(f);B=0;x=Ia(40,g|0,143951,43)|0;t=B;B=0;b:do if(!(t&1)?(B=0,Xa(239,x|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,h|0,65553,67);q=B;B=0;do if(!(q&1)){B=0;eb(502,j|0,149525,8);p=B;B=0;if(p&1){p=Rb()|0;o=Q;Yua(h);J=o;K=p;break}B=0;wa(510,m|0,y|0);p=B;B=0;if(p&1){p=Rb()|0;L=Q;M=p;N=1}else{B=0;ua(163,s|0,h|0,j|0,757,m|0);p=B;B=0;if(p&1)O=1;else{B=0;eb(503,s|0,1240,229);B=0;O=0}p=Rb()|0;o=Q;Yua(m);L=o;M=p;N=O}Yua(j);Yua(h);if(N){J=L;K=M}else{P=L;R=M;break b}}else{p=Rb()|0;J=Q;K=p}while(0);zb(s|0);P=J;R=K}else S=58;while(0);if((S|0)==58){x=Rb()|0;P=Q;R=x}k[g>>2]=27468;k[v>>2]=27488;k[y>>2]=27560;Yua(u);Ava(y);vva(v);C=P;D=R;Qb(D|0)}while(0);F=H;G=I;vva(v);Qb(G|0)}}while(0);G=k[a+16>>2]|0;rd[k[(k[G>>2]|0)+28>>2]&511](G,b,c,d);G=a+36|0;lh(k[G>>2]|0,b,c,d);I=a+40|0;lh(k[I>>2]|0,b,c,d);H=a+44|0;ZN(k[H>>2]|0,b,c,d);F=a+32|0;lh(k[F>>2]|0,b,c,d);lh(k[a+48>>2]|0,b,c,d);D=a+24|0;lh(k[D>>2]|0,b,c,d);R=a+28|0;lh(k[R>>2]|0,b,c,d);P=a+20|0;lh(k[P>>2]|0,b,c,d);if(!n){r=e;return}Oq(k[P>>2]|0);eL(k[G>>2]|0);HI(k[I>>2]|0);if((k[a>>2]|0)>0){n=0;do{d=k[(k[E>>2]|0)+(n<<2)>>2]|0;yh(a,d,d);if(!n)BZ(k[R>>2]|0,k[H>>2]|0);YZ(k[D>>2]|0,k[F>>2]|0,k[H>>2]|0,d);zZ(k[D>>2]|0,k[H>>2]|0,d);XZ(k[P>>2]|0,k[G>>2]|0,k[D>>2]|0,k[R>>2]|0,k[I>>2]|0,k[H>>2]|0)|0;n=n+1|0}while((n|0)<(k[a>>2]|0))}n=k[(k[E>>2]|0)+(k[a+12>>2]<<2)>>2]|0;yh(a,n,n);r=e;return}function Ch(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+208|0;c=b+188|0;d=b+184|0;e=b+180|0;f=b+176|0;g=b+40|0;h=b+24|0;i=b+12|0;j=b;k[d>>2]=0;k[e>>2]=0;k[f>>2]=0;l=a+44|0;fO(k[l>>2]|0,e,957);m=oY(k[e>>2]|0,65363,0)|0;if(!m){n=k[e>>2]|0;if(n)Tqa(n);k[e>>2]=0;r=b;return}dta(m,0,2)|0;n=hta(m)|0;dta(m,0,0)|0;o=Rqa(n)|0;k[f>>2]=o;if((ata(o,n,1,m)|0)==1){n=k[f>>2]|0;lO(k[l>>2]|0,d,951);Bh(a,f,0,1);rO(k[l>>2]|0,k[d>>2]|0,951);k[f>>2]=n;pY(m,k[e>>2]|0);m=k[e>>2]|0;if(m)Tqa(m);k[e>>2]=0;e=k[f>>2]|0;if(e)Tqa(e);k[f>>2]=0;r=b;return}b=g+56|0;f=g+4|0;k[g>>2]=27524;k[b>>2]=27544;B=0;wa(508,g+56|0,f|0);e=B;B=0;if(e&1){e=Rb()|0;p=Q;q=e;vva(b);Qb(q|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[b>>2]=27488;B=0;va(448,f|0);e=B;B=0;do if(e&1){m=Rb()|0;s=Q;t=m}else{k[f>>2]=27560;m=g+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[g+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,f|0,c|0);n=B;B=0;if(n&1){n=Rb()|0;d=Q;Yua(c);Yua(m);Ava(f);s=d;t=n;break}Yua(c);B=0;n=Ia(40,g|0,65995,46)|0;d=B;B=0;if(!(d&1)?(B=0,Xa(239,n|0,0)|0,n=B,B=0,!(n&1)):0){n=Ab(20)|0;B=0;eb(502,h|0,65553,67);d=B;B=0;do if(!(d&1)){B=0;eb(502,i|0,66042,7);l=B;B=0;if(l&1){l=Rb()|0;a=Q;Yua(h);u=a;v=l;break}B=0;wa(510,j|0,f|0);l=B;B=0;if(l&1){l=Rb()|0;w=Q;x=l;y=1}else{B=0;ua(163,n|0,h|0,i|0,707,j|0);l=B;B=0;if(l&1)z=1;else{B=0;eb(503,n|0,1240,229);B=0;z=0}l=Rb()|0;a=Q;Yua(j);w=a;x=l;y=z}Yua(i);Yua(h);if(y){u=w;v=x}else{A=w;C=x;k[g>>2]=27468;k[b>>2]=27488;k[f>>2]=27560;Yua(m);Ava(f);vva(b);Qb(C|0)}}else{l=Rb()|0;u=Q;v=l}while(0);zb(n|0);A=u;C=v;k[g>>2]=27468;k[b>>2]=27488;k[f>>2]=27560;Yua(m);Ava(f);vva(b);Qb(C|0)}d=Rb()|0;A=Q;C=d;k[g>>2]=27468;k[b>>2]=27488;k[f>>2]=27560;Yua(m);Ava(f);vva(b);Qb(C|0)}while(0);p=s;q=t;vva(b);Qb(q|0)}function Dh(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;b=r;r=r+176|0;c=b+160|0;d=b+156|0;e=b+152|0;f=b+16|0;g=b;k[d>>2]=0;k[e>>2]=0;a:do if(CY()|0){h=f+56|0;i=f+4|0;k[f>>2]=27524;k[h>>2]=27544;B=0;wa(508,f+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(h);Qb(m|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[h>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=f+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,i|0,c|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(c);Yua(n);Ava(i);o=s;p=q;break}Yua(c);B=0;Ia(40,f|0,66050,31)|0;q=B;B=0;do if(!(q&1)?(B=0,wa(510,g|0,i|0),s=B,B=0,!(s&1)):0){B=0;ya(425,g|0)|0;s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(g);u=s;v=t;break}else{Yua(g);k[f>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);break a}}else w=14;while(0);if((w|0)==14){q=Rb()|0;u=q;v=Q}k[f>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);x=u;y=v;Qb(x|0)}while(0);l=o;m=p;vva(h);Qb(m|0)}while(0);UZ(d,a,339,628);UZ(e,a,64,628);m=Qqa(8)|0;p=a+28|0;B=0;o=ya(429,k[p>>2]|0)|0;l=B;B=0;b:do if(!(l&1)?(B=0,va(485,m|0),v=B,B=0,!(v&1)):0){do if(k[m>>2]|0){B=0;v=ya(423,4)|0;u=B;B=0;if(u&1){w=66;break b}B=0;eb(505,v|0,o|0,0);u=B;B=0;if(u&1){u=Rb()|0;f=Q;Sqa(v);z=f;A=u;break b}else{k[m+4>>2]=v;break}}while(0);h=Qqa(8)|0;B=0;v=ya(429,k[p>>2]|0)|0;u=B;B=0;c:do if(!(u&1)?(B=0,va(485,h|0),f=B,B=0,!(f&1)):0){do if(k[h>>2]|0){B=0;f=ya(423,4)|0;g=B;B=0;if(g&1){w=68;break c}B=0;eb(505,f|0,v|0,0);g=B;B=0;if(g&1){g=Rb()|0;c=Q;Sqa(f);C=c;D=g;break c}else{k[h+4>>2]=f;break}}while(0);n=Qqa(8)|0;B=0;f=ya(429,k[p>>2]|0)|0;g=B;B=0;d:do if(!(g&1)?(B=0,va(485,n|0),c=B,B=0,!(c&1)):0){do if(k[n>>2]|0){B=0;c=ya(423,4)|0;i=B;B=0;if(i&1){w=70;break d}B=0;eb(505,c|0,f|0,0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;Sqa(c);E=j;F=i;break d}else{k[n+4>>2]=c;break}}while(0);if((th(k[p>>2]|0)|0)>0){c=a+44|0;i=0;do{j=qh(k[p>>2]|0,i)|0;Do(j,m,h,n,k[c>>2]|0,k[d>>2]|0,k[e>>2]|0);i=i+1|0}while((i|0)<(th(k[p>>2]|0)|0))}if(k[m>>2]|0){i=k[k[m+4>>2]>>2]|0;Ec[k[(k[i>>2]|0)+12>>2]&1023](i)}if(k[h>>2]|0){i=k[k[h+4>>2]>>2]|0;Ec[k[(k[i>>2]|0)+12>>2]&1023](i)}if(k[n>>2]|0){i=k[k[n+4>>2]>>2]|0;Ec[k[(k[i>>2]|0)+12>>2]&1023](i)}VZ(a,m,684,628);VZ(a,h,685,628);VZ(a,n,686,628);if((k[m>>2]|0)!=0?(i=k[m+4>>2]|0,(i|0)!=0):0){c=k[i>>2]|0;if(c)Ec[k[(k[c>>2]|0)+4>>2]&1023](c);Sqa(i)}Sqa(m);do if(k[h>>2]|0){i=k[h+4>>2]|0;if(!i)break;c=k[i>>2]|0;if(c)Ec[k[(k[c>>2]|0)+4>>2]&1023](c);Sqa(i)}while(0);Sqa(h);do if(k[n>>2]|0){i=k[n+4>>2]|0;if(!i)break;c=k[i>>2]|0;if(c)Ec[k[(k[c>>2]|0)+4>>2]&1023](c);Sqa(i)}while(0);Sqa(n);i=k[e>>2]|0;if(i)Tqa(i);k[e>>2]=0;i=k[d>>2]|0;if(!i){r=b;return 1}Tqa(i);r=b;return 1}else w=70;while(0);if((w|0)==70){f=Rb()|0;E=Q;F=f}Sqa(n);x=F;y=E;Qb(x|0)}else w=68;while(0);if((w|0)==68){v=Rb()|0;C=Q;D=v}Sqa(h);x=D;y=C;Qb(x|0)}else w=66;while(0);if((w|0)==66){w=Rb()|0;z=Q;A=w}Sqa(m);x=A;y=z;Qb(x|0);return 0}function Eh(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;b=r;r=r+176|0;c=b+164|0;d=b;e=b+160|0;f=b+24|0;g=b+8|0;h=a+44|0;cO(k[h>>2]|0,e,477);dO(k[h>>2]|0,d,767);a:do if(BY()|0){i=f+56|0;j=f+4|0;k[f>>2]=27524;k[i>>2]=27544;B=0;wa(508,f+56|0,j|0);l=B;B=0;if(l&1){l=Rb()|0;m=Q;n=l;vva(i);Qb(n|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[i>>2]=27488;B=0;va(448,j|0);l=B;B=0;do if(l&1){o=Rb()|0;q=Q;s=o}else{k[j>>2]=27560;o=f+36|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[o+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,j|0,c|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(c);Yua(o);Ava(j);q=u;s=t;break}Yua(c);B=0;t=Ia(40,f|0,66082,54)|0;u=B;B=0;if((((((!(u&1)?(B=0,u=ya(427,k[e>>2]|0)|0,v=B,B=0,!(v&1)):0)?(v=Lta(u)|0,B=0,w=Ia(40,t|0,u|0,v|0)|0,v=B,B=0,!(v&1)):0)?(B=0,v=Ia(40,w|0,66137,11)|0,w=B,B=0,!(w&1)):0)?(B=0,w=Sa(1,v|0,+(+p[d>>3]))|0,v=B,B=0,!(v&1)):0)?(B=0,Ia(40,w|0,149177,1)|0,w=B,B=0,!(w&1)):0)?(B=0,wa(510,g|0,j|0),w=B,B=0,!(w&1)):0){B=0;ya(425,g|0)|0;w=B;B=0;if(!(w&1)){Yua(g);k[f>>2]=27468;k[i>>2]=27488;k[j>>2]=27560;Yua(o);Ava(j);vva(i);break a}w=Rb()|0;v=Q;Yua(g);x=w;y=v;k[f>>2]=27468;k[i>>2]=27488;k[j>>2]=27560;Yua(o);Ava(j);vva(i);Qb(x|0)}v=Rb()|0;x=v;y=Q;k[f>>2]=27468;k[i>>2]=27488;k[j>>2]=27560;Yua(o);Ava(j);vva(i);Qb(x|0)}while(0);m=q;n=s;vva(i);Qb(n|0)}while(0);n=n_(k[e>>2]|0)|0;Fc[k[(k[n>>2]|0)+64>>2]&1023](n,a);if(!n){z=a+24|0;A=k[z>>2]|0;C=a+32|0;D=k[C>>2]|0;E=k[h>>2]|0;F=k[e>>2]|0;YZ(A,D,E,F);G=k[z>>2]|0;H=k[h>>2]|0;I=k[e>>2]|0;zZ(G,H,I);r=b;return}Ec[k[(k[n>>2]|0)+4>>2]&1023](n);z=a+24|0;A=k[z>>2]|0;C=a+32|0;D=k[C>>2]|0;E=k[h>>2]|0;F=k[e>>2]|0;YZ(A,D,E,F);G=k[z>>2]|0;H=k[h>>2]|0;I=k[e>>2]|0;zZ(G,H,I);r=b;return}function Fh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;c=k[b>>2]|0;d=k[b+4>>2]|0;b=a+20|0;if((th(k[b>>2]|0)|0)<=0)return;a=d>>1;e=c;if(!(d&1))f=0;else{d=0;do{g=(ura(qh(k[b>>2]|0,d)|0,168,456,0)|0)+a|0;Ec[k[(k[g>>2]|0)+c>>2]&1023](g);d=d+1|0}while((d|0)<(th(k[b>>2]|0)|0));return}do{d=qh(k[b>>2]|0,f)|0;if(!d)h=0;else h=ura(d,168,456,0)|0;Ec[e&1023](h+a|0);f=f+1|0}while((f|0)<(th(k[b>>2]|0)|0));return}function Gh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0.0;c=r;r=r+16|0;d=c+8|0;e=c;p[d>>3]=0.0;f=a+20|0;if((th(k[f>>2]|0)|0)>0){g=0.0;a=0;do{g=+bp(qh(k[f>>2]|0,a)|0)+g;p[d>>3]=g;a=a+1|0}while((a|0)<(th(k[f>>2]|0)|0))}nZ(d,e,1,2,4,0,uY()|0)|0;uY()|0;p[b>>3]=+p[e>>3];r=c;return}function Hh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0.0,h=0.0,i=0.0;c=r;r=r+16|0;d=c+8|0;e=c;p[e>>3]=-G;f=a+20|0;if((th(k[f>>2]|0)|0)>0){g=-G;a=0;while(1){h=+$(+(+bp(qh(k[f>>2]|0,a)|0)));if(h>g){p[e>>3]=h;i=h}else i=g;a=a+1|0;if((a|0)>=(th(k[f>>2]|0)|0))break;else g=i}}nZ(e,d,1,2,1,0,uY()|0)|0;uY()|0;p[b>>3]=+p[d>>3];r=c;return}function Ih(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0.0,h=0;c=r;r=r+16|0;d=c+8|0;e=c;p[d>>3]=0.0;f=a+20|0;if((th(k[f>>2]|0)|0)>0){g=0.0;a=0;do{h=qh(k[f>>2]|0,a)|0;g=+Zc[k[(k[h>>2]|0)+200>>2]&255](h)+g;p[d>>3]=g;a=a+1|0}while((a|0)<(th(k[f>>2]|0)|0))}nZ(d,e,1,2,4,0,uY()|0)|0;uY()|0;p[b>>3]=+p[e>>3];r=c;return}function Jh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0.0,h=0;c=r;r=r+16|0;d=c+8|0;e=c;p[d>>3]=0.0;f=a+20|0;if((th(k[f>>2]|0)|0)>0){g=0.0;a=0;do{h=qh(k[f>>2]|0,a)|0;g=+Zc[k[(k[h>>2]|0)+204>>2]&255](h)+g;p[d>>3]=g;a=a+1|0}while((a|0)<(th(k[f>>2]|0)|0))}nZ(d,e,1,2,4,0,uY()|0)|0;uY()|0;p[b>>3]=+p[e>>3];r=c;return}function Kh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0.0,h=0;c=r;r=r+16|0;d=c+8|0;e=c;p[d>>3]=0.0;f=a+20|0;if((th(k[f>>2]|0)|0)>0){g=0.0;a=0;do{h=qh(k[f>>2]|0,a)|0;g=+Zc[k[(k[h>>2]|0)+208>>2]&255](h)+g;p[d>>3]=g;a=a+1|0}while((a|0)<(th(k[f>>2]|0)|0))}nZ(d,e,1,2,4,0,uY()|0)|0;uY()|0;p[b>>3]=+p[e>>3];r=c;return}function Lh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0.0,h=0;c=r;r=r+16|0;d=c+8|0;e=c;p[d>>3]=0.0;f=a+20|0;if((th(k[f>>2]|0)|0)>0){g=0.0;a=0;do{h=qh(k[f>>2]|0,a)|0;g=+Zc[k[(k[h>>2]|0)+196>>2]&255](h)+g;p[d>>3]=g;a=a+1|0}while((a|0)<(th(k[f>>2]|0)|0))}nZ(d,e,1,2,4,0,uY()|0)|0;uY()|0;p[b>>3]=+p[e>>3];r=c;return}function Mh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0.0,h=0;c=r;r=r+16|0;d=c+8|0;e=c;p[d>>3]=0.0;f=a+20|0;if((th(k[f>>2]|0)|0)>0){g=0.0;a=0;do{h=qh(k[f>>2]|0,a)|0;g=+Zc[k[(k[h>>2]|0)+116>>2]&255](h)+g;p[d>>3]=g;a=a+1|0}while((a|0)<(th(k[f>>2]|0)|0))}nZ(d,e,1,2,4,0,uY()|0)|0;uY()|0;p[b>>3]=+p[e>>3];r=c;return}function Nh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0.0,h=0,i=0.0,j=0.0;c=r;r=r+16|0;d=c+8|0;e=c;p[d>>3]=G;f=a+20|0;if((th(k[f>>2]|0)|0)>0){g=G;a=0;while(1){h=(qh(k[f>>2]|0,a)|0)+16|0;i=+rC(k[h>>2]|0,671);if(i<g){p[d>>3]=i;j=i}else j=g;a=a+1|0;if((a|0)>=(th(k[f>>2]|0)|0))break;else g=j}}nZ(d,e,1,2,1,0,uY()|0)|0;uY()|0;p[b>>3]=+p[e>>3];r=c;return}function Oh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0.0,h=0,i=0.0,j=0.0;c=r;r=r+16|0;d=c+8|0;e=c;p[d>>3]=-G;f=a+20|0;if((th(k[f>>2]|0)|0)>0){g=-G;a=0;while(1){h=(qh(k[f>>2]|0,a)|0)+16|0;i=+pC(k[h>>2]|0,671);if(i>g){p[d>>3]=i;j=i}else j=g;a=a+1|0;if((a|0)>=(th(k[f>>2]|0)|0))break;else g=j}}nZ(d,e,1,2,1,0,uY()|0)|0;uY()|0;p[b>>3]=+p[e>>3];r=c;return}function Ph(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0.0,h=0,i=0.0,j=0.0;c=r;r=r+16|0;d=c+8|0;e=c;p[d>>3]=G;f=a+20|0;if((th(k[f>>2]|0)|0)>0){g=G;a=0;while(1){h=(qh(k[f>>2]|0,a)|0)+16|0;i=+rC(k[h>>2]|0,674);if(i<g){p[d>>3]=i;j=i}else j=g;a=a+1|0;if((a|0)>=(th(k[f>>2]|0)|0))break;else g=j}}nZ(d,e,1,2,1,0,uY()|0)|0;uY()|0;p[b>>3]=+p[e>>3];r=c;return}function Qh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0.0,h=0,i=0.0,j=0.0;c=r;r=r+16|0;d=c+8|0;e=c;p[d>>3]=-G;f=a+20|0;if((th(k[f>>2]|0)|0)>0){g=-G;a=0;while(1){h=(qh(k[f>>2]|0,a)|0)+16|0;i=+pC(k[h>>2]|0,674);if(i>g){p[d>>3]=i;j=i}else j=g;a=a+1|0;if((a|0)>=(th(k[f>>2]|0)|0))break;else g=j}}nZ(d,e,1,2,1,0,uY()|0)|0;uY()|0;p[b>>3]=+p[e>>3];r=c;return}function Rh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0.0,h=0,i=0.0,j=0.0;c=r;r=r+16|0;d=c+8|0;e=c;p[d>>3]=-G;f=a+20|0;if((th(k[f>>2]|0)|0)>0){g=-G;a=0;while(1){h=(qh(k[f>>2]|0,a)|0)+16|0;i=+qC(k[h>>2]|0,674);if(i>g){p[d>>3]=i;j=i}else j=g;a=a+1|0;if((a|0)>=(th(k[f>>2]|0)|0))break;else g=j}}nZ(d,e,1,2,1,0,uY()|0)|0;uY()|0;p[b>>3]=+p[e>>3];r=c;return}function Sh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0.0,h=0,i=0.0,j=0.0;c=r;r=r+16|0;d=c+8|0;e=c;p[d>>3]=G;f=a+20|0;if((th(k[f>>2]|0)|0)>0){g=G;a=0;while(1){h=(qh(k[f>>2]|0,a)|0)+16|0;i=+rC(k[h>>2]|0,677);if(i<g){p[d>>3]=i;j=i}else j=g;a=a+1|0;if((a|0)>=(th(k[f>>2]|0)|0))break;else g=j}}nZ(d,e,1,2,1,0,uY()|0)|0;uY()|0;p[b>>3]=+p[e>>3];r=c;return}function Th(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0.0,h=0,i=0.0,j=0.0;c=r;r=r+16|0;d=c+8|0;e=c;p[d>>3]=-G;f=a+20|0;if((th(k[f>>2]|0)|0)>0){g=-G;a=0;while(1){h=(qh(k[f>>2]|0,a)|0)+16|0;i=+pC(k[h>>2]|0,677);if(i>g){p[d>>3]=i;j=i}else j=g;a=a+1|0;if((a|0)>=(th(k[f>>2]|0)|0))break;else g=j}}nZ(d,e,1,2,1,0,uY()|0)|0;uY()|0;p[b>>3]=+p[e>>3];r=c;return}function Uh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0.0,h=0,i=0.0,j=0.0;c=r;r=r+16|0;d=c+8|0;e=c;p[d>>3]=-G;f=a+20|0;if((th(k[f>>2]|0)|0)>0){g=-G;a=0;while(1){h=(qh(k[f>>2]|0,a)|0)+16|0;i=+qC(k[h>>2]|0,677);if(i>g){p[d>>3]=i;j=i}else j=g;a=a+1|0;if((a|0)>=(th(k[f>>2]|0)|0))break;else g=j}}nZ(d,e,1,2,1,0,uY()|0)|0;uY()|0;p[b>>3]=+p[e>>3];r=c;return}function Vh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0.0,h=0,i=0.0,j=0.0;c=r;r=r+16|0;d=c+8|0;e=c;p[d>>3]=G;f=a+20|0;if((th(k[f>>2]|0)|0)>0){g=G;a=0;while(1){h=(qh(k[f>>2]|0,a)|0)+16|0;i=+rC(k[h>>2]|0,679);if(i<g){p[d>>3]=i;j=i}else j=g;a=a+1|0;if((a|0)>=(th(k[f>>2]|0)|0))break;else g=j}}nZ(d,e,1,2,1,0,uY()|0)|0;uY()|0;p[b>>3]=+p[e>>3];r=c;return}function Wh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0.0,h=0,i=0.0,j=0.0;c=r;r=r+16|0;d=c+8|0;e=c;p[d>>3]=-G;f=a+20|0;if((th(k[f>>2]|0)|0)>0){g=-G;a=0;while(1){h=(qh(k[f>>2]|0,a)|0)+16|0;i=+pC(k[h>>2]|0,679);if(i>g){p[d>>3]=i;j=i}else j=g;a=a+1|0;if((a|0)>=(th(k[f>>2]|0)|0))break;else g=j}}nZ(d,e,1,2,1,0,uY()|0)|0;uY()|0;p[b>>3]=+p[e>>3];r=c;return}function Xh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0.0,h=0,i=0.0,j=0.0;c=r;r=r+16|0;d=c+8|0;e=c;p[d>>3]=-G;f=a+20|0;if((th(k[f>>2]|0)|0)>0){g=-G;a=0;while(1){h=(qh(k[f>>2]|0,a)|0)+16|0;i=+qC(k[h>>2]|0,679);if(i>g){p[d>>3]=i;j=i}else j=g;a=a+1|0;if((a|0)>=(th(k[f>>2]|0)|0))break;else g=j}}nZ(d,e,1,2,1,0,uY()|0)|0;uY()|0;p[b>>3]=+p[e>>3];r=c;return}function Yh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0.0,D=0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0;c=r;r=r+240|0;d=c+212|0;e=c+224|0;f=c+8|0;g=c;h=c+208|0;j=c+204|0;l=c+200|0;m=c+196|0;n=c+192|0;o=c+56|0;q=c+40|0;s=c+28|0;t=c+16|0;i[e>>0]=0;p[f>>3]=0.0;p[g>>3]=0.0;k[j>>2]=0;k[m>>2]=0;k[n>>2]=0;u=a+44|0;bO(k[u>>2]|0,e,316);if(i[e>>0]|0){kO(k[u>>2]|0,j,l,m,n,315);cO(k[u>>2]|0,h,944);u=(k[h>>2]|0)+-1|0;h=k[(k[j>>2]|0)+(u<<2)>>2]|0;e=k[(k[m>>2]|0)+(u<<2)>>2]|0;if((e|0)>0){u=a+20|0;a=0;do{v=h+(a*5<<3)|0;w=~~+p[v+32>>3];a:do if((th(k[u>>2]|0)|0)>0){x=0;while(1){y=qh(k[u>>2]|0,x)|0;x=x+1|0;if((Hc[k[(k[y>>2]|0)+16>>2]&511](y)|0)==(w|0)){z=y;A=y;break}if((x|0)>=(th(k[u>>2]|0)|0))break a}C=+id[k[(k[z>>2]|0)+284>>2]&63](A,v);p[f>>3]=C+ +p[f>>3]}while(0);a=a+1|0}while((a|0)!=(e|0))}fZ(f,g,1,2,4,uY()|0)|0;p[f>>3]=+p[g>>3];g=k[l>>2]|0;if((g|0)>0){e=g;g=0;while(1){a=k[(k[j>>2]|0)+(g<<2)>>2]|0;if(!a)D=e;else{Tqa(a);D=k[l>>2]|0}g=g+1|0;if((g|0)>=(D|0))break;else e=D}}D=k[m>>2]|0;if(D)Tqa(D);k[m>>2]=0;m=k[n>>2]|0;if(m)Tqa(m);k[n>>2]=0;n=k[j>>2]|0;if(!n){E=+p[f>>3];p[b>>3]=E;r=c;return}Tqa(n);E=+p[f>>3];p[b>>3]=E;r=c;return}c=o+56|0;b=o+4|0;k[o>>2]=27524;k[c>>2]=27544;B=0;wa(508,o+56|0,b|0);f=B;B=0;if(f&1){f=Rb()|0;F=Q;G=f;vva(c);Qb(G|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[c>>2]=27488;B=0;va(448,b|0);f=B;B=0;do if(f&1){n=Rb()|0;H=Q;I=n}else{k[b>>2]=27560;n=o+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[o+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,b|0,d|0);j=B;B=0;if(j&1){j=Rb()|0;m=Q;Yua(d);Yua(n);Ava(b);H=m;I=j;break}Yua(d);B=0;j=Ia(40,o|0,66149,32)|0;m=B;B=0;if(!(m&1)?(B=0,Xa(239,j|0,0)|0,j=B,B=0,!(j&1)):0){j=Ab(20)|0;B=0;eb(502,q|0,65553,67);m=B;B=0;do if(!(m&1)){B=0;eb(502,s|0,66182,9);D=B;B=0;if(D&1){D=Rb()|0;e=Q;Yua(q);J=e;K=D;break}B=0;wa(510,t|0,b|0);D=B;B=0;if(D&1){D=Rb()|0;L=Q;M=D;N=1}else{B=0;ua(163,j|0,q|0,s|0,1284,t|0);D=B;B=0;if(D&1)O=1;else{B=0;eb(503,j|0,1240,229);B=0;O=0}D=Rb()|0;e=Q;Yua(t);L=e;M=D;N=O}Yua(s);Yua(q);if(N){J=L;K=M}else{P=L;R=M;k[o>>2]=27468;k[c>>2]=27488;k[b>>2]=27560;Yua(n);Ava(b);vva(c);Qb(R|0)}}else{D=Rb()|0;J=Q;K=D}while(0);zb(j|0);P=J;R=K;k[o>>2]=27468;k[c>>2]=27488;k[b>>2]=27560;Yua(n);Ava(b);vva(c);Qb(R|0)}m=Rb()|0;P=Q;R=m;k[o>>2]=27468;k[c>>2]=27488;k[b>>2]=27560;Yua(n);Ava(b);vva(c);Qb(R|0)}while(0);F=H;G=I;vva(c);Qb(G|0)}function Zh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0.0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0;c=r;r=r+64|0;d=c+48|0;e=c+40|0;f=c+32|0;g=c+24|0;h=c+56|0;i=c;p[d>>3]=0.0;k[h>>2]=0;j=a+20|0;if((th(k[j>>2]|0)|0)<=0){l=uY()|0;nZ(d,e,1,2,4,0,l)|0;uY()|0;m=+p[e>>3];p[b>>3]=m;r=c;return}a=i+8|0;n=0;do{o=qh(k[j>>2]|0,n)|0;if($p(o)|0){Uo(o,h);q=Wo(o,179)|0;s=Wo(o,353)|0;t=ed[k[(k[o>>2]|0)+308>>2]&511](o,2)|0;u=Hc[k[(k[t>>2]|0)+8>>2]&511](t)|0;if((u|0)<(Hc[k[(k[t>>2]|0)+12>>2]&511](t)|0)){v=t+8|0;w=u;do{Fc[k[(k[t>>2]|0)+24>>2]&1023](t,w);rd[k[(k[o>>2]|0)+260>>2]&511](o,g,k[h>>2]|0,t);rd[k[(k[q>>2]|0)+56>>2]&511](q,f,t,689);rd[k[(k[s>>2]|0)+60>>2]&511](s,i,k[h>>2]|0,t);x=+p[i>>3];y=+p[a>>3];p[d>>3]=+p[d>>3]+ +p[v>>3]*(+p[g>>3]*(+p[f>>3]*.5*(x*x+y*y)));w=w+1|0}while((w|0)<(Hc[k[(k[t>>2]|0)+12>>2]&511](t)|0))}w=k[h>>2]|0;if(w)Tqa(w);k[h>>2]=0;Ec[k[(k[t>>2]|0)+4>>2]&1023](t)}n=n+1|0}while((n|0)<(th(k[j>>2]|0)|0));l=uY()|0;nZ(d,e,1,2,4,0,l)|0;uY()|0;m=+p[e>>3];p[b>>3]=m;r=c;return}function _h(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0;c=r;r=r+144|0;d=c+120|0;e=c+112|0;f=c+104|0;g=c+96|0;h=c+88|0;i=c+80|0;j=c+64|0;l=c+48|0;m=c+32|0;n=c+24|0;o=c+16|0;q=c+8|0;s=c;t=c+128|0;p[d>>3]=0.0;k[t>>2]=0;u=a+20|0;if((th(k[u>>2]|0)|0)<=0){v=uY()|0;nZ(d,e,1,2,4,0,v)|0;uY()|0;w=+p[e>>3];p[b>>3]=w;r=c;return}a=m+8|0;x=l+8|0;y=0;do{z=qh(k[u>>2]|0,y)|0;if($p(z)|0){Uo(z,t);A=Wo(z,179)|0;B=Wo(z,353)|0;C=Wo(z,674)|0;D=Wo(z,677)|0;E=Wo(z,388)|0;F=Wo(z,39)|0;G=Wo(z,36)|0;H=ed[k[(k[z>>2]|0)+308>>2]&511](z,2)|0;I=Hc[k[(k[H>>2]|0)+8>>2]&511](H)|0;if((I|0)<(Hc[k[(k[H>>2]|0)+12>>2]&511](H)|0)){J=H+8|0;K=I;do{Fc[k[(k[H>>2]|0)+24>>2]&1023](H,K);rd[k[(k[z>>2]|0)+260>>2]&511](z,n,k[t>>2]|0,H);rd[k[(k[A>>2]|0)+56>>2]&511](A,f,H,641);nd[k[(k[B>>2]|0)+48>>2]&1023](B,i,H);rd[k[(k[B>>2]|0)+60>>2]&511](B,m,k[t>>2]|0,H);nd[k[(k[E>>2]|0)+48>>2]&1023](E,s,H);nd[k[(k[F>>2]|0)+48>>2]&1023](F,q,H);nd[k[(k[G>>2]|0)+48>>2]&1023](G,o,H);nd[k[(k[C>>2]|0)+48>>2]&1023](C,g,H);rd[k[(k[C>>2]|0)+60>>2]&511](C,j,k[t>>2]|0,H);nd[k[(k[D>>2]|0)+48>>2]&1023](D,h,H);rd[k[(k[D>>2]|0)+60>>2]&511](D,l,k[t>>2]|0,H);L=+p[g>>3]*+p[m>>3]+ +p[h>>3]*+p[a>>3]+ +p[i>>3]*(+p[j>>3]+ +p[x>>3])-(+p[s>>3]-+p[q>>3]-+p[o>>3]);p[d>>3]=+p[d>>3]+ +p[J>>3]*(+p[n>>3]*(L*(+p[f>>3]*.5*L)));K=K+1|0}while((K|0)<(Hc[k[(k[H>>2]|0)+12>>2]&511](H)|0))}K=k[t>>2]|0;if(K)Tqa(K);k[t>>2]=0;Ec[k[(k[H>>2]|0)+4>>2]&1023](H)}y=y+1|0}while((y|0)<(th(k[u>>2]|0)|0));v=uY()|0;nZ(d,e,1,2,4,0,v)|0;uY()|0;w=+p[e>>3];p[b>>3]=w;r=c;return}function $h(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0.0,h=0;c=r;r=r+16|0;d=c+8|0;e=c;p[d>>3]=0.0;f=a+20|0;if((th(k[f>>2]|0)|0)>0){g=0.0;a=0;do{h=qh(k[f>>2]|0,a)|0;g=+Zc[k[(k[h>>2]|0)+468>>2]&255](h)+g;p[d>>3]=g;a=a+1|0}while((a|0)<(th(k[f>>2]|0)|0))}nZ(d,e,1,2,4,0,uY()|0)|0;uY()|0;p[b>>3]=+p[e>>3];r=c;return}function ai(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0.0,h=0;c=r;r=r+16|0;d=c+8|0;e=c;p[d>>3]=0.0;f=a+20|0;if((th(k[f>>2]|0)|0)>0){g=0.0;a=0;do{h=qh(k[f>>2]|0,a)|0;g=+Zc[k[(k[h>>2]|0)+472>>2]&255](h)+g;p[d>>3]=g;a=a+1|0}while((a|0)<(th(k[f>>2]|0)|0))}nZ(d,e,1,2,4,0,uY()|0)|0;uY()|0;p[b>>3]=+p[e>>3];r=c;return}function bi(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0.0,h=0;c=r;r=r+16|0;d=c+8|0;e=c;p[d>>3]=0.0;f=a+20|0;if((th(k[f>>2]|0)|0)>0){g=0.0;a=0;do{h=qh(k[f>>2]|0,a)|0;g=+Zc[k[(k[h>>2]|0)+476>>2]&255](h)+g;p[d>>3]=g;a=a+1|0}while((a|0)<(th(k[f>>2]|0)|0))}nZ(d,e,1,2,4,0,uY()|0)|0;uY()|0;p[b>>3]=+p[e>>3];r=c;return}function ci(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0,O=0,P=0,R=0,S=0,T=0.0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0;f=r;r=r+240|0;g=f+220|0;h=f+232|0;j=f+216|0;l=f+8|0;m=f;n=f+212|0;o=f+208|0;q=f+204|0;s=f+200|0;t=f+196|0;u=f+192|0;v=f+56|0;w=f+40|0;x=f+28|0;y=f+16|0;z=k[b>>2]|0;if(!z){A=Qqa(36)|0;B=0;va(481,A|0);C=B;B=0;if(C&1){C=Rb()|0;D=Q;Sqa(A);E=C;F=D;Qb(E|0)}else G=A}else G=z;z=a+44|0;cO(k[z>>2]|0,j,766);dO(k[z>>2]|0,l,767);bO(k[z>>2]|0,h,325);if((d|0)<=0){k[b>>2]=G;r=f;return}A=a+20|0;D=a+28|0;C=a+24|0;H=a+36|0;I=a+40|0;J=0;a:while(1){K=k[c+(J<<2)>>2]|0;L=zY(K,0)|0;b:do if((L|0)<0){M=+O2(a,K);p[m>>3]=M;if(e){N=Qqa(48)|0;B=0;O=ya(428,G|0)|0;P=B;B=0;if(P&1){R=N;S=16;break a}M=+p[m>>3];P=k[j>>2]|0;T=+p[l>>3];k[N>>2]=27904;k[N+4>>2]=O+1;p[N+16>>3]=M;k[N+32>>2]=P;p[N+40>>3]=T;k[N+24>>2]=1;k[N+28>>2]=1;P=(Lta(K)|0)+1|0;B=0;O=ya(422,P|0)|0;P=B;B=0;if(P&1){R=N;S=16;break a}k[N+8>>2]=O;P=(Lta(K)|0)+1|0;if(!K){U=N;S=14;break a}if(P)TEa(O|0,K|0,P|0)|0;Oo(G,N)|0}}else{if((L+-770|0)>>>0<10){T=+P2(a,L);p[m>>3]=T;if(!e)break;N=Qqa(48)|0;B=0;P=ya(428,G|0)|0;O=B;B=0;if(O&1){V=N;S=27;break a}T=+p[m>>3];O=k[j>>2]|0;M=+p[l>>3];k[N>>2]=27904;k[N+4>>2]=P+1;p[N+16>>3]=T;k[N+32>>2]=O;p[N+40>>3]=M;k[N+24>>2]=1;k[N+28>>2]=1;O=(Lta(K)|0)+1|0;B=0;P=ya(422,O|0)|0;O=B;B=0;if(O&1){V=N;S=27;break a}k[N+8>>2]=P;O=(Lta(K)|0)+1|0;if(!K){W=N;S=25;break a}if(O)TEa(P|0,K|0,O|0)|0;Oo(G,N)|0;break}do switch(L|0){case 731:{Gh(a,m);break}case 732:{Hh(a,m);break}case 908:{Ih(a,m);break}case 909:{Jh(a,m);break}case 910:{Kh(a,m);break}case 907:{Lh(a,m);break}case 906:{Mh(a,m);break}case 895:{Nh(a,m);break}case 896:{Oh(a,m);break}case 897:{Ph(a,m);break}case 898:{Qh(a,m);break}case 899:{Rh(a,m);break}case 900:{Sh(a,m);break}case 901:{Th(a,m);break}case 902:{Uh(a,m);break}case 903:{Vh(a,m);break}case 904:{Wh(a,m);break}case 905:{Xh(a,m);break}case 650:{Yh(a,m);break}case 911:{$h(a,m);break}case 912:{ai(a,m);break}case 913:{bi(a,m);break}case 658:{F_(m,k[A>>2]|0,k[C>>2]|0,k[D>>2]|0,k[H>>2]|0,k[I>>2]|0,k[z>>2]|0);break}case 663:{H_(m,k[A>>2]|0,k[C>>2]|0,k[D>>2]|0,k[H>>2]|0,k[I>>2]|0,k[z>>2]|0);break}case 661:{J_(m,k[A>>2]|0,k[C>>2]|0,k[D>>2]|0,k[H>>2]|0,k[I>>2]|0,k[z>>2]|0);break}case 662:{L_(m,k[A>>2]|0,k[C>>2]|0,k[D>>2]|0,k[H>>2]|0,k[I>>2]|0,k[z>>2]|0);break}case 660:{N_(m,a);break}case 669:{P_(m,k[A>>2]|0,k[C>>2]|0,k[D>>2]|0,k[H>>2]|0,k[I>>2]|0,k[z>>2]|0);break}case 689:{Zh(a,m);break}case 690:{T_(m,k[A>>2]|0,k[C>>2]|0,k[D>>2]|0,k[H>>2]|0,k[I>>2]|0,k[z>>2]|0);break}case 691:{V_(m,k[A>>2]|0,k[C>>2]|0,k[D>>2]|0,k[H>>2]|0,k[I>>2]|0,k[z>>2]|0);break}case 692:{di(a,m);break}case 694:{X_(m,k[A>>2]|0,k[C>>2]|0,k[D>>2]|0,k[H>>2]|0,k[I>>2]|0,k[z>>2]|0);break}case 695:{Z_(m,k[A>>2]|0,k[C>>2]|0,k[D>>2]|0,k[H>>2]|0,k[I>>2]|0,k[z>>2]|0);break}case 696:{R_(m,k[A>>2]|0,k[C>>2]|0,k[D>>2]|0,k[H>>2]|0,k[I>>2]|0,k[z>>2]|0);break}case 641:{_h(a,m);break}case 670:{ei(a,m);break}default:{k[s>>2]=-1;k[t>>2]=-1;k[u>>2]=-1;if((th(k[A>>2]|0)|0)>0){N=0;O=0;while(1){lq(qh(k[A>>2]|0,N)|0,s,t,u,L);P=k[u>>2]|0;X=(P|0)>(O|0)?P:O;N=N+1|0;if((N|0)>=(th(k[A>>2]|0)|0)){Y=X;break}else O=X}}else Y=0;k[u>>2]=Y;nZ(s,n,1,4,1,0,uY()|0)|0;nZ(t,o,1,4,1,0,uY()|0)|0;nZ(u,q,1,4,1,0,uY()|0)|0;uY()|0;uY()|0;uY()|0;c:do if(!(i[h>>0]|0)){switch(k[n>>2]|0){case 736:{Z=Qq(k[A>>2]|0)|0;break}case 738:{Z=nn(k[D>>2]|0)|0;break}case 737:{O=Qq(k[A>>2]|0)|0;N=k[q>>2]|0;X=ma(N,O)|0;P=X>>>0>536870911?-1:X<<3;_=Rqa(P)|0;if(X)WEa(_|0,0,X<<3|0)|0;$=Rqa(P)|0;if((th(k[A>>2]|0)|0)>0){P=0;do{pq(qh(k[A>>2]|0,P)|0,_,N,L);P=P+1|0}while((P|0)<(th(k[A>>2]|0)|0))}fZ(_,$,X,3,4,uY()|0)|0;Tqa(_);if(e){P=Qqa(40)|0;B=0;aa=ya(428,G|0)|0;ba=B;B=0;if(ba&1){ca=P;S=142;break a}ba=k[j>>2]|0;M=+p[l>>3];k[P>>2]=27964;k[P+4>>2]=aa+1;aa=P+16|0;k[aa>>2]=O;da=P+20|0;k[da>>2]=N;B=0;wa(512,P+8|0,L|0);ea=B;B=0;if(ea&1){ca=P;S=142;break a}k[P+24>>2]=ba;p[P+32>>3]=M;ba=ma(k[da>>2]|0,k[aa>>2]|0)|0;if(!ba)k[P+12>>2]=0;else{B=0;aa=ya(422,(ba>>>0>536870911?-1:ba<<3)|0)|0;da=B;B=0;if(da&1){ca=P;S=142;break a}k[P+12>>2]=aa;TEa(aa|0,$|0,ba<<3|0)|0}Oo(G,P)|0}Tqa($);break c;break}default:{S=87;break a}}P=Qqa(8)|0;B=0;va(485,P|0);ba=B;B=0;if(ba&1){fa=P;S=123;break a}if(k[P>>2]|0){B=0;ba=ya(423,4)|0;aa=B;B=0;if(aa&1){fa=P;S=123;break a}B=0;eb(505,ba|0,Z|0,0);aa=B;B=0;if(aa&1){ga=P;ha=ba;S=119;break a}k[P+4>>2]=ba}if((th(k[A>>2]|0)|0)>0){ba=0;do{qq(qh(k[A>>2]|0,ba)|0,P,L);ba=ba+1|0}while((ba|0)<(th(k[A>>2]|0)|0))}if(k[P>>2]|0){ba=k[k[P+4>>2]>>2]|0;Ec[k[(k[ba>>2]|0)+12>>2]&1023](ba)}if(e){ba=Qqa(40)|0;B=0;$=ya(428,G|0)|0;N=B;B=0;if(N&1){ia=ba;S=129;break a}N=k[j>>2]|0;M=+p[l>>3];k[ba>>2]=28024;k[ba+4>>2]=$+1;k[ba+16>>2]=0;k[ba+20>>2]=0;B=0;wa(512,ba+8|0,L|0);$=B;B=0;if($&1){ia=ba;S=129;break a}k[ba+24>>2]=N;p[ba+32>>3]=M;k[ba+12>>2]=P;Oo(G,ba)|0}}else{ba=Qq(k[A>>2]|0)|0;N=ma(k[o>>2]|0,ba)|0;$=N>>>0>536870911?-1:N<<3;O=Rqa($)|0;if(N)WEa(O|0,0,N<<3|0)|0;N=Rqa($)|0;if((th(k[A>>2]|0)|0)>0){$=0;do{_=qh(k[A>>2]|0,$)|0;oq(_,O,k[o>>2]|0,L);$=$+1|0}while(($|0)<(th(k[A>>2]|0)|0))}$=ma(k[o>>2]|0,ba)|0;fZ(O,N,$,3,4,uY()|0)|0;Tqa(O);if(e){$=Qqa(40)|0;B=0;P=ya(428,G|0)|0;_=B;B=0;if(_&1){ja=$;S=82;break a}_=k[o>>2]|0;X=k[j>>2]|0;M=+p[l>>3];k[$>>2]=27964;k[$+4>>2]=P+1;P=$+16|0;k[P>>2]=ba;aa=$+20|0;k[aa>>2]=_;B=0;wa(512,$+8|0,L|0);_=B;B=0;if(_&1){ja=$;S=82;break a}k[$+24>>2]=X;p[$+32>>3]=M;X=ma(k[aa>>2]|0,k[P>>2]|0)|0;if(!X)k[$+12>>2]=0;else{B=0;P=ya(422,(X>>>0>536870911?-1:X<<3)|0)|0;aa=B;B=0;if(aa&1){ja=$;S=82;break a}k[$+12>>2]=P;TEa(P|0,N|0,X<<3|0)|0}Oo(G,$)|0}Tqa(N)}while(0);break b}}while(0);if(e){$=Qqa(48)|0;B=0;X=ya(428,G|0)|0;P=B;B=0;if(P&1){ka=$;S=153;break a}M=+p[m>>3];P=k[j>>2]|0;T=+p[l>>3];k[$>>2]=27904;k[$+4>>2]=X+1;p[$+16>>3]=M;k[$+32>>2]=P;p[$+40>>3]=T;k[$+24>>2]=1;k[$+28>>2]=1;P=(Lta(K)|0)+1|0;B=0;X=ya(422,P|0)|0;P=B;B=0;if(P&1){ka=$;S=153;break a}k[$+8>>2]=X;P=(Lta(K)|0)+1|0;if(!K){la=$;S=151;break a}if(P)TEa(X|0,K|0,P|0)|0;Oo(G,$)|0}}while(0);J=J+1|0;if((J|0)>=(d|0)){S=6;break}}switch(S|0){case 6:{k[b>>2]=G;r=f;return}case 14:{B=0;ib(283,142353,68290,137,142345);B=0;na=U;oa=Rb()|0;pa=Q;S=17;break}case 16:{na=R;oa=Rb()|0;pa=Q;S=17;break}case 25:{B=0;ib(283,142353,68290,137,142345);B=0;qa=W;ra=Rb()|0;sa=Q;S=28;break}case 27:{qa=V;ra=Rb()|0;sa=Q;S=28;break}case 82:{V=Rb()|0;W=Q;Sqa(ja);E=V;F=W;Qb(E|0);break}case 87:{W=v+56|0;V=v+4|0;k[v>>2]=27524;k[W>>2]=27544;B=0;wa(508,v+56|0,V|0);ja=B;B=0;if(ja&1){ja=Rb()|0;ta=Q;xa=ja;vva(W);Qb(xa|0)}k[v+128>>2]=0;k[v+132>>2]=-1;k[v>>2]=27468;k[W>>2]=27488;B=0;va(448,V|0);ja=B;B=0;do if(ja&1){R=Rb()|0;za=Q;Aa=R}else{k[V>>2]=27560;R=v+36|0;k[R>>2]=0;k[R+4>>2]=0;k[R+8>>2]=0;k[R+12>>2]=0;k[v+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,V|0,g|0);U=B;B=0;if(U&1){U=Rb()|0;f=Q;Yua(g);Yua(R);Ava(V);za=f;Aa=U;break}Yua(g);B=0;U=Ia(40,v|0,66192,14)|0;f=B;B=0;d:do if((((!(f&1)?(B=0,G=ya(427,k[n>>2]|0)|0,b=B,B=0,!(b&1)):0)?(b=Lta(G)|0,B=0,d=Ia(40,U|0,G|0,b|0)|0,b=B,B=0,!(b&1)):0)?(B=0,b=Ia(40,d|0,146481,18)|0,d=B,B=0,!(d&1)):0)?(B=0,Xa(239,b|0,0)|0,b=B,B=0,!(b&1)):0){b=Ab(20)|0;B=0;eb(502,w|0,65553,67);d=B;B=0;do if(!(d&1)){B=0;eb(502,x|0,66207,17);G=B;B=0;if(G&1){G=Rb()|0;J=Q;Yua(w);Ba=G;Ca=J;break}B=0;wa(510,y|0,V|0);J=B;B=0;if(J&1){J=Rb()|0;Da=J;Ea=Q;Fa=1}else{B=0;ua(163,b|0,w|0,x|0,1115,y|0);J=B;B=0;if(J&1)Ga=1;else{B=0;eb(503,b|0,1240,229);B=0;Ga=0}J=Rb()|0;G=Q;Yua(y);Da=J;Ea=G;Fa=Ga}Yua(x);Yua(w);if(Fa){Ba=Da;Ca=Ea}else{Ha=Da;Ja=Ea;break d}}else{G=Rb()|0;Ba=G;Ca=Q}while(0);zb(b|0);Ha=Ba;Ja=Ca}else S=105;while(0);if((S|0)==105){U=Rb()|0;Ha=U;Ja=Q}k[v>>2]=27468;k[W>>2]=27488;k[V>>2]=27560;Yua(R);Ava(V);vva(W);E=Ha;F=Ja;Qb(E|0)}while(0);ta=za;xa=Aa;vva(W);Qb(xa|0);break}case 119:{xa=Rb()|0;W=Q;Sqa(ha);Ka=ga;La=W;Ma=xa;S=124;break}case 123:{xa=Rb()|0;Ka=fa;La=Q;Ma=xa;S=124;break}case 129:{xa=Rb()|0;fa=Q;Sqa(ia);E=xa;F=fa;Qb(E|0);break}case 142:{fa=Rb()|0;xa=Q;Sqa(ca);E=fa;F=xa;Qb(E|0);break}case 151:{B=0;ib(283,142353,68290,137,142345);B=0;Na=la;Oa=Rb()|0;Pa=Q;S=154;break}case 153:{Na=ka;Oa=Rb()|0;Pa=Q;S=154;break}}if((S|0)==17){Sqa(na);E=oa;F=pa;Qb(E|0)}else if((S|0)==28){Sqa(qa);E=ra;F=sa;Qb(E|0)}else if((S|0)==124){Sqa(Ka);E=Ma;F=La;Qb(E|0)}else if((S|0)==154){Sqa(Na);E=Oa;F=Pa;Qb(E|0)}}function di(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0.0,o=0,q=0,s=0,t=0,u=0,v=0,w=0.0;c=r;r=r+48|0;d=c+32|0;e=c+24|0;f=c+16|0;g=c+8|0;h=c+40|0;i=c;p[d>>3]=0.0;k[h>>2]=0;j=a+20|0;if((th(k[j>>2]|0)|0)>0)l=0;else{m=uY()|0;nZ(d,e,1,2,4,0,m)|0;uY()|0;n=+p[e>>3];p[b>>3]=n;r=c;return}do{a=qh(k[j>>2]|0,l)|0;if($p(a)|0){Uo(a,h);o=Wo(a,179)|0;q=Wo(a,353)|0;s=ed[k[(k[a>>2]|0)+308>>2]&511](a,2)|0;t=Hc[k[(k[s>>2]|0)+8>>2]&511](s)|0;if((t|0)<(Hc[k[(k[s>>2]|0)+12>>2]&511](s)|0)){u=s+8|0;v=t;do{Fc[k[(k[s>>2]|0)+24>>2]&1023](s,v);rd[k[(k[a>>2]|0)+260>>2]&511](a,g,k[h>>2]|0,s);rd[k[(k[o>>2]|0)+56>>2]&511](o,f,s,692);nd[k[(k[q>>2]|0)+48>>2]&1023](q,i,s);w=+p[i>>3];if(w<=0.0)p[d>>3]=+p[d>>3]+ +p[u>>3]*(+p[g>>3]*(w*(w*+p[f>>3])));v=v+1|0}while((v|0)<(Hc[k[(k[s>>2]|0)+12>>2]&511](s)|0))}v=k[h>>2]|0;if(v)Tqa(v);k[h>>2]=0;Ec[k[(k[s>>2]|0)+4>>2]&1023](s)}l=l+1|0}while((l|0)<(th(k[j>>2]|0)|0));m=uY()|0;nZ(d,e,1,2,4,0,m)|0;uY()|0;n=+p[e>>3];p[b>>3]=n;r=c;return}function ei(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0.0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0;c=r;r=r+64|0;d=c+40|0;e=c+32|0;f=c+24|0;g=c+16|0;h=c+8|0;i=c;j=c+48|0;p[d>>3]=0.0;k[j>>2]=0;l=a+20|0;if((th(k[l>>2]|0)|0)>0)m=0;else{n=uY()|0;nZ(d,e,1,2,4,0,n)|0;uY()|0;o=+p[e>>3];p[b>>3]=o;r=c;return}do{a=qh(k[l>>2]|0,m)|0;if($p(a)|0){Uo(a,j);q=Wo(a,179)|0;s=Wo(a,339)|0;t=Wo(a,202)|0;u=ed[k[(k[a>>2]|0)+308>>2]&511](a,2)|0;v=Hc[k[(k[u>>2]|0)+8>>2]&511](u)|0;if((v|0)<(Hc[k[(k[u>>2]|0)+12>>2]&511](u)|0)){w=u+8|0;x=v;do{Fc[k[(k[u>>2]|0)+24>>2]&1023](u,x);rd[k[(k[a>>2]|0)+260>>2]&511](a,i,k[j>>2]|0,u);rd[k[(k[q>>2]|0)+56>>2]&511](q,h,u,670);nd[k[(k[s>>2]|0)+48>>2]&1023](s,f,u);nd[k[(k[t>>2]|0)+48>>2]&1023](t,g,u);y=+p[f>>3]-+p[g>>3];p[d>>3]=+p[d>>3]+ +p[w>>3]*(+p[i>>3]*(+p[h>>3]*(y*(y*.5))));x=x+1|0}while((x|0)<(Hc[k[(k[u>>2]|0)+12>>2]&511](u)|0))}Ec[k[(k[u>>2]|0)+4>>2]&1023](u);x=k[j>>2]|0;if(x)Tqa(x);k[j>>2]=0}m=m+1|0}while((m|0)<(th(k[l>>2]|0)|0));n=uY()|0;nZ(d,e,1,2,4,0,n)|0;uY()|0;o=+p[e>>3];p[b>>3]=o;r=c;return}function fi(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;f=Rqa(d>>>0>1073741823?-1:d<<2)|0;g=(d|0)>0;if(g)h=0;else{ci(a,b,f,d,e);Tqa(f);return}do{yY(f+(h<<2)|0,k[c+(h<<2)>>2]|0);h=h+1|0}while((h|0)!=(d|0));ci(a,b,f,d,e);if(g)i=0;else{Tqa(f);return}do{g=f+(i<<2)|0;e=k[g>>2]|0;if(e)Tqa(e);k[g>>2]=0;i=i+1|0}while((i|0)!=(d|0));Tqa(f);return}function gi(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+188|0;e=b+40|0;f=b+24|0;g=b+12|0;h=b;i[d>>0]=0;vY()|0;bO(k[a+44>>2]|0,d,8);if(!(i[d>>0]|0)){r=b;return}b=e+56|0;d=e+4|0;k[e>>2]=27524;k[b>>2]=27544;B=0;wa(508,e+56|0,d|0);a=B;B=0;if(a&1){a=Rb()|0;j=Q;l=a;vva(b);Qb(l|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[b>>2]=27488;B=0;va(448,d|0);a=B;B=0;do if(a&1){m=Rb()|0;n=Q;o=m}else{k[d>>2]=27560;m=e+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,d|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(d);n=q;o=p;break}Yua(c);B=0;p=Ia(40,e|0,66225,72)|0;q=B;B=0;if(!(q&1)?(B=0,Xa(239,p|0,0)|0,p=B,B=0,!(p&1)):0){p=Ab(20)|0;B=0;eb(502,f|0,65553,67);q=B;B=0;do if(!(q&1)){B=0;eb(502,g|0,66298,20);s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(f);u=t;v=s;break}B=0;wa(510,h|0,d|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,p|0,f|0,g|0,1213,h|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,p|0,1240,229);B=0;z=0}s=Rb()|0;t=Q;Yua(h);w=t;x=s;y=z}Yua(g);Yua(f);if(y){u=w;v=x}else{A=w;C=x;k[e>>2]=27468;k[b>>2]=27488;k[d>>2]=27560;Yua(m);Ava(d);vva(b);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(p|0);A=u;C=v;k[e>>2]=27468;k[b>>2]=27488;k[d>>2]=27560;Yua(m);Ava(d);vva(b);Qb(C|0)}q=Rb()|0;A=Q;C=q;k[e>>2]=27468;k[b>>2]=27488;k[d>>2]=27560;Yua(m);Ava(d);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function hi(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0.0,h=0.0,i=0,j=0.0;c=r;r=r+16|0;d=c+8|0;e=c;p[d>>3]=0.0;p[e>>3]=0.0;f=a+20|0;a=qh(k[f>>2]|0,0)|0;g=+Zc[k[(k[a>>2]|0)+464>>2]&255](a);p[d>>3]=g;if((th(k[f>>2]|0)|0)>1){h=g;a=1;while(1){i=qh(k[f>>2]|0,a)|0;g=+Zc[k[(k[i>>2]|0)+464>>2]&255](i);if(g<h){p[d>>3]=g;j=g}else j=h;a=a+1|0;if((a|0)>=(th(k[f>>2]|0)|0))break;else h=j}}nZ(d,e,1,2,2,0,uY()|0)|0;uY()|0;p[b>>3]=+p[e>>3];r=c;return}function ii(a){a=a|0;var b=0,c=0;b=a+20|0;if((th(k[b>>2]|0)|0)>0)c=0;else return;do{a=qh(k[b>>2]|0,c)|0;Ec[k[(k[a>>2]|0)+484>>2]&1023](a);c=c+1|0}while((c|0)<(th(k[b>>2]|0)|0));return}function ji(a){a=a|0;var b=0,c=0;b=a+20|0;if((th(k[b>>2]|0)|0)>0)c=0;else return;do{a=qh(k[b>>2]|0,c)|0;Ec[k[(k[a>>2]|0)+488>>2]&1023](a);c=c+1|0}while((c|0)<(th(k[b>>2]|0)|0));return}function ki(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0.0,m=0,n=0,o=0.0,q=0.0,s=0,t=0.0;e=r;r=r+16|0;f=e+8|0;g=e+4|0;h=e;k[g>>2]=0;k[h>>2]=0;i=a+44|0;cO(k[i>>2]|0,f,199);hO(k[i>>2]|0,g,0,180);fi(a,h,k[g>>2]|0,k[f>>2]|0,1);a=k[f>>2]|0;i=Rqa(a>>>0>536870911?-1:a<<3)|0;j=i;if((a|0)>0){a=k[h>>2]|0;l=0.0;m=0;while(1){n=qh(a,m)|0;o=+Zc[k[(k[n>>2]|0)+44>>2]&255](n);p[i+(m<<3)>>3]=o;q=l+o;m=m+1|0;if((m|0)>=(k[f>>2]|0)){s=a;t=q;break}else l=q}}else{s=k[h>>2]|0;t=0.0}if(s){Mo(s);Sqa(s)}s=k[g>>2]|0;if(s)Tqa(s);k[g>>2]=0;if(b)p[b>>3]=t;if(!c)Tqa(i);else k[c>>2]=j;if(!d){r=e;return}k[d>>2]=k[f>>2];r=e;return}function li(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0;c=r;r=r+208|0;d=c+196|0;e=c+192|0;f=c+188|0;g=c;h=c+184|0;i=c+48|0;j=c+32|0;l=c+20|0;m=c+8|0;k[h>>2]=0;n=k[b>>2]|0;if(!n){b=Qqa(36)|0;B=0;va(481,b|0);o=B;B=0;if(o&1){o=Rb()|0;q=Q;Sqa(b);s=o;t=q;Qb(s|0)}else u=b}else u=n;n=a+44|0;cO(k[n>>2]|0,e,198);hO(k[n>>2]|0,h,0,176);cO(k[n>>2]|0,f,766);dO(k[n>>2]|0,g,767);n=k[h>>2]|0;a:do if((k[e>>2]|0)>0){b=a+28|0;q=a+20|0;o=n;v=0;b:while(1){w=k[o+(v<<2)>>2]|0;switch(v|0){case 0:{x=938;break}case 1:{x=939;break}case 2:{x=940;break}default:{y=12;break b}}z=Qqa(8)|0;B=0;A=ya(429,k[b>>2]|0)|0;C=B;B=0;if(C&1){D=z;y=55;break}B=0;va(485,z|0);C=B;B=0;if(C&1){D=z;y=55;break}if(k[z>>2]|0){B=0;C=ya(423,4)|0;E=B;B=0;if(E&1){D=z;y=55;break}B=0;eb(505,C|0,A|0,0);A=B;B=0;if(A&1){F=z;G=C;y=41;break}k[z+4>>2]=C}C=Qqa(8)|0;B=0;A=ya(429,k[b>>2]|0)|0;E=B;B=0;if(E&1){H=C;y=57;break}B=0;va(485,C|0);E=B;B=0;if(E&1){H=C;y=57;break}if(k[C>>2]|0){B=0;E=ya(423,4)|0;I=B;B=0;if(I&1){H=C;y=57;break}B=0;eb(505,E|0,A|0,0);A=B;B=0;if(A&1){J=C;K=E;y=49;break}k[C+4>>2]=E}if((th(k[q>>2]|0)|0)>0){E=0;do{A=qh(k[q>>2]|0,E)|0;rd[k[(k[A>>2]|0)+100>>2]&511](A,z,C,w);E=E+1|0}while((E|0)<(th(k[q>>2]|0)|0))}if(k[z>>2]|0){E=k[k[z+4>>2]>>2]|0;Ec[k[(k[E>>2]|0)+12>>2]&1023](E)}if(k[C>>2]|0){E=k[k[C+4>>2]>>2]|0;Ec[k[(k[E>>2]|0)+12>>2]&1023](E)}E=Qqa(40)|0;B=0;A=ya(428,u|0)|0;I=B;B=0;if(I&1){L=E;y=64;break}I=k[f>>2]|0;M=+p[g>>3];k[E>>2]=28024;k[E+4>>2]=A+1;k[E+16>>2]=0;k[E+20>>2]=0;B=0;wa(512,E+8|0,w|0);A=B;B=0;if(A&1){L=E;y=64;break}k[E+24>>2]=I;p[E+32>>3]=M;k[E+12>>2]=z;Oo(u,E)|0;E=Qqa(40)|0;B=0;I=ya(428,u|0)|0;A=B;B=0;if(A&1){N=E;y=65;break}A=k[f>>2]|0;M=+p[g>>3];k[E>>2]=28024;k[E+4>>2]=I+1;k[E+16>>2]=0;k[E+20>>2]=0;B=0;wa(512,E+8|0,x|0);I=B;B=0;if(I&1){N=E;y=65;break}k[E+24>>2]=A;p[E+32>>3]=M;k[E+12>>2]=C;Oo(u,E)|0;v=v+1|0;E=k[h>>2]|0;if((v|0)>=(k[e>>2]|0)){O=E;break a}else o=E}if((y|0)==12){o=i+56|0;v=i+4|0;k[i>>2]=27524;k[o>>2]=27544;B=0;wa(508,i+56|0,v|0);q=B;B=0;if(q&1){q=Rb()|0;P=Q;R=q;vva(o);Qb(R|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[o>>2]=27488;B=0;va(448,v|0);q=B;B=0;do if(q&1){b=Rb()|0;S=Q;T=b}else{k[v>>2]=27560;b=i+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[i+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,v|0,d|0);E=B;B=0;if(E&1){E=Rb()|0;A=Q;Yua(d);Yua(b);Ava(v);S=A;T=E;break}Yua(d);B=0;E=Ia(40,i|0,66319,40)|0;A=B;B=0;c:do if(!(A&1)?(B=0,Xa(239,E|0,0)|0,I=B,B=0,!(I&1)):0){I=Ab(20)|0;B=0;eb(502,j|0,65553,67);U=B;B=0;do if(!(U&1)){B=0;eb(502,l|0,66360,15);V=B;B=0;if(V&1){V=Rb()|0;W=Q;Yua(j);X=V;Y=W;break}B=0;wa(510,m|0,v|0);W=B;B=0;if(W&1){W=Rb()|0;Z=W;_=Q;$=1}else{B=0;ua(163,I|0,j|0,l|0,2120,m|0);W=B;B=0;if(W&1)aa=1;else{B=0;eb(503,I|0,1240,229);B=0;aa=0}W=Rb()|0;V=Q;Yua(m);Z=W;_=V;$=aa}Yua(l);Yua(j);if($){X=Z;Y=_}else{ba=Z;ca=_;break c}}else{V=Rb()|0;X=V;Y=Q}while(0);zb(I|0);ba=X;ca=Y}else y=27;while(0);if((y|0)==27){E=Rb()|0;ba=E;ca=Q}k[i>>2]=27468;k[o>>2]=27488;k[v>>2]=27560;Yua(b);Ava(v);vva(o);s=ba;t=ca;Qb(s|0)}while(0);P=S;R=T;vva(o);Qb(R|0)}else if((y|0)==41){v=Rb()|0;q=Q;Sqa(G);da=F;ea=q;fa=v;y=56}else if((y|0)==49){v=Rb()|0;q=Q;Sqa(K);ga=J;ha=q;ia=v;y=58}else if((y|0)==55){v=Rb()|0;da=D;ea=Q;fa=v;y=56}else if((y|0)==57){v=Rb()|0;ga=H;ha=Q;ia=v;y=58}else if((y|0)==64){v=Rb()|0;q=Q;Sqa(L);s=v;t=q;Qb(s|0)}else if((y|0)==65){q=Rb()|0;v=Q;Sqa(N);s=q;t=v;Qb(s|0)}if((y|0)==56){Sqa(da);s=fa;t=ea;Qb(s|0)}else if((y|0)==58){Sqa(ga);s=ia;t=ha;Qb(s|0)}}else O=n;while(0);if(!O){r=c;return}Tqa(O);r=c;return}function mi(a){a=a|0;var b=0,c=0,d=0;b=a+20|0;if((th(k[b>>2]|0)|0)>0)c=0;else return;do{a=qh(k[b>>2]|0,c)|0;if(!a)d=0;else d=ura(a,168,456,0)|0;Ec[k[(k[d>>2]|0)+56>>2]&1023](d);c=c+1|0}while((c|0)<(th(k[b>>2]|0)|0));return}function ni(a){a=a|0;var b=0,c=0,d=0;b=a+20|0;if((th(k[b>>2]|0)|0)>0)c=0;else return;do{a=qh(k[b>>2]|0,c)|0;if(!a)d=0;else d=ura(a,168,456,0)|0;Ec[k[(k[d>>2]|0)+60>>2]&1023](d);c=c+1|0}while((c|0)<(th(k[b>>2]|0)|0));return}function oi(a){a=a|0;var b=0,c=0,d=0;b=a+20|0;if((th(k[b>>2]|0)|0)>0)c=0;else return;do{a=qh(k[b>>2]|0,c)|0;if(!a)d=0;else d=ura(a,168,456,0)|0;Ec[k[(k[d>>2]|0)+444>>2]&1023](d);c=c+1|0}while((c|0)<(th(k[b>>2]|0)|0));return}function pi(a){a=a|0;var b=0,c=0,d=0;b=a+20|0;if((th(k[b>>2]|0)|0)>0)c=0;else return;do{a=qh(k[b>>2]|0,c)|0;if(!a)d=0;else d=ura(a,168,456,0)|0;Ec[k[(k[d>>2]|0)+448>>2]&1023](d);c=c+1|0}while((c|0)<(th(k[b>>2]|0)|0));return}function qi(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;f=a+20|0;if((th(k[f>>2]|0)|0)>0)g=0;else return;do{a=qh(k[f>>2]|0,g)|0;Dc[k[(k[a>>2]|0)+524>>2]&255](a,b,c,d,e);g=g+1|0}while((g|0)<(th(k[f>>2]|0)|0));return}function ri(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0.0;g=r;r=r+384|0;h=g+364|0;i=g+48|0;j=g+40|0;l=g+32|0;m=g+24|0;n=g+16|0;o=g+8|0;q=g;s=g+360|0;t=g+356|0;u=g+208|0;v=g+344|0;w=g+72|0;x=g+56|0;p[i>>3]=0.0;p[j>>3]=0.0;p[l>>3]=0.0;p[m>>3]=0.0;p[n>>3]=0.0;p[o>>3]=0.0;p[q>>3]=0.0;y=a+20|0;a=th(k[y>>2]|0)|0;k[s>>2]=a;if((a|0)>0){z=0.0;A=0.0;C=0;do{D=qh(k[y>>2]|0,C)|0;z=+Zc[k[(k[D>>2]|0)+540>>2]&255](D)+z;p[n>>3]=z;A=+Zc[k[(k[D>>2]|0)+544>>2]&255](D)+A;p[q>>3]=A;C=C+1|0}while((C|0)<(a|0))}nZ(n,m,1,2,4,0,uY()|0)|0;uY()|0;nZ(q,o,1,2,4,0,uY()|0)|0;uY()|0;nZ(s,t,1,4,1,0,uY()|0)|0;uY()|0;a:do if((k[t>>2]|0)>0){q=u+56|0;n=u+4|0;a=u+56|0;C=u+128|0;D=u+132|0;E=u+36|0;F=u+52|0;G=b+4|0;H=0;while(1){if((H|0)<(k[s>>2]|0)){I=(H|0)%100|0;if((I|0)==0&(EY()|0)){k[u>>2]=27524;k[q>>2]=27544;B=0;wa(508,a|0,n|0);J=B;B=0;if(J&1){K=13;break}k[C>>2]=0;k[D>>2]=-1;k[u>>2]=27468;k[q>>2]=27488;B=0;va(448,n|0);J=B;B=0;if(J&1){K=14;break}k[n>>2]=27560;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;k[E+12>>2]=0;k[F>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,n|0,h|0);J=B;B=0;if(J&1){K=12;break}Yua(h);B=0;J=Ia(40,u|0,66376,1)|0;L=B;B=0;if(L&1){K=24;break}B=0;L=Ia(40,J|0,66378,28)|0;J=B;B=0;if(J&1){K=24;break}B=0;J=Sa(1,L|0,+(+(H|0)/+(k[s>>2]|0)*100.0))|0;L=B;B=0;if(L&1){K=24;break}B=0;Ia(40,J|0,66407,3)|0;J=B;B=0;if(J&1){K=24;break}B=0;wa(510,v|0,n|0);J=B;B=0;if(J&1){K=24;break}B=0;ya(425,v|0)|0;J=B;B=0;if(J&1){K=25;break}Yua(v);k[u>>2]=27468;k[q>>2]=27488;k[n>>2]=27560;Yua(E);Ava(n);vva(q)}J=qh(k[y>>2]|0,H)|0;Lc[k[(k[J>>2]|0)+528>>2]&15](J,b,l,d,e,f,+p[m>>3],+p[o>>3]);p[j>>3]=+p[l>>3]+ +p[j>>3];M=I}else M=(H|0)%100|0;if((M|0)==0?(k[b>>2]|0)!=0:0){I=k[k[G>>2]>>2]|0;Ec[k[(k[I>>2]|0)+12>>2]&1023](I)}H=H+1|0;if((H|0)>=(k[t>>2]|0))break a}if((K|0)==12){H=Rb()|0;G=Q;Yua(h);Yua(E);Ava(n);N=G;O=H;K=15}else if((K|0)==13){H=Rb()|0;P=Q;R=H;vva(q);Qb(R|0)}else if((K|0)==14){H=Rb()|0;N=Q;O=H;K=15}else if((K|0)==24){H=Rb()|0;S=Q;T=H;K=26}else if((K|0)==25){H=Rb()|0;G=Q;Yua(v);S=G;T=H;K=26}if((K|0)==15){P=N;R=O;vva(q);Qb(R|0)}else if((K|0)==26){k[u>>2]=27468;k[q>>2]=27488;k[n>>2]=27560;Yua(E);Ava(n);vva(q);U=S;V=T;Qb(V|0)}}while(0);b:do if(EY()|0){T=w+56|0;S=w+4|0;k[w>>2]=27524;k[T>>2]=27544;B=0;wa(508,w+56|0,S|0);u=B;B=0;if(u&1){u=Rb()|0;W=Q;X=u;vva(T);Qb(X|0)}k[w+128>>2]=0;k[w+132>>2]=-1;k[w>>2]=27468;k[T>>2]=27488;B=0;va(448,S|0);u=B;B=0;do if(u&1){R=Rb()|0;Y=Q;Z=R}else{k[S>>2]=27560;R=w+36|0;k[R>>2]=0;k[R+4>>2]=0;k[R+8>>2]=0;k[R+12>>2]=0;k[w+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,S|0,h|0);O=B;B=0;if(O&1){O=Rb()|0;N=Q;Yua(h);Yua(R);Ava(S);Y=N;Z=O;break}Yua(h);B=0;Ia(40,w|0,149177,1)|0;O=B;B=0;do if(!(O&1)?(B=0,wa(510,x|0,S|0),N=B,B=0,!(N&1)):0){B=0;ya(425,x|0)|0;N=B;B=0;if(N&1){N=Rb()|0;P=Q;Yua(x);_=P;$=N;break}else{Yua(x);k[w>>2]=27468;k[T>>2]=27488;k[S>>2]=27560;Yua(R);Ava(S);vva(T);break b}}else K=44;while(0);if((K|0)==44){O=Rb()|0;_=Q;$=O}k[w>>2]=27468;k[T>>2]=27488;k[S>>2]=27560;Yua(R);Ava(S);vva(T);U=_;V=$;Qb(V|0)}while(0);W=Y;X=Z;vva(T);Qb(X|0)}while(0);if(!(k[b>>2]|0)){aa=uY()|0;nZ(j,i,1,2,4,0,aa)|0;uY()|0;ba=+p[i>>3];p[c>>3]=ba;r=g;return}X=k[k[b+4>>2]>>2]|0;Ec[k[(k[X>>2]|0)+12>>2]&1023](X);aa=uY()|0;nZ(j,i,1,2,4,0,aa)|0;uY()|0;ba=+p[i>>3];p[c>>3]=ba;r=g;return}function si(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;h=r;r=r+352|0;i=h+340|0;j=h+24|0;l=h+16|0;m=h+8|0;n=h;o=h+336|0;q=h+332|0;s=h+184|0;t=h+320|0;u=h+48|0;v=h+32|0;p[j>>3]=0.0;p[l>>3]=0.0;p[m>>3]=0.0;p[n>>3]=0.0;if(!(k[c>>2]|0))w=0;else{x=k[k[c+4>>2]>>2]|0;w=Hc[k[(k[x>>2]|0)+52>>2]&511](x)|0}x=a+20|0;a=th(k[x>>2]|0)|0;k[o>>2]=a;if((a|0)>0){y=0.0;z=0.0;c=0;do{A=qh(k[x>>2]|0,c)|0;y=+Zc[k[(k[A>>2]|0)+540>>2]&255](A)+y;p[l>>3]=y;z=+Zc[k[(k[A>>2]|0)+544>>2]&255](A)+z;p[n>>3]=z;c=c+1|0}while((c|0)<(a|0))}nZ(l,j,1,2,4,0,uY()|0)|0;uY()|0;nZ(n,m,1,2,4,0,uY()|0)|0;uY()|0;nZ(o,q,1,4,1,0,uY()|0)|0;uY()|0;a:do if((k[q>>2]|0)>0){n=s+56|0;l=s+4|0;a=s+56|0;c=s+128|0;A=s+132|0;C=s+36|0;D=s+52|0;E=b+4|0;F=0;while(1){if((F|0)<(k[o>>2]|0)){if(g?((F|0)%100|0|0)==0&(EY()|0):0){k[s>>2]=27524;k[n>>2]=27544;B=0;wa(508,a|0,l|0);G=B;B=0;if(G&1){H=15;break}k[c>>2]=0;k[A>>2]=-1;k[s>>2]=27468;k[n>>2]=27488;B=0;va(448,l|0);G=B;B=0;if(G&1){H=16;break}k[l>>2]=27560;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[D>>2]=16;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;B=0;wa(509,l|0,i|0);G=B;B=0;if(G&1){H=14;break}Yua(i);B=0;G=Ia(40,s|0,66376,1)|0;I=B;B=0;if(I&1){H=26;break}B=0;I=Ia(40,G|0,66378,28)|0;G=B;B=0;if(G&1){H=26;break}B=0;G=Sa(1,I|0,+(+(F|0)/+(k[o>>2]|0)*100.0))|0;I=B;B=0;if(I&1){H=26;break}B=0;Ia(40,G|0,66411,4)|0;G=B;B=0;if(G&1){H=26;break}B=0;wa(510,t|0,l|0);G=B;B=0;if(G&1){H=26;break}B=0;ya(424,t|0)|0;G=B;B=0;if(G&1){H=27;break}Yua(t);k[s>>2]=27468;k[n>>2]=27488;k[l>>2]=27560;Yua(C);Ava(l);vva(n)}G=qh(k[x>>2]|0,F)|0;Lc[k[(k[G>>2]|0)+532>>2]&15](G,b,w,d,e,f,+p[j>>3],+p[m>>3])}if(((F|0)%100|0|0)==0?(k[b>>2]|0)!=0:0){G=k[k[E>>2]>>2]|0;Ec[k[(k[G>>2]|0)+12>>2]&1023](G)}F=F+1|0;if((F|0)>=(k[q>>2]|0))break a}if((H|0)==14){F=Rb()|0;E=Q;Yua(i);Yua(C);Ava(l);J=E;K=F;H=17}else if((H|0)==15){F=Rb()|0;L=Q;M=F;vva(n);Qb(M|0)}else if((H|0)==16){F=Rb()|0;J=Q;K=F;H=17}else if((H|0)==26){F=Rb()|0;N=Q;O=F;H=28}else if((H|0)==27){F=Rb()|0;E=Q;Yua(t);N=E;O=F;H=28}if((H|0)==17){L=J;M=K;vva(n);Qb(M|0)}else if((H|0)==28){k[s>>2]=27468;k[n>>2]=27488;k[l>>2]=27560;Yua(C);Ava(l);vva(n);P=N;R=O;Qb(R|0)}}while(0);b:do if(g?EY()|0:0){O=u+56|0;N=u+4|0;k[u>>2]=27524;k[O>>2]=27544;B=0;wa(508,u+56|0,N|0);s=B;B=0;if(s&1){s=Rb()|0;S=Q;T=s;vva(O);Qb(T|0)}k[u+128>>2]=0;k[u+132>>2]=-1;k[u>>2]=27468;k[O>>2]=27488;B=0;va(448,N|0);s=B;B=0;do if(s&1){M=Rb()|0;U=Q;V=M}else{k[N>>2]=27560;M=u+36|0;k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;k[M+12>>2]=0;k[u+52>>2]=16;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;B=0;wa(509,N|0,i|0);K=B;B=0;if(K&1){K=Rb()|0;J=Q;Yua(i);Yua(M);Ava(N);U=J;V=K;break}Yua(i);B=0;Ia(40,u|0,149177,1)|0;K=B;B=0;do if(!(K&1)?(B=0,wa(510,v|0,N|0),J=B,B=0,!(J&1)):0){B=0;ya(424,v|0)|0;J=B;B=0;if(J&1){J=Rb()|0;L=Q;Yua(v);W=L;X=J;break}else{Yua(v);k[u>>2]=27468;k[O>>2]=27488;k[N>>2]=27560;Yua(M);Ava(N);vva(O);break b}}else H=47;while(0);if((H|0)==47){K=Rb()|0;W=Q;X=K}k[u>>2]=27468;k[O>>2]=27488;k[N>>2]=27560;Yua(M);Ava(N);vva(O);P=W;R=X;Qb(R|0)}while(0);S=U;T=V;vva(O);Qb(T|0)}while(0);if(!w){r=h;return}Tqa(w);r=h;return}function ti(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0;c=r;r=r+32|0;d=c+24|0;e=c+16|0;f=c+8|0;g=c;if(!(k[b>>2]|0))h=0;else{i=k[k[b+4>>2]>>2]|0;h=Hc[k[(k[i>>2]|0)+52>>2]&511](i)|0}p[e>>3]=0.0;p[g>>3]=0.0;i=a+20|0;if((th(k[i>>2]|0)|0)>0){j=0.0;l=0.0;a=0;do{b=qh(k[i>>2]|0,a)|0;j=+Zc[k[(k[b>>2]|0)+540>>2]&255](b)+j;p[g>>3]=j;l=+id[k[(k[b>>2]|0)+536>>2]&63](b,h)+l;p[e>>3]=l;a=a+1|0}while((a|0)<(th(k[i>>2]|0)|0))}nZ(g,f,1,2,4,0,uY()|0)|0;uY()|0;nZ(e,d,1,2,4,0,uY()|0)|0;uY()|0;if(!h){m=+p[d>>3];n=+p[f>>3];o=m/n;r=c;return +o}Tqa(h);m=+p[d>>3];n=+p[f>>3];o=m/n;r=c;return +o}function ui(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0;c=r;r=r+192|0;d=c+172|0;e=c+168|0;f=c+164|0;g=c+160|0;h=c+156|0;i=c+152|0;j=c+16|0;l=c;k[e>>2]=0;k[f>>2]=0;m=Qqa(4)|0;k[m>>2]=39316;n=Qqa(4)|0;k[n>>2]=39240;o=Qqa(8)|0;q=a+24|0;B=0;s=Xa(244,k[q>>2]|0,506)|0;t=B;B=0;a:do if(!(t&1)?(B=0,va(485,o|0),u=B,B=0,!(u&1)):0){do if(k[o>>2]|0){B=0;u=ya(423,4)|0;v=B;B=0;if(v&1){w=21;break a}B=0;eb(505,u|0,s|0,0);v=B;B=0;if(v&1){v=Rb()|0;x=Q;Sqa(u);y=x;z=v;break a}else{k[o+4>>2]=u;break}}while(0);u=Qqa(8)|0;B=0;v=Xa(244,k[q>>2]|0,506)|0;x=B;B=0;b:do if(!(x&1)?(B=0,va(485,u|0),A=B,B=0,!(A&1)):0){do if(k[u>>2]|0){B=0;A=ya(423,4)|0;C=B;B=0;if(C&1){w=23;break b}B=0;eb(505,A|0,v|0,0);C=B;B=0;if(C&1){C=Rb()|0;D=Q;Sqa(A);E=D;F=C;break b}else{k[u+4>>2]=A;break}}while(0);A=a+44|0;hO(k[A>>2]|0,f,0,131);cO(k[A>>2]|0,g,159);UZ(e,a,141,608);C=a+20|0;if((th(k[C>>2]|0)|0)>0){D=0;do{G=qh(k[C>>2]|0,D)|0;Kda(m,o,u,k[f>>2]|0,G);D=D+1|0}while((D|0)<(th(k[C>>2]|0)|0))}if((k[u>>2]|0)!=0?(D=u+4|0,G=k[k[D>>2]>>2]|0,Ec[k[(k[G>>2]|0)+12>>2]&1023](G),(k[u>>2]|0)!=0):0){G=k[k[D>>2]>>2]|0;H=Hc[k[(k[G>>2]|0)+52>>2]&511](G)|0}else H=0;if((th(k[q>>2]|0)|0)>0){G=o+4|0;D=0;do{I=qh(k[q>>2]|0,D)|0;J=H+((Qn(I)|0)<<3)|0;if(+p[J>>3]==1.0){J=Rn(I)|0;K=(k[f>>2]|0)+(J<<2)|0;k[K>>2]=(k[K>>2]|0)+1}K=Rn(I)|0;J=k[g>>2]|0;if(((J|0)!=0?(k[(k[f>>2]|0)+(K<<2)>>2]|0)>(J|0):0)?(J=Qn(I)|0,K=Qn(I)|0,(k[o>>2]|0)!=0):0){I=k[k[G>>2]>>2]|0;Jc[k[(k[I>>2]|0)+20>>2]&1](I,J,+p[(k[e>>2]|0)+(K<<3)>>3],0)}D=D+1|0}while((D|0)<(th(k[q>>2]|0)|0))}D=k[A>>2]|0;G=k[f>>2]|0;qO(D,G,th(k[q>>2]|0)|0,131);if((k[o>>2]|0)!=0?(G=o+4|0,D=k[k[G>>2]>>2]|0,Ec[k[(k[D>>2]|0)+12>>2]&1023](D),(k[o>>2]|0)!=0):0){D=k[k[G>>2]>>2]|0;L=Hc[k[(k[D>>2]|0)+52>>2]&511](D)|0}else L=0;D=k[f>>2]|0;if(D)Tqa(D);k[f>>2]=0;if(H)Tqa(H);D=k[e>>2]|0;if(D)Tqa(D);k[e>>2]=0;if((k[o>>2]|0)!=0?(D=k[o+4>>2]|0,(D|0)!=0):0){G=k[D>>2]|0;if(G)Ec[k[(k[G>>2]|0)+4>>2]&1023](G);Sqa(D)}Sqa(o);if((k[u>>2]|0)!=0?(D=k[u+4>>2]|0,(D|0)!=0):0){G=k[D>>2]|0;if(G)Ec[k[(k[G>>2]|0)+4>>2]&1023](G);Sqa(D)}Sqa(u);WZ(a,L,141,608);if(L)Tqa(L);oda(n,a);D=Qqa(8)|0;B=0;G=Xa(244,k[q>>2]|0,506)|0;K=B;B=0;c:do if(K&1)w=69;else{B=0;va(485,D|0);J=B;B=0;if(J&1){w=69;break}do if(k[D>>2]|0){B=0;J=ya(423,4)|0;I=B;B=0;if(I&1){w=69;break c}B=0;eb(505,J|0,G|0,0);I=B;B=0;if(I&1){I=Rb()|0;M=Q;Sqa(J);N=M;O=I;break c}else{k[D+4>>2]=J;break}}while(0);if((th(k[C>>2]|0)|0)>0){J=0;do{Mda(m,D,qh(k[C>>2]|0,J)|0);J=J+1|0}while((J|0)<(th(k[C>>2]|0)|0))}do if(!(k[D>>2]|0))P=0;else{J=D+4|0;I=k[k[J>>2]>>2]|0;Ec[k[(k[I>>2]|0)+12>>2]&1023](I);if(!(k[D>>2]|0)){P=0;break}I=k[k[J>>2]>>2]|0;M=Hc[k[(k[I>>2]|0)+52>>2]&511](I)|0;if(!(k[D>>2]|0)){P=M;break}I=k[J>>2]|0;if(!I){P=M;break}J=k[I>>2]|0;if(J)Ec[k[(k[J>>2]|0)+4>>2]&1023](J);Sqa(I);P=M}while(0);Sqa(D);k[h>>2]=0;if((th(k[q>>2]|0)|0)>0){M=0;do{I=qh(k[q>>2]|0,M)|0;do if(Tn(I,506)|0){J=P+((Qn(I)|0)<<3)|0;if(!(+p[J>>3]==1.0)){$n(I);break}bo(I);if(fo(I)|0)break;k[h>>2]=(k[h>>2]|0)+1}while(0);M=M+1|0}while((M|0)<(th(k[q>>2]|0)|0))}if(P)Tqa(P);Ec[k[(k[m>>2]|0)+4>>2]&1023](m);Ec[k[(k[n>>2]|0)+4>>2]&1023](n);nZ(h,i,1,4,4,0,uY()|0)|0;uY()|0;M=k[i>>2]|0;k[h>>2]=M;p[b>>3]=+(M|0);if(!(CY()|0)){Eh(a);r=c;return}M=j+56|0;I=j+4|0;k[j>>2]=27524;k[M>>2]=27544;B=0;wa(508,j+56|0,I|0);J=B;B=0;if(J&1){J=Rb()|0;R=Q;S=J;vva(M);Qb(S|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[M>>2]=27488;B=0;va(448,I|0);J=B;B=0;do if(J&1){T=Rb()|0;U=Q;V=T}else{k[I>>2]=27560;T=j+36|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;k[T+12>>2]=0;k[j+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,I|0,d|0);W=B;B=0;if(W&1){W=Rb()|0;X=Q;Yua(d);Yua(T);Ava(I);U=X;V=W;break}Yua(d);B=0;W=Ia(40,j|0,66416,40)|0;X=B;B=0;do if(X&1)w=95;else{B=0;Y=Xa(242,W|0,k[h>>2]|0)|0;Z=B;B=0;if(Z&1){w=95;break}B=0;Ia(40,Y|0,149177,1)|0;Y=B;B=0;if(Y&1){w=95;break}B=0;wa(510,l|0,I|0);Y=B;B=0;if(Y&1){w=95;break}B=0;ya(425,l|0)|0;Y=B;B=0;if(Y&1){Y=Rb()|0;Z=Q;Yua(l);_=Y;$=Z;break}Yua(l);k[j>>2]=27468;k[M>>2]=27488;k[I>>2]=27560;Yua(T);Ava(I);vva(M);Eh(a);r=c;return}while(0);if((w|0)==95){W=Rb()|0;_=W;$=Q}k[j>>2]=27468;k[M>>2]=27488;k[I>>2]=27560;Yua(T);Ava(I);vva(M);aa=_;ba=$;Qb(aa|0)}while(0);R=U;S=V;vva(M);Qb(S|0)}while(0);if((w|0)==69){C=Rb()|0;N=Q;O=C}Sqa(D);aa=O;ba=N;Qb(aa|0)}else w=23;while(0);if((w|0)==23){v=Rb()|0;E=Q;F=v}Sqa(u);aa=F;ba=E;Qb(aa|0)}else w=21;while(0);if((w|0)==21){w=Rb()|0;y=Q;z=w}Sqa(o);aa=z;ba=y;Qb(aa|0)}function vi(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;c=r;r=r+176|0;d=c+160|0;e=c+156|0;f=c+152|0;g=c+16|0;h=c;i=Qqa(4)|0;k[i>>2]=39316;j=Qqa(8)|0;l=a+24|0;B=0;m=Xa(244,k[l>>2]|0,506)|0;n=B;B=0;a:do if(!(n&1)?(B=0,va(485,j|0),o=B,B=0,!(o&1)):0){do if(k[j>>2]|0){B=0;o=ya(423,4)|0;q=B;B=0;if(q&1){s=17;break a}B=0;eb(505,o|0,m|0,0);q=B;B=0;if(q&1){q=Rb()|0;t=Q;Sqa(o);u=t;v=q;break a}else{k[j+4>>2]=o;break}}while(0);o=a+20|0;if((th(k[o>>2]|0)|0)>0){q=0;do{Mda(i,j,qh(k[o>>2]|0,q)|0);q=q+1|0}while((q|0)<(th(k[o>>2]|0)|0))}if((k[j>>2]|0)!=0?(o=j+4|0,q=k[k[o>>2]>>2]|0,Ec[k[(k[q>>2]|0)+12>>2]&1023](q),(k[j>>2]|0)!=0):0){q=k[k[o>>2]>>2]|0;t=Hc[k[(k[q>>2]|0)+52>>2]&511](q)|0;if((k[j>>2]|0)!=0?(q=k[o>>2]|0,(q|0)!=0):0){o=k[q>>2]|0;if(o)Ec[k[(k[o>>2]|0)+4>>2]&1023](o);Sqa(q);w=t}else w=t}else w=0;Sqa(j);Ec[k[(k[i>>2]|0)+4>>2]&1023](i);k[e>>2]=0;if((th(k[l>>2]|0)|0)>0){t=0;q=0;while(1){o=qh(k[l>>2]|0,q)|0;do if(Tn(o,492)|0){x=w+((Qn(o)|0)<<3)|0;if(!(+p[x>>3]==1.0)){$n(o);y=t;break}bo(o);if(!(fo(o)|0)){x=t+1|0;k[e>>2]=x;y=x}else y=t}else y=t;while(0);q=q+1|0;if((q|0)>=(th(k[l>>2]|0)|0))break;else t=y}}if(w)Tqa(w);nZ(e,f,1,4,4,0,uY()|0)|0;uY()|0;t=k[f>>2]|0;k[e>>2]=t;p[b>>3]=+(t|0);if(!(CY()|0)){r=c;return}t=g+56|0;q=g+4|0;k[g>>2]=27524;k[t>>2]=27544;B=0;wa(508,g+56|0,q|0);o=B;B=0;if(o&1){o=Rb()|0;z=Q;A=o;vva(t);Qb(A|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[t>>2]=27488;B=0;va(448,q|0);o=B;B=0;do if(o&1){x=Rb()|0;C=Q;D=x}else{k[q>>2]=27560;x=g+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[g+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,q|0,d|0);E=B;B=0;if(E&1){E=Rb()|0;F=Q;Yua(d);Yua(x);Ava(q);C=F;D=E;break}Yua(d);B=0;E=Ia(40,g|0,66457,41)|0;F=B;B=0;do if(((!(F&1)?(B=0,G=Xa(242,E|0,k[e>>2]|0)|0,H=B,B=0,!(H&1)):0)?(B=0,Ia(40,G|0,149177,1)|0,G=B,B=0,!(G&1)):0)?(B=0,wa(510,h|0,q|0),G=B,B=0,!(G&1)):0){B=0;ya(425,h|0)|0;G=B;B=0;if(G&1){G=Rb()|0;H=Q;Yua(h);I=G;J=H;break}Yua(h);k[g>>2]=27468;k[t>>2]=27488;k[q>>2]=27560;Yua(x);Ava(q);vva(t);r=c;return}else s=43;while(0);if((s|0)==43){E=Rb()|0;I=E;J=Q}k[g>>2]=27468;k[t>>2]=27488;k[q>>2]=27560;Yua(x);Ava(q);vva(t);K=I;L=J;Qb(K|0)}while(0);z=C;A=D;vva(t);Qb(A|0)}else s=17;while(0);if((s|0)==17){s=Rb()|0;u=Q;v=s}Sqa(j);K=v;L=u;Qb(K|0)}function wi(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0;sY(g);f=Qqa(200)|0;B=0;va(476,f|0);i=B;B=0;if(i&1){i=Rb()|0;Sqa(f);Qb(i|0)}else{i=a+16|0;k[i>>2]=f;SX(f,0,0);f=zY(e,1)|0;SX(k[i>>2]|0,1,0);xi(a,b,c,d,f,h,0);SX(k[i>>2]|0,2,0);i=k[a+44>>2]|0;a=Qqa(12)|0;k[a>>2]=27752;k[a+4>>2]=g;k[a+8>>2]=2;YN(i,a);return}}function xi(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0;h=r;r=r+960|0;i=h+936|0;j=h+920|0;l=h+904|0;m=h+768|0;n=h+924|0;o=h+616|0;p=h+908|0;q=h+480|0;s=h+752|0;t=h+328|0;u=h+464|0;v=h+192|0;w=h+176|0;x=h+40|0;y=h+24|0;z=h+12|0;A=h;C=vY()|0;D=a+4|0;k[D>>2]=e;k[a+12>>2]=(k[a>>2]|0)+-1;E=Qqa(36)|0;B=0;va(481,E|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Sqa(E);H=G;I=F;Qb(I|0)}k[a+48>>2]=E;E=(C|0)==0;if(E)J=Xsa(b,c,65360)|0;else J=0;c=Qqa(112)|0;B=0;ua(164,c|0,J|0,e|0,f|0,g|0);g=B;B=0;if(g&1){g=Rb()|0;f=Q;Sqa(c);H=f;I=g;Qb(I|0)}g=a+8|0;wh(0,g,a,c,k[D>>2]|0);f=Xsa(d,(Lta(d)|0)+1|0,65363)|0;d=a+20|0;e=a+24|0;b=a+28|0;C=a+40|0;F=a+32|0;G=a+36|0;K=a+44|0;tZ(d,e,b,C,F,G,K,c,f,159121,k[D>>2]|0,k[a>>2]|0,k[g>>2]|0);a:do if((k[a>>2]|0)>0){D=m+56|0;L=m+4|0;M=m+56|0;N=m+128|0;O=m+132|0;P=m+36|0;R=m+52|0;S=o+56|0;T=o+4|0;U=o+56|0;V=o+128|0;W=o+132|0;X=o+36|0;Y=o+52|0;Z=q+56|0;_=q+4|0;$=q+56|0;aa=q+128|0;ba=q+132|0;ca=q+36|0;da=q+52|0;ea=t+56|0;fa=t+4|0;ga=t+56|0;ha=t+128|0;ia=t+132|0;ja=t+36|0;ka=t+52|0;la=v+56|0;ma=v+4|0;na=v+56|0;oa=v+128|0;pa=v+132|0;qa=v+36|0;ra=v+52|0;sa=0;while(1){if(AY()|0){k[m>>2]=27524;k[D>>2]=27544;B=0;wa(508,M|0,L|0);ta=B;B=0;if(ta&1){xa=13;break}k[N>>2]=0;k[O>>2]=-1;k[m>>2]=27468;k[D>>2]=27488;B=0;va(448,L|0);ta=B;B=0;if(ta&1){xa=14;break}k[L>>2]=27560;k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;k[P+12>>2]=0;k[R>>2]=16;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;B=0;wa(509,L|0,i|0);ta=B;B=0;if(ta&1){xa=12;break}Yua(i);B=0;ta=Ia(40,m|0,65365,47)|0;za=B;B=0;if(za&1){xa=25;break}B=0;za=ya(427,k[(k[g>>2]|0)+(sa<<2)>>2]|0)|0;Aa=B;B=0;if(Aa&1){xa=25;break}Aa=Lta(za)|0;B=0;Ba=Ia(40,ta|0,za|0,Aa|0)|0;Aa=B;B=0;if(Aa&1){xa=25;break}B=0;Ia(40,Ba|0,136770,2)|0;Ba=B;B=0;if(Ba&1){xa=25;break}B=0;wa(510,n|0,L|0);Ba=B;B=0;if(Ba&1){xa=25;break}B=0;ya(425,n|0)|0;Ba=B;B=0;if(Ba&1){xa=26;break}Yua(n);k[m>>2]=27468;k[D>>2]=27488;k[L>>2]=27560;Yua(P);Ava(L);vva(D)}Ba=k[(k[g>>2]|0)+(sa<<2)>>2]|0;yh(a,Ba,Ba);if(!sa){if(AY()|0){k[o>>2]=27524;k[S>>2]=27544;B=0;wa(508,U|0,T|0);Aa=B;B=0;if(Aa&1){xa=34;break}k[V>>2]=0;k[W>>2]=-1;k[o>>2]=27468;k[S>>2]=27488;B=0;va(448,T|0);Aa=B;B=0;if(Aa&1){xa=35;break}k[T>>2]=27560;k[X>>2]=0;k[X+4>>2]=0;k[X+8>>2]=0;k[X+12>>2]=0;k[Y>>2]=16;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;B=0;wa(509,T|0,i|0);Aa=B;B=0;if(Aa&1){xa=33;break}Yua(i);B=0;Ia(40,o|0,65450,27)|0;Aa=B;B=0;if(Aa&1){xa=42;break}B=0;wa(510,p|0,T|0);Aa=B;B=0;if(Aa&1){xa=42;break}B=0;ya(425,p|0)|0;Aa=B;B=0;if(Aa&1){xa=43;break}Yua(p);k[o>>2]=27468;k[S>>2]=27488;k[T>>2]=27560;Yua(X);Ava(T);vva(S)}BZ(k[b>>2]|0,k[K>>2]|0)}if(AY()|0){k[q>>2]=27524;k[Z>>2]=27544;B=0;wa(508,$|0,_|0);Aa=B;B=0;if(Aa&1){xa=51;break}k[aa>>2]=0;k[ba>>2]=-1;k[q>>2]=27468;k[Z>>2]=27488;B=0;va(448,_|0);Aa=B;B=0;if(Aa&1){xa=52;break}k[_>>2]=27560;k[ca>>2]=0;k[ca+4>>2]=0;k[ca+8>>2]=0;k[ca+12>>2]=0;k[da>>2]=16;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;B=0;wa(509,_|0,i|0);Aa=B;B=0;if(Aa&1){xa=50;break}Yua(i);B=0;Ia(40,q|0,65478,33)|0;Aa=B;B=0;if(Aa&1){xa=59;break}B=0;wa(510,s|0,_|0);Aa=B;B=0;if(Aa&1){xa=59;break}B=0;ya(425,s|0)|0;Aa=B;B=0;if(Aa&1){xa=60;break}Yua(s);k[q>>2]=27468;k[Z>>2]=27488;k[_>>2]=27560;Yua(ca);Ava(_);vva(Z)}YZ(k[e>>2]|0,k[F>>2]|0,k[K>>2]|0,Ba);if(AY()|0){k[t>>2]=27524;k[ea>>2]=27544;B=0;wa(508,ga|0,fa|0);Aa=B;B=0;if(Aa&1){xa=67;break}k[ha>>2]=0;k[ia>>2]=-1;k[t>>2]=27468;k[ea>>2]=27488;B=0;va(448,fa|0);Aa=B;B=0;if(Aa&1){xa=68;break}k[fa>>2]=27560;k[ja>>2]=0;k[ja+4>>2]=0;k[ja+8>>2]=0;k[ja+12>>2]=0;k[ka>>2]=16;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;B=0;wa(509,fa|0,i|0);Aa=B;B=0;if(Aa&1){xa=66;break}Yua(i);B=0;Ia(40,t|0,65512,40)|0;Aa=B;B=0;if(Aa&1){xa=75;break}B=0;wa(510,u|0,fa|0);Aa=B;B=0;if(Aa&1){xa=75;break}B=0;ya(425,u|0)|0;Aa=B;B=0;if(Aa&1){xa=76;break}Yua(u);k[t>>2]=27468;k[ea>>2]=27488;k[fa>>2]=27560;Yua(ja);Ava(fa);vva(ea)}zZ(k[e>>2]|0,k[K>>2]|0,Ba);if(AY()|0){k[v>>2]=27524;k[la>>2]=27544;B=0;wa(508,na|0,ma|0);Ba=B;B=0;if(Ba&1){xa=83;break}k[oa>>2]=0;k[pa>>2]=-1;k[v>>2]=27468;k[la>>2]=27488;B=0;va(448,ma|0);Ba=B;B=0;if(Ba&1){xa=84;break}k[ma>>2]=27560;k[qa>>2]=0;k[qa+4>>2]=0;k[qa+8>>2]=0;k[qa+12>>2]=0;k[ra>>2]=16;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;B=0;wa(509,ma|0,i|0);Ba=B;B=0;if(Ba&1){xa=82;break}Yua(i);B=0;Ia(40,v|0,65413,36)|0;Ba=B;B=0;if(Ba&1){xa=91;break}B=0;wa(510,w|0,ma|0);Ba=B;B=0;if(Ba&1){xa=91;break}B=0;ya(425,w|0)|0;Ba=B;B=0;if(Ba&1){xa=92;break}Yua(w);k[v>>2]=27468;k[la>>2]=27488;k[ma>>2]=27560;Yua(qa);Ava(ma);vva(la)}XZ(k[d>>2]|0,k[G>>2]|0,k[e>>2]|0,k[b>>2]|0,k[C>>2]|0,k[K>>2]|0)|0;sa=sa+1|0;if((sa|0)>=(k[a>>2]|0))break a}switch(xa|0){case 12:{sa=Rb()|0;ra=Q;Yua(i);Yua(P);Ava(L);Ca=ra;Da=sa;xa=15;break}case 13:{sa=Rb()|0;Ea=Q;Fa=sa;vva(D);Qb(Fa|0);break}case 14:{sa=Rb()|0;Ca=Q;Da=sa;xa=15;break}case 25:{sa=Rb()|0;Ga=Q;Ha=sa;xa=27;break}case 26:{sa=Rb()|0;ra=Q;Yua(n);Ga=ra;Ha=sa;xa=27;break}case 33:{sa=Rb()|0;ra=Q;Yua(i);Yua(X);Ava(T);Ja=ra;Ka=sa;xa=36;break}case 34:{sa=Rb()|0;La=Q;Ma=sa;vva(S);Qb(Ma|0);break}case 35:{sa=Rb()|0;Ja=Q;Ka=sa;xa=36;break}case 42:{sa=Rb()|0;Na=Q;Oa=sa;xa=44;break}case 43:{sa=Rb()|0;ra=Q;Yua(p);Na=ra;Oa=sa;xa=44;break}case 50:{sa=Rb()|0;ra=Q;Yua(i);Yua(ca);Ava(_);Pa=ra;Qa=sa;xa=53;break}case 51:{sa=Rb()|0;Ra=Q;Sa=sa;vva(Z);Qb(Sa|0);break}case 52:{sa=Rb()|0;Pa=Q;Qa=sa;xa=53;break}case 59:{sa=Rb()|0;Ta=Q;Ua=sa;xa=61;break}case 60:{sa=Rb()|0;ra=Q;Yua(s);Ta=ra;Ua=sa;xa=61;break}case 66:{sa=Rb()|0;ra=Q;Yua(i);Yua(ja);Ava(fa);Va=ra;Wa=sa;xa=69;break}case 67:{sa=Rb()|0;Ya=Q;Za=sa;vva(ea);Qb(Za|0);break}case 68:{sa=Rb()|0;Va=Q;Wa=sa;xa=69;break}case 75:{sa=Rb()|0;_a=Q;$a=sa;xa=77;break}case 76:{sa=Rb()|0;ra=Q;Yua(u);_a=ra;$a=sa;xa=77;break}case 82:{sa=Rb()|0;ra=Q;Yua(i);Yua(qa);Ava(ma);ab=ra;bb=sa;xa=85;break}case 83:{sa=Rb()|0;cb=Q;db=sa;vva(la);Qb(db|0);break}case 84:{sa=Rb()|0;ab=Q;bb=sa;xa=85;break}case 91:{sa=Rb()|0;fb=Q;gb=sa;xa=93;break}case 92:{sa=Rb()|0;ra=Q;Yua(w);fb=ra;gb=sa;xa=93;break}}switch(xa|0){case 15:{Ea=Ca;Fa=Da;vva(D);Qb(Fa|0);break}case 27:{k[m>>2]=27468;k[D>>2]=27488;k[L>>2]=27560;Yua(P);Ava(L);vva(D);H=Ga;I=Ha;Qb(I|0);break}case 36:{La=Ja;Ma=Ka;vva(S);Qb(Ma|0);break}case 44:{k[o>>2]=27468;k[S>>2]=27488;k[T>>2]=27560;Yua(X);Ava(T);vva(S);H=Na;I=Oa;Qb(I|0);break}case 53:{Ra=Pa;Sa=Qa;vva(Z);Qb(Sa|0);break}case 61:{k[q>>2]=27468;k[Z>>2]=27488;k[_>>2]=27560;Yua(ca);Ava(_);vva(Z);H=Ta;I=Ua;Qb(I|0);break}case 69:{Ya=Va;Za=Wa;vva(ea);Qb(Za|0);break}case 77:{k[t>>2]=27468;k[ea>>2]=27488;k[fa>>2]=27560;Yua(ja);Ava(fa);vva(ea);H=_a;I=$a;Qb(I|0);break}case 85:{cb=ab;db=bb;vva(la);Qb(db|0);break}case 93:{k[v>>2]=27468;k[la>>2]=27488;k[ma>>2]=27560;Yua(qa);Ava(ma);vva(la);H=fb;I=gb;Qb(I|0);break}}}while(0);if(E)Tsa(J)|0;Tsa(f)|0;f=lta(l,j)|0;if(f){rO(k[K>>2]|0,f,951);f=k[K>>2]|0;J=Qqa(12)|0;k[J>>2]=28084;k[J+4>>2]=l;k[J+8>>2]=949;YN(f,J);J=k[K>>2]|0;K=Qqa(12)|0;k[K>>2]=28236;k[K+4>>2]=j;k[K+8>>2]=950;YN(J,K);Dka(c);Sqa(c);r=h;return}h=x+56|0;c=x+4|0;k[x>>2]=27524;k[h>>2]=27544;B=0;wa(508,x+56|0,c|0);K=B;B=0;if(K&1){K=Rb()|0;hb=Q;ib=K;vva(h);Qb(ib|0)}k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[h>>2]=27488;B=0;va(448,c|0);K=B;B=0;do if(K&1){J=Rb()|0;jb=Q;kb=J}else{k[c>>2]=27560;J=x+36|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;k[J+12>>2]=0;k[x+52>>2]=16;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;B=0;wa(509,c|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;f=Q;Yua(i);Yua(J);Ava(c);jb=f;kb=j;break}Yua(i);B=0;j=Ia(40,x|0,66499,34)|0;f=B;B=0;b:do if(!(f&1)?(B=0,Xa(239,j|0,0)|0,l=B,B=0,!(l&1)):0){l=Ab(20)|0;B=0;eb(502,y|0,65553,67);E=B;B=0;do if(!(E&1)){B=0;eb(502,z|0,66534,15);gb=B;B=0;if(gb&1){gb=Rb()|0;fb=Q;Yua(y);lb=gb;mb=fb;break}B=0;wa(510,A|0,c|0);fb=B;B=0;if(fb&1){fb=Rb()|0;nb=1;ob=Q;pb=fb}else{B=0;ua(163,l|0,y|0,z|0,2672,A|0);fb=B;B=0;if(fb&1)qb=1;else{B=0;eb(503,l|0,1240,229);B=0;qb=0}fb=Rb()|0;gb=Q;Yua(A);nb=qb;ob=gb;pb=fb}Yua(z);Yua(y);if(nb){lb=pb;mb=ob}else{rb=ob;sb=pb;break b}}else{fb=Rb()|0;lb=fb;mb=Q}while(0);zb(l|0);rb=mb;sb=lb}else xa=113;while(0);if((xa|0)==113){j=Rb()|0;rb=Q;sb=j}k[x>>2]=27468;k[h>>2]=27488;k[c>>2]=27560;Yua(J);Ava(c);vva(h);H=rb;I=sb;Qb(I|0)}while(0);hb=jb;ib=kb;vva(h);Qb(ib|0)}
function Pm(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0;b=r;r=r+1216|0;c=b+1204|0;d=b+1032|0;e=b+1192|0;f=b+880|0;g=b+1180|0;h=b+744|0;i=b+1168|0;j=b+592|0;l=b+1016|0;m=b+440|0;n=b+728|0;o=b+304|0;q=b+576|0;s=b+152|0;t=b+288|0;u=b+16|0;v=b;w=d+56|0;x=d+4|0;k[d>>2]=27524;k[w>>2]=27544;B=0;wa(508,d+56|0,x|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;A=y;vva(w);Qb(A|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[w>>2]=27488;B=0;va(448,x|0);y=B;B=0;do if(y&1){C=Rb()|0;D=Q;E=C}else{k[x>>2]=27560;C=d+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,x|0,c|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(c);Yua(C);Ava(x);D=G;E=F;break}Yua(c);B=0;Ia(40,d|0,68031,14)|0;F=B;B=0;do if(!(F&1)?(B=0,wa(510,e|0,x|0),G=B,B=0,!(G&1)):0){B=0;ya(424,e|0)|0;G=B;B=0;if(G&1){G=Rb()|0;H=Q;Yua(e);I=H;J=G;break}Yua(e);k[d>>2]=27468;k[w>>2]=27488;k[x>>2]=27560;Yua(C);Ava(x);vva(w);G=f+56|0;H=f+4|0;k[f>>2]=27524;k[G>>2]=27544;B=0;wa(508,f+56|0,H|0);K=B;B=0;if(K&1){K=Rb()|0;L=Q;M=K;vva(G);Qb(M|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[G>>2]=27488;B=0;va(448,H|0);K=B;B=0;do if(K&1){N=Rb()|0;O=Q;P=N}else{k[H>>2]=27560;N=f+36|0;k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;k[N+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,H|0,c|0);R=B;B=0;if(R&1){R=Rb()|0;S=Q;Yua(c);Yua(N);Ava(H);O=S;P=R;break}Yua(c);B=0;R=Ia(40,f|0,79833,8)|0;S=B;B=0;do if(((!(S&1)?(B=0,T=Xa(242,R|0,k[a+4>>2]|0)|0,U=B,B=0,!(U&1)):0)?(B=0,Ia(40,T|0,149177,1)|0,T=B,B=0,!(T&1)):0)?(B=0,wa(510,g|0,H|0),T=B,B=0,!(T&1)):0){B=0;ya(424,g|0)|0;T=B;B=0;if(T&1){T=Rb()|0;U=Q;Yua(g);V=U;W=T;break}Yua(g);k[f>>2]=27468;k[G>>2]=27488;k[H>>2]=27560;Yua(N);Ava(H);vva(G);T=h+56|0;U=h+4|0;k[h>>2]=27524;k[T>>2]=27544;B=0;wa(508,h+56|0,U|0);X=B;B=0;if(X&1){X=Rb()|0;Y=Q;Z=X;vva(T);Qb(Z|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[T>>2]=27488;B=0;va(448,U|0);X=B;B=0;do if(X&1){_=Rb()|0;$=Q;aa=_}else{k[U>>2]=27560;_=h+36|0;k[_>>2]=0;k[_+4>>2]=0;k[_+8>>2]=0;k[_+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,U|0,c|0);ba=B;B=0;if(ba&1){ba=Rb()|0;ca=Q;Yua(c);Yua(_);Ava(U);$=ca;aa=ba;break}Yua(c);B=0;ba=Ia(40,h|0,79842,11)|0;ca=B;B=0;do if(ca&1)da=114;else{B=0;ea=Xa(242,ba|0,k[a+8>>2]|0)|0;fa=B;B=0;if(fa&1){da=114;break}B=0;Ia(40,ea|0,149177,1)|0;ea=B;B=0;if(ea&1){da=114;break}B=0;wa(510,i|0,U|0);ea=B;B=0;if(ea&1){da=114;break}B=0;ya(424,i|0)|0;ea=B;B=0;if(ea&1){ea=Rb()|0;fa=Q;Yua(i);ga=fa;ha=ea;break}Yua(i);k[h>>2]=27468;k[T>>2]=27488;k[U>>2]=27560;Yua(_);Ava(U);vva(T);ea=j+56|0;fa=j+4|0;k[j>>2]=27524;k[ea>>2]=27544;B=0;wa(508,j+56|0,fa|0);ia=B;B=0;if(ia&1){ia=Rb()|0;ja=Q;ka=ia;vva(ea);Qb(ka|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[ea>>2]=27488;B=0;va(448,fa|0);ia=B;B=0;do if(ia&1){la=Rb()|0;ma=Q;na=la}else{k[fa>>2]=27560;la=j+36|0;k[la>>2]=0;k[la+4>>2]=0;k[la+8>>2]=0;k[la+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,fa|0,c|0);oa=B;B=0;if(oa&1){oa=Rb()|0;pa=Q;Yua(c);Yua(la);Ava(fa);ma=pa;na=oa;break}Yua(c);B=0;oa=Ia(40,j|0,79854,8)|0;pa=B;B=0;do if(pa&1)da=117;else{B=0;qa=Xa(242,oa|0,k[a+12>>2]|0)|0;ra=B;B=0;if(ra&1){da=117;break}B=0;Ia(40,qa|0,149177,1)|0;qa=B;B=0;if(qa&1){da=117;break}B=0;wa(510,l|0,fa|0);qa=B;B=0;if(qa&1){da=117;break}B=0;ya(424,l|0)|0;qa=B;B=0;if(qa&1){qa=Rb()|0;ra=Q;Yua(l);sa=ra;ta=qa;break}Yua(l);k[j>>2]=27468;k[ea>>2]=27488;k[fa>>2]=27560;Yua(la);Ava(fa);vva(ea);qa=m+56|0;ra=m+4|0;k[m>>2]=27524;k[qa>>2]=27544;B=0;wa(508,m+56|0,ra|0);ua=B;B=0;if(ua&1){ua=Rb()|0;xa=Q;za=ua;vva(qa);Qb(za|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[qa>>2]=27488;B=0;va(448,ra|0);ua=B;B=0;do if(ua&1){Aa=Rb()|0;Ba=Q;Ca=Aa}else{k[ra>>2]=27560;Aa=m+36|0;k[Aa>>2]=0;k[Aa+4>>2]=0;k[Aa+8>>2]=0;k[Aa+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ra|0,c|0);Da=B;B=0;if(Da&1){Da=Rb()|0;Ea=Q;Yua(c);Yua(Aa);Ava(ra);Ba=Ea;Ca=Da;break}Yua(c);B=0;Da=Ia(40,m|0,68046,11)|0;Ea=B;B=0;do if(Ea&1)da=120;else{Fa=a+24|0;B=0;Ga=Xa(242,Da|0,k[Fa>>2]|0)|0;Ha=B;B=0;if(Ha&1){da=120;break}B=0;Ia(40,Ga|0,149177,1)|0;Ga=B;B=0;if(Ga&1){da=120;break}B=0;wa(510,n|0,ra|0);Ga=B;B=0;if(Ga&1){da=120;break}B=0;ya(424,n|0)|0;Ga=B;B=0;if(Ga&1){Ga=Rb()|0;Ha=Q;Yua(n);Ja=Ha;Ka=Ga;break}Yua(n);k[m>>2]=27468;k[qa>>2]=27488;k[ra>>2]=27560;Yua(Aa);Ava(ra);vva(qa);Ga=o+56|0;Ha=o+4|0;k[o>>2]=27524;k[Ga>>2]=27544;B=0;wa(508,o+56|0,Ha|0);La=B;B=0;if(La&1){La=Rb()|0;Ma=Q;Na=La;vva(Ga);Qb(Na|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[Ga>>2]=27488;B=0;va(448,Ha|0);La=B;B=0;do if(La&1){Oa=Rb()|0;Pa=Q;Qa=Oa}else{k[Ha>>2]=27560;Oa=o+36|0;k[Oa>>2]=0;k[Oa+4>>2]=0;k[Oa+8>>2]=0;k[Oa+12>>2]=0;k[o+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ha|0,c|0);Ra=B;B=0;if(Ra&1){Ra=Rb()|0;Ta=Q;Yua(c);Yua(Oa);Ava(Ha);Pa=Ta;Qa=Ra;break}Yua(c);B=0;Ra=Ia(40,o|0,144094,18)|0;Ta=B;B=0;do if(Ta&1)da=123;else{B=0;Ua=ya(427,k[a+28>>2]|0)|0;Va=B;B=0;if(Va&1){da=123;break}Va=Lta(Ua)|0;B=0;Wa=Ia(40,Ra|0,Ua|0,Va|0)|0;Va=B;B=0;if(Va&1){da=123;break}B=0;Ia(40,Wa|0,149177,1)|0;Wa=B;B=0;if(Wa&1){da=123;break}B=0;wa(510,q|0,Ha|0);Wa=B;B=0;if(Wa&1){da=123;break}B=0;ya(424,q|0)|0;Wa=B;B=0;if(Wa&1){Wa=Rb()|0;Va=Q;Yua(q);Ya=Va;Za=Wa;break}Yua(q);k[o>>2]=27468;k[Ga>>2]=27488;k[Ha>>2]=27560;Yua(Oa);Ava(Ha);vva(Ga);Wa=s+56|0;Va=s+4|0;k[s>>2]=27524;k[Wa>>2]=27544;B=0;wa(508,s+56|0,Va|0);Ua=B;B=0;if(Ua&1){Ua=Rb()|0;_a=Q;$a=Ua;vva(Wa);Qb($a|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[Wa>>2]=27488;B=0;va(448,Va|0);Ua=B;B=0;do if(Ua&1){ab=Rb()|0;bb=Q;cb=ab}else{k[Va>>2]=27560;ab=s+36|0;k[ab>>2]=0;k[ab+4>>2]=0;k[ab+8>>2]=0;k[ab+12>>2]=0;k[s+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Va|0,c|0);db=B;B=0;if(db&1){db=Rb()|0;eb=Q;Yua(c);Yua(ab);Ava(Va);bb=eb;cb=db;break}Yua(c);B=0;Ia(40,s|0,68058,22)|0;db=B;B=0;do if(!(db&1)){B=0;wa(510,t|0,Va|0);eb=B;B=0;if(eb&1){da=126;break}B=0;ya(424,t|0)|0;eb=B;B=0;if(eb&1){eb=Rb()|0;fb=Q;Yua(t);gb=fb;hb=eb;break}Yua(t);k[s>>2]=27468;k[Wa>>2]=27488;k[Va>>2]=27560;Yua(ab);Ava(Va);vva(Wa);if((k[Fa>>2]|0)<=0){r=b;return}eb=u+56|0;fb=u+4|0;ib=u+56|0;jb=u+128|0;kb=u+132|0;lb=u+36|0;mb=u+52|0;nb=a+20|0;ob=a+16|0;pb=0;while(1){k[u>>2]=27524;k[eb>>2]=27544;B=0;wa(508,ib|0,fb|0);qb=B;B=0;if(qb&1){da=95;break}k[jb>>2]=0;k[kb>>2]=-1;k[u>>2]=27468;k[eb>>2]=27488;B=0;va(448,fb|0);qb=B;B=0;if(qb&1){da=96;break}k[fb>>2]=27560;k[lb>>2]=0;k[lb+4>>2]=0;k[lb+8>>2]=0;k[lb+12>>2]=0;k[mb>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,fb|0,c|0);qb=B;B=0;if(qb&1){da=94;break}Yua(c);B=0;qb=Xa(242,u|0,pb|0)|0;rb=B;B=0;if(rb&1){da=129;break}B=0;rb=Ia(40,qb|0,124614,1)|0;qb=B;B=0;if(qb&1){da=129;break}B=0;qb=Sa(1,rb|0,+(+p[(k[nb>>2]|0)+(pb<<3)>>3]))|0;rb=B;B=0;if(rb&1){da=129;break}B=0;rb=Ia(40,qb|0,104947,1)|0;qb=B;B=0;if(qb&1){da=129;break}B=0;qb=Sa(1,rb|0,+(+p[(k[ob>>2]|0)+(pb<<3)>>3]))|0;rb=B;B=0;if(rb&1){da=129;break}B=0;Ia(40,qb|0,149177,1)|0;qb=B;B=0;if(qb&1){da=129;break}B=0;wa(510,v|0,fb|0);qb=B;B=0;if(qb&1){da=129;break}B=0;ya(424,v|0)|0;qb=B;B=0;if(qb&1){da=130;break}Yua(v);k[u>>2]=27468;k[eb>>2]=27488;k[fb>>2]=27560;Yua(lb);Ava(fb);vva(eb);pb=pb+1|0;if((pb|0)>=(k[Fa>>2]|0)){da=132;break}}if((da|0)==94){pb=Rb()|0;ob=Q;Yua(c);Yua(lb);Ava(fb);sb=ob;tb=pb;da=97}else if((da|0)==95){pb=Rb()|0;ub=Q;vb=pb;vva(eb);Qb(vb|0)}else if((da|0)==96){pb=Rb()|0;sb=Q;tb=pb;da=97}else if((da|0)==129){pb=Rb()|0;wb=Q;xb=pb;da=131}else if((da|0)==130){pb=Rb()|0;ob=Q;Yua(v);wb=ob;xb=pb;da=131}else if((da|0)==132){r=b;return}if((da|0)==97){ub=sb;vb=tb;vva(eb);Qb(vb|0)}else if((da|0)==131){k[u>>2]=27468;k[eb>>2]=27488;k[fb>>2]=27560;Yua(lb);Ava(fb);vva(eb);yb=wb;zb=xb;Qb(zb|0)}}else da=126;while(0);if((da|0)==126){db=Rb()|0;gb=Q;hb=db}k[s>>2]=27468;k[Wa>>2]=27488;k[Va>>2]=27560;Yua(ab);Ava(Va);vva(Wa);yb=gb;zb=hb;Qb(zb|0)}while(0);_a=bb;$a=cb;vva(Wa);Qb($a|0)}while(0);if((da|0)==123){Ra=Rb()|0;Ya=Q;Za=Ra}k[o>>2]=27468;k[Ga>>2]=27488;k[Ha>>2]=27560;Yua(Oa);Ava(Ha);vva(Ga);yb=Ya;zb=Za;Qb(zb|0)}while(0);Ma=Pa;Na=Qa;vva(Ga);Qb(Na|0)}while(0);if((da|0)==120){Da=Rb()|0;Ja=Q;Ka=Da}k[m>>2]=27468;k[qa>>2]=27488;k[ra>>2]=27560;Yua(Aa);Ava(ra);vva(qa);yb=Ja;zb=Ka;Qb(zb|0)}while(0);xa=Ba;za=Ca;vva(qa);Qb(za|0)}while(0);if((da|0)==117){oa=Rb()|0;sa=Q;ta=oa}k[j>>2]=27468;k[ea>>2]=27488;k[fa>>2]=27560;Yua(la);Ava(fa);vva(ea);yb=sa;zb=ta;Qb(zb|0)}while(0);ja=ma;ka=na;vva(ea);Qb(ka|0)}while(0);if((da|0)==114){ba=Rb()|0;ga=Q;ha=ba}k[h>>2]=27468;k[T>>2]=27488;k[U>>2]=27560;Yua(_);Ava(U);vva(T);yb=ga;zb=ha;Qb(zb|0)}while(0);Y=$;Z=aa;vva(T);Qb(Z|0)}else da=111;while(0);if((da|0)==111){R=Rb()|0;V=Q;W=R}k[f>>2]=27468;k[G>>2]=27488;k[H>>2]=27560;Yua(N);Ava(H);vva(G);yb=V;zb=W;Qb(zb|0)}while(0);L=O;M=P;vva(G);Qb(M|0)}else da=108;while(0);if((da|0)==108){F=Rb()|0;I=Q;J=F}k[d>>2]=27468;k[w>>2]=27488;k[x>>2]=27560;Yua(C);Ava(x);vva(w);yb=I;zb=J;Qb(zb|0)}while(0);z=D;A=E;vva(w);Qb(A|0)}function Qm(a){a=a|0;return k[a+4>>2]|0}function Rm(a){a=a|0;return 616}function Sm(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;e=r;r=r+368|0;f=e+344|0;g=e+208|0;h=e+196|0;j=e+184|0;m=e+36|0;n=e+48|0;o=e+24|0;p=e+12|0;q=e;s=(d|0)==0;a:do if(s){t=k[b>>2]|0;i[t>>0]=104;i[t+1>>0]=2;i[t+2>>0]=0;i[t+3>>0]=0;t=(k[b>>2]|0)+4|0;k[b>>2]=t;u=a+4|0;v=l[u>>0]|l[u+1>>0]<<8|l[u+2>>0]<<16|l[u+3>>0]<<24;i[t>>0]=v;i[t+1>>0]=v>>8;i[t+2>>0]=v>>16;i[t+3>>0]=v>>24;v=(k[b>>2]|0)+4|0;k[b>>2]=v;t=a+8|0;u=l[t>>0]|l[t+1>>0]<<8|l[t+2>>0]<<16|l[t+3>>0]<<24;i[v>>0]=u;i[v+1>>0]=u>>8;i[v+2>>0]=u>>16;i[v+3>>0]=u>>24;u=(k[b>>2]|0)+4|0;k[b>>2]=u;v=a+12|0;t=l[v>>0]|l[v+1>>0]<<8|l[v+2>>0]<<16|l[v+3>>0]<<24;i[u>>0]=t;i[u+1>>0]=t>>8;i[u+2>>0]=t>>16;i[u+3>>0]=t>>24;t=(k[b>>2]|0)+4|0;k[b>>2]=t;u=a+28|0;v=l[u>>0]|l[u+1>>0]<<8|l[u+2>>0]<<16|l[u+3>>0]<<24;i[t>>0]=v;i[t+1>>0]=v>>8;i[t+2>>0]=v>>16;i[t+3>>0]=v>>24;v=(k[b>>2]|0)+4|0;k[b>>2]=v;i[v>>0]=i[a+32>>0]|0;v=(k[b>>2]|0)+1|0;k[b>>2]=v;t=a+24|0;u=l[t>>0]|l[t+1>>0]<<8|l[t+2>>0]<<16|l[t+3>>0]<<24;i[v>>0]=u;i[v+1>>0]=u>>8;i[v+2>>0]=u>>16;i[v+3>>0]=u>>24;k[b>>2]=(k[b>>2]|0)+4;w=t}else switch(d|0){case 2:{k[c>>2]=(k[c>>2]|0)+25;w=a+24|0;break a;break}case 1:{t=(k[b>>2]|0)+4|0;k[b>>2]=t;u=a+4|0;v=l[t>>0]|l[t+1>>0]<<8|l[t+2>>0]<<16|l[t+3>>0]<<24;i[u>>0]=v;i[u+1>>0]=v>>8;i[u+2>>0]=v>>16;i[u+3>>0]=v>>24;v=(k[b>>2]|0)+4|0;k[b>>2]=v;u=a+8|0;t=l[v>>0]|l[v+1>>0]<<8|l[v+2>>0]<<16|l[v+3>>0]<<24;i[u>>0]=t;i[u+1>>0]=t>>8;i[u+2>>0]=t>>16;i[u+3>>0]=t>>24;t=(k[b>>2]|0)+4|0;k[b>>2]=t;u=a+12|0;v=l[t>>0]|l[t+1>>0]<<8|l[t+2>>0]<<16|l[t+3>>0]<<24;i[u>>0]=v;i[u+1>>0]=v>>8;i[u+2>>0]=v>>16;i[u+3>>0]=v>>24;v=(k[b>>2]|0)+4|0;k[b>>2]=v;u=a+28|0;t=l[v>>0]|l[v+1>>0]<<8|l[v+2>>0]<<16|l[v+3>>0]<<24;i[u>>0]=t;i[u+1>>0]=t>>8;i[u+2>>0]=t>>16;i[u+3>>0]=t>>24;t=(k[b>>2]|0)+4|0;k[b>>2]=t;i[a+32>>0]=i[t>>0]|0;t=(k[b>>2]|0)+1|0;k[b>>2]=t;u=a+24|0;v=l[t>>0]|l[t+1>>0]<<8|l[t+2>>0]<<16|l[t+3>>0]<<24;i[u>>0]=v;i[u+1>>0]=v>>8;i[u+2>>0]=v>>16;i[u+3>>0]=v>>24;k[b>>2]=(k[b>>2]|0)+4;w=u;break a;break}default:{u=g+56|0;v=g+4|0;k[g>>2]=27524;k[u>>2]=27544;B=0;wa(508,g+56|0,v|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;vva(u);Qb(y|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[u>>2]=27488;B=0;va(448,v|0);t=B;B=0;do if(t&1){z=Rb()|0;A=Q;C=z}else{k[v>>2]=27560;z=g+36|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;k[z+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,v|0,f|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(f);Yua(z);Ava(v);A=E;C=D;break}Yua(f);B=0;D=Ia(40,g|0,143951,43)|0;E=B;B=0;b:do if(!(E&1)?(B=0,Xa(239,D|0,0)|0,F=B,B=0,!(F&1)):0){F=Ab(20)|0;B=0;eb(502,h|0,68081,83);G=B;B=0;do if(!(G&1)){B=0;eb(502,j|0,149525,8);H=B;B=0;if(H&1){H=Rb()|0;I=Q;Yua(h);J=I;K=H;break}B=0;wa(510,m|0,v|0);H=B;B=0;if(H&1){H=Rb()|0;L=Q;M=H;N=1}else{B=0;ua(163,F|0,h|0,j|0,89,m|0);H=B;B=0;if(H&1)O=1;else{B=0;eb(503,F|0,1240,229);B=0;O=0}H=Rb()|0;I=Q;Yua(m);L=I;M=H;N=O}Yua(j);Yua(h);if(N){J=L;K=M}else{P=L;R=M;break b}}else{H=Rb()|0;J=Q;K=H}while(0);zb(F|0);P=J;R=K}else S=18;while(0);if((S|0)==18){D=Rb()|0;P=Q;R=D}k[g>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(z);Ava(v);vva(u);T=P;U=R;Qb(U|0)}while(0);x=A;y=C;vva(u);Qb(y|0)}}while(0);y=k[w>>2]|0;C=a+16|0;if(!y){k[C>>2]=0;k[a+20>>2]=0;r=e;return}A=(k[C>>2]|0)==0;if(s){i[k[b>>2]>>0]=A&1;s=(k[b>>2]|0)+1|0;k[b>>2]=s;if(A)V=s;else{TEa(s|0,k[C>>2]|0,k[w>>2]<<3|0)|0;s=(k[b>>2]|0)+(k[w>>2]<<3)|0;k[b>>2]=s;V=s}s=a+20|0;x=(k[s>>2]|0)==0;i[V>>0]=x&1;V=(k[b>>2]|0)+1|0;k[b>>2]=V;if(x){r=e;return}TEa(V|0,k[s>>2]|0,k[w>>2]<<3|0)|0;k[b>>2]=(k[b>>2]|0)+(k[w>>2]<<3);r=e;return}switch(d|0){case 2:{d=(k[c>>2]|0)+1|0;k[c>>2]=d;if(A)W=d;else{A=d+(k[w>>2]<<3)|0;k[c>>2]=A;W=A}A=(k[a+20>>2]|0)==0;d=W+1|0;k[c>>2]=d;if(A){r=e;return}k[c>>2]=d+(k[w>>2]<<3);r=e;return}case 1:{w=k[b>>2]|0;d=i[w>>0]|0;c=w+1|0;k[b>>2]=c;if(!(d&1)){d=Rqa(y>>>0>536870911?-1:y<<3)|0;k[C>>2]=d;C=k[b>>2]|0;w=y<<3;TEa(d|0,C|0,w|0)|0;d=C+w|0;k[b>>2]=d;X=d}else X=c;c=i[X>>0]|0;k[b>>2]=X+1;if(c&1){r=e;return}c=Rqa(y>>>0>536870911?-1:y<<3)|0;k[a+20>>2]=c;a=k[b>>2]|0;X=y<<3;TEa(c|0,a|0,X|0)|0;k[b>>2]=a+X;r=e;return}default:{e=n+56|0;X=n+4|0;k[n>>2]=27524;k[e>>2]=27544;B=0;wa(508,n+56|0,X|0);a=B;B=0;if(a&1){a=Rb()|0;Y=Q;Z=a;vva(e);Qb(Z|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[e>>2]=27488;B=0;va(448,X|0);a=B;B=0;do if(a&1){b=Rb()|0;_=Q;$=b}else{k[X>>2]=27560;b=n+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[n+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,X|0,f|0);c=B;B=0;if(c&1){c=Rb()|0;y=Q;Yua(f);Yua(b);Ava(X);_=y;$=c;break}Yua(f);B=0;c=Ia(40,n|0,143951,43)|0;y=B;B=0;c:do if(!(y&1)?(B=0,Xa(239,c|0,0)|0,d=B,B=0,!(d&1)):0){d=Ab(20)|0;B=0;eb(502,o|0,68081,83);w=B;B=0;do if(!(w&1)){B=0;eb(502,p|0,149525,8);C=B;B=0;if(C&1){C=Rb()|0;A=Q;Yua(o);aa=A;ba=C;break}B=0;wa(510,q|0,X|0);C=B;B=0;if(C&1){C=Rb()|0;ca=1;da=Q;ea=C}else{B=0;ua(163,d|0,o|0,p|0,98,q|0);C=B;B=0;if(C&1)fa=1;else{B=0;eb(503,d|0,1240,229);B=0;fa=0}C=Rb()|0;A=Q;Yua(q);ca=fa;da=A;ea=C}Yua(p);Yua(o);if(ca){aa=da;ba=ea}else{ga=da;ha=ea;break c}}else{C=Rb()|0;aa=Q;ba=C}while(0);zb(d|0);ga=aa;ha=ba}else S=49;while(0);if((S|0)==49){c=Rb()|0;ga=Q;ha=c}k[n>>2]=27468;k[e>>2]=27488;k[X>>2]=27560;Yua(b);Ava(X);vva(e);T=ga;U=ha;Qb(U|0)}while(0);Y=_;Z=$;vva(e);Qb(Z|0)}}}function Tm(a){a=a|0;i[a+32>>0]=1;return}function Um(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0.0,o=0.0,q=0.0,s=0.0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0;d=r;r=r+208|0;e=d+184|0;f=d;g=d+48|0;h=d+32|0;j=d+20|0;l=d+8|0;p[f>>3]=0.0;m=rh(b,0,k[a+8>>2]|0)|0;if(!((m|0)!=0&(i[a+32>>0]|0)==0)){r=d;return}dO(c,f,767);n=+p[f>>3];f=k[a+20>>2]|0;o=+p[f>>3];a:do if(!(n<=o)){c=k[a+24>>2]|0;b=c+-1|0;if(n>=+p[f+(b<<3)>>3]){q=+p[(k[a+16>>2]|0)+(b<<3)>>3];break}b:do if((c|0)>1){s=o;u=0;while(1){v=u+1|0;if(s<=n?(w=+p[f+(v<<3)>>3],n<w):0){x=s;y=w;z=v;A=u;break}if((v|0)>=(b|0))break b;s=+p[f+(v<<3)>>3];u=v}s=(n-x)/(y-x);u=k[a+16>>2]|0;q=(1.0-s)*+p[u+(A<<3)>>3]+s*+p[u+(z<<3)>>3];break a}while(0);b=g+56|0;c=g+4|0;k[g>>2]=27524;k[b>>2]=27544;B=0;wa(508,g+56|0,c|0);u=B;B=0;if(u&1){u=Rb()|0;C=Q;D=u;vva(b);Qb(D|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[b>>2]=27488;B=0;va(448,c|0);u=B;B=0;do if(u&1){v=Rb()|0;E=Q;F=v}else{k[c>>2]=27560;v=g+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[g+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,c|0,e|0);G=B;B=0;if(G&1){G=Rb()|0;H=Q;Yua(e);Yua(v);Ava(c);E=H;F=G;break}Yua(e);B=0;G=Ia(40,g|0,68165,42)|0;H=B;B=0;if(!(H&1)?(B=0,Xa(239,G|0,0)|0,G=B,B=0,!(G&1)):0){G=Ab(20)|0;B=0;eb(502,h|0,68081,83);H=B;B=0;do if(!(H&1)){B=0;eb(502,j|0,68208,13);I=B;B=0;if(I&1){I=Rb()|0;J=Q;Yua(h);K=J;L=I;break}B=0;wa(510,l|0,c|0);I=B;B=0;if(I&1){I=Rb()|0;M=Q;N=I;O=1}else{B=0;ua(163,G|0,h|0,j|0,151,l|0);I=B;B=0;if(I&1)P=1;else{B=0;eb(503,G|0,1240,229);B=0;P=0}I=Rb()|0;J=Q;Yua(l);M=J;N=I;O=P}Yua(j);Yua(h);if(O){K=M;L=N}else{R=M;S=N;k[g>>2]=27468;k[b>>2]=27488;k[c>>2]=27560;Yua(v);Ava(c);vva(b);Qb(S|0)}}else{I=Rb()|0;K=Q;L=I}while(0);zb(G|0);R=K;S=L;k[g>>2]=27468;k[b>>2]=27488;k[c>>2]=27560;Yua(v);Ava(c);vva(b);Qb(S|0)}H=Rb()|0;R=Q;S=H;k[g>>2]=27468;k[b>>2]=27488;k[c>>2]=27560;Yua(v);Ava(c);vva(b);Qb(S|0)}while(0);C=E;D=F;vva(b);Qb(D|0)}else q=+p[k[a+16>>2]>>3];while(0);x=+$(+q);p[t>>3]=x;D=k[t+4>>2]|0;F=k[a+12>>2]|0;if(D>>>0>2146435072|(D|0)==2146435072&(k[t>>2]|0)>>>0>0){Yn(m,F);r=d;return}else{Un(m,F,q);r=d;return}}function Vm(a,b){a=a|0;b=b|0;return (k[a+28>>2]|0)==(b|0)|0}function Wm(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0.0,Z=0.0,_=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0;f=r;r=r+368|0;g=f+352|0;h=f+216|0;j=f+204|0;l=f+192|0;m=f+44|0;n=f;o=f+56|0;q=f+32|0;s=f+20|0;u=f+8|0;if(!(i[a+32>>0]|0)){v=h+56|0;w=h+4|0;k[h>>2]=27524;k[v>>2]=27544;B=0;wa(508,h+56|0,w|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;z=x;vva(v);Qb(z|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[v>>2]=27488;B=0;va(448,w|0);x=B;B=0;do if(x&1){A=Rb()|0;C=Q;D=A}else{k[w>>2]=27560;A=h+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[h+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,w|0,g|0);E=B;B=0;if(E&1){E=Rb()|0;G=Q;Yua(g);Yua(A);Ava(w);C=G;D=E;break}Yua(g);B=0;E=Ia(40,h|0,68222,54)|0;G=B;B=0;a:do if(!(G&1)?(B=0,Xa(239,E|0,0)|0,H=B,B=0,!(H&1)):0){H=Ab(20)|0;B=0;eb(502,j|0,68081,83);I=B;B=0;do if(!(I&1)){B=0;eb(502,l|0,80053,18);J=B;B=0;if(J&1){J=Rb()|0;K=Q;Yua(j);L=J;M=K;break}B=0;wa(510,m|0,w|0);K=B;B=0;if(K&1){K=Rb()|0;N=Q;O=K;P=1}else{B=0;ua(163,H|0,j|0,l|0,169,m|0);K=B;B=0;if(K&1)R=1;else{B=0;eb(503,H|0,1240,229);B=0;R=0}K=Rb()|0;J=Q;Yua(m);N=J;O=K;P=R}Yua(l);Yua(j);if(P){L=O;M=N}else{S=O;T=N;break a}}else{K=Rb()|0;L=K;M=Q}while(0);zb(H|0);S=L;T=M}else U=17;while(0);if((U|0)==17){E=Rb()|0;S=E;T=Q}k[h>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);V=T;W=S;Qb(W|0)}while(0);y=C;z=D;vva(v);Qb(z|0)}p[n>>3]=0.0;z=rh(d,0,k[a+8>>2]|0)|0;if(!z){X=-1;Y=F;k[b>>2]=X;p[c>>3]=Y;r=f;return}dO(e,n,767);Z=+p[n>>3];n=k[a+20>>2]|0;_=+p[n>>3];b:do if(!(Z<=_)){e=k[a+24>>2]|0;d=e+-1|0;if(Z>=+p[n+(d<<3)>>3]){aa=+p[(k[a+16>>2]|0)+(d<<3)>>3];break}c:do if((e|0)>1){ba=_;v=0;while(1){D=v+1|0;if(ba<=Z?(ca=+p[n+(D<<3)>>3],Z<ca):0){da=ba;ea=ca;fa=D;ga=v;break}if((D|0)>=(d|0))break c;ba=+p[n+(D<<3)>>3];v=D}ba=(Z-da)/(ea-da);v=k[a+16>>2]|0;aa=(1.0-ba)*+p[v+(ga<<3)>>3]+ba*+p[v+(fa<<3)>>3];break b}while(0);d=o+56|0;e=o+4|0;k[o>>2]=27524;k[d>>2]=27544;B=0;wa(508,o+56|0,e|0);A=B;B=0;if(A&1){A=Rb()|0;ha=Q;ia=A;vva(d);Qb(ia|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[d>>2]=27488;B=0;va(448,e|0);A=B;B=0;do if(A&1){v=Rb()|0;ja=Q;ka=v}else{k[e>>2]=27560;v=o+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[o+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,e|0,g|0);H=B;B=0;if(H&1){H=Rb()|0;D=Q;Yua(g);Yua(v);Ava(e);ja=D;ka=H;break}Yua(g);B=0;H=Ia(40,o|0,68165,42)|0;D=B;B=0;d:do if(!(D&1)?(B=0,Xa(239,H|0,0)|0,C=B,B=0,!(C&1)):0){C=Ab(20)|0;B=0;eb(502,q|0,68081,83);y=B;B=0;do if(!(y&1)){B=0;eb(502,s|0,80053,18);S=B;B=0;if(S&1){S=Rb()|0;T=Q;Yua(q);la=S;ma=T;break}B=0;wa(510,u|0,e|0);T=B;B=0;if(T&1){T=Rb()|0;na=1;oa=Q;pa=T}else{B=0;ua(163,C|0,q|0,s|0,205,u|0);T=B;B=0;if(T&1)qa=1;else{B=0;eb(503,C|0,1240,229);B=0;qa=0}T=Rb()|0;S=Q;Yua(u);na=qa;oa=S;pa=T}Yua(s);Yua(q);if(na){la=pa;ma=oa}else{ra=oa;sa=pa;break d}}else{T=Rb()|0;la=T;ma=Q}while(0);zb(C|0);ra=ma;sa=la}else U=51;while(0);if((U|0)==51){H=Rb()|0;ra=Q;sa=H}k[o>>2]=27468;k[d>>2]=27488;k[e>>2]=27560;Yua(v);Ava(e);vva(d);V=ra;W=sa;Qb(W|0)}while(0);ha=ja;ia=ka;vva(d);Qb(ia|0)}else aa=+p[k[a+16>>2]>>3];while(0);ia=Nn(z,k[a+12>>2]|0,943)|0;da=+$(+aa);p[t>>3]=da;a=k[t+4>>2]|0;X=a>>>0>2146435072|(a|0)==2146435072&(k[t>>2]|0)>>>0>0?-1:ia;Y=aa;k[b>>2]=X;p[c>>3]=Y;r=f;return}function Xm(a){a=a|0;gh(a);k[a+12>>2]=550;return}function Ym(a){a=a|0;jh(a);return}function Zm(a){a=a|0;gh(a);k[a+12>>2]=549;return}function _m(a){a=a|0;jh(a);return}function $m(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;d=r;r=r+16|0;e=d;k[e>>2]=0;f=vY()|0;g=wY()|0;if((th(a)|0)>0){h=0;do{i=qh(a,h)|0;if(Tn(i,b)|0)io(i,e,c);h=h+1|0}while((h|0)<(th(a)|0))}h=Rqa(g>>>0>1073741823?-1:g<<2)|0;lZ(e,1,4,h,1,4,0,uY()|0)|0;uY()|0;k[e>>2]=0;if((f|0)>0){g=0;i=0;while(1){j=g+(k[h+(i<<2)>>2]|0)|0;i=i+1|0;if((i|0)==(f|0)){l=j;break}else g=j}k[e>>2]=l}if((th(a)|0)>0){l=0;do{g=qh(a,l)|0;if(Tn(g,b)|0)jo(g,k[e>>2]|0,c);l=l+1|0}while((l|0)<(th(a)|0))}l=an(a,b,c)|0;e=ma(bn(a,b)|0,l)|0;if(!e){m=0;n=0}else{g=e>>>0>1073741823?-1:e<<2;f=Rqa(g)|0;i=e<<2;WEa(f|0,0,i|0)|0;j=Rqa(g)|0;WEa(j|0,0,i|0)|0;m=j;n=f}if((th(a)|0)>0){f=0;do{j=qh(a,f)|0;if(Tn(j,b)|0)ko(j,n,l,c);f=f+1|0}while((f|0)<(th(a)|0))}fZ(n,m,e,4,1,uY()|0)|0;if((th(a)|0)>0){e=0;do{f=qh(a,e)|0;if(Tn(f,b)|0)lo(f,m,l,c);e=e+1|0}while((e|0)<(th(a)|0))}if((th(a)|0)>0){e=0;do{c=qh(a,e)|0;if(Tn(c,b)|0)Xn(c);e=e+1|0}while((e|0)<(th(a)|0))}Tqa(h);if(n)Tqa(n);if(!m){r=d;return}Tqa(m);r=d;return}function an(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;d=r;r=r+16|0;e=d+4|0;f=d;k[e>>2]=0;if((th(a)|0)>0){g=0;h=0;while(1){i=qh(a,h)|0;if(Tn(i,b)|0?(j=eo(i,534,c)|0,(j|0)>(g|0)):0){k[e>>2]=j;l=j}else l=g;h=h+1|0;if((h|0)>=(th(a)|0))break;else g=l}}fZ(e,f,1,4,1,uY()|0)|0;r=d;return k[f>>2]|0}function bn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;c=r;r=r+16|0;d=c+4|0;e=c;k[d>>2]=-1;if((th(a)|0)>0){f=-1;g=0;while(1){h=qh(a,g)|0;if(Tn(h,b)|0?(i=Qn(h)|0,(i|0)>(f|0)):0){k[d>>2]=i;j=i}else j=f;g=g+1|0;if((g|0)>=(th(a)|0))break;else f=j}}nZ(d,e,1,4,1,0,uY()|0)|0;uY()|0;r=c;return (k[e>>2]|0)+1|0}function cn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;c=wY()|0;d=bn(a,b)|0;e=d>>>0>1073741823?-1:d<<2;f=Rqa(e)|0;g=Rqa(e)|0;if((d|0)>0){e=0;do{k[f+(e<<2)>>2]=c;e=e+1|0}while((e|0)!=(d|0))}e=vY()|0;if((th(a)|0)>0){c=0;do{h=qh(a,c)|0;if(Tn(h,b)|0){i=f+((Qn(h)|0)<<2)|0;k[i>>2]=e}c=c+1|0}while((c|0)<(th(a)|0))}fZ(f,g,d,4,2,uY()|0)|0;if((th(a)|0)>0)j=0;else{Tqa(f);Tqa(g);return}do{d=qh(a,j)|0;if(Tn(d,b)|0)mo(d,g);j=j+1|0}while((j|0)<(th(a)|0));Tqa(f);Tqa(g);return}function dn(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;b=r;r=r+16|0;c=b+4|0;d=b;k[c>>2]=-1;e=(k[a+16>>2]|0)==0;f=th(a)|0;do if(e){if((f|0)>0){g=-1;h=0;while(1){i=qh(a,h)|0;j=Hc[k[(k[i>>2]|0)+16>>2]&511](i)|0;if((j|0)>(g|0)){k[c>>2]=j;l=j}else l=g;h=h+1|0;if((h|0)>=(th(a)|0))break;else g=l}}}else if(!f){k[c>>2]=0;break}else{g=qh(a,(th(a)|0)+-1|0)|0;h=Hc[k[(k[g>>2]|0)+16>>2]&511](g)|0;k[c>>2]=h;break}while(0);fZ(c,d,1,4,1,uY()|0)|0;r=b;return k[d>>2]|0}function en(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;d=r;r=r+16|0;e=d+4|0;f=d;if((th(a)|0)>0){g=0;h=0;while(1){i=qh(a,g)|0;if(Tn(i,b)|0?(fo(i)|0)==0:0)j=(eo(i,534,c)|0)+h|0;else j=h;g=g+1|0;if((g|0)>=(th(a)|0)){l=j;break}else h=j}}else l=0;k[f>>2]=l;fZ(f,e,1,4,4,uY()|0)|0;r=d;return k[e>>2]|0}function fn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;if((th(a)|0)>0){d=0;e=0}else{f=0;return f|0}while(1){g=qh(a,d)|0;if(Tn(g,b)|0?(fo(g)|0)==0:0)h=(eo(g,534,c)|0)+e|0;else h=e;d=d+1|0;if((d|0)>=(th(a)|0)){f=h;break}else e=h}return f|0}function gn(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+16|0;c=b+4|0;d=b;k[c>>2]=0;k[d>>2]=0;if((th(a)|0)>0){e=0;f=0;while(1){if(!(fo(qh(a,f)|0)|0)){g=e+1|0;k[c>>2]=g;h=g}else h=e;f=f+1|0;if((f|0)>=(th(a)|0))break;else e=h}}fZ(c,d,1,4,4,uY()|0)|0;r=b;return k[d>>2]|0}function hn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;c=r;r=r+16|0;d=c+4|0;e=c;k[d>>2]=0;a:do if((th(a)|0)>0){f=0;while(1){g=qh(a,f)|0;if(Tn(g,b)|0?Wn(g)|0:0)break;f=f+1|0;if((f|0)>=(th(a)|0))break a}k[d>>2]=1}while(0);fZ(d,e,1,4,1,uY()|0)|0;r=c;return (k[e>>2]|0)!=0|0}function jn(a){a=a|0;gh(a);k[a+12>>2]=552;return}function kn(a){a=a|0;jh(a);return}function ln(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;c=r;r=r+16|0;d=c;k[d>>2]=0;e=vY()|0;f=wY()|0;if((th(a)|0)>0){g=0;do{Eo(qh(a,g)|0,d);g=g+1|0}while((g|0)<(th(a)|0))}g=Rqa(f>>>0>1073741823?-1:f<<2)|0;lZ(d,1,4,g,1,4,0,uY()|0)|0;uY()|0;k[d>>2]=0;if((e|0)>0){f=0;h=0;while(1){i=f+(k[g+(h<<2)>>2]|0)|0;h=h+1|0;if((h|0)==(e|0)){j=i;break}else f=i}k[d>>2]=j}if((th(a)|0)>0){j=0;do{f=qh(a,j)|0;Fo(f,k[d>>2]|0);j=j+1|0}while((j|0)<(th(a)|0))}j=b>>>0>1073741823?-1:b<<2;d=Rqa(j)|0;if(!b)l=Rqa(j)|0;else{f=b<<2;WEa(d|0,0,f|0)|0;e=Rqa(j)|0;WEa(e|0,0,f|0)|0;l=e}if((th(a)|0)>0){e=0;do{Go(qh(a,e)|0,d);e=e+1|0}while((e|0)<(th(a)|0))}fZ(d,l,b,4,1,uY()|0)|0;if((th(a)|0)>0)m=0;else{Tqa(g);Tqa(d);Tqa(l);r=c;return}do{Ho(qh(a,m)|0,l);m=m+1|0}while((m|0)<(th(a)|0));Tqa(g);Tqa(d);Tqa(l);r=c;return}function mn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;c=wY()|0;d=b>>>0>1073741823?-1:b<<2;e=Rqa(d)|0;f=Rqa(d)|0;if((b|0)>0){d=0;do{k[e+(d<<2)>>2]=c;d=d+1|0}while((d|0)!=(b|0))}d=vY()|0;if((th(a)|0)>0){c=0;do{g=e+((Bo(qh(a,c)|0)|0)<<2)|0;k[g>>2]=d;c=c+1|0}while((c|0)<(th(a)|0))}fZ(e,f,b,4,2,uY()|0)|0;if((th(a)|0)>0)h=0;else{Tqa(e);Tqa(f);return}do{Io(qh(a,h)|0,f);h=h+1|0}while((h|0)<(th(a)|0));Tqa(e);Tqa(f);return}function nn(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+16|0;c=b+4|0;d=b;k[c>>2]=0;if((th(a)|0)>0){e=0;f=0;while(1){g=Bo(qh(a,f)|0)|0;if((g|0)>(e|0)){k[c>>2]=g;h=g}else h=e;f=f+1|0;if((f|0)>=(th(a)|0))break;else e=h}}nZ(c,d,1,4,1,0,uY()|0)|0;uY()|0;r=b;return (k[d>>2]|0)+1|0}function on(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;b=r;r=r+368|0;c=b+344|0;d=b+208|0;e=b+196|0;f=b+184|0;g=b+36|0;h=b+48|0;i=b+24|0;j=b+12|0;l=b;k[a+4>>2]=0;m=qZ()|0;if(!(Ita(m,68695)|0)){n=d+56|0;o=d+4|0;k[d>>2]=27524;k[n>>2]=27544;B=0;wa(508,d+56|0,o|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;s=p;vva(n);Qb(s|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[n>>2]=27488;B=0;va(448,o|0);p=B;B=0;do if(p&1){t=Rb()|0;u=Q;v=t}else{k[o>>2]=27560;t=d+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,o|0,c|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(c);Yua(t);Ava(o);u=x;v=w;break}Yua(c);B=0;w=Ia(40,d|0,68701,50)|0;x=B;B=0;a:do if(!(x&1)?(B=0,Xa(239,w|0,0)|0,y=B,B=0,!(y&1)):0){y=Ab(20)|0;B=0;eb(502,e|0,68752,101);z=B;B=0;do if(!(z&1)){B=0;eb(502,f|0,68854,19);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(e);D=A;E=C;break}B=0;wa(510,g|0,o|0);C=B;B=0;if(C&1){C=Rb()|0;F=Q;G=C;H=1}else{B=0;ua(163,y|0,e|0,f|0,144,g|0);C=B;B=0;if(C&1)I=1;else{B=0;eb(503,y|0,1240,229);B=0;I=0}C=Rb()|0;A=Q;Yua(g);F=A;G=C;H=I}Yua(f);Yua(e);if(H){D=G;E=F}else{J=G;K=F;break a}}else{C=Rb()|0;D=C;E=Q}while(0);zb(y|0);J=D;K=E}else L=17;while(0);if((L|0)==17){w=Rb()|0;J=w;K=Q}k[d>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(t);Ava(o);vva(n);M=K;N=J;Qb(N|0)}while(0);q=u;s=v;vva(n);Qb(s|0)}if(!(Ita(m,145123)|0)){k[a>>2]=1;if(!m){r=b;return}Tqa(m);r=b;return}b=h+56|0;m=h+4|0;k[h>>2]=27524;k[b>>2]=27544;B=0;wa(508,h+56|0,m|0);a=B;B=0;if(a&1){a=Rb()|0;O=Q;P=a;vva(b);Qb(P|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[b>>2]=27488;B=0;va(448,m|0);a=B;B=0;do if(a&1){s=Rb()|0;R=Q;S=s}else{k[m>>2]=27560;s=h+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,m|0,c|0);n=B;B=0;if(n&1){n=Rb()|0;v=Q;Yua(c);Yua(s);Ava(m);R=v;S=n;break}Yua(c);B=0;n=Ia(40,h|0,68874,20)|0;v=B;B=0;b:do if(!(v&1)?(B=0,Xa(239,n|0,0)|0,u=B,B=0,!(u&1)):0){u=Ab(20)|0;B=0;eb(502,i|0,68752,101);q=B;B=0;do if(!(q&1)){B=0;eb(502,j|0,68854,19);J=B;B=0;if(J&1){J=Rb()|0;K=Q;Yua(i);T=J;U=K;break}B=0;wa(510,l|0,m|0);K=B;B=0;if(K&1){K=Rb()|0;V=1;W=Q;X=K}else{B=0;ua(163,u|0,i|0,j|0,151,l|0);K=B;B=0;if(K&1)Y=1;else{B=0;eb(503,u|0,1240,229);B=0;Y=0}K=Rb()|0;J=Q;Yua(l);V=Y;W=J;X=K}Yua(j);Yua(i);if(V){T=X;U=W}else{Z=W;_=X;break b}}else{K=Rb()|0;T=K;U=Q}while(0);zb(u|0);Z=U;_=T}else L=44;while(0);if((L|0)==44){n=Rb()|0;Z=Q;_=n}k[h>>2]=27468;k[b>>2]=27488;k[m>>2]=27560;Yua(s);Ava(m);vva(b);M=Z;N=_;Qb(N|0)}while(0);O=R;P=S;vva(b);Qb(P|0)}function pn(a){a=a|0;var b=0,c=0;k[a>>2]=28724;b=a+12|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;return}function qn(a){a=a|0;var b=0;k[a>>2]=28724;b=k[a+12>>2]|0;if(!b){Sqa(a);return}Tqa(b);Sqa(a);return}function rn(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;b=r;r=r+464|0;c=b+452|0;d=b+304|0;e=b+440|0;f=b+152|0;g=b+288|0;h=b+16|0;i=b;j=d+56|0;l=d+4|0;k[d>>2]=27524;k[j>>2]=27544;B=0;wa(508,d+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(j);Qb(o|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[j>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){q=Rb()|0;s=Q;t=q}else{k[l>>2]=27560;q=d+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,l|0,c|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(c);Yua(q);Ava(l);s=v;t=u;break}Yua(c);B=0;u=Ia(40,d|0,68642,18)|0;v=B;B=0;do if(((((!(v&1)?(w=a+4|0,B=0,x=Xa(242,u|0,k[w>>2]|0)|0,y=B,B=0,!(y&1)):0)?(B=0,y=Ia(40,x|0,124614,1)|0,x=B,B=0,!(x&1)):0)?(x=a+8|0,B=0,z=Xa(242,y|0,k[x>>2]|0)|0,y=B,B=0,!(y&1)):0)?(B=0,Ia(40,z|0,149177,1)|0,z=B,B=0,!(z&1)):0)?(B=0,wa(510,e|0,l|0),z=B,B=0,!(z&1)):0){B=0;ya(424,e|0)|0;z=B;B=0;if(z&1){z=Rb()|0;y=Q;Yua(e);A=y;C=z;break}Yua(e);k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(q);Ava(l);vva(j);if((k[w>>2]|0)<=0){r=b;return}z=h+56|0;y=h+4|0;D=h+56|0;E=h+128|0;F=h+132|0;G=h+36|0;H=h+52|0;I=f+56|0;J=f+4|0;K=f+56|0;L=f+128|0;M=f+132|0;N=f+36|0;O=f+52|0;P=a+12|0;R=0;a:while(1){if((k[x>>2]|0)>0){S=0;do{k[f>>2]=27524;k[I>>2]=27544;B=0;wa(508,K|0,J|0);T=B;B=0;if(T&1){U=23;break a}k[L>>2]=0;k[M>>2]=-1;k[f>>2]=27468;k[I>>2]=27488;B=0;va(448,J|0);T=B;B=0;if(T&1){U=24;break a}k[J>>2]=27560;k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;k[N+12>>2]=0;k[O>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,J|0,c|0);T=B;B=0;if(T&1){U=22;break a}Yua(c);T=(ma(k[x>>2]|0,R)|0)+S|0;B=0;V=Sa(1,f|0,+(+p[(k[P>>2]|0)+(T<<3)>>3]))|0;T=B;B=0;if(T&1){U=35;break a}B=0;Ia(40,V|0,149175,1)|0;V=B;B=0;if(V&1){U=35;break a}B=0;wa(510,g|0,J|0);V=B;B=0;if(V&1){U=35;break a}B=0;ya(424,g|0)|0;V=B;B=0;if(V&1){U=36;break a}Yua(g);k[f>>2]=27468;k[I>>2]=27488;k[J>>2]=27560;Yua(N);Ava(J);vva(I);S=S+1|0}while((S|0)<(k[x>>2]|0))}k[h>>2]=27524;k[z>>2]=27544;B=0;wa(508,D|0,y|0);S=B;B=0;if(S&1){U=42;break}k[E>>2]=0;k[F>>2]=-1;k[h>>2]=27468;k[z>>2]=27488;B=0;va(448,y|0);S=B;B=0;if(S&1){U=43;break}k[y>>2]=27560;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;k[G+12>>2]=0;k[H>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,y|0,c|0);S=B;B=0;if(S&1){U=41;break}Yua(c);B=0;Ia(40,h|0,149177,1)|0;S=B;B=0;if(S&1){U=50;break}B=0;wa(510,i|0,y|0);S=B;B=0;if(S&1){U=50;break}B=0;ya(424,i|0)|0;S=B;B=0;if(S&1){U=51;break}Yua(i);k[h>>2]=27468;k[z>>2]=27488;k[y>>2]=27560;Yua(G);Ava(y);vva(z);R=R+1|0;if((R|0)>=(k[w>>2]|0)){U=53;break}}switch(U|0){case 22:{w=Rb()|0;R=Q;Yua(c);Yua(N);Ava(J);W=R;X=w;U=25;break}case 23:{w=Rb()|0;Y=Q;Z=w;vva(I);Qb(Z|0);break}case 24:{w=Rb()|0;W=Q;X=w;U=25;break}case 35:{w=Rb()|0;_=Q;$=w;U=37;break}case 36:{w=Rb()|0;R=Q;Yua(g);_=R;$=w;U=37;break}case 41:{w=Rb()|0;R=Q;Yua(c);Yua(G);Ava(y);aa=R;ba=w;U=44;break}case 42:{w=Rb()|0;ca=Q;da=w;vva(z);Qb(da|0);break}case 43:{w=Rb()|0;aa=Q;ba=w;U=44;break}case 50:{w=Rb()|0;ea=Q;fa=w;U=52;break}case 51:{w=Rb()|0;R=Q;Yua(i);ea=R;fa=w;U=52;break}case 53:{r=b;return}}if((U|0)==25){Y=W;Z=X;vva(I);Qb(Z|0)}else if((U|0)==37){k[f>>2]=27468;k[I>>2]=27488;k[J>>2]=27560;Yua(N);Ava(J);vva(I);ga=_;ha=$;Qb(ha|0)}else if((U|0)==44){ca=aa;da=ba;vva(z);Qb(da|0)}else if((U|0)==52){k[h>>2]=27468;k[z>>2]=27488;k[y>>2]=27560;Yua(G);Ava(y);vva(z);ga=ea;ha=fa;Qb(ha|0)}}else U=32;while(0);if((U|0)==32){u=Rb()|0;A=Q;C=u}k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(q);Ava(l);vva(j);ga=A;ha=C;Qb(ha|0)}while(0);n=s;o=t;vva(j);Qb(o|0)}function sn(a){a=a|0;return}function tn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0.0,j=0,l=0,m=0,n=0.0,o=0,q=0,s=0,t=0.0,u=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;switch(b|0){case 0:{b=a+4|0;if((k[b>>2]|0)<=0){i=0.0;r=c;return +i}j=a+8|0;l=a+12|0;m=0;n=0.0;while(1){o=k[j>>2]|0;if((o|0)>0){q=k[l>>2]|0;s=ma(o,m)|0;t=0.0;u=0;while(1){v=t+ +$(+(+p[q+(s+u<<3)>>3]));u=u+1|0;if((u|0)>=(o|0)){w=v;break}else t=v}}else w=0.0;t=+LY(n,w);m=m+1|0;if((m|0)>=(k[b>>2]|0)){i=t;break}else n=t}r=c;return +i}case 2:{b=k[a+4>>2]|0;if((b|0)>0?(m=k[a+8>>2]|0,(m|0)>0):0){l=k[a+12>>2]|0;a=0;n=0.0;while(1){j=ma(m,a)|0;o=0;w=n;while(1){t=+p[l+(j+o<<3)>>3];v=w+t*t;o=o+1|0;if((o|0)>=(m|0)){x=v;break}else w=v}a=a+1|0;if((a|0)>=(b|0)){y=x;break}else n=x}}else y=0.0;i=+aa(+y);r=c;return +i}default:{c=e+56|0;b=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;z=Q;A=a;vva(c);Qb(A|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,b|0);a=B;B=0;do if(a&1){m=Rb()|0;C=Q;D=m}else{k[b>>2]=27560;m=e+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,b|0,d|0);l=B;B=0;if(l&1){l=Rb()|0;o=Q;Yua(d);Yua(m);Ava(b);C=o;D=l;break}Yua(d);B=0;l=Ia(40,e|0,68622,14)|0;o=B;B=0;if(!(o&1)?(B=0,Xa(239,l|0,0)|0,l=B,B=0,!(l&1)):0){l=Ab(20)|0;B=0;eb(502,f|0,68394,115);o=B;B=0;do if(!(o&1)){B=0;eb(502,g|0,68637,4);j=B;B=0;if(j&1){j=Rb()|0;u=Q;Yua(f);E=u;F=j;break}B=0;wa(510,h|0,b|0);j=B;B=0;if(j&1){j=Rb()|0;G=Q;H=j;I=1}else{B=0;ua(163,l|0,f|0,g|0,163,h|0);j=B;B=0;if(j&1)J=1;else{B=0;eb(503,l|0,1240,229);B=0;J=0}j=Rb()|0;u=Q;Yua(h);G=u;H=j;I=J}Yua(g);Yua(f);if(I){E=G;F=H}else{K=G;L=H;k[e>>2]=27468;k[c>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(c);Qb(L|0)}}else{j=Rb()|0;E=Q;F=j}while(0);zb(l|0);K=E;L=F;k[e>>2]=27468;k[c>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(c);Qb(L|0)}o=Rb()|0;K=Q;L=o;k[e>>2]=27468;k[c>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(c);Qb(L|0)}while(0);z=C;A=D;vva(c);Qb(A|0)}}return +(0.0)}function un(a,b,c){a=a|0;b=b|0;c=c|0;k[b>>2]=k[a+4>>2];k[c>>2]=k[a+8>>2];return}function vn(a,b,c){a=a|0;b=b|0;c=c|0;k[b>>2]=k[a+4>>2];k[c>>2]=k[a+8>>2];return}function wn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0.0,U=0.0,V=0.0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;d=r;r=r+384|0;e=d+360|0;f=d+356|0;g=d+352|0;h=d+216|0;i=d+200|0;j=d+48|0;l=d+36|0;m=d+64|0;n=d+24|0;o=d+12|0;q=d;Fc[k[(k[b>>2]|0)+28>>2]&1023](b,f);Fc[k[(k[c>>2]|0)+28>>2]&1023](c,g);s=k[a+4>>2]|0;if((s|0)!=(k[g>>2]|0)){g=h+56|0;t=h+4|0;k[h>>2]=27524;k[g>>2]=27544;B=0;wa(508,h+56|0,t|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;w=u;vva(g);Qb(w|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[g>>2]=27488;B=0;va(448,t|0);u=B;B=0;do if(u&1){x=Rb()|0;y=Q;z=x}else{k[t>>2]=27560;x=h+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[h+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,t|0,e|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(e);Yua(x);Ava(t);y=C;z=A;break}Yua(e);B=0;A=Ia(40,h|0,68520,45)|0;C=B;B=0;a:do if(!(C&1)?(B=0,Xa(239,A|0,0)|0,D=B,B=0,!(D&1)):0){D=Ab(20)|0;B=0;eb(502,i|0,68394,115);E=B;B=0;do if(!(E&1)){B=0;eb(502,j|0,68566,7);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(i);H=F;I=G;break}B=0;wa(510,l|0,t|0);G=B;B=0;if(G&1){G=Rb()|0;J=Q;K=G;L=1}else{B=0;ua(163,D|0,i|0,j|0,202,l|0);G=B;B=0;if(G&1)M=1;else{B=0;eb(503,D|0,1240,229);B=0;M=0}G=Rb()|0;F=Q;Yua(l);J=F;K=G;L=M}Yua(j);Yua(i);if(L){H=K;I=J}else{N=K;O=J;break a}}else{G=Rb()|0;H=G;I=Q}while(0);zb(D|0);N=H;O=I}else P=17;while(0);if((P|0)==17){A=Rb()|0;N=A;O=Q}k[h>>2]=27468;k[g>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(g);R=O;S=N;Qb(S|0)}while(0);v=y;w=z;vva(g);Qb(w|0)}w=k[a+8>>2]|0;if((w|0)==(k[f>>2]|0)){if((s|0)<=0){r=d;return}f=k[c+4>>2]|0;if((w|0)<=0){WEa(f|0,0,((s|0)>1?s:1)<<3|0)|0;r=d;return}c=k[a+12>>2]|0;a=k[b+4>>2]|0;b=0;do{g=ma(w,b)|0;T=0.0;z=0;while(1){U=T+ +p[c+(g+z<<3)>>3]*+p[a+(z<<3)>>3];z=z+1|0;if((z|0)>=(w|0)){V=U;break}else T=U}p[f+(b<<3)>>3]=V;b=b+1|0}while((b|0)<(s|0));r=d;return}d=m+56|0;s=m+4|0;k[m>>2]=27524;k[d>>2]=27544;B=0;wa(508,m+56|0,s|0);b=B;B=0;if(b&1){b=Rb()|0;W=Q;X=b;vva(d);Qb(X|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[d>>2]=27488;B=0;va(448,s|0);b=B;B=0;do if(b&1){f=Rb()|0;Y=Q;Z=f}else{k[s>>2]=27560;f=m+36|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;k[m+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,s|0,e|0);w=B;B=0;if(w&1){w=Rb()|0;a=Q;Yua(e);Yua(f);Ava(s);Y=a;Z=w;break}Yua(e);B=0;w=Ia(40,m|0,68574,47)|0;a=B;B=0;b:do if(!(a&1)?(B=0,Xa(239,w|0,0)|0,c=B,B=0,!(c&1)):0){c=Ab(20)|0;B=0;eb(502,n|0,68394,115);z=B;B=0;do if(!(z&1)){B=0;eb(502,o|0,68566,7);g=B;B=0;if(g&1){g=Rb()|0;x=Q;Yua(n);_=g;$=x;break}B=0;wa(510,q|0,s|0);x=B;B=0;if(x&1){x=Rb()|0;aa=1;ba=Q;ca=x}else{B=0;ua(163,c|0,n|0,o|0,203,q|0);x=B;B=0;if(x&1)da=1;else{B=0;eb(503,c|0,1240,229);B=0;da=0}x=Rb()|0;g=Q;Yua(q);aa=da;ba=g;ca=x}Yua(o);Yua(n);if(aa){_=ca;$=ba}else{ea=ba;fa=ca;break b}}else{x=Rb()|0;_=x;$=Q}while(0);zb(c|0);ea=$;fa=_}else P=48;while(0);if((P|0)==48){w=Rb()|0;ea=Q;fa=w}k[m>>2]=27468;k[d>>2]=27488;k[s>>2]=27560;Yua(f);Ava(s);vva(d);R=ea;S=fa;Qb(S|0)}while(0);W=Y;X=Z;vva(d);Qb(X|0)}function xn(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=Qqa(16)|0;c=k[a+12>>2]|0;d=k[a+4>>2]|0;e=k[a+8>>2]|0;k[b>>2]=28724;k[b+4>>2]=d;k[b+8>>2]=e;a=b+12|0;k[a>>2]=0;f=ma(e,d)|0;if(!f)return b|0;B=0;d=ya(422,(f>>>0>536870911?-1:f<<3)|0)|0;e=B;B=0;if(e&1){g=Rb()|0;h=Q;Sqa(b);Qb(g|0)}e=f<<3;WEa(d|0,0,e|0)|0;k[a>>2]=d;if(!c){B=0;ib(283,142353,68290,137,142345);B=0;g=Rb()|0;h=Q;Sqa(b);Qb(g|0)}else{TEa(d|0,c|0,e|0)|0;return b|0}return 0}function yn(a){a=a|0;var b=0,c=0,d=0,e=0;b=ma(k[a+8>>2]|0,k[a+4>>2]|0)|0;if(!b){c=0;return c|0}d=Rqa(b>>>0>536870911?-1:b<<3)|0;e=k[a+12>>2]|0;if(!e)yb(142353,68290,137,142345);TEa(d|0,e|0,b<<3|0)|0;c=d;return c|0}function zn(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;h=r;r=r+192|0;i=h+176|0;j=h+40|0;l=h+24|0;m=h+12|0;n=h;switch(g|0){case 1:{if(!((b|0)>0&(d|0)>0)){r=h;return}g=k[a+8>>2]|0;o=k[a+12>>2]|0;q=0;do{s=ma(q,d)|0;t=ma(k[c+(q<<2)>>2]|0,g)|0;u=0;do{v=o+(t+(k[e+(u<<2)>>2]|0)<<3)|0;p[v>>3]=+p[f+(u+s<<3)>>3]+ +p[v>>3];u=u+1|0}while((u|0)!=(d|0));q=q+1|0}while((q|0)!=(b|0));r=h;return}case 0:{if(!((b|0)>0&(d|0)>0)){r=h;return}q=k[a+8>>2]|0;o=k[a+12>>2]|0;a=0;do{g=ma(a,d)|0;u=ma(k[c+(a<<2)>>2]|0,q)|0;s=0;do{p[o+(u+(k[e+(s<<2)>>2]|0)<<3)>>3]=+p[f+(s+g<<3)>>3];s=s+1|0}while((s|0)!=(d|0));a=a+1|0}while((a|0)!=(b|0));r=h;return}default:{h=j+56|0;b=j+4|0;k[j>>2]=27524;k[h>>2]=27544;B=0;wa(508,j+56|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;w=Q;x=a;vva(h);Qb(x|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[h>>2]=27488;B=0;va(448,b|0);a=B;B=0;do if(a&1){d=Rb()|0;y=Q;z=d}else{k[b>>2]=27560;d=j+36|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[j+52>>2]=16;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;B=0;wa(509,b|0,i|0);f=B;B=0;if(f&1){f=Rb()|0;e=Q;Yua(i);Yua(d);Ava(b);y=e;z=f;break}Yua(i);B=0;f=Ia(40,j|0,68373,20)|0;e=B;B=0;if(!(e&1)?(B=0,Xa(239,f|0,0)|0,f=B,B=0,!(f&1)):0){f=Ab(20)|0;B=0;eb(502,l|0,68394,115);e=B;B=0;do if(!(e&1)){B=0;eb(502,m|0,68510,9);o=B;B=0;if(o&1){o=Rb()|0;q=Q;Yua(l);A=q;C=o;break}B=0;wa(510,n|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;D=Q;E=o;F=1}else{B=0;ua(163,f|0,l|0,m|0,249,n|0);o=B;B=0;if(o&1)G=1;else{B=0;eb(503,f|0,1240,229);B=0;G=0}o=Rb()|0;q=Q;Yua(n);D=q;E=o;F=G}Yua(m);Yua(l);if(F){A=D;C=E}else{H=D;I=E;k[j>>2]=27468;k[h>>2]=27488;k[b>>2]=27560;Yua(d);Ava(b);vva(h);Qb(I|0)}}else{o=Rb()|0;A=Q;C=o}while(0);zb(f|0);H=A;I=C;k[j>>2]=27468;k[h>>2]=27488;k[b>>2]=27560;Yua(d);Ava(b);vva(h);Qb(I|0)}e=Rb()|0;H=Q;I=e;k[j>>2]=27468;k[h>>2]=27488;k[b>>2]=27560;Yua(d);Ava(b);vva(h);Qb(I|0)}while(0);w=y;x=z;vva(h);Qb(x|0)}}}function An(a,b){a=a|0;b=b|0;return}function Bn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=r;r=r+16|0;e=d;k[e>>2]=0;f=a+8|0;v5(e,k[a+12>>2]|0,k[a+4>>2]|0,k[f>>2]|0,k[b+4>>2]|0,k[b+8>>2]|0,c);c=Qqa(12)|0;b=k[e>>2]|0;e=k[f>>2]|0;k[c>>2]=28388;k[c+8>>2]=e;f=c+4|0;k[f>>2]=0;do if(!e){if(!b){r=d;return c|0}}else{B=0;a=ya(422,(e>>>0>536870911?-1:e<<3)|0)|0;g=B;B=0;if(g&1){h=Rb()|0;i=Q;Sqa(c);Qb(h|0)}k[f>>2]=a;if(b){TEa(a|0,b|0,e<<3|0)|0;break}B=0;ib(283,142353,68290,137,142345);B=0;h=Rb()|0;i=Q;Sqa(c);Qb(h|0)}while(0);Tqa(b);r=d;return c|0}function Cn(a){a=a|0;k[a>>2]=28784;mla(a+24|0);k[a+4>>2]=0;return}function Dn(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;j=r;r=r+16|0;l=j;k[a>>2]=28784;m=a+24|0;B=0;va(487,m|0);n=B;B=0;if(n&1){n=Rb()|0;o=n;q=Q;Qb(o|0)}k[l>>2]=0;k[a+8>>2]=b;k[a+12>>2]=c;k[a+16>>2]=d;k[a+68>>2]=g;d=a+72|0;c=d;b=c+64|0;do{k[c>>2]=0;c=c+4|0}while((c|0)<(b|0));p[d>>3]=1.0;p[a+104>>3]=1.0;p[a+136>>3]=1.0;c=a+20|0;i[c>>0]=1;B=0;b=ya(430,g|0)|0;n=B;B=0;a:do if((!(n&1)?(s=f+40|0,B=0,t=cb(k[(k[b>>2]|0)+20>>2]|0,b|0,l|0,k[s>>2]|0,h|0)|0,u=B,B=0,!(u&1)):0)?(B=0,eb(506,m|0,t|0,k[l>>2]|0),t=B,B=0,!(t&1)):0){t=k[l>>2]|0;if(t)Tqa(t);k[l>>2]=0;Ec[k[(k[b>>2]|0)+4>>2]&1023](b);t=a+4|0;do if((g|0)==497){k[t>>2]=h;B=0;u=Xa(246,f|0,129116)|0;v=B;B=0;if(v&1)break a;B=0;wa(513,d|0,u+(e*6<<3)|0);u=B;B=0;if(u&1)break a;b:do switch(k[s>>2]|0){case 300:case 303:{w=36;break}default:switch(h|0){case 535:{break b;break}case 536:{B=0;u=Xa(246,f|0,136615)|0;v=B;B=0;if(v&1)break a;if(~~+p[u+(e<<3)>>3]){r=j;return}B=0;va(488,m|0);u=B;B=0;if(u&1)break a;i[a+38>>0]=1;r=j;return}case 539:{B=0;u=Xa(246,f|0,136615)|0;v=B;B=0;if(v&1)break a;if(~~+p[u+(e<<3)>>3]){r=j;return}B=0;va(488,m|0);u=B;B=0;if(u&1)break a;i[a+38>>0]=1;r=j;return}case 537:{B=0;u=Xa(246,f|0,129090)|0;v=B;B=0;if(v&1)break a;if(!~~+p[u+(e<<3)>>3]){r=j;return}B=0;u=Xa(246,f|0,136615)|0;v=B;B=0;if(v&1)break a;if(~~+p[u+(e<<3)>>3]){r=j;return}B=0;va(488,m|0);u=B;B=0;if(u&1)break a;i[a+38>>0]=1;r=j;return}case 538:{B=0;u=Xa(246,f|0,129090)|0;v=B;B=0;if(v&1)break a;if(!~~+p[u+(e<<3)>>3]){r=j;return}B=0;u=Xa(246,f|0,136615)|0;v=B;B=0;if(v&1)break a;if(~~+p[u+(e<<3)>>3]){r=j;return}u=k[a+40>>2]|0;v=a+38|0;x=a+44|0;if(i[u>>0]|0){i[c>>0]=1;i[u>>0]=0;i[k[x>>2]>>0]=1}i[v>>0]=1;y=u+1|0;if(i[y>>0]|0){i[c>>0]=1;i[y>>0]=0;i[(k[x>>2]|0)+1>>0]=1}i[v>>0]=1;w=36;break b;break}default:{r=j;return}}}while(0);if((w|0)==36?(h|0)!=535:0)break;B=0;va(488,m|0);v=B;B=0;if(v&1)break a;i[a+38>>0]=1}else k[t>>2]=0;while(0);switch(g|0){case 484:case 493:case 505:case 506:case 509:case 510:case 512:case 529:{w=40;break}case 513:break;default:{r=j;return}}if((w|0)==40){switch(k[s>>2]|0){case 300:case 303:break;default:{B=0;t=Xa(246,f|0,136615)|0;v=B;B=0;if(v&1)break a;if(!(+p[t+(e<<3)>>3]!=0.0)){B=0;va(488,m|0);t=B;B=0;if(t&1)break a;i[a+38>>0]=1}}}if((g|0)!=513){r=j;return}}if((k[s>>2]|0)==300){r=j;return}B=0;t=Xa(246,f|0,136636)|0;v=B;B=0;if(!(v&1)){if(+p[t+(e<<3)>>3]!=0.0){r=j;return}B=0;va(488,m|0);t=B;B=0;if(!(t&1)){i[a+38>>0]=1;r=j;return}}}while(0);j=Rb()|0;a=Q;ola(m);o=j;q=a;Qb(o|0)}function En(a){a=a|0;tla(a+24|0);i[a+38>>0]=1;return}function Fn(a){a=a|0;k[a>>2]=28784;ola(a+24|0);return}function Gn(a){a=a|0;k[a>>2]=28784;ola(a+24|0);Sqa(a);return}function Hn(a){a=a|0;var b=0,c=0,d=0,e=0;b=Qqa(144)|0;k[b>>2]=28784;c=b+24|0;B=0;va(487,c|0);d=B;B=0;if(d&1){d=Rb()|0;Sqa(b);Qb(d|0)}else{k[b+8>>2]=k[a+8>>2];k[b+12>>2]=k[a+12>>2];k[b+16>>2]=k[a+16>>2];k[b+68>>2]=k[a+68>>2];k[b+4>>2]=k[a+4>>2];d=b+72|0;e=a+72|0;k[d>>2]=k[e>>2];k[d+4>>2]=k[e+4>>2];k[d+8>>2]=k[e+8>>2];k[d+12>>2]=k[e+12>>2];k[d+16>>2]=k[e+16>>2];k[d+20>>2]=k[e+20>>2];e=b+96|0;d=a+96|0;k[e>>2]=k[d>>2];k[e+4>>2]=k[d+4>>2];k[e+8>>2]=k[d+8>>2];k[e+12>>2]=k[d+12>>2];k[e+16>>2]=k[d+16>>2];k[e+20>>2]=k[d+20>>2];d=b+120|0;e=a+120|0;k[d>>2]=k[e>>2];k[d+4>>2]=k[e+4>>2];k[d+8>>2]=k[e+8>>2];k[d+12>>2]=k[e+12>>2];k[d+16>>2]=k[e+16>>2];k[d+20>>2]=k[e+20>>2];i[b+20>>0]=i[a+20>>0]|0;pla(c,a+24|0);return b|0}return 0}function In(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;switch(d|0){case 0:{d=k[b>>2]|0;i[d>>0]=75;i[d+1>>0]=2;i[d+2>>0]=0;i[d+3>>0]=0;d=(k[b>>2]|0)+4|0;k[b>>2]=d;n=a+8|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;d=a+12|0;n=l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24;i[o>>0]=n;i[o+1>>0]=n>>8;i[o+2>>0]=n>>16;i[o+3>>0]=n>>24;n=(k[b>>2]|0)+4|0;k[b>>2]=n;o=a+16|0;d=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[n>>0]=d;i[n+1>>0]=d>>8;i[n+2>>0]=d>>16;i[n+3>>0]=d>>24;d=(k[b>>2]|0)+4|0;k[b>>2]=d;i[d>>0]=i[a+20>>0]|0;k[b>>2]=(k[b>>2]|0)+1;vla(a+24|0,b,c,0);d=k[b>>2]|0;n=a+68|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;p=o;q=a+72|0;s=p+72|0;do{i[p>>0]=i[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(s|0));k[b>>2]=(k[b>>2]|0)+72;r=e;return}case 2:{k[c>>2]=(k[c>>2]|0)+17;vla(a+24|0,b,c,2);k[c>>2]=(k[c>>2]|0)+76;r=e;return}case 1:{o=(k[b>>2]|0)+4|0;k[b>>2]=o;d=a+8|0;n=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[d>>0]=n;i[d+1>>0]=n>>8;i[d+2>>0]=n>>16;i[d+3>>0]=n>>24;n=(k[b>>2]|0)+4|0;k[b>>2]=n;d=a+12|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;d=a+16|0;n=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[d>>0]=n;i[d+1>>0]=n>>8;i[d+2>>0]=n>>16;i[d+3>>0]=n>>24;n=(k[b>>2]|0)+4|0;k[b>>2]=n;i[a+20>>0]=i[n>>0]|0;k[b>>2]=(k[b>>2]|0)+1;vla(a+24|0,b,c,1);c=a+68|0;n=k[b>>2]|0;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[c>>0]=d;i[c+1>>0]=d>>8;i[c+2>>0]=d>>16;i[c+3>>0]=d>>24;d=(k[b>>2]|0)+4|0;k[b>>2]=d;p=a+72|0;q=d;s=p+72|0;do{i[p>>0]=i[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(s|0));k[b>>2]=(k[b>>2]|0)+72;r=e;return}default:{e=g+56|0;b=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;t=Q;u=q;vva(e);Qb(u|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,b|0);q=B;B=0;do if(q&1){p=Rb()|0;v=Q;w=p}else{k[b>>2]=27560;p=g+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,b|0,f|0);s=B;B=0;if(s&1){s=Rb()|0;d=Q;Yua(f);Yua(p);Ava(b);v=d;w=s;break}Yua(f);B=0;s=Ia(40,g|0,143951,43)|0;d=B;B=0;if(!(d&1)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,h|0,68901,63);d=B;B=0;do if(!(d&1)){B=0;eb(502,j|0,149525,8);a=B;B=0;if(a&1){a=Rb()|0;c=Q;Yua(h);x=c;y=a;break}B=0;wa(510,m|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;z=Q;A=a;C=1}else{B=0;ua(163,s|0,h|0,j|0,154,m|0);a=B;B=0;if(a&1)D=1;else{B=0;eb(503,s|0,1240,229);B=0;D=0}a=Rb()|0;c=Q;Yua(m);z=c;A=a;C=D}Yua(j);Yua(h);if(C){x=z;y=A}else{E=z;F=A;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(p);Ava(b);vva(e);Qb(F|0)}}else{a=Rb()|0;x=Q;y=a}while(0);zb(s|0);E=x;F=y;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(p);Ava(b);vva(e);Qb(F|0)}d=Rb()|0;E=Q;F=d;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(p);Ava(b);vva(e);Qb(F|0)}while(0);t=v;u=w;vva(e);Qb(u|0)}}}function Jn(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0;b=r;r=r+928|0;c=b+904|0;d=b+744|0;e=b+892|0;f=b+592|0;g=b+880|0;h=b+440|0;j=b+728|0;l=b+304|0;m=b+576|0;n=b+152|0;o=b+288|0;p=b+16|0;q=b;s=d+56|0;t=d+4|0;k[d>>2]=27524;k[s>>2]=27544;B=0;wa(508,d+56|0,t|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;w=u;vva(s);Qb(w|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[s>>2]=27488;B=0;va(448,t|0);u=B;B=0;do if(u&1){x=Rb()|0;y=Q;z=x}else{k[t>>2]=27560;x=d+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,t|0,c|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(c);Yua(x);Ava(t);y=C;z=A;break}Yua(c);B=0;Ia(40,d|0,68965,6)|0;A=B;B=0;do if(!(A&1)?(B=0,wa(510,e|0,t|0),C=B,B=0,!(C&1)):0){B=0;ya(424,e|0)|0;C=B;B=0;if(C&1){C=Rb()|0;D=Q;Yua(e);E=D;F=C;break}Yua(e);k[d>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);C=f+56|0;D=f+4|0;k[f>>2]=27524;k[C>>2]=27544;B=0;wa(508,f+56|0,D|0);G=B;B=0;if(G&1){G=Rb()|0;H=Q;I=G;vva(C);Qb(I|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[C>>2]=27488;B=0;va(448,D|0);G=B;B=0;do if(G&1){J=Rb()|0;K=Q;L=J}else{k[D>>2]=27560;J=f+36|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;k[J+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,D|0,c|0);M=B;B=0;if(M&1){M=Rb()|0;N=Q;Yua(c);Yua(J);Ava(D);K=N;L=M;break}Yua(c);B=0;M=Ia(40,f|0,69728,8)|0;N=B;B=0;do if(((!(N&1)?(B=0,O=Xa(242,M|0,k[a+8>>2]|0)|0,P=B,B=0,!(P&1)):0)?(B=0,Ia(40,O|0,149177,1)|0,O=B,B=0,!(O&1)):0)?(B=0,wa(510,g|0,D|0),O=B,B=0,!(O&1)):0){B=0;ya(424,g|0)|0;O=B;B=0;if(O&1){O=Rb()|0;P=Q;Yua(g);R=P;S=O;break}Yua(g);k[f>>2]=27468;k[C>>2]=27488;k[D>>2]=27560;Yua(J);Ava(D);vva(C);O=h+56|0;P=h+4|0;k[h>>2]=27524;k[O>>2]=27544;B=0;wa(508,h+56|0,P|0);T=B;B=0;if(T&1){T=Rb()|0;U=Q;V=T;vva(O);Qb(V|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[O>>2]=27488;B=0;va(448,P|0);T=B;B=0;do if(T&1){W=Rb()|0;X=Q;Y=W}else{k[P>>2]=27560;W=h+36|0;k[W>>2]=0;k[W+4>>2]=0;k[W+8>>2]=0;k[W+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,P|0,c|0);Z=B;B=0;if(Z&1){Z=Rb()|0;_=Q;Yua(c);Yua(W);Ava(P);X=_;Y=Z;break}Yua(c);B=0;Z=Ia(40,h|0,79833,8)|0;_=B;B=0;do if(_&1)$=86;else{B=0;aa=Xa(242,Z|0,k[a+12>>2]|0)|0;ba=B;B=0;if(ba&1){$=86;break}B=0;Ia(40,aa|0,149177,1)|0;aa=B;B=0;if(aa&1){$=86;break}B=0;wa(510,j|0,P|0);aa=B;B=0;if(aa&1){$=86;break}B=0;ya(424,j|0)|0;aa=B;B=0;if(aa&1){aa=Rb()|0;ba=Q;Yua(j);ca=ba;da=aa;break}Yua(j);k[h>>2]=27468;k[O>>2]=27488;k[P>>2]=27560;Yua(W);Ava(P);vva(O);aa=l+56|0;ba=l+4|0;k[l>>2]=27524;k[aa>>2]=27544;B=0;wa(508,l+56|0,ba|0);ea=B;B=0;if(ea&1){ea=Rb()|0;fa=Q;ga=ea;vva(aa);Qb(ga|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[aa>>2]=27488;B=0;va(448,ba|0);ea=B;B=0;do if(ea&1){ha=Rb()|0;ia=Q;ja=ha}else{k[ba>>2]=27560;ha=l+36|0;k[ha>>2]=0;k[ha+4>>2]=0;k[ha+8>>2]=0;k[ha+12>>2]=0;k[l+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ba|0,c|0);ka=B;B=0;if(ka&1){ka=Rb()|0;la=Q;Yua(c);Yua(ha);Ava(ba);ia=la;ja=ka;break}Yua(c);B=0;ka=Ia(40,l|0,68972,18)|0;la=B;B=0;do if(la&1)$=89;else{B=0;ma=ya(427,k[a+68>>2]|0)|0;na=B;B=0;if(na&1){$=89;break}na=Lta(ma)|0;B=0;oa=Ia(40,ka|0,ma|0,na|0)|0;na=B;B=0;if(na&1){$=89;break}B=0;Ia(40,oa|0,149177,1)|0;oa=B;B=0;if(oa&1){$=89;break}B=0;wa(510,m|0,ba|0);oa=B;B=0;if(oa&1){$=89;break}B=0;ya(424,m|0)|0;oa=B;B=0;if(oa&1){oa=Rb()|0;na=Q;Yua(m);pa=na;qa=oa;break}Yua(m);k[l>>2]=27468;k[aa>>2]=27488;k[ba>>2]=27560;Yua(ha);Ava(ba);vva(aa);oa=n+56|0;na=n+4|0;k[n>>2]=27524;k[oa>>2]=27544;B=0;wa(508,n+56|0,na|0);ma=B;B=0;if(ma&1){ma=Rb()|0;ra=Q;sa=ma;vva(oa);Qb(sa|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[oa>>2]=27488;B=0;va(448,na|0);ma=B;B=0;do if(ma&1){ta=Rb()|0;ua=Q;xa=ta}else{k[na>>2]=27560;ta=n+36|0;k[ta>>2]=0;k[ta+4>>2]=0;k[ta+8>>2]=0;k[ta+12>>2]=0;k[n+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,na|0,c|0);za=B;B=0;if(za&1){za=Rb()|0;Aa=Q;Yua(c);Yua(ta);Ava(na);ua=Aa;xa=za;break}Yua(c);B=0;za=Ia(40,n|0,68991,18)|0;Aa=B;B=0;do if(Aa&1)$=92;else{B=0;Ba=ya(427,k[a+4>>2]|0)|0;Ca=B;B=0;if(Ca&1){$=92;break}Ca=Lta(Ba)|0;B=0;Da=Ia(40,za|0,Ba|0,Ca|0)|0;Ca=B;B=0;if(Ca&1){$=92;break}B=0;Ia(40,Da|0,149177,1)|0;Da=B;B=0;if(Da&1){$=92;break}B=0;wa(510,o|0,na|0);Da=B;B=0;if(Da&1){$=92;break}B=0;ya(424,o|0)|0;Da=B;B=0;if(Da&1){Da=Rb()|0;Ca=Q;Yua(o);Ea=Ca;Fa=Da;break}Yua(o);k[n>>2]=27468;k[oa>>2]=27488;k[na>>2]=27560;Yua(ta);Ava(na);vva(oa);Da=p+56|0;Ca=p+4|0;k[p>>2]=27524;k[Da>>2]=27544;B=0;wa(508,p+56|0,Ca|0);Ba=B;B=0;if(Ba&1){Ba=Rb()|0;Ga=Q;Ha=Ba;vva(Da);Qb(Ha|0)}k[p+128>>2]=0;k[p+132>>2]=-1;k[p>>2]=27468;k[Da>>2]=27488;B=0;va(448,Ca|0);Ba=B;B=0;do if(Ba&1){Ja=Rb()|0;Ka=Q;La=Ja}else{k[Ca>>2]=27560;Ja=p+36|0;k[Ja>>2]=0;k[Ja+4>>2]=0;k[Ja+8>>2]=0;k[Ja+12>>2]=0;k[p+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ca|0,c|0);Ma=B;B=0;if(Ma&1){Ma=Rb()|0;Na=Q;Yua(c);Yua(Ja);Ava(Ca);Ka=Na;La=Ma;break}Yua(c);B=0;Ma=Ia(40,p|0,69010,19)|0;Na=B;B=0;do if(!(Na&1)){B=0;Oa=Xa(247,Ma|0,(i[a+20>>0]|0)!=0|0)|0;Pa=B;B=0;if(Pa&1){$=95;break}B=0;Ia(40,Oa|0,149177,1)|0;Oa=B;B=0;if(Oa&1){$=95;break}B=0;wa(510,q|0,Ca|0);Oa=B;B=0;if(Oa&1){$=95;break}B=0;ya(424,q|0)|0;Oa=B;B=0;if(Oa&1){Oa=Rb()|0;Pa=Q;Yua(q);Qa=Pa;Ra=Oa;break}else{Yua(q);k[p>>2]=27468;k[Da>>2]=27488;k[Ca>>2]=27560;Yua(Ja);Ava(Ca);vva(Da);rla(a+24|0);r=b;return}}else $=95;while(0);if(($|0)==95){Ma=Rb()|0;Qa=Q;Ra=Ma}k[p>>2]=27468;k[Da>>2]=27488;k[Ca>>2]=27560;Yua(Ja);Ava(Ca);vva(Da);Sa=Qa;Ta=Ra;Qb(Ta|0)}while(0);Ga=Ka;Ha=La;vva(Da);Qb(Ha|0)}while(0);if(($|0)==92){za=Rb()|0;Ea=Q;Fa=za}k[n>>2]=27468;k[oa>>2]=27488;k[na>>2]=27560;Yua(ta);Ava(na);vva(oa);Sa=Ea;Ta=Fa;Qb(Ta|0)}while(0);ra=ua;sa=xa;vva(oa);Qb(sa|0)}while(0);if(($|0)==89){ka=Rb()|0;pa=Q;qa=ka}k[l>>2]=27468;k[aa>>2]=27488;k[ba>>2]=27560;Yua(ha);Ava(ba);vva(aa);Sa=pa;Ta=qa;Qb(Ta|0)}while(0);fa=ia;ga=ja;vva(aa);Qb(ga|0)}while(0);if(($|0)==86){Z=Rb()|0;ca=Q;da=Z}k[h>>2]=27468;k[O>>2]=27488;k[P>>2]=27560;Yua(W);Ava(P);vva(O);Sa=ca;Ta=da;Qb(Ta|0)}while(0);U=X;V=Y;vva(O);Qb(V|0)}else $=83;while(0);if(($|0)==83){M=Rb()|0;R=Q;S=M}k[f>>2]=27468;k[C>>2]=27488;k[D>>2]=27560;Yua(J);Ava(D);vva(C);Sa=R;Ta=S;Qb(Ta|0)}while(0);H=K;I=L;vva(C);Qb(I|0)}else $=80;while(0);if(($|0)==80){A=Rb()|0;E=Q;F=A}k[d>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);Sa=E;Ta=F;Qb(Ta|0)}while(0);v=y;w=z;vva(s);Qb(w|0)}function Kn(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0;b=r;r=r+928|0;c=b+904|0;d=b+744|0;e=b+892|0;f=b+592|0;g=b+880|0;h=b+440|0;j=b+728|0;l=b+304|0;m=b+576|0;n=b+152|0;o=b+288|0;p=b+16|0;q=b;s=d+56|0;t=d+4|0;k[d>>2]=27524;k[s>>2]=27544;B=0;wa(508,d+56|0,t|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;w=u;vva(s);Qb(w|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[s>>2]=27488;B=0;va(448,t|0);u=B;B=0;do if(u&1){x=Rb()|0;y=Q;z=x}else{k[t>>2]=27560;x=d+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,t|0,c|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(c);Yua(x);Ava(t);y=C;z=A;break}Yua(c);B=0;Ia(40,d|0,68965,6)|0;A=B;B=0;do if(!(A&1)?(B=0,wa(510,e|0,t|0),C=B,B=0,!(C&1)):0){B=0;ya(424,e|0)|0;C=B;B=0;if(C&1){C=Rb()|0;D=Q;Yua(e);E=D;F=C;break}Yua(e);k[d>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);C=f+56|0;D=f+4|0;k[f>>2]=27524;k[C>>2]=27544;B=0;wa(508,f+56|0,D|0);G=B;B=0;if(G&1){G=Rb()|0;H=Q;I=G;vva(C);Qb(I|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[C>>2]=27488;B=0;va(448,D|0);G=B;B=0;do if(G&1){J=Rb()|0;K=Q;L=J}else{k[D>>2]=27560;J=f+36|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;k[J+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,D|0,c|0);M=B;B=0;if(M&1){M=Rb()|0;N=Q;Yua(c);Yua(J);Ava(D);K=N;L=M;break}Yua(c);B=0;M=Ia(40,f|0,144086,7)|0;N=B;B=0;do if(((!(N&1)?(B=0,O=Xa(242,M|0,k[a+8>>2]|0)|0,P=B,B=0,!(P&1)):0)?(B=0,Ia(40,O|0,149177,1)|0,O=B,B=0,!(O&1)):0)?(B=0,wa(510,g|0,D|0),O=B,B=0,!(O&1)):0){B=0;ya(424,g|0)|0;O=B;B=0;if(O&1){O=Rb()|0;P=Q;Yua(g);R=P;S=O;break}Yua(g);k[f>>2]=27468;k[C>>2]=27488;k[D>>2]=27560;Yua(J);Ava(D);vva(C);O=h+56|0;P=h+4|0;k[h>>2]=27524;k[O>>2]=27544;B=0;wa(508,h+56|0,P|0);T=B;B=0;if(T&1){T=Rb()|0;U=Q;V=T;vva(O);Qb(V|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[O>>2]=27488;B=0;va(448,P|0);T=B;B=0;do if(T&1){W=Rb()|0;X=Q;Y=W}else{k[P>>2]=27560;W=h+36|0;k[W>>2]=0;k[W+4>>2]=0;k[W+8>>2]=0;k[W+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,P|0,c|0);Z=B;B=0;if(Z&1){Z=Rb()|0;_=Q;Yua(c);Yua(W);Ava(P);X=_;Y=Z;break}Yua(c);B=0;Z=Ia(40,h|0,79833,8)|0;_=B;B=0;do if(_&1)$=86;else{B=0;aa=Xa(242,Z|0,k[a+12>>2]|0)|0;ba=B;B=0;if(ba&1){$=86;break}B=0;Ia(40,aa|0,149177,1)|0;aa=B;B=0;if(aa&1){$=86;break}B=0;wa(510,j|0,P|0);aa=B;B=0;if(aa&1){$=86;break}B=0;ya(424,j|0)|0;aa=B;B=0;if(aa&1){aa=Rb()|0;ba=Q;Yua(j);ca=ba;da=aa;break}Yua(j);k[h>>2]=27468;k[O>>2]=27488;k[P>>2]=27560;Yua(W);Ava(P);vva(O);aa=l+56|0;ba=l+4|0;k[l>>2]=27524;k[aa>>2]=27544;B=0;wa(508,l+56|0,ba|0);ea=B;B=0;if(ea&1){ea=Rb()|0;fa=Q;ga=ea;vva(aa);Qb(ga|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[aa>>2]=27488;B=0;va(448,ba|0);ea=B;B=0;do if(ea&1){ha=Rb()|0;ia=Q;ja=ha}else{k[ba>>2]=27560;ha=l+36|0;k[ha>>2]=0;k[ha+4>>2]=0;k[ha+8>>2]=0;k[ha+12>>2]=0;k[l+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ba|0,c|0);ka=B;B=0;if(ka&1){ka=Rb()|0;la=Q;Yua(c);Yua(ha);Ava(ba);ia=la;ja=ka;break}Yua(c);B=0;ka=Ia(40,l|0,68972,18)|0;la=B;B=0;do if(la&1)$=89;else{B=0;ma=ya(427,k[a+68>>2]|0)|0;na=B;B=0;if(na&1){$=89;break}na=Lta(ma)|0;B=0;oa=Ia(40,ka|0,ma|0,na|0)|0;na=B;B=0;if(na&1){$=89;break}B=0;Ia(40,oa|0,149177,1)|0;oa=B;B=0;if(oa&1){$=89;break}B=0;wa(510,m|0,ba|0);oa=B;B=0;if(oa&1){$=89;break}B=0;ya(424,m|0)|0;oa=B;B=0;if(oa&1){oa=Rb()|0;na=Q;Yua(m);pa=na;qa=oa;break}Yua(m);k[l>>2]=27468;k[aa>>2]=27488;k[ba>>2]=27560;Yua(ha);Ava(ba);vva(aa);oa=n+56|0;na=n+4|0;k[n>>2]=27524;k[oa>>2]=27544;B=0;wa(508,n+56|0,na|0);ma=B;B=0;if(ma&1){ma=Rb()|0;ra=Q;sa=ma;vva(oa);Qb(sa|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[oa>>2]=27488;B=0;va(448,na|0);ma=B;B=0;do if(ma&1){ta=Rb()|0;ua=Q;xa=ta}else{k[na>>2]=27560;ta=n+36|0;k[ta>>2]=0;k[ta+4>>2]=0;k[ta+8>>2]=0;k[ta+12>>2]=0;k[n+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,na|0,c|0);za=B;B=0;if(za&1){za=Rb()|0;Aa=Q;Yua(c);Yua(ta);Ava(na);ua=Aa;xa=za;break}Yua(c);B=0;za=Ia(40,n|0,68991,18)|0;Aa=B;B=0;do if(Aa&1)$=92;else{B=0;Ba=ya(427,k[a+4>>2]|0)|0;Ca=B;B=0;if(Ca&1){$=92;break}Ca=Lta(Ba)|0;B=0;Da=Ia(40,za|0,Ba|0,Ca|0)|0;Ca=B;B=0;if(Ca&1){$=92;break}B=0;Ia(40,Da|0,149177,1)|0;Da=B;B=0;if(Da&1){$=92;break}B=0;wa(510,o|0,na|0);Da=B;B=0;if(Da&1){$=92;break}B=0;ya(424,o|0)|0;Da=B;B=0;if(Da&1){Da=Rb()|0;Ca=Q;Yua(o);Ea=Ca;Fa=Da;break}Yua(o);k[n>>2]=27468;k[oa>>2]=27488;k[na>>2]=27560;Yua(ta);Ava(na);vva(oa);Da=p+56|0;Ca=p+4|0;k[p>>2]=27524;k[Da>>2]=27544;B=0;wa(508,p+56|0,Ca|0);Ba=B;B=0;if(Ba&1){Ba=Rb()|0;Ga=Q;Ha=Ba;vva(Da);Qb(Ha|0)}k[p+128>>2]=0;k[p+132>>2]=-1;k[p>>2]=27468;k[Da>>2]=27488;B=0;va(448,Ca|0);Ba=B;B=0;do if(Ba&1){Ja=Rb()|0;Ka=Q;La=Ja}else{k[Ca>>2]=27560;Ja=p+36|0;k[Ja>>2]=0;k[Ja+4>>2]=0;k[Ja+8>>2]=0;k[Ja+12>>2]=0;k[p+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ca|0,c|0);Ma=B;B=0;if(Ma&1){Ma=Rb()|0;Na=Q;Yua(c);Yua(Ja);Ava(Ca);Ka=Na;La=Ma;break}Yua(c);B=0;Ma=Ia(40,p|0,69010,19)|0;Na=B;B=0;do if(!(Na&1)){B=0;Oa=Xa(247,Ma|0,(i[a+20>>0]|0)!=0|0)|0;Pa=B;B=0;if(Pa&1){$=95;break}B=0;Ia(40,Oa|0,149177,1)|0;Oa=B;B=0;if(Oa&1){$=95;break}B=0;wa(510,q|0,Ca|0);Oa=B;B=0;if(Oa&1){$=95;break}B=0;ya(424,q|0)|0;Oa=B;B=0;if(Oa&1){Oa=Rb()|0;Pa=Q;Yua(q);Qa=Pa;Ra=Oa;break}else{Yua(q);k[p>>2]=27468;k[Da>>2]=27488;k[Ca>>2]=27560;Yua(Ja);Ava(Ca);vva(Da);sla(a+24|0);r=b;return}}else $=95;while(0);if(($|0)==95){Ma=Rb()|0;Qa=Q;Ra=Ma}k[p>>2]=27468;k[Da>>2]=27488;k[Ca>>2]=27560;Yua(Ja);Ava(Ca);vva(Da);Sa=Qa;Ta=Ra;Qb(Ta|0)}while(0);Ga=Ka;Ha=La;vva(Da);Qb(Ha|0)}while(0);if(($|0)==92){za=Rb()|0;Ea=Q;Fa=za}k[n>>2]=27468;k[oa>>2]=27488;k[na>>2]=27560;Yua(ta);Ava(na);vva(oa);Sa=Ea;Ta=Fa;Qb(Ta|0)}while(0);ra=ua;sa=xa;vva(oa);Qb(sa|0)}while(0);if(($|0)==89){ka=Rb()|0;pa=Q;qa=ka}k[l>>2]=27468;k[aa>>2]=27488;k[ba>>2]=27560;Yua(ha);Ava(ba);vva(aa);Sa=pa;Ta=qa;Qb(Ta|0)}while(0);fa=ia;ga=ja;vva(aa);Qb(ga|0)}while(0);if(($|0)==86){Z=Rb()|0;ca=Q;da=Z}k[h>>2]=27468;k[O>>2]=27488;k[P>>2]=27560;Yua(W);Ava(P);vva(O);Sa=ca;Ta=da;Qb(Ta|0)}while(0);U=X;V=Y;vva(O);Qb(V|0)}else $=83;while(0);if(($|0)==83){M=Rb()|0;R=Q;S=M}k[f>>2]=27468;k[C>>2]=27488;k[D>>2]=27560;Yua(J);Ava(D);vva(C);Sa=R;Ta=S;Qb(Ta|0)}while(0);H=K;I=L;vva(C);Qb(I|0)}else $=80;while(0);if(($|0)==80){A=Rb()|0;E=Q;F=A}k[d>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);Sa=E;Ta=F;Qb(Ta|0)}while(0);v=y;w=z;vva(s);Qb(w|0)}function Ln(a){a=a|0;return k[a+8>>2]|0}function Mn(a){a=a|0;return 587}function Nn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;switch(c|0){case 943:{j=(k[a+56>>2]|0)+(b<<2)|0;l=k[j>>2]|0;r=d;return l|0}case 937:{j=(k[a+60>>2]|0)+(b<<2)|0;l=k[j>>2]|0;r=d;return l|0}case 966:{j=(k[a+64>>2]|0)+(b<<2)|0;l=k[j>>2]|0;r=d;return l|0}default:{l=f+56|0;d=f+4|0;k[f>>2]=27524;k[l>>2]=27544;B=0;wa(508,f+56|0,d|0);j=B;B=0;if(j&1){j=Rb()|0;m=Q;n=j;vva(l);Qb(n|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[l>>2]=27488;B=0;va(448,d|0);j=B;B=0;do if(j&1){b=Rb()|0;o=Q;p=b}else{k[d>>2]=27560;b=f+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,d|0,e|0);a=B;B=0;if(a&1){a=Rb()|0;q=Q;Yua(e);Yua(b);Ava(d);o=q;p=a;break}Yua(e);B=0;a=Ia(40,f|0,142357,17)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,c|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,a|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,146956,19)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,g|0,68901,63);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,69030,6);q=B;B=0;if(q&1){q=Rb()|0;a=Q;Yua(g);u=a;v=q;break}B=0;wa(510,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,g|0,h|0,216,i|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;a=Q;Yua(i);w=a;x=q;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[l>>2]=27488;k[d>>2]=27560;Yua(b);Ava(d);vva(l);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[f>>2]=27468;k[l>>2]=27488;k[d>>2]=27560;Yua(b);Ava(d);vva(l);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[f>>2]=27468;k[l>>2]=27488;k[d>>2]=27560;Yua(b);Ava(d);vva(l);Qb(C|0)}while(0);m=o;n=p;vva(l);Qb(n|0)}}return 0}function On(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;l=e;m=(d|0)==943;if((c|0)==534){if(m){n=a+24|0;if((k[n>>2]|0)<=0){r=e;return}o=k[a+56>>2]|0;p=0;do{k[b+(p<<2)>>2]=k[o+(p<<2)>>2];p=p+1|0}while((p|0)<(k[n>>2]|0))}switch(d|0){case 937:{n=a+28|0;if((k[n>>2]|0)<=0){r=e;return}p=k[a+60>>2]|0;o=0;do{k[b+(o<<2)>>2]=k[p+(o<<2)>>2];o=o+1|0}while((o|0)<(k[n>>2]|0));r=e;return}case 966:{n=a+32|0;if((k[n>>2]|0)<=0){r=e;return}o=k[a+64>>2]|0;p=0;do{k[b+(p<<2)>>2]=k[o+(p<<2)>>2];p=p+1|0}while((p|0)<(k[n>>2]|0));r=e;return}default:{r=e;return}}}if(m){m=k[a+52>>2]|0;n=a+24|0;p=k[n>>2]|0;o=(p|0)>0;if(!m){if(!o){r=e;return}q=k[a+56>>2]|0;s=0;do{k[b+(s<<2)>>2]=k[q+(s<<2)>>2];s=s+1|0}while((s|0)<(k[n>>2]|0));r=e;return}if(!o){r=e;return}o=a+56|0;s=p;p=0;q=0;while(1){if((k[m+(q<<2)>>2]|0)==(c|0)){k[b+(p<<2)>>2]=k[(k[o>>2]|0)+(q<<2)>>2];t=k[n>>2]|0;u=p+1|0}else{t=s;u=p}q=q+1|0;if((q|0)>=(t|0))break;else{s=t;p=u}}r=e;return}switch(d|0){case 937:{u=k[a+52>>2]|0;if(!u){p=a+28|0;if((k[p>>2]|0)<=0){r=e;return}t=k[a+60>>2]|0;s=0;do{k[b+(s<<2)>>2]=k[t+(s<<2)>>2];s=s+1|0}while((s|0)<(k[p>>2]|0));r=e;return}p=a+24|0;s=k[p>>2]|0;if((s|0)<=0){r=e;return}t=k[a+40>>2]|0;q=a+60|0;n=s;s=0;o=0;m=0;while(1){if(!(i[t+m>>0]|0)){v=n;w=s;x=o}else{if((k[u+(m<<2)>>2]|0)==(c|0)){k[b+(s<<2)>>2]=k[(k[q>>2]|0)+(o<<2)>>2];y=k[p>>2]|0;z=s+1|0}else{y=n;z=s}v=y;w=z;x=o+1|0}m=m+1|0;if((m|0)>=(v|0))break;else{n=v;s=w;o=x}}r=e;return}case 966:{x=k[a+52>>2]|0;if(!x){o=a+32|0;if((k[o>>2]|0)<=0){r=e;return}w=k[a+64>>2]|0;s=0;do{k[b+(s<<2)>>2]=k[w+(s<<2)>>2];s=s+1|0}while((s|0)<(k[o>>2]|0));r=e;return}o=a+24|0;s=k[o>>2]|0;if((s|0)<=0){r=e;return}w=k[a+44>>2]|0;v=a+64|0;a=s;s=0;n=0;m=0;while(1){if(!(i[w+m>>0]|0)){A=a;C=s;D=n}else{if((k[x+(m<<2)>>2]|0)==(c|0)){k[b+(s<<2)>>2]=k[(k[v>>2]|0)+(n<<2)>>2];E=k[o>>2]|0;F=s+1|0}else{E=a;F=s}A=E;C=F;D=n+1|0}m=m+1|0;if((m|0)>=(A|0))break;else{a=A;s=C;n=D}}r=e;return}default:{e=g+56|0;D=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,D|0);n=B;B=0;if(n&1){n=Rb()|0;G=Q;H=n;vva(e);Qb(H|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,D|0);n=B;B=0;do if(n&1){C=Rb()|0;I=Q;J=C}else{k[D>>2]=27560;C=g+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,D|0,f|0);s=B;B=0;if(s&1){s=Rb()|0;A=Q;Yua(f);Yua(C);Ava(D);I=A;J=s;break}Yua(f);B=0;s=Ia(40,g|0,142357,17)|0;A=B;B=0;if((((!(A&1)?(B=0,A=ya(427,d|0)|0,a=B,B=0,!(a&1)):0)?(a=Lta(A)|0,B=0,m=Ia(40,s|0,A|0,a|0)|0,a=B,B=0,!(a&1)):0)?(B=0,a=Ia(40,m|0,146956,19)|0,m=B,B=0,!(m&1)):0)?(B=0,Xa(239,a|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,h|0,68901,63);m=B;B=0;do if(!(m&1)){B=0;eb(502,j|0,69037,10);A=B;B=0;if(A&1){A=Rb()|0;s=Q;Yua(h);K=s;L=A;break}B=0;wa(510,l|0,D|0);A=B;B=0;if(A&1){A=Rb()|0;M=Q;N=A;O=1}else{B=0;ua(163,a|0,h|0,j|0,278,l|0);A=B;B=0;if(A&1)P=1;else{B=0;eb(503,a|0,1240,229);B=0;P=0}A=Rb()|0;s=Q;Yua(l);M=s;N=A;O=P}Yua(j);Yua(h);if(O){K=M;L=N}else{R=M;S=N;k[g>>2]=27468;k[e>>2]=27488;k[D>>2]=27560;Yua(C);Ava(D);vva(e);Qb(S|0)}}else{A=Rb()|0;K=Q;L=A}while(0);zb(a|0);R=K;S=L;k[g>>2]=27468;k[e>>2]=27488;k[D>>2]=27560;Yua(C);Ava(D);vva(e);Qb(S|0)}m=Rb()|0;R=Q;S=m;k[g>>2]=27468;k[e>>2]=27488;k[D>>2]=27560;Yua(C);Ava(D);vva(e);Qb(S|0)}while(0);G=I;H=J;vva(e);Qb(H|0)}}}function Pn(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0;e=r;r=r+368|0;f=e+344|0;g=e+208|0;h=e+196|0;j=e+184|0;l=e+36|0;m=e+48|0;n=e+24|0;o=e+12|0;p=e;q=(d|0)==943;if((c|0)==534){if(q){s=a+24|0;if((k[s>>2]|0)>0)t=0;else{r=e;return}do{k[b+(t<<2)>>2]=t;t=t+1|0}while((t|0)<(k[s>>2]|0));r=e;return}switch(d|0){case 937:{s=a+24|0;t=k[s>>2]|0;if((t|0)<=0){r=e;return}u=k[a+40>>2]|0;v=t;t=0;w=0;while(1){if(!(i[u+w>>0]|0)){x=v;y=t}else{k[b+(t<<2)>>2]=w;x=k[s>>2]|0;y=t+1|0}w=w+1|0;if((w|0)>=(x|0))break;else{v=x;t=y}}r=e;return}case 966:{y=a+24|0;t=k[y>>2]|0;if((t|0)<=0){r=e;return}x=k[a+44>>2]|0;v=t;t=0;w=0;while(1){if(!(i[x+w>>0]|0)){z=v;A=t}else{k[b+(t<<2)>>2]=w;z=k[y>>2]|0;A=t+1|0}w=w+1|0;if((w|0)>=(z|0))break;else{v=z;t=A}}r=e;return}default:{A=g+56|0;t=g+4|0;k[g>>2]=27524;k[A>>2]=27544;B=0;wa(508,g+56|0,t|0);z=B;B=0;if(z&1){z=Rb()|0;C=Q;D=z;vva(A);Qb(D|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[A>>2]=27488;B=0;va(448,t|0);z=B;B=0;do if(z&1){v=Rb()|0;E=Q;F=v}else{k[t>>2]=27560;v=g+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,t|0,f|0);w=B;B=0;if(w&1){w=Rb()|0;y=Q;Yua(f);Yua(v);Ava(t);E=y;F=w;break}Yua(f);B=0;w=Ia(40,g|0,142357,17)|0;y=B;B=0;a:do if((((!(y&1)?(B=0,x=ya(427,d|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(x)|0,B=0,u=Ia(40,w|0,x|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,u|0,146956,19)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,h|0,68901,63);u=B;B=0;do if(!(u&1)){B=0;eb(502,j|0,69048,15);x=B;B=0;if(x&1){x=Rb()|0;G=Q;Yua(h);H=x;I=G;break}B=0;wa(510,l|0,t|0);G=B;B=0;if(G&1){G=Rb()|0;J=Q;K=G;L=1}else{B=0;ua(163,s|0,h|0,j|0,309,l|0);G=B;B=0;if(G&1)M=1;else{B=0;eb(503,s|0,1240,229);B=0;M=0}G=Rb()|0;x=Q;Yua(l);J=x;K=G;L=M}Yua(j);Yua(h);if(L){H=K;I=J}else{N=K;O=J;break a}}else{G=Rb()|0;H=G;I=Q}while(0);zb(s|0);N=H;O=I}else P=34;while(0);if((P|0)==34){w=Rb()|0;N=w;O=Q}k[g>>2]=27468;k[A>>2]=27488;k[t>>2]=27560;Yua(v);Ava(t);vva(A);R=O;S=N;Qb(S|0)}while(0);C=E;D=F;vva(A);Qb(D|0)}}}if(q){q=k[a+52>>2]|0;D=a+24|0;A=k[D>>2]|0;F=(A|0)>0;if(!q){if(F)T=0;else{r=e;return}do{k[b+(T<<2)>>2]=T;T=T+1|0}while((T|0)<(k[D>>2]|0));r=e;return}if(F){U=A;V=0;W=0}else{r=e;return}while(1){if((k[q+(W<<2)>>2]|0)==(c|0)){k[b+(V<<2)>>2]=V;X=k[D>>2]|0;Y=V+1|0}else{X=U;Y=V}W=W+1|0;if((W|0)>=(X|0))break;else{U=X;V=Y}}r=e;return}switch(d|0){case 937:{Y=k[a+52>>2]|0;V=a+24|0;X=k[V>>2]|0;U=(X|0)>0;if(!Y){if(!U){r=e;return}W=k[a+40>>2]|0;D=X;q=0;A=0;while(1){if(!(i[W+A>>0]|0)){Z=D;_=q}else{k[b+(q<<2)>>2]=A;Z=k[V>>2]|0;_=q+1|0}A=A+1|0;if((A|0)>=(Z|0))break;else{D=Z;q=_}}r=e;return}if(!U){r=e;return}U=a+40|0;_=X;X=0;q=0;Z=0;while(1){if((k[Y+(Z<<2)>>2]|0)==(c|0)){if(!(i[(k[U>>2]|0)+Z>>0]|0)){$=_;aa=X}else{k[b+(X<<2)>>2]=q;$=k[V>>2]|0;aa=X+1|0}ba=$;ca=aa;da=q+1|0}else{ba=_;ca=X;da=q}Z=Z+1|0;if((Z|0)>=(ba|0))break;else{_=ba;X=ca;q=da}}r=e;return}case 966:{da=k[a+52>>2]|0;q=a+24|0;ca=k[q>>2]|0;X=(ca|0)>0;if(!da){if(!X){r=e;return}ba=k[a+44>>2]|0;_=ca;Z=0;aa=0;while(1){if(!(i[ba+aa>>0]|0)){ea=_;fa=Z}else{k[b+(Z<<2)>>2]=aa;ea=k[q>>2]|0;fa=Z+1|0}aa=aa+1|0;if((aa|0)>=(ea|0))break;else{_=ea;Z=fa}}r=e;return}if(!X){r=e;return}X=a+44|0;a=ca;ca=0;fa=0;Z=0;while(1){if((k[da+(Z<<2)>>2]|0)==(c|0)){if(!(i[(k[X>>2]|0)+Z>>0]|0)){ga=a;ha=ca}else{k[b+(ca<<2)>>2]=fa;ga=k[q>>2]|0;ha=ca+1|0}ia=ga;ja=ha;ka=fa+1|0}else{ia=a;ja=ca;ka=fa}Z=Z+1|0;if((Z|0)>=(ia|0))break;else{a=ia;ca=ja;fa=ka}}r=e;return}default:{e=m+56|0;ka=m+4|0;k[m>>2]=27524;k[e>>2]=27544;B=0;wa(508,m+56|0,ka|0);fa=B;B=0;if(fa&1){fa=Rb()|0;la=Q;ma=fa;vva(e);Qb(ma|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[e>>2]=27488;B=0;va(448,ka|0);fa=B;B=0;do if(fa&1){ja=Rb()|0;na=Q;oa=ja}else{k[ka>>2]=27560;ja=m+36|0;k[ja>>2]=0;k[ja+4>>2]=0;k[ja+8>>2]=0;k[ja+12>>2]=0;k[m+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,ka|0,f|0);ca=B;B=0;if(ca&1){ca=Rb()|0;ia=Q;Yua(f);Yua(ja);Ava(ka);na=ia;oa=ca;break}Yua(f);B=0;ca=Ia(40,m|0,142357,17)|0;ia=B;B=0;b:do if((((!(ia&1)?(B=0,a=ya(427,d|0)|0,Z=B,B=0,!(Z&1)):0)?(Z=Lta(a)|0,B=0,ha=Ia(40,ca|0,a|0,Z|0)|0,Z=B,B=0,!(Z&1)):0)?(B=0,Z=Ia(40,ha|0,146956,19)|0,ha=B,B=0,!(ha&1)):0)?(B=0,Xa(239,Z|0,0)|0,Z=B,B=0,!(Z&1)):0){Z=Ab(20)|0;B=0;eb(502,n|0,68901,63);ha=B;B=0;do if(!(ha&1)){B=0;eb(502,o|0,69048,15);a=B;B=0;if(a&1){a=Rb()|0;ga=Q;Yua(n);pa=a;qa=ga;break}B=0;wa(510,p|0,ka|0);ga=B;B=0;if(ga&1){ga=Rb()|0;ra=1;sa=Q;ta=ga}else{B=0;ua(163,Z|0,n|0,o|0,378,p|0);ga=B;B=0;if(ga&1)xa=1;else{B=0;eb(503,Z|0,1240,229);B=0;xa=0}ga=Rb()|0;a=Q;Yua(p);ra=xa;sa=a;ta=ga}Yua(o);Yua(n);if(ra){pa=ta;qa=sa}else{za=sa;Aa=ta;break b}}else{ga=Rb()|0;pa=ga;qa=Q}while(0);zb(Z|0);za=qa;Aa=pa}else P=95;while(0);if((P|0)==95){ca=Rb()|0;za=Q;Aa=ca}k[m>>2]=27468;k[e>>2]=27488;k[ka>>2]=27560;Yua(ja);Ava(ka);vva(e);R=za;S=Aa;Qb(S|0)}while(0);la=na;ma=oa;vva(e);Qb(ma|0)}}}function Qn(a){a=a|0;return k[a+12>>2]|0}function Rn(a){a=a|0;return k[a+16>>2]|0}function Sn(a,b){a=a|0;b=b|0;p[b>>3]=+p[a+72>>3];p[b+8>>3]=+p[a+80>>3];p[b+16>>3]=+p[a+88>>3];p[b+24>>3]=+p[a+96>>3];p[b+32>>3]=+p[a+104>>3];p[b+40>>3]=+p[a+112>>3];p[b+48>>3]=+p[a+120>>3];p[b+56>>3]=+p[a+128>>3];p[b+64>>3]=+p[a+136>>3];return}function Tn(a,b){a=a|0;b=b|0;return (k[a+68>>2]|0)==(b|0)|0}function Un(a,b,c){a=a|0;b=b|0;c=+c;var d=0;d=(k[a+40>>2]|0)+b|0;if(i[d>>0]|0){i[a+20>>0]=1;i[d>>0]=0;i[(k[a+44>>2]|0)+b>>0]=1}p[(k[a+48>>2]|0)+(b<<3)>>3]=c;return}function Vn(a,b){a=a|0;b=b|0;var c=0;c=(k[a+40>>2]|0)+b|0;if(!(i[c>>0]|0))return;i[a+20>>0]=1;i[c>>0]=0;i[(k[a+44>>2]|0)+b>>0]=1;return}function Wn(a){a=a|0;return (i[a+20>>0]|0)!=0|0}function Xn(a){a=a|0;i[a+20>>0]=0;return}function Yn(a,b){a=a|0;b=b|0;Zn(a,b);p[(k[a+48>>2]|0)+(b<<3)>>3]=0.0;return}function Zn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;j=(k[a+40>>2]|0)+b|0;if(i[j>>0]|0){r=c;return}if(!(i[a+38>>0]|0)){i[a+20>>0]=1;i[j>>0]=1;i[(k[a+44>>2]|0)+b>>0]=0;r=c;return}c=e+56|0;b=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;l=Q;m=a;vva(c);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,b|0);a=B;B=0;do if(a&1){j=Rb()|0;n=Q;o=j}else{k[b>>2]=27560;j=e+36|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,b|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(j);Ava(b);n=q;o=p;break}Yua(d);B=0;p=Ia(40,e|0,69064,32)|0;q=B;B=0;if(!(q&1)?(B=0,Xa(239,p|0,0)|0,p=B,B=0,!(p&1)):0){p=Ab(20)|0;B=0;eb(502,f|0,68901,63);q=B;B=0;do if(!(q&1)){B=0;eb(502,g|0,69097,9);s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(f);u=t;v=s;break}B=0;wa(510,h|0,b|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,p|0,f|0,g|0,479,h|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,p|0,1240,229);B=0;z=0}s=Rb()|0;t=Q;Yua(h);w=t;x=s;y=z}Yua(g);Yua(f);if(y){u=w;v=x}else{A=w;C=x;k[e>>2]=27468;k[c>>2]=27488;k[b>>2]=27560;Yua(j);Ava(b);vva(c);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(p|0);A=u;C=v;k[e>>2]=27468;k[c>>2]=27488;k[b>>2]=27560;Yua(j);Ava(b);vva(c);Qb(C|0)}q=Rb()|0;A=Q;C=q;k[e>>2]=27468;k[c>>2]=27488;k[b>>2]=27560;Yua(j);Ava(b);vva(c);Qb(C|0)}while(0);l=n;m=o;vva(c);Qb(m|0)}function _n(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;c=k[a+32>>2]|0;if(!c)return;d=Rqa(c>>>0>536870911?-1:c<<3)|0;e=k[a+24>>2]|0;if((e|0)>0){f=k[a+44>>2]|0;g=a+48|0;h=0;j=0;while(1){if(!(i[f+j>>0]|0))l=h;else{p[d+(h<<3)>>3]=+p[(k[g>>2]|0)+(j<<3)>>3];l=h+1|0}j=j+1|0;if((j|0)>=(e|0))break;else h=l}}if(k[b>>2]|0){l=k[k[b+4>>2]>>2]|0;Dc[k[(k[l>>2]|0)+16>>2]&255](l,c,k[a+64>>2]|0,d,0)}Tqa(d);return}function $n(a){a=a|0;if(!(i[a+37>>0]|0))return;if(i[a+38>>0]|0)return;i[a+20>>0]=1;tla(a+24|0);return}function ao(a){a=a|0;return (i[a+37>>0]|0)!=0|0}function bo(a){a=a|0;if(i[a+37>>0]|0)return;if(i[a+38>>0]|0)return;i[a+20>>0]=1;ula(a+24|0);return}function co(a){a=a|0;return k[a+4>>2]|0}function eo(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0;d=r;r=r+368|0;e=d+344|0;f=d+208|0;g=d+196|0;h=d+184|0;i=d+36|0;j=d+48|0;m=d+24|0;n=d+12|0;o=d;p=(c|0)==943;if((b|0)==534){if(p){q=k[a+24>>2]|0;r=d;return q|0}switch(c|0){case 937:{q=k[a+28>>2]|0;r=d;return q|0}case 966:{q=k[a+32>>2]|0;r=d;return q|0}default:{s=f+56|0;t=f+4|0;k[f>>2]=27524;k[s>>2]=27544;B=0;wa(508,f+56|0,t|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;w=u;vva(s);Qb(w|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[s>>2]=27488;B=0;va(448,t|0);u=B;B=0;do if(u&1){x=Rb()|0;y=Q;z=x}else{k[t>>2]=27560;x=f+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,t|0,e|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(e);Yua(x);Ava(t);y=C;z=A;break}Yua(e);B=0;A=Ia(40,f|0,142357,17)|0;C=B;B=0;a:do if((((!(C&1)?(B=0,D=ya(427,c|0)|0,E=B,B=0,!(E&1)):0)?(E=Lta(D)|0,B=0,F=Ia(40,A|0,D|0,E|0)|0,E=B,B=0,!(E&1)):0)?(B=0,E=Ia(40,F|0,146956,19)|0,F=B,B=0,!(F&1)):0)?(B=0,Xa(239,E|0,0)|0,E=B,B=0,!(E&1)):0){E=Ab(20)|0;B=0;eb(502,g|0,68901,63);F=B;B=0;do if(!(F&1)){B=0;eb(502,h|0,69107,15);D=B;B=0;if(D&1){D=Rb()|0;G=Q;Yua(g);H=D;I=G;break}B=0;wa(510,i|0,t|0);G=B;B=0;if(G&1){G=Rb()|0;J=Q;K=G;L=1}else{B=0;ua(163,E|0,g|0,h|0,542,i|0);G=B;B=0;if(G&1)M=1;else{B=0;eb(503,E|0,1240,229);B=0;M=0}G=Rb()|0;D=Q;Yua(i);J=D;K=G;L=M}Yua(h);Yua(g);if(L){H=K;I=J}else{N=K;O=J;break a}}else{G=Rb()|0;H=G;I=Q}while(0);zb(E|0);N=H;O=I}else P=25;while(0);if((P|0)==25){A=Rb()|0;N=A;O=Q}k[f>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);R=O;S=N;Qb(S|0)}while(0);v=y;w=z;vva(s);Qb(w|0)}}}if(p){p=k[a+52>>2]|0;w=k[a+24>>2]|0;if(!p){q=w;r=d;return q|0}if((w|0)>0){T=0;U=0}else{q=0;r=d;return q|0}while(1){s=((k[p+(T<<2)>>2]|0)==(b|0)&1)+U|0;T=T+1|0;if((T|0)>=(w|0)){q=s;break}else U=s}r=d;return q|0}switch(c|0){case 937:{U=k[a+52>>2]|0;if(!U){q=k[a+28>>2]|0;r=d;return q|0}w=k[a+24>>2]|0;if((w|0)<=0){q=0;r=d;return q|0}T=a+40|0;p=0;s=0;while(1){if((k[U+(p<<2)>>2]|0)==(b|0))V=(l[(k[T>>2]|0)+p>>0]|0)+s|0;else V=s;p=p+1|0;if((p|0)>=(w|0)){q=V;break}else s=V}r=d;return q|0}case 966:{V=k[a+52>>2]|0;if(!V){q=k[a+32>>2]|0;r=d;return q|0}s=k[a+24>>2]|0;if((s|0)<=0){q=0;r=d;return q|0}w=a+44|0;a=0;p=0;while(1){if((k[V+(a<<2)>>2]|0)==(b|0))W=(l[(k[w>>2]|0)+a>>0]|0)+p|0;else W=p;a=a+1|0;if((a|0)>=(s|0)){q=W;break}else p=W}r=d;return q|0}default:{q=j+56|0;d=j+4|0;k[j>>2]=27524;k[q>>2]=27544;B=0;wa(508,j+56|0,d|0);W=B;B=0;if(W&1){W=Rb()|0;X=Q;Y=W;vva(q);Qb(Y|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[q>>2]=27488;B=0;va(448,d|0);W=B;B=0;do if(W&1){p=Rb()|0;Z=Q;_=p}else{k[d>>2]=27560;p=j+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[j+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,d|0,e|0);s=B;B=0;if(s&1){s=Rb()|0;a=Q;Yua(e);Yua(p);Ava(d);Z=a;_=s;break}Yua(e);B=0;s=Ia(40,j|0,142357,17)|0;a=B;B=0;b:do if((((!(a&1)?(B=0,w=ya(427,c|0)|0,b=B,B=0,!(b&1)):0)?(b=Lta(w)|0,B=0,V=Ia(40,s|0,w|0,b|0)|0,b=B,B=0,!(b&1)):0)?(B=0,b=Ia(40,V|0,146956,19)|0,V=B,B=0,!(V&1)):0)?(B=0,Xa(239,b|0,0)|0,b=B,B=0,!(b&1)):0){b=Ab(20)|0;B=0;eb(502,m|0,68901,63);V=B;B=0;do if(!(V&1)){B=0;eb(502,n|0,69107,15);w=B;B=0;if(w&1){w=Rb()|0;T=Q;Yua(m);$=w;aa=T;break}B=0;wa(510,o|0,d|0);T=B;B=0;if(T&1){T=Rb()|0;ba=1;ca=Q;da=T}else{B=0;ua(163,b|0,m|0,n|0,572,o|0);T=B;B=0;if(T&1)ea=1;else{B=0;eb(503,b|0,1240,229);B=0;ea=0}T=Rb()|0;w=Q;Yua(o);ba=ea;ca=w;da=T}Yua(n);Yua(m);if(ba){$=da;aa=ca}else{fa=ca;ga=da;break b}}else{T=Rb()|0;$=T;aa=Q}while(0);zb(b|0);fa=aa;ga=$}else P=70;while(0);if((P|0)==70){s=Rb()|0;fa=Q;ga=s}k[j>>2]=27468;k[q>>2]=27488;k[d>>2]=27560;Yua(p);Ava(d);vva(q);R=fa;S=ga;Qb(S|0)}while(0);X=Z;Y=_;vva(q);Qb(Y|0)}}return 0}function fo(a){a=a|0;return l[a+36>>0]|0|0}function go(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;l=e;switch(d|0){case 937:{d=k[a+28>>2]|0;if(!d){r=e;return}m=Rqa(d>>>0>1073741823?-1:d<<2)|0;n=Rqa(d>>>0>536870911?-1:d<<3)|0;o=k[a+24>>2]|0;if((o|0)>0){q=k[a+40>>2]|0;s=a+60|0;t=a+56|0;u=0;v=0;while(1){if(!(i[q+v>>0]|0))w=u;else{p[n+(u<<3)>>3]=+p[c+(k[(k[s>>2]|0)+(u<<2)>>2]<<3)>>3];k[m+(u<<2)>>2]=k[(k[t>>2]|0)+(v<<2)>>2];w=u+1|0}v=v+1|0;if((v|0)>=(o|0))break;else u=w}}if(!(k[b>>2]|0)){x=m;y=n}else{w=k[k[b+4>>2]>>2]|0;Dc[k[(k[w>>2]|0)+16>>2]&255](w,d,m,n,0);x=m;y=n}break}case 966:{n=k[a+32>>2]|0;if(!n){r=e;return}m=Rqa(n>>>0>1073741823?-1:n<<2)|0;d=Rqa(n>>>0>536870911?-1:n<<3)|0;w=k[a+24>>2]|0;if((w|0)>0){u=k[a+44>>2]|0;o=a+64|0;v=a+56|0;a=0;t=0;while(1){if(!(i[u+t>>0]|0))z=a;else{p[d+(a<<3)>>3]=+p[c+(k[(k[o>>2]|0)+(a<<2)>>2]<<3)>>3];k[m+(a<<2)>>2]=k[(k[v>>2]|0)+(t<<2)>>2];z=a+1|0}t=t+1|0;if((t|0)>=(w|0))break;else a=z}}if(!(k[b>>2]|0)){x=m;y=d}else{z=k[k[b+4>>2]>>2]|0;Dc[k[(k[z>>2]|0)+16>>2]&255](z,n,m,d,0);x=m;y=d}break}default:{d=g+56|0;m=g+4|0;k[g>>2]=27524;k[d>>2]=27544;B=0;wa(508,g+56|0,m|0);n=B;B=0;if(n&1){n=Rb()|0;A=Q;C=n;vva(d);Qb(C|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[d>>2]=27488;B=0;va(448,m|0);n=B;B=0;do if(n&1){z=Rb()|0;D=Q;E=z}else{k[m>>2]=27560;z=g+36|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;k[z+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,m|0,f|0);b=B;B=0;if(b&1){b=Rb()|0;a=Q;Yua(f);Yua(z);Ava(m);D=a;E=b;break}Yua(f);B=0;b=Ia(40,g|0,69123,59)|0;a=B;B=0;if(!(a&1)?(B=0,Xa(239,b|0,0)|0,b=B,B=0,!(b&1)):0){b=Ab(20)|0;B=0;eb(502,h|0,68901,63);a=B;B=0;do if(!(a&1)){B=0;eb(502,j|0,69183,8);w=B;B=0;if(w&1){w=Rb()|0;t=Q;Yua(h);F=t;G=w;break}B=0;wa(510,l|0,m|0);w=B;B=0;if(w&1){w=Rb()|0;H=Q;I=w;J=1}else{B=0;ua(163,b|0,h|0,j|0,626,l|0);w=B;B=0;if(w&1)K=1;else{B=0;eb(503,b|0,1240,229);B=0;K=0}w=Rb()|0;t=Q;Yua(l);H=t;I=w;J=K}Yua(j);Yua(h);if(J){F=H;G=I}else{L=H;M=I;k[g>>2]=27468;k[d>>2]=27488;k[m>>2]=27560;Yua(z);Ava(m);vva(d);Qb(M|0)}}else{w=Rb()|0;F=Q;G=w}while(0);zb(b|0);L=F;M=G;k[g>>2]=27468;k[d>>2]=27488;k[m>>2]=27560;Yua(z);Ava(m);vva(d);Qb(M|0)}a=Rb()|0;L=Q;M=a;k[g>>2]=27468;k[d>>2]=27488;k[m>>2]=27560;Yua(z);Ava(m);vva(d);Qb(M|0)}while(0);A=D;C=E;vva(d);Qb(C|0)}}Tqa(y);Tqa(x);r=e;return}function ho(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;l=e;switch(d|0){case 937:{d=k[a+28>>2]|0;if(!d){r=e;return}m=Rqa(d>>>0>536870911?-1:d<<3)|0;n=k[a+24>>2]|0;if((n|0)>0){o=k[a+40>>2]|0;q=a+56|0;s=0;t=0;while(1){if(!(i[o+t>>0]|0))u=s;else{p[m+(s<<3)>>3]=+p[c+(k[(k[q>>2]|0)+(t<<2)>>2]<<3)>>3];u=s+1|0}t=t+1|0;if((t|0)>=(n|0))break;else s=u}}if(!(k[b>>2]|0))v=m;else{u=k[k[b+4>>2]>>2]|0;Dc[k[(k[u>>2]|0)+16>>2]&255](u,d,k[a+60>>2]|0,m,0);v=m}break}case 966:{m=k[a+32>>2]|0;if(!m){r=e;return}d=Rqa(m>>>0>536870911?-1:m<<3)|0;u=k[a+24>>2]|0;if((u|0)>0){s=k[a+44>>2]|0;n=a+56|0;t=0;q=0;while(1){if(!(i[s+q>>0]|0))w=t;else{p[d+(t<<3)>>3]=+p[c+(k[(k[n>>2]|0)+(q<<2)>>2]<<3)>>3];w=t+1|0}q=q+1|0;if((q|0)>=(u|0))break;else t=w}}if(!(k[b>>2]|0))v=d;else{w=k[k[b+4>>2]>>2]|0;Dc[k[(k[w>>2]|0)+16>>2]&255](w,m,k[a+64>>2]|0,d,0);v=d}break}default:{d=g+56|0;a=g+4|0;k[g>>2]=27524;k[d>>2]=27544;B=0;wa(508,g+56|0,a|0);m=B;B=0;if(m&1){m=Rb()|0;x=Q;y=m;vva(d);Qb(y|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[d>>2]=27488;B=0;va(448,a|0);m=B;B=0;do if(m&1){w=Rb()|0;z=Q;A=w}else{k[a>>2]=27560;w=g+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,a|0,f|0);b=B;B=0;if(b&1){b=Rb()|0;t=Q;Yua(f);Yua(w);Ava(a);z=t;A=b;break}Yua(f);B=0;b=Ia(40,g|0,69192,60)|0;t=B;B=0;if(!(t&1)?(B=0,Xa(239,b|0,0)|0,b=B,B=0,!(b&1)):0){b=Ab(20)|0;B=0;eb(502,h|0,68901,63);t=B;B=0;do if(!(t&1)){B=0;eb(502,j|0,69253,9);u=B;B=0;if(u&1){u=Rb()|0;q=Q;Yua(h);C=q;D=u;break}B=0;wa(510,l|0,a|0);u=B;B=0;if(u&1){u=Rb()|0;E=Q;F=u;G=1}else{B=0;ua(163,b|0,h|0,j|0,671,l|0);u=B;B=0;if(u&1)H=1;else{B=0;eb(503,b|0,1240,229);B=0;H=0}u=Rb()|0;q=Q;Yua(l);E=q;F=u;G=H}Yua(j);Yua(h);if(G){C=E;D=F}else{I=E;J=F;k[g>>2]=27468;k[d>>2]=27488;k[a>>2]=27560;Yua(w);Ava(a);vva(d);Qb(J|0)}}else{u=Rb()|0;C=Q;D=u}while(0);zb(b|0);I=C;J=D;k[g>>2]=27468;k[d>>2]=27488;k[a>>2]=27560;Yua(w);Ava(a);vva(d);Qb(J|0)}t=Rb()|0;I=Q;J=t;k[g>>2]=27468;k[d>>2]=27488;k[a>>2]=27560;Yua(w);Ava(a);vva(d);Qb(J|0)}while(0);x=z;y=A;vva(d);Qb(y|0)}}Tqa(v);r=e;return}function io(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;j=d;l=k[b>>2]|0;m=(c|0)==937;if(!m)if((c|0)==966){qla(a+24|0,966);n=1}else n=0;else{qla(a+24|0,937);n=0}if(i[a+36>>0]|0){r=d;return}a:do if((c|0)==943){o=a+24|0;p=k[o>>2]|0;if((p|0)>0){q=k[a+56>>2]|0;s=0;do{k[q+(s<<2)>>2]=s+l;s=s+1|0;t=k[o>>2]|0}while((s|0)<(t|0));u=t}else u=p}else{if(m){s=a+28|0;o=k[s>>2]|0;if((o|0)<=0){u=o;break}o=k[a+60>>2]|0;q=0;while(1){k[o+(q<<2)>>2]=q+l;q=q+1|0;t=k[s>>2]|0;if((q|0)>=(t|0)){u=t;break a}}}if(n){q=a+32|0;s=k[q>>2]|0;if((s|0)<=0){u=s;break}s=k[a+64>>2]|0;o=0;while(1){k[s+(o<<2)>>2]=o+l;o=o+1|0;p=k[q>>2]|0;if((o|0)>=(p|0)){u=p;break a}}}o=f+56|0;q=f+4|0;k[f>>2]=27524;k[o>>2]=27544;B=0;wa(508,f+56|0,q|0);s=B;B=0;if(s&1){s=Rb()|0;v=Q;w=s;vva(o);Qb(w|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[o>>2]=27488;B=0;va(448,q|0);s=B;B=0;do if(s&1){p=Rb()|0;x=Q;y=p}else{k[q>>2]=27560;p=f+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,q|0,e|0);t=B;B=0;if(t&1){t=Rb()|0;z=Q;Yua(e);Yua(p);Ava(q);x=z;y=t;break}Yua(e);B=0;t=Ia(40,f|0,142357,17)|0;z=B;B=0;if((((!(z&1)?(B=0,z=ya(427,c|0)|0,A=B,B=0,!(A&1)):0)?(A=Lta(z)|0,B=0,C=Ia(40,t|0,z|0,A|0)|0,A=B,B=0,!(A&1)):0)?(B=0,A=Ia(40,C|0,146956,19)|0,C=B,B=0,!(C&1)):0)?(B=0,Xa(239,A|0,0)|0,A=B,B=0,!(A&1)):0){A=Ab(20)|0;B=0;eb(502,g|0,68901,63);C=B;B=0;do if(C&1){z=Rb()|0;D=Q;E=z}else{B=0;eb(502,h|0,69263,14);z=B;B=0;if(z&1){z=Rb()|0;t=Q;Yua(g);D=t;E=z;break}B=0;wa(510,j|0,q|0);z=B;B=0;if(z&1){z=Rb()|0;F=Q;G=z;H=1}else{B=0;ua(163,A|0,g|0,h|0,714,j|0);z=B;B=0;if(z&1)I=1;else{B=0;eb(503,A|0,1240,229);B=0;I=0}z=Rb()|0;t=Q;Yua(j);F=t;G=z;H=I}Yua(h);Yua(g);if(H){D=F;E=G;break}else{J=F;K=G}k[f>>2]=27468;k[o>>2]=27488;k[q>>2]=27560;Yua(p);Ava(q);vva(o);Qb(K|0)}while(0);zb(A|0);J=D;K=E;k[f>>2]=27468;k[o>>2]=27488;k[q>>2]=27560;Yua(p);Ava(q);vva(o);Qb(K|0)}C=Rb()|0;J=Q;K=C;k[f>>2]=27468;k[o>>2]=27488;k[q>>2]=27560;Yua(p);Ava(q);vva(o);Qb(K|0)}while(0);v=x;w=y;vva(o);Qb(w|0)}while(0);k[b>>2]=u+l;r=d;return}function jo(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;j=d;if(i[a+36>>0]|0){r=d;return}switch(c|0){case 943:{l=a+24|0;if((k[l>>2]|0)<=0){r=d;return}m=k[a+56>>2]|0;n=0;do{o=m+(n<<2)|0;k[o>>2]=(k[o>>2]|0)+b;n=n+1|0}while((n|0)<(k[l>>2]|0));r=d;return}case 937:{l=a+28|0;if((k[l>>2]|0)<=0){r=d;return}n=k[a+60>>2]|0;m=0;do{o=n+(m<<2)|0;k[o>>2]=(k[o>>2]|0)+b;m=m+1|0}while((m|0)<(k[l>>2]|0));r=d;return}case 966:{l=a+32|0;if((k[l>>2]|0)<=0){r=d;return}m=k[a+64>>2]|0;a=0;do{n=m+(a<<2)|0;k[n>>2]=(k[n>>2]|0)+b;a=a+1|0}while((a|0)<(k[l>>2]|0));r=d;return}default:{d=f+56|0;l=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,l|0);a=B;B=0;if(a&1){a=Rb()|0;p=Q;q=a;vva(d);Qb(q|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,l|0);a=B;B=0;do if(a&1){b=Rb()|0;s=Q;t=b}else{k[l>>2]=27560;b=f+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,l|0,e|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;Yua(e);Yua(b);Ava(l);s=n;t=m;break}Yua(e);B=0;m=Ia(40,f|0,142357,17)|0;n=B;B=0;if((((!(n&1)?(B=0,n=ya(427,c|0)|0,o=B,B=0,!(o&1)):0)?(o=Lta(n)|0,B=0,u=Ia(40,m|0,n|0,o|0)|0,o=B,B=0,!(o&1)):0)?(B=0,o=Ia(40,u|0,146956,19)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,o|0,0)|0,o=B,B=0,!(o&1)):0){o=Ab(20)|0;B=0;eb(502,g|0,68901,63);u=B;B=0;do if(!(u&1)){B=0;eb(502,h|0,69278,10);n=B;B=0;if(n&1){n=Rb()|0;m=Q;Yua(g);v=m;w=n;break}B=0;wa(510,j|0,l|0);n=B;B=0;if(n&1){n=Rb()|0;x=Q;y=n;z=1}else{B=0;ua(163,o|0,g|0,h|0,739,j|0);n=B;B=0;if(n&1)A=1;else{B=0;eb(503,o|0,1240,229);B=0;A=0}n=Rb()|0;m=Q;Yua(j);x=m;y=n;z=A}Yua(h);Yua(g);if(z){v=x;w=y}else{C=x;D=y;k[f>>2]=27468;k[d>>2]=27488;k[l>>2]=27560;Yua(b);Ava(l);vva(d);Qb(D|0)}}else{n=Rb()|0;v=Q;w=n}while(0);zb(o|0);C=v;D=w;k[f>>2]=27468;k[d>>2]=27488;k[l>>2]=27560;Yua(b);Ava(l);vva(d);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[f>>2]=27468;k[d>>2]=27488;k[l>>2]=27560;Yua(b);Ava(l);vva(d);Qb(D|0)}while(0);p=s;q=t;vva(d);Qb(q|0)}}}function ko(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;l=e;if(i[a+36>>0]|0){r=e;return}switch(d|0){case 943:{m=a+24|0;if((k[m>>2]|0)<=0){r=e;return}n=k[a+56>>2]|0;o=a+12|0;p=0;do{q=b+((ma(k[o>>2]|0,c)|0)+p<<2)|0;k[q>>2]=k[n+(p<<2)>>2];p=p+1|0}while((p|0)<(k[m>>2]|0));r=e;return}case 937:{m=a+28|0;if((k[m>>2]|0)<=0){r=e;return}p=k[a+60>>2]|0;n=a+12|0;o=0;do{q=b+((ma(k[n>>2]|0,c)|0)+o<<2)|0;k[q>>2]=k[p+(o<<2)>>2];o=o+1|0}while((o|0)<(k[m>>2]|0));r=e;return}case 966:{m=a+32|0;if((k[m>>2]|0)<=0){r=e;return}o=k[a+64>>2]|0;p=a+12|0;a=0;do{n=b+((ma(k[p>>2]|0,c)|0)+a<<2)|0;k[n>>2]=k[o+(a<<2)>>2];a=a+1|0}while((a|0)<(k[m>>2]|0));r=e;return}default:{e=g+56|0;m=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,m|0);a=B;B=0;if(a&1){a=Rb()|0;s=Q;t=a;vva(e);Qb(t|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,m|0);a=B;B=0;do if(a&1){o=Rb()|0;u=Q;v=o}else{k[m>>2]=27560;o=g+36|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[o+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,m|0,f|0);c=B;B=0;if(c&1){c=Rb()|0;p=Q;Yua(f);Yua(o);Ava(m);u=p;v=c;break}Yua(f);B=0;c=Ia(40,g|0,142357,17)|0;p=B;B=0;if((((!(p&1)?(B=0,p=ya(427,d|0)|0,b=B,B=0,!(b&1)):0)?(b=Lta(p)|0,B=0,n=Ia(40,c|0,p|0,b|0)|0,b=B,B=0,!(b&1)):0)?(B=0,b=Ia(40,n|0,146956,19)|0,n=B,B=0,!(n&1)):0)?(B=0,Xa(239,b|0,0)|0,b=B,B=0,!(b&1)):0){b=Ab(20)|0;B=0;eb(502,h|0,68901,63);n=B;B=0;do if(!(n&1)){B=0;eb(502,j|0,69289,12);p=B;B=0;if(p&1){p=Rb()|0;c=Q;Yua(h);w=c;x=p;break}B=0;wa(510,l|0,m|0);p=B;B=0;if(p&1){p=Rb()|0;y=Q;z=p;A=1}else{B=0;ua(163,b|0,h|0,j|0,761,l|0);p=B;B=0;if(p&1)C=1;else{B=0;eb(503,b|0,1240,229);B=0;C=0}p=Rb()|0;c=Q;Yua(l);y=c;z=p;A=C}Yua(j);Yua(h);if(A){w=y;x=z}else{D=y;E=z;k[g>>2]=27468;k[e>>2]=27488;k[m>>2]=27560;Yua(o);Ava(m);vva(e);Qb(E|0)}}else{p=Rb()|0;w=Q;x=p}while(0);zb(b|0);D=w;E=x;k[g>>2]=27468;k[e>>2]=27488;k[m>>2]=27560;Yua(o);Ava(m);vva(e);Qb(E|0)}n=Rb()|0;D=Q;E=n;k[g>>2]=27468;k[e>>2]=27488;k[m>>2]=27560;Yua(o);Ava(m);vva(e);Qb(E|0)}while(0);s=u;t=v;vva(e);Qb(t|0)}}}function lo(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;l=e;if(!(i[a+36>>0]|0)){r=e;return}switch(d|0){case 943:{m=a+24|0;if((k[m>>2]|0)<=0){r=e;return}n=a+12|0;o=k[a+56>>2]|0;p=0;do{q=b+((ma(k[n>>2]|0,c)|0)+p<<2)|0;k[o+(p<<2)>>2]=k[q>>2];p=p+1|0}while((p|0)<(k[m>>2]|0));r=e;return}case 937:{m=a+28|0;if((k[m>>2]|0)<=0){r=e;return}p=a+12|0;o=k[a+60>>2]|0;n=0;do{q=b+((ma(k[p>>2]|0,c)|0)+n<<2)|0;k[o+(n<<2)>>2]=k[q>>2];n=n+1|0}while((n|0)<(k[m>>2]|0));r=e;return}case 966:{m=a+32|0;if((k[m>>2]|0)<=0){r=e;return}n=a+12|0;o=k[a+64>>2]|0;a=0;do{p=b+((ma(k[n>>2]|0,c)|0)+a<<2)|0;k[o+(a<<2)>>2]=k[p>>2];a=a+1|0}while((a|0)<(k[m>>2]|0));r=e;return}default:{e=g+56|0;m=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,m|0);a=B;B=0;if(a&1){a=Rb()|0;s=Q;t=a;vva(e);Qb(t|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,m|0);a=B;B=0;do if(a&1){o=Rb()|0;u=Q;v=o}else{k[m>>2]=27560;o=g+36|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[o+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,m|0,f|0);c=B;B=0;if(c&1){c=Rb()|0;n=Q;Yua(f);Yua(o);Ava(m);u=n;v=c;break}Yua(f);B=0;c=Ia(40,g|0,142357,17)|0;n=B;B=0;if((((!(n&1)?(B=0,n=ya(427,d|0)|0,b=B,B=0,!(b&1)):0)?(b=Lta(n)|0,B=0,p=Ia(40,c|0,n|0,b|0)|0,b=B,B=0,!(b&1)):0)?(B=0,b=Ia(40,p|0,146956,19)|0,p=B,B=0,!(p&1)):0)?(B=0,Xa(239,b|0,0)|0,b=B,B=0,!(b&1)):0){b=Ab(20)|0;B=0;eb(502,h|0,68901,63);p=B;B=0;do if(!(p&1)){B=0;eb(502,j|0,69302,15);n=B;B=0;if(n&1){n=Rb()|0;c=Q;Yua(h);w=c;x=n;break}B=0;wa(510,l|0,m|0);n=B;B=0;if(n&1){n=Rb()|0;y=Q;z=n;A=1}else{B=0;ua(163,b|0,h|0,j|0,786,l|0);n=B;B=0;if(n&1)C=1;else{B=0;eb(503,b|0,1240,229);B=0;C=0}n=Rb()|0;c=Q;Yua(l);y=c;z=n;A=C}Yua(j);Yua(h);if(A){w=y;x=z}else{D=y;E=z;k[g>>2]=27468;k[e>>2]=27488;k[m>>2]=27560;Yua(o);Ava(m);vva(e);Qb(E|0)}}else{n=Rb()|0;w=Q;x=n}while(0);zb(b|0);D=w;E=x;k[g>>2]=27468;k[e>>2]=27488;k[m>>2]=27560;Yua(o);Ava(m);vva(e);Qb(E|0)}p=Rb()|0;D=Q;E=p;k[g>>2]=27468;k[e>>2]=27488;k[m>>2]=27560;Yua(o);Ava(m);vva(e);Qb(E|0)}while(0);s=u;t=v;vva(e);Qb(t|0)}}}function mo(a,b){a=a|0;b=b|0;var c=0;c=vY()|0;i[a+36>>0]=(k[b+(k[a+12>>2]<<2)>>2]|0)!=(c|0)&1;return}function no(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if(!b){e=0;return e|0}f=b>>>0>1073741823?-1:b<<2;g=Rqa(f)|0;h=Rqa(f)|0;f=(b|0)>0;if(f){if((d|0)==534){i=0;j=0;l=0;while(1){k[h+(i<<2)>>2]=l;m=a+(i<<2)|0;n=eo(k[m>>2]|0,534,c)|0;k[g+(i<<2)>>2]=n;o=n+j|0;i=i+1|0;if((i|0)==(b|0)){p=o;break}else{j=o;l=(k[(k[m>>2]|0)+24>>2]|0)+l|0}}}else{l=0;j=0;i=0;while(1){k[h+(l<<2)>>2]=i;m=a+(l<<2)|0;o=eo(k[m>>2]|0,d,c)|0;k[g+(l<<2)>>2]=o;n=k[m>>2]|0;m=k[n+52>>2]|0;q=k[n+24>>2]|0;if(m)if((q|0)>0){n=0;r=0;while(1){s=((k[m+(n<<2)>>2]|0)==(d|0)&1)+r|0;n=n+1|0;if((n|0)==(q|0)){t=s;break}else r=s}}else t=0;else t=q;r=o+j|0;l=l+1|0;if((l|0)==(b|0)){p=r;break}else{j=r;i=t+i|0}}}if(p){i=Rqa(p>>>0>1073741823?-1:p<<2)|0;if(f){p=0;t=0;while(1){Pn(k[a+(t<<2)>>2]|0,i+(p<<2)|0,d,c);j=t+1|0;if((j|0)==(b|0))break;else{p=(k[g+(t<<2)>>2]|0)+p|0;t=j}}if(f){f=0;t=0;while(1){p=k[g+(t<<2)>>2]|0;if((p|0)>0){c=k[h+(t<<2)>>2]|0;d=0;do{a=i+(d+f<<2)|0;k[a>>2]=(k[a>>2]|0)+c;d=d+1|0}while((d|0)<(p|0))}t=t+1|0;if((t|0)==(b|0)){u=i;break}else f=p+f|0}}else u=i}else u=i}else u=0}else u=0;Tqa(g);Tqa(h);e=u;return e|0}function oo(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;if(!b){e=0;return e|0}f=Rqa(b>>>0>1073741823?-1:b<<2)|0;g=(b|0)>0;if(g){h=0;i=0;while(1){j=eo(k[a+(h<<2)>>2]|0,d,c)|0;k[f+(h<<2)>>2]=j;l=j+i|0;h=h+1|0;if((h|0)==(b|0)){m=l;break}else i=l}if(m){i=Rqa(m>>>0>1073741823?-1:m<<2)|0;if(g){g=0;m=0;while(1){On(k[a+(m<<2)>>2]|0,i+(g<<2)|0,d,c);h=m+1|0;if((h|0)==(b|0)){n=i;break}else{g=(k[f+(m<<2)>>2]|0)+g|0;m=h}}}else n=i}else n=0}else n=0;Tqa(f);e=n;return e|0}function po(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;if((b|0)>0){e=0;f=0}else{g=0;return g|0}while(1){h=(eo(k[a+(e<<2)>>2]|0,d,c)|0)+f|0;e=e+1|0;if((e|0)==(b|0)){g=h;break}else f=h}return g|0}function qo(a){a=a|0;k[a>>2]=28824;return}function ro(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0.0,g=0.0;k[a>>2]=28824;k[a+12>>2]=b;k[a+16>>2]=c;k[a+20>>2]=-9999;c=(Jka(e,108266)|0)+(d<<3)|0;p[a+24>>3]=+p[c>>3];c=(Jka(e,108276)|0)+(d<<3)|0;p[a+32>>3]=+p[c>>3];c=(Jka(e,127183)|0)+(d<<3)|0;p[a+40>>3]=+p[c>>3];c=k[e+40>>2]|0;k[a+8>>2]=c;switch(c|0){case 302:{c=(Jka(e,127183)|0)+(d<<3)|0;f=+p[c>>3];c=(Jka(e,134945)|0)+(d<<3)|0;g=+p[c>>3];c=(Jka(e,137052)|0)+(d<<3)|0;p[a+72>>3]=(f-g)/+p[c>>3];break}case 303:{c=(Jka(e,108286)|0)+(d<<3)|0;p[a+48>>3]=+p[c>>3];c=(Jka(e,108298)|0)+(d<<3)|0;p[a+56>>3]=+p[c>>3];c=(Jka(e,108311)|0)+(d<<3)|0;p[a+64>>3]=+p[c>>3];break}case 300:{p[a+72>>3]=0.0;break}case 301:{c=(Jka(e,108276)|0)+(d<<3)|0;g=+p[c>>3];c=(Jka(e,134945)|0)+(d<<3)|0;f=+p[c>>3];c=(Jka(e,137052)|0)+(d<<3)|0;p[a+72>>3]=(g-f)/+p[c>>3];break}default:{}}k[a+80>>2]=k[(k[e+96>>2]|0)+(d<<2)>>2];return}function so(a){a=a|0;k[a>>2]=28824;return}function to(a){a=a|0;Sqa(a);return}function uo(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0;b=r;r=r+1520|0;c=b+1504|0;d=b+1320|0;e=b+1492|0;f=b+1168|0;g=b+1480|0;h=b+1016|0;j=b+1468|0;l=b+880|0;m=b+1456|0;n=b+744|0;o=b+1304|0;q=b+592|0;s=b+1152|0;t=b+456|0;u=b+728|0;v=b+304|0;w=b+440|0;x=b+152|0;y=b+288|0;z=b+16|0;A=b;C=d+56|0;D=d+4|0;k[d>>2]=27524;k[C>>2]=27544;B=0;wa(508,d+56|0,D|0);E=B;B=0;if(E&1){E=Rb()|0;F=Q;G=E;vva(C);Qb(G|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[C>>2]=27488;B=0;va(448,D|0);E=B;B=0;do if(E&1){H=Rb()|0;I=Q;J=H}else{k[D>>2]=27560;H=d+36|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;k[H+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,D|0,c|0);K=B;B=0;if(K&1){K=Rb()|0;L=Q;Yua(c);Yua(H);Ava(D);I=L;J=K;break}Yua(c);B=0;Ia(40,d|0,69326,8)|0;K=B;B=0;do if(!(K&1)?(B=0,wa(510,e|0,D|0),L=B,B=0,!(L&1)):0){B=0;ya(424,e|0)|0;L=B;B=0;if(L&1){L=Rb()|0;M=Q;Yua(e);N=M;O=L;break}Yua(e);k[d>>2]=27468;k[C>>2]=27488;k[D>>2]=27560;Yua(H);Ava(D);vva(C);L=f+56|0;M=f+4|0;k[f>>2]=27524;k[L>>2]=27544;B=0;wa(508,f+56|0,M|0);P=B;B=0;if(P&1){P=Rb()|0;R=Q;S=P;vva(L);Qb(S|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[L>>2]=27488;B=0;va(448,M|0);P=B;B=0;do if(P&1){T=Rb()|0;U=Q;V=T}else{k[M>>2]=27560;T=f+36|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;k[T+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,M|0,c|0);W=B;B=0;if(W&1){W=Rb()|0;X=Q;Yua(c);Yua(T);Ava(M);U=X;V=W;break}Yua(c);B=0;W=Ia(40,f|0,144086,7)|0;X=B;B=0;do if(((!(X&1)?(B=0,Y=Xa(242,W|0,k[a+12>>2]|0)|0,Z=B,B=0,!(Z&1)):0)?(B=0,Ia(40,Y|0,149177,1)|0,Y=B,B=0,!(Y&1)):0)?(B=0,wa(510,g|0,M|0),Y=B,B=0,!(Y&1)):0){B=0;ya(424,g|0)|0;Y=B;B=0;if(Y&1){Y=Rb()|0;Z=Q;Yua(g);_=Z;$=Y;break}Yua(g);k[f>>2]=27468;k[L>>2]=27488;k[M>>2]=27560;Yua(T);Ava(M);vva(L);Y=h+56|0;Z=h+4|0;k[h>>2]=27524;k[Y>>2]=27544;B=0;wa(508,h+56|0,Z|0);aa=B;B=0;if(aa&1){aa=Rb()|0;ba=Q;ca=aa;vva(Y);Qb(ca|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[Y>>2]=27488;B=0;va(448,Z|0);aa=B;B=0;do if(aa&1){da=Rb()|0;ea=Q;fa=da}else{k[Z>>2]=27560;da=h+36|0;k[da>>2]=0;k[da+4>>2]=0;k[da+8>>2]=0;k[da+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Z|0,c|0);ga=B;B=0;if(ga&1){ga=Rb()|0;ha=Q;Yua(c);Yua(da);Ava(Z);ea=ha;fa=ga;break}Yua(c);B=0;ga=Ia(40,h|0,79833,8)|0;ha=B;B=0;do if(ha&1)ia=136;else{B=0;ja=Xa(242,ga|0,k[a+16>>2]|0)|0;ka=B;B=0;if(ka&1){ia=136;break}B=0;Ia(40,ja|0,149177,1)|0;ja=B;B=0;if(ja&1){ia=136;break}B=0;wa(510,j|0,Z|0);ja=B;B=0;if(ja&1){ia=136;break}B=0;ya(424,j|0)|0;ja=B;B=0;if(ja&1){ja=Rb()|0;ka=Q;Yua(j);la=ka;ma=ja;break}Yua(j);k[h>>2]=27468;k[Y>>2]=27488;k[Z>>2]=27560;Yua(da);Ava(Z);vva(Y);ja=l+56|0;ka=l+4|0;k[l>>2]=27524;k[ja>>2]=27544;B=0;wa(508,l+56|0,ka|0);na=B;B=0;if(na&1){na=Rb()|0;oa=Q;pa=na;vva(ja);Qb(pa|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[ja>>2]=27488;B=0;va(448,ka|0);na=B;B=0;do if(na&1){qa=Rb()|0;ra=Q;sa=qa}else{k[ka>>2]=27560;qa=l+36|0;k[qa>>2]=0;k[qa+4>>2]=0;k[qa+8>>2]=0;k[qa+12>>2]=0;k[l+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ka|0,c|0);ta=B;B=0;if(ta&1){ta=Rb()|0;ua=Q;Yua(c);Yua(qa);Ava(ka);ra=ua;sa=ta;break}Yua(c);B=0;ta=Ia(40,l|0,69335,8)|0;ua=B;B=0;do if(ua&1)ia=139;else{B=0;xa=Xa(242,ta|0,k[a+20>>2]|0)|0;za=B;B=0;if(za&1){ia=139;break}B=0;Ia(40,xa|0,149177,1)|0;xa=B;B=0;if(xa&1){ia=139;break}B=0;wa(510,m|0,ka|0);xa=B;B=0;if(xa&1){ia=139;break}B=0;ya(424,m|0)|0;xa=B;B=0;if(xa&1){xa=Rb()|0;za=Q;Yua(m);Aa=za;Ba=xa;break}Yua(m);k[l>>2]=27468;k[ja>>2]=27488;k[ka>>2]=27560;Yua(qa);Ava(ka);vva(ja);xa=n+56|0;za=n+4|0;k[n>>2]=27524;k[xa>>2]=27544;B=0;wa(508,n+56|0,za|0);Ca=B;B=0;if(Ca&1){Ca=Rb()|0;Da=Q;Ea=Ca;vva(xa);Qb(Ea|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[xa>>2]=27488;B=0;va(448,za|0);Ca=B;B=0;do if(Ca&1){Fa=Rb()|0;Ga=Q;Ha=Fa}else{k[za>>2]=27560;Fa=n+36|0;k[Fa>>2]=0;k[Fa+4>>2]=0;k[Fa+8>>2]=0;k[Fa+12>>2]=0;k[n+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,za|0,c|0);Ja=B;B=0;if(Ja&1){Ja=Rb()|0;Ka=Q;Yua(c);Yua(Fa);Ava(za);Ga=Ka;Ha=Ja;break}Yua(c);B=0;Ja=Ia(40,n|0,69344,6)|0;Ka=B;B=0;do if(Ka&1)ia=142;else{B=0;La=Sa(1,Ja|0,+(+p[a+24>>3]))|0;Ma=B;B=0;if(Ma&1){ia=142;break}B=0;Ia(40,La|0,149177,1)|0;La=B;B=0;if(La&1){ia=142;break}B=0;wa(510,o|0,za|0);La=B;B=0;if(La&1){ia=142;break}B=0;ya(424,o|0)|0;La=B;B=0;if(La&1){La=Rb()|0;Ma=Q;Yua(o);Na=Ma;Oa=La;break}Yua(o);k[n>>2]=27468;k[xa>>2]=27488;k[za>>2]=27560;Yua(Fa);Ava(za);vva(xa);La=q+56|0;Ma=q+4|0;k[q>>2]=27524;k[La>>2]=27544;B=0;wa(508,q+56|0,Ma|0);Pa=B;B=0;if(Pa&1){Pa=Rb()|0;Qa=Q;Ra=Pa;vva(La);Qb(Ra|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[La>>2]=27488;B=0;va(448,Ma|0);Pa=B;B=0;do if(Pa&1){Ta=Rb()|0;Ua=Q;Va=Ta}else{k[Ma>>2]=27560;Ta=q+36|0;k[Ta>>2]=0;k[Ta+4>>2]=0;k[Ta+8>>2]=0;k[Ta+12>>2]=0;k[q+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ma|0,c|0);Wa=B;B=0;if(Wa&1){Wa=Rb()|0;Ya=Q;Yua(c);Yua(Ta);Ava(Ma);Ua=Ya;Va=Wa;break}Yua(c);B=0;Wa=Ia(40,q|0,69351,6)|0;Ya=B;B=0;do if(Ya&1)ia=145;else{B=0;Za=Sa(1,Wa|0,+(+p[a+32>>3]))|0;_a=B;B=0;if(_a&1){ia=145;break}B=0;Ia(40,Za|0,149177,1)|0;Za=B;B=0;if(Za&1){ia=145;break}B=0;wa(510,s|0,Ma|0);Za=B;B=0;if(Za&1){ia=145;break}B=0;ya(424,s|0)|0;Za=B;B=0;if(Za&1){Za=Rb()|0;_a=Q;Yua(s);$a=_a;ab=Za;break}Yua(s);k[q>>2]=27468;k[La>>2]=27488;k[Ma>>2]=27560;Yua(Ta);Ava(Ma);vva(La);Za=t+56|0;_a=t+4|0;k[t>>2]=27524;k[Za>>2]=27544;B=0;wa(508,t+56|0,_a|0);bb=B;B=0;if(bb&1){bb=Rb()|0;cb=Q;db=bb;vva(Za);Qb(db|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[Za>>2]=27488;B=0;va(448,_a|0);bb=B;B=0;do if(bb&1){eb=Rb()|0;fb=Q;gb=eb}else{k[_a>>2]=27560;eb=t+36|0;k[eb>>2]=0;k[eb+4>>2]=0;k[eb+8>>2]=0;k[eb+12>>2]=0;k[t+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,_a|0,c|0);hb=B;B=0;if(hb&1){hb=Rb()|0;ib=Q;Yua(c);Yua(eb);Ava(_a);fb=ib;gb=hb;break}Yua(c);B=0;hb=Ia(40,t|0,69358,6)|0;ib=B;B=0;do if(ib&1)ia=148;else{B=0;jb=Sa(1,hb|0,+(+p[a+40>>3]))|0;kb=B;B=0;if(kb&1){ia=148;break}B=0;Ia(40,jb|0,149177,1)|0;jb=B;B=0;if(jb&1){ia=148;break}B=0;wa(510,u|0,_a|0);jb=B;B=0;if(jb&1){ia=148;break}B=0;ya(424,u|0)|0;jb=B;B=0;if(jb&1){jb=Rb()|0;kb=Q;Yua(u);lb=kb;mb=jb;break}Yua(u);k[t>>2]=27468;k[Za>>2]=27488;k[_a>>2]=27560;Yua(eb);Ava(_a);vva(Za);jb=v+56|0;kb=v+4|0;k[v>>2]=27524;k[jb>>2]=27544;B=0;wa(508,v+56|0,kb|0);nb=B;B=0;if(nb&1){nb=Rb()|0;ob=Q;pb=nb;vva(jb);Qb(pb|0)}k[v+128>>2]=0;k[v+132>>2]=-1;k[v>>2]=27468;k[jb>>2]=27488;B=0;va(448,kb|0);nb=B;B=0;do if(nb&1){qb=Rb()|0;rb=Q;sb=qb}else{k[kb>>2]=27560;qb=v+36|0;k[qb>>2]=0;k[qb+4>>2]=0;k[qb+8>>2]=0;k[qb+12>>2]=0;k[v+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,kb|0,c|0);tb=B;B=0;if(tb&1){tb=Rb()|0;ub=Q;Yua(c);Yua(qb);Ava(kb);rb=ub;sb=tb;break}Yua(c);B=0;tb=Ia(40,v|0,69365,10)|0;ub=B;B=0;do if(ub&1)ia=151;else{B=0;vb=Sa(1,tb|0,+(+p[a+72>>3]))|0;wb=B;B=0;if(wb&1){ia=151;break}B=0;Ia(40,vb|0,149177,1)|0;vb=B;B=0;if(vb&1){ia=151;break}B=0;wa(510,w|0,kb|0);vb=B;B=0;if(vb&1){ia=151;break}B=0;ya(424,w|0)|0;vb=B;B=0;if(vb&1){vb=Rb()|0;wb=Q;Yua(w);xb=wb;yb=vb;break}Yua(w);k[v>>2]=27468;k[jb>>2]=27488;k[kb>>2]=27560;Yua(qb);Ava(kb);vva(jb);vb=x+56|0;wb=x+4|0;k[x>>2]=27524;k[vb>>2]=27544;B=0;wa(508,x+56|0,wb|0);zb=B;B=0;if(zb&1){zb=Rb()|0;Ab=Q;Bb=zb;vva(vb);Qb(Bb|0)}k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[vb>>2]=27488;B=0;va(448,wb|0);zb=B;B=0;do if(zb&1){Cb=Rb()|0;Db=Q;Eb=Cb}else{k[wb>>2]=27560;Cb=x+36|0;k[Cb>>2]=0;k[Cb+4>>2]=0;k[Cb+8>>2]=0;k[Cb+12>>2]=0;k[x+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,wb|0,c|0);Fb=B;B=0;if(Fb&1){Fb=Rb()|0;Gb=Q;Yua(c);Yua(Cb);Ava(wb);Db=Gb;Eb=Fb;break}Yua(c);B=0;Fb=Ia(40,x|0,69376,17)|0;Gb=B;B=0;do if(Gb&1)ia=154;else{B=0;Hb=Xa(242,Fb|0,k[a+80>>2]|0)|0;Ib=B;B=0;if(Ib&1){ia=154;break}B=0;Ia(40,Hb|0,149177,1)|0;Hb=B;B=0;if(Hb&1){ia=154;break}B=0;wa(510,y|0,wb|0);Hb=B;B=0;if(Hb&1){ia=154;break}B=0;ya(424,y|0)|0;Hb=B;B=0;if(Hb&1){Hb=Rb()|0;Ib=Q;Yua(y);Jb=Ib;Kb=Hb;break}Yua(y);k[x>>2]=27468;k[vb>>2]=27488;k[wb>>2]=27560;Yua(Cb);Ava(wb);vva(vb);Hb=z+56|0;Ib=z+4|0;k[z>>2]=27524;k[Hb>>2]=27544;B=0;wa(508,z+56|0,Ib|0);Lb=B;B=0;if(Lb&1){Lb=Rb()|0;Mb=Q;Nb=Lb;vva(Hb);Qb(Nb|0)}k[z+128>>2]=0;k[z+132>>2]=-1;k[z>>2]=27468;k[Hb>>2]=27488;B=0;va(448,Ib|0);Lb=B;B=0;do if(Lb&1){Ob=Rb()|0;Pb=Q;Sb=Ob}else{k[Ib>>2]=27560;Ob=z+36|0;k[Ob>>2]=0;k[Ob+4>>2]=0;k[Ob+8>>2]=0;k[Ob+12>>2]=0;k[z+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ib|0,c|0);Tb=B;B=0;if(Tb&1){Tb=Rb()|0;Ub=Q;Yua(c);Yua(Ob);Ava(Ib);Pb=Ub;Sb=Tb;break}Yua(c);B=0;Tb=Ia(40,z|0,69394,10)|0;Ub=B;B=0;do if(!(Ub&1)){B=0;Vb=Xa(247,Tb|0,(i[a+4>>0]|0)!=0|0)|0;Wb=B;B=0;if(Wb&1){ia=157;break}B=0;Ia(40,Vb|0,149177,1)|0;Vb=B;B=0;if(Vb&1){ia=157;break}B=0;wa(510,A|0,Ib|0);Vb=B;B=0;if(Vb&1){ia=157;break}B=0;ya(424,A|0)|0;Vb=B;B=0;if(Vb&1){Vb=Rb()|0;Wb=Q;Yua(A);Xb=Wb;Yb=Vb;break}else{Yua(A);k[z>>2]=27468;k[Hb>>2]=27488;k[Ib>>2]=27560;Yua(Ob);Ava(Ib);vva(Hb);r=b;return}}else ia=157;while(0);if((ia|0)==157){Tb=Rb()|0;Xb=Q;Yb=Tb}k[z>>2]=27468;k[Hb>>2]=27488;k[Ib>>2]=27560;Yua(Ob);Ava(Ib);vva(Hb);Zb=Xb;_b=Yb;Qb(_b|0)}while(0);Mb=Pb;Nb=Sb;vva(Hb);Qb(Nb|0)}while(0);if((ia|0)==154){Fb=Rb()|0;Jb=Q;Kb=Fb}k[x>>2]=27468;k[vb>>2]=27488;k[wb>>2]=27560;Yua(Cb);Ava(wb);vva(vb);Zb=Jb;_b=Kb;Qb(_b|0)}while(0);Ab=Db;Bb=Eb;vva(vb);Qb(Bb|0)}while(0);if((ia|0)==151){tb=Rb()|0;xb=Q;yb=tb}k[v>>2]=27468;k[jb>>2]=27488;k[kb>>2]=27560;Yua(qb);Ava(kb);vva(jb);Zb=xb;_b=yb;Qb(_b|0)}while(0);ob=rb;pb=sb;vva(jb);Qb(pb|0)}while(0);if((ia|0)==148){hb=Rb()|0;lb=Q;mb=hb}k[t>>2]=27468;k[Za>>2]=27488;k[_a>>2]=27560;Yua(eb);Ava(_a);vva(Za);Zb=lb;_b=mb;Qb(_b|0)}while(0);cb=fb;db=gb;vva(Za);Qb(db|0)}while(0);if((ia|0)==145){Wa=Rb()|0;$a=Q;ab=Wa}k[q>>2]=27468;k[La>>2]=27488;k[Ma>>2]=27560;Yua(Ta);Ava(Ma);vva(La);Zb=$a;_b=ab;Qb(_b|0)}while(0);Qa=Ua;Ra=Va;vva(La);Qb(Ra|0)}while(0);if((ia|0)==142){Ja=Rb()|0;Na=Q;Oa=Ja}k[n>>2]=27468;k[xa>>2]=27488;k[za>>2]=27560;Yua(Fa);Ava(za);vva(xa);Zb=Na;_b=Oa;Qb(_b|0)}while(0);Da=Ga;Ea=Ha;vva(xa);Qb(Ea|0)}while(0);if((ia|0)==139){ta=Rb()|0;Aa=Q;Ba=ta}k[l>>2]=27468;k[ja>>2]=27488;k[ka>>2]=27560;Yua(qa);Ava(ka);vva(ja);Zb=Aa;_b=Ba;Qb(_b|0)}while(0);oa=ra;pa=sa;vva(ja);Qb(pa|0)}while(0);if((ia|0)==136){ga=Rb()|0;la=Q;ma=ga}k[h>>2]=27468;k[Y>>2]=27488;k[Z>>2]=27560;Yua(da);Ava(Z);vva(Y);Zb=la;_b=ma;Qb(_b|0)}while(0);ba=ea;ca=fa;vva(Y);Qb(ca|0)}else ia=133;while(0);if((ia|0)==133){W=Rb()|0;_=Q;$=W}k[f>>2]=27468;k[L>>2]=27488;k[M>>2]=27560;Yua(T);Ava(M);vva(L);Zb=_;_b=$;Qb(_b|0)}while(0);R=U;S=V;vva(L);Qb(S|0)}else ia=130;while(0);if((ia|0)==130){K=Rb()|0;N=Q;O=K}k[d>>2]=27468;k[C>>2]=27488;k[D>>2]=27560;Yua(H);Ava(D);vva(C);Zb=N;_b=O;Qb(_b|0)}while(0);F=I;G=J;vva(C);Qb(G|0)}function vo(a){a=a|0;Ec[k[(k[a>>2]|0)+8>>2]&1023](a);return}function wo(a){a=a|0;return k[a+12>>2]|0}function xo(a){a=a|0;return 627}function yo(a){a=a|0;var b=0,c=0,d=0;b=Qqa(88)|0;k[b>>2]=28824;c=b+4|0;d=a+4|0;a=c+80|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(a|0));return b|0}function zo(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;switch(d|0){case 0:{d=k[b>>2]|0;i[d>>0]=115;i[d+1>>0]=2;i[d+2>>0]=0;i[d+3>>0]=0;d=(k[b>>2]|0)+4|0;k[b>>2]=d;i[d>>0]=i[a+4>>0]|0;d=(k[b>>2]|0)+1|0;k[b>>2]=d;n=a+8|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;d=a+12|0;n=l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24;i[o>>0]=n;i[o+1>>0]=n>>8;i[o+2>>0]=n>>16;i[o+3>>0]=n>>24;n=(k[b>>2]|0)+4|0;k[b>>2]=n;o=a+16|0;d=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[n>>0]=d;i[n+1>>0]=d>>8;i[n+2>>0]=d>>16;i[n+3>>0]=d>>24;d=(k[b>>2]|0)+4|0;k[b>>2]=d;n=a+20|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;d=a+24|0;n=d;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d+4|0;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o;o=n;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=n+4|0;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+32|0;n=q;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=q+4|0;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d;d=n;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=n+4|0;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=(k[b>>2]|0)+8|0;k[b>>2]=q;o=a+40|0;n=o;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=q;q=n;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=n+4|0;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+8|0;k[b>>2]=o;d=a+72|0;n=d;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d+4|0;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o;o=n;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=n+4|0;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+80|0;n=l[q>>0]|l[q+1>>0]<<8|l[q+2>>0]<<16|l[q+3>>0]<<24;i[d>>0]=n;i[d+1>>0]=n>>8;i[d+2>>0]=n>>16;i[d+3>>0]=n>>24;k[b>>2]=(k[b>>2]|0)+4;r=e;return}case 2:{k[c>>2]=(k[c>>2]|0)+57;r=e;return}case 1:{c=(k[b>>2]|0)+4|0;k[b>>2]=c;i[a+4>>0]=i[c>>0]|0;c=(k[b>>2]|0)+1|0;k[b>>2]=c;n=a+8|0;d=l[c>>0]|l[c+1>>0]<<8|l[c+2>>0]<<16|l[c+3>>0]<<24;i[n>>0]=d;i[n+1>>0]=d>>8;i[n+2>>0]=d>>16;i[n+3>>0]=d>>24;d=(k[b>>2]|0)+4|0;k[b>>2]=d;n=a+12|0;c=l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24;i[n>>0]=c;i[n+1>>0]=c>>8;i[n+2>>0]=c>>16;i[n+3>>0]=c>>24;c=(k[b>>2]|0)+4|0;k[b>>2]=c;n=a+16|0;d=l[c>>0]|l[c+1>>0]<<8|l[c+2>>0]<<16|l[c+3>>0]<<24;i[n>>0]=d;i[n+1>>0]=d>>8;i[n+2>>0]=d>>16;i[n+3>>0]=d>>24;d=(k[b>>2]|0)+4|0;k[b>>2]=d;n=a+20|0;c=l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24;i[n>>0]=c;i[n+1>>0]=c>>8;i[n+2>>0]=c>>16;i[n+3>>0]=c>>24;c=(k[b>>2]|0)+4|0;k[b>>2]=c;n=a+24|0;i[t>>0]=i[c>>0];i[t+1>>0]=i[c+1>>0];i[t+2>>0]=i[c+2>>0];i[t+3>>0]=i[c+3>>0];i[t+4>>0]=i[c+4>>0];i[t+5>>0]=i[c+5>>0];i[t+6>>0]=i[c+6>>0];i[t+7>>0]=i[c+7>>0];p[t>>3]=+p[t>>3];i[n>>0]=i[t>>0];i[n+1>>0]=i[t+1>>0];i[n+2>>0]=i[t+2>>0];i[n+3>>0]=i[t+3>>0];i[n+4>>0]=i[t+4>>0];i[n+5>>0]=i[t+5>>0];i[n+6>>0]=i[t+6>>0];i[n+7>>0]=i[t+7>>0];n=(k[b>>2]|0)+8|0;k[b>>2]=n;c=a+32|0;i[t>>0]=i[n>>0];i[t+1>>0]=i[n+1>>0];i[t+2>>0]=i[n+2>>0];i[t+3>>0]=i[n+3>>0];i[t+4>>0]=i[n+4>>0];i[t+5>>0]=i[n+5>>0];i[t+6>>0]=i[n+6>>0];i[t+7>>0]=i[n+7>>0];p[t>>3]=+p[t>>3];i[c>>0]=i[t>>0];i[c+1>>0]=i[t+1>>0];i[c+2>>0]=i[t+2>>0];i[c+3>>0]=i[t+3>>0];i[c+4>>0]=i[t+4>>0];i[c+5>>0]=i[t+5>>0];i[c+6>>0]=i[t+6>>0];i[c+7>>0]=i[t+7>>0];c=(k[b>>2]|0)+8|0;k[b>>2]=c;n=a+40|0;i[t>>0]=i[c>>0];i[t+1>>0]=i[c+1>>0];i[t+2>>0]=i[c+2>>0];i[t+3>>0]=i[c+3>>0];i[t+4>>0]=i[c+4>>0];i[t+5>>0]=i[c+5>>0];i[t+6>>0]=i[c+6>>0];i[t+7>>0]=i[c+7>>0];p[t>>3]=+p[t>>3];i[n>>0]=i[t>>0];i[n+1>>0]=i[t+1>>0];i[n+2>>0]=i[t+2>>0];i[n+3>>0]=i[t+3>>0];i[n+4>>0]=i[t+4>>0];i[n+5>>0]=i[t+5>>0];i[n+6>>0]=i[t+6>>0];i[n+7>>0]=i[t+7>>0];n=(k[b>>2]|0)+8|0;k[b>>2]=n;c=a+72|0;i[t>>0]=i[n>>0];i[t+1>>0]=i[n+1>>0];i[t+2>>0]=i[n+2>>0];i[t+3>>0]=i[n+3>>0];i[t+4>>0]=i[n+4>>0];i[t+5>>0]=i[n+5>>0];i[t+6>>0]=i[n+6>>0];i[t+7>>0]=i[n+7>>0];p[t>>3]=+p[t>>3];i[c>>0]=i[t>>0];i[c+1>>0]=i[t+1>>0];i[c+2>>0]=i[t+2>>0];i[c+3>>0]=i[t+3>>0];i[c+4>>0]=i[t+4>>0];i[c+5>>0]=i[t+5>>0];i[c+6>>0]=i[t+6>>0];i[c+7>>0]=i[t+7>>0];c=(k[b>>2]|0)+8|0;k[b>>2]=c;n=a+80|0;a=l[c>>0]|l[c+1>>0]<<8|l[c+2>>0]<<16|l[c+3>>0]<<24;i[n>>0]=a;i[n+1>>0]=a>>8;i[n+2>>0]=a>>16;i[n+3>>0]=a>>24;k[b>>2]=(k[b>>2]|0)+4;r=e;return}default:{e=g+56|0;b=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;s=Q;u=a;vva(e);Qb(u|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,b|0);a=B;B=0;do if(a&1){n=Rb()|0;v=Q;w=n}else{k[b>>2]=27560;n=g+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,b|0,f|0);c=B;B=0;if(c&1){c=Rb()|0;d=Q;Yua(f);Yua(n);Ava(b);v=d;w=c;break}Yua(f);B=0;c=Ia(40,g|0,143951,43)|0;d=B;B=0;if(!(d&1)?(B=0,Xa(239,c|0,0)|0,c=B,B=0,!(c&1)):0){c=Ab(20)|0;B=0;eb(502,h|0,69405,65);d=B;B=0;do if(!(d&1)){B=0;eb(502,j|0,149525,8);q=B;B=0;if(q&1){q=Rb()|0;o=Q;Yua(h);x=o;y=q;break}B=0;wa(510,m|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;z=Q;A=q;C=1}else{B=0;ua(163,c|0,h|0,j|0,100,m|0);q=B;B=0;if(q&1)D=1;else{B=0;eb(503,c|0,1240,229);B=0;D=0}q=Rb()|0;o=Q;Yua(m);z=o;A=q;C=D}Yua(j);Yua(h);if(C){x=z;y=A}else{E=z;F=A;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(n);Ava(b);vva(e);Qb(F|0)}}else{q=Rb()|0;x=Q;y=q}while(0);zb(c|0);E=x;F=y;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(n);Ava(b);vva(e);Qb(F|0)}d=Rb()|0;E=Q;F=d;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(n);Ava(b);vva(e);Qb(F|0)}while(0);s=v;u=w;vva(e);Qb(u|0)}}}function Ao(a){a=a|0;return k[a+80>>2]|0}function Bo(a){a=a|0;return k[a+16>>2]|0}function Co(a){a=a|0;return k[a+20>>2]|0}function Do(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0.0,q=0,s=0.0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;b=r;r=r+208|0;h=b+184|0;i=b;j=b+48|0;l=b+32|0;m=b+20|0;n=b+8|0;dO(e,i,358);switch(k[a+8>>2]|0){case 301:{e=a+32|0;o=+p[e>>3];q=k[a+20>>2]|0;s=+p[g+(q<<3)>>3];t=s+ +p[a+72>>3]*(+p[f+(q<<3)>>3]-s);s=+p[i>>3];p[e>>3]=t;if(!(k[c>>2]|0)){r=b;return}e=k[k[c+4>>2]>>2]|0;Jc[k[(k[e>>2]|0)+20>>2]&1](e,q,(t-o)/s,0);r=b;return}case 302:{q=a+40|0;s=+p[q>>3];e=k[a+20>>2]|0;o=+p[g+(e<<3)>>3];t=o+ +p[a+72>>3]*(+p[f+(e<<3)>>3]-o);o=+p[i>>3];p[q>>3]=t;if(!(k[d>>2]|0)){r=b;return}q=k[k[d+4>>2]>>2]|0;Jc[k[(k[q>>2]|0)+20>>2]&1](q,e,(t-s)/o,0);r=b;return}case 300:{r=b;return}default:{b=j+56|0;e=j+4|0;k[j>>2]=27524;k[b>>2]=27544;B=0;wa(508,j+56|0,e|0);q=B;B=0;if(q&1){q=Rb()|0;u=Q;v=q;vva(b);Qb(v|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[b>>2]=27488;B=0;va(448,e|0);q=B;B=0;do if(q&1){d=Rb()|0;w=Q;x=d}else{k[e>>2]=27560;d=j+36|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[j+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,e|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;f=Q;Yua(h);Yua(d);Ava(e);w=f;x=i;break}Yua(h);B=0;i=Ia(40,j|0,143640,15)|0;f=B;B=0;if(!(f&1)?(B=0,Xa(239,i|0,0)|0,i=B,B=0,!(i&1)):0){i=Ab(20)|0;B=0;eb(502,l|0,69405,65);f=B;B=0;do if(!(f&1)){B=0;eb(502,m|0,69471,14);a=B;B=0;if(a&1){a=Rb()|0;g=Q;Yua(l);y=g;z=a;break}B=0;wa(510,n|0,e|0);a=B;B=0;if(a&1){a=Rb()|0;A=Q;C=a;D=1}else{B=0;ua(163,i|0,l|0,m|0,177,n|0);a=B;B=0;if(a&1)E=1;else{B=0;eb(503,i|0,1240,229);B=0;E=0}a=Rb()|0;g=Q;Yua(n);A=g;C=a;D=E}Yua(m);Yua(l);if(D){y=A;z=C}else{F=A;G=C;k[j>>2]=27468;k[b>>2]=27488;k[e>>2]=27560;Yua(d);Ava(e);vva(b);Qb(G|0)}}else{a=Rb()|0;y=Q;z=a}while(0);zb(i|0);F=y;G=z;k[j>>2]=27468;k[b>>2]=27488;k[e>>2]=27560;Yua(d);Ava(e);vva(b);Qb(G|0)}f=Rb()|0;F=Q;G=f;k[j>>2]=27468;k[b>>2]=27488;k[e>>2]=27560;Yua(d);Ava(e);vva(b);Qb(G|0)}while(0);u=w;v=x;vva(b);Qb(v|0)}}}function Eo(a,b){a=a|0;b=b|0;var c=0;c=k[b>>2]|0;if(i[a+4>>0]|0)return;k[a+20>>2]=c;k[b>>2]=c+1;return}function Fo(a,b){a=a|0;b=b|0;var c=0;if(i[a+4>>0]|0)return;c=a+20|0;k[c>>2]=(k[c>>2]|0)+b;return}function Go(a,b){a=a|0;b=b|0;if(i[a+4>>0]|0)return;k[b+(k[a+16>>2]<<2)>>2]=k[a+20>>2];return}function Ho(a,b){a=a|0;b=b|0;if(!(i[a+4>>0]|0))return;k[a+20>>2]=k[b+(k[a+16>>2]<<2)>>2];return}function Io(a,b){a=a|0;b=b|0;var c=0;c=vY()|0;i[a+4>>0]=(k[b+(k[a+16>>2]<<2)>>2]|0)!=(c|0)&1;return}function Jo(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;if(i[a+4>>0]|0)return;f=a+16|0;g=k[f>>2]|0;h=(k[b>>2]|0)==0;if(e){if(!h){e=k[k[b+4>>2]>>2]|0;Jc[k[(k[e>>2]|0)+20>>2]&1](e,g,+p[a+48>>3],0)}if(k[c>>2]|0){e=k[k[c+4>>2]>>2]|0;Jc[k[(k[e>>2]|0)+20>>2]&1](e,k[f>>2]|0,+p[a+56>>3],0)}if(!(k[d>>2]|0))return;e=k[k[d+4>>2]>>2]|0;Jc[k[(k[e>>2]|0)+20>>2]&1](e,k[f>>2]|0,+p[a+64>>3],0);return}else{if(!h){h=k[k[b+4>>2]>>2]|0;Jc[k[(k[h>>2]|0)+20>>2]&1](h,g,+p[a+24>>3],0)}if(k[c>>2]|0){g=k[k[c+4>>2]>>2]|0;Jc[k[(k[g>>2]|0)+20>>2]&1](g,k[f>>2]|0,+p[a+32>>3],0)}if(!(k[d>>2]|0))return;g=k[k[d+4>>2]>>2]|0;Jc[k[(k[g>>2]|0)+20>>2]&1](g,k[f>>2]|0,+p[a+40>>3],0);return}}function Ko(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;e=(c|0)>0;if(d){if(e)f=0;else return;do{d=k[b+(f<<2)>>2]|0;g=f*3|0;p[a+(g<<3)>>3]=+p[d+48>>3];p[a+(g+1<<3)>>3]=+p[d+56>>3];p[a+(g+2<<3)>>3]=+p[d+64>>3];f=f+1|0}while((f|0)!=(c|0));return}else{if(e)h=0;else return;do{e=k[b+(h<<2)>>2]|0;f=h*3|0;p[a+(f<<3)>>3]=+p[e+24>>3];p[a+(f+1<<3)>>3]=+p[e+32>>3];p[a+(f+2<<3)>>3]=+p[e+40>>3];h=h+1|0}while((h|0)!=(c|0));return}}function Lo(a){a=a|0;gh(a);k[a+12>>2]=553;return}function Mo(a){a=a|0;jh(a);return}function No(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=r;r=r+16|0;d=c;e=c+4|0;k[d>>2]=0;lO(b,d,951);bO(b,e,326);if((th(a)|0)>0)f=0;else{r=c;return}do{b=qh(a,f)|0;nd[k[(k[b>>2]|0)+32>>2]&1023](b,k[d>>2]|0,(i[e>>0]|0)!=0);f=f+1|0}while((f|0)<(th(a)|0));r=c;return}function Oo(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;if((th(a)|0)<=0){ih(a,b)|0;return 1}c=0;while(1){d=qh(a,c)|0;e=Hc[k[(k[d>>2]|0)+40>>2]&511](d)|0;if((e|0)==(Hc[k[(k[b>>2]|0)+40>>2]&511](b)|0)){e=Hc[k[(k[d>>2]|0)+36>>2]&511](d)|0;f=Hc[k[(k[b>>2]|0)+36>>2]&511](b)|0;if(!(Ita(f,e)|0)){g=d;h=e;i=f;break}if(e)Tqa(e);if(f)Tqa(f)}c=c+1|0;if((c|0)>=(th(a)|0)){j=14;break}}if((j|0)==14){ih(a,b)|0;return 1}mh(a,g)|0;if(h)Tqa(h);if(!i){ih(a,b)|0;return 1}Tqa(i);ih(a,b)|0;return 1}function Po(a){a=a|0;var b=0;k[a>>2]=28864;k[a+4>>2]=29420;k[a+8>>2]=-1;k[a+12>>2]=-1;b=a+16|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[b+16>>2]=0;k[b+20>>2]=0;k[b+24>>2]=0;return}function Qo(a){a=a|0;var b=0,c=0;k[a>>2]=28864;k[a+4>>2]=29420;b=a+40|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=k[a+16>>2]|0;if(!b)return;jC(b);Sqa(b);return}function Ro(a){a=a|0;var b=0,c=0;k[a>>2]=28864;k[a+4>>2]=29420;b=a+40|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=k[a+16>>2]|0;if(!b){Sqa(a);return}jC(b);Sqa(b);Sqa(a);return}function So(a,b){a=a|0;b=b|0;mC(k[a+16>>2]|0,b)|0;return}function To(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0;b=r;r=r+96|0;c=b+80|0;d=b+72|0;e=b+64|0;f=b+56|0;g=b+48|0;h=b+40|0;i=b+32|0;j=b+24|0;l=b+16|0;m=b+8|0;n=b;o=b+92|0;q=b+88|0;s=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;t=s*3|0;u=Rqa(t>>>0>536870911?-1:t<<3)|0;Ko(u,k[a+24>>2]|0,s,0);Vo(a);s=a+36|0;cO(k[s>>2]|0,o,299);dO(k[s>>2]|0,i,236);dO(k[s>>2]|0,j,235);t=a+16|0;v=oC(k[t>>2]|0,725)|0;w=oC(k[t>>2]|0,728)|0;x=oC(k[t>>2]|0,726)|0;if((k[o>>2]|0)==3){y=oC(k[t>>2]|0,727)|0;z=oC(k[t>>2]|0,729)|0;A=y;B=z;C=oC(k[t>>2]|0,730)|0}else{A=0;B=0;C=0}z=Hc[k[(k[a>>2]|0)+164>>2]&511](a)|0;y=Rqa(z>>>0>536870911?-1:z<<3)|0;D=oC(k[t>>2]|0,217)|0;cO(k[s>>2]|0,q,298);s=k[t>>2]|0;if((k[q>>2]|0)==300){E=oC(s,227)|0;F=oC(k[t>>2]|0,215)|0;G=E}else{E=oC(s,225)|0;F=oC(k[t>>2]|0,214)|0;G=E}E=Hc[k[(k[a>>2]|0)+304>>2]&511](a)|0;if((z|0)>0){t=0;do{s=k[(k[E>>2]|0)+32>>2]|0;H=Hc[k[(k[a>>2]|0)+128>>2]&511](a)|0;nd[s&1023](E,H,t);nd[k[(k[v>>2]|0)+48>>2]&1023](v,c,E);nd[k[(k[w>>2]|0)+48>>2]&1023](w,e,E);nd[k[(k[x>>2]|0)+48>>2]&1023](x,d,E);if((k[o>>2]|0)==3){nd[k[(k[A>>2]|0)+48>>2]&1023](A,f,E);nd[k[(k[B>>2]|0)+48>>2]&1023](B,g,E);nd[k[(k[C>>2]|0)+48>>2]&1023](C,h,E);I=+p[f>>3];J=+p[g>>3]}else{p[f>>3]=0.0;p[g>>3]=0.0;p[h>>3]=0.0;I=0.0;J=0.0}K=+p[c>>3];L=+p[e>>3];M=+p[d>>3];N=+aa(+(K*L+(K*K+L*L+M*M+I*I+J*J)+1.0e-54));nd[k[(k[F>>2]|0)+48>>2]&1023](F,l,E);nd[k[(k[D>>2]|0)+48>>2]&1023](D,n,E);nd[k[(k[G>>2]|0)+48>>2]&1023](G,m,E);M=+p[n>>3];L=+ba(+(+p[j>>3]/+p[l>>3]),+M);do if(N>L){K=+ba(+(L/N),+(1.0/M));O=1.0-K*+ja(+(-(N-L)/(L*(+p[i>>3]+-1.0))));K=+p[m>>3];H=y+(t<<3)|0;if(O>K){p[H>>3]=O;break}else{p[H>>3]=K;break}}else p[y+(t<<3)>>3]=+p[m>>3];while(0);t=t+1|0}while((t|0)!=(z|0))}z=k[a>>2]|0;t=k[z+48>>2]|0;m=Hc[k[z+128>>2]&511](a)|0;rd[t&511](a,245,y,m);m=(k[q>>2]|0)==300;q=k[a>>2]|0;t=k[q+48>>2]|0;z=Hc[k[q+128>>2]&511](a)|0;if(m)rd[t&511](a,227,y,z);else rd[t&511](a,225,y,z);Tqa(u);Tqa(y);if(!E){r=b;return}Ec[k[(k[E>>2]|0)+4>>2]&1023](E);r=b;return}function Uo(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;d=c*3|0;e=Rqa(d>>>0>536870911?-1:d<<3)|0;Ko(e,k[a+24>>2]|0,c,0);k[b>>2]=e;return}function Vo(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0;b=r;r=r+64|0;c=b+48|0;d=b;e=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;f=e*3|0;g=Rqa(f>>>0>536870911?-1:f<<3)|0;Ko(g,k[a+24>>2]|0,e,0);cO(k[a+36>>2]|0,c,299);e=a+16|0;f=oC(k[e>>2]|0,674)|0;h=oC(k[e>>2]|0,677)|0;if((k[c>>2]|0)==3)i=oC(k[e>>2]|0,679)|0;else i=0;e=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;j=e>>>0>536870911?-1:e<<3;l=Rqa(j)|0;m=Rqa(j)|0;n=Rqa(j)|0;o=Rqa(j)|0;q=Rqa(j)|0;s=Rqa(j)|0;t=Rqa(j)|0;j=Hc[k[(k[a>>2]|0)+304>>2]&511](a)|0;if((e|0)>0){u=d+8|0;v=d+16|0;w=d+24|0;x=d+32|0;y=d+40|0;z=0;do{Fc[k[(k[j>>2]|0)+28>>2]&1023](j,z);if((k[c>>2]|0)==2)Xo(0,d,g,j,f,h);else Yo(0,d,g,j,f,h,i);A=(k[c>>2]|0)==2;B=+p[d>>3];p[l+(z<<3)>>3]=B;C=+p[u>>3];p[m+(z<<3)>>3]=C;D=+p[v>>3];if(A){E=+aa(+(B*B+C*C+D*(D*2.0)))*.7071067811865475;F=D}else{p[n+(z<<3)>>3]=D;D=+p[w>>3];G=+p[x>>3];p[q+(z<<3)>>3]=G;H=+p[y>>3];p[s+(z<<3)>>3]=H;E=+aa(+(B*C+(B*B+C*C+D*D+G*G+H*H)));F=D}p[o+(z<<3)>>3]=F;p[t+(z<<3)>>3]=E;z=z+1|0}while((z|0)!=(e|0))}rd[k[(k[a>>2]|0)+48>>2]&511](a,725,l,738);rd[k[(k[a>>2]|0)+48>>2]&511](a,726,o,738);rd[k[(k[a>>2]|0)+48>>2]&511](a,727,q,738);rd[k[(k[a>>2]|0)+48>>2]&511](a,728,m,738);rd[k[(k[a>>2]|0)+48>>2]&511](a,729,s,738);rd[k[(k[a>>2]|0)+48>>2]&511](a,730,n,738);rd[k[(k[a>>2]|0)+48>>2]&511](a,264,t,738);if(!j){Tqa(g);Tqa(l);Tqa(m);Tqa(n);Tqa(o);Tqa(q);Tqa(s);Tqa(t);r=b;return}Ec[k[(k[j>>2]|0)+4>>2]&1023](j);Tqa(g);Tqa(l);Tqa(m);Tqa(n);Tqa(o);Tqa(q);Tqa(s);Tqa(t);r=b;return}function Wo(a,b){a=a|0;b=b|0;return oC(k[a+16>>2]|0,b)|0}function Xo(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+240|0;g=a+224|0;h=a+24|0;i=a;j=a+88|0;l=a+72|0;m=a+60|0;n=a+48|0;if((e|0)!=0&(f|0)!=0){rd[k[(k[e>>2]|0)+60>>2]&511](e,h,c,d);rd[k[(k[f>>2]|0)+60>>2]&511](f,i,c,d);p[b>>3]=+p[h>>3];p[b+8>>3]=+p[i+8>>3];p[b+16>>3]=(+p[h+8>>3]+ +p[i>>3])*.5;r=a;return}a=j+56|0;i=j+4|0;k[j>>2]=27524;k[a>>2]=27544;B=0;wa(508,j+56|0,i|0);h=B;B=0;if(h&1){h=Rb()|0;o=Q;q=h;vva(a);Qb(q|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[a>>2]=27488;B=0;va(448,i|0);h=B;B=0;do if(h&1){b=Rb()|0;s=Q;t=b}else{k[i>>2]=27560;b=j+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[j+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,i|0,g|0);d=B;B=0;if(d&1){d=Rb()|0;c=Q;Yua(g);Yua(b);Ava(i);s=c;t=d;break}Yua(g);B=0;d=Ia(40,j|0,69495,59)|0;c=B;B=0;if(((((!(c&1)?(B=0,c=Xa(245,d|0,e|0)|0,d=B,B=0,!(d&1)):0)?(B=0,d=Ia(40,c|0,69555,6)|0,c=B,B=0,!(c&1)):0)?(B=0,c=Xa(245,d|0,f|0)|0,d=B,B=0,!(d&1)):0)?(B=0,d=Ia(40,c|0,149177,1)|0,c=B,B=0,!(c&1)):0)?(B=0,Xa(239,d|0,0)|0,d=B,B=0,!(d&1)):0){d=Ab(20)|0;B=0;eb(502,l|0,69562,75);c=B;B=0;do if(!(c&1)){B=0;eb(502,m|0,69638,13);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(l);w=v;x=u;break}B=0;wa(510,n|0,i|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,d|0,l|0,m|0,2634,n|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,d|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(n);y=v;z=u;A=C}Yua(m);Yua(l);if(A){w=y;x=z}else{D=y;E=z;k[j>>2]=27468;k[a>>2]=27488;k[i>>2]=27560;Yua(b);Ava(i);vva(a);Qb(E|0)}}else{u=Rb()|0;w=Q;x=u}while(0);zb(d|0);D=w;E=x;k[j>>2]=27468;k[a>>2]=27488;k[i>>2]=27560;Yua(b);Ava(i);vva(a);Qb(E|0)}c=Rb()|0;D=Q;E=c;k[j>>2]=27468;k[a>>2]=27488;k[i>>2]=27560;Yua(b);Ava(i);vva(a);Qb(E|0)}while(0);o=s;q=t;vva(a);Qb(q|0)}function Yo(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;a=r;r=r+272|0;h=a+248|0;i=a+48|0;j=a+24|0;l=a;m=a+112|0;n=a+96|0;o=a+84|0;q=a+72|0;if((e|0)!=0&(f|0)!=0&(g|0)!=0){rd[k[(k[e>>2]|0)+60>>2]&511](e,i,c,d);rd[k[(k[f>>2]|0)+60>>2]&511](f,j,c,d);rd[k[(k[g>>2]|0)+60>>2]&511](g,l,c,d);p[b>>3]=+p[i>>3];p[b+8>>3]=+p[j+8>>3];p[b+16>>3]=+p[l+16>>3];p[b+24>>3]=(+p[i+8>>3]+ +p[j>>3])*.5;p[b+32>>3]=(+p[i+16>>3]+ +p[l>>3])*.5;p[b+40>>3]=(+p[j+16>>3]+ +p[l+8>>3])*.5;r=a;return}a=m+56|0;l=m+4|0;k[m>>2]=27524;k[a>>2]=27544;B=0;wa(508,m+56|0,l|0);j=B;B=0;if(j&1){j=Rb()|0;s=Q;t=j;vva(a);Qb(t|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[a>>2]=27488;B=0;va(448,l|0);j=B;B=0;do if(j&1){b=Rb()|0;u=Q;v=b}else{k[l>>2]=27560;b=m+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[m+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,l|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;d=Q;Yua(h);Yua(b);Ava(l);u=d;v=i;break}Yua(h);B=0;i=Ia(40,m|0,69495,59)|0;d=B;B=0;if(((((((!(d&1)?(B=0,d=Xa(245,i|0,e|0)|0,i=B,B=0,!(i&1)):0)?(B=0,i=Ia(40,d|0,69555,6)|0,d=B,B=0,!(d&1)):0)?(B=0,d=Xa(245,i|0,f|0)|0,i=B,B=0,!(i&1)):0)?(B=0,i=Ia(40,d|0,69652,6)|0,d=B,B=0,!(d&1)):0)?(B=0,d=Xa(245,i|0,g|0)|0,i=B,B=0,!(i&1)):0)?(B=0,i=Ia(40,d|0,149177,1)|0,d=B,B=0,!(d&1)):0)?(B=0,Xa(239,i|0,0)|0,i=B,B=0,!(i&1)):0){i=Ab(20)|0;B=0;eb(502,n|0,69562,75);d=B;B=0;do if(!(d&1)){B=0;eb(502,o|0,69659,12);c=B;B=0;if(c&1){c=Rb()|0;w=Q;Yua(n);x=c;y=w;break}B=0;wa(510,q|0,l|0);w=B;B=0;if(w&1){w=Rb()|0;z=Q;A=w;C=1}else{B=0;ua(163,i|0,n|0,o|0,2557,q|0);w=B;B=0;if(w&1)D=1;else{B=0;eb(503,i|0,1240,229);B=0;D=0}w=Rb()|0;c=Q;Yua(q);z=c;A=w;C=D}Yua(o);Yua(n);if(C){x=A;y=z}else{E=A;F=z;k[m>>2]=27468;k[a>>2]=27488;k[l>>2]=27560;Yua(b);Ava(l);vva(a);Qb(E|0)}}else{w=Rb()|0;x=w;y=Q}while(0);zb(i|0);E=x;F=y;k[m>>2]=27468;k[a>>2]=27488;k[l>>2]=27560;Yua(b);Ava(l);vva(a);Qb(E|0)}d=Rb()|0;E=d;F=Q;k[m>>2]=27468;k[a>>2]=27488;k[l>>2]=27560;Yua(b);Ava(l);vva(a);Qb(E|0)}while(0);s=u;t=v;vva(a);Qb(t|0)}function Zo(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0;b=r;r=r+144|0;c=b+128|0;d=b+120|0;e=b+112|0;f=b+88|0;g=b+64|0;h=b+40|0;i=b+16|0;j=b+8|0;l=b;m=b+136|0;n=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;o=n*3|0;q=Rqa(o>>>0>536870911?-1:o<<3)|0;Ko(q,k[a+24>>2]|0,n,0);cO(k[a+36>>2]|0,m,299);n=a+16|0;o=oC(k[n>>2]|0,674)|0;s=oC(k[n>>2]|0,677)|0;if((k[m>>2]|0)==3)t=oC(k[n>>2]|0,679)|0;else t=0;n=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;u=n>>>0>536870911?-1:n<<3;v=Rqa(u)|0;w=Rqa(u)|0;x=Rqa(u)|0;y=Rqa(u)|0;z=Rqa(u)|0;A=Rqa(u)|0;B=Rqa(u)|0;u=Hc[k[(k[a>>2]|0)+304>>2]&511](a)|0;if((n|0)>0){C=i+8|0;D=i+16|0;E=h+8|0;F=g+16|0;G=f+16|0;H=f+8|0;I=g+8|0;J=h+16|0;K=0;do{Fc[k[(k[u>>2]|0)+28>>2]&1023](u,K);nd[k[(k[o>>2]|0)+48>>2]&1023](o,c,u);rd[k[(k[o>>2]|0)+60>>2]&511](o,f,q,u);nd[k[(k[s>>2]|0)+48>>2]&1023](s,d,u);rd[k[(k[s>>2]|0)+60>>2]&511](s,g,q,u);if((k[m>>2]|0)==3){nd[k[(k[t>>2]|0)+48>>2]&1023](t,e,u);rd[k[(k[t>>2]|0)+60>>2]&511](t,h,q,u);L=+p[e>>3]}else{p[e>>3]=0.0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;k[h+16>>2]=0;k[h+20>>2]=0;L=0.0}M=+p[c>>3];N=+p[d>>3];O=+aa(+(M*M+N*N+L*L));if(O<1.0e-12){k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;k[i+12>>2]=0;k[i+16>>2]=0;k[i+20>>2]=0;P=1.0e-12}else{Q=1.0/(+aa(+O)*2.0);R=M*2.0;S=N*2.0;T=L*2.0;p[i>>3]=Q*(R*+p[f>>3]+S*+p[g>>3]+T*+p[h>>3]);p[C>>3]=Q*(R*+p[H>>3]+S*+p[I>>3]+T*+p[E>>3]);p[D>>3]=Q*(R*+p[G>>3]+S*+p[F>>3]+T*+p[J>>3]);P=O}_Y(j,l,M,N,L,P,f,g,h,i);N=+aZ(+p[j>>3],+p[l>>3]);p[v+(K<<3)>>3]=N;N=+p[E>>3]-+p[F>>3];p[w+(K<<3)>>3]=N;M=+p[G>>3]-+p[h>>3];p[x+(K<<3)>>3]=M;O=+p[g>>3]-+p[H>>3];p[y+(K<<3)>>3]=O;T=+p[C>>3];S=+p[e>>3];R=+p[D>>3];Q=+p[d>>3];p[z+(K<<3)>>3]=(T*S-R*Q)*2.0/P-N;N=+p[c>>3];U=+p[i>>3];p[A+(K<<3)>>3]=(R*N-U*S)*2.0/P-M;p[B+(K<<3)>>3]=(U*Q-T*N)*2.0/P-O;K=K+1|0}while((K|0)!=(n|0))}rd[k[(k[a>>2]|0)+48>>2]&511](a,723,v,738);rd[k[(k[a>>2]|0)+48>>2]&511](a,790,w,738);rd[k[(k[a>>2]|0)+48>>2]&511](a,791,x,738);rd[k[(k[a>>2]|0)+48>>2]&511](a,792,y,738);rd[k[(k[a>>2]|0)+48>>2]&511](a,800,z,738);rd[k[(k[a>>2]|0)+48>>2]&511](a,801,A,738);rd[k[(k[a>>2]|0)+48>>2]&511](a,802,B,738);if(!u){Tqa(q);Tqa(v);r=b;return}Ec[k[(k[u>>2]|0)+4>>2]&1023](u);Tqa(q);Tqa(v);r=b;return}function _o(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0.0,Z=0.0,_=0.0,$=0.0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0,oa=0;a=r;r=r+432|0;f=a+416|0;g=a;h=a+280|0;i=a+268|0;j=a+256|0;l=a+108|0;m=a+120|0;n=a+96|0;o=a+84|0;q=a+72|0;s=(d|0)>0;a:do if(s){t=0;u=0;b:while(1){v=e+(t<<2)|0;switch(k[v>>2]|0){case 653:{w=u+1|0;break}case 971:{w=u+2|0;break}case 972:{w=u+3|0;break}default:{x=v;break b}}t=t+1|0;if((t|0)>=(d|0)){y=w;break a}else u=w}u=h+56|0;t=h+4|0;k[h>>2]=27524;k[u>>2]=27544;B=0;wa(508,h+56|0,t|0);v=B;B=0;if(v&1){v=Rb()|0;z=Q;A=v;vva(u);Qb(A|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[u>>2]=27488;B=0;va(448,t|0);v=B;B=0;do if(v&1){C=Rb()|0;D=Q;E=C}else{k[t>>2]=27560;C=h+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[h+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,t|0,f|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(f);Yua(C);Ava(t);D=G;E=F;break}Yua(f);B=0;F=Ia(40,h|0,69672,18)|0;G=B;B=0;c:do if((((!(G&1)?(B=0,H=ya(427,k[x>>2]|0)|0,I=B,B=0,!(I&1)):0)?(I=Lta(H)|0,B=0,J=Ia(40,F|0,H|0,I|0)|0,I=B,B=0,!(I&1)):0)?(B=0,I=Ia(40,J|0,146481,18)|0,J=B,B=0,!(J&1)):0)?(B=0,Xa(239,I|0,0)|0,I=B,B=0,!(I&1)):0){I=Ab(20)|0;B=0;eb(502,i|0,69562,75);J=B;B=0;do if(!(J&1)){B=0;eb(502,j|0,69691,25);H=B;B=0;if(H&1){H=Rb()|0;K=Q;Yua(i);L=H;M=K;break}B=0;wa(510,l|0,t|0);K=B;B=0;if(K&1){K=Rb()|0;N=Q;O=K;P=1}else{B=0;ua(163,I|0,i|0,j|0,328,l|0);K=B;B=0;if(K&1)R=1;else{B=0;eb(503,I|0,1240,229);B=0;R=0}K=Rb()|0;H=Q;Yua(l);N=H;O=K;P=R}Yua(j);Yua(i);if(P){L=O;M=N}else{S=O;T=N;break c}}else{K=Rb()|0;L=K;M=Q}while(0);zb(I|0);S=L;T=M}else U=24;while(0);if((U|0)==24){F=Rb()|0;S=F;T=Q}k[h>>2]=27468;k[u>>2]=27488;k[t>>2]=27560;Yua(C);Ava(t);vva(u);V=T;W=S;Qb(W|0)}while(0);z=D;A=E;vva(u);Qb(A|0)}else y=0;while(0);A=ma(y,y)|0;E=Rqa(A>>>0>536870911?-1:A<<3)|0;if(A)WEa(E|0,0,((A|0)>1?A:1)<<3|0)|0;if(!s){k[b>>2]=E;r=a;return}s=g+24|0;A=g+8|0;D=g+16|0;z=g+32|0;S=g+40|0;T=g+48|0;h=g+56|0;M=g+64|0;L=0;N=0;d:while(1){Sn(k[c+(N<<2)>>2]|0,g);O=e+(N<<2)|0;switch(k[O>>2]|0){case 653:{P=E+((ma(L,y)|0)+L<<3)|0;p[P>>3]=1.0;X=L+1|0;break}case 971:{Y=+p[g>>3];Z=+p[s>>3];_=+aa(+(Y*Y+Z*Z));$=Y/_;P=(ma(L,y)|0)+L|0;p[E+(P<<3)>>3]=$;p[E+(P+1<<3)>>3]=-Z/_;P=(ma(L+1|0,y)|0)+L|0;p[E+(P<<3)>>3]=Z/_;p[E+(P+1<<3)>>3]=$;X=L+2|0;break}case 972:{P=(ma(L,y)|0)+L|0;p[E+(P<<3)>>3]=+p[g>>3];p[E+(P+1<<3)>>3]=+p[A>>3];p[E+(P+2<<3)>>3]=+p[D>>3];P=(ma(L+1|0,y)|0)+L|0;p[E+(P<<3)>>3]=+p[s>>3];p[E+(P+1<<3)>>3]=+p[z>>3];p[E+(P+2<<3)>>3]=+p[S>>3];P=(ma(L+2|0,y)|0)+L|0;p[E+(P<<3)>>3]=+p[T>>3];p[E+(P+1<<3)>>3]=+p[h>>3];p[E+(P+2<<3)>>3]=+p[M>>3];X=L+3|0;break}default:{ba=O;break d}}N=N+1|0;if((N|0)>=(d|0)){U=68;break}else L=X}if((U|0)==68){k[b>>2]=E;r=a;return}a=m+56|0;E=m+4|0;k[m>>2]=27524;k[a>>2]=27544;B=0;wa(508,m+56|0,E|0);b=B;B=0;if(b&1){b=Rb()|0;ca=Q;da=b;vva(a);Qb(da|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[a>>2]=27488;B=0;va(448,E|0);b=B;B=0;do if(b&1){X=Rb()|0;ea=Q;fa=X}else{k[E>>2]=27560;X=m+36|0;k[X>>2]=0;k[X+4>>2]=0;k[X+8>>2]=0;k[X+12>>2]=0;k[m+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,E|0,f|0);L=B;B=0;if(L&1){L=Rb()|0;d=Q;Yua(f);Yua(X);Ava(E);ea=d;fa=L;break}Yua(f);B=0;L=Ia(40,m|0,69672,18)|0;d=B;B=0;e:do if((((!(d&1)?(B=0,N=ya(427,k[ba>>2]|0)|0,M=B,B=0,!(M&1)):0)?(M=Lta(N)|0,B=0,h=Ia(40,L|0,N|0,M|0)|0,M=B,B=0,!(M&1)):0)?(B=0,M=Ia(40,h|0,146481,18)|0,h=B,B=0,!(h&1)):0)?(B=0,Xa(239,M|0,0)|0,M=B,B=0,!(M&1)):0){M=Ab(20)|0;B=0;eb(502,n|0,69562,75);h=B;B=0;do if(!(h&1)){B=0;eb(502,o|0,69691,25);N=B;B=0;if(N&1){N=Rb()|0;T=Q;Yua(n);ga=N;ha=T;break}B=0;wa(510,q|0,E|0);T=B;B=0;if(T&1){T=Rb()|0;ia=1;ja=Q;ka=T}else{B=0;ua(163,M|0,n|0,o|0,377,q|0);T=B;B=0;if(T&1)la=1;else{B=0;eb(503,M|0,1240,229);B=0;la=0}T=Rb()|0;N=Q;Yua(q);ia=la;ja=N;ka=T}Yua(o);Yua(n);if(ia){ga=ka;ha=ja}else{na=ja;oa=ka;break e}}else{T=Rb()|0;ga=T;ha=Q}while(0);zb(M|0);na=ha;oa=ga}else U=59;while(0);if((U|0)==59){L=Rb()|0;na=Q;oa=L}k[m>>2]=27468;k[a>>2]=27488;k[E>>2]=27560;Yua(X);Ava(E);vva(a);V=na;W=oa;Qb(W|0)}while(0);ca=ea;da=fa;vva(a);Qb(da|0)}function $o(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0;b=r;r=r+1664|0;c=b+1652|0;d=b+1456|0;e=b+1640|0;f=b+1320|0;g=b+1628|0;h=b+1168|0;i=b+1616|0;j=b+1032|0;l=b+1604|0;m=b+880|0;n=b+1592|0;o=b+728|0;p=b+1304|0;q=b+592|0;s=b+1016|0;t=b+440|0;u=b+864|0;v=b+304|0;w=b+576|0;x=b+168|0;y=b+152|0;z=b+16|0;A=b;C=d+56|0;D=d+4|0;k[d>>2]=27524;k[C>>2]=27544;B=0;wa(508,d+56|0,D|0);E=B;B=0;if(E&1){E=Rb()|0;F=Q;G=E;vva(C);Qb(G|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[C>>2]=27488;B=0;va(448,D|0);E=B;B=0;do if(E&1){H=Rb()|0;I=Q;J=H}else{k[D>>2]=27560;H=d+36|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;k[H+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,D|0,c|0);K=B;B=0;if(K&1){K=Rb()|0;L=Q;Yua(c);Yua(H);Ava(D);I=L;J=K;break}Yua(c);B=0;K=ya(k[(k[a>>2]|0)+20>>2]|0,a|0)|0;L=B;B=0;do if((((!(L&1)?(B=0,M=ya(427,K|0)|0,N=B,B=0,!(N&1)):0)?(N=Lta(M)|0,B=0,O=Ia(40,d|0,M|0,N|0)|0,N=B,B=0,!(N&1)):0)?(B=0,Ia(40,O|0,69717,10)|0,O=B,B=0,!(O&1)):0)?(B=0,wa(510,e|0,D|0),O=B,B=0,!(O&1)):0){B=0;ya(424,e|0)|0;O=B;B=0;if(O&1){O=Rb()|0;N=Q;Yua(e);P=O;R=N;break}Yua(e);k[d>>2]=27468;k[C>>2]=27488;k[D>>2]=27560;Yua(H);Ava(D);vva(C);N=f+56|0;O=f+4|0;k[f>>2]=27524;k[N>>2]=27544;B=0;wa(508,f+56|0,O|0);M=B;B=0;if(M&1){M=Rb()|0;S=Q;T=M;vva(N);Qb(T|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[N>>2]=27488;B=0;va(448,O|0);M=B;B=0;do if(M&1){U=Rb()|0;V=Q;W=U}else{k[O>>2]=27560;U=f+36|0;k[U>>2]=0;k[U+4>>2]=0;k[U+8>>2]=0;k[U+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,O|0,c|0);X=B;B=0;if(X&1){X=Rb()|0;Y=Q;Yua(c);Yua(U);Ava(O);V=Y;W=X;break}Yua(c);B=0;X=Ia(40,f|0,69728,8)|0;Y=B;B=0;do if(((!(Y&1)?(B=0,Z=Xa(242,X|0,k[a+8>>2]|0)|0,_=B,B=0,!(_&1)):0)?(B=0,Ia(40,Z|0,149177,1)|0,Z=B,B=0,!(Z&1)):0)?(B=0,wa(510,g|0,O|0),Z=B,B=0,!(Z&1)):0){B=0;ya(424,g|0)|0;Z=B;B=0;if(Z&1){Z=Rb()|0;_=Q;Yua(g);$=Z;aa=_;break}Yua(g);k[f>>2]=27468;k[N>>2]=27488;k[O>>2]=27560;Yua(U);Ava(O);vva(N);_=h+56|0;Z=h+4|0;k[h>>2]=27524;k[_>>2]=27544;B=0;wa(508,h+56|0,Z|0);ba=B;B=0;if(ba&1){ba=Rb()|0;ca=Q;da=ba;vva(_);Qb(da|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[_>>2]=27488;B=0;va(448,Z|0);ba=B;B=0;do if(ba&1){ea=Rb()|0;fa=Q;ga=ea}else{k[Z>>2]=27560;ea=h+36|0;k[ea>>2]=0;k[ea+4>>2]=0;k[ea+8>>2]=0;k[ea+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Z|0,c|0);ha=B;B=0;if(ha&1){ha=Rb()|0;ia=Q;Yua(c);Yua(ea);Ava(Z);fa=ia;ga=ha;break}Yua(c);B=0;ha=Ia(40,h|0,79833,8)|0;ia=B;B=0;do if(ia&1)ja=49;else{B=0;ka=Xa(242,ha|0,k[a+12>>2]|0)|0;la=B;B=0;if(la&1){ja=49;break}B=0;Ia(40,ka|0,149177,1)|0;ka=B;B=0;if(ka&1){ja=49;break}B=0;wa(510,i|0,Z|0);ka=B;B=0;if(ka&1){ja=49;break}B=0;ya(424,i|0)|0;ka=B;B=0;if(ka&1){ka=Rb()|0;la=Q;Yua(i);ma=ka;na=la;break}Yua(i);k[h>>2]=27468;k[_>>2]=27488;k[Z>>2]=27560;Yua(ea);Ava(Z);vva(_);la=a+24|0;a:do if(!(k[la>>2]|0)){ka=j+56|0;oa=j+4|0;k[j>>2]=27524;k[ka>>2]=27544;B=0;wa(508,j+56|0,oa|0);pa=B;B=0;if(pa&1){pa=Rb()|0;qa=Q;ra=pa;vva(ka);Qb(ra|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[ka>>2]=27488;B=0;va(448,oa|0);pa=B;B=0;do if(pa&1){sa=Rb()|0;ta=Q;ua=sa}else{k[oa>>2]=27560;sa=j+36|0;k[sa>>2]=0;k[sa+4>>2]=0;k[sa+8>>2]=0;k[sa+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,oa|0,c|0);xa=B;B=0;if(xa&1){xa=Rb()|0;za=Q;Yua(c);Yua(sa);Ava(oa);ta=za;ua=xa;break}Yua(c);B=0;Ia(40,j|0,69737,16)|0;xa=B;B=0;do if(!(xa&1)){B=0;wa(510,l|0,oa|0);za=B;B=0;if(za&1){ja=65;break}B=0;ya(424,l|0)|0;za=B;B=0;if(za&1){za=Rb()|0;Aa=Q;Yua(l);Ba=za;Ca=Aa;break}else{Yua(l);k[j>>2]=27468;k[ka>>2]=27488;k[oa>>2]=27560;Yua(sa);Ava(oa);vva(ka);break a}}else ja=65;while(0);if((ja|0)==65){xa=Rb()|0;Ba=xa;Ca=Q}k[j>>2]=27468;k[ka>>2]=27488;k[oa>>2]=27560;Yua(sa);Ava(oa);vva(ka);Da=Ba;Ea=Ca;Qb(Da|0)}while(0);qa=ta;ra=ua;vva(ka);Qb(ra|0)}else{oa=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;if((oa|0)>0)Fa=0;else break;do{pa=k[(k[la>>2]|0)+(Fa<<2)>>2]|0;Ec[k[(k[pa>>2]|0)+8>>2]&1023](pa);Fa=Fa+1|0}while((Fa|0)!=(oa|0))}while(0);la=a+20|0;b:do if(!(k[la>>2]|0)){oa=m+56|0;ka=m+4|0;k[m>>2]=27524;k[oa>>2]=27544;B=0;wa(508,m+56|0,ka|0);pa=B;B=0;if(pa&1){pa=Rb()|0;Ga=Q;Ha=pa;vva(oa);Qb(Ha|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[oa>>2]=27488;B=0;va(448,ka|0);pa=B;B=0;do if(pa&1){xa=Rb()|0;Ja=Q;Ka=xa}else{k[ka>>2]=27560;xa=m+36|0;k[xa>>2]=0;k[xa+4>>2]=0;k[xa+8>>2]=0;k[xa+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ka|0,c|0);Aa=B;B=0;if(Aa&1){Aa=Rb()|0;za=Q;Yua(c);Yua(xa);Ava(ka);Ja=za;Ka=Aa;break}Yua(c);B=0;Ia(40,m|0,69754,13)|0;Aa=B;B=0;do if(!(Aa&1)){B=0;wa(510,n|0,ka|0);za=B;B=0;if(za&1){ja=83;break}B=0;ya(424,n|0)|0;za=B;B=0;if(za&1){za=Rb()|0;La=Q;Yua(n);Ma=za;Na=La;break}else{Yua(n);k[m>>2]=27468;k[oa>>2]=27488;k[ka>>2]=27560;Yua(xa);Ava(ka);vva(oa);break b}}else ja=83;while(0);if((ja|0)==83){Aa=Rb()|0;Ma=Aa;Na=Q}k[m>>2]=27468;k[oa>>2]=27488;k[ka>>2]=27560;Yua(xa);Ava(ka);vva(oa);Da=Ma;Ea=Na;Qb(Da|0)}while(0);Ga=Ja;Ha=Ka;vva(oa);Qb(Ha|0)}else{ka=Hc[k[(k[a>>2]|0)+164>>2]&511](a)|0;if((ka|0)>0)Oa=0;else break;do{pa=k[(k[la>>2]|0)+(Oa<<2)>>2]|0;Ec[k[(k[pa>>2]|0)+12>>2]&1023](pa);Oa=Oa+1|0}while((Oa|0)!=(ka|0))}while(0);la=k[a+28>>2]|0;c:do if(!la){ka=o+56|0;oa=o+4|0;k[o>>2]=27524;k[ka>>2]=27544;B=0;wa(508,o+56|0,oa|0);pa=B;B=0;if(pa&1){pa=Rb()|0;Pa=Q;Qa=pa;vva(ka);Qb(Qa|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[ka>>2]=27488;B=0;va(448,oa|0);pa=B;B=0;do if(pa&1){Aa=Rb()|0;Ra=Q;Sa=Aa}else{k[oa>>2]=27560;Aa=o+36|0;k[Aa>>2]=0;k[Aa+4>>2]=0;k[Aa+8>>2]=0;k[Aa+12>>2]=0;k[o+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,oa|0,c|0);sa=B;B=0;if(sa&1){sa=Rb()|0;La=Q;Yua(c);Yua(Aa);Ava(oa);Ra=La;Sa=sa;break}Yua(c);B=0;Ia(40,o|0,69768,16)|0;sa=B;B=0;do if(!(sa&1)){B=0;wa(510,p|0,oa|0);La=B;B=0;if(La&1){ja=100;break}B=0;ya(424,p|0)|0;La=B;B=0;if(La&1){La=Rb()|0;za=Q;Yua(p);Ta=La;Ua=za;break}else{Yua(p);k[o>>2]=27468;k[ka>>2]=27488;k[oa>>2]=27560;Yua(Aa);Ava(oa);vva(ka);break c}}else ja=100;while(0);if((ja|0)==100){sa=Rb()|0;Ta=sa;Ua=Q}k[o>>2]=27468;k[ka>>2]=27488;k[oa>>2]=27560;Yua(Aa);Ava(oa);vva(ka);Da=Ta;Ea=Ua;Qb(Da|0)}while(0);Pa=Ra;Qa=Sa;vva(ka);Qb(Qa|0)}else Ec[k[(k[la>>2]|0)+12>>2]&1023](la);while(0);la=k[a+32>>2]|0;d:do if(!la){oa=q+56|0;pa=q+4|0;k[q>>2]=27524;k[oa>>2]=27544;B=0;wa(508,q+56|0,pa|0);sa=B;B=0;if(sa&1){sa=Rb()|0;Va=Q;Wa=sa;vva(oa);Qb(Wa|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[oa>>2]=27488;B=0;va(448,pa|0);sa=B;B=0;do if(sa&1){xa=Rb()|0;Ya=Q;Za=xa}else{k[pa>>2]=27560;xa=q+36|0;k[xa>>2]=0;k[xa+4>>2]=0;k[xa+8>>2]=0;k[xa+12>>2]=0;k[q+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,pa|0,c|0);za=B;B=0;if(za&1){za=Rb()|0;La=Q;Yua(c);Yua(xa);Ava(pa);Ya=La;Za=za;break}Yua(c);B=0;Ia(40,q|0,69785,14)|0;za=B;B=0;do if(!(za&1)){B=0;wa(510,s|0,pa|0);La=B;B=0;if(La&1){ja=117;break}B=0;ya(424,s|0)|0;La=B;B=0;if(La&1){La=Rb()|0;_a=Q;Yua(s);$a=La;ab=_a;break}else{Yua(s);k[q>>2]=27468;k[oa>>2]=27488;k[pa>>2]=27560;Yua(xa);Ava(pa);vva(oa);break d}}else ja=117;while(0);if((ja|0)==117){za=Rb()|0;$a=za;ab=Q}k[q>>2]=27468;k[oa>>2]=27488;k[pa>>2]=27560;Yua(xa);Ava(pa);vva(oa);Da=$a;Ea=ab;Qb(Da|0)}while(0);Va=Ya;Wa=Za;vva(oa);Qb(Wa|0)}else Ec[k[(k[la>>2]|0)+12>>2]&1023](la);while(0);la=t+56|0;pa=t+4|0;k[t>>2]=27524;k[la>>2]=27544;B=0;wa(508,t+56|0,pa|0);sa=B;B=0;if(sa&1){sa=Rb()|0;bb=Q;cb=sa;vva(la);Qb(cb|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[la>>2]=27488;B=0;va(448,pa|0);sa=B;B=0;do if(sa&1){ka=Rb()|0;db=Q;eb=ka}else{k[pa>>2]=27560;ka=t+36|0;k[ka>>2]=0;k[ka+4>>2]=0;k[ka+8>>2]=0;k[ka+12>>2]=0;k[t+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,pa|0,c|0);za=B;B=0;if(za&1){za=Rb()|0;Aa=Q;Yua(c);Yua(ka);Ava(pa);db=Aa;eb=za;break}Yua(c);B=0;Ia(40,t|0,144113,14)|0;za=B;B=0;do if(za&1)ja=133;else{B=0;wa(510,u|0,pa|0);Aa=B;B=0;if(Aa&1){ja=133;break}B=0;ya(424,u|0)|0;Aa=B;B=0;if(Aa&1){Aa=Rb()|0;_a=Q;Yua(u);fb=Aa;gb=_a;break}Yua(u);k[t>>2]=27468;k[la>>2]=27488;k[pa>>2]=27560;Yua(ka);Ava(pa);vva(la);_a=k[a+36>>2]|0;if(_a)$N(_a);_a=v+56|0;Aa=v+4|0;k[v>>2]=27524;k[_a>>2]=27544;B=0;wa(508,v+56|0,Aa|0);La=B;B=0;if(La&1){La=Rb()|0;hb=Q;ib=La;vva(_a);Qb(ib|0)}k[v+128>>2]=0;k[v+132>>2]=-1;k[v>>2]=27468;k[_a>>2]=27488;B=0;va(448,Aa|0);La=B;B=0;do if(La&1){jb=Rb()|0;kb=Q;lb=jb}else{k[Aa>>2]=27560;jb=v+36|0;k[jb>>2]=0;k[jb+4>>2]=0;k[jb+8>>2]=0;k[jb+12>>2]=0;k[v+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Aa|0,c|0);mb=B;B=0;if(mb&1){mb=Rb()|0;nb=Q;Yua(c);Yua(jb);Ava(Aa);kb=nb;lb=mb;break}Yua(c);B=0;Ia(40,v|0,69800,18)|0;mb=B;B=0;do if(mb&1)ja=148;else{B=0;wa(510,w|0,Aa|0);nb=B;B=0;if(nb&1){ja=148;break}B=0;ya(424,w|0)|0;nb=B;B=0;if(nb&1){nb=Rb()|0;ob=Q;Yua(w);pb=nb;qb=ob;break}Yua(w);k[v>>2]=27468;k[_a>>2]=27488;k[Aa>>2]=27560;Yua(jb);Ava(Aa);vva(_a);ob=x+56|0;nb=x+4|0;k[x>>2]=27524;k[ob>>2]=27544;B=0;wa(508,x+56|0,nb|0);rb=B;B=0;if(rb&1){rb=Rb()|0;sb=Q;tb=rb;vva(ob);Qb(tb|0)}k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[ob>>2]=27488;B=0;va(448,nb|0);rb=B;B=0;do if(rb&1){ub=Rb()|0;vb=Q;wb=ub}else{k[nb>>2]=27560;ub=x+36|0;k[ub>>2]=0;k[ub+4>>2]=0;k[ub+8>>2]=0;k[ub+12>>2]=0;k[x+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,nb|0,c|0);xb=B;B=0;if(xb&1){xb=Rb()|0;yb=Q;Yua(c);Yua(ub);Ava(nb);vb=yb;wb=xb;break}Yua(c);B=0;Ia(40,x|0,69819,10)|0;xb=B;B=0;do if(xb&1)ja=163;else{B=0;wa(510,y|0,nb|0);yb=B;B=0;if(yb&1){ja=163;break}B=0;ya(424,y|0)|0;yb=B;B=0;if(yb&1){yb=Rb()|0;zb=Q;Yua(y);Ab=yb;Bb=zb;break}Yua(y);k[x>>2]=27468;k[ob>>2]=27488;k[nb>>2]=27560;Yua(ub);Ava(nb);vva(ob);zb=k[a+16>>2]|0;if(zb){nh(zb);r=b;return}zb=z+56|0;yb=z+4|0;k[z>>2]=27524;k[zb>>2]=27544;B=0;wa(508,z+56|0,yb|0);Cb=B;B=0;if(Cb&1){Cb=Rb()|0;Db=Q;Eb=Cb;vva(zb);Qb(Eb|0)}k[z+128>>2]=0;k[z+132>>2]=-1;k[z>>2]=27468;k[zb>>2]=27488;B=0;va(448,yb|0);Cb=B;B=0;do if(Cb&1){Fb=Rb()|0;Gb=Q;Hb=Fb}else{k[yb>>2]=27560;Fb=z+36|0;k[Fb>>2]=0;k[Fb+4>>2]=0;k[Fb+8>>2]=0;k[Fb+12>>2]=0;k[z+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,yb|0,c|0);Ib=B;B=0;if(Ib&1){Ib=Rb()|0;Jb=Q;Yua(c);Yua(Fb);Ava(yb);Gb=Jb;Hb=Ib;break}Yua(c);B=0;Ia(40,z|0,69830,12)|0;Ib=B;B=0;do if(Ib&1)ja=178;else{B=0;wa(510,A|0,yb|0);Jb=B;B=0;if(Jb&1){ja=178;break}B=0;ya(424,A|0)|0;Jb=B;B=0;if(Jb&1){Jb=Rb()|0;Kb=Q;Yua(A);Lb=Jb;Mb=Kb;break}Yua(A);k[z>>2]=27468;k[zb>>2]=27488;k[yb>>2]=27560;Yua(Fb);Ava(yb);vva(zb);r=b;return}while(0);if((ja|0)==178){Ib=Rb()|0;Lb=Ib;Mb=Q}k[z>>2]=27468;k[zb>>2]=27488;k[yb>>2]=27560;Yua(Fb);Ava(yb);vva(zb);Da=Lb;Ea=Mb;Qb(Da|0)}while(0);Db=Gb;Eb=Hb;vva(zb);Qb(Eb|0)}while(0);if((ja|0)==163){xb=Rb()|0;Ab=xb;Bb=Q}k[x>>2]=27468;k[ob>>2]=27488;k[nb>>2]=27560;Yua(ub);Ava(nb);vva(ob);Da=Ab;Ea=Bb;Qb(Da|0)}while(0);sb=vb;tb=wb;vva(ob);Qb(tb|0)}while(0);if((ja|0)==148){mb=Rb()|0;pb=mb;qb=Q}k[v>>2]=27468;k[_a>>2]=27488;k[Aa>>2]=27560;Yua(jb);Ava(Aa);vva(_a);Da=pb;Ea=qb;Qb(Da|0)}while(0);hb=kb;ib=lb;vva(_a);Qb(ib|0)}while(0);if((ja|0)==133){za=Rb()|0;fb=za;gb=Q}k[t>>2]=27468;k[la>>2]=27488;k[pa>>2]=27560;Yua(ka);Ava(pa);vva(la);Da=fb;Ea=gb;Qb(Da|0)}while(0);bb=db;cb=eb;vva(la);Qb(cb|0)}while(0);if((ja|0)==49){ha=Rb()|0;ma=ha;na=Q}k[h>>2]=27468;k[_>>2]=27488;k[Z>>2]=27560;Yua(ea);Ava(Z);vva(_);Da=ma;Ea=na;Qb(Da|0)}while(0);ca=fa;da=ga;vva(_);Qb(da|0)}else ja=46;while(0);if((ja|0)==46){X=Rb()|0;$=X;aa=Q}k[f>>2]=27468;k[N>>2]=27488;k[O>>2]=27560;Yua(U);Ava(O);vva(N);Da=$;Ea=aa;Qb(Da|0)}while(0);S=V;T=W;vva(N);Qb(T|0)}else ja=43;while(0);if((ja|0)==43){K=Rb()|0;P=K;R=Q}k[d>>2]=27468;k[C>>2]=27488;k[D>>2]=27560;Yua(H);Ava(D);vva(C);Da=P;Ea=R;Qb(Da|0)}while(0);F=I;G=J;vva(C);Qb(G|0)}function ap(a){a=a|0;var b=0;b=k[a+28>>2]|0;if(!b)return;Ec[k[(k[b>>2]|0)+4>>2]&1023](b);return}function bp(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0.0,q=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0.0,A=0.0;b=r;r=r+96|0;c=b+80|0;d=b+72|0;e=b+48|0;f=b+24|0;g=b;cO(k[a+36>>2]|0,c,299);h=a+16|0;i=oC(k[h>>2]|0,674)|0;j=oC(k[h>>2]|0,677)|0;if((k[c>>2]|0)==3)l=oC(k[h>>2]|0,679)|0;else l=0;h=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;m=h*3|0;n=Rqa(m>>>0>536870911?-1:m<<3)|0;Ko(n,k[a+24>>2]|0,h,0);h=ed[k[(k[a>>2]|0)+308>>2]&511](a,5)|0;m=Hc[k[(k[h>>2]|0)+8>>2]&511](h)|0;if((m|0)>=(Hc[k[(k[h>>2]|0)+12>>2]&511](h)|0)){o=0.0;Tqa(n);q=k[h>>2]|0;s=q+4|0;t=k[s>>2]|0;Ec[t&1023](h);r=b;return +o}u=f+8|0;v=h+8|0;w=g+16|0;x=0.0;y=m;while(1){Fc[k[(k[h>>2]|0)+24>>2]&1023](h,y);rd[k[(k[a>>2]|0)+260>>2]&511](a,d,n,h);rd[k[(k[i>>2]|0)+60>>2]&511](i,e,n,h);rd[k[(k[j>>2]|0)+60>>2]&511](j,f,n,h);if((k[c>>2]|0)==2)z=(+p[e>>3]+ +p[u>>3])*+p[v>>3]*+p[d>>3];else{rd[k[(k[l>>2]|0)+60>>2]&511](l,g,n,h);z=(+p[e>>3]+ +p[u>>3]+ +p[w>>3])*+p[v>>3]*+p[d>>3]}A=x+z;y=y+1|0;if((y|0)>=(Hc[k[(k[h>>2]|0)+12>>2]&511](h)|0)){o=A;break}else x=A}Tqa(n);q=k[h>>2]|0;s=q+4|0;t=k[s>>2]|0;Ec[t&1023](h);r=b;return +o}function cp(a,b,c){a=a|0;b=b|0;c=c|0;cO(k[a+36>>2]|0,b,c);return}function dp(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0.0,n=0.0,o=0.0,q=0.0,s=0.0,t=0.0;h=r;r=r+64|0;i=h+56|0;j=h+16|0;l=h;if((c|0)==3){ep(0,j,d,e,f,g);m=+p[j>>3];n=+p[j+8>>3];o=+p[j+16>>3];q=+p[j+24>>3];s=+p[j+32>>3];t=+aa(+(m*n+(m*m+n*n+o*o+q*q+s*s)+1.0e-54))}else{fp(0,l,d,e,f,0);s=+p[l>>3];q=+p[l+8>>3];t=+aa(+(s*s+q*(q*2.0)+1.0e-54))*.7071067811865475}l=k[a+28>>2]|0;Xc[k[(k[l>>2]|0)+88>>2]&63](l,i,t);p[b>>3]=+p[i>>3];r=h;return}function ep(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+240|0;g=a+224|0;h=a+24|0;i=a;j=a+88|0;l=a+72|0;m=a+60|0;n=a+48|0;if((e|0)!=0&(f|0)!=0){rd[k[(k[e>>2]|0)+60>>2]&511](e,h,c,d);rd[k[(k[f>>2]|0)+60>>2]&511](f,i,c,d);p[b>>3]=+p[h>>3];p[b+8>>3]=+p[i+8>>3];p[b+16>>3]=(+p[h+8>>3]+ +p[i>>3])*.5;p[b+24>>3]=+p[h+16>>3]*.5;p[b+32>>3]=+p[i+16>>3]*.5;r=a;return}a=j+56|0;i=j+4|0;k[j>>2]=27524;k[a>>2]=27544;B=0;wa(508,j+56|0,i|0);b=B;B=0;if(b&1){b=Rb()|0;o=Q;q=b;vva(a);Qb(q|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[a>>2]=27488;B=0;va(448,i|0);b=B;B=0;do if(b&1){h=Rb()|0;s=Q;t=h}else{k[i>>2]=27560;h=j+36|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;k[j+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,i|0,g|0);d=B;B=0;if(d&1){d=Rb()|0;c=Q;Yua(g);Yua(h);Ava(i);s=c;t=d;break}Yua(g);B=0;d=Ia(40,j|0,69495,59)|0;c=B;B=0;if(((((!(c&1)?(B=0,c=Xa(245,d|0,e|0)|0,d=B,B=0,!(d&1)):0)?(B=0,d=Ia(40,c|0,69555,6)|0,c=B,B=0,!(c&1)):0)?(B=0,c=Xa(245,d|0,f|0)|0,d=B,B=0,!(d&1)):0)?(B=0,d=Ia(40,c|0,149177,1)|0,c=B,B=0,!(c&1)):0)?(B=0,Xa(239,d|0,0)|0,d=B,B=0,!(d&1)):0){d=Ab(20)|0;B=0;eb(502,l|0,69562,75);c=B;B=0;do if(!(c&1)){B=0;eb(502,m|0,69843,12);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(l);w=v;x=u;break}B=0;wa(510,n|0,i|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,d|0,l|0,m|0,2589,n|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,d|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(n);y=v;z=u;A=C}Yua(m);Yua(l);if(A){w=y;x=z}else{D=y;E=z;k[j>>2]=27468;k[a>>2]=27488;k[i>>2]=27560;Yua(h);Ava(i);vva(a);Qb(E|0)}}else{u=Rb()|0;w=Q;x=u}while(0);zb(d|0);D=w;E=x;k[j>>2]=27468;k[a>>2]=27488;k[i>>2]=27560;Yua(h);Ava(i);vva(a);Qb(E|0)}c=Rb()|0;D=Q;E=c;k[j>>2]=27468;k[a>>2]=27488;k[i>>2]=27560;Yua(h);Ava(i);vva(a);Qb(E|0)}while(0);o=s;q=t;vva(a);Qb(q|0)}function fp(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;f=r;r=r+224|0;a=f+200|0;g=f;h=f+64|0;i=f+48|0;j=f+36|0;l=f+24|0;if(e){rd[k[(k[e>>2]|0)+60>>2]&511](e,g,c,d);p[b>>3]=+p[g>>3];p[b+8>>3]=+p[g+8>>3]*.5;r=f;return}f=h+56|0;g=h+4|0;k[h>>2]=27524;k[f>>2]=27544;B=0;wa(508,h+56|0,g|0);b=B;B=0;if(b&1){b=Rb()|0;m=Q;n=b;vva(f);Qb(n|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[f>>2]=27488;B=0;va(448,g|0);b=B;B=0;do if(b&1){d=Rb()|0;o=Q;q=d}else{k[g>>2]=27560;d=h+36|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[h+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);c=B;B=0;if(c&1){c=Rb()|0;e=Q;Yua(a);Yua(d);Ava(g);o=e;q=c;break}Yua(a);B=0;c=Ia(40,h|0,69495,59)|0;e=B;B=0;if(((!(e&1)?(B=0,e=Xa(245,c|0,0)|0,c=B,B=0,!(c&1)):0)?(B=0,c=Ia(40,e|0,149177,1)|0,e=B,B=0,!(e&1)):0)?(B=0,Xa(239,c|0,0)|0,c=B,B=0,!(c&1)):0){c=Ab(20)|0;B=0;eb(502,i|0,69562,75);e=B;B=0;do if(!(e&1)){B=0;eb(502,j|0,69856,22);s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(i);u=t;v=s;break}B=0;wa(510,l|0,g|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,c|0,i|0,j|0,2617,l|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,c|0,1240,229);B=0;z=0}s=Rb()|0;t=Q;Yua(l);w=t;x=s;y=z}Yua(j);Yua(i);if(y){u=w;v=x}else{A=w;C=x;k[h>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(d);Ava(g);vva(f);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(c|0);A=u;C=v;k[h>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(d);Ava(g);vva(f);Qb(C|0)}e=Rb()|0;A=Q;C=e;k[h>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(d);Ava(g);vva(f);Qb(C|0)}while(0);m=o;n=q;vva(f);Qb(n|0)}function gp(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0.0,n=0.0,o=0.0,q=0.0;h=r;r=r+48|0;i=h+32|0;j=h+8|0;l=h;if((c|0)==2){Xo(0,j,d,e,f,g);m=+p[j>>3];n=+p[j+8>>3];o=+p[j+16>>3];q=m*n+(m*m+n*n+o*o)}else{hp(0,l,d,e,f);o=+p[l>>3];q=o*o*.5}o=+aa(+q);l=k[a+28>>2]|0;Xc[k[(k[l>>2]|0)+88>>2]&63](l,i,o);p[b>>3]=+p[i>>3];r=h;return}function hp(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;a=r;r=r+224|0;f=a+200|0;g=a;h=a+64|0;i=a+48|0;j=a+36|0;l=a+24|0;if(e){rd[k[(k[e>>2]|0)+60>>2]&511](e,g,c,d);p[b>>3]=+p[g>>3];r=a;return}a=h+56|0;g=h+4|0;k[h>>2]=27524;k[a>>2]=27544;B=0;wa(508,h+56|0,g|0);b=B;B=0;if(b&1){b=Rb()|0;m=Q;n=b;vva(a);Qb(n|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);b=B;B=0;do if(b&1){d=Rb()|0;o=Q;q=d}else{k[g>>2]=27560;d=h+36|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[h+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,g|0,f|0);c=B;B=0;if(c&1){c=Rb()|0;e=Q;Yua(f);Yua(d);Ava(g);o=e;q=c;break}Yua(f);B=0;c=Ia(40,h|0,69495,59)|0;e=B;B=0;if(((!(e&1)?(B=0,e=Xa(245,c|0,0)|0,c=B,B=0,!(c&1)):0)?(B=0,c=Ia(40,e|0,149177,1)|0,e=B,B=0,!(e&1)):0)?(B=0,Xa(239,c|0,0)|0,c=B,B=0,!(c&1)):0){c=Ab(20)|0;B=0;eb(502,i|0,69562,75);e=B;B=0;do if(!(e&1)){B=0;eb(502,j|0,69879,15);s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(i);u=t;v=s;break}B=0;wa(510,l|0,g|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,c|0,i|0,j|0,2652,l|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,c|0,1240,229);B=0;z=0}s=Rb()|0;t=Q;Yua(l);w=t;x=s;y=z}Yua(j);Yua(i);if(y){u=w;v=x}else{A=w;C=x;k[h>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(d);Ava(g);vva(a);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(c|0);A=u;C=v;k[h>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(d);Ava(g);vva(a);Qb(C|0)}e=Rb()|0;A=Q;C=e;k[h>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(d);Ava(g);vva(a);Qb(C|0)}while(0);m=o;n=q;vva(a);Qb(n|0)}function ip(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0.0,n=0.0,o=0.0,q=0.0;h=r;r=r+48|0;i=h+32|0;j=h+8|0;l=h;if((c|0)==2){Xo(0,j,d,e,f,g);m=+p[j>>3];n=+p[j+8>>3];o=+p[j+16>>3];q=m*n+(m*m+n*n+o*o)}else{hp(0,l,d,e,f);o=+p[l>>3];q=o*o*.5}o=+aa(+q);l=k[a+28>>2]|0;Xc[k[(k[l>>2]|0)+92>>2]&63](l,i,o);p[b>>3]=+p[i>>3];r=h;return}function jp(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0.0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0;b=r;r=r+608|0;c=b+592|0;d=b+64|0;e=b+56|0;f=b+48|0;g=b+40|0;h=b+32|0;i=b+24|0;j=b+16|0;l=b+8|0;m=b;n=b+432|0;o=b+580|0;q=b+568|0;s=b+280|0;t=b+296|0;u=b+132|0;v=b+120|0;w=b+108|0;x=b+144|0;y=b+96|0;z=b+84|0;A=b+72|0;if(!(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0)){r=b;return}C=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;D=C*12|0;E=D>>>0>536870911?-1:D<<3;D=Rqa(E)|0;F=Rqa(E)|0;G=Rqa(E)|0;H=Rqa(E)|0;I=Rqa(E)|0;E=Rqa(C>>>0>536870911?-1:C<<3)|0;J=a+36|0;dO(k[J>>2]|0,j,767);dO(k[J>>2]|0,l,67);dO(k[J>>2]|0,m,355);K=+p[l>>3];L=K*+_(+(+p[j>>3]/K));M=a+16|0;N=oC(k[M>>2]|0,446)|0;O=oC(k[M>>2]|0,447)|0;P=oC(k[M>>2]|0,444)|0;R=Hc[k[(k[a>>2]|0)+304>>2]&511](a)|0;S=(C|0)>0;if(S){T=0;do{K=+(T|0)/12.0;U=0;do{Fc[k[(k[R>>2]|0)+28>>2]&1023](R,U);V=(U*12|0)+T|0;md[k[(k[N>>2]|0)+52>>2]&31](N,G+(V<<3)|0,R,K*+p[l>>3]);md[k[(k[O>>2]|0)+52>>2]&31](O,H+(V<<3)|0,R,K*+p[l>>3]);W=I+(V<<3)|0;md[k[(k[P>>2]|0)+52>>2]&31](P,W,R,K*+p[l>>3]);p[W>>3]=+p[W>>3]*+p[l>>3];U=U+1|0}while((U|0)!=(C|0));T=T+1|0}while((T|0)!=12)}eO(k[J>>2]|0,d,439,+p[m>>3]);eO(k[J>>2]|0,e,439,+p[m>>3]-+p[l>>3]*21.0e3);eO(k[J>>2]|0,f,439,+p[j>>3]);eO(k[J>>2]|0,g,440,+p[m>>3]);eO(k[J>>2]|0,h,440,+p[m>>3]-+p[l>>3]*21.0e3);eO(k[J>>2]|0,i,440,+p[j>>3]);if(S){j=0;do{m=j*12|0;XY(+p[g>>3],+p[h>>3],+p[i>>3],+p[d>>3],+p[e>>3],+p[f>>3],I+(m<<3)|0,H+(m<<3)|0,G+(m<<3)|0,D+(m<<3)|0,F+(m<<3)|0);j=j+1|0}while((j|0)!=(C|0))}j=Qqa(24)|0;B=0;wa(514,j|0,460);f=B;B=0;if(f&1){f=Rb()|0;e=Q;Sqa(j);X=e;Y=f;Qb(Y|0)}f=Qqa(24)|0;B=0;wa(514,f|0,448);e=B;B=0;if(e&1){e=Rb()|0;d=Q;Sqa(f);X=d;Y=e;Qb(Y|0)}e=0;a:while(1){if(S){d=0;do{p[E+(d<<3)>>3]=+p[D+((d*12|0)+e<<3)>>3];d=d+1|0}while((d|0)!=(C|0))}switch(Hc[k[(k[a>>2]|0)+20>>2]&511](a)|0){case 621:{d=Qqa(16)|0;B=0;ib(284,d|0,460,E|0,738);i=B;B=0;if(i&1){Z=d;$=21;break a}fm(j,d,L+ +(e|0)/12.0*+p[l>>3]);break}case 625:{d=Qqa(16)|0;B=0;ib(285,d|0,460,E|0,738);i=B;B=0;if(i&1){aa=d;$=24;break a}fm(j,d,L+ +(e|0)/12.0*+p[l>>3]);break}case 623:{d=Qqa(16)|0;B=0;ib(286,d|0,460,E|0,738);i=B;B=0;if(i&1){ba=d;$=27;break a}fm(j,d,L+ +(e|0)/12.0*+p[l>>3]);break}default:{$=28;break a}}if(S){K=+p[l>>3];d=0;do{p[E+(d<<3)>>3]=+p[F+((d*12|0)+e<<3)>>3]/K;d=d+1|0}while((d|0)!=(C|0))}switch(Hc[k[(k[a>>2]|0)+20>>2]&511](a)|0){case 621:{d=Qqa(16)|0;B=0;ib(284,d|0,448,E|0,738);i=B;B=0;if(i&1){ca=d;$=55;break a}fm(f,d,L+ +(e|0)/12.0*+p[l>>3]);break}case 625:{d=Qqa(16)|0;B=0;ib(285,d|0,448,E|0,738);i=B;B=0;if(i&1){da=d;$=58;break a}fm(f,d,L+ +(e|0)/12.0*+p[l>>3]);break}case 623:{d=Qqa(16)|0;B=0;ib(286,d|0,448,E|0,738);i=B;B=0;if(i&1){ea=d;$=61;break a}fm(f,d,L+ +(e|0)/12.0*+p[l>>3]);break}default:{$=62;break a}}e=e+1|0;if((e|0)>=12){$=12;break}}if(($|0)==12){Fc[k[(k[j>>2]|0)+84>>2]&1023](j,k[J>>2]|0);Fc[k[(k[f>>2]|0)+84>>2]&1023](f,k[J>>2]|0);mC(k[M>>2]|0,j)|0;mC(k[M>>2]|0,f)|0;switch(Hc[k[(k[a>>2]|0)+20>>2]&511](a)|0){case 621:break;case 623:case 625:{nd[k[(k[a>>2]|0)+220>>2]&1023](a,460,-1);nd[k[(k[a>>2]|0)+220>>2]&1023](a,448,-1);break}default:{a=x+56|0;f=x+4|0;k[x>>2]=27524;k[a>>2]=27544;B=0;wa(508,x+56|0,f|0);M=B;B=0;if(M&1){M=Rb()|0;fa=Q;ga=M;vva(a);Qb(ga|0)}k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[a>>2]=27488;B=0;va(448,f|0);M=B;B=0;do if(M&1){j=Rb()|0;ha=Q;ia=j}else{k[f>>2]=27560;j=x+36|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;k[x+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,f|0,c|0);J=B;B=0;if(J&1){J=Rb()|0;e=Q;Yua(c);Yua(j);Ava(f);ha=e;ia=J;break}Yua(c);B=0;J=Ia(40,x|0,144350,19)|0;e=B;B=0;b:do if(!(e&1)?(B=0,Xa(239,J|0,0)|0,l=B,B=0,!(l&1)):0){l=Ab(20)|0;B=0;eb(502,y|0,69562,75);C=B;B=0;do if(!(C&1)){B=0;eb(502,z|0,69895,24);S=B;B=0;if(S&1){S=Rb()|0;d=Q;Yua(y);ja=S;ka=d;break}B=0;wa(510,A|0,f|0);d=B;B=0;if(d&1){d=Rb()|0;la=1;ma=Q;na=d}else{B=0;ua(163,l|0,y|0,z|0,669,A|0);d=B;B=0;if(d&1)oa=1;else{B=0;eb(503,l|0,1240,229);B=0;oa=0}d=Rb()|0;S=Q;Yua(A);la=oa;ma=S;na=d}Yua(z);Yua(y);if(la){ja=na;ka=ma}else{pa=ma;qa=na;break b}}else{d=Rb()|0;ja=d;ka=Q}while(0);zb(l|0);pa=ka;qa=ja}else $=102;while(0);if(($|0)==102){J=Rb()|0;pa=Q;qa=J}k[x>>2]=27468;k[a>>2]=27488;k[f>>2]=27560;Yua(j);Ava(f);vva(a);X=pa;Y=qa;Qb(Y|0)}while(0);fa=ha;ga=ia;vva(a);Qb(ga|0)}}if(R)Ec[k[(k[R>>2]|0)+4>>2]&1023](R);Tqa(D);Tqa(F);Tqa(G);Tqa(H);Tqa(I);Tqa(E);r=b;return}else if(($|0)==21){b=Rb()|0;E=Q;Sqa(Z);X=E;Y=b;Qb(Y|0)}else if(($|0)==24){b=Rb()|0;E=Q;Sqa(aa);X=E;Y=b;Qb(Y|0)}else if(($|0)==27){b=Rb()|0;E=Q;Sqa(ba);X=E;Y=b;Qb(Y|0)}else if(($|0)==28){b=n+56|0;E=n+4|0;k[n>>2]=27524;k[b>>2]=27544;B=0;wa(508,n+56|0,E|0);ba=B;B=0;if(ba&1){ba=Rb()|0;ra=Q;sa=ba;vva(b);Qb(sa|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[b>>2]=27488;B=0;va(448,E|0);ba=B;B=0;do if(ba&1){aa=Rb()|0;ta=Q;xa=aa}else{k[E>>2]=27560;aa=n+36|0;k[aa>>2]=0;k[aa+4>>2]=0;k[aa+8>>2]=0;k[aa+12>>2]=0;k[n+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,E|0,c|0);Z=B;B=0;if(Z&1){Z=Rb()|0;I=Q;Yua(c);Yua(aa);Ava(E);ta=I;xa=Z;break}Yua(c);B=0;Z=Ia(40,n|0,144350,19)|0;I=B;B=0;c:do if(!(I&1)?(B=0,Xa(239,Z|0,0)|0,H=B,B=0,!(H&1)):0){H=Ab(20)|0;B=0;eb(502,o|0,69562,75);G=B;B=0;do if(!(G&1)){B=0;eb(502,q|0,69895,24);F=B;B=0;if(F&1){F=Rb()|0;D=Q;Yua(o);ya=D;za=F;break}B=0;wa(510,s|0,E|0);F=B;B=0;if(F&1){F=Rb()|0;Aa=F;Ba=Q;Ca=1}else{B=0;ua(163,H|0,o|0,q|0,646,s|0);F=B;B=0;if(F&1)Da=1;else{B=0;eb(503,H|0,1240,229);B=0;Da=0}F=Rb()|0;D=Q;Yua(s);Aa=F;Ba=D;Ca=Da}Yua(q);Yua(o);if(Ca){ya=Ba;za=Aa}else{Ea=Ba;Fa=Aa;break c}}else{D=Rb()|0;ya=Q;za=D}while(0);zb(H|0);Ea=ya;Fa=za}else $=43;while(0);if(($|0)==43){Z=Rb()|0;Ea=Q;Fa=Z}k[n>>2]=27468;k[b>>2]=27488;k[E>>2]=27560;Yua(aa);Ava(E);vva(b);X=Ea;Y=Fa;Qb(Y|0)}while(0);ra=ta;sa=xa;vva(b);Qb(sa|0)}else if(($|0)==55){sa=Rb()|0;b=Q;Sqa(ca);X=b;Y=sa;Qb(Y|0)}else if(($|0)==58){sa=Rb()|0;b=Q;Sqa(da);X=b;Y=sa;Qb(Y|0)}else if(($|0)==61){sa=Rb()|0;b=Q;Sqa(ea);X=b;Y=sa;Qb(Y|0)}else if(($|0)==62){sa=t+56|0;b=t+4|0;k[t>>2]=27524;k[sa>>2]=27544;B=0;wa(508,t+56|0,b|0);ea=B;B=0;if(ea&1){ea=Rb()|0;Ga=Q;Ha=ea;vva(sa);Qb(Ha|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[sa>>2]=27488;B=0;va(448,b|0);ea=B;B=0;do if(ea&1){da=Rb()|0;Ja=Q;Ka=da}else{k[b>>2]=27560;da=t+36|0;k[da>>2]=0;k[da+4>>2]=0;k[da+8>>2]=0;k[da+12>>2]=0;k[t+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,b|0,c|0);ca=B;B=0;if(ca&1){ca=Rb()|0;xa=Q;Yua(c);Yua(da);Ava(b);Ja=xa;Ka=ca;break}Yua(c);B=0;ca=Ia(40,t|0,144350,19)|0;xa=B;B=0;d:do if(!(xa&1)?(B=0,Xa(239,ca|0,0)|0,ta=B,B=0,!(ta&1)):0){ta=Ab(20)|0;B=0;eb(502,u|0,69562,75);ra=B;B=0;do if(!(ra&1)){B=0;eb(502,v|0,69895,24);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;Ea=Q;Yua(u);La=Fa;Ma=Ea;break}B=0;wa(510,w|0,b|0);Ea=B;B=0;if(Ea&1){Ea=Rb()|0;Na=1;Oa=Q;Pa=Ea}else{B=0;ua(163,ta|0,u|0,v|0,653,w|0);Ea=B;B=0;if(Ea&1)Qa=1;else{B=0;eb(503,ta|0,1240,229);B=0;Qa=0}Ea=Rb()|0;Fa=Q;Yua(w);Na=Qa;Oa=Fa;Pa=Ea}Yua(v);Yua(u);if(Na){La=Pa;Ma=Oa}else{Ra=Oa;Sa=Pa;break d}}else{Ea=Rb()|0;La=Ea;Ma=Q}while(0);zb(ta|0);Ra=Ma;Sa=La}else $=77;while(0);if(($|0)==77){ca=Rb()|0;Ra=Q;Sa=ca}k[t>>2]=27468;k[sa>>2]=27488;k[b>>2]=27560;Yua(da);Ava(b);vva(sa);X=Ra;Y=Sa;Qb(Y|0)}while(0);Ga=Ja;Ha=Ka;vva(sa);Qb(Ha|0)}}function kp(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0.0,H=0.0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0.0,W=0,X=0,Y=0,Z=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0;b=r;r=r+576|0;c=b+556|0;d=b+24|0;e=b+16|0;f=b+8|0;g=b;h=b+408|0;i=b+544|0;j=b+392|0;l=b+240|0;m=b+256|0;n=b+92|0;o=b+80|0;q=b+68|0;s=b+104|0;t=b+56|0;u=b+44|0;v=b+32|0;if(!(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0)){r=b;return}w=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;x=w*12|0;y=x>>>0>536870911?-1:x<<3;x=Rqa(y)|0;z=Rqa(y)|0;A=Rqa(y)|0;C=Rqa(y)|0;D=Rqa(y)|0;E=Rqa(y)|0;y=Rqa(w>>>0>536870911?-1:w<<3)|0;F=a+36|0;dO(k[F>>2]|0,f,767);dO(k[F>>2]|0,g,67);G=+p[g>>3];H=G*+_(+(+p[f>>3]/G));I=a+16|0;J=oC(k[I>>2]|0,446)|0;K=oC(k[I>>2]|0,447)|0;L=oC(k[I>>2]|0,444)|0;M=oC(k[I>>2]|0,445)|0;N=Hc[k[(k[a>>2]|0)+304>>2]&511](a)|0;O=(w|0)>0;if(O){P=0;do{G=+(P|0)/12.0;R=0;do{Fc[k[(k[N>>2]|0)+28>>2]&1023](N,R);S=(R*12|0)+P|0;md[k[(k[J>>2]|0)+52>>2]&31](J,A+(S<<3)|0,N,G*+p[g>>3]);md[k[(k[K>>2]|0)+52>>2]&31](K,C+(S<<3)|0,N,G*+p[g>>3]);T=D+(S<<3)|0;md[k[(k[L>>2]|0)+52>>2]&31](L,T,N,G*+p[g>>3]);U=E+(S<<3)|0;md[k[(k[M>>2]|0)+52>>2]&31](M,U,N,G*+p[g>>3]);V=+p[g>>3];p[T>>3]=+p[T>>3]*V;p[U>>3]=V*+p[U>>3];R=R+1|0}while((R|0)!=(w|0));P=P+1|0}while((P|0)!=12);eO(k[F>>2]|0,d,455,+p[f>>3]);eO(k[F>>2]|0,e,454,+p[f>>3]);if(O){P=0;do{M=P*12|0;YY(+p[d>>3],+p[e>>3],E+(M<<3)|0,D+(M<<3)|0,C+(M<<3)|0,A+(M<<3)|0,x+(M<<3)|0,z+(M<<3)|0);P=P+1|0}while((P|0)!=(w|0))}}else{eO(k[F>>2]|0,d,455,+p[f>>3]);eO(k[F>>2]|0,e,454,+p[f>>3])}f=Qqa(24)|0;B=0;wa(514,f|0,460);e=B;B=0;if(e&1){e=Rb()|0;d=Q;Sqa(f);W=d;X=e;Qb(X|0)}e=Qqa(24)|0;B=0;wa(514,e|0,448);d=B;B=0;if(d&1){d=Rb()|0;P=Q;Sqa(e);W=P;X=d;Qb(X|0)}d=0;a:while(1){if(O){P=0;do{p[y+(P<<3)>>3]=+p[x+((P*12|0)+d<<3)>>3];P=P+1|0}while((P|0)!=(w|0))}switch(Hc[k[(k[a>>2]|0)+20>>2]&511](a)|0){case 621:{P=Qqa(16)|0;B=0;ib(284,P|0,460,y|0,738);M=B;B=0;if(M&1){Y=P;Z=22;break a}fm(f,P,H+ +(d|0)/12.0*+p[g>>3]);break}case 625:{P=Qqa(16)|0;B=0;ib(285,P|0,460,y|0,738);M=B;B=0;if(M&1){$=P;Z=25;break a}fm(f,P,H+ +(d|0)/12.0*+p[g>>3]);break}case 623:{P=Qqa(16)|0;B=0;ib(286,P|0,460,y|0,738);M=B;B=0;if(M&1){aa=P;Z=28;break a}fm(f,P,H+ +(d|0)/12.0*+p[g>>3]);break}default:{Z=29;break a}}if(O){G=+p[g>>3];P=0;do{p[y+(P<<3)>>3]=+p[z+((P*12|0)+d<<3)>>3]/G;P=P+1|0}while((P|0)!=(w|0))}switch(Hc[k[(k[a>>2]|0)+20>>2]&511](a)|0){case 621:{P=Qqa(16)|0;B=0;ib(284,P|0,448,y|0,738);M=B;B=0;if(M&1){ba=P;Z=56;break a}fm(e,P,H+ +(d|0)/12.0*+p[g>>3]);break}case 625:{P=Qqa(16)|0;B=0;ib(285,P|0,448,y|0,738);M=B;B=0;if(M&1){ca=P;Z=59;break a}fm(e,P,H+ +(d|0)/12.0*+p[g>>3]);break}case 623:{P=Qqa(16)|0;B=0;ib(286,P|0,448,y|0,738);M=B;B=0;if(M&1){da=P;Z=62;break a}fm(e,P,H+ +(d|0)/12.0*+p[g>>3]);break}default:{Z=63;break a}}d=d+1|0;if((d|0)>=12){Z=13;break}}if((Z|0)==13){Fc[k[(k[f>>2]|0)+84>>2]&1023](f,k[F>>2]|0);Fc[k[(k[e>>2]|0)+84>>2]&1023](e,k[F>>2]|0);mC(k[I>>2]|0,f)|0;mC(k[I>>2]|0,e)|0;switch(Hc[k[(k[a>>2]|0)+20>>2]&511](a)|0){case 621:break;case 623:case 625:{nd[k[(k[a>>2]|0)+220>>2]&1023](a,460,-1);nd[k[(k[a>>2]|0)+220>>2]&1023](a,448,-1);break}default:{a=s+56|0;e=s+4|0;k[s>>2]=27524;k[a>>2]=27544;B=0;wa(508,s+56|0,e|0);I=B;B=0;if(I&1){I=Rb()|0;ea=Q;fa=I;vva(a);Qb(fa|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[a>>2]=27488;B=0;va(448,e|0);I=B;B=0;do if(I&1){f=Rb()|0;ga=Q;ha=f}else{k[e>>2]=27560;f=s+36|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;k[s+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,e|0,c|0);F=B;B=0;if(F&1){F=Rb()|0;d=Q;Yua(c);Yua(f);Ava(e);ga=d;ha=F;break}Yua(c);B=0;F=Ia(40,s|0,144350,19)|0;d=B;B=0;b:do if(!(d&1)?(B=0,Xa(239,F|0,0)|0,g=B,B=0,!(g&1)):0){g=Ab(20)|0;B=0;eb(502,t|0,69562,75);w=B;B=0;do if(!(w&1)){B=0;eb(502,u|0,69920,24);O=B;B=0;if(O&1){O=Rb()|0;P=Q;Yua(t);ia=O;ja=P;break}B=0;wa(510,v|0,e|0);P=B;B=0;if(P&1){P=Rb()|0;ka=1;la=Q;ma=P}else{B=0;ua(163,g|0,t|0,u|0,767,v|0);P=B;B=0;if(P&1)na=1;else{B=0;eb(503,g|0,1240,229);B=0;na=0}P=Rb()|0;O=Q;Yua(v);ka=na;la=O;ma=P}Yua(u);Yua(t);if(ka){ia=ma;ja=la}else{oa=la;pa=ma;break b}}else{P=Rb()|0;ia=P;ja=Q}while(0);zb(g|0);oa=ja;pa=ia}else Z=103;while(0);if((Z|0)==103){F=Rb()|0;oa=Q;pa=F}k[s>>2]=27468;k[a>>2]=27488;k[e>>2]=27560;Yua(f);Ava(e);vva(a);W=oa;X=pa;Qb(X|0)}while(0);ea=ga;fa=ha;vva(a);Qb(fa|0)}}if(N)Ec[k[(k[N>>2]|0)+4>>2]&1023](N);Tqa(x);Tqa(z);Tqa(A);Tqa(C);Tqa(D);Tqa(E);Tqa(y);r=b;return}else if((Z|0)==22){b=Rb()|0;y=Q;Sqa(Y);W=y;X=b;Qb(X|0)}else if((Z|0)==25){b=Rb()|0;y=Q;Sqa($);W=y;X=b;Qb(X|0)}else if((Z|0)==28){b=Rb()|0;y=Q;Sqa(aa);W=y;X=b;Qb(X|0)}else if((Z|0)==29){b=h+56|0;y=h+4|0;k[h>>2]=27524;k[b>>2]=27544;B=0;wa(508,h+56|0,y|0);aa=B;B=0;if(aa&1){aa=Rb()|0;qa=Q;ra=aa;vva(b);Qb(ra|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[b>>2]=27488;B=0;va(448,y|0);aa=B;B=0;do if(aa&1){$=Rb()|0;sa=Q;ta=$}else{k[y>>2]=27560;$=h+36|0;k[$>>2]=0;k[$+4>>2]=0;k[$+8>>2]=0;k[$+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,y|0,c|0);Y=B;B=0;if(Y&1){Y=Rb()|0;E=Q;Yua(c);Yua($);Ava(y);sa=E;ta=Y;break}Yua(c);B=0;Y=Ia(40,h|0,144350,19)|0;E=B;B=0;c:do if(!(E&1)?(B=0,Xa(239,Y|0,0)|0,D=B,B=0,!(D&1)):0){D=Ab(20)|0;B=0;eb(502,i|0,69562,75);C=B;B=0;do if(!(C&1)){B=0;eb(502,j|0,69920,24);A=B;B=0;if(A&1){A=Rb()|0;z=Q;Yua(i);xa=z;ya=A;break}B=0;wa(510,l|0,y|0);A=B;B=0;if(A&1){A=Rb()|0;za=A;Aa=Q;Ba=1}else{B=0;ua(163,D|0,i|0,j|0,744,l|0);A=B;B=0;if(A&1)Ca=1;else{B=0;eb(503,D|0,1240,229);B=0;Ca=0}A=Rb()|0;z=Q;Yua(l);za=A;Aa=z;Ba=Ca}Yua(j);Yua(i);if(Ba){xa=Aa;ya=za}else{Da=Aa;Ea=za;break c}}else{z=Rb()|0;xa=Q;ya=z}while(0);zb(D|0);Da=xa;Ea=ya}else Z=44;while(0);if((Z|0)==44){Y=Rb()|0;Da=Q;Ea=Y}k[h>>2]=27468;k[b>>2]=27488;k[y>>2]=27560;Yua($);Ava(y);vva(b);W=Da;X=Ea;Qb(X|0)}while(0);qa=sa;ra=ta;vva(b);Qb(ra|0)}else if((Z|0)==56){ra=Rb()|0;b=Q;Sqa(ba);W=b;X=ra;Qb(X|0)}else if((Z|0)==59){ra=Rb()|0;b=Q;Sqa(ca);W=b;X=ra;Qb(X|0)}else if((Z|0)==62){ra=Rb()|0;b=Q;Sqa(da);W=b;X=ra;Qb(X|0)}else if((Z|0)==63){ra=m+56|0;b=m+4|0;k[m>>2]=27524;k[ra>>2]=27544;B=0;wa(508,m+56|0,b|0);da=B;B=0;if(da&1){da=Rb()|0;Fa=Q;Ga=da;vva(ra);Qb(Ga|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[ra>>2]=27488;B=0;va(448,b|0);da=B;B=0;do if(da&1){ca=Rb()|0;Ha=Q;Ja=ca}else{k[b>>2]=27560;ca=m+36|0;k[ca>>2]=0;k[ca+4>>2]=0;k[ca+8>>2]=0;k[ca+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,b|0,c|0);ba=B;B=0;if(ba&1){ba=Rb()|0;ta=Q;Yua(c);Yua(ca);Ava(b);Ha=ta;Ja=ba;break}Yua(c);B=0;ba=Ia(40,m|0,144350,19)|0;ta=B;B=0;d:do if(!(ta&1)?(B=0,Xa(239,ba|0,0)|0,sa=B,B=0,!(sa&1)):0){sa=Ab(20)|0;B=0;eb(502,n|0,69562,75);qa=B;B=0;do if(!(qa&1)){B=0;eb(502,o|0,69920,24);Ea=B;B=0;if(Ea&1){Ea=Rb()|0;Da=Q;Yua(n);Ka=Ea;La=Da;break}B=0;wa(510,q|0,b|0);Da=B;B=0;if(Da&1){Da=Rb()|0;Ma=1;Na=Q;Oa=Da}else{B=0;ua(163,sa|0,n|0,o|0,751,q|0);Da=B;B=0;if(Da&1)Pa=1;else{B=0;eb(503,sa|0,1240,229);B=0;Pa=0}Da=Rb()|0;Ea=Q;Yua(q);Ma=Pa;Na=Ea;Oa=Da}Yua(o);Yua(n);if(Ma){Ka=Oa;La=Na}else{Qa=Na;Ra=Oa;break d}}else{Da=Rb()|0;Ka=Da;La=Q}while(0);zb(sa|0);Qa=La;Ra=Ka}else Z=78;while(0);if((Z|0)==78){ba=Rb()|0;Qa=Q;Ra=ba}k[m>>2]=27468;k[ra>>2]=27488;k[b>>2]=27560;Yua(ca);Ava(b);vva(ra);W=Qa;X=Ra;Qb(X|0)}while(0);Fa=Ha;Ga=Ja;vva(ra);Qb(Ga|0)}}function lp(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0.0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0;b=r;r=r+560|0;c=b+540|0;d=b+16|0;e=b+8|0;f=b;g=b+392|0;h=b+528|0;i=b+380|0;j=b+368|0;l=b+232|0;m=b+84|0;n=b+72|0;o=b+60|0;q=b+96|0;s=b+48|0;t=b+36|0;u=b+24|0;if(!(Hc[k[(k[a>>2]|0)+248>>2]&511](a)|0)){r=b;return}v=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;w=v*12|0;x=w>>>0>536870911?-1:w<<3;w=Rqa(x)|0;y=Rqa(x)|0;z=Rqa(x)|0;A=Rqa(x)|0;x=Rqa(v>>>0>536870911?-1:v<<3)|0;C=a+36|0;dO(k[C>>2]|0,e,767);dO(k[C>>2]|0,f,67);D=+p[f>>3];E=D*+_(+(+p[e>>3]/D));D=+WJ(k[a+32>>2]|0,458);F=a+16|0;G=oC(k[F>>2]|0,446)|0;H=oC(k[F>>2]|0,444)|0;I=Hc[k[(k[a>>2]|0)+304>>2]&511](a)|0;J=(v|0)>0;if(J){K=0;do{L=+(K|0)/12.0;M=0;do{Fc[k[(k[I>>2]|0)+28>>2]&1023](I,M);N=(M*12|0)+K|0;md[k[(k[G>>2]|0)+52>>2]&31](G,z+(N<<3)|0,I,L*+p[f>>3]);O=A+(N<<3)|0;md[k[(k[H>>2]|0)+52>>2]&31](H,O,I,L*+p[f>>3]);p[O>>3]=+p[O>>3]*+p[f>>3];M=M+1|0}while((M|0)!=(v|0));K=K+1|0}while((K|0)!=12);eO(k[C>>2]|0,d,439,+p[e>>3]);if(J){K=0;do{H=K*12|0;ZY(+p[d>>3],D,A+(H<<3)|0,z+(H<<3)|0,w+(H<<3)|0,y+(H<<3)|0);K=K+1|0}while((K|0)!=(v|0))}}else eO(k[C>>2]|0,d,439,+p[e>>3]);e=Qqa(24)|0;B=0;wa(514,e|0,460);d=B;B=0;if(d&1){d=Rb()|0;K=Q;Sqa(e);P=K;R=d;Qb(R|0)}d=Qqa(24)|0;B=0;wa(514,d|0,448);K=B;B=0;if(K&1){K=Rb()|0;H=Q;Sqa(d);P=H;R=K;Qb(R|0)}K=0;a:while(1){if(J){H=0;do{p[x+(H<<3)>>3]=+p[w+((H*12|0)+K<<3)>>3];H=H+1|0}while((H|0)!=(v|0))}switch(Hc[k[(k[a>>2]|0)+20>>2]&511](a)|0){case 621:{H=Qqa(16)|0;B=0;ib(284,H|0,460,x|0,738);G=B;B=0;if(G&1){S=H;T=22;break a}fm(e,H,E+ +(K|0)/12.0*+p[f>>3]);break}case 625:{H=Qqa(16)|0;B=0;ib(285,H|0,460,x|0,738);G=B;B=0;if(G&1){U=H;T=25;break a}fm(e,H,E+ +(K|0)/12.0*+p[f>>3]);break}case 623:{H=Qqa(16)|0;B=0;ib(286,H|0,460,x|0,738);G=B;B=0;if(G&1){V=H;T=28;break a}fm(e,H,E+ +(K|0)/12.0*+p[f>>3]);break}default:{T=29;break a}}if(J){D=+p[f>>3];H=0;do{p[x+(H<<3)>>3]=+p[y+((H*12|0)+K<<3)>>3]/D;H=H+1|0}while((H|0)!=(v|0))}switch(Hc[k[(k[a>>2]|0)+20>>2]&511](a)|0){case 621:{H=Qqa(16)|0;B=0;ib(284,H|0,448,x|0,738);G=B;B=0;if(G&1){W=H;T=56;break a}fm(d,H,E+ +(K|0)/12.0*+p[f>>3]);break}case 625:{H=Qqa(16)|0;B=0;ib(285,H|0,448,x|0,738);G=B;B=0;if(G&1){X=H;T=59;break a}fm(d,H,E+ +(K|0)/12.0*+p[f>>3]);break}case 623:{H=Qqa(16)|0;B=0;ib(286,H|0,448,x|0,738);G=B;B=0;if(G&1){Y=H;T=62;break a}fm(d,H,E+ +(K|0)/12.0*+p[f>>3]);break}default:{T=63;break a}}K=K+1|0;if((K|0)>=12){T=13;break}}if((T|0)==13){Fc[k[(k[e>>2]|0)+84>>2]&1023](e,k[C>>2]|0);Fc[k[(k[d>>2]|0)+84>>2]&1023](d,k[C>>2]|0);mC(k[F>>2]|0,e)|0;mC(k[F>>2]|0,d)|0;switch(Hc[k[(k[a>>2]|0)+20>>2]&511](a)|0){case 621:break;case 623:case 625:{nd[k[(k[a>>2]|0)+220>>2]&1023](a,460,-1);nd[k[(k[a>>2]|0)+220>>2]&1023](a,448,-1);break}default:{a=q+56|0;d=q+4|0;k[q>>2]=27524;k[a>>2]=27544;B=0;wa(508,q+56|0,d|0);F=B;B=0;if(F&1){F=Rb()|0;Z=Q;$=F;vva(a);Qb($|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[a>>2]=27488;B=0;va(448,d|0);F=B;B=0;do if(F&1){e=Rb()|0;aa=Q;ba=e}else{k[d>>2]=27560;e=q+36|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;k[q+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,d|0,c|0);C=B;B=0;if(C&1){C=Rb()|0;K=Q;Yua(c);Yua(e);Ava(d);aa=K;ba=C;break}Yua(c);B=0;C=Ia(40,q|0,144350,19)|0;K=B;B=0;b:do if(!(K&1)?(B=0,Xa(239,C|0,0)|0,f=B,B=0,!(f&1)):0){f=Ab(20)|0;B=0;eb(502,s|0,69562,75);v=B;B=0;do if(!(v&1)){B=0;eb(502,t|0,69945,26);J=B;B=0;if(J&1){J=Rb()|0;H=Q;Yua(s);ca=J;da=H;break}B=0;wa(510,u|0,d|0);H=B;B=0;if(H&1){H=Rb()|0;ea=1;fa=Q;ga=H}else{B=0;ua(163,f|0,s|0,t|0,861,u|0);H=B;B=0;if(H&1)ha=1;else{B=0;eb(503,f|0,1240,229);B=0;ha=0}H=Rb()|0;J=Q;Yua(u);ea=ha;fa=J;ga=H}Yua(t);Yua(s);if(ea){ca=ga;da=fa}else{ia=fa;ja=ga;break b}}else{H=Rb()|0;ca=H;da=Q}while(0);zb(f|0);ia=da;ja=ca}else T=103;while(0);if((T|0)==103){C=Rb()|0;ia=Q;ja=C}k[q>>2]=27468;k[a>>2]=27488;k[d>>2]=27560;Yua(e);Ava(d);vva(a);P=ia;R=ja;Qb(R|0)}while(0);Z=aa;$=ba;vva(a);Qb($|0)}}if(I)Ec[k[(k[I>>2]|0)+4>>2]&1023](I);Tqa(w);Tqa(y);Tqa(z);Tqa(A);Tqa(x);r=b;return}else if((T|0)==22){b=Rb()|0;x=Q;Sqa(S);P=x;R=b;Qb(R|0)}else if((T|0)==25){b=Rb()|0;x=Q;Sqa(U);P=x;R=b;Qb(R|0)}else if((T|0)==28){b=Rb()|0;x=Q;Sqa(V);P=x;R=b;Qb(R|0)}else if((T|0)==29){b=g+56|0;x=g+4|0;k[g>>2]=27524;k[b>>2]=27544;B=0;wa(508,g+56|0,x|0);V=B;B=0;if(V&1){V=Rb()|0;ka=Q;la=V;vva(b);Qb(la|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[b>>2]=27488;B=0;va(448,x|0);V=B;B=0;do if(V&1){U=Rb()|0;ma=Q;na=U}else{k[x>>2]=27560;U=g+36|0;k[U>>2]=0;k[U+4>>2]=0;k[U+8>>2]=0;k[U+12>>2]=0;k[g+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,x|0,c|0);S=B;B=0;if(S&1){S=Rb()|0;A=Q;Yua(c);Yua(U);Ava(x);ma=A;na=S;break}Yua(c);B=0;S=Ia(40,g|0,144350,19)|0;A=B;B=0;c:do if(!(A&1)?(B=0,Xa(239,S|0,0)|0,z=B,B=0,!(z&1)):0){z=Ab(20)|0;B=0;eb(502,h|0,69562,75);y=B;B=0;do if(!(y&1)){B=0;eb(502,i|0,69945,26);w=B;B=0;if(w&1){w=Rb()|0;I=Q;Yua(h);oa=I;pa=w;break}B=0;wa(510,j|0,x|0);w=B;B=0;if(w&1){w=Rb()|0;qa=w;ra=Q;sa=1}else{B=0;ua(163,z|0,h|0,i|0,838,j|0);w=B;B=0;if(w&1)ta=1;else{B=0;eb(503,z|0,1240,229);B=0;ta=0}w=Rb()|0;I=Q;Yua(j);qa=w;ra=I;sa=ta}Yua(i);Yua(h);if(sa){oa=ra;pa=qa}else{xa=ra;ya=qa;break c}}else{I=Rb()|0;oa=Q;pa=I}while(0);zb(z|0);xa=oa;ya=pa}else T=44;while(0);if((T|0)==44){S=Rb()|0;xa=Q;ya=S}k[g>>2]=27468;k[b>>2]=27488;k[x>>2]=27560;Yua(U);Ava(x);vva(b);P=xa;R=ya;Qb(R|0)}while(0);ka=ma;la=na;vva(b);Qb(la|0)}else if((T|0)==56){la=Rb()|0;b=Q;Sqa(W);P=b;R=la;Qb(R|0)}else if((T|0)==59){la=Rb()|0;b=Q;Sqa(X);P=b;R=la;Qb(R|0)}else if((T|0)==62){la=Rb()|0;b=Q;Sqa(Y);P=b;R=la;Qb(R|0)}else if((T|0)==63){la=l+56|0;b=l+4|0;k[l>>2]=27524;k[la>>2]=27544;B=0;wa(508,l+56|0,b|0);Y=B;B=0;if(Y&1){Y=Rb()|0;za=Q;Aa=Y;vva(la);Qb(Aa|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[la>>2]=27488;B=0;va(448,b|0);Y=B;B=0;do if(Y&1){X=Rb()|0;Ba=Q;Ca=X}else{k[b>>2]=27560;X=l+36|0;k[X>>2]=0;k[X+4>>2]=0;k[X+8>>2]=0;k[X+12>>2]=0;k[l+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,b|0,c|0);W=B;B=0;if(W&1){W=Rb()|0;na=Q;Yua(c);Yua(X);Ava(b);Ba=na;Ca=W;break}Yua(c);B=0;W=Ia(40,l|0,144350,19)|0;na=B;B=0;d:do if(!(na&1)?(B=0,Xa(239,W|0,0)|0,ma=B,B=0,!(ma&1)):0){ma=Ab(20)|0;B=0;eb(502,m|0,69562,75);ka=B;B=0;do if(!(ka&1)){B=0;eb(502,n|0,69945,26);ya=B;B=0;if(ya&1){ya=Rb()|0;xa=Q;Yua(m);Da=ya;Ea=xa;break}B=0;wa(510,o|0,b|0);xa=B;B=0;if(xa&1){xa=Rb()|0;Fa=1;Ga=Q;Ha=xa}else{B=0;ua(163,ma|0,m|0,n|0,845,o|0);xa=B;B=0;if(xa&1)Ja=1;else{B=0;eb(503,ma|0,1240,229);B=0;Ja=0}xa=Rb()|0;ya=Q;Yua(o);Fa=Ja;Ga=ya;Ha=xa}Yua(n);Yua(m);if(Fa){Da=Ha;Ea=Ga}else{Ka=Ga;La=Ha;break d}}else{xa=Rb()|0;Da=xa;Ea=Q}while(0);zb(ma|0);Ka=Ea;La=Da}else T=78;while(0);if((T|0)==78){W=Rb()|0;Ka=Q;La=W}k[l>>2]=27468;k[la>>2]=27488;k[b>>2]=27560;Yua(X);Ava(b);vva(la);P=Ka;R=La;Qb(R|0)}while(0);za=Ba;Aa=Ca;vva(la);Qb(Aa|0)}}function mp(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0;b=r;r=r+1824|0;c=b+1804|0;d=b+1608|0;e=b+1792|0;f=b+1456|0;g=b+1780|0;h=b+1320|0;i=b+1768|0;j=b+1168|0;l=b+1756|0;m=b+1016|0;n=b+1744|0;o=b+880|0;p=b+1592|0;q=b+728|0;s=b+1304|0;t=b+592|0;u=b+1152|0;v=b+440|0;w=b+864|0;x=b+304|0;y=b+576|0;z=b+168|0;A=b+152|0;C=b+16|0;D=b;E=d+56|0;F=d+4|0;k[d>>2]=27524;k[E>>2]=27544;B=0;wa(508,d+56|0,F|0);G=B;B=0;if(G&1){G=Rb()|0;H=Q;I=G;vva(E);Qb(I|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[E>>2]=27488;B=0;va(448,F|0);G=B;B=0;do if(G&1){J=Rb()|0;K=Q;L=J}else{k[F>>2]=27560;J=d+36|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;k[J+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,F|0,c|0);M=B;B=0;if(M&1){M=Rb()|0;N=Q;Yua(c);Yua(J);Ava(F);K=N;L=M;break}Yua(c);B=0;M=ya(k[(k[a>>2]|0)+20>>2]|0,a|0)|0;N=B;B=0;do if((((!(N&1)?(B=0,O=ya(427,M|0)|0,P=B,B=0,!(P&1)):0)?(P=Lta(O)|0,B=0,R=Ia(40,d|0,O|0,P|0)|0,P=B,B=0,!(P&1)):0)?(B=0,Ia(40,R|0,69717,10)|0,R=B,B=0,!(R&1)):0)?(B=0,wa(510,e|0,F|0),R=B,B=0,!(R&1)):0){B=0;ya(424,e|0)|0;R=B;B=0;if(R&1){R=Rb()|0;P=Q;Yua(e);S=R;T=P;break}Yua(e);k[d>>2]=27468;k[E>>2]=27488;k[F>>2]=27560;Yua(J);Ava(F);vva(E);P=f+56|0;R=f+4|0;k[f>>2]=27524;k[P>>2]=27544;B=0;wa(508,f+56|0,R|0);O=B;B=0;if(O&1){O=Rb()|0;U=Q;V=O;vva(P);Qb(V|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[P>>2]=27488;B=0;va(448,R|0);O=B;B=0;do if(O&1){W=Rb()|0;X=Q;Y=W}else{k[R>>2]=27560;W=f+36|0;k[W>>2]=0;k[W+4>>2]=0;k[W+8>>2]=0;k[W+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,R|0,c|0);Z=B;B=0;if(Z&1){Z=Rb()|0;_=Q;Yua(c);Yua(W);Ava(R);X=_;Y=Z;break}Yua(c);B=0;Z=Ia(40,f|0,69728,8)|0;_=B;B=0;do if(((!(_&1)?(B=0,$=Xa(242,Z|0,k[a+8>>2]|0)|0,aa=B,B=0,!(aa&1)):0)?(B=0,Ia(40,$|0,149177,1)|0,$=B,B=0,!($&1)):0)?(B=0,wa(510,g|0,R|0),$=B,B=0,!($&1)):0){B=0;ya(424,g|0)|0;$=B;B=0;if($&1){$=Rb()|0;aa=Q;Yua(g);ba=$;ca=aa;break}Yua(g);k[f>>2]=27468;k[P>>2]=27488;k[R>>2]=27560;Yua(W);Ava(R);vva(P);aa=h+56|0;$=h+4|0;k[h>>2]=27524;k[aa>>2]=27544;B=0;wa(508,h+56|0,$|0);da=B;B=0;if(da&1){da=Rb()|0;ea=Q;fa=da;vva(aa);Qb(fa|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[aa>>2]=27488;B=0;va(448,$|0);da=B;B=0;do if(da&1){ga=Rb()|0;ha=Q;ia=ga}else{k[$>>2]=27560;ga=h+36|0;k[ga>>2]=0;k[ga+4>>2]=0;k[ga+8>>2]=0;k[ga+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,$|0,c|0);ja=B;B=0;if(ja&1){ja=Rb()|0;ka=Q;Yua(c);Yua(ga);Ava($);ha=ka;ia=ja;break}Yua(c);B=0;ja=Ia(40,h|0,79833,8)|0;ka=B;B=0;do if(ka&1)la=49;else{B=0;ma=Xa(242,ja|0,k[a+12>>2]|0)|0;na=B;B=0;if(na&1){la=49;break}B=0;Ia(40,ma|0,149177,1)|0;ma=B;B=0;if(ma&1){la=49;break}B=0;wa(510,i|0,$|0);ma=B;B=0;if(ma&1){la=49;break}B=0;ya(424,i|0)|0;ma=B;B=0;if(ma&1){ma=Rb()|0;na=Q;Yua(i);oa=ma;pa=na;break}Yua(i);k[h>>2]=27468;k[aa>>2]=27488;k[$>>2]=27560;Yua(ga);Ava($);vva(aa);na=a+24|0;a:do if(!(k[na>>2]|0)){ma=j+56|0;qa=j+4|0;k[j>>2]=27524;k[ma>>2]=27544;B=0;wa(508,j+56|0,qa|0);ra=B;B=0;if(ra&1){ra=Rb()|0;sa=Q;ta=ra;vva(ma);Qb(ta|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[ma>>2]=27488;B=0;va(448,qa|0);ra=B;B=0;do if(ra&1){ua=Rb()|0;xa=Q;za=ua}else{k[qa>>2]=27560;ua=j+36|0;k[ua>>2]=0;k[ua+4>>2]=0;k[ua+8>>2]=0;k[ua+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,qa|0,c|0);Aa=B;B=0;if(Aa&1){Aa=Rb()|0;Ba=Q;Yua(c);Yua(ua);Ava(qa);xa=Ba;za=Aa;break}Yua(c);B=0;Ia(40,j|0,69737,16)|0;Aa=B;B=0;do if(!(Aa&1)){B=0;wa(510,l|0,qa|0);Ba=B;B=0;if(Ba&1){la=65;break}B=0;ya(424,l|0)|0;Ba=B;B=0;if(Ba&1){Ba=Rb()|0;Ca=Q;Yua(l);Da=Ba;Ea=Ca;break}else{Yua(l);k[j>>2]=27468;k[ma>>2]=27488;k[qa>>2]=27560;Yua(ua);Ava(qa);vva(ma);break a}}else la=65;while(0);if((la|0)==65){Aa=Rb()|0;Da=Aa;Ea=Q}k[j>>2]=27468;k[ma>>2]=27488;k[qa>>2]=27560;Yua(ua);Ava(qa);vva(ma);Fa=Da;Ga=Ea;Qb(Fa|0)}while(0);sa=xa;ta=za;vva(ma);Qb(ta|0)}else{qa=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;if((qa|0)>0)Ha=0;else break;do{ra=k[(k[na>>2]|0)+(Ha<<2)>>2]|0;Ec[k[(k[ra>>2]|0)+8>>2]&1023](ra);Ha=Ha+1|0}while((Ha|0)!=(qa|0))}while(0);na=a+20|0;b:do if(k[na>>2]|0){qa=Hc[k[(k[a>>2]|0)+164>>2]&511](a)|0;if((qa|0)<=0)break;ma=m+56|0;ra=m+4|0;Aa=m+56|0;Ca=m+128|0;Ba=m+132|0;Ja=m+36|0;Ka=m+52|0;La=0;while(1){k[m>>2]=27524;k[ma>>2]=27544;B=0;wa(508,Aa|0,ra|0);Ma=B;B=0;if(Ma&1){la=75;break}k[Ca>>2]=0;k[Ba>>2]=-1;k[m>>2]=27468;k[ma>>2]=27488;B=0;va(448,ra|0);Ma=B;B=0;if(Ma&1){la=76;break}k[ra>>2]=27560;k[Ja>>2]=0;k[Ja+4>>2]=0;k[Ja+8>>2]=0;k[Ja+12>>2]=0;k[Ka>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ra|0,c|0);Ma=B;B=0;if(Ma&1){la=74;break}Yua(c);B=0;Ma=Ia(40,m|0,69972,6)|0;Na=B;B=0;if(Na&1){la=86;break}B=0;Na=Xa(242,Ma|0,La|0)|0;Ma=B;B=0;if(Ma&1){la=86;break}B=0;Ma=Ia(40,Na|0,69979,4)|0;Na=B;B=0;if(Na&1){la=86;break}B=0;Xa(245,Ma|0,k[(k[na>>2]|0)+(La<<2)>>2]|0)|0;Ma=B;B=0;if(Ma&1){la=86;break}B=0;wa(510,n|0,ra|0);Ma=B;B=0;if(Ma&1){la=86;break}B=0;ya(424,n|0)|0;Ma=B;B=0;if(Ma&1){la=87;break}Yua(n);k[m>>2]=27468;k[ma>>2]=27488;k[ra>>2]=27560;Yua(Ja);Ava(ra);vva(ma);Ma=k[(k[na>>2]|0)+(La<<2)>>2]|0;Ec[k[(k[Ma>>2]|0)+8>>2]&1023](Ma);La=La+1|0;if((La|0)>=(qa|0))break b}if((la|0)==74){qa=Rb()|0;La=Q;Yua(c);Yua(Ja);Ava(ra);Oa=La;Pa=qa;la=77}else if((la|0)==75){qa=Rb()|0;Qa=Q;Ra=qa;vva(ma);Qb(Ra|0)}else if((la|0)==76){qa=Rb()|0;Oa=Q;Pa=qa;la=77}else if((la|0)==86){qa=Rb()|0;Sa=qa;Ta=Q;la=88}else if((la|0)==87){qa=Rb()|0;La=Q;Yua(n);Sa=qa;Ta=La;la=88}if((la|0)==77){Qa=Oa;Ra=Pa;vva(ma);Qb(Ra|0)}else if((la|0)==88){k[m>>2]=27468;k[ma>>2]=27488;k[ra>>2]=27560;Yua(Ja);Ava(ra);vva(ma);Fa=Sa;Ga=Ta;Qb(Fa|0)}}else{La=o+56|0;qa=o+4|0;k[o>>2]=27524;k[La>>2]=27544;B=0;wa(508,o+56|0,qa|0);Ka=B;B=0;if(Ka&1){Ka=Rb()|0;Ua=Q;Va=Ka;vva(La);Qb(Va|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[La>>2]=27488;B=0;va(448,qa|0);Ka=B;B=0;do if(Ka&1){Ba=Rb()|0;Wa=Q;Ya=Ba}else{k[qa>>2]=27560;Ba=o+36|0;k[Ba>>2]=0;k[Ba+4>>2]=0;k[Ba+8>>2]=0;k[Ba+12>>2]=0;k[o+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,qa|0,c|0);Ca=B;B=0;if(Ca&1){Ca=Rb()|0;Aa=Q;Yua(c);Yua(Ba);Ava(qa);Wa=Aa;Ya=Ca;break}Yua(c);B=0;Ia(40,o|0,69754,13)|0;Ca=B;B=0;do if(!(Ca&1)){B=0;wa(510,p|0,qa|0);Aa=B;B=0;if(Aa&1){la=101;break}B=0;ya(424,p|0)|0;Aa=B;B=0;if(Aa&1){Aa=Rb()|0;Ma=Q;Yua(p);Za=Aa;_a=Ma;break}else{Yua(p);k[o>>2]=27468;k[La>>2]=27488;k[qa>>2]=27560;Yua(Ba);Ava(qa);vva(La);break b}}else la=101;while(0);if((la|0)==101){Ca=Rb()|0;Za=Ca;_a=Q}k[o>>2]=27468;k[La>>2]=27488;k[qa>>2]=27560;Yua(Ba);Ava(qa);vva(La);Fa=Za;Ga=_a;Qb(Fa|0)}while(0);Ua=Wa;Va=Ya;vva(La);Qb(Va|0)}while(0);na=k[a+28>>2]|0;c:do if(!na){qa=q+56|0;Ka=q+4|0;k[q>>2]=27524;k[qa>>2]=27544;B=0;wa(508,q+56|0,Ka|0);ma=B;B=0;if(ma&1){ma=Rb()|0;$a=Q;ab=ma;vva(qa);Qb(ab|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[qa>>2]=27488;B=0;va(448,Ka|0);ma=B;B=0;do if(ma&1){ra=Rb()|0;bb=Q;cb=ra}else{k[Ka>>2]=27560;ra=q+36|0;k[ra>>2]=0;k[ra+4>>2]=0;k[ra+8>>2]=0;k[ra+12>>2]=0;k[q+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ka|0,c|0);Ja=B;B=0;if(Ja&1){Ja=Rb()|0;Ca=Q;Yua(c);Yua(ra);Ava(Ka);bb=Ca;cb=Ja;break}Yua(c);B=0;Ia(40,q|0,69768,16)|0;Ja=B;B=0;do if(!(Ja&1)){B=0;wa(510,s|0,Ka|0);Ca=B;B=0;if(Ca&1){la=118;break}B=0;ya(424,s|0)|0;Ca=B;B=0;if(Ca&1){Ca=Rb()|0;ua=Q;Yua(s);db=Ca;eb=ua;break}else{Yua(s);k[q>>2]=27468;k[qa>>2]=27488;k[Ka>>2]=27560;Yua(ra);Ava(Ka);vva(qa);break c}}else la=118;while(0);if((la|0)==118){Ja=Rb()|0;db=Ja;eb=Q}k[q>>2]=27468;k[qa>>2]=27488;k[Ka>>2]=27560;Yua(ra);Ava(Ka);vva(qa);Fa=db;Ga=eb;Qb(Fa|0)}while(0);$a=bb;ab=cb;vva(qa);Qb(ab|0)}else Ec[k[(k[na>>2]|0)+8>>2]&1023](na);while(0);na=k[a+32>>2]|0;d:do if(!na){Ka=t+56|0;ma=t+4|0;k[t>>2]=27524;k[Ka>>2]=27544;B=0;wa(508,t+56|0,ma|0);La=B;B=0;if(La&1){La=Rb()|0;fb=Q;gb=La;vva(Ka);Qb(gb|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[Ka>>2]=27488;B=0;va(448,ma|0);La=B;B=0;do if(La&1){Ja=Rb()|0;hb=Q;ib=Ja}else{k[ma>>2]=27560;Ja=t+36|0;k[Ja>>2]=0;k[Ja+4>>2]=0;k[Ja+8>>2]=0;k[Ja+12>>2]=0;k[t+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ma|0,c|0);Ba=B;B=0;if(Ba&1){Ba=Rb()|0;ua=Q;Yua(c);Yua(Ja);Ava(ma);hb=ua;ib=Ba;break}Yua(c);B=0;Ia(40,t|0,69785,14)|0;Ba=B;B=0;do if(!(Ba&1)){B=0;wa(510,u|0,ma|0);ua=B;B=0;if(ua&1){la=135;break}B=0;ya(424,u|0)|0;ua=B;B=0;if(ua&1){ua=Rb()|0;Ca=Q;Yua(u);jb=ua;kb=Ca;break}else{Yua(u);k[t>>2]=27468;k[Ka>>2]=27488;k[ma>>2]=27560;Yua(Ja);Ava(ma);vva(Ka);break d}}else la=135;while(0);if((la|0)==135){Ba=Rb()|0;jb=Ba;kb=Q}k[t>>2]=27468;k[Ka>>2]=27488;k[ma>>2]=27560;Yua(Ja);Ava(ma);vva(Ka);Fa=jb;Ga=kb;Qb(Fa|0)}while(0);fb=hb;gb=ib;vva(Ka);Qb(gb|0)}else Ec[k[(k[na>>2]|0)+8>>2]&1023](na);while(0);na=v+56|0;ma=v+4|0;k[v>>2]=27524;k[na>>2]=27544;B=0;wa(508,v+56|0,ma|0);La=B;B=0;if(La&1){La=Rb()|0;lb=Q;mb=La;vva(na);Qb(mb|0)}k[v+128>>2]=0;k[v+132>>2]=-1;k[v>>2]=27468;k[na>>2]=27488;B=0;va(448,ma|0);La=B;B=0;do if(La&1){qa=Rb()|0;nb=Q;ob=qa}else{k[ma>>2]=27560;qa=v+36|0;k[qa>>2]=0;k[qa+4>>2]=0;k[qa+8>>2]=0;k[qa+12>>2]=0;k[v+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ma|0,c|0);Ba=B;B=0;if(Ba&1){Ba=Rb()|0;ra=Q;Yua(c);Yua(qa);Ava(ma);nb=ra;ob=Ba;break}Yua(c);B=0;Ia(40,v|0,144113,14)|0;Ba=B;B=0;do if(Ba&1)la=151;else{B=0;wa(510,w|0,ma|0);ra=B;B=0;if(ra&1){la=151;break}B=0;ya(424,w|0)|0;ra=B;B=0;if(ra&1){ra=Rb()|0;Ca=Q;Yua(w);pb=ra;qb=Ca;break}Yua(w);k[v>>2]=27468;k[na>>2]=27488;k[ma>>2]=27560;Yua(qa);Ava(ma);vva(na);Ca=k[a+36>>2]|0;if(Ca)_N(Ca);Ca=x+56|0;ra=x+4|0;k[x>>2]=27524;k[Ca>>2]=27544;B=0;wa(508,x+56|0,ra|0);ua=B;B=0;if(ua&1){ua=Rb()|0;rb=Q;sb=ua;vva(Ca);Qb(sb|0)}k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[Ca>>2]=27488;B=0;va(448,ra|0);ua=B;B=0;do if(ua&1){Ma=Rb()|0;tb=Q;ub=Ma}else{k[ra>>2]=27560;Ma=x+36|0;k[Ma>>2]=0;k[Ma+4>>2]=0;k[Ma+8>>2]=0;k[Ma+12>>2]=0;k[x+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ra|0,c|0);Aa=B;B=0;if(Aa&1){Aa=Rb()|0;Na=Q;Yua(c);Yua(Ma);Ava(ra);tb=Na;ub=Aa;break}Yua(c);B=0;Ia(40,x|0,69800,18)|0;Aa=B;B=0;do if(Aa&1)la=166;else{B=0;wa(510,y|0,ra|0);Na=B;B=0;if(Na&1){la=166;break}B=0;ya(424,y|0)|0;Na=B;B=0;if(Na&1){Na=Rb()|0;vb=Q;Yua(y);wb=Na;xb=vb;break}Yua(y);k[x>>2]=27468;k[Ca>>2]=27488;k[ra>>2]=27560;Yua(Ma);Ava(ra);vva(Ca);vb=z+56|0;Na=z+4|0;k[z>>2]=27524;k[vb>>2]=27544;B=0;wa(508,z+56|0,Na|0);yb=B;B=0;if(yb&1){yb=Rb()|0;zb=Q;Ab=yb;vva(vb);Qb(Ab|0)}k[z+128>>2]=0;k[z+132>>2]=-1;k[z>>2]=27468;k[vb>>2]=27488;B=0;va(448,Na|0);yb=B;B=0;do if(yb&1){Bb=Rb()|0;Cb=Q;Db=Bb}else{k[Na>>2]=27560;Bb=z+36|0;k[Bb>>2]=0;k[Bb+4>>2]=0;k[Bb+8>>2]=0;k[Bb+12>>2]=0;k[z+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Na|0,c|0);Eb=B;B=0;if(Eb&1){Eb=Rb()|0;Fb=Q;Yua(c);Yua(Bb);Ava(Na);Cb=Fb;Db=Eb;break}Yua(c);B=0;Ia(40,z|0,69819,10)|0;Eb=B;B=0;do if(Eb&1)la=181;else{B=0;wa(510,A|0,Na|0);Fb=B;B=0;if(Fb&1){la=181;break}B=0;ya(424,A|0)|0;Fb=B;B=0;if(Fb&1){Fb=Rb()|0;Gb=Q;Yua(A);Hb=Fb;Ib=Gb;break}Yua(A);k[z>>2]=27468;k[vb>>2]=27488;k[Na>>2]=27560;Yua(Bb);Ava(Na);vva(vb);Gb=k[a+16>>2]|0;if(Gb){oh(Gb);r=b;return}Gb=C+56|0;Fb=C+4|0;k[C>>2]=27524;k[Gb>>2]=27544;B=0;wa(508,C+56|0,Fb|0);Jb=B;B=0;if(Jb&1){Jb=Rb()|0;Kb=Q;Lb=Jb;vva(Gb);Qb(Lb|0)}k[C+128>>2]=0;k[C+132>>2]=-1;k[C>>2]=27468;k[Gb>>2]=27488;B=0;va(448,Fb|0);Jb=B;B=0;do if(Jb&1){Mb=Rb()|0;Nb=Q;Ob=Mb}else{k[Fb>>2]=27560;Mb=C+36|0;k[Mb>>2]=0;k[Mb+4>>2]=0;k[Mb+8>>2]=0;k[Mb+12>>2]=0;k[C+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Fb|0,c|0);Pb=B;B=0;if(Pb&1){Pb=Rb()|0;Sb=Q;Yua(c);Yua(Mb);Ava(Fb);Nb=Sb;Ob=Pb;break}Yua(c);B=0;Ia(40,C|0,69830,12)|0;Pb=B;B=0;do if(Pb&1)la=196;else{B=0;wa(510,D|0,Fb|0);Sb=B;B=0;if(Sb&1){la=196;break}B=0;ya(424,D|0)|0;Sb=B;B=0;if(Sb&1){Sb=Rb()|0;Tb=Q;Yua(D);Ub=Sb;Vb=Tb;break}Yua(D);k[C>>2]=27468;k[Gb>>2]=27488;k[Fb>>2]=27560;Yua(Mb);Ava(Fb);vva(Gb);r=b;return}while(0);if((la|0)==196){Pb=Rb()|0;Ub=Pb;Vb=Q}k[C>>2]=27468;k[Gb>>2]=27488;k[Fb>>2]=27560;Yua(Mb);Ava(Fb);vva(Gb);Fa=Ub;Ga=Vb;Qb(Fa|0)}while(0);Kb=Nb;Lb=Ob;vva(Gb);Qb(Lb|0)}while(0);if((la|0)==181){Eb=Rb()|0;Hb=Eb;Ib=Q}k[z>>2]=27468;k[vb>>2]=27488;k[Na>>2]=27560;Yua(Bb);Ava(Na);vva(vb);Fa=Hb;Ga=Ib;Qb(Fa|0)}while(0);zb=Cb;Ab=Db;vva(vb);Qb(Ab|0)}while(0);if((la|0)==166){Aa=Rb()|0;wb=Aa;xb=Q}k[x>>2]=27468;k[Ca>>2]=27488;k[ra>>2]=27560;Yua(Ma);Ava(ra);vva(Ca);Fa=wb;Ga=xb;Qb(Fa|0)}while(0);rb=tb;sb=ub;vva(Ca);Qb(sb|0)}while(0);if((la|0)==151){Ba=Rb()|0;pb=Ba;qb=Q}k[v>>2]=27468;k[na>>2]=27488;k[ma>>2]=27560;Yua(qa);Ava(ma);vva(na);Fa=pb;Ga=qb;Qb(Fa|0)}while(0);lb=nb;mb=ob;vva(na);Qb(mb|0)}while(0);if((la|0)==49){ja=Rb()|0;oa=ja;pa=Q}k[h>>2]=27468;k[aa>>2]=27488;k[$>>2]=27560;Yua(ga);Ava($);vva(aa);Fa=oa;Ga=pa;Qb(Fa|0)}while(0);ea=ha;fa=ia;vva(aa);Qb(fa|0)}else la=46;while(0);if((la|0)==46){Z=Rb()|0;ba=Z;ca=Q}k[f>>2]=27468;k[P>>2]=27488;k[R>>2]=27560;Yua(W);Ava(R);vva(P);Fa=ba;Ga=ca;Qb(Fa|0)}while(0);U=X;V=Y;vva(P);Qb(V|0)}else la=43;while(0);if((la|0)==43){M=Rb()|0;S=M;T=Q}k[d>>2]=27468;k[E>>2]=27488;k[F>>2]=27560;Yua(J);Ava(F);vva(E);Fa=S;Ga=T;Qb(Fa|0)}while(0);H=K;I=L;vva(E);Qb(I|0)}function np(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;TJ(k[a+32>>2]|0,b,c,d,e);return}function op(a,b,c){a=a|0;b=b|0;c=c|0;bO(k[a+36>>2]|0,b,c);return}function pp(a,b,c){a=a|0;b=b|0;c=c|0;dO(k[a+36>>2]|0,b,c);return}function qp(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;hO(k[a+36>>2]|0,b,c,d);return}function rp(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0;e=Hc[k[(k[a>>2]|0)+164>>2]&511](a)|0;f=(e|0)>0;if(f){g=a+20|0;h=0;i=0;while(1){j=(eo(k[(k[g>>2]|0)+(h<<2)>>2]|0,c,d)|0)+i|0;h=h+1|0;if((h|0)==(e|0)){l=j;break}else i=j}}else l=0;i=Rqa(l>>>0>1073741823?-1:l<<2)|0;if(!f){k[b>>2]=i;return}f=a+20|0;a=0;l=0;do{On(k[(k[f>>2]|0)+(l<<2)>>2]|0,i+(a<<2)|0,c,d);a=(eo(k[(k[f>>2]|0)+(l<<2)>>2]|0,c,d)|0)+a|0;l=l+1|0}while((l|0)!=(e|0));k[b>>2]=i;return}function sp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;d=Hc[k[(k[a>>2]|0)+396>>2]&511](a)|0;e=Hc[k[(k[a>>2]|0)+392>>2]&511](a)|0;f=e+d|0;g=(e|0)>0;if(g){e=a+20|0;h=d;i=0;while(1){j=(eo(k[(k[e>>2]|0)+(h<<2)>>2]|0,542,c)|0)+i|0;h=h+1|0;if((h|0)>=(f|0)){l=j;break}else i=j}}else l=0;i=Rqa(l>>>0>1073741823?-1:l<<2)|0;if(!g){k[b>>2]=i;return}g=a+20|0;a=0;l=d;do{On(k[(k[g>>2]|0)+(l<<2)>>2]|0,i+(a<<2)|0,542,c);a=(eo(k[(k[g>>2]|0)+(l<<2)>>2]|0,542,c)|0)+a|0;l=l+1|0}while((l|0)<(f|0));k[b>>2]=i;return}function tp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;d=Hc[k[(k[a>>2]|0)+396>>2]&511](a)|0;e=(d|0)>0;if(e){f=a+20|0;g=0;h=0;while(1){i=(eo(k[(k[f>>2]|0)+(g<<2)>>2]|0,543,c)|0)+h|0;g=g+1|0;if((g|0)==(d|0)){j=i;break}else h=i}}else j=0;h=Rqa(j>>>0>1073741823?-1:j<<2)|0;if(!e){k[b>>2]=h;return}e=a+20|0;a=0;j=0;do{On(k[(k[e>>2]|0)+(j<<2)>>2]|0,h+(a<<2)|0,543,c);a=(eo(k[(k[e>>2]|0)+(j<<2)>>2]|0,543,c)|0)+a|0;j=j+1|0}while((j|0)!=(d|0));k[b>>2]=h;return}function up(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,f=0,g=0,h=0,i=0;e=oC(k[a+16>>2]|0,c)|0;c=Hc[k[(k[a>>2]|0)+164>>2]&511](a)|0;if(!e){if((c|0)>0)f=0;else return;do{p[b+(f<<3)>>3]=d;f=f+1|0}while((f|0)!=(c|0));return}f=Hc[k[(k[a>>2]|0)+304>>2]&511](a)|0;if((c|0)<=0){if(!f)return}else{g=0;do{h=k[(k[f>>2]|0)+32>>2]|0;i=Hc[k[(k[a>>2]|0)+112>>2]&511](a)|0;nd[h&1023](f,i,g);nd[k[(k[e>>2]|0)+48>>2]&1023](e,b+(g<<3)|0,f);g=g+1|0}while((g|0)!=(c|0))}Ec[k[(k[f>>2]|0)+4>>2]&1023](f);return}function vp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;j=Hc[k[(k[a>>2]|0)+164>>2]&511](a)|0;l=oC(k[a+16>>2]|0,c)|0;if(l){m=Hc[k[(k[a>>2]|0)+304>>2]&511](a)|0;if((j|0)<=0){if(!m){r=d;return}}else{n=0;do{o=k[(k[m>>2]|0)+32>>2]|0;p=Hc[k[(k[a>>2]|0)+112>>2]&511](a)|0;nd[o&1023](m,p,n);nd[k[(k[l>>2]|0)+48>>2]&1023](l,b+(n<<3)|0,m);n=n+1|0}while((n|0)!=(j|0))}Ec[k[(k[m>>2]|0)+4>>2]&1023](m);r=d;return}d=f+56|0;m=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,m|0);j=B;B=0;if(j&1){j=Rb()|0;q=Q;s=j;vva(d);Qb(s|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,m|0);j=B;B=0;do if(j&1){n=Rb()|0;t=Q;u=n}else{k[m>>2]=27560;n=f+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,m|0,e|0);b=B;B=0;if(b&1){b=Rb()|0;l=Q;Yua(e);Yua(n);Ava(m);t=l;u=b;break}Yua(e);B=0;b=Ia(40,f|0,109148,6)|0;l=B;B=0;if((((!(l&1)?(B=0,l=ya(427,c|0)|0,a=B,B=0,!(a&1)):0)?(a=Lta(l)|0,B=0,p=Ia(40,b|0,l|0,a|0)|0,a=B,B=0,!(a&1)):0)?(B=0,a=Ia(40,p|0,109155,21)|0,p=B,B=0,!(p&1)):0)?(B=0,Xa(239,a|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,g|0,69562,75);p=B;B=0;do if(!(p&1)){B=0;eb(502,h|0,69984,19);l=B;B=0;if(l&1){l=Rb()|0;b=Q;Yua(g);v=l;w=b;break}B=0;wa(510,i|0,m|0);b=B;B=0;if(b&1){b=Rb()|0;x=b;y=Q;z=1}else{B=0;ua(163,a|0,g|0,h|0,1029,i|0);b=B;B=0;if(b&1)A=1;else{B=0;eb(503,a|0,1240,229);B=0;A=0}b=Rb()|0;l=Q;Yua(i);x=b;y=l;z=A}Yua(h);Yua(g);if(z){v=x;w=y}else{C=x;D=y;k[f>>2]=27468;k[d>>2]=27488;k[m>>2]=27560;Yua(n);Ava(m);vva(d);Qb(C|0)}}else{l=Rb()|0;v=l;w=Q}while(0);zb(a|0);C=v;D=w;k[f>>2]=27468;k[d>>2]=27488;k[m>>2]=27560;Yua(n);Ava(m);vva(d);Qb(C|0)}p=Rb()|0;C=p;D=Q;k[f>>2]=27468;k[d>>2]=27488;k[m>>2]=27560;Yua(n);Ava(m);vva(d);Qb(C|0)}while(0);q=t;s=u;vva(d);Qb(s|0)}function wp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;j=Hc[k[(k[a>>2]|0)+396>>2]&511](a)|0;l=oC(k[a+16>>2]|0,c)|0;if(l){m=Hc[k[(k[a>>2]|0)+304>>2]&511](a)|0;if((j|0)<=0){if(!m){r=d;return}}else{n=0;do{o=k[(k[m>>2]|0)+32>>2]|0;p=Hc[k[(k[a>>2]|0)+504>>2]&511](a)|0;nd[o&1023](m,p,n);nd[k[(k[l>>2]|0)+48>>2]&1023](l,b+(n<<3)|0,m);n=n+1|0}while((n|0)!=(j|0))}Ec[k[(k[m>>2]|0)+4>>2]&1023](m);r=d;return}d=f+56|0;m=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,m|0);j=B;B=0;if(j&1){j=Rb()|0;q=Q;s=j;vva(d);Qb(s|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,m|0);j=B;B=0;do if(j&1){n=Rb()|0;t=Q;u=n}else{k[m>>2]=27560;n=f+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,m|0,e|0);b=B;B=0;if(b&1){b=Rb()|0;l=Q;Yua(e);Yua(n);Ava(m);t=l;u=b;break}Yua(e);B=0;b=Ia(40,f|0,109148,6)|0;l=B;B=0;if((((!(l&1)?(B=0,l=ya(427,c|0)|0,a=B,B=0,!(a&1)):0)?(a=Lta(l)|0,B=0,p=Ia(40,b|0,l|0,a|0)|0,a=B,B=0,!(a&1)):0)?(B=0,a=Ia(40,p|0,109155,21)|0,p=B,B=0,!(p&1)):0)?(B=0,Xa(239,a|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,g|0,69562,75);p=B;B=0;do if(!(p&1)){B=0;eb(502,h|0,70004,27);l=B;B=0;if(l&1){l=Rb()|0;b=Q;Yua(g);v=l;w=b;break}B=0;wa(510,i|0,m|0);b=B;B=0;if(b&1){b=Rb()|0;x=b;y=Q;z=1}else{B=0;ua(163,a|0,g|0,h|0,1046,i|0);b=B;B=0;if(b&1)A=1;else{B=0;eb(503,a|0,1240,229);B=0;A=0}b=Rb()|0;l=Q;Yua(i);x=b;y=l;z=A}Yua(h);Yua(g);if(z){v=x;w=y}else{C=x;D=y;k[f>>2]=27468;k[d>>2]=27488;k[m>>2]=27560;Yua(n);Ava(m);vva(d);Qb(C|0)}}else{l=Rb()|0;v=l;w=Q}while(0);zb(a|0);C=v;D=w;k[f>>2]=27468;k[d>>2]=27488;k[m>>2]=27560;Yua(n);Ava(m);vva(d);Qb(C|0)}p=Rb()|0;C=p;D=Q;k[f>>2]=27468;k[d>>2]=27488;k[m>>2]=27560;Yua(n);Ava(m);vva(d);Qb(C|0)}while(0);q=t;s=u;vva(d);Qb(s|0)}function xp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;j=oC(k[a+16>>2]|0,c)|0;if(j){l=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;m=Hc[k[(k[a>>2]|0)+304>>2]&511](a)|0;if((l|0)<=0){if(!m){r=d;return}}else{a=0;do{Fc[k[(k[m>>2]|0)+28>>2]&1023](m,a);nd[k[(k[j>>2]|0)+48>>2]&1023](j,b+(a<<3)|0,m);a=a+1|0}while((a|0)!=(l|0))}Ec[k[(k[m>>2]|0)+4>>2]&1023](m);r=d;return}d=f+56|0;m=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,m|0);l=B;B=0;if(l&1){l=Rb()|0;n=Q;o=l;vva(d);Qb(o|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,m|0);l=B;B=0;do if(l&1){a=Rb()|0;p=Q;q=a}else{k[m>>2]=27560;a=f+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,m|0,e|0);b=B;B=0;if(b&1){b=Rb()|0;j=Q;Yua(e);Yua(a);Ava(m);p=j;q=b;break}Yua(e);B=0;b=Ia(40,f|0,109148,6)|0;j=B;B=0;if((((!(j&1)?(B=0,j=ya(427,c|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(j)|0,B=0,t=Ia(40,b|0,j|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,109155,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,g|0,69562,75);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,70032,22);j=B;B=0;if(j&1){j=Rb()|0;b=Q;Yua(g);u=j;v=b;break}B=0;wa(510,i|0,m|0);b=B;B=0;if(b&1){b=Rb()|0;w=b;x=Q;y=1}else{B=0;ua(163,s|0,g|0,h|0,1061,i|0);b=B;B=0;if(b&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}b=Rb()|0;j=Q;Yua(i);w=b;x=j;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[d>>2]=27488;k[m>>2]=27560;Yua(a);Ava(m);vva(d);Qb(A|0)}}else{j=Rb()|0;u=j;v=Q}while(0);zb(s|0);A=u;C=v;k[f>>2]=27468;k[d>>2]=27488;k[m>>2]=27560;Yua(a);Ava(m);vva(d);Qb(A|0)}t=Rb()|0;A=t;C=Q;k[f>>2]=27468;k[d>>2]=27488;k[m>>2]=27560;Yua(a);Ava(m);vva(d);Qb(A|0)}while(0);n=p;o=q;vva(d);Qb(o|0)}function yp(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,f=0;e=oC(k[a+16>>2]|0,c)|0;c=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;if(!e){if((c|0)>0)f=0;else return;do{p[b+(f<<3)>>3]=d;f=f+1|0}while((f|0)!=(c|0));return}f=Hc[k[(k[a>>2]|0)+304>>2]&511](a)|0;if((c|0)<=0){if(!f)return}else{a=0;do{Fc[k[(k[f>>2]|0)+28>>2]&1023](f,a);nd[k[(k[e>>2]|0)+48>>2]&1023](e,b+(a<<3)|0,f);a=a+1|0}while((a|0)!=(c|0))}Ec[k[(k[f>>2]|0)+4>>2]&1023](f);return}function zp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;j=oC(k[a+16>>2]|0,c)|0;if(j){Fc[k[(k[j>>2]|0)+36>>2]&1023](j,b);r=d;return}d=f+56|0;b=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,b|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(d);Qb(m|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);j=B;B=0;do if(j&1){a=Rb()|0;n=Q;o=a}else{k[b>>2]=27560;a=f+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,b|0,e|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(e);Yua(a);Ava(b);n=q;o=p;break}Yua(e);B=0;p=Ia(40,f|0,109148,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,c|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,109155,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,g|0,69562,75);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,121355,13);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(g);u=p;v=q;break}B=0;wa(510,i|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,g|0,h|0,1135,i|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(i);w=p;x=q;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(C|0)}while(0);l=n;m=o;vva(d);Qb(m|0)}function Ap(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;j=oC(k[a+16>>2]|0,c)|0;if(j){Fc[k[(k[j>>2]|0)+40>>2]&1023](j,b);r=d;return}d=f+56|0;b=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,b|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(d);Qb(m|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);j=B;B=0;do if(j&1){a=Rb()|0;n=Q;o=a}else{k[b>>2]=27560;a=f+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,b|0,e|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(e);Yua(a);Ava(b);n=q;o=p;break}Yua(e);B=0;p=Ia(40,f|0,109148,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,c|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,109155,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,g|0,69562,75);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,121355,13);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(g);u=p;v=q;break}B=0;wa(510,i|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,g|0,h|0,1142,i|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(i);w=p;x=q;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(C|0)}while(0);l=n;m=o;vva(d);Qb(m|0)}function Bp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;j=oC(k[a+16>>2]|0,c)|0;if(j){Fc[k[(k[j>>2]|0)+44>>2]&1023](j,b);r=d;return}d=f+56|0;b=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,b|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(d);Qb(m|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);j=B;B=0;do if(j&1){a=Rb()|0;n=Q;o=a}else{k[b>>2]=27560;a=f+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,b|0,e|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(e);Yua(a);Ava(b);n=q;o=p;break}Yua(e);B=0;p=Ia(40,f|0,109148,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,c|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,109155,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,g|0,69562,75);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,121355,13);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(g);u=p;v=q;break}B=0;wa(510,i|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,g|0,h|0,1149,i|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(i);w=p;x=q;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);Qb(C|0)}while(0);l=n;m=o;vva(d);Qb(m|0)}function Cp(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;i=e+12|0;j=e;l=oC(k[a+16>>2]|0,d)|0;if(l){nd[k[(k[l>>2]|0)+48>>2]&1023](l,b,c);r=e;return}e=g+56|0;c=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,c|0);b=B;B=0;if(b&1){b=Rb()|0;m=Q;n=b;vva(e);Qb(n|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,c|0);b=B;B=0;do if(b&1){l=Rb()|0;o=Q;p=l}else{k[c>>2]=27560;l=g+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,c|0,f|0);a=B;B=0;if(a&1){a=Rb()|0;q=Q;Yua(f);Yua(l);Ava(c);o=q;p=a;break}Yua(f);B=0;a=Ia(40,g|0,109148,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,d|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,a|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,109155,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,h|0,69562,75);t=B;B=0;do if(!(t&1)){B=0;eb(502,i|0,121355,13);q=B;B=0;if(q&1){q=Rb()|0;a=Q;Yua(h);u=a;v=q;break}B=0;wa(510,j|0,c|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,h|0,i|0,1156,j|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;a=Q;Yua(j);w=a;x=q;y=z}Yua(i);Yua(h);if(y){u=w;v=x}else{A=w;C=x;k[g>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(l);Ava(c);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[g>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(l);Ava(c);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[g>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(l);Ava(c);vva(e);Qb(C|0)}while(0);m=o;n=p;vva(e);Qb(n|0)}function Dp(a,b){a=a|0;b=b|0;var c=0,d=0.0;switch(b|0){case 217:{c=k[a+28>>2]|0;d=+Zc[k[(k[c>>2]|0)+64>>2]&255](c);return +d}case 214:{c=k[a+28>>2]|0;d=+Zc[k[(k[c>>2]|0)+48>>2]&255](c);return +d}case 215:{c=k[a+28>>2]|0;d=+Zc[k[(k[c>>2]|0)+52>>2]&255](c);return +d}default:{d=+WJ(k[a+32>>2]|0,b);return +d}}return +(0.0)}function Ep(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=Hc[k[(k[a>>2]|0)+164>>2]&511](a)|0;if((c|0)<=0)return;d=a+20|0;a=0;do{e=Rn(k[(k[d>>2]|0)+(a<<2)>>2]|0)|0;k[b+(a<<2)>>2]=e;a=a+1|0}while((a|0)!=(c|0));return}function Fp(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0.0,f=0.0,g=0.0,h=0.0,i=0.0,j=0.0,k=0.0;e=+p[c>>3];f=+p[c+24>>3];g=+p[c+32>>3];h=+p[c+8>>3];i=+p[c+40>>3];j=+p[c+16>>3];k=f*f;f=g*g;g=i*i;i=+aa(+(j*j+(g+(f+(g+(h*h+(k+(e*e+k+f))))))))*.7071067811865475;p[b>>3]=i*(i*4.0)*d;return}function Gp(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;e=r;r=r+192|0;f=e+180|0;g=e+176|0;h=e+40|0;i=e+24|0;j=e+12|0;l=e;m=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;n=Hc[k[(k[a>>2]|0)+164>>2]&511](a)|0;k[g>>2]=0;switch(d|0){case 628:{o=Rqa(m>>>0>1073741823?-1:m<<2)|0;k[g>>2]=o;p=Rqa(m>>>0>536870911?-1:m<<3)|0;q=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;if((q|0)>0){s=a+24|0;t=0;do{u=Co(k[(k[s>>2]|0)+(t<<2)>>2]|0)|0;k[o+(t<<2)>>2]=u;t=t+1|0}while((t|0)!=(q|0))}xp(a,p,c);if(!(k[b>>2]|0)){v=o;w=p}else{q=k[k[b+4>>2]>>2]|0;Dc[k[(k[q>>2]|0)+16>>2]&255](q,m,o,p,0);v=o;w=p}break}case 629:{p=Rqa(m>>>0>1073741823?-1:m<<2)|0;k[g>>2]=p;o=Rqa(m>>>0>536870911?-1:m<<3)|0;q=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;if((q|0)>0){t=a+24|0;s=0;do{u=Bo(k[(k[t>>2]|0)+(s<<2)>>2]|0)|0;k[p+(s<<2)>>2]=u;s=s+1|0}while((s|0)!=(q|0))}xp(a,o,c);if(!(k[b>>2]|0)){v=p;w=o}else{q=k[k[b+4>>2]>>2]|0;Dc[k[(k[q>>2]|0)+16>>2]&255](q,m,p,o,0);v=p;w=o}break}case 549:{o=Rqa(n>>>0>1073741823?-1:n<<2)|0;k[g>>2]=o;o=Rqa(n>>>0>536870911?-1:n<<3)|0;vp(a,o,c);rp(a,g,534,943);p=k[g>>2]|0;if(!(k[b>>2]|0)){v=p;w=o}else{m=k[k[b+4>>2]>>2]|0;Dc[k[(k[m>>2]|0)+16>>2]&255](m,n,p,o,0);v=p;w=o}break}case 608:{o=Rqa(n>>>0>1073741823?-1:n<<2)|0;k[g>>2]=o;g=Rqa(n>>>0>536870911?-1:n<<3)|0;p=Hc[k[(k[a>>2]|0)+164>>2]&511](a)|0;if((p|0)>0){m=a+20|0;q=0;do{s=Qn(k[(k[m>>2]|0)+(q<<2)>>2]|0)|0;k[o+(q<<2)>>2]=s;q=q+1|0}while((q|0)!=(p|0))}vp(a,g,c);if(!(k[b>>2]|0)){v=o;w=g}else{c=k[k[b+4>>2]>>2]|0;Dc[k[(k[c>>2]|0)+16>>2]&255](c,n,o,g,0);v=o;w=g}break}default:{g=h+56|0;o=h+4|0;k[h>>2]=27524;k[g>>2]=27544;B=0;wa(508,h+56|0,o|0);n=B;B=0;if(n&1){n=Rb()|0;x=Q;y=n;vva(g);Qb(y|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[g>>2]=27488;B=0;va(448,o|0);n=B;B=0;do if(n&1){c=Rb()|0;z=Q;A=c}else{k[o>>2]=27560;c=h+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[h+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,o|0,f|0);b=B;B=0;if(b&1){b=Rb()|0;a=Q;Yua(f);Yua(c);Ava(o);z=a;A=b;break}Yua(f);B=0;b=Ia(40,h|0,74808,5)|0;a=B;B=0;if((((((!(a&1)?(B=0,a=Xa(242,b|0,d|0)|0,b=B,B=0,!(b&1)):0)?(B=0,b=Ia(40,a|0,144166,2)|0,a=B,B=0,!(a&1)):0)?(B=0,a=ya(427,d|0)|0,p=B,B=0,!(p&1)):0)?(p=Lta(a)|0,B=0,q=Ia(40,b|0,a|0,p|0)|0,p=B,B=0,!(p&1)):0)?(B=0,p=Ia(40,q|0,74814,21)|0,q=B,B=0,!(q&1)):0)?(B=0,Xa(239,p|0,0)|0,p=B,B=0,!(p&1)):0){p=Ab(20)|0;B=0;eb(502,i|0,69562,75);q=B;B=0;do if(!(q&1)){B=0;eb(502,j|0,115046,19);a=B;B=0;if(a&1){a=Rb()|0;b=Q;Yua(i);C=b;D=a;break}B=0;wa(510,l|0,o|0);a=B;B=0;if(a&1){a=Rb()|0;E=Q;F=a;G=1}else{B=0;ua(163,p|0,i|0,j|0,1291,l|0);a=B;B=0;if(a&1)H=1;else{B=0;eb(503,p|0,1240,229);B=0;H=0}a=Rb()|0;b=Q;Yua(l);E=b;F=a;G=H}Yua(j);Yua(i);if(G){C=E;D=F}else{I=E;J=F;k[h>>2]=27468;k[g>>2]=27488;k[o>>2]=27560;Yua(c);Ava(o);vva(g);Qb(J|0)}}else{a=Rb()|0;C=Q;D=a}while(0);zb(p|0);I=C;J=D;k[h>>2]=27468;k[g>>2]=27488;k[o>>2]=27560;Yua(c);Ava(o);vva(g);Qb(J|0)}q=Rb()|0;I=Q;J=q;k[h>>2]=27468;k[g>>2]=27488;k[o>>2]=27560;Yua(c);Ava(o);vva(g);Qb(J|0)}while(0);x=z;y=A;vva(g);Qb(y|0)}}if(!v){Tqa(w);r=e;return}Tqa(v);Tqa(w);r=e;return}function Hp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;if((c|0)<=0)return;d=a+24|0;a=0;do{e=Co(k[(k[d>>2]|0)+(a<<2)>>2]|0)|0;k[b+(a<<2)>>2]=e;a=a+1|0}while((a|0)!=(c|0));return}function Ip(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;if((c|0)<=0)return;d=a+24|0;a=0;do{e=Bo(k[(k[d>>2]|0)+(a<<2)>>2]|0)|0;k[b+(a<<2)>>2]=e;a=a+1|0}while((a|0)!=(c|0));return}function Jp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;if((c|0)<=0)return;d=a+24|0;a=0;do{e=Ao(k[(k[d>>2]|0)+(a<<2)>>2]|0)|0;k[b+(a<<2)>>2]=e;a=a+1|0}while((a|0)!=(c|0));return}function Kp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=r;r=r+16|0;e=d;f=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;g=Rqa(f>>>0>536870911?-1:f<<3)|0;if((f|0)>0){h=0;do{p[g+(h<<3)>>3]=+p[b+((h*3|0)+1<<3)>>3];h=h+1|0}while((h|0)!=(f|0))}rd[k[(k[a>>2]|0)+500>>2]&511](a,e,g,c);Tqa(g);r=d;return +(+p[e>>3])}function Lp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=r;r=r+16|0;e=d;f=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;g=Rqa(f>>>0>536870911?-1:f<<3)|0;if((f|0)>0){h=0;do{p[g+(h<<3)>>3]=+p[b+((h*3|0)+2<<3)>>3];h=h+1|0}while((h|0)!=(f|0))}rd[k[(k[a>>2]|0)+500>>2]&511](a,e,g,c);Tqa(g);r=d;return +(+p[e>>3])}function Mp(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0;e=r;r=r+16|0;f=e;cO(k[a+36>>2]|0,f,198);g=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;h=(g|0)>0;if(d){if(!h){r=e;return}d=a+24|0;i=0;do{j=k[f>>2]|0;l=(ma(Bo(k[(k[d>>2]|0)+(i<<2)>>2]|0)|0,j)|0)+c|0;k[b+(i<<2)>>2]=l;i=i+1|0}while((i|0)!=(g|0));r=e;return}else{if(!h){r=e;return}h=a+24|0;a=0;do{i=k[f>>2]|0;d=(ma(Co(k[(k[h>>2]|0)+(a<<2)>>2]|0)|0,i)|0)+c|0;k[b+(a<<2)>>2]=d;a=a+1|0}while((a|0)!=(g|0));r=e;return}}function Np(a){a=a|0;return +pC(k[a+16>>2]|0,287)>0.0|0}function Op(a){a=a|0;return k[a+8>>2]|0}function Pp(a,b,c){a=a|0;b=b|0;c=c|0;nC(k[a+16>>2]|0,b,c);return}function Qp(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0;i=r;r=r+1056|0;j=i+1040|0;l=i+856|0;m=i+1028|0;n=i+1016|0;o=i+1004|0;q=i+720|0;s=i+992|0;t=i+708|0;u=i+696|0;v=i;w=i+560|0;x=i+276|0;y=i+264|0;z=i+116|0;A=i+424|0;C=i+104|0;D=i+92|0;E=i+80|0;F=i+288|0;G=i+68|0;H=i+56|0;I=i+44|0;J=i+128|0;K=i+32|0;L=i+20|0;M=i+8|0;switch(f|0){case 1:{N=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;O=Rqa(N>>>0>1073741823?-1:N<<2)|0;P=Rqa(N>>>0>536870911?-1:N<<3)|0;R=(N|0)>0;if(R){S=k[c+72>>2]|0;T=ma(k[a+12>>2]|0,N)|0;U=0;do{k[O+(U<<2)>>2]=k[S+(T+U<<2)>>2];U=U+1|0}while((U|0)!=(N|0))}U=k[c+52>>2]|0;if((U|0)==(d|0)){if(R){T=0;do{p[P+(T<<3)>>3]=+p[b+((k[O+(T<<2)>>2]|0)+-1<<3)>>3];T=T+1|0}while((T|0)!=(N|0))}rd[k[(k[a>>2]|0)+48>>2]&511](a,g,P,738)}else{if((U+1|0)!=(d|0)){U=q+56|0;T=q+4|0;k[q>>2]=27524;k[U>>2]=27544;B=0;wa(508,q+56|0,T|0);S=B;B=0;if(S&1){S=Rb()|0;V=Q;W=S;vva(U);Qb(W|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[U>>2]=27488;B=0;va(448,T|0);S=B;B=0;do if(S&1){X=Rb()|0;Y=Q;Z=X}else{k[T>>2]=27560;X=q+36|0;k[X>>2]=0;k[X+4>>2]=0;k[X+8>>2]=0;k[X+12>>2]=0;k[q+52>>2]=16;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;B=0;wa(509,T|0,j|0);_=B;B=0;if(_&1){_=Rb()|0;$=Q;Yua(j);Yua(X);Ava(T);Y=$;Z=_;break}Yua(j);B=0;_=Ia(40,q|0,70067,84)|0;$=B;B=0;a:do if((((((!($&1)?(B=0,aa=ya(427,g|0)|0,ba=B,B=0,!(ba&1)):0)?(ba=Lta(aa)|0,B=0,ca=Ia(40,_|0,aa|0,ba|0)|0,ba=B,B=0,!(ba&1)):0)?(B=0,ba=Ia(40,ca|0,70152,5)|0,ca=B,B=0,!(ca&1)):0)?(B=0,ca=Xa(242,ba|0,d|0)|0,ba=B,B=0,!(ba&1)):0)?(B=0,ba=Ia(40,ca|0,70158,5)|0,ca=B,B=0,!(ca&1)):0)?(B=0,Xa(239,ba|0,0)|0,ba=B,B=0,!(ba&1)):0){ba=Ab(20)|0;B=0;eb(502,s|0,69562,75);ca=B;B=0;do if(!(ca&1)){B=0;eb(502,t|0,70055,11);aa=B;B=0;if(aa&1){aa=Rb()|0;da=Q;Yua(s);ea=da;fa=aa;break}B=0;wa(510,u|0,T|0);aa=B;B=0;if(aa&1){aa=Rb()|0;ga=1;ha=Q;ia=aa}else{B=0;ua(163,ba|0,s|0,t|0,1453,u|0);aa=B;B=0;if(aa&1)ja=1;else{B=0;eb(503,ba|0,1240,229);B=0;ja=0}aa=Rb()|0;da=Q;Yua(u);ga=ja;ha=da;ia=aa}Yua(t);Yua(s);if(ga){ea=ha;fa=ia}else{ka=ha;la=ia;break a}}else{aa=Rb()|0;ea=Q;fa=aa}while(0);zb(ba|0);ka=ea;la=fa}else na=87;while(0);if((na|0)==87){_=Rb()|0;ka=Q;la=_}k[q>>2]=27468;k[U>>2]=27488;k[T>>2]=27560;Yua(X);Ava(T);vva(U);oa=ka;pa=la;Qb(pa|0)}while(0);V=Y;W=Z;vva(U);Qb(W|0)}W=Rqa(e>>>0>536870911?-1:e<<3)|0;U=(e|0)>0;if(U)TEa(W|0,b+((ma(d+-1|0,e)|0)<<3)|0,e<<3|0)|0;Z=Qqa(24)|0;B=0;ib(287,Z|0,g|0,W|0,e|0);Y=B;B=0;if(Y&1){Y=Rb()|0;V=Q;Sqa(Z);oa=V;pa=Y;Qb(pa|0)}b:do if(U){c:do if(R){Y=0;d:while(1){V=0;do{la=b+((ma((k[O+(V<<2)>>2]|0)+-1|0,e)|0)+Y<<3)|0;p[P+(V<<3)>>3]=+p[la>>3];V=V+1|0}while((V|0)!=(N|0));switch(Hc[k[(k[a>>2]|0)+20>>2]&511](a)|0){case 621:{V=Qqa(16)|0;B=0;ib(284,V|0,g|0,P|0,738);la=B;B=0;if(la&1){qa=V;na=27;break d}gm(Z,V);break}case 625:{V=Qqa(16)|0;B=0;ib(285,V|0,g|0,P|0,738);la=B;B=0;if(la&1){ra=V;na=26;break d}gm(Z,V);break}case 623:{V=Qqa(16)|0;B=0;ib(286,V|0,g|0,P|0,738);la=B;B=0;if(la&1){sa=V;na=25;break d}gm(Z,V);break}default:{na=42;break c}}Y=Y+1|0;if((Y|0)>=(e|0))break b}if((na|0)==25){Y=Rb()|0;ta=Y;xa=Q;za=sa;na=41;break}else if((na|0)==26){Y=Rb()|0;Aa=Q;Ba=Y;Ca=ra;na=37;break}else if((na|0)==27){Y=Rb()|0;Da=Y;Ea=Q;Fa=qa;na=33;break}}else{Y=0;e:while(1){switch(Hc[k[(k[a>>2]|0)+20>>2]&511](a)|0){case 621:{ba=Qqa(16)|0;B=0;ib(284,ba|0,g|0,P|0,738);V=B;B=0;if(V&1){Ga=ba;na=32;break e}gm(Z,ba);break}case 625:{ba=Qqa(16)|0;B=0;ib(285,ba|0,g|0,P|0,738);V=B;B=0;if(V&1){Ha=ba;na=36;break e}gm(Z,ba);break}case 623:{ba=Qqa(16)|0;B=0;ib(286,ba|0,g|0,P|0,738);V=B;B=0;if(V&1){Ja=ba;na=40;break e}gm(Z,ba);break}default:{na=42;break c}}Y=Y+1|0;if((Y|0)>=(e|0))break b}if((na|0)==32){Y=Rb()|0;Da=Y;Ea=Q;Fa=Ga;na=33;break}else if((na|0)==36){Y=Rb()|0;Aa=Q;Ba=Y;Ca=Ha;na=37;break}else if((na|0)==40){Y=Rb()|0;ta=Y;xa=Q;za=Ja;na=41;break}}while(0);if((na|0)==33){Sqa(Fa);oa=Ea;pa=Da;Qb(pa|0)}else if((na|0)==37){Sqa(Ca);oa=Aa;pa=Ba;Qb(pa|0)}else if((na|0)==41){Sqa(za);oa=xa;pa=ta;Qb(pa|0)}else if((na|0)==42){X=l+56|0;Y=l+4|0;k[l>>2]=27524;k[X>>2]=27544;B=0;wa(508,l+56|0,Y|0);ba=B;B=0;if(ba&1){ba=Rb()|0;Ka=Q;La=ba;vva(X);Qb(La|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[X>>2]=27488;B=0;va(448,Y|0);ba=B;B=0;do if(ba&1){V=Rb()|0;Ma=Q;Na=V}else{k[Y>>2]=27560;V=l+36|0;k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;k[V+12>>2]=0;k[l+52>>2]=16;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;B=0;wa(509,Y|0,j|0);la=B;B=0;if(la&1){la=Rb()|0;ka=Q;Yua(j);Yua(V);Ava(Y);Ma=ka;Na=la;break}Yua(j);B=0;la=Ia(40,l|0,144350,19)|0;ka=B;B=0;f:do if(!(ka&1)?(B=0,Xa(239,la|0,0)|0,T=B,B=0,!(T&1)):0){T=Ab(20)|0;B=0;eb(502,m|0,69562,75);q=B;B=0;do if(!(q&1)){B=0;eb(502,n|0,70055,11);fa=B;B=0;if(fa&1){fa=Rb()|0;ea=Q;Yua(m);Pa=ea;Qa=fa;break}B=0;wa(510,o|0,Y|0);fa=B;B=0;if(fa&1){fa=Rb()|0;Ra=Q;Sa=fa;Ta=1}else{B=0;ua(163,T|0,m|0,n|0,1447,o|0);fa=B;B=0;if(fa&1)Ua=1;else{B=0;eb(503,T|0,1240,229);B=0;Ua=0}fa=Rb()|0;ea=Q;Yua(o);Ra=ea;Sa=fa;Ta=Ua}Yua(n);Yua(m);if(Ta){Pa=Ra;Qa=Sa}else{Va=Ra;Wa=Sa;break f}}else{fa=Rb()|0;Pa=Q;Qa=fa}while(0);zb(T|0);Va=Pa;Wa=Qa}else na=57;while(0);if((na|0)==57){la=Rb()|0;Va=Q;Wa=la}k[l>>2]=27468;k[X>>2]=27488;k[Y>>2]=27560;Yua(V);Ava(Y);vva(X);oa=Va;pa=Wa;Qb(pa|0)}while(0);Ka=Ma;La=Na;vva(X);Qb(La|0)}}while(0);mC(k[a+16>>2]|0,Z)|0;Tqa(W)}Tqa(P);Tqa(O);r=i;return}case 2:{O=k[c+56>>2]|0;g:do if((O|0)==(d|0))switch(h|0){case 5:{c=k[a+16>>2]|0;P=Qqa(12)|0;B=0;eb(507,P|0,g|0,+p[b+(k[a+12>>2]<<3)>>3]!=0.0|0);W=B;B=0;if(!(W&1)){mC(c,P)|0;break g}c=Rb()|0;W=Q;Sqa(P);oa=W;pa=c;Qb(pa|0);break}case 6:{c=k[a+16>>2]|0;W=Qqa(12)|0;B=0;eb(508,W|0,g|0,~~+p[b+(k[a+12>>2]<<3)>>3]|0);P=B;B=0;if(!(P&1)){mC(c,W)|0;break g}c=Rb()|0;P=Q;Sqa(W);oa=P;pa=c;Qb(pa|0);break}case 7:{c=k[a+16>>2]|0;P=Qqa(16)|0;B=0;Oa(58,P|0,g|0,+(+p[b+(k[a+12>>2]<<3)>>3]));W=B;B=0;if(!(W&1)){mC(c,P)|0;break g}c=Rb()|0;W=Q;Sqa(P);oa=W;pa=c;Qb(pa|0);break}default:{c=w+56|0;W=w+4|0;k[w>>2]=27524;k[c>>2]=27544;B=0;wa(508,w+56|0,W|0);P=B;B=0;if(P&1){P=Rb()|0;Ya=Q;Za=P;vva(c);Qb(Za|0)}k[w+128>>2]=0;k[w+132>>2]=-1;k[w>>2]=27468;k[c>>2]=27488;B=0;va(448,W|0);P=B;B=0;do if(P&1){Z=Rb()|0;_a=Q;$a=Z}else{k[W>>2]=27560;Z=w+36|0;k[Z>>2]=0;k[Z+4>>2]=0;k[Z+8>>2]=0;k[Z+12>>2]=0;k[w+52>>2]=16;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;B=0;wa(509,W|0,j|0);La=B;B=0;if(La&1){La=Rb()|0;Na=Q;Yua(j);Yua(Z);Ava(W);_a=Na;$a=La;break}Yua(j);B=0;La=Ia(40,w|0,70164,47)|0;Na=B;B=0;h:do if((!(Na&1)?(B=0,Ma=Xa(242,La|0,h|0)|0,Ka=B,B=0,!(Ka&1)):0)?(B=0,Xa(239,Ma|0,0)|0,Ma=B,B=0,!(Ma&1)):0){Ma=Ab(20)|0;B=0;eb(502,x|0,69562,75);Ka=B;B=0;do if(!(Ka&1)){B=0;eb(502,y|0,70055,11);Wa=B;B=0;if(Wa&1){Wa=Rb()|0;Va=Q;Yua(x);ab=Va;bb=Wa;break}B=0;wa(510,z|0,W|0);Wa=B;B=0;if(Wa&1){Wa=Rb()|0;cb=1;db=Q;fb=Wa}else{B=0;ua(163,Ma|0,x|0,y|0,1473,z|0);Wa=B;B=0;if(Wa&1)gb=1;else{B=0;eb(503,Ma|0,1240,229);B=0;gb=0}Wa=Rb()|0;Va=Q;Yua(z);cb=gb;db=Va;fb=Wa}Yua(y);Yua(x);if(cb){ab=db;bb=fb}else{hb=db;jb=fb;break h}}else{Wa=Rb()|0;ab=Q;bb=Wa}while(0);zb(Ma|0);hb=ab;jb=bb}else na=123;while(0);if((na|0)==123){La=Rb()|0;hb=Q;jb=La}k[w>>2]=27468;k[c>>2]=27488;k[W>>2]=27560;Yua(Z);Ava(W);vva(c);oa=hb;pa=jb;Qb(pa|0)}while(0);Ya=_a;Za=$a;vva(c);Qb(Za|0)}}else{if((O+1|0)!=(d|0)){W=F+56|0;P=F+4|0;k[F>>2]=27524;k[W>>2]=27544;B=0;wa(508,F+56|0,P|0);X=B;B=0;if(X&1){X=Rb()|0;kb=Q;lb=X;vva(W);Qb(lb|0)}k[F+128>>2]=0;k[F+132>>2]=-1;k[F>>2]=27468;k[W>>2]=27488;B=0;va(448,P|0);X=B;B=0;do if(X&1){La=Rb()|0;mb=Q;nb=La}else{k[P>>2]=27560;La=F+36|0;k[La>>2]=0;k[La+4>>2]=0;k[La+8>>2]=0;k[La+12>>2]=0;k[F+52>>2]=16;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;B=0;wa(509,P|0,j|0);Na=B;B=0;if(Na&1){Na=Rb()|0;V=Q;Yua(j);Yua(La);Ava(P);mb=V;nb=Na;break}Yua(j);B=0;Na=Ia(40,F|0,70212,86)|0;V=B;B=0;i:do if((((((!(V&1)?(B=0,Ka=ya(427,g|0)|0,T=B,B=0,!(T&1)):0)?(T=Lta(Ka)|0,B=0,Wa=Ia(40,Na|0,Ka|0,T|0)|0,T=B,B=0,!(T&1)):0)?(B=0,T=Ia(40,Wa|0,70152,5)|0,Wa=B,B=0,!(Wa&1)):0)?(B=0,Wa=Xa(242,T|0,d|0)|0,T=B,B=0,!(T&1)):0)?(B=0,T=Ia(40,Wa|0,70158,5)|0,Wa=B,B=0,!(Wa&1)):0)?(B=0,Xa(239,T|0,0)|0,T=B,B=0,!(T&1)):0){T=Ab(20)|0;B=0;eb(502,G|0,69562,75);Wa=B;B=0;do if(!(Wa&1)){B=0;eb(502,H|0,70055,11);Ka=B;B=0;if(Ka&1){Ka=Rb()|0;Va=Q;Yua(G);ob=Va;pb=Ka;break}B=0;wa(510,I|0,P|0);Ka=B;B=0;if(Ka&1){Ka=Rb()|0;qb=1;rb=Q;sb=Ka}else{B=0;ua(163,T|0,G|0,H|0,1493,I|0);Ka=B;B=0;if(Ka&1)tb=1;else{B=0;eb(503,T|0,1240,229);B=0;tb=0}Ka=Rb()|0;Va=Q;Yua(I);qb=tb;rb=Va;sb=Ka}Yua(H);Yua(G);if(qb){ob=rb;pb=sb}else{ub=rb;vb=sb;break i}}else{Ka=Rb()|0;ob=Q;pb=Ka}while(0);zb(T|0);ub=ob;vb=pb}else na=193;while(0);if((na|0)==193){Na=Rb()|0;ub=Q;vb=Na}k[F>>2]=27468;k[W>>2]=27488;k[P>>2]=27560;Yua(La);Ava(P);vva(W);oa=ub;pa=vb;Qb(pa|0)}while(0);kb=mb;lb=nb;vva(W);Qb(lb|0)}P=Rqa(e>>>0>536870911?-1:e<<3)|0;X=(e|0)>0;if(X)TEa(P|0,b+((ma(d+-1|0,e)|0)<<3)|0,e<<3|0)|0;c=Qqa(24)|0;B=0;ib(287,c|0,g|0,P|0,e|0);Na=B;B=0;if(Na&1){Na=Rb()|0;V=Q;Sqa(c);oa=V;pa=Na;Qb(pa|0)}j:do if(X){Na=a+12|0;V=0;k:while(1){Z=b+((ma(k[Na>>2]|0,e)|0)+V<<3)|0;p[v>>3]=+p[Z>>3];switch(Hc[k[(k[a>>2]|0)+20>>2]&511](a)|0){case 621:{Z=Qqa(16)|0;B=0;ib(284,Z|0,g|0,v|0,736);Wa=B;B=0;if(Wa&1){wb=Z;na=141;break k}gm(c,Z);break}case 625:{Z=Qqa(16)|0;B=0;ib(285,Z|0,g|0,v|0,736);Wa=B;B=0;if(Wa&1){xb=Z;na=144;break k}gm(c,Z);break}case 623:{Z=Qqa(16)|0;B=0;ib(286,Z|0,g|0,v|0,736);Wa=B;B=0;if(Wa&1){yb=Z;na=147;break k}gm(c,Z);break}default:{na=148;break k}}V=V+1|0;if((V|0)>=(e|0))break j}if((na|0)==141){V=Rb()|0;Na=Q;Sqa(wb);oa=Na;pa=V;Qb(pa|0)}else if((na|0)==144){V=Rb()|0;Na=Q;Sqa(xb);oa=Na;pa=V;Qb(pa|0)}else if((na|0)==147){V=Rb()|0;Na=Q;Sqa(yb);oa=Na;pa=V;Qb(pa|0)}else if((na|0)==148){V=A+56|0;Na=A+4|0;k[A>>2]=27524;k[V>>2]=27544;B=0;wa(508,A+56|0,Na|0);La=B;B=0;if(La&1){La=Rb()|0;Bb=Q;Cb=La;vva(V);Qb(Cb|0)}k[A+128>>2]=0;k[A+132>>2]=-1;k[A>>2]=27468;k[V>>2]=27488;B=0;va(448,Na|0);La=B;B=0;do if(La&1){Z=Rb()|0;Db=Q;Eb=Z}else{k[Na>>2]=27560;Z=A+36|0;k[Z>>2]=0;k[Z+4>>2]=0;k[Z+8>>2]=0;k[Z+12>>2]=0;k[A+52>>2]=16;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;B=0;wa(509,Na|0,j|0);Wa=B;B=0;if(Wa&1){Wa=Rb()|0;Ma=Q;Yua(j);Yua(Z);Ava(Na);Db=Ma;Eb=Wa;break}Yua(j);B=0;Wa=Ia(40,A|0,144350,19)|0;Ma=B;B=0;l:do if(!(Ma&1)?(B=0,Xa(239,Wa|0,0)|0,Ka=B,B=0,!(Ka&1)):0){Ka=Ab(20)|0;B=0;eb(502,C|0,69562,75);Va=B;B=0;do if(!(Va&1)){B=0;eb(502,D|0,70055,11);l=B;B=0;if(l&1){l=Rb()|0;Qa=Q;Yua(C);Fb=Qa;Gb=l;break}B=0;wa(510,E|0,Na|0);l=B;B=0;if(l&1){l=Rb()|0;Hb=Q;Ib=l;Jb=1}else{B=0;ua(163,Ka|0,C|0,D|0,1487,E|0);l=B;B=0;if(l&1)Kb=1;else{B=0;eb(503,Ka|0,1240,229);B=0;Kb=0}l=Rb()|0;Qa=Q;Yua(E);Hb=Qa;Ib=l;Jb=Kb}Yua(D);Yua(C);if(Jb){Fb=Hb;Gb=Ib}else{Lb=Hb;Mb=Ib;break l}}else{l=Rb()|0;Fb=Q;Gb=l}while(0);zb(Ka|0);Lb=Fb;Mb=Gb}else na=163;while(0);if((na|0)==163){Wa=Rb()|0;Lb=Q;Mb=Wa}k[A>>2]=27468;k[V>>2]=27488;k[Na>>2]=27560;Yua(Z);Ava(Na);vva(V);oa=Lb;pa=Mb;Qb(pa|0)}while(0);Bb=Db;Cb=Eb;vva(V);Qb(Cb|0)}}while(0);mC(k[a+16>>2]|0,c)|0;Tqa(P)}while(0);r=i;return}default:{i=J+56|0;a=J+4|0;k[J>>2]=27524;k[i>>2]=27544;B=0;wa(508,J+56|0,a|0);Cb=B;B=0;if(Cb&1){Cb=Rb()|0;Nb=Q;Ob=Cb;vva(i);Qb(Ob|0)}k[J+128>>2]=0;k[J+132>>2]=-1;k[J>>2]=27468;k[i>>2]=27488;B=0;va(448,a|0);Cb=B;B=0;do if(Cb&1){Eb=Rb()|0;Pb=Q;Sb=Eb}else{k[a>>2]=27560;Eb=J+36|0;k[Eb>>2]=0;k[Eb+4>>2]=0;k[Eb+8>>2]=0;k[Eb+12>>2]=0;k[J+52>>2]=16;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;B=0;wa(509,a|0,j|0);Db=B;B=0;if(Db&1){Db=Rb()|0;Bb=Q;Yua(j);Yua(Eb);Ava(a);Pb=Bb;Sb=Db;break}Yua(j);B=0;Db=Ia(40,J|0,70299,33)|0;Bb=B;B=0;m:do if(((!(Bb&1)?(B=0,Mb=Xa(242,Db|0,f|0)|0,Lb=B,B=0,!(Lb&1)):0)?(B=0,Lb=Ia(40,Mb|0,70333,16)|0,Mb=B,B=0,!(Mb&1)):0)?(B=0,Xa(239,Lb|0,0)|0,Lb=B,B=0,!(Lb&1)):0){Lb=Ab(20)|0;B=0;eb(502,K|0,69562,75);Mb=B;B=0;do if(!(Mb&1)){B=0;eb(502,L|0,70055,11);A=B;B=0;if(A&1){A=Rb()|0;Gb=Q;Yua(K);Tb=Gb;Ub=A;break}B=0;wa(510,M|0,a|0);A=B;B=0;if(A&1){A=Rb()|0;Vb=1;Wb=Q;Xb=A}else{B=0;ua(163,Lb|0,K|0,L|0,1495,M|0);A=B;B=0;if(A&1)Yb=1;else{B=0;eb(503,Lb|0,1240,229);B=0;Yb=0}A=Rb()|0;Gb=Q;Yua(M);Vb=Yb;Wb=Gb;Xb=A}Yua(L);Yua(K);if(Vb){Tb=Wb;Ub=Xb}else{Zb=Wb;_b=Xb;break m}}else{A=Rb()|0;Tb=Q;Ub=A}while(0);zb(Lb|0);Zb=Tb;_b=Ub}else na=219;while(0);if((na|0)==219){Db=Rb()|0;Zb=Q;_b=Db}k[J>>2]=27468;k[i>>2]=27488;k[a>>2]=27560;Yua(Eb);Ava(a);vva(i);oa=Zb;pa=_b;Qb(pa|0)}while(0);Nb=Pb;Ob=Sb;vva(i);Qb(Ob|0)}}}function Rp(a){a=a|0;return k[a+12>>2]|0}function Sp(a,b,c){a=a|0;b=b|0;c=c|0;switch(b|0){case 36:case 38:case 39:case 40:case 63:case 64:case 70:case 104:case 105:case 115:case 123:case 124:case 127:case 128:case 141:case 145:case 148:case 149:case 203:case 204:case 205:case 206:case 214:case 215:case 217:case 218:case 219:case 220:case 221:case 222:case 223:case 225:case 227:case 246:case 262:case 263:case 287:case 339:case 353:case 379:case 388:case 467:case 468:case 469:case 471:case 472:case 645:case 653:case 659:case 664:case 665:case 666:case 668:case 674:case 677:case 679:case 684:case 685:case 686:case 687:case 688:case 698:case 699:case 706:case 734:case 735:case 928:case 941:case 948:case 992:case 993:case 994:case 995:case 999:case 1e3:case 1001:break;default:return}tC(k[a+16>>2]|0,b,c);return}function Tp(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 36:case 38:case 39:case 40:case 63:case 64:case 70:case 104:case 105:case 115:case 123:case 124:case 127:case 128:case 141:case 145:case 148:case 149:case 203:case 204:case 205:case 206:case 214:case 215:case 217:case 218:case 219:case 220:case 221:case 222:case 223:case 225:case 227:case 246:case 262:case 263:case 287:case 339:case 353:case 379:case 388:case 467:case 468:case 469:case 471:case 472:case 645:case 653:case 659:case 664:case 665:case 666:case 668:case 674:case 677:case 679:case 684:case 685:case 686:case 687:case 688:case 698:case 699:case 706:case 734:case 735:case 928:case 941:case 948:case 992:case 993:case 994:case 995:case 999:case 1e3:case 1001:{c=1;break}default:c=0}return c|0}function Up(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;switch(c|0){case 36:case 38:case 39:case 40:case 63:case 64:case 70:case 104:case 105:case 115:case 123:case 124:case 127:case 128:case 141:case 145:case 148:case 149:case 203:case 204:case 205:case 206:case 214:case 215:case 217:case 218:case 219:case 220:case 221:case 222:case 223:case 225:case 227:case 246:case 262:case 263:case 287:case 339:case 353:case 379:case 388:case 467:case 468:case 469:case 471:case 472:case 645:case 653:case 659:case 664:case 665:case 666:case 668:case 674:case 677:case 679:case 684:case 685:case 686:case 687:case 688:case 698:case 699:case 706:case 734:case 735:case 928:case 941:case 948:case 992:case 993:case 994:case 995:case 999:case 1e3:case 1001:break;default:return}d=k[a+16>>2]|0;a=Qqa(12)|0;B=0;eb(508,a|0,c|0,b|0);b=B;B=0;if(b&1){b=Rb()|0;Sqa(a);Qb(b|0)}mC(d,a)|0;return}function Vp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=a+-4|0;switch(c|0){case 36:case 38:case 39:case 40:case 63:case 64:case 70:case 104:case 105:case 115:case 123:case 124:case 127:case 128:case 141:case 145:case 148:case 149:case 203:case 204:case 205:case 206:case 214:case 215:case 217:case 218:case 219:case 220:case 221:case 222:case 223:case 225:case 227:case 246:case 262:case 263:case 287:case 339:case 353:case 379:case 388:case 467:case 468:case 469:case 471:case 472:case 645:case 653:case 659:case 664:case 665:case 666:case 668:case 674:case 677:case 679:case 684:case 685:case 686:case 687:case 688:case 698:case 699:case 706:case 734:case 735:case 928:case 941:case 948:case 992:case 993:case 994:case 995:case 999:case 1e3:case 1001:break;default:return}a=k[d+16>>2]|0;d=Qqa(12)|0;B=0;eb(508,d|0,c|0,b|0);b=B;B=0;if(b&1){b=Rb()|0;Sqa(d);Qb(b|0)}mC(a,d)|0;return}function Wp(a,b,c){a=a|0;b=+b;c=c|0;var d=0;switch(c|0){case 36:case 38:case 39:case 40:case 63:case 64:case 70:case 104:case 105:case 115:case 123:case 124:case 127:case 128:case 141:case 145:case 148:case 149:case 203:case 204:case 205:case 206:case 214:case 215:case 217:case 218:case 219:case 220:case 221:case 222:case 223:case 225:case 227:case 246:case 262:case 263:case 287:case 339:case 353:case 379:case 388:case 467:case 468:case 469:case 471:case 472:case 645:case 653:case 659:case 664:case 665:case 666:case 668:case 674:case 677:case 679:case 684:case 685:case 686:case 687:case 688:case 698:case 699:case 706:case 734:case 735:case 928:case 941:case 948:case 992:case 993:case 994:case 995:case 999:case 1e3:case 1001:break;default:return}d=k[a+16>>2]|0;a=Qqa(16)|0;B=0;Oa(58,a|0,c|0,+b);c=B;B=0;if(c&1){c=Rb()|0;Sqa(a);Qb(c|0)}mC(d,a)|0;return}function Xp(a,b,c){a=a|0;b=+b;c=c|0;var d=0;d=a+-4|0;switch(c|0){case 36:case 38:case 39:case 40:case 63:case 64:case 70:case 104:case 105:case 115:case 123:case 124:case 127:case 128:case 141:case 145:case 148:case 149:case 203:case 204:case 205:case 206:case 214:case 215:case 217:case 218:case 219:case 220:case 221:case 222:case 223:case 225:case 227:case 246:case 262:case 263:case 287:case 339:case 353:case 379:case 388:case 467:case 468:case 469:case 471:case 472:case 645:case 653:case 659:case 664:case 665:case 666:case 668:case 674:case 677:case 679:case 684:case 685:case 686:case 687:case 688:case 698:case 699:case 706:case 734:case 735:case 928:case 941:case 948:case 992:case 993:case 994:case 995:case 999:case 1e3:case 1001:break;default:return}a=k[d+16>>2]|0;d=Qqa(16)|0;B=0;Oa(58,d|0,c|0,+b);c=B;B=0;if(c&1){c=Rb()|0;Sqa(d);Qb(c|0)}mC(a,d)|0;return}function Yp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;switch(c|0){case 36:case 38:case 39:case 40:case 63:case 64:case 70:case 104:case 105:case 115:case 123:case 124:case 127:case 128:case 141:case 145:case 148:case 149:case 203:case 204:case 205:case 206:case 214:case 215:case 217:case 218:case 219:case 220:case 221:case 222:case 223:case 225:case 227:case 246:case 262:case 263:case 287:case 339:case 353:case 379:case 388:case 467:case 468:case 469:case 471:case 472:case 645:case 653:case 659:case 664:case 665:case 666:case 668:case 674:case 677:case 679:case 684:case 685:case 686:case 687:case 688:case 698:case 699:case 706:case 734:case 735:case 928:case 941:case 948:case 992:case 993:case 994:case 995:case 999:case 1e3:case 1001:break;default:return}d=k[a+16>>2]|0;a=Qqa(12)|0;B=0;eb(507,a|0,c|0,b|0);b=B;B=0;if(b&1){b=Rb()|0;Sqa(a);Qb(b|0)}mC(d,a)|0;return}function Zp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=a+-4|0;switch(c|0){case 36:case 38:case 39:case 40:case 63:case 64:case 70:case 104:case 105:case 115:case 123:case 124:case 127:case 128:case 141:case 145:case 148:case 149:case 203:case 204:case 205:case 206:case 214:case 215:case 217:case 218:case 219:case 220:case 221:case 222:case 223:case 225:case 227:case 246:case 262:case 263:case 287:case 339:case 353:case 379:case 388:case 467:case 468:case 469:case 471:case 472:case 645:case 653:case 659:case 664:case 665:case 666:case 668:case 674:case 677:case 679:case 684:case 685:case 686:case 687:case 688:case 698:case 699:case 706:case 734:case 735:case 928:case 941:case 948:case 992:case 993:case 994:case 995:case 999:case 1e3:case 1001:break;default:return}a=k[d+16>>2]|0;d=Qqa(12)|0;B=0;eb(507,d|0,c|0,b|0);b=B;B=0;if(b&1){b=Rb()|0;Sqa(d);Qb(b|0)}mC(a,d)|0;return}function _p(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;b=r;r=r+192|0;c=b+180|0;d=b+176|0;e=b+40|0;f=b+24|0;g=b+12|0;h=b;cO(k[a+36>>2]|0,d,942);i=k[d>>2]|0;if((i&-2|0)==924){j=+pC(k[a+16>>2]|0,928)<=0.0;r=b;return j|0}switch(i|0){case 926:{j=!(+pC(k[a+16>>2]|0,928)>0.0);r=b;return j|0}case 921:case 922:case 923:case 927:{j=!(+rC(k[a+16>>2]|0,928)>0.0);r=b;return j|0}default:{j=e+56|0;b=e+4|0;k[e>>2]=27524;k[j>>2]=27544;B=0;wa(508,e+56|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;l=Q;m=a;vva(j);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[j>>2]=27488;B=0;va(448,b|0);a=B;B=0;do if(a&1){i=Rb()|0;n=Q;o=i}else{k[b>>2]=27560;i=e+36|0;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;k[i+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,b|0,c|0);d=B;B=0;if(d&1){d=Rb()|0;p=Q;Yua(c);Yua(i);Ava(b);n=p;o=d;break}Yua(c);B=0;d=Ia(40,e|0,70350,35)|0;p=B;B=0;if(!(p&1)?(B=0,Xa(239,d|0,0)|0,d=B,B=0,!(d&1)):0){d=Ab(20)|0;B=0;eb(502,f|0,69562,75);p=B;B=0;do if(!(p&1)){B=0;eb(502,g|0,70386,10);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(f);t=s;u=q;break}B=0;wa(510,h|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;v=q;w=Q;x=1}else{B=0;ua(163,d|0,f|0,g|0,1550,h|0);q=B;B=0;if(q&1)y=1;else{B=0;eb(503,d|0,1240,229);B=0;y=0}q=Rb()|0;s=Q;Yua(h);v=q;w=s;x=y}Yua(g);Yua(f);if(x){t=w;u=v}else{z=w;A=v;k[e>>2]=27468;k[j>>2]=27488;k[b>>2]=27560;Yua(i);Ava(b);vva(j);Qb(A|0)}}else{s=Rb()|0;t=Q;u=s}while(0);zb(d|0);z=t;A=u;k[e>>2]=27468;k[j>>2]=27488;k[b>>2]=27560;Yua(i);Ava(b);vva(j);Qb(A|0)}p=Rb()|0;z=Q;A=p;k[e>>2]=27468;k[j>>2]=27488;k[b>>2]=27560;Yua(i);Ava(b);vva(j);Qb(A|0)}while(0);l=n;m=o;vva(j);Qb(m|0)}}return 0}function $p(a){a=a|0;return +rC(k[a+16>>2]|0,206)<0.0|0}function aq(a){a=a|0;return +pC(k[a+16>>2]|0,207)>0.0|0}function bq(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0.0,o=0.0,q=0.0,s=0.0,t=0.0;b=r;r=r+32|0;c=b+16|0;d=b+8|0;e=b;f=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;g=f>>>0>536870911?-1:f<<3;h=Rqa(g)|0;i=Rqa(g)|0;g=a+36|0;dO(k[g>>2]|0,c,42);dO(k[g>>2]|0,d,43);dO(k[g>>2]|0,e,41);xp(a,h,64);if((f|0)<=0){j=k[a>>2]|0;l=j+48|0;m=k[l>>2]|0;rd[m&511](a,40,i,738);Tqa(h);Tqa(i);r=b;return}n=+p[d>>3];o=+p[c>>3];q=+p[e>>3];s=o-n;e=0;do{t=+p[h+(e<<3)>>3];do if(!(t>n))if(t<o){p[i+(e<<3)>>3]=q;break}else{p[i+(e<<3)>>3]=(t-n)*q/s;break}else p[i+(e<<3)>>3]=0.0;while(0);e=e+1|0}while((e|0)!=(f|0));j=k[a>>2]|0;l=j+48|0;m=k[l>>2]|0;rd[m&511](a,40,i,738);Tqa(h);Tqa(i);r=b;return}function cq(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0,H=0,I=0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Y=0.0,Z=0.0,_=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0;b=r;r=r+96|0;c=b+88|0;d=b+80|0;e=b+72|0;f=b+64|0;g=b+56|0;h=b+48|0;i=b+40|0;j=b+32|0;l=b+24|0;m=b+16|0;n=b+8|0;o=b;q=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;s=Rqa(q>>>0>536870911?-1:q<<3)|0;t=a+36|0;dO(k[t>>2]|0,c,47);dO(k[t>>2]|0,d,48);dO(k[t>>2]|0,e,49);dO(k[t>>2]|0,f,50);dO(k[t>>2]|0,g,51);dO(k[t>>2]|0,h,52);dO(k[t>>2]|0,i,53);dO(k[t>>2]|0,j,54);dO(k[t>>2]|0,l,55);dO(k[t>>2]|0,m,56);dO(k[t>>2]|0,n,57);dO(k[t>>2]|0,o,58);t=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;u=t*3|0;v=Rqa(u>>>0>536870911?-1:u<<3)|0;Ko(v,k[a+24>>2]|0,t,0);w=+p[f>>3];x=+p[g>>3];y=(+p[h>>3]-x)*.5;z=y*y;A=w*w;B=z-A;C=+$(+(+aa(+B)));D=(B==-G?G:C)/y;C=D*D;E=1.0-C;if((q|0)<=0){F=k[a>>2]|0;H=F+48|0;I=k[H>>2]|0;rd[I&511](a,38,s,738);Tqa(v);Tqa(s);r=b;return}J=(+ka(+((D+1.0)/(1.0-D)))*.5-D)*(E/+ba(+D,3.0));K=+p[i>>3];L=+p[j>>3];M=+p[l>>3];N=y+x+M;x=-N;O=N*N;N=-z-A+O;P=A*O;Q=A*(y*-8.0)*x;R=A*2.0;S=R-z*2.0;T=+aa(+((y-w)*(w+y)));U=T*1.4142135623730951;V=B+O;W=+ba(+y,4.0);y=+ba(+w,4.0);w=+ba(+x,4.0);X=E/(D*C);C=+p[e>>3];D=+p[d>>3]+-1.0;E=D/(J*D+1.0);D=C*x;x=+p[c>>3];J=+p[m>>3];Y=+p[n>>3]*J+ +p[o>>3]*(M-J);o=0;do{n=o*3|0;J=+p[v+(n<<3)>>3]-K;M=+p[v+(n+1<<3)>>3]-L;Z=J*J;J=M*M;M=J+(Z+N);_=+aa(+((z*(Z-A+J)+P)*4.0+M*M));ca=_+(J+(Z+V));da=+aa(+ca);ea=Z+J;fa=J+(Z+O);ga=ea*O;ha=da-U;ia=Q*(S+U*da)*(z*(ea*(_+(ea*2.0-R))+(ga-w))+(fa*fa*(_+fa)+(ea*W+ea*y)+A*(w-ga-ea*(_+(Z*2.0+J*2.0)))))/((U+da)*(ha*ha*(_*T*+ba(+ca,3.5))));ca=B/(z+(_+M)*.5);M=+$(+(+aa(+ca)));_=ca==-G?G:M;M=Y+x*(C-E*(D*ia+C*(X*(+ka(+((_+1.0)/(1.0-_)))*.5-_))));p[s+(o<<3)>>3]=M;o=o+1|0}while((o|0)!=(q|0));F=k[a>>2]|0;H=F+48|0;I=k[H>>2]|0;rd[I&511](a,38,s,738);Tqa(v);Tqa(s);r=b;return}function dq(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;f=r;r=r+192|0;g=f+176|0;h=f+40|0;j=f+24|0;m=f+12|0;n=f;switch(d|0){case 1:{o=Qqa(36)|0;B=0;va(486,o|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Sqa(o);s=p;t=q;Qb(s|0)}k[a+16>>2]=o;k[a+20>>2]=0;o=(k[b>>2]|0)+4|0;k[b>>2]=o;q=a+8|0;p=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[q>>0]=p;i[q+1>>0]=p>>8;i[q+2>>0]=p>>16;i[q+3>>0]=p>>24;p=(k[b>>2]|0)+4|0;k[b>>2]=p;q=a+12|0;o=l[p>>0]|l[p+1>>0]<<8|l[p+2>>0]<<16|l[p+3>>0]<<24;i[q>>0]=o;i[q+1>>0]=o>>8;i[q+2>>0]=o>>16;i[q+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;q=a+44|0;p=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[q>>0]=p;i[q+1>>0]=p>>8;i[q+2>>0]=p>>16;i[q+3>>0]=p>>24;p=k[b>>2]|0;q=p+4|0;k[b>>2]=q;o=i[q>>0]|0;k[b>>2]=p+5;if(o&1){u=a+16|0;v=k[u>>2]|0;lh(v,b,c,d);r=f;return}o=Rqa(e>>>0>1073741823?-1:e<<2)|0;k[a+40>>2]=o;p=k[b>>2]|0;q=e<<2;TEa(o|0,p|0,q|0)|0;k[b>>2]=p+q;u=a+16|0;v=k[u>>2]|0;lh(v,b,c,d);r=f;return}case 0:{q=k[b>>2]|0;i[q>>0]=56;i[q+1>>0]=2;i[q+2>>0]=0;i[q+3>>0]=0;q=(k[b>>2]|0)+4|0;k[b>>2]=q;p=a+8|0;o=l[p>>0]|l[p+1>>0]<<8|l[p+2>>0]<<16|l[p+3>>0]<<24;i[q>>0]=o;i[q+1>>0]=o>>8;i[q+2>>0]=o>>16;i[q+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;q=a+12|0;p=l[q>>0]|l[q+1>>0]<<8|l[q+2>>0]<<16|l[q+3>>0]<<24;i[o>>0]=p;i[o+1>>0]=p>>8;i[o+2>>0]=p>>16;i[o+3>>0]=p>>24;p=(k[b>>2]|0)+4|0;k[b>>2]=p;o=a+44|0;q=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[p>>0]=q;i[p+1>>0]=q>>8;i[p+2>>0]=q>>16;i[p+3>>0]=q>>24;q=(k[b>>2]|0)+4|0;k[b>>2]=q;p=a+40|0;o=(k[p>>2]|0)==0;i[q>>0]=o&1;q=(k[b>>2]|0)+1|0;k[b>>2]=q;if(o){u=a+16|0;v=k[u>>2]|0;lh(v,b,c,d);r=f;return}o=e<<2;TEa(q|0,k[p>>2]|0,o|0)|0;k[b>>2]=(k[b>>2]|0)+o;u=a+16|0;v=k[u>>2]|0;lh(v,b,c,d);r=f;return}case 2:{o=(k[a+40>>2]|0)==0;p=(k[c>>2]|0)+17|0;k[c>>2]=p;if(o){u=a+16|0;v=k[u>>2]|0;lh(v,b,c,d);r=f;return}k[c>>2]=p+(e<<2);u=a+16|0;v=k[u>>2]|0;lh(v,b,c,d);r=f;return}default:{f=h+56|0;d=h+4|0;k[h>>2]=27524;k[f>>2]=27544;B=0;wa(508,h+56|0,d|0);c=B;B=0;if(c&1){c=Rb()|0;w=Q;x=c;vva(f);Qb(x|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[f>>2]=27488;B=0;va(448,d|0);c=B;B=0;do if(c&1){b=Rb()|0;y=Q;z=b}else{k[d>>2]=27560;b=h+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[h+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,d|0,g|0);v=B;B=0;if(v&1){v=Rb()|0;u=Q;Yua(g);Yua(b);Ava(d);y=u;z=v;break}Yua(g);B=0;v=Ia(40,h|0,143951,43)|0;u=B;B=0;a:do if(!(u&1)?(B=0,Xa(239,v|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,j|0,69562,75);e=B;B=0;do if(!(e&1)){B=0;eb(502,m|0,70397,15);p=B;B=0;if(p&1){p=Rb()|0;o=Q;Yua(j);A=p;C=o;break}B=0;wa(510,n|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;D=o;E=Q;F=1}else{B=0;ua(163,a|0,j|0,m|0,1730,n|0);o=B;B=0;if(o&1)G=1;else{B=0;eb(503,a|0,1240,229);B=0;G=0}o=Rb()|0;p=Q;Yua(n);D=o;E=p;F=G}Yua(m);Yua(j);if(F){A=D;C=E}else{H=D;I=E;break a}}else{p=Rb()|0;A=p;C=Q}while(0);zb(a|0);H=A;I=C}else J=19;while(0);if((J|0)==19){v=Rb()|0;H=v;I=Q}k[h>>2]=27468;k[f>>2]=27488;k[d>>2]=27560;Yua(b);Ava(d);vva(f);s=H;t=I;Qb(s|0)}while(0);w=y;x=z;vva(f);Qb(x|0)}}}function eq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0.0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;c=r;r=r+208|0;d=c+188|0;e=c+184|0;f=c+48|0;g=c+32|0;h=c+20|0;i=c+8|0;j=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;l=j>>>0>536870911?-1:j<<3;m=Rqa(l)|0;n=Rqa(l)|0;o=Rqa(l)|0;q=Rqa(l)|0;s=Rqa(l)|0;t=Rqa(l)|0;l=a+36|0;cO(k[l>>2]|0,e,942);dO(k[l>>2]|0,c,67);xp(a,n,353);xp(a,o,339);xp(a,q,64);xp(a,s,63);xp(a,t,999);xp(a,m,928);l=a+32|0;u=+WJ(k[l>>2]|0,266);v=+WJ(k[l>>2]|0,265)/u;l=(j|0)>0;if(!l){w=k[a>>2]|0;x=w+48|0;y=k[x>>2]|0;rd[y&511](a,928,m,738);z=k[a>>2]|0;A=z+48|0;C=k[A>>2]|0;rd[C&511](a,339,o,738);D=k[a>>2]|0;E=D+48|0;F=k[E>>2]|0;rd[F&511](a,64,q,738);Tqa(m);Tqa(s);Tqa(q);Tqa(o);Tqa(t);Tqa(n);r=c;return}G=a+24|0;u=-v;H=1.0-v;I=0;a:while(1){J=k[e>>2]|0;do if((J|0)==926){K=b+((Co(k[(k[G>>2]|0)+(I<<2)>>2]|0)|0)<<3)|0;if(!(+p[K>>3]<10.0)){L=k[e>>2]|0;M=10;break}K=b+((Co(k[(k[G>>2]|0)+(I<<2)>>2]|0)|0)<<3)|0;N=+p[K>>3];p[m+(I<<3)>>3]=N;if(N>=0.0)p[q+(I<<3)>>3]=+p[s+(I<<3)>>3]}else{L=J;M=10}while(0);b:do if((M|0)==10){M=0;if((L|0)==927?(J=q+(I<<3)|0,N=+p[s+(I<<3)>>3],+p[J>>3]<N):0){p[J>>3]=N;break}if(+p[m+(I<<3)>>3]<=0.0){J=q+(I<<3)|0;N=+p[s+(I<<3)>>3];if(!(+p[J>>3]<=N))break;p[J>>3]=N;p[o+(I<<3)>>3]=N+ +p[n+(I<<3)>>3];break}J=n+(I<<3)|0;N=+p[J>>3];K=t+(I<<3)|0;O=+p[K>>3];P=N*u+O;if(P>+p[s+(I<<3)>>3]){switch(L|0){case 922:case 924:case 925:{p[o+(I<<3)>>3]=H*N+O;p[q+(I<<3)>>3]=P;break b;break}case 923:{M=19;break}default:R=L}do if((M|0)==19){M=0;S=b+((Co(k[(k[G>>2]|0)+(I<<2)>>2]|0)|0)<<3)|0;if(+p[S>>3]<0.0){P=+p[J>>3];O=+p[K>>3];p[o+(I<<3)>>3]=H*P+O;p[q+(I<<3)>>3]=P*u+O;break b}else{R=k[e>>2]|0;break}}while(0);switch(R|0){case 923:case 926:case 927:break;default:break a}}}while(0);I=I+1|0;if((I|0)>=(j|0)){M=3;break}}if((M|0)==3){if(!l){w=k[a>>2]|0;x=w+48|0;y=k[x>>2]|0;rd[y&511](a,928,m,738);z=k[a>>2]|0;A=z+48|0;C=k[A>>2]|0;rd[C&511](a,339,o,738);D=k[a>>2]|0;E=D+48|0;F=k[E>>2]|0;rd[F&511](a,64,q,738);Tqa(m);Tqa(s);Tqa(q);Tqa(o);Tqa(t);Tqa(n);r=c;return}l=a+24|0;M=0;do{c:do switch(k[e>>2]|0){case 923:{I=m+(M<<3)|0;R=n+(M<<3)|0;if(!(+p[I>>3]<0.0)){G=t+(M<<3)|0;L=s+(M<<3)|0;if(!(+p[G>>3]-v*+p[R>>3]<=+p[L>>3])?(K=b+((Co(k[(k[l>>2]|0)+(M<<2)>>2]|0)|0)<<3)|0,!(+p[K>>3]<0.0)):0)break c;else{T=L;U=G}}else{T=s+(M<<3)|0;U=t+(M<<3)|0}p[I>>3]=+p[R>>3]+(+p[T>>3]-+p[U>>3])/v;break}case 926:break;default:p[m+(M<<3)>>3]=+p[n+(M<<3)>>3]+(+p[s+(M<<3)>>3]-+p[t+(M<<3)>>3])/v}while(0);M=M+1|0}while((M|0)!=(j|0));w=k[a>>2]|0;x=w+48|0;y=k[x>>2]|0;rd[y&511](a,928,m,738);z=k[a>>2]|0;A=z+48|0;C=k[A>>2]|0;rd[C&511](a,339,o,738);D=k[a>>2]|0;E=D+48|0;F=k[E>>2]|0;rd[F&511](a,64,q,738);Tqa(m);Tqa(s);Tqa(q);Tqa(o);Tqa(t);Tqa(n);r=c;return}c=f+56|0;n=f+4|0;k[f>>2]=27524;k[c>>2]=27544;B=0;wa(508,f+56|0,n|0);t=B;B=0;if(t&1){t=Rb()|0;V=Q;W=t;vva(c);Qb(W|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[c>>2]=27488;B=0;va(448,n|0);t=B;B=0;do if(t&1){o=Rb()|0;X=Q;Y=o}else{k[n>>2]=27560;o=f+36|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[o+12>>2]=0;k[f+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,n|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(o);Ava(n);X=s;Y=q;break}Yua(d);B=0;q=Ia(40,f|0,70413,81)|0;s=B;B=0;if(!(s&1)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,g|0,69562,75);s=B;B=0;do if(!(s&1)){B=0;eb(502,h|0,70495,20);m=B;B=0;if(m&1){m=Rb()|0;a=Q;Yua(g);Z=a;_=m;break}B=0;wa(510,i|0,n|0);m=B;B=0;if(m&1){m=Rb()|0;$=m;aa=Q;ba=1}else{B=0;ua(163,q|0,g|0,h|0,1797,i|0);m=B;B=0;if(m&1)ca=1;else{B=0;eb(503,q|0,1240,229);B=0;ca=0}m=Rb()|0;a=Q;Yua(i);$=m;aa=a;ba=ca}Yua(h);Yua(g);if(ba){Z=aa;_=$}else{da=aa;ea=$;k[f>>2]=27468;k[c>>2]=27488;k[n>>2]=27560;Yua(o);Ava(n);vva(c);Qb(ea|0)}}else{a=Rb()|0;Z=Q;_=a}while(0);zb(q|0);da=Z;ea=_;k[f>>2]=27468;k[c>>2]=27488;k[n>>2]=27560;Yua(o);Ava(n);vva(c);Qb(ea|0)}s=Rb()|0;da=Q;ea=s;k[f>>2]=27468;k[c>>2]=27488;k[n>>2]=27560;Yua(o);Ava(n);vva(c);Qb(ea|0)}while(0);V=X;W=Y;vva(c);Qb(W|0)}function fq(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0.0,q=0.0,s=0.0,t=0.0,u=0.0;b=r;r=r+32|0;c=b+16|0;d=b+8|0;e=b;f=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;g=f>>>0>536870911?-1:f<<3;h=Rqa(g)|0;i=Rqa(g)|0;j=Rqa(g)|0;g=a+36|0;dO(k[g>>2]|0,c,44);dO(k[g>>2]|0,d,45);dO(k[g>>2]|0,e,46);xp(a,h,64);xp(a,i,63);if((f|0)<=0){l=k[a>>2]|0;m=l+48|0;n=k[m>>2]|0;rd[n&511](a,40,j,738);Tqa(h);Tqa(i);Tqa(j);r=b;return}o=+p[e>>3];q=+p[c>>3];s=+p[d>>3];d=0;do{t=+p[h+(d<<3)>>3];if(t>o)u=0.0;else u=(o-t)*(q*+ssa((t-+p[i+(d<<3)>>3])/s));p[j+(d<<3)>>3]=u;d=d+1|0}while((d|0)!=(f|0));l=k[a>>2]|0;m=l+48|0;n=k[m>>2]|0;rd[n&511](a,40,j,738);Tqa(h);Tqa(i);Tqa(j);r=b;return}function gq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=Qqa(68)|0;d=k[a+20>>2]|0;B=0;e=ya(k[(k[a>>2]|0)+164>>2]|0,a|0)|0;f=B;B=0;if(!(f&1)?(B=0,ua(165,c|0,d|0,e|0,k[a+36>>2]|0,b|0),b=B,B=0,!(b&1)):0)return c|0;b=Rb()|0;Sqa(c);Qb(b|0);return 0}function hq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=Qqa(68)|0;B=0;ua(165,d|0,k[a+20>>2]|0,b|0,k[a+36>>2]|0,c|0);c=B;B=0;if(c&1){c=Rb()|0;Sqa(d);Qb(c|0)}else return d|0;return 0}function iq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=Qqa(24)|0;d=k[a+20>>2]|0;B=0;e=ya(k[(k[a>>2]|0)+164>>2]|0,a|0)|0;f=B;B=0;if(!(f&1)?(B=0,ua(166,c|0,d|0,e|0,k[a+36>>2]|0,b|0),b=B,B=0,!(b&1)):0)return c|0;b=Rb()|0;Sqa(c);Qb(b|0);return 0}function jq(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0,L=0,M=0,N=0.0,O=0.0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0;f=r;r=r+224|0;g=f+208|0;h=f+24|0;i=f+16|0;j=f+8|0;l=f;m=f+72|0;n=f+56|0;o=f+44|0;q=f+32|0;s=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;t=s>>>0>536870911?-1:s<<3;u=Rqa(t)|0;v=Rqa(t)|0;w=Rqa(t)|0;x=s*12|0;y=x>>>0>536870911?-1:x<<3;x=Rqa(y)|0;z=Rqa(y)|0;y=Rqa(t)|0;WEa(y|0,0,s<<3|0)|0;A=Rqa(t)|0;C=Rqa(t)|0;D=Rqa(t)|0;E=Rqa(t)|0;t=a+32|0;F=+WJ(k[t>>2]|0,266);G=+WJ(k[t>>2]|0,265);H=+WJ(k[t>>2]|0,449);I=+WJ(k[t>>2]|0,452);J=+WJ(k[t>>2]|0,453);t=a+16|0;K=oC(k[t>>2]|0,460)|0;L=oC(k[t>>2]|0,448)|0;M=a+36|0;dO(k[M>>2]|0,j,767);dO(k[M>>2]|0,l,67);N=+p[l>>3];O=N*+_(+(+p[j>>3]/N));P=Hc[k[(k[a>>2]|0)+304>>2]&511](a)|0;R=(s|0)>0;if(R){S=0;do{N=+(S|0)/12.0;T=0;do{Fc[k[(k[P>>2]|0)+28>>2]&1023](P,T);U=(T*12|0)+S|0;V=x+(U<<3)|0;md[k[(k[K>>2]|0)+52>>2]&31](K,V,P,O+N*+p[l>>3]);p[V>>3]=+p[V>>3]+-273.15;V=z+(U<<3)|0;md[k[(k[L>>2]|0)+52>>2]&31](L,V,P,O+N*+p[l>>3]);p[V>>3]=+p[V>>3]*+p[l>>3];T=T+1|0}while((T|0)!=(s|0));S=S+1|0}while((S|0)!=12)}if(e){eO(k[M>>2]|0,h,455,+p[j>>3]);eO(k[M>>2]|0,i,456,+p[j>>3])}else{p[h>>3]=0.0;p[i>>3]=0.0}xp(a,A,353);xp(a,C,339);xp(a,D,450);xp(a,E,451);if(R){R=0;do{j=R*12|0;M=x+(j<<3)|0;O=+WY(M,z+(j<<3)|0,b,c,v+(R<<3)|0,w+(R<<3)|0,d,+p[l>>3],+p[A+(R<<3)>>3],+p[C+(R<<3)>>3],H,+p[E+(R<<3)>>3],+p[D+(R<<3)>>3],I,J,+p[h>>3],+p[i>>3],F,G);p[u+(R<<3)>>3]=O;e=y+(R<<3)|0;p[e>>3]=+p[e>>3]+(+p[M>>3]+273.15)*.08333333333333333+(+p[x+((j|1)<<3)>>3]+273.15)*.08333333333333333+(+p[x+((j|2)<<3)>>3]+273.15)*.08333333333333333+(+p[x+((j|3)<<3)>>3]+273.15)*.08333333333333333+(+p[x+(j+4<<3)>>3]+273.15)*.08333333333333333+(+p[x+(j+5<<3)>>3]+273.15)*.08333333333333333+(+p[x+(j+6<<3)>>3]+273.15)*.08333333333333333+(+p[x+(j+7<<3)>>3]+273.15)*.08333333333333333+(+p[x+(j+8<<3)>>3]+273.15)*.08333333333333333+(+p[x+(j+9<<3)>>3]+273.15)*.08333333333333333+(+p[x+(j+10<<3)>>3]+273.15)*.08333333333333333+(+p[x+(j+11<<3)>>3]+273.15)*.08333333333333333;R=R+1|0}while((R|0)!=(s|0))}a:do switch(Hc[k[(k[a>>2]|0)+20>>2]&511](a)|0){case 621:{s=k[t>>2]|0;R=Qqa(16)|0;B=0;ib(284,R|0,668,y|0,738);i=B;B=0;if(i&1){i=Rb()|0;h=Q;Sqa(R);W=h;X=i;Qb(X|0)}mC(s,R)|0;R=k[t>>2]|0;s=Qqa(16)|0;B=0;ib(284,s|0,388,u|0,738);i=B;B=0;if(i&1){i=Rb()|0;h=Q;Sqa(s);W=h;X=i;Qb(X|0)}mC(R,s)|0;s=k[t>>2]|0;R=Qqa(16)|0;B=0;ib(284,R|0,467,w|0,738);i=B;B=0;if(i&1){i=Rb()|0;h=Q;Sqa(R);W=h;X=i;Qb(X|0)}mC(s,R)|0;R=k[t>>2]|0;s=Qqa(16)|0;B=0;ib(284,s|0,471,v|0,738);i=B;B=0;if(!(i&1)){mC(R,s)|0;break a}R=Rb()|0;i=Q;Sqa(s);W=i;X=R;Qb(X|0);break}case 625:{do if(Hc[k[(k[a>>2]|0)+252>>2]&511](a)|0){xp(a,C,666);p[y>>3]=+p[C>>3];p[y+8>>3]=+p[C+8>>3];p[y+16>>3]=+p[C+16>>3];R=k[t>>2]|0;i=Qqa(16)|0;B=0;ib(285,i|0,666,y|0,738);s=B;B=0;if(!(s&1)){mC(R,i)|0;break}R=Rb()|0;s=Q;Sqa(i);W=s;X=R;Qb(X|0)}while(0);R=k[t>>2]|0;s=Qqa(16)|0;B=0;ib(285,s|0,388,u|0,738);i=B;B=0;if(i&1){i=Rb()|0;h=Q;Sqa(s);W=h;X=i;Qb(X|0)}mC(R,s)|0;s=k[t>>2]|0;R=Qqa(16)|0;B=0;ib(285,R|0,668,y|0,738);i=B;B=0;if(!(i&1)){mC(s,R)|0;nd[k[(k[a>>2]|0)+220>>2]&1023](a,668,-1);nd[k[(k[a>>2]|0)+220>>2]&1023](a,388,-1);break a}s=Rb()|0;i=Q;Sqa(R);W=i;X=s;Qb(X|0);break}case 623:{do if(Hc[k[(k[a>>2]|0)+252>>2]&511](a)|0){xp(a,C,666);p[y>>3]=+p[C>>3];p[y+8>>3]=+p[C+8>>3];p[y+16>>3]=+p[C+16>>3];s=k[t>>2]|0;i=Qqa(16)|0;B=0;ib(286,i|0,666,y|0,738);R=B;B=0;if(!(R&1)){mC(s,i)|0;break}s=Rb()|0;R=Q;Sqa(i);W=R;X=s;Qb(X|0)}while(0);s=k[t>>2]|0;R=Qqa(16)|0;B=0;ib(286,R|0,388,u|0,738);i=B;B=0;if(i&1){i=Rb()|0;h=Q;Sqa(R);W=h;X=i;Qb(X|0)}mC(s,R)|0;R=k[t>>2]|0;s=Qqa(16)|0;B=0;ib(286,s|0,668,y|0,738);i=B;B=0;if(!(i&1)){mC(R,s)|0;nd[k[(k[a>>2]|0)+220>>2]&1023](a,668,-1);nd[k[(k[a>>2]|0)+220>>2]&1023](a,388,-1);break a}R=Rb()|0;i=Q;Sqa(s);W=i;X=R;Qb(X|0);break}default:{R=m+56|0;i=m+4|0;k[m>>2]=27524;k[R>>2]=27544;B=0;wa(508,m+56|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;Y=Q;Z=s;vva(R);Qb(Z|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[R>>2]=27488;B=0;va(448,i|0);s=B;B=0;do if(s&1){h=Rb()|0;$=Q;aa=h}else{k[i>>2]=27560;h=m+36|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;k[m+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,i|0,g|0);l=B;B=0;if(l&1){l=Rb()|0;c=Q;Yua(g);Yua(h);Ava(i);$=c;aa=l;break}Yua(g);B=0;l=Ia(40,m|0,144350,19)|0;c=B;B=0;b:do if(!(c&1)?(B=0,Xa(239,l|0,0)|0,b=B,B=0,!(b&1)):0){b=Ab(20)|0;B=0;eb(502,n|0,69562,75);j=B;B=0;do if(!(j&1)){B=0;eb(502,o|0,70516,17);M=B;B=0;if(M&1){M=Rb()|0;e=Q;Yua(n);ba=e;ca=M;break}B=0;wa(510,q|0,i|0);M=B;B=0;if(M&1){M=Rb()|0;da=Q;ea=M;fa=1}else{B=0;ua(163,b|0,n|0,o|0,2003,q|0);M=B;B=0;if(M&1)ga=1;else{B=0;eb(503,b|0,1240,229);B=0;ga=0}M=Rb()|0;e=Q;Yua(q);da=e;ea=M;fa=ga}Yua(o);Yua(n);if(fa){ba=da;ca=ea}else{ha=da;ia=ea;break b}}else{M=Rb()|0;ba=Q;ca=M}while(0);zb(b|0);ha=ba;ia=ca}else ja=53;while(0);if((ja|0)==53){l=Rb()|0;ha=Q;ia=l}k[m>>2]=27468;k[R>>2]=27488;k[i>>2]=27560;Yua(h);Ava(i);vva(R);W=ha;X=ia;Qb(X|0)}while(0);Y=$;Z=aa;vva(R);Qb(Z|0)}}while(0);if(!P){Tqa(x);Tqa(z);Tqa(u);Tqa(v);Tqa(w);Tqa(y);Tqa(A);Tqa(C);Tqa(E);Tqa(D);r=f;return}Ec[k[(k[P>>2]|0)+4>>2]&1023](P);Tqa(x);Tqa(z);Tqa(u);Tqa(v);Tqa(w);Tqa(y);Tqa(A);Tqa(C);Tqa(E);Tqa(D);r=f;return}function kq(a,b){a=a|0;b=+b;return +(+UJ(k[a+32>>2]|0,b))}function lq(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;f=r;r=r+368|0;g=f+356|0;h=f+352|0;i=f+216|0;j=f+200|0;l=f+48|0;m=f+36|0;n=f+64|0;o=f+24|0;p=f+12|0;q=f;a:do switch(e|0){case 701:{mq(a);break}case 714:{nq(a);break}case 713:case 712:case 711:case 710:case 709:case 708:{Ec[k[(k[a>>2]|0)+88>>2]&1023](a);break}case 264:case 730:case 729:case 728:case 727:case 726:case 725:{Vo(a);break}case 722:case 721:case 720:case 719:case 718:case 717:case 716:{Ec[k[(k[a>>2]|0)+80>>2]&1023](a);break}case 706:{Ec[k[(k[a>>2]|0)+84>>2]&1023](a);break}case 723:{Zo(a);break}case 245:{To(a);break}case 246:{Ec[k[(k[a>>2]|0)+452>>2]&1023](a);break}case 248:case 259:case 258:{Ec[k[(k[a>>2]|0)+444>>2]&1023](a);Ec[k[(k[a>>2]|0)+448>>2]&1023](a);cO(k[a+36>>2]|0,h,247);switch(k[h>>2]|0){case 252:case 253:{s=42;break a;break}case 250:{Ec[k[(k[a>>2]|0)+56>>2]&1023](a);s=42;break a;break}case 251:{Ec[k[(k[a>>2]|0)+60>>2]&1023](a);s=42;break a;break}default:{t=i+56|0;u=i+4|0;k[i>>2]=27524;k[t>>2]=27544;B=0;wa(508,i+56|0,u|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;x=v;vva(t);Qb(x|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[t>>2]=27488;B=0;va(448,u|0);v=B;B=0;do if(v&1){y=Rb()|0;z=Q;A=y}else{k[u>>2]=27560;y=i+36|0;k[y>>2]=0;k[y+4>>2]=0;k[y+8>>2]=0;k[y+12>>2]=0;k[i+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,u|0,g|0);C=B;B=0;if(C&1){C=Rb()|0;D=Q;Yua(g);Yua(y);Ava(u);z=D;A=C;break}Yua(g);B=0;C=Ia(40,i|0,136043,12)|0;D=B;B=0;b:do if((((!(D&1)?(B=0,E=ya(427,k[h>>2]|0)|0,F=B,B=0,!(F&1)):0)?(F=Lta(E)|0,B=0,G=Ia(40,C|0,E|0,F|0)|0,F=B,B=0,!(F&1)):0)?(B=0,F=Ia(40,G|0,146481,18)|0,G=B,B=0,!(G&1)):0)?(B=0,Xa(239,F|0,0)|0,F=B,B=0,!(F&1)):0){F=Ab(20)|0;B=0;eb(502,j|0,69562,75);G=B;B=0;do if(!(G&1)){B=0;eb(502,l|0,70534,19);E=B;B=0;if(E&1){E=Rb()|0;H=Q;Yua(j);I=H;J=E;break}B=0;wa(510,m|0,u|0);E=B;B=0;if(E&1){E=Rb()|0;K=E;L=Q;M=1}else{B=0;ua(163,F|0,j|0,l|0,2081,m|0);E=B;B=0;if(E&1)N=1;else{B=0;eb(503,F|0,1240,229);B=0;N=0}E=Rb()|0;H=Q;Yua(m);K=E;L=H;M=N}Yua(l);Yua(j);if(M){I=L;J=K}else{O=L;P=K;break b}}else{H=Rb()|0;I=Q;J=H}while(0);zb(F|0);O=I;P=J}else s=32;while(0);if((s|0)==32){C=Rb()|0;O=Q;P=C}k[i>>2]=27468;k[t>>2]=27488;k[u>>2]=27560;Yua(y);Ava(u);vva(t);R=P;S=O;Qb(R|0)}while(0);w=z;x=A;vva(t);Qb(x|0)}}break}case 262:{Ec[k[(k[a>>2]|0)+444>>2]&1023](a);s=42;break}case 263:{Ec[k[(k[a>>2]|0)+448>>2]&1023](a);s=42;break}default:{}}while(0);x=oC(k[a+16>>2]|0,e)|0;if(x){a=Hc[k[(k[x>>2]|0)+164>>2]&511](x)|0;k[b>>2]=a;a=Hc[k[(k[x>>2]|0)+168>>2]&511](x)|0;k[c>>2]=a;a=Hc[k[(k[x>>2]|0)+172>>2]&511](x)|0;k[d>>2]=a;r=f;return}f=n+56|0;a=n+4|0;k[n>>2]=27524;k[f>>2]=27544;B=0;wa(508,n+56|0,a|0);d=B;B=0;if(d&1){d=Rb()|0;T=Q;U=d;vva(f);Qb(U|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[f>>2]=27488;B=0;va(448,a|0);d=B;B=0;do if(d&1){x=Rb()|0;V=Q;W=x}else{k[a>>2]=27560;x=n+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[n+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,a|0,g|0);c=B;B=0;if(c&1){c=Rb()|0;b=Q;Yua(g);Yua(x);Ava(a);V=b;W=c;break}Yua(g);B=0;c=Ia(40,n|0,74566,6)|0;b=B;B=0;c:do if((((!(b&1)?(B=0,A=ya(427,e|0)|0,z=B,B=0,!(z&1)):0)?(z=Lta(A)|0,B=0,w=Ia(40,c|0,A|0,z|0)|0,z=B,B=0,!(z&1)):0)?(B=0,z=Ia(40,w|0,109155,21)|0,w=B,B=0,!(w&1)):0)?(B=0,Xa(239,z|0,0)|0,z=B,B=0,!(z&1)):0){z=Ab(20)|0;B=0;eb(502,o|0,69562,75);w=B;B=0;do if(!(w&1)){B=0;eb(502,p|0,70534,19);A=B;B=0;if(A&1){A=Rb()|0;O=Q;Yua(o);X=O;Y=A;break}B=0;wa(510,q|0,a|0);A=B;B=0;if(A&1){A=Rb()|0;Z=1;_=A;$=Q}else{B=0;ua(163,z|0,o|0,p|0,2092,q|0);A=B;B=0;if(A&1)aa=1;else{B=0;eb(503,z|0,1240,229);B=0;aa=0}A=Rb()|0;O=Q;Yua(q);Z=aa;_=A;$=O}Yua(p);Yua(o);if(Z){X=$;Y=_}else{ba=_;ca=$;break c}}else{O=Rb()|0;X=Q;Y=O}while(0);zb(z|0);ba=Y;ca=X}else s=62;while(0);if((s|0)==62){c=Rb()|0;ba=c;ca=Q}k[n>>2]=27468;k[f>>2]=27488;k[a>>2]=27560;Yua(x);Ava(a);vva(f);R=ba;S=ca;Qb(R|0)}while(0);T=V;U=W;vva(f);Qb(U|0)}function mq(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0;b=r;r=r+80|0;c=b+56|0;d=b+8|0;e=b;f=b+64|0;k[f>>2]=0;g=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;h=Rqa(g>>>0>536870911?-1:g<<3)|0;Fc[k[(k[a>>2]|0)+188>>2]&1023](a,f);i=a+16|0;j=oC(k[i>>2]|0,674)|0;l=oC(k[i>>2]|0,677)|0;m=oC(k[i>>2]|0,679)|0;n=oC(k[i>>2]|0,353)|0;i=Hc[k[(k[a>>2]|0)+304>>2]&511](a)|0;if((g|0)>0){o=a+28|0;q=d+24|0;s=d+32|0;t=d+8|0;u=d+40|0;v=d+16|0;w=0;do{Fc[k[(k[i>>2]|0)+28>>2]&1023](i,w);nd[k[(k[n>>2]|0)+48>>2]&1023](n,e,i);Yo(0,d,k[f>>2]|0,i,j,l,m);x=k[o>>2]|0;Tc[k[(k[x>>2]|0)+108>>2]&15](x,c,3,k[f>>2]|0,i,j,l,m);y=+p[d>>3];z=+p[q>>3];A=+p[s>>3];B=+p[t>>3];C=+p[u>>3];D=+p[v>>3];E=z*z;z=A*A;A=C*C;C=+aa(+(D*D+(A+(z+(A+(B*B+(E+(y*y+E+z))))))))*.7071067811865475;p[h+(w<<3)>>3]=+p[e>>3]*(+p[c>>3]*(C*(C*4.0)));w=w+1|0}while((w|0)!=(g|0))}rd[k[(k[a>>2]|0)+48>>2]&511](a,701,h,738);Tqa(h);h=k[f>>2]|0;if(h)Tqa(h);k[f>>2]=0;if(!i){r=b;return}Ec[k[(k[i>>2]|0)+4>>2]&1023](i);r=b;return}function nq(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0,R=0.0,S=0.0,T=0,U=0.0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0;b=r;r=r+272|0;c=b+260|0;d=b+256|0;e=b+64|0;f=b+56|0;g=b+48|0;h=b+40|0;i=b+32|0;j=b+24|0;l=b;m=b+252|0;n=b+248|0;o=b+112|0;q=b+96|0;s=b+84|0;t=b+72|0;k[d>>2]=0;Ec[k[(k[a>>2]|0)+88>>2]&1023](a);cO(k[a+36>>2]|0,m,299);u=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;v=Rqa(u>>>0>536870911?-1:u<<3)|0;Fc[k[(k[a>>2]|0)+188>>2]&1023](a,d);w=a+16|0;x=oC(k[w>>2]|0,708)|0;y=oC(k[w>>2]|0,711)|0;z=oC(k[w>>2]|0,709)|0;if((k[m>>2]|0)==3){A=oC(k[w>>2]|0,710)|0;C=oC(k[w>>2]|0,712)|0;D=A;E=C;F=oC(k[w>>2]|0,713)|0}else{D=0;E=0;F=0}w=Hc[k[(k[a>>2]|0)+304>>2]&511](a)|0;a:do if((u|0)>0){C=0;while(1){Fc[k[(k[w>>2]|0)+28>>2]&1023](w,C);nd[k[(k[x>>2]|0)+48>>2]&1023](x,e,w);nd[k[(k[y>>2]|0)+48>>2]&1023](y,f,w);nd[k[(k[z>>2]|0)+48>>2]&1023](z,h,w);A=k[m>>2]|0;if((A|0)==3){nd[k[(k[D>>2]|0)+48>>2]&1023](D,i,w);nd[k[(k[E>>2]|0)+48>>2]&1023](E,j,w);nd[k[(k[F>>2]|0)+48>>2]&1023](F,g,w);G=k[m>>2]|0}else G=A;if((G|0)==2){H=+p[f>>3];I=+p[e>>3];J=+p[h>>3];K=0.0;L=1.0;M=-H-I;N=H*I-J*J}else{J=+p[e>>3];I=+p[f>>3];H=+p[g>>3];O=J*I;P=+p[h>>3];R=+p[i>>3];S=+p[j>>3];K=-1.0;L=J+I+H;M=S*S+(R*R+(P*P+(-O-J*H-I*H)));N=P*2.0*R*S+(O*H-S*(J*S)-R*(I*R)-P*(H*P))}JY(K,L,M,N,l,n)|0;A=k[n>>2]|0;if((A|0)<=0)break;P=+$(+(+p[l>>3]));if((A|0)>1){T=1;H=P;while(1){R=+$(+(+p[l+(T<<3)>>3]));I=R>H?R:H;T=T+1|0;if((T|0)>=(A|0)){U=I;break}else H=I}}else U=P;p[v+(C<<3)>>3]=U;C=C+1|0;if((C|0)>=(u|0))break a}C=o+56|0;A=o+4|0;k[o>>2]=27524;k[C>>2]=27544;B=0;wa(508,o+56|0,A|0);T=B;B=0;if(T&1){T=Rb()|0;V=Q;W=T;vva(C);Qb(W|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[C>>2]=27488;B=0;va(448,A|0);T=B;B=0;do if(T&1){X=Rb()|0;Y=Q;Z=X}else{k[A>>2]=27560;X=o+36|0;k[X>>2]=0;k[X+4>>2]=0;k[X+8>>2]=0;k[X+12>>2]=0;k[o+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,A|0,c|0);_=B;B=0;if(_&1){_=Rb()|0;aa=Q;Yua(c);Yua(X);Ava(A);Y=aa;Z=_;break}Yua(c);B=0;_=Ia(40,o|0,70554,20)|0;aa=B;B=0;if(!(aa&1)?(B=0,Xa(239,_|0,0)|0,_=B,B=0,!(_&1)):0){_=Ab(20)|0;B=0;eb(502,q|0,69562,75);aa=B;B=0;do if(!(aa&1)){B=0;eb(502,s|0,70575,29);ba=B;B=0;if(ba&1){ba=Rb()|0;ca=Q;Yua(q);da=ca;ea=ba;break}B=0;wa(510,t|0,A|0);ba=B;B=0;if(ba&1){ba=Rb()|0;fa=Q;ga=ba;ha=1}else{B=0;ua(163,_|0,q|0,s|0,2727,t|0);ba=B;B=0;if(ba&1)ia=1;else{B=0;eb(503,_|0,1240,229);B=0;ia=0}ba=Rb()|0;ca=Q;Yua(t);fa=ca;ga=ba;ha=ia}Yua(s);Yua(q);if(ha){da=fa;ea=ga}else{ja=fa;ka=ga;k[o>>2]=27468;k[C>>2]=27488;k[A>>2]=27560;Yua(X);Ava(A);vva(C);Qb(ka|0)}}else{ba=Rb()|0;da=Q;ea=ba}while(0);zb(_|0);ja=da;ka=ea;k[o>>2]=27468;k[C>>2]=27488;k[A>>2]=27560;Yua(X);Ava(A);vva(C);Qb(ka|0)}aa=Rb()|0;ja=Q;ka=aa;k[o>>2]=27468;k[C>>2]=27488;k[A>>2]=27560;Yua(X);Ava(A);vva(C);Qb(ka|0)}while(0);V=Y;W=Z;vva(C);Qb(W|0)}while(0);rd[k[(k[a>>2]|0)+48>>2]&511](a,714,v,738);Tqa(v);v=k[d>>2]|0;if(v)Tqa(v);k[d>>2]=0;if(!w){r=b;return}Ec[k[(k[w>>2]|0)+4>>2]&1023](w);r=b;return}function oq(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;i=e+12|0;j=e;l=oC(k[a+16>>2]|0,d)|0;if(l){rd[k[(k[l>>2]|0)+176>>2]&511](l,b,c,k[a+12>>2]|0);r=e;return}e=g+56|0;a=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,a|0);c=B;B=0;if(c&1){c=Rb()|0;m=Q;n=c;vva(e);Qb(n|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,a|0);c=B;B=0;do if(c&1){b=Rb()|0;o=Q;p=b}else{k[a>>2]=27560;b=g+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,a|0,f|0);l=B;B=0;if(l&1){l=Rb()|0;q=Q;Yua(f);Yua(b);Ava(a);o=q;p=l;break}Yua(f);B=0;l=Ia(40,g|0,74566,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,d|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,l|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,109155,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,h|0,69562,75);t=B;B=0;do if(!(t&1)){B=0;eb(502,i|0,115180,13);q=B;B=0;if(q&1){q=Rb()|0;l=Q;Yua(h);u=l;v=q;break}B=0;wa(510,j|0,a|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,h|0,i|0,2102,j|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;l=Q;Yua(j);w=l;x=q;y=z}Yua(i);Yua(h);if(y){u=w;v=x}else{A=w;C=x;k[g>>2]=27468;k[e>>2]=27488;k[a>>2]=27560;Yua(b);Ava(a);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[g>>2]=27468;k[e>>2]=27488;k[a>>2]=27560;Yua(b);Ava(a);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[g>>2]=27468;k[e>>2]=27488;k[a>>2]=27560;Yua(b);Ava(a);vva(e);Qb(C|0)}while(0);m=o;n=p;vva(e);Qb(n|0)}function pq(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;i=e+12|0;j=e;l=oC(k[a+16>>2]|0,d)|0;if(l){rd[k[(k[l>>2]|0)+180>>2]&511](l,b,c,k[a+12>>2]|0);r=e;return}e=g+56|0;a=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,a|0);c=B;B=0;if(c&1){c=Rb()|0;m=Q;n=c;vva(e);Qb(n|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,a|0);c=B;B=0;do if(c&1){b=Rb()|0;o=Q;p=b}else{k[a>>2]=27560;b=g+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,a|0,f|0);l=B;B=0;if(l&1){l=Rb()|0;q=Q;Yua(f);Yua(b);Ava(a);o=q;p=l;break}Yua(f);B=0;l=Ia(40,g|0,74566,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,d|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,l|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,109155,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,h|0,69562,75);t=B;B=0;do if(!(t&1)){B=0;eb(502,i|0,70605,14);q=B;B=0;if(q&1){q=Rb()|0;l=Q;Yua(h);u=l;v=q;break}B=0;wa(510,j|0,a|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,h|0,i|0,2110,j|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;l=Q;Yua(j);w=l;x=q;y=z}Yua(i);Yua(h);if(y){u=w;v=x}else{A=w;C=x;k[g>>2]=27468;k[e>>2]=27488;k[a>>2]=27560;Yua(b);Ava(a);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[g>>2]=27468;k[e>>2]=27488;k[a>>2]=27560;Yua(b);Ava(a);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[g>>2]=27468;k[e>>2]=27488;k[a>>2]=27560;Yua(b);Ava(a);vva(e);Qb(C|0)}while(0);m=o;n=p;vva(e);Qb(n|0)}function qq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0;d=r;r=r+368|0;e=d;f=d+224|0;g=d+208|0;h=d+196|0;j=d+184|0;l=d+48|0;m=d+36|0;n=d+24|0;o=d+12|0;q=a+16|0;s=oC(k[q>>2]|0,c)|0;if(!s){t=f+56|0;u=f+4|0;k[f>>2]=27524;k[t>>2]=27544;B=0;wa(508,f+56|0,u|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;x=v;vva(t);Qb(x|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[t>>2]=27488;B=0;va(448,u|0);v=B;B=0;do if(v&1){y=Rb()|0;z=Q;A=y}else{k[u>>2]=27560;y=f+36|0;k[y>>2]=0;k[y+4>>2]=0;k[y+8>>2]=0;k[y+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,u|0,e|0);C=B;B=0;if(C&1){C=Rb()|0;D=Q;Yua(e);Yua(y);Ava(u);z=D;A=C;break}Yua(e);B=0;C=Ia(40,f|0,74566,6)|0;D=B;B=0;a:do if((((!(D&1)?(B=0,E=ya(427,c|0)|0,F=B,B=0,!(F&1)):0)?(F=Lta(E)|0,B=0,G=Ia(40,C|0,E|0,F|0)|0,F=B,B=0,!(F&1)):0)?(B=0,F=Ia(40,G|0,109155,21)|0,G=B,B=0,!(G&1)):0)?(B=0,Xa(239,F|0,0)|0,F=B,B=0,!(F&1)):0){F=Ab(20)|0;B=0;eb(502,g|0,69562,75);G=B;B=0;do if(!(G&1)){B=0;eb(502,h|0,70620,14);E=B;B=0;if(E&1){E=Rb()|0;H=Q;Yua(g);I=E;J=H;break}B=0;wa(510,j|0,u|0);H=B;B=0;if(H&1){H=Rb()|0;K=H;L=Q;M=1}else{B=0;ua(163,F|0,g|0,h|0,2118,j|0);H=B;B=0;if(H&1)N=1;else{B=0;eb(503,F|0,1240,229);B=0;N=0}H=Rb()|0;E=Q;Yua(j);K=H;L=E;M=N}Yua(h);Yua(g);if(M){I=K;J=L}else{O=K;P=L;break a}}else{E=Rb()|0;I=E;J=Q}while(0);zb(F|0);O=I;P=J}else R=20;while(0);if((R|0)==20){C=Rb()|0;O=C;P=Q}k[f>>2]=27468;k[t>>2]=27488;k[u>>2]=27560;Yua(y);Ava(u);vva(t);S=O;T=P;Qb(S|0)}while(0);w=z;x=A;vva(t);Qb(x|0)}switch(Hc[k[(k[s>>2]|0)+164>>2]&511](s)|0){case 736:{x=oC(k[q>>2]|0,c)|0;switch(Hc[k[(k[x>>2]|0)+20>>2]&511](x)|0){case 561:{Fc[k[(k[x>>2]|0)+44>>2]&1023](x,e);break}case 556:{Fc[k[(k[x>>2]|0)+36>>2]&1023](x,f);p[e>>3]=+((i[f>>0]|0)!=0&1);break}default:{f=Hc[k[(k[a>>2]|0)+304>>2]&511](a)|0;nd[k[(k[x>>2]|0)+48>>2]&1023](x,e,f);if(f)Ec[k[(k[f>>2]|0)+4>>2]&1023](f)}}if(k[b>>2]|0){f=k[k[b+4>>2]>>2]|0;Jc[k[(k[f>>2]|0)+20>>2]&1](f,k[a+12>>2]|0,+p[e>>3],0)}r=d;return}case 738:{f=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;x=Rqa(f>>>0>536870911?-1:f<<3)|0;q=f>>>0>1073741823?-1:f<<2;t=Rqa(q)|0;A=Rqa(q)|0;q=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;if((q|0)>0){z=a+24|0;w=0;do{P=Bo(k[(k[z>>2]|0)+(w<<2)>>2]|0)|0;k[A+(w<<2)>>2]=P;w=w+1|0}while((w|0)!=(q|0))}q=Hc[k[(k[a>>2]|0)+172>>2]&511](a)|0;if((q|0)>0){w=a+24|0;z=0;do{P=Ao(k[(k[w>>2]|0)+(z<<2)>>2]|0)|0;k[t+(z<<2)>>2]=P;z=z+1|0}while((z|0)!=(q|0))}xp(a,x,c);if((f|0)>0){c=0;do{a=x+(c<<3)|0;p[a>>3]=+p[a>>3]/+(k[t+(c<<2)>>2]|0);c=c+1|0}while((c|0)!=(f|0))}if(k[b>>2]|0){c=k[k[b+4>>2]>>2]|0;Dc[k[(k[c>>2]|0)+16>>2]&255](c,f,A,x,1)}Tqa(x);Tqa(t);Tqa(A);r=d;return}default:{d=l+56|0;A=l+4|0;k[l>>2]=27524;k[d>>2]=27544;B=0;wa(508,l+56|0,A|0);t=B;B=0;if(t&1){t=Rb()|0;U=Q;V=t;vva(d);Qb(V|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[d>>2]=27488;B=0;va(448,A|0);t=B;B=0;do if(t&1){x=Rb()|0;W=Q;X=x}else{k[A>>2]=27560;x=l+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[l+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,A|0,e|0);f=B;B=0;if(f&1){f=Rb()|0;c=Q;Yua(e);Yua(x);Ava(A);W=c;X=f;break}Yua(e);B=0;f=Ia(40,l|0,70635,14)|0;c=B;B=0;b:do if(((((!(c&1)?(B=0,b=ya(k[(k[s>>2]|0)+164>>2]|0,s|0)|0,a=B,B=0,!(a&1)):0)?(B=0,a=ya(427,b|0)|0,b=B,B=0,!(b&1)):0)?(b=Lta(a)|0,B=0,q=Ia(40,f|0,a|0,b|0)|0,b=B,B=0,!(b&1)):0)?(B=0,b=Ia(40,q|0,146481,18)|0,q=B,B=0,!(q&1)):0)?(B=0,Xa(239,b|0,0)|0,b=B,B=0,!(b&1)):0){b=Ab(20)|0;B=0;eb(502,m|0,69562,75);q=B;B=0;do if(!(q&1)){B=0;eb(502,n|0,70620,14);a=B;B=0;if(a&1){a=Rb()|0;z=Q;Yua(m);Y=z;Z=a;break}B=0;wa(510,o|0,A|0);a=B;B=0;if(a&1){a=Rb()|0;_=1;$=a;aa=Q}else{B=0;ua(163,b|0,m|0,n|0,2160,o|0);a=B;B=0;if(a&1)ba=1;else{B=0;eb(503,b|0,1240,229);B=0;ba=0}a=Rb()|0;z=Q;Yua(o);_=ba;$=a;aa=z}Yua(n);Yua(m);if(_){Y=aa;Z=$}else{ca=$;da=aa;break b}}else{z=Rb()|0;Y=Q;Z=z}while(0);zb(b|0);ca=Z;da=Y}else R=67;while(0);if((R|0)==67){f=Rb()|0;ca=f;da=Q}k[l>>2]=27468;k[d>>2]=27488;k[A>>2]=27560;Yua(x);Ava(A);vva(d);S=ca;T=da;Qb(S|0)}while(0);U=W;V=X;vva(d);Qb(V|0)}}}
function SI(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;switch(d|0){case 1:{n=Qqa(16)|0;B=0;va(489,n|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Sqa(n);q=o;s=p;Qb(q|0)}else{k[a+16>>2]=n;n=(k[b>>2]|0)+4|0;k[b>>2]=n;p=a+8|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[p>>0]=o;i[p+1>>0]=o>>8;i[p+2>>0]=o>>16;i[p+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;i[a+12>>0]=i[o>>0]|0;k[b>>2]=(k[b>>2]|0)+1;t=a+16|0;u=k[t>>2]|0;Cla(u,b,c,d);v=k[t>>2]|0;w=Fla(v)|0;x=a+20|0;k[x>>2]=w;r=e;return}break}case 0:{o=k[b>>2]|0;i[o>>0]=71;i[o+1>>0]=2;i[o+2>>0]=0;i[o+3>>0]=0;o=(k[b>>2]|0)+4|0;k[b>>2]=o;p=a+8|0;n=l[p>>0]|l[p+1>>0]<<8|l[p+2>>0]<<16|l[p+3>>0]<<24;i[o>>0]=n;i[o+1>>0]=n>>8;i[o+2>>0]=n>>16;i[o+3>>0]=n>>24;n=(k[b>>2]|0)+4|0;k[b>>2]=n;i[n>>0]=i[a+12>>0]|0;k[b>>2]=(k[b>>2]|0)+1;t=a+16|0;u=k[t>>2]|0;Cla(u,b,c,d);v=k[t>>2]|0;w=Fla(v)|0;x=a+20|0;k[x>>2]=w;r=e;return}case 2:{k[c>>2]=(k[c>>2]|0)+9;t=a+16|0;u=k[t>>2]|0;Cla(u,b,c,d);v=k[t>>2]|0;w=Fla(v)|0;x=a+20|0;k[x>>2]=w;r=e;return}default:{e=g+56|0;w=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,w|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;z=x;vva(e);Qb(z|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,w|0);x=B;B=0;do if(x&1){a=Rb()|0;A=Q;C=a}else{k[w>>2]=27560;a=g+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,w|0,f|0);v=B;B=0;if(v&1){v=Rb()|0;t=Q;Yua(f);Yua(a);Ava(w);A=t;C=v;break}Yua(f);B=0;v=Ia(40,g|0,143951,43)|0;t=B;B=0;a:do if(!(t&1)?(B=0,Xa(239,v|0,0)|0,d=B,B=0,!(d&1)):0){d=Ab(20)|0;B=0;eb(502,h|0,78025,75);c=B;B=0;do if(!(c&1)){B=0;eb(502,j|0,149525,8);b=B;B=0;if(b&1){b=Rb()|0;u=Q;Yua(h);D=b;E=u;break}B=0;wa(510,m|0,w|0);u=B;B=0;if(u&1){u=Rb()|0;F=Q;G=u;H=1}else{B=0;ua(163,d|0,h|0,j|0,129,m|0);u=B;B=0;if(u&1)I=1;else{B=0;eb(503,d|0,1240,229);B=0;I=0}u=Rb()|0;b=Q;Yua(m);F=b;G=u;H=I}Yua(j);Yua(h);if(H){D=G;E=F}else{J=G;K=F;break a}}else{u=Rb()|0;D=u;E=Q}while(0);zb(d|0);J=D;K=E}else L=19;while(0);if((L|0)==19){v=Rb()|0;J=v;K=Q}k[g>>2]=27468;k[e>>2]=27488;k[w>>2]=27560;Yua(a);Ava(w);vva(e);q=J;s=K;Qb(q|0)}while(0);y=A;z=C;vva(e);Qb(z|0)}}}function TI(a,b){a=a|0;b=b|0;var c=0;c=a+16|0;Ela(k[c>>2]|0,b);b=Fla(k[c>>2]|0)|0;k[a+20>>2]=b;return}function UI(a){a=a|0;var b=0,c=0,d=0.0,e=0.0;b=r;r=r+16|0;c=b;lC(k[(k[a+20>>2]|0)+16>>2]|0,c,214);d=+Zc[k[(k[a>>2]|0)+64>>2]&255](a);e=+ba(+(+p[c>>3]),+-d);r=b;return +e}function VI(a){a=a|0;var b=0,c=0,d=0.0,e=0.0;b=r;r=r+16|0;c=b;lC(k[(k[a+20>>2]|0)+16>>2]|0,c,215);d=+Zc[k[(k[a>>2]|0)+64>>2]&255](a);e=+ba(+(+p[c>>3]),+-d);r=b;return +e}function WI(a){a=a|0;var b=0,c=0;b=r;r=r+16|0;c=b;lC(k[(k[a+20>>2]|0)+16>>2]|0,c,214);r=b;return +(+p[c>>3])}function XI(a){a=a|0;var b=0,c=0;b=r;r=r+16|0;c=b;lC(k[(k[a+20>>2]|0)+16>>2]|0,c,215);r=b;return +(+p[c>>3])}function YI(a){a=a|0;var b=0,c=0;b=r;r=r+16|0;c=b;lC(k[(k[a+20>>2]|0)+16>>2]|0,c,217);r=b;return +(+p[c>>3])}function ZI(a){a=a|0;var b=0,c=0,d=0.0;b=r;r=r+16|0;c=b;if(!(i[a+12>>0]|0)){d=0.0;r=b;return +d}lC(k[(k[a+20>>2]|0)+16>>2]|0,c,225);d=+p[c>>3];r=b;return +d}function _I(a){a=a|0;var b=0,c=0,d=0.0;b=r;r=r+16|0;c=b;if(!(i[a+12>>0]|0)){d=0.0;r=b;return +d}lC(k[(k[a+20>>2]|0)+16>>2]|0,c,227);d=+p[c>>3];r=b;return +d}function $I(a){a=a|0;return (i[a+12>>0]|0)!=0|0}function aJ(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,j=0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;j=d;l=+Zc[k[(k[a>>2]|0)+48>>2]&255](a);m=+Zc[k[(k[a>>2]|0)+64>>2]&255](a);if(!(i[a+12>>0]|0))n=0.0;else n=+Zc[k[(k[a>>2]|0)+56>>2]&255](a);do if(!(m==1.0))if(c==0.0){o=5.0e13;p[b>>3]=o;r=d;return}else{q=l*(1.0-n)/(+ba(+c,+((m+-1.0)/m))*2.0);break}else q=l*(1.0-n)*.5;while(0);if(!(q<=0.0)){o=q;p[b>>3]=o;r=d;return}d=f+56|0;b=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;s=Q;t=a;vva(d);Qb(t|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);a=B;B=0;do if(a&1){u=Rb()|0;v=Q;w=u}else{k[b>>2]=27560;u=f+36|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;k[u+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,b|0,e|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;Yua(e);Yua(u);Ava(b);v=y;w=x;break}Yua(e);B=0;x=Ia(40,f|0,78110,18)|0;y=B;B=0;if(!(y&1)?(B=0,Xa(239,x|0,0)|0,x=B,B=0,!(x&1)):0){x=Ab(20)|0;B=0;eb(502,g|0,78025,75);y=B;B=0;do if(!(y&1)){B=0;eb(502,h|0,143391,12);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(g);C=A;D=z;break}B=0;wa(510,j|0,b|0);z=B;B=0;if(z&1){z=Rb()|0;E=Q;F=z;G=1}else{B=0;ua(163,x|0,g|0,h|0,273,j|0);z=B;B=0;if(z&1)H=1;else{B=0;eb(503,x|0,1240,229);B=0;H=0}z=Rb()|0;A=Q;Yua(j);E=A;F=z;G=H}Yua(h);Yua(g);if(G){C=E;D=F}else{I=E;J=F;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(u);Ava(b);vva(d);Qb(J|0)}}else{z=Rb()|0;C=Q;D=z}while(0);zb(x|0);I=C;J=D;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(u);Ava(b);vva(d);Qb(J|0)}y=Rb()|0;I=Q;J=y;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(u);Ava(b);vva(d);Qb(J|0)}while(0);s=v;t=w;vva(d);Qb(t|0)}function bJ(a,b,c){a=a|0;b=b|0;c=+c;var d=0.0,e=0.0,f=0.0;d=+Zc[k[(k[a>>2]|0)+64>>2]&255](a);if(!(i[a+12>>0]|0))e=0.0;else e=+Zc[k[(k[a>>2]|0)+56>>2]&255](a);if(d==1.0){f=(1.0-e)*.5;p[b>>3]=f;return}if(c==0.0){f=0.0;p[b>>3]=f;return}f=(1.0-e)/(+ba(+c,+((d+-1.0)/d))*2.0);p[b>>3]=f;return}function cJ(a,b,c){a=a|0;b=b|0;c=+c;var d=0.0,e=0.0,f=0.0;d=+Zc[k[(k[a>>2]|0)+64>>2]&255](a);e=+Zc[k[(k[a>>2]|0)+52>>2]&255](a);if(d==1.0){f=e*-.5;p[b>>3]=f;return}if(c==0.0){f=0.0;p[b>>3]=f;return}f=-e/(+ba(+c,+((d+-1.0)/d))*2.0);p[b>>3]=f;return}function dJ(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,j=0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;j=d;l=+Zc[k[(k[a>>2]|0)+52>>2]&255](a);m=+Zc[k[(k[a>>2]|0)+64>>2]&255](a);if(!(i[a+12>>0]|0))n=0.0;else n=+Zc[k[(k[a>>2]|0)+60>>2]&255](a);do if(!(m==1.0))if(c==0.0){o=5.0e13;p[b>>3]=o;r=d;return}else{q=l*(1.0-n)/(+ba(+c,+((m+-1.0)/m))*2.0);break}else q=l*(1.0-n)*.5;while(0);if(!(q<=0.0)){o=q;p[b>>3]=o;r=d;return}d=f+56|0;b=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;s=Q;t=a;vva(d);Qb(t|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);a=B;B=0;do if(a&1){u=Rb()|0;v=Q;w=u}else{k[b>>2]=27560;u=f+36|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;k[u+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,b|0,e|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;Yua(e);Yua(u);Ava(b);v=y;w=x;break}Yua(e);B=0;x=Ia(40,f|0,78110,18)|0;y=B;B=0;if(!(y&1)?(B=0,Xa(239,x|0,0)|0,x=B,B=0,!(x&1)):0){x=Ab(20)|0;B=0;eb(502,g|0,78025,75);y=B;B=0;do if(!(y&1)){B=0;eb(502,h|0,143434,15);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(g);C=A;D=z;break}B=0;wa(510,j|0,b|0);z=B;B=0;if(z&1){z=Rb()|0;E=Q;F=z;G=1}else{B=0;ua(163,x|0,g|0,h|0,377,j|0);z=B;B=0;if(z&1)H=1;else{B=0;eb(503,x|0,1240,229);B=0;H=0}z=Rb()|0;A=Q;Yua(j);E=A;F=z;G=H}Yua(h);Yua(g);if(G){C=E;D=F}else{I=E;J=F;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(u);Ava(b);vva(d);Qb(J|0)}}else{z=Rb()|0;C=Q;D=z}while(0);zb(x|0);I=C;J=D;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(u);Ava(b);vva(d);Qb(J|0)}y=Rb()|0;I=Q;J=y;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(u);Ava(b);vva(d);Qb(J|0)}while(0);s=v;t=w;vva(d);Qb(t|0)}function eJ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0.0,f=0.0,g=0.0,h=0.0,j=0.0,l=0.0;if(!(i[a+12>>0]|0))d=0.0;else d=+Zc[k[(k[a>>2]|0)+60>>2]&255](a);e=+Zc[k[(k[a>>2]|0)+64>>2]&255](a);if(!c){f=45.0e16;p[b>>3]=f;return}g=+p[c>>3];h=+p[c+8>>3];j=+p[c+16>>3];l=g*h+(g*g+h*h+j*j);if(l==0.0){f=225.0e15;p[b>>3]=f;return}f=(1.0-d)/(+ba(+l,+((e+-1.0)/(e*2.0)))*2.0);p[b>>3]=f;return}function fJ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0.0,f=0.0,g=0.0,h=0.0,i=0.0,j=0.0;d=+Zc[k[(k[a>>2]|0)+52>>2]&255](a);e=+Zc[k[(k[a>>2]|0)+64>>2]&255](a);if(!c){f=-45.0e16;p[b>>3]=f;return}g=+p[c>>3];h=+p[c+8>>3];i=+p[c+16>>3];j=g*h+(g*g+h*h+i*i);if(j==0.0){f=-225.0e15;p[b>>3]=f;return}f=-d/(+ba(+j,+((e+-1.0)/(e*2.0)))*2.0);p[b>>3]=f;return}function gJ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0.0,g=0.0,h=0.0,i=0.0,j=0.0,l=0.0,m=0.0;d=r;r=r+16|0;e=d;f=+p[c>>3];g=+p[c+8>>3];if(((f==0.0&g==0.0?+p[c+16>>3]==0.0:0)?+p[c+24>>3]==0.0:0)?+p[c+32>>3]==0.0:0){h=5.0e13;p[b>>3]=h;r=d;return}i=+p[c+16>>3];j=+p[c+24>>3];l=+p[c+32>>3];m=l*l+(j*j+(i*i+(f*g+(f*f+g*g))));g=+aa(+m);Xc[k[(k[a>>2]|0)+68>>2]&63](a,e,g);g=+Zc[k[(k[a>>2]|0)+64>>2]&255](a);h=+p[e>>3]*((1.0-g)/(g*2.0))/m;p[b>>3]=h;r=d;return}function hJ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0.0,g=0.0,h=0.0,i=0.0,j=0.0;d=r;r=r+16|0;e=d;f=+p[c>>3];g=+p[c+8>>3];if(f==0.0&g==0.0?+p[c+16>>3]==0.0:0){h=5.0e13;p[b>>3]=h;r=d;return}i=+p[c+16>>3];j=i*i+(f*g+(f*f+g*g));g=+aa(+j);Xc[k[(k[a>>2]|0)+72>>2]&63](a,e,g);g=+Zc[k[(k[a>>2]|0)+64>>2]&255](a);h=+p[e>>3]*((1.0-g)/(g*2.0))/j;p[b>>3]=h;r=d;return}function iJ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return}function jJ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return}function kJ(a,b,c){a=a|0;b=+b;c=c|0;return}function lJ(a,b,c){a=a|0;b=+b;c=c|0;return}function mJ(a,b,c){a=a|0;b=b|0;c=c|0;return}function nJ(a,b,c){a=a|0;b=b|0;c=c|0;return}function oJ(a,b,c){a=a|0;b=b|0;c=c|0;return}function pJ(a,b,c){a=a|0;b=b|0;c=c|0;return}function qJ(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,l=0,m=0,n=0,o=0.0,q=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0,x=0,y=0,z=0.0;i=r;r=r+80|0;j=i+72|0;l=i+24|0;m=i;n=k[a+20>>2]|0;if((c|0)==3){Yo(n,l,d,e,f,g,h);o=+p[l>>3];q=+p[l+8>>3];s=+p[l+24>>3];t=+p[l+32>>3];u=+p[l+40>>3];v=+aa(+(o*q+(o*o+q*q+s*s+t*t+u*u)+1.0e-54));w=k[a>>2]|0;x=w+68|0;y=k[x>>2]|0;Xc[y&63](a,j,v);z=+p[j>>3];p[b>>3]=z;r=i;return}else{Xo(n,m,d,e,f,g);u=+p[m>>3];t=+p[m+8>>3];s=+p[m+16>>3];v=+aa(+(u*u+t*t+s*(s*2.0)))*.7071067811865475;w=k[a>>2]|0;x=w+68|0;y=k[x>>2]|0;Xc[y&63](a,j,v);z=+p[j>>3];p[b>>3]=z;r=i;return}}function rJ(a,b,c){a=a|0;b=b|0;c=c|0;nd[k[(k[a>>2]|0)+84>>2]&1023](a,b,c);return}function sJ(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0.0,o=0.0,q=0.0,s=0.0,t=0.0,u=0.0,v=0,w=0,x=0,y=0.0;h=r;r=r+64|0;i=h+56|0;j=h+16|0;l=h;m=k[a+20>>2]|0;if((c|0)==3){ep(m,j,d,e,f,g);n=+p[j>>3];o=+p[j+8>>3];q=+p[j+16>>3];s=+p[j+24>>3];t=+p[j+32>>3];u=+aa(+(n*o+(n*n+o*o+q*q+s*s+t*t)));v=k[a>>2]|0;w=v+68|0;x=k[w>>2]|0;Xc[x&63](a,i,u);y=+p[i>>3];p[b>>3]=y;r=h;return}else{fp(m,l,d,e,f,g);t=+p[l>>3];s=+p[l+8>>3];u=+aa(+(t*t+s*(s*2.0)))*.7071067811865475;v=k[a>>2]|0;w=v+68|0;x=k[w>>2]|0;Xc[x&63](a,i,u);y=+p[i>>3];p[b>>3]=y;r=h;return}}function tJ(a,b,c){a=a|0;b=b|0;c=c|0;nd[k[(k[a>>2]|0)+84>>2]&1023](a,b,c);return}function uJ(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;h=r;r=r+272|0;i=h+248|0;j=h+64|0;l=h+24|0;m=h;n=h+112|0;o=h+96|0;q=h+84|0;s=h+72|0;if((e|0)!=0&(f|0)!=0&(g|0)!=0){nd[k[(k[g>>2]|0)+48>>2]&1023](g,j,d);rd[k[(k[g>>2]|0)+60>>2]&511](g,m,c,d);g=a+20|0;t=+Lp(k[g>>2]|0,c,d);u=+WJ(k[(k[g>>2]|0)+32>>2]|0,265);v=u*+WJ(k[(k[g>>2]|0)+32>>2]|0,65);u=v*+$(+(+p[j>>3]-t));t=+p[m>>3];v=+p[m+8>>3];w=u*+aa(+(t*t+v*v));ep(k[g>>2]|0,l,c,d,e,f);v=+p[l>>3];t=+p[l+8>>3];u=+p[l+16>>3];x=+aa(+(u*u+(v*t+(v*v+t*t))));if(x==0.0){y=25.0e16;p[b>>3]=y;r=h;return}t=+Zc[k[(k[a>>2]|0)+40>>2]&255](a);v=w*w;w=-x/t;x=+aa(+(v*(v*v)*4.0/27.0+w*w));u=+ba(+((x-w)*.5),.3333333333333333)-+ba(+((w+x)*.5),.3333333333333333);y=1.0/(t*2.0*(v+u*u));p[b>>3]=y;r=h;return}h=n+56|0;b=n+4|0;k[n>>2]=27524;k[h>>2]=27544;B=0;wa(508,n+56|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;z=Q;A=a;vva(h);Qb(A|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[h>>2]=27488;B=0;va(448,b|0);a=B;B=0;do if(a&1){l=Rb()|0;C=Q;D=l}else{k[b>>2]=27560;l=n+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[n+52>>2]=16;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;B=0;wa(509,b|0,i|0);f=B;B=0;if(f&1){f=Rb()|0;e=Q;Yua(i);Yua(l);Ava(b);C=e;D=f;break}Yua(i);B=0;f=Ia(40,n|0,78129,13)|0;e=B;B=0;if(!(e&1)?(B=0,Xa(239,f|0,0)|0,f=B,B=0,!(f&1)):0){f=Ab(20)|0;B=0;eb(502,o|0,78025,75);e=B;B=0;do if(!(e&1)){B=0;eb(502,q|0,143594,13);d=B;B=0;if(d&1){d=Rb()|0;c=Q;Yua(o);E=d;F=c;break}B=0;wa(510,s|0,b|0);c=B;B=0;if(c&1){c=Rb()|0;G=Q;H=c;I=1}else{B=0;ua(163,f|0,o|0,q|0,676,s|0);c=B;B=0;if(c&1)J=1;else{B=0;eb(503,f|0,1240,229);B=0;J=0}c=Rb()|0;d=Q;Yua(s);G=d;H=c;I=J}Yua(q);Yua(o);if(I){E=H;F=G}else{K=H;L=G;k[n>>2]=27468;k[h>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(h);Qb(K|0)}}else{c=Rb()|0;E=c;F=Q}while(0);zb(f|0);K=E;L=F;k[n>>2]=27468;k[h>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(h);Qb(K|0)}e=Rb()|0;K=e;L=Q;k[n>>2]=27468;k[h>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(h);Qb(K|0)}while(0);z=C;A=D;vva(h);Qb(A|0)}function vJ(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0.0,o=0.0,q=0.0,s=0.0;h=r;r=r+48|0;i=h+32|0;j=h+8|0;l=h;m=k[a+20>>2]|0;if((c|0)==2){Xo(m,j,d,e,f,g);n=+p[j>>3];o=+p[j+8>>3];q=+p[j+16>>3];s=n*o+(n*n+o*o+q*q)}else{hp(m,l,d,e,f);q=+p[l>>3];s=q*q*.5}q=+aa(+s);Xc[k[(k[a>>2]|0)+72>>2]&63](a,i,q);p[b>>3]=+p[i>>3];r=h;return}function wJ(a,b,c){a=a|0;b=b|0;c=c|0;nd[k[(k[a>>2]|0)+96>>2]&1023](a,b,c);return}function xJ(a){a=a|0;k[a+20>>2]=0;Dla(k[a+16>>2]|0);return}function yJ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,78153,75);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144327,22);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,53,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function zJ(a,b,c){a=a|0;b=b|0;c=c|0;yJ(a+-4|0,b,c)}function AJ(a){a=a|0;k[a>>2]=33700;k[a+4>>2]=33864;return}function BJ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0;d=r;r=r+576|0;e=d+556|0;f=d+544|0;g=d+532|0;h=d+568|0;j=d+528|0;l=d+524|0;m=d+520|0;n=d+384|0;o=d+232|0;p=d+84|0;q=d+72|0;s=d+248|0;t=d+60|0;u=d+48|0;v=d+36|0;w=d+96|0;x=d+24|0;y=d+12|0;z=d;k[a>>2]=33700;k[a+4>>2]=33864;A=a+16|0;C=a+24|0;D=a+32|0;E=a+40|0;F=a+48|0;G=a+56|0;H=a+64|0;I=a+72|0;J=a+80|0;K=a+88|0;L=a+96|0;M=a+104|0;N=a+112|0;O=a+120|0;P=a+136|0;R=a+144|0;S=a+152|0;T=a+160|0;U=a+176|0;V=a+168|0;W=a+184|0;X=a+192|0;Y=a+200|0;Z=a+208|0;_=a+216|0;$=a+224|0;aa=a+232|0;ba=a+240|0;ca=a+248|0;da=a+256|0;ea=a+264|0;fa=a+272|0;ga=a+280|0;ha=a+288|0;ia=a+296|0;WEa(A|0,0,360)|0;B=0;eb(512,c|0,j|0,131762);ja=B;B=0;a:do if((!(ja&1)?(B=0,eb(512,c|0,l|0,134789),ka=B,B=0,!(ka&1)):0)?(B=0,eb(512,c|0,m|0,127514),ka=B,B=0,!(ka&1)):0){k[a+8>>2]=b;if(((k[m>>2]|0)+-583|0)>>>0>=3){ka=w+56|0;la=w+4|0;k[w>>2]=27524;k[ka>>2]=27544;B=0;wa(508,w+56|0,la|0);ma=B;B=0;if(ma&1){ma=Rb()|0;na=Q;oa=ma}else{k[w+128>>2]=0;k[w+132>>2]=-1;k[w>>2]=27468;k[ka>>2]=27488;B=0;va(448,la|0);ma=B;B=0;do if(ma&1){pa=Rb()|0;qa=Q;ra=pa}else{k[la>>2]=27560;pa=w+36|0;k[pa>>2]=0;k[pa+4>>2]=0;k[pa+8>>2]=0;k[pa+12>>2]=0;k[w+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,la|0,e|0);sa=B;B=0;if(sa&1){sa=Rb()|0;ta=Q;Yua(e);Yua(pa);Ava(la);qa=ta;ra=sa;break}Yua(e);B=0;sa=Ia(40,w|0,79085,9)|0;ta=B;B=0;b:do if((((!(ta&1)?(B=0,xa=ya(427,k[m>>2]|0)|0,za=B,B=0,!(za&1)):0)?(za=Lta(xa)|0,B=0,Aa=Ia(40,sa|0,xa|0,za|0)|0,za=B,B=0,!(za&1)):0)?(B=0,za=Ia(40,Aa|0,146481,18)|0,Aa=B,B=0,!(Aa&1)):0)?(B=0,Xa(239,za|0,0)|0,za=B,B=0,!(za&1)):0){za=Ab(20)|0;B=0;eb(502,x|0,78522,75);Aa=B;B=0;do if(!(Aa&1)){B=0;eb(502,y|0,98515,6);xa=B;B=0;if(xa&1){xa=Rb()|0;Ba=Q;Yua(x);Ca=xa;Da=Ba;break}B=0;wa(510,z|0,la|0);Ba=B;B=0;if(Ba&1){Ba=Rb()|0;Ea=1;Fa=Q;Ga=Ba}else{B=0;ua(163,za|0,x|0,y|0,171,z|0);Ba=B;B=0;if(Ba&1)Ha=1;else{B=0;eb(503,za|0,1240,229);B=0;Ha=0}Ba=Rb()|0;xa=Q;Yua(z);Ea=Ha;Fa=xa;Ga=Ba}Yua(y);Yua(x);if(Ea){Ca=Ga;Da=Fa}else{Ja=Fa;Ka=Ga;break b}}else{Ba=Rb()|0;Ca=Ba;Da=Q}while(0);zb(za|0);Ja=Da;Ka=Ca}else La=119;while(0);if((La|0)==119){sa=Rb()|0;Ja=Q;Ka=sa}k[w>>2]=27468;k[ka>>2]=27488;k[la>>2]=27560;Yua(pa);Ava(la);vva(ka);Ma=Ja;Na=Ka;Qb(Na|0)}while(0);na=qa;oa=ra}vva(ka);Oa=na;Pa=oa;break}B=0;eb(513,c|0,A|0,126961);la=B;B=0;if(((((((((((((!(la&1)?(B=0,eb(513,c|0,C|0,78237),la=B,B=0,!(la&1)):0)?(B=0,eb(513,c|0,D|0,78260),la=B,B=0,!(la&1)):0)?(B=0,eb(513,c|0,E|0,78288),la=B,B=0,!(la&1)):0)?(B=0,eb(513,c|0,F|0,129827),la=B,B=0,!(la&1)):0)?(B=0,eb(513,c|0,G|0,78310),la=B,B=0,!(la&1)):0)?(B=0,eb(513,c|0,H|0,78343),la=B,B=0,!(la&1)):0)?(B=0,eb(513,c|0,I|0,78381),la=B,B=0,!(la&1)):0)?(B=0,eb(513,c|0,J|0,78405),la=B,B=0,!(la&1)):0)?(B=0,eb(513,c|0,K|0,78423),la=B,B=0,!(la&1)):0)?(B=0,eb(513,c|0,L|0,129853),la=B,B=0,!(la&1)):0)?(B=0,eb(513,c|0,M|0,78449),la=B,B=0,!(la&1)):0)?(B=0,eb(513,c|0,N|0,78483),la=B,B=0,!(la&1)):0)?(B=0,eb(513,c|0,O|0,126946),la=B,B=0,!(la&1)):0){switch(k[l>>2]|0){case 470:case 466:case 465:case 459:case 387:break;case 389:{B=0;eb(513,c|0,V|0,133341);la=B;B=0;if(la&1){La=5;break a}B=0;eb(513,c|0,U|0,133328);la=B;B=0;if(la&1){La=5;break a}break}case 438:{B=0;eb(513,c|0,P|0,133544);la=B;B=0;if(la&1){La=5;break a}B=0;eb(513,c|0,R|0,133558);la=B;B=0;if(la&1){La=5;break a}B=0;eb(513,c|0,S|0,133571);la=B;B=0;if(la&1){La=5;break a}break}case 457:{B=0;eb(513,c|0,P|0,133544);la=B;B=0;if(la&1){La=5;break a}B=0;eb(513,c|0,R|0,133558);la=B;B=0;if(la&1){La=5;break a}B=0;eb(513,c|0,S|0,133571);la=B;B=0;if(la&1){La=5;break a}B=0;eb(513,c|0,T|0,133666);la=B;B=0;if(la&1){La=5;break a}break}default:{la=n+56|0;ma=n+4|0;k[n>>2]=27524;k[la>>2]=27544;B=0;wa(508,n+56|0,ma|0);sa=B;B=0;if(sa&1){sa=Rb()|0;Qa=Q;Ra=sa}else{k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[la>>2]=27488;B=0;va(448,ma|0);sa=B;B=0;do if(sa&1){ta=Rb()|0;Sa=Q;Ta=ta}else{k[ma>>2]=27560;ta=n+36|0;k[ta>>2]=0;k[ta+4>>2]=0;k[ta+8>>2]=0;k[ta+12>>2]=0;k[n+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,ma|0,g|0);Aa=B;B=0;if(Aa&1){Aa=Rb()|0;Ba=Q;Yua(g);Yua(ta);Ava(ma);Sa=Ba;Ta=Aa;break}Yua(g);B=0;Aa=Ia(40,n|0,133089,27)|0;Ba=B;B=0;c:do if(Ba&1)La=49;else{B=0;xa=ya(427,k[l>>2]|0)|0;Ua=B;B=0;if(Ua&1){La=49;break}Ua=Lta(xa)|0;B=0;Va=Ia(40,Aa|0,xa|0,Ua|0)|0;Ua=B;B=0;if(Ua&1){La=49;break}B=0;Ua=Ia(40,Va|0,146481,18)|0;Va=B;B=0;if(Va&1){La=49;break}B=0;Xa(239,Ua|0,0)|0;Ua=B;B=0;if(Ua&1){La=49;break}Ua=Ab(20)|0;B=0;eb(502,o|0,78522,75);Va=B;B=0;do if(!(Va&1)){B=0;eb(502,p|0,98515,6);xa=B;B=0;if(xa&1){xa=Rb()|0;Wa=Q;Yua(o);Ya=Wa;Za=xa;break}B=0;wa(510,q|0,ma|0);xa=B;B=0;if(xa&1){xa=Rb()|0;_a=Q;$a=xa;ab=1}else{B=0;ua(163,Ua|0,o|0,p|0,132,q|0);xa=B;B=0;if(xa&1)bb=1;else{B=0;eb(503,Ua|0,1240,229);B=0;bb=0}xa=Rb()|0;Wa=Q;Yua(q);_a=Wa;$a=xa;ab=bb}Yua(p);Yua(o);if(ab){Ya=_a;Za=$a}else{cb=_a;db=$a;break c}}else{xa=Rb()|0;Ya=Q;Za=xa}while(0);zb(Ua|0);cb=Ya;db=Za}while(0);if((La|0)==49){Aa=Rb()|0;cb=Q;db=Aa}k[n>>2]=27468;k[la>>2]=27488;k[ma>>2]=27560;Yua(ta);Ava(ma);vva(la);Ma=cb;Na=db;Qb(Na|0)}while(0);Qa=Sa;Ra=Ta}vva(la);Oa=Qa;Pa=Ra;break a}}d:do switch(k[j>>2]|0){case 122:{B=0;eb(513,c|0,W|0,78598);ma=B;B=0;if(ma&1){La=5;break a}B=0;eb(513,c|0,X|0,78636);ma=B;B=0;if(ma&1){La=5;break a}B=0;eb(513,c|0,Y|0,78667);ma=B;B=0;if(ma&1){La=5;break a}B=0;eb(513,c|0,Z|0,78699);ma=B;B=0;if(ma&1){La=5;break a}B=0;eb(514,c|0,h|0,131781);ma=B;B=0;if(ma&1){La=5;break a}if(!(i[h>>0]|0))break d;B=0;eb(513,c|0,_|0,78734);ma=B;B=0;if(ma&1){La=5;break a}B=0;eb(513,c|0,$|0,78767);ma=B;B=0;if(ma&1){La=5;break a}B=0;eb(513,c|0,aa|0,78793);ma=B;B=0;if(ma&1){La=5;break a}B=0;eb(513,c|0,ba|0,78828);ma=B;B=0;if(ma&1){La=5;break a}B=0;eb(513,c|0,ca|0,78863);ma=B;B=0;if(ma&1){La=5;break a}B=0;eb(513,c|0,da|0,78894);ma=B;B=0;if(ma&1){La=5;break a}break}case 119:case 165:break;default:{ma=s+56|0;sa=s+4|0;k[s>>2]=27524;k[ma>>2]=27544;B=0;wa(508,s+56|0,sa|0);ka=B;B=0;if(ka&1){ka=Rb()|0;fb=Q;gb=ka}else{k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[ma>>2]=27488;B=0;va(448,sa|0);ka=B;B=0;do if(ka&1){Aa=Rb()|0;hb=Q;ib=Aa}else{k[sa>>2]=27560;Aa=s+36|0;k[Aa>>2]=0;k[Aa+4>>2]=0;k[Aa+8>>2]=0;k[Aa+12>>2]=0;k[s+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,sa|0,f|0);Ba=B;B=0;if(Ba&1){Ba=Rb()|0;pa=Q;Yua(f);Yua(Aa);Ava(sa);hb=pa;ib=Ba;break}Yua(f);B=0;Ba=Ia(40,s|0,116424,16)|0;pa=B;B=0;e:do if(pa&1)La=88;else{B=0;Va=ya(427,k[j>>2]|0)|0;za=B;B=0;if(za&1){La=88;break}za=Lta(Va)|0;B=0;xa=Ia(40,Ba|0,Va|0,za|0)|0;za=B;B=0;if(za&1){La=88;break}B=0;za=Ia(40,xa|0,146481,18)|0;xa=B;B=0;if(xa&1){La=88;break}B=0;Xa(239,za|0,0)|0;za=B;B=0;if(za&1){La=88;break}za=Ab(20)|0;B=0;eb(502,t|0,78522,75);xa=B;B=0;do if(!(xa&1)){B=0;eb(502,u|0,98515,6);Va=B;B=0;if(Va&1){Va=Rb()|0;Wa=Q;Yua(t);jb=Va;kb=Wa;break}B=0;wa(510,v|0,sa|0);Wa=B;B=0;if(Wa&1){Wa=Rb()|0;lb=1;mb=Q;nb=Wa}else{B=0;ua(163,za|0,t|0,u|0,157,v|0);Wa=B;B=0;if(Wa&1)ob=1;else{B=0;eb(503,za|0,1240,229);B=0;ob=0}Wa=Rb()|0;Va=Q;Yua(v);lb=ob;mb=Va;nb=Wa}Yua(u);Yua(t);if(lb){jb=nb;kb=mb}else{pb=mb;qb=nb;break e}}else{Wa=Rb()|0;jb=Wa;kb=Q}while(0);zb(za|0);pb=kb;qb=jb}while(0);if((La|0)==88){Ba=Rb()|0;pb=Q;qb=Ba}k[s>>2]=27468;k[ma>>2]=27488;k[sa>>2]=27560;Yua(Aa);Ava(sa);vva(ma);Ma=pb;Na=qb;Qb(Na|0)}while(0);fb=hb;gb=ib}vva(ma);Oa=fb;Pa=gb;break a}}while(0);B=0;eb(513,c|0,ea|0,78924);la=B;B=0;if(!(la&1)){B=0;eb(513,c|0,fa|0,78963);la=B;B=0;if(la&1){La=5;break}B=0;eb(513,c|0,ga|0,78996);la=B;B=0;if(la&1){La=5;break}B=0;eb(513,c|0,ha|0,79030);la=B;B=0;if(la&1){La=5;break}B=0;eb(513,c|0,ia|0,79058);la=B;B=0;if(la&1){La=5;break}r=d;return}else La=5}else La=5}else La=5;while(0);if((La|0)==5){La=Rb()|0;Oa=Q;Pa=La}Ma=Oa;Na=Pa;Qb(Na|0)}function CJ(a){a=a|0;k[a>>2]=33700;k[a+4>>2]=33864;return}function DJ(a){a=a|0;Sqa(a);return}function EJ(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0,ke=0,le=0,me=0,ne=0,oe=0,pe=0,qe=0,re=0,se=0,te=0,ue=0,ve=0,we=0,xe=0,ye=0,ze=0,Ae=0,Be=0,Ce=0,De=0;b=r;r=r+3024|0;c=b+3e3|0;d=b+2744|0;e=b+2988|0;f=b+2608|0;g=b+2976|0;h=b+2456|0;i=b+2964|0;j=b+2320|0;l=b+2952|0;m=b+2184|0;n=b+2940|0;o=b+2032|0;q=b+2928|0;s=b+1896|0;t=b+2916|0;u=b+1744|0;v=b+2904|0;w=b+1608|0;x=b+2892|0;y=b+1456|0;z=b+2880|0;A=b+1304|0;C=b+2592|0;D=b+1168|0;E=b+2168|0;F=b+1032|0;G=b+1880|0;H=b+880|0;I=b+1592|0;J=b+744|0;K=b+1440|0;L=b+592|0;M=b+1016|0;N=b+456|0;O=b+728|0;P=b+304|0;R=b+440|0;S=b+168|0;T=b+152|0;U=b+16|0;V=b;W=d+56|0;X=d+4|0;k[d>>2]=27524;k[W>>2]=27544;B=0;wa(508,d+56|0,X|0);Y=B;B=0;if(Y&1){Y=Rb()|0;Z=Q;_=Y;vva(W);Qb(_|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[W>>2]=27488;B=0;va(448,X|0);Y=B;B=0;do if(Y&1){$=Rb()|0;aa=Q;ba=$}else{k[X>>2]=27560;$=d+36|0;k[$>>2]=0;k[$+4>>2]=0;k[$+8>>2]=0;k[$+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,X|0,c|0);ca=B;B=0;if(ca&1){ca=Rb()|0;da=Q;Yua(c);Yua($);Ava(X);aa=da;ba=ca;break}Yua(c);B=0;Ia(40,d|0,79095,8)|0;ca=B;B=0;do if(!(ca&1)?(B=0,wa(510,e|0,X|0),da=B,B=0,!(da&1)):0){B=0;ya(424,e|0)|0;da=B;B=0;if(da&1){da=Rb()|0;ea=Q;Yua(e);fa=ea;ga=da;break}Yua(e);k[d>>2]=27468;k[W>>2]=27488;k[X>>2]=27560;Yua($);Ava(X);vva(W);da=f+56|0;ea=f+4|0;k[f>>2]=27524;k[da>>2]=27544;B=0;wa(508,f+56|0,ea|0);ha=B;B=0;if(ha&1){ha=Rb()|0;ia=Q;ja=ha;vva(da);Qb(ja|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[da>>2]=27488;B=0;va(448,ea|0);ha=B;B=0;do if(ha&1){ka=Rb()|0;la=Q;ma=ka}else{k[ea>>2]=27560;ka=f+36|0;k[ka>>2]=0;k[ka+4>>2]=0;k[ka+8>>2]=0;k[ka+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ea|0,c|0);na=B;B=0;if(na&1){na=Rb()|0;oa=Q;Yua(c);Yua(ka);Ava(ea);la=oa;ma=na;break}Yua(c);B=0;na=Ia(40,f|0,143238,8)|0;oa=B;B=0;do if(((!(oa&1)?(B=0,pa=Xa(242,na|0,k[a+8>>2]|0)|0,qa=B,B=0,!(qa&1)):0)?(B=0,Ia(40,pa|0,149177,1)|0,pa=B,B=0,!(pa&1)):0)?(B=0,wa(510,g|0,ea|0),pa=B,B=0,!(pa&1)):0){B=0;ya(424,g|0)|0;pa=B;B=0;if(pa&1){pa=Rb()|0;qa=Q;Yua(g);ra=qa;sa=pa;break}Yua(g);k[f>>2]=27468;k[da>>2]=27488;k[ea>>2]=27560;Yua(ka);Ava(ea);vva(da);pa=h+56|0;qa=h+4|0;k[h>>2]=27524;k[pa>>2]=27544;B=0;wa(508,h+56|0,qa|0);ta=B;B=0;if(ta&1){ta=Rb()|0;ua=Q;xa=ta;vva(pa);Qb(xa|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[pa>>2]=27488;B=0;va(448,qa|0);ta=B;B=0;do if(ta&1){za=Rb()|0;Aa=Q;Ba=za}else{k[qa>>2]=27560;za=h+36|0;k[za>>2]=0;k[za+4>>2]=0;k[za+8>>2]=0;k[za+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,qa|0,c|0);Ca=B;B=0;if(Ca&1){Ca=Rb()|0;Da=Q;Yua(c);Yua(za);Ava(qa);Aa=Da;Ba=Ca;break}Yua(c);B=0;Ca=Ia(40,h|0,79104,12)|0;Da=B;B=0;do if(Da&1)Ea=266;else{B=0;Fa=Sa(1,Ca|0,+(+p[a+16>>3]))|0;Ga=B;B=0;if(Ga&1){Ea=266;break}B=0;Ia(40,Fa|0,149177,1)|0;Fa=B;B=0;if(Fa&1){Ea=266;break}B=0;wa(510,i|0,qa|0);Fa=B;B=0;if(Fa&1){Ea=266;break}B=0;ya(424,i|0)|0;Fa=B;B=0;if(Fa&1){Fa=Rb()|0;Ga=Q;Yua(i);Ha=Ga;Ja=Fa;break}Yua(i);k[h>>2]=27468;k[pa>>2]=27488;k[qa>>2]=27560;Yua(za);Ava(qa);vva(pa);Fa=j+56|0;Ga=j+4|0;k[j>>2]=27524;k[Fa>>2]=27544;B=0;wa(508,j+56|0,Ga|0);Ka=B;B=0;if(Ka&1){Ka=Rb()|0;La=Q;Ma=Ka;vva(Fa);Qb(Ma|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[Fa>>2]=27488;B=0;va(448,Ga|0);Ka=B;B=0;do if(Ka&1){Na=Rb()|0;Oa=Q;Pa=Na}else{k[Ga>>2]=27560;Na=j+36|0;k[Na>>2]=0;k[Na+4>>2]=0;k[Na+8>>2]=0;k[Na+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ga|0,c|0);Qa=B;B=0;if(Qa&1){Qa=Rb()|0;Ra=Q;Yua(c);Yua(Na);Ava(Ga);Oa=Ra;Pa=Qa;break}Yua(c);B=0;Qa=Ia(40,j|0,79117,14)|0;Ra=B;B=0;do if(Ra&1)Ea=269;else{B=0;Ta=Sa(1,Qa|0,+(+p[a+24>>3]))|0;Ua=B;B=0;if(Ua&1){Ea=269;break}B=0;Ia(40,Ta|0,149177,1)|0;Ta=B;B=0;if(Ta&1){Ea=269;break}B=0;wa(510,l|0,Ga|0);Ta=B;B=0;if(Ta&1){Ea=269;break}B=0;ya(424,l|0)|0;Ta=B;B=0;if(Ta&1){Ta=Rb()|0;Ua=Q;Yua(l);Va=Ua;Wa=Ta;break}Yua(l);k[j>>2]=27468;k[Fa>>2]=27488;k[Ga>>2]=27560;Yua(Na);Ava(Ga);vva(Fa);Ta=m+56|0;Ua=m+4|0;k[m>>2]=27524;k[Ta>>2]=27544;B=0;wa(508,m+56|0,Ua|0);Ya=B;B=0;if(Ya&1){Ya=Rb()|0;Za=Q;_a=Ya;vva(Ta);Qb(_a|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[Ta>>2]=27488;B=0;va(448,Ua|0);Ya=B;B=0;do if(Ya&1){$a=Rb()|0;ab=Q;bb=$a}else{k[Ua>>2]=27560;$a=m+36|0;k[$a>>2]=0;k[$a+4>>2]=0;k[$a+8>>2]=0;k[$a+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ua|0,c|0);cb=B;B=0;if(cb&1){cb=Rb()|0;db=Q;Yua(c);Yua($a);Ava(Ua);ab=db;bb=cb;break}Yua(c);B=0;cb=Ia(40,m|0,79132,19)|0;db=B;B=0;do if(db&1)Ea=272;else{B=0;eb=Sa(1,cb|0,+(+p[a+32>>3]))|0;fb=B;B=0;if(fb&1){Ea=272;break}B=0;Ia(40,eb|0,149177,1)|0;eb=B;B=0;if(eb&1){Ea=272;break}B=0;wa(510,n|0,Ua|0);eb=B;B=0;if(eb&1){Ea=272;break}B=0;ya(424,n|0)|0;eb=B;B=0;if(eb&1){eb=Rb()|0;fb=Q;Yua(n);gb=fb;hb=eb;break}Yua(n);k[m>>2]=27468;k[Ta>>2]=27488;k[Ua>>2]=27560;Yua($a);Ava(Ua);vva(Ta);eb=o+56|0;fb=o+4|0;k[o>>2]=27524;k[eb>>2]=27544;B=0;wa(508,o+56|0,fb|0);ib=B;B=0;if(ib&1){ib=Rb()|0;jb=Q;kb=ib;vva(eb);Qb(kb|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[eb>>2]=27488;B=0;va(448,fb|0);ib=B;B=0;do if(ib&1){lb=Rb()|0;mb=Q;nb=lb}else{k[fb>>2]=27560;lb=o+36|0;k[lb>>2]=0;k[lb+4>>2]=0;k[lb+8>>2]=0;k[lb+12>>2]=0;k[o+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,fb|0,c|0);ob=B;B=0;if(ob&1){ob=Rb()|0;pb=Q;Yua(c);Yua(lb);Ava(fb);mb=pb;nb=ob;break}Yua(c);B=0;ob=Ia(40,o|0,79152,13)|0;pb=B;B=0;do if(pb&1)Ea=275;else{B=0;qb=Sa(1,ob|0,+(+p[a+40>>3]))|0;rb=B;B=0;if(rb&1){Ea=275;break}B=0;Ia(40,qb|0,149177,1)|0;qb=B;B=0;if(qb&1){Ea=275;break}B=0;wa(510,q|0,fb|0);qb=B;B=0;if(qb&1){Ea=275;break}B=0;ya(424,q|0)|0;qb=B;B=0;if(qb&1){qb=Rb()|0;rb=Q;Yua(q);sb=rb;tb=qb;break}Yua(q);k[o>>2]=27468;k[eb>>2]=27488;k[fb>>2]=27560;Yua(lb);Ava(fb);vva(eb);qb=s+56|0;rb=s+4|0;k[s>>2]=27524;k[qb>>2]=27544;B=0;wa(508,s+56|0,rb|0);ub=B;B=0;if(ub&1){ub=Rb()|0;vb=Q;wb=ub;vva(qb);Qb(wb|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[qb>>2]=27488;B=0;va(448,rb|0);ub=B;B=0;do if(ub&1){xb=Rb()|0;yb=Q;zb=xb}else{k[rb>>2]=27560;xb=s+36|0;k[xb>>2]=0;k[xb+4>>2]=0;k[xb+8>>2]=0;k[xb+12>>2]=0;k[s+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,rb|0,c|0);Ab=B;B=0;if(Ab&1){Ab=Rb()|0;Bb=Q;Yua(c);Yua(xb);Ava(rb);yb=Bb;zb=Ab;break}Yua(c);B=0;Ab=Ia(40,s|0,79166,17)|0;Bb=B;B=0;do if(Bb&1)Ea=278;else{B=0;Cb=Sa(1,Ab|0,+(+p[a+48>>3]))|0;Db=B;B=0;if(Db&1){Ea=278;break}B=0;Ia(40,Cb|0,149177,1)|0;Cb=B;B=0;if(Cb&1){Ea=278;break}B=0;wa(510,t|0,rb|0);Cb=B;B=0;if(Cb&1){Ea=278;break}B=0;ya(424,t|0)|0;Cb=B;B=0;if(Cb&1){Cb=Rb()|0;Db=Q;Yua(t);Eb=Db;Fb=Cb;break}Yua(t);k[s>>2]=27468;k[qb>>2]=27488;k[rb>>2]=27560;Yua(xb);Ava(rb);vva(qb);Cb=u+56|0;Db=u+4|0;k[u>>2]=27524;k[Cb>>2]=27544;B=0;wa(508,u+56|0,Db|0);Gb=B;B=0;if(Gb&1){Gb=Rb()|0;Hb=Q;Ib=Gb;vva(Cb);Qb(Ib|0)}k[u+128>>2]=0;k[u+132>>2]=-1;k[u>>2]=27468;k[Cb>>2]=27488;B=0;va(448,Db|0);Gb=B;B=0;do if(Gb&1){Jb=Rb()|0;Kb=Q;Lb=Jb}else{k[Db>>2]=27560;Jb=u+36|0;k[Jb>>2]=0;k[Jb+4>>2]=0;k[Jb+8>>2]=0;k[Jb+12>>2]=0;k[u+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Db|0,c|0);Mb=B;B=0;if(Mb&1){Mb=Rb()|0;Nb=Q;Yua(c);Yua(Jb);Ava(Db);Kb=Nb;Lb=Mb;break}Yua(c);B=0;Mb=Ia(40,u|0,79184,24)|0;Nb=B;B=0;do if(Nb&1)Ea=281;else{B=0;Ob=Sa(1,Mb|0,+(+p[a+56>>3]))|0;Pb=B;B=0;if(Pb&1){Ea=281;break}B=0;Ia(40,Ob|0,149177,1)|0;Ob=B;B=0;if(Ob&1){Ea=281;break}B=0;wa(510,v|0,Db|0);Ob=B;B=0;if(Ob&1){Ea=281;break}B=0;ya(424,v|0)|0;Ob=B;B=0;if(Ob&1){Ob=Rb()|0;Pb=Q;Yua(v);Sb=Pb;Tb=Ob;break}Yua(v);k[u>>2]=27468;k[Cb>>2]=27488;k[Db>>2]=27560;Yua(Jb);Ava(Db);vva(Cb);Ob=w+56|0;Pb=w+4|0;k[w>>2]=27524;k[Ob>>2]=27544;B=0;wa(508,w+56|0,Pb|0);Ub=B;B=0;if(Ub&1){Ub=Rb()|0;Vb=Q;Wb=Ub;vva(Ob);Qb(Wb|0)}k[w+128>>2]=0;k[w+132>>2]=-1;k[w>>2]=27468;k[Ob>>2]=27488;B=0;va(448,Pb|0);Ub=B;B=0;do if(Ub&1){Xb=Rb()|0;Yb=Q;Zb=Xb}else{k[Pb>>2]=27560;Xb=w+36|0;k[Xb>>2]=0;k[Xb+4>>2]=0;k[Xb+8>>2]=0;k[Xb+12>>2]=0;k[w+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Pb|0,c|0);_b=B;B=0;if(_b&1){_b=Rb()|0;$b=Q;Yua(c);Yua(Xb);Ava(Pb);Yb=$b;Zb=_b;break}Yua(c);B=0;_b=Ia(40,w|0,79209,29)|0;$b=B;B=0;do if($b&1)Ea=284;else{B=0;ac=Sa(1,_b|0,+(+p[a+64>>3]))|0;bc=B;B=0;if(bc&1){Ea=284;break}B=0;Ia(40,ac|0,149177,1)|0;ac=B;B=0;if(ac&1){Ea=284;break}B=0;wa(510,x|0,Pb|0);ac=B;B=0;if(ac&1){Ea=284;break}B=0;ya(424,x|0)|0;ac=B;B=0;if(ac&1){ac=Rb()|0;bc=Q;Yua(x);cc=bc;dc=ac;break}Yua(x);k[w>>2]=27468;k[Ob>>2]=27488;k[Pb>>2]=27560;Yua(Xb);Ava(Pb);vva(Ob);ac=y+56|0;bc=y+4|0;k[y>>2]=27524;k[ac>>2]=27544;B=0;wa(508,y+56|0,bc|0);ec=B;B=0;if(ec&1){ec=Rb()|0;fc=Q;gc=ec;vva(ac);Qb(gc|0)}k[y+128>>2]=0;k[y+132>>2]=-1;k[y>>2]=27468;k[ac>>2]=27488;B=0;va(448,bc|0);ec=B;B=0;do if(ec&1){hc=Rb()|0;ic=Q;jc=hc}else{k[bc>>2]=27560;hc=y+36|0;k[hc>>2]=0;k[hc+4>>2]=0;k[hc+8>>2]=0;k[hc+12>>2]=0;k[y+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,bc|0,c|0);kc=B;B=0;if(kc&1){kc=Rb()|0;lc=Q;Yua(c);Yua(hc);Ava(bc);ic=lc;jc=kc;break}Yua(c);B=0;kc=Ia(40,y|0,79239,15)|0;lc=B;B=0;do if(lc&1)Ea=287;else{B=0;mc=Sa(1,kc|0,+(+p[a+72>>3]))|0;nc=B;B=0;if(nc&1){Ea=287;break}B=0;Ia(40,mc|0,149177,1)|0;mc=B;B=0;if(mc&1){Ea=287;break}B=0;wa(510,z|0,bc|0);mc=B;B=0;if(mc&1){Ea=287;break}B=0;ya(424,z|0)|0;mc=B;B=0;if(mc&1){mc=Rb()|0;nc=Q;Yua(z);oc=nc;pc=mc;break}Yua(z);k[y>>2]=27468;k[ac>>2]=27488;k[bc>>2]=27560;Yua(hc);Ava(bc);vva(ac);mc=A+56|0;nc=A+4|0;k[A>>2]=27524;k[mc>>2]=27544;B=0;wa(508,A+56|0,nc|0);qc=B;B=0;if(qc&1){qc=Rb()|0;rc=Q;sc=qc;vva(mc);Qb(sc|0)}k[A+128>>2]=0;k[A+132>>2]=-1;k[A>>2]=27468;k[mc>>2]=27488;B=0;va(448,nc|0);qc=B;B=0;do if(qc&1){tc=Rb()|0;uc=Q;vc=tc}else{k[nc>>2]=27560;tc=A+36|0;k[tc>>2]=0;k[tc+4>>2]=0;k[tc+8>>2]=0;k[tc+12>>2]=0;k[A+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,nc|0,c|0);wc=B;B=0;if(wc&1){wc=Rb()|0;xc=Q;Yua(c);Yua(tc);Ava(nc);uc=xc;vc=wc;break}Yua(c);B=0;wc=Ia(40,A|0,79255,9)|0;xc=B;B=0;do if(xc&1)Ea=290;else{B=0;yc=Sa(1,wc|0,+(+p[a+80>>3]))|0;zc=B;B=0;if(zc&1){Ea=290;break}B=0;Ia(40,yc|0,149177,1)|0;yc=B;B=0;if(yc&1){Ea=290;break}B=0;wa(510,C|0,nc|0);yc=B;B=0;if(yc&1){Ea=290;break}B=0;ya(424,C|0)|0;yc=B;B=0;if(yc&1){yc=Rb()|0;zc=Q;Yua(C);Ac=zc;Bc=yc;break}Yua(C);k[A>>2]=27468;k[mc>>2]=27488;k[nc>>2]=27560;Yua(tc);Ava(nc);vva(mc);yc=D+56|0;zc=D+4|0;k[D>>2]=27524;k[yc>>2]=27544;B=0;wa(508,D+56|0,zc|0);Cc=B;B=0;if(Cc&1){Cc=Rb()|0;Dc=Q;Ec=Cc;vva(yc);Qb(Ec|0)}k[D+128>>2]=0;k[D+132>>2]=-1;k[D>>2]=27468;k[yc>>2]=27488;B=0;va(448,zc|0);Cc=B;B=0;do if(Cc&1){Fc=Rb()|0;Gc=Q;Hc=Fc}else{k[zc>>2]=27560;Fc=D+36|0;k[Fc>>2]=0;k[Fc+4>>2]=0;k[Fc+8>>2]=0;k[Fc+12>>2]=0;k[D+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,zc|0,c|0);Ic=B;B=0;if(Ic&1){Ic=Rb()|0;Jc=Q;Yua(c);Yua(Fc);Ava(zc);Gc=Jc;Hc=Ic;break}Yua(c);B=0;Ic=Ia(40,D|0,79265,17)|0;Jc=B;B=0;do if(Jc&1)Ea=293;else{B=0;Kc=Sa(1,Ic|0,+(+p[a+88>>3]))|0;Lc=B;B=0;if(Lc&1){Ea=293;break}B=0;Ia(40,Kc|0,149177,1)|0;Kc=B;B=0;if(Kc&1){Ea=293;break}B=0;wa(510,E|0,zc|0);Kc=B;B=0;if(Kc&1){Ea=293;break}B=0;ya(424,E|0)|0;Kc=B;B=0;if(Kc&1){Kc=Rb()|0;Lc=Q;Yua(E);Mc=Lc;Nc=Kc;break}Yua(E);k[D>>2]=27468;k[yc>>2]=27488;k[zc>>2]=27560;Yua(Fc);Ava(zc);vva(yc);Kc=F+56|0;Lc=F+4|0;k[F>>2]=27524;k[Kc>>2]=27544;B=0;wa(508,F+56|0,Lc|0);Oc=B;B=0;if(Oc&1){Oc=Rb()|0;Pc=Q;Qc=Oc;vva(Kc);Qb(Qc|0)}k[F+128>>2]=0;k[F+132>>2]=-1;k[F>>2]=27468;k[Kc>>2]=27488;B=0;va(448,Lc|0);Oc=B;B=0;do if(Oc&1){Rc=Rb()|0;Sc=Q;Tc=Rc}else{k[Lc>>2]=27560;Rc=F+36|0;k[Rc>>2]=0;k[Rc+4>>2]=0;k[Rc+8>>2]=0;k[Rc+12>>2]=0;k[F+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Lc|0,c|0);Uc=B;B=0;if(Uc&1){Uc=Rb()|0;Vc=Q;Yua(c);Yua(Rc);Ava(Lc);Sc=Vc;Tc=Uc;break}Yua(c);B=0;Uc=Ia(40,F|0,79283,25)|0;Vc=B;B=0;do if(Vc&1)Ea=296;else{B=0;Wc=Sa(1,Uc|0,+(+p[a+96>>3]))|0;Xc=B;B=0;if(Xc&1){Ea=296;break}B=0;Ia(40,Wc|0,149177,1)|0;Wc=B;B=0;if(Wc&1){Ea=296;break}B=0;wa(510,G|0,Lc|0);Wc=B;B=0;if(Wc&1){Ea=296;break}B=0;ya(424,G|0)|0;Wc=B;B=0;if(Wc&1){Wc=Rb()|0;Xc=Q;Yua(G);Yc=Xc;Zc=Wc;break}Yua(G);k[F>>2]=27468;k[Kc>>2]=27488;k[Lc>>2]=27560;Yua(Rc);Ava(Lc);vva(Kc);Wc=H+56|0;Xc=H+4|0;k[H>>2]=27524;k[Wc>>2]=27544;B=0;wa(508,H+56|0,Xc|0);_c=B;B=0;if(_c&1){_c=Rb()|0;$c=Q;ad=_c;vva(Wc);Qb(ad|0)}k[H+128>>2]=0;k[H+132>>2]=-1;k[H>>2]=27468;k[Wc>>2]=27488;B=0;va(448,Xc|0);_c=B;B=0;do if(_c&1){bd=Rb()|0;cd=Q;dd=bd}else{k[Xc>>2]=27560;bd=H+36|0;k[bd>>2]=0;k[bd+4>>2]=0;k[bd+8>>2]=0;k[bd+12>>2]=0;k[H+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Xc|0,c|0);ed=B;B=0;if(ed&1){ed=Rb()|0;fd=Q;Yua(c);Yua(bd);Ava(Xc);cd=fd;dd=ed;break}Yua(c);B=0;ed=Ia(40,H|0,79309,25)|0;fd=B;B=0;do if(fd&1)Ea=299;else{B=0;gd=Sa(1,ed|0,+(+p[a+104>>3]))|0;hd=B;B=0;if(hd&1){Ea=299;break}B=0;Ia(40,gd|0,149177,1)|0;gd=B;B=0;if(gd&1){Ea=299;break}B=0;wa(510,I|0,Xc|0);gd=B;B=0;if(gd&1){Ea=299;break}B=0;ya(424,I|0)|0;gd=B;B=0;if(gd&1){gd=Rb()|0;hd=Q;Yua(I);id=hd;jd=gd;break}Yua(I);k[H>>2]=27468;k[Wc>>2]=27488;k[Xc>>2]=27560;Yua(bd);Ava(Xc);vva(Wc);gd=J+56|0;hd=J+4|0;k[J>>2]=27524;k[gd>>2]=27544;B=0;wa(508,J+56|0,hd|0);kd=B;B=0;if(kd&1){kd=Rb()|0;ld=Q;md=kd;vva(gd);Qb(md|0)}k[J+128>>2]=0;k[J+132>>2]=-1;k[J>>2]=27468;k[gd>>2]=27488;B=0;va(448,hd|0);kd=B;B=0;do if(kd&1){nd=Rb()|0;od=Q;pd=nd}else{k[hd>>2]=27560;nd=J+36|0;k[nd>>2]=0;k[nd+4>>2]=0;k[nd+8>>2]=0;k[nd+12>>2]=0;k[J+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,hd|0,c|0);qd=B;B=0;if(qd&1){qd=Rb()|0;rd=Q;Yua(c);Yua(nd);Ava(hd);od=rd;pd=qd;break}Yua(c);B=0;qd=Ia(40,J|0,79335,30)|0;rd=B;B=0;do if(rd&1)Ea=302;else{B=0;sd=Sa(1,qd|0,+(+p[a+112>>3]))|0;td=B;B=0;if(td&1){Ea=302;break}B=0;Ia(40,sd|0,149177,1)|0;sd=B;B=0;if(sd&1){Ea=302;break}B=0;wa(510,K|0,hd|0);sd=B;B=0;if(sd&1){Ea=302;break}B=0;ya(424,K|0)|0;sd=B;B=0;if(sd&1){sd=Rb()|0;td=Q;Yua(K);ud=td;vd=sd;break}Yua(K);k[J>>2]=27468;k[gd>>2]=27488;k[hd>>2]=27560;Yua(nd);Ava(hd);vva(gd);sd=L+56|0;td=L+4|0;k[L>>2]=27524;k[sd>>2]=27544;B=0;wa(508,L+56|0,td|0);wd=B;B=0;if(wd&1){wd=Rb()|0;xd=Q;yd=wd;vva(sd);Qb(yd|0)}k[L+128>>2]=0;k[L+132>>2]=-1;k[L>>2]=27468;k[sd>>2]=27488;B=0;va(448,td|0);wd=B;B=0;do if(wd&1){zd=Rb()|0;Ad=Q;Bd=zd}else{k[td>>2]=27560;zd=L+36|0;k[zd>>2]=0;k[zd+4>>2]=0;k[zd+8>>2]=0;k[zd+12>>2]=0;k[L+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,td|0,c|0);Cd=B;B=0;if(Cd&1){Cd=Rb()|0;Dd=Q;Yua(c);Yua(zd);Ava(td);Ad=Dd;Bd=Cd;break}Yua(c);B=0;Cd=Ia(40,L|0,79366,6)|0;Dd=B;B=0;do if(Dd&1)Ea=305;else{B=0;Ed=Sa(1,Cd|0,+(+p[a+120>>3]))|0;Fd=B;B=0;if(Fd&1){Ea=305;break}B=0;Ia(40,Ed|0,149177,1)|0;Ed=B;B=0;if(Ed&1){Ea=305;break}B=0;wa(510,M|0,td|0);Ed=B;B=0;if(Ed&1){Ea=305;break}B=0;ya(424,M|0)|0;Ed=B;B=0;if(Ed&1){Ed=Rb()|0;Fd=Q;Yua(M);Gd=Fd;Hd=Ed;break}Yua(M);k[L>>2]=27468;k[sd>>2]=27488;k[td>>2]=27560;Yua(zd);Ava(td);vva(sd);Ed=N+56|0;Fd=N+4|0;k[N>>2]=27524;k[Ed>>2]=27544;B=0;wa(508,N+56|0,Fd|0);Id=B;B=0;if(Id&1){Id=Rb()|0;Jd=Q;Kd=Id;vva(Ed);Qb(Kd|0)}k[N+128>>2]=0;k[N+132>>2]=-1;k[N>>2]=27468;k[Ed>>2]=27488;B=0;va(448,Fd|0);Id=B;B=0;do if(Id&1){Ld=Rb()|0;Md=Q;Nd=Ld}else{k[Fd>>2]=27560;Ld=N+36|0;k[Ld>>2]=0;k[Ld+4>>2]=0;k[Ld+8>>2]=0;k[Ld+12>>2]=0;k[N+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Fd|0,c|0);Od=B;B=0;if(Od&1){Od=Rb()|0;Pd=Q;Yua(c);Yua(Ld);Ava(Fd);Md=Pd;Nd=Od;break}Yua(c);B=0;Od=Ia(40,N|0,79373,11)|0;Pd=B;B=0;do if(Pd&1)Ea=308;else{B=0;Qd=Sa(1,Od|0,+(+p[a+136>>3]))|0;Rd=B;B=0;if(Rd&1){Ea=308;break}B=0;Ia(40,Qd|0,149177,1)|0;Qd=B;B=0;if(Qd&1){Ea=308;break}B=0;wa(510,O|0,Fd|0);Qd=B;B=0;if(Qd&1){Ea=308;break}B=0;ya(424,O|0)|0;Qd=B;B=0;if(Qd&1){Qd=Rb()|0;Rd=Q;Yua(O);Sd=Rd;Td=Qd;break}Yua(O);k[N>>2]=27468;k[Ed>>2]=27488;k[Fd>>2]=27560;Yua(Ld);Ava(Fd);vva(Ed);Qd=P+56|0;Rd=P+4|0;k[P>>2]=27524;k[Qd>>2]=27544;B=0;wa(508,P+56|0,Rd|0);Ud=B;B=0;if(Ud&1){Ud=Rb()|0;Vd=Q;Wd=Ud;vva(Qd);Qb(Wd|0)}k[P+128>>2]=0;k[P+132>>2]=-1;k[P>>2]=27468;k[Qd>>2]=27488;B=0;va(448,Rd|0);Ud=B;B=0;do if(Ud&1){Xd=Rb()|0;Yd=Q;Zd=Xd}else{k[Rd>>2]=27560;Xd=P+36|0;k[Xd>>2]=0;k[Xd+4>>2]=0;k[Xd+8>>2]=0;k[Xd+12>>2]=0;k[P+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Rd|0,c|0);_d=B;B=0;if(_d&1){_d=Rb()|0;$d=Q;Yua(c);Yua(Xd);Ava(Rd);Yd=$d;Zd=_d;break}Yua(c);B=0;_d=Ia(40,P|0,79385,10)|0;$d=B;B=0;do if($d&1)Ea=311;else{B=0;ae=Sa(1,_d|0,+(+p[a+144>>3]))|0;be=B;B=0;if(be&1){Ea=311;break}B=0;Ia(40,ae|0,149177,1)|0;ae=B;B=0;if(ae&1){Ea=311;break}B=0;wa(510,R|0,Rd|0);ae=B;B=0;if(ae&1){Ea=311;break}B=0;ya(424,R|0)|0;ae=B;B=0;if(ae&1){ae=Rb()|0;be=Q;Yua(R);ce=be;de=ae;break}Yua(R);k[P>>2]=27468;k[Qd>>2]=27488;k[Rd>>2]=27560;Yua(Xd);Ava(Rd);vva(Qd);ae=S+56|0;be=S+4|0;k[S>>2]=27524;k[ae>>2]=27544;B=0;wa(508,S+56|0,be|0);ee=B;B=0;if(ee&1){ee=Rb()|0;fe=Q;ge=ee;vva(ae);Qb(ge|0)}k[S+128>>2]=0;k[S+132>>2]=-1;k[S>>2]=27468;k[ae>>2]=27488;B=0;va(448,be|0);ee=B;B=0;do if(ee&1){he=Rb()|0;ie=Q;je=he}else{k[be>>2]=27560;he=S+36|0;k[he>>2]=0;k[he+4>>2]=0;k[he+8>>2]=0;k[he+12>>2]=0;k[S+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,be|0,c|0);ke=B;B=0;if(ke&1){ke=Rb()|0;le=Q;Yua(c);Yua(he);Ava(be);ie=le;je=ke;break}Yua(c);B=0;ke=Ia(40,S|0,79396,13)|0;le=B;B=0;do if(le&1)Ea=314;else{B=0;me=Sa(1,ke|0,+(+p[a+152>>3]))|0;ne=B;B=0;if(ne&1){Ea=314;break}B=0;Ia(40,me|0,149177,1)|0;me=B;B=0;if(me&1){Ea=314;break}B=0;wa(510,T|0,be|0);me=B;B=0;if(me&1){Ea=314;break}B=0;ya(424,T|0)|0;me=B;B=0;if(me&1){me=Rb()|0;ne=Q;Yua(T);oe=ne;pe=me;break}Yua(T);k[S>>2]=27468;k[ae>>2]=27488;k[be>>2]=27560;Yua(he);Ava(be);vva(ae);me=U+56|0;ne=U+4|0;k[U>>2]=27524;k[me>>2]=27544;B=0;wa(508,U+56|0,ne|0);qe=B;B=0;if(qe&1){qe=Rb()|0;re=Q;se=qe;vva(me);Qb(se|0)}k[U+128>>2]=0;k[U+132>>2]=-1;k[U>>2]=27468;k[me>>2]=27488;B=0;va(448,ne|0);qe=B;B=0;do if(qe&1){te=Rb()|0;ue=Q;ve=te}else{k[ne>>2]=27560;te=U+36|0;k[te>>2]=0;k[te+4>>2]=0;k[te+8>>2]=0;k[te+12>>2]=0;k[U+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ne|0,c|0);we=B;B=0;if(we&1){we=Rb()|0;xe=Q;Yua(c);Yua(te);Ava(ne);ue=xe;ve=we;break}Yua(c);B=0;we=Ia(40,U|0,79410,12)|0;xe=B;B=0;do if(!(xe&1)){B=0;ye=Sa(1,we|0,+(+p[a+160>>3]))|0;ze=B;B=0;if(ze&1){Ea=317;break}B=0;Ia(40,ye|0,149177,1)|0;ye=B;B=0;if(ye&1){Ea=317;break}B=0;wa(510,V|0,ne|0);ye=B;B=0;if(ye&1){Ea=317;break}B=0;ya(424,V|0)|0;ye=B;B=0;if(ye&1){ye=Rb()|0;ze=Q;Yua(V);Ae=ze;Be=ye;break}else{Yua(V);k[U>>2]=27468;k[me>>2]=27488;k[ne>>2]=27560;Yua(te);Ava(ne);vva(me);r=b;return}}else Ea=317;while(0);if((Ea|0)==317){we=Rb()|0;Ae=Q;Be=we}k[U>>2]=27468;k[me>>2]=27488;k[ne>>2]=27560;Yua(te);Ava(ne);vva(me);Ce=Ae;De=Be;Qb(De|0)}while(0);re=ue;se=ve;vva(me);Qb(se|0)}while(0);if((Ea|0)==314){ke=Rb()|0;oe=Q;pe=ke}k[S>>2]=27468;k[ae>>2]=27488;k[be>>2]=27560;Yua(he);Ava(be);vva(ae);Ce=oe;De=pe;Qb(De|0)}while(0);fe=ie;ge=je;vva(ae);Qb(ge|0)}while(0);if((Ea|0)==311){_d=Rb()|0;ce=Q;de=_d}k[P>>2]=27468;k[Qd>>2]=27488;k[Rd>>2]=27560;Yua(Xd);Ava(Rd);vva(Qd);Ce=ce;De=de;Qb(De|0)}while(0);Vd=Yd;Wd=Zd;vva(Qd);Qb(Wd|0)}while(0);if((Ea|0)==308){Od=Rb()|0;Sd=Q;Td=Od}k[N>>2]=27468;k[Ed>>2]=27488;k[Fd>>2]=27560;Yua(Ld);Ava(Fd);vva(Ed);Ce=Sd;De=Td;Qb(De|0)}while(0);Jd=Md;Kd=Nd;vva(Ed);Qb(Kd|0)}while(0);if((Ea|0)==305){Cd=Rb()|0;Gd=Q;Hd=Cd}k[L>>2]=27468;k[sd>>2]=27488;k[td>>2]=27560;Yua(zd);Ava(td);vva(sd);Ce=Gd;De=Hd;Qb(De|0)}while(0);xd=Ad;yd=Bd;vva(sd);Qb(yd|0)}while(0);if((Ea|0)==302){qd=Rb()|0;ud=Q;vd=qd}k[J>>2]=27468;k[gd>>2]=27488;k[hd>>2]=27560;Yua(nd);Ava(hd);vva(gd);Ce=ud;De=vd;Qb(De|0)}while(0);ld=od;md=pd;vva(gd);Qb(md|0)}while(0);if((Ea|0)==299){ed=Rb()|0;id=Q;jd=ed}k[H>>2]=27468;k[Wc>>2]=27488;k[Xc>>2]=27560;Yua(bd);Ava(Xc);vva(Wc);Ce=id;De=jd;Qb(De|0)}while(0);$c=cd;ad=dd;vva(Wc);Qb(ad|0)}while(0);if((Ea|0)==296){Uc=Rb()|0;Yc=Q;Zc=Uc}k[F>>2]=27468;k[Kc>>2]=27488;k[Lc>>2]=27560;Yua(Rc);Ava(Lc);vva(Kc);Ce=Yc;De=Zc;Qb(De|0)}while(0);Pc=Sc;Qc=Tc;vva(Kc);Qb(Qc|0)}while(0);if((Ea|0)==293){Ic=Rb()|0;Mc=Q;Nc=Ic}k[D>>2]=27468;k[yc>>2]=27488;k[zc>>2]=27560;Yua(Fc);Ava(zc);vva(yc);Ce=Mc;De=Nc;Qb(De|0)}while(0);Dc=Gc;Ec=Hc;vva(yc);Qb(Ec|0)}while(0);if((Ea|0)==290){wc=Rb()|0;Ac=Q;Bc=wc}k[A>>2]=27468;k[mc>>2]=27488;k[nc>>2]=27560;Yua(tc);Ava(nc);vva(mc);Ce=Ac;De=Bc;Qb(De|0)}while(0);rc=uc;sc=vc;vva(mc);Qb(sc|0)}while(0);if((Ea|0)==287){kc=Rb()|0;oc=Q;pc=kc}k[y>>2]=27468;k[ac>>2]=27488;k[bc>>2]=27560;Yua(hc);Ava(bc);vva(ac);Ce=oc;De=pc;Qb(De|0)}while(0);fc=ic;gc=jc;vva(ac);Qb(gc|0)}while(0);if((Ea|0)==284){_b=Rb()|0;cc=Q;dc=_b}k[w>>2]=27468;k[Ob>>2]=27488;k[Pb>>2]=27560;Yua(Xb);Ava(Pb);vva(Ob);Ce=cc;De=dc;Qb(De|0)}while(0);Vb=Yb;Wb=Zb;vva(Ob);Qb(Wb|0)}while(0);if((Ea|0)==281){Mb=Rb()|0;Sb=Q;Tb=Mb}k[u>>2]=27468;k[Cb>>2]=27488;k[Db>>2]=27560;Yua(Jb);Ava(Db);vva(Cb);Ce=Sb;De=Tb;Qb(De|0)}while(0);Hb=Kb;Ib=Lb;vva(Cb);Qb(Ib|0)}while(0);if((Ea|0)==278){Ab=Rb()|0;Eb=Q;Fb=Ab}k[s>>2]=27468;k[qb>>2]=27488;k[rb>>2]=27560;Yua(xb);Ava(rb);vva(qb);Ce=Eb;De=Fb;Qb(De|0)}while(0);vb=yb;wb=zb;vva(qb);Qb(wb|0)}while(0);if((Ea|0)==275){ob=Rb()|0;sb=Q;tb=ob}k[o>>2]=27468;k[eb>>2]=27488;k[fb>>2]=27560;Yua(lb);Ava(fb);vva(eb);Ce=sb;De=tb;Qb(De|0)}while(0);jb=mb;kb=nb;vva(eb);Qb(kb|0)}while(0);if((Ea|0)==272){cb=Rb()|0;gb=Q;hb=cb}k[m>>2]=27468;k[Ta>>2]=27488;k[Ua>>2]=27560;Yua($a);Ava(Ua);vva(Ta);Ce=gb;De=hb;Qb(De|0)}while(0);Za=ab;_a=bb;vva(Ta);Qb(_a|0)}while(0);if((Ea|0)==269){Qa=Rb()|0;Va=Q;Wa=Qa}k[j>>2]=27468;k[Fa>>2]=27488;k[Ga>>2]=27560;Yua(Na);Ava(Ga);vva(Fa);Ce=Va;De=Wa;Qb(De|0)}while(0);La=Oa;Ma=Pa;vva(Fa);Qb(Ma|0)}while(0);if((Ea|0)==266){Ca=Rb()|0;Ha=Q;Ja=Ca}k[h>>2]=27468;k[pa>>2]=27488;k[qa>>2]=27560;Yua(za);Ava(qa);vva(pa);Ce=Ha;De=Ja;Qb(De|0)}while(0);ua=Aa;xa=Ba;vva(pa);Qb(xa|0)}else Ea=263;while(0);if((Ea|0)==263){na=Rb()|0;ra=Q;sa=na}k[f>>2]=27468;k[da>>2]=27488;k[ea>>2]=27560;Yua(ka);Ava(ea);vva(da);Ce=ra;De=sa;Qb(De|0)}while(0);ia=la;ja=ma;vva(da);Qb(ja|0)}else Ea=260;while(0);if((Ea|0)==260){ca=Rb()|0;fa=Q;ga=ca}k[d>>2]=27468;k[W>>2]=27488;k[X>>2]=27560;Yua($);Ava(X);vva(W);Ce=fa;De=ga;Qb(De|0)}while(0);Z=aa;_=ba;vva(W);Qb(_|0)}function FJ(a){a=a|0;Ec[k[(k[a>>2]|0)+8>>2]&1023](a);return}function GJ(a){a=a|0;return k[a+8>>2]|0}function HJ(a){a=a|0;return 586}function IJ(a){a=a|0;var b=0,c=0,d=0;b=Qqa(376)|0;k[b>>2]=33700;k[b+4>>2]=33864;c=b+8|0;d=a+8|0;TEa(c|0,d|0,368)|0;k[c>>2]=k[d>>2];p[b+16>>3]=+p[a+16>>3];p[b+24>>3]=+p[a+24>>3];p[b+32>>3]=+p[a+32>>3];p[b+40>>3]=+p[a+40>>3];p[b+48>>3]=+p[a+48>>3];p[b+56>>3]=+p[a+56>>3];p[b+64>>3]=+p[a+64>>3];p[b+72>>3]=+p[a+72>>3];p[b+80>>3]=+p[a+80>>3];p[b+88>>3]=+p[a+88>>3];p[b+96>>3]=+p[a+96>>3];p[b+104>>3]=+p[a+104>>3];p[b+112>>3]=+p[a+112>>3];p[b+120>>3]=+p[a+120>>3];p[b+136>>3]=+p[a+136>>3];p[b+144>>3]=+p[a+144>>3];p[b+152>>3]=+p[a+152>>3];p[b+160>>3]=+p[a+160>>3];p[b+184>>3]=+p[a+184>>3];p[b+192>>3]=+p[a+192>>3];p[b+200>>3]=+p[a+200>>3];p[b+208>>3]=+p[a+208>>3];p[b+216>>3]=+p[a+216>>3];p[b+224>>3]=+p[a+224>>3];p[b+232>>3]=+p[a+232>>3];p[b+240>>3]=+p[a+240>>3];p[b+248>>3]=+p[a+248>>3];p[b+256>>3]=+p[a+256>>3];p[b+264>>3]=+p[a+264>>3];p[b+272>>3]=+p[a+272>>3];p[b+280>>3]=+p[a+280>>3];p[b+288>>3]=+p[a+288>>3];p[b+296>>3]=+p[a+296>>3];return b|0}function JJ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;switch(d|0){case 0:{d=k[b>>2]|0;i[d>>0]=74;i[d+1>>0]=2;i[d+2>>0]=0;i[d+3>>0]=0;d=(k[b>>2]|0)+4|0;k[b>>2]=d;n=a+8|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;d=a+16|0;n=d;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d+4|0;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o;o=n;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=n+4|0;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+24|0;n=q;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=q+4|0;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d;d=n;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=n+4|0;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=(k[b>>2]|0)+8|0;k[b>>2]=q;o=a+32|0;n=o;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=q;q=n;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=n+4|0;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+8|0;k[b>>2]=o;d=a+40|0;n=d;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d+4|0;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o;o=n;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=n+4|0;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+48|0;n=q;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=q+4|0;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d;d=n;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=n+4|0;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=(k[b>>2]|0)+8|0;k[b>>2]=q;o=a+56|0;n=o;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=q;q=n;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=n+4|0;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+8|0;k[b>>2]=o;d=a+64|0;n=d;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d+4|0;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o;o=n;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=n+4|0;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+72|0;n=q;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=q+4|0;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d;d=n;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=n+4|0;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=(k[b>>2]|0)+8|0;k[b>>2]=q;o=a+80|0;n=o;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=q;q=n;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=n+4|0;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+8|0;k[b>>2]=o;d=a+88|0;n=d;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d+4|0;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o;o=n;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=n+4|0;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+96|0;n=q;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=q+4|0;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d;d=n;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=n+4|0;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=(k[b>>2]|0)+8|0;k[b>>2]=q;o=a+104|0;n=o;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=q;q=n;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=n+4|0;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+8|0;k[b>>2]=o;d=a+112|0;n=d;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d+4|0;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o;o=n;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=n+4|0;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+120|0;n=q;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=q+4|0;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d;d=n;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=n+4|0;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=(k[b>>2]|0)+8|0;k[b>>2]=q;o=a+128|0;n=o;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=q;q=n;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=n+4|0;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+8|0;k[b>>2]=o;d=a+136|0;n=d;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d+4|0;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o;o=n;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=n+4|0;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+144|0;n=q;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=q+4|0;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d;d=n;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=n+4|0;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=(k[b>>2]|0)+8|0;k[b>>2]=q;o=a+152|0;n=o;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=q;q=n;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=n+4|0;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+8|0;k[b>>2]=o;d=a+160|0;n=d;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d+4|0;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o;o=n;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=n+4|0;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+184|0;n=q;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=q+4|0;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d;d=n;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=n+4|0;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=(k[b>>2]|0)+8|0;k[b>>2]=q;o=a+192|0;n=o;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=q;q=n;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=n+4|0;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+8|0;k[b>>2]=o;d=a+200|0;n=d;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d+4|0;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o;o=n;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=n+4|0;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+208|0;n=q;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=q+4|0;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d;d=n;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=n+4|0;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=(k[b>>2]|0)+8|0;k[b>>2]=q;o=a+216|0;n=o;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=q;q=n;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=n+4|0;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+8|0;k[b>>2]=o;d=a+224|0;n=d;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d+4|0;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o;o=n;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=n+4|0;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+232|0;n=q;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=q+4|0;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d;d=n;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=n+4|0;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=(k[b>>2]|0)+8|0;k[b>>2]=q;o=a+240|0;n=o;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=q;q=n;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=n+4|0;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+8|0;k[b>>2]=o;d=a+248|0;n=d;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d+4|0;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o;o=n;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=n+4|0;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+256|0;n=q;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=q+4|0;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d;d=n;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=n+4|0;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=(k[b>>2]|0)+8|0;k[b>>2]=q;o=a+264|0;n=o;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=q;q=n;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=n+4|0;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+8|0;k[b>>2]=o;d=a+272|0;n=d;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d+4|0;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o;o=n;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=n+4|0;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+280|0;n=q;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=q+4|0;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d;d=n;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=n+4|0;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=(k[b>>2]|0)+8|0;k[b>>2]=q;o=a+288|0;n=o;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=q;q=n;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=n+4|0;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+8|0;k[b>>2]=o;d=a+296|0;n=d;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d+4|0;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o;o=n;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=n+4|0;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+304|0;n=q;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=q+4|0;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d;d=n;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=n+4|0;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=(k[b>>2]|0)+8|0;k[b>>2]=q;o=a+312|0;n=o;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=q;q=n;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=n+4|0;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+8|0;k[b>>2]=o;d=a+320|0;n=d;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d+4|0;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o;o=n;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=n+4|0;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+328|0;n=q;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=q+4|0;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d;d=n;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=n+4|0;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=(k[b>>2]|0)+8|0;k[b>>2]=q;o=a+336|0;n=o;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=q;q=n;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=n+4|0;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+8|0;k[b>>2]=o;d=a+344|0;n=d;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d+4|0;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o;o=n;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=n+4|0;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+352|0;n=q;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=q+4|0;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d;d=n;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=n+4|0;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=(k[b>>2]|0)+8|0;k[b>>2]=q;o=a+360|0;n=o;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=q;q=n;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;d=n+4|0;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+8|0;k[b>>2]=o;d=a+368|0;n=d;q=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=d+4|0;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;n=o;o=n;i[o>>0]=q;i[o+1>>0]=q>>8;i[o+2>>0]=q>>16;i[o+3>>0]=q>>24;q=n+4|0;i[q>>0]=d;i[q+1>>0]=d>>8;i[q+2>>0]=d>>16;i[q+3>>0]=d>>24;k[b>>2]=(k[b>>2]|0)+8;r=e;return}case 2:{k[c>>2]=(k[c>>2]|0)+352;r=e;return}case 1:{c=(k[b>>2]|0)+4|0;k[b>>2]=c;d=a+8|0;q=l[c>>0]|l[c+1>>0]<<8|l[c+2>>0]<<16|l[c+3>>0]<<24;i[d>>0]=q;i[d+1>>0]=q>>8;i[d+2>>0]=q>>16;i[d+3>>0]=q>>24;q=(k[b>>2]|0)+4|0;k[b>>2]=q;d=a+16|0;i[t>>0]=i[q>>0];i[t+1>>0]=i[q+1>>0];i[t+2>>0]=i[q+2>>0];i[t+3>>0]=i[q+3>>0];i[t+4>>0]=i[q+4>>0];i[t+5>>0]=i[q+5>>0];i[t+6>>0]=i[q+6>>0];i[t+7>>0]=i[q+7>>0];p[t>>3]=+p[t>>3];i[d>>0]=i[t>>0];i[d+1>>0]=i[t+1>>0];i[d+2>>0]=i[t+2>>0];i[d+3>>0]=i[t+3>>0];i[d+4>>0]=i[t+4>>0];i[d+5>>0]=i[t+5>>0];i[d+6>>0]=i[t+6>>0];i[d+7>>0]=i[t+7>>0];d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+24|0;i[t>>0]=i[d>>0];i[t+1>>0]=i[d+1>>0];i[t+2>>0]=i[d+2>>0];i[t+3>>0]=i[d+3>>0];i[t+4>>0]=i[d+4>>0];i[t+5>>0]=i[d+5>>0];i[t+6>>0]=i[d+6>>0];i[t+7>>0]=i[d+7>>0];p[t>>3]=+p[t>>3];i[q>>0]=i[t>>0];i[q+1>>0]=i[t+1>>0];i[q+2>>0]=i[t+2>>0];i[q+3>>0]=i[t+3>>0];i[q+4>>0]=i[t+4>>0];i[q+5>>0]=i[t+5>>0];i[q+6>>0]=i[t+6>>0];i[q+7>>0]=i[t+7>>0];q=(k[b>>2]|0)+8|0;k[b>>2]=q;d=a+32|0;i[t>>0]=i[q>>0];i[t+1>>0]=i[q+1>>0];i[t+2>>0]=i[q+2>>0];i[t+3>>0]=i[q+3>>0];i[t+4>>0]=i[q+4>>0];i[t+5>>0]=i[q+5>>0];i[t+6>>0]=i[q+6>>0];i[t+7>>0]=i[q+7>>0];p[t>>3]=+p[t>>3];i[d>>0]=i[t>>0];i[d+1>>0]=i[t+1>>0];i[d+2>>0]=i[t+2>>0];i[d+3>>0]=i[t+3>>0];i[d+4>>0]=i[t+4>>0];i[d+5>>0]=i[t+5>>0];i[d+6>>0]=i[t+6>>0];i[d+7>>0]=i[t+7>>0];d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+40|0;i[t>>0]=i[d>>0];i[t+1>>0]=i[d+1>>0];i[t+2>>0]=i[d+2>>0];i[t+3>>0]=i[d+3>>0];i[t+4>>0]=i[d+4>>0];i[t+5>>0]=i[d+5>>0];i[t+6>>0]=i[d+6>>0];i[t+7>>0]=i[d+7>>0];p[t>>3]=+p[t>>3];i[q>>0]=i[t>>0];i[q+1>>0]=i[t+1>>0];i[q+2>>0]=i[t+2>>0];i[q+3>>0]=i[t+3>>0];i[q+4>>0]=i[t+4>>0];i[q+5>>0]=i[t+5>>0];i[q+6>>0]=i[t+6>>0];i[q+7>>0]=i[t+7>>0];q=(k[b>>2]|0)+8|0;k[b>>2]=q;d=a+48|0;i[t>>0]=i[q>>0];i[t+1>>0]=i[q+1>>0];i[t+2>>0]=i[q+2>>0];i[t+3>>0]=i[q+3>>0];i[t+4>>0]=i[q+4>>0];i[t+5>>0]=i[q+5>>0];i[t+6>>0]=i[q+6>>0];i[t+7>>0]=i[q+7>>0];p[t>>3]=+p[t>>3];i[d>>0]=i[t>>0];i[d+1>>0]=i[t+1>>0];i[d+2>>0]=i[t+2>>0];i[d+3>>0]=i[t+3>>0];i[d+4>>0]=i[t+4>>0];i[d+5>>0]=i[t+5>>0];i[d+6>>0]=i[t+6>>0];i[d+7>>0]=i[t+7>>0];d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+56|0;i[t>>0]=i[d>>0];i[t+1>>0]=i[d+1>>0];i[t+2>>0]=i[d+2>>0];i[t+3>>0]=i[d+3>>0];i[t+4>>0]=i[d+4>>0];i[t+5>>0]=i[d+5>>0];i[t+6>>0]=i[d+6>>0];i[t+7>>0]=i[d+7>>0];p[t>>3]=+p[t>>3];i[q>>0]=i[t>>0];i[q+1>>0]=i[t+1>>0];i[q+2>>0]=i[t+2>>0];i[q+3>>0]=i[t+3>>0];i[q+4>>0]=i[t+4>>0];i[q+5>>0]=i[t+5>>0];i[q+6>>0]=i[t+6>>0];i[q+7>>0]=i[t+7>>0];q=(k[b>>2]|0)+8|0;k[b>>2]=q;d=a+64|0;i[t>>0]=i[q>>0];i[t+1>>0]=i[q+1>>0];i[t+2>>0]=i[q+2>>0];i[t+3>>0]=i[q+3>>0];i[t+4>>0]=i[q+4>>0];i[t+5>>0]=i[q+5>>0];i[t+6>>0]=i[q+6>>0];i[t+7>>0]=i[q+7>>0];p[t>>3]=+p[t>>3];i[d>>0]=i[t>>0];i[d+1>>0]=i[t+1>>0];i[d+2>>0]=i[t+2>>0];i[d+3>>0]=i[t+3>>0];i[d+4>>0]=i[t+4>>0];i[d+5>>0]=i[t+5>>0];i[d+6>>0]=i[t+6>>0];i[d+7>>0]=i[t+7>>0];d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+72|0;i[t>>0]=i[d>>0];i[t+1>>0]=i[d+1>>0];i[t+2>>0]=i[d+2>>0];i[t+3>>0]=i[d+3>>0];i[t+4>>0]=i[d+4>>0];i[t+5>>0]=i[d+5>>0];i[t+6>>0]=i[d+6>>0];i[t+7>>0]=i[d+7>>0];p[t>>3]=+p[t>>3];i[q>>0]=i[t>>0];i[q+1>>0]=i[t+1>>0];i[q+2>>0]=i[t+2>>0];i[q+3>>0]=i[t+3>>0];i[q+4>>0]=i[t+4>>0];i[q+5>>0]=i[t+5>>0];i[q+6>>0]=i[t+6>>0];i[q+7>>0]=i[t+7>>0];q=(k[b>>2]|0)+8|0;k[b>>2]=q;d=a+80|0;i[t>>0]=i[q>>0];i[t+1>>0]=i[q+1>>0];i[t+2>>0]=i[q+2>>0];i[t+3>>0]=i[q+3>>0];i[t+4>>0]=i[q+4>>0];i[t+5>>0]=i[q+5>>0];i[t+6>>0]=i[q+6>>0];i[t+7>>0]=i[q+7>>0];p[t>>3]=+p[t>>3];i[d>>0]=i[t>>0];i[d+1>>0]=i[t+1>>0];i[d+2>>0]=i[t+2>>0];i[d+3>>0]=i[t+3>>0];i[d+4>>0]=i[t+4>>0];i[d+5>>0]=i[t+5>>0];i[d+6>>0]=i[t+6>>0];i[d+7>>0]=i[t+7>>0];d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+88|0;i[t>>0]=i[d>>0];i[t+1>>0]=i[d+1>>0];i[t+2>>0]=i[d+2>>0];i[t+3>>0]=i[d+3>>0];i[t+4>>0]=i[d+4>>0];i[t+5>>0]=i[d+5>>0];i[t+6>>0]=i[d+6>>0];i[t+7>>0]=i[d+7>>0];p[t>>3]=+p[t>>3];i[q>>0]=i[t>>0];i[q+1>>0]=i[t+1>>0];i[q+2>>0]=i[t+2>>0];i[q+3>>0]=i[t+3>>0];i[q+4>>0]=i[t+4>>0];i[q+5>>0]=i[t+5>>0];i[q+6>>0]=i[t+6>>0];i[q+7>>0]=i[t+7>>0];q=(k[b>>2]|0)+8|0;k[b>>2]=q;d=a+96|0;i[t>>0]=i[q>>0];i[t+1>>0]=i[q+1>>0];i[t+2>>0]=i[q+2>>0];i[t+3>>0]=i[q+3>>0];i[t+4>>0]=i[q+4>>0];i[t+5>>0]=i[q+5>>0];i[t+6>>0]=i[q+6>>0];i[t+7>>0]=i[q+7>>0];p[t>>3]=+p[t>>3];i[d>>0]=i[t>>0];i[d+1>>0]=i[t+1>>0];i[d+2>>0]=i[t+2>>0];i[d+3>>0]=i[t+3>>0];i[d+4>>0]=i[t+4>>0];i[d+5>>0]=i[t+5>>0];i[d+6>>0]=i[t+6>>0];i[d+7>>0]=i[t+7>>0];d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+104|0;i[t>>0]=i[d>>0];i[t+1>>0]=i[d+1>>0];i[t+2>>0]=i[d+2>>0];i[t+3>>0]=i[d+3>>0];i[t+4>>0]=i[d+4>>0];i[t+5>>0]=i[d+5>>0];i[t+6>>0]=i[d+6>>0];i[t+7>>0]=i[d+7>>0];p[t>>3]=+p[t>>3];i[q>>0]=i[t>>0];i[q+1>>0]=i[t+1>>0];i[q+2>>0]=i[t+2>>0];i[q+3>>0]=i[t+3>>0];i[q+4>>0]=i[t+4>>0];i[q+5>>0]=i[t+5>>0];i[q+6>>0]=i[t+6>>0];i[q+7>>0]=i[t+7>>0];q=(k[b>>2]|0)+8|0;k[b>>2]=q;d=a+112|0;i[t>>0]=i[q>>0];i[t+1>>0]=i[q+1>>0];i[t+2>>0]=i[q+2>>0];i[t+3>>0]=i[q+3>>0];i[t+4>>0]=i[q+4>>0];i[t+5>>0]=i[q+5>>0];i[t+6>>0]=i[q+6>>0];i[t+7>>0]=i[q+7>>0];p[t>>3]=+p[t>>3];i[d>>0]=i[t>>0];i[d+1>>0]=i[t+1>>0];i[d+2>>0]=i[t+2>>0];i[d+3>>0]=i[t+3>>0];i[d+4>>0]=i[t+4>>0];i[d+5>>0]=i[t+5>>0];i[d+6>>0]=i[t+6>>0];i[d+7>>0]=i[t+7>>0];d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+120|0;i[t>>0]=i[d>>0];i[t+1>>0]=i[d+1>>0];i[t+2>>0]=i[d+2>>0];i[t+3>>0]=i[d+3>>0];i[t+4>>0]=i[d+4>>0];i[t+5>>0]=i[d+5>>0];i[t+6>>0]=i[d+6>>0];i[t+7>>0]=i[d+7>>0];p[t>>3]=+p[t>>3];i[q>>0]=i[t>>0];i[q+1>>0]=i[t+1>>0];i[q+2>>0]=i[t+2>>0];i[q+3>>0]=i[t+3>>0];i[q+4>>0]=i[t+4>>0];i[q+5>>0]=i[t+5>>0];i[q+6>>0]=i[t+6>>0];i[q+7>>0]=i[t+7>>0];q=(k[b>>2]|0)+8|0;k[b>>2]=q;d=a+128|0;i[t>>0]=i[q>>0];i[t+1>>0]=i[q+1>>0];i[t+2>>0]=i[q+2>>0];i[t+3>>0]=i[q+3>>0];i[t+4>>0]=i[q+4>>0];i[t+5>>0]=i[q+5>>0];i[t+6>>0]=i[q+6>>0];i[t+7>>0]=i[q+7>>0];p[t>>3]=+p[t>>3];i[d>>0]=i[t>>0];i[d+1>>0]=i[t+1>>0];i[d+2>>0]=i[t+2>>0];i[d+3>>0]=i[t+3>>0];i[d+4>>0]=i[t+4>>0];i[d+5>>0]=i[t+5>>0];i[d+6>>0]=i[t+6>>0];i[d+7>>0]=i[t+7>>0];d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+136|0;i[t>>0]=i[d>>0];i[t+1>>0]=i[d+1>>0];i[t+2>>0]=i[d+2>>0];i[t+3>>0]=i[d+3>>0];i[t+4>>0]=i[d+4>>0];i[t+5>>0]=i[d+5>>0];i[t+6>>0]=i[d+6>>0];i[t+7>>0]=i[d+7>>0];p[t>>3]=+p[t>>3];i[q>>0]=i[t>>0];i[q+1>>0]=i[t+1>>0];i[q+2>>0]=i[t+2>>0];i[q+3>>0]=i[t+3>>0];i[q+4>>0]=i[t+4>>0];i[q+5>>0]=i[t+5>>0];i[q+6>>0]=i[t+6>>0];i[q+7>>0]=i[t+7>>0];q=(k[b>>2]|0)+8|0;k[b>>2]=q;d=a+144|0;i[t>>0]=i[q>>0];i[t+1>>0]=i[q+1>>0];i[t+2>>0]=i[q+2>>0];i[t+3>>0]=i[q+3>>0];i[t+4>>0]=i[q+4>>0];i[t+5>>0]=i[q+5>>0];i[t+6>>0]=i[q+6>>0];i[t+7>>0]=i[q+7>>0];p[t>>3]=+p[t>>3];i[d>>0]=i[t>>0];i[d+1>>0]=i[t+1>>0];i[d+2>>0]=i[t+2>>0];i[d+3>>0]=i[t+3>>0];i[d+4>>0]=i[t+4>>0];i[d+5>>0]=i[t+5>>0];i[d+6>>0]=i[t+6>>0];i[d+7>>0]=i[t+7>>0];d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+152|0;i[t>>0]=i[d>>0];i[t+1>>0]=i[d+1>>0];i[t+2>>0]=i[d+2>>0];i[t+3>>0]=i[d+3>>0];i[t+4>>0]=i[d+4>>0];i[t+5>>0]=i[d+5>>0];i[t+6>>0]=i[d+6>>0];i[t+7>>0]=i[d+7>>0];p[t>>3]=+p[t>>3];i[q>>0]=i[t>>0];i[q+1>>0]=i[t+1>>0];i[q+2>>0]=i[t+2>>0];i[q+3>>0]=i[t+3>>0];i[q+4>>0]=i[t+4>>0];i[q+5>>0]=i[t+5>>0];i[q+6>>0]=i[t+6>>0];i[q+7>>0]=i[t+7>>0];q=(k[b>>2]|0)+8|0;k[b>>2]=q;d=a+160|0;i[t>>0]=i[q>>0];i[t+1>>0]=i[q+1>>0];i[t+2>>0]=i[q+2>>0];i[t+3>>0]=i[q+3>>0];i[t+4>>0]=i[q+4>>0];i[t+5>>0]=i[q+5>>0];i[t+6>>0]=i[q+6>>0];i[t+7>>0]=i[q+7>>0];p[t>>3]=+p[t>>3];i[d>>0]=i[t>>0];i[d+1>>0]=i[t+1>>0];i[d+2>>0]=i[t+2>>0];i[d+3>>0]=i[t+3>>0];i[d+4>>0]=i[t+4>>0];i[d+5>>0]=i[t+5>>0];i[d+6>>0]=i[t+6>>0];i[d+7>>0]=i[t+7>>0];d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+184|0;i[t>>0]=i[d>>0];i[t+1>>0]=i[d+1>>0];i[t+2>>0]=i[d+2>>0];i[t+3>>0]=i[d+3>>0];i[t+4>>0]=i[d+4>>0];i[t+5>>0]=i[d+5>>0];i[t+6>>0]=i[d+6>>0];i[t+7>>0]=i[d+7>>0];p[t>>3]=+p[t>>3];i[q>>0]=i[t>>0];i[q+1>>0]=i[t+1>>0];i[q+2>>0]=i[t+2>>0];i[q+3>>0]=i[t+3>>0];i[q+4>>0]=i[t+4>>0];i[q+5>>0]=i[t+5>>0];i[q+6>>0]=i[t+6>>0];i[q+7>>0]=i[t+7>>0];q=(k[b>>2]|0)+8|0;k[b>>2]=q;d=a+192|0;i[t>>0]=i[q>>0];i[t+1>>0]=i[q+1>>0];i[t+2>>0]=i[q+2>>0];i[t+3>>0]=i[q+3>>0];i[t+4>>0]=i[q+4>>0];i[t+5>>0]=i[q+5>>0];i[t+6>>0]=i[q+6>>0];i[t+7>>0]=i[q+7>>0];p[t>>3]=+p[t>>3];i[d>>0]=i[t>>0];i[d+1>>0]=i[t+1>>0];i[d+2>>0]=i[t+2>>0];i[d+3>>0]=i[t+3>>0];i[d+4>>0]=i[t+4>>0];i[d+5>>0]=i[t+5>>0];i[d+6>>0]=i[t+6>>0];i[d+7>>0]=i[t+7>>0];d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+200|0;i[t>>0]=i[d>>0];i[t+1>>0]=i[d+1>>0];i[t+2>>0]=i[d+2>>0];i[t+3>>0]=i[d+3>>0];i[t+4>>0]=i[d+4>>0];i[t+5>>0]=i[d+5>>0];i[t+6>>0]=i[d+6>>0];i[t+7>>0]=i[d+7>>0];p[t>>3]=+p[t>>3];i[q>>0]=i[t>>0];i[q+1>>0]=i[t+1>>0];i[q+2>>0]=i[t+2>>0];i[q+3>>0]=i[t+3>>0];i[q+4>>0]=i[t+4>>0];i[q+5>>0]=i[t+5>>0];i[q+6>>0]=i[t+6>>0];i[q+7>>0]=i[t+7>>0];q=(k[b>>2]|0)+8|0;k[b>>2]=q;d=a+208|0;i[t>>0]=i[q>>0];i[t+1>>0]=i[q+1>>0];i[t+2>>0]=i[q+2>>0];i[t+3>>0]=i[q+3>>0];i[t+4>>0]=i[q+4>>0];i[t+5>>0]=i[q+5>>0];i[t+6>>0]=i[q+6>>0];i[t+7>>0]=i[q+7>>0];p[t>>3]=+p[t>>3];i[d>>0]=i[t>>0];i[d+1>>0]=i[t+1>>0];i[d+2>>0]=i[t+2>>0];i[d+3>>0]=i[t+3>>0];i[d+4>>0]=i[t+4>>0];i[d+5>>0]=i[t+5>>0];i[d+6>>0]=i[t+6>>0];i[d+7>>0]=i[t+7>>0];d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+216|0;i[t>>0]=i[d>>0];i[t+1>>0]=i[d+1>>0];i[t+2>>0]=i[d+2>>0];i[t+3>>0]=i[d+3>>0];i[t+4>>0]=i[d+4>>0];i[t+5>>0]=i[d+5>>0];i[t+6>>0]=i[d+6>>0];i[t+7>>0]=i[d+7>>0];p[t>>3]=+p[t>>3];i[q>>0]=i[t>>0];i[q+1>>0]=i[t+1>>0];i[q+2>>0]=i[t+2>>0];i[q+3>>0]=i[t+3>>0];i[q+4>>0]=i[t+4>>0];i[q+5>>0]=i[t+5>>0];i[q+6>>0]=i[t+6>>0];i[q+7>>0]=i[t+7>>0];q=(k[b>>2]|0)+8|0;k[b>>2]=q;d=a+224|0;i[t>>0]=i[q>>0];i[t+1>>0]=i[q+1>>0];i[t+2>>0]=i[q+2>>0];i[t+3>>0]=i[q+3>>0];i[t+4>>0]=i[q+4>>0];i[t+5>>0]=i[q+5>>0];i[t+6>>0]=i[q+6>>0];i[t+7>>0]=i[q+7>>0];p[t>>3]=+p[t>>3];i[d>>0]=i[t>>0];i[d+1>>0]=i[t+1>>0];i[d+2>>0]=i[t+2>>0];i[d+3>>0]=i[t+3>>0];i[d+4>>0]=i[t+4>>0];i[d+5>>0]=i[t+5>>0];i[d+6>>0]=i[t+6>>0];i[d+7>>0]=i[t+7>>0];d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+232|0;i[t>>0]=i[d>>0];i[t+1>>0]=i[d+1>>0];i[t+2>>0]=i[d+2>>0];i[t+3>>0]=i[d+3>>0];i[t+4>>0]=i[d+4>>0];i[t+5>>0]=i[d+5>>0];i[t+6>>0]=i[d+6>>0];i[t+7>>0]=i[d+7>>0];p[t>>3]=+p[t>>3];i[q>>0]=i[t>>0];i[q+1>>0]=i[t+1>>0];i[q+2>>0]=i[t+2>>0];i[q+3>>0]=i[t+3>>0];i[q+4>>0]=i[t+4>>0];i[q+5>>0]=i[t+5>>0];i[q+6>>0]=i[t+6>>0];i[q+7>>0]=i[t+7>>0];q=(k[b>>2]|0)+8|0;k[b>>2]=q;d=a+240|0;i[t>>0]=i[q>>0];i[t+1>>0]=i[q+1>>0];i[t+2>>0]=i[q+2>>0];i[t+3>>0]=i[q+3>>0];i[t+4>>0]=i[q+4>>0];i[t+5>>0]=i[q+5>>0];i[t+6>>0]=i[q+6>>0];i[t+7>>0]=i[q+7>>0];p[t>>3]=+p[t>>3];i[d>>0]=i[t>>0];i[d+1>>0]=i[t+1>>0];i[d+2>>0]=i[t+2>>0];i[d+3>>0]=i[t+3>>0];i[d+4>>0]=i[t+4>>0];i[d+5>>0]=i[t+5>>0];i[d+6>>0]=i[t+6>>0];i[d+7>>0]=i[t+7>>0];d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+248|0;i[t>>0]=i[d>>0];i[t+1>>0]=i[d+1>>0];i[t+2>>0]=i[d+2>>0];i[t+3>>0]=i[d+3>>0];i[t+4>>0]=i[d+4>>0];i[t+5>>0]=i[d+5>>0];i[t+6>>0]=i[d+6>>0];i[t+7>>0]=i[d+7>>0];p[t>>3]=+p[t>>3];i[q>>0]=i[t>>0];i[q+1>>0]=i[t+1>>0];i[q+2>>0]=i[t+2>>0];i[q+3>>0]=i[t+3>>0];i[q+4>>0]=i[t+4>>0];i[q+5>>0]=i[t+5>>0];i[q+6>>0]=i[t+6>>0];i[q+7>>0]=i[t+7>>0];q=(k[b>>2]|0)+8|0;k[b>>2]=q;d=a+256|0;i[t>>0]=i[q>>0];i[t+1>>0]=i[q+1>>0];i[t+2>>0]=i[q+2>>0];i[t+3>>0]=i[q+3>>0];i[t+4>>0]=i[q+4>>0];i[t+5>>0]=i[q+5>>0];i[t+6>>0]=i[q+6>>0];i[t+7>>0]=i[q+7>>0];p[t>>3]=+p[t>>3];i[d>>0]=i[t>>0];i[d+1>>0]=i[t+1>>0];i[d+2>>0]=i[t+2>>0];i[d+3>>0]=i[t+3>>0];i[d+4>>0]=i[t+4>>0];i[d+5>>0]=i[t+5>>0];i[d+6>>0]=i[t+6>>0];i[d+7>>0]=i[t+7>>0];d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+264|0;i[t>>0]=i[d>>0];i[t+1>>0]=i[d+1>>0];i[t+2>>0]=i[d+2>>0];i[t+3>>0]=i[d+3>>0];i[t+4>>0]=i[d+4>>0];i[t+5>>0]=i[d+5>>0];i[t+6>>0]=i[d+6>>0];i[t+7>>0]=i[d+7>>0];p[t>>3]=+p[t>>3];i[q>>0]=i[t>>0];i[q+1>>0]=i[t+1>>0];i[q+2>>0]=i[t+2>>0];i[q+3>>0]=i[t+3>>0];i[q+4>>0]=i[t+4>>0];i[q+5>>0]=i[t+5>>0];i[q+6>>0]=i[t+6>>0];i[q+7>>0]=i[t+7>>0];q=(k[b>>2]|0)+8|0;k[b>>2]=q;d=a+272|0;i[t>>0]=i[q>>0];i[t+1>>0]=i[q+1>>0];i[t+2>>0]=i[q+2>>0];i[t+3>>0]=i[q+3>>0];i[t+4>>0]=i[q+4>>0];i[t+5>>0]=i[q+5>>0];i[t+6>>0]=i[q+6>>0];i[t+7>>0]=i[q+7>>0];p[t>>3]=+p[t>>3];i[d>>0]=i[t>>0];i[d+1>>0]=i[t+1>>0];i[d+2>>0]=i[t+2>>0];i[d+3>>0]=i[t+3>>0];i[d+4>>0]=i[t+4>>0];i[d+5>>0]=i[t+5>>0];i[d+6>>0]=i[t+6>>0];i[d+7>>0]=i[t+7>>0];d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+280|0;i[t>>0]=i[d>>0];i[t+1>>0]=i[d+1>>0];i[t+2>>0]=i[d+2>>0];i[t+3>>0]=i[d+3>>0];i[t+4>>0]=i[d+4>>0];i[t+5>>0]=i[d+5>>0];i[t+6>>0]=i[d+6>>0];i[t+7>>0]=i[d+7>>0];p[t>>3]=+p[t>>3];i[q>>0]=i[t>>0];i[q+1>>0]=i[t+1>>0];i[q+2>>0]=i[t+2>>0];i[q+3>>0]=i[t+3>>0];i[q+4>>0]=i[t+4>>0];i[q+5>>0]=i[t+5>>0];i[q+6>>0]=i[t+6>>0];i[q+7>>0]=i[t+7>>0];q=(k[b>>2]|0)+8|0;k[b>>2]=q;d=a+288|0;i[t>>0]=i[q>>0];i[t+1>>0]=i[q+1>>0];i[t+2>>0]=i[q+2>>0];i[t+3>>0]=i[q+3>>0];i[t+4>>0]=i[q+4>>0];i[t+5>>0]=i[q+5>>0];i[t+6>>0]=i[q+6>>0];i[t+7>>0]=i[q+7>>0];p[t>>3]=+p[t>>3];i[d>>0]=i[t>>0];i[d+1>>0]=i[t+1>>0];i[d+2>>0]=i[t+2>>0];i[d+3>>0]=i[t+3>>0];i[d+4>>0]=i[t+4>>0];i[d+5>>0]=i[t+5>>0];i[d+6>>0]=i[t+6>>0];i[d+7>>0]=i[t+7>>0];d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+296|0;i[t>>0]=i[d>>0];i[t+1>>0]=i[d+1>>0];i[t+2>>0]=i[d+2>>0];i[t+3>>0]=i[d+3>>0];i[t+4>>0]=i[d+4>>0];i[t+5>>0]=i[d+5>>0];i[t+6>>0]=i[d+6>>0];i[t+7>>0]=i[d+7>>0];p[t>>3]=+p[t>>3];i[q>>0]=i[t>>0];i[q+1>>0]=i[t+1>>0];i[q+2>>0]=i[t+2>>0];i[q+3>>0]=i[t+3>>0];i[q+4>>0]=i[t+4>>0];i[q+5>>0]=i[t+5>>0];i[q+6>>0]=i[t+6>>0];i[q+7>>0]=i[t+7>>0];q=(k[b>>2]|0)+8|0;k[b>>2]=q;d=a+304|0;i[t>>0]=i[q>>0];i[t+1>>0]=i[q+1>>0];i[t+2>>0]=i[q+2>>0];i[t+3>>0]=i[q+3>>0];i[t+4>>0]=i[q+4>>0];i[t+5>>0]=i[q+5>>0];i[t+6>>0]=i[q+6>>0];i[t+7>>0]=i[q+7>>0];p[t>>3]=+p[t>>3];i[d>>0]=i[t>>0];i[d+1>>0]=i[t+1>>0];i[d+2>>0]=i[t+2>>0];i[d+3>>0]=i[t+3>>0];i[d+4>>0]=i[t+4>>0];i[d+5>>0]=i[t+5>>0];i[d+6>>0]=i[t+6>>0];i[d+7>>0]=i[t+7>>0];d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+312|0;i[t>>0]=i[d>>0];i[t+1>>0]=i[d+1>>0];i[t+2>>0]=i[d+2>>0];i[t+3>>0]=i[d+3>>0];i[t+4>>0]=i[d+4>>0];i[t+5>>0]=i[d+5>>0];i[t+6>>0]=i[d+6>>0];i[t+7>>0]=i[d+7>>0];p[t>>3]=+p[t>>3];i[q>>0]=i[t>>0];i[q+1>>0]=i[t+1>>0];i[q+2>>0]=i[t+2>>0];i[q+3>>0]=i[t+3>>0];i[q+4>>0]=i[t+4>>0];i[q+5>>0]=i[t+5>>0];i[q+6>>0]=i[t+6>>0];i[q+7>>0]=i[t+7>>0];q=(k[b>>2]|0)+8|0;k[b>>2]=q;d=a+320|0;i[t>>0]=i[q>>0];i[t+1>>0]=i[q+1>>0];i[t+2>>0]=i[q+2>>0];i[t+3>>0]=i[q+3>>0];i[t+4>>0]=i[q+4>>0];i[t+5>>0]=i[q+5>>0];i[t+6>>0]=i[q+6>>0];i[t+7>>0]=i[q+7>>0];p[t>>3]=+p[t>>3];i[d>>0]=i[t>>0];i[d+1>>0]=i[t+1>>0];i[d+2>>0]=i[t+2>>0];i[d+3>>0]=i[t+3>>0];i[d+4>>0]=i[t+4>>0];i[d+5>>0]=i[t+5>>0];i[d+6>>0]=i[t+6>>0];i[d+7>>0]=i[t+7>>0];d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+328|0;i[t>>0]=i[d>>0];i[t+1>>0]=i[d+1>>0];i[t+2>>0]=i[d+2>>0];i[t+3>>0]=i[d+3>>0];i[t+4>>0]=i[d+4>>0];i[t+5>>0]=i[d+5>>0];i[t+6>>0]=i[d+6>>0];i[t+7>>0]=i[d+7>>0];p[t>>3]=+p[t>>3];i[q>>0]=i[t>>0];i[q+1>>0]=i[t+1>>0];i[q+2>>0]=i[t+2>>0];i[q+3>>0]=i[t+3>>0];i[q+4>>0]=i[t+4>>0];i[q+5>>0]=i[t+5>>0];i[q+6>>0]=i[t+6>>0];i[q+7>>0]=i[t+7>>0];q=(k[b>>2]|0)+8|0;k[b>>2]=q;d=a+336|0;i[t>>0]=i[q>>0];i[t+1>>0]=i[q+1>>0];i[t+2>>0]=i[q+2>>0];i[t+3>>0]=i[q+3>>0];i[t+4>>0]=i[q+4>>0];i[t+5>>0]=i[q+5>>0];i[t+6>>0]=i[q+6>>0];i[t+7>>0]=i[q+7>>0];p[t>>3]=+p[t>>3];i[d>>0]=i[t>>0];i[d+1>>0]=i[t+1>>0];i[d+2>>0]=i[t+2>>0];i[d+3>>0]=i[t+3>>0];i[d+4>>0]=i[t+4>>0];i[d+5>>0]=i[t+5>>0];i[d+6>>0]=i[t+6>>0];i[d+7>>0]=i[t+7>>0];d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+344|0;i[t>>0]=i[d>>0];i[t+1>>0]=i[d+1>>0];i[t+2>>0]=i[d+2>>0];i[t+3>>0]=i[d+3>>0];i[t+4>>0]=i[d+4>>0];i[t+5>>0]=i[d+5>>0];i[t+6>>0]=i[d+6>>0];i[t+7>>0]=i[d+7>>0];p[t>>3]=+p[t>>3];i[q>>0]=i[t>>0];i[q+1>>0]=i[t+1>>0];i[q+2>>0]=i[t+2>>0];i[q+3>>0]=i[t+3>>0];i[q+4>>0]=i[t+4>>0];i[q+5>>0]=i[t+5>>0];i[q+6>>0]=i[t+6>>0];i[q+7>>0]=i[t+7>>0];q=(k[b>>2]|0)+8|0;k[b>>2]=q;d=a+352|0;i[t>>0]=i[q>>0];i[t+1>>0]=i[q+1>>0];i[t+2>>0]=i[q+2>>0];i[t+3>>0]=i[q+3>>0];i[t+4>>0]=i[q+4>>0];i[t+5>>0]=i[q+5>>0];i[t+6>>0]=i[q+6>>0];i[t+7>>0]=i[q+7>>0];p[t>>3]=+p[t>>3];i[d>>0]=i[t>>0];i[d+1>>0]=i[t+1>>0];i[d+2>>0]=i[t+2>>0];i[d+3>>0]=i[t+3>>0];i[d+4>>0]=i[t+4>>0];i[d+5>>0]=i[t+5>>0];i[d+6>>0]=i[t+6>>0];i[d+7>>0]=i[t+7>>0];d=(k[b>>2]|0)+8|0;k[b>>2]=d;q=a+360|0;i[t>>0]=i[d>>0];i[t+1>>0]=i[d+1>>0];i[t+2>>0]=i[d+2>>0];i[t+3>>0]=i[d+3>>0];i[t+4>>0]=i[d+4>>0];i[t+5>>0]=i[d+5>>0];i[t+6>>0]=i[d+6>>0];i[t+7>>0]=i[d+7>>0];p[t>>3]=+p[t>>3];i[q>>0]=i[t>>0];i[q+1>>0]=i[t+1>>0];i[q+2>>0]=i[t+2>>0];i[q+3>>0]=i[t+3>>0];i[q+4>>0]=i[t+4>>0];i[q+5>>0]=i[t+5>>0];i[q+6>>0]=i[t+6>>0];i[q+7>>0]=i[t+7>>0];q=(k[b>>2]|0)+8|0;k[b>>2]=q;d=a+368|0;i[t>>0]=i[q>>0];i[t+1>>0]=i[q+1>>0];i[t+2>>0]=i[q+2>>0];i[t+3>>0]=i[q+3>>0];i[t+4>>0]=i[q+4>>0];i[t+5>>0]=i[q+5>>0];i[t+6>>0]=i[q+6>>0];i[t+7>>0]=i[q+7>>0];p[t>>3]=+p[t>>3];i[d>>0]=i[t>>0];i[d+1>>0]=i[t+1>>0];i[d+2>>0]=i[t+2>>0];i[d+3>>0]=i[t+3>>0];i[d+4>>0]=i[t+4>>0];i[d+5>>0]=i[t+5>>0];i[d+6>>0]=i[t+6>>0];i[d+7>>0]=i[t+7>>0];k[b>>2]=(k[b>>2]|0)+8;r=e;return}default:{e=g+56|0;b=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,b|0);d=B;B=0;if(d&1){d=Rb()|0;s=Q;u=d;vva(e);Qb(u|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,b|0);d=B;B=0;do if(d&1){q=Rb()|0;v=Q;w=q}else{k[b>>2]=27560;q=g+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,b|0,f|0);a=B;B=0;if(a&1){a=Rb()|0;c=Q;Yua(f);Yua(q);Ava(b);v=c;w=a;break}Yua(f);B=0;a=Ia(40,g|0,143951,43)|0;c=B;B=0;if(!(c&1)?(B=0,Xa(239,a|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,h|0,78522,75);c=B;B=0;do if(!(c&1)){B=0;eb(502,j|0,149525,8);n=B;B=0;if(n&1){n=Rb()|0;o=Q;Yua(h);x=o;y=n;break}B=0;wa(510,m|0,b|0);n=B;B=0;if(n&1){n=Rb()|0;z=Q;A=n;C=1}else{B=0;ua(163,a|0,h|0,j|0,272,m|0);n=B;B=0;if(n&1)D=1;else{B=0;eb(503,a|0,1240,229);B=0;D=0}n=Rb()|0;o=Q;Yua(m);z=o;A=n;C=D}Yua(j);Yua(h);if(C){x=z;y=A}else{E=z;F=A;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(q);Ava(b);vva(e);Qb(F|0)}}else{n=Rb()|0;x=Q;y=n}while(0);zb(a|0);E=x;F=y;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(q);Ava(b);vva(e);Qb(F|0)}c=Rb()|0;E=Q;F=c;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(q);Ava(b);vva(e);Qb(F|0)}while(0);s=v;u=w;vva(e);Qb(u|0)}}}function KJ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return}function LJ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return}function MJ(a,b,c){a=a|0;b=+b;c=c|0;do switch(c|0){case 265:{p[a+16>>3]=b;return}case 266:{p[a+24>>3]=b;return}case 267:{p[a+32>>3]=b;return}case 268:{p[a+40>>3]=b;return}case 210:{p[a+48>>3]=b;return}case 270:{p[a+56>>3]=b;return}case 271:{p[a+64>>3]=b;return}case 211:{p[a+72>>3]=b;return}case 209:{p[a+80>>3]=b;return}case 212:{p[a+88>>3]=b;return}case 66:{p[a+96>>3]=b;return}case 213:{p[a+104>>3]=b;return}case 269:{p[a+56>>3]=b;return}case 65:{p[a+120>>3]=b;return}case 449:{p[a+136>>3]=b;return}case 452:{p[a+144>>3]=b;return}case 453:{p[a+152>>3]=b;return}case 458:{p[a+160>>3]=b;return}default:return}while(0)}function NJ(a,b,c){a=a|0;b=+b;c=c|0;do switch(c|0){case 265:{p[a+12>>3]=b;return}case 266:{p[a+20>>3]=b;return}case 267:{p[a+28>>3]=b;return}case 268:{p[a+36>>3]=b;return}case 210:{p[a+44>>3]=b;return}case 270:{p[a+52>>3]=b;return}case 271:{p[a+60>>3]=b;return}case 211:{p[a+68>>3]=b;return}case 209:{p[a+76>>3]=b;return}case 212:{p[a+84>>3]=b;return}case 66:{p[a+92>>3]=b;return}case 213:{p[a+100>>3]=b;return}case 269:{p[a+52>>3]=b;return}case 65:{p[a+116>>3]=b;return}case 449:{p[a+132>>3]=b;return}case 452:{p[a+140>>3]=b;return}case 453:{p[a+148>>3]=b;return}case 458:{p[a+156>>3]=b;return}default:return}while(0)}function OJ(a,b,c){a=a|0;b=b|0;c=c|0;return}function PJ(a,b,c){a=a|0;b=b|0;c=c|0;return}function QJ(a,b,c){a=a|0;b=b|0;c=c|0;return}function RJ(a,b,c){a=a|0;b=b|0;c=c|0;return}function SJ(a,b){a=a|0;b=b|0;return}function TJ(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;var f=0.0,g=0.0,h=0.0,i=0.0,j=0.0;f=+p[a+48>>3];g=+p[a+88>>3]-+p[a+80>>3]*e;e=+p[a+96>>3];h=f*(g-e);if(h>d){i=d/f+e;j=0.0;p[c>>3]=j;p[b>>3]=i;return}else{i=g;j=(d-h)/+p[a+72>>3];p[c>>3]=j;p[b>>3]=i;return}}function UJ(a,b){a=a|0;b=+b;return +(+p[a+48>>3]*(+p[a+88>>3]-+p[a+80>>3]*b-+p[a+96>>3]))}function VJ(a,b){a=a|0;b=+b;return +(+p[a+88>>3]-+p[a+80>>3]*b)}function WJ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;do switch(b|0){case 265:{i=a+16|0;break}case 266:{i=a+24|0;break}case 267:{i=a+32|0;break}case 268:{i=a+40|0;break}case 210:{i=a+48|0;break}case 270:{i=a+56|0;break}case 271:{i=a+64|0;break}case 211:{i=a+72|0;break}case 209:{i=a+80|0;break}case 212:{i=a+88|0;break}case 66:{i=a+96|0;break}case 213:{i=a+104|0;break}case 269:{i=a+112|0;break}case 136:{i=a+192|0;break}case 137:{i=a+200|0;break}case 135:{i=a+184|0;break}case 144:{i=a+224|0;break}case 143:{i=a+216|0;break}case 151:{i=a+256|0;break}case 145:{i=a+232|0;break}case 146:{i=a+240|0;break}case 147:{i=a+248|0;break}case 139:{i=a+208|0;break}case 65:{i=a+120|0;break}case 449:{i=a+136|0;break}case 452:{i=a+144|0;break}case 453:{i=a+152|0;break}case 458:{i=a+160|0;break}case 272:{i=a+264|0;break}case 273:{i=a+272|0;break}case 275:{i=a+288|0;break}case 274:{i=a+280|0;break}case 276:{i=a+296|0;break}default:{j=e+56|0;l=e+4|0;k[e>>2]=27524;k[j>>2]=27544;B=0;wa(508,e+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(j);Qb(o|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[j>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){q=Rb()|0;s=Q;t=q}else{k[l>>2]=27560;q=e+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,l|0,d|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(d);Yua(q);Ava(l);s=v;t=u;break}Yua(d);B=0;u=Ia(40,e|0,104643,5)|0;v=B;B=0;if((((!(v&1)?(B=0,v=ya(427,b|0)|0,w=B,B=0,!(w&1)):0)?(w=Lta(v)|0,B=0,x=Ia(40,u|0,v|0,w|0)|0,w=B,B=0,!(w&1)):0)?(B=0,w=Ia(40,x|0,146481,18)|0,x=B,B=0,!(x&1)):0)?(B=0,Xa(239,w|0,0)|0,w=B,B=0,!(w&1)):0){w=Ab(20)|0;B=0;eb(502,f|0,78522,75);x=B;B=0;do if(!(x&1)){B=0;eb(502,g|0,79423,20);v=B;B=0;if(v&1){v=Rb()|0;u=Q;Yua(f);y=u;z=v;break}B=0;wa(510,h|0,l|0);v=B;B=0;if(v&1){v=Rb()|0;A=Q;C=v;D=1}else{B=0;ua(163,w|0,f|0,g|0,531,h|0);v=B;B=0;if(v&1)E=1;else{B=0;eb(503,w|0,1240,229);B=0;E=0}v=Rb()|0;u=Q;Yua(h);A=u;C=v;D=E}Yua(g);Yua(f);if(D){y=A;z=C}else{F=A;G=C;k[e>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(q);Ava(l);vva(j);Qb(G|0)}}else{v=Rb()|0;y=Q;z=v}while(0);zb(w|0);F=y;G=z;k[e>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(q);Ava(l);vva(j);Qb(G|0)}x=Rb()|0;F=Q;G=x;k[e>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(q);Ava(l);vva(j);Qb(G|0)}while(0);n=s;o=t;vva(j);Qb(o|0)}}while(0);r=c;return +(+p[i>>3])}function XJ(a){a=a|0;return}function YJ(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=+d;e=+e;var f=0.0,g=0.0,h=0.0;f=+p[a+88>>3]-+p[a+80>>3]*e;e=+p[a+48>>3];g=+p[a+96>>3];if(f>c){h=e*(c-g);p[b>>3]=h;return}else{h=e*(f-g)+ +p[a+72>>3]*d;p[b>>3]=h;return}}function ZJ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,79444,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,79601,5);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,98,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function _J(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,145010,13)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,79444,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,143338,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,108,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function $J(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,145010,13)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,79444,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,143343,7);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,109,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function aK(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,145010,13)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,79444,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,143351,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,110,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function bK(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,145010,13)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,79444,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,143356,7);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,111,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function cK(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,145010,13)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,79444,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,143369,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,113,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function dK(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,145010,13)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,79444,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,143374,7);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,114,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function eK(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,145010,13)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,79444,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,143364,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,112,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function fK(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;b=r;r=r+192|0;a=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,h|0,a|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(a);Yua(m);Ava(h);n=q;o=p;break}Yua(a);B=0;p=Ia(40,d|0,145010,13)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,79444,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,143391,12);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,100,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(E|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function gK(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;b=r;r=r+192|0;a=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,h|0,a|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(a);Yua(m);Ava(h);n=q;o=p;break}Yua(a);B=0;p=Ia(40,d|0,145010,13)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,79444,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,143434,15);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,103,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(E|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function hK(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,145010,13)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,79444,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,143450,22);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,104,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function iK(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,145010,13)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,79444,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,143473,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,105,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function jK(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,145010,13)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,79444,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,143497,31);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,106,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function kK(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;b=r;r=r+192|0;a=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,h|0,a|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(a);Yua(m);Ava(h);n=q;o=p;break}Yua(a);B=0;p=Ia(40,d|0,145010,13)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,79444,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,143404,14);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,101,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(E|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function lK(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;b=r;r=r+192|0;a=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,h|0,a|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(a);Yua(m);Ava(h);n=q;o=p;break}Yua(a);B=0;p=Ia(40,d|0,145010,13)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,79444,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,143419,14);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,102,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(E|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function mK(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,145010,13)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,79444,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,143529,33);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,107,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function nK(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,145010,13)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,79444,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,143382,8);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,115,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return 0}function oK(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;h=r;r=r+192|0;g=h+176|0;f=h+40|0;e=h+24|0;d=h+12|0;c=h;h=f+56|0;b=f+4|0;k[f>>2]=27524;k[h>>2]=27544;B=0;wa(508,f+56|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;i=Q;j=a;vva(h);Qb(j|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[h>>2]=27488;B=0;va(448,b|0);a=B;B=0;do if(a&1){l=Rb()|0;m=Q;n=l}else{k[b>>2]=27560;l=f+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[f+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,b|0,g|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(g);Yua(l);Ava(b);m=p;n=o;break}Yua(g);B=0;o=Ia(40,f|0,145010,13)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,e|0,79444,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,d|0,79589,11);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(e);v=u;w=t;break}B=0;wa(510,c|0,b|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,e|0,d|0,118,c|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(c);x=u;y=t;z=A}Yua(d);Yua(e);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[f>>2]=27468;k[h>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(h);Qb(D|0)}while(0);i=m;j=n;vva(h);Qb(j|0)}function pK(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,145010,13)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,79444,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,79558,30);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,119,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function qK(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;g=r;r=r+192|0;f=g+176|0;e=g+40|0;d=g+24|0;c=g+12|0;b=g;g=e+56|0;a=e+4|0;k[e>>2]=27524;k[g>>2]=27544;B=0;wa(508,e+56|0,a|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(g);Qb(j|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[g>>2]=27488;B=0;va(448,a|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[a>>2]=27560;l=e+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[e+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,a|0,f|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(f);Yua(l);Ava(a);m=p;n=o;break}Yua(f);B=0;o=Ia(40,e|0,145010,13)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,79444,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,c|0,79546,11);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,b|0,a|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,c|0,120,b|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(b);x=u;y=t;z=A}Yua(c);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[e>>2]=27468;k[g>>2]=27488;k[a>>2]=27560;Yua(l);Ava(a);vva(g);Qb(D|0)}while(0);i=m;j=n;vva(g);Qb(j|0)}function rK(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,145010,13)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,79444,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,143563,30);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,121,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function sK(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;g=r;r=r+192|0;f=g+176|0;e=g+40|0;d=g+24|0;c=g+12|0;b=g;g=e+56|0;a=e+4|0;k[e>>2]=27524;k[g>>2]=27544;B=0;wa(508,e+56|0,a|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(g);Qb(j|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[g>>2]=27488;B=0;va(448,a|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[a>>2]=27560;l=e+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[e+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,a|0,f|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(f);Yua(l);Ava(a);m=p;n=o;break}Yua(f);B=0;o=Ia(40,e|0,145010,13)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,79444,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,c|0,143594,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,b|0,a|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,c|0,122,b|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(b);x=u;y=t;z=A}Yua(c);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[e>>2]=27468;k[g>>2]=27488;k[a>>2]=27560;Yua(l);Ava(a);vva(g);Qb(D|0)}while(0);i=m;j=n;vva(g);Qb(j|0)}function tK(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;g=r;r=r+192|0;f=g+176|0;e=g+40|0;d=g+24|0;c=g+12|0;b=g;g=e+56|0;a=e+4|0;k[e>>2]=27524;k[g>>2]=27544;B=0;wa(508,e+56|0,a|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(g);Qb(j|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[g>>2]=27488;B=0;va(448,a|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[a>>2]=27560;l=e+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[e+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,a|0,f|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(f);Yua(l);Ava(a);m=p;n=o;break}Yua(f);B=0;o=Ia(40,e|0,145010,13)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,79444,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,c|0,79533,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,b|0,a|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,c|0,123,b|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(b);x=u;y=t;z=A}Yua(c);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[e>>2]=27468;k[g>>2]=27488;k[a>>2]=27560;Yua(l);Ava(a);vva(g);Qb(D|0)}while(0);i=m;j=n;vva(g);Qb(j|0)}function uK(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,145010,13)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,79444,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,143608,31);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,124,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function vK(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,79444,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144327,22);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,95,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function wK(a,b,c){a=a|0;b=b|0;c=c|0;vK(a+-4|0,b,c)}function xK(a){a=a|0;k[a>>2]=33892;return}function yK(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;k[a>>2]=33892;k[a+4>>2]=b;k[a+8>>2]=c;k[a+12>>2]=d;p[a+16>>3]=e;k[a+24>>2]=f;i[a+28>>0]=0;return}function zK(a){a=a|0;k[a>>2]=33892;return}function AK(a){a=a|0;Sqa(a);return}function BK(a){a=a|0;var b=0,c=0,d=0;b=Qqa(32)|0;k[b>>2]=33892;c=b+4|0;d=a+4|0;k[c>>2]=k[d>>2];k[c+4>>2]=k[d+4>>2];k[c+8>>2]=k[d+8>>2];k[c+12>>2]=k[d+12>>2];k[c+16>>2]=k[d+16>>2];k[c+20>>2]=k[d+20>>2];i[c+24>>0]=i[d+24>>0]|0;k[c>>2]=k[d>>2];k[b+8>>2]=k[a+8>>2];k[b+12>>2]=k[a+12>>2];p[b+16>>3]=+p[a+16>>3];k[b+24>>2]=k[a+24>>2];return b|0}function CK(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Ta=0,Ua=0,Va=0;b=r;r=r+928|0;c=b+904|0;d=b+744|0;e=b+892|0;f=b+592|0;g=b+880|0;h=b+440|0;i=b+728|0;j=b+304|0;l=b+576|0;m=b+152|0;n=b+288|0;o=b+16|0;q=b;s=d+56|0;t=d+4|0;k[d>>2]=27524;k[s>>2]=27544;B=0;wa(508,d+56|0,t|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;w=u;vva(s);Qb(w|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[s>>2]=27488;B=0;va(448,t|0);u=B;B=0;do if(u&1){x=Rb()|0;y=Q;z=x}else{k[t>>2]=27560;x=d+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,t|0,c|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(c);Yua(x);Ava(t);y=C;z=A;break}Yua(c);B=0;Ia(40,d|0,79618,11)|0;A=B;B=0;do if(!(A&1)?(B=0,wa(510,e|0,t|0),C=B,B=0,!(C&1)):0){B=0;ya(424,e|0)|0;C=B;B=0;if(C&1){C=Rb()|0;D=Q;Yua(e);E=D;F=C;break}Yua(e);k[d>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);C=f+56|0;D=f+4|0;k[f>>2]=27524;k[C>>2]=27544;B=0;wa(508,f+56|0,D|0);G=B;B=0;if(G&1){G=Rb()|0;H=Q;I=G;vva(C);Qb(I|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[C>>2]=27488;B=0;va(448,D|0);G=B;B=0;do if(G&1){J=Rb()|0;K=Q;L=J}else{k[D>>2]=27560;J=f+36|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;k[J+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,D|0,c|0);M=B;B=0;if(M&1){M=Rb()|0;N=Q;Yua(c);Yua(J);Ava(D);K=N;L=M;break}Yua(c);B=0;M=Ia(40,f|0,79833,8)|0;N=B;B=0;do if(((!(N&1)?(B=0,O=Xa(242,M|0,k[a+4>>2]|0)|0,P=B,B=0,!(P&1)):0)?(B=0,Ia(40,O|0,149177,1)|0,O=B,B=0,!(O&1)):0)?(B=0,wa(510,g|0,D|0),O=B,B=0,!(O&1)):0){B=0;ya(424,g|0)|0;O=B;B=0;if(O&1){O=Rb()|0;P=Q;Yua(g);R=P;S=O;break}Yua(g);k[f>>2]=27468;k[C>>2]=27488;k[D>>2]=27560;Yua(J);Ava(D);vva(C);O=h+56|0;P=h+4|0;k[h>>2]=27524;k[O>>2]=27544;B=0;wa(508,h+56|0,P|0);T=B;B=0;if(T&1){T=Rb()|0;U=Q;V=T;vva(O);Qb(V|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[O>>2]=27488;B=0;va(448,P|0);T=B;B=0;do if(T&1){W=Rb()|0;X=Q;Y=W}else{k[P>>2]=27560;W=h+36|0;k[W>>2]=0;k[W+4>>2]=0;k[W+8>>2]=0;k[W+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,P|0,c|0);Z=B;B=0;if(Z&1){Z=Rb()|0;_=Q;Yua(c);Yua(W);Ava(P);X=_;Y=Z;break}Yua(c);B=0;Z=Ia(40,h|0,79842,11)|0;_=B;B=0;do if(_&1)$=85;else{B=0;aa=Xa(242,Z|0,k[a+8>>2]|0)|0;ba=B;B=0;if(ba&1){$=85;break}B=0;Ia(40,aa|0,149177,1)|0;aa=B;B=0;if(aa&1){$=85;break}B=0;wa(510,i|0,P|0);aa=B;B=0;if(aa&1){$=85;break}B=0;ya(424,i|0)|0;aa=B;B=0;if(aa&1){aa=Rb()|0;ba=Q;Yua(i);ca=ba;da=aa;break}Yua(i);k[h>>2]=27468;k[O>>2]=27488;k[P>>2]=27560;Yua(W);Ava(P);vva(O);aa=j+56|0;ba=j+4|0;k[j>>2]=27524;k[aa>>2]=27544;B=0;wa(508,j+56|0,ba|0);ea=B;B=0;if(ea&1){ea=Rb()|0;fa=Q;ga=ea;vva(aa);Qb(ga|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[aa>>2]=27488;B=0;va(448,ba|0);ea=B;B=0;do if(ea&1){ha=Rb()|0;ia=Q;ja=ha}else{k[ba>>2]=27560;ha=j+36|0;k[ha>>2]=0;k[ha+4>>2]=0;k[ha+8>>2]=0;k[ha+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ba|0,c|0);ka=B;B=0;if(ka&1){ka=Rb()|0;la=Q;Yua(c);Yua(ha);Ava(ba);ia=la;ja=ka;break}Yua(c);B=0;ka=Ia(40,j|0,79854,8)|0;la=B;B=0;do if(la&1)$=88;else{B=0;ma=Xa(242,ka|0,k[a+12>>2]|0)|0;na=B;B=0;if(na&1){$=88;break}B=0;Ia(40,ma|0,149177,1)|0;ma=B;B=0;if(ma&1){$=88;break}B=0;wa(510,l|0,ba|0);ma=B;B=0;if(ma&1){$=88;break}B=0;ya(424,l|0)|0;ma=B;B=0;if(ma&1){ma=Rb()|0;na=Q;Yua(l);oa=na;pa=ma;break}Yua(l);k[j>>2]=27468;k[aa>>2]=27488;k[ba>>2]=27560;Yua(ha);Ava(ba);vva(aa);ma=m+56|0;na=m+4|0;k[m>>2]=27524;k[ma>>2]=27544;B=0;wa(508,m+56|0,na|0);qa=B;B=0;if(qa&1){qa=Rb()|0;ra=Q;sa=qa;vva(ma);Qb(sa|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[ma>>2]=27488;B=0;va(448,na|0);qa=B;B=0;do if(qa&1){ta=Rb()|0;ua=Q;xa=ta}else{k[na>>2]=27560;ta=m+36|0;k[ta>>2]=0;k[ta+4>>2]=0;k[ta+8>>2]=0;k[ta+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,na|0,c|0);za=B;B=0;if(za&1){za=Rb()|0;Aa=Q;Yua(c);Yua(ta);Ava(na);ua=Aa;xa=za;break}Yua(c);B=0;za=Ia(40,m|0,109037,10)|0;Aa=B;B=0;do if(Aa&1)$=91;else{B=0;Ba=Sa(1,za|0,+(+p[a+16>>3]))|0;Ca=B;B=0;if(Ca&1){$=91;break}B=0;Ia(40,Ba|0,149177,1)|0;Ba=B;B=0;if(Ba&1){$=91;break}B=0;wa(510,n|0,na|0);Ba=B;B=0;if(Ba&1){$=91;break}B=0;ya(424,n|0)|0;Ba=B;B=0;if(Ba&1){Ba=Rb()|0;Ca=Q;Yua(n);Da=Ca;Ea=Ba;break}Yua(n);k[m>>2]=27468;k[ma>>2]=27488;k[na>>2]=27560;Yua(ta);Ava(na);vva(ma);Ba=o+56|0;Ca=o+4|0;k[o>>2]=27524;k[Ba>>2]=27544;B=0;wa(508,o+56|0,Ca|0);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;Ga=Q;Ha=Fa;vva(Ba);Qb(Ha|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[Ba>>2]=27488;B=0;va(448,Ca|0);Fa=B;B=0;do if(Fa&1){Ja=Rb()|0;Ka=Q;La=Ja}else{k[Ca>>2]=27560;Ja=o+36|0;k[Ja>>2]=0;k[Ja+4>>2]=0;k[Ja+8>>2]=0;k[Ja+12>>2]=0;k[o+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ca|0,c|0);Ma=B;B=0;if(Ma&1){Ma=Rb()|0;Na=Q;Yua(c);Yua(Ja);Ava(Ca);Ka=Na;La=Ma;break}Yua(c);B=0;Ma=Ia(40,o|0,144094,18)|0;Na=B;B=0;do if(!(Na&1)){B=0;Oa=ya(427,k[a+24>>2]|0)|0;Pa=B;B=0;if(Pa&1){$=94;break}Pa=Lta(Oa)|0;B=0;Qa=Ia(40,Ma|0,Oa|0,Pa|0)|0;Pa=B;B=0;if(Pa&1){$=94;break}B=0;Ia(40,Qa|0,149177,1)|0;Qa=B;B=0;if(Qa&1){$=94;break}B=0;wa(510,q|0,Ca|0);Qa=B;B=0;if(Qa&1){$=94;break}B=0;ya(424,q|0)|0;Qa=B;B=0;if(Qa&1){Qa=Rb()|0;Pa=Q;Yua(q);Ra=Pa;Ta=Qa;break}else{Yua(q);k[o>>2]=27468;k[Ba>>2]=27488;k[Ca>>2]=27560;Yua(Ja);Ava(Ca);vva(Ba);r=b;return}}else $=94;while(0);if(($|0)==94){Ma=Rb()|0;Ra=Q;Ta=Ma}k[o>>2]=27468;k[Ba>>2]=27488;k[Ca>>2]=27560;Yua(Ja);Ava(Ca);vva(Ba);Ua=Ra;Va=Ta;Qb(Va|0)}while(0);Ga=Ka;Ha=La;vva(Ba);Qb(Ha|0)}while(0);if(($|0)==91){za=Rb()|0;Da=Q;Ea=za}k[m>>2]=27468;k[ma>>2]=27488;k[na>>2]=27560;Yua(ta);Ava(na);vva(ma);Ua=Da;Va=Ea;Qb(Va|0)}while(0);ra=ua;sa=xa;vva(ma);Qb(sa|0)}while(0);if(($|0)==88){ka=Rb()|0;oa=Q;pa=ka}k[j>>2]=27468;k[aa>>2]=27488;k[ba>>2]=27560;Yua(ha);Ava(ba);vva(aa);Ua=oa;Va=pa;Qb(Va|0)}while(0);fa=ia;ga=ja;vva(aa);Qb(ga|0)}while(0);if(($|0)==85){Z=Rb()|0;ca=Q;da=Z}k[h>>2]=27468;k[O>>2]=27488;k[P>>2]=27560;Yua(W);Ava(P);vva(O);Ua=ca;Va=da;Qb(Va|0)}while(0);U=X;V=Y;vva(O);Qb(V|0)}else $=82;while(0);if(($|0)==82){M=Rb()|0;R=Q;S=M}k[f>>2]=27468;k[C>>2]=27488;k[D>>2]=27560;Yua(J);Ava(D);vva(C);Ua=R;Va=S;Qb(Va|0)}while(0);H=K;I=L;vva(C);Qb(I|0)}else $=79;while(0);if(($|0)==79){A=Rb()|0;E=Q;F=A}k[d>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);Ua=E;Va=F;Qb(Va|0)}while(0);v=y;w=z;vva(s);Qb(w|0)}function DK(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Ta=0,Ua=0,Va=0;b=r;r=r+928|0;c=b+904|0;d=b+744|0;e=b+892|0;f=b+592|0;g=b+880|0;h=b+440|0;i=b+728|0;j=b+304|0;l=b+576|0;m=b+152|0;n=b+288|0;o=b+16|0;q=b;s=d+56|0;t=d+4|0;k[d>>2]=27524;k[s>>2]=27544;B=0;wa(508,d+56|0,t|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;w=u;vva(s);Qb(w|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[s>>2]=27488;B=0;va(448,t|0);u=B;B=0;do if(u&1){x=Rb()|0;y=Q;z=x}else{k[t>>2]=27560;x=d+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,t|0,c|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(c);Yua(x);Ava(t);y=C;z=A;break}Yua(c);B=0;Ia(40,d|0,79618,11)|0;A=B;B=0;do if(!(A&1)?(B=0,wa(510,e|0,t|0),C=B,B=0,!(C&1)):0){B=0;ya(424,e|0)|0;C=B;B=0;if(C&1){C=Rb()|0;D=Q;Yua(e);E=D;F=C;break}Yua(e);k[d>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);C=f+56|0;D=f+4|0;k[f>>2]=27524;k[C>>2]=27544;B=0;wa(508,f+56|0,D|0);G=B;B=0;if(G&1){G=Rb()|0;H=Q;I=G;vva(C);Qb(I|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[C>>2]=27488;B=0;va(448,D|0);G=B;B=0;do if(G&1){J=Rb()|0;K=Q;L=J}else{k[D>>2]=27560;J=f+36|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;k[J+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,D|0,c|0);M=B;B=0;if(M&1){M=Rb()|0;N=Q;Yua(c);Yua(J);Ava(D);K=N;L=M;break}Yua(c);B=0;M=Ia(40,f|0,79833,8)|0;N=B;B=0;do if(((!(N&1)?(B=0,O=Xa(242,M|0,k[a+4>>2]|0)|0,P=B,B=0,!(P&1)):0)?(B=0,Ia(40,O|0,149177,1)|0,O=B,B=0,!(O&1)):0)?(B=0,wa(510,g|0,D|0),O=B,B=0,!(O&1)):0){B=0;ya(424,g|0)|0;O=B;B=0;if(O&1){O=Rb()|0;P=Q;Yua(g);R=P;S=O;break}Yua(g);k[f>>2]=27468;k[C>>2]=27488;k[D>>2]=27560;Yua(J);Ava(D);vva(C);O=h+56|0;P=h+4|0;k[h>>2]=27524;k[O>>2]=27544;B=0;wa(508,h+56|0,P|0);T=B;B=0;if(T&1){T=Rb()|0;U=Q;V=T;vva(O);Qb(V|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[O>>2]=27488;B=0;va(448,P|0);T=B;B=0;do if(T&1){W=Rb()|0;X=Q;Y=W}else{k[P>>2]=27560;W=h+36|0;k[W>>2]=0;k[W+4>>2]=0;k[W+8>>2]=0;k[W+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,P|0,c|0);Z=B;B=0;if(Z&1){Z=Rb()|0;_=Q;Yua(c);Yua(W);Ava(P);X=_;Y=Z;break}Yua(c);B=0;Z=Ia(40,h|0,79842,11)|0;_=B;B=0;do if(_&1)$=85;else{B=0;aa=Xa(242,Z|0,k[a+8>>2]|0)|0;ba=B;B=0;if(ba&1){$=85;break}B=0;Ia(40,aa|0,149177,1)|0;aa=B;B=0;if(aa&1){$=85;break}B=0;wa(510,i|0,P|0);aa=B;B=0;if(aa&1){$=85;break}B=0;ya(424,i|0)|0;aa=B;B=0;if(aa&1){aa=Rb()|0;ba=Q;Yua(i);ca=ba;da=aa;break}Yua(i);k[h>>2]=27468;k[O>>2]=27488;k[P>>2]=27560;Yua(W);Ava(P);vva(O);aa=j+56|0;ba=j+4|0;k[j>>2]=27524;k[aa>>2]=27544;B=0;wa(508,j+56|0,ba|0);ea=B;B=0;if(ea&1){ea=Rb()|0;fa=Q;ga=ea;vva(aa);Qb(ga|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[aa>>2]=27488;B=0;va(448,ba|0);ea=B;B=0;do if(ea&1){ha=Rb()|0;ia=Q;ja=ha}else{k[ba>>2]=27560;ha=j+36|0;k[ha>>2]=0;k[ha+4>>2]=0;k[ha+8>>2]=0;k[ha+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ba|0,c|0);ka=B;B=0;if(ka&1){ka=Rb()|0;la=Q;Yua(c);Yua(ha);Ava(ba);ia=la;ja=ka;break}Yua(c);B=0;ka=Ia(40,j|0,79854,8)|0;la=B;B=0;do if(la&1)$=88;else{B=0;ma=Xa(242,ka|0,k[a+12>>2]|0)|0;na=B;B=0;if(na&1){$=88;break}B=0;Ia(40,ma|0,149177,1)|0;ma=B;B=0;if(ma&1){$=88;break}B=0;wa(510,l|0,ba|0);ma=B;B=0;if(ma&1){$=88;break}B=0;ya(424,l|0)|0;ma=B;B=0;if(ma&1){ma=Rb()|0;na=Q;Yua(l);oa=na;pa=ma;break}Yua(l);k[j>>2]=27468;k[aa>>2]=27488;k[ba>>2]=27560;Yua(ha);Ava(ba);vva(aa);ma=m+56|0;na=m+4|0;k[m>>2]=27524;k[ma>>2]=27544;B=0;wa(508,m+56|0,na|0);qa=B;B=0;if(qa&1){qa=Rb()|0;ra=Q;sa=qa;vva(ma);Qb(sa|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[ma>>2]=27488;B=0;va(448,na|0);qa=B;B=0;do if(qa&1){ta=Rb()|0;ua=Q;xa=ta}else{k[na>>2]=27560;ta=m+36|0;k[ta>>2]=0;k[ta+4>>2]=0;k[ta+8>>2]=0;k[ta+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,na|0,c|0);za=B;B=0;if(za&1){za=Rb()|0;Aa=Q;Yua(c);Yua(ta);Ava(na);ua=Aa;xa=za;break}Yua(c);B=0;za=Ia(40,m|0,109037,10)|0;Aa=B;B=0;do if(Aa&1)$=91;else{B=0;Ba=Sa(1,za|0,+(+p[a+16>>3]))|0;Ca=B;B=0;if(Ca&1){$=91;break}B=0;Ia(40,Ba|0,149177,1)|0;Ba=B;B=0;if(Ba&1){$=91;break}B=0;wa(510,n|0,na|0);Ba=B;B=0;if(Ba&1){$=91;break}B=0;ya(424,n|0)|0;Ba=B;B=0;if(Ba&1){Ba=Rb()|0;Ca=Q;Yua(n);Da=Ca;Ea=Ba;break}Yua(n);k[m>>2]=27468;k[ma>>2]=27488;k[na>>2]=27560;Yua(ta);Ava(na);vva(ma);Ba=o+56|0;Ca=o+4|0;k[o>>2]=27524;k[Ba>>2]=27544;B=0;wa(508,o+56|0,Ca|0);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;Ga=Q;Ha=Fa;vva(Ba);Qb(Ha|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[Ba>>2]=27488;B=0;va(448,Ca|0);Fa=B;B=0;do if(Fa&1){Ja=Rb()|0;Ka=Q;La=Ja}else{k[Ca>>2]=27560;Ja=o+36|0;k[Ja>>2]=0;k[Ja+4>>2]=0;k[Ja+8>>2]=0;k[Ja+12>>2]=0;k[o+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ca|0,c|0);Ma=B;B=0;if(Ma&1){Ma=Rb()|0;Na=Q;Yua(c);Yua(Ja);Ava(Ca);Ka=Na;La=Ma;break}Yua(c);B=0;Ma=Ia(40,o|0,144094,18)|0;Na=B;B=0;do if(!(Na&1)){B=0;Oa=ya(427,k[a+24>>2]|0)|0;Pa=B;B=0;if(Pa&1){$=94;break}Pa=Lta(Oa)|0;B=0;Qa=Ia(40,Ma|0,Oa|0,Pa|0)|0;Pa=B;B=0;if(Pa&1){$=94;break}B=0;Ia(40,Qa|0,149177,1)|0;Qa=B;B=0;if(Qa&1){$=94;break}B=0;wa(510,q|0,Ca|0);Qa=B;B=0;if(Qa&1){$=94;break}B=0;ya(424,q|0)|0;Qa=B;B=0;if(Qa&1){Qa=Rb()|0;Pa=Q;Yua(q);Ra=Pa;Ta=Qa;break}else{Yua(q);k[o>>2]=27468;k[Ba>>2]=27488;k[Ca>>2]=27560;Yua(Ja);Ava(Ca);vva(Ba);r=b;return}}else $=94;while(0);if(($|0)==94){Ma=Rb()|0;Ra=Q;Ta=Ma}k[o>>2]=27468;k[Ba>>2]=27488;k[Ca>>2]=27560;Yua(Ja);Ava(Ca);vva(Ba);Ua=Ra;Va=Ta;Qb(Va|0)}while(0);Ga=Ka;Ha=La;vva(Ba);Qb(Ha|0)}while(0);if(($|0)==91){za=Rb()|0;Da=Q;Ea=za}k[m>>2]=27468;k[ma>>2]=27488;k[na>>2]=27560;Yua(ta);Ava(na);vva(ma);Ua=Da;Va=Ea;Qb(Va|0)}while(0);ra=ua;sa=xa;vva(ma);Qb(sa|0)}while(0);if(($|0)==88){ka=Rb()|0;oa=Q;pa=ka}k[j>>2]=27468;k[aa>>2]=27488;k[ba>>2]=27560;Yua(ha);Ava(ba);vva(aa);Ua=oa;Va=pa;Qb(Va|0)}while(0);fa=ia;ga=ja;vva(aa);Qb(ga|0)}while(0);if(($|0)==85){Z=Rb()|0;ca=Q;da=Z}k[h>>2]=27468;k[O>>2]=27488;k[P>>2]=27560;Yua(W);Ava(P);vva(O);Ua=ca;Va=da;Qb(Va|0)}while(0);U=X;V=Y;vva(O);Qb(V|0)}else $=82;while(0);if(($|0)==82){M=Rb()|0;R=Q;S=M}k[f>>2]=27468;k[C>>2]=27488;k[D>>2]=27560;Yua(J);Ava(D);vva(C);Ua=R;Va=S;Qb(Va|0)}while(0);H=K;I=L;vva(C);Qb(I|0)}else $=79;while(0);if(($|0)==79){A=Rb()|0;E=Q;F=A}k[d>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(x);Ava(t);vva(s);Ua=E;Va=F;Qb(Va|0)}while(0);v=y;w=z;vva(s);Qb(w|0)}function EK(a){a=a|0;return k[a+4>>2]|0}function FK(a){a=a|0;return 615}function GK(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;switch(d|0){case 0:{d=k[b>>2]|0;i[d>>0]=103;i[d+1>>0]=2;i[d+2>>0]=0;i[d+3>>0]=0;d=(k[b>>2]|0)+4|0;k[b>>2]=d;n=a+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;d=a+8|0;n=l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24;i[o>>0]=n;i[o+1>>0]=n>>8;i[o+2>>0]=n>>16;i[o+3>>0]=n>>24;n=(k[b>>2]|0)+4|0;k[b>>2]=n;o=a+12|0;d=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[n>>0]=d;i[n+1>>0]=d>>8;i[n+2>>0]=d>>16;i[n+3>>0]=d>>24;d=(k[b>>2]|0)+4|0;k[b>>2]=d;n=a+16|0;o=n;q=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;o=n+4|0;n=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;o=d;d=o;i[d>>0]=q;i[d+1>>0]=q>>8;i[d+2>>0]=q>>16;i[d+3>>0]=q>>24;q=o+4|0;i[q>>0]=n;i[q+1>>0]=n>>8;i[q+2>>0]=n>>16;i[q+3>>0]=n>>24;n=(k[b>>2]|0)+8|0;k[b>>2]=n;q=a+24|0;o=l[q>>0]|l[q+1>>0]<<8|l[q+2>>0]<<16|l[q+3>>0]<<24;i[n>>0]=o;i[n+1>>0]=o>>8;i[n+2>>0]=o>>16;i[n+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;i[o>>0]=i[a+28>>0]|0;k[b>>2]=(k[b>>2]|0)+1;r=e;return}case 2:{k[c>>2]=(k[c>>2]|0)+29;r=e;return}case 1:{c=(k[b>>2]|0)+4|0;k[b>>2]=c;o=a+4|0;n=l[c>>0]|l[c+1>>0]<<8|l[c+2>>0]<<16|l[c+3>>0]<<24;i[o>>0]=n;i[o+1>>0]=n>>8;i[o+2>>0]=n>>16;i[o+3>>0]=n>>24;n=(k[b>>2]|0)+4|0;k[b>>2]=n;o=a+8|0;c=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[o>>0]=c;i[o+1>>0]=c>>8;i[o+2>>0]=c>>16;i[o+3>>0]=c>>24;c=(k[b>>2]|0)+4|0;k[b>>2]=c;o=a+12|0;n=l[c>>0]|l[c+1>>0]<<8|l[c+2>>0]<<16|l[c+3>>0]<<24;i[o>>0]=n;i[o+1>>0]=n>>8;i[o+2>>0]=n>>16;i[o+3>>0]=n>>24;n=(k[b>>2]|0)+4|0;k[b>>2]=n;o=a+16|0;i[t>>0]=i[n>>0];i[t+1>>0]=i[n+1>>0];i[t+2>>0]=i[n+2>>0];i[t+3>>0]=i[n+3>>0];i[t+4>>0]=i[n+4>>0];i[t+5>>0]=i[n+5>>0];i[t+6>>0]=i[n+6>>0];i[t+7>>0]=i[n+7>>0];p[t>>3]=+p[t>>3];i[o>>0]=i[t>>0];i[o+1>>0]=i[t+1>>0];i[o+2>>0]=i[t+2>>0];i[o+3>>0]=i[t+3>>0];i[o+4>>0]=i[t+4>>0];i[o+5>>0]=i[t+5>>0];i[o+6>>0]=i[t+6>>0];i[o+7>>0]=i[t+7>>0];o=(k[b>>2]|0)+8|0;k[b>>2]=o;n=a+24|0;c=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[n>>0]=c;i[n+1>>0]=c>>8;i[n+2>>0]=c>>16;i[n+3>>0]=c>>24;c=(k[b>>2]|0)+4|0;k[b>>2]=c;i[a+28>>0]=i[c>>0]|0;k[b>>2]=(k[b>>2]|0)+1;r=e;return}default:{e=g+56|0;b=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,b|0);c=B;B=0;if(c&1){c=Rb()|0;s=Q;u=c;vva(e);Qb(u|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,b|0);c=B;B=0;do if(c&1){a=Rb()|0;v=Q;w=a}else{k[b>>2]=27560;a=g+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,b|0,f|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;Yua(f);Yua(a);Ava(b);v=o;w=n;break}Yua(f);B=0;n=Ia(40,g|0,143951,43)|0;o=B;B=0;if(!(o&1)?(B=0,Xa(239,n|0,0)|0,n=B,B=0,!(n&1)):0){n=Ab(20)|0;B=0;eb(502,h|0,79630,80);o=B;B=0;do if(!(o&1)){B=0;eb(502,j|0,149525,8);q=B;B=0;if(q&1){q=Rb()|0;d=Q;Yua(h);x=d;y=q;break}B=0;wa(510,m|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;z=Q;A=q;C=1}else{B=0;ua(163,n|0,h|0,j|0,83,m|0);q=B;B=0;if(q&1)D=1;else{B=0;eb(503,n|0,1240,229);B=0;D=0}q=Rb()|0;d=Q;Yua(m);z=d;A=q;C=D}Yua(j);Yua(h);if(C){x=z;y=A}else{E=z;F=A;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(e);Qb(F|0)}}else{q=Rb()|0;x=Q;y=q}while(0);zb(n|0);E=x;F=y;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(e);Qb(F|0)}o=Rb()|0;E=Q;F=o;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(e);Qb(F|0)}while(0);s=v;u=w;vva(e);Qb(u|0)}}}function HK(a){a=a|0;i[a+28>>0]=1;return}function IK(a,b,c){a=a|0;b=b|0;c=c|0;c=rh(b,0,k[a+8>>2]|0)|0;if(!c)return;Un(c,k[a+12>>2]|0,+p[a+16>>3]);return}function JK(a,b){a=a|0;b=b|0;return (k[a+24>>2]|0)==(b|0)|0}function KK(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,79711,95);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,80053,18);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,42,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function LK(a){a=a|0;k[a>>2]=33948;return}function MK(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;k[a>>2]=33948;k[a+4>>2]=b;k[a+8>>2]=c;k[a+12>>2]=d;p[a+16>>3]=0.0;k[a+28>>2]=e;i[a+24>>0]=0;i[a+32>>0]=0;return}function NK(a){a=a|0;k[a>>2]=33948;return}function OK(a){a=a|0;Sqa(a);return}function PK(a){a=a|0;var b=0,c=0,d=0;b=Qqa(40)|0;k[b>>2]=33948;c=b+4|0;d=a+4|0;k[c>>2]=k[d>>2];k[c+4>>2]=k[d+4>>2];k[c+8>>2]=k[d+8>>2];k[c+12>>2]=k[d+12>>2];k[c+16>>2]=k[d+16>>2];k[c+20>>2]=k[d+20>>2];k[c+24>>2]=k[d+24>>2];i[c+28>>0]=i[d+28>>0]|0;k[c>>2]=k[d>>2];k[b+8>>2]=k[a+8>>2];k[b+12>>2]=k[a+12>>2];p[b+16>>3]=+p[a+16>>3];k[b+28>>2]=k[a+28>>2];i[b+24>>0]=i[a+24>>0]|0;return b|0}function QK(a){a=a|0;Ec[k[(k[a>>2]|0)+8>>2]&1023](a);return}function RK(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0;b=r;r=r+1072|0;c=b+1052|0;d=b+880|0;e=b+1040|0;f=b+728|0;g=b+1028|0;h=b+592|0;j=b+1016|0;l=b+440|0;m=b+864|0;n=b+304|0;o=b+576|0;q=b+168|0;s=b+152|0;t=b+16|0;u=b;v=d+56|0;w=d+4|0;k[d>>2]=27524;k[v>>2]=27544;B=0;wa(508,d+56|0,w|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;z=x;vva(v);Qb(z|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[v>>2]=27488;B=0;va(448,w|0);x=B;B=0;do if(x&1){A=Rb()|0;C=Q;D=A}else{k[w>>2]=27560;A=d+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,w|0,c|0);E=B;B=0;if(E&1){E=Rb()|0;F=Q;Yua(c);Yua(A);Ava(w);C=F;D=E;break}Yua(c);B=0;Ia(40,d|0,79820,12)|0;E=B;B=0;do if(!(E&1)?(B=0,wa(510,e|0,w|0),F=B,B=0,!(F&1)):0){B=0;ya(424,e|0)|0;F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(e);H=G;I=F;break}Yua(e);k[d>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);F=f+56|0;G=f+4|0;k[f>>2]=27524;k[F>>2]=27544;B=0;wa(508,f+56|0,G|0);J=B;B=0;if(J&1){J=Rb()|0;K=Q;L=J;vva(F);Qb(L|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[F>>2]=27488;B=0;va(448,G|0);J=B;B=0;do if(J&1){M=Rb()|0;N=Q;O=M}else{k[G>>2]=27560;M=f+36|0;k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;k[M+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,G|0,c|0);P=B;B=0;if(P&1){P=Rb()|0;R=Q;Yua(c);Yua(M);Ava(G);N=R;O=P;break}Yua(c);B=0;P=Ia(40,f|0,79833,8)|0;R=B;B=0;do if(((!(R&1)?(B=0,S=Xa(242,P|0,k[a+4>>2]|0)|0,T=B,B=0,!(T&1)):0)?(B=0,Ia(40,S|0,149177,1)|0,S=B,B=0,!(S&1)):0)?(B=0,wa(510,g|0,G|0),S=B,B=0,!(S&1)):0){B=0;ya(424,g|0)|0;S=B;B=0;if(S&1){S=Rb()|0;T=Q;Yua(g);U=T;V=S;break}Yua(g);k[f>>2]=27468;k[F>>2]=27488;k[G>>2]=27560;Yua(M);Ava(G);vva(F);S=h+56|0;T=h+4|0;k[h>>2]=27524;k[S>>2]=27544;B=0;wa(508,h+56|0,T|0);W=B;B=0;if(W&1){W=Rb()|0;X=Q;Y=W;vva(S);Qb(Y|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[S>>2]=27488;B=0;va(448,T|0);W=B;B=0;do if(W&1){Z=Rb()|0;_=Q;$=Z}else{k[T>>2]=27560;Z=h+36|0;k[Z>>2]=0;k[Z+4>>2]=0;k[Z+8>>2]=0;k[Z+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,T|0,c|0);aa=B;B=0;if(aa&1){aa=Rb()|0;ba=Q;Yua(c);Yua(Z);Ava(T);_=ba;$=aa;break}Yua(c);B=0;aa=Ia(40,h|0,79842,11)|0;ba=B;B=0;do if(ba&1)ca=98;else{B=0;da=Xa(242,aa|0,k[a+8>>2]|0)|0;ea=B;B=0;if(ea&1){ca=98;break}B=0;Ia(40,da|0,149177,1)|0;da=B;B=0;if(da&1){ca=98;break}B=0;wa(510,j|0,T|0);da=B;B=0;if(da&1){ca=98;break}B=0;ya(424,j|0)|0;da=B;B=0;if(da&1){da=Rb()|0;ea=Q;Yua(j);fa=ea;ga=da;break}Yua(j);k[h>>2]=27468;k[S>>2]=27488;k[T>>2]=27560;Yua(Z);Ava(T);vva(S);da=l+56|0;ea=l+4|0;k[l>>2]=27524;k[da>>2]=27544;B=0;wa(508,l+56|0,ea|0);ha=B;B=0;if(ha&1){ha=Rb()|0;ia=Q;ja=ha;vva(da);Qb(ja|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[da>>2]=27488;B=0;va(448,ea|0);ha=B;B=0;do if(ha&1){ka=Rb()|0;la=Q;ma=ka}else{k[ea>>2]=27560;ka=l+36|0;k[ka>>2]=0;k[ka+4>>2]=0;k[ka+8>>2]=0;k[ka+12>>2]=0;k[l+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ea|0,c|0);na=B;B=0;if(na&1){na=Rb()|0;oa=Q;Yua(c);Yua(ka);Ava(ea);la=oa;ma=na;break}Yua(c);B=0;na=Ia(40,l|0,79854,8)|0;oa=B;B=0;do if(oa&1)ca=101;else{B=0;pa=Xa(242,na|0,k[a+12>>2]|0)|0;qa=B;B=0;if(qa&1){ca=101;break}B=0;Ia(40,pa|0,149177,1)|0;pa=B;B=0;if(pa&1){ca=101;break}B=0;wa(510,m|0,ea|0);pa=B;B=0;if(pa&1){ca=101;break}B=0;ya(424,m|0)|0;pa=B;B=0;if(pa&1){pa=Rb()|0;qa=Q;Yua(m);ra=qa;sa=pa;break}Yua(m);k[l>>2]=27468;k[da>>2]=27488;k[ea>>2]=27560;Yua(ka);Ava(ea);vva(da);pa=n+56|0;qa=n+4|0;k[n>>2]=27524;k[pa>>2]=27544;B=0;wa(508,n+56|0,qa|0);ta=B;B=0;if(ta&1){ta=Rb()|0;ua=Q;xa=ta;vva(pa);Qb(xa|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[pa>>2]=27488;B=0;va(448,qa|0);ta=B;B=0;do if(ta&1){za=Rb()|0;Aa=Q;Ba=za}else{k[qa>>2]=27560;za=n+36|0;k[za>>2]=0;k[za+4>>2]=0;k[za+8>>2]=0;k[za+12>>2]=0;k[n+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,qa|0,c|0);Ca=B;B=0;if(Ca&1){Ca=Rb()|0;Da=Q;Yua(c);Yua(za);Ava(qa);Aa=Da;Ba=Ca;break}Yua(c);B=0;Ca=Ia(40,n|0,109037,10)|0;Da=B;B=0;do if(Da&1)ca=104;else{B=0;Ea=Sa(1,Ca|0,+(+p[a+16>>3]))|0;Fa=B;B=0;if(Fa&1){ca=104;break}B=0;Ia(40,Ea|0,149177,1)|0;Ea=B;B=0;if(Ea&1){ca=104;break}B=0;wa(510,o|0,qa|0);Ea=B;B=0;if(Ea&1){ca=104;break}B=0;ya(424,o|0)|0;Ea=B;B=0;if(Ea&1){Ea=Rb()|0;Fa=Q;Yua(o);Ga=Fa;Ha=Ea;break}Yua(o);k[n>>2]=27468;k[pa>>2]=27488;k[qa>>2]=27560;Yua(za);Ava(qa);vva(pa);Ea=q+56|0;Fa=q+4|0;k[q>>2]=27524;k[Ea>>2]=27544;B=0;wa(508,q+56|0,Fa|0);Ja=B;B=0;if(Ja&1){Ja=Rb()|0;Ka=Q;La=Ja;vva(Ea);Qb(La|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[Ea>>2]=27488;B=0;va(448,Fa|0);Ja=B;B=0;do if(Ja&1){Ma=Rb()|0;Na=Q;Oa=Ma}else{k[Fa>>2]=27560;Ma=q+36|0;k[Ma>>2]=0;k[Ma+4>>2]=0;k[Ma+8>>2]=0;k[Ma+12>>2]=0;k[q+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Fa|0,c|0);Pa=B;B=0;if(Pa&1){Pa=Rb()|0;Qa=Q;Yua(c);Yua(Ma);Ava(Fa);Na=Qa;Oa=Pa;break}Yua(c);B=0;Pa=Ia(40,q|0,79863,10)|0;Qa=B;B=0;do if(Qa&1)ca=107;else{Ra=(i[a+24>>0]|0)!=0;B=0;Ta=Ia(40,Pa|0,(Ra?159247:159252)|0,(Ra?4:5)|0)|0;Ra=B;B=0;if(Ra&1){ca=107;break}B=0;Ia(40,Ta|0,149177,1)|0;Ta=B;B=0;if(Ta&1){ca=107;break}B=0;wa(510,s|0,Fa|0);Ta=B;B=0;if(Ta&1){ca=107;break}B=0;ya(424,s|0)|0;Ta=B;B=0;if(Ta&1){Ta=Rb()|0;Ra=Q;Yua(s);Ua=Ra;Va=Ta;break}Yua(s);k[q>>2]=27468;k[Ea>>2]=27488;k[Fa>>2]=27560;Yua(Ma);Ava(Fa);vva(Ea);Ta=t+56|0;Ra=t+4|0;k[t>>2]=27524;k[Ta>>2]=27544;B=0;wa(508,t+56|0,Ra|0);Wa=B;B=0;if(Wa&1){Wa=Rb()|0;Ya=Q;Za=Wa;vva(Ta);Qb(Za|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[Ta>>2]=27488;B=0;va(448,Ra|0);Wa=B;B=0;do if(Wa&1){_a=Rb()|0;$a=Q;ab=_a}else{k[Ra>>2]=27560;_a=t+36|0;k[_a>>2]=0;k[_a+4>>2]=0;k[_a+8>>2]=0;k[_a+12>>2]=0;k[t+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ra|0,c|0);bb=B;B=0;if(bb&1){bb=Rb()|0;cb=Q;Yua(c);Yua(_a);Ava(Ra);$a=cb;ab=bb;break}Yua(c);B=0;bb=Ia(40,t|0,144094,18)|0;cb=B;B=0;do if(!(cb&1)){B=0;db=ya(427,k[a+28>>2]|0)|0;eb=B;B=0;if(eb&1){ca=110;break}eb=Lta(db)|0;B=0;fb=Ia(40,bb|0,db|0,eb|0)|0;eb=B;B=0;if(eb&1){ca=110;break}B=0;Ia(40,fb|0,149177,1)|0;fb=B;B=0;if(fb&1){ca=110;break}B=0;wa(510,u|0,Ra|0);fb=B;B=0;if(fb&1){ca=110;break}B=0;ya(424,u|0)|0;fb=B;B=0;if(fb&1){fb=Rb()|0;eb=Q;Yua(u);gb=eb;hb=fb;break}else{Yua(u);k[t>>2]=27468;k[Ta>>2]=27488;k[Ra>>2]=27560;Yua(_a);Ava(Ra);vva(Ta);r=b;return}}else ca=110;while(0);if((ca|0)==110){bb=Rb()|0;gb=Q;hb=bb}k[t>>2]=27468;k[Ta>>2]=27488;k[Ra>>2]=27560;Yua(_a);Ava(Ra);vva(Ta);ib=gb;jb=hb;Qb(jb|0)}while(0);Ya=$a;Za=ab;vva(Ta);Qb(Za|0)}while(0);if((ca|0)==107){Pa=Rb()|0;Ua=Q;Va=Pa}k[q>>2]=27468;k[Ea>>2]=27488;k[Fa>>2]=27560;Yua(Ma);Ava(Fa);vva(Ea);ib=Ua;jb=Va;Qb(jb|0)}while(0);Ka=Na;La=Oa;vva(Ea);Qb(La|0)}while(0);if((ca|0)==104){Ca=Rb()|0;Ga=Q;Ha=Ca}k[n>>2]=27468;k[pa>>2]=27488;k[qa>>2]=27560;Yua(za);Ava(qa);vva(pa);ib=Ga;jb=Ha;Qb(jb|0)}while(0);ua=Aa;xa=Ba;vva(pa);Qb(xa|0)}while(0);if((ca|0)==101){na=Rb()|0;ra=Q;sa=na}k[l>>2]=27468;k[da>>2]=27488;k[ea>>2]=27560;Yua(ka);Ava(ea);vva(da);ib=ra;jb=sa;Qb(jb|0)}while(0);ia=la;ja=ma;vva(da);Qb(ja|0)}while(0);if((ca|0)==98){aa=Rb()|0;fa=Q;ga=aa}k[h>>2]=27468;k[S>>2]=27488;k[T>>2]=27560;Yua(Z);Ava(T);vva(S);ib=fa;jb=ga;Qb(jb|0)}while(0);X=_;Y=$;vva(S);Qb(Y|0)}else ca=95;while(0);if((ca|0)==95){P=Rb()|0;U=Q;V=P}k[f>>2]=27468;k[F>>2]=27488;k[G>>2]=27560;Yua(M);Ava(G);vva(F);ib=U;jb=V;Qb(jb|0)}while(0);K=N;L=O;vva(F);Qb(L|0)}else ca=92;while(0);if((ca|0)==92){E=Rb()|0;H=Q;I=E}k[d>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);ib=H;jb=I;Qb(jb|0)}while(0);y=C;z=D;vva(v);Qb(z|0)}function SK(a){a=a|0;return k[a+4>>2]|0}function TK(a){a=a|0;return 614}function UK(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;switch(d|0){case 0:{d=k[b>>2]|0;i[d>>0]=102;i[d+1>>0]=2;i[d+2>>0]=0;i[d+3>>0]=0;d=(k[b>>2]|0)+4|0;k[b>>2]=d;n=a+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[d>>0]=o;i[d+1>>0]=o>>8;i[d+2>>0]=o>>16;i[d+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;d=a+8|0;n=l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24;i[o>>0]=n;i[o+1>>0]=n>>8;i[o+2>>0]=n>>16;i[o+3>>0]=n>>24;n=(k[b>>2]|0)+4|0;k[b>>2]=n;o=a+12|0;d=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[n>>0]=d;i[n+1>>0]=d>>8;i[n+2>>0]=d>>16;i[n+3>>0]=d>>24;d=(k[b>>2]|0)+4|0;k[b>>2]=d;n=a+16|0;o=n;q=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;o=n+4|0;n=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;o=d;d=o;i[d>>0]=q;i[d+1>>0]=q>>8;i[d+2>>0]=q>>16;i[d+3>>0]=q>>24;q=o+4|0;i[q>>0]=n;i[q+1>>0]=n>>8;i[q+2>>0]=n>>16;i[q+3>>0]=n>>24;n=(k[b>>2]|0)+8|0;k[b>>2]=n;q=a+28|0;o=l[q>>0]|l[q+1>>0]<<8|l[q+2>>0]<<16|l[q+3>>0]<<24;i[n>>0]=o;i[n+1>>0]=o>>8;i[n+2>>0]=o>>16;i[n+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;i[o>>0]=i[a+24>>0]|0;o=(k[b>>2]|0)+1|0;k[b>>2]=o;i[o>>0]=i[a+32>>0]|0;k[b>>2]=(k[b>>2]|0)+1;r=e;return}case 2:{k[c>>2]=(k[c>>2]|0)+30;r=e;return}case 1:{c=(k[b>>2]|0)+4|0;k[b>>2]=c;o=a+4|0;n=l[c>>0]|l[c+1>>0]<<8|l[c+2>>0]<<16|l[c+3>>0]<<24;i[o>>0]=n;i[o+1>>0]=n>>8;i[o+2>>0]=n>>16;i[o+3>>0]=n>>24;n=(k[b>>2]|0)+4|0;k[b>>2]=n;o=a+8|0;c=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[o>>0]=c;i[o+1>>0]=c>>8;i[o+2>>0]=c>>16;i[o+3>>0]=c>>24;c=(k[b>>2]|0)+4|0;k[b>>2]=c;o=a+12|0;n=l[c>>0]|l[c+1>>0]<<8|l[c+2>>0]<<16|l[c+3>>0]<<24;i[o>>0]=n;i[o+1>>0]=n>>8;i[o+2>>0]=n>>16;i[o+3>>0]=n>>24;n=(k[b>>2]|0)+4|0;k[b>>2]=n;o=a+16|0;i[t>>0]=i[n>>0];i[t+1>>0]=i[n+1>>0];i[t+2>>0]=i[n+2>>0];i[t+3>>0]=i[n+3>>0];i[t+4>>0]=i[n+4>>0];i[t+5>>0]=i[n+5>>0];i[t+6>>0]=i[n+6>>0];i[t+7>>0]=i[n+7>>0];p[t>>3]=+p[t>>3];i[o>>0]=i[t>>0];i[o+1>>0]=i[t+1>>0];i[o+2>>0]=i[t+2>>0];i[o+3>>0]=i[t+3>>0];i[o+4>>0]=i[t+4>>0];i[o+5>>0]=i[t+5>>0];i[o+6>>0]=i[t+6>>0];i[o+7>>0]=i[t+7>>0];o=(k[b>>2]|0)+8|0;k[b>>2]=o;n=a+28|0;c=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[n>>0]=c;i[n+1>>0]=c>>8;i[n+2>>0]=c>>16;i[n+3>>0]=c>>24;c=(k[b>>2]|0)+4|0;k[b>>2]=c;i[a+24>>0]=i[c>>0]|0;c=(k[b>>2]|0)+1|0;k[b>>2]=c;i[a+32>>0]=i[c>>0]|0;k[b>>2]=(k[b>>2]|0)+1;r=e;return}default:{e=g+56|0;b=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,b|0);c=B;B=0;if(c&1){c=Rb()|0;s=Q;u=c;vva(e);Qb(u|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,b|0);c=B;B=0;do if(c&1){a=Rb()|0;v=Q;w=a}else{k[b>>2]=27560;a=g+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,b|0,f|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;Yua(f);Yua(a);Ava(b);v=o;w=n;break}Yua(f);B=0;n=Ia(40,g|0,143951,43)|0;o=B;B=0;if(!(o&1)?(B=0,Xa(239,n|0,0)|0,n=B,B=0,!(n&1)):0){n=Ab(20)|0;B=0;eb(502,h|0,79874,81);o=B;B=0;do if(!(o&1)){B=0;eb(502,j|0,149525,8);q=B;B=0;if(q&1){q=Rb()|0;d=Q;Yua(h);x=d;y=q;break}B=0;wa(510,m|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;z=Q;A=q;C=1}else{B=0;ua(163,n|0,h|0,j|0,81,m|0);q=B;B=0;if(q&1)D=1;else{B=0;eb(503,n|0,1240,229);B=0;D=0}q=Rb()|0;d=Q;Yua(m);z=d;A=q;C=D}Yua(j);Yua(h);if(C){x=z;y=A}else{E=z;F=A;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(e);Qb(F|0)}}else{q=Rb()|0;x=Q;y=q}while(0);zb(n|0);E=x;F=y;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(e);Qb(F|0)}o=Rb()|0;E=Q;F=o;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(e);Qb(F|0)}while(0);s=v;u=w;vva(e);Qb(u|0)}}}function VK(a){a=a|0;i[a+32>>0]=1;return}function WK(a,b,c){a=a|0;b=b|0;c=c|0;c=rh(b,0,k[a+8>>2]|0)|0;if(!c)return;Un(c,k[a+12>>2]|0,+p[a+16>>3]);return}function XK(a,b){a=a|0;b=b|0;return (k[a+28>>2]|0)==(b|0)|0}function YK(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=rh(b,0,k[a+8>>2]|0)|0;b=c+((Nn(d,k[a+12>>2]|0,943)|0)<<3)|0;p[a+16>>3]=+p[b>>3];i[a+24>>0]=1;return}function ZK(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,79956,96);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,80053,18);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,43,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function _K(a){a=a|0;gh(a);k[a+12>>2]=547;return}function $K(a){a=a|0;jh(a);return}function aL(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0;c=r;r=r+16|0;d=c+4|0;e=c;k[d>>2]=0;k[e>>2]=0;if((th(a)|0)>0){f=0;g=0;while(1){h=qh(a,g)|0;if(ed[k[(k[h>>2]|0)+60>>2]&511](h,b)|0?Hc[k[(k[h>>2]|0)+64>>2]&511](h)|0:0){h=f+1|0;k[d>>2]=h;i=h}else i=f;g=g+1|0;if((g|0)>=(th(a)|0))break;else f=i}}fZ(d,e,1,4,4,uY()|0)|0;r=c;return (k[e>>2]|0)!=0|0}function bL(a){a=a|0;return th(a)|0}function cL(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;c=r;r=r+16|0;d=c+4|0;e=c;k[d>>2]=0;if((th(a)|0)>0){f=0;g=0;while(1){h=qh(a,g)|0;if(ed[k[(k[h>>2]|0)+60>>2]&511](h,b)|0?(i=Hc[k[(k[h>>2]|0)+56>>2]&511](h)|0,(i|0)>(f|0)):0){k[d>>2]=i;j=i}else j=f;g=g+1|0;if((g|0)>=(th(a)|0))break;else f=j}}fZ(d,e,1,4,1,uY()|0)|0;r=c;return k[e>>2]|0}function dL(a){a=a|0;var b=0,c=0,d=0,e=0;b=r;r=r+16|0;c=b+4|0;d=b;e=th(a)|0;k[c>>2]=e;nZ(c,d,1,4,4,0,uY()|0)|0;uY()|0;r=b;return k[d>>2]|0}function eL(a){a=a|0;var b=0,c=0,d=0;b=k[a>>2]|0;c=a+4|0;if(b>>>0<(k[c>>2]|0)>>>0)d=b;else return;do{b=k[d>>2]|0;Ec[k[(k[b>>2]|0)+80>>2]&1023](b);d=d+4|0}while(d>>>0<(k[c>>2]|0)>>>0);return}function fL(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;h=k[a>>2]|0;i=a+4|0;if(h>>>0<(k[i>>2]|0)>>>0)j=h;else return;do{h=k[j>>2]|0;ad[k[(k[h>>2]|0)+84>>2]&63](h,b,c,d,e,f,g);j=j+4|0}while(j>>>0<(k[i>>2]|0)>>>0);return}function gL(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;if((th(a)|0)>0){c=0;d=0}else{e=0;return e|0}while(1){f=qh(a,c)|0;g=((ed[k[(k[f>>2]|0)+60>>2]&511](f,b)|0)&1)+d|0;c=c+1|0;if((c|0)>=(th(a)|0)){e=g;break}else d=g}return e|0}function hL(a){a=a|0;k[a>>2]=34004;k[a+4>>2]=34124;k[a+16>>2]=0;k[a+20>>2]=0;k[a+24>>2]=0;return}function iL(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;k[a>>2]=34004;k[a+4>>2]=34124;k[a+8>>2]=b;k[a+12>>2]=d;B=0;d=ya(423,16)|0;b=B;B=0;if(b&1){b=Rb()|0;e=Q;f=b;Qb(f|0)}B=0;eb(509,d|0,c|0,2);c=B;B=0;if(!(c&1)){k[a+16>>2]=d;k[a+24>>2]=0;k[a+20>>2]=0;return}a=Rb()|0;c=Q;Sqa(d);e=c;f=a;Qb(f|0)}function jL(a){a=a|0;var b=0;k[a>>2]=34004;k[a+4>>2]=34124;b=k[a+16>>2]|0;if(!b)return;yla(b);Sqa(b);return}function kL(a){a=a|0;var b=0;k[a>>2]=34004;k[a+4>>2]=34124;b=k[a+16>>2]|0;if(!b){Sqa(a);return}yla(b);Sqa(b);Sqa(a);return}function lL(a){a=a|0;var b=0,c=0,d=0;b=Qqa(28)|0;k[b>>2]=34004;k[b+4>>2]=34124;k[b+8>>2]=k[a+8>>2];k[b+12>>2]=k[a+12>>2];c=Bla(k[a+16>>2]|0)|0;k[b+16>>2]=c;d=Gla(c)|0;k[b+20>>2]=d;k[b+24>>2]=k[a+24>>2];return b|0}function mL(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;switch(d|0){case 0:{n=k[b>>2]|0;i[n>>0]=82;i[n+1>>0]=2;i[n+2>>0]=0;i[n+3>>0]=0;n=(k[b>>2]|0)+4|0;k[b>>2]=n;o=a+8|0;p=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[n>>0]=p;i[n+1>>0]=p>>8;i[n+2>>0]=p>>16;i[n+3>>0]=p>>24;p=(k[b>>2]|0)+4|0;k[b>>2]=p;n=a+12|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[p>>0]=o;i[p+1>>0]=o>>8;i[p+2>>0]=o>>16;i[p+3>>0]=o>>24;k[b>>2]=(k[b>>2]|0)+4;q=a+16|0;s=k[q>>2]|0;Cla(s,b,c,d);t=k[q>>2]|0;u=Gla(t)|0;v=a+20|0;k[v>>2]=u;r=e;return}case 2:{k[c>>2]=(k[c>>2]|0)+12;q=a+16|0;s=k[q>>2]|0;Cla(s,b,c,d);t=k[q>>2]|0;u=Gla(t)|0;v=a+20|0;k[v>>2]=u;r=e;return}case 1:{o=(k[b>>2]|0)+4|0;k[b>>2]=o;p=a+8|0;n=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[p>>0]=n;i[p+1>>0]=n>>8;i[p+2>>0]=n>>16;i[p+3>>0]=n>>24;n=(k[b>>2]|0)+4|0;k[b>>2]=n;p=a+12|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[p>>0]=o;i[p+1>>0]=o>>8;i[p+2>>0]=o>>16;i[p+3>>0]=o>>24;k[b>>2]=(k[b>>2]|0)+4;o=Qqa(16)|0;B=0;va(489,o|0);p=B;B=0;if(p&1){p=Rb()|0;n=Q;Sqa(o);w=n;x=p;Qb(x|0)}else{k[a+16>>2]=o;q=a+16|0;s=k[q>>2]|0;Cla(s,b,c,d);t=k[q>>2]|0;u=Gla(t)|0;v=a+20|0;k[v>>2]=u;r=e;return}break}default:{e=g+56|0;u=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,u|0);v=B;B=0;if(v&1){v=Rb()|0;y=Q;z=v;vva(e);Qb(z|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,u|0);v=B;B=0;do if(v&1){a=Rb()|0;A=Q;C=a}else{k[u>>2]=27560;a=g+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,u|0,f|0);t=B;B=0;if(t&1){t=Rb()|0;q=Q;Yua(f);Yua(a);Ava(u);A=q;C=t;break}Yua(f);B=0;t=Ia(40,g|0,143951,43)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,t|0,0)|0,d=B,B=0,!(d&1)):0){d=Ab(20)|0;B=0;eb(502,h|0,80081,72);c=B;B=0;do if(!(c&1)){B=0;eb(502,j|0,149525,8);b=B;B=0;if(b&1){b=Rb()|0;s=Q;Yua(h);D=s;E=b;break}B=0;wa(510,m|0,u|0);b=B;B=0;if(b&1){b=Rb()|0;F=b;G=Q;H=1}else{B=0;ua(163,d|0,h|0,j|0,73,m|0);b=B;B=0;if(b&1)I=1;else{B=0;eb(503,d|0,1240,229);B=0;I=0}b=Rb()|0;s=Q;Yua(m);F=b;G=s;H=I}Yua(j);Yua(h);if(H){D=G;E=F}else{J=G;K=F;break a}}else{s=Rb()|0;D=Q;E=s}while(0);zb(d|0);J=D;K=E}else L=17;while(0);if((L|0)==17){t=Rb()|0;J=Q;K=t}k[g>>2]=27468;k[e>>2]=27488;k[u>>2]=27560;Yua(a);Ava(u);vva(e);w=J;x=K;Qb(x|0)}while(0);y=A;z=C;vva(e);Qb(z|0)}}}function nL(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;b=r;r=r+464|0;c=b+452|0;d=b+304|0;e=b+440|0;f=b+152|0;g=b+288|0;h=b+16|0;i=b;j=d+56|0;l=d+4|0;k[d>>2]=27524;k[j>>2]=27544;B=0;wa(508,d+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(j);Qb(o|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[j>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){p=Rb()|0;q=Q;s=p}else{k[l>>2]=27560;p=d+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,l|0,c|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(c);Yua(p);Ava(l);q=u;s=t;break}Yua(c);B=0;Ia(40,d|0,80154,9)|0;t=B;B=0;do if(!(t&1)?(B=0,wa(510,e|0,l|0),u=B,B=0,!(u&1)):0){B=0;ya(424,e|0)|0;u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}Yua(e);k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);u=f+56|0;v=f+4|0;k[f>>2]=27524;k[u>>2]=27544;B=0;wa(508,f+56|0,v|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;A=y;vva(u);Qb(A|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[u>>2]=27488;B=0;va(448,v|0);y=B;B=0;do if(y&1){C=Rb()|0;D=Q;E=C}else{k[v>>2]=27560;C=f+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,v|0,c|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(c);Yua(C);Ava(v);D=G;E=F;break}Yua(c);B=0;F=Ia(40,f|0,144086,7)|0;G=B;B=0;do if(((!(G&1)?(B=0,H=Xa(242,F|0,k[a+8>>2]|0)|0,I=B,B=0,!(I&1)):0)?(B=0,Ia(40,H|0,149177,1)|0,H=B,B=0,!(H&1)):0)?(B=0,wa(510,g|0,v|0),H=B,B=0,!(H&1)):0){B=0;ya(424,g|0)|0;H=B;B=0;if(H&1){H=Rb()|0;I=Q;Yua(g);J=I;K=H;break}Yua(g);k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(C);Ava(v);vva(u);H=h+56|0;I=h+4|0;k[h>>2]=27524;k[H>>2]=27544;B=0;wa(508,h+56|0,I|0);L=B;B=0;if(L&1){L=Rb()|0;M=Q;N=L;vva(H);Qb(N|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[H>>2]=27488;B=0;va(448,I|0);L=B;B=0;do if(L&1){O=Rb()|0;P=Q;R=O}else{k[I>>2]=27560;O=h+36|0;k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;k[O+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,I|0,c|0);S=B;B=0;if(S&1){S=Rb()|0;T=Q;Yua(c);Yua(O);Ava(I);P=T;R=S;break}Yua(c);B=0;S=Ia(40,h|0,144094,18)|0;T=B;B=0;do if(!(T&1)){B=0;U=ya(427,k[a+12>>2]|0)|0;V=B;B=0;if(V&1){W=46;break}V=Lta(U)|0;B=0;X=Ia(40,S|0,U|0,V|0)|0;V=B;B=0;if(V&1){W=46;break}B=0;Ia(40,X|0,149177,1)|0;X=B;B=0;if(X&1){W=46;break}B=0;wa(510,i|0,I|0);X=B;B=0;if(X&1){W=46;break}B=0;ya(424,i|0)|0;X=B;B=0;if(X&1){X=Rb()|0;V=Q;Yua(i);Y=V;Z=X;break}else{Yua(i);k[h>>2]=27468;k[H>>2]=27488;k[I>>2]=27560;Yua(O);Ava(I);vva(H);Ala(k[a+16>>2]|0);r=b;return}}else W=46;while(0);if((W|0)==46){S=Rb()|0;Y=Q;Z=S}k[h>>2]=27468;k[H>>2]=27488;k[I>>2]=27560;Yua(O);Ava(I);vva(H);_=Y;$=Z;Qb($|0)}while(0);M=P;N=R;vva(H);Qb(N|0)}else W=43;while(0);if((W|0)==43){F=Rb()|0;J=Q;K=F}k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(C);Ava(v);vva(u);_=J;$=K;Qb($|0)}while(0);z=D;A=E;vva(u);Qb(A|0)}else W=40;while(0);if((W|0)==40){t=Rb()|0;w=Q;x=t}k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);_=w;$=x;Qb($|0)}while(0);n=q;o=s;vva(j);Qb(o|0)}function oL(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;b=r;r=r+464|0;c=b+452|0;d=b+304|0;e=b+440|0;f=b+152|0;g=b+288|0;h=b+16|0;i=b;j=d+56|0;l=d+4|0;k[d>>2]=27524;k[j>>2]=27544;B=0;wa(508,d+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(j);Qb(o|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[j>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){p=Rb()|0;q=Q;s=p}else{k[l>>2]=27560;p=d+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,l|0,c|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(c);Yua(p);Ava(l);q=u;s=t;break}Yua(c);B=0;Ia(40,d|0,80154,9)|0;t=B;B=0;do if(!(t&1)?(B=0,wa(510,e|0,l|0),u=B,B=0,!(u&1)):0){B=0;ya(424,e|0)|0;u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}Yua(e);k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);u=f+56|0;v=f+4|0;k[f>>2]=27524;k[u>>2]=27544;B=0;wa(508,f+56|0,v|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;A=y;vva(u);Qb(A|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[u>>2]=27488;B=0;va(448,v|0);y=B;B=0;do if(y&1){C=Rb()|0;D=Q;E=C}else{k[v>>2]=27560;C=f+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,v|0,c|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(c);Yua(C);Ava(v);D=G;E=F;break}Yua(c);B=0;F=Ia(40,f|0,144086,7)|0;G=B;B=0;do if(((!(G&1)?(B=0,H=Xa(242,F|0,k[a+8>>2]|0)|0,I=B,B=0,!(I&1)):0)?(B=0,Ia(40,H|0,149177,1)|0,H=B,B=0,!(H&1)):0)?(B=0,wa(510,g|0,v|0),H=B,B=0,!(H&1)):0){B=0;ya(424,g|0)|0;H=B;B=0;if(H&1){H=Rb()|0;I=Q;Yua(g);J=I;K=H;break}Yua(g);k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(C);Ava(v);vva(u);H=h+56|0;I=h+4|0;k[h>>2]=27524;k[H>>2]=27544;B=0;wa(508,h+56|0,I|0);L=B;B=0;if(L&1){L=Rb()|0;M=Q;N=L;vva(H);Qb(N|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[H>>2]=27488;B=0;va(448,I|0);L=B;B=0;do if(L&1){O=Rb()|0;P=Q;R=O}else{k[I>>2]=27560;O=h+36|0;k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;k[O+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,I|0,c|0);S=B;B=0;if(S&1){S=Rb()|0;T=Q;Yua(c);Yua(O);Ava(I);P=T;R=S;break}Yua(c);B=0;S=Ia(40,h|0,144094,18)|0;T=B;B=0;do if(!(T&1)){B=0;U=ya(427,k[a+12>>2]|0)|0;V=B;B=0;if(V&1){W=46;break}V=Lta(U)|0;B=0;X=Ia(40,S|0,U|0,V|0)|0;V=B;B=0;if(V&1){W=46;break}B=0;Ia(40,X|0,149177,1)|0;X=B;B=0;if(X&1){W=46;break}B=0;wa(510,i|0,I|0);X=B;B=0;if(X&1){W=46;break}B=0;ya(424,i|0)|0;X=B;B=0;if(X&1){X=Rb()|0;V=Q;Yua(i);Y=V;Z=X;break}else{Yua(i);k[h>>2]=27468;k[H>>2]=27488;k[I>>2]=27560;Yua(O);Ava(I);vva(H);zla(k[a+16>>2]|0);r=b;return}}else W=46;while(0);if((W|0)==46){S=Rb()|0;Y=Q;Z=S}k[h>>2]=27468;k[H>>2]=27488;k[I>>2]=27560;Yua(O);Ava(I);vva(H);_=Y;$=Z;Qb($|0)}while(0);M=P;N=R;vva(H);Qb(N|0)}else W=43;while(0);if((W|0)==43){F=Rb()|0;J=Q;K=F}k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(C);Ava(v);vva(u);_=J;$=K;Qb($|0)}while(0);z=D;A=E;vva(u);Qb(A|0)}else W=40;while(0);if((W|0)==40){t=Rb()|0;w=Q;x=t}k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);_=w;$=x;Qb($|0)}while(0);n=q;o=s;vva(j);Qb(o|0)}function pL(a){a=a|0;return k[a+8>>2]|0}function qL(a){a=a|0;return 594}function rL(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;f=a+16|0;Ela(k[f>>2]|0,d);d=Gla(k[f>>2]|0)|0;k[a+20>>2]=d;k[a+24>>2]=g;return}function sL(a,b){a=a|0;b=b|0;nd[k[(k[a>>2]|0)+40>>2]&1023](a,b,0);return}function tL(a,b,c){a=a|0;b=b|0;c=c|0;return}function uL(a,b){a=a|0;b=b|0;return}function vL(a,b){a=a|0;b=b|0;var c=0;c=a+20|0;a=Qn(k[k[c>>2]>>2]|0)|0;k[b>>2]=a;a=Qn(k[(k[c>>2]|0)+4>>2]|0)|0;k[b+4>>2]=a;return}function wL(a,b){a=a|0;b=b|0;var c=0;c=a+20|0;a=Rn(k[k[c>>2]>>2]|0)|0;k[b>>2]=a;a=Rn(k[(k[c>>2]|0)+4>>2]|0)|0;k[b+4>>2]=a;return}function xL(a){a=a|0;return 2}function yL(a,b){a=a|0;b=b|0;return (k[a+12>>2]|0)==(b|0)|0}function zL(a){a=a|0;return 1}function AL(a,b,c){a=a|0;b=b|0;c=+c;md[k[(k[a>>2]|0)+72>>2]&31](a,b,0,c);return}function BL(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;e=r;r=r+192|0;f=e+180|0;g=e+176|0;h=e+40|0;i=e+24|0;j=e+12|0;l=e;cO(k[a+24>>2]|0,g,477);switch(k[g>>2]|0){case 497:{m=CL(a,d)|0;IN(m,b,c);HN(m);Sqa(m);r=e;return}case 510:{m=DL(a,d)|0;IN(m,b,c);HN(m);Sqa(m);r=e;return}default:{e=h+56|0;m=h+4|0;k[h>>2]=27524;k[e>>2]=27544;B=0;wa(508,h+56|0,m|0);c=B;B=0;if(c&1){c=Rb()|0;n=Q;o=c;vva(e);Qb(o|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[e>>2]=27488;B=0;va(448,m|0);c=B;B=0;do if(c&1){b=Rb()|0;p=Q;q=b}else{k[m>>2]=27560;b=h+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[h+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,m|0,f|0);a=B;B=0;if(a&1){a=Rb()|0;s=Q;Yua(f);Yua(b);Ava(m);p=s;q=a;break}Yua(f);B=0;a=Ia(40,h|0,144156,9)|0;s=B;B=0;if((((((!(s&1)?(B=0,s=Xa(242,a|0,k[g>>2]|0)|0,a=B,B=0,!(a&1)):0)?(B=0,a=Ia(40,s|0,144166,2)|0,s=B,B=0,!(s&1)):0)?(B=0,s=ya(427,k[g>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,a|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,144169,19)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,i|0,80081,72);u=B;B=0;do if(!(u&1)){B=0;eb(502,j|0,118091,20);s=B;B=0;if(s&1){s=Rb()|0;a=Q;Yua(i);v=a;w=s;break}B=0;wa(510,l|0,m|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,i|0,j|0,197,l|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;a=Q;Yua(l);x=a;y=s;z=A}Yua(j);Yua(i);if(z){v=x;w=y}else{C=x;D=y;k[h>>2]=27468;k[e>>2]=27488;k[m>>2]=27560;Yua(b);Ava(m);vva(e);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[h>>2]=27468;k[e>>2]=27488;k[m>>2]=27560;Yua(b);Ava(m);vva(e);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[h>>2]=27468;k[e>>2]=27488;k[m>>2]=27560;Yua(b);Ava(m);vva(e);Qb(D|0)}while(0);n=p;o=q;vva(e);Qb(o|0)}}}function CL(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0;c=r;r=r+704|0;d=c+692|0;e=c+520|0;f=c+680|0;g=c+668|0;h=c+656|0;i=c+384|0;j=c+368|0;l=c+84|0;m=c+72|0;n=c+232|0;o=c+60|0;p=c+48|0;q=c+36|0;s=c+96|0;t=c+24|0;u=c+12|0;v=c;w=a+20|0;x=co(k[k[w>>2]>>2]|0)|0;y=co(k[(k[w>>2]|0)+4>>2]|0)|0;a:do switch(x|0){case 536:{switch(y|0){case 536:{z=RL(a,b)|0;r=c;return z|0}case 540:{z=RL(a,b)|0;r=c;return z|0}default:{w=e+56|0;A=e+4|0;k[e>>2]=27524;k[w>>2]=27544;B=0;wa(508,e+56|0,A|0);C=B;B=0;if(C&1){C=Rb()|0;D=Q;E=C;vva(w);Qb(E|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[w>>2]=27488;B=0;va(448,A|0);C=B;B=0;do if(C&1){F=Rb()|0;G=Q;H=F}else{k[A>>2]=27560;F=e+36|0;k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;k[F+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,A|0,d|0);I=B;B=0;if(I&1){I=Rb()|0;J=Q;Yua(d);Yua(F);Ava(A);G=J;H=I;break}Yua(d);B=0;I=Ia(40,e|0,127478,14)|0;J=B;B=0;b:do if((((!(J&1)?(B=0,K=ya(427,y|0)|0,L=B,B=0,!(L&1)):0)?(L=Lta(K)|0,B=0,M=Ia(40,I|0,K|0,L|0)|0,L=B,B=0,!(L&1)):0)?(B=0,L=Ia(40,M|0,146481,18)|0,M=B,B=0,!(M&1)):0)?(B=0,Xa(239,L|0,0)|0,L=B,B=0,!(L&1)):0){L=Ab(20)|0;B=0;eb(502,f|0,80081,72);M=B;B=0;do if(!(M&1)){B=0;eb(502,g|0,118158,38);K=B;B=0;if(K&1){K=Rb()|0;N=Q;Yua(f);O=N;P=K;break}B=0;wa(510,h|0,A|0);K=B;B=0;if(K&1){K=Rb()|0;R=Q;S=K;T=1}else{B=0;ua(163,L|0,f|0,g|0,359,h|0);K=B;B=0;if(K&1)U=1;else{B=0;eb(503,L|0,1240,229);B=0;U=0}K=Rb()|0;N=Q;Yua(h);R=N;S=K;T=U}Yua(g);Yua(f);if(T){O=R;P=S}else{V=R;W=S;break b}}else{K=Rb()|0;O=Q;P=K}while(0);zb(L|0);V=O;W=P}else X=23;while(0);if((X|0)==23){I=Rb()|0;V=Q;W=I}k[e>>2]=27468;k[w>>2]=27488;k[A>>2]=27560;Yua(F);Ava(A);vva(w);Y=V;Z=W;Qb(Z|0)}while(0);D=G;E=H;vva(w);Qb(E|0)}}break}case 540:{switch(y|0){case 536:{z=RL(a,b)|0;r=c;return z|0}case 540:{z=RL(a,b)|0;r=c;return z|0}default:{A=i+56|0;C=i+4|0;k[i>>2]=27524;k[A>>2]=27544;B=0;wa(508,i+56|0,C|0);I=B;B=0;if(I&1){I=Rb()|0;_=Q;$=I;vva(A);Qb($|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[A>>2]=27488;B=0;va(448,C|0);I=B;B=0;do if(I&1){J=Rb()|0;aa=Q;ba=J}else{k[C>>2]=27560;J=i+36|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;k[J+12>>2]=0;k[i+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,C|0,d|0);M=B;B=0;if(M&1){M=Rb()|0;K=Q;Yua(d);Yua(J);Ava(C);aa=K;ba=M;break}Yua(d);B=0;M=Ia(40,i|0,127478,14)|0;K=B;B=0;c:do if((((!(K&1)?(B=0,N=ya(427,y|0)|0,ca=B,B=0,!(ca&1)):0)?(ca=Lta(N)|0,B=0,da=Ia(40,M|0,N|0,ca|0)|0,ca=B,B=0,!(ca&1)):0)?(B=0,ca=Ia(40,da|0,146481,18)|0,da=B,B=0,!(da&1)):0)?(B=0,Xa(239,ca|0,0)|0,ca=B,B=0,!(ca&1)):0){ca=Ab(20)|0;B=0;eb(502,j|0,80081,72);da=B;B=0;do if(!(da&1)){B=0;eb(502,l|0,118158,38);N=B;B=0;if(N&1){N=Rb()|0;ea=Q;Yua(j);fa=N;ga=ea;break}B=0;wa(510,m|0,C|0);ea=B;B=0;if(ea&1){ea=Rb()|0;ha=1;ia=Q;ja=ea}else{B=0;ua(163,ca|0,j|0,l|0,365,m|0);ea=B;B=0;if(ea&1)ka=1;else{B=0;eb(503,ca|0,1240,229);B=0;ka=0}ea=Rb()|0;N=Q;Yua(m);ha=ka;ia=N;ja=ea}Yua(l);Yua(j);if(ha){fa=ja;ga=ia}else{la=ia;ma=ja;break c}}else{ea=Rb()|0;fa=ea;ga=Q}while(0);zb(ca|0);la=ga;ma=fa}else X=52;while(0);if((X|0)==52){M=Rb()|0;la=Q;ma=M}k[i>>2]=27468;k[A>>2]=27488;k[C>>2]=27560;Yua(J);Ava(C);vva(A);Y=la;Z=ma;Qb(Z|0)}while(0);_=aa;$=ba;vva(A);Qb($|0)}}break}case 543:{switch(y|0){case 543:{z=QL(a,b)|0;r=c;return z|0}case 534:{z=QL(a,b)|0;r=c;return z|0}default:{C=n+56|0;I=n+4|0;k[n>>2]=27524;k[C>>2]=27544;B=0;wa(508,n+56|0,I|0);w=B;B=0;if(w&1){w=Rb()|0;na=Q;oa=w;vva(C);Qb(oa|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[C>>2]=27488;B=0;va(448,I|0);w=B;B=0;do if(w&1){M=Rb()|0;pa=Q;qa=M}else{k[I>>2]=27560;M=n+36|0;k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;k[M+12>>2]=0;k[n+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,I|0,d|0);K=B;B=0;if(K&1){K=Rb()|0;F=Q;Yua(d);Yua(M);Ava(I);pa=F;qa=K;break}Yua(d);B=0;K=Ia(40,n|0,127478,14)|0;F=B;B=0;d:do if((((!(F&1)?(B=0,da=ya(427,y|0)|0,L=B,B=0,!(L&1)):0)?(L=Lta(da)|0,B=0,ea=Ia(40,K|0,da|0,L|0)|0,L=B,B=0,!(L&1)):0)?(B=0,L=Ia(40,ea|0,146481,18)|0,ea=B,B=0,!(ea&1)):0)?(B=0,Xa(239,L|0,0)|0,L=B,B=0,!(L&1)):0){L=Ab(20)|0;B=0;eb(502,o|0,80081,72);ea=B;B=0;do if(!(ea&1)){B=0;eb(502,p|0,118158,38);da=B;B=0;if(da&1){da=Rb()|0;N=Q;Yua(o);ra=da;sa=N;break}B=0;wa(510,q|0,I|0);N=B;B=0;if(N&1){N=Rb()|0;ta=1;xa=Q;za=N}else{B=0;ua(163,L|0,o|0,p|0,371,q|0);N=B;B=0;if(N&1)Aa=1;else{B=0;eb(503,L|0,1240,229);B=0;Aa=0}N=Rb()|0;da=Q;Yua(q);ta=Aa;xa=da;za=N}Yua(p);Yua(o);if(ta){ra=za;sa=xa}else{Ba=xa;Ca=za;break d}}else{N=Rb()|0;ra=N;sa=Q}while(0);zb(L|0);Ba=sa;Ca=ra}else X=81;while(0);if((X|0)==81){K=Rb()|0;Ba=Q;Ca=K}k[n>>2]=27468;k[C>>2]=27488;k[I>>2]=27560;Yua(M);Ava(I);vva(C);Y=Ba;Z=Ca;Qb(Z|0)}while(0);na=pa;oa=qa;vva(C);Qb(oa|0)}}break}case 534:{switch(y|0){case 543:{z=QL(a,b)|0;r=c;return z|0}case 534:{z=QL(a,b)|0;r=c;return z|0}default:break a}break}default:{}}while(0);z=s+56|0;c=s+4|0;k[s>>2]=27524;k[z>>2]=27544;B=0;wa(508,s+56|0,c|0);a=B;B=0;if(a&1){a=Rb()|0;Da=Q;Ea=a;vva(z);Qb(Ea|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[z>>2]=27488;B=0;va(448,c|0);a=B;B=0;do if(a&1){y=Rb()|0;Fa=Q;Ga=y}else{k[c>>2]=27560;y=s+36|0;k[y>>2]=0;k[y+4>>2]=0;k[y+8>>2]=0;k[y+12>>2]=0;k[s+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,c|0,d|0);oa=B;B=0;if(oa&1){oa=Rb()|0;qa=Q;Yua(d);Yua(y);Ava(c);Fa=qa;Ga=oa;break}Yua(d);B=0;oa=Ia(40,s|0,127478,14)|0;qa=B;B=0;e:do if((((!(qa&1)?(B=0,pa=ya(427,x|0)|0,na=B,B=0,!(na&1)):0)?(na=Lta(pa)|0,B=0,Ca=Ia(40,oa|0,pa|0,na|0)|0,na=B,B=0,!(na&1)):0)?(B=0,na=Ia(40,Ca|0,146481,18)|0,Ca=B,B=0,!(Ca&1)):0)?(B=0,Xa(239,na|0,0)|0,na=B,B=0,!(na&1)):0){na=Ab(20)|0;B=0;eb(502,t|0,80081,72);Ca=B;B=0;do if(!(Ca&1)){B=0;eb(502,u|0,118158,38);pa=B;B=0;if(pa&1){pa=Rb()|0;Ba=Q;Yua(t);Ha=pa;Ja=Ba;break}B=0;wa(510,v|0,c|0);Ba=B;B=0;if(Ba&1){Ba=Rb()|0;Ka=1;La=Q;Ma=Ba}else{B=0;ua(163,na|0,t|0,u|0,378,v|0);Ba=B;B=0;if(Ba&1)Na=1;else{B=0;eb(503,na|0,1240,229);B=0;Na=0}Ba=Rb()|0;pa=Q;Yua(v);Ka=Na;La=pa;Ma=Ba}Yua(u);Yua(t);if(Ka){Ha=Ma;Ja=La}else{Oa=La;Pa=Ma;break e}}else{Ba=Rb()|0;Ha=Ba;Ja=Q}while(0);zb(na|0);Oa=Ja;Pa=Ha}else X=110;while(0);if((X|0)==110){oa=Rb()|0;Oa=Q;Pa=oa}k[s>>2]=27468;k[z>>2]=27488;k[c>>2]=27560;Yua(y);Ava(c);vva(z);Y=Oa;Z=Pa;Qb(Z|0)}while(0);Da=Fa;Ea=Ga;vva(z);Qb(Ea|0);return 0}function DL(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0.0,h=0.0;c=r;r=r+16|0;d=c;e=Qqa(68)|0;f=a+24|0;B=0;ua(165,e|0,k[a+20>>2]|0,2,k[f>>2]|0,534);a=B;B=0;if(a&1){a=Rb()|0;Sqa(e);Qb(a|0)}else{dO(k[f>>2]|0,d,308);g=+ba(10.0,+(+p[d>>3]))*b;f=k[e+12>>2]|0;p[f>>3]=g;g=-b;h=+ba(10.0,+(+p[d>>3]))*g;p[f+8>>3]=h;h=+ba(10.0,+(+p[d>>3]))*g;p[f+16>>3]=h;h=+ba(10.0,+(+p[d>>3]))*b;p[f+24>>3]=h;r=c;return e|0}return 0}function EL(a,b,c){a=a|0;b=b|0;c=+c;return}function FL(a){a=a|0;k[a+20>>2]=0;k[a+24>>2]=0;Dla(k[a+16>>2]|0);return}function GL(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return}function HL(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;g=r;r=r+192|0;d=g+176|0;j=g+40|0;l=g+24|0;m=g+12|0;n=g;o=a+20|0;a=e+(Rn(k[k[o>>2]>>2]|0)|0)|0;p=(i[a>>0]|0)==0;if((h|0)==937){if(p){a=e+(Rn(k[k[o>>2]>>2]|0)|0)|0;i[a>>0]=1;a=0;while(1){q=f+(a<<2)|0;if((k[q>>2]|0)>-1)a=a+1|0;else{s=q;break}}a=Rn(k[k[o>>2]>>2]|0)|0;k[s>>2]=a;a=k[k[o>>2]>>2]|0;if(k[a+28>>2]|0){s=(fo(a)|0)==0;t=s&1;u=s&1^1}else{t=0;u=0}}else{t=0;u=0}s=e+(Rn(k[(k[o>>2]|0)+4>>2]|0)|0)|0;if(i[s>>0]|0){v=t;w=u;k[b>>2]=v;k[c>>2]=w;r=g;return}s=e+(Rn(k[(k[o>>2]|0)+4>>2]|0)|0)|0;i[s>>0]=1;s=0;while(1){a=f+(s<<2)|0;if((k[a>>2]|0)>-1)s=s+1|0;else{x=a;break}}s=Rn(k[(k[o>>2]|0)+4>>2]|0)|0;k[x>>2]=s;s=k[(k[o>>2]|0)+4>>2]|0;if(!(k[s+28>>2]|0)){v=t;w=u;k[b>>2]=v;k[c>>2]=w;r=g;return}if(!(fo(s)|0)){v=t+1|0;w=u;k[b>>2]=v;k[c>>2]=w;r=g;return}else{v=t;w=u+1|0;k[b>>2]=v;k[c>>2]=w;r=g;return}}a:do if(p){u=e+(Rn(k[k[o>>2]>>2]|0)|0)|0;i[u>>0]=1;u=0;while(1){t=f+(u<<2)|0;if((k[t>>2]|0)>-1)u=u+1|0;else{y=t;break}}u=Rn(k[k[o>>2]>>2]|0)|0;k[y>>2]=u;switch(h|0){case 966:{u=k[k[o>>2]>>2]|0;if(!(k[u+32>>2]|0)){z=0;A=0;C=40;break a}t=(fo(u)|0)==0;z=t;A=t&1^1;C=40;break a;break}case 943:{t=k[k[o>>2]>>2]|0;if(!(k[t+24>>2]|0)){z=0;A=0;C=40;break a}u=(fo(t)|0)==0;z=u;A=u&1^1;C=40;break a;break}default:break a}}else{z=0;A=0;C=40}while(0);b:do if((C|0)==40){y=z&1;p=e+(Rn(k[(k[o>>2]|0)+4>>2]|0)|0)|0;if(i[p>>0]|0){v=y;w=A;k[b>>2]=v;k[c>>2]=w;r=g;return}p=e+(Rn(k[(k[o>>2]|0)+4>>2]|0)|0)|0;i[p>>0]=1;p=0;while(1){u=f+(p<<2)|0;if((k[u>>2]|0)>-1)p=p+1|0;else{D=u;break}}p=Rn(k[(k[o>>2]|0)+4>>2]|0)|0;k[D>>2]=p;switch(h|0){case 966:{p=k[(k[o>>2]|0)+4>>2]|0;if(!(k[p+32>>2]|0)){v=y;w=A;k[b>>2]=v;k[c>>2]=w;r=g;return}if(!(fo(p)|0)){v=z?2:1;w=A;k[b>>2]=v;k[c>>2]=w;r=g;return}else{v=y;w=A+1|0;k[b>>2]=v;k[c>>2]=w;r=g;return}break}case 943:{p=k[(k[o>>2]|0)+4>>2]|0;if(!(k[p+24>>2]|0)){v=y;w=A;k[b>>2]=v;k[c>>2]=w;r=g;return}if(!(fo(p)|0)){v=z?2:1;w=A;k[b>>2]=v;k[c>>2]=w;r=g;return}else{v=y;w=A+1|0;k[b>>2]=v;k[c>>2]=w;r=g;return}break}default:break b}}while(0);g=j+56|0;w=j+4|0;k[j>>2]=27524;k[g>>2]=27544;B=0;wa(508,j+56|0,w|0);c=B;B=0;if(c&1){c=Rb()|0;E=Q;F=c;vva(g);Qb(F|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[g>>2]=27488;B=0;va(448,w|0);c=B;B=0;do if(c&1){v=Rb()|0;G=Q;H=v}else{k[w>>2]=27560;v=j+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[j+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,w|0,d|0);b=B;B=0;if(b&1){b=Rb()|0;A=Q;Yua(d);Yua(v);Ava(w);G=A;H=b;break}Yua(d);B=0;b=Ia(40,j|0,145010,13)|0;A=B;B=0;if(!(A&1)?(B=0,Xa(239,b|0,0)|0,b=B,B=0,!(b&1)):0){b=Ab(20)|0;B=0;eb(502,l|0,80081,72);A=B;B=0;do if(!(A&1)){B=0;eb(502,m|0,144217,23);z=B;B=0;if(z&1){z=Rb()|0;o=Q;Yua(l);I=o;J=z;break}B=0;wa(510,n|0,w|0);z=B;B=0;if(z&1){z=Rb()|0;K=Q;L=z;M=1}else{B=0;ua(163,b|0,l|0,m|0,270,n|0);z=B;B=0;if(z&1)N=1;else{B=0;eb(503,b|0,1240,229);B=0;N=0}z=Rb()|0;o=Q;Yua(n);K=o;L=z;M=N}Yua(m);Yua(l);if(M){I=K;J=L}else{O=K;P=L;k[j>>2]=27468;k[g>>2]=27488;k[w>>2]=27560;Yua(v);Ava(w);vva(g);Qb(P|0)}}else{z=Rb()|0;I=Q;J=z}while(0);zb(b|0);O=I;P=J;k[j>>2]=27468;k[g>>2]=27488;k[w>>2]=27560;Yua(v);Ava(w);vva(g);Qb(P|0)}A=Rb()|0;O=Q;P=A;k[j>>2]=27468;k[g>>2]=27488;k[w>>2]=27560;Yua(v);Ava(w);vva(g);Qb(P|0)}while(0);E=G;F=H;vva(g);Qb(F|0)}function IL(a,b,c){a=a|0;b=+b;c=c|0;return}function JL(a,b,c){a=a|0;b=+b;c=c|0;return}function KL(a,b,c){a=a|0;b=b|0;c=c|0;return}function LL(a,b,c){a=a|0;b=b|0;c=c|0;return}function ML(a,b,c){a=a|0;b=b|0;c=c|0;return}function NL(a,b,c){a=a|0;b=b|0;c=c|0;return}function OL(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return}function PL(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return}function QL(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0.0,i=0,j=0.0,l=0,m=0;c=r;r=r+16|0;d=c;e=Qqa(68)|0;f=a+20|0;g=a+24|0;B=0;ua(165,e|0,k[f>>2]|0,2,k[g>>2]|0,543);a=B;B=0;if(a&1){a=Rb()|0;Sqa(e);Qb(a|0)}dO(k[g>>2]|0,d,73);g=eo(k[k[f>>2]>>2]|0,542,943)|0;eo(k[(k[f>>2]|0)+4>>2]|0,542,943)|0;f=g<<1;if((g|0)<=0){r=c;return e|0}a=k[e+12>>2]|0;h=-b;i=0;do{j=+ba(10.0,+(+p[d>>3]))*b;l=ma(i,f)|0;p[a+(l+i<<3)>>3]=j;j=+ba(10.0,+(+p[d>>3]))*h;m=i+g|0;p[a+(m+l<<3)>>3]=j;j=+ba(10.0,+(+p[d>>3]))*h;l=ma(m,f)|0;p[a+(l+i<<3)>>3]=j;j=+ba(10.0,+(+p[d>>3]))*b;p[a+(m+l<<3)>>3]=j;i=i+1|0}while((i|0)!=(g|0));r=c;return e|0}function RL(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0.0,i=0,j=0.0,l=0,m=0;c=r;r=r+16|0;d=c;e=Qqa(68)|0;f=a+20|0;g=a+24|0;B=0;ua(165,e|0,k[f>>2]|0,2,k[g>>2]|0,534);a=B;B=0;if(a&1){a=Rb()|0;Sqa(e);Qb(a|0)}dO(k[g>>2]|0,d,73);g=eo(k[k[f>>2]>>2]|0,534,943)|0;eo(k[(k[f>>2]|0)+4>>2]|0,534,943)|0;f=g<<1;if((g|0)<=0){r=c;return e|0}a=k[e+12>>2]|0;h=-b;i=0;do{j=+ba(10.0,+(+p[d>>3]))*b;l=ma(i,f)|0;p[a+(l+i<<3)>>3]=j;j=+ba(10.0,+(+p[d>>3]))*h;m=i+g|0;p[a+(m+l<<3)>>3]=j;j=+ba(10.0,+(+p[d>>3]))*h;l=ma(m,f)|0;p[a+(l+i<<3)>>3]=j;j=+ba(10.0,+(+p[d>>3]))*b;p[a+(m+l<<3)>>3]=j;i=i+1|0}while((i|0)!=(g|0));r=c;return e|0}function SL(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,80170,81);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144327,22);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,44,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function TL(a,b,c){a=a|0;b=b|0;c=c|0;SL(a+-4|0,b,c)}function UL(a){a=a|0;var b=0;k[a>>2]=34152;k[a+4>>2]=34272;b=a+16|0;a=b+36|0;do{k[b>>2]=0;b=b+4|0}while((b|0)<(a|0));return}function VL(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0;f=r;r=r+16|0;g=f+8|0;h=f+4|0;i=f;k[a>>2]=34152;k[a+4>>2]=34272;k[a+8>>2]=b;k[a+12>>2]=e;k[g>>2]=c+1+(k[d+100>>2]|0);k[i>>2]=k[(k[d+92>>2]|0)+(c<<2)>>2];k[h>>2]=(k[d+56>>2]|0)+1;B=0;d=ya(423,16)|0;c=B;B=0;if(!(c&1)){B=0;eb(509,d|0,g|0,1);g=B;B=0;if(g&1){g=Rb()|0;c=Q;Sqa(d);j=c;l=g;Qb(l|0)}k[a+16>>2]=d;B=0;d=ya(423,16)|0;g=B;B=0;if(!(g&1)){B=0;eb(509,d|0,i|0,1);i=B;B=0;if(i&1){i=Rb()|0;g=Q;Sqa(d);j=g;l=i;Qb(l|0)}k[a+20>>2]=d;B=0;d=ya(423,16)|0;i=B;B=0;if(!(i&1)){B=0;eb(509,d|0,h|0,1);h=B;B=0;if(!(h&1)){k[a+24>>2]=d;h=a+28|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;k[h+16>>2]=0;k[h+20>>2]=0;r=f;return}f=Rb()|0;h=Q;Sqa(d);j=h;l=f;Qb(l|0)}}}f=Rb()|0;j=Q;l=f;Qb(l|0)}function WL(a){a=a|0;var b=0;k[a>>2]=34152;k[a+4>>2]=34272;b=k[a+16>>2]|0;if(b){yla(b);Sqa(b)}b=k[a+20>>2]|0;if(b){yla(b);Sqa(b)}b=k[a+24>>2]|0;if(!b)return;yla(b);Sqa(b);return}function XL(a){a=a|0;var b=0;k[a>>2]=34152;k[a+4>>2]=34272;b=k[a+16>>2]|0;if(b){yla(b);Sqa(b)}b=k[a+20>>2]|0;if(b){yla(b);Sqa(b)}b=k[a+24>>2]|0;if(!b){Sqa(a);return}yla(b);Sqa(b);Sqa(a);return}function YL(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;b=Qqa(52)|0;k[b>>2]=34152;k[b+4>>2]=34272;c=b+16|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[c+16>>2]=0;k[c+20>>2]=0;k[c+24>>2]=0;k[c+28>>2]=0;k[b+8>>2]=k[a+8>>2];k[b+12>>2]=k[a+12>>2];k[b+40>>2]=k[a+40>>2];d=Bla(k[a+16>>2]|0)|0;k[c>>2]=d;c=Bla(k[a+24>>2]|0)|0;k[b+24>>2]=c;e=Bla(k[a+20>>2]|0)|0;k[b+20>>2]=e;f=Fla(d)|0;k[b+28>>2]=f;f=Fla(c)|0;k[b+36>>2]=f;f=Fla(e)|0;k[b+32>>2]=f;k[a+44>>2]=0;k[b+44>>2]=0;k[a+48>>2]=0;k[b+48>>2]=0;return b|0}function ZL(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;e=r;r=r+368|0;f=e+344|0;g=e+208|0;h=e+196|0;j=e+184|0;m=e+36|0;n=e+48|0;o=e+24|0;p=e+12|0;q=e;s=(d|0)==0;a:do if(s){t=k[b>>2]|0;i[t>>0]=81;i[t+1>>0]=2;i[t+2>>0]=0;i[t+3>>0]=0;t=(k[b>>2]|0)+4|0;k[b>>2]=t;u=a+8|0;v=l[u>>0]|l[u+1>>0]<<8|l[u+2>>0]<<16|l[u+3>>0]<<24;i[t>>0]=v;i[t+1>>0]=v>>8;i[t+2>>0]=v>>16;i[t+3>>0]=v>>24;v=(k[b>>2]|0)+4|0;k[b>>2]=v;t=a+12|0;u=l[t>>0]|l[t+1>>0]<<8|l[t+2>>0]<<16|l[t+3>>0]<<24;i[v>>0]=u;i[v+1>>0]=u>>8;i[v+2>>0]=u>>16;i[v+3>>0]=u>>24;k[b>>2]=(k[b>>2]|0)+4;w=0}else switch(d|0){case 2:{k[c>>2]=(k[c>>2]|0)+12;w=0;break a;break}case 1:{u=(k[b>>2]|0)+4|0;k[b>>2]=u;v=a+8|0;t=l[u>>0]|l[u+1>>0]<<8|l[u+2>>0]<<16|l[u+3>>0]<<24;i[v>>0]=t;i[v+1>>0]=t>>8;i[v+2>>0]=t>>16;i[v+3>>0]=t>>24;t=(k[b>>2]|0)+4|0;k[b>>2]=t;v=a+12|0;u=l[t>>0]|l[t+1>>0]<<8|l[t+2>>0]<<16|l[t+3>>0]<<24;i[v>>0]=u;i[v+1>>0]=u>>8;i[v+2>>0]=u>>16;i[v+3>>0]=u>>24;k[b>>2]=(k[b>>2]|0)+4;u=Qqa(16)|0;B=0;va(489,u|0);v=B;B=0;if(v&1){v=Rb()|0;t=Q;Sqa(u);x=t;y=v;Qb(y|0)}k[a+16>>2]=u;u=Qqa(16)|0;B=0;va(489,u|0);v=B;B=0;if(v&1){v=Rb()|0;t=Q;Sqa(u);x=t;y=v;Qb(y|0)}k[a+20>>2]=u;u=Qqa(16)|0;B=0;va(489,u|0);v=B;B=0;if(!(v&1)){k[a+24>>2]=u;w=1;break a}v=Rb()|0;t=Q;Sqa(u);x=t;y=v;Qb(y|0);break}default:{v=g+56|0;t=g+4|0;k[g>>2]=27524;k[v>>2]=27544;B=0;wa(508,g+56|0,t|0);u=B;B=0;if(u&1){u=Rb()|0;z=Q;A=u;vva(v);Qb(A|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[v>>2]=27488;B=0;va(448,t|0);u=B;B=0;do if(u&1){C=Rb()|0;D=Q;E=C}else{k[t>>2]=27560;C=g+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,t|0,f|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(f);Yua(C);Ava(t);D=G;E=F;break}Yua(f);B=0;F=Ia(40,g|0,143951,43)|0;G=B;B=0;b:do if(!(G&1)?(B=0,Xa(239,F|0,0)|0,H=B,B=0,!(H&1)):0){H=Ab(20)|0;B=0;eb(502,h|0,80261,72);I=B;B=0;do if(!(I&1)){B=0;eb(502,j|0,149525,8);J=B;B=0;if(J&1){J=Rb()|0;K=Q;Yua(h);L=K;M=J;break}B=0;wa(510,m|0,t|0);J=B;B=0;if(J&1){J=Rb()|0;N=Q;O=J;P=1}else{B=0;ua(163,H|0,h|0,j|0,119,m|0);J=B;B=0;if(J&1)R=1;else{B=0;eb(503,H|0,1240,229);B=0;R=0}J=Rb()|0;K=Q;Yua(m);N=K;O=J;P=R}Yua(j);Yua(h);if(P){L=N;M=O}else{S=N;T=O;break b}}else{J=Rb()|0;L=Q;M=J}while(0);zb(H|0);S=L;T=M}else U=18;while(0);if((U|0)==18){F=Rb()|0;S=Q;T=F}k[g>>2]=27468;k[v>>2]=27488;k[t>>2]=27560;Yua(C);Ava(t);vva(v);x=S;y=T;Qb(y|0)}while(0);z=D;A=E;vva(v);Qb(A|0)}}while(0);A=a+16|0;Cla(k[A>>2]|0,b,c,d);E=a+20|0;Cla(k[E>>2]|0,b,c,d);D=a+24|0;Cla(k[D>>2]|0,b,c,d);z=Fla(k[A>>2]|0)|0;k[a+28>>2]=z;z=Fla(k[D>>2]|0)|0;k[a+36>>2]=z;z=Fla(k[E>>2]|0)|0;k[a+32>>2]=z;if(s){s=k[b>>2]|0;z=a+44|0;E=l[z>>0]|l[z+1>>0]<<8|l[z+2>>0]<<16|l[z+3>>0]<<24;i[s>>0]=E;i[s+1>>0]=E>>8;i[s+2>>0]=E>>16;i[s+3>>0]=E>>24;E=(k[b>>2]|0)+4|0;k[b>>2]=E;s=a+48|0;z=l[s>>0]|l[s+1>>0]<<8|l[s+2>>0]<<16|l[s+3>>0]<<24;i[E>>0]=z;i[E+1>>0]=z>>8;i[E+2>>0]=z>>16;i[E+3>>0]=z>>24;k[b>>2]=(k[b>>2]|0)+4;r=e;return}if((d|0)==2){k[c>>2]=(k[c>>2]|0)+8;r=e;return}if(w){w=a+44|0;c=k[b>>2]|0;d=l[c>>0]|l[c+1>>0]<<8|l[c+2>>0]<<16|l[c+3>>0]<<24;i[w>>0]=d;i[w+1>>0]=d>>8;i[w+2>>0]=d>>16;i[w+3>>0]=d>>24;d=(k[b>>2]|0)+4|0;k[b>>2]=d;w=a+48|0;a=l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24;i[w>>0]=a;i[w+1>>0]=a>>8;i[w+2>>0]=a>>16;i[w+3>>0]=a>>24;k[b>>2]=(k[b>>2]|0)+4;r=e;return}e=n+56|0;b=n+4|0;k[n>>2]=27524;k[e>>2]=27544;B=0;wa(508,n+56|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;V=Q;W=a;vva(e);Qb(W|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[e>>2]=27488;B=0;va(448,b|0);a=B;B=0;do if(a&1){w=Rb()|0;X=Q;Y=w}else{k[b>>2]=27560;w=n+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[n+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,b|0,f|0);d=B;B=0;if(d&1){d=Rb()|0;c=Q;Yua(f);Yua(w);Ava(b);X=c;Y=d;break}Yua(f);B=0;d=Ia(40,n|0,143951,43)|0;c=B;B=0;c:do if(!(c&1)?(B=0,Xa(239,d|0,0)|0,z=B,B=0,!(z&1)):0){z=Ab(20)|0;B=0;eb(502,o|0,80261,72);E=B;B=0;do if(!(E&1)){B=0;eb(502,p|0,149525,8);s=B;B=0;if(s&1){s=Rb()|0;D=Q;Yua(o);Z=D;_=s;break}B=0;wa(510,q|0,b|0);s=B;B=0;if(s&1){s=Rb()|0;$=1;aa=Q;ba=s}else{B=0;ua(163,z|0,o|0,p|0,138,q|0);s=B;B=0;if(s&1)ca=1;else{B=0;eb(503,z|0,1240,229);B=0;ca=0}s=Rb()|0;D=Q;Yua(q);$=ca;aa=D;ba=s}Yua(p);Yua(o);if($){Z=aa;_=ba}else{da=aa;ea=ba;break c}}else{s=Rb()|0;Z=Q;_=s}while(0);zb(z|0);da=Z;ea=_}else U=53;while(0);if((U|0)==53){d=Rb()|0;da=Q;ea=d}k[n>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(w);Ava(b);vva(e);x=da;y=ea;Qb(y|0)}while(0);V=X;W=Y;vva(e);Qb(W|0)}function _L(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0;b=r;r=r+928|0;c=b+904|0;d=b+744|0;e=b+892|0;f=b+592|0;g=b+880|0;h=b+440|0;i=b+728|0;j=b+304|0;l=b+576|0;m=b+152|0;n=b+288|0;o=b+16|0;p=b;b=d+56|0;q=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,q|0);s=B;B=0;if(s&1){s=Rb()|0;t=Q;u=s;vva(b);Qb(u|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,q|0);s=B;B=0;do if(s&1){v=Rb()|0;w=Q;x=v}else{k[q>>2]=27560;v=d+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,q|0,c|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(c);Yua(v);Ava(q);w=z;x=y;break}Yua(c);B=0;Ia(40,d|0,80334,9)|0;y=B;B=0;do if(!(y&1)?(B=0,wa(510,e|0,q|0),z=B,B=0,!(z&1)):0){B=0;ya(424,e|0)|0;z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(e);C=A;D=z;break}Yua(e);k[d>>2]=27468;k[b>>2]=27488;k[q>>2]=27560;Yua(v);Ava(q);vva(b);z=f+56|0;A=f+4|0;k[f>>2]=27524;k[z>>2]=27544;B=0;wa(508,f+56|0,A|0);E=B;B=0;if(E&1){E=Rb()|0;F=Q;G=E;vva(z);Qb(G|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[z>>2]=27488;B=0;va(448,A|0);E=B;B=0;do if(E&1){H=Rb()|0;I=Q;J=H}else{k[A>>2]=27560;H=f+36|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;k[H+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,A|0,c|0);K=B;B=0;if(K&1){K=Rb()|0;L=Q;Yua(c);Yua(H);Ava(A);I=L;J=K;break}Yua(c);B=0;K=Ia(40,f|0,144086,7)|0;L=B;B=0;do if(((!(L&1)?(B=0,M=Xa(242,K|0,k[a+8>>2]|0)|0,N=B,B=0,!(N&1)):0)?(B=0,Ia(40,M|0,149177,1)|0,M=B,B=0,!(M&1)):0)?(B=0,wa(510,g|0,A|0),M=B,B=0,!(M&1)):0){B=0;ya(424,g|0)|0;M=B;B=0;if(M&1){M=Rb()|0;N=Q;Yua(g);O=N;P=M;break}Yua(g);k[f>>2]=27468;k[z>>2]=27488;k[A>>2]=27560;Yua(H);Ava(A);vva(z);M=h+56|0;N=h+4|0;k[h>>2]=27524;k[M>>2]=27544;B=0;wa(508,h+56|0,N|0);R=B;B=0;if(R&1){R=Rb()|0;S=Q;T=R;vva(M);Qb(T|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[M>>2]=27488;B=0;va(448,N|0);R=B;B=0;do if(R&1){U=Rb()|0;V=Q;W=U}else{k[N>>2]=27560;U=h+36|0;k[U>>2]=0;k[U+4>>2]=0;k[U+8>>2]=0;k[U+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,N|0,c|0);X=B;B=0;if(X&1){X=Rb()|0;Y=Q;Yua(c);Yua(U);Ava(N);V=Y;W=X;break}Yua(c);B=0;X=Ia(40,h|0,144094,18)|0;Y=B;B=0;do if(Y&1)Z=83;else{B=0;_=ya(427,k[a+12>>2]|0)|0;$=B;B=0;if($&1){Z=83;break}$=Lta(_)|0;B=0;aa=Ia(40,X|0,_|0,$|0)|0;$=B;B=0;if($&1){Z=83;break}B=0;Ia(40,aa|0,149177,1)|0;aa=B;B=0;if(aa&1){Z=83;break}B=0;wa(510,i|0,N|0);aa=B;B=0;if(aa&1){Z=83;break}B=0;ya(424,i|0)|0;aa=B;B=0;if(aa&1){aa=Rb()|0;$=Q;Yua(i);ba=$;ca=aa;break}Yua(i);k[h>>2]=27468;k[M>>2]=27488;k[N>>2]=27560;Yua(U);Ava(N);vva(M);Ala(k[a+16>>2]|0);Ala(k[a+20>>2]|0);Ala(k[a+24>>2]|0);aa=j+56|0;$=j+4|0;k[j>>2]=27524;k[aa>>2]=27544;B=0;wa(508,j+56|0,$|0);_=B;B=0;if(_&1){_=Rb()|0;da=Q;ea=_;vva(aa);Qb(ea|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[aa>>2]=27488;B=0;va(448,$|0);_=B;B=0;do if(_&1){fa=Rb()|0;ga=Q;ha=fa}else{k[$>>2]=27560;fa=j+36|0;k[fa>>2]=0;k[fa+4>>2]=0;k[fa+8>>2]=0;k[fa+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,$|0,c|0);ia=B;B=0;if(ia&1){ia=Rb()|0;ja=Q;Yua(c);Yua(fa);Ava($);ga=ja;ha=ia;break}Yua(c);B=0;ia=Ia(40,j|0,80344,10)|0;ja=B;B=0;do if(ja&1)Z=86;else{B=0;ka=Xa(242,ia|0,k[a+44>>2]|0)|0;la=B;B=0;if(la&1){Z=86;break}B=0;Ia(40,ka|0,149177,1)|0;ka=B;B=0;if(ka&1){Z=86;break}B=0;wa(510,l|0,$|0);ka=B;B=0;if(ka&1){Z=86;break}B=0;ya(424,l|0)|0;ka=B;B=0;if(ka&1){ka=Rb()|0;la=Q;Yua(l);ma=la;na=ka;break}Yua(l);k[j>>2]=27468;k[aa>>2]=27488;k[$>>2]=27560;Yua(fa);Ava($);vva(aa);ka=m+56|0;la=m+4|0;k[m>>2]=27524;k[ka>>2]=27544;B=0;wa(508,m+56|0,la|0);oa=B;B=0;if(oa&1){oa=Rb()|0;pa=Q;qa=oa;vva(ka);Qb(qa|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[ka>>2]=27488;B=0;va(448,la|0);oa=B;B=0;do if(oa&1){ra=Rb()|0;sa=Q;ta=ra}else{k[la>>2]=27560;ra=m+36|0;k[ra>>2]=0;k[ra+4>>2]=0;k[ra+8>>2]=0;k[ra+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,la|0,c|0);ua=B;B=0;if(ua&1){ua=Rb()|0;xa=Q;Yua(c);Yua(ra);Ava(la);sa=xa;ta=ua;break}Yua(c);B=0;ua=Ia(40,m|0,80355,18)|0;xa=B;B=0;do if(xa&1)Z=89;else{B=0;za=Xa(242,ua|0,k[a+48>>2]|0)|0;Aa=B;B=0;if(Aa&1){Z=89;break}B=0;Ia(40,za|0,149177,1)|0;za=B;B=0;if(za&1){Z=89;break}B=0;wa(510,n|0,la|0);za=B;B=0;if(za&1){Z=89;break}B=0;ya(424,n|0)|0;za=B;B=0;if(za&1){za=Rb()|0;Aa=Q;Yua(n);Ba=Aa;Ca=za;break}Yua(n);k[m>>2]=27468;k[ka>>2]=27488;k[la>>2]=27560;Yua(ra);Ava(la);vva(ka);za=o+56|0;Aa=o+4|0;k[o>>2]=27524;k[za>>2]=27544;B=0;wa(508,o+56|0,Aa|0);Da=B;B=0;if(Da&1){Da=Rb()|0;Ea=Q;Fa=Da;vva(za);Qb(Fa|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[za>>2]=27488;B=0;va(448,Aa|0);Da=B;B=0;do if(Da&1){Ga=Rb()|0;Ha=Q;Ja=Ga}else{k[Aa>>2]=27560;Ga=o+36|0;k[Ga>>2]=0;k[Ga+4>>2]=0;k[Ga+8>>2]=0;k[Ga+12>>2]=0;k[o+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Aa|0,c|0);Ka=B;B=0;if(Ka&1){Ka=Rb()|0;La=Q;Yua(c);Yua(Ga);Ava(Aa);Ha=La;Ja=Ka;break}Yua(c);B=0;Ia(40,o|0,144113,14)|0;Ka=B;B=0;do if(!(Ka&1)){B=0;wa(510,p|0,Aa|0);La=B;B=0;if(La&1){Z=92;break}B=0;ya(424,p|0)|0;La=B;B=0;if(La&1){La=Rb()|0;Ma=Q;Yua(p);Na=Ma;Oa=La;break}else{Yua(p);k[o>>2]=27468;k[za>>2]=27488;k[Aa>>2]=27560;Yua(Ga);Ava(Aa);vva(za);$N(k[a+40>>2]|0)}}else Z=92;while(0);if((Z|0)==92){Ka=Rb()|0;Na=Q;Oa=Ka}k[o>>2]=27468;k[za>>2]=27488;k[Aa>>2]=27560;Yua(Ga);Ava(Aa);vva(za);Pa=Na;Qa=Oa;Qb(Qa|0)}while(0);Ea=Ha;Fa=Ja;vva(za);Qb(Fa|0)}while(0);if((Z|0)==89){ua=Rb()|0;Ba=Q;Ca=ua}k[m>>2]=27468;k[ka>>2]=27488;k[la>>2]=27560;Yua(ra);Ava(la);vva(ka);Pa=Ba;Qa=Ca;Qb(Qa|0)}while(0);pa=sa;qa=ta;vva(ka);Qb(qa|0)}while(0);if((Z|0)==86){ia=Rb()|0;ma=Q;na=ia}k[j>>2]=27468;k[aa>>2]=27488;k[$>>2]=27560;Yua(fa);Ava($);vva(aa);Pa=ma;Qa=na;Qb(Qa|0)}while(0);da=ga;ea=ha;vva(aa);Qb(ea|0)}while(0);if((Z|0)==83){X=Rb()|0;ba=Q;ca=X}k[h>>2]=27468;k[M>>2]=27488;k[N>>2]=27560;Yua(U);Ava(N);vva(M);Pa=ba;Qa=ca;Qb(Qa|0)}while(0);S=V;T=W;vva(M);Qb(T|0)}else Z=80;while(0);if((Z|0)==80){K=Rb()|0;O=Q;P=K}k[f>>2]=27468;k[z>>2]=27488;k[A>>2]=27560;Yua(H);Ava(A);vva(z);Pa=O;Qa=P;Qb(Qa|0)}while(0);F=I;G=J;vva(z);Qb(G|0)}else Z=77;while(0);if((Z|0)==77){y=Rb()|0;C=Q;D=y}k[d>>2]=27468;k[b>>2]=27488;k[q>>2]=27560;Yua(v);Ava(q);vva(b);Pa=C;Qa=D;Qb(Qa|0)}while(0);t=w;u=x;vva(b);Qb(u|0)}function $L(a){a=a|0;Ec[k[(k[a>>2]|0)+12>>2]&1023](a);return}function aM(a){a=a|0;return k[a+8>>2]|0}function bM(a){a=a|0;return 593}function cM(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;e=a+16|0;Ela(k[e>>2]|0,d);d=a+20|0;Ela(k[d>>2]|0,b);b=a+24|0;Ela(k[b>>2]|0,f);f=Fla(k[e>>2]|0)|0;k[a+28>>2]=f;f=Fla(k[d>>2]|0)|0;k[a+32>>2]=f;f=Fla(k[b>>2]|0)|0;k[a+36>>2]=f;k[a+40>>2]=g;return}function dM(a,b,c){a=a|0;b=b|0;c=c|0;return}function eM(a,b){a=a|0;b=b|0;var c=0,d=0;c=r;r=r+16|0;d=c;cO(k[a+40>>2]|0,d,477);if((k[d>>2]|0)!=505){r=c;return}d=fM(a)|0;TN(d,b);SN(d);Sqa(d);r=c;return}function fM(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0.0;b=r;r=r+16|0;c=b+8|0;d=b;e=Qqa(24)|0;f=a+28|0;g=a+40|0;B=0;ua(166,e|0,f|0,1,k[g>>2]|0,534);h=B;B=0;if(h&1){h=Rb()|0;Sqa(e);Qb(h|0)}h=k[a+32>>2]|0;rd[k[(k[h>>2]|0)+144>>2]&511](h,c,k[f>>2]|0,160);dO(k[g>>2]|0,d,358);i=+p[d>>3];if(!(i!=0.0)){r=b;return e|0}p[k[e+4>>2]>>3]=i*+p[c>>3];r=b;return e|0}function gM(a,b){a=a|0;b=b|0;var c=0;c=Rn(k[a+28>>2]|0)|0;k[b>>2]=c;return}function hM(a,b){a=a|0;b=b|0;var c=0;c=Qn(k[a+28>>2]|0)|0;k[b>>2]=c;return}function iM(a){a=a|0;return 1}function jM(a,b){a=a|0;b=b|0;return (k[a+12>>2]|0)==(b|0)|0}function kM(a){a=a|0;return 1}function lM(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;e=r;r=r+192|0;f=e;g=e+172|0;h=e+24|0;i=e+176|0;j=e+160|0;l=e+12|0;m=a+40|0;cO(k[m>>2]|0,g,477);switch(k[g>>2]|0){case 521:{do if(k[a+44>>2]|0){n=Qqa(68)|0;B=0;ua(165,n|0,a+28|0,1,k[m>>2]|0,534);o=B;B=0;if(o&1){o=Rb()|0;Sqa(n);Qb(o|0)}else{dO(k[m>>2]|0,f,344);q=+ba(10.0,+(+p[f>>3]))*d;p[k[n+12>>2]>>3]=q;s=n;break}}else s=0;while(0);t=s;break}case 509:{t=mM(a,d)|0;break}case 505:{dO(k[m>>2]|0,f,157);do if(k[a+44>>2]|0){s=Qqa(68)|0;B=0;ua(165,s|0,a+28|0,1,k[m>>2]|0,534);n=B;B=0;if(n&1){n=Rb()|0;Sqa(s);Qb(n|0)}else{q=+ba(10.0,+(+p[f>>3]))*d;p[k[s+12>>2]>>3]=q;u=s;break}}else u=0;while(0);t=u;break}default:{u=h+56|0;m=h+4|0;k[h>>2]=27524;k[u>>2]=27544;B=0;wa(508,h+56|0,m|0);a=B;B=0;if(a&1){a=Rb()|0;v=Q;w=a;vva(u);Qb(w|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[u>>2]=27488;B=0;va(448,m|0);a=B;B=0;do if(a&1){s=Rb()|0;x=Q;y=s}else{k[m>>2]=27560;s=h+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[h+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,m|0,f|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;Yua(f);Yua(s);Ava(m);x=o;y=n;break}Yua(f);B=0;n=Ia(40,h|0,144156,9)|0;o=B;B=0;if((((((!(o&1)?(B=0,o=Xa(242,n|0,k[g>>2]|0)|0,n=B,B=0,!(n&1)):0)?(B=0,n=Ia(40,o|0,144166,2)|0,o=B,B=0,!(o&1)):0)?(B=0,o=ya(427,k[g>>2]|0)|0,z=B,B=0,!(z&1)):0)?(z=Lta(o)|0,B=0,A=Ia(40,n|0,o|0,z|0)|0,z=B,B=0,!(z&1)):0)?(B=0,z=Ia(40,A|0,144169,19)|0,A=B,B=0,!(A&1)):0)?(B=0,Xa(239,z|0,0)|0,z=B,B=0,!(z&1)):0){z=Ab(20)|0;B=0;eb(502,i|0,80261,72);A=B;B=0;do if(!(A&1)){B=0;eb(502,j|0,118091,20);o=B;B=0;if(o&1){o=Rb()|0;n=Q;Yua(i);C=n;D=o;break}B=0;wa(510,l|0,m|0);o=B;B=0;if(o&1){o=Rb()|0;E=Q;F=o;G=1}else{B=0;ua(163,z|0,i|0,j|0,264,l|0);o=B;B=0;if(o&1)H=1;else{B=0;eb(503,z|0,1240,229);B=0;H=0}o=Rb()|0;n=Q;Yua(l);E=n;F=o;G=H}Yua(j);Yua(i);if(G){C=E;D=F}else{I=E;J=F;k[h>>2]=27468;k[u>>2]=27488;k[m>>2]=27560;Yua(s);Ava(m);vva(u);Qb(J|0)}}else{o=Rb()|0;C=Q;D=o}while(0);zb(z|0);I=C;J=D;k[h>>2]=27468;k[u>>2]=27488;k[m>>2]=27560;Yua(s);Ava(m);vva(u);Qb(J|0)}A=Rb()|0;I=Q;J=A;k[h>>2]=27468;k[u>>2]=27488;k[m>>2]=27560;Yua(s);Ava(m);vva(u);Qb(J|0)}while(0);v=x;w=y;vva(u);Qb(w|0)}}if(!t){r=e;return}IN(t,b,c);HN(t);Sqa(t);r=e;return}function mM(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0.0,o=0.0;c=r;r=r+32|0;d=c+16|0;e=c+8|0;f=c;g=k[a+32>>2]|0;h=a+28|0;if(fo(k[h>>2]|0)|0){i=0;r=c;return i|0}j=Qqa(68)|0;l=a+40|0;B=0;ua(165,j|0,h|0,1,k[l>>2]|0,534);m=B;B=0;if(m&1){m=Rb()|0;Sqa(j);Qb(m|0)}rd[k[(k[g>>2]|0)+144>>2]&511](g,d,k[h>>2]|0,653);rd[k[(k[g>>2]|0)+144>>2]&511](g,e,k[h>>2]|0,666);dO(k[l>>2]|0,f,344);l=a+36|0;n=+WJ(k[l>>2]|0,212);o=+WJ(k[l>>2]|0,209);if(!(+p[e>>3]<n-o*+p[d>>3])){i=j;r=c;return i|0}o=+ba(10.0,+(+p[f>>3]))*b;p[k[j+12>>2]>>3]=o;i=j;r=c;return i|0}function nM(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;d=r;r=r+192|0;e=d+180|0;f=d+176|0;g=d+40|0;h=d+24|0;i=d+12|0;j=d;cO(k[a+40>>2]|0,f,477);switch(k[f>>2]|0){case 521:{l=oM(a,c)|0;break}case 509:{l=pM(a,0.0)|0;break}case 505:{l=qM(a,c)|0;break}case 481:case 497:{r=d;return}default:{a=g+56|0;m=g+4|0;k[g>>2]=27524;k[a>>2]=27544;B=0;wa(508,g+56|0,m|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;p=n;vva(a);Qb(p|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[a>>2]=27488;B=0;va(448,m|0);n=B;B=0;do if(n&1){q=Rb()|0;s=Q;t=q}else{k[m>>2]=27560;q=g+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[g+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,m|0,e|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);Yua(q);Ava(m);s=v;t=u;break}Yua(e);B=0;u=Ia(40,g|0,144156,9)|0;v=B;B=0;if((((((!(v&1)?(B=0,v=Xa(242,u|0,k[f>>2]|0)|0,u=B,B=0,!(u&1)):0)?(B=0,u=Ia(40,v|0,144166,2)|0,v=B,B=0,!(v&1)):0)?(B=0,v=ya(427,k[f>>2]|0)|0,w=B,B=0,!(w&1)):0)?(w=Lta(v)|0,B=0,x=Ia(40,u|0,v|0,w|0)|0,w=B,B=0,!(w&1)):0)?(B=0,w=Ia(40,x|0,144169,19)|0,x=B,B=0,!(x&1)):0)?(B=0,Xa(239,w|0,0)|0,w=B,B=0,!(w&1)):0){w=Ab(20)|0;B=0;eb(502,h|0,80261,72);x=B;B=0;do if(!(x&1)){B=0;eb(502,i|0,118249,20);v=B;B=0;if(v&1){v=Rb()|0;u=Q;Yua(h);y=u;z=v;break}B=0;wa(510,j|0,m|0);v=B;B=0;if(v&1){v=Rb()|0;A=Q;C=v;D=1}else{B=0;ua(163,w|0,h|0,i|0,294,j|0);v=B;B=0;if(v&1)E=1;else{B=0;eb(503,w|0,1240,229);B=0;E=0}v=Rb()|0;u=Q;Yua(j);A=u;C=v;D=E}Yua(i);Yua(h);if(D){y=A;z=C}else{F=A;G=C;k[g>>2]=27468;k[a>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(a);Qb(G|0)}}else{v=Rb()|0;y=Q;z=v}while(0);zb(w|0);F=y;G=z;k[g>>2]=27468;k[a>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(a);Qb(G|0)}x=Rb()|0;F=Q;G=x;k[g>>2]=27468;k[a>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(a);Qb(G|0)}while(0);o=s;p=t;vva(a);Qb(p|0)}}if(!l){r=d;return}TN(l,b);SN(l);Sqa(l);r=d;return}function oM(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0.0,n=0.0,o=0.0;c=r;r=r+16|0;d=c+8|0;e=c;f=k[a+32>>2]|0;if(!(k[a+44>>2]|0)){g=0;r=c;return g|0}h=Qqa(24)|0;i=a+28|0;j=a+40|0;B=0;ua(166,h|0,i|0,1,k[j>>2]|0,534);l=B;B=0;if(l&1){l=Rb()|0;Sqa(h);Qb(l|0)}rd[k[(k[f>>2]|0)+144>>2]&511](f,d,k[i>>2]|0,653);dO(k[j>>2]|0,e,344);j=a+36|0;m=+WJ(k[j>>2]|0,212);n=+WJ(k[j>>2]|0,209);o=(m-n*+p[d>>3])*(+ba(10.0,+(+p[e>>3]))*b);p[k[h+4>>2]>>3]=o;g=h;r=c;return g|0}function pM(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0.0,s=0.0,t=0.0;c=r;r=r+48|0;d=c+32|0;e=c+24|0;f=c+16|0;g=c+8|0;h=c;i=k[a+32>>2]|0;j=a+28|0;if(fo(k[j>>2]|0)|0){l=0;r=c;return l|0}m=Qqa(24)|0;n=a+40|0;B=0;ua(166,m|0,j|0,1,k[n>>2]|0,534);o=B;B=0;if(o&1){o=Rb()|0;Sqa(m);Qb(o|0)}rd[k[(k[i>>2]|0)+144>>2]&511](i,d,k[j>>2]|0,653);rd[k[(k[i>>2]|0)+144>>2]&511](i,e,k[j>>2]|0,666);dO(k[n>>2]|0,f,651);dO(k[n>>2]|0,g,358);dO(k[n>>2]|0,h,344);n=a+36|0;b=+WJ(k[n>>2]|0,212);q=+WJ(k[n>>2]|0,209);s=b-q*+p[d>>3];q=+p[e>>3];if(q<s){p[k[m+4>>2]>>3]=0.0;l=m;r=c;return l|0}b=+p[g>>3];t=(q-s)*(+p[f>>3]*+ba(10.0,+(+p[h>>3])));if(b!=0.0){p[k[m+4>>2]>>3]=t/b;l=m;r=c;return l|0}else{p[k[m+4>>2]>>3]=t;l=m;r=c;return l|0}return 0}function qM(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0.0;c=r;r=r+16|0;d=c+8|0;e=c;if(!(k[a+44>>2]|0)){f=0;r=c;return f|0}g=Qqa(24)|0;h=a+28|0;i=a+40|0;B=0;ua(166,g|0,h|0,1,k[i>>2]|0,534);j=B;B=0;if(j&1){j=Rb()|0;Sqa(g);Qb(j|0)}j=Qqa(4)|0;k[j>>2]=39240;dO(k[i>>2]|0,e,157);lda(j,d,k[a+32>>2]|0,k[h>>2]|0);l=+ba(10.0,+(+p[e>>3]))*b;p[k[g+4>>2]>>3]=l*+p[d>>3];Ec[k[(k[j>>2]|0)+4>>2]&1023](j);f=g;r=c;return f|0}function rM(a){a=a|0;var b=0;b=a+28|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;Dla(k[a+16>>2]|0);Dla(k[a+20>>2]|0);Dla(k[a+24>>2]|0);return}function sM(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return}function tM(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0;g=r;r=r+192|0;j=g+176|0;l=g+40|0;m=g+24|0;n=g+12|0;o=g;p=a+28|0;a=e+(Rn(k[p>>2]|0)|0)|0;if(i[a>>0]|0){q=0;s=0;t=q&1;k[b>>2]=t;k[c>>2]=s;r=g;return}a=e+(Rn(k[p>>2]|0)|0)|0;i[a>>0]=1;a=0;while(1){e=f+(a<<2)|0;if((k[e>>2]|0)>-1)a=a+1|0;else{u=e;break}}a=Rn(k[p>>2]|0)|0;k[u>>2]=a;switch(h|0){case 937:{if(!(k[d+28>>2]|0)){q=0;s=0;t=q&1;k[b>>2]=t;k[c>>2]=s;r=g;return}h=(fo(k[p>>2]|0)|0)==0;q=h;s=h&1^1;t=q&1;k[b>>2]=t;k[c>>2]=s;r=g;return}case 943:{if(!(k[d+24>>2]|0)){q=0;s=0;t=q&1;k[b>>2]=t;k[c>>2]=s;r=g;return}h=(fo(k[p>>2]|0)|0)==0;q=h;s=h&1^1;t=q&1;k[b>>2]=t;k[c>>2]=s;r=g;return}case 966:{if(!(k[d+32>>2]|0)){q=0;s=0;t=q&1;k[b>>2]=t;k[c>>2]=s;r=g;return}d=(fo(k[p>>2]|0)|0)==0;q=d;s=d&1^1;t=q&1;k[b>>2]=t;k[c>>2]=s;r=g;return}default:{g=l+56|0;s=l+4|0;k[l>>2]=27524;k[g>>2]=27544;B=0;wa(508,l+56|0,s|0);c=B;B=0;if(c&1){c=Rb()|0;v=Q;w=c;vva(g);Qb(w|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[g>>2]=27488;B=0;va(448,s|0);c=B;B=0;do if(c&1){t=Rb()|0;x=Q;y=t}else{k[s>>2]=27560;t=l+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[l+52>>2]=16;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;B=0;wa(509,s|0,j|0);b=B;B=0;if(b&1){b=Rb()|0;q=Q;Yua(j);Yua(t);Ava(s);x=q;y=b;break}Yua(j);B=0;b=Ia(40,l|0,145010,13)|0;q=B;B=0;if(!(q&1)?(B=0,Xa(239,b|0,0)|0,b=B,B=0,!(b&1)):0){b=Ab(20)|0;B=0;eb(502,m|0,80261,72);q=B;B=0;do if(!(q&1)){B=0;eb(502,n|0,144217,23);d=B;B=0;if(d&1){d=Rb()|0;p=Q;Yua(m);z=p;A=d;break}B=0;wa(510,o|0,s|0);d=B;B=0;if(d&1){d=Rb()|0;C=Q;D=d;E=1}else{B=0;ua(163,b|0,m|0,n|0,363,o|0);d=B;B=0;if(d&1)F=1;else{B=0;eb(503,b|0,1240,229);B=0;F=0}d=Rb()|0;p=Q;Yua(o);C=p;D=d;E=F}Yua(n);Yua(m);if(E){z=C;A=D}else{G=C;H=D;k[l>>2]=27468;k[g>>2]=27488;k[s>>2]=27560;Yua(t);Ava(s);vva(g);Qb(H|0)}}else{d=Rb()|0;z=Q;A=d}while(0);zb(b|0);G=z;H=A;k[l>>2]=27468;k[g>>2]=27488;k[s>>2]=27560;Yua(t);Ava(s);vva(g);Qb(H|0)}q=Rb()|0;G=Q;H=q;k[l>>2]=27468;k[g>>2]=27488;k[s>>2]=27560;Yua(t);Ava(s);vva(g);Qb(H|0)}while(0);v=x;w=y;vva(g);Qb(w|0)}}}function uM(a,b,c){a=a|0;b=+b;c=c|0;return}function vM(a,b,c){a=a|0;b=+b;c=c|0;return}function wM(a,b,c){a=a|0;b=b|0;c=c|0;return}function xM(a,b,c){a=a|0;b=b|0;c=c|0;return}function yM(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)!=656|b^1)return;k[a+48>>2]=0;return}function zM(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)!=656|b^1)return;k[a+-4+48>>2]=0;return}function AM(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return}function BM(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return}function CM(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;d=c+180|0;e=c+176|0;f=c+40|0;g=c+24|0;h=c+12|0;i=c;cO(k[a+40>>2]|0,e,477);switch(k[e>>2]|0){case 521:{DM(a,b);r=c;return}case 505:{EM(a,b);r=c;return}case 509:case 497:{r=c;return}default:{c=f+56|0;b=f+4|0;k[f>>2]=27524;k[c>>2]=27544;B=0;wa(508,f+56|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;j=Q;l=a;vva(c);Qb(l|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[c>>2]=27488;B=0;va(448,b|0);a=B;B=0;do if(a&1){m=Rb()|0;n=Q;o=m}else{k[b>>2]=27560;m=f+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[f+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,b|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(b);n=q;o=p;break}Yua(d);B=0;p=Ia(40,f|0,80374,10)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[e>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,146481,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,g|0,80261,72);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,80385,18);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(g);u=p;v=q;break}B=0;wa(510,i|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,g|0,h|0,430,i|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(i);w=p;x=q;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[c>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[f>>2]=27468;k[c>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[f>>2]=27468;k[c>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}}}function DM(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0.0,l=0,m=0,n=0;c=r;r=r+32|0;d=c+8|0;e=c;f=c+16|0;g=k[a+32>>2]|0;h=a+28|0;if(fo(k[h>>2]|0)|0){i=0;k[b>>2]=i;r=c;return}rd[k[(k[g>>2]|0)+144>>2]&511](g,d,k[h>>2]|0,653);rd[k[(k[g>>2]|0)+144>>2]&511](g,e,k[h>>2]|0,667);cO(k[a+40>>2]|0,f,345);j=+VJ(k[a+36>>2]|0,+p[d>>3]);d=+p[e>>3]>j&1;e=a+44|0;h=k[f>>2]|0;f=(h|0)==0;if((k[e>>2]|0)==(d|0))if(f)l=0;else{m=0;n=6}else if(f)l=1;else{f=a+48|0;k[f>>2]=(k[f>>2]|0)+1;m=1;n=6}if((n|0)==6)if((k[a+48>>2]|0)>(h|0)){k[e>>2]=1;l=0}else l=m;k[e>>2]=d;i=l;k[b>>2]=i;r=c;return}function EM(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;c=r;r=r+32|0;d=c+16|0;e=c+8|0;f=c;g=a+28|0;if(fo(k[g>>2]|0)|0){k[b>>2]=0;r=c;return}h=a+32|0;i=k[h>>2]|0;if(!(Hc[k[(k[i>>2]|0)+248>>2]&511](i)|0)){k[a+44>>2]=0;k[b>>2]=0;r=c;return}i=Qqa(4)|0;k[i>>2]=39240;j=k[h>>2]|0;rd[k[(k[j>>2]|0)+144>>2]&511](j,e,k[g>>2]|0,123);lda(i,f,k[h>>2]|0,k[g>>2]|0);cO(k[a+40>>2]|0,d,158);g=+p[e>>3]>+p[f>>3]&1;f=a+44|0;e=k[d>>2]|0;d=(e|0)==0;if((k[f>>2]|0)==(g|0))if(d)l=0;else{m=0;n=9}else if(d)l=1;else{d=a+48|0;k[d>>2]=(k[d>>2]|0)+1;m=1;n=9}if((n|0)==9)if((k[a+48>>2]|0)>(e|0)){k[f>>2]=1;l=0}else l=m;k[f>>2]=g;Ec[k[(k[i>>2]|0)+4>>2]&1023](i);k[b>>2]=l;r=c;return}function FM(a){a=a|0;k[a+44>>2]=0;k[a+48>>2]=0;return}function GM(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,80404,81);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,74,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function HM(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;b=r;r=r+192|0;a=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,h|0,a|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(a);Yua(m);Ava(h);n=q;o=p;break}Yua(a);B=0;p=Ia(40,d|0,144350,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,80404,81);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,144370,27);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,79,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(E|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function IM(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,80404,81);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144327,22);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,66,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function JM(a,b,c){a=a|0;b=b|0;c=c|0;IM(a+-4|0,b,c)}function KM(a){a=a|0;var b=0;k[a>>2]=34300;k[a+4>>2]=34420;k[a+44>>2]=0;b=a+20|0;k[a+40>>2]=0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;return}function LM(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;c=r;r=r+32|0;g=c+24|0;h=c+16|0;i=c;k[a>>2]=34300;k[a+4>>2]=34420;j=d<<2;d=k[e+76>>2]|0;l=k[d+(j<<2)>>2]|0;m=k[d+((j|1)<<2)>>2]|0;n=k[d+((j|2)<<2)>>2]|0;o=k[d+((j|3)<<2)>>2]|0;k[g>>2]=n;if((o|0)==-1){k[h>>2]=l;k[h+4>>2]=m;j=n*3|0;d=j+-3|0;p=k[e+72>>2]|0;q=k[p+(d<<2)>>2]|0;s=k[p+(j+-2<<2)>>2]|0;t=k[p+(j+-1<<2)>>2]|0;j=k[e+100>>2]|0;k[i>>2]=((t|0)==(l|0)?3:(s|0)==(l|0)?2:(q|0)==(l|0)?1:-9999)+d+j;k[i+4>>2]=((t|0)==(m|0)?3:(s|0)==(m|0)?2:(q|0)==(m|0)?1:-9999)+d+j;u=h;v=2;w=644}else{k[g+4>>2]=o;k[h>>2]=l;k[h+4>>2]=m;j=n*3|0;n=j+-3|0;d=k[e+72>>2]|0;q=o*3|0;o=q+-3|0;s=k[d+(n<<2)>>2]|0;t=k[d+(o<<2)>>2]|0;p=k[d+(j+-2<<2)>>2]|0;x=k[d+(q+-2<<2)>>2]|0;y=k[d+(j+-1<<2)>>2]|0;j=k[d+(q+-1<<2)>>2]|0;q=k[e+100>>2]|0;k[i>>2]=((y|0)==(l|0)?3:(p|0)==(l|0)?2:(s|0)==(l|0)?1:-9999)+n+q;k[i+4>>2]=((y|0)==(m|0)?3:(p|0)==(m|0)?2:(s|0)==(m|0)?1:-9999)+n+q;k[i+8>>2]=((j|0)==(l|0)?3:(x|0)==(l|0)?2:(t|0)==(l|0)?1:-9999)+o+q;k[i+12>>2]=((j|0)==(m|0)?3:(x|0)==(m|0)?2:(t|0)==(m|0)?1:-9999)+o+q;u=h;v=4;w=649}k[a+8>>2]=b;k[a+12>>2]=f;k[a+16>>2]=w;B=0;w=ya(423,16)|0;f=B;B=0;if(!(f&1)){B=0;eb(509,w|0,i|0,v|0);v=B;B=0;if(v&1){v=Rb()|0;i=Q;Sqa(w);z=i;A=v;Qb(A|0)}k[a+24>>2]=w;B=0;w=ya(423,16)|0;v=B;B=0;if(!(v&1)){B=0;eb(509,w|0,u|0,2);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Sqa(w);z=v;A=u;Qb(A|0)}k[a+28>>2]=w;B=0;w=ya(423,16)|0;u=B;B=0;if(!(u&1)){B=0;eb(509,w|0,g|0,1);g=B;B=0;if(!(g&1)){k[a+20>>2]=w;k[a+44>>2]=0;k[a+32>>2]=0;k[a+40>>2]=0;r=c;return}c=Rb()|0;a=Q;Sqa(w);z=a;A=c;Qb(A|0)}}}c=Rb()|0;z=Q;A=c;Qb(A|0)}function MM(a){a=a|0;var b=0;k[a>>2]=34300;k[a+4>>2]=34420;k[a+44>>2]=0;b=k[a+20>>2]|0;if(b){yla(b);Sqa(b)}b=k[a+24>>2]|0;if(b){yla(b);Sqa(b)}b=k[a+28>>2]|0;if(!b)return;yla(b);Sqa(b);return}function NM(a){a=a|0;var b=0;k[a>>2]=34300;k[a+4>>2]=34420;k[a+44>>2]=0;b=k[a+20>>2]|0;if(b){yla(b);Sqa(b)}b=k[a+24>>2]|0;if(b){yla(b);Sqa(b)}b=k[a+28>>2]|0;if(!b){Sqa(a);return}yla(b);Sqa(b);Sqa(a);return}function OM(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;b=Qqa(48)|0;k[b>>2]=34300;k[b+4>>2]=34420;c=b+20|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[b+8>>2]=k[a+8>>2];k[b+12>>2]=k[a+12>>2];k[b+16>>2]=k[a+16>>2];k[b+44>>2]=k[a+44>>2];d=Bla(k[a+24>>2]|0)|0;k[b+24>>2]=d;e=Bla(k[a+28>>2]|0)|0;k[b+28>>2]=e;f=Bla(k[a+20>>2]|0)|0;k[c>>2]=f;c=Gla(d)|0;k[b+40>>2]=c;c=Gla(e)|0;k[b+36>>2]=c;c=Fla(f)|0;k[b+32>>2]=c;return b|0}function PM(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;a:do switch(d|0){case 0:{n=k[b>>2]|0;i[n>>0]=76;i[n+1>>0]=2;i[n+2>>0]=0;i[n+3>>0]=0;n=(k[b>>2]|0)+4|0;k[b>>2]=n;o=a+8|0;p=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[n>>0]=p;i[n+1>>0]=p>>8;i[n+2>>0]=p>>16;i[n+3>>0]=p>>24;p=(k[b>>2]|0)+4|0;k[b>>2]=p;n=a+12|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[p>>0]=o;i[p+1>>0]=o>>8;i[p+2>>0]=o>>16;i[p+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;p=a+16|0;n=l[p>>0]|l[p+1>>0]<<8|l[p+2>>0]<<16|l[p+3>>0]<<24;i[o>>0]=n;i[o+1>>0]=n>>8;i[o+2>>0]=n>>16;i[o+3>>0]=n>>24;k[b>>2]=(k[b>>2]|0)+4;break}case 2:{k[c>>2]=(k[c>>2]|0)+16;break}case 1:{n=(k[b>>2]|0)+4|0;k[b>>2]=n;o=a+8|0;p=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[o>>0]=p;i[o+1>>0]=p>>8;i[o+2>>0]=p>>16;i[o+3>>0]=p>>24;p=(k[b>>2]|0)+4|0;k[b>>2]=p;o=a+12|0;n=l[p>>0]|l[p+1>>0]<<8|l[p+2>>0]<<16|l[p+3>>0]<<24;i[o>>0]=n;i[o+1>>0]=n>>8;i[o+2>>0]=n>>16;i[o+3>>0]=n>>24;n=(k[b>>2]|0)+4|0;k[b>>2]=n;o=a+16|0;p=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[o>>0]=p;i[o+1>>0]=p>>8;i[o+2>>0]=p>>16;i[o+3>>0]=p>>24;k[b>>2]=(k[b>>2]|0)+4;p=Qqa(16)|0;B=0;va(489,p|0);o=B;B=0;if(o&1){o=Rb()|0;n=Q;Sqa(p);q=n;s=o;Qb(s|0)}k[a+24>>2]=p;p=Qqa(16)|0;B=0;va(489,p|0);o=B;B=0;if(o&1){o=Rb()|0;n=Q;Sqa(p);q=n;s=o;Qb(s|0)}k[a+28>>2]=p;p=Qqa(16)|0;B=0;va(489,p|0);o=B;B=0;if(!(o&1)){k[a+20>>2]=p;break a}o=Rb()|0;n=Q;Sqa(p);q=n;s=o;Qb(s|0);break}default:{o=g+56|0;n=g+4|0;k[g>>2]=27524;k[o>>2]=27544;B=0;wa(508,g+56|0,n|0);p=B;B=0;if(p&1){p=Rb()|0;t=Q;u=p;vva(o);Qb(u|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[o>>2]=27488;B=0;va(448,n|0);p=B;B=0;do if(p&1){v=Rb()|0;w=Q;x=v}else{k[n>>2]=27560;v=g+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,n|0,f|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(f);Yua(v);Ava(n);w=z;x=y;break}Yua(f);B=0;y=Ia(40,g|0,143951,43)|0;z=B;B=0;b:do if(!(z&1)?(B=0,Xa(239,y|0,0)|0,A=B,B=0,!(A&1)):0){A=Ab(20)|0;B=0;eb(502,h|0,80502,78);C=B;B=0;do if(!(C&1)){B=0;eb(502,j|0,149525,8);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(h);F=E;G=D;break}B=0;wa(510,m|0,n|0);D=B;B=0;if(D&1){D=Rb()|0;H=Q;I=D;J=1}else{B=0;ua(163,A|0,h|0,j|0,165,m|0);D=B;B=0;if(D&1)K=1;else{B=0;eb(503,A|0,1240,229);B=0;K=0}D=Rb()|0;E=Q;Yua(m);H=E;I=D;J=K}Yua(j);Yua(h);if(J){F=H;G=I}else{L=H;M=I;break b}}else{D=Rb()|0;F=Q;G=D}while(0);zb(A|0);L=F;M=G}else N=17;while(0);if((N|0)==17){y=Rb()|0;L=Q;M=y}k[g>>2]=27468;k[o>>2]=27488;k[n>>2]=27560;Yua(v);Ava(n);vva(o);q=L;s=M;Qb(s|0)}while(0);t=w;u=x;vva(o);Qb(u|0)}}while(0);u=a+24|0;Cla(k[u>>2]|0,b,c,d);x=a+20|0;Cla(k[x>>2]|0,b,c,d);w=a+28|0;Cla(k[w>>2]|0,b,c,d);d=Gla(k[u>>2]|0)|0;k[a+40>>2]=d;d=Gla(k[w>>2]|0)|0;k[a+36>>2]=d;d=Fla(k[x>>2]|0)|0;k[a+32>>2]=d;r=e;return}function QM(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0;b=r;r=r+928|0;c=b+904|0;d=b+744|0;e=b+892|0;f=b+592|0;g=b+880|0;h=b+440|0;i=b+728|0;j=b+304|0;l=b+576|0;m=b+152|0;n=b+288|0;o=b+16|0;p=b;q=d+56|0;s=d+4|0;k[d>>2]=27524;k[q>>2]=27544;B=0;wa(508,d+56|0,s|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;v=t;vva(q);Qb(v|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[q>>2]=27488;B=0;va(448,s|0);t=B;B=0;do if(t&1){w=Rb()|0;x=Q;y=w}else{k[s>>2]=27560;w=d+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,s|0,c|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(c);Yua(w);Ava(s);x=A;y=z;break}Yua(c);B=0;Ia(40,d|0,80581,15)|0;z=B;B=0;do if(!(z&1)?(B=0,wa(510,e|0,s|0),A=B,B=0,!(A&1)):0){B=0;ya(424,e|0)|0;A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(e);D=C;E=A;break}Yua(e);k[d>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(q);A=f+56|0;C=f+4|0;k[f>>2]=27524;k[A>>2]=27544;B=0;wa(508,f+56|0,C|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;H=F;vva(A);Qb(H|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[A>>2]=27488;B=0;va(448,C|0);F=B;B=0;do if(F&1){I=Rb()|0;J=Q;K=I}else{k[C>>2]=27560;I=f+36|0;k[I>>2]=0;k[I+4>>2]=0;k[I+8>>2]=0;k[I+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,C|0,c|0);L=B;B=0;if(L&1){L=Rb()|0;M=Q;Yua(c);Yua(I);Ava(C);J=M;K=L;break}Yua(c);B=0;L=Ia(40,f|0,144086,7)|0;M=B;B=0;do if(((!(M&1)?(B=0,N=Xa(242,L|0,k[a+8>>2]|0)|0,O=B,B=0,!(O&1)):0)?(B=0,Ia(40,N|0,149177,1)|0,N=B,B=0,!(N&1)):0)?(B=0,wa(510,g|0,C|0),N=B,B=0,!(N&1)):0){B=0;ya(424,g|0)|0;N=B;B=0;if(N&1){N=Rb()|0;O=Q;Yua(g);P=O;R=N;break}Yua(g);k[f>>2]=27468;k[A>>2]=27488;k[C>>2]=27560;Yua(I);Ava(C);vva(A);N=h+56|0;O=h+4|0;k[h>>2]=27524;k[N>>2]=27544;B=0;wa(508,h+56|0,O|0);S=B;B=0;if(S&1){S=Rb()|0;T=Q;U=S;vva(N);Qb(U|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[N>>2]=27488;B=0;va(448,O|0);S=B;B=0;do if(S&1){V=Rb()|0;W=Q;X=V}else{k[O>>2]=27560;V=h+36|0;k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;k[V+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,O|0,c|0);Y=B;B=0;if(Y&1){Y=Rb()|0;Z=Q;Yua(c);Yua(V);Ava(O);W=Z;X=Y;break}Yua(c);B=0;Y=Ia(40,h|0,144094,18)|0;Z=B;B=0;do if(Z&1)_=71;else{B=0;$=ya(427,k[a+12>>2]|0)|0;aa=B;B=0;if(aa&1){_=71;break}aa=Lta($)|0;B=0;ba=Ia(40,Y|0,$|0,aa|0)|0;aa=B;B=0;if(aa&1){_=71;break}B=0;Ia(40,ba|0,149177,1)|0;ba=B;B=0;if(ba&1){_=71;break}B=0;wa(510,i|0,O|0);ba=B;B=0;if(ba&1){_=71;break}B=0;ya(424,i|0)|0;ba=B;B=0;if(ba&1){ba=Rb()|0;aa=Q;Yua(i);ca=aa;da=ba;break}Yua(i);k[h>>2]=27468;k[N>>2]=27488;k[O>>2]=27560;Yua(V);Ava(O);vva(N);ba=j+56|0;aa=j+4|0;k[j>>2]=27524;k[ba>>2]=27544;B=0;wa(508,j+56|0,aa|0);$=B;B=0;if($&1){$=Rb()|0;ea=Q;fa=$;vva(ba);Qb(fa|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[ba>>2]=27488;B=0;va(448,aa|0);$=B;B=0;do if($&1){ga=Rb()|0;ha=Q;ia=ga}else{k[aa>>2]=27560;ga=j+36|0;k[ga>>2]=0;k[ga+4>>2]=0;k[ga+8>>2]=0;k[ga+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,aa|0,c|0);ja=B;B=0;if(ja&1){ja=Rb()|0;ka=Q;Yua(c);Yua(ga);Ava(aa);ha=ka;ia=ja;break}Yua(c);B=0;ja=Ia(40,j|0,80597,14)|0;ka=B;B=0;do if(ka&1)_=74;else{B=0;la=Xa(242,ja|0,k[a+16>>2]|0)|0;ma=B;B=0;if(ma&1){_=74;break}B=0;Ia(40,la|0,149177,1)|0;la=B;B=0;if(la&1){_=74;break}B=0;wa(510,l|0,aa|0);la=B;B=0;if(la&1){_=74;break}B=0;ya(424,l|0)|0;la=B;B=0;if(la&1){la=Rb()|0;ma=Q;Yua(l);na=ma;oa=la;break}Yua(l);k[j>>2]=27468;k[ba>>2]=27488;k[aa>>2]=27560;Yua(ga);Ava(aa);vva(ba);Ala(k[a+24>>2]|0);Ala(k[a+28>>2]|0);Ala(k[a+20>>2]|0);la=m+56|0;ma=m+4|0;k[m>>2]=27524;k[la>>2]=27544;B=0;wa(508,m+56|0,ma|0);pa=B;B=0;if(pa&1){pa=Rb()|0;qa=Q;ra=pa;vva(la);Qb(ra|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[la>>2]=27488;B=0;va(448,ma|0);pa=B;B=0;do if(pa&1){sa=Rb()|0;ta=Q;ua=sa}else{k[ma>>2]=27560;sa=m+36|0;k[sa>>2]=0;k[sa+4>>2]=0;k[sa+8>>2]=0;k[sa+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ma|0,c|0);xa=B;B=0;if(xa&1){xa=Rb()|0;za=Q;Yua(c);Yua(sa);Ava(ma);ta=za;ua=xa;break}Yua(c);B=0;Ia(40,m|0,144113,14)|0;xa=B;B=0;do if(xa&1)_=77;else{B=0;wa(510,n|0,ma|0);za=B;B=0;if(za&1){_=77;break}B=0;ya(424,n|0)|0;za=B;B=0;if(za&1){za=Rb()|0;Aa=Q;Yua(n);Ba=Aa;Ca=za;break}Yua(n);k[m>>2]=27468;k[la>>2]=27488;k[ma>>2]=27560;Yua(sa);Ava(ma);vva(la);za=k[a+44>>2]|0;if(za)$N(za);za=o+56|0;Aa=o+4|0;k[o>>2]=27524;k[za>>2]=27544;B=0;wa(508,o+56|0,Aa|0);Da=B;B=0;if(Da&1){Da=Rb()|0;Ea=Q;Fa=Da;vva(za);Qb(Fa|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[za>>2]=27488;B=0;va(448,Aa|0);Da=B;B=0;do if(Da&1){Ga=Rb()|0;Ha=Q;Ja=Ga}else{k[Aa>>2]=27560;Ga=o+36|0;k[Ga>>2]=0;k[Ga+4>>2]=0;k[Ga+8>>2]=0;k[Ga+12>>2]=0;k[o+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Aa|0,c|0);Ka=B;B=0;if(Ka&1){Ka=Rb()|0;La=Q;Yua(c);Yua(Ga);Ava(Aa);Ha=La;Ja=Ka;break}Yua(c);B=0;Ia(40,o|0,144128,11)|0;Ka=B;B=0;do if(!(Ka&1)){B=0;wa(510,p|0,Aa|0);La=B;B=0;if(La&1){_=92;break}B=0;ya(424,p|0)|0;La=B;B=0;if(La&1){La=Rb()|0;Ma=Q;Yua(p);Na=Ma;Oa=La;break}else{Yua(p);k[o>>2]=27468;k[za>>2]=27488;k[Aa>>2]=27560;Yua(Ga);Ava(Aa);vva(za);r=b;return}}else _=92;while(0);if((_|0)==92){Ka=Rb()|0;Na=Q;Oa=Ka}k[o>>2]=27468;k[za>>2]=27488;k[Aa>>2]=27560;Yua(Ga);Ava(Aa);vva(za);Pa=Na;Qa=Oa;Qb(Qa|0)}while(0);Ea=Ha;Fa=Ja;vva(za);Qb(Fa|0)}while(0);if((_|0)==77){xa=Rb()|0;Ba=Q;Ca=xa}k[m>>2]=27468;k[la>>2]=27488;k[ma>>2]=27560;Yua(sa);Ava(ma);vva(la);Pa=Ba;Qa=Ca;Qb(Qa|0)}while(0);qa=ta;ra=ua;vva(la);Qb(ra|0)}while(0);if((_|0)==74){ja=Rb()|0;na=Q;oa=ja}k[j>>2]=27468;k[ba>>2]=27488;k[aa>>2]=27560;Yua(ga);Ava(aa);vva(ba);Pa=na;Qa=oa;Qb(Qa|0)}while(0);ea=ha;fa=ia;vva(ba);Qb(fa|0)}while(0);if((_|0)==71){Y=Rb()|0;ca=Q;da=Y}k[h>>2]=27468;k[N>>2]=27488;k[O>>2]=27560;Yua(V);Ava(O);vva(N);Pa=ca;Qa=da;Qb(Qa|0)}while(0);T=W;U=X;vva(N);Qb(U|0)}else _=68;while(0);if((_|0)==68){L=Rb()|0;P=Q;R=L}k[f>>2]=27468;k[A>>2]=27488;k[C>>2]=27560;Yua(I);Ava(C);vva(A);Pa=P;Qa=R;Qb(Qa|0)}while(0);G=J;H=K;vva(A);Qb(H|0)}else _=65;while(0);if((_|0)==65){z=Rb()|0;D=Q;E=z}k[d>>2]=27468;k[q>>2]=27488;k[s>>2]=27560;Yua(w);Ava(s);vva(q);Pa=D;Qa=E;Qb(Qa|0)}while(0);u=x;v=y;vva(q);Qb(v|0)}function RM(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0;b=r;r=r+768|0;c=b+752|0;d=b+592|0;e=b+740|0;f=b+456|0;g=b+728|0;h=b+304|0;i=b+440|0;j=b+152|0;l=b+288|0;m=b+16|0;n=b;o=d+56|0;p=d+4|0;k[d>>2]=27524;k[o>>2]=27544;B=0;wa(508,d+56|0,p|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;t=q;vva(o);Qb(t|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[o>>2]=27488;B=0;va(448,p|0);q=B;B=0;do if(q&1){u=Rb()|0;v=Q;w=u}else{k[p>>2]=27560;u=d+36|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;k[u+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,p|0,c|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;Yua(c);Yua(u);Ava(p);v=y;w=x;break}Yua(c);B=0;Ia(40,d|0,80581,15)|0;x=B;B=0;do if(!(x&1)?(B=0,wa(510,e|0,p|0),y=B,B=0,!(y&1)):0){B=0;ya(424,e|0)|0;y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(e);A=z;C=y;break}Yua(e);k[d>>2]=27468;k[o>>2]=27488;k[p>>2]=27560;Yua(u);Ava(p);vva(o);y=f+56|0;z=f+4|0;k[f>>2]=27524;k[y>>2]=27544;B=0;wa(508,f+56|0,z|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;F=D;vva(y);Qb(F|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[y>>2]=27488;B=0;va(448,z|0);D=B;B=0;do if(D&1){G=Rb()|0;H=Q;I=G}else{k[z>>2]=27560;G=f+36|0;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;k[G+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,z|0,c|0);J=B;B=0;if(J&1){J=Rb()|0;K=Q;Yua(c);Yua(G);Ava(z);H=K;I=J;break}Yua(c);B=0;J=Ia(40,f|0,144086,7)|0;K=B;B=0;do if(((!(K&1)?(B=0,L=Xa(242,J|0,k[a+8>>2]|0)|0,M=B,B=0,!(M&1)):0)?(B=0,Ia(40,L|0,149177,1)|0,L=B,B=0,!(L&1)):0)?(B=0,wa(510,g|0,z|0),L=B,B=0,!(L&1)):0){B=0;ya(424,g|0)|0;L=B;B=0;if(L&1){L=Rb()|0;M=Q;Yua(g);N=M;O=L;break}Yua(g);k[f>>2]=27468;k[y>>2]=27488;k[z>>2]=27560;Yua(G);Ava(z);vva(y);L=h+56|0;M=h+4|0;k[h>>2]=27524;k[L>>2]=27544;B=0;wa(508,h+56|0,M|0);P=B;B=0;if(P&1){P=Rb()|0;R=Q;S=P;vva(L);Qb(S|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[L>>2]=27488;B=0;va(448,M|0);P=B;B=0;do if(P&1){T=Rb()|0;U=Q;V=T}else{k[M>>2]=27560;T=h+36|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;k[T+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,M|0,c|0);W=B;B=0;if(W&1){W=Rb()|0;X=Q;Yua(c);Yua(T);Ava(M);U=X;V=W;break}Yua(c);B=0;W=Ia(40,h|0,144094,18)|0;X=B;B=0;do if(X&1)Y=72;else{B=0;Z=ya(427,k[a+12>>2]|0)|0;_=B;B=0;if(_&1){Y=72;break}_=Lta(Z)|0;B=0;$=Ia(40,W|0,Z|0,_|0)|0;_=B;B=0;if(_&1){Y=72;break}B=0;Ia(40,$|0,149177,1)|0;$=B;B=0;if($&1){Y=72;break}B=0;wa(510,i|0,M|0);$=B;B=0;if($&1){Y=72;break}B=0;ya(424,i|0)|0;$=B;B=0;if($&1){$=Rb()|0;_=Q;Yua(i);aa=_;ba=$;break}Yua(i);k[h>>2]=27468;k[L>>2]=27488;k[M>>2]=27560;Yua(T);Ava(M);vva(L);$=j+56|0;_=j+4|0;k[j>>2]=27524;k[$>>2]=27544;B=0;wa(508,j+56|0,_|0);Z=B;B=0;if(Z&1){Z=Rb()|0;ca=Q;da=Z;vva($);Qb(da|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[$>>2]=27488;B=0;va(448,_|0);Z=B;B=0;do if(Z&1){ea=Rb()|0;fa=Q;ga=ea}else{k[_>>2]=27560;ea=j+36|0;k[ea>>2]=0;k[ea+4>>2]=0;k[ea+8>>2]=0;k[ea+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,_|0,c|0);ha=B;B=0;if(ha&1){ha=Rb()|0;ia=Q;Yua(c);Yua(ea);Ava(_);fa=ia;ga=ha;break}Yua(c);B=0;ha=Ia(40,j|0,80597,14)|0;ia=B;B=0;do if(ia&1)Y=75;else{B=0;ja=Xa(242,ha|0,k[a+16>>2]|0)|0;ka=B;B=0;if(ka&1){Y=75;break}B=0;Ia(40,ja|0,149177,1)|0;ja=B;B=0;if(ja&1){Y=75;break}B=0;wa(510,l|0,_|0);ja=B;B=0;if(ja&1){Y=75;break}B=0;ya(424,l|0)|0;ja=B;B=0;if(ja&1){ja=Rb()|0;ka=Q;Yua(l);la=ka;ma=ja;break}Yua(l);k[j>>2]=27468;k[$>>2]=27488;k[_>>2]=27560;Yua(ea);Ava(_);vva($);zla(k[a+24>>2]|0);zla(k[a+28>>2]|0);zla(k[a+20>>2]|0);ja=m+56|0;ka=m+4|0;k[m>>2]=27524;k[ja>>2]=27544;B=0;wa(508,m+56|0,ka|0);na=B;B=0;if(na&1){na=Rb()|0;oa=Q;pa=na;vva(ja);Qb(pa|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[ja>>2]=27488;B=0;va(448,ka|0);na=B;B=0;do if(na&1){qa=Rb()|0;ra=Q;sa=qa}else{k[ka>>2]=27560;qa=m+36|0;k[qa>>2]=0;k[qa+4>>2]=0;k[qa+8>>2]=0;k[qa+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ka|0,c|0);ta=B;B=0;if(ta&1){ta=Rb()|0;ua=Q;Yua(c);Yua(qa);Ava(ka);ra=ua;sa=ta;break}Yua(c);B=0;ta=Ia(40,m|0,144140,15)|0;ua=B;B=0;do if(!(ua&1)){B=0;xa=Xa(245,ta|0,k[a+44>>2]|0)|0;za=B;B=0;if(za&1){Y=78;break}B=0;Ia(40,xa|0,149177,1)|0;xa=B;B=0;if(xa&1){Y=78;break}B=0;wa(510,n|0,ka|0);xa=B;B=0;if(xa&1){Y=78;break}B=0;ya(424,n|0)|0;xa=B;B=0;if(xa&1){xa=Rb()|0;za=Q;Yua(n);Aa=za;Ba=xa;break}else{Yua(n);k[m>>2]=27468;k[ja>>2]=27488;k[ka>>2]=27560;Yua(qa);Ava(ka);vva(ja);r=b;return}}else Y=78;while(0);if((Y|0)==78){ta=Rb()|0;Aa=Q;Ba=ta}k[m>>2]=27468;k[ja>>2]=27488;k[ka>>2]=27560;Yua(qa);Ava(ka);vva(ja);Ca=Aa;Da=Ba;Qb(Da|0)}while(0);oa=ra;pa=sa;vva(ja);Qb(pa|0)}while(0);if((Y|0)==75){ha=Rb()|0;la=Q;ma=ha}k[j>>2]=27468;k[$>>2]=27488;k[_>>2]=27560;Yua(ea);Ava(_);vva($);Ca=la;Da=ma;Qb(Da|0)}while(0);ca=fa;da=ga;vva($);Qb(da|0)}while(0);if((Y|0)==72){W=Rb()|0;aa=Q;ba=W}k[h>>2]=27468;k[L>>2]=27488;k[M>>2]=27560;Yua(T);Ava(M);vva(L);Ca=aa;Da=ba;Qb(Da|0)}while(0);R=U;S=V;vva(L);Qb(S|0)}else Y=69;while(0);if((Y|0)==69){J=Rb()|0;N=Q;O=J}k[f>>2]=27468;k[y>>2]=27488;k[z>>2]=27560;Yua(G);Ava(z);vva(y);Ca=N;Da=O;Qb(Da|0)}while(0);E=H;F=I;vva(y);Qb(F|0)}else Y=66;while(0);if((Y|0)==66){x=Rb()|0;A=Q;C=x}k[d>>2]=27468;k[o>>2]=27488;k[p>>2]=27560;Yua(u);Ava(p);vva(o);Ca=A;Da=C;Qb(Da|0)}while(0);s=v;t=w;vva(o);Qb(t|0)}function SM(a){a=a|0;return k[a+8>>2]|0}function TM(a){a=a|0;return 588}function UM(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;f=a+24|0;Ela(k[f>>2]|0,d);d=a+28|0;Ela(k[d>>2]|0,e);e=a+20|0;Ela(k[e>>2]|0,b);b=Gla(k[f>>2]|0)|0;k[a+40>>2]=b;b=Gla(k[d>>2]|0)|0;k[a+36>>2]=b;b=Fla(k[e>>2]|0)|0;k[a+32>>2]=b;k[a+44>>2]=g;return}function VM(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;d=r;r=r+192|0;e=d+180|0;f=d+176|0;g=d+40|0;h=d+24|0;i=d+12|0;j=d;cO(k[a+44>>2]|0,f,477);switch(k[f>>2]|0){case 510:{l=WM(a)|0;break}case 484:{l=XM(a)|0;break}case 479:{l=YM(a)|0;break}default:{a=g+56|0;m=g+4|0;k[g>>2]=27524;k[a>>2]=27544;B=0;wa(508,g+56|0,m|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;p=n;vva(a);Qb(p|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[a>>2]=27488;B=0;va(448,m|0);n=B;B=0;do if(n&1){q=Rb()|0;s=Q;t=q}else{k[m>>2]=27560;q=g+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[g+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,m|0,e|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);Yua(q);Ava(m);s=v;t=u;break}Yua(e);B=0;u=Ia(40,g|0,144156,9)|0;v=B;B=0;if((((((!(v&1)?(B=0,v=Xa(242,u|0,k[f>>2]|0)|0,u=B,B=0,!(u&1)):0)?(B=0,u=Ia(40,v|0,144166,2)|0,v=B,B=0,!(v&1)):0)?(B=0,v=ya(427,k[f>>2]|0)|0,w=B,B=0,!(w&1)):0)?(w=Lta(v)|0,B=0,x=Ia(40,u|0,v|0,w|0)|0,w=B,B=0,!(w&1)):0)?(B=0,w=Ia(40,x|0,144169,19)|0,x=B,B=0,!(x&1)):0)?(B=0,Xa(239,w|0,0)|0,w=B,B=0,!(w&1)):0){w=Ab(20)|0;B=0;eb(502,h|0,80502,78);x=B;B=0;do if(!(x&1)){B=0;eb(502,i|0,144189,13);v=B;B=0;if(v&1){v=Rb()|0;u=Q;Yua(h);y=u;z=v;break}B=0;wa(510,j|0,m|0);v=B;B=0;if(v&1){v=Rb()|0;A=Q;C=v;D=1}else{B=0;ua(163,w|0,h|0,i|0,262,j|0);v=B;B=0;if(v&1)E=1;else{B=0;eb(503,w|0,1240,229);B=0;E=0}v=Rb()|0;u=Q;Yua(j);A=u;C=v;D=E}Yua(i);Yua(h);if(D){y=A;z=C}else{F=A;G=C;k[g>>2]=27468;k[a>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(a);Qb(G|0)}}else{v=Rb()|0;y=Q;z=v}while(0);zb(w|0);F=y;G=z;k[g>>2]=27468;k[a>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(a);Qb(G|0)}x=Rb()|0;F=Q;G=x;k[g>>2]=27468;k[a>>2]=27488;k[m>>2]=27560;Yua(q);Ava(m);vva(a);Qb(G|0)}while(0);o=s;p=t;vva(a);Qb(p|0)}}if(!l){r=d;return}IN(l,b,c);HN(l);Sqa(l);r=d;return}function WM(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;switch(k[a+16>>2]|0){case 649:{h=mN(a)|0;r=b;return h|0}case 644:{h=nN(a)|0;r=b;return h|0}default:{h=d+56|0;b=d+4|0;k[d>>2]=27524;k[h>>2]=27544;B=0;wa(508,d+56|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;i=Q;j=a;vva(h);Qb(j|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[h>>2]=27488;B=0;va(448,b|0);a=B;B=0;do if(a&1){l=Rb()|0;m=Q;n=l}else{k[b>>2]=27560;l=d+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,b|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(b);m=p;n=o;break}Yua(c);B=0;o=Ia(40,d|0,80612,22)|0;p=B;B=0;if(!(p&1)?(B=0,Xa(239,o|0,0)|0,o=B,B=0,!(o&1)):0){o=Ab(20)|0;B=0;eb(502,e|0,80502,78);p=B;B=0;do if(!(p&1)){B=0;eb(502,f|0,80635,26);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(e);t=s;u=q;break}B=0;wa(510,g|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;v=Q;w=q;x=1}else{B=0;ua(163,o|0,e|0,f|0,625,g|0);q=B;B=0;if(q&1)y=1;else{B=0;eb(503,o|0,1240,229);B=0;y=0}q=Rb()|0;s=Q;Yua(g);v=s;w=q;x=y}Yua(f);Yua(e);if(x){t=v;u=w}else{z=v;A=w;k[d>>2]=27468;k[h>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(h);Qb(A|0)}}else{q=Rb()|0;t=Q;u=q}while(0);zb(o|0);z=t;A=u;k[d>>2]=27468;k[h>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(h);Qb(A|0)}p=Rb()|0;z=Q;A=p;k[d>>2]=27468;k[h>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(h);Qb(A|0)}while(0);i=m;j=n;vva(h);Qb(j|0)}}return 0}function XM(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;switch(k[a+16>>2]|0){case 649:{h=lN(a)|0;r=b;return h|0}case 644:{h=kN(a)|0;r=b;return h|0}default:{h=d+56|0;b=d+4|0;k[d>>2]=27524;k[h>>2]=27544;B=0;wa(508,d+56|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;i=Q;j=a;vva(h);Qb(j|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[h>>2]=27488;B=0;va(448,b|0);a=B;B=0;do if(a&1){l=Rb()|0;m=Q;n=l}else{k[b>>2]=27560;l=d+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,b|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(b);m=p;n=o;break}Yua(c);B=0;o=Ia(40,d|0,80612,22)|0;p=B;B=0;if(!(p&1)?(B=0,Xa(239,o|0,0)|0,o=B,B=0,!(o&1)):0){o=Ab(20)|0;B=0;eb(502,e|0,80502,78);p=B;B=0;do if(!(p&1)){B=0;eb(502,f|0,80662,29);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(e);t=s;u=q;break}B=0;wa(510,g|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;v=Q;w=q;x=1}else{B=0;ua(163,o|0,e|0,f|0,480,g|0);q=B;B=0;if(q&1)y=1;else{B=0;eb(503,o|0,1240,229);B=0;y=0}q=Rb()|0;s=Q;Yua(g);v=s;w=q;x=y}Yua(f);Yua(e);if(x){t=v;u=w}else{z=v;A=w;k[d>>2]=27468;k[h>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(h);Qb(A|0)}}else{q=Rb()|0;t=Q;u=q}while(0);zb(o|0);z=t;A=u;k[d>>2]=27468;k[h>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(h);Qb(A|0)}p=Rb()|0;z=Q;A=p;k[d>>2]=27468;k[h>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(h);Qb(A|0)}while(0);i=m;j=n;vva(h);Qb(j|0)}}return 0}function YM(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;switch(k[a+16>>2]|0){case 649:{h=lN(a)|0;if(!h){i=0;r=b;return i|0}MN(h);i=h;r=b;return i|0}case 644:{h=kN(a)|0;if(!h){i=0;r=b;return i|0}MN(h);i=h;r=b;return i|0}default:{i=d+56|0;b=d+4|0;k[d>>2]=27524;k[i>>2]=27544;B=0;wa(508,d+56|0,b|0);h=B;B=0;if(h&1){h=Rb()|0;j=Q;l=h;vva(i);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[i>>2]=27488;B=0;va(448,b|0);h=B;B=0;do if(h&1){a=Rb()|0;m=Q;n=a}else{k[b>>2]=27560;a=d+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,b|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(a);Ava(b);m=p;n=o;break}Yua(c);B=0;o=Ia(40,d|0,80612,22)|0;p=B;B=0;if(!(p&1)?(B=0,Xa(239,o|0,0)|0,o=B,B=0,!(o&1)):0){o=Ab(20)|0;B=0;eb(502,e|0,80502,78);p=B;B=0;do if(!(p&1)){B=0;eb(502,f|0,80692,36);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(e);t=s;u=q;break}B=0;wa(510,g|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;v=Q;w=q;x=1}else{B=0;ua(163,o|0,e|0,f|0,454,g|0);q=B;B=0;if(q&1)y=1;else{B=0;eb(503,o|0,1240,229);B=0;y=0}q=Rb()|0;s=Q;Yua(g);v=s;w=q;x=y}Yua(f);Yua(e);if(x){t=v;u=w}else{z=v;A=w;k[d>>2]=27468;k[i>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(i);Qb(A|0)}}else{q=Rb()|0;t=Q;u=q}while(0);zb(o|0);z=t;A=u;k[d>>2]=27468;k[i>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(i);Qb(A|0)}p=Rb()|0;z=Q;A=p;k[d>>2]=27468;k[i>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(i);Qb(A|0)}while(0);j=m;l=n;vva(i);Qb(l|0)}}return 0}function ZM(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;c=r;r=r+192|0;d=c+180|0;e=c+176|0;f=c+40|0;g=c+24|0;h=c+12|0;i=c;cO(k[a+44>>2]|0,e,477);switch(k[e>>2]|0){case 510:{j=_M(a)|0;break}case 484:{j=$M(a)|0;break}case 479:{r=c;return}default:{a=f+56|0;l=f+4|0;k[f>>2]=27524;k[a>>2]=27544;B=0;wa(508,f+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(a);Qb(o|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[a>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){p=Rb()|0;q=Q;s=p}else{k[l>>2]=27560;p=f+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[f+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,l|0,d|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);Yua(p);Ava(l);q=u;s=t;break}Yua(d);B=0;t=Ia(40,f|0,144156,9)|0;u=B;B=0;if((((((!(u&1)?(B=0,u=Xa(242,t|0,k[e>>2]|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,144166,2)|0,u=B,B=0,!(u&1)):0)?(B=0,u=ya(427,k[e>>2]|0)|0,v=B,B=0,!(v&1)):0)?(v=Lta(u)|0,B=0,w=Ia(40,t|0,u|0,v|0)|0,v=B,B=0,!(v&1)):0)?(B=0,v=Ia(40,w|0,144169,19)|0,w=B,B=0,!(w&1)):0)?(B=0,Xa(239,v|0,0)|0,v=B,B=0,!(v&1)):0){v=Ab(20)|0;B=0;eb(502,g|0,80502,78);w=B;B=0;do if(!(w&1)){B=0;eb(502,h|0,144203,13);u=B;B=0;if(u&1){u=Rb()|0;t=Q;Yua(g);x=t;y=u;break}B=0;wa(510,i|0,l|0);u=B;B=0;if(u&1){u=Rb()|0;z=Q;A=u;C=1}else{B=0;ua(163,v|0,g|0,h|0,291,i|0);u=B;B=0;if(u&1)D=1;else{B=0;eb(503,v|0,1240,229);B=0;D=0}u=Rb()|0;t=Q;Yua(i);z=t;A=u;C=D}Yua(h);Yua(g);if(C){x=z;y=A}else{E=z;F=A;k[f>>2]=27468;k[a>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(a);Qb(F|0)}}else{u=Rb()|0;x=Q;y=u}while(0);zb(v|0);E=x;F=y;k[f>>2]=27468;k[a>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(a);Qb(F|0)}w=Rb()|0;E=Q;F=w;k[f>>2]=27468;k[a>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(a);Qb(F|0)}while(0);n=q;o=s;vva(a);Qb(o|0)}}if(!j){r=c;return}TN(j,b);SN(j);Sqa(j);r=c;return}function _M(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;switch(k[a+16>>2]|0){case 644:{h=pN(a)|0;r=b;return h|0}case 649:{h=0;r=b;return h|0}default:{h=d+56|0;b=d+4|0;k[d>>2]=27524;k[h>>2]=27544;B=0;wa(508,d+56|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;i=Q;j=a;vva(h);Qb(j|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[h>>2]=27488;B=0;va(448,b|0);a=B;B=0;do if(a&1){l=Rb()|0;m=Q;n=l}else{k[b>>2]=27560;l=d+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,b|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(b);m=p;n=o;break}Yua(c);B=0;o=Ia(40,d|0,80612,22)|0;p=B;B=0;if(!(p&1)?(B=0,Xa(239,o|0,0)|0,o=B,B=0,!(o&1)):0){o=Ab(20)|0;B=0;eb(502,e|0,80502,78);p=B;B=0;do if(!(p&1)){B=0;eb(502,f|0,80729,26);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(e);t=s;u=q;break}B=0;wa(510,g|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;v=Q;w=q;x=1}else{B=0;ua(163,o|0,e|0,f|0,863,g|0);q=B;B=0;if(q&1)y=1;else{B=0;eb(503,o|0,1240,229);B=0;y=0}q=Rb()|0;s=Q;Yua(g);v=s;w=q;x=y}Yua(f);Yua(e);if(x){t=v;u=w}else{z=v;A=w;k[d>>2]=27468;k[h>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(h);Qb(A|0)}}else{q=Rb()|0;t=Q;u=q}while(0);zb(o|0);z=t;A=u;k[d>>2]=27468;k[h>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(h);Qb(A|0)}p=Rb()|0;z=Q;A=p;k[d>>2]=27468;k[h>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(h);Qb(A|0)}while(0);i=m;j=n;vva(h);Qb(j|0)}}return 0}function $M(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;switch(k[a+16>>2]|0){case 644:{h=oN(a)|0;r=b;return h|0}case 649:{h=0;r=b;return h|0}default:{h=d+56|0;b=d+4|0;k[d>>2]=27524;k[h>>2]=27544;B=0;wa(508,d+56|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;i=Q;j=a;vva(h);Qb(j|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[h>>2]=27488;B=0;va(448,b|0);a=B;B=0;do if(a&1){l=Rb()|0;m=Q;n=l}else{k[b>>2]=27560;l=d+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,b|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(b);m=p;n=o;break}Yua(c);B=0;o=Ia(40,d|0,80612,22)|0;p=B;B=0;if(!(p&1)?(B=0,Xa(239,o|0,0)|0,o=B,B=0,!(o&1)):0){o=Ab(20)|0;B=0;eb(502,e|0,80502,78);p=B;B=0;do if(!(p&1)){B=0;eb(502,f|0,80756,29);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(e);t=s;u=q;break}B=0;wa(510,g|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;v=Q;w=q;x=1}else{B=0;ua(163,o|0,e|0,f|0,778,g|0);q=B;B=0;if(q&1)y=1;else{B=0;eb(503,o|0,1240,229);B=0;y=0}q=Rb()|0;s=Q;Yua(g);v=s;w=q;x=y}Yua(f);Yua(e);if(x){t=v;u=w}else{z=v;A=w;k[d>>2]=27468;k[h>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(h);Qb(A|0)}}else{q=Rb()|0;t=Q;u=q}while(0);zb(o|0);z=t;A=u;k[d>>2]=27468;k[h>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(h);Qb(A|0)}p=Rb()|0;z=Q;A=p;k[d>>2]=27468;k[h>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(h);Qb(A|0)}while(0);i=m;j=n;vva(h);Qb(j|0)}}return 0}function aN(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;i=a+16|0;switch(k[i>>2]|0){case 649:{j=a+40|0;l=Rn(k[k[j>>2]>>2]|0)|0;k[b>>2]=l;l=Rn(k[(k[j>>2]|0)+4>>2]|0)|0;k[b+4>>2]=l;l=Rn(k[(k[j>>2]|0)+8>>2]|0)|0;k[b+8>>2]=l;l=Rn(k[(k[j>>2]|0)+12>>2]|0)|0;k[b+12>>2]=l;r=c;return}case 644:{l=a+40|0;a=Rn(k[k[l>>2]>>2]|0)|0;k[b>>2]=a;a=Rn(k[(k[l>>2]|0)+4>>2]|0)|0;k[b+4>>2]=a;r=c;return}default:{c=e+56|0;a=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,a|0);b=B;B=0;if(b&1){b=Rb()|0;m=Q;n=b;vva(c);Qb(n|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,a|0);b=B;B=0;do if(b&1){l=Rb()|0;o=Q;p=l}else{k[a>>2]=27560;l=e+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,a|0,d|0);j=B;B=0;if(j&1){j=Rb()|0;q=Q;Yua(d);Yua(l);Ava(a);o=q;p=j;break}Yua(d);B=0;j=Ia(40,e|0,80786,19)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[i>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,j|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,146481,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,f|0,80502,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,g|0,80806,15);q=B;B=0;if(q&1){q=Rb()|0;j=Q;Yua(f);u=j;v=q;break}B=0;wa(510,h|0,a|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,f|0,g|0,315,h|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;j=Q;Yua(h);w=j;x=q;y=z}Yua(g);Yua(f);if(y){u=w;v=x}else{A=w;C=x;k[e>>2]=27468;k[c>>2]=27488;k[a>>2]=27560;Yua(l);Ava(a);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[e>>2]=27468;k[c>>2]=27488;k[a>>2]=27560;Yua(l);Ava(a);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[e>>2]=27468;k[c>>2]=27488;k[a>>2]=27560;Yua(l);Ava(a);vva(c);Qb(C|0)}while(0);m=o;n=p;vva(c);Qb(n|0)}}}function bN(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;i=a+16|0;switch(k[i>>2]|0){case 649:{j=a+40|0;l=Qn(k[k[j>>2]>>2]|0)|0;k[b>>2]=l;l=Qn(k[(k[j>>2]|0)+4>>2]|0)|0;k[b+4>>2]=l;l=Qn(k[(k[j>>2]|0)+8>>2]|0)|0;k[b+8>>2]=l;l=Qn(k[(k[j>>2]|0)+12>>2]|0)|0;k[b+12>>2]=l;r=c;return}case 644:{l=a+40|0;a=Qn(k[k[l>>2]>>2]|0)|0;k[b>>2]=a;a=Qn(k[(k[l>>2]|0)+4>>2]|0)|0;k[b+4>>2]=a;r=c;return}default:{c=e+56|0;a=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,a|0);b=B;B=0;if(b&1){b=Rb()|0;m=Q;n=b;vva(c);Qb(n|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,a|0);b=B;B=0;do if(b&1){l=Rb()|0;o=Q;p=l}else{k[a>>2]=27560;l=e+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,a|0,d|0);j=B;B=0;if(j&1){j=Rb()|0;q=Q;Yua(d);Yua(l);Ava(a);o=q;p=j;break}Yua(d);B=0;j=Ia(40,e|0,80786,19)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[i>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,j|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,146481,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,f|0,80502,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,g|0,80822,15);q=B;B=0;if(q&1){q=Rb()|0;j=Q;Yua(f);u=j;v=q;break}B=0;wa(510,h|0,a|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,f|0,g|0,332,h|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;j=Q;Yua(h);w=j;x=q;y=z}Yua(g);Yua(f);if(y){u=w;v=x}else{A=w;C=x;k[e>>2]=27468;k[c>>2]=27488;k[a>>2]=27560;Yua(l);Ava(a);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[e>>2]=27468;k[c>>2]=27488;k[a>>2]=27560;Yua(l);Ava(a);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[e>>2]=27468;k[c>>2]=27488;k[a>>2]=27560;Yua(l);Ava(a);vva(c);Qb(C|0)}while(0);m=o;n=p;vva(c);Qb(n|0)}}}function cN(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;h=a+16|0;switch(k[h>>2]|0){case 644:{i=2;r=b;return i|0}case 649:{i=4;r=b;return i|0}default:{i=d+56|0;b=d+4|0;k[d>>2]=27524;k[i>>2]=27544;B=0;wa(508,d+56|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;j=Q;l=a;vva(i);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[i>>2]=27488;B=0;va(448,b|0);a=B;B=0;do if(a&1){m=Rb()|0;n=Q;o=m}else{k[b>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,b|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(b);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,80786,19)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[h>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,146481,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,80502,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,80838,16);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,b|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,344,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[i>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(i);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[i>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(i);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[i>>2]=27488;k[b>>2]=27560;Yua(m);Ava(b);vva(i);Qb(C|0)}while(0);j=n;l=o;vva(i);Qb(l|0)}}return 0}function dN(a,b){a=a|0;b=b|0;return (k[a+12>>2]|0)==(b|0)|0}function eN(a){a=a|0;return 0}function fN(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;return}function gN(a,b,c){a=a|0;b=b|0;c=+c;return}function hN(a){a=a|0;var b=0;b=a+32|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;Dla(k[a+24>>2]|0);Dla(k[a+28>>2]|0);Dla(k[a+20>>2]|0);return}function iN(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return}function jN(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0;g=r;r=r+192|0;d=g+176|0;j=g+40|0;l=g+24|0;m=g+12|0;n=g;if((Hc[k[(k[a>>2]|0)+56>>2]&511](a)|0)<=0){o=0;p=0;k[b>>2]=o;k[c>>2]=p;r=g;return}q=a+40|0;if((h|0)==937){s=0;t=0;u=0;while(1){v=e+(Rn(k[(k[q>>2]|0)+(t<<2)>>2]|0)|0)|0;do if(!(i[v>>0]|0)){w=e+(Rn(k[(k[q>>2]|0)+(t<<2)>>2]|0)|0)|0;i[w>>0]=1;w=0;while(1){x=f+(w<<2)|0;if((k[x>>2]|0)>-1)w=w+1|0;else{y=x;break}}w=Rn(k[(k[q>>2]|0)+(t<<2)>>2]|0)|0;k[y>>2]=w;w=k[(k[q>>2]|0)+(t<<2)>>2]|0;if(k[w+28>>2]|0)if(!(fo(w)|0)){z=s+1|0;A=u;break}else{z=s;A=u+1|0;break}else{z=s;A=u}}else{z=s;A=u}while(0);t=t+1|0;if((t|0)>=(Hc[k[(k[a>>2]|0)+56>>2]&511](a)|0)){o=z;p=A;break}else{s=z;u=A}}k[b>>2]=o;k[c>>2]=p;r=g;return}else{C=0;D=0;E=0}a:while(1){A=e+(Rn(k[(k[q>>2]|0)+(D<<2)>>2]|0)|0)|0;b:do if(!(i[A>>0]|0)){u=e+(Rn(k[(k[q>>2]|0)+(D<<2)>>2]|0)|0)|0;i[u>>0]=1;u=0;while(1){z=f+(u<<2)|0;if((k[z>>2]|0)>-1)u=u+1|0;else{F=z;break}}u=Rn(k[(k[q>>2]|0)+(D<<2)>>2]|0)|0;k[F>>2]=u;switch(h|0){case 966:{u=k[(k[q>>2]|0)+(D<<2)>>2]|0;if(!(k[u+32>>2]|0)){G=C;H=E;break b}if(!(fo(u)|0)){G=C+1|0;H=E;break b}else{G=C;H=E+1|0;break b}break}case 943:{u=k[(k[q>>2]|0)+(D<<2)>>2]|0;if(!(k[u+24>>2]|0)){G=C;H=E;break b}if(!(fo(u)|0)){G=C+1|0;H=E;break b}else{G=C;H=E+1|0;break b}break}default:break a}}else{G=C;H=E}while(0);D=D+1|0;if((D|0)>=(Hc[k[(k[a>>2]|0)+56>>2]&511](a)|0)){o=G;p=H;I=11;break}else{C=G;E=H}}if((I|0)==11){k[b>>2]=o;k[c>>2]=p;r=g;return}g=j+56|0;p=j+4|0;k[j>>2]=27524;k[g>>2]=27544;B=0;wa(508,j+56|0,p|0);c=B;B=0;if(c&1){c=Rb()|0;J=Q;K=c;vva(g);Qb(K|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[g>>2]=27488;B=0;va(448,p|0);c=B;B=0;do if(c&1){o=Rb()|0;L=Q;M=o}else{k[p>>2]=27560;o=j+36|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[o+12>>2]=0;k[j+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,p|0,d|0);b=B;B=0;if(b&1){b=Rb()|0;I=Q;Yua(d);Yua(o);Ava(p);L=I;M=b;break}Yua(d);B=0;b=Ia(40,j|0,145010,13)|0;I=B;B=0;if(!(I&1)?(B=0,Xa(239,b|0,0)|0,b=B,B=0,!(b&1)):0){b=Ab(20)|0;B=0;eb(502,l|0,80502,78);I=B;B=0;do if(!(I&1)){B=0;eb(502,m|0,144217,23);H=B;B=0;if(H&1){H=Rb()|0;E=Q;Yua(l);N=E;O=H;break}B=0;wa(510,n|0,p|0);H=B;B=0;if(H&1){H=Rb()|0;P=Q;R=H;S=1}else{B=0;ua(163,b|0,l|0,m|0,434,n|0);H=B;B=0;if(H&1)T=1;else{B=0;eb(503,b|0,1240,229);B=0;T=0}H=Rb()|0;E=Q;Yua(n);P=E;R=H;S=T}Yua(m);Yua(l);if(S){N=P;O=R}else{U=P;V=R;k[j>>2]=27468;k[g>>2]=27488;k[p>>2]=27560;Yua(o);Ava(p);vva(g);Qb(V|0)}}else{H=Rb()|0;N=Q;O=H}while(0);zb(b|0);U=N;V=O;k[j>>2]=27468;k[g>>2]=27488;k[p>>2]=27560;Yua(o);Ava(p);vva(g);Qb(V|0)}I=Rb()|0;U=Q;V=I;k[j>>2]=27468;k[g>>2]=27488;k[p>>2]=27560;Yua(o);Ava(p);vva(g);Qb(V|0)}while(0);J=L;K=M;vva(g);Qb(K|0)}function kN(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;b=r;r=r+144|0;c=b+136|0;d=b+128|0;e=b+120|0;f=b+112|0;g=b+104|0;h=b+96|0;i=b+48|0;j=b+32|0;l=b;m=k[a+32>>2]|0;if(!($p(m)|0)){n=0;r=b;return n|0}Ko(i,k[a+36>>2]|0,2,0);o=m+16|0;q=oC(k[o>>2]|0,674)|0;s=oC(k[o>>2]|0,677)|0;t=+p[i+24>>3]-+p[i>>3];u=+p[i+32>>3]-+p[i+8>>3];v=+aa(+(t*t+u*u));w=u/v;u=-t/v;o=a+40|0;x=ed[k[(k[m>>2]|0)+160>>2]&511](m,k[k[o>>2]>>2]|0)|0;y=ed[k[(k[m>>2]|0)+160>>2]&511](m,k[(k[o>>2]|0)+4>>2]|0)|0;z=Qqa(64)|0;B=0;va(491,z|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Sqa(z);D=C;E=A;Qb(E|0)}Mja(z,x,y);nd[k[(k[q>>2]|0)+48>>2]&1023](q,g,z);nd[k[(k[s>>2]|0)+48>>2]&1023](s,h,z);Ec[k[(k[z>>2]|0)+4>>2]&1023](z);if(w*+p[g>>3]+u*+p[h>>3]<=0.0){n=0;r=b;return n|0}h=Qqa(68)|0;B=0;ua(165,h|0,k[o>>2]|0,2,k[a+44>>2]|0,534);a=B;B=0;if(a&1){a=Rb()|0;o=Q;Sqa(h);D=o;E=a;Qb(E|0)}a=Qqa(64)|0;B=0;ib(289,a|0,x|0,y|0,2);o=B;B=0;if(o&1){o=Rb()|0;g=Q;Sqa(a);D=g;E=o;Qb(E|0)}E=Hc[k[(k[a>>2]|0)+8>>2]&511](a)|0;if((E|0)<(Hc[k[(k[a>>2]|0)+12>>2]&511](a)|0)){o=a+8|0;g=h+12|0;D=l+16|0;z=l+8|0;A=l+24|0;C=E;do{Fc[k[(k[a>>2]|0)+24>>2]&1023](a,C);zw(m,j,a,x,y,Hc[k[(k[m>>2]|0)+112>>2]&511](m)|0);nd[k[(k[q>>2]|0)+48>>2]&1023](q,e,a);nd[k[(k[s>>2]|0)+48>>2]&1023](s,f,a);v=w*+p[e>>3]+u*+p[f>>3];yw(m,d,i,a);p[c>>3]=v*(+p[o>>3]*+p[d>>3]);ZX(j,1,2,1,c,1,1,0,j,1,2,0,l,0)|0;E=k[g>>2]|0;p[E>>3]=+p[l>>3]+ +p[E>>3];F=E+8|0;p[F>>3]=+p[z>>3]+ +p[F>>3];F=E+16|0;p[F>>3]=+p[D>>3]+ +p[F>>3];F=E+24|0;p[F>>3]=+p[A>>3]+ +p[F>>3];C=C+1|0}while((C|0)<(Hc[k[(k[a>>2]|0)+12>>2]&511](a)|0))}Ec[k[(k[a>>2]|0)+4>>2]&1023](a);n=h;r=b;return n|0}function lN(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0.0,la=0,ma=0,na=0,oa=0.0,pa=0,qa=0.0,ra=0,sa=0.0,ta=0,va=0.0,wa=0,xa=0.0,ya=0,za=0.0,Aa=0,Ba=0.0,Ca=0,Da=0.0,Ea=0,Fa=0.0,Ga=0,Ha=0.0,Ia=0,Ja=0.0,Ka=0,La=0.0,Ma=0,Na=0.0;b=r;r=r+416|0;c=b+400|0;d=b+392|0;e=b+384|0;f=b+376|0;g=b+368|0;h=b+320|0;i=b+288|0;j=b+256|0;l=b+128|0;m=b;n=k[a+32>>2]|0;if(!($p(n)|0)){o=0;r=b;return o|0}q=Qqa(68)|0;s=a+40|0;B=0;ua(165,q|0,k[s>>2]|0,4,k[a+44>>2]|0,534);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Sqa(q);v=u;w=t;Qb(w|0)}Ko(h,k[a+36>>2]|0,2,0);a=n+16|0;t=oC(k[a>>2]|0,674)|0;u=oC(k[a>>2]|0,677)|0;x=+p[h+24>>3]-+p[h>>3];y=+p[h+32>>3]-+p[h+8>>3];z=+aa(+(x*x+y*y));A=y/z;y=-x/z;a=ed[k[(k[n>>2]|0)+160>>2]&511](n,k[k[s>>2]>>2]|0)|0;C=ed[k[(k[n>>2]|0)+160>>2]&511](n,k[(k[s>>2]|0)+4>>2]|0)|0;s=Qqa(64)|0;B=0;ib(289,s|0,a|0,C|0,2);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Sqa(s);v=E;w=D;Qb(w|0)}w=Hc[k[(k[s>>2]|0)+8>>2]&511](s)|0;if((w|0)<(Hc[k[(k[s>>2]|0)+12>>2]&511](s)|0)){D=s+8|0;E=q+12|0;v=m+96|0;F=l+8|0;G=l+16|0;H=l+24|0;I=l+32|0;J=l+40|0;K=l+48|0;L=l+56|0;M=l+64|0;N=l+72|0;O=l+80|0;P=l+88|0;R=l+96|0;S=l+104|0;T=l+112|0;U=l+120|0;V=m+8|0;W=m+16|0;X=m+24|0;Y=m+32|0;Z=m+40|0;_=m+48|0;ba=m+56|0;ca=m+64|0;da=m+72|0;ea=m+80|0;fa=m+88|0;ga=m+104|0;ha=m+112|0;ia=m+120|0;ja=w;do{Fc[k[(k[s>>2]|0)+24>>2]&1023](s,ja);ww(n,i,s,a,C,Hc[k[(k[n>>2]|0)+112>>2]&511](n)|0);xw(n,j,s,a,C,Hc[k[(k[n>>2]|0)+112>>2]&511](n)|0);nd[k[(k[t>>2]|0)+48>>2]&1023](t,f,s);nd[k[(k[u>>2]|0)+48>>2]&1023](u,g,s);z=A*+p[f>>3]+y*+p[g>>3];yw(n,e,h,s);x=+p[D>>3]*+p[e>>3];p[c>>3]=z*x*.5;ka=x*+$(+z)*.5;p[d>>3]=ka;ZX(i,1,4,1,c,1,1,0,j,1,4,0,l,0)|0;ZX(i,1,4,1,d,1,1,0,i,1,4,0,m,0)|0;w=k[E>>2]|0;ka=+p[l>>3]+ +p[w>>3];p[w>>3]=ka;la=w+8|0;z=+p[F>>3]+ +p[la>>3];p[la>>3]=z;ma=w+16|0;x=+p[G>>3]+ +p[ma>>3];p[ma>>3]=x;na=w+24|0;oa=+p[H>>3]+ +p[na>>3];p[na>>3]=oa;pa=w+32|0;qa=+p[I>>3]+ +p[pa>>3];p[pa>>3]=qa;ra=w+40|0;sa=+p[J>>3]+ +p[ra>>3];p[ra>>3]=sa;ta=w+48|0;va=+p[K>>3]+ +p[ta>>3];p[ta>>3]=va;wa=w+56|0;xa=+p[L>>3]+ +p[wa>>3];p[wa>>3]=xa;ya=w+64|0;za=+p[M>>3]+ +p[ya>>3];p[ya>>3]=za;Aa=w+72|0;Ba=+p[N>>3]+ +p[Aa>>3];p[Aa>>3]=Ba;Ca=w+80|0;Da=+p[O>>3]+ +p[Ca>>3];p[Ca>>3]=Da;Ea=w+88|0;Fa=+p[P>>3]+ +p[Ea>>3];p[Ea>>3]=Fa;Ga=w+96|0;Ha=+p[R>>3]+ +p[Ga>>3];p[Ga>>3]=Ha;Ia=w+104|0;Ja=+p[S>>3]+ +p[Ia>>3];p[Ia>>3]=Ja;Ka=w+112|0;La=+p[T>>3]+ +p[Ka>>3];p[Ka>>3]=La;Ma=w+120|0;Na=+p[U>>3]+ +p[Ma>>3];p[Ma>>3]=Na;p[w>>3]=+p[m>>3]+ka;p[la>>3]=+p[V>>3]+z;p[ma>>3]=+p[W>>3]+x;p[na>>3]=+p[X>>3]+oa;p[pa>>3]=+p[Y>>3]+qa;p[ra>>3]=+p[Z>>3]+sa;p[ta>>3]=+p[_>>3]+va;p[wa>>3]=+p[ba>>3]+xa;p[ya>>3]=+p[ca>>3]+za;p[Aa>>3]=+p[da>>3]+Ba;p[Ca>>3]=+p[ea>>3]+Da;p[Ea>>3]=+p[fa>>3]+Fa;p[Ga>>3]=+p[v>>3]+Ha;p[Ia>>3]=+p[ga>>3]+Ja;p[Ka>>3]=+p[ha>>3]+La;p[Ma>>3]=+p[ia>>3]+Na;ja=ja+1|0}while((ja|0)<(Hc[k[(k[s>>2]|0)+12>>2]&511](s)|0))}Ec[k[(k[s>>2]|0)+4>>2]&1023](s);o=q;r=b;return o|0}function mN(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0.0,C=0.0,D=0.0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0.0,ma=0,na=0,oa=0,pa=0.0,qa=0,ra=0.0,sa=0,ta=0.0,va=0,wa=0.0,xa=0,ya=0.0,za=0,Aa=0.0,Ba=0,Ca=0.0,Da=0,Ea=0.0,Fa=0,Ga=0.0,Ha=0,Ia=0.0,Ja=0,Ka=0.0,La=0,Ma=0.0,Na=0,Oa=0.0;b=r;r=r+416|0;c=b+408|0;d=b+400|0;e=b+392|0;f=b+384|0;g=b+376|0;h=b+368|0;i=b+320|0;j=b+288|0;l=b+256|0;m=b+128|0;n=b;o=k[a+32>>2]|0;if(!($p(o)|0)){q=0;r=b;return q|0}s=Qqa(68)|0;t=a+40|0;u=a+44|0;B=0;ua(165,s|0,k[t>>2]|0,4,k[u>>2]|0,534);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Sqa(s);x=w;y=v;Qb(y|0)}Ko(i,k[a+36>>2]|0,2,0);dO(k[u>>2]|0,f,358);u=o+16|0;a=oC(k[u>>2]|0,674)|0;v=oC(k[u>>2]|0,677)|0;z=+p[i+24>>3]-+p[i>>3];A=+p[i+32>>3]-+p[i+8>>3];C=+aa(+(z*z+A*A));D=A/C;A=-z/C;u=ed[k[(k[o>>2]|0)+160>>2]&511](o,k[k[t>>2]>>2]|0)|0;w=ed[k[(k[o>>2]|0)+160>>2]&511](o,k[(k[t>>2]|0)+4>>2]|0)|0;t=Qqa(64)|0;B=0;ib(289,t|0,u|0,w|0,2);E=B;B=0;if(E&1){E=Rb()|0;F=Q;Sqa(t);x=F;y=E;Qb(y|0)}y=Hc[k[(k[t>>2]|0)+8>>2]&511](t)|0;if((y|0)<(Hc[k[(k[t>>2]|0)+12>>2]&511](t)|0)){E=t+8|0;F=s+12|0;x=n+96|0;G=m+8|0;H=m+16|0;I=m+24|0;J=m+32|0;K=m+40|0;L=m+48|0;M=m+56|0;N=m+64|0;O=m+72|0;P=m+80|0;R=m+88|0;S=m+96|0;T=m+104|0;U=m+112|0;V=m+120|0;W=n+8|0;X=n+16|0;Y=n+24|0;Z=n+32|0;_=n+40|0;ba=n+48|0;ca=n+56|0;da=n+64|0;ea=n+72|0;fa=n+80|0;ga=n+88|0;ha=n+104|0;ia=n+112|0;ja=n+120|0;ka=y;do{Fc[k[(k[t>>2]|0)+24>>2]&1023](t,ka);ww(o,j,t,u,w,Hc[k[(k[o>>2]|0)+112>>2]&511](o)|0);xw(o,l,t,u,w,Hc[k[(k[o>>2]|0)+112>>2]&511](o)|0);nd[k[(k[a>>2]|0)+48>>2]&1023](a,g,t);nd[k[(k[v>>2]|0)+48>>2]&1023](v,h,t);C=D*+p[g>>3]+A*+p[h>>3];yw(o,e,i,t);z=+p[E>>3]*+p[e>>3]*+p[f>>3];p[c>>3]=C*z*.5;la=z*+$(+C)*.5;p[d>>3]=la;ZX(j,1,4,1,c,1,1,0,l,1,4,0,m,0)|0;ZX(j,1,4,1,d,1,1,0,j,1,4,0,n,0)|0;y=k[F>>2]|0;la=+p[m>>3]+ +p[y>>3];p[y>>3]=la;ma=y+8|0;C=+p[G>>3]+ +p[ma>>3];p[ma>>3]=C;na=y+16|0;z=+p[H>>3]+ +p[na>>3];p[na>>3]=z;oa=y+24|0;pa=+p[I>>3]+ +p[oa>>3];p[oa>>3]=pa;qa=y+32|0;ra=+p[J>>3]+ +p[qa>>3];p[qa>>3]=ra;sa=y+40|0;ta=+p[K>>3]+ +p[sa>>3];p[sa>>3]=ta;va=y+48|0;wa=+p[L>>3]+ +p[va>>3];p[va>>3]=wa;xa=y+56|0;ya=+p[M>>3]+ +p[xa>>3];p[xa>>3]=ya;za=y+64|0;Aa=+p[N>>3]+ +p[za>>3];p[za>>3]=Aa;Ba=y+72|0;Ca=+p[O>>3]+ +p[Ba>>3];p[Ba>>3]=Ca;Da=y+80|0;Ea=+p[P>>3]+ +p[Da>>3];p[Da>>3]=Ea;Fa=y+88|0;Ga=+p[R>>3]+ +p[Fa>>3];p[Fa>>3]=Ga;Ha=y+96|0;Ia=+p[S>>3]+ +p[Ha>>3];p[Ha>>3]=Ia;Ja=y+104|0;Ka=+p[T>>3]+ +p[Ja>>3];p[Ja>>3]=Ka;La=y+112|0;Ma=+p[U>>3]+ +p[La>>3];p[La>>3]=Ma;Na=y+120|0;Oa=+p[V>>3]+ +p[Na>>3];p[Na>>3]=Oa;p[y>>3]=+p[n>>3]+la;p[ma>>3]=+p[W>>3]+C;p[na>>3]=+p[X>>3]+z;p[oa>>3]=+p[Y>>3]+pa;p[qa>>3]=+p[Z>>3]+ra;p[sa>>3]=+p[_>>3]+ta;p[va>>3]=+p[ba>>3]+wa;p[xa>>3]=+p[ca>>3]+ya;p[za>>3]=+p[da>>3]+Aa;p[Ba>>3]=+p[ea>>3]+Ca;p[Da>>3]=+p[fa>>3]+Ea;p[Fa>>3]=+p[ga>>3]+Ga;p[Ha>>3]=+p[x>>3]+Ia;p[Ja>>3]=+p[ha>>3]+Ka;p[La>>3]=+p[ia>>3]+Ma;p[Na>>3]=+p[ja>>3]+Oa;ka=ka+1|0}while((ka|0)<(Hc[k[(k[t>>2]|0)+12>>2]&511](t)|0))}Ec[k[(k[t>>2]|0)+4>>2]&1023](t);q=s;r=b;return q|0}function nN(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;b=r;r=r+160|0;c=b+144|0;d=b+136|0;e=b+128|0;f=b+120|0;g=b+112|0;h=b+104|0;i=b+96|0;j=b+48|0;l=b+32|0;m=b;n=k[a+32>>2]|0;if(!($p(n)|0)){o=0;r=b;return o|0}Ko(j,k[a+36>>2]|0,2,0);q=a+44|0;dO(k[q>>2]|0,e,358);s=n+16|0;t=oC(k[s>>2]|0,674)|0;u=oC(k[s>>2]|0,677)|0;v=+p[j+24>>3]-+p[j>>3];w=+p[j+32>>3]-+p[j+8>>3];x=+aa(+(v*v+w*w));y=w/x;w=-v/x;s=a+40|0;a=ed[k[(k[n>>2]|0)+160>>2]&511](n,k[k[s>>2]>>2]|0)|0;z=ed[k[(k[n>>2]|0)+160>>2]&511](n,k[(k[s>>2]|0)+4>>2]|0)|0;A=Qqa(64)|0;B=0;va(491,A|0);C=B;B=0;if(C&1){C=Rb()|0;D=Q;Sqa(A);E=D;F=C;Qb(F|0)}Mja(A,a,z);nd[k[(k[t>>2]|0)+48>>2]&1023](t,h,A);nd[k[(k[u>>2]|0)+48>>2]&1023](u,i,A);Ec[k[(k[A>>2]|0)+4>>2]&1023](A);if(y*+p[h>>3]+w*+p[i>>3]<=0.0){o=0;r=b;return o|0}i=Qqa(68)|0;B=0;ua(165,i|0,k[s>>2]|0,2,k[q>>2]|0,534);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Sqa(i);E=s;F=q;Qb(F|0)}q=Qqa(64)|0;B=0;ib(289,q|0,a|0,z|0,2);s=B;B=0;if(s&1){s=Rb()|0;h=Q;Sqa(q);E=h;F=s;Qb(F|0)}F=Hc[k[(k[q>>2]|0)+8>>2]&511](q)|0;if((F|0)<(Hc[k[(k[q>>2]|0)+12>>2]&511](q)|0)){s=q+8|0;h=i+12|0;E=m+16|0;A=m+8|0;C=m+24|0;D=F;do{Fc[k[(k[q>>2]|0)+24>>2]&1023](q,D);zw(n,l,q,a,z,Hc[k[(k[n>>2]|0)+112>>2]&511](n)|0);nd[k[(k[t>>2]|0)+48>>2]&1023](t,f,q);nd[k[(k[u>>2]|0)+48>>2]&1023](u,g,q);x=y*+p[f>>3]+w*+p[g>>3];yw(n,d,j,q);p[c>>3]=x*(+p[s>>3]*+p[d>>3]*+p[e>>3]);ZX(l,1,2,1,c,1,1,0,l,1,2,0,m,0)|0;F=k[h>>2]|0;p[F>>3]=+p[m>>3]+ +p[F>>3];G=F+8|0;p[G>>3]=+p[A>>3]+ +p[G>>3];G=F+16|0;p[G>>3]=+p[E>>3]+ +p[G>>3];G=F+24|0;p[G>>3]=+p[C>>3]+ +p[G>>3];D=D+1|0}while((D|0)<(Hc[k[(k[q>>2]|0)+12>>2]&511](q)|0))}Ec[k[(k[q>>2]|0)+4>>2]&1023](q);o=i;r=b;return o|0}function oN(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+112|0;c=b+104|0;d=b+96|0;e=b+88|0;f=b+80|0;g=b+72|0;h=b+64|0;i=b+16|0;j=b;l=k[a+32>>2]|0;if(!($p(l)|0)){m=0;r=b;return m|0}Ko(i,k[a+36>>2]|0,2,0);n=l+16|0;o=oC(k[n>>2]|0,674)|0;q=oC(k[n>>2]|0,677)|0;s=oC(k[n>>2]|0,353)|0;t=+p[i+24>>3]-+p[i>>3];u=+p[i+32>>3]-+p[i+8>>3];v=+aa(+(t*t+u*u));w=u/v;u=-t/v;n=a+40|0;x=ed[k[(k[l>>2]|0)+160>>2]&511](l,k[k[n>>2]>>2]|0)|0;y=ed[k[(k[l>>2]|0)+160>>2]&511](l,k[(k[n>>2]|0)+4>>2]|0)|0;z=Qqa(64)|0;B=0;va(491,z|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Sqa(z);D=C;E=A;Qb(E|0)}Mja(z,x,y);nd[k[(k[o>>2]|0)+48>>2]&1023](o,f,z);nd[k[(k[q>>2]|0)+48>>2]&1023](q,g,z);Ec[k[(k[z>>2]|0)+4>>2]&1023](z);if(w*+p[f>>3]+u*+p[g>>3]>0.0){m=0;r=b;return m|0}g=Qqa(24)|0;B=0;ua(166,g|0,k[n>>2]|0,2,k[a+44>>2]|0,534);a=B;B=0;if(a&1){a=Rb()|0;n=Q;Sqa(g);D=n;E=a;Qb(E|0)}a=Qqa(64)|0;B=0;ib(289,a|0,x|0,y|0,2);n=B;B=0;if(n&1){n=Rb()|0;f=Q;Sqa(a);D=f;E=n;Qb(E|0)}E=Hc[k[(k[a>>2]|0)+8>>2]&511](a)|0;if((E|0)<(Hc[k[(k[a>>2]|0)+12>>2]&511](a)|0)){n=a+8|0;f=g+4|0;D=j+8|0;z=E;do{Fc[k[(k[a>>2]|0)+24>>2]&1023](a,z);zw(l,j,a,x,y,Hc[k[(k[l>>2]|0)+112>>2]&511](l)|0);nd[k[(k[o>>2]|0)+48>>2]&1023](o,d,a);nd[k[(k[q>>2]|0)+48>>2]&1023](q,e,a);nd[k[(k[s>>2]|0)+48>>2]&1023](s,h,a);v=w*+p[d>>3]+u*+p[e>>3];yw(l,c,i,a);t=+p[h>>3]*(v*(+p[n>>3]*+p[c>>3]));E=k[f>>2]|0;p[E>>3]=+p[E>>3]-t*+p[j>>3];A=E+8|0;p[A>>3]=+p[A>>3]-t*+p[D>>3];z=z+1|0}while((z|0)<(Hc[k[(k[a>>2]|0)+12>>2]&511](a)|0))}Ec[k[(k[a>>2]|0)+4>>2]&1023](a);m=g;r=b;return m|0}function pN(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0.0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,ba=0,ca=0,da=0,ea=0,fa=0;b=r;r=r+320|0;c=b+296|0;d=b+112|0;e=b+104|0;f=b+96|0;g=b+88|0;h=b+80|0;i=b+72|0;j=b+64|0;l=b+16|0;m=b;n=b+160|0;o=b+144|0;q=b+132|0;s=b+120|0;u=k[a+32>>2]|0;if(!($p(u)|0)){v=0;r=b;return v|0}Ko(l,k[a+36>>2]|0,2,0);w=a+44|0;dO(k[w>>2]|0,e,358);x=u+16|0;y=oC(k[x>>2]|0,674)|0;z=oC(k[x>>2]|0,677)|0;A=oC(k[x>>2]|0,309)|0;C=+p[l+24>>3]-+p[l>>3];D=+p[l+32>>3]-+p[l+8>>3];E=+aa(+(C*C+D*D));F=D/E;D=-C/E;x=a+40|0;a=ed[k[(k[u>>2]|0)+160>>2]&511](u,k[k[x>>2]>>2]|0)|0;G=ed[k[(k[u>>2]|0)+160>>2]&511](u,k[(k[x>>2]|0)+4>>2]|0)|0;H=Qqa(64)|0;B=0;va(491,H|0);I=B;B=0;if(I&1){I=Rb()|0;J=Q;Sqa(H);K=J;L=I;Qb(L|0)}Mja(H,a,G);nd[k[(k[y>>2]|0)+48>>2]&1023](y,h,H);nd[k[(k[z>>2]|0)+48>>2]&1023](z,i,H);Ec[k[(k[H>>2]|0)+4>>2]&1023](H);if(F*+p[h>>3]+D*+p[i>>3]>0.0){v=0;r=b;return v|0}i=Qqa(24)|0;B=0;ua(166,i|0,k[x>>2]|0,2,k[w>>2]|0,534);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Sqa(i);K=x;L=w;Qb(L|0)}w=Qqa(64)|0;B=0;ib(289,w|0,a|0,G|0,2);x=B;B=0;if(x&1){x=Rb()|0;h=Q;Sqa(w);K=h;L=x;Qb(L|0)}x=Hc[k[(k[w>>2]|0)+8>>2]&511](w)|0;a:do if((x|0)<(Hc[k[(k[w>>2]|0)+12>>2]&511](w)|0)){h=w+8|0;H=i+4|0;I=m+8|0;J=x;while(1){Fc[k[(k[w>>2]|0)+24>>2]&1023](w,J);zw(u,m,w,a,G,Hc[k[(k[u>>2]|0)+112>>2]&511](u)|0);nd[k[(k[y>>2]|0)+48>>2]&1023](y,f,w);nd[k[(k[z>>2]|0)+48>>2]&1023](z,g,w);nd[k[(k[A>>2]|0)+48>>2]&1023](A,j,w);E=+$(+(+p[j>>3]));p[t>>3]=E;M=k[t+4>>2]|0;if(M>>>0>2146435072|(M|0)==2146435072&(k[t>>2]|0)>>>0>0)break;E=F*+p[f>>3]+D*+p[g>>3];yw(u,d,l,w);C=+p[j>>3]*(E*(+p[h>>3]*+p[d>>3]*+p[e>>3]));M=k[H>>2]|0;p[M>>3]=+p[M>>3]-C*+p[m>>3];N=M+8|0;p[N>>3]=+p[N>>3]-C*+p[I>>3];J=J+1|0;if((J|0)>=(Hc[k[(k[w>>2]|0)+12>>2]&511](w)|0))break a}J=n+56|0;I=n+4|0;k[n>>2]=27524;k[J>>2]=27544;B=0;wa(508,n+56|0,I|0);H=B;B=0;if(H&1){H=Rb()|0;O=Q;P=H;vva(J);Qb(P|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[J>>2]=27488;B=0;va(448,I|0);H=B;B=0;do if(H&1){h=Rb()|0;R=Q;S=h}else{k[I>>2]=27560;h=n+36|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;k[n+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,I|0,c|0);N=B;B=0;if(N&1){N=Rb()|0;M=Q;Yua(c);Yua(h);Ava(I);R=M;S=N;break}Yua(c);B=0;N=Ia(40,n|0,80855,55)|0;M=B;B=0;b:do if(!(M&1)?(B=0,Xa(239,N|0,0)|0,T=B,B=0,!(T&1)):0){T=Ab(20)|0;B=0;eb(502,o|0,80502,78);U=B;B=0;do if(!(U&1)){B=0;eb(502,q|0,80911,34);V=B;B=0;if(V&1){V=Rb()|0;W=Q;Yua(o);X=W;Y=V;break}B=0;wa(510,s|0,I|0);V=B;B=0;if(V&1){V=Rb()|0;Z=Q;_=V;ba=1}else{B=0;ua(163,T|0,o|0,q|0,922,s|0);V=B;B=0;if(V&1)ca=1;else{B=0;eb(503,T|0,1240,229);B=0;ca=0}V=Rb()|0;W=Q;Yua(s);Z=W;_=V;ba=ca}Yua(q);Yua(o);if(ba){X=Z;Y=_}else{da=Z;ea=_;break b}}else{V=Rb()|0;X=Q;Y=V}while(0);zb(T|0);da=X;ea=Y}else fa=27;while(0);if((fa|0)==27){N=Rb()|0;da=Q;ea=N}k[n>>2]=27468;k[J>>2]=27488;k[I>>2]=27560;Yua(h);Ava(I);vva(J);K=da;L=ea;Qb(L|0)}while(0);O=R;P=S;vva(J);Qb(P|0)}while(0);Ec[k[(k[w>>2]|0)+4>>2]&1023](w);v=i;r=b;return v|0}
function yi(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0.0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,_a=0;d=r;r=r+928|0;e=d+908|0;f=d+880|0;g=d+744|0;h=d+896|0;i=d+592|0;j=d+884|0;l=d+440|0;m=d+728|0;n=d+304|0;o=d+576|0;p=d+168|0;q=d+152|0;s=d+16|0;t=d;u=a+16|0;SX(k[u>>2]|0,7,0);v=g+56|0;w=g+4|0;k[g>>2]=27524;k[v>>2]=27544;B=0;wa(508,g+56|0,w|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;z=x;vva(v);Qb(z|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[v>>2]=27488;B=0;va(448,w|0);x=B;B=0;do if(x&1){A=Rb()|0;C=Q;D=A}else{k[w>>2]=27560;A=g+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[g+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,w|0,e|0);E=B;B=0;if(E&1){E=Rb()|0;F=Q;Yua(e);Yua(A);Ava(w);C=F;D=E;break}Yua(e);B=0;Ia(40,g|0,149177,1)|0;E=B;B=0;do if(!(E&1)?(B=0,wa(510,h|0,w|0),F=B,B=0,!(F&1)):0){B=0;ya(425,h|0)|0;F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(h);H=G;I=F;break}Yua(h);k[g>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);F=i+56|0;G=i+4|0;k[i>>2]=27524;k[F>>2]=27544;B=0;wa(508,i+56|0,G|0);J=B;B=0;if(J&1){J=Rb()|0;K=Q;L=J;vva(F);Qb(L|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[F>>2]=27488;B=0;va(448,G|0);J=B;B=0;do if(J&1){M=Rb()|0;N=Q;O=M}else{k[G>>2]=27560;M=i+36|0;k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;k[M+12>>2]=0;k[i+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,G|0,e|0);P=B;B=0;if(P&1){P=Rb()|0;R=Q;Yua(e);Yua(M);Ava(G);N=R;O=P;break}Yua(e);B=0;P=Ia(40,i|0,65642,3)|0;R=B;B=0;do if(((((!(R&1)?(k[P+(k[(k[P>>2]|0)+-12>>2]|0)+12>>2]=40,S=P+(k[(k[P>>2]|0)+-12>>2]|0)+4|0,k[S>>2]=k[S>>2]&-177|32,B=0,S=Ia(40,P|0,65646,37)|0,T=B,B=0,!(T&1)):0)?(B=0,U=+Za(1,k[u>>2]|0,1,2),T=B,B=0,!(T&1)):0)?(B=0,T=Sa(1,S|0,+U)|0,S=B,B=0,!(S&1)):0)?(B=0,Ia(40,T|0,149177,1)|0,T=B,B=0,!(T&1)):0)?(B=0,wa(510,j|0,G|0),T=B,B=0,!(T&1)):0){B=0;ya(425,j|0)|0;T=B;B=0;if(T&1){T=Rb()|0;S=Q;Yua(j);V=S;W=T;break}Yua(j);k[i>>2]=27468;k[F>>2]=27488;k[G>>2]=27560;Yua(M);Ava(G);vva(F);T=l+56|0;S=l+4|0;k[l>>2]=27524;k[T>>2]=27544;B=0;wa(508,l+56|0,S|0);X=B;B=0;if(X&1){X=Rb()|0;Y=Q;Z=X;vva(T);Qb(Z|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[T>>2]=27488;B=0;va(448,S|0);X=B;B=0;do if(X&1){_=Rb()|0;$=Q;aa=_}else{k[S>>2]=27560;_=l+36|0;k[_>>2]=0;k[_+4>>2]=0;k[_+8>>2]=0;k[_+12>>2]=0;k[l+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,S|0,e|0);ba=B;B=0;if(ba&1){ba=Rb()|0;ca=Q;Yua(e);Yua(_);Ava(S);$=ca;aa=ba;break}Yua(e);B=0;ba=Ia(40,l|0,65642,3)|0;ca=B;B=0;do if(ca&1)da=91;else{k[ba+(k[(k[ba>>2]|0)+-12>>2]|0)+12>>2]=40;ea=ba+(k[(k[ba>>2]|0)+-12>>2]|0)+4|0;k[ea>>2]=k[ea>>2]&-177|32;B=0;ea=Ia(40,ba|0,65684,27)|0;fa=B;B=0;if(fa&1){da=91;break}B=0;U=+Za(1,k[u>>2]|0,3,4);fa=B;B=0;if(fa&1){da=91;break}B=0;fa=Sa(1,ea|0,+U)|0;ea=B;B=0;if(ea&1){da=91;break}B=0;Ia(40,fa|0,149177,1)|0;fa=B;B=0;if(fa&1){da=91;break}B=0;wa(510,m|0,S|0);fa=B;B=0;if(fa&1){da=91;break}B=0;ya(425,m|0)|0;fa=B;B=0;if(fa&1){fa=Rb()|0;ea=Q;Yua(m);ga=ea;ha=fa;break}Yua(m);k[l>>2]=27468;k[T>>2]=27488;k[S>>2]=27560;Yua(_);Ava(S);vva(T);fa=n+56|0;ea=n+4|0;k[n>>2]=27524;k[fa>>2]=27544;B=0;wa(508,n+56|0,ea|0);ia=B;B=0;if(ia&1){ia=Rb()|0;ja=Q;ka=ia;vva(fa);Qb(ka|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[fa>>2]=27488;B=0;va(448,ea|0);ia=B;B=0;do if(ia&1){la=Rb()|0;ma=Q;na=la}else{k[ea>>2]=27560;la=n+36|0;k[la>>2]=0;k[la+4>>2]=0;k[la+8>>2]=0;k[la+12>>2]=0;k[n+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,ea|0,e|0);oa=B;B=0;if(oa&1){oa=Rb()|0;pa=Q;Yua(e);Yua(la);Ava(ea);ma=pa;na=oa;break}Yua(e);B=0;Ia(40,n|0,149177,1)|0;oa=B;B=0;do if(oa&1)da=94;else{B=0;wa(510,o|0,ea|0);pa=B;B=0;if(pa&1){da=94;break}B=0;ya(425,o|0)|0;pa=B;B=0;if(pa&1){pa=Rb()|0;qa=Q;Yua(o);ra=qa;sa=pa;break}Yua(o);k[n>>2]=27468;k[fa>>2]=27488;k[ea>>2]=27560;Yua(la);Ava(ea);vva(fa);pa=p+56|0;qa=p+4|0;k[p>>2]=27524;k[pa>>2]=27544;B=0;wa(508,p+56|0,qa|0);ta=B;B=0;if(ta&1){ta=Rb()|0;ua=Q;xa=ta;vva(pa);Qb(xa|0)}k[p+128>>2]=0;k[p+132>>2]=-1;k[p>>2]=27468;k[pa>>2]=27488;B=0;va(448,qa|0);ta=B;B=0;do if(ta&1){za=Rb()|0;Aa=Q;Ba=za}else{k[qa>>2]=27560;za=p+36|0;k[za>>2]=0;k[za+4>>2]=0;k[za+8>>2]=0;k[za+12>>2]=0;k[p+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,qa|0,e|0);Ca=B;B=0;if(Ca&1){Ca=Rb()|0;Da=Q;Yua(e);Yua(za);Ava(qa);Aa=Da;Ba=Ca;break}Yua(e);B=0;Ca=Ia(40,p|0,65712,23)|0;Da=B;B=0;do if(Da&1)da=97;else{B=0;Ea=Ia(41,k[u>>2]|0,0,7)|0;Fa=B;B=0;if(Fa&1){da=97;break}B=0;Fa=Xa(242,Ca|0,Ea|0)|0;Ea=B;B=0;if(Ea&1){da=97;break}B=0;Ea=Ia(40,Fa|0,65736,5)|0;Fa=B;B=0;if(Fa&1){da=97;break}B=0;Fa=Ia(42,k[u>>2]|0,0,7)|0;Ga=B;B=0;if(Ga&1){da=97;break}B=0;Ga=Xa(242,Ea|0,Fa|0)|0;Fa=B;B=0;if(Fa&1){da=97;break}B=0;Fa=Ia(40,Ga|0,65742,5)|0;Ga=B;B=0;if(Ga&1){da=97;break}B=0;Ga=Ia(43,k[u>>2]|0,0,7)|0;Ea=B;B=0;if(Ea&1){da=97;break}B=0;Ea=Xa(242,Fa|0,Ga|0)|0;Ga=B;B=0;if(Ga&1){da=97;break}B=0;Ia(40,Ea|0,65748,4)|0;Ea=B;B=0;if(Ea&1){da=97;break}B=0;wa(510,q|0,qa|0);Ea=B;B=0;if(Ea&1){da=97;break}B=0;ya(425,q|0)|0;Ea=B;B=0;if(Ea&1){Ea=Rb()|0;Ga=Q;Yua(q);Ha=Ga;Ja=Ea;break}Yua(q);k[p>>2]=27468;k[pa>>2]=27488;k[qa>>2]=27560;Yua(za);Ava(qa);vva(pa);Ea=s+56|0;Ga=s+4|0;k[s>>2]=27524;k[Ea>>2]=27544;B=0;wa(508,s+56|0,Ga|0);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;Ka=Q;La=Fa;vva(Ea);Qb(La|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[Ea>>2]=27488;B=0;va(448,Ga|0);Fa=B;B=0;do if(Fa&1){Ma=Rb()|0;Na=Q;Oa=Ma}else{k[Ga>>2]=27560;Ma=s+36|0;k[Ma>>2]=0;k[Ma+4>>2]=0;k[Ma+8>>2]=0;k[Ma+12>>2]=0;k[s+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,Ga|0,e|0);Pa=B;B=0;if(Pa&1){Pa=Rb()|0;Qa=Q;Yua(e);Yua(Ma);Ava(Ga);Na=Qa;Oa=Pa;break}Yua(e);B=0;Ia(40,s|0,149177,1)|0;Pa=B;B=0;do if(!(Pa&1)){B=0;wa(510,t|0,Ga|0);Qa=B;B=0;if(Qa&1){da=100;break}B=0;ya(425,t|0)|0;Qa=B;B=0;if(Qa&1){Qa=Rb()|0;Ra=Q;Yua(t);Ta=Ra;Ua=Qa;break}else{Yua(t);k[s>>2]=27468;k[Ea>>2]=27488;k[Ga>>2]=27560;Yua(Ma);Ava(Ga);vva(Ea);Qa=a+44|0;Ra=(nO(k[Qa>>2]|0,949)|0)+4|0;Va=k[Ra>>2]|0;Ra=(nO(k[Qa>>2]|0,950)|0)+4|0;Wa=k[Ra>>2]|0;lO(k[Qa>>2]|0,f,951);Tsa(k[f>>2]|0)|0;k[b>>2]=k[Va>>2];k[c>>2]=k[Wa>>2];r=d;return}}else da=100;while(0);if((da|0)==100){Pa=Rb()|0;Ta=Q;Ua=Pa}k[s>>2]=27468;k[Ea>>2]=27488;k[Ga>>2]=27560;Yua(Ma);Ava(Ga);vva(Ea);Ya=Ta;_a=Ua;Qb(_a|0)}while(0);Ka=Na;La=Oa;vva(Ea);Qb(La|0)}while(0);if((da|0)==97){Ca=Rb()|0;Ha=Q;Ja=Ca}k[p>>2]=27468;k[pa>>2]=27488;k[qa>>2]=27560;Yua(za);Ava(qa);vva(pa);Ya=Ha;_a=Ja;Qb(_a|0)}while(0);ua=Aa;xa=Ba;vva(pa);Qb(xa|0)}while(0);if((da|0)==94){oa=Rb()|0;ra=Q;sa=oa}k[n>>2]=27468;k[fa>>2]=27488;k[ea>>2]=27560;Yua(la);Ava(ea);vva(fa);Ya=ra;_a=sa;Qb(_a|0)}while(0);ja=ma;ka=na;vva(fa);Qb(ka|0)}while(0);if((da|0)==91){ba=Rb()|0;ga=Q;ha=ba}k[l>>2]=27468;k[T>>2]=27488;k[S>>2]=27560;Yua(_);Ava(S);vva(T);Ya=ga;_a=ha;Qb(_a|0)}while(0);Y=$;Z=aa;vva(T);Qb(Z|0)}else da=88;while(0);if((da|0)==88){P=Rb()|0;V=Q;W=P}k[i>>2]=27468;k[F>>2]=27488;k[G>>2]=27560;Yua(M);Ava(G);vva(F);Ya=V;_a=W;Qb(_a|0)}while(0);K=N;L=O;vva(F);Qb(L|0)}else da=85;while(0);if((da|0)==85){E=Rb()|0;H=Q;I=E}k[g>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);Ya=H;_a=I;Qb(_a|0)}while(0);y=C;z=D;vva(v);Qb(z|0)}function zi(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;b=r;r=r+368|0;c=b+344|0;d=b+208|0;e=b+196|0;f=b+184|0;g=b+36|0;h=b+48|0;i=b+24|0;j=b+12|0;l=b;k[a+4>>2]=0;m=qZ()|0;if(!(Ita(m,68695)|0)){n=d+56|0;o=d+4|0;k[d>>2]=27524;k[n>>2]=27544;B=0;wa(508,d+56|0,o|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;s=p;vva(n);Qb(s|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[n>>2]=27488;B=0;va(448,o|0);p=B;B=0;do if(p&1){t=Rb()|0;u=Q;v=t}else{k[o>>2]=27560;t=d+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,o|0,c|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(c);Yua(t);Ava(o);u=x;v=w;break}Yua(c);B=0;w=Ia(40,d|0,67373,50)|0;x=B;B=0;a:do if(!(x&1)?(B=0,Xa(239,w|0,0)|0,y=B,B=0,!(y&1)):0){y=Ab(20)|0;B=0;eb(502,e|0,67424,87);z=B;B=0;do if(!(z&1)){B=0;eb(502,f|0,68854,19);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(e);D=A;E=C;break}B=0;wa(510,g|0,o|0);C=B;B=0;if(C&1){C=Rb()|0;F=Q;G=C;H=1}else{B=0;ua(163,y|0,e|0,f|0,115,g|0);C=B;B=0;if(C&1)I=1;else{B=0;eb(503,y|0,1240,229);B=0;I=0}C=Rb()|0;A=Q;Yua(g);F=A;G=C;H=I}Yua(f);Yua(e);if(H){D=G;E=F}else{J=G;K=F;break a}}else{C=Rb()|0;D=C;E=Q}while(0);zb(y|0);J=D;K=E}else L=17;while(0);if((L|0)==17){w=Rb()|0;J=w;K=Q}k[d>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(t);Ava(o);vva(n);M=K;N=J;Qb(N|0)}while(0);q=u;s=v;vva(n);Qb(s|0)}if(!(Ita(m,145123)|0)){k[a>>2]=1;if(!m){r=b;return}Tqa(m);r=b;return}b=h+56|0;m=h+4|0;k[h>>2]=27524;k[b>>2]=27544;B=0;wa(508,h+56|0,m|0);a=B;B=0;if(a&1){a=Rb()|0;O=Q;P=a;vva(b);Qb(P|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[b>>2]=27488;B=0;va(448,m|0);a=B;B=0;do if(a&1){s=Rb()|0;R=Q;S=s}else{k[m>>2]=27560;s=h+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,m|0,c|0);n=B;B=0;if(n&1){n=Rb()|0;v=Q;Yua(c);Yua(s);Ava(m);R=v;S=n;break}Yua(c);B=0;n=Ia(40,h|0,68874,20)|0;v=B;B=0;b:do if(!(v&1)?(B=0,Xa(239,n|0,0)|0,u=B,B=0,!(u&1)):0){u=Ab(20)|0;B=0;eb(502,i|0,67424,87);q=B;B=0;do if(!(q&1)){B=0;eb(502,j|0,68854,19);J=B;B=0;if(J&1){J=Rb()|0;K=Q;Yua(i);T=J;U=K;break}B=0;wa(510,l|0,m|0);K=B;B=0;if(K&1){K=Rb()|0;V=1;W=Q;X=K}else{B=0;ua(163,u|0,i|0,j|0,122,l|0);K=B;B=0;if(K&1)Y=1;else{B=0;eb(503,u|0,1240,229);B=0;Y=0}K=Rb()|0;J=Q;Yua(l);V=Y;W=J;X=K}Yua(j);Yua(i);if(V){T=X;U=W}else{Z=W;_=X;break b}}else{K=Rb()|0;T=K;U=Q}while(0);zb(u|0);Z=U;_=T}else L=44;while(0);if((L|0)==44){n=Rb()|0;Z=Q;_=n}k[h>>2]=27468;k[b>>2]=27488;k[m>>2]=27560;Yua(s);Ava(m);vva(b);M=Z;N=_;Qb(N|0)}while(0);O=R;P=S;vva(b);Qb(P|0)}function Ai(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;c=r;r=r+368|0;d=c+344|0;e=c+208|0;f=c+196|0;g=c+184|0;h=c+36|0;i=c+48|0;j=c+24|0;l=c+12|0;m=c;switch(cZ()|0){case 976:{n=Qqa(12)|0;k[n>>2]=28388;k[n+8>>2]=b;o=n+4|0;k[o>>2]=0;if(!b){k[a>>2]=n;r=c;return}B=0;p=ya(422,(b>>>0>536870911?-1:b<<3)|0)|0;q=B;B=0;if(q&1){q=Rb()|0;s=Q;Sqa(n);t=s;u=q;Qb(u|0)}else{WEa(p|0,0,b<<3|0)|0;k[o>>2]=p;k[a>>2]=n;r=c;return}break}case 977:{c=e+56|0;n=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,n|0);a=B;B=0;if(a&1){a=Rb()|0;v=Q;w=a;vva(c);Qb(w|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,n|0);a=B;B=0;do if(a&1){p=Rb()|0;x=Q;y=p}else{k[n>>2]=27560;p=e+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,n|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;b=Q;Yua(d);Yua(p);Ava(n);x=b;y=o;break}Yua(d);B=0;o=Ia(40,e|0,126559,39)|0;b=B;B=0;a:do if(!(b&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,f|0,67124,96);s=B;B=0;do if(!(s&1)){B=0;eb(502,g|0,126695,7);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(f);C=z;D=A;break}B=0;wa(510,h|0,n|0);A=B;B=0;if(A&1){A=Rb()|0;E=Q;F=A;G=1}else{B=0;ua(163,q|0,f|0,g|0,94,h|0);A=B;B=0;if(A&1)H=1;else{B=0;eb(503,q|0,1240,229);B=0;H=0}A=Rb()|0;z=Q;Yua(h);E=z;F=A;G=H}Yua(g);Yua(f);if(G){C=F;D=E}else{I=F;J=E;break a}}else{A=Rb()|0;C=A;D=Q}while(0);zb(q|0);I=C;J=D}else K=22;while(0);if((K|0)==22){o=Rb()|0;I=o;J=Q}k[e>>2]=27468;k[c>>2]=27488;k[n>>2]=27560;Yua(p);Ava(n);vva(c);t=J;u=I;Qb(u|0)}while(0);v=x;w=y;vva(c);Qb(w|0);break}default:{w=i+56|0;c=i+4|0;k[i>>2]=27524;k[w>>2]=27544;B=0;wa(508,i+56|0,c|0);y=B;B=0;if(y&1){y=Rb()|0;L=Q;M=y;vva(w);Qb(M|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[w>>2]=27488;B=0;va(448,c|0);y=B;B=0;do if(y&1){x=Rb()|0;N=Q;O=x}else{k[c>>2]=27560;x=i+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[i+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,c|0,d|0);v=B;B=0;if(v&1){v=Rb()|0;I=Q;Yua(d);Yua(x);Ava(c);N=I;O=v;break}Yua(d);B=0;v=Ia(40,i|0,126703,30)|0;I=B;B=0;b:do if(!(I&1)?(B=0,Xa(239,v|0,0)|0,J=B,B=0,!(J&1)):0){J=Ab(20)|0;B=0;eb(502,j|0,67124,96);n=B;B=0;do if(!(n&1)){B=0;eb(502,l|0,126695,7);e=B;B=0;if(e&1){e=Rb()|0;D=Q;Yua(j);P=e;R=D;break}B=0;wa(510,m|0,c|0);D=B;B=0;if(D&1){D=Rb()|0;S=1;T=Q;U=D}else{B=0;ua(163,J|0,j|0,l|0,98,m|0);D=B;B=0;if(D&1)V=1;else{B=0;eb(503,J|0,1240,229);B=0;V=0}D=Rb()|0;e=Q;Yua(m);S=V;T=e;U=D}Yua(l);Yua(j);if(S){P=U;R=T}else{W=T;X=U;break b}}else{D=Rb()|0;P=D;R=Q}while(0);zb(J|0);W=R;X=P}else K=45;while(0);if((K|0)==45){v=Rb()|0;W=Q;X=v}k[i>>2]=27468;k[w>>2]=27488;k[c>>2]=27560;Yua(x);Ava(c);vva(w);t=W;u=X;Qb(u|0)}while(0);L=N;M=O;vva(w);Qb(M|0)}}}function Bi(a){a=a|0;return}function Ci(a){a=a|0;Sqa(a);return}function Di(a){a=a|0;jj(a);return}function Ei(a){a=a|0;return 554}function Fi(a){a=a|0;var b=0,c=0,d=0;b=Qqa(12)|0;k[b>>2]=28236;c=a+4|0;a=k[c+4>>2]|0;d=b+4|0;k[d>>2]=k[c>>2];k[d+4>>2]=a;return b|0}function Gi(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;d=r;r=r+176|0;c=d+152|0;b=d+16|0;e=d;f=b+56|0;g=b+4|0;k[b>>2]=27524;k[f>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(f);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[f>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,66629,22)|0;p=B;B=0;if((((!(p&1)?(B=0,p=ya(427,k[a+8>>2]|0)|0,q=B,B=0,!(q&1)):0)?(q=Lta(p)|0,B=0,s=Ia(40,o|0,p|0,q|0)|0,q=B,B=0,!(q&1)):0)?(B=0,Ia(40,s|0,66652,44)|0,s=B,B=0,!(s&1)):0)?(B=0,wa(510,e|0,g|0),s=B,B=0,!(s&1)):0){B=0;ya(424,e|0)|0;s=B;B=0;if(!(s&1)){Yua(e);k[b>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);r=d;return}s=Rb()|0;q=Q;Yua(e);t=q;u=s;k[b>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(u|0)}s=Rb()|0;t=Q;u=s;k[b>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(u|0)}while(0);i=m;j=n;vva(f);Qb(j|0)}function Hi(a){a=a|0;return k[a+8>>2]|0}function Ii(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86577,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,67,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function Ji(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85796,25)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,68,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function Ki(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85760,35)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,69,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function Li(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85760,35)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,70,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function Mi(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86549,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,71,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function Ni(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;b=r;r=r+192|0;d=b+176|0;e=b+40|0;f=b+24|0;g=b+12|0;h=b;b=e+56|0;i=e+4|0;k[e>>2]=27524;k[b>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(b);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[b>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,86115,6)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,k[a+8>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,86504,44)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,66550,78);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,86325,17);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,f|0,g|0,72,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}while(0);l=o;m=p;vva(b);Qb(m|0)}function Oi(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86480,23)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,73,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function Pi(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86450,29)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,74,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function Qi(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86416,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,75,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function Ri(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86416,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,76,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function Si(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;f=e+12|0;g=e;e=c+56|0;h=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(e);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;p=Ia(40,c|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85695,29)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,b|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(b);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,b|0,f|0,77,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(b);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}function Ti(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86364,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,78,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function Ui(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86343,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,79,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function Vi(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85673,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,80,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function Wi(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85648,24)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,81,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function Xi(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,82197,19)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,83,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function Yi(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85601,23)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,84,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function Zi(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;c=e+56|0;i=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(c);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,86115,6)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,k[a+8>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,82170,26)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,66550,78);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,86106,8);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,f|0,g|0,87,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}while(0);l=o;m=p;vva(c);Qb(m|0)}function _i(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86273,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,88,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function $i(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86245,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,89,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function aj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86213,31)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,90,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function bj(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86213,31)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,91,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function cj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,82144,25)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,85,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function dj(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,82144,25)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,86,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function ej(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86169,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,92,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function fj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86150,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,93,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function gj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85465,19)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,94,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function hj(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;f=e+12|0;g=e;e=c+56|0;h=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(e);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;p=Ia(40,c|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85340,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,b|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(b);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,b|0,f|0,95,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(b);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}function ij(a,b){a=a|0;b=b|0;k[a+8>>2]=b;return}function jj(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;b=r;r=r+464|0;c=b+452|0;d=b+304|0;e=b+440|0;f=b+152|0;g=b+288|0;h=b+16|0;i=b;j=d+56|0;l=d+4|0;k[d>>2]=27524;k[j>>2]=27544;B=0;wa(508,d+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(j);Qb(o|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[j>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){p=Rb()|0;q=Q;s=p}else{k[l>>2]=27560;p=d+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,l|0,c|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(c);Yua(p);Ava(l);q=u;s=t;break}Yua(c);B=0;Ia(40,d|0,66697,14)|0;t=B;B=0;do if(!(t&1)?(B=0,wa(510,e|0,l|0),u=B,B=0,!(u&1)):0){B=0;ya(424,e|0)|0;u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}Yua(e);k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);u=f+56|0;v=f+4|0;k[f>>2]=27524;k[u>>2]=27544;B=0;wa(508,f+56|0,v|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;A=y;vva(u);Qb(A|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[u>>2]=27488;B=0;va(448,v|0);y=B;B=0;do if(y&1){C=Rb()|0;D=Q;E=C}else{k[v>>2]=27560;C=f+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,v|0,c|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(c);Yua(C);Ava(v);D=G;E=F;break}Yua(c);B=0;F=Ia(40,f|0,66712,10)|0;G=B;B=0;do if((((((!(G&1)?(H=a+8|0,B=0,I=Xa(242,F|0,k[H>>2]|0)|0,J=B,B=0,!(J&1)):0)?(B=0,J=Ia(40,I|0,144166,2)|0,I=B,B=0,!(I&1)):0)?(B=0,I=ya(427,k[H>>2]|0)|0,H=B,B=0,!(H&1)):0)?(H=Lta(I)|0,B=0,K=Ia(40,J|0,I|0,H|0)|0,H=B,B=0,!(H&1)):0)?(B=0,Ia(40,K|0,145593,2)|0,K=B,B=0,!(K&1)):0)?(B=0,wa(510,g|0,v|0),K=B,B=0,!(K&1)):0){B=0;ya(424,g|0)|0;K=B;B=0;if(K&1){K=Rb()|0;H=Q;Yua(g);L=H;M=K;break}Yua(g);k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(C);Ava(v);vva(u);K=h+56|0;H=h+4|0;k[h>>2]=27524;k[K>>2]=27544;B=0;wa(508,h+56|0,H|0);I=B;B=0;if(I&1){I=Rb()|0;N=Q;O=I;vva(K);Qb(O|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[K>>2]=27488;B=0;va(448,H|0);I=B;B=0;do if(I&1){J=Rb()|0;P=Q;R=J}else{k[H>>2]=27560;J=h+36|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;k[J+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,H|0,c|0);S=B;B=0;if(S&1){S=Rb()|0;T=Q;Yua(c);Yua(J);Ava(H);P=T;R=S;break}Yua(c);B=0;S=Ia(40,h|0,109037,10)|0;T=B;B=0;do if(!(T&1)){B=0;U=Xa(245,S|0,k[a+4>>2]|0)|0;V=B;B=0;if(V&1){W=48;break}B=0;Ia(40,U|0,149177,1)|0;U=B;B=0;if(U&1){W=48;break}B=0;wa(510,i|0,H|0);U=B;B=0;if(U&1){W=48;break}B=0;ya(424,i|0)|0;U=B;B=0;if(U&1){U=Rb()|0;V=Q;Yua(i);X=V;Y=U;break}else{Yua(i);k[h>>2]=27468;k[K>>2]=27488;k[H>>2]=27560;Yua(J);Ava(H);vva(K);r=b;return}}else W=48;while(0);if((W|0)==48){S=Rb()|0;X=Q;Y=S}k[h>>2]=27468;k[K>>2]=27488;k[H>>2]=27560;Yua(J);Ava(H);vva(K);Z=X;_=Y;Qb(_|0)}while(0);N=P;O=R;vva(K);Qb(O|0)}else W=45;while(0);if((W|0)==45){F=Rb()|0;L=Q;M=F}k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(C);Ava(v);vva(u);Z=L;_=M;Qb(_|0)}while(0);z=D;A=E;vva(u);Qb(A|0)}else W=42;while(0);if((W|0)==42){t=Rb()|0;w=Q;x=t}k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);Z=w;_=x;Qb(_|0)}while(0);n=q;o=s;vva(j);Qb(o|0)}function kj(a){a=a|0;Sqa(a);return}function lj(a){a=a|0;Tj(a);return}function mj(a){a=a|0;return 554}function nj(a){a=a|0;var b=0,c=0,d=0;b=Qqa(12)|0;k[b>>2]=28084;c=a+4|0;a=k[c+4>>2]|0;d=b+4|0;k[d>>2]=k[c>>2];k[d+4>>2]=a;return b|0}function oj(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;d=r;r=r+176|0;c=d+152|0;b=d+16|0;e=d;f=b+56|0;g=b+4|0;k[b>>2]=27524;k[f>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(f);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[f>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,66629,22)|0;p=B;B=0;if((((!(p&1)?(B=0,p=ya(427,k[a+8>>2]|0)|0,q=B,B=0,!(q&1)):0)?(q=Lta(p)|0,B=0,s=Ia(40,o|0,p|0,q|0)|0,q=B,B=0,!(q&1)):0)?(B=0,Ia(40,s|0,66652,44)|0,s=B,B=0,!(s&1)):0)?(B=0,wa(510,e|0,g|0),s=B,B=0,!(s&1)):0){B=0;ya(424,e|0)|0;s=B;B=0;if(!(s&1)){Yua(e);k[b>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);r=d;return}s=Rb()|0;q=Q;Yua(e);t=q;u=s;k[b>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(u|0)}s=Rb()|0;t=Q;u=s;k[b>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(u|0)}while(0);i=m;j=n;vva(f);Qb(j|0)}function pj(a){a=a|0;return k[a+8>>2]|0}function qj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86577,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,67,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function rj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85796,25)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,68,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function sj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85760,35)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,69,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function tj(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85760,35)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,70,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function uj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86549,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,71,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function vj(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;b=r;r=r+192|0;d=b+176|0;e=b+40|0;f=b+24|0;g=b+12|0;h=b;b=e+56|0;i=e+4|0;k[e>>2]=27524;k[b>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(b);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[b>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,86115,6)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,k[a+8>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,86504,44)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,66550,78);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,86325,17);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,f|0,g|0,72,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}while(0);l=o;m=p;vva(b);Qb(m|0)}function wj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86480,23)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,73,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function xj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86450,29)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,74,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function yj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86416,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,75,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function zj(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86416,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,76,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function Aj(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;f=e+12|0;g=e;e=c+56|0;h=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(e);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;p=Ia(40,c|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85695,29)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,b|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(b);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,b|0,f|0,77,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(b);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}function Bj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86364,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,78,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function Cj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86343,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,79,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function Dj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85673,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,80,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function Ej(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85648,24)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,81,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function Fj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,82197,19)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,83,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function Gj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85601,23)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,84,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function Hj(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;c=e+56|0;i=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(c);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,86115,6)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,k[a+8>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,82170,26)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,66550,78);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,86106,8);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,f|0,g|0,87,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}while(0);l=o;m=p;vva(c);Qb(m|0)}function Ij(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86273,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,88,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function Jj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86245,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,89,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function Kj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86213,31)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,90,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function Lj(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86213,31)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,91,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function Mj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,82144,25)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,85,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function Nj(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,82144,25)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,86,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function Oj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86169,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,92,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function Pj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86150,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,93,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function Qj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85465,19)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,94,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function Rj(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;f=e+12|0;g=e;e=c+56|0;h=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(e);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;p=Ia(40,c|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85340,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,b|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(b);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,b|0,f|0,95,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(b);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}function Sj(a,b){a=a|0;b=b|0;k[a+8>>2]=b;return}function Tj(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;b=r;r=r+464|0;c=b+452|0;d=b+304|0;e=b+440|0;f=b+152|0;g=b+288|0;h=b+16|0;i=b;j=d+56|0;l=d+4|0;k[d>>2]=27524;k[j>>2]=27544;B=0;wa(508,d+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(j);Qb(o|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[j>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){p=Rb()|0;q=Q;s=p}else{k[l>>2]=27560;p=d+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,l|0,c|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(c);Yua(p);Ava(l);q=u;s=t;break}Yua(c);B=0;Ia(40,d|0,66697,14)|0;t=B;B=0;do if(!(t&1)?(B=0,wa(510,e|0,l|0),u=B,B=0,!(u&1)):0){B=0;ya(424,e|0)|0;u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}Yua(e);k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);u=f+56|0;v=f+4|0;k[f>>2]=27524;k[u>>2]=27544;B=0;wa(508,f+56|0,v|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;A=y;vva(u);Qb(A|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[u>>2]=27488;B=0;va(448,v|0);y=B;B=0;do if(y&1){C=Rb()|0;D=Q;E=C}else{k[v>>2]=27560;C=f+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,v|0,c|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(c);Yua(C);Ava(v);D=G;E=F;break}Yua(c);B=0;F=Ia(40,f|0,66712,10)|0;G=B;B=0;do if((((((!(G&1)?(H=a+8|0,B=0,I=Xa(242,F|0,k[H>>2]|0)|0,J=B,B=0,!(J&1)):0)?(B=0,J=Ia(40,I|0,144166,2)|0,I=B,B=0,!(I&1)):0)?(B=0,I=ya(427,k[H>>2]|0)|0,H=B,B=0,!(H&1)):0)?(H=Lta(I)|0,B=0,K=Ia(40,J|0,I|0,H|0)|0,H=B,B=0,!(H&1)):0)?(B=0,Ia(40,K|0,145593,2)|0,K=B,B=0,!(K&1)):0)?(B=0,wa(510,g|0,v|0),K=B,B=0,!(K&1)):0){B=0;ya(424,g|0)|0;K=B;B=0;if(K&1){K=Rb()|0;H=Q;Yua(g);L=H;M=K;break}Yua(g);k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(C);Ava(v);vva(u);K=h+56|0;H=h+4|0;k[h>>2]=27524;k[K>>2]=27544;B=0;wa(508,h+56|0,H|0);I=B;B=0;if(I&1){I=Rb()|0;N=Q;O=I;vva(K);Qb(O|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[K>>2]=27488;B=0;va(448,H|0);I=B;B=0;do if(I&1){J=Rb()|0;P=Q;R=J}else{k[H>>2]=27560;J=h+36|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;k[J+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,H|0,c|0);S=B;B=0;if(S&1){S=Rb()|0;T=Q;Yua(c);Yua(J);Ava(H);P=T;R=S;break}Yua(c);B=0;S=Ia(40,h|0,109037,10)|0;T=B;B=0;do if(!(T&1)){B=0;U=Xa(245,S|0,k[a+4>>2]|0)|0;V=B;B=0;if(V&1){W=48;break}B=0;Ia(40,U|0,149177,1)|0;U=B;B=0;if(U&1){W=48;break}B=0;wa(510,i|0,H|0);U=B;B=0;if(U&1){W=48;break}B=0;ya(424,i|0)|0;U=B;B=0;if(U&1){U=Rb()|0;V=Q;Yua(i);X=V;Y=U;break}else{Yua(i);k[h>>2]=27468;k[K>>2]=27488;k[H>>2]=27560;Yua(J);Ava(H);vva(K);r=b;return}}else W=48;while(0);if((W|0)==48){S=Rb()|0;X=Q;Y=S}k[h>>2]=27468;k[K>>2]=27488;k[H>>2]=27560;Yua(J);Ava(H);vva(K);Z=X;_=Y;Qb(_|0)}while(0);N=P;O=R;vva(K);Qb(O|0)}else W=45;while(0);if((W|0)==45){F=Rb()|0;L=Q;M=F}k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(C);Ava(v);vva(u);Z=L;_=M;Qb(_|0)}while(0);z=D;A=E;vva(u);Qb(A|0)}else W=42;while(0);if((W|0)==42){t=Rb()|0;w=Q;x=t}k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);Z=w;_=x;Qb(_|0)}while(0);n=q;o=s;vva(j);Qb(o|0)}function Uj(a){a=a|0;var b=0,c=0;k[a>>2]=28024;b=a+8|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=k[a+12>>2]|0;if(!b)return;if((k[b>>2]|0)!=0?(a=k[b+4>>2]|0,(a|0)!=0):0){c=k[a>>2]|0;if(c)Ec[k[(k[c>>2]|0)+4>>2]&1023](c);Sqa(a)}Sqa(b);return}function Vj(a){a=a|0;var b=0,c=0,d=0;k[a>>2]=28024;b=a+8|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=k[a+12>>2]|0;if(!b){Sqa(a);return}if((k[b>>2]|0)!=0?(c=k[b+4>>2]|0,(c|0)!=0):0){d=k[c>>2]|0;if(d)Ec[k[(k[d>>2]|0)+4>>2]&1023](d);Sqa(c)}Sqa(b);Sqa(a);return}function Wj(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;b=r;r=r+176|0;c=b+152|0;d=b+16|0;e=b;f=d+56|0;g=d+4|0;k[d>>2]=27524;k[f>>2]=27544;B=0;wa(508,d+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(f);Qb(j|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[f>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=d+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;Ia(40,d|0,66948,45)|0;o=B;B=0;if(!(o&1)?(B=0,wa(510,e|0,g|0),o=B,B=0,!(o&1)):0){B=0;ya(424,e|0)|0;o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(e);q=p;s=o;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(s|0)}Yua(e);k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);fk(a);o=k[a+12>>2]|0;if(!(k[o>>2]|0)){r=b;return}p=k[k[o+4>>2]>>2]|0;Ec[k[(k[p>>2]|0)+8>>2]&1023](p);r=b;return}p=Rb()|0;q=Q;s=p;k[d>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(s|0)}while(0);i=m;j=n;vva(f);Qb(j|0)}function Xj(a){a=a|0;Ec[k[(k[a>>2]|0)+8>>2]&1023](a);return}function Yj(a){a=a|0;return -1}function Zj(a){a=a|0;return 921}function _j(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0.0;b=Qqa(40)|0;c=k[a+4>>2]|0;B=0;d=Xa(240,k[a+8>>2]|0,1)|0;e=B;B=0;if(e&1){f=Rb()|0;g=Q;Sqa(b);Qb(f|0)}e=k[a+12>>2]|0;h=k[a+24>>2]|0;i=+p[a+32>>3];k[b>>2]=28024;k[b+4>>2]=c;k[b+16>>2]=0;k[b+20>>2]=0;B=0;wa(512,b+8|0,d|0);d=B;B=0;if(d&1){f=Rb()|0;g=Q;Sqa(b);Qb(f|0)}else{k[b+24>>2]=h;p[b+32>>3]=i;k[b+12>>2]=e;return b|0}return 0}function $j(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,66876,71)|0;q=B;B=0;if(((!(q&1)?(q=k[a+8>>2]|0,s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,127493,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66769,96);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,149525,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,625,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function ak(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;d=r;r=r+208|0;e=d;f=d+192|0;g=d+188|0;h=d+184|0;i=d+48|0;j=d+36|0;l=d+24|0;m=d+12|0;k[h>>2]=1;if(c){c=a+12|0;n=k[c>>2]|0;if(k[n>>2]|0){o=k[k[n+4>>2]>>2]|0;n=Hc[k[(k[o>>2]|0)+52>>2]&511](o)|0;o=k[c>>2]|0;if(!(k[o>>2]|0)){q=0;s=n}else{c=k[k[o+4>>2]>>2]|0;Fc[k[(k[c>>2]|0)+28>>2]&1023](c,g);q=k[g>>2]|0;s=n}}else{q=0;s=0}n=Rqa(q>>>0>536870911?-1:q<<3)|0;if((q|0)>0){c=0;do{p[n+(c<<3)>>3]=+p[s+(c<<3)>>3];c=c+1|0}while((c|0)<(q|0))}if(!(vY()|0)){q=a+8|0;c=(Lta(k[q>>2]|0)|0)+1|0;k[f>>2]=c;jta(f,4,1,b)|0;jta(k[q>>2]|0,k[f>>2]|0,1,b)|0;p[e>>3]=+p[a+32>>3];jta(e,8,1,b)|0;jta(a+24|0,4,1,b)|0;k[i>>2]=3;jta(i,4,1,b)|0;jta(g,4,1,b)|0;jta(h,4,1,b)|0;jta(n,ma(k[h>>2]<<3,k[g>>2]|0)|0,1,b)|0}Tqa(n);if(!s){r=d;return}Tqa(s);r=d;return}d=i+56|0;s=i+4|0;k[i>>2]=27524;k[d>>2]=27544;B=0;wa(508,i+56|0,s|0);n=B;B=0;if(n&1){n=Rb()|0;t=Q;u=n;vva(d);Qb(u|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[d>>2]=27488;B=0;va(448,s|0);n=B;B=0;do if(n&1){b=Rb()|0;v=Q;w=b}else{k[s>>2]=27560;b=i+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[i+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,s|0,e|0);g=B;B=0;if(g&1){g=Rb()|0;h=Q;Yua(e);Yua(b);Ava(s);v=h;w=g;break}Yua(e);B=0;g=Ia(40,i|0,134695,17)|0;h=B;B=0;if(!(h&1)?(B=0,Xa(239,g|0,0)|0,g=B,B=0,!(g&1)):0){g=Ab(20)|0;B=0;eb(502,j|0,66769,96);h=B;B=0;do if(!(h&1)){B=0;eb(502,l|0,66866,9);a=B;B=0;if(a&1){a=Rb()|0;f=Q;Yua(j);x=f;y=a;break}B=0;wa(510,m|0,s|0);a=B;B=0;if(a&1){a=Rb()|0;z=Q;A=a;C=1}else{B=0;ua(163,g|0,j|0,l|0,588,m|0);a=B;B=0;if(a&1)D=1;else{B=0;eb(503,g|0,1240,229);B=0;D=0}a=Rb()|0;f=Q;Yua(m);z=f;A=a;C=D}Yua(l);Yua(j);if(C){x=z;y=A}else{E=z;F=A;k[i>>2]=27468;k[d>>2]=27488;k[s>>2]=27560;Yua(b);Ava(s);vva(d);Qb(F|0)}}else{a=Rb()|0;x=Q;y=a}while(0);zb(g|0);E=x;F=y;k[i>>2]=27468;k[d>>2]=27488;k[s>>2]=27560;Yua(b);Ava(s);vva(d);Qb(F|0)}h=Rb()|0;E=Q;F=h;k[i>>2]=27468;k[d>>2]=27488;k[s>>2]=27560;Yua(b);Ava(s);vva(d);Qb(F|0)}while(0);t=v;u=w;vva(d);Qb(u|0)}function bk(a){a=a|0;var b=0,c=0;b=k[a+8>>2]|0;a=Rqa((Lta(b)|0)+1|0)|0;c=(Lta(b)|0)+1|0;if(!b)yb(142353,68290,137,142345);if(!c)return a|0;TEa(a|0,b|0,c|0)|0;return a|0}function ck(a){a=a|0;return k[a+24>>2]|0}function dk(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,108833,37)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,66769,96);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,108997,8);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,197,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function ek(a){a=a|0;return zY(k[a+8>>2]|0,0)|0}function fk(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0;b=r;r=r+624|0;c=b+604|0;d=b+456|0;e=b+592|0;f=b+304|0;g=b+440|0;h=b+152|0;i=b+288|0;j=b+16|0;l=b;m=d+56|0;n=d+4|0;k[d>>2]=27524;k[m>>2]=27544;B=0;wa(508,d+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;q=Q;s=o;vva(m);Qb(s|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[m>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){t=Rb()|0;u=Q;v=t}else{k[n>>2]=27560;t=d+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,n|0,c|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(c);Yua(t);Ava(n);u=x;v=w;break}Yua(c);B=0;w=Ia(40,d|0,109048,17)|0;x=B;B=0;do if(((!(x&1)?(B=0,y=Xa(242,w|0,k[a+4>>2]|0)|0,z=B,B=0,!(z&1)):0)?(B=0,Ia(40,y|0,149177,1)|0,y=B,B=0,!(y&1)):0)?(B=0,wa(510,e|0,n|0),y=B,B=0,!(y&1)):0){B=0;ya(424,e|0)|0;y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(e);A=z;C=y;break}Yua(e);k[d>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(t);Ava(n);vva(m);y=f+56|0;z=f+4|0;k[f>>2]=27524;k[y>>2]=27544;B=0;wa(508,f+56|0,z|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;F=D;vva(y);Qb(F|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[y>>2]=27488;B=0;va(448,z|0);D=B;B=0;do if(D&1){G=Rb()|0;H=Q;I=G}else{k[z>>2]=27560;G=f+36|0;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;k[G+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,z|0,c|0);J=B;B=0;if(J&1){J=Rb()|0;K=Q;Yua(c);Yua(G);Ava(z);H=K;I=J;break}Yua(c);B=0;J=Ia(40,f|0,109066,17)|0;K=B;B=0;do if(((!(K&1)?(L=k[a+8>>2]|0,M=Lta(L)|0,B=0,N=Ia(40,J|0,L|0,M|0)|0,M=B,B=0,!(M&1)):0)?(B=0,Ia(40,N|0,149177,1)|0,N=B,B=0,!(N&1)):0)?(B=0,wa(510,g|0,z|0),N=B,B=0,!(N&1)):0){B=0;ya(424,g|0)|0;N=B;B=0;if(N&1){N=Rb()|0;M=Q;Yua(g);O=M;P=N;break}Yua(g);k[f>>2]=27468;k[y>>2]=27488;k[z>>2]=27560;Yua(G);Ava(z);vva(y);N=h+56|0;M=h+4|0;k[h>>2]=27524;k[N>>2]=27544;B=0;wa(508,h+56|0,M|0);L=B;B=0;if(L&1){L=Rb()|0;R=Q;S=L;vva(N);Qb(S|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[N>>2]=27488;B=0;va(448,M|0);L=B;B=0;do if(L&1){T=Rb()|0;U=Q;V=T}else{k[M>>2]=27560;T=h+36|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;k[T+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,M|0,c|0);W=B;B=0;if(W&1){W=Rb()|0;X=Q;Yua(c);Yua(T);Ava(M);U=X;V=W;break}Yua(c);B=0;W=Ia(40,h|0,109084,17)|0;X=B;B=0;do if(X&1)Y=60;else{B=0;Z=Xa(242,W|0,k[a+24>>2]|0)|0;_=B;B=0;if(_&1){Y=60;break}B=0;Ia(40,Z|0,149177,1)|0;Z=B;B=0;if(Z&1){Y=60;break}B=0;wa(510,i|0,M|0);Z=B;B=0;if(Z&1){Y=60;break}B=0;ya(424,i|0)|0;Z=B;B=0;if(Z&1){Z=Rb()|0;_=Q;Yua(i);$=_;aa=Z;break}Yua(i);k[h>>2]=27468;k[N>>2]=27488;k[M>>2]=27560;Yua(T);Ava(M);vva(N);Z=j+56|0;_=j+4|0;k[j>>2]=27524;k[Z>>2]=27544;B=0;wa(508,j+56|0,_|0);ba=B;B=0;if(ba&1){ba=Rb()|0;ca=Q;da=ba;vva(Z);Qb(da|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[Z>>2]=27488;B=0;va(448,_|0);ba=B;B=0;do if(ba&1){ea=Rb()|0;fa=Q;ga=ea}else{k[_>>2]=27560;ea=j+36|0;k[ea>>2]=0;k[ea+4>>2]=0;k[ea+8>>2]=0;k[ea+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,_|0,c|0);ha=B;B=0;if(ha&1){ha=Rb()|0;ia=Q;Yua(c);Yua(ea);Ava(_);fa=ia;ga=ha;break}Yua(c);B=0;ha=Ia(40,j|0,109102,17)|0;ia=B;B=0;do if(!(ia&1)){B=0;ja=Sa(1,ha|0,+(+p[a+32>>3]))|0;ka=B;B=0;if(ka&1){Y=63;break}B=0;Ia(40,ja|0,149177,1)|0;ja=B;B=0;if(ja&1){Y=63;break}B=0;wa(510,l|0,_|0);ja=B;B=0;if(ja&1){Y=63;break}B=0;ya(424,l|0)|0;ja=B;B=0;if(ja&1){ja=Rb()|0;ka=Q;Yua(l);la=ka;ma=ja;break}else{Yua(l);k[j>>2]=27468;k[Z>>2]=27488;k[_>>2]=27560;Yua(ea);Ava(_);vva(Z);r=b;return}}else Y=63;while(0);if((Y|0)==63){ha=Rb()|0;la=Q;ma=ha}k[j>>2]=27468;k[Z>>2]=27488;k[_>>2]=27560;Yua(ea);Ava(_);vva(Z);na=la;oa=ma;Qb(oa|0)}while(0);ca=fa;da=ga;vva(Z);Qb(da|0)}while(0);if((Y|0)==60){W=Rb()|0;$=Q;aa=W}k[h>>2]=27468;k[N>>2]=27488;k[M>>2]=27560;Yua(T);Ava(M);vva(N);na=$;oa=aa;Qb(oa|0)}while(0);R=U;S=V;vva(N);Qb(S|0)}else Y=57;while(0);if((Y|0)==57){J=Rb()|0;O=Q;P=J}k[f>>2]=27468;k[y>>2]=27488;k[z>>2]=27560;Yua(G);Ava(z);vva(y);na=O;oa=P;Qb(oa|0)}while(0);E=H;F=I;vva(y);Qb(F|0)}else Y=54;while(0);if((Y|0)==54){w=Rb()|0;A=Q;C=w}k[d>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(t);Ava(n);vva(m);na=A;oa=C;Qb(oa|0)}while(0);q=u;s=v;vva(m);Qb(s|0)}function gk(a){a=a|0;var b=0,c=0;k[a>>2]=27964;b=a+8|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+12|0;a=k[b>>2]|0;if(!a){k[b>>2]=0;return}Tqa(a);k[b>>2]=0;return}function hk(a){a=a|0;var b=0,c=0;k[a>>2]=27964;b=a+8|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=k[a+12>>2]|0;if(!b){Sqa(a);return}Tqa(b);Sqa(a);return}function ik(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;b=r;r=r+320|0;c=b+300|0;d=b+152|0;e=b+288|0;f=b+16|0;g=b;h=d+56|0;i=d+4|0;k[d>>2]=27524;k[h>>2]=27544;B=0;wa(508,d+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(h);Qb(m|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[h>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=d+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,i|0,c|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(c);Yua(n);Ava(i);o=s;p=q;break}Yua(c);B=0;Ia(40,d|0,67048,37)|0;q=B;B=0;do if(!(q&1)?(B=0,wa(510,e|0,i|0),s=B,B=0,!(s&1)):0){B=0;ya(424,e|0)|0;s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(e);u=t;v=s;break}Yua(e);k[d>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);tk(a);s=f+56|0;t=f+4|0;k[f>>2]=27524;k[s>>2]=27544;B=0;wa(508,f+56|0,t|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;y=w;vva(s);Qb(y|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[s>>2]=27488;B=0;va(448,t|0);w=B;B=0;do if(w&1){z=Rb()|0;A=Q;C=z}else{k[t>>2]=27560;z=f+36|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;k[z+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,t|0,c|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(c);Yua(z);Ava(t);A=E;C=D;break}Yua(c);B=0;D=Ia(40,f|0,83531,16)|0;E=B;B=0;do if(((((!(E&1)?(B=0,F=Xa(242,D|0,k[a+16>>2]|0)|0,G=B,B=0,!(G&1)):0)?(B=0,G=Ia(40,F|0,124614,1)|0,F=B,B=0,!(F&1)):0)?(B=0,F=Xa(242,G|0,k[a+20>>2]|0)|0,G=B,B=0,!(G&1)):0)?(B=0,Ia(40,F|0,149177,1)|0,F=B,B=0,!(F&1)):0)?(B=0,wa(510,g|0,t|0),F=B,B=0,!(F&1)):0){B=0;ya(424,g|0)|0;F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(g);H=G;I=F;break}else{Yua(g);k[f>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(z);Ava(t);vva(s);r=b;return}}else J=31;while(0);if((J|0)==31){D=Rb()|0;H=Q;I=D}k[f>>2]=27468;k[s>>2]=27488;k[t>>2]=27560;Yua(z);Ava(t);vva(s);K=H;L=I;Qb(L|0)}while(0);x=A;y=C;vva(s);Qb(y|0)}else J=28;while(0);if((J|0)==28){q=Rb()|0;u=Q;v=q}k[d>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);K=u;L=v;Qb(L|0)}while(0);l=o;m=p;vva(h);Qb(m|0)}function jk(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0;b=r;r=r+768|0;c=b+752|0;d=b+592|0;e=b+740|0;f=b+456|0;g=b+728|0;h=b+304|0;i=b+440|0;j=b+152|0;l=b+288|0;m=b+16|0;n=b;o=d+56|0;q=d+4|0;k[d>>2]=27524;k[o>>2]=27544;B=0;wa(508,d+56|0,q|0);s=B;B=0;if(s&1){s=Rb()|0;t=Q;u=s;vva(o);Qb(u|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[o>>2]=27488;B=0;va(448,q|0);s=B;B=0;do if(s&1){v=Rb()|0;w=Q;x=v}else{k[q>>2]=27560;v=d+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,q|0,c|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(c);Yua(v);Ava(q);w=z;x=y;break}Yua(c);B=0;Ia(40,d|0,67048,37)|0;y=B;B=0;do if(!(y&1)?(B=0,wa(510,e|0,q|0),z=B,B=0,!(z&1)):0){B=0;ya(424,e|0)|0;z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(e);C=A;D=z;break}Yua(e);k[d>>2]=27468;k[o>>2]=27488;k[q>>2]=27560;Yua(v);Ava(q);vva(o);tk(a);z=f+56|0;A=f+4|0;k[f>>2]=27524;k[z>>2]=27544;B=0;wa(508,f+56|0,A|0);E=B;B=0;if(E&1){E=Rb()|0;F=Q;G=E;vva(z);Qb(G|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[z>>2]=27488;B=0;va(448,A|0);E=B;B=0;do if(E&1){H=Rb()|0;I=Q;J=H}else{k[A>>2]=27560;H=f+36|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;k[H+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,A|0,c|0);K=B;B=0;if(K&1){K=Rb()|0;L=Q;Yua(c);Yua(H);Ava(A);I=L;J=K;break}Yua(c);B=0;K=Ia(40,f|0,83531,16)|0;L=B;B=0;do if(((((!(L&1)?(M=a+16|0,B=0,N=Xa(242,K|0,k[M>>2]|0)|0,O=B,B=0,!(O&1)):0)?(B=0,O=Ia(40,N|0,124614,1)|0,N=B,B=0,!(N&1)):0)?(N=a+20|0,B=0,P=Xa(242,O|0,k[N>>2]|0)|0,O=B,B=0,!(O&1)):0)?(B=0,Ia(40,P|0,149177,1)|0,P=B,B=0,!(P&1)):0)?(B=0,wa(510,g|0,A|0),P=B,B=0,!(P&1)):0){B=0;ya(424,g|0)|0;P=B;B=0;if(P&1){P=Rb()|0;O=Q;Yua(g);R=O;S=P;break}Yua(g);k[f>>2]=27468;k[z>>2]=27488;k[A>>2]=27560;Yua(H);Ava(A);vva(z);if((k[M>>2]|0)<=0){r=b;return}P=h+56|0;O=h+4|0;T=h+56|0;U=h+128|0;V=h+132|0;W=h+36|0;X=h+52|0;Y=m+56|0;Z=m+4|0;_=m+56|0;$=m+128|0;aa=m+132|0;ba=m+36|0;ca=m+52|0;da=j+56|0;ea=j+4|0;fa=j+56|0;ga=j+128|0;ha=j+132|0;ia=j+36|0;ja=j+52|0;ka=a+12|0;la=0;a:while(1){k[h>>2]=27524;k[P>>2]=27544;B=0;wa(508,T|0,O|0);na=B;B=0;if(na&1){oa=33;break}k[U>>2]=0;k[V>>2]=-1;k[h>>2]=27468;k[P>>2]=27488;B=0;va(448,O|0);na=B;B=0;if(na&1){oa=34;break}k[O>>2]=27560;k[W>>2]=0;k[W+4>>2]=0;k[W+8>>2]=0;k[W+12>>2]=0;k[X>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,O|0,c|0);na=B;B=0;if(na&1){oa=32;break}Yua(c);B=0;Ia(40,h|0,67086,5)|0;na=B;B=0;if(na&1){oa=60;break}B=0;wa(510,i|0,O|0);na=B;B=0;if(na&1){oa=60;break}B=0;ya(424,i|0)|0;na=B;B=0;if(na&1){oa=61;break}Yua(i);k[h>>2]=27468;k[P>>2]=27488;k[O>>2]=27560;Yua(W);Ava(O);vva(P);if((k[N>>2]|0)>0){na=0;do{k[j>>2]=27524;k[da>>2]=27544;B=0;wa(508,fa|0,ea|0);pa=B;B=0;if(pa&1){oa=45;break a}k[ga>>2]=0;k[ha>>2]=-1;k[j>>2]=27468;k[da>>2]=27488;B=0;va(448,ea|0);pa=B;B=0;if(pa&1){oa=46;break a}k[ea>>2]=27560;k[ia>>2]=0;k[ia+4>>2]=0;k[ia+8>>2]=0;k[ia+12>>2]=0;k[ja>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ea|0,c|0);pa=B;B=0;if(pa&1){oa=44;break a}Yua(c);B=0;pa=Ia(40,j|0,149175,1)|0;qa=B;B=0;if(qa&1){oa=63;break a}k[pa+(k[(k[pa>>2]|0)+-12>>2]|0)+12>>2]=11;k[pa+(k[(k[pa>>2]|0)+-12>>2]|0)+8>>2]=5;qa=(ma(k[N>>2]|0,la)|0)+na|0;B=0;Sa(1,pa|0,+(+p[(k[ka>>2]|0)+(qa<<3)>>3]))|0;qa=B;B=0;if(qa&1){oa=63;break a}B=0;wa(510,l|0,ea|0);qa=B;B=0;if(qa&1){oa=63;break a}B=0;ya(424,l|0)|0;qa=B;B=0;if(qa&1){oa=64;break a}Yua(l);k[j>>2]=27468;k[da>>2]=27488;k[ea>>2]=27560;Yua(ia);Ava(ea);vva(da);na=na+1|0}while((na|0)<(k[N>>2]|0))}k[m>>2]=27524;k[Y>>2]=27544;B=0;wa(508,_|0,Z|0);na=B;B=0;if(na&1){oa=70;break}k[$>>2]=0;k[aa>>2]=-1;k[m>>2]=27468;k[Y>>2]=27488;B=0;va(448,Z|0);na=B;B=0;if(na&1){oa=71;break}k[Z>>2]=27560;k[ba>>2]=0;k[ba+4>>2]=0;k[ba+8>>2]=0;k[ba+12>>2]=0;k[ca>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Z|0,c|0);na=B;B=0;if(na&1){oa=69;break}Yua(c);B=0;Ia(40,m|0,67092,3)|0;na=B;B=0;if(na&1){oa=78;break}B=0;wa(510,n|0,Z|0);na=B;B=0;if(na&1){oa=78;break}B=0;ya(424,n|0)|0;na=B;B=0;if(na&1){oa=79;break}Yua(n);k[m>>2]=27468;k[Y>>2]=27488;k[Z>>2]=27560;Yua(ba);Ava(Z);vva(Y);la=la+1|0;if((la|0)>=(k[M>>2]|0)){oa=81;break}}switch(oa|0){case 32:{M=Rb()|0;la=Q;Yua(c);Yua(W);Ava(O);ra=la;sa=M;oa=35;break}case 33:{M=Rb()|0;ta=Q;ua=M;vva(P);Qb(ua|0);break}case 34:{M=Rb()|0;ra=Q;sa=M;oa=35;break}case 44:{M=Rb()|0;la=Q;Yua(c);Yua(ia);Ava(ea);xa=la;za=M;oa=47;break}case 45:{M=Rb()|0;Aa=Q;Ba=M;vva(da);Qb(Ba|0);break}case 46:{M=Rb()|0;xa=Q;za=M;oa=47;break}case 60:{M=Rb()|0;Ca=Q;Da=M;oa=62;break}case 61:{M=Rb()|0;la=Q;Yua(i);Ca=la;Da=M;oa=62;break}case 63:{M=Rb()|0;Ea=Q;Fa=M;oa=65;break}case 64:{M=Rb()|0;la=Q;Yua(l);Ea=la;Fa=M;oa=65;break}case 69:{M=Rb()|0;la=Q;Yua(c);Yua(ba);Ava(Z);Ga=la;Ha=M;oa=72;break}case 70:{M=Rb()|0;Ja=Q;Ka=M;vva(Y);Qb(Ka|0);break}case 71:{M=Rb()|0;Ga=Q;Ha=M;oa=72;break}case 78:{M=Rb()|0;La=Q;Ma=M;oa=80;break}case 79:{M=Rb()|0;la=Q;Yua(n);La=la;Ma=M;oa=80;break}case 81:{r=b;return}}if((oa|0)==35){ta=ra;ua=sa;vva(P);Qb(ua|0)}else if((oa|0)==47){Aa=xa;Ba=za;vva(da);Qb(Ba|0)}else if((oa|0)==62){k[h>>2]=27468;k[P>>2]=27488;k[O>>2]=27560;Yua(W);Ava(O);vva(P);Na=Ca;Oa=Da;Qb(Oa|0)}else if((oa|0)==65){k[j>>2]=27468;k[da>>2]=27488;k[ea>>2]=27560;Yua(ia);Ava(ea);vva(da);Na=Ea;Oa=Fa;Qb(Oa|0)}else if((oa|0)==72){Ja=Ga;Ka=Ha;vva(Y);Qb(Ka|0)}else if((oa|0)==80){k[m>>2]=27468;k[Y>>2]=27488;k[Z>>2]=27560;Yua(ba);Ava(Z);vva(Y);Na=La;Oa=Ma;Qb(Oa|0)}}else oa=57;while(0);if((oa|0)==57){K=Rb()|0;R=Q;S=K}k[f>>2]=27468;k[z>>2]=27488;k[A>>2]=27560;Yua(H);Ava(A);vva(z);Na=R;Oa=S;Qb(Oa|0)}while(0);F=I;G=J;vva(z);Qb(G|0)}else oa=54;while(0);if((oa|0)==54){y=Rb()|0;C=Q;D=y}k[d>>2]=27468;k[o>>2]=27488;k[q>>2]=27560;Yua(v);Ava(q);vva(o);Na=C;Oa=D;Qb(Oa|0)}while(0);t=w;u=x;vva(o);Qb(u|0)}function kk(a){a=a|0;return -1}function lk(a){a=a|0;return 762}function mk(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0.0,l=0;b=Qqa(40)|0;c=k[a+4>>2]|0;B=0;d=Xa(240,k[a+8>>2]|0,1)|0;e=B;B=0;do if(!(e&1)?(f=k[a+12>>2]|0,g=k[a+16>>2]|0,h=k[a+20>>2]|0,i=k[a+24>>2]|0,j=+p[a+32>>3],k[b>>2]=27964,k[b+4>>2]=c,l=b+16|0,k[l>>2]=g,g=b+20|0,k[g>>2]=h,B=0,wa(512,b+8|0,d|0),h=B,B=0,!(h&1)):0){k[b+24>>2]=i;p[b+32>>3]=j;i=ma(k[g>>2]|0,k[l>>2]|0)|0;if(!i){k[b+12>>2]=0;return b|0}B=0;l=ya(422,(i>>>0>536870911?-1:i<<3)|0)|0;g=B;B=0;if(!(g&1)){k[b+12>>2]=l;if(!f){B=0;ib(283,142353,68290,137,142345);B=0;break}TEa(l|0,f|0,i<<3|0)|0;return b|0}}while(0);d=Rb()|0;Sqa(b);Qb(d|0);return 0}function nk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;n=Hc[k[(k[a>>2]|0)+20>>2]&511](a)|0;switch(d|0){case 0:{d=k[b>>2]|0;i[d>>0]=n;i[d+1>>0]=n>>8;i[d+2>>0]=n>>16;i[d+3>>0]=n>>24;n=(k[b>>2]|0)+4|0;k[b>>2]=n;d=a+4|0;o=l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24;i[n>>0]=o;i[n+1>>0]=o>>8;i[n+2>>0]=o>>16;i[n+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;n=a+8|0;d=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[o>>0]=d;i[o+1>>0]=d>>8;i[o+2>>0]=d>>16;i[o+3>>0]=d>>24;d=(k[b>>2]|0)+4|0;k[b>>2]=d;o=a+16|0;n=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[d>>0]=n;i[d+1>>0]=n>>8;i[d+2>>0]=n>>16;i[d+3>>0]=n>>24;n=(k[b>>2]|0)+4|0;k[b>>2]=n;d=a+20|0;q=l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24;i[n>>0]=q;i[n+1>>0]=q>>8;i[n+2>>0]=q>>16;i[n+3>>0]=q>>24;q=(k[b>>2]|0)+4|0;k[b>>2]=q;n=a+12|0;s=(k[n>>2]|0)==0;i[q>>0]=s&1;q=(k[b>>2]|0)+1|0;k[b>>2]=q;if(s)u=q;else{TEa(q|0,k[n>>2]|0,ma(k[o>>2]<<3,k[d>>2]|0)|0)|0;n=ma(k[o>>2]<<3,k[d>>2]|0)|0;d=(k[b>>2]|0)+n|0;k[b>>2]=d;u=d}d=a+24|0;n=l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24;i[u>>0]=n;i[u+1>>0]=n>>8;i[u+2>>0]=n>>16;i[u+3>>0]=n>>24;n=(k[b>>2]|0)+4|0;k[b>>2]=n;u=a+32|0;d=u;o=l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24;d=u+4|0;u=l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24;d=n;n=d;i[n>>0]=o;i[n+1>>0]=o>>8;i[n+2>>0]=o>>16;i[n+3>>0]=o>>24;o=d+4|0;i[o>>0]=u;i[o+1>>0]=u>>8;i[o+2>>0]=u>>16;i[o+3>>0]=u>>24;k[b>>2]=(k[b>>2]|0)+8;r=e;return}case 2:{u=(k[a+12>>2]|0)==0;o=(k[c>>2]|0)+21|0;k[c>>2]=o;if(u)v=o;else{u=(ma(k[a+16>>2]<<3,k[a+20>>2]|0)|0)+o|0;k[c>>2]=u;v=u}k[c>>2]=v+12;r=e;return}case 1:{v=(k[b>>2]|0)+4|0;k[b>>2]=v;c=a+4|0;u=l[v>>0]|l[v+1>>0]<<8|l[v+2>>0]<<16|l[v+3>>0]<<24;i[c>>0]=u;i[c+1>>0]=u>>8;i[c+2>>0]=u>>16;i[c+3>>0]=u>>24;u=(k[b>>2]|0)+4|0;k[b>>2]=u;c=a+8|0;v=l[u>>0]|l[u+1>>0]<<8|l[u+2>>0]<<16|l[u+3>>0]<<24;i[c>>0]=v;i[c+1>>0]=v>>8;i[c+2>>0]=v>>16;i[c+3>>0]=v>>24;v=(k[b>>2]|0)+4|0;k[b>>2]=v;c=a+16|0;u=l[v>>0]|l[v+1>>0]<<8|l[v+2>>0]<<16|l[v+3>>0]<<24;i[c>>0]=u;i[c+1>>0]=u>>8;i[c+2>>0]=u>>16;i[c+3>>0]=u>>24;c=(k[b>>2]|0)+4|0;k[b>>2]=c;v=a+20|0;o=l[c>>0]|l[c+1>>0]<<8|l[c+2>>0]<<16|l[c+3>>0]<<24;i[v>>0]=o;i[v+1>>0]=o>>8;i[v+2>>0]=o>>16;i[v+3>>0]=o>>24;v=k[b>>2]|0;c=v+4|0;k[b>>2]=c;d=i[c>>0]|0;c=v+5|0;k[b>>2]=c;if(!(d&1)){d=ma(o,u)|0;v=Rqa(d>>>0>536870911?-1:d<<3)|0;k[a+12>>2]=v;d=k[b>>2]|0;n=ma(u<<3,o)|0;TEa(v|0,d|0,n|0)|0;v=d+n|0;k[b>>2]=v;w=v}else w=c;c=a+24|0;v=l[w>>0]|l[w+1>>0]<<8|l[w+2>>0]<<16|l[w+3>>0]<<24;i[c>>0]=v;i[c+1>>0]=v>>8;i[c+2>>0]=v>>16;i[c+3>>0]=v>>24;v=(k[b>>2]|0)+4|0;k[b>>2]=v;c=a+32|0;i[t>>0]=i[v>>0];i[t+1>>0]=i[v+1>>0];i[t+2>>0]=i[v+2>>0];i[t+3>>0]=i[v+3>>0];i[t+4>>0]=i[v+4>>0];i[t+5>>0]=i[v+5>>0];i[t+6>>0]=i[v+6>>0];i[t+7>>0]=i[v+7>>0];p[t>>3]=+p[t>>3];i[c>>0]=i[t>>0];i[c+1>>0]=i[t+1>>0];i[c+2>>0]=i[t+2>>0];i[c+3>>0]=i[t+3>>0];i[c+4>>0]=i[t+4>>0];i[c+5>>0]=i[t+5>>0];i[c+6>>0]=i[t+6>>0];i[c+7>>0]=i[t+7>>0];k[b>>2]=(k[b>>2]|0)+8;r=e;return}default:{e=g+56|0;b=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,b|0);c=B;B=0;if(c&1){c=Rb()|0;x=Q;y=c;vva(e);Qb(y|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,b|0);c=B;B=0;do if(c&1){v=Rb()|0;z=Q;A=v}else{k[b>>2]=27560;v=g+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,b|0,f|0);a=B;B=0;if(a&1){a=Rb()|0;w=Q;Yua(f);Yua(v);Ava(b);z=w;A=a;break}Yua(f);B=0;a=Ia(40,g|0,143951,43)|0;w=B;B=0;if(!(w&1)?(B=0,Xa(239,a|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,h|0,66769,96);w=B;B=0;do if(!(w&1)){B=0;eb(502,j|0,149525,8);n=B;B=0;if(n&1){n=Rb()|0;d=Q;Yua(h);C=d;D=n;break}B=0;wa(510,m|0,b|0);n=B;B=0;if(n&1){n=Rb()|0;E=Q;F=n;G=1}else{B=0;ua(163,a|0,h|0,j|0,438,m|0);n=B;B=0;if(n&1)H=1;else{B=0;eb(503,a|0,1240,229);B=0;H=0}n=Rb()|0;d=Q;Yua(m);E=d;F=n;G=H}Yua(j);Yua(h);if(G){C=E;D=F}else{I=E;J=F;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(v);Ava(b);vva(e);Qb(J|0)}}else{n=Rb()|0;C=Q;D=n}while(0);zb(a|0);I=C;J=D;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(v);Ava(b);vva(e);Qb(J|0)}w=Rb()|0;I=Q;J=w;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(v);Ava(b);vva(e);Qb(J|0)}while(0);x=z;y=A;vva(e);Qb(y|0)}}}function ok(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;d=r;r=r+32|0;e=d+20|0;f=d+16|0;g=d+12|0;h=d;i=d+8|0;if((vY()|0)!=0&c){r=d;return}c=a+8|0;j=(Lta(k[c>>2]|0)|0)+1|0;k[i>>2]=j;jta(i,4,1,b)|0;jta(k[c>>2]|0,k[i>>2]|0,1,b)|0;p[h>>3]=+p[a+32>>3];jta(h,8,1,b)|0;jta(a+24|0,4,1,b)|0;k[e>>2]=3;jta(e,4,1,b)|0;k[f>>2]=k[a+16>>2];jta(f,4,1,b)|0;k[g>>2]=k[a+20>>2];jta(g,4,1,b)|0;jta(k[a+12>>2]|0,ma(k[g>>2]<<3,k[f>>2]|0)|0,1,b)|0;r=d;return}function pk(a){a=a|0;var b=0,c=0;b=k[a+8>>2]|0;a=Rqa((Lta(b)|0)+1|0)|0;c=(Lta(b)|0)+1|0;if(!b)yb(142353,68290,137,142345);if(!c)return a|0;TEa(a|0,b|0,c|0)|0;return a|0}function qk(a){a=a|0;return k[a+24>>2]|0}function rk(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,108833,37)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,66769,96);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,108997,8);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,197,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function sk(a){a=a|0;return zY(k[a+8>>2]|0,0)|0}function tk(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0;b=r;r=r+624|0;c=b+604|0;d=b+456|0;e=b+592|0;f=b+304|0;g=b+440|0;h=b+152|0;i=b+288|0;j=b+16|0;l=b;m=d+56|0;n=d+4|0;k[d>>2]=27524;k[m>>2]=27544;B=0;wa(508,d+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;q=Q;s=o;vva(m);Qb(s|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[m>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){t=Rb()|0;u=Q;v=t}else{k[n>>2]=27560;t=d+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,n|0,c|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(c);Yua(t);Ava(n);u=x;v=w;break}Yua(c);B=0;w=Ia(40,d|0,109048,17)|0;x=B;B=0;do if(((!(x&1)?(B=0,y=Xa(242,w|0,k[a+4>>2]|0)|0,z=B,B=0,!(z&1)):0)?(B=0,Ia(40,y|0,149177,1)|0,y=B,B=0,!(y&1)):0)?(B=0,wa(510,e|0,n|0),y=B,B=0,!(y&1)):0){B=0;ya(424,e|0)|0;y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(e);A=z;C=y;break}Yua(e);k[d>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(t);Ava(n);vva(m);y=f+56|0;z=f+4|0;k[f>>2]=27524;k[y>>2]=27544;B=0;wa(508,f+56|0,z|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;F=D;vva(y);Qb(F|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[y>>2]=27488;B=0;va(448,z|0);D=B;B=0;do if(D&1){G=Rb()|0;H=Q;I=G}else{k[z>>2]=27560;G=f+36|0;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;k[G+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,z|0,c|0);J=B;B=0;if(J&1){J=Rb()|0;K=Q;Yua(c);Yua(G);Ava(z);H=K;I=J;break}Yua(c);B=0;J=Ia(40,f|0,109066,17)|0;K=B;B=0;do if(((!(K&1)?(L=k[a+8>>2]|0,M=Lta(L)|0,B=0,N=Ia(40,J|0,L|0,M|0)|0,M=B,B=0,!(M&1)):0)?(B=0,Ia(40,N|0,149177,1)|0,N=B,B=0,!(N&1)):0)?(B=0,wa(510,g|0,z|0),N=B,B=0,!(N&1)):0){B=0;ya(424,g|0)|0;N=B;B=0;if(N&1){N=Rb()|0;M=Q;Yua(g);O=M;P=N;break}Yua(g);k[f>>2]=27468;k[y>>2]=27488;k[z>>2]=27560;Yua(G);Ava(z);vva(y);N=h+56|0;M=h+4|0;k[h>>2]=27524;k[N>>2]=27544;B=0;wa(508,h+56|0,M|0);L=B;B=0;if(L&1){L=Rb()|0;R=Q;S=L;vva(N);Qb(S|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[N>>2]=27488;B=0;va(448,M|0);L=B;B=0;do if(L&1){T=Rb()|0;U=Q;V=T}else{k[M>>2]=27560;T=h+36|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;k[T+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,M|0,c|0);W=B;B=0;if(W&1){W=Rb()|0;X=Q;Yua(c);Yua(T);Ava(M);U=X;V=W;break}Yua(c);B=0;W=Ia(40,h|0,109084,17)|0;X=B;B=0;do if(X&1)Y=60;else{B=0;Z=Xa(242,W|0,k[a+24>>2]|0)|0;_=B;B=0;if(_&1){Y=60;break}B=0;Ia(40,Z|0,149177,1)|0;Z=B;B=0;if(Z&1){Y=60;break}B=0;wa(510,i|0,M|0);Z=B;B=0;if(Z&1){Y=60;break}B=0;ya(424,i|0)|0;Z=B;B=0;if(Z&1){Z=Rb()|0;_=Q;Yua(i);$=_;aa=Z;break}Yua(i);k[h>>2]=27468;k[N>>2]=27488;k[M>>2]=27560;Yua(T);Ava(M);vva(N);Z=j+56|0;_=j+4|0;k[j>>2]=27524;k[Z>>2]=27544;B=0;wa(508,j+56|0,_|0);ba=B;B=0;if(ba&1){ba=Rb()|0;ca=Q;da=ba;vva(Z);Qb(da|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[Z>>2]=27488;B=0;va(448,_|0);ba=B;B=0;do if(ba&1){ea=Rb()|0;fa=Q;ga=ea}else{k[_>>2]=27560;ea=j+36|0;k[ea>>2]=0;k[ea+4>>2]=0;k[ea+8>>2]=0;k[ea+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,_|0,c|0);ha=B;B=0;if(ha&1){ha=Rb()|0;ia=Q;Yua(c);Yua(ea);Ava(_);fa=ia;ga=ha;break}Yua(c);B=0;ha=Ia(40,j|0,109102,17)|0;ia=B;B=0;do if(!(ia&1)){B=0;ja=Sa(1,ha|0,+(+p[a+32>>3]))|0;ka=B;B=0;if(ka&1){Y=63;break}B=0;Ia(40,ja|0,149177,1)|0;ja=B;B=0;if(ja&1){Y=63;break}B=0;wa(510,l|0,_|0);ja=B;B=0;if(ja&1){Y=63;break}B=0;ya(424,l|0)|0;ja=B;B=0;if(ja&1){ja=Rb()|0;ka=Q;Yua(l);la=ka;ma=ja;break}else{Yua(l);k[j>>2]=27468;k[Z>>2]=27488;k[_>>2]=27560;Yua(ea);Ava(_);vva(Z);r=b;return}}else Y=63;while(0);if((Y|0)==63){ha=Rb()|0;la=Q;ma=ha}k[j>>2]=27468;k[Z>>2]=27488;k[_>>2]=27560;Yua(ea);Ava(_);vva(Z);na=la;oa=ma;Qb(oa|0)}while(0);ca=fa;da=ga;vva(Z);Qb(da|0)}while(0);if((Y|0)==60){W=Rb()|0;$=Q;aa=W}k[h>>2]=27468;k[N>>2]=27488;k[M>>2]=27560;Yua(T);Ava(M);vva(N);na=$;oa=aa;Qb(oa|0)}while(0);R=U;S=V;vva(N);Qb(S|0)}else Y=57;while(0);if((Y|0)==57){J=Rb()|0;O=Q;P=J}k[f>>2]=27468;k[y>>2]=27488;k[z>>2]=27560;Yua(G);Ava(z);vva(y);na=O;oa=P;Qb(oa|0)}while(0);E=H;F=I;vva(y);Qb(F|0)}else Y=54;while(0);if((Y|0)==54){w=Rb()|0;A=Q;C=w}k[d>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(t);Ava(n);vva(m);na=A;oa=C;Qb(oa|0)}while(0);q=u;s=v;vva(m);Qb(s|0)}function uk(a){a=a|0;var b=0,c=0;k[a>>2]=28388;b=a+8|0;if(!(k[b>>2]|0)){k[b>>2]=0;return}c=a+4|0;a=k[c>>2]|0;if(a)Tqa(a);k[c>>2]=0;k[b>>2]=0;return}function vk(a){a=a|0;var b=0;k[a>>2]=28388;if((k[a+8>>2]|0)!=0?(b=k[a+4>>2]|0,(b|0)!=0):0)Tqa(b);Sqa(a);return}function wk(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0;b=r;r=r+320|0;c=b+300|0;d=b+152|0;e=b+288|0;f=b+16|0;g=b;h=d+56|0;i=d+4|0;k[d>>2]=27524;k[h>>2]=27544;B=0;wa(508,d+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(h);Qb(m|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[h>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;q=n}else{k[i>>2]=27560;n=d+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,i|0,c|0);s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(c);Yua(n);Ava(i);o=t;q=s;break}Yua(c);B=0;s=Ia(40,d|0,67321,16)|0;t=B;B=0;do if(((!(t&1)?(u=a+8|0,B=0,v=Xa(242,s|0,k[u>>2]|0)|0,w=B,B=0,!(w&1)):0)?(B=0,Ia(40,v|0,149177,1)|0,v=B,B=0,!(v&1)):0)?(B=0,wa(510,e|0,i|0),v=B,B=0,!(v&1)):0){B=0;ya(424,e|0)|0;v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(e);x=w;y=v;break}Yua(e);k[d>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);if((k[u>>2]|0)<=0){r=b;return}v=f+56|0;w=f+4|0;z=f+56|0;A=f+128|0;C=f+132|0;D=f+36|0;E=f+52|0;F=a+4|0;G=0;while(1){k[f>>2]=27524;k[v>>2]=27544;B=0;wa(508,z|0,w|0);H=B;B=0;if(H&1){I=20;break}k[A>>2]=0;k[C>>2]=-1;k[f>>2]=27468;k[v>>2]=27488;B=0;va(448,w|0);H=B;B=0;if(H&1){I=21;break}k[w>>2]=27560;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;k[D+12>>2]=0;k[E>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,w|0,c|0);H=B;B=0;if(H&1){I=19;break}Yua(c);B=0;H=Sa(1,f|0,+(+p[(k[F>>2]|0)+(G<<3)>>3]))|0;J=B;B=0;if(J&1){I=32;break}B=0;Ia(40,H|0,67338,2)|0;H=B;B=0;if(H&1){I=32;break}B=0;wa(510,g|0,w|0);H=B;B=0;if(H&1){I=32;break}B=0;ya(424,g|0)|0;H=B;B=0;if(H&1){I=33;break}Yua(g);k[f>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(D);Ava(w);vva(v);G=G+1|0;if((G|0)>=(k[u>>2]|0)){I=35;break}}if((I|0)==19){u=Rb()|0;G=Q;Yua(c);Yua(D);Ava(w);K=G;L=u;I=22}else if((I|0)==20){u=Rb()|0;M=Q;N=u;vva(v);Qb(N|0)}else if((I|0)==21){u=Rb()|0;K=Q;L=u;I=22}else if((I|0)==32){u=Rb()|0;O=Q;P=u;I=34}else if((I|0)==33){u=Rb()|0;G=Q;Yua(g);O=G;P=u;I=34}else if((I|0)==35){r=b;return}if((I|0)==22){M=K;N=L;vva(v);Qb(N|0)}else if((I|0)==34){k[f>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(D);Ava(w);vva(v);R=O;S=P;Qb(S|0)}}else I=29;while(0);if((I|0)==29){s=Rb()|0;x=Q;y=s}k[d>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);R=x;S=y;Qb(S|0)}while(0);l=o;m=q;vva(h);Qb(m|0)}function xk(a){a=a|0;return}function yk(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;f=r;r=r+192|0;g=f+176|0;h=f+40|0;i=f+24|0;j=f+12|0;l=f;switch(e|0){case 1:{if((b|0)<=0){r=f;return}e=k[a+4>>2]|0;m=0;do{n=e+(k[c+(m<<2)>>2]<<3)|0;p[n>>3]=+p[d+(m<<3)>>3]+ +p[n>>3];m=m+1|0}while((m|0)!=(b|0));r=f;return}case 0:{if((b|0)<=0){r=f;return}m=k[a+4>>2]|0;a=0;do{p[m+(k[c+(a<<2)>>2]<<3)>>3]=+p[d+(a<<3)>>3];a=a+1|0}while((a|0)!=(b|0));r=f;return}default:{f=h+56|0;b=h+4|0;k[h>>2]=27524;k[f>>2]=27544;B=0;wa(508,h+56|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;o=Q;q=a;vva(f);Qb(q|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[f>>2]=27488;B=0;va(448,b|0);a=B;B=0;do if(a&1){d=Rb()|0;s=Q;t=d}else{k[b>>2]=27560;d=h+36|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[h+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,b|0,g|0);c=B;B=0;if(c&1){c=Rb()|0;m=Q;Yua(g);Yua(d);Ava(b);s=m;t=c;break}Yua(g);B=0;c=Ia(40,h|0,68373,20)|0;m=B;B=0;if(!(m&1)?(B=0,Xa(239,c|0,0)|0,c=B,B=0,!(c&1)):0){c=Ab(20)|0;B=0;eb(502,i|0,67221,99);m=B;B=0;do if(!(m&1)){B=0;eb(502,j|0,68510,9);e=B;B=0;if(e&1){e=Rb()|0;n=Q;Yua(i);u=n;v=e;break}B=0;wa(510,l|0,b|0);e=B;B=0;if(e&1){e=Rb()|0;w=Q;x=e;y=1}else{B=0;ua(163,c|0,i|0,j|0,109,l|0);e=B;B=0;if(e&1)z=1;else{B=0;eb(503,c|0,1240,229);B=0;z=0}e=Rb()|0;n=Q;Yua(l);w=n;x=e;y=z}Yua(j);Yua(i);if(y){u=w;v=x}else{A=w;C=x;k[h>>2]=27468;k[f>>2]=27488;k[b>>2]=27560;Yua(d);Ava(b);vva(f);Qb(C|0)}}else{e=Rb()|0;u=Q;v=e}while(0);zb(c|0);A=u;C=v;k[h>>2]=27468;k[f>>2]=27488;k[b>>2]=27560;Yua(d);Ava(b);vva(f);Qb(C|0)}m=Rb()|0;A=Q;C=m;k[h>>2]=27468;k[f>>2]=27488;k[b>>2]=27560;Yua(d);Ava(b);vva(f);Qb(C|0)}while(0);o=s;q=t;vva(f);Qb(q|0)}}}function zk(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;i=e+12|0;j=e;switch(d|0){case 1:{d=(k[a+4>>2]|0)+(b<<3)|0;p[d>>3]=+p[d>>3]+c;r=e;return}case 0:{p[(k[a+4>>2]|0)+(b<<3)>>3]=c;r=e;return}default:{e=g+56|0;b=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;l=Q;m=a;vva(e);Qb(m|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,b|0);a=B;B=0;do if(a&1){d=Rb()|0;n=Q;o=d}else{k[b>>2]=27560;d=g+36|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,b|0,f|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(f);Yua(d);Ava(b);n=s;o=q;break}Yua(f);B=0;q=Ia(40,g|0,68373,20)|0;s=B;B=0;if(!(s&1)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,h|0,67221,99);s=B;B=0;do if(!(s&1)){B=0;eb(502,i|0,86106,8);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(h);v=u;w=t;break}B=0;wa(510,j|0,b|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,h|0,i|0,125,j|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(j);x=u;y=t;z=A}Yua(i);Yua(h);if(z){v=x;w=y}else{C=x;D=y;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(d);Ava(b);vva(e);Qb(D|0)}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(d);Ava(b);vva(e);Qb(D|0)}s=Rb()|0;C=Q;D=s;k[g>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(d);Ava(b);vva(e);Qb(D|0)}while(0);l=n;m=o;vva(e);Qb(m|0)}}}function Ak(a,b,c){a=a|0;b=b|0;c=c|0;p[b>>3]=+p[(k[a+4>>2]|0)+(c<<3)>>3];return}function Bk(a,b){a=a|0;b=b|0;k[b>>2]=k[a+8>>2];return}function Ck(a,b){a=a|0;b=b|0;k[b>>2]=k[a+8>>2];return}function Dk(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=Qqa(12)|0;c=k[a+4>>2]|0;d=k[a+8>>2]|0;k[b>>2]=28388;k[b+8>>2]=d;a=b+4|0;k[a>>2]=0;if(!d)return b|0;B=0;e=ya(422,(d>>>0>536870911?-1:d<<3)|0)|0;f=B;B=0;if(f&1){g=Rb()|0;h=Q;Sqa(b);Qb(g|0)}k[a>>2]=e;if(!c){B=0;ib(283,142353,68290,137,142345);B=0;g=Rb()|0;h=Q;Sqa(b);Qb(g|0)}else{TEa(e|0,c|0,d<<3|0)|0;return b|0}return 0}function Ek(a,b){a=a|0;b=+b;var c=0,d=0;c=k[a+8>>2]|0;if((c|0)<=0)return;d=k[a+4>>2]|0;a=0;do{p[d+(a<<3)>>3]=b;a=a+1|0}while((a|0)<(c|0));return}function Fk(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0;d=k[a+8>>2]|0;if((d|0)<=0)return;e=k[b+4>>2]|0;b=k[a+4>>2]|0;a=0;do{f=b+(a<<3)|0;p[f>>3]=+p[e+(a<<3)>>3]*c+ +p[f>>3];a=a+1|0}while((a|0)<(d|0));return}function Gk(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0;d=k[a+8>>2]|0;if((d|0)<=0)return;e=k[b+4>>2]|0;b=k[a+4>>2]|0;a=0;do{f=b+(a<<3)|0;p[f>>3]=+p[e+(a<<3)>>3]+ +p[f>>3]*c;a=a+1|0}while((a|0)<(d|0));return}function Hk(a){a=a|0;var b=0,c=0,d=0,e=0;b=k[a+8>>2]|0;if(!b){c=0;return c|0}d=Rqa(b>>>0>536870911?-1:b<<3)|0;e=k[a+4>>2]|0;if(!e)yb(142353,68290,137,142345);TEa(d|0,e|0,b<<3|0)|0;c=d;return c|0}function Ik(a,b){a=a|0;b=+b;var c=0,d=0,e=0;c=k[a+8>>2]|0;if((c|0)<=0)return;d=k[a+4>>2]|0;a=0;do{e=d+(a<<3)|0;p[e>>3]=+p[e>>3]+b;a=a+1|0}while((a|0)<(c|0));return}function Jk(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+8|0;k[b+8>>2]=k[c>>2];d=k[c>>2]|0;if((d|0)<=0)return;c=k[a+4>>2]|0;a=k[b+4>>2]|0;b=0;do{p[a+(b<<3)>>3]=+p[c+(b<<3)>>3];b=b+1|0}while((b|0)<(d|0));return}function Kk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0.0,j=0,l=0,m=0.0,n=0.0,o=0.0,q=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;switch(b|0){case 0:{b=a+8|0;if((k[b>>2]|0)<=0){i=0.0;r=c;return +i}j=a+4|0;l=0;m=0.0;while(1){n=+LY(m,+p[(k[j>>2]|0)+(l<<3)>>3]);l=l+1|0;if((l|0)>=(k[b>>2]|0)){i=n;break}else m=n}r=c;return +i}case 1:{b=k[a+8>>2]|0;if((b|0)>0){l=k[a+4>>2]|0;a=0;m=0.0;while(1){n=+p[l+(a<<3)>>3];o=m+n*n;a=a+1|0;if((a|0)>=(b|0)){q=o;break}else m=o}}else q=0.0;i=+aa(+q);r=c;return +i}default:{c=e+56|0;b=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;s=Q;t=a;vva(c);Qb(t|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,b|0);a=B;B=0;do if(a&1){l=Rb()|0;u=Q;v=l}else{k[b>>2]=27560;l=e+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,b|0,d|0);j=B;B=0;if(j&1){j=Rb()|0;w=Q;Yua(d);Yua(l);Ava(b);u=w;v=j;break}Yua(d);B=0;j=Ia(40,e|0,68622,14)|0;w=B;B=0;if(!(w&1)?(B=0,Xa(239,j|0,0)|0,j=B,B=0,!(j&1)):0){j=Ab(20)|0;B=0;eb(502,f|0,67221,99);w=B;B=0;do if(!(w&1)){B=0;eb(502,g|0,68637,4);x=B;B=0;if(x&1){x=Rb()|0;y=Q;Yua(f);z=y;A=x;break}B=0;wa(510,h|0,b|0);x=B;B=0;if(x&1){x=Rb()|0;C=Q;D=x;E=1}else{B=0;ua(163,j|0,f|0,g|0,238,h|0);x=B;B=0;if(x&1)F=1;else{B=0;eb(503,j|0,1240,229);B=0;F=0}x=Rb()|0;y=Q;Yua(h);C=y;D=x;E=F}Yua(g);Yua(f);if(E){z=C;A=D}else{G=C;H=D;k[e>>2]=27468;k[c>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(c);Qb(H|0)}}else{x=Rb()|0;z=Q;A=x}while(0);zb(j|0);G=z;H=A;k[e>>2]=27468;k[c>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(c);Qb(H|0)}w=Rb()|0;G=Q;H=w;k[e>>2]=27468;k[c>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(c);Qb(H|0)}while(0);s=u;t=v;vva(c);Qb(t|0)}}return +(0.0)}function Lk(a,b){a=a|0;b=+b;var c=0,d=0,e=0;c=k[a+8>>2]|0;if((c|0)<=0)return;d=k[a+4>>2]|0;a=0;do{e=d+(a<<3)|0;p[e>>3]=+p[e>>3]*b;a=a+1|0}while((a|0)<(c|0));return}function Mk(a,b){a=a|0;b=b|0;var c=0,d=0.0,e=0,f=0.0,g=0.0;c=k[a+8>>2]|0;if((c|0)<=0){d=0.0;return +d}e=k[a+4>>2]|0;a=k[b+4>>2]|0;f=0.0;b=0;while(1){g=f+ +p[e+(b<<3)>>3]*+p[a+(b<<3)>>3];b=b+1|0;if((b|0)>=(c|0)){d=g;break}else f=g}return +d}function Nk(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=k[a+8>>2]|0;if((d|0)<=0)return;e=k[b+4>>2]|0;b=k[c+4>>2]|0;c=k[a+4>>2]|0;a=0;do{p[c+(a<<3)>>3]=+p[e+(a<<3)>>3]/+p[b+(a<<3)>>3];a=a+1|0}while((a|0)<(d|0));return}function Ok(a){a=a|0;var b=0;k[a>>2]=27904;b=a+8|0;a=k[b>>2]|0;if(a)Tqa(a);k[b>>2]=0;return}function Pk(a){a=a|0;var b=0;k[a>>2]=27904;b=k[a+8>>2]|0;if(!b){Sqa(a);return}Tqa(b);Sqa(a);return}function Qk(a){a=a|0;Ec[k[(k[a>>2]|0)+12>>2]&1023](a);return}function Rk(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;b=r;r=r+320|0;c=b+300|0;d=b+152|0;e=b+288|0;f=b+16|0;g=b;h=d+56|0;i=d+4|0;k[d>>2]=27524;k[h>>2]=27544;B=0;wa(508,d+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(h);Qb(m|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[h>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;q=n}else{k[i>>2]=27560;n=d+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,i|0,c|0);s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(c);Yua(n);Ava(i);o=t;q=s;break}Yua(c);B=0;Ia(40,d|0,67528,31)|0;s=B;B=0;do if(!(s&1)?(B=0,wa(510,e|0,i|0),t=B,B=0,!(t&1)):0){B=0;ya(424,e|0)|0;t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(e);v=u;w=t;break}Yua(e);k[d>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);al(a);t=f+56|0;u=f+4|0;k[f>>2]=27524;k[t>>2]=27544;B=0;wa(508,f+56|0,u|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;z=x;vva(t);Qb(z|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[t>>2]=27488;B=0;va(448,u|0);x=B;B=0;do if(x&1){A=Rb()|0;C=Q;D=A}else{k[u>>2]=27560;A=f+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,u|0,c|0);E=B;B=0;if(E&1){E=Rb()|0;F=Q;Yua(c);Yua(A);Ava(u);C=F;D=E;break}Yua(c);B=0;E=Ia(40,f|0,109037,10)|0;F=B;B=0;do if(((!(F&1)?(B=0,G=Sa(1,E|0,+(+p[a+16>>3]))|0,H=B,B=0,!(H&1)):0)?(B=0,Ia(40,G|0,149177,1)|0,G=B,B=0,!(G&1)):0)?(B=0,wa(510,g|0,u|0),G=B,B=0,!(G&1)):0){B=0;ya(424,g|0)|0;G=B;B=0;if(G&1){G=Rb()|0;H=Q;Yua(g);I=H;J=G;break}else{Yua(g);k[f>>2]=27468;k[t>>2]=27488;k[u>>2]=27560;Yua(A);Ava(u);vva(t);r=b;return}}else K=29;while(0);if((K|0)==29){E=Rb()|0;I=Q;J=E}k[f>>2]=27468;k[t>>2]=27488;k[u>>2]=27560;Yua(A);Ava(u);vva(t);L=I;M=J;Qb(M|0)}while(0);y=C;z=D;vva(t);Qb(z|0)}else K=26;while(0);if((K|0)==26){s=Rb()|0;v=Q;w=s}k[d>>2]=27468;k[h>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(h);L=v;M=w;Qb(M|0)}while(0);l=o;m=q;vva(h);Qb(m|0)}function Sk(a){a=a|0;return -1}function Tk(a){a=a|0;return 761}function Uk(a){a=a|0;var b=0,c=0,d=0,e=0.0,f=0,g=0.0,h=0,i=0;b=Qqa(48)|0;c=k[a+4>>2]|0;d=k[a+8>>2]|0;e=+p[a+16>>3];f=k[a+32>>2]|0;g=+p[a+40>>3];k[b>>2]=27904;k[b+4>>2]=c;p[b+16>>3]=e;k[b+32>>2]=f;p[b+40>>3]=g;k[b+24>>2]=1;k[b+28>>2]=1;f=(Lta(d)|0)+1|0;B=0;c=ya(422,f|0)|0;f=B;B=0;if(f&1){h=Rb()|0;i=Q;Sqa(b);Qb(h|0)}k[b+8>>2]=c;f=(Lta(d)|0)+1|0;if(!d){B=0;ib(283,142353,68290,137,142345);B=0;h=Rb()|0;i=Q;Sqa(b);Qb(h|0)}if(!f)return b|0;TEa(c|0,d|0,f|0)|0;return b|0}function Vk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;$k(a,b,c,d);return}function Wk(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;c=r;r=r+32|0;d=c+8|0;e=c+24|0;f=c+20|0;g=c+16|0;h=c;if(vY()|0){r=c;return}i=a+8|0;j=(Lta(k[i>>2]|0)|0)+1|0;k[e>>2]=j;jta(e,4,1,b)|0;jta(k[i>>2]|0,k[e>>2]|0,1,b)|0;p[d>>3]=+p[a+40>>3];jta(d,8,1,b)|0;jta(a+32|0,4,1,b)|0;k[f>>2]=1;k[g>>2]=1;jta(f,4,1,b)|0;jta(g,4,1,b)|0;p[h>>3]=+p[a+16>>3];jta(h,k[g>>2]<<3,1,b)|0;r=c;return}function Xk(a){a=a|0;var b=0,c=0;b=k[a+8>>2]|0;a=Rqa((Lta(b)|0)+1|0)|0;c=(Lta(b)|0)+1|0;if(!b)yb(142353,68290,137,142345);if(!c)return a|0;TEa(a|0,b|0,c|0)|0;return a|0}function Yk(a){a=a|0;return k[a+32>>2]|0}function Zk(a){a=a|0;return +(+p[a+16>>3])}function _k(a){a=a|0;return zY(k[a+8>>2]|0,0)|0}function $k(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0;e=r;r=r+528|0;f=e+516|0;g=e+368|0;h=e+504|0;j=e+356|0;m=e+344|0;n=e+208|0;o=e+60|0;q=e+48|0;s=e+36|0;u=e+72|0;v=e+24|0;w=e+12|0;x=e;y=Hc[k[(k[a>>2]|0)+20>>2]&511](a)|0;z=(d|0)==0;a:do if(z){A=k[b>>2]|0;i[A>>0]=y;i[A+1>>0]=y>>8;i[A+2>>0]=y>>16;i[A+3>>0]=y>>24;A=(k[b>>2]|0)+4|0;k[b>>2]=A;C=+p[a+16>>3]==0.0&1;D=a+4|0;E=l[D>>0]|l[D+1>>0]<<8|l[D+2>>0]<<16|l[D+3>>0]<<24;i[A>>0]=E;i[A+1>>0]=E>>8;i[A+2>>0]=E>>16;i[A+3>>0]=E>>24;E=(k[b>>2]|0)+4|0;k[b>>2]=E;A=a+8|0;D=l[A>>0]|l[A+1>>0]<<8|l[A+2>>0]<<16|l[A+3>>0]<<24;i[E>>0]=D;i[E+1>>0]=D>>8;i[E+2>>0]=D>>16;i[E+3>>0]=D>>24;D=(k[b>>2]|0)+4|0;k[b>>2]=D;i[D>>0]=C;k[b>>2]=(k[b>>2]|0)+1;F=0;G=C}else switch(d|0){case 2:{C=k[c>>2]|0;k[c>>2]=C+4;D=+p[a+16>>3]==0.0&1;k[c>>2]=C+13;F=1;G=D;break a;break}case 1:{D=(k[b>>2]|0)+4|0;k[b>>2]=D;C=a+4|0;E=l[D>>0]|l[D+1>>0]<<8|l[D+2>>0]<<16|l[D+3>>0]<<24;i[C>>0]=E;i[C+1>>0]=E>>8;i[C+2>>0]=E>>16;i[C+3>>0]=E>>24;E=(k[b>>2]|0)+4|0;k[b>>2]=E;C=a+8|0;D=l[E>>0]|l[E+1>>0]<<8|l[E+2>>0]<<16|l[E+3>>0]<<24;i[C>>0]=D;i[C+1>>0]=D>>8;i[C+2>>0]=D>>16;i[C+3>>0]=D>>24;D=k[b>>2]|0;C=D+4|0;k[b>>2]=C;E=i[C>>0]|0;k[b>>2]=D+5;F=0;G=E&1;break a;break}default:{E=g+56|0;D=g+4|0;k[g>>2]=27524;k[E>>2]=27544;B=0;wa(508,g+56|0,D|0);C=B;B=0;if(C&1){C=Rb()|0;H=Q;I=C;vva(E);Qb(I|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[E>>2]=27488;B=0;va(448,D|0);C=B;B=0;do if(C&1){A=Rb()|0;J=Q;K=A}else{k[D>>2]=27560;A=g+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,D|0,f|0);L=B;B=0;if(L&1){L=Rb()|0;M=Q;Yua(f);Yua(A);Ava(D);J=M;K=L;break}Yua(f);B=0;L=Ia(40,g|0,143951,43)|0;M=B;B=0;b:do if(!(M&1)?(B=0,Xa(239,L|0,0)|0,N=B,B=0,!(N&1)):0){N=Ab(20)|0;B=0;eb(502,h|0,66769,96);O=B;B=0;do if(!(O&1)){B=0;eb(502,j|0,67512,15);P=B;B=0;if(P&1){P=Rb()|0;R=Q;Yua(h);S=R;T=P;break}B=0;wa(510,m|0,D|0);P=B;B=0;if(P&1){P=Rb()|0;U=Q;V=P;W=1}else{B=0;ua(163,N|0,h|0,j|0,57,m|0);P=B;B=0;if(P&1)X=1;else{B=0;eb(503,N|0,1240,229);B=0;X=0}P=Rb()|0;R=Q;Yua(m);U=R;V=P;W=X}Yua(j);Yua(h);if(W){S=U;T=V}else{Y=U;Z=V;break b}}else{P=Rb()|0;S=Q;T=P}while(0);zb(N|0);Y=S;Z=T}else _=18;while(0);if((_|0)==18){L=Rb()|0;Y=Q;Z=L}k[g>>2]=27468;k[E>>2]=27488;k[D>>2]=27560;Yua(A);Ava(D);vva(E);$=Y;aa=Z;Qb(aa|0)}while(0);H=J;I=K;vva(E);Qb(I|0)}}while(0);do if(!(G<<24>>24)){if(z){I=a+16|0;K=I;J=l[K>>0]|l[K+1>>0]<<8|l[K+2>>0]<<16|l[K+3>>0]<<24;K=I+4|0;I=l[K>>0]|l[K+1>>0]<<8|l[K+2>>0]<<16|l[K+3>>0]<<24;K=k[b>>2]|0;H=K;i[H>>0]=J;i[H+1>>0]=J>>8;i[H+2>>0]=J>>16;i[H+3>>0]=J>>24;J=K+4|0;i[J>>0]=I;i[J+1>>0]=I>>8;i[J+2>>0]=I>>16;i[J+3>>0]=I>>24;I=(k[b>>2]|0)+8|0;k[b>>2]=I;ba=I;_=88;break}if(F){I=(k[c>>2]|0)+8|0;k[c>>2]=I;ca=I;_=89;break}if((d|0)==1){I=a+16|0;J=k[b>>2]|0;i[t>>0]=i[J>>0];i[t+1>>0]=i[J+1>>0];i[t+2>>0]=i[J+2>>0];i[t+3>>0]=i[J+3>>0];i[t+4>>0]=i[J+4>>0];i[t+5>>0]=i[J+5>>0];i[t+6>>0]=i[J+6>>0];i[t+7>>0]=i[J+7>>0];p[t>>3]=+p[t>>3];i[I>>0]=i[t>>0];i[I+1>>0]=i[t+1>>0];i[I+2>>0]=i[t+2>>0];i[I+3>>0]=i[t+3>>0];i[I+4>>0]=i[t+4>>0];i[I+5>>0]=i[t+5>>0];i[I+6>>0]=i[t+6>>0];i[I+7>>0]=i[t+7>>0];I=(k[b>>2]|0)+8|0;k[b>>2]=I;da=I;_=90;break}I=n+56|0;J=n+4|0;k[n>>2]=27524;k[I>>2]=27544;B=0;wa(508,n+56|0,J|0);K=B;B=0;if(K&1){K=Rb()|0;ea=Q;fa=K;vva(I);Qb(fa|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[I>>2]=27488;B=0;va(448,J|0);K=B;B=0;do if(K&1){H=Rb()|0;ga=Q;ha=H}else{k[J>>2]=27560;H=n+36|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;k[H+12>>2]=0;k[n+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,J|0,f|0);Z=B;B=0;if(Z&1){Z=Rb()|0;Y=Q;Yua(f);Yua(H);Ava(J);ga=Y;ha=Z;break}Yua(f);B=0;Z=Ia(40,n|0,143951,43)|0;Y=B;B=0;c:do if(!(Y&1)?(B=0,Xa(239,Z|0,0)|0,g=B,B=0,!(g&1)):0){g=Ab(20)|0;B=0;eb(502,o|0,66769,96);T=B;B=0;do if(!(T&1)){B=0;eb(502,q|0,67512,15);S=B;B=0;if(S&1){S=Rb()|0;V=Q;Yua(o);ia=V;ja=S;break}B=0;wa(510,s|0,J|0);S=B;B=0;if(S&1){S=Rb()|0;ka=Q;la=S;ma=1}else{B=0;ua(163,g|0,o|0,q|0,65,s|0);S=B;B=0;if(S&1)na=1;else{B=0;eb(503,g|0,1240,229);B=0;na=0}S=Rb()|0;V=Q;Yua(s);ka=V;la=S;ma=na}Yua(q);Yua(o);if(ma){ia=ka;ja=la}else{oa=ka;pa=la;break c}}else{S=Rb()|0;ia=Q;ja=S}while(0);zb(g|0);oa=ia;pa=ja}else _=51;while(0);if((_|0)==51){Z=Rb()|0;oa=Q;pa=Z}k[n>>2]=27468;k[I>>2]=27488;k[J>>2]=27560;Yua(H);Ava(J);vva(I);$=oa;aa=pa;Qb(aa|0)}while(0);ea=ga;fa=ha;vva(I);Qb(fa|0)}else{p[a+16>>3]=0.0;if(z){ba=k[b>>2]|0;_=88;break}if(F){ca=k[c>>2]|0;_=89;break}if((d|0)==1){da=k[b>>2]|0;_=90;break}J=u+56|0;K=u+4|0;k[u>>2]=27524;k[J>>2]=27544;B=0;wa(508,u+56|0,K|0);E=B;B=0;if(E&1){E=Rb()|0;qa=Q;ra=E;vva(J);Qb(ra|0)}k[u+128>>2]=0;k[u+132>>2]=-1;k[u>>2]=27468;k[J>>2]=27488;B=0;va(448,K|0);E=B;B=0;do if(E&1){Z=Rb()|0;sa=Q;ta=Z}else{k[K>>2]=27560;Z=u+36|0;k[Z>>2]=0;k[Z+4>>2]=0;k[Z+8>>2]=0;k[Z+12>>2]=0;k[u+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,K|0,f|0);Y=B;B=0;if(Y&1){Y=Rb()|0;A=Q;Yua(f);Yua(Z);Ava(K);sa=A;ta=Y;break}Yua(f);B=0;Y=Ia(40,u|0,143951,43)|0;A=B;B=0;d:do if(!(A&1)?(B=0,Xa(239,Y|0,0)|0,T=B,B=0,!(T&1)):0){T=Ab(20)|0;B=0;eb(502,v|0,66769,96);N=B;B=0;do if(!(N&1)){B=0;eb(502,w|0,67512,15);S=B;B=0;if(S&1){S=Rb()|0;V=Q;Yua(v);xa=V;ya=S;break}B=0;wa(510,x|0,K|0);S=B;B=0;if(S&1){S=Rb()|0;za=1;Aa=Q;Ba=S}else{B=0;ua(163,T|0,v|0,w|0,66,x|0);S=B;B=0;if(S&1)Ca=1;else{B=0;eb(503,T|0,1240,229);B=0;Ca=0}S=Rb()|0;V=Q;Yua(x);za=Ca;Aa=V;Ba=S}Yua(w);Yua(v);if(za){xa=Aa;ya=Ba}else{Da=Aa;Ea=Ba;break d}}else{S=Rb()|0;xa=Q;ya=S}while(0);zb(T|0);Da=xa;Ea=ya}else _=80;while(0);if((_|0)==80){Y=Rb()|0;Da=Q;Ea=Y}k[u>>2]=27468;k[J>>2]=27488;k[K>>2]=27560;Yua(Z);Ava(K);vva(J);$=Da;aa=Ea;Qb(aa|0)}while(0);qa=sa;ra=ta;vva(J);Qb(ra|0)}while(0);if((_|0)==88){ra=a+32|0;ta=l[ra>>0]|l[ra+1>>0]<<8|l[ra+2>>0]<<16|l[ra+3>>0]<<24;i[ba>>0]=ta;i[ba+1>>0]=ta>>8;i[ba+2>>0]=ta>>16;i[ba+3>>0]=ta>>24;ta=(k[b>>2]|0)+4|0;k[b>>2]=ta;ba=a+40|0;ra=ba;sa=l[ra>>0]|l[ra+1>>0]<<8|l[ra+2>>0]<<16|l[ra+3>>0]<<24;ra=ba+4|0;ba=l[ra>>0]|l[ra+1>>0]<<8|l[ra+2>>0]<<16|l[ra+3>>0]<<24;ra=ta;ta=ra;i[ta>>0]=sa;i[ta+1>>0]=sa>>8;i[ta+2>>0]=sa>>16;i[ta+3>>0]=sa>>24;sa=ra+4|0;i[sa>>0]=ba;i[sa+1>>0]=ba>>8;i[sa+2>>0]=ba>>16;i[sa+3>>0]=ba>>24;k[b>>2]=(k[b>>2]|0)+8;r=e;return}else if((_|0)==89){k[c>>2]=ca+12;r=e;return}else if((_|0)==90){_=a+32|0;ca=l[da>>0]|l[da+1>>0]<<8|l[da+2>>0]<<16|l[da+3>>0]<<24;i[_>>0]=ca;i[_+1>>0]=ca>>8;i[_+2>>0]=ca>>16;i[_+3>>0]=ca>>24;ca=(k[b>>2]|0)+4|0;k[b>>2]=ca;_=a+40|0;i[t>>0]=i[ca>>0];i[t+1>>0]=i[ca+1>>0];i[t+2>>0]=i[ca+2>>0];i[t+3>>0]=i[ca+3>>0];i[t+4>>0]=i[ca+4>>0];i[t+5>>0]=i[ca+5>>0];i[t+6>>0]=i[ca+6>>0];i[t+7>>0]=i[ca+7>>0];p[t>>3]=+p[t>>3];i[_>>0]=i[t>>0];i[_+1>>0]=i[t+1>>0];i[_+2>>0]=i[t+2>>0];i[_+3>>0]=i[t+3>>0];i[_+4>>0]=i[t+4>>0];i[_+5>>0]=i[t+5>>0];i[_+6>>0]=i[t+6>>0];i[_+7>>0]=i[t+7>>0];k[b>>2]=(k[b>>2]|0)+8;r=e;return}}function al(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0;b=r;r=r+624|0;c=b+604|0;d=b+456|0;e=b+592|0;f=b+304|0;g=b+440|0;h=b+152|0;i=b+288|0;j=b+16|0;l=b;m=d+56|0;n=d+4|0;k[d>>2]=27524;k[m>>2]=27544;B=0;wa(508,d+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;q=Q;s=o;vva(m);Qb(s|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[m>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){t=Rb()|0;u=Q;v=t}else{k[n>>2]=27560;t=d+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,n|0,c|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(c);Yua(t);Ava(n);u=x;v=w;break}Yua(c);B=0;w=Ia(40,d|0,109048,17)|0;x=B;B=0;do if(((!(x&1)?(B=0,y=Xa(242,w|0,k[a+4>>2]|0)|0,z=B,B=0,!(z&1)):0)?(B=0,Ia(40,y|0,149177,1)|0,y=B,B=0,!(y&1)):0)?(B=0,wa(510,e|0,n|0),y=B,B=0,!(y&1)):0){B=0;ya(424,e|0)|0;y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(e);A=z;C=y;break}Yua(e);k[d>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(t);Ava(n);vva(m);y=f+56|0;z=f+4|0;k[f>>2]=27524;k[y>>2]=27544;B=0;wa(508,f+56|0,z|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;F=D;vva(y);Qb(F|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[y>>2]=27488;B=0;va(448,z|0);D=B;B=0;do if(D&1){G=Rb()|0;H=Q;I=G}else{k[z>>2]=27560;G=f+36|0;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;k[G+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,z|0,c|0);J=B;B=0;if(J&1){J=Rb()|0;K=Q;Yua(c);Yua(G);Ava(z);H=K;I=J;break}Yua(c);B=0;J=Ia(40,f|0,109066,17)|0;K=B;B=0;do if(((!(K&1)?(L=k[a+8>>2]|0,M=Lta(L)|0,B=0,N=Ia(40,J|0,L|0,M|0)|0,M=B,B=0,!(M&1)):0)?(B=0,Ia(40,N|0,149177,1)|0,N=B,B=0,!(N&1)):0)?(B=0,wa(510,g|0,z|0),N=B,B=0,!(N&1)):0){B=0;ya(424,g|0)|0;N=B;B=0;if(N&1){N=Rb()|0;M=Q;Yua(g);O=M;P=N;break}Yua(g);k[f>>2]=27468;k[y>>2]=27488;k[z>>2]=27560;Yua(G);Ava(z);vva(y);N=h+56|0;M=h+4|0;k[h>>2]=27524;k[N>>2]=27544;B=0;wa(508,h+56|0,M|0);L=B;B=0;if(L&1){L=Rb()|0;R=Q;S=L;vva(N);Qb(S|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[N>>2]=27488;B=0;va(448,M|0);L=B;B=0;do if(L&1){T=Rb()|0;U=Q;V=T}else{k[M>>2]=27560;T=h+36|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;k[T+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,M|0,c|0);W=B;B=0;if(W&1){W=Rb()|0;X=Q;Yua(c);Yua(T);Ava(M);U=X;V=W;break}Yua(c);B=0;W=Ia(40,h|0,109084,17)|0;X=B;B=0;do if(X&1)Y=60;else{B=0;Z=Xa(242,W|0,k[a+32>>2]|0)|0;_=B;B=0;if(_&1){Y=60;break}B=0;Ia(40,Z|0,149177,1)|0;Z=B;B=0;if(Z&1){Y=60;break}B=0;wa(510,i|0,M|0);Z=B;B=0;if(Z&1){Y=60;break}B=0;ya(424,i|0)|0;Z=B;B=0;if(Z&1){Z=Rb()|0;_=Q;Yua(i);$=_;aa=Z;break}Yua(i);k[h>>2]=27468;k[N>>2]=27488;k[M>>2]=27560;Yua(T);Ava(M);vva(N);Z=j+56|0;_=j+4|0;k[j>>2]=27524;k[Z>>2]=27544;B=0;wa(508,j+56|0,_|0);ba=B;B=0;if(ba&1){ba=Rb()|0;ca=Q;da=ba;vva(Z);Qb(da|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[Z>>2]=27488;B=0;va(448,_|0);ba=B;B=0;do if(ba&1){ea=Rb()|0;fa=Q;ga=ea}else{k[_>>2]=27560;ea=j+36|0;k[ea>>2]=0;k[ea+4>>2]=0;k[ea+8>>2]=0;k[ea+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,_|0,c|0);ha=B;B=0;if(ha&1){ha=Rb()|0;ia=Q;Yua(c);Yua(ea);Ava(_);fa=ia;ga=ha;break}Yua(c);B=0;ha=Ia(40,j|0,109102,17)|0;ia=B;B=0;do if(!(ia&1)){B=0;ja=Sa(1,ha|0,+(+p[a+40>>3]))|0;ka=B;B=0;if(ka&1){Y=63;break}B=0;Ia(40,ja|0,149177,1)|0;ja=B;B=0;if(ja&1){Y=63;break}B=0;wa(510,l|0,_|0);ja=B;B=0;if(ja&1){Y=63;break}B=0;ya(424,l|0)|0;ja=B;B=0;if(ja&1){ja=Rb()|0;ka=Q;Yua(l);la=ka;ma=ja;break}else{Yua(l);k[j>>2]=27468;k[Z>>2]=27488;k[_>>2]=27560;Yua(ea);Ava(_);vva(Z);r=b;return}}else Y=63;while(0);if((Y|0)==63){ha=Rb()|0;la=Q;ma=ha}k[j>>2]=27468;k[Z>>2]=27488;k[_>>2]=27560;Yua(ea);Ava(_);vva(Z);na=la;oa=ma;Qb(oa|0)}while(0);ca=fa;da=ga;vva(Z);Qb(da|0)}while(0);if((Y|0)==60){W=Rb()|0;$=Q;aa=W}k[h>>2]=27468;k[N>>2]=27488;k[M>>2]=27560;Yua(T);Ava(M);vva(N);na=$;oa=aa;Qb(oa|0)}while(0);R=U;S=V;vva(N);Qb(S|0)}else Y=57;while(0);if((Y|0)==57){J=Rb()|0;O=Q;P=J}k[f>>2]=27468;k[y>>2]=27488;k[z>>2]=27560;Yua(G);Ava(z);vva(y);na=O;oa=P;Qb(oa|0)}while(0);E=H;F=I;vva(y);Qb(F|0)}else Y=54;while(0);if((Y|0)==54){w=Rb()|0;A=Q;C=w}k[d>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(t);Ava(n);vva(m);na=A;oa=C;Qb(oa|0)}while(0);q=u;s=v;vva(m);Qb(s|0)}function bl(a){a=a|0;Sqa(a);return}function cl(a){a=a|0;Kl(a);return}function dl(a){a=a|0;return 554}function el(a){a=a|0;var b=0,c=0,d=0;b=Qqa(12)|0;k[b>>2]=27752;c=a+4|0;a=k[c+4>>2]|0;d=b+4|0;k[d>>2]=k[c>>2];k[d+4>>2]=a;return b|0}function fl(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;d=r;r=r+176|0;c=d+152|0;b=d+16|0;e=d;f=b+56|0;g=b+4|0;k[b>>2]=27524;k[f>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(f);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[f>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,66629,22)|0;p=B;B=0;if((((!(p&1)?(B=0,p=ya(427,k[a+8>>2]|0)|0,q=B,B=0,!(q&1)):0)?(q=Lta(p)|0,B=0,s=Ia(40,o|0,p|0,q|0)|0,q=B,B=0,!(q&1)):0)?(B=0,Ia(40,s|0,66652,44)|0,s=B,B=0,!(s&1)):0)?(B=0,wa(510,e|0,g|0),s=B,B=0,!(s&1)):0){B=0;ya(424,e|0)|0;s=B;B=0;if(!(s&1)){Yua(e);k[b>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);r=d;return}s=Rb()|0;q=Q;Yua(e);t=q;u=s;k[b>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(u|0)}s=Rb()|0;t=Q;u=s;k[b>>2]=27468;k[f>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(f);Qb(u|0)}while(0);i=m;j=n;vva(f);Qb(j|0)}function gl(a){a=a|0;return k[a+8>>2]|0}function hl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86577,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,67,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function il(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85796,25)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,68,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function jl(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85760,35)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,69,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function kl(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85760,35)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,70,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function ll(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86549,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,71,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function ml(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;b=r;r=r+192|0;d=b+176|0;e=b+40|0;f=b+24|0;g=b+12|0;h=b;b=e+56|0;i=e+4|0;k[e>>2]=27524;k[b>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(b);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[b>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,86115,6)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,k[a+8>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,86504,44)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,66550,78);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,86325,17);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,f|0,g|0,72,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[b>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(b);Qb(D|0)}while(0);l=o;m=p;vva(b);Qb(m|0)}function nl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86480,23)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,73,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function ol(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86450,29)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,74,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function pl(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86416,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,75,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function ql(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86416,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,76,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function rl(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;f=e+12|0;g=e;e=c+56|0;h=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(e);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;p=Ia(40,c|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85695,29)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,b|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(b);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,b|0,f|0,77,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(b);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}function sl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86364,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,78,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function tl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86343,20)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,79,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function ul(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85673,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,80,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function vl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85648,24)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86325,17);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,81,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function wl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,82197,19)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,83,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function xl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85601,23)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,84,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function yl(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;c=e+56|0;i=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(c);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,86115,6)|0;s=B;B=0;if((((!(s&1)?(B=0,s=ya(427,k[a+8>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,82170,26)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,66550,78);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,86106,8);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(f);v=q;w=s;break}B=0;wa(510,h|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,f|0,g|0,87,h|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(h);x=q;y=s;z=A}Yua(g);Yua(f);if(z){v=x;w=y}else{C=x;D=y;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(c);Qb(D|0)}while(0);l=o;m=p;vva(c);Qb(m|0)}function zl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86273,21)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,88,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function Al(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86245,27)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,89,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function Bl(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86213,31)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,90,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function Cl(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86213,31)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,91,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function Dl(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;b=c+176|0;d=c+40|0;e=c+24|0;f=c+12|0;g=c;c=d+56|0;h=d+4|0;k[d>>2]=27524;k[c>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,82144,25)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,85,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function El(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;e=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,82144,25)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,86,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(C|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function Fl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86169,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,92,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function Gl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,86150,18)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,93,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function Hl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85465,19)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(e);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,e|0,f|0,94,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(e);if(y){u=w;v=x}else{A=w;C=x;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(C|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function Il(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;f=e+12|0;g=e;e=c+56|0;h=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(e);Qb(l|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=c+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,h|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(h);n=q;o=p;break}Yua(d);B=0;p=Ia(40,c|0,86115,6)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,k[a+8>>2]|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,85340,33)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,b|0,66550,78);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,86106,8);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(b);u=p;v=q;break}B=0;wa(510,g|0,h|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,b|0,f|0,95,g|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(g);w=p;x=q;y=z}Yua(f);Yua(b);if(y){u=w;v=x}else{A=w;C=x;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[c>>2]=27468;k[e>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(e);Qb(C|0)}while(0);j=n;l=o;vva(e);Qb(l|0)}function Jl(a,b){a=a|0;b=b|0;k[a+8>>2]=b;return}function Kl(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;b=r;r=r+464|0;c=b+452|0;d=b+304|0;e=b+440|0;f=b+152|0;g=b+288|0;h=b+16|0;i=b;j=d+56|0;l=d+4|0;k[d>>2]=27524;k[j>>2]=27544;B=0;wa(508,d+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(j);Qb(o|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[j>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){p=Rb()|0;q=Q;s=p}else{k[l>>2]=27560;p=d+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,l|0,c|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(c);Yua(p);Ava(l);q=u;s=t;break}Yua(c);B=0;Ia(40,d|0,66697,14)|0;t=B;B=0;do if(!(t&1)?(B=0,wa(510,e|0,l|0),u=B,B=0,!(u&1)):0){B=0;ya(424,e|0)|0;u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}Yua(e);k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);u=f+56|0;v=f+4|0;k[f>>2]=27524;k[u>>2]=27544;B=0;wa(508,f+56|0,v|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;A=y;vva(u);Qb(A|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[u>>2]=27488;B=0;va(448,v|0);y=B;B=0;do if(y&1){C=Rb()|0;D=Q;E=C}else{k[v>>2]=27560;C=f+36|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,v|0,c|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(c);Yua(C);Ava(v);D=G;E=F;break}Yua(c);B=0;F=Ia(40,f|0,66712,10)|0;G=B;B=0;do if((((((!(G&1)?(H=a+8|0,B=0,I=Xa(242,F|0,k[H>>2]|0)|0,J=B,B=0,!(J&1)):0)?(B=0,J=Ia(40,I|0,144166,2)|0,I=B,B=0,!(I&1)):0)?(B=0,I=ya(427,k[H>>2]|0)|0,H=B,B=0,!(H&1)):0)?(H=Lta(I)|0,B=0,K=Ia(40,J|0,I|0,H|0)|0,H=B,B=0,!(H&1)):0)?(B=0,Ia(40,K|0,145593,2)|0,K=B,B=0,!(K&1)):0)?(B=0,wa(510,g|0,v|0),K=B,B=0,!(K&1)):0){B=0;ya(424,g|0)|0;K=B;B=0;if(K&1){K=Rb()|0;H=Q;Yua(g);L=H;M=K;break}Yua(g);k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(C);Ava(v);vva(u);K=h+56|0;H=h+4|0;k[h>>2]=27524;k[K>>2]=27544;B=0;wa(508,h+56|0,H|0);I=B;B=0;if(I&1){I=Rb()|0;N=Q;O=I;vva(K);Qb(O|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[K>>2]=27488;B=0;va(448,H|0);I=B;B=0;do if(I&1){J=Rb()|0;P=Q;R=J}else{k[H>>2]=27560;J=h+36|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;k[J+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,H|0,c|0);S=B;B=0;if(S&1){S=Rb()|0;T=Q;Yua(c);Yua(J);Ava(H);P=T;R=S;break}Yua(c);B=0;S=Ia(40,h|0,109037,10)|0;T=B;B=0;do if(!(T&1)){B=0;U=Xa(242,S|0,k[a+4>>2]|0)|0;V=B;B=0;if(V&1){W=48;break}B=0;Ia(40,U|0,149177,1)|0;U=B;B=0;if(U&1){W=48;break}B=0;wa(510,i|0,H|0);U=B;B=0;if(U&1){W=48;break}B=0;ya(424,i|0)|0;U=B;B=0;if(U&1){U=Rb()|0;V=Q;Yua(i);X=V;Y=U;break}else{Yua(i);k[h>>2]=27468;k[K>>2]=27488;k[H>>2]=27560;Yua(J);Ava(H);vva(K);r=b;return}}else W=48;while(0);if((W|0)==48){S=Rb()|0;X=Q;Y=S}k[h>>2]=27468;k[K>>2]=27488;k[H>>2]=27560;Yua(J);Ava(H);vva(K);Z=X;_=Y;Qb(_|0)}while(0);N=P;O=R;vva(K);Qb(O|0)}else W=45;while(0);if((W|0)==45){F=Rb()|0;L=Q;M=F}k[f>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(C);Ava(v);vva(u);Z=L;_=M;Qb(_|0)}while(0);z=D;A=E;vva(u);Qb(A|0)}else W=42;while(0);if((W|0)==42){t=Rb()|0;w=Q;x=t}k[d>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);Z=w;_=x;Qb(_|0)}while(0);n=q;o=s;vva(j);Qb(o|0)}function Ll(a){a=a|0;var b=0;k[a>>2]=28476;k[a+4>>2]=-9999;b=a+8|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;return}function Ml(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;k[a>>2]=28476;k[a+4>>2]=b;k[a+8>>2]=0;k[a+16>>2]=0;B=0;b=ya(423,36)|0;c=B;B=0;if(c&1){c=Rb()|0;d=Q;e=c;Qb(e|0)}B=0;va(486,b|0);c=B;B=0;if(!(c&1)){k[a+12>>2]=b;k[a+20>>2]=0;return}a=Rb()|0;c=Q;Sqa(b);d=c;e=a;Qb(e|0)}function Nl(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;k[a>>2]=28476;k[a+4>>2]=b;k[a+8>>2]=d;B=0;b=ya(422,(d>>>0>536870911?-1:d<<3)|0)|0;e=B;B=0;do if(!(e&1)){k[a+16>>2]=b;if(!c){B=0;ib(283,142353,77590,137,142345);B=0;break}if(d)TEa(b|0,c|0,d<<3|0)|0;B=0;f=ya(423,36)|0;g=B;B=0;if(!(g&1)){B=0;va(486,f|0);g=B;B=0;if(!(g&1)){k[a+12>>2]=f;k[a+20>>2]=0;return}g=Rb()|0;h=Q;Sqa(f);i=h;j=g;Qb(j|0)}}while(0);a=Rb()|0;i=Q;j=a;Qb(j|0)}function Ol(a){a=a|0;var b=0,c=0;k[a>>2]=28476;b=a+16|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;k[a+8>>2]=0;k[a+20>>2]=0;b=k[a+12>>2]|0;if(!b)return;jC(b);Sqa(b);return}function Pl(a){a=a|0;var b=0,c=0;k[a>>2]=28476;b=a+16|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;k[a+8>>2]=0;k[a+20>>2]=0;b=k[a+12>>2]|0;if(!b){Sqa(a);return}jC(b);Sqa(b);Sqa(a);return}function Ql(a){a=a|0;Ec[k[(k[a>>2]|0)+12>>2]&1023](a);return}function Rl(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0;b=r;r=r+768|0;c=b+752|0;d=b+592|0;e=b+740|0;f=b+456|0;g=b+728|0;h=b+304|0;i=b+440|0;j=b+152|0;l=b+288|0;m=b+16|0;n=b;o=d+56|0;q=d+4|0;k[d>>2]=27524;k[o>>2]=27544;B=0;wa(508,d+56|0,q|0);s=B;B=0;if(s&1){s=Rb()|0;t=Q;u=s;vva(o);Qb(u|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[o>>2]=27488;B=0;va(448,q|0);s=B;B=0;do if(s&1){v=Rb()|0;w=Q;x=v}else{k[q>>2]=27560;v=d+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,q|0,c|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(c);Yua(v);Ava(q);w=z;x=y;break}Yua(c);B=0;Ia(40,d|0,67622,16)|0;y=B;B=0;do if(!(y&1)?(B=0,wa(510,e|0,q|0),z=B,B=0,!(z&1)):0){B=0;ya(424,e|0)|0;z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(e);C=A;D=z;break}Yua(e);k[d>>2]=27468;k[o>>2]=27488;k[q>>2]=27560;Yua(v);Ava(q);vva(o);z=f+56|0;A=f+4|0;k[f>>2]=27524;k[z>>2]=27544;B=0;wa(508,f+56|0,A|0);E=B;B=0;if(E&1){E=Rb()|0;F=Q;G=E;vva(z);Qb(G|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[z>>2]=27488;B=0;va(448,A|0);E=B;B=0;do if(E&1){H=Rb()|0;I=Q;J=H}else{k[A>>2]=27560;H=f+36|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;k[H+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,A|0,c|0);K=B;B=0;if(K&1){K=Rb()|0;L=Q;Yua(c);Yua(H);Ava(A);I=L;J=K;break}Yua(c);B=0;K=Ia(40,f|0,85228,9)|0;L=B;B=0;do if((((((!(L&1)?(M=a+4|0,B=0,N=Xa(242,K|0,k[M>>2]|0)|0,O=B,B=0,!(O&1)):0)?(B=0,O=Ia(40,N|0,144166,2)|0,N=B,B=0,!(N&1)):0)?(B=0,N=ya(427,k[M>>2]|0)|0,M=B,B=0,!(M&1)):0)?(M=Lta(N)|0,B=0,P=Ia(40,O|0,N|0,M|0)|0,M=B,B=0,!(M&1)):0)?(B=0,Ia(40,P|0,145593,2)|0,P=B,B=0,!(P&1)):0)?(B=0,wa(510,g|0,A|0),P=B,B=0,!(P&1)):0){B=0;ya(424,g|0)|0;P=B;B=0;if(P&1){P=Rb()|0;M=Q;Yua(g);R=M;S=P;break}Yua(g);k[f>>2]=27468;k[z>>2]=27488;k[A>>2]=27560;Yua(H);Ava(A);vva(z);P=h+56|0;M=h+4|0;k[h>>2]=27524;k[P>>2]=27544;B=0;wa(508,h+56|0,M|0);N=B;B=0;if(N&1){N=Rb()|0;T=Q;U=N;vva(P);Qb(U|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[P>>2]=27488;B=0;va(448,M|0);N=B;B=0;do if(N&1){O=Rb()|0;V=Q;W=O}else{k[M>>2]=27560;O=h+36|0;k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;k[O+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,M|0,c|0);X=B;B=0;if(X&1){X=Rb()|0;Y=Q;Yua(c);Yua(O);Ava(M);V=Y;W=X;break}Yua(c);B=0;X=Ia(40,h|0,67639,17)|0;Y=B;B=0;do if(Y&1)Z=74;else{_=a+8|0;B=0;$=Xa(242,X|0,k[_>>2]|0)|0;aa=B;B=0;if(aa&1){Z=74;break}B=0;Ia(40,$|0,149177,1)|0;$=B;B=0;if($&1){Z=74;break}B=0;wa(510,i|0,M|0);$=B;B=0;if($&1){Z=74;break}B=0;ya(424,i|0)|0;$=B;B=0;if($&1){$=Rb()|0;aa=Q;Yua(i);ba=aa;ca=$;break}Yua(i);k[h>>2]=27468;k[P>>2]=27488;k[M>>2]=27560;Yua(O);Ava(M);vva(P);$=j+56|0;aa=j+4|0;k[j>>2]=27524;k[$>>2]=27544;B=0;wa(508,j+56|0,aa|0);da=B;B=0;if(da&1){da=Rb()|0;ea=Q;fa=da;vva($);Qb(fa|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[$>>2]=27488;B=0;va(448,aa|0);da=B;B=0;do if(da&1){ga=Rb()|0;ha=Q;ia=ga}else{k[aa>>2]=27560;ga=j+36|0;k[ga>>2]=0;k[ga+4>>2]=0;k[ga+8>>2]=0;k[ga+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,aa|0,c|0);ja=B;B=0;if(ja&1){ja=Rb()|0;ka=Q;Yua(c);Yua(ga);Ava(aa);ha=ka;ia=ja;break}Yua(c);B=0;Ia(40,j|0,67657,12)|0;ja=B;B=0;do if(!(ja&1)){B=0;wa(510,l|0,aa|0);ka=B;B=0;if(ka&1){Z=77;break}B=0;ya(424,l|0)|0;ka=B;B=0;if(ka&1){ka=Rb()|0;la=Q;Yua(l);ma=la;na=ka;break}Yua(l);k[j>>2]=27468;k[$>>2]=27488;k[aa>>2]=27560;Yua(ga);Ava(aa);vva($);if((k[_>>2]|0)<=0){r=b;return}ka=m+56|0;la=m+4|0;oa=m+56|0;pa=m+128|0;qa=m+132|0;ra=m+36|0;sa=m+52|0;ta=a+16|0;ua=a+12|0;xa=0;while(1){k[m>>2]=27524;k[ka>>2]=27544;B=0;wa(508,oa|0,la|0);za=B;B=0;if(za&1){Z=58;break}k[pa>>2]=0;k[qa>>2]=-1;k[m>>2]=27468;k[ka>>2]=27488;B=0;va(448,la|0);za=B;B=0;if(za&1){Z=59;break}k[la>>2]=27560;k[ra>>2]=0;k[ra+4>>2]=0;k[ra+8>>2]=0;k[ra+12>>2]=0;k[sa>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,la|0,c|0);za=B;B=0;if(za&1){Z=57;break}Yua(c);B=0;za=Ia(40,m|0,67670,9)|0;Aa=B;B=0;if(Aa&1){Z=80;break}B=0;Aa=Sa(1,za|0,+(+p[(k[ta>>2]|0)+(xa<<3)>>3]))|0;za=B;B=0;if(za&1){Z=80;break}B=0;Ia(40,Aa|0,67680,2)|0;Aa=B;B=0;if(Aa&1){Z=80;break}B=0;wa(510,n|0,la|0);Aa=B;B=0;if(Aa&1){Z=80;break}B=0;ya(424,n|0)|0;Aa=B;B=0;if(Aa&1){Z=81;break}Yua(n);k[m>>2]=27468;k[ka>>2]=27488;k[la>>2]=27560;Yua(ra);Ava(la);vva(ka);Aa=qh(k[ua>>2]|0,xa)|0;Ec[k[(k[Aa>>2]|0)+8>>2]&1023](Aa);xa=xa+1|0;if((xa|0)>=(k[_>>2]|0)){Z=83;break}}if((Z|0)==57){xa=Rb()|0;ua=Q;Yua(c);Yua(ra);Ava(la);Ba=ua;Ca=xa;Z=60}else if((Z|0)==58){xa=Rb()|0;Da=Q;Ea=xa;vva(ka);Qb(Ea|0)}else if((Z|0)==59){xa=Rb()|0;Ba=Q;Ca=xa;Z=60}else if((Z|0)==80){xa=Rb()|0;Fa=Q;Ga=xa;Z=82}else if((Z|0)==81){xa=Rb()|0;ua=Q;Yua(n);Fa=ua;Ga=xa;Z=82}else if((Z|0)==83){r=b;return}if((Z|0)==60){Da=Ba;Ea=Ca;vva(ka);Qb(Ea|0)}else if((Z|0)==82){k[m>>2]=27468;k[ka>>2]=27488;k[la>>2]=27560;Yua(ra);Ava(la);vva(ka);Ha=Fa;Ja=Ga;Qb(Ja|0)}}else Z=77;while(0);if((Z|0)==77){ja=Rb()|0;ma=Q;na=ja}k[j>>2]=27468;k[$>>2]=27488;k[aa>>2]=27560;Yua(ga);Ava(aa);vva($);Ha=ma;Ja=na;Qb(Ja|0)}while(0);ea=ha;fa=ia;vva($);Qb(fa|0)}while(0);if((Z|0)==74){X=Rb()|0;ba=Q;ca=X}k[h>>2]=27468;k[P>>2]=27488;k[M>>2]=27560;Yua(O);Ava(M);vva(P);Ha=ba;Ja=ca;Qb(Ja|0)}while(0);T=V;U=W;vva(P);Qb(U|0)}else Z=71;while(0);if((Z|0)==71){K=Rb()|0;R=Q;S=K}k[f>>2]=27468;k[z>>2]=27488;k[A>>2]=27560;Yua(H);Ava(A);vva(z);Ha=R;Ja=S;Qb(Ja|0)}while(0);F=I;G=J;vva(z);Qb(G|0)}else Z=68;while(0);if((Z|0)==68){y=Rb()|0;C=Q;D=y}k[d>>2]=27468;k[o>>2]=27488;k[q>>2]=27560;Yua(v);Ava(q);vva(o);Ha=C;Ja=D;Qb(Ja|0)}while(0);t=w;u=x;vva(o);Qb(u|0)}function Sl(a){a=a|0;return -1}function Tl(a){a=a|0;return 697}function Ul(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;b=Qqa(24)|0;k[b>>2]=28476;c=b+8|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[b+4>>2]=k[a+4>>2];d=k[a+8>>2]|0;k[c>>2]=d;c=Rqa(d>>>0>536870911?-1:d<<3)|0;k[b+16>>2]=c;e=k[a+16>>2]|0;if(!e)yb(142353,77590,137,142345);if(d){f=0;do{p[c+(f<<3)>>3]=+p[e+(f<<3)>>3];f=f+1|0}while((f|0)!=(d|0))}d=hh(k[a+12>>2]|0)|0;k[b+12>>2]=d;k[b+20>>2]=k[a+20>>2];return b|0}function Vl(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;switch(d|0){case 1:{n=Qqa(36)|0;B=0;va(486,n|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Sqa(n);q=o;s=p;Qb(q|0)}k[a+12>>2]=n;n=(k[b>>2]|0)+4|0;k[b>>2]=n;p=a+4|0;o=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[p>>0]=o;i[p+1>>0]=o>>8;i[p+2>>0]=o>>16;i[p+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;p=a+8|0;n=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[p>>0]=n;i[p+1>>0]=n>>8;i[p+2>>0]=n>>16;i[p+3>>0]=n>>24;p=k[b>>2]|0;o=p+4|0;k[b>>2]=o;t=i[o>>0]|0;k[b>>2]=p+5;if(t&1){u=a+12|0;v=k[u>>2]|0;lh(v,b,c,d);r=e;return}t=Rqa(n>>>0>536870911?-1:n<<3)|0;k[a+16>>2]=t;p=k[b>>2]|0;o=n<<3;TEa(t|0,p|0,o|0)|0;k[b>>2]=p+o;u=a+12|0;v=k[u>>2]|0;lh(v,b,c,d);r=e;return}case 0:{o=k[b>>2]|0;i[o>>0]=185;i[o+1>>0]=2;i[o+2>>0]=0;i[o+3>>0]=0;o=(k[b>>2]|0)+4|0;k[b>>2]=o;p=a+4|0;t=l[p>>0]|l[p+1>>0]<<8|l[p+2>>0]<<16|l[p+3>>0]<<24;i[o>>0]=t;i[o+1>>0]=t>>8;i[o+2>>0]=t>>16;i[o+3>>0]=t>>24;t=(k[b>>2]|0)+4|0;k[b>>2]=t;o=a+8|0;p=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[t>>0]=p;i[t+1>>0]=p>>8;i[t+2>>0]=p>>16;i[t+3>>0]=p>>24;p=(k[b>>2]|0)+4|0;k[b>>2]=p;t=a+16|0;n=(k[t>>2]|0)==0;i[p>>0]=n&1;p=(k[b>>2]|0)+1|0;k[b>>2]=p;if(n){u=a+12|0;v=k[u>>2]|0;lh(v,b,c,d);r=e;return}TEa(p|0,k[t>>2]|0,k[o>>2]<<3|0)|0;k[b>>2]=(k[b>>2]|0)+(k[o>>2]<<3);u=a+12|0;v=k[u>>2]|0;lh(v,b,c,d);r=e;return}case 2:{o=(k[a+16>>2]|0)==0;t=(k[c>>2]|0)+13|0;k[c>>2]=t;if(o){u=a+12|0;v=k[u>>2]|0;lh(v,b,c,d);r=e;return}k[c>>2]=t+(k[a+8>>2]<<3);u=a+12|0;v=k[u>>2]|0;lh(v,b,c,d);r=e;return}default:{e=g+56|0;d=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,d|0);c=B;B=0;if(c&1){c=Rb()|0;w=Q;x=c;vva(e);Qb(x|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,d|0);c=B;B=0;do if(c&1){b=Rb()|0;y=Q;z=b}else{k[d>>2]=27560;b=g+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,d|0,f|0);v=B;B=0;if(v&1){v=Rb()|0;u=Q;Yua(f);Yua(b);Ava(d);y=u;z=v;break}Yua(f);B=0;v=Ia(40,g|0,143951,43)|0;u=B;B=0;a:do if(!(u&1)?(B=0,Xa(239,v|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,h|0,67683,80);t=B;B=0;do if(!(t&1)){B=0;eb(502,j|0,149525,8);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(h);A=o;C=p;break}B=0;wa(510,m|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;D=p;E=Q;F=1}else{B=0;ua(163,a|0,h|0,j|0,110,m|0);p=B;B=0;if(p&1)G=1;else{B=0;eb(503,a|0,1240,229);B=0;G=0}p=Rb()|0;o=Q;Yua(m);D=p;E=o;F=G}Yua(j);Yua(h);if(F){A=D;C=E}else{H=D;I=E;break a}}else{o=Rb()|0;A=o;C=Q}while(0);zb(a|0);H=A;I=C}else J=19;while(0);if((J|0)==19){v=Rb()|0;H=v;I=Q}k[g>>2]=27468;k[e>>2]=27488;k[d>>2]=27560;Yua(b);Ava(d);vva(e);q=H;s=I;Qb(q|0)}while(0);w=y;x=z;vva(e);Qb(x|0)}}}function Wl(a){a=a|0;return k[a+4>>2]|0}function Xl(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=Qqa(24)|0;k[e>>2]=28476;f=e+8|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;k[e+4>>2]=k[a+4>>2];g=k[a+8>>2]|0;k[f>>2]=g;f=Rqa(g>>>0>536870911?-1:g<<3)|0;k[e+16>>2]=f;h=k[a+16>>2]|0;if(!h)yb(142353,77590,137,142345);if(g){i=0;do{p[f+(i<<3)>>3]=+p[h+(i<<3)>>3];i=i+1|0}while((i|0)!=(g|0))}g=uC(k[a+12>>2]|0,b,c,d)|0;k[e+12>>2]=g;k[e+20>>2]=k[a+20>>2];return e|0}function Yl(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=Qqa(24)|0;k[d>>2]=28476;e=d+8|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;k[d+4>>2]=k[a+4>>2];f=k[a+8>>2]|0;k[e>>2]=f;e=Rqa(f>>>0>536870911?-1:f<<3)|0;k[d+16>>2]=e;g=k[a+16>>2]|0;if(!g)yb(142353,77590,137,142345);if(f){h=0;do{p[e+(h<<3)>>3]=+p[g+(h<<3)>>3];h=h+1|0}while((h|0)!=(f|0))}f=vC(k[a+12>>2]|0,b,c)|0;k[d+12>>2]=f;k[d+20>>2]=k[a+20>>2];return d|0}function Zl(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=r;r=r+16|0;e=d;dO(k[a+20>>2]|0,e,767);f=_l(a,+p[e>>3])|0;nd[k[(k[f>>2]|0)+48>>2]&1023](f,b,c);if(!f){r=d;return}Ec[k[(k[f>>2]|0)+4>>2]&1023](f);r=d;return}function _l(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0.0,j=0,l=0,m=0,n=0,o=0,q=0.0,s=0.0,t=0,u=0,v=0,w=0,x=0;c=r;r=r+16|0;d=c;bO(k[a+20>>2]|0,d,359);e=k[a+16>>2]|0;f=k[a+8>>2]|0;g=f+-1|0;if(!(+p[e>>3]>b)){h=+p[e+(g<<3)>>3];a:do if(!(h<=b)){j=0;l=(f|0)/2|0;m=g;while(1){n=l;o=m;while(1){q=+p[e+(n<<3)>>3];if(q<=b?+p[e+(n+1<<3)>>3]>b:0){s=q;t=n;break a}if(!(q>b)){u=n;v=o;break}w=n;n=((n-j|0)/2|0)+j|0;o=w}j=u;l=((v-u|0)/2|0)+u|0;m=v}}else{s=h;t=g}while(0);if((t|0)!=-1)if((t|0)==(g|0)|(i[d>>0]|0)==0){d=qh(k[a+12>>2]|0,t)|0;x=Hc[k[(k[d>>2]|0)+24>>2]&511](d)|0;r=c;return x|0}else{d=t+1|0;h=(b-s)/(+p[e+(d<<3)>>3]-s);e=a+12|0;g=qh(k[e>>2]|0,t)|0;t=qh(k[e>>2]|0,d)|0;d=Hc[k[(k[g>>2]|0)+24>>2]&511](g)|0;Cc[k[(k[d>>2]|0)+120>>2]&63](d,1.0-h);Xc[k[(k[d>>2]|0)+124>>2]&63](d,t,h);x=d;r=c;return x|0}}d=qh(k[a+12>>2]|0,0)|0;x=Hc[k[(k[d>>2]|0)+24>>2]&511](d)|0;r=c;return x|0}function $l(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0;e=_l(a,d)|0;nd[k[(k[e>>2]|0)+48>>2]&1023](e,b,c);if(!e)return;Ec[k[(k[e>>2]|0)+4>>2]&1023](e);return}function am(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;e=r;r=r+16|0;f=e;dO(k[a+20>>2]|0,f,767);g=_l(a,+p[f>>3])|0;rd[k[(k[g>>2]|0)+60>>2]&511](g,b,c,d);if(!g){r=e;return}Ec[k[(k[g>>2]|0)+4>>2]&1023](g);r=e;return}function bm(a,b){a=a|0;b=b|0;k[a+4>>2]=b;return}function cm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=r;r=r+16|0;d=c;dO(k[a+20>>2]|0,d,767);e=_l(a,+p[d>>3])|0;Fc[k[(k[e>>2]|0)+64>>2]&1023](e,b);if(!e){r=c;return}Ec[k[(k[e>>2]|0)+4>>2]&1023](e);r=c;return}function dm(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0;e=a+8|0;f=k[e>>2]|0;g=f>>>0>536870911?-1:f<<3;h=Rqa(g)|0;i=Rqa(g)|0;if((f|0)<=0){j=f;k[b>>2]=i;k[c>>2]=h;k[d>>2]=j;return}f=a+12|0;g=a+16|0;a=0;do{l=qh(k[f>>2]|0,a)|0;Fc[k[(k[l>>2]|0)+64>>2]&1023](l,i+(a<<3)|0);p[h+(a<<3)>>3]=+p[(k[g>>2]|0)+(a<<3)>>3];a=a+1|0;l=k[e>>2]|0}while((a|0)<(l|0));j=l;k[b>>2]=i;k[c>>2]=h;k[d>>2]=j;return}function em(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,h=0,i=0,j=0,l=0.0,m=0,n=0,o=0,q=0,r=0,s=0,t=0.0;f=a+8|0;g=k[f>>2]|0;a:do if((g|0)>0){h=k[a+16>>2]|0;i=0;j=0;while(1){l=+p[h+(i<<3)>>3];m=j|l==e;if(l>e){n=m;o=i;break a}q=i+1|0;if((q|0)<(g|0)){i=q;j=m}else{n=m;o=q;break}}}else{n=0;o=0}while(0);g=(n&1^1)+o|0;o=g>>>0>536870911?-1:g<<3;j=Rqa(o)|0;i=Rqa(o)|0;if((g|0)<=0){k[b>>2]=i;k[c>>2]=j;r=k[f>>2]|0;k[d>>2]=r;return}o=g+-1|0;h=a+12|0;q=a+16|0;if(n){n=0;do{m=qh(k[h>>2]|0,n)|0;Fc[k[(k[m>>2]|0)+64>>2]&1023](m,i+(n<<3)|0);p[j+(n<<3)>>3]=+p[(k[q>>2]|0)+(n<<3)>>3];n=n+1|0}while((n|0)!=(g|0));k[b>>2]=i;k[c>>2]=j;r=k[f>>2]|0;k[d>>2]=r;return}n=i+(o<<3)|0;m=0;do{if((m|0)==(o|0)){s=_l(a,e)|0;Fc[k[(k[s>>2]|0)+64>>2]&1023](s,n);t=e}else{s=qh(k[h>>2]|0,m)|0;Fc[k[(k[s>>2]|0)+64>>2]&1023](s,i+(m<<3)|0);t=+p[(k[q>>2]|0)+(m<<3)>>3]}p[j+(m<<3)>>3]=t;m=m+1|0}while((m|0)!=(g|0));k[b>>2]=i;k[c>>2]=j;r=k[f>>2]|0;k[d>>2]=r;return}function fm(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;j=a+8|0;l=k[j>>2]|0;do if((l|0)>0){m=a+16|0;n=k[m>>2]|0;if(!(+p[n+(l+-1<<3)>>3]>=c)){o=Rqa(l>>>0>536870911?-1:l<<3)|0;if(!n)yb(142353,77590,137,142345);else q=0;do{p[o+(q<<3)>>3]=+p[n+(q<<3)>>3];q=q+1|0}while((q|0)!=(l|0));Tqa(n);s=k[j>>2]|0;k[m>>2]=0;t=m;u=s;v=o;break}s=f+56|0;w=f+4|0;k[f>>2]=27524;k[s>>2]=27544;B=0;wa(508,f+56|0,w|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;z=x;vva(s);Qb(z|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[s>>2]=27488;B=0;va(448,w|0);x=B;B=0;do if(x&1){A=Rb()|0;C=Q;D=A}else{k[w>>2]=27560;A=f+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,w|0,e|0);E=B;B=0;if(E&1){E=Rb()|0;F=Q;Yua(e);Yua(A);Ava(w);C=F;D=E;break}Yua(e);B=0;E=Ia(40,f|0,67764,42)|0;F=B;B=0;if(!(F&1)?(B=0,Xa(239,E|0,0)|0,E=B,B=0,!(E&1)):0){E=Ab(20)|0;B=0;eb(502,g|0,67683,80);F=B;B=0;do if(!(F&1)){B=0;eb(502,h|0,67807,12);G=B;B=0;if(G&1){G=Rb()|0;H=Q;Yua(g);I=H;J=G;break}B=0;wa(510,i|0,w|0);G=B;B=0;if(G&1){G=Rb()|0;K=Q;L=G;M=1}else{B=0;ua(163,E|0,g|0,h|0,297,i|0);G=B;B=0;if(G&1)N=1;else{B=0;eb(503,E|0,1240,229);B=0;N=0}G=Rb()|0;H=Q;Yua(i);K=H;L=G;M=N}Yua(h);Yua(g);if(M){I=K;J=L}else{O=K;P=L;k[f>>2]=27468;k[s>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(s);Qb(P|0)}}else{G=Rb()|0;I=Q;J=G}while(0);zb(E|0);O=I;P=J;k[f>>2]=27468;k[s>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(s);Qb(P|0)}F=Rb()|0;O=Q;P=F;k[f>>2]=27468;k[s>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(s);Qb(P|0)}while(0);y=C;z=D;vva(s);Qb(z|0)}else{t=a+16|0;u=l;v=0}while(0);l=u+1|0;k[j>>2]=l;z=Rqa(l>>>0>536870911?-1:l<<3)|0;k[t>>2]=z;if((u|0)<=0){R=l;S=z;T=R+-1|0;U=S+(T<<3)|0;p[U>>3]=c;V=a+12|0;W=k[V>>2]|0;ih(W,b)|0;r=d;return}if(!v)yb(142353,77590,137,142345);TEa(z|0,v|0,(l<<3)+-8|0)|0;Tqa(v);R=k[j>>2]|0;S=k[t>>2]|0;T=R+-1|0;U=S+(T<<3)|0;p[U>>3]=c;V=a+12|0;W=k[V>>2]|0;ih(W,b)|0;r=d;return}function gm(a,b){a=a|0;b=b|0;ih(k[a+12>>2]|0,b)|0;return}function hm(a){a=a|0;var b=0,c=0,d=0;b=r;r=r+16|0;c=b;dO(k[a+20>>2]|0,c,767);d=_l(a,+p[c>>3])|0;c=Hc[k[(k[d>>2]|0)+164>>2]&511](d)|0;if(!d){r=b;return c|0}Ec[k[(k[d>>2]|0)+4>>2]&1023](d);r=b;return c|0}function im(a){a=a|0;var b=0,c=0,d=0;b=r;r=r+16|0;c=b;dO(k[a+20>>2]|0,c,767);d=_l(a,+p[c>>3])|0;c=Hc[k[(k[d>>2]|0)+168>>2]&511](d)|0;if(!d){r=b;return c|0}Ec[k[(k[d>>2]|0)+4>>2]&1023](d);r=b;return c|0}function jm(a){a=a|0;return 1}function km(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=a+8|0;if((k[c>>2]|0)<=0)return;d=a+12|0;a=0;do{e=qh(k[d>>2]|0,a)|0;Fc[k[(k[e>>2]|0)+136>>2]&1023](e,b);a=a+1|0}while((a|0)<(k[c>>2]|0));return}function lm(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=r;r=r+16|0;e=d;dO(c,e,767);f=_l(a,+p[e>>3])|0;nd[k[(k[f>>2]|0)+88>>2]&1023](f,b,c);if(!f){r=d;return}Ec[k[(k[f>>2]|0)+4>>2]&1023](f);r=d;return}function mm(a){a=a|0;var b=0,c=0,d=0,e=0.0;b=r;r=r+16|0;c=b;dO(k[a+20>>2]|0,c,767);d=_l(a,+p[c>>3])|0;e=+Zc[k[(k[d>>2]|0)+96>>2]&255](d);if(!d){r=b;return +e}Ec[k[(k[d>>2]|0)+4>>2]&1023](d);r=b;return +e}function nm(a){a=a|0;var b=0,c=0,d=0,e=0.0;b=r;r=r+16|0;c=b;dO(k[a+20>>2]|0,c,767);d=_l(a,+p[c>>3])|0;e=+Zc[k[(k[d>>2]|0)+108>>2]&255](d);if(!d){r=b;return +e}Ec[k[(k[d>>2]|0)+4>>2]&1023](d);r=b;return +e}function om(a){a=a|0;var b=0,c=0,d=0,e=0.0;b=r;r=r+16|0;c=b;dO(k[a+20>>2]|0,c,767);d=_l(a,+p[c>>3])|0;e=+Zc[k[(k[d>>2]|0)+100>>2]&255](d);if(!d){r=b;return +e}Ec[k[(k[d>>2]|0)+4>>2]&1023](d);r=b;return +e}function pm(a){a=a|0;var b=0,c=0,d=0,e=0.0;b=r;r=r+16|0;c=b;dO(k[a+20>>2]|0,c,767);d=_l(a,+p[c>>3])|0;e=+Zc[k[(k[d>>2]|0)+112>>2]&255](d);if(!d){r=b;return +e}Ec[k[(k[d>>2]|0)+4>>2]&1023](d);r=b;return +e}function qm(a){a=a|0;var b=0,c=0,d=0,e=0.0;b=r;r=r+16|0;c=b;dO(k[a+20>>2]|0,c,767);d=_l(a,+p[c>>3])|0;e=+Zc[k[(k[d>>2]|0)+104>>2]&255](d);if(!d){r=b;return +e}Ec[k[(k[d>>2]|0)+4>>2]&1023](d);r=b;return +e}function rm(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=r;r=r+16|0;e=d;dO(k[a+20>>2]|0,e,767);f=_l(a,+p[e>>3])|0;nd[k[(k[f>>2]|0)+140>>2]&1023](f,b,c);if(!f){r=d;return}Ec[k[(k[f>>2]|0)+4>>2]&1023](f);r=d;return}function sm(a,b){a=a|0;b=b|0;k[a+20>>2]=b;return}function tm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,67827,90);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,55,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function um(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,67827,90);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,56,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function vm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,67827,90);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,57,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function wm(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,67827,90);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,60,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function xm(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,67827,90);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121324,30);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,63,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function ym(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;a=d+56|0;h=d+4|0;k[d>>2]=27524;k[a>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(a);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[a>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,67827,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,115231,12);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,68,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[a>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(a);Qb(E|0)}while(0);j=n;l=o;vva(a);Qb(l|0)}function zm(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;a=d+56|0;h=d+4|0;k[d>>2]=27524;k[a>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(a);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[a>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,120763,23)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,67827,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,120874,3);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,69,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[a>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(a);Qb(E|0)}while(0);j=n;l=o;vva(a);Qb(l|0)}function Am(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;a=d+56|0;h=d+4|0;k[d>>2]=27524;k[a>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(a);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[a>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,67827,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,115194,5);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,70,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[a>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(a);Qb(E|0)}while(0);j=n;l=o;vva(a);Qb(l|0)}function Bm(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;b=r;r=r+192|0;a=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,h|0,a|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(a);Yua(m);Ava(h);n=q;o=p;break}Yua(a);B=0;p=Ia(40,d|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,67827,90);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,121097,4);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,71,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(E|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function Cm(a,b,c){a=a|0;b=+b;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;a=r;r=r+192|0;d=a+176|0;e=a+40|0;f=a+24|0;g=a+12|0;h=a;a=e+56|0;i=e+4|0;k[e>>2]=27524;k[a>>2]=27544;B=0;wa(508,e+56|0,i|0);j=B;B=0;if(j&1){j=Rb()|0;l=Q;m=j;vva(a);Qb(m|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[a>>2]=27488;B=0;va(448,i|0);j=B;B=0;do if(j&1){n=Rb()|0;o=Q;p=n}else{k[i>>2]=27560;n=e+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(d);Yua(n);Ava(i);o=s;p=q;break}Yua(d);B=0;q=Ia(40,e|0,149721,19)|0;s=B;B=0;a:do if(!(s&1)?(B=0,Xa(239,q|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,67827,90);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,118419,9);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(f);x=w;y=v;break}B=0;wa(510,h|0,i|0);v=B;B=0;if(v&1){v=Rb()|0;z=Q;A=v;C=1}else{B=0;ua(163,t|0,f|0,g|0,72,h|0);v=B;B=0;if(v&1)D=1;else{B=0;eb(503,t|0,1240,229);B=0;D=0}v=Rb()|0;w=Q;Yua(h);z=w;A=v;C=D}Yua(g);Yua(f);if(C){x=z;y=A}else{E=z;F=A;break a}}else{v=Rb()|0;x=Q;y=v}while(0);zb(t|0);E=x;F=y}else G=16;while(0);if((G|0)==16){q=Rb()|0;E=Q;F=q}k[e>>2]=27468;k[a>>2]=27488;k[i>>2]=27560;Yua(n);Ava(i);vva(a);Qb(F|0)}while(0);l=o;m=p;vva(a);Qb(m|0)}function Dm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,134695,17)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,67827,90);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121304,19);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,79,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function Em(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,67827,90);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121179,15);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,45,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function Fm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,67827,90);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121166,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,47,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function Gm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,67827,90);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121153,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,46,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function Hm(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,134695,17)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,67827,90);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115180,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,51,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function Im(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,134695,17)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,76054,90);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,70605,14);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,66,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function Jm(a){a=a|0;k[a>>2]=28668;i[a+32>>0]=0;k[a+4>>2]=-1;k[a+8>>2]=-1;k[a+12>>2]=-1;k[a+16>>2]=0;k[a+20>>2]=0;k[a+24>>2]=-1;k[a+28>>2]=-1;return}function Km(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0;k[a>>2]=28668;i[a+32>>0]=0;k[a+4>>2]=b;k[a+8>>2]=c;k[a+12>>2]=d;k[a+24>>2]=e;if(!e){j=a+28|0;k[j>>2]=h;return}d=e>>>0>536870911?-1:e<<3;c=Rqa(d)|0;k[a+16>>2]=c;b=Rqa(d)|0;k[a+20>>2]=b;if(!g)yb(142353,67933,137,142345);else l=0;do{p[c+(l<<3)>>3]=+p[g+(l<<3)>>3];l=l+1|0}while((l|0)!=(e|0));if(!f)yb(142353,67933,137,142345);else m=0;do{p[b+(m<<3)>>3]=+p[f+(m<<3)>>3];m=m+1|0}while((m|0)!=(e|0));j=a+28|0;k[j>>2]=h;return}function Lm(a){a=a|0;var b=0,c=0;k[a>>2]=28668;b=a+20|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+16|0;a=k[b>>2]|0;if(!a){k[b>>2]=0;return}Tqa(a);k[b>>2]=0;return}function Mm(a){a=a|0;var b=0,c=0;k[a>>2]=28668;b=a+20|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=k[a+16>>2]|0;if(!b){Sqa(a);return}Tqa(b);Sqa(a);return}function Nm(a){a=a|0;var b=0;b=Qqa(36)|0;B=0;Ka(11,b|0,k[a+4>>2]|0,k[a+8>>2]|0,k[a+12>>2]|0,k[a+24>>2]|0,k[a+20>>2]|0,k[a+16>>2]|0,k[a+28>>2]|0);a=B;B=0;if(a&1){a=Rb()|0;Sqa(b);Qb(a|0)}else return b|0;return 0}function Om(a){a=a|0;Ec[k[(k[a>>2]|0)+8>>2]&1023](a);return}
function b$(a){a=a|0;var b=0;k[a>>2]=36788;b=k[a+12>>2]|0;if(b)Ec[k[(k[b>>2]|0)+4>>2]&1023](b);b=k[a+16>>2]|0;if(b)Ec[k[(k[b>>2]|0)+4>>2]&1023](b);b=k[a+20>>2]|0;if(b)Ec[k[(k[b>>2]|0)+4>>2]&1023](b);b=k[a+24>>2]|0;if(b)Ec[k[(k[b>>2]|0)+4>>2]&1023](b);b=k[a+28>>2]|0;if(!b)return;Ec[k[(k[b>>2]|0)+4>>2]&1023](b);return}function c$(a){a=a|0;var b=0;k[a>>2]=36788;b=k[a+12>>2]|0;if(b)Ec[k[(k[b>>2]|0)+4>>2]&1023](b);b=k[a+16>>2]|0;if(b)Ec[k[(k[b>>2]|0)+4>>2]&1023](b);b=k[a+20>>2]|0;if(b)Ec[k[(k[b>>2]|0)+4>>2]&1023](b);b=k[a+24>>2]|0;if(b)Ec[k[(k[b>>2]|0)+4>>2]&1023](b);b=k[a+28>>2]|0;if(!b){Sqa(a);return}Ec[k[(k[b>>2]|0)+4>>2]&1023](b);Sqa(a);return}function d$(a){a=a|0;Ec[k[(k[a>>2]|0)+12>>2]&1023](a);return}function e$(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0;b=r;r=r+1072|0;c=b+1052|0;d=b+880|0;e=b+1040|0;f=b+728|0;g=b+1028|0;h=b+592|0;i=b+1016|0;j=b+440|0;l=b+864|0;m=b+304|0;n=b+576|0;o=b+168|0;p=b+152|0;q=b+16|0;s=b;t=d+56|0;u=d+4|0;k[d>>2]=27524;k[t>>2]=27544;B=0;wa(508,d+56|0,u|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;x=v;vva(t);Qb(x|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[t>>2]=27488;B=0;va(448,u|0);v=B;B=0;do if(v&1){y=Rb()|0;z=Q;A=y}else{k[u>>2]=27560;y=d+36|0;k[y>>2]=0;k[y+4>>2]=0;k[y+8>>2]=0;k[y+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,u|0,c|0);C=B;B=0;if(C&1){C=Rb()|0;D=Q;Yua(c);Yua(y);Ava(u);z=D;A=C;break}Yua(c);B=0;Ia(40,d|0,114769,14)|0;C=B;B=0;do if(!(C&1)?(B=0,wa(510,e|0,u|0),D=B,B=0,!(D&1)):0){B=0;ya(424,e|0)|0;D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(e);F=E;G=D;break}Yua(e);k[d>>2]=27468;k[t>>2]=27488;k[u>>2]=27560;Yua(y);Ava(u);vva(t);D=f+56|0;E=f+4|0;k[f>>2]=27524;k[D>>2]=27544;B=0;wa(508,f+56|0,E|0);H=B;B=0;if(H&1){H=Rb()|0;I=Q;J=H;vva(D);Qb(J|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[D>>2]=27488;B=0;va(448,E|0);H=B;B=0;do if(H&1){K=Rb()|0;L=Q;M=K}else{k[E>>2]=27560;K=f+36|0;k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;k[K+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,E|0,c|0);N=B;B=0;if(N&1){N=Rb()|0;O=Q;Yua(c);Yua(K);Ava(E);L=O;M=N;break}Yua(c);k[f+(k[(k[f>>2]|0)+-12>>2]|0)+12>>2]=15;B=0;N=Ia(40,f|0,114784,16)|0;O=B;B=0;do if((((!(O&1)?(k[N+(k[(k[N>>2]|0)+-12>>2]|0)+12>>2]=25,P=N+(k[(k[N>>2]|0)+-12>>2]|0)+4|0,k[P>>2]=k[P>>2]&-177|32,B=0,P=ya(427,k[a+4>>2]|0)|0,R=B,B=0,!(R&1)):0)?(R=Lta(P)|0,B=0,S=Ia(40,N|0,P|0,R|0)|0,R=B,B=0,!(R&1)):0)?(B=0,Ia(40,S|0,149177,1)|0,S=B,B=0,!(S&1)):0)?(B=0,wa(510,g|0,E|0),S=B,B=0,!(S&1)):0){B=0;ya(424,g|0)|0;S=B;B=0;if(S&1){S=Rb()|0;R=Q;Yua(g);T=R;U=S;break}Yua(g);k[f>>2]=27468;k[D>>2]=27488;k[E>>2]=27560;Yua(K);Ava(E);vva(D);S=h+56|0;R=h+4|0;k[h>>2]=27524;k[S>>2]=27544;B=0;wa(508,h+56|0,R|0);P=B;B=0;if(P&1){P=Rb()|0;V=Q;W=P;vva(S);Qb(W|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[S>>2]=27488;B=0;va(448,R|0);P=B;B=0;do if(P&1){X=Rb()|0;Y=Q;Z=X}else{k[R>>2]=27560;X=h+36|0;k[X>>2]=0;k[X+4>>2]=0;k[X+8>>2]=0;k[X+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,R|0,c|0);_=B;B=0;if(_&1){_=Rb()|0;$=Q;Yua(c);Yua(X);Ava(R);Y=$;Z=_;break}Yua(c);B=0;Ia(40,h|0,114801,12)|0;_=B;B=0;do if(_&1)aa=45;else{B=0;wa(510,i|0,R|0);$=B;B=0;if($&1){aa=45;break}B=0;ya(424,i|0)|0;$=B;B=0;if($&1){$=Rb()|0;ba=Q;Yua(i);ca=ba;da=$;break}Yua(i);k[h>>2]=27468;k[S>>2]=27488;k[R>>2]=27560;Yua(X);Ava(R);vva(S);$=k[a+12>>2]|0;if($)Ec[k[(k[$>>2]|0)+8>>2]&1023]($);$=j+56|0;ba=j+4|0;k[j>>2]=27524;k[$>>2]=27544;B=0;wa(508,j+56|0,ba|0);ea=B;B=0;if(ea&1){ea=Rb()|0;fa=Q;ga=ea;vva($);Qb(ga|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[$>>2]=27488;B=0;va(448,ba|0);ea=B;B=0;do if(ea&1){ha=Rb()|0;ia=Q;ja=ha}else{k[ba>>2]=27560;ha=j+36|0;k[ha>>2]=0;k[ha+4>>2]=0;k[ha+8>>2]=0;k[ha+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ba|0,c|0);ka=B;B=0;if(ka&1){ka=Rb()|0;la=Q;Yua(c);Yua(ha);Ava(ba);ia=la;ja=ka;break}Yua(c);B=0;Ia(40,j|0,114814,17)|0;ka=B;B=0;do if(ka&1)aa=61;else{B=0;wa(510,l|0,ba|0);la=B;B=0;if(la&1){aa=61;break}B=0;ya(424,l|0)|0;la=B;B=0;if(la&1){la=Rb()|0;ma=Q;Yua(l);na=ma;oa=la;break}Yua(l);k[j>>2]=27468;k[$>>2]=27488;k[ba>>2]=27560;Yua(ha);Ava(ba);vva($);la=k[a+16>>2]|0;if(la)Ec[k[(k[la>>2]|0)+8>>2]&1023](la);la=m+56|0;ma=m+4|0;k[m>>2]=27524;k[la>>2]=27544;B=0;wa(508,m+56|0,ma|0);pa=B;B=0;if(pa&1){pa=Rb()|0;qa=Q;ra=pa;vva(la);Qb(ra|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[la>>2]=27488;B=0;va(448,ma|0);pa=B;B=0;do if(pa&1){sa=Rb()|0;ta=Q;ua=sa}else{k[ma>>2]=27560;sa=m+36|0;k[sa>>2]=0;k[sa+4>>2]=0;k[sa+8>>2]=0;k[sa+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ma|0,c|0);xa=B;B=0;if(xa&1){xa=Rb()|0;za=Q;Yua(c);Yua(sa);Ava(ma);ta=za;ua=xa;break}Yua(c);B=0;Ia(40,m|0,114832,15)|0;xa=B;B=0;do if(xa&1)aa=77;else{B=0;wa(510,n|0,ma|0);za=B;B=0;if(za&1){aa=77;break}B=0;ya(424,n|0)|0;za=B;B=0;if(za&1){za=Rb()|0;Aa=Q;Yua(n);Ba=Aa;Ca=za;break}Yua(n);k[m>>2]=27468;k[la>>2]=27488;k[ma>>2]=27560;Yua(sa);Ava(ma);vva(la);za=k[a+20>>2]|0;if(za)Ec[k[(k[za>>2]|0)+8>>2]&1023](za);za=o+56|0;Aa=o+4|0;k[o>>2]=27524;k[za>>2]=27544;B=0;wa(508,o+56|0,Aa|0);Da=B;B=0;if(Da&1){Da=Rb()|0;Ea=Q;Fa=Da;vva(za);Qb(Fa|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[za>>2]=27488;B=0;va(448,Aa|0);Da=B;B=0;do if(Da&1){Ga=Rb()|0;Ha=Q;Ja=Ga}else{k[Aa>>2]=27560;Ga=o+36|0;k[Ga>>2]=0;k[Ga+4>>2]=0;k[Ga+8>>2]=0;k[Ga+12>>2]=0;k[o+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Aa|0,c|0);Ka=B;B=0;if(Ka&1){Ka=Rb()|0;La=Q;Yua(c);Yua(Ga);Ava(Aa);Ha=La;Ja=Ka;break}Yua(c);B=0;Ia(40,o|0,114848,15)|0;Ka=B;B=0;do if(Ka&1)aa=93;else{B=0;wa(510,p|0,Aa|0);La=B;B=0;if(La&1){aa=93;break}B=0;ya(424,p|0)|0;La=B;B=0;if(La&1){La=Rb()|0;Ma=Q;Yua(p);Na=Ma;Oa=La;break}Yua(p);k[o>>2]=27468;k[za>>2]=27488;k[Aa>>2]=27560;Yua(Ga);Ava(Aa);vva(za);La=k[a+24>>2]|0;if(La)Ec[k[(k[La>>2]|0)+8>>2]&1023](La);La=q+56|0;Ma=q+4|0;k[q>>2]=27524;k[La>>2]=27544;B=0;wa(508,q+56|0,Ma|0);Pa=B;B=0;if(Pa&1){Pa=Rb()|0;Qa=Q;Ra=Pa;vva(La);Qb(Ra|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[La>>2]=27488;B=0;va(448,Ma|0);Pa=B;B=0;do if(Pa&1){Sa=Rb()|0;Ta=Q;Ua=Sa}else{k[Ma>>2]=27560;Sa=q+36|0;k[Sa>>2]=0;k[Sa+4>>2]=0;k[Sa+8>>2]=0;k[Sa+12>>2]=0;k[q+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ma|0,c|0);Va=B;B=0;if(Va&1){Va=Rb()|0;Wa=Q;Yua(c);Yua(Sa);Ava(Ma);Ta=Wa;Ua=Va;break}Yua(c);B=0;Ia(40,q|0,114864,14)|0;Va=B;B=0;do if(Va&1)aa=109;else{B=0;wa(510,s|0,Ma|0);Wa=B;B=0;if(Wa&1){aa=109;break}B=0;ya(424,s|0)|0;Wa=B;B=0;if(Wa&1){Wa=Rb()|0;Xa=Q;Yua(s);Ya=Xa;Za=Wa;break}Yua(s);k[q>>2]=27468;k[La>>2]=27488;k[Ma>>2]=27560;Yua(Sa);Ava(Ma);vva(La);Wa=k[a+28>>2]|0;if(!Wa){r=b;return}Ec[k[(k[Wa>>2]|0)+8>>2]&1023](Wa);r=b;return}while(0);if((aa|0)==109){Va=Rb()|0;Ya=Q;Za=Va}k[q>>2]=27468;k[La>>2]=27488;k[Ma>>2]=27560;Yua(Sa);Ava(Ma);vva(La);_a=Ya;$a=Za;Qb($a|0)}while(0);Qa=Ta;Ra=Ua;vva(La);Qb(Ra|0)}while(0);if((aa|0)==93){Ka=Rb()|0;Na=Q;Oa=Ka}k[o>>2]=27468;k[za>>2]=27488;k[Aa>>2]=27560;Yua(Ga);Ava(Aa);vva(za);_a=Na;$a=Oa;Qb($a|0)}while(0);Ea=Ha;Fa=Ja;vva(za);Qb(Fa|0)}while(0);if((aa|0)==77){xa=Rb()|0;Ba=Q;Ca=xa}k[m>>2]=27468;k[la>>2]=27488;k[ma>>2]=27560;Yua(sa);Ava(ma);vva(la);_a=Ba;$a=Ca;Qb($a|0)}while(0);qa=ta;ra=ua;vva(la);Qb(ra|0)}while(0);if((aa|0)==61){ka=Rb()|0;na=Q;oa=ka}k[j>>2]=27468;k[$>>2]=27488;k[ba>>2]=27560;Yua(ha);Ava(ba);vva($);_a=na;$a=oa;Qb($a|0)}while(0);fa=ia;ga=ja;vva($);Qb(ga|0)}while(0);if((aa|0)==45){_=Rb()|0;ca=Q;da=_}k[h>>2]=27468;k[S>>2]=27488;k[R>>2]=27560;Yua(X);Ava(R);vva(S);_a=ca;$a=da;Qb($a|0)}while(0);V=Y;W=Z;vva(S);Qb(W|0)}else aa=42;while(0);if((aa|0)==42){N=Rb()|0;T=Q;U=N}k[f>>2]=27468;k[D>>2]=27488;k[E>>2]=27560;Yua(K);Ava(E);vva(D);_a=T;$a=U;Qb($a|0)}while(0);I=L;J=M;vva(D);Qb(J|0)}else aa=39;while(0);if((aa|0)==39){C=Rb()|0;F=Q;G=C}k[d>>2]=27468;k[t>>2]=27488;k[u>>2]=27560;Yua(y);Ava(u);vva(t);_a=F;$a=G;Qb($a|0)}while(0);w=z;x=A;vva(t);Qb(x|0)}function f$(a){a=a|0;return -1}function g$(a){a=a|0;return 559}function h$(a){a=a|0;var b=0,c=0,d=0;b=Qqa(32)|0;k[b>>2]=36788;c=b+8|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[c+16>>2]=0;k[c+20>>2]=0;k[b+4>>2]=k[a+4>>2];k[c>>2]=k[a+8>>2];c=k[a+12>>2]|0;if(c){d=Hc[k[(k[c>>2]|0)+24>>2]&511](c)|0;k[b+12>>2]=d}d=k[a+16>>2]|0;if(d){c=Hc[k[(k[d>>2]|0)+24>>2]&511](d)|0;k[b+16>>2]=c}c=k[a+20>>2]|0;if(c){d=Hc[k[(k[c>>2]|0)+24>>2]&511](c)|0;k[b+20>>2]=d}d=k[a+24>>2]|0;if(d){c=Hc[k[(k[d>>2]|0)+24>>2]&511](d)|0;k[b+24>>2]=c}c=k[a+28>>2]|0;if(!c)return b|0;a=Hc[k[(k[c>>2]|0)+24>>2]&511](c)|0;k[b+28>>2]=a;return b|0}function i$(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;e=r;r=r+368|0;f=e+344|0;g=e+208|0;h=e+196|0;j=e+184|0;m=e+36|0;n=e+48|0;o=e+24|0;p=e+12|0;q=e;a:do switch(d|0){case 0:{s=k[b>>2]|0;i[s>>0]=47;i[s+1>>0]=2;i[s+2>>0]=0;i[s+3>>0]=0;s=(k[b>>2]|0)+4|0;k[b>>2]=s;t=a+4|0;u=l[t>>0]|l[t+1>>0]<<8|l[t+2>>0]<<16|l[t+3>>0]<<24;i[s>>0]=u;i[s+1>>0]=u>>8;i[s+2>>0]=u>>16;i[s+3>>0]=u>>24;u=(k[b>>2]|0)+4|0;k[b>>2]=u;s=a+8|0;t=l[s>>0]|l[s+1>>0]<<8|l[s+2>>0]<<16|l[s+3>>0]<<24;i[u>>0]=t;i[u+1>>0]=t>>8;i[u+2>>0]=t>>16;i[u+3>>0]=t>>24;k[b>>2]=(k[b>>2]|0)+4;break}case 2:{k[c>>2]=(k[c>>2]|0)+12;break}case 1:{t=(k[b>>2]|0)+4|0;k[b>>2]=t;u=a+4|0;s=l[t>>0]|l[t+1>>0]<<8|l[t+2>>0]<<16|l[t+3>>0]<<24;i[u>>0]=s;i[u+1>>0]=s>>8;i[u+2>>0]=s>>16;i[u+3>>0]=s>>24;t=(k[b>>2]|0)+4|0;k[b>>2]=t;v=a+8|0;w=l[t>>0]|l[t+1>>0]<<8|l[t+2>>0]<<16|l[t+3>>0]<<24;i[v>>0]=w;i[v+1>>0]=w>>8;i[v+2>>0]=w>>16;i[v+3>>0]=w>>24;k[b>>2]=(k[b>>2]|0)+4;switch(s|0){case 622:{s=Qqa(16)|0;B=0;va(468,s|0);w=B;B=0;if(w&1){w=Rb()|0;v=Q;Sqa(s);x=v;y=w;Qb(y|0)}k[a+12>>2]=s;s=Qqa(16)|0;B=0;va(468,s|0);w=B;B=0;if(w&1){w=Rb()|0;v=Q;Sqa(s);x=v;y=w;Qb(y|0)}k[a+16>>2]=s;s=Qqa(16)|0;B=0;va(468,s|0);w=B;B=0;if(w&1){w=Rb()|0;v=Q;Sqa(s);x=v;y=w;Qb(y|0)}k[a+20>>2]=s;s=Qqa(16)|0;B=0;va(468,s|0);w=B;B=0;if(w&1){w=Rb()|0;v=Q;Sqa(s);x=v;y=w;Qb(y|0)}k[a+24>>2]=s;s=Qqa(16)|0;B=0;va(468,s|0);w=B;B=0;if(!(w&1)){k[a+28>>2]=s;break a}w=Rb()|0;v=Q;Sqa(s);x=v;y=w;Qb(y|0);break}case 626:{w=Qqa(16)|0;B=0;va(469,w|0);v=B;B=0;if(v&1){v=Rb()|0;s=Q;Sqa(w);x=s;y=v;Qb(y|0)}k[a+12>>2]=w;w=Qqa(16)|0;B=0;va(469,w|0);v=B;B=0;if(v&1){v=Rb()|0;s=Q;Sqa(w);x=s;y=v;Qb(y|0)}k[a+16>>2]=w;w=Qqa(16)|0;B=0;va(469,w|0);v=B;B=0;if(v&1){v=Rb()|0;s=Q;Sqa(w);x=s;y=v;Qb(y|0)}k[a+20>>2]=w;w=Qqa(16)|0;B=0;va(469,w|0);v=B;B=0;if(v&1){v=Rb()|0;s=Q;Sqa(w);x=s;y=v;Qb(y|0)}k[a+24>>2]=w;w=Qqa(16)|0;B=0;va(469,w|0);v=B;B=0;if(!(v&1)){k[a+28>>2]=w;break a}v=Rb()|0;s=Q;Sqa(w);x=s;y=v;Qb(y|0);break}default:{v=n+56|0;s=n+4|0;k[n>>2]=27524;k[v>>2]=27544;B=0;wa(508,n+56|0,s|0);w=B;B=0;if(w&1){w=Rb()|0;z=Q;A=w;vva(v);Qb(A|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[v>>2]=27488;B=0;va(448,s|0);w=B;B=0;do if(w&1){t=Rb()|0;C=Q;D=t}else{k[s>>2]=27560;t=n+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[n+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,s|0,f|0);E=B;B=0;if(E&1){E=Rb()|0;F=Q;Yua(f);Yua(t);Ava(s);C=F;D=E;break}Yua(f);B=0;E=Ia(40,n|0,114627,14)|0;F=B;B=0;b:do if((((!(F&1)?(B=0,G=ya(427,k[u>>2]|0)|0,H=B,B=0,!(H&1)):0)?(H=Lta(G)|0,B=0,I=Ia(40,E|0,G|0,H|0)|0,H=B,B=0,!(H&1)):0)?(B=0,H=Ia(40,I|0,114642,34)|0,I=B,B=0,!(I&1)):0)?(B=0,Xa(239,H|0,0)|0,H=B,B=0,!(H&1)):0){H=Ab(20)|0;B=0;eb(502,o|0,114677,78);I=B;B=0;do if(!(I&1)){B=0;eb(502,p|0,149525,8);G=B;B=0;if(G&1){G=Rb()|0;J=Q;Yua(o);K=G;L=J;break}B=0;wa(510,q|0,s|0);J=B;B=0;if(J&1){J=Rb()|0;M=1;N=Q;O=J}else{B=0;ua(163,H|0,o|0,p|0,122,q|0);J=B;B=0;if(J&1)P=1;else{B=0;eb(503,H|0,1240,229);B=0;P=0}J=Rb()|0;G=Q;Yua(q);M=P;N=G;O=J}Yua(p);Yua(o);if(M){K=O;L=N}else{R=N;S=O;break b}}else{J=Rb()|0;K=J;L=Q}while(0);zb(H|0);R=L;S=K}else T=68;while(0);if((T|0)==68){E=Rb()|0;R=Q;S=E}k[n>>2]=27468;k[v>>2]=27488;k[s>>2]=27560;Yua(t);Ava(s);vva(v);x=R;y=S;Qb(y|0)}while(0);z=C;A=D;vva(v);Qb(A|0)}}break}default:{s=g+56|0;u=g+4|0;k[g>>2]=27524;k[s>>2]=27544;B=0;wa(508,g+56|0,u|0);w=B;B=0;if(w&1){w=Rb()|0;U=Q;V=w;vva(s);Qb(V|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[s>>2]=27488;B=0;va(448,u|0);w=B;B=0;do if(w&1){E=Rb()|0;W=Q;X=E}else{k[u>>2]=27560;E=g+36|0;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;k[E+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,u|0,f|0);F=B;B=0;if(F&1){F=Rb()|0;I=Q;Yua(f);Yua(E);Ava(u);W=I;X=F;break}Yua(f);B=0;F=Ia(40,g|0,143951,43)|0;I=B;B=0;c:do if(!(I&1)?(B=0,Xa(239,F|0,0)|0,J=B,B=0,!(J&1)):0){J=Ab(20)|0;B=0;eb(502,h|0,114677,78);G=B;B=0;do if(!(G&1)){B=0;eb(502,j|0,149525,8);Y=B;B=0;if(Y&1){Y=Rb()|0;Z=Q;Yua(h);_=Z;$=Y;break}B=0;wa(510,m|0,u|0);Y=B;B=0;if(Y&1){Y=Rb()|0;aa=Q;ba=Y;ca=1}else{B=0;ua(163,J|0,h|0,j|0,100,m|0);Y=B;B=0;if(Y&1)da=1;else{B=0;eb(503,J|0,1240,229);B=0;da=0}Y=Rb()|0;Z=Q;Yua(m);aa=Z;ba=Y;ca=da}Yua(j);Yua(h);if(ca){_=aa;$=ba}else{ea=aa;fa=ba;break c}}else{Y=Rb()|0;_=Q;$=Y}while(0);zb(J|0);ea=_;fa=$}else T=17;while(0);if((T|0)==17){F=Rb()|0;ea=Q;fa=F}k[g>>2]=27468;k[s>>2]=27488;k[u>>2]=27560;Yua(E);Ava(u);vva(s);x=ea;y=fa;Qb(y|0)}while(0);U=W;V=X;vva(s);Qb(V|0)}}while(0);V=k[a+12>>2]|0;if(V)rd[k[(k[V>>2]|0)+28>>2]&511](V,b,c,d);V=k[a+16>>2]|0;if(V)rd[k[(k[V>>2]|0)+28>>2]&511](V,b,c,d);V=k[a+20>>2]|0;if(V)rd[k[(k[V>>2]|0)+28>>2]&511](V,b,c,d);V=k[a+24>>2]|0;if(V)rd[k[(k[V>>2]|0)+28>>2]&511](V,b,c,d);V=k[a+28>>2]|0;if(!V){r=e;return}rd[k[(k[V>>2]|0)+28>>2]&511](V,b,c,d);r=e;return}function j$(a){a=a|0;return k[a+4>>2]|0}function k$(a,b,c){a=a|0;b=b|0;c=+c;var d=0;d=k[a+12>>2]|0;Xc[k[(k[d>>2]|0)+124>>2]&63](d,b,c);return}function l$(a){a=a|0;var b=0,c=0,d=0;b=a+12|0;c=k[b>>2]|0;d=ed[k[(k[c>>2]|0)+160>>2]&511](c,k[a+24>>2]|0)|0;c=k[b>>2]|0;if(c)Ec[k[(k[c>>2]|0)+4>>2]&1023](c);k[b>>2]=d;c=ed[k[(k[d>>2]|0)+156>>2]&511](d,k[a+20>>2]|0)|0;a=k[b>>2]|0;if(!a){k[b>>2]=c;return}Ec[k[(k[a>>2]|0)+4>>2]&1023](a);k[b>>2]=c;return}function m$(a,b,c){a=a|0;b=+b;c=+c;var d=0;d=k[a+12>>2]|0;Qc[k[(k[d>>2]|0)+128>>2]&15](d,b,c);return}function n$(a,b){a=a|0;b=b|0;var c=0;c=k[a+12>>2]|0;Fc[k[(k[c>>2]|0)+136>>2]&1023](c,b);c=k[a+16>>2]|0;Fc[k[(k[c>>2]|0)+136>>2]&1023](c,b);return}function o$(a){a=a|0;var b=0;b=k[a+12>>2]|0;return Hc[k[(k[b>>2]|0)+164>>2]&511](b)|0}function p$(a){a=a|0;var b=0;b=k[a+12>>2]|0;return Hc[k[(k[b>>2]|0)+168>>2]&511](b)|0}function q$(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;i=a+8|0;switch(k[i>>2]|0){case 1:{Fc[k[(k[b>>2]|0)+80>>2]&1023](b,938);break}case 2:{Fc[k[(k[b>>2]|0)+80>>2]&1023](b,939);break}case 3:{Fc[k[(k[b>>2]|0)+80>>2]&1023](b,940);break}default:{j=e+56|0;l=e+4|0;k[e>>2]=27524;k[j>>2]=27544;B=0;wa(508,e+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(j);Qb(o|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[j>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){p=Rb()|0;q=Q;s=p}else{k[l>>2]=27560;p=e+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,l|0,d|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);Yua(p);Ava(l);q=u;s=t;break}Yua(d);B=0;t=Ia(40,e|0,114890,51)|0;u=B;B=0;if(((!(u&1)?(B=0,u=Xa(242,t|0,k[i>>2]|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,114942,55)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,f|0,114677,78);u=B;B=0;do if(!(u&1)){B=0;eb(502,g|0,114998,11);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(f);x=w;y=v;break}B=0;wa(510,h|0,l|0);v=B;B=0;if(v&1){v=Rb()|0;z=Q;A=v;C=1}else{B=0;ua(163,t|0,f|0,g|0,195,h|0);v=B;B=0;if(v&1)D=1;else{B=0;eb(503,t|0,1240,229);B=0;D=0}v=Rb()|0;w=Q;Yua(h);z=w;A=v;C=D}Yua(g);Yua(f);if(C){x=z;y=A}else{E=z;F=A;k[e>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);Qb(F|0)}}else{v=Rb()|0;x=Q;y=v}while(0);zb(t|0);E=x;F=y;k[e>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);Qb(F|0)}u=Rb()|0;E=Q;F=u;k[e>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);Qb(F|0)}while(0);n=q;o=s;vva(j);Qb(o|0)}}o=a+28|0;a=k[o>>2]|0;if(!a){k[o>>2]=b;r=c;return}Ec[k[(k[a>>2]|0)+4>>2]&1023](a);k[o>>2]=b;r=c;return}function r$(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+12|0;d=k[c>>2]|0;if(d)Ec[k[(k[d>>2]|0)+4>>2]&1023](d);k[c>>2]=b;s$(a);return}function s$(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;c=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;h=a+12|0;i=k[h>>2]|0;if(i){j=a+16|0;l=k[j>>2]|0;if(!l){m=i;n=k[m>>2]|0;o=n+24|0;p=k[o>>2]|0;q=Hc[p&511](m)|0;k[j>>2]=q;r=b;return}Ec[k[(k[l>>2]|0)+4>>2]&1023](l);m=k[h>>2]|0;n=k[m>>2]|0;o=n+24|0;p=k[o>>2]|0;q=Hc[p&511](m)|0;k[j>>2]=q;r=b;return}b=d+56|0;q=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,q|0);j=B;B=0;if(j&1){j=Rb()|0;s=Q;t=j;vva(b);Qb(t|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,q|0);j=B;B=0;do if(j&1){m=Rb()|0;u=Q;v=m}else{k[q>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,q|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;o=Q;Yua(c);Yua(m);Ava(q);u=o;v=p;break}Yua(c);B=0;p=Ia(40,d|0,115010,10)|0;o=B;B=0;if((((!(o&1)?(B=0,o=ya(427,k[a+4>>2]|0)|0,n=B,B=0,!(n&1)):0)?(n=Lta(o)|0,B=0,h=Ia(40,p|0,o|0,n|0)|0,n=B,B=0,!(n&1)):0)?(B=0,n=Ia(40,h|0,114879,10)|0,h=B,B=0,!(h&1)):0)?(B=0,Xa(239,n|0,0)|0,n=B,B=0,!(n&1)):0){n=Ab(20)|0;B=0;eb(502,e|0,114677,78);h=B;B=0;do if(!(h&1)){B=0;eb(502,f|0,115021,9);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(e);w=p;x=o;break}B=0;wa(510,g|0,q|0);o=B;B=0;if(o&1){o=Rb()|0;y=Q;z=o;A=1}else{B=0;ua(163,n|0,e|0,f|0,267,g|0);o=B;B=0;if(o&1)C=1;else{B=0;eb(503,n|0,1240,229);B=0;C=0}o=Rb()|0;p=Q;Yua(g);y=p;z=o;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;k[d>>2]=27468;k[b>>2]=27488;k[q>>2]=27560;Yua(m);Ava(q);vva(b);Qb(E|0)}}else{o=Rb()|0;w=Q;x=o}while(0);zb(n|0);D=w;E=x;k[d>>2]=27468;k[b>>2]=27488;k[q>>2]=27560;Yua(m);Ava(q);vva(b);Qb(E|0)}h=Rb()|0;D=Q;E=h;k[d>>2]=27468;k[b>>2]=27488;k[q>>2]=27560;Yua(m);Ava(q);vva(b);Qb(E|0)}while(0);s=u;t=v;vva(b);Qb(t|0)}function t$(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=k[a+12>>2]|0;return ld[k[(k[e>>2]|0)+144>>2]&127](e,b,c,d)|0}function u$(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=k[a+12>>2]|0;return Rc[k[(k[d>>2]|0)+148>>2]&63](d,b,c)|0}function v$(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=k[a+12>>2]|0;nd[k[(k[d>>2]|0)+140>>2]&1023](d,b,c);return}function w$(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;i=e+12|0;j=e;if(!(Ita(d,115926)|0)){l=k[a+12>>2]|0;nd[k[(k[l>>2]|0)+140>>2]&1023](l,b,c);r=e;return}if(!(Ita(d,115325)|0)){l=k[a+20>>2]|0;nd[k[(k[l>>2]|0)+140>>2]&1023](l,b,c);r=e;return}if(!(Ita(d,115336)|0)){l=k[a+24>>2]|0;nd[k[(k[l>>2]|0)+140>>2]&1023](l,b,c);r=e;return}if(!(Ita(d,115031)|0)){l=k[a+28>>2]|0;nd[k[(k[l>>2]|0)+140>>2]&1023](l,b,c);r=e;return}e=g+56|0;c=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,c|0);b=B;B=0;if(b&1){b=Rb()|0;m=Q;n=b;vva(e);Qb(n|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,c|0);b=B;B=0;do if(b&1){l=Rb()|0;o=Q;p=l}else{k[c>>2]=27560;l=g+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,c|0,f|0);a=B;B=0;if(a&1){a=Rb()|0;q=Q;Yua(f);Yua(l);Ava(c);o=q;p=a;break}Yua(f);B=0;a=Ia(40,g|0,115040,5)|0;q=B;B=0;if(((!(q&1)?(q=Lta(d)|0,B=0,s=Ia(40,a|0,d|0,q|0)|0,q=B,B=0,!(q&1)):0)?(B=0,q=Ia(40,s|0,146481,18)|0,s=B,B=0,!(s&1)):0)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,h|0,114677,78);s=B;B=0;do if(!(s&1)){B=0;eb(502,i|0,115046,19);a=B;B=0;if(a&1){a=Rb()|0;t=Q;Yua(h);u=t;v=a;break}B=0;wa(510,j|0,c|0);a=B;B=0;if(a&1){a=Rb()|0;w=Q;x=a;y=1}else{B=0;ua(163,q|0,h|0,i|0,236,j|0);a=B;B=0;if(a&1)z=1;else{B=0;eb(503,q|0,1240,229);B=0;z=0}a=Rb()|0;t=Q;Yua(j);w=t;x=a;y=z}Yua(i);Yua(h);if(y){u=w;v=x}else{A=w;C=x;k[g>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(l);Ava(c);vva(e);Qb(C|0)}}else{a=Rb()|0;u=Q;v=a}while(0);zb(q|0);A=u;C=v;k[g>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(l);Ava(c);vva(e);Qb(C|0)}s=Rb()|0;A=Q;C=s;k[g>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(l);Ava(c);vva(e);Qb(C|0)}while(0);m=o;n=p;vva(e);Qb(n|0)}function x$(a,b){a=a|0;b=b|0;var c=0;c=k[a+12>>2]|0;Fc[k[(k[c>>2]|0)+64>>2]&1023](c,b);return}function y$(a,b){a=a|0;b=b|0;var c=0;c=k[a+12>>2]|0;Fc[k[(k[c>>2]|0)+36>>2]&1023](c,b);return}function z$(a,b){a=a|0;b=b|0;var c=0;c=k[a+12>>2]|0;Fc[k[(k[c>>2]|0)+40>>2]&1023](c,b);return}function A$(a,b){a=a|0;b=b|0;var c=0;c=k[a+12>>2]|0;Fc[k[(k[c>>2]|0)+44>>2]&1023](c,b);return}function B$(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=k[a+12>>2]|0;nd[k[(k[d>>2]|0)+48>>2]&1023](d,b,c);return}function C$(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=k[a+28>>2]|0;nd[k[(k[d>>2]|0)+48>>2]&1023](d,b,c);return}function D$(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=k[a+12>>2]|0;rd[k[(k[e>>2]|0)+60>>2]&511](e,b,c,d);return}function E$(a){a=a|0;var b=0;b=k[a+12>>2]|0;return +(+Zc[k[(k[b>>2]|0)+112>>2]&255](b))}function F$(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0;c=r;r=r+368|0;d=c+344|0;e=c+208|0;f=c+196|0;g=c+184|0;h=c+36|0;i=c+48|0;j=c+24|0;l=c+12|0;m=c;n=a+28|0;if(!(k[n>>2]|0)){o=e+56|0;p=e+4|0;k[e>>2]=27524;k[o>>2]=27544;B=0;wa(508,e+56|0,p|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;t=q;vva(o);Qb(t|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[o>>2]=27488;B=0;va(448,p|0);q=B;B=0;do if(q&1){u=Rb()|0;v=Q;w=u}else{k[p>>2]=27560;u=e+36|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;k[u+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,p|0,d|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;Yua(d);Yua(u);Ava(p);v=y;w=x;break}Yua(d);B=0;x=Ia(40,e|0,115066,12)|0;y=B;B=0;a:do if((((!(y&1)?(B=0,z=ya(427,k[a+4>>2]|0)|0,A=B,B=0,!(A&1)):0)?(A=Lta(z)|0,B=0,C=Ia(40,x|0,z|0,A|0)|0,A=B,B=0,!(A&1)):0)?(B=0,A=Ia(40,C|0,114879,10)|0,C=B,B=0,!(C&1)):0)?(B=0,Xa(239,A|0,0)|0,A=B,B=0,!(A&1)):0){A=Ab(20)|0;B=0;eb(502,f|0,114677,78);C=B;B=0;do if(!(C&1)){B=0;eb(502,g|0,115079,11);z=B;B=0;if(z&1){z=Rb()|0;D=Q;Yua(f);E=z;F=D;break}B=0;wa(510,h|0,p|0);D=B;B=0;if(D&1){D=Rb()|0;G=Q;H=D;I=1}else{B=0;ua(163,A|0,f|0,g|0,273,h|0);D=B;B=0;if(D&1)J=1;else{B=0;eb(503,A|0,1240,229);B=0;J=0}D=Rb()|0;z=Q;Yua(h);G=z;H=D;I=J}Yua(g);Yua(f);if(I){E=H;F=G}else{K=H;L=G;break a}}else{D=Rb()|0;E=D;F=Q}while(0);zb(A|0);K=E;L=F}else M=20;while(0);if((M|0)==20){x=Rb()|0;K=x;L=Q}k[e>>2]=27468;k[o>>2]=27488;k[p>>2]=27560;Yua(u);Ava(p);vva(o);N=L;O=K;Qb(O|0)}while(0);s=v;t=w;vva(o);Qb(t|0)}t=a+16|0;o=k[t>>2]|0;if(o){w=a+12|0;v=k[w>>2]|0;if(!v){P=o;R=k[P>>2]|0;S=R+24|0;T=k[S>>2]|0;U=Hc[T&511](P)|0;k[w>>2]=U;V=k[U>>2]|0;W=V+124|0;X=k[W>>2]|0;Y=k[n>>2]|0;Xc[X&63](U,Y,b);r=c;return}Ec[k[(k[v>>2]|0)+4>>2]&1023](v);P=k[t>>2]|0;R=k[P>>2]|0;S=R+24|0;T=k[S>>2]|0;U=Hc[T&511](P)|0;k[w>>2]=U;V=k[U>>2]|0;W=V+124|0;X=k[W>>2]|0;Y=k[n>>2]|0;Xc[X&63](U,Y,b);r=c;return}c=i+56|0;Y=i+4|0;k[i>>2]=27524;k[c>>2]=27544;B=0;wa(508,i+56|0,Y|0);U=B;B=0;if(U&1){U=Rb()|0;Z=Q;_=U;vva(c);Qb(_|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[c>>2]=27488;B=0;va(448,Y|0);U=B;B=0;do if(U&1){X=Rb()|0;$=Q;aa=X}else{k[Y>>2]=27560;X=i+36|0;k[X>>2]=0;k[X+4>>2]=0;k[X+8>>2]=0;k[X+12>>2]=0;k[i+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Y|0,d|0);n=B;B=0;if(n&1){n=Rb()|0;W=Q;Yua(d);Yua(X);Ava(Y);$=W;aa=n;break}Yua(d);B=0;n=Ia(40,i|0,115010,10)|0;W=B;B=0;b:do if((((!(W&1)?(B=0,V=ya(427,k[a+4>>2]|0)|0,w=B,B=0,!(w&1)):0)?(w=Lta(V)|0,B=0,P=Ia(40,n|0,V|0,w|0)|0,w=B,B=0,!(w&1)):0)?(B=0,w=Ia(40,P|0,114879,10)|0,P=B,B=0,!(P&1)):0)?(B=0,Xa(239,w|0,0)|0,w=B,B=0,!(w&1)):0){w=Ab(20)|0;B=0;eb(502,j|0,114677,78);P=B;B=0;do if(!(P&1)){B=0;eb(502,l|0,115079,11);V=B;B=0;if(V&1){V=Rb()|0;T=Q;Yua(j);ba=V;ca=T;break}B=0;wa(510,m|0,Y|0);T=B;B=0;if(T&1){T=Rb()|0;da=1;ea=Q;fa=T}else{B=0;ua(163,w|0,j|0,l|0,274,m|0);T=B;B=0;if(T&1)ga=1;else{B=0;eb(503,w|0,1240,229);B=0;ga=0}T=Rb()|0;V=Q;Yua(m);da=ga;ea=V;fa=T}Yua(l);Yua(j);if(da){ba=fa;ca=ea}else{ha=ea;ia=fa;break b}}else{T=Rb()|0;ba=T;ca=Q}while(0);zb(w|0);ha=ca;ia=ba}else M=47;while(0);if((M|0)==47){n=Rb()|0;ha=Q;ia=n}k[i>>2]=27468;k[c>>2]=27488;k[Y>>2]=27560;Yua(X);Ava(Y);vva(c);N=ha;O=ia;Qb(O|0)}while(0);Z=$;_=aa;vva(c);Qb(_|0)}function G$(a,b){a=a|0;b=b|0;var c=0;c=k[a+12>>2]|0;Fc[k[(k[c>>2]|0)+132>>2]&1023](c,b);return}function H$(a,b){a=a|0;b=b|0;return}function I$(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;e=c+24|0;f=c+12|0;g=c;c=a+56|0;h=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(c);Qb(l|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=a+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,h|0,b|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(b);Yua(m);Ava(h);n=q;o=p;break}Yua(b);B=0;p=Ia(40,a|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,115091,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,121355,13);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,56,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[a>>2]=27468;k[c>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(c);Qb(E|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}function J$(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,115091,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121355,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,57,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function K$(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,115091,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121324,30);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,60,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function L$(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,115091,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,120910,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,61,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function M$(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;f=d+12|0;g=d;d=b+56|0;h=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(d);Qb(l|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=b+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,b|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,a|0,115091,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,120878,31);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(a);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,a|0,f|0,62,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(a);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[b>>2]=27468;k[d>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(d);Qb(E|0)}while(0);j=n;l=o;vva(d);Qb(l|0)}function N$(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,115091,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115254,10);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,63,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function O$(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,115091,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115244,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,64,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function P$(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;a=d+56|0;h=d+4|0;k[d>>2]=27524;k[a>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(a);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[a>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,115091,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,115231,12);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,65,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[a>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(a);Qb(E|0)}while(0);j=n;l=o;vva(a);Qb(l|0)}function Q$(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,115091,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115218,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,71,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function R$(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,115091,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115211,6);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,73,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function S$(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,115091,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115204,6);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,75,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function T$(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,115091,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115200,3);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,72,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0);return +(0.0)}function U$(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;a=d+56|0;h=d+4|0;k[d>>2]=27524;k[a>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(a);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[a>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,120763,23)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,115091,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,120874,3);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,66,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[a>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(a);Qb(E|0)}while(0);j=n;l=o;vva(a);Qb(l|0)}function V$(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;a=r;r=r+192|0;c=a+176|0;d=a+40|0;e=a+24|0;f=a+12|0;g=a;a=d+56|0;h=d+4|0;k[d>>2]=27524;k[a>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(a);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[a>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(c);Yua(m);Ava(h);n=q;o=p;break}Yua(c);B=0;p=Ia(40,d|0,149721,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,115091,88);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,115194,5);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,67,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[a>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(a);Qb(E|0)}while(0);j=n;l=o;vva(a);Qb(l|0)}function W$(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,115091,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121179,15);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,43,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function X$(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,115091,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121166,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,45,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function Y$(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,115091,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,121153,12);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,44,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function Z$(a){a=a|0;return 1}function _$(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;c=d+176|0;b=d+40|0;a=d+24|0;e=d+12|0;f=d;d=b+56|0;g=b+4|0;k[b>>2]=27524;k[d>>2]=27544;B=0;wa(508,b+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(d);Qb(j|0)}k[b+128>>2]=0;k[b+132>>2]=-1;k[b>>2]=27468;k[d>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=b+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[b+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,g|0,c|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(c);Yua(l);Ava(g);m=p;n=o;break}Yua(c);B=0;o=Ia(40,b|0,134695,17)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,a|0,115091,88);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115180,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(a);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,a|0,e|0,83,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(a);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[b>>2]=27468;k[d>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(d);Qb(D|0)}while(0);i=m;j=n;vva(d);Qb(j|0)}function $$(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0.0,_=0.0,$=0.0;b=r;r=r+432|0;c=b+32|0;d=b+412|0;e=b+408|0;f=b+404|0;g=b+421|0;h=b+420|0;j=b+400|0;l=b+396|0;m=b+392|0;n=b+388|0;o=b+384|0;q=b+380|0;s=b+232|0;t=b+368|0;u=b+224|0;v=b+216|0;w=b;x=b+80|0;y=b+68|0;z=b+64|0;k[j>>2]=0;k[l>>2]=0;k[m>>2]=0;k[n>>2]=0;k[o>>2]=0;k[q>>2]=0;A=a+44|0;cO(k[A>>2]|0,b+416|0,198);hO(k[A>>2]|0,j,0,176);cO(k[A>>2]|0,e,196);hO(k[A>>2]|0,l,0,186);iO(k[A>>2]|0,m,0,200);cO(k[A>>2]|0,f,476);bO(k[A>>2]|0,g,99);bO(k[A>>2]|0,h,314);mO(k[A>>2]|0,0,759);j_(o,k[A>>2]|0,k[f>>2]|0);g0(q,k[f>>2]|0);a:do if(FY()|0){f=s+56|0;q=s+4|0;k[s>>2]=27524;k[f>>2]=27544;B=0;wa(508,s+56|0,q|0);C=B;B=0;if(C&1){C=Rb()|0;D=Q;E=C;vva(f);Qb(E|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[f>>2]=27488;B=0;va(448,q|0);C=B;B=0;do if(C&1){F=Rb()|0;G=Q;H=F}else{k[q>>2]=27560;F=s+36|0;k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;k[F+12>>2]=0;k[s+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,q|0,c|0);I=B;B=0;if(I&1){I=Rb()|0;J=Q;Yua(c);Yua(F);Ava(q);G=J;H=I;break}Yua(c);B=0;Ia(40,s|0,115265,30)|0;I=B;B=0;do if(!(I&1)?(B=0,wa(510,t|0,q|0),J=B,B=0,!(J&1)):0){B=0;ya(425,t|0)|0;J=B;B=0;if(J&1){J=Rb()|0;K=Q;Yua(t);L=J;M=K;break}else{Yua(t);k[s>>2]=27468;k[f>>2]=27488;k[q>>2]=27560;Yua(F);Ava(q);vva(f);break a}}else N=14;while(0);if((N|0)==14){I=Rb()|0;L=I;M=Q}k[s>>2]=27468;k[f>>2]=27488;k[q>>2]=27560;Yua(F);Ava(q);vva(f);O=L;P=M;Qb(O|0)}while(0);D=G;E=H;vva(f);Qb(E|0)}while(0);if(i[g>>0]|0)Ec[k[o>>2]&1023](a);k[u>>2]=0;g=a+20|0;E=a+24|0;H=a+28|0;G=a+36|0;D=a+40|0;$oa(u,k[g>>2]|0,k[E>>2]|0,k[H>>2]|0,k[G>>2]|0,k[D>>2]|0,k[A>>2]|0,115926,0);M=k[u>>2]|0;if(k[M>>2]|0){L=k[k[M+4>>2]>>2]|0;s=Hc[k[(k[L>>2]|0)+52>>2]&511](L)|0;L=k[u>>2]|0;if(!(k[L>>2]|0)){R=L;S=s}else{t=k[k[L+4>>2]>>2]|0;Fc[k[(k[t>>2]|0)+28>>2]&1023](t,d);R=k[u>>2]|0;S=s}}else{R=M;S=0}if(R){if((k[R>>2]|0)!=0?(M=k[R+4>>2]|0,(M|0)!=0):0){s=k[M>>2]|0;if(s)Ec[k[(k[s>>2]|0)+4>>2]&1023](s);Sqa(M)}Sqa(R)}R=k[e>>2]|0;M=k[d>>2]|0;s=k[l>>2]|0;u=k[m>>2]|0;k[v>>2]=a;k[v+4>>2]=M;p[w>>3]=0.0;p[w+8>>3]=1.0;k[w+16>>2]=u;k[w+20>>2]=s;k[w+24>>2]=R;k[w+28>>2]=M;k[c>>2]=k[w>>2];k[c+4>>2]=k[w+4>>2];k[c+8>>2]=k[w+8>>2];k[c+12>>2]=k[w+12>>2];k[c+16>>2]=k[w+16>>2];k[c+20>>2]=k[w+20>>2];k[c+24>>2]=k[w+24>>2];k[c+28>>2]=k[w+28>>2];epa(n,c,S,38,2,v);b:do if(FY()|0){v=x+56|0;w=x+4|0;k[x>>2]=27524;k[v>>2]=27544;B=0;wa(508,x+56|0,w|0);M=B;B=0;if(M&1){M=Rb()|0;T=Q;U=M;vva(v);Qb(U|0)}k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[v>>2]=27488;B=0;va(448,w|0);M=B;B=0;do if(M&1){R=Rb()|0;V=Q;W=R}else{k[w>>2]=27560;R=x+36|0;k[R>>2]=0;k[R+4>>2]=0;k[R+8>>2]=0;k[R+12>>2]=0;k[x+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,w|0,c|0);s=B;B=0;if(s&1){s=Rb()|0;u=Q;Yua(c);Yua(R);Ava(w);V=u;W=s;break}Yua(c);B=0;Ia(40,x|0,115296,28)|0;s=B;B=0;do if(!(s&1)?(B=0,wa(510,y|0,w|0),u=B,B=0,!(u&1)):0){B=0;ya(425,y|0)|0;u=B;B=0;if(u&1){u=Rb()|0;t=Q;Yua(y);X=u;Y=t;break}else{Yua(y);k[x>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(R);Ava(w);vva(v);break b}}else N=42;while(0);if((N|0)==42){s=Rb()|0;X=s;Y=Q}k[x>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(R);Ava(w);vva(v);O=X;P=Y;Qb(O|0)}while(0);T=V;U=W;vva(v);Qb(U|0)}while(0);k[c>>2]=0;k[z>>2]=0;apa(c,k[g>>2]|0,k[E>>2]|0,k[H>>2]|0,k[G>>2]|0,k[D>>2]|0,k[A>>2]|0,115325,0);apa(z,k[g>>2]|0,k[E>>2]|0,k[H>>2]|0,k[G>>2]|0,k[D>>2]|0,k[A>>2]|0,115336,0);D=k[d>>2]|0;d=k[z>>2]|0;if((D|0)>0){G=k[c>>2]|0;H=0;do{E=S+(H<<3)|0;Z=+p[E>>3];_=+p[d+(H<<3)>>3];if(Z>_){p[E>>3]=_;$=_}else $=Z;Z=+p[G+(H<<3)>>3];if($<Z)p[E>>3]=Z;H=H+1|0}while((H|0)<(D|0))}if(d)Tqa(d);k[z>>2]=0;z=k[c>>2]|0;if(z)Tqa(z);k[c>>2]=0;bpa(a,S);mO(k[A>>2]|0,1,759);Ec[k[o>>2]&1023](a);c:do if(!(i[h>>0]|0)){o=a+48|0;li(a,o);A=k[o>>2]|0;o=Qqa(40)|0;B=0;c=ya(428,A|0)|0;z=B;B=0;d:do if(!(z&1)?(d=k[n>>2]|0,D=k[e>>2]|0,k[o>>2]=27964,k[o+4>>2]=c+1,H=o+16|0,k[H>>2]=D,D=o+20|0,k[D>>2]=1,B=0,wa(512,o+8|0,764),G=B,B=0,!(G&1)):0){k[o+24>>2]=0;p[o+32>>3]=0.0;G=ma(k[D>>2]|0,k[H>>2]|0)|0;do if(G){B=0;H=ya(422,(G>>>0>536870911?-1:G<<3)|0)|0;D=B;B=0;if(D&1)break d;k[o+12>>2]=H;if(!d){B=0;ib(283,142353,115347,137,142345);B=0;break d}else{TEa(H|0,d|0,G<<3|0)|0;break}}else k[o+12>>2]=0;while(0);ih(A,o)|0;break c}while(0);A=Rb()|0;c=Q;Sqa(o);O=A;P=c;Qb(O|0)}while(0);O=k[j>>2]|0;if(O)Tqa(O);k[j>>2]=0;j=k[l>>2]|0;if(j)Tqa(j);k[l>>2]=0;l=k[m>>2]|0;if(l)Tqa(l);k[m>>2]=0;m=k[n>>2]|0;if(m)Tqa(m);k[n>>2]=0;if(!S){r=b;return}Tqa(S);r=b;return}function a0(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0.0,G=0.0,H=0.0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0.0;c=r;r=r+672|0;d=c+656|0;e=c;f=c+652|0;g=c+644|0;h=c+640|0;i=c+624|0;j=c+464|0;l=c+628|0;m=c+612|0;n=c+600|0;o=c+456|0;q=c+320|0;s=c+168|0;t=c+184|0;u=c+20|0;v=c+32|0;w=c+8|0;x=k[b>>2]|0;y=k[b+4>>2]|0;b=x+44|0;cO(k[b>>2]|0,c+648|0,477);cO(k[b>>2]|0,f,476);cO(k[b>>2]|0,g,199);k[h>>2]=0;k[i>>2]=0;z=x+20|0;A=x+24|0;C=x+28|0;D=x+36|0;E=x+40|0;apa(h,k[z>>2]|0,k[A>>2]|0,k[C>>2]|0,k[D>>2]|0,k[E>>2]|0,k[b>>2]|0,115325,0);apa(i,k[z>>2]|0,k[A>>2]|0,k[C>>2]|0,k[D>>2]|0,k[E>>2]|0,k[b>>2]|0,115336,0);if((y|0)>0){b=k[i>>2]|0;E=k[h>>2]|0;D=0;do{C=a+(D<<3)|0;F=+p[C>>3];G=+p[b+(D<<3)>>3];if(F>G){p[C>>3]=G;H=G}else H=F;F=+p[E+(D<<3)>>3];if(H<F)p[C>>3]=F;D=D+1|0}while((D|0)!=(y|0))}bpa(x,a);switch(k[f>>2]|0){case 518:{xh(x,497);j0(x);break}case 499:{xh(x,497);Woa(x,1);break}case 485:{xh(x,484);Voa(x);break}case 489:break;case 487:{xh(x,486);Voa(x);break}default:{a=j+56|0;y=j+4|0;k[j>>2]=27524;k[a>>2]=27544;B=0;wa(508,j+56|0,y|0);D=B;B=0;if(D&1){D=Rb()|0;I=Q;J=D;vva(a);Qb(J|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[a>>2]=27488;B=0;va(448,y|0);D=B;B=0;do if(D&1){E=Rb()|0;K=Q;L=E}else{k[y>>2]=27560;E=j+36|0;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;k[E+12>>2]=0;k[j+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,y|0,d|0);b=B;B=0;if(b&1){b=Rb()|0;C=Q;Yua(d);Yua(E);Ava(y);K=C;L=b;break}Yua(d);B=0;b=Ia(40,j|0,134802,9)|0;C=B;B=0;a:do if((((!(C&1)?(B=0,A=ya(427,k[f>>2]|0)|0,z=B,B=0,!(z&1)):0)?(z=Lta(A)|0,B=0,M=Ia(40,b|0,A|0,z|0)|0,z=B,B=0,!(z&1)):0)?(B=0,z=Ia(40,M|0,127493,20)|0,M=B,B=0,!(M&1)):0)?(B=0,Xa(239,z|0,0)|0,z=B,B=0,!(z&1)):0){z=Ab(20)|0;B=0;eb(502,l|0,115461,69);M=B;B=0;do if(!(M&1)){B=0;eb(502,m|0,115531,12);A=B;B=0;if(A&1){A=Rb()|0;N=Q;Yua(l);O=N;P=A;break}B=0;wa(510,n|0,y|0);A=B;B=0;if(A&1){A=Rb()|0;R=Q;S=A;T=1}else{B=0;ua(163,z|0,l|0,m|0,168,n|0);A=B;B=0;if(A&1)U=1;else{B=0;eb(503,z|0,1240,229);B=0;U=0}A=Rb()|0;N=Q;Yua(n);R=N;S=A;T=U}Yua(m);Yua(l);if(T){O=R;P=S}else{V=R;W=S;break a}}else{A=Rb()|0;O=Q;P=A}while(0);zb(z|0);V=O;W=P}else X=31;while(0);if((X|0)==31){b=Rb()|0;V=Q;W=b}k[j>>2]=27468;k[a>>2]=27488;k[y>>2]=27560;Yua(E);Ava(y);vva(a);Y=V;Z=W;Qb(Z|0)}while(0);I=K;J=L;vva(a);Qb(J|0)}}k[o>>2]=0;ki(x,e,o,0);x=q+56|0;J=q+4|0;k[q>>2]=27524;k[x>>2]=27544;B=0;wa(508,q+56|0,J|0);a=B;B=0;if(a&1){a=Rb()|0;_=Q;$=a;vva(x);Qb($|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[x>>2]=27488;B=0;va(448,J|0);a=B;B=0;do if(a&1){L=Rb()|0;aa=Q;ba=L}else{k[J>>2]=27560;L=q+36|0;k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;k[L+12>>2]=0;k[q+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,J|0,d|0);K=B;B=0;if(K&1){K=Rb()|0;I=Q;Yua(d);Yua(L);Ava(J);aa=I;ba=K;break}Yua(d);B=0;K=Ia(40,q|0,115544,7)|0;I=B;B=0;do if(((!(I&1)?(k[K+(k[(k[K>>2]|0)+-12>>2]|0)+12>>2]=12,k[K+(k[(k[K>>2]|0)+-12>>2]|0)+8>>2]=7,B=0,W=Sa(1,K|0,+(+p[e>>3]))|0,V=B,B=0,!(V&1)):0)?(B=0,Ia(40,W|0,115552,5)|0,W=B,B=0,!(W&1)):0)?(B=0,wa(510,s|0,J|0),W=B,B=0,!(W&1)):0){B=0;ya(425,s|0)|0;W=B;B=0;if(W&1){W=Rb()|0;V=Q;Yua(s);ca=V;da=W;break}Yua(s);k[q>>2]=27468;k[x>>2]=27488;k[J>>2]=27560;Yua(L);Ava(J);vva(x);b:do if((k[g>>2]|0)>0){W=t+56|0;V=t+4|0;y=t+56|0;j=t+128|0;P=t+132|0;O=t+36|0;S=t+52|0;R=0;while(1){k[t>>2]=27524;k[W>>2]=27544;B=0;wa(508,y|0,V|0);T=B;B=0;if(T&1){X=70;break}k[j>>2]=0;k[P>>2]=-1;k[t>>2]=27468;k[W>>2]=27488;B=0;va(448,V|0);T=B;B=0;if(T&1){X=71;break}k[V>>2]=27560;k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;k[O+12>>2]=0;k[S>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,V|0,d|0);T=B;B=0;if(T&1){X=69;break}Yua(d);B=0;T=Ia(40,t|0,149175,1)|0;l=B;B=0;if(l&1){X=79;break}k[T+(k[(k[T>>2]|0)+-12>>2]|0)+12>>2]=12;k[T+(k[(k[T>>2]|0)+-12>>2]|0)+8>>2]=7;B=0;Sa(1,T|0,+(+p[(k[o>>2]|0)+(R<<3)>>3]))|0;T=B;B=0;if(T&1){X=79;break}B=0;wa(510,u|0,V|0);T=B;B=0;if(T&1){X=79;break}B=0;ya(425,u|0)|0;T=B;B=0;if(T&1){X=80;break}Yua(u);k[t>>2]=27468;k[W>>2]=27488;k[V>>2]=27560;Yua(O);Ava(V);vva(W);R=R+1|0;if((R|0)>=(k[g>>2]|0))break b}if((X|0)==69){R=Rb()|0;S=Q;Yua(d);Yua(O);Ava(V);ea=S;fa=R;X=72}else if((X|0)==70){R=Rb()|0;ga=Q;ha=R;vva(W);Qb(ha|0)}else if((X|0)==71){R=Rb()|0;ea=Q;fa=R;X=72}else if((X|0)==79){R=Rb()|0;ia=Q;ja=R;X=81}else if((X|0)==80){R=Rb()|0;S=Q;Yua(u);ia=S;ja=R;X=81}if((X|0)==72){ga=ea;ha=fa;vva(W);Qb(ha|0)}else if((X|0)==81){k[t>>2]=27468;k[W>>2]=27488;k[V>>2]=27560;Yua(O);Ava(V);vva(W);Y=ia;Z=ja;Qb(Z|0)}}while(0);z=v+56|0;R=v+4|0;k[v>>2]=27524;k[z>>2]=27544;B=0;wa(508,v+56|0,R|0);S=B;B=0;if(S&1){S=Rb()|0;ka=Q;la=S;vva(z);Qb(la|0)}k[v+128>>2]=0;k[v+132>>2]=-1;k[v>>2]=27468;k[z>>2]=27488;B=0;va(448,R|0);S=B;B=0;do if(S&1){P=Rb()|0;ma=Q;na=P}else{k[R>>2]=27560;P=v+36|0;k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;k[P+12>>2]=0;k[v+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,R|0,d|0);j=B;B=0;if(j&1){j=Rb()|0;y=Q;Yua(d);Yua(P);Ava(R);ma=y;na=j;break}Yua(d);B=0;Ia(40,v|0,149177,1)|0;j=B;B=0;do if(!(j&1)?(B=0,wa(510,w|0,R|0),y=B,B=0,!(y&1)):0){B=0;ya(425,w|0)|0;y=B;B=0;if(y&1){y=Rb()|0;T=Q;Yua(w);oa=T;pa=y;break}Yua(w);k[v>>2]=27468;k[z>>2]=27488;k[R>>2]=27560;Yua(P);Ava(R);vva(z);y=k[i>>2]|0;if(y)Tqa(y);k[i>>2]=0;y=k[h>>2]|0;if(y)Tqa(y);k[h>>2]=0;y=k[o>>2]|0;if(!y){qa=+p[e>>3];r=c;return +qa}Tqa(y);qa=+p[e>>3];r=c;return +qa}else X=91;while(0);if((X|0)==91){j=Rb()|0;oa=Q;pa=j}k[v>>2]=27468;k[z>>2]=27488;k[R>>2]=27560;Yua(P);Ava(R);vva(z);Y=oa;Z=pa;Qb(Z|0)}while(0);ka=ma;la=na;vva(z);Qb(la|0)}else X=63;while(0);if((X|0)==63){K=Rb()|0;ca=Q;da=K}k[q>>2]=27468;k[x>>2]=27488;k[J>>2]=27560;Yua(L);Ava(J);vva(x);Y=ca;Z=da;Qb(Z|0)}while(0);_=aa;$=ba;vva(x);Qb($|0);return +(0.0)}function b0(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0.0,R=0,S=0.0,T=0,U=0.0,V=0.0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0.0;d=r;r=r+528|0;e=d+504|0;f=d;g=d+500|0;h=d+496|0;i=d+488|0;j=d+484|0;l=d+480|0;m=d+476|0;n=d+472|0;o=d+468|0;q=d+464|0;s=d+460|0;t=d+312|0;u=d+448|0;v=d+160|0;w=d+296|0;x=d+24|0;y=d+8|0;k[g>>2]=0;k[l>>2]=0;k[m>>2]=0;k[n>>2]=0;k[o>>2]=0;z=k[c>>2]|0;A=k[c+4>>2]|0;c=z+44|0;cO(k[c>>2]|0,d+492|0,477);cO(k[c>>2]|0,h,476);cO(k[c>>2]|0,i,199);jO(k[c>>2]|0,l,0,0,181);cO(k[c>>2]|0,j,198);C=z+28|0;D=nn(k[C>>2]|0)|0;k[q>>2]=0;k[s>>2]=0;E=z+20|0;F=z+24|0;G=z+36|0;H=z+40|0;apa(q,k[E>>2]|0,k[F>>2]|0,k[C>>2]|0,k[G>>2]|0,k[H>>2]|0,k[c>>2]|0,115325,0);apa(s,k[E>>2]|0,k[F>>2]|0,k[C>>2]|0,k[G>>2]|0,k[H>>2]|0,k[c>>2]|0,115336,0);I=(A|0)>0;if(I){J=k[s>>2]|0;K=k[q>>2]|0;L=0;do{M=b+(L<<3)|0;N=+p[M>>3];O=+p[J+(L<<3)>>3];if(N>O){p[M>>3]=O;P=O}else P=N;N=+p[K+(L<<3)>>3];if(P<N)p[M>>3]=N;L=L+1|0}while((L|0)!=(A|0))}bpa(z,b);L=k[h>>2]|0;if((L|0)==518){v_(z);R=k[h>>2]|0}else R=L;g0(g,R);Ec[k[g>>2]&1023](z);dpa(n,o,k[E>>2]|0,k[F>>2]|0,k[C>>2]|0,k[G>>2]|0,k[H>>2]|0,k[c>>2]|0);g=k[l>>2]|0;R=k[o>>2]|0;P=+p[g>>3]/+p[R>>3];L=k[j>>2]|0;if((L|0)>1){N=+KY(P,+p[g+8>>3]/+p[R+8>>3]);R=k[j>>2]|0;if((R|0)>2){g=2;O=N;while(1){S=+KY(O,+p[(k[l>>2]|0)+(g<<3)>>3]/+p[(k[o>>2]|0)+(g<<3)>>3]);g=g+1|0;h=k[j>>2]|0;if((g|0)>=(h|0)){T=h;U=S;break}else O=S}}else{T=R;U=N}}else{T=L;U=P}if((T|0)>0?(L=k[n>>2]|0,(D|0)>0):0){R=0;do{g=ma(R,D)|0;j=0;do{h=L+(j+g<<3)|0;p[h>>3]=U*+p[h>>3];j=j+1|0}while((j|0)!=(D|0));R=R+1|0}while((R|0)<(T|0))}if(I){I=k[s>>2]|0;T=k[q>>2]|0;R=k[n>>2]|0;D=0;do{L=b+(D<<3)|0;U=+p[L>>3];if(!(U>=+p[I+(D<<3)>>3]))V=U;else{p[R+(D<<3)>>3]=0.0;V=+p[L>>3]}if(V<=+p[T+(D<<3)>>3])p[R+(D<<3)>>3]=0.0;D=D+1|0}while((D|0)!=(A|0));W=R}else W=k[n>>2]|0;_oa(k[E>>2]|0,k[F>>2]|0,k[C>>2]|0,k[G>>2]|0,k[H>>2]|0,k[c>>2]|0,W);ki(z,f,m,0);z=t+56|0;W=t+4|0;k[t>>2]=27524;k[z>>2]=27544;B=0;wa(508,t+56|0,W|0);c=B;B=0;if(c&1){c=Rb()|0;X=Q;Y=c;vva(z);Qb(Y|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[z>>2]=27488;B=0;va(448,W|0);c=B;B=0;do if(c&1){H=Rb()|0;Z=Q;_=H}else{k[W>>2]=27560;H=t+36|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;k[H+12>>2]=0;k[t+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,W|0,e|0);G=B;B=0;if(G&1){G=Rb()|0;C=Q;Yua(e);Yua(H);Ava(W);Z=C;_=G;break}Yua(e);B=0;G=Ia(40,t|0,115544,7)|0;C=B;B=0;do if(((!(C&1)?(k[G+(k[(k[G>>2]|0)+-12>>2]|0)+12>>2]=12,k[G+(k[(k[G>>2]|0)+-12>>2]|0)+8>>2]=7,B=0,F=Sa(1,G|0,+(+p[f>>3]))|0,E=B,B=0,!(E&1)):0)?(B=0,Ia(40,F|0,115552,5)|0,F=B,B=0,!(F&1)):0)?(B=0,wa(510,u|0,W|0),F=B,B=0,!(F&1)):0){B=0;ya(425,u|0)|0;F=B;B=0;if(F&1){F=Rb()|0;E=Q;Yua(u);$=E;aa=F;break}Yua(u);k[t>>2]=27468;k[z>>2]=27488;k[W>>2]=27560;Yua(H);Ava(W);vva(z);a:do if((k[i>>2]|0)>0){F=v+56|0;E=v+4|0;R=v+56|0;A=v+128|0;D=v+132|0;T=v+36|0;I=v+52|0;b=0;while(1){k[v>>2]=27524;k[F>>2]=27544;B=0;wa(508,R|0,E|0);L=B;B=0;if(L&1){ba=57;break}k[A>>2]=0;k[D>>2]=-1;k[v>>2]=27468;k[F>>2]=27488;B=0;va(448,E|0);L=B;B=0;if(L&1){ba=58;break}k[E>>2]=27560;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;k[T+12>>2]=0;k[I>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,E|0,e|0);L=B;B=0;if(L&1){ba=56;break}Yua(e);B=0;L=Ia(40,v|0,149175,1)|0;j=B;B=0;if(j&1){ba=66;break}k[L+(k[(k[L>>2]|0)+-12>>2]|0)+12>>2]=12;k[L+(k[(k[L>>2]|0)+-12>>2]|0)+8>>2]=7;B=0;Sa(1,L|0,+(+p[(k[m>>2]|0)+(b<<3)>>3]))|0;L=B;B=0;if(L&1){ba=66;break}B=0;wa(510,w|0,E|0);L=B;B=0;if(L&1){ba=66;break}B=0;ya(425,w|0)|0;L=B;B=0;if(L&1){ba=67;break}Yua(w);k[v>>2]=27468;k[F>>2]=27488;k[E>>2]=27560;Yua(T);Ava(E);vva(F);b=b+1|0;if((b|0)>=(k[i>>2]|0))break a}if((ba|0)==56){b=Rb()|0;I=Q;Yua(e);Yua(T);Ava(E);ca=I;da=b;ba=59}else if((ba|0)==57){b=Rb()|0;ea=Q;fa=b;vva(F);Qb(fa|0)}else if((ba|0)==58){b=Rb()|0;ca=Q;da=b;ba=59}else if((ba|0)==66){b=Rb()|0;ga=Q;ha=b;ba=68}else if((ba|0)==67){b=Rb()|0;I=Q;Yua(w);ga=I;ha=b;ba=68}if((ba|0)==59){ea=ca;fa=da;vva(F);Qb(fa|0)}else if((ba|0)==68){k[v>>2]=27468;k[F>>2]=27488;k[E>>2]=27560;Yua(T);Ava(E);vva(F);ia=ga;ja=ha;Qb(ja|0)}}while(0);b=x+56|0;I=x+4|0;k[x>>2]=27524;k[b>>2]=27544;B=0;wa(508,x+56|0,I|0);D=B;B=0;if(D&1){D=Rb()|0;ka=Q;la=D;vva(b);Qb(la|0)}k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[b>>2]=27488;B=0;va(448,I|0);D=B;B=0;do if(D&1){A=Rb()|0;na=Q;oa=A}else{k[I>>2]=27560;A=x+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[x+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,I|0,e|0);R=B;B=0;if(R&1){R=Rb()|0;L=Q;Yua(e);Yua(A);Ava(I);na=L;oa=R;break}Yua(e);B=0;Ia(40,x|0,149177,1)|0;R=B;B=0;do if(R&1)ba=82;else{B=0;wa(510,y|0,I|0);L=B;B=0;if(L&1){ba=82;break}B=0;ya(425,y|0)|0;L=B;B=0;if(L&1){L=Rb()|0;j=Q;Yua(y);pa=j;qa=L;break}Yua(y);k[x>>2]=27468;k[b>>2]=27488;k[I>>2]=27560;Yua(A);Ava(I);vva(b);L=k[s>>2]|0;if(L)Tqa(L);k[s>>2]=0;L=k[q>>2]|0;if(L)Tqa(L);k[q>>2]=0;L=k[o>>2]|0;if(L)Tqa(L);k[o>>2]=0;L=k[l>>2]|0;if(L)Tqa(L);k[l>>2]=0;L=k[m>>2]|0;if(!L){ra=k[n>>2]|0;k[a>>2]=ra;sa=+p[f>>3];r=d;return +sa}Tqa(L);ra=k[n>>2]|0;k[a>>2]=ra;sa=+p[f>>3];r=d;return +sa}while(0);if((ba|0)==82){R=Rb()|0;pa=Q;qa=R}k[x>>2]=27468;k[b>>2]=27488;k[I>>2]=27560;Yua(A);Ava(I);vva(b);ia=pa;ja=qa;Qb(ja|0)}while(0);ka=na;la=oa;vva(b);Qb(la|0)}else ba=50;while(0);if((ba|0)==50){G=Rb()|0;$=Q;aa=G}k[t>>2]=27468;k[z>>2]=27488;k[W>>2]=27560;Yua(H);Ava(W);vva(z);ia=$;ja=aa;Qb(ja|0)}while(0);X=Z;Y=_;vva(z);Qb(Y|0);return +(0.0)}function c0(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,115558,48)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,115607,72);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115680,15);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,214,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function d0(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,115696,29)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,115726,71);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115798,14);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,331,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function e0(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;a=r;r=r+192|0;b=a+176|0;c=a+40|0;d=a+24|0;e=a+12|0;f=a;a=c+56|0;g=c+4|0;k[c>>2]=27524;k[a>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(a);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[a>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,c|0,115813,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,115833,74);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,115908,17);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,255,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[a>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(a);Qb(D|0)}while(0);i=m;j=n;vva(a);Qb(j|0)}function f0(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Ta=0.0,Ua=0.0,Va=0.0,Wa=0.0,Xa=0.0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0;b=r;r=r+1280|0;c=b+1264|0;d=b+1260|0;e=b+1256|0;f=b+16|0;g=b+8|0;h=b+1248|0;i=b+1232|0;j=b+1228|0;l=b+1212|0;m=b+1208|0;n=b+1192|0;o=b+1056|0;q=b+1236|0;s=b+904|0;t=b+1216|0;u=b+768|0;v=b+1196|0;w=b+616|0;x=b+1040|0;y=b+480|0;z=b+752|0;A=b+328|0;C=b+464|0;D=b+176|0;E=b+312|0;F=b+40|0;G=b+24|0;k[h>>2]=0;k[i>>2]=0;k[j>>2]=0;k[l>>2]=0;k[m>>2]=0;H=a+44|0;cO(k[H>>2]|0,d,476);mO(k[H>>2]|0,0,759);cO(k[H>>2]|0,b+1252|0,199);dO(k[H>>2]|0,b,67);iO(k[H>>2]|0,h,0,177);k[n>>2]=0;I=a+20|0;J=a+24|0;K=a+28|0;L=a+36|0;M=a+40|0;$oa(n,k[I>>2]|0,k[J>>2]|0,k[K>>2]|0,k[L>>2]|0,k[M>>2]|0,k[H>>2]|0,115926,0);N=k[n>>2]|0;if(k[N>>2]|0){O=k[k[N+4>>2]>>2]|0;Fc[k[(k[O>>2]|0)+28>>2]&1023](O,e);O=k[n>>2]|0;if(!(k[O>>2]|0)){P=O;R=0}else{S=k[k[O+4>>2]>>2]|0;O=Hc[k[(k[S>>2]|0)+52>>2]&511](S)|0;P=k[n>>2]|0;R=O}}else{P=N;R=0}if(P){if((k[P>>2]|0)!=0?(N=k[P+4>>2]|0,(N|0)!=0):0){O=k[N>>2]|0;if(O)Ec[k[(k[O>>2]|0)+4>>2]&1023](O);Sqa(N)}Sqa(P)}P=k[e>>2]|0;N=Rqa(P>>>0>536870911?-1:P<<3)|0;j_(l,k[H>>2]|0,k[d>>2]|0);g0(m,k[d>>2]|0);a:do if(FY()|0){d=o+56|0;P=o+4|0;k[o>>2]=27524;k[d>>2]=27544;B=0;wa(508,o+56|0,P|0);O=B;B=0;if(O&1){O=Rb()|0;T=Q;U=O;vva(d);Qb(U|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[d>>2]=27488;B=0;va(448,P|0);O=B;B=0;do if(O&1){n=Rb()|0;V=Q;W=n}else{k[P>>2]=27560;n=o+36|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[o+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,P|0,c|0);S=B;B=0;if(S&1){S=Rb()|0;X=Q;Yua(c);Yua(n);Ava(P);V=X;W=S;break}Yua(c);B=0;Ia(40,o|0,115932,28)|0;S=B;B=0;do if(!(S&1)?(B=0,wa(510,q|0,P|0),X=B,B=0,!(X&1)):0){B=0;ya(425,q|0)|0;X=B;B=0;if(X&1){X=Rb()|0;Y=Q;Yua(q);Z=X;_=Y;break}else{Yua(q);k[o>>2]=27468;k[d>>2]=27488;k[P>>2]=27560;Yua(n);Ava(P);vva(d);break a}}else aa=24;while(0);if((aa|0)==24){S=Rb()|0;Z=S;_=Q}k[o>>2]=27468;k[d>>2]=27488;k[P>>2]=27560;Yua(n);Ava(P);vva(d);ba=Z;ca=_;Qb(ba|0)}while(0);T=V;U=W;vva(d);Qb(U|0)}while(0);Ec[k[l>>2]&1023](a);b:do if(FY()|0){U=s+56|0;W=s+4|0;k[s>>2]=27524;k[U>>2]=27544;B=0;wa(508,s+56|0,W|0);V=B;B=0;if(V&1){V=Rb()|0;da=Q;ea=V;vva(U);Qb(ea|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[U>>2]=27488;B=0;va(448,W|0);V=B;B=0;do if(V&1){T=Rb()|0;fa=Q;ga=T}else{k[W>>2]=27560;T=s+36|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;k[T+12>>2]=0;k[s+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,W|0,c|0);_=B;B=0;if(_&1){_=Rb()|0;Z=Q;Yua(c);Yua(T);Ava(W);fa=Z;ga=_;break}Yua(c);B=0;Ia(40,s|0,115961,19)|0;_=B;B=0;do if(!(_&1)?(B=0,wa(510,t|0,W|0),Z=B,B=0,!(Z&1)):0){B=0;ya(425,t|0)|0;Z=B;B=0;if(Z&1){Z=Rb()|0;o=Q;Yua(t);ha=Z;ia=o;break}else{Yua(t);k[s>>2]=27468;k[U>>2]=27488;k[W>>2]=27560;Yua(T);Ava(W);vva(U);break b}}else aa=40;while(0);if((aa|0)==40){_=Rb()|0;ha=_;ia=Q}k[s>>2]=27468;k[U>>2]=27488;k[W>>2]=27560;Yua(T);Ava(W);vva(U);ba=ha;ca=ia;Qb(ba|0)}while(0);da=fa;ea=ga;vva(U);Qb(ea|0)}while(0);Ec[k[m>>2]&1023](a);c:do if(FY()|0){m=u+56|0;ea=u+4|0;k[u>>2]=27524;k[m>>2]=27544;B=0;wa(508,u+56|0,ea|0);ga=B;B=0;if(ga&1){ga=Rb()|0;ja=Q;ka=ga;vva(m);Qb(ka|0)}k[u+128>>2]=0;k[u+132>>2]=-1;k[u>>2]=27468;k[m>>2]=27488;B=0;va(448,ea|0);ga=B;B=0;do if(ga&1){fa=Rb()|0;la=Q;na=fa}else{k[ea>>2]=27560;fa=u+36|0;k[fa>>2]=0;k[fa+4>>2]=0;k[fa+8>>2]=0;k[fa+12>>2]=0;k[u+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ea|0,c|0);da=B;B=0;if(da&1){da=Rb()|0;ia=Q;Yua(c);Yua(fa);Ava(ea);la=ia;na=da;break}Yua(c);B=0;Ia(40,u|0,115981,33)|0;da=B;B=0;do if(!(da&1)?(B=0,wa(510,v|0,ea|0),ia=B,B=0,!(ia&1)):0){B=0;ya(425,v|0)|0;ia=B;B=0;if(ia&1){ia=Rb()|0;ha=Q;Yua(v);oa=ia;pa=ha;break}else{Yua(v);k[u>>2]=27468;k[m>>2]=27488;k[ea>>2]=27560;Yua(fa);Ava(ea);vva(m);break c}}else aa=56;while(0);if((aa|0)==56){da=Rb()|0;oa=da;pa=Q}k[u>>2]=27468;k[m>>2]=27488;k[ea>>2]=27560;Yua(fa);Ava(ea);vva(m);ba=oa;ca=pa;Qb(ba|0)}while(0);ja=la;ka=na;vva(m);Qb(ka|0)}while(0);ki(a,f,i,0);ka=w+56|0;na=w+4|0;k[w>>2]=27524;k[ka>>2]=27544;B=0;wa(508,w+56|0,na|0);la=B;B=0;if(la&1){la=Rb()|0;qa=Q;ra=la;vva(ka);Qb(ra|0)}k[w+128>>2]=0;k[w+132>>2]=-1;k[w>>2]=27468;k[ka>>2]=27488;B=0;va(448,na|0);la=B;B=0;do if(la&1){ja=Rb()|0;sa=Q;ta=ja}else{k[na>>2]=27560;ja=w+36|0;k[ja>>2]=0;k[ja+4>>2]=0;k[ja+8>>2]=0;k[ja+12>>2]=0;k[w+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,na|0,c|0);pa=B;B=0;if(pa&1){pa=Rb()|0;oa=Q;Yua(c);Yua(ja);Ava(na);sa=oa;ta=pa;break}Yua(c);B=0;pa=Ia(40,w|0,116015,29)|0;oa=B;B=0;do if(((!(oa&1)?(k[pa+(k[(k[pa>>2]|0)+-12>>2]|0)+12>>2]=12,k[pa+(k[(k[pa>>2]|0)+-12>>2]|0)+8>>2]=7,B=0,u=Sa(1,pa|0,+(+p[f>>3]))|0,v=B,B=0,!(v&1)):0)?(B=0,Ia(40,u|0,149177,1)|0,u=B,B=0,!(u&1)):0)?(B=0,wa(510,x|0,na|0),u=B,B=0,!(u&1)):0){B=0;ya(425,x|0)|0;u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(x);ua=u;xa=v;break}Yua(x);k[w>>2]=27468;k[ka>>2]=27488;k[na>>2]=27560;Yua(ja);Ava(na);vva(ka);v=k[i>>2]|0;if(v)Tqa(v);k[i>>2]=0;d:do if(FY()|0){v=y+56|0;u=y+4|0;k[y>>2]=27524;k[v>>2]=27544;B=0;wa(508,y+56|0,u|0);ea=B;B=0;if(ea&1){ea=Rb()|0;za=Q;Aa=ea;vva(v);Qb(Aa|0)}k[y+128>>2]=0;k[y+132>>2]=-1;k[y>>2]=27468;k[v>>2]=27488;B=0;va(448,u|0);ea=B;B=0;do if(ea&1){ga=Rb()|0;Ba=Q;Ca=ga}else{k[u>>2]=27560;ga=y+36|0;k[ga>>2]=0;k[ga+4>>2]=0;k[ga+8>>2]=0;k[ga+12>>2]=0;k[y+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,u|0,c|0);U=B;B=0;if(U&1){U=Rb()|0;da=Q;Yua(c);Yua(ga);Ava(u);Ba=da;Ca=U;break}Yua(c);B=0;Ia(40,y|0,116045,20)|0;U=B;B=0;do if(!(U&1)){B=0;wa(510,z|0,u|0);da=B;B=0;if(da&1){aa=90;break}B=0;ya(425,z|0)|0;da=B;B=0;if(da&1){da=Rb()|0;T=Q;Yua(z);Da=da;Ea=T;break}else{Yua(z);k[y>>2]=27468;k[v>>2]=27488;k[u>>2]=27560;Yua(ga);Ava(u);vva(v);break d}}else aa=90;while(0);if((aa|0)==90){U=Rb()|0;Da=U;Ea=Q}k[y>>2]=27468;k[v>>2]=27488;k[u>>2]=27560;Yua(ga);Ava(u);vva(v);ba=Da;ca=Ea;Qb(ba|0)}while(0);za=Ba;Aa=Ca;vva(v);Qb(Aa|0)}while(0);dpa(j,0,k[I>>2]|0,k[J>>2]|0,k[K>>2]|0,k[L>>2]|0,k[M>>2]|0,k[H>>2]|0);fa=k[e>>2]|0;if((fa|0)>0){u=k[j>>2]|0;ea=0;do{U=u+(ea<<3)|0;p[U>>3]=-+p[U>>3];ea=ea+1|0}while((ea|0)<(fa|0))}fa=Rqa(416)|0;ea=A+56|0;u=A+4|0;k[A>>2]=27524;k[ea>>2]=27544;B=0;wa(508,A+56|0,u|0);U=B;B=0;if(U&1){U=Rb()|0;Fa=Q;Ga=U;vva(ea);Qb(Ga|0)}k[A+128>>2]=0;k[A+132>>2]=-1;k[A>>2]=27468;k[ea>>2]=27488;B=0;va(448,u|0);U=B;B=0;do if(U&1){T=Rb()|0;Ha=Q;Ja=T}else{k[u>>2]=27560;T=A+36|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;k[T+12>>2]=0;k[A+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,u|0,c|0);da=B;B=0;if(da&1){da=Rb()|0;ha=Q;Yua(c);Yua(T);Ava(u);Ha=ha;Ja=da;break}Yua(c);B=0;Ia(40,A|0,116066,26)|0;da=B;B=0;do if(da&1)aa=120;else{B=0;wa(510,C|0,u|0);ha=B;B=0;if(ha&1){aa=120;break}B=0;ya(425,C|0)|0;ha=B;B=0;if(ha&1){ha=Rb()|0;ia=Q;Yua(C);Ka=ha;La=ia;break}Yua(C);k[A>>2]=27468;k[ea>>2]=27488;k[u>>2]=27560;Yua(T);Ava(u);vva(ea);ia=D+56|0;ha=D+4|0;k[D>>2]=27524;k[ia>>2]=27544;B=0;wa(508,D+56|0,ha|0);s=B;B=0;if(s&1){s=Rb()|0;Ma=Q;Na=s;vva(ia);Qb(Na|0)}k[D+128>>2]=0;k[D+132>>2]=-1;k[D>>2]=27468;k[ia>>2]=27488;B=0;va(448,ha|0);s=B;B=0;do if(s&1){t=Rb()|0;Oa=Q;Pa=t}else{k[ha>>2]=27560;t=D+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[D+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ha|0,c|0);W=B;B=0;if(W&1){W=Rb()|0;V=Q;Yua(c);Yua(t);Ava(ha);Oa=V;Pa=W;break}Yua(c);B=0;Ia(40,D|0,116093,26)|0;W=B;B=0;do if(!(W&1)){B=0;wa(510,E|0,ha|0);V=B;B=0;if(V&1){aa=123;break}B=0;ya(425,E|0)|0;V=B;B=0;if(V&1){V=Rb()|0;d=Q;Yua(E);Qa=V;Ra=d;break}Yua(E);k[D>>2]=27468;k[ia>>2]=27488;k[ha>>2]=27560;Yua(t);Ava(ha);vva(ia);d=F+56|0;V=F+4|0;_=F+56|0;n=F+128|0;o=F+132|0;Z=F+36|0;q=F+52|0;P=0;while(1){Ta=+osa(1.0,0-P|0);O=k[e>>2]|0;if((O|0)>0){S=k[h>>2]|0;Y=0;do{p[N+(Y<<3)>>3]=+p[R+(Y<<3)>>3]+Ta*+p[S>>3];Y=Y+1|0}while((Y|0)<(O|0))}bpa(a,N);Ec[k[l>>2]&1023](a);ki(a,g,0,0);O=k[e>>2]|0;if((O|0)>0){Y=k[j>>2]|0;Ua=+p[k[h>>2]>>3];Va=0.0;S=0;while(1){Wa=Va+Ta*+p[Y+(S<<3)>>3]*Ua;S=S+1|0;if((S|0)>=(O|0)){Xa=Wa;break}else Va=Wa}}else Xa=0.0;Va=+$(+((+p[g>>3]-+p[f>>3])/Xa+-1.0));k[F>>2]=27524;k[d>>2]=27544;B=0;wa(508,_|0,V|0);O=B;B=0;if(O&1){aa=135;break}k[n>>2]=0;k[o>>2]=-1;k[F>>2]=27468;k[d>>2]=27488;B=0;va(448,V|0);O=B;B=0;if(O&1){aa=136;break}k[V>>2]=27560;k[Z>>2]=0;k[Z+4>>2]=0;k[Z+8>>2]=0;k[Z+12>>2]=0;k[q>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,V|0,c|0);O=B;B=0;if(O&1){aa=134;break}Yua(c);B=0;O=Ia(40,F|0,149175,1)|0;S=B;B=0;if(S&1){aa=148;break}k[O+(k[(k[O>>2]|0)+-12>>2]|0)+12>>2]=11;k[O+(k[(k[O>>2]|0)+-12>>2]|0)+8>>2]=5;B=0;S=Sa(1,O|0,+Ta)|0;O=B;B=0;if(O&1){aa=148;break}B=0;O=Ia(40,S|0,149175,1)|0;S=B;B=0;if(S&1){aa=148;break}k[O+(k[(k[O>>2]|0)+-12>>2]|0)+12>>2]=11;k[O+(k[(k[O>>2]|0)+-12>>2]|0)+8>>2]=5;B=0;S=Sa(1,O|0,+Va)|0;O=B;B=0;if(O&1){aa=148;break}B=0;Ia(40,S|0,149177,1)|0;S=B;B=0;if(S&1){aa=148;break}B=0;wa(510,G|0,V|0);S=B;B=0;if(S&1){aa=148;break}B=0;ya(425,G|0)|0;S=B;B=0;if(S&1){aa=149;break}Yua(G);k[F>>2]=27468;k[d>>2]=27488;k[V>>2]=27560;Yua(Z);Ava(V);vva(d);S=P<<1;p[fa+(S<<3)>>3]=Ta;p[fa+((S|1)<<3)>>3]=Va;P=P+1|0;if((P|0)>=26){aa=119;break}}if((aa|0)==119){P=a+48|0;q=k[P>>2]|0;o=Qqa(40)|0;B=0;n=ya(428,q|0)|0;_=B;B=0;do if(!(_&1)){k[o>>2]=27964;k[o+4>>2]=n+1;S=o+16|0;k[S>>2]=26;O=o+20|0;k[O>>2]=2;B=0;wa(512,o+8|0,764);Y=B;B=0;if(Y&1)break;k[o+24>>2]=0;p[o+32>>3]=0.0;Y=ma(k[O>>2]|0,k[S>>2]|0)|0;if(!Y)k[o+12>>2]=0;else{B=0;S=ya(422,(Y>>>0>536870911?-1:Y<<3)|0)|0;O=B;B=0;if(O&1)break;k[o+12>>2]=S;TEa(S|0,fa|0,Y<<3|0)|0}ih(q,o)|0;_oa(k[I>>2]|0,k[J>>2]|0,k[K>>2]|0,k[L>>2]|0,k[M>>2]|0,k[H>>2]|0,k[j>>2]|0);li(a,P);Tqa(fa);Y=k[j>>2]|0;if(Y)Tqa(Y);k[j>>2]=0;Tqa(N);if(!R){r=b;return}Tqa(R);r=b;return}while(0);P=Rb()|0;q=Q;Sqa(o);ba=P;ca=q;Qb(ba|0)}else if((aa|0)==134){q=Rb()|0;P=Q;Yua(c);Yua(Z);Ava(V);Ya=P;Za=q;aa=137}else if((aa|0)==135){q=Rb()|0;_a=Q;$a=q;vva(d);Qb($a|0)}else if((aa|0)==136){q=Rb()|0;Ya=Q;Za=q;aa=137}else if((aa|0)==148){q=Rb()|0;ab=q;bb=Q;aa=150}else if((aa|0)==149){q=Rb()|0;P=Q;Yua(G);ab=q;bb=P;aa=150}if((aa|0)==137){_a=Ya;$a=Za;vva(d);Qb($a|0)}else if((aa|0)==150){k[F>>2]=27468;k[d>>2]=27488;k[V>>2]=27560;Yua(Z);Ava(V);vva(d);ba=ab;ca=bb;Qb(ba|0)}}else aa=123;while(0);if((aa|0)==123){W=Rb()|0;Qa=W;Ra=Q}k[D>>2]=27468;k[ia>>2]=27488;k[ha>>2]=27560;Yua(t);Ava(ha);vva(ia);ba=Qa;ca=Ra;Qb(ba|0)}while(0);Ma=Oa;Na=Pa;vva(ia);Qb(Na|0)}while(0);if((aa|0)==120){da=Rb()|0;Ka=da;La=Q}k[A>>2]=27468;k[ea>>2]=27488;k[u>>2]=27560;Yua(T);Ava(u);vva(ea);ba=Ka;ca=La;Qb(ba|0)}while(0);Fa=Ha;Ga=Ja;vva(ea);Qb(Ga|0)}else aa=87;while(0);if((aa|0)==87){pa=Rb()|0;ua=pa;xa=Q}k[w>>2]=27468;k[ka>>2]=27488;k[na>>2]=27560;Yua(ja);Ava(na);vva(ka);ba=ua;ca=xa;Qb(ba|0)}while(0);qa=sa;ra=ta;vva(ka);Qb(ra|0)}function g0(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;switch(b|0){case 485:{i=528;k[a>>2]=i;r=c;return}case 487:{i=529;k[a>>2]=i;r=c;return}case 489:{i=517;k[a>>2]=i;r=c;return}case 518:case 499:{i=527;k[a>>2]=i;r=c;return}default:{c=e+56|0;i=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,i|0);a=B;B=0;if(a&1){a=Rb()|0;j=Q;l=a;vva(c);Qb(l|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,i|0);a=B;B=0;do if(a&1){m=Rb()|0;n=Q;o=m}else{k[i>>2]=27560;m=e+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,i|0,d|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(d);Yua(m);Ava(i);n=q;o=p;break}Yua(d);B=0;p=Ia(40,e|0,116120,45)|0;q=B;B=0;if((((!(q&1)?(B=0,q=ya(427,b|0)|0,s=B,B=0,!(s&1)):0)?(s=Lta(q)|0,B=0,t=Ia(40,p|0,q|0,s|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,t|0,116166,4)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,f|0,116171,91);t=B;B=0;do if(!(t&1)){B=0;eb(502,g|0,116263,34);q=B;B=0;if(q&1){q=Rb()|0;p=Q;Yua(f);u=p;v=q;break}B=0;wa(510,h|0,i|0);q=B;B=0;if(q&1){q=Rb()|0;w=Q;x=q;y=1}else{B=0;ua(163,s|0,f|0,g|0,41,h|0);q=B;B=0;if(q&1)z=1;else{B=0;eb(503,s|0,1240,229);B=0;z=0}q=Rb()|0;p=Q;Yua(h);w=p;x=q;y=z}Yua(g);Yua(f);if(y){u=w;v=x}else{A=w;C=x;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(m);Ava(i);vva(c);Qb(C|0)}}else{q=Rb()|0;u=Q;v=q}while(0);zb(s|0);A=u;C=v;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(m);Ava(i);vva(c);Qb(C|0)}t=Rb()|0;A=Q;C=t;k[e>>2]=27468;k[c>>2]=27488;k[i>>2]=27560;Yua(m);Ava(i);vva(c);Qb(C|0)}while(0);j=n;l=o;vva(c);Qb(l|0)}}}function h0(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0;b=r;r=r+1584|0;c=b+1540|0;d=b+1500|0;e=b+1577|0;f=b+1576|0;g=b+1352|0;h=b+1528|0;j=b+1216|0;l=b+1516|0;m=b+1064|0;n=b+1504|0;o=b+1052|0;p=b+904|0;q=b+1488|0;s=b+768|0;t=b+1200|0;u=b+608|0;v=b+1040|0;w=b+472|0;x=b+756|0;y=b+320|0;z=b+744|0;A=b;C=b+168|0;D=b+456|0;E=b+32|0;F=b+304|0;G=b+20|0;H=b+8|0;I=a+44|0;bO(k[I>>2]|0,e,759);cO(k[I>>2]|0,d,118);a:do if(CY()|0){J=g+56|0;K=g+4|0;k[g>>2]=27524;k[J>>2]=27544;B=0;wa(508,g+56|0,K|0);L=B;B=0;if(L&1){L=Rb()|0;M=Q;N=L;vva(J);Qb(N|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[J>>2]=27488;B=0;va(448,K|0);L=B;B=0;do if(L&1){O=Rb()|0;P=Q;R=O}else{k[K>>2]=27560;O=g+36|0;k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;k[O+12>>2]=0;k[g+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,K|0,c|0);S=B;B=0;if(S&1){S=Rb()|0;T=Q;Yua(c);Yua(O);Ava(K);P=T;R=S;break}Yua(c);B=0;Ia(40,g|0,116298,25)|0;S=B;B=0;do if(!(S&1)?(B=0,wa(510,h|0,K|0),T=B,B=0,!(T&1)):0){B=0;ya(425,h|0)|0;T=B;B=0;if(T&1){T=Rb()|0;U=Q;Yua(h);V=T;W=U;break}else{Yua(h);k[g>>2]=27468;k[J>>2]=27488;k[K>>2]=27560;Yua(O);Ava(K);vva(J);break a}}else X=14;while(0);if((X|0)==14){S=Rb()|0;V=S;W=Q}k[g>>2]=27468;k[J>>2]=27488;k[K>>2]=27560;Yua(O);Ava(K);vva(J);Y=V;Z=W;Qb(Y|0)}while(0);M=P;N=R;vva(J);Qb(N|0)}while(0);N=k[d>>2]|0;if((N|0)==119){o0(a);p0(a);_=k[d>>2]|0}else _=N;switch(_|0){case 119:{b:do if(CY()|0){_=j+56|0;N=j+4|0;k[j>>2]=27524;k[_>>2]=27544;B=0;wa(508,j+56|0,N|0);R=B;B=0;if(R&1){R=Rb()|0;$=Q;aa=R;vva(_);Qb(aa|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[_>>2]=27488;B=0;va(448,N|0);R=B;B=0;do if(R&1){P=Rb()|0;ba=Q;ca=P}else{k[N>>2]=27560;P=j+36|0;k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;k[P+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,N|0,c|0);M=B;B=0;if(M&1){M=Rb()|0;W=Q;Yua(c);Yua(P);Ava(N);ba=W;ca=M;break}Yua(c);B=0;Ia(40,j|0,116324,26)|0;M=B;B=0;do if(!(M&1)?(B=0,wa(510,l|0,N|0),W=B,B=0,!(W&1)):0){B=0;ya(425,l|0)|0;W=B;B=0;if(W&1){W=Rb()|0;V=Q;Yua(l);da=W;ea=V;break}else{Yua(l);k[j>>2]=27468;k[_>>2]=27488;k[N>>2]=27560;Yua(P);Ava(N);vva(_);break b}}else X=33;while(0);if((X|0)==33){M=Rb()|0;da=M;ea=Q}k[j>>2]=27468;k[_>>2]=27488;k[N>>2]=27560;Yua(P);Ava(N);vva(_);Y=da;Z=ea;Qb(Y|0)}while(0);$=ba;aa=ca;vva(_);Qb(aa|0)}while(0);xh(a,504);Woa(a,1);joa(a,699,768);if(!(i[e>>0]|0)){r=b;return}c:do if(CY()|0){aa=m+56|0;ca=m+4|0;k[m>>2]=27524;k[aa>>2]=27544;B=0;wa(508,m+56|0,ca|0);ba=B;B=0;if(ba&1){ba=Rb()|0;fa=Q;ga=ba;vva(aa);Qb(ga|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[aa>>2]=27488;B=0;va(448,ca|0);ba=B;B=0;do if(ba&1){$=Rb()|0;ha=Q;ia=$}else{k[ca>>2]=27560;$=m+36|0;k[$>>2]=0;k[$+4>>2]=0;k[$+8>>2]=0;k[$+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ca|0,c|0);ea=B;B=0;if(ea&1){ea=Rb()|0;da=Q;Yua(c);Yua($);Ava(ca);ha=da;ia=ea;break}Yua(c);B=0;Ia(40,m|0,116351,19)|0;ea=B;B=0;do if(!(ea&1)?(B=0,wa(510,n|0,ca|0),da=B,B=0,!(da&1)):0){B=0;ya(425,n|0)|0;da=B;B=0;if(da&1){da=Rb()|0;j=Q;Yua(n);ja=da;ka=j;break}else{Yua(n);k[m>>2]=27468;k[aa>>2]=27488;k[ca>>2]=27560;Yua($);Ava(ca);vva(aa);break c}}else X=50;while(0);if((X|0)==50){ea=Rb()|0;ja=ea;ka=Q}k[m>>2]=27468;k[aa>>2]=27488;k[ca>>2]=27560;Yua($);Ava(ca);vva(aa);Y=ja;Z=ka;Qb(Y|0)}while(0);fa=ha;ga=ia;vva(aa);Qb(ga|0)}while(0);k[o>>2]=k[9243];k[o+4>>2]=k[9244];k[o+8>>2]=k[9245];fi(a,a+48|0,o,3,1);d:do if(CY()|0){o=p+56|0;ga=p+4|0;k[p>>2]=27524;k[o>>2]=27544;B=0;wa(508,p+56|0,ga|0);ia=B;B=0;if(ia&1){ia=Rb()|0;la=Q;ma=ia;vva(o);Qb(ma|0)}k[p+128>>2]=0;k[p+132>>2]=-1;k[p>>2]=27468;k[o>>2]=27488;B=0;va(448,ga|0);ia=B;B=0;do if(ia&1){ha=Rb()|0;na=Q;oa=ha}else{k[ga>>2]=27560;ha=p+36|0;k[ha>>2]=0;k[ha+4>>2]=0;k[ha+8>>2]=0;k[ha+12>>2]=0;k[p+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ga|0,c|0);fa=B;B=0;if(fa&1){fa=Rb()|0;ka=Q;Yua(c);Yua(ha);Ava(ga);na=ka;oa=fa;break}Yua(c);B=0;Ia(40,p|0,116371,28)|0;fa=B;B=0;do if(!(fa&1)?(B=0,wa(510,q|0,ga|0),ka=B,B=0,!(ka&1)):0){B=0;ya(425,q|0)|0;ka=B;B=0;if(ka&1){ka=Rb()|0;ja=Q;Yua(q);pa=ka;qa=ja;break}else{Yua(q);k[p>>2]=27468;k[o>>2]=27488;k[ga>>2]=27560;Yua(ha);Ava(ga);vva(o);break d}}else X=66;while(0);if((X|0)==66){fa=Rb()|0;pa=fa;qa=Q}k[p>>2]=27468;k[o>>2]=27488;k[ga>>2]=27560;Yua(ha);Ava(ga);vva(o);Y=pa;Z=qa;Qb(Y|0)}while(0);la=na;ma=oa;vva(o);Qb(ma|0)}while(0);CZ(a);r=b;return}case 122:{joa(a,123,124);bO(k[I>>2]|0,f,152);if(i[f>>0]|0){joa(a,127,128);joa(a,148,149)}i0(a);if(!(i[e>>0]|0)){r=b;return}e:do if(CY()|0){I=s+56|0;ma=s+4|0;k[s>>2]=27524;k[I>>2]=27544;B=0;wa(508,s+56|0,ma|0);oa=B;B=0;if(oa&1){oa=Rb()|0;ra=Q;sa=oa;vva(I);Qb(sa|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[I>>2]=27488;B=0;va(448,ma|0);oa=B;B=0;do if(oa&1){na=Rb()|0;ta=Q;xa=na}else{k[ma>>2]=27560;na=s+36|0;k[na>>2]=0;k[na+4>>2]=0;k[na+8>>2]=0;k[na+12>>2]=0;k[s+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ma|0,c|0);la=B;B=0;if(la&1){la=Rb()|0;qa=Q;Yua(c);Yua(na);Ava(ma);ta=qa;xa=la;break}Yua(c);B=0;Ia(40,s|0,116351,19)|0;la=B;B=0;do if(!(la&1)?(B=0,wa(510,t|0,ma|0),qa=B,B=0,!(qa&1)):0){B=0;ya(425,t|0)|0;qa=B;B=0;if(qa&1){qa=Rb()|0;pa=Q;Yua(t);za=qa;Aa=pa;break}else{Yua(t);k[s>>2]=27468;k[I>>2]=27488;k[ma>>2]=27560;Yua(na);Ava(ma);vva(I);break e}}else X=86;while(0);if((X|0)==86){la=Rb()|0;za=la;Aa=Q}k[s>>2]=27468;k[I>>2]=27488;k[ma>>2]=27560;Yua(na);Ava(ma);vva(I);Y=za;Z=Aa;Qb(Y|0)}while(0);ra=ta;sa=xa;vva(I);Qb(sa|0)}while(0);if(!(i[f>>0]|0)){k[c>>2]=k[9255];k[c+4>>2]=k[9256];k[c+8>>2]=k[9257];fi(a,a+48|0,c,3,1)}else{f=c;sa=36984;xa=f+36|0;do{k[f>>2]=k[sa>>2];f=f+4|0;sa=sa+4|0}while((f|0)<(xa|0));fi(a,a+48|0,c,9,1)}f:do if(CY()|0){sa=u+56|0;f=u+4|0;k[u>>2]=27524;k[sa>>2]=27544;B=0;wa(508,u+56|0,f|0);xa=B;B=0;if(xa&1){xa=Rb()|0;Ba=Q;Ca=xa;vva(sa);Qb(Ca|0)}k[u+128>>2]=0;k[u+132>>2]=-1;k[u>>2]=27468;k[sa>>2]=27488;B=0;va(448,f|0);xa=B;B=0;do if(xa&1){ta=Rb()|0;Da=Q;Ea=ta}else{k[f>>2]=27560;ta=u+36|0;k[ta>>2]=0;k[ta+4>>2]=0;k[ta+8>>2]=0;k[ta+12>>2]=0;k[u+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,f|0,c|0);ra=B;B=0;if(ra&1){ra=Rb()|0;Aa=Q;Yua(c);Yua(ta);Ava(f);Da=Aa;Ea=ra;break}Yua(c);B=0;Ia(40,u|0,116371,28)|0;ra=B;B=0;do if(!(ra&1)?(B=0,wa(510,v|0,f|0),Aa=B,B=0,!(Aa&1)):0){B=0;ya(425,v|0)|0;Aa=B;B=0;if(Aa&1){Aa=Rb()|0;za=Q;Yua(v);Fa=Aa;Ga=za;break}else{Yua(v);k[u>>2]=27468;k[sa>>2]=27488;k[f>>2]=27560;Yua(ta);Ava(f);vva(sa);break f}}else X=105;while(0);if((X|0)==105){ra=Rb()|0;Fa=ra;Ga=Q}k[u>>2]=27468;k[sa>>2]=27488;k[f>>2]=27560;Yua(ta);Ava(f);vva(sa);Y=Fa;Z=Ga;Qb(Y|0)}while(0);Ba=Da;Ca=Ea;vva(sa);Qb(Ca|0)}while(0);CZ(a);r=b;return}case 165:{xh(a,507);Woa(a,1);g:do if(CY()|0){Ca=w+56|0;Ea=w+4|0;k[w>>2]=27524;k[Ca>>2]=27544;B=0;wa(508,w+56|0,Ea|0);Da=B;B=0;if(Da&1){Da=Rb()|0;Ha=Q;Ja=Da;vva(Ca);Qb(Ja|0)}k[w+128>>2]=0;k[w+132>>2]=-1;k[w>>2]=27468;k[Ca>>2]=27488;B=0;va(448,Ea|0);Da=B;B=0;do if(Da&1){Ba=Rb()|0;Ka=Q;La=Ba}else{k[Ea>>2]=27560;Ba=w+36|0;k[Ba>>2]=0;k[Ba+4>>2]=0;k[Ba+8>>2]=0;k[Ba+12>>2]=0;k[w+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ea|0,c|0);Ga=B;B=0;if(Ga&1){Ga=Rb()|0;Fa=Q;Yua(c);Yua(Ba);Ava(Ea);Ka=Fa;La=Ga;break}Yua(c);B=0;Ia(40,w|0,116400,23)|0;Ga=B;B=0;do if(!(Ga&1)?(B=0,wa(510,x|0,Ea|0),Fa=B,B=0,!(Fa&1)):0){B=0;ya(425,x|0)|0;Fa=B;B=0;if(Fa&1){Fa=Rb()|0;u=Q;Yua(x);Ma=Fa;Na=u;break}else{Yua(x);k[w>>2]=27468;k[Ca>>2]=27488;k[Ea>>2]=27560;Yua(Ba);Ava(Ea);vva(Ca);break g}}else X=122;while(0);if((X|0)==122){Ga=Rb()|0;Ma=Ga;Na=Q}k[w>>2]=27468;k[Ca>>2]=27488;k[Ea>>2]=27560;Yua(Ba);Ava(Ea);vva(Ca);Y=Ma;Z=Na;Qb(Y|0)}while(0);Ha=Ka;Ja=La;vva(Ca);Qb(Ja|0)}while(0);Ja=Qqa(4)|0;k[Ja>>2]=39164;Uca(Ja,a);Ec[k[(k[Ja>>2]|0)+4>>2]&1023](Ja);if(!(i[e>>0]|0)){r=b;return}h:do if(CY()|0){e=y+56|0;Ja=y+4|0;k[y>>2]=27524;k[e>>2]=27544;B=0;wa(508,y+56|0,Ja|0);La=B;B=0;if(La&1){La=Rb()|0;Oa=Q;Pa=La;vva(e);Qb(Pa|0)}k[y+128>>2]=0;k[y+132>>2]=-1;k[y>>2]=27468;k[e>>2]=27488;B=0;va(448,Ja|0);La=B;B=0;do if(La&1){Ka=Rb()|0;Qa=Q;Ra=Ka}else{k[Ja>>2]=27560;Ka=y+36|0;k[Ka>>2]=0;k[Ka+4>>2]=0;k[Ka+8>>2]=0;k[Ka+12>>2]=0;k[y+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ja|0,c|0);Ha=B;B=0;if(Ha&1){Ha=Rb()|0;Na=Q;Yua(c);Yua(Ka);Ava(Ja);Qa=Na;Ra=Ha;break}Yua(c);B=0;Ia(40,y|0,116351,19)|0;Ha=B;B=0;do if(!(Ha&1)?(B=0,wa(510,z|0,Ja|0),Na=B,B=0,!(Na&1)):0){B=0;ya(425,z|0)|0;Na=B;B=0;if(Na&1){Na=Rb()|0;Ma=Q;Yua(z);Sa=Na;Ta=Ma;break}else{Yua(z);k[y>>2]=27468;k[e>>2]=27488;k[Ja>>2]=27560;Yua(Ka);Ava(Ja);vva(e);break h}}else X=139;while(0);if((X|0)==139){Ha=Rb()|0;Sa=Ha;Ta=Q}k[y>>2]=27468;k[e>>2]=27488;k[Ja>>2]=27560;Yua(Ka);Ava(Ja);vva(e);Y=Sa;Z=Ta;Qb(Y|0)}while(0);Oa=Qa;Pa=Ra;vva(e);Qb(Pa|0)}while(0);Pa=A;k[Pa>>2]=166;k[Pa+4>>2]=167;fi(a,a+48|0,A,2,1);i:do if(CY()|0){A=C+56|0;Pa=C+4|0;k[C>>2]=27524;k[A>>2]=27544;B=0;wa(508,C+56|0,Pa|0);Ra=B;B=0;if(Ra&1){Ra=Rb()|0;Ua=Q;Va=Ra;vva(A);Qb(Va|0)}k[C+128>>2]=0;k[C+132>>2]=-1;k[C>>2]=27468;k[A>>2]=27488;B=0;va(448,Pa|0);Ra=B;B=0;do if(Ra&1){Qa=Rb()|0;Wa=Q;Ya=Qa}else{k[Pa>>2]=27560;Qa=C+36|0;k[Qa>>2]=0;k[Qa+4>>2]=0;k[Qa+8>>2]=0;k[Qa+12>>2]=0;k[C+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Pa|0,c|0);Oa=B;B=0;if(Oa&1){Oa=Rb()|0;Ta=Q;Yua(c);Yua(Qa);Ava(Pa);Wa=Ta;Ya=Oa;break}Yua(c);B=0;Ia(40,C|0,116371,28)|0;Oa=B;B=0;do if(!(Oa&1)?(B=0,wa(510,D|0,Pa|0),Ta=B,B=0,!(Ta&1)):0){B=0;ya(425,D|0)|0;Ta=B;B=0;if(Ta&1){Ta=Rb()|0;Sa=Q;Yua(D);Za=Ta;_a=Sa;break}else{Yua(D);k[C>>2]=27468;k[A>>2]=27488;k[Pa>>2]=27560;Yua(Qa);Ava(Pa);vva(A);break i}}else X=155;while(0);if((X|0)==155){Oa=Rb()|0;Za=Oa;_a=Q}k[C>>2]=27468;k[A>>2]=27488;k[Pa>>2]=27560;Yua(Qa);Ava(Pa);vva(A);Y=Za;Z=_a;Qb(Y|0)}while(0);Ua=Wa;Va=Ya;vva(A);Qb(Va|0)}while(0);CZ(a);r=b;return}default:{b=E+56|0;a=E+4|0;k[E>>2]=27524;k[b>>2]=27544;B=0;wa(508,E+56|0,a|0);Va=B;B=0;if(Va&1){Va=Rb()|0;$a=Q;ab=Va;vva(b);Qb(ab|0)}k[E+128>>2]=0;k[E+132>>2]=-1;k[E>>2]=27468;k[b>>2]=27488;B=0;va(448,a|0);Va=B;B=0;do if(Va&1){Ya=Rb()|0;bb=Q;cb=Ya}else{k[a>>2]=27560;Ya=E+36|0;k[Ya>>2]=0;k[Ya+4>>2]=0;k[Ya+8>>2]=0;k[Ya+12>>2]=0;k[E+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,a|0,c|0);Wa=B;B=0;if(Wa&1){Wa=Rb()|0;Ua=Q;Yua(c);Yua(Ya);Ava(a);bb=Ua;cb=Wa;break}Yua(c);B=0;Wa=Ia(40,E|0,116424,16)|0;Ua=B;B=0;j:do if((((!(Ua&1)?(B=0,_a=ya(427,k[d>>2]|0)|0,Za=B,B=0,!(Za&1)):0)?(Za=Lta(_a)|0,B=0,C=Ia(40,Wa|0,_a|0,Za|0)|0,Za=B,B=0,!(Za&1)):0)?(B=0,Za=Ia(40,C|0,146481,18)|0,C=B,B=0,!(C&1)):0)?(B=0,Xa(239,Za|0,0)|0,Za=B,B=0,!(Za&1)):0){Za=Ab(20)|0;B=0;eb(502,F|0,116441,71);C=B;B=0;do if(!(C&1)){B=0;eb(502,G|0,116513,14);_a=B;B=0;if(_a&1){_a=Rb()|0;D=Q;Yua(F);db=D;fb=_a;break}B=0;wa(510,H|0,a|0);_a=B;B=0;if(_a&1){_a=Rb()|0;gb=1;hb=_a;ib=Q}else{B=0;ua(163,Za|0,F|0,G|0,100,H|0);_a=B;B=0;if(_a&1)jb=1;else{B=0;eb(503,Za|0,1240,229);B=0;jb=0}_a=Rb()|0;D=Q;Yua(H);gb=jb;hb=_a;ib=D}Yua(G);Yua(F);if(gb){db=ib;fb=hb}else{kb=ib;lb=hb;break j}}else{D=Rb()|0;db=Q;fb=D}while(0);zb(Za|0);kb=db;lb=fb}else X=177;while(0);if((X|0)==177){Wa=Rb()|0;kb=Q;lb=Wa}k[E>>2]=27468;k[b>>2]=27488;k[a>>2]=27560;Yua(Ya);Ava(a);vva(b);Y=lb;Z=kb;Qb(Y|0)}while(0);$a=bb;ab=cb;vva(b);Qb(ab|0)}}}function i0(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Gc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0.0,Sc=0.0,Tc=0.0,Uc=0.0,Vc=0.0,Wc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0.0,dd=0.0,ed=0.0,fd=0,gd=0,hd=0,jd=0.0,kd=0.0,ld=0,md=0.0,nd=0.0,od=0.0,pd=0,qd=0.0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0,ke=0,le=0,me=0,ne=0,oe=0,pe=0,qe=0,re=0,se=0,te=0,ue=0,ve=0,we=0,xe=0,ye=0,ze=0,Ae=0,Be=0,Ce=0,De=0,Ee=0,Fe=0,Ge=0,He=0,Ie=0,Je=0,Ke=0,Le=0,Me=0,Ne=0,Oe=0,Pe=0,Qe=0,Re=0,Se=0,Te=0,Ue=0,Ve=0,We=0,Xe=0,Ye=0,Ze=0,_e=0,$e=0,af=0,bf=0,cf=0,df=0,ef=0,ff=0,gf=0,hf=0,jf=0,kf=0,lf=0,mf=0,nf=0,of=0,pf=0,qf=0,rf=0,sf=0,tf=0,uf=0,vf=0,wf=0,xf=0,yf=0,zf=0,Af=0,Bf=0,Cf=0,Df=0,Ef=0,Ff=0,Gf=0,Hf=0,If=0,Jf=0,Kf=0,Lf=0,Mf=0,Nf=0,Of=0,Pf=0,Qf=0,Rf=0,Sf=0,Tf=0,Uf=0,Vf=0,Wf=0,Xf=0,Yf=0,Zf=0,_f=0,$f=0,ag=0,bg=0,cg=0,dg=0,eg=0,fg=0,gg=0,hg=0,ig=0,jg=0,kg=0,lg=0,mg=0,ng=0;b=r;r=r+3136|0;c=b+3108|0;d=b+3092|0;e=b+3088|0;f=b+3084|0;g=b+3068|0;h=b+3052|0;j=b+3036|0;l=b+3020|0;m=b+3016|0;n=b+3012|0;o=b+3120|0;q=b+2984|0;s=b+2968|0;u=b+2964|0;v=b+24|0;w=b+16|0;x=b+8|0;y=b;z=b+2792|0;A=b+3096|0;C=b+2640|0;D=b+3072|0;E=b+2504|0;F=b+3056|0;G=b+3040|0;H=b+3024|0;I=b+2352|0;J=b+3e3|0;K=b+2988|0;L=b+2972|0;M=b+2216|0;N=b+2952|0;O=b+2064|0;P=b+2940|0;R=b+1912|0;S=b+2928|0;T=b+1776|0;U=b+2776|0;V=b+1624|0;W=b+2488|0;X=b+2200|0;Y=b+2048|0;Z=b+1472|0;_=b+1760|0;aa=b+1336|0;ba=b+1608|0;ca=b+1320|0;da=b+1168|0;ea=b+1184|0;fa=b+880|0;ga=b+1032|0;ha=b+728|0;ia=b+440|0;ja=b+288|0;ka=b+896|0;la=b+140|0;ma=b+128|0;na=b+116|0;oa=b+744|0;pa=b+104|0;qa=b+592|0;ra=b+92|0;sa=b+456|0;ta=b+80|0;xa=b+304|0;za=b+68|0;Aa=b+152|0;Ba=b+56|0;Ca=b+44|0;Da=b+32|0;k[d>>2]=0;k[e>>2]=0;k[f>>2]=0;k[g>>2]=0;k[h>>2]=0;k[j>>2]=0;k[l>>2]=0;k[m>>2]=0;k[n>>2]=0;xh(a,505);Ea=a+44|0;bO(k[Ea>>2]|0,o,152);cO(k[Ea>>2]|0,u,132);dO(k[Ea>>2]|0,w,133);Fa=i[o>>0]|0;Aoa(d,a);Ga=a+24|0;Koa(e,k[d>>2]|0,k[Ga>>2]|0,k[Ea>>2]|0);if(!(i[o>>0]|0)){Ha=0;Ja=0}else{Ka=Qqa(4)|0;k[Ka>>2]=39240;La=Qqa(4)|0;k[La>>2]=39316;xh(a,506);Aoa(f,a);oda(Ka,a);wda(La,a);Ha=La;Ja=Ka}Ka=z+56|0;La=z+4|0;Ma=z+56|0;Na=z+128|0;Oa=z+132|0;Pa=z+36|0;Qa=z+52|0;Ra=C+56|0;Ta=C+4|0;Ua=C+56|0;Va=C+128|0;Wa=C+132|0;Ya=C+36|0;Za=C+52|0;_a=M+56|0;$a=M+4|0;ab=M+56|0;bb=M+128|0;cb=M+132|0;db=M+36|0;fb=M+52|0;gb=O+56|0;hb=O+4|0;ib=O+56|0;jb=O+128|0;kb=O+132|0;lb=O+36|0;mb=O+52|0;nb=xa+56|0;ob=xa+4|0;pb=xa+56|0;qb=xa+128|0;rb=xa+132|0;sb=xa+36|0;tb=xa+52|0;ub=oa+56|0;vb=oa+4|0;wb=oa+56|0;xb=oa+128|0;yb=oa+132|0;Bb=oa+36|0;Cb=oa+52|0;Db=qa+56|0;Eb=qa+4|0;Fb=qa+56|0;Gb=qa+128|0;Hb=qa+132|0;Ib=qa+36|0;Jb=qa+52|0;Kb=sa+56|0;Lb=sa+4|0;Mb=sa+56|0;Nb=sa+128|0;Ob=sa+132|0;Pb=sa+36|0;Sb=sa+52|0;Tb=R+56|0;Ub=R+4|0;Vb=R+56|0;Wb=R+128|0;Xb=R+132|0;Yb=R+36|0;Zb=R+52|0;_b=T+56|0;$b=T+4|0;ac=T+56|0;bc=T+128|0;cc=T+132|0;dc=T+36|0;ec=T+52|0;fc=Z+56|0;gc=Z+4|0;hc=Z+56|0;ic=Z+128|0;jc=Z+132|0;kc=Z+36|0;lc=Z+52|0;mc=ea+56|0;nc=ea+4|0;oc=ea+56|0;pc=ea+128|0;qc=ea+132|0;rc=ea+36|0;sc=ea+52|0;tc=Fa<<24>>24!=1;Fa=1;uc=0;vc=0;wc=0;a:while(1){if(i[o>>0]|0){xc=k[d>>2]|0;yc=Qqa(8)|0;B=0;va(485,yc|0);zc=B;B=0;if(zc&1){Ac=yc;Bc=7;break}if(k[xc>>2]|0){zc=k[xc+4>>2]|0;xc=Qqa(4)|0;Cc=k[zc>>2]|0;Dc=Hc[k[(k[Cc>>2]|0)+36>>2]&511](Cc)|0;k[xc>>2]=Dc;Cc=k[zc>>2]|0;Fc[k[(k[Cc>>2]|0)+60>>2]&1023](Cc,Dc);k[yc+4>>2]=xc}xc=k[d>>2]|0;if(k[xc>>2]|0){Dc=k[k[xc+4>>2]>>2]|0;Fc[k[(k[Dc>>2]|0)+60>>2]&1023](Dc,k[k[yc+4>>2]>>2]|0)}Dc=k[f>>2]|0;xc=Qqa(8)|0;B=0;va(485,xc|0);Cc=B;B=0;if(Cc&1){Gc=xc;Bc=13;break}if(k[Dc>>2]|0){Cc=k[Dc+4>>2]|0;Dc=Qqa(4)|0;zc=k[Cc>>2]|0;Ic=Hc[k[(k[zc>>2]|0)+36>>2]&511](zc)|0;k[Dc>>2]=Ic;zc=k[Cc>>2]|0;Fc[k[(k[zc>>2]|0)+60>>2]&1023](zc,Ic);k[xc+4>>2]=Dc}Dc=k[f>>2]|0;if(!(k[Dc>>2]|0)){Jc=xc;Kc=yc}else{Ic=k[k[Dc+4>>2]>>2]|0;Fc[k[(k[Ic>>2]|0)+60>>2]&1023](Ic,k[k[xc+4>>2]>>2]|0);Jc=xc;Kc=yc}}else{Jc=vc;Kc=wc}xh(a,505);uoa(a,1,656);uoa(a,0,645);Eh(a);oO(k[Ea>>2]|0,162,161);Noa(a);yc=1;while(1){xc=k[e>>2]|0;Ic=Qqa(8)|0;B=0;va(485,Ic|0);Dc=B;B=0;if(Dc&1){Lc=Ic;Bc=20;break a}if(k[xc>>2]|0){Dc=k[xc+4>>2]|0;xc=Qqa(4)|0;zc=k[Dc>>2]|0;Cc=Hc[k[(k[zc>>2]|0)+36>>2]&511](zc)|0;k[xc>>2]=Cc;zc=k[Dc>>2]|0;Fc[k[(k[zc>>2]|0)+60>>2]&1023](zc,Cc);k[Ic+4>>2]=xc}xc=k[e>>2]|0;if(!(k[xc>>2]|0))Mc=yc;else{Cc=k[k[xc+4>>2]>>2]|0;Fc[k[(k[Cc>>2]|0)+60>>2]&1023](Cc,k[k[Ic+4>>2]>>2]|0);Mc=yc}while(1){if(CY()|0){k[z>>2]=27524;k[Ka>>2]=27544;B=0;wa(508,Ma|0,La|0);Cc=B;B=0;if(Cc&1){Bc=29;break a}k[Na>>2]=0;k[Oa>>2]=-1;k[z>>2]=27468;k[Ka>>2]=27488;B=0;va(448,La|0);Cc=B;B=0;if(Cc&1){Bc=30;break a}k[La>>2]=27560;k[Pa>>2]=0;k[Pa+4>>2]=0;k[Pa+8>>2]=0;k[Pa+12>>2]=0;k[Qa>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,La|0,c|0);Cc=B;B=0;if(Cc&1){Bc=28;break a}Yua(c);B=0;Ia(40,z|0,116528,28)|0;Cc=B;B=0;if(Cc&1){Bc=37;break a}B=0;wa(510,A|0,La|0);Cc=B;B=0;if(Cc&1){Bc=37;break a}B=0;ya(425,A|0)|0;Cc=B;B=0;if(Cc&1){Bc=38;break a}Yua(A);k[z>>2]=27468;k[Ka>>2]=27488;k[La>>2]=27560;Yua(Pa);Ava(La);vva(Ka)}ooa(j,l,m,n,v,a);poa(h,k[Ga>>2]|0,505);Loa(k[m>>2]|0,k[l>>2]|0,k[h>>2]|0,0);Cc=k[l>>2]|0;if(Cc){if((k[Cc>>2]|0)!=0?(xc=k[Cc+4>>2]|0,(xc|0)!=0):0){zc=k[xc>>2]|0;if(zc)Ec[k[(k[zc>>2]|0)+4>>2]&1023](zc);Sqa(xc)}Sqa(Cc)}Cc=k[e>>2]|0;if(Cc){if((k[Cc>>2]|0)!=0?(xc=k[Cc+4>>2]|0,(xc|0)!=0):0){zc=k[xc>>2]|0;if(zc)Ec[k[(k[zc>>2]|0)+4>>2]&1023](zc);Sqa(xc)}Sqa(Cc)}Poa(e,k[j>>2]|0,k[m>>2]|0,Ic,k[n>>2]|0,k[Ea>>2]|0);Cc=k[j>>2]|0;if(Cc){if((k[Cc>>2]|0)!=0?(xc=k[Cc+4>>2]|0,(xc|0)!=0):0){zc=k[xc>>2]|0;if(zc)Ec[k[(k[zc>>2]|0)+4>>2]&1023](zc);Sqa(xc)}Sqa(Cc)}Cc=k[m>>2]|0;if(Cc){if((k[Cc>>2]|0)!=0?(xc=k[Cc+4>>2]|0,(xc|0)!=0):0){zc=k[xc>>2]|0;if(zc)Ec[k[(k[zc>>2]|0)+4>>2]&1023](zc);Sqa(xc)}Sqa(Cc)}Cc=k[n>>2]|0;if(Cc){if((k[Cc>>2]|0)!=0?(xc=k[Cc+4>>2]|0,(xc|0)!=0):0){zc=k[xc>>2]|0;if(zc)Ec[k[(k[zc>>2]|0)+4>>2]&1023](zc);Sqa(xc)}Sqa(Cc)}Cc=k[d>>2]|0;if(Cc){if((k[Cc>>2]|0)!=0?(xc=k[Cc+4>>2]|0,(xc|0)!=0):0){zc=k[xc>>2]|0;if(zc)Ec[k[(k[zc>>2]|0)+4>>2]&1023](zc);Sqa(xc)}Sqa(Cc)}Roa(d,k[e>>2]|0,k[h>>2]|0,k[Ga>>2]|0,k[Ea>>2]|0,0);Cc=k[h>>2]|0;if(Cc){if((k[Cc>>2]|0)!=0?(xc=k[Cc+4>>2]|0,(xc|0)!=0):0){zc=k[xc>>2]|0;if(zc)Ec[k[(k[zc>>2]|0)+4>>2]&1023](zc);Sqa(xc)}Sqa(Cc)}xoa(a,k[d>>2]|0);Moa(q,s,a);if(EY()|0){k[C>>2]=27524;k[Ra>>2]=27544;B=0;wa(508,Ua|0,Ta|0);Cc=B;B=0;if(Cc&1){Bc=94;break a}k[Va>>2]=0;k[Wa>>2]=-1;k[C>>2]=27468;k[Ra>>2]=27488;B=0;va(448,Ta|0);Cc=B;B=0;if(Cc&1){Bc=95;break a}k[Ta>>2]=27560;k[Ya>>2]=0;k[Ya+4>>2]=0;k[Ya+8>>2]=0;k[Ya+12>>2]=0;k[Za>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ta|0,c|0);Cc=B;B=0;if(Cc&1){Bc=93;break a}Yua(c);B=0;Cc=Ia(40,C|0,116557,37)|0;xc=B;B=0;if(xc&1){Bc=104;break a}B=0;xc=Xa(242,Cc|0,k[s>>2]|0)|0;Cc=B;B=0;if(Cc&1){Bc=104;break a}B=0;Ia(40,xc|0,149177,1)|0;xc=B;B=0;if(xc&1){Bc=104;break a}B=0;wa(510,D|0,Ta|0);xc=B;B=0;if(xc&1){Bc=104;break a}B=0;ya(425,D|0)|0;xc=B;B=0;if(xc&1){Bc=105;break a}Yua(D);k[C>>2]=27468;k[Ra>>2]=27488;k[Ta>>2]=27560;Yua(Ya);Ava(Ta);vva(Ra)}if((Mc|0)>=(k[u>>2]|0)){Bc=108;break a}xc=Mc+1|0;if(!(k[s>>2]|0)){Nc=xc;break}else Mc=xc}xc=Qqa(8)|0;B=0;va(485,xc|0);Cc=B;B=0;if(Cc&1){Oc=xc;Bc=136;break a}if((k[Ic>>2]|0)!=0?(Cc=Ic+4|0,zc=k[Cc>>2]|0,Dc=Qqa(4)|0,Pc=k[zc>>2]|0,Qc=Hc[k[(k[Pc>>2]|0)+36>>2]&511](Pc)|0,k[Dc>>2]=Qc,Pc=k[zc>>2]|0,Fc[k[(k[Pc>>2]|0)+60>>2]&1023](Pc,Qc),k[xc+4>>2]=Dc,(k[Ic>>2]|0)!=0):0){Qc=k[k[Cc>>2]>>2]|0;Fc[k[(k[Qc>>2]|0)+60>>2]&1023](Qc,k[Dc>>2]|0)}if((k[xc>>2]|0)!=0?(Dc=xc+4|0,Qc=k[k[Dc>>2]>>2]|0,Xc[k[(k[Qc>>2]|0)+48>>2]&63](Qc,k[k[(k[e>>2]|0)+4>>2]>>2]|0,-1.0),(k[xc>>2]|0)!=0):0){Qc=k[k[Dc>>2]>>2]|0;Rc=+id[k[(k[Qc>>2]|0)+64>>2]&63](Qc,1);if((k[xc>>2]|0)!=0?(Qc=k[Dc>>2]|0,(Qc|0)!=0):0){Dc=k[Qc>>2]|0;if(Dc)Ec[k[(k[Dc>>2]|0)+4>>2]&1023](Dc);Sqa(Qc);Sc=Rc}else Sc=Rc}else Sc=0.0;Sqa(xc);if(!(k[Ic>>2]|0))Tc=0.0;else{xc=k[k[Ic+4>>2]>>2]|0;Tc=+id[k[(k[xc>>2]|0)+64>>2]&63](xc,1)}Rc=+$(+Sc);p[t>>3]=Rc;xc=k[t+4>>2]|0;if(xc>>>0>2146435072|(xc|0)==2146435072&(k[t>>2]|0)>>>0>0){Bc=150;break a}Rc=+$(+Tc);p[t>>3]=Rc;xc=k[t+4>>2]|0;if(xc>>>0>2146435072|(xc|0)==2146435072&(k[t>>2]|0)>>>0>0){Bc=150;break a}Rc=Sc==0.0&Tc==0.0?1.0e-06:Tc;if(EY()|0){k[M>>2]=27524;k[_a>>2]=27544;B=0;wa(508,ab|0,$a|0);xc=B;B=0;if(xc&1){Bc=179;break a}k[bb>>2]=0;k[cb>>2]=-1;k[M>>2]=27468;k[_a>>2]=27488;B=0;va(448,$a|0);xc=B;B=0;if(xc&1){Bc=180;break a}k[$a>>2]=27560;k[db>>2]=0;k[db+4>>2]=0;k[db+8>>2]=0;k[db+12>>2]=0;k[fb>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,$a|0,c|0);xc=B;B=0;if(xc&1){Bc=178;break a}Yua(c);k[M+(k[(k[M>>2]|0)+-12>>2]|0)+12>>2]=50;xc=M+(k[(k[M>>2]|0)+-12>>2]|0)+4|0;k[xc>>2]=k[xc>>2]&-177|32;B=0;xc=Ia(40,M|0,116784,40)|0;Qc=B;B=0;if(Qc&1){Bc=191;break a}Uc=Sc/Rc;B=0;Qc=Sa(1,xc|0,+(Uc*100.0))|0;xc=B;B=0;if(xc&1){Bc=191;break a}B=0;xc=Ia(40,Qc|0,116825,21)|0;Qc=B;B=0;if(Qc&1){Bc=191;break a}B=0;Qc=Sa(1,xc|0,+(+p[w>>3]*10.0*100.0))|0;xc=B;B=0;if(xc&1){Bc=191;break a}B=0;Ia(40,Qc|0,148274,3)|0;Qc=B;B=0;if(Qc&1){Bc=191;break a}B=0;wa(510,N|0,$a|0);Qc=B;B=0;if(Qc&1){Bc=191;break a}B=0;ya(425,N|0)|0;Qc=B;B=0;if(Qc&1){Bc=192;break a}Yua(N);k[M>>2]=27468;k[_a>>2]=27488;k[$a>>2]=27560;Yua(db);Ava($a);vva(_a);Vc=Uc}else Vc=Sc/Rc;if(Vc<+p[w>>3]*10.0)if(EY()|0){k[O>>2]=27524;k[gb>>2]=27544;B=0;wa(508,ib|0,hb|0);Qc=B;B=0;if(Qc&1){Bc=200;break a}k[jb>>2]=0;k[kb>>2]=-1;k[O>>2]=27468;k[gb>>2]=27488;B=0;va(448,hb|0);Qc=B;B=0;if(Qc&1){Bc=201;break a}k[hb>>2]=27560;k[lb>>2]=0;k[lb+4>>2]=0;k[lb+8>>2]=0;k[lb+12>>2]=0;k[mb>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,hb|0,c|0);Qc=B;B=0;if(Qc&1){Bc=199;break a}Yua(c);B=0;Ia(40,O|0,116847,41)|0;Qc=B;B=0;if(Qc&1){Bc=208;break a}B=0;wa(510,P|0,hb|0);Qc=B;B=0;if(Qc&1){Bc=208;break a}B=0;ya(425,P|0)|0;Qc=B;B=0;if(Qc&1){Bc=209;break a}Yua(P);k[O>>2]=27468;k[gb>>2]=27488;k[hb>>2]=27560;Yua(lb);Ava(hb);vva(gb);Wc=1}else Wc=1;else Wc=0;if((k[Ic>>2]|0)!=0?(Qc=k[Ic+4>>2]|0,(Qc|0)!=0):0){xc=k[Qc>>2]|0;if(xc)Ec[k[(k[xc>>2]|0)+4>>2]&1023](xc);Sqa(Qc)}Sqa(Ic);if(Wc)break;else yc=Nc}pO(k[Ea>>2]|0,+p[v>>3],164);uoa(a,1,645);xoa(a,k[d>>2]|0);voa(a,+p[v>>3],164);if(!(i[o>>0]|0))Yc=uc;else{xh(a,506);ui(a,x);oda(Ja,a);uoa(a,1,656);uoa(a,0,645);oO(k[Ea>>2]|0,163,161);yc=uc;while(1){Qc=k[f>>2]|0;xc=Qqa(8)|0;B=0;va(485,xc|0);Dc=B;B=0;if(Dc&1){Zc=xc;Bc=221;break a}if(k[Qc>>2]|0){Dc=k[Qc+4>>2]|0;Qc=Qqa(4)|0;Cc=k[Dc>>2]|0;Pc=Hc[k[(k[Cc>>2]|0)+36>>2]&511](Cc)|0;k[Qc>>2]=Pc;Cc=k[Dc>>2]|0;Fc[k[(k[Cc>>2]|0)+60>>2]&1023](Cc,Pc);k[xc+4>>2]=Qc}Qc=k[f>>2]|0;if(k[Qc>>2]|0){Pc=k[k[Qc+4>>2]>>2]|0;Fc[k[(k[Pc>>2]|0)+60>>2]&1023](Pc,k[k[xc+4>>2]>>2]|0)}if(CY()|0){k[R>>2]=27524;k[Tb>>2]=27544;B=0;wa(508,Vb|0,Ub|0);Pc=B;B=0;if(Pc&1){Bc=230;break a}k[Wb>>2]=0;k[Xb>>2]=-1;k[R>>2]=27468;k[Tb>>2]=27488;B=0;va(448,Ub|0);Pc=B;B=0;if(Pc&1){Bc=231;break a}k[Ub>>2]=27560;k[Yb>>2]=0;k[Yb+4>>2]=0;k[Yb+8>>2]=0;k[Yb+12>>2]=0;k[Zb>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ub|0,c|0);Pc=B;B=0;if(Pc&1){Bc=229;break a}Yua(c);B=0;Ia(40,R|0,116889,28)|0;Pc=B;B=0;if(Pc&1){Bc=238;break a}B=0;wa(510,S|0,Ub|0);Pc=B;B=0;if(Pc&1){Bc=238;break a}B=0;ya(425,S|0)|0;Pc=B;B=0;if(Pc&1){Bc=239;break a}Yua(S);k[R>>2]=27468;k[Tb>>2]=27488;k[Ub>>2]=27560;Yua(Yb);Ava(Ub);vva(Tb)}xh(a,492);vi(a,y);oda(Ja,a);oO(k[Ea>>2]|0,129,576);Voa(a);oO(k[Ea>>2]|0,130,576);Voa(a);xh(a,506);Jda(Ha,a);ui(a,x);oda(Ja,a);if(CY()|0){k[T>>2]=27524;k[_b>>2]=27544;B=0;wa(508,ac|0,$b|0);Pc=B;B=0;if(Pc&1){Bc=246;break a}k[bc>>2]=0;k[cc>>2]=-1;k[T>>2]=27468;k[_b>>2]=27488;B=0;va(448,$b|0);Pc=B;B=0;if(Pc&1){Bc=247;break a}k[$b>>2]=27560;k[dc>>2]=0;k[dc+4>>2]=0;k[dc+8>>2]=0;k[dc+12>>2]=0;k[ec>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,$b|0,c|0);Pc=B;B=0;if(Pc&1){Bc=245;break a}Yua(c);B=0;Ia(40,T|0,116918,23)|0;Pc=B;B=0;if(Pc&1){Bc=254;break a}B=0;wa(510,U|0,$b|0);Pc=B;B=0;if(Pc&1){Bc=254;break a}B=0;ya(425,U|0)|0;Pc=B;B=0;if(Pc&1){Bc=255;break a}Yua(U);k[T>>2]=27468;k[_b>>2]=27488;k[$b>>2]=27560;Yua(dc);Ava($b);vva(_b)}ooa(j,l,m,n,0,a);poa(h,k[Ga>>2]|0,506);Loa(k[m>>2]|0,k[l>>2]|0,k[h>>2]|0,0);Pc=k[l>>2]|0;if(Pc){if((k[Pc>>2]|0)!=0?(Qc=k[Pc+4>>2]|0,(Qc|0)!=0):0){Cc=k[Qc>>2]|0;if(Cc)Ec[k[(k[Cc>>2]|0)+4>>2]&1023](Cc);Sqa(Qc)}Sqa(Pc)}Pc=k[g>>2]|0;if(Pc){if((k[Pc>>2]|0)!=0?(Qc=k[Pc+4>>2]|0,(Qc|0)!=0):0){Cc=k[Qc>>2]|0;if(Cc)Ec[k[(k[Cc>>2]|0)+4>>2]&1023](Cc);Sqa(Qc)}Sqa(Pc)}Poa(g,k[j>>2]|0,k[m>>2]|0,yc,k[n>>2]|0,k[Ea>>2]|0);Pc=k[j>>2]|0;if(Pc){if((k[Pc>>2]|0)!=0?(Qc=k[Pc+4>>2]|0,(Qc|0)!=0):0){Cc=k[Qc>>2]|0;if(Cc)Ec[k[(k[Cc>>2]|0)+4>>2]&1023](Cc);Sqa(Qc)}Sqa(Pc)}Pc=k[m>>2]|0;if(Pc){if((k[Pc>>2]|0)!=0?(Qc=k[Pc+4>>2]|0,(Qc|0)!=0):0){Cc=k[Qc>>2]|0;if(Cc)Ec[k[(k[Cc>>2]|0)+4>>2]&1023](Cc);Sqa(Qc)}Sqa(Pc)}Pc=k[n>>2]|0;if(Pc){if((k[Pc>>2]|0)!=0?(Qc=k[Pc+4>>2]|0,(Qc|0)!=0):0){Cc=k[Qc>>2]|0;if(Cc)Ec[k[(k[Cc>>2]|0)+4>>2]&1023](Cc);Sqa(Qc)}Sqa(Pc)}if(yc){do if(k[yc>>2]|0){Pc=k[yc+4>>2]|0;if(!Pc)break;Qc=k[Pc>>2]|0;if(Qc)Ec[k[(k[Qc>>2]|0)+4>>2]&1023](Qc);Sqa(Pc)}while(0);Sqa(yc)}Ic=k[g>>2]|0;Pc=Qqa(8)|0;B=0;va(485,Pc|0);Qc=B;B=0;if(Qc&1){_c=Pc;Bc=301;break a}if(k[Ic>>2]|0){Qc=k[Ic+4>>2]|0;Ic=Qqa(4)|0;Cc=k[Qc>>2]|0;Dc=Hc[k[(k[Cc>>2]|0)+36>>2]&511](Cc)|0;k[Ic>>2]=Dc;Cc=k[Qc>>2]|0;Fc[k[(k[Cc>>2]|0)+60>>2]&1023](Cc,Dc);k[Pc+4>>2]=Ic}Ic=k[g>>2]|0;if(k[Ic>>2]|0){Dc=k[k[Ic+4>>2]>>2]|0;Fc[k[(k[Dc>>2]|0)+60>>2]&1023](Dc,k[k[Pc+4>>2]>>2]|0)}Dc=k[f>>2]|0;if(Dc){do if(k[Dc>>2]|0){Ic=k[Dc+4>>2]|0;if(!Ic)break;Cc=k[Ic>>2]|0;if(Cc)Ec[k[(k[Cc>>2]|0)+4>>2]&1023](Cc);Sqa(Ic)}while(0);Sqa(Dc)}Roa(f,k[g>>2]|0,k[h>>2]|0,k[Ga>>2]|0,k[Ea>>2]|0,0);Ic=k[h>>2]|0;if(Ic){do if(k[Ic>>2]|0){Cc=k[Ic+4>>2]|0;if(!Cc)break;Qc=k[Cc>>2]|0;if(Qc)Ec[k[(k[Qc>>2]|0)+4>>2]&1023](Qc);Sqa(Cc)}while(0);Sqa(Ic)}xoa(a,k[f>>2]|0);Moa(q,s,a);Dc=Qqa(8)|0;B=0;va(485,Dc|0);Cc=B;B=0;if(Cc&1){$c=Dc;Bc=321;break a}do if(k[xc>>2]|0){Cc=xc+4|0;Qc=k[Cc>>2]|0;zc=Qqa(4)|0;ad=k[Qc>>2]|0;bd=Hc[k[(k[ad>>2]|0)+36>>2]&511](ad)|0;k[zc>>2]=bd;ad=k[Qc>>2]|0;Fc[k[(k[ad>>2]|0)+60>>2]&1023](ad,bd);k[Dc+4>>2]=zc;if(!(k[xc>>2]|0))break;bd=k[k[Cc>>2]>>2]|0;Fc[k[(k[bd>>2]|0)+60>>2]&1023](bd,k[zc>>2]|0)}while(0);do if(!(k[Dc>>2]|0))cd=0.0;else{Ic=Dc+4|0;zc=k[k[Ic>>2]>>2]|0;Xc[k[(k[zc>>2]|0)+48>>2]&63](zc,k[k[(k[f>>2]|0)+4>>2]>>2]|0,-1.0);if(!(k[Dc>>2]|0)){cd=0.0;break}zc=k[k[Ic>>2]>>2]|0;Rc=+id[k[(k[zc>>2]|0)+64>>2]&63](zc,1);if(!(k[Dc>>2]|0)){cd=Rc;break}zc=k[Ic>>2]|0;if(!zc){cd=Rc;break}Ic=k[zc>>2]|0;if(Ic)Ec[k[(k[Ic>>2]|0)+4>>2]&1023](Ic);Sqa(zc);cd=Rc}while(0);Sqa(Dc);if(!(k[xc>>2]|0))dd=0.0;else{zc=k[k[xc+4>>2]>>2]|0;dd=+id[k[(k[zc>>2]|0)+64>>2]&63](zc,1)}Rc=+$(+cd);p[t>>3]=Rc;zc=k[t+4>>2]|0;if(zc>>>0>2146435072|(zc|0)==2146435072&(k[t>>2]|0)>>>0>0){Bc=335;break a}Rc=+$(+dd);p[t>>3]=Rc;zc=k[t+4>>2]|0;if(zc>>>0>2146435072|(zc|0)==2146435072&(k[t>>2]|0)>>>0>0){Bc=335;break a}Rc=cd==0.0&dd==0.0?1.0e-06:dd;if(EY()|0){k[Z>>2]=27524;k[fc>>2]=27544;B=0;wa(508,hc|0,gc|0);zc=B;B=0;if(zc&1){Bc=364;break a}k[ic>>2]=0;k[jc>>2]=-1;k[Z>>2]=27468;k[fc>>2]=27488;B=0;va(448,gc|0);zc=B;B=0;if(zc&1){Bc=365;break a}k[gc>>2]=27560;k[kc>>2]=0;k[kc+4>>2]=0;k[kc+8>>2]=0;k[kc+12>>2]=0;k[lc>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,gc|0,c|0);zc=B;B=0;if(zc&1){Bc=363;break a}Yua(c);k[Z+(k[(k[Z>>2]|0)+-12>>2]|0)+12>>2]=50;zc=Z+(k[(k[Z>>2]|0)+-12>>2]|0)+4|0;k[zc>>2]=k[zc>>2]&-177|32;B=0;zc=Ia(40,Z|0,116942,35)|0;Ic=B;B=0;if(Ic&1){Bc=376;break a}Uc=cd/Rc;B=0;Ic=Sa(1,zc|0,+(Uc*100.0))|0;zc=B;B=0;if(zc&1){Bc=376;break a}B=0;zc=Ia(40,Ic|0,116825,21)|0;Ic=B;B=0;if(Ic&1){Bc=376;break a}B=0;Ic=Sa(1,zc|0,+(+p[w>>3]*10.0*100.0))|0;zc=B;B=0;if(zc&1){Bc=376;break a}B=0;Ia(40,Ic|0,148274,3)|0;Ic=B;B=0;if(Ic&1){Bc=376;break a}B=0;wa(510,_|0,gc|0);Ic=B;B=0;if(Ic&1){Bc=376;break a}B=0;ya(425,_|0)|0;Ic=B;B=0;if(Ic&1){Bc=377;break a}Yua(_);k[Z>>2]=27468;k[fc>>2]=27488;k[gc>>2]=27560;Yua(kc);Ava(gc);vva(fc);ed=Uc}else ed=cd/Rc;Ic=ed<+p[w>>3]*10.0;if((k[u>>2]|0)<2){Bc=380;break a}do if(k[xc>>2]|0){zc=k[xc+4>>2]|0;if(!zc)break;bd=k[zc>>2]|0;if(bd)Ec[k[(k[bd>>2]|0)+4>>2]&1023](bd);Sqa(zc)}while(0);Sqa(xc);if(Ic){fd=Pc;break}else yc=Pc}if(CY()|0){k[ea>>2]=27524;k[mc>>2]=27544;B=0;wa(508,oc|0,nc|0);yc=B;B=0;if(yc&1){Bc=416;break}k[pc>>2]=0;k[qc>>2]=-1;k[ea>>2]=27468;k[mc>>2]=27488;B=0;va(448,nc|0);yc=B;B=0;if(yc&1){Bc=417;break}k[nc>>2]=27560;k[rc>>2]=0;k[rc+4>>2]=0;k[rc+8>>2]=0;k[rc+12>>2]=0;k[sc>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,nc|0,c|0);yc=B;B=0;if(yc&1){Bc=415;break}Yua(c);B=0;Ia(40,ea|0,117016,16)|0;yc=B;B=0;if(yc&1){Bc=424;break}B=0;wa(510,fa|0,nc|0);yc=B;B=0;if(yc&1){Bc=424;break}B=0;ya(425,fa|0)|0;yc=B;B=0;if(yc&1){Bc=425;break}Yua(fa);k[ea>>2]=27468;k[mc>>2]=27488;k[nc>>2]=27560;Yua(rc);Ava(nc);vva(mc)}uoa(a,1,645);xoa(a,k[f>>2]|0);xda(Ha,a);Yc=fd}if(tc){gd=Yc;Bc=619;break}yc=Qqa(8)|0;B=0;va(485,yc|0);Dc=B;B=0;if(Dc&1){hd=yc;Bc=431;break}if((k[Kc>>2]|0)!=0?(Dc=Kc+4|0,zc=k[Dc>>2]|0,bd=Qqa(4)|0,Cc=k[zc>>2]|0,ad=Hc[k[(k[Cc>>2]|0)+36>>2]&511](Cc)|0,k[bd>>2]=ad,Cc=k[zc>>2]|0,Fc[k[(k[Cc>>2]|0)+60>>2]&1023](Cc,ad),k[yc+4>>2]=bd,(k[Kc>>2]|0)!=0):0){ad=k[k[Dc>>2]>>2]|0;Fc[k[(k[ad>>2]|0)+60>>2]&1023](ad,k[bd>>2]|0)}if((k[yc>>2]|0)!=0?(bd=yc+4|0,ad=k[k[bd>>2]>>2]|0,Xc[k[(k[ad>>2]|0)+48>>2]&63](ad,k[k[(k[d>>2]|0)+4>>2]>>2]|0,-1.0),(k[yc>>2]|0)!=0):0){ad=k[k[bd>>2]>>2]|0;Rc=+id[k[(k[ad>>2]|0)+64>>2]&63](ad,1);if((k[yc>>2]|0)!=0?(ad=k[bd>>2]|0,(ad|0)!=0):0){bd=k[ad>>2]|0;if(bd)Ec[k[(k[bd>>2]|0)+4>>2]&1023](bd);Sqa(ad);jd=Rc}else jd=Rc}else jd=0.0;Sqa(yc);if(k[Kc>>2]|0){yc=Kc+4|0;ad=k[k[yc>>2]>>2]|0;Rc=+id[k[(k[ad>>2]|0)+64>>2]&63](ad,1);if((k[Kc>>2]|0)!=0?(ad=k[yc>>2]|0,(ad|0)!=0):0){yc=k[ad>>2]|0;if(yc)Ec[k[(k[yc>>2]|0)+4>>2]&1023](yc);Sqa(ad);kd=Rc}else kd=Rc}else kd=0.0;Sqa(Kc);Rc=+$(+jd);p[t>>3]=Rc;ad=k[t+4>>2]|0;if(ad>>>0>2146435072|(ad|0)==2146435072&(k[t>>2]|0)>>>0>0){Bc=449;break}Rc=+$(+kd);p[t>>3]=Rc;ad=k[t+4>>2]|0;if(ad>>>0>2146435072|(ad|0)==2146435072&(k[t>>2]|0)>>>0>0){Bc=449;break}Rc=jd==0.0&kd==0.0?1.0e-06:kd;ad=Qqa(8)|0;B=0;va(485,ad|0);yc=B;B=0;if(yc&1){ld=ad;Bc=474;break}if((k[Jc>>2]|0)!=0?(yc=Jc+4|0,bd=k[yc>>2]|0,Dc=Qqa(4)|0,Cc=k[bd>>2]|0,zc=Hc[k[(k[Cc>>2]|0)+36>>2]&511](Cc)|0,k[Dc>>2]=zc,Cc=k[bd>>2]|0,Fc[k[(k[Cc>>2]|0)+60>>2]&1023](Cc,zc),k[ad+4>>2]=Dc,(k[Jc>>2]|0)!=0):0){zc=k[k[yc>>2]>>2]|0;Fc[k[(k[zc>>2]|0)+60>>2]&1023](zc,k[Dc>>2]|0)}if((k[ad>>2]|0)!=0?(Dc=ad+4|0,zc=k[k[Dc>>2]>>2]|0,Xc[k[(k[zc>>2]|0)+48>>2]&63](zc,k[k[(k[f>>2]|0)+4>>2]>>2]|0,-1.0),(k[ad>>2]|0)!=0):0){zc=k[k[Dc>>2]>>2]|0;Uc=+id[k[(k[zc>>2]|0)+64>>2]&63](zc,1);if((k[ad>>2]|0)!=0?(zc=k[Dc>>2]|0,(zc|0)!=0):0){Dc=k[zc>>2]|0;if(Dc)Ec[k[(k[Dc>>2]|0)+4>>2]&1023](Dc);Sqa(zc);md=Uc}else md=Uc}else md=0.0;Sqa(ad);if(k[Jc>>2]|0){ad=Jc+4|0;zc=k[k[ad>>2]>>2]|0;Uc=+id[k[(k[zc>>2]|0)+64>>2]&63](zc,1);if((k[Jc>>2]|0)!=0?(zc=k[ad>>2]|0,(zc|0)!=0):0){ad=k[zc>>2]|0;if(ad)Ec[k[(k[ad>>2]|0)+4>>2]&1023](ad);Sqa(zc);nd=Uc}else nd=Uc}else nd=0.0;Sqa(Jc);Uc=+$(+md);p[t>>3]=Uc;zc=k[t+4>>2]|0;if(zc>>>0>2146435072|(zc|0)==2146435072&(k[t>>2]|0)>>>0>0){Bc=492;break}Uc=+$(+nd);p[t>>3]=Uc;zc=k[t+4>>2]|0;if(zc>>>0>2146435072|(zc|0)==2146435072&(k[t>>2]|0)>>>0>0){Bc=492;break}Uc=+p[w>>3];od=+$(+Uc);p[t>>3]=od;zc=k[t+4>>2]|0;do if(zc>>>0>2146435072|(zc|0)==2146435072&(k[t>>2]|0)>>>0>0){k[xa>>2]=27524;k[nb>>2]=27544;B=0;wa(508,pb|0,ob|0);ad=B;B=0;if(ad&1){Bc=579;break a}k[qb>>2]=0;k[rb>>2]=-1;k[xa>>2]=27468;k[nb>>2]=27488;B=0;va(448,ob|0);ad=B;B=0;if(ad&1){Bc=580;break a}k[ob>>2]=27560;k[sb>>2]=0;k[sb+4>>2]=0;k[sb+8>>2]=0;k[sb+12>>2]=0;k[tb>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ob|0,c|0);ad=B;B=0;if(ad&1){Bc=578;break a}Yua(c);k[xa+(k[(k[xa>>2]|0)+-12>>2]|0)+12>>2]=50;ad=xa+(k[(k[xa>>2]|0)+-12>>2]|0)+4|0;k[ad>>2]=k[ad>>2]&-177|32;B=0;ad=Ia(40,xa|0,117201,25)|0;Dc=B;B=0;if(Dc&1){Bc=589;break a}B=0;Dc=Sa(1,ad|0,+(jd/Rc*100.0))|0;ad=B;B=0;if(ad&1){Bc=589;break a}B=0;Ia(40,Dc|0,148274,3)|0;Dc=B;B=0;if(Dc&1){Bc=589;break a}B=0;wa(510,za|0,ob|0);Dc=B;B=0;if(Dc&1){Bc=589;break a}B=0;ya(425,za|0)|0;Dc=B;B=0;if(Dc&1){Bc=590;break a}Yua(za);k[xa>>2]=27468;k[nb>>2]=27488;k[ob>>2]=27560;Yua(sb);Ava(ob);vva(nb);pd=0}else{od=md/(md==0.0&nd==0.0?1.0e-06:nd);qd=jd/Rc;Dc=EY()|0;if(od<Uc&qd<Uc){if(!Dc){pd=1;break}k[oa>>2]=27524;k[ub>>2]=27544;B=0;wa(508,wb|0,vb|0);ad=B;B=0;if(ad&1){Bc=522;break a}k[xb>>2]=0;k[yb>>2]=-1;k[oa>>2]=27468;k[ub>>2]=27488;B=0;va(448,vb|0);ad=B;B=0;if(ad&1){Bc=523;break a}k[vb>>2]=27560;k[Bb>>2]=0;k[Bb+4>>2]=0;k[Bb+8>>2]=0;k[Bb+12>>2]=0;k[Cb>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,vb|0,c|0);ad=B;B=0;if(ad&1){Bc=521;break a}Yua(c);k[oa+(k[(k[oa>>2]|0)+-12>>2]|0)+12>>2]=50;ad=oa+(k[(k[oa>>2]|0)+-12>>2]|0)+4|0;k[ad>>2]=k[ad>>2]&-177|32;B=0;ad=Ia(40,oa|0,117101,20)|0;yc=B;B=0;if(yc&1){Bc=532;break a}B=0;yc=Xa(242,ad|0,Fa|0)|0;ad=B;B=0;if(ad&1){Bc=532;break a}B=0;Ia(40,yc|0,117122,13)|0;yc=B;B=0;if(yc&1){Bc=532;break a}B=0;wa(510,pa|0,vb|0);yc=B;B=0;if(yc&1){Bc=532;break a}B=0;ya(425,pa|0)|0;yc=B;B=0;if(yc&1){Bc=533;break a}Yua(pa);k[oa>>2]=27468;k[ub>>2]=27488;k[vb>>2]=27560;Yua(Bb);Ava(vb);vva(ub);pd=1;break}if(Dc){k[qa>>2]=27524;k[Db>>2]=27544;B=0;wa(508,Fb|0,Eb|0);Dc=B;B=0;if(Dc&1){Bc=540;break a}k[Gb>>2]=0;k[Hb>>2]=-1;k[qa>>2]=27468;k[Db>>2]=27488;B=0;va(448,Eb|0);Dc=B;B=0;if(Dc&1){Bc=541;break a}k[Eb>>2]=27560;k[Ib>>2]=0;k[Ib+4>>2]=0;k[Ib+8>>2]=0;k[Ib+12>>2]=0;k[Jb>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Eb|0,c|0);Dc=B;B=0;if(Dc&1){Bc=539;break a}Yua(c);k[qa+(k[(k[qa>>2]|0)+-12>>2]|0)+12>>2]=50;Dc=qa+(k[(k[qa>>2]|0)+-12>>2]|0)+4|0;k[Dc>>2]=k[Dc>>2]&-177|32;B=0;Dc=Ia(40,qa|0,117136,34)|0;yc=B;B=0;if(yc&1){Bc=552;break a}B=0;yc=Sa(1,Dc|0,+(qd*100.0))|0;Dc=B;B=0;if(Dc&1){Bc=552;break a}B=0;Dc=Ia(40,yc|0,116825,21)|0;yc=B;B=0;if(yc&1){Bc=552;break a}B=0;yc=Sa(1,Dc|0,+(+p[w>>3]*100.0))|0;Dc=B;B=0;if(Dc&1){Bc=552;break a}B=0;Ia(40,yc|0,148274,3)|0;yc=B;B=0;if(yc&1){Bc=552;break a}B=0;wa(510,ra|0,Eb|0);yc=B;B=0;if(yc&1){Bc=552;break a}B=0;ya(425,ra|0)|0;yc=B;B=0;if(yc&1){Bc=553;break a}Yua(ra);k[qa>>2]=27468;k[Db>>2]=27488;k[Eb>>2]=27560;Yua(Ib);Ava(Eb);vva(Db)}if(!(EY()|0)){pd=0;break}k[sa>>2]=27524;k[Kb>>2]=27544;B=0;wa(508,Mb|0,Lb|0);yc=B;B=0;if(yc&1){Bc=560;break a}k[Nb>>2]=0;k[Ob>>2]=-1;k[sa>>2]=27468;k[Kb>>2]=27488;B=0;va(448,Lb|0);yc=B;B=0;if(yc&1){Bc=561;break a}k[Lb>>2]=27560;k[Pb>>2]=0;k[Pb+4>>2]=0;k[Pb+8>>2]=0;k[Pb+12>>2]=0;k[Sb>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Lb|0,c|0);yc=B;B=0;if(yc&1){Bc=559;break a}Yua(c);k[sa+(k[(k[sa>>2]|0)+-12>>2]|0)+12>>2]=50;yc=sa+(k[(k[sa>>2]|0)+-12>>2]|0)+4|0;k[yc>>2]=k[yc>>2]&-177|32;B=0;yc=Ia(40,sa|0,117171,29)|0;Dc=B;B=0;if(Dc&1){Bc=572;break a}B=0;Dc=Sa(1,yc|0,+(od*100.0))|0;yc=B;B=0;if(yc&1){Bc=572;break a}B=0;yc=Ia(40,Dc|0,116825,21)|0;Dc=B;B=0;if(Dc&1){Bc=572;break a}B=0;Dc=Sa(1,yc|0,+(+p[w>>3]*100.0))|0;yc=B;B=0;if(yc&1){Bc=572;break a}B=0;Ia(40,Dc|0,148274,3)|0;Dc=B;B=0;if(Dc&1){Bc=572;break a}B=0;wa(510,ta|0,Lb|0);Dc=B;B=0;if(Dc&1){Bc=572;break a}B=0;ya(425,ta|0)|0;Dc=B;B=0;if(Dc&1){Bc=573;break a}Yua(ta);k[sa>>2]=27468;k[Kb>>2]=27488;k[Lb>>2]=27560;Yua(Pb);Ava(Lb);vva(Kb);pd=0}while(0);if((Fa|0)>=(k[u>>2]|0)){Bc=593;break}if(pd){gd=Yc;Bc=619;break}else{tc=0;Fa=Fa+1|0;uc=Yc;vc=Jc;wc=Kc}}switch(Bc|0){case 7:{Kc=Rb()|0;Sqa(Ac);Qb(Kc|0);break}case 13:{Kc=Rb()|0;Sqa(Gc);Qb(Kc|0);break}case 20:{Kc=Rb()|0;Sqa(Lc);Qb(Kc|0);break}case 28:{Kc=Rb()|0;Lc=Q;Yua(c);Yua(Pa);Ava(La);rd=Lc;sd=Kc;Bc=31;break}case 29:{Kc=Rb()|0;td=Q;ud=Kc;vva(Ka);Qb(ud|0);break}case 30:{Kc=Rb()|0;rd=Q;sd=Kc;Bc=31;break}case 37:{Kc=Rb()|0;vd=Q;wd=Kc;Bc=39;break}case 38:{Kc=Rb()|0;Lc=Q;Yua(A);vd=Lc;wd=Kc;Bc=39;break}case 93:{Kc=Rb()|0;Lc=Q;Yua(c);Yua(Ya);Ava(Ta);xd=Lc;yd=Kc;Bc=96;break}case 94:{Kc=Rb()|0;zd=Q;Ad=Kc;vva(Ra);Qb(Ad|0);break}case 95:{Kc=Rb()|0;xd=Q;yd=Kc;Bc=96;break}case 104:{Kc=Rb()|0;Bd=Q;Cd=Kc;Bc=106;break}case 105:{Kc=Rb()|0;Lc=Q;Yua(D);Bd=Lc;Cd=Kc;Bc=106;break}case 108:{Kc=E+56|0;Lc=E+4|0;k[E>>2]=27524;k[Kc>>2]=27544;B=0;wa(508,E+56|0,Lc|0);D=B;B=0;if(D&1){D=Rb()|0;Dd=Q;Ed=D;vva(Kc);Qb(Ed|0)}k[E+128>>2]=0;k[E+132>>2]=-1;k[E>>2]=27468;k[Kc>>2]=27488;B=0;va(448,Lc|0);D=B;B=0;do if(D&1){A=Rb()|0;Fd=Q;Gd=A}else{k[Lc>>2]=27560;A=E+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[E+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Lc|0,c|0);Gc=B;B=0;if(Gc&1){Gc=Rb()|0;Ac=Q;Yua(c);Yua(A);Ava(Lc);Fd=Ac;Gd=Gc;break}Yua(c);B=0;Gc=Ia(40,E|0,116595,42)|0;Ac=B;B=0;b:do if(((!(Ac&1)?(B=0,wc=Xa(242,Gc|0,k[u>>2]|0)|0,Jc=B,B=0,!(Jc&1)):0)?(B=0,Jc=Ia(40,wc|0,116638,10)|0,wc=B,B=0,!(wc&1)):0)?(B=0,Xa(239,Jc|0,0)|0,Jc=B,B=0,!(Jc&1)):0){Jc=Ab(20)|0;B=0;eb(502,F|0,116649,101);wc=B;B=0;do if(!(wc&1)){B=0;eb(502,G|0,116751,32);vc=B;B=0;if(vc&1){vc=Rb()|0;Yc=Q;Yua(F);Hd=Yc;Id=vc;break}B=0;wa(510,H|0,Lc|0);vc=B;B=0;if(vc&1){vc=Rb()|0;Jd=1;Kd=Q;Ld=vc}else{B=0;ua(163,Jc|0,F|0,G|0,121,H|0);vc=B;B=0;if(vc&1)Md=1;else{B=0;eb(503,Jc|0,1240,229);B=0;Md=0}vc=Rb()|0;Yc=Q;Yua(H);Jd=Md;Kd=Yc;Ld=vc}Yua(G);Yua(F);if(Jd){Hd=Kd;Id=Ld}else{Nd=Kd;Od=Ld;break b}}else{vc=Rb()|0;Hd=Q;Id=vc}while(0);zb(Jc|0);Nd=Hd;Od=Id}else Bc=125;while(0);if((Bc|0)==125){Gc=Rb()|0;Nd=Q;Od=Gc}k[E>>2]=27468;k[Kc>>2]=27488;k[Lc>>2]=27560;Yua(A);Ava(Lc);vva(Kc);Pd=Nd;Qd=Od;Qb(Qd|0)}while(0);Dd=Fd;Ed=Gd;vva(Kc);Qb(Ed|0);break}case 136:{Ed=Rb()|0;Sqa(Oc);Qb(Ed|0);break}case 150:{Ed=I+56|0;Oc=I+4|0;k[I>>2]=27524;k[Ed>>2]=27544;B=0;wa(508,I+56|0,Oc|0);Kc=B;B=0;if(Kc&1){Kc=Rb()|0;Rd=Q;Sd=Kc;vva(Ed);Qb(Sd|0)}k[I+128>>2]=0;k[I+132>>2]=-1;k[I>>2]=27468;k[Ed>>2]=27488;B=0;va(448,Oc|0);Kc=B;B=0;do if(Kc&1){Gd=Rb()|0;Td=Q;Ud=Gd}else{k[Oc>>2]=27560;Gd=I+36|0;k[Gd>>2]=0;k[Gd+4>>2]=0;k[Gd+8>>2]=0;k[Gd+12>>2]=0;k[I+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Oc|0,c|0);Fd=B;B=0;if(Fd&1){Fd=Rb()|0;Dd=Q;Yua(c);Yua(Gd);Ava(Oc);Td=Dd;Ud=Fd;break}Yua(c);B=0;Fd=Ia(40,I|0,148282,29)|0;Dd=B;B=0;c:do if(!(Dd&1)?(B=0,Xa(239,Fd|0,0)|0,Od=B,B=0,!(Od&1)):0){Od=Ab(20)|0;B=0;eb(502,J|0,116649,101);Nd=B;B=0;do if(!(Nd&1)){B=0;eb(502,K|0,116751,32);Lc=B;B=0;if(Lc&1){Lc=Rb()|0;E=Q;Yua(J);Vd=E;Wd=Lc;break}B=0;wa(510,L|0,Oc|0);Lc=B;B=0;if(Lc&1){Lc=Rb()|0;Xd=1;Yd=Q;Zd=Lc}else{B=0;ua(163,Od|0,J|0,K|0,139,L|0);Lc=B;B=0;if(Lc&1)_d=1;else{B=0;eb(503,Od|0,1240,229);B=0;_d=0}Lc=Rb()|0;E=Q;Yua(L);Xd=_d;Yd=E;Zd=Lc}Yua(K);Yua(J);if(Xd){Vd=Yd;Wd=Zd}else{$d=Yd;ae=Zd;break c}}else{Lc=Rb()|0;Vd=Q;Wd=Lc}while(0);zb(Od|0);$d=Vd;ae=Wd}else Bc=165;while(0);if((Bc|0)==165){Fd=Rb()|0;$d=Q;ae=Fd}k[I>>2]=27468;k[Ed>>2]=27488;k[Oc>>2]=27560;Yua(Gd);Ava(Oc);vva(Ed);Pd=$d;Qd=ae;Qb(Qd|0)}while(0);Rd=Td;Sd=Ud;vva(Ed);Qb(Sd|0);break}case 178:{Sd=Rb()|0;Ed=Q;Yua(c);Yua(db);Ava($a);be=Ed;ce=Sd;Bc=181;break}case 179:{Sd=Rb()|0;de=Q;ee=Sd;vva(_a);Qb(ee|0);break}case 180:{Sd=Rb()|0;be=Q;ce=Sd;Bc=181;break}case 191:{Sd=Rb()|0;fe=Q;ge=Sd;Bc=193;break}case 192:{Sd=Rb()|0;Ed=Q;Yua(N);fe=Ed;ge=Sd;Bc=193;break}case 199:{Sd=Rb()|0;Ed=Q;Yua(c);Yua(lb);Ava(hb);he=Ed;ie=Sd;Bc=202;break}case 200:{Sd=Rb()|0;je=Q;ke=Sd;vva(gb);Qb(ke|0);break}case 201:{Sd=Rb()|0;he=Q;ie=Sd;Bc=202;break}case 208:{Sd=Rb()|0;le=Q;me=Sd;Bc=210;break}case 209:{Sd=Rb()|0;Ed=Q;Yua(P);le=Ed;me=Sd;Bc=210;break}case 221:{Sd=Rb()|0;Sqa(Zc);Qb(Sd|0);break}case 229:{Sd=Rb()|0;Zc=Q;Yua(c);Yua(Yb);Ava(Ub);ne=Zc;oe=Sd;Bc=232;break}case 230:{Sd=Rb()|0;pe=Q;qe=Sd;vva(Tb);Qb(qe|0);break}case 231:{Sd=Rb()|0;ne=Q;oe=Sd;Bc=232;break}case 238:{Sd=Rb()|0;re=Q;se=Sd;Bc=240;break}case 239:{Sd=Rb()|0;Zc=Q;Yua(S);re=Zc;se=Sd;Bc=240;break}case 245:{Sd=Rb()|0;Zc=Q;Yua(c);Yua(dc);Ava($b);te=Zc;ue=Sd;Bc=248;break}case 246:{Sd=Rb()|0;ve=Q;we=Sd;vva(_b);Qb(we|0);break}case 247:{Sd=Rb()|0;te=Q;ue=Sd;Bc=248;break}case 254:{Sd=Rb()|0;xe=Q;ye=Sd;Bc=256;break}case 255:{Sd=Rb()|0;Zc=Q;Yua(U);xe=Zc;ye=Sd;Bc=256;break}case 301:{Sd=Rb()|0;Sqa(_c);Qb(Sd|0);break}case 321:{Sd=Rb()|0;Sqa($c);Qb(Sd|0);break}case 335:{Sd=V+56|0;$c=V+4|0;k[V>>2]=27524;k[Sd>>2]=27544;B=0;wa(508,V+56|0,$c|0);_c=B;B=0;if(_c&1){_c=Rb()|0;ze=Q;Ae=_c;vva(Sd);Qb(Ae|0)}k[V+128>>2]=0;k[V+132>>2]=-1;k[V>>2]=27468;k[Sd>>2]=27488;B=0;va(448,$c|0);_c=B;B=0;do if(_c&1){Zc=Rb()|0;Be=Q;Ce=Zc}else{k[$c>>2]=27560;Zc=V+36|0;k[Zc>>2]=0;k[Zc+4>>2]=0;k[Zc+8>>2]=0;k[Zc+12>>2]=0;k[V+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,$c|0,c|0);U=B;B=0;if(U&1){U=Rb()|0;S=Q;Yua(c);Yua(Zc);Ava($c);Be=S;Ce=U;break}Yua(c);B=0;U=Ia(40,V|0,148282,29)|0;S=B;B=0;d:do if(!(S&1)?(B=0,Xa(239,U|0,0)|0,Ed=B,B=0,!(Ed&1)):0){Ed=Ab(20)|0;B=0;eb(502,W|0,116649,101);P=B;B=0;do if(!(P&1)){B=0;eb(502,X|0,116751,32);N=B;B=0;if(N&1){N=Rb()|0;Ud=Q;Yua(W);De=Ud;Ee=N;break}B=0;wa(510,Y|0,$c|0);N=B;B=0;if(N&1){N=Rb()|0;Fe=1;Ge=Q;He=N}else{B=0;ua(163,Ed|0,W|0,X|0,209,Y|0);N=B;B=0;if(N&1)Ie=1;else{B=0;eb(503,Ed|0,1240,229);B=0;Ie=0}N=Rb()|0;Ud=Q;Yua(Y);Fe=Ie;Ge=Ud;He=N}Yua(X);Yua(W);if(Fe){De=Ge;Ee=He}else{Je=Ge;Ke=He;break d}}else{N=Rb()|0;De=Q;Ee=N}while(0);zb(Ed|0);Je=De;Ke=Ee}else Bc=350;while(0);if((Bc|0)==350){U=Rb()|0;Je=Q;Ke=U}k[V>>2]=27468;k[Sd>>2]=27488;k[$c>>2]=27560;Yua(Zc);Ava($c);vva(Sd);Pd=Je;Qd=Ke;Qb(Qd|0)}while(0);ze=Be;Ae=Ce;vva(Sd);Qb(Ae|0);break}case 363:{Ae=Rb()|0;Sd=Q;Yua(c);Yua(kc);Ava(gc);Le=Sd;Me=Ae;Bc=366;break}case 364:{Ae=Rb()|0;Ne=Q;Oe=Ae;vva(fc);Qb(Oe|0);break}case 365:{Ae=Rb()|0;Le=Q;Me=Ae;Bc=366;break}case 376:{Ae=Rb()|0;Pe=Q;Qe=Ae;Bc=378;break}case 377:{Ae=Rb()|0;Sd=Q;Yua(_);Pe=Sd;Qe=Ae;Bc=378;break}case 380:{Ae=aa+56|0;Sd=aa+4|0;k[aa>>2]=27524;k[Ae>>2]=27544;B=0;wa(508,aa+56|0,Sd|0);_=B;B=0;if(_&1){_=Rb()|0;Re=Q;Se=_;vva(Ae);Qb(Se|0)}k[aa+128>>2]=0;k[aa+132>>2]=-1;k[aa>>2]=27468;k[Ae>>2]=27488;B=0;va(448,Sd|0);_=B;B=0;do if(_&1){Ce=Rb()|0;Te=Q;Ue=Ce}else{k[Sd>>2]=27560;Ce=aa+36|0;k[Ce>>2]=0;k[Ce+4>>2]=0;k[Ce+8>>2]=0;k[Ce+12>>2]=0;k[aa+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Sd|0,c|0);Be=B;B=0;if(Be&1){Be=Rb()|0;ze=Q;Yua(c);Yua(Ce);Ava(Sd);Te=ze;Ue=Be;break}Yua(c);B=0;Be=Ia(40,aa|0,116978,37)|0;ze=B;B=0;e:do if(((!(ze&1)?(B=0,Ke=Xa(242,Be|0,k[u>>2]|0)|0,Je=B,B=0,!(Je&1)):0)?(B=0,Je=Ia(40,Ke|0,116638,10)|0,Ke=B,B=0,!(Ke&1)):0)?(B=0,Xa(239,Je|0,0)|0,Je=B,B=0,!(Je&1)):0){Je=Ab(20)|0;B=0;eb(502,ba|0,116649,101);Ke=B;B=0;do if(!(Ke&1)){B=0;eb(502,ca|0,116751,32);$c=B;B=0;if($c&1){$c=Rb()|0;V=Q;Yua(ba);Ve=V;We=$c;break}B=0;wa(510,da|0,Sd|0);$c=B;B=0;if($c&1){$c=Rb()|0;Xe=1;Ye=Q;Ze=$c}else{B=0;ua(163,Je|0,ba|0,ca|0,214,da|0);$c=B;B=0;if($c&1)_e=1;else{B=0;eb(503,Je|0,1240,229);B=0;_e=0}$c=Rb()|0;V=Q;Yua(da);Xe=_e;Ye=V;Ze=$c}Yua(ca);Yua(ba);if(Xe){Ve=Ye;We=Ze}else{$e=Ye;af=Ze;break e}}else{$c=Rb()|0;Ve=Q;We=$c}while(0);zb(Je|0);$e=Ve;af=We}else Bc=397;while(0);if((Bc|0)==397){Be=Rb()|0;$e=Q;af=Be}k[aa>>2]=27468;k[Ae>>2]=27488;k[Sd>>2]=27560;Yua(Ce);Ava(Sd);vva(Ae);Pd=$e;Qd=af;Qb(Qd|0)}while(0);Re=Te;Se=Ue;vva(Ae);Qb(Se|0);break}case 415:{Se=Rb()|0;Ae=Q;Yua(c);Yua(rc);Ava(nc);bf=Ae;cf=Se;Bc=418;break}case 416:{Se=Rb()|0;df=Q;ef=Se;vva(mc);Qb(ef|0);break}case 417:{Se=Rb()|0;bf=Q;cf=Se;Bc=418;break}case 424:{Se=Rb()|0;ff=Q;gf=Se;Bc=426;break}case 425:{Se=Rb()|0;Ae=Q;Yua(fa);ff=Ae;gf=Se;Bc=426;break}case 431:{Se=Rb()|0;Sqa(hd);Qb(Se|0);break}case 449:{Se=ga+56|0;hd=ga+4|0;k[ga>>2]=27524;k[Se>>2]=27544;B=0;wa(508,ga+56|0,hd|0);Ae=B;B=0;if(Ae&1){Ae=Rb()|0;hf=Q;jf=Ae;vva(Se);Qb(jf|0)}k[ga+128>>2]=0;k[ga+132>>2]=-1;k[ga>>2]=27468;k[Se>>2]=27488;B=0;va(448,hd|0);Ae=B;B=0;do if(Ae&1){fa=Rb()|0;kf=Q;lf=fa}else{k[hd>>2]=27560;fa=ga+36|0;k[fa>>2]=0;k[fa+4>>2]=0;k[fa+8>>2]=0;k[fa+12>>2]=0;k[ga+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,hd|0,c|0);Ue=B;B=0;if(Ue&1){Ue=Rb()|0;Te=Q;Yua(c);Yua(fa);Ava(hd);kf=Te;lf=Ue;break}Yua(c);B=0;Ue=Ia(40,ga|0,117033,33)|0;Te=B;B=0;f:do if(!(Te&1)?(B=0,Xa(239,Ue|0,0)|0,Re=B,B=0,!(Re&1)):0){Re=Ab(20)|0;B=0;eb(502,ha|0,116649,101);af=B;B=0;do if(!(af&1)){B=0;eb(502,ia|0,116751,32);$e=B;B=0;if($e&1){$e=Rb()|0;Sd=Q;Yua(ha);mf=Sd;nf=$e;break}B=0;wa(510,ja|0,hd|0);$e=B;B=0;if($e&1){$e=Rb()|0;of=1;pf=Q;qf=$e}else{B=0;ua(163,Re|0,ha|0,ia|0,242,ja|0);$e=B;B=0;if($e&1)rf=1;else{B=0;eb(503,Re|0,1240,229);B=0;rf=0}$e=Rb()|0;Sd=Q;Yua(ja);of=rf;pf=Sd;qf=$e}Yua(ia);Yua(ha);if(of){mf=pf;nf=qf}else{sf=pf;tf=qf;break f}}else{$e=Rb()|0;mf=Q;nf=$e}while(0);zb(Re|0);sf=mf;tf=nf}else Bc=464;while(0);if((Bc|0)==464){Ue=Rb()|0;sf=Q;tf=Ue}k[ga>>2]=27468;k[Se>>2]=27488;k[hd>>2]=27560;Yua(fa);Ava(hd);vva(Se);Pd=sf;Qd=tf;Qb(Qd|0)}while(0);hf=kf;jf=lf;vva(Se);Qb(jf|0);break}case 474:{jf=Rb()|0;Sqa(ld);Qb(jf|0);break}case 492:{jf=ka+56|0;ld=ka+4|0;k[ka>>2]=27524;k[jf>>2]=27544;B=0;wa(508,ka+56|0,ld|0);Se=B;B=0;if(Se&1){Se=Rb()|0;uf=Q;vf=Se;vva(jf);Qb(vf|0)}k[ka+128>>2]=0;k[ka+132>>2]=-1;k[ka>>2]=27468;k[jf>>2]=27488;B=0;va(448,ld|0);Se=B;B=0;do if(Se&1){lf=Rb()|0;wf=Q;xf=lf}else{k[ld>>2]=27560;lf=ka+36|0;k[lf>>2]=0;k[lf+4>>2]=0;k[lf+8>>2]=0;k[lf+12>>2]=0;k[ka+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ld|0,c|0);kf=B;B=0;if(kf&1){kf=Rb()|0;hf=Q;Yua(c);Yua(lf);Ava(ld);wf=hf;xf=kf;break}Yua(c);B=0;kf=Ia(40,ka|0,117067,33)|0;hf=B;B=0;g:do if(!(hf&1)?(B=0,Xa(239,kf|0,0)|0,tf=B,B=0,!(tf&1)):0){tf=Ab(20)|0;B=0;eb(502,la|0,116649,101);sf=B;B=0;do if(!(sf&1)){B=0;eb(502,ma|0,116751,32);hd=B;B=0;if(hd&1){hd=Rb()|0;ga=Q;Yua(la);yf=ga;zf=hd;break}B=0;wa(510,na|0,ld|0);hd=B;B=0;if(hd&1){hd=Rb()|0;Af=1;Bf=Q;Cf=hd}else{B=0;ua(163,tf|0,la|0,ma|0,251,na|0);hd=B;B=0;if(hd&1)Df=1;else{B=0;eb(503,tf|0,1240,229);B=0;Df=0}hd=Rb()|0;ga=Q;Yua(na);Af=Df;Bf=ga;Cf=hd}Yua(ma);Yua(la);if(Af){yf=Bf;zf=Cf}else{Ef=Bf;Ff=Cf;break g}}else{hd=Rb()|0;yf=Q;zf=hd}while(0);zb(tf|0);Ef=yf;Ff=zf}else Bc=507;while(0);if((Bc|0)==507){kf=Rb()|0;Ef=Q;Ff=kf}k[ka>>2]=27468;k[jf>>2]=27488;k[ld>>2]=27560;Yua(lf);Ava(ld);vva(jf);Pd=Ef;Qd=Ff;Qb(Qd|0)}while(0);uf=wf;vf=xf;vva(jf);Qb(vf|0);break}case 521:{vf=Rb()|0;jf=Q;Yua(c);Yua(Bb);Ava(vb);Gf=jf;Hf=vf;Bc=524;break}case 522:{vf=Rb()|0;If=Q;Jf=vf;vva(ub);Qb(Jf|0);break}case 523:{vf=Rb()|0;Gf=Q;Hf=vf;Bc=524;break}case 532:{vf=Rb()|0;Kf=Q;Lf=vf;Bc=534;break}case 533:{vf=Rb()|0;jf=Q;Yua(pa);Kf=jf;Lf=vf;Bc=534;break}case 539:{vf=Rb()|0;jf=Q;Yua(c);Yua(Ib);Ava(Eb);Mf=jf;Nf=vf;Bc=542;break}case 540:{vf=Rb()|0;Of=Q;Pf=vf;vva(Db);Qb(Pf|0);break}case 541:{vf=Rb()|0;Mf=Q;Nf=vf;Bc=542;break}case 552:{vf=Rb()|0;Qf=Q;Rf=vf;Bc=554;break}case 553:{vf=Rb()|0;jf=Q;Yua(ra);Qf=jf;Rf=vf;Bc=554;break}case 559:{vf=Rb()|0;jf=Q;Yua(c);Yua(Pb);Ava(Lb);Sf=jf;Tf=vf;Bc=562;break}case 560:{vf=Rb()|0;Uf=Q;Vf=vf;vva(Kb);Qb(Vf|0);break}case 561:{vf=Rb()|0;Sf=Q;Tf=vf;Bc=562;break}case 572:{vf=Rb()|0;Wf=Q;Xf=vf;Bc=574;break}case 573:{vf=Rb()|0;jf=Q;Yua(ta);Wf=jf;Xf=vf;Bc=574;break}case 578:{vf=Rb()|0;jf=Q;Yua(c);Yua(sb);Ava(ob);Yf=jf;Zf=vf;Bc=581;break}case 579:{vf=Rb()|0;_f=Q;$f=vf;vva(nb);Qb($f|0);break}case 580:{vf=Rb()|0;Yf=Q;Zf=vf;Bc=581;break}case 589:{vf=Rb()|0;ag=Q;bg=vf;Bc=591;break}case 590:{vf=Rb()|0;jf=Q;Yua(za);ag=jf;bg=vf;Bc=591;break}case 593:{vf=Aa+56|0;jf=Aa+4|0;k[Aa>>2]=27524;k[vf>>2]=27544;B=0;wa(508,Aa+56|0,jf|0);za=B;B=0;if(za&1){za=Rb()|0;cg=Q;dg=za;vva(vf);Qb(dg|0)}k[Aa+128>>2]=0;k[Aa+132>>2]=-1;k[Aa>>2]=27468;k[vf>>2]=27488;B=0;va(448,jf|0);za=B;B=0;do if(za&1){ta=Rb()|0;eg=Q;fg=ta}else{k[jf>>2]=27560;ta=Aa+36|0;k[ta>>2]=0;k[ta+4>>2]=0;k[ta+8>>2]=0;k[ta+12>>2]=0;k[Aa+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,jf|0,c|0);ra=B;B=0;if(ra&1){ra=Rb()|0;pa=Q;Yua(c);Yua(ta);Ava(jf);eg=pa;fg=ra;break}Yua(c);B=0;ra=Ia(40,Aa|0,117227,54)|0;pa=B;B=0;h:do if(((!(pa&1)?(B=0,xf=Xa(242,ra|0,k[u>>2]|0)|0,wf=B,B=0,!(wf&1)):0)?(B=0,wf=Ia(40,xf|0,116638,10)|0,xf=B,B=0,!(xf&1)):0)?(B=0,Xa(239,wf|0,0)|0,wf=B,B=0,!(wf&1)):0){wf=Ab(20)|0;B=0;eb(502,Ba|0,116649,101);xf=B;B=0;do if(!(xf&1)){B=0;eb(502,Ca|0,116751,32);uf=B;B=0;if(uf&1){uf=Rb()|0;Ff=Q;Yua(Ba);gg=Ff;hg=uf;break}B=0;wa(510,Da|0,jf|0);uf=B;B=0;if(uf&1){uf=Rb()|0;ig=1;jg=Q;kg=uf}else{B=0;ua(163,wf|0,Ba|0,Ca|0,266,Da|0);uf=B;B=0;if(uf&1)lg=1;else{B=0;eb(503,wf|0,1240,229);B=0;lg=0}uf=Rb()|0;Ff=Q;Yua(Da);ig=lg;jg=Ff;kg=uf}Yua(Ca);Yua(Ba);if(ig){gg=jg;hg=kg}else{mg=jg;ng=kg;break h}}else{uf=Rb()|0;gg=Q;hg=uf}while(0);zb(wf|0);mg=gg;ng=hg}else Bc=610;while(0);if((Bc|0)==610){ra=Rb()|0;mg=Q;ng=ra}k[Aa>>2]=27468;k[vf>>2]=27488;k[jf>>2]=27560;Yua(ta);Ava(jf);vva(vf);Pd=mg;Qd=ng;Qb(Qd|0)}while(0);cg=eg;dg=fg;vva(vf);Qb(dg|0);break}case 619:{if(i[o>>0]|0)xoa(a,k[f>>2]|0);xh(a,505);xoa(a,k[d>>2]|0);a=k[f>>2]|0;if(a){if((k[a>>2]|0)!=0?(f=k[a+4>>2]|0,(f|0)!=0):0){o=k[f>>2]|0;if(o)Ec[k[(k[o>>2]|0)+4>>2]&1023](o);Sqa(f)}Sqa(a)}a=k[d>>2]|0;if(a){if((k[a>>2]|0)!=0?(d=k[a+4>>2]|0,(d|0)!=0):0){f=k[d>>2]|0;if(f)Ec[k[(k[f>>2]|0)+4>>2]&1023](f);Sqa(d)}Sqa(a)}a=k[e>>2]|0;if(a){if((k[a>>2]|0)!=0?(e=k[a+4>>2]|0,(e|0)!=0):0){d=k[e>>2]|0;if(d)Ec[k[(k[d>>2]|0)+4>>2]&1023](d);Sqa(e)}Sqa(a)}a=k[g>>2]|0;if(a){if((k[a>>2]|0)!=0?(g=k[a+4>>2]|0,(g|0)!=0):0){e=k[g>>2]|0;if(e)Ec[k[(k[e>>2]|0)+4>>2]&1023](e);Sqa(g)}Sqa(a)}if(gd){if((k[gd>>2]|0)!=0?(a=k[gd+4>>2]|0,(a|0)!=0):0){g=k[a>>2]|0;if(g)Ec[k[(k[g>>2]|0)+4>>2]&1023](g);Sqa(a)}Sqa(gd)}if(Ja)Ec[k[(k[Ja>>2]|0)+4>>2]&1023](Ja);if(!Ha){r=b;return}Ec[k[(k[Ha>>2]|0)+4>>2]&1023](Ha);r=b;return}}switch(Bc|0){case 31:{td=rd;ud=sd;vva(Ka);Qb(ud|0);break}case 39:{k[z>>2]=27468;k[Ka>>2]=27488;k[La>>2]=27560;Yua(Pa);Ava(La);vva(Ka);Pd=vd;Qd=wd;Qb(Qd|0);break}case 96:{zd=xd;Ad=yd;vva(Ra);Qb(Ad|0);break}case 106:{k[C>>2]=27468;k[Ra>>2]=27488;k[Ta>>2]=27560;Yua(Ya);Ava(Ta);vva(Ra);Pd=Bd;Qd=Cd;Qb(Qd|0);break}case 181:{de=be;ee=ce;vva(_a);Qb(ee|0);break}case 193:{k[M>>2]=27468;k[_a>>2]=27488;k[$a>>2]=27560;Yua(db);Ava($a);vva(_a);Pd=fe;Qd=ge;Qb(Qd|0);break}case 202:{je=he;ke=ie;vva(gb);Qb(ke|0);break}case 210:{k[O>>2]=27468;k[gb>>2]=27488;k[hb>>2]=27560;Yua(lb);Ava(hb);vva(gb);Pd=le;Qd=me;Qb(Qd|0);break}case 232:{pe=ne;qe=oe;vva(Tb);Qb(qe|0);break}case 240:{k[R>>2]=27468;k[Tb>>2]=27488;k[Ub>>2]=27560;Yua(Yb);Ava(Ub);vva(Tb);Pd=re;Qd=se;Qb(Qd|0);break}case 248:{ve=te;we=ue;vva(_b);Qb(we|0);break}case 256:{k[T>>2]=27468;k[_b>>2]=27488;k[$b>>2]=27560;Yua(dc);Ava($b);vva(_b);Pd=xe;Qd=ye;Qb(Qd|0);break}case 366:{Ne=Le;Oe=Me;vva(fc);Qb(Oe|0);break}case 378:{k[Z>>2]=27468;k[fc>>2]=27488;k[gc>>2]=27560;Yua(kc);Ava(gc);vva(fc);Pd=Pe;Qd=Qe;Qb(Qd|0);break}case 418:{df=bf;ef=cf;vva(mc);Qb(ef|0);break}case 426:{k[ea>>2]=27468;k[mc>>2]=27488;k[nc>>2]=27560;Yua(rc);Ava(nc);vva(mc);Pd=ff;Qd=gf;Qb(Qd|0);break}case 524:{If=Gf;Jf=Hf;vva(ub);Qb(Jf|0);break}case 534:{k[oa>>2]=27468;k[ub>>2]=27488;k[vb>>2]=27560;Yua(Bb);Ava(vb);vva(ub);Pd=Kf;Qd=Lf;Qb(Qd|0);break}case 542:{Of=Mf;Pf=Nf;vva(Db);Qb(Pf|0);break}case 554:{k[qa>>2]=27468;k[Db>>2]=27488;k[Eb>>2]=27560;Yua(Ib);Ava(Eb);vva(Db);Pd=Qf;Qd=Rf;Qb(Qd|0);break}case 562:{Uf=Sf;Vf=Tf;vva(Kb);Qb(Vf|0);break}case 574:{k[sa>>2]=27468;k[Kb>>2]=27488;k[Lb>>2]=27560;Yua(Pb);Ava(Lb);vva(Kb);Pd=Wf;Qd=Xf;Qb(Qd|0);break}case 581:{_f=Yf;$f=Zf;vva(nb);Qb($f|0);break}case 591:{k[xa>>2]=27468;k[nb>>2]=27488;k[ob>>2]=27560;Yua(sb);Ava(ob);vva(nb);Pd=ag;Qd=bg;Qb(Qd|0);break}}}function j0(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0;b=r;r=r+336|0;c=b+316|0;d=b+312|0;e=b+333|0;f=b+332|0;g=b+331|0;h=b+330|0;j=b+329|0;l=b+328|0;m=b+308|0;n=b+304|0;o=b+300|0;p=b+152|0;q=b+288|0;s=b+16|0;t=b;k[n>>2]=0;k[o>>2]=0;u=a+44|0;cO(k[u>>2]|0,d,298);bO(k[u>>2]|0,e,95);bO(k[u>>2]|0,f,96);bO(k[u>>2]|0,g,97);bO(k[u>>2]|0,h,98);bO(k[u>>2]|0,j,99);bO(k[u>>2]|0,l,759);cO(k[u>>2]|0,m,476);cO(k[u>>2]|0,n,76);if(k[n>>2]|0)gO(k[u>>2]|0,o,n,77);a:do if(CY()|0){v=p+56|0;w=p+4|0;k[p>>2]=27524;k[v>>2]=27544;B=0;wa(508,p+56|0,w|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;z=x;vva(v);Qb(z|0)}k[p+128>>2]=0;k[p+132>>2]=-1;k[p>>2]=27468;k[v>>2]=27488;B=0;va(448,w|0);x=B;B=0;do if(x&1){A=Rb()|0;C=Q;D=A}else{k[w>>2]=27560;A=p+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[p+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,w|0,c|0);E=B;B=0;if(E&1){E=Rb()|0;F=Q;Yua(c);Yua(A);Ava(w);C=F;D=E;break}Yua(c);B=0;Ia(40,p|0,117282,26)|0;E=B;B=0;do if(!(E&1)?(B=0,wa(510,q|0,w|0),F=B,B=0,!(F&1)):0){B=0;ya(425,q|0)|0;F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(q);H=G;I=F;break}else{Yua(q);k[p>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);break a}}else J=16;while(0);if((J|0)==16){E=Rb()|0;H=Q;I=E}k[p>>2]=27468;k[v>>2]=27488;k[w>>2]=27560;Yua(A);Ava(w);vva(v);K=H;L=I;Qb(L|0)}while(0);y=C;z=D;vva(v);Qb(z|0)}while(0);if((i[e>>0]|0)==0?(z=i[j>>0]|0,!(z<<24>>24!=0&(k[d>>2]|0)==301)):0)M=z;else{o0(a);M=i[j>>0]|0}if(M<<24>>24){p0(a);xh(a,497);Ooa(k[a+20>>2]|0,k[a+24>>2]|0,k[a+28>>2]|0,k[a+36>>2]|0,k[a+40>>2]|0,k[u>>2]|0)}if(i[e>>0]|0){if((i[g>>0]|i[f>>0]|i[h>>0])<<24>>24)Soa(a,498);u=Qqa(4)|0;k[u>>2]=38860;Fc[k[38892>>2]&1023](u,a);Ec[k[(k[u>>2]|0)+4>>2]&1023](u);if((i[g>>0]|i[f>>0]|i[h>>0])<<24>>24)Soa(a,497)}if((i[g>>0]|i[f>>0]|i[h>>0]|i[j>>0])<<24>>24){j=Qqa(4)|0;k[j>>2]=38696;Fc[k[38728>>2]&1023](j,a);Ec[k[(k[j>>2]|0)+4>>2]&1023](j)}if((k[d>>2]|0)==302?(i[f>>0]|i[e>>0]|i[g>>0]|i[h>>0])<<24>>24!=0:0){h=Qqa(4)|0;k[h>>2]=38936;Fc[k[38968>>2]&1023](h,a);Ec[k[(k[h>>2]|0)+4>>2]&1023](h)}if(i[l>>0]|0){b:do if(CY()|0){l=s+56|0;h=s+4|0;k[s>>2]=27524;k[l>>2]=27544;B=0;wa(508,s+56|0,h|0);g=B;B=0;if(g&1){g=Rb()|0;N=Q;O=g;vva(l);Qb(O|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[l>>2]=27488;B=0;va(448,h|0);g=B;B=0;do if(g&1){e=Rb()|0;P=Q;R=e}else{k[h>>2]=27560;e=s+36|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;k[s+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,h|0,c|0);f=B;B=0;if(f&1){f=Rb()|0;d=Q;Yua(c);Yua(e);Ava(h);P=d;R=f;break}Yua(c);B=0;Ia(40,s|0,148942,18)|0;f=B;B=0;do if(!(f&1)?(B=0,wa(510,t|0,h|0),d=B,B=0,!(d&1)):0){B=0;ya(425,t|0)|0;d=B;B=0;if(d&1){d=Rb()|0;j=Q;Yua(t);S=j;T=d;break}else{Yua(t);k[s>>2]=27468;k[l>>2]=27488;k[h>>2]=27560;Yua(e);Ava(h);vva(l);break b}}else J=48;while(0);if((J|0)==48){f=Rb()|0;S=Q;T=f}k[s>>2]=27468;k[l>>2]=27488;k[h>>2]=27560;Yua(e);Ava(h);vva(l);K=S;L=T;Qb(L|0)}while(0);N=P;O=R;vva(l);Qb(O|0)}while(0);ci(a,a+48|0,k[o>>2]|0,k[n>>2]|0,1)}if((k[m>>2]|0)==499)gi(a);a=k[n>>2]|0;if(!a){r=b;return}m=k[o>>2]|0;if((a|0)>0){O=m;R=a;a=0;while(1){P=O+(a<<2)|0;N=k[P>>2]|0;if(!N)U=R;else{Tqa(N);U=k[n>>2]|0}k[P>>2]=0;a=a+1|0;P=k[o>>2]|0;if((a|0)>=(U|0)){V=P;break}else{O=P;R=U}}}else V=m;if(V)Tqa(V);k[o>>2]=0;r=b;return}function k0(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0;b=r;r=r+320|0;c=b+300|0;d=b+312|0;e=b+152|0;f=b+288|0;g=b+16|0;h=b;xh(a,484);bO(k[a+44>>2]|0,d,759);a:do if(CY()|0){j=e+56|0;l=e+4|0;k[e>>2]=27524;k[j>>2]=27544;B=0;wa(508,e+56|0,l|0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;o=m;vva(j);Qb(o|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[j>>2]=27488;B=0;va(448,l|0);m=B;B=0;do if(m&1){p=Rb()|0;q=Q;s=p}else{k[l>>2]=27560;p=e+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,l|0,c|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(c);Yua(p);Ava(l);q=u;s=t;break}Yua(c);B=0;Ia(40,e|0,136216,25)|0;t=B;B=0;do if(!(t&1)?(B=0,wa(510,f|0,l|0),u=B,B=0,!(u&1)):0){B=0;ya(425,f|0)|0;u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(f);w=v;x=u;break}else{Yua(f);k[e>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);break a}}else y=14;while(0);if((y|0)==14){t=Rb()|0;w=Q;x=t}k[e>>2]=27468;k[j>>2]=27488;k[l>>2]=27560;Yua(p);Ava(l);vva(j);z=w;A=x;Qb(A|0)}while(0);n=q;o=s;vva(j);Qb(o|0)}while(0);Voa(a);if(!(i[d>>0]|0)){r=b;return}b:do if(CY()|0){d=g+56|0;o=g+4|0;k[g>>2]=27524;k[d>>2]=27544;B=0;wa(508,g+56|0,o|0);s=B;B=0;if(s&1){s=Rb()|0;C=Q;D=s;vva(d);Qb(D|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[d>>2]=27488;B=0;va(448,o|0);s=B;B=0;do if(s&1){q=Rb()|0;E=Q;F=q}else{k[o>>2]=27560;q=g+36|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[g+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,o|0,c|0);n=B;B=0;if(n&1){n=Rb()|0;x=Q;Yua(c);Yua(q);Ava(o);E=x;F=n;break}Yua(c);B=0;Ia(40,g|0,148942,18)|0;n=B;B=0;do if(!(n&1)?(B=0,wa(510,h|0,o|0),x=B,B=0,!(x&1)):0){B=0;ya(425,h|0)|0;x=B;B=0;if(x&1){x=Rb()|0;w=Q;Yua(h);G=w;H=x;break}else{Yua(h);k[g>>2]=27468;k[d>>2]=27488;k[o>>2]=27560;Yua(q);Ava(o);vva(d);break b}}else y=31;while(0);if((y|0)==31){n=Rb()|0;G=Q;H=n}k[g>>2]=27468;k[d>>2]=27488;k[o>>2]=27560;Yua(q);Ava(o);vva(d);z=G;A=H;Qb(A|0)}while(0);C=E;D=F;vva(d);Qb(D|0)}while(0);k[c>>2]=353;fi(a,a+48|0,c,1,1);r=b;return}function l0(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;b=r;r=r+496|0;c=b+456|0;d=b+480|0;e=b+304|0;f=b+440|0;g=b+152|0;h=b+288|0;j=b+16|0;l=b;bO(k[a+44>>2]|0,d,759);a:do if(CY()|0){m=e+56|0;n=e+4|0;k[e>>2]=27524;k[m>>2]=27544;B=0;wa(508,e+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;q=o;vva(m);Qb(q|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[m>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){s=Rb()|0;t=Q;u=s}else{k[n>>2]=27560;s=e+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,n|0,c|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(c);Yua(s);Ava(n);t=w;u=v;break}Yua(c);B=0;Ia(40,e|0,117309,33)|0;v=B;B=0;do if(!(v&1)?(B=0,wa(510,f|0,n|0),w=B,B=0,!(w&1)):0){B=0;ya(425,f|0)|0;w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(f);y=w;z=x;break}else{Yua(f);k[e>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);break a}}else A=14;while(0);if((A|0)==14){v=Rb()|0;y=v;z=Q}k[e>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);C=y;D=z;Qb(C|0)}while(0);p=t;q=u;vva(m);Qb(q|0)}while(0);o0(a);b:do if(CY()|0){q=g+56|0;u=g+4|0;k[g>>2]=27524;k[q>>2]=27544;B=0;wa(508,g+56|0,u|0);t=B;B=0;if(t&1){t=Rb()|0;E=Q;F=t;vva(q);Qb(F|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[q>>2]=27488;B=0;va(448,u|0);t=B;B=0;do if(t&1){p=Rb()|0;G=Q;H=p}else{k[u>>2]=27560;p=g+36|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;k[g+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,u|0,c|0);z=B;B=0;if(z&1){z=Rb()|0;y=Q;Yua(c);Yua(p);Ava(u);G=y;H=z;break}Yua(c);B=0;Ia(40,g|0,136216,25)|0;z=B;B=0;do if(!(z&1)?(B=0,wa(510,h|0,u|0),y=B,B=0,!(y&1)):0){B=0;ya(425,h|0)|0;y=B;B=0;if(y&1){y=Rb()|0;e=Q;Yua(h);I=y;J=e;break}else{Yua(h);k[g>>2]=27468;k[q>>2]=27488;k[u>>2]=27560;Yua(p);Ava(u);vva(q);break b}}else A=30;while(0);if((A|0)==30){z=Rb()|0;I=z;J=Q}k[g>>2]=27468;k[q>>2]=27488;k[u>>2]=27560;Yua(p);Ava(u);vva(q);C=I;D=J;Qb(C|0)}while(0);E=G;F=H;vva(q);Qb(F|0)}while(0);xh(a,486);Voa(a);if(!(i[d>>0]|0)){r=b;return}c:do if(CY()|0){d=j+56|0;F=j+4|0;k[j>>2]=27524;k[d>>2]=27544;B=0;wa(508,j+56|0,F|0);H=B;B=0;if(H&1){H=Rb()|0;K=Q;L=H;vva(d);Qb(L|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[d>>2]=27488;B=0;va(448,F|0);H=B;B=0;do if(H&1){G=Rb()|0;M=Q;N=G}else{k[F>>2]=27560;G=j+36|0;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;k[G+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,F|0,c|0);E=B;B=0;if(E&1){E=Rb()|0;J=Q;Yua(c);Yua(G);Ava(F);M=J;N=E;break}Yua(c);B=0;Ia(40,j|0,148942,18)|0;E=B;B=0;do if(!(E&1)?(B=0,wa(510,l|0,F|0),J=B,B=0,!(J&1)):0){B=0;ya(425,l|0)|0;J=B;B=0;if(J&1){J=Rb()|0;I=Q;Yua(l);O=J;P=I;break}else{Yua(l);k[j>>2]=27468;k[d>>2]=27488;k[F>>2]=27560;Yua(G);Ava(F);vva(d);break c}}else A=47;while(0);if((A|0)==47){E=Rb()|0;O=E;P=Q}k[j>>2]=27468;k[d>>2]=27488;k[F>>2]=27560;Yua(G);Ava(F);vva(d);C=O;D=P;Qb(C|0)}while(0);K=M;L=N;vva(d);Qb(L|0)}while(0);k[c>>2]=k[9258];k[c+4>>2]=k[9259];k[c+8>>2]=k[9260];k[c+12>>2]=k[9261];k[c+16>>2]=k[9262];k[c+20>>2]=k[9263];fi(a,a+48|0,c,6,1);r=b;return}function m0(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0;b=r;r=r+480|0;c=b+452|0;d=b+464|0;e=b+304|0;f=b+440|0;g=b+152|0;h=b+288|0;j=b+16|0;l=b;m=a+44|0;bO(k[m>>2]|0,d,759);a:do if(CY()|0){n=e+56|0;o=e+4|0;k[e>>2]=27524;k[n>>2]=27544;B=0;wa(508,e+56|0,o|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;s=p;vva(n);Qb(s|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[n>>2]=27488;B=0;va(448,o|0);p=B;B=0;do if(p&1){t=Rb()|0;u=Q;v=t}else{k[o>>2]=27560;t=e+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[e+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,o|0,c|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(c);Yua(t);Ava(o);u=x;v=w;break}Yua(c);B=0;Ia(40,e|0,117343,33)|0;w=B;B=0;do if(!(w&1)?(B=0,wa(510,f|0,o|0),x=B,B=0,!(x&1)):0){B=0;ya(425,f|0)|0;x=B;B=0;if(x&1){x=Rb()|0;y=Q;Yua(f);z=y;A=x;break}else{Yua(f);k[e>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(t);Ava(o);vva(n);break a}}else C=14;while(0);if((C|0)==14){w=Rb()|0;z=Q;A=w}k[e>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(t);Ava(o);vva(n);D=z;E=A;Qb(E|0)}while(0);q=u;s=v;vva(n);Qb(s|0)}while(0);pO(k[m>>2]|0,8.0,579);xh(a,520);oO(k[m>>2]|0,704,578);Voa(a);oO(k[m>>2]|0,705,578);Voa(a);b:do if(CY()|0){m=g+56|0;s=g+4|0;k[g>>2]=27524;k[m>>2]=27544;B=0;wa(508,g+56|0,s|0);v=B;B=0;if(v&1){v=Rb()|0;F=Q;G=v;vva(m);Qb(G|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[m>>2]=27488;B=0;va(448,s|0);v=B;B=0;do if(v&1){u=Rb()|0;H=Q;I=u}else{k[s>>2]=27560;u=g+36|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;k[u+12>>2]=0;k[g+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,s|0,c|0);q=B;B=0;if(q&1){q=Rb()|0;A=Q;Yua(c);Yua(u);Ava(s);H=A;I=q;break}Yua(c);B=0;Ia(40,g|0,136216,25)|0;q=B;B=0;do if(!(q&1)?(B=0,wa(510,h|0,s|0),A=B,B=0,!(A&1)):0){B=0;ya(425,h|0)|0;A=B;B=0;if(A&1){A=Rb()|0;z=Q;Yua(h);J=z;K=A;break}else{Yua(h);k[g>>2]=27468;k[m>>2]=27488;k[s>>2]=27560;Yua(u);Ava(s);vva(m);break b}}else C=30;while(0);if((C|0)==30){q=Rb()|0;J=Q;K=q}k[g>>2]=27468;k[m>>2]=27488;k[s>>2]=27560;Yua(u);Ava(s);vva(m);D=J;E=K;Qb(E|0)}while(0);F=H;G=I;vva(m);Qb(G|0)}while(0);xh(a,490);Voa(a);if(!(i[d>>0]|0)){r=b;return}c:do if(CY()|0){d=j+56|0;G=j+4|0;k[j>>2]=27524;k[d>>2]=27544;B=0;wa(508,j+56|0,G|0);I=B;B=0;if(I&1){I=Rb()|0;L=Q;M=I;vva(d);Qb(M|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[d>>2]=27488;B=0;va(448,G|0);I=B;B=0;do if(I&1){H=Rb()|0;N=Q;O=H}else{k[G>>2]=27560;H=j+36|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;k[H+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,G|0,c|0);F=B;B=0;if(F&1){F=Rb()|0;K=Q;Yua(c);Yua(H);Ava(G);N=K;O=F;break}Yua(c);B=0;Ia(40,j|0,148942,18)|0;F=B;B=0;do if(!(F&1)?(B=0,wa(510,l|0,G|0),K=B,B=0,!(K&1)):0){B=0;ya(425,l|0)|0;K=B;B=0;if(K&1){K=Rb()|0;J=Q;Yua(l);P=J;R=K;break}else{Yua(l);k[j>>2]=27468;k[d>>2]=27488;k[G>>2]=27560;Yua(H);Ava(G);vva(d);break c}}else C=47;while(0);if((C|0)==47){F=Rb()|0;P=Q;R=F}k[j>>2]=27468;k[d>>2]=27488;k[G>>2]=27560;Yua(H);Ava(G);vva(d);D=P;E=R;Qb(E|0)}while(0);L=N;M=O;vva(d);Qb(M|0)}while(0);k[c>>2]=k[9264];k[c+4>>2]=k[9265];k[c+8>>2]=k[9266];fi(a,a+48|0,c,3,1);r=b;return}function n0(a){a=a|0;return}function o0(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;b=r;r=r+320|0;c=b;d=b+312|0;e=b+308|0;f=b+160|0;g=b+296|0;h=b+24|0;j=b+12|0;l=a+44|0;bO(k[l>>2]|0,d,759);cO(k[l>>2]|0,e,298);a:do if(CY()|0){m=f+56|0;n=f+4|0;k[f>>2]=27524;k[m>>2]=27544;B=0;wa(508,f+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;q=o;vva(m);Qb(q|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[m>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){s=Rb()|0;t=Q;u=s}else{k[n>>2]=27560;s=f+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,n|0,c|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(c);Yua(s);Ava(n);t=w;u=v;break}Yua(c);B=0;Ia(40,f|0,117377,19)|0;v=B;B=0;do if(!(v&1)?(B=0,wa(510,g|0,n|0),w=B,B=0,!(w&1)):0){B=0;ya(425,g|0)|0;w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(g);y=x;z=w;break}else{Yua(g);k[f>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);break a}}else A=14;while(0);if((A|0)==14){v=Rb()|0;y=Q;z=v}k[f>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);C=y;D=z;Qb(D|0)}while(0);p=t;q=u;vva(m);Qb(q|0)}while(0);xh(a,493);oO(k[l>>2]|0,664,576);Voa(a);if(!((k[e>>2]|0)!=301?(oO(k[l>>2]|0,665,576),Voa(a),(k[e>>2]|0)!=301):0)){oO(k[l>>2]|0,664,575);y_(a)}if(!(i[d>>0]|0)){r=b;return}b:do if(CY()|0){d=h+56|0;l=h+4|0;k[h>>2]=27524;k[d>>2]=27544;B=0;wa(508,h+56|0,l|0);q=B;B=0;if(q&1){q=Rb()|0;E=Q;F=q;vva(d);Qb(F|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[d>>2]=27488;B=0;va(448,l|0);q=B;B=0;do if(q&1){u=Rb()|0;G=Q;H=u}else{k[l>>2]=27560;u=h+36|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;k[u+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,l|0,c|0);t=B;B=0;if(t&1){t=Rb()|0;p=Q;Yua(c);Yua(u);Ava(l);G=p;H=t;break}Yua(c);B=0;Ia(40,h|0,149048,16)|0;t=B;B=0;do if(!(t&1)?(B=0,wa(510,j|0,l|0),p=B,B=0,!(p&1)):0){B=0;ya(425,j|0)|0;p=B;B=0;if(p&1){p=Rb()|0;z=Q;Yua(j);I=z;J=p;break}else{Yua(j);k[h>>2]=27468;k[d>>2]=27488;k[l>>2]=27560;Yua(u);Ava(l);vva(d);break b}}else A=34;while(0);if((A|0)==34){t=Rb()|0;I=Q;J=t}k[h>>2]=27468;k[d>>2]=27488;k[l>>2]=27560;Yua(u);Ava(l);vva(d);C=I;D=J;Qb(D|0)}while(0);E=G;F=H;vva(d);Qb(F|0)}while(0);if((k[e>>2]|0)==301){k[c>>2]=664;fi(a,a+48|0,c,1,1);r=b;return}else{e=c;k[e>>2]=664;k[e+4>>2]=665;fi(a,a+48|0,c,2,1);r=b;return}}function p0(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;b=r;r=r+320|0;c=b;d=b+312|0;e=b+308|0;f=b+160|0;g=b+296|0;h=b+24|0;j=b+12|0;l=a+44|0;bO(k[l>>2]|0,d,759);cO(k[l>>2]|0,e,298);a:do if(CY()|0){m=f+56|0;n=f+4|0;k[f>>2]=27524;k[m>>2]=27544;B=0;wa(508,f+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;q=o;vva(m);Qb(q|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[m>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){s=Rb()|0;t=Q;u=s}else{k[n>>2]=27560;s=f+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,n|0,c|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(c);Yua(s);Ava(n);t=w;u=v;break}Yua(c);B=0;Ia(40,f|0,117397,19)|0;v=B;B=0;do if(!(v&1)?(B=0,wa(510,g|0,n|0),w=B,B=0,!(w&1)):0){B=0;ya(425,g|0)|0;w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(g);y=x;z=w;break}else{Yua(g);k[f>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);break a}}else A=14;while(0);if((A|0)==14){v=Rb()|0;y=Q;z=v}k[f>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);C=y;D=z;Qb(D|0)}while(0);p=t;q=u;vva(m);Qb(q|0)}while(0);xh(a,493);oO(k[l>>2]|0,642,576);Voa(a);if((k[e>>2]|0)!=301){oO(k[l>>2]|0,643,576);Voa(a)}if(!(i[d>>0]|0)){r=b;return}b:do if(CY()|0){d=h+56|0;l=h+4|0;k[h>>2]=27524;k[d>>2]=27544;B=0;wa(508,h+56|0,l|0);q=B;B=0;if(q&1){q=Rb()|0;E=Q;F=q;vva(d);Qb(F|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[d>>2]=27488;B=0;va(448,l|0);q=B;B=0;do if(q&1){u=Rb()|0;G=Q;H=u}else{k[l>>2]=27560;u=h+36|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;k[u+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,l|0,c|0);t=B;B=0;if(t&1){t=Rb()|0;p=Q;Yua(c);Yua(u);Ava(l);G=p;H=t;break}Yua(c);B=0;Ia(40,h|0,148942,18)|0;t=B;B=0;do if(!(t&1)?(B=0,wa(510,j|0,l|0),p=B,B=0,!(p&1)):0){B=0;ya(425,j|0)|0;p=B;B=0;if(p&1){p=Rb()|0;z=Q;Yua(j);I=z;J=p;break}else{Yua(j);k[h>>2]=27468;k[d>>2]=27488;k[l>>2]=27560;Yua(u);Ava(l);vva(d);break b}}else A=33;while(0);if((A|0)==33){t=Rb()|0;I=Q;J=t}k[h>>2]=27468;k[d>>2]=27488;k[l>>2]=27560;Yua(u);Ava(l);vva(d);C=I;D=J;Qb(D|0)}while(0);E=G;F=H;vva(d);Qb(F|0)}while(0);if((k[e>>2]|0)==301){k[c>>2]=642;fi(a,a+48|0,c,1,1);r=b;return}else{e=c;k[e>>2]=642;k[e+4>>2]=643;fi(a,a+48|0,c,2,1);r=b;return}}function q0(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;b=r;r=r+336|0;c=b+316|0;d=b+328|0;e=b+308|0;f=b+304|0;g=b+300|0;h=b+152|0;j=b+288|0;l=b+16|0;m=b;k[f>>2]=0;k[g>>2]=0;n=a+44|0;bO(k[n>>2]|0,d,759);cO(k[n>>2]|0,b+312|0,476);cO(k[n>>2]|0,f,242);if(k[f>>2]|0)gO(k[n>>2]|0,g,f,243);cO(k[n>>2]|0,e,237);a:do if(CY()|0){n=h+56|0;o=h+4|0;k[h>>2]=27524;k[n>>2]=27544;B=0;wa(508,h+56|0,o|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;s=p;vva(n);Qb(s|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[n>>2]=27488;B=0;va(448,o|0);p=B;B=0;do if(p&1){t=Rb()|0;u=Q;v=t}else{k[o>>2]=27560;t=h+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,o|0,c|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(c);Yua(t);Ava(o);u=x;v=w;break}Yua(c);B=0;Ia(40,h|0,117417,20)|0;w=B;B=0;do if(!(w&1)?(B=0,wa(510,j|0,o|0),x=B,B=0,!(x&1)):0){B=0;ya(425,j|0)|0;x=B;B=0;if(x&1){x=Rb()|0;y=Q;Yua(j);z=y;A=x;break}else{Yua(j);k[h>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(t);Ava(o);vva(n);break a}}else C=16;while(0);if((C|0)==16){w=Rb()|0;z=Q;A=w}k[h>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(t);Ava(o);vva(n);D=z;E=A;Qb(E|0)}while(0);q=u;s=v;vva(n);Qb(s|0)}while(0);T8(a);xh(a,496);if((k[e>>2]|0)==4)Yoa(a);Voa(a);if(i[d>>0]|0){b:do if(CY()|0){d=l+56|0;e=l+4|0;k[l>>2]=27524;k[d>>2]=27544;B=0;wa(508,l+56|0,e|0);s=B;B=0;if(s&1){s=Rb()|0;F=Q;G=s;vva(d);Qb(G|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[d>>2]=27488;B=0;va(448,e|0);s=B;B=0;do if(s&1){v=Rb()|0;H=Q;I=v}else{k[e>>2]=27560;v=l+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[l+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,e|0,c|0);u=B;B=0;if(u&1){u=Rb()|0;q=Q;Yua(c);Yua(v);Ava(e);H=q;I=u;break}Yua(c);B=0;Ia(40,l|0,148942,18)|0;u=B;B=0;do if(!(u&1)?(B=0,wa(510,m|0,e|0),q=B,B=0,!(q&1)):0){B=0;ya(425,m|0)|0;q=B;B=0;if(q&1){q=Rb()|0;A=Q;Yua(m);J=A;K=q;break}else{Yua(m);k[l>>2]=27468;k[d>>2]=27488;k[e>>2]=27560;Yua(v);Ava(e);vva(d);break b}}else C=35;while(0);if((C|0)==35){u=Rb()|0;J=Q;K=u}k[l>>2]=27468;k[d>>2]=27488;k[e>>2]=27560;Yua(v);Ava(e);vva(d);D=J;E=K;Qb(E|0)}while(0);F=H;G=I;vva(d);Qb(G|0)}while(0);ci(a,a+48|0,k[g>>2]|0,k[f>>2]|0,1)}a=k[f>>2]|0;if(!a){r=b;return}G=k[g>>2]|0;if((a|0)>0){I=G;H=a;a=0;while(1){F=I+(a<<2)|0;E=k[F>>2]|0;if(!E)L=H;else{Tqa(E);L=k[f>>2]|0}k[F>>2]=0;a=a+1|0;F=k[g>>2]|0;if((a|0)>=(L|0)){M=F;break}else{I=F;H=L}}}else M=G;if(M)Tqa(M);k[g>>2]=0;r=b;return}function r0(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;b=r;r=r+176|0;c=b+156|0;d=b+173|0;e=b+172|0;f=b+171|0;g=b+170|0;h=b+169|0;j=b+168|0;l=b+152|0;m=b+16|0;n=b;o=a+44|0;cO(k[o>>2]|0,l,298);bO(k[o>>2]|0,d,759);bO(k[o>>2]|0,e,362);bO(k[o>>2]|0,f,364);bO(k[o>>2]|0,g,365);bO(k[o>>2]|0,j,369);if((i[g>>0]|0)!=0&(k[l>>2]|0)==302)bO(k[o>>2]|0,h,340);if(!(i[j>>0]|0)){r=b;return}Uha(a);a:do if(CY()|0){j=m+56|0;p=m+4|0;k[m>>2]=27524;k[j>>2]=27544;B=0;wa(508,m+56|0,p|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;t=q;vva(j);Qb(t|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[j>>2]=27488;B=0;va(448,p|0);q=B;B=0;do if(q&1){u=Rb()|0;v=Q;w=u}else{k[p>>2]=27560;u=m+36|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;k[u+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,p|0,c|0);x=B;B=0;if(x&1){x=Rb()|0;y=Q;Yua(c);Yua(u);Ava(p);v=y;w=x;break}Yua(c);B=0;Ia(40,m|0,117438,32)|0;x=B;B=0;if(!(x&1)?(B=0,wa(510,n|0,p|0),x=B,B=0,!(x&1)):0){B=0;ya(425,n|0)|0;x=B;B=0;if(!(x&1)){Yua(n);k[m>>2]=27468;k[j>>2]=27488;k[p>>2]=27560;Yua(u);Ava(p);vva(j);break a}x=Rb()|0;y=Q;Yua(n);z=y;A=x;k[m>>2]=27468;k[j>>2]=27488;k[p>>2]=27560;Yua(u);Ava(p);vva(j);Qb(A|0)}x=Rb()|0;z=Q;A=x;k[m>>2]=27468;k[j>>2]=27488;k[p>>2]=27560;Yua(u);Ava(p);vva(j);Qb(A|0)}while(0);s=v;t=w;vva(j);Qb(t|0)}while(0);kpa(a);t=(i[e>>0]|0)==0;e=i[f>>0]|0;f=(i[g>>0]|0)!=0&(k[l>>2]|0)==302;l=(f&1)+((t?0:2)|e&255)|0;g=Rqa(l<<2)|0;if(t)C=0;else{k[g>>2]=674;k[g+4>>2]=677;C=2}if(!(e<<24>>24))D=C;else{k[g+(C<<2)>>2]=353;D=C|1}if(f)k[g+(D<<2)>>2]=(i[h>>0]|0)==0?666:687;h=Qqa(4)|0;k[h>>2]=40380;if(l){D=0;do{oO(k[o>>2]|0,k[g+(D<<2)>>2]|0,991);Fc[k[(k[h>>2]|0)+32>>2]&1023](h,a);D=D+1|0}while((D|0)<(l|0))}Tqa(g);Ec[k[(k[h>>2]|0)+4>>2]&1023](h);h=Qqa(4)|0;k[h>>2]=40304;Fc[k[40336>>2]&1023](h,a);Ec[k[(k[h>>2]|0)+4>>2]&1023](h);SZ(a);if(!(i[d>>0]|0)){r=b;return}k[c>>2]=992;fi(a,a+48|0,c,1,1);r=b;return}function s0(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0;e=r;r=r+352|0;d=e+336|0;b=e+332|0;g=e+192|0;h=e+176|0;i=e+40|0;j=e+24|0;l=e+12|0;m=e;cO(f,b,942);cO(f,e+328|0,477);if((k[b>>2]|0)==921){r=e;return}a:do if(BY()|0){n=g+56|0;o=g+4|0;k[g>>2]=27524;k[n>>2]=27544;B=0;wa(508,g+56|0,o|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;s=p;vva(n);Qb(s|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[n>>2]=27488;B=0;va(448,o|0);p=B;B=0;do if(p&1){t=Rb()|0;u=Q;v=t}else{k[o>>2]=27560;t=g+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[g+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,o|0,d|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(d);Yua(t);Ava(o);u=x;v=w;break}Yua(d);B=0;Ia(40,g|0,117471,28)|0;w=B;B=0;do if(!(w&1)?(B=0,wa(510,h|0,o|0),x=B,B=0,!(x&1)):0){B=0;ya(425,h|0)|0;x=B;B=0;if(x&1){x=Rb()|0;y=Q;Yua(h);z=y;A=x;break}else{Yua(h);k[g>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(t);Ava(o);vva(n);break a}}else C=15;while(0);if((C|0)==15){w=Rb()|0;z=Q;A=w}k[g>>2]=27468;k[n>>2]=27488;k[o>>2]=27560;Yua(t);Ava(o);vva(n);D=z;E=A;Qb(E|0)}while(0);q=u;s=v;vva(n);Qb(s|0)}while(0);tO(f,483);switch(k[b>>2]|0){case 923:{s=t0(a,c,0)|0;F=u0(a,0,c,f,s)|0;G=s;break}case 926:{F=v0(a,c)|0;G=0;break}case 927:case 925:case 924:case 922:{F=0;G=0;break}default:{c=i+56|0;s=i+4|0;k[i>>2]=27524;k[c>>2]=27544;B=0;wa(508,i+56|0,s|0);f=B;B=0;if(f&1){f=Rb()|0;H=Q;I=f;vva(c);Qb(I|0)}k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[c>>2]=27488;B=0;va(448,s|0);f=B;B=0;do if(f&1){v=Rb()|0;J=Q;K=v}else{k[s>>2]=27560;v=i+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[i+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,s|0,d|0);u=B;B=0;if(u&1){u=Rb()|0;q=Q;Yua(d);Yua(v);Ava(s);J=q;K=u;break}Yua(d);B=0;u=Ia(40,i|0,117500,25)|0;q=B;B=0;b:do if((((!(q&1)?(B=0,A=ya(427,k[b>>2]|0)|0,z=B,B=0,!(z&1)):0)?(z=Lta(A)|0,B=0,g=Ia(40,u|0,A|0,z|0)|0,z=B,B=0,!(z&1)):0)?(B=0,z=Ia(40,g|0,146956,19)|0,g=B,B=0,!(g&1)):0)?(B=0,Xa(239,z|0,0)|0,z=B,B=0,!(z&1)):0){z=Ab(20)|0;B=0;eb(502,j|0,117526,106);g=B;B=0;do if(!(g&1)){B=0;eb(502,l|0,117633,23);A=B;B=0;if(A&1){A=Rb()|0;h=Q;Yua(j);L=h;M=A;break}B=0;wa(510,m|0,s|0);A=B;B=0;if(A&1){A=Rb()|0;N=1;O=Q;P=A}else{B=0;ua(163,z|0,j|0,l|0,46,m|0);A=B;B=0;if(A&1)R=1;else{B=0;eb(503,z|0,1240,229);B=0;R=0}A=Rb()|0;h=Q;Yua(m);N=R;O=h;P=A}Yua(l);Yua(j);if(N){L=O;M=P}else{S=O;T=P;break b}}else{A=Rb()|0;L=Q;M=A}while(0);zb(z|0);S=L;T=M}else C=40;while(0);if((C|0)==40){u=Rb()|0;S=Q;T=u}k[i>>2]=27468;k[c>>2]=27488;k[s>>2]=27560;Yua(v);Ava(s);vva(c);D=S;E=T;Qb(E|0)}while(0);H=J;I=K;vva(c);Qb(I|0)}}if((th(a)|0)>0){I=0;do{eq(qh(a,I)|0,F);I=I+1|0}while((I|0)<(th(a)|0))}if(G)Tqa(G);if(!F){r=e;return}Tqa(F);r=e;return}function t0(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;c=nn(b)|0;b=Qqa(8)|0;B=0;va(485,b|0);d=B;B=0;a:do if(!(d&1)){do if(k[b>>2]|0){B=0;e=ya(423,4)|0;f=B;B=0;if(f&1)break a;B=0;eb(505,e|0,c|0,0);f=B;B=0;if(!(f&1)){k[b+4>>2]=e;break}f=Rb()|0;g=Q;Sqa(e);h=g;i=f;Sqa(b);Qb(i|0)}while(0);if((th(a)|0)>0){f=0;do{g=qh(a,f)|0;Fc[k[(k[g>>2]|0)+400>>2]&1023](g,b);f=f+1|0}while((f|0)<(th(a)|0))}if(!(k[b>>2]|0)){j=0;Sqa(b);return j|0}f=b+4|0;g=k[k[f>>2]>>2]|0;Ec[k[(k[g>>2]|0)+12>>2]&1023](g);if(!(k[b>>2]|0)){j=0;Sqa(b);return j|0}g=k[k[f>>2]>>2]|0;e=Hc[k[(k[g>>2]|0)+52>>2]&511](g)|0;if(!(k[b>>2]|0)){j=e;Sqa(b);return j|0}g=k[f>>2]|0;if(!g){j=e;Sqa(b);return j|0}f=k[g>>2]|0;if(f)Ec[k[(k[f>>2]|0)+4>>2]&1023](f);Sqa(g);j=e;Sqa(b);return j|0}while(0);j=Rb()|0;h=Q;i=j;Sqa(b);Qb(i|0);return 0}function u0(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;b=r;r=r+176|0;f=b+164|0;g=b+156|0;h=b+152|0;i=b+16|0;j=b;cO(d,b+160|0,477);d=Qqa(8)|0;B=0;l=ya(429,c|0)|0;c=B;B=0;a:do if(!(c&1)?(B=0,va(485,d|0),m=B,B=0,!(m&1)):0){do if(k[d>>2]|0){B=0;m=ya(423,4)|0;n=B;B=0;if(n&1){o=10;break a}B=0;eb(505,m|0,l|0,0);n=B;B=0;if(n&1){n=Rb()|0;q=Q;Sqa(m);s=q;t=n;break a}else{k[d+4>>2]=m;break}}while(0);if((th(a)|0)>0){m=0;do{Gp(qh(a,m)|0,d,928,628);m=m+1|0}while((m|0)<(th(a)|0))}m=d+4|0;if((k[d>>2]|0)!=0?(n=k[k[m>>2]>>2]|0,Ec[k[(k[n>>2]|0)+12>>2]&1023](n),(k[d>>2]|0)!=0):0){n=k[k[m>>2]>>2]|0;u=Hc[k[(k[n>>2]|0)+52>>2]&511](n)|0}else u=0;k[g>>2]=1;n=i+56|0;q=i+4|0;v=i+56|0;w=i+128|0;x=i+132|0;y=i+36|0;z=i+52|0;A=u;while(1){C=Qqa(8)|0;B=0;D=ya(434,a|0)|0;E=B;B=0;if(E&1){F=C;o=28;break}B=0;va(485,C|0);E=B;B=0;if(E&1){F=C;o=28;break}if(k[C>>2]|0){B=0;E=ya(423,4)|0;G=B;B=0;if(G&1){F=C;o=28;break}B=0;eb(505,E|0,D|0,1);D=B;B=0;if(D&1){H=C;I=E;o=24;break}k[C+4>>2]=E}if((th(a)|0)>0){E=C+4|0;D=0;do{G=qh(a,D)|0;J=Rp(G)|0;K=ed[k[(k[G>>2]|0)+244>>2]&511](G,A)|0;if(k[C>>2]|0){G=k[k[E>>2]>>2]|0;Jc[k[(k[G>>2]|0)+20>>2]&1](G,J,K?1.0:0.0,0)}D=D+1|0}while((D|0)<(th(a)|0))}if((k[C>>2]|0)!=0?(D=C+4|0,E=k[k[D>>2]>>2]|0,Ec[k[(k[E>>2]|0)+12>>2]&1023](E),(k[C>>2]|0)!=0):0){E=k[k[D>>2]>>2]|0;L=Hc[k[(k[E>>2]|0)+52>>2]&511](E)|0}else L=0;k[h>>2]=0;if((th(a)|0)>0){E=0;do{D=qh(a,E)|0;K=L+((Rp(D)|0)<<3)|0;if(~~+p[K>>3]){K=ld[k[(k[D>>2]|0)+492>>2]&127](D,e,d,A)|0;k[h>>2]=(k[h>>2]|0)+K}E=E+1|0}while((E|0)<(th(a)|0))}if(k[d>>2]|0){E=k[k[m>>2]>>2]|0;Ec[k[(k[E>>2]|0)+12>>2]&1023](E)}fZ(h,g,1,4,4,uY()|0)|0;if(EY()|0){k[i>>2]=27524;k[n>>2]=27544;B=0;wa(508,v|0,q|0);E=B;B=0;if(E&1){o=44;break}k[w>>2]=0;k[x>>2]=-1;k[i>>2]=27468;k[n>>2]=27488;B=0;va(448,q|0);E=B;B=0;if(E&1){o=45;break}k[q>>2]=27560;k[y>>2]=0;k[y+4>>2]=0;k[y+8>>2]=0;k[y+12>>2]=0;k[z>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,q|0,f|0);E=B;B=0;if(E&1){o=43;break}Yua(f);B=0;E=Ia(40,i|0,117657,54)|0;K=B;B=0;if(K&1){o=54;break}B=0;K=Xa(242,E|0,k[g>>2]|0)|0;E=B;B=0;if(E&1){o=54;break}B=0;Ia(40,K|0,149177,1)|0;K=B;B=0;if(K&1){o=54;break}B=0;wa(510,j|0,q|0);K=B;B=0;if(K&1){o=54;break}B=0;ya(425,j|0)|0;K=B;B=0;if(K&1){o=55;break}Yua(j);k[i>>2]=27468;k[n>>2]=27488;k[q>>2]=27560;Yua(y);Ava(q);vva(n)}if(L)Tqa(L);if(A)Tqa(A);if((k[C>>2]|0)!=0?(K=k[C+4>>2]|0,(K|0)!=0):0){E=k[K>>2]|0;if(E)Ec[k[(k[E>>2]|0)+4>>2]&1023](E);Sqa(K)}Sqa(C);if(!(k[d>>2]|0))M=0;else{K=k[k[m>>2]>>2]|0;M=Hc[k[(k[K>>2]|0)+52>>2]&511](K)|0}if(!(k[g>>2]|0)){N=M;o=69;break}else A=M}if((o|0)==24){A=Rb()|0;z=Q;Sqa(I);O=H;P=z;R=A;o=29}else if((o|0)==28){A=Rb()|0;O=F;P=Q;R=A;o=29}else if((o|0)==43){A=Rb()|0;z=Q;Yua(f);Yua(y);Ava(q);S=z;T=A;o=46}else if((o|0)==44){A=Rb()|0;U=Q;V=A;vva(n);Qb(V|0)}else if((o|0)==45){A=Rb()|0;S=Q;T=A;o=46}else if((o|0)==54){A=Rb()|0;W=Q;X=A;o=56}else if((o|0)==55){A=Rb()|0;z=Q;Yua(j);W=z;X=A;o=56}else if((o|0)==69){if(!(k[d>>2]|0)){Sqa(d);r=b;return N|0}A=k[m>>2]|0;if(!A){Sqa(d);r=b;return N|0}z=k[A>>2]|0;if(z)Ec[k[(k[z>>2]|0)+4>>2]&1023](z);Sqa(A);Sqa(d);r=b;return N|0}if((o|0)==29){Sqa(O);Y=P;Z=R;Qb(Z|0)}else if((o|0)==46){U=S;V=T;vva(n);Qb(V|0)}else if((o|0)==56){k[i>>2]=27468;k[n>>2]=27488;k[q>>2]=27560;Yua(y);Ava(q);vva(n);Y=W;Z=X;Qb(Z|0)}}else o=10;while(0);if((o|0)==10){o=Rb()|0;s=Q;t=o}Sqa(d);Y=s;Z=t;Qb(Z|0);return 0}function v0(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0.0,t=0,u=0,v=0;c=nn(b)|0;b=Qqa(8)|0;B=0;va(485,b|0);d=B;B=0;a:do if(d&1)e=23;else{do if(k[b>>2]|0){B=0;f=ya(423,4)|0;g=B;B=0;if(g&1){e=23;break a}B=0;eb(505,f|0,c|0,0);g=B;B=0;if(g&1){g=Rb()|0;h=Q;Sqa(f);i=h;j=g;break a}else{k[b+4>>2]=f;break}}while(0);f=Qqa(8)|0;B=0;va(485,f|0);g=B;B=0;b:do if(g&1)e=25;else{do if(k[f>>2]|0){B=0;h=ya(423,4)|0;l=B;B=0;if(l&1){e=25;break b}B=0;eb(505,h|0,c|0,0);l=B;B=0;if(l&1){l=Rb()|0;m=Q;Sqa(h);n=m;o=l;break b}else{k[f+4>>2]=h;break}}while(0);h=Rqa(c>>>0>536870911?-1:c<<3)|0;if((th(a)|0)>0){l=0;do{m=qh(a,l)|0;nd[k[(k[m>>2]|0)+120>>2]&1023](m,b,f);l=l+1|0}while((l|0)<(th(a)|0))}if(k[b>>2]|0){l=k[k[b+4>>2]>>2]|0;Ec[k[(k[l>>2]|0)+12>>2]&1023](l)}if(k[f>>2]|0){l=k[k[f+4>>2]>>2]|0;Ec[k[(k[l>>2]|0)+12>>2]&1023](l)}if(!(k[b>>2]|0))q=0;else{l=k[k[b+4>>2]>>2]|0;q=Hc[k[(k[l>>2]|0)+52>>2]&511](l)|0}if(!(k[f>>2]|0))r=0;else{l=k[k[f+4>>2]>>2]|0;r=Hc[k[(k[l>>2]|0)+52>>2]&511](l)|0}if((c|0)>0){l=0;do{s=+p[q+(l<<3)>>3];m=+p[r+(l<<3)>>3]==1.0;do if(s==1.0){t=h+(l<<3)|0;if(m){p[t>>3]=0.0;break}else{p[t>>3]=1.0;break}}else{if(m){p[h+(l<<3)>>3]=-1.0;break}t=h+(l<<3)|0;if(s>10.0){p[t>>3]=9999.0;break}else{p[t>>3]=-9999.0;break}}while(0);l=l+1|0}while((l|0)!=(c|0))}if((k[b>>2]|0)!=0?(l=k[b+4>>2]|0,(l|0)!=0):0){m=k[l>>2]|0;if(m)Ec[k[(k[m>>2]|0)+4>>2]&1023](m);Sqa(l)}Sqa(b);if((k[f>>2]|0)!=0?(l=k[f+4>>2]|0,(l|0)!=0):0){m=k[l>>2]|0;if(m)Ec[k[(k[m>>2]|0)+4>>2]&1023](m);Sqa(l)}Sqa(f);if(q)Tqa(q);if(!r)return h|0;Tqa(r);return h|0}while(0);if((e|0)==25){g=Rb()|0;n=Q;o=g}Sqa(f);u=n;v=o;Qb(v|0)}while(0);if((e|0)==23){e=Rb()|0;i=Q;j=e}Sqa(b);u=i;v=j;Qb(v|0);return 0}function w0(a){a=a|0;var b=0;k[a>>2]=37076;k[a+4>>2]=37196;k[a+124>>2]=0;b=a+44|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[b+16>>2]=0;k[b+20>>2]=0;return}function x0(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0;f=r;r=r+32|0;g=f+16|0;h=f+8|0;j=f+4|0;l=f;k[a>>2]=37076;k[a+4>>2]=37196;B=0;eb(512,d|0,l|0,117723);m=B;B=0;do if(((((!(m&1)?(B=0,n=Xa(246,d|0,127458)|0,o=B,B=0,!(o&1)):0)?(o=c*12|0,q=~~+p[n+(o<<3)+16>>3],B=0,n=Xa(246,d|0,127458)|0,s=B,B=0,!(s&1)):0)?(s=~~+p[n+(o<<3)+24>>3],B=0,n=Xa(246,d|0,127458)|0,t=B,B=0,!(t&1)):0)?(t=~~+p[n+(o<<3)>>3],B=0,n=Xa(246,d|0,127458)|0,u=B,B=0,!(u&1)):0)?(u=~~+p[n+(o<<3)+8>>3],k[a+8>>2]=b,k[a+12>>2]=e,n=k[d+100>>2]|0,k[g>>2]=n+t,k[g+4>>2]=n+u,k[h>>2]=q,k[h+4>>2]=s,k[j>>2]=(k[d+56>>2]|0)+1,B=0,s=ya(423,16)|0,q=B,B=0,!(q&1)):0){B=0;eb(509,s|0,g|0,2);q=B;B=0;if(q&1){q=Rb()|0;u=Q;Sqa(s);v=u;w=q;Qb(w|0)}k[a+44>>2]=s;B=0;s=ya(423,16)|0;q=B;B=0;if(!(q&1)){B=0;eb(509,s|0,h|0,2);q=B;B=0;if(q&1){q=Rb()|0;u=Q;Sqa(s);v=u;w=q;Qb(w|0)}k[a+48>>2]=s;B=0;s=ya(423,16)|0;q=B;B=0;if(!(q&1)){B=0;eb(509,s|0,j|0,1);q=B;B=0;if(q&1){q=Rb()|0;u=Q;Sqa(s);v=u;w=q;Qb(w|0)}k[a+52>>2]=s;i[a+72>>0]=0;i[a+73>>0]=0;k[a+76>>2]=0;i[a+80>>0]=0;k[a+68>>2]=k[l>>2];i[a+81>>0]=0;B=0;s=Xa(246,d|0,127458)|0;q=B;B=0;if(((((((!(q&1)?(p[a+88>>3]=+p[s+(o<<3)+32>>3],B=0,s=Xa(246,d|0,127458)|0,q=B,B=0,!(q&1)):0)?(p[a+96>>3]=+p[s+(o<<3)+40>>3],B=0,s=Xa(246,d|0,127458)|0,q=B,B=0,!(q&1)):0)?(p[a+104>>3]=+p[s+(o<<3)+48>>3],B=0,s=Xa(246,d|0,127458)|0,q=B,B=0,!(q&1)):0)?(p[a+112>>3]=+p[s+(o<<3)+72>>3],B=0,s=Xa(246,d|0,127458)|0,q=B,B=0,!(q&1)):0)?(k[a+120>>2]=~~+p[s+(o<<3)+88>>3],k[a+16>>2]=613,B=0,s=Xa(246,d|0,127458)|0,q=B,B=0,!(q&1)):0)?(k[a+20>>2]=~~+p[s+(o<<3)+56>>3],B=0,s=Xa(246,d|0,127458)|0,q=B,B=0,!(q&1)):0)?(p[a+24>>3]=+p[s+(o<<3)+64>>3],B=0,s=Xa(246,d|0,127458)|0,q=B,B=0,!(q&1)):0){p[a+32>>3]=+p[s+(o<<3)+80>>3];B=0;o=Xa(246,d|0,134962)|0;s=B;B=0;if(s&1)break;i[a+40>>0]=+p[o+(t+-1<<3)>>3]<0.0&1;k[a+124>>2]=0;k[a+60>>2]=0;k[a+64>>2]=0;k[a+56>>2]=0;r=f;return}}}}while(0);f=Rb()|0;v=Q;w=f;Qb(w|0)}function y0(a){a=a|0;var b=0;k[a>>2]=37076;k[a+4>>2]=37196;k[a+124>>2]=0;b=k[a+44>>2]|0;if(b){yla(b);Sqa(b)}b=k[a+48>>2]|0;if(b){yla(b);Sqa(b)}b=k[a+52>>2]|0;if(!b)return;yla(b);Sqa(b);return}function z0(a){a=a|0;var b=0;k[a>>2]=37076;k[a+4>>2]=37196;k[a+124>>2]=0;b=k[a+44>>2]|0;if(b){yla(b);Sqa(b)}b=k[a+48>>2]|0;if(b){yla(b);Sqa(b)}b=k[a+52>>2]|0;if(!b){Sqa(a);return}yla(b);Sqa(b);Sqa(a);return}function A0(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;b=Qqa(128)|0;k[b>>2]=37076;k[b+4>>2]=37196;c=b+44|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[c+16>>2]=0;k[c+20>>2]=0;k[b+8>>2]=k[a+8>>2];k[b+12>>2]=k[a+12>>2];k[b+16>>2]=k[a+16>>2];k[b+20>>2]=k[a+20>>2];p[b+24>>3]=+p[a+24>>3];p[b+32>>3]=+p[a+32>>3];i[b+40>>0]=i[a+40>>0]|0;k[b+124>>2]=k[a+124>>2];d=Bla(k[a+44>>2]|0)|0;k[c>>2]=d;d=Bla(k[a+48>>2]|0)|0;e=b+48|0;k[e>>2]=d;d=Bla(k[a+52>>2]|0)|0;f=b+52|0;k[f>>2]=d;d=Gla(k[c>>2]|0)|0;k[b+60>>2]=d;d=Gla(k[e>>2]|0)|0;k[b+64>>2]=d;d=Fla(k[f>>2]|0)|0;k[b+56>>2]=d;k[b+68>>2]=k[a+68>>2];d=j[a+72>>1]|0;i[b+72>>0]=d;i[b+73>>0]=(d&65535)>>>8;k[b+120>>2]=k[a+120>>2];k[b+76>>2]=k[a+76>>2];d=j[a+80>>1]|0;i[b+80>>0]=d;i[b+81>>0]=(d&65535)>>>8;p[b+88>>3]=+p[a+88>>3];p[b+96>>3]=+p[a+96>>3];p[b+104>>3]=+p[a+104>>3];p[b+112>>3]=+p[a+112>>3];return b|0}function B0(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0;e=r;r=r+368|0;f=e+344|0;g=e+208|0;h=e+196|0;j=e+184|0;m=e+36|0;n=e+48|0;o=e+24|0;q=e+12|0;s=e;u=(d|0)==0;a:do if(u){v=k[b>>2]|0;i[v>>0]=98;i[v+1>>0]=2;i[v+2>>0]=0;i[v+3>>0]=0;v=(k[b>>2]|0)+4|0;k[b>>2]=v;w=a+8|0;x=l[w>>0]|l[w+1>>0]<<8|l[w+2>>0]<<16|l[w+3>>0]<<24;i[v>>0]=x;i[v+1>>0]=x>>8;i[v+2>>0]=x>>16;i[v+3>>0]=x>>24;x=(k[b>>2]|0)+4|0;k[b>>2]=x;v=a+12|0;w=l[v>>0]|l[v+1>>0]<<8|l[v+2>>0]<<16|l[v+3>>0]<<24;i[x>>0]=w;i[x+1>>0]=w>>8;i[x+2>>0]=w>>16;i[x+3>>0]=w>>24;w=(k[b>>2]|0)+4|0;k[b>>2]=w;x=a+16|0;v=l[x>>0]|l[x+1>>0]<<8|l[x+2>>0]<<16|l[x+3>>0]<<24;i[w>>0]=v;i[w+1>>0]=v>>8;i[w+2>>0]=v>>16;i[w+3>>0]=v>>24;v=(k[b>>2]|0)+4|0;k[b>>2]=v;w=a+20|0;x=l[w>>0]|l[w+1>>0]<<8|l[w+2>>0]<<16|l[w+3>>0]<<24;i[v>>0]=x;i[v+1>>0]=x>>8;i[v+2>>0]=x>>16;i[v+3>>0]=x>>24;x=(k[b>>2]|0)+4|0;k[b>>2]=x;v=a+24|0;w=v;y=l[w>>0]|l[w+1>>0]<<8|l[w+2>>0]<<16|l[w+3>>0]<<24;w=v+4|0;v=l[w>>0]|l[w+1>>0]<<8|l[w+2>>0]<<16|l[w+3>>0]<<24;w=x;x=w;i[x>>0]=y;i[x+1>>0]=y>>8;i[x+2>>0]=y>>16;i[x+3>>0]=y>>24;y=w+4|0;i[y>>0]=v;i[y+1>>0]=v>>8;i[y+2>>0]=v>>16;i[y+3>>0]=v>>24;v=(k[b>>2]|0)+8|0;k[b>>2]=v;y=a+32|0;w=y;x=l[w>>0]|l[w+1>>0]<<8|l[w+2>>0]<<16|l[w+3>>0]<<24;w=y+4|0;y=l[w>>0]|l[w+1>>0]<<8|l[w+2>>0]<<16|l[w+3>>0]<<24;w=v;v=w;i[v>>0]=x;i[v+1>>0]=x>>8;i[v+2>>0]=x>>16;i[v+3>>0]=x>>24;x=w+4|0;i[x>>0]=y;i[x+1>>0]=y>>8;i[x+2>>0]=y>>16;i[x+3>>0]=y>>24;y=(k[b>>2]|0)+8|0;k[b>>2]=y;i[y>>0]=i[a+40>>0]|0;k[b>>2]=(k[b>>2]|0)+1;z=0}else switch(d|0){case 2:{k[c>>2]=(k[c>>2]|0)+37;z=0;break a;break}case 1:{y=(k[b>>2]|0)+4|0;k[b>>2]=y;x=a+8|0;w=l[y>>0]|l[y+1>>0]<<8|l[y+2>>0]<<16|l[y+3>>0]<<24;i[x>>0]=w;i[x+1>>0]=w>>8;i[x+2>>0]=w>>16;i[x+3>>0]=w>>24;w=(k[b>>2]|0)+4|0;k[b>>2]=w;x=a+12|0;y=l[w>>0]|l[w+1>>0]<<8|l[w+2>>0]<<16|l[w+3>>0]<<24;i[x>>0]=y;i[x+1>>0]=y>>8;i[x+2>>0]=y>>16;i[x+3>>0]=y>>24;y=(k[b>>2]|0)+4|0;k[b>>2]=y;x=a+16|0;w=l[y>>0]|l[y+1>>0]<<8|l[y+2>>0]<<16|l[y+3>>0]<<24;i[x>>0]=w;i[x+1>>0]=w>>8;i[x+2>>0]=w>>16;i[x+3>>0]=w>>24;w=(k[b>>2]|0)+4|0;k[b>>2]=w;x=a+20|0;y=l[w>>0]|l[w+1>>0]<<8|l[w+2>>0]<<16|l[w+3>>0]<<24;i[x>>0]=y;i[x+1>>0]=y>>8;i[x+2>>0]=y>>16;i[x+3>>0]=y>>24;y=(k[b>>2]|0)+4|0;k[b>>2]=y;x=a+24|0;i[t>>0]=i[y>>0];i[t+1>>0]=i[y+1>>0];i[t+2>>0]=i[y+2>>0];i[t+3>>0]=i[y+3>>0];i[t+4>>0]=i[y+4>>0];i[t+5>>0]=i[y+5>>0];i[t+6>>0]=i[y+6>>0];i[t+7>>0]=i[y+7>>0];p[t>>3]=+p[t>>3];i[x>>0]=i[t>>0];i[x+1>>0]=i[t+1>>0];i[x+2>>0]=i[t+2>>0];i[x+3>>0]=i[t+3>>0];i[x+4>>0]=i[t+4>>0];i[x+5>>0]=i[t+5>>0];i[x+6>>0]=i[t+6>>0];i[x+7>>0]=i[t+7>>0];x=(k[b>>2]|0)+8|0;k[b>>2]=x;y=a+32|0;i[t>>0]=i[x>>0];i[t+1>>0]=i[x+1>>0];i[t+2>>0]=i[x+2>>0];i[t+3>>0]=i[x+3>>0];i[t+4>>0]=i[x+4>>0];i[t+5>>0]=i[x+5>>0];i[t+6>>0]=i[x+6>>0];i[t+7>>0]=i[x+7>>0];p[t>>3]=+p[t>>3];i[y>>0]=i[t>>0];i[y+1>>0]=i[t+1>>0];i[y+2>>0]=i[t+2>>0];i[y+3>>0]=i[t+3>>0];i[y+4>>0]=i[t+4>>0];i[y+5>>0]=i[t+5>>0];i[y+6>>0]=i[t+6>>0];i[y+7>>0]=i[t+7>>0];y=(k[b>>2]|0)+8|0;k[b>>2]=y;i[a+40>>0]=i[y>>0]|0;k[b>>2]=(k[b>>2]|0)+1;y=Qqa(16)|0;B=0;va(489,y|0);x=B;B=0;if(x&1){x=Rb()|0;w=Q;Sqa(y);A=w;C=x;Qb(C|0)}k[a+44>>2]=y;y=Qqa(16)|0;B=0;va(489,y|0);x=B;B=0;if(x&1){x=Rb()|0;w=Q;Sqa(y);A=w;C=x;Qb(C|0)}k[a+52>>2]=y;y=Qqa(16)|0;B=0;va(489,y|0);x=B;B=0;if(!(x&1)){k[a+48>>2]=y;z=1;break a}x=Rb()|0;w=Q;Sqa(y);A=w;C=x;Qb(C|0);break}default:{x=g+56|0;w=g+4|0;k[g>>2]=27524;k[x>>2]=27544;B=0;wa(508,g+56|0,w|0);y=B;B=0;if(y&1){y=Rb()|0;D=Q;E=y;vva(x);Qb(E|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[x>>2]=27488;B=0;va(448,w|0);y=B;B=0;do if(y&1){v=Rb()|0;F=Q;G=v}else{k[w>>2]=27560;v=g+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,w|0,f|0);H=B;B=0;if(H&1){H=Rb()|0;I=Q;Yua(f);Yua(v);Ava(w);F=I;G=H;break}Yua(f);B=0;H=Ia(40,g|0,143951,43)|0;I=B;B=0;b:do if(!(I&1)?(B=0,Xa(239,H|0,0)|0,J=B,B=0,!(J&1)):0){J=Ab(20)|0;B=0;eb(502,h|0,117758,74);K=B;B=0;do if(!(K&1)){B=0;eb(502,j|0,149525,8);L=B;B=0;if(L&1){L=Rb()|0;M=Q;Yua(h);N=M;O=L;break}B=0;wa(510,m|0,w|0);L=B;B=0;if(L&1){L=Rb()|0;P=Q;R=L;S=1}else{B=0;ua(163,J|0,h|0,j|0,160,m|0);L=B;B=0;if(L&1)T=1;else{B=0;eb(503,J|0,1240,229);B=0;T=0}L=Rb()|0;M=Q;Yua(m);P=M;R=L;S=T}Yua(j);Yua(h);if(S){N=P;O=R}else{U=P;V=R;break b}}else{L=Rb()|0;N=Q;O=L}while(0);zb(J|0);U=N;V=O}else W=18;while(0);if((W|0)==18){H=Rb()|0;U=Q;V=H}k[g>>2]=27468;k[x>>2]=27488;k[w>>2]=27560;Yua(v);Ava(w);vva(x);A=U;C=V;Qb(C|0)}while(0);D=F;E=G;vva(x);Qb(E|0)}}while(0);E=a+44|0;Cla(k[E>>2]|0,b,c,d);G=a+52|0;Cla(k[G>>2]|0,b,c,d);F=a+48|0;Cla(k[F>>2]|0,b,c,d);D=Gla(k[E>>2]|0)|0;k[a+60>>2]=D;D=Fla(k[G>>2]|0)|0;k[a+56>>2]=D;D=Gla(k[F>>2]|0)|0;k[a+64>>2]=D;if(u){u=k[b>>2]|0;D=a+68|0;F=l[D>>0]|l[D+1>>0]<<8|l[D+2>>0]<<16|l[D+3>>0]<<24;i[u>>0]=F;i[u+1>>0]=F>>8;i[u+2>>0]=F>>16;i[u+3>>0]=F>>24;F=(k[b>>2]|0)+4|0;k[b>>2]=F;i[F>>0]=i[a+72>>0]|0;F=(k[b>>2]|0)+1|0;k[b>>2]=F;i[F>>0]=i[a+73>>0]|0;F=(k[b>>2]|0)+1|0;k[b>>2]=F;u=a+120|0;D=l[u>>0]|l[u+1>>0]<<8|l[u+2>>0]<<16|l[u+3>>0]<<24;i[F>>0]=D;i[F+1>>0]=D>>8;i[F+2>>0]=D>>16;i[F+3>>0]=D>>24;D=(k[b>>2]|0)+4|0;k[b>>2]=D;F=a+76|0;u=l[F>>0]|l[F+1>>0]<<8|l[F+2>>0]<<16|l[F+3>>0]<<24;i[D>>0]=u;i[D+1>>0]=u>>8;i[D+2>>0]=u>>16;i[D+3>>0]=u>>24;u=(k[b>>2]|0)+4|0;k[b>>2]=u;i[u>>0]=i[a+80>>0]|0;u=(k[b>>2]|0)+1|0;k[b>>2]=u;i[u>>0]=i[a+81>>0]|0;u=(k[b>>2]|0)+1|0;k[b>>2]=u;D=a+88|0;F=D;G=l[F>>0]|l[F+1>>0]<<8|l[F+2>>0]<<16|l[F+3>>0]<<24;F=D+4|0;D=l[F>>0]|l[F+1>>0]<<8|l[F+2>>0]<<16|l[F+3>>0]<<24;F=u;u=F;i[u>>0]=G;i[u+1>>0]=G>>8;i[u+2>>0]=G>>16;i[u+3>>0]=G>>24;G=F+4|0;i[G>>0]=D;i[G+1>>0]=D>>8;i[G+2>>0]=D>>16;i[G+3>>0]=D>>24;D=(k[b>>2]|0)+8|0;k[b>>2]=D;G=a+96|0;F=G;u=l[F>>0]|l[F+1>>0]<<8|l[F+2>>0]<<16|l[F+3>>0]<<24;F=G+4|0;G=l[F>>0]|l[F+1>>0]<<8|l[F+2>>0]<<16|l[F+3>>0]<<24;F=D;D=F;i[D>>0]=u;i[D+1>>0]=u>>8;i[D+2>>0]=u>>16;i[D+3>>0]=u>>24;u=F+4|0;i[u>>0]=G;i[u+1>>0]=G>>8;i[u+2>>0]=G>>16;i[u+3>>0]=G>>24;G=(k[b>>2]|0)+8|0;k[b>>2]=G;u=a+104|0;F=u;D=l[F>>0]|l[F+1>>0]<<8|l[F+2>>0]<<16|l[F+3>>0]<<24;F=u+4|0;u=l[F>>0]|l[F+1>>0]<<8|l[F+2>>0]<<16|l[F+3>>0]<<24;F=G;G=F;i[G>>0]=D;i[G+1>>0]=D>>8;i[G+2>>0]=D>>16;i[G+3>>0]=D>>24;D=F+4|0;i[D>>0]=u;i[D+1>>0]=u>>8;i[D+2>>0]=u>>16;i[D+3>>0]=u>>24;u=(k[b>>2]|0)+8|0;k[b>>2]=u;D=a+112|0;F=D;G=l[F>>0]|l[F+1>>0]<<8|l[F+2>>0]<<16|l[F+3>>0]<<24;F=D+4|0;D=l[F>>0]|l[F+1>>0]<<8|l[F+2>>0]<<16|l[F+3>>0]<<24;F=u;u=F;i[u>>0]=G;i[u+1>>0]=G>>8;i[u+2>>0]=G>>16;i[u+3>>0]=G>>24;G=F+4|0;i[G>>0]=D;i[G+1>>0]=D>>8;i[G+2>>0]=D>>16;i[G+3>>0]=D>>24;k[b>>2]=(k[b>>2]|0)+8;r=e;return}if((d|0)==2){k[c>>2]=(k[c>>2]|0)+48;r=e;return}if(z){z=a+68|0;c=k[b>>2]|0;d=l[c>>0]|l[c+1>>0]<<8|l[c+2>>0]<<16|l[c+3>>0]<<24;i[z>>0]=d;i[z+1>>0]=d>>8;i[z+2>>0]=d>>16;i[z+3>>0]=d>>24;d=(k[b>>2]|0)+4|0;k[b>>2]=d;i[a+72>>0]=i[d>>0]|0;d=(k[b>>2]|0)+1|0;k[b>>2]=d;i[a+73>>0]=i[d>>0]|0;d=(k[b>>2]|0)+1|0;k[b>>2]=d;z=a+120|0;c=l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24;i[z>>0]=c;i[z+1>>0]=c>>8;i[z+2>>0]=c>>16;i[z+3>>0]=c>>24;c=(k[b>>2]|0)+4|0;k[b>>2]=c;z=a+76|0;d=l[c>>0]|l[c+1>>0]<<8|l[c+2>>0]<<16|l[c+3>>0]<<24;i[z>>0]=d;i[z+1>>0]=d>>8;i[z+2>>0]=d>>16;i[z+3>>0]=d>>24;d=(k[b>>2]|0)+4|0;k[b>>2]=d;i[a+80>>0]=i[d>>0]|0;d=(k[b>>2]|0)+1|0;k[b>>2]=d;i[a+81>>0]=i[d>>0]|0;d=(k[b>>2]|0)+1|0;k[b>>2]=d;z=a+88|0;i[t>>0]=i[d>>0];i[t+1>>0]=i[d+1>>0];i[t+2>>0]=i[d+2>>0];i[t+3>>0]=i[d+3>>0];i[t+4>>0]=i[d+4>>0];i[t+5>>0]=i[d+5>>0];i[t+6>>0]=i[d+6>>0];i[t+7>>0]=i[d+7>>0];p[t>>3]=+p[t>>3];i[z>>0]=i[t>>0];i[z+1>>0]=i[t+1>>0];i[z+2>>0]=i[t+2>>0];i[z+3>>0]=i[t+3>>0];i[z+4>>0]=i[t+4>>0];i[z+5>>0]=i[t+5>>0];i[z+6>>0]=i[t+6>>0];i[z+7>>0]=i[t+7>>0];z=(k[b>>2]|0)+8|0;k[b>>2]=z;d=a+96|0;i[t>>0]=i[z>>0];i[t+1>>0]=i[z+1>>0];i[t+2>>0]=i[z+2>>0];i[t+3>>0]=i[z+3>>0];i[t+4>>0]=i[z+4>>0];i[t+5>>0]=i[z+5>>0];i[t+6>>0]=i[z+6>>0];i[t+7>>0]=i[z+7>>0];p[t>>3]=+p[t>>3];i[d>>0]=i[t>>0];i[d+1>>0]=i[t+1>>0];i[d+2>>0]=i[t+2>>0];i[d+3>>0]=i[t+3>>0];i[d+4>>0]=i[t+4>>0];i[d+5>>0]=i[t+5>>0];i[d+6>>0]=i[t+6>>0];i[d+7>>0]=i[t+7>>0];d=(k[b>>2]|0)+8|0;k[b>>2]=d;z=a+104|0;i[t>>0]=i[d>>0];i[t+1>>0]=i[d+1>>0];i[t+2>>0]=i[d+2>>0];i[t+3>>0]=i[d+3>>0];i[t+4>>0]=i[d+4>>0];i[t+5>>0]=i[d+5>>0];i[t+6>>0]=i[d+6>>0];i[t+7>>0]=i[d+7>>0];p[t>>3]=+p[t>>3];i[z>>0]=i[t>>0];i[z+1>>0]=i[t+1>>0];i[z+2>>0]=i[t+2>>0];i[z+3>>0]=i[t+3>>0];i[z+4>>0]=i[t+4>>0];i[z+5>>0]=i[t+5>>0];i[z+6>>0]=i[t+6>>0];i[z+7>>0]=i[t+7>>0];z=(k[b>>2]|0)+8|0;k[b>>2]=z;d=a+112|0;i[t>>0]=i[z>>0];i[t+1>>0]=i[z+1>>0];i[t+2>>0]=i[z+2>>0];i[t+3>>0]=i[z+3>>0];i[t+4>>0]=i[z+4>>0];i[t+5>>0]=i[z+5>>0];i[t+6>>0]=i[z+6>>0];i[t+7>>0]=i[z+7>>0];p[t>>3]=+p[t>>3];i[d>>0]=i[t>>0];i[d+1>>0]=i[t+1>>0];i[d+2>>0]=i[t+2>>0];i[d+3>>0]=i[t+3>>0];i[d+4>>0]=i[t+4>>0];i[d+5>>0]=i[t+5>>0];i[d+6>>0]=i[t+6>>0];i[d+7>>0]=i[t+7>>0];k[b>>2]=(k[b>>2]|0)+8;r=e;return}e=n+56|0;b=n+4|0;k[n>>2]=27524;k[e>>2]=27544;B=0;wa(508,n+56|0,b|0);d=B;B=0;if(d&1){d=Rb()|0;X=Q;Y=d;vva(e);Qb(Y|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[e>>2]=27488;B=0;va(448,b|0);d=B;B=0;do if(d&1){z=Rb()|0;Z=Q;_=z}else{k[b>>2]=27560;z=n+36|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;k[z+12>>2]=0;k[n+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,b|0,f|0);a=B;B=0;if(a&1){a=Rb()|0;c=Q;Yua(f);Yua(z);Ava(b);Z=c;_=a;break}Yua(f);B=0;a=Ia(40,n|0,143951,43)|0;c=B;B=0;c:do if(!(c&1)?(B=0,Xa(239,a|0,0)|0,D=B,B=0,!(D&1)):0){D=Ab(20)|0;B=0;eb(502,o|0,117758,74);G=B;B=0;do if(!(G&1)){B=0;eb(502,q|0,149525,8);F=B;B=0;if(F&1){F=Rb()|0;u=Q;Yua(o);$=F;aa=u;break}B=0;wa(510,s|0,b|0);u=B;B=0;if(u&1){u=Rb()|0;ba=1;ca=Q;da=u}else{B=0;ua(163,D|0,o|0,q|0,184,s|0);u=B;B=0;if(u&1)ea=1;else{B=0;eb(503,D|0,1240,229);B=0;ea=0}u=Rb()|0;F=Q;Yua(s);ba=ea;ca=F;da=u}Yua(q);Yua(o);if(ba){$=da;aa=ca}else{fa=ca;ga=da;break c}}else{u=Rb()|0;$=u;aa=Q}while(0);zb(D|0);fa=aa;ga=$}else W=53;while(0);if((W|0)==53){a=Rb()|0;fa=Q;ga=a}k[n>>2]=27468;k[e>>2]=27488;k[b>>2]=27560;Yua(z);Ava(b);vva(e);A=fa;C=ga;Qb(C|0)}while(0);X=Z;Y=_;vva(e);Qb(Y|0)}function C0(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;b=r;r=r+624|0;c=b+604|0;d=b+456|0;e=b+592|0;f=b+304|0;g=b+440|0;h=b+152|0;i=b+288|0;j=b+16|0;l=b;m=d+56|0;n=d+4|0;k[d>>2]=27524;k[m>>2]=27544;B=0;wa(508,d+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;q=o;vva(m);Qb(q|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[m>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){s=Rb()|0;t=Q;u=s}else{k[n>>2]=27560;s=d+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,n|0,c|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(c);Yua(s);Ava(n);t=w;u=v;break}Yua(c);B=0;Ia(40,d|0,117833,11)|0;v=B;B=0;do if(!(v&1)?(B=0,wa(510,e|0,n|0),w=B,B=0,!(w&1)):0){B=0;ya(424,e|0)|0;w=B;B=0;if(w&1){w=Rb()|0;x=Q;Yua(e);y=x;z=w;break}Yua(e);k[d>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);w=f+56|0;x=f+4|0;k[f>>2]=27524;k[w>>2]=27544;B=0;wa(508,f+56|0,x|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;D=A;vva(w);Qb(D|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[w>>2]=27488;B=0;va(448,x|0);A=B;B=0;do if(A&1){E=Rb()|0;F=Q;G=E}else{k[x>>2]=27560;E=f+36|0;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;k[E+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,x|0,c|0);H=B;B=0;if(H&1){H=Rb()|0;I=Q;Yua(c);Yua(E);Ava(x);F=I;G=H;break}Yua(c);B=0;H=Ia(40,f|0,144086,7)|0;I=B;B=0;do if(((!(I&1)?(B=0,J=Xa(242,H|0,k[a+8>>2]|0)|0,K=B,B=0,!(K&1)):0)?(B=0,Ia(40,J|0,149177,1)|0,J=B,B=0,!(J&1)):0)?(B=0,wa(510,g|0,x|0),J=B,B=0,!(J&1)):0){B=0;ya(424,g|0)|0;J=B;B=0;if(J&1){J=Rb()|0;K=Q;Yua(g);L=K;M=J;break}Yua(g);k[f>>2]=27468;k[w>>2]=27488;k[x>>2]=27560;Yua(E);Ava(x);vva(w);J=h+56|0;K=h+4|0;k[h>>2]=27524;k[J>>2]=27544;B=0;wa(508,h+56|0,K|0);N=B;B=0;if(N&1){N=Rb()|0;O=Q;P=N;vva(J);Qb(P|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[J>>2]=27488;B=0;va(448,K|0);N=B;B=0;do if(N&1){R=Rb()|0;S=Q;T=R}else{k[K>>2]=27560;R=h+36|0;k[R>>2]=0;k[R+4>>2]=0;k[R+8>>2]=0;k[R+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,K|0,c|0);U=B;B=0;if(U&1){U=Rb()|0;V=Q;Yua(c);Yua(R);Ava(K);S=V;T=U;break}Yua(c);B=0;U=Ia(40,h|0,144094,18)|0;V=B;B=0;do if(V&1)W=58;else{B=0;X=ya(427,k[a+12>>2]|0)|0;Y=B;B=0;if(Y&1){W=58;break}Y=Lta(X)|0;B=0;Z=Ia(40,U|0,X|0,Y|0)|0;Y=B;B=0;if(Y&1){W=58;break}B=0;Ia(40,Z|0,149177,1)|0;Z=B;B=0;if(Z&1){W=58;break}B=0;wa(510,i|0,K|0);Z=B;B=0;if(Z&1){W=58;break}B=0;ya(424,i|0)|0;Z=B;B=0;if(Z&1){Z=Rb()|0;Y=Q;Yua(i);_=Y;$=Z;break}Yua(i);k[h>>2]=27468;k[J>>2]=27488;k[K>>2]=27560;Yua(R);Ava(K);vva(J);Ala(k[a+44>>2]|0);Ala(k[a+48>>2]|0);Ala(k[a+52>>2]|0);Z=j+56|0;Y=j+4|0;k[j>>2]=27524;k[Z>>2]=27544;B=0;wa(508,j+56|0,Y|0);X=B;B=0;if(X&1){X=Rb()|0;aa=Q;ba=X;vva(Z);Qb(ba|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[Z>>2]=27488;B=0;va(448,Y|0);X=B;B=0;do if(X&1){ca=Rb()|0;da=Q;ea=ca}else{k[Y>>2]=27560;ca=j+36|0;k[ca>>2]=0;k[ca+4>>2]=0;k[ca+8>>2]=0;k[ca+12>>2]=0;k[j+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Y|0,c|0);fa=B;B=0;if(fa&1){fa=Rb()|0;ga=Q;Yua(c);Yua(ca);Ava(Y);da=ga;ea=fa;break}Yua(c);B=0;Ia(40,j|0,144113,14)|0;fa=B;B=0;do if(!(fa&1)){B=0;wa(510,l|0,Y|0);ga=B;B=0;if(ga&1){W=61;break}B=0;ya(424,l|0)|0;ga=B;B=0;if(ga&1){ga=Rb()|0;ha=Q;Yua(l);ia=ha;ja=ga;break}Yua(l);k[j>>2]=27468;k[Z>>2]=27488;k[Y>>2]=27560;Yua(ca);Ava(Y);vva(Z);ga=k[a+124>>2]|0;if(!ga){r=b;return}else $N(ga)}else W=61;while(0);if((W|0)==61){fa=Rb()|0;ia=Q;ja=fa}k[j>>2]=27468;k[Z>>2]=27488;k[Y>>2]=27560;Yua(ca);Ava(Y);vva(Z);ka=ia;la=ja;Qb(la|0)}while(0);aa=da;ba=ea;vva(Z);Qb(ba|0)}while(0);if((W|0)==58){U=Rb()|0;_=Q;$=U}k[h>>2]=27468;k[J>>2]=27488;k[K>>2]=27560;Yua(R);Ava(K);vva(J);ka=_;la=$;Qb(la|0)}while(0);O=S;P=T;vva(J);Qb(P|0)}else W=55;while(0);if((W|0)==55){H=Rb()|0;L=Q;M=H}k[f>>2]=27468;k[w>>2]=27488;k[x>>2]=27560;Yua(E);Ava(x);vva(w);ka=L;la=M;Qb(la|0)}while(0);C=F;D=G;vva(w);Qb(D|0)}else W=52;while(0);if((W|0)==52){v=Rb()|0;y=Q;z=v}k[d>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(m);ka=y;la=z;Qb(la|0)}while(0);p=t;q=u;vva(m);Qb(q|0)}function D0(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0,ke=0,le=0,me=0,ne=0,oe=0,pe=0,qe=0,re=0,se=0,te=0,ue=0,ve=0,we=0,xe=0,ye=0,ze=0,Ae=0,Be=0,Ce=0,De=0,Ee=0,Fe=0,Ge=0,He=0,Ie=0,Je=0,Ke=0,Le=0,Me=0,Ne=0,Oe=0,Pe=0,Qe=0,Re=0;b=r;r=r+3168|0;c=b+3152|0;d=b+2896|0;e=b+3140|0;f=b+2760|0;g=b+3128|0;h=b+2608|0;j=b+3116|0;l=b+2472|0;m=b+3104|0;n=b+2320|0;o=b+3092|0;q=b+2184|0;s=b+3080|0;t=b+2032|0;u=b+3068|0;v=b+1896|0;w=b+3056|0;x=b+1744|0;y=b+3044|0;z=b+1592|0;A=b+3032|0;C=b+1456|0;D=b+2744|0;E=b+1320|0;F=b+2456|0;G=b+1168|0;H=b+2168|0;I=b+1016|0;J=b+1880|0;K=b+880|0;L=b+1728|0;M=b+744|0;N=b+1304|0;O=b+592|0;P=b+1152|0;R=b+456|0;S=b+728|0;T=b+304|0;U=b+440|0;V=b+168|0;W=b+152|0;X=b+16|0;Y=b;Z=d+56|0;_=d+4|0;k[d>>2]=27524;k[Z>>2]=27544;B=0;wa(508,d+56|0,_|0);$=B;B=0;if($&1){$=Rb()|0;aa=Q;ba=$;vva(Z);Qb(ba|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[Z>>2]=27488;B=0;va(448,_|0);$=B;B=0;do if($&1){ca=Rb()|0;da=Q;ea=ca}else{k[_>>2]=27560;ca=d+36|0;k[ca>>2]=0;k[ca+4>>2]=0;k[ca+8>>2]=0;k[ca+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,_|0,c|0);fa=B;B=0;if(fa&1){fa=Rb()|0;ga=Q;Yua(c);Yua(ca);Ava(_);da=ga;ea=fa;break}Yua(c);B=0;Ia(40,d|0,117833,11)|0;fa=B;B=0;do if(!(fa&1)?(B=0,wa(510,e|0,_|0),ga=B,B=0,!(ga&1)):0){B=0;ya(424,e|0)|0;ga=B;B=0;if(ga&1){ga=Rb()|0;ha=Q;Yua(e);ia=ha;ja=ga;break}Yua(e);k[d>>2]=27468;k[Z>>2]=27488;k[_>>2]=27560;Yua(ca);Ava(_);vva(Z);ga=f+56|0;ha=f+4|0;k[f>>2]=27524;k[ga>>2]=27544;B=0;wa(508,f+56|0,ha|0);ka=B;B=0;if(ka&1){ka=Rb()|0;la=Q;ma=ka;vva(ga);Qb(ma|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[ga>>2]=27488;B=0;va(448,ha|0);ka=B;B=0;do if(ka&1){na=Rb()|0;oa=Q;pa=na}else{k[ha>>2]=27560;na=f+36|0;k[na>>2]=0;k[na+4>>2]=0;k[na+8>>2]=0;k[na+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ha|0,c|0);qa=B;B=0;if(qa&1){qa=Rb()|0;ra=Q;Yua(c);Yua(na);Ava(ha);oa=ra;pa=qa;break}Yua(c);B=0;qa=Ia(40,f|0,144086,7)|0;ra=B;B=0;do if(((!(ra&1)?(B=0,sa=Xa(242,qa|0,k[a+8>>2]|0)|0,ta=B,B=0,!(ta&1)):0)?(B=0,Ia(40,sa|0,149177,1)|0,sa=B,B=0,!(sa&1)):0)?(B=0,wa(510,g|0,ha|0),sa=B,B=0,!(sa&1)):0){B=0;ya(424,g|0)|0;sa=B;B=0;if(sa&1){sa=Rb()|0;ta=Q;Yua(g);ua=ta;xa=sa;break}Yua(g);k[f>>2]=27468;k[ga>>2]=27488;k[ha>>2]=27560;Yua(na);Ava(ha);vva(ga);sa=h+56|0;ta=h+4|0;k[h>>2]=27524;k[sa>>2]=27544;B=0;wa(508,h+56|0,ta|0);za=B;B=0;if(za&1){za=Rb()|0;Aa=Q;Ba=za;vva(sa);Qb(Ba|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[sa>>2]=27488;B=0;va(448,ta|0);za=B;B=0;do if(za&1){Ca=Rb()|0;Da=Q;Ea=Ca}else{k[ta>>2]=27560;Ca=h+36|0;k[Ca>>2]=0;k[Ca+4>>2]=0;k[Ca+8>>2]=0;k[Ca+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ta|0,c|0);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;Ga=Q;Yua(c);Yua(Ca);Ava(ta);Da=Ga;Ea=Fa;break}Yua(c);B=0;Fa=Ia(40,h|0,144094,18)|0;Ga=B;B=0;do if(Ga&1)Ha=280;else{B=0;Ja=ya(427,k[a+12>>2]|0)|0;Ka=B;B=0;if(Ka&1){Ha=280;break}Ka=Lta(Ja)|0;B=0;La=Ia(40,Fa|0,Ja|0,Ka|0)|0;Ka=B;B=0;if(Ka&1){Ha=280;break}B=0;Ia(40,La|0,149177,1)|0;La=B;B=0;if(La&1){Ha=280;break}B=0;wa(510,j|0,ta|0);La=B;B=0;if(La&1){Ha=280;break}B=0;ya(424,j|0)|0;La=B;B=0;if(La&1){La=Rb()|0;Ka=Q;Yua(j);Ma=Ka;Na=La;break}Yua(j);k[h>>2]=27468;k[sa>>2]=27488;k[ta>>2]=27560;Yua(Ca);Ava(ta);vva(sa);La=l+56|0;Ka=l+4|0;k[l>>2]=27524;k[La>>2]=27544;B=0;wa(508,l+56|0,Ka|0);Ja=B;B=0;if(Ja&1){Ja=Rb()|0;Oa=Q;Pa=Ja;vva(La);Qb(Pa|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[La>>2]=27488;B=0;va(448,Ka|0);Ja=B;B=0;do if(Ja&1){Qa=Rb()|0;Ra=Q;Ta=Qa}else{k[Ka>>2]=27560;Qa=l+36|0;k[Qa>>2]=0;k[Qa+4>>2]=0;k[Qa+8>>2]=0;k[Qa+12>>2]=0;k[l+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ka|0,c|0);Ua=B;B=0;if(Ua&1){Ua=Rb()|0;Va=Q;Yua(c);Yua(Qa);Ava(Ka);Ra=Va;Ta=Ua;break}Yua(c);B=0;Ua=Ia(40,l|0,117845,11)|0;Va=B;B=0;do if(Va&1)Ha=283;else{B=0;Wa=Xa(245,Ua|0,k[a+44>>2]|0)|0;Ya=B;B=0;if(Ya&1){Ha=283;break}B=0;Ia(40,Wa|0,149177,1)|0;Wa=B;B=0;if(Wa&1){Ha=283;break}B=0;wa(510,m|0,Ka|0);Wa=B;B=0;if(Wa&1){Ha=283;break}B=0;ya(424,m|0)|0;Wa=B;B=0;if(Wa&1){Wa=Rb()|0;Ya=Q;Yua(m);Za=Ya;_a=Wa;break}Yua(m);k[l>>2]=27468;k[La>>2]=27488;k[Ka>>2]=27560;Yua(Qa);Ava(Ka);vva(La);Wa=n+56|0;Ya=n+4|0;k[n>>2]=27524;k[Wa>>2]=27544;B=0;wa(508,n+56|0,Ya|0);$a=B;B=0;if($a&1){$a=Rb()|0;ab=Q;bb=$a;vva(Wa);Qb(bb|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[Wa>>2]=27488;B=0;va(448,Ya|0);$a=B;B=0;do if($a&1){cb=Rb()|0;db=Q;eb=cb}else{k[Ya>>2]=27560;cb=n+36|0;k[cb>>2]=0;k[cb+4>>2]=0;k[cb+8>>2]=0;k[cb+12>>2]=0;k[n+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ya|0,c|0);fb=B;B=0;if(fb&1){fb=Rb()|0;gb=Q;Yua(c);Yua(cb);Ava(Ya);db=gb;eb=fb;break}Yua(c);B=0;fb=Ia(40,n|0,117857,14)|0;gb=B;B=0;do if(gb&1)Ha=286;else{B=0;hb=Xa(245,fb|0,k[a+48>>2]|0)|0;ib=B;B=0;if(ib&1){Ha=286;break}B=0;Ia(40,hb|0,149177,1)|0;hb=B;B=0;if(hb&1){Ha=286;break}B=0;wa(510,o|0,Ya|0);hb=B;B=0;if(hb&1){Ha=286;break}B=0;ya(424,o|0)|0;hb=B;B=0;if(hb&1){hb=Rb()|0;ib=Q;Yua(o);jb=ib;kb=hb;break}Yua(o);k[n>>2]=27468;k[Wa>>2]=27488;k[Ya>>2]=27560;Yua(cb);Ava(Ya);vva(Wa);hb=q+56|0;ib=q+4|0;k[q>>2]=27524;k[hb>>2]=27544;B=0;wa(508,q+56|0,ib|0);lb=B;B=0;if(lb&1){lb=Rb()|0;mb=Q;nb=lb;vva(hb);Qb(nb|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[hb>>2]=27488;B=0;va(448,ib|0);lb=B;B=0;do if(lb&1){ob=Rb()|0;pb=Q;qb=ob}else{k[ib>>2]=27560;ob=q+36|0;k[ob>>2]=0;k[ob+4>>2]=0;k[ob+8>>2]=0;k[ob+12>>2]=0;k[q+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ib|0,c|0);rb=B;B=0;if(rb&1){rb=Rb()|0;sb=Q;Yua(c);Yua(ob);Ava(ib);pb=sb;qb=rb;break}Yua(c);B=0;rb=Ia(40,q|0,117872,12)|0;sb=B;B=0;do if(sb&1)Ha=289;else{B=0;tb=Xa(245,rb|0,k[a+52>>2]|0)|0;ub=B;B=0;if(ub&1){Ha=289;break}B=0;Ia(40,tb|0,149177,1)|0;tb=B;B=0;if(tb&1){Ha=289;break}B=0;wa(510,s|0,ib|0);tb=B;B=0;if(tb&1){Ha=289;break}B=0;ya(424,s|0)|0;tb=B;B=0;if(tb&1){tb=Rb()|0;ub=Q;Yua(s);vb=ub;wb=tb;break}Yua(s);k[q>>2]=27468;k[hb>>2]=27488;k[ib>>2]=27560;Yua(ob);Ava(ib);vva(hb);tb=t+56|0;ub=t+4|0;k[t>>2]=27524;k[tb>>2]=27544;B=0;wa(508,t+56|0,ub|0);xb=B;B=0;if(xb&1){xb=Rb()|0;yb=Q;zb=xb;vva(tb);Qb(zb|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[tb>>2]=27488;B=0;va(448,ub|0);xb=B;B=0;do if(xb&1){Ab=Rb()|0;Bb=Q;Cb=Ab}else{k[ub>>2]=27560;Ab=t+36|0;k[Ab>>2]=0;k[Ab+4>>2]=0;k[Ab+8>>2]=0;k[Ab+12>>2]=0;k[t+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ub|0,c|0);Db=B;B=0;if(Db&1){Db=Rb()|0;Eb=Q;Yua(c);Yua(Ab);Ava(ub);Bb=Eb;Cb=Db;break}Yua(c);B=0;Db=Ia(40,t|0,144140,15)|0;Eb=B;B=0;do if(Eb&1)Ha=292;else{B=0;Fb=Xa(245,Db|0,k[a+124>>2]|0)|0;Gb=B;B=0;if(Gb&1){Ha=292;break}B=0;Ia(40,Fb|0,149177,1)|0;Fb=B;B=0;if(Fb&1){Ha=292;break}B=0;wa(510,u|0,ub|0);Fb=B;B=0;if(Fb&1){Ha=292;break}B=0;ya(424,u|0)|0;Fb=B;B=0;if(Fb&1){Fb=Rb()|0;Gb=Q;Yua(u);Hb=Gb;Ib=Fb;break}Yua(u);k[t>>2]=27468;k[tb>>2]=27488;k[ub>>2]=27560;Yua(Ab);Ava(ub);vva(tb);Fb=v+56|0;Gb=v+4|0;k[v>>2]=27524;k[Fb>>2]=27544;B=0;wa(508,v+56|0,Gb|0);Jb=B;B=0;if(Jb&1){Jb=Rb()|0;Kb=Q;Lb=Jb;vva(Fb);Qb(Lb|0)}k[v+128>>2]=0;k[v+132>>2]=-1;k[v>>2]=27468;k[Fb>>2]=27488;B=0;va(448,Gb|0);Jb=B;B=0;do if(Jb&1){Mb=Rb()|0;Nb=Q;Ob=Mb}else{k[Gb>>2]=27560;Mb=v+36|0;k[Mb>>2]=0;k[Mb+4>>2]=0;k[Mb+8>>2]=0;k[Mb+12>>2]=0;k[v+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Gb|0,c|0);Pb=B;B=0;if(Pb&1){Pb=Rb()|0;Sb=Q;Yua(c);Yua(Mb);Ava(Gb);Nb=Sb;Ob=Pb;break}Yua(c);B=0;Ia(40,v|0,117885,25)|0;Pb=B;B=0;do if(Pb&1)Ha=295;else{B=0;wa(510,w|0,Gb|0);Sb=B;B=0;if(Sb&1){Ha=295;break}B=0;ya(424,w|0)|0;Sb=B;B=0;if(Sb&1){Sb=Rb()|0;Tb=Q;Yua(w);Ub=Tb;Vb=Sb;break}Yua(w);k[v>>2]=27468;k[Fb>>2]=27488;k[Gb>>2]=27560;Yua(Mb);Ava(Gb);vva(Fb);Sb=x+56|0;Tb=x+4|0;k[x>>2]=27524;k[Sb>>2]=27544;B=0;wa(508,x+56|0,Tb|0);Wb=B;B=0;if(Wb&1){Wb=Rb()|0;Xb=Q;Yb=Wb;vva(Sb);Qb(Yb|0)}k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[Sb>>2]=27488;B=0;va(448,Tb|0);Wb=B;B=0;do if(Wb&1){Zb=Rb()|0;_b=Q;$b=Zb}else{k[Tb>>2]=27560;Zb=x+36|0;k[Zb>>2]=0;k[Zb+4>>2]=0;k[Zb+8>>2]=0;k[Zb+12>>2]=0;k[x+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Tb|0,c|0);ac=B;B=0;if(ac&1){ac=Rb()|0;bc=Q;Yua(c);Yua(Zb);Ava(Tb);_b=bc;$b=ac;break}Yua(c);B=0;ac=Ia(40,x|0,117911,11)|0;bc=B;B=0;do if(bc&1)Ha=298;else{B=0;cc=Sa(1,ac|0,+(+p[a+88>>3]))|0;dc=B;B=0;if(dc&1){Ha=298;break}B=0;dc=Ia(40,cc|0,117923,1)|0;cc=B;B=0;if(cc&1){Ha=298;break}B=0;cc=Sa(1,dc|0,+(+p[a+96>>3]))|0;dc=B;B=0;if(dc&1){Ha=298;break}B=0;Ia(40,cc|0,149177,1)|0;cc=B;B=0;if(cc&1){Ha=298;break}B=0;wa(510,y|0,Tb|0);cc=B;B=0;if(cc&1){Ha=298;break}B=0;ya(424,y|0)|0;cc=B;B=0;if(cc&1){cc=Rb()|0;dc=Q;Yua(y);ec=dc;fc=cc;break}Yua(y);k[x>>2]=27468;k[Sb>>2]=27488;k[Tb>>2]=27560;Yua(Zb);Ava(Tb);vva(Sb);cc=z+56|0;dc=z+4|0;k[z>>2]=27524;k[cc>>2]=27544;B=0;wa(508,z+56|0,dc|0);gc=B;B=0;if(gc&1){gc=Rb()|0;hc=Q;ic=gc;vva(cc);Qb(ic|0)}k[z+128>>2]=0;k[z+132>>2]=-1;k[z>>2]=27468;k[cc>>2]=27488;B=0;va(448,dc|0);gc=B;B=0;do if(gc&1){jc=Rb()|0;kc=Q;lc=jc}else{k[dc>>2]=27560;jc=z+36|0;k[jc>>2]=0;k[jc+4>>2]=0;k[jc+8>>2]=0;k[jc+12>>2]=0;k[z+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,dc|0,c|0);mc=B;B=0;if(mc&1){mc=Rb()|0;nc=Q;Yua(c);Yua(jc);Ava(dc);kc=nc;lc=mc;break}Yua(c);B=0;mc=Ia(40,z|0,117925,11)|0;nc=B;B=0;do if(nc&1)Ha=301;else{B=0;oc=Sa(1,mc|0,+(+p[a+104>>3]))|0;pc=B;B=0;if(pc&1){Ha=301;break}B=0;Ia(40,oc|0,149177,1)|0;oc=B;B=0;if(oc&1){Ha=301;break}B=0;wa(510,A|0,dc|0);oc=B;B=0;if(oc&1){Ha=301;break}B=0;ya(424,A|0)|0;oc=B;B=0;if(oc&1){oc=Rb()|0;pc=Q;Yua(A);qc=pc;rc=oc;break}Yua(A);k[z>>2]=27468;k[cc>>2]=27488;k[dc>>2]=27560;Yua(jc);Ava(dc);vva(cc);oc=C+56|0;pc=C+4|0;k[C>>2]=27524;k[oc>>2]=27544;B=0;wa(508,C+56|0,pc|0);sc=B;B=0;if(sc&1){sc=Rb()|0;tc=Q;uc=sc;vva(oc);Qb(uc|0)}k[C+128>>2]=0;k[C+132>>2]=-1;k[C>>2]=27468;k[oc>>2]=27488;B=0;va(448,pc|0);sc=B;B=0;do if(sc&1){vc=Rb()|0;wc=Q;xc=vc}else{k[pc>>2]=27560;vc=C+36|0;k[vc>>2]=0;k[vc+4>>2]=0;k[vc+8>>2]=0;k[vc+12>>2]=0;k[C+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,pc|0,c|0);yc=B;B=0;if(yc&1){yc=Rb()|0;zc=Q;Yua(c);Yua(vc);Ava(pc);wc=zc;xc=yc;break}Yua(c);B=0;yc=Ia(40,C|0,117937,17)|0;zc=B;B=0;do if(zc&1)Ha=304;else{B=0;Ac=Xa(242,yc|0,k[a+68>>2]|0)|0;Bc=B;B=0;if(Bc&1){Ha=304;break}B=0;Ia(40,Ac|0,149177,1)|0;Ac=B;B=0;if(Ac&1){Ha=304;break}B=0;wa(510,D|0,pc|0);Ac=B;B=0;if(Ac&1){Ha=304;break}B=0;ya(424,D|0)|0;Ac=B;B=0;if(Ac&1){Ac=Rb()|0;Bc=Q;Yua(D);Cc=Bc;Dc=Ac;break}Yua(D);k[C>>2]=27468;k[oc>>2]=27488;k[pc>>2]=27560;Yua(vc);Ava(pc);vva(oc);Ac=E+56|0;Bc=E+4|0;k[E>>2]=27524;k[Ac>>2]=27544;B=0;wa(508,E+56|0,Bc|0);Ec=B;B=0;if(Ec&1){Ec=Rb()|0;Fc=Q;Gc=Ec;vva(Ac);Qb(Gc|0)}k[E+128>>2]=0;k[E+132>>2]=-1;k[E>>2]=27468;k[Ac>>2]=27488;B=0;va(448,Bc|0);Ec=B;B=0;do if(Ec&1){Hc=Rb()|0;Ic=Q;Jc=Hc}else{k[Bc>>2]=27560;Hc=E+36|0;k[Hc>>2]=0;k[Hc+4>>2]=0;k[Hc+8>>2]=0;k[Hc+12>>2]=0;k[E+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Bc|0,c|0);Kc=B;B=0;if(Kc&1){Kc=Rb()|0;Lc=Q;Yua(c);Yua(Hc);Ava(Bc);Ic=Lc;Jc=Kc;break}Yua(c);B=0;Kc=Ia(40,E|0,142516,11)|0;Lc=B;B=0;do if(Lc&1)Ha=307;else{Mc=(i[a+72>>0]|0)!=0;B=0;Nc=Ia(40,Kc|0,(Mc?159247:159252)|0,(Mc?4:5)|0)|0;Mc=B;B=0;if(Mc&1){Ha=307;break}B=0;Ia(40,Nc|0,149177,1)|0;Nc=B;B=0;if(Nc&1){Ha=307;break}B=0;wa(510,F|0,Bc|0);Nc=B;B=0;if(Nc&1){Ha=307;break}B=0;ya(424,F|0)|0;Nc=B;B=0;if(Nc&1){Nc=Rb()|0;Mc=Q;Yua(F);Oc=Mc;Pc=Nc;break}Yua(F);k[E>>2]=27468;k[Ac>>2]=27488;k[Bc>>2]=27560;Yua(Hc);Ava(Bc);vva(Ac);Nc=G+56|0;Mc=G+4|0;k[G>>2]=27524;k[Nc>>2]=27544;B=0;wa(508,G+56|0,Mc|0);Qc=B;B=0;if(Qc&1){Qc=Rb()|0;Rc=Q;Sc=Qc;vva(Nc);Qb(Sc|0)}k[G+128>>2]=0;k[G+132>>2]=-1;k[G>>2]=27468;k[Nc>>2]=27488;B=0;va(448,Mc|0);Qc=B;B=0;do if(Qc&1){Tc=Rb()|0;Uc=Q;Vc=Tc}else{k[Mc>>2]=27560;Tc=G+36|0;k[Tc>>2]=0;k[Tc+4>>2]=0;k[Tc+8>>2]=0;k[Tc+12>>2]=0;k[G+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Mc|0,c|0);Wc=B;B=0;if(Wc&1){Wc=Rb()|0;Xc=Q;Yua(c);Yua(Tc);Ava(Mc);Uc=Xc;Vc=Wc;break}Yua(c);B=0;Wc=Ia(40,G|0,117955,12)|0;Xc=B;B=0;do if(Xc&1)Ha=310;else{B=0;Yc=Xa(242,Wc|0,k[a+76>>2]|0)|0;Zc=B;B=0;if(Zc&1){Ha=310;break}B=0;Ia(40,Yc|0,149177,1)|0;Yc=B;B=0;if(Yc&1){Ha=310;break}B=0;wa(510,H|0,Mc|0);Yc=B;B=0;if(Yc&1){Ha=310;break}B=0;ya(424,H|0)|0;Yc=B;B=0;if(Yc&1){Yc=Rb()|0;Zc=Q;Yua(H);_c=Zc;$c=Yc;break}Yua(H);k[G>>2]=27468;k[Nc>>2]=27488;k[Mc>>2]=27560;Yua(Tc);Ava(Mc);vva(Nc);Yc=I+56|0;Zc=I+4|0;k[I>>2]=27524;k[Yc>>2]=27544;B=0;wa(508,I+56|0,Zc|0);ad=B;B=0;if(ad&1){ad=Rb()|0;bd=Q;cd=ad;vva(Yc);Qb(cd|0)}k[I+128>>2]=0;k[I+132>>2]=-1;k[I>>2]=27468;k[Yc>>2]=27488;B=0;va(448,Zc|0);ad=B;B=0;do if(ad&1){dd=Rb()|0;ed=Q;fd=dd}else{k[Zc>>2]=27560;dd=I+36|0;k[dd>>2]=0;k[dd+4>>2]=0;k[dd+8>>2]=0;k[dd+12>>2]=0;k[I+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Zc|0,c|0);gd=B;B=0;if(gd&1){gd=Rb()|0;hd=Q;Yua(c);Yua(dd);Ava(Zc);ed=hd;fd=gd;break}Yua(c);B=0;gd=Ia(40,I|0,117968,14)|0;hd=B;B=0;do if(hd&1)Ha=313;else{id=(i[a+80>>0]|0)!=0;B=0;jd=Ia(40,gd|0,(id?159247:159252)|0,(id?4:5)|0)|0;id=B;B=0;if(id&1){Ha=313;break}B=0;Ia(40,jd|0,149177,1)|0;jd=B;B=0;if(jd&1){Ha=313;break}B=0;wa(510,J|0,Zc|0);jd=B;B=0;if(jd&1){Ha=313;break}B=0;ya(424,J|0)|0;jd=B;B=0;if(jd&1){jd=Rb()|0;id=Q;Yua(J);kd=id;ld=jd;break}Yua(J);k[I>>2]=27468;k[Yc>>2]=27488;k[Zc>>2]=27560;Yua(dd);Ava(Zc);vva(Yc);jd=K+56|0;id=K+4|0;k[K>>2]=27524;k[jd>>2]=27544;B=0;wa(508,K+56|0,id|0);md=B;B=0;if(md&1){md=Rb()|0;nd=Q;od=md;vva(jd);Qb(od|0)}k[K+128>>2]=0;k[K+132>>2]=-1;k[K>>2]=27468;k[jd>>2]=27488;B=0;va(448,id|0);md=B;B=0;do if(md&1){pd=Rb()|0;qd=Q;rd=pd}else{k[id>>2]=27560;pd=K+36|0;k[pd>>2]=0;k[pd+4>>2]=0;k[pd+8>>2]=0;k[pd+12>>2]=0;k[K+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,id|0,c|0);sd=B;B=0;if(sd&1){sd=Rb()|0;td=Q;Yua(c);Yua(pd);Ava(id);qd=td;rd=sd;break}Yua(c);B=0;sd=Ia(40,K|0,117983,23)|0;td=B;B=0;do if(td&1)Ha=316;else{ud=(i[a+81>>0]|0)!=0;B=0;vd=Ia(40,sd|0,(ud?159247:159252)|0,(ud?4:5)|0)|0;ud=B;B=0;if(ud&1){Ha=316;break}B=0;Ia(40,vd|0,149177,1)|0;vd=B;B=0;if(vd&1){Ha=316;break}B=0;wa(510,L|0,id|0);vd=B;B=0;if(vd&1){Ha=316;break}B=0;ya(424,L|0)|0;vd=B;B=0;if(vd&1){vd=Rb()|0;ud=Q;Yua(L);wd=ud;xd=vd;break}Yua(L);k[K>>2]=27468;k[jd>>2]=27488;k[id>>2]=27560;Yua(pd);Ava(id);vva(jd);vd=M+56|0;ud=M+4|0;k[M>>2]=27524;k[vd>>2]=27544;B=0;wa(508,M+56|0,ud|0);yd=B;B=0;if(yd&1){yd=Rb()|0;zd=Q;Ad=yd;vva(vd);Qb(Ad|0)}k[M+128>>2]=0;k[M+132>>2]=-1;k[M>>2]=27468;k[vd>>2]=27488;B=0;va(448,ud|0);yd=B;B=0;do if(yd&1){Bd=Rb()|0;Cd=Q;Dd=Bd}else{k[ud>>2]=27560;Bd=M+36|0;k[Bd>>2]=0;k[Bd+4>>2]=0;k[Bd+8>>2]=0;k[Bd+12>>2]=0;k[M+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ud|0,c|0);Ed=B;B=0;if(Ed&1){Ed=Rb()|0;Fd=Q;Yua(c);Yua(Bd);Ava(ud);Cd=Fd;Dd=Ed;break}Yua(c);B=0;Ed=Ia(40,M|0,118007,9)|0;Fd=B;B=0;do if(Fd&1)Ha=319;else{B=0;Gd=Xa(242,Ed|0,k[a+20>>2]|0)|0;Hd=B;B=0;if(Hd&1){Ha=319;break}B=0;Ia(40,Gd|0,149177,1)|0;Gd=B;B=0;if(Gd&1){Ha=319;break}B=0;wa(510,N|0,ud|0);Gd=B;B=0;if(Gd&1){Ha=319;break}B=0;ya(424,N|0)|0;Gd=B;B=0;if(Gd&1){Gd=Rb()|0;Hd=Q;Yua(N);Id=Hd;Jd=Gd;break}Yua(N);k[M>>2]=27468;k[vd>>2]=27488;k[ud>>2]=27560;Yua(Bd);Ava(ud);vva(vd);Gd=O+56|0;Hd=O+4|0;k[O>>2]=27524;k[Gd>>2]=27544;B=0;wa(508,O+56|0,Hd|0);Kd=B;B=0;if(Kd&1){Kd=Rb()|0;Ld=Q;Md=Kd;vva(Gd);Qb(Md|0)}k[O+128>>2]=0;k[O+132>>2]=-1;k[O>>2]=27468;k[Gd>>2]=27488;B=0;va(448,Hd|0);Kd=B;B=0;do if(Kd&1){Nd=Rb()|0;Od=Q;Pd=Nd}else{k[Hd>>2]=27560;Nd=O+36|0;k[Nd>>2]=0;k[Nd+4>>2]=0;k[Nd+8>>2]=0;k[Nd+12>>2]=0;k[O+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Hd|0,c|0);Qd=B;B=0;if(Qd&1){Qd=Rb()|0;Rd=Q;Yua(c);Yua(Nd);Ava(Hd);Od=Rd;Pd=Qd;break}Yua(c);B=0;Qd=Ia(40,O|0,118017,13)|0;Rd=B;B=0;do if(Rd&1)Ha=322;else{B=0;Sd=Sa(1,Qd|0,+(+p[a+24>>3]))|0;Td=B;B=0;if(Td&1){Ha=322;break}B=0;Ia(40,Sd|0,149177,1)|0;Sd=B;B=0;if(Sd&1){Ha=322;break}B=0;wa(510,P|0,Hd|0);Sd=B;B=0;if(Sd&1){Ha=322;break}B=0;ya(424,P|0)|0;Sd=B;B=0;if(Sd&1){Sd=Rb()|0;Td=Q;Yua(P);Ud=Td;Vd=Sd;break}Yua(P);k[O>>2]=27468;k[Gd>>2]=27488;k[Hd>>2]=27560;Yua(Nd);Ava(Hd);vva(Gd);Sd=R+56|0;Td=R+4|0;k[R>>2]=27524;k[Sd>>2]=27544;B=0;wa(508,R+56|0,Td|0);Wd=B;B=0;if(Wd&1){Wd=Rb()|0;Xd=Q;Yd=Wd;vva(Sd);Qb(Yd|0)}k[R+128>>2]=0;k[R+132>>2]=-1;k[R>>2]=27468;k[Sd>>2]=27488;B=0;va(448,Td|0);Wd=B;B=0;do if(Wd&1){Zd=Rb()|0;_d=Q;$d=Zd}else{k[Td>>2]=27560;Zd=R+36|0;k[Zd>>2]=0;k[Zd+4>>2]=0;k[Zd+8>>2]=0;k[Zd+12>>2]=0;k[R+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Td|0,c|0);ae=B;B=0;if(ae&1){ae=Rb()|0;be=Q;Yua(c);Yua(Zd);Ava(Td);_d=be;$d=ae;break}Yua(c);B=0;ae=Ia(40,R|0,118031,13)|0;be=B;B=0;do if(be&1)Ha=325;else{B=0;ce=Sa(1,ae|0,+(+p[a+112>>3]))|0;de=B;B=0;if(de&1){Ha=325;break}B=0;Ia(40,ce|0,149177,1)|0;ce=B;B=0;if(ce&1){Ha=325;break}B=0;wa(510,S|0,Td|0);ce=B;B=0;if(ce&1){Ha=325;break}B=0;ya(424,S|0)|0;ce=B;B=0;if(ce&1){ce=Rb()|0;de=Q;Yua(S);ee=de;fe=ce;break}Yua(S);k[R>>2]=27468;k[Sd>>2]=27488;k[Td>>2]=27560;Yua(Zd);Ava(Td);vva(Sd);ce=T+56|0;de=T+4|0;k[T>>2]=27524;k[ce>>2]=27544;B=0;wa(508,T+56|0,de|0);ge=B;B=0;if(ge&1){ge=Rb()|0;he=Q;ie=ge;vva(ce);Qb(ie|0)}k[T+128>>2]=0;k[T+132>>2]=-1;k[T>>2]=27468;k[ce>>2]=27488;B=0;va(448,de|0);ge=B;B=0;do if(ge&1){je=Rb()|0;ke=Q;le=je}else{k[de>>2]=27560;je=T+36|0;k[je>>2]=0;k[je+4>>2]=0;k[je+8>>2]=0;k[je+12>>2]=0;k[T+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,de|0,c|0);me=B;B=0;if(me&1){me=Rb()|0;ne=Q;Yua(c);Yua(je);Ava(de);ke=ne;le=me;break}Yua(c);B=0;me=Ia(40,T|0,118045,22)|0;ne=B;B=0;do if(ne&1)Ha=328;else{B=0;oe=Sa(1,me|0,+(+p[a+32>>3]))|0;pe=B;B=0;if(pe&1){Ha=328;break}B=0;Ia(40,oe|0,149177,1)|0;oe=B;B=0;if(oe&1){Ha=328;break}B=0;wa(510,U|0,de|0);oe=B;B=0;if(oe&1){Ha=328;break}B=0;ya(424,U|0)|0;oe=B;B=0;if(oe&1){oe=Rb()|0;pe=Q;Yua(U);qe=pe;re=oe;break}Yua(U);k[T>>2]=27468;k[ce>>2]=27488;k[de>>2]=27560;Yua(je);Ava(de);vva(ce);oe=V+56|0;pe=V+4|0;k[V>>2]=27524;k[oe>>2]=27544;B=0;wa(508,V+56|0,pe|0);se=B;B=0;if(se&1){se=Rb()|0;te=Q;ue=se;vva(oe);Qb(ue|0)}k[V+128>>2]=0;k[V+132>>2]=-1;k[V>>2]=27468;k[oe>>2]=27488;B=0;va(448,pe|0);se=B;B=0;do if(se&1){ve=Rb()|0;we=Q;xe=ve}else{k[pe>>2]=27560;ve=V+36|0;k[ve>>2]=0;k[ve+4>>2]=0;k[ve+8>>2]=0;k[ve+12>>2]=0;k[V+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,pe|0,c|0);ye=B;B=0;if(ye&1){ye=Rb()|0;ze=Q;Yua(c);Yua(ve);Ava(pe);we=ze;xe=ye;break}Yua(c);B=0;ye=Ia(40,V|0,118068,10)|0;ze=B;B=0;do if(ze&1)Ha=331;else{B=0;Ae=Xa(242,ye|0,k[a+120>>2]|0)|0;Be=B;B=0;if(Be&1){Ha=331;break}B=0;Ia(40,Ae|0,149177,1)|0;Ae=B;B=0;if(Ae&1){Ha=331;break}B=0;wa(510,W|0,pe|0);Ae=B;B=0;if(Ae&1){Ha=331;break}B=0;ya(424,W|0)|0;Ae=B;B=0;if(Ae&1){Ae=Rb()|0;Be=Q;Yua(W);Ce=Be;De=Ae;break}Yua(W);k[V>>2]=27468;k[oe>>2]=27488;k[pe>>2]=27560;Yua(ve);Ava(pe);vva(oe);Ae=X+56|0;Be=X+4|0;k[X>>2]=27524;k[Ae>>2]=27544;B=0;wa(508,X+56|0,Be|0);Ee=B;B=0;if(Ee&1){Ee=Rb()|0;Fe=Q;Ge=Ee;vva(Ae);Qb(Ge|0)}k[X+128>>2]=0;k[X+132>>2]=-1;k[X>>2]=27468;k[Ae>>2]=27488;B=0;va(448,Be|0);Ee=B;B=0;do if(Ee&1){He=Rb()|0;Ie=Q;Je=He}else{k[Be>>2]=27560;He=X+36|0;k[He>>2]=0;k[He+4>>2]=0;k[He+8>>2]=0;k[He+12>>2]=0;k[X+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Be|0,c|0);Ke=B;B=0;if(Ke&1){Ke=Rb()|0;Le=Q;Yua(c);Yua(He);Ava(Be);Ie=Le;Je=Ke;break}Yua(c);B=0;Ke=Ia(40,X|0,118079,11)|0;Le=B;B=0;do if(!(Le&1)){Me=(i[a+73>>0]|0)!=0;B=0;Ne=Ia(40,Ke|0,(Me?159247:159252)|0,(Me?4:5)|0)|0;Me=B;B=0;if(Me&1){Ha=334;break}B=0;Ia(40,Ne|0,149177,1)|0;Ne=B;B=0;if(Ne&1){Ha=334;break}B=0;wa(510,Y|0,Be|0);Ne=B;B=0;if(Ne&1){Ha=334;break}B=0;ya(424,Y|0)|0;Ne=B;B=0;if(Ne&1){Ne=Rb()|0;Me=Q;Yua(Y);Oe=Me;Pe=Ne;break}else{Yua(Y);k[X>>2]=27468;k[Ae>>2]=27488;k[Be>>2]=27560;Yua(He);Ava(Be);vva(Ae);r=b;return}}else Ha=334;while(0);if((Ha|0)==334){Ke=Rb()|0;Oe=Q;Pe=Ke}k[X>>2]=27468;k[Ae>>2]=27488;k[Be>>2]=27560;Yua(He);Ava(Be);vva(Ae);Qe=Oe;Re=Pe;Qb(Re|0)}while(0);Fe=Ie;Ge=Je;vva(Ae);Qb(Ge|0)}while(0);if((Ha|0)==331){ye=Rb()|0;Ce=Q;De=ye}k[V>>2]=27468;k[oe>>2]=27488;k[pe>>2]=27560;Yua(ve);Ava(pe);vva(oe);Qe=Ce;Re=De;Qb(Re|0)}while(0);te=we;ue=xe;vva(oe);Qb(ue|0)}while(0);if((Ha|0)==328){me=Rb()|0;qe=Q;re=me}k[T>>2]=27468;k[ce>>2]=27488;k[de>>2]=27560;Yua(je);Ava(de);vva(ce);Qe=qe;Re=re;Qb(Re|0)}while(0);he=ke;ie=le;vva(ce);Qb(ie|0)}while(0);if((Ha|0)==325){ae=Rb()|0;ee=Q;fe=ae}k[R>>2]=27468;k[Sd>>2]=27488;k[Td>>2]=27560;Yua(Zd);Ava(Td);vva(Sd);Qe=ee;Re=fe;Qb(Re|0)}while(0);Xd=_d;Yd=$d;vva(Sd);Qb(Yd|0)}while(0);if((Ha|0)==322){Qd=Rb()|0;Ud=Q;Vd=Qd}k[O>>2]=27468;k[Gd>>2]=27488;k[Hd>>2]=27560;Yua(Nd);Ava(Hd);vva(Gd);Qe=Ud;Re=Vd;Qb(Re|0)}while(0);Ld=Od;Md=Pd;vva(Gd);Qb(Md|0)}while(0);if((Ha|0)==319){Ed=Rb()|0;Id=Q;Jd=Ed}k[M>>2]=27468;k[vd>>2]=27488;k[ud>>2]=27560;Yua(Bd);Ava(ud);vva(vd);Qe=Id;Re=Jd;Qb(Re|0)}while(0);zd=Cd;Ad=Dd;vva(vd);Qb(Ad|0)}while(0);if((Ha|0)==316){sd=Rb()|0;wd=Q;xd=sd}k[K>>2]=27468;k[jd>>2]=27488;k[id>>2]=27560;Yua(pd);Ava(id);vva(jd);Qe=wd;Re=xd;Qb(Re|0)}while(0);nd=qd;od=rd;vva(jd);Qb(od|0)}while(0);if((Ha|0)==313){gd=Rb()|0;kd=Q;ld=gd}k[I>>2]=27468;k[Yc>>2]=27488;k[Zc>>2]=27560;Yua(dd);Ava(Zc);vva(Yc);Qe=kd;Re=ld;Qb(Re|0)}while(0);bd=ed;cd=fd;vva(Yc);Qb(cd|0)}while(0);if((Ha|0)==310){Wc=Rb()|0;_c=Q;$c=Wc}k[G>>2]=27468;k[Nc>>2]=27488;k[Mc>>2]=27560;Yua(Tc);Ava(Mc);vva(Nc);Qe=_c;Re=$c;Qb(Re|0)}while(0);Rc=Uc;Sc=Vc;vva(Nc);Qb(Sc|0)}while(0);if((Ha|0)==307){Kc=Rb()|0;Oc=Q;Pc=Kc}k[E>>2]=27468;k[Ac>>2]=27488;k[Bc>>2]=27560;Yua(Hc);Ava(Bc);vva(Ac);Qe=Oc;Re=Pc;Qb(Re|0)}while(0);Fc=Ic;Gc=Jc;vva(Ac);Qb(Gc|0)}while(0);if((Ha|0)==304){yc=Rb()|0;Cc=Q;Dc=yc}k[C>>2]=27468;k[oc>>2]=27488;k[pc>>2]=27560;Yua(vc);Ava(pc);vva(oc);Qe=Cc;Re=Dc;Qb(Re|0)}while(0);tc=wc;uc=xc;vva(oc);Qb(uc|0)}while(0);if((Ha|0)==301){mc=Rb()|0;qc=Q;rc=mc}k[z>>2]=27468;k[cc>>2]=27488;k[dc>>2]=27560;Yua(jc);Ava(dc);vva(cc);Qe=qc;Re=rc;Qb(Re|0)}while(0);hc=kc;ic=lc;vva(cc);Qb(ic|0)}while(0);if((Ha|0)==298){ac=Rb()|0;ec=Q;fc=ac}k[x>>2]=27468;k[Sb>>2]=27488;k[Tb>>2]=27560;Yua(Zb);Ava(Tb);vva(Sb);Qe=ec;Re=fc;Qb(Re|0)}while(0);Xb=_b;Yb=$b;vva(Sb);Qb(Yb|0)}while(0);if((Ha|0)==295){Pb=Rb()|0;Ub=Q;Vb=Pb}k[v>>2]=27468;k[Fb>>2]=27488;k[Gb>>2]=27560;Yua(Mb);Ava(Gb);vva(Fb);Qe=Ub;Re=Vb;Qb(Re|0)}while(0);Kb=Nb;Lb=Ob;vva(Fb);Qb(Lb|0)}while(0);if((Ha|0)==292){Db=Rb()|0;Hb=Q;Ib=Db}k[t>>2]=27468;k[tb>>2]=27488;k[ub>>2]=27560;Yua(Ab);Ava(ub);vva(tb);Qe=Hb;Re=Ib;Qb(Re|0)}while(0);yb=Bb;zb=Cb;vva(tb);Qb(zb|0)}while(0);if((Ha|0)==289){rb=Rb()|0;vb=Q;wb=rb}k[q>>2]=27468;k[hb>>2]=27488;k[ib>>2]=27560;Yua(ob);Ava(ib);vva(hb);Qe=vb;Re=wb;Qb(Re|0)}while(0);mb=pb;nb=qb;vva(hb);Qb(nb|0)}while(0);if((Ha|0)==286){fb=Rb()|0;jb=Q;kb=fb}k[n>>2]=27468;k[Wa>>2]=27488;k[Ya>>2]=27560;Yua(cb);Ava(Ya);vva(Wa);Qe=jb;Re=kb;Qb(Re|0)}while(0);ab=db;bb=eb;vva(Wa);Qb(bb|0)}while(0);if((Ha|0)==283){Ua=Rb()|0;Za=Q;_a=Ua}k[l>>2]=27468;k[La>>2]=27488;k[Ka>>2]=27560;Yua(Qa);Ava(Ka);vva(La);Qe=Za;Re=_a;Qb(Re|0)}while(0);Oa=Ra;Pa=Ta;vva(La);Qb(Pa|0)}while(0);if((Ha|0)==280){Fa=Rb()|0;Ma=Q;Na=Fa}k[h>>2]=27468;k[sa>>2]=27488;k[ta>>2]=27560;Yua(Ca);Ava(ta);vva(sa);Qe=Ma;Re=Na;Qb(Re|0)}while(0);Aa=Da;Ba=Ea;vva(sa);Qb(Ba|0)}else Ha=277;while(0);if((Ha|0)==277){qa=Rb()|0;ua=Q;xa=qa}k[f>>2]=27468;k[ga>>2]=27488;k[ha>>2]=27560;Yua(na);Ava(ha);vva(ga);Qe=ua;Re=xa;Qb(Re|0)}while(0);la=oa;ma=pa;vva(ga);Qb(ma|0)}else Ha=274;while(0);if((Ha|0)==274){fa=Rb()|0;ia=Q;ja=fa}k[d>>2]=27468;k[Z>>2]=27488;k[_>>2]=27560;Yua(ca);Ava(_);vva(Z);Qe=ia;Re=ja;Qb(Re|0)}while(0);aa=da;ba=ea;vva(Z);Qb(ba|0)}function E0(a){a=a|0;return k[a+8>>2]|0}function F0(a){a=a|0;return 610}function G0(a,b,c){a=a|0;b=b|0;c=c|0;return}function H0(a,b,c){a=a|0;b=b|0;c=c|0;return}function I0(a,b,c){a=a|0;b=+b;c=c|0;return}function J0(a,b,c){a=a|0;b=+b;c=c|0;return}function K0(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return}function L0(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return}function M0(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;e=a+44|0;Ela(k[e>>2]|0,d);d=a+48|0;Ela(k[d>>2]|0,b);b=a+52|0;Ela(k[b>>2]|0,f);f=Gla(k[e>>2]|0)|0;k[a+60>>2]=f;f=Gla(k[d>>2]|0)|0;k[a+64>>2]=f;f=Fla(k[b>>2]|0)|0;k[a+56>>2]=f;k[a+124>>2]=g;return}function N0(a,b,c){a=a|0;b=b|0;c=c|0;return}function O0(a,b){a=a|0;b=b|0;return}function P0(a,b){a=a|0;b=b|0;var c=0;c=a+60|0;a=Rn(k[k[c>>2]>>2]|0)|0;k[b>>2]=a;a=Rn(k[(k[c>>2]|0)+4>>2]|0)|0;k[b+4>>2]=a;return}function Q0(a,b){a=a|0;b=b|0;var c=0;c=a+60|0;a=Qn(k[k[c>>2]>>2]|0)|0;k[b>>2]=a;a=Qn(k[(k[c>>2]|0)+4>>2]|0)|0;k[b+4>>2]=a;return}function R0(a){a=a|0;return 2}function S0(a,b){a=a|0;b=b|0;return (k[a+12>>2]|0)==(b|0)|0}function T0(a){a=a|0;return 1}function U0(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0;e=r;r=r+192|0;f=e+180|0;g=e+176|0;h=e+40|0;i=e+24|0;j=e+12|0;l=e;cO(k[a+124>>2]|0,g,477);switch(k[g>>2]|0){case 497:{m=V0(a,d)|0;break}case 481:{m=V0(a,d)|0;break}default:{a=h+56|0;n=h+4|0;k[h>>2]=27524;k[a>>2]=27544;B=0;wa(508,h+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;q=o;vva(a);Qb(q|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[a>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){s=Rb()|0;t=Q;u=s}else{k[n>>2]=27560;s=h+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[h+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,n|0,f|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;Yua(f);Yua(s);Ava(n);t=w;u=v;break}Yua(f);B=0;v=Ia(40,h|0,144156,9)|0;w=B;B=0;if((((((!(w&1)?(B=0,w=Xa(242,v|0,k[g>>2]|0)|0,v=B,B=0,!(v&1)):0)?(B=0,v=Ia(40,w|0,144166,2)|0,w=B,B=0,!(w&1)):0)?(B=0,w=ya(427,k[g>>2]|0)|0,x=B,B=0,!(x&1)):0)?(x=Lta(w)|0,B=0,y=Ia(40,v|0,w|0,x|0)|0,x=B,B=0,!(x&1)):0)?(B=0,x=Ia(40,y|0,144169,19)|0,y=B,B=0,!(y&1)):0)?(B=0,Xa(239,x|0,0)|0,x=B,B=0,!(x&1)):0){x=Ab(20)|0;B=0;eb(502,i|0,117758,74);y=B;B=0;do if(!(y&1)){B=0;eb(502,j|0,118091,20);w=B;B=0;if(w&1){w=Rb()|0;v=Q;Yua(i);z=v;A=w;break}B=0;wa(510,l|0,n|0);w=B;B=0;if(w&1){w=Rb()|0;C=Q;D=w;E=1}else{B=0;ua(163,x|0,i|0,j|0,334,l|0);w=B;B=0;if(w&1)F=1;else{B=0;eb(503,x|0,1240,229);B=0;F=0}w=Rb()|0;v=Q;Yua(l);C=v;D=w;E=F}Yua(j);Yua(i);if(E){z=C;A=D}else{G=C;H=D;k[h>>2]=27468;k[a>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(a);Qb(H|0)}}else{w=Rb()|0;z=Q;A=w}while(0);zb(x|0);G=z;H=A;k[h>>2]=27468;k[a>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(a);Qb(H|0)}y=Rb()|0;G=Q;H=y;k[h>>2]=27468;k[a>>2]=27488;k[n>>2]=27560;Yua(s);Ava(n);vva(a);Qb(H|0)}while(0);p=t;q=u;vva(a);Qb(q|0)}}if(!m){r=e;return}IN(m,b,c);HN(m);Sqa(m);r=e;return}function V0(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0.0,W=0.0,X=0.0,Y=0,Z=0,_=0,$=0,aa=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0;c=r;r=r+400|0;d=c+376|0;e=c+8|0;f=c;g=c+240|0;h=c+224|0;j=c+72|0;l=c+60|0;m=c+88|0;n=c+48|0;o=c+36|0;q=c+24|0;s=a+64|0;t=k[k[s>>2]>>2]|0;if((Hc[k[(k[t>>2]|0)+20>>2]&511](t)|0)!=621){t=g+56|0;u=g+4|0;k[g>>2]=27524;k[t>>2]=27544;B=0;wa(508,g+56|0,u|0);v=B;B=0;if(v&1){v=Rb()|0;w=Q;x=v;vva(t);Qb(x|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[t>>2]=27488;B=0;va(448,u|0);v=B;B=0;do if(v&1){y=Rb()|0;z=Q;A=y}else{k[u>>2]=27560;y=g+36|0;k[y>>2]=0;k[y+4>>2]=0;k[y+8>>2]=0;k[y+12>>2]=0;k[g+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,u|0,d|0);C=B;B=0;if(C&1){C=Rb()|0;D=Q;Yua(d);Yua(y);Ava(u);z=D;A=C;break}Yua(d);B=0;C=Ia(40,g|0,118112,45)|0;D=B;B=0;a:do if(!(D&1)?(B=0,Xa(239,C|0,0)|0,E=B,B=0,!(E&1)):0){E=Ab(20)|0;B=0;eb(502,h|0,117758,74);F=B;B=0;do if(!(F&1)){B=0;eb(502,j|0,118158,38);G=B;B=0;if(G&1){G=Rb()|0;H=Q;Yua(h);I=G;J=H;break}B=0;wa(510,l|0,u|0);H=B;B=0;if(H&1){H=Rb()|0;K=H;L=Q;M=1}else{B=0;ua(163,E|0,h|0,j|0,455,l|0);H=B;B=0;if(H&1)N=1;else{B=0;eb(503,E|0,1240,229);B=0;N=0}H=Rb()|0;G=Q;Yua(l);K=H;L=G;M=N}Yua(j);Yua(h);if(M){I=K;J=L}else{O=K;P=L;break a}}else{G=Rb()|0;I=G;J=Q}while(0);zb(E|0);O=I;P=J}else R=17;while(0);if((R|0)==17){C=Rb()|0;O=C;P=Q}k[g>>2]=27468;k[t>>2]=27488;k[u>>2]=27560;Yua(y);Ava(u);vva(t);S=P;T=O;Qb(T|0)}while(0);w=z;x=A;vva(t);Qb(x|0)}x=k[s>>2]|0;s=k[x>>2]|0;t=k[x+4>>2]|0;if(!(i[a+72>>0]|0)){U=0;r=c;return U|0}x=Qqa(68)|0;A=a+60|0;z=a+124|0;B=0;ua(165,x|0,k[A>>2]|0,2,k[z>>2]|0,534);w=B;B=0;if(w&1){w=Rb()|0;O=Q;Sqa(x);S=O;T=w;Qb(T|0)}dO(k[z>>2]|0,f,73);rd[k[(k[s>>2]|0)+144>>2]&511](s,e,k[k[A>>2]>>2]|0,353);s=e+8|0;rd[k[(k[t>>2]|0)+144>>2]&511](t,s,k[(k[A>>2]|0)+4>>2]|0,353);V=+p[e>>3];if(!(V!=+p[s>>3])){s=a+88|0;W=+p[s>>3];X=W*W*b*+ba(10.0,+(+p[f>>3]));e=x+12|0;A=k[e>>2]|0;p[A>>3]=X+ +p[A>>3];t=a+96|0;X=+p[s>>3]*+p[t>>3]*b*+ba(10.0,+(+p[f>>3]));z=A+8|0;p[z>>3]=X+ +p[z>>3];X=+p[s>>3];W=X*X*b*+ba(10.0,+(+p[f>>3]));z=A+16|0;p[z>>3]=+p[z>>3]-W;W=+p[s>>3]*+p[t>>3]*b*+ba(10.0,+(+p[f>>3]));z=A+24|0;p[z>>3]=+p[z>>3]-W;W=+p[s>>3]*+p[t>>3]*b*+ba(10.0,+(+p[f>>3]));z=A+32|0;p[z>>3]=W+ +p[z>>3];W=+p[t>>3];X=W*W*b*+ba(10.0,+(+p[f>>3]));z=A+40|0;p[z>>3]=X+ +p[z>>3];X=+p[s>>3]*+p[t>>3]*b*+ba(10.0,+(+p[f>>3]));z=A+48|0;p[z>>3]=+p[z>>3]-X;X=+p[t>>3];W=X*X*b*+ba(10.0,+(+p[f>>3]));z=A+56|0;p[z>>3]=+p[z>>3]-W;W=+p[s>>3];X=W*W*b*+ba(10.0,+(+p[f>>3]));z=A+64|0;p[z>>3]=+p[z>>3]-X;X=+p[s>>3]*+p[t>>3]*b*+ba(10.0,+(+p[f>>3]));z=A+72|0;p[z>>3]=+p[z>>3]-X;X=+p[s>>3];W=X*X*b*+ba(10.0,+(+p[f>>3]));z=k[e>>2]|0;A=z+80|0;p[A>>3]=W+ +p[A>>3];W=+p[s>>3]*+p[t>>3]*b*+ba(10.0,+(+p[f>>3]));A=z+88|0;p[A>>3]=W+ +p[A>>3];W=+p[s>>3]*+p[t>>3]*b*+ba(10.0,+(+p[f>>3]));A=z+96|0;p[A>>3]=+p[A>>3]-W;W=+p[t>>3];X=W*W*b*+ba(10.0,+(+p[f>>3]));A=z+104|0;p[A>>3]=+p[A>>3]-X;X=+p[s>>3]*+p[t>>3]*b*+ba(10.0,+(+p[f>>3]));A=z+112|0;p[A>>3]=X+ +p[A>>3];X=+p[t>>3];W=X*X*b*+ba(10.0,+(+p[f>>3]));f=z+120|0;p[f>>3]=W+ +p[f>>3];W=+p[t>>3];f=a+104|0;A=a+24|0;p[z>>3]=+p[z>>3]+ +p[A>>3]*(+p[f>>3]*(V*(W*W)));a=z+8|0;p[a>>3]=+p[a>>3]-+p[A>>3]*(+p[f>>3]*(V*(+p[s>>3]*+p[t>>3])));W=+p[t>>3];a=z+16|0;p[a>>3]=+p[a>>3]-+p[A>>3]*(+p[f>>3]*(V*(W*W)));a=k[e>>2]|0;z=a+24|0;p[z>>3]=+p[z>>3]+ +p[A>>3]*(+p[f>>3]*(V*(+p[s>>3]*+p[t>>3])));z=a+32|0;p[z>>3]=+p[z>>3]-+p[A>>3]*(+p[f>>3]*(V*(+p[s>>3]*+p[t>>3])));W=+p[s>>3];z=a+40|0;p[z>>3]=+p[z>>3]+ +p[A>>3]*(+p[f>>3]*(V*(W*W)));z=a+48|0;p[z>>3]=+p[z>>3]+ +p[A>>3]*(+p[f>>3]*(V*(+p[s>>3]*+p[t>>3])));W=+p[s>>3];z=a+56|0;p[z>>3]=+p[z>>3]-+p[A>>3]*(+p[f>>3]*(V*(W*W)));W=+p[t>>3];z=a+64|0;p[z>>3]=+p[z>>3]-+p[A>>3]*(+p[f>>3]*(V*(W*W)));z=a+72|0;p[z>>3]=+p[z>>3]+ +p[A>>3]*(+p[f>>3]*(V*(+p[s>>3]*+p[t>>3])));W=+p[t>>3];z=a+80|0;p[z>>3]=+p[z>>3]+ +p[A>>3]*(+p[f>>3]*(V*(W*W)));z=a+88|0;p[z>>3]=+p[z>>3]-+p[A>>3]*(+p[f>>3]*(V*(+p[s>>3]*+p[t>>3])));z=k[e>>2]|0;e=z+96|0;p[e>>3]=+p[e>>3]+ +p[A>>3]*(+p[f>>3]*(V*(+p[s>>3]*+p[t>>3])));W=+p[s>>3];e=z+104|0;p[e>>3]=+p[e>>3]-+p[A>>3]*(+p[f>>3]*(V*(W*W)));e=z+112|0;p[e>>3]=+p[e>>3]-+p[A>>3]*(+p[f>>3]*(V*(+p[s>>3]*+p[t>>3])));W=+p[s>>3];s=z+120|0;p[s>>3]=+p[s>>3]+ +p[A>>3]*(+p[f>>3]*(V*(W*W)));U=x;r=c;return U|0}U=m+56|0;c=m+4|0;k[m>>2]=27524;k[U>>2]=27544;B=0;wa(508,m+56|0,c|0);x=B;B=0;if(x&1){x=Rb()|0;Y=Q;Z=x;vva(U);Qb(Z|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[U>>2]=27488;B=0;va(448,c|0);x=B;B=0;do if(x&1){f=Rb()|0;_=Q;$=f}else{k[c>>2]=27560;f=m+36|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;k[m+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,c|0,d|0);A=B;B=0;if(A&1){A=Rb()|0;s=Q;Yua(d);Yua(f);Ava(c);_=s;$=A;break}Yua(d);B=0;A=Ia(40,m|0,118197,51)|0;s=B;B=0;b:do if(!(s&1)?(B=0,Xa(239,A|0,0)|0,z=B,B=0,!(z&1)):0){z=Ab(20)|0;B=0;eb(502,n|0,117758,74);t=B;B=0;do if(!(t&1)){B=0;eb(502,o|0,118158,38);e=B;B=0;if(e&1){e=Rb()|0;a=Q;Yua(n);aa=e;ca=a;break}B=0;wa(510,q|0,c|0);a=B;B=0;if(a&1){a=Rb()|0;da=1;ea=Q;fa=a}else{B=0;ua(163,z|0,n|0,o|0,467,q|0);a=B;B=0;if(a&1)ga=1;else{B=0;eb(503,z|0,1240,229);B=0;ga=0}a=Rb()|0;e=Q;Yua(q);da=ga;ea=e;fa=a}Yua(o);Yua(n);if(da){aa=fa;ca=ea}else{ha=ea;ia=fa;break b}}else{a=Rb()|0;aa=a;ca=Q}while(0);zb(z|0);ha=ca;ia=aa}else R=44;while(0);if((R|0)==44){A=Rb()|0;ha=Q;ia=A}k[m>>2]=27468;k[U>>2]=27488;k[c>>2]=27560;Yua(f);Ava(c);vva(U);S=ha;T=ia;Qb(T|0)}while(0);Y=_;Z=$;vva(U);Qb(Z|0);return 0}function W0(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0;d=r;r=r+192|0;e=d+180|0;f=d+176|0;g=d+40|0;h=d+24|0;i=d+12|0;j=d;cO(k[a+124>>2]|0,f,477);switch(k[f>>2]|0){case 497:{l=X0(a,0.0)|0;if(!l){r=d;return}TN(l,b);SN(l);Sqa(l);r=d;return}case 481:{r=d;return}default:{d=g+56|0;l=g+4|0;k[g>>2]=27524;k[d>>2]=27544;B=0;wa(508,g+56|0,l|0);b=B;B=0;if(b&1){b=Rb()|0;m=Q;n=b;vva(d);Qb(n|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[d>>2]=27488;B=0;va(448,l|0);b=B;B=0;do if(b&1){a=Rb()|0;o=Q;p=a}else{k[l>>2]=27560;a=g+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[g+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,l|0,e|0);q=B;B=0;if(q&1){q=Rb()|0;s=Q;Yua(e);Yua(a);Ava(l);o=s;p=q;break}Yua(e);B=0;q=Ia(40,g|0,144156,9)|0;s=B;B=0;if((((((!(s&1)?(B=0,s=Xa(242,q|0,k[f>>2]|0)|0,q=B,B=0,!(q&1)):0)?(B=0,q=Ia(40,s|0,144166,2)|0,s=B,B=0,!(s&1)):0)?(B=0,s=ya(427,k[f>>2]|0)|0,t=B,B=0,!(t&1)):0)?(t=Lta(s)|0,B=0,u=Ia(40,q|0,s|0,t|0)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Ia(40,u|0,144169,19)|0,u=B,B=0,!(u&1)):0)?(B=0,Xa(239,t|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,h|0,117758,74);u=B;B=0;do if(!(u&1)){B=0;eb(502,i|0,118249,20);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(h);v=q;w=s;break}B=0;wa(510,j|0,l|0);s=B;B=0;if(s&1){s=Rb()|0;x=Q;y=s;z=1}else{B=0;ua(163,t|0,h|0,i|0,359,j|0);s=B;B=0;if(s&1)A=1;else{B=0;eb(503,t|0,1240,229);B=0;A=0}s=Rb()|0;q=Q;Yua(j);x=q;y=s;z=A}Yua(i);Yua(h);if(z){v=x;w=y}else{C=x;D=y;k[g>>2]=27468;k[d>>2]=27488;k[l>>2]=27560;Yua(a);Ava(l);vva(d);Qb(D|0)}}else{s=Rb()|0;v=Q;w=s}while(0);zb(t|0);C=v;D=w;k[g>>2]=27468;k[d>>2]=27488;k[l>>2]=27560;Yua(a);Ava(l);vva(d);Qb(D|0)}u=Rb()|0;C=Q;D=u;k[g>>2]=27468;k[d>>2]=27488;k[l>>2]=27560;Yua(a);Ava(l);vva(d);Qb(D|0)}while(0);m=o;n=p;vva(d);Qb(n|0)}}}function X0(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0.0,ga=0.0,ha=0.0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0.0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0.0,Ma=0.0,Na=0.0,Oa=0.0,Pa=0.0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0;c=r;r=r+912|0;d=c+900|0;e=c+16|0;f=c;g=c+728|0;h=c+888|0;j=c+876|0;l=c+864|0;m=c+592|0;n=c+580|0;o=c+568|0;q=c+280|0;s=c+432|0;t=c+128|0;u=c+116|0;v=c+104|0;w=c+296|0;x=c+92|0;y=c+80|0;z=c+68|0;A=c+144|0;C=c+56|0;D=c+44|0;E=c+32|0;F=a+64|0;G=k[k[F>>2]>>2]|0;if((Hc[k[(k[G>>2]|0)+20>>2]&511](G)|0)!=621){G=g+56|0;H=g+4|0;k[g>>2]=27524;k[G>>2]=27544;B=0;wa(508,g+56|0,H|0);I=B;B=0;if(I&1){I=Rb()|0;J=Q;K=I;vva(G);Qb(K|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[G>>2]=27488;B=0;va(448,H|0);I=B;B=0;do if(I&1){L=Rb()|0;M=Q;N=L}else{k[H>>2]=27560;L=g+36|0;k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;k[L+12>>2]=0;k[g+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,H|0,d|0);O=B;B=0;if(O&1){O=Rb()|0;P=Q;Yua(d);Yua(L);Ava(H);M=P;N=O;break}Yua(d);B=0;O=Ia(40,g|0,118112,45)|0;P=B;B=0;a:do if(!(P&1)?(B=0,Xa(239,O|0,0)|0,R=B,B=0,!(R&1)):0){R=Ab(20)|0;B=0;eb(502,h|0,117758,74);S=B;B=0;do if(!(S&1)){B=0;eb(502,j|0,118270,38);T=B;B=0;if(T&1){T=Rb()|0;U=Q;Yua(h);V=U;W=T;break}B=0;wa(510,l|0,H|0);T=B;B=0;if(T&1){T=Rb()|0;X=Q;Y=T;Z=1}else{B=0;ua(163,R|0,h|0,j|0,541,l|0);T=B;B=0;if(T&1)_=1;else{B=0;eb(503,R|0,1240,229);B=0;_=0}T=Rb()|0;U=Q;Yua(l);X=U;Y=T;Z=_}Yua(j);Yua(h);if(Z){V=X;W=Y}else{$=X;aa=Y;break a}}else{T=Rb()|0;V=Q;W=T}while(0);zb(R|0);$=V;aa=W}else ba=17;while(0);if((ba|0)==17){O=Rb()|0;$=Q;aa=O}k[g>>2]=27468;k[G>>2]=27488;k[H>>2]=27560;Yua(L);Ava(H);vva(G);ca=$;da=aa;Qb(da|0)}while(0);J=M;K=N;vva(G);Qb(K|0)}K=k[F>>2]|0;F=k[K>>2]|0;G=k[K+4>>2]|0;if(i[a+72>>0]|0){ea=0;r=c;return ea|0}K=Qqa(24)|0;N=a+60|0;B=0;ua(166,K|0,k[N>>2]|0,2,k[a+124>>2]|0,534);M=B;B=0;if(M&1){M=Rb()|0;J=Q;Sqa(K);ca=J;da=M;Qb(da|0)}M=a+56|0;b=+WJ(k[M>>2]|0,265);fa=+WJ(k[M>>2]|0,266);ga=+WJ(k[M>>2]|0,65);rd[k[(k[F>>2]|0)+144>>2]&511](F,e,k[k[N>>2]>>2]|0,353);M=e+8|0;rd[k[(k[G>>2]|0)+144>>2]&511](G,M,k[(k[N>>2]|0)+4>>2]|0,353);ha=+p[e>>3];if(ha!=+p[M>>3]){M=m+56|0;e=m+4|0;k[m>>2]=27524;k[M>>2]=27544;B=0;wa(508,m+56|0,e|0);J=B;B=0;if(J&1){J=Rb()|0;ia=Q;ja=J;vva(M);Qb(ja|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[M>>2]=27488;B=0;va(448,e|0);J=B;B=0;do if(J&1){aa=Rb()|0;ka=Q;la=aa}else{k[e>>2]=27560;aa=m+36|0;k[aa>>2]=0;k[aa+4>>2]=0;k[aa+8>>2]=0;k[aa+12>>2]=0;k[m+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,e|0,d|0);$=B;B=0;if($&1){$=Rb()|0;H=Q;Yua(d);Yua(aa);Ava(e);ka=H;la=$;break}Yua(d);B=0;$=Ia(40,m|0,118197,51)|0;H=B;B=0;b:do if(!(H&1)?(B=0,Xa(239,$|0,0)|0,g=B,B=0,!(g&1)):0){g=Ab(20)|0;B=0;eb(502,n|0,117758,74);W=B;B=0;do if(!(W&1)){B=0;eb(502,o|0,118270,38);V=B;B=0;if(V&1){V=Rb()|0;Y=Q;Yua(n);ma=Y;na=V;break}B=0;wa(510,q|0,e|0);V=B;B=0;if(V&1){V=Rb()|0;oa=1;pa=Q;qa=V}else{B=0;ua(163,g|0,n|0,o|0,555,q|0);V=B;B=0;if(V&1)ra=1;else{B=0;eb(503,g|0,1240,229);B=0;ra=0}V=Rb()|0;Y=Q;Yua(q);oa=ra;pa=Y;qa=V}Yua(o);Yua(n);if(oa){ma=pa;na=qa}else{sa=pa;ta=qa;break b}}else{V=Rb()|0;ma=Q;na=V}while(0);zb(g|0);sa=ma;ta=na}else ba=44;while(0);if((ba|0)==44){$=Rb()|0;sa=Q;ta=$}k[m>>2]=27468;k[M>>2]=27488;k[e>>2]=27560;Yua(aa);Ava(e);vva(M);ca=sa;da=ta;Qb(da|0)}while(0);ia=ka;ja=la;vva(M);Qb(ja|0)}rd[k[(k[F>>2]|0)+144>>2]&511](F,f,k[k[N>>2]>>2]|0,64);F=f+8|0;rd[k[(k[G>>2]|0)+144>>2]&511](G,F,k[(k[N>>2]|0)+4>>2]|0,64);xa=+p[f>>3];if(xa!=+p[F>>3]){F=s+56|0;f=s+4|0;k[s>>2]=27524;k[F>>2]=27544;B=0;wa(508,s+56|0,f|0);N=B;B=0;if(N&1){N=Rb()|0;ya=Q;za=N;vva(F);Qb(za|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[F>>2]=27488;B=0;va(448,f|0);N=B;B=0;do if(N&1){G=Rb()|0;Aa=Q;Ba=G}else{k[f>>2]=27560;G=s+36|0;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;k[G+12>>2]=0;k[s+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,f|0,d|0);ja=B;B=0;if(ja&1){ja=Rb()|0;M=Q;Yua(d);Yua(G);Ava(f);Aa=M;Ba=ja;break}Yua(d);B=0;ja=Ia(40,s|0,118309,44)|0;M=B;B=0;c:do if(!(M&1)?(B=0,Xa(239,ja|0,0)|0,la=B,B=0,!(la&1)):0){la=Ab(20)|0;B=0;eb(502,t|0,117758,74);ka=B;B=0;do if(!(ka&1)){B=0;eb(502,u|0,118270,38);ia=B;B=0;if(ia&1){ia=Rb()|0;ta=Q;Yua(t);Ca=ta;Da=ia;break}B=0;wa(510,v|0,f|0);ia=B;B=0;if(ia&1){ia=Rb()|0;Ea=1;Fa=Q;Ga=ia}else{B=0;ua(163,la|0,t|0,u|0,559,v|0);ia=B;B=0;if(ia&1)Ha=1;else{B=0;eb(503,la|0,1240,229);B=0;Ha=0}ia=Rb()|0;ta=Q;Yua(v);Ea=Ha;Fa=ta;Ga=ia}Yua(u);Yua(t);if(Ea){Ca=Fa;Da=Ga}else{Ja=Fa;Ka=Ga;break c}}else{ia=Rb()|0;Ca=Q;Da=ia}while(0);zb(la|0);Ja=Ca;Ka=Da}else ba=68;while(0);if((ba|0)==68){ja=Rb()|0;Ja=Q;Ka=ja}k[s>>2]=27468;k[F>>2]=27488;k[f>>2]=27560;Yua(G);Ava(f);vva(F);ca=Ja;da=Ka;Qb(da|0)}while(0);ya=Aa;za=Ba;vva(F);Qb(za|0)}za=a+20|0;d:do switch(k[za>>2]|0){case 633:{La=ha*ha;Ma=b*ga*La*.5;Na=fa*ga;if(!(i[a+40>>0]|0)){Oa=Ma-Na*La*.5;break d}else{Oa=Ma-Na*(xa*xa)*.5;break d}break}case 630:{Oa=b*ga*(ha*ha)*.5;break}case 631:{Oa=0.0;break}case 632:{if(i[a+40>>0]|0){Na=b*ga;Ma=+p[a+112>>3];La=ha*Ma;Pa=ha*(b/fa*Ma);Oa=Na*(ha*ha)*.5-Na*(La*La)*.5-fa*.5*ga*(xa*xa-Pa*Pa);break d}F=w+56|0;Ba=w+4|0;k[w>>2]=27524;k[F>>2]=27544;B=0;wa(508,w+56|0,Ba|0);Aa=B;B=0;if(Aa&1){Aa=Rb()|0;Qa=Q;Ra=Aa;vva(F);Qb(Ra|0)}k[w+128>>2]=0;k[w+132>>2]=-1;k[w>>2]=27468;k[F>>2]=27488;B=0;va(448,Ba|0);Aa=B;B=0;do if(Aa&1){ya=Rb()|0;Sa=Q;Ta=ya}else{k[Ba>>2]=27560;ya=w+36|0;k[ya>>2]=0;k[ya+4>>2]=0;k[ya+8>>2]=0;k[ya+12>>2]=0;k[w+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Ba|0,d|0);Ka=B;B=0;if(Ka&1){Ka=Rb()|0;Ja=Q;Yua(d);Yua(ya);Ava(Ba);Sa=Ja;Ta=Ka;break}Yua(d);B=0;Ka=Ia(40,w|0,118354,10)|0;Ja=B;B=0;e:do if(((!(Ja&1)?(B=0,f=Xa(242,Ka|0,k[za>>2]|0)|0,s=B,B=0,!(s&1)):0)?(B=0,s=Ia(40,f|0,118365,33)|0,f=B,B=0,!(f&1)):0)?(B=0,Xa(239,s|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,x|0,117758,74);f=B;B=0;do if(!(f&1)){B=0;eb(502,y|0,118270,38);Da=B;B=0;if(Da&1){Da=Rb()|0;Ca=Q;Yua(x);Ua=Ca;Va=Da;break}B=0;wa(510,z|0,Ba|0);Da=B;B=0;if(Da&1){Da=Rb()|0;Wa=1;Ya=Q;Za=Da}else{B=0;ua(163,s|0,x|0,y|0,587,z|0);Da=B;B=0;if(Da&1)_a=1;else{B=0;eb(503,s|0,1240,229);B=0;_a=0}Da=Rb()|0;Ca=Q;Yua(z);Wa=_a;Ya=Ca;Za=Da}Yua(y);Yua(x);if(Wa){Ua=Ya;Va=Za}else{$a=Ya;ab=Za;break e}}else{Da=Rb()|0;Ua=Q;Va=Da}while(0);zb(s|0);$a=Ua;ab=Va}else ba=99;while(0);if((ba|0)==99){Ka=Rb()|0;$a=Q;ab=Ka}k[w>>2]=27468;k[F>>2]=27488;k[Ba>>2]=27560;Yua(ya);Ava(Ba);vva(F);ca=$a;da=ab;Qb(da|0)}while(0);Qa=Sa;Ra=Ta;vva(F);Qb(Ra|0);break}default:{Ba=A+56|0;Aa=A+4|0;k[A>>2]=27524;k[Ba>>2]=27544;B=0;wa(508,A+56|0,Aa|0);G=B;B=0;if(G&1){G=Rb()|0;bb=Q;cb=G;vva(Ba);Qb(cb|0)}k[A+128>>2]=0;k[A+132>>2]=-1;k[A>>2]=27468;k[Ba>>2]=27488;B=0;va(448,Aa|0);G=B;B=0;do if(G&1){Ka=Rb()|0;db=Q;fb=Ka}else{k[Aa>>2]=27560;Ka=A+36|0;k[Ka>>2]=0;k[Ka+4>>2]=0;k[Ka+8>>2]=0;k[Ka+12>>2]=0;k[A+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,Aa|0,d|0);Ja=B;B=0;if(Ja&1){Ja=Rb()|0;la=Q;Yua(d);Yua(Ka);Ava(Aa);db=la;fb=Ja;break}Yua(d);B=0;Ja=Ia(40,A|0,118354,10)|0;la=B;B=0;f:do if(((!(la&1)?(B=0,f=Xa(242,Ja|0,k[za>>2]|0)|0,Da=B,B=0,!(Da&1)):0)?(B=0,Da=Ia(40,f|0,118399,19)|0,f=B,B=0,!(f&1)):0)?(B=0,Xa(239,Da|0,0)|0,Da=B,B=0,!(Da&1)):0){Da=Ab(20)|0;B=0;eb(502,C|0,117758,74);f=B;B=0;do if(!(f&1)){B=0;eb(502,D|0,118270,38);Ca=B;B=0;if(Ca&1){Ca=Rb()|0;Ga=Q;Yua(C);gb=Ga;hb=Ca;break}B=0;wa(510,E|0,Aa|0);Ca=B;B=0;if(Ca&1){Ca=Rb()|0;ib=1;jb=Q;kb=Ca}else{B=0;ua(163,Da|0,C|0,D|0,597,E|0);Ca=B;B=0;if(Ca&1)lb=1;else{B=0;eb(503,Da|0,1240,229);B=0;lb=0}Ca=Rb()|0;Ga=Q;Yua(E);ib=lb;jb=Ga;kb=Ca}Yua(D);Yua(C);if(ib){gb=jb;hb=kb}else{mb=jb;nb=kb;break f}}else{Ca=Rb()|0;gb=Q;hb=Ca}while(0);zb(Da|0);mb=gb;nb=hb}else ba=125;while(0);if((ba|0)==125){Ja=Rb()|0;mb=Q;nb=Ja}k[A>>2]=27468;k[Ba>>2]=27488;k[Aa>>2]=27560;Yua(Ka);Ava(Aa);vva(Ba);ca=mb;da=nb;Qb(da|0)}while(0);bb=db;cb=fb;vva(Ba);Qb(cb|0)}}while(0);cb=a+104|0;fb=k[K+4>>2]|0;db=a+88|0;p[fb>>3]=Oa*+p[db>>3]*+p[cb>>3]+ +p[fb>>3];bb=a+96|0;a=fb+8|0;p[a>>3]=Oa*+p[bb>>3]*+p[cb>>3]+ +p[a>>3];a=fb+16|0;p[a>>3]=+p[a>>3]-Oa*+p[db>>3]*+p[cb>>3];db=fb+24|0;p[db>>3]=+p[db>>3]-Oa*+p[bb>>3]*+p[cb>>3];ea=K;r=c;return ea|0}function Y0(a){a=a|0;k[a+60>>2]=0;k[a+64>>2]=0;k[a+56>>2]=0;k[a+124>>2]=0;Dla(k[a+44>>2]|0);Dla(k[a+48>>2]|0);Dla(k[a+52>>2]|0);return}function Z0(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return}function _0(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;g=r;r=r+192|0;d=g+176|0;j=g+40|0;l=g+24|0;m=g+12|0;n=g;o=a+60|0;a=e+(Rn(k[k[o>>2]>>2]|0)|0)|0;p=(i[a>>0]|0)==0;if((h|0)==937){if(p){a=e+(Rn(k[k[o>>2]>>2]|0)|0)|0;i[a>>0]=1;a=0;while(1){q=f+(a<<2)|0;if((k[q>>2]|0)>-1)a=a+1|0;else{s=q;break}}a=Rn(k[k[o>>2]>>2]|0)|0;k[s>>2]=a;a=k[k[o>>2]>>2]|0;if(k[a+28>>2]|0){s=(fo(a)|0)==0;t=s&1;u=s&1^1}else{t=0;u=0}}else{t=0;u=0}s=e+(Rn(k[(k[o>>2]|0)+4>>2]|0)|0)|0;if(i[s>>0]|0){v=t;w=u;k[b>>2]=v;k[c>>2]=w;r=g;return}s=e+(Rn(k[(k[o>>2]|0)+4>>2]|0)|0)|0;i[s>>0]=1;s=0;while(1){a=f+(s<<2)|0;if((k[a>>2]|0)>-1)s=s+1|0;else{x=a;break}}s=Rn(k[(k[o>>2]|0)+4>>2]|0)|0;k[x>>2]=s;s=k[(k[o>>2]|0)+4>>2]|0;if(!(k[s+28>>2]|0)){v=t;w=u;k[b>>2]=v;k[c>>2]=w;r=g;return}if(!(fo(s)|0)){v=t+1|0;w=u;k[b>>2]=v;k[c>>2]=w;r=g;return}else{v=t;w=u+1|0;k[b>>2]=v;k[c>>2]=w;r=g;return}}a:do if(p){u=e+(Rn(k[k[o>>2]>>2]|0)|0)|0;i[u>>0]=1;u=0;while(1){t=f+(u<<2)|0;if((k[t>>2]|0)>-1)u=u+1|0;else{y=t;break}}u=Rn(k[k[o>>2]>>2]|0)|0;k[y>>2]=u;switch(h|0){case 966:{u=k[k[o>>2]>>2]|0;if(!(k[u+32>>2]|0)){z=0;A=0;C=40;break a}t=(fo(u)|0)==0;z=t;A=t&1^1;C=40;break a;break}case 943:{t=k[k[o>>2]>>2]|0;if(!(k[t+24>>2]|0)){z=0;A=0;C=40;break a}u=(fo(t)|0)==0;z=u;A=u&1^1;C=40;break a;break}default:break a}}else{z=0;A=0;C=40}while(0);b:do if((C|0)==40){y=z&1;p=e+(Rn(k[(k[o>>2]|0)+4>>2]|0)|0)|0;if(i[p>>0]|0){v=y;w=A;k[b>>2]=v;k[c>>2]=w;r=g;return}p=e+(Rn(k[(k[o>>2]|0)+4>>2]|0)|0)|0;i[p>>0]=1;p=0;while(1){u=f+(p<<2)|0;if((k[u>>2]|0)>-1)p=p+1|0;else{D=u;break}}p=Rn(k[(k[o>>2]|0)+4>>2]|0)|0;k[D>>2]=p;switch(h|0){case 966:{p=k[(k[o>>2]|0)+4>>2]|0;if(!(k[p+32>>2]|0)){v=y;w=A;k[b>>2]=v;k[c>>2]=w;r=g;return}if(!(fo(p)|0)){v=z?2:1;w=A;k[b>>2]=v;k[c>>2]=w;r=g;return}else{v=y;w=A+1|0;k[b>>2]=v;k[c>>2]=w;r=g;return}break}case 943:{p=k[(k[o>>2]|0)+4>>2]|0;if(!(k[p+24>>2]|0)){v=y;w=A;k[b>>2]=v;k[c>>2]=w;r=g;return}if(!(fo(p)|0)){v=z?2:1;w=A;k[b>>2]=v;k[c>>2]=w;r=g;return}else{v=y;w=A+1|0;k[b>>2]=v;k[c>>2]=w;r=g;return}break}default:break b}}while(0);g=j+56|0;w=j+4|0;k[j>>2]=27524;k[g>>2]=27544;B=0;wa(508,j+56|0,w|0);c=B;B=0;if(c&1){c=Rb()|0;E=Q;F=c;vva(g);Qb(F|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[g>>2]=27488;B=0;va(448,w|0);c=B;B=0;do if(c&1){v=Rb()|0;G=Q;H=v}else{k[w>>2]=27560;v=j+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[j+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,w|0,d|0);b=B;B=0;if(b&1){b=Rb()|0;A=Q;Yua(d);Yua(v);Ava(w);G=A;H=b;break}Yua(d);B=0;b=Ia(40,j|0,145010,13)|0;A=B;B=0;if(!(A&1)?(B=0,Xa(239,b|0,0)|0,b=B,B=0,!(b&1)):0){b=Ab(20)|0;B=0;eb(502,l|0,117758,74);A=B;B=0;do if(!(A&1)){B=0;eb(502,m|0,144217,23);z=B;B=0;if(z&1){z=Rb()|0;o=Q;Yua(l);I=o;J=z;break}B=0;wa(510,n|0,w|0);z=B;B=0;if(z&1){z=Rb()|0;K=Q;L=z;M=1}else{B=0;ua(163,b|0,l|0,m|0,431,n|0);z=B;B=0;if(z&1)N=1;else{B=0;eb(503,b|0,1240,229);B=0;N=0}z=Rb()|0;o=Q;Yua(n);K=o;L=z;M=N}Yua(m);Yua(l);if(M){I=K;J=L}else{O=K;P=L;k[j>>2]=27468;k[g>>2]=27488;k[w>>2]=27560;Yua(v);Ava(w);vva(g);Qb(P|0)}}else{z=Rb()|0;I=Q;J=z}while(0);zb(b|0);O=I;P=J;k[j>>2]=27468;k[g>>2]=27488;k[w>>2]=27560;Yua(v);Ava(w);vva(g);Qb(P|0)}A=Rb()|0;O=Q;P=A;k[j>>2]=27468;k[g>>2]=27488;k[w>>2]=27560;Yua(v);Ava(w);vva(g);Qb(P|0)}while(0);E=G;F=H;vva(g);Qb(F|0)}function $0(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;c=r;r=r+224|0;d=c+208|0;e=c+24|0;f=c+16|0;g=c+8|0;h=c;j=c+72|0;m=c+56|0;n=c+44|0;o=c+32|0;q=a+64|0;s=k[k[q>>2]>>2]|0;if((Hc[k[(k[s>>2]|0)+20>>2]&511](s)|0)==621){s=k[q>>2]|0;q=k[s>>2]|0;t=k[s+4>>2]|0;if(i[a+73>>0]|0){k[b>>2]=0;r=c;return 1}switch(k[a+120>>2]|0){case 636:{i[a+72>>0]=0;break}case 634:{i[a+72>>0]=1;break}default:{s=a+60|0;rd[k[(k[q>>2]|0)+144>>2]&511](q,e,k[k[s>>2]>>2]|0,674);rd[k[(k[t>>2]|0)+144>>2]&511](t,g,k[(k[s>>2]|0)+4>>2]|0,674);rd[k[(k[q>>2]|0)+144>>2]&511](q,f,k[k[s>>2]>>2]|0,677);rd[k[(k[t>>2]|0)+144>>2]&511](t,h,k[(k[s>>2]|0)+4>>2]|0,677);s=(+p[g>>3]-+p[e>>3])*+p[a+88>>3]+(+p[h>>3]-+p[f>>3])*+p[a+96>>3]<0.0;f=a+76|0;h=k[f>>2]|0;if((h|0)>(k[a+68>>2]|0)){k[f>>2]=0;e=a+112|0;u=+p[a+32>>3]+ +p[e>>3];p[e>>3]=u;if(u>1.0){p[e>>3]=1.0;v=0}else v=0}else v=h;h=a+72|0;if((l[h>>0]|0)==(s&1|0))w=0;else{k[f>>2]=v+1;w=1}i[h>>0]=s&1;k[b>>2]=w;r=c;return 1}}k[b>>2]=0;r=c;return 1}c=j+56|0;b=j+4|0;k[j>>2]=27524;k[c>>2]=27544;B=0;wa(508,j+56|0,b|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;y=w;vva(c);Qb(y|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[c>>2]=27488;B=0;va(448,b|0);w=B;B=0;do if(w&1){s=Rb()|0;z=Q;A=s}else{k[b>>2]=27560;s=j+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[j+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,b|0,d|0);h=B;B=0;if(h&1){h=Rb()|0;v=Q;Yua(d);Yua(s);Ava(b);z=v;A=h;break}Yua(d);B=0;h=Ia(40,j|0,118112,45)|0;v=B;B=0;if(!(v&1)?(B=0,Xa(239,h|0,0)|0,h=B,B=0,!(h&1)):0){h=Ab(20)|0;B=0;eb(502,m|0,117758,74);v=B;B=0;do if(!(v&1)){B=0;eb(502,n|0,118419,9);f=B;B=0;if(f&1){f=Rb()|0;a=Q;Yua(m);C=a;D=f;break}B=0;wa(510,o|0,b|0);f=B;B=0;if(f&1){f=Rb()|0;E=Q;F=f;G=1}else{B=0;ua(163,h|0,m|0,n|0,630,o|0);f=B;B=0;if(f&1)H=1;else{B=0;eb(503,h|0,1240,229);B=0;H=0}f=Rb()|0;a=Q;Yua(o);E=a;F=f;G=H}Yua(n);Yua(m);if(G){C=E;D=F}else{I=E;J=F;k[j>>2]=27468;k[c>>2]=27488;k[b>>2]=27560;Yua(s);Ava(b);vva(c);Qb(J|0)}}else{f=Rb()|0;C=Q;D=f}while(0);zb(h|0);I=C;J=D;k[j>>2]=27468;k[c>>2]=27488;k[b>>2]=27560;Yua(s);Ava(b);vva(c);Qb(J|0)}v=Rb()|0;I=Q;J=v;k[j>>2]=27468;k[c>>2]=27488;k[b>>2]=27560;Yua(s);Ava(b);vva(c);Qb(J|0)}while(0);x=z;y=A;vva(c);Qb(y|0);return 0}function a1(a){a=a|0;i[a+73>>0]=1;return}function b1(a){a=a|0;return (i[a+73>>0]|0)!=0|0}function c1(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,118429,102);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,77,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function d1(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;b=r;r=r+192|0;a=b+176|0;d=b+40|0;e=b+24|0;f=b+12|0;g=b;b=d+56|0;h=d+4|0;k[d>>2]=27524;k[b>>2]=27544;B=0;wa(508,d+56|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;j=Q;l=i;vva(b);Qb(l|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[b>>2]=27488;B=0;va(448,h|0);i=B;B=0;do if(i&1){m=Rb()|0;n=Q;o=m}else{k[h>>2]=27560;m=d+36|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[d+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,h|0,a|0);p=B;B=0;if(p&1){p=Rb()|0;q=Q;Yua(a);Yua(m);Ava(h);n=q;o=p;break}Yua(a);B=0;p=Ia(40,d|0,144350,19)|0;q=B;B=0;a:do if(!(q&1)?(B=0,Xa(239,p|0,0)|0,s=B,B=0,!(s&1)):0){s=Ab(20)|0;B=0;eb(502,e|0,118429,102);t=B;B=0;do if(!(t&1)){B=0;eb(502,f|0,144370,27);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(e);w=v;x=u;break}B=0;wa(510,g|0,h|0);u=B;B=0;if(u&1){u=Rb()|0;y=Q;z=u;A=1}else{B=0;ua(163,s|0,e|0,f|0,85,g|0);u=B;B=0;if(u&1)C=1;else{B=0;eb(503,s|0,1240,229);B=0;C=0}u=Rb()|0;v=Q;Yua(g);y=v;z=u;A=C}Yua(f);Yua(e);if(A){w=y;x=z}else{D=y;E=z;break a}}else{u=Rb()|0;w=Q;x=u}while(0);zb(s|0);D=w;E=x}else F=16;while(0);if((F|0)==16){p=Rb()|0;D=Q;E=p}k[d>>2]=27468;k[b>>2]=27488;k[h>>2]=27560;Yua(m);Ava(h);vva(b);Qb(E|0)}while(0);j=n;l=o;vva(b);Qb(l|0)}function e1(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,118532,20)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,118429,102);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,118553,23);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,68,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function f1(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,118429,102);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144327,22);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,70,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function g1(a,b,c){a=a|0;b=b|0;c=c|0;e1(a+-4|0,b,c)}function h1(a,b,c){a=a|0;b=b|0;c=c|0;f1(a+-4|0,b,c)}function i1(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,La=0,Ma=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0;d=r;r=r+352|0;e=d+332|0;f=d+328|0;g=d+324|0;h=d+320|0;i=d+316|0;j=d+312|0;l=d+308|0;m=d+304|0;n=d+300|0;o=d+296|0;q=d+292|0;s=d+288|0;t=d+284|0;u=d+280|0;v=d+276|0;w=d+272|0;x=d+268|0;y=d+264|0;z=d+260|0;A=d+256|0;C=d+252|0;D=d+248|0;E=d+244|0;F=d+240|0;G=d+236|0;H=d+232|0;I=d+228|0;J=d+224|0;K=d+220|0;L=d+216|0;M=d+212|0;N=d+208|0;O=d+204|0;P=d+200|0;R=d+196|0;S=d+192|0;T=d+188|0;U=d+184|0;V=d+180|0;W=d+176|0;X=d+40|0;Y=d+24|0;Z=d+12|0;_=d;k[f>>2]=0;$=Qqa(36)|0;B=0;va(480,$|0);aa=B;B=0;if(aa&1){aa=Rb()|0;ba=Q;Sqa($);ca=ba;da=aa;Qb(da|0)}Cka(c,f,g,0,118577);a:do if((k[g>>2]|0)>0){aa=0;b:while(1){switch(k[(k[f>>2]|0)+(aa<<2)>>2]|0){case 871:{k[i>>2]=0;k[j>>2]=0;k[l>>2]=0;k[m>>2]=0;Tka(c,i,h,118602);Vka(c,j,e,118625);Xka(c,l,m,0,e,118658);if((k[h>>2]|0)>0){ba=0;while(1){ea=Qqa(40)|0;B=0;ua(172,ea|0,k[(k[i>>2]|0)+(ba<<2)>>2]|0,k[(k[j>>2]|0)+(ba<<2)>>2]|0,k[(k[m>>2]|0)+(ba<<2)>>2]|0,k[(k[l>>2]|0)+(ba<<2)>>2]|0);fa=B;B=0;if(fa&1){ga=ea;ha=11;break b}ih($,ea)|0;ba=ba+1|0;ea=k[h>>2]|0;if((ba|0)>=(ea|0)){ia=ea;break}}ba=k[i>>2]|0;if((ia|0)>0){ea=ba;fa=0;while(1){ja=k[ea+(fa<<2)>>2]|0;if(ja)Tqa(ja);ja=k[(k[l>>2]|0)+(fa<<2)>>2]|0;if(ja)Tqa(ja);fa=fa+1|0;ja=k[i>>2]|0;if((fa|0)>=(k[h>>2]|0)){ka=ja;break}else ea=ja}}else ka=ba}else ka=k[i>>2]|0;if(ka)Tqa(ka);k[i>>2]=0;ea=k[l>>2]|0;if(ea)Tqa(ea);k[l>>2]=0;ea=k[m>>2]|0;if(ea)Tqa(ea);k[m>>2]=0;ea=k[j>>2]|0;if(ea)Tqa(ea);break}case 652:{k[o>>2]=0;k[q>>2]=0;k[s>>2]=0;k[t>>2]=0;k[u>>2]=0;k[v>>2]=0;k[w>>2]=0;k[x>>2]=0;k[y>>2]=0;k[z>>2]=0;k[A>>2]=0;k[C>>2]=0;k[D>>2]=0;Tka(c,o,n,118685);Vka(c,q,n,118700);Vka(c,s,n,118725);Xka(c,t,v,w,n,118746);Vka(c,u,n,118768);Tka(c,y,n,118795);Vka(c,x,n,118823);Xka(c,z,A,C,n,118839);Vka(c,D,n,118857);if((k[n>>2]|0)>0){ea=0;while(1){fa=Qqa(56)|0;B=0;Ka(12,fa|0,k[(k[o>>2]|0)+(ea<<2)>>2]|0,k[(k[q>>2]|0)+(ea<<2)>>2]|0,k[(k[s>>2]|0)+(ea<<2)>>2]|0,k[(k[u>>2]|0)+(ea<<2)>>2]|0,k[(k[y>>2]|0)+(ea<<2)>>2]|0,(k[(k[x>>2]|0)+(ea<<2)>>2]|0)!=0|0,k[(k[D>>2]|0)+(ea<<2)>>2]|0);ja=B;B=0;if(ja&1){la=fa;ha=32;break b}ih($,fa)|0;if((th(a)|0)>0){fa=0;do{ja=qh(a,fa)|0;Qp(ja,k[(k[t>>2]|0)+(ea<<2)>>2]|0,c,k[(k[v>>2]|0)+(ea<<2)>>2]|0,k[(k[w>>2]|0)+(ea<<2)>>2]|0,1,k[(k[u>>2]|0)+(ea<<2)>>2]|0,7);Qp(ja,k[(k[z>>2]|0)+(ea<<2)>>2]|0,c,k[(k[A>>2]|0)+(ea<<2)>>2]|0,k[(k[C>>2]|0)+(ea<<2)>>2]|0,1,k[(k[D>>2]|0)+(ea<<2)>>2]|0,7);fa=fa+1|0}while((fa|0)<(th(a)|0))}ea=ea+1|0;fa=k[n>>2]|0;if((ea|0)>=(fa|0)){ma=fa;break}}ea=k[o>>2]|0;if((ma|0)>0){ba=ea;fa=0;while(1){ja=k[ba+(fa<<2)>>2]|0;if(ja)Tqa(ja);ja=k[(k[y>>2]|0)+(fa<<2)>>2]|0;if(ja)Tqa(ja);ja=k[(k[t>>2]|0)+(fa<<2)>>2]|0;if(ja)Tqa(ja);ja=k[(k[z>>2]|0)+(fa<<2)>>2]|0;if(ja)Tqa(ja);fa=fa+1|0;ja=k[o>>2]|0;if((fa|0)>=(k[n>>2]|0)){na=ja;break}else ba=ja}}else na=ea}else na=k[o>>2]|0;if(na)Tqa(na);k[o>>2]=0;ba=k[s>>2]|0;if(ba)Tqa(ba);k[s>>2]=0;ba=k[q>>2]|0;if(ba)Tqa(ba);k[q>>2]=0;ba=k[t>>2]|0;if(ba)Tqa(ba);k[t>>2]=0;ba=k[u>>2]|0;if(ba)Tqa(ba);k[u>>2]=0;ba=k[v>>2]|0;if(ba)Tqa(ba);k[v>>2]=0;ba=k[w>>2]|0;if(ba)Tqa(ba);k[w>>2]=0;ba=k[x>>2]|0;if(ba)Tqa(ba);k[x>>2]=0;ba=k[y>>2]|0;if(ba)Tqa(ba);k[y>>2]=0;ba=k[z>>2]|0;if(ba)Tqa(ba);k[z>>2]=0;ba=k[A>>2]|0;if(ba)Tqa(ba);k[A>>2]=0;ba=k[C>>2]|0;if(ba)Tqa(ba);k[C>>2]=0;ba=k[D>>2]|0;if(ba)Tqa(ba);break}case 875:{k[F>>2]=0;k[G>>2]=0;k[H>>2]=0;k[I>>2]=0;Tka(c,F,E,118880);Vka(c,G,E,118899);Vka(c,H,E,118928);Vka(c,I,E,118953);if((k[E>>2]|0)>0){ba=0;while(1){fa=Qqa(24)|0;ja=k[(k[F>>2]|0)+(ba<<2)>>2]|0;oa=k[(k[G>>2]|0)+(ba<<2)>>2]|0;pa=k[(k[H>>2]|0)+(ba<<2)>>2]|0;qa=(k[(k[I>>2]|0)+(ba<<2)>>2]|0)+-1|0;k[fa>>2]=37224;k[fa+4>>2]=37276;k[fa+8>>2]=oa;oa=(Lta(ja)|0)+1|0;B=0;ra=ya(422,oa|0)|0;oa=B;B=0;if(oa&1){sa=fa;ha=79;break b}k[fa+12>>2]=ra;oa=(Lta(ja)|0)+1|0;if(!ja){ta=fa;ha=77;break b}if(oa)TEa(ra|0,ja|0,oa|0)|0;k[fa+16>>2]=pa;k[fa+20>>2]=qa;ih($,fa)|0;ba=ba+1|0;fa=k[E>>2]|0;if((ba|0)>=(fa|0)){xa=fa;break}}ba=k[F>>2]|0;if((xa|0)>0){ea=ba;fa=xa;qa=0;while(1){pa=k[ea+(qa<<2)>>2]|0;if(!pa){za=fa;Aa=ea}else{Tqa(pa);za=k[E>>2]|0;Aa=k[F>>2]|0}qa=qa+1|0;if((qa|0)>=(za|0)){Ba=Aa;break}else{ea=Aa;fa=za}}}else Ba=ba}else Ba=k[F>>2]|0;if(Ba)Tqa(Ba);k[F>>2]=0;fa=k[H>>2]|0;if(fa)Tqa(fa);k[H>>2]=0;fa=k[G>>2]|0;if(fa)Tqa(fa);k[G>>2]=0;fa=k[I>>2]|0;if(fa)Tqa(fa);break}case 597:{k[K>>2]=0;k[L>>2]=0;k[M>>2]=0;k[N>>2]=0;k[O>>2]=0;Tka(c,K,J,119107);Vka(c,L,J,119123);Xka(c,M,N,O,J,119149);if((k[J>>2]|0)>0){fa=0;while(1){ea=Qqa(24)|0;B=0;ua(173,ea|0,k[(k[K>>2]|0)+(fa<<2)>>2]|0,k[(k[L>>2]|0)+(fa<<2)>>2]|0,k[(k[M>>2]|0)+(fa<<2)>>2]|0,k[(k[N>>2]|0)+(fa<<2)>>2]|0);qa=B;B=0;if(qa&1){Ca=ea;ha=98;break b}ih($,ea)|0;fa=fa+1|0;ea=k[J>>2]|0;if((fa|0)>=(ea|0)){Da=ea;break}}fa=k[K>>2]|0;if((Da|0)>0){ba=fa;ea=0;while(1){qa=k[ba+(ea<<2)>>2]|0;if(qa)Tqa(qa);qa=k[(k[M>>2]|0)+(ea<<2)>>2]|0;if(qa)Tqa(qa);ea=ea+1|0;qa=k[K>>2]|0;if((ea|0)>=(k[J>>2]|0)){Ea=qa;break}else ba=qa}}else Ea=fa}else Ea=k[K>>2]|0;if(Ea)Tqa(Ea);k[K>>2]=0;ba=k[M>>2]|0;if(ba)Tqa(ba);k[M>>2]=0;ba=k[N>>2]|0;if(ba)Tqa(ba);k[N>>2]=0;ba=k[O>>2]|0;if(ba)Tqa(ba);k[O>>2]=0;ba=k[L>>2]|0;if(ba)Tqa(ba);break}case 601:{k[P>>2]=0;k[R>>2]=0;k[S>>2]=0;k[T>>2]=0;k[U>>2]=0;k[V>>2]=0;Tka(c,P,W,119169);Vka(c,R,W,119190);Tka(c,S,W,119221);Tka(c,T,W,119243);Wka(c,U,W,119265);Wka(c,V,W,119287);if((k[W>>2]|0)>0){ba=0;while(1){ea=Qqa(40)|0;B=0;Na(1,ea|0,k[(k[P>>2]|0)+(ba<<2)>>2]|0,k[(k[R>>2]|0)+(ba<<2)>>2]|0,k[(k[S>>2]|0)+(ba<<2)>>2]|0,k[(k[T>>2]|0)+(ba<<2)>>2]|0,+(+p[(k[U>>2]|0)+(ba<<3)>>3]),+(+p[(k[V>>2]|0)+(ba<<3)>>3]));qa=B;B=0;if(qa&1){Fa=ea;ha=120;break b}ih($,ea)|0;ba=ba+1|0;ea=k[W>>2]|0;if((ba|0)>=(ea|0)){Ga=ea;break}}ba=k[P>>2]|0;if((Ga|0)>0){fa=ba;ea=0;while(1){qa=k[fa+(ea<<2)>>2]|0;if(qa)Tqa(qa);qa=k[(k[S>>2]|0)+(ea<<2)>>2]|0;if(qa)Tqa(qa);qa=k[(k[T>>2]|0)+(ea<<2)>>2]|0;if(qa)Tqa(qa);ea=ea+1|0;qa=k[P>>2]|0;if((ea|0)>=(k[W>>2]|0)){Ha=qa;break}else fa=qa}}else Ha=ba}else Ha=k[P>>2]|0;if(Ha)Tqa(Ha);k[P>>2]=0;fa=k[S>>2]|0;if(fa)Tqa(fa);k[S>>2]=0;fa=k[T>>2]|0;if(fa)Tqa(fa);k[T>>2]=0;fa=k[R>>2]|0;if(fa)Tqa(fa);k[R>>2]=0;fa=k[U>>2]|0;if(fa)Tqa(fa);k[U>>2]=0;fa=k[V>>2]|0;if(fa)Tqa(fa);break}default:{Ja=aa;ha=141;break b}}aa=aa+1|0;if((aa|0)>=(k[g>>2]|0))break a}if((ha|0)==11){aa=Rb()|0;fa=Q;Sqa(ga);ca=fa;da=aa;Qb(da|0)}else if((ha|0)==32){aa=Rb()|0;fa=Q;Sqa(la);ca=fa;da=aa;Qb(da|0)}else if((ha|0)==77){B=0;ib(283,142353,118972,137,142345);B=0;aa=Rb()|0;La=ta;Ma=aa;Oa=Q}else if((ha|0)==79){aa=Rb()|0;La=sa;Ma=aa;Oa=Q}else if((ha|0)==98){aa=Rb()|0;fa=Q;Sqa(Ca);ca=fa;da=aa;Qb(da|0)}else if((ha|0)==120){aa=Rb()|0;fa=Q;Sqa(Fa);ca=fa;da=aa;Qb(da|0)}else if((ha|0)==141){aa=X+56|0;fa=X+4|0;k[X>>2]=27524;k[aa>>2]=27544;B=0;wa(508,X+56|0,fa|0);ea=B;B=0;if(ea&1){ea=Rb()|0;Pa=Q;Qa=ea;vva(aa);Qb(Qa|0)}k[X+128>>2]=0;k[X+132>>2]=-1;k[X>>2]=27468;k[aa>>2]=27488;B=0;va(448,fa|0);ea=B;B=0;do if(ea&1){qa=Rb()|0;Ra=Q;Sa=qa}else{k[fa>>2]=27560;qa=X+36|0;k[qa>>2]=0;k[qa+4>>2]=0;k[qa+8>>2]=0;k[qa+12>>2]=0;k[X+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,fa|0,e|0);pa=B;B=0;if(pa&1){pa=Rb()|0;oa=Q;Yua(e);Yua(qa);Ava(fa);Ra=oa;Sa=pa;break}Yua(e);B=0;pa=Ia(40,X|0,119308,23)|0;oa=B;B=0;c:do if(((!(oa&1)?(B=0,ja=Xa(242,pa|0,k[(k[f>>2]|0)+(Ja<<2)>>2]|0)|0,ra=B,B=0,!(ra&1)):0)?(B=0,ra=Ia(40,ja|0,119332,18)|0,ja=B,B=0,!(ja&1)):0)?(B=0,Xa(239,ra|0,0)|0,ra=B,B=0,!(ra&1)):0){ra=Ab(20)|0;B=0;eb(502,Y|0,119351,98);ja=B;B=0;do if(!(ja&1)){B=0;eb(502,Z|0,119450,23);Ta=B;B=0;if(Ta&1){Ta=Rb()|0;Ua=Q;Yua(Y);Va=Ua;Wa=Ta;break}B=0;wa(510,_|0,fa|0);Ta=B;B=0;if(Ta&1){Ta=Rb()|0;Ya=Q;Za=Ta;_a=1}else{B=0;ua(163,ra|0,Y|0,Z|0,234,_|0);Ta=B;B=0;if(Ta&1)$a=1;else{B=0;eb(503,ra|0,1240,229);B=0;$a=0}Ta=Rb()|0;Ua=Q;Yua(_);Ya=Ua;Za=Ta;_a=$a}Yua(Z);Yua(Y);if(_a){Va=Ya;Wa=Za}else{ab=Ya;bb=Za;break c}}else{Ta=Rb()|0;Va=Q;Wa=Ta}while(0);zb(ra|0);ab=Va;bb=Wa}else ha=158;while(0);if((ha|0)==158){pa=Rb()|0;ab=Q;bb=pa}k[X>>2]=27468;k[aa>>2]=27488;k[fa>>2]=27560;Yua(qa);Ava(fa);vva(aa);ca=ab;da=bb;Qb(da|0)}while(0);Pa=Ra;Qa=Sa;vva(aa);Qb(Qa|0)}Sqa(La);ca=Oa;da=Ma;Qb(da|0)}while(0);Ma=Qqa(12)|0;B=0;eb(521,Ma|0,769,$|0);Oa=B;B=0;if(Oa&1){Oa=Rb()|0;La=Q;Sqa(Ma);ca=La;da=Oa;Qb(da|0)}YN(b,Ma);jh($);Sqa($);$=k[f>>2]|0;if(!$){r=d;return}Tqa($);r=d;return}function j1(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;k[a>>2]=37544;k[a+4>>2]=37596;k[a+8>>2]=c;c=Rqa((Lta(b)|0)+1|0)|0;k[a+12>>2]=c;f=(Lta(b)|0)+1|0;if(!b)yb(142353,118972,137,142345);if(f)TEa(c|0,b|0,f|0)|0;f=a+16|0;k[f>>2]=d;if(!d)return;b=d>>>0>536870911?-1:d<<3;c=Rqa(b)|0;k[a+20>>2]=c;g=Rqa(b)|0;k[a+28>>2]=g;h=Rqa(b)|0;k[a+24>>2]=h;i=Rqa(b)|0;k[a+32>>2]=i;b=Rqa(d>>>0>1073741823?-1:d<<2)|0;k[a+36>>2]=b;if((d|0)<=0)return;d=k[f>>2]|0;f=0;do{a=f*5|0;p[c+(f<<3)>>3]=+p[e+(a<<3)>>3];p[h+(f<<3)>>3]=+p[e+(a+1<<3)>>3];p[g+(f<<3)>>3]=+p[e+(a+2<<3)>>3];p[i+(f<<3)>>3]=+p[e+(a+3<<3)>>3];k[b+(f<<2)>>2]=~~+p[e+(a+4<<3)>>3];f=f+1|0}while((f|0)<(d|0));return}function k1(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0;k[a>>2]=37464;k[a+4>>2]=37516;k[a+8>>2]=c;c=Rqa((Lta(b)|0)+1|0)|0;k[a+12>>2]=c;j=(Lta(b)|0)+1|0;if(!b)yb(142353,118972,137,142345);if(j)TEa(c|0,b|0,j|0)|0;j=Rqa((Lta(f)|0)+1|0)|0;k[a+28>>2]=j;b=(Lta(f)|0)+1|0;if(!f)yb(142353,118972,137,142345);if(b)TEa(j|0,f|0,b|0)|0;k[a+16>>2]=d;k[a+20>>2]=e;k[a+24>>2]=h;i[a+32>>0]=g&1;p[a+40>>3]=0.0;k[a+48>>2]=0;return}function l1(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;k[a>>2]=37384;k[a+4>>2]=37436;k[a+8>>2]=c;c=Rqa((Lta(b)|0)+1|0)|0;k[a+12>>2]=c;f=(Lta(b)|0)+1|0;if(!b)yb(142353,118972,137,142345);if(f)TEa(c|0,b|0,f|0)|0;f=Rqa(e>>>0>536870911?-1:e<<3)|0;k[a+16>>2]=f;if(!d)yb(142353,118972,137,142345);if(!e){g=a+20|0;k[g>>2]=e;return}TEa(f|0,d|0,e<<3|0)|0;g=a+20|0;k[g>>2]=e;return}function m1(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;var h=0,i=0,j=0;k[a>>2]=37304;k[a+4>>2]=37356;k[a+8>>2]=c;c=Rqa((Lta(b)|0)+1|0)|0;k[a+12>>2]=c;h=(Lta(b)|0)+1|0;if(!b)yb(142353,118972,137,142345);if(h)TEa(c|0,b|0,h|0)|0;h=Rqa((Lta(d)|0)+1|0)|0;k[a+16>>2]=h;b=(Lta(d)|0)+1|0;if(!d)yb(142353,118972,137,142345);if(b)TEa(h|0,d|0,b|0)|0;b=Rqa((Lta(e)|0)+1|0)|0;k[a+20>>2]=b;d=(Lta(e)|0)+1|0;if(!e)yb(142353,118972,137,142345);if(!d){i=a+24|0;p[i>>3]=f;j=a+32|0;p[j>>3]=g;return}TEa(b|0,e|0,d|0)|0;i=a+24|0;p[i>>3]=f;j=a+32|0;p[j>>3]=g;return}function n1(a){a=a|0;var b=0,c=0;k[a>>2]=37304;k[a+4>>2]=37356;b=a+12|0;c=k[b>>2]|0;if(c){Tqa(c);k[b>>2]=0}b=a+16|0;c=k[b>>2]|0;if(c){Tqa(c);k[b>>2]=0}b=a+20|0;a=k[b>>2]|0;if(!a)return;Tqa(a);k[b>>2]=0;return}function o1(a){a=a|0;var b=0,c=0;k[a>>2]=37304;k[a+4>>2]=37356;b=a+12|0;c=k[b>>2]|0;if(c){Tqa(c);k[b>>2]=0}b=a+16|0;c=k[b>>2]|0;if(c){Tqa(c);k[b>>2]=0}b=k[a+20>>2]|0;if(!b){Sqa(a);return}Tqa(b);Sqa(a);return}
function sd(a){a=a|0;var b=0;b=r;r=r+a|0;r=r+15&-16;return b|0}function td(){return r|0}function ud(a){a=a|0;r=a}function vd(a,b){a=a|0;b=b|0;r=a;s=b}function wd(a,b){a=a|0;b=b|0;if(!B){B=a;C=b}}function xd(a){a=a|0;i[t>>0]=i[a>>0];i[t+1>>0]=i[a+1>>0];i[t+2>>0]=i[a+2>>0];i[t+3>>0]=i[a+3>>0]}function yd(a){a=a|0;i[t>>0]=i[a>>0];i[t+1>>0]=i[a+1>>0];i[t+2>>0]=i[a+2>>0];i[t+3>>0]=i[a+3>>0];i[t+4>>0]=i[a+4>>0];i[t+5>>0]=i[a+5>>0];i[t+6>>0]=i[a+6>>0];i[t+7>>0]=i[a+7>>0]}function zd(a){a=a|0;Q=a}function Ad(){return Q|0}function Bd(a){a=a|0;var b=0,c=0;k[a>>2]=27468;b=a+56|0;k[b>>2]=27488;c=a+4|0;k[c>>2]=27560;Yua(a+36|0);Ava(c);vva(b);return}function Cd(a,b,c,d,e,f,g,h,i,j,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;l=l|0;m=+m;var n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;n=r;r=r+80|0;o=n+24|0;q=n+16|0;s=n+8|0;t=n;u=n+64|0;v=n+60|0;w=n+56|0;x=n+52|0;y=n+48|0;z=n+44|0;A=n+40|0;C=n+36|0;D=n+32|0;E=n+28|0;k[u>>2]=0;k[v>>2]=0;k[w>>2]=0;k[x>>2]=0;k[y>>2]=0;k[z>>2]=0;k[A>>2]=0;B=0;fb(3);F=B;B=0;if(((((((((!(F&1)?(B=0,ib(279,u|0,i|0,j|0,l|0),l=B,B=0,!(l&1)):0)?(B=0,ib(279,v|0,0,0,0),l=B,B=0,!(l&1)):0)?(B=0,ta(53,t|0,+m),l=B,B=0,!(l&1)):0)?(B=0,za(1,w|0,x|0,y|0,z|0,A|0,C|0,D|0,E|0,k[u>>2]|0,k[v>>2]|0,+(+p[t>>3])),t=B,B=0,!(t&1)):0)?(B=0,ua(161,a|0,d|0,k[w>>2]|0,k[C>>2]|0,3),C=B,B=0,!(C&1)):0)?(B=0,ib(280,b|0,e|0,k[x>>2]|0,k[D>>2]|0),b=B,B=0,!(b&1)):0)?(B=0,ib(280,c|0,e|0,k[y>>2]|0,k[D>>2]|0),D=B,B=0,!(D&1)):0)?(B=0,ua(161,f|0,h|0,k[z>>2]|0,k[E>>2]|0,3),f=B,B=0,!(f&1)):0)?(B=0,ib(281,g|0,h|0,k[A>>2]|0,k[E>>2]|0),E=B,B=0,!(E&1)):0){E=k[u>>2]|0;if(E){Ym(E);Sqa(E)}E=k[v>>2]|0;if(E){Ym(E);Sqa(E)}E=k[w>>2]|0;if(E)Tqa(E);k[w>>2]=0;w=k[x>>2]|0;if(w)Tqa(w);k[x>>2]=0;x=k[y>>2]|0;if(x)Tqa(x);k[y>>2]=0;y=k[z>>2]|0;if(y)Tqa(y);k[z>>2]=0;z=k[A>>2]|0;if(z)Tqa(z);k[A>>2]=0;r=n;return 0}A=Rb(1240,25216,0)|0;z=Q;if((z|0)!=(Kb(1240)|0)){y=(z|0)==(Kb(25216)|0);z=Nb(A|0)|0;if(y){mta(Hc[k[(k[z>>2]|0)+8>>2]&511](z)|0,q)|0;Pb();r=n;return 0}else{mta(55001,o)|0;Pb();r=n;return 0}}o=Nb(A|0)|0;B=0;A=ya(420,o|0)|0;o=B;B=0;if(!(o&1)){mta(A,s)|0;Pb();r=n;return 0}n=Rb()|0;B=0;fb(4);s=B;B=0;if(s&1){s=Rb(0)|0;Dd(s)}else Qb(n|0);return 0}function Dd(a){a=a|0;Nb(a|0)|0;Zqa()}function Ed(a){a=a|0;var b=0,c=0;b=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;k[b>>2]=27468;a=b+56|0;k[a>>2]=27488;c=b+4|0;k[c>>2]=27560;Yua(b+36|0);Ava(c);vva(a);return}function Fd(a){a=a|0;var b=0,c=0;k[a>>2]=27468;b=a+56|0;k[b>>2]=27488;c=a+4|0;k[c>>2]=27560;Yua(a+36|0);Ava(c);vva(b);Sqa(a);return}function Gd(a){a=a|0;var b=0,c=0;b=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;k[b>>2]=27468;a=b+56|0;k[a>>2]=27488;c=b+4|0;k[c>>2]=27560;Yua(b+36|0);Ava(c);vva(a);Sqa(b);return}function Hd(a){a=a|0;k[a>>2]=27560;Yua(a+32|0);Ava(a);return}function Id(a){a=a|0;k[a>>2]=27560;Yua(a+32|0);Ava(a);Sqa(a);return}function Jd(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=b+44|0;h=k[g>>2]|0;j=b+24|0;l=k[j>>2]|0;m=l;if(h>>>0<l>>>0){k[g>>2]=l;n=m}else n=h;h=f&24;if(!h){g=a;k[g>>2]=0;k[g+4>>2]=0;g=a+8|0;k[g>>2]=-1;k[g+4>>2]=-1;return}if((e|0)==1&(h|0)==24){h=a;k[h>>2]=0;k[h+4>>2]=0;h=a+8|0;k[h>>2]=-1;k[h+4>>2]=-1;return}a:do switch(e|0){case 0:{o=0;p=0;break}case 1:{if(!(f&8)){h=m-(k[b+20>>2]|0)|0;o=h;p=((h|0)<0)<<31>>31;break a}else{h=(k[b+12>>2]|0)-(k[b+8>>2]|0)|0;o=h;p=((h|0)<0)<<31>>31;break a}break}case 2:{h=b+32|0;if(!(i[h>>0]&1))q=h+1|0;else q=k[b+40>>2]|0;h=n-q|0;o=h;p=((h|0)<0)<<31>>31;break}default:{h=a;k[h>>2]=0;k[h+4>>2]=0;h=a+8|0;k[h>>2]=-1;k[h+4>>2]=-1;return}}while(0);q=QEa(o|0,p|0,c|0,d|0)|0;d=Q;if((d|0)>=0){c=b+32|0;if(!(i[c>>0]&1))r=c+1|0;else r=k[b+40>>2]|0;c=n-r|0;r=((c|0)<0)<<31>>31;if(!((r|0)<(d|0)|(r|0)==(d|0)&c>>>0<q>>>0)){c=f&8;if(!((q|0)==0&(d|0)==0)){if((c|0)!=0?(k[b+12>>2]|0)==0:0){r=a;k[r>>2]=0;k[r+4>>2]=0;r=a+8|0;k[r>>2]=-1;k[r+4>>2]=-1;return}if((f&16|0)!=0&(l|0)==0){l=a;k[l>>2]=0;k[l+4>>2]=0;l=a+8|0;k[l>>2]=-1;k[l+4>>2]=-1;return}}if(c){k[b+12>>2]=(k[b+8>>2]|0)+q;k[b+16>>2]=n}if(f&16)k[j>>2]=(k[b+20>>2]|0)+q;b=a;k[b>>2]=0;k[b+4>>2]=0;b=a+8|0;k[b>>2]=q;k[b+4>>2]=d;return}}d=a;k[d>>2]=0;k[d+4>>2]=0;d=a+8|0;k[d>>2]=-1;k[d+4>>2]=-1;return}function Kd(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=c+8|0;Uc[k[(k[b>>2]|0)+16>>2]&63](a,b,k[e>>2]|0,k[e+4>>2]|0,0,d);return}function Ld(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;b=a+44|0;c=k[b>>2]|0;d=k[a+24>>2]|0;if(c>>>0<d>>>0){k[b>>2]=d;e=d}else e=c;if(!(k[a+48>>2]&8)){f=-1;return f|0}c=a+16|0;d=k[c>>2]|0;b=k[a+12>>2]|0;if(d>>>0<e>>>0){k[c>>2]=e;g=e}else g=d;if(b>>>0>=g>>>0){f=-1;return f|0}f=l[b>>0]|0;return f|0}function Md(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;c=a+44|0;d=k[c>>2]|0;e=k[a+24>>2]|0;if(d>>>0<e>>>0){k[c>>2]=e;f=e}else f=d;d=f;f=a+8|0;e=k[f>>2]|0;c=a+12|0;g=k[c>>2]|0;h=e;if(e>>>0>=g>>>0){j=-1;return j|0}if((b|0)==-1){k[c>>2]=g+-1;k[a+16>>2]=d;j=0;return j|0}if(!(k[a+48>>2]&16)){e=b&255;l=g+-1|0;if(e<<24>>24==(i[l>>0]|0)){m=e;n=l}else{j=-1;return j|0}}else{m=b&255;n=g+-1|0}k[f>>2]=h;k[c>>2]=n;k[a+16>>2]=d;i[n>>0]=m;j=b;return j|0}function Nd(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;c=r;r=r+16|0;d=c;if((b|0)==-1){e=0;r=c;return e|0}f=a+12|0;g=a+8|0;h=(k[f>>2]|0)-(k[g>>2]|0)|0;j=a+24|0;l=k[j>>2]|0;m=a+28|0;n=k[m>>2]|0;do if((l|0)==(n|0)){o=a+48|0;if(!(k[o>>2]&16)){e=-1;r=c;return e|0}p=a+20|0;q=k[p>>2]|0;s=l-q|0;t=a+44|0;u=(k[t>>2]|0)-q|0;q=a+32|0;B=0;wa(503,q|0,0);v=B;B=0;if(!(v&1)){if(!(i[q>>0]&1))w=10;else w=(k[q>>2]&-2)+-1|0;B=0;eb(501,q|0,w|0,0);v=B;B=0;if(!(v&1)){v=i[q>>0]|0;if(!(v&1)){x=q+1|0;y=(v&255)>>>1}else{x=k[a+40>>2]|0;y=k[a+36>>2]|0}v=x+y|0;k[p>>2]=x;k[m>>2]=v;p=x+s|0;k[j>>2]=p;s=x+u|0;k[t>>2]=s;z=t;A=o;C=t;D=p;E=s;F=v;break}}v=Rb(0)|0;Nb(v|0)|0;Pb();e=-1;r=c;return e|0}else{v=a+44|0;z=v;A=a+48|0;C=v;D=l;E=k[v>>2]|0;F=n}while(0);n=D+1|0;k[d>>2]=n;l=k[(n>>>0<E>>>0?C:d)>>2]|0;k[z>>2]=l;if(k[A>>2]&8){A=a+32|0;if(!(i[A>>0]&1))G=A+1|0;else G=k[a+40>>2]|0;k[g>>2]=G;k[f>>2]=G+h;k[a+16>>2]=l}if((D|0)==(F|0)){e=ed[k[(k[a>>2]|0)+52>>2]&511](a,b&255)|0;r=c;return e|0}else{k[j>>2]=n;i[D>>0]=b;e=b&255;r=c;return e|0}return 0}function Od(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;c=a+32|0;Zua(c,b)|0;b=a+44|0;k[b>>2]=0;d=a+48|0;e=k[d>>2]|0;if(e&8){f=i[c>>0]|0;if(!(f&1)){g=((f&255)>>>1)+(c+1)|0;k[b>>2]=g;h=g;j=c+1|0;l=c+1|0}else{g=k[a+40>>2]|0;f=g+(k[a+36>>2]|0)|0;k[b>>2]=f;h=f;j=g;l=g}k[a+8>>2]=j;k[a+12>>2]=l;k[a+16>>2]=h}if(!(e&16))return;e=i[c>>0]|0;if(!(e&1)){h=(e&255)>>>1;k[b>>2]=c+1+h;m=10;n=h}else{h=k[a+36>>2]|0;k[b>>2]=(k[a+40>>2]|0)+h;m=(k[c>>2]&-2)+-1|0;n=h}ava(c,m,0);m=i[c>>0]|0;if(!(m&1)){o=c+1|0;p=(m&255)>>>1;q=c+1|0}else{c=k[a+40>>2]|0;o=c;p=k[a+36>>2]|0;q=c}c=a+24|0;k[c>>2]=q;k[a+20>>2]=q;k[a+28>>2]=o+p;if(!(k[d>>2]&3))return;k[c>>2]=q+n;return}function Pd(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;d=r;r=r+16|0;e=d+12|0;f=d;g=d+8|0;B=0;wa(504,f|0,a|0);h=B;B=0;a:do if(h&1){j=Rb(0)|0;l=j;m=a;n=a}else{do if(i[f>>0]|0){j=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;k[g>>2]=k[j+24>>2];o=k[j+4>>2]|0;p=b+c|0;q=j+76|0;s=k[q>>2]|0;do if((s|0)==-1){B=0;t=ya(421,j|0)|0;u=B;B=0;if(u&1)v=13;else{k[e>>2]=t;B=0;t=Xa(238,e|0,49320)|0;u=B;B=0;if(!(u&1)?(B=0,u=Xa(k[(k[t>>2]|0)+28>>2]|0,t|0,32)|0,t=B,B=0,!(t&1)):0){ZAa(e);t=u<<24>>24;k[q>>2]=t;w=t;v=9;break}t=Rb(0)|0;ZAa(e);x=t}}else{w=s;v=9}while(0);if((v|0)==9){B=0;k[e>>2]=k[g>>2];s=xa(39,e|0,b|0,((o&176|0)==32?p:b)|0,p|0,j|0,w&255|0)|0;q=B;B=0;if(!(q&1)){if(s)break;s=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;B=0;wa(505,s|0,k[s+16>>2]|5|0);s=B;B=0;if(!(s&1))break;else v=13}else v=13}if((v|0)==13){s=Rb(0)|0;x=s}twa(f);l=x;m=a;n=a;break a}while(0);twa(f);r=d;return a|0}while(0);Nb(l|0)|0;B=0;va(447,m+(k[(k[n>>2]|0)+-12>>2]|0)|0);n=B;B=0;if(!(n&1)){Pb();r=d;return a|0}a=Rb()|0;B=0;fb(4);d=B;B=0;if(d&1){d=Rb(0)|0;Dd(d)}else Qb(a|0);return 0}function Qd(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;g=r;r=r+16|0;h=g;j=k[a>>2]|0;if(!j){l=0;r=g;return l|0}m=d;d=b;n=m-d|0;o=e+12|0;e=k[o>>2]|0;p=(e|0)>(n|0)?e-n|0:0;n=c;e=n-d|0;if((e|0)>0?(Rc[k[(k[j>>2]|0)+48>>2]&63](j,b,e)|0)!=(e|0):0){k[a>>2]=0;l=0;r=g;return l|0}do if((p|0)>0){Xua(h,p,f);B=0;e=Ia(k[(k[j>>2]|0)+48>>2]|0,j|0,((i[h>>0]&1)==0?h+1|0:k[h+8>>2]|0)|0,p|0)|0;b=B;B=0;if(b&1){b=Rb()|0;Yua(h);Qb(b|0)}if((e|0)==(p|0)){Yua(h);break}k[a>>2]=0;Yua(h);l=0;r=g;return l|0}while(0);h=m-n|0;if((h|0)>0?(Rc[k[(k[j>>2]|0)+48>>2]&63](j,c,h)|0)!=(h|0):0){k[a>>2]=0;l=0;r=g;return l|0}k[o>>2]=0;l=j;r=g;return l|0}function Rd(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;c=k[b+48>>2]|0;if(c&16){d=b+44|0;e=k[d>>2]|0;f=k[b+24>>2]|0;if(e>>>0<f>>>0){k[d>>2]=f;g=f}else g=e;e=k[b+20>>2]|0;f=g-e|0;if(f>>>0>4294967279)Nqa(a);if(f>>>0<11){i[a>>0]=f<<1;h=a+1|0}else{d=f+16&-16;j=Qqa(d)|0;k[a+8>>2]=j;k[a>>2]=d|1;k[a+4>>2]=f;h=j}if((e|0)==(g|0))l=h;else{j=e;e=h;while(1){i[e>>0]=i[j>>0]|0;j=j+1|0;if((j|0)==(g|0))break;else e=e+1|0}l=h+f|0}i[l>>0]=0;return}if(!(c&8)){k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;return}c=k[b+8>>2]|0;l=k[b+16>>2]|0;b=l-c|0;if(b>>>0>4294967279)Nqa(a);if(b>>>0<11){i[a>>0]=b<<1;m=a+1|0}else{f=b+16&-16;h=Qqa(f)|0;k[a+8>>2]=h;k[a>>2]=f|1;k[a+4>>2]=b;m=h}if((c|0)==(l|0))n=m;else{h=c;c=m;while(1){i[c>>0]=i[h>>0]|0;h=h+1|0;if((h|0)==(l|0))break;else c=c+1|0}n=m+b|0}i[n>>0]=0;return}function Sd(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;g=r;r=r+48|0;h=g+16|0;i=g+8|0;j=g;l=g+36|0;m=g+32|0;n=g+28|0;o=g+24|0;p=g+20|0;k[l>>2]=0;k[o>>2]=0;B=0;fb(3);q=B;B=0;if((((!(q&1)?(B=0,La(25,l|0,m|0,0,d|0,e|0,3),e=B,B=0,!(e&1)):0)?(B=0,wa(506,n|0,f|0),f=B,B=0,!(f&1)):0)?(B=0,ua(162,o|0,p|0,k[l>>2]|0,k[m>>2]|0,k[n>>2]|0),m=B,B=0,!(m&1)):0)?(B=0,La(26,a|0,b|0,c|0,k[o>>2]|0,k[n>>2]|0,k[p>>2]|0),p=B,B=0,!(p&1)):0){p=k[l>>2]|0;if(p)Tqa(p);k[l>>2]=0;l=k[o>>2]|0;if(l)Tqa(l);k[o>>2]=0;r=g;return 0}o=Rb(1240,25216,0)|0;l=Q;if((l|0)!=(Kb(1240)|0)){p=(l|0)==(Kb(25216)|0);l=Nb(o|0)|0;if(p){mta(Hc[k[(k[l>>2]|0)+8>>2]&511](l)|0,i)|0;Pb();r=g;return 0}else{mta(55001,h)|0;Pb();r=g;return 0}}h=Nb(o|0)|0;B=0;o=ya(420,h|0)|0;h=B;B=0;if(!(h&1)){mta(o,j)|0;Pb();r=g;return 0}g=Rb()|0;B=0;fb(4);j=B;B=0;if(j&1){j=Rb(0)|0;Dd(j)}else Qb(g|0);return 0}function Td(a,b,c,d,e,f,g,h,i,j,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;l=l|0;m=+m;var n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0;n=r;r=r+256|0;o=n+16|0;p=n+8|0;q=n;s=n+232|0;t=n+228|0;u=n+224|0;v=n+220|0;w=n+216|0;x=n+212|0;y=n+208|0;z=n+204|0;A=n+200|0;C=n+196|0;D=n+192|0;E=n+56|0;F=n+44|0;G=n+32|0;H=n+20|0;k[w>>2]=0;k[x>>2]=0;k[y>>2]=0;k[z>>2]=0;k[A>>2]=0;k[C>>2]=0;k[D>>2]=0;B=0;fb(3);I=B;B=0;a:do if(((((((!(I&1)?(B=0,La(27,w|0,u|0,0,c|0,i|0,3),J=B,B=0,!(J&1)):0)?(B=0,La(27,x|0,v|0,0,d|0,j|0,1),J=B,B=0,!(J&1)):0)?(B=0,La(27,y|0,0,0,e|0,j|0,1),J=B,B=0,!(J&1)):0)?(B=0,wa(506,t|0,~~m|0),J=B,B=0,!(J&1)):0)?(B=0,ib(279,A|0,f|0,g|0,l|0),J=B,B=0,!(J&1)):0)?(B=0,wa(507,z|0,h|0),J=B,B=0,!(J&1)):0)?(B=0,Ra(1,C|0,D|0,k[w>>2]|0,k[x>>2]|0,k[y>>2]|0,k[A>>2]|0,k[z>>2]|0,k[u>>2]|0,k[v>>2]|0,k[t>>2]|0)|0,J=B,B=0,!(J&1)):0){J=k[z>>2]|0;do if(!(Ita(J,53867)|0)){B=0;ib(280,a|0,0,k[C>>2]|0,k[v>>2]|0);K=B;B=0;if(K&1){L=12;break a}B=0;K=B;B=0;if(K&1){L=12;break a}}else{if(!(Ita(J,64911)|0)){B=0;ib(280,a|0,0,k[D>>2]|0,k[u>>2]|0);K=B;B=0;if(K&1){L=12;break a}B=0;K=B;B=0;if(K&1){L=12;break a}else break}if(!(Ita(J,64919)|0)){B=0;ib(280,a|0,0,k[C>>2]|0,k[v>>2]|0);K=B;B=0;if(K&1){L=12;break a}B=0;ib(280,b|0,0,k[D>>2]|0,k[u>>2]|0);K=B;B=0;if(K&1){L=12;break a}else break}K=E+56|0;M=E+4|0;k[E>>2]=27524;k[K>>2]=27544;B=0;wa(508,E+56|0,M|0);N=B;B=0;if(N&1){N=Rb(1240,25216,0)|0;O=Q;P=N}else{k[E+128>>2]=0;k[E+132>>2]=-1;k[E>>2]=27468;k[K>>2]=27488;B=0;va(448,M|0);N=B;B=0;do if(N&1){R=Rb(1240,25216,0)|0;S=Q;T=R}else{k[M>>2]=27560;R=E+36|0;k[R>>2]=0;k[R+4>>2]=0;k[R+8>>2]=0;k[R+12>>2]=0;k[E+52>>2]=16;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;B=0;wa(509,M|0,s|0);U=B;B=0;if(U&1){U=Rb(1240,25216,0)|0;V=Q;Yua(s);Yua(R);Ava(M);S=V;T=U;break}Yua(s);B=0;U=Ia(40,E|0,53872,24)|0;V=B;B=0;b:do if(V&1)L=35;else{B=0;Xa(239,U|0,0)|0;W=B;B=0;if(W&1){L=35;break}W=Ab(20)|0;B=0;eb(502,F|0,53897,97);X=B;B=0;do if(!(X&1)){B=0;eb(502,G|0,53995,19);Y=B;B=0;if(Y&1){Y=Rb(1240,25216,0)|0;Z=Q;Yua(F);_=Y;$=Z;break}B=0;wa(510,H|0,M|0);Z=B;B=0;if(Z&1){Z=Rb(1240,25216,0)|0;aa=Z;ba=Q;ca=1}else{B=0;ua(163,W|0,F|0,G|0,84,H|0);Z=B;B=0;if(Z&1)da=1;else{B=0;eb(503,W|0,1240,229);B=0;da=0}Z=Rb(1240,25216,0)|0;Y=Q;Yua(H);aa=Z;ba=Y;ca=da}Yua(G);Yua(F);if(ca){_=aa;$=ba}else{ea=aa;fa=ba;break b}}else{Y=Rb(1240,25216,0)|0;_=Y;$=Q}while(0);zb(W|0);ea=_;fa=$}while(0);if((L|0)==35){U=Rb(1240,25216,0)|0;ea=U;fa=Q}k[E>>2]=27468;k[K>>2]=27488;k[M>>2]=27560;Yua(R);Ava(M);vva(K);ga=ea;ha=fa;break a}while(0);O=S;P=T}vva(K);ia=O;ja=P;L=13;break a}while(0);J=k[w>>2]|0;if(J)Tqa(J);k[w>>2]=0;J=k[x>>2]|0;if(J)Tqa(J);k[x>>2]=0;J=k[y>>2]|0;if(J)Tqa(J);k[y>>2]=0;J=k[z>>2]|0;if(J)Tqa(J);k[z>>2]=0;J=k[A>>2]|0;if(J){Ym(J);Sqa(J)}J=k[C>>2]|0;if(J)Tqa(J);k[C>>2]=0;J=k[D>>2]|0;if(J)Tqa(J);k[D>>2]=0;r=n;return 0}else L=12;while(0);if((L|0)==12){D=Rb(1240,25216,0)|0;ia=Q;ja=D;L=13}if((L|0)==13){ga=ja;ha=ia}if((ha|0)!=(Kb(1240)|0)){ia=(ha|0)==(Kb(25216)|0);ha=Nb(ga|0)|0;if(ia){mta(Hc[k[(k[ha>>2]|0)+8>>2]&511](ha)|0,p)|0;Pb();r=n;return 0}else{mta(55001,o)|0;Pb();r=n;return 0}}o=Nb(ga|0)|0;B=0;ga=ya(420,o|0)|0;o=B;B=0;if(!(o&1)){mta(ga,q)|0;Pb();r=n;return 0}n=Rb()|0;B=0;fb(4);q=B;B=0;if(q&1){q=Rb(0)|0;Dd(q)}else Qb(n|0);return 0}function Ud(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;g=r;r=r+48|0;h=g+16|0;i=g+8|0;j=g;l=g+40|0;m=g+36|0;n=g+32|0;o=g+28|0;p=g+24|0;q=g+20|0;k[l>>2]=0;k[m>>2]=0;k[q>>2]=0;B=0;fb(3);s=B;B=0;if((((!(s&1)?(B=0,La(25,l|0,n|0,0,b|0,d|0,3),d=B,B=0,!(d&1)):0)?(B=0,La(25,m|0,o|0,p|0,c|0,e|0,f|0),f=B,B=0,!(f&1)):0)?(B=0,La(28,q|0,k[l>>2]|0,k[n>>2]|0,k[m>>2]|0,k[o>>2]|0,k[p>>2]|0),p=B,B=0,!(p&1)):0)?(B=0,La(26,a|0,0,0,k[q>>2]|0,k[n>>2]|0,3),n=B,B=0,!(n&1)):0){n=k[l>>2]|0;if(n)Tqa(n);k[l>>2]=0;l=k[m>>2]|0;if(l)Tqa(l);k[m>>2]=0;m=k[q>>2]|0;if(m)Tqa(m);k[q>>2]=0;r=g;return 0}q=Rb(1240,25216,0)|0;m=Q;if((m|0)!=(Kb(1240)|0)){l=(m|0)==(Kb(25216)|0);m=Nb(q|0)|0;if(l){mta(Hc[k[(k[m>>2]|0)+8>>2]&511](m)|0,i)|0;Pb();r=g;return 0}else{mta(55001,h)|0;Pb();r=g;return 0}}h=Nb(q|0)|0;B=0;q=ya(420,h|0)|0;h=B;B=0;if(!(h&1)){mta(q,j)|0;Pb();r=g;return 0}g=Rb()|0;B=0;fb(4);j=B;B=0;if(j&1){j=Rb(0)|0;Dd(j)}else Qb(g|0);return 0}function Vd(a,b,c,d,e,f,g,h,i,j,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;l=+l;var m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,bb=0,cb=0,db=0,gb=0,hb=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Lb=0,Mb=0,Ob=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0;m=r;r=r+1200|0;n=m+16|0;o=m+8|0;p=m;q=m+1188|0;s=m+1176|0;t=m+1164|0;u=m+1152|0;v=m+1140|0;w=m+1128|0;x=m+1124|0;y=m+1120|0;z=m+1116|0;A=m+1112|0;C=m+1108|0;D=m+1104|0;E=m+1100|0;F=m+1096|0;G=m+1092|0;H=m+1088|0;I=m+1084|0;J=m+1080|0;K=m+1076|0;L=m+1072|0;M=m+936|0;N=m+920|0;O=m+768|0;P=m+480|0;R=m+784|0;S=m+328|0;T=m+176|0;U=m+164|0;V=m+632|0;W=m+152|0;X=m+140|0;Y=m+128|0;Z=m+496|0;_=m+116|0;$=m+104|0;aa=m+92|0;ba=m+344|0;ca=m+80|0;da=m+68|0;ea=m+56|0;fa=m+192|0;ga=m+44|0;ha=m+32|0;ia=m+20|0;k[x>>2]=0;k[y>>2]=0;k[z>>2]=0;k[A>>2]=0;k[G>>2]=0;k[H>>2]=0;k[J>>2]=0;k[K>>2]=0;B=0;fb(3);ja=B;B=0;a:do if(!(ja&1)?(B=0,La(25,x|0,D|0,L|0,b|0,h|0,3),ka=B,B=0,!(ka&1)):0){if((k[L>>2]|0)!=3){ka=M+56|0;la=M+4|0;k[M>>2]=27524;k[ka>>2]=27544;B=0;wa(508,M+56|0,la|0);na=B;B=0;if(na&1){na=Rb(1240,25216,0)|0;oa=Q;pa=na}else{k[M+128>>2]=0;k[M+132>>2]=-1;k[M>>2]=27468;k[ka>>2]=27488;B=0;va(448,la|0);na=B;B=0;do if(na&1){qa=Rb(1240,25216,0)|0;ra=Q;sa=qa}else{k[la>>2]=27560;qa=M+36|0;k[qa>>2]=0;k[qa+4>>2]=0;k[qa+8>>2]=0;k[qa+12>>2]=0;k[M+52>>2]=16;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;B=0;wa(509,la|0,w|0);ta=B;B=0;if(ta&1){ta=Rb(1240,25216,0)|0;xa=Q;Yua(w);Yua(qa);Ava(la);ra=xa;sa=ta;break}Yua(w);B=0;ta=Ia(40,M|0,54015,27)|0;xa=B;B=0;b:do if(!(xa&1)?(B=0,Xa(239,ta|0,0)|0,za=B,B=0,!(za&1)):0){za=Ab(20)|0;B=0;eb(502,N|0,54043,115);Aa=B;B=0;do if(!(Aa&1)){B=0;eb(502,O|0,54159,28);Ca=B;B=0;if(Ca&1){Ca=Rb(1240,25216,0)|0;Da=Q;Yua(N);Ea=Da;Fa=Ca;break}B=0;wa(510,P|0,la|0);Ca=B;B=0;if(Ca&1){Ca=Rb(1240,25216,0)|0;Ga=Ca;Ha=Q;Ja=1}else{B=0;ua(163,za|0,N|0,O|0,63,P|0);Ca=B;B=0;if(Ca&1)Ka=1;else{B=0;eb(503,za|0,1240,229);B=0;Ka=0}Ca=Rb(1240,25216,0)|0;Da=Q;Yua(P);Ga=Ca;Ha=Da;Ja=Ka}Yua(O);Yua(N);if(Ja){Ea=Ha;Fa=Ga}else{Ma=Ga;Na=Ha;break b}}else{Da=Rb(1240,25216,0)|0;Ea=Q;Fa=Da}while(0);zb(za|0);Ma=Fa;Na=Ea}else Oa=21;while(0);if((Oa|0)==21){ta=Rb(1240,25216,0)|0;Ma=ta;Na=Q}k[M>>2]=27468;k[ka>>2]=27488;k[la>>2]=27560;Yua(qa);Ava(la);vva(ka);Pa=Ma;Qa=Na;break a}while(0);oa=ra;pa=sa}vva(ka);Ra=oa;Sa=pa;Oa=20;break}B=0;ib(282,y|0,C|0,c|0,i|0);la=B;B=0;if(!(la&1)){if((k[C>>2]|0)<3){la=R+56|0;na=R+4|0;k[R>>2]=27524;k[la>>2]=27544;B=0;wa(508,R+56|0,na|0);ta=B;B=0;if(ta&1){ta=Rb(1240,25216,0)|0;Ta=Q;Ua=ta}else{k[R+128>>2]=0;k[R+132>>2]=-1;k[R>>2]=27468;k[la>>2]=27488;B=0;va(448,na|0);ta=B;B=0;do if(ta&1){xa=Rb(1240,25216,0)|0;Va=Q;Wa=xa}else{k[na>>2]=27560;xa=R+36|0;k[xa>>2]=0;k[xa+4>>2]=0;k[xa+8>>2]=0;k[xa+12>>2]=0;k[R+52>>2]=16;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;B=0;wa(509,na|0,v|0);Aa=B;B=0;if(Aa&1){Aa=Rb(1240,25216,0)|0;Da=Q;Yua(v);Yua(xa);Ava(na);Va=Da;Wa=Aa;break}Yua(v);B=0;Aa=Ia(40,R|0,54188,37)|0;Da=B;B=0;c:do if(!(Da&1)?(B=0,Xa(239,Aa|0,0)|0,Ca=B,B=0,!(Ca&1)):0){Ca=Ab(20)|0;B=0;eb(502,S|0,54043,115);Ya=B;B=0;do if(!(Ya&1)){B=0;eb(502,T|0,54159,28);Za=B;B=0;if(Za&1){Za=Rb(1240,25216,0)|0;_a=Q;Yua(S);$a=Za;bb=_a;break}B=0;wa(510,U|0,na|0);_a=B;B=0;if(_a&1){_a=Rb(1240,25216,0)|0;cb=1;db=_a;gb=Q}else{B=0;ua(163,Ca|0,S|0,T|0,64,U|0);_a=B;B=0;if(_a&1)hb=1;else{B=0;eb(503,Ca|0,1240,229);B=0;hb=0}_a=Rb(1240,25216,0)|0;Za=Q;Yua(U);cb=hb;db=_a;gb=Za}Yua(T);Yua(S);if(cb){$a=db;bb=gb}else{jb=db;kb=gb;break c}}else{Za=Rb(1240,25216,0)|0;$a=Za;bb=Q}while(0);zb(Ca|0);jb=$a;kb=bb}else Oa=46;while(0);if((Oa|0)==46){Aa=Rb(1240,25216,0)|0;jb=Aa;kb=Q}k[R>>2]=27468;k[la>>2]=27488;k[na>>2]=27560;Yua(xa);Ava(na);vva(la);Pa=jb;Qa=kb;break a}while(0);Ta=Va;Ua=Wa}vva(la);Ra=Ta;Sa=Ua;Oa=20;break}B=0;ib(282,z|0,L|0,d|0,i|0);na=B;B=0;if(!(na&1)){if((k[L>>2]|0)!=(k[C>>2]|0)){na=V+56|0;ta=V+4|0;k[V>>2]=27524;k[na>>2]=27544;B=0;wa(508,V+56|0,ta|0);ka=B;B=0;if(ka&1){ka=Rb(1240,25216,0)|0;lb=Q;mb=ka}else{k[V+128>>2]=0;k[V+132>>2]=-1;k[V>>2]=27468;k[na>>2]=27488;B=0;va(448,ta|0);ka=B;B=0;do if(ka&1){Aa=Rb(1240,25216,0)|0;nb=Q;ob=Aa}else{k[ta>>2]=27560;Aa=V+36|0;k[Aa>>2]=0;k[Aa+4>>2]=0;k[Aa+8>>2]=0;k[Aa+12>>2]=0;k[V+52>>2]=16;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;B=0;wa(509,ta|0,u|0);Da=B;B=0;if(Da&1){Da=Rb(1240,25216,0)|0;qa=Q;Yua(u);Yua(Aa);Ava(ta);nb=qa;ob=Da;break}Yua(u);B=0;Da=Ia(40,V|0,54226,43)|0;qa=B;B=0;d:do if(!(qa&1)?(B=0,Xa(239,Da|0,0)|0,Ya=B,B=0,!(Ya&1)):0){Ya=Ab(20)|0;B=0;eb(502,W|0,54043,115);za=B;B=0;do if(!(za&1)){B=0;eb(502,X|0,54159,28);Za=B;B=0;if(Za&1){Za=Rb(1240,25216,0)|0;_a=Q;Yua(W);pb=Za;qb=_a;break}B=0;wa(510,Y|0,ta|0);_a=B;B=0;if(_a&1){_a=Rb(1240,25216,0)|0;rb=1;sb=_a;tb=Q}else{B=0;ua(163,Ya|0,W|0,X|0,65,Y|0);_a=B;B=0;if(_a&1)ub=1;else{B=0;eb(503,Ya|0,1240,229);B=0;ub=0}_a=Rb(1240,25216,0)|0;Za=Q;Yua(Y);rb=ub;sb=_a;tb=Za}Yua(X);Yua(W);if(rb){pb=sb;qb=tb}else{vb=sb;wb=tb;break d}}else{Za=Rb(1240,25216,0)|0;pb=Za;qb=Q}while(0);zb(Ya|0);vb=pb;wb=qb}else Oa=71;while(0);if((Oa|0)==71){Da=Rb(1240,25216,0)|0;vb=Da;wb=Q}k[V>>2]=27468;k[na>>2]=27488;k[ta>>2]=27560;Yua(Aa);Ava(ta);vva(na);Pa=vb;Qa=wb;break a}while(0);lb=nb;mb=ob}vva(na);Ra=lb;Sa=mb;Oa=20;break}B=0;La(27,A|0,E|0,F|0,e|0,i|0,1);ta=B;B=0;if(!(ta&1)){if((ma(k[F>>2]|0,k[E>>2]|0)|0)<1){ta=Z+56|0;ka=Z+4|0;k[Z>>2]=27524;k[ta>>2]=27544;B=0;wa(508,Z+56|0,ka|0);la=B;B=0;if(la&1){la=Rb(1240,25216,0)|0;xb=Q;yb=la}else{k[Z+128>>2]=0;k[Z+132>>2]=-1;k[Z>>2]=27468;k[ta>>2]=27488;B=0;va(448,ka|0);la=B;B=0;do if(la&1){Da=Rb(1240,25216,0)|0;Bb=Q;Cb=Da}else{k[ka>>2]=27560;Da=Z+36|0;k[Da>>2]=0;k[Da+4>>2]=0;k[Da+8>>2]=0;k[Da+12>>2]=0;k[Z+52>>2]=16;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;B=0;wa(509,ka|0,t|0);qa=B;B=0;if(qa&1){qa=Rb(1240,25216,0)|0;xa=Q;Yua(t);Yua(Da);Ava(ka);Bb=xa;Cb=qa;break}Yua(t);B=0;qa=Ia(40,Z|0,54270,13)|0;xa=B;B=0;e:do if(!(xa&1)?(B=0,Xa(239,qa|0,0)|0,za=B,B=0,!(za&1)):0){za=Ab(20)|0;B=0;eb(502,_|0,54043,115);Ca=B;B=0;do if(!(Ca&1)){B=0;eb(502,$|0,54159,28);Za=B;B=0;if(Za&1){Za=Rb(1240,25216,0)|0;_a=Q;Yua(_);Db=Za;Eb=_a;break}B=0;wa(510,aa|0,ka|0);_a=B;B=0;if(_a&1){_a=Rb(1240,25216,0)|0;Fb=_a;Gb=Q;Hb=1}else{B=0;ua(163,za|0,_|0,$|0,66,aa|0);_a=B;B=0;if(_a&1)Ib=1;else{B=0;eb(503,za|0,1240,229);B=0;Ib=0}_a=Rb(1240,25216,0)|0;Za=Q;Yua(aa);Fb=_a;Gb=Za;Hb=Ib}Yua($);Yua(_);if(Hb){Db=Fb;Eb=Gb}else{Jb=Fb;Lb=Gb;break e}}else{Za=Rb(1240,25216,0)|0;Db=Za;Eb=Q}while(0);zb(za|0);Jb=Db;Lb=Eb}else Oa=96;while(0);if((Oa|0)==96){qa=Rb(1240,25216,0)|0;Jb=qa;Lb=Q}k[Z>>2]=27468;k[ta>>2]=27488;k[ka>>2]=27560;Yua(Da);Ava(ka);vva(ta);Pa=Jb;Qa=Lb;break a}while(0);xb=Bb;yb=Cb}vva(ta);Ra=xb;Sa=yb;Oa=20;break}B=0;ib(282,G|0,I|0,f|0,j|0);ka=B;B=0;if(!(ka&1)){if((k[I>>2]|0)<1){ka=ba+56|0;la=ba+4|0;k[ba>>2]=27524;k[ka>>2]=27544;B=0;wa(508,ba+56|0,la|0);na=B;B=0;if(na&1){na=Rb(1240,25216,0)|0;Mb=Q;Ob=na}else{k[ba+128>>2]=0;k[ba+132>>2]=-1;k[ba>>2]=27468;k[ka>>2]=27488;B=0;va(448,la|0);na=B;B=0;do if(na&1){qa=Rb(1240,25216,0)|0;Sb=Q;Tb=qa}else{k[la>>2]=27560;qa=ba+36|0;k[qa>>2]=0;k[qa+4>>2]=0;k[qa+8>>2]=0;k[qa+12>>2]=0;k[ba+52>>2]=16;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;B=0;wa(509,la|0,s|0);xa=B;B=0;if(xa&1){xa=Rb(1240,25216,0)|0;Aa=Q;Yua(s);Yua(qa);Ava(la);Sb=Aa;Tb=xa;break}Yua(s);B=0;xa=Ia(40,ba|0,54284,26)|0;Aa=B;B=0;f:do if(Aa&1)Oa=121;else{B=0;Xa(239,xa|0,0)|0;Ca=B;B=0;if(Ca&1){Oa=121;break}Ca=Ab(20)|0;B=0;eb(502,ca|0,54043,115);Ya=B;B=0;do if(!(Ya&1)){B=0;eb(502,da|0,54159,28);Za=B;B=0;if(Za&1){Za=Rb(1240,25216,0)|0;_a=Q;Yua(ca);Ub=Za;Vb=_a;break}B=0;wa(510,ea|0,la|0);_a=B;B=0;if(_a&1){_a=Rb(1240,25216,0)|0;Wb=1;Xb=_a;Yb=Q}else{B=0;ua(163,Ca|0,ca|0,da|0,67,ea|0);_a=B;B=0;if(_a&1)Zb=1;else{B=0;eb(503,Ca|0,1240,229);B=0;Zb=0}_a=Rb(1240,25216,0)|0;Za=Q;Yua(ea);Wb=Zb;Xb=_a;Yb=Za}Yua(da);Yua(ca);if(Wb){Ub=Xb;Vb=Yb}else{_b=Xb;$b=Yb;break f}}else{Za=Rb(1240,25216,0)|0;Ub=Za;Vb=Q}while(0);zb(Ca|0);_b=Ub;$b=Vb}while(0);if((Oa|0)==121){xa=Rb(1240,25216,0)|0;_b=xa;$b=Q}k[ba>>2]=27468;k[ka>>2]=27488;k[la>>2]=27560;Yua(qa);Ava(la);vva(ka);Pa=_b;Qa=$b;break a}while(0);Mb=Sb;Ob=Tb}vva(ka);Ra=Mb;Sa=Ob;Oa=20;break}B=0;ib(282,H|0,L|0,g|0,j|0);la=B;B=0;if(!(la&1)){if((k[L>>2]|0)==(k[I>>2]|0)){B=0;ab(16,J|0,6,6,54369,+l);la=B;B=0;if(la&1){Oa=19;break}B=0;Ba(1,K|0,k[x>>2]|0,k[y>>2]|0,k[z>>2]|0,k[C>>2]|0,k[D>>2]|0,k[A>>2]|0,k[E>>2]|0,k[F>>2]|0,k[G>>2]|0,k[H>>2]|0,k[I>>2]|0,k[J>>2]|0)|0;la=B;B=0;if(la&1){Oa=19;break}B=0;La(29,a|0,0,0,k[K>>2]|0,k[I>>2]|0,k[F>>2]|0);la=B;B=0;if(la&1){Oa=19;break}la=k[x>>2]|0;if(la)Tqa(la);k[x>>2]=0;la=k[y>>2]|0;if(la)Tqa(la);k[y>>2]=0;la=k[z>>2]|0;if(la)Tqa(la);k[z>>2]=0;la=k[A>>2]|0;if(la)Tqa(la);k[A>>2]=0;la=k[G>>2]|0;if(la)Tqa(la);k[G>>2]=0;la=k[H>>2]|0;if(la)Tqa(la);k[H>>2]=0;la=k[K>>2]|0;if(la)Tqa(la);k[K>>2]=0;la=k[J>>2]|0;if(!la){r=m;return 0}p_(la);Sqa(la);r=m;return 0}la=fa+56|0;na=fa+4|0;k[fa>>2]=27524;k[la>>2]=27544;B=0;wa(508,fa+56|0,na|0);ta=B;B=0;if(ta&1){ta=Rb(1240,25216,0)|0;ac=Q;bc=ta}else{k[fa+128>>2]=0;k[fa+132>>2]=-1;k[fa>>2]=27468;k[la>>2]=27488;B=0;va(448,na|0);ta=B;B=0;do if(ta&1){xa=Rb(1240,25216,0)|0;cc=Q;dc=xa}else{k[na>>2]=27560;xa=fa+36|0;k[xa>>2]=0;k[xa+4>>2]=0;k[xa+8>>2]=0;k[xa+12>>2]=0;k[fa+52>>2]=16;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;B=0;wa(509,na|0,q|0);Aa=B;B=0;if(Aa&1){Aa=Rb(1240,25216,0)|0;Da=Q;Yua(q);Yua(xa);Ava(na);cc=Da;dc=Aa;break}Yua(q);B=0;Aa=Ia(40,fa|0,54311,57)|0;Da=B;B=0;g:do if(Da&1)Oa=146;else{B=0;Xa(239,Aa|0,0)|0;Ya=B;B=0;if(Ya&1){Oa=146;break}Ya=Ab(20)|0;B=0;eb(502,ga|0,54043,115);za=B;B=0;do if(!(za&1)){B=0;eb(502,ha|0,54159,28);Za=B;B=0;if(Za&1){Za=Rb(1240,25216,0)|0;_a=Q;Yua(ga);ec=Za;fc=_a;break}B=0;wa(510,ia|0,na|0);_a=B;B=0;if(_a&1){_a=Rb(1240,25216,0)|0;gc=1;hc=_a;ic=Q}else{B=0;ua(163,Ya|0,ga|0,ha|0,68,ia|0);_a=B;B=0;if(_a&1)jc=1;else{B=0;eb(503,Ya|0,1240,229);B=0;jc=0}_a=Rb(1240,25216,0)|0;Za=Q;Yua(ia);gc=jc;hc=_a;ic=Za}Yua(ha);Yua(ga);if(gc){ec=hc;fc=ic}else{kc=hc;lc=ic;break g}}else{Za=Rb(1240,25216,0)|0;ec=Za;fc=Q}while(0);zb(Ya|0);kc=ec;lc=fc}while(0);if((Oa|0)==146){Aa=Rb(1240,25216,0)|0;kc=Aa;lc=Q}k[fa>>2]=27468;k[la>>2]=27488;k[na>>2]=27560;Yua(xa);Ava(na);vva(la);Pa=kc;Qa=lc;break a}while(0);ac=cc;bc=dc}vva(la);Ra=ac;Sa=bc;Oa=20}else Oa=19}else Oa=19}else Oa=19}else Oa=19}else Oa=19}else Oa=19;while(0);if((Oa|0)==19){bc=Rb(1240,25216,0)|0;Ra=Q;Sa=bc;Oa=20}if((Oa|0)==20){Pa=Sa;Qa=Ra}if((Qa|0)!=(Kb(1240)|0)){Ra=(Qa|0)==(Kb(25216)|0);Qa=Nb(Pa|0)|0;if(Ra){mta(Hc[k[(k[Qa>>2]|0)+8>>2]&511](Qa)|0,o)|0;Pb();r=m;return 0}else{mta(55001,n)|0;Pb();r=m;return 0}}n=Nb(Pa|0)|0;B=0;Pa=ya(420,n|0)|0;n=B;B=0;if(!(n&1)){mta(Pa,p)|0;Pb();r=m;return 0}m=Rb()|0;B=0;fb(4);p=B;B=0;if(p&1){p=Rb(0)|0;Dd(p)}else Qb(m|0);return 0}function Wd(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,gb=0,hb=0.0;d=r;r=r+768|0;e=d+16|0;f=d+8|0;g=d;h=d+752|0;j=d+740|0;l=d+728|0;m=d+716|0;n=d+712|0;o=d+576|0;p=d+560|0;q=d+276|0;s=d+264|0;t=d+424|0;u=d+116|0;v=d+104|0;w=d+92|0;x=d+288|0;y=d+80|0;z=d+68|0;A=d+56|0;C=d+128|0;D=d+44|0;E=d+32|0;F=d+20|0;k[n>>2]=0;B=0;fb(3);G=B;B=0;a:do if(!(G&1)?(B=0,wa(507,n|0,c|0),H=B,B=0,!(H&1)):0){H=k[n>>2]|0;if((((Ita(H,54383)|0)!=0?(Ita(H,54394)|0)!=0:0)?(Ita(H,54411)|0)!=0:0)?(Ita(H,54425)|0)!=0:0)if(Ita(H,54438)|0)if(((Ita(H,54449)|0)!=0?(Ita(H,54460)|0)!=0:0)?(Ita(H,54473)|0)!=0:0){if(!(Ita(H,54486)|0)){I=o+56|0;J=o+4|0;k[o>>2]=27524;k[I>>2]=27544;B=0;wa(508,o+56|0,J|0);K=B;B=0;if(K&1){K=Rb(1240,25216,0)|0;L=Q;M=K}else{k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[I>>2]=27488;B=0;va(448,J|0);K=B;B=0;do if(K&1){N=Rb(1240,25216,0)|0;O=Q;P=N}else{k[J>>2]=27560;N=o+36|0;k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;k[N+12>>2]=0;k[o+52>>2]=16;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;B=0;wa(509,J|0,m|0);R=B;B=0;if(R&1){R=Rb(1240,25216,0)|0;S=Q;Yua(m);Yua(N);Ava(J);O=S;P=R;break}Yua(m);B=0;R=Ia(40,o|0,54500,35)|0;S=B;B=0;b:do if(S&1)T=29;else{B=0;Xa(239,R|0,0)|0;U=B;B=0;if(U&1){T=29;break}U=Ab(20)|0;B=0;eb(502,p|0,54536,91);V=B;B=0;do if(!(V&1)){B=0;eb(502,q|0,54628,16);W=B;B=0;if(W&1){W=Rb(1240,25216,0)|0;X=Q;Yua(p);Y=X;Z=W;break}B=0;wa(510,s|0,J|0);W=B;B=0;if(W&1){W=Rb(1240,25216,0)|0;_=Q;$=W;aa=1}else{B=0;ua(163,U|0,p|0,q|0,80,s|0);W=B;B=0;if(W&1)ba=1;else{B=0;eb(503,U|0,1240,229);B=0;ba=0}W=Rb(1240,25216,0)|0;X=Q;Yua(s);_=X;$=W;aa=ba}Yua(q);Yua(p);if(aa){Y=_;Z=$}else{ca=_;da=$;break b}}else{W=Rb(1240,25216,0)|0;Y=Q;Z=W}while(0);zb(U|0);ca=Y;da=Z}while(0);if((T|0)==29){R=Rb(1240,25216,0)|0;ca=Q;da=R}k[o>>2]=27468;k[I>>2]=27488;k[J>>2]=27560;Yua(N);Ava(J);vva(I);ea=ca;fa=da;break a}while(0);L=O;M=P}vva(I);ga=L;ha=M;T=5;break}if(!(Ita(H,54645)|0)){J=t+56|0;K=t+4|0;k[t>>2]=27524;k[J>>2]=27544;B=0;wa(508,t+56|0,K|0);R=B;B=0;if(R&1){R=Rb(1240,25216,0)|0;ia=Q;ja=R}else{k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[J>>2]=27488;B=0;va(448,K|0);R=B;B=0;do if(R&1){S=Rb(1240,25216,0)|0;ka=Q;la=S}else{k[K>>2]=27560;S=t+36|0;k[S>>2]=0;k[S+4>>2]=0;k[S+8>>2]=0;k[S+12>>2]=0;k[t+52>>2]=16;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;B=0;wa(509,K|0,l|0);V=B;B=0;if(V&1){V=Rb(1240,25216,0)|0;W=Q;Yua(l);Yua(S);Ava(K);ka=W;la=V;break}Yua(l);B=0;V=Ia(40,t|0,54659,35)|0;W=B;B=0;c:do if(W&1)T=53;else{B=0;Xa(239,V|0,0)|0;X=B;B=0;if(X&1){T=53;break}X=Ab(20)|0;B=0;eb(502,u|0,54536,91);ma=B;B=0;do if(!(ma&1)){B=0;eb(502,v|0,54628,16);na=B;B=0;if(na&1){na=Rb(1240,25216,0)|0;oa=Q;Yua(u);pa=oa;qa=na;break}B=0;wa(510,w|0,K|0);na=B;B=0;if(na&1){na=Rb(1240,25216,0)|0;ra=1;sa=Q;xa=na}else{B=0;ua(163,X|0,u|0,v|0,87,w|0);na=B;B=0;if(na&1)za=1;else{B=0;eb(503,X|0,1240,229);B=0;za=0}na=Rb(1240,25216,0)|0;oa=Q;Yua(w);ra=za;sa=oa;xa=na}Yua(v);Yua(u);if(ra){pa=sa;qa=xa}else{Aa=sa;Ba=xa;break c}}else{na=Rb(1240,25216,0)|0;pa=Q;qa=na}while(0);zb(X|0);Aa=pa;Ba=qa}while(0);if((T|0)==53){V=Rb(1240,25216,0)|0;Aa=Q;Ba=V}k[t>>2]=27468;k[J>>2]=27488;k[K>>2]=27560;Yua(S);Ava(K);vva(J);ea=Aa;fa=Ba;break a}while(0);ia=ka;ja=la}vva(J);ga=ia;ha=ja;T=5;break}if(!(Ita(H,54695)|0)){K=x+56|0;R=x+4|0;k[x>>2]=27524;k[K>>2]=27544;B=0;wa(508,x+56|0,R|0);I=B;B=0;if(I&1){I=Rb(1240,25216,0)|0;Ca=Q;Da=I}else{k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[K>>2]=27488;B=0;va(448,R|0);I=B;B=0;do if(I&1){V=Rb(1240,25216,0)|0;Ea=Q;Fa=V}else{k[R>>2]=27560;V=x+36|0;k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;k[V+12>>2]=0;k[x+52>>2]=16;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;B=0;wa(509,R|0,j|0);W=B;B=0;if(W&1){W=Rb(1240,25216,0)|0;N=Q;Yua(j);Yua(V);Ava(R);Ea=N;Fa=W;break}Yua(j);B=0;W=Ia(40,x|0,54712,38)|0;N=B;B=0;d:do if(N&1)T=77;else{B=0;Xa(239,W|0,0)|0;ma=B;B=0;if(ma&1){T=77;break}ma=Ab(20)|0;B=0;eb(502,y|0,54536,91);U=B;B=0;do if(!(U&1)){B=0;eb(502,z|0,54628,16);na=B;B=0;if(na&1){na=Rb(1240,25216,0)|0;oa=Q;Yua(y);Ga=oa;Ha=na;break}B=0;wa(510,A|0,R|0);na=B;B=0;if(na&1){na=Rb(1240,25216,0)|0;Ja=1;Ka=Q;La=na}else{B=0;ua(163,ma|0,y|0,z|0,96,A|0);na=B;B=0;if(na&1)Ma=1;else{B=0;eb(503,ma|0,1240,229);B=0;Ma=0}na=Rb(1240,25216,0)|0;oa=Q;Yua(A);Ja=Ma;Ka=oa;La=na}Yua(z);Yua(y);if(Ja){Ga=Ka;Ha=La}else{Na=Ka;Oa=La;break d}}else{na=Rb(1240,25216,0)|0;Ga=Q;Ha=na}while(0);zb(ma|0);Na=Ga;Oa=Ha}while(0);if((T|0)==77){W=Rb(1240,25216,0)|0;Na=Q;Oa=W}k[x>>2]=27468;k[K>>2]=27488;k[R>>2]=27560;Yua(V);Ava(R);vva(K);ea=Na;fa=Oa;break a}while(0);Ca=Ea;Da=Fa}vva(K);ga=Ca;ha=Da;T=5;break}do if(!(Ita(H,54751)|0)){B=0;R=ya(422,48)|0;I=B;B=0;if(I&1){T=4;break a}Pa=R;Qa=54763;Ra=Pa+48|0;do{i[Pa>>0]=i[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));Sa=R}else{if(!(Ita(H,54811)|0)){B=0;V=ya(422,30)|0;I=B;B=0;if(I&1){T=4;break a}Pa=V;Qa=110826;Ra=Pa+30|0;do{i[Pa>>0]=i[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));Sa=V;break}if(!(Ita(H,54824)|0)){B=0;R=ya(422,4)|0;I=B;B=0;if(I&1){T=4;break a}i[R>>0]=52;i[R+1>>0]=46;i[R+2>>0]=57;i[R+3>>0]=0;Sa=R;break}if(!(Ita(H,54840)|0)){B=0;R=ya(422,25)|0;I=B;B=0;if(I&1){T=4;break a}Pa=R;Qa=110887;Ra=Pa+25|0;do{i[Pa>>0]=i[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));Sa=R;break}if(!(Ita(H,54852)|0)){B=0;V=ya(422,18)|0;I=B;B=0;if(I&1){T=4;break a}Pa=V;Qa=110912;Ra=Pa+18|0;do{i[Pa>>0]=i[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));Sa=V;break}if(!(Ita(H,54870)|0)){B=0;R=ya(422,29)|0;I=B;B=0;if(I&1){T=4;break a}Pa=R;Qa=54889;Ra=Pa+29|0;do{i[Pa>>0]=i[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));Sa=R;break}if(!(Ita(H,54918)|0)){B=0;V=ya(422,13)|0;I=B;B=0;if(I&1){T=4;break a}Pa=V;Qa=54926;Ra=Pa+13|0;do{i[Pa>>0]=i[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));Sa=V;break}if(!(Ita(H,54939)|0)){B=0;R=ya(422,7)|0;I=B;B=0;if(I&1){T=4;break a};i[R>>0]=i[54949]|0;i[R+1>>0]=i[54950]|0;i[R+2>>0]=i[54951]|0;i[R+3>>0]=i[54952]|0;i[R+4>>0]=i[54953]|0;i[R+5>>0]=i[54954]|0;i[R+6>>0]=i[54955]|0;Sa=R;break}if(!(Ita(H,54956)|0)){B=0;R=ya(422,6)|0;I=B;B=0;if(I&1){T=4;break a};i[R>>0]=i[54968]|0;i[R+1>>0]=i[54969]|0;i[R+2>>0]=i[54970]|0;i[R+3>>0]=i[54971]|0;i[R+4>>0]=i[54972]|0;i[R+5>>0]=i[54973]|0;Sa=R;break}if(!(Ita(H,54974)|0)){B=0;R=ya(422,7)|0;I=B;B=0;if(I&1){T=4;break a};i[R>>0]=i[54984]|0;i[R+1>>0]=i[54985]|0;i[R+2>>0]=i[54986]|0;i[R+3>>0]=i[54987]|0;i[R+4>>0]=i[54988]|0;i[R+5>>0]=i[54989]|0;i[R+6>>0]=i[54990]|0;Sa=R;break}R=C+56|0;I=C+4|0;k[C>>2]=27524;k[R>>2]=27544;B=0;wa(508,C+56|0,I|0);J=B;B=0;if(J&1){J=Rb(1240,25216,0)|0;Ta=Q;Ua=J}else{k[C+128>>2]=0;k[C+132>>2]=-1;k[C>>2]=27468;k[R>>2]=27488;B=0;va(448,I|0);J=B;B=0;do if(J&1){W=Rb(1240,25216,0)|0;Va=Q;Wa=W}else{k[I>>2]=27560;W=C+36|0;k[W>>2]=0;k[W+4>>2]=0;k[W+8>>2]=0;k[W+12>>2]=0;k[C+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,I|0,h|0);N=B;B=0;if(N&1){N=Rb(1240,25216,0)|0;S=Q;Yua(h);Yua(W);Ava(I);Va=S;Wa=N;break}Yua(h);B=0;N=Ia(40,C|0,54991,9)|0;S=B;B=0;e:do if(S&1)T=132;else{U=k[n>>2]|0;X=Lta(U)|0;B=0;na=Ia(40,N|0,U|0,X|0)|0;X=B;B=0;if(X&1){T=132;break}B=0;X=Ia(40,na|0,146481,18)|0;na=B;B=0;if(na&1){T=132;break}B=0;Xa(239,X|0,0)|0;X=B;B=0;if(X&1){T=132;break}X=Ab(20)|0;B=0;eb(502,D|0,54536,91);na=B;B=0;do if(!(na&1)){B=0;eb(502,E|0,54628,16);U=B;B=0;if(U&1){U=Rb(1240,25216,0)|0;oa=Q;Yua(D);Ya=oa;Za=U;break}B=0;wa(510,F|0,I|0);U=B;B=0;if(U&1){U=Rb(1240,25216,0)|0;_a=1;$a=Q;ab=U}else{B=0;ua(163,X|0,D|0,E|0,155,F|0);U=B;B=0;if(U&1)bb=1;else{B=0;eb(503,X|0,1240,229);B=0;bb=0}U=Rb(1240,25216,0)|0;oa=Q;Yua(F);_a=bb;$a=oa;ab=U}Yua(E);Yua(D);if(_a){Ya=$a;Za=ab}else{cb=$a;db=ab;break e}}else{U=Rb(1240,25216,0)|0;Ya=Q;Za=U}while(0);zb(X|0);cb=Ya;db=Za}while(0);if((T|0)==132){N=Rb(1240,25216,0)|0;cb=Q;db=N}k[C>>2]=27468;k[R>>2]=27488;k[I>>2]=27560;Yua(W);Ava(I);vva(R);ea=cb;fa=db;break a}while(0);Ta=Va;Ua=Wa}vva(R);ga=Ta;ha=Ua;T=5;break a}while(0);B=0;wa(511,b|0,Sa|0);H=B;B=0;if(H&1){T=4;break}else gb=Sa}else{hb=0.0;T=148}else{hb=1.0;T=148}else{hb=0.0;T=148}if((T|0)==148){B=0;ta(54,a|0,+hb);H=B;B=0;if(H&1){T=4;break}else gb=0}H=k[n>>2]|0;if(H)Tqa(H);k[n>>2]=0;if(!gb){r=d;return 0}Tqa(gb);r=d;return 0}else T=4;while(0);if((T|0)==4){gb=Rb(1240,25216,0)|0;ga=Q;ha=gb;T=5}if((T|0)==5){ea=ga;fa=ha}if((ea|0)!=(Kb(1240)|0)){ha=(ea|0)==(Kb(25216)|0);ea=Nb(fa|0)|0;if(ha){mta(Hc[k[(k[ea>>2]|0)+8>>2]&511](ea)|0,f)|0;Pb();r=d;return 0}else{mta(55001,e)|0;Pb();r=d;return 0}}e=Nb(fa|0)|0;B=0;fa=ya(420,e|0)|0;e=B;B=0;if(!(e&1)){mta(fa,g)|0;Pb();r=d;return 0}d=Rb()|0;B=0;fb(4);g=B;B=0;if(g&1){g=Rb(0)|0;Dd(g)}else Qb(d|0);return 0}function Xd(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0;c=r;r=r+32|0;d=c+16|0;e=c+8|0;f=c;g=c+24|0;h=c+20|0;k[g>>2]=0;B=0;fb(3);i=B;B=0;if(((!(i&1)?(B=0,wa(506,h|0,b|0),b=B,B=0,!(b&1)):0)?(B=0,wa(512,g|0,k[h>>2]|0),h=B,B=0,!(h&1)):0)?(B=0,wa(511,a|0,k[g>>2]|0),a=B,B=0,!(a&1)):0){a=k[g>>2]|0;if(a)Tqa(a);k[g>>2]=0;r=c;return 0}g=Rb(1240,25216,0)|0;a=Q;if((a|0)!=(Kb(1240)|0)){h=(a|0)==(Kb(25216)|0);a=Nb(g|0)|0;if(h){mta(Hc[k[(k[a>>2]|0)+8>>2]&511](a)|0,e)|0;Pb();r=c;return 0}else{mta(55001,d)|0;Pb();r=c;return 0}}d=Nb(g|0)|0;B=0;g=ya(420,d|0)|0;d=B;B=0;if(!(d&1)){mta(g,f)|0;Pb();r=c;return 0}c=Rb()|0;B=0;fb(4);f=B;B=0;if(f&1){f=Rb(0)|0;Dd(f)}else Qb(c|0);return 0}function Yd(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;c=r;r=r+32|0;d=c+16|0;e=c+8|0;f=c;g=c+20|0;k[g>>2]=0;B=0;fb(3);h=B;B=0;if(((!(h&1)?(B=0,wa(507,g|0,b|0),b=B,B=0,!(b&1)):0)?(B=0,b=Xa(240,k[g>>2]|0,1)|0,h=B,B=0,!(h&1)):0)?(B=0,ta(54,a|0,+(+(b|0))),b=B,B=0,!(b&1)):0){b=k[g>>2]|0;if(b)Tqa(b);k[g>>2]=0;r=c;return 0}g=Rb(1240,25216,0)|0;b=Q;if((b|0)!=(Kb(1240)|0)){a=(b|0)==(Kb(25216)|0);b=Nb(g|0)|0;if(a){mta(Hc[k[(k[b>>2]|0)+8>>2]&511](b)|0,e)|0;Pb();r=c;return 0}else{mta(55001,d)|0;Pb();r=c;return 0}}d=Nb(g|0)|0;B=0;g=ya(420,d|0)|0;d=B;B=0;if(!(d&1)){mta(g,f)|0;Pb();r=c;return 0}c=Rb()|0;B=0;fb(4);f=B;B=0;if(f&1){f=Rb(0)|0;Dd(f)}else Qb(c|0);return 0}function Zd(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0;h=r;r=r+336|0;i=h+316|0;j=h+304|0;l=h+300|0;m=h+296|0;n=h+160|0;o=h+12|0;p=h+24|0;q=h;k[l>>2]=0;B=0;s=Xa(241,0,0)|0;t=B;B=0;do if(!(t&1)?(B=0,u=ya(423,52)|0,v=B,B=0,!(v&1)):0){B=0;Ka(10,u|0,c|0,d|0,e|0,f|0,g|0,s|0,0);v=B;B=0;if(v&1){v=Rb(1240,25216,0)|0;w=Q;Sqa(u);x=v;y=w;break}B=0;va(449,u|0);w=B;B=0;if(((!(w&1)?(B=0,va(450,u|0),w=B,B=0,!(w&1)):0)?(B=0,eb(504,u|0,l|0,m|0),w=B,B=0,!(w&1)):0)?(vh(u),Sqa(u),B=0,fb(5),u=B,B=0,!(u&1)):0){k[b>>2]=k[m>>2];k[a>>2]=k[l>>2];r=h;return 0}else z=9}else z=9;while(0);if((z|0)==9){l=Rb(1240,25216,0)|0;x=l;y=Q}if((y|0)==(Kb(1240)|0)){l=Nb(x|0)|0;B=0;va(451,l|0);l=B;B=0;if(!(l&1)){Pb();r=h;return 0}l=Rb()|0;a=Q;B=0;fb(4);m=B;B=0;if(m&1){A=Rb(0)|0;C=Q;Dd(A)}else{D=l;E=a;Qb(D|0)}}a=(y|0)==(Kb(25216)|0);y=Nb(x|0)|0;if(!a){a=n+56|0;x=n+4|0;k[n>>2]=27524;k[a>>2]=27544;B=0;wa(508,n+56|0,x|0);l=B;B=0;a:do if(l&1){m=Rb()|0;F=Q;G=m;z=39}else{k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[a>>2]=27488;B=0;va(448,x|0);m=B;B=0;do if(m&1){b=Rb()|0;H=Q;I=b}else{k[x>>2]=27560;b=n+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[n+52>>2]=16;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;B=0;wa(509,x|0,i|0);s=B;B=0;if(s&1){s=Rb()|0;g=Q;Yua(i);Yua(b);Ava(x);H=g;I=s;break}Yua(i);B=0;Ia(40,n|0,55051,31)|0;s=B;B=0;do if(!(s&1)?(B=0,wa(510,o|0,x|0),g=B,B=0,!(g&1)):0){B=0;ya(424,o|0)|0;g=B;B=0;if(g&1){g=Rb()|0;f=Q;Yua(o);J=g;K=f;break}Yua(o);k[n>>2]=27468;k[a>>2]=27488;k[x>>2]=27560;Yua(b);Ava(x);vva(a);Pb();r=h;return 0}else z=40;while(0);if((z|0)==40){s=Rb()|0;J=s;K=Q}k[n>>2]=27468;k[a>>2]=27488;k[x>>2]=27560;Yua(b);Ava(x);vva(a);L=J;M=K;break a}while(0);F=H;G=I;z=39}while(0);if((z|0)==39){vva(a);L=G;M=F}B=0;fb(4);F=B;B=0;if(F&1){A=Rb(0)|0;C=Q;Dd(A)}else{D=L;E=M;Qb(D|0)}}M=p+56|0;L=p+4|0;k[p>>2]=27524;k[M>>2]=27544;B=0;wa(508,p+56|0,L|0);F=B;B=0;b:do if(F&1){G=Rb()|0;N=Q;O=G;z=44}else{k[p+128>>2]=0;k[p+132>>2]=-1;k[p>>2]=27468;k[M>>2]=27488;B=0;va(448,L|0);G=B;B=0;do if(G&1){a=Rb()|0;P=Q;R=a}else{k[L>>2]=27560;a=p+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[p+52>>2]=16;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;B=0;wa(509,L|0,j|0);I=B;B=0;if(I&1){I=Rb()|0;H=Q;Yua(j);Yua(a);Ava(L);P=H;R=I;break}Yua(j);B=0;I=Ia(40,p|0,55030,20)|0;H=B;B=0;do if(((!(H&1)?(K=Hc[k[(k[y>>2]|0)+8>>2]&511](y)|0,J=Lta(K)|0,B=0,x=Ia(40,I|0,K|0,J|0)|0,J=B,B=0,!(J&1)):0)?(B=0,Ia(40,x|0,104966,2)|0,x=B,B=0,!(x&1)):0)?(B=0,wa(510,q|0,L|0),x=B,B=0,!(x&1)):0){B=0;ya(424,q|0)|0;x=B;B=0;if(x&1){x=Rb()|0;J=Q;Yua(q);S=x;T=J;break}Yua(q);k[p>>2]=27468;k[M>>2]=27488;k[L>>2]=27560;Yua(a);Ava(L);vva(M);Pb();r=h;return 0}else z=45;while(0);if((z|0)==45){I=Rb()|0;S=I;T=Q}k[p>>2]=27468;k[M>>2]=27488;k[L>>2]=27560;Yua(a);Ava(L);vva(M);U=S;V=T;break b}while(0);N=P;O=R;z=44}while(0);if((z|0)==44){vva(M);U=O;V=N}B=0;fb(4);N=B;B=0;if(N&1){A=Rb(0)|0;C=Q;Dd(A)}else{D=U;E=V;Qb(D|0)}return 0}function _d(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0;e=r;r=r+112|0;f=e+100|0;g=e+96|0;h=e+92|0;i=e+88|0;j=e+72|0;l=e+64|0;m=e+56|0;n=e+48|0;o=e+40|0;q=e+32|0;s=e+24|0;t=e+16|0;u=e+8|0;v=e;k[g>>2]=a;k[h>>2]=b;k[i>>2]=c;p[e+80>>3]=d;p[j>>3]=+p[k[g>>2]>>3]-+p[k[i>>2]>>3];p[n>>3]=+p[(k[g>>2]|0)+8>>3]-+p[(k[i>>2]|0)+8>>3];p[l>>3]=+p[k[h>>2]>>3]-+p[k[i>>2]>>3];p[o>>3]=+p[(k[h>>2]|0)+8>>3]-+p[(k[i>>2]|0)+8>>3];p[m>>3]=+p[k[g>>2]>>3]-+p[k[h>>2]>>3];p[q>>3]=+p[(k[g>>2]|0)+8>>3]-+p[(k[h>>2]|0)+8>>3];p[s>>3]=+p[j>>3]*+p[j>>3]+ +p[n>>3]*+p[n>>3];p[t>>3]=+p[l>>3]*+p[l>>3]+ +p[o>>3]*+p[o>>3];p[u>>3]=+p[m>>3]*+p[m>>3]+ +p[q>>3]*+p[q>>3];p[v>>3]=+p[t>>3]>+p[s>>3]?+p[t>>3]:+p[s>>3];p[v>>3]=+p[u>>3]>+p[v>>3]?+p[u>>3]:+p[v>>3];if(+p[v>>3]>(+p[k[g>>2]>>3]*+p[k[g>>2]>>3]+ +p[(k[g>>2]|0)+8>>3]*+p[(k[g>>2]|0)+8>>3])*.05+.02){k[f>>2]=1;w=k[f>>2]|0;r=e;return w|0}else{k[f>>2]=0;w=k[f>>2]|0;r=e;return w|0}return 0}function $d(a){a=a|0;var b=0,c=0;b=r;r=r+16|0;c=b;k[c>>2]=a;vc(k[c>>2]|0)}function ae(a){a=a|0;var b=0,c=0,d=0,e=0;b=r;r=r+16|0;c=b+8|0;d=b+4|0;k[c>>2]=a;a=lua(k[c>>2]|0)|0;k[d>>2]=a;if(k[d>>2]|0){e=k[d>>2]|0;r=b;return e|0}mta(55083,b)|0;$d(1);e=k[d>>2]|0;r=b;return e|0}function be(a){a=a|0;var b=0,c=0;b=r;r=r+16|0;c=b;k[c>>2]=a;mua(k[c>>2]|0);r=b;return}function ce(){var a=0;a=r;r=r+32|0;mta(55107,a)|0;mta(55156,a+8|0)|0;mta(55221,a+16|0)|0;$d(1);r=a;return}function de(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0;d=r;r=r+2128|0;e=d+48|0;f=d+40|0;g=d+32|0;h=d+24|0;j=d+16|0;l=d+8|0;m=d;n=d+72|0;o=d+68|0;q=d+64|0;s=d+60|0;t=d+56|0;u=d+52|0;v=d+80|0;k[n>>2]=a;k[o>>2]=b;k[q>>2]=c;k[(k[q>>2]|0)+8>>2]=0;k[(k[q>>2]|0)+4>>2]=0;k[k[q>>2]>>2]=0;k[(k[q>>2]|0)+20>>2]=0;k[(k[q>>2]|0)+16>>2]=0;k[(k[q>>2]|0)+12>>2]=0;k[(k[q>>2]|0)+36>>2]=0;k[(k[q>>2]|0)+32>>2]=0;k[(k[q>>2]|0)+28>>2]=0;k[(k[q>>2]|0)+24>>2]=0;k[(k[q>>2]|0)+40>>2]=1;k[(k[q>>2]|0)+56>>2]=0;k[(k[q>>2]|0)+52>>2]=0;k[(k[q>>2]|0)+48>>2]=0;k[(k[q>>2]|0)+44>>2]=0;k[(k[q>>2]|0)+72>>2]=0;k[(k[q>>2]|0)+68>>2]=0;k[(k[q>>2]|0)+64>>2]=0;k[(k[q>>2]|0)+60>>2]=0;k[(k[q>>2]|0)+76>>2]=0;k[(k[q>>2]|0)+84>>2]=0;k[(k[q>>2]|0)+80>>2]=0;k[(k[q>>2]|0)+96>>2]=0;k[(k[q>>2]|0)+92>>2]=0;k[(k[q>>2]|0)+100>>2]=1;k[(k[q>>2]|0)+104>>2]=0;k[(k[q>>2]|0)+108>>2]=0;k[(k[q>>2]|0)+128>>2]=0;k[(k[q>>2]|0)+88>>2]=0;k[(k[q>>2]|0)+132>>2]=-1;k[(k[q>>2]|0)+124>>2]=1;p[(k[q>>2]|0)+136>>3]=0.0;p[(k[q>>2]|0)+160>>3]=-1.0;k[(k[q>>2]|0)+116>>2]=0;k[(k[q>>2]|0)+112>>2]=0;k[s>>2]=0;while(1){if((k[s>>2]|0)>=(k[n>>2]|0))break;k[t>>2]=0;while(1){if(!(i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0))break;if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==112)k[k[q>>2]>>2]=1;if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==114)k[(k[q>>2]|0)+4>>2]=1;do if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==113){k[(k[q>>2]|0)+8>>2]=1;if(!((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+((k[t>>2]|0)+1)>>0]|0)>=48?(i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+((k[t>>2]|0)+1)>>0]|0)<=57:0))w=12;if((w|0)==12?(w=0,(i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+((k[t>>2]|0)+1)>>0]|0)!=46):0){p[(k[q>>2]|0)+136>>3]=20.0;break}k[u>>2]=0;while(1){if(!((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+((k[t>>2]|0)+1)>>0]|0)>=48?(i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+((k[t>>2]|0)+1)>>0]|0)<=57:0))w=16;if((w|0)==16?(w=0,(i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+((k[t>>2]|0)+1)>>0]|0)!=46):0)break;k[t>>2]=(k[t>>2]|0)+1;i[v+(k[u>>2]|0)>>0]=i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0;k[u>>2]=(k[u>>2]|0)+1}i[v+(k[u>>2]|0)>>0]=0;x=+zta(v,0);p[(k[q>>2]|0)+136>>3]=x}while(0);do if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==97){k[(k[q>>2]|0)+8>>2]=1;if(!((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+((k[t>>2]|0)+1)>>0]|0)>=48?(i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+((k[t>>2]|0)+1)>>0]|0)<=57:0))w=23;if((w|0)==23?(w=0,(i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+((k[t>>2]|0)+1)>>0]|0)!=46):0){k[(k[q>>2]|0)+12>>2]=1;break}k[(k[q>>2]|0)+16>>2]=1;k[u>>2]=0;while(1){if(!((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+((k[t>>2]|0)+1)>>0]|0)>=48?(i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+((k[t>>2]|0)+1)>>0]|0)<=57:0))w=27;if((w|0)==27?(w=0,(i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+((k[t>>2]|0)+1)>>0]|0)!=46):0)break;k[t>>2]=(k[t>>2]|0)+1;i[v+(k[u>>2]|0)>>0]=i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0;k[u>>2]=(k[u>>2]|0)+1}i[v+(k[u>>2]|0)>>0]=0;x=+zta(v,0);p[(k[q>>2]|0)+160>>3]=x;if(+p[(k[q>>2]|0)+160>>3]<=0.0){mta(55265,m)|0;$d(1)}}while(0);if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==117){k[(k[q>>2]|0)+8>>2]=1;k[(k[q>>2]|0)+20>>2]=1}if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==65)k[(k[q>>2]|0)+24>>2]=1;if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==99)k[(k[q>>2]|0)+28>>2]=1;if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==119)k[(k[q>>2]|0)+32>>2]=1;if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==87)k[(k[q>>2]|0)+32>>2]=2;if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==106)k[(k[q>>2]|0)+36>>2]=1;if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==122)k[(k[q>>2]|0)+40>>2]=0;if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==101)k[(k[q>>2]|0)+44>>2]=1;if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==118)k[(k[q>>2]|0)+48>>2]=1;if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==110)k[(k[q>>2]|0)+52>>2]=1;if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==103)k[(k[q>>2]|0)+56>>2]=1;if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==66)k[(k[q>>2]|0)+60>>2]=1;if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==80)k[(k[q>>2]|0)+64>>2]=1;if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==78)k[(k[q>>2]|0)+68>>2]=1;if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==69)k[(k[q>>2]|0)+72>>2]=1;if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==79)k[(k[q>>2]|0)+80>>2]=1;if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==88)k[(k[q>>2]|0)+84>>2]=1;do if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==111){if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+((k[t>>2]|0)+1)>>0]|0)!=50)break;k[t>>2]=(k[t>>2]|0)+1;k[(k[q>>2]|0)+124>>2]=2}while(0);if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==89){c=(k[q>>2]|0)+128|0;k[c>>2]=(k[c>>2]|0)+1}a:do if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==83){k[(k[q>>2]|0)+132>>2]=0;while(1){if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+((k[t>>2]|0)+1)>>0]|0)<48)break a;if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+((k[t>>2]|0)+1)>>0]|0)>57)break a;k[t>>2]=(k[t>>2]|0)+1;k[(k[q>>2]|0)+132>>2]=((k[(k[q>>2]|0)+132>>2]|0)*10|0)+((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)-48)}}while(0);if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==105)k[(k[q>>2]|0)+92>>2]=1;if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==70)k[(k[q>>2]|0)+96>>2]=1;if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==108)k[(k[q>>2]|0)+100>>2]=0;if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==115)k[(k[q>>2]|0)+104>>2]=1;if(!((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)!=68?(i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)!=76:0)){k[(k[q>>2]|0)+8>>2]=1;k[(k[q>>2]|0)+88>>2]=1}if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==67)k[(k[q>>2]|0)+108>>2]=1;if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==81)k[(k[q>>2]|0)+112>>2]=1;if((i[(k[(k[o>>2]|0)+(k[s>>2]<<2)>>2]|0)+(k[t>>2]|0)>>0]|0)==86){c=(k[q>>2]|0)+116|0;k[c>>2]=(k[c>>2]|0)+1}k[t>>2]=(k[t>>2]|0)+1}k[s>>2]=(k[s>>2]|0)+1}if(((k[k[q>>2]>>2]|0)==0?(k[(k[q>>2]|0)+4>>2]|0)==0:0)?(k[(k[q>>2]|0)+8>>2]|0)==0:0)y=(k[(k[q>>2]|0)+28>>2]|0)!=0;else y=1;k[(k[q>>2]|0)+120>>2]=y&1;x=+ca(+(+p[(k[q>>2]|0)+136>>3]*3.141592653589793/180.0));p[(k[q>>2]|0)+144>>3]=x;y=k[q>>2]|0;if(+p[(k[q>>2]|0)+144>>3]==1.0)p[y+152>>3]=0.0;else{x=+aa(+((+p[y+144>>3]+1.0)/(1.0-+p[(k[q>>2]|0)+144>>3])))*.475;p[(k[q>>2]|0)+152>>3]=x}y=(k[q>>2]|0)+144|0;p[y>>3]=+p[y>>3]*+p[(k[q>>2]|0)+144>>3];if((k[(k[q>>2]|0)+4>>2]|0)!=0?(k[(k[q>>2]|0)+76>>2]|0)!=0:0){mta(55314,l)|0;$d(1)}if((k[(k[q>>2]|0)+4>>2]|0)==0?(k[k[q>>2]>>2]|0)==0:0)k[(k[q>>2]|0)+12>>2]=0;if(!((k[(k[q>>2]|0)+4>>2]|0)==0?(k[k[q>>2]>>2]|0)!=0:0))k[(k[q>>2]|0)+24>>2]=0;do if(k[(k[q>>2]|0)+32>>2]|0){if((k[k[q>>2]>>2]|0)==0?(k[(k[q>>2]|0)+8>>2]|0)==0:0)break;k[(k[q>>2]|0)+32>>2]=0;if(!(k[(k[q>>2]|0)+112>>2]|0)){mta(55383,j)|0;mta(55444,h)|0}}while(0);if(!(k[(k[q>>2]|0)+36>>2]|0)){r=d;return}if(!(k[(k[q>>2]|0)+68>>2]|0)){r=d;return}if(k[(k[q>>2]|0)+112>>2]|0){r=d;return}mta(55507,g)|0;mta(55564,f)|0;mta(55624,e)|0;r=d;return}function ee(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0;d=r;r=r+224|0;e=d+176|0;f=d+168|0;g=d+160|0;h=d+152|0;i=d+128|0;j=d+120|0;l=d+96|0;m=d+88|0;n=d+64|0;o=d+56|0;q=d+48|0;s=d+32|0;t=d+16|0;u=d;v=d+216|0;w=d+212|0;x=d+208|0;y=d+200|0;z=d+192|0;A=d+184|0;k[v>>2]=a;k[w>>2]=b;k[x>>2]=c;c=k[(k[x>>2]|0)+4>>2]|0;k[u>>2]=k[k[x>>2]>>2];k[u+4>>2]=c;mta(55674,u)|0;k[y+4>>2]=k[k[k[x>>2]>>2]>>2]&3;k[y>>2]=k[k[k[x>>2]>>2]>>2]^k[y+4>>2];if((k[y>>2]|0)==(k[(k[v>>2]|0)+49768>>2]|0))mta(55710,d+8|0)|0;else{u=k[y+4>>2]|0;k[t>>2]=k[y>>2];k[t+4>>2]=u;mta(55733,t)|0}k[y+4>>2]=k[(k[k[x>>2]>>2]|0)+4>>2]&3;k[y>>2]=k[(k[k[x>>2]>>2]|0)+4>>2]^k[y+4>>2];if((k[y>>2]|0)==(k[(k[v>>2]|0)+49768>>2]|0))mta(55753,d+24|0)|0;else{t=k[y+4>>2]|0;k[s>>2]=k[y>>2];k[s+4>>2]=t;mta(55776,s)|0}k[y+4>>2]=k[(k[k[x>>2]>>2]|0)+8>>2]&3;k[y>>2]=k[(k[k[x>>2]>>2]|0)+8>>2]^k[y+4>>2];if((k[y>>2]|0)==(k[(k[v>>2]|0)+49768>>2]|0))mta(55796,d+40|0)|0;else{s=k[y+4>>2]|0;k[q>>2]=k[y>>2];k[q+4>>2]=s;mta(55819,q)|0}k[A>>2]=k[(k[k[x>>2]>>2]|0)+((k[27620+(k[(k[x>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];q=(((k[(k[x>>2]|0)+4>>2]|0)+1|0)%3|0)+3|0;if(!(k[A>>2]|0)){k[o>>2]=q;mta(55839,o)|0}else{o=k[A>>2]|0;B=+p[k[A>>2]>>3];C=+p[(k[A>>2]|0)+8>>3];k[n>>2]=q;k[n+4>>2]=o;p[n+8>>3]=B;p[n+16>>3]=C;mta(55862,n)|0}k[A>>2]=k[(k[k[x>>2]>>2]|0)+((k[27632+(k[(k[x>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];n=(((k[(k[x>>2]|0)+4>>2]|0)+2|0)%3|0)+3|0;if(!(k[A>>2]|0)){k[m>>2]=n;mta(55901,m)|0}else{m=k[A>>2]|0;C=+p[k[A>>2]>>3];B=+p[(k[A>>2]|0)+8>>3];k[l>>2]=n;k[l+4>>2]=m;p[l+8>>3]=C;p[l+16>>3]=B;mta(55924,l)|0}k[A>>2]=k[(k[k[x>>2]>>2]|0)+((k[(k[x>>2]|0)+4>>2]|0)+3<<2)>>2];l=(k[(k[x>>2]|0)+4>>2]|0)+3|0;if(!(k[A>>2]|0)){k[j>>2]=l;mta(55963,j)|0}else{j=k[A>>2]|0;B=+p[k[A>>2]>>3];C=+p[(k[A>>2]|0)+8>>3];k[i>>2]=l;k[i+4>>2]=j;p[i+8>>3]=B;p[i+16>>3]=C;mta(55986,i)|0}if(k[(k[w>>2]|0)+120>>2]|0){k[z+4>>2]=k[(k[k[x>>2]>>2]|0)+24>>2]&1;k[z>>2]=k[(k[k[x>>2]>>2]|0)+24>>2]&-4;if((k[z>>2]|0)!=(k[(k[v>>2]|0)+49776>>2]|0)){i=k[z+4>>2]|0;k[h>>2]=k[z>>2];k[h+4>>2]=i;mta(56025,h)|0}k[z+4>>2]=k[(k[k[x>>2]>>2]|0)+28>>2]&1;k[z>>2]=k[(k[k[x>>2]>>2]|0)+28>>2]&-4;if((k[z>>2]|0)!=(k[(k[v>>2]|0)+49776>>2]|0)){h=k[z+4>>2]|0;k[g>>2]=k[z>>2];k[g+4>>2]=h;mta(56045,g)|0}k[z+4>>2]=k[(k[k[x>>2]>>2]|0)+32>>2]&1;k[z>>2]=k[(k[k[x>>2]>>2]|0)+32>>2]&-4;if((k[z>>2]|0)!=(k[(k[v>>2]|0)+49776>>2]|0)){g=k[z+4>>2]|0;k[f>>2]=k[z>>2];k[f+4>>2]=g;mta(56065,f)|0}}if(!(k[(k[w>>2]|0)+12>>2]|0)){r=d;return}p[e>>3]=+p[(k[k[x>>2]>>2]|0)+(k[(k[v>>2]|0)+49712>>2]<<3)>>3];mta(56085,e)|0;r=d;return}function fe(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0.0;d=r;r=r+256|0;e=d+184|0;f=d+176|0;g=d+152|0;h=d+144|0;i=d+136|0;j=d+120|0;l=d+88|0;m=d+80|0;n=d+56|0;o=d+48|0;q=d+40|0;s=d+24|0;t=d;u=d+240|0;v=d+232|0;w=d+224|0;x=d+216|0;y=d+208|0;k[u>>2]=a;k[d+236>>2]=b;k[v>>2]=c;c=k[(k[v>>2]|0)+4>>2]|0;b=k[(k[k[v>>2]>>2]|0)+32>>2]|0;k[t>>2]=k[k[v>>2]>>2];k[t+4>>2]=c;k[t+8>>2]=b;mta(56113,t)|0;k[w+4>>2]=k[k[k[v>>2]>>2]>>2]&1;k[w>>2]=k[k[k[v>>2]>>2]>>2]&-4;if((k[w>>2]|0)==(k[(k[u>>2]|0)+49776>>2]|0))mta(56163,d+16|0)|0;else{t=k[w+4>>2]|0;k[s>>2]=k[w>>2];k[s+4>>2]=t;mta(55733,s)|0}k[w+4>>2]=k[(k[k[v>>2]>>2]|0)+4>>2]&1;k[w>>2]=k[(k[k[v>>2]>>2]|0)+4>>2]&-4;if((k[w>>2]|0)==(k[(k[u>>2]|0)+49776>>2]|0))mta(56188,d+32|0)|0;else{s=k[w+4>>2]|0;k[q>>2]=k[w>>2];k[q+4>>2]=s;mta(55776,q)|0}k[y>>2]=k[(k[k[v>>2]>>2]|0)+(2+(k[(k[v>>2]|0)+4>>2]|0)<<2)>>2];q=2+(k[(k[v>>2]|0)+4>>2]|0)|0;if(!(k[y>>2]|0)){k[o>>2]=q;mta(55839,o)|0}else{o=k[y>>2]|0;z=+p[k[y>>2]>>3];A=+p[(k[y>>2]|0)+8>>3];k[n>>2]=q;k[n+4>>2]=o;p[n+8>>3]=z;p[n+16>>3]=A;mta(55862,n)|0}k[y>>2]=k[(k[k[v>>2]>>2]|0)+(3-(k[(k[v>>2]|0)+4>>2]|0)<<2)>>2];n=3-(k[(k[v>>2]|0)+4>>2]|0)|0;if(!(k[y>>2]|0)){k[m>>2]=n;mta(55901,m)|0}else{m=k[y>>2]|0;A=+p[k[y>>2]>>3];z=+p[(k[y>>2]|0)+8>>3];k[l>>2]=n;k[l+4>>2]=m;p[l+8>>3]=A;p[l+16>>3]=z;mta(55924,l)|0}k[x+4>>2]=k[(k[k[v>>2]>>2]|0)+24>>2]&3;k[x>>2]=k[(k[k[v>>2]>>2]|0)+24>>2]^k[x+4>>2];if((k[x>>2]|0)==(k[(k[u>>2]|0)+49768>>2]|0))mta(56213,d+112|0)|0;else{l=k[x+4>>2]|0;k[j>>2]=k[x>>2];k[j+4>>2]=l;mta(56025,j)|0}k[x+4>>2]=k[(k[k[v>>2]>>2]|0)+28>>2]&3;k[x>>2]=k[(k[k[v>>2]>>2]|0)+28>>2]^k[x+4>>2];if((k[x>>2]|0)==(k[(k[u>>2]|0)+49768>>2]|0))mta(56236,d+128|0)|0;else{u=k[x+4>>2]|0;k[i>>2]=k[x>>2];k[i+4>>2]=u;mta(56045,i)|0}k[y>>2]=k[(k[k[v>>2]>>2]|0)+(4+(k[(k[v>>2]|0)+4>>2]|0)<<2)>>2];i=4+(k[(k[v>>2]|0)+4>>2]|0)|0;if(!(k[y>>2]|0)){k[h>>2]=i;mta(56259,h)|0}else{h=k[y>>2]|0;z=+p[k[y>>2]>>3];A=+p[(k[y>>2]|0)+8>>3];k[g>>2]=i;k[g+4>>2]=h;p[g+8>>3]=z;p[g+16>>3]=A;mta(56290,g)|0}k[y>>2]=k[(k[k[v>>2]>>2]|0)+(5-(k[(k[v>>2]|0)+4>>2]|0)<<2)>>2];g=5-(k[(k[v>>2]|0)+4>>2]|0)|0;if(!(k[y>>2]|0)){k[f>>2]=g;mta(56337,f)|0;r=d;return}else{f=k[y>>2]|0;A=+p[k[y>>2]>>3];z=+p[(k[y>>2]|0)+8>>3];k[e>>2]=g;k[e+4>>2]=f;p[e+8>>3]=A;p[e+16>>3]=z;mta(56368,e)|0;r=d;return}}function ge(a){a=a|0;var b=0,c=0;b=r;r=r+16|0;c=b;k[c>>2]=a;k[k[c>>2]>>2]=0;k[(k[c>>2]|0)+4>>2]=0;k[(k[c>>2]|0)+8>>2]=0;k[(k[c>>2]|0)+12>>2]=0;k[(k[c>>2]|0)+16>>2]=0;k[(k[c>>2]|0)+20>>2]=0;k[(k[c>>2]|0)+24>>2]=0;k[(k[c>>2]|0)+28>>2]=0;k[(k[c>>2]|0)+32>>2]=0;k[(k[c>>2]|0)+36>>2]=0;k[(k[c>>2]|0)+40>>2]=0;k[(k[c>>2]|0)+44>>2]=0;k[(k[c>>2]|0)+48>>2]=0;k[(k[c>>2]|0)+52>>2]=0;r=b;return}function he(a){a=a|0;var b=0,c=0,d=0;b=r;r=r+16|0;c=b+4|0;d=b;k[c>>2]=a;k[(k[c>>2]|0)+40>>2]=0;k[(k[c>>2]|0)+44>>2]=0;k[(k[c>>2]|0)+4>>2]=k[k[c>>2]>>2];k[d>>2]=(k[(k[c>>2]|0)+4>>2]|0)+4;k[(k[c>>2]|0)+8>>2]=(k[d>>2]|0)+(k[(k[c>>2]|0)+24>>2]|0)-(((k[d>>2]|0)>>>0)%((k[(k[c>>2]|0)+24>>2]|0)>>>0)|0);k[(k[c>>2]|0)+48>>2]=k[(k[c>>2]|0)+36>>2];k[(k[c>>2]|0)+12>>2]=0;r=b;return}function ie(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0;f=r;r=r+32|0;g=f+16|0;h=f+12|0;i=f+8|0;j=f+4|0;l=f;k[g>>2]=a;k[h>>2]=b;k[i>>2]=c;k[j>>2]=d;k[l>>2]=e;if((k[l>>2]|0)>>>0>4)k[(k[g>>2]|0)+24>>2]=k[l>>2];else k[(k[g>>2]|0)+24>>2]=4;l=ma((((k[h>>2]|0)-1|0)/(k[(k[g>>2]|0)+24>>2]|0)|0)+1|0,k[(k[g>>2]|0)+24>>2]|0)|0;k[(k[g>>2]|0)+28>>2]=l;k[(k[g>>2]|0)+32>>2]=k[i>>2];if(!(k[j>>2]|0))k[(k[g>>2]|0)+36>>2]=k[i>>2];else k[(k[g>>2]|0)+36>>2]=k[j>>2];j=(ma(k[(k[g>>2]|0)+36>>2]|0,k[(k[g>>2]|0)+28>>2]|0)|0)+4|0;i=ae(j+(k[(k[g>>2]|0)+24>>2]|0)|0)|0;k[k[g>>2]>>2]=i;k[k[k[g>>2]>>2]>>2]=0;he(k[g>>2]|0);r=f;return}function je(a){a=a|0;var b=0,c=0;b=r;r=r+16|0;c=b;k[c>>2]=a;while(1){if(!(k[k[c>>2]>>2]|0))break;k[(k[c>>2]|0)+4>>2]=k[k[k[c>>2]>>2]>>2];be(k[k[c>>2]>>2]|0);k[k[c>>2]>>2]=k[(k[c>>2]|0)+4>>2]}r=b;return}function ke(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;b=r;r=r+16|0;c=b+12|0;d=b+8|0;e=b+4|0;f=b;k[c>>2]=a;a=k[c>>2]|0;if(k[(k[c>>2]|0)+12>>2]|0){k[d>>2]=k[a+12>>2];k[(k[c>>2]|0)+12>>2]=k[k[(k[c>>2]|0)+12>>2]>>2];g=k[c>>2]|0;h=g+40|0;i=k[h>>2]|0;j=i+1|0;k[h>>2]=j;l=k[d>>2]|0;r=b;return l|0}if(!(k[a+48>>2]|0)){if(!(k[k[(k[c>>2]|0)+4>>2]>>2]|0)){a=(ma(k[(k[c>>2]|0)+32>>2]|0,k[(k[c>>2]|0)+28>>2]|0)|0)+4|0;m=ae(a+(k[(k[c>>2]|0)+24>>2]|0)|0)|0;k[e>>2]=m;k[k[(k[c>>2]|0)+4>>2]>>2]=k[e>>2];k[k[e>>2]>>2]=0}k[(k[c>>2]|0)+4>>2]=k[k[(k[c>>2]|0)+4>>2]>>2];k[f>>2]=(k[(k[c>>2]|0)+4>>2]|0)+4;k[(k[c>>2]|0)+8>>2]=(k[f>>2]|0)+(k[(k[c>>2]|0)+24>>2]|0)-(((k[f>>2]|0)>>>0)%((k[(k[c>>2]|0)+24>>2]|0)>>>0)|0);k[(k[c>>2]|0)+48>>2]=k[(k[c>>2]|0)+32>>2]}k[d>>2]=k[(k[c>>2]|0)+8>>2];k[(k[c>>2]|0)+8>>2]=(k[(k[c>>2]|0)+8>>2]|0)+(k[(k[c>>2]|0)+28>>2]|0);f=(k[c>>2]|0)+48|0;k[f>>2]=(k[f>>2]|0)+-1;f=(k[c>>2]|0)+44|0;k[f>>2]=(k[f>>2]|0)+1;g=k[c>>2]|0;h=g+40|0;i=k[h>>2]|0;j=i+1|0;k[h>>2]=j;l=k[d>>2]|0;r=b;return l|0}function le(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=r;r=r+16|0;d=c+4|0;e=c;k[d>>2]=a;k[e>>2]=b;k[k[e>>2]>>2]=k[(k[d>>2]|0)+12>>2];k[(k[d>>2]|0)+12>>2]=k[e>>2];e=(k[d>>2]|0)+40|0;k[e>>2]=(k[e>>2]|0)+-1;r=c;return}function me(a){a=a|0;var b=0,c=0,d=0;b=r;r=r+16|0;c=b+4|0;d=b;k[c>>2]=a;k[(k[c>>2]|0)+16>>2]=k[k[c>>2]>>2];k[d>>2]=(k[(k[c>>2]|0)+16>>2]|0)+4;k[(k[c>>2]|0)+20>>2]=(k[d>>2]|0)+(k[(k[c>>2]|0)+24>>2]|0)-(((k[d>>2]|0)>>>0)%((k[(k[c>>2]|0)+24>>2]|0)>>>0)|0);k[(k[c>>2]|0)+52>>2]=k[(k[c>>2]|0)+36>>2];r=b;return}function ne(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;b=r;r=r+16|0;c=b+12|0;d=b+8|0;e=b+4|0;f=b;k[d>>2]=a;if((k[(k[d>>2]|0)+20>>2]|0)==(k[(k[d>>2]|0)+8>>2]|0)){k[c>>2]=0;g=k[c>>2]|0;r=b;return g|0}if(!(k[(k[d>>2]|0)+52>>2]|0)){k[(k[d>>2]|0)+16>>2]=k[k[(k[d>>2]|0)+16>>2]>>2];k[f>>2]=(k[(k[d>>2]|0)+16>>2]|0)+4;k[(k[d>>2]|0)+20>>2]=(k[f>>2]|0)+(k[(k[d>>2]|0)+24>>2]|0)-(((k[f>>2]|0)>>>0)%((k[(k[d>>2]|0)+24>>2]|0)>>>0)|0);k[(k[d>>2]|0)+52>>2]=k[(k[d>>2]|0)+32>>2]}k[e>>2]=k[(k[d>>2]|0)+20>>2];k[(k[d>>2]|0)+20>>2]=(k[(k[d>>2]|0)+20>>2]|0)+(k[(k[d>>2]|0)+28>>2]|0);f=(k[d>>2]|0)+52|0;k[f>>2]=(k[f>>2]|0)+-1;k[c>>2]=k[e>>2];g=k[c>>2]|0;r=b;return g|0}function oe(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=r;r=r+32|0;f=e+16|0;g=e+12|0;h=e+8|0;i=e+4|0;j=e;k[f>>2]=a;k[g>>2]=b;k[h>>2]=c;k[i>>2]=d;d=ae((k[h>>2]|0)+(k[(k[f>>2]|0)+24>>2]|0)|0)|0;k[(k[f>>2]|0)+49772>>2]=d;k[j>>2]=k[(k[f>>2]|0)+49772>>2];k[(k[f>>2]|0)+49768>>2]=(k[j>>2]|0)+(k[(k[f>>2]|0)+24>>2]|0)-(((k[j>>2]|0)>>>0)%((k[(k[f>>2]|0)+24>>2]|0)>>>0)|0);k[k[(k[f>>2]|0)+49768>>2]>>2]=k[(k[f>>2]|0)+49768>>2];k[(k[(k[f>>2]|0)+49768>>2]|0)+4>>2]=k[(k[f>>2]|0)+49768>>2];k[(k[(k[f>>2]|0)+49768>>2]|0)+8>>2]=k[(k[f>>2]|0)+49768>>2];k[(k[(k[f>>2]|0)+49768>>2]|0)+12>>2]=0;k[(k[(k[f>>2]|0)+49768>>2]|0)+16>>2]=0;k[(k[(k[f>>2]|0)+49768>>2]|0)+20>>2]=0;if(!(k[(k[g>>2]|0)+120>>2]|0)){r=e;return}g=ae((k[i>>2]|0)+(k[(k[f>>2]|0)+56+24>>2]|0)|0)|0;k[(k[f>>2]|0)+49780>>2]=g;k[j>>2]=k[(k[f>>2]|0)+49780>>2];k[(k[f>>2]|0)+49776>>2]=(k[j>>2]|0)+(k[(k[f>>2]|0)+56+24>>2]|0)-(((k[j>>2]|0)>>>0)%((k[(k[f>>2]|0)+56+24>>2]|0)>>>0)|0);k[k[(k[f>>2]|0)+49776>>2]>>2]=k[(k[f>>2]|0)+49776>>2];k[(k[(k[f>>2]|0)+49776>>2]|0)+4>>2]=k[(k[f>>2]|0)+49776>>2];k[(k[(k[f>>2]|0)+49776>>2]|0)+8>>2]=0;k[(k[(k[f>>2]|0)+49776>>2]|0)+12>>2]=0;k[(k[(k[f>>2]|0)+49776>>2]|0)+16>>2]=0;k[(k[(k[f>>2]|0)+49776>>2]|0)+20>>2]=0;k[(k[(k[f>>2]|0)+49776>>2]|0)+24>>2]=k[(k[f>>2]|0)+49768>>2];k[(k[(k[f>>2]|0)+49776>>2]|0)+28>>2]=k[(k[f>>2]|0)+49768>>2];k[(k[(k[f>>2]|0)+49776>>2]|0)+32>>2]=0;k[(k[(k[f>>2]|0)+49768>>2]|0)+24>>2]=k[(k[f>>2]|0)+49776>>2];k[(k[(k[f>>2]|0)+49768>>2]|0)+28>>2]=k[(k[f>>2]|0)+49776>>2];k[(k[(k[f>>2]|0)+49768>>2]|0)+32>>2]=k[(k[f>>2]|0)+49776>>2];r=e;return}function pe(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;c=r;r=r+16|0;d=c+8|0;e=c+4|0;f=c;k[d>>2]=a;k[e>>2]=b;k[(k[d>>2]|0)+49696>>2]=((((k[(k[d>>2]|0)+49676>>2]|0)+(k[(k[d>>2]|0)+49680>>2]|0)<<3)+4-1|0)>>>0)/4|0;k[f>>2]=(k[(k[d>>2]|0)+49696>>2]|0)+2<<2;if(k[k[e>>2]>>2]|0){k[(k[d>>2]|0)+49700>>2]=(((k[f>>2]|0)+4-1|0)>>>0)/4|0;k[f>>2]=(k[(k[d>>2]|0)+49700>>2]|0)+1<<2}e=(k[d>>2]|0)+112|0;b=k[f>>2]|0;if((k[(k[d>>2]|0)+49648>>2]|0)<=4092){g=4092;ie(e,b,4092,g,8);r=c;return}g=k[(k[d>>2]|0)+49648>>2]|0;ie(e,b,4092,g,8);r=c;return}function qe(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;c=r;r=r+16|0;d=c+8|0;e=c+4|0;f=c;k[d>>2]=a;k[e>>2]=b;k[(k[d>>2]|0)+49704>>2]=6+((k[(k[e>>2]|0)+120>>2]|0)*3|0);b=(ma((k[(k[e>>2]|0)+124>>2]|0)+1|0,(k[(k[e>>2]|0)+124>>2]|0)+2|0)|0)/2|0;k[f>>2]=b+((k[(k[d>>2]|0)+49704>>2]|0)-3)<<2;k[(k[d>>2]|0)+49708>>2]=(((k[f>>2]|0)+8-1|0)>>>0)/8|0;k[(k[d>>2]|0)+49712>>2]=(k[(k[d>>2]|0)+49708>>2]|0)+(k[(k[d>>2]|0)+49684>>2]|0)+(k[(k[e>>2]|0)+24>>2]|0);b=k[d>>2]|0;if(!(k[(k[e>>2]|0)+12>>2]|0)){if(((k[b+49684>>2]|0)+(k[(k[e>>2]|0)+24>>2]|0)|0)>0)k[f>>2]=k[(k[d>>2]|0)+49712>>2]<<3}else k[f>>2]=(k[b+49712>>2]|0)+1<<3;if(k[(k[e>>2]|0)+48>>2]|0){if((k[f>>2]|0)>>>0<28)g=8}else if((k[f>>2]|0)>>>0<28?(k[(k[e>>2]|0)+52>>2]|0)!=0:0)g=8;if((g|0)==8)k[f>>2]=28;if(((k[(k[d>>2]|0)+49648>>2]<<1)-2|0)>4092)h=(k[(k[d>>2]|0)+49648>>2]<<1)-2|0;else h=4092;ie(k[d>>2]|0,k[f>>2]|0,4092,h,4);h=k[d>>2]|0;if(k[(k[e>>2]|0)+120>>2]|0){ie(h+56|0,36,508,508,4);oe(k[d>>2]|0,k[e>>2]|0,k[(k[d>>2]|0)+28>>2]|0,k[(k[d>>2]|0)+56+28>>2]|0);r=c;return}else{oe(h,k[e>>2]|0,k[(k[d>>2]|0)+28>>2]|0,0);r=c;return}}function re(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=r;r=r+16|0;d=c+4|0;e=c;k[d>>2]=a;k[e>>2]=b;k[(k[e>>2]|0)+4>>2]=0;k[(k[e>>2]|0)+12>>2]=0;le(k[d>>2]|0,k[e>>2]|0);r=c;return}function se(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;b=r;r=r+16|0;c=b+8|0;d=b+4|0;e=b;k[d>>2]=a;while(1){a=ne(k[d>>2]|0)|0;k[e>>2]=a;if(!(k[e>>2]|0)){f=3;break}if(k[(k[e>>2]|0)+4>>2]|0){f=5;break}}if((f|0)==3){k[c>>2]=0;g=k[c>>2]|0;r=b;return g|0}else if((f|0)==5){k[c>>2]=k[e>>2];g=k[c>>2]|0;r=b;return g|0}return 0}function te(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=r;r=r+16|0;d=c+4|0;e=c;k[d>>2]=a;k[e>>2]=b;k[(k[e>>2]|0)+4>>2]=0;k[(k[e>>2]|0)+8>>2]=0;le((k[d>>2]|0)+56|0,k[e>>2]|0);r=c;return}function ue(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;b=r;r=r+16|0;c=b+8|0;d=b+4|0;e=b;k[d>>2]=a;while(1){a=ne((k[d>>2]|0)+56|0)|0;k[e>>2]=a;if(!(k[e>>2]|0)){f=3;break}if(k[(k[e>>2]|0)+4>>2]|0){f=5;break}}if((f|0)==3){k[c>>2]=0;g=k[c>>2]|0;r=b;return g|0}else if((f|0)==5){k[c>>2]=k[e>>2];g=k[c>>2]|0;r=b;return g|0}return 0}function ve(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=r;r=r+16|0;d=c+4|0;e=c;k[d>>2]=a;k[e>>2]=b;k[(k[e>>2]|0)+((k[(k[d>>2]|0)+49696>>2]|0)+1<<2)>>2]=-32768;le((k[d>>2]|0)+112|0,k[e>>2]|0);r=c;return}function we(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;b=r;r=r+16|0;c=b+8|0;d=b+4|0;e=b;k[d>>2]=a;while(1){a=ne((k[d>>2]|0)+112|0)|0;k[e>>2]=a;if(!(k[e>>2]|0)){f=3;break}if((k[(k[e>>2]|0)+((k[(k[d>>2]|0)+49696>>2]|0)+1<<2)>>2]|0)!=-32768){f=5;break}}if((f|0)==3){k[c>>2]=0;g=k[c>>2]|0;r=b;return g|0}else if((f|0)==5){k[c>>2]=k[e>>2];g=k[c>>2]|0;r=b;return g|0}return 0}function xe(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=r;r=r+16|0;d=c+4|0;e=c;k[d>>2]=a;k[e>>2]=b;k[(k[e>>2]|0)+4>>2]=0;le((k[d>>2]|0)+224|0,k[e>>2]|0);r=c;return}function ye(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;b=r;r=r+16|0;c=b+8|0;d=b+4|0;e=b;k[d>>2]=a;while(1){a=ne((k[d>>2]|0)+224|0)|0;k[e>>2]=a;if(!(k[e>>2]|0)){f=3;break}if(k[(k[e>>2]|0)+4>>2]|0){f=5;break}}if((f|0)==3){k[c>>2]=0;g=k[c>>2]|0;r=b;return g|0}else if((f|0)==5){k[c>>2]=k[e>>2];g=k[c>>2]|0;r=b;return g|0}return 0}function ze(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;d=r;r=r+32|0;e=d+24|0;f=d+20|0;g=d+16|0;h=d+12|0;i=d+8|0;j=d+4|0;l=d;k[e>>2]=a;k[f>>2]=b;k[g>>2]=c;k[h>>2]=k[(k[e>>2]|0)+112>>2];k[l>>2]=k[(k[f>>2]|0)+40>>2];a:do if(((k[l>>2]|0)+(k[(k[e>>2]|0)+112+36>>2]|0)|0)<=(k[g>>2]|0)){k[h>>2]=k[k[h>>2]>>2];k[l>>2]=(k[l>>2]|0)+(k[(k[e>>2]|0)+112+36>>2]|0);while(1){if(((k[l>>2]|0)+(k[(k[e>>2]|0)+112+32>>2]|0)|0)>(k[g>>2]|0))break a;k[h>>2]=k[k[h>>2]>>2];k[l>>2]=(k[l>>2]|0)+(k[(k[e>>2]|0)+112+32>>2]|0)}}while(0);k[j>>2]=(k[h>>2]|0)+4;k[i>>2]=(k[j>>2]|0)+(k[(k[e>>2]|0)+112+24>>2]|0)-(((k[j>>2]|0)>>>0)%((k[(k[e>>2]|0)+112+24>>2]|0)>>>0)|0);j=(k[i>>2]|0)+(ma(k[(k[e>>2]|0)+112+28>>2]|0,(k[g>>2]|0)-(k[l>>2]|0)|0)|0)|0;r=d;return j|0}function Ae(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=r;r=r+16|0;d=c+4|0;e=c;k[d>>2]=a;k[e>>2]=b;je(k[d>>2]|0);be(k[(k[d>>2]|0)+49772>>2]|0);if(k[(k[e>>2]|0)+120>>2]|0){je((k[d>>2]|0)+56|0);be(k[(k[d>>2]|0)+49780>>2]|0)}je((k[d>>2]|0)+112|0);if(!(k[(k[e>>2]|0)+8>>2]|0)){r=c;return}je((k[d>>2]|0)+224|0);if(((!(+p[(k[e>>2]|0)+136>>3]>0.0)?(k[(k[e>>2]|0)+12>>2]|0)==0:0)?(k[(k[e>>2]|0)+16>>2]|0)==0:0)?(k[(k[e>>2]|0)+20>>2]|0)==0:0){r=c;return}je((k[d>>2]|0)+280|0);je((k[d>>2]|0)+336|0);r=c;return}function Be(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;d=r;r=r+16|0;e=d+12|0;f=d+8|0;g=d+4|0;h=d;k[e>>2]=a;k[f>>2]=b;k[g>>2]=c;c=ke(k[e>>2]|0)|0;k[k[g>>2]>>2]=c;k[k[k[g>>2]>>2]>>2]=k[(k[e>>2]|0)+49768>>2];k[(k[k[g>>2]>>2]|0)+4>>2]=k[(k[e>>2]|0)+49768>>2];k[(k[k[g>>2]>>2]|0)+8>>2]=k[(k[e>>2]|0)+49768>>2];k[(k[k[g>>2]>>2]|0)+12>>2]=0;k[(k[k[g>>2]>>2]|0)+16>>2]=0;k[(k[k[g>>2]>>2]|0)+20>>2]=0;if(k[(k[f>>2]|0)+120>>2]|0){k[(k[k[g>>2]>>2]|0)+24>>2]=k[(k[e>>2]|0)+49776>>2];k[(k[k[g>>2]>>2]|0)+28>>2]=k[(k[e>>2]|0)+49776>>2];k[(k[k[g>>2]>>2]|0)+32>>2]=k[(k[e>>2]|0)+49776>>2]}k[h>>2]=0;while(1){if((k[h>>2]|0)>=(k[(k[e>>2]|0)+49684>>2]|0))break;p[(k[k[g>>2]>>2]|0)+((k[(k[e>>2]|0)+49708>>2]|0)+(k[h>>2]|0)<<3)>>3]=0.0;k[h>>2]=(k[h>>2]|0)+1}if(!(k[(k[f>>2]|0)+12>>2]|0)){i=k[g>>2]|0;j=i+4|0;k[j>>2]=0;r=d;return}p[(k[k[g>>2]>>2]|0)+(k[(k[e>>2]|0)+49712>>2]<<3)>>3]=-1.0;i=k[g>>2]|0;j=i+4|0;k[j>>2]=0;r=d;return}function Ce(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=r;r=r+16|0;d=c+4|0;e=c;k[d>>2]=a;k[e>>2]=b;b=ke((k[d>>2]|0)+56|0)|0;k[k[e>>2]>>2]=b;k[k[k[e>>2]>>2]>>2]=k[(k[d>>2]|0)+49776>>2];k[(k[k[e>>2]>>2]|0)+4>>2]=k[(k[d>>2]|0)+49776>>2];k[(k[k[e>>2]>>2]|0)+8>>2]=0;k[(k[k[e>>2]>>2]|0)+12>>2]=0;k[(k[k[e>>2]>>2]|0)+16>>2]=0;k[(k[k[e>>2]>>2]|0)+20>>2]=0;k[(k[k[e>>2]>>2]|0)+24>>2]=k[(k[d>>2]|0)+49768>>2];k[(k[k[e>>2]>>2]|0)+28>>2]=k[(k[d>>2]|0)+49768>>2];k[(k[k[e>>2]>>2]|0)+32>>2]=0;k[(k[e>>2]|0)+4>>2]=0;r=c;return}function De(){var a=0,b=0,c=0,d=0,e=0;a=r;r=r+32|0;b=a+16|0;c=a+8|0;d=a;e=a+24|0;k[e>>2]=1;p[b>>3]=.5;p[6]=1.0;p[5]=1.0;p[c>>3]=1.0;do{p[d>>3]=+p[c>>3];p[6]=+p[6]*+p[b>>3];if(k[e>>2]|0)p[5]=+p[5]*2.0;k[e>>2]=((k[e>>2]|0)!=0^1)&1;p[c>>3]=+p[6]+1.0;if(!(+p[c>>3]!=1.0))break}while(+p[c>>3]!=+p[d>>3]);p[5]=+p[5]+1.0;p[7]=(+p[6]*8.0+3.0)*+p[6];p[8]=(+p[6]*16.0+3.0)*+p[6];p[9]=(+p[6]*12.0+2.0)*+p[6];p[10]=(+p[6]*64.0+9.0)*+p[6]*+p[6];p[11]=(+p[6]*96.0+10.0)*+p[6];p[12]=(+p[6]*48.0+4.0)*+p[6];p[13]=(+p[6]*576.0+44.0)*+p[6]*+p[6];p[14]=(+p[6]*56.0+7.0)*+p[6];p[15]=(+p[6]*28.0+3.0)*+p[6];p[16]=(+p[6]*288.0+26.0)*+p[6]*+p[6];r=a;return}function Ee(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0.0,C=0;f=r;r=r+112|0;g=f+100|0;h=f+96|0;i=f+92|0;j=f+88|0;l=f+84|0;m=f+64|0;n=f+56|0;o=f+48|0;q=f+40|0;s=f+32|0;t=f+24|0;u=f+16|0;v=f+80|0;w=f+76|0;x=f+72|0;y=f+8|0;z=f;k[g>>2]=a;k[h>>2]=b;k[i>>2]=c;k[j>>2]=d;k[l>>2]=e;p[y>>3]=+p[k[h>>2]>>3];p[z>>3]=+p[k[j>>2]>>3];k[w>>2]=0;k[v>>2]=0;if((+p[z>>3]>+p[y>>3]|0)==(+p[z>>3]>-+p[y>>3]|0)){p[m>>3]=+p[y>>3];e=(k[v>>2]|0)+1|0;k[v>>2]=e;p[y>>3]=+p[(k[h>>2]|0)+(e<<3)>>3]}else{p[m>>3]=+p[z>>3];e=(k[w>>2]|0)+1|0;k[w>>2]=e;p[z>>3]=+p[(k[j>>2]|0)+(e<<3)>>3]}k[x>>2]=0;a:do if((k[v>>2]|0)<(k[g>>2]|0)?(k[w>>2]|0)<(k[i>>2]|0):0){if((+p[z>>3]>+p[y>>3]|0)==(+p[z>>3]>-+p[y>>3]|0)){p[n>>3]=+p[y>>3]+ +p[m>>3];p[q>>3]=+p[n>>3]-+p[y>>3];p[o>>3]=+p[m>>3]-+p[q>>3];e=(k[v>>2]|0)+1|0;k[v>>2]=e;p[y>>3]=+p[(k[h>>2]|0)+(e<<3)>>3]}else{p[n>>3]=+p[z>>3]+ +p[m>>3];p[q>>3]=+p[n>>3]-+p[z>>3];p[o>>3]=+p[m>>3]-+p[q>>3];e=(k[w>>2]|0)+1|0;k[w>>2]=e;p[z>>3]=+p[(k[j>>2]|0)+(e<<3)>>3]}p[m>>3]=+p[n>>3];if(+p[o>>3]!=0.0){A=+p[o>>3];e=k[x>>2]|0;k[x>>2]=e+1;p[(k[l>>2]|0)+(e<<3)>>3]=A}while(1){if((k[v>>2]|0)>=(k[g>>2]|0))break a;if((k[w>>2]|0)>=(k[i>>2]|0))break a;A=+p[m>>3];if((+p[z>>3]>+p[y>>3]|0)==(+p[z>>3]>-+p[y>>3]|0)){p[n>>3]=A+ +p[y>>3];p[q>>3]=+p[n>>3]-+p[m>>3];p[s>>3]=+p[n>>3]-+p[q>>3];p[t>>3]=+p[y>>3]-+p[q>>3];p[u>>3]=+p[m>>3]-+p[s>>3];p[o>>3]=+p[u>>3]+ +p[t>>3];e=(k[v>>2]|0)+1|0;k[v>>2]=e;p[y>>3]=+p[(k[h>>2]|0)+(e<<3)>>3]}else{p[n>>3]=A+ +p[z>>3];p[q>>3]=+p[n>>3]-+p[m>>3];p[s>>3]=+p[n>>3]-+p[q>>3];p[t>>3]=+p[z>>3]-+p[q>>3];p[u>>3]=+p[m>>3]-+p[s>>3];p[o>>3]=+p[u>>3]+ +p[t>>3];e=(k[w>>2]|0)+1|0;k[w>>2]=e;p[z>>3]=+p[(k[j>>2]|0)+(e<<3)>>3]}p[m>>3]=+p[n>>3];if(!(+p[o>>3]!=0.0))continue;A=+p[o>>3];e=k[x>>2]|0;k[x>>2]=e+1;p[(k[l>>2]|0)+(e<<3)>>3]=A}}while(0);while(1){if((k[v>>2]|0)>=(k[g>>2]|0))break;p[n>>3]=+p[m>>3]+ +p[y>>3];p[q>>3]=+p[n>>3]-+p[m>>3];p[s>>3]=+p[n>>3]-+p[q>>3];p[t>>3]=+p[y>>3]-+p[q>>3];p[u>>3]=+p[m>>3]-+p[s>>3];p[o>>3]=+p[u>>3]+ +p[t>>3];e=(k[v>>2]|0)+1|0;k[v>>2]=e;p[y>>3]=+p[(k[h>>2]|0)+(e<<3)>>3];p[m>>3]=+p[n>>3];if(!(+p[o>>3]!=0.0))continue;A=+p[o>>3];e=k[x>>2]|0;k[x>>2]=e+1;p[(k[l>>2]|0)+(e<<3)>>3]=A}while(1){B=+p[m>>3];if((k[w>>2]|0)>=(k[i>>2]|0))break;p[n>>3]=B+ +p[z>>3];p[q>>3]=+p[n>>3]-+p[m>>3];p[s>>3]=+p[n>>3]-+p[q>>3];p[t>>3]=+p[z>>3]-+p[q>>3];p[u>>3]=+p[m>>3]-+p[s>>3];p[o>>3]=+p[u>>3]+ +p[t>>3];h=(k[w>>2]|0)+1|0;k[w>>2]=h;p[z>>3]=+p[(k[j>>2]|0)+(h<<3)>>3];p[m>>3]=+p[n>>3];if(!(+p[o>>3]!=0.0))continue;A=+p[o>>3];h=k[x>>2]|0;k[x>>2]=h+1;p[(k[l>>2]|0)+(h<<3)>>3]=A}if(!(B!=0.0|(k[x>>2]|0)==0)){C=k[x>>2]|0;r=f;return C|0}B=+p[m>>3];m=k[x>>2]|0;k[x>>2]=m+1;p[(k[l>>2]|0)+(m<<3)>>3]=B;C=k[x>>2]|0;r=f;return C|0}function Fe(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;e=r;r=r+192|0;f=e+176|0;g=e+172|0;h=e+152|0;i=e+168|0;j=e+144|0;l=e+136|0;m=e+128|0;n=e+120|0;o=e+112|0;q=e+164|0;s=e+160|0;t=e+104|0;u=e+96|0;v=e+88|0;w=e+80|0;x=e+72|0;y=e+64|0;z=e+56|0;A=e+48|0;B=e+40|0;C=e+32|0;D=e+24|0;E=e+16|0;F=e+8|0;G=e;k[f>>2]=a;k[g>>2]=b;p[h>>3]=c;k[i>>2]=d;p[y>>3]=+p[5]*+p[h>>3];p[z>>3]=+p[y>>3]-+p[h>>3];p[C>>3]=+p[y>>3]-+p[z>>3];p[D>>3]=+p[h>>3]-+p[C>>3];p[j>>3]=+p[k[g>>2]>>3]*+p[h>>3];p[y>>3]=+p[5]*+p[k[g>>2]>>3];p[z>>3]=+p[y>>3]-+p[k[g>>2]>>3];p[A>>3]=+p[y>>3]-+p[z>>3];p[B>>3]=+p[k[g>>2]>>3]-+p[A>>3];p[E>>3]=+p[j>>3]-+p[A>>3]*+p[C>>3];p[F>>3]=+p[E>>3]-+p[B>>3]*+p[C>>3];p[G>>3]=+p[F>>3]-+p[A>>3]*+p[D>>3];p[m>>3]=+p[B>>3]*+p[D>>3]-+p[G>>3];k[s>>2]=0;if(+p[m>>3]!=0.0){c=+p[m>>3];d=k[s>>2]|0;k[s>>2]=d+1;p[(k[i>>2]|0)+(d<<3)>>3]=c}k[q>>2]=1;while(1){if((k[q>>2]|0)>=(k[f>>2]|0))break;p[t>>3]=+p[(k[g>>2]|0)+(k[q>>2]<<3)>>3];p[n>>3]=+p[t>>3]*+p[h>>3];p[y>>3]=+p[5]*+p[t>>3];p[z>>3]=+p[y>>3]-+p[t>>3];p[A>>3]=+p[y>>3]-+p[z>>3];p[B>>3]=+p[t>>3]-+p[A>>3];p[E>>3]=+p[n>>3]-+p[A>>3]*+p[C>>3];p[F>>3]=+p[E>>3]-+p[B>>3]*+p[C>>3];p[G>>3]=+p[F>>3]-+p[A>>3]*+p[D>>3];p[o>>3]=+p[B>>3]*+p[D>>3]-+p[G>>3];p[l>>3]=+p[j>>3]+ +p[o>>3];p[u>>3]=+p[l>>3]-+p[j>>3];p[v>>3]=+p[l>>3]-+p[u>>3];p[w>>3]=+p[o>>3]-+p[u>>3];p[x>>3]=+p[j>>3]-+p[v>>3];p[m>>3]=+p[x>>3]+ +p[w>>3];if(+p[m>>3]!=0.0){c=+p[m>>3];d=k[s>>2]|0;k[s>>2]=d+1;p[(k[i>>2]|0)+(d<<3)>>3]=c}p[j>>3]=+p[n>>3]+ +p[l>>3];p[u>>3]=+p[j>>3]-+p[n>>3];p[m>>3]=+p[l>>3]-+p[u>>3];if(+p[m>>3]!=0.0){c=+p[m>>3];d=k[s>>2]|0;k[s>>2]=d+1;p[(k[i>>2]|0)+(d<<3)>>3]=c}k[q>>2]=(k[q>>2]|0)+1}if(!(+p[j>>3]!=0.0|(k[s>>2]|0)==0)){H=k[s>>2]|0;r=e;return H|0}c=+p[j>>3];j=k[s>>2]|0;k[s>>2]=j+1;p[(k[i>>2]|0)+(j<<3)>>3]=c;H=k[s>>2]|0;r=e;return H|0}function Ge(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;c=r;r=r+32|0;d=c+16|0;e=c+12|0;f=c;g=c+8|0;k[d>>2]=a;k[e>>2]=b;p[f>>3]=+p[k[e>>2]>>3];k[g>>2]=1;while(1){if((k[g>>2]|0)>=(k[d>>2]|0))break;p[f>>3]=+p[f>>3]+ +p[(k[e>>2]|0)+(k[g>>2]<<3)>>3];k[g>>2]=(k[g>>2]|0)+1}r=c;return +(+p[f>>3])}function He(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0.0;e=r;r=r+688|0;f=e+648|0;g=e+676|0;h=e+672|0;i=e+668|0;j=e+640|0;l=e+632|0;m=e+624|0;n=e+616|0;o=e+608|0;q=e+600|0;s=e+592|0;t=e+584|0;u=e+576|0;v=e+568|0;w=e+560|0;x=e+552|0;y=e+544|0;z=e+536|0;A=e+528|0;B=e+496|0;C=e+432|0;D=e+336|0;E=e+208|0;F=e+200|0;G=e+664|0;H=e+660|0;I=e+656|0;J=e+168|0;K=e+160|0;L=e+152|0;M=e+144|0;N=e+136|0;O=e+128|0;P=e+120|0;Q=e+112|0;R=e+104|0;S=e+96|0;T=e+88|0;U=e+80|0;V=e+72|0;W=e+64|0;X=e+56|0;Y=e+48|0;Z=e+40|0;_=e+32|0;$=e+24|0;aa=e+16|0;ba=e+8|0;ca=e;k[g>>2]=a;k[h>>2]=b;k[i>>2]=c;p[j>>3]=d;p[l>>3]=+p[k[g>>2]>>3]-+p[k[i>>2]>>3];p[n>>3]=+p[k[h>>2]>>3]-+p[k[i>>2]>>3];p[m>>3]=+p[(k[g>>2]|0)+8>>3]-+p[(k[i>>2]|0)+8>>3];p[o>>3]=+p[(k[h>>2]|0)+8>>3]-+p[(k[i>>2]|0)+8>>3];p[v>>3]=+p[l>>3]*+p[o>>3];p[T>>3]=+p[5]*+p[l>>3];p[U>>3]=+p[T>>3]-+p[l>>3];p[V>>3]=+p[T>>3]-+p[U>>3];p[W>>3]=+p[l>>3]-+p[V>>3];p[T>>3]=+p[5]*+p[o>>3];p[U>>3]=+p[T>>3]-+p[o>>3];p[X>>3]=+p[T>>3]-+p[U>>3];p[Y>>3]=+p[o>>3]-+p[X>>3];p[Z>>3]=+p[v>>3]-+p[V>>3]*+p[X>>3];p[_>>3]=+p[Z>>3]-+p[W>>3]*+p[X>>3];p[$>>3]=+p[_>>3]-+p[V>>3]*+p[Y>>3];p[x>>3]=+p[W>>3]*+p[Y>>3]-+p[$>>3];p[w>>3]=+p[m>>3]*+p[n>>3];p[T>>3]=+p[5]*+p[m>>3];p[U>>3]=+p[T>>3]-+p[m>>3];p[V>>3]=+p[T>>3]-+p[U>>3];p[W>>3]=+p[m>>3]-+p[V>>3];p[T>>3]=+p[5]*+p[n>>3];p[U>>3]=+p[T>>3]-+p[n>>3];p[X>>3]=+p[T>>3]-+p[U>>3];p[Y>>3]=+p[n>>3]-+p[X>>3];p[Z>>3]=+p[w>>3]-+p[V>>3]*+p[X>>3];p[_>>3]=+p[Z>>3]-+p[W>>3]*+p[X>>3];p[$>>3]=+p[_>>3]-+p[V>>3]*+p[Y>>3];p[y>>3]=+p[W>>3]*+p[Y>>3]-+p[$>>3];p[aa>>3]=+p[x>>3]-+p[y>>3];p[P>>3]=+p[x>>3]-+p[aa>>3];p[Q>>3]=+p[aa>>3]+ +p[P>>3];p[R>>3]=+p[P>>3]-+p[y>>3];p[S>>3]=+p[x>>3]-+p[Q>>3];p[B>>3]=+p[S>>3]+ +p[R>>3];p[ba>>3]=+p[v>>3]+ +p[aa>>3];p[P>>3]=+p[ba>>3]-+p[v>>3];p[Q>>3]=+p[ba>>3]-+p[P>>3];p[R>>3]=+p[aa>>3]-+p[P>>3];p[S>>3]=+p[v>>3]-+p[Q>>3];p[ca>>3]=+p[S>>3]+ +p[R>>3];p[aa>>3]=+p[ca>>3]-+p[w>>3];p[P>>3]=+p[ca>>3]-+p[aa>>3];p[Q>>3]=+p[aa>>3]+ +p[P>>3];p[R>>3]=+p[P>>3]-+p[w>>3];p[S>>3]=+p[ca>>3]-+p[Q>>3];p[B+8>>3]=+p[S>>3]+ +p[R>>3];p[F>>3]=+p[ba>>3]+ +p[aa>>3];p[P>>3]=+p[F>>3]-+p[ba>>3];p[Q>>3]=+p[F>>3]-+p[P>>3];p[R>>3]=+p[aa>>3]-+p[P>>3];p[S>>3]=+p[ba>>3]-+p[Q>>3];p[B+16>>3]=+p[S>>3]+ +p[R>>3];p[B+24>>3]=+p[F>>3];d=+Ge(4,B);p[z>>3]=d;p[A>>3]=+p[9]*+p[j>>3];if(!(+p[z>>3]>=+p[A>>3])?!(-+p[z>>3]>=+p[A>>3]):0){p[P>>3]=+p[k[g>>2]>>3]-+p[l>>3];p[Q>>3]=+p[l>>3]+ +p[P>>3];p[R>>3]=+p[P>>3]-+p[k[i>>2]>>3];p[S>>3]=+p[k[g>>2]>>3]-+p[Q>>3];p[q>>3]=+p[S>>3]+ +p[R>>3];p[P>>3]=+p[k[h>>2]>>3]-+p[n>>3];p[Q>>3]=+p[n>>3]+ +p[P>>3];p[R>>3]=+p[P>>3]-+p[k[i>>2]>>3];p[S>>3]=+p[k[h>>2]>>3]-+p[Q>>3];p[t>>3]=+p[S>>3]+ +p[R>>3];p[P>>3]=+p[(k[g>>2]|0)+8>>3]-+p[m>>3];p[Q>>3]=+p[m>>3]+ +p[P>>3];p[R>>3]=+p[P>>3]-+p[(k[i>>2]|0)+8>>3];p[S>>3]=+p[(k[g>>2]|0)+8>>3]-+p[Q>>3];p[s>>3]=+p[S>>3]+ +p[R>>3];p[P>>3]=+p[(k[h>>2]|0)+8>>3]-+p[o>>3];p[Q>>3]=+p[o>>3]+ +p[P>>3];p[R>>3]=+p[P>>3]-+p[(k[i>>2]|0)+8>>3];p[S>>3]=+p[(k[h>>2]|0)+8>>3]-+p[Q>>3];p[u>>3]=+p[S>>3]+ +p[R>>3];if(+p[q>>3]==0.0&+p[s>>3]==0.0&+p[t>>3]==0.0&+p[u>>3]==0.0){p[f>>3]=+p[z>>3];da=+p[f>>3];r=e;return +da}d=+p[z>>3];p[A>>3]=+p[10]*+p[j>>3]+ +p[7]*(+p[z>>3]>=0.0?d:-d);p[z>>3]=+p[z>>3]+(+p[l>>3]*+p[u>>3]+ +p[o>>3]*+p[q>>3]-(+p[m>>3]*+p[t>>3]+ +p[n>>3]*+p[s>>3]));if(!(+p[z>>3]>=+p[A>>3])?!(-+p[z>>3]>=+p[A>>3]):0){p[L>>3]=+p[q>>3]*+p[o>>3];p[T>>3]=+p[5]*+p[q>>3];p[U>>3]=+p[T>>3]-+p[q>>3];p[V>>3]=+p[T>>3]-+p[U>>3];p[W>>3]=+p[q>>3]-+p[V>>3];p[T>>3]=+p[5]*+p[o>>3];p[U>>3]=+p[T>>3]-+p[o>>3];p[X>>3]=+p[T>>3]-+p[U>>3];p[Y>>3]=+p[o>>3]-+p[X>>3];p[Z>>3]=+p[L>>3]-+p[V>>3]*+p[X>>3];p[_>>3]=+p[Z>>3]-+p[W>>3]*+p[X>>3];p[$>>3]=+p[_>>3]-+p[V>>3]*+p[Y>>3];p[N>>3]=+p[W>>3]*+p[Y>>3]-+p[$>>3];p[M>>3]=+p[s>>3]*+p[n>>3];p[T>>3]=+p[5]*+p[s>>3];p[U>>3]=+p[T>>3]-+p[s>>3];p[V>>3]=+p[T>>3]-+p[U>>3];p[W>>3]=+p[s>>3]-+p[V>>3];p[T>>3]=+p[5]*+p[n>>3];p[U>>3]=+p[T>>3]-+p[n>>3];p[X>>3]=+p[T>>3]-+p[U>>3];p[Y>>3]=+p[n>>3]-+p[X>>3];p[Z>>3]=+p[M>>3]-+p[V>>3]*+p[X>>3];p[_>>3]=+p[Z>>3]-+p[W>>3]*+p[X>>3];p[$>>3]=+p[_>>3]-+p[V>>3]*+p[Y>>3];p[O>>3]=+p[W>>3]*+p[Y>>3]-+p[$>>3];p[aa>>3]=+p[N>>3]-+p[O>>3];p[P>>3]=+p[N>>3]-+p[aa>>3];p[Q>>3]=+p[aa>>3]+ +p[P>>3];p[R>>3]=+p[P>>3]-+p[O>>3];p[S>>3]=+p[N>>3]-+p[Q>>3];p[J>>3]=+p[S>>3]+ +p[R>>3];p[ba>>3]=+p[L>>3]+ +p[aa>>3];p[P>>3]=+p[ba>>3]-+p[L>>3];p[Q>>3]=+p[ba>>3]-+p[P>>3];p[R>>3]=+p[aa>>3]-+p[P>>3];p[S>>3]=+p[L>>3]-+p[Q>>3];p[ca>>3]=+p[S>>3]+ +p[R>>3];p[aa>>3]=+p[ca>>3]-+p[M>>3];p[P>>3]=+p[ca>>3]-+p[aa>>3];p[Q>>3]=+p[aa>>3]+ +p[P>>3];p[R>>3]=+p[P>>3]-+p[M>>3];p[S>>3]=+p[ca>>3]-+p[Q>>3];p[J+8>>3]=+p[S>>3]+ +p[R>>3];p[K>>3]=+p[ba>>3]+ +p[aa>>3];p[P>>3]=+p[K>>3]-+p[ba>>3];p[Q>>3]=+p[K>>3]-+p[P>>3];p[R>>3]=+p[aa>>3]-+p[P>>3];p[S>>3]=+p[ba>>3]-+p[Q>>3];p[J+16>>3]=+p[S>>3]+ +p[R>>3];p[J+24>>3]=+p[K>>3];n=Ee(4,B,4,J,C)|0;k[G>>2]=n;p[L>>3]=+p[l>>3]*+p[u>>3];p[T>>3]=+p[5]*+p[l>>3];p[U>>3]=+p[T>>3]-+p[l>>3];p[V>>3]=+p[T>>3]-+p[U>>3];p[W>>3]=+p[l>>3]-+p[V>>3];p[T>>3]=+p[5]*+p[u>>3];p[U>>3]=+p[T>>3]-+p[u>>3];p[X>>3]=+p[T>>3]-+p[U>>3];p[Y>>3]=+p[u>>3]-+p[X>>3];p[Z>>3]=+p[L>>3]-+p[V>>3]*+p[X>>3];p[_>>3]=+p[Z>>3]-+p[W>>3]*+p[X>>3];p[$>>3]=+p[_>>3]-+p[V>>3]*+p[Y>>3];p[N>>3]=+p[W>>3]*+p[Y>>3]-+p[$>>3];p[M>>3]=+p[m>>3]*+p[t>>3];p[T>>3]=+p[5]*+p[m>>3];p[U>>3]=+p[T>>3]-+p[m>>3];p[V>>3]=+p[T>>3]-+p[U>>3];p[W>>3]=+p[m>>3]-+p[V>>3];p[T>>3]=+p[5]*+p[t>>3];p[U>>3]=+p[T>>3]-+p[t>>3];p[X>>3]=+p[T>>3]-+p[U>>3];p[Y>>3]=+p[t>>3]-+p[X>>3];p[Z>>3]=+p[M>>3]-+p[V>>3]*+p[X>>3];p[_>>3]=+p[Z>>3]-+p[W>>3]*+p[X>>3];p[$>>3]=+p[_>>3]-+p[V>>3]*+p[Y>>3];p[O>>3]=+p[W>>3]*+p[Y>>3]-+p[$>>3];p[aa>>3]=+p[N>>3]-+p[O>>3];p[P>>3]=+p[N>>3]-+p[aa>>3];p[Q>>3]=+p[aa>>3]+ +p[P>>3];p[R>>3]=+p[P>>3]-+p[O>>3];p[S>>3]=+p[N>>3]-+p[Q>>3];p[J>>3]=+p[S>>3]+ +p[R>>3];p[ba>>3]=+p[L>>3]+ +p[aa>>3];p[P>>3]=+p[ba>>3]-+p[L>>3];p[Q>>3]=+p[ba>>3]-+p[P>>3];p[R>>3]=+p[aa>>3]-+p[P>>3];p[S>>3]=+p[L>>3]-+p[Q>>3];p[ca>>3]=+p[S>>3]+ +p[R>>3];p[aa>>3]=+p[ca>>3]-+p[M>>3];p[P>>3]=+p[ca>>3]-+p[aa>>3];p[Q>>3]=+p[aa>>3]+ +p[P>>3];p[R>>3]=+p[P>>3]-+p[M>>3];p[S>>3]=+p[ca>>3]-+p[Q>>3];p[J+8>>3]=+p[S>>3]+ +p[R>>3];p[K>>3]=+p[ba>>3]+ +p[aa>>3];p[P>>3]=+p[K>>3]-+p[ba>>3];p[Q>>3]=+p[K>>3]-+p[P>>3];p[R>>3]=+p[aa>>3]-+p[P>>3];p[S>>3]=+p[ba>>3]-+p[Q>>3];p[J+16>>3]=+p[S>>3]+ +p[R>>3];p[J+24>>3]=+p[K>>3];m=Ee(k[G>>2]|0,C,4,J,D)|0;k[H>>2]=m;p[L>>3]=+p[q>>3]*+p[u>>3];p[T>>3]=+p[5]*+p[q>>3];p[U>>3]=+p[T>>3]-+p[q>>3];p[V>>3]=+p[T>>3]-+p[U>>3];p[W>>3]=+p[q>>3]-+p[V>>3];p[T>>3]=+p[5]*+p[u>>3];p[U>>3]=+p[T>>3]-+p[u>>3];p[X>>3]=+p[T>>3]-+p[U>>3];p[Y>>3]=+p[u>>3]-+p[X>>3];p[Z>>3]=+p[L>>3]-+p[V>>3]*+p[X>>3];p[_>>3]=+p[Z>>3]-+p[W>>3]*+p[X>>3];p[$>>3]=+p[_>>3]-+p[V>>3]*+p[Y>>3];p[N>>3]=+p[W>>3]*+p[Y>>3]-+p[$>>3];p[M>>3]=+p[s>>3]*+p[t>>3];p[T>>3]=+p[5]*+p[s>>3];p[U>>3]=+p[T>>3]-+p[s>>3];p[V>>3]=+p[T>>3]-+p[U>>3];p[W>>3]=+p[s>>3]-+p[V>>3];p[T>>3]=+p[5]*+p[t>>3];p[U>>3]=+p[T>>3]-+p[t>>3];p[X>>3]=+p[T>>3]-+p[U>>3];p[Y>>3]=+p[t>>3]-+p[X>>3];p[Z>>3]=+p[M>>3]-+p[V>>3]*+p[X>>3];p[_>>3]=+p[Z>>3]-+p[W>>3]*+p[X>>3];p[$>>3]=+p[_>>3]-+p[V>>3]*+p[Y>>3];p[O>>3]=+p[W>>3]*+p[Y>>3]-+p[$>>3];p[aa>>3]=+p[N>>3]-+p[O>>3];p[P>>3]=+p[N>>3]-+p[aa>>3];p[Q>>3]=+p[aa>>3]+ +p[P>>3];p[R>>3]=+p[P>>3]-+p[O>>3];p[S>>3]=+p[N>>3]-+p[Q>>3];p[J>>3]=+p[S>>3]+ +p[R>>3];p[ba>>3]=+p[L>>3]+ +p[aa>>3];p[P>>3]=+p[ba>>3]-+p[L>>3];p[Q>>3]=+p[ba>>3]-+p[P>>3];p[R>>3]=+p[aa>>3]-+p[P>>3];p[S>>3]=+p[L>>3]-+p[Q>>3];p[ca>>3]=+p[S>>3]+ +p[R>>3];p[aa>>3]=+p[ca>>3]-+p[M>>3];p[P>>3]=+p[ca>>3]-+p[aa>>3];p[Q>>3]=+p[aa>>3]+ +p[P>>3];p[R>>3]=+p[P>>3]-+p[M>>3];p[S>>3]=+p[ca>>3]-+p[Q>>3];p[J+8>>3]=+p[S>>3]+ +p[R>>3];p[K>>3]=+p[ba>>3]+ +p[aa>>3];p[P>>3]=+p[K>>3]-+p[ba>>3];p[Q>>3]=+p[K>>3]-+p[P>>3];p[R>>3]=+p[aa>>3]-+p[P>>3];p[S>>3]=+p[ba>>3]-+p[Q>>3];p[J+16>>3]=+p[S>>3]+ +p[R>>3];p[J+24>>3]=+p[K>>3];K=Ee(k[H>>2]|0,D,4,J,E)|0;k[I>>2]=K;p[f>>3]=+p[E+((k[I>>2]|0)-1<<3)>>3];da=+p[f>>3];r=e;return +da}p[f>>3]=+p[z>>3];da=+p[f>>3];r=e;return +da}p[f>>3]=+p[z>>3];da=+p[f>>3];r=e;return +da}function Ie(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0.0,v=0.0;f=r;r=r+80|0;g=f+40|0;h=f+64|0;i=f+60|0;j=f+56|0;l=f+52|0;m=f+48|0;n=f+32|0;o=f+24|0;q=f+16|0;s=f+8|0;t=f;k[h>>2]=a;k[i>>2]=b;k[j>>2]=c;k[l>>2]=d;k[m>>2]=e;e=(k[h>>2]|0)+49736|0;k[e>>2]=(k[e>>2]|0)+1;p[n>>3]=(+p[k[j>>2]>>3]-+p[k[m>>2]>>3])*(+p[(k[l>>2]|0)+8>>3]-+p[(k[m>>2]|0)+8>>3]);p[o>>3]=(+p[(k[j>>2]|0)+8>>3]-+p[(k[m>>2]|0)+8>>3])*(+p[k[l>>2]>>3]-+p[k[m>>2]>>3]);p[q>>3]=+p[n>>3]-+p[o>>3];if(k[(k[i>>2]|0)+84>>2]|0){p[g>>3]=+p[q>>3];u=+p[g>>3];r=f;return +u}do if(+p[n>>3]>0.0){if(!(+p[o>>3]<=0.0)){p[s>>3]=+p[n>>3]+ +p[o>>3];break}p[g>>3]=+p[q>>3];u=+p[g>>3];r=f;return +u}else{if(!(+p[n>>3]<0.0)){p[g>>3]=+p[q>>3];u=+p[g>>3];r=f;return +u}if(!(+p[o>>3]>=0.0)){p[s>>3]=-+p[n>>3]-+p[o>>3];break}p[g>>3]=+p[q>>3];u=+p[g>>3];r=f;return +u}while(0);p[t>>3]=+p[8]*+p[s>>3];if(!(+p[q>>3]>=+p[t>>3])?!(-+p[q>>3]>=+p[t>>3]):0){v=+He(k[j>>2]|0,k[l>>2]|0,k[m>>2]|0,+p[s>>3]);p[g>>3]=v;u=+p[g>>3];r=f;return +u}p[g>>3]=+p[q>>3];u=+p[g>>3];r=f;return +u}function Je(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0.0;f=r;r=r+26416|0;g=f+26136|0;h=f+26412|0;i=f+26408|0;j=f+26404|0;l=f+26400|0;m=f+26128|0;n=f+26120|0;o=f+26112|0;q=f+26104|0;s=f+26096|0;t=f+26088|0;u=f+26080|0;v=f+26072|0;w=f+26064|0;x=f+26056|0;y=f+26048|0;z=f+26040|0;A=f+26032|0;B=f+26024|0;C=f+26016|0;D=f+26008|0;E=f+26e3|0;F=f+25992|0;G=f+25984|0;H=f+25976|0;I=f+25968|0;J=f+25936|0;K=f+25904|0;L=f+25872|0;M=f+25864|0;N=f+25856|0;O=f+25848|0;P=f+25784|0;Q=f+25656|0;R=f+25592|0;S=f+25464|0;T=f+25208|0;U=f+26396|0;V=f+26392|0;W=f+26388|0;X=f+26384|0;Y=f+26380|0;Z=f+25144|0;_=f+25016|0;$=f+24952|0;aa=f+24824|0;ba=f+24568|0;ca=f+26376|0;da=f+26372|0;ea=f+26368|0;fa=f+26364|0;ga=f+26360|0;ha=f+24504|0;ia=f+24376|0;ja=f+24312|0;ka=f+24184|0;la=f+23928|0;ma=f+26356|0;na=f+26352|0;oa=f+26348|0;pa=f+26344|0;qa=f+26340|0;ra=f+23416|0;sa=f+26336|0;ta=f+14200|0;ua=f+4984|0;va=f+26332|0;wa=f+26328|0;xa=f+26324|0;ya=f+26320|0;za=f+4976|0;Aa=f+4968|0;Ba=f+4960|0;Ca=f+4952|0;Da=f+4944|0;Ea=f+4936|0;Fa=f+4928|0;Ga=f+4920|0;Ha=f+4912|0;Ia=f+4904|0;Ja=f+4896|0;Ka=f+4888|0;La=f+4880|0;Ma=f+4872|0;Na=f+4864|0;Oa=f+4856|0;Pa=f+4848|0;Qa=f+4840|0;Ra=f+4808|0;Sa=f+4776|0;Ta=f+4744|0;Ua=f+4736|0;Va=f+4728|0;Wa=f+4720|0;Xa=f+4712|0;Ya=f+4704|0;Za=f+4696|0;_a=f+4688|0;$a=f+4656|0;ab=f+4624|0;bb=f+4616|0;cb=f+4608|0;db=f+4544|0;eb=f+4416|0;fb=f+4288|0;gb=f+4160|0;hb=f+3904|0;ib=f+3648|0;jb=f+3264|0;kb=f+2752|0;lb=f+26316|0;mb=f+26312|0;nb=f+26308|0;ob=f+26304|0;pb=f+26300|0;qb=f+26296|0;rb=f+26292|0;sb=f+26288|0;tb=f+2688|0;ub=f+2624|0;vb=f+2560|0;wb=f+2496|0;xb=f+26284|0;yb=f+26280|0;zb=f+26276|0;Ab=f+26272|0;Bb=f+2432|0;Cb=f+2368|0;Db=f+2304|0;Eb=f+2240|0;Fb=f+26268|0;Gb=f+26264|0;Hb=f+26260|0;Ib=f+26256|0;Jb=f+2176|0;Kb=f+2112|0;Lb=f+2048|0;Mb=f+1984|0;Nb=f+26252|0;Ob=f+26248|0;Pb=f+26244|0;Qb=f+26240|0;Rb=f+1920|0;Sb=f+1856|0;Tb=f+1792|0;Ub=f+1728|0;Vb=f+1664|0;Wb=f+1600|0;Xb=f+26236|0;Yb=f+26232|0;Zb=f+26228|0;_b=f+26224|0;$b=f+26220|0;ac=f+26216|0;bc=f+1472|0;cc=f+1344|0;dc=f+1216|0;ec=f+1088|0;fc=f+960|0;gc=f+832|0;hc=f+26212|0;ic=f+26208|0;jc=f+26204|0;kc=f+26200|0;lc=f+26196|0;mc=f+26192|0;nc=f+768|0;oc=f+704|0;pc=f+640|0;qc=f+576|0;rc=f+512|0;sc=f+448|0;tc=f+26188|0;uc=f+26184|0;vc=f+26180|0;wc=f+26176|0;xc=f+26172|0;yc=f+26168|0;zc=f+384|0;Ac=f+320|0;Bc=f+256|0;Cc=f+26164|0;Dc=f+26160|0;Ec=f+26156|0;Fc=f+224|0;Gc=f+192|0;Hc=f+160|0;Ic=f+26152|0;Jc=f+26148|0;Kc=f+26144|0;Lc=f+152|0;Mc=f+144|0;Nc=f+136|0;Oc=f+128|0;Pc=f+120|0;Qc=f+112|0;Rc=f+104|0;Sc=f+96|0;Tc=f+88|0;Uc=f+80|0;Vc=f+72|0;Wc=f+64|0;Xc=f+56|0;Yc=f+48|0;Zc=f+40|0;_c=f+32|0;$c=f+24|0;ad=f+16|0;bd=f+8|0;cd=f;k[h>>2]=a;k[i>>2]=b;k[j>>2]=c;k[l>>2]=d;p[m>>3]=e;p[n>>3]=+p[k[h>>2]>>3]-+p[k[l>>2]>>3];p[o>>3]=+p[k[i>>2]>>3]-+p[k[l>>2]>>3];p[q>>3]=+p[k[j>>2]>>3]-+p[k[l>>2]>>3];p[s>>3]=+p[(k[h>>2]|0)+8>>3]-+p[(k[l>>2]|0)+8>>3];p[t>>3]=+p[(k[i>>2]|0)+8>>3]-+p[(k[l>>2]|0)+8>>3];p[u>>3]=+p[(k[j>>2]|0)+8>>3]-+p[(k[l>>2]|0)+8>>3];p[x>>3]=+p[o>>3]*+p[u>>3];p[Tc>>3]=+p[5]*+p[o>>3];p[Uc>>3]=+p[Tc>>3]-+p[o>>3];p[Vc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Wc>>3]=+p[o>>3]-+p[Vc>>3];p[Tc>>3]=+p[5]*+p[u>>3];p[Uc>>3]=+p[Tc>>3]-+p[u>>3];p[Xc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Yc>>3]=+p[u>>3]-+p[Xc>>3];p[Zc>>3]=+p[x>>3]-+p[Vc>>3]*+p[Xc>>3];p[_c>>3]=+p[Zc>>3]-+p[Wc>>3]*+p[Xc>>3];p[$c>>3]=+p[_c>>3]-+p[Vc>>3]*+p[Yc>>3];p[D>>3]=+p[Wc>>3]*+p[Yc>>3]-+p[$c>>3];p[y>>3]=+p[q>>3]*+p[t>>3];p[Tc>>3]=+p[5]*+p[q>>3];p[Uc>>3]=+p[Tc>>3]-+p[q>>3];p[Vc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Wc>>3]=+p[q>>3]-+p[Vc>>3];p[Tc>>3]=+p[5]*+p[t>>3];p[Uc>>3]=+p[Tc>>3]-+p[t>>3];p[Xc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Yc>>3]=+p[t>>3]-+p[Xc>>3];p[Zc>>3]=+p[y>>3]-+p[Vc>>3]*+p[Xc>>3];p[_c>>3]=+p[Zc>>3]-+p[Wc>>3]*+p[Xc>>3];p[$c>>3]=+p[_c>>3]-+p[Vc>>3]*+p[Yc>>3];p[E>>3]=+p[Wc>>3]*+p[Yc>>3]-+p[$c>>3];p[ad>>3]=+p[D>>3]-+p[E>>3];p[Pc>>3]=+p[D>>3]-+p[ad>>3];p[Qc>>3]=+p[ad>>3]+ +p[Pc>>3];p[Rc>>3]=+p[Pc>>3]-+p[E>>3];p[Sc>>3]=+p[D>>3]-+p[Qc>>3];p[J>>3]=+p[Sc>>3]+ +p[Rc>>3];p[bd>>3]=+p[x>>3]+ +p[ad>>3];p[Pc>>3]=+p[bd>>3]-+p[x>>3];p[Qc>>3]=+p[bd>>3]-+p[Pc>>3];p[Rc>>3]=+p[ad>>3]-+p[Pc>>3];p[Sc>>3]=+p[x>>3]-+p[Qc>>3];p[cd>>3]=+p[Sc>>3]+ +p[Rc>>3];p[ad>>3]=+p[cd>>3]-+p[y>>3];p[Pc>>3]=+p[cd>>3]-+p[ad>>3];p[Qc>>3]=+p[ad>>3]+ +p[Pc>>3];p[Rc>>3]=+p[Pc>>3]-+p[y>>3];p[Sc>>3]=+p[cd>>3]-+p[Qc>>3];p[J+8>>3]=+p[Sc>>3]+ +p[Rc>>3];p[M>>3]=+p[bd>>3]+ +p[ad>>3];p[Pc>>3]=+p[M>>3]-+p[bd>>3];p[Qc>>3]=+p[M>>3]-+p[Pc>>3];p[Rc>>3]=+p[ad>>3]-+p[Pc>>3];p[Sc>>3]=+p[bd>>3]-+p[Qc>>3];p[J+16>>3]=+p[Sc>>3]+ +p[Rc>>3];p[J+24>>3]=+p[M>>3];M=Fe(4,J,+p[n>>3],P)|0;k[U>>2]=M;M=Fe(k[U>>2]|0,P,+p[n>>3],Q)|0;k[V>>2]=M;M=Fe(4,J,+p[s>>3],R)|0;k[W>>2]=M;M=Fe(k[W>>2]|0,R,+p[s>>3],S)|0;k[X>>2]=M;M=Ee(k[V>>2]|0,Q,k[X>>2]|0,S,T)|0;k[Y>>2]=M;p[z>>3]=+p[q>>3]*+p[s>>3];p[Tc>>3]=+p[5]*+p[q>>3];p[Uc>>3]=+p[Tc>>3]-+p[q>>3];p[Vc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Wc>>3]=+p[q>>3]-+p[Vc>>3];p[Tc>>3]=+p[5]*+p[s>>3];p[Uc>>3]=+p[Tc>>3]-+p[s>>3];p[Xc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Yc>>3]=+p[s>>3]-+p[Xc>>3];p[Zc>>3]=+p[z>>3]-+p[Vc>>3]*+p[Xc>>3];p[_c>>3]=+p[Zc>>3]-+p[Wc>>3]*+p[Xc>>3];p[$c>>3]=+p[_c>>3]-+p[Vc>>3]*+p[Yc>>3];p[F>>3]=+p[Wc>>3]*+p[Yc>>3]-+p[$c>>3];p[A>>3]=+p[n>>3]*+p[u>>3];p[Tc>>3]=+p[5]*+p[n>>3];p[Uc>>3]=+p[Tc>>3]-+p[n>>3];p[Vc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Wc>>3]=+p[n>>3]-+p[Vc>>3];p[Tc>>3]=+p[5]*+p[u>>3];p[Uc>>3]=+p[Tc>>3]-+p[u>>3];p[Xc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Yc>>3]=+p[u>>3]-+p[Xc>>3];p[Zc>>3]=+p[A>>3]-+p[Vc>>3]*+p[Xc>>3];p[_c>>3]=+p[Zc>>3]-+p[Wc>>3]*+p[Xc>>3];p[$c>>3]=+p[_c>>3]-+p[Vc>>3]*+p[Yc>>3];p[G>>3]=+p[Wc>>3]*+p[Yc>>3]-+p[$c>>3];p[ad>>3]=+p[F>>3]-+p[G>>3];p[Pc>>3]=+p[F>>3]-+p[ad>>3];p[Qc>>3]=+p[ad>>3]+ +p[Pc>>3];p[Rc>>3]=+p[Pc>>3]-+p[G>>3];p[Sc>>3]=+p[F>>3]-+p[Qc>>3];p[K>>3]=+p[Sc>>3]+ +p[Rc>>3];p[bd>>3]=+p[z>>3]+ +p[ad>>3];p[Pc>>3]=+p[bd>>3]-+p[z>>3];p[Qc>>3]=+p[bd>>3]-+p[Pc>>3];p[Rc>>3]=+p[ad>>3]-+p[Pc>>3];p[Sc>>3]=+p[z>>3]-+p[Qc>>3];p[cd>>3]=+p[Sc>>3]+ +p[Rc>>3];p[ad>>3]=+p[cd>>3]-+p[A>>3];p[Pc>>3]=+p[cd>>3]-+p[ad>>3];p[Qc>>3]=+p[ad>>3]+ +p[Pc>>3];p[Rc>>3]=+p[Pc>>3]-+p[A>>3];p[Sc>>3]=+p[cd>>3]-+p[Qc>>3];p[K+8>>3]=+p[Sc>>3]+ +p[Rc>>3];p[N>>3]=+p[bd>>3]+ +p[ad>>3];p[Pc>>3]=+p[N>>3]-+p[bd>>3];p[Qc>>3]=+p[N>>3]-+p[Pc>>3];p[Rc>>3]=+p[ad>>3]-+p[Pc>>3];p[Sc>>3]=+p[bd>>3]-+p[Qc>>3];p[K+16>>3]=+p[Sc>>3]+ +p[Rc>>3];p[K+24>>3]=+p[N>>3];N=Fe(4,K,+p[o>>3],Z)|0;k[ca>>2]=N;N=Fe(k[ca>>2]|0,Z,+p[o>>3],_)|0;k[da>>2]=N;N=Fe(4,K,+p[t>>3],$)|0;k[ea>>2]=N;N=Fe(k[ea>>2]|0,$,+p[t>>3],aa)|0;k[fa>>2]=N;N=Ee(k[da>>2]|0,_,k[fa>>2]|0,aa,ba)|0;k[ga>>2]=N;p[B>>3]=+p[n>>3]*+p[t>>3];p[Tc>>3]=+p[5]*+p[n>>3];p[Uc>>3]=+p[Tc>>3]-+p[n>>3];p[Vc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Wc>>3]=+p[n>>3]-+p[Vc>>3];p[Tc>>3]=+p[5]*+p[t>>3];p[Uc>>3]=+p[Tc>>3]-+p[t>>3];p[Xc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Yc>>3]=+p[t>>3]-+p[Xc>>3];p[Zc>>3]=+p[B>>3]-+p[Vc>>3]*+p[Xc>>3];p[_c>>3]=+p[Zc>>3]-+p[Wc>>3]*+p[Xc>>3];p[$c>>3]=+p[_c>>3]-+p[Vc>>3]*+p[Yc>>3];p[H>>3]=+p[Wc>>3]*+p[Yc>>3]-+p[$c>>3];p[C>>3]=+p[o>>3]*+p[s>>3];p[Tc>>3]=+p[5]*+p[o>>3];p[Uc>>3]=+p[Tc>>3]-+p[o>>3];p[Vc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Wc>>3]=+p[o>>3]-+p[Vc>>3];p[Tc>>3]=+p[5]*+p[s>>3];p[Uc>>3]=+p[Tc>>3]-+p[s>>3];p[Xc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Yc>>3]=+p[s>>3]-+p[Xc>>3];p[Zc>>3]=+p[C>>3]-+p[Vc>>3]*+p[Xc>>3];p[_c>>3]=+p[Zc>>3]-+p[Wc>>3]*+p[Xc>>3];p[$c>>3]=+p[_c>>3]-+p[Vc>>3]*+p[Yc>>3];p[I>>3]=+p[Wc>>3]*+p[Yc>>3]-+p[$c>>3];p[ad>>3]=+p[H>>3]-+p[I>>3];p[Pc>>3]=+p[H>>3]-+p[ad>>3];p[Qc>>3]=+p[ad>>3]+ +p[Pc>>3];p[Rc>>3]=+p[Pc>>3]-+p[I>>3];p[Sc>>3]=+p[H>>3]-+p[Qc>>3];p[L>>3]=+p[Sc>>3]+ +p[Rc>>3];p[bd>>3]=+p[B>>3]+ +p[ad>>3];p[Pc>>3]=+p[bd>>3]-+p[B>>3];p[Qc>>3]=+p[bd>>3]-+p[Pc>>3];p[Rc>>3]=+p[ad>>3]-+p[Pc>>3];p[Sc>>3]=+p[B>>3]-+p[Qc>>3];p[cd>>3]=+p[Sc>>3]+ +p[Rc>>3];p[ad>>3]=+p[cd>>3]-+p[C>>3];p[Pc>>3]=+p[cd>>3]-+p[ad>>3];p[Qc>>3]=+p[ad>>3]+ +p[Pc>>3];p[Rc>>3]=+p[Pc>>3]-+p[C>>3];p[Sc>>3]=+p[cd>>3]-+p[Qc>>3];p[L+8>>3]=+p[Sc>>3]+ +p[Rc>>3];p[O>>3]=+p[bd>>3]+ +p[ad>>3];p[Pc>>3]=+p[O>>3]-+p[bd>>3];p[Qc>>3]=+p[O>>3]-+p[Pc>>3];p[Rc>>3]=+p[ad>>3]-+p[Pc>>3];p[Sc>>3]=+p[bd>>3]-+p[Qc>>3];p[L+16>>3]=+p[Sc>>3]+ +p[Rc>>3];p[L+24>>3]=+p[O>>3];O=Fe(4,L,+p[q>>3],ha)|0;k[ma>>2]=O;O=Fe(k[ma>>2]|0,ha,+p[q>>3],ia)|0;k[na>>2]=O;O=Fe(4,L,+p[u>>3],ja)|0;k[oa>>2]=O;O=Fe(k[oa>>2]|0,ja,+p[u>>3],ka)|0;k[pa>>2]=O;O=Ee(k[na>>2]|0,ia,k[pa>>2]|0,ka,la)|0;k[qa>>2]=O;O=Ee(k[Y>>2]|0,T,k[ga>>2]|0,ba,ra)|0;k[sa>>2]=O;O=Ee(k[sa>>2]|0,ra,k[qa>>2]|0,la,ta)|0;k[ya>>2]=O;e=+Ge(k[ya>>2]|0,ta);p[v>>3]=e;p[w>>3]=+p[12]*+p[m>>3];if(!(+p[v>>3]>=+p[w>>3])?!(-+p[v>>3]>=+p[w>>3]):0){p[Pc>>3]=+p[k[h>>2]>>3]-+p[n>>3];p[Qc>>3]=+p[n>>3]+ +p[Pc>>3];p[Rc>>3]=+p[Pc>>3]-+p[k[l>>2]>>3];p[Sc>>3]=+p[k[h>>2]>>3]-+p[Qc>>3];p[za>>3]=+p[Sc>>3]+ +p[Rc>>3];p[Pc>>3]=+p[(k[h>>2]|0)+8>>3]-+p[s>>3];p[Qc>>3]=+p[s>>3]+ +p[Pc>>3];p[Rc>>3]=+p[Pc>>3]-+p[(k[l>>2]|0)+8>>3];p[Sc>>3]=+p[(k[h>>2]|0)+8>>3]-+p[Qc>>3];p[Ca>>3]=+p[Sc>>3]+ +p[Rc>>3];p[Pc>>3]=+p[k[i>>2]>>3]-+p[o>>3];p[Qc>>3]=+p[o>>3]+ +p[Pc>>3];p[Rc>>3]=+p[Pc>>3]-+p[k[l>>2]>>3];p[Sc>>3]=+p[k[i>>2]>>3]-+p[Qc>>3];p[Aa>>3]=+p[Sc>>3]+ +p[Rc>>3];p[Pc>>3]=+p[(k[i>>2]|0)+8>>3]-+p[t>>3];p[Qc>>3]=+p[t>>3]+ +p[Pc>>3];p[Rc>>3]=+p[Pc>>3]-+p[(k[l>>2]|0)+8>>3];p[Sc>>3]=+p[(k[i>>2]|0)+8>>3]-+p[Qc>>3];p[Da>>3]=+p[Sc>>3]+ +p[Rc>>3];p[Pc>>3]=+p[k[j>>2]>>3]-+p[q>>3];p[Qc>>3]=+p[q>>3]+ +p[Pc>>3];p[Rc>>3]=+p[Pc>>3]-+p[k[l>>2]>>3];p[Sc>>3]=+p[k[j>>2]>>3]-+p[Qc>>3];p[Ba>>3]=+p[Sc>>3]+ +p[Rc>>3];p[Pc>>3]=+p[(k[j>>2]|0)+8>>3]-+p[u>>3];p[Qc>>3]=+p[u>>3]+ +p[Pc>>3];p[Rc>>3]=+p[Pc>>3]-+p[(k[l>>2]|0)+8>>3];p[Sc>>3]=+p[(k[j>>2]|0)+8>>3]-+p[Qc>>3];p[Ea>>3]=+p[Sc>>3]+ +p[Rc>>3];if(+p[za>>3]==0.0&+p[Aa>>3]==0.0&+p[Ba>>3]==0.0&+p[Ca>>3]==0.0&+p[Da>>3]==0.0&+p[Ea>>3]==0.0){p[g>>3]=+p[v>>3];dd=+p[g>>3];r=f;return +dd}e=+p[v>>3];p[w>>3]=+p[13]*+p[m>>3]+ +p[7]*(+p[v>>3]>=0.0?e:-e);p[v>>3]=+p[v>>3]+((+p[n>>3]*+p[n>>3]+ +p[s>>3]*+p[s>>3])*(+p[o>>3]*+p[Ea>>3]+ +p[u>>3]*+p[Aa>>3]-(+p[t>>3]*+p[Ba>>3]+ +p[q>>3]*+p[Da>>3]))+(+p[n>>3]*+p[za>>3]+ +p[s>>3]*+p[Ca>>3])*2.0*(+p[o>>3]*+p[u>>3]-+p[t>>3]*+p[q>>3])+((+p[o>>3]*+p[o>>3]+ +p[t>>3]*+p[t>>3])*(+p[q>>3]*+p[Ca>>3]+ +p[s>>3]*+p[Ba>>3]-(+p[u>>3]*+p[za>>3]+ +p[n>>3]*+p[Ea>>3]))+(+p[o>>3]*+p[Aa>>3]+ +p[t>>3]*+p[Da>>3])*2.0*(+p[q>>3]*+p[s>>3]-+p[u>>3]*+p[n>>3]))+((+p[q>>3]*+p[q>>3]+ +p[u>>3]*+p[u>>3])*(+p[n>>3]*+p[Da>>3]+ +p[t>>3]*+p[za>>3]-(+p[s>>3]*+p[Aa>>3]+ +p[o>>3]*+p[Ca>>3]))+(+p[q>>3]*+p[Ba>>3]+ +p[u>>3]*+p[Ea>>3])*2.0*(+p[n>>3]*+p[t>>3]-+p[s>>3]*+p[o>>3])));if(!(+p[v>>3]>=+p[w>>3])?!(-+p[v>>3]>=+p[w>>3]):0){k[va>>2]=ta;k[wa>>2]=ua;if(+p[Aa>>3]!=0.0|+p[Da>>3]!=0.0|+p[Ba>>3]!=0.0|+p[Ea>>3]!=0.0){p[Fa>>3]=+p[n>>3]*+p[n>>3];p[Tc>>3]=+p[5]*+p[n>>3];p[Uc>>3]=+p[Tc>>3]-+p[n>>3];p[Vc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Wc>>3]=+p[n>>3]-+p[Vc>>3];p[Zc>>3]=+p[Fa>>3]-+p[Vc>>3]*+p[Vc>>3];p[$c>>3]=+p[Zc>>3]-(+p[Vc>>3]+ +p[Vc>>3])*+p[Wc>>3];p[La>>3]=+p[Wc>>3]*+p[Wc>>3]-+p[$c>>3];p[Ga>>3]=+p[s>>3]*+p[s>>3];p[Tc>>3]=+p[5]*+p[s>>3];p[Uc>>3]=+p[Tc>>3]-+p[s>>3];p[Vc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Wc>>3]=+p[s>>3]-+p[Vc>>3];p[Zc>>3]=+p[Ga>>3]-+p[Vc>>3]*+p[Vc>>3];p[$c>>3]=+p[Zc>>3]-(+p[Vc>>3]+ +p[Vc>>3])*+p[Wc>>3];p[Ma>>3]=+p[Wc>>3]*+p[Wc>>3]-+p[$c>>3];p[ad>>3]=+p[La>>3]+ +p[Ma>>3];p[Pc>>3]=+p[ad>>3]-+p[La>>3];p[Qc>>3]=+p[ad>>3]-+p[Pc>>3];p[Rc>>3]=+p[Ma>>3]-+p[Pc>>3];p[Sc>>3]=+p[La>>3]-+p[Qc>>3];p[Ra>>3]=+p[Sc>>3]+ +p[Rc>>3];p[bd>>3]=+p[Fa>>3]+ +p[ad>>3];p[Pc>>3]=+p[bd>>3]-+p[Fa>>3];p[Qc>>3]=+p[bd>>3]-+p[Pc>>3];p[Rc>>3]=+p[ad>>3]-+p[Pc>>3];p[Sc>>3]=+p[Fa>>3]-+p[Qc>>3];p[cd>>3]=+p[Sc>>3]+ +p[Rc>>3];p[ad>>3]=+p[cd>>3]+ +p[Ga>>3];p[Pc>>3]=+p[ad>>3]-+p[cd>>3];p[Qc>>3]=+p[ad>>3]-+p[Pc>>3];p[Rc>>3]=+p[Ga>>3]-+p[Pc>>3];p[Sc>>3]=+p[cd>>3]-+p[Qc>>3];p[Ra+8>>3]=+p[Sc>>3]+ +p[Rc>>3];p[Ua>>3]=+p[bd>>3]+ +p[ad>>3];p[Pc>>3]=+p[Ua>>3]-+p[bd>>3];p[Qc>>3]=+p[Ua>>3]-+p[Pc>>3];p[Rc>>3]=+p[ad>>3]-+p[Pc>>3];p[Sc>>3]=+p[bd>>3]-+p[Qc>>3];p[Ra+16>>3]=+p[Sc>>3]+ +p[Rc>>3];p[Ra+24>>3]=+p[Ua>>3]}if(+p[Ba>>3]!=0.0|+p[Ea>>3]!=0.0|+p[za>>3]!=0.0|+p[Ca>>3]!=0.0){p[Ha>>3]=+p[o>>3]*+p[o>>3];p[Tc>>3]=+p[5]*+p[o>>3];p[Uc>>3]=+p[Tc>>3]-+p[o>>3];p[Vc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Wc>>3]=+p[o>>3]-+p[Vc>>3];p[Zc>>3]=+p[Ha>>3]-+p[Vc>>3]*+p[Vc>>3];p[$c>>3]=+p[Zc>>3]-(+p[Vc>>3]+ +p[Vc>>3])*+p[Wc>>3];p[Na>>3]=+p[Wc>>3]*+p[Wc>>3]-+p[$c>>3];p[Ia>>3]=+p[t>>3]*+p[t>>3];p[Tc>>3]=+p[5]*+p[t>>3];p[Uc>>3]=+p[Tc>>3]-+p[t>>3];p[Vc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Wc>>3]=+p[t>>3]-+p[Vc>>3];p[Zc>>3]=+p[Ia>>3]-+p[Vc>>3]*+p[Vc>>3];p[$c>>3]=+p[Zc>>3]-(+p[Vc>>3]+ +p[Vc>>3])*+p[Wc>>3];p[Oa>>3]=+p[Wc>>3]*+p[Wc>>3]-+p[$c>>3];p[ad>>3]=+p[Na>>3]+ +p[Oa>>3];p[Pc>>3]=+p[ad>>3]-+p[Na>>3];p[Qc>>3]=+p[ad>>3]-+p[Pc>>3];p[Rc>>3]=+p[Oa>>3]-+p[Pc>>3];p[Sc>>3]=+p[Na>>3]-+p[Qc>>3];p[Sa>>3]=+p[Sc>>3]+ +p[Rc>>3];p[bd>>3]=+p[Ha>>3]+ +p[ad>>3];p[Pc>>3]=+p[bd>>3]-+p[Ha>>3];p[Qc>>3]=+p[bd>>3]-+p[Pc>>3];p[Rc>>3]=+p[ad>>3]-+p[Pc>>3];p[Sc>>3]=+p[Ha>>3]-+p[Qc>>3];p[cd>>3]=+p[Sc>>3]+ +p[Rc>>3];p[ad>>3]=+p[cd>>3]+ +p[Ia>>3];p[Pc>>3]=+p[ad>>3]-+p[cd>>3];p[Qc>>3]=+p[ad>>3]-+p[Pc>>3];p[Rc>>3]=+p[Ia>>3]-+p[Pc>>3];p[Sc>>3]=+p[cd>>3]-+p[Qc>>3];p[Sa+8>>3]=+p[Sc>>3]+ +p[Rc>>3];p[Va>>3]=+p[bd>>3]+ +p[ad>>3];p[Pc>>3]=+p[Va>>3]-+p[bd>>3];p[Qc>>3]=+p[Va>>3]-+p[Pc>>3];p[Rc>>3]=+p[ad>>3]-+p[Pc>>3];p[Sc>>3]=+p[bd>>3]-+p[Qc>>3];p[Sa+16>>3]=+p[Sc>>3]+ +p[Rc>>3];p[Sa+24>>3]=+p[Va>>3]}if(+p[za>>3]!=0.0|+p[Ca>>3]!=0.0|+p[Aa>>3]!=0.0|+p[Da>>3]!=0.0){p[Ja>>3]=+p[q>>3]*+p[q>>3];p[Tc>>3]=+p[5]*+p[q>>3];p[Uc>>3]=+p[Tc>>3]-+p[q>>3];p[Vc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Wc>>3]=+p[q>>3]-+p[Vc>>3];p[Zc>>3]=+p[Ja>>3]-+p[Vc>>3]*+p[Vc>>3];p[$c>>3]=+p[Zc>>3]-(+p[Vc>>3]+ +p[Vc>>3])*+p[Wc>>3];p[Pa>>3]=+p[Wc>>3]*+p[Wc>>3]-+p[$c>>3];p[Ka>>3]=+p[u>>3]*+p[u>>3];p[Tc>>3]=+p[5]*+p[u>>3];p[Uc>>3]=+p[Tc>>3]-+p[u>>3];p[Vc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Wc>>3]=+p[u>>3]-+p[Vc>>3];p[Zc>>3]=+p[Ka>>3]-+p[Vc>>3]*+p[Vc>>3];p[$c>>3]=+p[Zc>>3]-(+p[Vc>>3]+ +p[Vc>>3])*+p[Wc>>3];p[Qa>>3]=+p[Wc>>3]*+p[Wc>>3]-+p[$c>>3];p[ad>>3]=+p[Pa>>3]+ +p[Qa>>3];p[Pc>>3]=+p[ad>>3]-+p[Pa>>3];p[Qc>>3]=+p[ad>>3]-+p[Pc>>3];p[Rc>>3]=+p[Qa>>3]-+p[Pc>>3];p[Sc>>3]=+p[Pa>>3]-+p[Qc>>3];p[Ta>>3]=+p[Sc>>3]+ +p[Rc>>3];p[bd>>3]=+p[Ja>>3]+ +p[ad>>3];p[Pc>>3]=+p[bd>>3]-+p[Ja>>3];p[Qc>>3]=+p[bd>>3]-+p[Pc>>3];p[Rc>>3]=+p[ad>>3]-+p[Pc>>3];p[Sc>>3]=+p[Ja>>3]-+p[Qc>>3];p[cd>>3]=+p[Sc>>3]+ +p[Rc>>3];p[ad>>3]=+p[cd>>3]+ +p[Ka>>3];p[Pc>>3]=+p[ad>>3]-+p[cd>>3];p[Qc>>3]=+p[ad>>3]-+p[Pc>>3];p[Rc>>3]=+p[Ka>>3]-+p[Pc>>3];p[Sc>>3]=+p[cd>>3]-+p[Qc>>3];p[Ta+8>>3]=+p[Sc>>3]+ +p[Rc>>3];p[Wa>>3]=+p[bd>>3]+ +p[ad>>3];p[Pc>>3]=+p[Wa>>3]-+p[bd>>3];p[Qc>>3]=+p[Wa>>3]-+p[Pc>>3];p[Rc>>3]=+p[ad>>3]-+p[Pc>>3];p[Sc>>3]=+p[bd>>3]-+p[Qc>>3];p[Ta+16>>3]=+p[Sc>>3]+ +p[Rc>>3];p[Ta+24>>3]=+p[Wa>>3]}if(+p[za>>3]!=0.0){Wa=Fe(4,J,+p[za>>3],Rb)|0;k[Xb>>2]=Wa;Wa=Fe(k[Xb>>2]|0,Rb,+p[n>>3]*2.0,eb)|0;k[mb>>2]=Wa;Wa=Fe(4,Ta,+p[za>>3],ub)|0;k[yb>>2]=Wa;Wa=Fe(k[yb>>2]|0,ub,+p[t>>3],fb)|0;k[nb>>2]=Wa;Wa=Fe(4,Sa,+p[za>>3],tb)|0;k[xb>>2]=Wa;Wa=Fe(k[xb>>2]|0,tb,-+p[u>>3],gb)|0;k[ob>>2]=Wa;Wa=Ee(k[mb>>2]|0,eb,k[nb>>2]|0,fb,hb)|0;k[pb>>2]=Wa;Wa=Ee(k[ob>>2]|0,gb,k[pb>>2]|0,hb,jb)|0;k[rb>>2]=Wa;Wa=Ee(k[ya>>2]|0,k[va>>2]|0,k[rb>>2]|0,jb,k[wa>>2]|0)|0;k[ya>>2]=Wa;k[xa>>2]=k[va>>2];k[va>>2]=k[wa>>2];k[wa>>2]=k[xa>>2]}if(+p[Ca>>3]!=0.0){Wa=Fe(4,J,+p[Ca>>3],Sb)|0;k[Yb>>2]=Wa;Wa=Fe(k[Yb>>2]|0,Sb,+p[s>>3]*2.0,eb)|0;k[mb>>2]=Wa;Wa=Fe(4,Sa,+p[Ca>>3],vb)|0;k[zb>>2]=Wa;Wa=Fe(k[zb>>2]|0,vb,+p[q>>3],fb)|0;k[nb>>2]=Wa;Wa=Fe(4,Ta,+p[Ca>>3],wb)|0;k[Ab>>2]=Wa;Wa=Fe(k[Ab>>2]|0,wb,-+p[o>>3],gb)|0;k[ob>>2]=Wa;Wa=Ee(k[mb>>2]|0,eb,k[nb>>2]|0,fb,hb)|0;k[pb>>2]=Wa;Wa=Ee(k[ob>>2]|0,gb,k[pb>>2]|0,hb,jb)|0;k[rb>>2]=Wa;Wa=Ee(k[ya>>2]|0,k[va>>2]|0,k[rb>>2]|0,jb,k[wa>>2]|0)|0;k[ya>>2]=Wa;k[xa>>2]=k[va>>2];k[va>>2]=k[wa>>2];k[wa>>2]=k[xa>>2]}if(+p[Aa>>3]!=0.0){Wa=Fe(4,K,+p[Aa>>3],Tb)|0;k[Zb>>2]=Wa;Wa=Fe(k[Zb>>2]|0,Tb,+p[o>>3]*2.0,eb)|0;k[mb>>2]=Wa;Wa=Fe(4,Ra,+p[Aa>>3],Bb)|0;k[Fb>>2]=Wa;Wa=Fe(k[Fb>>2]|0,Bb,+p[u>>3],fb)|0;k[nb>>2]=Wa;Wa=Fe(4,Ta,+p[Aa>>3],Cb)|0;k[Gb>>2]=Wa;Wa=Fe(k[Gb>>2]|0,Cb,-+p[s>>3],gb)|0;k[ob>>2]=Wa;Wa=Ee(k[mb>>2]|0,eb,k[nb>>2]|0,fb,hb)|0;k[pb>>2]=Wa;Wa=Ee(k[ob>>2]|0,gb,k[pb>>2]|0,hb,jb)|0;k[rb>>2]=Wa;Wa=Ee(k[ya>>2]|0,k[va>>2]|0,k[rb>>2]|0,jb,k[wa>>2]|0)|0;k[ya>>2]=Wa;k[xa>>2]=k[va>>2];k[va>>2]=k[wa>>2];k[wa>>2]=k[xa>>2]}if(+p[Da>>3]!=0.0){Wa=Fe(4,K,+p[Da>>3],Ub)|0;k[_b>>2]=Wa;Wa=Fe(k[_b>>2]|0,Ub,+p[t>>3]*2.0,eb)|0;k[mb>>2]=Wa;Wa=Fe(4,Ta,+p[Da>>3],Eb)|0;k[Ib>>2]=Wa;Wa=Fe(k[Ib>>2]|0,Eb,+p[n>>3],fb)|0;k[nb>>2]=Wa;Wa=Fe(4,Ra,+p[Da>>3],Db)|0;k[Hb>>2]=Wa;Wa=Fe(k[Hb>>2]|0,Db,-+p[q>>3],gb)|0;k[ob>>2]=Wa;Wa=Ee(k[mb>>2]|0,eb,k[nb>>2]|0,fb,hb)|0;k[pb>>2]=Wa;Wa=Ee(k[ob>>2]|0,gb,k[pb>>2]|0,hb,jb)|0;k[rb>>2]=Wa;Wa=Ee(k[ya>>2]|0,k[va>>2]|0,k[rb>>2]|0,jb,k[wa>>2]|0)|0;k[ya>>2]=Wa;k[xa>>2]=k[va>>2];k[va>>2]=k[wa>>2];k[wa>>2]=k[xa>>2]}if(+p[Ba>>3]!=0.0){Wa=Fe(4,L,+p[Ba>>3],Vb)|0;k[$b>>2]=Wa;Wa=Fe(k[$b>>2]|0,Vb,+p[q>>3]*2.0,eb)|0;k[mb>>2]=Wa;Wa=Fe(4,Sa,+p[Ba>>3],Kb)|0;k[Ob>>2]=Wa;Wa=Fe(k[Ob>>2]|0,Kb,+p[s>>3],fb)|0;k[nb>>2]=Wa;Wa=Fe(4,Ra,+p[Ba>>3],Jb)|0;k[Nb>>2]=Wa;Wa=Fe(k[Nb>>2]|0,Jb,-+p[t>>3],gb)|0;k[ob>>2]=Wa;Wa=Ee(k[mb>>2]|0,eb,k[nb>>2]|0,fb,hb)|0;k[pb>>2]=Wa;Wa=Ee(k[ob>>2]|0,gb,k[pb>>2]|0,hb,jb)|0;k[rb>>2]=Wa;Wa=Ee(k[ya>>2]|0,k[va>>2]|0,k[rb>>2]|0,jb,k[wa>>2]|0)|0;k[ya>>2]=Wa;k[xa>>2]=k[va>>2];k[va>>2]=k[wa>>2];k[wa>>2]=k[xa>>2]}if(+p[Ea>>3]!=0.0){Wa=Fe(4,L,+p[Ea>>3],Wb)|0;k[ac>>2]=Wa;Wa=Fe(k[ac>>2]|0,Wb,+p[u>>3]*2.0,eb)|0;k[mb>>2]=Wa;Wa=Fe(4,Ra,+p[Ea>>3],Lb)|0;k[Pb>>2]=Wa;Wa=Fe(k[Pb>>2]|0,Lb,+p[o>>3],fb)|0;k[nb>>2]=Wa;Wa=Fe(4,Sa,+p[Ea>>3],Mb)|0;k[Qb>>2]=Wa;Wa=Fe(k[Qb>>2]|0,Mb,-+p[n>>3],gb)|0;k[ob>>2]=Wa;Wa=Ee(k[mb>>2]|0,eb,k[nb>>2]|0,fb,hb)|0;k[pb>>2]=Wa;Wa=Ee(k[ob>>2]|0,gb,k[pb>>2]|0,hb,jb)|0;k[rb>>2]=Wa;Wa=Ee(k[ya>>2]|0,k[va>>2]|0,k[rb>>2]|0,jb,k[wa>>2]|0)|0;k[ya>>2]=Wa;k[xa>>2]=k[va>>2];k[va>>2]=k[wa>>2];k[wa>>2]=k[xa>>2]}do if(+p[za>>3]!=0.0|+p[Ca>>3]!=0.0){if(+p[Aa>>3]!=0.0|+p[Da>>3]!=0.0|+p[Ba>>3]!=0.0|+p[Ea>>3]!=0.0){p[Xa>>3]=+p[Aa>>3]*+p[u>>3];p[Tc>>3]=+p[5]*+p[Aa>>3];p[Uc>>3]=+p[Tc>>3]-+p[Aa>>3];p[Vc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Wc>>3]=+p[Aa>>3]-+p[Vc>>3];p[Tc>>3]=+p[5]*+p[u>>3];p[Uc>>3]=+p[Tc>>3]-+p[u>>3];p[Xc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Yc>>3]=+p[u>>3]-+p[Xc>>3];p[Zc>>3]=+p[Xa>>3]-+p[Vc>>3]*+p[Xc>>3];p[_c>>3]=+p[Zc>>3]-+p[Wc>>3]*+p[Xc>>3];p[$c>>3]=+p[_c>>3]-+p[Vc>>3]*+p[Yc>>3];p[Za>>3]=+p[Wc>>3]*+p[Yc>>3]-+p[$c>>3];p[Ya>>3]=+p[o>>3]*+p[Ea>>3];p[Tc>>3]=+p[5]*+p[o>>3];p[Uc>>3]=+p[Tc>>3]-+p[o>>3];p[Vc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Wc>>3]=+p[o>>3]-+p[Vc>>3];p[Tc>>3]=+p[5]*+p[Ea>>3];p[Uc>>3]=+p[Tc>>3]-+p[Ea>>3];p[Xc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Yc>>3]=+p[Ea>>3]-+p[Xc>>3];p[Zc>>3]=+p[Ya>>3]-+p[Vc>>3]*+p[Xc>>3];p[_c>>3]=+p[Zc>>3]-+p[Wc>>3]*+p[Xc>>3];p[$c>>3]=+p[_c>>3]-+p[Vc>>3]*+p[Yc>>3];p[_a>>3]=+p[Wc>>3]*+p[Yc>>3]-+p[$c>>3];p[ad>>3]=+p[Za>>3]+ +p[_a>>3];p[Pc>>3]=+p[ad>>3]-+p[Za>>3];p[Qc>>3]=+p[ad>>3]-+p[Pc>>3];p[Rc>>3]=+p[_a>>3]-+p[Pc>>3];p[Sc>>3]=+p[Za>>3]-+p[Qc>>3];p[$a>>3]=+p[Sc>>3]+ +p[Rc>>3];p[bd>>3]=+p[Xa>>3]+ +p[ad>>3];p[Pc>>3]=+p[bd>>3]-+p[Xa>>3];p[Qc>>3]=+p[bd>>3]-+p[Pc>>3];p[Rc>>3]=+p[ad>>3]-+p[Pc>>3];p[Sc>>3]=+p[Xa>>3]-+p[Qc>>3];p[cd>>3]=+p[Sc>>3]+ +p[Rc>>3];p[ad>>3]=+p[cd>>3]+ +p[Ya>>3];p[Pc>>3]=+p[ad>>3]-+p[cd>>3];p[Qc>>3]=+p[ad>>3]-+p[Pc>>3];p[Rc>>3]=+p[Ya>>3]-+p[Pc>>3];p[Sc>>3]=+p[cd>>3]-+p[Qc>>3];p[$a+8>>3]=+p[Sc>>3]+ +p[Rc>>3];p[bb>>3]=+p[bd>>3]+ +p[ad>>3];p[Pc>>3]=+p[bb>>3]-+p[bd>>3];p[Qc>>3]=+p[bb>>3]-+p[Pc>>3];p[Rc>>3]=+p[ad>>3]-+p[Pc>>3];p[Sc>>3]=+p[bd>>3]-+p[Qc>>3];p[$a+16>>3]=+p[Sc>>3]+ +p[Rc>>3];p[$a+24>>3]=+p[bb>>3];p[Oc>>3]=-+p[t>>3];p[Xa>>3]=+p[Ba>>3]*+p[Oc>>3];p[Tc>>3]=+p[5]*+p[Ba>>3];p[Uc>>3]=+p[Tc>>3]-+p[Ba>>3];p[Vc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Wc>>3]=+p[Ba>>3]-+p[Vc>>3];p[Tc>>3]=+p[5]*+p[Oc>>3];p[Uc>>3]=+p[Tc>>3]-+p[Oc>>3];p[Xc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Yc>>3]=+p[Oc>>3]-+p[Xc>>3];p[Zc>>3]=+p[Xa>>3]-+p[Vc>>3]*+p[Xc>>3];p[_c>>3]=+p[Zc>>3]-+p[Wc>>3]*+p[Xc>>3];p[$c>>3]=+p[_c>>3]-+p[Vc>>3]*+p[Yc>>3];p[Za>>3]=+p[Wc>>3]*+p[Yc>>3]-+p[$c>>3];p[Oc>>3]=-+p[Da>>3];p[Ya>>3]=+p[q>>3]*+p[Oc>>3];p[Tc>>3]=+p[5]*+p[q>>3];p[Uc>>3]=+p[Tc>>3]-+p[q>>3];p[Vc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Wc>>3]=+p[q>>3]-+p[Vc>>3];p[Tc>>3]=+p[5]*+p[Oc>>3];p[Uc>>3]=+p[Tc>>3]-+p[Oc>>3];p[Xc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Yc>>3]=+p[Oc>>3]-+p[Xc>>3];p[Zc>>3]=+p[Ya>>3]-+p[Vc>>3]*+p[Xc>>3];p[_c>>3]=+p[Zc>>3]-+p[Wc>>3]*+p[Xc>>3];p[$c>>3]=+p[_c>>3]-+p[Vc>>3]*+p[Yc>>3];p[_a>>3]=+p[Wc>>3]*+p[Yc>>3]-+p[$c>>3];p[ad>>3]=+p[Za>>3]+ +p[_a>>3];p[Pc>>3]=+p[ad>>3]-+p[Za>>3];p[Qc>>3]=+p[ad>>3]-+p[Pc>>3];p[Rc>>3]=+p[_a>>3]-+p[Pc>>3];p[Sc>>3]=+p[Za>>3]-+p[Qc>>3];p[ab>>3]=+p[Sc>>3]+ +p[Rc>>3];p[bd>>3]=+p[Xa>>3]+ +p[ad>>3];p[Pc>>3]=+p[bd>>3]-+p[Xa>>3];p[Qc>>3]=+p[bd>>3]-+p[Pc>>3];p[Rc>>3]=+p[ad>>3]-+p[Pc>>3];p[Sc>>3]=+p[Xa>>3]-+p[Qc>>3];p[cd>>3]=+p[Sc>>3]+ +p[Rc>>3];p[ad>>3]=+p[cd>>3]+ +p[Ya>>3];p[Pc>>3]=+p[ad>>3]-+p[cd>>3];p[Qc>>3]=+p[ad>>3]-+p[Pc>>3];p[Rc>>3]=+p[Ya>>3]-+p[Pc>>3];p[Sc>>3]=+p[cd>>3]-+p[Qc>>3];p[ab+8>>3]=+p[Sc>>3]+ +p[Rc>>3];p[cb>>3]=+p[bd>>3]+ +p[ad>>3];p[Pc>>3]=+p[cb>>3]-+p[bd>>3];p[Qc>>3]=+p[cb>>3]-+p[Pc>>3];p[Rc>>3]=+p[ad>>3]-+p[Pc>>3];p[Sc>>3]=+p[bd>>3]-+p[Qc>>3];p[ab+16>>3]=+p[Sc>>3]+ +p[Rc>>3];p[ab+24>>3]=+p[cb>>3];Wa=Ee(4,$a,4,ab,Ac)|0;k[Dc>>2]=Wa;p[Xa>>3]=+p[Aa>>3]*+p[Ea>>3];p[Tc>>3]=+p[5]*+p[Aa>>3];p[Uc>>3]=+p[Tc>>3]-+p[Aa>>3];p[Vc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Wc>>3]=+p[Aa>>3]-+p[Vc>>3];p[Tc>>3]=+p[5]*+p[Ea>>3];p[Uc>>3]=+p[Tc>>3]-+p[Ea>>3];p[Xc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Yc>>3]=+p[Ea>>3]-+p[Xc>>3];p[Zc>>3]=+p[Xa>>3]-+p[Vc>>3]*+p[Xc>>3];p[_c>>3]=+p[Zc>>3]-+p[Wc>>3]*+p[Xc>>3];p[$c>>3]=+p[_c>>3]-+p[Vc>>3]*+p[Yc>>3];p[Za>>3]=+p[Wc>>3]*+p[Yc>>3]-+p[$c>>3];p[Ya>>3]=+p[Ba>>3]*+p[Da>>3];p[Tc>>3]=+p[5]*+p[Ba>>3];p[Uc>>3]=+p[Tc>>3]-+p[Ba>>3];p[Vc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Wc>>3]=+p[Ba>>3]-+p[Vc>>3];p[Tc>>3]=+p[5]*+p[Da>>3];p[Uc>>3]=+p[Tc>>3]-+p[Da>>3];p[Xc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Yc>>3]=+p[Da>>3]-+p[Xc>>3];p[Zc>>3]=+p[Ya>>3]-+p[Vc>>3]*+p[Xc>>3];p[_c>>3]=+p[Zc>>3]-+p[Wc>>3]*+p[Xc>>3];p[$c>>3]=+p[_c>>3]-+p[Vc>>3]*+p[Yc>>3];p[_a>>3]=+p[Wc>>3]*+p[Yc>>3]-+p[$c>>3];p[ad>>3]=+p[Za>>3]-+p[_a>>3];p[Pc>>3]=+p[Za>>3]-+p[ad>>3];p[Qc>>3]=+p[ad>>3]+ +p[Pc>>3];p[Rc>>3]=+p[Pc>>3]-+p[_a>>3];p[Sc>>3]=+p[Za>>3]-+p[Qc>>3];p[Gc>>3]=+p[Sc>>3]+ +p[Rc>>3];p[bd>>3]=+p[Xa>>3]+ +p[ad>>3];p[Pc>>3]=+p[bd>>3]-+p[Xa>>3];p[Qc>>3]=+p[bd>>3]-+p[Pc>>3];p[Rc>>3]=+p[ad>>3]-+p[Pc>>3];p[Sc>>3]=+p[Xa>>3]-+p[Qc>>3];p[cd>>3]=+p[Sc>>3]+ +p[Rc>>3];p[ad>>3]=+p[cd>>3]-+p[Ya>>3];p[Pc>>3]=+p[cd>>3]-+p[ad>>3];p[Qc>>3]=+p[ad>>3]+ +p[Pc>>3];p[Rc>>3]=+p[Pc>>3]-+p[Ya>>3];p[Sc>>3]=+p[cd>>3]-+p[Qc>>3];p[Gc+8>>3]=+p[Sc>>3]+ +p[Rc>>3];p[Mc>>3]=+p[bd>>3]+ +p[ad>>3];p[Pc>>3]=+p[Mc>>3]-+p[bd>>3];p[Qc>>3]=+p[Mc>>3]-+p[Pc>>3];p[Rc>>3]=+p[ad>>3]-+p[Pc>>3];p[Sc>>3]=+p[bd>>3]-+p[Qc>>3];p[Gc+16>>3]=+p[Sc>>3]+ +p[Rc>>3];p[Gc+24>>3]=+p[Mc>>3];k[Jc>>2]=4}else{p[Ac>>3]=0.0;k[Dc>>2]=1;p[Gc>>3]=0.0;k[Jc>>2]=1}if(+p[za>>3]!=0.0){Wa=Fe(k[Xb>>2]|0,Rb,+p[za>>3],eb)|0;k[mb>>2]=Wa;Wa=Fe(k[Dc>>2]|0,Ac,+p[za>>3],bc)|0;k[hc>>2]=Wa;Wa=Fe(k[hc>>2]|0,bc,+p[n>>3]*2.0,hb)|0;k[pb>>2]=Wa;Wa=Ee(k[mb>>2]|0,eb,k[pb>>2]|0,hb,jb)|0;k[rb>>2]=Wa;Wa=Ee(k[ya>>2]|0,k[va>>2]|0,k[rb>>2]|0,jb,k[wa>>2]|0)|0;k[ya>>2]=Wa;k[xa>>2]=k[va>>2];k[va>>2]=k[wa>>2];k[wa>>2]=k[xa>>2];if(+p[Da>>3]!=0.0){Wa=Fe(4,Ta,+p[za>>3],db)|0;k[lb>>2]=Wa;Wa=Fe(k[lb>>2]|0,db,+p[Da>>3],eb)|0;k[mb>>2]=Wa;Wa=Ee(k[ya>>2]|0,k[va>>2]|0,k[mb>>2]|0,eb,k[wa>>2]|0)|0;k[ya>>2]=Wa;k[xa>>2]=k[va>>2];k[va>>2]=k[wa>>2];k[wa>>2]=k[xa>>2]}if(+p[Ea>>3]!=0.0){Wa=Fe(4,Sa,-+p[za>>3],db)|0;k[lb>>2]=Wa;Wa=Fe(k[lb>>2]|0,db,+p[Ea>>3],eb)|0;k[mb>>2]=Wa;Wa=Ee(k[ya>>2]|0,k[va>>2]|0,k[mb>>2]|0,eb,k[wa>>2]|0)|0;k[ya>>2]=Wa;k[xa>>2]=k[va>>2];k[va>>2]=k[wa>>2];k[wa>>2]=k[xa>>2]}Wa=Fe(k[hc>>2]|0,bc,+p[za>>3],hb)|0;k[pb>>2]=Wa;Wa=Fe(k[Jc>>2]|0,Gc,+p[za>>3],nc)|0;k[tc>>2]=Wa;Wa=Fe(k[tc>>2]|0,nc,+p[n>>3]*2.0,eb)|0;k[mb>>2]=Wa;Wa=Fe(k[tc>>2]|0,nc,+p[za>>3],fb)|0;k[nb>>2]=Wa;Wa=Ee(k[mb>>2]|0,eb,k[nb>>2]|0,fb,ib)|0;k[qb>>2]=Wa;Wa=Ee(k[pb>>2]|0,hb,k[qb>>2]|0,ib,kb)|0;k[sb>>2]=Wa;Wa=Ee(k[ya>>2]|0,k[va>>2]|0,k[sb>>2]|0,kb,k[wa>>2]|0)|0;k[ya>>2]=Wa;k[xa>>2]=k[va>>2];k[va>>2]=k[wa>>2];k[wa>>2]=k[xa>>2]}if(!(+p[Ca>>3]!=0.0))break;Wa=Fe(k[Yb>>2]|0,Sb,+p[Ca>>3],eb)|0;k[mb>>2]=Wa;Wa=Fe(k[Dc>>2]|0,Ac,+p[Ca>>3],cc)|0;k[ic>>2]=Wa;Wa=Fe(k[ic>>2]|0,cc,+p[s>>3]*2.0,hb)|0;k[pb>>2]=Wa;Wa=Ee(k[mb>>2]|0,eb,k[pb>>2]|0,hb,jb)|0;k[rb>>2]=Wa;Wa=Ee(k[ya>>2]|0,k[va>>2]|0,k[rb>>2]|0,jb,k[wa>>2]|0)|0;k[ya>>2]=Wa;k[xa>>2]=k[va>>2];k[va>>2]=k[wa>>2];k[wa>>2]=k[xa>>2];Wa=Fe(k[ic>>2]|0,cc,+p[Ca>>3],hb)|0;k[pb>>2]=Wa;Wa=Fe(k[Jc>>2]|0,Gc,+p[Ca>>3],oc)|0;k[uc>>2]=Wa;Wa=Fe(k[uc>>2]|0,oc,+p[s>>3]*2.0,eb)|0;k[mb>>2]=Wa;Wa=Fe(k[uc>>2]|0,oc,+p[Ca>>3],fb)|0;k[nb>>2]=Wa;Wa=Ee(k[mb>>2]|0,eb,k[nb>>2]|0,fb,ib)|0;k[qb>>2]=Wa;Wa=Ee(k[pb>>2]|0,hb,k[qb>>2]|0,ib,kb)|0;k[sb>>2]=Wa;Wa=Ee(k[ya>>2]|0,k[va>>2]|0,k[sb>>2]|0,kb,k[wa>>2]|0)|0;k[ya>>2]=Wa;k[xa>>2]=k[va>>2];k[va>>2]=k[wa>>2];k[wa>>2]=k[xa>>2]}while(0);do if(+p[Aa>>3]!=0.0|+p[Da>>3]!=0.0){if(+p[Ba>>3]!=0.0|+p[Ea>>3]!=0.0|+p[za>>3]!=0.0|+p[Ca>>3]!=0.0){p[Xa>>3]=+p[Ba>>3]*+p[s>>3];p[Tc>>3]=+p[5]*+p[Ba>>3];p[Uc>>3]=+p[Tc>>3]-+p[Ba>>3];p[Vc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Wc>>3]=+p[Ba>>3]-+p[Vc>>3];p[Tc>>3]=+p[5]*+p[s>>3];p[Uc>>3]=+p[Tc>>3]-+p[s>>3];p[Xc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Yc>>3]=+p[s>>3]-+p[Xc>>3];p[Zc>>3]=+p[Xa>>3]-+p[Vc>>3]*+p[Xc>>3];p[_c>>3]=+p[Zc>>3]-+p[Wc>>3]*+p[Xc>>3];p[$c>>3]=+p[_c>>3]-+p[Vc>>3]*+p[Yc>>3];p[Za>>3]=+p[Wc>>3]*+p[Yc>>3]-+p[$c>>3];p[Ya>>3]=+p[q>>3]*+p[Ca>>3];p[Tc>>3]=+p[5]*+p[q>>3];p[Uc>>3]=+p[Tc>>3]-+p[q>>3];p[Vc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Wc>>3]=+p[q>>3]-+p[Vc>>3];p[Tc>>3]=+p[5]*+p[Ca>>3];p[Uc>>3]=+p[Tc>>3]-+p[Ca>>3];p[Xc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Yc>>3]=+p[Ca>>3]-+p[Xc>>3];p[Zc>>3]=+p[Ya>>3]-+p[Vc>>3]*+p[Xc>>3];p[_c>>3]=+p[Zc>>3]-+p[Wc>>3]*+p[Xc>>3];p[$c>>3]=+p[_c>>3]-+p[Vc>>3]*+p[Yc>>3];p[_a>>3]=+p[Wc>>3]*+p[Yc>>3]-+p[$c>>3];p[ad>>3]=+p[Za>>3]+ +p[_a>>3];p[Pc>>3]=+p[ad>>3]-+p[Za>>3];p[Qc>>3]=+p[ad>>3]-+p[Pc>>3];p[Rc>>3]=+p[_a>>3]-+p[Pc>>3];p[Sc>>3]=+p[Za>>3]-+p[Qc>>3];p[$a>>3]=+p[Sc>>3]+ +p[Rc>>3];p[bd>>3]=+p[Xa>>3]+ +p[ad>>3];p[Pc>>3]=+p[bd>>3]-+p[Xa>>3];p[Qc>>3]=+p[bd>>3]-+p[Pc>>3];p[Rc>>3]=+p[ad>>3]-+p[Pc>>3];p[Sc>>3]=+p[Xa>>3]-+p[Qc>>3];p[cd>>3]=+p[Sc>>3]+ +p[Rc>>3];p[ad>>3]=+p[cd>>3]+ +p[Ya>>3];p[Pc>>3]=+p[ad>>3]-+p[cd>>3];p[Qc>>3]=+p[ad>>3]-+p[Pc>>3];p[Rc>>3]=+p[Ya>>3]-+p[Pc>>3];p[Sc>>3]=+p[cd>>3]-+p[Qc>>3];p[$a+8>>3]=+p[Sc>>3]+ +p[Rc>>3];p[bb>>3]=+p[bd>>3]+ +p[ad>>3];p[Pc>>3]=+p[bb>>3]-+p[bd>>3];p[Qc>>3]=+p[bb>>3]-+p[Pc>>3];p[Rc>>3]=+p[ad>>3]-+p[Pc>>3];p[Sc>>3]=+p[bd>>3]-+p[Qc>>3];p[$a+16>>3]=+p[Sc>>3]+ +p[Rc>>3];p[$a+24>>3]=+p[bb>>3];p[Oc>>3]=-+p[u>>3];p[Xa>>3]=+p[za>>3]*+p[Oc>>3];p[Tc>>3]=+p[5]*+p[za>>3];p[Uc>>3]=+p[Tc>>3]-+p[za>>3];p[Vc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Wc>>3]=+p[za>>3]-+p[Vc>>3];p[Tc>>3]=+p[5]*+p[Oc>>3];p[Uc>>3]=+p[Tc>>3]-+p[Oc>>3];p[Xc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Yc>>3]=+p[Oc>>3]-+p[Xc>>3];p[Zc>>3]=+p[Xa>>3]-+p[Vc>>3]*+p[Xc>>3];p[_c>>3]=+p[Zc>>3]-+p[Wc>>3]*+p[Xc>>3];p[$c>>3]=+p[_c>>3]-+p[Vc>>3]*+p[Yc>>3];p[Za>>3]=+p[Wc>>3]*+p[Yc>>3]-+p[$c>>3];p[Oc>>3]=-+p[Ea>>3];p[Ya>>3]=+p[n>>3]*+p[Oc>>3];p[Tc>>3]=+p[5]*+p[n>>3];p[Uc>>3]=+p[Tc>>3]-+p[n>>3];p[Vc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Wc>>3]=+p[n>>3]-+p[Vc>>3];p[Tc>>3]=+p[5]*+p[Oc>>3];p[Uc>>3]=+p[Tc>>3]-+p[Oc>>3];p[Xc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Yc>>3]=+p[Oc>>3]-+p[Xc>>3];p[Zc>>3]=+p[Ya>>3]-+p[Vc>>3]*+p[Xc>>3];p[_c>>3]=+p[Zc>>3]-+p[Wc>>3]*+p[Xc>>3];p[$c>>3]=+p[_c>>3]-+p[Vc>>3]*+p[Yc>>3];p[_a>>3]=+p[Wc>>3]*+p[Yc>>3]-+p[$c>>3];p[ad>>3]=+p[Za>>3]+ +p[_a>>3];p[Pc>>3]=+p[ad>>3]-+p[Za>>3];p[Qc>>3]=+p[ad>>3]-+p[Pc>>3];p[Rc>>3]=+p[_a>>3]-+p[Pc>>3];p[Sc>>3]=+p[Za>>3]-+p[Qc>>3];p[ab>>3]=+p[Sc>>3]+ +p[Rc>>3];p[bd>>3]=+p[Xa>>3]+ +p[ad>>3];p[Pc>>3]=+p[bd>>3]-+p[Xa>>3];p[Qc>>3]=+p[bd>>3]-+p[Pc>>3];p[Rc>>3]=+p[ad>>3]-+p[Pc>>3];p[Sc>>3]=+p[Xa>>3]-+p[Qc>>3];p[cd>>3]=+p[Sc>>3]+ +p[Rc>>3];p[ad>>3]=+p[cd>>3]+ +p[Ya>>3];p[Pc>>3]=+p[ad>>3]-+p[cd>>3];p[Qc>>3]=+p[ad>>3]-+p[Pc>>3];p[Rc>>3]=+p[Ya>>3]-+p[Pc>>3];p[Sc>>3]=+p[cd>>3]-+p[Qc>>3];p[ab+8>>3]=+p[Sc>>3]+ +p[Rc>>3];p[cb>>3]=+p[bd>>3]+ +p[ad>>3];p[Pc>>3]=+p[cb>>3]-+p[bd>>3];p[Qc>>3]=+p[cb>>3]-+p[Pc>>3];p[Rc>>3]=+p[ad>>3]-+p[Pc>>3];p[Sc>>3]=+p[bd>>3]-+p[Qc>>3];p[ab+16>>3]=+p[Sc>>3]+ +p[Rc>>3];p[ab+24>>3]=+p[cb>>3];oc=Ee(4,$a,4,ab,Bc)|0;k[Ec>>2]=oc;p[Xa>>3]=+p[Ba>>3]*+p[Ca>>3];p[Tc>>3]=+p[5]*+p[Ba>>3];p[Uc>>3]=+p[Tc>>3]-+p[Ba>>3];p[Vc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Wc>>3]=+p[Ba>>3]-+p[Vc>>3];p[Tc>>3]=+p[5]*+p[Ca>>3];p[Uc>>3]=+p[Tc>>3]-+p[Ca>>3];p[Xc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Yc>>3]=+p[Ca>>3]-+p[Xc>>3];p[Zc>>3]=+p[Xa>>3]-+p[Vc>>3]*+p[Xc>>3];p[_c>>3]=+p[Zc>>3]-+p[Wc>>3]*+p[Xc>>3];p[$c>>3]=+p[_c>>3]-+p[Vc>>3]*+p[Yc>>3];p[Za>>3]=+p[Wc>>3]*+p[Yc>>3]-+p[$c>>3];p[Ya>>3]=+p[za>>3]*+p[Ea>>3];p[Tc>>3]=+p[5]*+p[za>>3];p[Uc>>3]=+p[Tc>>3]-+p[za>>3];p[Vc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Wc>>3]=+p[za>>3]-+p[Vc>>3];p[Tc>>3]=+p[5]*+p[Ea>>3];p[Uc>>3]=+p[Tc>>3]-+p[Ea>>3];p[Xc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Yc>>3]=+p[Ea>>3]-+p[Xc>>3];p[Zc>>3]=+p[Ya>>3]-+p[Vc>>3]*+p[Xc>>3];p[_c>>3]=+p[Zc>>3]-+p[Wc>>3]*+p[Xc>>3];p[$c>>3]=+p[_c>>3]-+p[Vc>>3]*+p[Yc>>3];p[_a>>3]=+p[Wc>>3]*+p[Yc>>3]-+p[$c>>3];p[ad>>3]=+p[Za>>3]-+p[_a>>3];p[Pc>>3]=+p[Za>>3]-+p[ad>>3];p[Qc>>3]=+p[ad>>3]+ +p[Pc>>3];p[Rc>>3]=+p[Pc>>3]-+p[_a>>3];p[Sc>>3]=+p[Za>>3]-+p[Qc>>3];p[Hc>>3]=+p[Sc>>3]+ +p[Rc>>3];p[bd>>3]=+p[Xa>>3]+ +p[ad>>3];p[Pc>>3]=+p[bd>>3]-+p[Xa>>3];p[Qc>>3]=+p[bd>>3]-+p[Pc>>3];p[Rc>>3]=+p[ad>>3]-+p[Pc>>3];p[Sc>>3]=+p[Xa>>3]-+p[Qc>>3];p[cd>>3]=+p[Sc>>3]+ +p[Rc>>3];p[ad>>3]=+p[cd>>3]-+p[Ya>>3];p[Pc>>3]=+p[cd>>3]-+p[ad>>3];p[Qc>>3]=+p[ad>>3]+ +p[Pc>>3];p[Rc>>3]=+p[Pc>>3]-+p[Ya>>3];p[Sc>>3]=+p[cd>>3]-+p[Qc>>3];p[Hc+8>>3]=+p[Sc>>3]+ +p[Rc>>3];p[Nc>>3]=+p[bd>>3]+ +p[ad>>3];p[Pc>>3]=+p[Nc>>3]-+p[bd>>3];p[Qc>>3]=+p[Nc>>3]-+p[Pc>>3];p[Rc>>3]=+p[ad>>3]-+p[Pc>>3];p[Sc>>3]=+p[bd>>3]-+p[Qc>>3];p[Hc+16>>3]=+p[Sc>>3]+ +p[Rc>>3];p[Hc+24>>3]=+p[Nc>>3];k[Kc>>2]=4}else{p[Bc>>3]=0.0;k[Ec>>2]=1;p[Hc>>3]=0.0;k[Kc>>2]=1}if(+p[Aa>>3]!=0.0){oc=Fe(k[Zb>>2]|0,Tb,+p[Aa>>3],eb)|0;k[mb>>2]=oc;oc=Fe(k[Ec>>2]|0,Bc,+p[Aa>>3],dc)|0;k[jc>>2]=oc;oc=Fe(k[jc>>2]|0,dc,+p[o>>3]*2.0,hb)|0;k[pb>>2]=oc;oc=Ee(k[mb>>2]|0,eb,k[pb>>2]|0,hb,jb)|0;k[rb>>2]=oc;oc=Ee(k[ya>>2]|0,k[va>>2]|0,k[rb>>2]|0,jb,k[wa>>2]|0)|0;k[ya>>2]=oc;k[xa>>2]=k[va>>2];k[va>>2]=k[wa>>2];k[wa>>2]=k[xa>>2];if(+p[Ea>>3]!=0.0){oc=Fe(4,Ra,+p[Aa>>3],db)|0;k[lb>>2]=oc;oc=Fe(k[lb>>2]|0,db,+p[Ea>>3],eb)|0;k[mb>>2]=oc;oc=Ee(k[ya>>2]|0,k[va>>2]|0,k[mb>>2]|0,eb,k[wa>>2]|0)|0;k[ya>>2]=oc;k[xa>>2]=k[va>>2];k[va>>2]=k[wa>>2];k[wa>>2]=k[xa>>2]}if(+p[Ca>>3]!=0.0){oc=Fe(4,Ta,-+p[Aa>>3],db)|0;k[lb>>2]=oc;oc=Fe(k[lb>>2]|0,db,+p[Ca>>3],eb)|0;k[mb>>2]=oc;oc=Ee(k[ya>>2]|0,k[va>>2]|0,k[mb>>2]|0,eb,k[wa>>2]|0)|0;k[ya>>2]=oc;k[xa>>2]=k[va>>2];k[va>>2]=k[wa>>2];k[wa>>2]=k[xa>>2]}oc=Fe(k[jc>>2]|0,dc,+p[Aa>>3],hb)|0;k[pb>>2]=oc;oc=Fe(k[Kc>>2]|0,Hc,+p[Aa>>3],pc)|0;k[vc>>2]=oc;oc=Fe(k[vc>>2]|0,pc,+p[o>>3]*2.0,eb)|0;k[mb>>2]=oc;oc=Fe(k[vc>>2]|0,pc,+p[Aa>>3],fb)|0;k[nb>>2]=oc;oc=Ee(k[mb>>2]|0,eb,k[nb>>2]|0,fb,ib)|0;k[qb>>2]=oc;oc=Ee(k[pb>>2]|0,hb,k[qb>>2]|0,ib,kb)|0;k[sb>>2]=oc;oc=Ee(k[ya>>2]|0,k[va>>2]|0,k[sb>>2]|0,kb,k[wa>>2]|0)|0;k[ya>>2]=oc;k[xa>>2]=k[va>>2];k[va>>2]=k[wa>>2];k[wa>>2]=k[xa>>2]}if(!(+p[Da>>3]!=0.0))break;oc=Fe(k[_b>>2]|0,Ub,+p[Da>>3],eb)|0;k[mb>>2]=oc;oc=Fe(k[Ec>>2]|0,Bc,+p[Da>>3],ec)|0;k[kc>>2]=oc;oc=Fe(k[kc>>2]|0,ec,+p[t>>3]*2.0,hb)|0;k[pb>>2]=oc;oc=Ee(k[mb>>2]|0,eb,k[pb>>2]|0,hb,jb)|0;k[rb>>2]=oc;oc=Ee(k[ya>>2]|0,k[va>>2]|0,k[rb>>2]|0,jb,k[wa>>2]|0)|0;k[ya>>2]=oc;k[xa>>2]=k[va>>2];k[va>>2]=k[wa>>2];k[wa>>2]=k[xa>>2];oc=Fe(k[kc>>2]|0,ec,+p[Da>>3],hb)|0;k[pb>>2]=oc;oc=Fe(k[Kc>>2]|0,Hc,+p[Da>>3],qc)|0;k[wc>>2]=oc;oc=Fe(k[wc>>2]|0,qc,+p[t>>3]*2.0,eb)|0;k[mb>>2]=oc;oc=Fe(k[wc>>2]|0,qc,+p[Da>>3],fb)|0;k[nb>>2]=oc;oc=Ee(k[mb>>2]|0,eb,k[nb>>2]|0,fb,ib)|0;k[qb>>2]=oc;oc=Ee(k[pb>>2]|0,hb,k[qb>>2]|0,ib,kb)|0;k[sb>>2]=oc;oc=Ee(k[ya>>2]|0,k[va>>2]|0,k[sb>>2]|0,kb,k[wa>>2]|0)|0;k[ya>>2]=oc;k[xa>>2]=k[va>>2];k[va>>2]=k[wa>>2];k[wa>>2]=k[xa>>2]}while(0);do if(+p[Ba>>3]!=0.0|+p[Ea>>3]!=0.0){if(+p[za>>3]!=0.0|+p[Ca>>3]!=0.0|+p[Aa>>3]!=0.0|+p[Da>>3]!=0.0){p[Xa>>3]=+p[za>>3]*+p[t>>3];p[Tc>>3]=+p[5]*+p[za>>3];p[Uc>>3]=+p[Tc>>3]-+p[za>>3];p[Vc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Wc>>3]=+p[za>>3]-+p[Vc>>3];p[Tc>>3]=+p[5]*+p[t>>3];p[Uc>>3]=+p[Tc>>3]-+p[t>>3];p[Xc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Yc>>3]=+p[t>>3]-+p[Xc>>3];p[Zc>>3]=+p[Xa>>3]-+p[Vc>>3]*+p[Xc>>3];p[_c>>3]=+p[Zc>>3]-+p[Wc>>3]*+p[Xc>>3];p[$c>>3]=+p[_c>>3]-+p[Vc>>3]*+p[Yc>>3];p[Za>>3]=+p[Wc>>3]*+p[Yc>>3]-+p[$c>>3];p[Ya>>3]=+p[n>>3]*+p[Da>>3];p[Tc>>3]=+p[5]*+p[n>>3];p[Uc>>3]=+p[Tc>>3]-+p[n>>3];p[Vc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Wc>>3]=+p[n>>3]-+p[Vc>>3];p[Tc>>3]=+p[5]*+p[Da>>3];p[Uc>>3]=+p[Tc>>3]-+p[Da>>3];p[Xc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Yc>>3]=+p[Da>>3]-+p[Xc>>3];p[Zc>>3]=+p[Ya>>3]-+p[Vc>>3]*+p[Xc>>3];p[_c>>3]=+p[Zc>>3]-+p[Wc>>3]*+p[Xc>>3];p[$c>>3]=+p[_c>>3]-+p[Vc>>3]*+p[Yc>>3];p[_a>>3]=+p[Wc>>3]*+p[Yc>>3]-+p[$c>>3];p[ad>>3]=+p[Za>>3]+ +p[_a>>3];p[Pc>>3]=+p[ad>>3]-+p[Za>>3];p[Qc>>3]=+p[ad>>3]-+p[Pc>>3];p[Rc>>3]=+p[_a>>3]-+p[Pc>>3];p[Sc>>3]=+p[Za>>3]-+p[Qc>>3];p[$a>>3]=+p[Sc>>3]+ +p[Rc>>3];p[bd>>3]=+p[Xa>>3]+ +p[ad>>3];p[Pc>>3]=+p[bd>>3]-+p[Xa>>3];p[Qc>>3]=+p[bd>>3]-+p[Pc>>3];p[Rc>>3]=+p[ad>>3]-+p[Pc>>3];p[Sc>>3]=+p[Xa>>3]-+p[Qc>>3];p[cd>>3]=+p[Sc>>3]+ +p[Rc>>3];p[ad>>3]=+p[cd>>3]+ +p[Ya>>3];p[Pc>>3]=+p[ad>>3]-+p[cd>>3];p[Qc>>3]=+p[ad>>3]-+p[Pc>>3];p[Rc>>3]=+p[Ya>>3]-+p[Pc>>3];p[Sc>>3]=+p[cd>>3]-+p[Qc>>3];p[$a+8>>3]=+p[Sc>>3]+ +p[Rc>>3];p[bb>>3]=+p[bd>>3]+ +p[ad>>3];p[Pc>>3]=+p[bb>>3]-+p[bd>>3];p[Qc>>3]=+p[bb>>3]-+p[Pc>>3];p[Rc>>3]=+p[ad>>3]-+p[Pc>>3];p[Sc>>3]=+p[bd>>3]-+p[Qc>>3];p[$a+16>>3]=+p[Sc>>3]+ +p[Rc>>3];p[$a+24>>3]=+p[bb>>3];p[Oc>>3]=-+p[s>>3];p[Xa>>3]=+p[Aa>>3]*+p[Oc>>3];p[Tc>>3]=+p[5]*+p[Aa>>3];p[Uc>>3]=+p[Tc>>3]-+p[Aa>>3];p[Vc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Wc>>3]=+p[Aa>>3]-+p[Vc>>3];p[Tc>>3]=+p[5]*+p[Oc>>3];p[Uc>>3]=+p[Tc>>3]-+p[Oc>>3];p[Xc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Yc>>3]=+p[Oc>>3]-+p[Xc>>3];p[Zc>>3]=+p[Xa>>3]-+p[Vc>>3]*+p[Xc>>3];p[_c>>3]=+p[Zc>>3]-+p[Wc>>3]*+p[Xc>>3];p[$c>>3]=+p[_c>>3]-+p[Vc>>3]*+p[Yc>>3];p[Za>>3]=+p[Wc>>3]*+p[Yc>>3]-+p[$c>>3];p[Oc>>3]=-+p[Ca>>3];p[Ya>>3]=+p[o>>3]*+p[Oc>>3];p[Tc>>3]=+p[5]*+p[o>>3];p[Uc>>3]=+p[Tc>>3]-+p[o>>3];p[Vc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Wc>>3]=+p[o>>3]-+p[Vc>>3];p[Tc>>3]=+p[5]*+p[Oc>>3];p[Uc>>3]=+p[Tc>>3]-+p[Oc>>3];p[Xc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Yc>>3]=+p[Oc>>3]-+p[Xc>>3];p[Zc>>3]=+p[Ya>>3]-+p[Vc>>3]*+p[Xc>>3];p[_c>>3]=+p[Zc>>3]-+p[Wc>>3]*+p[Xc>>3];p[$c>>3]=+p[_c>>3]-+p[Vc>>3]*+p[Yc>>3];p[_a>>3]=+p[Wc>>3]*+p[Yc>>3]-+p[$c>>3];p[ad>>3]=+p[Za>>3]+ +p[_a>>3];p[Pc>>3]=+p[ad>>3]-+p[Za>>3];p[Qc>>3]=+p[ad>>3]-+p[Pc>>3];p[Rc>>3]=+p[_a>>3]-+p[Pc>>3];p[Sc>>3]=+p[Za>>3]-+p[Qc>>3];p[ab>>3]=+p[Sc>>3]+ +p[Rc>>3];p[bd>>3]=+p[Xa>>3]+ +p[ad>>3];p[Pc>>3]=+p[bd>>3]-+p[Xa>>3];p[Qc>>3]=+p[bd>>3]-+p[Pc>>3];p[Rc>>3]=+p[ad>>3]-+p[Pc>>3];p[Sc>>3]=+p[Xa>>3]-+p[Qc>>3];p[cd>>3]=+p[Sc>>3]+ +p[Rc>>3];p[ad>>3]=+p[cd>>3]+ +p[Ya>>3];p[Pc>>3]=+p[ad>>3]-+p[cd>>3];p[Qc>>3]=+p[ad>>3]-+p[Pc>>3];p[Rc>>3]=+p[Ya>>3]-+p[Pc>>3];p[Sc>>3]=+p[cd>>3]-+p[Qc>>3];p[ab+8>>3]=+p[Sc>>3]+ +p[Rc>>3];p[cb>>3]=+p[bd>>3]+ +p[ad>>3];p[Pc>>3]=+p[cb>>3]-+p[bd>>3];p[Qc>>3]=+p[cb>>3]-+p[Pc>>3];p[Rc>>3]=+p[ad>>3]-+p[Pc>>3];p[Sc>>3]=+p[bd>>3]-+p[Qc>>3];p[ab+16>>3]=+p[Sc>>3]+ +p[Rc>>3];p[ab+24>>3]=+p[cb>>3];qc=Ee(4,$a,4,ab,zc)|0;k[Cc>>2]=qc;p[Xa>>3]=+p[za>>3]*+p[Da>>3];p[Tc>>3]=+p[5]*+p[za>>3];p[Uc>>3]=+p[Tc>>3]-+p[za>>3];p[Vc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Wc>>3]=+p[za>>3]-+p[Vc>>3];p[Tc>>3]=+p[5]*+p[Da>>3];p[Uc>>3]=+p[Tc>>3]-+p[Da>>3];p[Xc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Yc>>3]=+p[Da>>3]-+p[Xc>>3];p[Zc>>3]=+p[Xa>>3]-+p[Vc>>3]*+p[Xc>>3];p[_c>>3]=+p[Zc>>3]-+p[Wc>>3]*+p[Xc>>3];p[$c>>3]=+p[_c>>3]-+p[Vc>>3]*+p[Yc>>3];p[Za>>3]=+p[Wc>>3]*+p[Yc>>3]-+p[$c>>3];p[Ya>>3]=+p[Aa>>3]*+p[Ca>>3];p[Tc>>3]=+p[5]*+p[Aa>>3];p[Uc>>3]=+p[Tc>>3]-+p[Aa>>3];p[Vc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Wc>>3]=+p[Aa>>3]-+p[Vc>>3];p[Tc>>3]=+p[5]*+p[Ca>>3];p[Uc>>3]=+p[Tc>>3]-+p[Ca>>3];p[Xc>>3]=+p[Tc>>3]-+p[Uc>>3];p[Yc>>3]=+p[Ca>>3]-+p[Xc>>3];p[Zc>>3]=+p[Ya>>3]-+p[Vc>>3]*+p[Xc>>3];p[_c>>3]=+p[Zc>>3]-+p[Wc>>3]*+p[Xc>>3];p[$c>>3]=+p[_c>>3]-+p[Vc>>3]*+p[Yc>>3];p[_a>>3]=+p[Wc>>3]*+p[Yc>>3]-+p[$c>>3];p[ad>>3]=+p[Za>>3]-+p[_a>>3];p[Pc>>3]=+p[Za>>3]-+p[ad>>3];p[Qc>>3]=+p[ad>>3]+ +p[Pc>>3];p[Rc>>3]=+p[Pc>>3]-+p[_a>>3];p[Sc>>3]=+p[Za>>3]-+p[Qc>>3];p[Fc>>3]=+p[Sc>>3]+ +p[Rc>>3];p[bd>>3]=+p[Xa>>3]+ +p[ad>>3];p[Pc>>3]=+p[bd>>3]-+p[Xa>>3];p[Qc>>3]=+p[bd>>3]-+p[Pc>>3];p[Rc>>3]=+p[ad>>3]-+p[Pc>>3];p[Sc>>3]=+p[Xa>>3]-+p[Qc>>3];p[cd>>3]=+p[Sc>>3]+ +p[Rc>>3];p[ad>>3]=+p[cd>>3]-+p[Ya>>3];p[Pc>>3]=+p[cd>>3]-+p[ad>>3];p[Qc>>3]=+p[ad>>3]+ +p[Pc>>3];p[Rc>>3]=+p[Pc>>3]-+p[Ya>>3];p[Sc>>3]=+p[cd>>3]-+p[Qc>>3];p[Fc+8>>3]=+p[Sc>>3]+ +p[Rc>>3];p[Lc>>3]=+p[bd>>3]+ +p[ad>>3];p[Pc>>3]=+p[Lc>>3]-+p[bd>>3];p[Qc>>3]=+p[Lc>>3]-+p[Pc>>3];p[Rc>>3]=+p[ad>>3]-+p[Pc>>3];p[Sc>>3]=+p[bd>>3]-+p[Qc>>3];p[Fc+16>>3]=+p[Sc>>3]+ +p[Rc>>3];p[Fc+24>>3]=+p[Lc>>3];k[Ic>>2]=4}else{p[zc>>3]=0.0;k[Cc>>2]=1;p[Fc>>3]=0.0;k[Ic>>2]=1}if(+p[Ba>>3]!=0.0){qc=Fe(k[$b>>2]|0,Vb,+p[Ba>>3],eb)|0;k[mb>>2]=qc;qc=Fe(k[Cc>>2]|0,zc,+p[Ba>>3],fc)|0;k[lc>>2]=qc;qc=Fe(k[lc>>2]|0,fc,+p[q>>3]*2.0,hb)|0;k[pb>>2]=qc;qc=Ee(k[mb>>2]|0,eb,k[pb>>2]|0,hb,jb)|0;k[rb>>2]=qc;qc=Ee(k[ya>>2]|0,k[va>>2]|0,k[rb>>2]|0,jb,k[wa>>2]|0)|0;k[ya>>2]=qc;k[xa>>2]=k[va>>2];k[va>>2]=k[wa>>2];k[wa>>2]=k[xa>>2];if(+p[Ca>>3]!=0.0){qc=Fe(4,Sa,+p[Ba>>3],db)|0;k[lb>>2]=qc;qc=Fe(k[lb>>2]|0,db,+p[Ca>>3],eb)|0;k[mb>>2]=qc;qc=Ee(k[ya>>2]|0,k[va>>2]|0,k[mb>>2]|0,eb,k[wa>>2]|0)|0;k[ya>>2]=qc;k[xa>>2]=k[va>>2];k[va>>2]=k[wa>>2];k[wa>>2]=k[xa>>2]}if(+p[Da>>3]!=0.0){qc=Fe(4,Ra,-+p[Ba>>3],db)|0;k[lb>>2]=qc;qc=Fe(k[lb>>2]|0,db,+p[Da>>3],eb)|0;k[mb>>2]=qc;qc=Ee(k[ya>>2]|0,k[va>>2]|0,k[mb>>2]|0,eb,k[wa>>2]|0)|0;k[ya>>2]=qc;k[xa>>2]=k[va>>2];k[va>>2]=k[wa>>2];k[wa>>2]=k[xa>>2]}qc=Fe(k[lc>>2]|0,fc,+p[Ba>>3],hb)|0;k[pb>>2]=qc;qc=Fe(k[Ic>>2]|0,Fc,+p[Ba>>3],rc)|0;k[xc>>2]=qc;qc=Fe(k[xc>>2]|0,rc,+p[q>>3]*2.0,eb)|0;k[mb>>2]=qc;qc=Fe(k[xc>>2]|0,rc,+p[Ba>>3],fb)|0;k[nb>>2]=qc;qc=Ee(k[mb>>2]|0,eb,k[nb>>2]|0,fb,ib)|0;k[qb>>2]=qc;qc=Ee(k[pb>>2]|0,hb,k[qb>>2]|0,ib,kb)|0;k[sb>>2]=qc;qc=Ee(k[ya>>2]|0,k[va>>2]|0,k[sb>>2]|0,kb,k[wa>>2]|0)|0;k[ya>>2]=qc;k[xa>>2]=k[va>>2];k[va>>2]=k[wa>>2];k[wa>>2]=k[xa>>2]}if(!(+p[Ea>>3]!=0.0))break;qc=Fe(k[ac>>2]|0,Wb,+p[Ea>>3],eb)|0;k[mb>>2]=qc;qc=Fe(k[Cc>>2]|0,zc,+p[Ea>>3],gc)|0;k[mc>>2]=qc;qc=Fe(k[mc>>2]|0,gc,+p[u>>3]*2.0,hb)|0;k[pb>>2]=qc;qc=Ee(k[mb>>2]|0,eb,k[pb>>2]|0,hb,jb)|0;k[rb>>2]=qc;qc=Ee(k[ya>>2]|0,k[va>>2]|0,k[rb>>2]|0,jb,k[wa>>2]|0)|0;k[ya>>2]=qc;k[xa>>2]=k[va>>2];k[va>>2]=k[wa>>2];k[wa>>2]=k[xa>>2];qc=Fe(k[mc>>2]|0,gc,+p[Ea>>3],hb)|0;k[pb>>2]=qc;qc=Fe(k[Ic>>2]|0,Fc,+p[Ea>>3],sc)|0;k[yc>>2]=qc;qc=Fe(k[yc>>2]|0,sc,+p[u>>3]*2.0,eb)|0;k[mb>>2]=qc;qc=Fe(k[yc>>2]|0,sc,+p[Ea>>3],fb)|0;k[nb>>2]=qc;qc=Ee(k[mb>>2]|0,eb,k[nb>>2]|0,fb,ib)|0;k[qb>>2]=qc;qc=Ee(k[pb>>2]|0,hb,k[qb>>2]|0,ib,kb)|0;k[sb>>2]=qc;qc=Ee(k[ya>>2]|0,k[va>>2]|0,k[sb>>2]|0,kb,k[wa>>2]|0)|0;k[ya>>2]=qc;k[xa>>2]=k[va>>2];k[va>>2]=k[wa>>2];k[wa>>2]=k[xa>>2]}while(0);p[g>>3]=+p[(k[va>>2]|0)+((k[ya>>2]|0)-1<<3)>>3];dd=+p[g>>3];r=f;return +dd}p[g>>3]=+p[v>>3];dd=+p[g>>3];r=f;return +dd}p[g>>3]=+p[v>>3];dd=+p[g>>3];r=f;return +dd}function Ke(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0;g=r;r=r+176|0;h=g+144|0;i=g+172|0;j=g+168|0;l=g+164|0;m=g+160|0;n=g+156|0;o=g+152|0;q=g+136|0;s=g+128|0;t=g+120|0;u=g+112|0;v=g+104|0;w=g+96|0;x=g+88|0;y=g+80|0;z=g+72|0;A=g+64|0;B=g+56|0;C=g+48|0;D=g+40|0;E=g+32|0;F=g+24|0;G=g+16|0;H=g+8|0;I=g;k[i>>2]=a;k[j>>2]=b;k[l>>2]=c;k[m>>2]=d;k[n>>2]=e;k[o>>2]=f;f=(k[i>>2]|0)+49732|0;k[f>>2]=(k[f>>2]|0)+1;p[q>>3]=+p[k[l>>2]>>3]-+p[k[o>>2]>>3];p[s>>3]=+p[k[m>>2]>>3]-+p[k[o>>2]>>3];p[t>>3]=+p[k[n>>2]>>3]-+p[k[o>>2]>>3];p[u>>3]=+p[(k[l>>2]|0)+8>>3]-+p[(k[o>>2]|0)+8>>3];p[v>>3]=+p[(k[m>>2]|0)+8>>3]-+p[(k[o>>2]|0)+8>>3];p[w>>3]=+p[(k[n>>2]|0)+8>>3]-+p[(k[o>>2]|0)+8>>3];p[x>>3]=+p[s>>3]*+p[w>>3];p[y>>3]=+p[t>>3]*+p[v>>3];p[D>>3]=+p[q>>3]*+p[q>>3]+ +p[u>>3]*+p[u>>3];p[z>>3]=+p[t>>3]*+p[u>>3];p[A>>3]=+p[q>>3]*+p[w>>3];p[E>>3]=+p[s>>3]*+p[s>>3]+ +p[v>>3]*+p[v>>3];p[B>>3]=+p[q>>3]*+p[v>>3];p[C>>3]=+p[s>>3]*+p[u>>3];p[F>>3]=+p[t>>3]*+p[t>>3]+ +p[w>>3]*+p[w>>3];p[G>>3]=+p[D>>3]*(+p[x>>3]-+p[y>>3])+ +p[E>>3]*(+p[z>>3]-+p[A>>3])+ +p[F>>3]*(+p[B>>3]-+p[C>>3]);if(k[(k[j>>2]|0)+84>>2]|0){p[h>>3]=+p[G>>3];J=+p[h>>3];r=g;return +J}K=+p[x>>3];L=+p[y>>3];M=+p[z>>3];N=+p[A>>3];O=+p[B>>3];P=+p[C>>3];p[H>>3]=((+p[x>>3]>=0.0?K:-K)+(+p[y>>3]>=0.0?L:-L))*+p[D>>3]+((+p[z>>3]>=0.0?M:-M)+(+p[A>>3]>=0.0?N:-N))*+p[E>>3]+((+p[B>>3]>=0.0?O:-O)+(+p[C>>3]>=0.0?P:-P))*+p[F>>3];p[I>>3]=+p[11]*+p[H>>3];if(!(+p[G>>3]>+p[I>>3])?!(-+p[G>>3]>+p[I>>3]):0){P=+Je(k[l>>2]|0,k[m>>2]|0,k[n>>2]|0,k[o>>2]|0,+p[H>>3]);p[h>>3]=P;J=+p[h>>3];r=g;return +J}p[h>>3]=+p[G>>3];J=+p[h>>3];r=g;return +J}function Le(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=+h;i=+i;var j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0.0;j=r;r=r+5040|0;l=j+4936|0;m=j+5032|0;n=j+5028|0;o=j+5024|0;q=j+5020|0;s=j+4928|0;t=j+4920|0;u=j+4912|0;v=j+4904|0;w=j+4896|0;x=j+4888|0;y=j+4880|0;z=j+4872|0;A=j+4864|0;B=j+4856|0;C=j+4848|0;D=j+4840|0;E=j+4832|0;F=j+4824|0;G=j+4816|0;H=j+4808|0;I=j+4800|0;J=j+4792|0;K=j+4784|0;L=j+4776|0;M=j+4768|0;N=j+4760|0;O=j+4752|0;P=j+4744|0;Q=j+4736|0;R=j+4728|0;S=j+4720|0;T=j+4712|0;U=j+4680|0;V=j+4648|0;W=j+4616|0;X=j+4608|0;Y=j+4600|0;Z=j+4592|0;_=j+4528|0;$=j+4464|0;aa=j+4400|0;ba=j+5016|0;ca=j+5012|0;da=j+5008|0;ea=j+4272|0;fa=j+5004|0;ga=j+5e3|0;ha=j+4996|0;ia=j+4992|0;ja=j+2736|0;ka=j+1200|0;la=j+4988|0;ma=j+1192|0;na=j+1184|0;oa=j+1176|0;pa=j+1168|0;qa=j+1160|0;ra=j+1152|0;sa=j+1144|0;ta=j+1136|0;ua=j+1128|0;va=j+1120|0;wa=j+1112|0;xa=j+1104|0;ya=j+1096|0;za=j+1088|0;Aa=j+1080|0;Ba=j+1048|0;Ca=j+1016|0;Da=j+984|0;Ea=j+952|0;Fa=j+920|0;Ga=j+888|0;Ha=j+4984|0;Ia=j+4980|0;Ja=j+4976|0;Ka=j+4972|0;La=j+4968|0;Ma=j+4964|0;Na=j+880|0;Oa=j+872|0;Pa=j+864|0;Qa=j+856|0;Ra=j+848|0;Sa=j+840|0;Ta=j+832|0;Ua=j+824|0;Va=j+816|0;Wa=j+808|0;Xa=j+800|0;Ya=j+792|0;Za=j+784|0;_a=j+776|0;$a=j+768|0;ab=j+760|0;bb=j+752|0;cb=j+744|0;db=j+736|0;eb=j+728|0;fb=j+720|0;gb=j+712|0;hb=j+704|0;ib=j+696|0;jb=j+632|0;kb=j+568|0;lb=j+504|0;mb=j+4960|0;nb=j+4956|0;ob=j+4952|0;pb=j+496|0;qb=j+488|0;rb=j+480|0;sb=j+472|0;tb=j+464|0;ub=j+456|0;vb=j+448|0;wb=j+440|0;xb=j+432|0;yb=j+424|0;zb=j+416|0;Ab=j+408|0;Bb=j+376|0;Cb=j+280|0;Db=j+152|0;Eb=j+144|0;Fb=j+4948|0;Gb=j+4944|0;Hb=j+136|0;Ib=j+128|0;Jb=j+120|0;Kb=j+112|0;Lb=j+104|0;Mb=j+96|0;Nb=j+88|0;Ob=j+80|0;Pb=j+72|0;Qb=j+64|0;Rb=j+56|0;Sb=j+48|0;Tb=j+40|0;Ub=j+32|0;Vb=j+24|0;Wb=j+16|0;Xb=j+8|0;Yb=j;k[m>>2]=a;k[n>>2]=b;k[o>>2]=c;k[q>>2]=d;p[s>>3]=e;p[t>>3]=f;p[u>>3]=g;p[v>>3]=h;p[w>>3]=i;p[x>>3]=+p[k[m>>2]>>3]-+p[k[q>>2]>>3];p[y>>3]=+p[k[n>>2]>>3]-+p[k[q>>2]>>3];p[z>>3]=+p[k[o>>2]>>3]-+p[k[q>>2]>>3];p[A>>3]=+p[(k[m>>2]|0)+8>>3]-+p[(k[q>>2]|0)+8>>3];p[B>>3]=+p[(k[n>>2]|0)+8>>3]-+p[(k[q>>2]|0)+8>>3];p[C>>3]=+p[(k[o>>2]|0)+8>>3]-+p[(k[q>>2]|0)+8>>3];p[D>>3]=+p[s>>3]-+p[v>>3];p[E>>3]=+p[t>>3]-+p[v>>3];p[F>>3]=+p[u>>3]-+p[v>>3];p[I>>3]=+p[y>>3]*+p[C>>3];p[Mb>>3]=+p[5]*+p[y>>3];p[Nb>>3]=+p[Mb>>3]-+p[y>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[y>>3]-+p[Ob>>3];p[Mb>>3]=+p[5]*+p[C>>3];p[Nb>>3]=+p[Mb>>3]-+p[C>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[C>>3]-+p[Qb>>3];p[Sb>>3]=+p[I>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[O>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[J>>3]=+p[z>>3]*+p[B>>3];p[Mb>>3]=+p[5]*+p[z>>3];p[Nb>>3]=+p[Mb>>3]-+p[z>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[z>>3]-+p[Ob>>3];p[Mb>>3]=+p[5]*+p[B>>3];p[Nb>>3]=+p[Mb>>3]-+p[B>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[B>>3]-+p[Qb>>3];p[Sb>>3]=+p[J>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[P>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Vb>>3]=+p[O>>3]-+p[P>>3];p[Ib>>3]=+p[O>>3]-+p[Vb>>3];p[Jb>>3]=+p[Vb>>3]+ +p[Ib>>3];p[Kb>>3]=+p[Ib>>3]-+p[P>>3];p[Lb>>3]=+p[O>>3]-+p[Jb>>3];p[U>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Wb>>3]=+p[I>>3]+ +p[Vb>>3];p[Ib>>3]=+p[Wb>>3]-+p[I>>3];p[Jb>>3]=+p[Wb>>3]-+p[Ib>>3];p[Kb>>3]=+p[Vb>>3]-+p[Ib>>3];p[Lb>>3]=+p[I>>3]-+p[Jb>>3];p[Yb>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Vb>>3]=+p[Yb>>3]-+p[J>>3];p[Ib>>3]=+p[Yb>>3]-+p[Vb>>3];p[Jb>>3]=+p[Vb>>3]+ +p[Ib>>3];p[Kb>>3]=+p[Ib>>3]-+p[J>>3];p[Lb>>3]=+p[Yb>>3]-+p[Jb>>3];p[U+8>>3]=+p[Lb>>3]+ +p[Kb>>3];p[X>>3]=+p[Wb>>3]+ +p[Vb>>3];p[Ib>>3]=+p[X>>3]-+p[Wb>>3];p[Jb>>3]=+p[X>>3]-+p[Ib>>3];p[Kb>>3]=+p[Vb>>3]-+p[Ib>>3];p[Lb>>3]=+p[Wb>>3]-+p[Jb>>3];p[U+16>>3]=+p[Lb>>3]+ +p[Kb>>3];p[U+24>>3]=+p[X>>3];X=Fe(4,U,+p[D>>3],_)|0;k[ba>>2]=X;p[K>>3]=+p[z>>3]*+p[A>>3];p[Mb>>3]=+p[5]*+p[z>>3];p[Nb>>3]=+p[Mb>>3]-+p[z>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[z>>3]-+p[Ob>>3];p[Mb>>3]=+p[5]*+p[A>>3];p[Nb>>3]=+p[Mb>>3]-+p[A>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[A>>3]-+p[Qb>>3];p[Sb>>3]=+p[K>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Q>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[L>>3]=+p[x>>3]*+p[C>>3];p[Mb>>3]=+p[5]*+p[x>>3];p[Nb>>3]=+p[Mb>>3]-+p[x>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[x>>3]-+p[Ob>>3];p[Mb>>3]=+p[5]*+p[C>>3];p[Nb>>3]=+p[Mb>>3]-+p[C>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[C>>3]-+p[Qb>>3];p[Sb>>3]=+p[L>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[R>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Vb>>3]=+p[Q>>3]-+p[R>>3];p[Ib>>3]=+p[Q>>3]-+p[Vb>>3];p[Jb>>3]=+p[Vb>>3]+ +p[Ib>>3];p[Kb>>3]=+p[Ib>>3]-+p[R>>3];p[Lb>>3]=+p[Q>>3]-+p[Jb>>3];p[V>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Wb>>3]=+p[K>>3]+ +p[Vb>>3];p[Ib>>3]=+p[Wb>>3]-+p[K>>3];p[Jb>>3]=+p[Wb>>3]-+p[Ib>>3];p[Kb>>3]=+p[Vb>>3]-+p[Ib>>3];p[Lb>>3]=+p[K>>3]-+p[Jb>>3];p[Yb>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Vb>>3]=+p[Yb>>3]-+p[L>>3];p[Ib>>3]=+p[Yb>>3]-+p[Vb>>3];p[Jb>>3]=+p[Vb>>3]+ +p[Ib>>3];p[Kb>>3]=+p[Ib>>3]-+p[L>>3];p[Lb>>3]=+p[Yb>>3]-+p[Jb>>3];p[V+8>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Y>>3]=+p[Wb>>3]+ +p[Vb>>3];p[Ib>>3]=+p[Y>>3]-+p[Wb>>3];p[Jb>>3]=+p[Y>>3]-+p[Ib>>3];p[Kb>>3]=+p[Vb>>3]-+p[Ib>>3];p[Lb>>3]=+p[Wb>>3]-+p[Jb>>3];p[V+16>>3]=+p[Lb>>3]+ +p[Kb>>3];p[V+24>>3]=+p[Y>>3];Y=Fe(4,V,+p[E>>3],$)|0;k[ca>>2]=Y;p[M>>3]=+p[x>>3]*+p[B>>3];p[Mb>>3]=+p[5]*+p[x>>3];p[Nb>>3]=+p[Mb>>3]-+p[x>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[x>>3]-+p[Ob>>3];p[Mb>>3]=+p[5]*+p[B>>3];p[Nb>>3]=+p[Mb>>3]-+p[B>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[B>>3]-+p[Qb>>3];p[Sb>>3]=+p[M>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[S>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[N>>3]=+p[y>>3]*+p[A>>3];p[Mb>>3]=+p[5]*+p[y>>3];p[Nb>>3]=+p[Mb>>3]-+p[y>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[y>>3]-+p[Ob>>3];p[Mb>>3]=+p[5]*+p[A>>3];p[Nb>>3]=+p[Mb>>3]-+p[A>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[A>>3]-+p[Qb>>3];p[Sb>>3]=+p[N>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[T>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Vb>>3]=+p[S>>3]-+p[T>>3];p[Ib>>3]=+p[S>>3]-+p[Vb>>3];p[Jb>>3]=+p[Vb>>3]+ +p[Ib>>3];p[Kb>>3]=+p[Ib>>3]-+p[T>>3];p[Lb>>3]=+p[S>>3]-+p[Jb>>3];p[W>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Wb>>3]=+p[M>>3]+ +p[Vb>>3];p[Ib>>3]=+p[Wb>>3]-+p[M>>3];p[Jb>>3]=+p[Wb>>3]-+p[Ib>>3];p[Kb>>3]=+p[Vb>>3]-+p[Ib>>3];p[Lb>>3]=+p[M>>3]-+p[Jb>>3];p[Yb>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Vb>>3]=+p[Yb>>3]-+p[N>>3];p[Ib>>3]=+p[Yb>>3]-+p[Vb>>3];p[Jb>>3]=+p[Vb>>3]+ +p[Ib>>3];p[Kb>>3]=+p[Ib>>3]-+p[N>>3];p[Lb>>3]=+p[Yb>>3]-+p[Jb>>3];p[W+8>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Z>>3]=+p[Wb>>3]+ +p[Vb>>3];p[Ib>>3]=+p[Z>>3]-+p[Wb>>3];p[Jb>>3]=+p[Z>>3]-+p[Ib>>3];p[Kb>>3]=+p[Vb>>3]-+p[Ib>>3];p[Lb>>3]=+p[Wb>>3]-+p[Jb>>3];p[W+16>>3]=+p[Lb>>3]+ +p[Kb>>3];p[W+24>>3]=+p[Z>>3];Z=Fe(4,W,+p[F>>3],aa)|0;k[da>>2]=Z;Z=Ee(k[ba>>2]|0,_,k[ca>>2]|0,$,ea)|0;k[fa>>2]=Z;Z=Ee(k[fa>>2]|0,ea,k[da>>2]|0,aa,ja)|0;k[la>>2]=Z;i=+Ge(k[la>>2]|0,ja);p[G>>3]=i;p[H>>3]=+p[15]*+p[w>>3];if(!(+p[G>>3]>=+p[H>>3])?!(-+p[G>>3]>=+p[H>>3]):0){p[Ib>>3]=+p[k[m>>2]>>3]-+p[x>>3];p[Jb>>3]=+p[x>>3]+ +p[Ib>>3];p[Kb>>3]=+p[Ib>>3]-+p[k[q>>2]>>3];p[Lb>>3]=+p[k[m>>2]>>3]-+p[Jb>>3];p[ma>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Ib>>3]=+p[k[n>>2]>>3]-+p[y>>3];p[Jb>>3]=+p[y>>3]+ +p[Ib>>3];p[Kb>>3]=+p[Ib>>3]-+p[k[q>>2]>>3];p[Lb>>3]=+p[k[n>>2]>>3]-+p[Jb>>3];p[na>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Ib>>3]=+p[k[o>>2]>>3]-+p[z>>3];p[Jb>>3]=+p[z>>3]+ +p[Ib>>3];p[Kb>>3]=+p[Ib>>3]-+p[k[q>>2]>>3];p[Lb>>3]=+p[k[o>>2]>>3]-+p[Jb>>3];p[oa>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Ib>>3]=+p[(k[m>>2]|0)+8>>3]-+p[A>>3];p[Jb>>3]=+p[A>>3]+ +p[Ib>>3];p[Kb>>3]=+p[Ib>>3]-+p[(k[q>>2]|0)+8>>3];p[Lb>>3]=+p[(k[m>>2]|0)+8>>3]-+p[Jb>>3];p[pa>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Ib>>3]=+p[(k[n>>2]|0)+8>>3]-+p[B>>3];p[Jb>>3]=+p[B>>3]+ +p[Ib>>3];p[Kb>>3]=+p[Ib>>3]-+p[(k[q>>2]|0)+8>>3];p[Lb>>3]=+p[(k[n>>2]|0)+8>>3]-+p[Jb>>3];p[qa>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Ib>>3]=+p[(k[o>>2]|0)+8>>3]-+p[C>>3];p[Jb>>3]=+p[C>>3]+ +p[Ib>>3];p[Kb>>3]=+p[Ib>>3]-+p[(k[q>>2]|0)+8>>3];p[Lb>>3]=+p[(k[o>>2]|0)+8>>3]-+p[Jb>>3];p[ra>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Ib>>3]=+p[s>>3]-+p[D>>3];p[Jb>>3]=+p[D>>3]+ +p[Ib>>3];p[Kb>>3]=+p[Ib>>3]-+p[v>>3];p[Lb>>3]=+p[s>>3]-+p[Jb>>3];p[sa>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Ib>>3]=+p[t>>3]-+p[E>>3];p[Jb>>3]=+p[E>>3]+ +p[Ib>>3];p[Kb>>3]=+p[Ib>>3]-+p[v>>3];p[Lb>>3]=+p[t>>3]-+p[Jb>>3];p[ta>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Ib>>3]=+p[u>>3]-+p[F>>3];p[Jb>>3]=+p[F>>3]+ +p[Ib>>3];p[Kb>>3]=+p[Ib>>3]-+p[v>>3];p[Lb>>3]=+p[u>>3]-+p[Jb>>3];p[ua>>3]=+p[Lb>>3]+ +p[Kb>>3];if(+p[ma>>3]==0.0&+p[na>>3]==0.0&+p[oa>>3]==0.0&+p[pa>>3]==0.0&+p[qa>>3]==0.0&+p[ra>>3]==0.0&+p[sa>>3]==0.0&+p[ta>>3]==0.0&+p[ua>>3]==0.0){p[l>>3]=+p[G>>3];Zb=+p[l>>3];r=j;return +Zb}i=+p[G>>3];p[H>>3]=+p[16]*+p[w>>3]+ +p[7]*(+p[G>>3]>=0.0?i:-i);p[G>>3]=+p[G>>3]+(+p[D>>3]*(+p[y>>3]*+p[ra>>3]+ +p[C>>3]*+p[na>>3]-(+p[B>>3]*+p[oa>>3]+ +p[z>>3]*+p[qa>>3]))+ +p[sa>>3]*(+p[y>>3]*+p[C>>3]-+p[B>>3]*+p[z>>3])+(+p[E>>3]*(+p[z>>3]*+p[pa>>3]+ +p[A>>3]*+p[oa>>3]-(+p[C>>3]*+p[ma>>3]+ +p[x>>3]*+p[ra>>3]))+ +p[ta>>3]*(+p[z>>3]*+p[A>>3]-+p[C>>3]*+p[x>>3]))+(+p[F>>3]*(+p[x>>3]*+p[qa>>3]+ +p[B>>3]*+p[ma>>3]-(+p[A>>3]*+p[na>>3]+ +p[y>>3]*+p[pa>>3]))+ +p[ua>>3]*(+p[x>>3]*+p[B>>3]-+p[A>>3]*+p[y>>3])));if(!(+p[G>>3]>=+p[H>>3])?!(-+p[G>>3]>=+p[H>>3]):0){k[ga>>2]=ja;k[ha>>2]=ka;ka=+p[pa>>3]==0.0;do if(+p[ma>>3]==0.0)if(ka){p[Ba>>3]=0.0;k[Ha>>2]=1;p[Ca>>3]=0.0;k[Ia>>2]=1;break}else{p[Hb>>3]=-+p[pa>>3];p[va>>3]=+p[Hb>>3]*+p[y>>3];p[Mb>>3]=+p[5]*+p[Hb>>3];p[Nb>>3]=+p[Mb>>3]-+p[Hb>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[Hb>>3]-+p[Ob>>3];p[Mb>>3]=+p[5]*+p[y>>3];p[Nb>>3]=+p[Mb>>3]-+p[y>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[y>>3]-+p[Qb>>3];p[Sb>>3]=+p[va>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Ba>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Ba+8>>3]=+p[va>>3];k[Ha>>2]=2;p[wa>>3]=+p[pa>>3]*+p[z>>3];p[Mb>>3]=+p[5]*+p[pa>>3];p[Nb>>3]=+p[Mb>>3]-+p[pa>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[pa>>3]-+p[Ob>>3];p[Mb>>3]=+p[5]*+p[z>>3];p[Nb>>3]=+p[Mb>>3]-+p[z>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[z>>3]-+p[Qb>>3];p[Sb>>3]=+p[wa>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Ca>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Ca+8>>3]=+p[wa>>3];k[Ia>>2]=2;break}else{i=+p[ma>>3]*+p[B>>3];if(ka){p[va>>3]=i;p[Mb>>3]=+p[5]*+p[ma>>3];p[Nb>>3]=+p[Mb>>3]-+p[ma>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[ma>>3]-+p[Ob>>3];p[Mb>>3]=+p[5]*+p[B>>3];p[Nb>>3]=+p[Mb>>3]-+p[B>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[B>>3]-+p[Qb>>3];p[Sb>>3]=+p[va>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Ba>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Ba+8>>3]=+p[va>>3];k[Ha>>2]=2;p[Hb>>3]=-+p[ma>>3];p[wa>>3]=+p[Hb>>3]*+p[C>>3];p[Mb>>3]=+p[5]*+p[Hb>>3];p[Nb>>3]=+p[Mb>>3]-+p[Hb>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[Hb>>3]-+p[Ob>>3];p[Mb>>3]=+p[5]*+p[C>>3];p[Nb>>3]=+p[Mb>>3]-+p[C>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[C>>3]-+p[Qb>>3];p[Sb>>3]=+p[wa>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Ca>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Ca+8>>3]=+p[wa>>3];k[Ia>>2]=2;break}else{p[Ra>>3]=i;p[Mb>>3]=+p[5]*+p[ma>>3];p[Nb>>3]=+p[Mb>>3]-+p[ma>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[ma>>3]-+p[Ob>>3];p[Mb>>3]=+p[5]*+p[B>>3];p[Nb>>3]=+p[Mb>>3]-+p[B>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[B>>3]-+p[Qb>>3];p[Sb>>3]=+p[Ra>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Xa>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[bb>>3]=+p[pa>>3]*+p[y>>3];p[Mb>>3]=+p[5]*+p[pa>>3];p[Nb>>3]=+p[Mb>>3]-+p[pa>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[pa>>3]-+p[Ob>>3];p[Mb>>3]=+p[5]*+p[y>>3];p[Nb>>3]=+p[Mb>>3]-+p[y>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[y>>3]-+p[Qb>>3];p[Sb>>3]=+p[bb>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[hb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Vb>>3]=+p[Xa>>3]-+p[hb>>3];p[Ib>>3]=+p[Xa>>3]-+p[Vb>>3];p[Jb>>3]=+p[Vb>>3]+ +p[Ib>>3];p[Kb>>3]=+p[Ib>>3]-+p[hb>>3];p[Lb>>3]=+p[Xa>>3]-+p[Jb>>3];p[Ba>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Wb>>3]=+p[Ra>>3]+ +p[Vb>>3];p[Ib>>3]=+p[Wb>>3]-+p[Ra>>3];p[Jb>>3]=+p[Wb>>3]-+p[Ib>>3];p[Kb>>3]=+p[Vb>>3]-+p[Ib>>3];p[Lb>>3]=+p[Ra>>3]-+p[Jb>>3];p[Yb>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Vb>>3]=+p[Yb>>3]-+p[bb>>3];p[Ib>>3]=+p[Yb>>3]-+p[Vb>>3];p[Jb>>3]=+p[Vb>>3]+ +p[Ib>>3];p[Kb>>3]=+p[Ib>>3]-+p[bb>>3];p[Lb>>3]=+p[Yb>>3]-+p[Jb>>3];p[Ba+8>>3]=+p[Lb>>3]+ +p[Kb>>3];p[va>>3]=+p[Wb>>3]+ +p[Vb>>3];p[Ib>>3]=+p[va>>3]-+p[Wb>>3];p[Jb>>3]=+p[va>>3]-+p[Ib>>3];p[Kb>>3]=+p[Vb>>3]-+p[Ib>>3];p[Lb>>3]=+p[Wb>>3]-+p[Jb>>3];p[Ba+16>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Ba+24>>3]=+p[va>>3];k[Ha>>2]=4;p[ab>>3]=+p[pa>>3]*+p[z>>3];p[Mb>>3]=+p[5]*+p[pa>>3];p[Nb>>3]=+p[Mb>>3]-+p[pa>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[pa>>3]-+p[Ob>>3];p[Mb>>3]=+p[5]*+p[z>>3];p[Nb>>3]=+p[Mb>>3]-+p[z>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[z>>3]-+p[Qb>>3];p[Sb>>3]=+p[ab>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[gb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Qa>>3]=+p[ma>>3]*+p[C>>3];p[Mb>>3]=+p[5]*+p[ma>>3];p[Nb>>3]=+p[Mb>>3]-+p[ma>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[ma>>3]-+p[Ob>>3];p[Mb>>3]=+p[5]*+p[C>>3];p[Nb>>3]=+p[Mb>>3]-+p[C>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[C>>3]-+p[Qb>>3];p[Sb>>3]=+p[Qa>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Wa>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Vb>>3]=+p[gb>>3]-+p[Wa>>3];p[Ib>>3]=+p[gb>>3]-+p[Vb>>3];p[Jb>>3]=+p[Vb>>3]+ +p[Ib>>3];p[Kb>>3]=+p[Ib>>3]-+p[Wa>>3];p[Lb>>3]=+p[gb>>3]-+p[Jb>>3];p[Ca>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Wb>>3]=+p[ab>>3]+ +p[Vb>>3];p[Ib>>3]=+p[Wb>>3]-+p[ab>>3];p[Jb>>3]=+p[Wb>>3]-+p[Ib>>3];p[Kb>>3]=+p[Vb>>3]-+p[Ib>>3];p[Lb>>3]=+p[ab>>3]-+p[Jb>>3];p[Yb>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Vb>>3]=+p[Yb>>3]-+p[Qa>>3];p[Ib>>3]=+p[Yb>>3]-+p[Vb>>3];p[Jb>>3]=+p[Vb>>3]+ +p[Ib>>3];p[Kb>>3]=+p[Ib>>3]-+p[Qa>>3];p[Lb>>3]=+p[Yb>>3]-+p[Jb>>3];p[Ca+8>>3]=+p[Lb>>3]+ +p[Kb>>3];p[wa>>3]=+p[Wb>>3]+ +p[Vb>>3];p[Ib>>3]=+p[wa>>3]-+p[Wb>>3];p[Jb>>3]=+p[wa>>3]-+p[Ib>>3];p[Kb>>3]=+p[Vb>>3]-+p[Ib>>3];p[Lb>>3]=+p[Wb>>3]-+p[Jb>>3];p[Ca+16>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Ca+24>>3]=+p[wa>>3];k[Ia>>2]=4;break}}while(0);wa=+p[qa>>3]==0.0;do if(+p[na>>3]==0.0)if(wa){p[Da>>3]=0.0;k[Ja>>2]=1;p[Ea>>3]=0.0;k[Ka>>2]=1;break}else{p[Hb>>3]=-+p[qa>>3];p[xa>>3]=+p[Hb>>3]*+p[z>>3];p[Mb>>3]=+p[5]*+p[Hb>>3];p[Nb>>3]=+p[Mb>>3]-+p[Hb>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[Hb>>3]-+p[Ob>>3];p[Mb>>3]=+p[5]*+p[z>>3];p[Nb>>3]=+p[Mb>>3]-+p[z>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[z>>3]-+p[Qb>>3];p[Sb>>3]=+p[xa>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Da>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Da+8>>3]=+p[xa>>3];k[Ja>>2]=2;p[ya>>3]=+p[qa>>3]*+p[x>>3];p[Mb>>3]=+p[5]*+p[qa>>3];p[Nb>>3]=+p[Mb>>3]-+p[qa>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[qa>>3]-+p[Ob>>3];p[Mb>>3]=+p[5]*+p[x>>3];p[Nb>>3]=+p[Mb>>3]-+p[x>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[x>>3]-+p[Qb>>3];p[Sb>>3]=+p[ya>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Ea>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Ea+8>>3]=+p[ya>>3];k[Ka>>2]=2;break}else{i=+p[na>>3]*+p[C>>3];if(wa){p[xa>>3]=i;p[Mb>>3]=+p[5]*+p[na>>3];p[Nb>>3]=+p[Mb>>3]-+p[na>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[na>>3]-+p[Ob>>3];p[Mb>>3]=+p[5]*+p[C>>3];p[Nb>>3]=+p[Mb>>3]-+p[C>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[C>>3]-+p[Qb>>3];p[Sb>>3]=+p[xa>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Da>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Da+8>>3]=+p[xa>>3];k[Ja>>2]=2;p[Hb>>3]=-+p[na>>3];p[ya>>3]=+p[Hb>>3]*+p[A>>3];p[Mb>>3]=+p[5]*+p[Hb>>3];p[Nb>>3]=+p[Mb>>3]-+p[Hb>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[Hb>>3]-+p[Ob>>3];p[Mb>>3]=+p[5]*+p[A>>3];p[Nb>>3]=+p[Mb>>3]-+p[A>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[A>>3]-+p[Qb>>3];p[Sb>>3]=+p[ya>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Ea>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Ea+8>>3]=+p[ya>>3];k[Ka>>2]=2;break}else{p[Na>>3]=i;p[Mb>>3]=+p[5]*+p[na>>3];p[Nb>>3]=+p[Mb>>3]-+p[na>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[na>>3]-+p[Ob>>3];p[Mb>>3]=+p[5]*+p[C>>3];p[Nb>>3]=+p[Mb>>3]-+p[C>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[C>>3]-+p[Qb>>3];p[Sb>>3]=+p[Na>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Ta>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Za>>3]=+p[qa>>3]*+p[z>>3];p[Mb>>3]=+p[5]*+p[qa>>3];p[Nb>>3]=+p[Mb>>3]-+p[qa>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[qa>>3]-+p[Ob>>3];p[Mb>>3]=+p[5]*+p[z>>3];p[Nb>>3]=+p[Mb>>3]-+p[z>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[z>>3]-+p[Qb>>3];p[Sb>>3]=+p[Za>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[db>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Vb>>3]=+p[Ta>>3]-+p[db>>3];p[Ib>>3]=+p[Ta>>3]-+p[Vb>>3];p[Jb>>3]=+p[Vb>>3]+ +p[Ib>>3];p[Kb>>3]=+p[Ib>>3]-+p[db>>3];p[Lb>>3]=+p[Ta>>3]-+p[Jb>>3];p[Da>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Wb>>3]=+p[Na>>3]+ +p[Vb>>3];p[Ib>>3]=+p[Wb>>3]-+p[Na>>3];p[Jb>>3]=+p[Wb>>3]-+p[Ib>>3];p[Kb>>3]=+p[Vb>>3]-+p[Ib>>3];p[Lb>>3]=+p[Na>>3]-+p[Jb>>3];p[Yb>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Vb>>3]=+p[Yb>>3]-+p[Za>>3];p[Ib>>3]=+p[Yb>>3]-+p[Vb>>3];p[Jb>>3]=+p[Vb>>3]+ +p[Ib>>3];p[Kb>>3]=+p[Ib>>3]-+p[Za>>3];p[Lb>>3]=+p[Yb>>3]-+p[Jb>>3];p[Da+8>>3]=+p[Lb>>3]+ +p[Kb>>3];p[xa>>3]=+p[Wb>>3]+ +p[Vb>>3];p[Ib>>3]=+p[xa>>3]-+p[Wb>>3];p[Jb>>3]=+p[xa>>3]-+p[Ib>>3];p[Kb>>3]=+p[Vb>>3]-+p[Ib>>3];p[Lb>>3]=+p[Wb>>3]-+p[Jb>>3];p[Da+16>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Da+24>>3]=+p[xa>>3];k[Ja>>2]=4;p[cb>>3]=+p[qa>>3]*+p[x>>3];p[Mb>>3]=+p[5]*+p[qa>>3];p[Nb>>3]=+p[Mb>>3]-+p[qa>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[qa>>3]-+p[Ob>>3];p[Mb>>3]=+p[5]*+p[x>>3];p[Nb>>3]=+p[Mb>>3]-+p[x>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[x>>3]-+p[Qb>>3];p[Sb>>3]=+p[cb>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[ib>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Sa>>3]=+p[na>>3]*+p[A>>3];p[Mb>>3]=+p[5]*+p[na>>3];p[Nb>>3]=+p[Mb>>3]-+p[na>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[na>>3]-+p[Ob>>3];p[Mb>>3]=+p[5]*+p[A>>3];p[Nb>>3]=+p[Mb>>3]-+p[A>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[A>>3]-+p[Qb>>3];p[Sb>>3]=+p[Sa>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Ya>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Vb>>3]=+p[ib>>3]-+p[Ya>>3];p[Ib>>3]=+p[ib>>3]-+p[Vb>>3];p[Jb>>3]=+p[Vb>>3]+ +p[Ib>>3];p[Kb>>3]=+p[Ib>>3]-+p[Ya>>3];p[Lb>>3]=+p[ib>>3]-+p[Jb>>3];p[Ea>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Wb>>3]=+p[cb>>3]+ +p[Vb>>3];p[Ib>>3]=+p[Wb>>3]-+p[cb>>3];p[Jb>>3]=+p[Wb>>3]-+p[Ib>>3];p[Kb>>3]=+p[Vb>>3]-+p[Ib>>3];p[Lb>>3]=+p[cb>>3]-+p[Jb>>3];p[Yb>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Vb>>3]=+p[Yb>>3]-+p[Sa>>3];p[Ib>>3]=+p[Yb>>3]-+p[Vb>>3];p[Jb>>3]=+p[Vb>>3]+ +p[Ib>>3];p[Kb>>3]=+p[Ib>>3]-+p[Sa>>3];p[Lb>>3]=+p[Yb>>3]-+p[Jb>>3];p[Ea+8>>3]=+p[Lb>>3]+ +p[Kb>>3];p[ya>>3]=+p[Wb>>3]+ +p[Vb>>3];p[Ib>>3]=+p[ya>>3]-+p[Wb>>3];p[Jb>>3]=+p[ya>>3]-+p[Ib>>3];p[Kb>>3]=+p[Vb>>3]-+p[Ib>>3];p[Lb>>3]=+p[Wb>>3]-+p[Jb>>3];p[Ea+16>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Ea+24>>3]=+p[ya>>3];k[Ka>>2]=4;break}}while(0);ya=+p[ra>>3]==0.0;do if(+p[oa>>3]==0.0)if(ya){p[Fa>>3]=0.0;k[La>>2]=1;p[Ga>>3]=0.0;k[Ma>>2]=1;break}else{p[Hb>>3]=-+p[ra>>3];p[za>>3]=+p[Hb>>3]*+p[x>>3];p[Mb>>3]=+p[5]*+p[Hb>>3];p[Nb>>3]=+p[Mb>>3]-+p[Hb>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[Hb>>3]-+p[Ob>>3];p[Mb>>3]=+p[5]*+p[x>>3];p[Nb>>3]=+p[Mb>>3]-+p[x>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[x>>3]-+p[Qb>>3];p[Sb>>3]=+p[za>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Fa>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Fa+8>>3]=+p[za>>3];k[La>>2]=2;p[Aa>>3]=+p[ra>>3]*+p[y>>3];p[Mb>>3]=+p[5]*+p[ra>>3];p[Nb>>3]=+p[Mb>>3]-+p[ra>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[ra>>3]-+p[Ob>>3];p[Mb>>3]=+p[5]*+p[y>>3];p[Nb>>3]=+p[Mb>>3]-+p[y>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[y>>3]-+p[Qb>>3];p[Sb>>3]=+p[Aa>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Ga>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Ga+8>>3]=+p[Aa>>3];k[Ma>>2]=2;break}else{i=+p[oa>>3]*+p[A>>3];if(ya){p[za>>3]=i;p[Mb>>3]=+p[5]*+p[oa>>3];p[Nb>>3]=+p[Mb>>3]-+p[oa>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[oa>>3]-+p[Ob>>3];p[Mb>>3]=+p[5]*+p[A>>3];p[Nb>>3]=+p[Mb>>3]-+p[A>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[A>>3]-+p[Qb>>3];p[Sb>>3]=+p[za>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Fa>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Fa+8>>3]=+p[za>>3];k[La>>2]=2;p[Hb>>3]=-+p[oa>>3];p[Aa>>3]=+p[Hb>>3]*+p[B>>3];p[Mb>>3]=+p[5]*+p[Hb>>3];p[Nb>>3]=+p[Mb>>3]-+p[Hb>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[Hb>>3]-+p[Ob>>3];p[Mb>>3]=+p[5]*+p[B>>3];p[Nb>>3]=+p[Mb>>3]-+p[B>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[B>>3]-+p[Qb>>3];p[Sb>>3]=+p[Aa>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Ga>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Ga+8>>3]=+p[Aa>>3];k[Ma>>2]=2;break}else{p[Pa>>3]=i;p[Mb>>3]=+p[5]*+p[oa>>3];p[Nb>>3]=+p[Mb>>3]-+p[oa>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[oa>>3]-+p[Ob>>3];p[Mb>>3]=+p[5]*+p[A>>3];p[Nb>>3]=+p[Mb>>3]-+p[A>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[A>>3]-+p[Qb>>3];p[Sb>>3]=+p[Pa>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Va>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[$a>>3]=+p[ra>>3]*+p[x>>3];p[Mb>>3]=+p[5]*+p[ra>>3];p[Nb>>3]=+p[Mb>>3]-+p[ra>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[ra>>3]-+p[Ob>>3];p[Mb>>3]=+p[5]*+p[x>>3];p[Nb>>3]=+p[Mb>>3]-+p[x>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[x>>3]-+p[Qb>>3];p[Sb>>3]=+p[$a>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[fb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Vb>>3]=+p[Va>>3]-+p[fb>>3];p[Ib>>3]=+p[Va>>3]-+p[Vb>>3];p[Jb>>3]=+p[Vb>>3]+ +p[Ib>>3];p[Kb>>3]=+p[Ib>>3]-+p[fb>>3];p[Lb>>3]=+p[Va>>3]-+p[Jb>>3];p[Fa>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Wb>>3]=+p[Pa>>3]+ +p[Vb>>3];p[Ib>>3]=+p[Wb>>3]-+p[Pa>>3];p[Jb>>3]=+p[Wb>>3]-+p[Ib>>3];p[Kb>>3]=+p[Vb>>3]-+p[Ib>>3];p[Lb>>3]=+p[Pa>>3]-+p[Jb>>3];p[Yb>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Vb>>3]=+p[Yb>>3]-+p[$a>>3];p[Ib>>3]=+p[Yb>>3]-+p[Vb>>3];p[Jb>>3]=+p[Vb>>3]+ +p[Ib>>3];p[Kb>>3]=+p[Ib>>3]-+p[$a>>3];p[Lb>>3]=+p[Yb>>3]-+p[Jb>>3];p[Fa+8>>3]=+p[Lb>>3]+ +p[Kb>>3];p[za>>3]=+p[Wb>>3]+ +p[Vb>>3];p[Ib>>3]=+p[za>>3]-+p[Wb>>3];p[Jb>>3]=+p[za>>3]-+p[Ib>>3];p[Kb>>3]=+p[Vb>>3]-+p[Ib>>3];p[Lb>>3]=+p[Wb>>3]-+p[Jb>>3];p[Fa+16>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Fa+24>>3]=+p[za>>3];k[La>>2]=4;p[_a>>3]=+p[ra>>3]*+p[y>>3];p[Mb>>3]=+p[5]*+p[ra>>3];p[Nb>>3]=+p[Mb>>3]-+p[ra>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[ra>>3]-+p[Ob>>3];p[Mb>>3]=+p[5]*+p[y>>3];p[Nb>>3]=+p[Mb>>3]-+p[y>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[y>>3]-+p[Qb>>3];p[Sb>>3]=+p[_a>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[eb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Oa>>3]=+p[oa>>3]*+p[B>>3];p[Mb>>3]=+p[5]*+p[oa>>3];p[Nb>>3]=+p[Mb>>3]-+p[oa>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[oa>>3]-+p[Ob>>3];p[Mb>>3]=+p[5]*+p[B>>3];p[Nb>>3]=+p[Mb>>3]-+p[B>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[B>>3]-+p[Qb>>3];p[Sb>>3]=+p[Oa>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Ua>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Vb>>3]=+p[eb>>3]-+p[Ua>>3];p[Ib>>3]=+p[eb>>3]-+p[Vb>>3];p[Jb>>3]=+p[Vb>>3]+ +p[Ib>>3];p[Kb>>3]=+p[Ib>>3]-+p[Ua>>3];p[Lb>>3]=+p[eb>>3]-+p[Jb>>3];p[Ga>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Wb>>3]=+p[_a>>3]+ +p[Vb>>3];p[Ib>>3]=+p[Wb>>3]-+p[_a>>3];p[Jb>>3]=+p[Wb>>3]-+p[Ib>>3];p[Kb>>3]=+p[Vb>>3]-+p[Ib>>3];p[Lb>>3]=+p[_a>>3]-+p[Jb>>3];p[Yb>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Vb>>3]=+p[Yb>>3]-+p[Oa>>3];p[Ib>>3]=+p[Yb>>3]-+p[Vb>>3];p[Jb>>3]=+p[Vb>>3]+ +p[Ib>>3];p[Kb>>3]=+p[Ib>>3]-+p[Oa>>3];p[Lb>>3]=+p[Yb>>3]-+p[Jb>>3];p[Ga+8>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Aa>>3]=+p[Wb>>3]+ +p[Vb>>3];p[Ib>>3]=+p[Aa>>3]-+p[Wb>>3];p[Jb>>3]=+p[Aa>>3]-+p[Ib>>3];p[Kb>>3]=+p[Vb>>3]-+p[Ib>>3];p[Lb>>3]=+p[Wb>>3]-+p[Jb>>3];p[Ga+16>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Ga+24>>3]=+p[Aa>>3];k[Ma>>2]=4;break}}while(0);Aa=Ee(k[Ja>>2]|0,Da,k[Ma>>2]|0,Ga,jb)|0;k[mb>>2]=Aa;Aa=Fe(k[mb>>2]|0,jb,+p[D>>3],Db)|0;k[Gb>>2]=Aa;Aa=Ee(k[la>>2]|0,k[ga>>2]|0,k[Gb>>2]|0,Db,k[ha>>2]|0)|0;k[la>>2]=Aa;k[ia>>2]=k[ga>>2];k[ga>>2]=k[ha>>2];k[ha>>2]=k[ia>>2];Aa=Ee(k[La>>2]|0,Fa,k[Ia>>2]|0,Ca,kb)|0;k[nb>>2]=Aa;Aa=Fe(k[nb>>2]|0,kb,+p[E>>3],Db)|0;k[Gb>>2]=Aa;Aa=Ee(k[la>>2]|0,k[ga>>2]|0,k[Gb>>2]|0,Db,k[ha>>2]|0)|0;k[la>>2]=Aa;k[ia>>2]=k[ga>>2];k[ga>>2]=k[ha>>2];k[ha>>2]=k[ia>>2];Aa=Ee(k[Ha>>2]|0,Ba,k[Ka>>2]|0,Ea,lb)|0;k[ob>>2]=Aa;Aa=Fe(k[ob>>2]|0,lb,+p[F>>3],Db)|0;k[Gb>>2]=Aa;Aa=Ee(k[la>>2]|0,k[ga>>2]|0,k[Gb>>2]|0,Db,k[ha>>2]|0)|0;k[la>>2]=Aa;k[ia>>2]=k[ga>>2];k[ga>>2]=k[ha>>2];k[ha>>2]=k[ia>>2];if(+p[sa>>3]!=0.0){Aa=Fe(4,U,+p[sa>>3],Cb)|0;k[Fb>>2]=Aa;Aa=Ee(k[la>>2]|0,k[ga>>2]|0,k[Fb>>2]|0,Cb,k[ha>>2]|0)|0;k[la>>2]=Aa;k[ia>>2]=k[ga>>2];k[ga>>2]=k[ha>>2];k[ha>>2]=k[ia>>2]}if(+p[ta>>3]!=0.0){Aa=Fe(4,V,+p[ta>>3],Cb)|0;k[Fb>>2]=Aa;Aa=Ee(k[la>>2]|0,k[ga>>2]|0,k[Fb>>2]|0,Cb,k[ha>>2]|0)|0;k[la>>2]=Aa;k[ia>>2]=k[ga>>2];k[ga>>2]=k[ha>>2];k[ha>>2]=k[ia>>2]}if(+p[ua>>3]!=0.0){Aa=Fe(4,W,+p[ua>>3],Cb)|0;k[Fb>>2]=Aa;Aa=Ee(k[la>>2]|0,k[ga>>2]|0,k[Fb>>2]|0,Cb,k[ha>>2]|0)|0;k[la>>2]=Aa;k[ia>>2]=k[ga>>2];k[ga>>2]=k[ha>>2];k[ha>>2]=k[ia>>2]}if(+p[ma>>3]!=0.0){if(+p[qa>>3]!=0.0?(p[tb>>3]=+p[ma>>3]*+p[qa>>3],p[Mb>>3]=+p[5]*+p[ma>>3],p[Nb>>3]=+p[Mb>>3]-+p[ma>>3],p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3],p[Pb>>3]=+p[ma>>3]-+p[Ob>>3],p[Mb>>3]=+p[5]*+p[qa>>3],p[Nb>>3]=+p[Mb>>3]-+p[qa>>3],p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3],p[Rb>>3]=+p[qa>>3]-+p[Qb>>3],p[Sb>>3]=+p[tb>>3]-+p[Ob>>3]*+p[Qb>>3],p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3],p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3],p[zb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3],p[Mb>>3]=+p[5]*+p[F>>3],p[Nb>>3]=+p[Mb>>3]-+p[F>>3],p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3],p[Rb>>3]=+p[F>>3]-+p[Qb>>3],p[Vb>>3]=+p[zb>>3]*+p[F>>3],p[Mb>>3]=+p[5]*+p[zb>>3],p[Nb>>3]=+p[Mb>>3]-+p[zb>>3],p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3],p[Pb>>3]=+p[zb>>3]-+p[Ob>>3],p[Sb>>3]=+p[Vb>>3]-+p[Ob>>3]*+p[Qb>>3],p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3],p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3],p[Bb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3],p[Wb>>3]=+p[tb>>3]*+p[F>>3],p[Mb>>3]=+p[5]*+p[tb>>3],p[Nb>>3]=+p[Mb>>3]-+p[tb>>3],p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3],p[Pb>>3]=+p[tb>>3]-+p[Ob>>3],p[Sb>>3]=+p[Wb>>3]-+p[Ob>>3]*+p[Qb>>3],p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3],p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3],p[Yb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3],p[Xb>>3]=+p[Vb>>3]+ +p[Yb>>3],p[Ib>>3]=+p[Xb>>3]-+p[Vb>>3],p[Jb>>3]=+p[Xb>>3]-+p[Ib>>3],p[Kb>>3]=+p[Yb>>3]-+p[Ib>>3],p[Lb>>3]=+p[Vb>>3]-+p[Jb>>3],p[Bb+8>>3]=+p[Lb>>3]+ +p[Kb>>3],p[Eb>>3]=+p[Wb>>3]+ +p[Xb>>3],p[Ib>>3]=+p[Eb>>3]-+p[Wb>>3],p[Bb+16>>3]=+p[Xb>>3]-+p[Ib>>3],p[Bb+24>>3]=+p[Eb>>3],Aa=Ee(k[la>>2]|0,k[ga>>2]|0,4,Bb,k[ha>>2]|0)|0,k[la>>2]=Aa,k[ia>>2]=k[ga>>2],k[ga>>2]=k[ha>>2],k[ha>>2]=k[ia>>2],+p[ua>>3]!=0.0):0){p[Mb>>3]=+p[5]*+p[ua>>3];p[Nb>>3]=+p[Mb>>3]-+p[ua>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[ua>>3]-+p[Qb>>3];p[Vb>>3]=+p[zb>>3]*+p[ua>>3];p[Mb>>3]=+p[5]*+p[zb>>3];p[Nb>>3]=+p[Mb>>3]-+p[zb>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[zb>>3]-+p[Ob>>3];p[Sb>>3]=+p[Vb>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Bb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Wb>>3]=+p[tb>>3]*+p[ua>>3];p[Mb>>3]=+p[5]*+p[tb>>3];p[Nb>>3]=+p[Mb>>3]-+p[tb>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[tb>>3]-+p[Ob>>3];p[Sb>>3]=+p[Wb>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Yb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Xb>>3]=+p[Vb>>3]+ +p[Yb>>3];p[Ib>>3]=+p[Xb>>3]-+p[Vb>>3];p[Jb>>3]=+p[Xb>>3]-+p[Ib>>3];p[Kb>>3]=+p[Yb>>3]-+p[Ib>>3];p[Lb>>3]=+p[Vb>>3]-+p[Jb>>3];p[Bb+8>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Eb>>3]=+p[Wb>>3]+ +p[Xb>>3];p[Ib>>3]=+p[Eb>>3]-+p[Wb>>3];p[Bb+16>>3]=+p[Xb>>3]-+p[Ib>>3];p[Bb+24>>3]=+p[Eb>>3];tb=Ee(k[la>>2]|0,k[ga>>2]|0,4,Bb,k[ha>>2]|0)|0;k[la>>2]=tb;k[ia>>2]=k[ga>>2];k[ga>>2]=k[ha>>2];k[ha>>2]=k[ia>>2]}if(+p[ra>>3]!=0.0?(p[Hb>>3]=-+p[ma>>3],p[sb>>3]=+p[Hb>>3]*+p[ra>>3],p[Mb>>3]=+p[5]*+p[Hb>>3],p[Nb>>3]=+p[Mb>>3]-+p[Hb>>3],p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3],p[Pb>>3]=+p[Hb>>3]-+p[Ob>>3],p[Mb>>3]=+p[5]*+p[ra>>3],p[Nb>>3]=+p[Mb>>3]-+p[ra>>3],p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3],p[Rb>>3]=+p[ra>>3]-+p[Qb>>3],p[Sb>>3]=+p[sb>>3]-+p[Ob>>3]*+p[Qb>>3],p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3],p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3],p[yb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3],p[Mb>>3]=+p[5]*+p[E>>3],p[Nb>>3]=+p[Mb>>3]-+p[E>>3],p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3],p[Rb>>3]=+p[E>>3]-+p[Qb>>3],p[Vb>>3]=+p[yb>>3]*+p[E>>3],p[Mb>>3]=+p[5]*+p[yb>>3],p[Nb>>3]=+p[Mb>>3]-+p[yb>>3],p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3],p[Pb>>3]=+p[yb>>3]-+p[Ob>>3],p[Sb>>3]=+p[Vb>>3]-+p[Ob>>3]*+p[Qb>>3],p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3],p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3],p[Bb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3],p[Wb>>3]=+p[sb>>3]*+p[E>>3],p[Mb>>3]=+p[5]*+p[sb>>3],p[Nb>>3]=+p[Mb>>3]-+p[sb>>3],p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3],p[Pb>>3]=+p[sb>>3]-+p[Ob>>3],p[Sb>>3]=+p[Wb>>3]-+p[Ob>>3]*+p[Qb>>3],p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3],p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3],p[Yb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3],p[Xb>>3]=+p[Vb>>3]+ +p[Yb>>3],p[Ib>>3]=+p[Xb>>3]-+p[Vb>>3],p[Jb>>3]=+p[Xb>>3]-+p[Ib>>3],p[Kb>>3]=+p[Yb>>3]-+p[Ib>>3],p[Lb>>3]=+p[Vb>>3]-+p[Jb>>3],p[Bb+8>>3]=+p[Lb>>3]+ +p[Kb>>3],p[Eb>>3]=+p[Wb>>3]+ +p[Xb>>3],p[Ib>>3]=+p[Eb>>3]-+p[Wb>>3],p[Bb+16>>3]=+p[Xb>>3]-+p[Ib>>3],p[Bb+24>>3]=+p[Eb>>3],ma=Ee(k[la>>2]|0,k[ga>>2]|0,4,Bb,k[ha>>2]|0)|0,k[la>>2]=ma,k[ia>>2]=k[ga>>2],k[ga>>2]=k[ha>>2],k[ha>>2]=k[ia>>2],+p[ta>>3]!=0.0):0){p[Mb>>3]=+p[5]*+p[ta>>3];p[Nb>>3]=+p[Mb>>3]-+p[ta>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[ta>>3]-+p[Qb>>3];p[Vb>>3]=+p[yb>>3]*+p[ta>>3];p[Mb>>3]=+p[5]*+p[yb>>3];p[Nb>>3]=+p[Mb>>3]-+p[yb>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[yb>>3]-+p[Ob>>3];p[Sb>>3]=+p[Vb>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Bb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Wb>>3]=+p[sb>>3]*+p[ta>>3];p[Mb>>3]=+p[5]*+p[sb>>3];p[Nb>>3]=+p[Mb>>3]-+p[sb>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[sb>>3]-+p[Ob>>3];p[Sb>>3]=+p[Wb>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Yb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Xb>>3]=+p[Vb>>3]+ +p[Yb>>3];p[Ib>>3]=+p[Xb>>3]-+p[Vb>>3];p[Jb>>3]=+p[Xb>>3]-+p[Ib>>3];p[Kb>>3]=+p[Yb>>3]-+p[Ib>>3];p[Lb>>3]=+p[Vb>>3]-+p[Jb>>3];p[Bb+8>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Eb>>3]=+p[Wb>>3]+ +p[Xb>>3];p[Ib>>3]=+p[Eb>>3]-+p[Wb>>3];p[Bb+16>>3]=+p[Xb>>3]-+p[Ib>>3];p[Bb+24>>3]=+p[Eb>>3];sb=Ee(k[la>>2]|0,k[ga>>2]|0,4,Bb,k[ha>>2]|0)|0;k[la>>2]=sb;k[ia>>2]=k[ga>>2];k[ga>>2]=k[ha>>2];k[ha>>2]=k[ia>>2]}}if(+p[na>>3]!=0.0){if(+p[ra>>3]!=0.0?(p[pb>>3]=+p[na>>3]*+p[ra>>3],p[Mb>>3]=+p[5]*+p[na>>3],p[Nb>>3]=+p[Mb>>3]-+p[na>>3],p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3],p[Pb>>3]=+p[na>>3]-+p[Ob>>3],p[Mb>>3]=+p[5]*+p[ra>>3],p[Nb>>3]=+p[Mb>>3]-+p[ra>>3],p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3],p[Rb>>3]=+p[ra>>3]-+p[Qb>>3],p[Sb>>3]=+p[pb>>3]-+p[Ob>>3]*+p[Qb>>3],p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3],p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3],p[vb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3],p[Mb>>3]=+p[5]*+p[D>>3],p[Nb>>3]=+p[Mb>>3]-+p[D>>3],p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3],p[Rb>>3]=+p[D>>3]-+p[Qb>>3],p[Vb>>3]=+p[vb>>3]*+p[D>>3],p[Mb>>3]=+p[5]*+p[vb>>3],p[Nb>>3]=+p[Mb>>3]-+p[vb>>3],p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3],p[Pb>>3]=+p[vb>>3]-+p[Ob>>3],p[Sb>>3]=+p[Vb>>3]-+p[Ob>>3]*+p[Qb>>3],p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3],p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3],p[Bb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3],p[Wb>>3]=+p[pb>>3]*+p[D>>3],p[Mb>>3]=+p[5]*+p[pb>>3],p[Nb>>3]=+p[Mb>>3]-+p[pb>>3],p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3],p[Pb>>3]=+p[pb>>3]-+p[Ob>>3],p[Sb>>3]=+p[Wb>>3]-+p[Ob>>3]*+p[Qb>>3],p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3],p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3],p[Yb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3],p[Xb>>3]=+p[Vb>>3]+ +p[Yb>>3],p[Ib>>3]=+p[Xb>>3]-+p[Vb>>3],p[Jb>>3]=+p[Xb>>3]-+p[Ib>>3],p[Kb>>3]=+p[Yb>>3]-+p[Ib>>3],p[Lb>>3]=+p[Vb>>3]-+p[Jb>>3],p[Bb+8>>3]=+p[Lb>>3]+ +p[Kb>>3],p[Eb>>3]=+p[Wb>>3]+ +p[Xb>>3],p[Ib>>3]=+p[Eb>>3]-+p[Wb>>3],p[Bb+16>>3]=+p[Xb>>3]-+p[Ib>>3],p[Bb+24>>3]=+p[Eb>>3],ra=Ee(k[la>>2]|0,k[ga>>2]|0,4,Bb,k[ha>>2]|0)|0,k[la>>2]=ra,k[ia>>2]=k[ga>>2],k[ga>>2]=k[ha>>2],k[ha>>2]=k[ia>>2],+p[sa>>3]!=0.0):0){p[Mb>>3]=+p[5]*+p[sa>>3];p[Nb>>3]=+p[Mb>>3]-+p[sa>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[sa>>3]-+p[Qb>>3];p[Vb>>3]=+p[vb>>3]*+p[sa>>3];p[Mb>>3]=+p[5]*+p[vb>>3];p[Nb>>3]=+p[Mb>>3]-+p[vb>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[vb>>3]-+p[Ob>>3];p[Sb>>3]=+p[Vb>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Bb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Wb>>3]=+p[pb>>3]*+p[sa>>3];p[Mb>>3]=+p[5]*+p[pb>>3];p[Nb>>3]=+p[Mb>>3]-+p[pb>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[pb>>3]-+p[Ob>>3];p[Sb>>3]=+p[Wb>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Yb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Xb>>3]=+p[Vb>>3]+ +p[Yb>>3];p[Ib>>3]=+p[Xb>>3]-+p[Vb>>3];p[Jb>>3]=+p[Xb>>3]-+p[Ib>>3];p[Kb>>3]=+p[Yb>>3]-+p[Ib>>3];p[Lb>>3]=+p[Vb>>3]-+p[Jb>>3];p[Bb+8>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Eb>>3]=+p[Wb>>3]+ +p[Xb>>3];p[Ib>>3]=+p[Eb>>3]-+p[Wb>>3];p[Bb+16>>3]=+p[Xb>>3]-+p[Ib>>3];p[Bb+24>>3]=+p[Eb>>3];pb=Ee(k[la>>2]|0,k[ga>>2]|0,4,Bb,k[ha>>2]|0)|0;k[la>>2]=pb;k[ia>>2]=k[ga>>2];k[ga>>2]=k[ha>>2];k[ha>>2]=k[ia>>2]}if(+p[pa>>3]!=0.0?(p[Hb>>3]=-+p[na>>3],p[ub>>3]=+p[Hb>>3]*+p[pa>>3],p[Mb>>3]=+p[5]*+p[Hb>>3],p[Nb>>3]=+p[Mb>>3]-+p[Hb>>3],p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3],p[Pb>>3]=+p[Hb>>3]-+p[Ob>>3],p[Mb>>3]=+p[5]*+p[pa>>3],p[Nb>>3]=+p[Mb>>3]-+p[pa>>3],p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3],p[Rb>>3]=+p[pa>>3]-+p[Qb>>3],p[Sb>>3]=+p[ub>>3]-+p[Ob>>3]*+p[Qb>>3],p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3],p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3],p[Ab>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3],p[Mb>>3]=+p[5]*+p[F>>3],p[Nb>>3]=+p[Mb>>3]-+p[F>>3],p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3],p[Rb>>3]=+p[F>>3]-+p[Qb>>3],p[Vb>>3]=+p[Ab>>3]*+p[F>>3],p[Mb>>3]=+p[5]*+p[Ab>>3],p[Nb>>3]=+p[Mb>>3]-+p[Ab>>3],p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3],p[Pb>>3]=+p[Ab>>3]-+p[Ob>>3],p[Sb>>3]=+p[Vb>>3]-+p[Ob>>3]*+p[Qb>>3],p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3],p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3],p[Bb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3],p[Wb>>3]=+p[ub>>3]*+p[F>>3],p[Mb>>3]=+p[5]*+p[ub>>3],p[Nb>>3]=+p[Mb>>3]-+p[ub>>3],p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3],p[Pb>>3]=+p[ub>>3]-+p[Ob>>3],p[Sb>>3]=+p[Wb>>3]-+p[Ob>>3]*+p[Qb>>3],p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3],p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3],p[Yb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3],p[Xb>>3]=+p[Vb>>3]+ +p[Yb>>3],p[Ib>>3]=+p[Xb>>3]-+p[Vb>>3],p[Jb>>3]=+p[Xb>>3]-+p[Ib>>3],p[Kb>>3]=+p[Yb>>3]-+p[Ib>>3],p[Lb>>3]=+p[Vb>>3]-+p[Jb>>3],p[Bb+8>>3]=+p[Lb>>3]+ +p[Kb>>3],p[Eb>>3]=+p[Wb>>3]+ +p[Xb>>3],p[Ib>>3]=+p[Eb>>3]-+p[Wb>>3],p[Bb+16>>3]=+p[Xb>>3]-+p[Ib>>3],p[Bb+24>>3]=+p[Eb>>3],F=Ee(k[la>>2]|0,k[ga>>2]|0,4,Bb,k[ha>>2]|0)|0,k[la>>2]=F,k[ia>>2]=k[ga>>2],k[ga>>2]=k[ha>>2],k[ha>>2]=k[ia>>2],+p[ua>>3]!=0.0):0){p[Mb>>3]=+p[5]*+p[ua>>3];p[Nb>>3]=+p[Mb>>3]-+p[ua>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[ua>>3]-+p[Qb>>3];p[Vb>>3]=+p[Ab>>3]*+p[ua>>3];p[Mb>>3]=+p[5]*+p[Ab>>3];p[Nb>>3]=+p[Mb>>3]-+p[Ab>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[Ab>>3]-+p[Ob>>3];p[Sb>>3]=+p[Vb>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Bb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Wb>>3]=+p[ub>>3]*+p[ua>>3];p[Mb>>3]=+p[5]*+p[ub>>3];p[Nb>>3]=+p[Mb>>3]-+p[ub>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[ub>>3]-+p[Ob>>3];p[Sb>>3]=+p[Wb>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Yb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Xb>>3]=+p[Vb>>3]+ +p[Yb>>3];p[Ib>>3]=+p[Xb>>3]-+p[Vb>>3];p[Jb>>3]=+p[Xb>>3]-+p[Ib>>3];p[Kb>>3]=+p[Yb>>3]-+p[Ib>>3];p[Lb>>3]=+p[Vb>>3]-+p[Jb>>3];p[Bb+8>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Eb>>3]=+p[Wb>>3]+ +p[Xb>>3];p[Ib>>3]=+p[Eb>>3]-+p[Wb>>3];p[Bb+16>>3]=+p[Xb>>3]-+p[Ib>>3];p[Bb+24>>3]=+p[Eb>>3];ub=Ee(k[la>>2]|0,k[ga>>2]|0,4,Bb,k[ha>>2]|0)|0;k[la>>2]=ub;k[ia>>2]=k[ga>>2];k[ga>>2]=k[ha>>2];k[ha>>2]=k[ia>>2]}}if(+p[oa>>3]!=0.0){if(+p[pa>>3]!=0.0?(p[rb>>3]=+p[oa>>3]*+p[pa>>3],p[Mb>>3]=+p[5]*+p[oa>>3],p[Nb>>3]=+p[Mb>>3]-+p[oa>>3],p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3],p[Pb>>3]=+p[oa>>3]-+p[Ob>>3],p[Mb>>3]=+p[5]*+p[pa>>3],p[Nb>>3]=+p[Mb>>3]-+p[pa>>3],p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3],p[Rb>>3]=+p[pa>>3]-+p[Qb>>3],p[Sb>>3]=+p[rb>>3]-+p[Ob>>3]*+p[Qb>>3],p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3],p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3],p[xb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3],p[Mb>>3]=+p[5]*+p[E>>3],p[Nb>>3]=+p[Mb>>3]-+p[E>>3],p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3],p[Rb>>3]=+p[E>>3]-+p[Qb>>3],p[Vb>>3]=+p[xb>>3]*+p[E>>3],p[Mb>>3]=+p[5]*+p[xb>>3],p[Nb>>3]=+p[Mb>>3]-+p[xb>>3],p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3],p[Pb>>3]=+p[xb>>3]-+p[Ob>>3],p[Sb>>3]=+p[Vb>>3]-+p[Ob>>3]*+p[Qb>>3],p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3],p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3],p[Bb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3],p[Wb>>3]=+p[rb>>3]*+p[E>>3],p[Mb>>3]=+p[5]*+p[rb>>3],p[Nb>>3]=+p[Mb>>3]-+p[rb>>3],p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3],p[Pb>>3]=+p[rb>>3]-+p[Ob>>3],p[Sb>>3]=+p[Wb>>3]-+p[Ob>>3]*+p[Qb>>3],p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3],p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3],p[Yb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3],p[Xb>>3]=+p[Vb>>3]+ +p[Yb>>3],p[Ib>>3]=+p[Xb>>3]-+p[Vb>>3],p[Jb>>3]=+p[Xb>>3]-+p[Ib>>3],p[Kb>>3]=+p[Yb>>3]-+p[Ib>>3],p[Lb>>3]=+p[Vb>>3]-+p[Jb>>3],p[Bb+8>>3]=+p[Lb>>3]+ +p[Kb>>3],p[Eb>>3]=+p[Wb>>3]+ +p[Xb>>3],p[Ib>>3]=+p[Eb>>3]-+p[Wb>>3],p[Bb+16>>3]=+p[Xb>>3]-+p[Ib>>3],p[Bb+24>>3]=+p[Eb>>3],E=Ee(k[la>>2]|0,k[ga>>2]|0,4,Bb,k[ha>>2]|0)|0,k[la>>2]=E,k[ia>>2]=k[ga>>2],k[ga>>2]=k[ha>>2],k[ha>>2]=k[ia>>2],+p[ta>>3]!=0.0):0){p[Mb>>3]=+p[5]*+p[ta>>3];p[Nb>>3]=+p[Mb>>3]-+p[ta>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[ta>>3]-+p[Qb>>3];p[Vb>>3]=+p[xb>>3]*+p[ta>>3];p[Mb>>3]=+p[5]*+p[xb>>3];p[Nb>>3]=+p[Mb>>3]-+p[xb>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[xb>>3]-+p[Ob>>3];p[Sb>>3]=+p[Vb>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Bb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Wb>>3]=+p[rb>>3]*+p[ta>>3];p[Mb>>3]=+p[5]*+p[rb>>3];p[Nb>>3]=+p[Mb>>3]-+p[rb>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[rb>>3]-+p[Ob>>3];p[Sb>>3]=+p[Wb>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Yb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Xb>>3]=+p[Vb>>3]+ +p[Yb>>3];p[Ib>>3]=+p[Xb>>3]-+p[Vb>>3];p[Jb>>3]=+p[Xb>>3]-+p[Ib>>3];p[Kb>>3]=+p[Yb>>3]-+p[Ib>>3];p[Lb>>3]=+p[Vb>>3]-+p[Jb>>3];p[Bb+8>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Eb>>3]=+p[Wb>>3]+ +p[Xb>>3];p[Ib>>3]=+p[Eb>>3]-+p[Wb>>3];p[Bb+16>>3]=+p[Xb>>3]-+p[Ib>>3];p[Bb+24>>3]=+p[Eb>>3];rb=Ee(k[la>>2]|0,k[ga>>2]|0,4,Bb,k[ha>>2]|0)|0;k[la>>2]=rb;k[ia>>2]=k[ga>>2];k[ga>>2]=k[ha>>2];k[ha>>2]=k[ia>>2]}if(+p[qa>>3]!=0.0?(p[Hb>>3]=-+p[oa>>3],p[qb>>3]=+p[Hb>>3]*+p[qa>>3],p[Mb>>3]=+p[5]*+p[Hb>>3],p[Nb>>3]=+p[Mb>>3]-+p[Hb>>3],p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3],p[Pb>>3]=+p[Hb>>3]-+p[Ob>>3],p[Mb>>3]=+p[5]*+p[qa>>3],p[Nb>>3]=+p[Mb>>3]-+p[qa>>3],p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3],p[Rb>>3]=+p[qa>>3]-+p[Qb>>3],p[Sb>>3]=+p[qb>>3]-+p[Ob>>3]*+p[Qb>>3],p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3],p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3],p[wb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3],p[Mb>>3]=+p[5]*+p[D>>3],p[Nb>>3]=+p[Mb>>3]-+p[D>>3],p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3],p[Rb>>3]=+p[D>>3]-+p[Qb>>3],p[Vb>>3]=+p[wb>>3]*+p[D>>3],p[Mb>>3]=+p[5]*+p[wb>>3],p[Nb>>3]=+p[Mb>>3]-+p[wb>>3],p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3],p[Pb>>3]=+p[wb>>3]-+p[Ob>>3],p[Sb>>3]=+p[Vb>>3]-+p[Ob>>3]*+p[Qb>>3],p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3],p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3],p[Bb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3],p[Wb>>3]=+p[qb>>3]*+p[D>>3],p[Mb>>3]=+p[5]*+p[qb>>3],p[Nb>>3]=+p[Mb>>3]-+p[qb>>3],p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3],p[Pb>>3]=+p[qb>>3]-+p[Ob>>3],p[Sb>>3]=+p[Wb>>3]-+p[Ob>>3]*+p[Qb>>3],p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3],p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3],p[Yb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3],p[Xb>>3]=+p[Vb>>3]+ +p[Yb>>3],p[Ib>>3]=+p[Xb>>3]-+p[Vb>>3],p[Jb>>3]=+p[Xb>>3]-+p[Ib>>3],p[Kb>>3]=+p[Yb>>3]-+p[Ib>>3],p[Lb>>3]=+p[Vb>>3]-+p[Jb>>3],p[Bb+8>>3]=+p[Lb>>3]+ +p[Kb>>3],p[Eb>>3]=+p[Wb>>3]+ +p[Xb>>3],p[Ib>>3]=+p[Eb>>3]-+p[Wb>>3],p[Bb+16>>3]=+p[Xb>>3]-+p[Ib>>3],p[Bb+24>>3]=+p[Eb>>3],D=Ee(k[la>>2]|0,k[ga>>2]|0,4,Bb,k[ha>>2]|0)|0,k[la>>2]=D,k[ia>>2]=k[ga>>2],k[ga>>2]=k[ha>>2],k[ha>>2]=k[ia>>2],+p[sa>>3]!=0.0):0){p[Mb>>3]=+p[5]*+p[sa>>3];p[Nb>>3]=+p[Mb>>3]-+p[sa>>3];p[Qb>>3]=+p[Mb>>3]-+p[Nb>>3];p[Rb>>3]=+p[sa>>3]-+p[Qb>>3];p[Vb>>3]=+p[wb>>3]*+p[sa>>3];p[Mb>>3]=+p[5]*+p[wb>>3];p[Nb>>3]=+p[Mb>>3]-+p[wb>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[wb>>3]-+p[Ob>>3];p[Sb>>3]=+p[Vb>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Bb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Wb>>3]=+p[qb>>3]*+p[sa>>3];p[Mb>>3]=+p[5]*+p[qb>>3];p[Nb>>3]=+p[Mb>>3]-+p[qb>>3];p[Ob>>3]=+p[Mb>>3]-+p[Nb>>3];p[Pb>>3]=+p[qb>>3]-+p[Ob>>3];p[Sb>>3]=+p[Wb>>3]-+p[Ob>>3]*+p[Qb>>3];p[Tb>>3]=+p[Sb>>3]-+p[Pb>>3]*+p[Qb>>3];p[Ub>>3]=+p[Tb>>3]-+p[Ob>>3]*+p[Rb>>3];p[Yb>>3]=+p[Pb>>3]*+p[Rb>>3]-+p[Ub>>3];p[Xb>>3]=+p[Vb>>3]+ +p[Yb>>3];p[Ib>>3]=+p[Xb>>3]-+p[Vb>>3];p[Jb>>3]=+p[Xb>>3]-+p[Ib>>3];p[Kb>>3]=+p[Yb>>3]-+p[Ib>>3];p[Lb>>3]=+p[Vb>>3]-+p[Jb>>3];p[Bb+8>>3]=+p[Lb>>3]+ +p[Kb>>3];p[Eb>>3]=+p[Wb>>3]+ +p[Xb>>3];p[Ib>>3]=+p[Eb>>3]-+p[Wb>>3];p[Bb+16>>3]=+p[Xb>>3]-+p[Ib>>3];p[Bb+24>>3]=+p[Eb>>3];Eb=Ee(k[la>>2]|0,k[ga>>2]|0,4,Bb,k[ha>>2]|0)|0;k[la>>2]=Eb;k[ia>>2]=k[ga>>2];k[ga>>2]=k[ha>>2];k[ha>>2]=k[ia>>2]}}if(+p[sa>>3]!=0.0){Eb=Fe(k[mb>>2]|0,jb,+p[sa>>3],Db)|0;k[Gb>>2]=Eb;Eb=Ee(k[la>>2]|0,k[ga>>2]|0,k[Gb>>2]|0,Db,k[ha>>2]|0)|0;k[la>>2]=Eb;k[ia>>2]=k[ga>>2];k[ga>>2]=k[ha>>2];k[ha>>2]=k[ia>>2]}if(+p[ta>>3]!=0.0){Eb=Fe(k[nb>>2]|0,kb,+p[ta>>3],Db)|0;k[Gb>>2]=Eb;Eb=Ee(k[la>>2]|0,k[ga>>2]|0,k[Gb>>2]|0,Db,k[ha>>2]|0)|0;k[la>>2]=Eb;k[ia>>2]=k[ga>>2];k[ga>>2]=k[ha>>2];k[ha>>2]=k[ia>>2]}if(+p[ua>>3]!=0.0){Eb=Fe(k[ob>>2]|0,lb,+p[ua>>3],Db)|0;k[Gb>>2]=Eb;Eb=Ee(k[la>>2]|0,k[ga>>2]|0,k[Gb>>2]|0,Db,k[ha>>2]|0)|0;k[la>>2]=Eb;k[ia>>2]=k[ga>>2];k[ga>>2]=k[ha>>2];k[ha>>2]=k[ia>>2]}p[l>>3]=+p[(k[ga>>2]|0)+((k[la>>2]|0)-1<<3)>>3];Zb=+p[l>>3];r=j;return +Zb}p[l>>3]=+p[G>>3];Zb=+p[l>>3];r=j;return +Zb}p[l>>3]=+p[G>>3];Zb=+p[l>>3];r=j;return +Zb}function Me(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=+h;i=+i;j=+j;var l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0;l=r;r=r+208|0;m=l+176|0;n=l+204|0;o=l+200|0;q=l+196|0;s=l+192|0;t=l+188|0;u=l+184|0;v=l+168|0;w=l+160|0;x=l+152|0;y=l+144|0;z=l+136|0;A=l+128|0;B=l+120|0;C=l+112|0;D=l+104|0;E=l+96|0;F=l+88|0;G=l+80|0;H=l+72|0;I=l+64|0;J=l+56|0;K=l+48|0;L=l+40|0;M=l+32|0;N=l+24|0;O=l+16|0;P=l+8|0;Q=l;k[n>>2]=a;k[o>>2]=b;k[q>>2]=c;k[s>>2]=d;k[t>>2]=e;k[u>>2]=f;p[v>>3]=g;p[w>>3]=h;p[x>>3]=i;p[y>>3]=j;f=(k[n>>2]|0)+49740|0;k[f>>2]=(k[f>>2]|0)+1;p[z>>3]=+p[k[q>>2]>>3]-+p[k[u>>2]>>3];p[A>>3]=+p[k[s>>2]>>3]-+p[k[u>>2]>>3];p[B>>3]=+p[k[t>>2]>>3]-+p[k[u>>2]>>3];p[C>>3]=+p[(k[q>>2]|0)+8>>3]-+p[(k[u>>2]|0)+8>>3];p[D>>3]=+p[(k[s>>2]|0)+8>>3]-+p[(k[u>>2]|0)+8>>3];p[E>>3]=+p[(k[t>>2]|0)+8>>3]-+p[(k[u>>2]|0)+8>>3];p[F>>3]=+p[v>>3]-+p[y>>3];p[G>>3]=+p[w>>3]-+p[y>>3];p[H>>3]=+p[x>>3]-+p[y>>3];p[I>>3]=+p[A>>3]*+p[E>>3];p[J>>3]=+p[B>>3]*+p[D>>3];p[K>>3]=+p[B>>3]*+p[C>>3];p[L>>3]=+p[z>>3]*+p[E>>3];p[M>>3]=+p[z>>3]*+p[D>>3];p[N>>3]=+p[A>>3]*+p[C>>3];p[O>>3]=+p[F>>3]*(+p[I>>3]-+p[J>>3])+ +p[G>>3]*(+p[K>>3]-+p[L>>3])+ +p[H>>3]*(+p[M>>3]-+p[N>>3]);if(k[(k[o>>2]|0)+84>>2]|0){p[m>>3]=+p[O>>3];R=+p[m>>3];r=l;return +R}j=+p[I>>3];i=+p[J>>3];h=+p[F>>3];g=+p[K>>3];S=+p[L>>3];T=+p[G>>3];U=+p[M>>3];V=+p[N>>3];W=+p[H>>3];p[P>>3]=((+p[I>>3]>=0.0?j:-j)+(+p[J>>3]>=0.0?i:-i))*(+p[F>>3]>=0.0?h:-h)+((+p[K>>3]>=0.0?g:-g)+(+p[L>>3]>=0.0?S:-S))*(+p[G>>3]>=0.0?T:-T)+((+p[M>>3]>=0.0?U:-U)+(+p[N>>3]>=0.0?V:-V))*(+p[H>>3]>=0.0?W:-W);p[Q>>3]=+p[14]*+p[P>>3];if(!(+p[O>>3]>+p[Q>>3])?!(-+p[O>>3]>+p[Q>>3]):0){W=+Le(k[q>>2]|0,k[s>>2]|0,k[t>>2]|0,k[u>>2]|0,+p[v>>3],+p[w>>3],+p[x>>3],+p[y>>3],+p[P>>3]);p[m>>3]=W;R=+p[m>>3];r=l;return +R}p[m>>3]=+p[O>>3];R=+p[m>>3];r=l;return +R}function Ne(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0.0,s=0.0;g=r;r=r+32|0;h=g;i=g+28|0;j=g+24|0;l=g+20|0;m=g+16|0;n=g+12|0;o=g+8|0;k[i>>2]=a;k[j>>2]=b;k[l>>2]=c;k[m>>2]=d;k[n>>2]=e;k[o>>2]=f;if(!(k[(k[j>>2]|0)+32>>2]|0)){q=+Ke(k[i>>2]|0,k[j>>2]|0,k[l>>2]|0,k[m>>2]|0,k[n>>2]|0,k[o>>2]|0);p[h>>3]=q;s=+p[h>>3];r=g;return +s}f=k[i>>2]|0;i=k[j>>2]|0;e=k[l>>2]|0;d=k[m>>2]|0;c=k[n>>2]|0;b=k[o>>2]|0;a=k[l>>2]|0;if((k[(k[j>>2]|0)+32>>2]|0)==1){q=+Me(f,i,e,d,c,b,+p[a>>3]*+p[k[l>>2]>>3]+ +p[(k[l>>2]|0)+8>>3]*+p[(k[l>>2]|0)+8>>3]-+p[(k[l>>2]|0)+16>>3],+p[k[m>>2]>>3]*+p[k[m>>2]>>3]+ +p[(k[m>>2]|0)+8>>3]*+p[(k[m>>2]|0)+8>>3]-+p[(k[m>>2]|0)+16>>3],+p[k[n>>2]>>3]*+p[k[n>>2]>>3]+ +p[(k[n>>2]|0)+8>>3]*+p[(k[n>>2]|0)+8>>3]-+p[(k[n>>2]|0)+16>>3],+p[k[o>>2]>>3]*+p[k[o>>2]>>3]+ +p[(k[o>>2]|0)+8>>3]*+p[(k[o>>2]|0)+8>>3]-+p[(k[o>>2]|0)+16>>3]);p[h>>3]=q;s=+p[h>>3];r=g;return +s}else{q=+Me(f,i,e,d,c,b,+p[a+16>>3],+p[(k[m>>2]|0)+16>>3],+p[(k[n>>2]|0)+16>>3],+p[(k[o>>2]|0)+16>>3]);p[h>>3]=q;s=+p[h>>3];r=g;return +s}return +(0.0)}function Oe(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0;j=r;r=r+144|0;l=j+128|0;m=j+124|0;n=j+120|0;o=j+116|0;q=j+112|0;s=j+108|0;t=j+104|0;u=j+100|0;v=j+96|0;w=j+88|0;x=j+80|0;y=j+72|0;z=j+64|0;A=j+56|0;B=j+48|0;C=j+40|0;D=j+32|0;E=j+24|0;F=j+16|0;G=j+8|0;H=j;k[l>>2]=a;k[m>>2]=b;k[n>>2]=c;k[o>>2]=d;k[q>>2]=e;k[s>>2]=f;k[t>>2]=g;k[u>>2]=h;k[v>>2]=i;i=(k[l>>2]|0)+49748|0;k[i>>2]=(k[i>>2]|0)+1;p[w>>3]=+p[k[o>>2]>>3]-+p[k[n>>2]>>3];p[x>>3]=+p[(k[o>>2]|0)+8>>3]-+p[(k[n>>2]|0)+8>>3];p[y>>3]=+p[k[q>>2]>>3]-+p[k[n>>2]>>3];p[z>>3]=+p[(k[q>>2]|0)+8>>3]-+p[(k[n>>2]|0)+8>>3];p[A>>3]=+p[w>>3]*+p[w>>3]+ +p[x>>3]*+p[x>>3];p[B>>3]=+p[y>>3]*+p[y>>3]+ +p[z>>3]*+p[z>>3];p[C>>3]=(+p[k[o>>2]>>3]-+p[k[q>>2]>>3])*(+p[k[o>>2]>>3]-+p[k[q>>2]>>3])+(+p[(k[o>>2]|0)+8>>3]-+p[(k[q>>2]|0)+8>>3])*(+p[(k[o>>2]|0)+8>>3]-+p[(k[q>>2]|0)+8>>3]);if(k[(k[m>>2]|0)+84>>2]|0)p[D>>3]=.5/(+p[w>>3]*+p[z>>3]-+p[y>>3]*+p[x>>3]);else{I=.5/+Ie(k[l>>2]|0,k[m>>2]|0,k[o>>2]|0,k[q>>2]|0,k[n>>2]|0);p[D>>3]=I;i=(k[l>>2]|0)+49736|0;k[i>>2]=(k[i>>2]|0)+-1}p[E>>3]=(+p[z>>3]*+p[A>>3]-+p[x>>3]*+p[B>>3])*+p[D>>3];p[F>>3]=(+p[w>>3]*+p[B>>3]-+p[y>>3]*+p[A>>3])*+p[D>>3];if(+p[A>>3]<+p[B>>3]?+p[A>>3]<+p[C>>3]:0){if(((k[v>>2]|0)!=0?+p[(k[m>>2]|0)+152>>3]>0.0:0)?(p[G>>3]=+p[w>>3]*.5-+p[(k[m>>2]|0)+152>>3]*+p[x>>3],p[H>>3]=+p[x>>3]*.5+ +p[(k[m>>2]|0)+152>>3]*+p[w>>3],+p[G>>3]*+p[G>>3]+ +p[H>>3]*+p[H>>3]<+p[E>>3]*+p[E>>3]+ +p[F>>3]*+p[F>>3]):0){p[E>>3]=+p[G>>3];p[F>>3]=+p[H>>3]}}else J=10;do if((J|0)==10){A=(k[v>>2]|0)!=0;if(+p[B>>3]<+p[C>>3]){if(!A)break;if(!(+p[(k[m>>2]|0)+152>>3]>0.0))break;p[G>>3]=+p[y>>3]*.5+ +p[(k[m>>2]|0)+152>>3]*+p[z>>3];p[H>>3]=+p[z>>3]*.5-+p[(k[m>>2]|0)+152>>3]*+p[y>>3];if(!(+p[G>>3]*+p[G>>3]+ +p[H>>3]*+p[H>>3]<+p[E>>3]*+p[E>>3]+ +p[F>>3]*+p[F>>3]))break;p[E>>3]=+p[G>>3];p[F>>3]=+p[H>>3];break}else{if(!A)break;if(!(+p[(k[m>>2]|0)+152>>3]>0.0))break;p[G>>3]=(+p[k[q>>2]>>3]-+p[k[o>>2]>>3])*.5-+p[(k[m>>2]|0)+152>>3]*(+p[(k[q>>2]|0)+8>>3]-+p[(k[o>>2]|0)+8>>3]);p[H>>3]=(+p[(k[q>>2]|0)+8>>3]-+p[(k[o>>2]|0)+8>>3])*.5+ +p[(k[m>>2]|0)+152>>3]*(+p[k[q>>2]>>3]-+p[k[o>>2]>>3]);if(!(+p[G>>3]*+p[G>>3]+ +p[H>>3]*+p[H>>3]<(+p[E>>3]-+p[w>>3])*(+p[E>>3]-+p[w>>3])+(+p[F>>3]-+p[x>>3])*(+p[F>>3]-+p[x>>3])))break;p[E>>3]=+p[w>>3]+ +p[G>>3];p[F>>3]=+p[x>>3]+ +p[H>>3];break}}while(0);p[k[s>>2]>>3]=+p[k[n>>2]>>3]+ +p[E>>3];p[(k[s>>2]|0)+8>>3]=+p[(k[n>>2]|0)+8>>3]+ +p[F>>3];p[k[t>>2]>>3]=(+p[z>>3]*+p[E>>3]-+p[y>>3]*+p[F>>3])*(+p[D>>3]*2.0);p[k[u>>2]>>3]=(+p[w>>3]*+p[F>>3]-+p[x>>3]*+p[E>>3])*(+p[D>>3]*2.0);r=j;return}function Pe(a){a=a|0;var b=0,c=0;b=r;r=r+16|0;c=b;k[c>>2]=a;ge((k[c>>2]|0)+112|0);ge(k[c>>2]|0);ge((k[c>>2]|0)+56|0);ge((k[c>>2]|0)+168|0);ge((k[c>>2]|0)+224|0);ge((k[c>>2]|0)+280|0);ge((k[c>>2]|0)+336|0);ge((k[c>>2]|0)+392|0);k[(k[c>>2]|0)+49784>>2]=0;k[(k[c>>2]|0)+49668>>2]=0;k[(k[c>>2]|0)+49728>>2]=1;k[(k[c>>2]|0)+49716>>2]=0;k[(k[c>>2]|0)+49720>>2]=0;k[(k[c>>2]|0)+49740>>2]=0;k[(k[c>>2]|0)+49736>>2]=0;k[(k[c>>2]|0)+49732>>2]=0;k[(k[c>>2]|0)+49748>>2]=0;k[(k[c>>2]|0)+49752>>2]=0;k[(k[c>>2]|0)+49744>>2]=0;k[6904]=1;De();r=b;return}function Qe(a){a=a|0;var b=0,c=0;b=r;r=r+16|0;c=b;k[c>>2]=a;k[6904]=((((k[6904]|0)*1366|0)+150889|0)>>>0)%714025|0;r=b;return ((k[6904]|0)>>>0)/(((714025/((k[c>>2]|0)>>>0)|0)+1|0)>>>0)|0|0}function Re(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;c=r;r=r+160|0;d=c+88|0;e=c+80|0;f=c+72|0;g=c+64|0;h=c+56|0;i=c+48|0;j=c+40|0;l=c+32|0;m=c+24|0;n=c+16|0;o=c+8|0;p=c+156|0;q=c+152|0;s=c+144|0;t=c+136|0;u=c+128|0;v=c+120|0;w=c+116|0;x=c+112|0;y=c+108|0;z=c+104|0;A=c+100|0;B=c+96|0;C=c+92|0;k[p>>2]=a;k[q>>2]=b;k[B>>2]=k[(k[q>>2]|0)+84>>2];k[(k[q>>2]|0)+84>>2]=0;if(!(k[(k[q>>2]|0)+112>>2]|0))mta(56415,c)|0;k[A>>2]=0;me(k[p>>2]|0);b=se(k[p>>2]|0)|0;k[s>>2]=b;while(1){if(!(k[s>>2]|0))break;k[s+4>>2]=0;while(1){if((k[s+4>>2]|0)>=3)break;k[v>>2]=k[(k[s>>2]|0)+((k[27620+(k[s+4>>2]<<2)>>2]|0)+3<<2)>>2];k[w>>2]=k[(k[s>>2]|0)+((k[27632+(k[s+4>>2]<<2)>>2]|0)+3<<2)>>2];if((k[s+4>>2]|0)==0?(k[x>>2]=k[(k[s>>2]|0)+((k[s+4>>2]|0)+3<<2)>>2],+Ie(k[p>>2]|0,k[q>>2]|0,k[v>>2]|0,k[w>>2]|0,k[x>>2]|0)<=0.0):0){mta(56450,o)|0;ee(k[p>>2]|0,k[q>>2]|0,s);k[A>>2]=(k[A>>2]|0)+1}k[C>>2]=k[(k[s>>2]|0)+(k[s+4>>2]<<2)>>2];k[t+4>>2]=k[C>>2]&3;k[t>>2]=k[C>>2]^k[t+4>>2];do if((k[t>>2]|0)!=(k[(k[p>>2]|0)+49768>>2]|0)){k[C>>2]=k[(k[t>>2]|0)+(k[t+4>>2]<<2)>>2];k[u+4>>2]=k[C>>2]&3;k[u>>2]=k[C>>2]^k[u+4>>2];if(!((k[s>>2]|0)==(k[u>>2]|0)?(k[s+4>>2]|0)==(k[u+4>>2]|0):0)){mta(56468,n)|0;if((k[s>>2]|0)==(k[u>>2]|0))mta(56512,m)|0;mta(56552,l)|0;ee(k[p>>2]|0,k[q>>2]|0,s);mta(56563,j)|0;ee(k[p>>2]|0,k[q>>2]|0,t);k[A>>2]=(k[A>>2]|0)+1}k[y>>2]=k[(k[t>>2]|0)+((k[27620+(k[t+4>>2]<<2)>>2]|0)+3<<2)>>2];k[z>>2]=k[(k[t>>2]|0)+((k[27632+(k[t+4>>2]<<2)>>2]|0)+3<<2)>>2];if((k[v>>2]|0)==(k[z>>2]|0)?(k[w>>2]|0)==(k[y>>2]|0):0)break;mta(56594,i)|0;mta(56654,h)|0;ee(k[p>>2]|0,k[q>>2]|0,s);mta(56676,g)|0;ee(k[p>>2]|0,k[q>>2]|0,t);k[A>>2]=(k[A>>2]|0)+1}while(0);b=s+4|0;k[b>>2]=(k[b>>2]|0)+1}b=se(k[p>>2]|0)|0;k[s>>2]=b}if(!(k[A>>2]|0)){if(k[(k[q>>2]|0)+112>>2]|0){D=k[B>>2]|0;E=k[q>>2]|0;F=E+84|0;k[F>>2]=D;r=c;return}mta(56699,f)|0;D=k[B>>2]|0;E=k[q>>2]|0;F=E+84|0;k[F>>2]=D;r=c;return}if((k[A>>2]|0)==1){mta(56760,e)|0;D=k[B>>2]|0;E=k[q>>2]|0;F=E+84|0;k[F>>2]=D;r=c;return}else{k[d>>2]=k[A>>2];mta(56817,d)|0;D=k[B>>2]|0;E=k[q>>2]|0;F=E+84|0;k[F>>2]=D;r=c;return}}function Se(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;c=r;r=r+144|0;d=c+72|0;e=c+64|0;f=c+56|0;g=c+48|0;h=c+40|0;i=c+32|0;j=c+24|0;l=c+16|0;m=c+8|0;n=c+140|0;o=c+136|0;p=c+128|0;q=c+120|0;s=c+112|0;t=c+108|0;u=c+104|0;v=c+100|0;w=c+96|0;x=c+92|0;y=c+88|0;z=c+84|0;A=c+80|0;B=c+76|0;k[n>>2]=a;k[o>>2]=b;k[z>>2]=k[(k[o>>2]|0)+84>>2];k[(k[o>>2]|0)+84>>2]=0;if(!(k[(k[o>>2]|0)+112>>2]|0))mta(56859,c)|0;k[y>>2]=0;me(k[n>>2]|0);b=se(k[n>>2]|0)|0;k[p>>2]=b;while(1){if(!(k[p>>2]|0))break;k[p+4>>2]=0;while(1){if((k[p+4>>2]|0)>=3)break;k[t>>2]=k[(k[p>>2]|0)+((k[27620+(k[p+4>>2]<<2)>>2]|0)+3<<2)>>2];k[u>>2]=k[(k[p>>2]|0)+((k[27632+(k[p+4>>2]<<2)>>2]|0)+3<<2)>>2];k[v>>2]=k[(k[p>>2]|0)+((k[p+4>>2]|0)+3<<2)>>2];k[A>>2]=k[(k[p>>2]|0)+(k[p+4>>2]<<2)>>2];k[q+4>>2]=k[A>>2]&3;k[q>>2]=k[A>>2]^k[q+4>>2];k[w>>2]=k[(k[q>>2]|0)+((k[q+4>>2]|0)+3<<2)>>2];if((((((((((((((k[q>>2]|0)!=(k[(k[n>>2]|0)+49768>>2]|0)?(k[(k[q>>2]|0)+4>>2]|0)!=0:0)?(k[p>>2]|0)>>>0<(k[q>>2]|0)>>>0:0)?(k[t>>2]|0)!=(k[(k[n>>2]|0)+49756>>2]|0):0)?(k[t>>2]|0)!=(k[(k[n>>2]|0)+49760>>2]|0):0)?(k[t>>2]|0)!=(k[(k[n>>2]|0)+49764>>2]|0):0)?(k[u>>2]|0)!=(k[(k[n>>2]|0)+49756>>2]|0):0)?(k[u>>2]|0)!=(k[(k[n>>2]|0)+49760>>2]|0):0)?(k[u>>2]|0)!=(k[(k[n>>2]|0)+49764>>2]|0):0)?(k[v>>2]|0)!=(k[(k[n>>2]|0)+49756>>2]|0):0)?(k[v>>2]|0)!=(k[(k[n>>2]|0)+49760>>2]|0):0)?(k[v>>2]|0)!=(k[(k[n>>2]|0)+49764>>2]|0):0)?(k[w>>2]|0)!=(k[(k[n>>2]|0)+49756>>2]|0):0)?(k[w>>2]|0)!=(k[(k[n>>2]|0)+49760>>2]|0):0)C=(k[w>>2]|0)!=(k[(k[n>>2]|0)+49764>>2]|0);else C=0;k[x>>2]=C&1;if(((k[x>>2]|0)!=0?(k[(k[n>>2]|0)+49716>>2]|0)!=0:0)?(k[B>>2]=k[(k[p>>2]|0)+(6+(k[p+4>>2]|0)<<2)>>2],k[s+4>>2]=k[B>>2]&1,k[s>>2]=k[B>>2]&-4,(k[s>>2]|0)!=(k[(k[n>>2]|0)+49776>>2]|0)):0)k[x>>2]=0;if((k[x>>2]|0)!=0?+Ne(k[n>>2]|0,k[o>>2]|0,k[t>>2]|0,k[u>>2]|0,k[v>>2]|0,k[w>>2]|0)>0.0:0){if(k[(k[o>>2]|0)+32>>2]|0){mta(56990,i)|0;mta(57030,h)|0;ee(k[n>>2]|0,k[o>>2]|0,p);mta(57053,g)|0}else{mta(56900,m)|0;mta(56941,l)|0;ee(k[n>>2]|0,k[o>>2]|0,p);mta(56965,j)|0}ee(k[n>>2]|0,k[o>>2]|0,q);k[y>>2]=(k[y>>2]|0)+1}b=p+4|0;k[b>>2]=(k[b>>2]|0)+1}b=se(k[n>>2]|0)|0;k[p>>2]=b}if(!(k[y>>2]|0)){if(k[(k[o>>2]|0)+112>>2]|0){D=k[z>>2]|0;E=k[o>>2]|0;F=E+84|0;k[F>>2]=D;r=c;return}mta(57077,f)|0;D=k[z>>2]|0;E=k[o>>2]|0;F=E+84|0;k[F>>2]=D;r=c;return}if((k[y>>2]|0)==1){mta(57150,e)|0;D=k[z>>2]|0;E=k[o>>2]|0;F=E+84|0;k[F>>2]=D;r=c;return}else{k[d>>2]=k[y>>2];mta(57216,d)|0;D=k[z>>2]|0;E=k[o>>2]|0;F=E+84|0;k[F>>2]=D;r=c;return}}function Te(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;d=r;r=r+112|0;e=d+24|0;f=d+100|0;g=d+96|0;h=d+92|0;i=d+8|0;j=d;l=d+88|0;m=d+84|0;n=d+80|0;o=d+76|0;q=d+72|0;k[f>>2]=a;k[g>>2]=b;k[h>>2]=c;if((k[(k[g>>2]|0)+116>>2]|0)>2){mta(57266,d+16|0)|0;s=+p[(k[(k[h>>2]|0)+16>>2]|0)+8>>3];t=+p[k[(k[h>>2]|0)+20>>2]>>3];u=+p[(k[(k[h>>2]|0)+20>>2]|0)+8>>3];v=+p[k[(k[h>>2]|0)+24>>2]>>3];w=+p[(k[(k[h>>2]|0)+24>>2]|0)+8>>3];p[e>>3]=+p[k[(k[h>>2]|0)+16>>2]>>3];p[e+8>>3]=s;p[e+16>>3]=t;p[e+24>>3]=u;p[e+32>>3]=v;p[e+40>>3]=w;mta(57292,e)|0}w=+p[(k[h>>2]|0)+8>>3];if(+p[(k[h>>2]|0)+8>>3]>=1.0){p[i>>3]=w;k[o>>2]=1}else{p[i>>3]=1.0/w;k[o>>2]=0}k[l>>2]=0;while(1){if(!(+p[i>>3]>2.0))break;k[m>>2]=1;p[j>>3]=.5;while(1){x=k[m>>2]|0;if(!(+p[i>>3]*+p[j>>3]*+p[j>>3]>1.0))break;k[m>>2]=x<<1;p[j>>3]=+p[j>>3]*+p[j>>3]}k[l>>2]=(k[l>>2]|0)+x;p[i>>3]=+p[i>>3]*+p[j>>3]}k[l>>2]=~~(+(k[l>>2]|0)*2.0+ +(+p[i>>3]>1.4142135623730951|0));i=k[l>>2]|0;if(k[o>>2]|0)k[n>>2]=2047-i;else k[n>>2]=2048+i;if(k[(k[f>>2]|0)+448+(k[n>>2]<<2)>>2]|0){k[(k[(k[f>>2]|0)+16832+(k[n>>2]<<2)>>2]|0)+28>>2]=k[h>>2];y=k[h>>2]|0;z=k[n>>2]|0;A=k[f>>2]|0;B=A+16832|0;C=B+(z<<2)|0;k[C>>2]=y;D=k[h>>2]|0;E=D+28|0;k[E>>2]=0;r=d;return}if((k[n>>2]|0)>(k[(k[f>>2]|0)+49600>>2]|0)){k[(k[f>>2]|0)+33216+(k[n>>2]<<2)>>2]=k[(k[f>>2]|0)+49600>>2];k[(k[f>>2]|0)+49600>>2]=k[n>>2]}else{k[q>>2]=(k[n>>2]|0)+1;while(1){F=k[q>>2]|0;if(k[(k[f>>2]|0)+448+(k[q>>2]<<2)>>2]|0)break;k[q>>2]=F+1}k[(k[f>>2]|0)+33216+(k[n>>2]<<2)>>2]=k[(k[f>>2]|0)+33216+(F<<2)>>2];k[(k[f>>2]|0)+33216+(k[q>>2]<<2)>>2]=k[n>>2]}k[(k[f>>2]|0)+448+(k[n>>2]<<2)>>2]=k[h>>2];y=k[h>>2]|0;z=k[n>>2]|0;A=k[f>>2]|0;B=A+16832|0;C=B+(z<<2)|0;k[C>>2]=y;D=k[h>>2]|0;E=D+28|0;k[E>>2]=0;r=d;return}function Ue(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0;h=r;r=r+48|0;i=h+32|0;j=h+28|0;l=h+24|0;m=h;n=h+20|0;o=h+16|0;q=h+12|0;s=h+8|0;k[i>>2]=a;k[j>>2]=b;k[l>>2]=c;p[m>>3]=d;k[n>>2]=e;k[o>>2]=f;k[q>>2]=g;g=ke((k[i>>2]|0)+280|0)|0;k[s>>2]=g;k[k[s>>2]>>2]=k[k[l>>2]>>2]|k[(k[l>>2]|0)+4>>2];p[(k[s>>2]|0)+8>>3]=+p[m>>3];k[(k[s>>2]|0)+24>>2]=k[n>>2];k[(k[s>>2]|0)+16>>2]=k[o>>2];k[(k[s>>2]|0)+20>>2]=k[q>>2];Te(k[i>>2]|0,k[j>>2]|0,k[s>>2]|0);r=h;return}function Ve(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;b=r;r=r+16|0;c=b+8|0;d=b+4|0;e=b;k[d>>2]=a;if((k[(k[d>>2]|0)+49600>>2]|0)<0){k[c>>2]=0;f=k[c>>2]|0;r=b;return f|0}k[e>>2]=k[(k[d>>2]|0)+448+(k[(k[d>>2]|0)+49600>>2]<<2)>>2];k[(k[d>>2]|0)+448+(k[(k[d>>2]|0)+49600>>2]<<2)>>2]=k[(k[e>>2]|0)+28>>2];if((k[e>>2]|0)==(k[(k[d>>2]|0)+16832+(k[(k[d>>2]|0)+49600>>2]<<2)>>2]|0))k[(k[d>>2]|0)+49600>>2]=k[(k[d>>2]|0)+33216+(k[(k[d>>2]|0)+49600>>2]<<2)>>2];k[c>>2]=k[e>>2];f=k[c>>2]|0;r=b;return f|0}function We(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0;d=r;r=r+112|0;e=d+8|0;f=d+96|0;g=d+92|0;h=d+88|0;i=d+80|0;j=d+72|0;l=d+64|0;m=d;n=d+60|0;o=d+56|0;q=d+52|0;s=d+48|0;t=d+44|0;u=d+40|0;k[f>>2]=a;k[g>>2]=b;k[h>>2]=c;k[n>>2]=0;k[o>>2]=0;k[q>>2]=k[(k[k[h>>2]>>2]|0)+(2+(k[(k[h>>2]|0)+4>>2]|0)<<2)>>2];k[s>>2]=k[(k[k[h>>2]>>2]|0)+(3-(k[(k[h>>2]|0)+4>>2]|0)<<2)>>2];k[u>>2]=k[(k[k[h>>2]>>2]|0)+(6+(k[(k[h>>2]|0)+4>>2]|0)<<2)>>2];k[i+4>>2]=k[u>>2]&3;k[i>>2]=k[u>>2]^k[i+4>>2];do if((k[i>>2]|0)!=(k[(k[f>>2]|0)+49768>>2]|0)?(k[o>>2]=(k[o>>2]|0)+1,k[t>>2]=k[(k[i>>2]|0)+((k[i+4>>2]|0)+3<<2)>>2],p[m>>3]=(+p[k[q>>2]>>3]-+p[k[t>>2]>>3])*(+p[k[s>>2]>>3]-+p[k[t>>2]>>3])+(+p[(k[q>>2]|0)+8>>3]-+p[(k[t>>2]|0)+8>>3])*(+p[(k[s>>2]|0)+8>>3]-+p[(k[t>>2]|0)+8>>3]),+p[m>>3]<0.0):0){if((k[(k[g>>2]|0)+88>>2]|0)==0?!(+p[m>>3]*+p[m>>3]>=(+p[(k[g>>2]|0)+144>>3]*2.0-1.0)*(+p[(k[g>>2]|0)+144>>3]*2.0-1.0)*((+p[k[q>>2]>>3]-+p[k[t>>2]>>3])*(+p[k[q>>2]>>3]-+p[k[t>>2]>>3])+(+p[(k[q>>2]|0)+8>>3]-+p[(k[t>>2]|0)+8>>3])*(+p[(k[q>>2]|0)+8>>3]-+p[(k[t>>2]|0)+8>>3]))*((+p[k[s>>2]>>3]-+p[k[t>>2]>>3])*(+p[k[s>>2]>>3]-+p[k[t>>2]>>3])+(+p[(k[s>>2]|0)+8>>3]-+p[(k[t>>2]|0)+8>>3])*(+p[(k[s>>2]|0)+8>>3]-+p[(k[t>>2]|0)+8>>3]))):0)break;k[n>>2]=1}while(0);k[j>>2]=k[k[h>>2]>>2];k[j+4>>2]=1-(k[(k[h>>2]|0)+4>>2]|0);k[u>>2]=k[(k[j>>2]|0)+(6+(k[j+4>>2]|0)<<2)>>2];k[i+4>>2]=k[u>>2]&3;k[i>>2]=k[u>>2]^k[i+4>>2];do if((k[i>>2]|0)!=(k[(k[f>>2]|0)+49768>>2]|0)?(k[o>>2]=(k[o>>2]|0)+1,k[t>>2]=k[(k[i>>2]|0)+((k[i+4>>2]|0)+3<<2)>>2],p[m>>3]=(+p[k[q>>2]>>3]-+p[k[t>>2]>>3])*(+p[k[s>>2]>>3]-+p[k[t>>2]>>3])+(+p[(k[q>>2]|0)+8>>3]-+p[(k[t>>2]|0)+8>>3])*(+p[(k[s>>2]|0)+8>>3]-+p[(k[t>>2]|0)+8>>3]),+p[m>>3]<0.0):0){if((k[(k[g>>2]|0)+88>>2]|0)==0?!(+p[m>>3]*+p[m>>3]>=(+p[(k[g>>2]|0)+144>>3]*2.0-1.0)*(+p[(k[g>>2]|0)+144>>3]*2.0-1.0)*((+p[k[q>>2]>>3]-+p[k[t>>2]>>3])*(+p[k[q>>2]>>3]-+p[k[t>>2]>>3])+(+p[(k[q>>2]|0)+8>>3]-+p[(k[t>>2]|0)+8>>3])*(+p[(k[q>>2]|0)+8>>3]-+p[(k[t>>2]|0)+8>>3]))*((+p[k[s>>2]>>3]-+p[k[t>>2]>>3])*(+p[k[s>>2]>>3]-+p[k[t>>2]>>3])+(+p[(k[s>>2]|0)+8>>3]-+p[(k[t>>2]|0)+8>>3])*(+p[(k[s>>2]|0)+8>>3]-+p[(k[t>>2]|0)+8>>3]))):0)break;k[n>>2]=(k[n>>2]|0)+2}while(0);if(!(k[n>>2]|0)){v=k[n>>2]|0;r=d;return v|0}if((k[(k[g>>2]|0)+128>>2]|0)!=0?!((k[o>>2]|0)==2?(k[(k[g>>2]|0)+128>>2]|0)==1:0):0){v=k[n>>2]|0;r=d;return v|0}if((k[(k[g>>2]|0)+116>>2]|0)>2){w=+p[(k[q>>2]|0)+8>>3];x=+p[k[s>>2]>>3];y=+p[(k[s>>2]|0)+8>>3];p[e>>3]=+p[k[q>>2]>>3];p[e+8>>3]=w;p[e+16>>3]=x;p[e+24>>3]=y;mta(57342,e)|0}e=ke((k[f>>2]|0)+224|0)|0;k[l>>2]=e;if((k[n>>2]|0)==1){k[k[l>>2]>>2]=k[k[h>>2]>>2]|k[(k[h>>2]|0)+4>>2];k[(k[l>>2]|0)+4>>2]=k[q>>2];k[(k[l>>2]|0)+8>>2]=k[s>>2];v=k[n>>2]|0;r=d;return v|0}else{k[k[l>>2]>>2]=k[j>>2]|k[j+4>>2];k[(k[l>>2]|0)+4>>2]=k[s>>2];k[(k[l>>2]|0)+8>>2]=k[q>>2];v=k[n>>2]|0;r=d;return v|0}return 0}function Xe(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=r;r=r+256|0;e=d+240|0;f=d+236|0;g=d+232|0;h=d+224|0;i=d+216|0;j=d+208|0;l=d+204|0;m=d+200|0;n=d+196|0;o=d+192|0;q=d+188|0;s=d+184|0;t=d+180|0;u=d+176|0;v=d+172|0;w=d+168|0;x=d+152|0;y=d+144|0;z=d+136|0;A=d+128|0;B=d+120|0;C=d+112|0;D=d+104|0;E=d+96|0;F=d+88|0;G=d+80|0;H=d+72|0;I=d+64|0;J=d+56|0;K=d+48|0;L=d+40|0;M=d+32|0;N=d+24|0;O=d+16|0;P=d+8|0;Q=d;R=d+164|0;S=d+160|0;k[e>>2]=a;k[f>>2]=b;k[g>>2]=c;k[l>>2]=k[(k[k[g>>2]>>2]|0)+((k[27620+(k[(k[g>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];k[m>>2]=k[(k[k[g>>2]>>2]|0)+((k[27632+(k[(k[g>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];k[n>>2]=k[(k[k[g>>2]>>2]|0)+((k[(k[g>>2]|0)+4>>2]|0)+3<<2)>>2];p[x>>3]=+p[k[l>>2]>>3]-+p[k[m>>2]>>3];p[y>>3]=+p[(k[l>>2]|0)+8>>3]-+p[(k[m>>2]|0)+8>>3];p[z>>3]=+p[k[m>>2]>>3]-+p[k[n>>2]>>3];p[A>>3]=+p[(k[m>>2]|0)+8>>3]-+p[(k[n>>2]|0)+8>>3];p[B>>3]=+p[k[n>>2]>>3]-+p[k[l>>2]>>3];p[C>>3]=+p[(k[n>>2]|0)+8>>3]-+p[(k[l>>2]|0)+8>>3];p[D>>3]=+p[x>>3]*+p[x>>3];p[E>>3]=+p[y>>3]*+p[y>>3];p[F>>3]=+p[z>>3]*+p[z>>3];p[G>>3]=+p[A>>3]*+p[A>>3];p[H>>3]=+p[B>>3]*+p[B>>3];p[I>>3]=+p[C>>3]*+p[C>>3];p[J>>3]=+p[D>>3]+ +p[E>>3];p[K>>3]=+p[F>>3]+ +p[G>>3];p[L>>3]=+p[H>>3]+ +p[I>>3];if(+p[J>>3]<+p[K>>3]?+p[J>>3]<+p[L>>3]:0){p[M>>3]=+p[J>>3];p[N>>3]=+p[z>>3]*+p[B>>3]+ +p[A>>3]*+p[C>>3];p[N>>3]=+p[N>>3]*+p[N>>3]/(+p[K>>3]*+p[L>>3]);k[o>>2]=k[l>>2];k[q>>2]=k[m>>2];k[h>>2]=k[k[g>>2]>>2];k[h+4>>2]=k[(k[g>>2]|0)+4>>2]}else T=4;do if((T|0)==4)if(+p[K>>3]<+p[L>>3]){p[M>>3]=+p[K>>3];p[N>>3]=+p[x>>3]*+p[B>>3]+ +p[y>>3]*+p[C>>3];p[N>>3]=+p[N>>3]*+p[N>>3]/(+p[J>>3]*+p[L>>3]);k[o>>2]=k[m>>2];k[q>>2]=k[n>>2];k[h>>2]=k[k[g>>2]>>2];k[h+4>>2]=k[27620+(k[(k[g>>2]|0)+4>>2]<<2)>>2];break}else{p[M>>3]=+p[L>>3];p[N>>3]=+p[x>>3]*+p[z>>3]+ +p[y>>3]*+p[A>>3];p[N>>3]=+p[N>>3]*+p[N>>3]/(+p[J>>3]*+p[K>>3]);k[o>>2]=k[n>>2];k[q>>2]=k[l>>2];k[h>>2]=k[k[g>>2]>>2];k[h+4>>2]=k[27632+(k[(k[g>>2]|0)+4>>2]<<2)>>2];break}while(0);if(!(((k[(k[f>>2]|0)+12>>2]|0)==0?(k[(k[f>>2]|0)+16>>2]|0)==0:0)?(k[(k[f>>2]|0)+20>>2]|0)==0:0)){p[O>>3]=(+p[x>>3]*+p[A>>3]-+p[y>>3]*+p[z>>3])*.5;if((k[(k[f>>2]|0)+16>>2]|0)!=0?+p[O>>3]>+p[(k[f>>2]|0)+160>>3]:0){Ue(k[e>>2]|0,k[f>>2]|0,k[g>>2]|0,+p[M>>3],k[n>>2]|0,k[l>>2]|0,k[m>>2]|0);r=d;return}if(((k[(k[f>>2]|0)+12>>2]|0)!=0?+p[O>>3]>+p[(k[k[g>>2]>>2]|0)+(k[(k[e>>2]|0)+49712>>2]<<3)>>3]:0)?+p[(k[k[g>>2]>>2]|0)+(k[(k[e>>2]|0)+49712>>2]<<3)>>3]>0.0:0){Ue(k[e>>2]|0,k[f>>2]|0,k[g>>2]|0,+p[M>>3],k[n>>2]|0,k[l>>2]|0,k[m>>2]|0);r=d;return}if((k[(k[f>>2]|0)+20>>2]|0)!=0?(_d(k[l>>2]|0,k[m>>2]|0,k[n>>2]|0,+p[O>>3])|0)!=0:0){Ue(k[e>>2]|0,k[f>>2]|0,k[g>>2]|0,+p[M>>3],k[n>>2]|0,k[l>>2]|0,k[m>>2]|0);r=d;return}}if(!(+p[N>>3]>+p[(k[f>>2]|0)+144>>3])){r=d;return}if(((k[(k[o>>2]|0)+((k[(k[e>>2]|0)+49696>>2]|0)+1<<2)>>2]|0)==1?(k[(k[q>>2]|0)+((k[(k[e>>2]|0)+49696>>2]|0)+1<<2)>>2]|0)==1:0)?(k[R>>2]=k[(k[h>>2]|0)+(6+(k[h+4>>2]|0)<<2)>>2],k[j+4>>2]=k[R>>2]&1,k[j>>2]=k[R>>2]&-4,(k[j>>2]|0)==(k[(k[e>>2]|0)+49776>>2]|0)):0){k[i>>2]=k[h>>2];k[i+4>>2]=k[h+4>>2];do{k[S>>2]=k[(k[h>>2]|0)+(k[h+4>>2]<<2)>>2];k[h+4>>2]=k[S>>2]&3;k[h>>2]=k[S>>2]^k[h+4>>2];k[h+4>>2]=k[27620+(k[h+4>>2]<<2)>>2];k[R>>2]=k[(k[h>>2]|0)+(6+(k[h+4>>2]|0)<<2)>>2];k[j+4>>2]=k[R>>2]&1;k[j>>2]=k[R>>2]&-4}while((k[j>>2]|0)==(k[(k[e>>2]|0)+49776>>2]|0));k[s>>2]=k[(k[j>>2]|0)+(4+(k[j+4>>2]|0)<<2)>>2];k[t>>2]=k[(k[j>>2]|0)+(5-(k[j+4>>2]|0)<<2)>>2];do{k[S>>2]=k[(k[i>>2]|0)+(k[i+4>>2]<<2)>>2];k[i+4>>2]=k[S>>2]&3;k[i>>2]=k[S>>2]^k[i+4>>2];k[i+4>>2]=k[27632+(k[i+4>>2]<<2)>>2];k[R>>2]=k[(k[i>>2]|0)+(6+(k[i+4>>2]|0)<<2)>>2];k[j+4>>2]=k[R>>2]&1;k[j>>2]=k[R>>2]&-4}while((k[j>>2]|0)==(k[(k[e>>2]|0)+49776>>2]|0));k[u>>2]=k[(k[j>>2]|0)+(4+(k[j+4>>2]|0)<<2)>>2];k[v>>2]=k[(k[j>>2]|0)+(5-(k[j+4>>2]|0)<<2)>>2];k[w>>2]=0;if(+p[k[t>>2]>>3]==+p[k[u>>2]>>3]?+p[(k[t>>2]|0)+8>>3]==+p[(k[u>>2]|0)+8>>3]:0)k[w>>2]=k[t>>2];else T=31;if(((T|0)==31?+p[k[s>>2]>>3]==+p[k[v>>2]>>3]:0)?+p[(k[s>>2]|0)+8>>3]==+p[(k[v>>2]|0)+8>>3]:0)k[w>>2]=k[s>>2];if(((k[w>>2]|0)!=0?(p[P>>3]=(+p[k[o>>2]>>3]-+p[k[w>>2]>>3])*(+p[k[o>>2]>>3]-+p[k[w>>2]>>3])+(+p[(k[o>>2]|0)+8>>3]-+p[(k[w>>2]|0)+8>>3])*(+p[(k[o>>2]|0)+8>>3]-+p[(k[w>>2]|0)+8>>3]),p[Q>>3]=(+p[k[q>>2]>>3]-+p[k[w>>2]>>3])*(+p[k[q>>2]>>3]-+p[k[w>>2]>>3])+(+p[(k[q>>2]|0)+8>>3]-+p[(k[w>>2]|0)+8>>3])*(+p[(k[q>>2]|0)+8>>3]-+p[(k[w>>2]|0)+8>>3]),+p[P>>3]<+p[Q>>3]*1.001):0)?+p[P>>3]>+p[Q>>3]*.999:0){r=d;return}}Ue(k[e>>2]|0,k[f>>2]|0,k[g>>2]|0,+p[M>>3],k[n>>2]|0,k[l>>2]|0,k[m>>2]|0);r=d;return}function Ye(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;c=r;r=r+32|0;d=c+20|0;e=c+16|0;f=c+8|0;g=c+4|0;k[d>>2]=a;k[e>>2]=b;if(k[(k[e>>2]|0)+116>>2]|0)mta(57407,c)|0;me(k[d>>2]|0);e=se(k[d>>2]|0)|0;k[f>>2]=e;while(1){if(!(k[f>>2]|0))break;k[f+4>>2]=0;while(1){if((k[f+4>>2]|0)>=3)break;k[g>>2]=k[(k[f>>2]|0)+((k[27620+(k[f+4>>2]<<2)>>2]|0)+3<<2)>>2];k[(k[g>>2]|0)+(k[(k[d>>2]|0)+49700>>2]<<2)>>2]=k[f>>2]|k[f+4>>2];e=f+4|0;k[e>>2]=(k[e>>2]|0)+1}e=se(k[d>>2]|0)|0;k[f>>2]=e}r=c;return}function Ze(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0,H=0;f=r;r=r+144|0;g=f+32|0;h=f+16|0;i=f+140|0;j=f+136|0;l=f+132|0;m=f+128|0;n=f+124|0;o=f+120|0;q=f+112|0;s=f+104|0;t=f+100|0;u=f+96|0;v=f+92|0;w=f+8|0;x=f;y=f+88|0;z=f+84|0;A=f+80|0;k[j>>2]=a;k[l>>2]=b;k[m>>2]=c;k[n>>2]=d;k[o>>2]=e;if((k[(k[l>>2]|0)+116>>2]|0)>2){B=+p[(k[m>>2]|0)+8>>3];p[h>>3]=+p[k[m>>2]>>3];p[h+8>>3]=B;mta(57461,h)|0}k[t>>2]=k[(k[k[n>>2]>>2]|0)+((k[27620+(k[(k[n>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];k[u>>2]=k[(k[k[n>>2]>>2]|0)+((k[27632+(k[(k[n>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];k[v>>2]=k[(k[k[n>>2]>>2]|0)+((k[(k[n>>2]|0)+4>>2]|0)+3<<2)>>2];a:while(1){if((k[(k[l>>2]|0)+116>>2]|0)>2){B=+p[(k[t>>2]|0)+8>>3];C=+p[k[u>>2]>>3];D=+p[(k[u>>2]|0)+8>>3];E=+p[k[v>>2]>>3];F=+p[(k[v>>2]|0)+8>>3];p[g>>3]=+p[k[t>>2]>>3];p[g+8>>3]=B;p[g+16>>3]=C;p[g+24>>3]=D;p[g+32>>3]=E;p[g+40>>3]=F;mta(57500,g)|0}if(+p[k[v>>2]>>3]==+p[k[m>>2]>>3]?+p[(k[v>>2]|0)+8>>3]==+p[(k[m>>2]|0)+8>>3]:0){G=8;break}F=+Ie(k[j>>2]|0,k[l>>2]|0,k[t>>2]|0,k[v>>2]|0,k[m>>2]|0);p[x>>3]=F;F=+Ie(k[j>>2]|0,k[l>>2]|0,k[v>>2]|0,k[u>>2]|0,k[m>>2]|0);p[w>>3]=F;h=+p[w>>3]>0.0;do if(+p[x>>3]>0.0)if(h){k[y>>2]=(+p[k[v>>2]>>3]-+p[k[m>>2]>>3])*(+p[k[u>>2]>>3]-+p[k[t>>2]>>3])+(+p[(k[v>>2]|0)+8>>3]-+p[(k[m>>2]|0)+8>>3])*(+p[(k[u>>2]|0)+8>>3]-+p[(k[t>>2]|0)+8>>3])>0.0&1;break}else{k[y>>2]=1;break}else{if(!h){G=15;break a}k[y>>2]=0}while(0);h=(k[y>>2]|0)!=0;k[q>>2]=k[k[n>>2]>>2];e=k[(k[n>>2]|0)+4>>2]|0;if(h){k[q+4>>2]=k[27632+(e<<2)>>2];k[u>>2]=k[v>>2]}else{k[q+4>>2]=k[27620+(e<<2)>>2];k[t>>2]=k[v>>2]}k[z>>2]=k[(k[q>>2]|0)+(k[q+4>>2]<<2)>>2];k[(k[n>>2]|0)+4>>2]=k[z>>2]&3;k[k[n>>2]>>2]=k[z>>2]^k[(k[n>>2]|0)+4>>2];if(((k[o>>2]|0)!=0?(k[(k[j>>2]|0)+49716>>2]|0)!=0:0)?(k[A>>2]=k[(k[q>>2]|0)+(6+(k[q+4>>2]|0)<<2)>>2],k[s+4>>2]=k[A>>2]&1,k[s>>2]=k[A>>2]&-4,(k[s>>2]|0)!=(k[(k[j>>2]|0)+49776>>2]|0)):0){G=25;break}if((k[k[n>>2]>>2]|0)==(k[(k[j>>2]|0)+49768>>2]|0)){G=27;break}k[v>>2]=k[(k[k[n>>2]>>2]|0)+((k[(k[n>>2]|0)+4>>2]|0)+3<<2)>>2]}if((G|0)==8){k[(k[n>>2]|0)+4>>2]=k[27632+(k[(k[n>>2]|0)+4>>2]<<2)>>2];k[i>>2]=2;H=k[i>>2]|0;r=f;return H|0}else if((G|0)==15){if(+p[x>>3]==0.0){k[(k[n>>2]|0)+4>>2]=k[27632+(k[(k[n>>2]|0)+4>>2]<<2)>>2];k[i>>2]=1;H=k[i>>2]|0;r=f;return H|0}if(+p[w>>3]==0.0){k[(k[n>>2]|0)+4>>2]=k[27620+(k[(k[n>>2]|0)+4>>2]<<2)>>2];k[i>>2]=1;H=k[i>>2]|0;r=f;return H|0}else{k[i>>2]=0;H=k[i>>2]|0;r=f;return H|0}}else if((G|0)==25){k[k[n>>2]>>2]=k[q>>2];k[(k[n>>2]|0)+4>>2]=k[q+4>>2];k[i>>2]=3;H=k[i>>2]|0;r=f;return H|0}else if((G|0)==27){k[k[n>>2]>>2]=k[q>>2];k[(k[n>>2]|0)+4>>2]=k[q+4>>2];k[i>>2]=3;H=k[i>>2]|0;r=f;return H|0}return 0}function _e(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0.0,H=0,I=0;e=r;r=r+176|0;f=e+72|0;g=e+56|0;h=e+40|0;i=e+24|0;j=e+160|0;l=e+156|0;m=e+152|0;n=e+148|0;o=e+144|0;q=e+140|0;s=e+136|0;t=e+128|0;u=e+120|0;v=e+116|0;w=e+112|0;x=e+16|0;y=e+8|0;z=e;A=e+108|0;B=e+104|0;C=e+100|0;D=e+96|0;E=e+92|0;F=e+88|0;k[l>>2]=a;k[m>>2]=b;k[n>>2]=c;k[o>>2]=d;if((k[(k[m>>2]|0)+116>>2]|0)>2){G=+p[(k[n>>2]|0)+8>>3];p[i>>3]=+p[k[n>>2]>>3];p[i+8>>3]=G;mta(57553,i)|0}k[u>>2]=k[(k[k[o>>2]>>2]|0)+((k[27620+(k[(k[o>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];p[x>>3]=(+p[k[n>>2]>>3]-+p[k[u>>2]>>3])*(+p[k[n>>2]>>3]-+p[k[u>>2]>>3])+(+p[(k[n>>2]|0)+8>>3]-+p[(k[u>>2]|0)+8>>3])*(+p[(k[n>>2]|0)+8>>3]-+p[(k[u>>2]|0)+8>>3]);if((k[(k[m>>2]|0)+116>>2]|0)>2){G=+p[(k[u>>2]|0)+8>>3];p[h>>3]=+p[k[u>>2]>>3];p[h+8>>3]=G;mta(57616,h)|0}if((k[(k[l>>2]|0)+49784>>2]|0)!=0?(k[(k[(k[l>>2]|0)+49784>>2]|0)+4>>2]|0)!=0:0){k[u>>2]=k[(k[(k[l>>2]|0)+49784>>2]|0)+((k[27620+(k[(k[l>>2]|0)+49784+4>>2]<<2)>>2]|0)+3<<2)>>2];if(+p[k[u>>2]>>3]==+p[k[n>>2]>>3]?+p[(k[u>>2]|0)+8>>3]==+p[(k[n>>2]|0)+8>>3]:0){k[k[o>>2]>>2]=k[(k[l>>2]|0)+49784>>2];k[(k[o>>2]|0)+4>>2]=k[(k[l>>2]|0)+49784+4>>2];k[j>>2]=2;H=k[j>>2]|0;r=e;return H|0}p[y>>3]=(+p[k[n>>2]>>3]-+p[k[u>>2]>>3])*(+p[k[n>>2]>>3]-+p[k[u>>2]>>3])+(+p[(k[n>>2]|0)+8>>3]-+p[(k[u>>2]|0)+8>>3])*(+p[(k[n>>2]|0)+8>>3]-+p[(k[u>>2]|0)+8>>3]);if(+p[y>>3]<+p[x>>3]?(k[k[o>>2]>>2]=k[(k[l>>2]|0)+49784>>2],k[(k[o>>2]|0)+4>>2]=k[(k[l>>2]|0)+49784+4>>2],p[x>>3]=+p[y>>3],(k[(k[m>>2]|0)+116>>2]|0)>2):0){G=+p[(k[u>>2]|0)+8>>3];p[g>>3]=+p[k[u>>2]>>3];p[g+8>>3]=G;mta(57666,g)|0}}while(1){g=ma((k[(k[l>>2]|0)+49728>>2]|0)*11|0,k[(k[l>>2]|0)+49728>>2]|0)|0;h=ma(g,k[(k[l>>2]|0)+49728>>2]|0)|0;g=(k[l>>2]|0)+49728|0;I=k[g>>2]|0;if((h|0)>=(k[(k[l>>2]|0)+40>>2]|0))break;k[g>>2]=I+1}k[A>>2]=(((I*4092|0)-1|0)/(k[(k[l>>2]|0)+44>>2]|0)|0)+1;I=(ma(k[(k[l>>2]|0)+49728>>2]|0,k[(k[l>>2]|0)+36>>2]|0)|0)-1|0;k[C>>2]=((I|0)/(k[(k[l>>2]|0)+44>>2]|0)|0)+1;k[B>>2]=k[(k[l>>2]|0)+49728>>2];k[D>>2]=k[(k[l>>2]|0)+36>>2];k[E>>2]=k[(k[l>>2]|0)+44>>2];k[q>>2]=k[k[l>>2]>>2];k[t+4>>2]=0;while(1){if((k[B>>2]|0)<=0)break;if((k[D>>2]|0)>(k[E>>2]|0))k[D>>2]=k[E>>2];k[w>>2]=(k[q>>2]|0)+4;k[s>>2]=(k[w>>2]|0)+(k[(k[l>>2]|0)+24>>2]|0)-(((k[w>>2]|0)>>>0)%((k[(k[l>>2]|0)+24>>2]|0)>>>0)|0);do{I=k[s>>2]|0;g=Qe(k[D>>2]|0)|0;h=I+(ma(g,k[(k[l>>2]|0)+28>>2]|0)|0)|0;k[t>>2]=h;if(((k[(k[t>>2]|0)+4>>2]|0)!=0?(k[u>>2]=k[(k[t>>2]|0)+((k[27620+(k[t+4>>2]<<2)>>2]|0)+3<<2)>>2],p[y>>3]=(+p[k[n>>2]>>3]-+p[k[u>>2]>>3])*(+p[k[n>>2]>>3]-+p[k[u>>2]>>3])+(+p[(k[n>>2]|0)+8>>3]-+p[(k[u>>2]|0)+8>>3])*(+p[(k[n>>2]|0)+8>>3]-+p[(k[u>>2]|0)+8>>3]),+p[y>>3]<+p[x>>3]):0)?(k[k[o>>2]>>2]=k[t>>2],k[(k[o>>2]|0)+4>>2]=k[t+4>>2],p[x>>3]=+p[y>>3],(k[(k[m>>2]|0)+116>>2]|0)>2):0){G=+p[(k[u>>2]|0)+8>>3];p[f>>3]=+p[k[u>>2]>>3];p[f+8>>3]=G;mta(57724,f)|0}k[C>>2]=(k[C>>2]|0)+-1;k[B>>2]=(k[B>>2]|0)+-1}while((k[C>>2]|0)>0?(k[B>>2]|0)>0:0);if((k[B>>2]|0)<=0)continue;k[q>>2]=k[k[q>>2]>>2];k[C>>2]=k[A>>2];k[E>>2]=(k[E>>2]|0)-(k[D>>2]|0);k[D>>2]=4092}k[u>>2]=k[(k[k[o>>2]>>2]|0)+((k[27620+(k[(k[o>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];k[v>>2]=k[(k[k[o>>2]>>2]|0)+((k[27632+(k[(k[o>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];if(+p[k[u>>2]>>3]==+p[k[n>>2]>>3]?+p[(k[u>>2]|0)+8>>3]==+p[(k[n>>2]|0)+8>>3]:0){k[j>>2]=2;H=k[j>>2]|0;r=e;return H|0}if(+p[k[v>>2]>>3]==+p[k[n>>2]>>3]?+p[(k[v>>2]|0)+8>>3]==+p[(k[n>>2]|0)+8>>3]:0){k[(k[o>>2]|0)+4>>2]=k[27620+(k[(k[o>>2]|0)+4>>2]<<2)>>2];k[j>>2]=2;H=k[j>>2]|0;r=e;return H|0}G=+Ie(k[l>>2]|0,k[m>>2]|0,k[u>>2]|0,k[v>>2]|0,k[n>>2]|0);p[z>>3]=G;if(!(+p[z>>3]<0.0)){if((+p[z>>3]==0.0?(+p[k[u>>2]>>3]<+p[k[n>>2]>>3]|0)==(+p[k[n>>2]>>3]<+p[k[v>>2]>>3]|0):0)?(+p[(k[u>>2]|0)+8>>3]<+p[(k[n>>2]|0)+8>>3]|0)==(+p[(k[n>>2]|0)+8>>3]<+p[(k[v>>2]|0)+8>>3]|0):0){k[j>>2]=1;H=k[j>>2]|0;r=e;return H|0}}else{k[F>>2]=k[(k[k[o>>2]>>2]|0)+(k[(k[o>>2]|0)+4>>2]<<2)>>2];k[(k[o>>2]|0)+4>>2]=k[F>>2]&3;k[k[o>>2]>>2]=k[F>>2]^k[(k[o>>2]|0)+4>>2]}F=Ze(k[l>>2]|0,k[m>>2]|0,k[n>>2]|0,k[o>>2]|0,0)|0;k[j>>2]=F;H=k[j>>2]|0;r=e;return H|0}function $e(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;e=r;r=r+64|0;f=e;g=e+52|0;h=e+48|0;i=e+44|0;j=e+40|0;l=e+32|0;m=e+24|0;n=e+16|0;o=e+12|0;p=e+8|0;q=e+4|0;k[g>>2]=a;k[h>>2]=b;k[i>>2]=c;k[j>>2]=d;k[n>>2]=k[(k[k[i>>2]>>2]|0)+((k[27620+(k[(k[i>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];k[o>>2]=k[(k[k[i>>2]>>2]|0)+((k[27632+(k[(k[i>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];if(!(k[(k[n>>2]|0)+(k[(k[g>>2]|0)+49696>>2]<<2)>>2]|0))k[(k[n>>2]|0)+(k[(k[g>>2]|0)+49696>>2]<<2)>>2]=k[j>>2];if(!(k[(k[o>>2]|0)+(k[(k[g>>2]|0)+49696>>2]<<2)>>2]|0))k[(k[o>>2]|0)+(k[(k[g>>2]|0)+49696>>2]<<2)>>2]=k[j>>2];k[q>>2]=k[(k[k[i>>2]>>2]|0)+(6+(k[(k[i>>2]|0)+4>>2]|0)<<2)>>2];k[m+4>>2]=k[q>>2]&1;k[m>>2]=k[q>>2]&-4;if((k[m>>2]|0)==(k[(k[g>>2]|0)+49776>>2]|0)){Ce(k[g>>2]|0,m);k[(k[m>>2]|0)+(2+(k[m+4>>2]|0)<<2)>>2]=k[o>>2];k[(k[m>>2]|0)+(3-(k[m+4>>2]|0)<<2)>>2]=k[n>>2];k[(k[m>>2]|0)+(4+(k[m+4>>2]|0)<<2)>>2]=k[o>>2];k[(k[m>>2]|0)+(5-(k[m+4>>2]|0)<<2)>>2]=k[n>>2];k[(k[k[i>>2]>>2]|0)+(6+(k[(k[i>>2]|0)+4>>2]|0)<<2)>>2]=k[m>>2]|k[m+4>>2];k[(k[m>>2]|0)+(6+(k[m+4>>2]|0)<<2)>>2]=k[k[i>>2]>>2]|k[(k[i>>2]|0)+4>>2];k[p>>2]=k[(k[k[i>>2]>>2]|0)+(k[(k[i>>2]|0)+4>>2]<<2)>>2];k[l+4>>2]=k[p>>2]&3;k[l>>2]=k[p>>2]^k[l+4>>2];k[m+4>>2]=1-(k[m+4>>2]|0);k[(k[l>>2]|0)+(6+(k[l+4>>2]|0)<<2)>>2]=k[m>>2]|k[m+4>>2];k[(k[m>>2]|0)+(6+(k[m+4>>2]|0)<<2)>>2]=k[l>>2]|k[l+4>>2];k[(k[m>>2]|0)+32>>2]=k[j>>2];if((k[(k[h>>2]|0)+116>>2]|0)<=2){r=e;return}mta(57775,f)|0;fe(k[g>>2]|0,k[h>>2]|0,m);r=e;return}else{if(k[(k[m>>2]|0)+32>>2]|0){r=e;return}k[(k[m>>2]|0)+32>>2]=k[j>>2];r=e;return}}function af(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;d=r;r=r+160|0;e=d+8|0;f=d;g=d+152|0;h=d+148|0;i=d+144|0;j=d+136|0;l=d+128|0;m=d+120|0;n=d+112|0;o=d+104|0;p=d+96|0;q=d+88|0;s=d+80|0;t=d+72|0;u=d+64|0;v=d+56|0;w=d+48|0;x=d+40|0;y=d+32|0;z=d+28|0;A=d+24|0;B=d+20|0;C=d+16|0;D=d+12|0;k[g>>2]=a;k[h>>2]=b;k[i>>2]=c;k[z>>2]=k[(k[k[i>>2]>>2]|0)+((k[27620+(k[(k[i>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];k[y>>2]=k[(k[k[i>>2]>>2]|0)+((k[27632+(k[(k[i>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];k[A>>2]=k[(k[k[i>>2]>>2]|0)+((k[(k[i>>2]|0)+4>>2]|0)+3<<2)>>2];k[C>>2]=k[(k[k[i>>2]>>2]|0)+(k[(k[i>>2]|0)+4>>2]<<2)>>2];k[o+4>>2]=k[C>>2]&3;k[o>>2]=k[C>>2]^k[o+4>>2];k[B>>2]=k[(k[o>>2]|0)+((k[o+4>>2]|0)+3<<2)>>2];k[m>>2]=k[o>>2];k[m+4>>2]=k[27632+(k[o+4>>2]<<2)>>2];k[C>>2]=k[(k[m>>2]|0)+(k[m+4>>2]<<2)>>2];k[s+4>>2]=k[C>>2]&3;k[s>>2]=k[C>>2]^k[s+4>>2];k[n>>2]=k[o>>2];k[n+4>>2]=k[27620+(k[o+4>>2]<<2)>>2];k[C>>2]=k[(k[n>>2]|0)+(k[n+4>>2]<<2)>>2];k[t+4>>2]=k[C>>2]&3;k[t>>2]=k[C>>2]^k[t+4>>2];k[j>>2]=k[k[i>>2]>>2];k[j+4>>2]=k[27620+(k[(k[i>>2]|0)+4>>2]<<2)>>2];k[C>>2]=k[(k[j>>2]|0)+(k[j+4>>2]<<2)>>2];k[p+4>>2]=k[C>>2]&3;k[p>>2]=k[C>>2]^k[p+4>>2];k[l>>2]=k[k[i>>2]>>2];k[l+4>>2]=k[27632+(k[(k[i>>2]|0)+4>>2]<<2)>>2];k[C>>2]=k[(k[l>>2]|0)+(k[l+4>>2]<<2)>>2];k[q+4>>2]=k[C>>2]&3;k[q>>2]=k[C>>2]^k[q+4>>2];k[(k[m>>2]|0)+(k[m+4>>2]<<2)>>2]=k[p>>2]|k[p+4>>2];k[(k[p>>2]|0)+(k[p+4>>2]<<2)>>2]=k[m>>2]|k[m+4>>2];k[(k[j>>2]|0)+(k[j+4>>2]<<2)>>2]=k[q>>2]|k[q+4>>2];k[(k[q>>2]|0)+(k[q+4>>2]<<2)>>2]=k[j>>2]|k[j+4>>2];k[(k[l>>2]|0)+(k[l+4>>2]<<2)>>2]=k[t>>2]|k[t+4>>2];k[(k[t>>2]|0)+(k[t+4>>2]<<2)>>2]=k[l>>2]|k[l+4>>2];k[(k[n>>2]|0)+(k[n+4>>2]<<2)>>2]=k[s>>2]|k[s+4>>2];k[(k[s>>2]|0)+(k[s+4>>2]<<2)>>2]=k[n>>2]|k[n+4>>2];do if(k[(k[g>>2]|0)+49716>>2]|0){k[D>>2]=k[(k[m>>2]|0)+(6+(k[m+4>>2]|0)<<2)>>2];k[w+4>>2]=k[D>>2]&1;k[w>>2]=k[D>>2]&-4;k[D>>2]=k[(k[j>>2]|0)+(6+(k[j+4>>2]|0)<<2)>>2];k[u+4>>2]=k[D>>2]&1;k[u>>2]=k[D>>2]&-4;k[D>>2]=k[(k[l>>2]|0)+(6+(k[l+4>>2]|0)<<2)>>2];k[v+4>>2]=k[D>>2]&1;k[v>>2]=k[D>>2]&-4;k[D>>2]=k[(k[n>>2]|0)+(6+(k[n+4>>2]|0)<<2)>>2];k[x+4>>2]=k[D>>2]&1;k[x>>2]=k[D>>2]&-4;if((k[w>>2]|0)==(k[(k[g>>2]|0)+49776>>2]|0))k[(k[n>>2]|0)+(6+(k[n+4>>2]|0)<<2)>>2]=k[(k[g>>2]|0)+49776>>2];else{k[(k[n>>2]|0)+(6+(k[n+4>>2]|0)<<2)>>2]=k[w>>2]|k[w+4>>2];k[(k[w>>2]|0)+(6+(k[w+4>>2]|0)<<2)>>2]=k[n>>2]|k[n+4>>2]}if((k[u>>2]|0)==(k[(k[g>>2]|0)+49776>>2]|0))k[(k[m>>2]|0)+(6+(k[m+4>>2]|0)<<2)>>2]=k[(k[g>>2]|0)+49776>>2];else{k[(k[m>>2]|0)+(6+(k[m+4>>2]|0)<<2)>>2]=k[u>>2]|k[u+4>>2];k[(k[u>>2]|0)+(6+(k[u+4>>2]|0)<<2)>>2]=k[m>>2]|k[m+4>>2]}if((k[v>>2]|0)==(k[(k[g>>2]|0)+49776>>2]|0))k[(k[j>>2]|0)+(6+(k[j+4>>2]|0)<<2)>>2]=k[(k[g>>2]|0)+49776>>2];else{k[(k[j>>2]|0)+(6+(k[j+4>>2]|0)<<2)>>2]=k[v>>2]|k[v+4>>2];k[(k[v>>2]|0)+(6+(k[v+4>>2]|0)<<2)>>2]=k[j>>2]|k[j+4>>2]}if((k[x>>2]|0)==(k[(k[g>>2]|0)+49776>>2]|0)){k[(k[l>>2]|0)+(6+(k[l+4>>2]|0)<<2)>>2]=k[(k[g>>2]|0)+49776>>2];break}else{k[(k[l>>2]|0)+(6+(k[l+4>>2]|0)<<2)>>2]=k[x>>2]|k[x+4>>2];k[(k[x>>2]|0)+(6+(k[x+4>>2]|0)<<2)>>2]=k[l>>2]|k[l+4>>2];break}}while(0);k[(k[k[i>>2]>>2]|0)+((k[27620+(k[(k[i>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[B>>2];k[(k[k[i>>2]>>2]|0)+((k[27632+(k[(k[i>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[A>>2];k[(k[k[i>>2]>>2]|0)+((k[(k[i>>2]|0)+4>>2]|0)+3<<2)>>2]=k[z>>2];k[(k[o>>2]|0)+((k[27620+(k[o+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[A>>2];k[(k[o>>2]|0)+((k[27632+(k[o+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[B>>2];k[(k[o>>2]|0)+((k[o+4>>2]|0)+3<<2)>>2]=k[y>>2];if((k[(k[h>>2]|0)+116>>2]|0)<=2){r=d;return}mta(57792,f)|0;ee(k[g>>2]|0,k[h>>2]|0,o);mta(57821,e)|0;ee(k[g>>2]|0,k[h>>2]|0,k[i>>2]|0);r=d;return}function bf(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;d=r;r=r+160|0;e=d+8|0;f=d;g=d+152|0;h=d+148|0;i=d+144|0;j=d+136|0;l=d+128|0;m=d+120|0;n=d+112|0;o=d+104|0;p=d+96|0;q=d+88|0;s=d+80|0;t=d+72|0;u=d+64|0;v=d+56|0;w=d+48|0;x=d+40|0;y=d+32|0;z=d+28|0;A=d+24|0;B=d+20|0;C=d+16|0;D=d+12|0;k[g>>2]=a;k[h>>2]=b;k[i>>2]=c;k[z>>2]=k[(k[k[i>>2]>>2]|0)+((k[27620+(k[(k[i>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];k[y>>2]=k[(k[k[i>>2]>>2]|0)+((k[27632+(k[(k[i>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];k[A>>2]=k[(k[k[i>>2]>>2]|0)+((k[(k[i>>2]|0)+4>>2]|0)+3<<2)>>2];k[C>>2]=k[(k[k[i>>2]>>2]|0)+(k[(k[i>>2]|0)+4>>2]<<2)>>2];k[o+4>>2]=k[C>>2]&3;k[o>>2]=k[C>>2]^k[o+4>>2];k[B>>2]=k[(k[o>>2]|0)+((k[o+4>>2]|0)+3<<2)>>2];k[m>>2]=k[o>>2];k[m+4>>2]=k[27632+(k[o+4>>2]<<2)>>2];k[C>>2]=k[(k[m>>2]|0)+(k[m+4>>2]<<2)>>2];k[s+4>>2]=k[C>>2]&3;k[s>>2]=k[C>>2]^k[s+4>>2];k[n>>2]=k[o>>2];k[n+4>>2]=k[27620+(k[o+4>>2]<<2)>>2];k[C>>2]=k[(k[n>>2]|0)+(k[n+4>>2]<<2)>>2];k[t+4>>2]=k[C>>2]&3;k[t>>2]=k[C>>2]^k[t+4>>2];k[j>>2]=k[k[i>>2]>>2];k[j+4>>2]=k[27620+(k[(k[i>>2]|0)+4>>2]<<2)>>2];k[C>>2]=k[(k[j>>2]|0)+(k[j+4>>2]<<2)>>2];k[p+4>>2]=k[C>>2]&3;k[p>>2]=k[C>>2]^k[p+4>>2];k[l>>2]=k[k[i>>2]>>2];k[l+4>>2]=k[27632+(k[(k[i>>2]|0)+4>>2]<<2)>>2];k[C>>2]=k[(k[l>>2]|0)+(k[l+4>>2]<<2)>>2];k[q+4>>2]=k[C>>2]&3;k[q>>2]=k[C>>2]^k[q+4>>2];k[(k[m>>2]|0)+(k[m+4>>2]<<2)>>2]=k[t>>2]|k[t+4>>2];k[(k[t>>2]|0)+(k[t+4>>2]<<2)>>2]=k[m>>2]|k[m+4>>2];k[(k[j>>2]|0)+(k[j+4>>2]<<2)>>2]=k[s>>2]|k[s+4>>2];k[(k[s>>2]|0)+(k[s+4>>2]<<2)>>2]=k[j>>2]|k[j+4>>2];k[(k[l>>2]|0)+(k[l+4>>2]<<2)>>2]=k[p>>2]|k[p+4>>2];k[(k[p>>2]|0)+(k[p+4>>2]<<2)>>2]=k[l>>2]|k[l+4>>2];k[(k[n>>2]|0)+(k[n+4>>2]<<2)>>2]=k[q>>2]|k[q+4>>2];k[(k[q>>2]|0)+(k[q+4>>2]<<2)>>2]=k[n>>2]|k[n+4>>2];do if(k[(k[g>>2]|0)+49716>>2]|0){k[D>>2]=k[(k[m>>2]|0)+(6+(k[m+4>>2]|0)<<2)>>2];k[w+4>>2]=k[D>>2]&1;k[w>>2]=k[D>>2]&-4;k[D>>2]=k[(k[j>>2]|0)+(6+(k[j+4>>2]|0)<<2)>>2];k[u+4>>2]=k[D>>2]&1;k[u>>2]=k[D>>2]&-4;k[D>>2]=k[(k[l>>2]|0)+(6+(k[l+4>>2]|0)<<2)>>2];k[v+4>>2]=k[D>>2]&1;k[v>>2]=k[D>>2]&-4;k[D>>2]=k[(k[n>>2]|0)+(6+(k[n+4>>2]|0)<<2)>>2];k[x+4>>2]=k[D>>2]&1;k[x>>2]=k[D>>2]&-4;if((k[w>>2]|0)==(k[(k[g>>2]|0)+49776>>2]|0))k[(k[j>>2]|0)+(6+(k[j+4>>2]|0)<<2)>>2]=k[(k[g>>2]|0)+49776>>2];else{k[(k[j>>2]|0)+(6+(k[j+4>>2]|0)<<2)>>2]=k[w>>2]|k[w+4>>2];k[(k[w>>2]|0)+(6+(k[w+4>>2]|0)<<2)>>2]=k[j>>2]|k[j+4>>2]}if((k[u>>2]|0)==(k[(k[g>>2]|0)+49776>>2]|0))k[(k[l>>2]|0)+(6+(k[l+4>>2]|0)<<2)>>2]=k[(k[g>>2]|0)+49776>>2];else{k[(k[l>>2]|0)+(6+(k[l+4>>2]|0)<<2)>>2]=k[u>>2]|k[u+4>>2];k[(k[u>>2]|0)+(6+(k[u+4>>2]|0)<<2)>>2]=k[l>>2]|k[l+4>>2]}if((k[v>>2]|0)==(k[(k[g>>2]|0)+49776>>2]|0))k[(k[n>>2]|0)+(6+(k[n+4>>2]|0)<<2)>>2]=k[(k[g>>2]|0)+49776>>2];else{k[(k[n>>2]|0)+(6+(k[n+4>>2]|0)<<2)>>2]=k[v>>2]|k[v+4>>2];k[(k[v>>2]|0)+(6+(k[v+4>>2]|0)<<2)>>2]=k[n>>2]|k[n+4>>2]}if((k[x>>2]|0)==(k[(k[g>>2]|0)+49776>>2]|0)){k[(k[m>>2]|0)+(6+(k[m+4>>2]|0)<<2)>>2]=k[(k[g>>2]|0)+49776>>2];break}else{k[(k[m>>2]|0)+(6+(k[m+4>>2]|0)<<2)>>2]=k[x>>2]|k[x+4>>2];k[(k[x>>2]|0)+(6+(k[x+4>>2]|0)<<2)>>2]=k[m>>2]|k[m+4>>2];break}}while(0);k[(k[k[i>>2]>>2]|0)+((k[27620+(k[(k[i>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[A>>2];k[(k[k[i>>2]>>2]|0)+((k[27632+(k[(k[i>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[B>>2];k[(k[k[i>>2]>>2]|0)+((k[(k[i>>2]|0)+4>>2]|0)+3<<2)>>2]=k[y>>2];k[(k[o>>2]|0)+((k[27620+(k[o+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[B>>2];k[(k[o>>2]|0)+((k[27632+(k[o+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[A>>2];k[(k[o>>2]|0)+((k[o+4>>2]|0)+3<<2)>>2]=k[z>>2];if((k[(k[h>>2]|0)+116>>2]|0)<=2){r=d;return}mta(57834,f)|0;ee(k[g>>2]|0,k[h>>2]|0,k[i>>2]|0);mta(57821,e)|0;ee(k[g>>2]|0,k[h>>2]|0,o);r=d;return}function cf(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0.0,ta=0,ua=0.0,va=0.0,wa=0;h=r;r=r+416|0;i=h+128|0;j=h+120|0;l=h+112|0;m=h+104|0;n=h+96|0;o=h+88|0;q=h+80|0;s=h+72|0;t=h+64|0;u=h+32|0;v=h+16|0;w=h+412|0;x=h+408|0;y=h+404|0;z=h+400|0;A=h+396|0;B=h+392|0;C=h+388|0;D=h+384|0;E=h+376|0;F=h+368|0;G=h+360|0;H=h+352|0;I=h+344|0;J=h+336|0;K=h+328|0;L=h+320|0;M=h+312|0;N=h+304|0;O=h+296|0;P=h+288|0;Q=h+280|0;R=h+272|0;S=h+264|0;T=h+256|0;U=h+248|0;V=h+240|0;W=h+232|0;X=h+224|0;Y=h+216|0;Z=h+208|0;_=h+200|0;$=h+196|0;aa=h+192|0;ba=h+188|0;ca=h+184|0;da=h+180|0;ea=h+176|0;fa=h+172|0;ga=h+168|0;ha=h+164|0;ia=h+8|0;ja=h;ka=h+160|0;la=h+156|0;ma=h+152|0;na=h+148|0;oa=h+144|0;pa=h+140|0;qa=h+136|0;ra=h+132|0;k[x>>2]=a;k[y>>2]=b;k[z>>2]=c;k[A>>2]=d;k[B>>2]=e;k[C>>2]=f;k[D>>2]=g;if((k[(k[y>>2]|0)+116>>2]|0)>1){sa=+p[(k[z>>2]|0)+8>>3];p[v>>3]=+p[k[z>>2]>>3];p[v+8>>3]=sa;mta(57865,v)|0}v=k[k[A>>2]>>2]|0;do if(!(k[B>>2]|0))if((v|0)==(k[(k[x>>2]|0)+49768>>2]|0)){k[E>>2]=k[(k[x>>2]|0)+49768>>2];k[E+4>>2]=0;k[qa>>2]=k[(k[E>>2]|0)+(k[E+4>>2]<<2)>>2];k[E+4>>2]=k[qa>>2]&3;k[E>>2]=k[qa>>2]^k[E+4>>2];g=_e(k[x>>2]|0,k[y>>2]|0,k[z>>2]|0,E)|0;k[la>>2]=g;break}else{k[E>>2]=k[k[A>>2]>>2];k[E+4>>2]=k[(k[A>>2]|0)+4>>2];g=Ze(k[x>>2]|0,k[y>>2]|0,k[z>>2]|0,E,1)|0;k[la>>2]=g;break}else{k[E>>2]=v;k[E+4>>2]=k[(k[A>>2]|0)+4>>2];k[la>>2]=1}while(0);if((k[la>>2]|0)==2){k[k[A>>2]>>2]=k[E>>2];k[(k[A>>2]|0)+4>>2]=k[E+4>>2];k[(k[x>>2]|0)+49784>>2]=k[E>>2];k[(k[x>>2]|0)+49784+4>>2]=k[E+4>>2];k[w>>2]=3;ta=k[w>>2]|0;r=h;return ta|0}if(!((k[la>>2]|0)==1|(k[la>>2]|0)==3)){k[G>>2]=k[E>>2];k[G+4>>2]=k[27620+(k[E+4>>2]<<2)>>2];k[H>>2]=k[E>>2];k[H+4>>2]=k[27632+(k[E+4>>2]<<2)>>2];k[qa>>2]=k[(k[G>>2]|0)+(k[G+4>>2]<<2)>>2];k[N+4>>2]=k[qa>>2]&3;k[N>>2]=k[qa>>2]^k[N+4>>2];k[qa>>2]=k[(k[H>>2]|0)+(k[H+4>>2]<<2)>>2];k[O+4>>2]=k[qa>>2]&3;k[O>>2]=k[qa>>2]^k[O+4>>2];Be(k[x>>2]|0,k[y>>2]|0,K);Be(k[x>>2]|0,k[y>>2]|0,L);k[ca>>2]=k[(k[E>>2]|0)+((k[27620+(k[E+4>>2]<<2)>>2]|0)+3<<2)>>2];k[ba>>2]=k[(k[E>>2]|0)+((k[27632+(k[E+4>>2]<<2)>>2]|0)+3<<2)>>2];k[da>>2]=k[(k[E>>2]|0)+((k[E+4>>2]|0)+3<<2)>>2];k[(k[K>>2]|0)+((k[27620+(k[K+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[ba>>2];k[(k[K>>2]|0)+((k[27632+(k[K+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[da>>2];k[(k[K>>2]|0)+((k[K+4>>2]|0)+3<<2)>>2]=k[z>>2];k[(k[L>>2]|0)+((k[27620+(k[L+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[da>>2];k[(k[L>>2]|0)+((k[27632+(k[L+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[ca>>2];k[(k[L>>2]|0)+((k[L+4>>2]|0)+3<<2)>>2]=k[z>>2];k[(k[E>>2]|0)+((k[E+4>>2]|0)+3<<2)>>2]=k[z>>2];k[pa>>2]=0;while(1){if((k[pa>>2]|0)>=(k[(k[x>>2]|0)+49684>>2]|0))break;p[ia>>3]=+p[(k[E>>2]|0)+((k[(k[x>>2]|0)+49708>>2]|0)+(k[pa>>2]|0)<<3)>>3];p[(k[K>>2]|0)+((k[(k[x>>2]|0)+49708>>2]|0)+(k[pa>>2]|0)<<3)>>3]=+p[ia>>3];p[(k[L>>2]|0)+((k[(k[x>>2]|0)+49708>>2]|0)+(k[pa>>2]|0)<<3)>>3]=+p[ia>>3];k[pa>>2]=(k[pa>>2]|0)+1}if(k[(k[y>>2]|0)+12>>2]|0){p[ja>>3]=+p[(k[E>>2]|0)+(k[(k[x>>2]|0)+49712>>2]<<3)>>3];p[(k[K>>2]|0)+(k[(k[x>>2]|0)+49712>>2]<<3)>>3]=+p[ja>>3];p[(k[L>>2]|0)+(k[(k[x>>2]|0)+49712>>2]<<3)>>3]=+p[ja>>3]}if(k[(k[x>>2]|0)+49716>>2]|0){k[ra>>2]=k[(k[G>>2]|0)+(6+(k[G+4>>2]|0)<<2)>>2];k[S+4>>2]=k[ra>>2]&1;k[S>>2]=k[ra>>2]&-4;if((k[S>>2]|0)!=(k[(k[x>>2]|0)+49776>>2]|0)){k[(k[G>>2]|0)+(6+(k[G+4>>2]|0)<<2)>>2]=k[(k[x>>2]|0)+49776>>2];k[(k[K>>2]|0)+(6+(k[K+4>>2]|0)<<2)>>2]=k[S>>2]|k[S+4>>2];k[(k[S>>2]|0)+(6+(k[S+4>>2]|0)<<2)>>2]=k[K>>2]|k[K+4>>2]}k[ra>>2]=k[(k[H>>2]|0)+(6+(k[H+4>>2]|0)<<2)>>2];k[T+4>>2]=k[ra>>2]&1;k[T>>2]=k[ra>>2]&-4;if((k[T>>2]|0)!=(k[(k[x>>2]|0)+49776>>2]|0)){k[(k[H>>2]|0)+(6+(k[H+4>>2]|0)<<2)>>2]=k[(k[x>>2]|0)+49776>>2];k[(k[L>>2]|0)+(6+(k[L+4>>2]|0)<<2)>>2]=k[T>>2]|k[T+4>>2];k[(k[T>>2]|0)+(6+(k[T+4>>2]|0)<<2)>>2]=k[L>>2]|k[L+4>>2]}}k[(k[K>>2]|0)+(k[K+4>>2]<<2)>>2]=k[N>>2]|k[N+4>>2];k[(k[N>>2]|0)+(k[N+4>>2]<<2)>>2]=k[K>>2]|k[K+4>>2];k[(k[L>>2]|0)+(k[L+4>>2]<<2)>>2]=k[O>>2]|k[O+4>>2];k[(k[O>>2]|0)+(k[O+4>>2]<<2)>>2]=k[L>>2]|k[L+4>>2];k[K+4>>2]=k[27620+(k[K+4>>2]<<2)>>2];k[L+4>>2]=k[27632+(k[L+4>>2]<<2)>>2];k[(k[K>>2]|0)+(k[K+4>>2]<<2)>>2]=k[L>>2]|k[L+4>>2];k[(k[L>>2]|0)+(k[L+4>>2]<<2)>>2]=k[K>>2]|k[K+4>>2];k[K+4>>2]=k[27620+(k[K+4>>2]<<2)>>2];k[(k[G>>2]|0)+(k[G+4>>2]<<2)>>2]=k[K>>2]|k[K+4>>2];k[(k[K>>2]|0)+(k[K+4>>2]<<2)>>2]=k[G>>2]|k[G+4>>2];k[L+4>>2]=k[27632+(k[L+4>>2]<<2)>>2];k[(k[H>>2]|0)+(k[H+4>>2]<<2)>>2]=k[L>>2]|k[L+4>>2];k[(k[L>>2]|0)+(k[L+4>>2]<<2)>>2]=k[H>>2]|k[H+4>>2];if(k[(k[x>>2]|0)+49720>>2]|0){he((k[x>>2]|0)+336|0);la=ke((k[x>>2]|0)+336|0)|0;k[(k[x>>2]|0)+49604>>2]=la;k[k[(k[x>>2]|0)+49604>>2]>>2]=k[E>>2]|k[E+4>>2];k[(k[(k[x>>2]|0)+49604>>2]|0)+4>>2]=0}if((k[(k[y>>2]|0)+116>>2]|0)>2){mta(57986,n)|0;ee(k[x>>2]|0,k[y>>2]|0,E);mta(58002,m)|0;ee(k[x>>2]|0,k[y>>2]|0,K);mta(58019,l)|0;ee(k[x>>2]|0,k[y>>2]|0,L)}}else{if(((k[B>>2]|0)==0?(k[(k[x>>2]|0)+49716>>2]|0)!=0:0)?(k[ra>>2]=k[(k[E>>2]|0)+(6+(k[E+4>>2]|0)<<2)>>2],k[W+4>>2]=k[ra>>2]&1,k[W>>2]=k[ra>>2]&-4,(k[W>>2]|0)!=(k[(k[x>>2]|0)+49776>>2]|0)):0){if(k[C>>2]|0){k[oa>>2]=(k[(k[y>>2]|0)+128>>2]|0)!=2&1;if((k[oa>>2]|0)!=0?(k[(k[y>>2]|0)+128>>2]|0)==1:0){k[qa>>2]=k[(k[E>>2]|0)+(k[E+4>>2]<<2)>>2];k[R+4>>2]=k[qa>>2]&3;k[R>>2]=k[qa>>2]^k[R+4>>2];k[oa>>2]=(k[R>>2]|0)!=(k[(k[x>>2]|0)+49768>>2]|0)&1}if((k[oa>>2]|0)!=0?(oa=ke((k[x>>2]|0)+224|0)|0,k[_>>2]=oa,k[k[_>>2]>>2]=k[W>>2]|k[W+4>>2],k[(k[_>>2]|0)+4>>2]=k[(k[W>>2]|0)+(2+(k[W+4>>2]|0)<<2)>>2],k[(k[_>>2]|0)+8>>2]=k[(k[W>>2]|0)+(3-(k[W+4>>2]|0)<<2)>>2],(k[(k[y>>2]|0)+116>>2]|0)>2):0){sa=+p[(k[(k[_>>2]|0)+4>>2]|0)+8>>3];ua=+p[k[(k[_>>2]|0)+8>>2]>>3];va=+p[(k[(k[_>>2]|0)+8>>2]|0)+8>>3];p[u>>3]=+p[k[(k[_>>2]|0)+4>>2]>>3];p[u+8>>3]=sa;p[u+16>>3]=ua;p[u+24>>3]=va;mta(57342,u)|0}}k[k[A>>2]>>2]=k[E>>2];k[(k[A>>2]|0)+4>>2]=k[E+4>>2];k[(k[x>>2]|0)+49784>>2]=k[E>>2];k[(k[x>>2]|0)+49784+4>>2]=k[E+4>>2];k[w>>2]=2;ta=k[w>>2]|0;r=h;return ta|0}k[H>>2]=k[E>>2];k[H+4>>2]=k[27632+(k[E+4>>2]<<2)>>2];k[qa>>2]=k[(k[H>>2]|0)+(k[H+4>>2]<<2)>>2];k[O+4>>2]=k[qa>>2]&3;k[O>>2]=k[qa>>2]^k[O+4>>2];k[qa>>2]=k[(k[E>>2]|0)+(k[E+4>>2]<<2)>>2];k[J+4>>2]=k[qa>>2]&3;k[J>>2]=k[qa>>2]^k[J+4>>2];k[na>>2]=(k[J>>2]|0)!=(k[(k[x>>2]|0)+49768>>2]|0)&1;if(k[na>>2]|0){k[J+4>>2]=k[27620+(k[J+4>>2]<<2)>>2];k[qa>>2]=k[(k[J>>2]|0)+(k[J+4>>2]<<2)>>2];k[Q+4>>2]=k[qa>>2]&3;k[Q>>2]=k[qa>>2]^k[Q+4>>2];Be(k[x>>2]|0,k[y>>2]|0,M)}else{u=(k[x>>2]|0)+49688|0;k[u>>2]=(k[u>>2]|0)+1}Be(k[x>>2]|0,k[y>>2]|0,L);k[ca>>2]=k[(k[E>>2]|0)+((k[27620+(k[E+4>>2]<<2)>>2]|0)+3<<2)>>2];k[ba>>2]=k[(k[E>>2]|0)+((k[27632+(k[E+4>>2]<<2)>>2]|0)+3<<2)>>2];k[da>>2]=k[(k[E>>2]|0)+((k[E+4>>2]|0)+3<<2)>>2];k[(k[L>>2]|0)+((k[27620+(k[L+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[da>>2];k[(k[L>>2]|0)+((k[27632+(k[L+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[ca>>2];k[(k[L>>2]|0)+((k[L+4>>2]|0)+3<<2)>>2]=k[z>>2];k[(k[E>>2]|0)+((k[27620+(k[E+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[z>>2];k[pa>>2]=0;while(1){if((k[pa>>2]|0)>=(k[(k[x>>2]|0)+49684>>2]|0))break;p[(k[L>>2]|0)+((k[(k[x>>2]|0)+49708>>2]|0)+(k[pa>>2]|0)<<3)>>3]=+p[(k[H>>2]|0)+((k[(k[x>>2]|0)+49708>>2]|0)+(k[pa>>2]|0)<<3)>>3];k[pa>>2]=(k[pa>>2]|0)+1}if(k[(k[y>>2]|0)+12>>2]|0)p[(k[L>>2]|0)+(k[(k[x>>2]|0)+49712>>2]<<3)>>3]=+p[(k[H>>2]|0)+(k[(k[x>>2]|0)+49712>>2]<<3)>>3];if(k[na>>2]|0){k[ea>>2]=k[(k[J>>2]|0)+((k[27632+(k[J+4>>2]<<2)>>2]|0)+3<<2)>>2];k[(k[M>>2]|0)+((k[27620+(k[M+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[ca>>2];k[(k[M>>2]|0)+((k[27632+(k[M+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[ea>>2];k[(k[M>>2]|0)+((k[M+4>>2]|0)+3<<2)>>2]=k[z>>2];k[(k[J>>2]|0)+((k[27620+(k[J+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[z>>2];k[pa>>2]=0;while(1){if((k[pa>>2]|0)>=(k[(k[x>>2]|0)+49684>>2]|0))break;p[(k[M>>2]|0)+((k[(k[x>>2]|0)+49708>>2]|0)+(k[pa>>2]|0)<<3)>>3]=+p[(k[J>>2]|0)+((k[(k[x>>2]|0)+49708>>2]|0)+(k[pa>>2]|0)<<3)>>3];k[pa>>2]=(k[pa>>2]|0)+1}if(k[(k[y>>2]|0)+12>>2]|0)p[(k[M>>2]|0)+(k[(k[x>>2]|0)+49712>>2]<<3)>>3]=+p[(k[J>>2]|0)+(k[(k[x>>2]|0)+49712>>2]<<3)>>3]}if(k[(k[x>>2]|0)+49716>>2]|0){k[ra>>2]=k[(k[H>>2]|0)+(6+(k[H+4>>2]|0)<<2)>>2];k[T+4>>2]=k[ra>>2]&1;k[T>>2]=k[ra>>2]&-4;if((k[T>>2]|0)!=(k[(k[x>>2]|0)+49776>>2]|0)){k[(k[H>>2]|0)+(6+(k[H+4>>2]|0)<<2)>>2]=k[(k[x>>2]|0)+49776>>2];k[(k[L>>2]|0)+(6+(k[L+4>>2]|0)<<2)>>2]=k[T>>2]|k[T+4>>2];k[(k[T>>2]|0)+(6+(k[T+4>>2]|0)<<2)>>2]=k[L>>2]|k[L+4>>2]}if((k[na>>2]|0)!=0?(k[ra>>2]=k[(k[J>>2]|0)+(6+(k[J+4>>2]|0)<<2)>>2],k[V+4>>2]=k[ra>>2]&1,k[V>>2]=k[ra>>2]&-4,(k[V>>2]|0)!=(k[(k[x>>2]|0)+49776>>2]|0)):0){k[(k[J>>2]|0)+(6+(k[J+4>>2]|0)<<2)>>2]=k[(k[x>>2]|0)+49776>>2];k[(k[M>>2]|0)+(6+(k[M+4>>2]|0)<<2)>>2]=k[V>>2]|k[V+4>>2];k[(k[V>>2]|0)+(6+(k[V+4>>2]|0)<<2)>>2]=k[M>>2]|k[M+4>>2]}}k[(k[L>>2]|0)+(k[L+4>>2]<<2)>>2]=k[O>>2]|k[O+4>>2];k[(k[O>>2]|0)+(k[O+4>>2]<<2)>>2]=k[L>>2]|k[L+4>>2];k[L+4>>2]=k[27632+(k[L+4>>2]<<2)>>2];k[(k[L>>2]|0)+(k[L+4>>2]<<2)>>2]=k[H>>2]|k[H+4>>2];k[(k[H>>2]|0)+(k[H+4>>2]<<2)>>2]=k[L>>2]|k[L+4>>2];k[L+4>>2]=k[27632+(k[L+4>>2]<<2)>>2];if(k[na>>2]|0){k[(k[M>>2]|0)+(k[M+4>>2]<<2)>>2]=k[Q>>2]|k[Q+4>>2];k[(k[Q>>2]|0)+(k[Q+4>>2]<<2)>>2]=k[M>>2]|k[M+4>>2];k[M+4>>2]=k[27620+(k[M+4>>2]<<2)>>2];k[(k[M>>2]|0)+(k[M+4>>2]<<2)>>2]=k[J>>2]|k[J+4>>2];k[(k[J>>2]|0)+(k[J+4>>2]<<2)>>2]=k[M>>2]|k[M+4>>2];k[M+4>>2]=k[27620+(k[M+4>>2]<<2)>>2];k[(k[M>>2]|0)+(k[M+4>>2]<<2)>>2]=k[L>>2]|k[L+4>>2];k[(k[L>>2]|0)+(k[L+4>>2]<<2)>>2]=k[M>>2]|k[M+4>>2]}if((k[B>>2]|0)!=0?(k[(k[k[B>>2]>>2]|0)+(3-(k[(k[B>>2]|0)+4>>2]|0)<<2)>>2]=k[z>>2],k[ga>>2]=k[(k[k[B>>2]>>2]|0)+(4+(k[(k[B>>2]|0)+4>>2]|0)<<2)>>2],k[ha>>2]=k[(k[k[B>>2]>>2]|0)+(5-(k[(k[B>>2]|0)+4>>2]|0)<<2)>>2],k[(k[B>>2]|0)+4>>2]=1-(k[(k[B>>2]|0)+4>>2]|0),k[ra>>2]=k[(k[k[B>>2]>>2]|0)+(k[(k[B>>2]|0)+4>>2]<<2)>>2],k[Y+4>>2]=k[ra>>2]&1,k[Y>>2]=k[ra>>2]&-4,$e(k[x>>2]|0,k[y>>2]|0,L,k[(k[k[B>>2]>>2]|0)+32>>2]|0),k[ra>>2]=k[(k[L>>2]|0)+(6+(k[L+4>>2]|0)<<2)>>2],k[Z+4>>2]=k[ra>>2]&1,k[Z>>2]=k[ra>>2]&-4,k[(k[Z>>2]|0)+(4+(k[Z+4>>2]|0)<<2)>>2]=k[ga>>2],k[(k[Z>>2]|0)+(5-(k[Z+4>>2]|0)<<2)>>2]=k[ha>>2],k[(k[k[B>>2]>>2]|0)+(k[(k[B>>2]|0)+4>>2]<<2)>>2]=k[Z>>2]|k[Z+4>>2],k[(k[Z>>2]|0)+(k[Z+4>>2]<<2)>>2]=k[k[B>>2]>>2]|k[(k[B>>2]|0)+4>>2],k[Z+4>>2]=1-(k[Z+4>>2]|0),k[(k[Z>>2]|0)+(k[Z+4>>2]<<2)>>2]=k[Y>>2]|k[Y+4>>2],k[(k[Y>>2]|0)+(k[Y+4>>2]<<2)>>2]=k[Z>>2]|k[Z+4>>2],k[(k[B>>2]|0)+4>>2]=1-(k[(k[B>>2]|0)+4>>2]|0),(k[(k[z>>2]|0)+(k[(k[x>>2]|0)+49696>>2]<<2)>>2]|0)==0):0)k[(k[z>>2]|0)+(k[(k[x>>2]|0)+49696>>2]<<2)>>2]=k[(k[k[B>>2]>>2]|0)+32>>2];if(k[(k[x>>2]|0)+49720>>2]|0){he((k[x>>2]|0)+336|0);B=ke((k[x>>2]|0)+336|0)|0;k[(k[x>>2]|0)+49604>>2]=B;k[k[(k[x>>2]|0)+49604>>2]>>2]=k[E>>2]|k[E+4>>2];k[(k[(k[x>>2]|0)+49604>>2]|0)+4>>2]=7}if((k[(k[y>>2]|0)+116>>2]|0)>2){mta(57894,t)|0;ee(k[x>>2]|0,k[y>>2]|0,H);if(k[na>>2]|0){mta(57918,s)|0;ee(k[x>>2]|0,k[y>>2]|0,J);mta(57939,q)|0;ee(k[x>>2]|0,k[y>>2]|0,M)}mta(57961,o)|0;ee(k[x>>2]|0,k[y>>2]|0,L)}k[E+4>>2]=k[27620+(k[E+4>>2]<<2)>>2]}k[ka>>2]=0;k[aa>>2]=k[(k[E>>2]|0)+((k[27620+(k[E+4>>2]<<2)>>2]|0)+3<<2)>>2];k[ca>>2]=k[aa>>2];k[ba>>2]=k[(k[E>>2]|0)+((k[27632+(k[E+4>>2]<<2)>>2]|0)+3<<2)>>2];while(1){k[ma>>2]=1;if((((k[(k[x>>2]|0)+49716>>2]|0)!=0?(k[ra>>2]=k[(k[E>>2]|0)+(6+(k[E+4>>2]|0)<<2)>>2],k[X+4>>2]=k[ra>>2]&1,k[X>>2]=k[ra>>2]&-4,(k[X>>2]|0)!=(k[(k[x>>2]|0)+49776>>2]|0)):0)?(k[ma>>2]=0,(k[C>>2]|0)!=0):0)?(We(k[x>>2]|0,k[y>>2]|0,X)|0)!=0:0)k[ka>>2]=1;do if(k[ma>>2]|0){k[qa>>2]=k[(k[E>>2]|0)+(k[E+4>>2]<<2)>>2];k[F+4>>2]=k[qa>>2]&3;k[F>>2]=k[qa>>2]^k[F+4>>2];if((k[F>>2]|0)==(k[(k[x>>2]|0)+49768>>2]|0)){k[ma>>2]=0;break}k[fa>>2]=k[(k[F>>2]|0)+((k[F+4>>2]|0)+3<<2)>>2];a:do if(((k[ba>>2]|0)!=(k[(k[x>>2]|0)+49756>>2]|0)?(k[ba>>2]|0)!=(k[(k[x>>2]|0)+49760>>2]|0):0)?(k[ba>>2]|0)!=(k[(k[x>>2]|0)+49764>>2]|0):0){if(((k[ca>>2]|0)!=(k[(k[x>>2]|0)+49756>>2]|0)?(k[ca>>2]|0)!=(k[(k[x>>2]|0)+49760>>2]|0):0)?(k[ca>>2]|0)!=(k[(k[x>>2]|0)+49764>>2]|0):0){do if((k[fa>>2]|0)!=(k[(k[x>>2]|0)+49756>>2]|0)?(k[fa>>2]|0)!=(k[(k[x>>2]|0)+49760>>2]|0):0){if((k[fa>>2]|0)==(k[(k[x>>2]|0)+49764>>2]|0))break;L=+Ke(k[x>>2]|0,k[y>>2]|0,k[ba>>2]|0,k[z>>2]|0,k[ca>>2]|0,k[fa>>2]|0)>0.0&1;k[ma>>2]=L;break a}while(0);k[ma>>2]=0;break}L=+Ie(k[x>>2]|0,k[y>>2]|0,k[fa>>2]|0,k[ba>>2]|0,k[z>>2]|0)>0.0&1;k[ma>>2]=L}else wa=79;while(0);if((wa|0)==79){wa=0;L=+Ie(k[x>>2]|0,k[y>>2]|0,k[z>>2]|0,k[ca>>2]|0,k[fa>>2]|0)>0.0&1;k[ma>>2]=L}if(k[ma>>2]|0){k[I>>2]=k[F>>2];k[I+4>>2]=k[27632+(k[F+4>>2]<<2)>>2];k[qa>>2]=k[(k[I>>2]|0)+(k[I+4>>2]<<2)>>2];k[P+4>>2]=k[qa>>2]&3;k[P>>2]=k[qa>>2]^k[P+4>>2];k[J>>2]=k[F>>2];k[J+4>>2]=k[27620+(k[F+4>>2]<<2)>>2];k[qa>>2]=k[(k[J>>2]|0)+(k[J+4>>2]<<2)>>2];k[Q+4>>2]=k[qa>>2]&3;k[Q>>2]=k[qa>>2]^k[Q+4>>2];k[G>>2]=k[E>>2];k[G+4>>2]=k[27620+(k[E+4>>2]<<2)>>2];k[qa>>2]=k[(k[G>>2]|0)+(k[G+4>>2]<<2)>>2];k[N+4>>2]=k[qa>>2]&3;k[N>>2]=k[qa>>2]^k[N+4>>2];k[H>>2]=k[E>>2];k[H+4>>2]=k[27632+(k[E+4>>2]<<2)>>2];k[qa>>2]=k[(k[H>>2]|0)+(k[H+4>>2]<<2)>>2];k[O+4>>2]=k[qa>>2]&3;k[O>>2]=k[qa>>2]^k[O+4>>2];k[(k[I>>2]|0)+(k[I+4>>2]<<2)>>2]=k[N>>2]|k[N+4>>2];k[(k[N>>2]|0)+(k[N+4>>2]<<2)>>2]=k[I>>2]|k[I+4>>2];k[(k[G>>2]|0)+(k[G+4>>2]<<2)>>2]=k[O>>2]|k[O+4>>2];k[(k[O>>2]|0)+(k[O+4>>2]<<2)>>2]=k[G>>2]|k[G+4>>2];k[(k[H>>2]|0)+(k[H+4>>2]<<2)>>2]=k[Q>>2]|k[Q+4>>2];k[(k[Q>>2]|0)+(k[Q+4>>2]<<2)>>2]=k[H>>2]|k[H+4>>2];k[(k[J>>2]|0)+(k[J+4>>2]<<2)>>2]=k[P>>2]|k[P+4>>2];k[(k[P>>2]|0)+(k[P+4>>2]<<2)>>2]=k[J>>2]|k[J+4>>2];do if(k[(k[x>>2]|0)+49716>>2]|0){k[ra>>2]=k[(k[I>>2]|0)+(6+(k[I+4>>2]|0)<<2)>>2];k[U+4>>2]=k[ra>>2]&1;k[U>>2]=k[ra>>2]&-4;k[ra>>2]=k[(k[G>>2]|0)+(6+(k[G+4>>2]|0)<<2)>>2];k[S+4>>2]=k[ra>>2]&1;k[S>>2]=k[ra>>2]&-4;k[ra>>2]=k[(k[H>>2]|0)+(6+(k[H+4>>2]|0)<<2)>>2];k[T+4>>2]=k[ra>>2]&1;k[T>>2]=k[ra>>2]&-4;k[ra>>2]=k[(k[J>>2]|0)+(6+(k[J+4>>2]|0)<<2)>>2];k[V+4>>2]=k[ra>>2]&1;k[V>>2]=k[ra>>2]&-4;if((k[U>>2]|0)==(k[(k[x>>2]|0)+49776>>2]|0))k[(k[J>>2]|0)+(6+(k[J+4>>2]|0)<<2)>>2]=k[(k[x>>2]|0)+49776>>2];else{k[(k[J>>2]|0)+(6+(k[J+4>>2]|0)<<2)>>2]=k[U>>2]|k[U+4>>2];k[(k[U>>2]|0)+(6+(k[U+4>>2]|0)<<2)>>2]=k[J>>2]|k[J+4>>2]}if((k[S>>2]|0)==(k[(k[x>>2]|0)+49776>>2]|0))k[(k[I>>2]|0)+(6+(k[I+4>>2]|0)<<2)>>2]=k[(k[x>>2]|0)+49776>>2];else{k[(k[I>>2]|0)+(6+(k[I+4>>2]|0)<<2)>>2]=k[S>>2]|k[S+4>>2];k[(k[S>>2]|0)+(6+(k[S+4>>2]|0)<<2)>>2]=k[I>>2]|k[I+4>>2]}if((k[T>>2]|0)==(k[(k[x>>2]|0)+49776>>2]|0))k[(k[G>>2]|0)+(6+(k[G+4>>2]|0)<<2)>>2]=k[(k[x>>2]|0)+49776>>2];else{k[(k[G>>2]|0)+(6+(k[G+4>>2]|0)<<2)>>2]=k[T>>2]|k[T+4>>2];k[(k[T>>2]|0)+(6+(k[T+4>>2]|0)<<2)>>2]=k[G>>2]|k[G+4>>2]}if((k[V>>2]|0)==(k[(k[x>>2]|0)+49776>>2]|0)){k[(k[H>>2]|0)+(6+(k[H+4>>2]|0)<<2)>>2]=k[(k[x>>2]|0)+49776>>2];break}else{k[(k[H>>2]|0)+(6+(k[H+4>>2]|0)<<2)>>2]=k[V>>2]|k[V+4>>2];k[(k[V>>2]|0)+(6+(k[V+4>>2]|0)<<2)>>2]=k[H>>2]|k[H+4>>2];break}}while(0);k[(k[E>>2]|0)+((k[27620+(k[E+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[fa>>2];k[(k[E>>2]|0)+((k[27632+(k[E+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[z>>2];k[(k[E>>2]|0)+((k[E+4>>2]|0)+3<<2)>>2]=k[ca>>2];k[(k[F>>2]|0)+((k[27620+(k[F+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[z>>2];k[(k[F>>2]|0)+((k[27632+(k[F+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[fa>>2];k[(k[F>>2]|0)+((k[F+4>>2]|0)+3<<2)>>2]=k[ba>>2];k[pa>>2]=0;while(1){if((k[pa>>2]|0)>=(k[(k[x>>2]|0)+49684>>2]|0))break;p[ia>>3]=(+p[(k[F>>2]|0)+((k[(k[x>>2]|0)+49708>>2]|0)+(k[pa>>2]|0)<<3)>>3]+ +p[(k[E>>2]|0)+((k[(k[x>>2]|0)+49708>>2]|0)+(k[pa>>2]|0)<<3)>>3])*.5;p[(k[F>>2]|0)+((k[(k[x>>2]|0)+49708>>2]|0)+(k[pa>>2]|0)<<3)>>3]=+p[ia>>3];p[(k[E>>2]|0)+((k[(k[x>>2]|0)+49708>>2]|0)+(k[pa>>2]|0)<<3)>>3]=+p[ia>>3];k[pa>>2]=(k[pa>>2]|0)+1}if(k[(k[y>>2]|0)+12>>2]|0){if(!(+p[(k[F>>2]|0)+(k[(k[x>>2]|0)+49712>>2]<<3)>>3]<=0.0)?!(+p[(k[E>>2]|0)+(k[(k[x>>2]|0)+49712>>2]<<3)>>3]<=0.0):0)p[ja>>3]=(+p[(k[F>>2]|0)+(k[(k[x>>2]|0)+49712>>2]<<3)>>3]+ +p[(k[E>>2]|0)+(k[(k[x>>2]|0)+49712>>2]<<3)>>3])*.5;else p[ja>>3]=-1.0;p[(k[F>>2]|0)+(k[(k[x>>2]|0)+49712>>2]<<3)>>3]=+p[ja>>3];p[(k[E>>2]|0)+(k[(k[x>>2]|0)+49712>>2]<<3)>>3]=+p[ja>>3]}if(k[(k[x>>2]|0)+49720>>2]|0){L=ke((k[x>>2]|0)+336|0)|0;k[$>>2]=L;k[k[$>>2]>>2]=k[E>>2]|k[E+4>>2];k[(k[$>>2]|0)+4>>2]=k[(k[x>>2]|0)+49604>>2];k[(k[x>>2]|0)+49604>>2]=k[$>>2]}if((k[(k[y>>2]|0)+116>>2]|0)>2){mta(57792,j)|0;k[I+4>>2]=k[27620+(k[I+4>>2]<<2)>>2];ee(k[x>>2]|0,k[y>>2]|0,I);mta(57821,i)|0;ee(k[x>>2]|0,k[y>>2]|0,E)}k[E+4>>2]=k[27632+(k[E+4>>2]<<2)>>2];k[ba>>2]=k[fa>>2]}}while(0);if(k[ma>>2]|0)continue;if(k[D>>2]|0)Xe(k[x>>2]|0,k[y>>2]|0,E);k[E+4>>2]=k[27620+(k[E+4>>2]<<2)>>2];k[qa>>2]=k[(k[E>>2]|0)+(k[E+4>>2]<<2)>>2];k[R+4>>2]=k[qa>>2]&3;k[R>>2]=k[qa>>2]^k[R+4>>2];if((k[ba>>2]|0)==(k[aa>>2]|0))break;if((k[R>>2]|0)==(k[(k[x>>2]|0)+49768>>2]|0))break;k[E>>2]=k[R>>2];k[E+4>>2]=k[27620+(k[R+4>>2]<<2)>>2];k[ca>>2]=k[ba>>2];k[ba>>2]=k[(k[E>>2]|0)+((k[27632+(k[E+4>>2]<<2)>>2]|0)+3<<2)>>2]}k[k[A>>2]>>2]=k[E>>2];k[(k[A>>2]|0)+4>>2]=k[27620+(k[E+4>>2]<<2)>>2];k[(k[x>>2]|0)+49784>>2]=k[E>>2];k[(k[x>>2]|0)+49784+4>>2]=k[27620+(k[E+4>>2]<<2)>>2];k[w>>2]=k[ka>>2];ta=k[w>>2]|0;r=h;return ta|0}function df(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0.0,G=0.0,H=0,I=0,J=0,K=0,L=0,M=0;h=r;r=r+144|0;i=h+40|0;j=h+8|0;l=h+136|0;m=h+132|0;n=h+128|0;o=h+124|0;q=h+120|0;s=h+116|0;t=h+112|0;u=h+104|0;v=h+96|0;w=h+88|0;x=h+80|0;y=h+76|0;z=h+72|0;A=h+68|0;B=h+64|0;C=h+60|0;D=h+56|0;k[l>>2]=a;k[m>>2]=b;k[n>>2]=c;k[o>>2]=d;k[q>>2]=e;k[s>>2]=f;k[t>>2]=g;k[x>>2]=k[(k[k[o>>2]>>2]|0)+((k[(k[o>>2]|0)+4>>2]|0)+3<<2)>>2];k[y>>2]=k[(k[k[n>>2]>>2]|0)+((k[27632+(k[(k[n>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];if((k[(k[m>>2]|0)+116>>2]|0)>2){mta(58037,h)|0;E=+p[(k[x>>2]|0)+8>>3];F=+p[k[y>>2]>>3];G=+p[(k[y>>2]|0)+8>>3];p[j>>3]=+p[k[x>>2]>>3];p[j+8>>3]=E;p[j+16>>3]=F;p[j+24>>3]=G;mta(58079,j)|0}k[v>>2]=k[k[n>>2]>>2];k[v+4>>2]=k[27632+(k[(k[n>>2]|0)+4>>2]<<2)>>2];k[D>>2]=k[(k[v>>2]|0)+(k[v+4>>2]<<2)>>2];k[v+4>>2]=k[D>>2]&3;k[v>>2]=k[D>>2]^k[v+4>>2];k[A>>2]=k[(k[v>>2]|0)+((k[27632+(k[v+4>>2]<<2)>>2]|0)+3<<2)>>2];k[u>>2]=k[v>>2];k[u+4>>2]=k[v+4>>2];k[B>>2]=1;k[C>>2]=2;while(1){if((k[C>>2]|0)>((k[q>>2]|0)-2|0))break;k[u+4>>2]=k[27632+(k[u+4>>2]<<2)>>2];k[D>>2]=k[(k[u>>2]|0)+(k[u+4>>2]<<2)>>2];k[u+4>>2]=k[D>>2]&3;k[u>>2]=k[D>>2]^k[u+4>>2];k[z>>2]=k[(k[u>>2]|0)+((k[27632+(k[u+4>>2]<<2)>>2]|0)+3<<2)>>2];if(+Ke(k[l>>2]|0,k[m>>2]|0,k[x>>2]|0,k[y>>2]|0,k[A>>2]|0,k[z>>2]|0)>0.0){k[v>>2]=k[u>>2];k[v+4>>2]=k[u+4>>2];k[A>>2]=k[z>>2];k[B>>2]=k[C>>2]}k[C>>2]=(k[C>>2]|0)+1}if((k[(k[m>>2]|0)+116>>2]|0)>2){G=+p[(k[A>>2]|0)+8>>3];p[i>>3]=+p[k[A>>2]>>3];p[i+8>>3]=G;mta(58114,i)|0}if((k[B>>2]|0)>1){k[D>>2]=k[(k[v>>2]|0)+(k[v+4>>2]<<2)>>2];k[w+4>>2]=k[D>>2]&3;k[w>>2]=k[D>>2]^k[w+4>>2];k[w+4>>2]=k[27620+(k[w+4>>2]<<2)>>2];df(k[l>>2]|0,k[m>>2]|0,k[n>>2]|0,w,(k[B>>2]|0)+1|0,1,k[t>>2]|0)}if((k[B>>2]|0)<((k[q>>2]|0)-2|0)){k[D>>2]=k[(k[v>>2]|0)+(k[v+4>>2]<<2)>>2];k[w+4>>2]=k[D>>2]&3;k[w>>2]=k[D>>2]^k[w+4>>2];df(k[l>>2]|0,k[m>>2]|0,v,k[o>>2]|0,(k[q>>2]|0)-(k[B>>2]|0)|0,1,k[t>>2]|0);k[D>>2]=k[(k[w>>2]|0)+(k[w+4>>2]<<2)>>2];k[v+4>>2]=k[D>>2]&3;k[v>>2]=k[D>>2]^k[v+4>>2]}if(!(k[s>>2]|0)){H=k[v>>2]|0;I=k[o>>2]|0;k[I>>2]=H;J=v+4|0;K=k[J>>2]|0;L=k[o>>2]|0;M=L+4|0;k[M>>2]=K;r=h;return}af(k[l>>2]|0,k[m>>2]|0,v);if(!(k[t>>2]|0)){H=k[v>>2]|0;I=k[o>>2]|0;k[I>>2]=H;J=v+4|0;K=k[J>>2]|0;L=k[o>>2]|0;M=L+4|0;k[M>>2]=K;r=h;return}k[D>>2]=k[(k[v>>2]|0)+(k[v+4>>2]<<2)>>2];k[u+4>>2]=k[D>>2]&3;k[u>>2]=k[D>>2]^k[u+4>>2];Xe(k[l>>2]|0,k[m>>2]|0,u);H=k[v>>2]|0;I=k[o>>2]|0;k[I>>2]=H;J=v+4|0;K=k[J>>2]|0;L=k[o>>2]|0;M=L+4|0;k[M>>2]=K;r=h;return}function ef(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0,C=0,D=0,E=0,F=0,G=0;d=r;r=r+144|0;e=d;f=d+128|0;g=d+124|0;h=d+120|0;i=d+112|0;j=d+104|0;l=d+96|0;m=d+88|0;n=d+80|0;o=d+72|0;q=d+64|0;s=d+56|0;t=d+48|0;u=d+40|0;v=d+32|0;w=d+28|0;x=d+24|0;y=d+20|0;z=d+16|0;k[f>>2]=a;k[g>>2]=b;k[h>>2]=c;k[v>>2]=k[(k[k[h>>2]>>2]|0)+((k[27620+(k[(k[h>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];if((k[(k[g>>2]|0)+116>>2]|0)>1){A=+p[(k[v>>2]|0)+8>>3];p[e>>3]=+p[k[v>>2]>>3];p[e+8>>3]=A;mta(58153,e)|0}ve(k[f>>2]|0,k[v>>2]|0);k[i>>2]=k[k[h>>2]>>2];k[i+4>>2]=k[27632+(k[(k[h>>2]|0)+4>>2]<<2)>>2];k[y>>2]=k[(k[i>>2]|0)+(k[i+4>>2]<<2)>>2];k[i+4>>2]=k[y>>2]&3;k[i>>2]=k[y>>2]^k[i+4>>2];k[x>>2]=1;while(1){if((k[k[h>>2]>>2]|0)==(k[i>>2]|0))B=(k[(k[h>>2]|0)+4>>2]|0)==(k[i+4>>2]|0);else B=0;C=k[x>>2]|0;if(!(B^1))break;k[x>>2]=C+1;k[i+4>>2]=k[27632+(k[i+4>>2]<<2)>>2];k[y>>2]=k[(k[i>>2]|0)+(k[i+4>>2]<<2)>>2];k[i+4>>2]=k[y>>2]&3;k[i>>2]=k[y>>2]^k[i+4>>2]}if((C|0)>3){k[j>>2]=k[k[h>>2]>>2];k[j+4>>2]=k[27632+(k[(k[h>>2]|0)+4>>2]<<2)>>2];k[y>>2]=k[(k[j>>2]|0)+(k[j+4>>2]<<2)>>2];k[j+4>>2]=k[y>>2]&3;k[j>>2]=k[y>>2]^k[j+4>>2];k[y>>2]=k[(k[k[h>>2]>>2]|0)+(k[(k[h>>2]|0)+4>>2]<<2)>>2];k[l+4>>2]=k[y>>2]&3;k[l>>2]=k[y>>2]^k[l+4>>2];k[l+4>>2]=k[27620+(k[l+4>>2]<<2)>>2];df(k[f>>2]|0,k[g>>2]|0,j,l,k[x>>2]|0,0,((k[(k[g>>2]|0)+128>>2]|0)!=0^1)&1)}k[m>>2]=k[k[h>>2]>>2];k[m+4>>2]=k[27632+(k[(k[h>>2]|0)+4>>2]<<2)>>2];k[y>>2]=k[(k[k[h>>2]>>2]|0)+(k[(k[h>>2]|0)+4>>2]<<2)>>2];k[n+4>>2]=k[y>>2]&3;k[n>>2]=k[y>>2]^k[n+4>>2];k[n+4>>2]=k[27632+(k[n+4>>2]<<2)>>2];k[y>>2]=k[(k[n>>2]|0)+(k[n+4>>2]<<2)>>2];k[q+4>>2]=k[y>>2]&3;k[q>>2]=k[y>>2]^k[q+4>>2];k[y>>2]=k[(k[m>>2]|0)+(k[m+4>>2]<<2)>>2];k[o+4>>2]=k[y>>2]&3;k[o>>2]=k[y>>2]^k[o+4>>2];k[o+4>>2]=k[27620+(k[o+4>>2]<<2)>>2];k[y>>2]=k[(k[o>>2]|0)+(k[o+4>>2]<<2)>>2];k[s+4>>2]=k[y>>2]&3;k[s>>2]=k[y>>2]^k[s+4>>2];k[(k[k[h>>2]>>2]|0)+(k[(k[h>>2]|0)+4>>2]<<2)>>2]=k[q>>2]|k[q+4>>2];k[(k[q>>2]|0)+(k[q+4>>2]<<2)>>2]=k[k[h>>2]>>2]|k[(k[h>>2]|0)+4>>2];k[(k[m>>2]|0)+(k[m+4>>2]<<2)>>2]=k[s>>2]|k[s+4>>2];k[(k[s>>2]|0)+(k[s+4>>2]<<2)>>2]=k[m>>2]|k[m+4>>2];k[z>>2]=k[(k[n>>2]|0)+(6+(k[n+4>>2]|0)<<2)>>2];k[t+4>>2]=k[z>>2]&1;k[t>>2]=k[z>>2]&-4;if((k[t>>2]|0)!=(k[(k[f>>2]|0)+49776>>2]|0)){k[(k[k[h>>2]>>2]|0)+(6+(k[(k[h>>2]|0)+4>>2]|0)<<2)>>2]=k[t>>2]|k[t+4>>2];k[(k[t>>2]|0)+(6+(k[t+4>>2]|0)<<2)>>2]=k[k[h>>2]>>2]|k[(k[h>>2]|0)+4>>2]}k[z>>2]=k[(k[o>>2]|0)+(6+(k[o+4>>2]|0)<<2)>>2];k[u+4>>2]=k[z>>2]&1;k[u>>2]=k[z>>2]&-4;if((k[u>>2]|0)!=(k[(k[f>>2]|0)+49776>>2]|0)){k[(k[m>>2]|0)+(6+(k[m+4>>2]|0)<<2)>>2]=k[u>>2]|k[u+4>>2];k[(k[u>>2]|0)+(6+(k[u+4>>2]|0)<<2)>>2]=k[m>>2]|k[m+4>>2]}k[w>>2]=k[(k[n>>2]|0)+((k[27620+(k[n+4>>2]<<2)>>2]|0)+3<<2)>>2];k[(k[k[h>>2]>>2]|0)+((k[27620+(k[(k[h>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[w>>2];if(k[(k[g>>2]|0)+128>>2]|0){D=k[f>>2]|0;E=k[n>>2]|0;re(D,E);F=k[f>>2]|0;G=k[o>>2]|0;re(F,G);r=d;return}Xe(k[f>>2]|0,k[g>>2]|0,k[h>>2]|0);D=k[f>>2]|0;E=k[n>>2]|0;re(D,E);F=k[f>>2]|0;G=k[o>>2]|0;re(F,G);r=d;return}function ff(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;c=r;r=r+112|0;d=c+108|0;e=c+104|0;f=c+96|0;g=c+88|0;h=c+80|0;i=c+72|0;j=c+64|0;l=c+56|0;m=c+48|0;n=c+40|0;o=c+32|0;p=c+24|0;q=c+16|0;s=c+12|0;t=c+8|0;u=c+4|0;v=c;k[d>>2]=a;k[e>>2]=b;while(1){if(!(k[(k[d>>2]|0)+49604>>2]|0))break;k[f+4>>2]=k[k[(k[d>>2]|0)+49604>>2]>>2]&3;k[f>>2]=k[k[(k[d>>2]|0)+49604>>2]>>2]^k[f+4>>2];do if(!(k[(k[(k[d>>2]|0)+49604>>2]|0)+4>>2]|0)){k[g>>2]=k[f>>2];k[g+4>>2]=k[27620+(k[f+4>>2]<<2)>>2];k[u>>2]=k[(k[g>>2]|0)+(k[g+4>>2]<<2)>>2];k[g+4>>2]=k[u>>2]&3;k[g>>2]=k[u>>2]^k[g+4>>2];k[g+4>>2]=k[27620+(k[g+4>>2]<<2)>>2];k[h>>2]=k[f>>2];k[h+4>>2]=k[27632+(k[f+4>>2]<<2)>>2];k[u>>2]=k[(k[h>>2]|0)+(k[h+4>>2]<<2)>>2];k[h+4>>2]=k[u>>2]&3;k[h>>2]=k[u>>2]^k[h+4>>2];k[h+4>>2]=k[27632+(k[h+4>>2]<<2)>>2];k[u>>2]=k[(k[g>>2]|0)+(k[g+4>>2]<<2)>>2];k[j+4>>2]=k[u>>2]&3;k[j>>2]=k[u>>2]^k[j+4>>2];k[u>>2]=k[(k[h>>2]|0)+(k[h+4>>2]<<2)>>2];k[l+4>>2]=k[u>>2]&3;k[l>>2]=k[u>>2]^k[l+4>>2];k[s>>2]=k[(k[g>>2]|0)+((k[27632+(k[g+4>>2]<<2)>>2]|0)+3<<2)>>2];k[(k[f>>2]|0)+((k[f+4>>2]|0)+3<<2)>>2]=k[s>>2];k[f+4>>2]=k[27620+(k[f+4>>2]<<2)>>2];k[(k[f>>2]|0)+(k[f+4>>2]<<2)>>2]=k[j>>2]|k[j+4>>2];k[(k[j>>2]|0)+(k[j+4>>2]<<2)>>2]=k[f>>2]|k[f+4>>2];k[v>>2]=k[(k[g>>2]|0)+(6+(k[g+4>>2]|0)<<2)>>2];k[o+4>>2]=k[v>>2]&1;k[o>>2]=k[v>>2]&-4;k[(k[f>>2]|0)+(6+(k[f+4>>2]|0)<<2)>>2]=k[o>>2]|k[o+4>>2];k[(k[o>>2]|0)+(6+(k[o+4>>2]|0)<<2)>>2]=k[f>>2]|k[f+4>>2];k[f+4>>2]=k[27620+(k[f+4>>2]<<2)>>2];k[(k[f>>2]|0)+(k[f+4>>2]<<2)>>2]=k[l>>2]|k[l+4>>2];k[(k[l>>2]|0)+(k[l+4>>2]<<2)>>2]=k[f>>2]|k[f+4>>2];k[v>>2]=k[(k[h>>2]|0)+(6+(k[h+4>>2]|0)<<2)>>2];k[p+4>>2]=k[v>>2]&1;k[p>>2]=k[v>>2]&-4;k[(k[f>>2]|0)+(6+(k[f+4>>2]|0)<<2)>>2]=k[p>>2]|k[p+4>>2];k[(k[p>>2]|0)+(6+(k[p+4>>2]|0)<<2)>>2]=k[f>>2]|k[f+4>>2];re(k[d>>2]|0,k[g>>2]|0);re(k[d>>2]|0,k[h>>2]|0)}else{if((k[(k[(k[d>>2]|0)+49604>>2]|0)+4>>2]|0)!=7){bf(k[d>>2]|0,k[e>>2]|0,f);break}k[n>>2]=k[f>>2];k[n+4>>2]=k[27632+(k[f+4>>2]<<2)>>2];k[u>>2]=k[(k[n>>2]|0)+(k[n+4>>2]<<2)>>2];k[h+4>>2]=k[u>>2]&3;k[h>>2]=k[u>>2]^k[h+4>>2];k[h+4>>2]=k[27620+(k[h+4>>2]<<2)>>2];k[u>>2]=k[(k[h>>2]|0)+(k[h+4>>2]<<2)>>2];k[l+4>>2]=k[u>>2]&3;k[l>>2]=k[u>>2]^k[l+4>>2];k[t>>2]=k[(k[h>>2]|0)+((k[27632+(k[h+4>>2]<<2)>>2]|0)+3<<2)>>2];k[(k[f>>2]|0)+((k[27620+(k[f+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[t>>2];k[(k[n>>2]|0)+(k[n+4>>2]<<2)>>2]=k[l>>2]|k[l+4>>2];k[(k[l>>2]|0)+(k[l+4>>2]<<2)>>2]=k[n>>2]|k[n+4>>2];k[v>>2]=k[(k[h>>2]|0)+(6+(k[h+4>>2]|0)<<2)>>2];k[p+4>>2]=k[v>>2]&1;k[p>>2]=k[v>>2]&-4;k[(k[n>>2]|0)+(6+(k[n+4>>2]|0)<<2)>>2]=k[p>>2]|k[p+4>>2];k[(k[p>>2]|0)+(6+(k[p+4>>2]|0)<<2)>>2]=k[n>>2]|k[n+4>>2];re(k[d>>2]|0,k[h>>2]|0);k[u>>2]=k[(k[f>>2]|0)+(k[f+4>>2]<<2)>>2];k[n+4>>2]=k[u>>2]&3;k[n>>2]=k[u>>2]^k[n+4>>2];if((k[n>>2]|0)!=(k[(k[d>>2]|0)+49768>>2]|0)){k[n+4>>2]=k[27620+(k[n+4>>2]<<2)>>2];k[u>>2]=k[(k[n>>2]|0)+(k[n+4>>2]<<2)>>2];k[i+4>>2]=k[u>>2]&3;k[i>>2]=k[u>>2]^k[i+4>>2];k[i+4>>2]=k[27632+(k[i+4>>2]<<2)>>2];k[u>>2]=k[(k[i>>2]|0)+(k[i+4>>2]<<2)>>2];k[m+4>>2]=k[u>>2]&3;k[m>>2]=k[u>>2]^k[m+4>>2];k[(k[n>>2]|0)+((k[27620+(k[n+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[t>>2];k[(k[n>>2]|0)+(k[n+4>>2]<<2)>>2]=k[m>>2]|k[m+4>>2];k[(k[m>>2]|0)+(k[m+4>>2]<<2)>>2]=k[n>>2]|k[n+4>>2];k[v>>2]=k[(k[i>>2]|0)+(6+(k[i+4>>2]|0)<<2)>>2];k[q+4>>2]=k[v>>2]&1;k[q>>2]=k[v>>2]&-4;k[(k[n>>2]|0)+(6+(k[n+4>>2]|0)<<2)>>2]=k[q>>2]|k[q+4>>2];k[(k[q>>2]|0)+(6+(k[q+4>>2]|0)<<2)>>2]=k[n>>2]|k[n+4>>2];re(k[d>>2]|0,k[i>>2]|0)}k[(k[(k[d>>2]|0)+49604>>2]|0)+4>>2]=0}while(0);k[(k[d>>2]|0)+49604>>2]=k[(k[(k[d>>2]|0)+49604>>2]|0)+4>>2]}r=c;return}function gf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;c=r;r=r+48|0;d=c+36|0;e=c+32|0;f=c+28|0;g=c+24|0;h=c+20|0;i=c+8|0;j=c;l=c+16|0;k[d>>2]=a;k[e>>2]=b;if((k[e>>2]|0)==2){if(!(+p[k[k[d>>2]>>2]>>3]>+p[k[(k[d>>2]|0)+4>>2]>>3])){if(!(+p[k[k[d>>2]>>2]>>3]==+p[k[(k[d>>2]|0)+4>>2]>>3])){r=c;return}if(!(+p[(k[k[d>>2]>>2]|0)+8>>3]>+p[(k[(k[d>>2]|0)+4>>2]|0)+8>>3])){r=c;return}}k[l>>2]=k[(k[d>>2]|0)+4>>2];k[(k[d>>2]|0)+4>>2]=k[k[d>>2]>>2];k[k[d>>2]>>2]=k[l>>2];r=c;return}b=Qe(k[e>>2]|0)|0;k[h>>2]=b;p[i>>3]=+p[k[(k[d>>2]|0)+(k[h>>2]<<2)>>2]>>3];p[j>>3]=+p[(k[(k[d>>2]|0)+(k[h>>2]<<2)>>2]|0)+8>>3];k[f>>2]=-1;k[g>>2]=k[e>>2];while(1){if((k[f>>2]|0)>=(k[g>>2]|0))break;while(1){k[f>>2]=(k[f>>2]|0)+1;if((k[f>>2]|0)>(k[g>>2]|0))break;if(+p[k[(k[d>>2]|0)+(k[f>>2]<<2)>>2]>>3]<+p[i>>3])continue;if(!(+p[k[(k[d>>2]|0)+(k[f>>2]<<2)>>2]>>3]==+p[i>>3]))break;if(!(+p[(k[(k[d>>2]|0)+(k[f>>2]<<2)>>2]|0)+8>>3]<+p[j>>3]))break}while(1){k[g>>2]=(k[g>>2]|0)+-1;if((k[f>>2]|0)>(k[g>>2]|0))break;if(+p[k[(k[d>>2]|0)+(k[g>>2]<<2)>>2]>>3]>+p[i>>3])continue;if(!(+p[k[(k[d>>2]|0)+(k[g>>2]<<2)>>2]>>3]==+p[i>>3]))break;if(!(+p[(k[(k[d>>2]|0)+(k[g>>2]<<2)>>2]|0)+8>>3]>+p[j>>3]))break}if((k[f>>2]|0)>=(k[g>>2]|0))continue;k[l>>2]=k[(k[d>>2]|0)+(k[f>>2]<<2)>>2];k[(k[d>>2]|0)+(k[f>>2]<<2)>>2]=k[(k[d>>2]|0)+(k[g>>2]<<2)>>2];k[(k[d>>2]|0)+(k[g>>2]<<2)>>2]=k[l>>2]}if((k[f>>2]|0)>1)gf(k[d>>2]|0,k[f>>2]|0);if((k[g>>2]|0)>=((k[e>>2]|0)-2|0)){r=c;return}gf((k[d>>2]|0)+((k[g>>2]|0)+1<<2)|0,(k[e>>2]|0)-(k[g>>2]|0)-1|0);r=c;return}function hf(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0;e=r;r=r+48|0;f=e+44|0;g=e+40|0;h=e+36|0;i=e+32|0;j=e+28|0;l=e+24|0;m=e+20|0;n=e+8|0;o=e;q=e+16|0;k[f>>2]=a;k[g>>2]=b;k[h>>2]=c;k[i>>2]=d;if((k[g>>2]|0)==2){if(!(+p[(k[k[f>>2]>>2]|0)+(k[i>>2]<<3)>>3]>+p[(k[(k[f>>2]|0)+4>>2]|0)+(k[i>>2]<<3)>>3])){if(!(+p[(k[k[f>>2]>>2]|0)+(k[i>>2]<<3)>>3]==+p[(k[(k[f>>2]|0)+4>>2]|0)+(k[i>>2]<<3)>>3])){r=e;return}if(!(+p[(k[k[f>>2]>>2]|0)+(1-(k[i>>2]|0)<<3)>>3]>+p[(k[(k[f>>2]|0)+4>>2]|0)+(1-(k[i>>2]|0)<<3)>>3])){r=e;return}}k[q>>2]=k[(k[f>>2]|0)+4>>2];k[(k[f>>2]|0)+4>>2]=k[k[f>>2]>>2];k[k[f>>2]>>2]=k[q>>2];r=e;return}d=Qe(k[g>>2]|0)|0;k[m>>2]=d;p[n>>3]=+p[(k[(k[f>>2]|0)+(k[m>>2]<<2)>>2]|0)+(k[i>>2]<<3)>>3];p[o>>3]=+p[(k[(k[f>>2]|0)+(k[m>>2]<<2)>>2]|0)+(1-(k[i>>2]|0)<<3)>>3];k[j>>2]=-1;k[l>>2]=k[g>>2];while(1){if((k[j>>2]|0)>=(k[l>>2]|0))break;while(1){k[j>>2]=(k[j>>2]|0)+1;if((k[j>>2]|0)>(k[l>>2]|0))break;if(+p[(k[(k[f>>2]|0)+(k[j>>2]<<2)>>2]|0)+(k[i>>2]<<3)>>3]<+p[n>>3])continue;if(!(+p[(k[(k[f>>2]|0)+(k[j>>2]<<2)>>2]|0)+(k[i>>2]<<3)>>3]==+p[n>>3]))break;if(!(+p[(k[(k[f>>2]|0)+(k[j>>2]<<2)>>2]|0)+(1-(k[i>>2]|0)<<3)>>3]<+p[o>>3]))break}while(1){k[l>>2]=(k[l>>2]|0)+-1;if((k[j>>2]|0)>(k[l>>2]|0))break;if(+p[(k[(k[f>>2]|0)+(k[l>>2]<<2)>>2]|0)+(k[i>>2]<<3)>>3]>+p[n>>3])continue;if(!(+p[(k[(k[f>>2]|0)+(k[l>>2]<<2)>>2]|0)+(k[i>>2]<<3)>>3]==+p[n>>3]))break;if(!(+p[(k[(k[f>>2]|0)+(k[l>>2]<<2)>>2]|0)+(1-(k[i>>2]|0)<<3)>>3]>+p[o>>3]))break}if((k[j>>2]|0)>=(k[l>>2]|0))continue;k[q>>2]=k[(k[f>>2]|0)+(k[j>>2]<<2)>>2];k[(k[f>>2]|0)+(k[j>>2]<<2)>>2]=k[(k[f>>2]|0)+(k[l>>2]<<2)>>2];k[(k[f>>2]|0)+(k[l>>2]<<2)>>2]=k[q>>2]}if((k[j>>2]|0)>(k[h>>2]|0))hf(k[f>>2]|0,k[j>>2]|0,k[h>>2]|0,k[i>>2]|0);if((k[l>>2]|0)>=((k[h>>2]|0)-1|0)){r=e;return}hf((k[f>>2]|0)+((k[l>>2]|0)+1<<2)|0,(k[g>>2]|0)-(k[l>>2]|0)-1|0,(k[h>>2]|0)-(k[l>>2]|0)-1|0,k[i>>2]|0);r=e;return}function jf(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=r;r=r+16|0;e=d+12|0;f=d+8|0;g=d+4|0;h=d;k[e>>2]=a;k[f>>2]=b;k[g>>2]=c;k[h>>2]=k[f>>2]>>1;if((k[f>>2]|0)<=3)k[g>>2]=0;hf(k[e>>2]|0,k[f>>2]|0,k[h>>2]|0,k[g>>2]|0);if(((k[f>>2]|0)-(k[h>>2]|0)|0)<2){r=d;return}if((k[h>>2]|0)>=2)jf(k[e>>2]|0,k[h>>2]|0,1-(k[g>>2]|0)|0);jf((k[e>>2]|0)+(k[h>>2]<<2)|0,(k[f>>2]|0)-(k[h>>2]|0)|0,1-(k[g>>2]|0)|0);r=d;return}function kf(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;h=r;r=r+192|0;i=h+16|0;j=h+8|0;l=h;m=h+184|0;n=h+180|0;o=h+176|0;q=h+172|0;s=h+168|0;t=h+164|0;u=h+160|0;v=h+152|0;w=h+144|0;x=h+136|0;y=h+128|0;z=h+120|0;A=h+112|0;B=h+104|0;C=h+96|0;D=h+92|0;E=h+88|0;F=h+84|0;G=h+80|0;H=h+76|0;I=h+72|0;J=h+68|0;K=h+64|0;L=h+60|0;M=h+56|0;N=h+52|0;O=h+48|0;P=h+44|0;Q=h+40|0;R=h+36|0;S=h+32|0;T=h+28|0;U=h+24|0;V=h+20|0;k[m>>2]=a;k[n>>2]=b;k[o>>2]=c;k[q>>2]=d;k[s>>2]=e;k[t>>2]=f;k[u>>2]=g;k[D>>2]=k[(k[k[q>>2]>>2]|0)+((k[27632+(k[(k[q>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];k[F>>2]=k[(k[k[q>>2]>>2]|0)+((k[(k[q>>2]|0)+4>>2]|0)+3<<2)>>2];k[E>>2]=k[(k[k[s>>2]>>2]|0)+((k[27620+(k[(k[s>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];k[G>>2]=k[(k[k[s>>2]>>2]|0)+((k[(k[s>>2]|0)+4>>2]|0)+3<<2)>>2];a:do if((k[u>>2]|0)==1?(k[(k[n>>2]|0)+100>>2]|0)!=0:0){k[H>>2]=k[(k[k[o>>2]>>2]|0)+((k[27620+(k[(k[o>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];k[J>>2]=k[(k[k[o>>2]>>2]|0)+((k[(k[o>>2]|0)+4>>2]|0)+3<<2)>>2];k[I>>2]=k[(k[k[t>>2]>>2]|0)+((k[27632+(k[(k[t>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];k[K>>2]=k[(k[k[t>>2]>>2]|0)+((k[(k[t>>2]|0)+4>>2]|0)+3<<2)>>2];while(1){if(!(+p[(k[J>>2]|0)+8>>3]<+p[(k[H>>2]|0)+8>>3]))break;k[(k[o>>2]|0)+4>>2]=k[27620+(k[(k[o>>2]|0)+4>>2]<<2)>>2];k[V>>2]=k[(k[k[o>>2]>>2]|0)+(k[(k[o>>2]|0)+4>>2]<<2)>>2];k[(k[o>>2]|0)+4>>2]=k[V>>2]&3;k[k[o>>2]>>2]=k[V>>2]^k[(k[o>>2]|0)+4>>2];k[H>>2]=k[J>>2];k[J>>2]=k[(k[k[o>>2]>>2]|0)+((k[(k[o>>2]|0)+4>>2]|0)+3<<2)>>2]}k[V>>2]=k[(k[k[q>>2]>>2]|0)+(k[(k[q>>2]|0)+4>>2]<<2)>>2];k[C+4>>2]=k[V>>2]&3;k[C>>2]=k[V>>2]^k[C+4>>2];k[Q>>2]=k[(k[C>>2]|0)+((k[C+4>>2]|0)+3<<2)>>2];while(1){if(!(+p[(k[Q>>2]|0)+8>>3]>+p[(k[D>>2]|0)+8>>3]))break;k[k[q>>2]>>2]=k[C>>2];k[(k[q>>2]|0)+4>>2]=k[27620+(k[C+4>>2]<<2)>>2];k[F>>2]=k[D>>2];k[D>>2]=k[Q>>2];k[V>>2]=k[(k[k[q>>2]>>2]|0)+(k[(k[q>>2]|0)+4>>2]<<2)>>2];k[C+4>>2]=k[V>>2]&3;k[C>>2]=k[V>>2]^k[C+4>>2];k[Q>>2]=k[(k[C>>2]|0)+((k[C+4>>2]|0)+3<<2)>>2]}while(1){if(!(+p[(k[G>>2]|0)+8>>3]<+p[(k[E>>2]|0)+8>>3]))break;k[(k[s>>2]|0)+4>>2]=k[27620+(k[(k[s>>2]|0)+4>>2]<<2)>>2];k[V>>2]=k[(k[k[s>>2]>>2]|0)+(k[(k[s>>2]|0)+4>>2]<<2)>>2];k[(k[s>>2]|0)+4>>2]=k[V>>2]&3;k[k[s>>2]>>2]=k[V>>2]^k[(k[s>>2]|0)+4>>2];k[E>>2]=k[G>>2];k[G>>2]=k[(k[k[s>>2]>>2]|0)+((k[(k[s>>2]|0)+4>>2]|0)+3<<2)>>2]}k[V>>2]=k[(k[k[t>>2]>>2]|0)+(k[(k[t>>2]|0)+4>>2]<<2)>>2];k[C+4>>2]=k[V>>2]&3;k[C>>2]=k[V>>2]^k[C+4>>2];k[Q>>2]=k[(k[C>>2]|0)+((k[C+4>>2]|0)+3<<2)>>2];while(1){if(!(+p[(k[Q>>2]|0)+8>>3]>+p[(k[I>>2]|0)+8>>3]))break a;k[k[t>>2]>>2]=k[C>>2];k[(k[t>>2]|0)+4>>2]=k[27620+(k[C+4>>2]<<2)>>2];k[K>>2]=k[I>>2];k[I>>2]=k[Q>>2];k[V>>2]=k[(k[k[t>>2]>>2]|0)+(k[(k[t>>2]|0)+4>>2]<<2)>>2];k[C+4>>2]=k[V>>2]&3;k[C>>2]=k[V>>2]^k[C+4>>2];k[Q>>2]=k[(k[C>>2]|0)+((k[C+4>>2]|0)+3<<2)>>2]}}while(0);do{k[R>>2]=0;if(+Ie(k[m>>2]|0,k[n>>2]|0,k[D>>2]|0,k[F>>2]|0,k[E>>2]|0)>0.0){k[(k[q>>2]|0)+4>>2]=k[27632+(k[(k[q>>2]|0)+4>>2]<<2)>>2];k[V>>2]=k[(k[k[q>>2]>>2]|0)+(k[(k[q>>2]|0)+4>>2]<<2)>>2];k[(k[q>>2]|0)+4>>2]=k[V>>2]&3;k[k[q>>2]>>2]=k[V>>2]^k[(k[q>>2]|0)+4>>2];k[D>>2]=k[F>>2];k[F>>2]=k[(k[k[q>>2]>>2]|0)+((k[(k[q>>2]|0)+4>>2]|0)+3<<2)>>2];k[R>>2]=1}if(+Ie(k[m>>2]|0,k[n>>2]|0,k[G>>2]|0,k[E>>2]|0,k[D>>2]|0)>0.0){k[(k[s>>2]|0)+4>>2]=k[27620+(k[(k[s>>2]|0)+4>>2]<<2)>>2];k[V>>2]=k[(k[k[s>>2]>>2]|0)+(k[(k[s>>2]|0)+4>>2]<<2)>>2];k[(k[s>>2]|0)+4>>2]=k[V>>2]&3;k[k[s>>2]>>2]=k[V>>2]^k[(k[s>>2]|0)+4>>2];k[E>>2]=k[G>>2];k[G>>2]=k[(k[k[s>>2]>>2]|0)+((k[(k[s>>2]|0)+4>>2]|0)+3<<2)>>2];k[R>>2]=1}}while((k[R>>2]|0)!=0);k[V>>2]=k[(k[k[q>>2]>>2]|0)+(k[(k[q>>2]|0)+4>>2]<<2)>>2];k[v+4>>2]=k[V>>2]&3;k[v>>2]=k[V>>2]^k[v+4>>2];k[V>>2]=k[(k[k[s>>2]>>2]|0)+(k[(k[s>>2]|0)+4>>2]<<2)>>2];k[w+4>>2]=k[V>>2]&3;k[w>>2]=k[V>>2]^k[w+4>>2];Be(k[m>>2]|0,k[n>>2]|0,x);k[(k[x>>2]|0)+(k[x+4>>2]<<2)>>2]=k[k[q>>2]>>2]|k[(k[q>>2]|0)+4>>2];k[(k[k[q>>2]>>2]|0)+(k[(k[q>>2]|0)+4>>2]<<2)>>2]=k[x>>2]|k[x+4>>2];k[x+4>>2]=k[27620+(k[x+4>>2]<<2)>>2];k[(k[x>>2]|0)+(k[x+4>>2]<<2)>>2]=k[k[s>>2]>>2]|k[(k[s>>2]|0)+4>>2];k[(k[k[s>>2]>>2]|0)+(k[(k[s>>2]|0)+4>>2]<<2)>>2]=k[x>>2]|k[x+4>>2];k[x+4>>2]=k[27620+(k[x+4>>2]<<2)>>2];k[(k[x>>2]|0)+((k[27620+(k[x+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[E>>2];k[(k[x>>2]|0)+((k[27632+(k[x+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[D>>2];if((k[(k[n>>2]|0)+116>>2]|0)>2){mta(58181,l)|0;ee(k[m>>2]|0,k[n>>2]|0,x)}k[H>>2]=k[(k[k[o>>2]>>2]|0)+((k[27620+(k[(k[o>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];if((k[D>>2]|0)==(k[H>>2]|0)){k[k[o>>2]>>2]=k[x>>2];k[(k[o>>2]|0)+4>>2]=k[27620+(k[x+4>>2]<<2)>>2]}k[I>>2]=k[(k[k[t>>2]>>2]|0)+((k[27632+(k[(k[t>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];if((k[E>>2]|0)==(k[I>>2]|0)){k[k[t>>2]>>2]=k[x>>2];k[(k[t>>2]|0)+4>>2]=k[27632+(k[x+4>>2]<<2)>>2]}k[L>>2]=k[D>>2];k[M>>2]=k[E>>2];k[N>>2]=k[(k[v>>2]|0)+((k[v+4>>2]|0)+3<<2)>>2];k[O>>2]=k[(k[w>>2]|0)+((k[w+4>>2]|0)+3<<2)>>2];while(1){E=+Ie(k[m>>2]|0,k[n>>2]|0,k[N>>2]|0,k[L>>2]|0,k[M>>2]|0)<=0.0&1;k[T>>2]=E;E=+Ie(k[m>>2]|0,k[n>>2]|0,k[O>>2]|0,k[L>>2]|0,k[M>>2]|0)<=0.0&1;k[U>>2]=E;if((k[T>>2]|0)!=0&(k[U>>2]|0)!=0)break;b:do if((k[T>>2]|0)==0?(k[y>>2]=k[v>>2],k[y+4>>2]=k[27632+(k[v+4>>2]<<2)>>2],k[V>>2]=k[(k[y>>2]|0)+(k[y+4>>2]<<2)>>2],k[y+4>>2]=k[V>>2]&3,k[y>>2]=k[V>>2]^k[y+4>>2],k[P>>2]=k[(k[y>>2]|0)+((k[y+4>>2]|0)+3<<2)>>2],(k[P>>2]|0)!=0):0){E=+Ke(k[m>>2]|0,k[n>>2]|0,k[L>>2]|0,k[M>>2]|0,k[N>>2]|0,k[P>>2]|0)>0.0&1;k[S>>2]=E;while(1){if(!(k[S>>2]|0))break b;k[y+4>>2]=k[27620+(k[y+4>>2]<<2)>>2];k[V>>2]=k[(k[y>>2]|0)+(k[y+4>>2]<<2)>>2];k[A+4>>2]=k[V>>2]&3;k[A>>2]=k[V>>2]^k[A+4>>2];k[y+4>>2]=k[27620+(k[y+4>>2]<<2)>>2];k[V>>2]=k[(k[y>>2]|0)+(k[y+4>>2]<<2)>>2];k[z+4>>2]=k[V>>2]&3;k[z>>2]=k[V>>2]^k[z+4>>2];k[(k[y>>2]|0)+(k[y+4>>2]<<2)>>2]=k[A>>2]|k[A+4>>2];k[(k[A>>2]|0)+(k[A+4>>2]<<2)>>2]=k[y>>2]|k[y+4>>2];k[(k[v>>2]|0)+(k[v+4>>2]<<2)>>2]=k[z>>2]|k[z+4>>2];k[(k[z>>2]|0)+(k[z+4>>2]<<2)>>2]=k[v>>2]|k[v+4>>2];k[v+4>>2]=k[27620+(k[v+4>>2]<<2)>>2];k[V>>2]=k[(k[v>>2]|0)+(k[v+4>>2]<<2)>>2];k[B+4>>2]=k[V>>2]&3;k[B>>2]=k[V>>2]^k[B+4>>2];k[y+4>>2]=k[27632+(k[y+4>>2]<<2)>>2];k[(k[y>>2]|0)+(k[y+4>>2]<<2)>>2]=k[B>>2]|k[B+4>>2];k[(k[B>>2]|0)+(k[B+4>>2]<<2)>>2]=k[y>>2]|k[y+4>>2];k[(k[v>>2]|0)+((k[27620+(k[v+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[L>>2];k[(k[v>>2]|0)+((k[27632+(k[v+4>>2]<<2)>>2]|0)+3<<2)>>2]=0;k[(k[v>>2]|0)+((k[v+4>>2]|0)+3<<2)>>2]=k[P>>2];k[(k[y>>2]|0)+((k[27620+(k[y+4>>2]<<2)>>2]|0)+3<<2)>>2]=0;k[(k[y>>2]|0)+((k[27632+(k[y+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[N>>2];k[(k[y>>2]|0)+((k[y+4>>2]|0)+3<<2)>>2]=k[P>>2];k[N>>2]=k[P>>2];k[y>>2]=k[z>>2];k[y+4>>2]=k[z+4>>2];k[P>>2]=k[(k[y>>2]|0)+((k[y+4>>2]|0)+3<<2)>>2];if(k[P>>2]|0){E=+Ke(k[m>>2]|0,k[n>>2]|0,k[L>>2]|0,k[M>>2]|0,k[N>>2]|0,k[P>>2]|0)>0.0&1;k[S>>2]=E;continue}else{k[S>>2]=0;continue}}}while(0);c:do if((k[U>>2]|0)==0?(k[y>>2]=k[w>>2],k[y+4>>2]=k[27620+(k[w+4>>2]<<2)>>2],k[V>>2]=k[(k[y>>2]|0)+(k[y+4>>2]<<2)>>2],k[y+4>>2]=k[V>>2]&3,k[y>>2]=k[V>>2]^k[y+4>>2],k[P>>2]=k[(k[y>>2]|0)+((k[y+4>>2]|0)+3<<2)>>2],(k[P>>2]|0)!=0):0){E=+Ke(k[m>>2]|0,k[n>>2]|0,k[L>>2]|0,k[M>>2]|0,k[O>>2]|0,k[P>>2]|0)>0.0&1;k[S>>2]=E;while(1){if(!(k[S>>2]|0))break c;k[y+4>>2]=k[27632+(k[y+4>>2]<<2)>>2];k[V>>2]=k[(k[y>>2]|0)+(k[y+4>>2]<<2)>>2];k[A+4>>2]=k[V>>2]&3;k[A>>2]=k[V>>2]^k[A+4>>2];k[y+4>>2]=k[27632+(k[y+4>>2]<<2)>>2];k[V>>2]=k[(k[y>>2]|0)+(k[y+4>>2]<<2)>>2];k[z+4>>2]=k[V>>2]&3;k[z>>2]=k[V>>2]^k[z+4>>2];k[(k[y>>2]|0)+(k[y+4>>2]<<2)>>2]=k[A>>2]|k[A+4>>2];k[(k[A>>2]|0)+(k[A+4>>2]<<2)>>2]=k[y>>2]|k[y+4>>2];k[(k[w>>2]|0)+(k[w+4>>2]<<2)>>2]=k[z>>2]|k[z+4>>2];k[(k[z>>2]|0)+(k[z+4>>2]<<2)>>2]=k[w>>2]|k[w+4>>2];k[w+4>>2]=k[27632+(k[w+4>>2]<<2)>>2];k[V>>2]=k[(k[w>>2]|0)+(k[w+4>>2]<<2)>>2];k[B+4>>2]=k[V>>2]&3;k[B>>2]=k[V>>2]^k[B+4>>2];k[y+4>>2]=k[27620+(k[y+4>>2]<<2)>>2];k[(k[y>>2]|0)+(k[y+4>>2]<<2)>>2]=k[B>>2]|k[B+4>>2];k[(k[B>>2]|0)+(k[B+4>>2]<<2)>>2]=k[y>>2]|k[y+4>>2];k[(k[w>>2]|0)+((k[27620+(k[w+4>>2]<<2)>>2]|0)+3<<2)>>2]=0;k[(k[w>>2]|0)+((k[27632+(k[w+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[M>>2];k[(k[w>>2]|0)+((k[w+4>>2]|0)+3<<2)>>2]=k[P>>2];k[(k[y>>2]|0)+((k[27620+(k[y+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[O>>2];k[(k[y>>2]|0)+((k[27632+(k[y+4>>2]<<2)>>2]|0)+3<<2)>>2]=0;k[(k[y>>2]|0)+((k[y+4>>2]|0)+3<<2)>>2]=k[P>>2];k[O>>2]=k[P>>2];k[y>>2]=k[z>>2];k[y+4>>2]=k[z+4>>2];k[P>>2]=k[(k[y>>2]|0)+((k[y+4>>2]|0)+3<<2)>>2];if(k[P>>2]|0){E=+Ke(k[m>>2]|0,k[n>>2]|0,k[L>>2]|0,k[M>>2]|0,k[O>>2]|0,k[P>>2]|0)>0.0&1;k[S>>2]=E;continue}else{k[S>>2]=0;continue}}}while(0);do if(k[T>>2]|0)W=52;else{if((k[U>>2]|0)==0?+Ke(k[m>>2]|0,k[n>>2]|0,k[N>>2]|0,k[L>>2]|0,k[M>>2]|0,k[O>>2]|0)>0.0:0){W=52;break}k[(k[x>>2]|0)+(k[x+4>>2]<<2)>>2]=k[v>>2]|k[v+4>>2];k[(k[v>>2]|0)+(k[v+4>>2]<<2)>>2]=k[x>>2]|k[x+4>>2];k[x>>2]=k[v>>2];k[x+4>>2]=k[27620+(k[v+4>>2]<<2)>>2];k[(k[x>>2]|0)+((k[27620+(k[x+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[M>>2];k[L>>2]=k[N>>2];k[V>>2]=k[(k[x>>2]|0)+(k[x+4>>2]<<2)>>2];k[v+4>>2]=k[V>>2]&3;k[v>>2]=k[V>>2]^k[v+4>>2];k[N>>2]=k[(k[v>>2]|0)+((k[v+4>>2]|0)+3<<2)>>2]}while(0);if((W|0)==52){W=0;k[(k[x>>2]|0)+(k[x+4>>2]<<2)>>2]=k[w>>2]|k[w+4>>2];k[(k[w>>2]|0)+(k[w+4>>2]<<2)>>2]=k[x>>2]|k[x+4>>2];k[x>>2]=k[w>>2];k[x+4>>2]=k[27632+(k[w+4>>2]<<2)>>2];k[(k[x>>2]|0)+((k[27632+(k[x+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[L>>2];k[M>>2]=k[O>>2];k[V>>2]=k[(k[x>>2]|0)+(k[x+4>>2]<<2)>>2];k[w+4>>2]=k[V>>2]&3;k[w>>2]=k[V>>2]^k[w+4>>2];k[O>>2]=k[(k[w>>2]|0)+((k[w+4>>2]|0)+3<<2)>>2]}if((k[(k[n>>2]|0)+116>>2]|0)<=2)continue;mta(58232,i)|0;ee(k[m>>2]|0,k[n>>2]|0,x)}Be(k[m>>2]|0,k[n>>2]|0,y);k[(k[y>>2]|0)+((k[27620+(k[y+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[L>>2];k[(k[y>>2]|0)+((k[27632+(k[y+4>>2]<<2)>>2]|0)+3<<2)>>2]=k[M>>2];k[(k[y>>2]|0)+(k[y+4>>2]<<2)>>2]=k[x>>2]|k[x+4>>2];k[(k[x>>2]|0)+(k[x+4>>2]<<2)>>2]=k[y>>2]|k[y+4>>2];k[y+4>>2]=k[27620+(k[y+4>>2]<<2)>>2];k[(k[y>>2]|0)+(k[y+4>>2]<<2)>>2]=k[w>>2]|k[w+4>>2];k[(k[w>>2]|0)+(k[w+4>>2]<<2)>>2]=k[y>>2]|k[y+4>>2];k[y+4>>2]=k[27620+(k[y+4>>2]<<2)>>2];k[(k[y>>2]|0)+(k[y+4>>2]<<2)>>2]=k[v>>2]|k[v+4>>2];k[(k[v>>2]|0)+(k[v+4>>2]<<2)>>2]=k[y>>2]|k[y+4>>2];if((k[(k[n>>2]|0)+116>>2]|0)>2){mta(58207,j)|0;ee(k[m>>2]|0,k[n>>2]|0,y)}if(!((k[u>>2]|0)==1?(k[(k[n>>2]|0)+100>>2]|0)!=0:0)){r=h;return}k[H>>2]=k[(k[k[o>>2]>>2]|0)+((k[27620+(k[(k[o>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];k[J>>2]=k[(k[k[o>>2]>>2]|0)+((k[(k[o>>2]|0)+4>>2]|0)+3<<2)>>2];k[I>>2]=k[(k[k[t>>2]>>2]|0)+((k[27632+(k[(k[t>>2]|0)+4>>2]<<2)>>2]|0)+3<<2)>>2];k[K>>2]=k[(k[k[t>>2]>>2]|0)+((k[(k[t>>2]|0)+4>>2]|0)+3<<2)>>2];k[V>>2]=k[(k[k[o>>2]>>2]|0)+(k[(k[o>>2]|0)+4>>2]<<2)>>2];k[C+4>>2]=k[V>>2]&3;k[C>>2]=k[V>>2]^k[C+4>>2];k[Q>>2]=k[(k[C>>2]|0)+((k[C+4>>2]|0)+3<<2)>>2];while(1){if(!(+p[k[Q>>2]>>3]<+p[k[H>>2]>>3]))break;k[k[o>>2]>>2]=k[C>>2];k[(k[o>>2]|0)+4>>2]=k[27632+(k[C+4>>2]<<2)>>2];k[J>>2]=k[H>>2];k[H>>2]=k[Q>>2];k[V>>2]=k[(k[k[o>>2]>>2]|0)+(k[(k[o>>2]|0)+4>>2]<<2)>>2];k[C+4>>2]=k[V>>2]&3;k[C>>2]=k[V>>2]^k[C+4>>2];k[Q>>2]=k[(k[C>>2]|0)+((k[C+4>>2]|0)+3<<2)>>2]}while(1){if(!(+p[k[K>>2]>>3]>+p[k[I>>2]>>3]))break;k[(k[t>>2]|0)+4>>2]=k[27632+(k[(k[t>>2]|0)+4>>2]<<2)>>2];k[V>>2]=k[(k[k[t>>2]>>2]|0)+(k[(k[t>>2]|0)+4>>2]<<2)>>2];k[(k[t>>2]|0)+4>>2]=k[V>>2]&3;k[k[t>>2]>>2]=k[V>>2]^k[(k[t>>2]|0)+4>>2];k[I>>2]=k[K>>2];k[K>>2]=k[(k[k[t>>2]>>2]|0)+((k[(k[t>>2]|0)+4>>2]|0)+3<<2)>>2]}r=h;return}
function Xia(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0;c=r;r=r+576|0;d=c+560|0;e=c+556|0;f=c+552|0;g=c+548|0;h=c+544|0;i=c+540|0;j=c+536|0;l=c+528|0;m=c+524|0;n=c+520|0;o=c+360|0;q=c+508|0;s=c+496|0;t=c+344|0;u=c+208|0;v=c+60|0;w=c+48|0;x=c+36|0;y=c+72|0;z=c+24|0;A=c+12|0;C=c;k[e>>2]=0;k[f>>2]=0;k[h>>2]=0;k[i>>2]=0;D=a+44|0;cO(k[D>>2]|0,l,6);cO(k[D>>2]|0,m,7);cO(k[D>>2]|0,n,5);E=vY()|0;F=(k[l>>2]|0)==(k[m>>2]|0);G=nO(k[D>>2]|0,4)|0;H=(G|0)==0;do if(F){if(!H?(ura(G,208,2088,0)|0)!=0:0)break;I=o+56|0;J=o+4|0;k[o>>2]=27524;k[I>>2]=27544;B=0;wa(508,o+56|0,J|0);K=B;B=0;if(K&1){K=Rb()|0;L=Q;M=K;vva(I);Qb(M|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[I>>2]=27488;B=0;va(448,J|0);K=B;B=0;do if(K&1){N=Rb()|0;O=Q;P=N}else{k[J>>2]=27560;N=o+36|0;k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;k[N+12>>2]=0;k[o+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,J|0,d|0);R=B;B=0;if(R&1){R=Rb()|0;S=Q;Yua(d);Yua(N);Ava(J);O=S;P=R;break}Yua(d);B=0;R=Ia(40,o|0,137252,76)|0;S=B;B=0;a:do if(!(S&1)?(B=0,Xa(239,R|0,0)|0,T=B,B=0,!(T&1)):0){T=Ab(20)|0;B=0;eb(502,q|0,137329,74);U=B;B=0;do if(!(U&1)){B=0;eb(502,s|0,137404,15);V=B;B=0;if(V&1){V=Rb()|0;W=Q;Yua(q);X=W;Y=V;break}B=0;wa(510,t|0,J|0);V=B;B=0;if(V&1){V=Rb()|0;Z=Q;_=V;$=1}else{B=0;ua(163,T|0,q|0,s|0,113,t|0);V=B;B=0;if(V&1)aa=1;else{B=0;eb(503,T|0,1240,229);B=0;aa=0}V=Rb()|0;W=Q;Yua(t);Z=W;_=V;$=aa}Yua(s);Yua(q);if($){X=Z;Y=_}else{ba=Z;ca=_;break a}}else{V=Rb()|0;X=Q;Y=V}while(0);zb(T|0);ba=X;ca=Y}else da=19;while(0);if((da|0)==19){R=Rb()|0;ba=Q;ca=R}k[o>>2]=27468;k[I>>2]=27488;k[J>>2]=27560;Yua(N);Ava(J);vva(I);ea=ba;fa=ca;Qb(fa|0)}while(0);L=O;M=P;vva(I);Qb(M|0)}else{if(!H?(ura(G,208,320,0)|0)!=0:0)break;J=u+56|0;K=u+4|0;k[u>>2]=27524;k[J>>2]=27544;B=0;wa(508,u+56|0,K|0);R=B;B=0;if(R&1){R=Rb()|0;ga=Q;ha=R;vva(J);Qb(ha|0)}k[u+128>>2]=0;k[u+132>>2]=-1;k[u>>2]=27468;k[J>>2]=27488;B=0;va(448,K|0);R=B;B=0;do if(R&1){S=Rb()|0;ia=Q;ja=S}else{k[K>>2]=27560;S=u+36|0;k[S>>2]=0;k[S+4>>2]=0;k[S+8>>2]=0;k[S+12>>2]=0;k[u+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,K|0,d|0);U=B;B=0;if(U&1){U=Rb()|0;V=Q;Yua(d);Yua(S);Ava(K);ia=V;ja=U;break}Yua(d);B=0;U=Ia(40,u|0,137252,76)|0;V=B;B=0;b:do if(!(V&1)?(B=0,Xa(239,U|0,0)|0,W=B,B=0,!(W&1)):0){W=Ab(20)|0;B=0;eb(502,v|0,137329,74);ka=B;B=0;do if(!(ka&1)){B=0;eb(502,w|0,137404,15);la=B;B=0;if(la&1){la=Rb()|0;ma=Q;Yua(v);na=ma;oa=la;break}B=0;wa(510,x|0,K|0);la=B;B=0;if(la&1){la=Rb()|0;pa=1;qa=la;ra=Q}else{B=0;ua(163,W|0,v|0,w|0,118,x|0);la=B;B=0;if(la&1)sa=1;else{B=0;eb(503,W|0,1240,229);B=0;sa=0}la=Rb()|0;ma=Q;Yua(x);pa=sa;qa=la;ra=ma}Yua(w);Yua(v);if(pa){na=ra;oa=qa}else{ta=qa;xa=ra;break b}}else{ma=Rb()|0;na=Q;oa=ma}while(0);zb(W|0);ta=oa;xa=na}else da=45;while(0);if((da|0)==45){U=Rb()|0;ta=U;xa=Q}k[u>>2]=27468;k[J>>2]=27488;k[K>>2]=27560;Yua(S);Ava(K);vva(J);ea=xa;fa=ta;Qb(fa|0)}while(0);ga=ia;ha=ja;vva(J);Qb(ha|0)}while(0);if((k[l>>2]|0)!=(k[m>>2]|0)){ha=nn(k[a+28>>2]|0)|0;k[j>>2]=ha;UZ(e,a,b,629)}ha=(E|0)==0;do if(ha){E=k[l>>2]|0;if((E|0)!=(k[m>>2]|0)){za=0;Aa=0;break}ja=(k[n>>2]|0)+-1|0;ia=ja>>>0>1073741823?-1:ja<<2;ja=Rqa(ia)|0;ga=Rqa(ia)|0;if((E|0)>0){E=0;do{ia=k[ga+(E<<2)>>2]|0;ta=Rqa(ia>>>0>536870911?-1:ia<<3)|0;k[ja+(E<<2)>>2]=ta;E=E+1|0}while((E|0)<(k[m>>2]|0));za=ja;Aa=ga}else{za=ja;Aa=ga}}else{za=0;Aa=0}while(0);c:do if((k[l>>2]|0)==(k[m>>2]|0)){E=nn(k[a+28>>2]|0)|0;k[j>>2]=E;J=Qqa(8)|0;B=0;va(485,J|0);ta=B;B=0;d:do if(ta&1)da=84;else{do if(k[J>>2]|0){B=0;ia=ya(423,4)|0;xa=B;B=0;if(xa&1){da=84;break d}B=0;eb(505,ia|0,E|0,0);xa=B;B=0;if(xa&1){xa=Rb()|0;u=Q;Sqa(ia);Ba=u;Ca=xa;break d}else{k[J+4>>2]=ia;break}}while(0);kO(k[D>>2]|0,f,g,h,i,1014);S=k[g>>2]|0;if((S|0)==(k[m>>2]|0)){if(ha&(S|0)>0){S=J+4|0;ia=0;do{xa=k[za+(ia<<2)>>2]|0;u=k[(k[f>>2]|0)+(ia<<2)>>2]|0;na=k[(k[h>>2]|0)+(ia<<2)>>2]|0;oa=Rqa(na>>>0>1073741823?-1:na<<2)|0;if((na|0)>0){ra=0;do{k[oa+(ra<<2)>>2]=~~+p[u+(ra<<3)>>3]+-1;ra=ra+1|0}while((ra|0)!=(na|0))}if(k[J>>2]|0){ra=k[k[S>>2]>>2]|0;Dc[k[(k[ra>>2]|0)+16>>2]&255](ra,na,oa,xa,0)}Tqa(oa);ia=ia+1|0}while((ia|0)<(k[m>>2]|0))}if(k[J>>2]|0){ia=k[k[J+4>>2]>>2]|0;Ec[k[(k[ia>>2]|0)+12>>2]&1023](ia)}VZ(a,J,b,629);Da=J;break c}ia=y+56|0;S=y+4|0;k[y>>2]=27524;k[ia>>2]=27544;B=0;wa(508,y+56|0,S|0);ra=B;B=0;if(ra&1){ra=Rb()|0;Ea=Q;Fa=ra;vva(ia);Qb(Fa|0)}k[y+128>>2]=0;k[y+132>>2]=-1;k[y>>2]=27468;k[ia>>2]=27488;B=0;va(448,S|0);ra=B;B=0;do if(ra&1){u=Rb()|0;Ga=Q;Ha=u}else{k[S>>2]=27560;u=y+36|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;k[u+12>>2]=0;k[y+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,S|0,d|0);W=B;B=0;if(W&1){W=Rb()|0;qa=Q;Yua(d);Yua(u);Ava(S);Ga=qa;Ha=W;break}Yua(d);B=0;W=Ia(40,y|0,137420,98)|0;qa=B;B=0;e:do if(!(qa&1)?(B=0,Xa(239,W|0,0)|0,pa=B,B=0,!(pa&1)):0){pa=Ab(20)|0;B=0;eb(502,z|0,137329,74);v=B;B=0;do if(!(v&1)){B=0;eb(502,A|0,137404,15);w=B;B=0;if(w&1){w=Rb()|0;sa=Q;Yua(z);Ja=sa;Ka=w;break}B=0;wa(510,C|0,S|0);w=B;B=0;if(w&1){w=Rb()|0;La=1;Ma=w;Na=Q}else{B=0;ua(163,pa|0,z|0,A|0,158,C|0);w=B;B=0;if(w&1)Oa=1;else{B=0;eb(503,pa|0,1240,229);B=0;Oa=0}w=Rb()|0;sa=Q;Yua(C);La=Oa;Ma=w;Na=sa}Yua(A);Yua(z);if(La){Ja=Na;Ka=Ma}else{Pa=Ma;Qa=Na;break e}}else{sa=Rb()|0;Ja=Q;Ka=sa}while(0);zb(pa|0);Pa=Ka;Qa=Ja}else da=86;while(0);if((da|0)==86){W=Rb()|0;Pa=W;Qa=Q}k[y>>2]=27468;k[ia>>2]=27488;k[S>>2]=27560;Yua(u);Ava(S);vva(ia);ea=Qa;fa=Pa;Qb(fa|0)}while(0);Ea=Ga;Fa=Ha;vva(ia);Qb(Fa|0)}while(0);if((da|0)==84){E=Rb()|0;Ba=Q;Ca=E}Sqa(J);ea=Ba;fa=Ca;Qb(fa|0)}else Da=0;while(0);if(za){fa=k[n>>2]|0;if((fa|0)>1){Ca=fa;fa=0;while(1){Ba=k[za+(fa<<2)>>2]|0;if(!Ba)Ra=Ca;else{Tqa(Ba);Ra=k[n>>2]|0}fa=fa+1|0;if((fa|0)>=(Ra+-1|0))break;else Ca=Ra}}Tqa(za)}za=k[e>>2]|0;if(za){Tqa(za);k[e>>2]=0}if(Da){if((k[Da>>2]|0)!=0?(e=k[Da+4>>2]|0,(e|0)!=0):0){za=k[e>>2]|0;if(za)Ec[k[(k[za>>2]|0)+4>>2]&1023](za);Sqa(e)}Sqa(Da)}Da=k[f>>2]|0;if(Da){e=k[m>>2]|0;if((e|0)>0){za=Da;Ra=e;e=0;while(1){Ca=k[za+(e<<2)>>2]|0;if(!Ca){Sa=Ra;Ta=za}else{Tqa(Ca);Sa=k[m>>2]|0;Ta=k[f>>2]|0}e=e+1|0;if((e|0)>=(Sa|0)){Ua=Ta;break}else{za=Ta;Ra=Sa}}if(Ua){Va=Ua;da=122}}else{Va=Da;da=122}if((da|0)==122)Tqa(Va);k[f>>2]=0;f=k[h>>2]|0;if(f)Tqa(f);k[h>>2]=0;h=k[i>>2]|0;if(h)Tqa(h);k[i>>2]=0}if(!Aa){r=c;return}Tqa(Aa);r=c;return}function Yia(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;c=r;r=r+240|0;d=c+228|0;e=c+224|0;f=c+220|0;g=c+216|0;h=c+212|0;i=c+208|0;j=c+204|0;l=c+196|0;m=c+188|0;n=c+184|0;o=c+40|0;q=c+24|0;s=c+12|0;t=c;k[e>>2]=0;k[f>>2]=0;k[h>>2]=0;k[i>>2]=0;k[l>>2]=0;u=a+44|0;cO(k[u>>2]|0,m,6);cO(k[u>>2]|0,n,7);cO(k[u>>2]|0,c+180|0,5);v=vY()|0;w=k[u>>2]|0;if((k[m>>2]|0)==(k[n>>2]|0))hO(w,l,c+176|0,4);else cO(w,c+200|0,4);if((k[m>>2]|0)==(k[n>>2]|0)){w=nn(k[a+28>>2]|0)|0;k[j>>2]=w;UZ(e,a,b,629)}w=(v|0)==0;a:do if(w){if((k[m>>2]|0)!=(k[n>>2]|0)){v=k[j>>2]|0;x=Rqa(v>>>0>536870911?-1:v<<3)|0;break}kO(k[u>>2]|0,f,g,h,i,1014);v=k[g>>2]|0;if((v|0)==(k[n>>2]|0)){if((v|0)>0)y=0;else{x=0;break}while(1){v=k[(k[h>>2]|0)+(y<<2)>>2]|0;k[j>>2]=v;l=Rqa(v>>>0>536870911?-1:v<<3)|0;z=k[(k[f>>2]|0)+(y<<2)>>2]|0;if((v|0)>0){A=k[e>>2]|0;C=0;do{p[l+(C<<3)>>3]=+p[A+(~~+p[z+(C<<3)>>3]+-1<<3)>>3];C=C+1|0}while((C|0)<(v|0))}y=y+1|0;if((y|0)>=(k[n>>2]|0)){x=l;break a}}}v=o+56|0;C=o+4|0;k[o>>2]=27524;k[v>>2]=27544;B=0;wa(508,o+56|0,C|0);z=B;B=0;if(z&1){z=Rb()|0;D=Q;E=z;vva(v);Qb(E|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[v>>2]=27488;B=0;va(448,C|0);z=B;B=0;do if(z&1){A=Rb()|0;F=Q;G=A}else{k[C>>2]=27560;A=o+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[o+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,C|0,d|0);H=B;B=0;if(H&1){H=Rb()|0;I=Q;Yua(d);Yua(A);Ava(C);F=I;G=H;break}Yua(d);B=0;H=Ia(40,o|0,137519,99)|0;I=B;B=0;if(!(I&1)?(B=0,Xa(239,H|0,0)|0,H=B,B=0,!(H&1)):0){H=Ab(20)|0;B=0;eb(502,q|0,137329,74);I=B;B=0;do if(!(I&1)){B=0;eb(502,s|0,137619,16);J=B;B=0;if(J&1){J=Rb()|0;K=Q;Yua(q);L=J;M=K;break}B=0;wa(510,t|0,C|0);K=B;B=0;if(K&1){K=Rb()|0;N=K;O=Q;P=1}else{B=0;ua(163,H|0,q|0,s|0,256,t|0);K=B;B=0;if(K&1)R=1;else{B=0;eb(503,H|0,1240,229);B=0;R=0}K=Rb()|0;J=Q;Yua(t);N=K;O=J;P=R}Yua(s);Yua(q);if(P){L=N;M=O}else{S=N;T=O;k[o>>2]=27468;k[v>>2]=27488;k[C>>2]=27560;Yua(A);Ava(C);vva(v);Qb(S|0)}}else{J=Rb()|0;L=J;M=Q}while(0);zb(H|0);S=L;T=M;k[o>>2]=27468;k[v>>2]=27488;k[C>>2]=27560;Yua(A);Ava(C);vva(v);Qb(S|0)}I=Rb()|0;S=I;T=Q;k[o>>2]=27468;k[v>>2]=27488;k[C>>2]=27560;Yua(A);Ava(C);vva(v);Qb(S|0)}while(0);D=F;E=G;vva(v);Qb(E|0)}else x=0;while(0);if((k[m>>2]|0)==(k[n>>2]|0))U=x;else{uY()|0;n=k[j>>2]|0;if(w)V=x;else V=Rqa(n>>>0>536870911?-1:n<<3)|0;uY()|0;WZ(a,V,b,629);U=V}V=k[e>>2]|0;if(V){Tqa(V);k[e>>2]=0}if(U)Tqa(U);U=k[f>>2]|0;if(!U){r=c;return}e=k[g>>2]|0;if((e|0)>0){V=U;b=e;e=0;while(1){a=k[V+(e<<2)>>2]|0;if(!a){W=b;X=V}else{Tqa(a);W=k[g>>2]|0;X=k[f>>2]|0}e=e+1|0;if((e|0)>=(W|0)){Y=X;break}else{V=X;b=W}}if(Y){Z=Y;_=49}}else{Z=U;_=49}if((_|0)==49)Tqa(Z);k[f>>2]=0;f=k[h>>2]|0;if(f)Tqa(f);k[h>>2]=0;h=k[i>>2]|0;if(h)Tqa(h);k[i>>2]=0;r=c;return}function Zia(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0.0,t=0,u=0,v=0;b=r;r=r+32|0;c=b+20|0;d=b+16|0;e=b+12|0;f=b+8|0;g=b;k[d>>2]=0;k[e>>2]=0;k[f>>2]=0;p[g>>3]=0.0;cO(k[a+44>>2]|0,c,478);ioa(d,e,f,k[a+28>>2]|0,1);h=en(k[a+24>>2]|0,k[c>>2]|0,943)|0;c=Qqa(8)|0;B=0;va(485,c|0);i=B;B=0;a:do if(i&1)j=18;else{do if(k[c>>2]|0){B=0;l=ya(423,4)|0;m=B;B=0;if(m&1){j=18;break a}B=0;eb(505,l|0,h|0,0);m=B;B=0;if(m&1){m=Rb()|0;n=Q;Sqa(l);o=n;q=m;break a}else{k[c+4>>2]=l;break}}while(0);ri(a,c,g,k[d>>2]|0,k[e>>2]|0,k[f>>2]|0);s=+ti(a,c);if(k[c>>2]|0){l=k[k[c+4>>2]>>2]|0;Cc[k[(k[l>>2]|0)+56>>2]&63](l,-+p[g>>3]-s)}l=k[a+48>>2]|0;m=Qqa(48)|0;B=0;n=ya(428,l|0)|0;t=B;B=0;if(!(t&1)?(s=-+p[g>>3],k[m>>2]=27904,k[m+4>>2]=n+1,p[m+16>>3]=s,k[m+32>>2]=-9999,p[m+40>>3]=-9999.0,k[m+24>>2]=1,k[m+28>>2]=1,B=0,wa(512,m+8|0,1e3),n=B,B=0,!(n&1)):0){Oo(l,m)|0;l=k[d>>2]|0;if(l)Tqa(l);k[d>>2]=0;l=k[e>>2]|0;if(l)Tqa(l);k[e>>2]=0;l=k[f>>2]|0;if(!l){r=b;return c|0}Tqa(l);r=b;return c|0}l=Rb()|0;n=Q;Sqa(m);u=n;v=l;Qb(v|0)}while(0);if((j|0)==18){j=Rb()|0;o=Q;q=j}Sqa(c);u=o;v=q;Qb(v|0);return 0}function _ia(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0.0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0;c=r;r=r+352|0;d=c+336|0;e=c+332|0;f=c+348|0;g=c+328|0;h=c+8|0;j=c;l=c+324|0;m=c+320|0;n=c+316|0;o=c+168|0;q=c+304|0;s=c+32|0;t=c+16|0;i[f>>0]=1;k[l>>2]=0;k[m>>2]=0;k[n>>2]=0;u=a+44|0;cO(k[u>>2]|0,g,1002);dO(k[u>>2]|0,h,1003);dO(k[u>>2]|0,j,1004);cO(k[u>>2]|0,e,478);ioa(l,m,n,k[a+28>>2]|0,1);u=en(k[a+24>>2]|0,k[e>>2]|0,943)|0;e=Qqa(8)|0;B=0;va(485,e|0);v=B;B=0;do if(v&1)w=52;else{if(k[e>>2]|0){B=0;x=ya(423,4)|0;y=B;B=0;if(y&1){w=52;break}B=0;eb(505,x|0,u|0,0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Sqa(x);A=z;C=y;break}k[e+4>>2]=x;if(k[e>>2]|0){y=k[x>>2]|0;Ec[k[(k[y>>2]|0)+12>>2]&1023](y)}}if(k[b>>2]|0){y=k[k[b+4>>2]>>2]|0;Fc[k[(k[y>>2]|0)+60>>2]&1023](y,k[k[e+4>>2]>>2]|0)}y=Qqa(8)|0;B=0;va(485,y|0);x=B;B=0;do if(x&1)w=54;else{if(k[y>>2]|0){B=0;z=ya(423,4)|0;D=B;B=0;if(D&1){w=54;break}B=0;eb(505,z|0,u|0,0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Sqa(z);F=E;G=D;break}k[y+4>>2]=z;if(k[y>>2]|0){D=k[z>>2]|0;Ec[k[(k[D>>2]|0)+12>>2]&1023](D)}}D=Qqa(8)|0;B=0;va(485,D|0);z=B;B=0;do if(!(z&1)){if(k[D>>2]|0){B=0;E=ya(423,4)|0;H=B;B=0;if(H&1){w=56;break}B=0;eb(505,E|0,u|0,0);H=B;B=0;if(H&1){H=Rb()|0;I=Q;Sqa(E);J=I;K=H;break}k[D+4>>2]=E;if(k[D>>2]|0){H=k[E>>2]|0;Ec[k[(k[H>>2]|0)+12>>2]&1023](H)}}i[f>>0]=0;H=b+4|0;E=e;I=y;L=1;M=1;while(1){if((k[I>>2]|0)!=0?(N=k[I+4>>2]|0,(N|0)!=0):0){O=k[N>>2]|0;if(O)Ec[k[(k[O>>2]|0)+4>>2]&1023](O);Sqa(N)}Sqa(I);N=Qqa(8)|0;B=0;va(485,N|0);O=B;B=0;if(O&1){P=N;w=58;break}if(k[N>>2]|0){B=0;O=ya(423,4)|0;R=B;B=0;if(R&1){P=N;w=58;break}B=0;eb(505,O|0,u|0,0);R=B;B=0;if(R&1){S=N;T=O;w=34;break}k[N+4>>2]=O;if(k[N>>2]|0){R=k[O>>2]|0;Ec[k[(k[R>>2]|0)+12>>2]&1023](R)}}R=Qqa(8)|0;B=0;va(485,R|0);O=B;B=0;if(O&1){U=R;w=60;break}if(k[R>>2]|0){B=0;O=ya(423,4)|0;V=B;B=0;if(V&1){U=R;w=60;break}B=0;eb(505,O|0,u|0,0);V=B;B=0;if(V&1){W=R;X=O;w=41;break}k[R+4>>2]=O;if(k[R>>2]|0){V=k[O>>2]|0;Ec[k[(k[V>>2]|0)+12>>2]&1023](V)}}si(a,R,E,k[l>>2]|0,k[m>>2]|0,k[n>>2]|0,M);if(k[R>>2]|0){V=k[k[R+4>>2]>>2]|0;Ec[k[(k[V>>2]|0)+12>>2]&1023](V)}Y=+ti(a,R);if(k[b>>2]|0){V=k[k[H>>2]>>2]|0;Fc[k[(k[V>>2]|0)+60>>2]&1023](V,k[k[N+4>>2]>>2]|0)}do if(k[N>>2]|0){V=N+4|0;O=k[k[V>>2]>>2]|0;Xc[k[(k[O>>2]|0)+44>>2]&63](O,k[k[R+4>>2]>>2]|0,1.0);if(!(k[N>>2]|0))break;O=k[k[V>>2]>>2]|0;Cc[k[(k[O>>2]|0)+56>>2]&63](O,-Y)}while(0);$ia(f,N,E,+p[h>>3],+p[j>>3]);R=L+1|0;if(i[f>>0]|0){Z=N;_=E;$=L;w=80;break}if((R|0)<(k[g>>2]|0)){O=E;E=N;L=R;M=0;I=O}else{aa=N;ba=E;ca=L;w=63;break}}a:do if((w|0)==34){L=Rb()|0;E=Q;Sqa(T);da=S;ea=E;fa=L;w=59}else if((w|0)==41){L=Rb()|0;E=Q;Sqa(X);ga=W;ha=E;ia=L;w=61}else if((w|0)==58){L=Rb()|0;da=P;ea=Q;fa=L;w=59}else if((w|0)==60){L=Rb()|0;ga=U;ha=Q;ia=L;w=61}else if((w|0)==63){L=o+56|0;E=o+4|0;k[o>>2]=27524;k[L>>2]=27544;B=0;wa(508,o+56|0,E|0);I=B;B=0;if(I&1){I=Rb()|0;ja=Q;ka=I;vva(L);Qb(ka|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[L>>2]=27488;B=0;va(448,E|0);I=B;B=0;do if(I&1){M=Rb()|0;la=Q;ma=M}else{k[E>>2]=27560;M=o+36|0;k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;k[M+12>>2]=0;k[o+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,E|0,d|0);H=B;B=0;if(H&1){H=Rb()|0;O=Q;Yua(d);Yua(M);Ava(E);la=O;ma=H;break}Yua(d);B=0;H=Ia(40,o|0,147682,43)|0;O=B;B=0;do if(((!(O&1)?(B=0,R=Xa(242,H|0,k[g>>2]|0)|0,V=B,B=0,!(V&1)):0)?(B=0,Ia(40,R|0,148995,11)|0,R=B,B=0,!(R&1)):0)?(B=0,wa(510,q|0,E|0),R=B,B=0,!(R&1)):0){B=0;ya(425,q|0)|0;R=B;B=0;if(R&1){R=Rb()|0;V=Q;Yua(q);na=V;oa=R;break}else{Yua(q);k[o>>2]=27468;k[L>>2]=27488;k[E>>2]=27560;Yua(M);Ava(E);vva(L);i[f>>0]=1;Z=aa;_=ba;$=ca;w=80;break a}}else w=77;while(0);if((w|0)==77){H=Rb()|0;na=Q;oa=H}k[o>>2]=27468;k[L>>2]=27488;k[E>>2]=27560;Yua(M);Ava(E);vva(L);pa=na;qa=oa;Qb(qa|0)}while(0);ja=la;ka=ma;vva(L);Qb(ka|0)}while(0);if((w|0)==59){Sqa(da);pa=ea;qa=fa;Qb(qa|0)}else if((w|0)==61){Sqa(ga);pa=ha;qa=ia;Qb(qa|0)}else if((w|0)==80){b:do if(EY()|0){E=s+56|0;I=s+4|0;k[s>>2]=27524;k[E>>2]=27544;B=0;wa(508,s+56|0,I|0);N=B;B=0;if(N&1){N=Rb()|0;ra=Q;sa=N;vva(E);Qb(sa|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[E>>2]=27488;B=0;va(448,I|0);N=B;B=0;do if(N&1){H=Rb()|0;ta=Q;ua=H}else{k[I>>2]=27560;H=s+36|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;k[H+12>>2]=0;k[s+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,I|0,d|0);O=B;B=0;if(O&1){O=Rb()|0;R=Q;Yua(d);Yua(H);Ava(I);ta=R;ua=O;break}Yua(d);B=0;O=Ia(40,s|0,147767,32)|0;R=B;B=0;do if(!(R&1)?(B=0,V=Xa(242,O|0,$|0)|0,xa=B,B=0,!(xa&1)):0){B=0;Ia(40,V|0,149177,1)|0;V=B;B=0;if(V&1){w=95;break}B=0;wa(510,t|0,I|0);V=B;B=0;if(V&1){w=95;break}B=0;ya(425,t|0)|0;V=B;B=0;if(V&1){V=Rb()|0;xa=Q;Yua(t);za=xa;Aa=V;break}else{Yua(t);k[s>>2]=27468;k[E>>2]=27488;k[I>>2]=27560;Yua(H);Ava(I);vva(E);break b}}else w=95;while(0);if((w|0)==95){O=Rb()|0;za=Q;Aa=O}k[s>>2]=27468;k[E>>2]=27488;k[I>>2]=27560;Yua(H);Ava(I);vva(E);pa=za;qa=Aa;Qb(qa|0)}while(0);ra=ta;sa=ua;vva(E);Qb(sa|0)}while(0);I=k[l>>2]|0;if(I)Tqa(I);k[l>>2]=0;I=k[m>>2]|0;if(I)Tqa(I);k[m>>2]=0;I=k[n>>2]|0;if(I)Tqa(I);k[n>>2]=0;if(!(k[_>>2]|0)){Sqa(_);r=c;return Z|0}I=k[_+4>>2]|0;if(!I){Sqa(_);r=c;return Z|0}N=k[I>>2]|0;if(N)Ec[k[(k[N>>2]|0)+4>>2]&1023](N);Sqa(I);Sqa(_);r=c;return Z|0}}else w=56;while(0);if((w|0)==56){z=Rb()|0;J=Q;K=z}Sqa(D);pa=J;qa=K;Qb(qa|0)}while(0);if((w|0)==54){x=Rb()|0;F=Q;G=x}Sqa(y);pa=F;qa=G;Qb(qa|0)}while(0);if((w|0)==52){w=Rb()|0;A=Q;C=w}Sqa(e);pa=A;qa=C;Qb(qa|0);return 0}function $ia(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0.0,G=0.0,H=0.0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0;f=r;r=r+784|0;g=f+772|0;h=f+600|0;j=f+760|0;l=f+748|0;m=f+736|0;n=f+464|0;o=f+448|0;q=f+312|0;s=f+160|0;u=f+176|0;v=f+12|0;w=f+24|0;x=f;y=Qqa(8)|0;B=0;va(485,y|0);z=B;B=0;if(z&1){z=Rb()|0;Sqa(y);Qb(z|0)}if((k[c>>2]|0)!=0?(z=c+4|0,A=k[z>>2]|0,C=Qqa(4)|0,D=k[A>>2]|0,E=Hc[k[(k[D>>2]|0)+36>>2]&511](D)|0,k[C>>2]=E,D=k[A>>2]|0,Fc[k[(k[D>>2]|0)+60>>2]&1023](D,E),k[y+4>>2]=C,(k[c>>2]|0)!=0):0){E=k[k[z>>2]>>2]|0;Fc[k[(k[E>>2]|0)+60>>2]&1023](E,k[C>>2]|0)}if((k[y>>2]|0)!=0?(C=y+4|0,E=k[k[C>>2]>>2]|0,Xc[k[(k[E>>2]|0)+48>>2]&63](E,k[k[b+4>>2]>>2]|0,-1.0),(k[y>>2]|0)!=0):0){b=k[k[C>>2]>>2]|0;F=+id[k[(k[b>>2]|0)+64>>2]&63](b,1)}else F=0.0;G=+$(+d);p[t>>3]=G;b=k[t+4>>2]|0;C=b>>>0>2146435072|(b|0)==2146435072&(k[t>>2]|0)>>>0>0;if(!C?(k[c>>2]|0)!=0:0){b=k[k[c+4>>2]>>2]|0;H=+id[k[(k[b>>2]|0)+64>>2]&63](b,1)}else H=0.0;G=+$(+F);p[t>>3]=G;b=k[t+4>>2]|0;if(!(b>>>0>2146435072|(b|0)==2146435072&(k[t>>2]|0)>>>0>0)?(G=+$(+H),p[t>>3]=G,b=k[t+4>>2]|0,!(b>>>0>2146435072|(b|0)==2146435072&(k[t>>2]|0)>>>0>0)):0){if((k[y>>2]|0)!=0?(b=k[y+4>>2]|0,(b|0)!=0):0){c=k[b>>2]|0;if(c)Ec[k[(k[c>>2]|0)+4>>2]&1023](c);Sqa(b)}Sqa(y);a:do if(!C){G=F/H;y=EY()|0;if(G<d){if(!y){I=1;break}b=n+56|0;c=n+4|0;k[n>>2]=27524;k[b>>2]=27544;B=0;wa(508,n+56|0,c|0);E=B;B=0;if(E&1){E=Rb()|0;J=Q;K=E;vva(b);Qb(K|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[b>>2]=27488;B=0;va(448,c|0);E=B;B=0;do if(E&1){z=Rb()|0;L=Q;M=z}else{k[c>>2]=27560;z=n+36|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;k[z+12>>2]=0;k[n+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,c|0,g|0);D=B;B=0;if(D&1){D=Rb()|0;A=Q;Yua(g);Yua(z);Ava(c);L=A;M=D;break}Yua(g);k[n+(k[(k[n>>2]|0)+-12>>2]|0)+12>>2]=50;D=n+(k[(k[n>>2]|0)+-12>>2]|0)+4|0;k[D>>2]=k[D>>2]&-177|32;B=0;D=Ia(40,n|0,137757,45)|0;A=B;B=0;do if(!(A&1)?(B=0,N=Sa(1,D|0,+(G*100.0))|0,O=B,B=0,!(O&1)):0){B=0;O=Ia(40,N|0,148270,3)|0;N=B;B=0;if(N&1){P=61;break}B=0;N=Sa(1,O|0,+(d*100.0))|0;O=B;B=0;if(O&1){P=61;break}B=0;Ia(40,N|0,148274,3)|0;N=B;B=0;if(N&1){P=61;break}B=0;wa(510,o|0,c|0);N=B;B=0;if(N&1){P=61;break}B=0;ya(425,o|0)|0;N=B;B=0;if(N&1){N=Rb()|0;O=Q;Yua(o);R=O;S=N;break}else{Yua(o);k[n>>2]=27468;k[b>>2]=27488;k[c>>2]=27560;Yua(z);Ava(c);vva(b);I=1;break a}}else P=61;while(0);if((P|0)==61){D=Rb()|0;R=Q;S=D}k[n>>2]=27468;k[b>>2]=27488;k[c>>2]=27560;Yua(z);Ava(c);vva(b);T=R;U=S;Qb(U|0)}while(0);J=L;K=M;vva(b);Qb(K|0)}else{if(!y){I=0;break}c=q+56|0;E=q+4|0;k[q>>2]=27524;k[c>>2]=27544;B=0;wa(508,q+56|0,E|0);D=B;B=0;if(D&1){D=Rb()|0;V=Q;W=D;vva(c);Qb(W|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[c>>2]=27488;B=0;va(448,E|0);D=B;B=0;do if(D&1){A=Rb()|0;X=Q;Y=A}else{k[E>>2]=27560;A=q+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[q+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,E|0,g|0);N=B;B=0;if(N&1){N=Rb()|0;O=Q;Yua(g);Yua(A);Ava(E);X=O;Y=N;break}Yua(g);k[q+(k[(k[q>>2]|0)+-12>>2]|0)+12>>2]=50;N=q+(k[(k[q>>2]|0)+-12>>2]|0)+4|0;k[N>>2]=k[N>>2]&-177|32;B=0;N=Ia(40,q|0,137757,45)|0;O=B;B=0;do if(!(O&1)?(B=0,Z=Sa(1,N|0,+(G*100.0))|0,_=B,B=0,!(_&1)):0){B=0;_=Ia(40,Z|0,148278,3)|0;Z=B;B=0;if(Z&1){P=81;break}B=0;Z=Sa(1,_|0,+(d*100.0))|0;_=B;B=0;if(_&1){P=81;break}B=0;Ia(40,Z|0,148274,3)|0;Z=B;B=0;if(Z&1){P=81;break}B=0;wa(510,s|0,E|0);Z=B;B=0;if(Z&1){P=81;break}B=0;ya(425,s|0)|0;Z=B;B=0;if(Z&1){Z=Rb()|0;_=Q;Yua(s);aa=_;ba=Z;break}else{Yua(s);k[q>>2]=27468;k[c>>2]=27488;k[E>>2]=27560;Yua(A);Ava(E);vva(c);I=0;break a}}else P=81;while(0);if((P|0)==81){N=Rb()|0;aa=Q;ba=N}k[q>>2]=27468;k[c>>2]=27488;k[E>>2]=27560;Yua(A);Ava(E);vva(c);T=aa;U=ba;Qb(U|0)}while(0);V=X;W=Y;vva(c);Qb(W|0)}}else I=1;while(0);d=+$(+e);p[t>>3]=d;W=k[t+4>>2]|0;if(W>>>0>2146435072|(W|0)==2146435072&(k[t>>2]|0)>>>0>0){ca=I;da=ca&1;i[a>>0]=da;r=f;return}W=EY()|0;if(F<e){if(!W){ca=I;da=ca&1;i[a>>0]=da;r=f;return}Y=u+56|0;X=u+4|0;k[u>>2]=27524;k[Y>>2]=27544;B=0;wa(508,u+56|0,X|0);V=B;B=0;if(V&1){V=Rb()|0;ea=Q;fa=V;vva(Y);Qb(fa|0)}k[u+128>>2]=0;k[u+132>>2]=-1;k[u>>2]=27468;k[Y>>2]=27488;B=0;va(448,X|0);V=B;B=0;do if(V&1){ba=Rb()|0;ga=Q;ha=ba}else{k[X>>2]=27560;ba=u+36|0;k[ba>>2]=0;k[ba+4>>2]=0;k[ba+8>>2]=0;k[ba+12>>2]=0;k[u+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,X|0,g|0);aa=B;B=0;if(aa&1){aa=Rb()|0;q=Q;Yua(g);Yua(ba);Ava(X);ga=q;ha=aa;break}Yua(g);k[u+(k[(k[u>>2]|0)+-12>>2]|0)+12>>2]=50;aa=u+(k[(k[u>>2]|0)+-12>>2]|0)+4|0;k[aa>>2]=k[aa>>2]&-177|32;B=0;aa=Ia(40,u|0,137803,37)|0;q=B;B=0;do if(!(q&1)?(B=0,s=Sa(1,aa|0,+F)|0,K=B,B=0,!(K&1)):0){B=0;K=Ia(40,s|0,148270,3)|0;s=B;B=0;if(s&1){P=103;break}B=0;s=Sa(1,K|0,+e)|0;K=B;B=0;if(K&1){P=103;break}B=0;Ia(40,s|0,137841,2)|0;s=B;B=0;if(s&1){P=103;break}B=0;wa(510,v|0,X|0);s=B;B=0;if(s&1){P=103;break}B=0;ya(425,v|0)|0;s=B;B=0;if(s&1){s=Rb()|0;K=Q;Yua(v);ia=K;ja=s;break}Yua(v);k[u>>2]=27468;k[Y>>2]=27488;k[X>>2]=27560;Yua(ba);Ava(X);vva(Y);ca=I;da=ca&1;i[a>>0]=da;r=f;return}else P=103;while(0);if((P|0)==103){aa=Rb()|0;ia=Q;ja=aa}k[u>>2]=27468;k[Y>>2]=27488;k[X>>2]=27560;Yua(ba);Ava(X);vva(Y);T=ia;U=ja;Qb(U|0)}while(0);ea=ga;fa=ha;vva(Y);Qb(fa|0)}else{if(!W){ca=0;da=ca&1;i[a>>0]=da;r=f;return}W=w+56|0;fa=w+4|0;k[w>>2]=27524;k[W>>2]=27544;B=0;wa(508,w+56|0,fa|0);Y=B;B=0;if(Y&1){Y=Rb()|0;ka=Q;la=Y;vva(W);Qb(la|0)}k[w+128>>2]=0;k[w+132>>2]=-1;k[w>>2]=27468;k[W>>2]=27488;B=0;va(448,fa|0);Y=B;B=0;do if(Y&1){ha=Rb()|0;ma=Q;na=ha}else{k[fa>>2]=27560;ha=w+36|0;k[ha>>2]=0;k[ha+4>>2]=0;k[ha+8>>2]=0;k[ha+12>>2]=0;k[w+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,fa|0,g|0);ga=B;B=0;if(ga&1){ga=Rb()|0;ea=Q;Yua(g);Yua(ha);Ava(fa);ma=ea;na=ga;break}Yua(g);k[w+(k[(k[w>>2]|0)+-12>>2]|0)+12>>2]=50;ga=w+(k[(k[w>>2]|0)+-12>>2]|0)+4|0;k[ga>>2]=k[ga>>2]&-177|32;B=0;ga=Ia(40,w|0,137803,37)|0;ea=B;B=0;do if(!(ea&1)?(B=0,ja=Sa(1,ga|0,+F)|0,ia=B,B=0,!(ia&1)):0){B=0;ia=Ia(40,ja|0,148278,3)|0;ja=B;B=0;if(ja&1){P=123;break}B=0;ja=Sa(1,ia|0,+e)|0;ia=B;B=0;if(ia&1){P=123;break}B=0;Ia(40,ja|0,137841,2)|0;ja=B;B=0;if(ja&1){P=123;break}B=0;wa(510,x|0,fa|0);ja=B;B=0;if(ja&1){P=123;break}B=0;ya(425,x|0)|0;ja=B;B=0;if(ja&1){ja=Rb()|0;ia=Q;Yua(x);oa=ia;pa=ja;break}Yua(x);k[w>>2]=27468;k[W>>2]=27488;k[fa>>2]=27560;Yua(ha);Ava(fa);vva(W);ca=0;da=ca&1;i[a>>0]=da;r=f;return}else P=123;while(0);if((P|0)==123){ga=Rb()|0;oa=Q;pa=ga}k[w>>2]=27468;k[W>>2]=27488;k[fa>>2]=27560;Yua(ha);Ava(fa);vva(W);T=oa;U=pa;Qb(U|0)}while(0);ka=ma;la=na;vva(W);Qb(la|0)}}la=h+56|0;W=h+4|0;k[h>>2]=27524;k[la>>2]=27544;B=0;wa(508,h+56|0,W|0);na=B;B=0;if(na&1){na=Rb()|0;qa=Q;ra=na;vva(la);Qb(ra|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[la>>2]=27488;B=0;va(448,W|0);na=B;B=0;do if(na&1){ma=Rb()|0;sa=Q;ta=ma}else{k[W>>2]=27560;ma=h+36|0;k[ma>>2]=0;k[ma+4>>2]=0;k[ma+8>>2]=0;k[ma+12>>2]=0;k[h+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,W|0,g|0);ka=B;B=0;if(ka&1){ka=Rb()|0;pa=Q;Yua(g);Yua(ma);Ava(W);sa=pa;ta=ka;break}Yua(g);B=0;ka=Ia(40,h|0,148282,29)|0;pa=B;B=0;b:do if(!(pa&1)?(B=0,Xa(239,ka|0,0)|0,oa=B,B=0,!(oa&1)):0){oa=Ab(20)|0;B=0;eb(502,j|0,137655,86);fa=B;B=0;do if(!(fa&1)){B=0;eb(502,l|0,137742,14);w=B;B=0;if(w&1){w=Rb()|0;f=Q;Yua(j);xa=f;za=w;break}B=0;wa(510,m|0,W|0);w=B;B=0;if(w&1){w=Rb()|0;Aa=Q;Ba=w;Ca=1}else{B=0;ua(163,oa|0,j|0,l|0,130,m|0);w=B;B=0;if(w&1)Da=1;else{B=0;eb(503,oa|0,1240,229);B=0;Da=0}w=Rb()|0;f=Q;Yua(m);Aa=f;Ba=w;Ca=Da}Yua(l);Yua(j);if(Ca){xa=Aa;za=Ba}else{Ea=Aa;Fa=Ba;break b}}else{w=Rb()|0;xa=Q;za=w}while(0);zb(oa|0);Ea=xa;Fa=za}else P=29;while(0);if((P|0)==29){ka=Rb()|0;Ea=Q;Fa=ka}k[h>>2]=27468;k[la>>2]=27488;k[W>>2]=27560;Yua(ma);Ava(W);vva(la);T=Ea;U=Fa;Qb(U|0)}while(0);qa=sa;ra=ta;vva(la);Qb(ra|0)}function aja(a,b,c){a=a|0;b=b|0;c=c|0;return}function bja(a,b,c){a=a|0;b=b|0;c=c|0;return}function cja(a,b,c){a=a|0;b=b|0;c=c|0;hoa(b,c,998,738,534);return}function dja(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 1}function eja(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0;a=c+56|0;f=k[a>>2]|0;if((f|0)>0){g=c+32|0;h=f;f=0;j=0;while(1){if(!(i[(k[g>>2]|0)+j>>0]|0)){l=h;m=f}else{n=qh(b,f)|0;Uc[k[(k[n>>2]|0)+480>>2]&63](n,j,c,d,e,738);l=k[a>>2]|0;m=f+1|0}j=j+1|0;if((j|0)>=(l|0))break;else{h=l;f=m}}}Zka(c,b,137867,206);Zka(c,b,137888,207);Zka(c,b,137911,208);Zka(c,b,137933,1001);Yka(c,b,137955,999,0.0);return}function fja(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0.0,G=0.0,H=0.0,I=0,J=0.0,K=0.0,L=0.0,M=0.0,N=0,O=0.0,P=0.0,R=0.0,S=0.0,T=0,U=0,V=0,W=0,X=0,Y=0;e=r;r=r+64|0;d=e+52|0;a=e+48|0;f=e+44|0;g=e+56|0;h=e+40|0;j=e+36|0;l=e+32|0;m=e;n=e+28|0;o=e+24|0;q=e+20|0;s=e+16|0;t=e+12|0;u=e+8|0;k[a>>2]=0;k[f>>2]=0;i[g>>0]=0;p[m>>3]=.01;k[o>>2]=0;k[q>>2]=0;k[s>>2]=0;k[t>>2]=0;YN(b,Ika(c,137971,1003)|0);YN(b,Ika(c,137985,1004)|0);YN(b,Ika(c,137999,1002)|0);YN(b,Ika(c,138014,1009)|0);YN(b,Ika(c,138027,1010)|0);Kka(c,g,138027);if(i[g>>0]|0){Qka(c,a,d,0,138042);Qka(c,f,d,0,138056);Pka(c,m,138070);g=~~(180.0/+p[m>>3]+1.0);v=Rqa(g>>>0>536870911?-1:g<<3)|0;w=boa(g,uY()|0)|0;k[h>>2]=w;coa(j,l,w,uY()|0);x=Rqa(w>>>0>536870911?-1:w<<3)|0;w=k[j>>2]|0;y=k[l>>2]|0;a:do if((w|0)<(y|0)){l=k[d>>2]|0;z=l+-1|0;A=k[f>>2]|0;C=A+(z<<3)|0;D=k[a>>2]|0;E=D+(z<<3)|0;F=+p[m>>3];if((l|0)>0){G=0.0;H=0.0;I=w}else{z=w;while(1){J=(+p[C>>3]-+p[E>>3])*.5/+da(+(+(z|0)*F*3.141592653589793/180.0*.5));p[x+(z-w<<3)>>3]=J;z=z+1|0;if((z|0)>=(y|0))break a}}while(1){J=+(I|0)*F*3.141592653589793/180.0;K=(+p[C>>3]-+p[E>>3])*.5/+da(+(J*.5));z=x+(I-w<<3)|0;p[z>>3]=K;L=K;K=G;M=H;N=0;while(1){O=+p[A+(N<<3)>>3]-+p[C>>3]-+p[D+(N<<3)>>3]+ +p[E>>3];switch(N|0){case 0:{P=1.0;break}case 1:{P=+ca(+J);break}default:P=(K*(+((N<<1)+-1|0)*+ca(+J))-M*+(N+-1|0))/+(N|0)}L=O*P+L;p[z>>3]=L;N=N+1|0;if((N|0)==(l|0)){R=P;S=K;break}else{O=K;K=P;M=O}}N=I+1|0;if((N|0)<(y|0)){G=R;H=S;I=N}else break}}while(0);I=wY()|0;y=Rqa(I>>>0>1073741823?-1:I<<2)|0;I=wY()|0;w=Rqa(I>>>0>1073741823?-1:I<<2)|0;dZ(h,1,4,y,1,4,uY()|0)|0;dZ(j,1,4,w,1,4,uY()|0)|0;j=k[h>>2]|0;eZ(x,j,2,v,y,w,2,uY()|0)|0;Tqa(y);Tqa(w);p[v>>3]=+p[v+8>>3];w=Qqa(16)|0;B=0;ib(297,w|0,1012,v|0,g|0);g=B;B=0;if(g&1){g=Rb()|0;y=Q;Sqa(w);T=y;U=g;Qb(U|0)}YN(b,w);w=k[a>>2]|0;if(w)Tqa(w);k[a>>2]=0;a=k[f>>2]|0;if(a)Tqa(a);k[f>>2]=0;Tqa(v);Tqa(x)}Rka(c,q,s,t,u,138084);x=k[q>>2]|0;if(x){v=Qqa(24)|0;B=0;La(31,v|0,1014,x|0,k[u>>2]|0,k[s>>2]|0,k[t>>2]|0);x=B;B=0;if(x&1){x=Rb()|0;f=Q;Sqa(v);T=f;U=x;Qb(U|0)}YN(b,v);v=k[u>>2]|0;x=k[q>>2]|0;if((v|0)>0){f=x;a=v;v=0;while(1){w=k[f+(v<<2)>>2]|0;if(!w){V=a;W=f}else{Tqa(w);V=k[u>>2]|0;W=k[q>>2]|0}v=v+1|0;if((v|0)>=(V|0)){X=W;break}else{f=W;a=V}}}else X=x;if(X)Tqa(X);k[q>>2]=0;q=k[s>>2]|0;if(q)Tqa(q);k[s>>2]=0;s=k[t>>2]|0;if(s)Tqa(s);k[t>>2]=0}Hka(c,o,n,138103);t=Qqa(12)|0;B=0;eb(518,t|0,1016,k[n>>2]|0);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Sqa(t);T=q;U=s;Qb(U|0)}YN(b,t);t=k[n>>2]|0;if(!t){Y=0;Nka(c,o,Y,138103);r=e;return}s=Qqa(16)|0;B=0;ib(294,s|0,1015,k[o>>2]|0,t|0);t=B;B=0;if(t&1){t=Rb()|0;q=Q;Sqa(s);T=q;U=t;Qb(U|0)}else{YN(b,s);Y=k[n>>2]|0;Nka(c,o,Y,138103);r=e;return}}function gja(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,143640,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,138128,80);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138209,4);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,159,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function hja(a,b){a=a|0;b=b|0;return 0}function ija(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,138214,15)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,138128,80);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144398,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,166,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function jja(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,138128,80);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144189,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,169,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function kja(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,138128,80);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,144203,13);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,172,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0);return 0}function lja(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;c=r;r=r+192|0;b=c+176|0;a=c+40|0;d=c+24|0;e=c+12|0;f=c;c=a+56|0;g=a+4|0;k[a>>2]=27524;k[c>>2]=27544;B=0;wa(508,a+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(c);Qb(j|0)}k[a+128>>2]=0;k[a+132>>2]=-1;k[a>>2]=27468;k[c>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=a+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[a+52>>2]=16;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;B=0;wa(509,g|0,b|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(b);Yua(l);Ava(g);m=p;n=o;break}Yua(b);B=0;o=Ia(40,a|0,149721,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,138128,80);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,138230,21);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,175,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[a>>2]=27468;k[c>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(c);Qb(D|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}function mja(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;e=r;r=r+192|0;d=e+176|0;c=e+40|0;b=e+24|0;a=e+12|0;f=e;e=c+56|0;g=c+4|0;k[c>>2]=27524;k[e>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(e);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[e>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,g|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(d);Yua(l);Ava(g);m=p;n=o;break}Yua(d);B=0;o=Ia(40,c|0,144350,19)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,b|0,138128,80);s=B;B=0;do if(!(s&1)){B=0;eb(502,a|0,138252,9);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(b);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,b|0,a|0,178,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(a);Yua(b);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[e>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(e);Qb(D|0)}while(0);i=m;j=n;vva(e);Qb(j|0)}function nja(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;a=Hc[k[(k[c>>2]|0)+172>>2]&511](c)|0;d=Rqa(a>>>0>1073741823?-1:a<<2)|0;Ip(c,d);e=a>>>0>536870911?-1:a<<3;f=Rqa(e)|0;g=(a|0)>0;if(g){h=0;do{p[f+(h<<3)>>3]=+p[b+(k[d+(h<<2)>>2]<<3)>>3];h=h+1|0}while((h|0)!=(a|0))}h=Rqa(e)|0;yp(c,h,999,0.0);if(g)i=0;else{j=k[c>>2]|0;l=j+48|0;m=k[l>>2]|0;rd[m&511](c,999,h,738);Tqa(d);Tqa(f);Tqa(h);return}do{g=h+(i<<3)|0;p[g>>3]=+p[f+(i<<3)>>3]+ +p[g>>3];i=i+1|0}while((i|0)!=(a|0));j=k[c>>2]|0;l=j+48|0;m=k[l>>2]|0;rd[m&511](c,999,h,738);Tqa(d);Tqa(f);Tqa(h);return}function oja(a,b){a=a|0;b=b|0;return}function pja(a){a=a|0;Sqa(a);return}function qja(a){a=a|0;k[a>>2]=40684;k[a+16>>2]=-1;k[a+20>>2]=0;k[a+24>>2]=0;p[a+8>>3]=-9999.0;p[a+32>>3]=-9999.0;return}function rja(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;c=r;r=r+16|0;d=c+4|0;e=c;k[a>>2]=40684;k[d>>2]=0;k[e>>2]=0;f=a+16|0;k[f>>2]=b;Sna(d,e,b);b=k[f>>2]|0;f=b>>>0>536870911?-1:b<<3;g=Rqa(f)|0;k[a+24>>2]=g;h=Rqa(f)|0;k[a+20>>2]=h;f=k[d>>2]|0;if((b|0)<=0){if(f)i=4}else{j=k[e>>2]|0;l=0;do{p[g+(l<<3)>>3]=+p[f+(l<<3)>>3];p[h+(l<<3)>>3]=+p[j+(l<<3)>>3];l=l+1|0}while((l|0)<(b|0));i=4}if((i|0)==4)Tqa(f);k[d>>2]=0;d=k[e>>2]|0;if(!d){m=a+8|0;p[m>>3]=-9999.0;n=a+32|0;p[n>>3]=-9999.0;r=c;return}Tqa(d);m=a+8|0;p[m>>3]=-9999.0;n=a+32|0;p[n>>3]=-9999.0;r=c;return}function sja(a,b){a=a|0;b=+b;var c=0,d=0;k[a>>2]=40684;k[a+16>>2]=1;c=Rqa(8)|0;k[a+24>>2]=c;d=Rqa(8)|0;k[a+20>>2]=d;p[c>>3]=b;p[d>>3]=1.0;p[a+8>>3]=-9999.0;p[a+32>>3]=-9999.0;return}function tja(a){a=a|0;var b=0,c=0;k[a>>2]=40684;b=a+20|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+24|0;a=k[b>>2]|0;if(!a){k[b>>2]=0;return}Tqa(a);k[b>>2]=0;return}function uja(a){a=a|0;var b=0,c=0;k[a>>2]=40684;b=a+20|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=k[a+24>>2]|0;if(!b){Sqa(a);return}Tqa(b);Sqa(a);return}function vja(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0;b=r;r=r+1664|0;c=b+1652|0;d=b+1456|0;e=b+1640|0;f=b+1320|0;g=b+1628|0;h=b+1168|0;i=b+1616|0;j=b+1032|0;l=b+1604|0;m=b+880|0;n=b+1592|0;o=b+728|0;q=b+1304|0;s=b+592|0;t=b+1016|0;u=b+440|0;v=b+864|0;w=b+304|0;x=b+576|0;y=b+168|0;z=b+152|0;A=b+16|0;C=b;D=d+56|0;E=d+4|0;k[d>>2]=27524;k[D>>2]=27544;B=0;wa(508,d+56|0,E|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;H=F;vva(D);Qb(H|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[D>>2]=27488;B=0;va(448,E|0);F=B;B=0;do if(F&1){I=Rb()|0;J=Q;K=I}else{k[E>>2]=27560;I=d+36|0;k[I>>2]=0;k[I+4>>2]=0;k[I+8>>2]=0;k[I+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,E|0,c|0);L=B;B=0;if(L&1){L=Rb()|0;M=Q;Yua(c);Yua(I);Ava(E);J=M;K=L;break}Yua(c);B=0;Ia(40,d|0,138272,10)|0;L=B;B=0;do if(!(L&1)?(B=0,wa(510,e|0,E|0),M=B,B=0,!(M&1)):0){B=0;ya(424,e|0)|0;M=B;B=0;if(M&1){M=Rb()|0;N=Q;Yua(e);O=N;P=M;break}Yua(e);k[d>>2]=27468;k[D>>2]=27488;k[E>>2]=27560;Yua(I);Ava(E);vva(D);M=f+56|0;N=f+4|0;k[f>>2]=27524;k[M>>2]=27544;B=0;wa(508,f+56|0,N|0);R=B;B=0;if(R&1){R=Rb()|0;S=Q;T=R;vva(M);Qb(T|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[M>>2]=27488;B=0;va(448,N|0);R=B;B=0;do if(R&1){U=Rb()|0;V=Q;W=U}else{k[N>>2]=27560;U=f+36|0;k[U>>2]=0;k[U+4>>2]=0;k[U+8>>2]=0;k[U+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,N|0,c|0);X=B;B=0;if(X&1){X=Rb()|0;Y=Q;Yua(c);Yua(U);Ava(N);V=Y;W=X;break}Yua(c);B=0;X=Ia(40,f|0,139266,13)|0;Y=B;B=0;do if(((!(Y&1)?(Z=a+16|0,B=0,_=Xa(242,X|0,k[Z>>2]|0)|0,$=B,B=0,!($&1)):0)?(B=0,Ia(40,_|0,149177,1)|0,_=B,B=0,!(_&1)):0)?(B=0,wa(510,g|0,N|0),_=B,B=0,!(_&1)):0){B=0;ya(424,g|0)|0;_=B;B=0;if(_&1){_=Rb()|0;$=Q;Yua(g);aa=$;ba=_;break}Yua(g);k[f>>2]=27468;k[M>>2]=27488;k[N>>2]=27560;Yua(U);Ava(N);vva(M);_=a+20|0;a:do if(!(k[_>>2]|0)){$=o+56|0;ca=o+4|0;k[o>>2]=27524;k[$>>2]=27544;B=0;wa(508,o+56|0,ca|0);da=B;B=0;if(da&1){da=Rb()|0;ea=Q;fa=da;vva($);Qb(fa|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[$>>2]=27488;B=0;va(448,ca|0);da=B;B=0;do if(da&1){ga=Rb()|0;ha=Q;ia=ga}else{k[ca>>2]=27560;ga=o+36|0;k[ga>>2]=0;k[ga+4>>2]=0;k[ga+8>>2]=0;k[ga+12>>2]=0;k[o+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ca|0,c|0);ja=B;B=0;if(ja&1){ja=Rb()|0;ka=Q;Yua(c);Yua(ga);Ava(ca);ha=ka;ia=ja;break}Yua(c);B=0;Ia(40,o|0,139295,15)|0;ja=B;B=0;do if(!(ja&1)){B=0;wa(510,q|0,ca|0);ka=B;B=0;if(ka&1){la=92;break}B=0;ya(424,q|0)|0;ka=B;B=0;if(ka&1){ka=Rb()|0;ma=Q;Yua(q);na=ma;oa=ka;break}else{Yua(q);k[o>>2]=27468;k[$>>2]=27488;k[ca>>2]=27560;Yua(ga);Ava(ca);vva($);break a}}else la=92;while(0);if((la|0)==92){ja=Rb()|0;na=Q;oa=ja}k[o>>2]=27468;k[$>>2]=27488;k[ca>>2]=27560;Yua(ga);Ava(ca);vva($);pa=na;qa=oa;Qb(qa|0)}while(0);ea=ha;fa=ia;vva($);Qb(fa|0)}else{ca=h+56|0;da=h+4|0;k[h>>2]=27524;k[ca>>2]=27544;B=0;wa(508,h+56|0,da|0);ja=B;B=0;if(ja&1){ja=Rb()|0;ra=Q;sa=ja;vva(ca);Qb(sa|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[ca>>2]=27488;B=0;va(448,da|0);ja=B;B=0;do if(ja&1){ka=Rb()|0;ta=Q;ua=ka}else{k[da>>2]=27560;ka=h+36|0;k[ka>>2]=0;k[ka+4>>2]=0;k[ka+8>>2]=0;k[ka+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,da|0,c|0);ma=B;B=0;if(ma&1){ma=Rb()|0;xa=Q;Yua(c);Yua(ka);Ava(da);ta=xa;ua=ma;break}Yua(c);B=0;Ia(40,h|0,139280,14)|0;ma=B;B=0;do if(ma&1)la=54;else{B=0;wa(510,i|0,da|0);xa=B;B=0;if(xa&1){la=54;break}B=0;ya(424,i|0)|0;xa=B;B=0;if(xa&1){xa=Rb()|0;za=Q;Yua(i);Aa=za;Ba=xa;break}Yua(i);k[h>>2]=27468;k[ca>>2]=27488;k[da>>2]=27560;Yua(ka);Ava(da);vva(ca);b:do if((k[Z>>2]|0)>0){xa=j+56|0;za=j+4|0;Ca=j+56|0;Da=j+128|0;Ea=j+132|0;Fa=j+36|0;Ga=j+52|0;Ha=0;while(1){k[j>>2]=27524;k[xa>>2]=27544;B=0;wa(508,Ca|0,za|0);Ja=B;B=0;if(Ja&1){la=61;break}k[Da>>2]=0;k[Ea>>2]=-1;k[j>>2]=27468;k[xa>>2]=27488;B=0;va(448,za|0);Ja=B;B=0;if(Ja&1){la=62;break}k[za>>2]=27560;k[Fa>>2]=0;k[Fa+4>>2]=0;k[Fa+8>>2]=0;k[Fa+12>>2]=0;k[Ga>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,za|0,c|0);Ja=B;B=0;if(Ja&1){la=60;break}Yua(c);B=0;Ja=Ia(40,j|0,149175,1)|0;Ka=B;B=0;if(Ka&1){la=71;break}B=0;Ka=Sa(1,Ja|0,+(+p[(k[_>>2]|0)+(Ha<<3)>>3]))|0;Ja=B;B=0;if(Ja&1){la=71;break}B=0;Ia(40,Ka|0,149177,1)|0;Ka=B;B=0;if(Ka&1){la=71;break}B=0;wa(510,l|0,za|0);Ka=B;B=0;if(Ka&1){la=71;break}B=0;ya(424,l|0)|0;Ka=B;B=0;if(Ka&1){la=72;break}Yua(l);k[j>>2]=27468;k[xa>>2]=27488;k[za>>2]=27560;Yua(Fa);Ava(za);vva(xa);Ha=Ha+1|0;if((Ha|0)>=(k[Z>>2]|0))break b}if((la|0)==60){Ha=Rb()|0;Ga=Q;Yua(c);Yua(Fa);Ava(za);La=Ga;Ma=Ha;la=63}else if((la|0)==61){Ha=Rb()|0;Na=Q;Oa=Ha;vva(xa);Qb(Oa|0)}else if((la|0)==62){Ha=Rb()|0;La=Q;Ma=Ha;la=63}else if((la|0)==71){Ha=Rb()|0;Pa=Q;Qa=Ha;la=73}else if((la|0)==72){Ha=Rb()|0;Ga=Q;Yua(l);Pa=Ga;Qa=Ha;la=73}if((la|0)==63){Na=La;Oa=Ma;vva(xa);Qb(Oa|0)}else if((la|0)==73){k[j>>2]=27468;k[xa>>2]=27488;k[za>>2]=27560;Yua(Fa);Ava(za);vva(xa);pa=Pa;qa=Qa;Qb(qa|0)}}while(0);Ha=m+56|0;Ga=m+4|0;k[m>>2]=27524;k[Ha>>2]=27544;B=0;wa(508,m+56|0,Ga|0);Ea=B;B=0;if(Ea&1){Ea=Rb()|0;Ra=Q;Ta=Ea;vva(Ha);Qb(Ta|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[Ha>>2]=27488;B=0;va(448,Ga|0);Ea=B;B=0;do if(Ea&1){Da=Rb()|0;Ua=Q;Va=Da}else{k[Ga>>2]=27560;Da=m+36|0;k[Da>>2]=0;k[Da+4>>2]=0;k[Da+8>>2]=0;k[Da+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ga|0,c|0);Ca=B;B=0;if(Ca&1){Ca=Rb()|0;Ka=Q;Yua(c);Yua(Da);Ava(Ga);Ua=Ka;Va=Ca;break}Yua(c);B=0;Ia(40,m|0,149198,2)|0;Ca=B;B=0;do if(!(Ca&1)){B=0;wa(510,n|0,Ga|0);Ka=B;B=0;if(Ka&1){la=77;break}B=0;ya(424,n|0)|0;Ka=B;B=0;if(Ka&1){Ka=Rb()|0;Ja=Q;Yua(n);Wa=Ja;Ya=Ka;break}else{Yua(n);k[m>>2]=27468;k[Ha>>2]=27488;k[Ga>>2]=27560;Yua(Da);Ava(Ga);vva(Ha);break a}}else la=77;while(0);if((la|0)==77){Ca=Rb()|0;Wa=Q;Ya=Ca}k[m>>2]=27468;k[Ha>>2]=27488;k[Ga>>2]=27560;Yua(Da);Ava(Ga);vva(Ha);pa=Wa;qa=Ya;Qb(qa|0)}while(0);Ra=Ua;Ta=Va;vva(Ha);Qb(Ta|0)}while(0);if((la|0)==54){ma=Rb()|0;Aa=Q;Ba=ma}k[h>>2]=27468;k[ca>>2]=27488;k[da>>2]=27560;Yua(ka);Ava(da);vva(ca);pa=Aa;qa=Ba;Qb(qa|0)}while(0);ra=ta;sa=ua;vva(ca);Qb(sa|0)}while(0);_=a+24|0;c:do if(k[_>>2]|0){da=s+56|0;ja=s+4|0;k[s>>2]=27524;k[da>>2]=27544;B=0;wa(508,s+56|0,ja|0);$=B;B=0;if($&1){$=Rb()|0;Za=Q;_a=$;vva(da);Qb(_a|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[da>>2]=27488;B=0;va(448,ja|0);$=B;B=0;do if($&1){ma=Rb()|0;$a=Q;ab=ma}else{k[ja>>2]=27560;ma=s+36|0;k[ma>>2]=0;k[ma+4>>2]=0;k[ma+8>>2]=0;k[ma+12>>2]=0;k[s+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ja|0,c|0);ga=B;B=0;if(ga&1){ga=Rb()|0;Ga=Q;Yua(c);Yua(ma);Ava(ja);$a=Ga;ab=ga;break}Yua(c);B=0;Ia(40,s|0,139311,14)|0;ga=B;B=0;do if(ga&1)la=118;else{B=0;wa(510,t|0,ja|0);Ga=B;B=0;if(Ga&1){la=118;break}B=0;ya(424,t|0)|0;Ga=B;B=0;if(Ga&1){Ga=Rb()|0;Ea=Q;Yua(t);bb=Ea;cb=Ga;break}Yua(t);k[s>>2]=27468;k[da>>2]=27488;k[ja>>2]=27560;Yua(ma);Ava(ja);vva(da);d:do if((k[Z>>2]|0)>0){Ga=u+56|0;Ea=u+4|0;Ca=u+56|0;xa=u+128|0;za=u+132|0;Fa=u+36|0;Ka=u+52|0;Ja=0;while(1){k[u>>2]=27524;k[Ga>>2]=27544;B=0;wa(508,Ca|0,Ea|0);db=B;B=0;if(db&1){la=125;break}k[xa>>2]=0;k[za>>2]=-1;k[u>>2]=27468;k[Ga>>2]=27488;B=0;va(448,Ea|0);db=B;B=0;if(db&1){la=126;break}k[Ea>>2]=27560;k[Fa>>2]=0;k[Fa+4>>2]=0;k[Fa+8>>2]=0;k[Fa+12>>2]=0;k[Ka>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ea|0,c|0);db=B;B=0;if(db&1){la=124;break}Yua(c);B=0;db=Ia(40,u|0,149175,1)|0;eb=B;B=0;if(eb&1){la=135;break}B=0;eb=Sa(1,db|0,+(+p[(k[_>>2]|0)+(Ja<<3)>>3]))|0;db=B;B=0;if(db&1){la=135;break}B=0;Ia(40,eb|0,149177,1)|0;eb=B;B=0;if(eb&1){la=135;break}B=0;wa(510,v|0,Ea|0);eb=B;B=0;if(eb&1){la=135;break}B=0;ya(424,v|0)|0;eb=B;B=0;if(eb&1){la=136;break}Yua(v);k[u>>2]=27468;k[Ga>>2]=27488;k[Ea>>2]=27560;Yua(Fa);Ava(Ea);vva(Ga);Ja=Ja+1|0;if((Ja|0)>=(k[Z>>2]|0))break d}if((la|0)==124){Ja=Rb()|0;Ka=Q;Yua(c);Yua(Fa);Ava(Ea);fb=Ka;gb=Ja;la=127}else if((la|0)==125){Ja=Rb()|0;hb=Q;ib=Ja;vva(Ga);Qb(ib|0)}else if((la|0)==126){Ja=Rb()|0;fb=Q;gb=Ja;la=127}else if((la|0)==135){Ja=Rb()|0;jb=Q;kb=Ja;la=137}else if((la|0)==136){Ja=Rb()|0;Ka=Q;Yua(v);jb=Ka;kb=Ja;la=137}if((la|0)==127){hb=fb;ib=gb;vva(Ga);Qb(ib|0)}else if((la|0)==137){k[u>>2]=27468;k[Ga>>2]=27488;k[Ea>>2]=27560;Yua(Fa);Ava(Ea);vva(Ga);pa=jb;qa=kb;Qb(qa|0)}}while(0);Ha=w+56|0;Ja=w+4|0;k[w>>2]=27524;k[Ha>>2]=27544;B=0;wa(508,w+56|0,Ja|0);Ka=B;B=0;if(Ka&1){Ka=Rb()|0;lb=Q;mb=Ka;vva(Ha);Qb(mb|0)}k[w+128>>2]=0;k[w+132>>2]=-1;k[w>>2]=27468;k[Ha>>2]=27488;B=0;va(448,Ja|0);Ka=B;B=0;do if(Ka&1){za=Rb()|0;nb=Q;ob=za}else{k[Ja>>2]=27560;za=w+36|0;k[za>>2]=0;k[za+4>>2]=0;k[za+8>>2]=0;k[za+12>>2]=0;k[w+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ja|0,c|0);xa=B;B=0;if(xa&1){xa=Rb()|0;Ca=Q;Yua(c);Yua(za);Ava(Ja);nb=Ca;ob=xa;break}Yua(c);B=0;Ia(40,w|0,149198,2)|0;xa=B;B=0;do if(!(xa&1)){B=0;wa(510,x|0,Ja|0);Ca=B;B=0;if(Ca&1){la=141;break}B=0;ya(424,x|0)|0;Ca=B;B=0;if(Ca&1){Ca=Rb()|0;Da=Q;Yua(x);pb=Da;qb=Ca;break}else{Yua(x);k[w>>2]=27468;k[Ha>>2]=27488;k[Ja>>2]=27560;Yua(za);Ava(Ja);vva(Ha);break c}}else la=141;while(0);if((la|0)==141){xa=Rb()|0;pb=Q;qb=xa}k[w>>2]=27468;k[Ha>>2]=27488;k[Ja>>2]=27560;Yua(za);Ava(Ja);vva(Ha);pa=pb;qa=qb;Qb(qa|0)}while(0);lb=nb;mb=ob;vva(Ha);Qb(mb|0)}while(0);if((la|0)==118){ga=Rb()|0;bb=Q;cb=ga}k[s>>2]=27468;k[da>>2]=27488;k[ja>>2]=27560;Yua(ma);Ava(ja);vva(da);pa=bb;qa=cb;Qb(qa|0)}while(0);Za=$a;_a=ab;vva(da);Qb(_a|0)}while(0);Z=y+56|0;_=y+4|0;k[y>>2]=27524;k[Z>>2]=27544;B=0;wa(508,y+56|0,_|0);ja=B;B=0;if(ja&1){ja=Rb()|0;rb=Q;sb=ja;vva(Z);Qb(sb|0)}k[y+128>>2]=0;k[y+132>>2]=-1;k[y>>2]=27468;k[Z>>2]=27488;B=0;va(448,_|0);ja=B;B=0;do if(ja&1){$=Rb()|0;tb=Q;ub=$}else{k[_>>2]=27560;$=y+36|0;k[$>>2]=0;k[$+4>>2]=0;k[$+8>>2]=0;k[$+12>>2]=0;k[y+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,_|0,c|0);ca=B;B=0;if(ca&1){ca=Rb()|0;ga=Q;Yua(c);Yua($);Ava(_);tb=ga;ub=ca;break}Yua(c);B=0;ca=Ia(40,y|0,139435,12)|0;ga=B;B=0;do if(ga&1)la=171;else{B=0;ka=Sa(1,ca|0,+(+p[a+8>>3]))|0;Ja=B;B=0;if(Ja&1){la=171;break}B=0;Ia(40,ka|0,149177,1)|0;ka=B;B=0;if(ka&1){la=171;break}B=0;wa(510,z|0,_|0);ka=B;B=0;if(ka&1){la=171;break}B=0;ya(424,z|0)|0;ka=B;B=0;if(ka&1){ka=Rb()|0;Ja=Q;Yua(z);vb=Ja;wb=ka;break}Yua(z);k[y>>2]=27468;k[Z>>2]=27488;k[_>>2]=27560;Yua($);Ava(_);vva(Z);ka=A+56|0;Ja=A+4|0;k[A>>2]=27524;k[ka>>2]=27544;B=0;wa(508,A+56|0,Ja|0);Ka=B;B=0;if(Ka&1){Ka=Rb()|0;xb=Q;yb=Ka;vva(ka);Qb(yb|0)}k[A+128>>2]=0;k[A+132>>2]=-1;k[A>>2]=27468;k[ka>>2]=27488;B=0;va(448,Ja|0);Ka=B;B=0;do if(Ka&1){xa=Rb()|0;zb=Q;Ab=xa}else{k[Ja>>2]=27560;xa=A+36|0;k[xa>>2]=0;k[xa+4>>2]=0;k[xa+8>>2]=0;k[xa+12>>2]=0;k[A+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ja|0,c|0);Ga=B;B=0;if(Ga&1){Ga=Rb()|0;Ea=Q;Yua(c);Yua(xa);Ava(Ja);zb=Ea;Ab=Ga;break}Yua(c);B=0;Ga=Ia(40,A|0,139448,12)|0;Ea=B;B=0;do if(!(Ea&1)){B=0;Fa=Sa(1,Ga|0,+(+p[a+32>>3]))|0;Ca=B;B=0;if(Ca&1){la=174;break}B=0;Ia(40,Fa|0,149177,1)|0;Fa=B;B=0;if(Fa&1){la=174;break}B=0;wa(510,C|0,Ja|0);Fa=B;B=0;if(Fa&1){la=174;break}B=0;ya(424,C|0)|0;Fa=B;B=0;if(Fa&1){Fa=Rb()|0;Ca=Q;Yua(C);Bb=Ca;Cb=Fa;break}else{Yua(C);k[A>>2]=27468;k[ka>>2]=27488;k[Ja>>2]=27560;Yua(xa);Ava(Ja);vva(ka);r=b;return}}else la=174;while(0);if((la|0)==174){Ga=Rb()|0;Bb=Q;Cb=Ga}k[A>>2]=27468;k[ka>>2]=27488;k[Ja>>2]=27560;Yua(xa);Ava(Ja);vva(ka);pa=Bb;qa=Cb;Qb(qa|0)}while(0);xb=zb;yb=Ab;vva(ka);Qb(yb|0)}while(0);if((la|0)==171){ca=Rb()|0;vb=Q;wb=ca}k[y>>2]=27468;k[Z>>2]=27488;k[_>>2]=27560;Yua($);Ava(_);vva(Z);pa=vb;qa=wb;Qb(qa|0)}while(0);rb=tb;sb=ub;vva(Z);Qb(sb|0)}else la=51;while(0);if((la|0)==51){X=Rb()|0;aa=Q;ba=X}k[f>>2]=27468;k[M>>2]=27488;k[N>>2]=27560;Yua(U);Ava(N);vva(M);pa=aa;qa=ba;Qb(qa|0)}while(0);S=V;T=W;vva(M);Qb(T|0)}else la=48;while(0);if((la|0)==48){L=Rb()|0;O=Q;P=L}k[d>>2]=27468;k[D>>2]=27488;k[E>>2]=27560;Yua(I);Ava(E);vva(D);pa=O;qa=P;Qb(qa|0)}while(0);G=J;H=K;vva(D);Qb(H|0)}function wja(a){a=a|0;return 929}function xja(a,b){a=a|0;b=b|0;p[a+8>>3]=+p[(k[a+20>>2]|0)+(b<<3)>>3];p[a+32>>3]=+p[(k[a+24>>2]|0)+(b<<3)>>3];return}function yja(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;switch(b|0){case 0:{p[a+32>>3]=-1.0;r=c;return}case 1:{p[a+32>>3]=1.0;r=c;return}default:{c=e+56|0;a=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,a|0);b=B;B=0;if(b&1){b=Rb()|0;i=Q;j=b;vva(c);Qb(j|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,a|0);b=B;B=0;do if(b&1){l=Rb()|0;m=Q;n=l}else{k[a>>2]=27560;l=e+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,a|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;q=Q;Yua(d);Yua(l);Ava(a);m=q;n=o;break}Yua(d);B=0;o=Ia(40,e|0,138283,31)|0;q=B;B=0;if(!(q&1)?(B=0,Xa(239,o|0,0)|0,o=B,B=0,!(o&1)):0){o=Ab(20)|0;B=0;eb(502,f|0,138315,73);q=B;B=0;do if(!(q&1)){B=0;eb(502,g|0,139532,11);s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(f);u=t;v=s;break}B=0;wa(510,h|0,a|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,o|0,f|0,g|0,120,h|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,o|0,1240,229);B=0;z=0}s=Rb()|0;t=Q;Yua(h);w=t;x=s;y=z}Yua(g);Yua(f);if(y){u=w;v=x}else{A=w;C=x;k[e>>2]=27468;k[c>>2]=27488;k[a>>2]=27560;Yua(l);Ava(a);vva(c);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(o|0);A=u;C=v;k[e>>2]=27468;k[c>>2]=27488;k[a>>2]=27560;Yua(l);Ava(a);vva(c);Qb(C|0)}q=Rb()|0;A=Q;C=q;k[e>>2]=27468;k[c>>2]=27488;k[a>>2]=27560;Yua(l);Ava(a);vva(c);Qb(C|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}}}function zja(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0;d=r;r=r+368|0;e=d+344|0;f=d+208|0;g=d+196|0;h=d+184|0;i=d+36|0;j=d+48|0;l=d+24|0;m=d+12|0;n=d;if((b&-2|0)!=738){o=j+56|0;q=j+4|0;k[j>>2]=27524;k[o>>2]=27544;B=0;wa(508,j+56|0,q|0);s=B;B=0;if(s&1){s=Rb()|0;t=Q;u=s;vva(o);Qb(u|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[o>>2]=27488;B=0;va(448,q|0);s=B;B=0;do if(s&1){v=Rb()|0;w=Q;x=v}else{k[q>>2]=27560;v=j+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[j+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,q|0,e|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(e);Yua(v);Ava(q);w=z;x=y;break}Yua(e);B=0;y=Ia(40,j|0,145867,15)|0;z=B;B=0;a:do if((((!(z&1)?(B=0,A=ya(427,b|0)|0,C=B,B=0,!(C&1)):0)?(C=Lta(A)|0,B=0,D=Ia(40,y|0,A|0,C|0)|0,C=B,B=0,!(C&1)):0)?(B=0,C=Ia(40,D|0,144645,14)|0,D=B,B=0,!(D&1)):0)?(B=0,Xa(239,C|0,0)|0,C=B,B=0,!(C&1)):0){C=Ab(20)|0;B=0;eb(502,l|0,138315,73);D=B;B=0;do if(!(D&1)){B=0;eb(502,m|0,139574,9);A=B;B=0;if(A&1){A=Rb()|0;E=Q;Yua(l);F=A;G=E;break}B=0;wa(510,n|0,q|0);E=B;B=0;if(E&1){E=Rb()|0;H=1;I=Q;J=E}else{B=0;ua(163,C|0,l|0,m|0,138,n|0);E=B;B=0;if(E&1)K=1;else{B=0;eb(503,C|0,1240,229);B=0;K=0}E=Rb()|0;A=Q;Yua(n);H=K;I=A;J=E}Yua(m);Yua(l);if(H){F=J;G=I}else{L=I;M=J;break a}}else{E=Rb()|0;F=E;G=Q}while(0);zb(C|0);L=G;M=F}else N=46;while(0);if((N|0)==46){y=Rb()|0;L=Q;M=y}k[j>>2]=27468;k[o>>2]=27488;k[q>>2]=27560;Yua(v);Ava(q);vva(o);O=L;P=M;Qb(P|0)}while(0);t=w;u=x;vva(o);Qb(u|0)}switch(c|0){case 0:{p[a+32>>3]=-1.0;r=d;return}case 1:{p[a+32>>3]=1.0;r=d;return}default:{d=f+56|0;a=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,a|0);c=B;B=0;if(c&1){c=Rb()|0;R=Q;S=c;vva(d);Qb(S|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,a|0);c=B;B=0;do if(c&1){u=Rb()|0;T=Q;U=u}else{k[a>>2]=27560;u=f+36|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;k[u+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,a|0,e|0);o=B;B=0;if(o&1){o=Rb()|0;x=Q;Yua(e);Yua(u);Ava(a);T=x;U=o;break}Yua(e);B=0;o=Ia(40,f|0,138389,29)|0;x=B;B=0;b:do if(!(x&1)?(B=0,Xa(239,o|0,0)|0,w=B,B=0,!(w&1)):0){w=Ab(20)|0;B=0;eb(502,g|0,138315,73);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,139574,9);M=B;B=0;if(M&1){M=Rb()|0;L=Q;Yua(g);V=M;W=L;break}B=0;wa(510,i|0,a|0);L=B;B=0;if(L&1){L=Rb()|0;X=Q;Y=L;Z=1}else{B=0;ua(163,w|0,g|0,h|0,135,i|0);L=B;B=0;if(L&1)_=1;else{B=0;eb(503,w|0,1240,229);B=0;_=0}L=Rb()|0;M=Q;Yua(i);X=M;Y=L;Z=_}Yua(h);Yua(g);if(Z){V=Y;W=X}else{$=Y;aa=X;break b}}else{L=Rb()|0;V=L;W=Q}while(0);zb(w|0);$=V;aa=W}else N=20;while(0);if((N|0)==20){o=Rb()|0;$=o;aa=Q}k[f>>2]=27468;k[d>>2]=27488;k[a>>2]=27560;Yua(u);Ava(a);vva(d);O=aa;P=$;Qb(P|0)}while(0);R=T;S=U;vva(d);Qb(S|0)}}}function Aja(a){a=a|0;return 0}function Bja(a){a=a|0;return k[a+16>>2]|0}function Cja(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,145010,13)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,138315,73);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,139078,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,167,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function Dja(a){a=a|0;var b=0;k[a>>2]=40732;k[a+16>>2]=-1;b=a+20|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;p[a+8>>3]=-9999.0;p[a+40>>3]=-9999.0;p[a+48>>3]=-9999.0;p[a+56>>3]=-9999.0;return}function Eja(a,b){a=a|0;b=b|0;k[a>>2]=40732;Una(a+16|0,a+24|0,a+28|0,a+32|0,a+20|0,b);p[a+8>>3]=-9999.0;p[a+40>>3]=-9999.0;p[a+48>>3]=-9999.0;p[a+56>>3]=-9999.0;return}function Fja(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0.0,ga=0.0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0.0,Ea=0.0,Fa=0.0,Ga=0;e=r;r=r+384|0;f=e+372|0;g=e+360|0;h=e+356|0;i=e+352|0;j=e+216|0;l=e+200|0;m=e+48|0;n=e+36|0;o=e+64|0;q=e+24|0;s=e+12|0;t=e;k[a>>2]=40732;k[h>>2]=0;k[i>>2]=0;u=a+16|0;k[u>>2]=d;B=0;eb(526,h|0,i|0,d|0);d=B;B=0;a:do if((((!(d&1)?(v=k[u>>2]|0,w=v>>>0>536870911?-1:v<<3,B=0,x=ya(422,w|0)|0,y=B,B=0,!(y&1)):0)?(k[a+24>>2]=x,B=0,y=ya(422,w|0)|0,z=B,B=0,!(z&1)):0)?(k[a+28>>2]=y,B=0,z=ya(422,w|0)|0,A=B,B=0,!(A&1)):0)?(k[a+32>>2]=z,B=0,A=ya(422,w|0)|0,w=B,B=0,!(w&1)):0){k[a+20>>2]=A;switch(b|0){case 0:{C=1.0;D=0.0;E=0.0;break}case 1:{C=0.0;D=1.0;E=0.0;break}case 2:{C=0.0;D=0.0;E=1.0;break}default:{w=j+56|0;F=j+4|0;k[j>>2]=27524;k[w>>2]=27544;B=0;wa(508,j+56|0,F|0);G=B;B=0;if(G&1){G=Rb()|0;H=Q;I=G}else{k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[w>>2]=27488;B=0;va(448,F|0);G=B;B=0;do if(G&1){J=Rb()|0;K=Q;L=J}else{k[F>>2]=27560;J=j+36|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;k[J+12>>2]=0;k[j+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,F|0,g|0);M=B;B=0;if(M&1){M=Rb()|0;N=Q;Yua(g);Yua(J);Ava(F);K=N;L=M;break}Yua(g);B=0;M=Ia(40,j|0,138437,58)|0;N=B;B=0;b:do if(((!(N&1)?(B=0,O=Xa(242,M|0,b|0)|0,P=B,B=0,!(P&1)):0)?(B=0,P=Ia(40,O|0,141170,1)|0,O=B,B=0,!(O&1)):0)?(B=0,Xa(239,P|0,0)|0,P=B,B=0,!(P&1)):0){P=Ab(20)|0;B=0;eb(502,l|0,138496,74);O=B;B=0;do if(!(O&1)){B=0;eb(502,m|0,138571,9);R=B;B=0;if(R&1){R=Rb()|0;S=Q;Yua(l);T=R;U=S;break}B=0;wa(510,n|0,F|0);S=B;B=0;if(S&1){S=Rb()|0;V=Q;W=S;X=1}else{B=0;ua(163,P|0,l|0,m|0,65,n|0);S=B;B=0;if(S&1)Y=1;else{B=0;eb(503,P|0,1240,229);B=0;Y=0}S=Rb()|0;R=Q;Yua(n);V=R;W=S;X=Y}Yua(m);Yua(l);if(X){T=W;U=V}else{Z=W;_=V;break b}}else{S=Rb()|0;T=S;U=Q}while(0);zb(P|0);Z=T;_=U}else $=28;while(0);if(($|0)==28){M=Rb()|0;Z=M;_=Q}k[j>>2]=27468;k[w>>2]=27488;k[F>>2]=27560;Yua(J);Ava(F);vva(w);aa=_;ba=Z;Qb(ba|0)}while(0);H=K;I=L}vva(w);ca=H;da=I;break a}}switch(c|0){case 0:{ea=1.0;fa=0.0;ga=0.0;break}case 1:{ea=0.0;fa=1.0;ga=0.0;break}case 2:{ea=0.0;fa=0.0;ga=1.0;break}default:{F=o+56|0;G=o+4|0;k[o>>2]=27524;k[F>>2]=27544;B=0;wa(508,o+56|0,G|0);M=B;B=0;if(M&1){M=Rb()|0;ha=Q;ia=M}else{k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[F>>2]=27488;B=0;va(448,G|0);M=B;B=0;do if(M&1){N=Rb()|0;ja=Q;ka=N}else{k[G>>2]=27560;N=o+36|0;k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;k[N+12>>2]=0;k[o+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,G|0,f|0);O=B;B=0;if(O&1){O=Rb()|0;S=Q;Yua(f);Yua(N);Ava(G);ja=S;ka=O;break}Yua(f);B=0;O=Ia(40,o|0,138581,59)|0;S=B;B=0;c:do if(((!(S&1)?(B=0,R=Xa(242,O|0,c|0)|0,la=B,B=0,!(la&1)):0)?(B=0,la=Ia(40,R|0,138641,2)|0,R=B,B=0,!(R&1)):0)?(B=0,Xa(239,la|0,0)|0,la=B,B=0,!(la&1)):0){la=Ab(20)|0;B=0;eb(502,q|0,138496,74);R=B;B=0;do if(!(R&1)){B=0;eb(502,s|0,138571,9);ma=B;B=0;if(ma&1){ma=Rb()|0;na=Q;Yua(q);oa=ma;pa=na;break}B=0;wa(510,t|0,G|0);na=B;B=0;if(na&1){na=Rb()|0;qa=1;ra=Q;sa=na}else{B=0;ua(163,la|0,q|0,s|0,77,t|0);na=B;B=0;if(na&1)ta=1;else{B=0;eb(503,la|0,1240,229);B=0;ta=0}na=Rb()|0;ma=Q;Yua(t);qa=ta;ra=ma;sa=na}Yua(s);Yua(q);if(qa){oa=sa;pa=ra}else{xa=ra;za=sa;break c}}else{na=Rb()|0;oa=na;pa=Q}while(0);zb(la|0);xa=pa;za=oa}else $=56;while(0);if(($|0)==56){O=Rb()|0;xa=Q;za=O}k[o>>2]=27468;k[F>>2]=27488;k[G>>2]=27560;Yua(N);Ava(G);vva(F);aa=xa;ba=za;Qb(ba|0)}while(0);ha=ja;ia=ka}vva(F);ca=ha;da=ia;break a}}if((v|0)>0){Aa=(C+ea)*.5;G=k[h>>2]|0;Ba=ea-C;Ca=(D+fa)*.5;Da=fa-D;Ea=(E+ga)*.5;Fa=ga-E;M=k[i>>2]|0;w=0;do{O=G+(w<<3)|0;p[x+(w<<3)>>3]=Aa+Ba*(+p[O>>3]*.5);p[y+(w<<3)>>3]=Ca+Da*(+p[O>>3]*.5);p[z+(w<<3)>>3]=Ea+Fa*(+p[O>>3]*.5);p[A+(w<<3)>>3]=+p[M+(w<<3)>>3];w=w+1|0}while((w|0)<(v|0));Ga=G}else Ga=k[h>>2]|0;p[a+8>>3]=-9999.0;p[a+40>>3]=-9999.0;p[a+48>>3]=-9999.0;p[a+56>>3]=-9999.0;if(Ga)Tqa(Ga);k[h>>2]=0;G=k[i>>2]|0;if(!G){r=e;return}Tqa(G);r=e;return}else $=7;while(0);if(($|0)==7){$=Rb()|0;ca=Q;da=$}aa=ca;ba=da;Qb(ba|0)}function Gja(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0,y=0;d=r;r=r+16|0;e=d+4|0;f=d;k[a>>2]=40732;k[e>>2]=0;k[f>>2]=0;g=a+16|0;k[g>>2]=c;Sna(e,f,c);c=k[g>>2]|0;g=c>>>0>536870911?-1:c<<3;h=Rqa(g)|0;k[a+24>>2]=h;i=Rqa(g)|0;k[a+28>>2]=i;j=Rqa(g)|0;k[a+32>>2]=j;l=Rqa(g)|0;k[a+20>>2]=l;if((c|0)>0){g=b+24|0;m=k[e>>2]|0;n=b+8|0;o=b+32|0;q=b+16|0;s=b+40|0;t=k[f>>2]|0;u=0;do{v=+p[b>>3];w=+p[g>>3];x=m+(u<<3)|0;p[h+(u<<3)>>3]=(v+w)*.5+(w-v)*(+p[x>>3]*.5);v=+p[n>>3];w=+p[o>>3];p[i+(u<<3)>>3]=(v+w)*.5+(w-v)*(+p[x>>3]*.5);v=+p[q>>3];w=+p[s>>3];p[j+(u<<3)>>3]=(v+w)*.5+(w-v)*(+p[x>>3]*.5);p[l+(u<<3)>>3]=+p[t+(u<<3)>>3];u=u+1|0}while((u|0)<(c|0));y=m}else y=k[e>>2]|0;p[a+8>>3]=-9999.0;p[a+40>>3]=-9999.0;p[a+48>>3]=-9999.0;p[a+56>>3]=-9999.0;if(y)Tqa(y);k[e>>2]=0;e=k[f>>2]|0;if(!e){r=d;return}Tqa(e);r=d;return}function Hja(a,b,c,d,e,f){a=a|0;b=b|0;c=+c;d=+d;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0,P=0.0,R=0,S=0.0,T=0.0,U=0.0,V=0,W=0.0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0.0,Ea=0,Fa=0.0,Ga=0,Ha=0,Ja=0,Ka=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0.0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0;g=r;r=r+560|0;h=g+544|0;i=g+532|0;j=g+520|0;l=g+384|0;m=g+368|0;n=g+84|0;o=g+72|0;q=g+232|0;s=g+60|0;t=g+48|0;u=g+36|0;v=g+96|0;w=g+24|0;x=g+12|0;y=g;k[a>>2]=40732;a:do if(e){z=a+16|0;A=a+24|0;C=a+28|0;D=a+32|0;E=a+20|0;B=0;La(39,z|0,A|0,C|0,D|0,E|0,f|0);F=B;B=0;if(F&1)G=8;else{F=k[z>>2]|0;if((F|0)<=0){H=a+8|0;p[H>>3]=-9999.0;I=a+40|0;p[I>>3]=-9999.0;J=a+48|0;p[J>>3]=-9999.0;K=a+56|0;p[K>>3]=-9999.0;r=g;return}z=k[A>>2]|0;A=k[C>>2]|0;C=k[D>>2]|0;if(!b){D=k[E>>2]|0;L=0;do{M=z+(L<<3)|0;N=+p[M>>3]*0.0;O=A+(L<<3)|0;P=+p[O>>3];R=C+(L<<3)|0;S=+p[R>>3];T=N+P*c+S*0.0;U=N+P*0.0+S*d;p[M>>3]=1.0-T-U;p[O>>3]=T;p[R>>3]=U;R=D+(L<<3)|0;p[R>>3]=+p[R>>3]*c*d;L=L+1|0}while((L|0)<(F|0));H=a+8|0;p[H>>3]=-9999.0;I=a+40|0;p[I>>3]=-9999.0;J=a+48|0;p[J>>3]=-9999.0;K=a+56|0;p[K>>3]=-9999.0;r=g;return}else V=0;b:while(1){L=z+(V<<3)|0;U=+p[L>>3]*0.0;D=A+(V<<3)|0;T=+p[D>>3];R=C+(V<<3)|0;S=+p[R>>3];P=U+T*c+S*0.0;N=U+T*0.0+S*d;switch(b|0){case 2:{p[L>>3]=P;p[D>>3]=N;W=1.0-P-N;break}case 1:{p[L>>3]=N;p[D>>3]=1.0-P-N;W=P;break}default:break b}p[R>>3]=W;R=(k[E>>2]|0)+(V<<3)|0;p[R>>3]=+p[R>>3]*c*d;V=V+1|0;if((V|0)>=(F|0)){G=121;break}}if((G|0)==121){H=a+8|0;p[H>>3]=-9999.0;I=a+40|0;p[I>>3]=-9999.0;J=a+48|0;p[J>>3]=-9999.0;K=a+56|0;p[K>>3]=-9999.0;r=g;return}F=l+56|0;E=l+4|0;k[l>>2]=27524;k[F>>2]=27544;B=0;wa(508,l+56|0,E|0);C=B;B=0;if(C&1){C=Rb()|0;X=Q;Y=C}else{k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[F>>2]=27488;B=0;va(448,E|0);C=B;B=0;do if(C&1){A=Rb()|0;Z=Q;_=A}else{k[E>>2]=27560;A=l+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[l+52>>2]=16;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;B=0;wa(509,E|0,j|0);z=B;B=0;if(z&1){z=Rb()|0;R=Q;Yua(j);Yua(A);Ava(E);Z=R;_=z;break}Yua(j);B=0;z=Ia(40,l|0,139246,6)|0;R=B;B=0;c:do if(((!(R&1)?(B=0,D=Xa(242,z|0,b|0)|0,L=B,B=0,!(L&1)):0)?(B=0,L=Ia(40,D|0,146481,18)|0,D=B,B=0,!(D&1)):0)?(B=0,Xa(239,L|0,0)|0,L=B,B=0,!(L&1)):0){L=Ab(20)|0;B=0;eb(502,m|0,138496,74);D=B;B=0;do if(!(D&1)){B=0;eb(502,n|0,138571,9);O=B;B=0;if(O&1){O=Rb()|0;M=Q;Yua(m);$=M;aa=O;break}B=0;wa(510,o|0,E|0);O=B;B=0;if(O&1){O=Rb()|0;ba=O;ca=Q;da=1}else{B=0;ua(163,L|0,m|0,n|0,184,o|0);O=B;B=0;if(O&1)ea=1;else{B=0;eb(503,L|0,1240,229);B=0;ea=0}O=Rb()|0;M=Q;Yua(o);ba=O;ca=M;da=ea}Yua(n);Yua(m);if(da){$=ca;aa=ba}else{fa=ca;ga=ba;break c}}else{M=Rb()|0;$=Q;aa=M}while(0);zb(L|0);fa=$;ga=aa}else G=29;while(0);if((G|0)==29){z=Rb()|0;fa=Q;ga=z}k[l>>2]=27468;k[F>>2]=27488;k[E>>2]=27560;Yua(A);Ava(E);vva(F);ha=fa;ia=ga;Qb(ia|0)}while(0);X=Z;Y=_}vva(F);ja=X;ka=Y}}else{B=0;E=ya(423,64)|0;C=B;B=0;if(!(C&1)){k[E>>2]=40732;C=E+16|0;z=E+24|0;R=E+28|0;D=E+32|0;M=E+20|0;B=0;La(39,C|0,z|0,R|0,D|0,M|0,f|0);O=B;B=0;if(O&1){O=Rb()|0;la=Q;Sqa(E);ha=la;ia=O;Qb(ia|0)}p[E+8>>3]=-9999.0;p[E+40>>3]=-9999.0;p[E+48>>3]=-9999.0;p[E+56>>3]=-9999.0;B=0;O=ya(423,64)|0;la=B;B=0;if(!(la&1)){k[O>>2]=40732;la=O+16|0;ma=O+24|0;na=O+28|0;oa=O+32|0;pa=O+20|0;B=0;La(39,la|0,ma|0,na|0,oa|0,pa|0,f|0);qa=B;B=0;if(qa&1){qa=Rb()|0;ra=Q;Sqa(O);ha=ra;ia=qa;Qb(ia|0)}p[O+8>>3]=-9999.0;p[O+40>>3]=-9999.0;p[O+48>>3]=-9999.0;p[O+56>>3]=-9999.0;qa=k[C>>2]|0;C=(qa|0)>0;d:do if(C){ra=k[z>>2]|0;sa=k[R>>2]|0;ta=k[D>>2]|0;P=1.0-d;if(!b){xa=k[M>>2]|0;za=0;while(1){Aa=ra+(za<<3)|0;N=+p[Aa>>3];Ba=sa+(za<<3)|0;S=+p[Ba>>3];Ca=ta+(za<<3)|0;T=+p[Ca>>3];U=N*c+S*0.0+T*0.0;Da=N*0.0+S+T*d;p[Aa>>3]=1.0-U-Da;p[Ba>>3]=U;p[Ca>>3]=Da;Ca=xa+(za<<3)|0;p[Ca>>3]=P*(+p[Ca>>3]*c);za=za+1|0;if((za|0)>=(qa|0))break d}}else Ea=0;e:while(1){za=ra+(Ea<<3)|0;Da=+p[za>>3];xa=sa+(Ea<<3)|0;U=+p[xa>>3];A=ta+(Ea<<3)|0;T=+p[A>>3];S=Da*c+U*0.0+T*0.0;N=Da*0.0+U+T*d;switch(b|0){case 2:{p[za>>3]=S;p[xa>>3]=N;Fa=1.0-S-N;break}case 1:{p[za>>3]=N;p[xa>>3]=1.0-S-N;Fa=S;break}default:break e}p[A>>3]=Fa;A=(k[M>>2]|0)+(Ea<<3)|0;p[A>>3]=P*(+p[A>>3]*c);Ea=Ea+1|0;if((Ea|0)>=(qa|0))break d}ta=q+56|0;sa=q+4|0;k[q>>2]=27524;k[ta>>2]=27544;B=0;wa(508,q+56|0,sa|0);ra=B;B=0;if(ra&1){ra=Rb()|0;Ga=Q;Ha=ra}else{k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[ta>>2]=27488;B=0;va(448,sa|0);ra=B;B=0;do if(ra&1){A=Rb()|0;Ja=Q;Ka=A}else{k[sa>>2]=27560;A=q+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[q+52>>2]=16;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;B=0;wa(509,sa|0,i|0);xa=B;B=0;if(xa&1){xa=Rb()|0;za=Q;Yua(i);Yua(A);Ava(sa);Ja=za;Ka=xa;break}Yua(i);B=0;xa=Ia(40,q|0,139246,6)|0;za=B;B=0;f:do if(((!(za&1)?(B=0,Ca=Xa(242,xa|0,b|0)|0,Ba=B,B=0,!(Ba&1)):0)?(B=0,Ba=Ia(40,Ca|0,146481,18)|0,Ca=B,B=0,!(Ca&1)):0)?(B=0,Xa(239,Ba|0,0)|0,Ba=B,B=0,!(Ba&1)):0){Ba=Ab(20)|0;B=0;eb(502,s|0,138496,74);Ca=B;B=0;do if(!(Ca&1)){B=0;eb(502,t|0,138571,9);Aa=B;B=0;if(Aa&1){Aa=Rb()|0;Ma=Q;Yua(s);Na=Aa;Oa=Ma;break}B=0;wa(510,u|0,sa|0);Ma=B;B=0;if(Ma&1){Ma=Rb()|0;Pa=1;Qa=Q;Ra=Ma}else{B=0;ua(163,Ba|0,s|0,t|0,222,u|0);Ma=B;B=0;if(Ma&1)Sa=1;else{B=0;eb(503,Ba|0,1240,229);B=0;Sa=0}Ma=Rb()|0;Aa=Q;Yua(u);Pa=Sa;Qa=Aa;Ra=Ma}Yua(t);Yua(s);if(Pa){Na=Ra;Oa=Qa}else{Ta=Qa;Ua=Ra;break f}}else{Ma=Rb()|0;Na=Ma;Oa=Q}while(0);zb(Ba|0);Ta=Oa;Ua=Na}else G=72;while(0);if((G|0)==72){xa=Rb()|0;Ta=Q;Ua=xa}k[q>>2]=27468;k[ta>>2]=27488;k[sa>>2]=27560;Yua(A);Ava(sa);vva(ta);ha=Ta;ia=Ua;Qb(ia|0)}while(0);Ga=Ja;Ha=Ka}vva(ta);ja=Ga;ka=Ha;break a}while(0);F=k[la>>2]|0;sa=(F|0)>0;g:do if(sa){ra=k[ma>>2]|0;xa=k[na>>2]|0;za=k[oa>>2]|0;P=1.0-c;if(!b){L=k[pa>>2]|0;Ca=0;while(1){Ma=ra+(Ca<<3)|0;S=+p[Ma>>3];Aa=xa+(Ca<<3)|0;N=+p[Aa>>3];Va=za+(Ca<<3)|0;T=+p[Va>>3];U=S*c+N+T*0.0;Da=S*0.0+N*0.0+T;p[Ma>>3]=1.0-U-Da;p[Aa>>3]=U;p[Va>>3]=Da;Va=L+(Ca<<3)|0;p[Va>>3]=P*+p[Va>>3];Ca=Ca+1|0;if((Ca|0)>=(F|0))break g}}else Wa=0;h:while(1){Ca=ra+(Wa<<3)|0;Da=+p[Ca>>3];L=xa+(Wa<<3)|0;U=+p[L>>3];ta=za+(Wa<<3)|0;T=+p[ta>>3];N=Da*c+U+T*0.0;S=Da*0.0+U*0.0+T;switch(b|0){case 2:{p[Ca>>3]=N;p[L>>3]=S;Ya=1.0-N-S;break}case 1:{p[Ca>>3]=S;p[L>>3]=1.0-N-S;Ya=N;break}default:break h}p[ta>>3]=Ya;ta=(k[pa>>2]|0)+(Wa<<3)|0;p[ta>>3]=P*+p[ta>>3];Wa=Wa+1|0;if((Wa|0)>=(F|0))break g}za=v+56|0;xa=v+4|0;k[v>>2]=27524;k[za>>2]=27544;B=0;wa(508,v+56|0,xa|0);ra=B;B=0;if(ra&1){ra=Rb()|0;Za=Q;_a=ra}else{k[v+128>>2]=0;k[v+132>>2]=-1;k[v>>2]=27468;k[za>>2]=27488;B=0;va(448,xa|0);ra=B;B=0;do if(ra&1){ta=Rb()|0;$a=Q;ab=ta}else{k[xa>>2]=27560;ta=v+36|0;k[ta>>2]=0;k[ta+4>>2]=0;k[ta+8>>2]=0;k[ta+12>>2]=0;k[v+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,xa|0,h|0);L=B;B=0;if(L&1){L=Rb()|0;Ca=Q;Yua(h);Yua(ta);Ava(xa);$a=Ca;ab=L;break}Yua(h);B=0;L=Ia(40,v|0,139246,6)|0;Ca=B;B=0;i:do if(((!(Ca&1)?(B=0,Va=Xa(242,L|0,b|0)|0,Aa=B,B=0,!(Aa&1)):0)?(B=0,Aa=Ia(40,Va|0,146481,18)|0,Va=B,B=0,!(Va&1)):0)?(B=0,Xa(239,Aa|0,0)|0,Aa=B,B=0,!(Aa&1)):0){Aa=Ab(20)|0;B=0;eb(502,w|0,138496,74);Va=B;B=0;do if(!(Va&1)){B=0;eb(502,x|0,138571,9);Ma=B;B=0;if(Ma&1){Ma=Rb()|0;bb=Q;Yua(w);cb=Ma;db=bb;break}B=0;wa(510,y|0,xa|0);bb=B;B=0;if(bb&1){bb=Rb()|0;fb=1;gb=Q;hb=bb}else{B=0;ua(163,Aa|0,w|0,x|0,253,y|0);bb=B;B=0;if(bb&1)ib=1;else{B=0;eb(503,Aa|0,1240,229);B=0;ib=0}bb=Rb()|0;Ma=Q;Yua(y);fb=ib;gb=Ma;hb=bb}Yua(x);Yua(w);if(fb){cb=hb;db=gb}else{jb=gb;kb=hb;break i}}else{bb=Rb()|0;cb=bb;db=Q}while(0);zb(Aa|0);jb=db;kb=cb}else G=101;while(0);if((G|0)==101){L=Rb()|0;jb=Q;kb=L}k[v>>2]=27468;k[za>>2]=27488;k[xa>>2]=27560;Yua(ta);Ava(xa);vva(za);ha=jb;ia=kb;Qb(ia|0)}while(0);Za=$a;_a=ab}vva(za);ja=Za;ka=_a;break a}while(0);la=qa+F|0;k[a+16>>2]=la;xa=la>>>0>536870911?-1:la<<3;B=0;la=ya(422,xa|0)|0;ra=B;B=0;if(((!(ra&1)?(k[a+24>>2]=la,B=0,ra=ya(422,xa|0)|0,L=B,B=0,!(L&1)):0)?(k[a+28>>2]=ra,B=0,L=ya(422,xa|0)|0,Ca=B,B=0,!(Ca&1)):0)?(k[a+32>>2]=L,B=0,Ca=ya(422,xa|0)|0,xa=B,B=0,!(xa&1)):0){k[a+20>>2]=Ca;if(C){xa=k[z>>2]|0;A=k[R>>2]|0;Va=k[D>>2]|0;Ba=k[M>>2]|0;bb=0;do{p[la+(bb<<3)>>3]=+p[xa+(bb<<3)>>3];p[ra+(bb<<3)>>3]=+p[A+(bb<<3)>>3];p[L+(bb<<3)>>3]=+p[Va+(bb<<3)>>3];p[Ca+(bb<<3)>>3]=+p[Ba+(bb<<3)>>3];bb=bb+1|0}while((bb|0)<(qa|0))}if(sa){bb=k[ma>>2]|0;Ba=k[na>>2]|0;Va=k[oa>>2]|0;A=k[pa>>2]|0;xa=0;do{M=qa+xa|0;p[la+(M<<3)>>3]=+p[bb+(xa<<3)>>3];p[ra+(M<<3)>>3]=+p[Ba+(xa<<3)>>3];p[L+(M<<3)>>3]=+p[Va+(xa<<3)>>3];p[Ca+(M<<3)>>3]=+p[A+(xa<<3)>>3];xa=xa+1|0}while((xa|0)<(F|0))}Ec[k[(k[E>>2]|0)+4>>2]&1023](E);Ec[k[(k[O>>2]|0)+4>>2]&1023](O);H=a+8|0;p[H>>3]=-9999.0;I=a+40|0;p[I>>3]=-9999.0;J=a+48|0;p[J>>3]=-9999.0;K=a+56|0;p[K>>3]=-9999.0;r=g;return}else G=8}else G=8}else G=8}while(0);if((G|0)==8){G=Rb()|0;ja=Q;ka=G}ha=ja;ia=ka;Qb(ia|0)}function Ija(a){a=a|0;var b=0,c=0;k[a>>2]=40732;b=a+20|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+32|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+28|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+24|0;a=k[b>>2]|0;if(!a){k[b>>2]=0;return}Tqa(a);k[b>>2]=0;return}function Jja(a){a=a|0;var b=0,c=0;k[a>>2]=40732;b=a+20|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+32|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+28|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=k[a+24>>2]|0;if(!b){Sqa(a);return}Tqa(b);Sqa(a);return}function Kja(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0;b=r;r=r+3312|0;c=b+3300|0;d=b+3032|0;e=b+3288|0;f=b+2896|0;g=b+3276|0;h=b+2760|0;i=b+3264|0;j=b+2608|0;l=b+3252|0;m=b+2472|0;n=b+3240|0;o=b+2320|0;q=b+3228|0;s=b+2184|0;t=b+3216|0;u=b+2032|0;v=b+3204|0;w=b+1880|0;x=b+3192|0;y=b+1744|0;z=b+3180|0;A=b+1592|0;C=b+3168|0;D=b+1456|0;E=b+2744|0;F=b+1320|0;G=b+2456|0;H=b+1168|0;I=b+2168|0;J=b+1032|0;K=b+2016|0;L=b+880|0;M=b+1728|0;N=b+728|0;O=b+1304|0;P=b+592|0;R=b+1016|0;S=b+440|0;T=b+864|0;U=b+304|0;V=b+576|0;W=b+152|0;X=b+288|0;Y=b+16|0;Z=b;_=d+56|0;$=d+4|0;k[d>>2]=27524;k[_>>2]=27544;B=0;wa(508,d+56|0,$|0);aa=B;B=0;if(aa&1){aa=Rb()|0;ba=Q;ca=aa;vva(_);Qb(ca|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[_>>2]=27488;B=0;va(448,$|0);aa=B;B=0;do if(aa&1){da=Rb()|0;ea=Q;fa=da}else{k[$>>2]=27560;da=d+36|0;k[da>>2]=0;k[da+4>>2]=0;k[da+8>>2]=0;k[da+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,$|0,c|0);ga=B;B=0;if(ga&1){ga=Rb()|0;ha=Q;Yua(c);Yua(da);Ava($);ea=ha;fa=ga;break}Yua(c);B=0;Ia(40,d|0,138644,11)|0;ga=B;B=0;do if(!(ga&1)?(B=0,wa(510,e|0,$|0),ha=B,B=0,!(ha&1)):0){B=0;ya(424,e|0)|0;ha=B;B=0;if(ha&1){ha=Rb()|0;ia=Q;Yua(e);ja=ia;ka=ha;break}Yua(e);k[d>>2]=27468;k[_>>2]=27488;k[$>>2]=27560;Yua(da);Ava($);vva(_);ha=f+56|0;ia=f+4|0;k[f>>2]=27524;k[ha>>2]=27544;B=0;wa(508,f+56|0,ia|0);la=B;B=0;if(la&1){la=Rb()|0;ma=Q;na=la;vva(ha);Qb(na|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[ha>>2]=27488;B=0;va(448,ia|0);la=B;B=0;do if(la&1){oa=Rb()|0;pa=Q;qa=oa}else{k[ia>>2]=27560;oa=f+36|0;k[oa>>2]=0;k[oa+4>>2]=0;k[oa+8>>2]=0;k[oa+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ia|0,c|0);ra=B;B=0;if(ra&1){ra=Rb()|0;sa=Q;Yua(c);Yua(oa);Ava(ia);pa=sa;qa=ra;break}Yua(c);B=0;ra=Ia(40,f|0,139266,13)|0;sa=B;B=0;do if(((!(sa&1)?(ta=a+16|0,B=0,ua=Xa(242,ra|0,k[ta>>2]|0)|0,xa=B,B=0,!(xa&1)):0)?(B=0,Ia(40,ua|0,149177,1)|0,ua=B,B=0,!(ua&1)):0)?(B=0,wa(510,g|0,ia|0),ua=B,B=0,!(ua&1)):0){B=0;ya(424,g|0)|0;ua=B;B=0;if(ua&1){ua=Rb()|0;xa=Q;Yua(g);za=xa;Aa=ua;break}Yua(g);k[f>>2]=27468;k[ha>>2]=27488;k[ia>>2]=27560;Yua(oa);Ava(ia);vva(ha);ua=a+20|0;a:do if(!(k[ua>>2]|0)){xa=o+56|0;Ba=o+4|0;k[o>>2]=27524;k[xa>>2]=27544;B=0;wa(508,o+56|0,Ba|0);Ca=B;B=0;if(Ca&1){Ca=Rb()|0;Da=Q;Ea=Ca;vva(xa);Qb(Ea|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[xa>>2]=27488;B=0;va(448,Ba|0);Ca=B;B=0;do if(Ca&1){Fa=Rb()|0;Ga=Q;Ha=Fa}else{k[Ba>>2]=27560;Fa=o+36|0;k[Fa>>2]=0;k[Fa+4>>2]=0;k[Fa+8>>2]=0;k[Fa+12>>2]=0;k[o+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ba|0,c|0);Ja=B;B=0;if(Ja&1){Ja=Rb()|0;Ka=Q;Yua(c);Yua(Fa);Ava(Ba);Ga=Ka;Ha=Ja;break}Yua(c);B=0;Ia(40,o|0,139295,15)|0;Ja=B;B=0;do if(!(Ja&1)){B=0;wa(510,q|0,Ba|0);Ka=B;B=0;if(Ka&1){La=92;break}B=0;ya(424,q|0)|0;Ka=B;B=0;if(Ka&1){Ka=Rb()|0;Ma=Q;Yua(q);Na=Ma;Oa=Ka;break}else{Yua(q);k[o>>2]=27468;k[xa>>2]=27488;k[Ba>>2]=27560;Yua(Fa);Ava(Ba);vva(xa);break a}}else La=92;while(0);if((La|0)==92){Ja=Rb()|0;Na=Q;Oa=Ja}k[o>>2]=27468;k[xa>>2]=27488;k[Ba>>2]=27560;Yua(Fa);Ava(Ba);vva(xa);Pa=Na;Qa=Oa;Qb(Qa|0)}while(0);Da=Ga;Ea=Ha;vva(xa);Qb(Ea|0)}else{Ba=h+56|0;Ca=h+4|0;k[h>>2]=27524;k[Ba>>2]=27544;B=0;wa(508,h+56|0,Ca|0);Ja=B;B=0;if(Ja&1){Ja=Rb()|0;Ra=Q;Ta=Ja;vva(Ba);Qb(Ta|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[Ba>>2]=27488;B=0;va(448,Ca|0);Ja=B;B=0;do if(Ja&1){Ka=Rb()|0;Ua=Q;Va=Ka}else{k[Ca>>2]=27560;Ka=h+36|0;k[Ka>>2]=0;k[Ka+4>>2]=0;k[Ka+8>>2]=0;k[Ka+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ca|0,c|0);Ma=B;B=0;if(Ma&1){Ma=Rb()|0;Wa=Q;Yua(c);Yua(Ka);Ava(Ca);Ua=Wa;Va=Ma;break}Yua(c);B=0;Ia(40,h|0,139280,14)|0;Ma=B;B=0;do if(Ma&1)La=54;else{B=0;wa(510,i|0,Ca|0);Wa=B;B=0;if(Wa&1){La=54;break}B=0;ya(424,i|0)|0;Wa=B;B=0;if(Wa&1){Wa=Rb()|0;Ya=Q;Yua(i);Za=Ya;_a=Wa;break}Yua(i);k[h>>2]=27468;k[Ba>>2]=27488;k[Ca>>2]=27560;Yua(Ka);Ava(Ca);vva(Ba);b:do if((k[ta>>2]|0)>0){Wa=j+56|0;Ya=j+4|0;$a=j+56|0;ab=j+128|0;bb=j+132|0;cb=j+36|0;db=j+52|0;eb=0;while(1){k[j>>2]=27524;k[Wa>>2]=27544;B=0;wa(508,$a|0,Ya|0);fb=B;B=0;if(fb&1){La=61;break}k[ab>>2]=0;k[bb>>2]=-1;k[j>>2]=27468;k[Wa>>2]=27488;B=0;va(448,Ya|0);fb=B;B=0;if(fb&1){La=62;break}k[Ya>>2]=27560;k[cb>>2]=0;k[cb+4>>2]=0;k[cb+8>>2]=0;k[cb+12>>2]=0;k[db>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ya|0,c|0);fb=B;B=0;if(fb&1){La=60;break}Yua(c);B=0;fb=Ia(40,j|0,149175,1)|0;gb=B;B=0;if(gb&1){La=71;break}B=0;gb=Sa(1,fb|0,+(+p[(k[ua>>2]|0)+(eb<<3)>>3]))|0;fb=B;B=0;if(fb&1){La=71;break}B=0;Ia(40,gb|0,149177,1)|0;gb=B;B=0;if(gb&1){La=71;break}B=0;wa(510,l|0,Ya|0);gb=B;B=0;if(gb&1){La=71;break}B=0;ya(424,l|0)|0;gb=B;B=0;if(gb&1){La=72;break}Yua(l);k[j>>2]=27468;k[Wa>>2]=27488;k[Ya>>2]=27560;Yua(cb);Ava(Ya);vva(Wa);eb=eb+1|0;if((eb|0)>=(k[ta>>2]|0))break b}if((La|0)==60){eb=Rb()|0;db=Q;Yua(c);Yua(cb);Ava(Ya);hb=db;ib=eb;La=63}else if((La|0)==61){eb=Rb()|0;jb=Q;kb=eb;vva(Wa);Qb(kb|0)}else if((La|0)==62){eb=Rb()|0;hb=Q;ib=eb;La=63}else if((La|0)==71){eb=Rb()|0;lb=Q;mb=eb;La=73}else if((La|0)==72){eb=Rb()|0;db=Q;Yua(l);lb=db;mb=eb;La=73}if((La|0)==63){jb=hb;kb=ib;vva(Wa);Qb(kb|0)}else if((La|0)==73){k[j>>2]=27468;k[Wa>>2]=27488;k[Ya>>2]=27560;Yua(cb);Ava(Ya);vva(Wa);Pa=lb;Qa=mb;Qb(Qa|0)}}while(0);eb=m+56|0;db=m+4|0;k[m>>2]=27524;k[eb>>2]=27544;B=0;wa(508,m+56|0,db|0);bb=B;B=0;if(bb&1){bb=Rb()|0;nb=Q;ob=bb;vva(eb);Qb(ob|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[eb>>2]=27488;B=0;va(448,db|0);bb=B;B=0;do if(bb&1){ab=Rb()|0;pb=Q;qb=ab}else{k[db>>2]=27560;ab=m+36|0;k[ab>>2]=0;k[ab+4>>2]=0;k[ab+8>>2]=0;k[ab+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,db|0,c|0);$a=B;B=0;if($a&1){$a=Rb()|0;gb=Q;Yua(c);Yua(ab);Ava(db);pb=gb;qb=$a;break}Yua(c);B=0;Ia(40,m|0,149198,2)|0;$a=B;B=0;do if(!($a&1)){B=0;wa(510,n|0,db|0);gb=B;B=0;if(gb&1){La=77;break}B=0;ya(424,n|0)|0;gb=B;B=0;if(gb&1){gb=Rb()|0;fb=Q;Yua(n);rb=fb;sb=gb;break}else{Yua(n);k[m>>2]=27468;k[eb>>2]=27488;k[db>>2]=27560;Yua(ab);Ava(db);vva(eb);break a}}else La=77;while(0);if((La|0)==77){$a=Rb()|0;rb=Q;sb=$a}k[m>>2]=27468;k[eb>>2]=27488;k[db>>2]=27560;Yua(ab);Ava(db);vva(eb);Pa=rb;Qa=sb;Qb(Qa|0)}while(0);nb=pb;ob=qb;vva(eb);Qb(ob|0)}while(0);if((La|0)==54){Ma=Rb()|0;Za=Q;_a=Ma}k[h>>2]=27468;k[Ba>>2]=27488;k[Ca>>2]=27560;Yua(Ka);Ava(Ca);vva(Ba);Pa=Za;Qa=_a;Qb(Qa|0)}while(0);Ra=Ua;Ta=Va;vva(Ba);Qb(Ta|0)}while(0);ua=a+24|0;c:do if(!(k[ua>>2]|0)){Ca=y+56|0;Ja=y+4|0;k[y>>2]=27524;k[Ca>>2]=27544;B=0;wa(508,y+56|0,Ja|0);xa=B;B=0;if(xa&1){xa=Rb()|0;tb=Q;ub=xa;vva(Ca);Qb(ub|0)}k[y+128>>2]=0;k[y+132>>2]=-1;k[y>>2]=27468;k[Ca>>2]=27488;B=0;va(448,Ja|0);xa=B;B=0;do if(xa&1){Ma=Rb()|0;vb=Q;wb=Ma}else{k[Ja>>2]=27560;Ma=y+36|0;k[Ma>>2]=0;k[Ma+4>>2]=0;k[Ma+8>>2]=0;k[Ma+12>>2]=0;k[y+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ja|0,c|0);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;db=Q;Yua(c);Yua(Ma);Ava(Ja);vb=db;wb=Fa;break}Yua(c);B=0;Ia(40,y|0,139326,15)|0;Fa=B;B=0;do if(!(Fa&1)){B=0;wa(510,z|0,Ja|0);db=B;B=0;if(db&1){La=156;break}B=0;ya(424,z|0)|0;db=B;B=0;if(db&1){db=Rb()|0;bb=Q;Yua(z);xb=bb;yb=db;break}else{Yua(z);k[y>>2]=27468;k[Ca>>2]=27488;k[Ja>>2]=27560;Yua(Ma);Ava(Ja);vva(Ca);break c}}else La=156;while(0);if((La|0)==156){Fa=Rb()|0;xb=Q;yb=Fa}k[y>>2]=27468;k[Ca>>2]=27488;k[Ja>>2]=27560;Yua(Ma);Ava(Ja);vva(Ca);Pa=xb;Qa=yb;Qb(Qa|0)}while(0);tb=vb;ub=wb;vva(Ca);Qb(ub|0)}else{Ja=s+56|0;xa=s+4|0;k[s>>2]=27524;k[Ja>>2]=27544;B=0;wa(508,s+56|0,xa|0);Ba=B;B=0;if(Ba&1){Ba=Rb()|0;zb=Q;Ab=Ba;vva(Ja);Qb(Ab|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[Ja>>2]=27488;B=0;va(448,xa|0);Ba=B;B=0;do if(Ba&1){Fa=Rb()|0;Bb=Q;Cb=Fa}else{k[xa>>2]=27560;Fa=s+36|0;k[Fa>>2]=0;k[Fa+4>>2]=0;k[Fa+8>>2]=0;k[Fa+12>>2]=0;k[s+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,xa|0,c|0);Ka=B;B=0;if(Ka&1){Ka=Rb()|0;db=Q;Yua(c);Yua(Fa);Ava(xa);Bb=db;Cb=Ka;break}Yua(c);B=0;Ia(40,s|0,139311,14)|0;Ka=B;B=0;do if(Ka&1)La=118;else{B=0;wa(510,t|0,xa|0);db=B;B=0;if(db&1){La=118;break}B=0;ya(424,t|0)|0;db=B;B=0;if(db&1){db=Rb()|0;bb=Q;Yua(t);Db=bb;Eb=db;break}Yua(t);k[s>>2]=27468;k[Ja>>2]=27488;k[xa>>2]=27560;Yua(Fa);Ava(xa);vva(Ja);d:do if((k[ta>>2]|0)>0){db=u+56|0;bb=u+4|0;$a=u+56|0;Wa=u+128|0;Ya=u+132|0;cb=u+36|0;gb=u+52|0;fb=0;while(1){k[u>>2]=27524;k[db>>2]=27544;B=0;wa(508,$a|0,bb|0);Fb=B;B=0;if(Fb&1){La=125;break}k[Wa>>2]=0;k[Ya>>2]=-1;k[u>>2]=27468;k[db>>2]=27488;B=0;va(448,bb|0);Fb=B;B=0;if(Fb&1){La=126;break}k[bb>>2]=27560;k[cb>>2]=0;k[cb+4>>2]=0;k[cb+8>>2]=0;k[cb+12>>2]=0;k[gb>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,bb|0,c|0);Fb=B;B=0;if(Fb&1){La=124;break}Yua(c);B=0;Fb=Ia(40,u|0,149175,1)|0;Gb=B;B=0;if(Gb&1){La=135;break}B=0;Gb=Sa(1,Fb|0,+(+p[(k[ua>>2]|0)+(fb<<3)>>3]))|0;Fb=B;B=0;if(Fb&1){La=135;break}B=0;Ia(40,Gb|0,149177,1)|0;Gb=B;B=0;if(Gb&1){La=135;break}B=0;wa(510,v|0,bb|0);Gb=B;B=0;if(Gb&1){La=135;break}B=0;ya(424,v|0)|0;Gb=B;B=0;if(Gb&1){La=136;break}Yua(v);k[u>>2]=27468;k[db>>2]=27488;k[bb>>2]=27560;Yua(cb);Ava(bb);vva(db);fb=fb+1|0;if((fb|0)>=(k[ta>>2]|0))break d}if((La|0)==124){fb=Rb()|0;gb=Q;Yua(c);Yua(cb);Ava(bb);Hb=gb;Ib=fb;La=127}else if((La|0)==125){fb=Rb()|0;Jb=Q;Kb=fb;vva(db);Qb(Kb|0)}else if((La|0)==126){fb=Rb()|0;Hb=Q;Ib=fb;La=127}else if((La|0)==135){fb=Rb()|0;Lb=Q;Mb=fb;La=137}else if((La|0)==136){fb=Rb()|0;gb=Q;Yua(v);Lb=gb;Mb=fb;La=137}if((La|0)==127){Jb=Hb;Kb=Ib;vva(db);Qb(Kb|0)}else if((La|0)==137){k[u>>2]=27468;k[db>>2]=27488;k[bb>>2]=27560;Yua(cb);Ava(bb);vva(db);Pa=Lb;Qa=Mb;Qb(Qa|0)}}while(0);eb=w+56|0;fb=w+4|0;k[w>>2]=27524;k[eb>>2]=27544;B=0;wa(508,w+56|0,fb|0);gb=B;B=0;if(gb&1){gb=Rb()|0;Nb=Q;Ob=gb;vva(eb);Qb(Ob|0)}k[w+128>>2]=0;k[w+132>>2]=-1;k[w>>2]=27468;k[eb>>2]=27488;B=0;va(448,fb|0);gb=B;B=0;do if(gb&1){Ya=Rb()|0;Pb=Q;Sb=Ya}else{k[fb>>2]=27560;Ya=w+36|0;k[Ya>>2]=0;k[Ya+4>>2]=0;k[Ya+8>>2]=0;k[Ya+12>>2]=0;k[w+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,fb|0,c|0);Wa=B;B=0;if(Wa&1){Wa=Rb()|0;$a=Q;Yua(c);Yua(Ya);Ava(fb);Pb=$a;Sb=Wa;break}Yua(c);B=0;Ia(40,w|0,149198,2)|0;Wa=B;B=0;do if(!(Wa&1)){B=0;wa(510,x|0,fb|0);$a=B;B=0;if($a&1){La=141;break}B=0;ya(424,x|0)|0;$a=B;B=0;if($a&1){$a=Rb()|0;ab=Q;Yua(x);Tb=ab;Ub=$a;break}else{Yua(x);k[w>>2]=27468;k[eb>>2]=27488;k[fb>>2]=27560;Yua(Ya);Ava(fb);vva(eb);break c}}else La=141;while(0);if((La|0)==141){Wa=Rb()|0;Tb=Q;Ub=Wa}k[w>>2]=27468;k[eb>>2]=27488;k[fb>>2]=27560;Yua(Ya);Ava(fb);vva(eb);Pa=Tb;Qa=Ub;Qb(Qa|0)}while(0);Nb=Pb;Ob=Sb;vva(eb);Qb(Ob|0)}while(0);if((La|0)==118){Ka=Rb()|0;Db=Q;Eb=Ka}k[s>>2]=27468;k[Ja>>2]=27488;k[xa>>2]=27560;Yua(Fa);Ava(xa);vva(Ja);Pa=Db;Qa=Eb;Qb(Qa|0)}while(0);zb=Bb;Ab=Cb;vva(Ja);Qb(Ab|0)}while(0);ua=a+28|0;e:do if(!(k[ua>>2]|0)){xa=H+56|0;Ba=H+4|0;k[H>>2]=27524;k[xa>>2]=27544;B=0;wa(508,H+56|0,Ba|0);Ca=B;B=0;if(Ca&1){Ca=Rb()|0;Vb=Q;Wb=Ca;vva(xa);Qb(Wb|0)}k[H+128>>2]=0;k[H+132>>2]=-1;k[H>>2]=27468;k[xa>>2]=27488;B=0;va(448,Ba|0);Ca=B;B=0;do if(Ca&1){Ka=Rb()|0;Xb=Q;Yb=Ka}else{k[Ba>>2]=27560;Ka=H+36|0;k[Ka>>2]=0;k[Ka+4>>2]=0;k[Ka+8>>2]=0;k[Ka+12>>2]=0;k[H+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ba|0,c|0);Ma=B;B=0;if(Ma&1){Ma=Rb()|0;fb=Q;Yua(c);Yua(Ka);Ava(Ba);Xb=fb;Yb=Ma;break}Yua(c);B=0;Ia(40,H|0,139357,15)|0;Ma=B;B=0;do if(!(Ma&1)){B=0;wa(510,I|0,Ba|0);fb=B;B=0;if(fb&1){La=220;break}B=0;ya(424,I|0)|0;fb=B;B=0;if(fb&1){fb=Rb()|0;gb=Q;Yua(I);Zb=gb;_b=fb;break}else{Yua(I);k[H>>2]=27468;k[xa>>2]=27488;k[Ba>>2]=27560;Yua(Ka);Ava(Ba);vva(xa);break e}}else La=220;while(0);if((La|0)==220){Ma=Rb()|0;Zb=Q;_b=Ma}k[H>>2]=27468;k[xa>>2]=27488;k[Ba>>2]=27560;Yua(Ka);Ava(Ba);vva(xa);Pa=Zb;Qa=_b;Qb(Qa|0)}while(0);Vb=Xb;Wb=Yb;vva(xa);Qb(Wb|0)}else{Ba=A+56|0;Ca=A+4|0;k[A>>2]=27524;k[Ba>>2]=27544;B=0;wa(508,A+56|0,Ca|0);Ja=B;B=0;if(Ja&1){Ja=Rb()|0;$b=Q;ac=Ja;vva(Ba);Qb(ac|0)}k[A+128>>2]=0;k[A+132>>2]=-1;k[A>>2]=27468;k[Ba>>2]=27488;B=0;va(448,Ca|0);Ja=B;B=0;do if(Ja&1){Ma=Rb()|0;bc=Q;cc=Ma}else{k[Ca>>2]=27560;Ma=A+36|0;k[Ma>>2]=0;k[Ma+4>>2]=0;k[Ma+8>>2]=0;k[Ma+12>>2]=0;k[A+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ca|0,c|0);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;fb=Q;Yua(c);Yua(Ma);Ava(Ca);bc=fb;cc=Fa;break}Yua(c);B=0;Ia(40,A|0,139342,14)|0;Fa=B;B=0;do if(Fa&1)La=182;else{B=0;wa(510,C|0,Ca|0);fb=B;B=0;if(fb&1){La=182;break}B=0;ya(424,C|0)|0;fb=B;B=0;if(fb&1){fb=Rb()|0;gb=Q;Yua(C);dc=gb;ec=fb;break}Yua(C);k[A>>2]=27468;k[Ba>>2]=27488;k[Ca>>2]=27560;Yua(Ma);Ava(Ca);vva(Ba);f:do if((k[ta>>2]|0)>0){fb=D+56|0;gb=D+4|0;Wa=D+56|0;db=D+128|0;bb=D+132|0;cb=D+36|0;$a=D+52|0;ab=0;while(1){k[D>>2]=27524;k[fb>>2]=27544;B=0;wa(508,Wa|0,gb|0);Gb=B;B=0;if(Gb&1){La=189;break}k[db>>2]=0;k[bb>>2]=-1;k[D>>2]=27468;k[fb>>2]=27488;B=0;va(448,gb|0);Gb=B;B=0;if(Gb&1){La=190;break}k[gb>>2]=27560;k[cb>>2]=0;k[cb+4>>2]=0;k[cb+8>>2]=0;k[cb+12>>2]=0;k[$a>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,gb|0,c|0);Gb=B;B=0;if(Gb&1){La=188;break}Yua(c);B=0;Gb=Ia(40,D|0,149175,1)|0;Fb=B;B=0;if(Fb&1){La=199;break}B=0;Fb=Sa(1,Gb|0,+(+p[(k[ua>>2]|0)+(ab<<3)>>3]))|0;Gb=B;B=0;if(Gb&1){La=199;break}B=0;Ia(40,Fb|0,149177,1)|0;Fb=B;B=0;if(Fb&1){La=199;break}B=0;wa(510,E|0,gb|0);Fb=B;B=0;if(Fb&1){La=199;break}B=0;ya(424,E|0)|0;Fb=B;B=0;if(Fb&1){La=200;break}Yua(E);k[D>>2]=27468;k[fb>>2]=27488;k[gb>>2]=27560;Yua(cb);Ava(gb);vva(fb);ab=ab+1|0;if((ab|0)>=(k[ta>>2]|0))break f}if((La|0)==188){ab=Rb()|0;$a=Q;Yua(c);Yua(cb);Ava(gb);fc=$a;gc=ab;La=191}else if((La|0)==189){ab=Rb()|0;hc=Q;ic=ab;vva(fb);Qb(ic|0)}else if((La|0)==190){ab=Rb()|0;fc=Q;gc=ab;La=191}else if((La|0)==199){ab=Rb()|0;jc=Q;kc=ab;La=201}else if((La|0)==200){ab=Rb()|0;$a=Q;Yua(E);jc=$a;kc=ab;La=201}if((La|0)==191){hc=fc;ic=gc;vva(fb);Qb(ic|0)}else if((La|0)==201){k[D>>2]=27468;k[fb>>2]=27488;k[gb>>2]=27560;Yua(cb);Ava(gb);vva(fb);Pa=jc;Qa=kc;Qb(Qa|0)}}while(0);eb=F+56|0;ab=F+4|0;k[F>>2]=27524;k[eb>>2]=27544;B=0;wa(508,F+56|0,ab|0);$a=B;B=0;if($a&1){$a=Rb()|0;lc=Q;mc=$a;vva(eb);Qb(mc|0)}k[F+128>>2]=0;k[F+132>>2]=-1;k[F>>2]=27468;k[eb>>2]=27488;B=0;va(448,ab|0);$a=B;B=0;do if($a&1){bb=Rb()|0;nc=Q;oc=bb}else{k[ab>>2]=27560;bb=F+36|0;k[bb>>2]=0;k[bb+4>>2]=0;k[bb+8>>2]=0;k[bb+12>>2]=0;k[F+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ab|0,c|0);db=B;B=0;if(db&1){db=Rb()|0;Wa=Q;Yua(c);Yua(bb);Ava(ab);nc=Wa;oc=db;break}Yua(c);B=0;Ia(40,F|0,149198,2)|0;db=B;B=0;do if(!(db&1)){B=0;wa(510,G|0,ab|0);Wa=B;B=0;if(Wa&1){La=205;break}B=0;ya(424,G|0)|0;Wa=B;B=0;if(Wa&1){Wa=Rb()|0;Ya=Q;Yua(G);pc=Ya;qc=Wa;break}else{Yua(G);k[F>>2]=27468;k[eb>>2]=27488;k[ab>>2]=27560;Yua(bb);Ava(ab);vva(eb);break e}}else La=205;while(0);if((La|0)==205){db=Rb()|0;pc=Q;qc=db}k[F>>2]=27468;k[eb>>2]=27488;k[ab>>2]=27560;Yua(bb);Ava(ab);vva(eb);Pa=pc;Qa=qc;Qb(Qa|0)}while(0);lc=nc;mc=oc;vva(eb);Qb(mc|0)}while(0);if((La|0)==182){Fa=Rb()|0;dc=Q;ec=Fa}k[A>>2]=27468;k[Ba>>2]=27488;k[Ca>>2]=27560;Yua(Ma);Ava(Ca);vva(Ba);Pa=dc;Qa=ec;Qb(Qa|0)}while(0);$b=bc;ac=cc;vva(Ba);Qb(ac|0)}while(0);ua=a+32|0;g:do if(!(k[ua>>2]|0)){Ca=P+56|0;Ja=P+4|0;k[P>>2]=27524;k[Ca>>2]=27544;B=0;wa(508,P+56|0,Ja|0);xa=B;B=0;if(xa&1){xa=Rb()|0;rc=Q;sc=xa;vva(Ca);Qb(sc|0)}k[P+128>>2]=0;k[P+132>>2]=-1;k[P>>2]=27468;k[Ca>>2]=27488;B=0;va(448,Ja|0);xa=B;B=0;do if(xa&1){Fa=Rb()|0;tc=Q;uc=Fa}else{k[Ja>>2]=27560;Fa=P+36|0;k[Fa>>2]=0;k[Fa+4>>2]=0;k[Fa+8>>2]=0;k[Fa+12>>2]=0;k[P+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ja|0,c|0);Ka=B;B=0;if(Ka&1){Ka=Rb()|0;ab=Q;Yua(c);Yua(Fa);Ava(Ja);tc=ab;uc=Ka;break}Yua(c);B=0;Ia(40,P|0,139388,15)|0;Ka=B;B=0;do if(!(Ka&1)){B=0;wa(510,R|0,Ja|0);ab=B;B=0;if(ab&1){La=284;break}B=0;ya(424,R|0)|0;ab=B;B=0;if(ab&1){ab=Rb()|0;$a=Q;Yua(R);vc=$a;wc=ab;break}else{Yua(R);k[P>>2]=27468;k[Ca>>2]=27488;k[Ja>>2]=27560;Yua(Fa);Ava(Ja);vva(Ca);break g}}else La=284;while(0);if((La|0)==284){Ka=Rb()|0;vc=Q;wc=Ka}k[P>>2]=27468;k[Ca>>2]=27488;k[Ja>>2]=27560;Yua(Fa);Ava(Ja);vva(Ca);Pa=vc;Qa=wc;Qb(Qa|0)}while(0);rc=tc;sc=uc;vva(Ca);Qb(sc|0)}else{Ja=J+56|0;xa=J+4|0;k[J>>2]=27524;k[Ja>>2]=27544;B=0;wa(508,J+56|0,xa|0);Ba=B;B=0;if(Ba&1){Ba=Rb()|0;xc=Q;yc=Ba;vva(Ja);Qb(yc|0)}k[J+128>>2]=0;k[J+132>>2]=-1;k[J>>2]=27468;k[Ja>>2]=27488;B=0;va(448,xa|0);Ba=B;B=0;do if(Ba&1){Ka=Rb()|0;zc=Q;Ac=Ka}else{k[xa>>2]=27560;Ka=J+36|0;k[Ka>>2]=0;k[Ka+4>>2]=0;k[Ka+8>>2]=0;k[Ka+12>>2]=0;k[J+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,xa|0,c|0);Ma=B;B=0;if(Ma&1){Ma=Rb()|0;ab=Q;Yua(c);Yua(Ka);Ava(xa);zc=ab;Ac=Ma;break}Yua(c);B=0;Ia(40,J|0,139373,14)|0;Ma=B;B=0;do if(Ma&1)La=246;else{B=0;wa(510,K|0,xa|0);ab=B;B=0;if(ab&1){La=246;break}B=0;ya(424,K|0)|0;ab=B;B=0;if(ab&1){ab=Rb()|0;$a=Q;Yua(K);Bc=$a;Cc=ab;break}Yua(K);k[J>>2]=27468;k[Ja>>2]=27488;k[xa>>2]=27560;Yua(Ka);Ava(xa);vva(Ja);h:do if((k[ta>>2]|0)>0){ab=L+56|0;$a=L+4|0;db=L+56|0;fb=L+128|0;gb=L+132|0;cb=L+36|0;Wa=L+52|0;Ya=0;while(1){k[L>>2]=27524;k[ab>>2]=27544;B=0;wa(508,db|0,$a|0);Fb=B;B=0;if(Fb&1){La=253;break}k[fb>>2]=0;k[gb>>2]=-1;k[L>>2]=27468;k[ab>>2]=27488;B=0;va(448,$a|0);Fb=B;B=0;if(Fb&1){La=254;break}k[$a>>2]=27560;k[cb>>2]=0;k[cb+4>>2]=0;k[cb+8>>2]=0;k[cb+12>>2]=0;k[Wa>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,$a|0,c|0);Fb=B;B=0;if(Fb&1){La=252;break}Yua(c);B=0;Fb=Ia(40,L|0,149175,1)|0;Gb=B;B=0;if(Gb&1){La=263;break}B=0;Gb=Sa(1,Fb|0,+(+p[(k[ua>>2]|0)+(Ya<<3)>>3]))|0;Fb=B;B=0;if(Fb&1){La=263;break}B=0;Ia(40,Gb|0,149177,1)|0;Gb=B;B=0;if(Gb&1){La=263;break}B=0;wa(510,M|0,$a|0);Gb=B;B=0;if(Gb&1){La=263;break}B=0;ya(424,M|0)|0;Gb=B;B=0;if(Gb&1){La=264;break}Yua(M);k[L>>2]=27468;k[ab>>2]=27488;k[$a>>2]=27560;Yua(cb);Ava($a);vva(ab);Ya=Ya+1|0;if((Ya|0)>=(k[ta>>2]|0))break h}if((La|0)==252){Ya=Rb()|0;Wa=Q;Yua(c);Yua(cb);Ava($a);Dc=Wa;Ec=Ya;La=255}else if((La|0)==253){Ya=Rb()|0;Fc=Q;Gc=Ya;vva(ab);Qb(Gc|0)}else if((La|0)==254){Ya=Rb()|0;Dc=Q;Ec=Ya;La=255}else if((La|0)==263){Ya=Rb()|0;Hc=Q;Ic=Ya;La=265}else if((La|0)==264){Ya=Rb()|0;Wa=Q;Yua(M);Hc=Wa;Ic=Ya;La=265}if((La|0)==255){Fc=Dc;Gc=Ec;vva(ab);Qb(Gc|0)}else if((La|0)==265){k[L>>2]=27468;k[ab>>2]=27488;k[$a>>2]=27560;Yua(cb);Ava($a);vva(ab);Pa=Hc;Qa=Ic;Qb(Qa|0)}}while(0);eb=N+56|0;Ya=N+4|0;k[N>>2]=27524;k[eb>>2]=27544;B=0;wa(508,N+56|0,Ya|0);Wa=B;B=0;if(Wa&1){Wa=Rb()|0;Jc=Q;Kc=Wa;vva(eb);Qb(Kc|0)}k[N+128>>2]=0;k[N+132>>2]=-1;k[N>>2]=27468;k[eb>>2]=27488;B=0;va(448,Ya|0);Wa=B;B=0;do if(Wa&1){gb=Rb()|0;Lc=Q;Mc=gb}else{k[Ya>>2]=27560;gb=N+36|0;k[gb>>2]=0;k[gb+4>>2]=0;k[gb+8>>2]=0;k[gb+12>>2]=0;k[N+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ya|0,c|0);fb=B;B=0;if(fb&1){fb=Rb()|0;db=Q;Yua(c);Yua(gb);Ava(Ya);Lc=db;Mc=fb;break}Yua(c);B=0;Ia(40,N|0,149198,2)|0;fb=B;B=0;do if(!(fb&1)){B=0;wa(510,O|0,Ya|0);db=B;B=0;if(db&1){La=269;break}B=0;ya(424,O|0)|0;db=B;B=0;if(db&1){db=Rb()|0;bb=Q;Yua(O);Nc=bb;Oc=db;break}else{Yua(O);k[N>>2]=27468;k[eb>>2]=27488;k[Ya>>2]=27560;Yua(gb);Ava(Ya);vva(eb);break g}}else La=269;while(0);if((La|0)==269){fb=Rb()|0;Nc=Q;Oc=fb}k[N>>2]=27468;k[eb>>2]=27488;k[Ya>>2]=27560;Yua(gb);Ava(Ya);vva(eb);Pa=Nc;Qa=Oc;Qb(Qa|0)}while(0);Jc=Lc;Kc=Mc;vva(eb);Qb(Kc|0)}while(0);if((La|0)==246){Ma=Rb()|0;Bc=Q;Cc=Ma}k[J>>2]=27468;k[Ja>>2]=27488;k[xa>>2]=27560;Yua(Ka);Ava(xa);vva(Ja);Pa=Bc;Qa=Cc;Qb(Qa|0)}while(0);xc=zc;yc=Ac;vva(Ja);Qb(yc|0)}while(0);ta=S+56|0;ua=S+4|0;k[S>>2]=27524;k[ta>>2]=27544;B=0;wa(508,S+56|0,ua|0);xa=B;B=0;if(xa&1){xa=Rb()|0;Pc=Q;Qc=xa;vva(ta);Qb(Qc|0)}k[S+128>>2]=0;k[S+132>>2]=-1;k[S>>2]=27468;k[ta>>2]=27488;B=0;va(448,ua|0);xa=B;B=0;do if(xa&1){Ba=Rb()|0;Rc=Q;Sc=Ba}else{k[ua>>2]=27560;Ba=S+36|0;k[Ba>>2]=0;k[Ba+4>>2]=0;k[Ba+8>>2]=0;k[Ba+12>>2]=0;k[S+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ua|0,c|0);Ca=B;B=0;if(Ca&1){Ca=Rb()|0;Ma=Q;Yua(c);Yua(Ba);Ava(ua);Rc=Ma;Sc=Ca;break}Yua(c);B=0;Ca=Ia(40,S|0,139435,12)|0;Ma=B;B=0;do if(Ma&1)La=340;else{B=0;Fa=Sa(1,Ca|0,+(+p[a+8>>3]))|0;Ya=B;B=0;if(Ya&1){La=340;break}B=0;Ia(40,Fa|0,149177,1)|0;Fa=B;B=0;if(Fa&1){La=340;break}B=0;wa(510,T|0,ua|0);Fa=B;B=0;if(Fa&1){La=340;break}B=0;ya(424,T|0)|0;Fa=B;B=0;if(Fa&1){Fa=Rb()|0;Ya=Q;Yua(T);Tc=Ya;Uc=Fa;break}Yua(T);k[S>>2]=27468;k[ta>>2]=27488;k[ua>>2]=27560;Yua(Ba);Ava(ua);vva(ta);Fa=U+56|0;Ya=U+4|0;k[U>>2]=27524;k[Fa>>2]=27544;B=0;wa(508,U+56|0,Ya|0);Wa=B;B=0;if(Wa&1){Wa=Rb()|0;Vc=Q;Wc=Wa;vva(Fa);Qb(Wc|0)}k[U+128>>2]=0;k[U+132>>2]=-1;k[U>>2]=27468;k[Fa>>2]=27488;B=0;va(448,Ya|0);Wa=B;B=0;do if(Wa&1){fb=Rb()|0;Xc=Q;Yc=fb}else{k[Ya>>2]=27560;fb=U+36|0;k[fb>>2]=0;k[fb+4>>2]=0;k[fb+8>>2]=0;k[fb+12>>2]=0;k[U+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ya|0,c|0);ab=B;B=0;if(ab&1){ab=Rb()|0;$a=Q;Yua(c);Yua(fb);Ava(Ya);Xc=$a;Yc=ab;break}Yua(c);B=0;ab=Ia(40,U|0,139448,12)|0;$a=B;B=0;do if($a&1)La=343;else{B=0;cb=Sa(1,ab|0,+(+p[a+40>>3]))|0;db=B;B=0;if(db&1){La=343;break}B=0;Ia(40,cb|0,149177,1)|0;cb=B;B=0;if(cb&1){La=343;break}B=0;wa(510,V|0,Ya|0);cb=B;B=0;if(cb&1){La=343;break}B=0;ya(424,V|0)|0;cb=B;B=0;if(cb&1){cb=Rb()|0;db=Q;Yua(V);Zc=db;_c=cb;break}Yua(V);k[U>>2]=27468;k[Fa>>2]=27488;k[Ya>>2]=27560;Yua(fb);Ava(Ya);vva(Fa);cb=W+56|0;db=W+4|0;k[W>>2]=27524;k[cb>>2]=27544;B=0;wa(508,W+56|0,db|0);bb=B;B=0;if(bb&1){bb=Rb()|0;$c=Q;ad=bb;vva(cb);Qb(ad|0)}k[W+128>>2]=0;k[W+132>>2]=-1;k[W>>2]=27468;k[cb>>2]=27488;B=0;va(448,db|0);bb=B;B=0;do if(bb&1){Gb=Rb()|0;bd=Q;cd=Gb}else{k[db>>2]=27560;Gb=W+36|0;k[Gb>>2]=0;k[Gb+4>>2]=0;k[Gb+8>>2]=0;k[Gb+12>>2]=0;k[W+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,db|0,c|0);Fb=B;B=0;if(Fb&1){Fb=Rb()|0;dd=Q;Yua(c);Yua(Gb);Ava(db);bd=dd;cd=Fb;break}Yua(c);B=0;Fb=Ia(40,W|0,139461,12)|0;dd=B;B=0;do if(dd&1)La=346;else{B=0;ed=Sa(1,Fb|0,+(+p[a+48>>3]))|0;fd=B;B=0;if(fd&1){La=346;break}B=0;Ia(40,ed|0,149177,1)|0;ed=B;B=0;if(ed&1){La=346;break}B=0;wa(510,X|0,db|0);ed=B;B=0;if(ed&1){La=346;break}B=0;ya(424,X|0)|0;ed=B;B=0;if(ed&1){ed=Rb()|0;fd=Q;Yua(X);gd=fd;hd=ed;break}Yua(X);k[W>>2]=27468;k[cb>>2]=27488;k[db>>2]=27560;Yua(Gb);Ava(db);vva(cb);ed=Y+56|0;fd=Y+4|0;k[Y>>2]=27524;k[ed>>2]=27544;B=0;wa(508,Y+56|0,fd|0);id=B;B=0;if(id&1){id=Rb()|0;jd=Q;kd=id;vva(ed);Qb(kd|0)}k[Y+128>>2]=0;k[Y+132>>2]=-1;k[Y>>2]=27468;k[ed>>2]=27488;B=0;va(448,fd|0);id=B;B=0;do if(id&1){ld=Rb()|0;md=Q;nd=ld}else{k[fd>>2]=27560;ld=Y+36|0;k[ld>>2]=0;k[ld+4>>2]=0;k[ld+8>>2]=0;k[ld+12>>2]=0;k[Y+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,fd|0,c|0);od=B;B=0;if(od&1){od=Rb()|0;pd=Q;Yua(c);Yua(ld);Ava(fd);md=pd;nd=od;break}Yua(c);B=0;od=Ia(40,Y|0,139474,12)|0;pd=B;B=0;do if(!(pd&1)){B=0;qd=Sa(1,od|0,+(+p[a+56>>3]))|0;rd=B;B=0;if(rd&1){La=349;break}B=0;Ia(40,qd|0,149177,1)|0;qd=B;B=0;if(qd&1){La=349;break}B=0;wa(510,Z|0,fd|0);qd=B;B=0;if(qd&1){La=349;break}B=0;ya(424,Z|0)|0;qd=B;B=0;if(qd&1){qd=Rb()|0;rd=Q;Yua(Z);sd=rd;td=qd;break}else{Yua(Z);k[Y>>2]=27468;k[ed>>2]=27488;k[fd>>2]=27560;Yua(ld);Ava(fd);vva(ed);r=b;return}}else La=349;while(0);if((La|0)==349){od=Rb()|0;sd=Q;td=od}k[Y>>2]=27468;k[ed>>2]=27488;k[fd>>2]=27560;Yua(ld);Ava(fd);vva(ed);Pa=sd;Qa=td;Qb(Qa|0)}while(0);jd=md;kd=nd;vva(ed);Qb(kd|0)}while(0);if((La|0)==346){Fb=Rb()|0;gd=Q;hd=Fb}k[W>>2]=27468;k[cb>>2]=27488;k[db>>2]=27560;Yua(Gb);Ava(db);vva(cb);Pa=gd;Qa=hd;Qb(Qa|0)}while(0);$c=bd;ad=cd;vva(cb);Qb(ad|0)}while(0);if((La|0)==343){ab=Rb()|0;Zc=Q;_c=ab}k[U>>2]=27468;k[Fa>>2]=27488;k[Ya>>2]=27560;Yua(fb);Ava(Ya);vva(Fa);Pa=Zc;Qa=_c;Qb(Qa|0)}while(0);Vc=Xc;Wc=Yc;vva(Fa);Qb(Wc|0)}while(0);if((La|0)==340){Ca=Rb()|0;Tc=Q;Uc=Ca}k[S>>2]=27468;k[ta>>2]=27488;k[ua>>2]=27560;Yua(Ba);Ava(ua);vva(ta);Pa=Tc;Qa=Uc;Qb(Qa|0)}while(0);Pc=Rc;Qc=Sc;vva(ta);Qb(Qc|0)}else La=51;while(0);if((La|0)==51){ra=Rb()|0;za=Q;Aa=ra}k[f>>2]=27468;k[ha>>2]=27488;k[ia>>2]=27560;Yua(oa);Ava(ia);vva(ha);Pa=za;Qa=Aa;Qb(Qa|0)}while(0);ma=pa;na=qa;vva(ha);Qb(na|0)}else La=48;while(0);if((La|0)==48){ga=Rb()|0;ja=Q;ka=ga}k[d>>2]=27468;k[_>>2]=27488;k[$>>2]=27560;Yua(da);Ava($);vva(_);Pa=ja;Qa=ka;Qb(Qa|0)}while(0);ba=ea;ca=fa;vva(_);Qb(ca|0)}function Lja(a){a=a|0;return 930}function Mja(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;j=(b|0)>(c|0);l=j?b:c;m=j?c:b;b=(m|0)==0;if(b&(l|0)==1){p[a+40>>3]=.5;p[a+48>>3]=.5;p[a+56>>3]=0.0;r=d;return}c=(l|0)==2;if(b&c){p[a+40>>3]=.5;p[a+48>>3]=0.0;p[a+56>>3]=.5;r=d;return}if((m|0)==1&c){p[a+40>>3]=0.0;p[a+48>>3]=.5;p[a+56>>3]=.5;r=d;return}d=f+56|0;a=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,a|0);c=B;B=0;if(c&1){c=Rb()|0;n=Q;o=c;vva(d);Qb(o|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,a|0);c=B;B=0;do if(c&1){b=Rb()|0;q=Q;s=b}else{k[a>>2]=27560;b=f+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,a|0,e|0);j=B;B=0;if(j&1){j=Rb()|0;t=Q;Yua(e);Yua(b);Ava(a);q=t;s=j;break}Yua(e);B=0;j=Ia(40,f|0,138656,60)|0;t=B;B=0;if(((((!(t&1)?(B=0,t=Xa(242,j|0,m|0)|0,j=B,B=0,!(j&1)):0)?(B=0,j=Ia(40,t|0,138717,5)|0,t=B,B=0,!(t&1)):0)?(B=0,t=Xa(242,j|0,l|0)|0,j=B,B=0,!(j&1)):0)?(B=0,j=Ia(40,t|0,141170,1)|0,t=B,B=0,!(t&1)):0)?(B=0,Xa(239,j|0,0)|0,j=B,B=0,!(j&1)):0){j=Ab(20)|0;B=0;eb(502,g|0,138496,74);t=B;B=0;do if(!(t&1)){B=0;eb(502,h|0,138723,15);u=B;B=0;if(u&1){u=Rb()|0;v=Q;Yua(g);w=u;x=v;break}B=0;wa(510,i|0,a|0);v=B;B=0;if(v&1){v=Rb()|0;y=v;z=Q;A=1}else{B=0;ua(163,j|0,g|0,h|0,366,i|0);v=B;B=0;if(v&1)C=1;else{B=0;eb(503,j|0,1240,229);B=0;C=0}v=Rb()|0;u=Q;Yua(i);y=v;z=u;A=C}Yua(h);Yua(g);if(A){w=y;x=z}else{D=y;E=z;k[f>>2]=27468;k[d>>2]=27488;k[a>>2]=27560;Yua(b);Ava(a);vva(d);Qb(D|0)}}else{u=Rb()|0;w=u;x=Q}while(0);zb(j|0);D=w;E=x;k[f>>2]=27468;k[d>>2]=27488;k[a>>2]=27560;Yua(b);Ava(a);vva(d);Qb(D|0)}t=Rb()|0;D=t;E=Q;k[f>>2]=27468;k[d>>2]=27488;k[a>>2]=27560;Yua(b);Ava(a);vva(d);Qb(D|0)}while(0);n=q;o=s;vva(d);Qb(o|0)}function Nja(a,b){a=a|0;b=b|0;p[a+8>>3]=+p[(k[a+20>>2]|0)+(b<<3)>>3];p[a+40>>3]=+p[(k[a+24>>2]|0)+(b<<3)>>3];p[a+48>>3]=+p[(k[a+28>>2]|0)+(b<<3)>>3];p[a+56>>3]=+p[(k[a+32>>2]|0)+(b<<3)>>3];return}function Oja(a,b,c,d){a=a|0;b=+b;c=+c;d=d|0;var e=0.0,f=0.0,g=0.0,h=0.0,i=0.0,j=0.0,k=0.0,l=0.0;e=+p[d>>3];f=+p[d+8>>3];g=+p[d+24>>3];h=+p[d+32>>3];i=+p[d+48>>3];j=+p[d+56>>3];k=(f*i+(e*h+(g*j-h*i)-f*g)-e*j)*.5;l=b-i;b=c-j;c=(l*(h-j)-(g-i)*b)/k;p[a+40>>3]=c;g=((e-i)*b-l*(f-j))/k;p[a+48>>3]=g;p[a+56>>3]=1.0-c-g;return}function Pja(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;switch(b|0){case 0:{p[a+40>>3]=1.0;b=a+48|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;r=c;return}case 1:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;p[a+56>>3]=0.0;r=c;return}case 2:{b=a+40|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;p[a+56>>3]=1.0;r=c;return}default:{c=e+56|0;a=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,a|0);b=B;B=0;if(b&1){b=Rb()|0;i=Q;j=b;vva(c);Qb(j|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,a|0);b=B;B=0;do if(b&1){l=Rb()|0;m=Q;n=l}else{k[a>>2]=27560;l=e+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,a|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;q=Q;Yua(d);Yua(l);Ava(a);m=q;n=o;break}Yua(d);B=0;o=Ia(40,e|0,138739,31)|0;q=B;B=0;if(!(q&1)?(B=0,Xa(239,o|0,0)|0,o=B,B=0,!(o&1)):0){o=Ab(20)|0;B=0;eb(502,f|0,138496,74);q=B;B=0;do if(!(q&1)){B=0;eb(502,g|0,139532,11);s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(f);u=t;v=s;break}B=0;wa(510,h|0,a|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,o|0,f|0,g|0,419,h|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,o|0,1240,229);B=0;z=0}s=Rb()|0;t=Q;Yua(h);w=t;x=s;y=z}Yua(g);Yua(f);if(y){u=w;v=x}else{A=w;C=x;k[e>>2]=27468;k[c>>2]=27488;k[a>>2]=27560;Yua(l);Ava(a);vva(c);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(o|0);A=u;C=v;k[e>>2]=27468;k[c>>2]=27488;k[a>>2]=27560;Yua(l);Ava(a);vva(c);Qb(C|0)}q=Rb()|0;A=Q;C=q;k[e>>2]=27468;k[c>>2]=27488;k[a>>2]=27560;Yua(l);Ava(a);vva(c);Qb(C|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}}}function Qja(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0;d=r;r=r+1056|0;e=d+1040|0;f=d+856|0;g=d+1028|0;h=d+1016|0;i=d+1004|0;j=d+704|0;l=d+992|0;m=d+840|0;n=d+552|0;o=d+568|0;q=d+268|0;s=d+256|0;t=d+108|0;u=d+416|0;v=d+96|0;w=d+84|0;x=d+72|0;y=d+280|0;z=d+60|0;A=d+48|0;C=d+36|0;D=d+120|0;E=d+24|0;F=d+12|0;G=d;switch(b|0){case 736:{if(!c){p[a+40>>3]=.3333333333333333;p[a+48>>3]=.3333333333333333;p[a+56>>3]=.3333333333333333;r=d;return}H=f+56|0;I=f+4|0;k[f>>2]=27524;k[H>>2]=27544;B=0;wa(508,f+56|0,I|0);J=B;B=0;if(J&1){J=Rb()|0;K=Q;L=J;vva(H);Qb(L|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[H>>2]=27488;B=0;va(448,I|0);J=B;B=0;do if(J&1){M=Rb()|0;N=Q;O=M}else{k[I>>2]=27560;M=f+36|0;k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;k[M+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,I|0,e|0);P=B;B=0;if(P&1){P=Rb()|0;R=Q;Yua(e);Yua(M);Ava(I);N=R;O=P;break}Yua(e);B=0;P=Ia(40,f|0,138771,22)|0;R=B;B=0;a:do if(!(R&1)?(B=0,Xa(239,P|0,0)|0,S=B,B=0,!(S&1)):0){S=Ab(20)|0;B=0;eb(502,g|0,138496,74);T=B;B=0;do if(!(T&1)){B=0;eb(502,h|0,139574,9);U=B;B=0;if(U&1){U=Rb()|0;V=Q;Yua(g);W=V;X=U;break}B=0;wa(510,i|0,I|0);U=B;B=0;if(U&1){U=Rb()|0;Y=Q;Z=U;_=1}else{B=0;ua(163,S|0,g|0,h|0,434,i|0);U=B;B=0;if(U&1)$=1;else{B=0;eb(503,S|0,1240,229);B=0;$=0}U=Rb()|0;V=Q;Yua(i);Y=V;Z=U;_=$}Yua(h);Yua(g);if(_){W=Y;X=Z}else{aa=Y;ba=Z;break a}}else{U=Rb()|0;W=Q;X=U}while(0);zb(S|0);aa=W;ba=X}else ca=19;while(0);if((ca|0)==19){P=Rb()|0;aa=Q;ba=P}k[f>>2]=27468;k[H>>2]=27488;k[I>>2]=27560;Yua(M);Ava(I);vva(H);da=aa;ea=ba;Qb(ea|0)}while(0);K=N;L=O;vva(H);Qb(L|0);break}case 739:case 738:{switch(c|0){case 0:{p[a+40>>3]=1.0;L=a+48|0;k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;k[L+12>>2]=0;r=d;return}case 1:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;p[a+56>>3]=0.0;r=d;return}case 2:{L=a+40|0;k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;k[L+12>>2]=0;p[a+56>>3]=1.0;r=d;return}default:{L=j+56|0;H=j+4|0;k[j>>2]=27524;k[L>>2]=27544;B=0;wa(508,j+56|0,H|0);O=B;B=0;if(O&1){O=Rb()|0;fa=Q;ga=O;vva(L);Qb(ga|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[L>>2]=27488;B=0;va(448,H|0);O=B;B=0;do if(O&1){N=Rb()|0;ha=Q;ia=N}else{k[H>>2]=27560;N=j+36|0;k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;k[N+12>>2]=0;k[j+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,H|0,e|0);K=B;B=0;if(K&1){K=Rb()|0;ba=Q;Yua(e);Yua(N);Ava(H);ha=ba;ia=K;break}Yua(e);B=0;K=Ia(40,j|0,138794,29)|0;ba=B;B=0;b:do if(!(ba&1)?(B=0,Xa(239,K|0,0)|0,aa=B,B=0,!(aa&1)):0){aa=Ab(20)|0;B=0;eb(502,l|0,138496,74);I=B;B=0;do if(!(I&1)){B=0;eb(502,m|0,139574,9);f=B;B=0;if(f&1){f=Rb()|0;X=Q;Yua(l);ja=X;ka=f;break}B=0;wa(510,n|0,H|0);f=B;B=0;if(f&1){f=Rb()|0;la=1;ma=Q;na=f}else{B=0;ua(163,aa|0,l|0,m|0,442,n|0);f=B;B=0;if(f&1)oa=1;else{B=0;eb(503,aa|0,1240,229);B=0;oa=0}f=Rb()|0;X=Q;Yua(n);la=oa;ma=X;na=f}Yua(m);Yua(l);if(la){ja=ma;ka=na}else{pa=ma;qa=na;break b}}else{f=Rb()|0;ja=Q;ka=f}while(0);zb(aa|0);pa=ja;qa=ka}else ca=46;while(0);if((ca|0)==46){K=Rb()|0;pa=Q;qa=K}k[j>>2]=27468;k[L>>2]=27488;k[H>>2]=27560;Yua(N);Ava(H);vva(L);da=pa;ea=qa;Qb(ea|0)}while(0);fa=ha;ga=ia;vva(L);Qb(ga|0)}}break}case 741:case 740:{switch(c|0){case 0:{p[a+40>>3]=1.0;ga=a+48|0;k[ga>>2]=0;k[ga+4>>2]=0;k[ga+8>>2]=0;k[ga+12>>2]=0;r=d;return}case 1:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;p[a+56>>3]=0.0;r=d;return}case 2:{ga=a+40|0;k[ga>>2]=0;k[ga+4>>2]=0;k[ga+8>>2]=0;k[ga+12>>2]=0;p[a+56>>3]=1.0;r=d;return}case 3:{p[a+40>>3]=.3333333333333333;p[a+48>>3]=.3333333333333333;p[a+56>>3]=.3333333333333333;r=d;return}default:{ga=o+56|0;L=o+4|0;k[o>>2]=27524;k[ga>>2]=27544;B=0;wa(508,o+56|0,L|0);ia=B;B=0;if(ia&1){ia=Rb()|0;ra=Q;sa=ia;vva(ga);Qb(sa|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[ga>>2]=27488;B=0;va(448,L|0);ia=B;B=0;do if(ia&1){ha=Rb()|0;ta=Q;xa=ha}else{k[L>>2]=27560;ha=o+36|0;k[ha>>2]=0;k[ha+4>>2]=0;k[ha+8>>2]=0;k[ha+12>>2]=0;k[o+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,L|0,e|0);fa=B;B=0;if(fa&1){fa=Rb()|0;qa=Q;Yua(e);Yua(ha);Ava(L);ta=qa;xa=fa;break}Yua(e);B=0;fa=Ia(40,o|0,138988,29)|0;qa=B;B=0;c:do if(!(qa&1)?(B=0,Xa(239,fa|0,0)|0,pa=B,B=0,!(pa&1)):0){pa=Ab(20)|0;B=0;eb(502,q|0,138496,74);H=B;B=0;do if(!(H&1)){B=0;eb(502,s|0,139574,9);j=B;B=0;if(j&1){j=Rb()|0;ka=Q;Yua(q);za=ka;Aa=j;break}B=0;wa(510,t|0,L|0);j=B;B=0;if(j&1){j=Rb()|0;Ba=1;Ca=Q;Da=j}else{B=0;ua(163,pa|0,q|0,s|0,451,t|0);j=B;B=0;if(j&1)Ea=1;else{B=0;eb(503,pa|0,1240,229);B=0;Ea=0}j=Rb()|0;ka=Q;Yua(t);Ba=Ea;Ca=ka;Da=j}Yua(s);Yua(q);if(Ba){za=Ca;Aa=Da}else{Fa=Ca;Ga=Da;break c}}else{j=Rb()|0;za=Q;Aa=j}while(0);zb(pa|0);Fa=za;Ga=Aa}else ca=74;while(0);if((ca|0)==74){fa=Rb()|0;Fa=Q;Ga=fa}k[o>>2]=27468;k[ga>>2]=27488;k[L>>2]=27560;Yua(ha);Ava(L);vva(ga);da=Fa;ea=Ga;Qb(ea|0)}while(0);ra=ta;sa=xa;vva(ga);Qb(sa|0)}}break}case 742:{switch(c|0){case 0:{p[a+40>>3]=1.0;sa=a+48|0;k[sa>>2]=0;k[sa+4>>2]=0;k[sa+8>>2]=0;k[sa+12>>2]=0;r=d;return}case 1:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;p[a+56>>3]=0.0;r=d;return}case 2:{sa=a+40|0;k[sa>>2]=0;k[sa+4>>2]=0;k[sa+8>>2]=0;k[sa+12>>2]=0;p[a+56>>3]=1.0;r=d;return}case 3:{p[a+40>>3]=0.0;p[a+48>>3]=.5;p[a+56>>3]=.5;r=d;return}case 4:{p[a+40>>3]=.5;p[a+48>>3]=0.0;p[a+56>>3]=.5;r=d;return}case 5:{p[a+40>>3]=.5;p[a+48>>3]=.5;p[a+56>>3]=0.0;r=d;return}default:{sa=u+56|0;ga=u+4|0;k[u>>2]=27524;k[sa>>2]=27544;B=0;wa(508,u+56|0,ga|0);xa=B;B=0;if(xa&1){xa=Rb()|0;Ha=Q;Ja=xa;vva(sa);Qb(Ja|0)}k[u+128>>2]=0;k[u+132>>2]=-1;k[u>>2]=27468;k[sa>>2]=27488;B=0;va(448,ga|0);xa=B;B=0;do if(xa&1){ta=Rb()|0;Ka=Q;La=ta}else{k[ga>>2]=27560;ta=u+36|0;k[ta>>2]=0;k[ta+4>>2]=0;k[ta+8>>2]=0;k[ta+12>>2]=0;k[u+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,ga|0,e|0);ra=B;B=0;if(ra&1){ra=Rb()|0;Ga=Q;Yua(e);Yua(ta);Ava(ga);Ka=Ga;La=ra;break}Yua(e);B=0;ra=Ia(40,u|0,139544,29)|0;Ga=B;B=0;d:do if(!(Ga&1)?(B=0,Xa(239,ra|0,0)|0,Fa=B,B=0,!(Fa&1)):0){Fa=Ab(20)|0;B=0;eb(502,v|0,138496,74);L=B;B=0;do if(!(L&1)){B=0;eb(502,w|0,139574,9);o=B;B=0;if(o&1){o=Rb()|0;Aa=Q;Yua(v);Ma=Aa;Na=o;break}B=0;wa(510,x|0,ga|0);o=B;B=0;if(o&1){o=Rb()|0;Oa=Q;Pa=o;Qa=1}else{B=0;ua(163,Fa|0,v|0,w|0,462,x|0);o=B;B=0;if(o&1)Ra=1;else{B=0;eb(503,Fa|0,1240,229);B=0;Ra=0}o=Rb()|0;Aa=Q;Yua(x);Oa=Aa;Pa=o;Qa=Ra}Yua(w);Yua(v);if(Qa){Ma=Oa;Na=Pa}else{Sa=Oa;Ta=Pa;break d}}else{o=Rb()|0;Ma=Q;Na=o}while(0);zb(Fa|0);Sa=Ma;Ta=Na}else ca=104;while(0);if((ca|0)==104){ra=Rb()|0;Sa=Q;Ta=ra}k[u>>2]=27468;k[sa>>2]=27488;k[ga>>2]=27560;Yua(ta);Ava(ga);vva(sa);da=Sa;ea=Ta;Qb(ea|0)}while(0);Ha=Ka;Ja=La;vva(sa);Qb(Ja|0)}}break}case 744:case 743:{switch(c|0){case 0:{p[a+40>>3]=1.0;c=a+48|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;r=d;return}case 1:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;p[a+56>>3]=0.0;r=d;return}case 2:{c=a+40|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;p[a+56>>3]=1.0;r=d;return}case 3:{p[a+40>>3]=0.0;p[a+48>>3]=.5;p[a+56>>3]=.5;r=d;return}case 4:{p[a+40>>3]=.5;p[a+48>>3]=0.0;p[a+56>>3]=.5;r=d;return}case 5:{p[a+40>>3]=.5;p[a+48>>3]=.5;p[a+56>>3]=0.0;r=d;return}case 6:{p[a+40>>3]=.3333333333333333;p[a+48>>3]=.3333333333333333;p[a+56>>3]=.3333333333333333;r=d;return}default:{d=y+56|0;a=y+4|0;k[y>>2]=27524;k[d>>2]=27544;B=0;wa(508,y+56|0,a|0);c=B;B=0;if(c&1){c=Rb()|0;Ua=Q;Va=c;vva(d);Qb(Va|0)}k[y+128>>2]=0;k[y+132>>2]=-1;k[y>>2]=27468;k[d>>2]=27488;B=0;va(448,a|0);c=B;B=0;do if(c&1){Ja=Rb()|0;Wa=Q;Ya=Ja}else{k[a>>2]=27560;Ja=y+36|0;k[Ja>>2]=0;k[Ja+4>>2]=0;k[Ja+8>>2]=0;k[Ja+12>>2]=0;k[y+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,a|0,e|0);sa=B;B=0;if(sa&1){sa=Rb()|0;La=Q;Yua(e);Yua(Ja);Ava(a);Wa=La;Ya=sa;break}Yua(e);B=0;sa=Ia(40,y|0,139645,29)|0;La=B;B=0;e:do if(!(La&1)?(B=0,Xa(239,sa|0,0)|0,Ka=B,B=0,!(Ka&1)):0){Ka=Ab(20)|0;B=0;eb(502,z|0,138496,74);Ha=B;B=0;do if(!(Ha&1)){B=0;eb(502,A|0,139574,9);Ta=B;B=0;if(Ta&1){Ta=Rb()|0;Sa=Q;Yua(z);Za=Sa;_a=Ta;break}B=0;wa(510,C|0,a|0);Ta=B;B=0;if(Ta&1){Ta=Rb()|0;$a=1;ab=Q;bb=Ta}else{B=0;ua(163,Ka|0,z|0,A|0,474,C|0);Ta=B;B=0;if(Ta&1)cb=1;else{B=0;eb(503,Ka|0,1240,229);B=0;cb=0}Ta=Rb()|0;Sa=Q;Yua(C);$a=cb;ab=Sa;bb=Ta}Yua(A);Yua(z);if($a){Za=ab;_a=bb}else{db=ab;fb=bb;break e}}else{Ta=Rb()|0;Za=Q;_a=Ta}while(0);zb(Ka|0);db=Za;fb=_a}else ca=135;while(0);if((ca|0)==135){sa=Rb()|0;db=Q;fb=sa}k[y>>2]=27468;k[d>>2]=27488;k[a>>2]=27560;Yua(Ja);Ava(a);vva(d);da=db;ea=fb;Qb(ea|0)}while(0);Ua=Wa;Va=Ya;vva(d);Qb(Va|0)}}break}default:{Va=D+56|0;d=D+4|0;k[D>>2]=27524;k[Va>>2]=27544;B=0;wa(508,D+56|0,d|0);Ya=B;B=0;if(Ya&1){Ya=Rb()|0;gb=Q;hb=Ya;vva(Va);Qb(hb|0)}k[D+128>>2]=0;k[D+132>>2]=-1;k[D>>2]=27468;k[Va>>2]=27488;B=0;va(448,d|0);Ya=B;B=0;do if(Ya&1){Wa=Rb()|0;ib=Q;jb=Wa}else{k[d>>2]=27560;Wa=D+36|0;k[Wa>>2]=0;k[Wa+4>>2]=0;k[Wa+8>>2]=0;k[Wa+12>>2]=0;k[D+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,d|0,e|0);Ua=B;B=0;if(Ua&1){Ua=Rb()|0;fb=Q;Yua(e);Yua(Wa);Ava(d);ib=fb;jb=Ua;break}Yua(e);B=0;Ua=Ia(40,D|0,145867,15)|0;fb=B;B=0;f:do if((((!(fb&1)?(B=0,db=ya(427,b|0)|0,a=B,B=0,!(a&1)):0)?(a=Lta(db)|0,B=0,y=Ia(40,Ua|0,db|0,a|0)|0,a=B,B=0,!(a&1)):0)?(B=0,a=Ia(40,y|0,144645,14)|0,y=B,B=0,!(y&1)):0)?(B=0,Xa(239,a|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,E|0,138496,74);y=B;B=0;do if(!(y&1)){B=0;eb(502,F|0,139574,9);db=B;B=0;if(db&1){db=Rb()|0;_a=Q;Yua(E);kb=_a;lb=db;break}B=0;wa(510,G|0,d|0);db=B;B=0;if(db&1){db=Rb()|0;mb=1;nb=Q;ob=db}else{B=0;ua(163,a|0,E|0,F|0,477,G|0);db=B;B=0;if(db&1)pb=1;else{B=0;eb(503,a|0,1240,229);B=0;pb=0}db=Rb()|0;_a=Q;Yua(G);mb=pb;nb=_a;ob=db}Yua(F);Yua(E);if(mb){kb=nb;lb=ob}else{qb=nb;rb=ob;break f}}else{db=Rb()|0;kb=Q;lb=db}while(0);zb(a|0);qb=kb;rb=lb}else ca=161;while(0);if((ca|0)==161){Ua=Rb()|0;qb=Q;rb=Ua}k[D>>2]=27468;k[Va>>2]=27488;k[d>>2]=27560;Yua(Wa);Ava(d);vva(Va);da=qb;ea=rb;Qb(ea|0)}while(0);gb=ib;hb=jb;vva(Va);Qb(hb|0)}}}function Rja(a){a=a|0;return 0}function Sja(a){a=a|0;return k[a+16>>2]|0}function Tja(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,145010,13)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,138496,74);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,139078,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,510,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function Uja(a){a=a|0;var b=0;k[a>>2]=40780;k[a+16>>2]=-1;b=a+20|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[b+16>>2]=0;p[a+8>>3]=-9999.0;p[a+40>>3]=-9999.0;p[a+48>>3]=-9999.0;p[a+56>>3]=-9999.0;p[a+64>>3]=-9999.0;return}function Vja(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0.0,h=0.0,i=0.0;k[a>>2]=40780;c=a+16|0;d=a+20|0;Vna(c,a+24|0,a+28|0,a+32|0,a+36|0,d,b);b=k[c>>2]|0;c=(b|0)>0;if(c){e=k[d>>2]|0;f=0;g=0.0;while(1){h=g+ +p[e+(f<<3)>>3];f=f+1|0;if((f|0)>=(b|0)){i=h;break}else g=h}if(!(i!=1.0|c^1)){c=k[d>>2]|0;d=0;do{f=c+(d<<3)|0;p[f>>3]=+p[f>>3]/6.0;d=d+1|0}while((d|0)<(b|0))}}p[a+8>>3]=-9999.0;p[a+40>>3]=-9999.0;p[a+48>>3]=-9999.0;p[a+56>>3]=-9999.0;return}function Wja(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0;f=r;r=r+192|0;g=f+176|0;h=f+40|0;i=f+24|0;j=f+12|0;l=f;k[a>>2]=40780;m=(b|0)==0;n=(d|0)==2;do if(m&(c|0)==1&n){o=a+16|0;B=0;La(39,o|0,a+24|0,a+28|0,a+32|0,a+20|0,e|0);p=B;B=0;if(!(p&1)?(p=k[o>>2]|0,B=0,o=ya(422,(p>>>0>536870911?-1:p<<3)|0)|0,q=B,B=0,!(q&1)):0){k[a+36>>2]=o;if((p|0)<=0){r=f;return}WEa(o|0,0,((p|0)>1?p:1)<<3|0)|0;r=f;return}else s=6}else{p=(c|0)==3;if(m&p&(d|0)==1){o=a+16|0;B=0;La(39,o|0,a+24|0,a+28|0,a+36|0,a+20|0,e|0);q=B;B=0;if(q&1){s=6;break}q=k[o>>2]|0;B=0;o=ya(422,(q>>>0>536870911?-1:q<<3)|0)|0;t=B;B=0;if(t&1){s=6;break}k[a+32>>2]=o;if((q|0)<=0){r=f;return}WEa(o|0,0,((q|0)>1?q:1)<<3|0)|0;r=f;return}if((b|0)==1&p&n){p=a+16|0;B=0;La(39,p|0,a+28|0,a+32|0,a+36|0,a+20|0,e|0);q=B;B=0;if(q&1){s=6;break}q=k[p>>2]|0;B=0;p=ya(422,(q>>>0>536870911?-1:q<<3)|0)|0;o=B;B=0;if(o&1){s=6;break}k[a+24>>2]=p;if((q|0)<=0){r=f;return}WEa(p|0,0,((q|0)>1?q:1)<<3|0)|0;r=f;return}if(m&(c|0)==2&(d|0)==3){q=a+16|0;B=0;La(39,q|0,a+24|0,a+32|0,a+36|0,a+20|0,e|0);p=B;B=0;if(p&1){s=6;break}p=k[q>>2]|0;B=0;q=ya(422,(p>>>0>536870911?-1:p<<3)|0)|0;o=B;B=0;if(o&1){s=6;break}k[a+28>>2]=q;if((p|0)<=0){r=f;return}WEa(q|0,0,((p|0)>1?p:1)<<3|0)|0;r=f;return}p=h+56|0;q=h+4|0;k[h>>2]=27524;k[p>>2]=27544;B=0;wa(508,h+56|0,q|0);o=B;B=0;if(o&1){o=Rb()|0;u=Q;v=o}else{k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[p>>2]=27488;B=0;va(448,q|0);o=B;B=0;do if(o&1){t=Rb()|0;w=Q;x=t}else{k[q>>2]=27560;t=h+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[h+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,q|0,g|0);y=B;B=0;if(y&1){y=Rb()|0;z=Q;Yua(g);Yua(t);Ava(q);w=z;x=y;break}Yua(g);B=0;y=Xa(242,h|0,b|0)|0;z=B;B=0;a:do if((((((!(z&1)?(B=0,A=Ia(40,y|0,149175,1)|0,C=B,B=0,!(C&1)):0)?(B=0,C=Xa(242,A|0,c|0)|0,A=B,B=0,!(A&1)):0)?(B=0,A=Ia(40,C|0,149175,1)|0,C=B,B=0,!(C&1)):0)?(B=0,C=Xa(242,A|0,d|0)|0,A=B,B=0,!(A&1)):0)?(B=0,A=Ia(40,C|0,138837,18)|0,C=B,B=0,!(C&1)):0)?(B=0,Xa(239,A|0,0)|0,A=B,B=0,!(A&1)):0){A=Ab(20)|0;B=0;eb(502,i|0,138856,75);C=B;B=0;do if(!(C&1)){B=0;eb(502,j|0,138932,10);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(i);F=E;G=D;break}B=0;wa(510,l|0,q|0);D=B;B=0;if(D&1){D=Rb()|0;H=Q;I=D;J=1}else{B=0;ua(163,A|0,i|0,j|0,82,l|0);D=B;B=0;if(D&1)K=1;else{B=0;eb(503,A|0,1240,229);B=0;K=0}D=Rb()|0;E=Q;Yua(l);H=E;I=D;J=K}Yua(j);Yua(i);if(J){F=H;G=I}else{L=H;M=I;break a}}else{D=Rb()|0;F=Q;G=D}while(0);zb(A|0);L=F;M=G}else s=43;while(0);if((s|0)==43){y=Rb()|0;L=Q;M=y}k[h>>2]=27468;k[p>>2]=27488;k[q>>2]=27560;Yua(t);Ava(q);vva(p);N=L;O=M;Qb(O|0)}while(0);u=w;v=x}vva(p);P=u;R=v}while(0);if((s|0)==6){s=Rb()|0;P=Q;R=s}N=P;O=R;Qb(O|0)}function Xja(a){a=a|0;var b=0,c=0;k[a>>2]=40780;b=a+20|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+24|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+28|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+32|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+36|0;a=k[b>>2]|0;if(!a){k[b>>2]=0;return}Tqa(a);k[b>>2]=0;return}function Yja(a){a=a|0;Xja(a);Sqa(a);return}function Zja(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0,ke=0,le=0;b=r;r=r+4064|0;c=b+4052|0;d=b+3760|0;e=b+4040|0;f=b+3624|0;g=b+4028|0;h=b+3472|0;i=b+4016|0;j=b+3320|0;l=b+4004|0;m=b+3184|0;n=b+3992|0;o=b+3048|0;q=b+3980|0;s=b+2896|0;t=b+3968|0;u=b+2760|0;v=b+3956|0;w=b+2608|0;x=b+3944|0;y=b+2456|0;z=b+3932|0;A=b+2320|0;C=b+3920|0;D=b+2168|0;E=b+3908|0;F=b+2032|0;G=b+3896|0;H=b+1880|0;I=b+3608|0;J=b+1744|0;K=b+3456|0;L=b+1592|0;M=b+3032|0;N=b+1456|0;O=b+2744|0;P=b+1320|0;R=b+2592|0;S=b+1168|0;T=b+2304|0;U=b+1032|0;V=b+2016|0;W=b+880|0;X=b+1728|0;Y=b+728|0;Z=b+1304|0;_=b+592|0;$=b+1016|0;aa=b+440|0;ba=b+864|0;ca=b+304|0;da=b+576|0;ea=b+152|0;fa=b+288|0;ga=b+16|0;ha=b;ia=d+56|0;ja=d+4|0;k[d>>2]=27524;k[ia>>2]=27544;B=0;wa(508,d+56|0,ja|0);ka=B;B=0;if(ka&1){ka=Rb()|0;la=Q;ma=ka;vva(ia);Qb(ma|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[ia>>2]=27488;B=0;va(448,ja|0);ka=B;B=0;do if(ka&1){na=Rb()|0;oa=Q;pa=na}else{k[ja>>2]=27560;na=d+36|0;k[na>>2]=0;k[na+4>>2]=0;k[na+8>>2]=0;k[na+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ja|0,c|0);qa=B;B=0;if(qa&1){qa=Rb()|0;ra=Q;Yua(c);Yua(na);Ava(ja);oa=ra;pa=qa;break}Yua(c);B=0;Ia(40,d|0,138943,12)|0;qa=B;B=0;do if(!(qa&1)?(B=0,wa(510,e|0,ja|0),ra=B,B=0,!(ra&1)):0){B=0;ya(424,e|0)|0;ra=B;B=0;if(ra&1){ra=Rb()|0;sa=Q;Yua(e);ta=sa;ua=ra;break}Yua(e);k[d>>2]=27468;k[ia>>2]=27488;k[ja>>2]=27560;Yua(na);Ava(ja);vva(ia);ra=f+56|0;sa=f+4|0;k[f>>2]=27524;k[ra>>2]=27544;B=0;wa(508,f+56|0,sa|0);xa=B;B=0;if(xa&1){xa=Rb()|0;za=Q;Aa=xa;vva(ra);Qb(Aa|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[ra>>2]=27488;B=0;va(448,sa|0);xa=B;B=0;do if(xa&1){Ba=Rb()|0;Ca=Q;Da=Ba}else{k[sa>>2]=27560;Ba=f+36|0;k[Ba>>2]=0;k[Ba+4>>2]=0;k[Ba+8>>2]=0;k[Ba+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,sa|0,c|0);Ea=B;B=0;if(Ea&1){Ea=Rb()|0;Fa=Q;Yua(c);Yua(Ba);Ava(sa);Ca=Fa;Da=Ea;break}Yua(c);B=0;Ea=Ia(40,f|0,139266,13)|0;Fa=B;B=0;do if(((!(Fa&1)?(Ga=a+16|0,B=0,Ha=Xa(242,Ea|0,k[Ga>>2]|0)|0,Ja=B,B=0,!(Ja&1)):0)?(B=0,Ia(40,Ha|0,149177,1)|0,Ha=B,B=0,!(Ha&1)):0)?(B=0,wa(510,g|0,sa|0),Ha=B,B=0,!(Ha&1)):0){B=0;ya(424,g|0)|0;Ha=B;B=0;if(Ha&1){Ha=Rb()|0;Ja=Q;Yua(g);Ka=Ja;La=Ha;break}Yua(g);k[f>>2]=27468;k[ra>>2]=27488;k[sa>>2]=27560;Yua(Ba);Ava(sa);vva(ra);Ha=a+20|0;a:do if(!(k[Ha>>2]|0)){Ja=o+56|0;Ma=o+4|0;k[o>>2]=27524;k[Ja>>2]=27544;B=0;wa(508,o+56|0,Ma|0);Na=B;B=0;if(Na&1){Na=Rb()|0;Oa=Q;Pa=Na;vva(Ja);Qb(Pa|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[Ja>>2]=27488;B=0;va(448,Ma|0);Na=B;B=0;do if(Na&1){Qa=Rb()|0;Ra=Q;Ta=Qa}else{k[Ma>>2]=27560;Qa=o+36|0;k[Qa>>2]=0;k[Qa+4>>2]=0;k[Qa+8>>2]=0;k[Qa+12>>2]=0;k[o+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ma|0,c|0);Ua=B;B=0;if(Ua&1){Ua=Rb()|0;Va=Q;Yua(c);Yua(Qa);Ava(Ma);Ra=Va;Ta=Ua;break}Yua(c);B=0;Ia(40,o|0,139295,15)|0;Ua=B;B=0;do if(!(Ua&1)){B=0;wa(510,q|0,Ma|0);Va=B;B=0;if(Va&1){Wa=92;break}B=0;ya(424,q|0)|0;Va=B;B=0;if(Va&1){Va=Rb()|0;Ya=Q;Yua(q);Za=Ya;_a=Va;break}else{Yua(q);k[o>>2]=27468;k[Ja>>2]=27488;k[Ma>>2]=27560;Yua(Qa);Ava(Ma);vva(Ja);break a}}else Wa=92;while(0);if((Wa|0)==92){Ua=Rb()|0;Za=Q;_a=Ua}k[o>>2]=27468;k[Ja>>2]=27488;k[Ma>>2]=27560;Yua(Qa);Ava(Ma);vva(Ja);$a=Za;ab=_a;Qb(ab|0)}while(0);Oa=Ra;Pa=Ta;vva(Ja);Qb(Pa|0)}else{Ma=h+56|0;Na=h+4|0;k[h>>2]=27524;k[Ma>>2]=27544;B=0;wa(508,h+56|0,Na|0);Ua=B;B=0;if(Ua&1){Ua=Rb()|0;bb=Q;cb=Ua;vva(Ma);Qb(cb|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[Ma>>2]=27488;B=0;va(448,Na|0);Ua=B;B=0;do if(Ua&1){Va=Rb()|0;db=Q;eb=Va}else{k[Na>>2]=27560;Va=h+36|0;k[Va>>2]=0;k[Va+4>>2]=0;k[Va+8>>2]=0;k[Va+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Na|0,c|0);Ya=B;B=0;if(Ya&1){Ya=Rb()|0;fb=Q;Yua(c);Yua(Va);Ava(Na);db=fb;eb=Ya;break}Yua(c);B=0;Ia(40,h|0,139280,14)|0;Ya=B;B=0;do if(Ya&1)Wa=54;else{B=0;wa(510,i|0,Na|0);fb=B;B=0;if(fb&1){Wa=54;break}B=0;ya(424,i|0)|0;fb=B;B=0;if(fb&1){fb=Rb()|0;gb=Q;Yua(i);hb=gb;ib=fb;break}Yua(i);k[h>>2]=27468;k[Ma>>2]=27488;k[Na>>2]=27560;Yua(Va);Ava(Na);vva(Ma);b:do if((k[Ga>>2]|0)>0){fb=j+56|0;gb=j+4|0;jb=j+56|0;kb=j+128|0;lb=j+132|0;mb=j+36|0;nb=j+52|0;ob=0;while(1){k[j>>2]=27524;k[fb>>2]=27544;B=0;wa(508,jb|0,gb|0);pb=B;B=0;if(pb&1){Wa=61;break}k[kb>>2]=0;k[lb>>2]=-1;k[j>>2]=27468;k[fb>>2]=27488;B=0;va(448,gb|0);pb=B;B=0;if(pb&1){Wa=62;break}k[gb>>2]=27560;k[mb>>2]=0;k[mb+4>>2]=0;k[mb+8>>2]=0;k[mb+12>>2]=0;k[nb>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,gb|0,c|0);pb=B;B=0;if(pb&1){Wa=60;break}Yua(c);B=0;pb=Ia(40,j|0,149175,1)|0;qb=B;B=0;if(qb&1){Wa=71;break}B=0;qb=Sa(1,pb|0,+(+p[(k[Ha>>2]|0)+(ob<<3)>>3]))|0;pb=B;B=0;if(pb&1){Wa=71;break}B=0;Ia(40,qb|0,149177,1)|0;qb=B;B=0;if(qb&1){Wa=71;break}B=0;wa(510,l|0,gb|0);qb=B;B=0;if(qb&1){Wa=71;break}B=0;ya(424,l|0)|0;qb=B;B=0;if(qb&1){Wa=72;break}Yua(l);k[j>>2]=27468;k[fb>>2]=27488;k[gb>>2]=27560;Yua(mb);Ava(gb);vva(fb);ob=ob+1|0;if((ob|0)>=(k[Ga>>2]|0))break b}if((Wa|0)==60){ob=Rb()|0;nb=Q;Yua(c);Yua(mb);Ava(gb);rb=nb;sb=ob;Wa=63}else if((Wa|0)==61){ob=Rb()|0;tb=Q;ub=ob;vva(fb);Qb(ub|0)}else if((Wa|0)==62){ob=Rb()|0;rb=Q;sb=ob;Wa=63}else if((Wa|0)==71){ob=Rb()|0;vb=Q;wb=ob;Wa=73}else if((Wa|0)==72){ob=Rb()|0;nb=Q;Yua(l);vb=nb;wb=ob;Wa=73}if((Wa|0)==63){tb=rb;ub=sb;vva(fb);Qb(ub|0)}else if((Wa|0)==73){k[j>>2]=27468;k[fb>>2]=27488;k[gb>>2]=27560;Yua(mb);Ava(gb);vva(fb);$a=vb;ab=wb;Qb(ab|0)}}while(0);ob=m+56|0;nb=m+4|0;k[m>>2]=27524;k[ob>>2]=27544;B=0;wa(508,m+56|0,nb|0);lb=B;B=0;if(lb&1){lb=Rb()|0;xb=Q;yb=lb;vva(ob);Qb(yb|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[ob>>2]=27488;B=0;va(448,nb|0);lb=B;B=0;do if(lb&1){kb=Rb()|0;zb=Q;Ab=kb}else{k[nb>>2]=27560;kb=m+36|0;k[kb>>2]=0;k[kb+4>>2]=0;k[kb+8>>2]=0;k[kb+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,nb|0,c|0);jb=B;B=0;if(jb&1){jb=Rb()|0;qb=Q;Yua(c);Yua(kb);Ava(nb);zb=qb;Ab=jb;break}Yua(c);B=0;Ia(40,m|0,149198,2)|0;jb=B;B=0;do if(!(jb&1)){B=0;wa(510,n|0,nb|0);qb=B;B=0;if(qb&1){Wa=77;break}B=0;ya(424,n|0)|0;qb=B;B=0;if(qb&1){qb=Rb()|0;pb=Q;Yua(n);Bb=pb;Cb=qb;break}else{Yua(n);k[m>>2]=27468;k[ob>>2]=27488;k[nb>>2]=27560;Yua(kb);Ava(nb);vva(ob);break a}}else Wa=77;while(0);if((Wa|0)==77){jb=Rb()|0;Bb=Q;Cb=jb}k[m>>2]=27468;k[ob>>2]=27488;k[nb>>2]=27560;Yua(kb);Ava(nb);vva(ob);$a=Bb;ab=Cb;Qb(ab|0)}while(0);xb=zb;yb=Ab;vva(ob);Qb(yb|0)}while(0);if((Wa|0)==54){Ya=Rb()|0;hb=Q;ib=Ya}k[h>>2]=27468;k[Ma>>2]=27488;k[Na>>2]=27560;Yua(Va);Ava(Na);vva(Ma);$a=hb;ab=ib;Qb(ab|0)}while(0);bb=db;cb=eb;vva(Ma);Qb(cb|0)}while(0);Ha=a+24|0;c:do if(!(k[Ha>>2]|0)){Na=y+56|0;Ua=y+4|0;k[y>>2]=27524;k[Na>>2]=27544;B=0;wa(508,y+56|0,Ua|0);Ja=B;B=0;if(Ja&1){Ja=Rb()|0;Db=Q;Eb=Ja;vva(Na);Qb(Eb|0)}k[y+128>>2]=0;k[y+132>>2]=-1;k[y>>2]=27468;k[Na>>2]=27488;B=0;va(448,Ua|0);Ja=B;B=0;do if(Ja&1){Ya=Rb()|0;Fb=Q;Gb=Ya}else{k[Ua>>2]=27560;Ya=y+36|0;k[Ya>>2]=0;k[Ya+4>>2]=0;k[Ya+8>>2]=0;k[Ya+12>>2]=0;k[y+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ua|0,c|0);Qa=B;B=0;if(Qa&1){Qa=Rb()|0;nb=Q;Yua(c);Yua(Ya);Ava(Ua);Fb=nb;Gb=Qa;break}Yua(c);B=0;Ia(40,y|0,139326,15)|0;Qa=B;B=0;do if(!(Qa&1)){B=0;wa(510,z|0,Ua|0);nb=B;B=0;if(nb&1){Wa=156;break}B=0;ya(424,z|0)|0;nb=B;B=0;if(nb&1){nb=Rb()|0;lb=Q;Yua(z);Hb=lb;Ib=nb;break}else{Yua(z);k[y>>2]=27468;k[Na>>2]=27488;k[Ua>>2]=27560;Yua(Ya);Ava(Ua);vva(Na);break c}}else Wa=156;while(0);if((Wa|0)==156){Qa=Rb()|0;Hb=Q;Ib=Qa}k[y>>2]=27468;k[Na>>2]=27488;k[Ua>>2]=27560;Yua(Ya);Ava(Ua);vva(Na);$a=Hb;ab=Ib;Qb(ab|0)}while(0);Db=Fb;Eb=Gb;vva(Na);Qb(Eb|0)}else{Ua=s+56|0;Ja=s+4|0;k[s>>2]=27524;k[Ua>>2]=27544;B=0;wa(508,s+56|0,Ja|0);Ma=B;B=0;if(Ma&1){Ma=Rb()|0;Jb=Q;Kb=Ma;vva(Ua);Qb(Kb|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[Ua>>2]=27488;B=0;va(448,Ja|0);Ma=B;B=0;do if(Ma&1){Qa=Rb()|0;Lb=Q;Mb=Qa}else{k[Ja>>2]=27560;Qa=s+36|0;k[Qa>>2]=0;k[Qa+4>>2]=0;k[Qa+8>>2]=0;k[Qa+12>>2]=0;k[s+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ja|0,c|0);Va=B;B=0;if(Va&1){Va=Rb()|0;nb=Q;Yua(c);Yua(Qa);Ava(Ja);Lb=nb;Mb=Va;break}Yua(c);B=0;Ia(40,s|0,139311,14)|0;Va=B;B=0;do if(Va&1)Wa=118;else{B=0;wa(510,t|0,Ja|0);nb=B;B=0;if(nb&1){Wa=118;break}B=0;ya(424,t|0)|0;nb=B;B=0;if(nb&1){nb=Rb()|0;lb=Q;Yua(t);Nb=lb;Ob=nb;break}Yua(t);k[s>>2]=27468;k[Ua>>2]=27488;k[Ja>>2]=27560;Yua(Qa);Ava(Ja);vva(Ua);d:do if((k[Ga>>2]|0)>0){nb=u+56|0;lb=u+4|0;jb=u+56|0;fb=u+128|0;gb=u+132|0;mb=u+36|0;qb=u+52|0;pb=0;while(1){k[u>>2]=27524;k[nb>>2]=27544;B=0;wa(508,jb|0,lb|0);Pb=B;B=0;if(Pb&1){Wa=125;break}k[fb>>2]=0;k[gb>>2]=-1;k[u>>2]=27468;k[nb>>2]=27488;B=0;va(448,lb|0);Pb=B;B=0;if(Pb&1){Wa=126;break}k[lb>>2]=27560;k[mb>>2]=0;k[mb+4>>2]=0;k[mb+8>>2]=0;k[mb+12>>2]=0;k[qb>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,lb|0,c|0);Pb=B;B=0;if(Pb&1){Wa=124;break}Yua(c);B=0;Pb=Ia(40,u|0,149175,1)|0;Sb=B;B=0;if(Sb&1){Wa=135;break}B=0;Sb=Sa(1,Pb|0,+(+p[(k[Ha>>2]|0)+(pb<<3)>>3]))|0;Pb=B;B=0;if(Pb&1){Wa=135;break}B=0;Ia(40,Sb|0,149177,1)|0;Sb=B;B=0;if(Sb&1){Wa=135;break}B=0;wa(510,v|0,lb|0);Sb=B;B=0;if(Sb&1){Wa=135;break}B=0;ya(424,v|0)|0;Sb=B;B=0;if(Sb&1){Wa=136;break}Yua(v);k[u>>2]=27468;k[nb>>2]=27488;k[lb>>2]=27560;Yua(mb);Ava(lb);vva(nb);pb=pb+1|0;if((pb|0)>=(k[Ga>>2]|0))break d}if((Wa|0)==124){pb=Rb()|0;qb=Q;Yua(c);Yua(mb);Ava(lb);Tb=qb;Ub=pb;Wa=127}else if((Wa|0)==125){pb=Rb()|0;Vb=Q;Wb=pb;vva(nb);Qb(Wb|0)}else if((Wa|0)==126){pb=Rb()|0;Tb=Q;Ub=pb;Wa=127}else if((Wa|0)==135){pb=Rb()|0;Xb=Q;Yb=pb;Wa=137}else if((Wa|0)==136){pb=Rb()|0;qb=Q;Yua(v);Xb=qb;Yb=pb;Wa=137}if((Wa|0)==127){Vb=Tb;Wb=Ub;vva(nb);Qb(Wb|0)}else if((Wa|0)==137){k[u>>2]=27468;k[nb>>2]=27488;k[lb>>2]=27560;Yua(mb);Ava(lb);vva(nb);$a=Xb;ab=Yb;Qb(ab|0)}}while(0);ob=w+56|0;pb=w+4|0;k[w>>2]=27524;k[ob>>2]=27544;B=0;wa(508,w+56|0,pb|0);qb=B;B=0;if(qb&1){qb=Rb()|0;Zb=Q;_b=qb;vva(ob);Qb(_b|0)}k[w+128>>2]=0;k[w+132>>2]=-1;k[w>>2]=27468;k[ob>>2]=27488;B=0;va(448,pb|0);qb=B;B=0;do if(qb&1){gb=Rb()|0;$b=Q;ac=gb}else{k[pb>>2]=27560;gb=w+36|0;k[gb>>2]=0;k[gb+4>>2]=0;k[gb+8>>2]=0;k[gb+12>>2]=0;k[w+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,pb|0,c|0);fb=B;B=0;if(fb&1){fb=Rb()|0;jb=Q;Yua(c);Yua(gb);Ava(pb);$b=jb;ac=fb;break}Yua(c);B=0;Ia(40,w|0,149198,2)|0;fb=B;B=0;do if(!(fb&1)){B=0;wa(510,x|0,pb|0);jb=B;B=0;if(jb&1){Wa=141;break}B=0;ya(424,x|0)|0;jb=B;B=0;if(jb&1){jb=Rb()|0;kb=Q;Yua(x);bc=kb;cc=jb;break}else{Yua(x);k[w>>2]=27468;k[ob>>2]=27488;k[pb>>2]=27560;Yua(gb);Ava(pb);vva(ob);break c}}else Wa=141;while(0);if((Wa|0)==141){fb=Rb()|0;bc=Q;cc=fb}k[w>>2]=27468;k[ob>>2]=27488;k[pb>>2]=27560;Yua(gb);Ava(pb);vva(ob);$a=bc;ab=cc;Qb(ab|0)}while(0);Zb=$b;_b=ac;vva(ob);Qb(_b|0)}while(0);if((Wa|0)==118){Va=Rb()|0;Nb=Q;Ob=Va}k[s>>2]=27468;k[Ua>>2]=27488;k[Ja>>2]=27560;Yua(Qa);Ava(Ja);vva(Ua);$a=Nb;ab=Ob;Qb(ab|0)}while(0);Jb=Lb;Kb=Mb;vva(Ua);Qb(Kb|0)}while(0);Ha=a+28|0;e:do if(!(k[Ha>>2]|0)){Ja=H+56|0;Ma=H+4|0;k[H>>2]=27524;k[Ja>>2]=27544;B=0;wa(508,H+56|0,Ma|0);Na=B;B=0;if(Na&1){Na=Rb()|0;dc=Q;ec=Na;vva(Ja);Qb(ec|0)}k[H+128>>2]=0;k[H+132>>2]=-1;k[H>>2]=27468;k[Ja>>2]=27488;B=0;va(448,Ma|0);Na=B;B=0;do if(Na&1){Va=Rb()|0;fc=Q;gc=Va}else{k[Ma>>2]=27560;Va=H+36|0;k[Va>>2]=0;k[Va+4>>2]=0;k[Va+8>>2]=0;k[Va+12>>2]=0;k[H+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ma|0,c|0);Ya=B;B=0;if(Ya&1){Ya=Rb()|0;pb=Q;Yua(c);Yua(Va);Ava(Ma);fc=pb;gc=Ya;break}Yua(c);B=0;Ia(40,H|0,139357,15)|0;Ya=B;B=0;do if(!(Ya&1)){B=0;wa(510,I|0,Ma|0);pb=B;B=0;if(pb&1){Wa=220;break}B=0;ya(424,I|0)|0;pb=B;B=0;if(pb&1){pb=Rb()|0;qb=Q;Yua(I);hc=qb;ic=pb;break}else{Yua(I);k[H>>2]=27468;k[Ja>>2]=27488;k[Ma>>2]=27560;Yua(Va);Ava(Ma);vva(Ja);break e}}else Wa=220;while(0);if((Wa|0)==220){Ya=Rb()|0;hc=Q;ic=Ya}k[H>>2]=27468;k[Ja>>2]=27488;k[Ma>>2]=27560;Yua(Va);Ava(Ma);vva(Ja);$a=hc;ab=ic;Qb(ab|0)}while(0);dc=fc;ec=gc;vva(Ja);Qb(ec|0)}else{Ma=A+56|0;Na=A+4|0;k[A>>2]=27524;k[Ma>>2]=27544;B=0;wa(508,A+56|0,Na|0);Ua=B;B=0;if(Ua&1){Ua=Rb()|0;jc=Q;kc=Ua;vva(Ma);Qb(kc|0)}k[A+128>>2]=0;k[A+132>>2]=-1;k[A>>2]=27468;k[Ma>>2]=27488;B=0;va(448,Na|0);Ua=B;B=0;do if(Ua&1){Ya=Rb()|0;lc=Q;mc=Ya}else{k[Na>>2]=27560;Ya=A+36|0;k[Ya>>2]=0;k[Ya+4>>2]=0;k[Ya+8>>2]=0;k[Ya+12>>2]=0;k[A+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Na|0,c|0);Qa=B;B=0;if(Qa&1){Qa=Rb()|0;pb=Q;Yua(c);Yua(Ya);Ava(Na);lc=pb;mc=Qa;break}Yua(c);B=0;Ia(40,A|0,139342,14)|0;Qa=B;B=0;do if(Qa&1)Wa=182;else{B=0;wa(510,C|0,Na|0);pb=B;B=0;if(pb&1){Wa=182;break}B=0;ya(424,C|0)|0;pb=B;B=0;if(pb&1){pb=Rb()|0;qb=Q;Yua(C);nc=qb;oc=pb;break}Yua(C);k[A>>2]=27468;k[Ma>>2]=27488;k[Na>>2]=27560;Yua(Ya);Ava(Na);vva(Ma);f:do if((k[Ga>>2]|0)>0){pb=D+56|0;qb=D+4|0;fb=D+56|0;nb=D+128|0;lb=D+132|0;mb=D+36|0;jb=D+52|0;kb=0;while(1){k[D>>2]=27524;k[pb>>2]=27544;B=0;wa(508,fb|0,qb|0);Sb=B;B=0;if(Sb&1){Wa=189;break}k[nb>>2]=0;k[lb>>2]=-1;k[D>>2]=27468;k[pb>>2]=27488;B=0;va(448,qb|0);Sb=B;B=0;if(Sb&1){Wa=190;break}k[qb>>2]=27560;k[mb>>2]=0;k[mb+4>>2]=0;k[mb+8>>2]=0;k[mb+12>>2]=0;k[jb>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,qb|0,c|0);Sb=B;B=0;if(Sb&1){Wa=188;break}Yua(c);B=0;Sb=Ia(40,D|0,149175,1)|0;Pb=B;B=0;if(Pb&1){Wa=199;break}B=0;Pb=Sa(1,Sb|0,+(+p[(k[Ha>>2]|0)+(kb<<3)>>3]))|0;Sb=B;B=0;if(Sb&1){Wa=199;break}B=0;Ia(40,Pb|0,149177,1)|0;Pb=B;B=0;if(Pb&1){Wa=199;break}B=0;wa(510,E|0,qb|0);Pb=B;B=0;if(Pb&1){Wa=199;break}B=0;ya(424,E|0)|0;Pb=B;B=0;if(Pb&1){Wa=200;break}Yua(E);k[D>>2]=27468;k[pb>>2]=27488;k[qb>>2]=27560;Yua(mb);Ava(qb);vva(pb);kb=kb+1|0;if((kb|0)>=(k[Ga>>2]|0))break f}if((Wa|0)==188){kb=Rb()|0;jb=Q;Yua(c);Yua(mb);Ava(qb);pc=jb;qc=kb;Wa=191}else if((Wa|0)==189){kb=Rb()|0;rc=Q;sc=kb;vva(pb);Qb(sc|0)}else if((Wa|0)==190){kb=Rb()|0;pc=Q;qc=kb;Wa=191}else if((Wa|0)==199){kb=Rb()|0;tc=Q;uc=kb;Wa=201}else if((Wa|0)==200){kb=Rb()|0;jb=Q;Yua(E);tc=jb;uc=kb;Wa=201}if((Wa|0)==191){rc=pc;sc=qc;vva(pb);Qb(sc|0)}else if((Wa|0)==201){k[D>>2]=27468;k[pb>>2]=27488;k[qb>>2]=27560;Yua(mb);Ava(qb);vva(pb);$a=tc;ab=uc;Qb(ab|0)}}while(0);ob=F+56|0;kb=F+4|0;k[F>>2]=27524;k[ob>>2]=27544;B=0;wa(508,F+56|0,kb|0);jb=B;B=0;if(jb&1){jb=Rb()|0;vc=Q;wc=jb;vva(ob);Qb(wc|0)}k[F+128>>2]=0;k[F+132>>2]=-1;k[F>>2]=27468;k[ob>>2]=27488;B=0;va(448,kb|0);jb=B;B=0;do if(jb&1){lb=Rb()|0;xc=Q;yc=lb}else{k[kb>>2]=27560;lb=F+36|0;k[lb>>2]=0;k[lb+4>>2]=0;k[lb+8>>2]=0;k[lb+12>>2]=0;k[F+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,kb|0,c|0);nb=B;B=0;if(nb&1){nb=Rb()|0;fb=Q;Yua(c);Yua(lb);Ava(kb);xc=fb;yc=nb;break}Yua(c);B=0;Ia(40,F|0,149198,2)|0;nb=B;B=0;do if(!(nb&1)){B=0;wa(510,G|0,kb|0);fb=B;B=0;if(fb&1){Wa=205;break}B=0;ya(424,G|0)|0;fb=B;B=0;if(fb&1){fb=Rb()|0;gb=Q;Yua(G);zc=gb;Ac=fb;break}else{Yua(G);k[F>>2]=27468;k[ob>>2]=27488;k[kb>>2]=27560;Yua(lb);Ava(kb);vva(ob);break e}}else Wa=205;while(0);if((Wa|0)==205){nb=Rb()|0;zc=Q;Ac=nb}k[F>>2]=27468;k[ob>>2]=27488;k[kb>>2]=27560;Yua(lb);Ava(kb);vva(ob);$a=zc;ab=Ac;Qb(ab|0)}while(0);vc=xc;wc=yc;vva(ob);Qb(wc|0)}while(0);if((Wa|0)==182){Qa=Rb()|0;nc=Q;oc=Qa}k[A>>2]=27468;k[Ma>>2]=27488;k[Na>>2]=27560;Yua(Ya);Ava(Na);vva(Ma);$a=nc;ab=oc;Qb(ab|0)}while(0);jc=lc;kc=mc;vva(Ma);Qb(kc|0)}while(0);Ha=a+32|0;g:do if(!(k[Ha>>2]|0)){Na=P+56|0;Ua=P+4|0;k[P>>2]=27524;k[Na>>2]=27544;B=0;wa(508,P+56|0,Ua|0);Ja=B;B=0;if(Ja&1){Ja=Rb()|0;Bc=Q;Cc=Ja;vva(Na);Qb(Cc|0)}k[P+128>>2]=0;k[P+132>>2]=-1;k[P>>2]=27468;k[Na>>2]=27488;B=0;va(448,Ua|0);Ja=B;B=0;do if(Ja&1){Qa=Rb()|0;Dc=Q;Ec=Qa}else{k[Ua>>2]=27560;Qa=P+36|0;k[Qa>>2]=0;k[Qa+4>>2]=0;k[Qa+8>>2]=0;k[Qa+12>>2]=0;k[P+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ua|0,c|0);Va=B;B=0;if(Va&1){Va=Rb()|0;kb=Q;Yua(c);Yua(Qa);Ava(Ua);Dc=kb;Ec=Va;break}Yua(c);B=0;Ia(40,P|0,139388,15)|0;Va=B;B=0;do if(!(Va&1)){B=0;wa(510,R|0,Ua|0);kb=B;B=0;if(kb&1){Wa=284;break}B=0;ya(424,R|0)|0;kb=B;B=0;if(kb&1){kb=Rb()|0;jb=Q;Yua(R);Fc=jb;Gc=kb;break}else{Yua(R);k[P>>2]=27468;k[Na>>2]=27488;k[Ua>>2]=27560;Yua(Qa);Ava(Ua);vva(Na);break g}}else Wa=284;while(0);if((Wa|0)==284){Va=Rb()|0;Fc=Q;Gc=Va}k[P>>2]=27468;k[Na>>2]=27488;k[Ua>>2]=27560;Yua(Qa);Ava(Ua);vva(Na);$a=Fc;ab=Gc;Qb(ab|0)}while(0);Bc=Dc;Cc=Ec;vva(Na);Qb(Cc|0)}else{Ua=J+56|0;Ja=J+4|0;k[J>>2]=27524;k[Ua>>2]=27544;B=0;wa(508,J+56|0,Ja|0);Ma=B;B=0;if(Ma&1){Ma=Rb()|0;Hc=Q;Ic=Ma;vva(Ua);Qb(Ic|0)}k[J+128>>2]=0;k[J+132>>2]=-1;k[J>>2]=27468;k[Ua>>2]=27488;B=0;va(448,Ja|0);Ma=B;B=0;do if(Ma&1){Va=Rb()|0;Jc=Q;Kc=Va}else{k[Ja>>2]=27560;Va=J+36|0;k[Va>>2]=0;k[Va+4>>2]=0;k[Va+8>>2]=0;k[Va+12>>2]=0;k[J+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ja|0,c|0);Ya=B;B=0;if(Ya&1){Ya=Rb()|0;kb=Q;Yua(c);Yua(Va);Ava(Ja);Jc=kb;Kc=Ya;break}Yua(c);B=0;Ia(40,J|0,139373,14)|0;Ya=B;B=0;do if(Ya&1)Wa=246;else{B=0;wa(510,K|0,Ja|0);kb=B;B=0;if(kb&1){Wa=246;break}B=0;ya(424,K|0)|0;kb=B;B=0;if(kb&1){kb=Rb()|0;jb=Q;Yua(K);Lc=jb;Mc=kb;break}Yua(K);k[J>>2]=27468;k[Ua>>2]=27488;k[Ja>>2]=27560;Yua(Va);Ava(Ja);vva(Ua);h:do if((k[Ga>>2]|0)>0){kb=L+56|0;jb=L+4|0;nb=L+56|0;pb=L+128|0;qb=L+132|0;mb=L+36|0;fb=L+52|0;gb=0;while(1){k[L>>2]=27524;k[kb>>2]=27544;B=0;wa(508,nb|0,jb|0);Pb=B;B=0;if(Pb&1){Wa=253;break}k[pb>>2]=0;k[qb>>2]=-1;k[L>>2]=27468;k[kb>>2]=27488;B=0;va(448,jb|0);Pb=B;B=0;if(Pb&1){Wa=254;break}k[jb>>2]=27560;k[mb>>2]=0;k[mb+4>>2]=0;k[mb+8>>2]=0;k[mb+12>>2]=0;k[fb>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,jb|0,c|0);Pb=B;B=0;if(Pb&1){Wa=252;break}Yua(c);B=0;Pb=Ia(40,L|0,149175,1)|0;Sb=B;B=0;if(Sb&1){Wa=263;break}B=0;Sb=Sa(1,Pb|0,+(+p[(k[Ha>>2]|0)+(gb<<3)>>3]))|0;Pb=B;B=0;if(Pb&1){Wa=263;break}B=0;Ia(40,Sb|0,149177,1)|0;Sb=B;B=0;if(Sb&1){Wa=263;break}B=0;wa(510,M|0,jb|0);Sb=B;B=0;if(Sb&1){Wa=263;break}B=0;ya(424,M|0)|0;Sb=B;B=0;if(Sb&1){Wa=264;break}Yua(M);k[L>>2]=27468;k[kb>>2]=27488;k[jb>>2]=27560;Yua(mb);Ava(jb);vva(kb);gb=gb+1|0;if((gb|0)>=(k[Ga>>2]|0))break h}if((Wa|0)==252){gb=Rb()|0;fb=Q;Yua(c);Yua(mb);Ava(jb);Nc=fb;Oc=gb;Wa=255}else if((Wa|0)==253){gb=Rb()|0;Pc=Q;Qc=gb;vva(kb);Qb(Qc|0)}else if((Wa|0)==254){gb=Rb()|0;Nc=Q;Oc=gb;Wa=255}else if((Wa|0)==263){gb=Rb()|0;Rc=Q;Sc=gb;Wa=265}else if((Wa|0)==264){gb=Rb()|0;fb=Q;Yua(M);Rc=fb;Sc=gb;Wa=265}if((Wa|0)==255){Pc=Nc;Qc=Oc;vva(kb);Qb(Qc|0)}else if((Wa|0)==265){k[L>>2]=27468;k[kb>>2]=27488;k[jb>>2]=27560;Yua(mb);Ava(jb);vva(kb);$a=Rc;ab=Sc;Qb(ab|0)}}while(0);ob=N+56|0;gb=N+4|0;k[N>>2]=27524;k[ob>>2]=27544;B=0;wa(508,N+56|0,gb|0);fb=B;B=0;if(fb&1){fb=Rb()|0;Tc=Q;Uc=fb;vva(ob);Qb(Uc|0)}k[N+128>>2]=0;k[N+132>>2]=-1;k[N>>2]=27468;k[ob>>2]=27488;B=0;va(448,gb|0);fb=B;B=0;do if(fb&1){qb=Rb()|0;Vc=Q;Wc=qb}else{k[gb>>2]=27560;qb=N+36|0;k[qb>>2]=0;k[qb+4>>2]=0;k[qb+8>>2]=0;k[qb+12>>2]=0;k[N+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,gb|0,c|0);pb=B;B=0;if(pb&1){pb=Rb()|0;nb=Q;Yua(c);Yua(qb);Ava(gb);Vc=nb;Wc=pb;break}Yua(c);B=0;Ia(40,N|0,149198,2)|0;pb=B;B=0;do if(!(pb&1)){B=0;wa(510,O|0,gb|0);nb=B;B=0;if(nb&1){Wa=269;break}B=0;ya(424,O|0)|0;nb=B;B=0;if(nb&1){nb=Rb()|0;lb=Q;Yua(O);Xc=lb;Yc=nb;break}else{Yua(O);k[N>>2]=27468;k[ob>>2]=27488;k[gb>>2]=27560;Yua(qb);Ava(gb);vva(ob);break g}}else Wa=269;while(0);if((Wa|0)==269){pb=Rb()|0;Xc=Q;Yc=pb}k[N>>2]=27468;k[ob>>2]=27488;k[gb>>2]=27560;Yua(qb);Ava(gb);vva(ob);$a=Xc;ab=Yc;Qb(ab|0)}while(0);Tc=Vc;Uc=Wc;vva(ob);Qb(Uc|0)}while(0);if((Wa|0)==246){Ya=Rb()|0;Lc=Q;Mc=Ya}k[J>>2]=27468;k[Ua>>2]=27488;k[Ja>>2]=27560;Yua(Va);Ava(Ja);vva(Ua);$a=Lc;ab=Mc;Qb(ab|0)}while(0);Hc=Jc;Ic=Kc;vva(Ua);Qb(Ic|0)}while(0);Ha=a+36|0;i:do if(!(k[Ha>>2]|0)){Ja=Y+56|0;Ma=Y+4|0;k[Y>>2]=27524;k[Ja>>2]=27544;B=0;wa(508,Y+56|0,Ma|0);Na=B;B=0;if(Na&1){Na=Rb()|0;Zc=Q;_c=Na;vva(Ja);Qb(_c|0)}k[Y+128>>2]=0;k[Y+132>>2]=-1;k[Y>>2]=27468;k[Ja>>2]=27488;B=0;va(448,Ma|0);Na=B;B=0;do if(Na&1){Ya=Rb()|0;$c=Q;ad=Ya}else{k[Ma>>2]=27560;Ya=Y+36|0;k[Ya>>2]=0;k[Ya+4>>2]=0;k[Ya+8>>2]=0;k[Ya+12>>2]=0;k[Y+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ma|0,c|0);Qa=B;B=0;if(Qa&1){Qa=Rb()|0;gb=Q;Yua(c);Yua(Ya);Ava(Ma);$c=gb;ad=Qa;break}Yua(c);B=0;Ia(40,Y|0,139419,15)|0;Qa=B;B=0;do if(!(Qa&1)){B=0;wa(510,Z|0,Ma|0);gb=B;B=0;if(gb&1){Wa=348;break}B=0;ya(424,Z|0)|0;gb=B;B=0;if(gb&1){gb=Rb()|0;fb=Q;Yua(Z);bd=fb;cd=gb;break}else{Yua(Z);k[Y>>2]=27468;k[Ja>>2]=27488;k[Ma>>2]=27560;Yua(Ya);Ava(Ma);vva(Ja);break i}}else Wa=348;while(0);if((Wa|0)==348){Qa=Rb()|0;bd=Q;cd=Qa}k[Y>>2]=27468;k[Ja>>2]=27488;k[Ma>>2]=27560;Yua(Ya);Ava(Ma);vva(Ja);$a=bd;ab=cd;Qb(ab|0)}while(0);Zc=$c;_c=ad;vva(Ja);Qb(_c|0)}else{Ma=S+56|0;Na=S+4|0;k[S>>2]=27524;k[Ma>>2]=27544;B=0;wa(508,S+56|0,Na|0);Ua=B;B=0;if(Ua&1){Ua=Rb()|0;dd=Q;ed=Ua;vva(Ma);Qb(ed|0)}k[S+128>>2]=0;k[S+132>>2]=-1;k[S>>2]=27468;k[Ma>>2]=27488;B=0;va(448,Na|0);Ua=B;B=0;do if(Ua&1){Qa=Rb()|0;fd=Q;gd=Qa}else{k[Na>>2]=27560;Qa=S+36|0;k[Qa>>2]=0;k[Qa+4>>2]=0;k[Qa+8>>2]=0;k[Qa+12>>2]=0;k[S+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Na|0,c|0);Va=B;B=0;if(Va&1){Va=Rb()|0;gb=Q;Yua(c);Yua(Qa);Ava(Na);fd=gb;gd=Va;break}Yua(c);B=0;Ia(40,S|0,139404,14)|0;Va=B;B=0;do if(Va&1)Wa=310;else{B=0;wa(510,T|0,Na|0);gb=B;B=0;if(gb&1){Wa=310;break}B=0;ya(424,T|0)|0;gb=B;B=0;if(gb&1){gb=Rb()|0;fb=Q;Yua(T);hd=fb;id=gb;break}Yua(T);k[S>>2]=27468;k[Ma>>2]=27488;k[Na>>2]=27560;Yua(Qa);Ava(Na);vva(Ma);j:do if((k[Ga>>2]|0)>0){gb=U+56|0;fb=U+4|0;pb=U+56|0;kb=U+128|0;jb=U+132|0;mb=U+36|0;nb=U+52|0;lb=0;while(1){k[U>>2]=27524;k[gb>>2]=27544;B=0;wa(508,pb|0,fb|0);Sb=B;B=0;if(Sb&1){Wa=317;break}k[kb>>2]=0;k[jb>>2]=-1;k[U>>2]=27468;k[gb>>2]=27488;B=0;va(448,fb|0);Sb=B;B=0;if(Sb&1){Wa=318;break}k[fb>>2]=27560;k[mb>>2]=0;k[mb+4>>2]=0;k[mb+8>>2]=0;k[mb+12>>2]=0;k[nb>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,fb|0,c|0);Sb=B;B=0;if(Sb&1){Wa=316;break}Yua(c);B=0;Sb=Ia(40,U|0,149175,1)|0;Pb=B;B=0;if(Pb&1){Wa=327;break}B=0;Pb=Sa(1,Sb|0,+(+p[(k[Ha>>2]|0)+(lb<<3)>>3]))|0;Sb=B;B=0;if(Sb&1){Wa=327;break}B=0;Ia(40,Pb|0,149177,1)|0;Pb=B;B=0;if(Pb&1){Wa=327;break}B=0;wa(510,V|0,fb|0);Pb=B;B=0;if(Pb&1){Wa=327;break}B=0;ya(424,V|0)|0;Pb=B;B=0;if(Pb&1){Wa=328;break}Yua(V);k[U>>2]=27468;k[gb>>2]=27488;k[fb>>2]=27560;Yua(mb);Ava(fb);vva(gb);lb=lb+1|0;if((lb|0)>=(k[Ga>>2]|0))break j}if((Wa|0)==316){lb=Rb()|0;nb=Q;Yua(c);Yua(mb);Ava(fb);jd=nb;kd=lb;Wa=319}else if((Wa|0)==317){lb=Rb()|0;ld=Q;md=lb;vva(gb);Qb(md|0)}else if((Wa|0)==318){lb=Rb()|0;jd=Q;kd=lb;Wa=319}else if((Wa|0)==327){lb=Rb()|0;nd=Q;od=lb;Wa=329}else if((Wa|0)==328){lb=Rb()|0;nb=Q;Yua(V);nd=nb;od=lb;Wa=329}if((Wa|0)==319){ld=jd;md=kd;vva(gb);Qb(md|0)}else if((Wa|0)==329){k[U>>2]=27468;k[gb>>2]=27488;k[fb>>2]=27560;Yua(mb);Ava(fb);vva(gb);$a=nd;ab=od;Qb(ab|0)}}while(0);ob=W+56|0;lb=W+4|0;k[W>>2]=27524;k[ob>>2]=27544;B=0;wa(508,W+56|0,lb|0);nb=B;B=0;if(nb&1){nb=Rb()|0;pd=Q;qd=nb;vva(ob);Qb(qd|0)}k[W+128>>2]=0;k[W+132>>2]=-1;k[W>>2]=27468;k[ob>>2]=27488;B=0;va(448,lb|0);nb=B;B=0;do if(nb&1){jb=Rb()|0;rd=Q;sd=jb}else{k[lb>>2]=27560;jb=W+36|0;k[jb>>2]=0;k[jb+4>>2]=0;k[jb+8>>2]=0;k[jb+12>>2]=0;k[W+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,lb|0,c|0);kb=B;B=0;if(kb&1){kb=Rb()|0;pb=Q;Yua(c);Yua(jb);Ava(lb);rd=pb;sd=kb;break}Yua(c);B=0;Ia(40,W|0,149198,2)|0;kb=B;B=0;do if(!(kb&1)){B=0;wa(510,X|0,lb|0);pb=B;B=0;if(pb&1){Wa=333;break}B=0;ya(424,X|0)|0;pb=B;B=0;if(pb&1){pb=Rb()|0;qb=Q;Yua(X);td=qb;ud=pb;break}else{Yua(X);k[W>>2]=27468;k[ob>>2]=27488;k[lb>>2]=27560;Yua(jb);Ava(lb);vva(ob);break i}}else Wa=333;while(0);if((Wa|0)==333){kb=Rb()|0;td=Q;ud=kb}k[W>>2]=27468;k[ob>>2]=27488;k[lb>>2]=27560;Yua(jb);Ava(lb);vva(ob);$a=td;ab=ud;Qb(ab|0)}while(0);pd=rd;qd=sd;vva(ob);Qb(qd|0)}while(0);if((Wa|0)==310){Va=Rb()|0;hd=Q;id=Va}k[S>>2]=27468;k[Ma>>2]=27488;k[Na>>2]=27560;Yua(Qa);Ava(Na);vva(Ma);$a=hd;ab=id;Qb(ab|0)}while(0);dd=fd;ed=gd;vva(Ma);Qb(ed|0)}while(0);Ga=_+56|0;Ha=_+4|0;k[_>>2]=27524;k[Ga>>2]=27544;B=0;wa(508,_+56|0,Ha|0);Na=B;B=0;if(Na&1){Na=Rb()|0;vd=Q;wd=Na;vva(Ga);Qb(wd|0)}k[_+128>>2]=0;k[_+132>>2]=-1;k[_>>2]=27468;k[Ga>>2]=27488;B=0;va(448,Ha|0);Na=B;B=0;do if(Na&1){Ua=Rb()|0;xd=Q;yd=Ua}else{k[Ha>>2]=27560;Ua=_+36|0;k[Ua>>2]=0;k[Ua+4>>2]=0;k[Ua+8>>2]=0;k[Ua+12>>2]=0;k[_+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ha|0,c|0);Ja=B;B=0;if(Ja&1){Ja=Rb()|0;Va=Q;Yua(c);Yua(Ua);Ava(Ha);xd=Va;yd=Ja;break}Yua(c);B=0;Ja=Ia(40,_|0,139435,12)|0;Va=B;B=0;do if(Va&1)Wa=417;else{B=0;Ya=Sa(1,Ja|0,+(+p[a+8>>3]))|0;lb=B;B=0;if(lb&1){Wa=417;break}B=0;Ia(40,Ya|0,149177,1)|0;Ya=B;B=0;if(Ya&1){Wa=417;break}B=0;wa(510,$|0,Ha|0);Ya=B;B=0;if(Ya&1){Wa=417;break}B=0;ya(424,$|0)|0;Ya=B;B=0;if(Ya&1){Ya=Rb()|0;lb=Q;Yua($);zd=lb;Ad=Ya;break}Yua($);k[_>>2]=27468;k[Ga>>2]=27488;k[Ha>>2]=27560;Yua(Ua);Ava(Ha);vva(Ga);Ya=aa+56|0;lb=aa+4|0;k[aa>>2]=27524;k[Ya>>2]=27544;B=0;wa(508,aa+56|0,lb|0);nb=B;B=0;if(nb&1){nb=Rb()|0;Bd=Q;Cd=nb;vva(Ya);Qb(Cd|0)}k[aa+128>>2]=0;k[aa+132>>2]=-1;k[aa>>2]=27468;k[Ya>>2]=27488;B=0;va(448,lb|0);nb=B;B=0;do if(nb&1){kb=Rb()|0;Dd=Q;Ed=kb}else{k[lb>>2]=27560;kb=aa+36|0;k[kb>>2]=0;k[kb+4>>2]=0;k[kb+8>>2]=0;k[kb+12>>2]=0;k[aa+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,lb|0,c|0);gb=B;B=0;if(gb&1){gb=Rb()|0;fb=Q;Yua(c);Yua(kb);Ava(lb);Dd=fb;Ed=gb;break}Yua(c);B=0;gb=Ia(40,aa|0,139448,12)|0;fb=B;B=0;do if(fb&1)Wa=420;else{B=0;mb=Sa(1,gb|0,+(+p[a+40>>3]))|0;pb=B;B=0;if(pb&1){Wa=420;break}B=0;Ia(40,mb|0,149177,1)|0;mb=B;B=0;if(mb&1){Wa=420;break}B=0;wa(510,ba|0,lb|0);mb=B;B=0;if(mb&1){Wa=420;break}B=0;ya(424,ba|0)|0;mb=B;B=0;if(mb&1){mb=Rb()|0;pb=Q;Yua(ba);Fd=pb;Gd=mb;break}Yua(ba);k[aa>>2]=27468;k[Ya>>2]=27488;k[lb>>2]=27560;Yua(kb);Ava(lb);vva(Ya);mb=ca+56|0;pb=ca+4|0;k[ca>>2]=27524;k[mb>>2]=27544;B=0;wa(508,ca+56|0,pb|0);qb=B;B=0;if(qb&1){qb=Rb()|0;Hd=Q;Id=qb;vva(mb);Qb(Id|0)}k[ca+128>>2]=0;k[ca+132>>2]=-1;k[ca>>2]=27468;k[mb>>2]=27488;B=0;va(448,pb|0);qb=B;B=0;do if(qb&1){Pb=Rb()|0;Jd=Q;Kd=Pb}else{k[pb>>2]=27560;Pb=ca+36|0;k[Pb>>2]=0;k[Pb+4>>2]=0;k[Pb+8>>2]=0;k[Pb+12>>2]=0;k[ca+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,pb|0,c|0);Sb=B;B=0;if(Sb&1){Sb=Rb()|0;Ld=Q;Yua(c);Yua(Pb);Ava(pb);Jd=Ld;Kd=Sb;break}Yua(c);B=0;Sb=Ia(40,ca|0,139461,12)|0;Ld=B;B=0;do if(Ld&1)Wa=423;else{B=0;Md=Sa(1,Sb|0,+(+p[a+48>>3]))|0;Nd=B;B=0;if(Nd&1){Wa=423;break}B=0;Ia(40,Md|0,149177,1)|0;Md=B;B=0;if(Md&1){Wa=423;break}B=0;wa(510,da|0,pb|0);Md=B;B=0;if(Md&1){Wa=423;break}B=0;ya(424,da|0)|0;Md=B;B=0;if(Md&1){Md=Rb()|0;Nd=Q;Yua(da);Od=Nd;Pd=Md;break}Yua(da);k[ca>>2]=27468;k[mb>>2]=27488;k[pb>>2]=27560;Yua(Pb);Ava(pb);vva(mb);Md=ea+56|0;Nd=ea+4|0;k[ea>>2]=27524;k[Md>>2]=27544;B=0;wa(508,ea+56|0,Nd|0);Qd=B;B=0;if(Qd&1){Qd=Rb()|0;Rd=Q;Sd=Qd;vva(Md);Qb(Sd|0)}k[ea+128>>2]=0;k[ea+132>>2]=-1;k[ea>>2]=27468;k[Md>>2]=27488;B=0;va(448,Nd|0);Qd=B;B=0;do if(Qd&1){Td=Rb()|0;Ud=Q;Vd=Td}else{k[Nd>>2]=27560;Td=ea+36|0;k[Td>>2]=0;k[Td+4>>2]=0;k[Td+8>>2]=0;k[Td+12>>2]=0;k[ea+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Nd|0,c|0);Wd=B;B=0;if(Wd&1){Wd=Rb()|0;Xd=Q;Yua(c);Yua(Td);Ava(Nd);Ud=Xd;Vd=Wd;break}Yua(c);B=0;Wd=Ia(40,ea|0,139474,12)|0;Xd=B;B=0;do if(Xd&1)Wa=426;else{B=0;Yd=Sa(1,Wd|0,+(+p[a+56>>3]))|0;Zd=B;B=0;if(Zd&1){Wa=426;break}B=0;Ia(40,Yd|0,149177,1)|0;Yd=B;B=0;if(Yd&1){Wa=426;break}B=0;wa(510,fa|0,Nd|0);Yd=B;B=0;if(Yd&1){Wa=426;break}B=0;ya(424,fa|0)|0;Yd=B;B=0;if(Yd&1){Yd=Rb()|0;Zd=Q;Yua(fa);_d=Zd;$d=Yd;break}Yua(fa);k[ea>>2]=27468;k[Md>>2]=27488;k[Nd>>2]=27560;Yua(Td);Ava(Nd);vva(Md);Yd=ga+56|0;Zd=ga+4|0;k[ga>>2]=27524;k[Yd>>2]=27544;B=0;wa(508,ga+56|0,Zd|0);ae=B;B=0;if(ae&1){ae=Rb()|0;be=Q;ce=ae;vva(Yd);Qb(ce|0)}k[ga+128>>2]=0;k[ga+132>>2]=-1;k[ga>>2]=27468;k[Yd>>2]=27488;B=0;va(448,Zd|0);ae=B;B=0;do if(ae&1){de=Rb()|0;ee=Q;fe=de}else{k[Zd>>2]=27560;de=ga+36|0;k[de>>2]=0;k[de+4>>2]=0;k[de+8>>2]=0;k[de+12>>2]=0;k[ga+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Zd|0,c|0);ge=B;B=0;if(ge&1){ge=Rb()|0;he=Q;Yua(c);Yua(de);Ava(Zd);ee=he;fe=ge;break}Yua(c);B=0;ge=Ia(40,ga|0,139487,12)|0;he=B;B=0;do if(!(he&1)){B=0;ie=Sa(1,ge|0,+(+p[a+64>>3]))|0;je=B;B=0;if(je&1){Wa=429;break}B=0;Ia(40,ie|0,149177,1)|0;ie=B;B=0;if(ie&1){Wa=429;break}B=0;wa(510,ha|0,Zd|0);ie=B;B=0;if(ie&1){Wa=429;break}B=0;ya(424,ha|0)|0;ie=B;B=0;if(ie&1){ie=Rb()|0;je=Q;Yua(ha);ke=je;le=ie;break}else{Yua(ha);k[ga>>2]=27468;k[Yd>>2]=27488;k[Zd>>2]=27560;Yua(de);Ava(Zd);vva(Yd);r=b;return}}else Wa=429;while(0);if((Wa|0)==429){ge=Rb()|0;ke=Q;le=ge}k[ga>>2]=27468;k[Yd>>2]=27488;k[Zd>>2]=27560;Yua(de);Ava(Zd);vva(Yd);$a=ke;ab=le;Qb(ab|0)}while(0);be=ee;ce=fe;vva(Yd);Qb(ce|0)}while(0);if((Wa|0)==426){Wd=Rb()|0;_d=Q;$d=Wd}k[ea>>2]=27468;k[Md>>2]=27488;k[Nd>>2]=27560;Yua(Td);Ava(Nd);vva(Md);$a=_d;ab=$d;Qb(ab|0)}while(0);Rd=Ud;Sd=Vd;vva(Md);Qb(Sd|0)}while(0);if((Wa|0)==423){Sb=Rb()|0;Od=Q;Pd=Sb}k[ca>>2]=27468;k[mb>>2]=27488;k[pb>>2]=27560;Yua(Pb);Ava(pb);vva(mb);$a=Od;ab=Pd;Qb(ab|0)}while(0);Hd=Jd;Id=Kd;vva(mb);Qb(Id|0)}while(0);if((Wa|0)==420){gb=Rb()|0;Fd=Q;Gd=gb}k[aa>>2]=27468;k[Ya>>2]=27488;k[lb>>2]=27560;Yua(kb);Ava(lb);vva(Ya);$a=Fd;ab=Gd;Qb(ab|0)}while(0);Bd=Dd;Cd=Ed;vva(Ya);Qb(Cd|0)}while(0);if((Wa|0)==417){Ja=Rb()|0;zd=Q;Ad=Ja}k[_>>2]=27468;k[Ga>>2]=27488;k[Ha>>2]=27560;Yua(Ua);Ava(Ha);vva(Ga);$a=zd;ab=Ad;Qb(ab|0)}while(0);vd=xd;wd=yd;vva(Ga);Qb(wd|0)}else Wa=51;while(0);if((Wa|0)==51){Ea=Rb()|0;Ka=Q;La=Ea}k[f>>2]=27468;k[ra>>2]=27488;k[sa>>2]=27560;Yua(Ba);Ava(sa);vva(ra);$a=Ka;ab=La;Qb(ab|0)}while(0);za=Ca;Aa=Da;vva(ra);Qb(Aa|0)}else Wa=48;while(0);if((Wa|0)==48){qa=Rb()|0;ta=Q;ua=qa}k[d>>2]=27468;k[ia>>2]=27488;k[ja>>2]=27560;Yua(na);Ava(ja);vva(ia);$a=ta;ab=ua;Qb(ab|0)}while(0);la=oa;ma=pa;vva(ia);Qb(ma|0)}function _ja(a){a=a|0;return 931}function $ja(a,b){a=a|0;b=b|0;p[a+8>>3]=+p[(k[a+20>>2]|0)+(b<<3)>>3];p[a+40>>3]=+p[(k[a+24>>2]|0)+(b<<3)>>3];p[a+48>>3]=+p[(k[a+28>>2]|0)+(b<<3)>>3];p[a+56>>3]=+p[(k[a+32>>2]|0)+(b<<3)>>3];p[a+64>>3]=+p[(k[a+36>>2]|0)+(b<<3)>>3];return}function aka(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;switch(b|0){case 0:{p[a+40>>3]=1.0;b=a+48|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[b+16>>2]=0;k[b+20>>2]=0;r=c;return}case 1:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;b=a+56|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;r=c;return}case 2:{b=a+40|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;p[a+56>>3]=1.0;p[a+64>>3]=0.0;r=c;return}case 3:{b=a+40|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[b+16>>2]=0;k[b+20>>2]=0;p[a+64>>3]=1.0;r=c;return}default:{c=e+56|0;a=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,a|0);b=B;B=0;if(b&1){b=Rb()|0;i=Q;j=b;vva(c);Qb(j|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,a|0);b=B;B=0;do if(b&1){l=Rb()|0;m=Q;n=l}else{k[a>>2]=27560;l=e+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,a|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;q=Q;Yua(d);Yua(l);Ava(a);m=q;n=o;break}Yua(d);B=0;o=Ia(40,e|0,138956,31)|0;q=B;B=0;if(!(q&1)?(B=0,Xa(239,o|0,0)|0,o=B,B=0,!(o&1)):0){o=Ab(20)|0;B=0;eb(502,f|0,138856,75);q=B;B=0;do if(!(q&1)){B=0;eb(502,g|0,139532,11);s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(f);u=t;v=s;break}B=0;wa(510,h|0,a|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,o|0,f|0,g|0,169,h|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,o|0,1240,229);B=0;z=0}s=Rb()|0;t=Q;Yua(h);w=t;x=s;y=z}Yua(g);Yua(f);if(y){u=w;v=x}else{A=w;C=x;k[e>>2]=27468;k[c>>2]=27488;k[a>>2]=27560;Yua(l);Ava(a);vva(c);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(o|0);A=u;C=v;k[e>>2]=27468;k[c>>2]=27488;k[a>>2]=27560;Yua(l);Ava(a);vva(c);Qb(C|0)}q=Rb()|0;A=Q;C=q;k[e>>2]=27468;k[c>>2]=27488;k[a>>2]=27560;Yua(l);Ava(a);vva(c);Qb(C|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}}}function bka(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0;d=r;r=r+704|0;e=d+692|0;f=d+520|0;g=d+680|0;h=d+668|0;i=d+656|0;j=d+384|0;l=d+368|0;m=d+84|0;n=d+72|0;o=d+232|0;q=d+60|0;s=d+48|0;t=d+36|0;u=d+96|0;v=d+24|0;w=d+12|0;x=d;switch(b|0){case 739:case 738:{switch(c|0){case 0:{p[a+40>>3]=1.0;y=a+48|0;k[y>>2]=0;k[y+4>>2]=0;k[y+8>>2]=0;k[y+12>>2]=0;k[y+16>>2]=0;k[y+20>>2]=0;r=d;return}case 1:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;y=a+56|0;k[y>>2]=0;k[y+4>>2]=0;k[y+8>>2]=0;k[y+12>>2]=0;r=d;return}case 2:{y=a+40|0;k[y>>2]=0;k[y+4>>2]=0;k[y+8>>2]=0;k[y+12>>2]=0;p[a+56>>3]=1.0;p[a+64>>3]=0.0;r=d;return}case 3:{y=a+40|0;k[y>>2]=0;k[y+4>>2]=0;k[y+8>>2]=0;k[y+12>>2]=0;k[y+16>>2]=0;k[y+20>>2]=0;p[a+64>>3]=1.0;r=d;return}default:{y=f+56|0;z=f+4|0;k[f>>2]=27524;k[y>>2]=27544;B=0;wa(508,f+56|0,z|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;D=A;vva(y);Qb(D|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[y>>2]=27488;B=0;va(448,z|0);A=B;B=0;do if(A&1){E=Rb()|0;F=Q;G=E}else{k[z>>2]=27560;E=f+36|0;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;k[E+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,z|0,e|0);H=B;B=0;if(H&1){H=Rb()|0;I=Q;Yua(e);Yua(E);Ava(z);F=I;G=H;break}Yua(e);B=0;H=Ia(40,f|0,138988,29)|0;I=B;B=0;a:do if(!(I&1)?(B=0,Xa(239,H|0,0)|0,J=B,B=0,!(J&1)):0){J=Ab(20)|0;B=0;eb(502,g|0,138856,75);K=B;B=0;do if(!(K&1)){B=0;eb(502,h|0,139574,9);L=B;B=0;if(L&1){L=Rb()|0;M=Q;Yua(g);N=M;O=L;break}B=0;wa(510,i|0,z|0);L=B;B=0;if(L&1){L=Rb()|0;P=Q;R=L;S=1}else{B=0;ua(163,J|0,g|0,h|0,188,i|0);L=B;B=0;if(L&1)T=1;else{B=0;eb(503,J|0,1240,229);B=0;T=0}L=Rb()|0;M=Q;Yua(i);P=M;R=L;S=T}Yua(h);Yua(g);if(S){N=P;O=R}else{U=P;V=R;break a}}else{L=Rb()|0;N=Q;O=L}while(0);zb(J|0);U=N;V=O}else W=22;while(0);if((W|0)==22){H=Rb()|0;U=Q;V=H}k[f>>2]=27468;k[y>>2]=27488;k[z>>2]=27560;Yua(E);Ava(z);vva(y);X=U;Y=V;Qb(Y|0)}while(0);C=F;D=G;vva(y);Qb(D|0)}}break}case 741:case 740:{switch(c|0){case 0:{p[a+40>>3]=1.0;D=a+48|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;k[D+12>>2]=0;k[D+16>>2]=0;k[D+20>>2]=0;r=d;return}case 1:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;D=a+56|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;k[D+12>>2]=0;r=d;return}case 2:{D=a+40|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;k[D+12>>2]=0;p[a+56>>3]=1.0;p[a+64>>3]=0.0;r=d;return}case 3:{D=a+40|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;k[D+12>>2]=0;k[D+16>>2]=0;k[D+20>>2]=0;p[a+64>>3]=1.0;r=d;return}case 4:{p[a+40>>3]=.25;p[a+48>>3]=.25;p[a+56>>3]=.25;p[a+64>>3]=.25;r=d;return}default:{D=j+56|0;y=j+4|0;k[j>>2]=27524;k[D>>2]=27544;B=0;wa(508,j+56|0,y|0);G=B;B=0;if(G&1){G=Rb()|0;Z=Q;_=G;vva(D);Qb(_|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[D>>2]=27488;B=0;va(448,y|0);G=B;B=0;do if(G&1){F=Rb()|0;$=Q;aa=F}else{k[y>>2]=27560;F=j+36|0;k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;k[F+12>>2]=0;k[j+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,y|0,e|0);C=B;B=0;if(C&1){C=Rb()|0;V=Q;Yua(e);Yua(F);Ava(y);$=V;aa=C;break}Yua(e);B=0;C=Ia(40,j|0,139018,29)|0;V=B;B=0;b:do if(!(V&1)?(B=0,Xa(239,C|0,0)|0,U=B,B=0,!(U&1)):0){U=Ab(20)|0;B=0;eb(502,l|0,138856,75);z=B;B=0;do if(!(z&1)){B=0;eb(502,m|0,139574,9);f=B;B=0;if(f&1){f=Rb()|0;O=Q;Yua(l);ba=f;ca=O;break}B=0;wa(510,n|0,y|0);O=B;B=0;if(O&1){O=Rb()|0;da=1;ea=Q;fa=O}else{B=0;ua(163,U|0,l|0,m|0,198,n|0);O=B;B=0;if(O&1)ga=1;else{B=0;eb(503,U|0,1240,229);B=0;ga=0}O=Rb()|0;f=Q;Yua(n);da=ga;ea=f;fa=O}Yua(m);Yua(l);if(da){ba=fa;ca=ea}else{ha=ea;ia=fa;break b}}else{O=Rb()|0;ba=O;ca=Q}while(0);zb(U|0);ha=ca;ia=ba}else W=51;while(0);if((W|0)==51){C=Rb()|0;ha=Q;ia=C}k[j>>2]=27468;k[D>>2]=27488;k[y>>2]=27560;Yua(F);Ava(y);vva(D);X=ha;Y=ia;Qb(Y|0)}while(0);Z=$;_=aa;vva(D);Qb(_|0)}}break}case 742:{do switch(c|0){case 0:{p[a+40>>3]=1.0;_=a+48|0;k[_>>2]=0;k[_+4>>2]=0;k[_+8>>2]=0;k[_+12>>2]=0;k[_+16>>2]=0;k[_+20>>2]=0;r=d;return}case 1:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;_=a+56|0;k[_>>2]=0;k[_+4>>2]=0;k[_+8>>2]=0;k[_+12>>2]=0;r=d;return}case 2:{_=a+40|0;k[_>>2]=0;k[_+4>>2]=0;k[_+8>>2]=0;k[_+12>>2]=0;p[a+56>>3]=1.0;p[a+64>>3]=0.0;r=d;return}case 3:{_=a+40|0;k[_>>2]=0;k[_+4>>2]=0;k[_+8>>2]=0;k[_+12>>2]=0;k[_+16>>2]=0;k[_+20>>2]=0;p[a+64>>3]=1.0;r=d;return}case 4:{p[a+40>>3]=0.0;p[a+48>>3]=.5;p[a+56>>3]=.5;p[a+64>>3]=0.0;r=d;return}case 5:{p[a+40>>3]=.5;p[a+48>>3]=0.0;p[a+56>>3]=.5;p[a+64>>3]=0.0;r=d;return}case 6:{p[a+40>>3]=.5;p[a+48>>3]=.5;_=a+56|0;k[_>>2]=0;k[_+4>>2]=0;k[_+8>>2]=0;k[_+12>>2]=0;r=d;return}case 7:{p[a+40>>3]=.5;_=a+48|0;k[_>>2]=0;k[_+4>>2]=0;k[_+8>>2]=0;k[_+12>>2]=0;p[a+64>>3]=.5;r=d;return}case 8:{p[a+40>>3]=0.0;p[a+48>>3]=.5;p[a+56>>3]=0.0;p[a+64>>3]=.5;r=d;return}case 9:{_=a+40|0;k[_>>2]=0;k[_+4>>2]=0;k[_+8>>2]=0;k[_+12>>2]=0;p[a+56>>3]=.5;p[a+64>>3]=.5;r=d;return}default:{_=o+56|0;D=o+4|0;k[o>>2]=27524;k[_>>2]=27544;B=0;wa(508,o+56|0,D|0);aa=B;B=0;if(aa&1){aa=Rb()|0;ja=Q;ka=aa;vva(_);Qb(ka|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[_>>2]=27488;B=0;va(448,D|0);aa=B;B=0;do if(aa&1){$=Rb()|0;la=Q;ma=$}else{k[D>>2]=27560;$=o+36|0;k[$>>2]=0;k[$+4>>2]=0;k[$+8>>2]=0;k[$+12>>2]=0;k[o+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,D|0,e|0);Z=B;B=0;if(Z&1){Z=Rb()|0;ia=Q;Yua(e);Yua($);Ava(D);la=ia;ma=Z;break}Yua(e);B=0;Z=Ia(40,o|0,139048,29)|0;ia=B;B=0;c:do if(!(ia&1)?(B=0,Xa(239,Z|0,0)|0,ha=B,B=0,!(ha&1)):0){ha=Ab(20)|0;B=0;eb(502,q|0,138856,75);y=B;B=0;do if(!(y&1)){B=0;eb(502,s|0,139574,9);j=B;B=0;if(j&1){j=Rb()|0;ba=Q;Yua(q);na=j;oa=ba;break}B=0;wa(510,t|0,D|0);ba=B;B=0;if(ba&1){ba=Rb()|0;pa=1;qa=Q;ra=ba}else{B=0;ua(163,ha|0,q|0,s|0,214,t|0);ba=B;B=0;if(ba&1)sa=1;else{B=0;eb(503,ha|0,1240,229);B=0;sa=0}ba=Rb()|0;j=Q;Yua(t);pa=sa;qa=j;ra=ba}Yua(s);Yua(q);if(pa){na=ra;oa=qa}else{ta=qa;xa=ra;break c}}else{ba=Rb()|0;na=ba;oa=Q}while(0);zb(ha|0);ta=oa;xa=na}else W=85;while(0);if((W|0)==85){Z=Rb()|0;ta=Q;xa=Z}k[o>>2]=27468;k[_>>2]=27488;k[D>>2]=27560;Yua($);Ava(D);vva(_);X=ta;Y=xa;Qb(Y|0)}while(0);ja=la;ka=ma;vva(_);Qb(ka|0)}}while(0);break}default:{ka=u+56|0;ma=u+4|0;k[u>>2]=27524;k[ka>>2]=27544;B=0;wa(508,u+56|0,ma|0);la=B;B=0;if(la&1){la=Rb()|0;za=Q;Aa=la;vva(ka);Qb(Aa|0)}k[u+128>>2]=0;k[u+132>>2]=-1;k[u>>2]=27468;k[ka>>2]=27488;B=0;va(448,ma|0);la=B;B=0;do if(la&1){ja=Rb()|0;Ba=Q;Ca=ja}else{k[ma>>2]=27560;ja=u+36|0;k[ja>>2]=0;k[ja+4>>2]=0;k[ja+8>>2]=0;k[ja+12>>2]=0;k[u+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,ma|0,e|0);xa=B;B=0;if(xa&1){xa=Rb()|0;ta=Q;Yua(e);Yua(ja);Ava(ma);Ba=ta;Ca=xa;break}Yua(e);B=0;xa=Ia(40,u|0,145867,15)|0;ta=B;B=0;d:do if((((!(ta&1)?(B=0,o=ya(427,b|0)|0,na=B,B=0,!(na&1)):0)?(na=Lta(o)|0,B=0,oa=Ia(40,xa|0,o|0,na|0)|0,na=B,B=0,!(na&1)):0)?(B=0,na=Ia(40,oa|0,144645,14)|0,oa=B,B=0,!(oa&1)):0)?(B=0,Xa(239,na|0,0)|0,na=B,B=0,!(na&1)):0){na=Ab(20)|0;B=0;eb(502,v|0,138856,75);oa=B;B=0;do if(!(oa&1)){B=0;eb(502,w|0,139574,9);o=B;B=0;if(o&1){o=Rb()|0;ra=Q;Yua(v);Da=o;Ea=ra;break}B=0;wa(510,x|0,ma|0);ra=B;B=0;if(ra&1){ra=Rb()|0;Fa=1;Ga=Q;Ha=ra}else{B=0;ua(163,na|0,v|0,w|0,217,x|0);ra=B;B=0;if(ra&1)Ja=1;else{B=0;eb(503,na|0,1240,229);B=0;Ja=0}ra=Rb()|0;o=Q;Yua(x);Fa=Ja;Ga=o;Ha=ra}Yua(w);Yua(v);if(Fa){Da=Ha;Ea=Ga}else{Ka=Ga;La=Ha;break d}}else{ra=Rb()|0;Da=ra;Ea=Q}while(0);zb(na|0);Ka=Ea;La=Da}else W=111;while(0);if((W|0)==111){xa=Rb()|0;Ka=Q;La=xa}k[u>>2]=27468;k[ka>>2]=27488;k[ma>>2]=27560;Yua(ja);Ava(ma);vva(ka);X=Ka;Y=La;Qb(Y|0)}while(0);za=Ba;Aa=Ca;vva(ka);Qb(Aa|0)}}}function cka(a){a=a|0;return 0}function dka(a){a=a|0;return k[a+16>>2]|0}function eka(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;b=r;r=r+192|0;a=b+176|0;c=b+40|0;d=b+24|0;e=b+12|0;f=b;b=c+56|0;g=c+4|0;k[c>>2]=27524;k[b>>2]=27544;B=0;wa(508,c+56|0,g|0);h=B;B=0;if(h&1){h=Rb()|0;i=Q;j=h;vva(b);Qb(j|0)}k[c+128>>2]=0;k[c+132>>2]=-1;k[c>>2]=27468;k[b>>2]=27488;B=0;va(448,g|0);h=B;B=0;do if(h&1){l=Rb()|0;m=Q;n=l}else{k[g>>2]=27560;l=c+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[c+52>>2]=16;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;B=0;wa(509,g|0,a|0);o=B;B=0;if(o&1){o=Rb()|0;p=Q;Yua(a);Yua(l);Ava(g);m=p;n=o;break}Yua(a);B=0;o=Ia(40,c|0,145010,13)|0;p=B;B=0;a:do if(!(p&1)?(B=0,Xa(239,o|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,d|0,138856,75);s=B;B=0;do if(!(s&1)){B=0;eb(502,e|0,139078,20);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Yua(d);v=u;w=t;break}B=0;wa(510,f|0,g|0);t=B;B=0;if(t&1){t=Rb()|0;x=Q;y=t;z=1}else{B=0;ua(163,q|0,d|0,e|0,252,f|0);t=B;B=0;if(t&1)A=1;else{B=0;eb(503,q|0,1240,229);B=0;A=0}t=Rb()|0;u=Q;Yua(f);x=u;y=t;z=A}Yua(e);Yua(d);if(z){v=x;w=y}else{C=x;D=y;break a}}else{t=Rb()|0;v=Q;w=t}while(0);zb(q|0);C=v;D=w}else E=16;while(0);if((E|0)==16){o=Rb()|0;C=Q;D=o}k[c>>2]=27468;k[b>>2]=27488;k[g>>2]=27560;Yua(l);Ava(g);vva(b);Qb(D|0)}while(0);i=m;j=n;vva(b);Qb(j|0)}function fka(a){a=a|0;var b=0;k[a>>2]=40828;k[a+16>>2]=-1;b=a+20|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[b+16>>2]=0;p[a+8>>3]=-9999.0;p[a+40>>3]=-9999.0;p[a+48>>3]=-9999.0;p[a+56>>3]=-9999.0;p[a+64>>3]=-9999.0;return}function gka(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;d=r;r=r+32|0;e=d+24|0;f=d+20|0;g=d+16|0;h=d+12|0;i=d+8|0;j=d+4|0;l=d;k[a>>2]=40828;k[f>>2]=0;k[g>>2]=0;k[h>>2]=0;k[i>>2]=0;k[j>>2]=0;k[l>>2]=0;Una(e,f,g,h,i,b);Sna(j,l,c);b=k[e>>2]|0;e=ma(b,c)|0;k[a+16>>2]=e;m=e>>>0>536870911?-1:e<<3;e=Rqa(m)|0;k[a+24>>2]=e;n=Rqa(m)|0;k[a+28>>2]=n;o=Rqa(m)|0;k[a+32>>2]=o;q=Rqa(m)|0;k[a+36>>2]=q;s=Rqa(m)|0;k[a+20>>2]=s;if((b|0)>0){m=k[f>>2]|0;t=k[g>>2]|0;u=k[h>>2]|0;v=k[j>>2]|0;w=k[i>>2]|0;x=k[l>>2]|0;if((c|0)>0){y=0;do{z=m+(y<<3)|0;A=ma(y,c)|0;B=t+(y<<3)|0;C=u+(y<<3)|0;D=w+(y<<3)|0;E=0;do{F=E+A|0;p[e+(F<<3)>>3]=+p[z>>3];p[n+(F<<3)>>3]=+p[B>>3];p[o+(F<<3)>>3]=+p[C>>3];p[q+(F<<3)>>3]=+p[v+(E<<3)>>3];p[s+(F<<3)>>3]=+p[D>>3]*+p[x+(E<<3)>>3];E=E+1|0}while((E|0)!=(c|0));y=y+1|0}while((y|0)<(b|0));G=m}else G=m}else G=k[f>>2]|0;p[a+8>>3]=-9999.0;p[a+40>>3]=-9999.0;p[a+48>>3]=-9999.0;p[a+56>>3]=-9999.0;p[a+64>>3]=-9999.0;if(G)Tqa(G);k[f>>2]=0;f=k[g>>2]|0;if(f)Tqa(f);k[g>>2]=0;g=k[h>>2]|0;if(g)Tqa(g);k[h>>2]=0;h=k[j>>2]|0;if(h)Tqa(h);k[j>>2]=0;j=k[i>>2]|0;if(j)Tqa(j);k[i>>2]=0;i=k[l>>2]|0;if(!i){r=d;return}Tqa(i);r=d;return}function hka(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;e=r;r=r+208|0;f=e+184|0;g=e+180|0;h=e+176|0;i=e+40|0;j=e+24|0;l=e+12|0;m=e;k[a>>2]=40828;k[g>>2]=0;k[h>>2]=0;n=a+16|0;k[n>>2]=d;B=0;eb(526,g|0,h|0,d|0);d=B;B=0;a:do if(((((!(d&1)?(o=k[n>>2]|0,q=o>>>0>536870911?-1:o<<3,B=0,s=ya(422,q|0)|0,t=B,B=0,!(t&1)):0)?(k[a+24>>2]=s,B=0,t=ya(422,q|0)|0,u=B,B=0,!(u&1)):0)?(u=a+28|0,k[u>>2]=t,B=0,v=ya(422,q|0)|0,w=B,B=0,!(w&1)):0)?(w=a+32|0,k[w>>2]=v,B=0,v=ya(422,q|0)|0,x=B,B=0,!(x&1)):0)?(x=a+36|0,k[x>>2]=v,B=0,v=ya(422,q|0)|0,q=B,B=0,!(q&1)):0){q=a+20|0;k[q>>2]=v;b:do if((b|0)==0&(c|0)==3){v=(o|0)>0;if(v){y=0;do{p[s+(y<<3)>>3]=1.0;y=y+1|0}while((y|0)<(o|0));if((v?(WEa(t|0,0,((o|0)>1?o:1)<<3|0)|0,y=k[n>>2]|0,(y|0)>0):0)?(WEa(k[w>>2]|0,0,((y|0)>1?y:1)<<3|0)|0,y=k[n>>2]|0,z=(y|0)>0,z):0){A=k[g>>2]|0;C=k[x>>2]|0;D=0;do{p[C+(D<<3)>>3]=+p[A+(D<<3)>>3];D=D+1|0}while((D|0)<(y|0));if(z){D=k[h>>2]|0;A=k[q>>2]|0;C=0;do{p[A+(C<<3)>>3]=+p[D+(C<<3)>>3];C=C+1|0}while((C|0)<(y|0))}}}}else{if((b|0)==1&(c|0)==4){if((o|0)<=0)break;WEa(s|0,0,((o|0)>1?o:1)<<3|0)|0;y=k[n>>2]|0;C=(y|0)>0;if(!C)break;D=k[u>>2]|0;A=0;do{p[D+(A<<3)>>3]=1.0;A=A+1|0}while((A|0)<(y|0));if(C){WEa(k[w>>2]|0,0,((y|0)>1?y:1)<<3|0)|0;E=k[n>>2]|0}else E=y;A=(E|0)>0;if(!A)break;D=k[g>>2]|0;z=k[x>>2]|0;v=0;do{p[z+(v<<3)>>3]=+p[D+(v<<3)>>3];v=v+1|0}while((v|0)<(E|0));if(!A)break;v=k[h>>2]|0;D=k[q>>2]|0;z=0;while(1){p[D+(z<<3)>>3]=+p[v+(z<<3)>>3];z=z+1|0;if((z|0)>=(E|0))break b}}if((b|0)==2&(c|0)==5){if((o|0)<=0)break;WEa(s|0,0,((o|0)>1?o:1)<<3|0)|0;z=k[n>>2]|0;if((z|0)<=0)break;WEa(k[u>>2]|0,0,((z|0)>1?z:1)<<3|0)|0;z=k[n>>2]|0;v=(z|0)>0;if(!v)break;D=k[w>>2]|0;A=0;do{p[D+(A<<3)>>3]=1.0;A=A+1|0}while((A|0)<(z|0));if(!v)break;A=k[g>>2]|0;D=k[x>>2]|0;y=0;do{p[D+(y<<3)>>3]=+p[A+(y<<3)>>3];y=y+1|0}while((y|0)<(z|0));y=k[h>>2]|0;A=k[q>>2]|0;D=0;while(1){p[A+(D<<3)>>3]=+p[y+(D<<3)>>3];D=D+1|0;if((D|0)>=(z|0))break b}}z=i+56|0;D=i+4|0;k[i>>2]=27524;k[z>>2]=27544;B=0;wa(508,i+56|0,D|0);y=B;B=0;if(y&1){y=Rb()|0;F=Q;G=y}else{k[i+128>>2]=0;k[i+132>>2]=-1;k[i>>2]=27468;k[z>>2]=27488;B=0;va(448,D|0);y=B;B=0;do if(y&1){A=Rb()|0;H=Q;I=A}else{k[D>>2]=27560;A=i+36|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[i+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,D|0,f|0);v=B;B=0;if(v&1){v=Rb()|0;C=Q;Yua(f);Yua(A);Ava(D);H=C;I=v;break}Yua(f);B=0;v=Ia(40,i|0,139112,23)|0;C=B;B=0;c:do if(!(C&1)?(B=0,Xa(239,v|0,0)|0,J=B,B=0,!(J&1)):0){J=Ab(20)|0;B=0;eb(502,j|0,139136,75);K=B;B=0;do if(!(K&1)){B=0;eb(502,l|0,139212,10);L=B;B=0;if(L&1){L=Rb()|0;M=Q;Yua(j);N=L;O=M;break}B=0;wa(510,m|0,D|0);M=B;B=0;if(M&1){M=Rb()|0;P=M;R=Q;S=1}else{B=0;ua(163,J|0,j|0,l|0,126,m|0);M=B;B=0;if(M&1)T=1;else{B=0;eb(503,J|0,1240,229);B=0;T=0}M=Rb()|0;L=Q;Yua(m);P=M;R=L;S=T}Yua(l);Yua(j);if(S){N=P;O=R}else{U=P;V=R;break c}}else{L=Rb()|0;N=L;O=Q}while(0);zb(J|0);U=N;V=O}else W=59;while(0);if((W|0)==59){v=Rb()|0;U=v;V=Q}k[i>>2]=27468;k[z>>2]=27488;k[D>>2]=27560;Yua(A);Ava(D);vva(z);X=V;Y=U;Qb(Y|0)}while(0);F=H;G=I}vva(z);Z=F;_=G;break a}while(0);p[a+8>>3]=-9999.0;p[a+40>>3]=-9999.0;p[a+48>>3]=-9999.0;p[a+56>>3]=-9999.0;p[a+64>>3]=-9999.0;q=k[g>>2]|0;if(q)Tqa(q);k[g>>2]=0;q=k[h>>2]|0;if(!q){r=e;return}Tqa(q);r=e;return}else W=11;while(0);if((W|0)==11){W=Rb()|0;Z=Q;_=W}X=Z;Y=_;Qb(Y|0)}function ika(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0;f=r;r=r+192|0;g=f+176|0;h=f+40|0;i=f+24|0;j=f+12|0;l=f;k[a>>2]=40828;do if((b|0)==0&(c|0)==1&(d|0)==2){m=a+16|0;B=0;La(39,m|0,a+24|0,a+28|0,a+32|0,a+20|0,e|0);n=B;B=0;if(!(n&1)?(n=k[m>>2]|0,B=0,m=ya(422,(n>>>0>536870911?-1:n<<3)|0)|0,o=B,B=0,!(o&1)):0){k[a+36>>2]=m;if((n|0)>0)q=0;else{r=f;return}do{p[m+(q<<3)>>3]=-1.0;q=q+1|0}while((q|0)<(n|0));r=f;return}else s=5}else{if((b|0)==3&(c|0)==4&(d|0)==5){n=a+16|0;B=0;La(39,n|0,a+24|0,a+28|0,a+32|0,a+20|0,e|0);m=B;B=0;if(m&1){s=5;break}m=k[n>>2]|0;B=0;n=ya(422,(m>>>0>536870911?-1:m<<3)|0)|0;o=B;B=0;if(o&1){s=5;break}k[a+36>>2]=n;if((m|0)>0)t=0;else{r=f;return}do{p[n+(t<<3)>>3]=1.0;t=t+1|0}while((t|0)<(m|0));r=f;return}m=h+56|0;n=h+4|0;k[h>>2]=27524;k[m>>2]=27544;B=0;wa(508,h+56|0,n|0);o=B;B=0;if(o&1){o=Rb()|0;u=Q;v=o}else{k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[m>>2]=27488;B=0;va(448,n|0);o=B;B=0;do if(o&1){w=Rb()|0;x=Q;y=w}else{k[n>>2]=27560;w=h+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[h+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,n|0,g|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(g);Yua(w);Ava(n);x=A;y=z;break}Yua(g);B=0;z=Ia(40,h|0,139223,22)|0;A=B;B=0;a:do if(!(A&1)?(B=0,Xa(239,z|0,0)|0,C=B,B=0,!(C&1)):0){C=Ab(20)|0;B=0;eb(502,i|0,139136,75);D=B;B=0;do if(!(D&1)){B=0;eb(502,j|0,139212,10);E=B;B=0;if(E&1){E=Rb()|0;F=Q;Yua(i);G=F;H=E;break}B=0;wa(510,l|0,n|0);E=B;B=0;if(E&1){E=Rb()|0;I=E;J=Q;K=1}else{B=0;ua(163,C|0,i|0,j|0,165,l|0);E=B;B=0;if(E&1)L=1;else{B=0;eb(503,C|0,1240,229);B=0;L=0}E=Rb()|0;F=Q;Yua(l);I=E;J=F;K=L}Yua(j);Yua(i);if(K){G=J;H=I}else{M=J;N=I;break a}}else{F=Rb()|0;G=Q;H=F}while(0);zb(C|0);M=G;N=H}else s=28;while(0);if((s|0)==28){z=Rb()|0;M=Q;N=z}k[h>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(w);Ava(n);vva(m);O=M;P=N;Qb(P|0)}while(0);u=x;v=y}vva(m);R=u;S=v}while(0);if((s|0)==5){s=Rb()|0;R=Q;S=s}O=R;P=S;Qb(P|0)}function jka(a,b,c,d,e,f){a=a|0;b=b|0;c=+c;d=+d;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0,O=0.0,P=0,R=0.0,S=0.0,T=0.0,U=0,V=0.0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0.0,Ma=0,Na=0.0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0.0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0;g=r;r=r+560|0;h=g+544|0;i=g+532|0;j=g+520|0;l=g+384|0;m=g+368|0;n=g+84|0;o=g+72|0;q=g+232|0;s=g+60|0;t=g+48|0;u=g+36|0;v=g+96|0;w=g+24|0;x=g+12|0;y=g;k[a>>2]=40828;a:do if(e){z=a+16|0;A=a+24|0;C=a+28|0;D=a+32|0;E=a+20|0;B=0;La(39,z|0,A|0,C|0,D|0,E|0,f|0);F=B;B=0;if(!(F&1)){F=k[z>>2]|0;z=(F|0)>0;b:do if(z){G=k[A>>2]|0;H=k[C>>2]|0;I=k[D>>2]|0;if(!b){J=k[E>>2]|0;K=0;while(1){L=G+(K<<3)|0;M=+p[L>>3]*0.0;N=H+(K<<3)|0;O=+p[N>>3];P=I+(K<<3)|0;R=+p[P>>3];S=M+O*c+R*0.0;T=M+O*0.0+R*d;p[L>>3]=1.0-S-T;p[N>>3]=S;p[P>>3]=T;P=J+(K<<3)|0;p[P>>3]=+p[P>>3]*c*d;K=K+1|0;if((K|0)>=(F|0))break b}}else U=0;c:while(1){K=G+(U<<3)|0;T=+p[K>>3]*0.0;J=H+(U<<3)|0;S=+p[J>>3];P=I+(U<<3)|0;R=+p[P>>3];O=T+S*c+R*0.0;M=T+S*0.0+R*d;switch(b|0){case 2:{p[K>>3]=O;p[J>>3]=M;V=1.0-O-M;break}case 1:{p[K>>3]=M;p[J>>3]=1.0-O-M;V=O;break}default:break c}p[P>>3]=V;P=(k[E>>2]|0)+(U<<3)|0;p[P>>3]=+p[P>>3]*c*d;U=U+1|0;if((U|0)>=(F|0))break b}I=l+56|0;H=l+4|0;k[l>>2]=27524;k[I>>2]=27544;B=0;wa(508,l+56|0,H|0);G=B;B=0;if(G&1){G=Rb()|0;W=Q;X=G}else{k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[I>>2]=27488;B=0;va(448,H|0);G=B;B=0;do if(G&1){P=Rb()|0;Y=Q;Z=P}else{k[H>>2]=27560;P=l+36|0;k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;k[P+12>>2]=0;k[l+52>>2]=16;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;B=0;wa(509,H|0,j|0);J=B;B=0;if(J&1){J=Rb()|0;K=Q;Yua(j);Yua(P);Ava(H);Y=K;Z=J;break}Yua(j);B=0;J=Ia(40,l|0,139246,6)|0;K=B;B=0;d:do if(((!(K&1)?(B=0,N=Xa(242,J|0,b|0)|0,L=B,B=0,!(L&1)):0)?(B=0,L=Ia(40,N|0,146481,18)|0,N=B,B=0,!(N&1)):0)?(B=0,Xa(239,L|0,0)|0,L=B,B=0,!(L&1)):0){L=Ab(20)|0;B=0;eb(502,m|0,139136,75);N=B;B=0;do if(!(N&1)){B=0;eb(502,n|0,139212,10);_=B;B=0;if(_&1){_=Rb()|0;$=Q;Yua(m);aa=$;ba=_;break}B=0;wa(510,o|0,H|0);_=B;B=0;if(_&1){_=Rb()|0;ca=_;da=Q;ea=1}else{B=0;ua(163,L|0,m|0,n|0,286,o|0);_=B;B=0;if(_&1)fa=1;else{B=0;eb(503,L|0,1240,229);B=0;fa=0}_=Rb()|0;$=Q;Yua(o);ca=_;da=$;ea=fa}Yua(n);Yua(m);if(ea){aa=da;ba=ca}else{ga=da;ha=ca;break d}}else{$=Rb()|0;aa=Q;ba=$}while(0);zb(L|0);ga=aa;ha=ba}else ia=29;while(0);if((ia|0)==29){J=Rb()|0;ga=Q;ha=J}k[l>>2]=27468;k[I>>2]=27488;k[H>>2]=27560;Yua(P);Ava(H);vva(I);ja=ga;ka=ha;Qb(ka|0)}while(0);W=Y;X=Z}vva(I);la=W;ma=X;break a}while(0);B=0;E=ya(422,(F>>>0>536870911?-1:F<<3)|0)|0;D=B;B=0;if(!(D&1)){k[a+36>>2]=E;if(z)na=0;else{oa=a+8|0;p[oa>>3]=-9999.0;pa=a+40|0;p[pa>>3]=-9999.0;qa=a+48|0;p[qa>>3]=-9999.0;ra=a+56|0;p[ra>>3]=-9999.0;sa=a+64|0;p[sa>>3]=-9999.0;r=g;return}do{p[E+(na<<3)>>3]=-1.0;na=na+1|0}while((na|0)<(F|0));oa=a+8|0;p[oa>>3]=-9999.0;pa=a+40|0;p[pa>>3]=-9999.0;qa=a+48|0;p[qa>>3]=-9999.0;ra=a+56|0;p[ra>>3]=-9999.0;sa=a+64|0;p[sa>>3]=-9999.0;r=g;return}else ia=8}else ia=8}else{B=0;F=ya(423,72)|0;E=B;B=0;if(E&1)ia=8;else{k[F>>2]=40828;E=F+16|0;z=F+24|0;D=F+28|0;C=F+32|0;A=F+20|0;B=0;La(39,E|0,z|0,D|0,C|0,A|0,f|0);H=B;B=0;if(!(H&1)?(H=k[E>>2]|0,B=0,G=ya(422,(H>>>0>536870911?-1:H<<3)|0)|0,J=B,B=0,!(J&1)):0){J=F+36|0;k[J>>2]=G;if((H|0)>0){K=0;do{p[G+(K<<3)>>3]=-1.0;K=K+1|0}while((K|0)!=(H|0))}B=0;H=ya(423,72)|0;K=B;B=0;if(K&1){ia=8;break}k[H>>2]=40828;K=H+16|0;G=H+24|0;N=H+28|0;$=H+32|0;_=H+20|0;B=0;La(39,K|0,G|0,N|0,$|0,_|0,f|0);ta=B;B=0;if(!(ta&1)?(ta=k[K>>2]|0,B=0,K=ya(422,(ta>>>0>536870911?-1:ta<<3)|0)|0,xa=B,B=0,!(xa&1)):0){k[H+36>>2]=K;xa=(ta|0)>0;if(xa){za=0;do{p[K+(za<<3)>>3]=-1.0;za=za+1|0}while((za|0)!=(ta|0))}za=k[E>>2]|0;Aa=(za|0)>0;e:do if(Aa){Ba=k[z>>2]|0;Ca=k[D>>2]|0;Da=k[C>>2]|0;O=1.0-d;if(!b){Ea=k[A>>2]|0;Fa=0;while(1){Ga=Ba+(Fa<<3)|0;M=+p[Ga>>3];Ha=Ca+(Fa<<3)|0;R=+p[Ha>>3];Ja=Da+(Fa<<3)|0;S=+p[Ja>>3];T=M*c+R*0.0+S*0.0;Ka=M*0.0+R+S*d;p[Ga>>3]=1.0-T-Ka;p[Ha>>3]=T;p[Ja>>3]=Ka;Ja=Ea+(Fa<<3)|0;p[Ja>>3]=O*(+p[Ja>>3]*c);Fa=Fa+1|0;if((Fa|0)>=(za|0))break e}}else Ma=0;f:while(1){Fa=Ba+(Ma<<3)|0;Ka=+p[Fa>>3];Ea=Ca+(Ma<<3)|0;T=+p[Ea>>3];I=Da+(Ma<<3)|0;S=+p[I>>3];R=Ka*c+T*0.0+S*0.0;M=Ka*0.0+T+S*d;switch(b|0){case 2:{p[Fa>>3]=R;p[Ea>>3]=M;Na=1.0-R-M;break}case 1:{p[Fa>>3]=M;p[Ea>>3]=1.0-R-M;Na=R;break}default:break f}p[I>>3]=Na;I=(k[A>>2]|0)+(Ma<<3)|0;p[I>>3]=O*(+p[I>>3]*c);Ma=Ma+1|0;if((Ma|0)>=(za|0))break e}Da=q+56|0;Ca=q+4|0;k[q>>2]=27524;k[Da>>2]=27544;B=0;wa(508,q+56|0,Ca|0);Ba=B;B=0;if(Ba&1){Ba=Rb()|0;Oa=Q;Pa=Ba}else{k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[Da>>2]=27488;B=0;va(448,Ca|0);Ba=B;B=0;do if(Ba&1){I=Rb()|0;Qa=Q;Ra=I}else{k[Ca>>2]=27560;I=q+36|0;k[I>>2]=0;k[I+4>>2]=0;k[I+8>>2]=0;k[I+12>>2]=0;k[q+52>>2]=16;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;B=0;wa(509,Ca|0,i|0);Ea=B;B=0;if(Ea&1){Ea=Rb()|0;Fa=Q;Yua(i);Yua(I);Ava(Ca);Qa=Fa;Ra=Ea;break}Yua(i);B=0;Ea=Ia(40,q|0,139246,6)|0;Fa=B;B=0;g:do if(Fa&1)ia=81;else{B=0;Ja=Xa(242,Ea|0,b|0)|0;Ha=B;B=0;if(Ha&1){ia=81;break}B=0;Ha=Ia(40,Ja|0,146481,18)|0;Ja=B;B=0;if(Ja&1){ia=81;break}B=0;Xa(239,Ha|0,0)|0;Ha=B;B=0;if(Ha&1){ia=81;break}Ha=Ab(20)|0;B=0;eb(502,s|0,139136,75);Ja=B;B=0;do if(!(Ja&1)){B=0;eb(502,t|0,139212,10);Ga=B;B=0;if(Ga&1){Ga=Rb()|0;Sa=Q;Yua(s);Ta=Ga;Ua=Sa;break}B=0;wa(510,u|0,Ca|0);Sa=B;B=0;if(Sa&1){Sa=Rb()|0;Va=1;Wa=Q;Ya=Sa}else{B=0;ua(163,Ha|0,s|0,t|0,326,u|0);Sa=B;B=0;if(Sa&1)Za=1;else{B=0;eb(503,Ha|0,1240,229);B=0;Za=0}Sa=Rb()|0;Ga=Q;Yua(u);Va=Za;Wa=Ga;Ya=Sa}Yua(t);Yua(s);if(Va){Ta=Ya;Ua=Wa}else{_a=Wa;$a=Ya;break g}}else{Sa=Rb()|0;Ta=Sa;Ua=Q}while(0);zb(Ha|0);_a=Ua;$a=Ta}while(0);if((ia|0)==81){Ea=Rb()|0;_a=Q;$a=Ea}k[q>>2]=27468;k[Da>>2]=27488;k[Ca>>2]=27560;Yua(I);Ava(Ca);vva(Da);ja=_a;ka=$a;Qb(ka|0)}while(0);Oa=Qa;Pa=Ra}vva(Da);la=Oa;ma=Pa;break a}while(0);h:do if(xa){E=k[G>>2]|0;Ca=k[N>>2]|0;Ba=k[$>>2]|0;O=1.0-c;if(!b){Ea=k[_>>2]|0;Fa=0;while(1){P=E+(Fa<<3)|0;R=+p[P>>3];Ja=Ca+(Fa<<3)|0;M=+p[Ja>>3];L=Ba+(Fa<<3)|0;S=+p[L>>3];T=R*c+M+S*0.0;Ka=R*0.0+M*0.0+S;p[P>>3]=1.0-T-Ka;p[Ja>>3]=T;p[L>>3]=Ka;L=Ea+(Fa<<3)|0;p[L>>3]=O*+p[L>>3];Fa=Fa+1|0;if((Fa|0)>=(ta|0))break h}}else ab=0;i:while(1){Fa=E+(ab<<3)|0;Ka=+p[Fa>>3];Ea=Ca+(ab<<3)|0;T=+p[Ea>>3];Da=Ba+(ab<<3)|0;S=+p[Da>>3];M=Ka*c+T+S*0.0;R=Ka*0.0+T*0.0+S;switch(b|0){case 2:{p[Fa>>3]=M;p[Ea>>3]=R;bb=1.0-M-R;break}case 1:{p[Fa>>3]=R;p[Ea>>3]=1.0-M-R;bb=M;break}default:break i}p[Da>>3]=bb;Da=(k[_>>2]|0)+(ab<<3)|0;p[Da>>3]=O*+p[Da>>3];ab=ab+1|0;if((ab|0)>=(ta|0))break h}Ba=v+56|0;Ca=v+4|0;k[v>>2]=27524;k[Ba>>2]=27544;B=0;wa(508,v+56|0,Ca|0);E=B;B=0;if(E&1){E=Rb()|0;cb=Q;db=E}else{k[v+128>>2]=0;k[v+132>>2]=-1;k[v>>2]=27468;k[Ba>>2]=27488;B=0;va(448,Ca|0);E=B;B=0;do if(E&1){Da=Rb()|0;fb=Q;gb=Da}else{k[Ca>>2]=27560;Da=v+36|0;k[Da>>2]=0;k[Da+4>>2]=0;k[Da+8>>2]=0;k[Da+12>>2]=0;k[v+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,Ca|0,h|0);Ea=B;B=0;if(Ea&1){Ea=Rb()|0;Fa=Q;Yua(h);Yua(Da);Ava(Ca);fb=Fa;gb=Ea;break}Yua(h);B=0;Ea=Ia(40,v|0,139246,6)|0;Fa=B;B=0;j:do if(Fa&1)ia=110;else{B=0;L=Xa(242,Ea|0,b|0)|0;Ja=B;B=0;if(Ja&1){ia=110;break}B=0;Ja=Ia(40,L|0,146481,18)|0;L=B;B=0;if(L&1){ia=110;break}B=0;Xa(239,Ja|0,0)|0;Ja=B;B=0;if(Ja&1){ia=110;break}Ja=Ab(20)|0;B=0;eb(502,w|0,139136,75);L=B;B=0;do if(!(L&1)){B=0;eb(502,x|0,139212,10);P=B;B=0;if(P&1){P=Rb()|0;Sa=Q;Yua(w);hb=P;ib=Sa;break}B=0;wa(510,y|0,Ca|0);Sa=B;B=0;if(Sa&1){Sa=Rb()|0;jb=1;kb=Q;lb=Sa}else{B=0;ua(163,Ja|0,w|0,x|0,357,y|0);Sa=B;B=0;if(Sa&1)mb=1;else{B=0;eb(503,Ja|0,1240,229);B=0;mb=0}Sa=Rb()|0;P=Q;Yua(y);jb=mb;kb=P;lb=Sa}Yua(x);Yua(w);if(jb){hb=lb;ib=kb}else{nb=kb;ob=lb;break j}}else{Sa=Rb()|0;hb=Sa;ib=Q}while(0);zb(Ja|0);nb=ib;ob=hb}while(0);if((ia|0)==110){Ea=Rb()|0;nb=Q;ob=Ea}k[v>>2]=27468;k[Ba>>2]=27488;k[Ca>>2]=27560;Yua(Da);Ava(Ca);vva(Ba);ja=nb;ka=ob;Qb(ka|0)}while(0);cb=fb;db=gb}vva(Ba);la=cb;ma=db;break a}while(0);Ca=za+ta|0;k[a+16>>2]=Ca;E=Ca>>>0>536870911?-1:Ca<<3;B=0;Ca=ya(422,E|0)|0;Ea=B;B=0;if(Ea&1){ia=8;break}k[a+24>>2]=Ca;B=0;Ea=ya(422,E|0)|0;Fa=B;B=0;if(Fa&1){ia=8;break}k[a+28>>2]=Ea;B=0;Fa=ya(422,E|0)|0;I=B;B=0;if(I&1){ia=8;break}k[a+32>>2]=Fa;B=0;I=ya(422,E|0)|0;L=B;B=0;if(L&1){ia=8;break}k[a+36>>2]=I;B=0;L=ya(422,E|0)|0;E=B;B=0;if(E&1){ia=8;break}k[a+20>>2]=L;if(Aa){E=k[z>>2]|0;Ha=k[D>>2]|0;Sa=k[C>>2]|0;P=k[J>>2]|0;Ga=k[A>>2]|0;pb=0;do{p[Ca+(pb<<3)>>3]=+p[E+(pb<<3)>>3];p[Ea+(pb<<3)>>3]=+p[Ha+(pb<<3)>>3];p[Fa+(pb<<3)>>3]=+p[Sa+(pb<<3)>>3];p[I+(pb<<3)>>3]=+p[P+(pb<<3)>>3];p[L+(pb<<3)>>3]=+p[Ga+(pb<<3)>>3];pb=pb+1|0}while((pb|0)<(za|0))}if(xa){pb=k[G>>2]|0;Ga=k[N>>2]|0;P=k[$>>2]|0;Sa=k[_>>2]|0;Ha=0;do{E=za+Ha|0;p[Ca+(E<<3)>>3]=+p[pb+(Ha<<3)>>3];p[Ea+(E<<3)>>3]=+p[Ga+(Ha<<3)>>3];p[Fa+(E<<3)>>3]=+p[P+(Ha<<3)>>3];p[I+(E<<3)>>3]=+p[K+(Ha<<3)>>3];p[L+(E<<3)>>3]=+p[Sa+(Ha<<3)>>3];Ha=Ha+1|0}while((Ha|0)<(ta|0))}Ec[k[(k[F>>2]|0)+4>>2]&1023](F);Ec[k[(k[H>>2]|0)+4>>2]&1023](H);oa=a+8|0;p[oa>>3]=-9999.0;pa=a+40|0;p[pa>>3]=-9999.0;qa=a+48|0;p[qa>>3]=-9999.0;ra=a+56|0;p[ra>>3]=-9999.0;sa=a+64|0;p[sa>>3]=-9999.0;r=g;return}ta=Rb()|0;Ha=Q;Sqa(H);ja=Ha;ka=ta;Qb(ka|0)}ta=Rb()|0;Ha=Q;Sqa(F);ja=Ha;ka=ta;Qb(ka|0)}}while(0);if((ia|0)==8){ia=Rb()|0;la=Q;ma=ia}ja=la;ka=ma;Qb(ka|0)}function kka(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0.0,G=0,H=0,I=0,J=0;e=r;r=r+16|0;f=e+12|0;g=e+8|0;h=e+4|0;i=e;k[a>>2]=40828;k[f>>2]=0;k[g>>2]=0;k[h>>2]=0;k[i>>2]=0;Sna(f,g,c);Sna(h,i,d);j=ma(d,c)|0;k[a+16>>2]=j;l=j>>>0>536870911?-1:j<<3;j=Rqa(l)|0;k[a+24>>2]=j;m=Rqa(l)|0;k[a+28>>2]=m;n=Rqa(l)|0;k[a+32>>2]=n;o=Rqa(l)|0;k[a+36>>2]=o;q=Rqa(l)|0;k[a+20>>2]=q;if((c|0)>0){a=b+24|0;l=k[f>>2]|0;s=b+8|0;t=b+32|0;u=b+16|0;v=b+40|0;w=k[h>>2]|0;x=k[g>>2]|0;y=k[i>>2]|0;if((d|0)>0){z=0;do{A=l+(z<<3)|0;B=ma(z,d)|0;C=x+(z<<3)|0;D=0;do{E=+p[b>>3];F=+p[a>>3];G=D+B|0;p[j+(G<<3)>>3]=(E+F)*.5+(F-E)*(+p[A>>3]*.5);E=+p[s>>3];F=+p[t>>3];p[m+(G<<3)>>3]=(E+F)*.5+(F-E)*(+p[A>>3]*.5);E=+p[u>>3];F=+p[v>>3];p[n+(G<<3)>>3]=(E+F)*.5+(F-E)*(+p[A>>3]*.5);p[o+(G<<3)>>3]=+p[w+(D<<3)>>3];p[q+(G<<3)>>3]=+p[C>>3]*+p[y+(D<<3)>>3];D=D+1|0}while((D|0)!=(d|0));z=z+1|0}while((z|0)!=(c|0));H=l;I=8}else{J=l;I=7}}else{J=k[f>>2]|0;I=7}if((I|0)==7?(J|0)!=0:0){H=J;I=8}if((I|0)==8)Tqa(H);k[f>>2]=0;f=k[g>>2]|0;if(f)Tqa(f);k[g>>2]=0;g=k[h>>2]|0;if(g)Tqa(g);k[h>>2]=0;h=k[i>>2]|0;if(!h){r=e;return}Tqa(h);r=e;return}function lka(a){a=a|0;var b=0,c=0;k[a>>2]=40828;b=a+20|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+24|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+28|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+32|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+36|0;a=k[b>>2]|0;if(!a){k[b>>2]=0;return}Tqa(a);k[b>>2]=0;return}function mka(a){a=a|0;lka(a);Sqa(a);return}function nka(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0,ke=0,le=0;b=r;r=r+4064|0;c=b+4052|0;d=b+3760|0;e=b+4040|0;f=b+3624|0;g=b+4028|0;h=b+3472|0;i=b+4016|0;j=b+3320|0;l=b+4004|0;m=b+3184|0;n=b+3992|0;o=b+3048|0;q=b+3980|0;s=b+2896|0;t=b+3968|0;u=b+2760|0;v=b+3956|0;w=b+2608|0;x=b+3944|0;y=b+2456|0;z=b+3932|0;A=b+2320|0;C=b+3920|0;D=b+2168|0;E=b+3908|0;F=b+2032|0;G=b+3896|0;H=b+1880|0;I=b+3608|0;J=b+1744|0;K=b+3456|0;L=b+1592|0;M=b+3032|0;N=b+1456|0;O=b+2744|0;P=b+1320|0;R=b+2592|0;S=b+1168|0;T=b+2304|0;U=b+1032|0;V=b+2016|0;W=b+880|0;X=b+1728|0;Y=b+728|0;Z=b+1304|0;_=b+592|0;$=b+1016|0;aa=b+440|0;ba=b+864|0;ca=b+304|0;da=b+576|0;ea=b+152|0;fa=b+288|0;ga=b+16|0;ha=b;ia=d+56|0;ja=d+4|0;k[d>>2]=27524;k[ia>>2]=27544;B=0;wa(508,d+56|0,ja|0);ka=B;B=0;if(ka&1){ka=Rb()|0;la=Q;ma=ka;vva(ia);Qb(ma|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[ia>>2]=27488;B=0;va(448,ja|0);ka=B;B=0;do if(ka&1){na=Rb()|0;oa=Q;pa=na}else{k[ja>>2]=27560;na=d+36|0;k[na>>2]=0;k[na+4>>2]=0;k[na+8>>2]=0;k[na+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ja|0,c|0);qa=B;B=0;if(qa&1){qa=Rb()|0;ra=Q;Yua(c);Yua(na);Ava(ja);oa=ra;pa=qa;break}Yua(c);B=0;Ia(40,d|0,139253,12)|0;qa=B;B=0;do if(!(qa&1)?(B=0,wa(510,e|0,ja|0),ra=B,B=0,!(ra&1)):0){B=0;ya(424,e|0)|0;ra=B;B=0;if(ra&1){ra=Rb()|0;sa=Q;Yua(e);ta=sa;ua=ra;break}Yua(e);k[d>>2]=27468;k[ia>>2]=27488;k[ja>>2]=27560;Yua(na);Ava(ja);vva(ia);ra=f+56|0;sa=f+4|0;k[f>>2]=27524;k[ra>>2]=27544;B=0;wa(508,f+56|0,sa|0);xa=B;B=0;if(xa&1){xa=Rb()|0;za=Q;Aa=xa;vva(ra);Qb(Aa|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[ra>>2]=27488;B=0;va(448,sa|0);xa=B;B=0;do if(xa&1){Ba=Rb()|0;Ca=Q;Da=Ba}else{k[sa>>2]=27560;Ba=f+36|0;k[Ba>>2]=0;k[Ba+4>>2]=0;k[Ba+8>>2]=0;k[Ba+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,sa|0,c|0);Ea=B;B=0;if(Ea&1){Ea=Rb()|0;Fa=Q;Yua(c);Yua(Ba);Ava(sa);Ca=Fa;Da=Ea;break}Yua(c);B=0;Ea=Ia(40,f|0,139266,13)|0;Fa=B;B=0;do if(((!(Fa&1)?(Ga=a+16|0,B=0,Ha=Xa(242,Ea|0,k[Ga>>2]|0)|0,Ja=B,B=0,!(Ja&1)):0)?(B=0,Ia(40,Ha|0,149177,1)|0,Ha=B,B=0,!(Ha&1)):0)?(B=0,wa(510,g|0,sa|0),Ha=B,B=0,!(Ha&1)):0){B=0;ya(424,g|0)|0;Ha=B;B=0;if(Ha&1){Ha=Rb()|0;Ja=Q;Yua(g);Ka=Ja;La=Ha;break}Yua(g);k[f>>2]=27468;k[ra>>2]=27488;k[sa>>2]=27560;Yua(Ba);Ava(sa);vva(ra);Ha=a+20|0;a:do if(!(k[Ha>>2]|0)){Ja=o+56|0;Ma=o+4|0;k[o>>2]=27524;k[Ja>>2]=27544;B=0;wa(508,o+56|0,Ma|0);Na=B;B=0;if(Na&1){Na=Rb()|0;Oa=Q;Pa=Na;vva(Ja);Qb(Pa|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[Ja>>2]=27488;B=0;va(448,Ma|0);Na=B;B=0;do if(Na&1){Qa=Rb()|0;Ra=Q;Ta=Qa}else{k[Ma>>2]=27560;Qa=o+36|0;k[Qa>>2]=0;k[Qa+4>>2]=0;k[Qa+8>>2]=0;k[Qa+12>>2]=0;k[o+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ma|0,c|0);Ua=B;B=0;if(Ua&1){Ua=Rb()|0;Va=Q;Yua(c);Yua(Qa);Ava(Ma);Ra=Va;Ta=Ua;break}Yua(c);B=0;Ia(40,o|0,139295,15)|0;Ua=B;B=0;do if(!(Ua&1)){B=0;wa(510,q|0,Ma|0);Va=B;B=0;if(Va&1){Wa=92;break}B=0;ya(424,q|0)|0;Va=B;B=0;if(Va&1){Va=Rb()|0;Ya=Q;Yua(q);Za=Ya;_a=Va;break}else{Yua(q);k[o>>2]=27468;k[Ja>>2]=27488;k[Ma>>2]=27560;Yua(Qa);Ava(Ma);vva(Ja);break a}}else Wa=92;while(0);if((Wa|0)==92){Ua=Rb()|0;Za=Q;_a=Ua}k[o>>2]=27468;k[Ja>>2]=27488;k[Ma>>2]=27560;Yua(Qa);Ava(Ma);vva(Ja);$a=Za;ab=_a;Qb(ab|0)}while(0);Oa=Ra;Pa=Ta;vva(Ja);Qb(Pa|0)}else{Ma=h+56|0;Na=h+4|0;k[h>>2]=27524;k[Ma>>2]=27544;B=0;wa(508,h+56|0,Na|0);Ua=B;B=0;if(Ua&1){Ua=Rb()|0;bb=Q;cb=Ua;vva(Ma);Qb(cb|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[Ma>>2]=27488;B=0;va(448,Na|0);Ua=B;B=0;do if(Ua&1){Va=Rb()|0;db=Q;eb=Va}else{k[Na>>2]=27560;Va=h+36|0;k[Va>>2]=0;k[Va+4>>2]=0;k[Va+8>>2]=0;k[Va+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Na|0,c|0);Ya=B;B=0;if(Ya&1){Ya=Rb()|0;fb=Q;Yua(c);Yua(Va);Ava(Na);db=fb;eb=Ya;break}Yua(c);B=0;Ia(40,h|0,139280,14)|0;Ya=B;B=0;do if(Ya&1)Wa=54;else{B=0;wa(510,i|0,Na|0);fb=B;B=0;if(fb&1){Wa=54;break}B=0;ya(424,i|0)|0;fb=B;B=0;if(fb&1){fb=Rb()|0;gb=Q;Yua(i);hb=gb;ib=fb;break}Yua(i);k[h>>2]=27468;k[Ma>>2]=27488;k[Na>>2]=27560;Yua(Va);Ava(Na);vva(Ma);b:do if((k[Ga>>2]|0)>0){fb=j+56|0;gb=j+4|0;jb=j+56|0;kb=j+128|0;lb=j+132|0;mb=j+36|0;nb=j+52|0;ob=0;while(1){k[j>>2]=27524;k[fb>>2]=27544;B=0;wa(508,jb|0,gb|0);pb=B;B=0;if(pb&1){Wa=61;break}k[kb>>2]=0;k[lb>>2]=-1;k[j>>2]=27468;k[fb>>2]=27488;B=0;va(448,gb|0);pb=B;B=0;if(pb&1){Wa=62;break}k[gb>>2]=27560;k[mb>>2]=0;k[mb+4>>2]=0;k[mb+8>>2]=0;k[mb+12>>2]=0;k[nb>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,gb|0,c|0);pb=B;B=0;if(pb&1){Wa=60;break}Yua(c);B=0;pb=Ia(40,j|0,149175,1)|0;qb=B;B=0;if(qb&1){Wa=71;break}B=0;qb=Sa(1,pb|0,+(+p[(k[Ha>>2]|0)+(ob<<3)>>3]))|0;pb=B;B=0;if(pb&1){Wa=71;break}B=0;Ia(40,qb|0,149177,1)|0;qb=B;B=0;if(qb&1){Wa=71;break}B=0;wa(510,l|0,gb|0);qb=B;B=0;if(qb&1){Wa=71;break}B=0;ya(424,l|0)|0;qb=B;B=0;if(qb&1){Wa=72;break}Yua(l);k[j>>2]=27468;k[fb>>2]=27488;k[gb>>2]=27560;Yua(mb);Ava(gb);vva(fb);ob=ob+1|0;if((ob|0)>=(k[Ga>>2]|0))break b}if((Wa|0)==60){ob=Rb()|0;nb=Q;Yua(c);Yua(mb);Ava(gb);rb=nb;sb=ob;Wa=63}else if((Wa|0)==61){ob=Rb()|0;tb=Q;ub=ob;vva(fb);Qb(ub|0)}else if((Wa|0)==62){ob=Rb()|0;rb=Q;sb=ob;Wa=63}else if((Wa|0)==71){ob=Rb()|0;vb=Q;wb=ob;Wa=73}else if((Wa|0)==72){ob=Rb()|0;nb=Q;Yua(l);vb=nb;wb=ob;Wa=73}if((Wa|0)==63){tb=rb;ub=sb;vva(fb);Qb(ub|0)}else if((Wa|0)==73){k[j>>2]=27468;k[fb>>2]=27488;k[gb>>2]=27560;Yua(mb);Ava(gb);vva(fb);$a=vb;ab=wb;Qb(ab|0)}}while(0);ob=m+56|0;nb=m+4|0;k[m>>2]=27524;k[ob>>2]=27544;B=0;wa(508,m+56|0,nb|0);lb=B;B=0;if(lb&1){lb=Rb()|0;xb=Q;yb=lb;vva(ob);Qb(yb|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[ob>>2]=27488;B=0;va(448,nb|0);lb=B;B=0;do if(lb&1){kb=Rb()|0;zb=Q;Ab=kb}else{k[nb>>2]=27560;kb=m+36|0;k[kb>>2]=0;k[kb+4>>2]=0;k[kb+8>>2]=0;k[kb+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,nb|0,c|0);jb=B;B=0;if(jb&1){jb=Rb()|0;qb=Q;Yua(c);Yua(kb);Ava(nb);zb=qb;Ab=jb;break}Yua(c);B=0;Ia(40,m|0,149198,2)|0;jb=B;B=0;do if(!(jb&1)){B=0;wa(510,n|0,nb|0);qb=B;B=0;if(qb&1){Wa=77;break}B=0;ya(424,n|0)|0;qb=B;B=0;if(qb&1){qb=Rb()|0;pb=Q;Yua(n);Bb=pb;Cb=qb;break}else{Yua(n);k[m>>2]=27468;k[ob>>2]=27488;k[nb>>2]=27560;Yua(kb);Ava(nb);vva(ob);break a}}else Wa=77;while(0);if((Wa|0)==77){jb=Rb()|0;Bb=Q;Cb=jb}k[m>>2]=27468;k[ob>>2]=27488;k[nb>>2]=27560;Yua(kb);Ava(nb);vva(ob);$a=Bb;ab=Cb;Qb(ab|0)}while(0);xb=zb;yb=Ab;vva(ob);Qb(yb|0)}while(0);if((Wa|0)==54){Ya=Rb()|0;hb=Q;ib=Ya}k[h>>2]=27468;k[Ma>>2]=27488;k[Na>>2]=27560;Yua(Va);Ava(Na);vva(Ma);$a=hb;ab=ib;Qb(ab|0)}while(0);bb=db;cb=eb;vva(Ma);Qb(cb|0)}while(0);Ha=a+24|0;c:do if(!(k[Ha>>2]|0)){Na=y+56|0;Ua=y+4|0;k[y>>2]=27524;k[Na>>2]=27544;B=0;wa(508,y+56|0,Ua|0);Ja=B;B=0;if(Ja&1){Ja=Rb()|0;Db=Q;Eb=Ja;vva(Na);Qb(Eb|0)}k[y+128>>2]=0;k[y+132>>2]=-1;k[y>>2]=27468;k[Na>>2]=27488;B=0;va(448,Ua|0);Ja=B;B=0;do if(Ja&1){Ya=Rb()|0;Fb=Q;Gb=Ya}else{k[Ua>>2]=27560;Ya=y+36|0;k[Ya>>2]=0;k[Ya+4>>2]=0;k[Ya+8>>2]=0;k[Ya+12>>2]=0;k[y+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ua|0,c|0);Qa=B;B=0;if(Qa&1){Qa=Rb()|0;nb=Q;Yua(c);Yua(Ya);Ava(Ua);Fb=nb;Gb=Qa;break}Yua(c);B=0;Ia(40,y|0,139326,15)|0;Qa=B;B=0;do if(!(Qa&1)){B=0;wa(510,z|0,Ua|0);nb=B;B=0;if(nb&1){Wa=156;break}B=0;ya(424,z|0)|0;nb=B;B=0;if(nb&1){nb=Rb()|0;lb=Q;Yua(z);Hb=lb;Ib=nb;break}else{Yua(z);k[y>>2]=27468;k[Na>>2]=27488;k[Ua>>2]=27560;Yua(Ya);Ava(Ua);vva(Na);break c}}else Wa=156;while(0);if((Wa|0)==156){Qa=Rb()|0;Hb=Q;Ib=Qa}k[y>>2]=27468;k[Na>>2]=27488;k[Ua>>2]=27560;Yua(Ya);Ava(Ua);vva(Na);$a=Hb;ab=Ib;Qb(ab|0)}while(0);Db=Fb;Eb=Gb;vva(Na);Qb(Eb|0)}else{Ua=s+56|0;Ja=s+4|0;k[s>>2]=27524;k[Ua>>2]=27544;B=0;wa(508,s+56|0,Ja|0);Ma=B;B=0;if(Ma&1){Ma=Rb()|0;Jb=Q;Kb=Ma;vva(Ua);Qb(Kb|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[Ua>>2]=27488;B=0;va(448,Ja|0);Ma=B;B=0;do if(Ma&1){Qa=Rb()|0;Lb=Q;Mb=Qa}else{k[Ja>>2]=27560;Qa=s+36|0;k[Qa>>2]=0;k[Qa+4>>2]=0;k[Qa+8>>2]=0;k[Qa+12>>2]=0;k[s+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ja|0,c|0);Va=B;B=0;if(Va&1){Va=Rb()|0;nb=Q;Yua(c);Yua(Qa);Ava(Ja);Lb=nb;Mb=Va;break}Yua(c);B=0;Ia(40,s|0,139311,14)|0;Va=B;B=0;do if(Va&1)Wa=118;else{B=0;wa(510,t|0,Ja|0);nb=B;B=0;if(nb&1){Wa=118;break}B=0;ya(424,t|0)|0;nb=B;B=0;if(nb&1){nb=Rb()|0;lb=Q;Yua(t);Nb=lb;Ob=nb;break}Yua(t);k[s>>2]=27468;k[Ua>>2]=27488;k[Ja>>2]=27560;Yua(Qa);Ava(Ja);vva(Ua);d:do if((k[Ga>>2]|0)>0){nb=u+56|0;lb=u+4|0;jb=u+56|0;fb=u+128|0;gb=u+132|0;mb=u+36|0;qb=u+52|0;pb=0;while(1){k[u>>2]=27524;k[nb>>2]=27544;B=0;wa(508,jb|0,lb|0);Pb=B;B=0;if(Pb&1){Wa=125;break}k[fb>>2]=0;k[gb>>2]=-1;k[u>>2]=27468;k[nb>>2]=27488;B=0;va(448,lb|0);Pb=B;B=0;if(Pb&1){Wa=126;break}k[lb>>2]=27560;k[mb>>2]=0;k[mb+4>>2]=0;k[mb+8>>2]=0;k[mb+12>>2]=0;k[qb>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,lb|0,c|0);Pb=B;B=0;if(Pb&1){Wa=124;break}Yua(c);B=0;Pb=Ia(40,u|0,149175,1)|0;Sb=B;B=0;if(Sb&1){Wa=135;break}B=0;Sb=Sa(1,Pb|0,+(+p[(k[Ha>>2]|0)+(pb<<3)>>3]))|0;Pb=B;B=0;if(Pb&1){Wa=135;break}B=0;Ia(40,Sb|0,149177,1)|0;Sb=B;B=0;if(Sb&1){Wa=135;break}B=0;wa(510,v|0,lb|0);Sb=B;B=0;if(Sb&1){Wa=135;break}B=0;ya(424,v|0)|0;Sb=B;B=0;if(Sb&1){Wa=136;break}Yua(v);k[u>>2]=27468;k[nb>>2]=27488;k[lb>>2]=27560;Yua(mb);Ava(lb);vva(nb);pb=pb+1|0;if((pb|0)>=(k[Ga>>2]|0))break d}if((Wa|0)==124){pb=Rb()|0;qb=Q;Yua(c);Yua(mb);Ava(lb);Tb=qb;Ub=pb;Wa=127}else if((Wa|0)==125){pb=Rb()|0;Vb=Q;Wb=pb;vva(nb);Qb(Wb|0)}else if((Wa|0)==126){pb=Rb()|0;Tb=Q;Ub=pb;Wa=127}else if((Wa|0)==135){pb=Rb()|0;Xb=Q;Yb=pb;Wa=137}else if((Wa|0)==136){pb=Rb()|0;qb=Q;Yua(v);Xb=qb;Yb=pb;Wa=137}if((Wa|0)==127){Vb=Tb;Wb=Ub;vva(nb);Qb(Wb|0)}else if((Wa|0)==137){k[u>>2]=27468;k[nb>>2]=27488;k[lb>>2]=27560;Yua(mb);Ava(lb);vva(nb);$a=Xb;ab=Yb;Qb(ab|0)}}while(0);ob=w+56|0;pb=w+4|0;k[w>>2]=27524;k[ob>>2]=27544;B=0;wa(508,w+56|0,pb|0);qb=B;B=0;if(qb&1){qb=Rb()|0;Zb=Q;_b=qb;vva(ob);Qb(_b|0)}k[w+128>>2]=0;k[w+132>>2]=-1;k[w>>2]=27468;k[ob>>2]=27488;B=0;va(448,pb|0);qb=B;B=0;do if(qb&1){gb=Rb()|0;$b=Q;ac=gb}else{k[pb>>2]=27560;gb=w+36|0;k[gb>>2]=0;k[gb+4>>2]=0;k[gb+8>>2]=0;k[gb+12>>2]=0;k[w+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,pb|0,c|0);fb=B;B=0;if(fb&1){fb=Rb()|0;jb=Q;Yua(c);Yua(gb);Ava(pb);$b=jb;ac=fb;break}Yua(c);B=0;Ia(40,w|0,149198,2)|0;fb=B;B=0;do if(!(fb&1)){B=0;wa(510,x|0,pb|0);jb=B;B=0;if(jb&1){Wa=141;break}B=0;ya(424,x|0)|0;jb=B;B=0;if(jb&1){jb=Rb()|0;kb=Q;Yua(x);bc=kb;cc=jb;break}else{Yua(x);k[w>>2]=27468;k[ob>>2]=27488;k[pb>>2]=27560;Yua(gb);Ava(pb);vva(ob);break c}}else Wa=141;while(0);if((Wa|0)==141){fb=Rb()|0;bc=Q;cc=fb}k[w>>2]=27468;k[ob>>2]=27488;k[pb>>2]=27560;Yua(gb);Ava(pb);vva(ob);$a=bc;ab=cc;Qb(ab|0)}while(0);Zb=$b;_b=ac;vva(ob);Qb(_b|0)}while(0);if((Wa|0)==118){Va=Rb()|0;Nb=Q;Ob=Va}k[s>>2]=27468;k[Ua>>2]=27488;k[Ja>>2]=27560;Yua(Qa);Ava(Ja);vva(Ua);$a=Nb;ab=Ob;Qb(ab|0)}while(0);Jb=Lb;Kb=Mb;vva(Ua);Qb(Kb|0)}while(0);Ha=a+28|0;e:do if(!(k[Ha>>2]|0)){Ja=H+56|0;Ma=H+4|0;k[H>>2]=27524;k[Ja>>2]=27544;B=0;wa(508,H+56|0,Ma|0);Na=B;B=0;if(Na&1){Na=Rb()|0;dc=Q;ec=Na;vva(Ja);Qb(ec|0)}k[H+128>>2]=0;k[H+132>>2]=-1;k[H>>2]=27468;k[Ja>>2]=27488;B=0;va(448,Ma|0);Na=B;B=0;do if(Na&1){Va=Rb()|0;fc=Q;gc=Va}else{k[Ma>>2]=27560;Va=H+36|0;k[Va>>2]=0;k[Va+4>>2]=0;k[Va+8>>2]=0;k[Va+12>>2]=0;k[H+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ma|0,c|0);Ya=B;B=0;if(Ya&1){Ya=Rb()|0;pb=Q;Yua(c);Yua(Va);Ava(Ma);fc=pb;gc=Ya;break}Yua(c);B=0;Ia(40,H|0,139357,15)|0;Ya=B;B=0;do if(!(Ya&1)){B=0;wa(510,I|0,Ma|0);pb=B;B=0;if(pb&1){Wa=220;break}B=0;ya(424,I|0)|0;pb=B;B=0;if(pb&1){pb=Rb()|0;qb=Q;Yua(I);hc=qb;ic=pb;break}else{Yua(I);k[H>>2]=27468;k[Ja>>2]=27488;k[Ma>>2]=27560;Yua(Va);Ava(Ma);vva(Ja);break e}}else Wa=220;while(0);if((Wa|0)==220){Ya=Rb()|0;hc=Q;ic=Ya}k[H>>2]=27468;k[Ja>>2]=27488;k[Ma>>2]=27560;Yua(Va);Ava(Ma);vva(Ja);$a=hc;ab=ic;Qb(ab|0)}while(0);dc=fc;ec=gc;vva(Ja);Qb(ec|0)}else{Ma=A+56|0;Na=A+4|0;k[A>>2]=27524;k[Ma>>2]=27544;B=0;wa(508,A+56|0,Na|0);Ua=B;B=0;if(Ua&1){Ua=Rb()|0;jc=Q;kc=Ua;vva(Ma);Qb(kc|0)}k[A+128>>2]=0;k[A+132>>2]=-1;k[A>>2]=27468;k[Ma>>2]=27488;B=0;va(448,Na|0);Ua=B;B=0;do if(Ua&1){Ya=Rb()|0;lc=Q;mc=Ya}else{k[Na>>2]=27560;Ya=A+36|0;k[Ya>>2]=0;k[Ya+4>>2]=0;k[Ya+8>>2]=0;k[Ya+12>>2]=0;k[A+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Na|0,c|0);Qa=B;B=0;if(Qa&1){Qa=Rb()|0;pb=Q;Yua(c);Yua(Ya);Ava(Na);lc=pb;mc=Qa;break}Yua(c);B=0;Ia(40,A|0,139342,14)|0;Qa=B;B=0;do if(Qa&1)Wa=182;else{B=0;wa(510,C|0,Na|0);pb=B;B=0;if(pb&1){Wa=182;break}B=0;ya(424,C|0)|0;pb=B;B=0;if(pb&1){pb=Rb()|0;qb=Q;Yua(C);nc=qb;oc=pb;break}Yua(C);k[A>>2]=27468;k[Ma>>2]=27488;k[Na>>2]=27560;Yua(Ya);Ava(Na);vva(Ma);f:do if((k[Ga>>2]|0)>0){pb=D+56|0;qb=D+4|0;fb=D+56|0;nb=D+128|0;lb=D+132|0;mb=D+36|0;jb=D+52|0;kb=0;while(1){k[D>>2]=27524;k[pb>>2]=27544;B=0;wa(508,fb|0,qb|0);Sb=B;B=0;if(Sb&1){Wa=189;break}k[nb>>2]=0;k[lb>>2]=-1;k[D>>2]=27468;k[pb>>2]=27488;B=0;va(448,qb|0);Sb=B;B=0;if(Sb&1){Wa=190;break}k[qb>>2]=27560;k[mb>>2]=0;k[mb+4>>2]=0;k[mb+8>>2]=0;k[mb+12>>2]=0;k[jb>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,qb|0,c|0);Sb=B;B=0;if(Sb&1){Wa=188;break}Yua(c);B=0;Sb=Ia(40,D|0,149175,1)|0;Pb=B;B=0;if(Pb&1){Wa=199;break}B=0;Pb=Sa(1,Sb|0,+(+p[(k[Ha>>2]|0)+(kb<<3)>>3]))|0;Sb=B;B=0;if(Sb&1){Wa=199;break}B=0;Ia(40,Pb|0,149177,1)|0;Pb=B;B=0;if(Pb&1){Wa=199;break}B=0;wa(510,E|0,qb|0);Pb=B;B=0;if(Pb&1){Wa=199;break}B=0;ya(424,E|0)|0;Pb=B;B=0;if(Pb&1){Wa=200;break}Yua(E);k[D>>2]=27468;k[pb>>2]=27488;k[qb>>2]=27560;Yua(mb);Ava(qb);vva(pb);kb=kb+1|0;if((kb|0)>=(k[Ga>>2]|0))break f}if((Wa|0)==188){kb=Rb()|0;jb=Q;Yua(c);Yua(mb);Ava(qb);pc=jb;qc=kb;Wa=191}else if((Wa|0)==189){kb=Rb()|0;rc=Q;sc=kb;vva(pb);Qb(sc|0)}else if((Wa|0)==190){kb=Rb()|0;pc=Q;qc=kb;Wa=191}else if((Wa|0)==199){kb=Rb()|0;tc=Q;uc=kb;Wa=201}else if((Wa|0)==200){kb=Rb()|0;jb=Q;Yua(E);tc=jb;uc=kb;Wa=201}if((Wa|0)==191){rc=pc;sc=qc;vva(pb);Qb(sc|0)}else if((Wa|0)==201){k[D>>2]=27468;k[pb>>2]=27488;k[qb>>2]=27560;Yua(mb);Ava(qb);vva(pb);$a=tc;ab=uc;Qb(ab|0)}}while(0);ob=F+56|0;kb=F+4|0;k[F>>2]=27524;k[ob>>2]=27544;B=0;wa(508,F+56|0,kb|0);jb=B;B=0;if(jb&1){jb=Rb()|0;vc=Q;wc=jb;vva(ob);Qb(wc|0)}k[F+128>>2]=0;k[F+132>>2]=-1;k[F>>2]=27468;k[ob>>2]=27488;B=0;va(448,kb|0);jb=B;B=0;do if(jb&1){lb=Rb()|0;xc=Q;yc=lb}else{k[kb>>2]=27560;lb=F+36|0;k[lb>>2]=0;k[lb+4>>2]=0;k[lb+8>>2]=0;k[lb+12>>2]=0;k[F+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,kb|0,c|0);nb=B;B=0;if(nb&1){nb=Rb()|0;fb=Q;Yua(c);Yua(lb);Ava(kb);xc=fb;yc=nb;break}Yua(c);B=0;Ia(40,F|0,149198,2)|0;nb=B;B=0;do if(!(nb&1)){B=0;wa(510,G|0,kb|0);fb=B;B=0;if(fb&1){Wa=205;break}B=0;ya(424,G|0)|0;fb=B;B=0;if(fb&1){fb=Rb()|0;gb=Q;Yua(G);zc=gb;Ac=fb;break}else{Yua(G);k[F>>2]=27468;k[ob>>2]=27488;k[kb>>2]=27560;Yua(lb);Ava(kb);vva(ob);break e}}else Wa=205;while(0);if((Wa|0)==205){nb=Rb()|0;zc=Q;Ac=nb}k[F>>2]=27468;k[ob>>2]=27488;k[kb>>2]=27560;Yua(lb);Ava(kb);vva(ob);$a=zc;ab=Ac;Qb(ab|0)}while(0);vc=xc;wc=yc;vva(ob);Qb(wc|0)}while(0);if((Wa|0)==182){Qa=Rb()|0;nc=Q;oc=Qa}k[A>>2]=27468;k[Ma>>2]=27488;k[Na>>2]=27560;Yua(Ya);Ava(Na);vva(Ma);$a=nc;ab=oc;Qb(ab|0)}while(0);jc=lc;kc=mc;vva(Ma);Qb(kc|0)}while(0);Ha=a+32|0;g:do if(!(k[Ha>>2]|0)){Na=P+56|0;Ua=P+4|0;k[P>>2]=27524;k[Na>>2]=27544;B=0;wa(508,P+56|0,Ua|0);Ja=B;B=0;if(Ja&1){Ja=Rb()|0;Bc=Q;Cc=Ja;vva(Na);Qb(Cc|0)}k[P+128>>2]=0;k[P+132>>2]=-1;k[P>>2]=27468;k[Na>>2]=27488;B=0;va(448,Ua|0);Ja=B;B=0;do if(Ja&1){Qa=Rb()|0;Dc=Q;Ec=Qa}else{k[Ua>>2]=27560;Qa=P+36|0;k[Qa>>2]=0;k[Qa+4>>2]=0;k[Qa+8>>2]=0;k[Qa+12>>2]=0;k[P+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ua|0,c|0);Va=B;B=0;if(Va&1){Va=Rb()|0;kb=Q;Yua(c);Yua(Qa);Ava(Ua);Dc=kb;Ec=Va;break}Yua(c);B=0;Ia(40,P|0,139388,15)|0;Va=B;B=0;do if(!(Va&1)){B=0;wa(510,R|0,Ua|0);kb=B;B=0;if(kb&1){Wa=284;break}B=0;ya(424,R|0)|0;kb=B;B=0;if(kb&1){kb=Rb()|0;jb=Q;Yua(R);Fc=jb;Gc=kb;break}else{Yua(R);k[P>>2]=27468;k[Na>>2]=27488;k[Ua>>2]=27560;Yua(Qa);Ava(Ua);vva(Na);break g}}else Wa=284;while(0);if((Wa|0)==284){Va=Rb()|0;Fc=Q;Gc=Va}k[P>>2]=27468;k[Na>>2]=27488;k[Ua>>2]=27560;Yua(Qa);Ava(Ua);vva(Na);$a=Fc;ab=Gc;Qb(ab|0)}while(0);Bc=Dc;Cc=Ec;vva(Na);Qb(Cc|0)}else{Ua=J+56|0;Ja=J+4|0;k[J>>2]=27524;k[Ua>>2]=27544;B=0;wa(508,J+56|0,Ja|0);Ma=B;B=0;if(Ma&1){Ma=Rb()|0;Hc=Q;Ic=Ma;vva(Ua);Qb(Ic|0)}k[J+128>>2]=0;k[J+132>>2]=-1;k[J>>2]=27468;k[Ua>>2]=27488;B=0;va(448,Ja|0);Ma=B;B=0;do if(Ma&1){Va=Rb()|0;Jc=Q;Kc=Va}else{k[Ja>>2]=27560;Va=J+36|0;k[Va>>2]=0;k[Va+4>>2]=0;k[Va+8>>2]=0;k[Va+12>>2]=0;k[J+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ja|0,c|0);Ya=B;B=0;if(Ya&1){Ya=Rb()|0;kb=Q;Yua(c);Yua(Va);Ava(Ja);Jc=kb;Kc=Ya;break}Yua(c);B=0;Ia(40,J|0,139373,14)|0;Ya=B;B=0;do if(Ya&1)Wa=246;else{B=0;wa(510,K|0,Ja|0);kb=B;B=0;if(kb&1){Wa=246;break}B=0;ya(424,K|0)|0;kb=B;B=0;if(kb&1){kb=Rb()|0;jb=Q;Yua(K);Lc=jb;Mc=kb;break}Yua(K);k[J>>2]=27468;k[Ua>>2]=27488;k[Ja>>2]=27560;Yua(Va);Ava(Ja);vva(Ua);h:do if((k[Ga>>2]|0)>0){kb=L+56|0;jb=L+4|0;nb=L+56|0;pb=L+128|0;qb=L+132|0;mb=L+36|0;fb=L+52|0;gb=0;while(1){k[L>>2]=27524;k[kb>>2]=27544;B=0;wa(508,nb|0,jb|0);Pb=B;B=0;if(Pb&1){Wa=253;break}k[pb>>2]=0;k[qb>>2]=-1;k[L>>2]=27468;k[kb>>2]=27488;B=0;va(448,jb|0);Pb=B;B=0;if(Pb&1){Wa=254;break}k[jb>>2]=27560;k[mb>>2]=0;k[mb+4>>2]=0;k[mb+8>>2]=0;k[mb+12>>2]=0;k[fb>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,jb|0,c|0);Pb=B;B=0;if(Pb&1){Wa=252;break}Yua(c);B=0;Pb=Ia(40,L|0,149175,1)|0;Sb=B;B=0;if(Sb&1){Wa=263;break}B=0;Sb=Sa(1,Pb|0,+(+p[(k[Ha>>2]|0)+(gb<<3)>>3]))|0;Pb=B;B=0;if(Pb&1){Wa=263;break}B=0;Ia(40,Sb|0,149177,1)|0;Sb=B;B=0;if(Sb&1){Wa=263;break}B=0;wa(510,M|0,jb|0);Sb=B;B=0;if(Sb&1){Wa=263;break}B=0;ya(424,M|0)|0;Sb=B;B=0;if(Sb&1){Wa=264;break}Yua(M);k[L>>2]=27468;k[kb>>2]=27488;k[jb>>2]=27560;Yua(mb);Ava(jb);vva(kb);gb=gb+1|0;if((gb|0)>=(k[Ga>>2]|0))break h}if((Wa|0)==252){gb=Rb()|0;fb=Q;Yua(c);Yua(mb);Ava(jb);Nc=fb;Oc=gb;Wa=255}else if((Wa|0)==253){gb=Rb()|0;Pc=Q;Qc=gb;vva(kb);Qb(Qc|0)}else if((Wa|0)==254){gb=Rb()|0;Nc=Q;Oc=gb;Wa=255}else if((Wa|0)==263){gb=Rb()|0;Rc=Q;Sc=gb;Wa=265}else if((Wa|0)==264){gb=Rb()|0;fb=Q;Yua(M);Rc=fb;Sc=gb;Wa=265}if((Wa|0)==255){Pc=Nc;Qc=Oc;vva(kb);Qb(Qc|0)}else if((Wa|0)==265){k[L>>2]=27468;k[kb>>2]=27488;k[jb>>2]=27560;Yua(mb);Ava(jb);vva(kb);$a=Rc;ab=Sc;Qb(ab|0)}}while(0);ob=N+56|0;gb=N+4|0;k[N>>2]=27524;k[ob>>2]=27544;B=0;wa(508,N+56|0,gb|0);fb=B;B=0;if(fb&1){fb=Rb()|0;Tc=Q;Uc=fb;vva(ob);Qb(Uc|0)}k[N+128>>2]=0;k[N+132>>2]=-1;k[N>>2]=27468;k[ob>>2]=27488;B=0;va(448,gb|0);fb=B;B=0;do if(fb&1){qb=Rb()|0;Vc=Q;Wc=qb}else{k[gb>>2]=27560;qb=N+36|0;k[qb>>2]=0;k[qb+4>>2]=0;k[qb+8>>2]=0;k[qb+12>>2]=0;k[N+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,gb|0,c|0);pb=B;B=0;if(pb&1){pb=Rb()|0;nb=Q;Yua(c);Yua(qb);Ava(gb);Vc=nb;Wc=pb;break}Yua(c);B=0;Ia(40,N|0,149198,2)|0;pb=B;B=0;do if(!(pb&1)){B=0;wa(510,O|0,gb|0);nb=B;B=0;if(nb&1){Wa=269;break}B=0;ya(424,O|0)|0;nb=B;B=0;if(nb&1){nb=Rb()|0;lb=Q;Yua(O);Xc=lb;Yc=nb;break}else{Yua(O);k[N>>2]=27468;k[ob>>2]=27488;k[gb>>2]=27560;Yua(qb);Ava(gb);vva(ob);break g}}else Wa=269;while(0);if((Wa|0)==269){pb=Rb()|0;Xc=Q;Yc=pb}k[N>>2]=27468;k[ob>>2]=27488;k[gb>>2]=27560;Yua(qb);Ava(gb);vva(ob);$a=Xc;ab=Yc;Qb(ab|0)}while(0);Tc=Vc;Uc=Wc;vva(ob);Qb(Uc|0)}while(0);if((Wa|0)==246){Ya=Rb()|0;Lc=Q;Mc=Ya}k[J>>2]=27468;k[Ua>>2]=27488;k[Ja>>2]=27560;Yua(Va);Ava(Ja);vva(Ua);$a=Lc;ab=Mc;Qb(ab|0)}while(0);Hc=Jc;Ic=Kc;vva(Ua);Qb(Ic|0)}while(0);Ha=a+36|0;i:do if(!(k[Ha>>2]|0)){Ja=Y+56|0;Ma=Y+4|0;k[Y>>2]=27524;k[Ja>>2]=27544;B=0;wa(508,Y+56|0,Ma|0);Na=B;B=0;if(Na&1){Na=Rb()|0;Zc=Q;_c=Na;vva(Ja);Qb(_c|0)}k[Y+128>>2]=0;k[Y+132>>2]=-1;k[Y>>2]=27468;k[Ja>>2]=27488;B=0;va(448,Ma|0);Na=B;B=0;do if(Na&1){Ya=Rb()|0;$c=Q;ad=Ya}else{k[Ma>>2]=27560;Ya=Y+36|0;k[Ya>>2]=0;k[Ya+4>>2]=0;k[Ya+8>>2]=0;k[Ya+12>>2]=0;k[Y+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ma|0,c|0);Qa=B;B=0;if(Qa&1){Qa=Rb()|0;gb=Q;Yua(c);Yua(Ya);Ava(Ma);$c=gb;ad=Qa;break}Yua(c);B=0;Ia(40,Y|0,139419,15)|0;Qa=B;B=0;do if(!(Qa&1)){B=0;wa(510,Z|0,Ma|0);gb=B;B=0;if(gb&1){Wa=348;break}B=0;ya(424,Z|0)|0;gb=B;B=0;if(gb&1){gb=Rb()|0;fb=Q;Yua(Z);bd=fb;cd=gb;break}else{Yua(Z);k[Y>>2]=27468;k[Ja>>2]=27488;k[Ma>>2]=27560;Yua(Ya);Ava(Ma);vva(Ja);break i}}else Wa=348;while(0);if((Wa|0)==348){Qa=Rb()|0;bd=Q;cd=Qa}k[Y>>2]=27468;k[Ja>>2]=27488;k[Ma>>2]=27560;Yua(Ya);Ava(Ma);vva(Ja);$a=bd;ab=cd;Qb(ab|0)}while(0);Zc=$c;_c=ad;vva(Ja);Qb(_c|0)}else{Ma=S+56|0;Na=S+4|0;k[S>>2]=27524;k[Ma>>2]=27544;B=0;wa(508,S+56|0,Na|0);Ua=B;B=0;if(Ua&1){Ua=Rb()|0;dd=Q;ed=Ua;vva(Ma);Qb(ed|0)}k[S+128>>2]=0;k[S+132>>2]=-1;k[S>>2]=27468;k[Ma>>2]=27488;B=0;va(448,Na|0);Ua=B;B=0;do if(Ua&1){Qa=Rb()|0;fd=Q;gd=Qa}else{k[Na>>2]=27560;Qa=S+36|0;k[Qa>>2]=0;k[Qa+4>>2]=0;k[Qa+8>>2]=0;k[Qa+12>>2]=0;k[S+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Na|0,c|0);Va=B;B=0;if(Va&1){Va=Rb()|0;gb=Q;Yua(c);Yua(Qa);Ava(Na);fd=gb;gd=Va;break}Yua(c);B=0;Ia(40,S|0,139404,14)|0;Va=B;B=0;do if(Va&1)Wa=310;else{B=0;wa(510,T|0,Na|0);gb=B;B=0;if(gb&1){Wa=310;break}B=0;ya(424,T|0)|0;gb=B;B=0;if(gb&1){gb=Rb()|0;fb=Q;Yua(T);hd=fb;id=gb;break}Yua(T);k[S>>2]=27468;k[Ma>>2]=27488;k[Na>>2]=27560;Yua(Qa);Ava(Na);vva(Ma);j:do if((k[Ga>>2]|0)>0){gb=U+56|0;fb=U+4|0;pb=U+56|0;kb=U+128|0;jb=U+132|0;mb=U+36|0;nb=U+52|0;lb=0;while(1){k[U>>2]=27524;k[gb>>2]=27544;B=0;wa(508,pb|0,fb|0);Sb=B;B=0;if(Sb&1){Wa=317;break}k[kb>>2]=0;k[jb>>2]=-1;k[U>>2]=27468;k[gb>>2]=27488;B=0;va(448,fb|0);Sb=B;B=0;if(Sb&1){Wa=318;break}k[fb>>2]=27560;k[mb>>2]=0;k[mb+4>>2]=0;k[mb+8>>2]=0;k[mb+12>>2]=0;k[nb>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,fb|0,c|0);Sb=B;B=0;if(Sb&1){Wa=316;break}Yua(c);B=0;Sb=Ia(40,U|0,149175,1)|0;Pb=B;B=0;if(Pb&1){Wa=327;break}B=0;Pb=Sa(1,Sb|0,+(+p[(k[Ha>>2]|0)+(lb<<3)>>3]))|0;Sb=B;B=0;if(Sb&1){Wa=327;break}B=0;Ia(40,Pb|0,149177,1)|0;Pb=B;B=0;if(Pb&1){Wa=327;break}B=0;wa(510,V|0,fb|0);Pb=B;B=0;if(Pb&1){Wa=327;break}B=0;ya(424,V|0)|0;Pb=B;B=0;if(Pb&1){Wa=328;break}Yua(V);k[U>>2]=27468;k[gb>>2]=27488;k[fb>>2]=27560;Yua(mb);Ava(fb);vva(gb);lb=lb+1|0;if((lb|0)>=(k[Ga>>2]|0))break j}if((Wa|0)==316){lb=Rb()|0;nb=Q;Yua(c);Yua(mb);Ava(fb);jd=nb;kd=lb;Wa=319}else if((Wa|0)==317){lb=Rb()|0;ld=Q;md=lb;vva(gb);Qb(md|0)}else if((Wa|0)==318){lb=Rb()|0;jd=Q;kd=lb;Wa=319}else if((Wa|0)==327){lb=Rb()|0;nd=Q;od=lb;Wa=329}else if((Wa|0)==328){lb=Rb()|0;nb=Q;Yua(V);nd=nb;od=lb;Wa=329}if((Wa|0)==319){ld=jd;md=kd;vva(gb);Qb(md|0)}else if((Wa|0)==329){k[U>>2]=27468;k[gb>>2]=27488;k[fb>>2]=27560;Yua(mb);Ava(fb);vva(gb);$a=nd;ab=od;Qb(ab|0)}}while(0);ob=W+56|0;lb=W+4|0;k[W>>2]=27524;k[ob>>2]=27544;B=0;wa(508,W+56|0,lb|0);nb=B;B=0;if(nb&1){nb=Rb()|0;pd=Q;qd=nb;vva(ob);Qb(qd|0)}k[W+128>>2]=0;k[W+132>>2]=-1;k[W>>2]=27468;k[ob>>2]=27488;B=0;va(448,lb|0);nb=B;B=0;do if(nb&1){jb=Rb()|0;rd=Q;sd=jb}else{k[lb>>2]=27560;jb=W+36|0;k[jb>>2]=0;k[jb+4>>2]=0;k[jb+8>>2]=0;k[jb+12>>2]=0;k[W+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,lb|0,c|0);kb=B;B=0;if(kb&1){kb=Rb()|0;pb=Q;Yua(c);Yua(jb);Ava(lb);rd=pb;sd=kb;break}Yua(c);B=0;Ia(40,W|0,149198,2)|0;kb=B;B=0;do if(!(kb&1)){B=0;wa(510,X|0,lb|0);pb=B;B=0;if(pb&1){Wa=333;break}B=0;ya(424,X|0)|0;pb=B;B=0;if(pb&1){pb=Rb()|0;qb=Q;Yua(X);td=qb;ud=pb;break}else{Yua(X);k[W>>2]=27468;k[ob>>2]=27488;k[lb>>2]=27560;Yua(jb);Ava(lb);vva(ob);break i}}else Wa=333;while(0);if((Wa|0)==333){kb=Rb()|0;td=Q;ud=kb}k[W>>2]=27468;k[ob>>2]=27488;k[lb>>2]=27560;Yua(jb);Ava(lb);vva(ob);$a=td;ab=ud;Qb(ab|0)}while(0);pd=rd;qd=sd;vva(ob);Qb(qd|0)}while(0);if((Wa|0)==310){Va=Rb()|0;hd=Q;id=Va}k[S>>2]=27468;k[Ma>>2]=27488;k[Na>>2]=27560;Yua(Qa);Ava(Na);vva(Ma);$a=hd;ab=id;Qb(ab|0)}while(0);dd=fd;ed=gd;vva(Ma);Qb(ed|0)}while(0);Ga=_+56|0;Ha=_+4|0;k[_>>2]=27524;k[Ga>>2]=27544;B=0;wa(508,_+56|0,Ha|0);Na=B;B=0;if(Na&1){Na=Rb()|0;vd=Q;wd=Na;vva(Ga);Qb(wd|0)}k[_+128>>2]=0;k[_+132>>2]=-1;k[_>>2]=27468;k[Ga>>2]=27488;B=0;va(448,Ha|0);Na=B;B=0;do if(Na&1){Ua=Rb()|0;xd=Q;yd=Ua}else{k[Ha>>2]=27560;Ua=_+36|0;k[Ua>>2]=0;k[Ua+4>>2]=0;k[Ua+8>>2]=0;k[Ua+12>>2]=0;k[_+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ha|0,c|0);Ja=B;B=0;if(Ja&1){Ja=Rb()|0;Va=Q;Yua(c);Yua(Ua);Ava(Ha);xd=Va;yd=Ja;break}Yua(c);B=0;Ja=Ia(40,_|0,139435,12)|0;Va=B;B=0;do if(Va&1)Wa=417;else{B=0;Ya=Sa(1,Ja|0,+(+p[a+8>>3]))|0;lb=B;B=0;if(lb&1){Wa=417;break}B=0;Ia(40,Ya|0,149177,1)|0;Ya=B;B=0;if(Ya&1){Wa=417;break}B=0;wa(510,$|0,Ha|0);Ya=B;B=0;if(Ya&1){Wa=417;break}B=0;ya(424,$|0)|0;Ya=B;B=0;if(Ya&1){Ya=Rb()|0;lb=Q;Yua($);zd=lb;Ad=Ya;break}Yua($);k[_>>2]=27468;k[Ga>>2]=27488;k[Ha>>2]=27560;Yua(Ua);Ava(Ha);vva(Ga);Ya=aa+56|0;lb=aa+4|0;k[aa>>2]=27524;k[Ya>>2]=27544;B=0;wa(508,aa+56|0,lb|0);nb=B;B=0;if(nb&1){nb=Rb()|0;Bd=Q;Cd=nb;vva(Ya);Qb(Cd|0)}k[aa+128>>2]=0;k[aa+132>>2]=-1;k[aa>>2]=27468;k[Ya>>2]=27488;B=0;va(448,lb|0);nb=B;B=0;do if(nb&1){kb=Rb()|0;Dd=Q;Ed=kb}else{k[lb>>2]=27560;kb=aa+36|0;k[kb>>2]=0;k[kb+4>>2]=0;k[kb+8>>2]=0;k[kb+12>>2]=0;k[aa+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,lb|0,c|0);gb=B;B=0;if(gb&1){gb=Rb()|0;fb=Q;Yua(c);Yua(kb);Ava(lb);Dd=fb;Ed=gb;break}Yua(c);B=0;gb=Ia(40,aa|0,139448,12)|0;fb=B;B=0;do if(fb&1)Wa=420;else{B=0;mb=Sa(1,gb|0,+(+p[a+40>>3]))|0;pb=B;B=0;if(pb&1){Wa=420;break}B=0;Ia(40,mb|0,149177,1)|0;mb=B;B=0;if(mb&1){Wa=420;break}B=0;wa(510,ba|0,lb|0);mb=B;B=0;if(mb&1){Wa=420;break}B=0;ya(424,ba|0)|0;mb=B;B=0;if(mb&1){mb=Rb()|0;pb=Q;Yua(ba);Fd=pb;Gd=mb;break}Yua(ba);k[aa>>2]=27468;k[Ya>>2]=27488;k[lb>>2]=27560;Yua(kb);Ava(lb);vva(Ya);mb=ca+56|0;pb=ca+4|0;k[ca>>2]=27524;k[mb>>2]=27544;B=0;wa(508,ca+56|0,pb|0);qb=B;B=0;if(qb&1){qb=Rb()|0;Hd=Q;Id=qb;vva(mb);Qb(Id|0)}k[ca+128>>2]=0;k[ca+132>>2]=-1;k[ca>>2]=27468;k[mb>>2]=27488;B=0;va(448,pb|0);qb=B;B=0;do if(qb&1){Pb=Rb()|0;Jd=Q;Kd=Pb}else{k[pb>>2]=27560;Pb=ca+36|0;k[Pb>>2]=0;k[Pb+4>>2]=0;k[Pb+8>>2]=0;k[Pb+12>>2]=0;k[ca+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,pb|0,c|0);Sb=B;B=0;if(Sb&1){Sb=Rb()|0;Ld=Q;Yua(c);Yua(Pb);Ava(pb);Jd=Ld;Kd=Sb;break}Yua(c);B=0;Sb=Ia(40,ca|0,139461,12)|0;Ld=B;B=0;do if(Ld&1)Wa=423;else{B=0;Md=Sa(1,Sb|0,+(+p[a+48>>3]))|0;Nd=B;B=0;if(Nd&1){Wa=423;break}B=0;Ia(40,Md|0,149177,1)|0;Md=B;B=0;if(Md&1){Wa=423;break}B=0;wa(510,da|0,pb|0);Md=B;B=0;if(Md&1){Wa=423;break}B=0;ya(424,da|0)|0;Md=B;B=0;if(Md&1){Md=Rb()|0;Nd=Q;Yua(da);Od=Nd;Pd=Md;break}Yua(da);k[ca>>2]=27468;k[mb>>2]=27488;k[pb>>2]=27560;Yua(Pb);Ava(pb);vva(mb);Md=ea+56|0;Nd=ea+4|0;k[ea>>2]=27524;k[Md>>2]=27544;B=0;wa(508,ea+56|0,Nd|0);Qd=B;B=0;if(Qd&1){Qd=Rb()|0;Rd=Q;Sd=Qd;vva(Md);Qb(Sd|0)}k[ea+128>>2]=0;k[ea+132>>2]=-1;k[ea>>2]=27468;k[Md>>2]=27488;B=0;va(448,Nd|0);Qd=B;B=0;do if(Qd&1){Td=Rb()|0;Ud=Q;Vd=Td}else{k[Nd>>2]=27560;Td=ea+36|0;k[Td>>2]=0;k[Td+4>>2]=0;k[Td+8>>2]=0;k[Td+12>>2]=0;k[ea+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Nd|0,c|0);Wd=B;B=0;if(Wd&1){Wd=Rb()|0;Xd=Q;Yua(c);Yua(Td);Ava(Nd);Ud=Xd;Vd=Wd;break}Yua(c);B=0;Wd=Ia(40,ea|0,139474,12)|0;Xd=B;B=0;do if(Xd&1)Wa=426;else{B=0;Yd=Sa(1,Wd|0,+(+p[a+56>>3]))|0;Zd=B;B=0;if(Zd&1){Wa=426;break}B=0;Ia(40,Yd|0,149177,1)|0;Yd=B;B=0;if(Yd&1){Wa=426;break}B=0;wa(510,fa|0,Nd|0);Yd=B;B=0;if(Yd&1){Wa=426;break}B=0;ya(424,fa|0)|0;Yd=B;B=0;if(Yd&1){Yd=Rb()|0;Zd=Q;Yua(fa);_d=Zd;$d=Yd;break}Yua(fa);k[ea>>2]=27468;k[Md>>2]=27488;k[Nd>>2]=27560;Yua(Td);Ava(Nd);vva(Md);Yd=ga+56|0;Zd=ga+4|0;k[ga>>2]=27524;k[Yd>>2]=27544;B=0;wa(508,ga+56|0,Zd|0);ae=B;B=0;if(ae&1){ae=Rb()|0;be=Q;ce=ae;vva(Yd);Qb(ce|0)}k[ga+128>>2]=0;k[ga+132>>2]=-1;k[ga>>2]=27468;k[Yd>>2]=27488;B=0;va(448,Zd|0);ae=B;B=0;do if(ae&1){de=Rb()|0;ee=Q;fe=de}else{k[Zd>>2]=27560;de=ga+36|0;k[de>>2]=0;k[de+4>>2]=0;k[de+8>>2]=0;k[de+12>>2]=0;k[ga+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Zd|0,c|0);ge=B;B=0;if(ge&1){ge=Rb()|0;he=Q;Yua(c);Yua(de);Ava(Zd);ee=he;fe=ge;break}Yua(c);B=0;ge=Ia(40,ga|0,139487,12)|0;he=B;B=0;do if(!(he&1)){B=0;ie=Sa(1,ge|0,+(+p[a+64>>3]))|0;je=B;B=0;if(je&1){Wa=429;break}B=0;Ia(40,ie|0,149177,1)|0;ie=B;B=0;if(ie&1){Wa=429;break}B=0;wa(510,ha|0,Zd|0);ie=B;B=0;if(ie&1){Wa=429;break}B=0;ya(424,ha|0)|0;ie=B;B=0;if(ie&1){ie=Rb()|0;je=Q;Yua(ha);ke=je;le=ie;break}else{Yua(ha);k[ga>>2]=27468;k[Yd>>2]=27488;k[Zd>>2]=27560;Yua(de);Ava(Zd);vva(Yd);r=b;return}}else Wa=429;while(0);if((Wa|0)==429){ge=Rb()|0;ke=Q;le=ge}k[ga>>2]=27468;k[Yd>>2]=27488;k[Zd>>2]=27560;Yua(de);Ava(Zd);vva(Yd);$a=ke;ab=le;Qb(ab|0)}while(0);be=ee;ce=fe;vva(Yd);Qb(ce|0)}while(0);if((Wa|0)==426){Wd=Rb()|0;_d=Q;$d=Wd}k[ea>>2]=27468;k[Md>>2]=27488;k[Nd>>2]=27560;Yua(Td);Ava(Nd);vva(Md);$a=_d;ab=$d;Qb(ab|0)}while(0);Rd=Ud;Sd=Vd;vva(Md);Qb(Sd|0)}while(0);if((Wa|0)==423){Sb=Rb()|0;Od=Q;Pd=Sb}k[ca>>2]=27468;k[mb>>2]=27488;k[pb>>2]=27560;Yua(Pb);Ava(pb);vva(mb);$a=Od;ab=Pd;Qb(ab|0)}while(0);Hd=Jd;Id=Kd;vva(mb);Qb(Id|0)}while(0);if((Wa|0)==420){gb=Rb()|0;Fd=Q;Gd=gb}k[aa>>2]=27468;k[Ya>>2]=27488;k[lb>>2]=27560;Yua(kb);Ava(lb);vva(Ya);$a=Fd;ab=Gd;Qb(ab|0)}while(0);Bd=Dd;Cd=Ed;vva(Ya);Qb(Cd|0)}while(0);if((Wa|0)==417){Ja=Rb()|0;zd=Q;Ad=Ja}k[_>>2]=27468;k[Ga>>2]=27488;k[Ha>>2]=27560;Yua(Ua);Ava(Ha);vva(Ga);$a=zd;ab=Ad;Qb(ab|0)}while(0);vd=xd;wd=yd;vva(Ga);Qb(wd|0)}else Wa=51;while(0);if((Wa|0)==51){Ea=Rb()|0;Ka=Q;La=Ea}k[f>>2]=27468;k[ra>>2]=27488;k[sa>>2]=27560;Yua(Ba);Ava(sa);vva(ra);$a=Ka;ab=La;Qb(ab|0)}while(0);za=Ca;Aa=Da;vva(ra);Qb(Aa|0)}else Wa=48;while(0);if((Wa|0)==48){qa=Rb()|0;ta=Q;ua=qa}k[d>>2]=27468;k[ia>>2]=27488;k[ja>>2]=27560;Yua(na);Ava(ja);vva(ia);$a=ta;ab=ua;Qb(ab|0)}while(0);la=oa;ma=pa;vva(ia);Qb(ma|0)}function oka(a){a=a|0;return 932}function pka(a,b){a=a|0;b=b|0;p[a+8>>3]=+p[(k[a+20>>2]|0)+(b<<3)>>3];p[a+40>>3]=+p[(k[a+24>>2]|0)+(b<<3)>>3];p[a+48>>3]=+p[(k[a+28>>2]|0)+(b<<3)>>3];p[a+56>>3]=+p[(k[a+32>>2]|0)+(b<<3)>>3];p[a+64>>3]=+p[(k[a+36>>2]|0)+(b<<3)>>3];return}function qka(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;switch(b|0){case 0:{p[a+40>>3]=1.0;b=a+48|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;p[a+64>>3]=-1.0;r=c;return}case 1:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;p[a+56>>3]=0.0;p[a+64>>3]=-1.0;r=c;return}case 2:{b=a+40|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;p[a+56>>3]=1.0;p[a+64>>3]=-1.0;r=c;return}case 3:{p[a+40>>3]=1.0;b=a+48|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;p[a+64>>3]=1.0;r=c;return}case 4:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;p[a+56>>3]=0.0;p[a+64>>3]=1.0;r=c;return}case 5:{b=a+40|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;p[a+56>>3]=1.0;p[a+64>>3]=1.0;r=c;return}default:{c=e+56|0;a=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,a|0);b=B;B=0;if(b&1){b=Rb()|0;i=Q;j=b;vva(c);Qb(j|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,a|0);b=B;B=0;do if(b&1){l=Rb()|0;m=Q;n=l}else{k[a>>2]=27560;l=e+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,a|0,d|0);o=B;B=0;if(o&1){o=Rb()|0;q=Q;Yua(d);Yua(l);Ava(a);m=q;n=o;break}Yua(d);B=0;o=Ia(40,e|0,139500,31)|0;q=B;B=0;if(!(q&1)?(B=0,Xa(239,o|0,0)|0,o=B,B=0,!(o&1)):0){o=Ab(20)|0;B=0;eb(502,f|0,139136,75);q=B;B=0;do if(!(q&1)){B=0;eb(502,g|0,139532,11);s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(f);u=t;v=s;break}B=0;wa(510,h|0,a|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,o|0,f|0,g|0,520,h|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,o|0,1240,229);B=0;z=0}s=Rb()|0;t=Q;Yua(h);w=t;x=s;y=z}Yua(g);Yua(f);if(y){u=w;v=x}else{A=w;C=x;k[e>>2]=27468;k[c>>2]=27488;k[a>>2]=27560;Yua(l);Ava(a);vva(c);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(o|0);A=u;C=v;k[e>>2]=27468;k[c>>2]=27488;k[a>>2]=27560;Yua(l);Ava(a);vva(c);Qb(C|0)}q=Rb()|0;A=Q;C=q;k[e>>2]=27468;k[c>>2]=27488;k[a>>2]=27560;Yua(l);Ava(a);vva(c);Qb(C|0)}while(0);i=m;j=n;vva(c);Qb(j|0)}}}function rka(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0;d=r;r=r+1600|0;e=d+1576|0;f=d+1368|0;g=d+1564|0;h=d+1552|0;i=d+1540|0;j=d+1216|0;l=d+1528|0;m=d+1516|0;n=d+1504|0;o=d+1064|0;q=d+1352|0;s=d+1200|0;t=d+1048|0;u=d+912|0;v=d+760|0;w=d+608|0;x=d+320|0;y=d+776|0;z=d+168|0;A=d+156|0;C=d+144|0;D=d+624|0;E=d+132|0;F=d+120|0;G=d+108|0;H=d+472|0;I=d+96|0;J=d+84|0;K=d+72|0;L=d+336|0;M=d+60|0;N=d+48|0;O=d+36|0;P=d+184|0;R=d+24|0;S=d+12|0;T=d;switch(b|0){case 739:case 738:{switch(c|0){case 0:{p[a+40>>3]=1.0;U=a+48|0;k[U>>2]=0;k[U+4>>2]=0;k[U+8>>2]=0;k[U+12>>2]=0;p[a+64>>3]=-1.0;r=d;return}case 1:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;p[a+56>>3]=0.0;p[a+64>>3]=-1.0;r=d;return}case 2:{U=a+40|0;k[U>>2]=0;k[U+4>>2]=0;k[U+8>>2]=0;k[U+12>>2]=0;p[a+56>>3]=1.0;p[a+64>>3]=-1.0;r=d;return}case 3:{p[a+40>>3]=1.0;U=a+48|0;k[U>>2]=0;k[U+4>>2]=0;k[U+8>>2]=0;k[U+12>>2]=0;p[a+64>>3]=1.0;r=d;return}case 4:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;p[a+56>>3]=0.0;p[a+64>>3]=1.0;r=d;return}case 5:{U=a+40|0;k[U>>2]=0;k[U+4>>2]=0;k[U+8>>2]=0;k[U+12>>2]=0;p[a+56>>3]=1.0;p[a+64>>3]=1.0;r=d;return}default:{U=f+56|0;V=f+4|0;k[f>>2]=27524;k[U>>2]=27544;B=0;wa(508,f+56|0,V|0);W=B;B=0;if(W&1){W=Rb()|0;X=Q;Y=W;vva(U);Qb(Y|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[U>>2]=27488;B=0;va(448,V|0);W=B;B=0;do if(W&1){Z=Rb()|0;_=Q;$=Z}else{k[V>>2]=27560;Z=f+36|0;k[Z>>2]=0;k[Z+4>>2]=0;k[Z+8>>2]=0;k[Z+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,V|0,e|0);aa=B;B=0;if(aa&1){aa=Rb()|0;ba=Q;Yua(e);Yua(Z);Ava(V);_=ba;$=aa;break}Yua(e);B=0;aa=Ia(40,f|0,139544,29)|0;ba=B;B=0;a:do if(!(ba&1)?(B=0,Xa(239,aa|0,0)|0,ca=B,B=0,!(ca&1)):0){ca=Ab(20)|0;B=0;eb(502,g|0,139136,75);da=B;B=0;do if(!(da&1)){B=0;eb(502,h|0,139574,9);ea=B;B=0;if(ea&1){ea=Rb()|0;fa=Q;Yua(g);ga=fa;ha=ea;break}B=0;wa(510,i|0,V|0);ea=B;B=0;if(ea&1){ea=Rb()|0;ia=Q;ja=ea;ka=1}else{B=0;ua(163,ca|0,g|0,h|0,558,i|0);ea=B;B=0;if(ea&1)la=1;else{B=0;eb(503,ca|0,1240,229);B=0;la=0}ea=Rb()|0;fa=Q;Yua(i);ia=fa;ja=ea;ka=la}Yua(h);Yua(g);if(ka){ga=ia;ha=ja}else{ma=ia;na=ja;break a}}else{ea=Rb()|0;ga=Q;ha=ea}while(0);zb(ca|0);ma=ga;na=ha}else oa=24;while(0);if((oa|0)==24){aa=Rb()|0;ma=Q;na=aa}k[f>>2]=27468;k[U>>2]=27488;k[V>>2]=27560;Yua(Z);Ava(V);vva(U);pa=ma;qa=na;Qb(qa|0)}while(0);X=_;Y=$;vva(U);Qb(Y|0)}}break}case 746:{do switch(c|0){case 0:{p[a+40>>3]=1.0;Y=a+48|0;k[Y>>2]=0;k[Y+4>>2]=0;k[Y+8>>2]=0;k[Y+12>>2]=0;p[a+64>>3]=-1.0;r=d;return}case 1:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;p[a+56>>3]=0.0;p[a+64>>3]=-1.0;r=d;return}case 2:{Y=a+40|0;k[Y>>2]=0;k[Y+4>>2]=0;k[Y+8>>2]=0;k[Y+12>>2]=0;p[a+56>>3]=1.0;p[a+64>>3]=-1.0;r=d;return}case 3:{p[a+40>>3]=1.0;Y=a+48|0;k[Y>>2]=0;k[Y+4>>2]=0;k[Y+8>>2]=0;k[Y+12>>2]=0;p[a+64>>3]=1.0;r=d;return}case 4:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;p[a+56>>3]=0.0;p[a+64>>3]=1.0;r=d;return}case 5:{Y=a+40|0;k[Y>>2]=0;k[Y+4>>2]=0;k[Y+8>>2]=0;k[Y+12>>2]=0;p[a+56>>3]=1.0;p[a+64>>3]=1.0;r=d;return}case 6:{p[a+40>>3]=1.0;Y=a+48|0;k[Y>>2]=0;k[Y+4>>2]=0;k[Y+8>>2]=0;k[Y+12>>2]=0;k[Y+16>>2]=0;k[Y+20>>2]=0;r=d;return}case 7:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;Y=a+56|0;k[Y>>2]=0;k[Y+4>>2]=0;k[Y+8>>2]=0;k[Y+12>>2]=0;r=d;return}case 8:{Y=a+40|0;k[Y>>2]=0;k[Y+4>>2]=0;k[Y+8>>2]=0;k[Y+12>>2]=0;p[a+56>>3]=1.0;p[a+64>>3]=0.0;r=d;return}default:{Y=j+56|0;U=j+4|0;k[j>>2]=27524;k[Y>>2]=27544;B=0;wa(508,j+56|0,U|0);$=B;B=0;if($&1){$=Rb()|0;ra=Q;sa=$;vva(Y);Qb(sa|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[Y>>2]=27488;B=0;va(448,U|0);$=B;B=0;do if($&1){_=Rb()|0;ta=Q;xa=_}else{k[U>>2]=27560;_=j+36|0;k[_>>2]=0;k[_+4>>2]=0;k[_+8>>2]=0;k[_+12>>2]=0;k[j+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,U|0,e|0);X=B;B=0;if(X&1){X=Rb()|0;na=Q;Yua(e);Yua(_);Ava(U);ta=na;xa=X;break}Yua(e);B=0;X=Ia(40,j|0,139584,29)|0;na=B;B=0;b:do if(!(na&1)?(B=0,Xa(239,X|0,0)|0,ma=B,B=0,!(ma&1)):0){ma=Ab(20)|0;B=0;eb(502,l|0,139136,75);V=B;B=0;do if(!(V&1)){B=0;eb(502,m|0,139574,9);f=B;B=0;if(f&1){f=Rb()|0;ha=Q;Yua(l);za=ha;Aa=f;break}B=0;wa(510,n|0,U|0);f=B;B=0;if(f&1){f=Rb()|0;Ba=1;Ca=Q;Da=f}else{B=0;ua(163,ma|0,l|0,m|0,573,n|0);f=B;B=0;if(f&1)Ea=1;else{B=0;eb(503,ma|0,1240,229);B=0;Ea=0}f=Rb()|0;ha=Q;Yua(n);Ba=Ea;Ca=ha;Da=f}Yua(m);Yua(l);if(Ba){za=Ca;Aa=Da}else{Fa=Ca;Ga=Da;break b}}else{f=Rb()|0;za=Q;Aa=f}while(0);zb(ma|0);Fa=za;Ga=Aa}else oa=57;while(0);if((oa|0)==57){X=Rb()|0;Fa=Q;Ga=X}k[j>>2]=27468;k[Y>>2]=27488;k[U>>2]=27560;Yua(_);Ava(U);vva(Y);pa=Fa;qa=Ga;Qb(qa|0)}while(0);ra=ta;sa=xa;vva(Y);Qb(sa|0)}}while(0);break}case 747:{do switch(c|0){case 0:{p[a+40>>3]=1.0;sa=a+48|0;k[sa>>2]=0;k[sa+4>>2]=0;k[sa+8>>2]=0;k[sa+12>>2]=0;p[a+64>>3]=-1.0;r=d;return}case 1:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;p[a+56>>3]=0.0;p[a+64>>3]=-1.0;r=d;return}case 2:{sa=a+40|0;k[sa>>2]=0;k[sa+4>>2]=0;k[sa+8>>2]=0;k[sa+12>>2]=0;p[a+56>>3]=1.0;p[a+64>>3]=-1.0;r=d;return}case 3:{p[a+40>>3]=1.0;sa=a+48|0;k[sa>>2]=0;k[sa+4>>2]=0;k[sa+8>>2]=0;k[sa+12>>2]=0;p[a+64>>3]=1.0;r=d;return}case 4:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;p[a+56>>3]=0.0;p[a+64>>3]=1.0;r=d;return}case 5:{sa=a+40|0;k[sa>>2]=0;k[sa+4>>2]=0;k[sa+8>>2]=0;k[sa+12>>2]=0;p[a+56>>3]=1.0;p[a+64>>3]=1.0;r=d;return}case 6:{p[a+40>>3]=1.0;sa=a+48|0;k[sa>>2]=0;k[sa+4>>2]=0;k[sa+8>>2]=0;k[sa+12>>2]=0;p[a+64>>3]=-.3333333333333333;r=d;return}case 7:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;p[a+56>>3]=0.0;p[a+64>>3]=-.3333333333333333;r=d;return}case 8:{sa=a+40|0;k[sa>>2]=0;k[sa+4>>2]=0;k[sa+8>>2]=0;k[sa+12>>2]=0;p[a+56>>3]=1.0;p[a+64>>3]=-.3333333333333333;r=d;return}case 9:{p[a+40>>3]=1.0;sa=a+48|0;k[sa>>2]=0;k[sa+4>>2]=0;k[sa+8>>2]=0;k[sa+12>>2]=0;p[a+64>>3]=.3333333333333333;r=d;return}case 10:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;p[a+56>>3]=0.0;p[a+64>>3]=.3333333333333333;r=d;return}case 11:{sa=a+40|0;k[sa>>2]=0;k[sa+4>>2]=0;k[sa+8>>2]=0;k[sa+12>>2]=0;p[a+56>>3]=1.0;p[a+64>>3]=.3333333333333333;r=d;return}default:{sa=o+56|0;xa=o+4|0;k[o>>2]=27524;k[sa>>2]=27544;B=0;wa(508,o+56|0,xa|0);ta=B;B=0;if(ta&1){ta=Rb()|0;Ha=Q;Ja=ta;vva(sa);Qb(Ja|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[sa>>2]=27488;B=0;va(448,xa|0);ta=B;B=0;do if(ta&1){ra=Rb()|0;Ka=Q;La=ra}else{k[xa>>2]=27560;ra=o+36|0;k[ra>>2]=0;k[ra+4>>2]=0;k[ra+8>>2]=0;k[ra+12>>2]=0;k[o+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,xa|0,e|0);Ga=B;B=0;if(Ga&1){Ga=Rb()|0;Fa=Q;Yua(e);Yua(ra);Ava(xa);Ka=Fa;La=Ga;break}Yua(e);B=0;Ga=Ia(40,o|0,139614,30)|0;Fa=B;B=0;c:do if(!(Fa&1)?(B=0,Xa(239,Ga|0,0)|0,j=B,B=0,!(j&1)):0){j=Ab(20)|0;B=0;eb(502,q|0,139136,75);Aa=B;B=0;do if(!(Aa&1)){B=0;eb(502,s|0,139574,9);za=B;B=0;if(za&1){za=Rb()|0;Da=Q;Yua(q);Ma=Da;Na=za;break}B=0;wa(510,t|0,xa|0);za=B;B=0;if(za&1){za=Rb()|0;Oa=1;Pa=Q;Qa=za}else{B=0;ua(163,j|0,q|0,s|0,591,t|0);za=B;B=0;if(za&1)Ra=1;else{B=0;eb(503,j|0,1240,229);B=0;Ra=0}za=Rb()|0;Da=Q;Yua(t);Oa=Ra;Pa=Da;Qa=za}Yua(s);Yua(q);if(Oa){Ma=Pa;Na=Qa}else{Sa=Pa;Ta=Qa;break c}}else{za=Rb()|0;Ma=Q;Na=za}while(0);zb(j|0);Sa=Ma;Ta=Na}else oa=93;while(0);if((oa|0)==93){Ga=Rb()|0;Sa=Q;Ta=Ga}k[o>>2]=27468;k[sa>>2]=27488;k[xa>>2]=27560;Yua(ra);Ava(xa);vva(sa);pa=Sa;qa=Ta;Qb(qa|0)}while(0);Ha=Ka;Ja=La;vva(sa);Qb(Ja|0)}}while(0);break}case 745:{do switch(c|0){case 0:{p[a+40>>3]=1.0;Ja=a+48|0;k[Ja>>2]=0;k[Ja+4>>2]=0;k[Ja+8>>2]=0;k[Ja+12>>2]=0;p[a+64>>3]=-1.0;r=d;return}case 1:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;p[a+56>>3]=0.0;p[a+64>>3]=-1.0;r=d;return}case 2:{Ja=a+40|0;k[Ja>>2]=0;k[Ja+4>>2]=0;k[Ja+8>>2]=0;k[Ja+12>>2]=0;p[a+56>>3]=1.0;p[a+64>>3]=-1.0;r=d;return}case 3:{p[a+40>>3]=1.0;Ja=a+48|0;k[Ja>>2]=0;k[Ja+4>>2]=0;k[Ja+8>>2]=0;k[Ja+12>>2]=0;p[a+64>>3]=1.0;r=d;return}case 4:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;p[a+56>>3]=0.0;p[a+64>>3]=1.0;r=d;return}case 5:{Ja=a+40|0;k[Ja>>2]=0;k[Ja+4>>2]=0;k[Ja+8>>2]=0;k[Ja+12>>2]=0;p[a+56>>3]=1.0;p[a+64>>3]=1.0;r=d;return}case 6:{p[a+40>>3]=0.0;p[a+48>>3]=.5;p[a+56>>3]=.5;p[a+64>>3]=-1.0;r=d;return}case 7:{p[a+40>>3]=.5;p[a+48>>3]=0.0;p[a+56>>3]=.5;p[a+64>>3]=-1.0;r=d;return}case 8:{p[a+40>>3]=.5;p[a+48>>3]=.5;p[a+56>>3]=0.0;p[a+64>>3]=-1.0;r=d;return}case 9:{p[a+40>>3]=0.0;p[a+48>>3]=.5;p[a+56>>3]=.5;p[a+64>>3]=1.0;r=d;return}case 10:{p[a+40>>3]=.5;p[a+48>>3]=0.0;p[a+56>>3]=.5;p[a+64>>3]=1.0;r=d;return}case 11:{p[a+40>>3]=.5;p[a+48>>3]=.5;p[a+56>>3]=0.0;p[a+64>>3]=1.0;r=d;return}default:{Ja=u+56|0;La=u+4|0;k[u>>2]=27524;k[Ja>>2]=27544;B=0;wa(508,u+56|0,La|0);Ka=B;B=0;if(Ka&1){Ka=Rb()|0;Ua=Q;Va=Ka;vva(Ja);Qb(Va|0)}k[u+128>>2]=0;k[u+132>>2]=-1;k[u>>2]=27468;k[Ja>>2]=27488;B=0;va(448,La|0);Ka=B;B=0;do if(Ka&1){Ha=Rb()|0;Wa=Q;Ya=Ha}else{k[La>>2]=27560;Ha=u+36|0;k[Ha>>2]=0;k[Ha+4>>2]=0;k[Ha+8>>2]=0;k[Ha+12>>2]=0;k[u+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,La|0,e|0);Ta=B;B=0;if(Ta&1){Ta=Rb()|0;Sa=Q;Yua(e);Yua(Ha);Ava(La);Wa=Sa;Ya=Ta;break}Yua(e);B=0;Ta=Ia(40,u|0,139614,30)|0;Sa=B;B=0;d:do if(!(Sa&1)?(B=0,Xa(239,Ta|0,0)|0,o=B,B=0,!(o&1)):0){o=Ab(20)|0;B=0;eb(502,v|0,139136,75);Na=B;B=0;do if(!(Na&1)){B=0;eb(502,w|0,139574,9);Ma=B;B=0;if(Ma&1){Ma=Rb()|0;Qa=Q;Yua(v);Za=Qa;_a=Ma;break}B=0;wa(510,x|0,La|0);Ma=B;B=0;if(Ma&1){Ma=Rb()|0;$a=1;ab=Q;bb=Ma}else{B=0;ua(163,o|0,v|0,w|0,609,x|0);Ma=B;B=0;if(Ma&1)cb=1;else{B=0;eb(503,o|0,1240,229);B=0;cb=0}Ma=Rb()|0;Qa=Q;Yua(x);$a=cb;ab=Qa;bb=Ma}Yua(w);Yua(v);if($a){Za=ab;_a=bb}else{db=ab;fb=bb;break d}}else{Ma=Rb()|0;Za=Q;_a=Ma}while(0);zb(o|0);db=Za;fb=_a}else oa=129;while(0);if((oa|0)==129){Ta=Rb()|0;db=Q;fb=Ta}k[u>>2]=27468;k[Ja>>2]=27488;k[La>>2]=27560;Yua(Ha);Ava(La);vva(Ja);pa=db;qa=fb;Qb(qa|0)}while(0);Ua=Wa;Va=Ya;vva(Ja);Qb(Va|0)}}while(0);break}case 741:case 740:{switch(c|0){case 0:{p[a+40>>3]=1.0;Va=a+48|0;k[Va>>2]=0;k[Va+4>>2]=0;k[Va+8>>2]=0;k[Va+12>>2]=0;p[a+64>>3]=-1.0;r=d;return}case 1:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;p[a+56>>3]=0.0;p[a+64>>3]=-1.0;r=d;return}case 2:{Va=a+40|0;k[Va>>2]=0;k[Va+4>>2]=0;k[Va+8>>2]=0;k[Va+12>>2]=0;p[a+56>>3]=1.0;p[a+64>>3]=-1.0;r=d;return}case 3:{p[a+40>>3]=1.0;Va=a+48|0;k[Va>>2]=0;k[Va+4>>2]=0;k[Va+8>>2]=0;k[Va+12>>2]=0;p[a+64>>3]=1.0;r=d;return}case 4:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;p[a+56>>3]=0.0;p[a+64>>3]=1.0;r=d;return}case 5:{Va=a+40|0;k[Va>>2]=0;k[Va+4>>2]=0;k[Va+8>>2]=0;k[Va+12>>2]=0;p[a+56>>3]=1.0;p[a+64>>3]=1.0;r=d;return}case 6:{p[a+40>>3]=.3333333333333333;p[a+48>>3]=.3333333333333333;p[a+56>>3]=.3333333333333333;p[a+64>>3]=0.0;r=d;return}default:{Va=y+56|0;Ya=y+4|0;k[y>>2]=27524;k[Va>>2]=27544;B=0;wa(508,y+56|0,Ya|0);Wa=B;B=0;if(Wa&1){Wa=Rb()|0;gb=Q;hb=Wa;vva(Va);Qb(hb|0)}k[y+128>>2]=0;k[y+132>>2]=-1;k[y>>2]=27468;k[Va>>2]=27488;B=0;va(448,Ya|0);Wa=B;B=0;do if(Wa&1){Ua=Rb()|0;ib=Q;jb=Ua}else{k[Ya>>2]=27560;Ua=y+36|0;k[Ua>>2]=0;k[Ua+4>>2]=0;k[Ua+8>>2]=0;k[Ua+12>>2]=0;k[y+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,Ya|0,e|0);fb=B;B=0;if(fb&1){fb=Rb()|0;db=Q;Yua(e);Yua(Ua);Ava(Ya);ib=db;jb=fb;break}Yua(e);B=0;fb=Ia(40,y|0,139645,29)|0;db=B;B=0;e:do if(!(db&1)?(B=0,Xa(239,fb|0,0)|0,u=B,B=0,!(u&1)):0){u=Ab(20)|0;B=0;eb(502,z|0,139136,75);_a=B;B=0;do if(!(_a&1)){B=0;eb(502,A|0,139574,9);Za=B;B=0;if(Za&1){Za=Rb()|0;bb=Q;Yua(z);kb=bb;lb=Za;break}B=0;wa(510,C|0,Ya|0);Za=B;B=0;if(Za&1){Za=Rb()|0;mb=1;nb=Q;ob=Za}else{B=0;ua(163,u|0,z|0,A|0,621,C|0);Za=B;B=0;if(Za&1)pb=1;else{B=0;eb(503,u|0,1240,229);B=0;pb=0}Za=Rb()|0;bb=Q;Yua(C);mb=pb;nb=bb;ob=Za}Yua(A);Yua(z);if(mb){kb=nb;lb=ob}else{qb=nb;rb=ob;break e}}else{Za=Rb()|0;kb=Q;lb=Za}while(0);zb(u|0);qb=kb;rb=lb}else oa=160;while(0);if((oa|0)==160){fb=Rb()|0;qb=Q;rb=fb}k[y>>2]=27468;k[Va>>2]=27488;k[Ya>>2]=27560;Yua(Ua);Ava(Ya);vva(Va);pa=qb;qa=rb;Qb(qa|0)}while(0);gb=ib;hb=jb;vva(Va);Qb(hb|0)}}break}case 742:{do switch(c|0){case 0:{p[a+40>>3]=1.0;hb=a+48|0;k[hb>>2]=0;k[hb+4>>2]=0;k[hb+8>>2]=0;k[hb+12>>2]=0;p[a+64>>3]=-1.0;r=d;return}case 1:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;p[a+56>>3]=0.0;p[a+64>>3]=-1.0;r=d;return}case 2:{hb=a+40|0;k[hb>>2]=0;k[hb+4>>2]=0;k[hb+8>>2]=0;k[hb+12>>2]=0;p[a+56>>3]=1.0;p[a+64>>3]=-1.0;r=d;return}case 3:{p[a+40>>3]=1.0;hb=a+48|0;k[hb>>2]=0;k[hb+4>>2]=0;k[hb+8>>2]=0;k[hb+12>>2]=0;p[a+64>>3]=1.0;r=d;return}case 4:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;p[a+56>>3]=0.0;p[a+64>>3]=1.0;r=d;return}case 5:{hb=a+40|0;k[hb>>2]=0;k[hb+4>>2]=0;k[hb+8>>2]=0;k[hb+12>>2]=0;p[a+56>>3]=1.0;p[a+64>>3]=1.0;r=d;return}case 6:{p[a+40>>3]=1.0;hb=a+48|0;k[hb>>2]=0;k[hb+4>>2]=0;k[hb+8>>2]=0;k[hb+12>>2]=0;k[hb+16>>2]=0;k[hb+20>>2]=0;r=d;return}case 7:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;hb=a+56|0;k[hb>>2]=0;k[hb+4>>2]=0;k[hb+8>>2]=0;k[hb+12>>2]=0;r=d;return}case 8:{hb=a+40|0;k[hb>>2]=0;k[hb+4>>2]=0;k[hb+8>>2]=0;k[hb+12>>2]=0;p[a+56>>3]=1.0;p[a+64>>3]=0.0;r=d;return}case 9:{p[a+40>>3]=0.0;p[a+48>>3]=.5;p[a+56>>3]=.5;p[a+64>>3]=-1.0;r=d;return}case 10:{p[a+40>>3]=.5;p[a+48>>3]=0.0;p[a+56>>3]=.5;p[a+64>>3]=-1.0;r=d;return}case 11:{p[a+40>>3]=.5;p[a+48>>3]=.5;p[a+56>>3]=0.0;p[a+64>>3]=-1.0;r=d;return}case 12:{p[a+40>>3]=0.0;p[a+48>>3]=.5;p[a+56>>3]=.5;p[a+64>>3]=1.0;r=d;return}case 13:{p[a+40>>3]=.5;p[a+48>>3]=0.0;p[a+56>>3]=.5;p[a+64>>3]=1.0;r=d;return}case 14:{p[a+40>>3]=.5;p[a+48>>3]=.5;p[a+56>>3]=0.0;p[a+64>>3]=1.0;r=d;return}case 15:{p[a+40>>3]=0.0;p[a+48>>3]=.5;p[a+56>>3]=.5;p[a+64>>3]=0.0;r=d;return}case 16:{p[a+40>>3]=.5;p[a+48>>3]=0.0;p[a+56>>3]=.5;p[a+64>>3]=0.0;r=d;return}case 17:{p[a+40>>3]=.5;p[a+48>>3]=.5;hb=a+56|0;k[hb>>2]=0;k[hb+4>>2]=0;k[hb+8>>2]=0;k[hb+12>>2]=0;r=d;return}default:{hb=D+56|0;Va=D+4|0;k[D>>2]=27524;k[hb>>2]=27544;B=0;wa(508,D+56|0,Va|0);jb=B;B=0;if(jb&1){jb=Rb()|0;sb=Q;tb=jb;vva(hb);Qb(tb|0)}k[D+128>>2]=0;k[D+132>>2]=-1;k[D>>2]=27468;k[hb>>2]=27488;B=0;va(448,Va|0);jb=B;B=0;do if(jb&1){ib=Rb()|0;ub=Q;vb=ib}else{k[Va>>2]=27560;ib=D+36|0;k[ib>>2]=0;k[ib+4>>2]=0;k[ib+8>>2]=0;k[ib+12>>2]=0;k[D+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,Va|0,e|0);gb=B;B=0;if(gb&1){gb=Rb()|0;rb=Q;Yua(e);Yua(ib);Ava(Va);ub=rb;vb=gb;break}Yua(e);B=0;gb=Ia(40,D|0,139675,30)|0;rb=B;B=0;f:do if(!(rb&1)?(B=0,Xa(239,gb|0,0)|0,qb=B,B=0,!(qb&1)):0){qb=Ab(20)|0;B=0;eb(502,E|0,139136,75);Ya=B;B=0;do if(!(Ya&1)){B=0;eb(502,F|0,139574,9);y=B;B=0;if(y&1){y=Rb()|0;lb=Q;Yua(E);wb=lb;xb=y;break}B=0;wa(510,G|0,Va|0);y=B;B=0;if(y&1){y=Rb()|0;yb=1;Bb=Q;Cb=y}else{B=0;ua(163,qb|0,E|0,F|0,647,G|0);y=B;B=0;if(y&1)Db=1;else{B=0;eb(503,qb|0,1240,229);B=0;Db=0}y=Rb()|0;lb=Q;Yua(G);yb=Db;Bb=lb;Cb=y}Yua(F);Yua(E);if(yb){wb=Bb;xb=Cb}else{Eb=Bb;Fb=Cb;break f}}else{y=Rb()|0;wb=Q;xb=y}while(0);zb(qb|0);Eb=wb;Fb=xb}else oa=202;while(0);if((oa|0)==202){gb=Rb()|0;Eb=Q;Fb=gb}k[D>>2]=27468;k[hb>>2]=27488;k[Va>>2]=27560;Yua(ib);Ava(Va);vva(hb);pa=Eb;qa=Fb;Qb(qa|0)}while(0);sb=ub;tb=vb;vva(hb);Qb(tb|0)}}while(0);break}case 744:case 743:{do switch(c|0){case 0:{p[a+40>>3]=1.0;tb=a+48|0;k[tb>>2]=0;k[tb+4>>2]=0;k[tb+8>>2]=0;k[tb+12>>2]=0;p[a+64>>3]=-1.0;r=d;return}case 1:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;p[a+56>>3]=0.0;p[a+64>>3]=-1.0;r=d;return}case 2:{tb=a+40|0;k[tb>>2]=0;k[tb+4>>2]=0;k[tb+8>>2]=0;k[tb+12>>2]=0;p[a+56>>3]=1.0;p[a+64>>3]=-1.0;r=d;return}case 3:{p[a+40>>3]=1.0;tb=a+48|0;k[tb>>2]=0;k[tb+4>>2]=0;k[tb+8>>2]=0;k[tb+12>>2]=0;p[a+64>>3]=1.0;r=d;return}case 4:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;p[a+56>>3]=0.0;p[a+64>>3]=1.0;r=d;return}case 5:{tb=a+40|0;k[tb>>2]=0;k[tb+4>>2]=0;k[tb+8>>2]=0;k[tb+12>>2]=0;p[a+56>>3]=1.0;p[a+64>>3]=1.0;r=d;return}case 6:{p[a+40>>3]=1.0;tb=a+48|0;k[tb>>2]=0;k[tb+4>>2]=0;k[tb+8>>2]=0;k[tb+12>>2]=0;k[tb+16>>2]=0;k[tb+20>>2]=0;r=d;return}case 7:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;tb=a+56|0;k[tb>>2]=0;k[tb+4>>2]=0;k[tb+8>>2]=0;k[tb+12>>2]=0;r=d;return}case 8:{tb=a+40|0;k[tb>>2]=0;k[tb+4>>2]=0;k[tb+8>>2]=0;k[tb+12>>2]=0;p[a+56>>3]=1.0;p[a+64>>3]=0.0;r=d;return}case 9:{p[a+40>>3]=0.0;p[a+48>>3]=.5;p[a+56>>3]=.5;p[a+64>>3]=-1.0;r=d;return}case 10:{p[a+40>>3]=.5;p[a+48>>3]=0.0;p[a+56>>3]=.5;p[a+64>>3]=-1.0;r=d;return}case 11:{p[a+40>>3]=.5;p[a+48>>3]=.5;p[a+56>>3]=0.0;p[a+64>>3]=-1.0;r=d;return}case 12:{p[a+40>>3]=0.0;p[a+48>>3]=.5;p[a+56>>3]=.5;p[a+64>>3]=1.0;r=d;return}case 13:{p[a+40>>3]=.5;p[a+48>>3]=0.0;p[a+56>>3]=.5;p[a+64>>3]=1.0;r=d;return}case 14:{p[a+40>>3]=.5;p[a+48>>3]=.5;p[a+56>>3]=0.0;p[a+64>>3]=1.0;r=d;return}case 15:{p[a+40>>3]=0.0;p[a+48>>3]=.5;p[a+56>>3]=.5;p[a+64>>3]=0.0;r=d;return}case 16:{p[a+40>>3]=.5;p[a+48>>3]=0.0;p[a+56>>3]=.5;p[a+64>>3]=0.0;r=d;return}case 17:{p[a+40>>3]=.5;p[a+48>>3]=.5;tb=a+56|0;k[tb>>2]=0;k[tb+4>>2]=0;k[tb+8>>2]=0;k[tb+12>>2]=0;r=d;return}case 18:{p[a+40>>3]=.3333333333333333;p[a+48>>3]=.3333333333333333;p[a+56>>3]=.3333333333333333;p[a+64>>3]=0.0;r=d;return}default:{tb=H+56|0;vb=H+4|0;k[H>>2]=27524;k[tb>>2]=27544;B=0;wa(508,H+56|0,vb|0);ub=B;B=0;if(ub&1){ub=Rb()|0;Gb=Q;Hb=ub;vva(tb);Qb(Hb|0)}k[H+128>>2]=0;k[H+132>>2]=-1;k[H>>2]=27468;k[tb>>2]=27488;B=0;va(448,vb|0);ub=B;B=0;do if(ub&1){sb=Rb()|0;Ib=Q;Jb=sb}else{k[vb>>2]=27560;sb=H+36|0;k[sb>>2]=0;k[sb+4>>2]=0;k[sb+8>>2]=0;k[sb+12>>2]=0;k[H+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,vb|0,e|0);Fb=B;B=0;if(Fb&1){Fb=Rb()|0;Eb=Q;Yua(e);Yua(sb);Ava(vb);Ib=Eb;Jb=Fb;break}Yua(e);B=0;Fb=Ia(40,H|0,139706,30)|0;Eb=B;B=0;g:do if(!(Eb&1)?(B=0,Xa(239,Fb|0,0)|0,D=B,B=0,!(D&1)):0){D=Ab(20)|0;B=0;eb(502,I|0,139136,75);xb=B;B=0;do if(!(xb&1)){B=0;eb(502,J|0,139574,9);wb=B;B=0;if(wb&1){wb=Rb()|0;Cb=Q;Yua(I);Kb=Cb;Lb=wb;break}B=0;wa(510,K|0,vb|0);wb=B;B=0;if(wb&1){wb=Rb()|0;Mb=1;Nb=Q;Ob=wb}else{B=0;ua(163,D|0,I|0,J|0,675,K|0);wb=B;B=0;if(wb&1)Pb=1;else{B=0;eb(503,D|0,1240,229);B=0;Pb=0}wb=Rb()|0;Cb=Q;Yua(K);Mb=Pb;Nb=Cb;Ob=wb}Yua(J);Yua(I);if(Mb){Kb=Nb;Lb=Ob}else{Sb=Nb;Tb=Ob;break g}}else{wb=Rb()|0;Kb=Q;Lb=wb}while(0);zb(D|0);Sb=Kb;Tb=Lb}else oa=245;while(0);if((oa|0)==245){Fb=Rb()|0;Sb=Q;Tb=Fb}k[H>>2]=27468;k[tb>>2]=27488;k[vb>>2]=27560;Yua(sb);Ava(vb);vva(tb);pa=Sb;qa=Tb;Qb(qa|0)}while(0);Gb=Ib;Hb=Jb;vva(tb);Qb(Hb|0)}}while(0);break}case 748:{do switch(c|0){case 0:{p[a+40>>3]=1.0;Hb=a+48|0;k[Hb>>2]=0;k[Hb+4>>2]=0;k[Hb+8>>2]=0;k[Hb+12>>2]=0;p[a+64>>3]=-1.0;r=d;return}case 1:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;p[a+56>>3]=0.0;p[a+64>>3]=-1.0;r=d;return}case 2:{Hb=a+40|0;k[Hb>>2]=0;k[Hb+4>>2]=0;k[Hb+8>>2]=0;k[Hb+12>>2]=0;p[a+56>>3]=1.0;p[a+64>>3]=-1.0;r=d;return}case 3:{p[a+40>>3]=1.0;Hb=a+48|0;k[Hb>>2]=0;k[Hb+4>>2]=0;k[Hb+8>>2]=0;k[Hb+12>>2]=0;p[a+64>>3]=1.0;r=d;return}case 4:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;p[a+56>>3]=0.0;p[a+64>>3]=1.0;r=d;return}case 5:{Hb=a+40|0;k[Hb>>2]=0;k[Hb+4>>2]=0;k[Hb+8>>2]=0;k[Hb+12>>2]=0;p[a+56>>3]=1.0;p[a+64>>3]=1.0;r=d;return}case 6:{p[a+40>>3]=1.0;Hb=a+48|0;k[Hb>>2]=0;k[Hb+4>>2]=0;k[Hb+8>>2]=0;k[Hb+12>>2]=0;k[Hb+16>>2]=0;k[Hb+20>>2]=0;r=d;return}case 7:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;Hb=a+56|0;k[Hb>>2]=0;k[Hb+4>>2]=0;k[Hb+8>>2]=0;k[Hb+12>>2]=0;r=d;return}case 8:{Hb=a+40|0;k[Hb>>2]=0;k[Hb+4>>2]=0;k[Hb+8>>2]=0;k[Hb+12>>2]=0;p[a+56>>3]=1.0;p[a+64>>3]=0.0;r=d;return}case 9:{p[a+40>>3]=0.0;p[a+48>>3]=.5;p[a+56>>3]=.5;p[a+64>>3]=-1.0;r=d;return}case 10:{p[a+40>>3]=.5;p[a+48>>3]=0.0;p[a+56>>3]=.5;p[a+64>>3]=-1.0;r=d;return}case 11:{p[a+40>>3]=.5;p[a+48>>3]=.5;p[a+56>>3]=0.0;p[a+64>>3]=-1.0;r=d;return}case 12:{p[a+40>>3]=0.0;p[a+48>>3]=.5;p[a+56>>3]=.5;p[a+64>>3]=1.0;r=d;return}case 13:{p[a+40>>3]=.5;p[a+48>>3]=0.0;p[a+56>>3]=.5;p[a+64>>3]=1.0;r=d;return}case 14:{p[a+40>>3]=.5;p[a+48>>3]=.5;p[a+56>>3]=0.0;p[a+64>>3]=1.0;r=d;return}case 15:{p[a+40>>3]=1.0;Hb=a+48|0;k[Hb>>2]=0;k[Hb+4>>2]=0;k[Hb+8>>2]=0;k[Hb+12>>2]=0;p[a+64>>3]=-.5;r=d;return}case 16:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;p[a+56>>3]=0.0;p[a+64>>3]=-.5;r=d;return}case 17:{Hb=a+40|0;k[Hb>>2]=0;k[Hb+4>>2]=0;k[Hb+8>>2]=0;k[Hb+12>>2]=0;p[a+56>>3]=1.0;p[a+64>>3]=-.5;r=d;return}case 18:{p[a+40>>3]=1.0;Hb=a+48|0;k[Hb>>2]=0;k[Hb+4>>2]=0;k[Hb+8>>2]=0;k[Hb+12>>2]=0;p[a+64>>3]=.5;r=d;return}case 19:{p[a+40>>3]=0.0;p[a+48>>3]=1.0;p[a+56>>3]=0.0;p[a+64>>3]=.5;r=d;return}case 20:{Hb=a+40|0;k[Hb>>2]=0;k[Hb+4>>2]=0;k[Hb+8>>2]=0;k[Hb+12>>2]=0;p[a+56>>3]=1.0;p[a+64>>3]=.5;r=d;return}case 21:{p[a+40>>3]=0.0;p[a+48>>3]=.5;p[a+56>>3]=.5;p[a+64>>3]=-.5;r=d;return}case 22:{p[a+40>>3]=.5;p[a+48>>3]=0.0;p[a+56>>3]=.5;p[a+64>>3]=-.5;r=d;return}case 23:{p[a+40>>3]=.5;p[a+48>>3]=.5;p[a+56>>3]=0.0;p[a+64>>3]=-.5;r=d;return}case 24:{p[a+40>>3]=0.0;p[a+48>>3]=.5;p[a+56>>3]=.5;p[a+64>>3]=0.0;r=d;return}case 25:{p[a+40>>3]=.5;p[a+48>>3]=0.0;p[a+56>>3]=.5;p[a+64>>3]=0.0;r=d;return}case 26:{p[a+40>>3]=.5;p[a+48>>3]=.5;Hb=a+56|0;k[Hb>>2]=0;k[Hb+4>>2]=0;k[Hb+8>>2]=0;k[Hb+12>>2]=0;r=d;return}case 27:{p[a+40>>3]=0.0;p[a+48>>3]=.5;p[a+56>>3]=.5;p[a+64>>3]=.5;r=d;return}case 28:{p[a+40>>3]=.5;p[a+48>>3]=0.0;p[a+56>>3]=.5;p[a+64>>3]=.5;r=d;return}case 29:{p[a+40>>3]=.5;p[a+48>>3]=.5;p[a+56>>3]=0.0;p[a+64>>3]=.5;r=d;return}default:{Hb=L+56|0;Jb=L+4|0;k[L>>2]=27524;k[Hb>>2]=27544;B=0;wa(508,L+56|0,Jb|0);Ib=B;B=0;if(Ib&1){Ib=Rb()|0;Ub=Q;Vb=Ib;vva(Hb);Qb(Vb|0)}k[L+128>>2]=0;k[L+132>>2]=-1;k[L>>2]=27468;k[Hb>>2]=27488;B=0;va(448,Jb|0);Ib=B;B=0;do if(Ib&1){Gb=Rb()|0;Wb=Q;Xb=Gb}else{k[Jb>>2]=27560;Gb=L+36|0;k[Gb>>2]=0;k[Gb+4>>2]=0;k[Gb+8>>2]=0;k[Gb+12>>2]=0;k[L+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,Jb|0,e|0);Tb=B;B=0;if(Tb&1){Tb=Rb()|0;Sb=Q;Yua(e);Yua(Gb);Ava(Jb);Wb=Sb;Xb=Tb;break}Yua(e);B=0;Tb=Ia(40,L|0,139737,30)|0;Sb=B;B=0;h:do if(!(Sb&1)?(B=0,Xa(239,Tb|0,0)|0,H=B,B=0,!(H&1)):0){H=Ab(20)|0;B=0;eb(502,M|0,139136,75);Lb=B;B=0;do if(!(Lb&1)){B=0;eb(502,N|0,139574,9);Kb=B;B=0;if(Kb&1){Kb=Rb()|0;Ob=Q;Yua(M);Yb=Ob;Zb=Kb;break}B=0;wa(510,O|0,Jb|0);Kb=B;B=0;if(Kb&1){Kb=Rb()|0;_b=1;$b=Q;ac=Kb}else{B=0;ua(163,H|0,M|0,N|0,714,O|0);Kb=B;B=0;if(Kb&1)bc=1;else{B=0;eb(503,H|0,1240,229);B=0;bc=0}Kb=Rb()|0;Ob=Q;Yua(O);_b=bc;$b=Ob;ac=Kb}Yua(N);Yua(M);if(_b){Yb=$b;Zb=ac}else{cc=$b;dc=ac;break h}}else{Kb=Rb()|0;Yb=Q;Zb=Kb}while(0);zb(H|0);cc=Yb;dc=Zb}else oa=299;while(0);if((oa|0)==299){Tb=Rb()|0;cc=Q;dc=Tb}k[L>>2]=27468;k[Hb>>2]=27488;k[Jb>>2]=27560;Yua(Gb);Ava(Jb);vva(Hb);pa=cc;qa=dc;Qb(qa|0)}while(0);Ub=Wb;Vb=Xb;vva(Hb);Qb(Vb|0)}}while(0);break}default:{Vb=P+56|0;Xb=P+4|0;k[P>>2]=27524;k[Vb>>2]=27544;B=0;wa(508,P+56|0,Xb|0);Wb=B;B=0;if(Wb&1){Wb=Rb()|0;ec=Q;fc=Wb;vva(Vb);Qb(fc|0)}k[P+128>>2]=0;k[P+132>>2]=-1;k[P>>2]=27468;k[Vb>>2]=27488;B=0;va(448,Xb|0);Wb=B;B=0;do if(Wb&1){Ub=Rb()|0;gc=Q;hc=Ub}else{k[Xb>>2]=27560;Ub=P+36|0;k[Ub>>2]=0;k[Ub+4>>2]=0;k[Ub+8>>2]=0;k[Ub+12>>2]=0;k[P+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,Xb|0,e|0);dc=B;B=0;if(dc&1){dc=Rb()|0;cc=Q;Yua(e);Yua(Ub);Ava(Xb);gc=cc;hc=dc;break}Yua(e);B=0;dc=Ia(40,P|0,145867,15)|0;cc=B;B=0;i:do if((((!(cc&1)?(B=0,L=ya(427,b|0)|0,Zb=B,B=0,!(Zb&1)):0)?(Zb=Lta(L)|0,B=0,Yb=Ia(40,dc|0,L|0,Zb|0)|0,Zb=B,B=0,!(Zb&1)):0)?(B=0,Zb=Ia(40,Yb|0,144645,14)|0,Yb=B,B=0,!(Yb&1)):0)?(B=0,Xa(239,Zb|0,0)|0,Zb=B,B=0,!(Zb&1)):0){Zb=Ab(20)|0;B=0;eb(502,R|0,139136,75);Yb=B;B=0;do if(!(Yb&1)){B=0;eb(502,S|0,139574,9);L=B;B=0;if(L&1){L=Rb()|0;ac=Q;Yua(R);ic=ac;jc=L;break}B=0;wa(510,T|0,Xb|0);L=B;B=0;if(L&1){L=Rb()|0;kc=1;lc=Q;mc=L}else{B=0;ua(163,Zb|0,R|0,S|0,717,T|0);L=B;B=0;if(L&1)nc=1;else{B=0;eb(503,Zb|0,1240,229);B=0;nc=0}L=Rb()|0;ac=Q;Yua(T);kc=nc;lc=ac;mc=L}Yua(S);Yua(R);if(kc){ic=lc;jc=mc}else{oc=lc;pc=mc;break i}}else{L=Rb()|0;ic=Q;jc=L}while(0);zb(Zb|0);oc=ic;pc=jc}else oa=325;while(0);if((oa|0)==325){dc=Rb()|0;oc=Q;pc=dc}k[P>>2]=27468;k[Vb>>2]=27488;k[Xb>>2]=27560;Yua(Ub);Ava(Xb);vva(Vb);pa=oc;qa=pc;Qb(qa|0)}while(0);ec=gc;fc=hc;vva(Vb);Qb(fc|0)}}}function ska(a){a=a|0;return 0}function tka(a){a=a|0;return k[a+16>>2]|0}function uka(a,b){a=a|0;b=b|0;p[b+40>>3]=+p[a+40>>3];p[b+48>>3]=+p[a+48>>3];p[b+56>>3]=+p[a+56>>3];p[b+8>>3]=-9999.0;return}function vka(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;e=r;r=r+16|0;f=e+3|0;g=e+2|0;h=e+1|0;j=e;l=a+4|0;m=a+12|0;n=a+16|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[a+16>>2]=0;k[a+20>>2]=0;i[h>>0]=0;i[j>>0]=0;k[a+24>>2]=b;B=0;va(537,a|0);b=B;B=0;a:do if(((((((!(b&1)?(k[a+28>>2]=c,i[f>>0]=0,i[g>>0]=0,B=0,bb(1)|0,o=B,B=0,!(o&1)):0)?(B=0,eb(527,a|0,f|0,139768),o=B,B=0,!(o&1)):0)?(B=0,eb(527,a|0,g|0,139791),o=B,B=0,!(o&1)):0)?(B=0,eb(528,a|0,d|0,0),o=B,B=0,!(o&1)):0)?(B=0,va(538,a|0),o=B,B=0,!(o&1)):0)?(B=0,eb(514,a|0,h|0,139768),o=B,B=0,!(o&1)):0)?(B=0,eb(514,a|0,j|0,139791),o=B,B=0,!(o&1)):0){do if(!d)if((i[h>>0]|0)!=0&(i[j>>0]|0)==0){i[h>>0]=1;p=1;break}else{i[h>>0]=0;p=0;break}else{i[h>>0]=1;p=1}while(0);B=0;o=ya(423,12)|0;q=B;B=0;if(!(q&1)){i[o>>0]=0;B=0;q=ya(423,12)|0;s=B;B=0;do if(!(s&1)){B=0;eb(517,q|0,0,p<<24>>24!=0|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;Sqa(q);v=u;w=t;break}k[o+8>>2]=q;B=0;t=ya(422,23)|0;u=B;B=0;if(!(u&1)){k[o+4>>2]=t;u=t;t=139768;x=u+23|0;do{i[u>>0]=i[t>>0]|0;u=u+1|0;t=t+1|0}while((u|0)<(x|0));B=0;wa(522,a|0,o|0);t=B;B=0;if(t&1){y=11;break a}k[a+32>>2]=0;k[a+36>>2]=0;B=0;eb(529,a|0,a+40|0,139814);t=B;B=0;if(t&1){y=11;break a}B=0;eb(529,a|0,a+44|0,139834);t=B;B=0;if(t&1){y=11;break a}B=0;eb(529,a|0,a+48|0,139859);t=B;B=0;if(t&1){y=11;break a}B=0;eb(529,a|0,a+52|0,139879);t=B;B=0;if(t&1){y=11;break a}B=0;eb(529,a|0,a+56|0,139904);t=B;B=0;if(t&1){y=11;break a}B=0;ua(178,a|0,a+72|0,0,0,139929);t=B;B=0;if(t&1){y=11;break a}k[a+68>>2]=-1;u=a+76|0;x=u+36|0;do{k[u>>2]=0;u=u+4|0}while((u|0)<(x|0));r=e;return}else y=28}else y=28;while(0);if((y|0)==28){q=Rb()|0;v=Q;w=q}Sqa(o);z=v;A=w}else y=11}else y=11;while(0);if((y|0)==11){y=Rb()|0;z=Q;A=y}y=k[m>>2]|0;m=y;if(y){z=k[n>>2]|0;if((z|0)!=(y|0))k[n>>2]=z+(~((z+-4-m|0)>>>2)<<2);Sqa(y)}y=k[a>>2]|0;if(!y)Qb(A|0);a=k[l>>2]|0;if((a|0)!=(y|0))k[l>>2]=a+(~((a+-4-y|0)>>>2)<<2);Sqa(y);Qb(A|0)}
function wka(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0;b=r;r=r+2224|0;c=b+2200|0;d=b+2088|0;e=b+2084|0;f=b+1936|0;g=b+2188|0;h=b+2176|0;j=b+2164|0;l=b+1800|0;m=b+2152|0;n=b+2140|0;o=b+2128|0;p=b+1648|0;q=b+2116|0;s=b+2104|0;t=b+2092|0;u=b+1512|0;v=b+2072|0;w=b+1360|0;x=b+1784|0;y=b+1224|0;z=b+1496|0;A=b+1088|0;C=b+1072|0;D=b+936|0;E=b+784|0;F=b+800|0;G=b+496|0;H=b+648|0;I=b+208|0;J=b+512|0;K=b+60|0;L=b+360|0;M=b+48|0;N=b+224|0;O=b+36|0;P=b+72|0;R=b+24|0;S=b+12|0;T=b;if(vY()|0){r=b;return}U=a+24|0;dta(k[U>>2]|0,0,0)|0;a:do if(ata(e,4,1,k[U>>2]|0)|0){while(1){a=k[e>>2]|0;if((a+-3|0)>>>0>77){V=a;W=4;break}X=Rqa(a+1|0)|0;i[X+a>>0]=0;if(!(ata(X,a,1,k[U>>2]|0)|0)){Y=X;W=29;break}if(Mta(X,140083,3)|0){Z=X;W=31;break}if(!(Mta(X,140155,6)|0)){_=X;W=56;break}if((ata(d,4,1,k[U>>2]|0)|0)!=1){W=58;break}dta(k[U>>2]|0,k[d>>2]|0,1)|0;Tqa(X);if(!(ata(e,4,1,k[U>>2]|0)|0))break a}if((W|0)==4){X=f+56|0;a=f+4|0;k[f>>2]=27524;k[X>>2]=27544;B=0;wa(508,f+56|0,a|0);$=B;B=0;if($&1){$=Rb()|0;aa=Q;ba=$;vva(X);Qb(ba|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[X>>2]=27488;B=0;va(448,a|0);$=B;B=0;do if($&1){ca=Rb()|0;da=Q;ea=ca}else{k[a>>2]=27560;ca=f+36|0;k[ca>>2]=0;k[ca+4>>2]=0;k[ca+8>>2]=0;k[ca+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,a|0,c|0);fa=B;B=0;if(fa&1){fa=Rb()|0;ga=Q;Yua(c);Yua(ca);Ava(a);da=ga;ea=fa;break}Yua(c);B=0;fa=Ia(40,f|0,139946,59)|0;ga=B;B=0;b:do if((!(ga&1)?(B=0,ha=Xa(242,fa|0,V|0)|0,ia=B,B=0,!(ia&1)):0)?(B=0,Xa(239,ha|0,0)|0,ha=B,B=0,!(ha&1)):0){ha=Ab(20)|0;B=0;eb(502,g|0,140006,66);ia=B;B=0;do if(!(ia&1)){B=0;eb(502,h|0,140073,9);ja=B;B=0;if(ja&1){ja=Rb()|0;ka=Q;Yua(g);la=ka;ma=ja;break}B=0;wa(510,j|0,a|0);ja=B;B=0;if(ja&1){ja=Rb()|0;na=Q;oa=ja;pa=1}else{B=0;ua(163,ha|0,g|0,h|0,332,j|0);ja=B;B=0;if(ja&1)qa=1;else{B=0;eb(503,ha|0,1240,229);B=0;qa=0}ja=Rb()|0;ka=Q;Yua(j);na=ka;oa=ja;pa=qa}Yua(h);Yua(g);if(pa){la=na;ma=oa}else{ra=na;sa=oa;break b}}else{ja=Rb()|0;la=Q;ma=ja}while(0);zb(ha|0);ra=la;sa=ma}else W=20;while(0);if((W|0)==20){fa=Rb()|0;ra=Q;sa=fa}k[f>>2]=27468;k[X>>2]=27488;k[a>>2]=27560;Yua(ca);Ava(a);vva(X);ta=ra;xa=sa;Qb(xa|0)}while(0);aa=da;ba=ea;vva(X);Qb(ba|0)}else if((W|0)==29){Tqa(Y);break}else if((W|0)==31){a=l+56|0;$=l+4|0;k[l>>2]=27524;k[a>>2]=27544;B=0;wa(508,l+56|0,$|0);fa=B;B=0;if(fa&1){fa=Rb()|0;za=Q;Aa=fa;vva(a);Qb(Aa|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[a>>2]=27488;B=0;va(448,$|0);fa=B;B=0;do if(fa&1){ga=Rb()|0;Ba=Q;Ca=ga}else{k[$>>2]=27560;ga=l+36|0;k[ga>>2]=0;k[ga+4>>2]=0;k[ga+8>>2]=0;k[ga+12>>2]=0;k[l+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,$|0,c|0);ia=B;B=0;if(ia&1){ia=Rb()|0;ja=Q;Yua(c);Yua(ga);Ava($);Ba=ja;Ca=ia;break}Yua(c);B=0;ia=Ia(40,l|0,140087,67)|0;ja=B;B=0;c:do if((!(ja&1)?(ka=Lta(Z)|0,B=0,Da=Ia(40,ia|0,Z|0,ka|0)|0,ka=B,B=0,!(ka&1)):0)?(B=0,Xa(239,Da|0,0)|0,Da=B,B=0,!(Da&1)):0){Da=Ab(20)|0;B=0;eb(502,m|0,140006,66);ka=B;B=0;do if(!(ka&1)){B=0;eb(502,n|0,140073,9);Ea=B;B=0;if(Ea&1){Ea=Rb()|0;Fa=Q;Yua(m);Ga=Fa;Ha=Ea;break}B=0;wa(510,o|0,$|0);Ea=B;B=0;if(Ea&1){Ea=Rb()|0;Ja=1;Ka=Q;La=Ea}else{B=0;ua(163,Da|0,m|0,n|0,348,o|0);Ea=B;B=0;if(Ea&1)Ma=1;else{B=0;eb(503,Da|0,1240,229);B=0;Ma=0}Ea=Rb()|0;Fa=Q;Yua(o);Ja=Ma;Ka=Fa;La=Ea}Yua(n);Yua(m);if(Ja){Ga=Ka;Ha=La}else{Na=Ka;Oa=La;break c}}else{Ea=Rb()|0;Ga=Q;Ha=Ea}while(0);zb(Da|0);Na=Ga;Oa=Ha}else W=47;while(0);if((W|0)==47){ia=Rb()|0;Na=Q;Oa=ia}k[l>>2]=27468;k[a>>2]=27488;k[$>>2]=27560;Yua(ga);Ava($);vva(a);ta=Na;xa=Oa;Qb(xa|0)}while(0);za=Ba;Aa=Ca;vva(a);Qb(Aa|0)}else if((W|0)==56){Tqa(_);r=b;return}else if((W|0)==58){$=p+56|0;fa=p+4|0;k[p>>2]=27524;k[$>>2]=27544;B=0;wa(508,p+56|0,fa|0);X=B;B=0;if(X&1){X=Rb()|0;Pa=Q;Qa=X;vva($);Qb(Qa|0)}k[p+128>>2]=0;k[p+132>>2]=-1;k[p>>2]=27468;k[$>>2]=27488;B=0;va(448,fa|0);X=B;B=0;do if(X&1){ia=Rb()|0;Ra=Q;Sa=ia}else{k[fa>>2]=27560;ia=p+36|0;k[ia>>2]=0;k[ia+4>>2]=0;k[ia+8>>2]=0;k[ia+12>>2]=0;k[p+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,fa|0,c|0);ja=B;B=0;if(ja&1){ja=Rb()|0;ca=Q;Yua(c);Yua(ia);Ava(fa);Ra=ca;Sa=ja;break}Yua(c);B=0;ja=Ia(40,p|0,140162,28)|0;ca=B;B=0;d:do if(!(ca&1)?(B=0,Xa(239,ja|0,0)|0,ka=B,B=0,!(ka&1)):0){ka=Ab(20)|0;B=0;eb(502,q|0,140006,66);ha=B;B=0;do if(!(ha&1)){B=0;eb(502,s|0,140073,9);Ea=B;B=0;if(Ea&1){Ea=Rb()|0;Fa=Q;Yua(q);Ta=Fa;Ua=Ea;break}B=0;wa(510,t|0,fa|0);Ea=B;B=0;if(Ea&1){Ea=Rb()|0;Va=1;Wa=Q;Ya=Ea}else{B=0;ua(163,ka|0,q|0,s|0,359,t|0);Ea=B;B=0;if(Ea&1)Za=1;else{B=0;eb(503,ka|0,1240,229);B=0;Za=0}Ea=Rb()|0;Fa=Q;Yua(t);Va=Za;Wa=Fa;Ya=Ea}Yua(s);Yua(q);if(Va){Ta=Wa;Ua=Ya}else{_a=Wa;$a=Ya;break d}}else{Ea=Rb()|0;Ta=Q;Ua=Ea}while(0);zb(ka|0);_a=Ta;$a=Ua}else W=73;while(0);if((W|0)==73){ja=Rb()|0;_a=Q;$a=ja}k[p>>2]=27468;k[$>>2]=27488;k[fa>>2]=27560;Yua(ia);Ava(fa);vva($);ta=_a;xa=$a;Qb(xa|0)}while(0);Pa=Ra;Qa=Sa;vva($);Qb(Qa|0)}}while(0);Qa=u+56|0;Sa=u+4|0;k[u>>2]=27524;k[Qa>>2]=27544;B=0;wa(508,u+56|0,Sa|0);Ra=B;B=0;if(Ra&1){Ra=Rb()|0;ab=Q;bb=Ra;vva(Qa);Qb(bb|0)}k[u+128>>2]=0;k[u+132>>2]=-1;k[u>>2]=27468;k[Qa>>2]=27488;B=0;va(448,Sa|0);Ra=B;B=0;do if(Ra&1){Pa=Rb()|0;cb=Q;db=Pa}else{k[Sa>>2]=27560;Pa=u+36|0;k[Pa>>2]=0;k[Pa+4>>2]=0;k[Pa+8>>2]=0;k[Pa+12>>2]=0;k[u+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Sa|0,c|0);$a=B;B=0;if($a&1){$a=Rb()|0;_a=Q;Yua(c);Yua(Pa);Ava(Sa);cb=_a;db=$a;break}Yua(c);B=0;Ia(40,u|0,149177,1)|0;$a=B;B=0;do if(!($a&1)?(B=0,wa(510,v|0,Sa|0),_a=B,B=0,!(_a&1)):0){B=0;ya(425,v|0)|0;_a=B;B=0;if(_a&1){_a=Rb()|0;p=Q;Yua(v);fb=p;gb=_a;break}Yua(v);k[u>>2]=27468;k[Qa>>2]=27488;k[Sa>>2]=27560;Yua(Pa);Ava(Sa);vva(Qa);_a=w+56|0;p=w+4|0;k[w>>2]=27524;k[_a>>2]=27544;B=0;wa(508,w+56|0,p|0);Ua=B;B=0;if(Ua&1){Ua=Rb()|0;hb=Q;ib=Ua;vva(_a);Qb(ib|0)}k[w+128>>2]=0;k[w+132>>2]=-1;k[w>>2]=27468;k[_a>>2]=27488;B=0;va(448,p|0);Ua=B;B=0;do if(Ua&1){Ta=Rb()|0;jb=Q;kb=Ta}else{k[p>>2]=27560;Ta=w+36|0;k[Ta>>2]=0;k[Ta+4>>2]=0;k[Ta+8>>2]=0;k[Ta+12>>2]=0;k[w+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,p|0,c|0);Ya=B;B=0;if(Ya&1){Ya=Rb()|0;Wa=Q;Yua(c);Yua(Ta);Ava(p);jb=Wa;kb=Ya;break}Yua(c);B=0;Ia(40,w|0,140191,74)|0;Ya=B;B=0;do if(!(Ya&1)?(B=0,wa(510,x|0,p|0),Wa=B,B=0,!(Wa&1)):0){B=0;ya(425,x|0)|0;Wa=B;B=0;if(Wa&1){Wa=Rb()|0;Va=Q;Yua(x);lb=Va;mb=Wa;break}Yua(x);k[w>>2]=27468;k[_a>>2]=27488;k[p>>2]=27560;Yua(Ta);Ava(p);vva(_a);Wa=y+56|0;Va=y+4|0;k[y>>2]=27524;k[Wa>>2]=27544;B=0;wa(508,y+56|0,Va|0);q=B;B=0;if(q&1){q=Rb()|0;nb=Q;ob=q;vva(Wa);Qb(ob|0)}k[y+128>>2]=0;k[y+132>>2]=-1;k[y>>2]=27468;k[Wa>>2]=27488;B=0;va(448,Va|0);q=B;B=0;do if(q&1){s=Rb()|0;pb=Q;qb=s}else{k[Va>>2]=27560;s=y+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[y+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Va|0,c|0);Za=B;B=0;if(Za&1){Za=Rb()|0;t=Q;Yua(c);Yua(s);Ava(Va);pb=t;qb=Za;break}Yua(c);B=0;Ia(40,y|0,140266,74)|0;Za=B;B=0;do if(Za&1)W=213;else{B=0;wa(510,z|0,Va|0);t=B;B=0;if(t&1){W=213;break}B=0;ya(425,z|0)|0;t=B;B=0;if(t&1){t=Rb()|0;b=Q;Yua(z);rb=b;sb=t;break}Yua(z);k[y>>2]=27468;k[Wa>>2]=27488;k[Va>>2]=27560;Yua(s);Ava(Va);vva(Wa);t=A+56|0;b=A+4|0;k[A>>2]=27524;k[t>>2]=27544;B=0;wa(508,A+56|0,b|0);_=B;B=0;if(_&1){_=Rb()|0;tb=Q;ub=_;vva(t);Qb(ub|0)}k[A+128>>2]=0;k[A+132>>2]=-1;k[A>>2]=27468;k[t>>2]=27488;B=0;va(448,b|0);_=B;B=0;do if(_&1){Aa=Rb()|0;vb=Q;wb=Aa}else{k[b>>2]=27560;Aa=A+36|0;k[Aa>>2]=0;k[Aa+4>>2]=0;k[Aa+8>>2]=0;k[Aa+12>>2]=0;k[A+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,b|0,c|0);Ca=B;B=0;if(Ca&1){Ca=Rb()|0;Ba=Q;Yua(c);Yua(Aa);Ava(b);vb=Ba;wb=Ca;break}Yua(c);B=0;Ia(40,A|0,140341,74)|0;Ca=B;B=0;do if(Ca&1)W=216;else{B=0;wa(510,C|0,b|0);Ba=B;B=0;if(Ba&1){W=216;break}B=0;ya(425,C|0)|0;Ba=B;B=0;if(Ba&1){Ba=Rb()|0;za=Q;Yua(C);xb=za;yb=Ba;break}Yua(C);k[A>>2]=27468;k[t>>2]=27488;k[b>>2]=27560;Yua(Aa);Ava(b);vva(t);Ba=D+56|0;za=D+4|0;k[D>>2]=27524;k[Ba>>2]=27544;B=0;wa(508,D+56|0,za|0);Oa=B;B=0;if(Oa&1){Oa=Rb()|0;Bb=Q;Cb=Oa;vva(Ba);Qb(Cb|0)}k[D+128>>2]=0;k[D+132>>2]=-1;k[D>>2]=27468;k[Ba>>2]=27488;B=0;va(448,za|0);Oa=B;B=0;do if(Oa&1){Na=Rb()|0;Db=Q;Eb=Na}else{k[za>>2]=27560;Na=D+36|0;k[Na>>2]=0;k[Na+4>>2]=0;k[Na+8>>2]=0;k[Na+12>>2]=0;k[D+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,za|0,c|0);l=B;B=0;if(l&1){l=Rb()|0;Ha=Q;Yua(c);Yua(Na);Ava(za);Db=Ha;Eb=l;break}Yua(c);B=0;Ia(40,D|0,140416,29)|0;l=B;B=0;do if(l&1)W=219;else{B=0;wa(510,E|0,za|0);Ha=B;B=0;if(Ha&1){W=219;break}B=0;ya(425,E|0)|0;Ha=B;B=0;if(Ha&1){Ha=Rb()|0;Ga=Q;Yua(E);Fb=Ga;Gb=Ha;break}Yua(E);k[D>>2]=27468;k[Ba>>2]=27488;k[za>>2]=27560;Yua(Na);Ava(za);vva(Ba);Ha=F+56|0;Ga=F+4|0;k[F>>2]=27524;k[Ha>>2]=27544;B=0;wa(508,F+56|0,Ga|0);La=B;B=0;if(La&1){La=Rb()|0;Hb=Q;Ib=La;vva(Ha);Qb(Ib|0)}k[F+128>>2]=0;k[F+132>>2]=-1;k[F>>2]=27468;k[Ha>>2]=27488;B=0;va(448,Ga|0);La=B;B=0;do if(La&1){Ka=Rb()|0;Jb=Q;Kb=Ka}else{k[Ga>>2]=27560;Ka=F+36|0;k[Ka>>2]=0;k[Ka+4>>2]=0;k[Ka+8>>2]=0;k[Ka+12>>2]=0;k[F+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ga|0,c|0);Ja=B;B=0;if(Ja&1){Ja=Rb()|0;m=Q;Yua(c);Yua(Ka);Ava(Ga);Jb=m;Kb=Ja;break}Yua(c);B=0;Ia(40,F|0,140446,74)|0;Ja=B;B=0;do if(Ja&1)W=222;else{B=0;wa(510,G|0,Ga|0);m=B;B=0;if(m&1){W=222;break}B=0;ya(425,G|0)|0;m=B;B=0;if(m&1){m=Rb()|0;n=Q;Yua(G);Lb=n;Mb=m;break}Yua(G);k[F>>2]=27468;k[Ha>>2]=27488;k[Ga>>2]=27560;Yua(Ka);Ava(Ga);vva(Ha);m=H+56|0;n=H+4|0;k[H>>2]=27524;k[m>>2]=27544;B=0;wa(508,H+56|0,n|0);Ma=B;B=0;if(Ma&1){Ma=Rb()|0;Nb=Q;Ob=Ma;vva(m);Qb(Ob|0)}k[H+128>>2]=0;k[H+132>>2]=-1;k[H>>2]=27468;k[m>>2]=27488;B=0;va(448,n|0);Ma=B;B=0;do if(Ma&1){o=Rb()|0;Pb=Q;Sb=o}else{k[n>>2]=27560;o=H+36|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[o+12>>2]=0;k[H+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,n|0,c|0);Z=B;B=0;if(Z&1){Z=Rb()|0;Y=Q;Yua(c);Yua(o);Ava(n);Pb=Y;Sb=Z;break}Yua(c);B=0;Ia(40,H|0,140521,74)|0;Z=B;B=0;do if(Z&1)W=225;else{B=0;wa(510,I|0,n|0);Y=B;B=0;if(Y&1){W=225;break}B=0;ya(425,I|0)|0;Y=B;B=0;if(Y&1){Y=Rb()|0;ba=Q;Yua(I);Tb=ba;Ub=Y;break}Yua(I);k[H>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(o);Ava(n);vva(m);Y=J+56|0;ba=J+4|0;k[J>>2]=27524;k[Y>>2]=27544;B=0;wa(508,J+56|0,ba|0);ea=B;B=0;if(ea&1){ea=Rb()|0;Vb=Q;Wb=ea;vva(Y);Qb(Wb|0)}k[J+128>>2]=0;k[J+132>>2]=-1;k[J>>2]=27468;k[Y>>2]=27488;B=0;va(448,ba|0);ea=B;B=0;do if(ea&1){da=Rb()|0;Xb=Q;Yb=da}else{k[ba>>2]=27560;da=J+36|0;k[da>>2]=0;k[da+4>>2]=0;k[da+8>>2]=0;k[da+12>>2]=0;k[J+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ba|0,c|0);aa=B;B=0;if(aa&1){aa=Rb()|0;sa=Q;Yua(c);Yua(da);Ava(ba);Xb=sa;Yb=aa;break}Yua(c);B=0;Ia(40,J|0,140341,74)|0;aa=B;B=0;do if(aa&1)W=228;else{B=0;wa(510,K|0,ba|0);sa=B;B=0;if(sa&1){W=228;break}B=0;ya(425,K|0)|0;sa=B;B=0;if(sa&1){sa=Rb()|0;ra=Q;Yua(K);Zb=ra;_b=sa;break}Yua(K);k[J>>2]=27468;k[Y>>2]=27488;k[ba>>2]=27560;Yua(da);Ava(ba);vva(Y);sa=L+56|0;ra=L+4|0;k[L>>2]=27524;k[sa>>2]=27544;B=0;wa(508,L+56|0,ra|0);f=B;B=0;if(f&1){f=Rb()|0;$b=Q;ac=f;vva(sa);Qb(ac|0)}k[L+128>>2]=0;k[L+132>>2]=-1;k[L>>2]=27468;k[sa>>2]=27488;B=0;va(448,ra|0);f=B;B=0;do if(f&1){ma=Rb()|0;bc=Q;cc=ma}else{k[ra>>2]=27560;ma=L+36|0;k[ma>>2]=0;k[ma+4>>2]=0;k[ma+8>>2]=0;k[ma+12>>2]=0;k[L+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ra|0,c|0);la=B;B=0;if(la&1){la=Rb()|0;oa=Q;Yua(c);Yua(ma);Ava(ra);bc=oa;cc=la;break}Yua(c);B=0;Ia(40,L|0,140191,74)|0;la=B;B=0;do if(la&1)W=231;else{B=0;wa(510,M|0,ra|0);oa=B;B=0;if(oa&1){W=231;break}B=0;ya(425,M|0)|0;oa=B;B=0;if(oa&1){oa=Rb()|0;na=Q;Yua(M);dc=na;ec=oa;break}Yua(M);k[L>>2]=27468;k[sa>>2]=27488;k[ra>>2]=27560;Yua(ma);Ava(ra);vva(sa);oa=N+56|0;na=N+4|0;k[N>>2]=27524;k[oa>>2]=27544;B=0;wa(508,N+56|0,na|0);pa=B;B=0;if(pa&1){pa=Rb()|0;fc=Q;gc=pa;vva(oa);Qb(gc|0)}k[N+128>>2]=0;k[N+132>>2]=-1;k[N>>2]=27468;k[oa>>2]=27488;B=0;va(448,na|0);pa=B;B=0;do if(pa&1){g=Rb()|0;hc=Q;ic=g}else{k[na>>2]=27560;g=N+36|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;k[N+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,na|0,c|0);h=B;B=0;if(h&1){h=Rb()|0;qa=Q;Yua(c);Yua(g);Ava(na);hc=qa;ic=h;break}Yua(c);B=0;Ia(40,N|0,149177,1)|0;h=B;B=0;do if(h&1)W=234;else{B=0;wa(510,O|0,na|0);qa=B;B=0;if(qa&1){W=234;break}B=0;ya(425,O|0)|0;qa=B;B=0;if(qa&1){qa=Rb()|0;j=Q;Yua(O);jc=j;kc=qa;break}Yua(O);k[N>>2]=27468;k[oa>>2]=27488;k[na>>2]=27560;Yua(g);Ava(na);vva(oa);qa=P+56|0;j=P+4|0;k[P>>2]=27524;k[qa>>2]=27544;B=0;wa(508,P+56|0,j|0);V=B;B=0;if(V&1){V=Rb()|0;lc=Q;mc=V;vva(qa);Qb(mc|0)}k[P+128>>2]=0;k[P+132>>2]=-1;k[P>>2]=27468;k[qa>>2]=27488;B=0;va(448,j|0);V=B;B=0;do if(V&1){U=Rb()|0;nc=Q;oc=U}else{k[j>>2]=27560;U=P+36|0;k[U>>2]=0;k[U+4>>2]=0;k[U+8>>2]=0;k[U+12>>2]=0;k[P+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,j|0,c|0);e=B;B=0;if(e&1){e=Rb()|0;d=Q;Yua(c);Yua(U);Ava(j);nc=d;oc=e;break}Yua(c);B=0;e=Ia(40,P|0,140596,47)|0;d=B;B=0;e:do if(d&1)W=237;else{B=0;Xa(239,e|0,0)|0;fa=B;B=0;if(fa&1){W=237;break}fa=Ab(20)|0;B=0;eb(502,R|0,140006,66);X=B;B=0;do if(!(X&1)){B=0;eb(502,S|0,140073,9);a=B;B=0;if(a&1){a=Rb()|0;ja=Q;Yua(R);pc=ja;qc=a;break}B=0;wa(510,T|0,j|0);a=B;B=0;if(a&1){a=Rb()|0;rc=1;sc=Q;tc=a}else{B=0;ua(163,fa|0,R|0,S|0,374,T|0);a=B;B=0;if(a&1)uc=1;else{B=0;eb(503,fa|0,1240,229);B=0;uc=0}a=Rb()|0;ja=Q;Yua(T);rc=uc;sc=ja;tc=a}Yua(S);Yua(R);if(rc){pc=sc;qc=tc}else{vc=sc;wc=tc;break e}}else{a=Rb()|0;pc=Q;qc=a}while(0);zb(fa|0);vc=pc;wc=qc}while(0);if((W|0)==237){e=Rb()|0;vc=Q;wc=e}k[P>>2]=27468;k[qa>>2]=27488;k[j>>2]=27560;Yua(U);Ava(j);vva(qa);ta=vc;xa=wc;Qb(xa|0)}while(0);lc=nc;mc=oc;vva(qa);Qb(mc|0)}while(0);if((W|0)==234){h=Rb()|0;jc=Q;kc=h}k[N>>2]=27468;k[oa>>2]=27488;k[na>>2]=27560;Yua(g);Ava(na);vva(oa);ta=jc;xa=kc;Qb(xa|0)}while(0);fc=hc;gc=ic;vva(oa);Qb(gc|0)}while(0);if((W|0)==231){la=Rb()|0;dc=Q;ec=la}k[L>>2]=27468;k[sa>>2]=27488;k[ra>>2]=27560;Yua(ma);Ava(ra);vva(sa);ta=dc;xa=ec;Qb(xa|0)}while(0);$b=bc;ac=cc;vva(sa);Qb(ac|0)}while(0);if((W|0)==228){aa=Rb()|0;Zb=Q;_b=aa}k[J>>2]=27468;k[Y>>2]=27488;k[ba>>2]=27560;Yua(da);Ava(ba);vva(Y);ta=Zb;xa=_b;Qb(xa|0)}while(0);Vb=Xb;Wb=Yb;vva(Y);Qb(Wb|0)}while(0);if((W|0)==225){Z=Rb()|0;Tb=Q;Ub=Z}k[H>>2]=27468;k[m>>2]=27488;k[n>>2]=27560;Yua(o);Ava(n);vva(m);ta=Tb;xa=Ub;Qb(xa|0)}while(0);Nb=Pb;Ob=Sb;vva(m);Qb(Ob|0)}while(0);if((W|0)==222){Ja=Rb()|0;Lb=Q;Mb=Ja}k[F>>2]=27468;k[Ha>>2]=27488;k[Ga>>2]=27560;Yua(Ka);Ava(Ga);vva(Ha);ta=Lb;xa=Mb;Qb(xa|0)}while(0);Hb=Jb;Ib=Kb;vva(Ha);Qb(Ib|0)}while(0);if((W|0)==219){l=Rb()|0;Fb=Q;Gb=l}k[D>>2]=27468;k[Ba>>2]=27488;k[za>>2]=27560;Yua(Na);Ava(za);vva(Ba);ta=Fb;xa=Gb;Qb(xa|0)}while(0);Bb=Db;Cb=Eb;vva(Ba);Qb(Cb|0)}while(0);if((W|0)==216){Ca=Rb()|0;xb=Q;yb=Ca}k[A>>2]=27468;k[t>>2]=27488;k[b>>2]=27560;Yua(Aa);Ava(b);vva(t);ta=xb;xa=yb;Qb(xa|0)}while(0);tb=vb;ub=wb;vva(t);Qb(ub|0)}while(0);if((W|0)==213){Za=Rb()|0;rb=Q;sb=Za}k[y>>2]=27468;k[Wa>>2]=27488;k[Va>>2]=27560;Yua(s);Ava(Va);vva(Wa);ta=rb;xa=sb;Qb(xa|0)}while(0);nb=pb;ob=qb;vva(Wa);Qb(ob|0)}else W=210;while(0);if((W|0)==210){Ya=Rb()|0;lb=Q;mb=Ya}k[w>>2]=27468;k[_a>>2]=27488;k[p>>2]=27560;Yua(Ta);Ava(p);vva(_a);ta=lb;xa=mb;Qb(xa|0)}while(0);hb=jb;ib=kb;vva(_a);Qb(ib|0)}else W=207;while(0);if((W|0)==207){$a=Rb()|0;fb=Q;gb=$a}k[u>>2]=27468;k[Qa>>2]=27488;k[Sa>>2]=27560;Yua(Pa);Ava(Sa);vva(Qa);ta=fb;xa=gb;Qb(xa|0)}while(0);ab=cb;bb=db;vva(Qa);Qb(bb|0)}function xka(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;c=r;r=r+192|0;d=c+176|0;e=c+189|0;f=c+188|0;g=c+40|0;h=c+24|0;j=c+12|0;l=c;Kka(a,e,139768);Kka(a,f,139791);if(!b?!((i[e>>0]|0)!=0&(i[f>>0]|0)==0):0){r=c;return}c=g+56|0;f=g+4|0;k[g>>2]=27524;k[c>>2]=27544;B=0;wa(508,g+56|0,f|0);e=B;B=0;if(e&1){e=Rb()|0;m=Q;n=e;vva(c);Qb(n|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[c>>2]=27488;B=0;va(448,f|0);e=B;B=0;do if(e&1){b=Rb()|0;o=Q;p=b}else{k[f>>2]=27560;b=g+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[g+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,f|0,d|0);a=B;B=0;if(a&1){a=Rb()|0;q=Q;Yua(d);Yua(b);Ava(f);o=q;p=a;break}Yua(d);B=0;a=Ia(40,g|0,140644,75)|0;q=B;B=0;if(!(q&1)?(B=0,Xa(239,a|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,h|0,140006,66);q=B;B=0;do if(!(q&1)){B=0;eb(502,j|0,140720,19);s=B;B=0;if(s&1){s=Rb()|0;t=Q;Yua(h);u=t;v=s;break}B=0;wa(510,l|0,f|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;x=s;y=1}else{B=0;ua(163,a|0,h|0,j|0,738,l|0);s=B;B=0;if(s&1)z=1;else{B=0;eb(503,a|0,1240,229);B=0;z=0}s=Rb()|0;t=Q;Yua(l);w=t;x=s;y=z}Yua(j);Yua(h);if(y){u=w;v=x}else{A=w;C=x;k[g>>2]=27468;k[c>>2]=27488;k[f>>2]=27560;Yua(b);Ava(f);vva(c);Qb(C|0)}}else{s=Rb()|0;u=Q;v=s}while(0);zb(a|0);A=u;C=v;k[g>>2]=27468;k[c>>2]=27488;k[f>>2]=27560;Yua(b);Ava(f);vva(c);Qb(C|0)}q=Rb()|0;A=Q;C=q;k[g>>2]=27468;k[c>>2]=27488;k[f>>2]=27560;Yua(b);Ava(f);vva(c);Qb(C|0)}while(0);m=o;n=p;vva(c);Qb(n|0)}function yka(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Pa=0,Qa=0.0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0,ke=0,le=0,me=0,ne=0,oe=0,pe=0,qe=0,re=0,se=0,te=0,ue=0,ve=0,we=0,xe=0,ye=0,ze=0,Ae=0,Be=0,Ce=0,De=0,Ee=0,Fe=0,Ge=0,He=0,Ie=0,Je=0,Ke=0,Le=0,Me=0,Ne=0,Oe=0,Pe=0,Qe=0,Re=0,Se=0,Te=0,Ue=0,Ve=0,We=0,Xe=0,Ye=0,Ze=0,_e=0,$e=0,af=0,bf=0,cf=0,df=0,ef=0,ff=0,gf=0,hf=0,jf=0,kf=0,lf=0,mf=0,nf=0,of=0,pf=0,qf=0,rf=0,sf=0,tf=0,uf=0,vf=0,wf=0,xf=0,yf=0,zf=0,Af=0,Bf=0,Cf=0,Df=0;b=r;r=r+2656|0;c=b+2636|0;d=b+2584|0;e=b+2556|0;f=b+2552|0;g=b+2548|0;h=b+2532|0;j=b;l=b+2504|0;m=b+2488|0;n=b+2352|0;o=b+2624|0;q=b+2612|0;s=b+2600|0;t=b+2200|0;u=b+2588|0;v=b+2572|0;w=b+2560|0;x=b+2048|0;y=b+2536|0;z=b+2520|0;A=b+2508|0;C=b+1912|0;D=b+2492|0;E=b+2336|0;F=b+2184|0;G=b+1752|0;H=b+1900|0;I=b+1888|0;J=b+1736|0;K=b+1600|0;L=b+1312|0;M=b+1164|0;N=b+1152|0;O=b+1464|0;P=b+732|0;R=b+720|0;S=b+432|0;T=b+1328|0;U=b+284|0;V=b+272|0;W=b+260|0;X=b+1176|0;Y=b+248|0;Z=b+236|0;_=b+224|0;$=b+1016|0;aa=b+212|0;ba=b+200|0;ca=b+188|0;da=b+880|0;ea=b+176|0;fa=b+164|0;ga=b+152|0;ha=b+744|0;ia=b+140|0;ja=b+128|0;ka=b+116|0;la=b+584|0;ma=b+104|0;na=b+92|0;oa=b+80|0;pa=b+448|0;qa=b+68|0;ra=b+56|0;sa=b+44|0;ta=b+296|0;xa=b+32|0;za=b+20|0;Aa=b+8|0;k[g>>2]=0;k[h>>2]=0;p[j>>3]=0.0;if(vY()|0){uY()|0;if(!(k[f>>2]|0)){r=b;return}Ba=a+4|0;a:while(1){uY()|0;Ca=k[d>>2]|0;Da=Rqa(Ca+1|0)|0;i[Da+Ca>>0]=0;uY()|0;uY()|0;b:do switch(k[f>>2]|0){case 1:{uY()|0;Ca=Qqa(12)|0;Ea=k[g>>2]|0;i[Ca>>0]=0;B=0;Fa=ya(423,12)|0;Ga=B;B=0;if(Ga&1){Ha=Ca;Ja=408;break a}B=0;eb(517,Fa|0,0,(Ea|0)!=0|0);Ea=B;B=0;if(Ea&1){Ka=Ca;La=Fa;Ja=405;break a}k[Ca+8>>2]=Fa;Fa=(Lta(Da)|0)+1|0;B=0;Ea=ya(422,Fa|0)|0;Ga=B;B=0;if(Ga&1){Ha=Ca;Ja=408;break a}k[Ca+4>>2]=Ea;TEa(Ea|0,Da|0,Fa|0)|0;Aka(a,Ca);break}case 2:{uY()|0;Ca=Qqa(12)|0;Fa=k[h>>2]|0;i[Ca>>0]=0;B=0;Ea=ya(423,12)|0;Ga=B;B=0;if(Ga&1){Ma=Ca;Ja=415;break a}B=0;eb(518,Ea|0,0,Fa|0);Fa=B;B=0;if(Fa&1){Na=Ca;Pa=Ea;Ja=413;break a}k[Ca+8>>2]=Ea;Ea=(Lta(Da)|0)+1|0;B=0;Fa=ya(422,Ea|0)|0;Ga=B;B=0;if(Ga&1){Ma=Ca;Ja=415;break a}k[Ca+4>>2]=Fa;TEa(Fa|0,Da|0,Ea|0)|0;Aka(a,Ca);break}case 3:{Ca=k[a>>2]|0;Ea=k[Ba>>2]|0;if(Ca>>>0<Ea>>>0){Fa=0;Ga=Ca;do{Ca=(Ita(k[(k[Ga>>2]|0)+4>>2]|0,Da)|0)==0;Fa=Fa|Ca;Ga=Ga+4|0}while(Ga>>>0<Ea>>>0&(Ca^1));if(Fa)break b}uY()|0;Qa=+p[j>>3];Ea=Qqa(12)|0;i[Ea>>0]=0;B=0;Ga=ya(423,16)|0;Ca=B;B=0;if(Ca&1){Ra=Ea;Ja=425;break a}B=0;Oa(59,Ga|0,0,+Qa);Ca=B;B=0;if(Ca&1){Sa=Ea;Ta=Ga;Ja=423;break a}k[Ea+8>>2]=Ga;Ga=(Lta(Da)|0)+1|0;B=0;Ca=ya(422,Ga|0)|0;Ua=B;B=0;if(Ua&1){Ra=Ea;Ja=425;break a}k[Ea+4>>2]=Ca;TEa(Ca|0,Da|0,Ga|0)|0;Aka(a,Ea);break}case 4:{uY()|0;Ea=k[l>>2]|0;if(!Ea){Ga=Rqa(1)|0;i[Ga>>0]=0;Va=Ga}else{Ga=Rqa(Ea+1|0)|0;i[Ga+Ea>>0]=0;uY()|0;Va=Ga}Ga=Qqa(12)|0;i[Ga>>0]=0;B=0;Ea=ya(423,12)|0;Ca=B;B=0;if(Ca&1){Wa=Ga;Ja=435;break a}B=0;eb(530,Ea|0,0,Va|0);Ca=B;B=0;if(Ca&1){Ya=Ga;Za=Ea;Ja=433;break a}k[Ga+8>>2]=Ea;Ea=(Lta(Da)|0)+1|0;B=0;Ca=ya(422,Ea|0)|0;Ua=B;B=0;if(Ua&1){Wa=Ga;Ja=435;break a}k[Ga+4>>2]=Ca;TEa(Ca|0,Da|0,Ea|0)|0;Aka(a,Ga);Tqa(Va);break}case 8:case 7:case 6:case 5:break;case 9:{uY()|0;Ga=k[m>>2]|0;if(Ga){Ea=Rqa(Ga>>>0>1073741823?-1:Ga<<2)|0;if((Ga|0)>0){WEa(Ea|0,0,((Ga|0)>1?Ga:1)<<2|0)|0;Ca=0;do{uY()|0;Ua=k[l>>2]|0;if(!Ua){_a=Rqa(1)|0;i[_a>>0]=0;$a=_a}else{_a=Rqa(Ua+1|0)|0;i[_a+Ua>>0]=0;uY()|0;$a=_a}k[Ea+(Ca<<2)>>2]=$a;Ca=Ca+1|0;_a=k[m>>2]|0}while((Ca|0)<(_a|0));ab=_a;bb=Ea}else{ab=Ga;bb=Ea}}else{ab=0;bb=0}Ca=Qqa(12)|0;i[Ca>>0]=0;B=0;Fa=ya(423,16)|0;_a=B;B=0;if(_a&1){cb=Ca;Ja=451;break a}B=0;ib(294,Fa|0,0,bb|0,ab|0);_a=B;B=0;if(_a&1){db=Ca;fb=Fa;Ja=447;break a}k[Ca+8>>2]=Fa;Fa=(Lta(Da)|0)+1|0;B=0;_a=ya(422,Fa|0)|0;Ua=B;B=0;if(Ua&1){cb=Ca;Ja=451;break a}k[Ca+4>>2]=_a;TEa(_a|0,Da|0,Fa|0)|0;Aka(a,Ca);Ca=k[m>>2]|0;if((Ca|0)<=0){if(!bb)break b}else{Fa=Ca;Ca=0;while(1){_a=bb+(Ca<<2)|0;Ua=k[_a>>2]|0;if(!Ua)gb=Fa;else{Tqa(Ua);gb=k[m>>2]|0}k[_a>>2]=0;Ca=Ca+1|0;if((Ca|0)>=(gb|0))break;else Fa=gb}}Tqa(bb);break}default:{Ja=456;break a}}while(0);uY()|0;if(!(k[f>>2]|0)){Ja=480;break}}switch(Ja|0){case 405:{bb=Rb()|0;gb=Q;Sqa(La);hb=Ka;jb=gb;kb=bb;Ja=409;break}case 408:{bb=Rb()|0;hb=Ha;jb=Q;kb=bb;Ja=409;break}case 413:{bb=Rb()|0;Ha=Q;Sqa(Pa);lb=Na;mb=Ha;nb=bb;Ja=416;break}case 415:{bb=Rb()|0;lb=Ma;mb=Q;nb=bb;Ja=416;break}case 423:{bb=Rb()|0;Ma=Q;Sqa(Ta);ob=Sa;pb=Ma;qb=bb;Ja=426;break}case 425:{bb=Rb()|0;ob=Ra;pb=Q;qb=bb;Ja=426;break}case 433:{bb=Rb()|0;Ra=Q;Sqa(Za);rb=Ya;sb=Ra;tb=bb;Ja=436;break}case 435:{bb=Rb()|0;rb=Wa;sb=Q;tb=bb;Ja=436;break}case 447:{bb=Rb()|0;Wa=Q;Sqa(fb);ub=db;vb=Wa;wb=bb;Ja=452;break}case 451:{bb=Rb()|0;ub=cb;vb=Q;wb=bb;Ja=452;break}case 456:{bb=ta+56|0;cb=ta+4|0;k[ta>>2]=27524;k[bb>>2]=27544;B=0;wa(508,ta+56|0,cb|0);Wa=B;B=0;if(Wa&1){Wa=Rb()|0;xb=Q;yb=Wa;vva(bb);Qb(yb|0)}k[ta+128>>2]=0;k[ta+132>>2]=-1;k[ta>>2]=27468;k[bb>>2]=27488;B=0;va(448,cb|0);Wa=B;B=0;do if(Wa&1){db=Rb()|0;Bb=Q;Cb=db}else{k[cb>>2]=27560;db=ta+36|0;k[db>>2]=0;k[db+4>>2]=0;k[db+8>>2]=0;k[db+12>>2]=0;k[ta+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,cb|0,c|0);fb=B;B=0;if(fb&1){fb=Rb()|0;Ra=Q;Yua(c);Yua(db);Ava(cb);Bb=Ra;Cb=fb;break}Yua(c);B=0;fb=Ia(40,ta|0,141004,20)|0;Ra=B;B=0;c:do if((!(Ra&1)?(B=0,Ya=Xa(242,fb|0,k[f>>2]|0)|0,Za=B,B=0,!(Za&1)):0)?(B=0,Xa(239,Ya|0,0)|0,Ya=B,B=0,!(Ya&1)):0){Ya=Ab(20)|0;B=0;eb(502,xa|0,140006,66);Za=B;B=0;do if(!(Za&1)){B=0;eb(502,za|0,140740,14);Ma=B;B=0;if(Ma&1){Ma=Rb()|0;Sa=Q;Yua(xa);Db=Ma;Eb=Sa;break}B=0;wa(510,Aa|0,cb|0);Sa=B;B=0;if(Sa&1){Sa=Rb()|0;Fb=1;Gb=Sa;Hb=Q}else{B=0;ua(163,Ya|0,xa|0,za|0,1090,Aa|0);Sa=B;B=0;if(Sa&1)Ib=1;else{B=0;eb(503,Ya|0,1240,229);B=0;Ib=0}Sa=Rb()|0;Ma=Q;Yua(Aa);Fb=Ib;Gb=Sa;Hb=Ma}Yua(za);Yua(xa);if(Fb){Db=Gb;Eb=Hb}else{Jb=Gb;Kb=Hb;break c}}else{Ma=Rb()|0;Db=Ma;Eb=Q}while(0);zb(Ya|0);Jb=Db;Kb=Eb}else Ja=472;while(0);if((Ja|0)==472){fb=Rb()|0;Jb=fb;Kb=Q}k[ta>>2]=27468;k[bb>>2]=27488;k[cb>>2]=27560;Yua(db);Ava(cb);vva(bb);Lb=Jb;Mb=Kb;Qb(Lb|0)}while(0);xb=Bb;yb=Cb;vva(bb);Qb(yb|0);break}case 480:{r=b;return}}if((Ja|0)==409){Sqa(hb);Lb=kb;Mb=jb;Qb(Lb|0)}else if((Ja|0)==416){Sqa(lb);Lb=nb;Mb=mb;Qb(Lb|0)}else if((Ja|0)==426){Sqa(ob);Lb=qb;Mb=pb;Qb(Lb|0)}else if((Ja|0)==436){Sqa(rb);Lb=tb;Mb=sb;Qb(Lb|0)}else if((Ja|0)==452){Sqa(ub);Lb=wb;Mb=vb;Qb(Lb|0)}}vb=a+24|0;dta(k[vb>>2]|0,0,0)|0;d:do if(ata(d,4,1,k[vb>>2]|0)|0){wb=a+4|0;e:while(1){ub=k[d>>2]|0;if((ub+-3|0)>>>0>77){Ja=8;break}sb=Rqa(ub+1|0)|0;i[sb+ub>>0]=0;if(!(ata(sb,ub,1,k[vb>>2]|0)|0)){Ja=33;break}if(Mta(sb,140083,3)|0){Nb=sb;Ja=57;break}if((ata(e,4,1,k[vb>>2]|0)|0)!=1){Ja=82;break}if((ata(f,4,1,k[vb>>2]|0)|0)!=1){Ja=106;break}uY()|0;uY()|0;uY()|0;uY()|0;f:do switch(k[f>>2]|0){case 1:{if((ata(g,4,1,k[vb>>2]|0)|0)!=1){Ja=131;break e}uY()|0;ub=Qqa(12)|0;tb=k[g>>2]|0;i[ub>>0]=0;B=0;rb=ya(423,12)|0;pb=B;B=0;if(pb&1){Ob=ub;Ja=159;break e}B=0;eb(517,rb|0,0,(tb|0)!=0|0);tb=B;B=0;if(tb&1){Pb=ub;Sb=rb;Ja=157;break e}k[ub+8>>2]=rb;rb=(Lta(sb)|0)+1|0;B=0;tb=ya(422,rb|0)|0;pb=B;B=0;if(pb&1){Ob=ub;Ja=159;break e}k[ub+4>>2]=tb;TEa(tb|0,sb|0,rb|0)|0;Aka(a,ub);break}case 2:{if((ata(h,4,1,k[vb>>2]|0)|0)!=1){Ja=162;break e}uY()|0;ub=Qqa(12)|0;rb=k[h>>2]|0;i[ub>>0]=0;B=0;tb=ya(423,12)|0;pb=B;B=0;if(pb&1){Tb=ub;Ja=190;break e}B=0;eb(518,tb|0,0,rb|0);rb=B;B=0;if(rb&1){Ub=ub;Vb=tb;Ja=188;break e}k[ub+8>>2]=tb;tb=(Lta(sb)|0)+1|0;B=0;rb=ya(422,tb|0)|0;pb=B;B=0;if(pb&1){Tb=ub;Ja=190;break e}k[ub+4>>2]=rb;TEa(rb|0,sb|0,tb|0)|0;Aka(a,ub);break}case 3:{ub=k[a>>2]|0;tb=k[wb>>2]|0;if(ub>>>0<tb>>>0){rb=0;pb=ub;do{ub=(Ita(k[(k[pb>>2]|0)+4>>2]|0,sb)|0)==0;rb=rb|ub;pb=pb+4|0}while(pb>>>0<tb>>>0&(ub^1));if(rb)break f}if((ata(j,8,1,k[vb>>2]|0)|0)!=1){Ja=196;break e}uY()|0;Qa=+p[j>>3];tb=Qqa(12)|0;i[tb>>0]=0;B=0;pb=ya(423,16)|0;ub=B;B=0;if(ub&1){Wb=tb;Ja=224;break e}B=0;Oa(59,pb|0,0,+Qa);ub=B;B=0;if(ub&1){Xb=tb;Yb=pb;Ja=222;break e}k[tb+8>>2]=pb;pb=(Lta(sb)|0)+1|0;B=0;ub=ya(422,pb|0)|0;qb=B;B=0;if(qb&1){Wb=tb;Ja=224;break e}k[tb+4>>2]=ub;TEa(ub|0,sb|0,pb|0)|0;Aka(a,tb);break}case 4:{if((ata(l,4,1,k[vb>>2]|0)|0)!=1){Ja=227;break e}uY()|0;tb=k[l>>2]|0;if(!tb){pb=Rqa(1)|0;i[pb>>0]=0;Zb=pb}else{pb=Rqa(tb+1|0)|0;i[pb+tb>>0]=0;if((ata(pb,tb,1,k[vb>>2]|0)|0)!=1){Ja=252;break e}uY()|0;Zb=pb}pb=Qqa(12)|0;i[pb>>0]=0;B=0;tb=ya(423,12)|0;ub=B;B=0;if(ub&1){_b=pb;Ja=282;break e}B=0;eb(530,tb|0,0,Zb|0);ub=B;B=0;if(ub&1){$b=pb;ac=tb;Ja=280;break e}k[pb+8>>2]=tb;tb=(Lta(sb)|0)+1|0;B=0;ub=ya(422,tb|0)|0;qb=B;B=0;if(qb&1){_b=pb;Ja=282;break e}k[pb+4>>2]=ub;TEa(ub|0,sb|0,tb|0)|0;Aka(a,pb);Tqa(Zb);break}case 8:case 7:case 6:case 5:{dta(k[vb>>2]|0,-4,1)|0;dta(k[vb>>2]|0,k[e>>2]|0,1)|0;break}case 9:{if((ata(m,4,1,k[vb>>2]|0)|0)!=1){Ja=286;break e}uY()|0;pb=k[m>>2]|0;if(pb){tb=Rqa(pb>>>0>1073741823?-1:pb<<2)|0;if((pb|0)>0){WEa(tb|0,0,((pb|0)>1?pb:1)<<2|0)|0;ub=0;while(1){if((ata(l,4,1,k[vb>>2]|0)|0)!=1){Ja=313;break e}uY()|0;qb=k[l>>2]|0;if(!qb){ob=Rqa(1)|0;i[ob>>0]=0;bc=ob}else{ob=Rqa(qb+1|0)|0;i[ob+qb>>0]=0;if((ata(ob,qb,1,k[vb>>2]|0)|0)!=1){Ja=338;break e}uY()|0;bc=ob}k[tb+(ub<<2)>>2]=bc;ub=ub+1|0;ob=k[m>>2]|0;if((ub|0)>=(ob|0)){cc=ob;dc=tb;break}}}else{cc=pb;dc=tb}}else{cc=0;dc=0}ub=Qqa(12)|0;i[ub>>0]=0;B=0;rb=ya(423,16)|0;ob=B;B=0;if(ob&1){ec=ub;Ja=371;break e}B=0;ib(294,rb|0,0,dc|0,cc|0);ob=B;B=0;if(ob&1){fc=ub;gc=rb;Ja=367;break e}k[ub+8>>2]=rb;rb=(Lta(sb)|0)+1|0;B=0;ob=ya(422,rb|0)|0;qb=B;B=0;if(qb&1){ec=ub;Ja=371;break e}k[ub+4>>2]=ob;TEa(ob|0,sb|0,rb|0)|0;Aka(a,ub);ub=k[m>>2]|0;if((ub|0)<=0){if(!dc)break f}else{rb=ub;ub=0;while(1){ob=dc+(ub<<2)|0;qb=k[ob>>2]|0;if(!qb)hc=rb;else{Tqa(qb);hc=k[m>>2]|0}k[ob>>2]=0;ub=ub+1|0;if((ub|0)>=(hc|0))break;else rb=hc}}Tqa(dc);break}default:{Ja=376;break e}}while(0);Tqa(sb);if(!(ata(d,4,1,k[vb>>2]|0)|0))break d}switch(Ja|0){case 8:{wb=n+56|0;db=n+4|0;k[n>>2]=27524;k[wb>>2]=27544;B=0;wa(508,n+56|0,db|0);Ya=B;B=0;if(Ya&1){Ya=Rb()|0;ic=Q;jc=Ya;vva(wb);Qb(jc|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[wb>>2]=27488;B=0;va(448,db|0);Ya=B;B=0;do if(Ya&1){rb=Rb()|0;kc=Q;lc=rb}else{k[db>>2]=27560;rb=n+36|0;k[rb>>2]=0;k[rb+4>>2]=0;k[rb+8>>2]=0;k[rb+12>>2]=0;k[n+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,db|0,c|0);ub=B;B=0;if(ub&1){ub=Rb()|0;tb=Q;Yua(c);Yua(rb);Ava(db);kc=tb;lc=ub;break}Yua(c);B=0;ub=Ia(40,n|0,139946,59)|0;tb=B;B=0;g:do if((!(tb&1)?(B=0,pb=Xa(242,ub|0,k[d>>2]|0)|0,ob=B,B=0,!(ob&1)):0)?(B=0,Xa(239,pb|0,0)|0,pb=B,B=0,!(pb&1)):0){pb=Ab(20)|0;B=0;eb(502,o|0,140006,66);ob=B;B=0;do if(!(ob&1)){B=0;eb(502,q|0,140740,14);qb=B;B=0;if(qb&1){qb=Rb()|0;mb=Q;Yua(o);mc=mb;nc=qb;break}B=0;wa(510,s|0,db|0);qb=B;B=0;if(qb&1){qb=Rb()|0;oc=Q;pc=qb;qc=1}else{B=0;ua(163,pb|0,o|0,q|0,841,s|0);qb=B;B=0;if(qb&1)rc=1;else{B=0;eb(503,pb|0,1240,229);B=0;rc=0}qb=Rb()|0;mb=Q;Yua(s);oc=mb;pc=qb;qc=rc}Yua(q);Yua(o);if(qc){mc=oc;nc=pc}else{sc=oc;tc=pc;break g}}else{qb=Rb()|0;mc=Q;nc=qb}while(0);zb(pb|0);sc=mc;tc=nc}else Ja=24;while(0);if((Ja|0)==24){ub=Rb()|0;sc=Q;tc=ub}k[n>>2]=27468;k[wb>>2]=27488;k[db>>2]=27560;Yua(rb);Ava(db);vva(wb);Lb=tc;Mb=sc;Qb(Lb|0)}while(0);ic=kc;jc=lc;vva(wb);Qb(jc|0);break}case 33:{db=t+56|0;Ya=t+4|0;k[t>>2]=27524;k[db>>2]=27544;B=0;wa(508,t+56|0,Ya|0);ub=B;B=0;if(ub&1){ub=Rb()|0;uc=Q;vc=ub;vva(db);Qb(vc|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[db>>2]=27488;B=0;va(448,Ya|0);ub=B;B=0;do if(ub&1){tb=Rb()|0;wc=Q;xc=tb}else{k[Ya>>2]=27560;tb=t+36|0;k[tb>>2]=0;k[tb+4>>2]=0;k[tb+8>>2]=0;k[tb+12>>2]=0;k[t+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ya|0,c|0);sb=B;B=0;if(sb&1){sb=Rb()|0;ob=Q;Yua(c);Yua(tb);Ava(Ya);wc=ob;xc=sb;break}Yua(c);B=0;sb=Ia(40,t|0,140755,26)|0;ob=B;B=0;h:do if(!(ob&1)?(B=0,Xa(239,sb|0,0)|0,qb=B,B=0,!(qb&1)):0){qb=Ab(20)|0;B=0;eb(502,u|0,140006,66);mb=B;B=0;do if(!(mb&1)){B=0;eb(502,v|0,140740,14);nb=B;B=0;if(nb&1){nb=Rb()|0;lb=Q;Yua(u);yc=lb;zc=nb;break}B=0;wa(510,w|0,Ya|0);nb=B;B=0;if(nb&1){nb=Rb()|0;Ac=1;Bc=nb;Cc=Q}else{B=0;ua(163,qb|0,u|0,v|0,850,w|0);nb=B;B=0;if(nb&1)Dc=1;else{B=0;eb(503,qb|0,1240,229);B=0;Dc=0}nb=Rb()|0;lb=Q;Yua(w);Ac=Dc;Bc=nb;Cc=lb}Yua(v);Yua(u);if(Ac){yc=Cc;zc=Bc}else{Ec=Bc;Fc=Cc;break h}}else{lb=Rb()|0;yc=Q;zc=lb}while(0);zb(qb|0);Ec=zc;Fc=yc}else Ja=48;while(0);if((Ja|0)==48){sb=Rb()|0;Ec=sb;Fc=Q}k[t>>2]=27468;k[db>>2]=27488;k[Ya>>2]=27560;Yua(tb);Ava(Ya);vva(db);Lb=Ec;Mb=Fc;Qb(Lb|0)}while(0);uc=wc;vc=xc;vva(db);Qb(vc|0);break}case 57:{Ya=x+56|0;ub=x+4|0;k[x>>2]=27524;k[Ya>>2]=27544;B=0;wa(508,x+56|0,ub|0);wb=B;B=0;if(wb&1){wb=Rb()|0;Gc=Q;Hc=wb;vva(Ya);Qb(Hc|0)}k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[Ya>>2]=27488;B=0;va(448,ub|0);wb=B;B=0;do if(wb&1){sb=Rb()|0;Ic=Q;Jc=sb}else{k[ub>>2]=27560;sb=x+36|0;k[sb>>2]=0;k[sb+4>>2]=0;k[sb+8>>2]=0;k[sb+12>>2]=0;k[x+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ub|0,c|0);ob=B;B=0;if(ob&1){ob=Rb()|0;rb=Q;Yua(c);Yua(sb);Ava(ub);Ic=rb;Jc=ob;break}Yua(c);B=0;ob=Ia(40,x|0,140087,67)|0;rb=B;B=0;i:do if((!(rb&1)?(mb=Lta(Nb)|0,B=0,pb=Ia(40,ob|0,Nb|0,mb|0)|0,mb=B,B=0,!(mb&1)):0)?(B=0,Xa(239,pb|0,0)|0,pb=B,B=0,!(pb&1)):0){pb=Ab(20)|0;B=0;eb(502,y|0,140006,66);mb=B;B=0;do if(!(mb&1)){B=0;eb(502,z|0,140740,14);lb=B;B=0;if(lb&1){lb=Rb()|0;nb=Q;Yua(y);Kc=nb;Lc=lb;break}B=0;wa(510,A|0,ub|0);lb=B;B=0;if(lb&1){lb=Rb()|0;Mc=1;Nc=lb;Oc=Q}else{B=0;ua(163,pb|0,y|0,z|0,853,A|0);lb=B;B=0;if(lb&1)Pc=1;else{B=0;eb(503,pb|0,1240,229);B=0;Pc=0}lb=Rb()|0;nb=Q;Yua(A);Mc=Pc;Nc=lb;Oc=nb}Yua(z);Yua(y);if(Mc){Kc=Oc;Lc=Nc}else{Qc=Nc;Rc=Oc;break i}}else{nb=Rb()|0;Kc=Q;Lc=nb}while(0);zb(pb|0);Qc=Lc;Rc=Kc}else Ja=73;while(0);if((Ja|0)==73){ob=Rb()|0;Qc=ob;Rc=Q}k[x>>2]=27468;k[Ya>>2]=27488;k[ub>>2]=27560;Yua(sb);Ava(ub);vva(Ya);Lb=Qc;Mb=Rc;Qb(Lb|0)}while(0);Gc=Ic;Hc=Jc;vva(Ya);Qb(Hc|0);break}case 82:{ub=C+56|0;wb=C+4|0;k[C>>2]=27524;k[ub>>2]=27544;B=0;wa(508,C+56|0,wb|0);db=B;B=0;if(db&1){db=Rb()|0;Sc=Q;Tc=db;vva(ub);Qb(Tc|0)}k[C+128>>2]=0;k[C+132>>2]=-1;k[C>>2]=27468;k[ub>>2]=27488;B=0;va(448,wb|0);db=B;B=0;do if(db&1){ob=Rb()|0;Uc=Q;Vc=ob}else{k[wb>>2]=27560;ob=C+36|0;k[ob>>2]=0;k[ob+4>>2]=0;k[ob+8>>2]=0;k[ob+12>>2]=0;k[C+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,wb|0,c|0);rb=B;B=0;if(rb&1){rb=Rb()|0;tb=Q;Yua(c);Yua(ob);Ava(wb);Uc=tb;Vc=rb;break}Yua(c);B=0;rb=Ia(40,C|0,140782,28)|0;tb=B;B=0;j:do if(!(tb&1)?(B=0,Xa(239,rb|0,0)|0,mb=B,B=0,!(mb&1)):0){mb=Ab(20)|0;B=0;eb(502,D|0,140006,66);qb=B;B=0;do if(!(qb&1)){B=0;eb(502,E|0,140740,14);nb=B;B=0;if(nb&1){nb=Rb()|0;lb=Q;Yua(D);Wc=lb;Xc=nb;break}B=0;wa(510,F|0,wb|0);nb=B;B=0;if(nb&1){nb=Rb()|0;Yc=1;Zc=nb;_c=Q}else{B=0;ua(163,mb|0,D|0,E|0,858,F|0);nb=B;B=0;if(nb&1)$c=1;else{B=0;eb(503,mb|0,1240,229);B=0;$c=0}nb=Rb()|0;lb=Q;Yua(F);Yc=$c;Zc=nb;_c=lb}Yua(E);Yua(D);if(Yc){Wc=_c;Xc=Zc}else{ad=Zc;bd=_c;break j}}else{lb=Rb()|0;Wc=Q;Xc=lb}while(0);zb(mb|0);ad=Xc;bd=Wc}else Ja=97;while(0);if((Ja|0)==97){rb=Rb()|0;ad=rb;bd=Q}k[C>>2]=27468;k[ub>>2]=27488;k[wb>>2]=27560;Yua(ob);Ava(wb);vva(ub);Lb=ad;Mb=bd;Qb(Lb|0)}while(0);Sc=Uc;Tc=Vc;vva(ub);Qb(Tc|0);break}case 106:{wb=G+56|0;db=G+4|0;k[G>>2]=27524;k[wb>>2]=27544;B=0;wa(508,G+56|0,db|0);Ya=B;B=0;if(Ya&1){Ya=Rb()|0;cd=Q;dd=Ya;vva(wb);Qb(dd|0)}k[G+128>>2]=0;k[G+132>>2]=-1;k[G>>2]=27468;k[wb>>2]=27488;B=0;va(448,db|0);Ya=B;B=0;do if(Ya&1){rb=Rb()|0;ed=Q;fd=rb}else{k[db>>2]=27560;rb=G+36|0;k[rb>>2]=0;k[rb+4>>2]=0;k[rb+8>>2]=0;k[rb+12>>2]=0;k[G+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,db|0,c|0);tb=B;B=0;if(tb&1){tb=Rb()|0;sb=Q;Yua(c);Yua(rb);Ava(db);ed=sb;fd=tb;break}Yua(c);B=0;tb=Ia(40,G|0,140811,26)|0;sb=B;B=0;k:do if(!(sb&1)?(B=0,Xa(239,tb|0,0)|0,qb=B,B=0,!(qb&1)):0){qb=Ab(20)|0;B=0;eb(502,H|0,140006,66);pb=B;B=0;do if(!(pb&1)){B=0;eb(502,I|0,140740,14);lb=B;B=0;if(lb&1){lb=Rb()|0;nb=Q;Yua(H);gd=nb;hd=lb;break}B=0;wa(510,J|0,db|0);lb=B;B=0;if(lb&1){lb=Rb()|0;id=1;jd=lb;kd=Q}else{B=0;ua(163,qb|0,H|0,I|0,859,J|0);lb=B;B=0;if(lb&1)ld=1;else{B=0;eb(503,qb|0,1240,229);B=0;ld=0}lb=Rb()|0;nb=Q;Yua(J);id=ld;jd=lb;kd=nb}Yua(I);Yua(H);if(id){gd=kd;hd=jd}else{md=jd;nd=kd;break k}}else{nb=Rb()|0;gd=Q;hd=nb}while(0);zb(qb|0);md=hd;nd=gd}else Ja=121;while(0);if((Ja|0)==121){tb=Rb()|0;md=tb;nd=Q}k[G>>2]=27468;k[wb>>2]=27488;k[db>>2]=27560;Yua(rb);Ava(db);vva(wb);Lb=md;Mb=nd;Qb(Lb|0)}while(0);cd=ed;dd=fd;vva(wb);Qb(dd|0);break}case 131:{db=K+56|0;Ya=K+4|0;k[K>>2]=27524;k[db>>2]=27544;B=0;wa(508,K+56|0,Ya|0);ub=B;B=0;if(ub&1){ub=Rb()|0;od=Q;pd=ub;vva(db);Qb(pd|0)}k[K+128>>2]=0;k[K+132>>2]=-1;k[K>>2]=27468;k[db>>2]=27488;B=0;va(448,Ya|0);ub=B;B=0;do if(ub&1){tb=Rb()|0;qd=Q;rd=tb}else{k[Ya>>2]=27560;tb=K+36|0;k[tb>>2]=0;k[tb+4>>2]=0;k[tb+8>>2]=0;k[tb+12>>2]=0;k[K+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ya|0,c|0);sb=B;B=0;if(sb&1){sb=Rb()|0;ob=Q;Yua(c);Yua(tb);Ava(Ya);qd=ob;rd=sb;break}Yua(c);B=0;sb=Ia(40,K|0,140838,23)|0;ob=B;B=0;l:do if(!(ob&1)?(B=0,Xa(239,sb|0,0)|0,pb=B,B=0,!(pb&1)):0){pb=Ab(20)|0;B=0;eb(502,L|0,140006,66);mb=B;B=0;do if(!(mb&1)){B=0;eb(502,M|0,140740,14);nb=B;B=0;if(nb&1){nb=Rb()|0;lb=Q;Yua(L);sd=lb;td=nb;break}B=0;wa(510,N|0,Ya|0);nb=B;B=0;if(nb&1){nb=Rb()|0;ud=1;vd=nb;wd=Q}else{B=0;ua(163,pb|0,L|0,M|0,872,N|0);nb=B;B=0;if(nb&1)xd=1;else{B=0;eb(503,pb|0,1240,229);B=0;xd=0}nb=Rb()|0;lb=Q;Yua(N);ud=xd;vd=nb;wd=lb}Yua(M);Yua(L);if(ud){sd=wd;td=vd}else{yd=vd;zd=wd;break l}}else{lb=Rb()|0;sd=Q;td=lb}while(0);zb(pb|0);yd=td;zd=sd}else Ja=146;while(0);if((Ja|0)==146){sb=Rb()|0;yd=sb;zd=Q}k[K>>2]=27468;k[db>>2]=27488;k[Ya>>2]=27560;Yua(tb);Ava(Ya);vva(db);Lb=yd;Mb=zd;Qb(Lb|0)}while(0);od=qd;pd=rd;vva(db);Qb(pd|0);break}case 157:{Ya=Rb()|0;ub=Q;Sqa(Sb);Ad=Pb;Bd=ub;Cd=Ya;Ja=160;break}case 159:{Ya=Rb()|0;Ad=Ob;Bd=Q;Cd=Ya;Ja=160;break}case 162:{Ya=O+56|0;ub=O+4|0;k[O>>2]=27524;k[Ya>>2]=27544;B=0;wa(508,O+56|0,ub|0);wb=B;B=0;if(wb&1){wb=Rb()|0;Dd=Q;Ed=wb;vva(Ya);Qb(Ed|0)}k[O+128>>2]=0;k[O+132>>2]=-1;k[O>>2]=27468;k[Ya>>2]=27488;B=0;va(448,ub|0);wb=B;B=0;do if(wb&1){sb=Rb()|0;Fd=Q;Gd=sb}else{k[ub>>2]=27560;sb=O+36|0;k[sb>>2]=0;k[sb+4>>2]=0;k[sb+8>>2]=0;k[sb+12>>2]=0;k[O+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ub|0,c|0);ob=B;B=0;if(ob&1){ob=Rb()|0;rb=Q;Yua(c);Yua(sb);Ava(ub);Fd=rb;Gd=ob;break}Yua(c);B=0;ob=Ia(40,O|0,140862,23)|0;rb=B;B=0;m:do if(!(rb&1)?(B=0,Xa(239,ob|0,0)|0,mb=B,B=0,!(mb&1)):0){mb=Ab(20)|0;B=0;eb(502,P|0,140006,66);qb=B;B=0;do if(!(qb&1)){B=0;eb(502,R|0,140740,14);lb=B;B=0;if(lb&1){lb=Rb()|0;nb=Q;Yua(P);Hd=nb;Id=lb;break}B=0;wa(510,S|0,ub|0);lb=B;B=0;if(lb&1){lb=Rb()|0;Jd=1;Kd=lb;Ld=Q}else{B=0;ua(163,mb|0,P|0,R|0,881,S|0);lb=B;B=0;if(lb&1)Md=1;else{B=0;eb(503,mb|0,1240,229);B=0;Md=0}lb=Rb()|0;nb=Q;Yua(S);Jd=Md;Kd=lb;Ld=nb}Yua(R);Yua(P);if(Jd){Hd=Ld;Id=Kd}else{Nd=Kd;Od=Ld;break m}}else{nb=Rb()|0;Hd=Q;Id=nb}while(0);zb(mb|0);Nd=Id;Od=Hd}else Ja=177;while(0);if((Ja|0)==177){ob=Rb()|0;Nd=ob;Od=Q}k[O>>2]=27468;k[Ya>>2]=27488;k[ub>>2]=27560;Yua(sb);Ava(ub);vva(Ya);Lb=Nd;Mb=Od;Qb(Lb|0)}while(0);Dd=Fd;Ed=Gd;vva(Ya);Qb(Ed|0);break}case 188:{ub=Rb()|0;wb=Q;Sqa(Vb);Pd=Ub;Qd=wb;Rd=ub;Ja=191;break}case 190:{ub=Rb()|0;Pd=Tb;Qd=Q;Rd=ub;Ja=191;break}case 196:{ub=T+56|0;wb=T+4|0;k[T>>2]=27524;k[ub>>2]=27544;B=0;wa(508,T+56|0,wb|0);db=B;B=0;if(db&1){db=Rb()|0;Sd=Q;Td=db;vva(ub);Qb(Td|0)}k[T+128>>2]=0;k[T+132>>2]=-1;k[T>>2]=27468;k[ub>>2]=27488;B=0;va(448,wb|0);db=B;B=0;do if(db&1){ob=Rb()|0;Ud=Q;Vd=ob}else{k[wb>>2]=27560;ob=T+36|0;k[ob>>2]=0;k[ob+4>>2]=0;k[ob+8>>2]=0;k[ob+12>>2]=0;k[T+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,wb|0,c|0);rb=B;B=0;if(rb&1){rb=Rb()|0;tb=Q;Yua(c);Yua(ob);Ava(wb);Ud=tb;Vd=rb;break}Yua(c);B=0;rb=Ia(40,T|0,140886,22)|0;tb=B;B=0;n:do if(!(tb&1)?(B=0,Xa(239,rb|0,0)|0,qb=B,B=0,!(qb&1)):0){qb=Ab(20)|0;B=0;eb(502,U|0,140006,66);pb=B;B=0;do if(!(pb&1)){B=0;eb(502,V|0,140740,14);nb=B;B=0;if(nb&1){nb=Rb()|0;lb=Q;Yua(U);Wd=lb;Xd=nb;break}B=0;wa(510,W|0,wb|0);nb=B;B=0;if(nb&1){nb=Rb()|0;Yd=1;Zd=nb;_d=Q}else{B=0;ua(163,qb|0,U|0,V|0,901,W|0);nb=B;B=0;if(nb&1)$d=1;else{B=0;eb(503,qb|0,1240,229);B=0;$d=0}nb=Rb()|0;lb=Q;Yua(W);Yd=$d;Zd=nb;_d=lb}Yua(V);Yua(U);if(Yd){Wd=_d;Xd=Zd}else{ae=Zd;be=_d;break n}}else{lb=Rb()|0;Wd=Q;Xd=lb}while(0);zb(qb|0);ae=Xd;be=Wd}else Ja=211;while(0);if((Ja|0)==211){rb=Rb()|0;ae=rb;be=Q}k[T>>2]=27468;k[ub>>2]=27488;k[wb>>2]=27560;Yua(ob);Ava(wb);vva(ub);Lb=ae;Mb=be;Qb(Lb|0)}while(0);Sd=Ud;Td=Vd;vva(ub);Qb(Td|0);break}case 222:{wb=Rb()|0;db=Q;Sqa(Yb);ce=Xb;de=db;ee=wb;Ja=225;break}case 224:{wb=Rb()|0;ce=Wb;de=Q;ee=wb;Ja=225;break}case 227:{wb=X+56|0;db=X+4|0;k[X>>2]=27524;k[wb>>2]=27544;B=0;wa(508,X+56|0,db|0);Ya=B;B=0;if(Ya&1){Ya=Rb()|0;fe=Q;ge=Ya;vva(wb);Qb(ge|0)}k[X+128>>2]=0;k[X+132>>2]=-1;k[X>>2]=27468;k[wb>>2]=27488;B=0;va(448,db|0);Ya=B;B=0;do if(Ya&1){rb=Rb()|0;he=Q;ie=rb}else{k[db>>2]=27560;rb=X+36|0;k[rb>>2]=0;k[rb+4>>2]=0;k[rb+8>>2]=0;k[rb+12>>2]=0;k[X+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,db|0,c|0);tb=B;B=0;if(tb&1){tb=Rb()|0;sb=Q;Yua(c);Yua(rb);Ava(db);he=sb;ie=tb;break}Yua(c);B=0;tb=Ia(40,X|0,140909,32)|0;sb=B;B=0;o:do if(!(sb&1)?(B=0,Xa(239,tb|0,0)|0,pb=B,B=0,!(pb&1)):0){pb=Ab(20)|0;B=0;eb(502,Y|0,140006,66);mb=B;B=0;do if(!(mb&1)){B=0;eb(502,Z|0,140740,14);lb=B;B=0;if(lb&1){lb=Rb()|0;nb=Q;Yua(Y);je=lb;ke=nb;break}B=0;wa(510,_|0,db|0);nb=B;B=0;if(nb&1){nb=Rb()|0;le=1;me=nb;ne=Q}else{B=0;ua(163,pb|0,Y|0,Z|0,912,_|0);nb=B;B=0;if(nb&1)oe=1;else{B=0;eb(503,pb|0,1240,229);B=0;oe=0}nb=Rb()|0;lb=Q;Yua(_);le=oe;me=nb;ne=lb}Yua(Z);Yua(Y);if(le){je=me;ke=ne}else{pe=me;qe=ne;break o}}else{lb=Rb()|0;je=lb;ke=Q}while(0);zb(pb|0);pe=je;qe=ke}else Ja=242;while(0);if((Ja|0)==242){tb=Rb()|0;pe=tb;qe=Q}k[X>>2]=27468;k[wb>>2]=27488;k[db>>2]=27560;Yua(rb);Ava(db);vva(wb);Lb=pe;Mb=qe;Qb(Lb|0)}while(0);fe=he;ge=ie;vva(wb);Qb(ge|0);break}case 252:{db=$+56|0;Ya=$+4|0;k[$>>2]=27524;k[db>>2]=27544;B=0;wa(508,$+56|0,Ya|0);ub=B;B=0;if(ub&1){ub=Rb()|0;re=Q;se=ub;vva(db);Qb(se|0)}k[$+128>>2]=0;k[$+132>>2]=-1;k[$>>2]=27468;k[db>>2]=27488;B=0;va(448,Ya|0);ub=B;B=0;do if(ub&1){tb=Rb()|0;te=Q;ue=tb}else{k[Ya>>2]=27560;tb=$+36|0;k[tb>>2]=0;k[tb+4>>2]=0;k[tb+8>>2]=0;k[tb+12>>2]=0;k[$+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ya|0,c|0);sb=B;B=0;if(sb&1){sb=Rb()|0;ob=Q;Yua(c);Yua(tb);Ava(Ya);te=ob;ue=sb;break}Yua(c);B=0;sb=Ia(40,$|0,140942,23)|0;ob=B;B=0;p:do if(!(ob&1)?(B=0,Xa(239,sb|0,0)|0,mb=B,B=0,!(mb&1)):0){mb=Ab(20)|0;B=0;eb(502,aa|0,140006,66);qb=B;B=0;do if(!(qb&1)){B=0;eb(502,ba|0,140740,14);lb=B;B=0;if(lb&1){lb=Rb()|0;nb=Q;Yua(aa);ve=lb;we=nb;break}B=0;wa(510,ca|0,Ya|0);nb=B;B=0;if(nb&1){nb=Rb()|0;xe=1;ye=nb;ze=Q}else{B=0;ua(163,mb|0,aa|0,ba|0,920,ca|0);nb=B;B=0;if(nb&1)Ae=1;else{B=0;eb(503,mb|0,1240,229);B=0;Ae=0}nb=Rb()|0;lb=Q;Yua(ca);xe=Ae;ye=nb;ze=lb}Yua(ba);Yua(aa);if(xe){ve=ye;we=ze}else{Be=ye;Ce=ze;break p}}else{lb=Rb()|0;ve=lb;we=Q}while(0);zb(mb|0);Be=ve;Ce=we}else Ja=267;while(0);if((Ja|0)==267){sb=Rb()|0;Be=sb;Ce=Q}k[$>>2]=27468;k[db>>2]=27488;k[Ya>>2]=27560;Yua(tb);Ava(Ya);vva(db);Lb=Be;Mb=Ce;Qb(Lb|0)}while(0);re=te;se=ue;vva(db);Qb(se|0);break}case 280:{Ya=Rb()|0;ub=Q;Sqa(ac);De=$b;Ee=ub;Fe=Ya;Ja=283;break}case 282:{Ya=Rb()|0;De=_b;Ee=Q;Fe=Ya;Ja=283;break}case 286:{Ya=da+56|0;ub=da+4|0;k[da>>2]=27524;k[Ya>>2]=27544;B=0;wa(508,da+56|0,ub|0);wb=B;B=0;if(wb&1){wb=Rb()|0;Ge=Q;He=wb;vva(Ya);Qb(He|0)}k[da+128>>2]=0;k[da+132>>2]=-1;k[da>>2]=27468;k[Ya>>2]=27488;B=0;va(448,ub|0);wb=B;B=0;do if(wb&1){sb=Rb()|0;Ie=Q;Je=sb}else{k[ub>>2]=27560;sb=da+36|0;k[sb>>2]=0;k[sb+4>>2]=0;k[sb+8>>2]=0;k[sb+12>>2]=0;k[da+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ub|0,c|0);ob=B;B=0;if(ob&1){ob=Rb()|0;rb=Q;Yua(c);Yua(sb);Ava(ub);Ie=rb;Je=ob;break}Yua(c);B=0;ob=Ia(40,da|0,140966,37)|0;rb=B;B=0;q:do if(!(rb&1)?(B=0,Xa(239,ob|0,0)|0,qb=B,B=0,!(qb&1)):0){qb=Ab(20)|0;B=0;eb(502,ea|0,140006,66);pb=B;B=0;do if(!(pb&1)){B=0;eb(502,fa|0,140740,14);lb=B;B=0;if(lb&1){lb=Rb()|0;nb=Q;Yua(ea);Ke=lb;Le=nb;break}B=0;wa(510,ga|0,ub|0);nb=B;B=0;if(nb&1){nb=Rb()|0;Me=1;Ne=nb;Oe=Q}else{B=0;ua(163,qb|0,ea|0,fa|0,945,ga|0);nb=B;B=0;if(nb&1)Pe=1;else{B=0;eb(503,qb|0,1240,229);B=0;Pe=0}nb=Rb()|0;lb=Q;Yua(ga);Me=Pe;Ne=nb;Oe=lb}Yua(fa);Yua(ea);if(Me){Ke=Ne;Le=Oe}else{Qe=Ne;Re=Oe;break q}}else{lb=Rb()|0;Ke=lb;Le=Q}while(0);zb(qb|0);Qe=Ke;Re=Le}else Ja=301;while(0);if((Ja|0)==301){ob=Rb()|0;Qe=ob;Re=Q}k[da>>2]=27468;k[Ya>>2]=27488;k[ub>>2]=27560;Yua(sb);Ava(ub);vva(Ya);Lb=Qe;Mb=Re;Qb(Lb|0)}while(0);Ge=Ie;He=Je;vva(Ya);Qb(He|0);break}case 313:{ub=ha+56|0;wb=ha+4|0;k[ha>>2]=27524;k[ub>>2]=27544;B=0;wa(508,ha+56|0,wb|0);db=B;B=0;if(db&1){db=Rb()|0;Se=Q;Te=db;vva(ub);Qb(Te|0)}k[ha+128>>2]=0;k[ha+132>>2]=-1;k[ha>>2]=27468;k[ub>>2]=27488;B=0;va(448,wb|0);db=B;B=0;do if(db&1){ob=Rb()|0;Ue=Q;Ve=ob}else{k[wb>>2]=27560;ob=ha+36|0;k[ob>>2]=0;k[ob+4>>2]=0;k[ob+8>>2]=0;k[ob+12>>2]=0;k[ha+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,wb|0,c|0);rb=B;B=0;if(rb&1){rb=Rb()|0;tb=Q;Yua(c);Yua(ob);Ava(wb);Ue=tb;Ve=rb;break}Yua(c);B=0;rb=Ia(40,ha|0,140909,32)|0;tb=B;B=0;r:do if(!(tb&1)?(B=0,Xa(239,rb|0,0)|0,pb=B,B=0,!(pb&1)):0){pb=Ab(20)|0;B=0;eb(502,ia|0,140006,66);mb=B;B=0;do if(!(mb&1)){B=0;eb(502,ja|0,140740,14);lb=B;B=0;if(lb&1){lb=Rb()|0;nb=Q;Yua(ia);We=lb;Xe=nb;break}B=0;wa(510,ka|0,wb|0);nb=B;B=0;if(nb&1){nb=Rb()|0;Ye=1;Ze=nb;_e=Q}else{B=0;ua(163,pb|0,ia|0,ja|0,955,ka|0);nb=B;B=0;if(nb&1)$e=1;else{B=0;eb(503,pb|0,1240,229);B=0;$e=0}nb=Rb()|0;lb=Q;Yua(ka);Ye=$e;Ze=nb;_e=lb}Yua(ja);Yua(ia);if(Ye){We=Ze;Xe=_e}else{af=Ze;bf=_e;break r}}else{lb=Rb()|0;We=lb;Xe=Q}while(0);zb(pb|0);af=We;bf=Xe}else Ja=328;while(0);if((Ja|0)==328){rb=Rb()|0;af=rb;bf=Q}k[ha>>2]=27468;k[ub>>2]=27488;k[wb>>2]=27560;Yua(ob);Ava(wb);vva(ub);Lb=af;Mb=bf;Qb(Lb|0)}while(0);Se=Ue;Te=Ve;vva(ub);Qb(Te|0);break}case 338:{wb=la+56|0;db=la+4|0;k[la>>2]=27524;k[wb>>2]=27544;B=0;wa(508,la+56|0,db|0);Ya=B;B=0;if(Ya&1){Ya=Rb()|0;cf=Q;df=Ya;vva(wb);Qb(df|0)}k[la+128>>2]=0;k[la+132>>2]=-1;k[la>>2]=27468;k[wb>>2]=27488;B=0;va(448,db|0);Ya=B;B=0;do if(Ya&1){rb=Rb()|0;ef=Q;ff=rb}else{k[db>>2]=27560;rb=la+36|0;k[rb>>2]=0;k[rb+4>>2]=0;k[rb+8>>2]=0;k[rb+12>>2]=0;k[la+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,db|0,c|0);tb=B;B=0;if(tb&1){tb=Rb()|0;sb=Q;Yua(c);Yua(rb);Ava(db);ef=sb;ff=tb;break}Yua(c);B=0;tb=Ia(40,la|0,140942,23)|0;sb=B;B=0;s:do if(!(sb&1)?(B=0,Xa(239,tb|0,0)|0,mb=B,B=0,!(mb&1)):0){mb=Ab(20)|0;B=0;eb(502,ma|0,140006,66);qb=B;B=0;do if(!(qb&1)){B=0;eb(502,na|0,140740,14);lb=B;B=0;if(lb&1){lb=Rb()|0;nb=Q;Yua(ma);gf=lb;hf=nb;break}B=0;wa(510,oa|0,db|0);nb=B;B=0;if(nb&1){nb=Rb()|0;jf=1;kf=nb;lf=Q}else{B=0;ua(163,mb|0,ma|0,na|0,960,oa|0);nb=B;B=0;if(nb&1)mf=1;else{B=0;eb(503,mb|0,1240,229);B=0;mf=0}nb=Rb()|0;lb=Q;Yua(oa);jf=mf;kf=nb;lf=lb}Yua(na);Yua(ma);if(jf){gf=kf;hf=lf}else{nf=kf;of=lf;break s}}else{lb=Rb()|0;gf=lb;hf=Q}while(0);zb(mb|0);nf=gf;of=hf}else Ja=353;while(0);if((Ja|0)==353){tb=Rb()|0;nf=tb;of=Q}k[la>>2]=27468;k[wb>>2]=27488;k[db>>2]=27560;Yua(rb);Ava(db);vva(wb);Lb=nf;Mb=of;Qb(Lb|0)}while(0);cf=ef;df=ff;vva(wb);Qb(df|0);break}case 367:{db=Rb()|0;Ya=Q;Sqa(gc);pf=fc;qf=Ya;rf=db;Ja=372;break}case 371:{db=Rb()|0;pf=ec;qf=Q;rf=db;Ja=372;break}case 376:{db=pa+56|0;Ya=pa+4|0;k[pa>>2]=27524;k[db>>2]=27544;B=0;wa(508,pa+56|0,Ya|0);ub=B;B=0;if(ub&1){ub=Rb()|0;sf=Q;tf=ub;vva(db);Qb(tf|0)}k[pa+128>>2]=0;k[pa+132>>2]=-1;k[pa>>2]=27468;k[db>>2]=27488;B=0;va(448,Ya|0);ub=B;B=0;do if(ub&1){tb=Rb()|0;uf=Q;vf=tb}else{k[Ya>>2]=27560;tb=pa+36|0;k[tb>>2]=0;k[tb+4>>2]=0;k[tb+8>>2]=0;k[tb+12>>2]=0;k[pa+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ya|0,c|0);sb=B;B=0;if(sb&1){sb=Rb()|0;ob=Q;Yua(c);Yua(tb);Ava(Ya);uf=ob;vf=sb;break}Yua(c);B=0;sb=Ia(40,pa|0,141004,20)|0;ob=B;B=0;t:do if((!(ob&1)?(B=0,qb=Xa(242,sb|0,k[f>>2]|0)|0,pb=B,B=0,!(pb&1)):0)?(B=0,Xa(239,qb|0,0)|0,qb=B,B=0,!(qb&1)):0){qb=Ab(20)|0;B=0;eb(502,qa|0,140006,66);pb=B;B=0;do if(!(pb&1)){B=0;eb(502,ra|0,140740,14);lb=B;B=0;if(lb&1){lb=Rb()|0;nb=Q;Yua(qa);wf=lb;xf=nb;break}B=0;wa(510,sa|0,Ya|0);nb=B;B=0;if(nb&1){nb=Rb()|0;yf=1;zf=nb;Af=Q}else{B=0;ua(163,qb|0,qa|0,ra|0,979,sa|0);nb=B;B=0;if(nb&1)Bf=1;else{B=0;eb(503,qb|0,1240,229);B=0;Bf=0}nb=Rb()|0;lb=Q;Yua(sa);yf=Bf;zf=nb;Af=lb}Yua(ra);Yua(qa);if(yf){wf=zf;xf=Af}else{Cf=zf;Df=Af;break t}}else{lb=Rb()|0;wf=lb;xf=Q}while(0);zb(qb|0);Cf=wf;Df=xf}else Ja=392;while(0);if((Ja|0)==392){sb=Rb()|0;Cf=sb;Df=Q}k[pa>>2]=27468;k[db>>2]=27488;k[Ya>>2]=27560;Yua(tb);Ava(Ya);vva(db);Lb=Cf;Mb=Df;Qb(Lb|0)}while(0);sf=uf;tf=vf;vva(db);Qb(tf|0);break}}if((Ja|0)==160){Sqa(Ad);Lb=Cd;Mb=Bd;Qb(Lb|0)}else if((Ja|0)==191){Sqa(Pd);Lb=Rd;Mb=Qd;Qb(Lb|0)}else if((Ja|0)==225){Sqa(ce);Lb=ee;Mb=de;Qb(Lb|0)}else if((Ja|0)==283){Sqa(De);Lb=Fe;Mb=Ee;Qb(Lb|0)}else if((Ja|0)==372){Sqa(pf);Lb=rf;Mb=qf;Qb(Lb|0)}}while(0);k[f>>2]=0;uY()|0;r=b;return}function zka(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;j=k[a>>2]|0;l=a+4|0;a=k[l>>2]|0;m=j>>>0<a>>>0;if(m){n=j;do{o=k[n>>2]|0;n=n+4|0;if(!(Ita(k[o+4>>2]|0,c)|0)){p=o;q=4;break}}while(n>>>0<a>>>0);if((q|0)==4){q=k[p+8>>2]|0;Fc[k[(k[q>>2]|0)+28>>2]&1023](q,b);r=d;return}if(m){m=j;do{j=k[(k[m>>2]|0)+8>>2]|0;Ec[k[(k[j>>2]|0)+8>>2]&1023](j);m=m+4|0}while(m>>>0<(k[l>>2]|0)>>>0)}}l=f+56|0;m=f+4|0;k[f>>2]=27524;k[l>>2]=27544;B=0;wa(508,f+56|0,m|0);j=B;B=0;if(j&1){j=Rb()|0;s=Q;t=j;vva(l);Qb(t|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[l>>2]=27488;B=0;va(448,m|0);j=B;B=0;do if(j&1){d=Rb()|0;u=Q;v=d}else{k[m>>2]=27560;d=f+36|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,m|0,e|0);b=B;B=0;if(b&1){b=Rb()|0;q=Q;Yua(e);Yua(d);Ava(m);u=q;v=b;break}Yua(e);B=0;b=Ia(40,f|0,141025,25)|0;q=B;B=0;if(((!(q&1)?(q=Lta(c)|0,B=0,p=Ia(40,b|0,c|0,q|0)|0,q=B,B=0,!(q&1)):0)?(B=0,q=Ia(40,p|0,141051,1)|0,p=B,B=0,!(p&1)):0)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,g|0,140006,66);p=B;B=0;do if(!(p&1)){B=0;eb(502,h|0,141053,12);b=B;B=0;if(b&1){b=Rb()|0;a=Q;Yua(g);w=a;x=b;break}B=0;wa(510,i|0,m|0);b=B;B=0;if(b&1){b=Rb()|0;y=Q;z=b;A=1}else{B=0;ua(163,q|0,g|0,h|0,501,i|0);b=B;B=0;if(b&1)C=1;else{B=0;eb(503,q|0,1240,229);B=0;C=0}b=Rb()|0;a=Q;Yua(i);y=a;z=b;A=C}Yua(h);Yua(g);if(A){w=y;x=z}else{D=z;E=y;k[f>>2]=27468;k[l>>2]=27488;k[m>>2]=27560;Yua(d);Ava(m);vva(l);Qb(D|0)}}else{b=Rb()|0;w=Q;x=b}while(0);zb(q|0);D=x;E=w;k[f>>2]=27468;k[l>>2]=27488;k[m>>2]=27560;Yua(d);Ava(m);vva(l);Qb(D|0)}p=Rb()|0;D=p;E=Q;k[f>>2]=27468;k[l>>2]=27488;k[m>>2]=27560;Yua(d);Ava(m);vva(l);Qb(D|0)}while(0);s=u;t=v;vva(l);Qb(t|0)}function Aka(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;c=r;r=r+16|0;d=c;k[d>>2]=b;e=k[a>>2]|0;f=a+4|0;g=k[f>>2]|0;h=b;a:do if(e>>>0<g>>>0){i=b+4|0;j=k[i>>2]|0;l=e;while(1){if(!(Ita(k[(k[l>>2]|0)+4>>2]|0,j)|0))break;l=l+4|0;if(l>>>0>=g>>>0)break a}if(!b){r=c;return}if(j)Tqa(j);k[i>>2]=0;l=k[b+8>>2]|0;if(l)Ec[k[(k[l>>2]|0)+4>>2]&1023](l);Sqa(b);r=c;return}while(0);if((g|0)==(k[a+8>>2]|0)){_ka(a,d);r=c;return}else{k[g>>2]=h;k[f>>2]=(k[f>>2]|0)+4;r=c;return}}function Bka(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;d=r;r=r+384|0;e=d+360|0;f=d+356|0;g=d+352|0;h=d+216|0;i=d+200|0;j=d+48|0;l=d+36|0;m=d+64|0;n=d+24|0;o=d+12|0;p=d;q=vY()|0;s=Oka(a,g,0,c)|0;k[a+24>>2]=s;if((k[g>>2]|0)!=2){g=h+56|0;a=h+4|0;k[h>>2]=27524;k[g>>2]=27544;B=0;wa(508,h+56|0,a|0);t=B;B=0;if(t&1){t=Rb()|0;u=Q;v=t;vva(g);Qb(v|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[g>>2]=27488;B=0;va(448,a|0);t=B;B=0;do if(t&1){w=Rb()|0;x=Q;y=w}else{k[a>>2]=27560;w=h+36|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[h+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,a|0,e|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;Yua(e);Yua(w);Ava(a);x=A;y=z;break}Yua(e);B=0;z=Ia(40,h|0,141066,26)|0;A=B;B=0;a:do if(((!(A&1)?(C=Lta(c)|0,B=0,D=Ia(40,z|0,c|0,C|0)|0,C=B,B=0,!(C&1)):0)?(B=0,C=Ia(40,D|0,141051,1)|0,D=B,B=0,!(D&1)):0)?(B=0,Xa(239,C|0,0)|0,C=B,B=0,!(C&1)):0){C=Ab(20)|0;B=0;eb(502,i|0,140006,66);D=B;B=0;do if(!(D&1)){B=0;eb(502,j|0,141093,9);E=B;B=0;if(E&1){E=Rb()|0;F=Q;Yua(i);G=E;H=F;break}B=0;wa(510,l|0,a|0);F=B;B=0;if(F&1){F=Rb()|0;I=Q;J=F;K=1}else{B=0;ua(163,C|0,i|0,j|0,1137,l|0);F=B;B=0;if(F&1)L=1;else{B=0;eb(503,C|0,1240,229);B=0;L=0}F=Rb()|0;E=Q;Yua(l);I=E;J=F;K=L}Yua(j);Yua(i);if(K){G=J;H=I}else{M=J;N=I;break a}}else{F=Rb()|0;G=F;H=Q}while(0);zb(C|0);M=G;N=H}else O=19;while(0);if((O|0)==19){z=Rb()|0;M=z;N=Q}k[h>>2]=27468;k[g>>2]=27488;k[a>>2]=27560;Yua(w);Ava(a);vva(g);P=N;R=M;Qb(R|0)}while(0);u=x;v=y;vva(g);Qb(v|0)}if(q){uY()|0;S=k[f>>2]|0;k[b>>2]=S;r=d;return}if((ata(f,4,1,s)|0)==1){uY()|0;S=k[f>>2]|0;k[b>>2]=S;r=d;return}d=m+56|0;S=m+4|0;k[m>>2]=27524;k[d>>2]=27544;B=0;wa(508,m+56|0,S|0);b=B;B=0;if(b&1){b=Rb()|0;T=Q;U=b;vva(d);Qb(U|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[d>>2]=27488;B=0;va(448,S|0);b=B;B=0;do if(b&1){f=Rb()|0;V=Q;W=f}else{k[S>>2]=27560;f=m+36|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;k[m+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,S|0,e|0);s=B;B=0;if(s&1){s=Rb()|0;q=Q;Yua(e);Yua(f);Ava(S);V=q;W=s;break}Yua(e);B=0;s=Ia(40,m|0,140862,23)|0;q=B;B=0;b:do if(!(q&1)?(B=0,Xa(239,s|0,0)|0,v=B,B=0,!(v&1)):0){v=Ab(20)|0;B=0;eb(502,n|0,140006,66);g=B;B=0;do if(!(g&1)){B=0;eb(502,o|0,141093,9);y=B;B=0;if(y&1){y=Rb()|0;x=Q;Yua(n);X=y;Y=x;break}B=0;wa(510,p|0,S|0);x=B;B=0;if(x&1){x=Rb()|0;Z=1;_=Q;$=x}else{B=0;ua(163,v|0,n|0,o|0,1141,p|0);x=B;B=0;if(x&1)aa=1;else{B=0;eb(503,v|0,1240,229);B=0;aa=0}x=Rb()|0;y=Q;Yua(p);Z=aa;_=y;$=x}Yua(o);Yua(n);if(Z){X=$;Y=_}else{ba=_;ca=$;break b}}else{x=Rb()|0;X=x;Y=Q}while(0);zb(v|0);ba=Y;ca=X}else O=44;while(0);if((O|0)==44){s=Rb()|0;ba=Q;ca=s}k[m>>2]=27468;k[d>>2]=27488;k[S>>2]=27560;Yua(f);Ava(S);vva(d);P=ba;R=ca;Qb(R|0)}while(0);T=V;U=W;vva(d);Qb(U|0)}function Cka(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0;f=r;r=r+720|0;g=f+704|0;h=f+700|0;i=f+684|0;j=f+680|0;l=f+520|0;m=f+688|0;n=f+668|0;o=f+656|0;q=f+384|0;s=f+368|0;t=f+84|0;u=f+72|0;v=f+232|0;w=f+60|0;x=f+48|0;y=f+36|0;z=f+96|0;A=f+24|0;C=f+12|0;D=f;k[j>>2]=0;E=vY()|0;F=Oka(a,j,0,e)|0;G=a+24|0;k[G>>2]=F;a=k[j>>2]|0;if((a+-5|0)>>>0>=3){j=l+56|0;H=l+4|0;k[l>>2]=27524;k[j>>2]=27544;B=0;wa(508,l+56|0,H|0);I=B;B=0;if(I&1){I=Rb()|0;J=Q;K=I;vva(j);Qb(K|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[j>>2]=27488;B=0;va(448,H|0);I=B;B=0;do if(I&1){L=Rb()|0;M=Q;N=L}else{k[H>>2]=27560;L=l+36|0;k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;k[L+12>>2]=0;k[l+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,H|0,g|0);O=B;B=0;if(O&1){O=Rb()|0;P=Q;Yua(g);Yua(L);Ava(H);M=P;N=O;break}Yua(g);B=0;O=Ia(40,l|0,141103,55)|0;P=B;B=0;a:do if((((((!(P&1)?(R=Lta(e)|0,B=0,S=Ia(40,O|0,e|0,R|0)|0,R=B,B=0,!(R&1)):0)?(B=0,R=Ia(40,S|0,141051,1)|0,S=B,B=0,!(S&1)):0)?(B=0,S=Ia(40,R|0,141159,10)|0,R=B,B=0,!(R&1)):0)?(B=0,R=Xa(242,S|0,a|0)|0,S=B,B=0,!(S&1)):0)?(B=0,S=Ia(40,R|0,141170,1)|0,R=B,B=0,!(R&1)):0)?(B=0,Xa(239,S|0,0)|0,S=B,B=0,!(S&1)):0){S=Ab(20)|0;B=0;eb(502,m|0,140006,66);R=B;B=0;do if(!(R&1)){B=0;eb(502,n|0,141093,9);T=B;B=0;if(T&1){T=Rb()|0;U=Q;Yua(m);V=U;W=T;break}B=0;wa(510,o|0,H|0);T=B;B=0;if(T&1){T=Rb()|0;X=Q;Y=T;Z=1}else{B=0;ua(163,S|0,m|0,n|0,1234,o|0);T=B;B=0;if(T&1)_=1;else{B=0;eb(503,S|0,1240,229);B=0;_=0}T=Rb()|0;U=Q;Yua(o);X=U;Y=T;Z=_}Yua(n);Yua(m);if(Z){V=X;W=Y}else{$=X;aa=Y;break a}}else{T=Rb()|0;V=Q;W=T}while(0);zb(S|0);$=V;aa=W}else ba=22;while(0);if((ba|0)==22){O=Rb()|0;$=Q;aa=O}k[l>>2]=27468;k[j>>2]=27488;k[H>>2]=27560;Yua(L);Ava(H);vva(j);ca=$;da=aa;Qb(da|0)}while(0);J=M;K=N;vva(j);Qb(K|0)}K=(E|0)==0;if(K){if((ata(h,4,1,F)|0)!=1){F=q+56|0;E=q+4|0;k[q>>2]=27524;k[F>>2]=27544;B=0;wa(508,q+56|0,E|0);j=B;B=0;if(j&1){j=Rb()|0;ea=Q;fa=j;vva(F);Qb(fa|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[F>>2]=27488;B=0;va(448,E|0);j=B;B=0;do if(j&1){N=Rb()|0;ga=Q;ha=N}else{k[E>>2]=27560;N=q+36|0;k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;k[N+12>>2]=0;k[q+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,E|0,g|0);M=B;B=0;if(M&1){M=Rb()|0;J=Q;Yua(g);Yua(N);Ava(E);ga=J;ha=M;break}Yua(g);B=0;M=Ia(40,q|0,141172,41)|0;J=B;B=0;b:do if(!(J&1)?(B=0,Xa(239,M|0,0)|0,aa=B,B=0,!(aa&1)):0){aa=Ab(20)|0;B=0;eb(502,s|0,140006,66);$=B;B=0;do if(!($&1)){B=0;eb(502,t|0,141093,9);H=B;B=0;if(H&1){H=Rb()|0;l=Q;Yua(s);ia=H;ja=l;break}B=0;wa(510,u|0,E|0);l=B;B=0;if(l&1){l=Rb()|0;ka=1;la=Q;na=l}else{B=0;ua(163,aa|0,s|0,t|0,1241,u|0);l=B;B=0;if(l&1)oa=1;else{B=0;eb(503,aa|0,1240,229);B=0;oa=0}l=Rb()|0;H=Q;Yua(u);ka=oa;la=H;na=l}Yua(t);Yua(s);if(ka){ia=na;ja=la}else{pa=la;qa=na;break b}}else{l=Rb()|0;ia=l;ja=Q}while(0);zb(aa|0);pa=ja;qa=ia}else ba=47;while(0);if((ba|0)==47){M=Rb()|0;pa=Q;qa=M}k[q>>2]=27468;k[F>>2]=27488;k[E>>2]=27560;Yua(N);Ava(E);vva(F);ca=pa;da=qa;Qb(da|0)}while(0);ea=ga;fa=ha;vva(F);Qb(fa|0)}uY()|0;if((ata(i,4,1,k[G>>2]|0)|0)!=1){fa=v+56|0;F=v+4|0;k[v>>2]=27524;k[fa>>2]=27544;B=0;wa(508,v+56|0,F|0);ha=B;B=0;if(ha&1){ha=Rb()|0;ra=Q;sa=ha;vva(fa);Qb(sa|0)}k[v+128>>2]=0;k[v+132>>2]=-1;k[v>>2]=27468;k[fa>>2]=27488;B=0;va(448,F|0);ha=B;B=0;do if(ha&1){ga=Rb()|0;ta=Q;xa=ga}else{k[F>>2]=27560;ga=v+36|0;k[ga>>2]=0;k[ga+4>>2]=0;k[ga+8>>2]=0;k[ga+12>>2]=0;k[v+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,F|0,g|0);ea=B;B=0;if(ea&1){ea=Rb()|0;qa=Q;Yua(g);Yua(ga);Ava(F);ta=qa;xa=ea;break}Yua(g);B=0;ea=Ia(40,v|0,141214,44)|0;qa=B;B=0;c:do if(!(qa&1)?(B=0,Xa(239,ea|0,0)|0,pa=B,B=0,!(pa&1)):0){pa=Ab(20)|0;B=0;eb(502,w|0,140006,66);E=B;B=0;do if(!(E&1)){B=0;eb(502,x|0,141093,9);q=B;B=0;if(q&1){q=Rb()|0;ia=Q;Yua(w);ya=q;za=ia;break}B=0;wa(510,y|0,F|0);ia=B;B=0;if(ia&1){ia=Rb()|0;Aa=1;Ba=Q;Ca=ia}else{B=0;ua(163,pa|0,w|0,x|0,1247,y|0);ia=B;B=0;if(ia&1)Da=1;else{B=0;eb(503,pa|0,1240,229);B=0;Da=0}ia=Rb()|0;q=Q;Yua(y);Aa=Da;Ba=q;Ca=ia}Yua(x);Yua(w);if(Aa){ya=Ca;za=Ba}else{Ea=Ba;Fa=Ca;break c}}else{ia=Rb()|0;ya=ia;za=Q}while(0);zb(pa|0);Ea=za;Fa=ya}else ba=71;while(0);if((ba|0)==71){ea=Rb()|0;Ea=Q;Fa=ea}k[v>>2]=27468;k[fa>>2]=27488;k[F>>2]=27560;Yua(ga);Ava(F);vva(fa);ca=Ea;da=Fa;Qb(da|0)}while(0);ra=ta;sa=xa;vva(fa);Qb(sa|0)}}else uY()|0;uY()|0;sa=k[h>>2]|0;fa=k[i>>2]|0;xa=ma(fa,sa)|0;if(!xa){Ga=fa;Ha=sa;Ja=0}else{ta=Rqa(xa>>>0>536870911?-1:xa<<3)|0;do if(K){xa=ma(sa<<3,fa)|0;if((ata(ta,xa,1,k[G>>2]|0)|0)==1)break;xa=z+56|0;ra=z+4|0;k[z>>2]=27524;k[xa>>2]=27544;B=0;wa(508,z+56|0,ra|0);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;Ka=Q;La=Fa;vva(xa);Qb(La|0)}k[z+128>>2]=0;k[z+132>>2]=-1;k[z>>2]=27468;k[xa>>2]=27488;B=0;va(448,ra|0);Fa=B;B=0;do if(Fa&1){Ea=Rb()|0;Ma=Q;Na=Ea}else{k[ra>>2]=27560;Ea=z+36|0;k[Ea>>2]=0;k[Ea+4>>2]=0;k[Ea+8>>2]=0;k[Ea+12>>2]=0;k[z+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,ra|0,g|0);F=B;B=0;if(F&1){F=Rb()|0;v=Q;Yua(g);Yua(Ea);Ava(ra);Ma=v;Na=F;break}Yua(g);B=0;F=Ia(40,z|0,141259,22)|0;v=B;B=0;d:do if(!(v&1)?(B=0,Xa(239,F|0,0)|0,ya=B,B=0,!(ya&1)):0){ya=Ab(20)|0;B=0;eb(502,A|0,140006,66);za=B;B=0;do if(!(za&1)){B=0;eb(502,C|0,141093,9);Ca=B;B=0;if(Ca&1){Ca=Rb()|0;Ba=Q;Yua(A);Oa=Ca;Pa=Ba;break}B=0;wa(510,D|0,ra|0);Ba=B;B=0;if(Ba&1){Ba=Rb()|0;Qa=1;Ra=Q;Sa=Ba}else{B=0;ua(163,ya|0,A|0,C|0,1257,D|0);Ba=B;B=0;if(Ba&1)Ta=1;else{B=0;eb(503,ya|0,1240,229);B=0;Ta=0}Ba=Rb()|0;Ca=Q;Yua(D);Qa=Ta;Ra=Ca;Sa=Ba}Yua(C);Yua(A);if(Qa){Oa=Sa;Pa=Ra}else{Ua=Ra;Va=Sa;break d}}else{Ba=Rb()|0;Oa=Ba;Pa=Q}while(0);zb(ya|0);Ua=Pa;Va=Oa}else ba=99;while(0);if((ba|0)==99){F=Rb()|0;Ua=Q;Va=F}k[z>>2]=27468;k[xa>>2]=27488;k[ra>>2]=27560;Yua(Ea);Ava(ra);vva(xa);ca=Ua;da=Va;Qb(da|0)}while(0);Ka=Ma;La=Na;vva(xa);Qb(La|0)}while(0);uY()|0;Ga=k[i>>2]|0;Ha=k[h>>2]|0;Ja=ta}ta=ma(Ga,Ha)|0;if(ta){La=Rqa(ta>>>0>1073741823?-1:ta<<2)|0;if((Ha|0)>0&(Ga|0)>0){ta=0;do{Na=ma(Ga,ta)|0;Ma=0;do{Ka=Na+Ma|0;k[La+(Ka<<2)>>2]=~~+p[Ja+(Ka<<3)>>3];Ma=Ma+1|0}while((Ma|0)!=(Ga|0));ta=ta+1|0}while((ta|0)<(Ha|0));Wa=La;ba=114}else{Ya=La;ba=113}}else{Ya=0;ba=113}if((ba|0)==113)if(!Ja)Za=Ya;else{Wa=Ya;ba=114}if((ba|0)==114){Tqa(Ja);Za=Wa}k[b>>2]=Za;if(c)k[c>>2]=k[h>>2];if(!d){r=f;return}k[d>>2]=k[i>>2];r=f;return}function Dka(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;b=k[a>>2]|0;c=a+4|0;d=k[c>>2]|0;if(b>>>0<d>>>0){e=d;f=b;while(1){g=k[f>>2]|0;if(!g)h=e;else{i=g+4|0;j=k[i>>2]|0;if(j)Tqa(j);k[i>>2]=0;i=k[g+8>>2]|0;if(i)Ec[k[(k[i>>2]|0)+4>>2]&1023](i);Sqa(g);h=k[c>>2]|0}f=f+4|0;if(f>>>0>=h>>>0){l=h;break}else e=h}m=l;n=k[a>>2]|0}else{m=d;n=b}if((m|0)!=(n|0))k[c>>2]=m+(~((m+-4-n|0)>>>2)<<2);n=a+12|0;m=k[n>>2]|0;b=a+16|0;d=k[b>>2]|0;if(m>>>0<d>>>0){l=d;h=m;while(1){e=k[h>>2]|0;if(!e)o=l;else{f=e+4|0;g=k[f>>2]|0;if(g)Tqa(g);k[f>>2]=0;f=k[e+24>>2]|0;if(f)Tqa(f);Sqa(e);o=k[b>>2]|0}h=h+4|0;if(h>>>0>=o>>>0){p=o;break}else l=o}q=p;r=k[n>>2]|0}else{q=d;r=m}if((q|0)!=(r|0))k[b>>2]=q+(~((q+-4-r|0)>>>2)<<2);r=a+32|0;q=k[r>>2]|0;if(q)Tqa(q);k[r>>2]=0;r=a+36|0;q=k[r>>2]|0;if(q)Tqa(q);k[r>>2]=0;r=a+72|0;q=k[r>>2]|0;if(q)Tqa(q);k[r>>2]=0;r=a+76|0;q=k[r>>2]|0;if(q)Tqa(q);k[r>>2]=0;r=a+80|0;q=k[r>>2]|0;if(q)Tqa(q);k[r>>2]=0;r=a+88|0;q=k[r>>2]|0;if(q)Tqa(q);k[r>>2]=0;r=a+84|0;q=k[r>>2]|0;if(q)Tqa(q);k[r>>2]=0;r=a+92|0;q=k[r>>2]|0;if(q)Tqa(q);k[r>>2]=0;r=a+96|0;q=k[r>>2]|0;if(q)Tqa(q);k[r>>2]=0;r=k[n>>2]|0;n=r;if(r){q=k[b>>2]|0;if((q|0)!=(r|0))k[b>>2]=q+(~((q+-4-n|0)>>>2)<<2);Sqa(r)}r=k[a>>2]|0;if(!r)return;a=k[c>>2]|0;if((a|0)!=(r|0))k[c>>2]=a+(~((a+-4-r|0)>>>2)<<2);Sqa(r);return}function Eka(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;c=r;r=r+16|0;d=c;k[d>>2]=b;e=a+12|0;f=k[e>>2]|0;g=a+16|0;h=k[g>>2]|0;i=b;a:do if(f>>>0<h>>>0){j=b+4|0;l=k[j>>2]|0;m=f;while(1){if(!(Ita(k[(k[m>>2]|0)+4>>2]|0,l)|0))break;m=m+4|0;if(m>>>0>=h>>>0)break a}if(!b){r=c;return}if(l)Tqa(l);k[j>>2]=0;m=k[b+24>>2]|0;if(m)Tqa(m);Sqa(b);r=c;return}while(0);if((h|0)==(k[a+20>>2]|0)){$ka(e,d);r=c;return}else{k[h>>2]=i;k[g>>2]=(k[g>>2]|0)+4;r=c;return}}function Fka(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;j=k[a>>2]|0;l=k[a+4>>2]|0;a:do if(j>>>0<l>>>0){a=j;while(1){m=k[a>>2]|0;a=a+4|0;if(!(Ita(k[m+4>>2]|0,c)|0)){n=m;break}if(a>>>0>=l>>>0)break a}a=k[n+8>>2]|0;Fc[k[(k[a>>2]|0)+32>>2]&1023](a,b);r=d;return}while(0);d=f+56|0;b=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,b|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;p=n;vva(d);Qb(p|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);n=B;B=0;do if(n&1){l=Rb()|0;q=Q;s=l}else{k[b>>2]=27560;l=f+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,b|0,e|0);j=B;B=0;if(j&1){j=Rb()|0;a=Q;Yua(e);Yua(l);Ava(b);q=a;s=j;break}Yua(e);B=0;j=Ia(40,f|0,141025,25)|0;a=B;B=0;if(((!(a&1)?(a=Lta(c)|0,B=0,m=Ia(40,j|0,c|0,a|0)|0,a=B,B=0,!(a&1)):0)?(B=0,a=Ia(40,m|0,141051,1)|0,m=B,B=0,!(m&1)):0)?(B=0,Xa(239,a|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,g|0,140006,66);m=B;B=0;do if(!(m&1)){B=0;eb(502,h|0,141053,12);j=B;B=0;if(j&1){j=Rb()|0;t=Q;Yua(g);u=t;v=j;break}B=0;wa(510,i|0,b|0);j=B;B=0;if(j&1){j=Rb()|0;w=Q;x=j;y=1}else{B=0;ua(163,a|0,g|0,h|0,518,i|0);j=B;B=0;if(j&1)z=1;else{B=0;eb(503,a|0,1240,229);B=0;z=0}j=Rb()|0;t=Q;Yua(i);w=t;x=j;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(d);Qb(C|0)}}else{j=Rb()|0;u=Q;v=j}while(0);zb(a|0);A=u;C=v;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(d);Qb(C|0)}m=Rb()|0;A=Q;C=m;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(d);Qb(C|0)}while(0);o=q;p=s;vva(d);Qb(p|0)}function Gka(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;j=k[a>>2]|0;l=k[a+4>>2]|0;a:do if(j>>>0<l>>>0){a=j;while(1){m=k[a>>2]|0;a=a+4|0;if(!(Ita(k[m+4>>2]|0,c)|0)){n=m;break}if(a>>>0>=l>>>0)break a}a=k[n+8>>2]|0;Fc[k[(k[a>>2]|0)+44>>2]&1023](a,b);r=d;return}while(0);d=f+56|0;b=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,b|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;p=n;vva(d);Qb(p|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);n=B;B=0;do if(n&1){l=Rb()|0;q=Q;s=l}else{k[b>>2]=27560;l=f+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,b|0,e|0);j=B;B=0;if(j&1){j=Rb()|0;a=Q;Yua(e);Yua(l);Ava(b);q=a;s=j;break}Yua(e);B=0;j=Ia(40,f|0,141025,25)|0;a=B;B=0;if(((!(a&1)?(a=Lta(c)|0,B=0,m=Ia(40,j|0,c|0,a|0)|0,a=B,B=0,!(a&1)):0)?(B=0,a=Ia(40,m|0,141051,1)|0,m=B,B=0,!(m&1)):0)?(B=0,Xa(239,a|0,0)|0,a=B,B=0,!(a&1)):0){a=Ab(20)|0;B=0;eb(502,g|0,140006,66);m=B;B=0;do if(!(m&1)){B=0;eb(502,h|0,141053,12);j=B;B=0;if(j&1){j=Rb()|0;t=Q;Yua(g);u=t;v=j;break}B=0;wa(510,i|0,b|0);j=B;B=0;if(j&1){j=Rb()|0;w=Q;x=j;y=1}else{B=0;ua(163,a|0,g|0,h|0,535,i|0);j=B;B=0;if(j&1)z=1;else{B=0;eb(503,a|0,1240,229);B=0;z=0}j=Rb()|0;t=Q;Yua(i);w=t;x=j;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(d);Qb(C|0)}}else{j=Rb()|0;u=Q;v=j}while(0);zb(a|0);A=u;C=v;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(d);Qb(C|0)}m=Rb()|0;A=Q;C=m;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(l);Ava(b);vva(d);Qb(C|0)}while(0);o=q;p=s;vva(d);Qb(p|0)}function Hka(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;i=e+12|0;j=e;l=k[a>>2]|0;m=k[a+4>>2]|0;a:do if(l>>>0<m>>>0){a=l;while(1){n=k[a>>2]|0;a=a+4|0;if(!(Ita(k[n+4>>2]|0,d)|0)){o=n;break}if(a>>>0>=m>>>0)break a}a=k[o+8>>2]|0;nd[k[(k[a>>2]|0)+56>>2]&1023](a,b,c);r=e;return}while(0);e=g+56|0;c=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,c|0);b=B;B=0;if(b&1){b=Rb()|0;p=Q;q=b;vva(e);Qb(q|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,c|0);b=B;B=0;do if(b&1){o=Rb()|0;s=Q;t=o}else{k[c>>2]=27560;o=g+36|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[o+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,c|0,f|0);m=B;B=0;if(m&1){m=Rb()|0;l=Q;Yua(f);Yua(o);Ava(c);s=l;t=m;break}Yua(f);B=0;m=Ia(40,g|0,141025,25)|0;l=B;B=0;if(((!(l&1)?(l=Lta(d)|0,B=0,a=Ia(40,m|0,d|0,l|0)|0,l=B,B=0,!(l&1)):0)?(B=0,l=Ia(40,a|0,141051,1)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(239,l|0,0)|0,l=B,B=0,!(l&1)):0){l=Ab(20)|0;B=0;eb(502,h|0,140006,66);a=B;B=0;do if(!(a&1)){B=0;eb(502,i|0,141053,12);m=B;B=0;if(m&1){m=Rb()|0;n=Q;Yua(h);u=n;v=m;break}B=0;wa(510,j|0,c|0);m=B;B=0;if(m&1){m=Rb()|0;w=Q;x=m;y=1}else{B=0;ua(163,l|0,h|0,i|0,569,j|0);m=B;B=0;if(m&1)z=1;else{B=0;eb(503,l|0,1240,229);B=0;z=0}m=Rb()|0;n=Q;Yua(j);w=n;x=m;y=z}Yua(i);Yua(h);if(y){u=w;v=x}else{A=w;C=x;k[g>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(o);Ava(c);vva(e);Qb(C|0)}}else{m=Rb()|0;u=Q;v=m}while(0);zb(l|0);A=u;C=v;k[g>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(o);Ava(c);vva(e);Qb(C|0)}a=Rb()|0;A=Q;C=a;k[g>>2]=27468;k[e>>2]=27488;k[c>>2]=27560;Yua(o);Ava(c);vva(e);Qb(C|0)}while(0);p=s;q=t;vva(e);Qb(q|0)}function Ika(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0;d=r;r=r+192|0;e=d+176|0;f=d+40|0;g=d+24|0;h=d+12|0;i=d;j=k[a>>2]|0;l=k[a+4>>2]|0;a:do if(j>>>0<l>>>0){a=j;while(1){m=k[a>>2]|0;a=a+4|0;if(!(Ita(k[m+4>>2]|0,b)|0)){n=m;break}if(a>>>0>=l>>>0)break a}a=k[n+8>>2]|0;m=Hc[k[(k[a>>2]|0)+16>>2]&511](a)|0;Fc[k[(k[m>>2]|0)+140>>2]&1023](m,c);r=d;return m|0}while(0);d=f+56|0;c=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,c|0);n=B;B=0;if(n&1){n=Rb()|0;o=Q;p=n;vva(d);Qb(p|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,c|0);n=B;B=0;do if(n&1){l=Rb()|0;q=Q;s=l}else{k[c>>2]=27560;l=f+36|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,c|0,e|0);j=B;B=0;if(j&1){j=Rb()|0;m=Q;Yua(e);Yua(l);Ava(c);q=m;s=j;break}Yua(e);B=0;j=Ia(40,f|0,141282,10)|0;m=B;B=0;if(((!(m&1)?(m=Lta(b)|0,B=0,a=Ia(40,j|0,b|0,m|0)|0,m=B,B=0,!(m&1)):0)?(B=0,m=Ia(40,a|0,141293,22)|0,a=B,B=0,!(a&1)):0)?(B=0,Xa(239,m|0,0)|0,m=B,B=0,!(m&1)):0){m=Ab(20)|0;B=0;eb(502,g|0,140006,66);a=B;B=0;do if(!(a&1)){B=0;eb(502,h|0,141316,18);j=B;B=0;if(j&1){j=Rb()|0;t=Q;Yua(g);u=t;v=j;break}B=0;wa(510,i|0,c|0);j=B;B=0;if(j&1){j=Rb()|0;w=Q;x=j;y=1}else{B=0;ua(163,m|0,g|0,h|0,638,i|0);j=B;B=0;if(j&1)z=1;else{B=0;eb(503,m|0,1240,229);B=0;z=0}j=Rb()|0;t=Q;Yua(i);w=t;x=j;y=z}Yua(h);Yua(g);if(y){u=w;v=x}else{A=w;C=x;k[f>>2]=27468;k[d>>2]=27488;k[c>>2]=27560;Yua(l);Ava(c);vva(d);Qb(C|0)}}else{j=Rb()|0;u=Q;v=j}while(0);zb(m|0);A=u;C=v;k[f>>2]=27468;k[d>>2]=27488;k[c>>2]=27560;Yua(l);Ava(c);vva(d);Qb(C|0)}a=Rb()|0;A=Q;C=a;k[f>>2]=27468;k[d>>2]=27488;k[c>>2]=27560;Yua(l);Ava(c);vva(d);Qb(C|0)}while(0);o=q;p=s;vva(d);Qb(p|0);return 0}function Jka(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;c=k[a+12>>2]|0;d=k[a+16>>2]|0;if(c>>>0<d>>>0)e=c;else{f=0;return f|0}while(1){c=k[e>>2]|0;e=e+4|0;if(!(Ita(k[c+4>>2]|0,b)|0)){g=c;break}if(e>>>0>=d>>>0){f=0;h=5;break}}if((h|0)==5)return f|0;f=k[g+24>>2]|0;return f|0}function Kka(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;d=r;r=r+384|0;e=d+360|0;f=d+356|0;g=d+352|0;h=d+216|0;j=d+200|0;l=d+48|0;m=d+36|0;n=d+64|0;o=d+24|0;p=d+12|0;q=d;s=vY()|0;t=Oka(a,g,0,c)|0;k[a+24>>2]=t;if((k[g>>2]|0)!=1){g=h+56|0;a=h+4|0;k[h>>2]=27524;k[g>>2]=27544;B=0;wa(508,h+56|0,a|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;w=u;vva(g);Qb(w|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[g>>2]=27488;B=0;va(448,a|0);u=B;B=0;do if(u&1){x=Rb()|0;y=Q;z=x}else{k[a>>2]=27560;x=h+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[h+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,a|0,e|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(e);Yua(x);Ava(a);y=C;z=A;break}Yua(e);B=0;A=Ia(40,h|0,141335,25)|0;C=B;B=0;a:do if(((!(C&1)?(D=Lta(c)|0,B=0,E=Ia(40,A|0,c|0,D|0)|0,D=B,B=0,!(D&1)):0)?(B=0,D=Ia(40,E|0,141051,1)|0,E=B,B=0,!(E&1)):0)?(B=0,Xa(239,D|0,0)|0,D=B,B=0,!(D&1)):0){D=Ab(20)|0;B=0;eb(502,j|0,140006,66);E=B;B=0;do if(!(E&1)){B=0;eb(502,l|0,141093,9);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(j);H=F;I=G;break}B=0;wa(510,m|0,a|0);G=B;B=0;if(G&1){G=Rb()|0;J=Q;K=G;L=1}else{B=0;ua(163,D|0,j|0,l|0,1111,m|0);G=B;B=0;if(G&1)M=1;else{B=0;eb(503,D|0,1240,229);B=0;M=0}G=Rb()|0;F=Q;Yua(m);J=F;K=G;L=M}Yua(l);Yua(j);if(L){H=K;I=J}else{N=K;O=J;break a}}else{G=Rb()|0;H=G;I=Q}while(0);zb(D|0);N=H;O=I}else P=19;while(0);if((P|0)==19){A=Rb()|0;N=A;O=Q}k[h>>2]=27468;k[g>>2]=27488;k[a>>2]=27560;Yua(x);Ava(a);vva(g);R=O;S=N;Qb(S|0)}while(0);v=y;w=z;vva(g);Qb(w|0)}if(s){uY()|0;T=k[f>>2]|0;U=(T|0)!=0;V=U&1;i[b>>0]=V;r=d;return}if((ata(f,4,1,t)|0)==1){uY()|0;T=k[f>>2]|0;U=(T|0)!=0;V=U&1;i[b>>0]=V;r=d;return}d=n+56|0;V=n+4|0;k[n>>2]=27524;k[d>>2]=27544;B=0;wa(508,n+56|0,V|0);b=B;B=0;if(b&1){b=Rb()|0;W=Q;X=b;vva(d);Qb(X|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[d>>2]=27488;B=0;va(448,V|0);b=B;B=0;do if(b&1){U=Rb()|0;Y=Q;Z=U}else{k[V>>2]=27560;U=n+36|0;k[U>>2]=0;k[U+4>>2]=0;k[U+8>>2]=0;k[U+12>>2]=0;k[n+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,V|0,e|0);T=B;B=0;if(T&1){T=Rb()|0;f=Q;Yua(e);Yua(U);Ava(V);Y=f;Z=T;break}Yua(e);B=0;T=Ia(40,n|0,140838,23)|0;f=B;B=0;b:do if(!(f&1)?(B=0,Xa(239,T|0,0)|0,t=B,B=0,!(t&1)):0){t=Ab(20)|0;B=0;eb(502,o|0,140006,66);s=B;B=0;do if(!(s&1)){B=0;eb(502,p|0,141093,9);w=B;B=0;if(w&1){w=Rb()|0;g=Q;Yua(o);_=w;$=g;break}B=0;wa(510,q|0,V|0);g=B;B=0;if(g&1){g=Rb()|0;aa=1;ba=Q;ca=g}else{B=0;ua(163,t|0,o|0,p|0,1115,q|0);g=B;B=0;if(g&1)da=1;else{B=0;eb(503,t|0,1240,229);B=0;da=0}g=Rb()|0;w=Q;Yua(q);aa=da;ba=w;ca=g}Yua(p);Yua(o);if(aa){_=ca;$=ba}else{ea=ba;fa=ca;break b}}else{g=Rb()|0;_=g;$=Q}while(0);zb(t|0);ea=$;fa=_}else P=44;while(0);if((P|0)==44){T=Rb()|0;ea=Q;fa=T}k[n>>2]=27468;k[d>>2]=27488;k[V>>2]=27560;Yua(U);Ava(V);vva(d);R=ea;S=fa;Qb(S|0)}while(0);W=Y;X=Z;vva(d);Qb(X|0)}function Lka(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;d=r;r=r+208|0;e=d+192|0;f=d+176|0;g=d+40|0;h=d+24|0;j=d+12|0;l=d;k[f>>2]=c;if((b|0)<=0){r=d;return}c=a+12|0;m=a+16|0;a=0;while(1){n=(k[f>>2]|0)+(4-1)&~(4-1);o=k[n>>2]|0;k[f>>2]=n+4;if(Mta(o,140083,3)|0){p=o;break}n=k[c>>2]|0;q=k[m>>2]|0;a:do if(n>>>0<q>>>0){s=n;while(1){t=k[s>>2]|0;u=t+4|0;v=k[u>>2]|0;if((Ita(v,o)|0)==0?(i[t>>0]|0)==0:0){w=t;x=u;y=v;z=t;A=s;break}s=s+4|0;if(s>>>0>=q>>>0)break a}if(y)Tqa(y);k[x>>2]=0;s=k[w+24>>2]|0;if(s)Tqa(s);Sqa(z);s=A+4|0;t=(k[m>>2]|0)-s|0;UEa(A|0,s|0,t|0)|0;s=A+(t>>2<<2)|0;t=k[m>>2]|0;if((t|0)!=(s|0))k[m>>2]=t+(~((t+-4-s|0)>>>2)<<2)}while(0);a=a+1|0;if((a|0)>=(b|0)){C=3;break}}if((C|0)==3){r=d;return}d=g+56|0;C=g+4|0;k[g>>2]=27524;k[d>>2]=27544;B=0;wa(508,g+56|0,C|0);b=B;B=0;if(b&1){b=Rb()|0;D=Q;E=b;vva(d);Qb(E|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[d>>2]=27488;B=0;va(448,C|0);b=B;B=0;do if(b&1){a=Rb()|0;F=Q;G=a}else{k[C>>2]=27560;a=g+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[g+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,C|0,e|0);m=B;B=0;if(m&1){m=Rb()|0;A=Q;Yua(e);Yua(a);Ava(C);F=A;G=m;break}Yua(e);B=0;m=Ia(40,g|0,141361,43)|0;A=B;B=0;if(((!(A&1)?(A=Lta(p)|0,B=0,z=Ia(40,m|0,p|0,A|0)|0,A=B,B=0,!(A&1)):0)?(B=0,A=Ia(40,z|0,141170,1)|0,z=B,B=0,!(z&1)):0)?(B=0,Xa(239,A|0,0)|0,A=B,B=0,!(A&1)):0){A=Ab(20)|0;B=0;eb(502,h|0,140006,66);z=B;B=0;do if(!(z&1)){B=0;eb(502,j|0,141405,10);m=B;B=0;if(m&1){m=Rb()|0;w=Q;Yua(h);H=w;I=m;break}B=0;wa(510,l|0,C|0);m=B;B=0;if(m&1){m=Rb()|0;J=m;K=Q;L=1}else{B=0;ua(163,A|0,h|0,j|0,756,l|0);m=B;B=0;if(m&1)M=1;else{B=0;eb(503,A|0,1240,229);B=0;M=0}m=Rb()|0;w=Q;Yua(l);J=m;K=w;L=M}Yua(j);Yua(h);if(L){H=K;I=J}else{N=J;O=K;k[g>>2]=27468;k[d>>2]=27488;k[C>>2]=27560;Yua(a);Ava(C);vva(d);Qb(N|0)}}else{w=Rb()|0;H=Q;I=w}while(0);zb(A|0);N=I;O=H;k[g>>2]=27468;k[d>>2]=27488;k[C>>2]=27560;Yua(a);Ava(C);vva(d);Qb(N|0)}z=Rb()|0;N=z;O=Q;k[g>>2]=27468;k[d>>2]=27488;k[C>>2]=27560;Yua(a);Ava(C);vva(d);Qb(N|0)}while(0);D=F;E=G;vva(d);Qb(E|0)}function Mka(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;if(!b)return;d=k[a+12>>2]|0;e=k[a+16>>2]|0;a:do if(d>>>0<e>>>0){a=d;while(1){f=k[a>>2]|0;if((Ita(k[f+4>>2]|0,c)|0)==0?(i[f>>0]|0)!=0:0)break;a=a+4|0;if(a>>>0>=e>>>0)break a}return}while(0);Tqa(b);return}function Nka(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;d=k[b>>2]|0;if(c){if((c|0)>0){a=0;do{e=k[d+(a<<2)>>2]|0;if(e)Tqa(e);a=a+1|0}while((a|0)!=(c|0))}if(d)Tqa(d)}k[b>>2]=0;return}function Oka(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0;e=r;r=r+1072|0;f=e+1056|0;g=e+1052|0;h=e+1036|0;j=e+1032|0;l=e+1016|0;m=e+1e3|0;n=e+864|0;o=e+1040|0;p=e+1020|0;q=e+1004|0;s=e+704|0;t=e+852|0;u=e+840|0;v=e+688|0;w=e+552|0;x=e+268|0;y=e+256|0;z=e+108|0;A=e+416|0;C=e+96|0;D=e+84|0;E=e+72|0;F=e+280|0;G=e+60|0;H=e+48|0;I=e+36|0;J=e+120|0;K=e+24|0;L=e+12|0;M=e;k[g>>2]=0;k[m>>2]=0;a:do if((vY()|0)==0?(N=a+24|0,dta(k[N>>2]|0,0,0)|0,(ata(h,4,1,k[N>>2]|0)|0)!=0):0){while(1){O=k[h>>2]|0;if((O+-3|0)>>>0>77){P=O;R=4;break}S=Rqa(O+1|0)|0;i[S+O>>0]=0;if(!(ata(S,O,1,k[N>>2]|0)|0)){T=S;R=29;break}if(Mta(S,140083,3)|0){U=S;R=31;break}O=(Ita(S,d)|0)==0;V=k[N>>2]|0;if(O){W=S;X=V;R=56;break}if((ata(j,4,1,V)|0)!=1){R=107;break}dta(k[N>>2]|0,k[j>>2]|0,1)|0;Tqa(S);if(!(ata(h,4,1,k[N>>2]|0)|0))break a}if((R|0)==4){S=n+56|0;V=n+4|0;k[n>>2]=27524;k[S>>2]=27544;B=0;wa(508,n+56|0,V|0);O=B;B=0;if(O&1){O=Rb()|0;Y=Q;Z=O;vva(S);Qb(Z|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[S>>2]=27488;B=0;va(448,V|0);O=B;B=0;do if(O&1){_=Rb()|0;$=Q;aa=_}else{k[V>>2]=27560;_=n+36|0;k[_>>2]=0;k[_+4>>2]=0;k[_+8>>2]=0;k[_+12>>2]=0;k[n+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,V|0,f|0);ba=B;B=0;if(ba&1){ba=Rb()|0;ca=Q;Yua(f);Yua(_);Ava(V);$=ca;aa=ba;break}Yua(f);B=0;ba=Ia(40,n|0,139946,59)|0;ca=B;B=0;b:do if((!(ca&1)?(B=0,da=Xa(242,ba|0,P|0)|0,ea=B,B=0,!(ea&1)):0)?(B=0,Xa(239,da|0,0)|0,da=B,B=0,!(da&1)):0){da=Ab(20)|0;B=0;eb(502,o|0,140006,66);ea=B;B=0;do if(!(ea&1)){B=0;eb(502,p|0,141416,20);fa=B;B=0;if(fa&1){fa=Rb()|0;ga=Q;Yua(o);ha=ga;ia=fa;break}B=0;wa(510,q|0,V|0);fa=B;B=0;if(fa&1){fa=Rb()|0;ja=Q;ka=fa;la=1}else{B=0;ua(163,da|0,o|0,p|0,2090,q|0);fa=B;B=0;if(fa&1)ma=1;else{B=0;eb(503,da|0,1240,229);B=0;ma=0}fa=Rb()|0;ga=Q;Yua(q);ja=ga;ka=fa;la=ma}Yua(p);Yua(o);if(la){ha=ja;ia=ka}else{na=ja;oa=ka;break b}}else{fa=Rb()|0;ha=Q;ia=fa}while(0);zb(da|0);na=ha;oa=ia}else R=20;while(0);if((R|0)==20){ba=Rb()|0;na=Q;oa=ba}k[n>>2]=27468;k[S>>2]=27488;k[V>>2]=27560;Yua(_);Ava(V);vva(S);pa=na;qa=oa;Qb(qa|0)}while(0);Y=$;Z=aa;vva(S);Qb(Z|0)}else if((R|0)==29){k[g>>2]=0;Tqa(T);break}else if((R|0)==31){V=s+56|0;O=s+4|0;k[s>>2]=27524;k[V>>2]=27544;B=0;wa(508,s+56|0,O|0);ba=B;B=0;if(ba&1){ba=Rb()|0;ra=Q;sa=ba;vva(V);Qb(sa|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[V>>2]=27488;B=0;va(448,O|0);ba=B;B=0;do if(ba&1){ca=Rb()|0;ta=Q;xa=ca}else{k[O>>2]=27560;ca=s+36|0;k[ca>>2]=0;k[ca+4>>2]=0;k[ca+8>>2]=0;k[ca+12>>2]=0;k[s+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,O|0,f|0);ea=B;B=0;if(ea&1){ea=Rb()|0;fa=Q;Yua(f);Yua(ca);Ava(O);ta=fa;xa=ea;break}Yua(f);B=0;ea=Ia(40,s|0,140087,67)|0;fa=B;B=0;c:do if((!(fa&1)?(ga=Lta(U)|0,B=0,ya=Ia(40,ea|0,U|0,ga|0)|0,ga=B,B=0,!(ga&1)):0)?(B=0,Xa(239,ya|0,0)|0,ya=B,B=0,!(ya&1)):0){ya=Ab(20)|0;B=0;eb(502,t|0,140006,66);ga=B;B=0;do if(!(ga&1)){B=0;eb(502,u|0,141416,20);za=B;B=0;if(za&1){za=Rb()|0;Aa=Q;Yua(t);Ba=Aa;Ca=za;break}B=0;wa(510,v|0,O|0);za=B;B=0;if(za&1){za=Rb()|0;Da=1;Ea=Q;Fa=za}else{B=0;ua(163,ya|0,t|0,u|0,2105,v|0);za=B;B=0;if(za&1)Ga=1;else{B=0;eb(503,ya|0,1240,229);B=0;Ga=0}za=Rb()|0;Aa=Q;Yua(v);Da=Ga;Ea=Aa;Fa=za}Yua(u);Yua(t);if(Da){Ba=Ea;Ca=Fa}else{Ha=Ea;Ja=Fa;break c}}else{za=Rb()|0;Ba=Q;Ca=za}while(0);zb(ya|0);Ha=Ba;Ja=Ca}else R=47;while(0);if((R|0)==47){ea=Rb()|0;Ha=Q;Ja=ea}k[s>>2]=27468;k[V>>2]=27488;k[O>>2]=27560;Yua(ca);Ava(O);vva(V);pa=Ha;qa=Ja;Qb(qa|0)}while(0);ra=ta;sa=xa;vva(V);Qb(sa|0)}else if((R|0)==56){dta(X,4,1)|0;if((ata(l,4,1,k[N>>2]|0)|0)!=1){O=w+56|0;ba=w+4|0;k[w>>2]=27524;k[O>>2]=27544;B=0;wa(508,w+56|0,ba|0);S=B;B=0;if(S&1){S=Rb()|0;Ka=Q;La=S;vva(O);Qb(La|0)}k[w+128>>2]=0;k[w+132>>2]=-1;k[w>>2]=27468;k[O>>2]=27488;B=0;va(448,ba|0);S=B;B=0;do if(S&1){ea=Rb()|0;Ma=Q;Na=ea}else{k[ba>>2]=27560;ea=w+36|0;k[ea>>2]=0;k[ea+4>>2]=0;k[ea+8>>2]=0;k[ea+12>>2]=0;k[w+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,ba|0,f|0);fa=B;B=0;if(fa&1){fa=Rb()|0;_=Q;Yua(f);Yua(ea);Ava(ba);Ma=_;Na=fa;break}Yua(f);B=0;fa=Ia(40,w|0,141437,26)|0;_=B;B=0;d:do if(!(_&1)?(B=0,Xa(239,fa|0,0)|0,ga=B,B=0,!(ga&1)):0){ga=Ab(20)|0;B=0;eb(502,x|0,140006,66);da=B;B=0;do if(!(da&1)){B=0;eb(502,y|0,141416,20);za=B;B=0;if(za&1){za=Rb()|0;Aa=Q;Yua(x);Oa=Aa;Pa=za;break}B=0;wa(510,z|0,ba|0);za=B;B=0;if(za&1){za=Rb()|0;Qa=1;Ra=Q;Sa=za}else{B=0;ua(163,ga|0,x|0,y|0,2112,z|0);za=B;B=0;if(za&1)Ta=1;else{B=0;eb(503,ga|0,1240,229);B=0;Ta=0}za=Rb()|0;Aa=Q;Yua(z);Qa=Ta;Ra=Aa;Sa=za}Yua(y);Yua(x);if(Qa){Oa=Ra;Pa=Sa}else{Ua=Ra;Va=Sa;break d}}else{za=Rb()|0;Oa=Q;Pa=za}while(0);zb(ga|0);Ua=Oa;Va=Pa}else R=72;while(0);if((R|0)==72){fa=Rb()|0;Ua=Q;Va=fa}k[w>>2]=27468;k[O>>2]=27488;k[ba>>2]=27560;Yua(ea);Ava(ba);vva(O);pa=Ua;qa=Va;Qb(qa|0)}while(0);Ka=Ma;La=Na;vva(O);Qb(La|0)}if(((k[l>>2]|0)+-5|0)>>>0<3?(ata(m,4,1,k[N>>2]|0)|0)!=1:0){ba=A+56|0;S=A+4|0;k[A>>2]=27524;k[ba>>2]=27544;B=0;wa(508,A+56|0,S|0);V=B;B=0;if(V&1){V=Rb()|0;Wa=Q;Ya=V;vva(ba);Qb(Ya|0)}k[A+128>>2]=0;k[A+132>>2]=-1;k[A>>2]=27468;k[ba>>2]=27488;B=0;va(448,S|0);V=B;B=0;do if(V&1){fa=Rb()|0;Za=Q;_a=fa}else{k[S>>2]=27560;fa=A+36|0;k[fa>>2]=0;k[fa+4>>2]=0;k[fa+8>>2]=0;k[fa+12>>2]=0;k[A+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,S|0,f|0);_=B;B=0;if(_&1){_=Rb()|0;ca=Q;Yua(f);Yua(fa);Ava(S);Za=ca;_a=_;break}Yua(f);B=0;_=Ia(40,A|0,141464,26)|0;ca=B;B=0;e:do if(!(ca&1)?(B=0,Xa(239,_|0,0)|0,da=B,B=0,!(da&1)):0){da=Ab(20)|0;B=0;eb(502,C|0,140006,66);ya=B;B=0;do if(!(ya&1)){B=0;eb(502,D|0,141416,20);za=B;B=0;if(za&1){za=Rb()|0;Aa=Q;Yua(C);$a=Aa;ab=za;break}B=0;wa(510,E|0,S|0);za=B;B=0;if(za&1){za=Rb()|0;bb=Q;cb=za;db=1}else{B=0;ua(163,da|0,C|0,D|0,2116,E|0);za=B;B=0;if(za&1)fb=1;else{B=0;eb(503,da|0,1240,229);B=0;fb=0}za=Rb()|0;Aa=Q;Yua(E);bb=Aa;cb=za;db=fb}Yua(D);Yua(C);if(db){$a=bb;ab=cb}else{gb=bb;hb=cb;break e}}else{za=Rb()|0;$a=Q;ab=za}while(0);zb(da|0);gb=$a;hb=ab}else R=97;while(0);if((R|0)==97){_=Rb()|0;gb=Q;hb=_}k[A>>2]=27468;k[ba>>2]=27488;k[S>>2]=27560;Yua(fa);Ava(S);vva(ba);pa=gb;qa=hb;Qb(qa|0)}while(0);Wa=Za;Ya=_a;vva(ba);Qb(Ya|0)}k[g>>2]=1;Tqa(W);break}else if((R|0)==107){S=F+56|0;V=F+4|0;k[F>>2]=27524;k[S>>2]=27544;B=0;wa(508,F+56|0,V|0);N=B;B=0;if(N&1){N=Rb()|0;ib=Q;jb=N;vva(S);Qb(jb|0)}k[F+128>>2]=0;k[F+132>>2]=-1;k[F>>2]=27468;k[S>>2]=27488;B=0;va(448,V|0);N=B;B=0;do if(N&1){O=Rb()|0;kb=Q;lb=O}else{k[V>>2]=27560;O=F+36|0;k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;k[O+12>>2]=0;k[F+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,V|0,f|0);_=B;B=0;if(_&1){_=Rb()|0;ca=Q;Yua(f);Yua(O);Ava(V);kb=ca;lb=_;break}Yua(f);B=0;_=Ia(40,F|0,140162,28)|0;ca=B;B=0;f:do if(!(ca&1)?(B=0,Xa(239,_|0,0)|0,ea=B,B=0,!(ea&1)):0){ea=Ab(20)|0;B=0;eb(502,G|0,140006,66);ya=B;B=0;do if(!(ya&1)){B=0;eb(502,H|0,141416,20);ga=B;B=0;if(ga&1){ga=Rb()|0;za=Q;Yua(G);mb=za;nb=ga;break}B=0;wa(510,I|0,V|0);ga=B;B=0;if(ga&1){ga=Rb()|0;ob=1;pb=Q;qb=ga}else{B=0;ua(163,ea|0,G|0,H|0,2124,I|0);ga=B;B=0;if(ga&1)rb=1;else{B=0;eb(503,ea|0,1240,229);B=0;rb=0}ga=Rb()|0;za=Q;Yua(I);ob=rb;pb=za;qb=ga}Yua(H);Yua(G);if(ob){mb=pb;nb=qb}else{sb=pb;tb=qb;break f}}else{ga=Rb()|0;mb=Q;nb=ga}while(0);zb(ea|0);sb=mb;tb=nb}else R=122;while(0);if((R|0)==122){_=Rb()|0;sb=Q;tb=_}k[F>>2]=27468;k[S>>2]=27488;k[V>>2]=27560;Yua(O);Ava(V);vva(S);pa=sb;qa=tb;Qb(qa|0)}while(0);ib=kb;jb=lb;vva(S);Qb(jb|0)}}while(0);uY()|0;if(k[g>>2]|0){uY()|0;uY()|0;k[b>>2]=k[l>>2];if(!c){ub=a+24|0;vb=k[ub>>2]|0;r=e;return vb|0}k[c>>2]=k[m>>2];ub=a+24|0;vb=k[ub>>2]|0;r=e;return vb|0}vb=J+56|0;e=J+4|0;k[J>>2]=27524;k[vb>>2]=27544;B=0;wa(508,J+56|0,e|0);ub=B;B=0;if(ub&1){ub=Rb()|0;wb=Q;xb=ub;vva(vb);Qb(xb|0)}k[J+128>>2]=0;k[J+132>>2]=-1;k[J>>2]=27468;k[vb>>2]=27488;B=0;va(448,e|0);ub=B;B=0;do if(ub&1){a=Rb()|0;yb=Q;Bb=a}else{k[e>>2]=27560;a=J+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[J+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,e|0,f|0);m=B;B=0;if(m&1){m=Rb()|0;c=Q;Yua(f);Yua(a);Ava(e);yb=c;Bb=m;break}Yua(f);B=0;m=Ia(40,J|0,141491,31)|0;c=B;B=0;g:do if(((!(c&1)?(l=Lta(d)|0,B=0,b=Ia(40,m|0,d|0,l|0)|0,l=B,B=0,!(l&1)):0)?(B=0,l=Ia(40,b|0,141523,16)|0,b=B,B=0,!(b&1)):0)?(B=0,Xa(239,l|0,0)|0,l=B,B=0,!(l&1)):0){l=Ab(20)|0;B=0;eb(502,K|0,140006,66);b=B;B=0;do if(!(b&1)){B=0;eb(502,L|0,141416,20);g=B;B=0;if(g&1){g=Rb()|0;jb=Q;Yua(K);Cb=jb;Db=g;break}B=0;wa(510,M|0,e|0);g=B;B=0;if(g&1){g=Rb()|0;Eb=1;Fb=Q;Gb=g}else{B=0;ua(163,l|0,K|0,L|0,2132,M|0);g=B;B=0;if(g&1)Hb=1;else{B=0;eb(503,l|0,1240,229);B=0;Hb=0}g=Rb()|0;jb=Q;Yua(M);Eb=Hb;Fb=jb;Gb=g}Yua(L);Yua(K);if(Eb){Cb=Fb;Db=Gb}else{Ib=Fb;Jb=Gb;break g}}else{g=Rb()|0;Cb=Q;Db=g}while(0);zb(l|0);Ib=Cb;Jb=Db}else R=149;while(0);if((R|0)==149){m=Rb()|0;Ib=Q;Jb=m}k[J>>2]=27468;k[vb>>2]=27488;k[e>>2]=27560;Yua(a);Ava(e);vva(vb);pa=Ib;qa=Jb;Qb(qa|0)}while(0);wb=yb;xb=Bb;vva(vb);Qb(xb|0);return 0}function Pka(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0.0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0;d=r;r=r+384|0;e=d+364|0;f=d;g=d+360|0;h=d+224|0;i=d+208|0;j=d+56|0;l=d+44|0;m=d+72|0;n=d+32|0;o=d+20|0;q=d+8|0;s=vY()|0;t=Oka(a,g,0,c)|0;k[a+24>>2]=t;if((k[g>>2]|0)!=3){g=h+56|0;a=h+4|0;k[h>>2]=27524;k[g>>2]=27544;B=0;wa(508,h+56|0,a|0);u=B;B=0;if(u&1){u=Rb()|0;v=Q;w=u;vva(g);Qb(w|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[g>>2]=27488;B=0;va(448,a|0);u=B;B=0;do if(u&1){x=Rb()|0;y=Q;z=x}else{k[a>>2]=27560;x=h+36|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[h+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,a|0,e|0);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(e);Yua(x);Ava(a);y=C;z=A;break}Yua(e);B=0;A=Ia(40,h|0,141540,28)|0;C=B;B=0;a:do if(((!(C&1)?(D=Lta(c)|0,B=0,E=Ia(40,A|0,c|0,D|0)|0,D=B,B=0,!(D&1)):0)?(B=0,D=Ia(40,E|0,141051,1)|0,E=B,B=0,!(E&1)):0)?(B=0,Xa(239,D|0,0)|0,D=B,B=0,!(D&1)):0){D=Ab(20)|0;B=0;eb(502,i|0,140006,66);E=B;B=0;do if(!(E&1)){B=0;eb(502,j|0,141093,9);F=B;B=0;if(F&1){F=Rb()|0;G=Q;Yua(i);H=F;I=G;break}B=0;wa(510,l|0,a|0);G=B;B=0;if(G&1){G=Rb()|0;J=Q;K=G;L=1}else{B=0;ua(163,D|0,i|0,j|0,1162,l|0);G=B;B=0;if(G&1)M=1;else{B=0;eb(503,D|0,1240,229);B=0;M=0}G=Rb()|0;F=Q;Yua(l);J=F;K=G;L=M}Yua(j);Yua(i);if(L){H=K;I=J}else{N=K;O=J;break a}}else{G=Rb()|0;H=G;I=Q}while(0);zb(D|0);N=H;O=I}else P=19;while(0);if((P|0)==19){A=Rb()|0;N=A;O=Q}k[h>>2]=27468;k[g>>2]=27488;k[a>>2]=27560;Yua(x);Ava(a);vva(g);R=O;S=N;Qb(S|0)}while(0);v=y;w=z;vva(g);Qb(w|0)}if(s){uY()|0;T=+p[f>>3];p[b>>3]=T;r=d;return}if((ata(f,8,1,t)|0)==1){uY()|0;T=+p[f>>3];p[b>>3]=T;r=d;return}d=m+56|0;b=m+4|0;k[m>>2]=27524;k[d>>2]=27544;B=0;wa(508,m+56|0,b|0);f=B;B=0;if(f&1){f=Rb()|0;U=Q;V=f;vva(d);Qb(V|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);f=B;B=0;do if(f&1){t=Rb()|0;W=Q;X=t}else{k[b>>2]=27560;t=m+36|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;k[m+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,b|0,e|0);s=B;B=0;if(s&1){s=Rb()|0;w=Q;Yua(e);Yua(t);Ava(b);W=w;X=s;break}Yua(e);B=0;s=Ia(40,m|0,140886,22)|0;w=B;B=0;b:do if(!(w&1)?(B=0,Xa(239,s|0,0)|0,g=B,B=0,!(g&1)):0){g=Ab(20)|0;B=0;eb(502,n|0,140006,66);z=B;B=0;do if(!(z&1)){B=0;eb(502,o|0,141093,9);y=B;B=0;if(y&1){y=Rb()|0;v=Q;Yua(n);Y=y;Z=v;break}B=0;wa(510,q|0,b|0);v=B;B=0;if(v&1){v=Rb()|0;_=1;$=Q;aa=v}else{B=0;ua(163,g|0,n|0,o|0,1166,q|0);v=B;B=0;if(v&1)ba=1;else{B=0;eb(503,g|0,1240,229);B=0;ba=0}v=Rb()|0;y=Q;Yua(q);_=ba;$=y;aa=v}Yua(o);Yua(n);if(_){Y=aa;Z=$}else{ca=$;da=aa;break b}}else{v=Rb()|0;Y=v;Z=Q}while(0);zb(g|0);ca=Z;da=Y}else P=44;while(0);if((P|0)==44){s=Rb()|0;ca=Q;da=s}k[m>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(t);Ava(b);vva(d);R=ca;S=da;Qb(S|0)}while(0);U=W;V=X;vva(d);Qb(V|0)}function Qka(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0;f=r;r=r+720|0;g=f+704|0;h=f+700|0;i=f+684|0;j=f+680|0;l=f+520|0;m=f+688|0;n=f+668|0;o=f+656|0;q=f+384|0;s=f+368|0;t=f+84|0;u=f+72|0;v=f+232|0;w=f+60|0;x=f+48|0;y=f+36|0;z=f+96|0;A=f+24|0;C=f+12|0;D=f;E=k[a+12>>2]|0;F=k[a+16>>2]|0;a:do if(E>>>0<F>>>0){G=E;while(1){H=k[G>>2]|0;G=G+4|0;if(!(Ita(k[H+4>>2]|0,e)|0)){I=H;break}if(G>>>0>=F>>>0)break a}k[b>>2]=k[I+24>>2];if(c)k[c>>2]=k[I+8>>2];if(!d){r=f;return}k[d>>2]=k[I+12>>2];r=f;return}while(0);k[j>>2]=0;I=vY()|0;F=Oka(a,j,0,e)|0;E=a+24|0;k[E>>2]=F;a=k[j>>2]|0;if((a+-5|0)>>>0>=3){j=l+56|0;G=l+4|0;k[l>>2]=27524;k[j>>2]=27544;B=0;wa(508,l+56|0,G|0);H=B;B=0;if(H&1){H=Rb()|0;J=Q;K=H;vva(j);Qb(K|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[j>>2]=27488;B=0;va(448,G|0);H=B;B=0;do if(H&1){L=Rb()|0;M=Q;N=L}else{k[G>>2]=27560;L=l+36|0;k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;k[L+12>>2]=0;k[l+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,G|0,g|0);O=B;B=0;if(O&1){O=Rb()|0;P=Q;Yua(g);Yua(L);Ava(G);M=P;N=O;break}Yua(g);B=0;O=Ia(40,l|0,141103,55)|0;P=B;B=0;b:do if((((((!(P&1)?(R=Lta(e)|0,B=0,S=Ia(40,O|0,e|0,R|0)|0,R=B,B=0,!(R&1)):0)?(B=0,R=Ia(40,S|0,141051,1)|0,S=B,B=0,!(S&1)):0)?(B=0,S=Ia(40,R|0,141159,10)|0,R=B,B=0,!(R&1)):0)?(B=0,R=Xa(242,S|0,a|0)|0,S=B,B=0,!(S&1)):0)?(B=0,S=Ia(40,R|0,141170,1)|0,R=B,B=0,!(R&1)):0)?(B=0,Xa(239,S|0,0)|0,S=B,B=0,!(S&1)):0){S=Ab(20)|0;B=0;eb(502,m|0,140006,66);R=B;B=0;do if(!(R&1)){B=0;eb(502,n|0,141093,9);T=B;B=0;if(T&1){T=Rb()|0;U=Q;Yua(m);V=U;W=T;break}B=0;wa(510,o|0,G|0);T=B;B=0;if(T&1){T=Rb()|0;X=Q;Y=T;Z=1}else{B=0;ua(163,S|0,m|0,n|0,1309,o|0);T=B;B=0;if(T&1)_=1;else{B=0;eb(503,S|0,1240,229);B=0;_=0}T=Rb()|0;U=Q;Yua(o);X=U;Y=T;Z=_}Yua(n);Yua(m);if(Z){V=X;W=Y}else{$=X;aa=Y;break b}}else{T=Rb()|0;V=Q;W=T}while(0);zb(S|0);$=V;aa=W}else ba=29;while(0);if((ba|0)==29){O=Rb()|0;$=Q;aa=O}k[l>>2]=27468;k[j>>2]=27488;k[G>>2]=27560;Yua(L);Ava(G);vva(j);ca=$;da=aa;Qb(da|0)}while(0);J=M;K=N;vva(j);Qb(K|0)}K=(I|0)==0;if(K){if((ata(h,4,1,F)|0)!=1){F=q+56|0;I=q+4|0;k[q>>2]=27524;k[F>>2]=27544;B=0;wa(508,q+56|0,I|0);j=B;B=0;if(j&1){j=Rb()|0;ea=Q;fa=j;vva(F);Qb(fa|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[F>>2]=27488;B=0;va(448,I|0);j=B;B=0;do if(j&1){N=Rb()|0;ga=Q;ha=N}else{k[I>>2]=27560;N=q+36|0;k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;k[N+12>>2]=0;k[q+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,I|0,g|0);M=B;B=0;if(M&1){M=Rb()|0;J=Q;Yua(g);Yua(N);Ava(I);ga=J;ha=M;break}Yua(g);B=0;M=Ia(40,q|0,141172,41)|0;J=B;B=0;c:do if(!(J&1)?(B=0,Xa(239,M|0,0)|0,aa=B,B=0,!(aa&1)):0){aa=Ab(20)|0;B=0;eb(502,s|0,140006,66);$=B;B=0;do if(!($&1)){B=0;eb(502,t|0,141093,9);G=B;B=0;if(G&1){G=Rb()|0;l=Q;Yua(s);ia=G;ja=l;break}B=0;wa(510,u|0,I|0);l=B;B=0;if(l&1){l=Rb()|0;ka=1;la=Q;na=l}else{B=0;ua(163,aa|0,s|0,t|0,1316,u|0);l=B;B=0;if(l&1)oa=1;else{B=0;eb(503,aa|0,1240,229);B=0;oa=0}l=Rb()|0;G=Q;Yua(u);ka=oa;la=G;na=l}Yua(t);Yua(s);if(ka){ia=na;ja=la}else{pa=la;qa=na;break c}}else{l=Rb()|0;ia=l;ja=Q}while(0);zb(aa|0);pa=ja;qa=ia}else ba=54;while(0);if((ba|0)==54){M=Rb()|0;pa=Q;qa=M}k[q>>2]=27468;k[F>>2]=27488;k[I>>2]=27560;Yua(N);Ava(I);vva(F);ca=pa;da=qa;Qb(da|0)}while(0);ea=ga;fa=ha;vva(F);Qb(fa|0)}uY()|0;if((ata(i,4,1,k[E>>2]|0)|0)!=1){fa=v+56|0;F=v+4|0;k[v>>2]=27524;k[fa>>2]=27544;B=0;wa(508,v+56|0,F|0);ha=B;B=0;if(ha&1){ha=Rb()|0;ra=Q;sa=ha;vva(fa);Qb(sa|0)}k[v+128>>2]=0;k[v+132>>2]=-1;k[v>>2]=27468;k[fa>>2]=27488;B=0;va(448,F|0);ha=B;B=0;do if(ha&1){ga=Rb()|0;ta=Q;xa=ga}else{k[F>>2]=27560;ga=v+36|0;k[ga>>2]=0;k[ga+4>>2]=0;k[ga+8>>2]=0;k[ga+12>>2]=0;k[v+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,F|0,g|0);ea=B;B=0;if(ea&1){ea=Rb()|0;qa=Q;Yua(g);Yua(ga);Ava(F);ta=qa;xa=ea;break}Yua(g);B=0;ea=Ia(40,v|0,141214,44)|0;qa=B;B=0;d:do if(!(qa&1)?(B=0,Xa(239,ea|0,0)|0,pa=B,B=0,!(pa&1)):0){pa=Ab(20)|0;B=0;eb(502,w|0,140006,66);I=B;B=0;do if(!(I&1)){B=0;eb(502,x|0,141093,9);q=B;B=0;if(q&1){q=Rb()|0;ia=Q;Yua(w);ya=q;za=ia;break}B=0;wa(510,y|0,F|0);ia=B;B=0;if(ia&1){ia=Rb()|0;Aa=1;Ba=Q;Ca=ia}else{B=0;ua(163,pa|0,w|0,x|0,1321,y|0);ia=B;B=0;if(ia&1)Da=1;else{B=0;eb(503,pa|0,1240,229);B=0;Da=0}ia=Rb()|0;q=Q;Yua(y);Aa=Da;Ba=q;Ca=ia}Yua(x);Yua(w);if(Aa){ya=Ca;za=Ba}else{Ea=Ba;Fa=Ca;break d}}else{ia=Rb()|0;ya=ia;za=Q}while(0);zb(pa|0);Ea=za;Fa=ya}else ba=78;while(0);if((ba|0)==78){ea=Rb()|0;Ea=Q;Fa=ea}k[v>>2]=27468;k[fa>>2]=27488;k[F>>2]=27560;Yua(ga);Ava(F);vva(fa);ca=Ea;da=Fa;Qb(da|0)}while(0);ra=ta;sa=xa;vva(fa);Qb(sa|0)}}else uY()|0;uY()|0;sa=k[h>>2]|0;fa=k[i>>2]|0;xa=ma(fa,sa)|0;if(!xa)k[b>>2]=0;else{ta=Rqa(xa>>>0>536870911?-1:xa<<3)|0;do if(K){xa=ma(sa<<3,fa)|0;if((ata(ta,xa,1,k[E>>2]|0)|0)==1)break;xa=z+56|0;ra=z+4|0;k[z>>2]=27524;k[xa>>2]=27544;B=0;wa(508,z+56|0,ra|0);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;Ga=Q;Ha=Fa;vva(xa);Qb(Ha|0)}k[z+128>>2]=0;k[z+132>>2]=-1;k[z>>2]=27468;k[xa>>2]=27488;B=0;va(448,ra|0);Fa=B;B=0;do if(Fa&1){Ea=Rb()|0;Ja=Q;Ka=Ea}else{k[ra>>2]=27560;Ea=z+36|0;k[Ea>>2]=0;k[Ea+4>>2]=0;k[Ea+8>>2]=0;k[Ea+12>>2]=0;k[z+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,ra|0,g|0);F=B;B=0;if(F&1){F=Rb()|0;v=Q;Yua(g);Yua(Ea);Ava(ra);Ja=v;Ka=F;break}Yua(g);B=0;F=Ia(40,z|0,141259,22)|0;v=B;B=0;e:do if(!(v&1)?(B=0,Xa(239,F|0,0)|0,ya=B,B=0,!(ya&1)):0){ya=Ab(20)|0;B=0;eb(502,A|0,140006,66);za=B;B=0;do if(!(za&1)){B=0;eb(502,C|0,141093,9);Ca=B;B=0;if(Ca&1){Ca=Rb()|0;Ba=Q;Yua(A);La=Ca;Ma=Ba;break}B=0;wa(510,D|0,ra|0);Ba=B;B=0;if(Ba&1){Ba=Rb()|0;Na=1;Oa=Q;Pa=Ba}else{B=0;ua(163,ya|0,A|0,C|0,1331,D|0);Ba=B;B=0;if(Ba&1)Qa=1;else{B=0;eb(503,ya|0,1240,229);B=0;Qa=0}Ba=Rb()|0;Ca=Q;Yua(D);Na=Qa;Oa=Ca;Pa=Ba}Yua(C);Yua(A);if(Na){La=Pa;Ma=Oa}else{Ra=Oa;Sa=Pa;break e}}else{Ba=Rb()|0;La=Ba;Ma=Q}while(0);zb(ya|0);Ra=Ma;Sa=La}else ba=106;while(0);if((ba|0)==106){F=Rb()|0;Ra=Q;Sa=F}k[z>>2]=27468;k[xa>>2]=27488;k[ra>>2]=27560;Yua(Ea);Ava(ra);vva(xa);ca=Ra;da=Sa;Qb(da|0)}while(0);Ga=Ja;Ha=Ka;vva(xa);Qb(Ha|0)}while(0);uY()|0;Ha=ma(k[i>>2]|0,k[h>>2]|0)|0;Ka=Rqa(Ha>>>0>536870911?-1:Ha<<3)|0;k[b>>2]=Ka;if((Ha|0)>0){b=0;do{p[Ka+(b<<3)>>3]=+p[ta+(b<<3)>>3];b=b+1|0}while((b|0)<(Ha|0))}Tqa(ta)}if(c)k[c>>2]=k[h>>2];if(d)k[d>>2]=k[i>>2];r=f;return}function Rka(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0;g=r;r=r+912|0;h=g+892|0;i=g+888|0;j=g+872|0;l=g+868|0;m=g+852|0;n=g+704|0;o=g+876|0;q=g+856|0;s=g+840|0;t=g+552|0;u=g+688|0;v=g+536|0;w=g+248|0;x=g+400|0;y=g+96|0;z=g+84|0;A=g+72|0;C=g+264|0;D=g+60|0;E=g+48|0;F=g+36|0;G=g+112|0;H=g+24|0;I=g+12|0;J=g;k[i>>2]=0;K=vY()|0;L=Oka(a,m,0,f)|0;M=a+24|0;k[M>>2]=L;if((k[m>>2]|0)!=8){m=n+56|0;a=n+4|0;k[n>>2]=27524;k[m>>2]=27544;B=0;wa(508,n+56|0,a|0);N=B;B=0;if(N&1){N=Rb()|0;O=Q;P=N;vva(m);Qb(P|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[m>>2]=27488;B=0;va(448,a|0);N=B;B=0;do if(N&1){R=Rb()|0;S=Q;T=R}else{k[a>>2]=27560;R=n+36|0;k[R>>2]=0;k[R+4>>2]=0;k[R+8>>2]=0;k[R+12>>2]=0;k[n+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,a|0,h|0);U=B;B=0;if(U&1){U=Rb()|0;V=Q;Yua(h);Yua(R);Ava(a);S=V;T=U;break}Yua(h);B=0;U=Ia(40,n|0,141594,38)|0;V=B;B=0;a:do if(((!(V&1)?(W=Lta(f)|0,B=0,X=Ia(40,U|0,f|0,W|0)|0,W=B,B=0,!(W&1)):0)?(B=0,W=Ia(40,X|0,141051,1)|0,X=B,B=0,!(X&1)):0)?(B=0,Xa(239,W|0,0)|0,W=B,B=0,!(W&1)):0){W=Ab(20)|0;B=0;eb(502,o|0,140006,66);X=B;B=0;do if(!(X&1)){B=0;eb(502,q|0,141093,9);Y=B;B=0;if(Y&1){Y=Rb()|0;Z=Q;Yua(o);_=Z;$=Y;break}B=0;wa(510,s|0,a|0);Y=B;B=0;if(Y&1){Y=Rb()|0;aa=Q;ba=Y;ca=1}else{B=0;ua(163,W|0,o|0,q|0,1365,s|0);Y=B;B=0;if(Y&1)da=1;else{B=0;eb(503,W|0,1240,229);B=0;da=0}Y=Rb()|0;Z=Q;Yua(s);aa=Z;ba=Y;ca=da}Yua(q);Yua(o);if(ca){_=aa;$=ba}else{ea=aa;fa=ba;break a}}else{Y=Rb()|0;_=Q;$=Y}while(0);zb(W|0);ea=_;fa=$}else ga=19;while(0);if((ga|0)==19){U=Rb()|0;ea=Q;fa=U}k[n>>2]=27468;k[m>>2]=27488;k[a>>2]=27560;Yua(R);Ava(a);vva(m);ha=ea;ia=fa;Qb(ia|0)}while(0);O=S;P=T;vva(m);Qb(P|0)}P=(K|0)==0;if(P?(ata(i,4,1,L)|0)!=1:0){L=t+56|0;K=t+4|0;k[t>>2]=27524;k[L>>2]=27544;B=0;wa(508,t+56|0,K|0);m=B;B=0;if(m&1){m=Rb()|0;ja=Q;ka=m;vva(L);Qb(ka|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[L>>2]=27488;B=0;va(448,K|0);m=B;B=0;do if(m&1){T=Rb()|0;la=Q;na=T}else{k[K>>2]=27560;T=t+36|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;k[T+12>>2]=0;k[t+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,K|0,h|0);S=B;B=0;if(S&1){S=Rb()|0;O=Q;Yua(h);Yua(T);Ava(K);la=O;na=S;break}Yua(h);B=0;S=Ia(40,t|0,141633,49)|0;O=B;B=0;b:do if(!(O&1)?(B=0,Xa(239,S|0,0)|0,fa=B,B=0,!(fa&1)):0){fa=Ab(20)|0;B=0;eb(502,u|0,140006,66);ea=B;B=0;do if(!(ea&1)){B=0;eb(502,v|0,141093,9);a=B;B=0;if(a&1){a=Rb()|0;n=Q;Yua(u);oa=n;pa=a;break}B=0;wa(510,w|0,K|0);a=B;B=0;if(a&1){a=Rb()|0;qa=1;ra=Q;sa=a}else{B=0;ua(163,fa|0,u|0,v|0,1369,w|0);a=B;B=0;if(a&1)ta=1;else{B=0;eb(503,fa|0,1240,229);B=0;ta=0}a=Rb()|0;n=Q;Yua(w);qa=ta;ra=n;sa=a}Yua(v);Yua(u);if(qa){oa=ra;pa=sa}else{xa=ra;ya=sa;break b}}else{a=Rb()|0;oa=Q;pa=a}while(0);zb(fa|0);xa=oa;ya=pa}else ga=44;while(0);if((ga|0)==44){S=Rb()|0;xa=Q;ya=S}k[t>>2]=27468;k[L>>2]=27488;k[K>>2]=27560;Yua(T);Ava(K);vva(L);ha=xa;ia=ya;Qb(ia|0)}while(0);ja=la;ka=na;vva(L);Qb(ka|0)}uY()|0;ka=k[i>>2]|0;if(!ka){za=0;Aa=0;Ba=0;Ca=0;k[b>>2]=Aa;k[c>>2]=Ba;k[d>>2]=Ca;k[e>>2]=za;r=g;return}L=ka>>>0>1073741823?-1:ka<<2;na=Rqa(L)|0;la=Rqa(L)|0;ja=Rqa(L)|0;if((ka|0)<=0){za=ka;Aa=na;Ba=la;Ca=ja;k[b>>2]=Aa;k[c>>2]=Ba;k[d>>2]=Ca;k[e>>2]=za;r=g;return}L=((ka|0)>1?ka:1)<<2;WEa(na|0,0,L|0)|0;WEa(la|0,0,L|0)|0;WEa(ja|0,0,L|0)|0;L=0;while(1){if(P){if((ata(j,4,1,k[M>>2]|0)|0)!=1){Da=L;ga=57;break}uY()|0;if((ata(l,4,1,k[M>>2]|0)|0)!=1){Ea=L;ga=83;break}}else uY()|0;uY()|0;ka=k[j>>2]|0;ya=k[l>>2]|0;xa=ma(ya,ka)|0;if(!xa){k[na+(L<<2)>>2]=0;Fa=ka;Ga=ya}else{K=Rqa(xa>>>0>536870911?-1:xa<<3)|0;if(P?(xa=ma(ka<<3,ya)|0,(ata(K,xa,1,k[M>>2]|0)|0)!=1):0){ga=113;break}uY()|0;xa=ma(k[l>>2]|0,k[j>>2]|0)|0;ya=Rqa(xa>>>0>536870911?-1:xa<<3)|0;k[na+(L<<2)>>2]=ya;if((xa|0)>0){ka=0;do{p[ya+(ka<<3)>>3]=+p[K+(ka<<3)>>3];ka=ka+1|0}while((ka|0)<(xa|0))}Tqa(K);Fa=k[j>>2]|0;Ga=k[l>>2]|0}k[la+(L<<2)>>2]=Fa;k[ja+(L<<2)>>2]=Ga;L=L+1|0;xa=k[i>>2]|0;if((L|0)>=(xa|0)){za=xa;Aa=na;Ba=la;Ca=ja;ga=141;break}}if((ga|0)==57){ja=x+56|0;la=x+4|0;k[x>>2]=27524;k[ja>>2]=27544;B=0;wa(508,x+56|0,la|0);na=B;B=0;if(na&1){na=Rb()|0;Ha=Q;Ja=na;vva(ja);Qb(Ja|0)}k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[ja>>2]=27488;B=0;va(448,la|0);na=B;B=0;do if(na&1){L=Rb()|0;Ka=Q;La=L}else{k[la>>2]=27560;L=x+36|0;k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;k[L+12>>2]=0;k[x+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,la|0,h|0);i=B;B=0;if(i&1){i=Rb()|0;Ga=Q;Yua(h);Yua(L);Ava(la);Ka=Ga;La=i;break}Yua(h);B=0;i=Ia(40,x|0,141683,33)|0;Ga=B;B=0;c:do if(((!(Ga&1)?(B=0,Fa=Xa(242,i|0,Da|0)|0,l=B,B=0,!(l&1)):0)?(B=0,l=Ia(40,Fa|0,141717,25)|0,Fa=B,B=0,!(Fa&1)):0)?(B=0,Xa(239,l|0,0)|0,l=B,B=0,!(l&1)):0){l=Ab(20)|0;B=0;eb(502,y|0,140006,66);Fa=B;B=0;do if(!(Fa&1)){B=0;eb(502,z|0,141093,9);j=B;B=0;if(j&1){j=Rb()|0;M=Q;Yua(y);Ma=M;Na=j;break}B=0;wa(510,A|0,la|0);j=B;B=0;if(j&1){j=Rb()|0;Oa=1;Pa=Q;Qa=j}else{B=0;ua(163,l|0,y|0,z|0,1390,A|0);j=B;B=0;if(j&1)Ra=1;else{B=0;eb(503,l|0,1240,229);B=0;Ra=0}j=Rb()|0;M=Q;Yua(A);Oa=Ra;Pa=M;Qa=j}Yua(z);Yua(y);if(Oa){Ma=Pa;Na=Qa}else{Sa=Pa;Ta=Qa;break c}}else{j=Rb()|0;Ma=Q;Na=j}while(0);zb(l|0);Sa=Ma;Ta=Na}else ga=74;while(0);if((ga|0)==74){i=Rb()|0;Sa=Q;Ta=i}k[x>>2]=27468;k[ja>>2]=27488;k[la>>2]=27560;Yua(L);Ava(la);vva(ja);ha=Sa;ia=Ta;Qb(ia|0)}while(0);Ha=Ka;Ja=La;vva(ja);Qb(Ja|0)}else if((ga|0)==83){Ja=C+56|0;ja=C+4|0;k[C>>2]=27524;k[Ja>>2]=27544;B=0;wa(508,C+56|0,ja|0);La=B;B=0;if(La&1){La=Rb()|0;Ua=Q;Va=La;vva(Ja);Qb(Va|0)}k[C+128>>2]=0;k[C+132>>2]=-1;k[C>>2]=27468;k[Ja>>2]=27488;B=0;va(448,ja|0);La=B;B=0;do if(La&1){Ka=Rb()|0;Wa=Q;Ya=Ka}else{k[ja>>2]=27560;Ka=C+36|0;k[Ka>>2]=0;k[Ka+4>>2]=0;k[Ka+8>>2]=0;k[Ka+12>>2]=0;k[C+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,ja|0,h|0);Ha=B;B=0;if(Ha&1){Ha=Rb()|0;Ta=Q;Yua(h);Yua(Ka);Ava(ja);Wa=Ta;Ya=Ha;break}Yua(h);B=0;Ha=Ia(40,C|0,141743,36)|0;Ta=B;B=0;d:do if(((!(Ta&1)?(B=0,Sa=Xa(242,Ha|0,Ea|0)|0,la=B,B=0,!(la&1)):0)?(B=0,la=Ia(40,Sa|0,141717,25)|0,Sa=B,B=0,!(Sa&1)):0)?(B=0,Xa(239,la|0,0)|0,la=B,B=0,!(la&1)):0){la=Ab(20)|0;B=0;eb(502,D|0,140006,66);Sa=B;B=0;do if(!(Sa&1)){B=0;eb(502,E|0,141093,9);x=B;B=0;if(x&1){x=Rb()|0;Na=Q;Yua(D);Za=Na;_a=x;break}B=0;wa(510,F|0,ja|0);x=B;B=0;if(x&1){x=Rb()|0;$a=1;ab=Q;bb=x}else{B=0;ua(163,la|0,D|0,E|0,1395,F|0);x=B;B=0;if(x&1)cb=1;else{B=0;eb(503,la|0,1240,229);B=0;cb=0}x=Rb()|0;Na=Q;Yua(F);$a=cb;ab=Na;bb=x}Yua(E);Yua(D);if($a){Za=ab;_a=bb}else{db=ab;fb=bb;break d}}else{x=Rb()|0;Za=Q;_a=x}while(0);zb(la|0);db=Za;fb=_a}else ga=100;while(0);if((ga|0)==100){Ha=Rb()|0;db=Q;fb=Ha}k[C>>2]=27468;k[Ja>>2]=27488;k[ja>>2]=27560;Yua(Ka);Ava(ja);vva(Ja);ha=db;ia=fb;Qb(ia|0)}while(0);Ua=Wa;Va=Ya;vva(Ja);Qb(Va|0)}else if((ga|0)==113){Va=G+56|0;Ja=G+4|0;k[G>>2]=27524;k[Va>>2]=27544;B=0;wa(508,G+56|0,Ja|0);Ya=B;B=0;if(Ya&1){Ya=Rb()|0;gb=Q;hb=Ya;vva(Va);Qb(hb|0)}k[G+128>>2]=0;k[G+132>>2]=-1;k[G>>2]=27468;k[Va>>2]=27488;B=0;va(448,Ja|0);Ya=B;B=0;do if(Ya&1){Wa=Rb()|0;ib=Q;jb=Wa}else{k[Ja>>2]=27560;Wa=G+36|0;k[Wa>>2]=0;k[Wa+4>>2]=0;k[Wa+8>>2]=0;k[Wa+12>>2]=0;k[G+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,Ja|0,h|0);Ua=B;B=0;if(Ua&1){Ua=Rb()|0;fb=Q;Yua(h);Yua(Wa);Ava(Ja);ib=fb;jb=Ua;break}Yua(h);B=0;Ua=Ia(40,G|0,141259,22)|0;fb=B;B=0;e:do if(!(fb&1)?(B=0,Xa(239,Ua|0,0)|0,db=B,B=0,!(db&1)):0){db=Ab(20)|0;B=0;eb(502,H|0,140006,66);ja=B;B=0;do if(!(ja&1)){B=0;eb(502,I|0,141093,9);C=B;B=0;if(C&1){C=Rb()|0;_a=Q;Yua(H);kb=_a;lb=C;break}B=0;wa(510,J|0,Ja|0);C=B;B=0;if(C&1){C=Rb()|0;mb=1;nb=Q;ob=C}else{B=0;ua(163,db|0,H|0,I|0,1405,J|0);C=B;B=0;if(C&1)pb=1;else{B=0;eb(503,db|0,1240,229);B=0;pb=0}C=Rb()|0;_a=Q;Yua(J);mb=pb;nb=_a;ob=C}Yua(I);Yua(H);if(mb){kb=nb;lb=ob}else{qb=nb;rb=ob;break e}}else{C=Rb()|0;kb=Q;lb=C}while(0);zb(db|0);qb=kb;rb=lb}else ga=128;while(0);if((ga|0)==128){Ua=Rb()|0;qb=Q;rb=Ua}k[G>>2]=27468;k[Va>>2]=27488;k[Ja>>2]=27560;Yua(Wa);Ava(Ja);vva(Va);ha=qb;ia=rb;Qb(ia|0)}while(0);gb=ib;hb=jb;vva(Va);Qb(hb|0)}else if((ga|0)==141){k[b>>2]=Aa;k[c>>2]=Ba;k[d>>2]=Ca;k[e>>2]=za;r=g;return}}function Ska(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0;d=r;r=r+240|0;e=d+216|0;f=d+200|0;g=d+192|0;h=d+188|0;j=d+184|0;l=d+180|0;m=d+176|0;n=d+40|0;o=d+24|0;p=d+12|0;q=d;k[j>>2]=0;k[f>>2]=c;if((b|0)<=0){r=d;return}c=a+12|0;s=a+16|0;t=0;while(1){u=(k[f>>2]|0)+(4-1)&~(4-1);v=k[u>>2]|0;k[f>>2]=u+4;if(Mta(v,140083,3)|0){w=v;x=5;break}u=k[c>>2]|0;y=k[s>>2]|0;if(u>>>0<y>>>0){z=0;A=u;do{u=(Ita(k[(k[A>>2]|0)+4>>2]|0,v)|0)==0;z=z|u;A=A+4|0}while(A>>>0<y>>>0&(u^1));if(!z)x=33}else x=33;if((x|0)==33){x=0;Oka(a,g,h,v)|0;Qka(a,j,l,m,v);y=Qqa(28)|0;A=k[j>>2]|0;u=k[g>>2]|0;C=k[h>>2]|0;D=k[l>>2]|0;E=k[m>>2]|0;i[y>>0]=0;k[y+16>>2]=u;k[y+20>>2]=C;k[y+8>>2]=D;k[y+12>>2]=E;k[y+24>>2]=A;A=(Lta(v)|0)+1|0;B=0;E=ya(422,A|0)|0;D=B;B=0;if(D&1){F=y;x=35;break}k[y+4>>2]=E;TEa(E|0,v|0,A|0)|0;Eka(a,y)}t=t+1|0;if((t|0)>=(b|0)){x=3;break}}if((x|0)==3){r=d;return}else if((x|0)==5){d=n+56|0;b=n+4|0;k[n>>2]=27524;k[d>>2]=27544;B=0;wa(508,n+56|0,b|0);t=B;B=0;if(t&1){t=Rb()|0;G=Q;H=t;vva(d);Qb(H|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);t=B;B=0;do if(t&1){a=Rb()|0;I=Q;J=a}else{k[b>>2]=27560;a=n+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[n+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,b|0,e|0);m=B;B=0;if(m&1){m=Rb()|0;l=Q;Yua(e);Yua(a);Ava(b);I=l;J=m;break}Yua(e);B=0;m=Ia(40,n|0,141361,43)|0;l=B;B=0;a:do if(((!(l&1)?(h=Lta(w)|0,B=0,g=Ia(40,m|0,w|0,h|0)|0,h=B,B=0,!(h&1)):0)?(B=0,h=Ia(40,g|0,141170,1)|0,g=B,B=0,!(g&1)):0)?(B=0,Xa(239,h|0,0)|0,h=B,B=0,!(h&1)):0){h=Ab(20)|0;B=0;eb(502,o|0,140006,66);g=B;B=0;do if(!(g&1)){B=0;eb(502,p|0,141093,9);j=B;B=0;if(j&1){j=Rb()|0;s=Q;Yua(o);K=s;L=j;break}B=0;wa(510,q|0,b|0);j=B;B=0;if(j&1){j=Rb()|0;M=Q;N=j;O=1}else{B=0;ua(163,h|0,o|0,p|0,1493,q|0);j=B;B=0;if(j&1)P=1;else{B=0;eb(503,h|0,1240,229);B=0;P=0}j=Rb()|0;s=Q;Yua(q);M=s;N=j;O=P}Yua(p);Yua(o);if(O){K=M;L=N}else{R=N;S=M;break a}}else{j=Rb()|0;K=Q;L=j}while(0);zb(h|0);R=L;S=K}else x=22;while(0);if((x|0)==22){m=Rb()|0;R=m;S=Q}k[n>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(a);Ava(b);vva(d);T=S;U=R;Qb(U|0)}while(0);G=I;H=J;vva(d);Qb(H|0)}else if((x|0)==35){x=Rb()|0;H=Q;Sqa(F);T=H;U=x;Qb(U|0)}}function Tka(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0;e=r;r=r+544|0;f=e+532|0;g=e+528|0;h=e+524|0;j=e+520|0;l=e+360|0;m=e+508|0;n=e+496|0;o=e+344|0;p=e+208|0;q=e+60|0;s=e+48|0;t=e+36|0;u=e+72|0;v=e+24|0;w=e+12|0;x=e;k[j>>2]=0;y=vY()|0;z=Uka(a,j,0,g,d)|0;A=k[g>>2]|0;a:do if(A){g=Rqa(A>>>0>1073741823?-1:A<<2)|0;if((A|0)>0){C=k[j>>2]|0;D=a+24|0;if(!y)E=0;else{F=0;while(1){uY()|0;G=k[h>>2]|0;if(!G){H=Rqa(1)|0;i[H>>0]=0;I=H}else{H=Rqa(G+1|0)|0;i[H+G>>0]=0;uY()|0;I=H}k[g+(F<<2)>>2]=I;F=F+1|0;if((F|0)>=(A|0)){J=g;break a}}}while(1){if((k[C+(E<<2)>>2]|0)!=4){K=11;break}eta(k[D>>2]|0,z+(E<<4)|0)|0;if((ata(h,4,1,k[D>>2]|0)|0)!=1){K=36;break}uY()|0;F=k[h>>2]|0;if(!F){H=Rqa(1)|0;i[H>>0]=0;L=H}else{H=Rqa(F+1|0)|0;i[H+F>>0]=0;if((ata(H,F,1,k[D>>2]|0)|0)!=1){K=61;break}uY()|0;L=H}k[g+(E<<2)>>2]=L;E=E+1|0;if((E|0)>=(A|0)){J=g;break a}}if((K|0)==11){D=l+56|0;C=l+4|0;k[l>>2]=27524;k[D>>2]=27544;B=0;wa(508,l+56|0,C|0);H=B;B=0;if(H&1){H=Rb()|0;M=Q;N=H;vva(D);Qb(N|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[D>>2]=27488;B=0;va(448,C|0);H=B;B=0;do if(H&1){F=Rb()|0;O=Q;P=F}else{k[C>>2]=27560;F=l+36|0;k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;k[F+12>>2]=0;k[l+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,C|0,f|0);G=B;B=0;if(G&1){G=Rb()|0;R=Q;Yua(f);Yua(F);Ava(C);O=R;P=G;break}Yua(f);B=0;G=Ia(40,l|0,141569,24)|0;R=B;B=0;b:do if(((!(R&1)?(S=Lta(d)|0,B=0,T=Ia(40,G|0,d|0,S|0)|0,S=B,B=0,!(S&1)):0)?(B=0,S=Ia(40,T|0,141051,1)|0,T=B,B=0,!(T&1)):0)?(B=0,Xa(239,S|0,0)|0,S=B,B=0,!(S&1)):0){S=Ab(20)|0;B=0;eb(502,m|0,140006,66);T=B;B=0;do if(!(T&1)){B=0;eb(502,n|0,141780,17);U=B;B=0;if(U&1){U=Rb()|0;V=Q;Yua(m);W=V;X=U;break}B=0;wa(510,o|0,C|0);U=B;B=0;if(U&1){U=Rb()|0;Y=U;Z=Q;_=1}else{B=0;ua(163,S|0,m|0,n|0,1549,o|0);U=B;B=0;if(U&1)$=1;else{B=0;eb(503,S|0,1240,229);B=0;$=0}U=Rb()|0;V=Q;Yua(o);Y=U;Z=V;_=$}Yua(n);Yua(m);if(_){W=Z;X=Y}else{aa=Z;ba=Y;break b}}else{V=Rb()|0;W=Q;X=V}while(0);zb(S|0);aa=W;ba=X}else K=28;while(0);if((K|0)==28){G=Rb()|0;aa=Q;ba=G}k[l>>2]=27468;k[D>>2]=27488;k[C>>2]=27560;Yua(F);Ava(C);vva(D);ca=aa;da=ba;Qb(da|0)}while(0);M=O;N=P;vva(D);Qb(N|0)}else if((K|0)==36){C=p+56|0;H=p+4|0;k[p>>2]=27524;k[C>>2]=27544;B=0;wa(508,p+56|0,H|0);G=B;B=0;if(G&1){G=Rb()|0;ea=Q;fa=G;vva(C);Qb(fa|0)}k[p+128>>2]=0;k[p+132>>2]=-1;k[p>>2]=27468;k[C>>2]=27488;B=0;va(448,H|0);G=B;B=0;do if(G&1){R=Rb()|0;ga=Q;ha=R}else{k[H>>2]=27560;R=p+36|0;k[R>>2]=0;k[R+4>>2]=0;k[R+8>>2]=0;k[R+12>>2]=0;k[p+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,H|0,f|0);T=B;B=0;if(T&1){T=Rb()|0;V=Q;Yua(f);Yua(R);Ava(H);ga=V;ha=T;break}Yua(f);B=0;T=Ia(40,p|0,140909,32)|0;V=B;B=0;c:do if(!(V&1)?(B=0,Xa(239,T|0,0)|0,U=B,B=0,!(U&1)):0){U=Ab(20)|0;B=0;eb(502,q|0,140006,66);ia=B;B=0;do if(!(ia&1)){B=0;eb(502,s|0,141780,17);ja=B;B=0;if(ja&1){ja=Rb()|0;ka=Q;Yua(q);la=ja;ma=ka;break}B=0;wa(510,t|0,H|0);ka=B;B=0;if(ka&1){ka=Rb()|0;na=1;oa=Q;pa=ka}else{B=0;ua(163,U|0,q|0,s|0,1553,t|0);ka=B;B=0;if(ka&1)qa=1;else{B=0;eb(503,U|0,1240,229);B=0;qa=0}ka=Rb()|0;ja=Q;Yua(t);na=qa;oa=ja;pa=ka}Yua(s);Yua(q);if(na){la=pa;ma=oa}else{ra=oa;sa=pa;break c}}else{ka=Rb()|0;la=ka;ma=Q}while(0);zb(U|0);ra=ma;sa=la}else K=51;while(0);if((K|0)==51){T=Rb()|0;ra=Q;sa=T}k[p>>2]=27468;k[C>>2]=27488;k[H>>2]=27560;Yua(R);Ava(H);vva(C);ca=ra;da=sa;Qb(da|0)}while(0);ea=ga;fa=ha;vva(C);Qb(fa|0)}else if((K|0)==61){H=u+56|0;G=u+4|0;k[u>>2]=27524;k[H>>2]=27544;B=0;wa(508,u+56|0,G|0);D=B;B=0;if(D&1){D=Rb()|0;ta=Q;xa=D;vva(H);Qb(xa|0)}k[u+128>>2]=0;k[u+132>>2]=-1;k[u>>2]=27468;k[H>>2]=27488;B=0;va(448,G|0);D=B;B=0;do if(D&1){T=Rb()|0;ya=Q;za=T}else{k[G>>2]=27560;T=u+36|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;k[T+12>>2]=0;k[u+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,G|0,f|0);V=B;B=0;if(V&1){V=Rb()|0;F=Q;Yua(f);Yua(T);Ava(G);ya=F;za=V;break}Yua(f);B=0;V=Ia(40,u|0,140942,23)|0;F=B;B=0;d:do if(!(F&1)?(B=0,Xa(239,V|0,0)|0,ia=B,B=0,!(ia&1)):0){ia=Ab(20)|0;B=0;eb(502,v|0,140006,66);S=B;B=0;do if(!(S&1)){B=0;eb(502,w|0,141780,17);ka=B;B=0;if(ka&1){ka=Rb()|0;ja=Q;Yua(v);Aa=ka;Ba=ja;break}B=0;wa(510,x|0,G|0);ja=B;B=0;if(ja&1){ja=Rb()|0;Ca=1;Da=Q;Ea=ja}else{B=0;ua(163,ia|0,v|0,w|0,1565,x|0);ja=B;B=0;if(ja&1)Fa=1;else{B=0;eb(503,ia|0,1240,229);B=0;Fa=0}ja=Rb()|0;ka=Q;Yua(x);Ca=Fa;Da=ka;Ea=ja}Yua(w);Yua(v);if(Ca){Aa=Ea;Ba=Da}else{Ga=Da;Ha=Ea;break d}}else{ja=Rb()|0;Aa=ja;Ba=Q}while(0);zb(ia|0);Ga=Ba;Ha=Aa}else K=76;while(0);if((K|0)==76){V=Rb()|0;Ga=Q;Ha=V}k[u>>2]=27468;k[H>>2]=27488;k[G>>2]=27560;Yua(T);Ava(G);vva(H);ca=Ga;da=Ha;Qb(da|0)}while(0);ta=ya;xa=za;vva(H);Qb(xa|0)}}else J=g}else J=0;while(0);xa=k[j>>2]|0;if(xa)Tqa(xa);k[j>>2]=0;if(!z){k[b>>2]=J;k[c>>2]=A;r=e;return}Tqa(z);k[b>>2]=J;k[c>>2]=A;r=e;return}function Uka(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0;f=r;r=r+1424|0;g=f+1404|0;h=f+1376|0;j=f+1360|0;l=f+1356|0;m=f+1340|0;n=f+1324|0;o=f+1176|0;p=f+1392|0;q=f+1380|0;s=f+1364|0;t=f+1040|0;u=f+1344|0;v=f+1328|0;w=f+1312|0;x=f+888|0;y=f+1024|0;z=f+740|0;A=f+728|0;C=f+752|0;D=f+308|0;E=f+296|0;F=f+144|0;G=f+592|0;H=f+132|0;I=f+120|0;J=f+108|0;K=f+456|0;L=f+96|0;M=f+84|0;N=f+72|0;O=f+320|0;P=f+60|0;R=f+48|0;S=f+36|0;T=f+160|0;U=f+24|0;V=f+12|0;W=f;k[n>>2]=0;a:do if(!(vY()|0)){X=a+24|0;dta(k[X>>2]|0,0,0)|0;b:do if(ata(h,4,1,k[X>>2]|0)|0){while(1){Y=k[h>>2]|0;if((Y+-3|0)>>>0>77){Z=Y;_=4;break}$=Rqa(Y+1|0)|0;i[$+Y>>0]=0;if(!(ata($,Y,1,k[X>>2]|0)|0))break b;if(Mta($,140083,3)|0){aa=$;_=30;break}if(!(Ita($,e)|0))k[n>>2]=(k[n>>2]|0)+1;if((ata(j,4,1,k[X>>2]|0)|0)!=1){_=57;break}dta(k[X>>2]|0,k[j>>2]|0,1)|0;Tqa($);if(!(ata(h,4,1,k[X>>2]|0)|0))break b}if((_|0)==4){$=o+56|0;Y=o+4|0;k[o>>2]=27524;k[$>>2]=27544;B=0;wa(508,o+56|0,Y|0);ba=B;B=0;if(ba&1){ba=Rb()|0;ca=Q;da=ba;vva($);Qb(da|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[$>>2]=27488;B=0;va(448,Y|0);ba=B;B=0;do if(ba&1){ea=Rb()|0;fa=Q;ga=ea}else{k[Y>>2]=27560;ea=o+36|0;k[ea>>2]=0;k[ea+4>>2]=0;k[ea+8>>2]=0;k[ea+12>>2]=0;k[o+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,Y|0,g|0);ha=B;B=0;if(ha&1){ha=Rb()|0;ia=Q;Yua(g);Yua(ea);Ava(Y);fa=ia;ga=ha;break}Yua(g);B=0;ha=Ia(40,o|0,139946,59)|0;ia=B;B=0;c:do if((!(ia&1)?(B=0,ja=Xa(242,ha|0,Z|0)|0,ka=B,B=0,!(ka&1)):0)?(B=0,Xa(239,ja|0,0)|0,ja=B,B=0,!(ja&1)):0){ja=Ab(20)|0;B=0;eb(502,p|0,140006,66);ka=B;B=0;do if(!(ka&1)){B=0;eb(502,q|0,141798,21);la=B;B=0;if(la&1){la=Rb()|0;ma=Q;Yua(p);na=ma;oa=la;break}B=0;wa(510,s|0,Y|0);la=B;B=0;if(la&1){la=Rb()|0;pa=Q;qa=la;ra=1}else{B=0;ua(163,ja|0,p|0,q|0,2180,s|0);la=B;B=0;if(la&1)sa=1;else{B=0;eb(503,ja|0,1240,229);B=0;sa=0}la=Rb()|0;ma=Q;Yua(s);pa=ma;qa=la;ra=sa}Yua(q);Yua(p);if(ra){na=pa;oa=qa}else{ta=pa;xa=qa;break c}}else{la=Rb()|0;na=Q;oa=la}while(0);zb(ja|0);ta=na;xa=oa}else _=20;while(0);if((_|0)==20){ha=Rb()|0;ta=Q;xa=ha}k[o>>2]=27468;k[$>>2]=27488;k[Y>>2]=27560;Yua(ea);Ava(Y);vva($);ya=ta;za=xa;Qb(za|0)}while(0);ca=fa;da=ga;vva($);Qb(da|0)}else if((_|0)==30){Y=t+56|0;ba=t+4|0;k[t>>2]=27524;k[Y>>2]=27544;B=0;wa(508,t+56|0,ba|0);ha=B;B=0;if(ha&1){ha=Rb()|0;Aa=Q;Ba=ha;vva(Y);Qb(Ba|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[Y>>2]=27488;B=0;va(448,ba|0);ha=B;B=0;do if(ha&1){ia=Rb()|0;Ca=Q;Da=ia}else{k[ba>>2]=27560;ia=t+36|0;k[ia>>2]=0;k[ia+4>>2]=0;k[ia+8>>2]=0;k[ia+12>>2]=0;k[t+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,ba|0,g|0);ka=B;B=0;if(ka&1){ka=Rb()|0;la=Q;Yua(g);Yua(ia);Ava(ba);Ca=la;Da=ka;break}Yua(g);B=0;ka=Ia(40,t|0,140087,67)|0;la=B;B=0;d:do if((!(la&1)?(ma=Lta(aa)|0,B=0,Ea=Ia(40,ka|0,aa|0,ma|0)|0,ma=B,B=0,!(ma&1)):0)?(B=0,Xa(239,Ea|0,0)|0,Ea=B,B=0,!(Ea&1)):0){Ea=Ab(20)|0;B=0;eb(502,u|0,140006,66);ma=B;B=0;do if(!(ma&1)){B=0;eb(502,v|0,141798,21);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;Ga=Q;Yua(u);Ha=Ga;Ja=Fa;break}B=0;wa(510,w|0,ba|0);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;Ka=1;La=Q;Ma=Fa}else{B=0;ua(163,Ea|0,u|0,v|0,2192,w|0);Fa=B;B=0;if(Fa&1)Na=1;else{B=0;eb(503,Ea|0,1240,229);B=0;Na=0}Fa=Rb()|0;Ga=Q;Yua(w);Ka=Na;La=Ga;Ma=Fa}Yua(v);Yua(u);if(Ka){Ha=La;Ja=Ma}else{Oa=La;Pa=Ma;break d}}else{Fa=Rb()|0;Ha=Q;Ja=Fa}while(0);zb(Ea|0);Oa=Ha;Pa=Ja}else _=46;while(0);if((_|0)==46){ka=Rb()|0;Oa=Q;Pa=ka}k[t>>2]=27468;k[Y>>2]=27488;k[ba>>2]=27560;Yua(ia);Ava(ba);vva(Y);ya=Oa;za=Pa;Qb(za|0)}while(0);Aa=Ca;Ba=Da;vva(Y);Qb(Ba|0)}else if((_|0)==57){ba=x+56|0;ha=x+4|0;k[x>>2]=27524;k[ba>>2]=27544;B=0;wa(508,x+56|0,ha|0);$=B;B=0;if($&1){$=Rb()|0;Qa=Q;Ra=$;vva(ba);Qb(Ra|0)}k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[ba>>2]=27488;B=0;va(448,ha|0);$=B;B=0;do if($&1){ka=Rb()|0;Sa=Q;Ta=ka}else{k[ha>>2]=27560;ka=x+36|0;k[ka>>2]=0;k[ka+4>>2]=0;k[ka+8>>2]=0;k[ka+12>>2]=0;k[x+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,ha|0,g|0);la=B;B=0;if(la&1){la=Rb()|0;ea=Q;Yua(g);Yua(ka);Ava(ha);Sa=ea;Ta=la;break}Yua(g);B=0;la=Ia(40,x|0,140162,28)|0;ea=B;B=0;e:do if(!(ea&1)?(B=0,Xa(239,la|0,0)|0,ma=B,B=0,!(ma&1)):0){ma=Ab(20)|0;B=0;eb(502,y|0,140006,66);ja=B;B=0;do if(!(ja&1)){B=0;eb(502,z|0,141798,21);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;Ga=Q;Yua(y);Ua=Ga;Va=Fa;break}B=0;wa(510,A|0,ha|0);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;Wa=1;Ya=Q;Za=Fa}else{B=0;ua(163,ma|0,y|0,z|0,2199,A|0);Fa=B;B=0;if(Fa&1)_a=1;else{B=0;eb(503,ma|0,1240,229);B=0;_a=0}Fa=Rb()|0;Ga=Q;Yua(A);Wa=_a;Ya=Ga;Za=Fa}Yua(z);Yua(y);if(Wa){Ua=Ya;Va=Za}else{$a=Ya;ab=Za;break e}}else{Fa=Rb()|0;Ua=Q;Va=Fa}while(0);zb(ma|0);$a=Ua;ab=Va}else _=72;while(0);if((_|0)==72){la=Rb()|0;$a=Q;ab=la}k[x>>2]=27468;k[ba>>2]=27488;k[ha>>2]=27560;Yua(ka);Ava(ha);vva(ba);ya=$a;za=ab;Qb(za|0)}while(0);Qa=Sa;Ra=Ta;vva(ba);Qb(Ra|0)}}while(0);ha=k[n>>2]|0;if(!ha){bb=0;cb=0;db=0}else{$=Rqa(ha>>>0>268435455?-1:ha<<4)|0;Y=ha>>>0>1073741823?-1:ha<<2;ha=Rqa(Y)|0;bb=ha;cb=$;db=Rqa(Y)|0}dta(k[X>>2]|0,0,0)|0;if(ata(h,4,1,k[X>>2]|0)|0){Y=db;$=0;while(1){ha=k[h>>2]|0;if((ha+-3|0)>>>0>77){fb=ha;_=86;break}la=Rqa(ha+1|0)|0;i[la+ha>>0]=0;if(!(ata(la,ha,1,k[X>>2]|0)|0)){gb=la;_=111;break}if(Mta(la,140083,3)|0){hb=la;_=113;break}if(!(Ita(la,e)|0)){dta(k[X>>2]|0,4,1)|0;if((ata(l,4,1,k[X>>2]|0)|0)!=1){_=139;break}ha=k[l>>2]|0;if((ha+-5|0)>>>0<3?(ata(m,4,1,k[X>>2]|0)|0)!=1:0){_=164;break}k[bb+($<<2)>>2]=ha;k[Y+($<<2)>>2]=k[m>>2];Vsa(k[X>>2]|0,cb+($<<4)|0)|0;if(((k[l>>2]|0)+-5|0)>>>0<3)dta(k[X>>2]|0,-4,1)|0;dta(k[X>>2]|0,-4,1)|0;dta(k[X>>2]|0,-4,1)|0;ib=$+1|0}else ib=$;if((ata(j,4,1,k[X>>2]|0)|0)!=1){_=191;break}dta(k[X>>2]|0,k[j>>2]|0,1)|0;Tqa(la);if(!(ata(h,4,1,k[X>>2]|0)|0)){jb=bb;kb=cb;lb=db;break a}else $=ib}if((_|0)==86){$=C+56|0;X=C+4|0;k[C>>2]=27524;k[$>>2]=27544;B=0;wa(508,C+56|0,X|0);Y=B;B=0;if(Y&1){Y=Rb()|0;mb=Q;nb=Y;vva($);Qb(nb|0)}k[C+128>>2]=0;k[C+132>>2]=-1;k[C>>2]=27468;k[$>>2]=27488;B=0;va(448,X|0);Y=B;B=0;do if(Y&1){la=Rb()|0;ob=Q;pb=la}else{k[X>>2]=27560;la=C+36|0;k[la>>2]=0;k[la+4>>2]=0;k[la+8>>2]=0;k[la+12>>2]=0;k[C+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,X|0,g|0);ha=B;B=0;if(ha&1){ha=Rb()|0;ea=Q;Yua(g);Yua(la);Ava(X);ob=ea;pb=ha;break}Yua(g);B=0;ha=Ia(40,C|0,139946,59)|0;ea=B;B=0;f:do if((!(ea&1)?(B=0,ia=Xa(242,ha|0,fb|0)|0,ja=B,B=0,!(ja&1)):0)?(B=0,Xa(239,ia|0,0)|0,ia=B,B=0,!(ia&1)):0){ia=Ab(20)|0;B=0;eb(502,D|0,140006,66);ja=B;B=0;do if(!(ja&1)){B=0;eb(502,E|0,141798,21);Ea=B;B=0;if(Ea&1){Ea=Rb()|0;Fa=Q;Yua(D);qb=Fa;rb=Ea;break}B=0;wa(510,F|0,X|0);Ea=B;B=0;if(Ea&1){Ea=Rb()|0;sb=Q;tb=1;ub=Ea}else{B=0;ua(163,ia|0,D|0,E|0,2223,F|0);Ea=B;B=0;if(Ea&1)vb=1;else{B=0;eb(503,ia|0,1240,229);B=0;vb=0}Ea=Rb()|0;Fa=Q;Yua(F);sb=Fa;tb=vb;ub=Ea}Yua(E);Yua(D);if(tb){qb=sb;rb=ub}else{wb=sb;xb=ub;break f}}else{Ea=Rb()|0;qb=Q;rb=Ea}while(0);zb(ia|0);wb=qb;xb=rb}else _=102;while(0);if((_|0)==102){ha=Rb()|0;wb=Q;xb=ha}k[C>>2]=27468;k[$>>2]=27488;k[X>>2]=27560;Yua(la);Ava(X);vva($);ya=wb;za=xb;Qb(za|0)}while(0);mb=ob;nb=pb;vva($);Qb(nb|0)}else if((_|0)==111){Tqa(gb);jb=bb;kb=cb;lb=db;break}else if((_|0)==113){X=G+56|0;Y=G+4|0;k[G>>2]=27524;k[X>>2]=27544;B=0;wa(508,G+56|0,Y|0);ha=B;B=0;if(ha&1){ha=Rb()|0;yb=Q;Bb=ha;vva(X);Qb(Bb|0)}k[G+128>>2]=0;k[G+132>>2]=-1;k[G>>2]=27468;k[X>>2]=27488;B=0;va(448,Y|0);ha=B;B=0;do if(ha&1){ea=Rb()|0;Cb=Q;Db=ea}else{k[Y>>2]=27560;ea=G+36|0;k[ea>>2]=0;k[ea+4>>2]=0;k[ea+8>>2]=0;k[ea+12>>2]=0;k[G+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,Y|0,g|0);ba=B;B=0;if(ba&1){ba=Rb()|0;ja=Q;Yua(g);Yua(ea);Ava(Y);Cb=ja;Db=ba;break}Yua(g);B=0;ba=Ia(40,G|0,140087,67)|0;ja=B;B=0;g:do if((!(ja&1)?(ka=Lta(hb)|0,B=0,Ea=Ia(40,ba|0,hb|0,ka|0)|0,ka=B,B=0,!(ka&1)):0)?(B=0,Xa(239,Ea|0,0)|0,Ea=B,B=0,!(Ea&1)):0){Ea=Ab(20)|0;B=0;eb(502,H|0,140006,66);ka=B;B=0;do if(!(ka&1)){B=0;eb(502,I|0,141798,21);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;Ga=Q;Yua(H);Eb=Ga;Fb=Fa;break}B=0;wa(510,J|0,Y|0);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;Gb=1;Hb=Q;Ib=Fa}else{B=0;ua(163,Ea|0,H|0,I|0,2237,J|0);Fa=B;B=0;if(Fa&1)Jb=1;else{B=0;eb(503,Ea|0,1240,229);B=0;Jb=0}Fa=Rb()|0;Ga=Q;Yua(J);Gb=Jb;Hb=Ga;Ib=Fa}Yua(I);Yua(H);if(Gb){Eb=Hb;Fb=Ib}else{Kb=Hb;Lb=Ib;break g}}else{Fa=Rb()|0;Eb=Q;Fb=Fa}while(0);zb(Ea|0);Kb=Eb;Lb=Fb}else _=129;while(0);if((_|0)==129){ba=Rb()|0;Kb=Q;Lb=ba}k[G>>2]=27468;k[X>>2]=27488;k[Y>>2]=27560;Yua(ea);Ava(Y);vva(X);ya=Kb;za=Lb;Qb(za|0)}while(0);yb=Cb;Bb=Db;vva(X);Qb(Bb|0)}else if((_|0)==139){Y=K+56|0;ha=K+4|0;k[K>>2]=27524;k[Y>>2]=27544;B=0;wa(508,K+56|0,ha|0);$=B;B=0;if($&1){$=Rb()|0;Mb=Q;Nb=$;vva(Y);Qb(Nb|0)}k[K+128>>2]=0;k[K+132>>2]=-1;k[K>>2]=27468;k[Y>>2]=27488;B=0;va(448,ha|0);$=B;B=0;do if($&1){ba=Rb()|0;Ob=Q;Pb=ba}else{k[ha>>2]=27560;ba=K+36|0;k[ba>>2]=0;k[ba+4>>2]=0;k[ba+8>>2]=0;k[ba+12>>2]=0;k[K+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,ha|0,g|0);ja=B;B=0;if(ja&1){ja=Rb()|0;la=Q;Yua(g);Yua(ba);Ava(ha);Ob=la;Pb=ja;break}Yua(g);B=0;ja=Ia(40,K|0,141437,26)|0;la=B;B=0;h:do if(!(la&1)?(B=0,Xa(239,ja|0,0)|0,ka=B,B=0,!(ka&1)):0){ka=Ab(20)|0;B=0;eb(502,L|0,140006,66);ia=B;B=0;do if(!(ia&1)){B=0;eb(502,M|0,141798,21);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;Ga=Q;Yua(L);Sb=Ga;Tb=Fa;break}B=0;wa(510,N|0,ha|0);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;Ub=1;Vb=Q;Wb=Fa}else{B=0;ua(163,ka|0,L|0,M|0,2244,N|0);Fa=B;B=0;if(Fa&1)Xb=1;else{B=0;eb(503,ka|0,1240,229);B=0;Xb=0}Fa=Rb()|0;Ga=Q;Yua(N);Ub=Xb;Vb=Ga;Wb=Fa}Yua(M);Yua(L);if(Ub){Sb=Vb;Tb=Wb}else{Yb=Vb;Zb=Wb;break h}}else{Fa=Rb()|0;Sb=Q;Tb=Fa}while(0);zb(ka|0);Yb=Sb;Zb=Tb}else _=154;while(0);if((_|0)==154){ja=Rb()|0;Yb=Q;Zb=ja}k[K>>2]=27468;k[Y>>2]=27488;k[ha>>2]=27560;Yua(ba);Ava(ha);vva(Y);ya=Yb;za=Zb;Qb(za|0)}while(0);Mb=Ob;Nb=Pb;vva(Y);Qb(Nb|0)}else if((_|0)==164){ha=O+56|0;$=O+4|0;k[O>>2]=27524;k[ha>>2]=27544;B=0;wa(508,O+56|0,$|0);X=B;B=0;if(X&1){X=Rb()|0;_b=Q;$b=X;vva(ha);Qb($b|0)}k[O+128>>2]=0;k[O+132>>2]=-1;k[O>>2]=27468;k[ha>>2]=27488;B=0;va(448,$|0);X=B;B=0;do if(X&1){ja=Rb()|0;ac=Q;bc=ja}else{k[$>>2]=27560;ja=O+36|0;k[ja>>2]=0;k[ja+4>>2]=0;k[ja+8>>2]=0;k[ja+12>>2]=0;k[O+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,$|0,g|0);la=B;B=0;if(la&1){la=Rb()|0;ea=Q;Yua(g);Yua(ja);Ava($);ac=ea;bc=la;break}Yua(g);B=0;la=Ia(40,O|0,141464,26)|0;ea=B;B=0;i:do if(!(ea&1)?(B=0,Xa(239,la|0,0)|0,ia=B,B=0,!(ia&1)):0){ia=Ab(20)|0;B=0;eb(502,P|0,140006,66);Ea=B;B=0;do if(!(Ea&1)){B=0;eb(502,R|0,141798,21);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;Ga=Q;Yua(P);cc=Ga;dc=Fa;break}B=0;wa(510,S|0,$|0);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;ec=1;fc=Q;gc=Fa}else{B=0;ua(163,ia|0,P|0,R|0,2248,S|0);Fa=B;B=0;if(Fa&1)hc=1;else{B=0;eb(503,ia|0,1240,229);B=0;hc=0}Fa=Rb()|0;Ga=Q;Yua(S);ec=hc;fc=Ga;gc=Fa}Yua(R);Yua(P);if(ec){cc=fc;dc=gc}else{ic=fc;jc=gc;break i}}else{Fa=Rb()|0;cc=Q;dc=Fa}while(0);zb(ia|0);ic=cc;jc=dc}else _=179;while(0);if((_|0)==179){la=Rb()|0;ic=Q;jc=la}k[O>>2]=27468;k[ha>>2]=27488;k[$>>2]=27560;Yua(ja);Ava($);vva(ha);ya=ic;za=jc;Qb(za|0)}while(0);_b=ac;$b=bc;vva(ha);Qb($b|0)}else if((_|0)==191){$=T+56|0;X=T+4|0;k[T>>2]=27524;k[$>>2]=27544;B=0;wa(508,T+56|0,X|0);Y=B;B=0;if(Y&1){Y=Rb()|0;kc=Q;lc=Y;vva($);Qb(lc|0)}k[T+128>>2]=0;k[T+132>>2]=-1;k[T>>2]=27468;k[$>>2]=27488;B=0;va(448,X|0);Y=B;B=0;do if(Y&1){la=Rb()|0;mc=Q;nc=la}else{k[X>>2]=27560;la=T+36|0;k[la>>2]=0;k[la+4>>2]=0;k[la+8>>2]=0;k[la+12>>2]=0;k[T+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,X|0,g|0);ea=B;B=0;if(ea&1){ea=Rb()|0;ba=Q;Yua(g);Yua(la);Ava(X);mc=ba;nc=ea;break}Yua(g);B=0;ea=Ia(40,T|0,140162,28)|0;ba=B;B=0;j:do if(!(ba&1)?(B=0,Xa(239,ea|0,0)|0,Ea=B,B=0,!(Ea&1)):0){Ea=Ab(20)|0;B=0;eb(502,U|0,140006,66);ka=B;B=0;do if(!(ka&1)){B=0;eb(502,V|0,141798,21);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;Ga=Q;Yua(U);oc=Ga;pc=Fa;break}B=0;wa(510,W|0,X|0);Fa=B;B=0;if(Fa&1){Fa=Rb()|0;qc=1;rc=Q;sc=Fa}else{B=0;ua(163,Ea|0,U|0,V|0,2264,W|0);Fa=B;B=0;if(Fa&1)tc=1;else{B=0;eb(503,Ea|0,1240,229);B=0;tc=0}Fa=Rb()|0;Ga=Q;Yua(W);qc=tc;rc=Ga;sc=Fa}Yua(V);Yua(U);if(qc){oc=rc;pc=sc}else{uc=rc;vc=sc;break j}}else{Fa=Rb()|0;oc=Q;pc=Fa}while(0);zb(Ea|0);uc=oc;vc=pc}else _=206;while(0);if((_|0)==206){ea=Rb()|0;uc=Q;vc=ea}k[T>>2]=27468;k[$>>2]=27488;k[X>>2]=27560;Yua(la);Ava(X);vva($);ya=uc;za=vc;Qb(za|0)}while(0);kc=mc;lc=nc;vva($);Qb(lc|0)}}else{jb=bb;kb=cb;lb=db}}else{jb=0;kb=0;lb=0}while(0);uY()|0;k[b>>2]=jb;k[d>>2]=k[n>>2];if(c){k[c>>2]=lb;r=f;return kb|0}if(!lb){r=f;return kb|0}Tqa(lb);r=f;return kb|0}function Vka(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;e=r;r=r+384|0;f=e+360|0;g=e+356|0;h=e+352|0;i=e+348|0;j=e+200|0;l=e+336|0;m=e+48|0;n=e+36|0;o=e+64|0;p=e+24|0;q=e+12|0;s=e;k[i>>2]=0;t=vY()|0;u=Uka(a,i,0,g,d)|0;v=k[g>>2]|0;a:do if(v){g=Rqa(v>>>0>1073741823?-1:v<<2)|0;if((v|0)>0){w=k[i>>2]|0;x=a+24|0;if(!t)y=0;else{z=0;while(1){uY()|0;k[g+(z<<2)>>2]=k[h>>2];z=z+1|0;if((z|0)>=(v|0)){A=g;break a}}}while(1){if((k[w+(y<<2)>>2]|0)!=2)break;eta(k[x>>2]|0,u+(y<<4)|0)|0;if((ata(h,4,1,k[x>>2]|0)|0)!=1){C=32;break}uY()|0;k[g+(y<<2)>>2]=k[h>>2];y=y+1|0;if((y|0)>=(v|0)){A=g;break a}}if((C|0)==32){x=o+56|0;w=o+4|0;k[o>>2]=27524;k[x>>2]=27544;B=0;wa(508,o+56|0,w|0);z=B;B=0;if(z&1){z=Rb()|0;D=Q;E=z;vva(x);Qb(E|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[x>>2]=27488;B=0;va(448,w|0);z=B;B=0;do if(z&1){F=Rb()|0;G=Q;H=F}else{k[w>>2]=27560;F=o+36|0;k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;k[F+12>>2]=0;k[o+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,w|0,f|0);I=B;B=0;if(I&1){I=Rb()|0;J=Q;Yua(f);Yua(F);Ava(w);G=J;H=I;break}Yua(f);B=0;I=Ia(40,o|0,140862,23)|0;J=B;B=0;b:do if(!(J&1)?(B=0,Xa(239,I|0,0)|0,K=B,B=0,!(K&1)):0){K=Ab(20)|0;B=0;eb(502,p|0,140006,66);L=B;B=0;do if(!(L&1)){B=0;eb(502,q|0,141780,17);M=B;B=0;if(M&1){M=Rb()|0;N=Q;Yua(p);O=M;P=N;break}B=0;wa(510,s|0,w|0);N=B;B=0;if(N&1){N=Rb()|0;R=1;S=Q;T=N}else{B=0;ua(163,K|0,p|0,q|0,1619,s|0);N=B;B=0;if(N&1)U=1;else{B=0;eb(503,K|0,1240,229);B=0;U=0}N=Rb()|0;M=Q;Yua(s);R=U;S=M;T=N}Yua(q);Yua(p);if(R){O=T;P=S}else{V=S;W=T;break b}}else{N=Rb()|0;O=N;P=Q}while(0);zb(K|0);V=P;W=O}else C=47;while(0);if((C|0)==47){I=Rb()|0;V=Q;W=I}k[o>>2]=27468;k[x>>2]=27488;k[w>>2]=27560;Yua(F);Ava(w);vva(x);X=V;Y=W;Qb(Y|0)}while(0);D=G;E=H;vva(x);Qb(E|0)}w=j+56|0;z=j+4|0;k[j>>2]=27524;k[w>>2]=27544;B=0;wa(508,j+56|0,z|0);I=B;B=0;if(I&1){I=Rb()|0;Z=Q;_=I;vva(w);Qb(_|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[w>>2]=27488;B=0;va(448,z|0);I=B;B=0;do if(I&1){J=Rb()|0;$=Q;aa=J}else{k[z>>2]=27560;J=j+36|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;k[J+12>>2]=0;k[j+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,z|0,f|0);L=B;B=0;if(L&1){L=Rb()|0;N=Q;Yua(f);Yua(J);Ava(z);$=N;aa=L;break}Yua(f);B=0;L=Ia(40,j|0,141066,26)|0;N=B;B=0;c:do if(((!(N&1)?(M=Lta(d)|0,B=0,ba=Ia(40,L|0,d|0,M|0)|0,M=B,B=0,!(M&1)):0)?(B=0,M=Ia(40,ba|0,141051,1)|0,ba=B,B=0,!(ba&1)):0)?(B=0,Xa(239,M|0,0)|0,M=B,B=0,!(M&1)):0){M=Ab(20)|0;B=0;eb(502,l|0,140006,66);ba=B;B=0;do if(!(ba&1)){B=0;eb(502,m|0,141780,17);ca=B;B=0;if(ca&1){ca=Rb()|0;da=Q;Yua(l);ea=ca;fa=da;break}B=0;wa(510,n|0,z|0);da=B;B=0;if(da&1){da=Rb()|0;ga=Q;ha=da;ia=1}else{B=0;ua(163,M|0,l|0,m|0,1614,n|0);da=B;B=0;if(da&1)ja=1;else{B=0;eb(503,M|0,1240,229);B=0;ja=0}da=Rb()|0;ca=Q;Yua(n);ga=ca;ha=da;ia=ja}Yua(m);Yua(l);if(ia){ea=ha;fa=ga}else{ka=ha;la=ga;break c}}else{da=Rb()|0;ea=da;fa=Q}while(0);zb(M|0);ka=ea;la=fa}else C=24;while(0);if((C|0)==24){L=Rb()|0;ka=L;la=Q}k[j>>2]=27468;k[w>>2]=27488;k[z>>2]=27560;Yua(J);Ava(z);vva(w);X=la;Y=ka;Qb(Y|0)}while(0);Z=$;_=aa;vva(w);Qb(_|0)}else A=g}else A=0;while(0);if(u)Tqa(u);u=k[i>>2]|0;if(!u){k[b>>2]=A;k[c>>2]=v;r=e;return}Tqa(u);k[b>>2]=A;k[c>>2]=v;r=e;return}function Wka(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0;e=r;r=r+384|0;f=e+368|0;g=e+364|0;h=e;i=e+360|0;j=e+224|0;l=e+208|0;m=e+56|0;n=e+44|0;o=e+72|0;q=e+32|0;s=e+20|0;t=e+8|0;k[i>>2]=0;u=vY()|0;v=Uka(a,i,0,g,d)|0;w=k[g>>2]|0;a:do if(w){g=Rqa(w>>>0>536870911?-1:w<<3)|0;if((w|0)>0){x=k[i>>2]|0;y=a+24|0;if(!u)z=0;else{A=0;while(1){uY()|0;p[g+(A<<3)>>3]=+p[h>>3];A=A+1|0;if((A|0)>=(w|0)){C=g;break a}}}while(1){if((k[x+(z<<2)>>2]|0)!=3)break;eta(k[y>>2]|0,v+(z<<4)|0)|0;if((ata(h,8,1,k[y>>2]|0)|0)!=1){D=32;break}uY()|0;p[g+(z<<3)>>3]=+p[h>>3];z=z+1|0;if((z|0)>=(w|0)){C=g;break a}}if((D|0)==32){y=o+56|0;x=o+4|0;k[o>>2]=27524;k[y>>2]=27544;B=0;wa(508,o+56|0,x|0);A=B;B=0;if(A&1){A=Rb()|0;E=Q;F=A;vva(y);Qb(F|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[y>>2]=27488;B=0;va(448,x|0);A=B;B=0;do if(A&1){G=Rb()|0;H=Q;I=G}else{k[x>>2]=27560;G=o+36|0;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;k[G+12>>2]=0;k[o+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,x|0,f|0);J=B;B=0;if(J&1){J=Rb()|0;K=Q;Yua(f);Yua(G);Ava(x);H=K;I=J;break}Yua(f);B=0;J=Ia(40,o|0,140886,22)|0;K=B;B=0;b:do if(!(K&1)?(B=0,Xa(239,J|0,0)|0,L=B,B=0,!(L&1)):0){L=Ab(20)|0;B=0;eb(502,q|0,140006,66);M=B;B=0;do if(!(M&1)){B=0;eb(502,s|0,141780,17);N=B;B=0;if(N&1){N=Rb()|0;O=Q;Yua(q);P=N;R=O;break}B=0;wa(510,t|0,x|0);O=B;B=0;if(O&1){O=Rb()|0;S=1;T=Q;U=O}else{B=0;ua(163,L|0,q|0,s|0,1672,t|0);O=B;B=0;if(O&1)V=1;else{B=0;eb(503,L|0,1240,229);B=0;V=0}O=Rb()|0;N=Q;Yua(t);S=V;T=N;U=O}Yua(s);Yua(q);if(S){P=U;R=T}else{W=T;X=U;break b}}else{O=Rb()|0;P=O;R=Q}while(0);zb(L|0);W=R;X=P}else D=47;while(0);if((D|0)==47){J=Rb()|0;W=Q;X=J}k[o>>2]=27468;k[y>>2]=27488;k[x>>2]=27560;Yua(G);Ava(x);vva(y);Y=W;Z=X;Qb(Z|0)}while(0);E=H;F=I;vva(y);Qb(F|0)}x=j+56|0;A=j+4|0;k[j>>2]=27524;k[x>>2]=27544;B=0;wa(508,j+56|0,A|0);J=B;B=0;if(J&1){J=Rb()|0;_=Q;$=J;vva(x);Qb($|0)}k[j+128>>2]=0;k[j+132>>2]=-1;k[j>>2]=27468;k[x>>2]=27488;B=0;va(448,A|0);J=B;B=0;do if(J&1){K=Rb()|0;aa=Q;ba=K}else{k[A>>2]=27560;K=j+36|0;k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;k[K+12>>2]=0;k[j+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,A|0,f|0);M=B;B=0;if(M&1){M=Rb()|0;O=Q;Yua(f);Yua(K);Ava(A);aa=O;ba=M;break}Yua(f);B=0;M=Ia(40,j|0,141820,24)|0;O=B;B=0;c:do if(((!(O&1)?(N=Lta(d)|0,B=0,ca=Ia(40,M|0,d|0,N|0)|0,N=B,B=0,!(N&1)):0)?(B=0,N=Ia(40,ca|0,141051,1)|0,ca=B,B=0,!(ca&1)):0)?(B=0,Xa(239,N|0,0)|0,N=B,B=0,!(N&1)):0){N=Ab(20)|0;B=0;eb(502,l|0,140006,66);ca=B;B=0;do if(!(ca&1)){B=0;eb(502,m|0,141780,17);da=B;B=0;if(da&1){da=Rb()|0;ea=Q;Yua(l);fa=da;ga=ea;break}B=0;wa(510,n|0,A|0);ea=B;B=0;if(ea&1){ea=Rb()|0;ha=Q;ia=ea;ja=1}else{B=0;ua(163,N|0,l|0,m|0,1667,n|0);ea=B;B=0;if(ea&1)ka=1;else{B=0;eb(503,N|0,1240,229);B=0;ka=0}ea=Rb()|0;da=Q;Yua(n);ha=da;ia=ea;ja=ka}Yua(m);Yua(l);if(ja){fa=ia;ga=ha}else{la=ia;ma=ha;break c}}else{ea=Rb()|0;fa=ea;ga=Q}while(0);zb(N|0);la=fa;ma=ga}else D=24;while(0);if((D|0)==24){M=Rb()|0;la=M;ma=Q}k[j>>2]=27468;k[x>>2]=27488;k[A>>2]=27560;Yua(K);Ava(A);vva(x);Y=ma;Z=la;Qb(Z|0)}while(0);_=aa;$=ba;vva(x);Qb($|0)}else C=g}else C=0;while(0);if(v)Tqa(v);v=k[i>>2]|0;if(!v){k[b>>2]=C;k[c>>2]=w;r=e;return}Tqa(v);k[b>>2]=C;k[c>>2]=w;r=e;return}function Xka(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,fb=0;g=r;r=r+736|0;h=g+712|0;i=g+708|0;j=g+704|0;l=g+688|0;m=g+672|0;n=g+536|0;o=g+692|0;p=g+676|0;q=g+520|0;s=g+384|0;t=g+236|0;u=g+224|0;v=g+72|0;w=g+248|0;x=g+60|0;y=g+48|0;z=g+36|0;A=g+88|0;C=g+24|0;D=g+12|0;E=g;k[m>>2]=0;F=vY()|0;G=Uka(a,m,0,i,f)|0;H=k[i>>2]|0;a:do if(H){i=H>>>0>1073741823?-1:H<<2;I=Rqa(i)|0;J=Rqa(i)|0;K=J;L=Rqa(i)|0;i=L;if((H|0)>0){M=(F|0)==0;N=k[m>>2]|0;O=a+24|0;P=0;while(1){if(M){if(((k[N+(P<<2)>>2]|0)+-5|0)>>>0>=3){R=6;break}eta(k[O>>2]|0,G+(P<<4)|0)|0;if((ata(j,4,1,k[O>>2]|0)|0)!=1){R=32;break}uY()|0;if((ata(l,4,1,k[O>>2]|0)|0)!=1){R=56;break}}else uY()|0;uY()|0;S=k[j>>2]|0;T=k[l>>2]|0;U=ma(T,S)|0;if(!U){V=S;W=T;X=0}else{Y=Rqa(U>>>0>536870911?-1:U<<3)|0;if(M?(U=ma(S<<3,T)|0,(ata(Y,U,1,k[O>>2]|0)|0)!=1):0){R=84;break}uY()|0;U=ma(k[l>>2]|0,k[j>>2]|0)|0;T=Rqa(U>>>0>536870911?-1:U<<3)|0;if((U|0)>0)TEa(T|0,Y|0,((U|0)>1?U:1)<<3|0)|0;Tqa(Y);V=k[j>>2]|0;W=k[l>>2]|0;X=T}k[J+(P<<2)>>2]=V;k[I+(P<<2)>>2]=X;k[L+(P<<2)>>2]=W;P=P+1|0;if((P|0)>=(H|0)){Z=I;_=K;$=i;break a}}if((R|0)==6){P=n+56|0;L=n+4|0;k[n>>2]=27524;k[P>>2]=27544;B=0;wa(508,n+56|0,L|0);J=B;B=0;if(J&1){J=Rb()|0;aa=Q;ba=J;vva(P);Qb(ba|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[P>>2]=27488;B=0;va(448,L|0);J=B;B=0;do if(J&1){O=Rb()|0;ca=Q;da=O}else{k[L>>2]=27560;O=n+36|0;k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;k[O+12>>2]=0;k[n+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,L|0,h|0);M=B;B=0;if(M&1){M=Rb()|0;N=Q;Yua(h);Yua(O);Ava(L);ca=N;da=M;break}Yua(h);B=0;M=Ia(40,n|0,141103,55)|0;N=B;B=0;b:do if(((!(N&1)?(T=Lta(f)|0,B=0,Y=Ia(40,M|0,f|0,T|0)|0,T=B,B=0,!(T&1)):0)?(B=0,T=Ia(40,Y|0,141051,1)|0,Y=B,B=0,!(Y&1)):0)?(B=0,Xa(239,T|0,0)|0,T=B,B=0,!(T&1)):0){T=Ab(20)|0;B=0;eb(502,o|0,140006,66);Y=B;B=0;do if(!(Y&1)){B=0;eb(502,p|0,141780,17);U=B;B=0;if(U&1){U=Rb()|0;S=Q;Yua(o);ea=S;fa=U;break}B=0;wa(510,q|0,L|0);U=B;B=0;if(U&1){U=Rb()|0;ga=Q;ha=U;ia=1}else{B=0;ua(163,T|0,o|0,p|0,1726,q|0);U=B;B=0;if(U&1)ja=1;else{B=0;eb(503,T|0,1240,229);B=0;ja=0}U=Rb()|0;S=Q;Yua(q);ga=S;ha=U;ia=ja}Yua(p);Yua(o);if(ia){ea=ga;fa=ha}else{ka=ga;la=ha;break b}}else{U=Rb()|0;ea=Q;fa=U}while(0);zb(T|0);ka=ea;la=fa}else R=23;while(0);if((R|0)==23){M=Rb()|0;ka=Q;la=M}k[n>>2]=27468;k[P>>2]=27488;k[L>>2]=27560;Yua(O);Ava(L);vva(P);na=ka;oa=la;Qb(oa|0)}while(0);aa=ca;ba=da;vva(P);Qb(ba|0)}else if((R|0)==32){L=s+56|0;J=s+4|0;k[s>>2]=27524;k[L>>2]=27544;B=0;wa(508,s+56|0,J|0);M=B;B=0;if(M&1){M=Rb()|0;pa=Q;qa=M;vva(L);Qb(qa|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[L>>2]=27488;B=0;va(448,J|0);M=B;B=0;do if(M&1){N=Rb()|0;ra=Q;sa=N}else{k[J>>2]=27560;N=s+36|0;k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;k[N+12>>2]=0;k[s+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,J|0,h|0);Y=B;B=0;if(Y&1){Y=Rb()|0;U=Q;Yua(h);Yua(N);Ava(J);ra=U;sa=Y;break}Yua(h);B=0;Y=Ia(40,s|0,141172,41)|0;U=B;B=0;c:do if(!(U&1)?(B=0,Xa(239,Y|0,0)|0,S=B,B=0,!(S&1)):0){S=Ab(20)|0;B=0;eb(502,t|0,140006,66);ta=B;B=0;do if(!(ta&1)){B=0;eb(502,u|0,141780,17);xa=B;B=0;if(xa&1){xa=Rb()|0;ya=Q;Yua(t);za=xa;Aa=ya;break}B=0;wa(510,v|0,J|0);ya=B;B=0;if(ya&1){ya=Rb()|0;Ba=1;Ca=Q;Da=ya}else{B=0;ua(163,S|0,t|0,u|0,1731,v|0);ya=B;B=0;if(ya&1)Ea=1;else{B=0;eb(503,S|0,1240,229);B=0;Ea=0}ya=Rb()|0;xa=Q;Yua(v);Ba=Ea;Ca=xa;Da=ya}Yua(u);Yua(t);if(Ba){za=Da;Aa=Ca}else{Fa=Ca;Ga=Da;break c}}else{ya=Rb()|0;za=ya;Aa=Q}while(0);zb(S|0);Fa=Aa;Ga=za}else R=47;while(0);if((R|0)==47){Y=Rb()|0;Fa=Q;Ga=Y}k[s>>2]=27468;k[L>>2]=27488;k[J>>2]=27560;Yua(N);Ava(J);vva(L);na=Fa;oa=Ga;Qb(oa|0)}while(0);pa=ra;qa=sa;vva(L);Qb(qa|0)}else if((R|0)==56){J=w+56|0;M=w+4|0;k[w>>2]=27524;k[J>>2]=27544;B=0;wa(508,w+56|0,M|0);P=B;B=0;if(P&1){P=Rb()|0;Ha=Q;Ja=P;vva(J);Qb(Ja|0)}k[w+128>>2]=0;k[w+132>>2]=-1;k[w>>2]=27468;k[J>>2]=27488;B=0;va(448,M|0);P=B;B=0;do if(P&1){Y=Rb()|0;Ka=Q;La=Y}else{k[M>>2]=27560;Y=w+36|0;k[Y>>2]=0;k[Y+4>>2]=0;k[Y+8>>2]=0;k[Y+12>>2]=0;k[w+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,M|0,h|0);U=B;B=0;if(U&1){U=Rb()|0;O=Q;Yua(h);Yua(Y);Ava(M);Ka=O;La=U;break}Yua(h);B=0;U=Ia(40,w|0,141214,44)|0;O=B;B=0;d:do if(!(O&1)?(B=0,Xa(239,U|0,0)|0,ta=B,B=0,!(ta&1)):0){ta=Ab(20)|0;B=0;eb(502,x|0,140006,66);T=B;B=0;do if(!(T&1)){B=0;eb(502,y|0,141780,17);ya=B;B=0;if(ya&1){ya=Rb()|0;xa=Q;Yua(x);Ma=ya;Na=xa;break}B=0;wa(510,z|0,M|0);xa=B;B=0;if(xa&1){xa=Rb()|0;Oa=1;Pa=Q;Qa=xa}else{B=0;ua(163,ta|0,x|0,y|0,1736,z|0);xa=B;B=0;if(xa&1)Ra=1;else{B=0;eb(503,ta|0,1240,229);B=0;Ra=0}xa=Rb()|0;ya=Q;Yua(z);Oa=Ra;Pa=ya;Qa=xa}Yua(y);Yua(x);if(Oa){Ma=Qa;Na=Pa}else{Sa=Pa;Ta=Qa;break d}}else{xa=Rb()|0;Ma=xa;Na=Q}while(0);zb(ta|0);Sa=Na;Ta=Ma}else R=71;while(0);if((R|0)==71){U=Rb()|0;Sa=Q;Ta=U}k[w>>2]=27468;k[J>>2]=27488;k[M>>2]=27560;Yua(Y);Ava(M);vva(J);na=Sa;oa=Ta;Qb(oa|0)}while(0);Ha=Ka;Ja=La;vva(J);Qb(Ja|0)}else if((R|0)==84){M=A+56|0;P=A+4|0;k[A>>2]=27524;k[M>>2]=27544;B=0;wa(508,A+56|0,P|0);L=B;B=0;if(L&1){L=Rb()|0;Ua=Q;Va=L;vva(M);Qb(Va|0)}k[A+128>>2]=0;k[A+132>>2]=-1;k[A>>2]=27468;k[M>>2]=27488;B=0;va(448,P|0);L=B;B=0;do if(L&1){U=Rb()|0;Wa=Q;Ya=U}else{k[P>>2]=27560;U=A+36|0;k[U>>2]=0;k[U+4>>2]=0;k[U+8>>2]=0;k[U+12>>2]=0;k[A+52>>2]=16;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;B=0;wa(509,P|0,h|0);O=B;B=0;if(O&1){O=Rb()|0;N=Q;Yua(h);Yua(U);Ava(P);Wa=N;Ya=O;break}Yua(h);B=0;O=Ia(40,A|0,141259,22)|0;N=B;B=0;e:do if(!(N&1)?(B=0,Xa(239,O|0,0)|0,T=B,B=0,!(T&1)):0){T=Ab(20)|0;B=0;eb(502,C|0,140006,66);S=B;B=0;do if(!(S&1)){B=0;eb(502,D|0,141780,17);xa=B;B=0;if(xa&1){xa=Rb()|0;ya=Q;Yua(C);Za=xa;_a=ya;break}B=0;wa(510,E|0,P|0);ya=B;B=0;if(ya&1){ya=Rb()|0;$a=1;ab=Q;bb=ya}else{B=0;ua(163,T|0,C|0,D|0,1747,E|0);ya=B;B=0;if(ya&1)cb=1;else{B=0;eb(503,T|0,1240,229);B=0;cb=0}ya=Rb()|0;xa=Q;Yua(E);$a=cb;ab=xa;bb=ya}Yua(D);Yua(C);if($a){Za=bb;_a=ab}else{db=ab;fb=bb;break e}}else{ya=Rb()|0;Za=ya;_a=Q}while(0);zb(T|0);db=_a;fb=Za}else R=99;while(0);if((R|0)==99){O=Rb()|0;db=Q;fb=O}k[A>>2]=27468;k[M>>2]=27488;k[P>>2]=27560;Yua(U);Ava(P);vva(M);na=db;oa=fb;Qb(oa|0)}while(0);Ua=Wa;Va=Ya;vva(M);Qb(Va|0)}}else{Z=I;_=K;$=i}}else{Z=0;_=0;$=0}while(0);if(G)Tqa(G);G=k[m>>2]|0;if(G)Tqa(G);k[m>>2]=0;k[b>>2]=Z;if(!c){if(_)Tqa(_)}else k[c>>2]=_;if(d){k[d>>2]=$;k[e>>2]=H;r=g;return}if(!$){k[e>>2]=H;r=g;return}Tqa($);k[e>>2]=H;r=g;return}function Yka(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0;f=r;r=r+224|0;g=f+204|0;h=f;i=f+200|0;j=f+196|0;l=f+192|0;m=f+188|0;n=f+184|0;o=f+48|0;q=f+32|0;s=f+20|0;t=f+8|0;p[h>>3]=e;u=k[a+12>>2]|0;v=k[a+16>>2]|0;a:do if(u>>>0<v>>>0){w=u;while(1){x=k[w>>2]|0;w=w+4|0;if(!(Ita(k[x+4>>2]|0,c)|0)){y=x;break}if(w>>>0>=v>>>0)break a}if((th(b)|0)<=0){r=f;return}w=y+24|0;x=y+8|0;z=y+12|0;A=y+20|0;C=y+16|0;D=0;do{E=qh(b,D)|0;Qp(E,k[w>>2]|0,a,k[x>>2]|0,k[z>>2]|0,k[A>>2]|0,d,k[C>>2]|0);D=D+1|0}while((D|0)<(th(b)|0));r=f;return}while(0);k[l>>2]=0;Oka(a,i,j,c)|0;if((k[i>>2]|0)==7){Qka(a,l,m,n,c);i=(th(b)|0)>0;y=k[l>>2]|0;if(i)if(!y){i=0;do{l=qh(b,i)|0;rd[k[(k[l>>2]|0)+48>>2]&511](l,d,h,736);i=i+1|0}while((i|0)<(th(b)|0))}else{i=0;do{h=qh(b,i)|0;Qp(h,y,a,k[m>>2]|0,k[n>>2]|0,k[j>>2]|0,d,7);i=i+1|0}while((i|0)<(th(b)|0));F=35}else F=35;if((F|0)==35?(y|0)!=0:0)Tqa(y);r=f;return}f=o+56|0;y=o+4|0;k[o>>2]=27524;k[f>>2]=27544;B=0;wa(508,o+56|0,y|0);F=B;B=0;if(F&1){F=Rb()|0;G=Q;H=F;vva(f);Qb(H|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[f>>2]=27488;B=0;va(448,y|0);F=B;B=0;do if(F&1){b=Rb()|0;I=Q;J=b}else{k[y>>2]=27560;b=o+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[o+52>>2]=16;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;B=0;wa(509,y|0,g|0);i=B;B=0;if(i&1){i=Rb()|0;d=Q;Yua(g);Yua(b);Ava(y);I=d;J=i;break}Yua(g);i=Lta(c)|0;B=0;d=Ia(40,o|0,c|0,i|0)|0;i=B;B=0;if((!(i&1)?(B=0,i=Ia(40,d|0,141845,22)|0,d=B,B=0,!(d&1)):0)?(B=0,Xa(239,i|0,0)|0,i=B,B=0,!(i&1)):0){i=Ab(20)|0;B=0;eb(502,q|0,140006,66);d=B;B=0;do if(!(d&1)){B=0;eb(502,s|0,141868,16);j=B;B=0;if(j&1){j=Rb()|0;n=Q;Yua(q);K=n;L=j;break}B=0;wa(510,t|0,y|0);j=B;B=0;if(j&1){j=Rb()|0;M=Q;N=j;O=1}else{B=0;ua(163,i|0,q|0,s|0,1924,t|0);j=B;B=0;if(j&1)P=1;else{B=0;eb(503,i|0,1240,229);B=0;P=0}j=Rb()|0;n=Q;Yua(t);M=n;N=j;O=P}Yua(s);Yua(q);if(O){K=M;L=N}else{R=M;S=N;k[o>>2]=27468;k[f>>2]=27488;k[y>>2]=27560;Yua(b);Ava(y);vva(f);Qb(S|0)}}else{j=Rb()|0;K=Q;L=j}while(0);zb(i|0);R=K;S=L;k[o>>2]=27468;k[f>>2]=27488;k[y>>2]=27560;Yua(b);Ava(y);vva(f);Qb(S|0)}d=Rb()|0;R=Q;S=d;k[o>>2]=27468;k[f>>2]=27488;k[y>>2]=27560;Yua(b);Ava(y);vva(f);Qb(S|0)}while(0);G=I;H=J;vva(f);Qb(H|0)}function Zka(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0.0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0;e=r;r=r+752|0;f=e+728|0;g=e+724|0;h=e+720|0;j=e+740|0;l=e+716|0;m=e;n=e+712|0;o=e+708|0;q=e+680|0;s=e+544|0;t=e+696|0;u=e+684|0;v=e+528|0;w=e+392|0;x=e+376|0;y=e+92|0;z=e+80|0;A=e+240|0;C=e+68|0;D=e+56|0;E=e+44|0;F=e+104|0;G=e+32|0;H=e+20|0;I=e+8|0;J=k[a+12>>2]|0;K=k[a+16>>2]|0;a:do if(J>>>0<K>>>0){L=J;while(1){M=k[L>>2]|0;L=L+4|0;if(!(Ita(k[M+4>>2]|0,c)|0)){N=M;break}if(L>>>0>=K>>>0)break a}if((th(b)|0)<=0){r=e;return}L=N+24|0;M=N+8|0;O=N+12|0;P=N+20|0;R=N+16|0;S=0;do{T=qh(b,S)|0;Qp(T,k[L>>2]|0,a,k[M>>2]|0,k[O>>2]|0,k[P>>2]|0,d,k[R>>2]|0);S=S+1|0}while((S|0)<(th(b)|0));r=e;return}while(0);k[n>>2]=0;Oka(a,g,h,c)|0;N=k[g>>2]|0;b:do switch(N|0){case 1:{Kka(a,j,c);if((th(b)|0)>0){g=(i[j>>0]|0)!=0;K=0;do{J=qh(b,K)|0;nd[k[(k[J>>2]|0)+40>>2]&1023](J,g,d);K=K+1|0}while((K|0)<(th(b)|0))}break}case 2:{Bka(a,l,c);if((th(b)|0)>0){K=k[l>>2]|0;g=0;do{J=qh(b,g)|0;nd[k[(k[J>>2]|0)+36>>2]&1023](J,K,d);g=g+1|0}while((g|0)<(th(b)|0))}break}case 3:{Pka(a,m,c);if((th(b)|0)>0){U=+p[m>>3];g=0;do{K=qh(b,g)|0;Nc[k[(k[K>>2]|0)+32>>2]&31](K,U,d);g=g+1|0}while((g|0)<(th(b)|0))}break}case 5:{Qka(a,n,o,q,c);g=k[n>>2]|0;if(g){if((th(b)|0)>0)V=0;else{W=g;X=129;break b}while(1){K=qh(b,V)|0;Qp(K,g,a,k[o>>2]|0,k[q>>2]|0,k[h>>2]|0,d,5);V=V+1|0;if((V|0)>=(th(b)|0)){Y=g;X=128;break b}}}g=s+56|0;K=s+4|0;k[s>>2]=27524;k[g>>2]=27544;B=0;wa(508,s+56|0,K|0);J=B;B=0;if(J&1){J=Rb()|0;Z=Q;_=J;vva(g);Qb(_|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[g>>2]=27488;B=0;va(448,K|0);J=B;B=0;do if(J&1){S=Rb()|0;$=Q;aa=S}else{k[K>>2]=27560;S=s+36|0;k[S>>2]=0;k[S+4>>2]=0;k[S+8>>2]=0;k[S+12>>2]=0;k[s+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,K|0,f|0);R=B;B=0;if(R&1){R=Rb()|0;P=Q;Yua(f);Yua(S);Ava(K);$=P;aa=R;break}Yua(f);B=0;R=Ia(40,s|0,141051,1)|0;P=B;B=0;c:do if(((!(P&1)?(O=Lta(c)|0,B=0,M=Ia(40,R|0,c|0,O|0)|0,O=B,B=0,!(O&1)):0)?(B=0,O=Ia(40,M|0,141885,26)|0,M=B,B=0,!(M&1)):0)?(B=0,Xa(239,O|0,0)|0,O=B,B=0,!(O&1)):0){O=Ab(20)|0;B=0;eb(502,t|0,140006,66);M=B;B=0;do if(!(M&1)){B=0;eb(502,u|0,141868,16);L=B;B=0;if(L&1){L=Rb()|0;T=Q;Yua(t);ba=T;ca=L;break}B=0;wa(510,v|0,K|0);L=B;B=0;if(L&1){L=Rb()|0;da=Q;ea=L;fa=1}else{B=0;ua(163,O|0,t|0,u|0,1992,v|0);L=B;B=0;if(L&1)ga=1;else{B=0;eb(503,O|0,1240,229);B=0;ga=0}L=Rb()|0;T=Q;Yua(v);da=T;ea=L;fa=ga}Yua(u);Yua(t);if(fa){ba=da;ca=ea}else{ha=da;ia=ea;break c}}else{L=Rb()|0;ba=Q;ca=L}while(0);zb(O|0);ha=ba;ia=ca}else X=36;while(0);if((X|0)==36){R=Rb()|0;ha=Q;ia=R}k[s>>2]=27468;k[g>>2]=27488;k[K>>2]=27560;Yua(S);Ava(K);vva(g);ja=ha;ka=ia;Qb(ka|0)}while(0);Z=$;_=aa;vva(g);Qb(_|0);break}case 6:{Qka(a,n,o,q,c);K=k[n>>2]|0;if(K){if((th(b)|0)>0)la=0;else{W=K;X=129;break b}while(1){J=qh(b,la)|0;Qp(J,K,a,k[o>>2]|0,k[q>>2]|0,k[h>>2]|0,d,6);la=la+1|0;if((la|0)>=(th(b)|0)){Y=K;X=128;break b}}}K=w+56|0;g=w+4|0;k[w>>2]=27524;k[K>>2]=27544;B=0;wa(508,w+56|0,g|0);J=B;B=0;if(J&1){J=Rb()|0;ma=Q;na=J;vva(K);Qb(na|0)}k[w+128>>2]=0;k[w+132>>2]=-1;k[w>>2]=27468;k[K>>2]=27488;B=0;va(448,g|0);J=B;B=0;do if(J&1){R=Rb()|0;oa=Q;pa=R}else{k[g>>2]=27560;R=w+36|0;k[R>>2]=0;k[R+4>>2]=0;k[R+8>>2]=0;k[R+12>>2]=0;k[w+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,g|0,f|0);P=B;B=0;if(P&1){P=Rb()|0;M=Q;Yua(f);Yua(R);Ava(g);oa=M;pa=P;break}Yua(f);B=0;P=Ia(40,w|0,141051,1)|0;M=B;B=0;d:do if(((!(M&1)?(L=Lta(c)|0,B=0,T=Ia(40,P|0,c|0,L|0)|0,L=B,B=0,!(L&1)):0)?(B=0,L=Ia(40,T|0,141885,26)|0,T=B,B=0,!(T&1)):0)?(B=0,Xa(239,L|0,0)|0,L=B,B=0,!(L&1)):0){L=Ab(20)|0;B=0;eb(502,x|0,140006,66);T=B;B=0;do if(!(T&1)){B=0;eb(502,y|0,141868,16);qa=B;B=0;if(qa&1){qa=Rb()|0;ra=Q;Yua(x);sa=qa;ta=ra;break}B=0;wa(510,z|0,g|0);ra=B;B=0;if(ra&1){ra=Rb()|0;xa=1;ya=Q;za=ra}else{B=0;ua(163,L|0,x|0,y|0,2e3,z|0);ra=B;B=0;if(ra&1)Aa=1;else{B=0;eb(503,L|0,1240,229);B=0;Aa=0}ra=Rb()|0;qa=Q;Yua(z);xa=Aa;ya=qa;za=ra}Yua(y);Yua(x);if(xa){sa=za;ta=ya}else{Ba=ya;Ca=za;break d}}else{ra=Rb()|0;sa=ra;ta=Q}while(0);zb(L|0);Ba=ta;Ca=sa}else X=64;while(0);if((X|0)==64){P=Rb()|0;Ba=Q;Ca=P}k[w>>2]=27468;k[K>>2]=27488;k[g>>2]=27560;Yua(R);Ava(g);vva(K);ja=Ba;ka=Ca;Qb(ka|0)}while(0);ma=oa;na=pa;vva(K);Qb(na|0);break}case 7:{Qka(a,n,o,q,c);g=k[n>>2]|0;if(g){if((th(b)|0)>0)Da=0;else{W=g;X=129;break b}while(1){J=qh(b,Da)|0;Qp(J,g,a,k[o>>2]|0,k[q>>2]|0,k[h>>2]|0,d,7);Da=Da+1|0;if((Da|0)>=(th(b)|0)){Y=g;X=128;break b}}}g=A+56|0;K=A+4|0;k[A>>2]=27524;k[g>>2]=27544;B=0;wa(508,A+56|0,K|0);J=B;B=0;if(J&1){J=Rb()|0;Ea=Q;Fa=J;vva(g);Qb(Fa|0)}k[A+128>>2]=0;k[A+132>>2]=-1;k[A>>2]=27468;k[g>>2]=27488;B=0;va(448,K|0);J=B;B=0;do if(J&1){P=Rb()|0;Ga=Q;Ha=P}else{k[K>>2]=27560;P=A+36|0;k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;k[P+12>>2]=0;k[A+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,K|0,f|0);M=B;B=0;if(M&1){M=Rb()|0;S=Q;Yua(f);Yua(P);Ava(K);Ga=S;Ha=M;break}Yua(f);B=0;M=Ia(40,A|0,141051,1)|0;S=B;B=0;e:do if(((!(S&1)?(T=Lta(c)|0,B=0,O=Ia(40,M|0,c|0,T|0)|0,T=B,B=0,!(T&1)):0)?(B=0,T=Ia(40,O|0,141885,26)|0,O=B,B=0,!(O&1)):0)?(B=0,Xa(239,T|0,0)|0,T=B,B=0,!(T&1)):0){T=Ab(20)|0;B=0;eb(502,C|0,140006,66);O=B;B=0;do if(!(O&1)){B=0;eb(502,D|0,141868,16);ra=B;B=0;if(ra&1){ra=Rb()|0;qa=Q;Yua(C);Ja=ra;Ka=qa;break}B=0;wa(510,E|0,K|0);qa=B;B=0;if(qa&1){qa=Rb()|0;La=1;Ma=Q;Na=qa}else{B=0;ua(163,T|0,C|0,D|0,2008,E|0);qa=B;B=0;if(qa&1)Oa=1;else{B=0;eb(503,T|0,1240,229);B=0;Oa=0}qa=Rb()|0;ra=Q;Yua(E);La=Oa;Ma=ra;Na=qa}Yua(D);Yua(C);if(La){Ja=Na;Ka=Ma}else{Pa=Ma;Qa=Na;break e}}else{qa=Rb()|0;Ja=qa;Ka=Q}while(0);zb(T|0);Pa=Ka;Qa=Ja}else X=92;while(0);if((X|0)==92){M=Rb()|0;Pa=Q;Qa=M}k[A>>2]=27468;k[g>>2]=27488;k[K>>2]=27560;Yua(P);Ava(K);vva(g);ja=Pa;ka=Qa;Qb(ka|0)}while(0);Ea=Ga;Fa=Ha;vva(g);Qb(Fa|0);break}default:{K=F+56|0;J=F+4|0;k[F>>2]=27524;k[K>>2]=27544;B=0;wa(508,F+56|0,J|0);M=B;B=0;if(M&1){M=Rb()|0;Ra=Q;Sa=M;vva(K);Qb(Sa|0)}k[F+128>>2]=0;k[F+132>>2]=-1;k[F>>2]=27468;k[K>>2]=27488;B=0;va(448,J|0);M=B;B=0;do if(M&1){S=Rb()|0;Ta=Q;Ua=S}else{k[J>>2]=27560;S=F+36|0;k[S>>2]=0;k[S+4>>2]=0;k[S+8>>2]=0;k[S+12>>2]=0;k[F+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,J|0,f|0);R=B;B=0;if(R&1){R=Rb()|0;O=Q;Yua(f);Yua(S);Ava(J);Ta=O;Ua=R;break}Yua(f);B=0;R=Ia(40,F|0,141912,10)|0;O=B;B=0;f:do if(((((!(O&1)?(B=0,L=Xa(242,R|0,N|0)|0,qa=B,B=0,!(qa&1)):0)?(B=0,qa=Ia(40,L|0,141923,47)|0,L=B,B=0,!(L&1)):0)?(L=Lta(c)|0,B=0,ra=Ia(40,qa|0,c|0,L|0)|0,L=B,B=0,!(L&1)):0)?(B=0,L=Ia(40,ra|0,141971,2)|0,ra=B,B=0,!(ra&1)):0)?(B=0,Xa(239,L|0,0)|0,L=B,B=0,!(L&1)):0){L=Ab(20)|0;B=0;eb(502,G|0,140006,66);ra=B;B=0;do if(!(ra&1)){B=0;eb(502,H|0,141868,16);qa=B;B=0;if(qa&1){qa=Rb()|0;Va=Q;Yua(G);Wa=qa;Ya=Va;break}B=0;wa(510,I|0,J|0);Va=B;B=0;if(Va&1){Va=Rb()|0;Za=1;_a=Q;$a=Va}else{B=0;ua(163,L|0,G|0,H|0,2015,I|0);Va=B;B=0;if(Va&1)ab=1;else{B=0;eb(503,L|0,1240,229);B=0;ab=0}Va=Rb()|0;qa=Q;Yua(I);Za=ab;_a=qa;$a=Va}Yua(H);Yua(G);if(Za){Wa=$a;Ya=_a}else{bb=_a;cb=$a;break f}}else{Va=Rb()|0;Wa=Va;Ya=Q}while(0);zb(L|0);bb=Ya;cb=Wa}else X=120;while(0);if((X|0)==120){R=Rb()|0;bb=Q;cb=R}k[F>>2]=27468;k[K>>2]=27488;k[J>>2]=27560;Yua(S);Ava(J);vva(K);ja=bb;ka=cb;Qb(ka|0)}while(0);Ra=Ta;Sa=Ua;vva(K);Qb(Sa|0)}}while(0);if((X|0)==128?(Y|0)!=0:0){W=Y;X=129}if((X|0)==129)Tqa(W);r=e;return}function _ka(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;c=a+4|0;d=k[a>>2]|0;e=((k[c>>2]|0)-d>>2)+1|0;if(e>>>0>1073741823){Oqa(a);f=k[a>>2]|0}else f=d;d=a+8|0;g=(k[d>>2]|0)-f|0;if(g>>2>>>0<536870911){h=g>>1;g=h>>>0<e>>>0?e:h;h=k[c>>2]|0;e=h-f>>2;if(!g){i=0;j=0;l=e;m=h}else{n=g;o=h;p=e;q=6}}else{e=k[c>>2]|0;n=1073741823;o=e;p=e-f>>2;q=6}if((q|0)==6){i=n;j=Qqa(n<<2)|0;l=p;m=o}o=j+(l<<2)|0;k[o>>2]=k[b>>2];b=m-f|0;m=o+(0-(b>>2)<<2)|0;TEa(m|0,f|0,b|0)|0;k[a>>2]=m;k[c>>2]=o+4;k[d>>2]=j+(i<<2);if(!f)return;Sqa(f);return}function $ka(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;c=a+4|0;d=k[a>>2]|0;e=((k[c>>2]|0)-d>>2)+1|0;if(e>>>0>1073741823){Oqa(a);f=k[a>>2]|0}else f=d;d=a+8|0;g=(k[d>>2]|0)-f|0;if(g>>2>>>0<536870911){h=g>>1;g=h>>>0<e>>>0?e:h;h=k[c>>2]|0;e=h-f>>2;if(!g){i=0;j=0;l=e;m=h}else{n=g;o=h;p=e;q=6}}else{e=k[c>>2]|0;n=1073741823;o=e;p=e-f>>2;q=6}if((q|0)==6){i=n;j=Qqa(n<<2)|0;l=p;m=o}o=j+(l<<2)|0;k[o>>2]=k[b>>2];b=m-f|0;m=o+(0-(b>>2)<<2)|0;TEa(m|0,f|0,b|0)|0;k[a>>2]=m;k[c>>2]=o+4;k[d>>2]=j+(i<<2);if(!f)return;Sqa(f);return}function ala(a,b,c){a=a|0;b=b|0;c=c|0;k[a+4>>2]=b;k[a+8>>2]=c;cp(b,a+12|0,111);return}function bla(a){a=a|0;return}function cla(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0.0,o=0.0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0;d=r;r=r+208|0;e=d+152|0;f=d+16|0;g=d+8|0;h=d;i=d+188|0;j=d+176|0;l=d+164|0;switch(k[a+12>>2]|0){case 1:{dla(a,b,c);r=d;return}case 3:{ela(a,b,c);r=d;return}case 4:{dla(a,h,c);m=a+4|0;Cp(k[m>>2]|0,e,c,666);Cp(k[m>>2]|0,f,c,653);n=+uq(k[m>>2]|0,+p[f>>3]);dO(k[(k[m>>2]|0)+36>>2]|0,g,112);o=+p[h>>3]/+ja(+((+p[e>>3]-n)/+p[g>>3]));p[b>>3]=o;r=d;return}default:{d=f+56|0;b=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,b|0);g=B;B=0;if(g&1){g=Rb()|0;q=Q;s=g;vva(d);Qb(s|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,b|0);g=B;B=0;do if(g&1){h=Rb()|0;t=Q;u=h}else{k[b>>2]=27560;h=f+36|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,b|0,e|0);m=B;B=0;if(m&1){m=Rb()|0;c=Q;Yua(e);Yua(h);Ava(b);t=c;u=m;break}Yua(e);B=0;m=Ia(40,f|0,145010,13)|0;c=B;B=0;if(!(c&1)?(B=0,Xa(239,m|0,0)|0,m=B,B=0,!(m&1)):0){m=Ab(20)|0;B=0;eb(502,i|0,141974,73);c=B;B=0;do if(!(c&1)){B=0;eb(502,j|0,142048,18);a=B;B=0;if(a&1){a=Rb()|0;v=Q;Yua(i);w=v;x=a;break}B=0;wa(510,l|0,b|0);a=B;B=0;if(a&1){a=Rb()|0;y=Q;z=a;A=1}else{B=0;ua(163,m|0,i|0,j|0,55,l|0);a=B;B=0;if(a&1)C=1;else{B=0;eb(503,m|0,1240,229);B=0;C=0}a=Rb()|0;v=Q;Yua(l);y=v;z=a;A=C}Yua(j);Yua(i);if(A){w=y;x=z}else{D=y;E=z;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(h);Ava(b);vva(d);Qb(E|0)}}else{a=Rb()|0;w=Q;x=a}while(0);zb(m|0);D=w;E=x;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(h);Ava(b);vva(d);Qb(E|0)}c=Rb()|0;D=Q;E=c;k[f>>2]=27468;k[d>>2]=27488;k[b>>2]=27560;Yua(h);Ava(b);vva(d);Qb(E|0)}while(0);q=t;s=u;vva(d);Qb(s|0)}}}function dla(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0;d=r;r=r+272|0;e=d+248|0;f=d+64|0;g=d+56|0;h=d+48|0;i=d+40|0;j=d+32|0;l=d+16|0;m=d+8|0;n=d;o=d+112|0;q=d+96|0;s=d+84|0;t=d+72|0;u=a+4|0;Bp(k[u>>2]|0,i,107);Bp(k[u>>2]|0,j,108);Cp(k[u>>2]|0,m,c,353);Cp(k[u>>2]|0,l,c,64);Cp(k[u>>2]|0,n,c,999);Cp(k[u>>2]|0,d+24|0,c,105);v=+Dp(k[u>>2]|0,266);w=+Dp(k[u>>2]|0,265);x=+Dp(k[u>>2]|0,65);y=+p[i>>3];z=+p[j>>3]/y;A=1.0/y;y=x*(w*+p[m>>3]+v*(+p[l>>3]-+p[n>>3]));v=y<0.0?0.0:y;switch(k[a+8>>2]|0){case 1:{Cp(k[u>>2]|0,f,c,674);y=+p[f>>3];C=+aa(+(y*y));break}case 2:{Cp(k[u>>2]|0,f,c,674);Cp(k[u>>2]|0,g,c,677);y=+p[f>>3];w=+p[g>>3];C=+aa(+(y*y+w*w));break}case 3:{Cp(k[u>>2]|0,f,c,674);Cp(k[u>>2]|0,g,c,677);Cp(k[u>>2]|0,h,c,679);w=+p[f>>3];y=+p[g>>3];x=+p[h>>3];C=+aa(+(w*w+y*y+x*x));break}default:{h=o+56|0;g=o+4|0;k[o>>2]=27524;k[h>>2]=27544;B=0;wa(508,o+56|0,g|0);f=B;B=0;if(f&1){f=Rb()|0;D=Q;E=f;vva(h);Qb(E|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[h>>2]=27488;B=0;va(448,g|0);f=B;B=0;do if(f&1){c=Rb()|0;F=Q;G=c}else{k[g>>2]=27560;c=o+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[o+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,g|0,e|0);u=B;B=0;if(u&1){u=Rb()|0;a=Q;Yua(e);Yua(c);Ava(g);F=a;G=u;break}Yua(e);B=0;u=Ia(40,o|0,145010,13)|0;a=B;B=0;if(!(a&1)?(B=0,Xa(239,u|0,0)|0,u=B,B=0,!(u&1)):0){u=Ab(20)|0;B=0;eb(502,q|0,141974,73);a=B;B=0;do if(!(a&1)){B=0;eb(502,s|0,142067,25);n=B;B=0;if(n&1){n=Rb()|0;l=Q;Yua(q);H=l;I=n;break}B=0;wa(510,t|0,g|0);n=B;B=0;if(n&1){n=Rb()|0;J=Q;K=n;L=1}else{B=0;ua(163,u|0,q|0,s|0,111,t|0);n=B;B=0;if(n&1)M=1;else{B=0;eb(503,u|0,1240,229);B=0;M=0}n=Rb()|0;l=Q;Yua(t);J=l;K=n;L=M}Yua(s);Yua(q);if(L){H=J;I=K}else{N=J;O=K;k[o>>2]=27468;k[h>>2]=27488;k[g>>2]=27560;Yua(c);Ava(g);vva(h);Qb(O|0)}}else{n=Rb()|0;H=Q;I=n}while(0);zb(u|0);N=H;O=I;k[o>>2]=27468;k[h>>2]=27488;k[g>>2]=27560;Yua(c);Ava(g);vva(h);Qb(O|0)}a=Rb()|0;N=Q;O=a;k[o>>2]=27468;k[h>>2]=27488;k[g>>2]=27560;Yua(c);Ava(g);vva(h);Qb(O|0)}while(0);D=F;E=G;vva(h);Qb(E|0)}}x=A+-1.0;if(x<0.0&C==0.0){P=0.0;p[b>>3]=P;r=d;return}P=+ba(+v,+z)*+ba(+C,+x);p[b>>3]=P;r=d;return}function ela(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0.0,P=0.0,R=0.0,S=0.0,T=0.0,U=0.0;d=r;r=r+256|0;e=d+244|0;f=d+240|0;g=d+56|0;h=d+48|0;i=d+40|0;j=d+32|0;l=d+24|0;m=d+16|0;n=d+8|0;o=d;q=d+104|0;s=d+88|0;t=d+76|0;u=d+64|0;v=a+4|0;Bp(k[v>>2]|0,g,108);Bp(k[v>>2]|0,h,110);Cp(k[v>>2]|0,i,c,104);Cp(k[v>>2]|0,l,c,217);cO(k[(k[v>>2]|0)+36>>2]|0,f,116);w=k[v>>2]|0;if((k[f>>2]|0)==1)Cp(w,j,c,126);else Cp(w,j,c,115);if(+p[j>>3]<0.0)p[j>>3]=0.0;switch(k[a+8>>2]|0){case 1:{Cp(k[v>>2]|0,m,c,674);x=+p[m>>3];y=+aa(+(x*x));break}case 2:{Cp(k[v>>2]|0,m,c,674);Cp(k[v>>2]|0,n,c,677);x=+p[m>>3];z=+p[n>>3];y=+aa(+(x*x+z*z));break}case 3:{Cp(k[v>>2]|0,m,c,674);Cp(k[v>>2]|0,n,c,677);Cp(k[v>>2]|0,o,c,679);z=+p[m>>3];x=+p[n>>3];A=+p[o>>3];y=+aa(+(z*z+x*x+A*A));break}default:{o=q+56|0;n=q+4|0;k[q>>2]=27524;k[o>>2]=27544;B=0;wa(508,q+56|0,n|0);m=B;B=0;if(m&1){m=Rb()|0;C=Q;D=m;vva(o);Qb(D|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[o>>2]=27488;B=0;va(448,n|0);m=B;B=0;do if(m&1){c=Rb()|0;E=Q;F=c}else{k[n>>2]=27560;c=q+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[q+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,n|0,e|0);v=B;B=0;if(v&1){v=Rb()|0;a=Q;Yua(e);Yua(c);Ava(n);E=a;F=v;break}Yua(e);B=0;v=Ia(40,q|0,145010,13)|0;a=B;B=0;if(!(a&1)?(B=0,Xa(239,v|0,0)|0,v=B,B=0,!(v&1)):0){v=Ab(20)|0;B=0;eb(502,s|0,141974,73);a=B;B=0;do if(!(a&1)){B=0;eb(502,t|0,142093,23);w=B;B=0;if(w&1){w=Rb()|0;f=Q;Yua(s);G=f;H=w;break}B=0;wa(510,u|0,n|0);w=B;B=0;if(w&1){w=Rb()|0;I=Q;J=w;K=1}else{B=0;ua(163,v|0,s|0,t|0,171,u|0);w=B;B=0;if(w&1)L=1;else{B=0;eb(503,v|0,1240,229);B=0;L=0}w=Rb()|0;f=Q;Yua(u);I=f;J=w;K=L}Yua(t);Yua(s);if(K){G=I;H=J}else{M=I;N=J;k[q>>2]=27468;k[o>>2]=27488;k[n>>2]=27560;Yua(c);Ava(n);vva(o);Qb(N|0)}}else{w=Rb()|0;G=Q;H=w}while(0);zb(v|0);M=G;N=H;k[q>>2]=27468;k[o>>2]=27488;k[n>>2]=27560;Yua(c);Ava(n);vva(o);Qb(N|0)}a=Rb()|0;M=Q;N=a;k[q>>2]=27468;k[o>>2]=27488;k[n>>2]=27560;Yua(c);Ava(n);vva(o);Qb(N|0)}while(0);C=E;D=F;vva(o);Qb(D|0)}}A=+p[g>>3];if(A==1.0)O=1.0;else{x=A+-1.0;O=+ba(+x,+x)/+ba(+A,+A)}x=+p[h>>3];z=+p[l>>3];P=+ba(+x,+z);R=+p[j>>3];S=P*+ba(+R,+z);P=+p[i>>3];T=y/(S*P);S=T/(O*+ba(+T,+A)+1.0);if(y==0.0|R==0.0){U=0.0;p[b>>3]=U;r=d;return}U=-(x*R/(y*z)*+ba(+S,+((1.0-z)/z))*(S/P-S*(S*(O*A*+ba(+T,+(A+-1.0))))/P));p[b>>3]=U;r=d;return}function fla(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0.0,q=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0;d=r;r=r+208|0;e=d+152|0;f=d+16|0;g=d+8|0;h=d;i=d+188|0;j=d+176|0;l=d+164|0;m=a+12|0;switch(k[m>>2]|0){case 1:{gla(a,b,c);r=d;return}case 2:{hla(a,b,c);r=d;return}case 3:{ila(a,b,c);r=d;return}case 4:{gla(a,h,c);n=a+4|0;Cp(k[n>>2]|0,e,c,666);Cp(k[n>>2]|0,f,c,653);o=+uq(k[n>>2]|0,+p[f>>3]);dO(k[(k[n>>2]|0)+36>>2]|0,g,112);q=+p[h>>3]/+ja(+((+p[e>>3]-o)/+p[g>>3]));p[b>>3]=q;r=d;return}case 5:{jla(a,b,c);r=d;return}case 6:{hla(a,h,c);n=a+4|0;Cp(k[n>>2]|0,e,c,666);Cp(k[n>>2]|0,f,c,653);q=+uq(k[n>>2]|0,+p[f>>3]);dO(k[(k[n>>2]|0)+36>>2]|0,g,112);o=+p[h>>3]/+ja(+((+p[e>>3]-q)/+p[g>>3]));p[b>>3]=o;r=d;return}case 7:{kla(a,b,c);r=d;return}case 8:{lla(a,b,c);r=d;return}default:{d=f+56|0;c=f+4|0;k[f>>2]=27524;k[d>>2]=27544;B=0;wa(508,f+56|0,c|0);b=B;B=0;if(b&1){b=Rb()|0;s=Q;t=b;vva(d);Qb(t|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[d>>2]=27488;B=0;va(448,c|0);b=B;B=0;do if(b&1){a=Rb()|0;u=Q;v=a}else{k[c>>2]=27560;a=f+36|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[f+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,c|0,e|0);g=B;B=0;if(g&1){g=Rb()|0;h=Q;Yua(e);Yua(a);Ava(c);u=h;v=g;break}Yua(e);B=0;g=Ia(40,f|0,142117,13)|0;h=B;B=0;if(((!(h&1)?(B=0,h=Xa(242,g|0,k[m>>2]|0)|0,g=B,B=0,!(g&1)):0)?(B=0,g=Ia(40,h|0,144645,14)|0,h=B,B=0,!(h&1)):0)?(B=0,Xa(239,g|0,0)|0,g=B,B=0,!(g&1)):0){g=Ab(20)|0;B=0;eb(502,i|0,141974,73);h=B;B=0;do if(!(h&1)){B=0;eb(502,j|0,142131,9);n=B;B=0;if(n&1){n=Rb()|0;w=Q;Yua(i);x=w;y=n;break}B=0;wa(510,l|0,c|0);n=B;B=0;if(n&1){n=Rb()|0;z=Q;A=n;C=1}else{B=0;ua(163,g|0,i|0,j|0,250,l|0);n=B;B=0;if(n&1)D=1;else{B=0;eb(503,g|0,1240,229);B=0;D=0}n=Rb()|0;w=Q;Yua(l);z=w;A=n;C=D}Yua(j);Yua(i);if(C){x=z;y=A}else{E=z;F=A;k[f>>2]=27468;k[d>>2]=27488;k[c>>2]=27560;Yua(a);Ava(c);vva(d);Qb(F|0)}}else{n=Rb()|0;x=Q;y=n}while(0);zb(g|0);E=x;F=y;k[f>>2]=27468;k[d>>2]=27488;k[c>>2]=27560;Yua(a);Ava(c);vva(d);Qb(F|0)}h=Rb()|0;E=Q;F=h;k[f>>2]=27468;k[d>>2]=27488;k[c>>2]=27560;Yua(a);Ava(c);vva(d);Qb(F|0)}while(0);s=u;t=v;vva(d);Qb(t|0)}}}function gla(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,C=0.0,D=0.0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0.0;d=r;r=r+272|0;e=d+248|0;f=d+64|0;g=d+56|0;h=d+48|0;i=d+40|0;j=d+32|0;l=d+24|0;m=d+16|0;n=d+8|0;o=d;q=d+112|0;s=d+96|0;t=d+84|0;u=d+72|0;v=a+4|0;Bp(k[v>>2]|0,f,107);Bp(k[v>>2]|0,g,108);Cp(k[v>>2]|0,h,c,353);Cp(k[v>>2]|0,i,c,64);Cp(k[v>>2]|0,j,c,999);Cp(k[v>>2]|0,o,c,105);w=+Dp(k[v>>2]|0,266);x=+Dp(k[v>>2]|0,265);y=+Dp(k[v>>2]|0,65);z=+p[f>>3];A=+p[g>>3]/z;C=1.0/z;z=y*(x*+p[h>>3]+w*(+p[i>>3]-+p[j>>3]));w=z<0.0?0.0:z;switch(k[a+8>>2]|0){case 1:{Cp(k[v>>2]|0,l,c,674);z=+p[l>>3];D=+aa(+(z*z));break}case 2:{Cp(k[v>>2]|0,l,c,674);Cp(k[v>>2]|0,m,c,677);z=+p[l>>3];x=+p[m>>3];D=+aa(+(z*z+x*x));break}case 3:{Cp(k[v>>2]|0,l,c,674);Cp(k[v>>2]|0,m,c,677);Cp(k[v>>2]|0,n,c,679);x=+p[l>>3];z=+p[m>>3];y=+p[n>>3];D=+aa(+(x*x+z*z+y*y));break}default:{n=q+56|0;m=q+4|0;k[q>>2]=27524;k[n>>2]=27544;B=0;wa(508,q+56|0,m|0);l=B;B=0;if(l&1){l=Rb()|0;E=Q;F=l;vva(n);Qb(F|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[n>>2]=27488;B=0;va(448,m|0);l=B;B=0;do if(l&1){c=Rb()|0;G=Q;H=c}else{k[m>>2]=27560;c=q+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[q+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,m|0,e|0);v=B;B=0;if(v&1){v=Rb()|0;a=Q;Yua(e);Yua(c);Ava(m);G=a;H=v;break}Yua(e);B=0;v=Ia(40,q|0,145010,13)|0;a=B;B=0;if(!(a&1)?(B=0,Xa(239,v|0,0)|0,v=B,B=0,!(v&1)):0){v=Ab(20)|0;B=0;eb(502,s|0,141974,73);a=B;B=0;do if(!(a&1)){B=0;eb(502,t|0,142141,16);j=B;B=0;if(j&1){j=Rb()|0;i=Q;Yua(s);I=i;J=j;break}B=0;wa(510,u|0,m|0);j=B;B=0;if(j&1){j=Rb()|0;K=Q;L=j;M=1}else{B=0;ua(163,v|0,s|0,t|0,481,u|0);j=B;B=0;if(j&1)N=1;else{B=0;eb(503,v|0,1240,229);B=0;N=0}j=Rb()|0;i=Q;Yua(u);K=i;L=j;M=N}Yua(t);Yua(s);if(M){I=K;J=L}else{O=K;P=L;k[q>>2]=27468;k[n>>2]=27488;k[m>>2]=27560;Yua(c);Ava(m);vva(n);Qb(P|0)}}else{j=Rb()|0;I=Q;J=j}while(0);zb(v|0);O=I;P=J;k[q>>2]=27468;k[n>>2]=27488;k[m>>2]=27560;Yua(c);Ava(m);vva(n);Qb(P|0)}a=Rb()|0;O=Q;P=a;k[q>>2]=27468;k[n>>2]=27488;k[m>>2]=27560;Yua(c);Ava(m);vva(n);Qb(P|0)}while(0);E=G;F=H;vva(n);Qb(F|0)}}y=C+-1.0;if(y<0.0&D==0.0){R=0.0;p[b>>3]=R;r=d;return}C=+p[o>>3];R=C*C*+ba(+w,+A)*+ba(+D,+y);p[b>>3]=R;r=d;return}function hla(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0;d=r;r=r+240|0;e=d+216|0;f=d+32|0;g=d+24|0;h=d+16|0;i=d+8|0;j=d;l=d+80|0;m=d+64|0;n=d+52|0;o=d+40|0;q=a+4|0;Cp(k[q>>2]|0,f,c,110);Bp(k[q>>2]|0,g,109);switch(k[a+8>>2]|0){case 1:{Cp(k[q>>2]|0,h,c,674);s=+p[h>>3];t=+aa(+(s*s));break}case 2:{Cp(k[q>>2]|0,h,c,674);Cp(k[q>>2]|0,i,c,677);s=+p[h>>3];u=+p[i>>3];t=+aa(+(s*s+u*u));break}case 3:{Cp(k[q>>2]|0,h,c,674);Cp(k[q>>2]|0,i,c,677);Cp(k[q>>2]|0,j,c,679);u=+p[h>>3];s=+p[i>>3];v=+p[j>>3];t=+aa(+(u*u+s*s+v*v));break}default:{j=l+56|0;i=l+4|0;k[l>>2]=27524;k[j>>2]=27544;B=0;wa(508,l+56|0,i|0);h=B;B=0;if(h&1){h=Rb()|0;w=Q;x=h;vva(j);Qb(x|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[j>>2]=27488;B=0;va(448,i|0);h=B;B=0;do if(h&1){c=Rb()|0;y=Q;z=c}else{k[i>>2]=27560;c=l+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[l+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,i|0,e|0);q=B;B=0;if(q&1){q=Rb()|0;a=Q;Yua(e);Yua(c);Ava(i);y=a;z=q;break}Yua(e);B=0;q=Ia(40,l|0,145010,13)|0;a=B;B=0;if(!(a&1)?(B=0,Xa(239,q|0,0)|0,q=B,B=0,!(q&1)):0){q=Ab(20)|0;B=0;eb(502,m|0,141974,73);a=B;B=0;do if(!(a&1)){B=0;eb(502,n|0,142158,17);A=B;B=0;if(A&1){A=Rb()|0;C=Q;Yua(m);D=C;E=A;break}B=0;wa(510,o|0,i|0);A=B;B=0;if(A&1){A=Rb()|0;F=Q;G=A;H=1}else{B=0;ua(163,q|0,m|0,n|0,588,o|0);A=B;B=0;if(A&1)I=1;else{B=0;eb(503,q|0,1240,229);B=0;I=0}A=Rb()|0;C=Q;Yua(o);F=C;G=A;H=I}Yua(n);Yua(m);if(H){D=F;E=G}else{J=F;K=G;k[l>>2]=27468;k[j>>2]=27488;k[i>>2]=27560;Yua(c);Ava(i);vva(j);Qb(K|0)}}else{A=Rb()|0;D=Q;E=A}while(0);zb(q|0);J=D;K=E;k[l>>2]=27468;k[j>>2]=27488;k[i>>2]=27560;Yua(c);Ava(i);vva(j);Qb(K|0)}a=Rb()|0;J=Q;K=a;k[l>>2]=27468;k[j>>2]=27488;k[i>>2]=27560;Yua(c);Ava(i);vva(j);Qb(K|0)}while(0);w=y;x=z;vva(j);Qb(x|0)}}v=+p[g>>3];if(t==0.0?1.0/v+-1.0<0.0:0){L=0.0;p[b>>3]=L;r=d;return}L=+ba(+(+p[f>>3]),+(-1.0/v))*+ba(+t,+(1.0/v+-1.0));p[b>>3]=L;r=d;return}function ila(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0.0,P=0.0,R=0.0,S=0.0,T=0.0;d=r;r=r+256|0;e=d+244|0;f=d+240|0;g=d+56|0;h=d+48|0;i=d+40|0;j=d+32|0;l=d+24|0;m=d+16|0;n=d+8|0;o=d;q=d+104|0;s=d+88|0;t=d+76|0;u=d+64|0;v=a+4|0;Bp(k[v>>2]|0,g,108);Bp(k[v>>2]|0,h,110);Cp(k[v>>2]|0,i,c,104);Cp(k[v>>2]|0,l,c,217);cO(k[(k[v>>2]|0)+36>>2]|0,f,116);w=k[v>>2]|0;if((k[f>>2]|0)==1)Cp(w,j,c,126);else Cp(w,j,c,115);if(+p[j>>3]<0.0)p[j>>3]=0.0;switch(k[a+8>>2]|0){case 1:{Cp(k[v>>2]|0,m,c,674);x=+p[m>>3];y=+aa(+(x*x));break}case 2:{Cp(k[v>>2]|0,m,c,674);Cp(k[v>>2]|0,n,c,677);x=+p[m>>3];z=+p[n>>3];y=+aa(+(x*x+z*z));break}case 3:{Cp(k[v>>2]|0,m,c,674);Cp(k[v>>2]|0,n,c,677);Cp(k[v>>2]|0,o,c,679);z=+p[m>>3];x=+p[n>>3];A=+p[o>>3];y=+aa(+(z*z+x*x+A*A));break}default:{o=q+56|0;n=q+4|0;k[q>>2]=27524;k[o>>2]=27544;B=0;wa(508,q+56|0,n|0);m=B;B=0;if(m&1){m=Rb()|0;C=Q;D=m;vva(o);Qb(D|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[o>>2]=27488;B=0;va(448,n|0);m=B;B=0;do if(m&1){c=Rb()|0;E=Q;F=c}else{k[n>>2]=27560;c=q+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[q+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,n|0,e|0);v=B;B=0;if(v&1){v=Rb()|0;a=Q;Yua(e);Yua(c);Ava(n);E=a;F=v;break}Yua(e);B=0;v=Ia(40,q|0,145010,13)|0;a=B;B=0;if(!(a&1)?(B=0,Xa(239,v|0,0)|0,v=B,B=0,!(v&1)):0){v=Ab(20)|0;B=0;eb(502,s|0,141974,73);a=B;B=0;do if(!(a&1)){B=0;eb(502,t|0,142176,14);w=B;B=0;if(w&1){w=Rb()|0;f=Q;Yua(s);G=f;H=w;break}B=0;wa(510,u|0,n|0);w=B;B=0;if(w&1){w=Rb()|0;I=Q;J=w;K=1}else{B=0;ua(163,v|0,s|0,t|0,382,u|0);w=B;B=0;if(w&1)L=1;else{B=0;eb(503,v|0,1240,229);B=0;L=0}w=Rb()|0;f=Q;Yua(u);I=f;J=w;K=L}Yua(t);Yua(s);if(K){G=I;H=J}else{M=I;N=J;k[q>>2]=27468;k[o>>2]=27488;k[n>>2]=27560;Yua(c);Ava(n);vva(o);Qb(N|0)}}else{w=Rb()|0;G=Q;H=w}while(0);zb(v|0);M=G;N=H;k[q>>2]=27468;k[o>>2]=27488;k[n>>2]=27560;Yua(c);Ava(n);vva(o);Qb(N|0)}a=Rb()|0;M=Q;N=a;k[q>>2]=27468;k[o>>2]=27488;k[n>>2]=27560;Yua(c);Ava(n);vva(o);Qb(N|0)}while(0);C=E;D=F;vva(o);Qb(D|0)}}A=+p[g>>3];if(A==1.0)O=1.0;else{x=A+-1.0;O=+ba(+x,+x)/+ba(+A,+A)}x=+p[h>>3];z=+p[l>>3];P=+ba(+x,+z);R=+p[j>>3];S=P*+ba(+R,+z);P=y/(S*+p[i>>3]);if(y==0.0|R==0.0){T=0.0;p[b>>3]=T;r=d;return}T=x*R*+ba(+(P/(O*+ba(+P,+A)+1.0)),+(1.0/z))/y;p[b>>3]=T;r=d;return}function jla(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0.0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,xa=0.0;d=r;r=r+448|0;e=d+436|0;f=d+80|0;g=d+72|0;h=d+64|0;i=d+56|0;j=d+48|0;l=d+40|0;m=d+32|0;n=d+24|0;o=d+16|0;q=d+8|0;s=d;t=d+288|0;u=d+424|0;v=d+136|0;w=d+124|0;x=d+152|0;y=d+112|0;z=d+100|0;A=d+88|0;C=a+4|0;dO(k[(k[C>>2]|0)+36>>2]|0,h,113);Bp(k[C>>2]|0,f,107);Bp(k[C>>2]|0,g,108);Cp(k[C>>2]|0,i,c,353);Cp(k[C>>2]|0,j,c,64);Cp(k[C>>2]|0,l,c,999);Cp(k[C>>2]|0,q,c,105);Cp(k[C>>2]|0,s,c,114);D=+Dp(k[C>>2]|0,266);E=+Dp(k[C>>2]|0,265);F=+Dp(k[C>>2]|0,65);G=+p[f>>3];H=+p[g>>3]/G;I=1.0/G;G=+p[j>>3];if(G>0.0){p[j>>3]=0.0;J=0.0}else J=G;G=+p[s>>3];do if(G==0.0)K=E*F*+p[i>>3]+D*F*(J-+p[l>>3]);else{if(G>0.0){K=E*F*+p[i>>3]*+p[h>>3];break}s=t+56|0;j=t+4|0;k[t>>2]=27524;k[s>>2]=27544;B=0;wa(508,t+56|0,j|0);g=B;B=0;if(g&1){g=Rb()|0;L=Q;M=g;vva(s);Qb(M|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[s>>2]=27488;B=0;va(448,j|0);g=B;B=0;do if(g&1){f=Rb()|0;N=Q;O=f}else{k[j>>2]=27560;f=t+36|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;k[t+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,j|0,e|0);P=B;B=0;if(P&1){P=Rb()|0;R=Q;Yua(e);Yua(f);Ava(j);N=R;O=P;break}Yua(e);B=0;P=Ia(40,t|0,142191,30)|0;R=B;B=0;a:do if(!(R&1)?(B=0,Xa(239,P|0,0)|0,S=B,B=0,!(S&1)):0){S=Ab(20)|0;B=0;eb(502,u|0,141974,73);T=B;B=0;do if(!(T&1)){B=0;eb(502,v|0,142222,19);U=B;B=0;if(U&1){U=Rb()|0;V=Q;Yua(u);W=U;X=V;break}B=0;wa(510,w|0,j|0);V=B;B=0;if(V&1){V=Rb()|0;Y=Q;Z=V;_=1}else{B=0;ua(163,S|0,u|0,v|0,527,w|0);V=B;B=0;if(V&1)$=1;else{B=0;eb(503,S|0,1240,229);B=0;$=0}V=Rb()|0;U=Q;Yua(w);Y=U;Z=V;_=$}Yua(v);Yua(u);if(_){W=Z;X=Y}else{ca=Z;da=Y;break a}}else{V=Rb()|0;W=V;X=Q}while(0);zb(S|0);ca=W;da=X}else ea=22;while(0);if((ea|0)==22){P=Rb()|0;ca=P;da=Q}k[t>>2]=27468;k[s>>2]=27488;k[j>>2]=27560;Yua(f);Ava(j);vva(s);fa=da;ga=ca;Qb(ga|0)}while(0);L=N;M=O;vva(s);Qb(M|0)}while(0);F=K<0.0?0.0:K;switch(k[a+8>>2]|0){case 1:{Cp(k[C>>2]|0,m,c,674);K=+p[m>>3];ha=+aa(+(K*K));break}case 2:{Cp(k[C>>2]|0,m,c,674);Cp(k[C>>2]|0,n,c,677);K=+p[m>>3];E=+p[n>>3];ha=+aa(+(K*K+E*E));break}case 3:{Cp(k[C>>2]|0,m,c,674);Cp(k[C>>2]|0,n,c,677);Cp(k[C>>2]|0,o,c,679);E=+p[m>>3];K=+p[n>>3];G=+p[o>>3];ha=+aa(+(E*E+K*K+G*G));break}default:{o=x+56|0;n=x+4|0;k[x>>2]=27524;k[o>>2]=27544;B=0;wa(508,x+56|0,n|0);m=B;B=0;if(m&1){m=Rb()|0;ia=Q;ja=m;vva(o);Qb(ja|0)}k[x+128>>2]=0;k[x+132>>2]=-1;k[x>>2]=27468;k[o>>2]=27488;B=0;va(448,n|0);m=B;B=0;do if(m&1){c=Rb()|0;ka=Q;la=c}else{k[n>>2]=27560;c=x+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[x+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,n|0,e|0);C=B;B=0;if(C&1){C=Rb()|0;a=Q;Yua(e);Yua(c);Ava(n);ka=a;la=C;break}Yua(e);B=0;C=Ia(40,x|0,145010,13)|0;a=B;B=0;b:do if(!(a&1)?(B=0,Xa(239,C|0,0)|0,M=B,B=0,!(M&1)):0){M=Ab(20)|0;B=0;eb(502,y|0,141974,73);O=B;B=0;do if(!(O&1)){B=0;eb(502,z|0,142222,19);N=B;B=0;if(N&1){N=Rb()|0;L=Q;Yua(y);ma=N;na=L;break}B=0;wa(510,A|0,n|0);L=B;B=0;if(L&1){L=Rb()|0;oa=1;pa=Q;qa=L}else{B=0;ua(163,M|0,y|0,z|0,547,A|0);L=B;B=0;if(L&1)ra=1;else{B=0;eb(503,M|0,1240,229);B=0;ra=0}L=Rb()|0;N=Q;Yua(A);oa=ra;pa=N;qa=L}Yua(z);Yua(y);if(oa){ma=qa;na=pa}else{sa=pa;ta=qa;break b}}else{L=Rb()|0;ma=L;na=Q}while(0);zb(M|0);sa=na;ta=ma}else ea=49;while(0);if((ea|0)==49){C=Rb()|0;sa=Q;ta=C}k[x>>2]=27468;k[o>>2]=27488;k[n>>2]=27560;Yua(c);Ava(n);vva(o);fa=sa;ga=ta;Qb(ga|0)}while(0);ia=ka;ja=la;vva(o);Qb(ja|0)}}G=I+-1.0;if(G<0.0&ha==0.0){xa=0.0;p[b>>3]=xa;r=d;return}I=+p[q>>3];xa=I*I*+ba(+F,+H)*+ba(+ha,+G);p[b>>3]=xa;r=d;return}function kla(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0.0,X=0.0,Y=0.0,Z=0,_=0.0;d=r;r=r+288|0;e=d+264|0;f=d+80|0;g=d+72|0;h=d+64|0;i=d+56|0;j=d+48|0;l=d+40|0;m=d+32|0;n=d+24|0;o=d+16|0;q=d+8|0;s=d;t=d+128|0;u=d+112|0;v=d+100|0;w=d+88|0;x=a+4|0;Bp(k[x>>2]|0,f,107);Bp(k[x>>2]|0,g,108);Cp(k[x>>2]|0,h,c,353);Cp(k[x>>2]|0,i,c,64);Cp(k[x>>2]|0,l,c,999);Cp(k[x>>2]|0,j,c,63);Cp(k[x>>2]|0,q,c,105);Cp(k[x>>2]|0,s,c,106);y=+Dp(k[x>>2]|0,266);z=+Dp(k[x>>2]|0,265);A=+Dp(k[x>>2]|0,65);C=+p[f>>3];D=+p[g>>3]/C;E=1.0/C;C=A*(z*+p[h>>3]+y*(+p[i>>3]-+p[l>>3]));F=C<0.0?0.0:C;switch(k[a+8>>2]|0){case 1:{Cp(k[x>>2]|0,m,c,674);C=+p[m>>3];G=+aa(+(C*C));break}case 2:{Cp(k[x>>2]|0,m,c,674);Cp(k[x>>2]|0,n,c,677);C=+p[m>>3];H=+p[n>>3];G=+aa(+(C*C+H*H));break}case 3:{Cp(k[x>>2]|0,m,c,674);Cp(k[x>>2]|0,n,c,677);Cp(k[x>>2]|0,o,c,679);H=+p[m>>3];C=+p[n>>3];I=+p[o>>3];G=+aa(+(H*H+C*C+I*I));break}default:{o=t+56|0;n=t+4|0;k[t>>2]=27524;k[o>>2]=27544;B=0;wa(508,t+56|0,n|0);m=B;B=0;if(m&1){m=Rb()|0;J=Q;K=m;vva(o);Qb(K|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[o>>2]=27488;B=0;va(448,n|0);m=B;B=0;do if(m&1){c=Rb()|0;L=Q;M=c}else{k[n>>2]=27560;c=t+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[t+52>>2]=16;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;B=0;wa(509,n|0,e|0);x=B;B=0;if(x&1){x=Rb()|0;a=Q;Yua(e);Yua(c);Ava(n);L=a;M=x;break}Yua(e);B=0;x=Ia(40,t|0,145010,13)|0;a=B;B=0;if(!(a&1)?(B=0,Xa(239,x|0,0)|0,x=B,B=0,!(x&1)):0){x=Ab(20)|0;B=0;eb(502,u|0,141974,73);a=B;B=0;do if(!(a&1)){B=0;eb(502,v|0,142242,16);l=B;B=0;if(l&1){l=Rb()|0;i=Q;Yua(u);N=i;O=l;break}B=0;wa(510,w|0,n|0);l=B;B=0;if(l&1){l=Rb()|0;P=Q;R=l;S=1}else{B=0;ua(163,x|0,u|0,v|0,306,w|0);l=B;B=0;if(l&1)T=1;else{B=0;eb(503,x|0,1240,229);B=0;T=0}l=Rb()|0;i=Q;Yua(w);P=i;R=l;S=T}Yua(v);Yua(u);if(S){N=P;O=R}else{U=P;V=R;k[t>>2]=27468;k[o>>2]=27488;k[n>>2]=27560;Yua(c);Ava(n);vva(o);Qb(V|0)}}else{l=Rb()|0;N=Q;O=l}while(0);zb(x|0);U=N;V=O;k[t>>2]=27468;k[o>>2]=27488;k[n>>2]=27560;Yua(c);Ava(n);vva(o);Qb(V|0)}a=Rb()|0;U=Q;V=a;k[t>>2]=27468;k[o>>2]=27488;k[n>>2]=27560;Yua(c);Ava(n);vva(o);Qb(V|0)}while(0);J=L;K=M;vva(o);Qb(K|0)}}K=G==0.0;I=E+-1.0;if(I<0.0&K)W=0.0;else{E=+p[q>>3];W=E*E*+ba(+F,+D)*+ba(+G,+I)}I=+p[j>>3];if(I<0.0)X=-y/z*I;else X=0.0;if(K){Y=0.0;Z=Y<W;_=Z?Y:W;p[b>>3]=_;r=d;return}I=+p[s>>3];Y=(+p[h>>3]-X)*(A*(y*(I*I)))/G;Z=Y<W;_=Z?Y:W;p[b>>3]=_;r=d;return}function lla(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0.0,m=0.0,n=0.0,o=0.0;d=r;r=r+48|0;e=d+32|0;f=d+24|0;g=d+16|0;h=d+8|0;i=d;j=a+4|0;Cp(k[j>>2]|0,g,c,353);Cp(k[j>>2]|0,f,c,64);Cp(k[j>>2]|0,h,c,166);Cp(k[j>>2]|0,i,c,999);Cp(k[j>>2]|0,e,c,105);l=+Dp(k[j>>2]|0,267);m=+Dp(k[j>>2]|0,265);n=+Dp(k[j>>2]|0,65);o=m*n*+p[g>>3]-l*n*(+p[h>>3]-+p[f>>3]+ +p[i>>3]);n=+p[e>>3];p[b>>3]=n*n*(o<0.0?0.0:o);r=d;return}function mla(a){a=a|0;var b=0;k[a>>2]=-9999;k[a+4>>2]=-9999;k[a+8>>2]=-9999;i[a+12>>0]=0;i[a+13>>0]=1;i[a+14>>0]=0;b=a+16|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[b+16>>2]=0;k[b+20>>2]=0;k[b+24>>2]=0;return}function nla(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;k[a>>2]=b;i[a+12>>0]=0;if((b|0)<=0)return;d=Rqa(b)|0;k[a+16>>2]=d;d=Rqa(b)|0;k[a+20>>2]=d;d=Rqa(b>>>0>536870911?-1:b<<3)|0;k[a+24>>2]=d;d=b>>>0>1073741823?-1:b<<2;b=Rqa(d)|0;k[a+32>>2]=b;if(!c)k[a+28>>2]=0;else{b=Rqa(d)|0;k[a+28>>2]=b}b=k[a+16>>2]|0;d=k[a+20>>2]|0;e=k[a+24>>2]|0;f=k[a+32>>2]|0;g=k[a+28>>2]|0;if(!g){h=0;do{i[b+h>>0]=1;i[d+h>>0]=0;p[e+(h<<3)>>3]=0.0;k[f+(h<<2)>>2]=-9999;h=h+1|0}while((h|0)<(k[a>>2]|0));return}else{h=0;do{i[b+h>>0]=1;i[d+h>>0]=0;p[e+(h<<3)>>3]=0.0;k[f+(h<<2)>>2]=-9999;k[g+(h<<2)>>2]=k[c+(h<<2)>>2];h=h+1|0}while((h|0)<(k[a>>2]|0));return}}function ola(a){a=a|0;var b=0,c=0;b=a+16|0;c=k[b>>2]|0;if(c){Tqa(c);k[b>>2]=0}b=a+20|0;c=k[b>>2]|0;if(c){Tqa(c);k[b>>2]=0}b=a+24|0;c=k[b>>2]|0;if(c){Tqa(c);k[b>>2]=0}b=a+28|0;c=k[b>>2]|0;if(c){Tqa(c);k[b>>2]=0}b=a+32|0;c=k[b>>2]|0;if(c){Tqa(c);k[b>>2]=0}b=a+36|0;c=k[b>>2]|0;if(c){Tqa(c);k[b>>2]=0}b=a+40|0;a=k[b>>2]|0;if(!a)return;Tqa(a);k[b>>2]=0;return}function pla(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;c=k[b>>2]|0;k[a>>2]=c;d=k[b+4>>2]|0;e=a+4|0;k[e>>2]=d;f=k[b+8>>2]|0;g=a+8|0;k[g>>2]=f;h=k[b+12>>2]|0;i[a+12>>0]=h;i[a+13>>0]=(h&65535)>>>8;i[a+14>>0]=h>>>16;h=(c|0)>0;if(h){j=Rqa(c)|0;k[a+16>>2]=j;l=Rqa(c)|0;k[a+20>>2]=l;m=Rqa(c>>>0>536870911?-1:c<<3)|0;k[a+24>>2]=m;if(!(k[b+28>>2]|0)){k[a+28>>2]=0;n=c>>>0>1073741823?-1:c<<2;o=0}else{q=c>>>0>1073741823?-1:c<<2;r=Rqa(q)|0;k[a+28>>2]=r;n=q;o=r}r=Rqa(n)|0;k[a+32>>2]=r;s=j;t=l;u=m;v=o;w=r}else{r=a+16|0;k[r>>2]=0;k[r+4>>2]=0;k[r+8>>2]=0;k[r+12>>2]=0;k[r+16>>2]=0;s=0;t=0;u=0;v=0;w=0}if((d|0)>0){r=Rqa(d>>>0>1073741823?-1:d<<2)|0;k[a+36>>2]=r}else k[a+36>>2]=0;if((f|0)>0){r=Rqa(f>>>0>1073741823?-1:f<<2)|0;k[a+40>>2]=r}else k[a+40>>2]=0;if(h){TEa(s|0,k[b+16>>2]|0,c|0)|0;TEa(t|0,k[b+20>>2]|0,c|0)|0;t=k[b+24>>2]|0;if(!u)yb(142259,142264,137,142345);if(!t)yb(142353,142264,137,142345);else x=0;do{p[u+(x<<3)>>3]=+p[t+(x<<3)>>3];x=x+1|0}while((x|0)!=(c|0));if(!v){y=c;z=w}else{TEa(v|0,k[b+28>>2]|0,c<<2|0)|0;y=k[a>>2]|0;z=k[a+32>>2]|0}TEa(z|0,k[b+32>>2]|0,y<<2|0)|0;A=k[e>>2]|0}else A=d;if((A|0)>0)TEa(k[a+36>>2]|0,k[b+36>>2]|0,A<<2|0)|0;A=k[g>>2]|0;if((A|0)<=0)return;TEa(k[a+40>>2]|0,k[b+40>>2]|0,A<<2|0)|0;return}function qla(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0;c=r;r=r+192|0;d=c+176|0;e=c+40|0;f=c+24|0;g=c+12|0;h=c;switch(b|0){case 937:{i=k[a>>2]|0;if((i|0)>0){j=k[a+16>>2]|0;m=0;n=0;while(1){o=(l[j+m>>0]|0)+n|0;m=m+1|0;if((m|0)>=(i|0)){p=o;break}else n=o}}else p=0;n=a+4|0;k[n>>2]=p;i=a+36|0;m=k[i>>2]|0;if(!m)q=p;else{Tqa(m);q=k[n>>2]|0}k[i>>2]=0;if(!q){k[i>>2]=0;r=c;return}else{q=Rqa(p>>>0>1073741823?-1:p<<2)|0;k[i>>2]=q;r=c;return}break}case 966:{q=k[a>>2]|0;if((q|0)>0){i=k[a+20>>2]|0;p=0;n=0;while(1){m=(l[i+p>>0]|0)+n|0;p=p+1|0;if((p|0)>=(q|0)){s=m;break}else n=m}}else s=0;n=a+8|0;k[n>>2]=s;q=a+40|0;a=k[q>>2]|0;if(!a)t=s;else{Tqa(a);t=k[n>>2]|0}k[q>>2]=0;if(!t){k[q>>2]=0;r=c;return}else{t=Rqa(s>>>0>1073741823?-1:s<<2)|0;k[q>>2]=t;r=c;return}break}default:{c=e+56|0;t=e+4|0;k[e>>2]=27524;k[c>>2]=27544;B=0;wa(508,e+56|0,t|0);q=B;B=0;if(q&1){q=Rb()|0;u=Q;v=q;vva(c);Qb(v|0)}k[e+128>>2]=0;k[e+132>>2]=-1;k[e>>2]=27468;k[c>>2]=27488;B=0;va(448,t|0);q=B;B=0;do if(q&1){s=Rb()|0;w=Q;x=s}else{k[t>>2]=27560;s=e+36|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[e+52>>2]=16;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;B=0;wa(509,t|0,d|0);n=B;B=0;if(n&1){n=Rb()|0;a=Q;Yua(d);Yua(s);Ava(t);w=a;x=n;break}Yua(d);B=0;n=Ia(40,e|0,142357,17)|0;a=B;B=0;if((((!(a&1)?(B=0,a=ya(427,b|0)|0,p=B,B=0,!(p&1)):0)?(p=Lta(a)|0,B=0,i=Ia(40,n|0,a|0,p|0)|0,p=B,B=0,!(p&1)):0)?(B=0,p=Ia(40,i|0,146956,19)|0,i=B,B=0,!(i&1)):0)?(B=0,Xa(239,p|0,0)|0,p=B,B=0,!(p&1)):0){p=Ab(20)|0;B=0;eb(502,f|0,142375,70);i=B;B=0;do if(!(i&1)){B=0;eb(502,g|0,142446,7);a=B;B=0;if(a&1){a=Rb()|0;n=Q;Yua(f);y=n;z=a;break}B=0;wa(510,h|0,t|0);a=B;B=0;if(a&1){a=Rb()|0;A=Q;C=a;D=1}else{B=0;ua(163,p|0,f|0,g|0,211,h|0);a=B;B=0;if(a&1)E=1;else{B=0;eb(503,p|0,1240,229);B=0;E=0}a=Rb()|0;n=Q;Yua(h);A=n;C=a;D=E}Yua(g);Yua(f);if(D){y=A;z=C}else{F=A;G=C;k[e>>2]=27468;k[c>>2]=27488;k[t>>2]=27560;Yua(s);Ava(t);vva(c);Qb(G|0)}}else{a=Rb()|0;y=Q;z=a}while(0);zb(p|0);F=y;G=z;k[e>>2]=27468;k[c>>2]=27488;k[t>>2]=27560;Yua(s);Ava(t);vva(c);Qb(G|0)}i=Rb()|0;F=Q;G=i;k[e>>2]=27468;k[c>>2]=27488;k[t>>2]=27560;Yua(s);Ava(t);vva(c);Qb(G|0)}while(0);u=w;v=x;vva(c);Qb(v|0)}}}function rla(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0;b=r;r=r+1072|0;c=b+1052|0;d=b+880|0;e=b+1040|0;f=b+728|0;g=b+1028|0;h=b+592|0;j=b+1016|0;l=b+440|0;m=b+864|0;n=b+304|0;o=b+576|0;p=b+168|0;q=b+152|0;s=b+16|0;t=b;u=d+56|0;v=d+4|0;k[d>>2]=27524;k[u>>2]=27544;B=0;wa(508,d+56|0,v|0);w=B;B=0;if(w&1){w=Rb()|0;x=Q;y=w;vva(u);Qb(y|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[u>>2]=27488;B=0;va(448,v|0);w=B;B=0;do if(w&1){z=Rb()|0;A=Q;C=z}else{k[v>>2]=27560;z=d+36|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;k[z+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,v|0,c|0);D=B;B=0;if(D&1){D=Rb()|0;E=Q;Yua(c);Yua(z);Ava(v);A=E;C=D;break}Yua(c);B=0;Ia(40,d|0,142454,13)|0;D=B;B=0;do if(!(D&1)?(B=0,wa(510,e|0,v|0),E=B,B=0,!(E&1)):0){B=0;ya(424,e|0)|0;E=B;B=0;if(E&1){E=Rb()|0;F=Q;Yua(e);G=F;H=E;break}Yua(e);k[d>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(z);Ava(v);vva(u);E=f+56|0;F=f+4|0;k[f>>2]=27524;k[E>>2]=27544;B=0;wa(508,f+56|0,F|0);I=B;B=0;if(I&1){I=Rb()|0;J=Q;K=I;vva(E);Qb(K|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[E>>2]=27488;B=0;va(448,F|0);I=B;B=0;do if(I&1){L=Rb()|0;M=Q;N=L}else{k[F>>2]=27560;L=f+36|0;k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;k[L+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,F|0,c|0);O=B;B=0;if(O&1){O=Rb()|0;P=Q;Yua(c);Yua(L);Ava(F);M=P;N=O;break}Yua(c);B=0;O=Ia(40,f|0,142468,11)|0;P=B;B=0;do if(((!(P&1)?(B=0,R=Xa(242,O|0,k[a>>2]|0)|0,S=B,B=0,!(S&1)):0)?(B=0,Ia(40,R|0,149177,1)|0,R=B,B=0,!(R&1)):0)?(B=0,wa(510,g|0,F|0),R=B,B=0,!(R&1)):0){B=0;ya(424,g|0)|0;R=B;B=0;if(R&1){R=Rb()|0;S=Q;Yua(g);T=S;U=R;break}Yua(g);k[f>>2]=27468;k[E>>2]=27488;k[F>>2]=27560;Yua(L);Ava(F);vva(E);R=h+56|0;S=h+4|0;k[h>>2]=27524;k[R>>2]=27544;B=0;wa(508,h+56|0,S|0);V=B;B=0;if(V&1){V=Rb()|0;W=Q;X=V;vva(R);Qb(X|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[R>>2]=27488;B=0;va(448,S|0);V=B;B=0;do if(V&1){Y=Rb()|0;Z=Q;_=Y}else{k[S>>2]=27560;Y=h+36|0;k[Y>>2]=0;k[Y+4>>2]=0;k[Y+8>>2]=0;k[Y+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,S|0,c|0);$=B;B=0;if($&1){$=Rb()|0;aa=Q;Yua(c);Yua(Y);Ava(S);Z=aa;_=$;break}Yua(c);B=0;$=Ia(40,h|0,142480,11)|0;aa=B;B=0;do if(aa&1)ba=97;else{B=0;ca=Xa(242,$|0,k[a+4>>2]|0)|0;da=B;B=0;if(da&1){ba=97;break}B=0;Ia(40,ca|0,149177,1)|0;ca=B;B=0;if(ca&1){ba=97;break}B=0;wa(510,j|0,S|0);ca=B;B=0;if(ca&1){ba=97;break}B=0;ya(424,j|0)|0;ca=B;B=0;if(ca&1){ca=Rb()|0;da=Q;Yua(j);ea=da;fa=ca;break}Yua(j);k[h>>2]=27468;k[R>>2]=27488;k[S>>2]=27560;Yua(Y);Ava(S);vva(R);ca=l+56|0;da=l+4|0;k[l>>2]=27524;k[ca>>2]=27544;B=0;wa(508,l+56|0,da|0);ga=B;B=0;if(ga&1){ga=Rb()|0;ha=Q;ia=ga;vva(ca);Qb(ia|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[ca>>2]=27488;B=0;va(448,da|0);ga=B;B=0;do if(ga&1){ja=Rb()|0;ka=Q;la=ja}else{k[da>>2]=27560;ja=l+36|0;k[ja>>2]=0;k[ja+4>>2]=0;k[ja+8>>2]=0;k[ja+12>>2]=0;k[l+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,da|0,c|0);ma=B;B=0;if(ma&1){ma=Rb()|0;na=Q;Yua(c);Yua(ja);Ava(da);ka=na;la=ma;break}Yua(c);B=0;ma=Ia(40,l|0,142492,11)|0;na=B;B=0;do if(na&1)ba=100;else{B=0;oa=Xa(242,ma|0,k[a+8>>2]|0)|0;pa=B;B=0;if(pa&1){ba=100;break}B=0;Ia(40,oa|0,149177,1)|0;oa=B;B=0;if(oa&1){ba=100;break}B=0;wa(510,m|0,da|0);oa=B;B=0;if(oa&1){ba=100;break}B=0;ya(424,m|0)|0;oa=B;B=0;if(oa&1){oa=Rb()|0;pa=Q;Yua(m);qa=pa;ra=oa;break}Yua(m);k[l>>2]=27468;k[ca>>2]=27488;k[da>>2]=27560;Yua(ja);Ava(da);vva(ca);oa=n+56|0;pa=n+4|0;k[n>>2]=27524;k[oa>>2]=27544;B=0;wa(508,n+56|0,pa|0);sa=B;B=0;if(sa&1){sa=Rb()|0;ta=Q;ua=sa;vva(oa);Qb(ua|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[oa>>2]=27488;B=0;va(448,pa|0);sa=B;B=0;do if(sa&1){xa=Rb()|0;za=Q;Aa=xa}else{k[pa>>2]=27560;xa=n+36|0;k[xa>>2]=0;k[xa+4>>2]=0;k[xa+8>>2]=0;k[xa+12>>2]=0;k[n+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,pa|0,c|0);Ba=B;B=0;if(Ba&1){Ba=Rb()|0;Ca=Q;Yua(c);Yua(xa);Ava(pa);za=Ca;Aa=Ba;break}Yua(c);B=0;Ba=Ia(40,n|0,142504,11)|0;Ca=B;B=0;do if(Ca&1)ba=103;else{B=0;Da=Xa(247,Ba|0,(i[a+12>>0]|0)!=0|0)|0;Ea=B;B=0;if(Ea&1){ba=103;break}B=0;Ia(40,Da|0,149177,1)|0;Da=B;B=0;if(Da&1){ba=103;break}B=0;wa(510,o|0,pa|0);Da=B;B=0;if(Da&1){ba=103;break}B=0;ya(424,o|0)|0;Da=B;B=0;if(Da&1){Da=Rb()|0;Ea=Q;Yua(o);Fa=Ea;Ga=Da;break}Yua(o);k[n>>2]=27468;k[oa>>2]=27488;k[pa>>2]=27560;Yua(xa);Ava(pa);vva(oa);Da=p+56|0;Ea=p+4|0;k[p>>2]=27524;k[Da>>2]=27544;B=0;wa(508,p+56|0,Ea|0);Ha=B;B=0;if(Ha&1){Ha=Rb()|0;Ja=Q;Ka=Ha;vva(Da);Qb(Ka|0)}k[p+128>>2]=0;k[p+132>>2]=-1;k[p>>2]=27468;k[Da>>2]=27488;B=0;va(448,Ea|0);Ha=B;B=0;do if(Ha&1){La=Rb()|0;Ma=Q;Na=La}else{k[Ea>>2]=27560;La=p+36|0;k[La>>2]=0;k[La+4>>2]=0;k[La+8>>2]=0;k[La+12>>2]=0;k[p+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ea|0,c|0);Oa=B;B=0;if(Oa&1){Oa=Rb()|0;Pa=Q;Yua(c);Yua(La);Ava(Ea);Ma=Pa;Na=Oa;break}Yua(c);B=0;Oa=Ia(40,p|0,142516,11)|0;Pa=B;B=0;do if(Pa&1)ba=106;else{B=0;Qa=Xa(247,Oa|0,(i[a+13>>0]|0)!=0|0)|0;Ra=B;B=0;if(Ra&1){ba=106;break}B=0;Ia(40,Qa|0,149177,1)|0;Qa=B;B=0;if(Qa&1){ba=106;break}B=0;wa(510,q|0,Ea|0);Qa=B;B=0;if(Qa&1){ba=106;break}B=0;ya(424,q|0)|0;Qa=B;B=0;if(Qa&1){Qa=Rb()|0;Ra=Q;Yua(q);Sa=Ra;Ta=Qa;break}Yua(q);k[p>>2]=27468;k[Da>>2]=27488;k[Ea>>2]=27560;Yua(La);Ava(Ea);vva(Da);Qa=s+56|0;Ra=s+4|0;k[s>>2]=27524;k[Qa>>2]=27544;B=0;wa(508,s+56|0,Ra|0);Ua=B;B=0;if(Ua&1){Ua=Rb()|0;Va=Q;Wa=Ua;vva(Qa);Qb(Wa|0)}k[s+128>>2]=0;k[s+132>>2]=-1;k[s>>2]=27468;k[Qa>>2]=27488;B=0;va(448,Ra|0);Ua=B;B=0;do if(Ua&1){Ya=Rb()|0;Za=Q;_a=Ya}else{k[Ra>>2]=27560;Ya=s+36|0;k[Ya>>2]=0;k[Ya+4>>2]=0;k[Ya+8>>2]=0;k[Ya+12>>2]=0;k[s+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ra|0,c|0);$a=B;B=0;if($a&1){$a=Rb()|0;ab=Q;Yua(c);Yua(Ya);Ava(Ra);Za=ab;_a=$a;break}Yua(c);B=0;$a=Ia(40,s|0,142528,11)|0;ab=B;B=0;do if(!(ab&1)){B=0;bb=Xa(247,$a|0,(i[a+14>>0]|0)!=0|0)|0;cb=B;B=0;if(cb&1){ba=109;break}B=0;Ia(40,bb|0,149177,1)|0;bb=B;B=0;if(bb&1){ba=109;break}B=0;wa(510,t|0,Ra|0);bb=B;B=0;if(bb&1){ba=109;break}B=0;ya(424,t|0)|0;bb=B;B=0;if(bb&1){bb=Rb()|0;cb=Q;Yua(t);db=cb;eb=bb;break}else{Yua(t);k[s>>2]=27468;k[Qa>>2]=27488;k[Ra>>2]=27560;Yua(Ya);Ava(Ra);vva(Qa);r=b;return}}else ba=109;while(0);if((ba|0)==109){$a=Rb()|0;db=Q;eb=$a}k[s>>2]=27468;k[Qa>>2]=27488;k[Ra>>2]=27560;Yua(Ya);Ava(Ra);vva(Qa);fb=db;gb=eb;Qb(gb|0)}while(0);Va=Za;Wa=_a;vva(Qa);Qb(Wa|0)}while(0);if((ba|0)==106){Oa=Rb()|0;Sa=Q;Ta=Oa}k[p>>2]=27468;k[Da>>2]=27488;k[Ea>>2]=27560;Yua(La);Ava(Ea);vva(Da);fb=Sa;gb=Ta;Qb(gb|0)}while(0);Ja=Ma;Ka=Na;vva(Da);Qb(Ka|0)}while(0);if((ba|0)==103){Ba=Rb()|0;Fa=Q;Ga=Ba}k[n>>2]=27468;k[oa>>2]=27488;k[pa>>2]=27560;Yua(xa);Ava(pa);vva(oa);fb=Fa;gb=Ga;Qb(gb|0)}while(0);ta=za;ua=Aa;vva(oa);Qb(ua|0)}while(0);if((ba|0)==100){ma=Rb()|0;qa=Q;ra=ma}k[l>>2]=27468;k[ca>>2]=27488;k[da>>2]=27560;Yua(ja);Ava(da);vva(ca);fb=qa;gb=ra;Qb(gb|0)}while(0);ha=ka;ia=la;vva(ca);Qb(ia|0)}while(0);if((ba|0)==97){$=Rb()|0;ea=Q;fa=$}k[h>>2]=27468;k[R>>2]=27488;k[S>>2]=27560;Yua(Y);Ava(S);vva(R);fb=ea;gb=fa;Qb(gb|0)}while(0);W=Z;X=_;vva(R);Qb(X|0)}else ba=94;while(0);if((ba|0)==94){O=Rb()|0;T=Q;U=O}k[f>>2]=27468;k[E>>2]=27488;k[F>>2]=27560;Yua(L);Ava(F);vva(E);fb=T;gb=U;Qb(gb|0)}while(0);J=M;K=N;vva(E);Qb(K|0)}else ba=91;while(0);if((ba|0)==91){D=Rb()|0;G=Q;H=D}k[d>>2]=27468;k[u>>2]=27488;k[v>>2]=27560;Yua(z);Ava(v);vva(u);fb=G;gb=H;Qb(gb|0)}while(0);x=A;y=C;vva(u);Qb(y|0)}function sla(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0,ke=0,le=0,me=0,ne=0,oe=0,pe=0,qe=0,re=0,se=0,te=0,ue=0,ve=0,we=0,xe=0,ye=0,ze=0,Ae=0,Be=0,Ce=0,De=0,Ee=0,Fe=0,Ge=0,He=0,Ie=0,Je=0,Ke=0,Le=0,Me=0,Ne=0,Oe=0,Pe=0,Qe=0,Re=0,Se=0,Te=0,Ue=0,Ve=0,We=0,Xe=0,Ye=0,Ze=0,_e=0,$e=0,af=0,bf=0,cf=0,df=0,ef=0,ff=0,gf=0,hf=0,jf=0;b=r;r=r+3776|0;c=b+3752|0;d=b+3472|0;e=b+3740|0;f=b+3336|0;g=b+3728|0;h=b+3184|0;j=b+3716|0;l=b+3048|0;m=b+3704|0;n=b+2896|0;o=b+3692|0;q=b+2744|0;s=b+3680|0;t=b+2608|0;u=b+3668|0;v=b+2472|0;w=b+3656|0;x=b+2320|0;y=b+3644|0;z=b+2184|0;A=b+3632|0;C=b+2032|0;D=b+3620|0;E=b+1896|0;F=b+3608|0;G=b+1744|0;H=b+3320|0;I=b+1608|0;J=b+3032|0;K=b+1456|0;L=b+2880|0;M=b+1304|0;N=b+2456|0;O=b+1168|0;P=b+2168|0;R=b+1016|0;S=b+1880|0;T=b+880|0;U=b+1592|0;V=b+744|0;W=b+1440|0;X=b+592|0;Y=b+1152|0;Z=b+456|0;_=b+728|0;$=b+304|0;aa=b+440|0;ba=b+168|0;ca=b+152|0;da=b+16|0;ea=b;fa=d+56|0;ga=d+4|0;k[d>>2]=27524;k[fa>>2]=27544;B=0;wa(508,d+56|0,ga|0);ha=B;B=0;if(ha&1){ha=Rb()|0;ia=Q;ja=ha;vva(fa);Qb(ja|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[fa>>2]=27488;B=0;va(448,ga|0);ha=B;B=0;do if(ha&1){ka=Rb()|0;la=Q;ma=ka}else{k[ga>>2]=27560;ka=d+36|0;k[ka>>2]=0;k[ka+4>>2]=0;k[ka+8>>2]=0;k[ka+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ga|0,c|0);na=B;B=0;if(na&1){na=Rb()|0;oa=Q;Yua(c);Yua(ka);Ava(ga);la=oa;ma=na;break}Yua(c);B=0;Ia(40,d|0,142454,13)|0;na=B;B=0;do if(!(na&1)?(B=0,wa(510,e|0,ga|0),oa=B,B=0,!(oa&1)):0){B=0;ya(424,e|0)|0;oa=B;B=0;if(oa&1){oa=Rb()|0;pa=Q;Yua(e);qa=pa;ra=oa;break}Yua(e);k[d>>2]=27468;k[fa>>2]=27488;k[ga>>2]=27560;Yua(ka);Ava(ga);vva(fa);oa=f+56|0;pa=f+4|0;k[f>>2]=27524;k[oa>>2]=27544;B=0;wa(508,f+56|0,pa|0);sa=B;B=0;if(sa&1){sa=Rb()|0;ta=Q;ua=sa;vva(oa);Qb(ua|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[oa>>2]=27488;B=0;va(448,pa|0);sa=B;B=0;do if(sa&1){xa=Rb()|0;za=Q;Aa=xa}else{k[pa>>2]=27560;xa=f+36|0;k[xa>>2]=0;k[xa+4>>2]=0;k[xa+8>>2]=0;k[xa+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,pa|0,c|0);Ba=B;B=0;if(Ba&1){Ba=Rb()|0;Ca=Q;Yua(c);Yua(xa);Ava(pa);za=Ca;Aa=Ba;break}Yua(c);B=0;Ba=Ia(40,f|0,142468,11)|0;Ca=B;B=0;do if(((!(Ca&1)?(B=0,Da=Xa(242,Ba|0,k[a>>2]|0)|0,Ea=B,B=0,!(Ea&1)):0)?(B=0,Ia(40,Da|0,149177,1)|0,Da=B,B=0,!(Da&1)):0)?(B=0,wa(510,g|0,pa|0),Da=B,B=0,!(Da&1)):0){B=0;ya(424,g|0)|0;Da=B;B=0;if(Da&1){Da=Rb()|0;Ea=Q;Yua(g);Fa=Ea;Ga=Da;break}Yua(g);k[f>>2]=27468;k[oa>>2]=27488;k[pa>>2]=27560;Yua(xa);Ava(pa);vva(oa);Da=h+56|0;Ea=h+4|0;k[h>>2]=27524;k[Da>>2]=27544;B=0;wa(508,h+56|0,Ea|0);Ha=B;B=0;if(Ha&1){Ha=Rb()|0;Ja=Q;Ka=Ha;vva(Da);Qb(Ka|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[Da>>2]=27488;B=0;va(448,Ea|0);Ha=B;B=0;do if(Ha&1){La=Rb()|0;Ma=Q;Na=La}else{k[Ea>>2]=27560;La=h+36|0;k[La>>2]=0;k[La+4>>2]=0;k[La+8>>2]=0;k[La+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ea|0,c|0);Oa=B;B=0;if(Oa&1){Oa=Rb()|0;Pa=Q;Yua(c);Yua(La);Ava(Ea);Ma=Pa;Na=Oa;break}Yua(c);B=0;Oa=Ia(40,h|0,142480,11)|0;Pa=B;B=0;do if(Pa&1)Qa=127;else{Ra=a+4|0;B=0;Ta=Xa(242,Oa|0,k[Ra>>2]|0)|0;Ua=B;B=0;if(Ua&1){Qa=127;break}B=0;Ia(40,Ta|0,149177,1)|0;Ta=B;B=0;if(Ta&1){Qa=127;break}B=0;wa(510,j|0,Ea|0);Ta=B;B=0;if(Ta&1){Qa=127;break}B=0;ya(424,j|0)|0;Ta=B;B=0;if(Ta&1){Ta=Rb()|0;Ua=Q;Yua(j);Va=Ua;Wa=Ta;break}Yua(j);k[h>>2]=27468;k[Da>>2]=27488;k[Ea>>2]=27560;Yua(La);Ava(Ea);vva(Da);Ta=l+56|0;Ua=l+4|0;k[l>>2]=27524;k[Ta>>2]=27544;B=0;wa(508,l+56|0,Ua|0);Ya=B;B=0;if(Ya&1){Ya=Rb()|0;Za=Q;_a=Ya;vva(Ta);Qb(_a|0)}k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=27468;k[Ta>>2]=27488;B=0;va(448,Ua|0);Ya=B;B=0;do if(Ya&1){$a=Rb()|0;ab=Q;bb=$a}else{k[Ua>>2]=27560;$a=l+36|0;k[$a>>2]=0;k[$a+4>>2]=0;k[$a+8>>2]=0;k[$a+12>>2]=0;k[l+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ua|0,c|0);cb=B;B=0;if(cb&1){cb=Rb()|0;db=Q;Yua(c);Yua($a);Ava(Ua);ab=db;bb=cb;break}Yua(c);B=0;cb=Ia(40,l|0,142492,11)|0;db=B;B=0;do if(db&1)Qa=130;else{eb=a+8|0;B=0;fb=Xa(242,cb|0,k[eb>>2]|0)|0;gb=B;B=0;if(gb&1){Qa=130;break}B=0;Ia(40,fb|0,149177,1)|0;fb=B;B=0;if(fb&1){Qa=130;break}B=0;wa(510,m|0,Ua|0);fb=B;B=0;if(fb&1){Qa=130;break}B=0;ya(424,m|0)|0;fb=B;B=0;if(fb&1){fb=Rb()|0;gb=Q;Yua(m);hb=gb;ib=fb;break}Yua(m);k[l>>2]=27468;k[Ta>>2]=27488;k[Ua>>2]=27560;Yua($a);Ava(Ua);vva(Ta);fb=n+56|0;gb=n+4|0;k[n>>2]=27524;k[fb>>2]=27544;B=0;wa(508,n+56|0,gb|0);jb=B;B=0;if(jb&1){jb=Rb()|0;kb=Q;lb=jb;vva(fb);Qb(lb|0)}k[n+128>>2]=0;k[n+132>>2]=-1;k[n>>2]=27468;k[fb>>2]=27488;B=0;va(448,gb|0);jb=B;B=0;do if(jb&1){mb=Rb()|0;nb=Q;ob=mb}else{k[gb>>2]=27560;mb=n+36|0;k[mb>>2]=0;k[mb+4>>2]=0;k[mb+8>>2]=0;k[mb+12>>2]=0;k[n+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,gb|0,c|0);pb=B;B=0;if(pb&1){pb=Rb()|0;qb=Q;Yua(c);Yua(mb);Ava(gb);nb=qb;ob=pb;break}Yua(c);B=0;pb=Ia(40,n|0,142504,11)|0;qb=B;B=0;do if(qb&1)Qa=133;else{B=0;rb=Xa(247,pb|0,(i[a+12>>0]|0)!=0|0)|0;sb=B;B=0;if(sb&1){Qa=133;break}B=0;Ia(40,rb|0,149177,1)|0;rb=B;B=0;if(rb&1){Qa=133;break}B=0;wa(510,o|0,gb|0);rb=B;B=0;if(rb&1){Qa=133;break}B=0;ya(424,o|0)|0;rb=B;B=0;if(rb&1){rb=Rb()|0;sb=Q;Yua(o);tb=sb;ub=rb;break}Yua(o);k[n>>2]=27468;k[fb>>2]=27488;k[gb>>2]=27560;Yua(mb);Ava(gb);vva(fb);rb=q+56|0;sb=q+4|0;k[q>>2]=27524;k[rb>>2]=27544;B=0;wa(508,q+56|0,sb|0);vb=B;B=0;if(vb&1){vb=Rb()|0;wb=Q;xb=vb;vva(rb);Qb(xb|0)}k[q+128>>2]=0;k[q+132>>2]=-1;k[q>>2]=27468;k[rb>>2]=27488;B=0;va(448,sb|0);vb=B;B=0;do if(vb&1){yb=Rb()|0;zb=Q;Ab=yb}else{k[sb>>2]=27560;yb=q+36|0;k[yb>>2]=0;k[yb+4>>2]=0;k[yb+8>>2]=0;k[yb+12>>2]=0;k[q+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,sb|0,c|0);Bb=B;B=0;if(Bb&1){Bb=Rb()|0;Cb=Q;Yua(c);Yua(yb);Ava(sb);zb=Cb;Ab=Bb;break}Yua(c);B=0;Bb=Ia(40,q|0,142516,11)|0;Cb=B;B=0;do if(Cb&1)Qa=136;else{B=0;Db=Xa(247,Bb|0,(i[a+13>>0]|0)!=0|0)|0;Eb=B;B=0;if(Eb&1){Qa=136;break}B=0;Ia(40,Db|0,149177,1)|0;Db=B;B=0;if(Db&1){Qa=136;break}B=0;wa(510,s|0,sb|0);Db=B;B=0;if(Db&1){Qa=136;break}B=0;ya(424,s|0)|0;Db=B;B=0;if(Db&1){Db=Rb()|0;Eb=Q;Yua(s);Fb=Eb;Gb=Db;break}Yua(s);k[q>>2]=27468;k[rb>>2]=27488;k[sb>>2]=27560;Yua(yb);Ava(sb);vva(rb);Db=t+56|0;Eb=t+4|0;k[t>>2]=27524;k[Db>>2]=27544;B=0;wa(508,t+56|0,Eb|0);Hb=B;B=0;if(Hb&1){Hb=Rb()|0;Ib=Q;Jb=Hb;vva(Db);Qb(Jb|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[Db>>2]=27488;B=0;va(448,Eb|0);Hb=B;B=0;do if(Hb&1){Kb=Rb()|0;Lb=Q;Mb=Kb}else{k[Eb>>2]=27560;Kb=t+36|0;k[Kb>>2]=0;k[Kb+4>>2]=0;k[Kb+8>>2]=0;k[Kb+12>>2]=0;k[t+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Eb|0,c|0);Nb=B;B=0;if(Nb&1){Nb=Rb()|0;Ob=Q;Yua(c);Yua(Kb);Ava(Eb);Lb=Ob;Mb=Nb;break}Yua(c);B=0;Nb=Ia(40,t|0,142528,11)|0;Ob=B;B=0;do if(Ob&1)Qa=139;else{B=0;Pb=Xa(247,Nb|0,(i[a+14>>0]|0)!=0|0)|0;Sb=B;B=0;if(Sb&1){Qa=139;break}B=0;Ia(40,Pb|0,149177,1)|0;Pb=B;B=0;if(Pb&1){Qa=139;break}B=0;wa(510,u|0,Eb|0);Pb=B;B=0;if(Pb&1){Qa=139;break}B=0;ya(424,u|0)|0;Pb=B;B=0;if(Pb&1){Pb=Rb()|0;Sb=Q;Yua(u);Tb=Sb;Ub=Pb;break}Yua(u);k[t>>2]=27468;k[Db>>2]=27488;k[Eb>>2]=27560;Yua(Kb);Ava(Eb);vva(Db);Pb=v+56|0;Sb=v+4|0;k[v>>2]=27524;k[Pb>>2]=27544;B=0;wa(508,v+56|0,Sb|0);Vb=B;B=0;if(Vb&1){Vb=Rb()|0;Wb=Q;Xb=Vb;vva(Pb);Qb(Xb|0)}k[v+128>>2]=0;k[v+132>>2]=-1;k[v>>2]=27468;k[Pb>>2]=27488;B=0;va(448,Sb|0);Vb=B;B=0;do if(Vb&1){Yb=Rb()|0;Zb=Q;_b=Yb}else{k[Sb>>2]=27560;Yb=v+36|0;k[Yb>>2]=0;k[Yb+4>>2]=0;k[Yb+8>>2]=0;k[Yb+12>>2]=0;k[v+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Sb|0,c|0);$b=B;B=0;if($b&1){$b=Rb()|0;ac=Q;Yua(c);Yua(Yb);Ava(Sb);Zb=ac;_b=$b;break}Yua(c);B=0;Ia(40,v|0,142540,29)|0;$b=B;B=0;do if($b&1)Qa=142;else{B=0;wa(510,w|0,Sb|0);ac=B;B=0;if(ac&1){Qa=142;break}B=0;ya(424,w|0)|0;ac=B;B=0;if(ac&1){ac=Rb()|0;bc=Q;Yua(w);cc=bc;dc=ac;break}Yua(w);k[v>>2]=27468;k[Pb>>2]=27488;k[Sb>>2]=27560;Yua(Yb);Ava(Sb);vva(Pb);a:do if((k[a>>2]|0)>0){ac=x+56|0;bc=x+4|0;ec=x+56|0;fc=x+128|0;gc=x+132|0;hc=x+36|0;ic=x+52|0;jc=a+16|0;kc=a+20|0;lc=0;while(1){k[x>>2]=27524;k[ac>>2]=27544;B=0;wa(508,ec|0,bc|0);mc=B;B=0;if(mc&1){Qa=107;break}k[fc>>2]=0;k[gc>>2]=-1;k[x>>2]=27468;k[ac>>2]=27488;B=0;va(448,bc|0);mc=B;B=0;if(mc&1){Qa=108;break}k[bc>>2]=27560;k[hc>>2]=0;k[hc+4>>2]=0;k[hc+8>>2]=0;k[hc+12>>2]=0;k[ic>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,bc|0,c|0);mc=B;B=0;if(mc&1){Qa=106;break}Yua(c);B=0;mc=Ia(40,x|0,142570,10)|0;nc=B;B=0;if(nc&1){Qa=145;break}B=0;nc=Xa(242,mc|0,lc|0)|0;mc=B;B=0;if(mc&1){Qa=145;break}B=0;mc=Ia(40,nc|0,160061,2)|0;nc=B;B=0;if(nc&1){Qa=145;break}nc=(i[(k[jc>>2]|0)+lc>>0]|0)!=0;B=0;oc=Ia(40,mc|0,(nc?159247:159252)|0,(nc?4:5)|0)|0;nc=B;B=0;if(nc&1){Qa=145;break}B=0;nc=Ia(40,oc|0,149175,1)|0;oc=B;B=0;if(oc&1){Qa=145;break}oc=(i[(k[kc>>2]|0)+lc>>0]|0)!=0;B=0;mc=Ia(40,nc|0,(oc?159247:159252)|0,(oc?4:5)|0)|0;oc=B;B=0;if(oc&1){Qa=145;break}B=0;Ia(40,mc|0,149177,1)|0;mc=B;B=0;if(mc&1){Qa=145;break}B=0;wa(510,y|0,bc|0);mc=B;B=0;if(mc&1){Qa=145;break}B=0;ya(424,y|0)|0;mc=B;B=0;if(mc&1){Qa=146;break}Yua(y);k[x>>2]=27468;k[ac>>2]=27488;k[bc>>2]=27560;Yua(hc);Ava(bc);vva(ac);lc=lc+1|0;if((lc|0)>=(k[a>>2]|0))break a}if((Qa|0)==106){lc=Rb()|0;kc=Q;Yua(c);Yua(hc);Ava(bc);pc=kc;qc=lc;Qa=109}else if((Qa|0)==107){lc=Rb()|0;rc=Q;sc=lc;vva(ac);Qb(sc|0)}else if((Qa|0)==108){lc=Rb()|0;pc=Q;qc=lc;Qa=109}else if((Qa|0)==145){lc=Rb()|0;tc=Q;uc=lc;Qa=147}else if((Qa|0)==146){lc=Rb()|0;kc=Q;Yua(y);tc=kc;uc=lc;Qa=147}if((Qa|0)==109){rc=pc;sc=qc;vva(ac);Qb(sc|0)}else if((Qa|0)==147){k[x>>2]=27468;k[ac>>2]=27488;k[bc>>2]=27560;Yua(hc);Ava(bc);vva(ac);vc=tc;wc=uc;Qb(wc|0)}}while(0);lc=z+56|0;kc=z+4|0;k[z>>2]=27524;k[lc>>2]=27544;B=0;wa(508,z+56|0,kc|0);jc=B;B=0;if(jc&1){jc=Rb()|0;xc=Q;yc=jc;vva(lc);Qb(yc|0)}k[z+128>>2]=0;k[z+132>>2]=-1;k[z>>2]=27468;k[lc>>2]=27488;B=0;va(448,kc|0);jc=B;B=0;do if(jc&1){ic=Rb()|0;zc=Q;Ac=ic}else{k[kc>>2]=27560;ic=z+36|0;k[ic>>2]=0;k[ic+4>>2]=0;k[ic+8>>2]=0;k[ic+12>>2]=0;k[z+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,kc|0,c|0);gc=B;B=0;if(gc&1){gc=Rb()|0;fc=Q;Yua(c);Yua(ic);Ava(kc);zc=fc;Ac=gc;break}Yua(c);B=0;gc=Ia(40,z|0,142581,12)|0;fc=B;B=0;do if(fc&1)Qa=178;else{B=0;ec=Xa(242,gc|0,k[eb>>2]|0)|0;mc=B;B=0;if(mc&1){Qa=178;break}B=0;Ia(40,ec|0,142594,4)|0;ec=B;B=0;if(ec&1){Qa=178;break}B=0;wa(510,A|0,kc|0);ec=B;B=0;if(ec&1){Qa=178;break}B=0;ya(424,A|0)|0;ec=B;B=0;if(ec&1){ec=Rb()|0;mc=Q;Yua(A);Bc=mc;Cc=ec;break}Yua(A);k[z>>2]=27468;k[lc>>2]=27488;k[kc>>2]=27560;Yua(ic);Ava(kc);vva(lc);ec=k[a>>2]|0;b:do if((ec|0)>0){mc=a+20|0;oc=C+56|0;nc=C+4|0;Dc=C+56|0;Ec=C+128|0;Fc=C+132|0;Gc=C+36|0;Hc=C+52|0;Ic=a+24|0;Jc=ec;Kc=0;while(1){if(!(i[(k[mc>>2]|0)+Kc>>0]|0))Lc=Jc;else{k[C>>2]=27524;k[oc>>2]=27544;B=0;wa(508,Dc|0,nc|0);Mc=B;B=0;if(Mc&1){Qa=168;break}k[Ec>>2]=0;k[Fc>>2]=-1;k[C>>2]=27468;k[oc>>2]=27488;B=0;va(448,nc|0);Mc=B;B=0;if(Mc&1){Qa=169;break}k[nc>>2]=27560;k[Gc>>2]=0;k[Gc+4>>2]=0;k[Gc+8>>2]=0;k[Gc+12>>2]=0;k[Hc>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,nc|0,c|0);Mc=B;B=0;if(Mc&1){Qa=167;break}Yua(c);B=0;Mc=Ia(40,C|0,149175,1)|0;Nc=B;B=0;if(Nc&1){Qa=181;break}B=0;Nc=Sa(1,Mc|0,+(+p[(k[Ic>>2]|0)+(Kc<<3)>>3]))|0;Mc=B;B=0;if(Mc&1){Qa=181;break}B=0;Ia(40,Nc|0,142599,2)|0;Nc=B;B=0;if(Nc&1){Qa=181;break}B=0;wa(510,D|0,nc|0);Nc=B;B=0;if(Nc&1){Qa=181;break}B=0;ya(424,D|0)|0;Nc=B;B=0;if(Nc&1){Qa=182;break}Yua(D);k[C>>2]=27468;k[oc>>2]=27488;k[nc>>2]=27560;Yua(Gc);Ava(nc);vva(oc);Lc=k[a>>2]|0}Kc=Kc+1|0;if((Kc|0)>=(Lc|0))break b;else Jc=Lc}if((Qa|0)==167){Jc=Rb()|0;Kc=Q;Yua(c);Yua(Gc);Ava(nc);Oc=Kc;Pc=Jc;Qa=170}else if((Qa|0)==168){Jc=Rb()|0;Qc=Q;Rc=Jc;vva(oc);Qb(Rc|0)}else if((Qa|0)==169){Jc=Rb()|0;Oc=Q;Pc=Jc;Qa=170}else if((Qa|0)==181){Jc=Rb()|0;Sc=Q;Tc=Jc;Qa=183}else if((Qa|0)==182){Jc=Rb()|0;Kc=Q;Yua(D);Sc=Kc;Tc=Jc;Qa=183}if((Qa|0)==170){Qc=Oc;Rc=Pc;vva(oc);Qb(Rc|0)}else if((Qa|0)==183){k[C>>2]=27468;k[oc>>2]=27488;k[nc>>2]=27560;Yua(Gc);Ava(nc);vva(oc);vc=Sc;wc=Tc;Qb(wc|0)}}while(0);ec=E+56|0;Jc=E+4|0;k[E>>2]=27524;k[ec>>2]=27544;B=0;wa(508,E+56|0,Jc|0);Kc=B;B=0;if(Kc&1){Kc=Rb()|0;Uc=Q;Vc=Kc;vva(ec);Qb(Vc|0)}k[E+128>>2]=0;k[E+132>>2]=-1;k[E>>2]=27468;k[ec>>2]=27488;B=0;va(448,Jc|0);Kc=B;B=0;do if(Kc&1){Ic=Rb()|0;Wc=Q;Xc=Ic}else{k[Jc>>2]=27560;Ic=E+36|0;k[Ic>>2]=0;k[Ic+4>>2]=0;k[Ic+8>>2]=0;k[Ic+12>>2]=0;k[E+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Jc|0,c|0);Hc=B;B=0;if(Hc&1){Hc=Rb()|0;Fc=Q;Yua(c);Yua(Ic);Ava(Jc);Wc=Fc;Xc=Hc;break}Yua(c);B=0;Ia(40,E|0,149177,1)|0;Hc=B;B=0;do if(Hc&1)Qa=224;else{B=0;wa(510,F|0,Jc|0);Fc=B;B=0;if(Fc&1){Qa=224;break}B=0;ya(424,F|0)|0;Fc=B;B=0;if(Fc&1){Fc=Rb()|0;Ec=Q;Yua(F);Yc=Ec;Zc=Fc;break}Yua(F);k[E>>2]=27468;k[ec>>2]=27488;k[Jc>>2]=27560;Yua(Ic);Ava(Jc);vva(ec);Fc=a+28|0;c:do if(!(k[Fc>>2]|0)){Ec=M+56|0;Dc=M+4|0;k[M>>2]=27524;k[Ec>>2]=27544;B=0;wa(508,M+56|0,Dc|0);mc=B;B=0;if(mc&1){mc=Rb()|0;_c=Q;$c=mc;vva(Ec);Qb($c|0)}k[M+128>>2]=0;k[M+132>>2]=-1;k[M>>2]=27468;k[Ec>>2]=27488;B=0;va(448,Dc|0);mc=B;B=0;do if(mc&1){Nc=Rb()|0;ad=Q;bd=Nc}else{k[Dc>>2]=27560;Nc=M+36|0;k[Nc>>2]=0;k[Nc+4>>2]=0;k[Nc+8>>2]=0;k[Nc+12>>2]=0;k[M+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Dc|0,c|0);Mc=B;B=0;if(Mc&1){Mc=Rb()|0;cd=Q;Yua(c);Yua(Nc);Ava(Dc);ad=cd;bd=Mc;break}Yua(c);B=0;Ia(40,M|0,142616,17)|0;Mc=B;B=0;do if(!(Mc&1)){B=0;wa(510,N|0,Dc|0);cd=B;B=0;if(cd&1){Qa=260;break}B=0;ya(424,N|0)|0;cd=B;B=0;if(cd&1){cd=Rb()|0;dd=Q;Yua(N);ed=dd;fd=cd;break}else{Yua(N);k[M>>2]=27468;k[Ec>>2]=27488;k[Dc>>2]=27560;Yua(Nc);Ava(Dc);vva(Ec);break c}}else Qa=260;while(0);if((Qa|0)==260){Mc=Rb()|0;ed=Q;fd=Mc}k[M>>2]=27468;k[Ec>>2]=27488;k[Dc>>2]=27560;Yua(Nc);Ava(Dc);vva(Ec);vc=ed;wc=fd;Qb(wc|0)}while(0);_c=ad;$c=bd;vva(Ec);Qb($c|0)}else{Dc=G+56|0;mc=G+4|0;k[G>>2]=27524;k[Dc>>2]=27544;B=0;wa(508,G+56|0,mc|0);Mc=B;B=0;if(Mc&1){Mc=Rb()|0;gd=Q;hd=Mc;vva(Dc);Qb(hd|0)}k[G+128>>2]=0;k[G+132>>2]=-1;k[G>>2]=27468;k[Dc>>2]=27488;B=0;va(448,mc|0);Mc=B;B=0;do if(Mc&1){cd=Rb()|0;id=Q;jd=cd}else{k[mc>>2]=27560;cd=G+36|0;k[cd>>2]=0;k[cd+4>>2]=0;k[cd+8>>2]=0;k[cd+12>>2]=0;k[G+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,mc|0,c|0);dd=B;B=0;if(dd&1){dd=Rb()|0;kd=Q;Yua(c);Yua(cd);Ava(mc);id=kd;jd=dd;break}Yua(c);B=0;Ia(40,G|0,142602,13)|0;dd=B;B=0;do if(dd&1)Qa=227;else{B=0;wa(510,H|0,mc|0);kd=B;B=0;if(kd&1){Qa=227;break}B=0;ya(424,H|0)|0;kd=B;B=0;if(kd&1){kd=Rb()|0;ld=Q;Yua(H);md=ld;nd=kd;break}Yua(H);k[G>>2]=27468;k[Dc>>2]=27488;k[mc>>2]=27560;Yua(cd);Ava(mc);vva(Dc);d:do if((k[a>>2]|0)>0){kd=I+56|0;ld=I+4|0;od=I+56|0;pd=I+128|0;qd=I+132|0;rd=I+36|0;sd=I+52|0;td=0;while(1){k[I>>2]=27524;k[kd>>2]=27544;B=0;wa(508,od|0,ld|0);ud=B;B=0;if(ud&1){Qa=214;break}k[pd>>2]=0;k[qd>>2]=-1;k[I>>2]=27468;k[kd>>2]=27488;B=0;va(448,ld|0);ud=B;B=0;if(ud&1){Qa=215;break}k[ld>>2]=27560;k[rd>>2]=0;k[rd+4>>2]=0;k[rd+8>>2]=0;k[rd+12>>2]=0;k[sd>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ld|0,c|0);ud=B;B=0;if(ud&1){Qa=213;break}Yua(c);B=0;ud=Ia(40,I|0,149175,1)|0;vd=B;B=0;if(vd&1){Qa=230;break}B=0;vd=Xa(242,ud|0,k[(k[Fc>>2]|0)+(td<<2)>>2]|0)|0;ud=B;B=0;if(ud&1){Qa=230;break}B=0;Ia(40,vd|0,142599,2)|0;vd=B;B=0;if(vd&1){Qa=230;break}B=0;wa(510,J|0,ld|0);vd=B;B=0;if(vd&1){Qa=230;break}B=0;ya(424,J|0)|0;vd=B;B=0;if(vd&1){Qa=231;break}Yua(J);k[I>>2]=27468;k[kd>>2]=27488;k[ld>>2]=27560;Yua(rd);Ava(ld);vva(kd);td=td+1|0;if((td|0)>=(k[a>>2]|0))break d}if((Qa|0)==213){td=Rb()|0;sd=Q;Yua(c);Yua(rd);Ava(ld);wd=sd;xd=td;Qa=216}else if((Qa|0)==214){td=Rb()|0;yd=Q;zd=td;vva(kd);Qb(zd|0)}else if((Qa|0)==215){td=Rb()|0;wd=Q;xd=td;Qa=216}else if((Qa|0)==230){td=Rb()|0;Ad=Q;Bd=td;Qa=232}else if((Qa|0)==231){td=Rb()|0;sd=Q;Yua(J);Ad=sd;Bd=td;Qa=232}if((Qa|0)==216){yd=wd;zd=xd;vva(kd);Qb(zd|0)}else if((Qa|0)==232){k[I>>2]=27468;k[kd>>2]=27488;k[ld>>2]=27560;Yua(rd);Ava(ld);vva(kd);vc=Ad;wc=Bd;Qb(wc|0)}}while(0);td=K+56|0;sd=K+4|0;k[K>>2]=27524;k[td>>2]=27544;B=0;wa(508,K+56|0,sd|0);qd=B;B=0;if(qd&1){qd=Rb()|0;Cd=Q;Dd=qd;vva(td);Qb(Dd|0)}k[K+128>>2]=0;k[K+132>>2]=-1;k[K>>2]=27468;k[td>>2]=27488;B=0;va(448,sd|0);qd=B;B=0;do if(qd&1){pd=Rb()|0;Ed=Q;Fd=pd}else{k[sd>>2]=27560;pd=K+36|0;k[pd>>2]=0;k[pd+4>>2]=0;k[pd+8>>2]=0;k[pd+12>>2]=0;k[K+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,sd|0,c|0);od=B;B=0;if(od&1){od=Rb()|0;vd=Q;Yua(c);Yua(pd);Ava(sd);Ed=vd;Fd=od;break}Yua(c);B=0;Ia(40,K|0,149177,1)|0;od=B;B=0;do if(!(od&1)){B=0;wa(510,L|0,sd|0);vd=B;B=0;if(vd&1){Qa=245;break}B=0;ya(424,L|0)|0;vd=B;B=0;if(vd&1){vd=Rb()|0;ud=Q;Yua(L);Gd=ud;Hd=vd;break}else{Yua(L);k[K>>2]=27468;k[td>>2]=27488;k[sd>>2]=27560;Yua(pd);Ava(sd);vva(td);break c}}else Qa=245;while(0);if((Qa|0)==245){od=Rb()|0;Gd=Q;Hd=od}k[K>>2]=27468;k[td>>2]=27488;k[sd>>2]=27560;Yua(pd);Ava(sd);vva(td);vc=Gd;wc=Hd;Qb(wc|0)}while(0);Cd=Ed;Dd=Fd;vva(td);Qb(Dd|0)}while(0);if((Qa|0)==227){dd=Rb()|0;md=Q;nd=dd}k[G>>2]=27468;k[Dc>>2]=27488;k[mc>>2]=27560;Yua(cd);Ava(mc);vva(Dc);vc=md;wc=nd;Qb(wc|0)}while(0);gd=id;hd=jd;vva(Dc);Qb(hd|0)}while(0);Fc=O+56|0;mc=O+4|0;k[O>>2]=27524;k[Fc>>2]=27544;B=0;wa(508,O+56|0,mc|0);Mc=B;B=0;if(Mc&1){Mc=Rb()|0;Id=Q;Jd=Mc;vva(Fc);Qb(Jd|0)}k[O+128>>2]=0;k[O+132>>2]=-1;k[O>>2]=27468;k[Fc>>2]=27488;B=0;va(448,mc|0);Mc=B;B=0;do if(Mc&1){Ec=Rb()|0;Kd=Q;Ld=Ec}else{k[mc>>2]=27560;Ec=O+36|0;k[Ec>>2]=0;k[Ec+4>>2]=0;k[Ec+8>>2]=0;k[Ec+12>>2]=0;k[O+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,mc|0,c|0);dd=B;B=0;if(dd&1){dd=Rb()|0;Nc=Q;Yua(c);Yua(Ec);Ava(mc);Kd=Nc;Ld=dd;break}Yua(c);B=0;dd=Ia(40,O|0,142634,14)|0;Nc=B;B=0;do if(Nc&1)Qa=292;else{B=0;sd=Xa(242,dd|0,k[a>>2]|0)|0;qd=B;B=0;if(qd&1){Qa=292;break}B=0;Ia(40,sd|0,142594,4)|0;sd=B;B=0;if(sd&1){Qa=292;break}B=0;wa(510,P|0,mc|0);sd=B;B=0;if(sd&1){Qa=292;break}B=0;ya(424,P|0)|0;sd=B;B=0;if(sd&1){sd=Rb()|0;qd=Q;Yua(P);Md=qd;Nd=sd;break}Yua(P);k[O>>2]=27468;k[Fc>>2]=27488;k[mc>>2]=27560;Yua(Ec);Ava(mc);vva(Fc);e:do if((k[a>>2]|0)>0){sd=R+56|0;qd=R+4|0;od=R+56|0;kd=R+128|0;ld=R+132|0;rd=R+36|0;vd=R+52|0;ud=a+32|0;Od=0;while(1){k[R>>2]=27524;k[sd>>2]=27544;B=0;wa(508,od|0,qd|0);Pd=B;B=0;if(Pd&1){Qa=282;break}k[kd>>2]=0;k[ld>>2]=-1;k[R>>2]=27468;k[sd>>2]=27488;B=0;va(448,qd|0);Pd=B;B=0;if(Pd&1){Qa=283;break}k[qd>>2]=27560;k[rd>>2]=0;k[rd+4>>2]=0;k[rd+8>>2]=0;k[rd+12>>2]=0;k[vd>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,qd|0,c|0);Pd=B;B=0;if(Pd&1){Qa=281;break}Yua(c);B=0;Pd=Ia(40,R|0,149175,1)|0;Qd=B;B=0;if(Qd&1){Qa=295;break}B=0;Qd=Xa(242,Pd|0,k[(k[ud>>2]|0)+(Od<<2)>>2]|0)|0;Pd=B;B=0;if(Pd&1){Qa=295;break}B=0;Ia(40,Qd|0,142599,2)|0;Qd=B;B=0;if(Qd&1){Qa=295;break}B=0;wa(510,S|0,qd|0);Qd=B;B=0;if(Qd&1){Qa=295;break}B=0;ya(424,S|0)|0;Qd=B;B=0;if(Qd&1){Qa=296;break}Yua(S);k[R>>2]=27468;k[sd>>2]=27488;k[qd>>2]=27560;Yua(rd);Ava(qd);vva(sd);Od=Od+1|0;if((Od|0)>=(k[a>>2]|0))break e}if((Qa|0)==281){Od=Rb()|0;ud=Q;Yua(c);Yua(rd);Ava(qd);Rd=ud;Sd=Od;Qa=284}else if((Qa|0)==282){Od=Rb()|0;Td=Q;Ud=Od;vva(sd);Qb(Ud|0)}else if((Qa|0)==283){Od=Rb()|0;Rd=Q;Sd=Od;Qa=284}else if((Qa|0)==295){Od=Rb()|0;Vd=Q;Wd=Od;Qa=297}else if((Qa|0)==296){Od=Rb()|0;ud=Q;Yua(S);Vd=ud;Wd=Od;Qa=297}if((Qa|0)==284){Td=Rd;Ud=Sd;vva(sd);Qb(Ud|0)}else if((Qa|0)==297){k[R>>2]=27468;k[sd>>2]=27488;k[qd>>2]=27560;Yua(rd);Ava(qd);vva(sd);vc=Vd;wc=Wd;Qb(wc|0)}}while(0);cd=T+56|0;Od=T+4|0;k[T>>2]=27524;k[cd>>2]=27544;B=0;wa(508,T+56|0,Od|0);ud=B;B=0;if(ud&1){ud=Rb()|0;Xd=Q;Yd=ud;vva(cd);Qb(Yd|0)}k[T+128>>2]=0;k[T+132>>2]=-1;k[T>>2]=27468;k[cd>>2]=27488;B=0;va(448,Od|0);ud=B;B=0;do if(ud&1){vd=Rb()|0;Zd=Q;_d=vd}else{k[Od>>2]=27560;vd=T+36|0;k[vd>>2]=0;k[vd+4>>2]=0;k[vd+8>>2]=0;k[vd+12>>2]=0;k[T+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Od|0,c|0);ld=B;B=0;if(ld&1){ld=Rb()|0;kd=Q;Yua(c);Yua(vd);Ava(Od);Zd=kd;_d=ld;break}Yua(c);B=0;Ia(40,T|0,149177,1)|0;ld=B;B=0;do if(ld&1)Qa=338;else{B=0;wa(510,U|0,Od|0);kd=B;B=0;if(kd&1){Qa=338;break}B=0;ya(424,U|0)|0;kd=B;B=0;if(kd&1){kd=Rb()|0;od=Q;Yua(U);$d=od;ae=kd;break}Yua(U);k[T>>2]=27468;k[cd>>2]=27488;k[Od>>2]=27560;Yua(vd);Ava(Od);vva(cd);kd=V+56|0;od=V+4|0;k[V>>2]=27524;k[kd>>2]=27544;B=0;wa(508,V+56|0,od|0);td=B;B=0;if(td&1){td=Rb()|0;be=Q;ce=td;vva(kd);Qb(ce|0)}k[V+128>>2]=0;k[V+132>>2]=-1;k[V>>2]=27468;k[kd>>2]=27488;B=0;va(448,od|0);td=B;B=0;do if(td&1){Qd=Rb()|0;de=Q;ee=Qd}else{k[od>>2]=27560;Qd=V+36|0;k[Qd>>2]=0;k[Qd+4>>2]=0;k[Qd+8>>2]=0;k[Qd+12>>2]=0;k[V+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,od|0,c|0);Pd=B;B=0;if(Pd&1){Pd=Rb()|0;fe=Q;Yua(c);Yua(Qd);Ava(od);de=fe;ee=Pd;break}Yua(c);B=0;Pd=Ia(40,V|0,142649,14)|0;fe=B;B=0;do if(fe&1)Qa=341;else{B=0;ge=Xa(242,Pd|0,k[Ra>>2]|0)|0;he=B;B=0;if(he&1){Qa=341;break}B=0;Ia(40,ge|0,142594,4)|0;ge=B;B=0;if(ge&1){Qa=341;break}B=0;wa(510,W|0,od|0);ge=B;B=0;if(ge&1){Qa=341;break}B=0;ya(424,W|0)|0;ge=B;B=0;if(ge&1){ge=Rb()|0;he=Q;Yua(W);ie=he;je=ge;break}Yua(W);k[V>>2]=27468;k[kd>>2]=27488;k[od>>2]=27560;Yua(Qd);Ava(od);vva(kd);f:do if((k[Ra>>2]|0)>0){ge=X+56|0;he=X+4|0;ke=X+56|0;le=X+128|0;me=X+132|0;ne=X+36|0;oe=X+52|0;pe=a+36|0;qe=0;while(1){k[X>>2]=27524;k[ge>>2]=27544;B=0;wa(508,ke|0,he|0);re=B;B=0;if(re&1){Qa=328;break}k[le>>2]=0;k[me>>2]=-1;k[X>>2]=27468;k[ge>>2]=27488;B=0;va(448,he|0);re=B;B=0;if(re&1){Qa=329;break}k[he>>2]=27560;k[ne>>2]=0;k[ne+4>>2]=0;k[ne+8>>2]=0;k[ne+12>>2]=0;k[oe>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,he|0,c|0);re=B;B=0;if(re&1){Qa=327;break}Yua(c);B=0;re=Ia(40,X|0,149175,1)|0;se=B;B=0;if(se&1){Qa=344;break}B=0;se=Xa(242,re|0,k[(k[pe>>2]|0)+(qe<<2)>>2]|0)|0;re=B;B=0;if(re&1){Qa=344;break}B=0;Ia(40,se|0,142599,2)|0;se=B;B=0;if(se&1){Qa=344;break}B=0;wa(510,Y|0,he|0);se=B;B=0;if(se&1){Qa=344;break}B=0;ya(424,Y|0)|0;se=B;B=0;if(se&1){Qa=345;break}Yua(Y);k[X>>2]=27468;k[ge>>2]=27488;k[he>>2]=27560;Yua(ne);Ava(he);vva(ge);qe=qe+1|0;if((qe|0)>=(k[Ra>>2]|0))break f}if((Qa|0)==327){qe=Rb()|0;pe=Q;Yua(c);Yua(ne);Ava(he);te=pe;ue=qe;Qa=330}else if((Qa|0)==328){qe=Rb()|0;ve=Q;we=qe;vva(ge);Qb(we|0)}else if((Qa|0)==329){qe=Rb()|0;te=Q;ue=qe;Qa=330}else if((Qa|0)==344){qe=Rb()|0;xe=Q;ye=qe;Qa=346}else if((Qa|0)==345){qe=Rb()|0;pe=Q;Yua(Y);xe=pe;ye=qe;Qa=346}if((Qa|0)==330){ve=te;we=ue;vva(ge);Qb(we|0)}else if((Qa|0)==346){k[X>>2]=27468;k[ge>>2]=27488;k[he>>2]=27560;Yua(ne);Ava(he);vva(ge);vc=xe;wc=ye;Qb(wc|0)}}while(0);qe=Z+56|0;pe=Z+4|0;k[Z>>2]=27524;k[qe>>2]=27544;B=0;wa(508,Z+56|0,pe|0);oe=B;B=0;if(oe&1){oe=Rb()|0;ze=Q;Ae=oe;vva(qe);Qb(Ae|0)}k[Z+128>>2]=0;k[Z+132>>2]=-1;k[Z>>2]=27468;k[qe>>2]=27488;B=0;va(448,pe|0);oe=B;B=0;do if(oe&1){me=Rb()|0;Be=Q;Ce=me}else{k[pe>>2]=27560;me=Z+36|0;k[me>>2]=0;k[me+4>>2]=0;k[me+8>>2]=0;k[me+12>>2]=0;k[Z+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,pe|0,c|0);le=B;B=0;if(le&1){le=Rb()|0;ke=Q;Yua(c);Yua(me);Ava(pe);Be=ke;Ce=le;break}Yua(c);B=0;Ia(40,Z|0,149177,1)|0;le=B;B=0;do if(le&1)Qa=387;else{B=0;wa(510,_|0,pe|0);ke=B;B=0;if(ke&1){Qa=387;break}B=0;ya(424,_|0)|0;ke=B;B=0;if(ke&1){ke=Rb()|0;se=Q;Yua(_);De=se;Ee=ke;break}Yua(_);k[Z>>2]=27468;k[qe>>2]=27488;k[pe>>2]=27560;Yua(me);Ava(pe);vva(qe);ke=$+56|0;se=$+4|0;k[$>>2]=27524;k[ke>>2]=27544;B=0;wa(508,$+56|0,se|0);re=B;B=0;if(re&1){re=Rb()|0;Fe=Q;Ge=re;vva(ke);Qb(Ge|0)}k[$+128>>2]=0;k[$+132>>2]=-1;k[$>>2]=27468;k[ke>>2]=27488;B=0;va(448,se|0);re=B;B=0;do if(re&1){He=Rb()|0;Ie=Q;Je=He}else{k[se>>2]=27560;He=$+36|0;k[He>>2]=0;k[He+4>>2]=0;k[He+8>>2]=0;k[He+12>>2]=0;k[$+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,se|0,c|0);Ke=B;B=0;if(Ke&1){Ke=Rb()|0;Le=Q;Yua(c);Yua(He);Ava(se);Ie=Le;Je=Ke;break}Yua(c);B=0;Ke=Ia(40,$|0,142664,14)|0;Le=B;B=0;do if(Le&1)Qa=390;else{B=0;Me=Xa(242,Ke|0,k[eb>>2]|0)|0;Ne=B;B=0;if(Ne&1){Qa=390;break}B=0;Ia(40,Me|0,142594,4)|0;Me=B;B=0;if(Me&1){Qa=390;break}B=0;wa(510,aa|0,se|0);Me=B;B=0;if(Me&1){Qa=390;break}B=0;ya(424,aa|0)|0;Me=B;B=0;if(Me&1){Me=Rb()|0;Ne=Q;Yua(aa);Oe=Ne;Pe=Me;break}Yua(aa);k[$>>2]=27468;k[ke>>2]=27488;k[se>>2]=27560;Yua(He);Ava(se);vva(ke);g:do if((k[eb>>2]|0)>0){Me=ba+56|0;Ne=ba+4|0;Qe=ba+56|0;Re=ba+128|0;Se=ba+132|0;Te=ba+36|0;Ue=ba+52|0;Ve=a+40|0;We=0;while(1){k[ba>>2]=27524;k[Me>>2]=27544;B=0;wa(508,Qe|0,Ne|0);Xe=B;B=0;if(Xe&1){Qa=377;break}k[Re>>2]=0;k[Se>>2]=-1;k[ba>>2]=27468;k[Me>>2]=27488;B=0;va(448,Ne|0);Xe=B;B=0;if(Xe&1){Qa=378;break}k[Ne>>2]=27560;k[Te>>2]=0;k[Te+4>>2]=0;k[Te+8>>2]=0;k[Te+12>>2]=0;k[Ue>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ne|0,c|0);Xe=B;B=0;if(Xe&1){Qa=376;break}Yua(c);B=0;Xe=Ia(40,ba|0,149175,1)|0;Ye=B;B=0;if(Ye&1){Qa=393;break}B=0;Ye=Xa(242,Xe|0,k[(k[Ve>>2]|0)+(We<<2)>>2]|0)|0;Xe=B;B=0;if(Xe&1){Qa=393;break}B=0;Ia(40,Ye|0,142599,2)|0;Ye=B;B=0;if(Ye&1){Qa=393;break}B=0;wa(510,ca|0,Ne|0);Ye=B;B=0;if(Ye&1){Qa=393;break}B=0;ya(424,ca|0)|0;Ye=B;B=0;if(Ye&1){Qa=394;break}Yua(ca);k[ba>>2]=27468;k[Me>>2]=27488;k[Ne>>2]=27560;Yua(Te);Ava(Ne);vva(Me);We=We+1|0;if((We|0)>=(k[eb>>2]|0))break g}if((Qa|0)==376){We=Rb()|0;Ve=Q;Yua(c);Yua(Te);Ava(Ne);Ze=Ve;_e=We;Qa=379}else if((Qa|0)==377){We=Rb()|0;$e=Q;af=We;vva(Me);Qb(af|0)}else if((Qa|0)==378){We=Rb()|0;Ze=Q;_e=We;Qa=379}else if((Qa|0)==393){We=Rb()|0;bf=Q;cf=We;Qa=395}else if((Qa|0)==394){We=Rb()|0;Ve=Q;Yua(ca);bf=Ve;cf=We;Qa=395}if((Qa|0)==379){$e=Ze;af=_e;vva(Me);Qb(af|0)}else if((Qa|0)==395){k[ba>>2]=27468;k[Me>>2]=27488;k[Ne>>2]=27560;Yua(Te);Ava(Ne);vva(Me);vc=bf;wc=cf;Qb(wc|0)}}while(0);We=da+56|0;Ve=da+4|0;k[da>>2]=27524;k[We>>2]=27544;B=0;wa(508,da+56|0,Ve|0);Ue=B;B=0;if(Ue&1){Ue=Rb()|0;df=Q;ef=Ue;vva(We);Qb(ef|0)}k[da+128>>2]=0;k[da+132>>2]=-1;k[da>>2]=27468;k[We>>2]=27488;B=0;va(448,Ve|0);Ue=B;B=0;do if(Ue&1){Se=Rb()|0;ff=Q;gf=Se}else{k[Ve>>2]=27560;Se=da+36|0;k[Se>>2]=0;k[Se+4>>2]=0;k[Se+8>>2]=0;k[Se+12>>2]=0;k[da+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ve|0,c|0);Re=B;B=0;if(Re&1){Re=Rb()|0;Qe=Q;Yua(c);Yua(Se);Ava(Ve);ff=Qe;gf=Re;break}Yua(c);B=0;Ia(40,da|0,149177,1)|0;Re=B;B=0;do if(!(Re&1)){B=0;wa(510,ea|0,Ve|0);Qe=B;B=0;if(Qe&1){Qa=408;break}B=0;ya(424,ea|0)|0;Qe=B;B=0;if(Qe&1){Qe=Rb()|0;Ye=Q;Yua(ea);hf=Ye;jf=Qe;break}else{Yua(ea);k[da>>2]=27468;k[We>>2]=27488;k[Ve>>2]=27560;Yua(Se);Ava(Ve);vva(We);r=b;return}}else Qa=408;while(0);if((Qa|0)==408){Re=Rb()|0;hf=Q;jf=Re}k[da>>2]=27468;k[We>>2]=27488;k[Ve>>2]=27560;Yua(Se);Ava(Ve);vva(We);vc=hf;wc=jf;Qb(wc|0)}while(0);df=ff;ef=gf;vva(We);Qb(ef|0)}while(0);if((Qa|0)==390){Ke=Rb()|0;Oe=Q;Pe=Ke}k[$>>2]=27468;k[ke>>2]=27488;k[se>>2]=27560;Yua(He);Ava(se);vva(ke);vc=Oe;wc=Pe;Qb(wc|0)}while(0);Fe=Ie;Ge=Je;vva(ke);Qb(Ge|0)}while(0);if((Qa|0)==387){le=Rb()|0;De=Q;Ee=le}k[Z>>2]=27468;k[qe>>2]=27488;k[pe>>2]=27560;Yua(me);Ava(pe);vva(qe);vc=De;wc=Ee;Qb(wc|0)}while(0);ze=Be;Ae=Ce;vva(qe);Qb(Ae|0)}while(0);if((Qa|0)==341){Pd=Rb()|0;ie=Q;je=Pd}k[V>>2]=27468;k[kd>>2]=27488;k[od>>2]=27560;Yua(Qd);Ava(od);vva(kd);vc=ie;wc=je;Qb(wc|0)}while(0);be=de;ce=ee;vva(kd);Qb(ce|0)}while(0);if((Qa|0)==338){ld=Rb()|0;$d=Q;ae=ld}k[T>>2]=27468;k[cd>>2]=27488;k[Od>>2]=27560;Yua(vd);Ava(Od);vva(cd);vc=$d;wc=ae;Qb(wc|0)}while(0);Xd=Zd;Yd=_d;vva(cd);Qb(Yd|0)}while(0);if((Qa|0)==292){dd=Rb()|0;Md=Q;Nd=dd}k[O>>2]=27468;k[Fc>>2]=27488;k[mc>>2]=27560;Yua(Ec);Ava(mc);vva(Fc);vc=Md;wc=Nd;Qb(wc|0)}while(0);Id=Kd;Jd=Ld;vva(Fc);Qb(Jd|0)}while(0);if((Qa|0)==224){Hc=Rb()|0;Yc=Q;Zc=Hc}k[E>>2]=27468;k[ec>>2]=27488;k[Jc>>2]=27560;Yua(Ic);Ava(Jc);vva(ec);vc=Yc;wc=Zc;Qb(wc|0)}while(0);Uc=Wc;Vc=Xc;vva(ec);Qb(Vc|0)}while(0);if((Qa|0)==178){gc=Rb()|0;Bc=Q;Cc=gc}k[z>>2]=27468;k[lc>>2]=27488;k[kc>>2]=27560;Yua(ic);Ava(kc);vva(lc);vc=Bc;wc=Cc;Qb(wc|0)}while(0);xc=zc;yc=Ac;vva(lc);Qb(yc|0)}while(0);if((Qa|0)==142){$b=Rb()|0;cc=Q;dc=$b}k[v>>2]=27468;k[Pb>>2]=27488;k[Sb>>2]=27560;Yua(Yb);Ava(Sb);vva(Pb);vc=cc;wc=dc;Qb(wc|0)}while(0);Wb=Zb;Xb=_b;vva(Pb);Qb(Xb|0)}while(0);if((Qa|0)==139){Nb=Rb()|0;Tb=Q;Ub=Nb}k[t>>2]=27468;k[Db>>2]=27488;k[Eb>>2]=27560;Yua(Kb);Ava(Eb);vva(Db);vc=Tb;wc=Ub;Qb(wc|0)}while(0);Ib=Lb;Jb=Mb;vva(Db);Qb(Jb|0)}while(0);if((Qa|0)==136){Bb=Rb()|0;Fb=Q;Gb=Bb}k[q>>2]=27468;k[rb>>2]=27488;k[sb>>2]=27560;Yua(yb);Ava(sb);vva(rb);vc=Fb;wc=Gb;Qb(wc|0)}while(0);wb=zb;xb=Ab;vva(rb);Qb(xb|0)}while(0);if((Qa|0)==133){pb=Rb()|0;tb=Q;ub=pb}k[n>>2]=27468;k[fb>>2]=27488;k[gb>>2]=27560;Yua(mb);Ava(gb);vva(fb);vc=tb;wc=ub;Qb(wc|0)}while(0);kb=nb;lb=ob;vva(fb);Qb(lb|0)}while(0);if((Qa|0)==130){cb=Rb()|0;hb=Q;ib=cb}k[l>>2]=27468;k[Ta>>2]=27488;k[Ua>>2]=27560;Yua($a);Ava(Ua);vva(Ta);vc=hb;wc=ib;Qb(wc|0)}while(0);Za=ab;_a=bb;vva(Ta);Qb(_a|0)}while(0);if((Qa|0)==127){Oa=Rb()|0;Va=Q;Wa=Oa}k[h>>2]=27468;k[Da>>2]=27488;k[Ea>>2]=27560;Yua(La);Ava(Ea);vva(Da);vc=Va;wc=Wa;Qb(wc|0)}while(0);Ja=Ma;Ka=Na;vva(Da);Qb(Ka|0)}else Qa=124;while(0);if((Qa|0)==124){Ba=Rb()|0;Fa=Q;Ga=Ba}k[f>>2]=27468;k[oa>>2]=27488;k[pa>>2]=27560;Yua(xa);Ava(pa);vva(oa);vc=Fa;wc=Ga;Qb(wc|0)}while(0);ta=za;ua=Aa;vva(oa);Qb(ua|0)}else Qa=121;while(0);if((Qa|0)==121){na=Rb()|0;qa=Q;ra=na}k[d>>2]=27468;k[fa>>2]=27488;k[ga>>2]=27560;Yua(ka);Ava(ga);vva(fa);vc=qa;wc=ra;Qb(wc|0)}while(0);ia=la;ja=ma;vva(fa);Qb(ja|0)}function tla(a){a=a|0;var b=0,c=0,d=0,e=0;i[a+13>>0]=0;b=k[a>>2]|0;if((b|0)<=0)return;c=k[a+16>>2]|0;d=k[a+20>>2]|0;e=k[a+24>>2]|0;a=0;do{i[c+a>>0]=0;i[d+a>>0]=1;p[e+(a<<3)>>3]=0.0;a=a+1|0}while((a|0)<(b|0));return}function ula(a){a=a|0;var b=0,c=0,d=0,e=0;i[a+13>>0]=1;b=k[a>>2]|0;if((b|0)<=0)return;c=k[a+16>>2]|0;d=k[a+20>>2]|0;e=k[a+24>>2]|0;a=0;do{i[c+a>>0]=1;i[d+a>>0]=0;p[e+(a<<3)>>3]=0.0;a=a+1|0}while((a|0)<(b|0));return}function vla(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;e=r;r=r+192|0;f=e+176|0;g=e+40|0;h=e+24|0;j=e+12|0;m=e;switch(d|0){case 0:{d=k[b>>2]|0;n=l[a>>0]|l[a+1>>0]<<8|l[a+2>>0]<<16|l[a+3>>0]<<24;i[d>>0]=n;i[d+1>>0]=n>>8;i[d+2>>0]=n>>16;i[d+3>>0]=n>>24;n=(k[b>>2]|0)+4|0;k[b>>2]=n;d=a+4|0;o=l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24;i[n>>0]=o;i[n+1>>0]=o>>8;i[n+2>>0]=o>>16;i[n+3>>0]=o>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;n=a+8|0;p=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[o>>0]=p;i[o+1>>0]=p>>8;i[o+2>>0]=p>>16;i[o+3>>0]=p>>24;p=(k[b>>2]|0)+4|0;k[b>>2]=p;i[p>>0]=i[a+12>>0]|0;p=(k[b>>2]|0)+1|0;k[b>>2]=p;i[p>>0]=i[a+13>>0]|0;p=(k[b>>2]|0)+1|0;k[b>>2]=p;i[p>>0]=i[a+14>>0]|0;p=(k[b>>2]|0)+1|0;k[b>>2]=p;o=a+16|0;q=(k[o>>2]|0)==0;i[p>>0]=q&1;p=(k[b>>2]|0)+1|0;k[b>>2]=p;if(q)s=p;else{TEa(p|0,k[o>>2]|0,k[a>>2]|0)|0;o=(k[b>>2]|0)+(k[a>>2]|0)|0;k[b>>2]=o;s=o}o=a+20|0;p=(k[o>>2]|0)==0;i[s>>0]=p&1;s=(k[b>>2]|0)+1|0;k[b>>2]=s;if(p)t=s;else{TEa(s|0,k[o>>2]|0,k[a>>2]|0)|0;o=(k[b>>2]|0)+(k[a>>2]|0)|0;k[b>>2]=o;t=o}o=a+24|0;s=(k[o>>2]|0)==0;i[t>>0]=s&1;t=(k[b>>2]|0)+1|0;k[b>>2]=t;if(s)u=t;else{TEa(t|0,k[o>>2]|0,k[a>>2]<<3|0)|0;o=(k[b>>2]|0)+(k[a>>2]<<3)|0;k[b>>2]=o;u=o}o=a+28|0;t=(k[o>>2]|0)==0;i[u>>0]=t&1;u=(k[b>>2]|0)+1|0;k[b>>2]=u;if(t)v=u;else{TEa(u|0,k[o>>2]|0,k[a>>2]<<2|0)|0;o=(k[b>>2]|0)+(k[a>>2]<<2)|0;k[b>>2]=o;v=o}o=a+32|0;u=(k[o>>2]|0)==0;i[v>>0]=u&1;v=(k[b>>2]|0)+1|0;k[b>>2]=v;if(u)w=v;else{TEa(v|0,k[o>>2]|0,k[a>>2]<<2|0)|0;o=(k[b>>2]|0)+(k[a>>2]<<2)|0;k[b>>2]=o;w=o}o=a+36|0;v=(k[o>>2]|0)==0;i[w>>0]=v&1;w=(k[b>>2]|0)+1|0;k[b>>2]=w;if(v)x=w;else{TEa(w|0,k[o>>2]|0,k[d>>2]<<2|0)|0;o=(k[b>>2]|0)+(k[d>>2]<<2)|0;k[b>>2]=o;x=o}o=a+40|0;d=(k[o>>2]|0)==0;i[x>>0]=d&1;x=(k[b>>2]|0)+1|0;k[b>>2]=x;if(d){r=e;return}TEa(x|0,k[o>>2]|0,k[n>>2]<<2|0)|0;k[b>>2]=(k[b>>2]|0)+(k[n>>2]<<2);r=e;return}case 2:{n=(k[a+16>>2]|0)==0;o=(k[c>>2]|0)+16|0;k[c>>2]=o;if(n)y=o;else{n=o+(k[a>>2]|0)|0;k[c>>2]=n;y=n}n=(k[a+20>>2]|0)==0;o=y+1|0;k[c>>2]=o;if(n)z=o;else{n=o+(k[a>>2]|0)|0;k[c>>2]=n;z=n}n=(k[a+24>>2]|0)==0;o=z+1|0;k[c>>2]=o;if(n)A=o;else{n=o+(k[a>>2]<<3)|0;k[c>>2]=n;A=n}n=(k[a+28>>2]|0)==0;o=A+1|0;k[c>>2]=o;if(n)C=o;else{n=o+(k[a>>2]<<2)|0;k[c>>2]=n;C=n}n=(k[a+32>>2]|0)==0;o=C+1|0;k[c>>2]=o;if(n)D=o;else{n=o+(k[a>>2]<<2)|0;k[c>>2]=n;D=n}n=(k[a+36>>2]|0)==0;o=D+1|0;k[c>>2]=o;if(n)E=o;else{n=o+(k[a+4>>2]<<2)|0;k[c>>2]=n;E=n}n=(k[a+40>>2]|0)==0;o=E+1|0;k[c>>2]=o;if(n){r=e;return}k[c>>2]=o+(k[a+8>>2]<<2);r=e;return}case 1:{o=k[b>>2]|0;c=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[a>>0]=c;i[a+1>>0]=c>>8;i[a+2>>0]=c>>16;i[a+3>>0]=c>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;n=a+4|0;E=l[o>>0]|l[o+1>>0]<<8|l[o+2>>0]<<16|l[o+3>>0]<<24;i[n>>0]=E;i[n+1>>0]=E>>8;i[n+2>>0]=E>>16;i[n+3>>0]=E>>24;n=(k[b>>2]|0)+4|0;k[b>>2]=n;o=a+8|0;D=l[n>>0]|l[n+1>>0]<<8|l[n+2>>0]<<16|l[n+3>>0]<<24;i[o>>0]=D;i[o+1>>0]=D>>8;i[o+2>>0]=D>>16;i[o+3>>0]=D>>24;o=(k[b>>2]|0)+4|0;k[b>>2]=o;i[a+12>>0]=i[o>>0]|0;o=(k[b>>2]|0)+1|0;k[b>>2]=o;i[a+13>>0]=i[o>>0]|0;o=(k[b>>2]|0)+1|0;k[b>>2]=o;i[a+14>>0]=i[o>>0]|0;o=k[b>>2]|0;n=o+1|0;k[b>>2]=n;C=i[n>>0]|0;n=o+2|0;k[b>>2]=n;if(!(C&1)){C=Rqa(c)|0;k[a+16>>2]=C;o=k[b>>2]|0;TEa(C|0,o|0,c|0)|0;C=o+c|0;k[b>>2]=C;F=C}else F=n;n=i[F>>0]|0;C=F+1|0;k[b>>2]=C;if(!(n&1)){n=Rqa(c)|0;k[a+20>>2]=n;F=k[b>>2]|0;TEa(n|0,F|0,c|0)|0;n=F+c|0;k[b>>2]=n;G=n}else G=C;C=i[G>>0]|0;n=G+1|0;k[b>>2]=n;if(!(C&1)){C=Rqa(c>>>0>536870911?-1:c<<3)|0;k[a+24>>2]=C;G=k[b>>2]|0;F=c<<3;TEa(C|0,G|0,F|0)|0;C=G+F|0;k[b>>2]=C;H=C}else H=n;n=i[H>>0]|0;C=H+1|0;k[b>>2]=C;if(!(n&1)){n=Rqa(c>>>0>1073741823?-1:c<<2)|0;k[a+28>>2]=n;H=k[b>>2]|0;F=c<<2;TEa(n|0,H|0,F|0)|0;n=H+F|0;k[b>>2]=n;I=n}else I=C;C=i[I>>0]|0;n=I+1|0;k[b>>2]=n;if(!(C&1)){C=Rqa(c>>>0>1073741823?-1:c<<2)|0;k[a+32>>2]=C;I=k[b>>2]|0;F=c<<2;TEa(C|0,I|0,F|0)|0;C=I+F|0;k[b>>2]=C;J=C}else J=n;n=i[J>>0]|0;C=J+1|0;k[b>>2]=C;if(!(n&1)){n=Rqa(E>>>0>1073741823?-1:E<<2)|0;k[a+36>>2]=n;J=k[b>>2]|0;F=E<<2;TEa(n|0,J|0,F|0)|0;n=J+F|0;k[b>>2]=n;K=n}else K=C;C=i[K>>0]|0;k[b>>2]=K+1;if(C&1){r=e;return}C=Rqa(D>>>0>1073741823?-1:D<<2)|0;k[a+40>>2]=C;a=k[b>>2]|0;K=D<<2;TEa(C|0,a|0,K|0)|0;k[b>>2]=a+K;r=e;return}default:{e=g+56|0;K=g+4|0;k[g>>2]=27524;k[e>>2]=27544;B=0;wa(508,g+56|0,K|0);a=B;B=0;if(a&1){a=Rb()|0;L=Q;M=a;vva(e);Qb(M|0)}k[g+128>>2]=0;k[g+132>>2]=-1;k[g>>2]=27468;k[e>>2]=27488;B=0;va(448,K|0);a=B;B=0;do if(a&1){b=Rb()|0;N=Q;O=b}else{k[K>>2]=27560;b=g+36|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[g+52>>2]=16;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;B=0;wa(509,K|0,f|0);C=B;B=0;if(C&1){C=Rb()|0;D=Q;Yua(f);Yua(b);Ava(K);N=D;O=C;break}Yua(f);B=0;C=Ia(40,g|0,143951,43)|0;D=B;B=0;if(!(D&1)?(B=0,Xa(239,C|0,0)|0,C=B,B=0,!(C&1)):0){C=Ab(20)|0;B=0;eb(502,h|0,142375,70);D=B;B=0;do if(!(D&1)){B=0;eb(502,j|0,149525,8);n=B;B=0;if(n&1){n=Rb()|0;F=Q;Yua(h);P=F;R=n;break}B=0;wa(510,m|0,K|0);n=B;B=0;if(n&1){n=Rb()|0;S=Q;T=n;U=1}else{B=0;ua(163,C|0,h|0,j|0,305,m|0);n=B;B=0;if(n&1)V=1;else{B=0;eb(503,C|0,1240,229);B=0;V=0}n=Rb()|0;F=Q;Yua(m);S=F;T=n;U=V}Yua(j);Yua(h);if(U){P=S;R=T}else{W=S;X=T;k[g>>2]=27468;k[e>>2]=27488;k[K>>2]=27560;Yua(b);Ava(K);vva(e);Qb(X|0)}}else{n=Rb()|0;P=Q;R=n}while(0);zb(C|0);W=P;X=R;k[g>>2]=27468;k[e>>2]=27488;k[K>>2]=27560;Yua(b);Ava(K);vva(e);Qb(X|0)}D=Rb()|0;W=Q;X=D;k[g>>2]=27468;k[e>>2]=27488;k[K>>2]=27560;Yua(b);Ava(K);vva(e);Qb(X|0)}while(0);L=N;M=O;vva(e);Qb(M|0)}}}function wla(a){a=a|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;return}function xla(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;k[a>>2]=c;if((c|0)<1){k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;return}d=c>>>0>1073741823?-1:c<<2;c=Rqa(d)|0;e=a+4|0;k[e>>2]=c;f=Rqa(d)|0;g=a+8|0;k[g>>2]=f;h=Rqa(d)|0;d=a+12|0;k[d>>2]=h;k[f>>2]=k[b>>2];k[c>>2]=0;k[h>>2]=0;if((k[a>>2]|0)>1)i=1;else return;do{h=k[e>>2]|0;k[(k[g>>2]|0)+(i<<2)>>2]=k[b+(i<<2)>>2];k[h+(i<<2)>>2]=0;k[(k[d>>2]|0)+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(k[a>>2]|0));return}function yla(a){a=a|0;var b=0,c=0;b=a+4|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+8|0;c=k[b>>2]|0;if(c)Tqa(c);k[b>>2]=0;b=a+12|0;a=k[b>>2]|0;if(!a){k[b>>2]=0;return}Tqa(a);k[b>>2]=0;return}function zla(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0;b=r;r=r+1376|0;c=b+1352|0;d=b+1168|0;e=b+1340|0;f=b+1032|0;g=b+1328|0;h=b+880|0;i=b+1316|0;j=b+728|0;l=b+1304|0;m=b+592|0;n=b+1016|0;o=b+456|0;p=b+864|0;q=b+304|0;s=b+440|0;t=b+168|0;u=b+152|0;v=b+16|0;w=b;if(!(k[a>>2]|0)){x=v+56|0;y=v+4|0;k[v>>2]=27524;k[x>>2]=27544;B=0;wa(508,v+56|0,y|0);z=B;B=0;if(z&1){z=Rb()|0;A=Q;C=z;vva(x);Qb(C|0)}k[v+128>>2]=0;k[v+132>>2]=-1;k[v>>2]=27468;k[x>>2]=27488;B=0;va(448,y|0);z=B;B=0;do if(z&1){D=Rb()|0;E=Q;F=D}else{k[y>>2]=27560;D=v+36|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;k[D+12>>2]=0;k[v+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,y|0,c|0);G=B;B=0;if(G&1){G=Rb()|0;H=Q;Yua(c);Yua(D);Ava(y);E=H;F=G;break}Yua(c);B=0;Ia(40,v|0,142729,16)|0;G=B;B=0;do if(!(G&1)?(B=0,wa(510,w|0,y|0),H=B,B=0,!(H&1)):0){B=0;ya(424,w|0)|0;H=B;B=0;if(H&1){H=Rb()|0;I=Q;Yua(w);J=I;K=H;break}Yua(w);k[v>>2]=27468;k[x>>2]=27488;k[y>>2]=27560;Yua(D);Ava(y);vva(x);r=b;return}else L=137;while(0);if((L|0)==137){G=Rb()|0;J=Q;K=G}k[v>>2]=27468;k[x>>2]=27488;k[y>>2]=27560;Yua(D);Ava(y);vva(x);M=J;N=K;Qb(N|0)}while(0);A=E;C=F;vva(x);Qb(C|0)}C=d+56|0;x=d+4|0;k[d>>2]=27524;k[C>>2]=27544;B=0;wa(508,d+56|0,x|0);F=B;B=0;if(F&1){F=Rb()|0;O=Q;P=F;vva(C);Qb(P|0)}k[d+128>>2]=0;k[d+132>>2]=-1;k[d>>2]=27468;k[C>>2]=27488;B=0;va(448,x|0);F=B;B=0;do if(F&1){E=Rb()|0;R=Q;S=E}else{k[x>>2]=27560;E=d+36|0;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;k[E+12>>2]=0;k[d+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,x|0,c|0);A=B;B=0;if(A&1){A=Rb()|0;K=Q;Yua(c);Yua(E);Ava(x);R=K;S=A;break}Yua(c);B=0;Ia(40,d|0,142679,10)|0;A=B;B=0;do if(!(A&1)?(B=0,wa(510,e|0,x|0),K=B,B=0,!(K&1)):0){B=0;ya(424,e|0)|0;K=B;B=0;if(K&1){K=Rb()|0;J=Q;Yua(e);T=J;U=K;break}Yua(e);k[d>>2]=27468;k[C>>2]=27488;k[x>>2]=27560;Yua(E);Ava(x);vva(C);K=f+56|0;J=f+4|0;k[f>>2]=27524;k[K>>2]=27544;B=0;wa(508,f+56|0,J|0);y=B;B=0;if(y&1){y=Rb()|0;V=Q;W=y;vva(K);Qb(W|0)}k[f+128>>2]=0;k[f+132>>2]=-1;k[f>>2]=27468;k[K>>2]=27488;B=0;va(448,J|0);y=B;B=0;do if(y&1){v=Rb()|0;X=Q;Y=v}else{k[J>>2]=27560;v=f+36|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[f+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,J|0,c|0);w=B;B=0;if(w&1){w=Rb()|0;z=Q;Yua(c);Yua(v);Ava(J);X=z;Y=w;break}Yua(c);B=0;w=Ia(40,f|0,142690,10)|0;z=B;B=0;do if(((!(z&1)?(B=0,G=Xa(242,w|0,k[a>>2]|0)|0,H=B,B=0,!(H&1)):0)?(B=0,Ia(40,G|0,149177,1)|0,G=B,B=0,!(G&1)):0)?(B=0,wa(510,g|0,J|0),G=B,B=0,!(G&1)):0){B=0;ya(424,g|0)|0;G=B;B=0;if(G&1){G=Rb()|0;H=Q;Yua(g);Z=H;_=G;break}Yua(g);k[f>>2]=27468;k[K>>2]=27488;k[J>>2]=27560;Yua(v);Ava(J);vva(K);G=h+56|0;H=h+4|0;k[h>>2]=27524;k[G>>2]=27544;B=0;wa(508,h+56|0,H|0);I=B;B=0;if(I&1){I=Rb()|0;$=Q;aa=I;vva(G);Qb(aa|0)}k[h+128>>2]=0;k[h+132>>2]=-1;k[h>>2]=27468;k[G>>2]=27488;B=0;va(448,H|0);I=B;B=0;do if(I&1){ba=Rb()|0;ca=Q;da=ba}else{k[H>>2]=27560;ba=h+36|0;k[ba>>2]=0;k[ba+4>>2]=0;k[ba+8>>2]=0;k[ba+12>>2]=0;k[h+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,H|0,c|0);ea=B;B=0;if(ea&1){ea=Rb()|0;fa=Q;Yua(c);Yua(ba);Ava(H);ca=fa;da=ea;break}Yua(c);B=0;Ia(40,h|0,142701,11)|0;ea=B;B=0;do if(ea&1)L=58;else{B=0;wa(510,i|0,H|0);fa=B;B=0;if(fa&1){L=58;break}B=0;ya(424,i|0)|0;fa=B;B=0;if(fa&1){fa=Rb()|0;ga=Q;Yua(i);ha=ga;ia=fa;break}Yua(i);k[h>>2]=27468;k[G>>2]=27488;k[H>>2]=27560;Yua(ba);Ava(H);vva(G);a:do if((k[a>>2]|0)>0){fa=j+56|0;ga=j+4|0;ja=j+56|0;ka=j+128|0;la=j+132|0;ma=j+36|0;na=j+52|0;oa=a+8|0;pa=0;while(1){k[j>>2]=27524;k[fa>>2]=27544;B=0;wa(508,ja|0,ga|0);qa=B;B=0;if(qa&1){L=43;break}k[ka>>2]=0;k[la>>2]=-1;k[j>>2]=27468;k[fa>>2]=27488;B=0;va(448,ga|0);qa=B;B=0;if(qa&1){L=44;break}k[ga>>2]=27560;k[ma>>2]=0;k[ma+4>>2]=0;k[ma+8>>2]=0;k[ma+12>>2]=0;k[na>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,ga|0,c|0);qa=B;B=0;if(qa&1){L=42;break}Yua(c);B=0;qa=Xa(242,j|0,k[(k[oa>>2]|0)+(pa<<2)>>2]|0)|0;ra=B;B=0;if(ra&1){L=61;break}B=0;Ia(40,qa|0,149175,1)|0;qa=B;B=0;if(qa&1){L=61;break}B=0;wa(510,l|0,ga|0);qa=B;B=0;if(qa&1){L=61;break}B=0;ya(424,l|0)|0;qa=B;B=0;if(qa&1){L=62;break}Yua(l);k[j>>2]=27468;k[fa>>2]=27488;k[ga>>2]=27560;Yua(ma);Ava(ga);vva(fa);pa=pa+1|0;if((pa|0)>=(k[a>>2]|0))break a}if((L|0)==42){pa=Rb()|0;oa=Q;Yua(c);Yua(ma);Ava(ga);sa=oa;ta=pa;L=45}else if((L|0)==43){pa=Rb()|0;ua=Q;xa=pa;vva(fa);Qb(xa|0)}else if((L|0)==44){pa=Rb()|0;sa=Q;ta=pa;L=45}else if((L|0)==61){pa=Rb()|0;za=Q;Aa=pa;L=63}else if((L|0)==62){pa=Rb()|0;oa=Q;Yua(l);za=oa;Aa=pa;L=63}if((L|0)==45){ua=sa;xa=ta;vva(fa);Qb(xa|0)}else if((L|0)==63){k[j>>2]=27468;k[fa>>2]=27488;k[ga>>2]=27560;Yua(ma);Ava(ga);vva(fa);M=za;N=Aa;Qb(N|0)}}while(0);pa=m+56|0;oa=m+4|0;k[m>>2]=27524;k[pa>>2]=27544;B=0;wa(508,m+56|0,oa|0);na=B;B=0;if(na&1){na=Rb()|0;Ba=Q;Ca=na;vva(pa);Qb(Ca|0)}k[m+128>>2]=0;k[m+132>>2]=-1;k[m>>2]=27468;k[pa>>2]=27488;B=0;va(448,oa|0);na=B;B=0;do if(na&1){la=Rb()|0;Da=Q;Ea=la}else{k[oa>>2]=27560;la=m+36|0;k[la>>2]=0;k[la+4>>2]=0;k[la+8>>2]=0;k[la+12>>2]=0;k[m+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,oa|0,c|0);ka=B;B=0;if(ka&1){ka=Rb()|0;ja=Q;Yua(c);Yua(la);Ava(oa);Da=ja;Ea=ka;break}Yua(c);B=0;Ia(40,m|0,149177,1)|0;ka=B;B=0;do if(ka&1)L=101;else{B=0;wa(510,n|0,oa|0);ja=B;B=0;if(ja&1){L=101;break}B=0;ya(424,n|0)|0;ja=B;B=0;if(ja&1){ja=Rb()|0;qa=Q;Yua(n);Fa=qa;Ga=ja;break}Yua(n);k[m>>2]=27468;k[pa>>2]=27488;k[oa>>2]=27560;Yua(la);Ava(oa);vva(pa);ja=o+56|0;qa=o+4|0;k[o>>2]=27524;k[ja>>2]=27544;B=0;wa(508,o+56|0,qa|0);ra=B;B=0;if(ra&1){ra=Rb()|0;Ha=Q;Ja=ra;vva(ja);Qb(Ja|0)}k[o+128>>2]=0;k[o+132>>2]=-1;k[o>>2]=27468;k[ja>>2]=27488;B=0;va(448,qa|0);ra=B;B=0;do if(ra&1){Ka=Rb()|0;La=Q;Ma=Ka}else{k[qa>>2]=27560;Ka=o+36|0;k[Ka>>2]=0;k[Ka+4>>2]=0;k[Ka+8>>2]=0;k[Ka+12>>2]=0;k[o+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,qa|0,c|0);Na=B;B=0;if(Na&1){Na=Rb()|0;Oa=Q;Yua(c);Yua(Ka);Ava(qa);La=Oa;Ma=Na;break}Yua(c);B=0;Ia(40,o|0,142713,15)|0;Na=B;B=0;do if(Na&1)L=104;else{B=0;wa(510,p|0,qa|0);Oa=B;B=0;if(Oa&1){L=104;break}B=0;ya(424,p|0)|0;Oa=B;B=0;if(Oa&1){Oa=Rb()|0;Pa=Q;Yua(p);Qa=Pa;Ra=Oa;break}Yua(p);k[o>>2]=27468;k[ja>>2]=27488;k[qa>>2]=27560;Yua(Ka);Ava(qa);vva(ja);b:do if((k[a>>2]|0)>0){Oa=q+56|0;Pa=q+4|0;Sa=q+56|0;Ta=q+128|0;Ua=q+132|0;Va=q+36|0;Wa=q+52|0;Ya=a+12|0;Za=0;while(1){k[q>>2]=27524;k[Oa>>2]=27544;B=0;wa(508,Sa|0,Pa|0);_a=B;B=0;if(_a&1){L=92;break}k[Ta>>2]=0;k[Ua>>2]=-1;k[q>>2]=27468;k[Oa>>2]=27488;B=0;va(448,Pa|0);_a=B;B=0;if(_a&1){L=93;break}k[Pa>>2]=27560;k[Va>>2]=0;k[Va+4>>2]=0;k[Va+8>>2]=0;k[Va+12>>2]=0;k[Wa>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Pa|0,c|0);_a=B;B=0;if(_a&1){L=91;break}Yua(c);B=0;_a=Xa(242,q|0,k[(k[Ya>>2]|0)+(Za<<2)>>2]|0)|0;$a=B;B=0;if($a&1){L=107;break}B=0;Ia(40,_a|0,149175,1)|0;_a=B;B=0;if(_a&1){L=107;break}B=0;wa(510,s|0,Pa|0);_a=B;B=0;if(_a&1){L=107;break}B=0;ya(424,s|0)|0;_a=B;B=0;if(_a&1){L=108;break}Yua(s);k[q>>2]=27468;k[Oa>>2]=27488;k[Pa>>2]=27560;Yua(Va);Ava(Pa);vva(Oa);Za=Za+1|0;if((Za|0)>=(k[a>>2]|0))break b}if((L|0)==91){Za=Rb()|0;Ya=Q;Yua(c);Yua(Va);Ava(Pa);ab=Ya;bb=Za;L=94}else if((L|0)==92){Za=Rb()|0;cb=Q;db=Za;vva(Oa);Qb(db|0)}else if((L|0)==93){Za=Rb()|0;ab=Q;bb=Za;L=94}else if((L|0)==107){Za=Rb()|0;eb=Q;fb=Za;L=109}else if((L|0)==108){Za=Rb()|0;Ya=Q;Yua(s);eb=Ya;fb=Za;L=109}if((L|0)==94){cb=ab;db=bb;vva(Oa);Qb(db|0)}else if((L|0)==109){k[q>>2]=27468;k[Oa>>2]=27488;k[Pa>>2]=27560;Yua(Va);Ava(Pa);vva(Oa);M=eb;N=fb;Qb(N|0)}}while(0);Za=t+56|0;Ya=t+4|0;k[t>>2]=27524;k[Za>>2]=27544;B=0;wa(508,t+56|0,Ya|0);Wa=B;B=0;if(Wa&1){Wa=Rb()|0;gb=Q;hb=Wa;vva(Za);Qb(hb|0)}k[t+128>>2]=0;k[t+132>>2]=-1;k[t>>2]=27468;k[Za>>2]=27488;B=0;va(448,Ya|0);Wa=B;B=0;do if(Wa&1){Ua=Rb()|0;ib=Q;jb=Ua}else{k[Ya>>2]=27560;Ua=t+36|0;k[Ua>>2]=0;k[Ua+4>>2]=0;k[Ua+8>>2]=0;k[Ua+12>>2]=0;k[t+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;B=0;wa(509,Ya|0,c|0);Ta=B;B=0;if(Ta&1){Ta=Rb()|0;Sa=Q;Yua(c);Yua(Ua);Ava(Ya);ib=Sa;jb=Ta;break}Yua(c);B=0;Ia(40,t|0,149177,1)|0;Ta=B;B=0;do if(Ta&1)L=122;else{B=0;wa(510,u|0,Ya|0);Sa=B;B=0;if(Sa&1){L=122;break}B=0;ya(424,u|0)|0;Sa=B;B=0;if(Sa&1){Sa=Rb()|0;_a=Q;Yua(u);kb=_a;lb=Sa;break}Yua(u);k[t>>2]=27468;k[Za>>2]=27488;k[Ya>>2]=27560;Yua(Ua);Ava(Ya);vva(Za);r=b;return}while(0);if((L|0)==122){Ta=Rb()|0;kb=Q;lb=Ta}k[t>>2]=27468;k[Za>>2]=27488;k[Ya>>2]=27560;Yua(Ua);Ava(Ya);vva(Za);M=kb;N=lb;Qb(N|0)}while(0);gb=ib;hb=jb;vva(Za);Qb(hb|0)}while(0);if((L|0)==104){Na=Rb()|0;Qa=Q;Ra=Na}k[o>>2]=27468;k[ja>>2]=27488;k[qa>>2]=27560;Yua(Ka);Ava(qa);vva(ja);M=Qa;N=Ra;Qb(N|0)}while(0);Ha=La;Ja=Ma;vva(ja);Qb(Ja|0)}while(0);if((L|0)==101){ka=Rb()|0;Fa=Q;Ga=ka}k[m>>2]=27468;k[pa>>2]=27488;k[oa>>2]=27560;Yua(la);Ava(oa);vva(pa);M=Fa;N=Ga;Qb(N|0)}while(0);Ba=Da;Ca=Ea;vva(pa);Qb(Ca|0)}while(0);if((L|0)==58){ea=Rb()|0;ha=Q;ia=ea}k[h>>2]=27468;k[G>>2]=27488;k[H>>2]=27560;Yua(ba);Ava(H);vva(G);M=ha;N=ia;Qb(N|0)}while(0);$=ca;aa=da;vva(G);Qb(aa|0)}else L=55;while(0);if((L|0)==55){w=Rb()|0;Z=Q;_=w}k[f>>2]=27468;k[K>>2]=27488;k[J>>2]=27560;Yua(v);Ava(J);vva(K);M=Z;N=_;Qb(N|0)}while(0);V=X;W=Y;vva(K);Qb(W|0)}else L=52;while(0);if((L|0)==52){A=Rb()|0;T=Q;U=A}k[d>>2]=27468;k[C>>2]=27488;k[x>>2]=27560;Yua(E);Ava(x);vva(C);M=T;N=U;Qb(N|0)}while(0);O=R;P=S;vva(C);Qb(P|0)}
function WCa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0;a=r;r=r+224|0;g=a+198|0;h=a+196|0;j=a+184|0;m=a+172|0;n=a+168|0;o=a+8|0;p=a+4|0;q=a;s=ACa(d)|0;Dxa(j,d,g,h);d=0;while(1){if((d|0)==3)break;k[m+(d<<2)>>2]=0;d=d+1|0}if(!(i[m>>0]&1))t=10;else t=(k[m>>2]&-2)+-1|0;B=0;eb(501,m|0,t|0,0);t=B;B=0;a:do if(!(t&1)){d=m+8|0;u=m+1|0;v=(i[m>>0]&1)==0?u:k[d>>2]|0;k[n>>2]=v;k[p>>2]=o;k[q>>2]=0;w=m+4|0;x=i[h>>0]|0;y=k[b>>2]|0;z=v;b:while(1){if(y)if((k[y+12>>2]|0)==(k[y+16>>2]|0)){B=0;v=ya(k[(k[y>>2]|0)+36>>2]|0,y|0)|0;A=B;B=0;if(A&1){C=27;break}if((v|0)==-1){k[b>>2]=0;D=0}else D=y}else D=y;else D=0;v=(D|0)==0;A=k[c>>2]|0;do if(A){if((k[A+12>>2]|0)!=(k[A+16>>2]|0))if(v){E=A;break}else{F=A;G=D;H=z;break b}B=0;I=ya(k[(k[A>>2]|0)+36>>2]|0,A|0)|0;J=B;B=0;if(J&1){C=27;break b}if((I|0)!=-1)if(v){E=A;break}else{F=A;G=D;H=z;break b}else{k[c>>2]=0;C=19;break}}else C=19;while(0);if((C|0)==19){C=0;if(v){F=0;G=D;H=z;break}else E=0}A=i[m>>0]|0;I=(A&1)==0?(A&255)>>>1:k[w>>2]|0;if((k[n>>2]|0)==(z+I|0)){B=0;eb(501,m|0,I<<1|0,0);A=B;B=0;if(A&1){C=27;break}if(!(i[m>>0]&1))K=10;else K=(k[m>>2]&-2)+-1|0;B=0;eb(501,m|0,K|0,0);A=B;B=0;if(A&1){C=27;break}A=(i[m>>0]&1)==0?u:k[d>>2]|0;k[n>>2]=A+I;L=A}else L=z;A=D+12|0;I=k[A>>2]|0;J=D+16|0;if((I|0)==(k[J>>2]|0)){B=0;M=ya(k[(k[D>>2]|0)+36>>2]|0,D|0)|0;N=B;B=0;if(N&1){C=27;break}else O=M}else O=l[I>>0]|0;if(nxa(O&255,s,L,n,q,x,j,o,p,g)|0){F=E;G=D;H=L;break}I=k[A>>2]|0;if((I|0)==(k[J>>2]|0)){B=0;ya(k[(k[D>>2]|0)+40>>2]|0,D|0)|0;J=B;B=0;if(J&1){C=27;break}else{y=D;z=L;continue}}else{k[A>>2]=I+1;y=D;z=L;continue}}if((C|0)==27){z=Rb()|0;P=z;R=Q;break}z=i[j>>0]|0;if((((z&1)==0?(z&255)>>>1:k[j+4>>2]|0)|0)!=0?(z=k[p>>2]|0,(z-o|0)<160):0){y=k[q>>2]|0;k[p>>2]=z+4;k[z>>2]=y}B=0;y=cb(78,H|0,k[n>>2]|0,e|0,s|0)|0;z=Q;x=B;B=0;if(!(x&1)){x=f;k[x>>2]=y;k[x+4>>2]=z;lAa(j,o,k[p>>2]|0,e);if(G)if((k[G+12>>2]|0)==(k[G+16>>2]|0)){B=0;z=ya(k[(k[G>>2]|0)+36>>2]|0,G|0)|0;x=B;B=0;if(x&1){C=28;break}if((z|0)==-1){k[b>>2]=0;S=0}else S=G}else S=G;else S=0;z=(S|0)==0;do if(F){if((k[F+12>>2]|0)==(k[F+16>>2]|0)){B=0;x=ya(k[(k[F>>2]|0)+36>>2]|0,F|0)|0;y=B;B=0;if(y&1){C=28;break a}if((x|0)==-1){k[c>>2]=0;C=52;break}}if(!z)C=53}else C=52;while(0);if((C|0)==52?z:0)C=53;if((C|0)==53)k[e>>2]=k[e>>2]|2;x=k[b>>2]|0;Yua(m);Yua(j);r=a;return x|0}else C=28}else C=28;while(0);if((C|0)==28){C=Rb()|0;P=C;R=Q}Yua(m);Yua(j);Qb(P|0);return 0}function XCa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,m=0,n=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0.0,X=0;a=r;r=r+240|0;g=a+200|0;h=a+199|0;j=a+198|0;m=a+184|0;n=a+172|0;p=a+168|0;q=a+8|0;s=a+4|0;t=a;u=a+197|0;v=a+196|0;Exa(m,d,g,h,j);d=0;while(1){if((d|0)==3)break;k[n+(d<<2)>>2]=0;d=d+1|0}if(!(i[n>>0]&1))w=10;else w=(k[n>>2]&-2)+-1|0;B=0;eb(501,n|0,w|0,0);w=B;B=0;a:do if(!(w&1)){d=n+8|0;x=n+1|0;y=(i[n>>0]&1)==0?x:k[d>>2]|0;k[p>>2]=y;k[s>>2]=q;k[t>>2]=0;i[u>>0]=1;i[v>>0]=69;z=n+4|0;A=i[h>>0]|0;C=i[j>>0]|0;D=k[b>>2]|0;E=y;b:while(1){if(D)if((k[D+12>>2]|0)==(k[D+16>>2]|0)){B=0;y=ya(k[(k[D>>2]|0)+36>>2]|0,D|0)|0;F=B;B=0;if(F&1){G=27;break}if((y|0)==-1){k[b>>2]=0;H=0}else H=D}else H=D;else H=0;y=(H|0)==0;F=k[c>>2]|0;do if(F){if((k[F+12>>2]|0)!=(k[F+16>>2]|0))if(y){I=F;break}else{J=F;K=H;L=E;break b}B=0;M=ya(k[(k[F>>2]|0)+36>>2]|0,F|0)|0;N=B;B=0;if(N&1){G=27;break b}if((M|0)!=-1)if(y){I=F;break}else{J=F;K=H;L=E;break b}else{k[c>>2]=0;G=19;break}}else G=19;while(0);if((G|0)==19){G=0;if(y){J=0;K=H;L=E;break}else I=0}F=i[n>>0]|0;M=(F&1)==0?(F&255)>>>1:k[z>>2]|0;if((k[p>>2]|0)==(E+M|0)){B=0;eb(501,n|0,M<<1|0,0);F=B;B=0;if(F&1){G=27;break}if(!(i[n>>0]&1))O=10;else O=(k[n>>2]&-2)+-1|0;B=0;eb(501,n|0,O|0,0);F=B;B=0;if(F&1){G=27;break}F=(i[n>>0]&1)==0?x:k[d>>2]|0;k[p>>2]=F+M;P=F}else P=E;F=H+12|0;M=k[F>>2]|0;N=H+16|0;if((M|0)==(k[N>>2]|0)){B=0;R=ya(k[(k[H>>2]|0)+36>>2]|0,H|0)|0;S=B;B=0;if(S&1){G=27;break}else T=R}else T=l[M>>0]|0;if(Fxa(T&255,u,v,P,p,A,C,m,q,s,t,g)|0){J=I;K=H;L=P;break}M=k[F>>2]|0;if((M|0)==(k[N>>2]|0)){B=0;ya(k[(k[H>>2]|0)+40>>2]|0,H|0)|0;N=B;B=0;if(N&1){G=27;break}else{D=H;E=P;continue}}else{k[F>>2]=M+1;D=H;E=P;continue}}if((G|0)==27){E=Rb()|0;U=E;V=Q;break}E=i[m>>0]|0;if(!((i[u>>0]|0)==0?1:(((E&1)==0?(E&255)>>>1:k[m+4>>2]|0)|0)==0)?(E=k[s>>2]|0,(E-q|0)<160):0){D=k[t>>2]|0;k[s>>2]=E+4;k[E>>2]=D}B=0;W=+Za(3,L|0,k[p>>2]|0,e|0);D=B;B=0;if(!(D&1)){o[f>>2]=W;lAa(m,q,k[s>>2]|0,e);if(K)if((k[K+12>>2]|0)==(k[K+16>>2]|0)){B=0;D=ya(k[(k[K>>2]|0)+36>>2]|0,K|0)|0;E=B;B=0;if(E&1){G=28;break}if((D|0)==-1){k[b>>2]=0;X=0}else X=K}else X=K;else X=0;D=(X|0)==0;do if(J){if((k[J+12>>2]|0)==(k[J+16>>2]|0)){B=0;E=ya(k[(k[J>>2]|0)+36>>2]|0,J|0)|0;C=B;B=0;if(C&1){G=28;break a}if((E|0)==-1){k[c>>2]=0;G=52;break}}if(!D)G=53}else G=52;while(0);if((G|0)==52?D:0)G=53;if((G|0)==53)k[e>>2]=k[e>>2]|2;E=k[b>>2]|0;Yua(n);Yua(m);r=a;return E|0}else G=28}else G=28;while(0);if((G|0)==28){G=Rb()|0;U=G;V=Q}Yua(n);Yua(m);Qb(U|0);return 0}function YCa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0.0,X=0;a=r;r=r+240|0;g=a+200|0;h=a+199|0;j=a+198|0;m=a+184|0;n=a+172|0;o=a+168|0;q=a+8|0;s=a+4|0;t=a;u=a+197|0;v=a+196|0;Exa(m,d,g,h,j);d=0;while(1){if((d|0)==3)break;k[n+(d<<2)>>2]=0;d=d+1|0}if(!(i[n>>0]&1))w=10;else w=(k[n>>2]&-2)+-1|0;B=0;eb(501,n|0,w|0,0);w=B;B=0;a:do if(!(w&1)){d=n+8|0;x=n+1|0;y=(i[n>>0]&1)==0?x:k[d>>2]|0;k[o>>2]=y;k[s>>2]=q;k[t>>2]=0;i[u>>0]=1;i[v>>0]=69;z=n+4|0;A=i[h>>0]|0;C=i[j>>0]|0;D=k[b>>2]|0;E=y;b:while(1){if(D)if((k[D+12>>2]|0)==(k[D+16>>2]|0)){B=0;y=ya(k[(k[D>>2]|0)+36>>2]|0,D|0)|0;F=B;B=0;if(F&1){G=27;break}if((y|0)==-1){k[b>>2]=0;H=0}else H=D}else H=D;else H=0;y=(H|0)==0;F=k[c>>2]|0;do if(F){if((k[F+12>>2]|0)!=(k[F+16>>2]|0))if(y){I=F;break}else{J=F;K=H;L=E;break b}B=0;M=ya(k[(k[F>>2]|0)+36>>2]|0,F|0)|0;N=B;B=0;if(N&1){G=27;break b}if((M|0)!=-1)if(y){I=F;break}else{J=F;K=H;L=E;break b}else{k[c>>2]=0;G=19;break}}else G=19;while(0);if((G|0)==19){G=0;if(y){J=0;K=H;L=E;break}else I=0}F=i[n>>0]|0;M=(F&1)==0?(F&255)>>>1:k[z>>2]|0;if((k[o>>2]|0)==(E+M|0)){B=0;eb(501,n|0,M<<1|0,0);F=B;B=0;if(F&1){G=27;break}if(!(i[n>>0]&1))O=10;else O=(k[n>>2]&-2)+-1|0;B=0;eb(501,n|0,O|0,0);F=B;B=0;if(F&1){G=27;break}F=(i[n>>0]&1)==0?x:k[d>>2]|0;k[o>>2]=F+M;P=F}else P=E;F=H+12|0;M=k[F>>2]|0;N=H+16|0;if((M|0)==(k[N>>2]|0)){B=0;R=ya(k[(k[H>>2]|0)+36>>2]|0,H|0)|0;S=B;B=0;if(S&1){G=27;break}else T=R}else T=l[M>>0]|0;if(Fxa(T&255,u,v,P,o,A,C,m,q,s,t,g)|0){J=I;K=H;L=P;break}M=k[F>>2]|0;if((M|0)==(k[N>>2]|0)){B=0;ya(k[(k[H>>2]|0)+40>>2]|0,H|0)|0;N=B;B=0;if(N&1){G=27;break}else{D=H;E=P;continue}}else{k[F>>2]=M+1;D=H;E=P;continue}}if((G|0)==27){E=Rb()|0;U=E;V=Q;break}E=i[m>>0]|0;if(!((i[u>>0]|0)==0?1:(((E&1)==0?(E&255)>>>1:k[m+4>>2]|0)|0)==0)?(E=k[s>>2]|0,(E-q|0)<160):0){D=k[t>>2]|0;k[s>>2]=E+4;k[E>>2]=D}B=0;W=+Za(4,L|0,k[o>>2]|0,e|0);D=B;B=0;if(!(D&1)){p[f>>3]=W;lAa(m,q,k[s>>2]|0,e);if(K)if((k[K+12>>2]|0)==(k[K+16>>2]|0)){B=0;D=ya(k[(k[K>>2]|0)+36>>2]|0,K|0)|0;E=B;B=0;if(E&1){G=28;break}if((D|0)==-1){k[b>>2]=0;X=0}else X=K}else X=K;else X=0;D=(X|0)==0;do if(J){if((k[J+12>>2]|0)==(k[J+16>>2]|0)){B=0;E=ya(k[(k[J>>2]|0)+36>>2]|0,J|0)|0;C=B;B=0;if(C&1){G=28;break a}if((E|0)==-1){k[c>>2]=0;G=52;break}}if(!D)G=53}else G=52;while(0);if((G|0)==52?D:0)G=53;if((G|0)==53)k[e>>2]=k[e>>2]|2;E=k[b>>2]|0;Yua(n);Yua(m);r=a;return E|0}else G=28}else G=28;while(0);if((G|0)==28){G=Rb()|0;U=G;V=Q}Yua(n);Yua(m);Qb(U|0);return 0}function ZCa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0.0,X=0;a=r;r=r+240|0;g=a+200|0;h=a+199|0;j=a+198|0;m=a+184|0;n=a+172|0;o=a+168|0;q=a+8|0;s=a+4|0;t=a;u=a+197|0;v=a+196|0;Exa(m,d,g,h,j);d=0;while(1){if((d|0)==3)break;k[n+(d<<2)>>2]=0;d=d+1|0}if(!(i[n>>0]&1))w=10;else w=(k[n>>2]&-2)+-1|0;B=0;eb(501,n|0,w|0,0);w=B;B=0;a:do if(!(w&1)){d=n+8|0;x=n+1|0;y=(i[n>>0]&1)==0?x:k[d>>2]|0;k[o>>2]=y;k[s>>2]=q;k[t>>2]=0;i[u>>0]=1;i[v>>0]=69;z=n+4|0;A=i[h>>0]|0;C=i[j>>0]|0;D=k[b>>2]|0;E=y;b:while(1){if(D)if((k[D+12>>2]|0)==(k[D+16>>2]|0)){B=0;y=ya(k[(k[D>>2]|0)+36>>2]|0,D|0)|0;F=B;B=0;if(F&1){G=27;break}if((y|0)==-1){k[b>>2]=0;H=0}else H=D}else H=D;else H=0;y=(H|0)==0;F=k[c>>2]|0;do if(F){if((k[F+12>>2]|0)!=(k[F+16>>2]|0))if(y){I=F;break}else{J=F;K=H;L=E;break b}B=0;M=ya(k[(k[F>>2]|0)+36>>2]|0,F|0)|0;N=B;B=0;if(N&1){G=27;break b}if((M|0)!=-1)if(y){I=F;break}else{J=F;K=H;L=E;break b}else{k[c>>2]=0;G=19;break}}else G=19;while(0);if((G|0)==19){G=0;if(y){J=0;K=H;L=E;break}else I=0}F=i[n>>0]|0;M=(F&1)==0?(F&255)>>>1:k[z>>2]|0;if((k[o>>2]|0)==(E+M|0)){B=0;eb(501,n|0,M<<1|0,0);F=B;B=0;if(F&1){G=27;break}if(!(i[n>>0]&1))O=10;else O=(k[n>>2]&-2)+-1|0;B=0;eb(501,n|0,O|0,0);F=B;B=0;if(F&1){G=27;break}F=(i[n>>0]&1)==0?x:k[d>>2]|0;k[o>>2]=F+M;P=F}else P=E;F=H+12|0;M=k[F>>2]|0;N=H+16|0;if((M|0)==(k[N>>2]|0)){B=0;R=ya(k[(k[H>>2]|0)+36>>2]|0,H|0)|0;S=B;B=0;if(S&1){G=27;break}else T=R}else T=l[M>>0]|0;if(Fxa(T&255,u,v,P,o,A,C,m,q,s,t,g)|0){J=I;K=H;L=P;break}M=k[F>>2]|0;if((M|0)==(k[N>>2]|0)){B=0;ya(k[(k[H>>2]|0)+40>>2]|0,H|0)|0;N=B;B=0;if(N&1){G=27;break}else{D=H;E=P;continue}}else{k[F>>2]=M+1;D=H;E=P;continue}}if((G|0)==27){E=Rb()|0;U=E;V=Q;break}E=i[m>>0]|0;if(!((i[u>>0]|0)==0?1:(((E&1)==0?(E&255)>>>1:k[m+4>>2]|0)|0)==0)?(E=k[s>>2]|0,(E-q|0)<160):0){D=k[t>>2]|0;k[s>>2]=E+4;k[E>>2]=D}B=0;W=+Za(5,L|0,k[o>>2]|0,e|0);D=B;B=0;if(!(D&1)){p[f>>3]=W;lAa(m,q,k[s>>2]|0,e);if(K)if((k[K+12>>2]|0)==(k[K+16>>2]|0)){B=0;D=ya(k[(k[K>>2]|0)+36>>2]|0,K|0)|0;E=B;B=0;if(E&1){G=28;break}if((D|0)==-1){k[b>>2]=0;X=0}else X=K}else X=K;else X=0;D=(X|0)==0;do if(J){if((k[J+12>>2]|0)==(k[J+16>>2]|0)){B=0;E=ya(k[(k[J>>2]|0)+36>>2]|0,J|0)|0;C=B;B=0;if(C&1){G=28;break a}if((E|0)==-1){k[c>>2]=0;G=52;break}}if(!D)G=53}else G=52;while(0);if((G|0)==52?D:0)G=53;if((G|0)==53)k[e>>2]=k[e>>2]|2;E=k[b>>2]|0;Yua(n);Yua(m);r=a;return E|0}else G=28}else G=28;while(0);if((G|0)==28){G=Rb()|0;U=G;V=Q}Yua(n);Yua(m);Qb(U|0);return 0}function _Ca(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=r;r=r+16|0;f=e;k[f>>2]=d;d=esa(b)|0;b=yta(a,c,f)|0;if((d|0)!=0?(B=0,ya(444,d|0)|0,d=B,B=0,d&1):0){d=Rb(0)|0;Dd(d)}r=e;return b|0}function $Ca(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0;h=r;r=r+112|0;j=h;l=(d-c|0)/12|0;do if(l>>>0>100){m=lua(l)|0;if((m|0)==0?(B=0,fb(7),n=B,B=0,n&1):0){o=0;p=6;break}q=m;s=m;p=11}else{q=0;s=j;p=11}while(0);a:do if((p|0)==11){j=c;m=0;n=l;t=s;while(1){if((j|0)==(d|0)){u=m;v=n;break}w=i[j>>0]|0;if(!(w&1))x=(w&255)>>>1;else x=k[j+4>>2]|0;if(!x){i[t>>0]=2;y=m+1|0;z=n+-1|0}else{i[t>>0]=1;y=m;z=n}j=j+12|0;m=y;n=z;t=t+1|0}t=0;n=u;m=v;b:while(1){j=k[a>>2]|0;do if(j){w=k[j+12>>2]|0;if((w|0)==(k[j+16>>2]|0)){B=0;A=ya(k[(k[j>>2]|0)+36>>2]|0,j|0)|0;C=B;B=0;if(C&1){p=5;break b}else D=A}else D=k[w>>2]|0;if((D|0)==-1){k[a>>2]=0;E=1;break}else{E=(k[a>>2]|0)==0;break}}else E=1;while(0);j=k[b>>2]|0;if(j){w=k[j+12>>2]|0;if((w|0)==(k[j+16>>2]|0)){B=0;A=ya(k[(k[j>>2]|0)+36>>2]|0,j|0)|0;C=B;B=0;if(C&1){p=5;break}else F=A}else F=k[w>>2]|0;if((F|0)==-1){k[b>>2]=0;G=0;H=1}else{G=j;H=0}}else{G=0;H=1}j=k[a>>2]|0;if(!((m|0)!=0&(E^H))){I=j;J=G;p=35;break}w=k[j+12>>2]|0;if((w|0)==(k[j+16>>2]|0)){B=0;A=ya(k[(k[j>>2]|0)+36>>2]|0,j|0)|0;j=B;B=0;if(j&1){p=5;break}else K=A}else K=k[w>>2]|0;if(!g){B=0;w=Xa(k[(k[e>>2]|0)+28>>2]|0,e|0,K|0)|0;A=B;B=0;if(A&1){p=5;break}else L=w}else L=K;w=t+1|0;A=0;j=c;C=n;M=m;N=s;while(1){if((j|0)==(d|0))break;do if((i[N>>0]|0)==1){if(!(i[j>>0]&1))O=j+4|0;else O=k[j+8>>2]|0;P=k[O+(t<<2)>>2]|0;if(!g){B=0;R=Xa(k[(k[e>>2]|0)+28>>2]|0,e|0,P|0)|0;S=B;B=0;if(S&1){p=4;break b}else T=R}else T=P;if((L|0)!=(T|0)){i[N>>0]=0;U=A;V=C;W=M+-1|0;break}P=i[j>>0]|0;if(!(P&1))X=(P&255)>>>1;else X=k[j+4>>2]|0;if((X|0)==(w|0)){i[N>>0]=2;U=1;V=C+1|0;W=M+-1|0}else{U=1;V=C;W=M}}else{U=A;V=C;W=M}while(0);A=U;j=j+12|0;C=V;M=W;N=N+1|0}if(!A){t=w;n=C;m=M;continue}N=k[a>>2]|0;j=N+12|0;P=k[j>>2]|0;if((P|0)==(k[N+16>>2]|0)){B=0;ya(k[(k[N>>2]|0)+40>>2]|0,N|0)|0;N=B;B=0;if(N&1){p=5;break}}else k[j>>2]=P+4;if((C+M|0)>>>0>1){Y=c;Z=C;_=s}else{t=w;n=C;m=M;continue}while(1){if((Y|0)==(d|0)){t=w;n=Z;m=M;continue b}if((i[_>>0]|0)==2){P=i[Y>>0]|0;if(!(P&1))$=(P&255)>>>1;else $=k[Y+4>>2]|0;if(($|0)!=(w|0)){i[_>>0]=0;aa=Z+-1|0}else aa=Z}else aa=Z;Y=Y+12|0;Z=aa;_=_+1|0}}if((p|0)==4){m=Rb()|0;ba=q;ca=m;da=Q;break}else if((p|0)==5){m=Rb()|0;ba=q;ca=m;da=Q;break}else if((p|0)==35){do if(I){m=k[I+12>>2]|0;if((m|0)==(k[I+16>>2]|0)){B=0;n=ya(k[(k[I>>2]|0)+36>>2]|0,I|0)|0;t=B;B=0;if(t&1){o=q;p=6;break a}else ea=n}else ea=k[m>>2]|0;if((ea|0)==-1){k[a>>2]=0;fa=1;break}else{fa=(k[a>>2]|0)==0;break}}else fa=1;while(0);do if(J){m=k[J+12>>2]|0;if((m|0)==(k[J+16>>2]|0)){B=0;n=ya(k[(k[J>>2]|0)+36>>2]|0,J|0)|0;t=B;B=0;if(t&1){o=q;p=6;break a}else ga=n}else ga=k[m>>2]|0;if((ga|0)!=-1)if(fa){ha=c;ia=s;break}else{p=84;break}else{k[b>>2]=0;p=82;break}}else p=82;while(0);if((p|0)==82)if(fa)p=84;else{ha=c;ia=s}if((p|0)==84){k[f>>2]=k[f>>2]|2;ha=c;ia=s}while(1){if((ha|0)==(d|0)){p=88;break}if((i[ia>>0]|0)==2){ja=ha;break}ha=ha+12|0;ia=ia+1|0}if((p|0)==88){k[f>>2]=k[f>>2]|4;ja=d}if(q)mua(q);r=h;return ja|0}}while(0);if((p|0)==6){p=Rb()|0;ba=o;ca=p;da=Q}if(ba)mua(ba);Qb(ca|0);return 0}function aDa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0;a=r;r=r+304|0;g=a+200|0;h=a+196|0;j=a+184|0;l=a+172|0;m=a+168|0;n=a+8|0;o=a+4|0;p=a;q=ACa(d)|0;Gxa(j,d,g,h);d=0;while(1){if((d|0)==3)break;k[l+(d<<2)>>2]=0;d=d+1|0}if(!(i[l>>0]&1))s=10;else s=(k[l>>2]&-2)+-1|0;B=0;eb(501,l|0,s|0,0);s=B;B=0;a:do if(!(s&1)){d=l+8|0;t=l+1|0;u=(i[l>>0]&1)==0?t:k[d>>2]|0;k[m>>2]=u;k[o>>2]=n;k[p>>2]=0;v=l+4|0;w=k[h>>2]|0;x=k[b>>2]|0;y=u;b:while(1){if(x){u=k[x+12>>2]|0;if((u|0)==(k[x+16>>2]|0)){B=0;z=ya(k[(k[x>>2]|0)+36>>2]|0,x|0)|0;A=B;B=0;if(A&1){C=28;break}else D=z}else D=k[u>>2]|0;if((D|0)==-1){k[b>>2]=0;E=0;F=1}else{E=x;F=0}}else{E=0;F=1}u=k[c>>2]|0;do if(u){z=k[u+12>>2]|0;if((z|0)==(k[u+16>>2]|0)){B=0;A=ya(k[(k[u>>2]|0)+36>>2]|0,u|0)|0;G=B;B=0;if(G&1){C=28;break b}else H=A}else H=k[z>>2]|0;if((H|0)!=-1)if(F){I=u;break}else{J=u;K=E;L=y;break b}else{k[c>>2]=0;C=20;break}}else C=20;while(0);if((C|0)==20){C=0;if(F){J=0;K=E;L=y;break}else I=0}u=i[l>>0]|0;z=(u&1)==0?(u&255)>>>1:k[v>>2]|0;if((k[m>>2]|0)==(y+z|0)){B=0;eb(501,l|0,z<<1|0,0);u=B;B=0;if(u&1){C=28;break}if(!(i[l>>0]&1))M=10;else M=(k[l>>2]&-2)+-1|0;B=0;eb(501,l|0,M|0,0);u=B;B=0;if(u&1){C=28;break}u=(i[l>>0]&1)==0?t:k[d>>2]|0;k[m>>2]=u+z;N=u}else N=y;u=E+12|0;z=k[u>>2]|0;A=E+16|0;if((z|0)==(k[A>>2]|0)){B=0;G=ya(k[(k[E>>2]|0)+36>>2]|0,E|0)|0;O=B;B=0;if(O&1){C=28;break}else P=G}else P=k[z>>2]|0;if(Cxa(P,q,N,m,p,w,j,n,o,g)|0){J=I;K=E;L=N;break}z=k[u>>2]|0;if((z|0)==(k[A>>2]|0)){B=0;ya(k[(k[E>>2]|0)+40>>2]|0,E|0)|0;A=B;B=0;if(A&1){C=28;break}else{x=E;y=N;continue}}else{k[u>>2]=z+4;x=E;y=N;continue}}if((C|0)==28){y=Rb()|0;R=y;S=Q;break}y=i[j>>0]|0;if((((y&1)==0?(y&255)>>>1:k[j+4>>2]|0)|0)!=0?(y=k[o>>2]|0,(y-n|0)<160):0){x=k[p>>2]|0;k[o>>2]=y+4;k[y>>2]=x}B=0;x=cb(73,L|0,k[m>>2]|0,e|0,q|0)|0;y=B;B=0;if(!(y&1)){k[f>>2]=x;lAa(j,n,k[o>>2]|0,e);if(K){x=k[K+12>>2]|0;if((x|0)==(k[K+16>>2]|0)){B=0;y=ya(k[(k[K>>2]|0)+36>>2]|0,K|0)|0;w=B;B=0;if(w&1){C=29;break}else T=y}else T=k[x>>2]|0;if((T|0)==-1){k[b>>2]=0;U=1}else U=0}else U=1;do if(J){x=k[J+12>>2]|0;if((x|0)==(k[J+16>>2]|0)){B=0;y=ya(k[(k[J>>2]|0)+36>>2]|0,J|0)|0;w=B;B=0;if(w&1){C=29;break a}else V=y}else V=k[x>>2]|0;if((V|0)!=-1)if(U)break;else{C=56;break}else{k[c>>2]=0;C=54;break}}else C=54;while(0);if((C|0)==54?U:0)C=56;if((C|0)==56)k[e>>2]=k[e>>2]|2;x=k[b>>2]|0;Yua(l);Yua(j);r=a;return x|0}else C=29}else C=29;while(0);if((C|0)==29){C=Rb()|0;R=C;S=Q}Yua(l);Yua(j);Qb(R|0);return 0}function bDa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0;a=r;r=r+304|0;g=a+200|0;h=a+196|0;j=a+184|0;l=a+172|0;m=a+168|0;n=a+8|0;o=a+4|0;p=a;q=ACa(d)|0;Gxa(j,d,g,h);d=0;while(1){if((d|0)==3)break;k[l+(d<<2)>>2]=0;d=d+1|0}if(!(i[l>>0]&1))s=10;else s=(k[l>>2]&-2)+-1|0;B=0;eb(501,l|0,s|0,0);s=B;B=0;a:do if(!(s&1)){d=l+8|0;t=l+1|0;u=(i[l>>0]&1)==0?t:k[d>>2]|0;k[m>>2]=u;k[o>>2]=n;k[p>>2]=0;v=l+4|0;w=k[h>>2]|0;x=k[b>>2]|0;y=u;b:while(1){if(x){u=k[x+12>>2]|0;if((u|0)==(k[x+16>>2]|0)){B=0;z=ya(k[(k[x>>2]|0)+36>>2]|0,x|0)|0;A=B;B=0;if(A&1){C=28;break}else D=z}else D=k[u>>2]|0;if((D|0)==-1){k[b>>2]=0;E=0;F=1}else{E=x;F=0}}else{E=0;F=1}u=k[c>>2]|0;do if(u){z=k[u+12>>2]|0;if((z|0)==(k[u+16>>2]|0)){B=0;A=ya(k[(k[u>>2]|0)+36>>2]|0,u|0)|0;G=B;B=0;if(G&1){C=28;break b}else H=A}else H=k[z>>2]|0;if((H|0)!=-1)if(F){I=u;break}else{J=u;K=E;L=y;break b}else{k[c>>2]=0;C=20;break}}else C=20;while(0);if((C|0)==20){C=0;if(F){J=0;K=E;L=y;break}else I=0}u=i[l>>0]|0;z=(u&1)==0?(u&255)>>>1:k[v>>2]|0;if((k[m>>2]|0)==(y+z|0)){B=0;eb(501,l|0,z<<1|0,0);u=B;B=0;if(u&1){C=28;break}if(!(i[l>>0]&1))M=10;else M=(k[l>>2]&-2)+-1|0;B=0;eb(501,l|0,M|0,0);u=B;B=0;if(u&1){C=28;break}u=(i[l>>0]&1)==0?t:k[d>>2]|0;k[m>>2]=u+z;N=u}else N=y;u=E+12|0;z=k[u>>2]|0;A=E+16|0;if((z|0)==(k[A>>2]|0)){B=0;G=ya(k[(k[E>>2]|0)+36>>2]|0,E|0)|0;O=B;B=0;if(O&1){C=28;break}else P=G}else P=k[z>>2]|0;if(Cxa(P,q,N,m,p,w,j,n,o,g)|0){J=I;K=E;L=N;break}z=k[u>>2]|0;if((z|0)==(k[A>>2]|0)){B=0;ya(k[(k[E>>2]|0)+40>>2]|0,E|0)|0;A=B;B=0;if(A&1){C=28;break}else{x=E;y=N;continue}}else{k[u>>2]=z+4;x=E;y=N;continue}}if((C|0)==28){y=Rb()|0;R=y;S=Q;break}y=i[j>>0]|0;if((((y&1)==0?(y&255)>>>1:k[j+4>>2]|0)|0)!=0?(y=k[o>>2]|0,(y-n|0)<160):0){x=k[p>>2]|0;k[o>>2]=y+4;k[y>>2]=x}B=0;x=cb(74,L|0,k[m>>2]|0,e|0,q|0)|0;y=Q;w=B;B=0;if(!(w&1)){w=f;k[w>>2]=x;k[w+4>>2]=y;lAa(j,n,k[o>>2]|0,e);if(K){y=k[K+12>>2]|0;if((y|0)==(k[K+16>>2]|0)){B=0;w=ya(k[(k[K>>2]|0)+36>>2]|0,K|0)|0;x=B;B=0;if(x&1){C=29;break}else T=w}else T=k[y>>2]|0;if((T|0)==-1){k[b>>2]=0;U=1}else U=0}else U=1;do if(J){y=k[J+12>>2]|0;if((y|0)==(k[J+16>>2]|0)){B=0;w=ya(k[(k[J>>2]|0)+36>>2]|0,J|0)|0;x=B;B=0;if(x&1){C=29;break a}else V=w}else V=k[y>>2]|0;if((V|0)!=-1)if(U)break;else{C=56;break}else{k[c>>2]=0;C=54;break}}else C=54;while(0);if((C|0)==54?U:0)C=56;if((C|0)==56)k[e>>2]=k[e>>2]|2;y=k[b>>2]|0;Yua(l);Yua(j);r=a;return y|0}else C=29}else C=29;while(0);if((C|0)==29){C=Rb()|0;R=C;S=Q}Yua(l);Yua(j);Qb(R|0);return 0}function cDa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0;a=r;r=r+304|0;g=a+200|0;h=a+196|0;l=a+184|0;m=a+172|0;n=a+168|0;o=a+8|0;p=a+4|0;q=a;s=ACa(d)|0;Gxa(l,d,g,h);d=0;while(1){if((d|0)==3)break;k[m+(d<<2)>>2]=0;d=d+1|0}if(!(i[m>>0]&1))t=10;else t=(k[m>>2]&-2)+-1|0;B=0;eb(501,m|0,t|0,0);t=B;B=0;a:do if(!(t&1)){d=m+8|0;u=m+1|0;v=(i[m>>0]&1)==0?u:k[d>>2]|0;k[n>>2]=v;k[p>>2]=o;k[q>>2]=0;w=m+4|0;x=k[h>>2]|0;y=k[b>>2]|0;z=v;b:while(1){if(y){v=k[y+12>>2]|0;if((v|0)==(k[y+16>>2]|0)){B=0;A=ya(k[(k[y>>2]|0)+36>>2]|0,y|0)|0;C=B;B=0;if(C&1){D=28;break}else E=A}else E=k[v>>2]|0;if((E|0)==-1){k[b>>2]=0;F=0;G=1}else{F=y;G=0}}else{F=0;G=1}v=k[c>>2]|0;do if(v){A=k[v+12>>2]|0;if((A|0)==(k[v+16>>2]|0)){B=0;C=ya(k[(k[v>>2]|0)+36>>2]|0,v|0)|0;H=B;B=0;if(H&1){D=28;break b}else I=C}else I=k[A>>2]|0;if((I|0)!=-1)if(G){J=v;break}else{K=v;L=F;M=z;break b}else{k[c>>2]=0;D=20;break}}else D=20;while(0);if((D|0)==20){D=0;if(G){K=0;L=F;M=z;break}else J=0}v=i[m>>0]|0;A=(v&1)==0?(v&255)>>>1:k[w>>2]|0;if((k[n>>2]|0)==(z+A|0)){B=0;eb(501,m|0,A<<1|0,0);v=B;B=0;if(v&1){D=28;break}if(!(i[m>>0]&1))N=10;else N=(k[m>>2]&-2)+-1|0;B=0;eb(501,m|0,N|0,0);v=B;B=0;if(v&1){D=28;break}v=(i[m>>0]&1)==0?u:k[d>>2]|0;k[n>>2]=v+A;O=v}else O=z;v=F+12|0;A=k[v>>2]|0;C=F+16|0;if((A|0)==(k[C>>2]|0)){B=0;H=ya(k[(k[F>>2]|0)+36>>2]|0,F|0)|0;P=B;B=0;if(P&1){D=28;break}else R=H}else R=k[A>>2]|0;if(Cxa(R,s,O,n,q,x,l,o,p,g)|0){K=J;L=F;M=O;break}A=k[v>>2]|0;if((A|0)==(k[C>>2]|0)){B=0;ya(k[(k[F>>2]|0)+40>>2]|0,F|0)|0;C=B;B=0;if(C&1){D=28;break}else{y=F;z=O;continue}}else{k[v>>2]=A+4;y=F;z=O;continue}}if((D|0)==28){z=Rb()|0;S=z;T=Q;break}z=i[l>>0]|0;if((((z&1)==0?(z&255)>>>1:k[l+4>>2]|0)|0)!=0?(z=k[p>>2]|0,(z-o|0)<160):0){y=k[q>>2]|0;k[p>>2]=z+4;k[z>>2]=y}B=0;y=cb(75,M|0,k[n>>2]|0,e|0,s|0)|0;z=B;B=0;if(!(z&1)){j[f>>1]=y;lAa(l,o,k[p>>2]|0,e);if(L){y=k[L+12>>2]|0;if((y|0)==(k[L+16>>2]|0)){B=0;z=ya(k[(k[L>>2]|0)+36>>2]|0,L|0)|0;x=B;B=0;if(x&1){D=29;break}else U=z}else U=k[y>>2]|0;if((U|0)==-1){k[b>>2]=0;V=1}else V=0}else V=1;do if(K){y=k[K+12>>2]|0;if((y|0)==(k[K+16>>2]|0)){B=0;z=ya(k[(k[K>>2]|0)+36>>2]|0,K|0)|0;x=B;B=0;if(x&1){D=29;break a}else W=z}else W=k[y>>2]|0;if((W|0)!=-1)if(V)break;else{D=56;break}else{k[c>>2]=0;D=54;break}}else D=54;while(0);if((D|0)==54?V:0)D=56;if((D|0)==56)k[e>>2]=k[e>>2]|2;y=k[b>>2]|0;Yua(m);Yua(l);r=a;return y|0}else D=29}else D=29;while(0);if((D|0)==29){D=Rb()|0;S=D;T=Q}Yua(m);Yua(l);Qb(S|0);return 0}function dDa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0;a=r;r=r+304|0;g=a+200|0;h=a+196|0;j=a+184|0;l=a+172|0;m=a+168|0;n=a+8|0;o=a+4|0;p=a;q=ACa(d)|0;Gxa(j,d,g,h);d=0;while(1){if((d|0)==3)break;k[l+(d<<2)>>2]=0;d=d+1|0}if(!(i[l>>0]&1))s=10;else s=(k[l>>2]&-2)+-1|0;B=0;eb(501,l|0,s|0,0);s=B;B=0;a:do if(!(s&1)){d=l+8|0;t=l+1|0;u=(i[l>>0]&1)==0?t:k[d>>2]|0;k[m>>2]=u;k[o>>2]=n;k[p>>2]=0;v=l+4|0;w=k[h>>2]|0;x=k[b>>2]|0;y=u;b:while(1){if(x){u=k[x+12>>2]|0;if((u|0)==(k[x+16>>2]|0)){B=0;z=ya(k[(k[x>>2]|0)+36>>2]|0,x|0)|0;A=B;B=0;if(A&1){C=28;break}else D=z}else D=k[u>>2]|0;if((D|0)==-1){k[b>>2]=0;E=0;F=1}else{E=x;F=0}}else{E=0;F=1}u=k[c>>2]|0;do if(u){z=k[u+12>>2]|0;if((z|0)==(k[u+16>>2]|0)){B=0;A=ya(k[(k[u>>2]|0)+36>>2]|0,u|0)|0;G=B;B=0;if(G&1){C=28;break b}else H=A}else H=k[z>>2]|0;if((H|0)!=-1)if(F){I=u;break}else{J=u;K=E;L=y;break b}else{k[c>>2]=0;C=20;break}}else C=20;while(0);if((C|0)==20){C=0;if(F){J=0;K=E;L=y;break}else I=0}u=i[l>>0]|0;z=(u&1)==0?(u&255)>>>1:k[v>>2]|0;if((k[m>>2]|0)==(y+z|0)){B=0;eb(501,l|0,z<<1|0,0);u=B;B=0;if(u&1){C=28;break}if(!(i[l>>0]&1))M=10;else M=(k[l>>2]&-2)+-1|0;B=0;eb(501,l|0,M|0,0);u=B;B=0;if(u&1){C=28;break}u=(i[l>>0]&1)==0?t:k[d>>2]|0;k[m>>2]=u+z;N=u}else N=y;u=E+12|0;z=k[u>>2]|0;A=E+16|0;if((z|0)==(k[A>>2]|0)){B=0;G=ya(k[(k[E>>2]|0)+36>>2]|0,E|0)|0;O=B;B=0;if(O&1){C=28;break}else P=G}else P=k[z>>2]|0;if(Cxa(P,q,N,m,p,w,j,n,o,g)|0){J=I;K=E;L=N;break}z=k[u>>2]|0;if((z|0)==(k[A>>2]|0)){B=0;ya(k[(k[E>>2]|0)+40>>2]|0,E|0)|0;A=B;B=0;if(A&1){C=28;break}else{x=E;y=N;continue}}else{k[u>>2]=z+4;x=E;y=N;continue}}if((C|0)==28){y=Rb()|0;R=y;S=Q;break}y=i[j>>0]|0;if((((y&1)==0?(y&255)>>>1:k[j+4>>2]|0)|0)!=0?(y=k[o>>2]|0,(y-n|0)<160):0){x=k[p>>2]|0;k[o>>2]=y+4;k[y>>2]=x}B=0;x=cb(76,L|0,k[m>>2]|0,e|0,q|0)|0;y=B;B=0;if(!(y&1)){k[f>>2]=x;lAa(j,n,k[o>>2]|0,e);if(K){x=k[K+12>>2]|0;if((x|0)==(k[K+16>>2]|0)){B=0;y=ya(k[(k[K>>2]|0)+36>>2]|0,K|0)|0;w=B;B=0;if(w&1){C=29;break}else T=y}else T=k[x>>2]|0;if((T|0)==-1){k[b>>2]=0;U=1}else U=0}else U=1;do if(J){x=k[J+12>>2]|0;if((x|0)==(k[J+16>>2]|0)){B=0;y=ya(k[(k[J>>2]|0)+36>>2]|0,J|0)|0;w=B;B=0;if(w&1){C=29;break a}else V=y}else V=k[x>>2]|0;if((V|0)!=-1)if(U)break;else{C=56;break}else{k[c>>2]=0;C=54;break}}else C=54;while(0);if((C|0)==54?U:0)C=56;if((C|0)==56)k[e>>2]=k[e>>2]|2;x=k[b>>2]|0;Yua(l);Yua(j);r=a;return x|0}else C=29}else C=29;while(0);if((C|0)==29){C=Rb()|0;R=C;S=Q}Yua(l);Yua(j);Qb(R|0);return 0}function eDa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0;a=r;r=r+304|0;g=a+200|0;h=a+196|0;j=a+184|0;l=a+172|0;m=a+168|0;n=a+8|0;o=a+4|0;p=a;q=ACa(d)|0;Gxa(j,d,g,h);d=0;while(1){if((d|0)==3)break;k[l+(d<<2)>>2]=0;d=d+1|0}if(!(i[l>>0]&1))s=10;else s=(k[l>>2]&-2)+-1|0;B=0;eb(501,l|0,s|0,0);s=B;B=0;a:do if(!(s&1)){d=l+8|0;t=l+1|0;u=(i[l>>0]&1)==0?t:k[d>>2]|0;k[m>>2]=u;k[o>>2]=n;k[p>>2]=0;v=l+4|0;w=k[h>>2]|0;x=k[b>>2]|0;y=u;b:while(1){if(x){u=k[x+12>>2]|0;if((u|0)==(k[x+16>>2]|0)){B=0;z=ya(k[(k[x>>2]|0)+36>>2]|0,x|0)|0;A=B;B=0;if(A&1){C=28;break}else D=z}else D=k[u>>2]|0;if((D|0)==-1){k[b>>2]=0;E=0;F=1}else{E=x;F=0}}else{E=0;F=1}u=k[c>>2]|0;do if(u){z=k[u+12>>2]|0;if((z|0)==(k[u+16>>2]|0)){B=0;A=ya(k[(k[u>>2]|0)+36>>2]|0,u|0)|0;G=B;B=0;if(G&1){C=28;break b}else H=A}else H=k[z>>2]|0;if((H|0)!=-1)if(F){I=u;break}else{J=u;K=E;L=y;break b}else{k[c>>2]=0;C=20;break}}else C=20;while(0);if((C|0)==20){C=0;if(F){J=0;K=E;L=y;break}else I=0}u=i[l>>0]|0;z=(u&1)==0?(u&255)>>>1:k[v>>2]|0;if((k[m>>2]|0)==(y+z|0)){B=0;eb(501,l|0,z<<1|0,0);u=B;B=0;if(u&1){C=28;break}if(!(i[l>>0]&1))M=10;else M=(k[l>>2]&-2)+-1|0;B=0;eb(501,l|0,M|0,0);u=B;B=0;if(u&1){C=28;break}u=(i[l>>0]&1)==0?t:k[d>>2]|0;k[m>>2]=u+z;N=u}else N=y;u=E+12|0;z=k[u>>2]|0;A=E+16|0;if((z|0)==(k[A>>2]|0)){B=0;G=ya(k[(k[E>>2]|0)+36>>2]|0,E|0)|0;O=B;B=0;if(O&1){C=28;break}else P=G}else P=k[z>>2]|0;if(Cxa(P,q,N,m,p,w,j,n,o,g)|0){J=I;K=E;L=N;break}z=k[u>>2]|0;if((z|0)==(k[A>>2]|0)){B=0;ya(k[(k[E>>2]|0)+40>>2]|0,E|0)|0;A=B;B=0;if(A&1){C=28;break}else{x=E;y=N;continue}}else{k[u>>2]=z+4;x=E;y=N;continue}}if((C|0)==28){y=Rb()|0;R=y;S=Q;break}y=i[j>>0]|0;if((((y&1)==0?(y&255)>>>1:k[j+4>>2]|0)|0)!=0?(y=k[o>>2]|0,(y-n|0)<160):0){x=k[p>>2]|0;k[o>>2]=y+4;k[y>>2]=x}B=0;x=cb(77,L|0,k[m>>2]|0,e|0,q|0)|0;y=B;B=0;if(!(y&1)){k[f>>2]=x;lAa(j,n,k[o>>2]|0,e);if(K){x=k[K+12>>2]|0;if((x|0)==(k[K+16>>2]|0)){B=0;y=ya(k[(k[K>>2]|0)+36>>2]|0,K|0)|0;w=B;B=0;if(w&1){C=29;break}else T=y}else T=k[x>>2]|0;if((T|0)==-1){k[b>>2]=0;U=1}else U=0}else U=1;do if(J){x=k[J+12>>2]|0;if((x|0)==(k[J+16>>2]|0)){B=0;y=ya(k[(k[J>>2]|0)+36>>2]|0,J|0)|0;w=B;B=0;if(w&1){C=29;break a}else V=y}else V=k[x>>2]|0;if((V|0)!=-1)if(U)break;else{C=56;break}else{k[c>>2]=0;C=54;break}}else C=54;while(0);if((C|0)==54?U:0)C=56;if((C|0)==56)k[e>>2]=k[e>>2]|2;x=k[b>>2]|0;Yua(l);Yua(j);r=a;return x|0}else C=29}else C=29;while(0);if((C|0)==29){C=Rb()|0;R=C;S=Q}Yua(l);Yua(j);Qb(R|0);return 0}function fDa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0;a=r;r=r+304|0;g=a+200|0;h=a+196|0;j=a+184|0;l=a+172|0;m=a+168|0;n=a+8|0;o=a+4|0;p=a;q=ACa(d)|0;Gxa(j,d,g,h);d=0;while(1){if((d|0)==3)break;k[l+(d<<2)>>2]=0;d=d+1|0}if(!(i[l>>0]&1))s=10;else s=(k[l>>2]&-2)+-1|0;B=0;eb(501,l|0,s|0,0);s=B;B=0;a:do if(!(s&1)){d=l+8|0;t=l+1|0;u=(i[l>>0]&1)==0?t:k[d>>2]|0;k[m>>2]=u;k[o>>2]=n;k[p>>2]=0;v=l+4|0;w=k[h>>2]|0;x=k[b>>2]|0;y=u;b:while(1){if(x){u=k[x+12>>2]|0;if((u|0)==(k[x+16>>2]|0)){B=0;z=ya(k[(k[x>>2]|0)+36>>2]|0,x|0)|0;A=B;B=0;if(A&1){C=28;break}else D=z}else D=k[u>>2]|0;if((D|0)==-1){k[b>>2]=0;E=0;F=1}else{E=x;F=0}}else{E=0;F=1}u=k[c>>2]|0;do if(u){z=k[u+12>>2]|0;if((z|0)==(k[u+16>>2]|0)){B=0;A=ya(k[(k[u>>2]|0)+36>>2]|0,u|0)|0;G=B;B=0;if(G&1){C=28;break b}else H=A}else H=k[z>>2]|0;if((H|0)!=-1)if(F){I=u;break}else{J=u;K=E;L=y;break b}else{k[c>>2]=0;C=20;break}}else C=20;while(0);if((C|0)==20){C=0;if(F){J=0;K=E;L=y;break}else I=0}u=i[l>>0]|0;z=(u&1)==0?(u&255)>>>1:k[v>>2]|0;if((k[m>>2]|0)==(y+z|0)){B=0;eb(501,l|0,z<<1|0,0);u=B;B=0;if(u&1){C=28;break}if(!(i[l>>0]&1))M=10;else M=(k[l>>2]&-2)+-1|0;B=0;eb(501,l|0,M|0,0);u=B;B=0;if(u&1){C=28;break}u=(i[l>>0]&1)==0?t:k[d>>2]|0;k[m>>2]=u+z;N=u}else N=y;u=E+12|0;z=k[u>>2]|0;A=E+16|0;if((z|0)==(k[A>>2]|0)){B=0;G=ya(k[(k[E>>2]|0)+36>>2]|0,E|0)|0;O=B;B=0;if(O&1){C=28;break}else P=G}else P=k[z>>2]|0;if(Cxa(P,q,N,m,p,w,j,n,o,g)|0){J=I;K=E;L=N;break}z=k[u>>2]|0;if((z|0)==(k[A>>2]|0)){B=0;ya(k[(k[E>>2]|0)+40>>2]|0,E|0)|0;A=B;B=0;if(A&1){C=28;break}else{x=E;y=N;continue}}else{k[u>>2]=z+4;x=E;y=N;continue}}if((C|0)==28){y=Rb()|0;R=y;S=Q;break}y=i[j>>0]|0;if((((y&1)==0?(y&255)>>>1:k[j+4>>2]|0)|0)!=0?(y=k[o>>2]|0,(y-n|0)<160):0){x=k[p>>2]|0;k[o>>2]=y+4;k[y>>2]=x}B=0;x=cb(78,L|0,k[m>>2]|0,e|0,q|0)|0;y=Q;w=B;B=0;if(!(w&1)){w=f;k[w>>2]=x;k[w+4>>2]=y;lAa(j,n,k[o>>2]|0,e);if(K){y=k[K+12>>2]|0;if((y|0)==(k[K+16>>2]|0)){B=0;w=ya(k[(k[K>>2]|0)+36>>2]|0,K|0)|0;x=B;B=0;if(x&1){C=29;break}else T=w}else T=k[y>>2]|0;if((T|0)==-1){k[b>>2]=0;U=1}else U=0}else U=1;do if(J){y=k[J+12>>2]|0;if((y|0)==(k[J+16>>2]|0)){B=0;w=ya(k[(k[J>>2]|0)+36>>2]|0,J|0)|0;x=B;B=0;if(x&1){C=29;break a}else V=w}else V=k[y>>2]|0;if((V|0)!=-1)if(U)break;else{C=56;break}else{k[c>>2]=0;C=54;break}}else C=54;while(0);if((C|0)==54?U:0)C=56;if((C|0)==56)k[e>>2]=k[e>>2]|2;y=k[b>>2]|0;Yua(l);Yua(j);r=a;return y|0}else C=29}else C=29;while(0);if((C|0)==29){C=Rb()|0;R=C;S=Q}Yua(l);Yua(j);Qb(R|0);return 0}function gDa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0.0,Y=0,Z=0,_=0;a=r;r=r+352|0;g=a+208|0;h=a+200|0;j=a+196|0;l=a+184|0;m=a+172|0;n=a+168|0;p=a+8|0;q=a+4|0;s=a;t=a+337|0;u=a+336|0;Hxa(l,d,g,h,j);d=0;while(1){if((d|0)==3)break;k[m+(d<<2)>>2]=0;d=d+1|0}if(!(i[m>>0]&1))v=10;else v=(k[m>>2]&-2)+-1|0;B=0;eb(501,m|0,v|0,0);v=B;B=0;a:do if(!(v&1)){d=m+8|0;w=m+1|0;x=(i[m>>0]&1)==0?w:k[d>>2]|0;k[n>>2]=x;k[q>>2]=p;k[s>>2]=0;i[t>>0]=1;i[u>>0]=69;y=m+4|0;z=k[h>>2]|0;A=k[j>>2]|0;C=k[b>>2]|0;D=x;b:while(1){if(C){x=k[C+12>>2]|0;if((x|0)==(k[C+16>>2]|0)){B=0;E=ya(k[(k[C>>2]|0)+36>>2]|0,C|0)|0;F=B;B=0;if(F&1){G=28;break}else H=E}else H=k[x>>2]|0;if((H|0)==-1){k[b>>2]=0;I=0;J=1}else{I=C;J=0}}else{I=0;J=1}x=k[c>>2]|0;do if(x){E=k[x+12>>2]|0;if((E|0)==(k[x+16>>2]|0)){B=0;F=ya(k[(k[x>>2]|0)+36>>2]|0,x|0)|0;K=B;B=0;if(K&1){G=28;break b}else L=F}else L=k[E>>2]|0;if((L|0)!=-1)if(J){M=x;break}else{N=x;O=I;P=D;break b}else{k[c>>2]=0;G=20;break}}else G=20;while(0);if((G|0)==20){G=0;if(J){N=0;O=I;P=D;break}else M=0}x=i[m>>0]|0;E=(x&1)==0?(x&255)>>>1:k[y>>2]|0;if((k[n>>2]|0)==(D+E|0)){B=0;eb(501,m|0,E<<1|0,0);x=B;B=0;if(x&1){G=28;break}if(!(i[m>>0]&1))R=10;else R=(k[m>>2]&-2)+-1|0;B=0;eb(501,m|0,R|0,0);x=B;B=0;if(x&1){G=28;break}x=(i[m>>0]&1)==0?w:k[d>>2]|0;k[n>>2]=x+E;S=x}else S=D;x=I+12|0;E=k[x>>2]|0;F=I+16|0;if((E|0)==(k[F>>2]|0)){B=0;K=ya(k[(k[I>>2]|0)+36>>2]|0,I|0)|0;T=B;B=0;if(T&1){G=28;break}else U=K}else U=k[E>>2]|0;if(Ixa(U,t,u,S,n,z,A,l,p,q,s,g)|0){N=M;O=I;P=S;break}E=k[x>>2]|0;if((E|0)==(k[F>>2]|0)){B=0;ya(k[(k[I>>2]|0)+40>>2]|0,I|0)|0;F=B;B=0;if(F&1){G=28;break}else{C=I;D=S;continue}}else{k[x>>2]=E+4;C=I;D=S;continue}}if((G|0)==28){D=Rb()|0;V=D;W=Q;break}D=i[l>>0]|0;if(!((i[t>>0]|0)==0?1:(((D&1)==0?(D&255)>>>1:k[l+4>>2]|0)|0)==0)?(D=k[q>>2]|0,(D-p|0)<160):0){C=k[s>>2]|0;k[q>>2]=D+4;k[D>>2]=C}B=0;X=+Za(3,P|0,k[n>>2]|0,e|0);C=B;B=0;if(!(C&1)){o[f>>2]=X;lAa(l,p,k[q>>2]|0,e);if(O){C=k[O+12>>2]|0;if((C|0)==(k[O+16>>2]|0)){B=0;D=ya(k[(k[O>>2]|0)+36>>2]|0,O|0)|0;A=B;B=0;if(A&1){G=29;break}else Y=D}else Y=k[C>>2]|0;if((Y|0)==-1){k[b>>2]=0;Z=1}else Z=0}else Z=1;do if(N){C=k[N+12>>2]|0;if((C|0)==(k[N+16>>2]|0)){B=0;D=ya(k[(k[N>>2]|0)+36>>2]|0,N|0)|0;A=B;B=0;if(A&1){G=29;break a}else _=D}else _=k[C>>2]|0;if((_|0)!=-1)if(Z)break;else{G=56;break}else{k[c>>2]=0;G=54;break}}else G=54;while(0);if((G|0)==54?Z:0)G=56;if((G|0)==56)k[e>>2]=k[e>>2]|2;C=k[b>>2]|0;Yua(m);Yua(l);r=a;return C|0}else G=29}else G=29;while(0);if((G|0)==29){G=Rb()|0;V=G;W=Q}Yua(m);Yua(l);Qb(V|0);return 0}function hDa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0.0,Y=0,Z=0,_=0;a=r;r=r+352|0;g=a+208|0;h=a+200|0;j=a+196|0;l=a+184|0;m=a+172|0;n=a+168|0;o=a+8|0;q=a+4|0;s=a;t=a+337|0;u=a+336|0;Hxa(l,d,g,h,j);d=0;while(1){if((d|0)==3)break;k[m+(d<<2)>>2]=0;d=d+1|0}if(!(i[m>>0]&1))v=10;else v=(k[m>>2]&-2)+-1|0;B=0;eb(501,m|0,v|0,0);v=B;B=0;a:do if(!(v&1)){d=m+8|0;w=m+1|0;x=(i[m>>0]&1)==0?w:k[d>>2]|0;k[n>>2]=x;k[q>>2]=o;k[s>>2]=0;i[t>>0]=1;i[u>>0]=69;y=m+4|0;z=k[h>>2]|0;A=k[j>>2]|0;C=k[b>>2]|0;D=x;b:while(1){if(C){x=k[C+12>>2]|0;if((x|0)==(k[C+16>>2]|0)){B=0;E=ya(k[(k[C>>2]|0)+36>>2]|0,C|0)|0;F=B;B=0;if(F&1){G=28;break}else H=E}else H=k[x>>2]|0;if((H|0)==-1){k[b>>2]=0;I=0;J=1}else{I=C;J=0}}else{I=0;J=1}x=k[c>>2]|0;do if(x){E=k[x+12>>2]|0;if((E|0)==(k[x+16>>2]|0)){B=0;F=ya(k[(k[x>>2]|0)+36>>2]|0,x|0)|0;K=B;B=0;if(K&1){G=28;break b}else L=F}else L=k[E>>2]|0;if((L|0)!=-1)if(J){M=x;break}else{N=x;O=I;P=D;break b}else{k[c>>2]=0;G=20;break}}else G=20;while(0);if((G|0)==20){G=0;if(J){N=0;O=I;P=D;break}else M=0}x=i[m>>0]|0;E=(x&1)==0?(x&255)>>>1:k[y>>2]|0;if((k[n>>2]|0)==(D+E|0)){B=0;eb(501,m|0,E<<1|0,0);x=B;B=0;if(x&1){G=28;break}if(!(i[m>>0]&1))R=10;else R=(k[m>>2]&-2)+-1|0;B=0;eb(501,m|0,R|0,0);x=B;B=0;if(x&1){G=28;break}x=(i[m>>0]&1)==0?w:k[d>>2]|0;k[n>>2]=x+E;S=x}else S=D;x=I+12|0;E=k[x>>2]|0;F=I+16|0;if((E|0)==(k[F>>2]|0)){B=0;K=ya(k[(k[I>>2]|0)+36>>2]|0,I|0)|0;T=B;B=0;if(T&1){G=28;break}else U=K}else U=k[E>>2]|0;if(Ixa(U,t,u,S,n,z,A,l,o,q,s,g)|0){N=M;O=I;P=S;break}E=k[x>>2]|0;if((E|0)==(k[F>>2]|0)){B=0;ya(k[(k[I>>2]|0)+40>>2]|0,I|0)|0;F=B;B=0;if(F&1){G=28;break}else{C=I;D=S;continue}}else{k[x>>2]=E+4;C=I;D=S;continue}}if((G|0)==28){D=Rb()|0;V=D;W=Q;break}D=i[l>>0]|0;if(!((i[t>>0]|0)==0?1:(((D&1)==0?(D&255)>>>1:k[l+4>>2]|0)|0)==0)?(D=k[q>>2]|0,(D-o|0)<160):0){C=k[s>>2]|0;k[q>>2]=D+4;k[D>>2]=C}B=0;X=+Za(4,P|0,k[n>>2]|0,e|0);C=B;B=0;if(!(C&1)){p[f>>3]=X;lAa(l,o,k[q>>2]|0,e);if(O){C=k[O+12>>2]|0;if((C|0)==(k[O+16>>2]|0)){B=0;D=ya(k[(k[O>>2]|0)+36>>2]|0,O|0)|0;A=B;B=0;if(A&1){G=29;break}else Y=D}else Y=k[C>>2]|0;if((Y|0)==-1){k[b>>2]=0;Z=1}else Z=0}else Z=1;do if(N){C=k[N+12>>2]|0;if((C|0)==(k[N+16>>2]|0)){B=0;D=ya(k[(k[N>>2]|0)+36>>2]|0,N|0)|0;A=B;B=0;if(A&1){G=29;break a}else _=D}else _=k[C>>2]|0;if((_|0)!=-1)if(Z)break;else{G=56;break}else{k[c>>2]=0;G=54;break}}else G=54;while(0);if((G|0)==54?Z:0)G=56;if((G|0)==56)k[e>>2]=k[e>>2]|2;C=k[b>>2]|0;Yua(m);Yua(l);r=a;return C|0}else G=29}else G=29;while(0);if((G|0)==29){G=Rb()|0;V=G;W=Q}Yua(m);Yua(l);Qb(V|0);return 0}function iDa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0.0,Y=0,Z=0,_=0;a=r;r=r+352|0;g=a+208|0;h=a+200|0;j=a+196|0;l=a+184|0;m=a+172|0;n=a+168|0;o=a+8|0;q=a+4|0;s=a;t=a+337|0;u=a+336|0;Hxa(l,d,g,h,j);d=0;while(1){if((d|0)==3)break;k[m+(d<<2)>>2]=0;d=d+1|0}if(!(i[m>>0]&1))v=10;else v=(k[m>>2]&-2)+-1|0;B=0;eb(501,m|0,v|0,0);v=B;B=0;a:do if(!(v&1)){d=m+8|0;w=m+1|0;x=(i[m>>0]&1)==0?w:k[d>>2]|0;k[n>>2]=x;k[q>>2]=o;k[s>>2]=0;i[t>>0]=1;i[u>>0]=69;y=m+4|0;z=k[h>>2]|0;A=k[j>>2]|0;C=k[b>>2]|0;D=x;b:while(1){if(C){x=k[C+12>>2]|0;if((x|0)==(k[C+16>>2]|0)){B=0;E=ya(k[(k[C>>2]|0)+36>>2]|0,C|0)|0;F=B;B=0;if(F&1){G=28;break}else H=E}else H=k[x>>2]|0;if((H|0)==-1){k[b>>2]=0;I=0;J=1}else{I=C;J=0}}else{I=0;J=1}x=k[c>>2]|0;do if(x){E=k[x+12>>2]|0;if((E|0)==(k[x+16>>2]|0)){B=0;F=ya(k[(k[x>>2]|0)+36>>2]|0,x|0)|0;K=B;B=0;if(K&1){G=28;break b}else L=F}else L=k[E>>2]|0;if((L|0)!=-1)if(J){M=x;break}else{N=x;O=I;P=D;break b}else{k[c>>2]=0;G=20;break}}else G=20;while(0);if((G|0)==20){G=0;if(J){N=0;O=I;P=D;break}else M=0}x=i[m>>0]|0;E=(x&1)==0?(x&255)>>>1:k[y>>2]|0;if((k[n>>2]|0)==(D+E|0)){B=0;eb(501,m|0,E<<1|0,0);x=B;B=0;if(x&1){G=28;break}if(!(i[m>>0]&1))R=10;else R=(k[m>>2]&-2)+-1|0;B=0;eb(501,m|0,R|0,0);x=B;B=0;if(x&1){G=28;break}x=(i[m>>0]&1)==0?w:k[d>>2]|0;k[n>>2]=x+E;S=x}else S=D;x=I+12|0;E=k[x>>2]|0;F=I+16|0;if((E|0)==(k[F>>2]|0)){B=0;K=ya(k[(k[I>>2]|0)+36>>2]|0,I|0)|0;T=B;B=0;if(T&1){G=28;break}else U=K}else U=k[E>>2]|0;if(Ixa(U,t,u,S,n,z,A,l,o,q,s,g)|0){N=M;O=I;P=S;break}E=k[x>>2]|0;if((E|0)==(k[F>>2]|0)){B=0;ya(k[(k[I>>2]|0)+40>>2]|0,I|0)|0;F=B;B=0;if(F&1){G=28;break}else{C=I;D=S;continue}}else{k[x>>2]=E+4;C=I;D=S;continue}}if((G|0)==28){D=Rb()|0;V=D;W=Q;break}D=i[l>>0]|0;if(!((i[t>>0]|0)==0?1:(((D&1)==0?(D&255)>>>1:k[l+4>>2]|0)|0)==0)?(D=k[q>>2]|0,(D-o|0)<160):0){C=k[s>>2]|0;k[q>>2]=D+4;k[D>>2]=C}B=0;X=+Za(5,P|0,k[n>>2]|0,e|0);C=B;B=0;if(!(C&1)){p[f>>3]=X;lAa(l,o,k[q>>2]|0,e);if(O){C=k[O+12>>2]|0;if((C|0)==(k[O+16>>2]|0)){B=0;D=ya(k[(k[O>>2]|0)+36>>2]|0,O|0)|0;A=B;B=0;if(A&1){G=29;break}else Y=D}else Y=k[C>>2]|0;if((Y|0)==-1){k[b>>2]=0;Z=1}else Z=0}else Z=1;do if(N){C=k[N+12>>2]|0;if((C|0)==(k[N+16>>2]|0)){B=0;D=ya(k[(k[N>>2]|0)+36>>2]|0,N|0)|0;A=B;B=0;if(A&1){G=29;break a}else _=D}else _=k[C>>2]|0;if((_|0)!=-1)if(Z)break;else{G=56;break}else{k[c>>2]=0;G=54;break}}else G=54;while(0);if((G|0)==54?Z:0)G=56;if((G|0)==56)k[e>>2]=k[e>>2]|2;C=k[b>>2]|0;Yua(m);Yua(l);r=a;return C|0}else G=29}else G=29;while(0);if((G|0)==29){G=Rb()|0;V=G;W=Q}Yua(m);Yua(l);Qb(V|0);return 0}function jDa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;f=r;r=r+16|0;g=f;k[g>>2]=e;e=esa(c)|0;c=wta(a,b,d,g)|0;if((e|0)!=0?(B=0,ya(444,e|0)|0,e=B,B=0,e&1):0){e=Rb(0)|0;Dd(e)}r=f;return c|0}function kDa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=r;r=r+16|0;f=e;k[f>>2]=d;d=esa(b)|0;B=0;b=Ia(58,a|0,c|0,f|0)|0;f=B;B=0;if(f&1){f=Rb()|0;if((d|0)!=0?(B=0,ya(444,d|0)|0,c=B,B=0,c&1):0){c=Rb(0)|0;Dd(c)}Qb(f|0)}else{if((d|0)!=0?(B=0,ya(444,d|0)|0,d=B,B=0,d&1):0){d=Rb(0)|0;Dd(d)}r=e;return b|0}return 0}function lDa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;g=r;r=r+16|0;h=g;j=k[a>>2]|0;a:do if(!j)l=0;else{m=d;n=b;o=m-n>>2;p=e+12|0;q=k[p>>2]|0;s=(q|0)>(o|0)?q-o|0:0;o=c;q=o-n|0;n=q>>2;if((q|0)>0?(Rc[k[(k[j>>2]|0)+48>>2]&63](j,b,n)|0)!=(n|0):0){k[a>>2]=0;l=0;break}do if((s|0)>0){jva(h,s,f);B=0;n=Ia(k[(k[j>>2]|0)+48>>2]|0,j|0,((i[h>>0]&1)==0?h+4|0:k[h+8>>2]|0)|0,s|0)|0;q=B;B=0;if(q&1){q=Rb()|0;kva(h);Qb(q|0)}if((n|0)==(s|0)){kva(h);break}else{k[a>>2]=0;kva(h);l=0;break a}}while(0);s=m-o|0;n=s>>2;if((s|0)>0?(Rc[k[(k[j>>2]|0)+48>>2]&63](j,c,n)|0)!=(n|0):0){k[a>>2]=0;l=0;break}k[p>>2]=0;l=j}while(0);r=g;return l|0}function mDa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;f=k[a>>2]|0;do if(f)if((k[f+12>>2]|0)==(k[f+16>>2]|0))if((Hc[k[(k[f>>2]|0)+36>>2]&511](f)|0)==-1){k[a>>2]=0;g=0;break}else{g=k[a>>2]|0;break}else g=f;else g=0;while(0);f=(g|0)==0;g=k[b>>2]|0;do if(g){if((k[g+12>>2]|0)==(k[g+16>>2]|0)?(Hc[k[(k[g>>2]|0)+36>>2]&511](g)|0)==-1:0){k[b>>2]=0;h=11;break}if(f){i=g;h=13}else h=12}else h=11;while(0);if((h|0)==11)if(f)h=12;else{i=0;h=13}a:do if((h|0)==12){k[c>>2]=k[c>>2]|6;m=0}else if((h|0)==13){f=k[a>>2]|0;g=k[f+12>>2]|0;if((g|0)==(k[f+16>>2]|0))n=Hc[k[(k[f>>2]|0)+36>>2]&511](f)|0;else n=l[g>>0]|0;g=n&255;if(g<<24>>24>-1?(f=d+8|0,(j[(k[f>>2]|0)+(n<<24>>24<<1)>>1]&2048)!=0):0){o=(Rc[k[(k[d>>2]|0)+36>>2]&63](d,g,0)|0)<<24>>24;g=k[a>>2]|0;p=g+12|0;q=k[p>>2]|0;if((q|0)==(k[g+16>>2]|0)){Hc[k[(k[g>>2]|0)+40>>2]&511](g)|0;r=e;s=i;t=i;u=o}else{k[p>>2]=q+1;r=e;s=i;t=i;u=o}while(1){o=u+-48|0;q=r+-1|0;p=k[a>>2]|0;do if(p)if((k[p+12>>2]|0)==(k[p+16>>2]|0))if((Hc[k[(k[p>>2]|0)+36>>2]&511](p)|0)==-1){k[a>>2]=0;v=0;break}else{v=k[a>>2]|0;break}else v=p;else v=0;while(0);p=(v|0)==0;if(t)if((k[t+12>>2]|0)==(k[t+16>>2]|0))if((Hc[k[(k[t>>2]|0)+36>>2]&511](t)|0)==-1){k[b>>2]=0;w=0;x=0}else{w=s;x=s}else{w=s;x=t}else{w=s;x=0}g=k[a>>2]|0;if(!((r|0)>1&(p^(x|0)==0))){y=g;z=w;A=o;break}p=k[g+12>>2]|0;if((p|0)==(k[g+16>>2]|0))B=Hc[k[(k[g>>2]|0)+36>>2]&511](g)|0;else B=l[p>>0]|0;p=B&255;if(p<<24>>24<=-1){m=o;break a}if(!(j[(k[f>>2]|0)+(B<<24>>24<<1)>>1]&2048)){m=o;break a}g=((Rc[k[(k[d>>2]|0)+36>>2]&63](d,p,0)|0)<<24>>24)+(o*10|0)|0;p=k[a>>2]|0;C=p+12|0;D=k[C>>2]|0;if((D|0)==(k[p+16>>2]|0)){Hc[k[(k[p>>2]|0)+40>>2]&511](p)|0;r=q;s=w;t=x;u=g;continue}else{k[C>>2]=D+1;r=q;s=w;t=x;u=g;continue}}do if(y)if((k[y+12>>2]|0)==(k[y+16>>2]|0))if((Hc[k[(k[y>>2]|0)+36>>2]&511](y)|0)==-1){k[a>>2]=0;E=0;break}else{E=k[a>>2]|0;break}else E=y;else E=0;while(0);f=(E|0)==0;do if(z){if((k[z+12>>2]|0)==(k[z+16>>2]|0)?(Hc[k[(k[z>>2]|0)+36>>2]&511](z)|0)==-1:0){k[b>>2]=0;h=50;break}if(f){m=A;break a}}else h=50;while(0);if((h|0)==50?!f:0){m=A;break}k[c>>2]=k[c>>2]|2;m=A;break}k[c>>2]=k[c>>2]|4;m=0}while(0);return m|0}function nDa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;f=k[a>>2]|0;do if(f){g=k[f+12>>2]|0;if((g|0)==(k[f+16>>2]|0))h=Hc[k[(k[f>>2]|0)+36>>2]&511](f)|0;else h=k[g>>2]|0;if((h|0)==-1){k[a>>2]=0;i=1;break}else{i=(k[a>>2]|0)==0;break}}else i=1;while(0);h=k[b>>2]|0;do if(h){f=k[h+12>>2]|0;if((f|0)==(k[h+16>>2]|0))j=Hc[k[(k[h>>2]|0)+36>>2]&511](h)|0;else j=k[f>>2]|0;if((j|0)!=-1)if(i){l=h;m=17;break}else{m=16;break}else{k[b>>2]=0;m=14;break}}else m=14;while(0);if((m|0)==14)if(i)m=16;else{l=0;m=17}a:do if((m|0)==16){k[c>>2]=k[c>>2]|6;n=0}else if((m|0)==17){i=k[a>>2]|0;h=k[i+12>>2]|0;if((h|0)==(k[i+16>>2]|0))o=Hc[k[(k[i>>2]|0)+36>>2]&511](i)|0;else o=k[h>>2]|0;if(!(Rc[k[(k[d>>2]|0)+12>>2]&63](d,2048,o)|0)){k[c>>2]=k[c>>2]|4;n=0;break}h=(Rc[k[(k[d>>2]|0)+52>>2]&63](d,o,0)|0)<<24>>24;i=k[a>>2]|0;j=i+12|0;f=k[j>>2]|0;if((f|0)==(k[i+16>>2]|0)){Hc[k[(k[i>>2]|0)+40>>2]&511](i)|0;p=e;q=l;r=l;s=h}else{k[j>>2]=f+4;p=e;q=l;r=l;s=h}while(1){h=s+-48|0;f=p+-1|0;j=k[a>>2]|0;do if(j){i=k[j+12>>2]|0;if((i|0)==(k[j+16>>2]|0))t=Hc[k[(k[j>>2]|0)+36>>2]&511](j)|0;else t=k[i>>2]|0;if((t|0)==-1){k[a>>2]=0;u=1;break}else{u=(k[a>>2]|0)==0;break}}else u=1;while(0);do if(r){j=k[r+12>>2]|0;if((j|0)==(k[r+16>>2]|0))v=Hc[k[(k[r>>2]|0)+36>>2]&511](r)|0;else v=k[j>>2]|0;if((v|0)==-1){k[b>>2]=0;w=0;x=0;y=1;break}else{w=q;x=q;y=(q|0)==0;break}}else{w=q;x=0;y=1}while(0);j=k[a>>2]|0;if(!((p|0)>1&(u^y))){z=j;A=w;B=h;break}i=k[j+12>>2]|0;if((i|0)==(k[j+16>>2]|0))C=Hc[k[(k[j>>2]|0)+36>>2]&511](j)|0;else C=k[i>>2]|0;if(!(Rc[k[(k[d>>2]|0)+12>>2]&63](d,2048,C)|0)){n=h;break a}i=((Rc[k[(k[d>>2]|0)+52>>2]&63](d,C,0)|0)<<24>>24)+(h*10|0)|0;j=k[a>>2]|0;g=j+12|0;D=k[g>>2]|0;if((D|0)==(k[j+16>>2]|0)){Hc[k[(k[j>>2]|0)+40>>2]&511](j)|0;p=f;q=w;r=x;s=i;continue}else{k[g>>2]=D+4;p=f;q=w;r=x;s=i;continue}}do if(z){i=k[z+12>>2]|0;if((i|0)==(k[z+16>>2]|0))E=Hc[k[(k[z>>2]|0)+36>>2]&511](z)|0;else E=k[i>>2]|0;if((E|0)==-1){k[a>>2]=0;F=1;break}else{F=(k[a>>2]|0)==0;break}}else F=1;while(0);do if(A){i=k[A+12>>2]|0;if((i|0)==(k[A+16>>2]|0))G=Hc[k[(k[A>>2]|0)+36>>2]&511](A)|0;else G=k[i>>2]|0;if((G|0)!=-1)if(F){n=B;break a}else break;else{k[b>>2]=0;m=60;break}}else m=60;while(0);if((m|0)==60?!F:0){n=B;break}k[c>>2]=k[c>>2]|2;n=B}while(0);return n|0}function oDa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;d=a+4|0;e=(k[d>>2]|0)!=552;f=k[a>>2]|0;g=(k[c>>2]|0)-f|0;h=g>>>0<2147483647?g<<1:-1;g=(k[b>>2]|0)-f|0;i=oua(e?f:0,h)|0;if(!i)Gra();do if(!e){f=k[a>>2]|0;k[a>>2]=i;if(f){B=0;va(k[d>>2]|0,f|0);f=B;B=0;if(f&1){f=Rb(0)|0;Dd(f)}else{j=k[a>>2]|0;break}}else j=i}else{k[a>>2]=i;j=i}while(0);k[d>>2]=564;k[b>>2]=j+g;k[c>>2]=(k[a>>2]|0)+h;return}function pDa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;d=a+4|0;e=(k[d>>2]|0)!=552;f=k[a>>2]|0;g=(k[c>>2]|0)-f|0;h=g>>>0<2147483647?g<<1:-1;g=(k[b>>2]|0)-f>>2;i=oua(e?f:0,h)|0;if(!i)Gra();do if(!e){f=k[a>>2]|0;k[a>>2]=i;if(f){B=0;va(k[d>>2]|0,f|0);f=B;B=0;if(f&1){f=Rb(0)|0;Dd(f)}else{j=k[a>>2]|0;break}}else j=i}else{k[a>>2]=i;j=i}while(0);k[d>>2]=564;k[b>>2]=j+(g<<2);k[c>>2]=(k[a>>2]|0)+(h>>>2<<2);return}function qDa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;d=b;e=i[a>>0]|0;if(!(e&1)){f=10;g=(e&255)>>>1;h=e}else{e=k[a>>2]|0;f=(e&-2)+-1|0;g=k[a+4>>2]|0;h=e&255}e=c-d|0;do if((c|0)!=(b|0)){if((f-g|0)>>>0<e>>>0){hva(a,f,g+e-f|0,g,g,0,0);j=i[a>>0]|0}else j=h;if(!(j&1))l=a+1|0;else l=k[a+8>>2]|0;m=c+(g-d)|0;n=b;o=l+g|0;while(1){if((n|0)==(c|0))break;i[o>>0]=i[n>>0]|0;n=n+1|0;o=o+1|0}i[l+m>>0]=0;o=g+e|0;if(!(i[a>>0]&1)){i[a>>0]=o<<1;break}else{k[a+4>>2]=o;break}}while(0);return a|0}function rDa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;d=a+4|0;e=(k[d>>2]|0)!=552;f=k[a>>2]|0;g=(k[c>>2]|0)-f|0;h=g>>>0<2147483647?g<<1:-1;g=(k[b>>2]|0)-f>>2;i=oua(e?f:0,h)|0;if(!i)Gra();do if(!e){f=k[a>>2]|0;k[a>>2]=i;if(f){B=0;va(k[d>>2]|0,f|0);f=B;B=0;if(f&1){f=Rb(0)|0;Dd(f)}else{j=k[a>>2]|0;break}}else j=i}else{k[a>>2]=i;j=i}while(0);k[d>>2]=564;k[b>>2]=j+(g<<2);k[c>>2]=(k[a>>2]|0)+(h>>>2<<2);return}function sDa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;d=b;e=i[a>>0]|0;if(!(e&1)){f=1;g=(e&255)>>>1;h=e}else{e=k[a>>2]|0;f=(e&-2)+-1|0;g=k[a+4>>2]|0;h=e&255}e=c-d>>2;do if(e){if((f-g|0)>>>0<e>>>0){qva(a,f,g+e-f|0,g,g,0,0);j=i[a>>0]|0}else j=h;if(!(j&1))l=a+4|0;else l=k[a+8>>2]|0;m=g+((c-d|0)>>>2)|0;n=b;o=l+(g<<2)|0;while(1){if((n|0)==(c|0))break;k[o>>2]=k[n>>2];n=n+4|0;o=o+4|0}k[l+(m<<2)>>2]=0;o=g+e|0;if(!(i[a>>0]&1)){i[a>>0]=o<<1;break}else{k[a+4>>2]=o;break}}while(0);return a|0}function tDa(a,b){a=a|0;b=b|0;var c=0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;i[a+128>>0]=0;do if(b){B=0;wa(562,a|0,b|0);c=B;B=0;if(c&1){c=Rb()|0;WDa(a);Qb(c|0)}else{lEa(a,b);break}}while(0);return}function uDa(a,b){a=a|0;b=b|0;QAa(a,b,_Aa(48248)|0);return}function vDa(a,b){a=a|0;b=b|0;QAa(a,b,_Aa(48288)|0);return}function wDa(a,b){a=a|0;b=b|0;QAa(a,b,_Aa(49320)|0);return}function xDa(a,b){a=a|0;b=b|0;QAa(a,b,_Aa(49312)|0);return}function yDa(a,b){a=a|0;b=b|0;QAa(a,b,_Aa(49380)|0);return}function zDa(a,b){a=a|0;b=b|0;QAa(a,b,_Aa(49388)|0);return}function ADa(a,b){a=a|0;b=b|0;QAa(a,b,_Aa(49444)|0);return}function BDa(a,b){a=a|0;b=b|0;QAa(a,b,_Aa(49452)|0);return}function CDa(a,b){a=a|0;b=b|0;QAa(a,b,_Aa(49460)|0);return}function DDa(a,b){a=a|0;b=b|0;QAa(a,b,_Aa(49468)|0);return}function EDa(a,b){a=a|0;b=b|0;QAa(a,b,_Aa(48360)|0);return}function FDa(a,b){a=a|0;b=b|0;QAa(a,b,_Aa(48432)|0);return}function GDa(a,b){a=a|0;b=b|0;QAa(a,b,_Aa(48492)|0);return}function HDa(a,b){a=a|0;b=b|0;QAa(a,b,_Aa(48552)|0);return}function IDa(a,b){a=a|0;b=b|0;QAa(a,b,_Aa(48864)|0);return}function JDa(a,b){a=a|0;b=b|0;QAa(a,b,_Aa(48928)|0);return}function KDa(a,b){a=a|0;b=b|0;QAa(a,b,_Aa(48992)|0);return}function LDa(a,b){a=a|0;b=b|0;QAa(a,b,_Aa(49056)|0);return}function MDa(a,b){a=a|0;b=b|0;QAa(a,b,_Aa(49092)|0);return}function NDa(a,b){a=a|0;b=b|0;QAa(a,b,_Aa(49128)|0);return}function ODa(a,b){a=a|0;b=b|0;QAa(a,b,_Aa(49164)|0);return}function PDa(a,b){a=a|0;b=b|0;QAa(a,b,_Aa(49200)|0);return}function QDa(a,b){a=a|0;b=b|0;QAa(a,b,_Aa(48644)|0);return}function RDa(a,b){a=a|0;b=b|0;QAa(a,b,_Aa(48736)|0);return}function SDa(a,b){a=a|0;b=b|0;QAa(a,b,_Aa(48768)|0);return}function TDa(a,b){a=a|0;b=b|0;QAa(a,b,_Aa(48800)|0);return}function UDa(a,b){a=a|0;b=b|0;QAa(a,b,_Aa(49240)|0);return}function VDa(a,b){a=a|0;b=b|0;QAa(a,b,_Aa(49280)|0);return}function WDa(a){a=a|0;var b=0,c=0,d=0,e=0;b=k[a>>2]|0;do if(b){c=a+4|0;d=k[c>>2]|0;while(1){if((d|0)==(b|0))break;e=d+-4|0;k[c>>2]=e;d=e}if((a+16|0)==(b|0)){i[a+128>>0]=0;break}else{Sqa(b);break}}while(0);return}function XDa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0;c=a+4|0;d=k[c>>2]|0;e=k[a>>2]|0;f=d-e>>2;g=e;e=d;a:do if(f>>>0>=b>>>0){if(f>>>0>b>>>0){d=g+(b<<2)|0;h=e;while(1){if((h|0)==(d|0))break a;i=h+-4|0;k[c>>2]=i;h=i}}}else kEa(a,b-f|0);while(0);return}function YDa(a,b){a=a|0;b=b|0;var c=0,d=0;c=k[a+8>>2]|0;if((k[a+12>>2]|0)-c>>2>>>0>b>>>0)d=(k[c+(b<<2)>>2]|0)!=0;else d=0;return d|0}function ZDa(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+4|0;c=k[b>>2]|0;d=k[b+4>>2]|0;b=(k[a>>2]|0)+(d>>1)|0;if(!(d&1))e=c;else e=k[(k[b>>2]|0)+c>>2]|0;Ec[e&1023](b);return}function _Da(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var l=0,n=0,o=0,p=0,q=0,r=0;k[c>>2]=a;k[f>>2]=d;a=e;if(h&2)if((a-d|0)<3)l=1;else{k[f>>2]=d+1;i[d>>0]=-17;d=k[f>>2]|0;k[f>>2]=d+1;i[d>>0]=-69;d=k[f>>2]|0;k[f>>2]=d+1;i[d>>0]=-65;n=4}else n=4;a:do if((n|0)==4){d=b;h=k[c>>2]|0;while(1){if(h>>>0>=b>>>0){l=0;break a}e=j[h>>1]|0;o=e&65535;if(o>>>0>g>>>0){l=2;break a}do if((e&65535)<128){p=k[f>>2]|0;if((a-p|0)<1){l=1;break a}k[f>>2]=p+1;i[p>>0]=e}else{if((e&65535)<2048){p=k[f>>2]|0;if((a-p|0)<2){l=1;break a}k[f>>2]=p+1;i[p>>0]=o>>>6|192;p=k[f>>2]|0;k[f>>2]=p+1;i[p>>0]=o&63|128;break}if((e&65535)<55296){p=k[f>>2]|0;if((a-p|0)<3){l=1;break a}k[f>>2]=p+1;i[p>>0]=o>>>12|224;p=k[f>>2]|0;k[f>>2]=p+1;i[p>>0]=o>>>6&63|128;p=k[f>>2]|0;k[f>>2]=p+1;i[p>>0]=o&63|128;break}if((e&65535)>=56320){if((e&65535)<57344){l=2;break a}p=k[f>>2]|0;if((a-p|0)<3){l=1;break a}k[f>>2]=p+1;i[p>>0]=o>>>12|224;p=k[f>>2]|0;k[f>>2]=p+1;i[p>>0]=o>>>6&63|128;p=k[f>>2]|0;k[f>>2]=p+1;i[p>>0]=o&63|128;break}if((d-h|0)<4){l=1;break a}p=h+2|0;q=m[p>>1]|0;if((q&64512|0)!=56320){l=2;break a}if((a-(k[f>>2]|0)|0)<4){l=1;break a}r=o&960;if(((r<<10)+65536|o<<10&64512|q&1023)>>>0>g>>>0){l=2;break a}k[c>>2]=p;p=(r>>>6)+1|0;r=k[f>>2]|0;k[f>>2]=r+1;i[r>>0]=p>>>2|240;r=k[f>>2]|0;k[f>>2]=r+1;i[r>>0]=o>>>2&15|p<<4&48|128;p=k[f>>2]|0;k[f>>2]=p+1;i[p>>0]=o<<4&48|q>>>6&15|128;p=k[f>>2]|0;k[f>>2]=p+1;i[p>>0]=q&63|128}while(0);o=(k[c>>2]|0)+2|0;k[c>>2]=o;h=o}}while(0);return l|0}function $Da(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;k[c>>2]=a;k[f>>2]=d;if(h&4){h=k[c>>2]|0;d=b;if((((d-h|0)>2?(i[h>>0]|0)==-17:0)?(i[h+1>>0]|0)==-69:0)?(i[h+2>>0]|0)==-65:0){k[c>>2]=h+3;m=d}else m=d}else m=b;d=e;a:while(1){h=k[c>>2]|0;a=h>>>0<b>>>0;if(!a){n=a;o=41;break}p=k[f>>2]|0;if(p>>>0>=e>>>0){n=a;o=41;break}a=i[h>>0]|0;q=a&255;if(q>>>0>g>>>0){r=2;break}do if(a<<24>>24>-1){j[p>>1]=a&255;k[c>>2]=h+1}else{if((a&255)<194){r=2;break a}if((a&255)<224){if((m-h|0)<2){r=1;break a}s=l[h+1>>0]|0;if((s&192|0)!=128){r=2;break a}t=s&63|q<<6&1984;if(t>>>0>g>>>0){r=2;break a}j[p>>1]=t;k[c>>2]=h+2;break}if((a&255)<240){if((m-h|0)<3){r=1;break a}t=i[h+1>>0]|0;s=i[h+2>>0]|0;switch(q|0){case 224:{if((t&-32)<<24>>24!=-96){r=2;break a}break}case 237:{if((t&-32)<<24>>24!=-128){r=2;break a}break}default:if((t&-64)<<24>>24!=-128){r=2;break a}}u=s&255;if((u&192|0)!=128){r=2;break a}s=(t&255)<<6&4032|q<<12|u&63;if((s&65535)>>>0>g>>>0){r=2;break a}j[p>>1]=s;k[c>>2]=h+3;break}if((a&255)>=245){r=2;break a}if((m-h|0)<4){r=1;break a}s=i[h+1>>0]|0;u=i[h+2>>0]|0;t=i[h+3>>0]|0;switch(q|0){case 240:{if((s+112&255)>=48){r=2;break a}break}case 244:{if((s&-16)<<24>>24!=-128){r=2;break a}break}default:if((s&-64)<<24>>24!=-128){r=2;break a}}v=u&255;if((v&192|0)!=128){r=2;break a}u=t&255;if((u&192|0)!=128){r=2;break a}if((d-p|0)<4){r=1;break a}t=q&7;w=s&255;s=v<<6;x=u&63;if((w<<12&258048|t<<18|s&4032|x)>>>0>g>>>0){r=2;break a}j[p>>1]=w<<2&60|v>>>4&3|((w>>>4&3|t<<2)<<6)+16320|55296;t=p+2|0;k[f>>2]=t;j[t>>1]=x|s&960|56320;k[c>>2]=(k[c>>2]|0)+4}while(0);k[f>>2]=(k[f>>2]|0)+2}if((o|0)==41)r=n&1;return r|0}function aEa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;f=b;if((((e&4|0)!=0?(f-a|0)>2:0)?(i[a>>0]|0)==-17:0)?(i[a+1>>0]|0)==-69:0){g=(i[a+2>>0]|0)==-65?a+3|0:a;h=0}else{g=a;h=0}a:while(1){if(!(h>>>0<c>>>0&g>>>0<b>>>0)){j=g;k=40;break}e=i[g>>0]|0;m=e&255;if(m>>>0>d>>>0){j=g;k=40;break}do if(e<<24>>24>-1){n=g+1|0;o=h}else{if((e&255)<194){j=g;k=40;break a}if((e&255)<224){if((f-g|0)<2){j=g;k=40;break a}p=l[g+1>>0]|0;if((p&192|0)!=128){j=g;k=40;break a}if((p&63|m<<6&1984)>>>0>d>>>0){j=g;k=40;break a}else{n=g+2|0;o=h;break}}if((e&255)<240){p=g;if((f-p|0)<3){j=g;k=40;break a}q=i[g+1>>0]|0;r=i[g+2>>0]|0;switch(m|0){case 224:{if((q&-32)<<24>>24!=-96){s=p;t=g;k=19;break a}break}case 237:{if((q&-32)<<24>>24!=-128){u=p;v=g;k=21;break a}break}default:if((q&-64)<<24>>24!=-128){w=p;x=g;k=23;break a}}p=r&255;if((p&192|0)!=128){j=g;k=40;break a}if(((q&255)<<6&4032|m<<12&61440|p&63)>>>0>d>>>0){j=g;k=40;break a}else{n=g+3|0;o=h;break}}if((e&255)>=245){j=g;k=40;break a}p=g;if((c-h|0)>>>0<2|(f-p|0)<4){j=g;k=40;break a}q=i[g+1>>0]|0;r=i[g+2>>0]|0;y=i[g+3>>0]|0;switch(m|0){case 240:{if((q+112&255)>=48){z=p;A=g;k=30;break a}break}case 244:{if((q&-16)<<24>>24!=-128){B=p;C=g;k=32;break a}break}default:if((q&-64)<<24>>24!=-128){D=p;E=g;k=34;break a}}p=r&255;if((p&192|0)!=128){j=g;k=40;break a}r=y&255;if((r&192|0)!=128){j=g;k=40;break a}if(((q&255)<<12&258048|m<<18&1835008|p<<6&4032|r&63)>>>0>d>>>0){j=g;k=40;break a}n=g+4|0;o=h+1|0}while(0);g=n;h=o+1|0}if((k|0)==19){o=a;F=0;G=s-o|0;H=o;I=t}else if((k|0)==21){t=a;F=0;G=u-t|0;H=t;I=v}else if((k|0)==23){v=a;F=0;G=w-v|0;H=v;I=x}else if((k|0)==30){x=a;F=0;G=z-x|0;H=x;I=A}else if((k|0)==32){A=a;F=0;G=B-A|0;H=A;I=C}else if((k|0)==34){C=a;F=0;G=D-C|0;H=C;I=E}else if((k|0)==40){F=1;G=0;H=a;I=j}return (F?I-H|0:G)|0}function bEa(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0,n=0;k[c>>2]=a;k[f>>2]=d;a=e;if(h&2)if((a-d|0)<3)j=1;else{k[f>>2]=d+1;i[d>>0]=-17;d=k[f>>2]|0;k[f>>2]=d+1;i[d>>0]=-69;d=k[f>>2]|0;k[f>>2]=d+1;i[d>>0]=-65;l=4}else l=4;a:do if((l|0)==4){d=k[c>>2]|0;while(1){if(d>>>0>=b>>>0){j=0;break a}h=k[d>>2]|0;if(h>>>0>g>>>0|(h&-2048|0)==55296){j=2;break a}do if(h>>>0>=128){if(h>>>0<2048){e=k[f>>2]|0;if((a-e|0)<2){j=1;break a}k[f>>2]=e+1;i[e>>0]=h>>>6|192;e=k[f>>2]|0;k[f>>2]=e+1;i[e>>0]=h&63|128;break}e=k[f>>2]|0;m=a-e|0;if(h>>>0<65536){if((m|0)<3){j=1;break a}k[f>>2]=e+1;i[e>>0]=h>>>12|224;n=k[f>>2]|0;k[f>>2]=n+1;i[n>>0]=h>>>6&63|128;n=k[f>>2]|0;k[f>>2]=n+1;i[n>>0]=h&63|128;break}else{if((m|0)<4){j=1;break a}k[f>>2]=e+1;i[e>>0]=h>>>18|240;e=k[f>>2]|0;k[f>>2]=e+1;i[e>>0]=h>>>12&63|128;e=k[f>>2]|0;k[f>>2]=e+1;i[e>>0]=h>>>6&63|128;e=k[f>>2]|0;k[f>>2]=e+1;i[e>>0]=h&63|128;break}}else{e=k[f>>2]|0;if((a-e|0)<1){j=1;break a}k[f>>2]=e+1;i[e>>0]=h}while(0);h=(k[c>>2]|0)+4|0;k[c>>2]=h;d=h}}while(0);return j|0}function cEa(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;k[c>>2]=a;k[f>>2]=d;if(h&4){h=k[c>>2]|0;d=b;if((((d-h|0)>2?(i[h>>0]|0)==-17:0)?(i[h+1>>0]|0)==-69:0)?(i[h+2>>0]|0)==-65:0){k[c>>2]=h+3;j=d}else j=d}else j=b;a:while(1){d=k[c>>2]|0;h=d>>>0<b>>>0;if(!h){m=h;n=40;break}a=k[f>>2]|0;if(a>>>0>=e>>>0){m=h;n=40;break}h=i[d>>0]|0;o=h&255;do if(h<<24>>24>-1){if(o>>>0>g>>>0){p=2;break a}k[a>>2]=o;k[c>>2]=d+1}else{if((h&255)<194){p=2;break a}if((h&255)<224){if((j-d|0)<2){p=1;break a}q=l[d+1>>0]|0;if((q&192|0)!=128){p=2;break a}r=q&63|o<<6&1984;if(r>>>0>g>>>0){p=2;break a}k[a>>2]=r;k[c>>2]=d+2;break}if((h&255)<240){if((j-d|0)<3){p=1;break a}r=i[d+1>>0]|0;q=i[d+2>>0]|0;switch(o|0){case 224:{if((r&-32)<<24>>24!=-96){p=2;break a}break}case 237:{if((r&-32)<<24>>24!=-128){p=2;break a}break}default:if((r&-64)<<24>>24!=-128){p=2;break a}}s=q&255;if((s&192|0)!=128){p=2;break a}q=(r&255)<<6&4032|o<<12&61440|s&63;if(q>>>0>g>>>0){p=2;break a}k[a>>2]=q;k[c>>2]=d+3;break}if((h&255)>=245){p=2;break a}if((j-d|0)<4){p=1;break a}q=i[d+1>>0]|0;s=i[d+2>>0]|0;r=i[d+3>>0]|0;switch(o|0){case 240:{if((q+112&255)>=48){p=2;break a}break}case 244:{if((q&-16)<<24>>24!=-128){p=2;break a}break}default:if((q&-64)<<24>>24!=-128){p=2;break a}}t=s&255;if((t&192|0)!=128){p=2;break a}s=r&255;if((s&192|0)!=128){p=2;break a}r=(q&255)<<12&258048|o<<18&1835008|t<<6&4032|s&63;if(r>>>0>g>>>0){p=2;break a}k[a>>2]=r;k[c>>2]=d+4}while(0);k[f>>2]=(k[f>>2]|0)+4}if((n|0)==40)p=m&1;return p|0}function dEa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;f=b;if((((e&4|0)!=0?(f-a|0)>2:0)?(i[a>>0]|0)==-17:0)?(i[a+1>>0]|0)==-69:0){g=(i[a+2>>0]|0)==-65?a+3|0:a;h=0}else{g=a;h=0}a:while(1){if(!(h>>>0<c>>>0&g>>>0<b>>>0)){j=g;k=40;break}e=i[g>>0]|0;m=e&255;do if(e<<24>>24<=-1){if((e&255)<194){j=g;k=40;break a}if((e&255)<224){if((f-g|0)<2){j=g;k=40;break a}n=l[g+1>>0]|0;if((n&192|0)!=128){j=g;k=40;break a}if((n&63|m<<6&1984)>>>0>d>>>0){j=g;k=40;break a}o=g+2|0;break}if((e&255)<240){n=g;if((f-n|0)<3){j=g;k=40;break a}p=i[g+1>>0]|0;q=i[g+2>>0]|0;switch(m|0){case 224:{if((p&-32)<<24>>24!=-96){r=n;k=20;break a}break}case 237:{if((p&-32)<<24>>24!=-128){s=n;k=22;break a}break}default:if((p&-64)<<24>>24!=-128){t=n;k=24;break a}}n=q&255;if((n&192|0)!=128){j=g;k=40;break a}if(((p&255)<<6&4032|m<<12&61440|n&63)>>>0>d>>>0){j=g;k=40;break a}else{o=g+3|0;break}}if((e&255)>=245){j=g;k=40;break a}n=g;if((f-n|0)<4){j=g;k=40;break a}p=i[g+1>>0]|0;q=i[g+2>>0]|0;u=i[g+3>>0]|0;switch(m|0){case 240:{if((p+112&255)>=48){v=n;k=31;break a}break}case 244:{if((p&-16)<<24>>24!=-128){w=n;k=33;break a}break}default:if((p&-64)<<24>>24!=-128){x=n;k=35;break a}}n=q&255;if((n&192|0)!=128){j=g;k=40;break a}q=u&255;if((q&192|0)!=128){j=g;k=40;break a}if(((p&255)<<12&258048|m<<18&1835008|n<<6&4032|q&63)>>>0>d>>>0){j=g;k=40;break a}else o=g+4|0}else{if(m>>>0>d>>>0){j=g;k=40;break a}o=g+1|0}while(0);g=o;h=h+1|0}if((k|0)==20)y=r-a|0;else if((k|0)==22)y=s-a|0;else if((k|0)==24)y=t-a|0;else if((k|0)==31)y=v-a|0;else if((k|0)==33)y=w-a|0;else if((k|0)==35)y=x-a|0;else if((k|0)==40)y=j-a|0;return y|0}function eEa(a){a=a|0;Yua(50296);Yua(50284);Yua(50272);Yua(50260);Yua(50248);Yua(50236);Yua(50224);Yua(50212);Yua(50200);Yua(50188);Yua(50176);Yua(50164);Yua(50152);Yua(50140);return}function fEa(a){a=a|0;kva(50468);kva(50456);kva(50444);kva(50432);kva(50420);kva(50408);kva(50396);kva(50384);kva(50372);kva(50360);kva(50348);kva(50336);kva(50324);kva(50312);return}function gEa(a){a=a|0;Yua(51100);Yua(51088);Yua(51076);Yua(51064);Yua(51052);Yua(51040);Yua(51028);Yua(51016);Yua(51004);Yua(50992);Yua(50980);Yua(50968);Yua(50956);Yua(50944);Yua(50932);Yua(50920);Yua(50908);Yua(50896);Yua(50884);Yua(50872);Yua(50860);Yua(50848);Yua(50836);Yua(50824);return}function hEa(a){a=a|0;kva(51392);kva(51380);kva(51368);kva(51356);kva(51344);kva(51332);kva(51320);kva(51308);kva(51296);kva(51284);kva(51272);kva(51260);kva(51248);kva(51236);kva(51224);kva(51212);kva(51200);kva(51188);kva(51176);kva(51164);kva(51152);kva(51140);kva(51128);kva(51116);return}function iEa(a){a=a|0;Yua(52204);Yua(52192);Yua(52180);Yua(52168);Yua(52156);Yua(52144);Yua(52132);Yua(52120);Yua(52108);Yua(52096);Yua(52084);Yua(52072);Yua(52060);Yua(52048);Yua(52036);Yua(52024);Yua(52012);Yua(52e3);Yua(51988);Yua(51976);Yua(51964);Yua(51952);Yua(51940);Yua(51928);return}function jEa(a){a=a|0;kva(52496);kva(52484);kva(52472);kva(52460);kva(52448);kva(52436);kva(52424);kva(52412);kva(52400);kva(52388);kva(52376);kva(52364);kva(52352);kva(52340);kva(52328);kva(52316);kva(52304);kva(52292);kva(52280);kva(52268);kva(52256);kva(52244);kva(52232);kva(52220);return}function kEa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;c=r;r=r+32|0;d=c;e=k[a+8>>2]|0;f=k[a+4>>2]|0;if(e-f>>2>>>0<b>>>0){g=k[a>>2]|0;h=f-g>>2;f=h+b|0;if(f>>>0>1073741823)Oqa(a);i=e-g|0;if(i>>2>>>0<536870911){g=i>>1;j=g>>>0<f>>>0?f:g}else j=1073741823;mEa(d,j,h,a+16|0);h=d+8|0;j=k[h>>2]|0;WEa(j|0,0,b<<2|0)|0;k[h>>2]=j+(b<<2);nEa(a,d);oEa(d)}else lEa(a,b);r=c;return}function lEa(a,b){a=a|0;b=b|0;var c=0;c=a+4|0;a=b;b=k[c>>2]|0;do{k[b>>2]=0;b=(k[c>>2]|0)+4|0;k[c>>2]=b;a=a+-1|0}while((a|0)!=0);return}function mEa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;k[a+12>>2]=0;k[a+16>>2]=d;do if(b){e=d+112|0;if(b>>>0<29&(i[e>>0]|0)==0){i[e>>0]=1;f=d;break}else{f=Qqa(b<<2)|0;break}}else f=0;while(0);k[a>>2]=f;d=f+(c<<2)|0;k[a+8>>2]=d;k[a+4>>2]=d;k[a+12>>2]=f+(b<<2);return}function nEa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;c=k[a>>2]|0;d=a+4|0;e=b+4|0;f=(k[d>>2]|0)-c|0;g=(k[e>>2]|0)+(0-(f>>2)<<2)|0;k[e>>2]=g;TEa(g|0,c|0,f|0)|0;f=k[a>>2]|0;k[a>>2]=k[e>>2];k[e>>2]=f;f=b+8|0;c=k[d>>2]|0;k[d>>2]=k[f>>2];k[f>>2]=c;c=a+8|0;a=b+12|0;f=k[c>>2]|0;k[c>>2]=k[a>>2];k[a>>2]=f;k[b>>2]=k[e>>2];return}function oEa(a){a=a|0;var b=0,c=0,d=0,e=0;b=k[a+4>>2]|0;c=a+8|0;d=k[c>>2]|0;while(1){if((d|0)==(b|0))break;e=d+-4|0;k[c>>2]=e;d=e}d=k[a>>2]|0;do if(d){c=k[a+16>>2]|0;if((c|0)==(d|0)){i[c+112>>0]=0;break}else{Sqa(d);break}}while(0);return}function pEa(a,b){a=a|0;b=b|0;var c=0,d=0;if(b>>>0>1073741823)Oqa(a);c=a+128|0;if(b>>>0<29&(i[c>>0]|0)==0){i[c>>0]=1;d=a+16|0}else d=Qqa(b<<2)|0;k[a+4>>2]=d;k[a>>2]=d;k[a+8>>2]=d+(b<<2);return}function qEa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0.0,g=0,h=0,i=0.0,j=0.0;d=r;r=r+16|0;e=d;if((a|0)==(b|0)){k[c>>2]=4;f=0.0}else{g=Sra()|0;h=k[g>>2]|0;k[g>>2]=0;i=+Ata(a,e,oxa()|0);a=k[g>>2]|0;if(!a)k[g>>2]=h;if((k[e>>2]|0)==(b|0))if((a|0)==34){k[c>>2]=4;j=i}else j=i;else{k[c>>2]=4;j=0.0}f=j}r=d;return +f}function rEa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0.0,g=0,h=0,i=0.0,j=0.0;d=r;r=r+16|0;e=d;if((a|0)==(b|0)){k[c>>2]=4;f=0.0}else{g=Sra()|0;h=k[g>>2]|0;k[g>>2]=0;i=+Ata(a,e,oxa()|0);a=k[g>>2]|0;if(!a)k[g>>2]=h;if((k[e>>2]|0)==(b|0))if((a|0)==34){k[c>>2]=4;j=i}else j=i;else{k[c>>2]=4;j=0.0}f=j}r=d;return +f}function sEa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0.0,g=0,h=0,i=0.0,j=0.0;d=r;r=r+16|0;e=d;if((a|0)==(b|0)){k[c>>2]=4;f=0.0}else{g=Sra()|0;h=k[g>>2]|0;k[g>>2]=0;i=+Ata(a,e,oxa()|0);a=k[g>>2]|0;if(!a)k[g>>2]=h;if((k[e>>2]|0)==(b|0)){if((a|0)==34)k[c>>2]=4;j=i}else{k[c>>2]=4;j=0.0}f=j}r=d;return +f}function tEa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;e=r;r=r+16|0;f=e;do if((a|0)==(b|0)){k[c>>2]=4;g=0;h=0}else{if((i[a>>0]|0)==45){k[c>>2]=4;g=0;h=0;break}j=Sra()|0;l=k[j>>2]|0;k[j>>2]=0;m=Lra(a,f,d,oxa()|0)|0;n=Q;o=k[j>>2]|0;if(!o)k[j>>2]=l;if((k[f>>2]|0)==(b|0))if((o|0)==34){k[c>>2]=4;p=-1;q=-1}else{p=m;q=n}else{k[c>>2]=4;p=0;q=0}g=q;h=p}while(0);Q=g;r=e;return h|0}function uEa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;e=r;r=r+16|0;f=e;do if((a|0)==(b|0)){k[c>>2]=4;g=0}else{if((i[a>>0]|0)==45){k[c>>2]=4;g=0;break}h=Sra()|0;j=k[h>>2]|0;k[h>>2]=0;l=Lra(a,f,d,oxa()|0)|0;m=Q;n=k[h>>2]|0;if(!n)k[h>>2]=j;do if((k[f>>2]|0)==(b|0))if(m>>>0>0|(m|0)==0&l>>>0>4294967295|(n|0)==34){k[c>>2]=4;o=-1;break}else{o=l;break}else{k[c>>2]=4;o=0}while(0);g=o}while(0);r=e;return g|0}function vEa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;e=r;r=r+16|0;f=e;do if((a|0)==(b|0)){k[c>>2]=4;g=0}else{if((i[a>>0]|0)==45){k[c>>2]=4;g=0;break}h=Sra()|0;j=k[h>>2]|0;k[h>>2]=0;l=Lra(a,f,d,oxa()|0)|0;m=Q;n=k[h>>2]|0;if(!n)k[h>>2]=j;do if((k[f>>2]|0)==(b|0))if(m>>>0>0|(m|0)==0&l>>>0>4294967295|(n|0)==34){k[c>>2]=4;o=-1;break}else{o=l;break}else{k[c>>2]=4;o=0}while(0);g=o}while(0);r=e;return g|0}function wEa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;e=r;r=r+16|0;f=e;do if((a|0)==(b|0)){k[c>>2]=4;g=0}else{if((i[a>>0]|0)==45){k[c>>2]=4;g=0;break}h=Sra()|0;j=k[h>>2]|0;k[h>>2]=0;l=Lra(a,f,d,oxa()|0)|0;m=Q;n=k[h>>2]|0;if(!n)k[h>>2]=j;do if((k[f>>2]|0)==(b|0))if(m>>>0>0|(m|0)==0&l>>>0>65535|(n|0)==34){k[c>>2]=4;o=-1;break}else{o=l&65535;break}else{k[c>>2]=4;o=0}while(0);g=o}while(0);r=e;return g|0}function xEa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;e=r;r=r+16|0;f=e;if((a|0)==(b|0)){k[c>>2]=4;g=0;h=0}else{i=Sra()|0;j=k[i>>2]|0;k[i>>2]=0;l=Mra(a,f,d,oxa()|0)|0;d=Q;a=k[i>>2]|0;if(!a)k[i>>2]=j;if((k[f>>2]|0)==(b|0))if((a|0)==34){k[c>>2]=4;a=(d|0)>0|(d|0)==0&l>>>0>0;m=a?-1:0;n=a?2147483647:-2147483648}else{m=l;n=d}else{k[c>>2]=4;m=0;n=0}g=n;h=m}Q=g;r=e;return h|0}function yEa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0;e=r;r=r+16|0;f=e;if((a|0)==(b|0)){k[c>>2]=4;g=0}else{h=Sra()|0;i=k[h>>2]|0;k[h>>2]=0;j=Mra(a,f,d,oxa()|0)|0;d=Q;a=k[h>>2]|0;if(!a)k[h>>2]=i;a:do if((k[f>>2]|0)==(b|0)){do if((a|0)==34){k[c>>2]=4;if((d|0)>0|(d|0)==0&j>>>0>0){l=2147483647;break a}}else{if((d|0)<-1|(d|0)==-1&j>>>0<2147483648){k[c>>2]=4;break}if((d|0)>0|(d|0)==0&j>>>0>2147483647){k[c>>2]=4;l=2147483647;break a}else{l=j;break a}}while(0);l=-2147483648}else{k[c>>2]=4;l=0}while(0);g=l}r=e;return g|0}function zEa(a){a=a|0;return}function AEa(a){a=a|0;var b=0;b=a+4|0;k[b>>2]=(k[b>>2]|0)+1;return}function BEa(a){a=a|0;var b=0,c=0,d=0;b=a+4|0;c=k[b>>2]|0;k[b>>2]=c+-1;if(!c){Ec[k[(k[a>>2]|0)+8>>2]&1023](a);d=1}else d=0;return d|0}function CEa(a,b){a=a|0;b=b|0;k[a>>2]=42060;B=0;wa(563,a+4|0,((i[b>>0]&1)==0?b+1|0:k[b+8>>2]|0)|0);b=B;B=0;if(b&1){b=Rb()|0;Qb(b|0)}else return}function DEa(a,b){a=a|0;b=b|0;k[a>>2]=42060;B=0;wa(563,a+4|0,b|0);b=B;B=0;if(b&1){b=Rb()|0;Qb(b|0)}else return}function EEa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=Lta(b)|0;d=Qqa(c+13|0)|0;k[d>>2]=c;k[d+4>>2]=c;k[d+8>>2]=0;e=d+12|0;TEa(e|0,b|0,c+1|0)|0;k[a>>2]=e;return}function FEa(a,b,c){a=a|0;b=b|0;c=c|0;k[a>>2]=c;k[a+4>>2]=b;return}function GEa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=r;r=r+16|0;e=d;nd[k[(k[a>>2]|0)+12>>2]&1023](e,a,b);if((k[e+4>>2]|0)==(k[c+4>>2]|0))f=(k[e>>2]|0)==(k[c>>2]|0);else f=0;r=d;return f|0}function HEa(a,b,c){a=a|0;b=b|0;c=c|0;return ((k[b>>2]|0)==(c|0)?(k[b+4>>2]|0)==(a|0):0)|0}function IEa(a,b,c){a=a|0;b=b|0;c=c|0;b=Tra(c)|0;Wua(a,b,Lta(b)|0);return}function JEa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0;d=r;r=r+16|0;e=d;f=k[b>>2]|0;do if(f){g=i[c>>0]|0;if(!(g&1))h=(g&255)>>>1;else h=k[c+4>>2]|0;if(!h)j=f;else{dva(c,160061)|0;j=k[b>>2]|0}g=k[b+4>>2]|0;nd[k[(k[g>>2]|0)+24>>2]&1023](e,g,j);g=i[e>>0]|0;l=(g&1)==0;B=0;Ia(59,c|0,(l?e+1|0:k[e+8>>2]|0)|0,(l?(g&255)>>>1:k[e+4>>2]|0)|0)|0;g=B;B=0;if(g&1){g=Rb()|0;Yua(e);Qb(g|0)}else{Yua(e);break}}while(0);k[a>>2]=k[c>>2];k[a+4>>2]=k[c+4>>2];k[a+8>>2]=k[c+8>>2];a=0;while(1){if((a|0)==3)break;k[c+(a<<2)>>2]=0;a=a+1|0}r=d;return}function KEa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;d=r;r=r+32|0;e=d+12|0;f=d;Wua(f,c,Lta(c)|0);B=0;eb(536,e|0,b|0,f|0);c=B;B=0;do if(!(c&1)){B=0;wa(564,a|0,e|0);g=B;B=0;if(g&1){g=Rb()|0;h=Q;Yua(e);i=h;j=g;break}else{Yua(e);Yua(f);k[a>>2]=52844;g=b;h=k[g+4>>2]|0;l=a+8|0;k[l>>2]=k[g>>2];k[l+4>>2]=h;r=d;return}}else{h=Rb()|0;i=Q;j=h}while(0);Yua(f);Qb(j|0)}function LEa(a){a=a|0;ara(a);return}function MEa(a){a=a|0;ara(a);Sqa(a);return}function NEa(a){a=a|0;return}function OEa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;qc(52856)|0;while(1){if((k[a>>2]|0)!=1)break;lb(52884,52856)|0}do if(!(k[a>>2]|0)){k[a>>2]=1;B=0;ya(446,52856)|0;d=B;B=0;if((((!(d&1)?(B=0,va(c|0,b|0),d=B,B=0,!(d&1)):0)?(B=0,ya(447,52856)|0,d=B,B=0,!(d&1)):0)?(k[a>>2]=-1,B=0,ya(446,52856)|0,d=B,B=0,!(d&1)):0)?(B=0,ya(448,52884)|0,d=B,B=0,!(d&1)):0)break;d=Rb(0)|0;Nb(d|0)|0;B=0;ya(447,52856)|0;d=B;B=0;if((!(d&1)?(k[a>>2]=0,B=0,ya(446,52856)|0,d=B,B=0,!(d&1)):0)?(B=0,ya(448,52884)|0,d=B,B=0,!(d&1)):0){B=0;fb(8);B=0}d=Rb()|0;B=0;fb(4);e=B;B=0;if(e&1){e=Rb(0)|0;Dd(e)}else Qb(d|0)}else Zb(52856)|0;while(0);return}function PEa(){}function QEa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=a+c>>>0;return (Q=b+d+(e>>>0<a>>>0|0)>>>0,e|0)|0}function REa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=b-d>>>0;e=b-d-(c>>>0>a>>>0|0)>>>0;return (Q=e,a-c>>>0|0)|0}function SEa(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){Q=b>>>c;return a>>>c|(b&(1<<c)-1)<<32-c}Q=0;return b>>>c-32|0}function TEa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if((c|0)>=4096)return Ob(a|0,b|0,c|0)|0;d=a|0;if((a&3)==(b&3)){while(a&3){if(!c)return d|0;i[a>>0]=i[b>>0]|0;a=a+1|0;b=b+1|0;c=c-1|0}while((c|0)>=4){k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0;c=c-4|0}}while((c|0)>0){i[a>>0]=i[b>>0]|0;a=a+1|0;b=b+1|0;c=c-1|0}return d|0}function UEa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if((b|0)<(a|0)&(a|0)<(b+c|0)){d=a;b=b+c|0;a=a+c|0;while((c|0)>0){a=a-1|0;b=b-1|0;c=c-1|0;i[a>>0]=i[b>>0]|0}a=d}else TEa(a,b,c)|0;return a|0}function VEa(a){a=+a;return a>=0.0?+_(a+.5):+la(a-.5)}function WEa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;d=a+c|0;if((c|0)>=20){b=b&255;e=a&3;f=b|b<<8|b<<16|b<<24;g=d&~3;if(e){e=a+4-e|0;while((a|0)<(e|0)){i[a>>0]=b;a=a+1|0}}while((a|0)<(g|0)){k[a>>2]=f;a=a+4|0}}while((a|0)<(d|0)){i[a>>0]=b;a=a+1|0}return a-c|0}function XEa(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){Q=b<<c|(a&(1<<c)-1<<32-c)>>>32-c;return a<<c}Q=a<<c-32;return 0}function YEa(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){Q=b>>c;return a>>>c|(b&(1<<c)-1)<<32-c}Q=(b|0)<0?-1:0;return b>>c-32|0}function ZEa(a){a=a|0;var b=0;b=i[v+(a&255)>>0]|0;if((b|0)<8)return b|0;b=i[v+(a>>8&255)>>0]|0;if((b|0)<8)return b+8|0;b=i[v+(a>>16&255)>>0]|0;if((b|0)<8)return b+16|0;return (i[v+(a>>>24)>>0]|0)+24|0}function _Ea(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=a&65535;d=b&65535;e=ma(d,c)|0;f=a>>>16;a=(e>>>16)+(ma(d,f)|0)|0;d=b>>>16;b=ma(d,c)|0;return (Q=(a>>>16)+(ma(d,f)|0)+(((a&65535)+b|0)>>>16)|0,a+b<<16|e&65535|0)|0}function $Ea(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=b>>31|((b|0)<0?-1:0)<<1;f=((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1;g=d>>31|((d|0)<0?-1:0)<<1;h=((d|0)<0?-1:0)>>31|((d|0)<0?-1:0)<<1;i=REa(e^a,f^b,e,f)|0;b=Q;a=g^e;e=h^f;return REa((eFa(i,b,REa(g^c,h^d,g,h)|0,Q,0)|0)^a,Q^e,a,e)|0}function aFa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0;e=r;r=r+16|0;f=e|0;g=b>>31|((b|0)<0?-1:0)<<1;h=((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1;i=d>>31|((d|0)<0?-1:0)<<1;j=((d|0)<0?-1:0)>>31|((d|0)<0?-1:0)<<1;l=REa(g^a,h^b,g,h)|0;b=Q;eFa(l,b,REa(i^c,j^d,i,j)|0,Q,f)|0;j=REa(k[f>>2]^g,k[f+4>>2]^h,g,h)|0;h=Q;r=e;return (Q=h,j)|0}function bFa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=a;a=c;c=_Ea(e,a)|0;f=Q;return (Q=(ma(b,a)|0)+(ma(d,e)|0)+f|f&0,c|0|0)|0}function cFa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return eFa(a,b,c,d,0)|0}function dFa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=r;r=r+16|0;f=e|0;eFa(a,b,c,d,f)|0;r=e;return (Q=k[f+4>>2]|0,k[f>>2]|0)|0}function eFa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;f=a;g=b;h=g;i=c;j=d;l=j;if(!h){m=(e|0)!=0;if(!l){if(m){k[e>>2]=(f>>>0)%(i>>>0);k[e+4>>2]=0}n=0;o=(f>>>0)/(i>>>0)>>>0;return (Q=n,o)|0}else{if(!m){n=0;o=0;return (Q=n,o)|0}k[e>>2]=a|0;k[e+4>>2]=b&0;n=0;o=0;return (Q=n,o)|0}}m=(l|0)==0;do if(i){if(!m){p=(oa(l|0)|0)-(oa(h|0)|0)|0;if(p>>>0<=31){q=p+1|0;r=31-p|0;s=p-31>>31;t=q;u=f>>>(q>>>0)&s|h<<r;v=h>>>(q>>>0)&s;w=0;x=f<<r;break}if(!e){n=0;o=0;return (Q=n,o)|0}k[e>>2]=a|0;k[e+4>>2]=g|b&0;n=0;o=0;return (Q=n,o)|0}r=i-1|0;if(r&i){s=(oa(i|0)|0)+33-(oa(h|0)|0)|0;q=64-s|0;p=32-s|0;y=p>>31;z=s-32|0;A=z>>31;t=s;u=p-1>>31&h>>>(z>>>0)|(h<<p|f>>>(s>>>0))&A;v=A&h>>>(s>>>0);w=f<<q&y;x=(h<<q|f>>>(z>>>0))&y|f<<p&s-33>>31;break}if(e){k[e>>2]=r&f;k[e+4>>2]=0}if((i|0)==1){n=g|b&0;o=a|0|0;return (Q=n,o)|0}else{r=ZEa(i|0)|0;n=h>>>(r>>>0)|0;o=h<<32-r|f>>>(r>>>0)|0;return (Q=n,o)|0}}else{if(m){if(e){k[e>>2]=(h>>>0)%(i>>>0);k[e+4>>2]=0}n=0;o=(h>>>0)/(i>>>0)>>>0;return (Q=n,o)|0}if(!f){if(e){k[e>>2]=0;k[e+4>>2]=(h>>>0)%(l>>>0)}n=0;o=(h>>>0)/(l>>>0)>>>0;return (Q=n,o)|0}r=l-1|0;if(!(r&l)){if(e){k[e>>2]=a|0;k[e+4>>2]=r&h|b&0}n=0;o=h>>>((ZEa(l|0)|0)>>>0);return (Q=n,o)|0}r=(oa(l|0)|0)-(oa(h|0)|0)|0;if(r>>>0<=30){s=r+1|0;p=31-r|0;t=s;u=h<<p|f>>>(s>>>0);v=h>>>(s>>>0);w=0;x=f<<p;break}if(!e){n=0;o=0;return (Q=n,o)|0}k[e>>2]=a|0;k[e+4>>2]=g|b&0;n=0;o=0;return (Q=n,o)|0}while(0);if(!t){B=x;C=w;D=v;E=u;F=0;G=0}else{b=c|0|0;c=j|d&0;d=QEa(b|0,c|0,-1,-1)|0;j=Q;g=x;x=w;w=v;v=u;u=t;t=0;do{a=g;g=x>>>31|g<<1;x=t|x<<1;f=v<<1|a>>>31|0;a=v>>>31|w<<1|0;REa(d,j,f,a)|0;h=Q;l=h>>31|((h|0)<0?-1:0)<<1;t=l&1;v=REa(f,a,l&b,(((h|0)<0?-1:0)>>31|((h|0)<0?-1:0)<<1)&c)|0;w=Q;u=u-1|0}while((u|0)!=0);B=g;C=x;D=w;E=v;F=0;G=t}t=C;C=0;if(e){k[e>>2]=E;k[e+4>>2]=D}n=(t|0)>>>31|(B|C)<<1|(C<<1|t>>>31)&0|F;o=(t<<1|0>>>31)&-2|G;return (Q=n,o)|0}function fFa(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;return Ac[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0)|0}function gFa(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;return Bc[a&3](b|0,c|0,d|0,e|0,f|0,+g)|0}function hFa(a,b,c){a=a|0;b=b|0;c=+c;Cc[a&63](b|0,+c)}function iFa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;Dc[a&255](b|0,c|0,d|0,e|0,f|0)}function jFa(a,b){a=a|0;b=b|0;Ec[a&1023](b|0)}function kFa(a,b,c){a=a|0;b=b|0;c=c|0;Fc[a&1023](b|0,c|0)}function lFa(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return Gc[a&63](b|0,c|0,d|0,e|0,f|0,g|0)|0}function mFa(a,b){a=a|0;b=b|0;return Hc[a&511](b|0)|0}function nFa(a,b,c,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=+l;Ic[a&1](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0,+l)}function oFa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;Jc[a&1](b|0,c|0,+d,e|0)}function pFa(a,b,c,d,e,f,g,h,i,j,k,l,m,n){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;return Kc[a&1](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0,l|0,m|0,n|0)|0}function qFa(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;i=+i;Lc[a&15](b|0,c|0,d|0,e|0,f|0,g|0,+h,+i)}function rFa(a,b,c,d,e,f,g){a=a|0;b=b|0;c=+c;d=+d;e=+e;f=+f;g=g|0;return +Mc[a&7](b|0,+c,+d,+e,+f,g|0)}function sFa(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;Nc[a&31](b|0,+c,d|0)}function tFa(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=g|0;Oc[a&3](b|0,c|0,+d,+e,f|0,g|0)}function uFa(a,b,c,d,e,f,g){a=a|0;b=b|0;c=+c;d=+d;e=+e;f=+f;g=+g;return +Pc[a&7](b|0,+c,+d,+e,+f,+g)}function vFa(a,b,c,d){a=a|0;b=b|0;c=+c;d=+d;Qc[a&15](b|0,+c,+d)}function wFa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return Rc[a&63](b|0,c|0,d|0)|0}function xFa(a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;Sc[a&3](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0,l|0,m|0,n|0,o|0,p|0)}function yFa(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;Tc[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0)}function zFa(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;Uc[a&63](b|0,c|0,d|0,e|0,f|0,g|0)}function AFa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return +Vc[a&7](b|0,c|0,d|0,e|0)}function BFa(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=+h;Wc[a&1](b|0,c|0,d|0,e|0,f|0,+g,+h)}function CFa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;Xc[a&63](b|0,c|0,+d)}function DFa(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;Yc[a&1](b|0,c|0,d|0,e|0,+f,g|0)}function EFa(a,b){a=a|0;b=b|0;return +Zc[a&255](b|0)}function FFa(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;return _c[a&1](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0)|0}function GFa(a,b,c){a=a|0;b=b|0;c=+c;return $c[a&1](b|0,+c)|0}function HFa(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;ad[a&63](b|0,c|0,d|0,e|0,f|0,g|0,h|0)}function IFa(a,b,c,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;return bd[a&3](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0,l|0)|0}function JFa(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;cd[a&1](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0)}function KFa(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;dd[a&7](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0)}function LFa(a,b,c){a=a|0;b=b|0;c=c|0;return ed[a&511](b|0,c|0)|0}function MFa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return fd[a&31](b|0,c|0,d|0,e|0,f|0)|0}function NFa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return +gd[a&7](b|0,c|0,d|0)}function OFa(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=g|0;return hd[a&7](b|0,c|0,+d,+e,f|0,g|0)|0}function PFa(a,b,c){a=a|0;b=b|0;c=c|0;return +id[a&63](b|0,c|0)}function QFa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;jd[a&31](b|0,c|0,d|0,e|0,+f)}function RFa(a){a=a|0;return kd[a&15]()|0}function SFa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return ld[a&127](b|0,c|0,d|0,e|0)|0}function TFa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;md[a&31](b|0,c|0,d|0,+e)}function UFa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;nd[a&1023](b|0,c|0,d|0)}function VFa(a){a=a|0;od[a&15]()}function WFa(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return pd[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0)|0}function XFa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;return qd[a&7](b|0,c|0,d|0,e|0,+f)|0}function YFa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;rd[a&511](b|0,c|0,d|0,e|0)}function ZFa(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;pa(0);return 0}function _Fa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;pa(1);return 0}function $Fa(a,b){a=a|0;b=+b;pa(2)}function aGa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;pa(3)}function bGa(a){a=a|0;pa(4)}function cGa(a,b){a=a|0;b=b|0;pa(5)}function dGa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;pa(6);return 0}function eGa(a){a=a|0;pa(7);return 0}function fGa(a){a=a|0;return Zb(a|0)|0}function gGa(a){a=a|0;return qc(a|0)|0}function hGa(a){a=a|0;return Db(a|0)|0}function iGa(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;pa(8)}function jGa(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;pa(9)}function kGa(a,b,c,d,e,f,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;pa(10);return 0}function lGa(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=+h;pa(11)}function mGa(a,b,c,d,e,f){a=a|0;b=+b;c=+c;d=+d;e=+e;f=f|0;pa(12);return 0.0}function nGa(a,b,c){a=a|0;b=+b;c=c|0;pa(13)}function oGa(a,b,c,d,e,f){a=a|0;b=b|0;c=+c;d=+d;e=e|0;f=f|0;pa(14)}function pGa(a,b,c,d,e,f){a=a|0;b=+b;c=+c;d=+d;e=+e;f=+f;pa(15);return 0.0}function qGa(a,b,c){a=a|0;b=+b;c=+c;pa(16)}function rGa(a,b,c){a=a|0;b=b|0;c=c|0;pa(17);return 0}function sGa(a,b,c,d,e,f,g,h,i,j,k,l,m,n,o){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;pa(18)}function tGa(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;pa(19)}function uGa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;pa(20)}function vGa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;pa(21);return 0.0}function wGa(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;pa(22)}function xGa(a,b,c){a=a|0;b=b|0;c=+c;pa(23)}function yGa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;pa(24)}function zGa(a){a=a|0;pa(25);return 0.0}function AGa(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;pa(26);return 0}function BGa(a,b){a=a|0;b=+b;pa(27);return 0}function CGa(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;pa(28)}function DGa(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;pa(29);return 0}function EGa(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;pa(30)}function FGa(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;pa(31)}function GGa(a,b){a=a|0;b=b|0;pa(32);return 0}function HGa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;pa(33);return 0}function IGa(a,b,c){a=a|0;b=b|0;c=c|0;pa(34);return 0.0}function JGa(a,b,c,d,e,f){a=a|0;b=b|0;c=+c;d=+d;e=e|0;f=f|0;pa(35);return 0}function KGa(a,b){a=a|0;b=b|0;pa(36);return 0.0}function LGa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;pa(37)}function MGa(){pa(38);return 0}function NGa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;pa(39);return 0}function OGa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;pa(40)}function PGa(a,b,c){a=a|0;b=b|0;c=c|0;pa(41)}function QGa(a,b,c){a=a|0;b=b|0;c=c|0;jc(a|0,b|0,c|0)}function RGa(){pa(42)}function SGa(){oc()}function TGa(){Pb()}function UGa(){ac()}function VGa(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;pa(43);return 0}function WGa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;pa(44);return 0}function XGa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;pa(45)}function YGa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;yb(a|0,b|0,c|0,d|0)}

// EMSCRIPTEN_END_FUNCS
var Ac=[ZFa,hza,lza,fAa,jAa,oAa,qAa,cf,QCa,$Ca,ZFa,ZFa,ZFa,ZFa,ZFa,ZFa];var Bc=[_Fa,uAa,AAa,_Fa];var Cc=[$Fa,yl,Hj,Zi,Ek,Ik,Lk,ym,zm,Am,XC,aD,bD,SD,ZD,YD,RE,XE,FE,KF,QF,yF,sG,NG,rG,rH,xH,yH,lI,rI,sI,VO,GP,rQ,aR,MR,xS,jT,VT,FU,qV,bW,MW,xX,P$,U$,V$,k3,H3,q3,d4,k4,j4,sg,ng,sja,$Fa,$Fa,$Fa,$Fa,$Fa,$Fa,$Fa,$Fa];var Dc=[aGa,rl,Il,Aj,Rj,Si,hj,yk,Wm,vr,Kr,ft,mt,Nt,ju,Sv,Xv,Lx,Yx,Wy,Zy,zz,Pz,wB,DB,KK,ZK,OO,dP,zP,QP,kQ,AQ,VQ,jR,FR,WR,qS,HS,cT,sT,OT,cU,mU,nU,jV,zV,WV,kW,FW,WW,rX,HX,A5,B5,I5,U5,V5,a6,k6,l6,z6,W6,X6,g7,o7,p7,x7,D7,C7,N7,V7,W7,b8,j8,k8,r8,z8,A8,J8,Y8,Z8,x9,Naa,Oaa,Vaa,bba,cba,mba,uba,vba,Gba,Oba,Pba,jca,sca,tca,Bca,Jca,Kca,Rca,Zca,Yca,jda,sda,rda,Gda,Sda,Tda,_da,gea,hea,oea,wea,xea,Iea,Vea,Wea,bfa,jfa,kfa,rfa,zfa,Afa,Hfa,Pfa,Qfa,Xfa,dga,ega,lga,tga,uga,Bga,Jga,Kga,Wga,cha,dha,kha,sha,tha,Aha,Iha,Jha,Qha,Zha,_ha,fia,oia,pia,yia,Jia,Kia,Ria,eja,fja,mja,Ara,zra,wra,ig,Yg,OY,vka,GN,RN,Uq,Wja,ika,ro,vT,j1,l1,MK,x0,Dma,VL,Cka,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa,aGa];var Ec=[bGa,Bd,Fd,Ed,Gd,owa,qwa,pwa,rwa,Hd,Id,Lg,Mg,Ng,Og,yg,zg,Ag,Bg,Bi,bl,cl,Ok,Pk,Qk,Rk,gk,hk,ik,jk,Uj,Vj,Wj,Xj,kj,lj,Ci,Di,uk,vk,wk,xk,Ol,Pl,Ql,Rl,Lm,Mm,Pm,Om,Tm,pn,qn,rn,sn,Fn,Gn,Jn,Kn,so,to,uo,vo,Qo,Ro,mp,$o,Iq,_q,$q,wr,yr,zr,Ar,Ms,Ns,Us,Vs,Ws,ct,dt,Gt,Ht,Ot,Pt,Ut,Vt,Wt,zv,Av,Gv,Hv,kw,Pv,Qv,Fw,Gw,Mx,Px,Qx,Rx,yx,zx,Ly,My,Ny,Ty,Uy,sz,tz,Az,Cz,FB,Dz,cB,dB,kB,lB,mB,tB,uB,zC,AC,BC,CC,qD,rD,vD,wD,xD,yD,oE,pE,qE,rE,hF,iF,oF,jF,aG,bG,cG,dG,UG,VG,WG,XG,NH,OH,PH,QH,KI,LI,PI,OI,xJ,CJ,DJ,EJ,FJ,XJ,zK,AK,DK,CK,HK,NK,OK,RK,QK,VK,jL,kL,oL,nL,FL,WL,XL,$L,_L,rM,MM,NM,RM,QM,hN,wO,xO,yO,hP,iP,jP,UP,VP,WP,DQ,EQ,FQ,nR,oR,pR,_R,$R,aS,LS,MS,NS,wT,xT,yT,gU,hU,iU,SU,TU,UU,DV,EV,FV,oW,pW,qW,_W,$W,aX,KX,LX,NX,OX,PY,QY,DZ,EZ,FZ,GZ,b$,c$,d$,e$,y0,z0,D0,C0,Y0,T1,U1,V1,W1,c2,d2,n1,o1,p1,q1,y1,z1,D1,E1,F1,G1,O1,P1,h2,i2,j2,k2,s2,t2,x2,y2,z2,A2,I2,J2,S2,T2,U2,V2,L3,M3,N3,O3,O5,P5,f6,R6,j7,A7,Q7,e8,u8,S8,Iaa,Yaa,pba,Jba,nca,Eca,Wca,pda,Nda,bea,rea,Qea,efa,ufa,Kfa,_fa,oga,Ega,Zga,nha,Dha,Tha,jia,Dia,Uia,pja,tja,uja,vja,Ija,Jja,Kja,Xja,Yja,Zja,lka,mka,nka,Kla,Lla,Pla,Ola,yma,Ema,Fma,Jma,Ima,Wma,kna,lna,pna,ona,Dna,Qpa,Rpa,Spa,Vqa,Wqa,ara,bra,fra,gra,ira,lra,jra,kra,mra,nra,Pva,zua,Fua,Ava,Kua,Qua,Bva,Qva,cwa,ewa,dwa,fwa,iwa,kwa,jwa,lwa,Dwa,Fwa,Ewa,Gwa,Nwa,Owa,uva,Pwa,NEa,Qwa,Rwa,Twa,bBa,Xwa,Ywa,axa,bxa,pxa,qxa,Jxa,Kxa,Yxa,Zxa,jya,kya,Iya,Jya,eza,gza,jza,kza,nza,oza,yza,zza,Jza,Kza,Uza,Vza,dAa,eAa,mAa,nAa,sAa,tAa,yAa,zAa,EAa,FAa,JAa,KAa,RAa,SAa,tBa,uBa,PCa,MBa,mCa,nCa,oCa,pCa,Swa,aBa,dBa,DBa,UBa,aCa,iCa,jCa,LEa,MEa,hwa,Cva,zh,CZ,SY,Xm,o_,Cn,qo,II,AJ,xK,LK,Jm,Po,Sq,mE,_F,fF,$_,Ll,tD,Q2,J3,xC,w0,KM,UL,hL,JX,_K,FI,WN,gh,Lo,Zm,jn,Lq,zi,iC,mla,tla,wla,qja,Dja,Uja,fka,lR,fP,CQ,SP,uO,YW,eU,uT,QU,YR,BV,JS,mW,$$,c0,e0,f0,d0,j0,v_,A_,k0,l0,n0,m0,h0,o0,p0,u_,x_,Wia,Eia,q0,fpa,gpa,hpa,_4,cqa,J4,Bpa,Dsa,d5,To,wka,yka,on,zpa,Apa,spa,tpa,vpa,upa,tqa,Kra,Vta,Wta,sua,asa,gAa,iAa,cBa,ZDa,eEa,fEa,gEa,hEa,iEa,jEa,Yua,kva,mua,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa,bGa];var Fc=[cGa,Dva,Gg,hl,il,ll,nl,sl,tl,ul,vl,wl,xl,zl,Fl,Gl,Hl,Jl,qj,rj,uj,wj,Bj,Cj,Dj,Ej,Fj,Gj,Ij,Oj,Pj,Qj,Sj,Ii,Ji,Mi,Oi,Ti,Ui,Vi,Wi,Xi,Yi,_i,ej,fj,gj,ij,Bk,Ck,Jk,tm,um,vm,cm,bm,sm,Dm,km,An,Jq,xr,Vr,Wr,Js,Qs,Qt,Tt,wu,xu,wv,iw,Ox,Vw,Ww,Hy,Jy,Bz,$z,aA,$A,gB,NC,OC,PC,IC,VC,LC,eD,fD,fE,gE,hE,ND,MD,eE,kE,lE,zE,AE,BE,NE,DE,JE,ZE,HE,sF,tF,uF,GF,wF,CF,RF,SF,lG,mG,nG,AG,pG,FG,BG,OG,fH,gH,hH,mH,dH,eH,BH,CH,$H,aI,bI,fI,jI,ZH,vI,wI,TI,SJ,sL,uL,wL,vL,GM,eM,gM,hM,qN,ZM,aN,bN,EO,FO,IO,KO,PO,QO,RO,SO,TO,UO,WO,aP,bP,cP,eP,pP,qP,tP,vP,AP,BP,CP,DP,EP,FP,HP,NP,OP,PP,RP,bQ,cQ,eQ,gQ,lQ,mQ,nQ,oQ,pQ,qQ,sQ,xQ,yQ,zQ,BQ,MQ,NQ,PQ,RQ,WQ,XQ,YQ,ZQ,_Q,$Q,bR,gR,hR,iR,kR,vR,uR,BR,DR,GR,HR,IR,JR,KR,LR,NR,TR,UR,VR,XR,gS,hS,kS,mS,rS,sS,tS,uS,vS,wS,yS,ES,FS,GS,IS,VS,WS,ZS,$S,dT,eT,fT,gT,hT,iT,kT,pT,qT,rT,tT,GT,HT,JT,LT,PT,QT,RT,ST,TT,UT,WT,$T,aU,bU,dU,pU,qU,tU,vU,zU,AU,BU,CU,DU,EU,GU,MU,NU,OU,PU,cV,dV,fV,hV,kV,lV,mV,nV,oV,pV,rV,wV,xV,yV,AV,NV,OV,RV,KV,XV,YV,ZV,_V,$V,aW,LV,hW,iW,jW,lW,wW,xW,AW,BW,GW,HW,IW,JW,KW,LW,NW,TW,UW,VW,XW,hX,iX,lX,nX,sX,tX,uX,fX,vX,wX,yX,EX,FX,GX,IX,y$,z$,A$,x$,N$,H$,G$,n$,c1,O0,P0,Q0,A3,B3,e3,i3,h3,z3,u3,t3,s4,t4,u4,_3,Z3,r4,y4,z4,C5,N5,W5,e6,m6,Q6,Y6,i7,q7,z7,H7,P7,X7,d8,l8,t8,B8,L8,_8,G9,Paa,Xaa,dba,oba,wba,Iba,Vba,mca,uca,Dca,Lca,Tca,bda,mda,yda,Ida,Uda,aea,iea,qea,yea,Kea,Xea,dfa,lfa,tfa,Bfa,Jfa,Rfa,Zfa,fga,nga,vga,Dga,Lga,Yga,eha,mha,uha,Cha,Kha,Sha,$ha,iia,qia,Cia,Lia,Tia,gja,oja,xja,yja,Cja,Nja,Pja,Tja,$ja,aka,eka,pka,qka,uka,Tla,fna,Oma,Pma,Qma,Gna,una,wna,xna,Aua,Eua,Lua,Pua,Sva,rza,sza,tza,uza,wza,xza,Cza,Dza,Eza,Fza,Hza,Iza,Nza,Oza,Pza,Qza,Sza,Tza,Yza,Zza,_za,$za,bAa,cAa,IAa,NAa,uCa,wCa,yCa,vCa,xCa,zCa,eva,swa,tva,rg,qg,yva,Od,Rd,pg,yY,NY,Ml,rja,MH,Eja,Vja,Wq,CN,c5,Aka,Npa,Mqa,wva,Hwa,DEa,cva,ova,nva,tDa,uDa,vDa,wDa,xDa,yDa,LBa,zDa,ADa,BDa,CDa,DDa,EDa,FDa,GDa,HDa,IDa,JDa,KDa,LDa,MDa,NDa,ODa,PDa,QDa,RDa,SDa,TDa,UDa,VDa,XDa,pEa,EEa,CEa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa,cGa];var Gc=[dGa,cxa,dxa,exa,fxa,gxa,hxa,ixa,jxa,kxa,lxa,mxa,rxa,sxa,txa,uxa,vxa,wxa,xxa,yxa,zxa,Axa,Bxa,Qxa,Sxa,bya,dya,mya,nya,oya,qya,sya,Lya,Mya,Nya,Pya,Rya,xAa,DAa,Qd,lDa,dGa,dGa,dGa,dGa,dGa,dGa,dGa,dGa,dGa,dGa,dGa,dGa,dGa,dGa,dGa,dGa,dGa,dGa,dGa,dGa,dGa,dGa,dGa];var Hc=[eGa,Hva,Iva,Ld,Lva,Pg,Qg,Rg,Cg,Dg,Eg,Hg,Ig,Jg,Kg,dl,el,gl,Sk,Tk,Uk,Xk,Yk,_k,kk,lk,mk,pk,qk,sk,Yj,Zj,_j,bk,ck,ek,mj,nj,pj,Ei,Fi,Hi,Dk,Hk,Sl,Tl,Ul,Wl,hm,im,jm,Qm,Rm,Nm,xn,yn,Ln,Mn,Hn,wo,xo,yo,Op,sr,ar,dr,Ir,Jr,fr,gr,Tr,fs,hr,hs,is,kr,Hs,Is,Ks,Rs,Ss,Ys,ht,tv,It,cu,aw,iu,ru,tu,bw,Mu,Nu,Pu,Qu,$u,uv,vv,xv,Dv,Fv,Jv,Uv,vx,Hw,Pw,Xx,Qw,Tw,Uw,ey,py,_w,$w,ax,fx,tx,ux,wx,Bx,Dx,Ex,Hx,_A,vz,Jz,Nz,Oz,Vz,Xz,Zz,IB,pA,rA,sA,DA,YA,ZA,aB,hB,iB,NB,yB,DC,EC,FC,HC,mD,nD,oD,zD,AD,BD,DD,GD,HD,ID,sE,tE,uE,wE,bF,cF,dF,kF,lF,mF,pF,WF,XF,YF,eG,fG,gG,iG,PG,QG,RG,YG,ZG,_G,aH,JH,KH,LH,RH,SH,TH,YH,BI,CI,DI,QI,RI,MI,$I,GJ,HJ,IJ,nK,EK,FK,BK,SK,TK,PK,pL,qL,lL,xL,zL,aM,bM,YL,iM,kM,SM,TM,OM,cN,eN,AO,BO,DO,lP,mP,oP,XP,YP,aQ,GQ,HQ,LQ,rR,sR,AR,cS,dS,fS,PS,QS,US,zT,AT,FT,jU,kU,oU,VU,WU,bV,HV,IV,MV,rW,sW,vW,cX,dX,gX,PX,QX,MX,RY,HZ,IZ,JZ,MZ,NZ,PZ,f$,g$,h$,j$,o$,p$,Z$,E0,F0,A0,R0,T0,X1,Y1,Z1,$1,a2,e2,f2,r1,s1,t1,v1,w1,A1,B1,H1,I1,J1,L1,M1,Q1,R1,l2,m2,n2,p2,q2,u2,v2,B2,C2,D2,F2,G2,K2,L2,W2,X2,Y2,_2,b3,c3,I3,P3,Q3,R3,T3,U3,V3,B4,Aja,Bja,wja,Rja,Sja,Lja,cka,dka,_ja,ska,tka,oka,Qla,Rla,Mla,$la,Kma,Lma,Gma,Rma,Tma,qna,rna,mna,yna,Ana,Tpa,Upa,Vpa,Xqa,cra,hra,Ksa,Bua,Xva,Zva,_va,Wva,Gua,Hua,Mua,Kva,Rua,Sua,Jwa,lya,BCa,DCa,FCa,LCa,NCa,HCa,JCa,Kya,CCa,ECa,GCa,MCa,OCa,ICa,KCa,pza,qza,vza,Aza,Bza,Gza,Lza,Mza,Rza,Wza,Xza,aAa,QBa,RBa,TBa,qCa,sCa,rCa,tCa,HBa,IBa,KBa,YBa,ZBa,$Ba,eCa,fCa,hCa,TY,xva,Rqa,Qqa,rY,qY,Xg,xY,th,nn,n_,co,hh,gn,Qq,$pa,rpa,xpa,qpa,ypa,$ta,cua,gwa,mwa,esa,Qta,fGa,gGa,hGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa,eGa];var Ic=[iGa,Tg];var Jc=[jGa,zk];var Kc=[kGa,Ug];var Lc=[lGa,nt,ot,Yv,Zv,_y,$y,OB,PB,lGa,lGa,lGa,lGa,lGa,lGa,lGa];var Mc=[mGa,ps,Xu,vy,BA,mGa,mGa,mGa];var Nc=[nGa,Wp,Xp,$r,Eu,ky,fA,kJ,lJ,MJ,NJ,IL,JL,uM,vM,sN,yN,I0,J0,kma,lma,Zma,_ma,Ina,Ona,nGa,nGa,nGa,nGa,nGa,nGa,nGa];var Oc=[oGa,Hja,jka,oGa];var Pc=[pGa,Ts,jw,Ky,jB,pGa,pGa,pGa];var Qc=[qGa,Cm,dD,$D,YE,AF,uG,AH,uI,m$,s3,m4,qGa,qGa,qGa,qGa];var Rc=[rGa,Eva,Jva,Nva,Yl,Bn,iD,FD,yE,rF,kG,FH,WH,u$,a3,A4,ora,hua,Nsa,Msa,Lsa,Osa,Tva,Yva,Cua,awa,Nua,GEa,HEa,Wwa,$wa,GAa,LAa,wBa,yBa,BBa,eBa,lBa,oBa,rBa,Pd,VX,WX,XX,zwa,Ppa,Yta,Zta,_ta,aua,bua,eua,dsa,qDa,sDa,zsa,ysa,tsa,tta,fva,rGa,rGa,rGa,rGa];var Sc=[sGa,wAa,CAa,sGa];var Tc=[tGa,qJ,oK,HL,tM,jN,_0,qma,Yma,Fna,wi,Km,k1,Dn,tGa,tGa];var Uc=[uGa,Jd,Or,Ur,Ps,bt,ou,vu,Cv,Ov,ay,fy,Ax,Fx,HB,_z,fB,sB,Dra,Cra,Bra,Uva,Fva,HAa,MAa,vg,jg,ug,Zg,kg,e5,fU,Ft,Ew,uz,f5,LM,jna,nW,Una,uGa,uGa,uGa,uGa,uGa,uGa,uGa,uGa,uGa,uGa,uGa,uGa,uGa,uGa,uGa,uGa,uGa,uGa,uGa,uGa,uGa,uGa,uGa,uGa];var Vc=[vGa,rs,Zu,xy,KB,vGa,vGa,vGa];var Wc=[wGa,m1];var Xc=[xGa,ml,vj,Ni,Fk,Gk,Bm,cs,Gu,ny,iA,cD,_D,GE,zF,tG,zH,tI,aJ,dJ,bJ,cJ,fK,gK,kK,lK,AL,EL,HM,nM,rN,gN,JO,uP,fQ,QQ,CR,lS,_S,KT,uU,gV,SV,uW,mX,k$,d1,W0,r3,l4,ama,dma,bma,cma,gna,Vma,Hna,Cna,$F,mR,xGa,xGa,xGa,xGa];var Yc=[yGa,yK];var Zc=[zGa,Zk,rk,dk,mm,om,qm,nm,pm,cr,Gr,Xr,Yr,Zr,_r,Xs,Zs,_s,$s,at,qt,rt,St,du,yu,Bu,Cu,Du,Iv,Kv,Lv,Mv,Nv,$v,fu,Nx,Vx,gy,hy,iy,jy,Oy,Py,Qy,Ry,Sy,bz,cz,EB,Kz,bA,cA,dA,eA,nB,oB,pB,qB,rB,RB,SB,YC,ZC,_C,$C,MC,TD,VD,XD,UD,WD,SE,TE,UE,VE,WE,LF,MF,NF,OF,PF,MG,wG,yG,vG,xG,sH,tH,uH,vH,wH,mI,nI,oI,pI,qI,UI,VI,WI,XI,ZI,_I,YI,_J,$J,aK,bK,cK,dK,eK,OZ,Q$,R$,S$,T$,E$,l3,n3,p3,m3,o3,e4,g4,i4,f4,h4,Ula,Vla,Wla,Xla,Zla,_la,Yla,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa,zGa];var _c=[AGa,Wg];var $c=[BGa,Awa];var ad=[CGa,zn,Br,kt,Xt,mw,Kw,Ix,Ez,BB,sJ,uJ,vJ,qK,sK,tK,rL,GL,cM,sM,UM,iN,M0,Z0,tma,vma,wma,Mma,Xma,sna,Ena,a$,noa,Pxa,Vxa,aya,fya,CGa,CGa,CGa,CGa,CGa,CGa,CGa,CGa,CGa,CGa,CGa,CGa,CGa,CGa,CGa,CGa,CGa,CGa,CGa,CGa,CGa,CGa,CGa,CGa,CGa,CGa,CGa];var bd=[DGa,hAa,pAa,DGa];var cd=[EGa,N2];var dd=[FGa,kAa,rAa,vAa,BAa,FGa,FGa,FGa];var ed=[GGa,Md,Nd,Em,Fm,Gm,Vm,Pr,Qr,Rr,gs,js,lr,vs,xs,it,pu,qu,su,Ou,Ru,av,ev,fv,Vv,by,Sw,cy,qy,ry,gx,ix,jx,Xy,Tz,Uz,Wz,qA,tA,EA,HA,JA,zB,jD,kD,lD,dE,cE,bE,_E,$E,aF,TF,UF,VF,CG,EG,DG,GH,HH,IH,yI,zI,AI,NI,ZJ,JK,XK,yL,jM,dN,W$,X$,Y$,S0,v3,x3,w3,q4,p4,o4,D5,E5,F5,G5,X5,Y5,Z5,_5,n6,o6,p6,u6,Z6,_6,$6,c7,r7,t7,u7,v7,I7,J7,K7,L7,Y7,Z7,_7,$7,m8,n8,o8,p8,E8,F8,G8,H8,$8,a9,e9,m9,Qaa,Raa,Saa,Taa,eba,fba,gba,iba,xba,yba,zba,Cba,Xba,Yba,Zba,aca,vca,xca,yca,zca,Mca,Nca,Oca,Pca,cda,dda,eda,gda,zda,Ada,Bda,Dda,Vda,Wda,Xda,Yda,jea,kea,lea,mea,zea,Aea,Bea,Eea,Yea,Zea,_ea,$ea,mfa,nfa,ofa,pfa,Cfa,Dfa,Efa,Ffa,Sfa,Tfa,Ufa,Vfa,gga,hga,iga,jga,wga,xga,yga,zga,Mga,Nga,Oga,Rga,fha,gha,hha,iha,vha,wha,xha,yha,Lha,Mha,Nha,Oha,aia,bia,cia,dia,tia,uia,via,wia,Mia,Nia,Oia,Pia,hja,ija,jja,kja,Nla,Sma,zna,$va,Dua,Iua,bwa,Mva,Oua,Tua,Ova,vBa,xBa,zBa,jBa,mBa,pBa,$Aa,Cwa,zY,l_,wwa,xwa,bn,Bwa,Jka,uwa,MY,zt,qw,XB,iz,ywa,Q4,vwa,Z4,Zpa,_pa,Epa,Fpa,csa,bsa,_ua,lva,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa,GGa];var fd=[HGa,ts,dv,hx,FA,Uwa,Zwa,Lxa,Mxa,Rxa,Xxa,_xa,$xa,cya,hya,CBa,PBa,SBa,sBa,GBa,JBa,XBa,_Ba,dCa,gCa,Asa,wsa,HGa,HGa,HGa,HGa,HGa];var gd=[IGa,TX,b0,sEa,rEa,qEa,IGa,IGa];var hd=[JGa,us,cv,Ay,GA,JGa,JGa,JGa];var id=[KGa,Kk,Mk,tn,Lr,ns,os,qs,ss,pt,ku,Wu,Yu,fw,_u,_v,Zx,ty,uy,wy,yy,az,Qz,JB,zA,CA,LB,QB,b2,g2,x1,C1,N1,S1,r2,w2,H2,M2,a0,KGa,KGa,KGa,KGa,KGa,KGa,KGa,KGa,KGa,KGa,KGa,KGa,KGa,KGa,KGa,KGa,KGa,KGa,KGa,KGa,KGa,KGa,KGa,KGa,KGa];var jd=[LGa,em,Nr,nu,$x,GB,UC,QD,QE,JF,LG,pH,iI,M$,G3,a4,xg,LGa,LGa,LGa,LGa,LGa,LGa,LGa,LGa,LGa,LGa,LGa,LGa,LGa,LGa,LGa];var kd=[MGa,vY,Pqa,oxa,UAa,VAa,WAa,Nra,Pra,Ora,MGa,MGa,MGa,MGa,MGa,MGa];var ld=[NGa,Xl,mr,ws,Es,et,bv,gw,pv,Rv,zy,By,Gy,Vy,MB,IA,UA,vB,hD,ED,xE,qF,jG,EH,VH,t$,$2,b4,z5,T5,j6,V6,n7,B7,U7,i8,y8,X8,Maa,aba,tba,Nba,rca,Ica,Xca,qda,Rda,fea,vea,Uea,ifa,yfa,Ofa,cga,sga,Iga,bha,rha,Hha,Yha,nia,Iia,dja,ABa,gBa,hBa,iBa,qBa,_Ca,kDa,xsa,_ra,usa,yEa,xEa,wEa,vEa,uEa,tEa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa,NGa];var md=[OGa,$l,QC,iE,KE,DF,GG,jH,dI,BL,lM,fN,I$,U0,C3,v4,Uma,Bna,OGa,OGa,OGa,OGa,OGa,OGa,OGa,OGa,OGa,OGa,OGa,OGa,OGa,OGa];var nd=[PGa,jl,ol,pl,Al,Bl,Dl,Wk,ok,ak,sj,xj,yj,Jj,Kj,Mj,Ki,Pi,Qi,$i,aj,cj,Ak,Nk,Zl,xm,lm,rm,Um,un,vn,wn,Up,Yp,Kq,Vp,Zp,Er,Hr,Sr,as,bs,ds,es,nr,As,pr,qr,Cs,Ds,Fs,rr,Gs,Ls,jt,st,vt,Rt,au,eu,uu,Fu,cw,dw,Ju,gv,jv,kv,mv,ov,nv,qv,rv,sv,yv,lw,Hu,Iu,Ux,Wx,dy,ly,my,oy,Zw,kx,nx,Dy,Fy,px,ox,qx,rx,sx,xx,Yy,Xw,Yw,Hz,Lz,Yz,gA,hA,mA,lA,KA,OA,PA,RA,SA,TA,VA,WA,XA,bB,AB,jA,kA,JC,SC,WC,gD,KD,OD,RD,aE,CE,OE,EE,IE,vF,HF,xF,BF,oG,JG,qG,zG,iH,nH,qH,DH,cI,gI,kI,xI,eJ,fJ,gJ,hJ,rJ,tJ,wJ,mJ,oJ,yJ,nJ,pJ,zJ,hK,iK,jK,mK,pK,rK,uK,OJ,QJ,vK,PJ,RJ,wK,IK,WK,tL,KL,ML,SL,LL,NL,TL,dM,wM,yM,IM,xM,zM,JM,VM,tN,uN,vN,zN,AN,BN,GO,LO,MO,XO,YO,_O,rP,wP,xP,IP,JP,LP,_P,hQ,iQ,tQ,uQ,$P,OQ,SQ,TQ,cR,dR,fR,wR,ER,yR,OR,PR,RR,iS,nS,oS,zS,AS,CS,XS,SS,aT,TS,lT,nT,IT,MT,NT,XT,YT,ZT,rU,wU,xU,HU,IU,KU,_U,iV,YU,sV,$U,uV,PV,TV,UV,cW,dW,fW,yW,CW,DW,OW,PW,RW,jX,oX,pX,zX,AX,CX,LZ,B$,K$,O$,v$,N0,e1,G0,f1,g1,H0,h1,f3,E3,j3,y3,X3,x4,c4,n4,w5,x5,y5,H5,M5,Q5,R5,S5,$5,d6,g6,h6,i6,y6,N6,S6,T6,U6,f7,h7,k7,l7,m7,w7,y7,F7,G7,E7,M7,O7,R7,S7,T7,a8,c8,f8,g8,h8,q8,s8,v8,w8,x8,I8,K8,U8,V8,W8,u9,y9,Jaa,Kaa,Laa,Uaa,Waa,Zaa,_aa,$aa,lba,nba,qba,rba,sba,Fba,Hba,Kba,Lba,Mba,ica,kca,oca,pca,qca,Aca,Cca,Fca,Gca,Hca,Qca,Sca,$ca,ada,_ca,ida,kda,uda,vda,tda,Fda,Hda,Oda,Pda,Qda,Zda,$da,cea,dea,eea,nea,pea,sea,tea,uea,Hea,Jea,Rea,Sea,Tea,afa,cfa,ffa,gfa,hfa,qfa,sfa,vfa,wfa,xfa,Gfa,Ifa,Lfa,Mfa,Nfa,Wfa,Yfa,$fa,aga,bga,kga,mga,pga,qga,rga,Aga,Cga,Fga,Gga,Hga,Vga,Xga,_ga,$ga,aha,jha,lha,oha,pha,qha,zha,Bha,Eha,Fha,Gha,Pha,Rha,Vha,Wha,Xha,eia,gia,kia,lia,mia,xia,zia,Fia,Gia,Hia,Qia,Sia,aja,bja,cja,lja,nja,zja,Qja,bka,rka,ema,fma,gma,hma,sma,uma,xma,mma,oma,zma,nma,pma,Ama,Nma,$ma,bna,hna,ana,cna,ina,tna,Jna,Kna,Lna,Pna,Qna,Rna,FEa,Kwa,ava,Wua,QGa,yi,Ai,nla,nE,gF,xla,Gja,gka,Fka,Gka,zka,EN,ON,vO,gP,ZR,BJ,ZW,Xpa,Mpa,ala,R8,Sna,Kka,xka,Bka,CV,Mwa,oDa,pDa,rDa,iva,JEa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa,PGa];var od=[RGa,SGa,Hra,tY,TGa,m_,Ira,Gra,UGa,RGa,RGa,RGa,RGa,RGa,RGa,RGa];var pd=[VGa,uya,Tya,NBa,OBa,EBa,FBa,VBa,WBa,bCa,cCa,VGa,VGa,VGa,VGa,VGa];var qd=[WGa,Txa,Wxa,eya,gya,WGa,WGa,WGa];var rd=[XGa,Kd,Sg,Fg,fl,kl,ql,Cl,El,Vk,nk,$j,oj,tj,zj,Lj,Nj,Gi,Li,Ri,bj,dj,Vl,wm,am,dm,Hm,Im,Sm,In,zo,br,tr,ur,Cr,Dr,Fr,er,Mr,ir,ks,ls,jr,ms,or,ys,zs,Bs,Os,gt,lt,tt,ut,Jt,Kt,Mt,Yt,Zt,bu,lu,mu,Su,Tu,ew,Uu,Vu,hv,iv,hw,lv,Bv,Tv,Wv,Ku,Lu,Iw,Kx,Jw,Sx,Tx,Lw,_x,Rw,bx,cx,sy,dx,ex,lx,mx,Cy,Ey,Iy,Gx,Jx,dz,ez,wz,xz,yz,Fz,Gz,Iz,Rz,Sz,uA,vA,wA,xA,yA,LA,MA,NA,QA,eB,xB,CB,nA,oA,GC,RC,KC,TC,pD,sD,CD,jE,LD,PD,JD,vE,LE,ME,PE,eF,nF,EF,FF,IF,ZF,hG,HG,IG,KG,SG,$G,kH,lH,oH,bH,UH,_H,eI,hI,EI,SI,iJ,jJ,JJ,KJ,LJ,GK,UK,mL,OL,PL,ZL,AM,BM,PM,wN,xN,CO,HO,NO,ZO,$O,nP,sP,yP,KP,MP,ZP,dQ,jQ,vQ,wQ,IQ,JQ,UQ,eR,KQ,tR,xR,zR,QR,SR,eS,jS,pS,BS,DS,RS,YS,bT,mT,oT,BT,DT,CT,ET,_T,lU,sU,yU,JU,LU,XU,eV,ZU,tV,vV,JV,QV,VV,eW,gW,tW,zW,EW,QW,SW,eX,kX,qX,BX,DX,RX,KZ,i$,J$,D$,L$,_$,B0,K0,L0,_1,u1,K1,o2,E2,Z2,D3,g3,F3,d3,S3,w4,Y3,$3,W3,Sla,ima,jma,Hma,dna,ena,nna,Mna,Nna,Wpa,qra,rra,tra,Vva,Gva,Vwa,_wa,wg,lg,mg,tg,YGa,uD,R2,K3,Nl,TG,Fja,kka,hka,yC,TP,KS,JI,Jla,RU,iL,FN,QN,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa,XGa];return{_IssmConfigModule:Wd,_EnumToStringModule:Xd,_bitshift64Lshr:SEa,_InterpFromMeshToMesh2dModule:Vd,_NodeConnectivityModule:Sd,_bitshift64Shl:XEa,_IssmModule:Zd,_StringToEnumModule:Yd,_memset:WEa,_ElementConnectivityModule:Ud,_memcpy:TEa,_i64Subtract:REa,_i64Add:QEa,_TriMeshModule:Cd,_fflush:Usa,___errno_location:Sra,___cxa_can_catch:Era,_ContourToMeshModule:Td,_free:mua,_round:VEa,_memmove:UEa,___cxa_is_pointer_type:Fra,_malloc:lua,__GLOBAL__I_000101:tua,__GLOBAL__sub_I_Mesh_cpp:t5,__GLOBAL__sub_I_Geometry_cpp:Hpa,__GLOBAL__sub_I_iostream_cpp:uua,runPostSets:PEa,_emscripten_replace_memory:zc,stackAlloc:sd,stackSave:td,stackRestore:ud,establishStackSpace:vd,setThrew:wd,setTempRet0:zd,getTempRet0:Ad,dynCall_iiiiiiii:fFa,dynCall_iiiiiid:gFa,dynCall_vid:hFa,dynCall_viiiii:iFa,dynCall_vi:jFa,dynCall_vii:kFa,dynCall_iiiiiii:lFa,dynCall_ii:mFa,dynCall_viiiiiiiiiid:nFa,dynCall_viidi:oFa,dynCall_iiiiiiiiiiiiii:pFa,dynCall_viiiiiidd:qFa,dynCall_diddddi:rFa,dynCall_vidi:sFa,dynCall_viiddii:tFa,dynCall_diddddd:uFa,dynCall_vidd:vFa,dynCall_iiii:wFa,dynCall_viiiiiiiiiiiiiii:xFa,dynCall_viiiiiiii:yFa,dynCall_viiiiii:zFa,dynCall_diiii:AFa,dynCall_viiiiidd:BFa,dynCall_viid:CFa,dynCall_viiiidi:DFa,dynCall_di:EFa,dynCall_iiiiiiiiiii:FFa,dynCall_iid:GFa,dynCall_viiiiiii:HFa,dynCall_iiiiiiiiiiii:IFa,dynCall_viiiiiiiii:JFa,dynCall_viiiiiiiiii:KFa,dynCall_iii:LFa,dynCall_iiiiii:MFa,dynCall_diii:NFa,dynCall_iiiddii:OFa,dynCall_dii:PFa,dynCall_viiiid:QFa,dynCall_i:RFa,dynCall_iiiii:SFa,dynCall_viiid:TFa,dynCall_viii:UFa,dynCall_v:VFa,dynCall_iiiiiiiii:WFa,dynCall_iiiiid:XFa,dynCall_viiii:YFa}})


// EMSCRIPTEN_END_ASM
(Module.asmGlobalArg,Module.asmLibraryArg,buffer);var _IssmConfigModule=Module["_IssmConfigModule"]=asm["_IssmConfigModule"];var _EnumToStringModule=Module["_EnumToStringModule"]=asm["_EnumToStringModule"];var _bitshift64Lshr=Module["_bitshift64Lshr"]=asm["_bitshift64Lshr"];var _InterpFromMeshToMesh2dModule=Module["_InterpFromMeshToMesh2dModule"]=asm["_InterpFromMeshToMesh2dModule"];var _NodeConnectivityModule=Module["_NodeConnectivityModule"]=asm["_NodeConnectivityModule"];var _bitshift64Shl=Module["_bitshift64Shl"]=asm["_bitshift64Shl"];var _IssmModule=Module["_IssmModule"]=asm["_IssmModule"];var _StringToEnumModule=Module["_StringToEnumModule"]=asm["_StringToEnumModule"];var _memset=Module["_memset"]=asm["_memset"];var _ElementConnectivityModule=Module["_ElementConnectivityModule"]=asm["_ElementConnectivityModule"];var _memcpy=Module["_memcpy"]=asm["_memcpy"];var __GLOBAL__sub_I_Mesh_cpp=Module["__GLOBAL__sub_I_Mesh_cpp"]=asm["__GLOBAL__sub_I_Mesh_cpp"];var _i64Subtract=Module["_i64Subtract"]=asm["_i64Subtract"];var _i64Add=Module["_i64Add"]=asm["_i64Add"];var __GLOBAL__I_000101=Module["__GLOBAL__I_000101"]=asm["__GLOBAL__I_000101"];var __GLOBAL__sub_I_iostream_cpp=Module["__GLOBAL__sub_I_iostream_cpp"]=asm["__GLOBAL__sub_I_iostream_cpp"];var _TriMeshModule=Module["_TriMeshModule"]=asm["_TriMeshModule"];var _fflush=Module["_fflush"]=asm["_fflush"];var ___errno_location=Module["___errno_location"]=asm["___errno_location"];var ___cxa_can_catch=Module["___cxa_can_catch"]=asm["___cxa_can_catch"];var _ContourToMeshModule=Module["_ContourToMeshModule"]=asm["_ContourToMeshModule"];var _free=Module["_free"]=asm["_free"];var runPostSets=Module["runPostSets"]=asm["runPostSets"];var _round=Module["_round"]=asm["_round"];var _memmove=Module["_memmove"]=asm["_memmove"];var __GLOBAL__sub_I_Geometry_cpp=Module["__GLOBAL__sub_I_Geometry_cpp"]=asm["__GLOBAL__sub_I_Geometry_cpp"];var ___cxa_is_pointer_type=Module["___cxa_is_pointer_type"]=asm["___cxa_is_pointer_type"];var _malloc=Module["_malloc"]=asm["_malloc"];var _emscripten_replace_memory=Module["_emscripten_replace_memory"]=asm["_emscripten_replace_memory"];var dynCall_iiiiiiii=Module["dynCall_iiiiiiii"]=asm["dynCall_iiiiiiii"];var dynCall_iiiiiid=Module["dynCall_iiiiiid"]=asm["dynCall_iiiiiid"];var dynCall_vid=Module["dynCall_vid"]=asm["dynCall_vid"];var dynCall_viiiii=Module["dynCall_viiiii"]=asm["dynCall_viiiii"];var dynCall_vi=Module["dynCall_vi"]=asm["dynCall_vi"];var dynCall_vii=Module["dynCall_vii"]=asm["dynCall_vii"];var dynCall_iiiiiii=Module["dynCall_iiiiiii"]=asm["dynCall_iiiiiii"];var dynCall_ii=Module["dynCall_ii"]=asm["dynCall_ii"];var dynCall_viiiiiiiiiid=Module["dynCall_viiiiiiiiiid"]=asm["dynCall_viiiiiiiiiid"];var dynCall_viidi=Module["dynCall_viidi"]=asm["dynCall_viidi"];var dynCall_iiiiiiiiiiiiii=Module["dynCall_iiiiiiiiiiiiii"]=asm["dynCall_iiiiiiiiiiiiii"];var dynCall_viiiiiidd=Module["dynCall_viiiiiidd"]=asm["dynCall_viiiiiidd"];var dynCall_diddddi=Module["dynCall_diddddi"]=asm["dynCall_diddddi"];var dynCall_vidi=Module["dynCall_vidi"]=asm["dynCall_vidi"];var dynCall_viiddii=Module["dynCall_viiddii"]=asm["dynCall_viiddii"];var dynCall_diddddd=Module["dynCall_diddddd"]=asm["dynCall_diddddd"];var dynCall_vidd=Module["dynCall_vidd"]=asm["dynCall_vidd"];var dynCall_iiii=Module["dynCall_iiii"]=asm["dynCall_iiii"];var dynCall_viiiiiiiiiiiiiii=Module["dynCall_viiiiiiiiiiiiiii"]=asm["dynCall_viiiiiiiiiiiiiii"];var dynCall_viiiiiiii=Module["dynCall_viiiiiiii"]=asm["dynCall_viiiiiiii"];var dynCall_viiiiii=Module["dynCall_viiiiii"]=asm["dynCall_viiiiii"];var dynCall_diiii=Module["dynCall_diiii"]=asm["dynCall_diiii"];var dynCall_viiiiidd=Module["dynCall_viiiiidd"]=asm["dynCall_viiiiidd"];var dynCall_viid=Module["dynCall_viid"]=asm["dynCall_viid"];var dynCall_viiiidi=Module["dynCall_viiiidi"]=asm["dynCall_viiiidi"];var dynCall_di=Module["dynCall_di"]=asm["dynCall_di"];var dynCall_iiiiiiiiiii=Module["dynCall_iiiiiiiiiii"]=asm["dynCall_iiiiiiiiiii"];var dynCall_iid=Module["dynCall_iid"]=asm["dynCall_iid"];var dynCall_viiiiiii=Module["dynCall_viiiiiii"]=asm["dynCall_viiiiiii"];var dynCall_iiiiiiiiiiii=Module["dynCall_iiiiiiiiiiii"]=asm["dynCall_iiiiiiiiiiii"];var dynCall_viiiiiiiii=Module["dynCall_viiiiiiiii"]=asm["dynCall_viiiiiiiii"];var dynCall_viiiiiiiiii=Module["dynCall_viiiiiiiiii"]=asm["dynCall_viiiiiiiiii"];var dynCall_iii=Module["dynCall_iii"]=asm["dynCall_iii"];var dynCall_iiiiii=Module["dynCall_iiiiii"]=asm["dynCall_iiiiii"];var dynCall_diii=Module["dynCall_diii"]=asm["dynCall_diii"];var dynCall_iiiddii=Module["dynCall_iiiddii"]=asm["dynCall_iiiddii"];var dynCall_dii=Module["dynCall_dii"]=asm["dynCall_dii"];var dynCall_viiiid=Module["dynCall_viiiid"]=asm["dynCall_viiiid"];var dynCall_i=Module["dynCall_i"]=asm["dynCall_i"];var dynCall_iiiii=Module["dynCall_iiiii"]=asm["dynCall_iiiii"];var dynCall_viiid=Module["dynCall_viiid"]=asm["dynCall_viiid"];var dynCall_viii=Module["dynCall_viii"]=asm["dynCall_viii"];var dynCall_v=Module["dynCall_v"]=asm["dynCall_v"];var dynCall_iiiiiiiii=Module["dynCall_iiiiiiiii"]=asm["dynCall_iiiiiiiii"];var dynCall_iiiiid=Module["dynCall_iiiiid"]=asm["dynCall_iiiiid"];var dynCall_viiii=Module["dynCall_viiii"]=asm["dynCall_viiii"];Runtime.stackAlloc=asm["stackAlloc"];Runtime.stackSave=asm["stackSave"];Runtime.stackRestore=asm["stackRestore"];Runtime.establishStackSpace=asm["establishStackSpace"];Runtime.setTempRet0=asm["setTempRet0"];Runtime.getTempRet0=asm["getTempRet0"];function ExitStatus(status){this.name="ExitStatus";this.message="Program terminated with exit("+status+")";this.status=status}ExitStatus.prototype=new Error;ExitStatus.prototype.constructor=ExitStatus;var initialStackTop;var preloadStartTime=null;var calledMain=false;dependenciesFulfilled=function runCaller(){if(!Module["calledRun"])run();if(!Module["calledRun"])dependenciesFulfilled=runCaller};Module["callMain"]=Module.callMain=function callMain(args){assert(runDependencies==0,"cannot call main when async dependencies remain! (listen on __ATMAIN__)");assert(__ATPRERUN__.length==0,"cannot call main when preRun functions remain to be called");args=args||[];ensureInitRuntime();var argc=args.length+1;function pad(){for(var i=0;i<4-1;i++){argv.push(0)}}var argv=[allocate(intArrayFromString(Module["thisProgram"]),"i8",ALLOC_NORMAL)];pad();for(var i=0;i<argc-1;i=i+1){argv.push(allocate(intArrayFromString(args[i]),"i8",ALLOC_NORMAL));pad()}argv.push(0);argv=allocate(argv,"i32",ALLOC_NORMAL);try{var ret=Module["_main"](argc,argv,0);exit(ret,true)}catch(e){if(e instanceof ExitStatus){return}else if(e=="SimulateInfiniteLoop"){Module["noExitRuntime"]=true;return}else{if(e&&typeof e==="object"&&e.stack)Module.printErr("exception thrown: "+[e,e.stack]);throw e}}finally{calledMain=true}};function run(args){args=args||Module["arguments"];if(preloadStartTime===null)preloadStartTime=Date.now();if(runDependencies>0){return}preRun();if(runDependencies>0)return;if(Module["calledRun"])return;function doRun(){if(Module["calledRun"])return;Module["calledRun"]=true;if(ABORT)return;ensureInitRuntime();preMain();if(Module["onRuntimeInitialized"])Module["onRuntimeInitialized"]();if(Module["_main"]&&shouldRunNow)Module["callMain"](args);postRun()}if(Module["setStatus"]){Module["setStatus"]("Running...");setTimeout((function(){setTimeout((function(){Module["setStatus"]("")}),1);doRun()}),1)}else{doRun()}}Module["run"]=Module.run=run;function exit(status,implicit){if(implicit&&Module["noExitRuntime"]){return}if(Module["noExitRuntime"]){}else{ABORT=true;EXITSTATUS=status;STACKTOP=initialStackTop;exitRuntime();if(Module["onExit"])Module["onExit"](status)}if(ENVIRONMENT_IS_NODE){process["stdout"]["once"]("drain",(function(){process["exit"](status)}));console.log(" ");setTimeout((function(){process["exit"](status)}),500)}else if(ENVIRONMENT_IS_SHELL&&typeof quit==="function"){quit(status)}throw new ExitStatus(status)}Module["exit"]=Module.exit=exit;var abortDecorators=[];function abort(what){if(what!==undefined){Module.print(what);Module.printErr(what);what=JSON.stringify(what)}else{what=""}ABORT=true;EXITSTATUS=1;var extra="\nIf this abort() is unexpected, build with -s ASSERTIONS=1 which can give more information.";var output="abort("+what+") at "+stackTrace()+extra;if(abortDecorators){abortDecorators.forEach((function(decorator){output=decorator(output,what)}))}throw output}Module["abort"]=Module.abort=abort;if(Module["preInit"]){if(typeof Module["preInit"]=="function")Module["preInit"]=[Module["preInit"]];while(Module["preInit"].length>0){Module["preInit"].pop()()}}var shouldRunNow=false;if(Module["noInitialRun"]){shouldRunNow=false}run()




